-- Copyright (C) 2022  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 22.1std.0 Build 915 10/25/2022 SC Standard Edition"

-- DATE "03/18/2024 11:07:40"

-- 
-- Device: Altera 10M50DAF484I6G Package FBGA484
-- 

-- 
-- This VHDL file should be used for Questa Intel FPGA (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	sleep_mode IS
    PORT (
	altera_reserved_tms : IN std_logic := '0';
	altera_reserved_tck : IN std_logic := '0';
	altera_reserved_tdi : IN std_logic := '0';
	altera_reserved_tdo : OUT std_logic;
	\clk_ddr3_100_p(n)\ : IN std_logic := '0';
	\clk_lvds_125_p(n)\ : IN std_logic := '0';
	clk_ddr3_100_p : IN std_logic;
	clk_50_max10 : IN std_logic;
	clk_25_max10 : IN std_logic;
	clk_10_adc : IN std_logic;
	fpga_resetn : IN std_logic;
	clk_lvds_125_p : IN std_logic;
	user_led : OUT std_logic_vector(4 DOWNTO 0);
	user_pb : IN std_logic_vector(3 DOWNTO 0);
	user_dipsw : IN std_logic_vector(4 DOWNTO 0);
	pmodb_io : OUT std_logic_vector(7 DOWNTO 0)
	);
END sleep_mode;

-- Design Ports Information
-- clk_ddr3_100_p	=>  Location: PIN_N14,	 I/O Standard: Differential 1.5-V SSTL,	 Current Strength: Default
-- clk_25_max10	=>  Location: PIN_M8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk_10_adc	=>  Location: PIN_N5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk_lvds_125_p	=>  Location: PIN_P11,	 I/O Standard: LVDS,	 Current Strength: Default
-- user_led[0]	=>  Location: PIN_T20,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[1]	=>  Location: PIN_U22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[2]	=>  Location: PIN_U21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[3]	=>  Location: PIN_AA21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[4]	=>  Location: PIN_AA22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_pb[1]	=>  Location: PIN_M21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_pb[2]	=>  Location: PIN_M22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_pb[3]	=>  Location: PIN_N21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[0]	=>  Location: PIN_H21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[1]	=>  Location: PIN_H22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[2]	=>  Location: PIN_J21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[3]	=>  Location: PIN_J22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[4]	=>  Location: PIN_G19,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- pmodb_io[0]	=>  Location: PIN_E8,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[1]	=>  Location: PIN_D5,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[2]	=>  Location: PIN_B5,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[3]	=>  Location: PIN_C4,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[4]	=>  Location: PIN_A2,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[5]	=>  Location: PIN_A3,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[6]	=>  Location: PIN_B4,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- pmodb_io[7]	=>  Location: PIN_B3,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- clk_50_max10	=>  Location: PIN_M9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- fpga_resetn	=>  Location: PIN_D9,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: Default
-- user_pb[0]	=>  Location: PIN_L22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- altera_reserved_tms	=>  Location: PIN_H2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tck	=>  Location: PIN_G2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tdi	=>  Location: PIN_L4,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tdo	=>  Location: PIN_M5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk_ddr3_100_p(n)	=>  Location: PIN_N15,	 I/O Standard: Differential 1.5-V SSTL,	 Current Strength: Default
-- clk_lvds_125_p(n)	=>  Location: PIN_R11,	 I/O Standard: LVDS,	 Current Strength: Default


ARCHITECTURE structure OF sleep_mode IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_altera_reserved_tms : std_logic;
SIGNAL ww_altera_reserved_tck : std_logic;
SIGNAL ww_altera_reserved_tdi : std_logic;
SIGNAL ww_altera_reserved_tdo : std_logic;
SIGNAL \ww_clk_ddr3_100_p(n)\ : std_logic;
SIGNAL \ww_clk_lvds_125_p(n)\ : std_logic;
SIGNAL ww_clk_ddr3_100_p : std_logic;
SIGNAL ww_clk_50_max10 : std_logic;
SIGNAL ww_clk_25_max10 : std_logic;
SIGNAL ww_clk_10_adc : std_logic;
SIGNAL ww_fpga_resetn : std_logic;
SIGNAL ww_clk_lvds_125_p : std_logic;
SIGNAL ww_user_led : std_logic_vector(4 DOWNTO 0);
SIGNAL ww_user_pb : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_user_dipsw : std_logic_vector(4 DOWNTO 0);
SIGNAL ww_pmodb_io : std_logic_vector(7 DOWNTO 0);
SIGNAL \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|clkctrl1_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|clkctrl1_CLKSELECT_bus\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_pll_100m|altpll_component|auto_generated|pll1_INCLK_bus\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_pll_100m|altpll_component|auto_generated|pll1_CLK_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_ADC1~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_ADC2~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \clk_50_max10~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|~GND~combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell_combout\ : std_logic;
SIGNAL \clk_ddr3_100_p~input_o\ : std_logic;
SIGNAL \clk_25_max10~input_o\ : std_logic;
SIGNAL \clk_10_adc~input_o\ : std_logic;
SIGNAL \clk_lvds_125_p~input_o\ : std_logic;
SIGNAL \user_pb[1]~input_o\ : std_logic;
SIGNAL \user_pb[2]~input_o\ : std_logic;
SIGNAL \user_pb[3]~input_o\ : std_logic;
SIGNAL \user_dipsw[0]~input_o\ : std_logic;
SIGNAL \user_dipsw[1]~input_o\ : std_logic;
SIGNAL \user_dipsw[2]~input_o\ : std_logic;
SIGNAL \user_dipsw[3]~input_o\ : std_logic;
SIGNAL \user_dipsw[4]~input_o\ : std_logic;
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_UNVM~~busy\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~padout\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~padout\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~padout\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~padout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~~eoc\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC2~~eoc\ : std_logic;
SIGNAL \clk_50_max10~input_o\ : std_logic;
SIGNAL \clk_50_max10~inputclkctrl_outclk\ : std_logic;
SIGNAL \altera_reserved_tms~input_o\ : std_logic;
SIGNAL \altera_reserved_tck~input_o\ : std_logic;
SIGNAL \altera_reserved_tdi~input_o\ : std_logic;
SIGNAL \altera_internal_jtag~TDIUTAP\ : std_logic;
SIGNAL \altera_internal_jtag~TMSUTAP\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~5_combout\ : std_logic;
SIGNAL \~QIC_CREATED_GND~I_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~8_combout\ : std_logic;
SIGNAL \~GND~combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal7~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~10\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~12\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~14\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~15_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \fpga_resetn~input_o\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|wr_ptr[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add0~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add0~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add0~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add0~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_valid_OTERM69\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0~portbdataout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_payload[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a2\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_payload[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_payload[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a3\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_payload[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|Equal2~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|received_esc~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|received_channel~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|received_channel~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|Equal0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~52_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~53_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~56_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~57_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~58_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a5\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM99\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~47_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM113\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector39~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM109\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM107\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM97\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM93\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM95\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM37\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~46_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM111\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM15\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a4\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_payload[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|command[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM17\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM13\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~19\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~20_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~3\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~3\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~5\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_OTERM143\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM25\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_OTERM141\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~7\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~7\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_OTERM131\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM21\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_OTERM129\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~9\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM63\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~11\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~11\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[6]_OTERM59\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM45\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM51\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~15\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~19\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~20_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_OTERM31\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_OTERM29\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~22_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~21\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~22_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM27\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~23\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~24_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~23\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~24_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM23\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~26_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~25\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~26_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM19\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|Mux0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~49_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~50_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~51_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|Mux0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[28]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|Mux0~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|av_data_read[12]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|command[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|av_data_read[19]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|av_data_read[3]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector38~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|first_trans~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~27\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~28_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~27\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~28_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_OTERM145\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM47\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~29\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~30_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~29\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~30_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM7\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_payload[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|Mux3~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[17]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|Mux0~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_sop~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_sop~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_sop~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_channel~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_channel~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|stored_channel[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_esc~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~13\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM53\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~15\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_OTERM119\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_OTERM117\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~17\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM39\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~3\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~5\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_waitrequest_generated~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[1][105]~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][105]~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[1][105]~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~61_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~62_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~59_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~60_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~44_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~42_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM103\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM101\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~54_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~55_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector14~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Equal0~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Add1~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Equal0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Equal0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|next_empty~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|empty~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a7\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_OTERM57\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|received_channel~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|received_channel~0_OTERM55\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~1_RTM011_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_RTM067_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_OTERM65\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_RTM091_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|b2p|out_channel[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_OTERM89\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~43_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_valid~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_eop~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_eop~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_eop~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_eop~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[3]~11_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~22_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[7]~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[2]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[1]~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|pio_1|read_mux_out~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|product_info_0|av_data_read[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM75\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM77\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM73\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM71\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[0]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[0]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data[4]~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~31_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~16_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~12_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\ : std_logic;
SIGNAL \altera_internal_jtag~TCKUTAP\ : std_logic;
SIGNAL \altera_internal_jtag~TCKUTAPclkctrl_outclk\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|Equal1~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|next_full~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|next_full~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|next_full~2_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|next_full~3_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|next_full~4_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|full~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|write~combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a6\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_payload[6]~feeder_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~40_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM81\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_RTM086_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM85\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM83\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM79\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|pio_0|always0~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|pio_0|always0~1_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|pio_0|data_out~0_combout\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|pio_0|data_out~q\ : std_logic;
SIGNAL \clk_ctrl_gui_reg1~q\ : std_logic;
SIGNAL \clk_ctrl_gui_reg2~feeder_combout\ : std_logic;
SIGNAL \clk_ctrl_gui_reg2~q\ : std_logic;
SIGNAL \adc_pll_100m|altpll_component|auto_generated|wire_pll1_fbout\ : std_logic;
SIGNAL \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\ : std_logic;
SIGNAL \user_pb[0]~input_o\ : std_logic;
SIGNAL \filter_circuit_inst|fr_shifter[0]~feeder_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_shifter[1]~feeder_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_shifter[3]~feeder_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_shifter[5]~feeder_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_negedge~1_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_shifter[8]~feeder_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_negedge~0_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_negedge~2_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_posedge~0_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_posedge~1_combout\ : std_logic;
SIGNAL \filter_circuit_inst|fr_posedge~2_combout\ : std_logic;
SIGNAL \filter_circuit_inst|frameout~0_combout\ : std_logic;
SIGNAL \filter_circuit_inst|frameout~q\ : std_logic;
SIGNAL \user_pb_filtered_reg1~feeder_combout\ : std_logic;
SIGNAL \user_pb_filtered_reg1~q\ : std_logic;
SIGNAL \user_pb_filtered_reg2~q\ : std_logic;
SIGNAL \user_pb_filtered_pos~combout\ : std_logic;
SIGNAL \clk_enable~0_combout\ : std_logic;
SIGNAL \clk_enable~q\ : std_logic;
SIGNAL \heart_beat_cnt[0]~78_combout\ : std_logic;
SIGNAL \heart_beat_cnt[1]~26_combout\ : std_logic;
SIGNAL \heart_beat_cnt[1]~27\ : std_logic;
SIGNAL \heart_beat_cnt[2]~28_combout\ : std_logic;
SIGNAL \heart_beat_cnt[2]~29\ : std_logic;
SIGNAL \heart_beat_cnt[3]~30_combout\ : std_logic;
SIGNAL \heart_beat_cnt[3]~31\ : std_logic;
SIGNAL \heart_beat_cnt[4]~32_combout\ : std_logic;
SIGNAL \heart_beat_cnt[4]~33\ : std_logic;
SIGNAL \heart_beat_cnt[5]~34_combout\ : std_logic;
SIGNAL \heart_beat_cnt[5]~35\ : std_logic;
SIGNAL \heart_beat_cnt[6]~36_combout\ : std_logic;
SIGNAL \heart_beat_cnt[6]~37\ : std_logic;
SIGNAL \heart_beat_cnt[7]~38_combout\ : std_logic;
SIGNAL \heart_beat_cnt[7]~39\ : std_logic;
SIGNAL \heart_beat_cnt[8]~40_combout\ : std_logic;
SIGNAL \heart_beat_cnt[8]~41\ : std_logic;
SIGNAL \heart_beat_cnt[9]~42_combout\ : std_logic;
SIGNAL \heart_beat_cnt[9]~43\ : std_logic;
SIGNAL \heart_beat_cnt[10]~44_combout\ : std_logic;
SIGNAL \heart_beat_cnt[10]~45\ : std_logic;
SIGNAL \heart_beat_cnt[11]~46_combout\ : std_logic;
SIGNAL \heart_beat_cnt[11]~47\ : std_logic;
SIGNAL \heart_beat_cnt[12]~48_combout\ : std_logic;
SIGNAL \heart_beat_cnt[12]~49\ : std_logic;
SIGNAL \heart_beat_cnt[13]~50_combout\ : std_logic;
SIGNAL \heart_beat_cnt[13]~51\ : std_logic;
SIGNAL \heart_beat_cnt[14]~52_combout\ : std_logic;
SIGNAL \heart_beat_cnt[14]~53\ : std_logic;
SIGNAL \heart_beat_cnt[15]~54_combout\ : std_logic;
SIGNAL \heart_beat_cnt[15]~55\ : std_logic;
SIGNAL \heart_beat_cnt[16]~56_combout\ : std_logic;
SIGNAL \heart_beat_cnt[16]~57\ : std_logic;
SIGNAL \heart_beat_cnt[17]~58_combout\ : std_logic;
SIGNAL \heart_beat_cnt[17]~59\ : std_logic;
SIGNAL \heart_beat_cnt[18]~60_combout\ : std_logic;
SIGNAL \heart_beat_cnt[18]~61\ : std_logic;
SIGNAL \heart_beat_cnt[19]~62_combout\ : std_logic;
SIGNAL \heart_beat_cnt[19]~63\ : std_logic;
SIGNAL \heart_beat_cnt[20]~64_combout\ : std_logic;
SIGNAL \heart_beat_cnt[20]~65\ : std_logic;
SIGNAL \heart_beat_cnt[21]~66_combout\ : std_logic;
SIGNAL \heart_beat_cnt[21]~67\ : std_logic;
SIGNAL \heart_beat_cnt[22]~68_combout\ : std_logic;
SIGNAL \heart_beat_cnt[22]~69\ : std_logic;
SIGNAL \heart_beat_cnt[23]~70_combout\ : std_logic;
SIGNAL \heart_beat_cnt[23]~71\ : std_logic;
SIGNAL \heart_beat_cnt[24]~72_combout\ : std_logic;
SIGNAL \user_led~0_combout\ : std_logic;
SIGNAL \heart_beat_cnt[24]~73\ : std_logic;
SIGNAL \heart_beat_cnt[25]~74_combout\ : std_logic;
SIGNAL \heart_beat_cnt[25]~75\ : std_logic;
SIGNAL \heart_beat_cnt[26]~76_combout\ : std_logic;
SIGNAL \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\ : std_logic;
SIGNAL \led_flash_cnt[3430][0]~84070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3430][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3430][1]~74900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3430][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3430][1]~74901\ : std_logic;
SIGNAL \led_flash_cnt[3430][2]~74902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3430][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3430][2]~74903\ : std_logic;
SIGNAL \led_flash_cnt[3430][3]~74904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3430][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3430][3]~74905\ : std_logic;
SIGNAL \led_flash_cnt[3430][4]~74906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3430][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3430][4]~74907\ : std_logic;
SIGNAL \led_flash_cnt[3430][5]~74908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3430][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3430][5]~74909\ : std_logic;
SIGNAL \led_flash_cnt[3430][6]~74910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3430][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3430][6]~74911\ : std_logic;
SIGNAL \led_flash_cnt[3430][7]~74912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3430][7]~q\ : std_logic;
SIGNAL \WideAnd3430~0_combout\ : std_logic;
SIGNAL \WideAnd3430~1_combout\ : std_logic;
SIGNAL \WideAnd3430~combout\ : std_logic;
SIGNAL \led_flash_cnt_ands[3430]~feeder_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][0]~84065_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3425][1]~74830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3425][1]~74831\ : std_logic;
SIGNAL \led_flash_cnt[3425][2]~74832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3425][2]~74833\ : std_logic;
SIGNAL \led_flash_cnt[3425][3]~74834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3425][3]~74835\ : std_logic;
SIGNAL \led_flash_cnt[3425][4]~74836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3425][4]~74837\ : std_logic;
SIGNAL \led_flash_cnt[3425][5]~74838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3425][5]~74839\ : std_logic;
SIGNAL \led_flash_cnt[3425][6]~74840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][6]~q\ : std_logic;
SIGNAL \WideAnd3425~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][6]~74841\ : std_logic;
SIGNAL \led_flash_cnt[3425][7]~74842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3425][7]~q\ : std_logic;
SIGNAL \WideAnd3425~0_combout\ : std_logic;
SIGNAL \WideAnd3425~combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][0]~84067_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3427][1]~74858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3427][1]~74859\ : std_logic;
SIGNAL \led_flash_cnt[3427][2]~74860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3427][2]~74861\ : std_logic;
SIGNAL \led_flash_cnt[3427][3]~74862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3427][3]~74863\ : std_logic;
SIGNAL \led_flash_cnt[3427][4]~74864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][4]~q\ : std_logic;
SIGNAL \WideAnd3427~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][4]~74865\ : std_logic;
SIGNAL \led_flash_cnt[3427][5]~74866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3427][5]~74867\ : std_logic;
SIGNAL \led_flash_cnt[3427][6]~74868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][6]~q\ : std_logic;
SIGNAL \WideAnd3427~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][6]~74869\ : std_logic;
SIGNAL \led_flash_cnt[3427][7]~74870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3427][7]~q\ : std_logic;
SIGNAL \WideAnd3427~combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][0]~84064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3424][1]~74816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3424][1]~74817\ : std_logic;
SIGNAL \led_flash_cnt[3424][2]~74818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3424][2]~74819\ : std_logic;
SIGNAL \led_flash_cnt[3424][3]~74820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3424][3]~74821\ : std_logic;
SIGNAL \led_flash_cnt[3424][4]~74822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][4]~q\ : std_logic;
SIGNAL \WideAnd3424~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][4]~74823\ : std_logic;
SIGNAL \led_flash_cnt[3424][5]~74824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3424][5]~74825\ : std_logic;
SIGNAL \led_flash_cnt[3424][6]~74826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3424][6]~74827\ : std_logic;
SIGNAL \led_flash_cnt[3424][7]~74828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3424][7]~q\ : std_logic;
SIGNAL \WideAnd3424~1_combout\ : std_logic;
SIGNAL \WideAnd3424~combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][0]~84066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3426][1]~74844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3426][1]~74845\ : std_logic;
SIGNAL \led_flash_cnt[3426][2]~74846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3426][2]~74847\ : std_logic;
SIGNAL \led_flash_cnt[3426][3]~74848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3426][3]~74849\ : std_logic;
SIGNAL \led_flash_cnt[3426][4]~74850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3426][4]~74851\ : std_logic;
SIGNAL \led_flash_cnt[3426][5]~74852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3426][5]~74853\ : std_logic;
SIGNAL \led_flash_cnt[3426][6]~74854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][6]~q\ : std_logic;
SIGNAL \WideAnd3426~1_combout\ : std_logic;
SIGNAL \WideAnd3426~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][6]~74855\ : std_logic;
SIGNAL \led_flash_cnt[3426][7]~74856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3426][7]~q\ : std_logic;
SIGNAL \WideAnd3426~combout\ : std_logic;
SIGNAL \WideAnd4268~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][0]~84068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3428][1]~74872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3428][1]~74873\ : std_logic;
SIGNAL \led_flash_cnt[3428][2]~74874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3428][2]~74875\ : std_logic;
SIGNAL \led_flash_cnt[3428][3]~74876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3428][3]~74877\ : std_logic;
SIGNAL \led_flash_cnt[3428][4]~74878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3428][4]~74879\ : std_logic;
SIGNAL \led_flash_cnt[3428][5]~74880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3428][5]~74881\ : std_logic;
SIGNAL \led_flash_cnt[3428][6]~74882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][6]~q\ : std_logic;
SIGNAL \WideAnd3428~1_combout\ : std_logic;
SIGNAL \WideAnd3428~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][6]~74883\ : std_logic;
SIGNAL \led_flash_cnt[3428][7]~74884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3428][7]~q\ : std_logic;
SIGNAL \WideAnd3428~combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][0]~84069_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3429][1]~74886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3429][1]~74887\ : std_logic;
SIGNAL \led_flash_cnt[3429][2]~74888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3429][2]~74889\ : std_logic;
SIGNAL \led_flash_cnt[3429][3]~74890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3429][3]~74891\ : std_logic;
SIGNAL \led_flash_cnt[3429][4]~74892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][4]~q\ : std_logic;
SIGNAL \WideAnd3429~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][4]~74893\ : std_logic;
SIGNAL \led_flash_cnt[3429][5]~74894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3429][5]~74895\ : std_logic;
SIGNAL \led_flash_cnt[3429][6]~74896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3429][6]~74897\ : std_logic;
SIGNAL \led_flash_cnt[3429][7]~74898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3429][7]~q\ : std_logic;
SIGNAL \WideAnd3429~1_combout\ : std_logic;
SIGNAL \WideAnd3429~combout\ : std_logic;
SIGNAL \WideAnd4268~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][0]~84071_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3431][1]~74914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3431][1]~74915\ : std_logic;
SIGNAL \led_flash_cnt[3431][2]~74916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3431][2]~74917\ : std_logic;
SIGNAL \led_flash_cnt[3431][3]~74918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3431][3]~74919\ : std_logic;
SIGNAL \led_flash_cnt[3431][4]~74920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3431][4]~74921\ : std_logic;
SIGNAL \led_flash_cnt[3431][5]~74922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3431][5]~74923\ : std_logic;
SIGNAL \led_flash_cnt[3431][6]~74924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3431][6]~74925\ : std_logic;
SIGNAL \led_flash_cnt[3431][7]~74926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3431][7]~q\ : std_logic;
SIGNAL \WideAnd3431~1_combout\ : std_logic;
SIGNAL \WideAnd3431~0_combout\ : std_logic;
SIGNAL \WideAnd3431~combout\ : std_logic;
SIGNAL \WideAnd4268~combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][0]~84078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3438][1]~75012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3438][1]~75013\ : std_logic;
SIGNAL \led_flash_cnt[3438][2]~75014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3438][2]~75015\ : std_logic;
SIGNAL \led_flash_cnt[3438][3]~75016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3438][3]~75017\ : std_logic;
SIGNAL \led_flash_cnt[3438][4]~75018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3438][4]~75019\ : std_logic;
SIGNAL \led_flash_cnt[3438][5]~75020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3438][5]~75021\ : std_logic;
SIGNAL \led_flash_cnt[3438][6]~75022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3438][6]~75023\ : std_logic;
SIGNAL \led_flash_cnt[3438][7]~75024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3438][7]~q\ : std_logic;
SIGNAL \WideAnd3438~0_combout\ : std_logic;
SIGNAL \WideAnd3438~1_combout\ : std_logic;
SIGNAL \WideAnd3438~combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][0]~84077_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3437][1]~74998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3437][1]~74999\ : std_logic;
SIGNAL \led_flash_cnt[3437][2]~75000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3437][2]~75001\ : std_logic;
SIGNAL \led_flash_cnt[3437][3]~75002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3437][3]~75003\ : std_logic;
SIGNAL \led_flash_cnt[3437][4]~75004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3437][4]~75005\ : std_logic;
SIGNAL \led_flash_cnt[3437][5]~75006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3437][5]~75007\ : std_logic;
SIGNAL \led_flash_cnt[3437][6]~75008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][6]~q\ : std_logic;
SIGNAL \WideAnd3437~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][6]~75009\ : std_logic;
SIGNAL \led_flash_cnt[3437][7]~75010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3437][7]~q\ : std_logic;
SIGNAL \WideAnd3437~0_combout\ : std_logic;
SIGNAL \WideAnd3437~combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][0]~84076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3436][1]~74984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3436][1]~74985\ : std_logic;
SIGNAL \led_flash_cnt[3436][2]~74986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3436][2]~74987\ : std_logic;
SIGNAL \led_flash_cnt[3436][3]~74988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3436][3]~74989\ : std_logic;
SIGNAL \led_flash_cnt[3436][4]~74990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3436][4]~74991\ : std_logic;
SIGNAL \led_flash_cnt[3436][5]~74992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3436][5]~74993\ : std_logic;
SIGNAL \led_flash_cnt[3436][6]~74994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][6]~q\ : std_logic;
SIGNAL \WideAnd3436~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][6]~74995\ : std_logic;
SIGNAL \led_flash_cnt[3436][7]~74996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3436][7]~q\ : std_logic;
SIGNAL \WideAnd3436~0_combout\ : std_logic;
SIGNAL \WideAnd3436~combout\ : std_logic;
SIGNAL \WideAnd4269~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][0]~84073_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3433][1]~74942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3433][1]~74943\ : std_logic;
SIGNAL \led_flash_cnt[3433][2]~74944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3433][2]~74945\ : std_logic;
SIGNAL \led_flash_cnt[3433][3]~74946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3433][3]~74947\ : std_logic;
SIGNAL \led_flash_cnt[3433][4]~74948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3433][4]~74949\ : std_logic;
SIGNAL \led_flash_cnt[3433][5]~74950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3433][5]~74951\ : std_logic;
SIGNAL \led_flash_cnt[3433][6]~74952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][6]~q\ : std_logic;
SIGNAL \WideAnd3433~1_combout\ : std_logic;
SIGNAL \WideAnd3433~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][6]~74953\ : std_logic;
SIGNAL \led_flash_cnt[3433][7]~74954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3433][7]~q\ : std_logic;
SIGNAL \WideAnd3433~combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][0]~84075_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3435][1]~74970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3435][1]~74971\ : std_logic;
SIGNAL \led_flash_cnt[3435][2]~74972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3435][2]~74973\ : std_logic;
SIGNAL \led_flash_cnt[3435][3]~74974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3435][3]~74975\ : std_logic;
SIGNAL \led_flash_cnt[3435][4]~74976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3435][4]~74977\ : std_logic;
SIGNAL \led_flash_cnt[3435][5]~74978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3435][5]~74979\ : std_logic;
SIGNAL \led_flash_cnt[3435][6]~74980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][6]~q\ : std_logic;
SIGNAL \WideAnd3435~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][6]~74981\ : std_logic;
SIGNAL \led_flash_cnt[3435][7]~74982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3435][7]~q\ : std_logic;
SIGNAL \WideAnd3435~0_combout\ : std_logic;
SIGNAL \WideAnd3435~combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][0]~84074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3434][1]~74956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3434][1]~74957\ : std_logic;
SIGNAL \led_flash_cnt[3434][2]~74958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3434][2]~74959\ : std_logic;
SIGNAL \led_flash_cnt[3434][3]~74960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3434][3]~74961\ : std_logic;
SIGNAL \led_flash_cnt[3434][4]~74962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][4]~q\ : std_logic;
SIGNAL \WideAnd3434~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][4]~74963\ : std_logic;
SIGNAL \led_flash_cnt[3434][5]~74964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3434][5]~74965\ : std_logic;
SIGNAL \led_flash_cnt[3434][6]~74966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3434][6]~74967\ : std_logic;
SIGNAL \led_flash_cnt[3434][7]~74968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3434][7]~q\ : std_logic;
SIGNAL \WideAnd3434~1_combout\ : std_logic;
SIGNAL \WideAnd3434~combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][0]~84072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3432][1]~74928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3432][1]~74929\ : std_logic;
SIGNAL \led_flash_cnt[3432][2]~74930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3432][2]~74931\ : std_logic;
SIGNAL \led_flash_cnt[3432][3]~74932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3432][3]~74933\ : std_logic;
SIGNAL \led_flash_cnt[3432][4]~74934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3432][4]~74935\ : std_logic;
SIGNAL \led_flash_cnt[3432][5]~74936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3432][5]~74937\ : std_logic;
SIGNAL \led_flash_cnt[3432][6]~74938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][6]~q\ : std_logic;
SIGNAL \WideAnd3432~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][6]~74939\ : std_logic;
SIGNAL \led_flash_cnt[3432][7]~74940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3432][7]~q\ : std_logic;
SIGNAL \WideAnd3432~0_combout\ : std_logic;
SIGNAL \WideAnd3432~combout\ : std_logic;
SIGNAL \WideAnd4269~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][0]~84079_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3439][1]~75026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3439][1]~75027\ : std_logic;
SIGNAL \led_flash_cnt[3439][2]~75028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3439][2]~75029\ : std_logic;
SIGNAL \led_flash_cnt[3439][3]~75030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3439][3]~75031\ : std_logic;
SIGNAL \led_flash_cnt[3439][4]~75032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][4]~q\ : std_logic;
SIGNAL \WideAnd3439~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][4]~75033\ : std_logic;
SIGNAL \led_flash_cnt[3439][5]~75034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3439][5]~75035\ : std_logic;
SIGNAL \led_flash_cnt[3439][6]~75036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][6]~q\ : std_logic;
SIGNAL \WideAnd3439~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][6]~75037\ : std_logic;
SIGNAL \led_flash_cnt[3439][7]~75038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3439][7]~q\ : std_logic;
SIGNAL \WideAnd3439~combout\ : std_logic;
SIGNAL \WideAnd4269~combout\ : std_logic;
SIGNAL \WideAnd4373~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][0]~84094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3454][1]~75236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3454][1]~75237\ : std_logic;
SIGNAL \led_flash_cnt[3454][2]~75238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3454][2]~75239\ : std_logic;
SIGNAL \led_flash_cnt[3454][3]~75240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3454][3]~75241\ : std_logic;
SIGNAL \led_flash_cnt[3454][4]~75242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3454][4]~75243\ : std_logic;
SIGNAL \led_flash_cnt[3454][5]~75244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3454][5]~75245\ : std_logic;
SIGNAL \led_flash_cnt[3454][6]~75246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3454][6]~75247\ : std_logic;
SIGNAL \led_flash_cnt[3454][7]~75248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3454][7]~q\ : std_logic;
SIGNAL \WideAnd3454~0_combout\ : std_logic;
SIGNAL \WideAnd3454~1_combout\ : std_logic;
SIGNAL \WideAnd3454~combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][0]~84093_combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3453][1]~75222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3453][1]~75223\ : std_logic;
SIGNAL \led_flash_cnt[3453][2]~75224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3453][2]~75225\ : std_logic;
SIGNAL \led_flash_cnt[3453][3]~75226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3453][3]~75227\ : std_logic;
SIGNAL \led_flash_cnt[3453][4]~75228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3453][4]~75229\ : std_logic;
SIGNAL \led_flash_cnt[3453][5]~75230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3453][5]~75231\ : std_logic;
SIGNAL \led_flash_cnt[3453][6]~75232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3453][6]~75233\ : std_logic;
SIGNAL \led_flash_cnt[3453][7]~75234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3453][7]~q\ : std_logic;
SIGNAL \WideAnd3453~0_combout\ : std_logic;
SIGNAL \WideAnd3453~1_combout\ : std_logic;
SIGNAL \WideAnd3453~combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][0]~84092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3452][1]~75208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3452][1]~75209\ : std_logic;
SIGNAL \led_flash_cnt[3452][2]~75210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3452][2]~75211\ : std_logic;
SIGNAL \led_flash_cnt[3452][3]~75212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3452][3]~75213\ : std_logic;
SIGNAL \led_flash_cnt[3452][4]~75214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3452][4]~75215\ : std_logic;
SIGNAL \led_flash_cnt[3452][5]~75216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3452][5]~75217\ : std_logic;
SIGNAL \led_flash_cnt[3452][6]~75218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][6]~q\ : std_logic;
SIGNAL \WideAnd3452~1_combout\ : std_logic;
SIGNAL \WideAnd3452~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][6]~75219\ : std_logic;
SIGNAL \led_flash_cnt[3452][7]~75220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3452][7]~q\ : std_logic;
SIGNAL \WideAnd3452~combout\ : std_logic;
SIGNAL \WideAnd4271~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][0]~84095_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3455][1]~75250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3455][1]~75251\ : std_logic;
SIGNAL \led_flash_cnt[3455][2]~75252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3455][2]~75253\ : std_logic;
SIGNAL \led_flash_cnt[3455][3]~75254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3455][3]~75255\ : std_logic;
SIGNAL \led_flash_cnt[3455][4]~75256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][4]~q\ : std_logic;
SIGNAL \WideAnd3455~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][4]~75257\ : std_logic;
SIGNAL \led_flash_cnt[3455][5]~75258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3455][5]~75259\ : std_logic;
SIGNAL \led_flash_cnt[3455][6]~75260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][6]~q\ : std_logic;
SIGNAL \WideAnd3455~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][6]~75261\ : std_logic;
SIGNAL \led_flash_cnt[3455][7]~75262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3455][7]~q\ : std_logic;
SIGNAL \WideAnd3455~combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][0]~84089_combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3449][1]~75166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3449][1]~75167\ : std_logic;
SIGNAL \led_flash_cnt[3449][2]~75168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3449][2]~75169\ : std_logic;
SIGNAL \led_flash_cnt[3449][3]~75170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3449][3]~75171\ : std_logic;
SIGNAL \led_flash_cnt[3449][4]~75172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3449][4]~75173\ : std_logic;
SIGNAL \led_flash_cnt[3449][5]~75174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3449][5]~75175\ : std_logic;
SIGNAL \led_flash_cnt[3449][6]~75176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3449][6]~75177\ : std_logic;
SIGNAL \led_flash_cnt[3449][7]~75178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3449][7]~q\ : std_logic;
SIGNAL \WideAnd3449~1_combout\ : std_logic;
SIGNAL \WideAnd3449~0_combout\ : std_logic;
SIGNAL \WideAnd3449~combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][0]~84090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3450][1]~75180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3450][1]~75181\ : std_logic;
SIGNAL \led_flash_cnt[3450][2]~75182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3450][2]~75183\ : std_logic;
SIGNAL \led_flash_cnt[3450][3]~75184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3450][3]~75185\ : std_logic;
SIGNAL \led_flash_cnt[3450][4]~75186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3450][4]~75187\ : std_logic;
SIGNAL \led_flash_cnt[3450][5]~75188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3450][5]~75189\ : std_logic;
SIGNAL \led_flash_cnt[3450][6]~75190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3450][6]~75191\ : std_logic;
SIGNAL \led_flash_cnt[3450][7]~75192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3450][7]~q\ : std_logic;
SIGNAL \WideAnd3450~1_combout\ : std_logic;
SIGNAL \WideAnd3450~0_combout\ : std_logic;
SIGNAL \WideAnd3450~combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][0]~84088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3448][1]~75152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3448][1]~75153\ : std_logic;
SIGNAL \led_flash_cnt[3448][2]~75154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3448][2]~75155\ : std_logic;
SIGNAL \led_flash_cnt[3448][3]~75156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3448][3]~75157\ : std_logic;
SIGNAL \led_flash_cnt[3448][4]~75158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][4]~q\ : std_logic;
SIGNAL \WideAnd3448~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][4]~75159\ : std_logic;
SIGNAL \led_flash_cnt[3448][5]~75160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3448][5]~75161\ : std_logic;
SIGNAL \led_flash_cnt[3448][6]~75162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3448][6]~75163\ : std_logic;
SIGNAL \led_flash_cnt[3448][7]~75164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3448][7]~q\ : std_logic;
SIGNAL \WideAnd3448~1_combout\ : std_logic;
SIGNAL \WideAnd3448~combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][0]~84091_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3451][1]~75194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3451][1]~75195\ : std_logic;
SIGNAL \led_flash_cnt[3451][2]~75196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3451][2]~75197\ : std_logic;
SIGNAL \led_flash_cnt[3451][3]~75198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3451][3]~75199\ : std_logic;
SIGNAL \led_flash_cnt[3451][4]~75200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3451][4]~75201\ : std_logic;
SIGNAL \led_flash_cnt[3451][5]~75202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3451][5]~75203\ : std_logic;
SIGNAL \led_flash_cnt[3451][6]~75204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][6]~q\ : std_logic;
SIGNAL \WideAnd3451~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][6]~75205\ : std_logic;
SIGNAL \led_flash_cnt[3451][7]~75206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3451][7]~q\ : std_logic;
SIGNAL \WideAnd3451~0_combout\ : std_logic;
SIGNAL \WideAnd3451~combout\ : std_logic;
SIGNAL \WideAnd4271~0_combout\ : std_logic;
SIGNAL \WideAnd4271~combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][0]~84050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3410][1]~74620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3410][1]~74621\ : std_logic;
SIGNAL \led_flash_cnt[3410][2]~74622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3410][2]~74623\ : std_logic;
SIGNAL \led_flash_cnt[3410][3]~74624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3410][3]~74625\ : std_logic;
SIGNAL \led_flash_cnt[3410][4]~74626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3410][4]~74627\ : std_logic;
SIGNAL \led_flash_cnt[3410][5]~74628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3410][5]~74629\ : std_logic;
SIGNAL \led_flash_cnt[3410][6]~74630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][6]~q\ : std_logic;
SIGNAL \WideAnd3410~1_combout\ : std_logic;
SIGNAL \WideAnd3410~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][6]~74631\ : std_logic;
SIGNAL \led_flash_cnt[3410][7]~74632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3410][7]~q\ : std_logic;
SIGNAL \WideAnd3410~combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][0]~84051_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3411][1]~74634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3411][1]~74635\ : std_logic;
SIGNAL \led_flash_cnt[3411][2]~74636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3411][2]~74637\ : std_logic;
SIGNAL \led_flash_cnt[3411][3]~74638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3411][3]~74639\ : std_logic;
SIGNAL \led_flash_cnt[3411][4]~74640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][4]~q\ : std_logic;
SIGNAL \WideAnd3411~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][4]~74641\ : std_logic;
SIGNAL \led_flash_cnt[3411][5]~74642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3411][5]~74643\ : std_logic;
SIGNAL \led_flash_cnt[3411][6]~74644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][6]~q\ : std_logic;
SIGNAL \WideAnd3411~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][6]~74645\ : std_logic;
SIGNAL \led_flash_cnt[3411][7]~74646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3411][7]~q\ : std_logic;
SIGNAL \WideAnd3411~combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][0]~84049_combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3409][1]~74606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3409][1]~74607\ : std_logic;
SIGNAL \led_flash_cnt[3409][2]~74608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3409][2]~74609\ : std_logic;
SIGNAL \led_flash_cnt[3409][3]~74610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3409][3]~74611\ : std_logic;
SIGNAL \led_flash_cnt[3409][4]~74612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3409][4]~74613\ : std_logic;
SIGNAL \led_flash_cnt[3409][5]~74614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3409][5]~74615\ : std_logic;
SIGNAL \led_flash_cnt[3409][6]~74616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3409][6]~74617\ : std_logic;
SIGNAL \led_flash_cnt[3409][7]~74618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3409][7]~q\ : std_logic;
SIGNAL \WideAnd3409~1_combout\ : std_logic;
SIGNAL \WideAnd3409~0_combout\ : std_logic;
SIGNAL \WideAnd3409~combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][0]~84048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3408][1]~74592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3408][1]~74593\ : std_logic;
SIGNAL \led_flash_cnt[3408][2]~74594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3408][2]~74595\ : std_logic;
SIGNAL \led_flash_cnt[3408][3]~74596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3408][3]~74597\ : std_logic;
SIGNAL \led_flash_cnt[3408][4]~74598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3408][4]~74599\ : std_logic;
SIGNAL \led_flash_cnt[3408][5]~74600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3408][5]~74601\ : std_logic;
SIGNAL \led_flash_cnt[3408][6]~74602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3408][6]~74603\ : std_logic;
SIGNAL \led_flash_cnt[3408][7]~74604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3408][7]~q\ : std_logic;
SIGNAL \WideAnd3408~1_combout\ : std_logic;
SIGNAL \WideAnd3408~0_combout\ : std_logic;
SIGNAL \WideAnd3408~combout\ : std_logic;
SIGNAL \WideAnd4266~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][0]~84055_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3415][1]~74690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3415][1]~74691\ : std_logic;
SIGNAL \led_flash_cnt[3415][2]~74692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3415][2]~74693\ : std_logic;
SIGNAL \led_flash_cnt[3415][3]~74694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3415][3]~74695\ : std_logic;
SIGNAL \led_flash_cnt[3415][4]~74696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3415][4]~74697\ : std_logic;
SIGNAL \led_flash_cnt[3415][5]~74698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3415][5]~74699\ : std_logic;
SIGNAL \led_flash_cnt[3415][6]~74700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3415][6]~74701\ : std_logic;
SIGNAL \led_flash_cnt[3415][7]~74702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3415][7]~q\ : std_logic;
SIGNAL \WideAnd3415~1_combout\ : std_logic;
SIGNAL \WideAnd3415~0_combout\ : std_logic;
SIGNAL \WideAnd3415~combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][0]~84053_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3413][1]~74662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3413][1]~74663\ : std_logic;
SIGNAL \led_flash_cnt[3413][2]~74664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3413][2]~74665\ : std_logic;
SIGNAL \led_flash_cnt[3413][3]~74666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3413][3]~74667\ : std_logic;
SIGNAL \led_flash_cnt[3413][4]~74668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][4]~q\ : std_logic;
SIGNAL \WideAnd3413~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][4]~74669\ : std_logic;
SIGNAL \led_flash_cnt[3413][5]~74670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3413][5]~74671\ : std_logic;
SIGNAL \led_flash_cnt[3413][6]~74672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][6]~q\ : std_logic;
SIGNAL \WideAnd3413~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][6]~74673\ : std_logic;
SIGNAL \led_flash_cnt[3413][7]~74674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3413][7]~q\ : std_logic;
SIGNAL \WideAnd3413~combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][0]~84052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3412][1]~74648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3412][1]~74649\ : std_logic;
SIGNAL \led_flash_cnt[3412][2]~74650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3412][2]~74651\ : std_logic;
SIGNAL \led_flash_cnt[3412][3]~74652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3412][3]~74653\ : std_logic;
SIGNAL \led_flash_cnt[3412][4]~74654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][4]~q\ : std_logic;
SIGNAL \WideAnd3412~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][4]~74655\ : std_logic;
SIGNAL \led_flash_cnt[3412][5]~74656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3412][5]~74657\ : std_logic;
SIGNAL \led_flash_cnt[3412][6]~74658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3412][6]~74659\ : std_logic;
SIGNAL \led_flash_cnt[3412][7]~74660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3412][7]~q\ : std_logic;
SIGNAL \WideAnd3412~1_combout\ : std_logic;
SIGNAL \WideAnd3412~combout\ : std_logic;
SIGNAL \WideAnd4266~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][0]~84054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3414][1]~74676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3414][1]~74677\ : std_logic;
SIGNAL \led_flash_cnt[3414][2]~74678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3414][2]~74679\ : std_logic;
SIGNAL \led_flash_cnt[3414][3]~74680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3414][3]~74681\ : std_logic;
SIGNAL \led_flash_cnt[3414][4]~74682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3414][4]~74683\ : std_logic;
SIGNAL \led_flash_cnt[3414][5]~74684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3414][5]~74685\ : std_logic;
SIGNAL \led_flash_cnt[3414][6]~74686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][6]~q\ : std_logic;
SIGNAL \WideAnd3414~0_combout\ : std_logic;
SIGNAL \WideAnd3414~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][6]~74687\ : std_logic;
SIGNAL \led_flash_cnt[3414][7]~74688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3414][7]~q\ : std_logic;
SIGNAL \WideAnd3414~combout\ : std_logic;
SIGNAL \WideAnd4266~combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][0]~84042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3402][1]~74508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3402][1]~74509\ : std_logic;
SIGNAL \led_flash_cnt[3402][2]~74510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3402][2]~74511\ : std_logic;
SIGNAL \led_flash_cnt[3402][3]~74512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3402][3]~74513\ : std_logic;
SIGNAL \led_flash_cnt[3402][4]~74514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3402][4]~74515\ : std_logic;
SIGNAL \led_flash_cnt[3402][5]~74516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3402][5]~74517\ : std_logic;
SIGNAL \led_flash_cnt[3402][6]~74518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][6]~q\ : std_logic;
SIGNAL \WideAnd3402~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][6]~74519\ : std_logic;
SIGNAL \led_flash_cnt[3402][7]~74520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3402][7]~q\ : std_logic;
SIGNAL \WideAnd3402~0_combout\ : std_logic;
SIGNAL \WideAnd3402~combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][0]~84043_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3403][1]~74522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3403][1]~74523\ : std_logic;
SIGNAL \led_flash_cnt[3403][2]~74524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3403][2]~74525\ : std_logic;
SIGNAL \led_flash_cnt[3403][3]~74526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3403][3]~74527\ : std_logic;
SIGNAL \led_flash_cnt[3403][4]~74528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][4]~q\ : std_logic;
SIGNAL \WideAnd3403~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][4]~74529\ : std_logic;
SIGNAL \led_flash_cnt[3403][5]~74530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3403][5]~74531\ : std_logic;
SIGNAL \led_flash_cnt[3403][6]~74532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3403][6]~74533\ : std_logic;
SIGNAL \led_flash_cnt[3403][7]~74534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3403][7]~q\ : std_logic;
SIGNAL \WideAnd3403~1_combout\ : std_logic;
SIGNAL \WideAnd3403~combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][0]~84040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3400][1]~74480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3400][1]~74481\ : std_logic;
SIGNAL \led_flash_cnt[3400][2]~74482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3400][2]~74483\ : std_logic;
SIGNAL \led_flash_cnt[3400][3]~74484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3400][3]~74485\ : std_logic;
SIGNAL \led_flash_cnt[3400][4]~74486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3400][4]~74487\ : std_logic;
SIGNAL \led_flash_cnt[3400][5]~74488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3400][5]~74489\ : std_logic;
SIGNAL \led_flash_cnt[3400][6]~74490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][6]~q\ : std_logic;
SIGNAL \WideAnd3400~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][6]~74491\ : std_logic;
SIGNAL \led_flash_cnt[3400][7]~74492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3400][7]~q\ : std_logic;
SIGNAL \WideAnd3400~0_combout\ : std_logic;
SIGNAL \WideAnd3400~combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][0]~84041_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3401][1]~74494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3401][1]~74495\ : std_logic;
SIGNAL \led_flash_cnt[3401][2]~74496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3401][2]~74497\ : std_logic;
SIGNAL \led_flash_cnt[3401][3]~74498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3401][3]~74499\ : std_logic;
SIGNAL \led_flash_cnt[3401][4]~74500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3401][4]~74501\ : std_logic;
SIGNAL \led_flash_cnt[3401][5]~74502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3401][5]~74503\ : std_logic;
SIGNAL \led_flash_cnt[3401][6]~74504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][6]~q\ : std_logic;
SIGNAL \WideAnd3401~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][6]~74505\ : std_logic;
SIGNAL \led_flash_cnt[3401][7]~74506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3401][7]~q\ : std_logic;
SIGNAL \WideAnd3401~0_combout\ : std_logic;
SIGNAL \WideAnd3401~combout\ : std_logic;
SIGNAL \WideAnd4265~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][0]~84045_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3405][1]~74550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3405][1]~74551\ : std_logic;
SIGNAL \led_flash_cnt[3405][2]~74552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3405][2]~74553\ : std_logic;
SIGNAL \led_flash_cnt[3405][3]~74554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3405][3]~74555\ : std_logic;
SIGNAL \led_flash_cnt[3405][4]~74556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][4]~q\ : std_logic;
SIGNAL \WideAnd3405~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][4]~74557\ : std_logic;
SIGNAL \led_flash_cnt[3405][5]~74558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3405][5]~74559\ : std_logic;
SIGNAL \led_flash_cnt[3405][6]~74560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3405][6]~74561\ : std_logic;
SIGNAL \led_flash_cnt[3405][7]~74562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3405][7]~q\ : std_logic;
SIGNAL \WideAnd3405~1_combout\ : std_logic;
SIGNAL \WideAnd3405~combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][0]~84044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3404][1]~74536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3404][1]~74537\ : std_logic;
SIGNAL \led_flash_cnt[3404][2]~74538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3404][2]~74539\ : std_logic;
SIGNAL \led_flash_cnt[3404][3]~74540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3404][3]~74541\ : std_logic;
SIGNAL \led_flash_cnt[3404][4]~74542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3404][4]~74543\ : std_logic;
SIGNAL \led_flash_cnt[3404][5]~74544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3404][5]~74545\ : std_logic;
SIGNAL \led_flash_cnt[3404][6]~74546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][6]~q\ : std_logic;
SIGNAL \WideAnd3404~1_combout\ : std_logic;
SIGNAL \WideAnd3404~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][6]~74547\ : std_logic;
SIGNAL \led_flash_cnt[3404][7]~74548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3404][7]~q\ : std_logic;
SIGNAL \WideAnd3404~combout\ : std_logic;
SIGNAL \WideAnd4265~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][0]~84047_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3407][1]~74578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3407][1]~74579\ : std_logic;
SIGNAL \led_flash_cnt[3407][2]~74580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3407][2]~74581\ : std_logic;
SIGNAL \led_flash_cnt[3407][3]~74582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3407][3]~74583\ : std_logic;
SIGNAL \led_flash_cnt[3407][4]~74584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3407][4]~74585\ : std_logic;
SIGNAL \led_flash_cnt[3407][5]~74586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3407][5]~74587\ : std_logic;
SIGNAL \led_flash_cnt[3407][6]~74588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][6]~q\ : std_logic;
SIGNAL \WideAnd3407~1_combout\ : std_logic;
SIGNAL \WideAnd3407~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][6]~74589\ : std_logic;
SIGNAL \led_flash_cnt[3407][7]~74590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3407][7]~q\ : std_logic;
SIGNAL \WideAnd3407~combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][0]~84046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3406][1]~74564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3406][1]~74565\ : std_logic;
SIGNAL \led_flash_cnt[3406][2]~74566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3406][2]~74567\ : std_logic;
SIGNAL \led_flash_cnt[3406][3]~74568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3406][3]~74569\ : std_logic;
SIGNAL \led_flash_cnt[3406][4]~74570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3406][4]~74571\ : std_logic;
SIGNAL \led_flash_cnt[3406][5]~74572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3406][5]~74573\ : std_logic;
SIGNAL \led_flash_cnt[3406][6]~74574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3406][6]~74575\ : std_logic;
SIGNAL \led_flash_cnt[3406][7]~74576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3406][7]~q\ : std_logic;
SIGNAL \WideAnd3406~1_combout\ : std_logic;
SIGNAL \WideAnd3406~0_combout\ : std_logic;
SIGNAL \WideAnd3406~combout\ : std_logic;
SIGNAL \WideAnd4265~combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][0]~84059_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3419][1]~74746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3419][1]~74747\ : std_logic;
SIGNAL \led_flash_cnt[3419][2]~74748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3419][2]~74749\ : std_logic;
SIGNAL \led_flash_cnt[3419][3]~74750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3419][3]~74751\ : std_logic;
SIGNAL \led_flash_cnt[3419][4]~74752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][4]~q\ : std_logic;
SIGNAL \WideAnd3419~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][4]~74753\ : std_logic;
SIGNAL \led_flash_cnt[3419][5]~74754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3419][5]~74755\ : std_logic;
SIGNAL \led_flash_cnt[3419][6]~74756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3419][6]~74757\ : std_logic;
SIGNAL \led_flash_cnt[3419][7]~74758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3419][7]~q\ : std_logic;
SIGNAL \WideAnd3419~1_combout\ : std_logic;
SIGNAL \WideAnd3419~combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][0]~84056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3416][1]~74704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3416][1]~74705\ : std_logic;
SIGNAL \led_flash_cnt[3416][2]~74706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3416][2]~74707\ : std_logic;
SIGNAL \led_flash_cnt[3416][3]~74708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3416][3]~74709\ : std_logic;
SIGNAL \led_flash_cnt[3416][4]~74710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3416][4]~74711\ : std_logic;
SIGNAL \led_flash_cnt[3416][5]~74712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3416][5]~74713\ : std_logic;
SIGNAL \led_flash_cnt[3416][6]~74714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3416][6]~74715\ : std_logic;
SIGNAL \led_flash_cnt[3416][7]~74716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3416][7]~q\ : std_logic;
SIGNAL \WideAnd3416~1_combout\ : std_logic;
SIGNAL \WideAnd3416~0_combout\ : std_logic;
SIGNAL \WideAnd3416~combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][0]~84058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3418][1]~74732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3418][1]~74733\ : std_logic;
SIGNAL \led_flash_cnt[3418][2]~74734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3418][2]~74735\ : std_logic;
SIGNAL \led_flash_cnt[3418][3]~74736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3418][3]~74737\ : std_logic;
SIGNAL \led_flash_cnt[3418][4]~74738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][4]~q\ : std_logic;
SIGNAL \WideAnd3418~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][4]~74739\ : std_logic;
SIGNAL \led_flash_cnt[3418][5]~74740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3418][5]~74741\ : std_logic;
SIGNAL \led_flash_cnt[3418][6]~74742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][6]~q\ : std_logic;
SIGNAL \WideAnd3418~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][6]~74743\ : std_logic;
SIGNAL \led_flash_cnt[3418][7]~74744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3418][7]~q\ : std_logic;
SIGNAL \WideAnd3418~combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][0]~84057_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3417][1]~74718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3417][1]~74719\ : std_logic;
SIGNAL \led_flash_cnt[3417][2]~74720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3417][2]~74721\ : std_logic;
SIGNAL \led_flash_cnt[3417][3]~74722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3417][3]~74723\ : std_logic;
SIGNAL \led_flash_cnt[3417][4]~74724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][4]~q\ : std_logic;
SIGNAL \WideAnd3417~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][4]~74725\ : std_logic;
SIGNAL \led_flash_cnt[3417][5]~74726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3417][5]~74727\ : std_logic;
SIGNAL \led_flash_cnt[3417][6]~74728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3417][6]~74729\ : std_logic;
SIGNAL \led_flash_cnt[3417][7]~74730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3417][7]~q\ : std_logic;
SIGNAL \WideAnd3417~1_combout\ : std_logic;
SIGNAL \WideAnd3417~combout\ : std_logic;
SIGNAL \WideAnd4267~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][0]~84062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3422][1]~74788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3422][1]~74789\ : std_logic;
SIGNAL \led_flash_cnt[3422][2]~74790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3422][2]~74791\ : std_logic;
SIGNAL \led_flash_cnt[3422][3]~74792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3422][3]~74793\ : std_logic;
SIGNAL \led_flash_cnt[3422][4]~74794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][4]~q\ : std_logic;
SIGNAL \WideAnd3422~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][4]~74795\ : std_logic;
SIGNAL \led_flash_cnt[3422][5]~74796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3422][5]~74797\ : std_logic;
SIGNAL \led_flash_cnt[3422][6]~74798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3422][6]~74799\ : std_logic;
SIGNAL \led_flash_cnt[3422][7]~74800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3422][7]~q\ : std_logic;
SIGNAL \WideAnd3422~1_combout\ : std_logic;
SIGNAL \WideAnd3422~combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][0]~84061_combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3421][1]~74774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3421][1]~74775\ : std_logic;
SIGNAL \led_flash_cnt[3421][2]~74776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3421][2]~74777\ : std_logic;
SIGNAL \led_flash_cnt[3421][3]~74778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3421][3]~74779\ : std_logic;
SIGNAL \led_flash_cnt[3421][4]~74780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3421][4]~74781\ : std_logic;
SIGNAL \led_flash_cnt[3421][5]~74782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3421][5]~74783\ : std_logic;
SIGNAL \led_flash_cnt[3421][6]~74784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3421][6]~74785\ : std_logic;
SIGNAL \led_flash_cnt[3421][7]~74786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3421][7]~q\ : std_logic;
SIGNAL \WideAnd3421~1_combout\ : std_logic;
SIGNAL \WideAnd3421~0_combout\ : std_logic;
SIGNAL \WideAnd3421~combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][0]~84060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3420][1]~74760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3420][1]~74761\ : std_logic;
SIGNAL \led_flash_cnt[3420][2]~74762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3420][2]~74763\ : std_logic;
SIGNAL \led_flash_cnt[3420][3]~74764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3420][3]~74765\ : std_logic;
SIGNAL \led_flash_cnt[3420][4]~74766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][4]~q\ : std_logic;
SIGNAL \WideAnd3420~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][4]~74767\ : std_logic;
SIGNAL \led_flash_cnt[3420][5]~74768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3420][5]~74769\ : std_logic;
SIGNAL \led_flash_cnt[3420][6]~74770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][6]~q\ : std_logic;
SIGNAL \WideAnd3420~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][6]~74771\ : std_logic;
SIGNAL \led_flash_cnt[3420][7]~74772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3420][7]~q\ : std_logic;
SIGNAL \WideAnd3420~combout\ : std_logic;
SIGNAL \WideAnd4267~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][0]~84063_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3423][1]~74802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3423][1]~74803\ : std_logic;
SIGNAL \led_flash_cnt[3423][2]~74804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3423][2]~74805\ : std_logic;
SIGNAL \led_flash_cnt[3423][3]~74806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3423][3]~74807\ : std_logic;
SIGNAL \led_flash_cnt[3423][4]~74808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3423][4]~74809\ : std_logic;
SIGNAL \led_flash_cnt[3423][5]~74810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3423][5]~74811\ : std_logic;
SIGNAL \led_flash_cnt[3423][6]~74812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3423][6]~74813\ : std_logic;
SIGNAL \led_flash_cnt[3423][7]~74814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3423][7]~q\ : std_logic;
SIGNAL \WideAnd3423~1_combout\ : std_logic;
SIGNAL \WideAnd3423~0_combout\ : std_logic;
SIGNAL \WideAnd3423~combout\ : std_logic;
SIGNAL \WideAnd4267~combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][0]~84038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3398][1]~74452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3398][1]~74453\ : std_logic;
SIGNAL \led_flash_cnt[3398][2]~74454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3398][2]~74455\ : std_logic;
SIGNAL \led_flash_cnt[3398][3]~74456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3398][3]~74457\ : std_logic;
SIGNAL \led_flash_cnt[3398][4]~74458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3398][4]~74459\ : std_logic;
SIGNAL \led_flash_cnt[3398][5]~74460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3398][5]~74461\ : std_logic;
SIGNAL \led_flash_cnt[3398][6]~74462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3398][6]~74463\ : std_logic;
SIGNAL \led_flash_cnt[3398][7]~74464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3398][7]~q\ : std_logic;
SIGNAL \WideAnd3398~1_combout\ : std_logic;
SIGNAL \WideAnd3398~0_combout\ : std_logic;
SIGNAL \WideAnd3398~combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][0]~84039_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3399][1]~74466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3399][1]~74467\ : std_logic;
SIGNAL \led_flash_cnt[3399][2]~74468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3399][2]~74469\ : std_logic;
SIGNAL \led_flash_cnt[3399][3]~74470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3399][3]~74471\ : std_logic;
SIGNAL \led_flash_cnt[3399][4]~74472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3399][4]~74473\ : std_logic;
SIGNAL \led_flash_cnt[3399][5]~74474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3399][5]~74475\ : std_logic;
SIGNAL \led_flash_cnt[3399][6]~74476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][6]~q\ : std_logic;
SIGNAL \WideAnd3399~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][6]~74477\ : std_logic;
SIGNAL \led_flash_cnt[3399][7]~74478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3399][7]~q\ : std_logic;
SIGNAL \WideAnd3399~0_combout\ : std_logic;
SIGNAL \WideAnd3399~combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][0]~84037_combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3397][1]~74438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3397][1]~74439\ : std_logic;
SIGNAL \led_flash_cnt[3397][2]~74440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3397][2]~74441\ : std_logic;
SIGNAL \led_flash_cnt[3397][3]~74442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3397][3]~74443\ : std_logic;
SIGNAL \led_flash_cnt[3397][4]~74444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3397][4]~74445\ : std_logic;
SIGNAL \led_flash_cnt[3397][5]~74446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3397][5]~74447\ : std_logic;
SIGNAL \led_flash_cnt[3397][6]~74448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3397][6]~74449\ : std_logic;
SIGNAL \led_flash_cnt[3397][7]~74450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3397][7]~q\ : std_logic;
SIGNAL \WideAnd3397~1_combout\ : std_logic;
SIGNAL \WideAnd3397~0_combout\ : std_logic;
SIGNAL \WideAnd3397~combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][0]~84036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3396][1]~74424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3396][1]~74425\ : std_logic;
SIGNAL \led_flash_cnt[3396][2]~74426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3396][2]~74427\ : std_logic;
SIGNAL \led_flash_cnt[3396][3]~74428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3396][3]~74429\ : std_logic;
SIGNAL \led_flash_cnt[3396][4]~74430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3396][4]~74431\ : std_logic;
SIGNAL \led_flash_cnt[3396][5]~74432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3396][5]~74433\ : std_logic;
SIGNAL \led_flash_cnt[3396][6]~74434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3396][6]~74435\ : std_logic;
SIGNAL \led_flash_cnt[3396][7]~74436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3396][7]~q\ : std_logic;
SIGNAL \WideAnd3396~0_combout\ : std_logic;
SIGNAL \WideAnd3396~1_combout\ : std_logic;
SIGNAL \WideAnd3396~combout\ : std_logic;
SIGNAL \WideAnd4264~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][0]~84035_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3395][1]~74410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3395][1]~74411\ : std_logic;
SIGNAL \led_flash_cnt[3395][2]~74412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3395][2]~74413\ : std_logic;
SIGNAL \led_flash_cnt[3395][3]~74414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3395][3]~74415\ : std_logic;
SIGNAL \led_flash_cnt[3395][4]~74416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3395][4]~74417\ : std_logic;
SIGNAL \led_flash_cnt[3395][5]~74418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3395][5]~74419\ : std_logic;
SIGNAL \led_flash_cnt[3395][6]~74420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][6]~q\ : std_logic;
SIGNAL \WideAnd3395~1_combout\ : std_logic;
SIGNAL \WideAnd3395~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][6]~74421\ : std_logic;
SIGNAL \led_flash_cnt[3395][7]~74422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3395][7]~q\ : std_logic;
SIGNAL \WideAnd3395~combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][0]~84032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3392][1]~74368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3392][1]~74369\ : std_logic;
SIGNAL \led_flash_cnt[3392][2]~74370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3392][2]~74371\ : std_logic;
SIGNAL \led_flash_cnt[3392][3]~74372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3392][3]~74373\ : std_logic;
SIGNAL \led_flash_cnt[3392][4]~74374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3392][4]~74375\ : std_logic;
SIGNAL \led_flash_cnt[3392][5]~74376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3392][5]~74377\ : std_logic;
SIGNAL \led_flash_cnt[3392][6]~74378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][6]~q\ : std_logic;
SIGNAL \WideAnd3392~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][6]~74379\ : std_logic;
SIGNAL \led_flash_cnt[3392][7]~74380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3392][7]~q\ : std_logic;
SIGNAL \WideAnd3392~0_combout\ : std_logic;
SIGNAL \WideAnd3392~combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][0]~84034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3394][1]~74396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3394][1]~74397\ : std_logic;
SIGNAL \led_flash_cnt[3394][2]~74398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3394][2]~74399\ : std_logic;
SIGNAL \led_flash_cnt[3394][3]~74400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3394][3]~74401\ : std_logic;
SIGNAL \led_flash_cnt[3394][4]~74402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][4]~q\ : std_logic;
SIGNAL \WideAnd3394~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][4]~74403\ : std_logic;
SIGNAL \led_flash_cnt[3394][5]~74404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3394][5]~74405\ : std_logic;
SIGNAL \led_flash_cnt[3394][6]~74406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][6]~q\ : std_logic;
SIGNAL \WideAnd3394~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][6]~74407\ : std_logic;
SIGNAL \led_flash_cnt[3394][7]~74408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3394][7]~q\ : std_logic;
SIGNAL \WideAnd3394~combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][0]~84033_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3393][1]~74382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3393][1]~74383\ : std_logic;
SIGNAL \led_flash_cnt[3393][2]~74384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3393][2]~74385\ : std_logic;
SIGNAL \led_flash_cnt[3393][3]~74386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3393][3]~74387\ : std_logic;
SIGNAL \led_flash_cnt[3393][4]~74388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][4]~q\ : std_logic;
SIGNAL \WideAnd3393~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][4]~74389\ : std_logic;
SIGNAL \led_flash_cnt[3393][5]~74390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3393][5]~74391\ : std_logic;
SIGNAL \led_flash_cnt[3393][6]~74392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3393][6]~74393\ : std_logic;
SIGNAL \led_flash_cnt[3393][7]~74394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3393][7]~q\ : std_logic;
SIGNAL \WideAnd3393~1_combout\ : std_logic;
SIGNAL \WideAnd3393~combout\ : std_logic;
SIGNAL \WideAnd4264~0_combout\ : std_logic;
SIGNAL \WideAnd4264~combout\ : std_logic;
SIGNAL \WideAnd4373~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][0]~84087_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3447][1]~75138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3447][1]~75139\ : std_logic;
SIGNAL \led_flash_cnt[3447][2]~75140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3447][2]~75141\ : std_logic;
SIGNAL \led_flash_cnt[3447][3]~75142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3447][3]~75143\ : std_logic;
SIGNAL \led_flash_cnt[3447][4]~75144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][4]~q\ : std_logic;
SIGNAL \WideAnd3447~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][4]~75145\ : std_logic;
SIGNAL \led_flash_cnt[3447][5]~75146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3447][5]~75147\ : std_logic;
SIGNAL \led_flash_cnt[3447][6]~75148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3447][6]~75149\ : std_logic;
SIGNAL \led_flash_cnt[3447][7]~75150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3447][7]~q\ : std_logic;
SIGNAL \WideAnd3447~1_combout\ : std_logic;
SIGNAL \WideAnd3447~combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][0]~84086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3446][1]~75124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3446][1]~75125\ : std_logic;
SIGNAL \led_flash_cnt[3446][2]~75126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3446][2]~75127\ : std_logic;
SIGNAL \led_flash_cnt[3446][3]~75128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3446][3]~75129\ : std_logic;
SIGNAL \led_flash_cnt[3446][4]~75130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3446][4]~75131\ : std_logic;
SIGNAL \led_flash_cnt[3446][5]~75132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3446][5]~75133\ : std_logic;
SIGNAL \led_flash_cnt[3446][6]~75134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3446][6]~75135\ : std_logic;
SIGNAL \led_flash_cnt[3446][7]~75136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3446][7]~q\ : std_logic;
SIGNAL \WideAnd3446~1_combout\ : std_logic;
SIGNAL \WideAnd3446~0_combout\ : std_logic;
SIGNAL \WideAnd3446~combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][0]~84080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3440][1]~75040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3440][1]~75041\ : std_logic;
SIGNAL \led_flash_cnt[3440][2]~75042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3440][2]~75043\ : std_logic;
SIGNAL \led_flash_cnt[3440][3]~75044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3440][3]~75045\ : std_logic;
SIGNAL \led_flash_cnt[3440][4]~75046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3440][4]~75047\ : std_logic;
SIGNAL \led_flash_cnt[3440][5]~75048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3440][5]~75049\ : std_logic;
SIGNAL \led_flash_cnt[3440][6]~75050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3440][6]~75051\ : std_logic;
SIGNAL \led_flash_cnt[3440][7]~75052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3440][7]~q\ : std_logic;
SIGNAL \WideAnd3440~1_combout\ : std_logic;
SIGNAL \WideAnd3440~0_combout\ : std_logic;
SIGNAL \WideAnd3440~combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][0]~84082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3442][1]~75068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3442][1]~75069\ : std_logic;
SIGNAL \led_flash_cnt[3442][2]~75070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3442][2]~75071\ : std_logic;
SIGNAL \led_flash_cnt[3442][3]~75072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3442][3]~75073\ : std_logic;
SIGNAL \led_flash_cnt[3442][4]~75074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][4]~q\ : std_logic;
SIGNAL \WideAnd3442~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][4]~75075\ : std_logic;
SIGNAL \led_flash_cnt[3442][5]~75076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3442][5]~75077\ : std_logic;
SIGNAL \led_flash_cnt[3442][6]~75078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3442][6]~75079\ : std_logic;
SIGNAL \led_flash_cnt[3442][7]~75080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3442][7]~q\ : std_logic;
SIGNAL \WideAnd3442~1_combout\ : std_logic;
SIGNAL \WideAnd3442~combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][0]~84081_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3441][1]~75054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3441][1]~75055\ : std_logic;
SIGNAL \led_flash_cnt[3441][2]~75056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3441][2]~75057\ : std_logic;
SIGNAL \led_flash_cnt[3441][3]~75058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3441][3]~75059\ : std_logic;
SIGNAL \led_flash_cnt[3441][4]~75060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3441][4]~75061\ : std_logic;
SIGNAL \led_flash_cnt[3441][5]~75062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3441][5]~75063\ : std_logic;
SIGNAL \led_flash_cnt[3441][6]~75064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][6]~q\ : std_logic;
SIGNAL \WideAnd3441~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][6]~75065\ : std_logic;
SIGNAL \led_flash_cnt[3441][7]~75066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3441][7]~q\ : std_logic;
SIGNAL \WideAnd3441~0_combout\ : std_logic;
SIGNAL \WideAnd3441~combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][0]~84083_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3443][1]~75082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3443][1]~75083\ : std_logic;
SIGNAL \led_flash_cnt[3443][2]~75084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3443][2]~75085\ : std_logic;
SIGNAL \led_flash_cnt[3443][3]~75086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3443][3]~75087\ : std_logic;
SIGNAL \led_flash_cnt[3443][4]~75088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][4]~q\ : std_logic;
SIGNAL \WideAnd3443~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][4]~75089\ : std_logic;
SIGNAL \led_flash_cnt[3443][5]~75090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3443][5]~75091\ : std_logic;
SIGNAL \led_flash_cnt[3443][6]~75092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3443][6]~75093\ : std_logic;
SIGNAL \led_flash_cnt[3443][7]~75094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3443][7]~q\ : std_logic;
SIGNAL \WideAnd3443~1_combout\ : std_logic;
SIGNAL \WideAnd3443~combout\ : std_logic;
SIGNAL \WideAnd4270~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][0]~84085_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3445][1]~75110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3445][1]~75111\ : std_logic;
SIGNAL \led_flash_cnt[3445][2]~75112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3445][2]~75113\ : std_logic;
SIGNAL \led_flash_cnt[3445][3]~75114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3445][3]~75115\ : std_logic;
SIGNAL \led_flash_cnt[3445][4]~75116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3445][4]~75117\ : std_logic;
SIGNAL \led_flash_cnt[3445][5]~75118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3445][5]~75119\ : std_logic;
SIGNAL \led_flash_cnt[3445][6]~75120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][6]~q\ : std_logic;
SIGNAL \WideAnd3445~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][6]~75121\ : std_logic;
SIGNAL \led_flash_cnt[3445][7]~75122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3445][7]~q\ : std_logic;
SIGNAL \WideAnd3445~0_combout\ : std_logic;
SIGNAL \WideAnd3445~combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][0]~84084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3444][1]~75096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3444][1]~75097\ : std_logic;
SIGNAL \led_flash_cnt[3444][2]~75098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3444][2]~75099\ : std_logic;
SIGNAL \led_flash_cnt[3444][3]~75100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3444][3]~75101\ : std_logic;
SIGNAL \led_flash_cnt[3444][4]~75102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3444][4]~75103\ : std_logic;
SIGNAL \led_flash_cnt[3444][5]~75104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3444][5]~75105\ : std_logic;
SIGNAL \led_flash_cnt[3444][6]~75106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3444][6]~75107\ : std_logic;
SIGNAL \led_flash_cnt[3444][7]~75108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3444][7]~q\ : std_logic;
SIGNAL \WideAnd3444~0_combout\ : std_logic;
SIGNAL \WideAnd3444~1_combout\ : std_logic;
SIGNAL \WideAnd3444~combout\ : std_logic;
SIGNAL \WideAnd4270~1_combout\ : std_logic;
SIGNAL \WideAnd4270~combout\ : std_logic;
SIGNAL \WideAnd4373~combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][0]~84029_combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3389][1]~74326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3389][1]~74327\ : std_logic;
SIGNAL \led_flash_cnt[3389][2]~74328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3389][2]~74329\ : std_logic;
SIGNAL \led_flash_cnt[3389][3]~74330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3389][3]~74331\ : std_logic;
SIGNAL \led_flash_cnt[3389][4]~74332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3389][4]~74333\ : std_logic;
SIGNAL \led_flash_cnt[3389][5]~74334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3389][5]~74335\ : std_logic;
SIGNAL \led_flash_cnt[3389][6]~74336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3389][6]~74337\ : std_logic;
SIGNAL \led_flash_cnt[3389][7]~74338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3389][7]~q\ : std_logic;
SIGNAL \WideAnd3389~1_combout\ : std_logic;
SIGNAL \WideAnd3389~0_combout\ : std_logic;
SIGNAL \WideAnd3389~combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][0]~84028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3388][1]~74312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3388][1]~74313\ : std_logic;
SIGNAL \led_flash_cnt[3388][2]~74314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3388][2]~74315\ : std_logic;
SIGNAL \led_flash_cnt[3388][3]~74316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3388][3]~74317\ : std_logic;
SIGNAL \led_flash_cnt[3388][4]~74318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3388][4]~74319\ : std_logic;
SIGNAL \led_flash_cnt[3388][5]~74320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3388][5]~74321\ : std_logic;
SIGNAL \led_flash_cnt[3388][6]~74322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][6]~q\ : std_logic;
SIGNAL \WideAnd3388~1_combout\ : std_logic;
SIGNAL \WideAnd3388~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][6]~74323\ : std_logic;
SIGNAL \led_flash_cnt[3388][7]~74324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3388][7]~q\ : std_logic;
SIGNAL \WideAnd3388~combout\ : std_logic;
SIGNAL \WideAnd4263~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][0]~84030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3390][1]~74340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3390][1]~74341\ : std_logic;
SIGNAL \led_flash_cnt[3390][2]~74342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3390][2]~74343\ : std_logic;
SIGNAL \led_flash_cnt[3390][3]~74344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3390][3]~74345\ : std_logic;
SIGNAL \led_flash_cnt[3390][4]~74346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3390][4]~74347\ : std_logic;
SIGNAL \led_flash_cnt[3390][5]~74348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3390][5]~74349\ : std_logic;
SIGNAL \led_flash_cnt[3390][6]~74350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][6]~q\ : std_logic;
SIGNAL \WideAnd3390~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][6]~74351\ : std_logic;
SIGNAL \led_flash_cnt[3390][7]~74352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3390][7]~q\ : std_logic;
SIGNAL \WideAnd3390~0_combout\ : std_logic;
SIGNAL \WideAnd3390~combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][0]~84024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3384][1]~74256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3384][1]~74257\ : std_logic;
SIGNAL \led_flash_cnt[3384][2]~74258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3384][2]~74259\ : std_logic;
SIGNAL \led_flash_cnt[3384][3]~74260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3384][3]~74261\ : std_logic;
SIGNAL \led_flash_cnt[3384][4]~74262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3384][4]~74263\ : std_logic;
SIGNAL \led_flash_cnt[3384][5]~74264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3384][5]~74265\ : std_logic;
SIGNAL \led_flash_cnt[3384][6]~74266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][6]~q\ : std_logic;
SIGNAL \WideAnd3384~1_combout\ : std_logic;
SIGNAL \WideAnd3384~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][6]~74267\ : std_logic;
SIGNAL \led_flash_cnt[3384][7]~74268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3384][7]~q\ : std_logic;
SIGNAL \WideAnd3384~combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][0]~84027_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3387][1]~74298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3387][1]~74299\ : std_logic;
SIGNAL \led_flash_cnt[3387][2]~74300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3387][2]~74301\ : std_logic;
SIGNAL \led_flash_cnt[3387][3]~74302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3387][3]~74303\ : std_logic;
SIGNAL \led_flash_cnt[3387][4]~74304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][4]~q\ : std_logic;
SIGNAL \WideAnd3387~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][4]~74305\ : std_logic;
SIGNAL \led_flash_cnt[3387][5]~74306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3387][5]~74307\ : std_logic;
SIGNAL \led_flash_cnt[3387][6]~74308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3387][6]~74309\ : std_logic;
SIGNAL \led_flash_cnt[3387][7]~74310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3387][7]~q\ : std_logic;
SIGNAL \WideAnd3387~1_combout\ : std_logic;
SIGNAL \WideAnd3387~combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][0]~84026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3386][1]~74284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3386][1]~74285\ : std_logic;
SIGNAL \led_flash_cnt[3386][2]~74286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3386][2]~74287\ : std_logic;
SIGNAL \led_flash_cnt[3386][3]~74288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3386][3]~74289\ : std_logic;
SIGNAL \led_flash_cnt[3386][4]~74290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3386][4]~74291\ : std_logic;
SIGNAL \led_flash_cnt[3386][5]~74292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3386][5]~74293\ : std_logic;
SIGNAL \led_flash_cnt[3386][6]~74294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3386][6]~74295\ : std_logic;
SIGNAL \led_flash_cnt[3386][7]~74296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3386][7]~q\ : std_logic;
SIGNAL \WideAnd3386~0_combout\ : std_logic;
SIGNAL \WideAnd3386~1_combout\ : std_logic;
SIGNAL \WideAnd3386~combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][0]~84025_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3385][1]~74270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3385][1]~74271\ : std_logic;
SIGNAL \led_flash_cnt[3385][2]~74272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3385][2]~74273\ : std_logic;
SIGNAL \led_flash_cnt[3385][3]~74274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3385][3]~74275\ : std_logic;
SIGNAL \led_flash_cnt[3385][4]~74276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][4]~q\ : std_logic;
SIGNAL \WideAnd3385~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][4]~74277\ : std_logic;
SIGNAL \led_flash_cnt[3385][5]~74278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3385][5]~74279\ : std_logic;
SIGNAL \led_flash_cnt[3385][6]~74280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][6]~q\ : std_logic;
SIGNAL \WideAnd3385~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][6]~74281\ : std_logic;
SIGNAL \led_flash_cnt[3385][7]~74282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3385][7]~q\ : std_logic;
SIGNAL \WideAnd3385~combout\ : std_logic;
SIGNAL \WideAnd4263~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][0]~84031_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3391][1]~74354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3391][1]~74355\ : std_logic;
SIGNAL \led_flash_cnt[3391][2]~74356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3391][2]~74357\ : std_logic;
SIGNAL \led_flash_cnt[3391][3]~74358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3391][3]~74359\ : std_logic;
SIGNAL \led_flash_cnt[3391][4]~74360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3391][4]~74361\ : std_logic;
SIGNAL \led_flash_cnt[3391][5]~74362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3391][5]~74363\ : std_logic;
SIGNAL \led_flash_cnt[3391][6]~74364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][6]~q\ : std_logic;
SIGNAL \WideAnd3391~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][6]~74365\ : std_logic;
SIGNAL \led_flash_cnt[3391][7]~74366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3391][7]~q\ : std_logic;
SIGNAL \WideAnd3391~0_combout\ : std_logic;
SIGNAL \WideAnd3391~combout\ : std_logic;
SIGNAL \WideAnd4263~combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][0]~83985_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3345][1]~73710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3345][1]~73711\ : std_logic;
SIGNAL \led_flash_cnt[3345][2]~73712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3345][2]~73713\ : std_logic;
SIGNAL \led_flash_cnt[3345][3]~73714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3345][3]~73715\ : std_logic;
SIGNAL \led_flash_cnt[3345][4]~73716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3345][4]~73717\ : std_logic;
SIGNAL \led_flash_cnt[3345][5]~73718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3345][5]~73719\ : std_logic;
SIGNAL \led_flash_cnt[3345][6]~73720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][6]~q\ : std_logic;
SIGNAL \WideAnd3345~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][6]~73721\ : std_logic;
SIGNAL \led_flash_cnt[3345][7]~73722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3345][7]~q\ : std_logic;
SIGNAL \WideAnd3345~0_combout\ : std_logic;
SIGNAL \WideAnd3345~combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][0]~83984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3344][1]~73696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3344][1]~73697\ : std_logic;
SIGNAL \led_flash_cnt[3344][2]~73698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3344][2]~73699\ : std_logic;
SIGNAL \led_flash_cnt[3344][3]~73700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3344][3]~73701\ : std_logic;
SIGNAL \led_flash_cnt[3344][4]~73702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3344][4]~73703\ : std_logic;
SIGNAL \led_flash_cnt[3344][5]~73704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3344][5]~73705\ : std_logic;
SIGNAL \led_flash_cnt[3344][6]~73706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][6]~q\ : std_logic;
SIGNAL \WideAnd3344~1_combout\ : std_logic;
SIGNAL \WideAnd3344~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][6]~73707\ : std_logic;
SIGNAL \led_flash_cnt[3344][7]~73708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3344][7]~q\ : std_logic;
SIGNAL \WideAnd3344~combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][0]~83987_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3347][1]~73738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3347][1]~73739\ : std_logic;
SIGNAL \led_flash_cnt[3347][2]~73740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3347][2]~73741\ : std_logic;
SIGNAL \led_flash_cnt[3347][3]~73742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3347][3]~73743\ : std_logic;
SIGNAL \led_flash_cnt[3347][4]~73744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][4]~q\ : std_logic;
SIGNAL \WideAnd3347~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][4]~73745\ : std_logic;
SIGNAL \led_flash_cnt[3347][5]~73746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3347][5]~73747\ : std_logic;
SIGNAL \led_flash_cnt[3347][6]~73748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][6]~q\ : std_logic;
SIGNAL \WideAnd3347~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][6]~73749\ : std_logic;
SIGNAL \led_flash_cnt[3347][7]~73750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3347][7]~q\ : std_logic;
SIGNAL \WideAnd3347~combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][0]~83986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3346][1]~73724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3346][1]~73725\ : std_logic;
SIGNAL \led_flash_cnt[3346][2]~73726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3346][2]~73727\ : std_logic;
SIGNAL \led_flash_cnt[3346][3]~73728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3346][3]~73729\ : std_logic;
SIGNAL \led_flash_cnt[3346][4]~73730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][4]~q\ : std_logic;
SIGNAL \WideAnd3346~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][4]~73731\ : std_logic;
SIGNAL \led_flash_cnt[3346][5]~73732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3346][5]~73733\ : std_logic;
SIGNAL \led_flash_cnt[3346][6]~73734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3346][6]~73735\ : std_logic;
SIGNAL \led_flash_cnt[3346][7]~73736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3346][7]~q\ : std_logic;
SIGNAL \WideAnd3346~1_combout\ : std_logic;
SIGNAL \WideAnd3346~combout\ : std_logic;
SIGNAL \WideAnd4258~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][0]~83991_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3351][1]~73794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3351][1]~73795\ : std_logic;
SIGNAL \led_flash_cnt[3351][2]~73796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3351][2]~73797\ : std_logic;
SIGNAL \led_flash_cnt[3351][3]~73798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3351][3]~73799\ : std_logic;
SIGNAL \led_flash_cnt[3351][4]~73800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3351][4]~73801\ : std_logic;
SIGNAL \led_flash_cnt[3351][5]~73802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3351][5]~73803\ : std_logic;
SIGNAL \led_flash_cnt[3351][6]~73804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3351][6]~73805\ : std_logic;
SIGNAL \led_flash_cnt[3351][7]~73806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3351][7]~q\ : std_logic;
SIGNAL \WideAnd3351~0_combout\ : std_logic;
SIGNAL \WideAnd3351~1_combout\ : std_logic;
SIGNAL \WideAnd3351~combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][0]~83988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3348][1]~73752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3348][1]~73753\ : std_logic;
SIGNAL \led_flash_cnt[3348][2]~73754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3348][2]~73755\ : std_logic;
SIGNAL \led_flash_cnt[3348][3]~73756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3348][3]~73757\ : std_logic;
SIGNAL \led_flash_cnt[3348][4]~73758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3348][4]~73759\ : std_logic;
SIGNAL \led_flash_cnt[3348][5]~73760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3348][5]~73761\ : std_logic;
SIGNAL \led_flash_cnt[3348][6]~73762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3348][6]~73763\ : std_logic;
SIGNAL \led_flash_cnt[3348][7]~73764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3348][7]~q\ : std_logic;
SIGNAL \WideAnd3348~1_combout\ : std_logic;
SIGNAL \WideAnd3348~0_combout\ : std_logic;
SIGNAL \WideAnd3348~combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][0]~83989_combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3349][1]~73766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3349][1]~73767\ : std_logic;
SIGNAL \led_flash_cnt[3349][2]~73768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3349][2]~73769\ : std_logic;
SIGNAL \led_flash_cnt[3349][3]~73770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3349][3]~73771\ : std_logic;
SIGNAL \led_flash_cnt[3349][4]~73772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3349][4]~73773\ : std_logic;
SIGNAL \led_flash_cnt[3349][5]~73774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3349][5]~73775\ : std_logic;
SIGNAL \led_flash_cnt[3349][6]~73776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3349][6]~73777\ : std_logic;
SIGNAL \led_flash_cnt[3349][7]~73778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3349][7]~q\ : std_logic;
SIGNAL \WideAnd3349~1_combout\ : std_logic;
SIGNAL \WideAnd3349~0_combout\ : std_logic;
SIGNAL \WideAnd3349~combout\ : std_logic;
SIGNAL \WideAnd4258~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][0]~83990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3350][1]~73780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3350][1]~73781\ : std_logic;
SIGNAL \led_flash_cnt[3350][2]~73782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3350][2]~73783\ : std_logic;
SIGNAL \led_flash_cnt[3350][3]~73784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3350][3]~73785\ : std_logic;
SIGNAL \led_flash_cnt[3350][4]~73786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3350][4]~73787\ : std_logic;
SIGNAL \led_flash_cnt[3350][5]~73788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3350][5]~73789\ : std_logic;
SIGNAL \led_flash_cnt[3350][6]~73790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][6]~q\ : std_logic;
SIGNAL \WideAnd3350~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][6]~73791\ : std_logic;
SIGNAL \led_flash_cnt[3350][7]~73792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3350][7]~q\ : std_logic;
SIGNAL \WideAnd3350~0_combout\ : std_logic;
SIGNAL \WideAnd3350~combout\ : std_logic;
SIGNAL \WideAnd4258~combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][0]~83980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3340][1]~73640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3340][1]~73641\ : std_logic;
SIGNAL \led_flash_cnt[3340][2]~73642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3340][2]~73643\ : std_logic;
SIGNAL \led_flash_cnt[3340][3]~73644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3340][3]~73645\ : std_logic;
SIGNAL \led_flash_cnt[3340][4]~73646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3340][4]~73647\ : std_logic;
SIGNAL \led_flash_cnt[3340][5]~73648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3340][5]~73649\ : std_logic;
SIGNAL \led_flash_cnt[3340][6]~73650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3340][6]~73651\ : std_logic;
SIGNAL \led_flash_cnt[3340][7]~73652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3340][7]~q\ : std_logic;
SIGNAL \WideAnd3340~1_combout\ : std_logic;
SIGNAL \WideAnd3340~0_combout\ : std_logic;
SIGNAL \WideAnd3340~combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][0]~83981_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3341][1]~73654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3341][1]~73655\ : std_logic;
SIGNAL \led_flash_cnt[3341][2]~73656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3341][2]~73657\ : std_logic;
SIGNAL \led_flash_cnt[3341][3]~73658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3341][3]~73659\ : std_logic;
SIGNAL \led_flash_cnt[3341][4]~73660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][4]~q\ : std_logic;
SIGNAL \WideAnd3341~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][4]~73661\ : std_logic;
SIGNAL \led_flash_cnt[3341][5]~73662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3341][5]~73663\ : std_logic;
SIGNAL \led_flash_cnt[3341][6]~73664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][6]~q\ : std_logic;
SIGNAL \WideAnd3341~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][6]~73665\ : std_logic;
SIGNAL \led_flash_cnt[3341][7]~73666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3341][7]~q\ : std_logic;
SIGNAL \WideAnd3341~combout\ : std_logic;
SIGNAL \WideAnd4257~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][0]~83983_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3343][1]~73682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3343][1]~73683\ : std_logic;
SIGNAL \led_flash_cnt[3343][2]~73684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3343][2]~73685\ : std_logic;
SIGNAL \led_flash_cnt[3343][3]~73686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3343][3]~73687\ : std_logic;
SIGNAL \led_flash_cnt[3343][4]~73688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3343][4]~73689\ : std_logic;
SIGNAL \led_flash_cnt[3343][5]~73690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3343][5]~73691\ : std_logic;
SIGNAL \led_flash_cnt[3343][6]~73692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3343][6]~73693\ : std_logic;
SIGNAL \led_flash_cnt[3343][7]~73694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3343][7]~q\ : std_logic;
SIGNAL \WideAnd3343~0_combout\ : std_logic;
SIGNAL \WideAnd3343~1_combout\ : std_logic;
SIGNAL \WideAnd3343~combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][0]~83982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3342][1]~73668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3342][1]~73669\ : std_logic;
SIGNAL \led_flash_cnt[3342][2]~73670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3342][2]~73671\ : std_logic;
SIGNAL \led_flash_cnt[3342][3]~73672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3342][3]~73673\ : std_logic;
SIGNAL \led_flash_cnt[3342][4]~73674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3342][4]~73675\ : std_logic;
SIGNAL \led_flash_cnt[3342][5]~73676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3342][5]~73677\ : std_logic;
SIGNAL \led_flash_cnt[3342][6]~73678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3342][6]~73679\ : std_logic;
SIGNAL \led_flash_cnt[3342][7]~73680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3342][7]~q\ : std_logic;
SIGNAL \WideAnd3342~1_combout\ : std_logic;
SIGNAL \WideAnd3342~0_combout\ : std_logic;
SIGNAL \WideAnd3342~combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][0]~83979_combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3339][1]~73626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3339][1]~73627\ : std_logic;
SIGNAL \led_flash_cnt[3339][2]~73628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3339][2]~73629\ : std_logic;
SIGNAL \led_flash_cnt[3339][3]~73630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3339][3]~73631\ : std_logic;
SIGNAL \led_flash_cnt[3339][4]~73632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3339][4]~73633\ : std_logic;
SIGNAL \led_flash_cnt[3339][5]~73634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3339][5]~73635\ : std_logic;
SIGNAL \led_flash_cnt[3339][6]~73636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3339][6]~73637\ : std_logic;
SIGNAL \led_flash_cnt[3339][7]~73638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3339][7]~q\ : std_logic;
SIGNAL \WideAnd3339~0_combout\ : std_logic;
SIGNAL \WideAnd3339~1_combout\ : std_logic;
SIGNAL \WideAnd3339~combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][0]~83977_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3337][1]~73598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3337][1]~73599\ : std_logic;
SIGNAL \led_flash_cnt[3337][2]~73600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3337][2]~73601\ : std_logic;
SIGNAL \led_flash_cnt[3337][3]~73602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3337][3]~73603\ : std_logic;
SIGNAL \led_flash_cnt[3337][4]~73604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3337][4]~73605\ : std_logic;
SIGNAL \led_flash_cnt[3337][5]~73606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3337][5]~73607\ : std_logic;
SIGNAL \led_flash_cnt[3337][6]~73608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][6]~q\ : std_logic;
SIGNAL \WideAnd3337~1_combout\ : std_logic;
SIGNAL \WideAnd3337~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][6]~73609\ : std_logic;
SIGNAL \led_flash_cnt[3337][7]~73610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3337][7]~q\ : std_logic;
SIGNAL \WideAnd3337~combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][0]~83978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3338][1]~73612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3338][1]~73613\ : std_logic;
SIGNAL \led_flash_cnt[3338][2]~73614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3338][2]~73615\ : std_logic;
SIGNAL \led_flash_cnt[3338][3]~73616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3338][3]~73617\ : std_logic;
SIGNAL \led_flash_cnt[3338][4]~73618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3338][4]~73619\ : std_logic;
SIGNAL \led_flash_cnt[3338][5]~73620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3338][5]~73621\ : std_logic;
SIGNAL \led_flash_cnt[3338][6]~73622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][6]~q\ : std_logic;
SIGNAL \WideAnd3338~1_combout\ : std_logic;
SIGNAL \WideAnd3338~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][6]~73623\ : std_logic;
SIGNAL \led_flash_cnt[3338][7]~73624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3338][7]~q\ : std_logic;
SIGNAL \WideAnd3338~combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][0]~83976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3336][1]~73584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3336][1]~73585\ : std_logic;
SIGNAL \led_flash_cnt[3336][2]~73586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3336][2]~73587\ : std_logic;
SIGNAL \led_flash_cnt[3336][3]~73588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3336][3]~73589\ : std_logic;
SIGNAL \led_flash_cnt[3336][4]~73590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][4]~q\ : std_logic;
SIGNAL \WideAnd3336~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][4]~73591\ : std_logic;
SIGNAL \led_flash_cnt[3336][5]~73592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3336][5]~73593\ : std_logic;
SIGNAL \led_flash_cnt[3336][6]~73594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3336][6]~73595\ : std_logic;
SIGNAL \led_flash_cnt[3336][7]~73596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3336][7]~q\ : std_logic;
SIGNAL \WideAnd3336~1_combout\ : std_logic;
SIGNAL \WideAnd3336~combout\ : std_logic;
SIGNAL \WideAnd4257~0_combout\ : std_logic;
SIGNAL \WideAnd4257~combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][0]~83997_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3357][1]~73878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3357][1]~73879\ : std_logic;
SIGNAL \led_flash_cnt[3357][2]~73880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3357][2]~73881\ : std_logic;
SIGNAL \led_flash_cnt[3357][3]~73882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3357][3]~73883\ : std_logic;
SIGNAL \led_flash_cnt[3357][4]~73884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3357][4]~73885\ : std_logic;
SIGNAL \led_flash_cnt[3357][5]~73886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3357][5]~73887\ : std_logic;
SIGNAL \led_flash_cnt[3357][6]~73888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][6]~q\ : std_logic;
SIGNAL \WideAnd3357~1_combout\ : std_logic;
SIGNAL \WideAnd3357~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][6]~73889\ : std_logic;
SIGNAL \led_flash_cnt[3357][7]~73890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3357][7]~q\ : std_logic;
SIGNAL \WideAnd3357~combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][0]~83996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3356][1]~73864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3356][1]~73865\ : std_logic;
SIGNAL \led_flash_cnt[3356][2]~73866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3356][2]~73867\ : std_logic;
SIGNAL \led_flash_cnt[3356][3]~73868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3356][3]~73869\ : std_logic;
SIGNAL \led_flash_cnt[3356][4]~73870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3356][4]~73871\ : std_logic;
SIGNAL \led_flash_cnt[3356][5]~73872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3356][5]~73873\ : std_logic;
SIGNAL \led_flash_cnt[3356][6]~73874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][6]~q\ : std_logic;
SIGNAL \WideAnd3356~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][6]~73875\ : std_logic;
SIGNAL \led_flash_cnt[3356][7]~73876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3356][7]~q\ : std_logic;
SIGNAL \WideAnd3356~0_combout\ : std_logic;
SIGNAL \WideAnd3356~combout\ : std_logic;
SIGNAL \WideAnd4259~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][0]~83999_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3359][1]~73906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3359][1]~73907\ : std_logic;
SIGNAL \led_flash_cnt[3359][2]~73908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3359][2]~73909\ : std_logic;
SIGNAL \led_flash_cnt[3359][3]~73910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3359][3]~73911\ : std_logic;
SIGNAL \led_flash_cnt[3359][4]~73912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][4]~q\ : std_logic;
SIGNAL \WideAnd3359~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][4]~73913\ : std_logic;
SIGNAL \led_flash_cnt[3359][5]~73914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3359][5]~73915\ : std_logic;
SIGNAL \led_flash_cnt[3359][6]~73916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3359][6]~73917\ : std_logic;
SIGNAL \led_flash_cnt[3359][7]~73918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3359][7]~q\ : std_logic;
SIGNAL \WideAnd3359~1_combout\ : std_logic;
SIGNAL \WideAnd3359~combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][0]~83992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3352][1]~73808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3352][1]~73809\ : std_logic;
SIGNAL \led_flash_cnt[3352][2]~73810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3352][2]~73811\ : std_logic;
SIGNAL \led_flash_cnt[3352][3]~73812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3352][3]~73813\ : std_logic;
SIGNAL \led_flash_cnt[3352][4]~73814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3352][4]~73815\ : std_logic;
SIGNAL \led_flash_cnt[3352][5]~73816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3352][5]~73817\ : std_logic;
SIGNAL \led_flash_cnt[3352][6]~73818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][6]~q\ : std_logic;
SIGNAL \WideAnd3352~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][6]~73819\ : std_logic;
SIGNAL \led_flash_cnt[3352][7]~73820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3352][7]~q\ : std_logic;
SIGNAL \WideAnd3352~0_combout\ : std_logic;
SIGNAL \WideAnd3352~combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][0]~83995_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3355][1]~73850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3355][1]~73851\ : std_logic;
SIGNAL \led_flash_cnt[3355][2]~73852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3355][2]~73853\ : std_logic;
SIGNAL \led_flash_cnt[3355][3]~73854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3355][3]~73855\ : std_logic;
SIGNAL \led_flash_cnt[3355][4]~73856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][4]~q\ : std_logic;
SIGNAL \WideAnd3355~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][4]~73857\ : std_logic;
SIGNAL \led_flash_cnt[3355][5]~73858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3355][5]~73859\ : std_logic;
SIGNAL \led_flash_cnt[3355][6]~73860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3355][6]~73861\ : std_logic;
SIGNAL \led_flash_cnt[3355][7]~73862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3355][7]~q\ : std_logic;
SIGNAL \WideAnd3355~1_combout\ : std_logic;
SIGNAL \WideAnd3355~combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][0]~83994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3354][1]~73836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3354][1]~73837\ : std_logic;
SIGNAL \led_flash_cnt[3354][2]~73838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3354][2]~73839\ : std_logic;
SIGNAL \led_flash_cnt[3354][3]~73840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3354][3]~73841\ : std_logic;
SIGNAL \led_flash_cnt[3354][4]~73842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3354][4]~73843\ : std_logic;
SIGNAL \led_flash_cnt[3354][5]~73844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3354][5]~73845\ : std_logic;
SIGNAL \led_flash_cnt[3354][6]~73846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3354][6]~73847\ : std_logic;
SIGNAL \led_flash_cnt[3354][7]~73848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3354][7]~q\ : std_logic;
SIGNAL \WideAnd3354~1_combout\ : std_logic;
SIGNAL \WideAnd3354~0_combout\ : std_logic;
SIGNAL \WideAnd3354~combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][0]~83993_combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3353][1]~73822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3353][1]~73823\ : std_logic;
SIGNAL \led_flash_cnt[3353][2]~73824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3353][2]~73825\ : std_logic;
SIGNAL \led_flash_cnt[3353][3]~73826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3353][3]~73827\ : std_logic;
SIGNAL \led_flash_cnt[3353][4]~73828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3353][4]~73829\ : std_logic;
SIGNAL \led_flash_cnt[3353][5]~73830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3353][5]~73831\ : std_logic;
SIGNAL \led_flash_cnt[3353][6]~73832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3353][6]~73833\ : std_logic;
SIGNAL \led_flash_cnt[3353][7]~73834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3353][7]~q\ : std_logic;
SIGNAL \WideAnd3353~1_combout\ : std_logic;
SIGNAL \WideAnd3353~0_combout\ : std_logic;
SIGNAL \WideAnd3353~combout\ : std_logic;
SIGNAL \WideAnd4259~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][0]~83998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3358][1]~73892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3358][1]~73893\ : std_logic;
SIGNAL \led_flash_cnt[3358][2]~73894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3358][2]~73895\ : std_logic;
SIGNAL \led_flash_cnt[3358][3]~73896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3358][3]~73897\ : std_logic;
SIGNAL \led_flash_cnt[3358][4]~73898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3358][4]~73899\ : std_logic;
SIGNAL \led_flash_cnt[3358][5]~73900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3358][5]~73901\ : std_logic;
SIGNAL \led_flash_cnt[3358][6]~73902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3358][6]~73903\ : std_logic;
SIGNAL \led_flash_cnt[3358][7]~73904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3358][7]~q\ : std_logic;
SIGNAL \WideAnd3358~0_combout\ : std_logic;
SIGNAL \WideAnd3358~1_combout\ : std_logic;
SIGNAL \WideAnd3358~combout\ : std_logic;
SIGNAL \WideAnd4259~combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][0]~83975_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3335][1]~73570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3335][1]~73571\ : std_logic;
SIGNAL \led_flash_cnt[3335][2]~73572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3335][2]~73573\ : std_logic;
SIGNAL \led_flash_cnt[3335][3]~73574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3335][3]~73575\ : std_logic;
SIGNAL \led_flash_cnt[3335][4]~73576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][4]~q\ : std_logic;
SIGNAL \WideAnd3335~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][4]~73577\ : std_logic;
SIGNAL \led_flash_cnt[3335][5]~73578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3335][5]~73579\ : std_logic;
SIGNAL \led_flash_cnt[3335][6]~73580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][6]~q\ : std_logic;
SIGNAL \WideAnd3335~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][6]~73581\ : std_logic;
SIGNAL \led_flash_cnt[3335][7]~73582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3335][7]~q\ : std_logic;
SIGNAL \WideAnd3335~combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][0]~83974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3334][1]~73556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3334][1]~73557\ : std_logic;
SIGNAL \led_flash_cnt[3334][2]~73558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3334][2]~73559\ : std_logic;
SIGNAL \led_flash_cnt[3334][3]~73560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3334][3]~73561\ : std_logic;
SIGNAL \led_flash_cnt[3334][4]~73562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3334][4]~73563\ : std_logic;
SIGNAL \led_flash_cnt[3334][5]~73564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3334][5]~73565\ : std_logic;
SIGNAL \led_flash_cnt[3334][6]~73566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3334][6]~73567\ : std_logic;
SIGNAL \led_flash_cnt[3334][7]~73568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3334][7]~q\ : std_logic;
SIGNAL \WideAnd3334~1_combout\ : std_logic;
SIGNAL \WideAnd3334~0_combout\ : std_logic;
SIGNAL \WideAnd3334~combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][0]~83968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3328][1]~73472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3328][1]~73473\ : std_logic;
SIGNAL \led_flash_cnt[3328][2]~73474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3328][2]~73475\ : std_logic;
SIGNAL \led_flash_cnt[3328][3]~73476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3328][3]~73477\ : std_logic;
SIGNAL \led_flash_cnt[3328][4]~73478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3328][4]~73479\ : std_logic;
SIGNAL \led_flash_cnt[3328][5]~73480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3328][5]~73481\ : std_logic;
SIGNAL \led_flash_cnt[3328][6]~73482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][6]~q\ : std_logic;
SIGNAL \WideAnd3328~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][6]~73483\ : std_logic;
SIGNAL \led_flash_cnt[3328][7]~73484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3328][7]~q\ : std_logic;
SIGNAL \WideAnd3328~0_combout\ : std_logic;
SIGNAL \WideAnd3328~combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][0]~83971_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3331][1]~73514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3331][1]~73515\ : std_logic;
SIGNAL \led_flash_cnt[3331][2]~73516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3331][2]~73517\ : std_logic;
SIGNAL \led_flash_cnt[3331][3]~73518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3331][3]~73519\ : std_logic;
SIGNAL \led_flash_cnt[3331][4]~73520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][4]~q\ : std_logic;
SIGNAL \WideAnd3331~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][4]~73521\ : std_logic;
SIGNAL \led_flash_cnt[3331][5]~73522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3331][5]~73523\ : std_logic;
SIGNAL \led_flash_cnt[3331][6]~73524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3331][6]~73525\ : std_logic;
SIGNAL \led_flash_cnt[3331][7]~73526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3331][7]~q\ : std_logic;
SIGNAL \WideAnd3331~1_combout\ : std_logic;
SIGNAL \WideAnd3331~combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][0]~83970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3330][1]~73500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3330][1]~73501\ : std_logic;
SIGNAL \led_flash_cnt[3330][2]~73502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3330][2]~73503\ : std_logic;
SIGNAL \led_flash_cnt[3330][3]~73504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3330][3]~73505\ : std_logic;
SIGNAL \led_flash_cnt[3330][4]~73506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3330][4]~73507\ : std_logic;
SIGNAL \led_flash_cnt[3330][5]~73508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3330][5]~73509\ : std_logic;
SIGNAL \led_flash_cnt[3330][6]~73510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3330][6]~73511\ : std_logic;
SIGNAL \led_flash_cnt[3330][7]~73512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3330][7]~q\ : std_logic;
SIGNAL \WideAnd3330~1_combout\ : std_logic;
SIGNAL \WideAnd3330~0_combout\ : std_logic;
SIGNAL \WideAnd3330~combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][0]~83969_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3329][1]~73486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3329][1]~73487\ : std_logic;
SIGNAL \led_flash_cnt[3329][2]~73488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3329][2]~73489\ : std_logic;
SIGNAL \led_flash_cnt[3329][3]~73490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3329][3]~73491\ : std_logic;
SIGNAL \led_flash_cnt[3329][4]~73492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3329][4]~73493\ : std_logic;
SIGNAL \led_flash_cnt[3329][5]~73494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3329][5]~73495\ : std_logic;
SIGNAL \led_flash_cnt[3329][6]~73496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][6]~q\ : std_logic;
SIGNAL \WideAnd3329~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][6]~73497\ : std_logic;
SIGNAL \led_flash_cnt[3329][7]~73498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3329][7]~q\ : std_logic;
SIGNAL \WideAnd3329~0_combout\ : std_logic;
SIGNAL \WideAnd3329~combout\ : std_logic;
SIGNAL \WideAnd4256~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][0]~83973_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3333][1]~73542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3333][1]~73543\ : std_logic;
SIGNAL \led_flash_cnt[3333][2]~73544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3333][2]~73545\ : std_logic;
SIGNAL \led_flash_cnt[3333][3]~73546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3333][3]~73547\ : std_logic;
SIGNAL \led_flash_cnt[3333][4]~73548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3333][4]~73549\ : std_logic;
SIGNAL \led_flash_cnt[3333][5]~73550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3333][5]~73551\ : std_logic;
SIGNAL \led_flash_cnt[3333][6]~73552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][6]~q\ : std_logic;
SIGNAL \WideAnd3333~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][6]~73553\ : std_logic;
SIGNAL \led_flash_cnt[3333][7]~73554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3333][7]~q\ : std_logic;
SIGNAL \WideAnd3333~0_combout\ : std_logic;
SIGNAL \WideAnd3333~combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][0]~83972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3332][1]~73528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3332][1]~73529\ : std_logic;
SIGNAL \led_flash_cnt[3332][2]~73530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3332][2]~73531\ : std_logic;
SIGNAL \led_flash_cnt[3332][3]~73532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3332][3]~73533\ : std_logic;
SIGNAL \led_flash_cnt[3332][4]~73534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3332][4]~73535\ : std_logic;
SIGNAL \led_flash_cnt[3332][5]~73536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3332][5]~73537\ : std_logic;
SIGNAL \led_flash_cnt[3332][6]~73538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3332][6]~73539\ : std_logic;
SIGNAL \led_flash_cnt[3332][7]~73540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3332][7]~q\ : std_logic;
SIGNAL \WideAnd3332~1_combout\ : std_logic;
SIGNAL \WideAnd3332~0_combout\ : std_logic;
SIGNAL \WideAnd3332~combout\ : std_logic;
SIGNAL \WideAnd4256~1_combout\ : std_logic;
SIGNAL \WideAnd4256~combout\ : std_logic;
SIGNAL \WideAnd4372~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][0]~84022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3382][1]~74228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3382][1]~74229\ : std_logic;
SIGNAL \led_flash_cnt[3382][2]~74230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3382][2]~74231\ : std_logic;
SIGNAL \led_flash_cnt[3382][3]~74232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3382][3]~74233\ : std_logic;
SIGNAL \led_flash_cnt[3382][4]~74234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3382][4]~74235\ : std_logic;
SIGNAL \led_flash_cnt[3382][5]~74236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3382][5]~74237\ : std_logic;
SIGNAL \led_flash_cnt[3382][6]~74238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][6]~q\ : std_logic;
SIGNAL \WideAnd3382~1_combout\ : std_logic;
SIGNAL \WideAnd3382~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][6]~74239\ : std_logic;
SIGNAL \led_flash_cnt[3382][7]~74240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3382][7]~q\ : std_logic;
SIGNAL \WideAnd3382~combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][0]~84023_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3383][1]~74242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3383][1]~74243\ : std_logic;
SIGNAL \led_flash_cnt[3383][2]~74244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3383][2]~74245\ : std_logic;
SIGNAL \led_flash_cnt[3383][3]~74246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3383][3]~74247\ : std_logic;
SIGNAL \led_flash_cnt[3383][4]~74248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3383][4]~74249\ : std_logic;
SIGNAL \led_flash_cnt[3383][5]~74250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3383][5]~74251\ : std_logic;
SIGNAL \led_flash_cnt[3383][6]~74252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][6]~q\ : std_logic;
SIGNAL \WideAnd3383~1_combout\ : std_logic;
SIGNAL \WideAnd3383~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][6]~74253\ : std_logic;
SIGNAL \led_flash_cnt[3383][7]~74254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3383][7]~q\ : std_logic;
SIGNAL \WideAnd3383~combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][0]~84020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3380][1]~74200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3380][1]~74201\ : std_logic;
SIGNAL \led_flash_cnt[3380][2]~74202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3380][2]~74203\ : std_logic;
SIGNAL \led_flash_cnt[3380][3]~74204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3380][3]~74205\ : std_logic;
SIGNAL \led_flash_cnt[3380][4]~74206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3380][4]~74207\ : std_logic;
SIGNAL \led_flash_cnt[3380][5]~74208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3380][5]~74209\ : std_logic;
SIGNAL \led_flash_cnt[3380][6]~74210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][6]~q\ : std_logic;
SIGNAL \WideAnd3380~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][6]~74211\ : std_logic;
SIGNAL \led_flash_cnt[3380][7]~74212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3380][7]~q\ : std_logic;
SIGNAL \WideAnd3380~1_combout\ : std_logic;
SIGNAL \WideAnd3380~combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][0]~84021_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3381][1]~74214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3381][1]~74215\ : std_logic;
SIGNAL \led_flash_cnt[3381][2]~74216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3381][2]~74217\ : std_logic;
SIGNAL \led_flash_cnt[3381][3]~74218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3381][3]~74219\ : std_logic;
SIGNAL \led_flash_cnt[3381][4]~74220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][4]~q\ : std_logic;
SIGNAL \WideAnd3381~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][4]~74221\ : std_logic;
SIGNAL \led_flash_cnt[3381][5]~74222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3381][5]~74223\ : std_logic;
SIGNAL \led_flash_cnt[3381][6]~74224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][6]~q\ : std_logic;
SIGNAL \WideAnd3381~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][6]~74225\ : std_logic;
SIGNAL \led_flash_cnt[3381][7]~74226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3381][7]~q\ : std_logic;
SIGNAL \WideAnd3381~combout\ : std_logic;
SIGNAL \WideAnd4262~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][0]~84018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3378][1]~74172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3378][1]~74173\ : std_logic;
SIGNAL \led_flash_cnt[3378][2]~74174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3378][2]~74175\ : std_logic;
SIGNAL \led_flash_cnt[3378][3]~74176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3378][3]~74177\ : std_logic;
SIGNAL \led_flash_cnt[3378][4]~74178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3378][4]~74179\ : std_logic;
SIGNAL \led_flash_cnt[3378][5]~74180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3378][5]~74181\ : std_logic;
SIGNAL \led_flash_cnt[3378][6]~74182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3378][6]~74183\ : std_logic;
SIGNAL \led_flash_cnt[3378][7]~74184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3378][7]~q\ : std_logic;
SIGNAL \WideAnd3378~1_combout\ : std_logic;
SIGNAL \WideAnd3378~0_combout\ : std_logic;
SIGNAL \WideAnd3378~combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][0]~84019_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3379][1]~74186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3379][1]~74187\ : std_logic;
SIGNAL \led_flash_cnt[3379][2]~74188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3379][2]~74189\ : std_logic;
SIGNAL \led_flash_cnt[3379][3]~74190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3379][3]~74191\ : std_logic;
SIGNAL \led_flash_cnt[3379][4]~74192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][4]~q\ : std_logic;
SIGNAL \WideAnd3379~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][4]~74193\ : std_logic;
SIGNAL \led_flash_cnt[3379][5]~74194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3379][5]~74195\ : std_logic;
SIGNAL \led_flash_cnt[3379][6]~74196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3379][6]~74197\ : std_logic;
SIGNAL \led_flash_cnt[3379][7]~74198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3379][7]~q\ : std_logic;
SIGNAL \WideAnd3379~1_combout\ : std_logic;
SIGNAL \WideAnd3379~combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][0]~84016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3376][1]~74144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3376][1]~74145\ : std_logic;
SIGNAL \led_flash_cnt[3376][2]~74146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3376][2]~74147\ : std_logic;
SIGNAL \led_flash_cnt[3376][3]~74148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3376][3]~74149\ : std_logic;
SIGNAL \led_flash_cnt[3376][4]~74150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3376][4]~74151\ : std_logic;
SIGNAL \led_flash_cnt[3376][5]~74152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3376][5]~74153\ : std_logic;
SIGNAL \led_flash_cnt[3376][6]~74154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3376][6]~74155\ : std_logic;
SIGNAL \led_flash_cnt[3376][7]~74156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3376][7]~q\ : std_logic;
SIGNAL \WideAnd3376~1_combout\ : std_logic;
SIGNAL \WideAnd3376~0_combout\ : std_logic;
SIGNAL \WideAnd3376~combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][0]~84017_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3377][1]~74158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3377][1]~74159\ : std_logic;
SIGNAL \led_flash_cnt[3377][2]~74160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3377][2]~74161\ : std_logic;
SIGNAL \led_flash_cnt[3377][3]~74162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3377][3]~74163\ : std_logic;
SIGNAL \led_flash_cnt[3377][4]~74164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][4]~q\ : std_logic;
SIGNAL \WideAnd3377~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][4]~74165\ : std_logic;
SIGNAL \led_flash_cnt[3377][5]~74166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3377][5]~74167\ : std_logic;
SIGNAL \led_flash_cnt[3377][6]~74168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3377][6]~74169\ : std_logic;
SIGNAL \led_flash_cnt[3377][7]~74170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3377][7]~q\ : std_logic;
SIGNAL \WideAnd3377~1_combout\ : std_logic;
SIGNAL \WideAnd3377~combout\ : std_logic;
SIGNAL \WideAnd4262~0_combout\ : std_logic;
SIGNAL \WideAnd4262~combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][0]~84007_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3367][1]~74018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3367][1]~74019\ : std_logic;
SIGNAL \led_flash_cnt[3367][2]~74020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3367][2]~74021\ : std_logic;
SIGNAL \led_flash_cnt[3367][3]~74022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3367][3]~74023\ : std_logic;
SIGNAL \led_flash_cnt[3367][4]~74024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][4]~q\ : std_logic;
SIGNAL \WideAnd3367~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][4]~74025\ : std_logic;
SIGNAL \led_flash_cnt[3367][5]~74026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3367][5]~74027\ : std_logic;
SIGNAL \led_flash_cnt[3367][6]~74028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][6]~q\ : std_logic;
SIGNAL \WideAnd3367~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][6]~74029\ : std_logic;
SIGNAL \led_flash_cnt[3367][7]~74030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3367][7]~q\ : std_logic;
SIGNAL \WideAnd3367~combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][0]~84006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3366][1]~74004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3366][1]~74005\ : std_logic;
SIGNAL \led_flash_cnt[3366][2]~74006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3366][2]~74007\ : std_logic;
SIGNAL \led_flash_cnt[3366][3]~74008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3366][3]~74009\ : std_logic;
SIGNAL \led_flash_cnt[3366][4]~74010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3366][4]~74011\ : std_logic;
SIGNAL \led_flash_cnt[3366][5]~74012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3366][5]~74013\ : std_logic;
SIGNAL \led_flash_cnt[3366][6]~74014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3366][6]~74015\ : std_logic;
SIGNAL \led_flash_cnt[3366][7]~74016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3366][7]~q\ : std_logic;
SIGNAL \WideAnd3366~0_combout\ : std_logic;
SIGNAL \WideAnd3366~1_combout\ : std_logic;
SIGNAL \WideAnd3366~combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][0]~84002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3362][1]~73948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3362][1]~73949\ : std_logic;
SIGNAL \led_flash_cnt[3362][2]~73950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3362][2]~73951\ : std_logic;
SIGNAL \led_flash_cnt[3362][3]~73952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3362][3]~73953\ : std_logic;
SIGNAL \led_flash_cnt[3362][4]~73954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][4]~q\ : std_logic;
SIGNAL \WideAnd3362~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][4]~73955\ : std_logic;
SIGNAL \led_flash_cnt[3362][5]~73956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3362][5]~73957\ : std_logic;
SIGNAL \led_flash_cnt[3362][6]~73958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3362][6]~73959\ : std_logic;
SIGNAL \led_flash_cnt[3362][7]~73960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3362][7]~q\ : std_logic;
SIGNAL \WideAnd3362~1_combout\ : std_logic;
SIGNAL \WideAnd3362~combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][0]~84003_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3363][1]~73962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3363][1]~73963\ : std_logic;
SIGNAL \led_flash_cnt[3363][2]~73964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3363][2]~73965\ : std_logic;
SIGNAL \led_flash_cnt[3363][3]~73966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3363][3]~73967\ : std_logic;
SIGNAL \led_flash_cnt[3363][4]~73968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3363][4]~73969\ : std_logic;
SIGNAL \led_flash_cnt[3363][5]~73970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3363][5]~73971\ : std_logic;
SIGNAL \led_flash_cnt[3363][6]~73972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][6]~q\ : std_logic;
SIGNAL \WideAnd3363~1_combout\ : std_logic;
SIGNAL \WideAnd3363~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][6]~73973\ : std_logic;
SIGNAL \led_flash_cnt[3363][7]~73974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3363][7]~q\ : std_logic;
SIGNAL \WideAnd3363~combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][0]~84000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3360][1]~73920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3360][1]~73921\ : std_logic;
SIGNAL \led_flash_cnt[3360][2]~73922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3360][2]~73923\ : std_logic;
SIGNAL \led_flash_cnt[3360][3]~73924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3360][3]~73925\ : std_logic;
SIGNAL \led_flash_cnt[3360][4]~73926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3360][4]~73927\ : std_logic;
SIGNAL \led_flash_cnt[3360][5]~73928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3360][5]~73929\ : std_logic;
SIGNAL \led_flash_cnt[3360][6]~73930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3360][6]~73931\ : std_logic;
SIGNAL \led_flash_cnt[3360][7]~73932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3360][7]~q\ : std_logic;
SIGNAL \WideAnd3360~1_combout\ : std_logic;
SIGNAL \WideAnd3360~0_combout\ : std_logic;
SIGNAL \WideAnd3360~combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][0]~84001_combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3361][1]~73934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3361][1]~73935\ : std_logic;
SIGNAL \led_flash_cnt[3361][2]~73936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3361][2]~73937\ : std_logic;
SIGNAL \led_flash_cnt[3361][3]~73938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3361][3]~73939\ : std_logic;
SIGNAL \led_flash_cnt[3361][4]~73940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3361][4]~73941\ : std_logic;
SIGNAL \led_flash_cnt[3361][5]~73942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3361][5]~73943\ : std_logic;
SIGNAL \led_flash_cnt[3361][6]~73944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3361][6]~73945\ : std_logic;
SIGNAL \led_flash_cnt[3361][7]~73946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3361][7]~q\ : std_logic;
SIGNAL \WideAnd3361~1_combout\ : std_logic;
SIGNAL \WideAnd3361~0_combout\ : std_logic;
SIGNAL \WideAnd3361~combout\ : std_logic;
SIGNAL \WideAnd4260~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][0]~84005_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3365][1]~73990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3365][1]~73991\ : std_logic;
SIGNAL \led_flash_cnt[3365][2]~73992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3365][2]~73993\ : std_logic;
SIGNAL \led_flash_cnt[3365][3]~73994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3365][3]~73995\ : std_logic;
SIGNAL \led_flash_cnt[3365][4]~73996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3365][4]~73997\ : std_logic;
SIGNAL \led_flash_cnt[3365][5]~73998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3365][5]~73999\ : std_logic;
SIGNAL \led_flash_cnt[3365][6]~74000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3365][6]~74001\ : std_logic;
SIGNAL \led_flash_cnt[3365][7]~74002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3365][7]~q\ : std_logic;
SIGNAL \WideAnd3365~0_combout\ : std_logic;
SIGNAL \WideAnd3365~1_combout\ : std_logic;
SIGNAL \WideAnd3365~combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][0]~84004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3364][1]~73976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3364][1]~73977\ : std_logic;
SIGNAL \led_flash_cnt[3364][2]~73978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3364][2]~73979\ : std_logic;
SIGNAL \led_flash_cnt[3364][3]~73980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3364][3]~73981\ : std_logic;
SIGNAL \led_flash_cnt[3364][4]~73982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3364][4]~73983\ : std_logic;
SIGNAL \led_flash_cnt[3364][5]~73984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3364][5]~73985\ : std_logic;
SIGNAL \led_flash_cnt[3364][6]~73986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][6]~q\ : std_logic;
SIGNAL \WideAnd3364~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][6]~73987\ : std_logic;
SIGNAL \led_flash_cnt[3364][7]~73988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3364][7]~q\ : std_logic;
SIGNAL \WideAnd3364~0_combout\ : std_logic;
SIGNAL \WideAnd3364~combout\ : std_logic;
SIGNAL \WideAnd4260~1_combout\ : std_logic;
SIGNAL \WideAnd4260~combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][0]~84010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3370][1]~74060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3370][1]~74061\ : std_logic;
SIGNAL \led_flash_cnt[3370][2]~74062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3370][2]~74063\ : std_logic;
SIGNAL \led_flash_cnt[3370][3]~74064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3370][3]~74065\ : std_logic;
SIGNAL \led_flash_cnt[3370][4]~74066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][4]~q\ : std_logic;
SIGNAL \WideAnd3370~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][4]~74067\ : std_logic;
SIGNAL \led_flash_cnt[3370][5]~74068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3370][5]~74069\ : std_logic;
SIGNAL \led_flash_cnt[3370][6]~74070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][6]~q\ : std_logic;
SIGNAL \WideAnd3370~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][6]~74071\ : std_logic;
SIGNAL \led_flash_cnt[3370][7]~74072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3370][7]~q\ : std_logic;
SIGNAL \WideAnd3370~combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][0]~84009_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3369][1]~74046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3369][1]~74047\ : std_logic;
SIGNAL \led_flash_cnt[3369][2]~74048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3369][2]~74049\ : std_logic;
SIGNAL \led_flash_cnt[3369][3]~74050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3369][3]~74051\ : std_logic;
SIGNAL \led_flash_cnt[3369][4]~74052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][4]~q\ : std_logic;
SIGNAL \WideAnd3369~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][4]~74053\ : std_logic;
SIGNAL \led_flash_cnt[3369][5]~74054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3369][5]~74055\ : std_logic;
SIGNAL \led_flash_cnt[3369][6]~74056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][6]~q\ : std_logic;
SIGNAL \WideAnd3369~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][6]~74057\ : std_logic;
SIGNAL \led_flash_cnt[3369][7]~74058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3369][7]~q\ : std_logic;
SIGNAL \WideAnd3369~combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][0]~84011_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3371][1]~74074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3371][1]~74075\ : std_logic;
SIGNAL \led_flash_cnt[3371][2]~74076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3371][2]~74077\ : std_logic;
SIGNAL \led_flash_cnt[3371][3]~74078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3371][3]~74079\ : std_logic;
SIGNAL \led_flash_cnt[3371][4]~74080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3371][4]~74081\ : std_logic;
SIGNAL \led_flash_cnt[3371][5]~74082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3371][5]~74083\ : std_logic;
SIGNAL \led_flash_cnt[3371][6]~74084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][6]~q\ : std_logic;
SIGNAL \WideAnd3371~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][6]~74085\ : std_logic;
SIGNAL \led_flash_cnt[3371][7]~74086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3371][7]~q\ : std_logic;
SIGNAL \WideAnd3371~0_combout\ : std_logic;
SIGNAL \WideAnd3371~combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][0]~84008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3368][1]~74032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3368][1]~74033\ : std_logic;
SIGNAL \led_flash_cnt[3368][2]~74034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3368][2]~74035\ : std_logic;
SIGNAL \led_flash_cnt[3368][3]~74036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3368][3]~74037\ : std_logic;
SIGNAL \led_flash_cnt[3368][4]~74038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3368][4]~74039\ : std_logic;
SIGNAL \led_flash_cnt[3368][5]~74040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3368][5]~74041\ : std_logic;
SIGNAL \led_flash_cnt[3368][6]~74042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][6]~q\ : std_logic;
SIGNAL \WideAnd3368~1_combout\ : std_logic;
SIGNAL \WideAnd3368~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][6]~74043\ : std_logic;
SIGNAL \led_flash_cnt[3368][7]~74044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3368][7]~q\ : std_logic;
SIGNAL \WideAnd3368~combout\ : std_logic;
SIGNAL \WideAnd4261~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][0]~84015_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3375][1]~74130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3375][1]~74131\ : std_logic;
SIGNAL \led_flash_cnt[3375][2]~74132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3375][2]~74133\ : std_logic;
SIGNAL \led_flash_cnt[3375][3]~74134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3375][3]~74135\ : std_logic;
SIGNAL \led_flash_cnt[3375][4]~74136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3375][4]~74137\ : std_logic;
SIGNAL \led_flash_cnt[3375][5]~74138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3375][5]~74139\ : std_logic;
SIGNAL \led_flash_cnt[3375][6]~74140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][6]~q\ : std_logic;
SIGNAL \WideAnd3375~1_combout\ : std_logic;
SIGNAL \WideAnd3375~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][6]~74141\ : std_logic;
SIGNAL \led_flash_cnt[3375][7]~74142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3375][7]~q\ : std_logic;
SIGNAL \WideAnd3375~combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][0]~84014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3374][1]~74116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3374][1]~74117\ : std_logic;
SIGNAL \led_flash_cnt[3374][2]~74118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3374][2]~74119\ : std_logic;
SIGNAL \led_flash_cnt[3374][3]~74120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3374][3]~74121\ : std_logic;
SIGNAL \led_flash_cnt[3374][4]~74122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3374][4]~74123\ : std_logic;
SIGNAL \led_flash_cnt[3374][5]~74124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3374][5]~74125\ : std_logic;
SIGNAL \led_flash_cnt[3374][6]~74126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3374][6]~74127\ : std_logic;
SIGNAL \led_flash_cnt[3374][7]~74128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3374][7]~q\ : std_logic;
SIGNAL \WideAnd3374~1_combout\ : std_logic;
SIGNAL \WideAnd3374~0_combout\ : std_logic;
SIGNAL \WideAnd3374~combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][0]~84012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3372][1]~74088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3372][1]~74089\ : std_logic;
SIGNAL \led_flash_cnt[3372][2]~74090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3372][2]~74091\ : std_logic;
SIGNAL \led_flash_cnt[3372][3]~74092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3372][3]~74093\ : std_logic;
SIGNAL \led_flash_cnt[3372][4]~74094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3372][4]~74095\ : std_logic;
SIGNAL \led_flash_cnt[3372][5]~74096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3372][5]~74097\ : std_logic;
SIGNAL \led_flash_cnt[3372][6]~74098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][6]~q\ : std_logic;
SIGNAL \WideAnd3372~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][6]~74099\ : std_logic;
SIGNAL \led_flash_cnt[3372][7]~74100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3372][7]~q\ : std_logic;
SIGNAL \WideAnd3372~0_combout\ : std_logic;
SIGNAL \WideAnd3372~combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][0]~84013_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3373][1]~74102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3373][1]~74103\ : std_logic;
SIGNAL \led_flash_cnt[3373][2]~74104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3373][2]~74105\ : std_logic;
SIGNAL \led_flash_cnt[3373][3]~74106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3373][3]~74107\ : std_logic;
SIGNAL \led_flash_cnt[3373][4]~74108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][4]~q\ : std_logic;
SIGNAL \WideAnd3373~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][4]~74109\ : std_logic;
SIGNAL \led_flash_cnt[3373][5]~74110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3373][5]~74111\ : std_logic;
SIGNAL \led_flash_cnt[3373][6]~74112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][6]~q\ : std_logic;
SIGNAL \WideAnd3373~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][6]~74113\ : std_logic;
SIGNAL \led_flash_cnt[3373][7]~74114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3373][7]~q\ : std_logic;
SIGNAL \WideAnd3373~combout\ : std_logic;
SIGNAL \WideAnd4261~1_combout\ : std_logic;
SIGNAL \WideAnd4261~combout\ : std_logic;
SIGNAL \WideAnd4372~1_combout\ : std_logic;
SIGNAL \WideAnd4372~combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][0]~84128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3488][1]~75712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3488][1]~75713\ : std_logic;
SIGNAL \led_flash_cnt[3488][2]~75714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3488][2]~75715\ : std_logic;
SIGNAL \led_flash_cnt[3488][3]~75716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3488][3]~75717\ : std_logic;
SIGNAL \led_flash_cnt[3488][4]~75718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3488][4]~75719\ : std_logic;
SIGNAL \led_flash_cnt[3488][5]~75720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3488][5]~75721\ : std_logic;
SIGNAL \led_flash_cnt[3488][6]~75722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3488][6]~75723\ : std_logic;
SIGNAL \led_flash_cnt[3488][7]~75724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3488][7]~q\ : std_logic;
SIGNAL \WideAnd3488~0_combout\ : std_logic;
SIGNAL \WideAnd3488~1_combout\ : std_logic;
SIGNAL \WideAnd3488~combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][0]~84131_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3491][1]~75754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3491][1]~75755\ : std_logic;
SIGNAL \led_flash_cnt[3491][2]~75756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3491][2]~75757\ : std_logic;
SIGNAL \led_flash_cnt[3491][3]~75758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3491][3]~75759\ : std_logic;
SIGNAL \led_flash_cnt[3491][4]~75760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][4]~q\ : std_logic;
SIGNAL \WideAnd3491~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][4]~75761\ : std_logic;
SIGNAL \led_flash_cnt[3491][5]~75762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3491][5]~75763\ : std_logic;
SIGNAL \led_flash_cnt[3491][6]~75764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3491][6]~75765\ : std_logic;
SIGNAL \led_flash_cnt[3491][7]~75766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3491][7]~q\ : std_logic;
SIGNAL \WideAnd3491~1_combout\ : std_logic;
SIGNAL \WideAnd3491~combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][0]~84130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3490][1]~75740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3490][1]~75741\ : std_logic;
SIGNAL \led_flash_cnt[3490][2]~75742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3490][2]~75743\ : std_logic;
SIGNAL \led_flash_cnt[3490][3]~75744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3490][3]~75745\ : std_logic;
SIGNAL \led_flash_cnt[3490][4]~75746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3490][4]~75747\ : std_logic;
SIGNAL \led_flash_cnt[3490][5]~75748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3490][5]~75749\ : std_logic;
SIGNAL \led_flash_cnt[3490][6]~75750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3490][6]~75751\ : std_logic;
SIGNAL \led_flash_cnt[3490][7]~75752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3490][7]~q\ : std_logic;
SIGNAL \WideAnd3490~1_combout\ : std_logic;
SIGNAL \WideAnd3490~0_combout\ : std_logic;
SIGNAL \WideAnd3490~combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][0]~84129_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3489][1]~75726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3489][1]~75727\ : std_logic;
SIGNAL \led_flash_cnt[3489][2]~75728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3489][2]~75729\ : std_logic;
SIGNAL \led_flash_cnt[3489][3]~75730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3489][3]~75731\ : std_logic;
SIGNAL \led_flash_cnt[3489][4]~75732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3489][4]~75733\ : std_logic;
SIGNAL \led_flash_cnt[3489][5]~75734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3489][5]~75735\ : std_logic;
SIGNAL \led_flash_cnt[3489][6]~75736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][6]~q\ : std_logic;
SIGNAL \WideAnd3489~1_combout\ : std_logic;
SIGNAL \WideAnd3489~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][6]~75737\ : std_logic;
SIGNAL \led_flash_cnt[3489][7]~75738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3489][7]~q\ : std_logic;
SIGNAL \WideAnd3489~combout\ : std_logic;
SIGNAL \WideAnd4276~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][0]~84133_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3493][1]~75782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3493][1]~75783\ : std_logic;
SIGNAL \led_flash_cnt[3493][2]~75784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3493][2]~75785\ : std_logic;
SIGNAL \led_flash_cnt[3493][3]~75786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3493][3]~75787\ : std_logic;
SIGNAL \led_flash_cnt[3493][4]~75788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][4]~q\ : std_logic;
SIGNAL \WideAnd3493~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][4]~75789\ : std_logic;
SIGNAL \led_flash_cnt[3493][5]~75790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3493][5]~75791\ : std_logic;
SIGNAL \led_flash_cnt[3493][6]~75792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3493][6]~75793\ : std_logic;
SIGNAL \led_flash_cnt[3493][7]~75794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3493][7]~q\ : std_logic;
SIGNAL \WideAnd3493~1_combout\ : std_logic;
SIGNAL \WideAnd3493~combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][0]~84132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3492][1]~75768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3492][1]~75769\ : std_logic;
SIGNAL \led_flash_cnt[3492][2]~75770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3492][2]~75771\ : std_logic;
SIGNAL \led_flash_cnt[3492][3]~75772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3492][3]~75773\ : std_logic;
SIGNAL \led_flash_cnt[3492][4]~75774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3492][4]~75775\ : std_logic;
SIGNAL \led_flash_cnt[3492][5]~75776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3492][5]~75777\ : std_logic;
SIGNAL \led_flash_cnt[3492][6]~75778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][6]~q\ : std_logic;
SIGNAL \WideAnd3492~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][6]~75779\ : std_logic;
SIGNAL \led_flash_cnt[3492][7]~75780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3492][7]~q\ : std_logic;
SIGNAL \WideAnd3492~0_combout\ : std_logic;
SIGNAL \WideAnd3492~combout\ : std_logic;
SIGNAL \WideAnd4276~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][0]~84135_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3495][1]~75810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3495][1]~75811\ : std_logic;
SIGNAL \led_flash_cnt[3495][2]~75812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3495][2]~75813\ : std_logic;
SIGNAL \led_flash_cnt[3495][3]~75814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3495][3]~75815\ : std_logic;
SIGNAL \led_flash_cnt[3495][4]~75816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3495][4]~75817\ : std_logic;
SIGNAL \led_flash_cnt[3495][5]~75818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3495][5]~75819\ : std_logic;
SIGNAL \led_flash_cnt[3495][6]~75820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3495][6]~75821\ : std_logic;
SIGNAL \led_flash_cnt[3495][7]~75822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3495][7]~q\ : std_logic;
SIGNAL \WideAnd3495~0_combout\ : std_logic;
SIGNAL \WideAnd3495~1_combout\ : std_logic;
SIGNAL \WideAnd3495~combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][0]~84134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3494][1]~75796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3494][1]~75797\ : std_logic;
SIGNAL \led_flash_cnt[3494][2]~75798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3494][2]~75799\ : std_logic;
SIGNAL \led_flash_cnt[3494][3]~75800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3494][3]~75801\ : std_logic;
SIGNAL \led_flash_cnt[3494][4]~75802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3494][4]~75803\ : std_logic;
SIGNAL \led_flash_cnt[3494][5]~75804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3494][5]~75805\ : std_logic;
SIGNAL \led_flash_cnt[3494][6]~75806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3494][6]~75807\ : std_logic;
SIGNAL \led_flash_cnt[3494][7]~75808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3494][7]~q\ : std_logic;
SIGNAL \WideAnd3494~1_combout\ : std_logic;
SIGNAL \WideAnd3494~0_combout\ : std_logic;
SIGNAL \WideAnd3494~combout\ : std_logic;
SIGNAL \WideAnd4276~combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][0]~84142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3502][1]~75908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3502][1]~75909\ : std_logic;
SIGNAL \led_flash_cnt[3502][2]~75910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3502][2]~75911\ : std_logic;
SIGNAL \led_flash_cnt[3502][3]~75912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3502][3]~75913\ : std_logic;
SIGNAL \led_flash_cnt[3502][4]~75914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3502][4]~75915\ : std_logic;
SIGNAL \led_flash_cnt[3502][5]~75916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3502][5]~75917\ : std_logic;
SIGNAL \led_flash_cnt[3502][6]~75918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][6]~q\ : std_logic;
SIGNAL \WideAnd3502~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][6]~75919\ : std_logic;
SIGNAL \led_flash_cnt[3502][7]~75920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3502][7]~q\ : std_logic;
SIGNAL \WideAnd3502~0_combout\ : std_logic;
SIGNAL \WideAnd3502~combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][0]~84138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3498][1]~75852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3498][1]~75853\ : std_logic;
SIGNAL \led_flash_cnt[3498][2]~75854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3498][2]~75855\ : std_logic;
SIGNAL \led_flash_cnt[3498][3]~75856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3498][3]~75857\ : std_logic;
SIGNAL \led_flash_cnt[3498][4]~75858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][4]~q\ : std_logic;
SIGNAL \WideAnd3498~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][4]~75859\ : std_logic;
SIGNAL \led_flash_cnt[3498][5]~75860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3498][5]~75861\ : std_logic;
SIGNAL \led_flash_cnt[3498][6]~75862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3498][6]~75863\ : std_logic;
SIGNAL \led_flash_cnt[3498][7]~75864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3498][7]~q\ : std_logic;
SIGNAL \WideAnd3498~1_combout\ : std_logic;
SIGNAL \WideAnd3498~combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][0]~84139_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3499][1]~75866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3499][1]~75867\ : std_logic;
SIGNAL \led_flash_cnt[3499][2]~75868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3499][2]~75869\ : std_logic;
SIGNAL \led_flash_cnt[3499][3]~75870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3499][3]~75871\ : std_logic;
SIGNAL \led_flash_cnt[3499][4]~75872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3499][4]~75873\ : std_logic;
SIGNAL \led_flash_cnt[3499][5]~75874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3499][5]~75875\ : std_logic;
SIGNAL \led_flash_cnt[3499][6]~75876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][6]~q\ : std_logic;
SIGNAL \WideAnd3499~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][6]~75877\ : std_logic;
SIGNAL \led_flash_cnt[3499][7]~75878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3499][7]~q\ : std_logic;
SIGNAL \WideAnd3499~0_combout\ : std_logic;
SIGNAL \WideAnd3499~combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][0]~84136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3496][1]~75824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3496][1]~75825\ : std_logic;
SIGNAL \led_flash_cnt[3496][2]~75826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3496][2]~75827\ : std_logic;
SIGNAL \led_flash_cnt[3496][3]~75828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3496][3]~75829\ : std_logic;
SIGNAL \led_flash_cnt[3496][4]~75830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3496][4]~75831\ : std_logic;
SIGNAL \led_flash_cnt[3496][5]~75832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3496][5]~75833\ : std_logic;
SIGNAL \led_flash_cnt[3496][6]~75834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3496][6]~75835\ : std_logic;
SIGNAL \led_flash_cnt[3496][7]~75836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3496][7]~q\ : std_logic;
SIGNAL \WideAnd3496~1_combout\ : std_logic;
SIGNAL \WideAnd3496~0_combout\ : std_logic;
SIGNAL \WideAnd3496~combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][0]~84137_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3497][1]~75838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3497][1]~75839\ : std_logic;
SIGNAL \led_flash_cnt[3497][2]~75840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3497][2]~75841\ : std_logic;
SIGNAL \led_flash_cnt[3497][3]~75842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3497][3]~75843\ : std_logic;
SIGNAL \led_flash_cnt[3497][4]~75844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3497][4]~75845\ : std_logic;
SIGNAL \led_flash_cnt[3497][5]~75846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3497][5]~75847\ : std_logic;
SIGNAL \led_flash_cnt[3497][6]~75848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][6]~q\ : std_logic;
SIGNAL \WideAnd3497~1_combout\ : std_logic;
SIGNAL \WideAnd3497~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][6]~75849\ : std_logic;
SIGNAL \led_flash_cnt[3497][7]~75850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3497][7]~q\ : std_logic;
SIGNAL \WideAnd3497~combout\ : std_logic;
SIGNAL \WideAnd4277~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][0]~84140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3500][1]~75880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3500][1]~75881\ : std_logic;
SIGNAL \led_flash_cnt[3500][2]~75882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3500][2]~75883\ : std_logic;
SIGNAL \led_flash_cnt[3500][3]~75884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3500][3]~75885\ : std_logic;
SIGNAL \led_flash_cnt[3500][4]~75886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3500][4]~75887\ : std_logic;
SIGNAL \led_flash_cnt[3500][5]~75888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3500][5]~75889\ : std_logic;
SIGNAL \led_flash_cnt[3500][6]~75890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3500][6]~75891\ : std_logic;
SIGNAL \led_flash_cnt[3500][7]~75892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3500][7]~q\ : std_logic;
SIGNAL \WideAnd3500~0_combout\ : std_logic;
SIGNAL \WideAnd3500~1_combout\ : std_logic;
SIGNAL \WideAnd3500~combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][0]~84141_combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3501][1]~75894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3501][1]~75895\ : std_logic;
SIGNAL \led_flash_cnt[3501][2]~75896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3501][2]~75897\ : std_logic;
SIGNAL \led_flash_cnt[3501][3]~75898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3501][3]~75899\ : std_logic;
SIGNAL \led_flash_cnt[3501][4]~75900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3501][4]~75901\ : std_logic;
SIGNAL \led_flash_cnt[3501][5]~75902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3501][5]~75903\ : std_logic;
SIGNAL \led_flash_cnt[3501][6]~75904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3501][6]~75905\ : std_logic;
SIGNAL \led_flash_cnt[3501][7]~75906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3501][7]~q\ : std_logic;
SIGNAL \WideAnd3501~1_combout\ : std_logic;
SIGNAL \WideAnd3501~0_combout\ : std_logic;
SIGNAL \WideAnd3501~combout\ : std_logic;
SIGNAL \WideAnd4277~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][0]~84143_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3503][1]~75922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3503][1]~75923\ : std_logic;
SIGNAL \led_flash_cnt[3503][2]~75924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3503][2]~75925\ : std_logic;
SIGNAL \led_flash_cnt[3503][3]~75926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3503][3]~75927\ : std_logic;
SIGNAL \led_flash_cnt[3503][4]~75928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3503][4]~75929\ : std_logic;
SIGNAL \led_flash_cnt[3503][5]~75930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3503][5]~75931\ : std_logic;
SIGNAL \led_flash_cnt[3503][6]~75932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][6]~q\ : std_logic;
SIGNAL \WideAnd3503~1_combout\ : std_logic;
SIGNAL \WideAnd3503~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][6]~75933\ : std_logic;
SIGNAL \led_flash_cnt[3503][7]~75934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3503][7]~q\ : std_logic;
SIGNAL \WideAnd3503~combout\ : std_logic;
SIGNAL \WideAnd4277~combout\ : std_logic;
SIGNAL \WideAnd4374~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][0]~84148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3508][1]~75992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3508][1]~75993\ : std_logic;
SIGNAL \led_flash_cnt[3508][2]~75994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3508][2]~75995\ : std_logic;
SIGNAL \led_flash_cnt[3508][3]~75996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3508][3]~75997\ : std_logic;
SIGNAL \led_flash_cnt[3508][4]~75998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3508][4]~75999\ : std_logic;
SIGNAL \led_flash_cnt[3508][5]~76000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3508][5]~76001\ : std_logic;
SIGNAL \led_flash_cnt[3508][6]~76002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3508][6]~76003\ : std_logic;
SIGNAL \led_flash_cnt[3508][7]~76004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3508][7]~q\ : std_logic;
SIGNAL \WideAnd3508~0_combout\ : std_logic;
SIGNAL \WideAnd3508~1_combout\ : std_logic;
SIGNAL \WideAnd3508~combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][0]~84149_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3509][1]~76006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3509][1]~76007\ : std_logic;
SIGNAL \led_flash_cnt[3509][2]~76008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3509][2]~76009\ : std_logic;
SIGNAL \led_flash_cnt[3509][3]~76010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3509][3]~76011\ : std_logic;
SIGNAL \led_flash_cnt[3509][4]~76012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][4]~q\ : std_logic;
SIGNAL \WideAnd3509~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][4]~76013\ : std_logic;
SIGNAL \led_flash_cnt[3509][5]~76014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3509][5]~76015\ : std_logic;
SIGNAL \led_flash_cnt[3509][6]~76016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][6]~q\ : std_logic;
SIGNAL \WideAnd3509~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][6]~76017\ : std_logic;
SIGNAL \led_flash_cnt[3509][7]~76018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3509][7]~q\ : std_logic;
SIGNAL \WideAnd3509~combout\ : std_logic;
SIGNAL \WideAnd4278~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][0]~84151_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3511][1]~76034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3511][1]~76035\ : std_logic;
SIGNAL \led_flash_cnt[3511][2]~76036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3511][2]~76037\ : std_logic;
SIGNAL \led_flash_cnt[3511][3]~76038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3511][3]~76039\ : std_logic;
SIGNAL \led_flash_cnt[3511][4]~76040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][4]~q\ : std_logic;
SIGNAL \WideAnd3511~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][4]~76041\ : std_logic;
SIGNAL \led_flash_cnt[3511][5]~76042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3511][5]~76043\ : std_logic;
SIGNAL \led_flash_cnt[3511][6]~76044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][6]~q\ : std_logic;
SIGNAL \WideAnd3511~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][6]~76045\ : std_logic;
SIGNAL \led_flash_cnt[3511][7]~76046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3511][7]~q\ : std_logic;
SIGNAL \WideAnd3511~combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][0]~84150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3510][1]~76020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3510][1]~76021\ : std_logic;
SIGNAL \led_flash_cnt[3510][2]~76022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3510][2]~76023\ : std_logic;
SIGNAL \led_flash_cnt[3510][3]~76024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3510][3]~76025\ : std_logic;
SIGNAL \led_flash_cnt[3510][4]~76026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][4]~q\ : std_logic;
SIGNAL \WideAnd3510~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][4]~76027\ : std_logic;
SIGNAL \led_flash_cnt[3510][5]~76028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3510][5]~76029\ : std_logic;
SIGNAL \led_flash_cnt[3510][6]~76030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][6]~q\ : std_logic;
SIGNAL \WideAnd3510~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][6]~76031\ : std_logic;
SIGNAL \led_flash_cnt[3510][7]~76032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3510][7]~q\ : std_logic;
SIGNAL \WideAnd3510~combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][0]~84146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3506][1]~75964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3506][1]~75965\ : std_logic;
SIGNAL \led_flash_cnt[3506][2]~75966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3506][2]~75967\ : std_logic;
SIGNAL \led_flash_cnt[3506][3]~75968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3506][3]~75969\ : std_logic;
SIGNAL \led_flash_cnt[3506][4]~75970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][4]~q\ : std_logic;
SIGNAL \WideAnd3506~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][4]~75971\ : std_logic;
SIGNAL \led_flash_cnt[3506][5]~75972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3506][5]~75973\ : std_logic;
SIGNAL \led_flash_cnt[3506][6]~75974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3506][6]~75975\ : std_logic;
SIGNAL \led_flash_cnt[3506][7]~75976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3506][7]~q\ : std_logic;
SIGNAL \WideAnd3506~1_combout\ : std_logic;
SIGNAL \WideAnd3506~combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][0]~84144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3504][1]~75936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3504][1]~75937\ : std_logic;
SIGNAL \led_flash_cnt[3504][2]~75938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3504][2]~75939\ : std_logic;
SIGNAL \led_flash_cnt[3504][3]~75940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3504][3]~75941\ : std_logic;
SIGNAL \led_flash_cnt[3504][4]~75942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3504][4]~75943\ : std_logic;
SIGNAL \led_flash_cnt[3504][5]~75944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3504][5]~75945\ : std_logic;
SIGNAL \led_flash_cnt[3504][6]~75946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][6]~q\ : std_logic;
SIGNAL \WideAnd3504~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][6]~75947\ : std_logic;
SIGNAL \led_flash_cnt[3504][7]~75948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3504][7]~q\ : std_logic;
SIGNAL \WideAnd3504~0_combout\ : std_logic;
SIGNAL \WideAnd3504~combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][0]~84147_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3507][1]~75978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3507][1]~75979\ : std_logic;
SIGNAL \led_flash_cnt[3507][2]~75980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3507][2]~75981\ : std_logic;
SIGNAL \led_flash_cnt[3507][3]~75982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3507][3]~75983\ : std_logic;
SIGNAL \led_flash_cnt[3507][4]~75984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][4]~q\ : std_logic;
SIGNAL \WideAnd3507~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][4]~75985\ : std_logic;
SIGNAL \led_flash_cnt[3507][5]~75986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3507][5]~75987\ : std_logic;
SIGNAL \led_flash_cnt[3507][6]~75988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3507][6]~75989\ : std_logic;
SIGNAL \led_flash_cnt[3507][7]~75990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3507][7]~q\ : std_logic;
SIGNAL \WideAnd3507~1_combout\ : std_logic;
SIGNAL \WideAnd3507~combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][0]~84145_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3505][1]~75950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3505][1]~75951\ : std_logic;
SIGNAL \led_flash_cnt[3505][2]~75952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3505][2]~75953\ : std_logic;
SIGNAL \led_flash_cnt[3505][3]~75954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3505][3]~75955\ : std_logic;
SIGNAL \led_flash_cnt[3505][4]~75956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3505][4]~75957\ : std_logic;
SIGNAL \led_flash_cnt[3505][5]~75958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3505][5]~75959\ : std_logic;
SIGNAL \led_flash_cnt[3505][6]~75960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][6]~q\ : std_logic;
SIGNAL \WideAnd3505~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][6]~75961\ : std_logic;
SIGNAL \led_flash_cnt[3505][7]~75962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3505][7]~q\ : std_logic;
SIGNAL \WideAnd3505~0_combout\ : std_logic;
SIGNAL \WideAnd3505~combout\ : std_logic;
SIGNAL \WideAnd4278~0_combout\ : std_logic;
SIGNAL \WideAnd4278~combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][0]~84125_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3485][1]~75670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3485][1]~75671\ : std_logic;
SIGNAL \led_flash_cnt[3485][2]~75672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3485][2]~75673\ : std_logic;
SIGNAL \led_flash_cnt[3485][3]~75674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3485][3]~75675\ : std_logic;
SIGNAL \led_flash_cnt[3485][4]~75676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3485][4]~75677\ : std_logic;
SIGNAL \led_flash_cnt[3485][5]~75678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3485][5]~75679\ : std_logic;
SIGNAL \led_flash_cnt[3485][6]~75680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][6]~q\ : std_logic;
SIGNAL \WideAnd3485~1_combout\ : std_logic;
SIGNAL \WideAnd3485~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][6]~75681\ : std_logic;
SIGNAL \led_flash_cnt[3485][7]~75682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3485][7]~q\ : std_logic;
SIGNAL \WideAnd3485~combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][0]~84124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3484][1]~75656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3484][1]~75657\ : std_logic;
SIGNAL \led_flash_cnt[3484][2]~75658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3484][2]~75659\ : std_logic;
SIGNAL \led_flash_cnt[3484][3]~75660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3484][3]~75661\ : std_logic;
SIGNAL \led_flash_cnt[3484][4]~75662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3484][4]~75663\ : std_logic;
SIGNAL \led_flash_cnt[3484][5]~75664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3484][5]~75665\ : std_logic;
SIGNAL \led_flash_cnt[3484][6]~75666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3484][6]~75667\ : std_logic;
SIGNAL \led_flash_cnt[3484][7]~75668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3484][7]~q\ : std_logic;
SIGNAL \WideAnd3484~1_combout\ : std_logic;
SIGNAL \WideAnd3484~0_combout\ : std_logic;
SIGNAL \WideAnd3484~combout\ : std_logic;
SIGNAL \WideAnd4275~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][0]~84120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3480][1]~75600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3480][1]~75601\ : std_logic;
SIGNAL \led_flash_cnt[3480][2]~75602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3480][2]~75603\ : std_logic;
SIGNAL \led_flash_cnt[3480][3]~75604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3480][3]~75605\ : std_logic;
SIGNAL \led_flash_cnt[3480][4]~75606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3480][4]~75607\ : std_logic;
SIGNAL \led_flash_cnt[3480][5]~75608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3480][5]~75609\ : std_logic;
SIGNAL \led_flash_cnt[3480][6]~75610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3480][6]~75611\ : std_logic;
SIGNAL \led_flash_cnt[3480][7]~75612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3480][7]~q\ : std_logic;
SIGNAL \WideAnd3480~1_combout\ : std_logic;
SIGNAL \WideAnd3480~0_combout\ : std_logic;
SIGNAL \WideAnd3480~combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][0]~84121_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3481][1]~75614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3481][1]~75615\ : std_logic;
SIGNAL \led_flash_cnt[3481][2]~75616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3481][2]~75617\ : std_logic;
SIGNAL \led_flash_cnt[3481][3]~75618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3481][3]~75619\ : std_logic;
SIGNAL \led_flash_cnt[3481][4]~75620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3481][4]~75621\ : std_logic;
SIGNAL \led_flash_cnt[3481][5]~75622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3481][5]~75623\ : std_logic;
SIGNAL \led_flash_cnt[3481][6]~75624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][6]~q\ : std_logic;
SIGNAL \WideAnd3481~1_combout\ : std_logic;
SIGNAL \WideAnd3481~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][6]~75625\ : std_logic;
SIGNAL \led_flash_cnt[3481][7]~75626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3481][7]~q\ : std_logic;
SIGNAL \WideAnd3481~combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][0]~84122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3482][1]~75628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3482][1]~75629\ : std_logic;
SIGNAL \led_flash_cnt[3482][2]~75630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3482][2]~75631\ : std_logic;
SIGNAL \led_flash_cnt[3482][3]~75632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3482][3]~75633\ : std_logic;
SIGNAL \led_flash_cnt[3482][4]~75634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][4]~q\ : std_logic;
SIGNAL \WideAnd3482~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][4]~75635\ : std_logic;
SIGNAL \led_flash_cnt[3482][5]~75636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3482][5]~75637\ : std_logic;
SIGNAL \led_flash_cnt[3482][6]~75638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3482][6]~75639\ : std_logic;
SIGNAL \led_flash_cnt[3482][7]~75640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3482][7]~q\ : std_logic;
SIGNAL \WideAnd3482~1_combout\ : std_logic;
SIGNAL \WideAnd3482~combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][0]~84123_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3483][1]~75642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3483][1]~75643\ : std_logic;
SIGNAL \led_flash_cnt[3483][2]~75644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3483][2]~75645\ : std_logic;
SIGNAL \led_flash_cnt[3483][3]~75646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3483][3]~75647\ : std_logic;
SIGNAL \led_flash_cnt[3483][4]~75648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3483][4]~75649\ : std_logic;
SIGNAL \led_flash_cnt[3483][5]~75650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3483][5]~75651\ : std_logic;
SIGNAL \led_flash_cnt[3483][6]~75652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][6]~q\ : std_logic;
SIGNAL \WideAnd3483~1_combout\ : std_logic;
SIGNAL \WideAnd3483~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][6]~75653\ : std_logic;
SIGNAL \led_flash_cnt[3483][7]~75654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3483][7]~q\ : std_logic;
SIGNAL \WideAnd3483~combout\ : std_logic;
SIGNAL \WideAnd4275~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][0]~84126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3486][1]~75684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3486][1]~75685\ : std_logic;
SIGNAL \led_flash_cnt[3486][2]~75686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3486][2]~75687\ : std_logic;
SIGNAL \led_flash_cnt[3486][3]~75688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3486][3]~75689\ : std_logic;
SIGNAL \led_flash_cnt[3486][4]~75690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3486][4]~75691\ : std_logic;
SIGNAL \led_flash_cnt[3486][5]~75692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3486][5]~75693\ : std_logic;
SIGNAL \led_flash_cnt[3486][6]~75694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3486][6]~75695\ : std_logic;
SIGNAL \led_flash_cnt[3486][7]~75696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3486][7]~q\ : std_logic;
SIGNAL \WideAnd3486~0_combout\ : std_logic;
SIGNAL \WideAnd3486~1_combout\ : std_logic;
SIGNAL \WideAnd3486~combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][0]~84127_combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3487][1]~75698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3487][1]~75699\ : std_logic;
SIGNAL \led_flash_cnt[3487][2]~75700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3487][2]~75701\ : std_logic;
SIGNAL \led_flash_cnt[3487][3]~75702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3487][3]~75703\ : std_logic;
SIGNAL \led_flash_cnt[3487][4]~75704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3487][4]~75705\ : std_logic;
SIGNAL \led_flash_cnt[3487][5]~75706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3487][5]~75707\ : std_logic;
SIGNAL \led_flash_cnt[3487][6]~75708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3487][6]~75709\ : std_logic;
SIGNAL \led_flash_cnt[3487][7]~75710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3487][7]~q\ : std_logic;
SIGNAL \WideAnd3487~1_combout\ : std_logic;
SIGNAL \WideAnd3487~0_combout\ : std_logic;
SIGNAL \WideAnd3487~combout\ : std_logic;
SIGNAL \WideAnd4275~combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][0]~84116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3476][1]~75544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3476][1]~75545\ : std_logic;
SIGNAL \led_flash_cnt[3476][2]~75546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3476][2]~75547\ : std_logic;
SIGNAL \led_flash_cnt[3476][3]~75548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3476][3]~75549\ : std_logic;
SIGNAL \led_flash_cnt[3476][4]~75550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3476][4]~75551\ : std_logic;
SIGNAL \led_flash_cnt[3476][5]~75552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3476][5]~75553\ : std_logic;
SIGNAL \led_flash_cnt[3476][6]~75554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][6]~q\ : std_logic;
SIGNAL \WideAnd3476~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][6]~75555\ : std_logic;
SIGNAL \led_flash_cnt[3476][7]~75556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3476][7]~q\ : std_logic;
SIGNAL \WideAnd3476~0_combout\ : std_logic;
SIGNAL \WideAnd3476~combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][0]~84117_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3477][1]~75558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3477][1]~75559\ : std_logic;
SIGNAL \led_flash_cnt[3477][2]~75560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3477][2]~75561\ : std_logic;
SIGNAL \led_flash_cnt[3477][3]~75562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3477][3]~75563\ : std_logic;
SIGNAL \led_flash_cnt[3477][4]~75564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3477][4]~75565\ : std_logic;
SIGNAL \led_flash_cnt[3477][5]~75566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3477][5]~75567\ : std_logic;
SIGNAL \led_flash_cnt[3477][6]~75568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][6]~q\ : std_logic;
SIGNAL \WideAnd3477~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][6]~75569\ : std_logic;
SIGNAL \led_flash_cnt[3477][7]~75570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3477][7]~q\ : std_logic;
SIGNAL \WideAnd3477~0_combout\ : std_logic;
SIGNAL \WideAnd3477~combout\ : std_logic;
SIGNAL \WideAnd4274~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][0]~84119_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3479][1]~75586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3479][1]~75587\ : std_logic;
SIGNAL \led_flash_cnt[3479][2]~75588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3479][2]~75589\ : std_logic;
SIGNAL \led_flash_cnt[3479][3]~75590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3479][3]~75591\ : std_logic;
SIGNAL \led_flash_cnt[3479][4]~75592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3479][4]~75593\ : std_logic;
SIGNAL \led_flash_cnt[3479][5]~75594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3479][5]~75595\ : std_logic;
SIGNAL \led_flash_cnt[3479][6]~75596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][6]~q\ : std_logic;
SIGNAL \WideAnd3479~1_combout\ : std_logic;
SIGNAL \WideAnd3479~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][6]~75597\ : std_logic;
SIGNAL \led_flash_cnt[3479][7]~75598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3479][7]~q\ : std_logic;
SIGNAL \WideAnd3479~combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][0]~84114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3474][1]~75516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3474][1]~75517\ : std_logic;
SIGNAL \led_flash_cnt[3474][2]~75518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3474][2]~75519\ : std_logic;
SIGNAL \led_flash_cnt[3474][3]~75520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3474][3]~75521\ : std_logic;
SIGNAL \led_flash_cnt[3474][4]~75522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3474][4]~75523\ : std_logic;
SIGNAL \led_flash_cnt[3474][5]~75524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3474][5]~75525\ : std_logic;
SIGNAL \led_flash_cnt[3474][6]~75526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3474][6]~75527\ : std_logic;
SIGNAL \led_flash_cnt[3474][7]~75528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3474][7]~q\ : std_logic;
SIGNAL \WideAnd3474~0_combout\ : std_logic;
SIGNAL \WideAnd3474~1_combout\ : std_logic;
SIGNAL \WideAnd3474~combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][0]~84115_combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3475][1]~75530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3475][1]~75531\ : std_logic;
SIGNAL \led_flash_cnt[3475][2]~75532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3475][2]~75533\ : std_logic;
SIGNAL \led_flash_cnt[3475][3]~75534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3475][3]~75535\ : std_logic;
SIGNAL \led_flash_cnt[3475][4]~75536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3475][4]~75537\ : std_logic;
SIGNAL \led_flash_cnt[3475][5]~75538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3475][5]~75539\ : std_logic;
SIGNAL \led_flash_cnt[3475][6]~75540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3475][6]~75541\ : std_logic;
SIGNAL \led_flash_cnt[3475][7]~75542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3475][7]~q\ : std_logic;
SIGNAL \WideAnd3475~1_combout\ : std_logic;
SIGNAL \WideAnd3475~0_combout\ : std_logic;
SIGNAL \WideAnd3475~combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][0]~84112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3472][1]~75488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3472][1]~75489\ : std_logic;
SIGNAL \led_flash_cnt[3472][2]~75490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3472][2]~75491\ : std_logic;
SIGNAL \led_flash_cnt[3472][3]~75492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3472][3]~75493\ : std_logic;
SIGNAL \led_flash_cnt[3472][4]~75494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3472][4]~75495\ : std_logic;
SIGNAL \led_flash_cnt[3472][5]~75496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3472][5]~75497\ : std_logic;
SIGNAL \led_flash_cnt[3472][6]~75498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][6]~q\ : std_logic;
SIGNAL \WideAnd3472~1_combout\ : std_logic;
SIGNAL \WideAnd3472~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][6]~75499\ : std_logic;
SIGNAL \led_flash_cnt[3472][7]~75500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3472][7]~q\ : std_logic;
SIGNAL \WideAnd3472~combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][0]~84113_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3473][1]~75502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3473][1]~75503\ : std_logic;
SIGNAL \led_flash_cnt[3473][2]~75504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3473][2]~75505\ : std_logic;
SIGNAL \led_flash_cnt[3473][3]~75506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3473][3]~75507\ : std_logic;
SIGNAL \led_flash_cnt[3473][4]~75508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][4]~q\ : std_logic;
SIGNAL \WideAnd3473~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][4]~75509\ : std_logic;
SIGNAL \led_flash_cnt[3473][5]~75510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3473][5]~75511\ : std_logic;
SIGNAL \led_flash_cnt[3473][6]~75512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][6]~q\ : std_logic;
SIGNAL \WideAnd3473~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][6]~75513\ : std_logic;
SIGNAL \led_flash_cnt[3473][7]~75514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3473][7]~q\ : std_logic;
SIGNAL \WideAnd3473~combout\ : std_logic;
SIGNAL \WideAnd4274~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][0]~84118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3478][1]~75572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3478][1]~75573\ : std_logic;
SIGNAL \led_flash_cnt[3478][2]~75574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3478][2]~75575\ : std_logic;
SIGNAL \led_flash_cnt[3478][3]~75576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3478][3]~75577\ : std_logic;
SIGNAL \led_flash_cnt[3478][4]~75578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3478][4]~75579\ : std_logic;
SIGNAL \led_flash_cnt[3478][5]~75580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3478][5]~75581\ : std_logic;
SIGNAL \led_flash_cnt[3478][6]~75582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3478][6]~75583\ : std_logic;
SIGNAL \led_flash_cnt[3478][7]~75584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3478][7]~q\ : std_logic;
SIGNAL \WideAnd3478~0_combout\ : std_logic;
SIGNAL \WideAnd3478~1_combout\ : std_logic;
SIGNAL \WideAnd3478~combout\ : std_logic;
SIGNAL \WideAnd4274~combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][0]~84100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3460][1]~75320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3460][1]~75321\ : std_logic;
SIGNAL \led_flash_cnt[3460][2]~75322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3460][2]~75323\ : std_logic;
SIGNAL \led_flash_cnt[3460][3]~75324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3460][3]~75325\ : std_logic;
SIGNAL \led_flash_cnt[3460][4]~75326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3460][4]~75327\ : std_logic;
SIGNAL \led_flash_cnt[3460][5]~75328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3460][5]~75329\ : std_logic;
SIGNAL \led_flash_cnt[3460][6]~75330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][6]~q\ : std_logic;
SIGNAL \WideAnd3460~1_combout\ : std_logic;
SIGNAL \WideAnd3460~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][6]~75331\ : std_logic;
SIGNAL \led_flash_cnt[3460][7]~75332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3460][7]~q\ : std_logic;
SIGNAL \WideAnd3460~combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][0]~84101_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3461][1]~75334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3461][1]~75335\ : std_logic;
SIGNAL \led_flash_cnt[3461][2]~75336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3461][2]~75337\ : std_logic;
SIGNAL \led_flash_cnt[3461][3]~75338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3461][3]~75339\ : std_logic;
SIGNAL \led_flash_cnt[3461][4]~75340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3461][4]~75341\ : std_logic;
SIGNAL \led_flash_cnt[3461][5]~75342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3461][5]~75343\ : std_logic;
SIGNAL \led_flash_cnt[3461][6]~75344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][6]~q\ : std_logic;
SIGNAL \WideAnd3461~1_combout\ : std_logic;
SIGNAL \WideAnd3461~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][6]~75345\ : std_logic;
SIGNAL \led_flash_cnt[3461][7]~75346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3461][7]~q\ : std_logic;
SIGNAL \WideAnd3461~combout\ : std_logic;
SIGNAL \WideAnd4272~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][0]~84103_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3463][1]~75362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3463][1]~75363\ : std_logic;
SIGNAL \led_flash_cnt[3463][2]~75364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3463][2]~75365\ : std_logic;
SIGNAL \led_flash_cnt[3463][3]~75366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3463][3]~75367\ : std_logic;
SIGNAL \led_flash_cnt[3463][4]~75368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][4]~q\ : std_logic;
SIGNAL \WideAnd3463~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][4]~75369\ : std_logic;
SIGNAL \led_flash_cnt[3463][5]~75370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3463][5]~75371\ : std_logic;
SIGNAL \led_flash_cnt[3463][6]~75372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3463][6]~75373\ : std_logic;
SIGNAL \led_flash_cnt[3463][7]~75374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3463][7]~q\ : std_logic;
SIGNAL \WideAnd3463~1_combout\ : std_logic;
SIGNAL \WideAnd3463~combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][0]~84096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3456][1]~75264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3456][1]~75265\ : std_logic;
SIGNAL \led_flash_cnt[3456][2]~75266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3456][2]~75267\ : std_logic;
SIGNAL \led_flash_cnt[3456][3]~75268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3456][3]~75269\ : std_logic;
SIGNAL \led_flash_cnt[3456][4]~75270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3456][4]~75271\ : std_logic;
SIGNAL \led_flash_cnt[3456][5]~75272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3456][5]~75273\ : std_logic;
SIGNAL \led_flash_cnt[3456][6]~75274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][6]~q\ : std_logic;
SIGNAL \WideAnd3456~1_combout\ : std_logic;
SIGNAL \WideAnd3456~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][6]~75275\ : std_logic;
SIGNAL \led_flash_cnt[3456][7]~75276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3456][7]~q\ : std_logic;
SIGNAL \WideAnd3456~combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][0]~84099_combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3459][1]~75306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3459][1]~75307\ : std_logic;
SIGNAL \led_flash_cnt[3459][2]~75308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3459][2]~75309\ : std_logic;
SIGNAL \led_flash_cnt[3459][3]~75310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3459][3]~75311\ : std_logic;
SIGNAL \led_flash_cnt[3459][4]~75312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3459][4]~75313\ : std_logic;
SIGNAL \led_flash_cnt[3459][5]~75314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3459][5]~75315\ : std_logic;
SIGNAL \led_flash_cnt[3459][6]~75316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3459][6]~75317\ : std_logic;
SIGNAL \led_flash_cnt[3459][7]~75318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3459][7]~q\ : std_logic;
SIGNAL \WideAnd3459~0_combout\ : std_logic;
SIGNAL \WideAnd3459~1_combout\ : std_logic;
SIGNAL \WideAnd3459~combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][0]~84098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3458][1]~75292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3458][1]~75293\ : std_logic;
SIGNAL \led_flash_cnt[3458][2]~75294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3458][2]~75295\ : std_logic;
SIGNAL \led_flash_cnt[3458][3]~75296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3458][3]~75297\ : std_logic;
SIGNAL \led_flash_cnt[3458][4]~75298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][4]~q\ : std_logic;
SIGNAL \WideAnd3458~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][4]~75299\ : std_logic;
SIGNAL \led_flash_cnt[3458][5]~75300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3458][5]~75301\ : std_logic;
SIGNAL \led_flash_cnt[3458][6]~75302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3458][6]~75303\ : std_logic;
SIGNAL \led_flash_cnt[3458][7]~75304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3458][7]~q\ : std_logic;
SIGNAL \WideAnd3458~1_combout\ : std_logic;
SIGNAL \WideAnd3458~combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][0]~84097_combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3457][1]~75278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3457][1]~75279\ : std_logic;
SIGNAL \led_flash_cnt[3457][2]~75280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3457][2]~75281\ : std_logic;
SIGNAL \led_flash_cnt[3457][3]~75282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3457][3]~75283\ : std_logic;
SIGNAL \led_flash_cnt[3457][4]~75284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3457][4]~75285\ : std_logic;
SIGNAL \led_flash_cnt[3457][5]~75286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3457][5]~75287\ : std_logic;
SIGNAL \led_flash_cnt[3457][6]~75288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3457][6]~75289\ : std_logic;
SIGNAL \led_flash_cnt[3457][7]~75290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3457][7]~q\ : std_logic;
SIGNAL \WideAnd3457~1_combout\ : std_logic;
SIGNAL \WideAnd3457~0_combout\ : std_logic;
SIGNAL \WideAnd3457~combout\ : std_logic;
SIGNAL \WideAnd4272~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][0]~84102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3462][1]~75348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3462][1]~75349\ : std_logic;
SIGNAL \led_flash_cnt[3462][2]~75350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3462][2]~75351\ : std_logic;
SIGNAL \led_flash_cnt[3462][3]~75352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3462][3]~75353\ : std_logic;
SIGNAL \led_flash_cnt[3462][4]~75354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3462][4]~75355\ : std_logic;
SIGNAL \led_flash_cnt[3462][5]~75356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3462][5]~75357\ : std_logic;
SIGNAL \led_flash_cnt[3462][6]~75358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3462][6]~75359\ : std_logic;
SIGNAL \led_flash_cnt[3462][7]~75360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3462][7]~q\ : std_logic;
SIGNAL \WideAnd3462~1_combout\ : std_logic;
SIGNAL \WideAnd3462~0_combout\ : std_logic;
SIGNAL \WideAnd3462~combout\ : std_logic;
SIGNAL \WideAnd4272~combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][0]~84111_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3471][1]~75474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3471][1]~75475\ : std_logic;
SIGNAL \led_flash_cnt[3471][2]~75476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3471][2]~75477\ : std_logic;
SIGNAL \led_flash_cnt[3471][3]~75478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3471][3]~75479\ : std_logic;
SIGNAL \led_flash_cnt[3471][4]~75480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][4]~q\ : std_logic;
SIGNAL \WideAnd3471~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][4]~75481\ : std_logic;
SIGNAL \led_flash_cnt[3471][5]~75482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3471][5]~75483\ : std_logic;
SIGNAL \led_flash_cnt[3471][6]~75484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][6]~q\ : std_logic;
SIGNAL \WideAnd3471~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][6]~75485\ : std_logic;
SIGNAL \led_flash_cnt[3471][7]~75486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3471][7]~q\ : std_logic;
SIGNAL \WideAnd3471~combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][0]~84109_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3469][1]~75446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3469][1]~75447\ : std_logic;
SIGNAL \led_flash_cnt[3469][2]~75448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3469][2]~75449\ : std_logic;
SIGNAL \led_flash_cnt[3469][3]~75450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3469][3]~75451\ : std_logic;
SIGNAL \led_flash_cnt[3469][4]~75452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][4]~q\ : std_logic;
SIGNAL \WideAnd3469~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][4]~75453\ : std_logic;
SIGNAL \led_flash_cnt[3469][5]~75454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3469][5]~75455\ : std_logic;
SIGNAL \led_flash_cnt[3469][6]~75456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3469][6]~75457\ : std_logic;
SIGNAL \led_flash_cnt[3469][7]~75458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3469][7]~q\ : std_logic;
SIGNAL \WideAnd3469~1_combout\ : std_logic;
SIGNAL \WideAnd3469~combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][0]~84108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3468][1]~75432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3468][1]~75433\ : std_logic;
SIGNAL \led_flash_cnt[3468][2]~75434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3468][2]~75435\ : std_logic;
SIGNAL \led_flash_cnt[3468][3]~75436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3468][3]~75437\ : std_logic;
SIGNAL \led_flash_cnt[3468][4]~75438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][4]~q\ : std_logic;
SIGNAL \WideAnd3468~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][4]~75439\ : std_logic;
SIGNAL \led_flash_cnt[3468][5]~75440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3468][5]~75441\ : std_logic;
SIGNAL \led_flash_cnt[3468][6]~75442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3468][6]~75443\ : std_logic;
SIGNAL \led_flash_cnt[3468][7]~75444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3468][7]~q\ : std_logic;
SIGNAL \WideAnd3468~1_combout\ : std_logic;
SIGNAL \WideAnd3468~combout\ : std_logic;
SIGNAL \WideAnd4273~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][0]~84107_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3467][1]~75418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3467][1]~75419\ : std_logic;
SIGNAL \led_flash_cnt[3467][2]~75420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3467][2]~75421\ : std_logic;
SIGNAL \led_flash_cnt[3467][3]~75422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3467][3]~75423\ : std_logic;
SIGNAL \led_flash_cnt[3467][4]~75424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3467][4]~75425\ : std_logic;
SIGNAL \led_flash_cnt[3467][5]~75426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3467][5]~75427\ : std_logic;
SIGNAL \led_flash_cnt[3467][6]~75428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][6]~q\ : std_logic;
SIGNAL \WideAnd3467~1_combout\ : std_logic;
SIGNAL \WideAnd3467~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][6]~75429\ : std_logic;
SIGNAL \led_flash_cnt[3467][7]~75430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3467][7]~q\ : std_logic;
SIGNAL \WideAnd3467~combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][0]~84105_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3465][1]~75390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3465][1]~75391\ : std_logic;
SIGNAL \led_flash_cnt[3465][2]~75392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3465][2]~75393\ : std_logic;
SIGNAL \led_flash_cnt[3465][3]~75394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3465][3]~75395\ : std_logic;
SIGNAL \led_flash_cnt[3465][4]~75396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3465][4]~75397\ : std_logic;
SIGNAL \led_flash_cnt[3465][5]~75398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3465][5]~75399\ : std_logic;
SIGNAL \led_flash_cnt[3465][6]~75400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][6]~q\ : std_logic;
SIGNAL \WideAnd3465~1_combout\ : std_logic;
SIGNAL \WideAnd3465~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][6]~75401\ : std_logic;
SIGNAL \led_flash_cnt[3465][7]~75402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3465][7]~q\ : std_logic;
SIGNAL \WideAnd3465~combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][0]~84104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3464][1]~75376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3464][1]~75377\ : std_logic;
SIGNAL \led_flash_cnt[3464][2]~75378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3464][2]~75379\ : std_logic;
SIGNAL \led_flash_cnt[3464][3]~75380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3464][3]~75381\ : std_logic;
SIGNAL \led_flash_cnt[3464][4]~75382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][4]~q\ : std_logic;
SIGNAL \WideAnd3464~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][4]~75383\ : std_logic;
SIGNAL \led_flash_cnt[3464][5]~75384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3464][5]~75385\ : std_logic;
SIGNAL \led_flash_cnt[3464][6]~75386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3464][6]~75387\ : std_logic;
SIGNAL \led_flash_cnt[3464][7]~75388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3464][7]~q\ : std_logic;
SIGNAL \WideAnd3464~1_combout\ : std_logic;
SIGNAL \WideAnd3464~combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][0]~84106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3466][1]~75404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3466][1]~75405\ : std_logic;
SIGNAL \led_flash_cnt[3466][2]~75406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3466][2]~75407\ : std_logic;
SIGNAL \led_flash_cnt[3466][3]~75408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3466][3]~75409\ : std_logic;
SIGNAL \led_flash_cnt[3466][4]~75410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3466][4]~75411\ : std_logic;
SIGNAL \led_flash_cnt[3466][5]~75412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3466][5]~75413\ : std_logic;
SIGNAL \led_flash_cnt[3466][6]~75414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][6]~q\ : std_logic;
SIGNAL \WideAnd3466~1_combout\ : std_logic;
SIGNAL \WideAnd3466~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][6]~75415\ : std_logic;
SIGNAL \led_flash_cnt[3466][7]~75416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3466][7]~q\ : std_logic;
SIGNAL \WideAnd3466~combout\ : std_logic;
SIGNAL \WideAnd4273~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][0]~84110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3470][1]~75460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3470][1]~75461\ : std_logic;
SIGNAL \led_flash_cnt[3470][2]~75462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3470][2]~75463\ : std_logic;
SIGNAL \led_flash_cnt[3470][3]~75464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3470][3]~75465\ : std_logic;
SIGNAL \led_flash_cnt[3470][4]~75466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3470][4]~75467\ : std_logic;
SIGNAL \led_flash_cnt[3470][5]~75468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3470][5]~75469\ : std_logic;
SIGNAL \led_flash_cnt[3470][6]~75470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3470][6]~75471\ : std_logic;
SIGNAL \led_flash_cnt[3470][7]~75472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3470][7]~q\ : std_logic;
SIGNAL \WideAnd3470~0_combout\ : std_logic;
SIGNAL \WideAnd3470~1_combout\ : std_logic;
SIGNAL \WideAnd3470~combout\ : std_logic;
SIGNAL \WideAnd4273~combout\ : std_logic;
SIGNAL \WideAnd4374~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][0]~84159_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3519][1]~76146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3519][1]~76147\ : std_logic;
SIGNAL \led_flash_cnt[3519][2]~76148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3519][2]~76149\ : std_logic;
SIGNAL \led_flash_cnt[3519][3]~76150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3519][3]~76151\ : std_logic;
SIGNAL \led_flash_cnt[3519][4]~76152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][4]~q\ : std_logic;
SIGNAL \WideAnd3519~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][4]~76153\ : std_logic;
SIGNAL \led_flash_cnt[3519][5]~76154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3519][5]~76155\ : std_logic;
SIGNAL \led_flash_cnt[3519][6]~76156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3519][6]~76157\ : std_logic;
SIGNAL \led_flash_cnt[3519][7]~76158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3519][7]~q\ : std_logic;
SIGNAL \WideAnd3519~1_combout\ : std_logic;
SIGNAL \WideAnd3519~combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][0]~84158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3518][1]~76132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3518][1]~76133\ : std_logic;
SIGNAL \led_flash_cnt[3518][2]~76134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3518][2]~76135\ : std_logic;
SIGNAL \led_flash_cnt[3518][3]~76136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3518][3]~76137\ : std_logic;
SIGNAL \led_flash_cnt[3518][4]~76138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3518][4]~76139\ : std_logic;
SIGNAL \led_flash_cnt[3518][5]~76140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3518][5]~76141\ : std_logic;
SIGNAL \led_flash_cnt[3518][6]~76142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][6]~q\ : std_logic;
SIGNAL \WideAnd3518~1_combout\ : std_logic;
SIGNAL \WideAnd3518~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][6]~76143\ : std_logic;
SIGNAL \led_flash_cnt[3518][7]~76144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3518][7]~q\ : std_logic;
SIGNAL \WideAnd3518~combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][0]~84155_combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3515][1]~76090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3515][1]~76091\ : std_logic;
SIGNAL \led_flash_cnt[3515][2]~76092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3515][2]~76093\ : std_logic;
SIGNAL \led_flash_cnt[3515][3]~76094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3515][3]~76095\ : std_logic;
SIGNAL \led_flash_cnt[3515][4]~76096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3515][4]~76097\ : std_logic;
SIGNAL \led_flash_cnt[3515][5]~76098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3515][5]~76099\ : std_logic;
SIGNAL \led_flash_cnt[3515][6]~76100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3515][6]~76101\ : std_logic;
SIGNAL \led_flash_cnt[3515][7]~76102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3515][7]~q\ : std_logic;
SIGNAL \WideAnd3515~0_combout\ : std_logic;
SIGNAL \WideAnd3515~1_combout\ : std_logic;
SIGNAL \WideAnd3515~combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][0]~84154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3514][1]~76076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3514][1]~76077\ : std_logic;
SIGNAL \led_flash_cnt[3514][2]~76078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3514][2]~76079\ : std_logic;
SIGNAL \led_flash_cnt[3514][3]~76080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3514][3]~76081\ : std_logic;
SIGNAL \led_flash_cnt[3514][4]~76082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3514][4]~76083\ : std_logic;
SIGNAL \led_flash_cnt[3514][5]~76084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3514][5]~76085\ : std_logic;
SIGNAL \led_flash_cnt[3514][6]~76086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][6]~q\ : std_logic;
SIGNAL \WideAnd3514~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][6]~76087\ : std_logic;
SIGNAL \led_flash_cnt[3514][7]~76088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3514][7]~q\ : std_logic;
SIGNAL \WideAnd3514~0_combout\ : std_logic;
SIGNAL \WideAnd3514~combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][0]~84153_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3513][1]~76062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3513][1]~76063\ : std_logic;
SIGNAL \led_flash_cnt[3513][2]~76064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3513][2]~76065\ : std_logic;
SIGNAL \led_flash_cnt[3513][3]~76066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3513][3]~76067\ : std_logic;
SIGNAL \led_flash_cnt[3513][4]~76068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3513][4]~76069\ : std_logic;
SIGNAL \led_flash_cnt[3513][5]~76070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3513][5]~76071\ : std_logic;
SIGNAL \led_flash_cnt[3513][6]~76072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][6]~q\ : std_logic;
SIGNAL \WideAnd3513~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][6]~76073\ : std_logic;
SIGNAL \led_flash_cnt[3513][7]~76074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3513][7]~q\ : std_logic;
SIGNAL \WideAnd3513~0_combout\ : std_logic;
SIGNAL \WideAnd3513~combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][0]~84152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3512][1]~76048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3512][1]~76049\ : std_logic;
SIGNAL \led_flash_cnt[3512][2]~76050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3512][2]~76051\ : std_logic;
SIGNAL \led_flash_cnt[3512][3]~76052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3512][3]~76053\ : std_logic;
SIGNAL \led_flash_cnt[3512][4]~76054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3512][4]~76055\ : std_logic;
SIGNAL \led_flash_cnt[3512][5]~76056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3512][5]~76057\ : std_logic;
SIGNAL \led_flash_cnt[3512][6]~76058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3512][6]~76059\ : std_logic;
SIGNAL \led_flash_cnt[3512][7]~76060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3512][7]~q\ : std_logic;
SIGNAL \WideAnd3512~1_combout\ : std_logic;
SIGNAL \WideAnd3512~0_combout\ : std_logic;
SIGNAL \WideAnd3512~combout\ : std_logic;
SIGNAL \WideAnd4279~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][0]~84157_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3517][1]~76118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3517][1]~76119\ : std_logic;
SIGNAL \led_flash_cnt[3517][2]~76120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3517][2]~76121\ : std_logic;
SIGNAL \led_flash_cnt[3517][3]~76122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3517][3]~76123\ : std_logic;
SIGNAL \led_flash_cnt[3517][4]~76124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3517][4]~76125\ : std_logic;
SIGNAL \led_flash_cnt[3517][5]~76126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3517][5]~76127\ : std_logic;
SIGNAL \led_flash_cnt[3517][6]~76128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3517][6]~76129\ : std_logic;
SIGNAL \led_flash_cnt[3517][7]~76130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3517][7]~q\ : std_logic;
SIGNAL \WideAnd3517~1_combout\ : std_logic;
SIGNAL \WideAnd3517~0_combout\ : std_logic;
SIGNAL \WideAnd3517~combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][0]~84156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3516][1]~76104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3516][1]~76105\ : std_logic;
SIGNAL \led_flash_cnt[3516][2]~76106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3516][2]~76107\ : std_logic;
SIGNAL \led_flash_cnt[3516][3]~76108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3516][3]~76109\ : std_logic;
SIGNAL \led_flash_cnt[3516][4]~76110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][4]~q\ : std_logic;
SIGNAL \WideAnd3516~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][4]~76111\ : std_logic;
SIGNAL \led_flash_cnt[3516][5]~76112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3516][5]~76113\ : std_logic;
SIGNAL \led_flash_cnt[3516][6]~76114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3516][6]~76115\ : std_logic;
SIGNAL \led_flash_cnt[3516][7]~76116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3516][7]~q\ : std_logic;
SIGNAL \WideAnd3516~1_combout\ : std_logic;
SIGNAL \WideAnd3516~combout\ : std_logic;
SIGNAL \WideAnd4279~1_combout\ : std_logic;
SIGNAL \WideAnd4279~combout\ : std_logic;
SIGNAL \WideAnd4374~combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][0]~84215_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3575][1]~76930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3575][1]~76931\ : std_logic;
SIGNAL \led_flash_cnt[3575][2]~76932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3575][2]~76933\ : std_logic;
SIGNAL \led_flash_cnt[3575][3]~76934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3575][3]~76935\ : std_logic;
SIGNAL \led_flash_cnt[3575][4]~76936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][4]~q\ : std_logic;
SIGNAL \WideAnd3575~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][4]~76937\ : std_logic;
SIGNAL \led_flash_cnt[3575][5]~76938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3575][5]~76939\ : std_logic;
SIGNAL \led_flash_cnt[3575][6]~76940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3575][6]~76941\ : std_logic;
SIGNAL \led_flash_cnt[3575][7]~76942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3575][7]~q\ : std_logic;
SIGNAL \WideAnd3575~1_combout\ : std_logic;
SIGNAL \WideAnd3575~combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][0]~84212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3572][1]~76888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3572][1]~76889\ : std_logic;
SIGNAL \led_flash_cnt[3572][2]~76890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3572][2]~76891\ : std_logic;
SIGNAL \led_flash_cnt[3572][3]~76892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3572][3]~76893\ : std_logic;
SIGNAL \led_flash_cnt[3572][4]~76894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3572][4]~76895\ : std_logic;
SIGNAL \led_flash_cnt[3572][5]~76896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3572][5]~76897\ : std_logic;
SIGNAL \led_flash_cnt[3572][6]~76898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][6]~q\ : std_logic;
SIGNAL \WideAnd3572~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][6]~76899\ : std_logic;
SIGNAL \led_flash_cnt[3572][7]~76900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3572][7]~q\ : std_logic;
SIGNAL \WideAnd3572~0_combout\ : std_logic;
SIGNAL \WideAnd3572~combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][0]~84213_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3573][1]~76902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3573][1]~76903\ : std_logic;
SIGNAL \led_flash_cnt[3573][2]~76904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3573][2]~76905\ : std_logic;
SIGNAL \led_flash_cnt[3573][3]~76906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3573][3]~76907\ : std_logic;
SIGNAL \led_flash_cnt[3573][4]~76908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][4]~q\ : std_logic;
SIGNAL \WideAnd3573~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][4]~76909\ : std_logic;
SIGNAL \led_flash_cnt[3573][5]~76910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3573][5]~76911\ : std_logic;
SIGNAL \led_flash_cnt[3573][6]~76912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][6]~q\ : std_logic;
SIGNAL \WideAnd3573~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][6]~76913\ : std_logic;
SIGNAL \led_flash_cnt[3573][7]~76914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3573][7]~q\ : std_logic;
SIGNAL \WideAnd3573~combout\ : std_logic;
SIGNAL \WideAnd4286~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][0]~84209_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3569][1]~76846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3569][1]~76847\ : std_logic;
SIGNAL \led_flash_cnt[3569][2]~76848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3569][2]~76849\ : std_logic;
SIGNAL \led_flash_cnt[3569][3]~76850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3569][3]~76851\ : std_logic;
SIGNAL \led_flash_cnt[3569][4]~76852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][4]~q\ : std_logic;
SIGNAL \WideAnd3569~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][4]~76853\ : std_logic;
SIGNAL \led_flash_cnt[3569][5]~76854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3569][5]~76855\ : std_logic;
SIGNAL \led_flash_cnt[3569][6]~76856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3569][6]~76857\ : std_logic;
SIGNAL \led_flash_cnt[3569][7]~76858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3569][7]~q\ : std_logic;
SIGNAL \WideAnd3569~1_combout\ : std_logic;
SIGNAL \WideAnd3569~combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][0]~84210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3570][1]~76860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3570][1]~76861\ : std_logic;
SIGNAL \led_flash_cnt[3570][2]~76862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3570][2]~76863\ : std_logic;
SIGNAL \led_flash_cnt[3570][3]~76864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3570][3]~76865\ : std_logic;
SIGNAL \led_flash_cnt[3570][4]~76866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][4]~q\ : std_logic;
SIGNAL \WideAnd3570~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][4]~76867\ : std_logic;
SIGNAL \led_flash_cnt[3570][5]~76868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3570][5]~76869\ : std_logic;
SIGNAL \led_flash_cnt[3570][6]~76870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3570][6]~76871\ : std_logic;
SIGNAL \led_flash_cnt[3570][7]~76872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3570][7]~q\ : std_logic;
SIGNAL \WideAnd3570~1_combout\ : std_logic;
SIGNAL \WideAnd3570~combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][0]~84211_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3571][1]~76874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3571][1]~76875\ : std_logic;
SIGNAL \led_flash_cnt[3571][2]~76876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3571][2]~76877\ : std_logic;
SIGNAL \led_flash_cnt[3571][3]~76878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3571][3]~76879\ : std_logic;
SIGNAL \led_flash_cnt[3571][4]~76880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][4]~q\ : std_logic;
SIGNAL \WideAnd3571~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][4]~76881\ : std_logic;
SIGNAL \led_flash_cnt[3571][5]~76882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3571][5]~76883\ : std_logic;
SIGNAL \led_flash_cnt[3571][6]~76884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3571][6]~76885\ : std_logic;
SIGNAL \led_flash_cnt[3571][7]~76886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3571][7]~q\ : std_logic;
SIGNAL \WideAnd3571~1_combout\ : std_logic;
SIGNAL \WideAnd3571~combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][0]~84208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3568][1]~76832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3568][1]~76833\ : std_logic;
SIGNAL \led_flash_cnt[3568][2]~76834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3568][2]~76835\ : std_logic;
SIGNAL \led_flash_cnt[3568][3]~76836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3568][3]~76837\ : std_logic;
SIGNAL \led_flash_cnt[3568][4]~76838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3568][4]~76839\ : std_logic;
SIGNAL \led_flash_cnt[3568][5]~76840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3568][5]~76841\ : std_logic;
SIGNAL \led_flash_cnt[3568][6]~76842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3568][6]~76843\ : std_logic;
SIGNAL \led_flash_cnt[3568][7]~76844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3568][7]~q\ : std_logic;
SIGNAL \WideAnd3568~1_combout\ : std_logic;
SIGNAL \WideAnd3568~0_combout\ : std_logic;
SIGNAL \WideAnd3568~combout\ : std_logic;
SIGNAL \WideAnd4286~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][0]~84214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3574][1]~76916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3574][1]~76917\ : std_logic;
SIGNAL \led_flash_cnt[3574][2]~76918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3574][2]~76919\ : std_logic;
SIGNAL \led_flash_cnt[3574][3]~76920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3574][3]~76921\ : std_logic;
SIGNAL \led_flash_cnt[3574][4]~76922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3574][4]~76923\ : std_logic;
SIGNAL \led_flash_cnt[3574][5]~76924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3574][5]~76925\ : std_logic;
SIGNAL \led_flash_cnt[3574][6]~76926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][6]~q\ : std_logic;
SIGNAL \WideAnd3574~1_combout\ : std_logic;
SIGNAL \WideAnd3574~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][6]~76927\ : std_logic;
SIGNAL \led_flash_cnt[3574][7]~76928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3574][7]~q\ : std_logic;
SIGNAL \WideAnd3574~combout\ : std_logic;
SIGNAL \WideAnd4286~combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][0]~84190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3550][1]~76580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3550][1]~76581\ : std_logic;
SIGNAL \led_flash_cnt[3550][2]~76582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3550][2]~76583\ : std_logic;
SIGNAL \led_flash_cnt[3550][3]~76584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3550][3]~76585\ : std_logic;
SIGNAL \led_flash_cnt[3550][4]~76586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3550][4]~76587\ : std_logic;
SIGNAL \led_flash_cnt[3550][5]~76588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3550][5]~76589\ : std_logic;
SIGNAL \led_flash_cnt[3550][6]~76590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][6]~q\ : std_logic;
SIGNAL \WideAnd3550~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][6]~76591\ : std_logic;
SIGNAL \led_flash_cnt[3550][7]~76592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3550][7]~q\ : std_logic;
SIGNAL \WideAnd3550~0_combout\ : std_logic;
SIGNAL \WideAnd3550~combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][0]~84191_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3551][1]~76594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3551][1]~76595\ : std_logic;
SIGNAL \led_flash_cnt[3551][2]~76596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3551][2]~76597\ : std_logic;
SIGNAL \led_flash_cnt[3551][3]~76598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3551][3]~76599\ : std_logic;
SIGNAL \led_flash_cnt[3551][4]~76600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3551][4]~76601\ : std_logic;
SIGNAL \led_flash_cnt[3551][5]~76602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3551][5]~76603\ : std_logic;
SIGNAL \led_flash_cnt[3551][6]~76604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][6]~q\ : std_logic;
SIGNAL \WideAnd3551~1_combout\ : std_logic;
SIGNAL \WideAnd3551~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][6]~76605\ : std_logic;
SIGNAL \led_flash_cnt[3551][7]~76606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3551][7]~q\ : std_logic;
SIGNAL \WideAnd3551~combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][0]~84187_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3547][1]~76538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3547][1]~76539\ : std_logic;
SIGNAL \led_flash_cnt[3547][2]~76540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3547][2]~76541\ : std_logic;
SIGNAL \led_flash_cnt[3547][3]~76542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3547][3]~76543\ : std_logic;
SIGNAL \led_flash_cnt[3547][4]~76544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3547][4]~76545\ : std_logic;
SIGNAL \led_flash_cnt[3547][5]~76546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3547][5]~76547\ : std_logic;
SIGNAL \led_flash_cnt[3547][6]~76548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][6]~q\ : std_logic;
SIGNAL \WideAnd3547~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][6]~76549\ : std_logic;
SIGNAL \led_flash_cnt[3547][7]~76550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3547][7]~q\ : std_logic;
SIGNAL \WideAnd3547~0_combout\ : std_logic;
SIGNAL \WideAnd3547~combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][0]~84186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3546][1]~76524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3546][1]~76525\ : std_logic;
SIGNAL \led_flash_cnt[3546][2]~76526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3546][2]~76527\ : std_logic;
SIGNAL \led_flash_cnt[3546][3]~76528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3546][3]~76529\ : std_logic;
SIGNAL \led_flash_cnt[3546][4]~76530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3546][4]~76531\ : std_logic;
SIGNAL \led_flash_cnt[3546][5]~76532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3546][5]~76533\ : std_logic;
SIGNAL \led_flash_cnt[3546][6]~76534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][6]~q\ : std_logic;
SIGNAL \WideAnd3546~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][6]~76535\ : std_logic;
SIGNAL \led_flash_cnt[3546][7]~76536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3546][7]~q\ : std_logic;
SIGNAL \WideAnd3546~0_combout\ : std_logic;
SIGNAL \WideAnd3546~combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][0]~84185_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3545][1]~76510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3545][1]~76511\ : std_logic;
SIGNAL \led_flash_cnt[3545][2]~76512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3545][2]~76513\ : std_logic;
SIGNAL \led_flash_cnt[3545][3]~76514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3545][3]~76515\ : std_logic;
SIGNAL \led_flash_cnt[3545][4]~76516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][4]~q\ : std_logic;
SIGNAL \WideAnd3545~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][4]~76517\ : std_logic;
SIGNAL \led_flash_cnt[3545][5]~76518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3545][5]~76519\ : std_logic;
SIGNAL \led_flash_cnt[3545][6]~76520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3545][6]~76521\ : std_logic;
SIGNAL \led_flash_cnt[3545][7]~76522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3545][7]~q\ : std_logic;
SIGNAL \WideAnd3545~1_combout\ : std_logic;
SIGNAL \WideAnd3545~combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][0]~84184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3544][1]~76496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3544][1]~76497\ : std_logic;
SIGNAL \led_flash_cnt[3544][2]~76498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3544][2]~76499\ : std_logic;
SIGNAL \led_flash_cnt[3544][3]~76500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3544][3]~76501\ : std_logic;
SIGNAL \led_flash_cnt[3544][4]~76502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3544][4]~76503\ : std_logic;
SIGNAL \led_flash_cnt[3544][5]~76504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3544][5]~76505\ : std_logic;
SIGNAL \led_flash_cnt[3544][6]~76506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][6]~q\ : std_logic;
SIGNAL \WideAnd3544~1_combout\ : std_logic;
SIGNAL \WideAnd3544~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][6]~76507\ : std_logic;
SIGNAL \led_flash_cnt[3544][7]~76508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3544][7]~q\ : std_logic;
SIGNAL \WideAnd3544~combout\ : std_logic;
SIGNAL \WideAnd4283~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][0]~84189_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3549][1]~76566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3549][1]~76567\ : std_logic;
SIGNAL \led_flash_cnt[3549][2]~76568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3549][2]~76569\ : std_logic;
SIGNAL \led_flash_cnt[3549][3]~76570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3549][3]~76571\ : std_logic;
SIGNAL \led_flash_cnt[3549][4]~76572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][4]~q\ : std_logic;
SIGNAL \WideAnd3549~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][4]~76573\ : std_logic;
SIGNAL \led_flash_cnt[3549][5]~76574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3549][5]~76575\ : std_logic;
SIGNAL \led_flash_cnt[3549][6]~76576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3549][6]~76577\ : std_logic;
SIGNAL \led_flash_cnt[3549][7]~76578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3549][7]~q\ : std_logic;
SIGNAL \WideAnd3549~1_combout\ : std_logic;
SIGNAL \WideAnd3549~combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][0]~84188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3548][1]~76552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3548][1]~76553\ : std_logic;
SIGNAL \led_flash_cnt[3548][2]~76554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3548][2]~76555\ : std_logic;
SIGNAL \led_flash_cnt[3548][3]~76556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3548][3]~76557\ : std_logic;
SIGNAL \led_flash_cnt[3548][4]~76558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3548][4]~76559\ : std_logic;
SIGNAL \led_flash_cnt[3548][5]~76560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3548][5]~76561\ : std_logic;
SIGNAL \led_flash_cnt[3548][6]~76562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3548][6]~76563\ : std_logic;
SIGNAL \led_flash_cnt[3548][7]~76564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3548][7]~q\ : std_logic;
SIGNAL \WideAnd3548~0_combout\ : std_logic;
SIGNAL \WideAnd3548~1_combout\ : std_logic;
SIGNAL \WideAnd3548~combout\ : std_logic;
SIGNAL \WideAnd4283~1_combout\ : std_logic;
SIGNAL \WideAnd4283~combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][0]~84174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3534][1]~76356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3534][1]~76357\ : std_logic;
SIGNAL \led_flash_cnt[3534][2]~76358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3534][2]~76359\ : std_logic;
SIGNAL \led_flash_cnt[3534][3]~76360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3534][3]~76361\ : std_logic;
SIGNAL \led_flash_cnt[3534][4]~76362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3534][4]~76363\ : std_logic;
SIGNAL \led_flash_cnt[3534][5]~76364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3534][5]~76365\ : std_logic;
SIGNAL \led_flash_cnt[3534][6]~76366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][6]~q\ : std_logic;
SIGNAL \WideAnd3534~1_combout\ : std_logic;
SIGNAL \WideAnd3534~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][6]~76367\ : std_logic;
SIGNAL \led_flash_cnt[3534][7]~76368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3534][7]~q\ : std_logic;
SIGNAL \WideAnd3534~combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][0]~84169_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3529][1]~76286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3529][1]~76287\ : std_logic;
SIGNAL \led_flash_cnt[3529][2]~76288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3529][2]~76289\ : std_logic;
SIGNAL \led_flash_cnt[3529][3]~76290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3529][3]~76291\ : std_logic;
SIGNAL \led_flash_cnt[3529][4]~76292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3529][4]~76293\ : std_logic;
SIGNAL \led_flash_cnt[3529][5]~76294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3529][5]~76295\ : std_logic;
SIGNAL \led_flash_cnt[3529][6]~76296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][6]~q\ : std_logic;
SIGNAL \WideAnd3529~1_combout\ : std_logic;
SIGNAL \WideAnd3529~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][6]~76297\ : std_logic;
SIGNAL \led_flash_cnt[3529][7]~76298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3529][7]~q\ : std_logic;
SIGNAL \WideAnd3529~combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][0]~84171_combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3531][1]~76314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3531][1]~76315\ : std_logic;
SIGNAL \led_flash_cnt[3531][2]~76316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3531][2]~76317\ : std_logic;
SIGNAL \led_flash_cnt[3531][3]~76318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3531][3]~76319\ : std_logic;
SIGNAL \led_flash_cnt[3531][4]~76320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3531][4]~76321\ : std_logic;
SIGNAL \led_flash_cnt[3531][5]~76322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3531][5]~76323\ : std_logic;
SIGNAL \led_flash_cnt[3531][6]~76324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3531][6]~76325\ : std_logic;
SIGNAL \led_flash_cnt[3531][7]~76326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3531][7]~q\ : std_logic;
SIGNAL \WideAnd3531~0_combout\ : std_logic;
SIGNAL \WideAnd3531~1_combout\ : std_logic;
SIGNAL \WideAnd3531~combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][0]~84170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3530][1]~76300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3530][1]~76301\ : std_logic;
SIGNAL \led_flash_cnt[3530][2]~76302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3530][2]~76303\ : std_logic;
SIGNAL \led_flash_cnt[3530][3]~76304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3530][3]~76305\ : std_logic;
SIGNAL \led_flash_cnt[3530][4]~76306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3530][4]~76307\ : std_logic;
SIGNAL \led_flash_cnt[3530][5]~76308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3530][5]~76309\ : std_logic;
SIGNAL \led_flash_cnt[3530][6]~76310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][6]~q\ : std_logic;
SIGNAL \WideAnd3530~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][6]~76311\ : std_logic;
SIGNAL \led_flash_cnt[3530][7]~76312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3530][7]~q\ : std_logic;
SIGNAL \WideAnd3530~0_combout\ : std_logic;
SIGNAL \WideAnd3530~combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][0]~84168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3528][1]~76272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3528][1]~76273\ : std_logic;
SIGNAL \led_flash_cnt[3528][2]~76274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3528][2]~76275\ : std_logic;
SIGNAL \led_flash_cnt[3528][3]~76276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3528][3]~76277\ : std_logic;
SIGNAL \led_flash_cnt[3528][4]~76278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3528][4]~76279\ : std_logic;
SIGNAL \led_flash_cnt[3528][5]~76280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3528][5]~76281\ : std_logic;
SIGNAL \led_flash_cnt[3528][6]~76282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][6]~q\ : std_logic;
SIGNAL \WideAnd3528~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][6]~76283\ : std_logic;
SIGNAL \led_flash_cnt[3528][7]~76284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3528][7]~q\ : std_logic;
SIGNAL \WideAnd3528~0_combout\ : std_logic;
SIGNAL \WideAnd3528~combout\ : std_logic;
SIGNAL \WideAnd4281~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][0]~84173_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3533][1]~76342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3533][1]~76343\ : std_logic;
SIGNAL \led_flash_cnt[3533][2]~76344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3533][2]~76345\ : std_logic;
SIGNAL \led_flash_cnt[3533][3]~76346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3533][3]~76347\ : std_logic;
SIGNAL \led_flash_cnt[3533][4]~76348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3533][4]~76349\ : std_logic;
SIGNAL \led_flash_cnt[3533][5]~76350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3533][5]~76351\ : std_logic;
SIGNAL \led_flash_cnt[3533][6]~76352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][6]~q\ : std_logic;
SIGNAL \WideAnd3533~1_combout\ : std_logic;
SIGNAL \WideAnd3533~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][6]~76353\ : std_logic;
SIGNAL \led_flash_cnt[3533][7]~76354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3533][7]~q\ : std_logic;
SIGNAL \WideAnd3533~combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][0]~84172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3532][1]~76328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3532][1]~76329\ : std_logic;
SIGNAL \led_flash_cnt[3532][2]~76330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3532][2]~76331\ : std_logic;
SIGNAL \led_flash_cnt[3532][3]~76332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3532][3]~76333\ : std_logic;
SIGNAL \led_flash_cnt[3532][4]~76334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3532][4]~76335\ : std_logic;
SIGNAL \led_flash_cnt[3532][5]~76336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3532][5]~76337\ : std_logic;
SIGNAL \led_flash_cnt[3532][6]~76338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3532][6]~76339\ : std_logic;
SIGNAL \led_flash_cnt[3532][7]~76340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3532][7]~q\ : std_logic;
SIGNAL \WideAnd3532~1_combout\ : std_logic;
SIGNAL \WideAnd3532~0_combout\ : std_logic;
SIGNAL \WideAnd3532~combout\ : std_logic;
SIGNAL \WideAnd4281~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][0]~84175_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3535][1]~76370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3535][1]~76371\ : std_logic;
SIGNAL \led_flash_cnt[3535][2]~76372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3535][2]~76373\ : std_logic;
SIGNAL \led_flash_cnt[3535][3]~76374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3535][3]~76375\ : std_logic;
SIGNAL \led_flash_cnt[3535][4]~76376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3535][4]~76377\ : std_logic;
SIGNAL \led_flash_cnt[3535][5]~76378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3535][5]~76379\ : std_logic;
SIGNAL \led_flash_cnt[3535][6]~76380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3535][6]~76381\ : std_logic;
SIGNAL \led_flash_cnt[3535][7]~76382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3535][7]~q\ : std_logic;
SIGNAL \WideAnd3535~0_combout\ : std_logic;
SIGNAL \WideAnd3535~1_combout\ : std_logic;
SIGNAL \WideAnd3535~combout\ : std_logic;
SIGNAL \WideAnd4281~combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][0]~84166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3526][1]~76244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3526][1]~76245\ : std_logic;
SIGNAL \led_flash_cnt[3526][2]~76246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3526][2]~76247\ : std_logic;
SIGNAL \led_flash_cnt[3526][3]~76248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3526][3]~76249\ : std_logic;
SIGNAL \led_flash_cnt[3526][4]~76250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3526][4]~76251\ : std_logic;
SIGNAL \led_flash_cnt[3526][5]~76252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3526][5]~76253\ : std_logic;
SIGNAL \led_flash_cnt[3526][6]~76254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][6]~q\ : std_logic;
SIGNAL \WideAnd3526~1_combout\ : std_logic;
SIGNAL \WideAnd3526~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][6]~76255\ : std_logic;
SIGNAL \led_flash_cnt[3526][7]~76256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3526][7]~q\ : std_logic;
SIGNAL \WideAnd3526~combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][0]~84165_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3525][1]~76230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3525][1]~76231\ : std_logic;
SIGNAL \led_flash_cnt[3525][2]~76232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3525][2]~76233\ : std_logic;
SIGNAL \led_flash_cnt[3525][3]~76234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3525][3]~76235\ : std_logic;
SIGNAL \led_flash_cnt[3525][4]~76236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][4]~q\ : std_logic;
SIGNAL \WideAnd3525~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][4]~76237\ : std_logic;
SIGNAL \led_flash_cnt[3525][5]~76238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3525][5]~76239\ : std_logic;
SIGNAL \led_flash_cnt[3525][6]~76240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3525][6]~76241\ : std_logic;
SIGNAL \led_flash_cnt[3525][7]~76242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3525][7]~q\ : std_logic;
SIGNAL \WideAnd3525~1_combout\ : std_logic;
SIGNAL \WideAnd3525~combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][0]~84164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3524][1]~76216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3524][1]~76217\ : std_logic;
SIGNAL \led_flash_cnt[3524][2]~76218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3524][2]~76219\ : std_logic;
SIGNAL \led_flash_cnt[3524][3]~76220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3524][3]~76221\ : std_logic;
SIGNAL \led_flash_cnt[3524][4]~76222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][4]~q\ : std_logic;
SIGNAL \WideAnd3524~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][4]~76223\ : std_logic;
SIGNAL \led_flash_cnt[3524][5]~76224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3524][5]~76225\ : std_logic;
SIGNAL \led_flash_cnt[3524][6]~76226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][6]~q\ : std_logic;
SIGNAL \WideAnd3524~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][6]~76227\ : std_logic;
SIGNAL \led_flash_cnt[3524][7]~76228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3524][7]~q\ : std_logic;
SIGNAL \WideAnd3524~combout\ : std_logic;
SIGNAL \WideAnd4280~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][0]~84167_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3527][1]~76258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3527][1]~76259\ : std_logic;
SIGNAL \led_flash_cnt[3527][2]~76260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3527][2]~76261\ : std_logic;
SIGNAL \led_flash_cnt[3527][3]~76262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3527][3]~76263\ : std_logic;
SIGNAL \led_flash_cnt[3527][4]~76264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3527][4]~76265\ : std_logic;
SIGNAL \led_flash_cnt[3527][5]~76266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3527][5]~76267\ : std_logic;
SIGNAL \led_flash_cnt[3527][6]~76268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3527][6]~76269\ : std_logic;
SIGNAL \led_flash_cnt[3527][7]~76270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3527][7]~q\ : std_logic;
SIGNAL \WideAnd3527~1_combout\ : std_logic;
SIGNAL \WideAnd3527~0_combout\ : std_logic;
SIGNAL \WideAnd3527~combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][0]~84160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3520][1]~76160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3520][1]~76161\ : std_logic;
SIGNAL \led_flash_cnt[3520][2]~76162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3520][2]~76163\ : std_logic;
SIGNAL \led_flash_cnt[3520][3]~76164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3520][3]~76165\ : std_logic;
SIGNAL \led_flash_cnt[3520][4]~76166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3520][4]~76167\ : std_logic;
SIGNAL \led_flash_cnt[3520][5]~76168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3520][5]~76169\ : std_logic;
SIGNAL \led_flash_cnt[3520][6]~76170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][6]~q\ : std_logic;
SIGNAL \WideAnd3520~1_combout\ : std_logic;
SIGNAL \WideAnd3520~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][6]~76171\ : std_logic;
SIGNAL \led_flash_cnt[3520][7]~76172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3520][7]~q\ : std_logic;
SIGNAL \WideAnd3520~combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][0]~84161_combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3521][1]~76174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3521][1]~76175\ : std_logic;
SIGNAL \led_flash_cnt[3521][2]~76176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3521][2]~76177\ : std_logic;
SIGNAL \led_flash_cnt[3521][3]~76178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3521][3]~76179\ : std_logic;
SIGNAL \led_flash_cnt[3521][4]~76180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3521][4]~76181\ : std_logic;
SIGNAL \led_flash_cnt[3521][5]~76182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3521][5]~76183\ : std_logic;
SIGNAL \led_flash_cnt[3521][6]~76184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3521][6]~76185\ : std_logic;
SIGNAL \led_flash_cnt[3521][7]~76186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3521][7]~q\ : std_logic;
SIGNAL \WideAnd3521~1_combout\ : std_logic;
SIGNAL \WideAnd3521~0_combout\ : std_logic;
SIGNAL \WideAnd3521~combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][0]~84162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3522][1]~76188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3522][1]~76189\ : std_logic;
SIGNAL \led_flash_cnt[3522][2]~76190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3522][2]~76191\ : std_logic;
SIGNAL \led_flash_cnt[3522][3]~76192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3522][3]~76193\ : std_logic;
SIGNAL \led_flash_cnt[3522][4]~76194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3522][4]~76195\ : std_logic;
SIGNAL \led_flash_cnt[3522][5]~76196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3522][5]~76197\ : std_logic;
SIGNAL \led_flash_cnt[3522][6]~76198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][6]~q\ : std_logic;
SIGNAL \WideAnd3522~1_combout\ : std_logic;
SIGNAL \WideAnd3522~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][6]~76199\ : std_logic;
SIGNAL \led_flash_cnt[3522][7]~76200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3522][7]~q\ : std_logic;
SIGNAL \WideAnd3522~combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][0]~84163_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3523][1]~76202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3523][1]~76203\ : std_logic;
SIGNAL \led_flash_cnt[3523][2]~76204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3523][2]~76205\ : std_logic;
SIGNAL \led_flash_cnt[3523][3]~76206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3523][3]~76207\ : std_logic;
SIGNAL \led_flash_cnt[3523][4]~76208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3523][4]~76209\ : std_logic;
SIGNAL \led_flash_cnt[3523][5]~76210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3523][5]~76211\ : std_logic;
SIGNAL \led_flash_cnt[3523][6]~76212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][6]~q\ : std_logic;
SIGNAL \WideAnd3523~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][6]~76213\ : std_logic;
SIGNAL \led_flash_cnt[3523][7]~76214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3523][7]~q\ : std_logic;
SIGNAL \WideAnd3523~0_combout\ : std_logic;
SIGNAL \WideAnd3523~combout\ : std_logic;
SIGNAL \WideAnd4280~0_combout\ : std_logic;
SIGNAL \WideAnd4280~combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][0]~84182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3542][1]~76468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3542][1]~76469\ : std_logic;
SIGNAL \led_flash_cnt[3542][2]~76470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3542][2]~76471\ : std_logic;
SIGNAL \led_flash_cnt[3542][3]~76472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3542][3]~76473\ : std_logic;
SIGNAL \led_flash_cnt[3542][4]~76474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3542][4]~76475\ : std_logic;
SIGNAL \led_flash_cnt[3542][5]~76476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3542][5]~76477\ : std_logic;
SIGNAL \led_flash_cnt[3542][6]~76478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3542][6]~76479\ : std_logic;
SIGNAL \led_flash_cnt[3542][7]~76480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3542][7]~q\ : std_logic;
SIGNAL \WideAnd3542~1_combout\ : std_logic;
SIGNAL \WideAnd3542~0_combout\ : std_logic;
SIGNAL \WideAnd3542~combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][0]~84183_combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3543][1]~76482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3543][1]~76483\ : std_logic;
SIGNAL \led_flash_cnt[3543][2]~76484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3543][2]~76485\ : std_logic;
SIGNAL \led_flash_cnt[3543][3]~76486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3543][3]~76487\ : std_logic;
SIGNAL \led_flash_cnt[3543][4]~76488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3543][4]~76489\ : std_logic;
SIGNAL \led_flash_cnt[3543][5]~76490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3543][5]~76491\ : std_logic;
SIGNAL \led_flash_cnt[3543][6]~76492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3543][6]~76493\ : std_logic;
SIGNAL \led_flash_cnt[3543][7]~76494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3543][7]~q\ : std_logic;
SIGNAL \WideAnd3543~0_combout\ : std_logic;
SIGNAL \WideAnd3543~1_combout\ : std_logic;
SIGNAL \WideAnd3543~combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][0]~84181_combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3541][1]~76454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3541][1]~76455\ : std_logic;
SIGNAL \led_flash_cnt[3541][2]~76456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3541][2]~76457\ : std_logic;
SIGNAL \led_flash_cnt[3541][3]~76458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3541][3]~76459\ : std_logic;
SIGNAL \led_flash_cnt[3541][4]~76460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3541][4]~76461\ : std_logic;
SIGNAL \led_flash_cnt[3541][5]~76462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3541][5]~76463\ : std_logic;
SIGNAL \led_flash_cnt[3541][6]~76464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3541][6]~76465\ : std_logic;
SIGNAL \led_flash_cnt[3541][7]~76466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3541][7]~q\ : std_logic;
SIGNAL \WideAnd3541~1_combout\ : std_logic;
SIGNAL \WideAnd3541~0_combout\ : std_logic;
SIGNAL \WideAnd3541~combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][0]~84180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3540][1]~76440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3540][1]~76441\ : std_logic;
SIGNAL \led_flash_cnt[3540][2]~76442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3540][2]~76443\ : std_logic;
SIGNAL \led_flash_cnt[3540][3]~76444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3540][3]~76445\ : std_logic;
SIGNAL \led_flash_cnt[3540][4]~76446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3540][4]~76447\ : std_logic;
SIGNAL \led_flash_cnt[3540][5]~76448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3540][5]~76449\ : std_logic;
SIGNAL \led_flash_cnt[3540][6]~76450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][6]~q\ : std_logic;
SIGNAL \WideAnd3540~1_combout\ : std_logic;
SIGNAL \WideAnd3540~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][6]~76451\ : std_logic;
SIGNAL \led_flash_cnt[3540][7]~76452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3540][7]~q\ : std_logic;
SIGNAL \WideAnd3540~combout\ : std_logic;
SIGNAL \WideAnd4282~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][0]~84177_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3537][1]~76398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3537][1]~76399\ : std_logic;
SIGNAL \led_flash_cnt[3537][2]~76400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3537][2]~76401\ : std_logic;
SIGNAL \led_flash_cnt[3537][3]~76402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3537][3]~76403\ : std_logic;
SIGNAL \led_flash_cnt[3537][4]~76404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][4]~q\ : std_logic;
SIGNAL \WideAnd3537~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][4]~76405\ : std_logic;
SIGNAL \led_flash_cnt[3537][5]~76406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3537][5]~76407\ : std_logic;
SIGNAL \led_flash_cnt[3537][6]~76408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][6]~q\ : std_logic;
SIGNAL \WideAnd3537~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][6]~76409\ : std_logic;
SIGNAL \led_flash_cnt[3537][7]~76410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3537][7]~q\ : std_logic;
SIGNAL \WideAnd3537~combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][0]~84178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3538][1]~76412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3538][1]~76413\ : std_logic;
SIGNAL \led_flash_cnt[3538][2]~76414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3538][2]~76415\ : std_logic;
SIGNAL \led_flash_cnt[3538][3]~76416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3538][3]~76417\ : std_logic;
SIGNAL \led_flash_cnt[3538][4]~76418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][4]~q\ : std_logic;
SIGNAL \WideAnd3538~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][4]~76419\ : std_logic;
SIGNAL \led_flash_cnt[3538][5]~76420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3538][5]~76421\ : std_logic;
SIGNAL \led_flash_cnt[3538][6]~76422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][6]~q\ : std_logic;
SIGNAL \WideAnd3538~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][6]~76423\ : std_logic;
SIGNAL \led_flash_cnt[3538][7]~76424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3538][7]~q\ : std_logic;
SIGNAL \WideAnd3538~combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][0]~84179_combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3539][1]~76426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3539][1]~76427\ : std_logic;
SIGNAL \led_flash_cnt[3539][2]~76428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3539][2]~76429\ : std_logic;
SIGNAL \led_flash_cnt[3539][3]~76430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3539][3]~76431\ : std_logic;
SIGNAL \led_flash_cnt[3539][4]~76432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3539][4]~76433\ : std_logic;
SIGNAL \led_flash_cnt[3539][5]~76434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3539][5]~76435\ : std_logic;
SIGNAL \led_flash_cnt[3539][6]~76436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3539][6]~76437\ : std_logic;
SIGNAL \led_flash_cnt[3539][7]~76438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3539][7]~q\ : std_logic;
SIGNAL \WideAnd3539~0_combout\ : std_logic;
SIGNAL \WideAnd3539~1_combout\ : std_logic;
SIGNAL \WideAnd3539~combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][0]~84176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3536][1]~76384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3536][1]~76385\ : std_logic;
SIGNAL \led_flash_cnt[3536][2]~76386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3536][2]~76387\ : std_logic;
SIGNAL \led_flash_cnt[3536][3]~76388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3536][3]~76389\ : std_logic;
SIGNAL \led_flash_cnt[3536][4]~76390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][4]~q\ : std_logic;
SIGNAL \WideAnd3536~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][4]~76391\ : std_logic;
SIGNAL \led_flash_cnt[3536][5]~76392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3536][5]~76393\ : std_logic;
SIGNAL \led_flash_cnt[3536][6]~76394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][6]~q\ : std_logic;
SIGNAL \WideAnd3536~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][6]~76395\ : std_logic;
SIGNAL \led_flash_cnt[3536][7]~76396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3536][7]~q\ : std_logic;
SIGNAL \WideAnd3536~combout\ : std_logic;
SIGNAL \WideAnd4282~0_combout\ : std_logic;
SIGNAL \WideAnd4282~combout\ : std_logic;
SIGNAL \WideAnd4375~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][0]~84221_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3581][1]~77014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3581][1]~77015\ : std_logic;
SIGNAL \led_flash_cnt[3581][2]~77016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3581][2]~77017\ : std_logic;
SIGNAL \led_flash_cnt[3581][3]~77018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3581][3]~77019\ : std_logic;
SIGNAL \led_flash_cnt[3581][4]~77020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3581][4]~77021\ : std_logic;
SIGNAL \led_flash_cnt[3581][5]~77022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3581][5]~77023\ : std_logic;
SIGNAL \led_flash_cnt[3581][6]~77024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3581][6]~77025\ : std_logic;
SIGNAL \led_flash_cnt[3581][7]~77026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3581][7]~q\ : std_logic;
SIGNAL \WideAnd3581~1_combout\ : std_logic;
SIGNAL \WideAnd3581~0_combout\ : std_logic;
SIGNAL \WideAnd3581~combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][0]~84220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3580][1]~77000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3580][1]~77001\ : std_logic;
SIGNAL \led_flash_cnt[3580][2]~77002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3580][2]~77003\ : std_logic;
SIGNAL \led_flash_cnt[3580][3]~77004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3580][3]~77005\ : std_logic;
SIGNAL \led_flash_cnt[3580][4]~77006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3580][4]~77007\ : std_logic;
SIGNAL \led_flash_cnt[3580][5]~77008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3580][5]~77009\ : std_logic;
SIGNAL \led_flash_cnt[3580][6]~77010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][6]~q\ : std_logic;
SIGNAL \WideAnd3580~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][6]~77011\ : std_logic;
SIGNAL \led_flash_cnt[3580][7]~77012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3580][7]~q\ : std_logic;
SIGNAL \WideAnd3580~0_combout\ : std_logic;
SIGNAL \WideAnd3580~combout\ : std_logic;
SIGNAL \WideAnd4287~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][0]~84223_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3583][1]~77042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3583][1]~77043\ : std_logic;
SIGNAL \led_flash_cnt[3583][2]~77044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3583][2]~77045\ : std_logic;
SIGNAL \led_flash_cnt[3583][3]~77046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3583][3]~77047\ : std_logic;
SIGNAL \led_flash_cnt[3583][4]~77048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][4]~q\ : std_logic;
SIGNAL \WideAnd3583~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][4]~77049\ : std_logic;
SIGNAL \led_flash_cnt[3583][5]~77050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3583][5]~77051\ : std_logic;
SIGNAL \led_flash_cnt[3583][6]~77052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][6]~q\ : std_logic;
SIGNAL \WideAnd3583~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][6]~77053\ : std_logic;
SIGNAL \led_flash_cnt[3583][7]~77054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3583][7]~q\ : std_logic;
SIGNAL \WideAnd3583~combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][0]~84222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3582][1]~77028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3582][1]~77029\ : std_logic;
SIGNAL \led_flash_cnt[3582][2]~77030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3582][2]~77031\ : std_logic;
SIGNAL \led_flash_cnt[3582][3]~77032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3582][3]~77033\ : std_logic;
SIGNAL \led_flash_cnt[3582][4]~77034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3582][4]~77035\ : std_logic;
SIGNAL \led_flash_cnt[3582][5]~77036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3582][5]~77037\ : std_logic;
SIGNAL \led_flash_cnt[3582][6]~77038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][6]~q\ : std_logic;
SIGNAL \WideAnd3582~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][6]~77039\ : std_logic;
SIGNAL \led_flash_cnt[3582][7]~77040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3582][7]~q\ : std_logic;
SIGNAL \WideAnd3582~0_combout\ : std_logic;
SIGNAL \WideAnd3582~combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][0]~84216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3576][1]~76944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3576][1]~76945\ : std_logic;
SIGNAL \led_flash_cnt[3576][2]~76946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3576][2]~76947\ : std_logic;
SIGNAL \led_flash_cnt[3576][3]~76948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3576][3]~76949\ : std_logic;
SIGNAL \led_flash_cnt[3576][4]~76950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][4]~q\ : std_logic;
SIGNAL \WideAnd3576~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][4]~76951\ : std_logic;
SIGNAL \led_flash_cnt[3576][5]~76952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3576][5]~76953\ : std_logic;
SIGNAL \led_flash_cnt[3576][6]~76954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3576][6]~76955\ : std_logic;
SIGNAL \led_flash_cnt[3576][7]~76956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3576][7]~q\ : std_logic;
SIGNAL \WideAnd3576~1_combout\ : std_logic;
SIGNAL \WideAnd3576~combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][0]~84219_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3579][1]~76986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3579][1]~76987\ : std_logic;
SIGNAL \led_flash_cnt[3579][2]~76988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3579][2]~76989\ : std_logic;
SIGNAL \led_flash_cnt[3579][3]~76990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3579][3]~76991\ : std_logic;
SIGNAL \led_flash_cnt[3579][4]~76992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3579][4]~76993\ : std_logic;
SIGNAL \led_flash_cnt[3579][5]~76994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3579][5]~76995\ : std_logic;
SIGNAL \led_flash_cnt[3579][6]~76996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][6]~q\ : std_logic;
SIGNAL \WideAnd3579~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][6]~76997\ : std_logic;
SIGNAL \led_flash_cnt[3579][7]~76998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3579][7]~q\ : std_logic;
SIGNAL \WideAnd3579~0_combout\ : std_logic;
SIGNAL \WideAnd3579~combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][0]~84217_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3577][1]~76958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3577][1]~76959\ : std_logic;
SIGNAL \led_flash_cnt[3577][2]~76960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3577][2]~76961\ : std_logic;
SIGNAL \led_flash_cnt[3577][3]~76962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3577][3]~76963\ : std_logic;
SIGNAL \led_flash_cnt[3577][4]~76964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][4]~q\ : std_logic;
SIGNAL \WideAnd3577~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][4]~76965\ : std_logic;
SIGNAL \led_flash_cnt[3577][5]~76966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3577][5]~76967\ : std_logic;
SIGNAL \led_flash_cnt[3577][6]~76968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3577][6]~76969\ : std_logic;
SIGNAL \led_flash_cnt[3577][7]~76970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3577][7]~q\ : std_logic;
SIGNAL \WideAnd3577~1_combout\ : std_logic;
SIGNAL \WideAnd3577~combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][0]~84218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3578][1]~76972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3578][1]~76973\ : std_logic;
SIGNAL \led_flash_cnt[3578][2]~76974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3578][2]~76975\ : std_logic;
SIGNAL \led_flash_cnt[3578][3]~76976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3578][3]~76977\ : std_logic;
SIGNAL \led_flash_cnt[3578][4]~76978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][4]~q\ : std_logic;
SIGNAL \WideAnd3578~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][4]~76979\ : std_logic;
SIGNAL \led_flash_cnt[3578][5]~76980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3578][5]~76981\ : std_logic;
SIGNAL \led_flash_cnt[3578][6]~76982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][6]~q\ : std_logic;
SIGNAL \WideAnd3578~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][6]~76983\ : std_logic;
SIGNAL \led_flash_cnt[3578][7]~76984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3578][7]~q\ : std_logic;
SIGNAL \WideAnd3578~combout\ : std_logic;
SIGNAL \WideAnd4287~0_combout\ : std_logic;
SIGNAL \WideAnd4287~combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][0]~84199_combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3559][1]~76706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3559][1]~76707\ : std_logic;
SIGNAL \led_flash_cnt[3559][2]~76708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3559][2]~76709\ : std_logic;
SIGNAL \led_flash_cnt[3559][3]~76710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3559][3]~76711\ : std_logic;
SIGNAL \led_flash_cnt[3559][4]~76712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3559][4]~76713\ : std_logic;
SIGNAL \led_flash_cnt[3559][5]~76714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3559][5]~76715\ : std_logic;
SIGNAL \led_flash_cnt[3559][6]~76716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3559][6]~76717\ : std_logic;
SIGNAL \led_flash_cnt[3559][7]~76718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3559][7]~q\ : std_logic;
SIGNAL \WideAnd3559~1_combout\ : std_logic;
SIGNAL \WideAnd3559~0_combout\ : std_logic;
SIGNAL \WideAnd3559~combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][0]~84193_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3553][1]~76622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3553][1]~76623\ : std_logic;
SIGNAL \led_flash_cnt[3553][2]~76624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3553][2]~76625\ : std_logic;
SIGNAL \led_flash_cnt[3553][3]~76626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3553][3]~76627\ : std_logic;
SIGNAL \led_flash_cnt[3553][4]~76628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3553][4]~76629\ : std_logic;
SIGNAL \led_flash_cnt[3553][5]~76630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3553][5]~76631\ : std_logic;
SIGNAL \led_flash_cnt[3553][6]~76632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][6]~q\ : std_logic;
SIGNAL \WideAnd3553~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][6]~76633\ : std_logic;
SIGNAL \led_flash_cnt[3553][7]~76634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3553][7]~q\ : std_logic;
SIGNAL \WideAnd3553~0_combout\ : std_logic;
SIGNAL \WideAnd3553~combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][0]~84195_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3555][1]~76650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3555][1]~76651\ : std_logic;
SIGNAL \led_flash_cnt[3555][2]~76652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3555][2]~76653\ : std_logic;
SIGNAL \led_flash_cnt[3555][3]~76654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3555][3]~76655\ : std_logic;
SIGNAL \led_flash_cnt[3555][4]~76656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3555][4]~76657\ : std_logic;
SIGNAL \led_flash_cnt[3555][5]~76658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3555][5]~76659\ : std_logic;
SIGNAL \led_flash_cnt[3555][6]~76660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][6]~q\ : std_logic;
SIGNAL \WideAnd3555~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][6]~76661\ : std_logic;
SIGNAL \led_flash_cnt[3555][7]~76662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3555][7]~q\ : std_logic;
SIGNAL \WideAnd3555~0_combout\ : std_logic;
SIGNAL \WideAnd3555~combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][0]~84192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3552][1]~76608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3552][1]~76609\ : std_logic;
SIGNAL \led_flash_cnt[3552][2]~76610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3552][2]~76611\ : std_logic;
SIGNAL \led_flash_cnt[3552][3]~76612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3552][3]~76613\ : std_logic;
SIGNAL \led_flash_cnt[3552][4]~76614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3552][4]~76615\ : std_logic;
SIGNAL \led_flash_cnt[3552][5]~76616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3552][5]~76617\ : std_logic;
SIGNAL \led_flash_cnt[3552][6]~76618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][6]~q\ : std_logic;
SIGNAL \WideAnd3552~1_combout\ : std_logic;
SIGNAL \WideAnd3552~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][6]~76619\ : std_logic;
SIGNAL \led_flash_cnt[3552][7]~76620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3552][7]~q\ : std_logic;
SIGNAL \WideAnd3552~combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][0]~84194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3554][1]~76636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3554][1]~76637\ : std_logic;
SIGNAL \led_flash_cnt[3554][2]~76638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3554][2]~76639\ : std_logic;
SIGNAL \led_flash_cnt[3554][3]~76640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3554][3]~76641\ : std_logic;
SIGNAL \led_flash_cnt[3554][4]~76642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3554][4]~76643\ : std_logic;
SIGNAL \led_flash_cnt[3554][5]~76644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3554][5]~76645\ : std_logic;
SIGNAL \led_flash_cnt[3554][6]~76646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][6]~q\ : std_logic;
SIGNAL \WideAnd3554~1_combout\ : std_logic;
SIGNAL \WideAnd3554~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][6]~76647\ : std_logic;
SIGNAL \led_flash_cnt[3554][7]~76648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3554][7]~q\ : std_logic;
SIGNAL \WideAnd3554~combout\ : std_logic;
SIGNAL \WideAnd4284~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][0]~84197_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3557][1]~76678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3557][1]~76679\ : std_logic;
SIGNAL \led_flash_cnt[3557][2]~76680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3557][2]~76681\ : std_logic;
SIGNAL \led_flash_cnt[3557][3]~76682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3557][3]~76683\ : std_logic;
SIGNAL \led_flash_cnt[3557][4]~76684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][4]~q\ : std_logic;
SIGNAL \WideAnd3557~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][4]~76685\ : std_logic;
SIGNAL \led_flash_cnt[3557][5]~76686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3557][5]~76687\ : std_logic;
SIGNAL \led_flash_cnt[3557][6]~76688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3557][6]~76689\ : std_logic;
SIGNAL \led_flash_cnt[3557][7]~76690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3557][7]~q\ : std_logic;
SIGNAL \WideAnd3557~1_combout\ : std_logic;
SIGNAL \WideAnd3557~combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][0]~84196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3556][1]~76664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3556][1]~76665\ : std_logic;
SIGNAL \led_flash_cnt[3556][2]~76666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3556][2]~76667\ : std_logic;
SIGNAL \led_flash_cnt[3556][3]~76668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3556][3]~76669\ : std_logic;
SIGNAL \led_flash_cnt[3556][4]~76670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3556][4]~76671\ : std_logic;
SIGNAL \led_flash_cnt[3556][5]~76672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3556][5]~76673\ : std_logic;
SIGNAL \led_flash_cnt[3556][6]~76674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][6]~q\ : std_logic;
SIGNAL \WideAnd3556~1_combout\ : std_logic;
SIGNAL \WideAnd3556~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][6]~76675\ : std_logic;
SIGNAL \led_flash_cnt[3556][7]~76676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3556][7]~q\ : std_logic;
SIGNAL \WideAnd3556~combout\ : std_logic;
SIGNAL \WideAnd4284~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][0]~84198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3558][1]~76692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3558][1]~76693\ : std_logic;
SIGNAL \led_flash_cnt[3558][2]~76694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3558][2]~76695\ : std_logic;
SIGNAL \led_flash_cnt[3558][3]~76696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3558][3]~76697\ : std_logic;
SIGNAL \led_flash_cnt[3558][4]~76698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3558][4]~76699\ : std_logic;
SIGNAL \led_flash_cnt[3558][5]~76700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3558][5]~76701\ : std_logic;
SIGNAL \led_flash_cnt[3558][6]~76702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3558][6]~76703\ : std_logic;
SIGNAL \led_flash_cnt[3558][7]~76704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3558][7]~q\ : std_logic;
SIGNAL \WideAnd3558~1_combout\ : std_logic;
SIGNAL \WideAnd3558~0_combout\ : std_logic;
SIGNAL \WideAnd3558~combout\ : std_logic;
SIGNAL \WideAnd4284~combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][0]~84206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3566][1]~76804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3566][1]~76805\ : std_logic;
SIGNAL \led_flash_cnt[3566][2]~76806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3566][2]~76807\ : std_logic;
SIGNAL \led_flash_cnt[3566][3]~76808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3566][3]~76809\ : std_logic;
SIGNAL \led_flash_cnt[3566][4]~76810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3566][4]~76811\ : std_logic;
SIGNAL \led_flash_cnt[3566][5]~76812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3566][5]~76813\ : std_logic;
SIGNAL \led_flash_cnt[3566][6]~76814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3566][6]~76815\ : std_logic;
SIGNAL \led_flash_cnt[3566][7]~76816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3566][7]~q\ : std_logic;
SIGNAL \WideAnd3566~0_combout\ : std_logic;
SIGNAL \WideAnd3566~1_combout\ : std_logic;
SIGNAL \WideAnd3566~combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][0]~84203_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3563][1]~76762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3563][1]~76763\ : std_logic;
SIGNAL \led_flash_cnt[3563][2]~76764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3563][2]~76765\ : std_logic;
SIGNAL \led_flash_cnt[3563][3]~76766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3563][3]~76767\ : std_logic;
SIGNAL \led_flash_cnt[3563][4]~76768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3563][4]~76769\ : std_logic;
SIGNAL \led_flash_cnt[3563][5]~76770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3563][5]~76771\ : std_logic;
SIGNAL \led_flash_cnt[3563][6]~76772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][6]~q\ : std_logic;
SIGNAL \WideAnd3563~1_combout\ : std_logic;
SIGNAL \WideAnd3563~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][6]~76773\ : std_logic;
SIGNAL \led_flash_cnt[3563][7]~76774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3563][7]~q\ : std_logic;
SIGNAL \WideAnd3563~combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][0]~84202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3562][1]~76748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3562][1]~76749\ : std_logic;
SIGNAL \led_flash_cnt[3562][2]~76750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3562][2]~76751\ : std_logic;
SIGNAL \led_flash_cnt[3562][3]~76752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3562][3]~76753\ : std_logic;
SIGNAL \led_flash_cnt[3562][4]~76754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3562][4]~76755\ : std_logic;
SIGNAL \led_flash_cnt[3562][5]~76756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3562][5]~76757\ : std_logic;
SIGNAL \led_flash_cnt[3562][6]~76758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][6]~q\ : std_logic;
SIGNAL \WideAnd3562~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][6]~76759\ : std_logic;
SIGNAL \led_flash_cnt[3562][7]~76760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3562][7]~q\ : std_logic;
SIGNAL \WideAnd3562~0_combout\ : std_logic;
SIGNAL \WideAnd3562~combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][0]~84200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3560][1]~76720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3560][1]~76721\ : std_logic;
SIGNAL \led_flash_cnt[3560][2]~76722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3560][2]~76723\ : std_logic;
SIGNAL \led_flash_cnt[3560][3]~76724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3560][3]~76725\ : std_logic;
SIGNAL \led_flash_cnt[3560][4]~76726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][4]~q\ : std_logic;
SIGNAL \WideAnd3560~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][4]~76727\ : std_logic;
SIGNAL \led_flash_cnt[3560][5]~76728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3560][5]~76729\ : std_logic;
SIGNAL \led_flash_cnt[3560][6]~76730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][6]~q\ : std_logic;
SIGNAL \WideAnd3560~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][6]~76731\ : std_logic;
SIGNAL \led_flash_cnt[3560][7]~76732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3560][7]~q\ : std_logic;
SIGNAL \WideAnd3560~combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][0]~84201_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3561][1]~76734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3561][1]~76735\ : std_logic;
SIGNAL \led_flash_cnt[3561][2]~76736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3561][2]~76737\ : std_logic;
SIGNAL \led_flash_cnt[3561][3]~76738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3561][3]~76739\ : std_logic;
SIGNAL \led_flash_cnt[3561][4]~76740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3561][4]~76741\ : std_logic;
SIGNAL \led_flash_cnt[3561][5]~76742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3561][5]~76743\ : std_logic;
SIGNAL \led_flash_cnt[3561][6]~76744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][6]~q\ : std_logic;
SIGNAL \WideAnd3561~1_combout\ : std_logic;
SIGNAL \WideAnd3561~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][6]~76745\ : std_logic;
SIGNAL \led_flash_cnt[3561][7]~76746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3561][7]~q\ : std_logic;
SIGNAL \WideAnd3561~combout\ : std_logic;
SIGNAL \WideAnd4285~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][0]~84205_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3565][1]~76790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3565][1]~76791\ : std_logic;
SIGNAL \led_flash_cnt[3565][2]~76792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3565][2]~76793\ : std_logic;
SIGNAL \led_flash_cnt[3565][3]~76794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3565][3]~76795\ : std_logic;
SIGNAL \led_flash_cnt[3565][4]~76796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][4]~q\ : std_logic;
SIGNAL \WideAnd3565~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][4]~76797\ : std_logic;
SIGNAL \led_flash_cnt[3565][5]~76798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3565][5]~76799\ : std_logic;
SIGNAL \led_flash_cnt[3565][6]~76800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][6]~q\ : std_logic;
SIGNAL \WideAnd3565~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][6]~76801\ : std_logic;
SIGNAL \led_flash_cnt[3565][7]~76802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3565][7]~q\ : std_logic;
SIGNAL \WideAnd3565~combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][0]~84204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3564][1]~76776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3564][1]~76777\ : std_logic;
SIGNAL \led_flash_cnt[3564][2]~76778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3564][2]~76779\ : std_logic;
SIGNAL \led_flash_cnt[3564][3]~76780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3564][3]~76781\ : std_logic;
SIGNAL \led_flash_cnt[3564][4]~76782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3564][4]~76783\ : std_logic;
SIGNAL \led_flash_cnt[3564][5]~76784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3564][5]~76785\ : std_logic;
SIGNAL \led_flash_cnt[3564][6]~76786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][6]~q\ : std_logic;
SIGNAL \WideAnd3564~1_combout\ : std_logic;
SIGNAL \WideAnd3564~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][6]~76787\ : std_logic;
SIGNAL \led_flash_cnt[3564][7]~76788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3564][7]~q\ : std_logic;
SIGNAL \WideAnd3564~combout\ : std_logic;
SIGNAL \WideAnd4285~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][0]~84207_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3567][1]~76818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3567][1]~76819\ : std_logic;
SIGNAL \led_flash_cnt[3567][2]~76820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3567][2]~76821\ : std_logic;
SIGNAL \led_flash_cnt[3567][3]~76822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3567][3]~76823\ : std_logic;
SIGNAL \led_flash_cnt[3567][4]~76824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][4]~q\ : std_logic;
SIGNAL \WideAnd3567~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][4]~76825\ : std_logic;
SIGNAL \led_flash_cnt[3567][5]~76826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3567][5]~76827\ : std_logic;
SIGNAL \led_flash_cnt[3567][6]~76828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3567][6]~76829\ : std_logic;
SIGNAL \led_flash_cnt[3567][7]~76830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3567][7]~q\ : std_logic;
SIGNAL \WideAnd3567~1_combout\ : std_logic;
SIGNAL \WideAnd3567~combout\ : std_logic;
SIGNAL \WideAnd4285~combout\ : std_logic;
SIGNAL \WideAnd4375~1_combout\ : std_logic;
SIGNAL \WideAnd4375~combout\ : std_logic;
SIGNAL \WideAnd4380~16_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][0]~83718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3078][1]~69972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3078][1]~69973\ : std_logic;
SIGNAL \led_flash_cnt[3078][2]~69974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3078][2]~69975\ : std_logic;
SIGNAL \led_flash_cnt[3078][3]~69976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3078][3]~69977\ : std_logic;
SIGNAL \led_flash_cnt[3078][4]~69978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3078][4]~69979\ : std_logic;
SIGNAL \led_flash_cnt[3078][5]~69980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3078][5]~69981\ : std_logic;
SIGNAL \led_flash_cnt[3078][6]~69982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3078][6]~69983\ : std_logic;
SIGNAL \led_flash_cnt[3078][7]~69984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3078][7]~q\ : std_logic;
SIGNAL \WideAnd3078~1_combout\ : std_logic;
SIGNAL \WideAnd3078~0_combout\ : std_logic;
SIGNAL \WideAnd3078~combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][0]~83719_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3079][1]~69986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3079][1]~69987\ : std_logic;
SIGNAL \led_flash_cnt[3079][2]~69988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3079][2]~69989\ : std_logic;
SIGNAL \led_flash_cnt[3079][3]~69990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3079][3]~69991\ : std_logic;
SIGNAL \led_flash_cnt[3079][4]~69992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3079][4]~69993\ : std_logic;
SIGNAL \led_flash_cnt[3079][5]~69994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3079][5]~69995\ : std_logic;
SIGNAL \led_flash_cnt[3079][6]~69996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][6]~q\ : std_logic;
SIGNAL \WideAnd3079~1_combout\ : std_logic;
SIGNAL \WideAnd3079~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][6]~69997\ : std_logic;
SIGNAL \led_flash_cnt[3079][7]~69998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3079][7]~q\ : std_logic;
SIGNAL \WideAnd3079~combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][0]~83717_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3077][1]~69958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3077][1]~69959\ : std_logic;
SIGNAL \led_flash_cnt[3077][2]~69960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3077][2]~69961\ : std_logic;
SIGNAL \led_flash_cnt[3077][3]~69962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3077][3]~69963\ : std_logic;
SIGNAL \led_flash_cnt[3077][4]~69964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3077][4]~69965\ : std_logic;
SIGNAL \led_flash_cnt[3077][5]~69966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3077][5]~69967\ : std_logic;
SIGNAL \led_flash_cnt[3077][6]~69968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][6]~q\ : std_logic;
SIGNAL \WideAnd3077~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][6]~69969\ : std_logic;
SIGNAL \led_flash_cnt[3077][7]~69970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3077][7]~q\ : std_logic;
SIGNAL \WideAnd3077~0_combout\ : std_logic;
SIGNAL \WideAnd3077~combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][0]~83716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3076][1]~69944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3076][1]~69945\ : std_logic;
SIGNAL \led_flash_cnt[3076][2]~69946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3076][2]~69947\ : std_logic;
SIGNAL \led_flash_cnt[3076][3]~69948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3076][3]~69949\ : std_logic;
SIGNAL \led_flash_cnt[3076][4]~69950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][4]~q\ : std_logic;
SIGNAL \WideAnd3076~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][4]~69951\ : std_logic;
SIGNAL \led_flash_cnt[3076][5]~69952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3076][5]~69953\ : std_logic;
SIGNAL \led_flash_cnt[3076][6]~69954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3076][6]~69955\ : std_logic;
SIGNAL \led_flash_cnt[3076][7]~69956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3076][7]~q\ : std_logic;
SIGNAL \WideAnd3076~1_combout\ : std_logic;
SIGNAL \WideAnd3076~combout\ : std_logic;
SIGNAL \WideAnd4224~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][0]~83712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3072][1]~69888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3072][1]~69889\ : std_logic;
SIGNAL \led_flash_cnt[3072][2]~69890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3072][2]~69891\ : std_logic;
SIGNAL \led_flash_cnt[3072][3]~69892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3072][3]~69893\ : std_logic;
SIGNAL \led_flash_cnt[3072][4]~69894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][4]~q\ : std_logic;
SIGNAL \WideAnd3072~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][4]~69895\ : std_logic;
SIGNAL \led_flash_cnt[3072][5]~69896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3072][5]~69897\ : std_logic;
SIGNAL \led_flash_cnt[3072][6]~69898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3072][6]~69899\ : std_logic;
SIGNAL \led_flash_cnt[3072][7]~69900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3072][7]~q\ : std_logic;
SIGNAL \WideAnd3072~1_combout\ : std_logic;
SIGNAL \WideAnd3072~combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][0]~83713_combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3073][1]~69902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3073][1]~69903\ : std_logic;
SIGNAL \led_flash_cnt[3073][2]~69904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3073][2]~69905\ : std_logic;
SIGNAL \led_flash_cnt[3073][3]~69906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3073][3]~69907\ : std_logic;
SIGNAL \led_flash_cnt[3073][4]~69908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3073][4]~69909\ : std_logic;
SIGNAL \led_flash_cnt[3073][5]~69910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3073][5]~69911\ : std_logic;
SIGNAL \led_flash_cnt[3073][6]~69912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3073][6]~69913\ : std_logic;
SIGNAL \led_flash_cnt[3073][7]~69914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3073][7]~q\ : std_logic;
SIGNAL \WideAnd3073~0_combout\ : std_logic;
SIGNAL \WideAnd3073~1_combout\ : std_logic;
SIGNAL \WideAnd3073~combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][0]~83714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3074][1]~69916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3074][1]~69917\ : std_logic;
SIGNAL \led_flash_cnt[3074][2]~69918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3074][2]~69919\ : std_logic;
SIGNAL \led_flash_cnt[3074][3]~69920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3074][3]~69921\ : std_logic;
SIGNAL \led_flash_cnt[3074][4]~69922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][4]~q\ : std_logic;
SIGNAL \WideAnd3074~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][4]~69923\ : std_logic;
SIGNAL \led_flash_cnt[3074][5]~69924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3074][5]~69925\ : std_logic;
SIGNAL \led_flash_cnt[3074][6]~69926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][6]~q\ : std_logic;
SIGNAL \WideAnd3074~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][6]~69927\ : std_logic;
SIGNAL \led_flash_cnt[3074][7]~69928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3074][7]~q\ : std_logic;
SIGNAL \WideAnd3074~combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][0]~83715_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3075][1]~69930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3075][1]~69931\ : std_logic;
SIGNAL \led_flash_cnt[3075][2]~69932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3075][2]~69933\ : std_logic;
SIGNAL \led_flash_cnt[3075][3]~69934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3075][3]~69935\ : std_logic;
SIGNAL \led_flash_cnt[3075][4]~69936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3075][4]~69937\ : std_logic;
SIGNAL \led_flash_cnt[3075][5]~69938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3075][5]~69939\ : std_logic;
SIGNAL \led_flash_cnt[3075][6]~69940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][6]~q\ : std_logic;
SIGNAL \WideAnd3075~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][6]~69941\ : std_logic;
SIGNAL \led_flash_cnt[3075][7]~69942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3075][7]~q\ : std_logic;
SIGNAL \WideAnd3075~0_combout\ : std_logic;
SIGNAL \WideAnd3075~combout\ : std_logic;
SIGNAL \WideAnd4224~0_combout\ : std_logic;
SIGNAL \WideAnd4224~combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][0]~83732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3092][1]~70168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3092][1]~70169\ : std_logic;
SIGNAL \led_flash_cnt[3092][2]~70170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3092][2]~70171\ : std_logic;
SIGNAL \led_flash_cnt[3092][3]~70172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3092][3]~70173\ : std_logic;
SIGNAL \led_flash_cnt[3092][4]~70174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3092][4]~70175\ : std_logic;
SIGNAL \led_flash_cnt[3092][5]~70176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3092][5]~70177\ : std_logic;
SIGNAL \led_flash_cnt[3092][6]~70178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3092][6]~70179\ : std_logic;
SIGNAL \led_flash_cnt[3092][7]~70180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3092][7]~q\ : std_logic;
SIGNAL \WideAnd3092~1_combout\ : std_logic;
SIGNAL \WideAnd3092~0_combout\ : std_logic;
SIGNAL \WideAnd3092~combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][0]~83733_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3093][1]~70182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3093][1]~70183\ : std_logic;
SIGNAL \led_flash_cnt[3093][2]~70184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3093][2]~70185\ : std_logic;
SIGNAL \led_flash_cnt[3093][3]~70186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3093][3]~70187\ : std_logic;
SIGNAL \led_flash_cnt[3093][4]~70188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3093][4]~70189\ : std_logic;
SIGNAL \led_flash_cnt[3093][5]~70190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3093][5]~70191\ : std_logic;
SIGNAL \led_flash_cnt[3093][6]~70192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][6]~q\ : std_logic;
SIGNAL \WideAnd3093~1_combout\ : std_logic;
SIGNAL \WideAnd3093~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][6]~70193\ : std_logic;
SIGNAL \led_flash_cnt[3093][7]~70194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3093][7]~q\ : std_logic;
SIGNAL \WideAnd3093~combout\ : std_logic;
SIGNAL \WideAnd4226~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][0]~83734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3094][1]~70196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3094][1]~70197\ : std_logic;
SIGNAL \led_flash_cnt[3094][2]~70198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3094][2]~70199\ : std_logic;
SIGNAL \led_flash_cnt[3094][3]~70200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3094][3]~70201\ : std_logic;
SIGNAL \led_flash_cnt[3094][4]~70202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3094][4]~70203\ : std_logic;
SIGNAL \led_flash_cnt[3094][5]~70204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3094][5]~70205\ : std_logic;
SIGNAL \led_flash_cnt[3094][6]~70206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][6]~q\ : std_logic;
SIGNAL \WideAnd3094~1_combout\ : std_logic;
SIGNAL \WideAnd3094~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][6]~70207\ : std_logic;
SIGNAL \led_flash_cnt[3094][7]~70208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3094][7]~q\ : std_logic;
SIGNAL \WideAnd3094~combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][0]~83731_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3091][1]~70154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3091][1]~70155\ : std_logic;
SIGNAL \led_flash_cnt[3091][2]~70156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3091][2]~70157\ : std_logic;
SIGNAL \led_flash_cnt[3091][3]~70158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3091][3]~70159\ : std_logic;
SIGNAL \led_flash_cnt[3091][4]~70160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][4]~q\ : std_logic;
SIGNAL \WideAnd3091~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][4]~70161\ : std_logic;
SIGNAL \led_flash_cnt[3091][5]~70162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3091][5]~70163\ : std_logic;
SIGNAL \led_flash_cnt[3091][6]~70164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3091][6]~70165\ : std_logic;
SIGNAL \led_flash_cnt[3091][7]~70166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3091][7]~q\ : std_logic;
SIGNAL \WideAnd3091~1_combout\ : std_logic;
SIGNAL \WideAnd3091~combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][0]~83729_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3089][1]~70126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3089][1]~70127\ : std_logic;
SIGNAL \led_flash_cnt[3089][2]~70128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3089][2]~70129\ : std_logic;
SIGNAL \led_flash_cnt[3089][3]~70130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3089][3]~70131\ : std_logic;
SIGNAL \led_flash_cnt[3089][4]~70132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3089][4]~70133\ : std_logic;
SIGNAL \led_flash_cnt[3089][5]~70134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3089][5]~70135\ : std_logic;
SIGNAL \led_flash_cnt[3089][6]~70136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][6]~q\ : std_logic;
SIGNAL \WideAnd3089~1_combout\ : std_logic;
SIGNAL \WideAnd3089~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][6]~70137\ : std_logic;
SIGNAL \led_flash_cnt[3089][7]~70138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3089][7]~q\ : std_logic;
SIGNAL \WideAnd3089~combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][0]~83730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3090][1]~70140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3090][1]~70141\ : std_logic;
SIGNAL \led_flash_cnt[3090][2]~70142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3090][2]~70143\ : std_logic;
SIGNAL \led_flash_cnt[3090][3]~70144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3090][3]~70145\ : std_logic;
SIGNAL \led_flash_cnt[3090][4]~70146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3090][4]~70147\ : std_logic;
SIGNAL \led_flash_cnt[3090][5]~70148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3090][5]~70149\ : std_logic;
SIGNAL \led_flash_cnt[3090][6]~70150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3090][6]~70151\ : std_logic;
SIGNAL \led_flash_cnt[3090][7]~70152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3090][7]~q\ : std_logic;
SIGNAL \WideAnd3090~0_combout\ : std_logic;
SIGNAL \WideAnd3090~1_combout\ : std_logic;
SIGNAL \WideAnd3090~combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][0]~83728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3088][1]~70112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3088][1]~70113\ : std_logic;
SIGNAL \led_flash_cnt[3088][2]~70114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3088][2]~70115\ : std_logic;
SIGNAL \led_flash_cnt[3088][3]~70116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3088][3]~70117\ : std_logic;
SIGNAL \led_flash_cnt[3088][4]~70118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][4]~q\ : std_logic;
SIGNAL \WideAnd3088~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][4]~70119\ : std_logic;
SIGNAL \led_flash_cnt[3088][5]~70120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3088][5]~70121\ : std_logic;
SIGNAL \led_flash_cnt[3088][6]~70122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][6]~q\ : std_logic;
SIGNAL \WideAnd3088~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][6]~70123\ : std_logic;
SIGNAL \led_flash_cnt[3088][7]~70124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3088][7]~q\ : std_logic;
SIGNAL \WideAnd3088~combout\ : std_logic;
SIGNAL \WideAnd4226~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][0]~83735_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3095][1]~70210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3095][1]~70211\ : std_logic;
SIGNAL \led_flash_cnt[3095][2]~70212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3095][2]~70213\ : std_logic;
SIGNAL \led_flash_cnt[3095][3]~70214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3095][3]~70215\ : std_logic;
SIGNAL \led_flash_cnt[3095][4]~70216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3095][4]~70217\ : std_logic;
SIGNAL \led_flash_cnt[3095][5]~70218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3095][5]~70219\ : std_logic;
SIGNAL \led_flash_cnt[3095][6]~70220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3095][6]~70221\ : std_logic;
SIGNAL \led_flash_cnt[3095][7]~70222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3095][7]~q\ : std_logic;
SIGNAL \WideAnd3095~0_combout\ : std_logic;
SIGNAL \WideAnd3095~1_combout\ : std_logic;
SIGNAL \WideAnd3095~combout\ : std_logic;
SIGNAL \WideAnd4226~combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][0]~83726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3086][1]~70084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3086][1]~70085\ : std_logic;
SIGNAL \led_flash_cnt[3086][2]~70086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3086][2]~70087\ : std_logic;
SIGNAL \led_flash_cnt[3086][3]~70088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3086][3]~70089\ : std_logic;
SIGNAL \led_flash_cnt[3086][4]~70090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3086][4]~70091\ : std_logic;
SIGNAL \led_flash_cnt[3086][5]~70092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3086][5]~70093\ : std_logic;
SIGNAL \led_flash_cnt[3086][6]~70094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][6]~q\ : std_logic;
SIGNAL \WideAnd3086~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][6]~70095\ : std_logic;
SIGNAL \led_flash_cnt[3086][7]~70096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3086][7]~q\ : std_logic;
SIGNAL \WideAnd3086~0_combout\ : std_logic;
SIGNAL \WideAnd3086~combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][0]~83720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3080][1]~70000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3080][1]~70001\ : std_logic;
SIGNAL \led_flash_cnt[3080][2]~70002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3080][2]~70003\ : std_logic;
SIGNAL \led_flash_cnt[3080][3]~70004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3080][3]~70005\ : std_logic;
SIGNAL \led_flash_cnt[3080][4]~70006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][4]~q\ : std_logic;
SIGNAL \WideAnd3080~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][4]~70007\ : std_logic;
SIGNAL \led_flash_cnt[3080][5]~70008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3080][5]~70009\ : std_logic;
SIGNAL \led_flash_cnt[3080][6]~70010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3080][6]~70011\ : std_logic;
SIGNAL \led_flash_cnt[3080][7]~70012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3080][7]~q\ : std_logic;
SIGNAL \WideAnd3080~1_combout\ : std_logic;
SIGNAL \WideAnd3080~combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][0]~83721_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3081][1]~70014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3081][1]~70015\ : std_logic;
SIGNAL \led_flash_cnt[3081][2]~70016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3081][2]~70017\ : std_logic;
SIGNAL \led_flash_cnt[3081][3]~70018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3081][3]~70019\ : std_logic;
SIGNAL \led_flash_cnt[3081][4]~70020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3081][4]~70021\ : std_logic;
SIGNAL \led_flash_cnt[3081][5]~70022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3081][5]~70023\ : std_logic;
SIGNAL \led_flash_cnt[3081][6]~70024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][6]~q\ : std_logic;
SIGNAL \WideAnd3081~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][6]~70025\ : std_logic;
SIGNAL \led_flash_cnt[3081][7]~70026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3081][7]~q\ : std_logic;
SIGNAL \WideAnd3081~0_combout\ : std_logic;
SIGNAL \WideAnd3081~combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][0]~83722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3082][1]~70028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3082][1]~70029\ : std_logic;
SIGNAL \led_flash_cnt[3082][2]~70030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3082][2]~70031\ : std_logic;
SIGNAL \led_flash_cnt[3082][3]~70032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3082][3]~70033\ : std_logic;
SIGNAL \led_flash_cnt[3082][4]~70034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][4]~q\ : std_logic;
SIGNAL \WideAnd3082~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][4]~70035\ : std_logic;
SIGNAL \led_flash_cnt[3082][5]~70036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3082][5]~70037\ : std_logic;
SIGNAL \led_flash_cnt[3082][6]~70038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3082][6]~70039\ : std_logic;
SIGNAL \led_flash_cnt[3082][7]~70040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3082][7]~q\ : std_logic;
SIGNAL \WideAnd3082~1_combout\ : std_logic;
SIGNAL \WideAnd3082~combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][0]~83723_combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3083][1]~70042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3083][1]~70043\ : std_logic;
SIGNAL \led_flash_cnt[3083][2]~70044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3083][2]~70045\ : std_logic;
SIGNAL \led_flash_cnt[3083][3]~70046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3083][3]~70047\ : std_logic;
SIGNAL \led_flash_cnt[3083][4]~70048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3083][4]~70049\ : std_logic;
SIGNAL \led_flash_cnt[3083][5]~70050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3083][5]~70051\ : std_logic;
SIGNAL \led_flash_cnt[3083][6]~70052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3083][6]~70053\ : std_logic;
SIGNAL \led_flash_cnt[3083][7]~70054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3083][7]~q\ : std_logic;
SIGNAL \WideAnd3083~0_combout\ : std_logic;
SIGNAL \WideAnd3083~1_combout\ : std_logic;
SIGNAL \WideAnd3083~combout\ : std_logic;
SIGNAL \WideAnd4225~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][0]~83725_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3085][1]~70070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3085][1]~70071\ : std_logic;
SIGNAL \led_flash_cnt[3085][2]~70072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3085][2]~70073\ : std_logic;
SIGNAL \led_flash_cnt[3085][3]~70074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3085][3]~70075\ : std_logic;
SIGNAL \led_flash_cnt[3085][4]~70076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3085][4]~70077\ : std_logic;
SIGNAL \led_flash_cnt[3085][5]~70078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3085][5]~70079\ : std_logic;
SIGNAL \led_flash_cnt[3085][6]~70080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3085][6]~70081\ : std_logic;
SIGNAL \led_flash_cnt[3085][7]~70082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3085][7]~q\ : std_logic;
SIGNAL \WideAnd3085~1_combout\ : std_logic;
SIGNAL \WideAnd3085~0_combout\ : std_logic;
SIGNAL \WideAnd3085~combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][0]~83724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3084][1]~70056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3084][1]~70057\ : std_logic;
SIGNAL \led_flash_cnt[3084][2]~70058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3084][2]~70059\ : std_logic;
SIGNAL \led_flash_cnt[3084][3]~70060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3084][3]~70061\ : std_logic;
SIGNAL \led_flash_cnt[3084][4]~70062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][4]~q\ : std_logic;
SIGNAL \WideAnd3084~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][4]~70063\ : std_logic;
SIGNAL \led_flash_cnt[3084][5]~70064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3084][5]~70065\ : std_logic;
SIGNAL \led_flash_cnt[3084][6]~70066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3084][6]~70067\ : std_logic;
SIGNAL \led_flash_cnt[3084][7]~70068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3084][7]~q\ : std_logic;
SIGNAL \WideAnd3084~1_combout\ : std_logic;
SIGNAL \WideAnd3084~combout\ : std_logic;
SIGNAL \WideAnd4225~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][0]~83727_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3087][1]~70098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3087][1]~70099\ : std_logic;
SIGNAL \led_flash_cnt[3087][2]~70100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3087][2]~70101\ : std_logic;
SIGNAL \led_flash_cnt[3087][3]~70102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3087][3]~70103\ : std_logic;
SIGNAL \led_flash_cnt[3087][4]~70104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3087][4]~70105\ : std_logic;
SIGNAL \led_flash_cnt[3087][5]~70106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3087][5]~70107\ : std_logic;
SIGNAL \led_flash_cnt[3087][6]~70108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][6]~q\ : std_logic;
SIGNAL \WideAnd3087~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][6]~70109\ : std_logic;
SIGNAL \led_flash_cnt[3087][7]~70110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3087][7]~q\ : std_logic;
SIGNAL \WideAnd3087~0_combout\ : std_logic;
SIGNAL \WideAnd3087~combout\ : std_logic;
SIGNAL \WideAnd4225~combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][0]~83741_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3101][1]~70294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3101][1]~70295\ : std_logic;
SIGNAL \led_flash_cnt[3101][2]~70296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3101][2]~70297\ : std_logic;
SIGNAL \led_flash_cnt[3101][3]~70298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3101][3]~70299\ : std_logic;
SIGNAL \led_flash_cnt[3101][4]~70300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][4]~q\ : std_logic;
SIGNAL \WideAnd3101~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][4]~70301\ : std_logic;
SIGNAL \led_flash_cnt[3101][5]~70302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3101][5]~70303\ : std_logic;
SIGNAL \led_flash_cnt[3101][6]~70304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][6]~q\ : std_logic;
SIGNAL \WideAnd3101~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][6]~70305\ : std_logic;
SIGNAL \led_flash_cnt[3101][7]~70306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3101][7]~q\ : std_logic;
SIGNAL \WideAnd3101~combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][0]~83740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3100][1]~70280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3100][1]~70281\ : std_logic;
SIGNAL \led_flash_cnt[3100][2]~70282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3100][2]~70283\ : std_logic;
SIGNAL \led_flash_cnt[3100][3]~70284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3100][3]~70285\ : std_logic;
SIGNAL \led_flash_cnt[3100][4]~70286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3100][4]~70287\ : std_logic;
SIGNAL \led_flash_cnt[3100][5]~70288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3100][5]~70289\ : std_logic;
SIGNAL \led_flash_cnt[3100][6]~70290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][6]~q\ : std_logic;
SIGNAL \WideAnd3100~1_combout\ : std_logic;
SIGNAL \WideAnd3100~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][6]~70291\ : std_logic;
SIGNAL \led_flash_cnt[3100][7]~70292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3100][7]~q\ : std_logic;
SIGNAL \WideAnd3100~combout\ : std_logic;
SIGNAL \WideAnd4227~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][0]~83743_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3103][1]~70322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3103][1]~70323\ : std_logic;
SIGNAL \led_flash_cnt[3103][2]~70324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3103][2]~70325\ : std_logic;
SIGNAL \led_flash_cnt[3103][3]~70326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3103][3]~70327\ : std_logic;
SIGNAL \led_flash_cnt[3103][4]~70328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3103][4]~70329\ : std_logic;
SIGNAL \led_flash_cnt[3103][5]~70330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3103][5]~70331\ : std_logic;
SIGNAL \led_flash_cnt[3103][6]~70332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3103][6]~70333\ : std_logic;
SIGNAL \led_flash_cnt[3103][7]~70334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3103][7]~q\ : std_logic;
SIGNAL \WideAnd3103~1_combout\ : std_logic;
SIGNAL \WideAnd3103~0_combout\ : std_logic;
SIGNAL \WideAnd3103~combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][0]~83739_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3099][1]~70266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3099][1]~70267\ : std_logic;
SIGNAL \led_flash_cnt[3099][2]~70268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3099][2]~70269\ : std_logic;
SIGNAL \led_flash_cnt[3099][3]~70270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3099][3]~70271\ : std_logic;
SIGNAL \led_flash_cnt[3099][4]~70272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][4]~q\ : std_logic;
SIGNAL \WideAnd3099~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][4]~70273\ : std_logic;
SIGNAL \led_flash_cnt[3099][5]~70274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3099][5]~70275\ : std_logic;
SIGNAL \led_flash_cnt[3099][6]~70276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3099][6]~70277\ : std_logic;
SIGNAL \led_flash_cnt[3099][7]~70278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3099][7]~q\ : std_logic;
SIGNAL \WideAnd3099~1_combout\ : std_logic;
SIGNAL \WideAnd3099~combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][0]~83738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3098][1]~70252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3098][1]~70253\ : std_logic;
SIGNAL \led_flash_cnt[3098][2]~70254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3098][2]~70255\ : std_logic;
SIGNAL \led_flash_cnt[3098][3]~70256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3098][3]~70257\ : std_logic;
SIGNAL \led_flash_cnt[3098][4]~70258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][4]~q\ : std_logic;
SIGNAL \WideAnd3098~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][4]~70259\ : std_logic;
SIGNAL \led_flash_cnt[3098][5]~70260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3098][5]~70261\ : std_logic;
SIGNAL \led_flash_cnt[3098][6]~70262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][6]~q\ : std_logic;
SIGNAL \WideAnd3098~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][6]~70263\ : std_logic;
SIGNAL \led_flash_cnt[3098][7]~70264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3098][7]~q\ : std_logic;
SIGNAL \WideAnd3098~combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][0]~83736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3096][1]~70224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3096][1]~70225\ : std_logic;
SIGNAL \led_flash_cnt[3096][2]~70226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3096][2]~70227\ : std_logic;
SIGNAL \led_flash_cnt[3096][3]~70228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3096][3]~70229\ : std_logic;
SIGNAL \led_flash_cnt[3096][4]~70230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][4]~q\ : std_logic;
SIGNAL \WideAnd3096~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][4]~70231\ : std_logic;
SIGNAL \led_flash_cnt[3096][5]~70232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3096][5]~70233\ : std_logic;
SIGNAL \led_flash_cnt[3096][6]~70234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3096][6]~70235\ : std_logic;
SIGNAL \led_flash_cnt[3096][7]~70236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3096][7]~q\ : std_logic;
SIGNAL \WideAnd3096~1_combout\ : std_logic;
SIGNAL \WideAnd3096~combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][0]~83737_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3097][1]~70238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3097][1]~70239\ : std_logic;
SIGNAL \led_flash_cnt[3097][2]~70240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3097][2]~70241\ : std_logic;
SIGNAL \led_flash_cnt[3097][3]~70242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3097][3]~70243\ : std_logic;
SIGNAL \led_flash_cnt[3097][4]~70244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3097][4]~70245\ : std_logic;
SIGNAL \led_flash_cnt[3097][5]~70246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3097][5]~70247\ : std_logic;
SIGNAL \led_flash_cnt[3097][6]~70248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][6]~q\ : std_logic;
SIGNAL \WideAnd3097~1_combout\ : std_logic;
SIGNAL \WideAnd3097~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][6]~70249\ : std_logic;
SIGNAL \led_flash_cnt[3097][7]~70250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3097][7]~q\ : std_logic;
SIGNAL \WideAnd3097~combout\ : std_logic;
SIGNAL \WideAnd4227~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][0]~83742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3102][1]~70308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3102][1]~70309\ : std_logic;
SIGNAL \led_flash_cnt[3102][2]~70310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3102][2]~70311\ : std_logic;
SIGNAL \led_flash_cnt[3102][3]~70312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3102][3]~70313\ : std_logic;
SIGNAL \led_flash_cnt[3102][4]~70314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3102][4]~70315\ : std_logic;
SIGNAL \led_flash_cnt[3102][5]~70316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3102][5]~70317\ : std_logic;
SIGNAL \led_flash_cnt[3102][6]~70318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][6]~q\ : std_logic;
SIGNAL \WideAnd3102~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][6]~70319\ : std_logic;
SIGNAL \led_flash_cnt[3102][7]~70320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3102][7]~q\ : std_logic;
SIGNAL \WideAnd3102~0_combout\ : std_logic;
SIGNAL \WideAnd3102~combout\ : std_logic;
SIGNAL \WideAnd4227~combout\ : std_logic;
SIGNAL \WideAnd4368~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][0]~83762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3122][1]~70588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3122][1]~70589\ : std_logic;
SIGNAL \led_flash_cnt[3122][2]~70590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3122][2]~70591\ : std_logic;
SIGNAL \led_flash_cnt[3122][3]~70592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3122][3]~70593\ : std_logic;
SIGNAL \led_flash_cnt[3122][4]~70594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3122][4]~70595\ : std_logic;
SIGNAL \led_flash_cnt[3122][5]~70596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3122][5]~70597\ : std_logic;
SIGNAL \led_flash_cnt[3122][6]~70598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3122][6]~70599\ : std_logic;
SIGNAL \led_flash_cnt[3122][7]~70600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3122][7]~q\ : std_logic;
SIGNAL \WideAnd3122~1_combout\ : std_logic;
SIGNAL \WideAnd3122~0_combout\ : std_logic;
SIGNAL \WideAnd3122~combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][0]~83763_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3123][1]~70602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3123][1]~70603\ : std_logic;
SIGNAL \led_flash_cnt[3123][2]~70604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3123][2]~70605\ : std_logic;
SIGNAL \led_flash_cnt[3123][3]~70606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3123][3]~70607\ : std_logic;
SIGNAL \led_flash_cnt[3123][4]~70608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][4]~q\ : std_logic;
SIGNAL \WideAnd3123~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][4]~70609\ : std_logic;
SIGNAL \led_flash_cnt[3123][5]~70610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3123][5]~70611\ : std_logic;
SIGNAL \led_flash_cnt[3123][6]~70612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3123][6]~70613\ : std_logic;
SIGNAL \led_flash_cnt[3123][7]~70614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3123][7]~q\ : std_logic;
SIGNAL \WideAnd3123~1_combout\ : std_logic;
SIGNAL \WideAnd3123~combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][0]~83760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3120][1]~70560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3120][1]~70561\ : std_logic;
SIGNAL \led_flash_cnt[3120][2]~70562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3120][2]~70563\ : std_logic;
SIGNAL \led_flash_cnt[3120][3]~70564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3120][3]~70565\ : std_logic;
SIGNAL \led_flash_cnt[3120][4]~70566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3120][4]~70567\ : std_logic;
SIGNAL \led_flash_cnt[3120][5]~70568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3120][5]~70569\ : std_logic;
SIGNAL \led_flash_cnt[3120][6]~70570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3120][6]~70571\ : std_logic;
SIGNAL \led_flash_cnt[3120][7]~70572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3120][7]~q\ : std_logic;
SIGNAL \WideAnd3120~0_combout\ : std_logic;
SIGNAL \WideAnd3120~1_combout\ : std_logic;
SIGNAL \WideAnd3120~combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][0]~83761_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3121][1]~70574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3121][1]~70575\ : std_logic;
SIGNAL \led_flash_cnt[3121][2]~70576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3121][2]~70577\ : std_logic;
SIGNAL \led_flash_cnt[3121][3]~70578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3121][3]~70579\ : std_logic;
SIGNAL \led_flash_cnt[3121][4]~70580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3121][4]~70581\ : std_logic;
SIGNAL \led_flash_cnt[3121][5]~70582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3121][5]~70583\ : std_logic;
SIGNAL \led_flash_cnt[3121][6]~70584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][6]~q\ : std_logic;
SIGNAL \WideAnd3121~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][6]~70585\ : std_logic;
SIGNAL \led_flash_cnt[3121][7]~70586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3121][7]~q\ : std_logic;
SIGNAL \WideAnd3121~0_combout\ : std_logic;
SIGNAL \WideAnd3121~combout\ : std_logic;
SIGNAL \WideAnd4230~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][0]~83764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3124][1]~70616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3124][1]~70617\ : std_logic;
SIGNAL \led_flash_cnt[3124][2]~70618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3124][2]~70619\ : std_logic;
SIGNAL \led_flash_cnt[3124][3]~70620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3124][3]~70621\ : std_logic;
SIGNAL \led_flash_cnt[3124][4]~70622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3124][4]~70623\ : std_logic;
SIGNAL \led_flash_cnt[3124][5]~70624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3124][5]~70625\ : std_logic;
SIGNAL \led_flash_cnt[3124][6]~70626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][6]~q\ : std_logic;
SIGNAL \WideAnd3124~1_combout\ : std_logic;
SIGNAL \WideAnd3124~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][6]~70627\ : std_logic;
SIGNAL \led_flash_cnt[3124][7]~70628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3124][7]~q\ : std_logic;
SIGNAL \WideAnd3124~combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][0]~83765_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3125][1]~70630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3125][1]~70631\ : std_logic;
SIGNAL \led_flash_cnt[3125][2]~70632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3125][2]~70633\ : std_logic;
SIGNAL \led_flash_cnt[3125][3]~70634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3125][3]~70635\ : std_logic;
SIGNAL \led_flash_cnt[3125][4]~70636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][4]~q\ : std_logic;
SIGNAL \WideAnd3125~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][4]~70637\ : std_logic;
SIGNAL \led_flash_cnt[3125][5]~70638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3125][5]~70639\ : std_logic;
SIGNAL \led_flash_cnt[3125][6]~70640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3125][6]~70641\ : std_logic;
SIGNAL \led_flash_cnt[3125][7]~70642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3125][7]~q\ : std_logic;
SIGNAL \WideAnd3125~1_combout\ : std_logic;
SIGNAL \WideAnd3125~combout\ : std_logic;
SIGNAL \WideAnd4230~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][0]~83766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3126][1]~70644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3126][1]~70645\ : std_logic;
SIGNAL \led_flash_cnt[3126][2]~70646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3126][2]~70647\ : std_logic;
SIGNAL \led_flash_cnt[3126][3]~70648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3126][3]~70649\ : std_logic;
SIGNAL \led_flash_cnt[3126][4]~70650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][4]~q\ : std_logic;
SIGNAL \WideAnd3126~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][4]~70651\ : std_logic;
SIGNAL \led_flash_cnt[3126][5]~70652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3126][5]~70653\ : std_logic;
SIGNAL \led_flash_cnt[3126][6]~70654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3126][6]~70655\ : std_logic;
SIGNAL \led_flash_cnt[3126][7]~70656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3126][7]~q\ : std_logic;
SIGNAL \WideAnd3126~1_combout\ : std_logic;
SIGNAL \WideAnd3126~combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][0]~83767_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3127][1]~70658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3127][1]~70659\ : std_logic;
SIGNAL \led_flash_cnt[3127][2]~70660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3127][2]~70661\ : std_logic;
SIGNAL \led_flash_cnt[3127][3]~70662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3127][3]~70663\ : std_logic;
SIGNAL \led_flash_cnt[3127][4]~70664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3127][4]~70665\ : std_logic;
SIGNAL \led_flash_cnt[3127][5]~70666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3127][5]~70667\ : std_logic;
SIGNAL \led_flash_cnt[3127][6]~70668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][6]~q\ : std_logic;
SIGNAL \WideAnd3127~1_combout\ : std_logic;
SIGNAL \WideAnd3127~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][6]~70669\ : std_logic;
SIGNAL \led_flash_cnt[3127][7]~70670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3127][7]~q\ : std_logic;
SIGNAL \WideAnd3127~combout\ : std_logic;
SIGNAL \WideAnd4230~combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][0]~83755_combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3115][1]~70490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3115][1]~70491\ : std_logic;
SIGNAL \led_flash_cnt[3115][2]~70492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3115][2]~70493\ : std_logic;
SIGNAL \led_flash_cnt[3115][3]~70494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3115][3]~70495\ : std_logic;
SIGNAL \led_flash_cnt[3115][4]~70496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3115][4]~70497\ : std_logic;
SIGNAL \led_flash_cnt[3115][5]~70498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3115][5]~70499\ : std_logic;
SIGNAL \led_flash_cnt[3115][6]~70500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3115][6]~70501\ : std_logic;
SIGNAL \led_flash_cnt[3115][7]~70502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3115][7]~q\ : std_logic;
SIGNAL \WideAnd3115~0_combout\ : std_logic;
SIGNAL \WideAnd3115~1_combout\ : std_logic;
SIGNAL \WideAnd3115~combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][0]~83753_combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3113][1]~70462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3113][1]~70463\ : std_logic;
SIGNAL \led_flash_cnt[3113][2]~70464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3113][2]~70465\ : std_logic;
SIGNAL \led_flash_cnt[3113][3]~70466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3113][3]~70467\ : std_logic;
SIGNAL \led_flash_cnt[3113][4]~70468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3113][4]~70469\ : std_logic;
SIGNAL \led_flash_cnt[3113][5]~70470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3113][5]~70471\ : std_logic;
SIGNAL \led_flash_cnt[3113][6]~70472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3113][6]~70473\ : std_logic;
SIGNAL \led_flash_cnt[3113][7]~70474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3113][7]~q\ : std_logic;
SIGNAL \WideAnd3113~1_combout\ : std_logic;
SIGNAL \WideAnd3113~0_combout\ : std_logic;
SIGNAL \WideAnd3113~combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][0]~83754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3114][1]~70476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3114][1]~70477\ : std_logic;
SIGNAL \led_flash_cnt[3114][2]~70478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3114][2]~70479\ : std_logic;
SIGNAL \led_flash_cnt[3114][3]~70480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3114][3]~70481\ : std_logic;
SIGNAL \led_flash_cnt[3114][4]~70482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3114][4]~70483\ : std_logic;
SIGNAL \led_flash_cnt[3114][5]~70484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3114][5]~70485\ : std_logic;
SIGNAL \led_flash_cnt[3114][6]~70486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3114][6]~70487\ : std_logic;
SIGNAL \led_flash_cnt[3114][7]~70488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3114][7]~q\ : std_logic;
SIGNAL \WideAnd3114~0_combout\ : std_logic;
SIGNAL \WideAnd3114~1_combout\ : std_logic;
SIGNAL \WideAnd3114~combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][0]~83752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3112][1]~70448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3112][1]~70449\ : std_logic;
SIGNAL \led_flash_cnt[3112][2]~70450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3112][2]~70451\ : std_logic;
SIGNAL \led_flash_cnt[3112][3]~70452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3112][3]~70453\ : std_logic;
SIGNAL \led_flash_cnt[3112][4]~70454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3112][4]~70455\ : std_logic;
SIGNAL \led_flash_cnt[3112][5]~70456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3112][5]~70457\ : std_logic;
SIGNAL \led_flash_cnt[3112][6]~70458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3112][6]~70459\ : std_logic;
SIGNAL \led_flash_cnt[3112][7]~70460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3112][7]~q\ : std_logic;
SIGNAL \WideAnd3112~0_combout\ : std_logic;
SIGNAL \WideAnd3112~1_combout\ : std_logic;
SIGNAL \WideAnd3112~combout\ : std_logic;
SIGNAL \WideAnd4229~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][0]~83756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3116][1]~70504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3116][1]~70505\ : std_logic;
SIGNAL \led_flash_cnt[3116][2]~70506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3116][2]~70507\ : std_logic;
SIGNAL \led_flash_cnt[3116][3]~70508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3116][3]~70509\ : std_logic;
SIGNAL \led_flash_cnt[3116][4]~70510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3116][4]~70511\ : std_logic;
SIGNAL \led_flash_cnt[3116][5]~70512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3116][5]~70513\ : std_logic;
SIGNAL \led_flash_cnt[3116][6]~70514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3116][6]~70515\ : std_logic;
SIGNAL \led_flash_cnt[3116][7]~70516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3116][7]~q\ : std_logic;
SIGNAL \WideAnd3116~0_combout\ : std_logic;
SIGNAL \WideAnd3116~1_combout\ : std_logic;
SIGNAL \WideAnd3116~combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][0]~83757_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3117][1]~70518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3117][1]~70519\ : std_logic;
SIGNAL \led_flash_cnt[3117][2]~70520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3117][2]~70521\ : std_logic;
SIGNAL \led_flash_cnt[3117][3]~70522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3117][3]~70523\ : std_logic;
SIGNAL \led_flash_cnt[3117][4]~70524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3117][4]~70525\ : std_logic;
SIGNAL \led_flash_cnt[3117][5]~70526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3117][5]~70527\ : std_logic;
SIGNAL \led_flash_cnt[3117][6]~70528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][6]~q\ : std_logic;
SIGNAL \WideAnd3117~1_combout\ : std_logic;
SIGNAL \WideAnd3117~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][6]~70529\ : std_logic;
SIGNAL \led_flash_cnt[3117][7]~70530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3117][7]~q\ : std_logic;
SIGNAL \WideAnd3117~combout\ : std_logic;
SIGNAL \WideAnd4229~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][0]~83758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3118][1]~70532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3118][1]~70533\ : std_logic;
SIGNAL \led_flash_cnt[3118][2]~70534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3118][2]~70535\ : std_logic;
SIGNAL \led_flash_cnt[3118][3]~70536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3118][3]~70537\ : std_logic;
SIGNAL \led_flash_cnt[3118][4]~70538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][4]~q\ : std_logic;
SIGNAL \WideAnd3118~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][4]~70539\ : std_logic;
SIGNAL \led_flash_cnt[3118][5]~70540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3118][5]~70541\ : std_logic;
SIGNAL \led_flash_cnt[3118][6]~70542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][6]~q\ : std_logic;
SIGNAL \WideAnd3118~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][6]~70543\ : std_logic;
SIGNAL \led_flash_cnt[3118][7]~70544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3118][7]~q\ : std_logic;
SIGNAL \WideAnd3118~combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][0]~83759_combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3119][1]~70546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3119][1]~70547\ : std_logic;
SIGNAL \led_flash_cnt[3119][2]~70548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3119][2]~70549\ : std_logic;
SIGNAL \led_flash_cnt[3119][3]~70550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3119][3]~70551\ : std_logic;
SIGNAL \led_flash_cnt[3119][4]~70552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3119][4]~70553\ : std_logic;
SIGNAL \led_flash_cnt[3119][5]~70554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3119][5]~70555\ : std_logic;
SIGNAL \led_flash_cnt[3119][6]~70556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3119][6]~70557\ : std_logic;
SIGNAL \led_flash_cnt[3119][7]~70558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3119][7]~q\ : std_logic;
SIGNAL \WideAnd3119~1_combout\ : std_logic;
SIGNAL \WideAnd3119~0_combout\ : std_logic;
SIGNAL \WideAnd3119~combout\ : std_logic;
SIGNAL \WideAnd4229~combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][0]~83746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3106][1]~70364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3106][1]~70365\ : std_logic;
SIGNAL \led_flash_cnt[3106][2]~70366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3106][2]~70367\ : std_logic;
SIGNAL \led_flash_cnt[3106][3]~70368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3106][3]~70369\ : std_logic;
SIGNAL \led_flash_cnt[3106][4]~70370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][4]~q\ : std_logic;
SIGNAL \WideAnd3106~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][4]~70371\ : std_logic;
SIGNAL \led_flash_cnt[3106][5]~70372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3106][5]~70373\ : std_logic;
SIGNAL \led_flash_cnt[3106][6]~70374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][6]~q\ : std_logic;
SIGNAL \WideAnd3106~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][6]~70375\ : std_logic;
SIGNAL \led_flash_cnt[3106][7]~70376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3106][7]~q\ : std_logic;
SIGNAL \WideAnd3106~combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][0]~83745_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3105][1]~70350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3105][1]~70351\ : std_logic;
SIGNAL \led_flash_cnt[3105][2]~70352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3105][2]~70353\ : std_logic;
SIGNAL \led_flash_cnt[3105][3]~70354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3105][3]~70355\ : std_logic;
SIGNAL \led_flash_cnt[3105][4]~70356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3105][4]~70357\ : std_logic;
SIGNAL \led_flash_cnt[3105][5]~70358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3105][5]~70359\ : std_logic;
SIGNAL \led_flash_cnt[3105][6]~70360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][6]~q\ : std_logic;
SIGNAL \WideAnd3105~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][6]~70361\ : std_logic;
SIGNAL \led_flash_cnt[3105][7]~70362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3105][7]~q\ : std_logic;
SIGNAL \WideAnd3105~0_combout\ : std_logic;
SIGNAL \WideAnd3105~combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][0]~83747_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3107][1]~70378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3107][1]~70379\ : std_logic;
SIGNAL \led_flash_cnt[3107][2]~70380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3107][2]~70381\ : std_logic;
SIGNAL \led_flash_cnt[3107][3]~70382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3107][3]~70383\ : std_logic;
SIGNAL \led_flash_cnt[3107][4]~70384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3107][4]~70385\ : std_logic;
SIGNAL \led_flash_cnt[3107][5]~70386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3107][5]~70387\ : std_logic;
SIGNAL \led_flash_cnt[3107][6]~70388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][6]~q\ : std_logic;
SIGNAL \WideAnd3107~1_combout\ : std_logic;
SIGNAL \WideAnd3107~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][6]~70389\ : std_logic;
SIGNAL \led_flash_cnt[3107][7]~70390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3107][7]~q\ : std_logic;
SIGNAL \WideAnd3107~combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][0]~83744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3104][1]~70336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3104][1]~70337\ : std_logic;
SIGNAL \led_flash_cnt[3104][2]~70338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3104][2]~70339\ : std_logic;
SIGNAL \led_flash_cnt[3104][3]~70340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3104][3]~70341\ : std_logic;
SIGNAL \led_flash_cnt[3104][4]~70342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3104][4]~70343\ : std_logic;
SIGNAL \led_flash_cnt[3104][5]~70344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3104][5]~70345\ : std_logic;
SIGNAL \led_flash_cnt[3104][6]~70346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][6]~q\ : std_logic;
SIGNAL \WideAnd3104~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][6]~70347\ : std_logic;
SIGNAL \led_flash_cnt[3104][7]~70348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3104][7]~q\ : std_logic;
SIGNAL \WideAnd3104~0_combout\ : std_logic;
SIGNAL \WideAnd3104~combout\ : std_logic;
SIGNAL \WideAnd4228~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][0]~83750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3110][1]~70420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3110][1]~70421\ : std_logic;
SIGNAL \led_flash_cnt[3110][2]~70422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3110][2]~70423\ : std_logic;
SIGNAL \led_flash_cnt[3110][3]~70424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3110][3]~70425\ : std_logic;
SIGNAL \led_flash_cnt[3110][4]~70426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3110][4]~70427\ : std_logic;
SIGNAL \led_flash_cnt[3110][5]~70428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3110][5]~70429\ : std_logic;
SIGNAL \led_flash_cnt[3110][6]~70430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][6]~q\ : std_logic;
SIGNAL \WideAnd3110~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][6]~70431\ : std_logic;
SIGNAL \led_flash_cnt[3110][7]~70432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3110][7]~q\ : std_logic;
SIGNAL \WideAnd3110~0_combout\ : std_logic;
SIGNAL \WideAnd3110~combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][0]~83748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3108][1]~70392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3108][1]~70393\ : std_logic;
SIGNAL \led_flash_cnt[3108][2]~70394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3108][2]~70395\ : std_logic;
SIGNAL \led_flash_cnt[3108][3]~70396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3108][3]~70397\ : std_logic;
SIGNAL \led_flash_cnt[3108][4]~70398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3108][4]~70399\ : std_logic;
SIGNAL \led_flash_cnt[3108][5]~70400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3108][5]~70401\ : std_logic;
SIGNAL \led_flash_cnt[3108][6]~70402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][6]~q\ : std_logic;
SIGNAL \WideAnd3108~1_combout\ : std_logic;
SIGNAL \WideAnd3108~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][6]~70403\ : std_logic;
SIGNAL \led_flash_cnt[3108][7]~70404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3108][7]~q\ : std_logic;
SIGNAL \WideAnd3108~combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][0]~83749_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3109][1]~70406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3109][1]~70407\ : std_logic;
SIGNAL \led_flash_cnt[3109][2]~70408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3109][2]~70409\ : std_logic;
SIGNAL \led_flash_cnt[3109][3]~70410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3109][3]~70411\ : std_logic;
SIGNAL \led_flash_cnt[3109][4]~70412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3109][4]~70413\ : std_logic;
SIGNAL \led_flash_cnt[3109][5]~70414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3109][5]~70415\ : std_logic;
SIGNAL \led_flash_cnt[3109][6]~70416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][6]~q\ : std_logic;
SIGNAL \WideAnd3109~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][6]~70417\ : std_logic;
SIGNAL \led_flash_cnt[3109][7]~70418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3109][7]~q\ : std_logic;
SIGNAL \WideAnd3109~0_combout\ : std_logic;
SIGNAL \WideAnd3109~combout\ : std_logic;
SIGNAL \WideAnd4228~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][0]~83751_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3111][1]~70434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3111][1]~70435\ : std_logic;
SIGNAL \led_flash_cnt[3111][2]~70436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3111][2]~70437\ : std_logic;
SIGNAL \led_flash_cnt[3111][3]~70438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3111][3]~70439\ : std_logic;
SIGNAL \led_flash_cnt[3111][4]~70440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3111][4]~70441\ : std_logic;
SIGNAL \led_flash_cnt[3111][5]~70442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3111][5]~70443\ : std_logic;
SIGNAL \led_flash_cnt[3111][6]~70444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][6]~q\ : std_logic;
SIGNAL \WideAnd3111~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][6]~70445\ : std_logic;
SIGNAL \led_flash_cnt[3111][7]~70446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3111][7]~q\ : std_logic;
SIGNAL \WideAnd3111~0_combout\ : std_logic;
SIGNAL \WideAnd3111~combout\ : std_logic;
SIGNAL \WideAnd4228~combout\ : std_logic;
SIGNAL \WideAnd4368~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][0]~83772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3132][1]~70728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3132][1]~70729\ : std_logic;
SIGNAL \led_flash_cnt[3132][2]~70730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3132][2]~70731\ : std_logic;
SIGNAL \led_flash_cnt[3132][3]~70732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3132][3]~70733\ : std_logic;
SIGNAL \led_flash_cnt[3132][4]~70734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3132][4]~70735\ : std_logic;
SIGNAL \led_flash_cnt[3132][5]~70736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3132][5]~70737\ : std_logic;
SIGNAL \led_flash_cnt[3132][6]~70738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][6]~q\ : std_logic;
SIGNAL \WideAnd3132~1_combout\ : std_logic;
SIGNAL \WideAnd3132~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][6]~70739\ : std_logic;
SIGNAL \led_flash_cnt[3132][7]~70740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3132][7]~q\ : std_logic;
SIGNAL \WideAnd3132~combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][0]~83773_combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3133][1]~70742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3133][1]~70743\ : std_logic;
SIGNAL \led_flash_cnt[3133][2]~70744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3133][2]~70745\ : std_logic;
SIGNAL \led_flash_cnt[3133][3]~70746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3133][3]~70747\ : std_logic;
SIGNAL \led_flash_cnt[3133][4]~70748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3133][4]~70749\ : std_logic;
SIGNAL \led_flash_cnt[3133][5]~70750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3133][5]~70751\ : std_logic;
SIGNAL \led_flash_cnt[3133][6]~70752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3133][6]~70753\ : std_logic;
SIGNAL \led_flash_cnt[3133][7]~70754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3133][7]~q\ : std_logic;
SIGNAL \WideAnd3133~1_combout\ : std_logic;
SIGNAL \WideAnd3133~0_combout\ : std_logic;
SIGNAL \WideAnd3133~combout\ : std_logic;
SIGNAL \WideAnd4231~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][0]~83775_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3135][1]~70770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3135][1]~70771\ : std_logic;
SIGNAL \led_flash_cnt[3135][2]~70772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3135][2]~70773\ : std_logic;
SIGNAL \led_flash_cnt[3135][3]~70774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3135][3]~70775\ : std_logic;
SIGNAL \led_flash_cnt[3135][4]~70776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3135][4]~70777\ : std_logic;
SIGNAL \led_flash_cnt[3135][5]~70778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3135][5]~70779\ : std_logic;
SIGNAL \led_flash_cnt[3135][6]~70780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3135][6]~70781\ : std_logic;
SIGNAL \led_flash_cnt[3135][7]~70782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3135][7]~q\ : std_logic;
SIGNAL \WideAnd3135~0_combout\ : std_logic;
SIGNAL \WideAnd3135~1_combout\ : std_logic;
SIGNAL \WideAnd3135~combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][0]~83768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3128][1]~70672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3128][1]~70673\ : std_logic;
SIGNAL \led_flash_cnt[3128][2]~70674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3128][2]~70675\ : std_logic;
SIGNAL \led_flash_cnt[3128][3]~70676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3128][3]~70677\ : std_logic;
SIGNAL \led_flash_cnt[3128][4]~70678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][4]~q\ : std_logic;
SIGNAL \WideAnd3128~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][4]~70679\ : std_logic;
SIGNAL \led_flash_cnt[3128][5]~70680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3128][5]~70681\ : std_logic;
SIGNAL \led_flash_cnt[3128][6]~70682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][6]~q\ : std_logic;
SIGNAL \WideAnd3128~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][6]~70683\ : std_logic;
SIGNAL \led_flash_cnt[3128][7]~70684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3128][7]~q\ : std_logic;
SIGNAL \WideAnd3128~combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][0]~83771_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3131][1]~70714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3131][1]~70715\ : std_logic;
SIGNAL \led_flash_cnt[3131][2]~70716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3131][2]~70717\ : std_logic;
SIGNAL \led_flash_cnt[3131][3]~70718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3131][3]~70719\ : std_logic;
SIGNAL \led_flash_cnt[3131][4]~70720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][4]~q\ : std_logic;
SIGNAL \WideAnd3131~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][4]~70721\ : std_logic;
SIGNAL \led_flash_cnt[3131][5]~70722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3131][5]~70723\ : std_logic;
SIGNAL \led_flash_cnt[3131][6]~70724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][6]~q\ : std_logic;
SIGNAL \WideAnd3131~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][6]~70725\ : std_logic;
SIGNAL \led_flash_cnt[3131][7]~70726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3131][7]~q\ : std_logic;
SIGNAL \WideAnd3131~combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][0]~83769_combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3129][1]~70686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3129][1]~70687\ : std_logic;
SIGNAL \led_flash_cnt[3129][2]~70688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3129][2]~70689\ : std_logic;
SIGNAL \led_flash_cnt[3129][3]~70690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3129][3]~70691\ : std_logic;
SIGNAL \led_flash_cnt[3129][4]~70692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3129][4]~70693\ : std_logic;
SIGNAL \led_flash_cnt[3129][5]~70694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3129][5]~70695\ : std_logic;
SIGNAL \led_flash_cnt[3129][6]~70696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3129][6]~70697\ : std_logic;
SIGNAL \led_flash_cnt[3129][7]~70698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3129][7]~q\ : std_logic;
SIGNAL \WideAnd3129~0_combout\ : std_logic;
SIGNAL \WideAnd3129~1_combout\ : std_logic;
SIGNAL \WideAnd3129~combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][0]~83770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3130][1]~70700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3130][1]~70701\ : std_logic;
SIGNAL \led_flash_cnt[3130][2]~70702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3130][2]~70703\ : std_logic;
SIGNAL \led_flash_cnt[3130][3]~70704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3130][3]~70705\ : std_logic;
SIGNAL \led_flash_cnt[3130][4]~70706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][4]~q\ : std_logic;
SIGNAL \WideAnd3130~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][4]~70707\ : std_logic;
SIGNAL \led_flash_cnt[3130][5]~70708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3130][5]~70709\ : std_logic;
SIGNAL \led_flash_cnt[3130][6]~70710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][6]~q\ : std_logic;
SIGNAL \WideAnd3130~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][6]~70711\ : std_logic;
SIGNAL \led_flash_cnt[3130][7]~70712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3130][7]~q\ : std_logic;
SIGNAL \WideAnd3130~combout\ : std_logic;
SIGNAL \WideAnd4231~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][0]~83774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3134][1]~70756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3134][1]~70757\ : std_logic;
SIGNAL \led_flash_cnt[3134][2]~70758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3134][2]~70759\ : std_logic;
SIGNAL \led_flash_cnt[3134][3]~70760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3134][3]~70761\ : std_logic;
SIGNAL \led_flash_cnt[3134][4]~70762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3134][4]~70763\ : std_logic;
SIGNAL \led_flash_cnt[3134][5]~70764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3134][5]~70765\ : std_logic;
SIGNAL \led_flash_cnt[3134][6]~70766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][6]~q\ : std_logic;
SIGNAL \WideAnd3134~1_combout\ : std_logic;
SIGNAL \WideAnd3134~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][6]~70767\ : std_logic;
SIGNAL \led_flash_cnt[3134][7]~70768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3134][7]~q\ : std_logic;
SIGNAL \WideAnd3134~combout\ : std_logic;
SIGNAL \WideAnd4231~combout\ : std_logic;
SIGNAL \WideAnd4368~combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][0]~83785_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3145][1]~70910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3145][1]~70911\ : std_logic;
SIGNAL \led_flash_cnt[3145][2]~70912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3145][2]~70913\ : std_logic;
SIGNAL \led_flash_cnt[3145][3]~70914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3145][3]~70915\ : std_logic;
SIGNAL \led_flash_cnt[3145][4]~70916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3145][4]~70917\ : std_logic;
SIGNAL \led_flash_cnt[3145][5]~70918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3145][5]~70919\ : std_logic;
SIGNAL \led_flash_cnt[3145][6]~70920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][6]~q\ : std_logic;
SIGNAL \WideAnd3145~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][6]~70921\ : std_logic;
SIGNAL \led_flash_cnt[3145][7]~70922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3145][7]~q\ : std_logic;
SIGNAL \WideAnd3145~0_combout\ : std_logic;
SIGNAL \WideAnd3145~combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][0]~83784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3144][1]~70896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3144][1]~70897\ : std_logic;
SIGNAL \led_flash_cnt[3144][2]~70898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3144][2]~70899\ : std_logic;
SIGNAL \led_flash_cnt[3144][3]~70900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3144][3]~70901\ : std_logic;
SIGNAL \led_flash_cnt[3144][4]~70902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3144][4]~70903\ : std_logic;
SIGNAL \led_flash_cnt[3144][5]~70904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3144][5]~70905\ : std_logic;
SIGNAL \led_flash_cnt[3144][6]~70906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][6]~q\ : std_logic;
SIGNAL \WideAnd3144~1_combout\ : std_logic;
SIGNAL \WideAnd3144~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][6]~70907\ : std_logic;
SIGNAL \led_flash_cnt[3144][7]~70908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3144][7]~q\ : std_logic;
SIGNAL \WideAnd3144~combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][0]~83787_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3147][1]~70938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3147][1]~70939\ : std_logic;
SIGNAL \led_flash_cnt[3147][2]~70940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3147][2]~70941\ : std_logic;
SIGNAL \led_flash_cnt[3147][3]~70942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3147][3]~70943\ : std_logic;
SIGNAL \led_flash_cnt[3147][4]~70944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3147][4]~70945\ : std_logic;
SIGNAL \led_flash_cnt[3147][5]~70946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3147][5]~70947\ : std_logic;
SIGNAL \led_flash_cnt[3147][6]~70948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][6]~q\ : std_logic;
SIGNAL \WideAnd3147~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][6]~70949\ : std_logic;
SIGNAL \led_flash_cnt[3147][7]~70950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3147][7]~q\ : std_logic;
SIGNAL \WideAnd3147~1_combout\ : std_logic;
SIGNAL \WideAnd3147~combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][0]~83786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3146][1]~70924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3146][1]~70925\ : std_logic;
SIGNAL \led_flash_cnt[3146][2]~70926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3146][2]~70927\ : std_logic;
SIGNAL \led_flash_cnt[3146][3]~70928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3146][3]~70929\ : std_logic;
SIGNAL \led_flash_cnt[3146][4]~70930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][4]~q\ : std_logic;
SIGNAL \WideAnd3146~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][4]~70931\ : std_logic;
SIGNAL \led_flash_cnt[3146][5]~70932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3146][5]~70933\ : std_logic;
SIGNAL \led_flash_cnt[3146][6]~70934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3146][6]~70935\ : std_logic;
SIGNAL \led_flash_cnt[3146][7]~70936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3146][7]~q\ : std_logic;
SIGNAL \WideAnd3146~1_combout\ : std_logic;
SIGNAL \WideAnd3146~combout\ : std_logic;
SIGNAL \WideAnd4233~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][0]~83790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3150][1]~70980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3150][1]~70981\ : std_logic;
SIGNAL \led_flash_cnt[3150][2]~70982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3150][2]~70983\ : std_logic;
SIGNAL \led_flash_cnt[3150][3]~70984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3150][3]~70985\ : std_logic;
SIGNAL \led_flash_cnt[3150][4]~70986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3150][4]~70987\ : std_logic;
SIGNAL \led_flash_cnt[3150][5]~70988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3150][5]~70989\ : std_logic;
SIGNAL \led_flash_cnt[3150][6]~70990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][6]~q\ : std_logic;
SIGNAL \WideAnd3150~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][6]~70991\ : std_logic;
SIGNAL \led_flash_cnt[3150][7]~70992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3150][7]~q\ : std_logic;
SIGNAL \WideAnd3150~0_combout\ : std_logic;
SIGNAL \WideAnd3150~combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][0]~83788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3148][1]~70952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3148][1]~70953\ : std_logic;
SIGNAL \led_flash_cnt[3148][2]~70954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3148][2]~70955\ : std_logic;
SIGNAL \led_flash_cnt[3148][3]~70956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3148][3]~70957\ : std_logic;
SIGNAL \led_flash_cnt[3148][4]~70958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][4]~q\ : std_logic;
SIGNAL \WideAnd3148~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][4]~70959\ : std_logic;
SIGNAL \led_flash_cnt[3148][5]~70960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3148][5]~70961\ : std_logic;
SIGNAL \led_flash_cnt[3148][6]~70962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3148][6]~70963\ : std_logic;
SIGNAL \led_flash_cnt[3148][7]~70964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3148][7]~q\ : std_logic;
SIGNAL \WideAnd3148~1_combout\ : std_logic;
SIGNAL \WideAnd3148~combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][0]~83789_combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3149][1]~70966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3149][1]~70967\ : std_logic;
SIGNAL \led_flash_cnt[3149][2]~70968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3149][2]~70969\ : std_logic;
SIGNAL \led_flash_cnt[3149][3]~70970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3149][3]~70971\ : std_logic;
SIGNAL \led_flash_cnt[3149][4]~70972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3149][4]~70973\ : std_logic;
SIGNAL \led_flash_cnt[3149][5]~70974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3149][5]~70975\ : std_logic;
SIGNAL \led_flash_cnt[3149][6]~70976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3149][6]~70977\ : std_logic;
SIGNAL \led_flash_cnt[3149][7]~70978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3149][7]~q\ : std_logic;
SIGNAL \WideAnd3149~1_combout\ : std_logic;
SIGNAL \WideAnd3149~0_combout\ : std_logic;
SIGNAL \WideAnd3149~combout\ : std_logic;
SIGNAL \WideAnd4233~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][0]~83791_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3151][1]~70994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3151][1]~70995\ : std_logic;
SIGNAL \led_flash_cnt[3151][2]~70996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3151][2]~70997\ : std_logic;
SIGNAL \led_flash_cnt[3151][3]~70998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3151][3]~70999\ : std_logic;
SIGNAL \led_flash_cnt[3151][4]~71000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3151][4]~71001\ : std_logic;
SIGNAL \led_flash_cnt[3151][5]~71002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3151][5]~71003\ : std_logic;
SIGNAL \led_flash_cnt[3151][6]~71004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3151][6]~71005\ : std_logic;
SIGNAL \led_flash_cnt[3151][7]~71006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3151][7]~q\ : std_logic;
SIGNAL \WideAnd3151~1_combout\ : std_logic;
SIGNAL \WideAnd3151~0_combout\ : std_logic;
SIGNAL \WideAnd3151~combout\ : std_logic;
SIGNAL \WideAnd4233~combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][0]~83782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3142][1]~70868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3142][1]~70869\ : std_logic;
SIGNAL \led_flash_cnt[3142][2]~70870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3142][2]~70871\ : std_logic;
SIGNAL \led_flash_cnt[3142][3]~70872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3142][3]~70873\ : std_logic;
SIGNAL \led_flash_cnt[3142][4]~70874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][4]~q\ : std_logic;
SIGNAL \WideAnd3142~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][4]~70875\ : std_logic;
SIGNAL \led_flash_cnt[3142][5]~70876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3142][5]~70877\ : std_logic;
SIGNAL \led_flash_cnt[3142][6]~70878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][6]~q\ : std_logic;
SIGNAL \WideAnd3142~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][6]~70879\ : std_logic;
SIGNAL \led_flash_cnt[3142][7]~70880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3142][7]~q\ : std_logic;
SIGNAL \WideAnd3142~combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][0]~83783_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3143][1]~70882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3143][1]~70883\ : std_logic;
SIGNAL \led_flash_cnt[3143][2]~70884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3143][2]~70885\ : std_logic;
SIGNAL \led_flash_cnt[3143][3]~70886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3143][3]~70887\ : std_logic;
SIGNAL \led_flash_cnt[3143][4]~70888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][4]~q\ : std_logic;
SIGNAL \WideAnd3143~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][4]~70889\ : std_logic;
SIGNAL \led_flash_cnt[3143][5]~70890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3143][5]~70891\ : std_logic;
SIGNAL \led_flash_cnt[3143][6]~70892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3143][6]~70893\ : std_logic;
SIGNAL \led_flash_cnt[3143][7]~70894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3143][7]~q\ : std_logic;
SIGNAL \WideAnd3143~1_combout\ : std_logic;
SIGNAL \WideAnd3143~combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][0]~83781_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3141][1]~70854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3141][1]~70855\ : std_logic;
SIGNAL \led_flash_cnt[3141][2]~70856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3141][2]~70857\ : std_logic;
SIGNAL \led_flash_cnt[3141][3]~70858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3141][3]~70859\ : std_logic;
SIGNAL \led_flash_cnt[3141][4]~70860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][4]~q\ : std_logic;
SIGNAL \WideAnd3141~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][4]~70861\ : std_logic;
SIGNAL \led_flash_cnt[3141][5]~70862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3141][5]~70863\ : std_logic;
SIGNAL \led_flash_cnt[3141][6]~70864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3141][6]~70865\ : std_logic;
SIGNAL \led_flash_cnt[3141][7]~70866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3141][7]~q\ : std_logic;
SIGNAL \WideAnd3141~1_combout\ : std_logic;
SIGNAL \WideAnd3141~combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][0]~83780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3140][1]~70840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3140][1]~70841\ : std_logic;
SIGNAL \led_flash_cnt[3140][2]~70842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3140][2]~70843\ : std_logic;
SIGNAL \led_flash_cnt[3140][3]~70844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3140][3]~70845\ : std_logic;
SIGNAL \led_flash_cnt[3140][4]~70846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3140][4]~70847\ : std_logic;
SIGNAL \led_flash_cnt[3140][5]~70848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3140][5]~70849\ : std_logic;
SIGNAL \led_flash_cnt[3140][6]~70850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][6]~q\ : std_logic;
SIGNAL \WideAnd3140~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][6]~70851\ : std_logic;
SIGNAL \led_flash_cnt[3140][7]~70852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3140][7]~q\ : std_logic;
SIGNAL \WideAnd3140~0_combout\ : std_logic;
SIGNAL \WideAnd3140~combout\ : std_logic;
SIGNAL \WideAnd4232~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][0]~83776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3136][1]~70784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3136][1]~70785\ : std_logic;
SIGNAL \led_flash_cnt[3136][2]~70786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3136][2]~70787\ : std_logic;
SIGNAL \led_flash_cnt[3136][3]~70788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3136][3]~70789\ : std_logic;
SIGNAL \led_flash_cnt[3136][4]~70790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][4]~q\ : std_logic;
SIGNAL \WideAnd3136~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][4]~70791\ : std_logic;
SIGNAL \led_flash_cnt[3136][5]~70792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3136][5]~70793\ : std_logic;
SIGNAL \led_flash_cnt[3136][6]~70794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][6]~q\ : std_logic;
SIGNAL \WideAnd3136~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][6]~70795\ : std_logic;
SIGNAL \led_flash_cnt[3136][7]~70796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3136][7]~q\ : std_logic;
SIGNAL \WideAnd3136~combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][0]~83779_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3139][1]~70826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3139][1]~70827\ : std_logic;
SIGNAL \led_flash_cnt[3139][2]~70828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3139][2]~70829\ : std_logic;
SIGNAL \led_flash_cnt[3139][3]~70830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3139][3]~70831\ : std_logic;
SIGNAL \led_flash_cnt[3139][4]~70832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][4]~q\ : std_logic;
SIGNAL \WideAnd3139~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][4]~70833\ : std_logic;
SIGNAL \led_flash_cnt[3139][5]~70834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3139][5]~70835\ : std_logic;
SIGNAL \led_flash_cnt[3139][6]~70836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][6]~q\ : std_logic;
SIGNAL \WideAnd3139~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][6]~70837\ : std_logic;
SIGNAL \led_flash_cnt[3139][7]~70838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3139][7]~q\ : std_logic;
SIGNAL \WideAnd3139~combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][0]~83777_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3137][1]~70798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3137][1]~70799\ : std_logic;
SIGNAL \led_flash_cnt[3137][2]~70800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3137][2]~70801\ : std_logic;
SIGNAL \led_flash_cnt[3137][3]~70802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3137][3]~70803\ : std_logic;
SIGNAL \led_flash_cnt[3137][4]~70804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][4]~q\ : std_logic;
SIGNAL \WideAnd3137~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][4]~70805\ : std_logic;
SIGNAL \led_flash_cnt[3137][5]~70806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3137][5]~70807\ : std_logic;
SIGNAL \led_flash_cnt[3137][6]~70808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3137][6]~70809\ : std_logic;
SIGNAL \led_flash_cnt[3137][7]~70810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3137][7]~q\ : std_logic;
SIGNAL \WideAnd3137~1_combout\ : std_logic;
SIGNAL \WideAnd3137~combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][0]~83778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3138][1]~70812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3138][1]~70813\ : std_logic;
SIGNAL \led_flash_cnt[3138][2]~70814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3138][2]~70815\ : std_logic;
SIGNAL \led_flash_cnt[3138][3]~70816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3138][3]~70817\ : std_logic;
SIGNAL \led_flash_cnt[3138][4]~70818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3138][4]~70819\ : std_logic;
SIGNAL \led_flash_cnt[3138][5]~70820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3138][5]~70821\ : std_logic;
SIGNAL \led_flash_cnt[3138][6]~70822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3138][6]~70823\ : std_logic;
SIGNAL \led_flash_cnt[3138][7]~70824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3138][7]~q\ : std_logic;
SIGNAL \WideAnd3138~1_combout\ : std_logic;
SIGNAL \WideAnd3138~0_combout\ : std_logic;
SIGNAL \WideAnd3138~combout\ : std_logic;
SIGNAL \WideAnd4232~0_combout\ : std_logic;
SIGNAL \WideAnd4232~combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][0]~83797_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3157][1]~71078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3157][1]~71079\ : std_logic;
SIGNAL \led_flash_cnt[3157][2]~71080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3157][2]~71081\ : std_logic;
SIGNAL \led_flash_cnt[3157][3]~71082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3157][3]~71083\ : std_logic;
SIGNAL \led_flash_cnt[3157][4]~71084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3157][4]~71085\ : std_logic;
SIGNAL \led_flash_cnt[3157][5]~71086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3157][5]~71087\ : std_logic;
SIGNAL \led_flash_cnt[3157][6]~71088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][6]~q\ : std_logic;
SIGNAL \WideAnd3157~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][6]~71089\ : std_logic;
SIGNAL \led_flash_cnt[3157][7]~71090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3157][7]~q\ : std_logic;
SIGNAL \WideAnd3157~0_combout\ : std_logic;
SIGNAL \WideAnd3157~combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][0]~83796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3156][1]~71064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3156][1]~71065\ : std_logic;
SIGNAL \led_flash_cnt[3156][2]~71066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3156][2]~71067\ : std_logic;
SIGNAL \led_flash_cnt[3156][3]~71068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3156][3]~71069\ : std_logic;
SIGNAL \led_flash_cnt[3156][4]~71070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3156][4]~71071\ : std_logic;
SIGNAL \led_flash_cnt[3156][5]~71072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3156][5]~71073\ : std_logic;
SIGNAL \led_flash_cnt[3156][6]~71074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][6]~q\ : std_logic;
SIGNAL \WideAnd3156~1_combout\ : std_logic;
SIGNAL \WideAnd3156~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][6]~71075\ : std_logic;
SIGNAL \led_flash_cnt[3156][7]~71076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3156][7]~q\ : std_logic;
SIGNAL \WideAnd3156~combout\ : std_logic;
SIGNAL \WideAnd4234~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][0]~83798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3158][1]~71092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3158][1]~71093\ : std_logic;
SIGNAL \led_flash_cnt[3158][2]~71094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3158][2]~71095\ : std_logic;
SIGNAL \led_flash_cnt[3158][3]~71096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3158][3]~71097\ : std_logic;
SIGNAL \led_flash_cnt[3158][4]~71098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3158][4]~71099\ : std_logic;
SIGNAL \led_flash_cnt[3158][5]~71100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3158][5]~71101\ : std_logic;
SIGNAL \led_flash_cnt[3158][6]~71102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][6]~q\ : std_logic;
SIGNAL \WideAnd3158~1_combout\ : std_logic;
SIGNAL \WideAnd3158~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][6]~71103\ : std_logic;
SIGNAL \led_flash_cnt[3158][7]~71104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3158][7]~q\ : std_logic;
SIGNAL \WideAnd3158~combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][0]~83799_combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3159][1]~71106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3159][1]~71107\ : std_logic;
SIGNAL \led_flash_cnt[3159][2]~71108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3159][2]~71109\ : std_logic;
SIGNAL \led_flash_cnt[3159][3]~71110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3159][3]~71111\ : std_logic;
SIGNAL \led_flash_cnt[3159][4]~71112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3159][4]~71113\ : std_logic;
SIGNAL \led_flash_cnt[3159][5]~71114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3159][5]~71115\ : std_logic;
SIGNAL \led_flash_cnt[3159][6]~71116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3159][6]~71117\ : std_logic;
SIGNAL \led_flash_cnt[3159][7]~71118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3159][7]~q\ : std_logic;
SIGNAL \WideAnd3159~0_combout\ : std_logic;
SIGNAL \WideAnd3159~1_combout\ : std_logic;
SIGNAL \WideAnd3159~combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][0]~83792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3152][1]~71008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3152][1]~71009\ : std_logic;
SIGNAL \led_flash_cnt[3152][2]~71010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3152][2]~71011\ : std_logic;
SIGNAL \led_flash_cnt[3152][3]~71012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3152][3]~71013\ : std_logic;
SIGNAL \led_flash_cnt[3152][4]~71014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][4]~q\ : std_logic;
SIGNAL \WideAnd3152~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][4]~71015\ : std_logic;
SIGNAL \led_flash_cnt[3152][5]~71016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3152][5]~71017\ : std_logic;
SIGNAL \led_flash_cnt[3152][6]~71018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][6]~q\ : std_logic;
SIGNAL \WideAnd3152~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][6]~71019\ : std_logic;
SIGNAL \led_flash_cnt[3152][7]~71020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3152][7]~q\ : std_logic;
SIGNAL \WideAnd3152~combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][0]~83795_combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3155][1]~71050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3155][1]~71051\ : std_logic;
SIGNAL \led_flash_cnt[3155][2]~71052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3155][2]~71053\ : std_logic;
SIGNAL \led_flash_cnt[3155][3]~71054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3155][3]~71055\ : std_logic;
SIGNAL \led_flash_cnt[3155][4]~71056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3155][4]~71057\ : std_logic;
SIGNAL \led_flash_cnt[3155][5]~71058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3155][5]~71059\ : std_logic;
SIGNAL \led_flash_cnt[3155][6]~71060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3155][6]~71061\ : std_logic;
SIGNAL \led_flash_cnt[3155][7]~71062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3155][7]~q\ : std_logic;
SIGNAL \WideAnd3155~1_combout\ : std_logic;
SIGNAL \WideAnd3155~0_combout\ : std_logic;
SIGNAL \WideAnd3155~combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][0]~83793_combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3153][1]~71022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3153][1]~71023\ : std_logic;
SIGNAL \led_flash_cnt[3153][2]~71024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3153][2]~71025\ : std_logic;
SIGNAL \led_flash_cnt[3153][3]~71026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3153][3]~71027\ : std_logic;
SIGNAL \led_flash_cnt[3153][4]~71028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3153][4]~71029\ : std_logic;
SIGNAL \led_flash_cnt[3153][5]~71030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3153][5]~71031\ : std_logic;
SIGNAL \led_flash_cnt[3153][6]~71032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3153][6]~71033\ : std_logic;
SIGNAL \led_flash_cnt[3153][7]~71034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3153][7]~q\ : std_logic;
SIGNAL \WideAnd3153~0_combout\ : std_logic;
SIGNAL \WideAnd3153~1_combout\ : std_logic;
SIGNAL \WideAnd3153~combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][0]~83794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3154][1]~71036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3154][1]~71037\ : std_logic;
SIGNAL \led_flash_cnt[3154][2]~71038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3154][2]~71039\ : std_logic;
SIGNAL \led_flash_cnt[3154][3]~71040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3154][3]~71041\ : std_logic;
SIGNAL \led_flash_cnt[3154][4]~71042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3154][4]~71043\ : std_logic;
SIGNAL \led_flash_cnt[3154][5]~71044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3154][5]~71045\ : std_logic;
SIGNAL \led_flash_cnt[3154][6]~71046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3154][6]~71047\ : std_logic;
SIGNAL \led_flash_cnt[3154][7]~71048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3154][7]~q\ : std_logic;
SIGNAL \WideAnd3154~1_combout\ : std_logic;
SIGNAL \WideAnd3154~0_combout\ : std_logic;
SIGNAL \WideAnd3154~combout\ : std_logic;
SIGNAL \WideAnd4234~0_combout\ : std_logic;
SIGNAL \WideAnd4234~combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][0]~83806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3166][1]~71204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3166][1]~71205\ : std_logic;
SIGNAL \led_flash_cnt[3166][2]~71206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3166][2]~71207\ : std_logic;
SIGNAL \led_flash_cnt[3166][3]~71208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3166][3]~71209\ : std_logic;
SIGNAL \led_flash_cnt[3166][4]~71210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][4]~q\ : std_logic;
SIGNAL \WideAnd3166~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][4]~71211\ : std_logic;
SIGNAL \led_flash_cnt[3166][5]~71212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3166][5]~71213\ : std_logic;
SIGNAL \led_flash_cnt[3166][6]~71214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3166][6]~71215\ : std_logic;
SIGNAL \led_flash_cnt[3166][7]~71216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3166][7]~q\ : std_logic;
SIGNAL \WideAnd3166~1_combout\ : std_logic;
SIGNAL \WideAnd3166~combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][0]~83807_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3167][1]~71218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3167][1]~71219\ : std_logic;
SIGNAL \led_flash_cnt[3167][2]~71220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3167][2]~71221\ : std_logic;
SIGNAL \led_flash_cnt[3167][3]~71222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3167][3]~71223\ : std_logic;
SIGNAL \led_flash_cnt[3167][4]~71224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][4]~q\ : std_logic;
SIGNAL \WideAnd3167~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][4]~71225\ : std_logic;
SIGNAL \led_flash_cnt[3167][5]~71226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3167][5]~71227\ : std_logic;
SIGNAL \led_flash_cnt[3167][6]~71228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][6]~q\ : std_logic;
SIGNAL \WideAnd3167~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][6]~71229\ : std_logic;
SIGNAL \led_flash_cnt[3167][7]~71230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3167][7]~q\ : std_logic;
SIGNAL \WideAnd3167~combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][0]~83805_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3165][1]~71190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3165][1]~71191\ : std_logic;
SIGNAL \led_flash_cnt[3165][2]~71192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3165][2]~71193\ : std_logic;
SIGNAL \led_flash_cnt[3165][3]~71194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3165][3]~71195\ : std_logic;
SIGNAL \led_flash_cnt[3165][4]~71196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][4]~q\ : std_logic;
SIGNAL \WideAnd3165~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][4]~71197\ : std_logic;
SIGNAL \led_flash_cnt[3165][5]~71198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3165][5]~71199\ : std_logic;
SIGNAL \led_flash_cnt[3165][6]~71200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][6]~q\ : std_logic;
SIGNAL \WideAnd3165~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][6]~71201\ : std_logic;
SIGNAL \led_flash_cnt[3165][7]~71202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3165][7]~q\ : std_logic;
SIGNAL \WideAnd3165~combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][0]~83804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3164][1]~71176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3164][1]~71177\ : std_logic;
SIGNAL \led_flash_cnt[3164][2]~71178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3164][2]~71179\ : std_logic;
SIGNAL \led_flash_cnt[3164][3]~71180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3164][3]~71181\ : std_logic;
SIGNAL \led_flash_cnt[3164][4]~71182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][4]~q\ : std_logic;
SIGNAL \WideAnd3164~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][4]~71183\ : std_logic;
SIGNAL \led_flash_cnt[3164][5]~71184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3164][5]~71185\ : std_logic;
SIGNAL \led_flash_cnt[3164][6]~71186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3164][6]~71187\ : std_logic;
SIGNAL \led_flash_cnt[3164][7]~71188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3164][7]~q\ : std_logic;
SIGNAL \WideAnd3164~1_combout\ : std_logic;
SIGNAL \WideAnd3164~combout\ : std_logic;
SIGNAL \WideAnd4235~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][0]~83802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3162][1]~71148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3162][1]~71149\ : std_logic;
SIGNAL \led_flash_cnt[3162][2]~71150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3162][2]~71151\ : std_logic;
SIGNAL \led_flash_cnt[3162][3]~71152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3162][3]~71153\ : std_logic;
SIGNAL \led_flash_cnt[3162][4]~71154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][4]~q\ : std_logic;
SIGNAL \WideAnd3162~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][4]~71155\ : std_logic;
SIGNAL \led_flash_cnt[3162][5]~71156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3162][5]~71157\ : std_logic;
SIGNAL \led_flash_cnt[3162][6]~71158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][6]~q\ : std_logic;
SIGNAL \WideAnd3162~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][6]~71159\ : std_logic;
SIGNAL \led_flash_cnt[3162][7]~71160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3162][7]~q\ : std_logic;
SIGNAL \WideAnd3162~combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][0]~83803_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3163][1]~71162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3163][1]~71163\ : std_logic;
SIGNAL \led_flash_cnt[3163][2]~71164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3163][2]~71165\ : std_logic;
SIGNAL \led_flash_cnt[3163][3]~71166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3163][3]~71167\ : std_logic;
SIGNAL \led_flash_cnt[3163][4]~71168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3163][4]~71169\ : std_logic;
SIGNAL \led_flash_cnt[3163][5]~71170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3163][5]~71171\ : std_logic;
SIGNAL \led_flash_cnt[3163][6]~71172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][6]~q\ : std_logic;
SIGNAL \WideAnd3163~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][6]~71173\ : std_logic;
SIGNAL \led_flash_cnt[3163][7]~71174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3163][7]~q\ : std_logic;
SIGNAL \WideAnd3163~0_combout\ : std_logic;
SIGNAL \WideAnd3163~combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][0]~83801_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3161][1]~71134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3161][1]~71135\ : std_logic;
SIGNAL \led_flash_cnt[3161][2]~71136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3161][2]~71137\ : std_logic;
SIGNAL \led_flash_cnt[3161][3]~71138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3161][3]~71139\ : std_logic;
SIGNAL \led_flash_cnt[3161][4]~71140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3161][4]~71141\ : std_logic;
SIGNAL \led_flash_cnt[3161][5]~71142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3161][5]~71143\ : std_logic;
SIGNAL \led_flash_cnt[3161][6]~71144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][6]~q\ : std_logic;
SIGNAL \WideAnd3161~1_combout\ : std_logic;
SIGNAL \WideAnd3161~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][6]~71145\ : std_logic;
SIGNAL \led_flash_cnt[3161][7]~71146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3161][7]~q\ : std_logic;
SIGNAL \WideAnd3161~combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][0]~83800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3160][1]~71120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3160][1]~71121\ : std_logic;
SIGNAL \led_flash_cnt[3160][2]~71122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3160][2]~71123\ : std_logic;
SIGNAL \led_flash_cnt[3160][3]~71124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3160][3]~71125\ : std_logic;
SIGNAL \led_flash_cnt[3160][4]~71126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3160][4]~71127\ : std_logic;
SIGNAL \led_flash_cnt[3160][5]~71128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3160][5]~71129\ : std_logic;
SIGNAL \led_flash_cnt[3160][6]~71130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][6]~q\ : std_logic;
SIGNAL \WideAnd3160~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][6]~71131\ : std_logic;
SIGNAL \led_flash_cnt[3160][7]~71132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3160][7]~q\ : std_logic;
SIGNAL \WideAnd3160~0_combout\ : std_logic;
SIGNAL \WideAnd3160~combout\ : std_logic;
SIGNAL \WideAnd4235~0_combout\ : std_logic;
SIGNAL \WideAnd4235~combout\ : std_logic;
SIGNAL \WideAnd4369~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][0]~83822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3182][1]~71428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3182][1]~71429\ : std_logic;
SIGNAL \led_flash_cnt[3182][2]~71430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3182][2]~71431\ : std_logic;
SIGNAL \led_flash_cnt[3182][3]~71432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3182][3]~71433\ : std_logic;
SIGNAL \led_flash_cnt[3182][4]~71434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3182][4]~71435\ : std_logic;
SIGNAL \led_flash_cnt[3182][5]~71436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3182][5]~71437\ : std_logic;
SIGNAL \led_flash_cnt[3182][6]~71438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3182][6]~71439\ : std_logic;
SIGNAL \led_flash_cnt[3182][7]~71440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3182][7]~q\ : std_logic;
SIGNAL \WideAnd3182~1_combout\ : std_logic;
SIGNAL \WideAnd3182~0_combout\ : std_logic;
SIGNAL \WideAnd3182~combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][0]~83819_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3179][1]~71386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3179][1]~71387\ : std_logic;
SIGNAL \led_flash_cnt[3179][2]~71388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3179][2]~71389\ : std_logic;
SIGNAL \led_flash_cnt[3179][3]~71390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3179][3]~71391\ : std_logic;
SIGNAL \led_flash_cnt[3179][4]~71392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3179][4]~71393\ : std_logic;
SIGNAL \led_flash_cnt[3179][5]~71394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3179][5]~71395\ : std_logic;
SIGNAL \led_flash_cnt[3179][6]~71396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][6]~q\ : std_logic;
SIGNAL \WideAnd3179~1_combout\ : std_logic;
SIGNAL \WideAnd3179~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][6]~71397\ : std_logic;
SIGNAL \led_flash_cnt[3179][7]~71398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3179][7]~q\ : std_logic;
SIGNAL \WideAnd3179~combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][0]~83817_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3177][1]~71358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3177][1]~71359\ : std_logic;
SIGNAL \led_flash_cnt[3177][2]~71360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3177][2]~71361\ : std_logic;
SIGNAL \led_flash_cnt[3177][3]~71362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3177][3]~71363\ : std_logic;
SIGNAL \led_flash_cnt[3177][4]~71364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3177][4]~71365\ : std_logic;
SIGNAL \led_flash_cnt[3177][5]~71366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3177][5]~71367\ : std_logic;
SIGNAL \led_flash_cnt[3177][6]~71368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][6]~q\ : std_logic;
SIGNAL \WideAnd3177~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][6]~71369\ : std_logic;
SIGNAL \led_flash_cnt[3177][7]~71370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3177][7]~q\ : std_logic;
SIGNAL \WideAnd3177~0_combout\ : std_logic;
SIGNAL \WideAnd3177~combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][0]~83816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3176][1]~71344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3176][1]~71345\ : std_logic;
SIGNAL \led_flash_cnt[3176][2]~71346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3176][2]~71347\ : std_logic;
SIGNAL \led_flash_cnt[3176][3]~71348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3176][3]~71349\ : std_logic;
SIGNAL \led_flash_cnt[3176][4]~71350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][4]~q\ : std_logic;
SIGNAL \WideAnd3176~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][4]~71351\ : std_logic;
SIGNAL \led_flash_cnt[3176][5]~71352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3176][5]~71353\ : std_logic;
SIGNAL \led_flash_cnt[3176][6]~71354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3176][6]~71355\ : std_logic;
SIGNAL \led_flash_cnt[3176][7]~71356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3176][7]~q\ : std_logic;
SIGNAL \WideAnd3176~1_combout\ : std_logic;
SIGNAL \WideAnd3176~combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][0]~83818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3178][1]~71372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3178][1]~71373\ : std_logic;
SIGNAL \led_flash_cnt[3178][2]~71374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3178][2]~71375\ : std_logic;
SIGNAL \led_flash_cnt[3178][3]~71376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3178][3]~71377\ : std_logic;
SIGNAL \led_flash_cnt[3178][4]~71378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3178][4]~71379\ : std_logic;
SIGNAL \led_flash_cnt[3178][5]~71380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3178][5]~71381\ : std_logic;
SIGNAL \led_flash_cnt[3178][6]~71382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][6]~q\ : std_logic;
SIGNAL \WideAnd3178~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][6]~71383\ : std_logic;
SIGNAL \led_flash_cnt[3178][7]~71384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3178][7]~q\ : std_logic;
SIGNAL \WideAnd3178~0_combout\ : std_logic;
SIGNAL \WideAnd3178~combout\ : std_logic;
SIGNAL \WideAnd4237~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][0]~83823_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3183][1]~71442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3183][1]~71443\ : std_logic;
SIGNAL \led_flash_cnt[3183][2]~71444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3183][2]~71445\ : std_logic;
SIGNAL \led_flash_cnt[3183][3]~71446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3183][3]~71447\ : std_logic;
SIGNAL \led_flash_cnt[3183][4]~71448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3183][4]~71449\ : std_logic;
SIGNAL \led_flash_cnt[3183][5]~71450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3183][5]~71451\ : std_logic;
SIGNAL \led_flash_cnt[3183][6]~71452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3183][6]~71453\ : std_logic;
SIGNAL \led_flash_cnt[3183][7]~71454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3183][7]~q\ : std_logic;
SIGNAL \WideAnd3183~1_combout\ : std_logic;
SIGNAL \WideAnd3183~0_combout\ : std_logic;
SIGNAL \WideAnd3183~combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][0]~83820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3180][1]~71400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3180][1]~71401\ : std_logic;
SIGNAL \led_flash_cnt[3180][2]~71402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3180][2]~71403\ : std_logic;
SIGNAL \led_flash_cnt[3180][3]~71404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3180][3]~71405\ : std_logic;
SIGNAL \led_flash_cnt[3180][4]~71406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3180][4]~71407\ : std_logic;
SIGNAL \led_flash_cnt[3180][5]~71408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3180][5]~71409\ : std_logic;
SIGNAL \led_flash_cnt[3180][6]~71410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3180][6]~71411\ : std_logic;
SIGNAL \led_flash_cnt[3180][7]~71412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3180][7]~q\ : std_logic;
SIGNAL \WideAnd3180~1_combout\ : std_logic;
SIGNAL \WideAnd3180~0_combout\ : std_logic;
SIGNAL \WideAnd3180~combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][0]~83821_combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3181][1]~71414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3181][1]~71415\ : std_logic;
SIGNAL \led_flash_cnt[3181][2]~71416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3181][2]~71417\ : std_logic;
SIGNAL \led_flash_cnt[3181][3]~71418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3181][3]~71419\ : std_logic;
SIGNAL \led_flash_cnt[3181][4]~71420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3181][4]~71421\ : std_logic;
SIGNAL \led_flash_cnt[3181][5]~71422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3181][5]~71423\ : std_logic;
SIGNAL \led_flash_cnt[3181][6]~71424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3181][6]~71425\ : std_logic;
SIGNAL \led_flash_cnt[3181][7]~71426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3181][7]~q\ : std_logic;
SIGNAL \WideAnd3181~0_combout\ : std_logic;
SIGNAL \WideAnd3181~1_combout\ : std_logic;
SIGNAL \WideAnd3181~combout\ : std_logic;
SIGNAL \WideAnd4237~1_combout\ : std_logic;
SIGNAL \WideAnd4237~combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][0]~83809_combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3169][1]~71246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3169][1]~71247\ : std_logic;
SIGNAL \led_flash_cnt[3169][2]~71248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3169][2]~71249\ : std_logic;
SIGNAL \led_flash_cnt[3169][3]~71250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3169][3]~71251\ : std_logic;
SIGNAL \led_flash_cnt[3169][4]~71252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3169][4]~71253\ : std_logic;
SIGNAL \led_flash_cnt[3169][5]~71254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3169][5]~71255\ : std_logic;
SIGNAL \led_flash_cnt[3169][6]~71256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3169][6]~71257\ : std_logic;
SIGNAL \led_flash_cnt[3169][7]~71258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3169][7]~q\ : std_logic;
SIGNAL \WideAnd3169~0_combout\ : std_logic;
SIGNAL \WideAnd3169~1_combout\ : std_logic;
SIGNAL \WideAnd3169~combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][0]~83810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3170][1]~71260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3170][1]~71261\ : std_logic;
SIGNAL \led_flash_cnt[3170][2]~71262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3170][2]~71263\ : std_logic;
SIGNAL \led_flash_cnt[3170][3]~71264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3170][3]~71265\ : std_logic;
SIGNAL \led_flash_cnt[3170][4]~71266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3170][4]~71267\ : std_logic;
SIGNAL \led_flash_cnt[3170][5]~71268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3170][5]~71269\ : std_logic;
SIGNAL \led_flash_cnt[3170][6]~71270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][6]~q\ : std_logic;
SIGNAL \WideAnd3170~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][6]~71271\ : std_logic;
SIGNAL \led_flash_cnt[3170][7]~71272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3170][7]~q\ : std_logic;
SIGNAL \WideAnd3170~0_combout\ : std_logic;
SIGNAL \WideAnd3170~combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][0]~83811_combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3171][1]~71274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3171][1]~71275\ : std_logic;
SIGNAL \led_flash_cnt[3171][2]~71276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3171][2]~71277\ : std_logic;
SIGNAL \led_flash_cnt[3171][3]~71278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3171][3]~71279\ : std_logic;
SIGNAL \led_flash_cnt[3171][4]~71280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3171][4]~71281\ : std_logic;
SIGNAL \led_flash_cnt[3171][5]~71282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3171][5]~71283\ : std_logic;
SIGNAL \led_flash_cnt[3171][6]~71284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3171][6]~71285\ : std_logic;
SIGNAL \led_flash_cnt[3171][7]~71286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3171][7]~q\ : std_logic;
SIGNAL \WideAnd3171~0_combout\ : std_logic;
SIGNAL \WideAnd3171~1_combout\ : std_logic;
SIGNAL \WideAnd3171~combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][0]~83808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3168][1]~71232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3168][1]~71233\ : std_logic;
SIGNAL \led_flash_cnt[3168][2]~71234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3168][2]~71235\ : std_logic;
SIGNAL \led_flash_cnt[3168][3]~71236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3168][3]~71237\ : std_logic;
SIGNAL \led_flash_cnt[3168][4]~71238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3168][4]~71239\ : std_logic;
SIGNAL \led_flash_cnt[3168][5]~71240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3168][5]~71241\ : std_logic;
SIGNAL \led_flash_cnt[3168][6]~71242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3168][6]~71243\ : std_logic;
SIGNAL \led_flash_cnt[3168][7]~71244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3168][7]~q\ : std_logic;
SIGNAL \WideAnd3168~0_combout\ : std_logic;
SIGNAL \WideAnd3168~1_combout\ : std_logic;
SIGNAL \WideAnd3168~combout\ : std_logic;
SIGNAL \WideAnd4236~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][0]~83814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3174][1]~71316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3174][1]~71317\ : std_logic;
SIGNAL \led_flash_cnt[3174][2]~71318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3174][2]~71319\ : std_logic;
SIGNAL \led_flash_cnt[3174][3]~71320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3174][3]~71321\ : std_logic;
SIGNAL \led_flash_cnt[3174][4]~71322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3174][4]~71323\ : std_logic;
SIGNAL \led_flash_cnt[3174][5]~71324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3174][5]~71325\ : std_logic;
SIGNAL \led_flash_cnt[3174][6]~71326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][6]~q\ : std_logic;
SIGNAL \WideAnd3174~1_combout\ : std_logic;
SIGNAL \WideAnd3174~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][6]~71327\ : std_logic;
SIGNAL \led_flash_cnt[3174][7]~71328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3174][7]~q\ : std_logic;
SIGNAL \WideAnd3174~combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][0]~83815_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3175][1]~71330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3175][1]~71331\ : std_logic;
SIGNAL \led_flash_cnt[3175][2]~71332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3175][2]~71333\ : std_logic;
SIGNAL \led_flash_cnt[3175][3]~71334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3175][3]~71335\ : std_logic;
SIGNAL \led_flash_cnt[3175][4]~71336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3175][4]~71337\ : std_logic;
SIGNAL \led_flash_cnt[3175][5]~71338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3175][5]~71339\ : std_logic;
SIGNAL \led_flash_cnt[3175][6]~71340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][6]~q\ : std_logic;
SIGNAL \WideAnd3175~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][6]~71341\ : std_logic;
SIGNAL \led_flash_cnt[3175][7]~71342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3175][7]~q\ : std_logic;
SIGNAL \WideAnd3175~0_combout\ : std_logic;
SIGNAL \WideAnd3175~combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][0]~83812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3172][1]~71288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3172][1]~71289\ : std_logic;
SIGNAL \led_flash_cnt[3172][2]~71290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3172][2]~71291\ : std_logic;
SIGNAL \led_flash_cnt[3172][3]~71292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3172][3]~71293\ : std_logic;
SIGNAL \led_flash_cnt[3172][4]~71294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3172][4]~71295\ : std_logic;
SIGNAL \led_flash_cnt[3172][5]~71296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3172][5]~71297\ : std_logic;
SIGNAL \led_flash_cnt[3172][6]~71298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][6]~q\ : std_logic;
SIGNAL \WideAnd3172~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][6]~71299\ : std_logic;
SIGNAL \led_flash_cnt[3172][7]~71300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3172][7]~q\ : std_logic;
SIGNAL \WideAnd3172~0_combout\ : std_logic;
SIGNAL \WideAnd3172~combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][0]~83813_combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3173][1]~71302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3173][1]~71303\ : std_logic;
SIGNAL \led_flash_cnt[3173][2]~71304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3173][2]~71305\ : std_logic;
SIGNAL \led_flash_cnt[3173][3]~71306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3173][3]~71307\ : std_logic;
SIGNAL \led_flash_cnt[3173][4]~71308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3173][4]~71309\ : std_logic;
SIGNAL \led_flash_cnt[3173][5]~71310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3173][5]~71311\ : std_logic;
SIGNAL \led_flash_cnt[3173][6]~71312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3173][6]~71313\ : std_logic;
SIGNAL \led_flash_cnt[3173][7]~71314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3173][7]~q\ : std_logic;
SIGNAL \WideAnd3173~1_combout\ : std_logic;
SIGNAL \WideAnd3173~0_combout\ : std_logic;
SIGNAL \WideAnd3173~combout\ : std_logic;
SIGNAL \WideAnd4236~1_combout\ : std_logic;
SIGNAL \WideAnd4236~combout\ : std_logic;
SIGNAL \WideAnd4369~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][0]~83831_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3191][1]~71554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3191][1]~71555\ : std_logic;
SIGNAL \led_flash_cnt[3191][2]~71556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3191][2]~71557\ : std_logic;
SIGNAL \led_flash_cnt[3191][3]~71558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3191][3]~71559\ : std_logic;
SIGNAL \led_flash_cnt[3191][4]~71560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3191][4]~71561\ : std_logic;
SIGNAL \led_flash_cnt[3191][5]~71562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3191][5]~71563\ : std_logic;
SIGNAL \led_flash_cnt[3191][6]~71564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3191][6]~71565\ : std_logic;
SIGNAL \led_flash_cnt[3191][7]~71566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3191][7]~q\ : std_logic;
SIGNAL \WideAnd3191~0_combout\ : std_logic;
SIGNAL \WideAnd3191~1_combout\ : std_logic;
SIGNAL \WideAnd3191~combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][0]~83829_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3189][1]~71526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3189][1]~71527\ : std_logic;
SIGNAL \led_flash_cnt[3189][2]~71528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3189][2]~71529\ : std_logic;
SIGNAL \led_flash_cnt[3189][3]~71530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3189][3]~71531\ : std_logic;
SIGNAL \led_flash_cnt[3189][4]~71532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3189][4]~71533\ : std_logic;
SIGNAL \led_flash_cnt[3189][5]~71534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3189][5]~71535\ : std_logic;
SIGNAL \led_flash_cnt[3189][6]~71536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][6]~q\ : std_logic;
SIGNAL \WideAnd3189~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][6]~71537\ : std_logic;
SIGNAL \led_flash_cnt[3189][7]~71538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3189][7]~q\ : std_logic;
SIGNAL \WideAnd3189~0_combout\ : std_logic;
SIGNAL \WideAnd3189~combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][0]~83828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3188][1]~71512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3188][1]~71513\ : std_logic;
SIGNAL \led_flash_cnt[3188][2]~71514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3188][2]~71515\ : std_logic;
SIGNAL \led_flash_cnt[3188][3]~71516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3188][3]~71517\ : std_logic;
SIGNAL \led_flash_cnt[3188][4]~71518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3188][4]~71519\ : std_logic;
SIGNAL \led_flash_cnt[3188][5]~71520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3188][5]~71521\ : std_logic;
SIGNAL \led_flash_cnt[3188][6]~71522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3188][6]~71523\ : std_logic;
SIGNAL \led_flash_cnt[3188][7]~71524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3188][7]~q\ : std_logic;
SIGNAL \WideAnd3188~0_combout\ : std_logic;
SIGNAL \WideAnd3188~1_combout\ : std_logic;
SIGNAL \WideAnd3188~combout\ : std_logic;
SIGNAL \WideAnd4238~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][0]~83830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3190][1]~71540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3190][1]~71541\ : std_logic;
SIGNAL \led_flash_cnt[3190][2]~71542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3190][2]~71543\ : std_logic;
SIGNAL \led_flash_cnt[3190][3]~71544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3190][3]~71545\ : std_logic;
SIGNAL \led_flash_cnt[3190][4]~71546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3190][4]~71547\ : std_logic;
SIGNAL \led_flash_cnt[3190][5]~71548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3190][5]~71549\ : std_logic;
SIGNAL \led_flash_cnt[3190][6]~71550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][6]~q\ : std_logic;
SIGNAL \WideAnd3190~1_combout\ : std_logic;
SIGNAL \WideAnd3190~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][6]~71551\ : std_logic;
SIGNAL \led_flash_cnt[3190][7]~71552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3190][7]~q\ : std_logic;
SIGNAL \WideAnd3190~combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][0]~83826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3186][1]~71484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3186][1]~71485\ : std_logic;
SIGNAL \led_flash_cnt[3186][2]~71486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3186][2]~71487\ : std_logic;
SIGNAL \led_flash_cnt[3186][3]~71488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3186][3]~71489\ : std_logic;
SIGNAL \led_flash_cnt[3186][4]~71490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3186][4]~71491\ : std_logic;
SIGNAL \led_flash_cnt[3186][5]~71492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3186][5]~71493\ : std_logic;
SIGNAL \led_flash_cnt[3186][6]~71494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][6]~q\ : std_logic;
SIGNAL \WideAnd3186~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][6]~71495\ : std_logic;
SIGNAL \led_flash_cnt[3186][7]~71496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3186][7]~q\ : std_logic;
SIGNAL \WideAnd3186~0_combout\ : std_logic;
SIGNAL \WideAnd3186~combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][0]~83824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3184][1]~71456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3184][1]~71457\ : std_logic;
SIGNAL \led_flash_cnt[3184][2]~71458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3184][2]~71459\ : std_logic;
SIGNAL \led_flash_cnt[3184][3]~71460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3184][3]~71461\ : std_logic;
SIGNAL \led_flash_cnt[3184][4]~71462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3184][4]~71463\ : std_logic;
SIGNAL \led_flash_cnt[3184][5]~71464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3184][5]~71465\ : std_logic;
SIGNAL \led_flash_cnt[3184][6]~71466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3184][6]~71467\ : std_logic;
SIGNAL \led_flash_cnt[3184][7]~71468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3184][7]~q\ : std_logic;
SIGNAL \WideAnd3184~1_combout\ : std_logic;
SIGNAL \WideAnd3184~0_combout\ : std_logic;
SIGNAL \WideAnd3184~combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][0]~83825_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3185][1]~71470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3185][1]~71471\ : std_logic;
SIGNAL \led_flash_cnt[3185][2]~71472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3185][2]~71473\ : std_logic;
SIGNAL \led_flash_cnt[3185][3]~71474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3185][3]~71475\ : std_logic;
SIGNAL \led_flash_cnt[3185][4]~71476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][4]~q\ : std_logic;
SIGNAL \WideAnd3185~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][4]~71477\ : std_logic;
SIGNAL \led_flash_cnt[3185][5]~71478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3185][5]~71479\ : std_logic;
SIGNAL \led_flash_cnt[3185][6]~71480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3185][6]~71481\ : std_logic;
SIGNAL \led_flash_cnt[3185][7]~71482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3185][7]~q\ : std_logic;
SIGNAL \WideAnd3185~1_combout\ : std_logic;
SIGNAL \WideAnd3185~combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][0]~83827_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3187][1]~71498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3187][1]~71499\ : std_logic;
SIGNAL \led_flash_cnt[3187][2]~71500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3187][2]~71501\ : std_logic;
SIGNAL \led_flash_cnt[3187][3]~71502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3187][3]~71503\ : std_logic;
SIGNAL \led_flash_cnt[3187][4]~71504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3187][4]~71505\ : std_logic;
SIGNAL \led_flash_cnt[3187][5]~71506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3187][5]~71507\ : std_logic;
SIGNAL \led_flash_cnt[3187][6]~71508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][6]~q\ : std_logic;
SIGNAL \WideAnd3187~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][6]~71509\ : std_logic;
SIGNAL \led_flash_cnt[3187][7]~71510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3187][7]~q\ : std_logic;
SIGNAL \WideAnd3187~0_combout\ : std_logic;
SIGNAL \WideAnd3187~combout\ : std_logic;
SIGNAL \WideAnd4238~0_combout\ : std_logic;
SIGNAL \WideAnd4238~combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][0]~83838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3198][1]~71652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3198][1]~71653\ : std_logic;
SIGNAL \led_flash_cnt[3198][2]~71654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3198][2]~71655\ : std_logic;
SIGNAL \led_flash_cnt[3198][3]~71656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3198][3]~71657\ : std_logic;
SIGNAL \led_flash_cnt[3198][4]~71658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3198][4]~71659\ : std_logic;
SIGNAL \led_flash_cnt[3198][5]~71660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3198][5]~71661\ : std_logic;
SIGNAL \led_flash_cnt[3198][6]~71662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][6]~q\ : std_logic;
SIGNAL \WideAnd3198~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][6]~71663\ : std_logic;
SIGNAL \led_flash_cnt[3198][7]~71664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3198][7]~q\ : std_logic;
SIGNAL \WideAnd3198~0_combout\ : std_logic;
SIGNAL \WideAnd3198~combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][0]~83836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3196][1]~71624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3196][1]~71625\ : std_logic;
SIGNAL \led_flash_cnt[3196][2]~71626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3196][2]~71627\ : std_logic;
SIGNAL \led_flash_cnt[3196][3]~71628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3196][3]~71629\ : std_logic;
SIGNAL \led_flash_cnt[3196][4]~71630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][4]~q\ : std_logic;
SIGNAL \WideAnd3196~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][4]~71631\ : std_logic;
SIGNAL \led_flash_cnt[3196][5]~71632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3196][5]~71633\ : std_logic;
SIGNAL \led_flash_cnt[3196][6]~71634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3196][6]~71635\ : std_logic;
SIGNAL \led_flash_cnt[3196][7]~71636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3196][7]~q\ : std_logic;
SIGNAL \WideAnd3196~1_combout\ : std_logic;
SIGNAL \WideAnd3196~combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][0]~83837_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3197][1]~71638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3197][1]~71639\ : std_logic;
SIGNAL \led_flash_cnt[3197][2]~71640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3197][2]~71641\ : std_logic;
SIGNAL \led_flash_cnt[3197][3]~71642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3197][3]~71643\ : std_logic;
SIGNAL \led_flash_cnt[3197][4]~71644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][4]~q\ : std_logic;
SIGNAL \WideAnd3197~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][4]~71645\ : std_logic;
SIGNAL \led_flash_cnt[3197][5]~71646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3197][5]~71647\ : std_logic;
SIGNAL \led_flash_cnt[3197][6]~71648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3197][6]~71649\ : std_logic;
SIGNAL \led_flash_cnt[3197][7]~71650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3197][7]~q\ : std_logic;
SIGNAL \WideAnd3197~1_combout\ : std_logic;
SIGNAL \WideAnd3197~combout\ : std_logic;
SIGNAL \WideAnd4239~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][0]~83834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3194][1]~71596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3194][1]~71597\ : std_logic;
SIGNAL \led_flash_cnt[3194][2]~71598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3194][2]~71599\ : std_logic;
SIGNAL \led_flash_cnt[3194][3]~71600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3194][3]~71601\ : std_logic;
SIGNAL \led_flash_cnt[3194][4]~71602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][4]~q\ : std_logic;
SIGNAL \WideAnd3194~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][4]~71603\ : std_logic;
SIGNAL \led_flash_cnt[3194][5]~71604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3194][5]~71605\ : std_logic;
SIGNAL \led_flash_cnt[3194][6]~71606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][6]~q\ : std_logic;
SIGNAL \WideAnd3194~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][6]~71607\ : std_logic;
SIGNAL \led_flash_cnt[3194][7]~71608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3194][7]~q\ : std_logic;
SIGNAL \WideAnd3194~combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][0]~83835_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3195][1]~71610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3195][1]~71611\ : std_logic;
SIGNAL \led_flash_cnt[3195][2]~71612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3195][2]~71613\ : std_logic;
SIGNAL \led_flash_cnt[3195][3]~71614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3195][3]~71615\ : std_logic;
SIGNAL \led_flash_cnt[3195][4]~71616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][4]~q\ : std_logic;
SIGNAL \WideAnd3195~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][4]~71617\ : std_logic;
SIGNAL \led_flash_cnt[3195][5]~71618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3195][5]~71619\ : std_logic;
SIGNAL \led_flash_cnt[3195][6]~71620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3195][6]~71621\ : std_logic;
SIGNAL \led_flash_cnt[3195][7]~71622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3195][7]~q\ : std_logic;
SIGNAL \WideAnd3195~1_combout\ : std_logic;
SIGNAL \WideAnd3195~combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][0]~83832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3192][1]~71568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3192][1]~71569\ : std_logic;
SIGNAL \led_flash_cnt[3192][2]~71570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3192][2]~71571\ : std_logic;
SIGNAL \led_flash_cnt[3192][3]~71572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3192][3]~71573\ : std_logic;
SIGNAL \led_flash_cnt[3192][4]~71574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3192][4]~71575\ : std_logic;
SIGNAL \led_flash_cnt[3192][5]~71576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3192][5]~71577\ : std_logic;
SIGNAL \led_flash_cnt[3192][6]~71578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3192][6]~71579\ : std_logic;
SIGNAL \led_flash_cnt[3192][7]~71580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3192][7]~q\ : std_logic;
SIGNAL \WideAnd3192~1_combout\ : std_logic;
SIGNAL \WideAnd3192~0_combout\ : std_logic;
SIGNAL \WideAnd3192~combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][0]~83833_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3193][1]~71582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3193][1]~71583\ : std_logic;
SIGNAL \led_flash_cnt[3193][2]~71584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3193][2]~71585\ : std_logic;
SIGNAL \led_flash_cnt[3193][3]~71586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3193][3]~71587\ : std_logic;
SIGNAL \led_flash_cnt[3193][4]~71588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][4]~q\ : std_logic;
SIGNAL \WideAnd3193~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][4]~71589\ : std_logic;
SIGNAL \led_flash_cnt[3193][5]~71590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3193][5]~71591\ : std_logic;
SIGNAL \led_flash_cnt[3193][6]~71592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][6]~q\ : std_logic;
SIGNAL \WideAnd3193~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][6]~71593\ : std_logic;
SIGNAL \led_flash_cnt[3193][7]~71594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3193][7]~q\ : std_logic;
SIGNAL \WideAnd3193~combout\ : std_logic;
SIGNAL \WideAnd4239~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][0]~83839_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3199][1]~71666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3199][1]~71667\ : std_logic;
SIGNAL \led_flash_cnt[3199][2]~71668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3199][2]~71669\ : std_logic;
SIGNAL \led_flash_cnt[3199][3]~71670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3199][3]~71671\ : std_logic;
SIGNAL \led_flash_cnt[3199][4]~71672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][4]~q\ : std_logic;
SIGNAL \WideAnd3199~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][4]~71673\ : std_logic;
SIGNAL \led_flash_cnt[3199][5]~71674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3199][5]~71675\ : std_logic;
SIGNAL \led_flash_cnt[3199][6]~71676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3199][6]~71677\ : std_logic;
SIGNAL \led_flash_cnt[3199][7]~71678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3199][7]~q\ : std_logic;
SIGNAL \WideAnd3199~1_combout\ : std_logic;
SIGNAL \WideAnd3199~combout\ : std_logic;
SIGNAL \WideAnd4239~combout\ : std_logic;
SIGNAL \WideAnd4369~combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][0]~83939_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3299][1]~73066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3299][1]~73067\ : std_logic;
SIGNAL \led_flash_cnt[3299][2]~73068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3299][2]~73069\ : std_logic;
SIGNAL \led_flash_cnt[3299][3]~73070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3299][3]~73071\ : std_logic;
SIGNAL \led_flash_cnt[3299][4]~73072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][4]~q\ : std_logic;
SIGNAL \WideAnd3299~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][4]~73073\ : std_logic;
SIGNAL \led_flash_cnt[3299][5]~73074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3299][5]~73075\ : std_logic;
SIGNAL \led_flash_cnt[3299][6]~73076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][6]~q\ : std_logic;
SIGNAL \WideAnd3299~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][6]~73077\ : std_logic;
SIGNAL \led_flash_cnt[3299][7]~73078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3299][7]~q\ : std_logic;
SIGNAL \WideAnd3299~combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][0]~83937_combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3297][1]~73038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3297][1]~73039\ : std_logic;
SIGNAL \led_flash_cnt[3297][2]~73040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3297][2]~73041\ : std_logic;
SIGNAL \led_flash_cnt[3297][3]~73042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3297][3]~73043\ : std_logic;
SIGNAL \led_flash_cnt[3297][4]~73044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3297][4]~73045\ : std_logic;
SIGNAL \led_flash_cnt[3297][5]~73046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3297][5]~73047\ : std_logic;
SIGNAL \led_flash_cnt[3297][6]~73048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3297][6]~73049\ : std_logic;
SIGNAL \led_flash_cnt[3297][7]~73050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3297][7]~q\ : std_logic;
SIGNAL \WideAnd3297~0_combout\ : std_logic;
SIGNAL \WideAnd3297~1_combout\ : std_logic;
SIGNAL \WideAnd3297~combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][0]~83938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3298][1]~73052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3298][1]~73053\ : std_logic;
SIGNAL \led_flash_cnt[3298][2]~73054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3298][2]~73055\ : std_logic;
SIGNAL \led_flash_cnt[3298][3]~73056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3298][3]~73057\ : std_logic;
SIGNAL \led_flash_cnt[3298][4]~73058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3298][4]~73059\ : std_logic;
SIGNAL \led_flash_cnt[3298][5]~73060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3298][5]~73061\ : std_logic;
SIGNAL \led_flash_cnt[3298][6]~73062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][6]~q\ : std_logic;
SIGNAL \WideAnd3298~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][6]~73063\ : std_logic;
SIGNAL \led_flash_cnt[3298][7]~73064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3298][7]~q\ : std_logic;
SIGNAL \WideAnd3298~0_combout\ : std_logic;
SIGNAL \WideAnd3298~combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][0]~83936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3296][1]~73024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3296][1]~73025\ : std_logic;
SIGNAL \led_flash_cnt[3296][2]~73026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3296][2]~73027\ : std_logic;
SIGNAL \led_flash_cnt[3296][3]~73028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3296][3]~73029\ : std_logic;
SIGNAL \led_flash_cnt[3296][4]~73030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][4]~q\ : std_logic;
SIGNAL \WideAnd3296~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][4]~73031\ : std_logic;
SIGNAL \led_flash_cnt[3296][5]~73032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3296][5]~73033\ : std_logic;
SIGNAL \led_flash_cnt[3296][6]~73034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][6]~q\ : std_logic;
SIGNAL \WideAnd3296~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][6]~73035\ : std_logic;
SIGNAL \led_flash_cnt[3296][7]~73036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3296][7]~q\ : std_logic;
SIGNAL \WideAnd3296~combout\ : std_logic;
SIGNAL \WideAnd4252~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][0]~83943_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3303][1]~73122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3303][1]~73123\ : std_logic;
SIGNAL \led_flash_cnt[3303][2]~73124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3303][2]~73125\ : std_logic;
SIGNAL \led_flash_cnt[3303][3]~73126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3303][3]~73127\ : std_logic;
SIGNAL \led_flash_cnt[3303][4]~73128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3303][4]~73129\ : std_logic;
SIGNAL \led_flash_cnt[3303][5]~73130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3303][5]~73131\ : std_logic;
SIGNAL \led_flash_cnt[3303][6]~73132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][6]~q\ : std_logic;
SIGNAL \WideAnd3303~1_combout\ : std_logic;
SIGNAL \WideAnd3303~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][6]~73133\ : std_logic;
SIGNAL \led_flash_cnt[3303][7]~73134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3303][7]~q\ : std_logic;
SIGNAL \WideAnd3303~combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][0]~83940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3300][1]~73080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3300][1]~73081\ : std_logic;
SIGNAL \led_flash_cnt[3300][2]~73082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3300][2]~73083\ : std_logic;
SIGNAL \led_flash_cnt[3300][3]~73084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3300][3]~73085\ : std_logic;
SIGNAL \led_flash_cnt[3300][4]~73086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3300][4]~73087\ : std_logic;
SIGNAL \led_flash_cnt[3300][5]~73088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3300][5]~73089\ : std_logic;
SIGNAL \led_flash_cnt[3300][6]~73090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][6]~q\ : std_logic;
SIGNAL \WideAnd3300~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][6]~73091\ : std_logic;
SIGNAL \led_flash_cnt[3300][7]~73092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3300][7]~q\ : std_logic;
SIGNAL \WideAnd3300~0_combout\ : std_logic;
SIGNAL \WideAnd3300~combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][0]~83941_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3301][1]~73094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3301][1]~73095\ : std_logic;
SIGNAL \led_flash_cnt[3301][2]~73096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3301][2]~73097\ : std_logic;
SIGNAL \led_flash_cnt[3301][3]~73098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3301][3]~73099\ : std_logic;
SIGNAL \led_flash_cnt[3301][4]~73100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3301][4]~73101\ : std_logic;
SIGNAL \led_flash_cnt[3301][5]~73102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3301][5]~73103\ : std_logic;
SIGNAL \led_flash_cnt[3301][6]~73104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][6]~q\ : std_logic;
SIGNAL \WideAnd3301~1_combout\ : std_logic;
SIGNAL \WideAnd3301~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][6]~73105\ : std_logic;
SIGNAL \led_flash_cnt[3301][7]~73106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3301][7]~q\ : std_logic;
SIGNAL \WideAnd3301~combout\ : std_logic;
SIGNAL \WideAnd4252~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][0]~83942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3302][1]~73108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3302][1]~73109\ : std_logic;
SIGNAL \led_flash_cnt[3302][2]~73110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3302][2]~73111\ : std_logic;
SIGNAL \led_flash_cnt[3302][3]~73112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3302][3]~73113\ : std_logic;
SIGNAL \led_flash_cnt[3302][4]~73114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3302][4]~73115\ : std_logic;
SIGNAL \led_flash_cnt[3302][5]~73116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3302][5]~73117\ : std_logic;
SIGNAL \led_flash_cnt[3302][6]~73118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3302][6]~73119\ : std_logic;
SIGNAL \led_flash_cnt[3302][7]~73120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3302][7]~q\ : std_logic;
SIGNAL \WideAnd3302~0_combout\ : std_logic;
SIGNAL \WideAnd3302~1_combout\ : std_logic;
SIGNAL \WideAnd3302~combout\ : std_logic;
SIGNAL \WideAnd4252~combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][0]~83946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3306][1]~73164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3306][1]~73165\ : std_logic;
SIGNAL \led_flash_cnt[3306][2]~73166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3306][2]~73167\ : std_logic;
SIGNAL \led_flash_cnt[3306][3]~73168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3306][3]~73169\ : std_logic;
SIGNAL \led_flash_cnt[3306][4]~73170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3306][4]~73171\ : std_logic;
SIGNAL \led_flash_cnt[3306][5]~73172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3306][5]~73173\ : std_logic;
SIGNAL \led_flash_cnt[3306][6]~73174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3306][6]~73175\ : std_logic;
SIGNAL \led_flash_cnt[3306][7]~73176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3306][7]~q\ : std_logic;
SIGNAL \WideAnd3306~1_combout\ : std_logic;
SIGNAL \WideAnd3306~0_combout\ : std_logic;
SIGNAL \WideAnd3306~combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][0]~83945_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3305][1]~73150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3305][1]~73151\ : std_logic;
SIGNAL \led_flash_cnt[3305][2]~73152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3305][2]~73153\ : std_logic;
SIGNAL \led_flash_cnt[3305][3]~73154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3305][3]~73155\ : std_logic;
SIGNAL \led_flash_cnt[3305][4]~73156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][4]~q\ : std_logic;
SIGNAL \WideAnd3305~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][4]~73157\ : std_logic;
SIGNAL \led_flash_cnt[3305][5]~73158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3305][5]~73159\ : std_logic;
SIGNAL \led_flash_cnt[3305][6]~73160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][6]~q\ : std_logic;
SIGNAL \WideAnd3305~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][6]~73161\ : std_logic;
SIGNAL \led_flash_cnt[3305][7]~73162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3305][7]~q\ : std_logic;
SIGNAL \WideAnd3305~combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][0]~83947_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3307][1]~73178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3307][1]~73179\ : std_logic;
SIGNAL \led_flash_cnt[3307][2]~73180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3307][2]~73181\ : std_logic;
SIGNAL \led_flash_cnt[3307][3]~73182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3307][3]~73183\ : std_logic;
SIGNAL \led_flash_cnt[3307][4]~73184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][4]~q\ : std_logic;
SIGNAL \WideAnd3307~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][4]~73185\ : std_logic;
SIGNAL \led_flash_cnt[3307][5]~73186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3307][5]~73187\ : std_logic;
SIGNAL \led_flash_cnt[3307][6]~73188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3307][6]~73189\ : std_logic;
SIGNAL \led_flash_cnt[3307][7]~73190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3307][7]~q\ : std_logic;
SIGNAL \WideAnd3307~1_combout\ : std_logic;
SIGNAL \WideAnd3307~combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][0]~83944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3304][1]~73136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3304][1]~73137\ : std_logic;
SIGNAL \led_flash_cnt[3304][2]~73138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3304][2]~73139\ : std_logic;
SIGNAL \led_flash_cnt[3304][3]~73140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3304][3]~73141\ : std_logic;
SIGNAL \led_flash_cnt[3304][4]~73142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3304][4]~73143\ : std_logic;
SIGNAL \led_flash_cnt[3304][5]~73144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3304][5]~73145\ : std_logic;
SIGNAL \led_flash_cnt[3304][6]~73146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3304][6]~73147\ : std_logic;
SIGNAL \led_flash_cnt[3304][7]~73148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3304][7]~q\ : std_logic;
SIGNAL \WideAnd3304~1_combout\ : std_logic;
SIGNAL \WideAnd3304~0_combout\ : std_logic;
SIGNAL \WideAnd3304~combout\ : std_logic;
SIGNAL \WideAnd4253~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][0]~83950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3310][1]~73220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3310][1]~73221\ : std_logic;
SIGNAL \led_flash_cnt[3310][2]~73222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3310][2]~73223\ : std_logic;
SIGNAL \led_flash_cnt[3310][3]~73224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3310][3]~73225\ : std_logic;
SIGNAL \led_flash_cnt[3310][4]~73226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][4]~q\ : std_logic;
SIGNAL \WideAnd3310~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][4]~73227\ : std_logic;
SIGNAL \led_flash_cnt[3310][5]~73228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3310][5]~73229\ : std_logic;
SIGNAL \led_flash_cnt[3310][6]~73230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3310][6]~73231\ : std_logic;
SIGNAL \led_flash_cnt[3310][7]~73232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3310][7]~q\ : std_logic;
SIGNAL \WideAnd3310~1_combout\ : std_logic;
SIGNAL \WideAnd3310~combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][0]~83951_combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3311][1]~73234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3311][1]~73235\ : std_logic;
SIGNAL \led_flash_cnt[3311][2]~73236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3311][2]~73237\ : std_logic;
SIGNAL \led_flash_cnt[3311][3]~73238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3311][3]~73239\ : std_logic;
SIGNAL \led_flash_cnt[3311][4]~73240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3311][4]~73241\ : std_logic;
SIGNAL \led_flash_cnt[3311][5]~73242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3311][5]~73243\ : std_logic;
SIGNAL \led_flash_cnt[3311][6]~73244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3311][6]~73245\ : std_logic;
SIGNAL \led_flash_cnt[3311][7]~73246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3311][7]~q\ : std_logic;
SIGNAL \WideAnd3311~1_combout\ : std_logic;
SIGNAL \WideAnd3311~0_combout\ : std_logic;
SIGNAL \WideAnd3311~combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][0]~83949_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3309][1]~73206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3309][1]~73207\ : std_logic;
SIGNAL \led_flash_cnt[3309][2]~73208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3309][2]~73209\ : std_logic;
SIGNAL \led_flash_cnt[3309][3]~73210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3309][3]~73211\ : std_logic;
SIGNAL \led_flash_cnt[3309][4]~73212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3309][4]~73213\ : std_logic;
SIGNAL \led_flash_cnt[3309][5]~73214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3309][5]~73215\ : std_logic;
SIGNAL \led_flash_cnt[3309][6]~73216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][6]~q\ : std_logic;
SIGNAL \WideAnd3309~1_combout\ : std_logic;
SIGNAL \WideAnd3309~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][6]~73217\ : std_logic;
SIGNAL \led_flash_cnt[3309][7]~73218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3309][7]~q\ : std_logic;
SIGNAL \WideAnd3309~combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][0]~83948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3308][1]~73192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3308][1]~73193\ : std_logic;
SIGNAL \led_flash_cnt[3308][2]~73194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3308][2]~73195\ : std_logic;
SIGNAL \led_flash_cnt[3308][3]~73196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3308][3]~73197\ : std_logic;
SIGNAL \led_flash_cnt[3308][4]~73198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3308][4]~73199\ : std_logic;
SIGNAL \led_flash_cnt[3308][5]~73200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3308][5]~73201\ : std_logic;
SIGNAL \led_flash_cnt[3308][6]~73202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3308][6]~73203\ : std_logic;
SIGNAL \led_flash_cnt[3308][7]~73204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3308][7]~q\ : std_logic;
SIGNAL \WideAnd3308~1_combout\ : std_logic;
SIGNAL \WideAnd3308~0_combout\ : std_logic;
SIGNAL \WideAnd3308~combout\ : std_logic;
SIGNAL \WideAnd4253~1_combout\ : std_logic;
SIGNAL \WideAnd4253~combout\ : std_logic;
SIGNAL \WideAnd4371~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][0]~83952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3312][1]~73248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3312][1]~73249\ : std_logic;
SIGNAL \led_flash_cnt[3312][2]~73250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3312][2]~73251\ : std_logic;
SIGNAL \led_flash_cnt[3312][3]~73252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3312][3]~73253\ : std_logic;
SIGNAL \led_flash_cnt[3312][4]~73254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3312][4]~73255\ : std_logic;
SIGNAL \led_flash_cnt[3312][5]~73256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3312][5]~73257\ : std_logic;
SIGNAL \led_flash_cnt[3312][6]~73258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][6]~q\ : std_logic;
SIGNAL \WideAnd3312~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][6]~73259\ : std_logic;
SIGNAL \led_flash_cnt[3312][7]~73260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3312][7]~q\ : std_logic;
SIGNAL \WideAnd3312~0_combout\ : std_logic;
SIGNAL \WideAnd3312~combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][0]~83953_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3313][1]~73262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3313][1]~73263\ : std_logic;
SIGNAL \led_flash_cnt[3313][2]~73264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3313][2]~73265\ : std_logic;
SIGNAL \led_flash_cnt[3313][3]~73266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3313][3]~73267\ : std_logic;
SIGNAL \led_flash_cnt[3313][4]~73268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3313][4]~73269\ : std_logic;
SIGNAL \led_flash_cnt[3313][5]~73270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3313][5]~73271\ : std_logic;
SIGNAL \led_flash_cnt[3313][6]~73272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][6]~q\ : std_logic;
SIGNAL \WideAnd3313~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][6]~73273\ : std_logic;
SIGNAL \led_flash_cnt[3313][7]~73274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3313][7]~q\ : std_logic;
SIGNAL \WideAnd3313~0_combout\ : std_logic;
SIGNAL \WideAnd3313~combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][0]~83954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3314][1]~73276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3314][1]~73277\ : std_logic;
SIGNAL \led_flash_cnt[3314][2]~73278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3314][2]~73279\ : std_logic;
SIGNAL \led_flash_cnt[3314][3]~73280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3314][3]~73281\ : std_logic;
SIGNAL \led_flash_cnt[3314][4]~73282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][4]~q\ : std_logic;
SIGNAL \WideAnd3314~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][4]~73283\ : std_logic;
SIGNAL \led_flash_cnt[3314][5]~73284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3314][5]~73285\ : std_logic;
SIGNAL \led_flash_cnt[3314][6]~73286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3314][6]~73287\ : std_logic;
SIGNAL \led_flash_cnt[3314][7]~73288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3314][7]~q\ : std_logic;
SIGNAL \WideAnd3314~1_combout\ : std_logic;
SIGNAL \WideAnd3314~combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][0]~83955_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3315][1]~73290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3315][1]~73291\ : std_logic;
SIGNAL \led_flash_cnt[3315][2]~73292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3315][2]~73293\ : std_logic;
SIGNAL \led_flash_cnt[3315][3]~73294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3315][3]~73295\ : std_logic;
SIGNAL \led_flash_cnt[3315][4]~73296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3315][4]~73297\ : std_logic;
SIGNAL \led_flash_cnt[3315][5]~73298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3315][5]~73299\ : std_logic;
SIGNAL \led_flash_cnt[3315][6]~73300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][6]~q\ : std_logic;
SIGNAL \WideAnd3315~1_combout\ : std_logic;
SIGNAL \WideAnd3315~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][6]~73301\ : std_logic;
SIGNAL \led_flash_cnt[3315][7]~73302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3315][7]~q\ : std_logic;
SIGNAL \WideAnd3315~combout\ : std_logic;
SIGNAL \WideAnd4254~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][0]~83958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3318][1]~73332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3318][1]~73333\ : std_logic;
SIGNAL \led_flash_cnt[3318][2]~73334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3318][2]~73335\ : std_logic;
SIGNAL \led_flash_cnt[3318][3]~73336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3318][3]~73337\ : std_logic;
SIGNAL \led_flash_cnt[3318][4]~73338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3318][4]~73339\ : std_logic;
SIGNAL \led_flash_cnt[3318][5]~73340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3318][5]~73341\ : std_logic;
SIGNAL \led_flash_cnt[3318][6]~73342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3318][6]~73343\ : std_logic;
SIGNAL \led_flash_cnt[3318][7]~73344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3318][7]~q\ : std_logic;
SIGNAL \WideAnd3318~0_combout\ : std_logic;
SIGNAL \WideAnd3318~1_combout\ : std_logic;
SIGNAL \WideAnd3318~combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][0]~83959_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3319][1]~73346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3319][1]~73347\ : std_logic;
SIGNAL \led_flash_cnt[3319][2]~73348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3319][2]~73349\ : std_logic;
SIGNAL \led_flash_cnt[3319][3]~73350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3319][3]~73351\ : std_logic;
SIGNAL \led_flash_cnt[3319][4]~73352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3319][4]~73353\ : std_logic;
SIGNAL \led_flash_cnt[3319][5]~73354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3319][5]~73355\ : std_logic;
SIGNAL \led_flash_cnt[3319][6]~73356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][6]~q\ : std_logic;
SIGNAL \WideAnd3319~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][6]~73357\ : std_logic;
SIGNAL \led_flash_cnt[3319][7]~73358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3319][7]~q\ : std_logic;
SIGNAL \WideAnd3319~0_combout\ : std_logic;
SIGNAL \WideAnd3319~combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][0]~83957_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3317][1]~73318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3317][1]~73319\ : std_logic;
SIGNAL \led_flash_cnt[3317][2]~73320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3317][2]~73321\ : std_logic;
SIGNAL \led_flash_cnt[3317][3]~73322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3317][3]~73323\ : std_logic;
SIGNAL \led_flash_cnt[3317][4]~73324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][4]~q\ : std_logic;
SIGNAL \WideAnd3317~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][4]~73325\ : std_logic;
SIGNAL \led_flash_cnt[3317][5]~73326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3317][5]~73327\ : std_logic;
SIGNAL \led_flash_cnt[3317][6]~73328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][6]~q\ : std_logic;
SIGNAL \WideAnd3317~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][6]~73329\ : std_logic;
SIGNAL \led_flash_cnt[3317][7]~73330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3317][7]~q\ : std_logic;
SIGNAL \WideAnd3317~combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][0]~83956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3316][1]~73304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3316][1]~73305\ : std_logic;
SIGNAL \led_flash_cnt[3316][2]~73306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3316][2]~73307\ : std_logic;
SIGNAL \led_flash_cnt[3316][3]~73308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3316][3]~73309\ : std_logic;
SIGNAL \led_flash_cnt[3316][4]~73310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][4]~q\ : std_logic;
SIGNAL \WideAnd3316~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][4]~73311\ : std_logic;
SIGNAL \led_flash_cnt[3316][5]~73312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3316][5]~73313\ : std_logic;
SIGNAL \led_flash_cnt[3316][6]~73314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][6]~q\ : std_logic;
SIGNAL \WideAnd3316~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][6]~73315\ : std_logic;
SIGNAL \led_flash_cnt[3316][7]~73316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3316][7]~q\ : std_logic;
SIGNAL \WideAnd3316~combout\ : std_logic;
SIGNAL \WideAnd4254~1_combout\ : std_logic;
SIGNAL \WideAnd4254~combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][0]~83967_combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3327][1]~73458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3327][1]~73459\ : std_logic;
SIGNAL \led_flash_cnt[3327][2]~73460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3327][2]~73461\ : std_logic;
SIGNAL \led_flash_cnt[3327][3]~73462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3327][3]~73463\ : std_logic;
SIGNAL \led_flash_cnt[3327][4]~73464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3327][4]~73465\ : std_logic;
SIGNAL \led_flash_cnt[3327][5]~73466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3327][5]~73467\ : std_logic;
SIGNAL \led_flash_cnt[3327][6]~73468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3327][6]~73469\ : std_logic;
SIGNAL \led_flash_cnt[3327][7]~73470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3327][7]~q\ : std_logic;
SIGNAL \WideAnd3327~1_combout\ : std_logic;
SIGNAL \WideAnd3327~0_combout\ : std_logic;
SIGNAL \WideAnd3327~combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][0]~83963_combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3323][1]~73402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3323][1]~73403\ : std_logic;
SIGNAL \led_flash_cnt[3323][2]~73404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3323][2]~73405\ : std_logic;
SIGNAL \led_flash_cnt[3323][3]~73406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3323][3]~73407\ : std_logic;
SIGNAL \led_flash_cnt[3323][4]~73408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3323][4]~73409\ : std_logic;
SIGNAL \led_flash_cnt[3323][5]~73410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3323][5]~73411\ : std_logic;
SIGNAL \led_flash_cnt[3323][6]~73412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3323][6]~73413\ : std_logic;
SIGNAL \led_flash_cnt[3323][7]~73414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3323][7]~q\ : std_logic;
SIGNAL \WideAnd3323~1_combout\ : std_logic;
SIGNAL \WideAnd3323~0_combout\ : std_logic;
SIGNAL \WideAnd3323~combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][0]~83961_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3321][1]~73374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3321][1]~73375\ : std_logic;
SIGNAL \led_flash_cnt[3321][2]~73376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3321][2]~73377\ : std_logic;
SIGNAL \led_flash_cnt[3321][3]~73378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3321][3]~73379\ : std_logic;
SIGNAL \led_flash_cnt[3321][4]~73380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][4]~q\ : std_logic;
SIGNAL \WideAnd3321~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][4]~73381\ : std_logic;
SIGNAL \led_flash_cnt[3321][5]~73382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3321][5]~73383\ : std_logic;
SIGNAL \led_flash_cnt[3321][6]~73384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][6]~q\ : std_logic;
SIGNAL \WideAnd3321~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][6]~73385\ : std_logic;
SIGNAL \led_flash_cnt[3321][7]~73386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3321][7]~q\ : std_logic;
SIGNAL \WideAnd3321~combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][0]~83960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3320][1]~73360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3320][1]~73361\ : std_logic;
SIGNAL \led_flash_cnt[3320][2]~73362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3320][2]~73363\ : std_logic;
SIGNAL \led_flash_cnt[3320][3]~73364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3320][3]~73365\ : std_logic;
SIGNAL \led_flash_cnt[3320][4]~73366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3320][4]~73367\ : std_logic;
SIGNAL \led_flash_cnt[3320][5]~73368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3320][5]~73369\ : std_logic;
SIGNAL \led_flash_cnt[3320][6]~73370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3320][6]~73371\ : std_logic;
SIGNAL \led_flash_cnt[3320][7]~73372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3320][7]~q\ : std_logic;
SIGNAL \WideAnd3320~0_combout\ : std_logic;
SIGNAL \WideAnd3320~1_combout\ : std_logic;
SIGNAL \WideAnd3320~combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][0]~83962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3322][1]~73388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3322][1]~73389\ : std_logic;
SIGNAL \led_flash_cnt[3322][2]~73390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3322][2]~73391\ : std_logic;
SIGNAL \led_flash_cnt[3322][3]~73392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3322][3]~73393\ : std_logic;
SIGNAL \led_flash_cnt[3322][4]~73394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][4]~q\ : std_logic;
SIGNAL \WideAnd3322~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][4]~73395\ : std_logic;
SIGNAL \led_flash_cnt[3322][5]~73396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3322][5]~73397\ : std_logic;
SIGNAL \led_flash_cnt[3322][6]~73398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][6]~q\ : std_logic;
SIGNAL \WideAnd3322~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][6]~73399\ : std_logic;
SIGNAL \led_flash_cnt[3322][7]~73400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3322][7]~q\ : std_logic;
SIGNAL \WideAnd3322~combout\ : std_logic;
SIGNAL \WideAnd4255~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][0]~83965_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3325][1]~73430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3325][1]~73431\ : std_logic;
SIGNAL \led_flash_cnt[3325][2]~73432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3325][2]~73433\ : std_logic;
SIGNAL \led_flash_cnt[3325][3]~73434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3325][3]~73435\ : std_logic;
SIGNAL \led_flash_cnt[3325][4]~73436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3325][4]~73437\ : std_logic;
SIGNAL \led_flash_cnt[3325][5]~73438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3325][5]~73439\ : std_logic;
SIGNAL \led_flash_cnt[3325][6]~73440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][6]~q\ : std_logic;
SIGNAL \WideAnd3325~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][6]~73441\ : std_logic;
SIGNAL \led_flash_cnt[3325][7]~73442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3325][7]~q\ : std_logic;
SIGNAL \WideAnd3325~0_combout\ : std_logic;
SIGNAL \WideAnd3325~combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][0]~83964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3324][1]~73416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3324][1]~73417\ : std_logic;
SIGNAL \led_flash_cnt[3324][2]~73418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3324][2]~73419\ : std_logic;
SIGNAL \led_flash_cnt[3324][3]~73420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3324][3]~73421\ : std_logic;
SIGNAL \led_flash_cnt[3324][4]~73422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3324][4]~73423\ : std_logic;
SIGNAL \led_flash_cnt[3324][5]~73424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3324][5]~73425\ : std_logic;
SIGNAL \led_flash_cnt[3324][6]~73426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3324][6]~73427\ : std_logic;
SIGNAL \led_flash_cnt[3324][7]~73428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3324][7]~q\ : std_logic;
SIGNAL \WideAnd3324~1_combout\ : std_logic;
SIGNAL \WideAnd3324~0_combout\ : std_logic;
SIGNAL \WideAnd3324~combout\ : std_logic;
SIGNAL \WideAnd4255~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][0]~83966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3326][1]~73444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3326][1]~73445\ : std_logic;
SIGNAL \led_flash_cnt[3326][2]~73446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3326][2]~73447\ : std_logic;
SIGNAL \led_flash_cnt[3326][3]~73448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3326][3]~73449\ : std_logic;
SIGNAL \led_flash_cnt[3326][4]~73450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3326][4]~73451\ : std_logic;
SIGNAL \led_flash_cnt[3326][5]~73452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3326][5]~73453\ : std_logic;
SIGNAL \led_flash_cnt[3326][6]~73454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3326][6]~73455\ : std_logic;
SIGNAL \led_flash_cnt[3326][7]~73456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3326][7]~q\ : std_logic;
SIGNAL \WideAnd3326~0_combout\ : std_logic;
SIGNAL \WideAnd3326~1_combout\ : std_logic;
SIGNAL \WideAnd3326~combout\ : std_logic;
SIGNAL \WideAnd4255~combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][0]~83912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3272][1]~72688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3272][1]~72689\ : std_logic;
SIGNAL \led_flash_cnt[3272][2]~72690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3272][2]~72691\ : std_logic;
SIGNAL \led_flash_cnt[3272][3]~72692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3272][3]~72693\ : std_logic;
SIGNAL \led_flash_cnt[3272][4]~72694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3272][4]~72695\ : std_logic;
SIGNAL \led_flash_cnt[3272][5]~72696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3272][5]~72697\ : std_logic;
SIGNAL \led_flash_cnt[3272][6]~72698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][6]~q\ : std_logic;
SIGNAL \WideAnd3272~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][6]~72699\ : std_logic;
SIGNAL \led_flash_cnt[3272][7]~72700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3272][7]~q\ : std_logic;
SIGNAL \WideAnd3272~0_combout\ : std_logic;
SIGNAL \WideAnd3272~combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][0]~83914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3274][1]~72716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3274][1]~72717\ : std_logic;
SIGNAL \led_flash_cnt[3274][2]~72718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3274][2]~72719\ : std_logic;
SIGNAL \led_flash_cnt[3274][3]~72720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3274][3]~72721\ : std_logic;
SIGNAL \led_flash_cnt[3274][4]~72722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3274][4]~72723\ : std_logic;
SIGNAL \led_flash_cnt[3274][5]~72724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3274][5]~72725\ : std_logic;
SIGNAL \led_flash_cnt[3274][6]~72726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][6]~q\ : std_logic;
SIGNAL \WideAnd3274~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][6]~72727\ : std_logic;
SIGNAL \led_flash_cnt[3274][7]~72728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3274][7]~q\ : std_logic;
SIGNAL \WideAnd3274~0_combout\ : std_logic;
SIGNAL \WideAnd3274~combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][0]~83915_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3275][1]~72730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3275][1]~72731\ : std_logic;
SIGNAL \led_flash_cnt[3275][2]~72732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3275][2]~72733\ : std_logic;
SIGNAL \led_flash_cnt[3275][3]~72734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3275][3]~72735\ : std_logic;
SIGNAL \led_flash_cnt[3275][4]~72736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3275][4]~72737\ : std_logic;
SIGNAL \led_flash_cnt[3275][5]~72738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3275][5]~72739\ : std_logic;
SIGNAL \led_flash_cnt[3275][6]~72740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][6]~q\ : std_logic;
SIGNAL \WideAnd3275~1_combout\ : std_logic;
SIGNAL \WideAnd3275~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][6]~72741\ : std_logic;
SIGNAL \led_flash_cnt[3275][7]~72742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3275][7]~q\ : std_logic;
SIGNAL \WideAnd3275~combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][0]~83913_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3273][1]~72702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3273][1]~72703\ : std_logic;
SIGNAL \led_flash_cnt[3273][2]~72704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3273][2]~72705\ : std_logic;
SIGNAL \led_flash_cnt[3273][3]~72706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3273][3]~72707\ : std_logic;
SIGNAL \led_flash_cnt[3273][4]~72708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][4]~q\ : std_logic;
SIGNAL \WideAnd3273~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][4]~72709\ : std_logic;
SIGNAL \led_flash_cnt[3273][5]~72710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3273][5]~72711\ : std_logic;
SIGNAL \led_flash_cnt[3273][6]~72712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3273][6]~72713\ : std_logic;
SIGNAL \led_flash_cnt[3273][7]~72714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3273][7]~q\ : std_logic;
SIGNAL \WideAnd3273~1_combout\ : std_logic;
SIGNAL \WideAnd3273~combout\ : std_logic;
SIGNAL \WideAnd4249~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][0]~83919_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3279][1]~72786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3279][1]~72787\ : std_logic;
SIGNAL \led_flash_cnt[3279][2]~72788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3279][2]~72789\ : std_logic;
SIGNAL \led_flash_cnt[3279][3]~72790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3279][3]~72791\ : std_logic;
SIGNAL \led_flash_cnt[3279][4]~72792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3279][4]~72793\ : std_logic;
SIGNAL \led_flash_cnt[3279][5]~72794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3279][5]~72795\ : std_logic;
SIGNAL \led_flash_cnt[3279][6]~72796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][6]~q\ : std_logic;
SIGNAL \WideAnd3279~1_combout\ : std_logic;
SIGNAL \WideAnd3279~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][6]~72797\ : std_logic;
SIGNAL \led_flash_cnt[3279][7]~72798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3279][7]~q\ : std_logic;
SIGNAL \WideAnd3279~combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][0]~83917_combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3277][1]~72758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3277][1]~72759\ : std_logic;
SIGNAL \led_flash_cnt[3277][2]~72760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3277][2]~72761\ : std_logic;
SIGNAL \led_flash_cnt[3277][3]~72762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3277][3]~72763\ : std_logic;
SIGNAL \led_flash_cnt[3277][4]~72764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3277][4]~72765\ : std_logic;
SIGNAL \led_flash_cnt[3277][5]~72766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3277][5]~72767\ : std_logic;
SIGNAL \led_flash_cnt[3277][6]~72768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3277][6]~72769\ : std_logic;
SIGNAL \led_flash_cnt[3277][7]~72770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3277][7]~q\ : std_logic;
SIGNAL \WideAnd3277~0_combout\ : std_logic;
SIGNAL \WideAnd3277~1_combout\ : std_logic;
SIGNAL \WideAnd3277~combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][0]~83916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3276][1]~72744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3276][1]~72745\ : std_logic;
SIGNAL \led_flash_cnt[3276][2]~72746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3276][2]~72747\ : std_logic;
SIGNAL \led_flash_cnt[3276][3]~72748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3276][3]~72749\ : std_logic;
SIGNAL \led_flash_cnt[3276][4]~72750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3276][4]~72751\ : std_logic;
SIGNAL \led_flash_cnt[3276][5]~72752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3276][5]~72753\ : std_logic;
SIGNAL \led_flash_cnt[3276][6]~72754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3276][6]~72755\ : std_logic;
SIGNAL \led_flash_cnt[3276][7]~72756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3276][7]~q\ : std_logic;
SIGNAL \WideAnd3276~1_combout\ : std_logic;
SIGNAL \WideAnd3276~0_combout\ : std_logic;
SIGNAL \WideAnd3276~combout\ : std_logic;
SIGNAL \WideAnd4249~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][0]~83918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3278][1]~72772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3278][1]~72773\ : std_logic;
SIGNAL \led_flash_cnt[3278][2]~72774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3278][2]~72775\ : std_logic;
SIGNAL \led_flash_cnt[3278][3]~72776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3278][3]~72777\ : std_logic;
SIGNAL \led_flash_cnt[3278][4]~72778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3278][4]~72779\ : std_logic;
SIGNAL \led_flash_cnt[3278][5]~72780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3278][5]~72781\ : std_logic;
SIGNAL \led_flash_cnt[3278][6]~72782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][6]~q\ : std_logic;
SIGNAL \WideAnd3278~1_combout\ : std_logic;
SIGNAL \WideAnd3278~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][6]~72783\ : std_logic;
SIGNAL \led_flash_cnt[3278][7]~72784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3278][7]~q\ : std_logic;
SIGNAL \WideAnd3278~combout\ : std_logic;
SIGNAL \WideAnd4249~combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][0]~83907_combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3267][1]~72618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3267][1]~72619\ : std_logic;
SIGNAL \led_flash_cnt[3267][2]~72620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3267][2]~72621\ : std_logic;
SIGNAL \led_flash_cnt[3267][3]~72622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3267][3]~72623\ : std_logic;
SIGNAL \led_flash_cnt[3267][4]~72624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3267][4]~72625\ : std_logic;
SIGNAL \led_flash_cnt[3267][5]~72626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3267][5]~72627\ : std_logic;
SIGNAL \led_flash_cnt[3267][6]~72628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3267][6]~72629\ : std_logic;
SIGNAL \led_flash_cnt[3267][7]~72630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3267][7]~q\ : std_logic;
SIGNAL \WideAnd3267~1_combout\ : std_logic;
SIGNAL \WideAnd3267~0_combout\ : std_logic;
SIGNAL \WideAnd3267~combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][0]~83906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3266][1]~72604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3266][1]~72605\ : std_logic;
SIGNAL \led_flash_cnt[3266][2]~72606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3266][2]~72607\ : std_logic;
SIGNAL \led_flash_cnt[3266][3]~72608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3266][3]~72609\ : std_logic;
SIGNAL \led_flash_cnt[3266][4]~72610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3266][4]~72611\ : std_logic;
SIGNAL \led_flash_cnt[3266][5]~72612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3266][5]~72613\ : std_logic;
SIGNAL \led_flash_cnt[3266][6]~72614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][6]~q\ : std_logic;
SIGNAL \WideAnd3266~1_combout\ : std_logic;
SIGNAL \WideAnd3266~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][6]~72615\ : std_logic;
SIGNAL \led_flash_cnt[3266][7]~72616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3266][7]~q\ : std_logic;
SIGNAL \WideAnd3266~combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][0]~83904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3264][1]~72576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3264][1]~72577\ : std_logic;
SIGNAL \led_flash_cnt[3264][2]~72578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3264][2]~72579\ : std_logic;
SIGNAL \led_flash_cnt[3264][3]~72580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3264][3]~72581\ : std_logic;
SIGNAL \led_flash_cnt[3264][4]~72582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3264][4]~72583\ : std_logic;
SIGNAL \led_flash_cnt[3264][5]~72584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3264][5]~72585\ : std_logic;
SIGNAL \led_flash_cnt[3264][6]~72586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][6]~q\ : std_logic;
SIGNAL \WideAnd3264~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][6]~72587\ : std_logic;
SIGNAL \led_flash_cnt[3264][7]~72588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3264][7]~q\ : std_logic;
SIGNAL \WideAnd3264~0_combout\ : std_logic;
SIGNAL \WideAnd3264~combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][0]~83905_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3265][1]~72590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3265][1]~72591\ : std_logic;
SIGNAL \led_flash_cnt[3265][2]~72592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3265][2]~72593\ : std_logic;
SIGNAL \led_flash_cnt[3265][3]~72594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3265][3]~72595\ : std_logic;
SIGNAL \led_flash_cnt[3265][4]~72596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3265][4]~72597\ : std_logic;
SIGNAL \led_flash_cnt[3265][5]~72598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3265][5]~72599\ : std_logic;
SIGNAL \led_flash_cnt[3265][6]~72600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][6]~q\ : std_logic;
SIGNAL \WideAnd3265~1_combout\ : std_logic;
SIGNAL \WideAnd3265~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][6]~72601\ : std_logic;
SIGNAL \led_flash_cnt[3265][7]~72602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3265][7]~q\ : std_logic;
SIGNAL \WideAnd3265~combout\ : std_logic;
SIGNAL \WideAnd4248~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][0]~83911_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3271][1]~72674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3271][1]~72675\ : std_logic;
SIGNAL \led_flash_cnt[3271][2]~72676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3271][2]~72677\ : std_logic;
SIGNAL \led_flash_cnt[3271][3]~72678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3271][3]~72679\ : std_logic;
SIGNAL \led_flash_cnt[3271][4]~72680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3271][4]~72681\ : std_logic;
SIGNAL \led_flash_cnt[3271][5]~72682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3271][5]~72683\ : std_logic;
SIGNAL \led_flash_cnt[3271][6]~72684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][6]~q\ : std_logic;
SIGNAL \WideAnd3271~1_combout\ : std_logic;
SIGNAL \WideAnd3271~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][6]~72685\ : std_logic;
SIGNAL \led_flash_cnt[3271][7]~72686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3271][7]~q\ : std_logic;
SIGNAL \WideAnd3271~combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][0]~83910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3270][1]~72660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3270][1]~72661\ : std_logic;
SIGNAL \led_flash_cnt[3270][2]~72662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3270][2]~72663\ : std_logic;
SIGNAL \led_flash_cnt[3270][3]~72664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3270][3]~72665\ : std_logic;
SIGNAL \led_flash_cnt[3270][4]~72666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3270][4]~72667\ : std_logic;
SIGNAL \led_flash_cnt[3270][5]~72668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3270][5]~72669\ : std_logic;
SIGNAL \led_flash_cnt[3270][6]~72670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][6]~q\ : std_logic;
SIGNAL \WideAnd3270~1_combout\ : std_logic;
SIGNAL \WideAnd3270~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][6]~72671\ : std_logic;
SIGNAL \led_flash_cnt[3270][7]~72672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3270][7]~q\ : std_logic;
SIGNAL \WideAnd3270~combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][0]~83909_combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3269][1]~72646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3269][1]~72647\ : std_logic;
SIGNAL \led_flash_cnt[3269][2]~72648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3269][2]~72649\ : std_logic;
SIGNAL \led_flash_cnt[3269][3]~72650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3269][3]~72651\ : std_logic;
SIGNAL \led_flash_cnt[3269][4]~72652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3269][4]~72653\ : std_logic;
SIGNAL \led_flash_cnt[3269][5]~72654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3269][5]~72655\ : std_logic;
SIGNAL \led_flash_cnt[3269][6]~72656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3269][6]~72657\ : std_logic;
SIGNAL \led_flash_cnt[3269][7]~72658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3269][7]~q\ : std_logic;
SIGNAL \WideAnd3269~1_combout\ : std_logic;
SIGNAL \WideAnd3269~0_combout\ : std_logic;
SIGNAL \WideAnd3269~combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][0]~83908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3268][1]~72632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3268][1]~72633\ : std_logic;
SIGNAL \led_flash_cnt[3268][2]~72634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3268][2]~72635\ : std_logic;
SIGNAL \led_flash_cnt[3268][3]~72636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3268][3]~72637\ : std_logic;
SIGNAL \led_flash_cnt[3268][4]~72638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3268][4]~72639\ : std_logic;
SIGNAL \led_flash_cnt[3268][5]~72640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3268][5]~72641\ : std_logic;
SIGNAL \led_flash_cnt[3268][6]~72642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][6]~q\ : std_logic;
SIGNAL \WideAnd3268~1_combout\ : std_logic;
SIGNAL \WideAnd3268~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][6]~72643\ : std_logic;
SIGNAL \led_flash_cnt[3268][7]~72644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3268][7]~q\ : std_logic;
SIGNAL \WideAnd3268~combout\ : std_logic;
SIGNAL \WideAnd4248~1_combout\ : std_logic;
SIGNAL \WideAnd4248~combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][0]~83927_combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3287][1]~72898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3287][1]~72899\ : std_logic;
SIGNAL \led_flash_cnt[3287][2]~72900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3287][2]~72901\ : std_logic;
SIGNAL \led_flash_cnt[3287][3]~72902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3287][3]~72903\ : std_logic;
SIGNAL \led_flash_cnt[3287][4]~72904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3287][4]~72905\ : std_logic;
SIGNAL \led_flash_cnt[3287][5]~72906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3287][5]~72907\ : std_logic;
SIGNAL \led_flash_cnt[3287][6]~72908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3287][6]~72909\ : std_logic;
SIGNAL \led_flash_cnt[3287][7]~72910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3287][7]~q\ : std_logic;
SIGNAL \WideAnd3287~0_combout\ : std_logic;
SIGNAL \WideAnd3287~1_combout\ : std_logic;
SIGNAL \WideAnd3287~combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][0]~83923_combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3283][1]~72842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3283][1]~72843\ : std_logic;
SIGNAL \led_flash_cnt[3283][2]~72844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3283][2]~72845\ : std_logic;
SIGNAL \led_flash_cnt[3283][3]~72846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3283][3]~72847\ : std_logic;
SIGNAL \led_flash_cnt[3283][4]~72848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3283][4]~72849\ : std_logic;
SIGNAL \led_flash_cnt[3283][5]~72850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3283][5]~72851\ : std_logic;
SIGNAL \led_flash_cnt[3283][6]~72852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3283][6]~72853\ : std_logic;
SIGNAL \led_flash_cnt[3283][7]~72854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3283][7]~q\ : std_logic;
SIGNAL \WideAnd3283~1_combout\ : std_logic;
SIGNAL \WideAnd3283~0_combout\ : std_logic;
SIGNAL \WideAnd3283~combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][0]~83922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3282][1]~72828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3282][1]~72829\ : std_logic;
SIGNAL \led_flash_cnt[3282][2]~72830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3282][2]~72831\ : std_logic;
SIGNAL \led_flash_cnt[3282][3]~72832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3282][3]~72833\ : std_logic;
SIGNAL \led_flash_cnt[3282][4]~72834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3282][4]~72835\ : std_logic;
SIGNAL \led_flash_cnt[3282][5]~72836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3282][5]~72837\ : std_logic;
SIGNAL \led_flash_cnt[3282][6]~72838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3282][6]~72839\ : std_logic;
SIGNAL \led_flash_cnt[3282][7]~72840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3282][7]~q\ : std_logic;
SIGNAL \WideAnd3282~0_combout\ : std_logic;
SIGNAL \WideAnd3282~1_combout\ : std_logic;
SIGNAL \WideAnd3282~combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][0]~83920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3280][1]~72800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3280][1]~72801\ : std_logic;
SIGNAL \led_flash_cnt[3280][2]~72802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3280][2]~72803\ : std_logic;
SIGNAL \led_flash_cnt[3280][3]~72804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3280][3]~72805\ : std_logic;
SIGNAL \led_flash_cnt[3280][4]~72806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3280][4]~72807\ : std_logic;
SIGNAL \led_flash_cnt[3280][5]~72808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3280][5]~72809\ : std_logic;
SIGNAL \led_flash_cnt[3280][6]~72810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][6]~q\ : std_logic;
SIGNAL \WideAnd3280~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][6]~72811\ : std_logic;
SIGNAL \led_flash_cnt[3280][7]~72812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3280][7]~q\ : std_logic;
SIGNAL \WideAnd3280~0_combout\ : std_logic;
SIGNAL \WideAnd3280~combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][0]~83921_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3281][1]~72814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3281][1]~72815\ : std_logic;
SIGNAL \led_flash_cnt[3281][2]~72816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3281][2]~72817\ : std_logic;
SIGNAL \led_flash_cnt[3281][3]~72818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3281][3]~72819\ : std_logic;
SIGNAL \led_flash_cnt[3281][4]~72820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3281][4]~72821\ : std_logic;
SIGNAL \led_flash_cnt[3281][5]~72822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3281][5]~72823\ : std_logic;
SIGNAL \led_flash_cnt[3281][6]~72824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][6]~q\ : std_logic;
SIGNAL \WideAnd3281~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][6]~72825\ : std_logic;
SIGNAL \led_flash_cnt[3281][7]~72826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3281][7]~q\ : std_logic;
SIGNAL \WideAnd3281~0_combout\ : std_logic;
SIGNAL \WideAnd3281~combout\ : std_logic;
SIGNAL \WideAnd4250~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][0]~83925_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3285][1]~72870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3285][1]~72871\ : std_logic;
SIGNAL \led_flash_cnt[3285][2]~72872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3285][2]~72873\ : std_logic;
SIGNAL \led_flash_cnt[3285][3]~72874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3285][3]~72875\ : std_logic;
SIGNAL \led_flash_cnt[3285][4]~72876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3285][4]~72877\ : std_logic;
SIGNAL \led_flash_cnt[3285][5]~72878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3285][5]~72879\ : std_logic;
SIGNAL \led_flash_cnt[3285][6]~72880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][6]~q\ : std_logic;
SIGNAL \WideAnd3285~1_combout\ : std_logic;
SIGNAL \WideAnd3285~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][6]~72881\ : std_logic;
SIGNAL \led_flash_cnt[3285][7]~72882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3285][7]~q\ : std_logic;
SIGNAL \WideAnd3285~combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][0]~83924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3284][1]~72856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3284][1]~72857\ : std_logic;
SIGNAL \led_flash_cnt[3284][2]~72858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3284][2]~72859\ : std_logic;
SIGNAL \led_flash_cnt[3284][3]~72860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3284][3]~72861\ : std_logic;
SIGNAL \led_flash_cnt[3284][4]~72862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3284][4]~72863\ : std_logic;
SIGNAL \led_flash_cnt[3284][5]~72864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3284][5]~72865\ : std_logic;
SIGNAL \led_flash_cnt[3284][6]~72866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3284][6]~72867\ : std_logic;
SIGNAL \led_flash_cnt[3284][7]~72868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3284][7]~q\ : std_logic;
SIGNAL \WideAnd3284~0_combout\ : std_logic;
SIGNAL \WideAnd3284~1_combout\ : std_logic;
SIGNAL \WideAnd3284~combout\ : std_logic;
SIGNAL \WideAnd4250~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][0]~83926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3286][1]~72884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3286][1]~72885\ : std_logic;
SIGNAL \led_flash_cnt[3286][2]~72886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3286][2]~72887\ : std_logic;
SIGNAL \led_flash_cnt[3286][3]~72888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3286][3]~72889\ : std_logic;
SIGNAL \led_flash_cnt[3286][4]~72890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3286][4]~72891\ : std_logic;
SIGNAL \led_flash_cnt[3286][5]~72892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3286][5]~72893\ : std_logic;
SIGNAL \led_flash_cnt[3286][6]~72894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][6]~q\ : std_logic;
SIGNAL \WideAnd3286~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][6]~72895\ : std_logic;
SIGNAL \led_flash_cnt[3286][7]~72896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3286][7]~q\ : std_logic;
SIGNAL \WideAnd3286~0_combout\ : std_logic;
SIGNAL \WideAnd3286~combout\ : std_logic;
SIGNAL \WideAnd4250~combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][0]~83935_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3295][1]~73010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3295][1]~73011\ : std_logic;
SIGNAL \led_flash_cnt[3295][2]~73012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3295][2]~73013\ : std_logic;
SIGNAL \led_flash_cnt[3295][3]~73014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3295][3]~73015\ : std_logic;
SIGNAL \led_flash_cnt[3295][4]~73016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3295][4]~73017\ : std_logic;
SIGNAL \led_flash_cnt[3295][5]~73018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3295][5]~73019\ : std_logic;
SIGNAL \led_flash_cnt[3295][6]~73020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][6]~q\ : std_logic;
SIGNAL \WideAnd3295~1_combout\ : std_logic;
SIGNAL \WideAnd3295~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][6]~73021\ : std_logic;
SIGNAL \led_flash_cnt[3295][7]~73022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3295][7]~q\ : std_logic;
SIGNAL \WideAnd3295~combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][0]~83932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3292][1]~72968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3292][1]~72969\ : std_logic;
SIGNAL \led_flash_cnt[3292][2]~72970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3292][2]~72971\ : std_logic;
SIGNAL \led_flash_cnt[3292][3]~72972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3292][3]~72973\ : std_logic;
SIGNAL \led_flash_cnt[3292][4]~72974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3292][4]~72975\ : std_logic;
SIGNAL \led_flash_cnt[3292][5]~72976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3292][5]~72977\ : std_logic;
SIGNAL \led_flash_cnt[3292][6]~72978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3292][6]~72979\ : std_logic;
SIGNAL \led_flash_cnt[3292][7]~72980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3292][7]~q\ : std_logic;
SIGNAL \WideAnd3292~0_combout\ : std_logic;
SIGNAL \WideAnd3292~1_combout\ : std_logic;
SIGNAL \WideAnd3292~combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][0]~83933_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3293][1]~72982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3293][1]~72983\ : std_logic;
SIGNAL \led_flash_cnt[3293][2]~72984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3293][2]~72985\ : std_logic;
SIGNAL \led_flash_cnt[3293][3]~72986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3293][3]~72987\ : std_logic;
SIGNAL \led_flash_cnt[3293][4]~72988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3293][4]~72989\ : std_logic;
SIGNAL \led_flash_cnt[3293][5]~72990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3293][5]~72991\ : std_logic;
SIGNAL \led_flash_cnt[3293][6]~72992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][6]~q\ : std_logic;
SIGNAL \WideAnd3293~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][6]~72993\ : std_logic;
SIGNAL \led_flash_cnt[3293][7]~72994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3293][7]~q\ : std_logic;
SIGNAL \WideAnd3293~0_combout\ : std_logic;
SIGNAL \WideAnd3293~combout\ : std_logic;
SIGNAL \WideAnd4251~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][0]~83931_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3291][1]~72954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3291][1]~72955\ : std_logic;
SIGNAL \led_flash_cnt[3291][2]~72956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3291][2]~72957\ : std_logic;
SIGNAL \led_flash_cnt[3291][3]~72958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3291][3]~72959\ : std_logic;
SIGNAL \led_flash_cnt[3291][4]~72960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3291][4]~72961\ : std_logic;
SIGNAL \led_flash_cnt[3291][5]~72962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3291][5]~72963\ : std_logic;
SIGNAL \led_flash_cnt[3291][6]~72964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3291][6]~72965\ : std_logic;
SIGNAL \led_flash_cnt[3291][7]~72966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3291][7]~q\ : std_logic;
SIGNAL \WideAnd3291~0_combout\ : std_logic;
SIGNAL \WideAnd3291~1_combout\ : std_logic;
SIGNAL \WideAnd3291~combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][0]~83928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3288][1]~72912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3288][1]~72913\ : std_logic;
SIGNAL \led_flash_cnt[3288][2]~72914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3288][2]~72915\ : std_logic;
SIGNAL \led_flash_cnt[3288][3]~72916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3288][3]~72917\ : std_logic;
SIGNAL \led_flash_cnt[3288][4]~72918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3288][4]~72919\ : std_logic;
SIGNAL \led_flash_cnt[3288][5]~72920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3288][5]~72921\ : std_logic;
SIGNAL \led_flash_cnt[3288][6]~72922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][6]~q\ : std_logic;
SIGNAL \WideAnd3288~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][6]~72923\ : std_logic;
SIGNAL \led_flash_cnt[3288][7]~72924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3288][7]~q\ : std_logic;
SIGNAL \WideAnd3288~0_combout\ : std_logic;
SIGNAL \WideAnd3288~combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][0]~83930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3290][1]~72940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3290][1]~72941\ : std_logic;
SIGNAL \led_flash_cnt[3290][2]~72942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3290][2]~72943\ : std_logic;
SIGNAL \led_flash_cnt[3290][3]~72944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3290][3]~72945\ : std_logic;
SIGNAL \led_flash_cnt[3290][4]~72946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][4]~q\ : std_logic;
SIGNAL \WideAnd3290~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][4]~72947\ : std_logic;
SIGNAL \led_flash_cnt[3290][5]~72948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3290][5]~72949\ : std_logic;
SIGNAL \led_flash_cnt[3290][6]~72950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][6]~q\ : std_logic;
SIGNAL \WideAnd3290~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][6]~72951\ : std_logic;
SIGNAL \led_flash_cnt[3290][7]~72952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3290][7]~q\ : std_logic;
SIGNAL \WideAnd3290~combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][0]~83929_combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3289][1]~72926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3289][1]~72927\ : std_logic;
SIGNAL \led_flash_cnt[3289][2]~72928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3289][2]~72929\ : std_logic;
SIGNAL \led_flash_cnt[3289][3]~72930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3289][3]~72931\ : std_logic;
SIGNAL \led_flash_cnt[3289][4]~72932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3289][4]~72933\ : std_logic;
SIGNAL \led_flash_cnt[3289][5]~72934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3289][5]~72935\ : std_logic;
SIGNAL \led_flash_cnt[3289][6]~72936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3289][6]~72937\ : std_logic;
SIGNAL \led_flash_cnt[3289][7]~72938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3289][7]~q\ : std_logic;
SIGNAL \WideAnd3289~0_combout\ : std_logic;
SIGNAL \WideAnd3289~1_combout\ : std_logic;
SIGNAL \WideAnd3289~combout\ : std_logic;
SIGNAL \WideAnd4251~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][0]~83934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3294][1]~72996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3294][1]~72997\ : std_logic;
SIGNAL \led_flash_cnt[3294][2]~72998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3294][2]~72999\ : std_logic;
SIGNAL \led_flash_cnt[3294][3]~73000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3294][3]~73001\ : std_logic;
SIGNAL \led_flash_cnt[3294][4]~73002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][4]~q\ : std_logic;
SIGNAL \WideAnd3294~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][4]~73003\ : std_logic;
SIGNAL \led_flash_cnt[3294][5]~73004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3294][5]~73005\ : std_logic;
SIGNAL \led_flash_cnt[3294][6]~73006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3294][6]~73007\ : std_logic;
SIGNAL \led_flash_cnt[3294][7]~73008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3294][7]~q\ : std_logic;
SIGNAL \WideAnd3294~1_combout\ : std_logic;
SIGNAL \WideAnd3294~combout\ : std_logic;
SIGNAL \WideAnd4251~combout\ : std_logic;
SIGNAL \WideAnd4371~0_combout\ : std_logic;
SIGNAL \WideAnd4371~combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][0]~83875_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3235][1]~72170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3235][1]~72171\ : std_logic;
SIGNAL \led_flash_cnt[3235][2]~72172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3235][2]~72173\ : std_logic;
SIGNAL \led_flash_cnt[3235][3]~72174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3235][3]~72175\ : std_logic;
SIGNAL \led_flash_cnt[3235][4]~72176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][4]~q\ : std_logic;
SIGNAL \WideAnd3235~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][4]~72177\ : std_logic;
SIGNAL \led_flash_cnt[3235][5]~72178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3235][5]~72179\ : std_logic;
SIGNAL \led_flash_cnt[3235][6]~72180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][6]~q\ : std_logic;
SIGNAL \WideAnd3235~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][6]~72181\ : std_logic;
SIGNAL \led_flash_cnt[3235][7]~72182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3235][7]~q\ : std_logic;
SIGNAL \WideAnd3235~combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][0]~83874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3234][1]~72156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3234][1]~72157\ : std_logic;
SIGNAL \led_flash_cnt[3234][2]~72158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3234][2]~72159\ : std_logic;
SIGNAL \led_flash_cnt[3234][3]~72160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3234][3]~72161\ : std_logic;
SIGNAL \led_flash_cnt[3234][4]~72162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3234][4]~72163\ : std_logic;
SIGNAL \led_flash_cnt[3234][5]~72164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3234][5]~72165\ : std_logic;
SIGNAL \led_flash_cnt[3234][6]~72166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][6]~q\ : std_logic;
SIGNAL \WideAnd3234~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][6]~72167\ : std_logic;
SIGNAL \led_flash_cnt[3234][7]~72168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3234][7]~q\ : std_logic;
SIGNAL \WideAnd3234~0_combout\ : std_logic;
SIGNAL \WideAnd3234~combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][0]~83872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3232][1]~72128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3232][1]~72129\ : std_logic;
SIGNAL \led_flash_cnt[3232][2]~72130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3232][2]~72131\ : std_logic;
SIGNAL \led_flash_cnt[3232][3]~72132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3232][3]~72133\ : std_logic;
SIGNAL \led_flash_cnt[3232][4]~72134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3232][4]~72135\ : std_logic;
SIGNAL \led_flash_cnt[3232][5]~72136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3232][5]~72137\ : std_logic;
SIGNAL \led_flash_cnt[3232][6]~72138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3232][6]~72139\ : std_logic;
SIGNAL \led_flash_cnt[3232][7]~72140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3232][7]~q\ : std_logic;
SIGNAL \WideAnd3232~1_combout\ : std_logic;
SIGNAL \WideAnd3232~0_combout\ : std_logic;
SIGNAL \WideAnd3232~combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][0]~83873_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3233][1]~72142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3233][1]~72143\ : std_logic;
SIGNAL \led_flash_cnt[3233][2]~72144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3233][2]~72145\ : std_logic;
SIGNAL \led_flash_cnt[3233][3]~72146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3233][3]~72147\ : std_logic;
SIGNAL \led_flash_cnt[3233][4]~72148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][4]~q\ : std_logic;
SIGNAL \WideAnd3233~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][4]~72149\ : std_logic;
SIGNAL \led_flash_cnt[3233][5]~72150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3233][5]~72151\ : std_logic;
SIGNAL \led_flash_cnt[3233][6]~72152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3233][6]~72153\ : std_logic;
SIGNAL \led_flash_cnt[3233][7]~72154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3233][7]~q\ : std_logic;
SIGNAL \WideAnd3233~1_combout\ : std_logic;
SIGNAL \WideAnd3233~combout\ : std_logic;
SIGNAL \WideAnd4244~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][0]~83878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3238][1]~72212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3238][1]~72213\ : std_logic;
SIGNAL \led_flash_cnt[3238][2]~72214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3238][2]~72215\ : std_logic;
SIGNAL \led_flash_cnt[3238][3]~72216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3238][3]~72217\ : std_logic;
SIGNAL \led_flash_cnt[3238][4]~72218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3238][4]~72219\ : std_logic;
SIGNAL \led_flash_cnt[3238][5]~72220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3238][5]~72221\ : std_logic;
SIGNAL \led_flash_cnt[3238][6]~72222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3238][6]~72223\ : std_logic;
SIGNAL \led_flash_cnt[3238][7]~72224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3238][7]~q\ : std_logic;
SIGNAL \WideAnd3238~1_combout\ : std_logic;
SIGNAL \WideAnd3238~0_combout\ : std_logic;
SIGNAL \WideAnd3238~combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][0]~83876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3236][1]~72184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3236][1]~72185\ : std_logic;
SIGNAL \led_flash_cnt[3236][2]~72186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3236][2]~72187\ : std_logic;
SIGNAL \led_flash_cnt[3236][3]~72188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3236][3]~72189\ : std_logic;
SIGNAL \led_flash_cnt[3236][4]~72190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][4]~q\ : std_logic;
SIGNAL \WideAnd3236~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][4]~72191\ : std_logic;
SIGNAL \led_flash_cnt[3236][5]~72192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3236][5]~72193\ : std_logic;
SIGNAL \led_flash_cnt[3236][6]~72194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][6]~q\ : std_logic;
SIGNAL \WideAnd3236~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][6]~72195\ : std_logic;
SIGNAL \led_flash_cnt[3236][7]~72196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3236][7]~q\ : std_logic;
SIGNAL \WideAnd3236~combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][0]~83877_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3237][1]~72198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3237][1]~72199\ : std_logic;
SIGNAL \led_flash_cnt[3237][2]~72200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3237][2]~72201\ : std_logic;
SIGNAL \led_flash_cnt[3237][3]~72202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3237][3]~72203\ : std_logic;
SIGNAL \led_flash_cnt[3237][4]~72204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][4]~q\ : std_logic;
SIGNAL \WideAnd3237~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][4]~72205\ : std_logic;
SIGNAL \led_flash_cnt[3237][5]~72206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3237][5]~72207\ : std_logic;
SIGNAL \led_flash_cnt[3237][6]~72208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3237][6]~72209\ : std_logic;
SIGNAL \led_flash_cnt[3237][7]~72210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3237][7]~q\ : std_logic;
SIGNAL \WideAnd3237~1_combout\ : std_logic;
SIGNAL \WideAnd3237~combout\ : std_logic;
SIGNAL \WideAnd4244~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][0]~83879_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3239][1]~72226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3239][1]~72227\ : std_logic;
SIGNAL \led_flash_cnt[3239][2]~72228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3239][2]~72229\ : std_logic;
SIGNAL \led_flash_cnt[3239][3]~72230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3239][3]~72231\ : std_logic;
SIGNAL \led_flash_cnt[3239][4]~72232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3239][4]~72233\ : std_logic;
SIGNAL \led_flash_cnt[3239][5]~72234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3239][5]~72235\ : std_logic;
SIGNAL \led_flash_cnt[3239][6]~72236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3239][6]~72237\ : std_logic;
SIGNAL \led_flash_cnt[3239][7]~72238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3239][7]~q\ : std_logic;
SIGNAL \WideAnd3239~0_combout\ : std_logic;
SIGNAL \WideAnd3239~1_combout\ : std_logic;
SIGNAL \WideAnd3239~combout\ : std_logic;
SIGNAL \WideAnd4244~combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][0]~83885_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3245][1]~72310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3245][1]~72311\ : std_logic;
SIGNAL \led_flash_cnt[3245][2]~72312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3245][2]~72313\ : std_logic;
SIGNAL \led_flash_cnt[3245][3]~72314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3245][3]~72315\ : std_logic;
SIGNAL \led_flash_cnt[3245][4]~72316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][4]~q\ : std_logic;
SIGNAL \WideAnd3245~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][4]~72317\ : std_logic;
SIGNAL \led_flash_cnt[3245][5]~72318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3245][5]~72319\ : std_logic;
SIGNAL \led_flash_cnt[3245][6]~72320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3245][6]~72321\ : std_logic;
SIGNAL \led_flash_cnt[3245][7]~72322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3245][7]~q\ : std_logic;
SIGNAL \WideAnd3245~1_combout\ : std_logic;
SIGNAL \WideAnd3245~combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][0]~83884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3244][1]~72296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3244][1]~72297\ : std_logic;
SIGNAL \led_flash_cnt[3244][2]~72298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3244][2]~72299\ : std_logic;
SIGNAL \led_flash_cnt[3244][3]~72300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3244][3]~72301\ : std_logic;
SIGNAL \led_flash_cnt[3244][4]~72302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3244][4]~72303\ : std_logic;
SIGNAL \led_flash_cnt[3244][5]~72304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3244][5]~72305\ : std_logic;
SIGNAL \led_flash_cnt[3244][6]~72306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3244][6]~72307\ : std_logic;
SIGNAL \led_flash_cnt[3244][7]~72308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3244][7]~q\ : std_logic;
SIGNAL \WideAnd3244~0_combout\ : std_logic;
SIGNAL \WideAnd3244~1_combout\ : std_logic;
SIGNAL \WideAnd3244~combout\ : std_logic;
SIGNAL \WideAnd4245~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][0]~83883_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3243][1]~72282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3243][1]~72283\ : std_logic;
SIGNAL \led_flash_cnt[3243][2]~72284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3243][2]~72285\ : std_logic;
SIGNAL \led_flash_cnt[3243][3]~72286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3243][3]~72287\ : std_logic;
SIGNAL \led_flash_cnt[3243][4]~72288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][4]~q\ : std_logic;
SIGNAL \WideAnd3243~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][4]~72289\ : std_logic;
SIGNAL \led_flash_cnt[3243][5]~72290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3243][5]~72291\ : std_logic;
SIGNAL \led_flash_cnt[3243][6]~72292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3243][6]~72293\ : std_logic;
SIGNAL \led_flash_cnt[3243][7]~72294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3243][7]~q\ : std_logic;
SIGNAL \WideAnd3243~1_combout\ : std_logic;
SIGNAL \WideAnd3243~combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][0]~83881_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3241][1]~72254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3241][1]~72255\ : std_logic;
SIGNAL \led_flash_cnt[3241][2]~72256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3241][2]~72257\ : std_logic;
SIGNAL \led_flash_cnt[3241][3]~72258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3241][3]~72259\ : std_logic;
SIGNAL \led_flash_cnt[3241][4]~72260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3241][4]~72261\ : std_logic;
SIGNAL \led_flash_cnt[3241][5]~72262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3241][5]~72263\ : std_logic;
SIGNAL \led_flash_cnt[3241][6]~72264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][6]~q\ : std_logic;
SIGNAL \WideAnd3241~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][6]~72265\ : std_logic;
SIGNAL \led_flash_cnt[3241][7]~72266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3241][7]~q\ : std_logic;
SIGNAL \WideAnd3241~0_combout\ : std_logic;
SIGNAL \WideAnd3241~combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][0]~83880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3240][1]~72240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3240][1]~72241\ : std_logic;
SIGNAL \led_flash_cnt[3240][2]~72242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3240][2]~72243\ : std_logic;
SIGNAL \led_flash_cnt[3240][3]~72244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3240][3]~72245\ : std_logic;
SIGNAL \led_flash_cnt[3240][4]~72246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3240][4]~72247\ : std_logic;
SIGNAL \led_flash_cnt[3240][5]~72248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3240][5]~72249\ : std_logic;
SIGNAL \led_flash_cnt[3240][6]~72250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][6]~q\ : std_logic;
SIGNAL \WideAnd3240~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][6]~72251\ : std_logic;
SIGNAL \led_flash_cnt[3240][7]~72252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3240][7]~q\ : std_logic;
SIGNAL \WideAnd3240~0_combout\ : std_logic;
SIGNAL \WideAnd3240~combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][0]~83882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3242][1]~72268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3242][1]~72269\ : std_logic;
SIGNAL \led_flash_cnt[3242][2]~72270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3242][2]~72271\ : std_logic;
SIGNAL \led_flash_cnt[3242][3]~72272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3242][3]~72273\ : std_logic;
SIGNAL \led_flash_cnt[3242][4]~72274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3242][4]~72275\ : std_logic;
SIGNAL \led_flash_cnt[3242][5]~72276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3242][5]~72277\ : std_logic;
SIGNAL \led_flash_cnt[3242][6]~72278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][6]~q\ : std_logic;
SIGNAL \WideAnd3242~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][6]~72279\ : std_logic;
SIGNAL \led_flash_cnt[3242][7]~72280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3242][7]~q\ : std_logic;
SIGNAL \WideAnd3242~0_combout\ : std_logic;
SIGNAL \WideAnd3242~combout\ : std_logic;
SIGNAL \WideAnd4245~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][0]~83887_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3247][1]~72338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3247][1]~72339\ : std_logic;
SIGNAL \led_flash_cnt[3247][2]~72340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3247][2]~72341\ : std_logic;
SIGNAL \led_flash_cnt[3247][3]~72342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3247][3]~72343\ : std_logic;
SIGNAL \led_flash_cnt[3247][4]~72344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3247][4]~72345\ : std_logic;
SIGNAL \led_flash_cnt[3247][5]~72346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3247][5]~72347\ : std_logic;
SIGNAL \led_flash_cnt[3247][6]~72348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3247][6]~72349\ : std_logic;
SIGNAL \led_flash_cnt[3247][7]~72350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3247][7]~q\ : std_logic;
SIGNAL \WideAnd3247~1_combout\ : std_logic;
SIGNAL \WideAnd3247~0_combout\ : std_logic;
SIGNAL \WideAnd3247~combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][0]~83886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3246][1]~72324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3246][1]~72325\ : std_logic;
SIGNAL \led_flash_cnt[3246][2]~72326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3246][2]~72327\ : std_logic;
SIGNAL \led_flash_cnt[3246][3]~72328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3246][3]~72329\ : std_logic;
SIGNAL \led_flash_cnt[3246][4]~72330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3246][4]~72331\ : std_logic;
SIGNAL \led_flash_cnt[3246][5]~72332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3246][5]~72333\ : std_logic;
SIGNAL \led_flash_cnt[3246][6]~72334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3246][6]~72335\ : std_logic;
SIGNAL \led_flash_cnt[3246][7]~72336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3246][7]~q\ : std_logic;
SIGNAL \WideAnd3246~1_combout\ : std_logic;
SIGNAL \WideAnd3246~0_combout\ : std_logic;
SIGNAL \WideAnd3246~combout\ : std_logic;
SIGNAL \WideAnd4245~combout\ : std_logic;
SIGNAL \WideAnd4370~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][0]~83902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3262][1]~72548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3262][1]~72549\ : std_logic;
SIGNAL \led_flash_cnt[3262][2]~72550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3262][2]~72551\ : std_logic;
SIGNAL \led_flash_cnt[3262][3]~72552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3262][3]~72553\ : std_logic;
SIGNAL \led_flash_cnt[3262][4]~72554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][4]~q\ : std_logic;
SIGNAL \WideAnd3262~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][4]~72555\ : std_logic;
SIGNAL \led_flash_cnt[3262][5]~72556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3262][5]~72557\ : std_logic;
SIGNAL \led_flash_cnt[3262][6]~72558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3262][6]~72559\ : std_logic;
SIGNAL \led_flash_cnt[3262][7]~72560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3262][7]~q\ : std_logic;
SIGNAL \WideAnd3262~1_combout\ : std_logic;
SIGNAL \WideAnd3262~combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][0]~83897_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3257][1]~72478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3257][1]~72479\ : std_logic;
SIGNAL \led_flash_cnt[3257][2]~72480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3257][2]~72481\ : std_logic;
SIGNAL \led_flash_cnt[3257][3]~72482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3257][3]~72483\ : std_logic;
SIGNAL \led_flash_cnt[3257][4]~72484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][4]~q\ : std_logic;
SIGNAL \WideAnd3257~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][4]~72485\ : std_logic;
SIGNAL \led_flash_cnt[3257][5]~72486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3257][5]~72487\ : std_logic;
SIGNAL \led_flash_cnt[3257][6]~72488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3257][6]~72489\ : std_logic;
SIGNAL \led_flash_cnt[3257][7]~72490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3257][7]~q\ : std_logic;
SIGNAL \WideAnd3257~1_combout\ : std_logic;
SIGNAL \WideAnd3257~combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][0]~83899_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3259][1]~72506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3259][1]~72507\ : std_logic;
SIGNAL \led_flash_cnt[3259][2]~72508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3259][2]~72509\ : std_logic;
SIGNAL \led_flash_cnt[3259][3]~72510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3259][3]~72511\ : std_logic;
SIGNAL \led_flash_cnt[3259][4]~72512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][4]~q\ : std_logic;
SIGNAL \WideAnd3259~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][4]~72513\ : std_logic;
SIGNAL \led_flash_cnt[3259][5]~72514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3259][5]~72515\ : std_logic;
SIGNAL \led_flash_cnt[3259][6]~72516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3259][6]~72517\ : std_logic;
SIGNAL \led_flash_cnt[3259][7]~72518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3259][7]~q\ : std_logic;
SIGNAL \WideAnd3259~1_combout\ : std_logic;
SIGNAL \WideAnd3259~combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][0]~83898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3258][1]~72492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3258][1]~72493\ : std_logic;
SIGNAL \led_flash_cnt[3258][2]~72494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3258][2]~72495\ : std_logic;
SIGNAL \led_flash_cnt[3258][3]~72496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3258][3]~72497\ : std_logic;
SIGNAL \led_flash_cnt[3258][4]~72498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][4]~q\ : std_logic;
SIGNAL \WideAnd3258~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][4]~72499\ : std_logic;
SIGNAL \led_flash_cnt[3258][5]~72500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3258][5]~72501\ : std_logic;
SIGNAL \led_flash_cnt[3258][6]~72502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3258][6]~72503\ : std_logic;
SIGNAL \led_flash_cnt[3258][7]~72504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3258][7]~q\ : std_logic;
SIGNAL \WideAnd3258~1_combout\ : std_logic;
SIGNAL \WideAnd3258~combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][0]~83896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3256][1]~72464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3256][1]~72465\ : std_logic;
SIGNAL \led_flash_cnt[3256][2]~72466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3256][2]~72467\ : std_logic;
SIGNAL \led_flash_cnt[3256][3]~72468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3256][3]~72469\ : std_logic;
SIGNAL \led_flash_cnt[3256][4]~72470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][4]~q\ : std_logic;
SIGNAL \WideAnd3256~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][4]~72471\ : std_logic;
SIGNAL \led_flash_cnt[3256][5]~72472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3256][5]~72473\ : std_logic;
SIGNAL \led_flash_cnt[3256][6]~72474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3256][6]~72475\ : std_logic;
SIGNAL \led_flash_cnt[3256][7]~72476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3256][7]~q\ : std_logic;
SIGNAL \WideAnd3256~1_combout\ : std_logic;
SIGNAL \WideAnd3256~combout\ : std_logic;
SIGNAL \WideAnd4247~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][0]~83901_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3261][1]~72534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3261][1]~72535\ : std_logic;
SIGNAL \led_flash_cnt[3261][2]~72536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3261][2]~72537\ : std_logic;
SIGNAL \led_flash_cnt[3261][3]~72538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3261][3]~72539\ : std_logic;
SIGNAL \led_flash_cnt[3261][4]~72540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3261][4]~72541\ : std_logic;
SIGNAL \led_flash_cnt[3261][5]~72542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3261][5]~72543\ : std_logic;
SIGNAL \led_flash_cnt[3261][6]~72544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][6]~q\ : std_logic;
SIGNAL \WideAnd3261~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][6]~72545\ : std_logic;
SIGNAL \led_flash_cnt[3261][7]~72546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3261][7]~q\ : std_logic;
SIGNAL \WideAnd3261~0_combout\ : std_logic;
SIGNAL \WideAnd3261~combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][0]~83900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3260][1]~72520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3260][1]~72521\ : std_logic;
SIGNAL \led_flash_cnt[3260][2]~72522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3260][2]~72523\ : std_logic;
SIGNAL \led_flash_cnt[3260][3]~72524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3260][3]~72525\ : std_logic;
SIGNAL \led_flash_cnt[3260][4]~72526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3260][4]~72527\ : std_logic;
SIGNAL \led_flash_cnt[3260][5]~72528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3260][5]~72529\ : std_logic;
SIGNAL \led_flash_cnt[3260][6]~72530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][6]~q\ : std_logic;
SIGNAL \WideAnd3260~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][6]~72531\ : std_logic;
SIGNAL \led_flash_cnt[3260][7]~72532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3260][7]~q\ : std_logic;
SIGNAL \WideAnd3260~0_combout\ : std_logic;
SIGNAL \WideAnd3260~combout\ : std_logic;
SIGNAL \WideAnd4247~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][0]~83903_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3263][1]~72562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3263][1]~72563\ : std_logic;
SIGNAL \led_flash_cnt[3263][2]~72564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3263][2]~72565\ : std_logic;
SIGNAL \led_flash_cnt[3263][3]~72566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3263][3]~72567\ : std_logic;
SIGNAL \led_flash_cnt[3263][4]~72568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3263][4]~72569\ : std_logic;
SIGNAL \led_flash_cnt[3263][5]~72570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3263][5]~72571\ : std_logic;
SIGNAL \led_flash_cnt[3263][6]~72572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][6]~q\ : std_logic;
SIGNAL \WideAnd3263~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][6]~72573\ : std_logic;
SIGNAL \led_flash_cnt[3263][7]~72574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3263][7]~q\ : std_logic;
SIGNAL \WideAnd3263~0_combout\ : std_logic;
SIGNAL \WideAnd3263~combout\ : std_logic;
SIGNAL \WideAnd4247~combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][0]~83892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3252][1]~72408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3252][1]~72409\ : std_logic;
SIGNAL \led_flash_cnt[3252][2]~72410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3252][2]~72411\ : std_logic;
SIGNAL \led_flash_cnt[3252][3]~72412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3252][3]~72413\ : std_logic;
SIGNAL \led_flash_cnt[3252][4]~72414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3252][4]~72415\ : std_logic;
SIGNAL \led_flash_cnt[3252][5]~72416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3252][5]~72417\ : std_logic;
SIGNAL \led_flash_cnt[3252][6]~72418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3252][6]~72419\ : std_logic;
SIGNAL \led_flash_cnt[3252][7]~72420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3252][7]~q\ : std_logic;
SIGNAL \WideAnd3252~0_combout\ : std_logic;
SIGNAL \WideAnd3252~1_combout\ : std_logic;
SIGNAL \WideAnd3252~combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][0]~83893_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3253][1]~72422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3253][1]~72423\ : std_logic;
SIGNAL \led_flash_cnt[3253][2]~72424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3253][2]~72425\ : std_logic;
SIGNAL \led_flash_cnt[3253][3]~72426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3253][3]~72427\ : std_logic;
SIGNAL \led_flash_cnt[3253][4]~72428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3253][4]~72429\ : std_logic;
SIGNAL \led_flash_cnt[3253][5]~72430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3253][5]~72431\ : std_logic;
SIGNAL \led_flash_cnt[3253][6]~72432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][6]~q\ : std_logic;
SIGNAL \WideAnd3253~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][6]~72433\ : std_logic;
SIGNAL \led_flash_cnt[3253][7]~72434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3253][7]~q\ : std_logic;
SIGNAL \WideAnd3253~0_combout\ : std_logic;
SIGNAL \WideAnd3253~combout\ : std_logic;
SIGNAL \WideAnd4246~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][0]~83895_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3255][1]~72450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3255][1]~72451\ : std_logic;
SIGNAL \led_flash_cnt[3255][2]~72452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3255][2]~72453\ : std_logic;
SIGNAL \led_flash_cnt[3255][3]~72454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3255][3]~72455\ : std_logic;
SIGNAL \led_flash_cnt[3255][4]~72456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3255][4]~72457\ : std_logic;
SIGNAL \led_flash_cnt[3255][5]~72458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3255][5]~72459\ : std_logic;
SIGNAL \led_flash_cnt[3255][6]~72460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3255][6]~72461\ : std_logic;
SIGNAL \led_flash_cnt[3255][7]~72462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3255][7]~q\ : std_logic;
SIGNAL \WideAnd3255~0_combout\ : std_logic;
SIGNAL \WideAnd3255~1_combout\ : std_logic;
SIGNAL \WideAnd3255~combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][0]~83891_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3251][1]~72394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3251][1]~72395\ : std_logic;
SIGNAL \led_flash_cnt[3251][2]~72396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3251][2]~72397\ : std_logic;
SIGNAL \led_flash_cnt[3251][3]~72398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3251][3]~72399\ : std_logic;
SIGNAL \led_flash_cnt[3251][4]~72400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][4]~q\ : std_logic;
SIGNAL \WideAnd3251~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][4]~72401\ : std_logic;
SIGNAL \led_flash_cnt[3251][5]~72402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3251][5]~72403\ : std_logic;
SIGNAL \led_flash_cnt[3251][6]~72404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3251][6]~72405\ : std_logic;
SIGNAL \led_flash_cnt[3251][7]~72406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3251][7]~q\ : std_logic;
SIGNAL \WideAnd3251~1_combout\ : std_logic;
SIGNAL \WideAnd3251~combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][0]~83890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3250][1]~72380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3250][1]~72381\ : std_logic;
SIGNAL \led_flash_cnt[3250][2]~72382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3250][2]~72383\ : std_logic;
SIGNAL \led_flash_cnt[3250][3]~72384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3250][3]~72385\ : std_logic;
SIGNAL \led_flash_cnt[3250][4]~72386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3250][4]~72387\ : std_logic;
SIGNAL \led_flash_cnt[3250][5]~72388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3250][5]~72389\ : std_logic;
SIGNAL \led_flash_cnt[3250][6]~72390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][6]~q\ : std_logic;
SIGNAL \WideAnd3250~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][6]~72391\ : std_logic;
SIGNAL \led_flash_cnt[3250][7]~72392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3250][7]~q\ : std_logic;
SIGNAL \WideAnd3250~0_combout\ : std_logic;
SIGNAL \WideAnd3250~combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][0]~83888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3248][1]~72352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3248][1]~72353\ : std_logic;
SIGNAL \led_flash_cnt[3248][2]~72354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3248][2]~72355\ : std_logic;
SIGNAL \led_flash_cnt[3248][3]~72356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3248][3]~72357\ : std_logic;
SIGNAL \led_flash_cnt[3248][4]~72358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3248][4]~72359\ : std_logic;
SIGNAL \led_flash_cnt[3248][5]~72360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3248][5]~72361\ : std_logic;
SIGNAL \led_flash_cnt[3248][6]~72362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][6]~q\ : std_logic;
SIGNAL \WideAnd3248~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][6]~72363\ : std_logic;
SIGNAL \led_flash_cnt[3248][7]~72364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3248][7]~q\ : std_logic;
SIGNAL \WideAnd3248~0_combout\ : std_logic;
SIGNAL \WideAnd3248~combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][0]~83889_combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3249][1]~72366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3249][1]~72367\ : std_logic;
SIGNAL \led_flash_cnt[3249][2]~72368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3249][2]~72369\ : std_logic;
SIGNAL \led_flash_cnt[3249][3]~72370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3249][3]~72371\ : std_logic;
SIGNAL \led_flash_cnt[3249][4]~72372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3249][4]~72373\ : std_logic;
SIGNAL \led_flash_cnt[3249][5]~72374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3249][5]~72375\ : std_logic;
SIGNAL \led_flash_cnt[3249][6]~72376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3249][6]~72377\ : std_logic;
SIGNAL \led_flash_cnt[3249][7]~72378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3249][7]~q\ : std_logic;
SIGNAL \WideAnd3249~1_combout\ : std_logic;
SIGNAL \WideAnd3249~0_combout\ : std_logic;
SIGNAL \WideAnd3249~combout\ : std_logic;
SIGNAL \WideAnd4246~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][0]~83894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3254][1]~72436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3254][1]~72437\ : std_logic;
SIGNAL \led_flash_cnt[3254][2]~72438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3254][2]~72439\ : std_logic;
SIGNAL \led_flash_cnt[3254][3]~72440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3254][3]~72441\ : std_logic;
SIGNAL \led_flash_cnt[3254][4]~72442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3254][4]~72443\ : std_logic;
SIGNAL \led_flash_cnt[3254][5]~72444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3254][5]~72445\ : std_logic;
SIGNAL \led_flash_cnt[3254][6]~72446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3254][6]~72447\ : std_logic;
SIGNAL \led_flash_cnt[3254][7]~72448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3254][7]~q\ : std_logic;
SIGNAL \WideAnd3254~1_combout\ : std_logic;
SIGNAL \WideAnd3254~0_combout\ : std_logic;
SIGNAL \WideAnd3254~combout\ : std_logic;
SIGNAL \WideAnd4246~combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][0]~83849_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3209][1]~71806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3209][1]~71807\ : std_logic;
SIGNAL \led_flash_cnt[3209][2]~71808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3209][2]~71809\ : std_logic;
SIGNAL \led_flash_cnt[3209][3]~71810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3209][3]~71811\ : std_logic;
SIGNAL \led_flash_cnt[3209][4]~71812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][4]~q\ : std_logic;
SIGNAL \WideAnd3209~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][4]~71813\ : std_logic;
SIGNAL \led_flash_cnt[3209][5]~71814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3209][5]~71815\ : std_logic;
SIGNAL \led_flash_cnt[3209][6]~71816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][6]~q\ : std_logic;
SIGNAL \WideAnd3209~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][6]~71817\ : std_logic;
SIGNAL \led_flash_cnt[3209][7]~71818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3209][7]~q\ : std_logic;
SIGNAL \WideAnd3209~combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][0]~83848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3208][1]~71792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3208][1]~71793\ : std_logic;
SIGNAL \led_flash_cnt[3208][2]~71794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3208][2]~71795\ : std_logic;
SIGNAL \led_flash_cnt[3208][3]~71796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3208][3]~71797\ : std_logic;
SIGNAL \led_flash_cnt[3208][4]~71798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][4]~q\ : std_logic;
SIGNAL \WideAnd3208~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][4]~71799\ : std_logic;
SIGNAL \led_flash_cnt[3208][5]~71800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3208][5]~71801\ : std_logic;
SIGNAL \led_flash_cnt[3208][6]~71802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3208][6]~71803\ : std_logic;
SIGNAL \led_flash_cnt[3208][7]~71804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3208][7]~q\ : std_logic;
SIGNAL \WideAnd3208~1_combout\ : std_logic;
SIGNAL \WideAnd3208~combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][0]~83851_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3211][1]~71834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3211][1]~71835\ : std_logic;
SIGNAL \led_flash_cnt[3211][2]~71836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3211][2]~71837\ : std_logic;
SIGNAL \led_flash_cnt[3211][3]~71838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3211][3]~71839\ : std_logic;
SIGNAL \led_flash_cnt[3211][4]~71840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3211][4]~71841\ : std_logic;
SIGNAL \led_flash_cnt[3211][5]~71842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3211][5]~71843\ : std_logic;
SIGNAL \led_flash_cnt[3211][6]~71844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][6]~q\ : std_logic;
SIGNAL \WideAnd3211~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][6]~71845\ : std_logic;
SIGNAL \led_flash_cnt[3211][7]~71846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3211][7]~q\ : std_logic;
SIGNAL \WideAnd3211~0_combout\ : std_logic;
SIGNAL \WideAnd3211~combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][0]~83850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3210][1]~71820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3210][1]~71821\ : std_logic;
SIGNAL \led_flash_cnt[3210][2]~71822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3210][2]~71823\ : std_logic;
SIGNAL \led_flash_cnt[3210][3]~71824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3210][3]~71825\ : std_logic;
SIGNAL \led_flash_cnt[3210][4]~71826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][4]~q\ : std_logic;
SIGNAL \WideAnd3210~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][4]~71827\ : std_logic;
SIGNAL \led_flash_cnt[3210][5]~71828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3210][5]~71829\ : std_logic;
SIGNAL \led_flash_cnt[3210][6]~71830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3210][6]~71831\ : std_logic;
SIGNAL \led_flash_cnt[3210][7]~71832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3210][7]~q\ : std_logic;
SIGNAL \WideAnd3210~1_combout\ : std_logic;
SIGNAL \WideAnd3210~combout\ : std_logic;
SIGNAL \WideAnd4241~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][0]~83853_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3213][1]~71862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3213][1]~71863\ : std_logic;
SIGNAL \led_flash_cnt[3213][2]~71864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3213][2]~71865\ : std_logic;
SIGNAL \led_flash_cnt[3213][3]~71866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3213][3]~71867\ : std_logic;
SIGNAL \led_flash_cnt[3213][4]~71868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3213][4]~71869\ : std_logic;
SIGNAL \led_flash_cnt[3213][5]~71870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3213][5]~71871\ : std_logic;
SIGNAL \led_flash_cnt[3213][6]~71872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3213][6]~71873\ : std_logic;
SIGNAL \led_flash_cnt[3213][7]~71874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3213][7]~q\ : std_logic;
SIGNAL \WideAnd3213~0_combout\ : std_logic;
SIGNAL \WideAnd3213~1_combout\ : std_logic;
SIGNAL \WideAnd3213~combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][0]~83852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3212][1]~71848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3212][1]~71849\ : std_logic;
SIGNAL \led_flash_cnt[3212][2]~71850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3212][2]~71851\ : std_logic;
SIGNAL \led_flash_cnt[3212][3]~71852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3212][3]~71853\ : std_logic;
SIGNAL \led_flash_cnt[3212][4]~71854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3212][4]~71855\ : std_logic;
SIGNAL \led_flash_cnt[3212][5]~71856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3212][5]~71857\ : std_logic;
SIGNAL \led_flash_cnt[3212][6]~71858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3212][6]~71859\ : std_logic;
SIGNAL \led_flash_cnt[3212][7]~71860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3212][7]~q\ : std_logic;
SIGNAL \WideAnd3212~0_combout\ : std_logic;
SIGNAL \WideAnd3212~1_combout\ : std_logic;
SIGNAL \WideAnd3212~combout\ : std_logic;
SIGNAL \WideAnd4241~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][0]~83855_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3215][1]~71890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3215][1]~71891\ : std_logic;
SIGNAL \led_flash_cnt[3215][2]~71892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3215][2]~71893\ : std_logic;
SIGNAL \led_flash_cnt[3215][3]~71894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3215][3]~71895\ : std_logic;
SIGNAL \led_flash_cnt[3215][4]~71896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3215][4]~71897\ : std_logic;
SIGNAL \led_flash_cnt[3215][5]~71898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3215][5]~71899\ : std_logic;
SIGNAL \led_flash_cnt[3215][6]~71900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][6]~q\ : std_logic;
SIGNAL \WideAnd3215~1_combout\ : std_logic;
SIGNAL \WideAnd3215~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][6]~71901\ : std_logic;
SIGNAL \led_flash_cnt[3215][7]~71902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3215][7]~q\ : std_logic;
SIGNAL \WideAnd3215~combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][0]~83854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3214][1]~71876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3214][1]~71877\ : std_logic;
SIGNAL \led_flash_cnt[3214][2]~71878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3214][2]~71879\ : std_logic;
SIGNAL \led_flash_cnt[3214][3]~71880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3214][3]~71881\ : std_logic;
SIGNAL \led_flash_cnt[3214][4]~71882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3214][4]~71883\ : std_logic;
SIGNAL \led_flash_cnt[3214][5]~71884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3214][5]~71885\ : std_logic;
SIGNAL \led_flash_cnt[3214][6]~71886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3214][6]~71887\ : std_logic;
SIGNAL \led_flash_cnt[3214][7]~71888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3214][7]~q\ : std_logic;
SIGNAL \WideAnd3214~0_combout\ : std_logic;
SIGNAL \WideAnd3214~1_combout\ : std_logic;
SIGNAL \WideAnd3214~combout\ : std_logic;
SIGNAL \WideAnd4241~combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][0]~83858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3218][1]~71932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3218][1]~71933\ : std_logic;
SIGNAL \led_flash_cnt[3218][2]~71934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3218][2]~71935\ : std_logic;
SIGNAL \led_flash_cnt[3218][3]~71936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3218][3]~71937\ : std_logic;
SIGNAL \led_flash_cnt[3218][4]~71938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3218][4]~71939\ : std_logic;
SIGNAL \led_flash_cnt[3218][5]~71940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3218][5]~71941\ : std_logic;
SIGNAL \led_flash_cnt[3218][6]~71942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3218][6]~71943\ : std_logic;
SIGNAL \led_flash_cnt[3218][7]~71944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3218][7]~q\ : std_logic;
SIGNAL \WideAnd3218~0_combout\ : std_logic;
SIGNAL \WideAnd3218~1_combout\ : std_logic;
SIGNAL \WideAnd3218~combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][0]~83856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3216][1]~71904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3216][1]~71905\ : std_logic;
SIGNAL \led_flash_cnt[3216][2]~71906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3216][2]~71907\ : std_logic;
SIGNAL \led_flash_cnt[3216][3]~71908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3216][3]~71909\ : std_logic;
SIGNAL \led_flash_cnt[3216][4]~71910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3216][4]~71911\ : std_logic;
SIGNAL \led_flash_cnt[3216][5]~71912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3216][5]~71913\ : std_logic;
SIGNAL \led_flash_cnt[3216][6]~71914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][6]~q\ : std_logic;
SIGNAL \WideAnd3216~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][6]~71915\ : std_logic;
SIGNAL \led_flash_cnt[3216][7]~71916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3216][7]~q\ : std_logic;
SIGNAL \WideAnd3216~0_combout\ : std_logic;
SIGNAL \WideAnd3216~combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][0]~83859_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3219][1]~71946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3219][1]~71947\ : std_logic;
SIGNAL \led_flash_cnt[3219][2]~71948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3219][2]~71949\ : std_logic;
SIGNAL \led_flash_cnt[3219][3]~71950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3219][3]~71951\ : std_logic;
SIGNAL \led_flash_cnt[3219][4]~71952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3219][4]~71953\ : std_logic;
SIGNAL \led_flash_cnt[3219][5]~71954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3219][5]~71955\ : std_logic;
SIGNAL \led_flash_cnt[3219][6]~71956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][6]~q\ : std_logic;
SIGNAL \WideAnd3219~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][6]~71957\ : std_logic;
SIGNAL \led_flash_cnt[3219][7]~71958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3219][7]~q\ : std_logic;
SIGNAL \WideAnd3219~0_combout\ : std_logic;
SIGNAL \WideAnd3219~combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][0]~83857_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3217][1]~71918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3217][1]~71919\ : std_logic;
SIGNAL \led_flash_cnt[3217][2]~71920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3217][2]~71921\ : std_logic;
SIGNAL \led_flash_cnt[3217][3]~71922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3217][3]~71923\ : std_logic;
SIGNAL \led_flash_cnt[3217][4]~71924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][4]~q\ : std_logic;
SIGNAL \WideAnd3217~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][4]~71925\ : std_logic;
SIGNAL \led_flash_cnt[3217][5]~71926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3217][5]~71927\ : std_logic;
SIGNAL \led_flash_cnt[3217][6]~71928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][6]~q\ : std_logic;
SIGNAL \WideAnd3217~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][6]~71929\ : std_logic;
SIGNAL \led_flash_cnt[3217][7]~71930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3217][7]~q\ : std_logic;
SIGNAL \WideAnd3217~combout\ : std_logic;
SIGNAL \WideAnd4242~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][0]~83862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3222][1]~71988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3222][1]~71989\ : std_logic;
SIGNAL \led_flash_cnt[3222][2]~71990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3222][2]~71991\ : std_logic;
SIGNAL \led_flash_cnt[3222][3]~71992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3222][3]~71993\ : std_logic;
SIGNAL \led_flash_cnt[3222][4]~71994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3222][4]~71995\ : std_logic;
SIGNAL \led_flash_cnt[3222][5]~71996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3222][5]~71997\ : std_logic;
SIGNAL \led_flash_cnt[3222][6]~71998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][6]~q\ : std_logic;
SIGNAL \WideAnd3222~1_combout\ : std_logic;
SIGNAL \WideAnd3222~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][6]~71999\ : std_logic;
SIGNAL \led_flash_cnt[3222][7]~72000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3222][7]~q\ : std_logic;
SIGNAL \WideAnd3222~combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][0]~83861_combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3221][1]~71974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3221][1]~71975\ : std_logic;
SIGNAL \led_flash_cnt[3221][2]~71976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3221][2]~71977\ : std_logic;
SIGNAL \led_flash_cnt[3221][3]~71978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3221][3]~71979\ : std_logic;
SIGNAL \led_flash_cnt[3221][4]~71980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3221][4]~71981\ : std_logic;
SIGNAL \led_flash_cnt[3221][5]~71982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3221][5]~71983\ : std_logic;
SIGNAL \led_flash_cnt[3221][6]~71984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3221][6]~71985\ : std_logic;
SIGNAL \led_flash_cnt[3221][7]~71986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3221][7]~q\ : std_logic;
SIGNAL \WideAnd3221~0_combout\ : std_logic;
SIGNAL \WideAnd3221~1_combout\ : std_logic;
SIGNAL \WideAnd3221~combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][0]~83860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3220][1]~71960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3220][1]~71961\ : std_logic;
SIGNAL \led_flash_cnt[3220][2]~71962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3220][2]~71963\ : std_logic;
SIGNAL \led_flash_cnt[3220][3]~71964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3220][3]~71965\ : std_logic;
SIGNAL \led_flash_cnt[3220][4]~71966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][4]~q\ : std_logic;
SIGNAL \WideAnd3220~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][4]~71967\ : std_logic;
SIGNAL \led_flash_cnt[3220][5]~71968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3220][5]~71969\ : std_logic;
SIGNAL \led_flash_cnt[3220][6]~71970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][6]~q\ : std_logic;
SIGNAL \WideAnd3220~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][6]~71971\ : std_logic;
SIGNAL \led_flash_cnt[3220][7]~71972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3220][7]~q\ : std_logic;
SIGNAL \WideAnd3220~combout\ : std_logic;
SIGNAL \WideAnd4242~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][0]~83863_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3223][1]~72002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3223][1]~72003\ : std_logic;
SIGNAL \led_flash_cnt[3223][2]~72004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3223][2]~72005\ : std_logic;
SIGNAL \led_flash_cnt[3223][3]~72006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3223][3]~72007\ : std_logic;
SIGNAL \led_flash_cnt[3223][4]~72008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3223][4]~72009\ : std_logic;
SIGNAL \led_flash_cnt[3223][5]~72010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3223][5]~72011\ : std_logic;
SIGNAL \led_flash_cnt[3223][6]~72012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][6]~q\ : std_logic;
SIGNAL \WideAnd3223~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][6]~72013\ : std_logic;
SIGNAL \led_flash_cnt[3223][7]~72014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3223][7]~q\ : std_logic;
SIGNAL \WideAnd3223~0_combout\ : std_logic;
SIGNAL \WideAnd3223~combout\ : std_logic;
SIGNAL \WideAnd4242~combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][0]~83846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3206][1]~71764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3206][1]~71765\ : std_logic;
SIGNAL \led_flash_cnt[3206][2]~71766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3206][2]~71767\ : std_logic;
SIGNAL \led_flash_cnt[3206][3]~71768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3206][3]~71769\ : std_logic;
SIGNAL \led_flash_cnt[3206][4]~71770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3206][4]~71771\ : std_logic;
SIGNAL \led_flash_cnt[3206][5]~71772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3206][5]~71773\ : std_logic;
SIGNAL \led_flash_cnt[3206][6]~71774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][6]~q\ : std_logic;
SIGNAL \WideAnd3206~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][6]~71775\ : std_logic;
SIGNAL \led_flash_cnt[3206][7]~71776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3206][7]~q\ : std_logic;
SIGNAL \WideAnd3206~0_combout\ : std_logic;
SIGNAL \WideAnd3206~combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][0]~83844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3204][1]~71736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3204][1]~71737\ : std_logic;
SIGNAL \led_flash_cnt[3204][2]~71738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3204][2]~71739\ : std_logic;
SIGNAL \led_flash_cnt[3204][3]~71740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3204][3]~71741\ : std_logic;
SIGNAL \led_flash_cnt[3204][4]~71742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][4]~q\ : std_logic;
SIGNAL \WideAnd3204~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][4]~71743\ : std_logic;
SIGNAL \led_flash_cnt[3204][5]~71744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3204][5]~71745\ : std_logic;
SIGNAL \led_flash_cnt[3204][6]~71746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3204][6]~71747\ : std_logic;
SIGNAL \led_flash_cnt[3204][7]~71748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3204][7]~q\ : std_logic;
SIGNAL \WideAnd3204~1_combout\ : std_logic;
SIGNAL \WideAnd3204~combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][0]~83845_combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3205][1]~71750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3205][1]~71751\ : std_logic;
SIGNAL \led_flash_cnt[3205][2]~71752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3205][2]~71753\ : std_logic;
SIGNAL \led_flash_cnt[3205][3]~71754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3205][3]~71755\ : std_logic;
SIGNAL \led_flash_cnt[3205][4]~71756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3205][4]~71757\ : std_logic;
SIGNAL \led_flash_cnt[3205][5]~71758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3205][5]~71759\ : std_logic;
SIGNAL \led_flash_cnt[3205][6]~71760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3205][6]~71761\ : std_logic;
SIGNAL \led_flash_cnt[3205][7]~71762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3205][7]~q\ : std_logic;
SIGNAL \WideAnd3205~0_combout\ : std_logic;
SIGNAL \WideAnd3205~1_combout\ : std_logic;
SIGNAL \WideAnd3205~combout\ : std_logic;
SIGNAL \WideAnd4240~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][0]~83847_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3207][1]~71778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3207][1]~71779\ : std_logic;
SIGNAL \led_flash_cnt[3207][2]~71780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3207][2]~71781\ : std_logic;
SIGNAL \led_flash_cnt[3207][3]~71782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3207][3]~71783\ : std_logic;
SIGNAL \led_flash_cnt[3207][4]~71784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3207][4]~71785\ : std_logic;
SIGNAL \led_flash_cnt[3207][5]~71786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3207][5]~71787\ : std_logic;
SIGNAL \led_flash_cnt[3207][6]~71788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][6]~q\ : std_logic;
SIGNAL \WideAnd3207~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][6]~71789\ : std_logic;
SIGNAL \led_flash_cnt[3207][7]~71790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3207][7]~q\ : std_logic;
SIGNAL \WideAnd3207~0_combout\ : std_logic;
SIGNAL \WideAnd3207~combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][0]~83840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3200][1]~71680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3200][1]~71681\ : std_logic;
SIGNAL \led_flash_cnt[3200][2]~71682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3200][2]~71683\ : std_logic;
SIGNAL \led_flash_cnt[3200][3]~71684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3200][3]~71685\ : std_logic;
SIGNAL \led_flash_cnt[3200][4]~71686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3200][4]~71687\ : std_logic;
SIGNAL \led_flash_cnt[3200][5]~71688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3200][5]~71689\ : std_logic;
SIGNAL \led_flash_cnt[3200][6]~71690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][6]~q\ : std_logic;
SIGNAL \WideAnd3200~1_combout\ : std_logic;
SIGNAL \WideAnd3200~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][6]~71691\ : std_logic;
SIGNAL \led_flash_cnt[3200][7]~71692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3200][7]~q\ : std_logic;
SIGNAL \WideAnd3200~combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][0]~83841_combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3201][1]~71694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3201][1]~71695\ : std_logic;
SIGNAL \led_flash_cnt[3201][2]~71696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3201][2]~71697\ : std_logic;
SIGNAL \led_flash_cnt[3201][3]~71698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3201][3]~71699\ : std_logic;
SIGNAL \led_flash_cnt[3201][4]~71700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3201][4]~71701\ : std_logic;
SIGNAL \led_flash_cnt[3201][5]~71702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3201][5]~71703\ : std_logic;
SIGNAL \led_flash_cnt[3201][6]~71704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3201][6]~71705\ : std_logic;
SIGNAL \led_flash_cnt[3201][7]~71706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3201][7]~q\ : std_logic;
SIGNAL \WideAnd3201~1_combout\ : std_logic;
SIGNAL \WideAnd3201~0_combout\ : std_logic;
SIGNAL \WideAnd3201~combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][0]~83843_combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3203][1]~71722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3203][1]~71723\ : std_logic;
SIGNAL \led_flash_cnt[3203][2]~71724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3203][2]~71725\ : std_logic;
SIGNAL \led_flash_cnt[3203][3]~71726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3203][3]~71727\ : std_logic;
SIGNAL \led_flash_cnt[3203][4]~71728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3203][4]~71729\ : std_logic;
SIGNAL \led_flash_cnt[3203][5]~71730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3203][5]~71731\ : std_logic;
SIGNAL \led_flash_cnt[3203][6]~71732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3203][6]~71733\ : std_logic;
SIGNAL \led_flash_cnt[3203][7]~71734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3203][7]~q\ : std_logic;
SIGNAL \WideAnd3203~1_combout\ : std_logic;
SIGNAL \WideAnd3203~0_combout\ : std_logic;
SIGNAL \WideAnd3203~combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][0]~83842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3202][1]~71708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3202][1]~71709\ : std_logic;
SIGNAL \led_flash_cnt[3202][2]~71710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3202][2]~71711\ : std_logic;
SIGNAL \led_flash_cnt[3202][3]~71712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3202][3]~71713\ : std_logic;
SIGNAL \led_flash_cnt[3202][4]~71714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][4]~q\ : std_logic;
SIGNAL \WideAnd3202~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][4]~71715\ : std_logic;
SIGNAL \led_flash_cnt[3202][5]~71716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3202][5]~71717\ : std_logic;
SIGNAL \led_flash_cnt[3202][6]~71718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][6]~q\ : std_logic;
SIGNAL \WideAnd3202~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][6]~71719\ : std_logic;
SIGNAL \led_flash_cnt[3202][7]~71720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3202][7]~q\ : std_logic;
SIGNAL \WideAnd3202~combout\ : std_logic;
SIGNAL \WideAnd4240~0_combout\ : std_logic;
SIGNAL \WideAnd4240~combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][0]~83864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3224][1]~72016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3224][1]~72017\ : std_logic;
SIGNAL \led_flash_cnt[3224][2]~72018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3224][2]~72019\ : std_logic;
SIGNAL \led_flash_cnt[3224][3]~72020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3224][3]~72021\ : std_logic;
SIGNAL \led_flash_cnt[3224][4]~72022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][4]~q\ : std_logic;
SIGNAL \WideAnd3224~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][4]~72023\ : std_logic;
SIGNAL \led_flash_cnt[3224][5]~72024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3224][5]~72025\ : std_logic;
SIGNAL \led_flash_cnt[3224][6]~72026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3224][6]~72027\ : std_logic;
SIGNAL \led_flash_cnt[3224][7]~72028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3224][7]~q\ : std_logic;
SIGNAL \WideAnd3224~1_combout\ : std_logic;
SIGNAL \WideAnd3224~combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][0]~83866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3226][1]~72044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3226][1]~72045\ : std_logic;
SIGNAL \led_flash_cnt[3226][2]~72046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3226][2]~72047\ : std_logic;
SIGNAL \led_flash_cnt[3226][3]~72048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3226][3]~72049\ : std_logic;
SIGNAL \led_flash_cnt[3226][4]~72050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3226][4]~72051\ : std_logic;
SIGNAL \led_flash_cnt[3226][5]~72052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3226][5]~72053\ : std_logic;
SIGNAL \led_flash_cnt[3226][6]~72054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][6]~q\ : std_logic;
SIGNAL \WideAnd3226~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][6]~72055\ : std_logic;
SIGNAL \led_flash_cnt[3226][7]~72056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3226][7]~q\ : std_logic;
SIGNAL \WideAnd3226~0_combout\ : std_logic;
SIGNAL \WideAnd3226~combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][0]~83867_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3227][1]~72058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3227][1]~72059\ : std_logic;
SIGNAL \led_flash_cnt[3227][2]~72060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3227][2]~72061\ : std_logic;
SIGNAL \led_flash_cnt[3227][3]~72062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3227][3]~72063\ : std_logic;
SIGNAL \led_flash_cnt[3227][4]~72064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][4]~q\ : std_logic;
SIGNAL \WideAnd3227~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][4]~72065\ : std_logic;
SIGNAL \led_flash_cnt[3227][5]~72066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3227][5]~72067\ : std_logic;
SIGNAL \led_flash_cnt[3227][6]~72068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3227][6]~72069\ : std_logic;
SIGNAL \led_flash_cnt[3227][7]~72070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3227][7]~q\ : std_logic;
SIGNAL \WideAnd3227~1_combout\ : std_logic;
SIGNAL \WideAnd3227~combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][0]~83865_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3225][1]~72030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3225][1]~72031\ : std_logic;
SIGNAL \led_flash_cnt[3225][2]~72032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3225][2]~72033\ : std_logic;
SIGNAL \led_flash_cnt[3225][3]~72034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3225][3]~72035\ : std_logic;
SIGNAL \led_flash_cnt[3225][4]~72036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][4]~q\ : std_logic;
SIGNAL \WideAnd3225~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][4]~72037\ : std_logic;
SIGNAL \led_flash_cnt[3225][5]~72038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3225][5]~72039\ : std_logic;
SIGNAL \led_flash_cnt[3225][6]~72040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][6]~q\ : std_logic;
SIGNAL \WideAnd3225~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][6]~72041\ : std_logic;
SIGNAL \led_flash_cnt[3225][7]~72042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3225][7]~q\ : std_logic;
SIGNAL \WideAnd3225~combout\ : std_logic;
SIGNAL \WideAnd4243~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][0]~83868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3228][1]~72072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3228][1]~72073\ : std_logic;
SIGNAL \led_flash_cnt[3228][2]~72074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3228][2]~72075\ : std_logic;
SIGNAL \led_flash_cnt[3228][3]~72076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3228][3]~72077\ : std_logic;
SIGNAL \led_flash_cnt[3228][4]~72078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3228][4]~72079\ : std_logic;
SIGNAL \led_flash_cnt[3228][5]~72080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3228][5]~72081\ : std_logic;
SIGNAL \led_flash_cnt[3228][6]~72082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][6]~q\ : std_logic;
SIGNAL \WideAnd3228~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][6]~72083\ : std_logic;
SIGNAL \led_flash_cnt[3228][7]~72084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3228][7]~q\ : std_logic;
SIGNAL \WideAnd3228~0_combout\ : std_logic;
SIGNAL \WideAnd3228~combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][0]~83869_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3229][1]~72086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3229][1]~72087\ : std_logic;
SIGNAL \led_flash_cnt[3229][2]~72088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3229][2]~72089\ : std_logic;
SIGNAL \led_flash_cnt[3229][3]~72090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3229][3]~72091\ : std_logic;
SIGNAL \led_flash_cnt[3229][4]~72092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][4]~q\ : std_logic;
SIGNAL \WideAnd3229~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][4]~72093\ : std_logic;
SIGNAL \led_flash_cnt[3229][5]~72094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3229][5]~72095\ : std_logic;
SIGNAL \led_flash_cnt[3229][6]~72096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][6]~q\ : std_logic;
SIGNAL \WideAnd3229~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][6]~72097\ : std_logic;
SIGNAL \led_flash_cnt[3229][7]~72098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3229][7]~q\ : std_logic;
SIGNAL \WideAnd3229~combout\ : std_logic;
SIGNAL \WideAnd4243~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][0]~83870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3230][1]~72100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3230][1]~72101\ : std_logic;
SIGNAL \led_flash_cnt[3230][2]~72102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3230][2]~72103\ : std_logic;
SIGNAL \led_flash_cnt[3230][3]~72104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3230][3]~72105\ : std_logic;
SIGNAL \led_flash_cnt[3230][4]~72106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3230][4]~72107\ : std_logic;
SIGNAL \led_flash_cnt[3230][5]~72108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3230][5]~72109\ : std_logic;
SIGNAL \led_flash_cnt[3230][6]~72110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3230][6]~72111\ : std_logic;
SIGNAL \led_flash_cnt[3230][7]~72112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3230][7]~q\ : std_logic;
SIGNAL \WideAnd3230~0_combout\ : std_logic;
SIGNAL \WideAnd3230~1_combout\ : std_logic;
SIGNAL \WideAnd3230~combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][0]~83871_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3231][1]~72114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3231][1]~72115\ : std_logic;
SIGNAL \led_flash_cnt[3231][2]~72116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3231][2]~72117\ : std_logic;
SIGNAL \led_flash_cnt[3231][3]~72118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3231][3]~72119\ : std_logic;
SIGNAL \led_flash_cnt[3231][4]~72120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3231][4]~72121\ : std_logic;
SIGNAL \led_flash_cnt[3231][5]~72122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3231][5]~72123\ : std_logic;
SIGNAL \led_flash_cnt[3231][6]~72124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][6]~q\ : std_logic;
SIGNAL \WideAnd3231~1_combout\ : std_logic;
SIGNAL \WideAnd3231~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][6]~72125\ : std_logic;
SIGNAL \led_flash_cnt[3231][7]~72126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3231][7]~q\ : std_logic;
SIGNAL \WideAnd3231~combout\ : std_logic;
SIGNAL \WideAnd4243~combout\ : std_logic;
SIGNAL \WideAnd4370~0_combout\ : std_logic;
SIGNAL \WideAnd4370~combout\ : std_logic;
SIGNAL \WideAnd4380~15_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][0]~84455_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3751][1]~80290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3751][1]~80291\ : std_logic;
SIGNAL \led_flash_cnt[3751][2]~80292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3751][2]~80293\ : std_logic;
SIGNAL \led_flash_cnt[3751][3]~80294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3751][3]~80295\ : std_logic;
SIGNAL \led_flash_cnt[3751][4]~80296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3751][4]~80297\ : std_logic;
SIGNAL \led_flash_cnt[3751][5]~80298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3751][5]~80299\ : std_logic;
SIGNAL \led_flash_cnt[3751][6]~80300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][6]~q\ : std_logic;
SIGNAL \WideAnd3751~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][6]~80301\ : std_logic;
SIGNAL \led_flash_cnt[3751][7]~80302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3751][7]~q\ : std_logic;
SIGNAL \WideAnd3751~0_combout\ : std_logic;
SIGNAL \WideAnd3751~combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][0]~84452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3748][1]~80248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3748][1]~80249\ : std_logic;
SIGNAL \led_flash_cnt[3748][2]~80250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3748][2]~80251\ : std_logic;
SIGNAL \led_flash_cnt[3748][3]~80252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3748][3]~80253\ : std_logic;
SIGNAL \led_flash_cnt[3748][4]~80254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][4]~q\ : std_logic;
SIGNAL \WideAnd3748~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][4]~80255\ : std_logic;
SIGNAL \led_flash_cnt[3748][5]~80256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3748][5]~80257\ : std_logic;
SIGNAL \led_flash_cnt[3748][6]~80258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][6]~q\ : std_logic;
SIGNAL \WideAnd3748~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][6]~80259\ : std_logic;
SIGNAL \led_flash_cnt[3748][7]~80260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3748][7]~q\ : std_logic;
SIGNAL \WideAnd3748~combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][0]~84453_combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3749][1]~80262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3749][1]~80263\ : std_logic;
SIGNAL \led_flash_cnt[3749][2]~80264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3749][2]~80265\ : std_logic;
SIGNAL \led_flash_cnt[3749][3]~80266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3749][3]~80267\ : std_logic;
SIGNAL \led_flash_cnt[3749][4]~80268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3749][4]~80269\ : std_logic;
SIGNAL \led_flash_cnt[3749][5]~80270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3749][5]~80271\ : std_logic;
SIGNAL \led_flash_cnt[3749][6]~80272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3749][6]~80273\ : std_logic;
SIGNAL \led_flash_cnt[3749][7]~80274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3749][7]~q\ : std_logic;
SIGNAL \WideAnd3749~1_combout\ : std_logic;
SIGNAL \WideAnd3749~0_combout\ : std_logic;
SIGNAL \WideAnd3749~combout\ : std_logic;
SIGNAL \WideAnd4308~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][0]~84448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3744][1]~80192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3744][1]~80193\ : std_logic;
SIGNAL \led_flash_cnt[3744][2]~80194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3744][2]~80195\ : std_logic;
SIGNAL \led_flash_cnt[3744][3]~80196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3744][3]~80197\ : std_logic;
SIGNAL \led_flash_cnt[3744][4]~80198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][4]~q\ : std_logic;
SIGNAL \WideAnd3744~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][4]~80199\ : std_logic;
SIGNAL \led_flash_cnt[3744][5]~80200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3744][5]~80201\ : std_logic;
SIGNAL \led_flash_cnt[3744][6]~80202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3744][6]~80203\ : std_logic;
SIGNAL \led_flash_cnt[3744][7]~80204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3744][7]~q\ : std_logic;
SIGNAL \WideAnd3744~1_combout\ : std_logic;
SIGNAL \WideAnd3744~combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][0]~84449_combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3745][1]~80206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3745][1]~80207\ : std_logic;
SIGNAL \led_flash_cnt[3745][2]~80208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3745][2]~80209\ : std_logic;
SIGNAL \led_flash_cnt[3745][3]~80210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3745][3]~80211\ : std_logic;
SIGNAL \led_flash_cnt[3745][4]~80212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3745][4]~80213\ : std_logic;
SIGNAL \led_flash_cnt[3745][5]~80214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3745][5]~80215\ : std_logic;
SIGNAL \led_flash_cnt[3745][6]~80216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3745][6]~80217\ : std_logic;
SIGNAL \led_flash_cnt[3745][7]~80218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3745][7]~q\ : std_logic;
SIGNAL \WideAnd3745~0_combout\ : std_logic;
SIGNAL \WideAnd3745~1_combout\ : std_logic;
SIGNAL \WideAnd3745~combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][0]~84451_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3747][1]~80234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3747][1]~80235\ : std_logic;
SIGNAL \led_flash_cnt[3747][2]~80236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3747][2]~80237\ : std_logic;
SIGNAL \led_flash_cnt[3747][3]~80238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3747][3]~80239\ : std_logic;
SIGNAL \led_flash_cnt[3747][4]~80240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3747][4]~80241\ : std_logic;
SIGNAL \led_flash_cnt[3747][5]~80242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3747][5]~80243\ : std_logic;
SIGNAL \led_flash_cnt[3747][6]~80244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][6]~q\ : std_logic;
SIGNAL \WideAnd3747~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][6]~80245\ : std_logic;
SIGNAL \led_flash_cnt[3747][7]~80246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3747][7]~q\ : std_logic;
SIGNAL \WideAnd3747~0_combout\ : std_logic;
SIGNAL \WideAnd3747~combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][0]~84450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3746][1]~80220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3746][1]~80221\ : std_logic;
SIGNAL \led_flash_cnt[3746][2]~80222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3746][2]~80223\ : std_logic;
SIGNAL \led_flash_cnt[3746][3]~80224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3746][3]~80225\ : std_logic;
SIGNAL \led_flash_cnt[3746][4]~80226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3746][4]~80227\ : std_logic;
SIGNAL \led_flash_cnt[3746][5]~80228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3746][5]~80229\ : std_logic;
SIGNAL \led_flash_cnt[3746][6]~80230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3746][6]~80231\ : std_logic;
SIGNAL \led_flash_cnt[3746][7]~80232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3746][7]~q\ : std_logic;
SIGNAL \WideAnd3746~1_combout\ : std_logic;
SIGNAL \WideAnd3746~0_combout\ : std_logic;
SIGNAL \WideAnd3746~combout\ : std_logic;
SIGNAL \WideAnd4308~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][0]~84454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3750][1]~80276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3750][1]~80277\ : std_logic;
SIGNAL \led_flash_cnt[3750][2]~80278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3750][2]~80279\ : std_logic;
SIGNAL \led_flash_cnt[3750][3]~80280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3750][3]~80281\ : std_logic;
SIGNAL \led_flash_cnt[3750][4]~80282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3750][4]~80283\ : std_logic;
SIGNAL \led_flash_cnt[3750][5]~80284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3750][5]~80285\ : std_logic;
SIGNAL \led_flash_cnt[3750][6]~80286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][6]~q\ : std_logic;
SIGNAL \WideAnd3750~1_combout\ : std_logic;
SIGNAL \WideAnd3750~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][6]~80287\ : std_logic;
SIGNAL \led_flash_cnt[3750][7]~80288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3750][7]~q\ : std_logic;
SIGNAL \WideAnd3750~combout\ : std_logic;
SIGNAL \WideAnd4308~combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][0]~84462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3758][1]~80388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3758][1]~80389\ : std_logic;
SIGNAL \led_flash_cnt[3758][2]~80390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3758][2]~80391\ : std_logic;
SIGNAL \led_flash_cnt[3758][3]~80392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3758][3]~80393\ : std_logic;
SIGNAL \led_flash_cnt[3758][4]~80394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3758][4]~80395\ : std_logic;
SIGNAL \led_flash_cnt[3758][5]~80396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3758][5]~80397\ : std_logic;
SIGNAL \led_flash_cnt[3758][6]~80398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3758][6]~80399\ : std_logic;
SIGNAL \led_flash_cnt[3758][7]~80400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3758][7]~q\ : std_logic;
SIGNAL \WideAnd3758~0_combout\ : std_logic;
SIGNAL \WideAnd3758~1_combout\ : std_logic;
SIGNAL \WideAnd3758~combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][0]~84458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3754][1]~80332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3754][1]~80333\ : std_logic;
SIGNAL \led_flash_cnt[3754][2]~80334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3754][2]~80335\ : std_logic;
SIGNAL \led_flash_cnt[3754][3]~80336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3754][3]~80337\ : std_logic;
SIGNAL \led_flash_cnt[3754][4]~80338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3754][4]~80339\ : std_logic;
SIGNAL \led_flash_cnt[3754][5]~80340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3754][5]~80341\ : std_logic;
SIGNAL \led_flash_cnt[3754][6]~80342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][6]~q\ : std_logic;
SIGNAL \WideAnd3754~1_combout\ : std_logic;
SIGNAL \WideAnd3754~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][6]~80343\ : std_logic;
SIGNAL \led_flash_cnt[3754][7]~80344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3754][7]~q\ : std_logic;
SIGNAL \WideAnd3754~combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][0]~84456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3752][1]~80304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3752][1]~80305\ : std_logic;
SIGNAL \led_flash_cnt[3752][2]~80306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3752][2]~80307\ : std_logic;
SIGNAL \led_flash_cnt[3752][3]~80308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3752][3]~80309\ : std_logic;
SIGNAL \led_flash_cnt[3752][4]~80310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3752][4]~80311\ : std_logic;
SIGNAL \led_flash_cnt[3752][5]~80312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3752][5]~80313\ : std_logic;
SIGNAL \led_flash_cnt[3752][6]~80314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3752][6]~80315\ : std_logic;
SIGNAL \led_flash_cnt[3752][7]~80316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3752][7]~q\ : std_logic;
SIGNAL \WideAnd3752~1_combout\ : std_logic;
SIGNAL \WideAnd3752~0_combout\ : std_logic;
SIGNAL \WideAnd3752~combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][0]~84459_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3755][1]~80346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3755][1]~80347\ : std_logic;
SIGNAL \led_flash_cnt[3755][2]~80348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3755][2]~80349\ : std_logic;
SIGNAL \led_flash_cnt[3755][3]~80350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3755][3]~80351\ : std_logic;
SIGNAL \led_flash_cnt[3755][4]~80352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][4]~q\ : std_logic;
SIGNAL \WideAnd3755~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][4]~80353\ : std_logic;
SIGNAL \led_flash_cnt[3755][5]~80354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3755][5]~80355\ : std_logic;
SIGNAL \led_flash_cnt[3755][6]~80356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][6]~q\ : std_logic;
SIGNAL \WideAnd3755~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][6]~80357\ : std_logic;
SIGNAL \led_flash_cnt[3755][7]~80358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3755][7]~q\ : std_logic;
SIGNAL \WideAnd3755~combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][0]~84457_combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3753][1]~80318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3753][1]~80319\ : std_logic;
SIGNAL \led_flash_cnt[3753][2]~80320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3753][2]~80321\ : std_logic;
SIGNAL \led_flash_cnt[3753][3]~80322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3753][3]~80323\ : std_logic;
SIGNAL \led_flash_cnt[3753][4]~80324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3753][4]~80325\ : std_logic;
SIGNAL \led_flash_cnt[3753][5]~80326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3753][5]~80327\ : std_logic;
SIGNAL \led_flash_cnt[3753][6]~80328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3753][6]~80329\ : std_logic;
SIGNAL \led_flash_cnt[3753][7]~80330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3753][7]~q\ : std_logic;
SIGNAL \WideAnd3753~0_combout\ : std_logic;
SIGNAL \WideAnd3753~1_combout\ : std_logic;
SIGNAL \WideAnd3753~combout\ : std_logic;
SIGNAL \WideAnd4309~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][0]~84463_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3759][1]~80402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3759][1]~80403\ : std_logic;
SIGNAL \led_flash_cnt[3759][2]~80404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3759][2]~80405\ : std_logic;
SIGNAL \led_flash_cnt[3759][3]~80406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3759][3]~80407\ : std_logic;
SIGNAL \led_flash_cnt[3759][4]~80408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3759][4]~80409\ : std_logic;
SIGNAL \led_flash_cnt[3759][5]~80410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3759][5]~80411\ : std_logic;
SIGNAL \led_flash_cnt[3759][6]~80412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3759][6]~80413\ : std_logic;
SIGNAL \led_flash_cnt[3759][7]~80414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3759][7]~q\ : std_logic;
SIGNAL \WideAnd3759~0_combout\ : std_logic;
SIGNAL \WideAnd3759~1_combout\ : std_logic;
SIGNAL \WideAnd3759~combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][0]~84460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3756][1]~80360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3756][1]~80361\ : std_logic;
SIGNAL \led_flash_cnt[3756][2]~80362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3756][2]~80363\ : std_logic;
SIGNAL \led_flash_cnt[3756][3]~80364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3756][3]~80365\ : std_logic;
SIGNAL \led_flash_cnt[3756][4]~80366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3756][4]~80367\ : std_logic;
SIGNAL \led_flash_cnt[3756][5]~80368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3756][5]~80369\ : std_logic;
SIGNAL \led_flash_cnt[3756][6]~80370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][6]~q\ : std_logic;
SIGNAL \WideAnd3756~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][6]~80371\ : std_logic;
SIGNAL \led_flash_cnt[3756][7]~80372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3756][7]~q\ : std_logic;
SIGNAL \WideAnd3756~0_combout\ : std_logic;
SIGNAL \WideAnd3756~combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][0]~84461_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3757][1]~80374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3757][1]~80375\ : std_logic;
SIGNAL \led_flash_cnt[3757][2]~80376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3757][2]~80377\ : std_logic;
SIGNAL \led_flash_cnt[3757][3]~80378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3757][3]~80379\ : std_logic;
SIGNAL \led_flash_cnt[3757][4]~80380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][4]~q\ : std_logic;
SIGNAL \WideAnd3757~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][4]~80381\ : std_logic;
SIGNAL \led_flash_cnt[3757][5]~80382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3757][5]~80383\ : std_logic;
SIGNAL \led_flash_cnt[3757][6]~80384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3757][6]~80385\ : std_logic;
SIGNAL \led_flash_cnt[3757][7]~80386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3757][7]~q\ : std_logic;
SIGNAL \WideAnd3757~1_combout\ : std_logic;
SIGNAL \WideAnd3757~combout\ : std_logic;
SIGNAL \WideAnd4309~1_combout\ : std_logic;
SIGNAL \WideAnd4309~combout\ : std_logic;
SIGNAL \WideAnd4378~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][0]~84423_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3719][1]~79842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3719][1]~79843\ : std_logic;
SIGNAL \led_flash_cnt[3719][2]~79844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3719][2]~79845\ : std_logic;
SIGNAL \led_flash_cnt[3719][3]~79846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3719][3]~79847\ : std_logic;
SIGNAL \led_flash_cnt[3719][4]~79848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][4]~q\ : std_logic;
SIGNAL \WideAnd3719~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][4]~79849\ : std_logic;
SIGNAL \led_flash_cnt[3719][5]~79850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3719][5]~79851\ : std_logic;
SIGNAL \led_flash_cnt[3719][6]~79852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3719][6]~79853\ : std_logic;
SIGNAL \led_flash_cnt[3719][7]~79854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3719][7]~q\ : std_logic;
SIGNAL \WideAnd3719~1_combout\ : std_logic;
SIGNAL \WideAnd3719~combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][0]~84416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3712][1]~79744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3712][1]~79745\ : std_logic;
SIGNAL \led_flash_cnt[3712][2]~79746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3712][2]~79747\ : std_logic;
SIGNAL \led_flash_cnt[3712][3]~79748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3712][3]~79749\ : std_logic;
SIGNAL \led_flash_cnt[3712][4]~79750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3712][4]~79751\ : std_logic;
SIGNAL \led_flash_cnt[3712][5]~79752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3712][5]~79753\ : std_logic;
SIGNAL \led_flash_cnt[3712][6]~79754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3712][6]~79755\ : std_logic;
SIGNAL \led_flash_cnt[3712][7]~79756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3712][7]~q\ : std_logic;
SIGNAL \WideAnd3712~1_combout\ : std_logic;
SIGNAL \WideAnd3712~0_combout\ : std_logic;
SIGNAL \WideAnd3712~combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][0]~84417_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3713][1]~79758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3713][1]~79759\ : std_logic;
SIGNAL \led_flash_cnt[3713][2]~79760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3713][2]~79761\ : std_logic;
SIGNAL \led_flash_cnt[3713][3]~79762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3713][3]~79763\ : std_logic;
SIGNAL \led_flash_cnt[3713][4]~79764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][4]~q\ : std_logic;
SIGNAL \WideAnd3713~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][4]~79765\ : std_logic;
SIGNAL \led_flash_cnt[3713][5]~79766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3713][5]~79767\ : std_logic;
SIGNAL \led_flash_cnt[3713][6]~79768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3713][6]~79769\ : std_logic;
SIGNAL \led_flash_cnt[3713][7]~79770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3713][7]~q\ : std_logic;
SIGNAL \WideAnd3713~1_combout\ : std_logic;
SIGNAL \WideAnd3713~combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][0]~84418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3714][1]~79772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3714][1]~79773\ : std_logic;
SIGNAL \led_flash_cnt[3714][2]~79774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3714][2]~79775\ : std_logic;
SIGNAL \led_flash_cnt[3714][3]~79776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3714][3]~79777\ : std_logic;
SIGNAL \led_flash_cnt[3714][4]~79778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3714][4]~79779\ : std_logic;
SIGNAL \led_flash_cnt[3714][5]~79780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3714][5]~79781\ : std_logic;
SIGNAL \led_flash_cnt[3714][6]~79782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3714][6]~79783\ : std_logic;
SIGNAL \led_flash_cnt[3714][7]~79784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3714][7]~q\ : std_logic;
SIGNAL \WideAnd3714~1_combout\ : std_logic;
SIGNAL \WideAnd3714~0_combout\ : std_logic;
SIGNAL \WideAnd3714~combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][0]~84419_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3715][1]~79786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3715][1]~79787\ : std_logic;
SIGNAL \led_flash_cnt[3715][2]~79788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3715][2]~79789\ : std_logic;
SIGNAL \led_flash_cnt[3715][3]~79790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3715][3]~79791\ : std_logic;
SIGNAL \led_flash_cnt[3715][4]~79792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][4]~q\ : std_logic;
SIGNAL \WideAnd3715~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][4]~79793\ : std_logic;
SIGNAL \led_flash_cnt[3715][5]~79794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3715][5]~79795\ : std_logic;
SIGNAL \led_flash_cnt[3715][6]~79796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][6]~q\ : std_logic;
SIGNAL \WideAnd3715~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][6]~79797\ : std_logic;
SIGNAL \led_flash_cnt[3715][7]~79798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3715][7]~q\ : std_logic;
SIGNAL \WideAnd3715~combout\ : std_logic;
SIGNAL \WideAnd4304~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][0]~84420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3716][1]~79800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3716][1]~79801\ : std_logic;
SIGNAL \led_flash_cnt[3716][2]~79802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3716][2]~79803\ : std_logic;
SIGNAL \led_flash_cnt[3716][3]~79804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3716][3]~79805\ : std_logic;
SIGNAL \led_flash_cnt[3716][4]~79806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3716][4]~79807\ : std_logic;
SIGNAL \led_flash_cnt[3716][5]~79808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3716][5]~79809\ : std_logic;
SIGNAL \led_flash_cnt[3716][6]~79810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3716][6]~79811\ : std_logic;
SIGNAL \led_flash_cnt[3716][7]~79812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3716][7]~q\ : std_logic;
SIGNAL \WideAnd3716~1_combout\ : std_logic;
SIGNAL \WideAnd3716~0_combout\ : std_logic;
SIGNAL \WideAnd3716~combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][0]~84421_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3717][1]~79814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3717][1]~79815\ : std_logic;
SIGNAL \led_flash_cnt[3717][2]~79816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3717][2]~79817\ : std_logic;
SIGNAL \led_flash_cnt[3717][3]~79818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3717][3]~79819\ : std_logic;
SIGNAL \led_flash_cnt[3717][4]~79820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][4]~q\ : std_logic;
SIGNAL \WideAnd3717~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][4]~79821\ : std_logic;
SIGNAL \led_flash_cnt[3717][5]~79822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3717][5]~79823\ : std_logic;
SIGNAL \led_flash_cnt[3717][6]~79824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3717][6]~79825\ : std_logic;
SIGNAL \led_flash_cnt[3717][7]~79826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3717][7]~q\ : std_logic;
SIGNAL \WideAnd3717~1_combout\ : std_logic;
SIGNAL \WideAnd3717~combout\ : std_logic;
SIGNAL \WideAnd4304~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][0]~84422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3718][1]~79828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3718][1]~79829\ : std_logic;
SIGNAL \led_flash_cnt[3718][2]~79830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3718][2]~79831\ : std_logic;
SIGNAL \led_flash_cnt[3718][3]~79832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3718][3]~79833\ : std_logic;
SIGNAL \led_flash_cnt[3718][4]~79834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][4]~q\ : std_logic;
SIGNAL \WideAnd3718~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][4]~79835\ : std_logic;
SIGNAL \led_flash_cnt[3718][5]~79836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3718][5]~79837\ : std_logic;
SIGNAL \led_flash_cnt[3718][6]~79838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][6]~q\ : std_logic;
SIGNAL \WideAnd3718~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][6]~79839\ : std_logic;
SIGNAL \led_flash_cnt[3718][7]~79840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3718][7]~q\ : std_logic;
SIGNAL \WideAnd3718~combout\ : std_logic;
SIGNAL \WideAnd4304~combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][0]~84438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3734][1]~80052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3734][1]~80053\ : std_logic;
SIGNAL \led_flash_cnt[3734][2]~80054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3734][2]~80055\ : std_logic;
SIGNAL \led_flash_cnt[3734][3]~80056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3734][3]~80057\ : std_logic;
SIGNAL \led_flash_cnt[3734][4]~80058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][4]~q\ : std_logic;
SIGNAL \WideAnd3734~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][4]~80059\ : std_logic;
SIGNAL \led_flash_cnt[3734][5]~80060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3734][5]~80061\ : std_logic;
SIGNAL \led_flash_cnt[3734][6]~80062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3734][6]~80063\ : std_logic;
SIGNAL \led_flash_cnt[3734][7]~80064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3734][7]~q\ : std_logic;
SIGNAL \WideAnd3734~1_combout\ : std_logic;
SIGNAL \WideAnd3734~combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][0]~84439_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3735][1]~80066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3735][1]~80067\ : std_logic;
SIGNAL \led_flash_cnt[3735][2]~80068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3735][2]~80069\ : std_logic;
SIGNAL \led_flash_cnt[3735][3]~80070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3735][3]~80071\ : std_logic;
SIGNAL \led_flash_cnt[3735][4]~80072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][4]~q\ : std_logic;
SIGNAL \WideAnd3735~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][4]~80073\ : std_logic;
SIGNAL \led_flash_cnt[3735][5]~80074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3735][5]~80075\ : std_logic;
SIGNAL \led_flash_cnt[3735][6]~80076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3735][6]~80077\ : std_logic;
SIGNAL \led_flash_cnt[3735][7]~80078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3735][7]~q\ : std_logic;
SIGNAL \WideAnd3735~1_combout\ : std_logic;
SIGNAL \WideAnd3735~combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][0]~84435_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3731][1]~80010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3731][1]~80011\ : std_logic;
SIGNAL \led_flash_cnt[3731][2]~80012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3731][2]~80013\ : std_logic;
SIGNAL \led_flash_cnt[3731][3]~80014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3731][3]~80015\ : std_logic;
SIGNAL \led_flash_cnt[3731][4]~80016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][4]~q\ : std_logic;
SIGNAL \WideAnd3731~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][4]~80017\ : std_logic;
SIGNAL \led_flash_cnt[3731][5]~80018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3731][5]~80019\ : std_logic;
SIGNAL \led_flash_cnt[3731][6]~80020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3731][6]~80021\ : std_logic;
SIGNAL \led_flash_cnt[3731][7]~80022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3731][7]~q\ : std_logic;
SIGNAL \WideAnd3731~1_combout\ : std_logic;
SIGNAL \WideAnd3731~combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][0]~84433_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3729][1]~79982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3729][1]~79983\ : std_logic;
SIGNAL \led_flash_cnt[3729][2]~79984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3729][2]~79985\ : std_logic;
SIGNAL \led_flash_cnt[3729][3]~79986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3729][3]~79987\ : std_logic;
SIGNAL \led_flash_cnt[3729][4]~79988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][4]~q\ : std_logic;
SIGNAL \WideAnd3729~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][4]~79989\ : std_logic;
SIGNAL \led_flash_cnt[3729][5]~79990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3729][5]~79991\ : std_logic;
SIGNAL \led_flash_cnt[3729][6]~79992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][6]~q\ : std_logic;
SIGNAL \WideAnd3729~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][6]~79993\ : std_logic;
SIGNAL \led_flash_cnt[3729][7]~79994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3729][7]~q\ : std_logic;
SIGNAL \WideAnd3729~combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][0]~84434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3730][1]~79996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3730][1]~79997\ : std_logic;
SIGNAL \led_flash_cnt[3730][2]~79998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3730][2]~79999\ : std_logic;
SIGNAL \led_flash_cnt[3730][3]~80000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3730][3]~80001\ : std_logic;
SIGNAL \led_flash_cnt[3730][4]~80002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3730][4]~80003\ : std_logic;
SIGNAL \led_flash_cnt[3730][5]~80004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3730][5]~80005\ : std_logic;
SIGNAL \led_flash_cnt[3730][6]~80006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][6]~q\ : std_logic;
SIGNAL \WideAnd3730~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][6]~80007\ : std_logic;
SIGNAL \led_flash_cnt[3730][7]~80008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3730][7]~q\ : std_logic;
SIGNAL \WideAnd3730~0_combout\ : std_logic;
SIGNAL \WideAnd3730~combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][0]~84432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3728][1]~79968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3728][1]~79969\ : std_logic;
SIGNAL \led_flash_cnt[3728][2]~79970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3728][2]~79971\ : std_logic;
SIGNAL \led_flash_cnt[3728][3]~79972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3728][3]~79973\ : std_logic;
SIGNAL \led_flash_cnt[3728][4]~79974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3728][4]~79975\ : std_logic;
SIGNAL \led_flash_cnt[3728][5]~79976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3728][5]~79977\ : std_logic;
SIGNAL \led_flash_cnt[3728][6]~79978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][6]~q\ : std_logic;
SIGNAL \WideAnd3728~1_combout\ : std_logic;
SIGNAL \WideAnd3728~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][6]~79979\ : std_logic;
SIGNAL \led_flash_cnt[3728][7]~79980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3728][7]~q\ : std_logic;
SIGNAL \WideAnd3728~combout\ : std_logic;
SIGNAL \WideAnd4306~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][0]~84437_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3733][1]~80038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3733][1]~80039\ : std_logic;
SIGNAL \led_flash_cnt[3733][2]~80040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3733][2]~80041\ : std_logic;
SIGNAL \led_flash_cnt[3733][3]~80042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3733][3]~80043\ : std_logic;
SIGNAL \led_flash_cnt[3733][4]~80044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3733][4]~80045\ : std_logic;
SIGNAL \led_flash_cnt[3733][5]~80046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3733][5]~80047\ : std_logic;
SIGNAL \led_flash_cnt[3733][6]~80048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3733][6]~80049\ : std_logic;
SIGNAL \led_flash_cnt[3733][7]~80050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3733][7]~q\ : std_logic;
SIGNAL \WideAnd3733~0_combout\ : std_logic;
SIGNAL \WideAnd3733~1_combout\ : std_logic;
SIGNAL \WideAnd3733~combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][0]~84436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3732][1]~80024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3732][1]~80025\ : std_logic;
SIGNAL \led_flash_cnt[3732][2]~80026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3732][2]~80027\ : std_logic;
SIGNAL \led_flash_cnt[3732][3]~80028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3732][3]~80029\ : std_logic;
SIGNAL \led_flash_cnt[3732][4]~80030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3732][4]~80031\ : std_logic;
SIGNAL \led_flash_cnt[3732][5]~80032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3732][5]~80033\ : std_logic;
SIGNAL \led_flash_cnt[3732][6]~80034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3732][6]~80035\ : std_logic;
SIGNAL \led_flash_cnt[3732][7]~80036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3732][7]~q\ : std_logic;
SIGNAL \WideAnd3732~0_combout\ : std_logic;
SIGNAL \WideAnd3732~1_combout\ : std_logic;
SIGNAL \WideAnd3732~combout\ : std_logic;
SIGNAL \WideAnd4306~1_combout\ : std_logic;
SIGNAL \WideAnd4306~combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][0]~84444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3740][1]~80136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3740][1]~80137\ : std_logic;
SIGNAL \led_flash_cnt[3740][2]~80138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3740][2]~80139\ : std_logic;
SIGNAL \led_flash_cnt[3740][3]~80140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3740][3]~80141\ : std_logic;
SIGNAL \led_flash_cnt[3740][4]~80142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3740][4]~80143\ : std_logic;
SIGNAL \led_flash_cnt[3740][5]~80144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3740][5]~80145\ : std_logic;
SIGNAL \led_flash_cnt[3740][6]~80146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3740][6]~80147\ : std_logic;
SIGNAL \led_flash_cnt[3740][7]~80148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3740][7]~q\ : std_logic;
SIGNAL \WideAnd3740~0_combout\ : std_logic;
SIGNAL \WideAnd3740~1_combout\ : std_logic;
SIGNAL \WideAnd3740~combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][0]~84445_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3741][1]~80150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3741][1]~80151\ : std_logic;
SIGNAL \led_flash_cnt[3741][2]~80152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3741][2]~80153\ : std_logic;
SIGNAL \led_flash_cnt[3741][3]~80154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3741][3]~80155\ : std_logic;
SIGNAL \led_flash_cnt[3741][4]~80156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3741][4]~80157\ : std_logic;
SIGNAL \led_flash_cnt[3741][5]~80158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3741][5]~80159\ : std_logic;
SIGNAL \led_flash_cnt[3741][6]~80160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][6]~q\ : std_logic;
SIGNAL \WideAnd3741~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][6]~80161\ : std_logic;
SIGNAL \led_flash_cnt[3741][7]~80162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3741][7]~q\ : std_logic;
SIGNAL \WideAnd3741~0_combout\ : std_logic;
SIGNAL \WideAnd3741~combout\ : std_logic;
SIGNAL \WideAnd4307~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][0]~84446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3742][1]~80164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3742][1]~80165\ : std_logic;
SIGNAL \led_flash_cnt[3742][2]~80166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3742][2]~80167\ : std_logic;
SIGNAL \led_flash_cnt[3742][3]~80168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3742][3]~80169\ : std_logic;
SIGNAL \led_flash_cnt[3742][4]~80170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][4]~q\ : std_logic;
SIGNAL \WideAnd3742~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][4]~80171\ : std_logic;
SIGNAL \led_flash_cnt[3742][5]~80172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3742][5]~80173\ : std_logic;
SIGNAL \led_flash_cnt[3742][6]~80174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3742][6]~80175\ : std_logic;
SIGNAL \led_flash_cnt[3742][7]~80176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3742][7]~q\ : std_logic;
SIGNAL \WideAnd3742~1_combout\ : std_logic;
SIGNAL \WideAnd3742~combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][0]~84447_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3743][1]~80178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3743][1]~80179\ : std_logic;
SIGNAL \led_flash_cnt[3743][2]~80180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3743][2]~80181\ : std_logic;
SIGNAL \led_flash_cnt[3743][3]~80182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3743][3]~80183\ : std_logic;
SIGNAL \led_flash_cnt[3743][4]~80184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][4]~q\ : std_logic;
SIGNAL \WideAnd3743~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][4]~80185\ : std_logic;
SIGNAL \led_flash_cnt[3743][5]~80186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3743][5]~80187\ : std_logic;
SIGNAL \led_flash_cnt[3743][6]~80188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][6]~q\ : std_logic;
SIGNAL \WideAnd3743~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][6]~80189\ : std_logic;
SIGNAL \led_flash_cnt[3743][7]~80190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3743][7]~q\ : std_logic;
SIGNAL \WideAnd3743~combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][0]~84443_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3739][1]~80122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3739][1]~80123\ : std_logic;
SIGNAL \led_flash_cnt[3739][2]~80124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3739][2]~80125\ : std_logic;
SIGNAL \led_flash_cnt[3739][3]~80126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3739][3]~80127\ : std_logic;
SIGNAL \led_flash_cnt[3739][4]~80128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][4]~q\ : std_logic;
SIGNAL \WideAnd3739~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][4]~80129\ : std_logic;
SIGNAL \led_flash_cnt[3739][5]~80130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3739][5]~80131\ : std_logic;
SIGNAL \led_flash_cnt[3739][6]~80132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3739][6]~80133\ : std_logic;
SIGNAL \led_flash_cnt[3739][7]~80134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3739][7]~q\ : std_logic;
SIGNAL \WideAnd3739~1_combout\ : std_logic;
SIGNAL \WideAnd3739~combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][0]~84442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3738][1]~80108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3738][1]~80109\ : std_logic;
SIGNAL \led_flash_cnt[3738][2]~80110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3738][2]~80111\ : std_logic;
SIGNAL \led_flash_cnt[3738][3]~80112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3738][3]~80113\ : std_logic;
SIGNAL \led_flash_cnt[3738][4]~80114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3738][4]~80115\ : std_logic;
SIGNAL \led_flash_cnt[3738][5]~80116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3738][5]~80117\ : std_logic;
SIGNAL \led_flash_cnt[3738][6]~80118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3738][6]~80119\ : std_logic;
SIGNAL \led_flash_cnt[3738][7]~80120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3738][7]~q\ : std_logic;
SIGNAL \WideAnd3738~1_combout\ : std_logic;
SIGNAL \WideAnd3738~0_combout\ : std_logic;
SIGNAL \WideAnd3738~combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][0]~84440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3736][1]~80080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3736][1]~80081\ : std_logic;
SIGNAL \led_flash_cnt[3736][2]~80082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3736][2]~80083\ : std_logic;
SIGNAL \led_flash_cnt[3736][3]~80084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3736][3]~80085\ : std_logic;
SIGNAL \led_flash_cnt[3736][4]~80086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3736][4]~80087\ : std_logic;
SIGNAL \led_flash_cnt[3736][5]~80088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3736][5]~80089\ : std_logic;
SIGNAL \led_flash_cnt[3736][6]~80090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][6]~q\ : std_logic;
SIGNAL \WideAnd3736~1_combout\ : std_logic;
SIGNAL \WideAnd3736~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][6]~80091\ : std_logic;
SIGNAL \led_flash_cnt[3736][7]~80092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3736][7]~q\ : std_logic;
SIGNAL \WideAnd3736~combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][0]~84441_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3737][1]~80094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3737][1]~80095\ : std_logic;
SIGNAL \led_flash_cnt[3737][2]~80096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3737][2]~80097\ : std_logic;
SIGNAL \led_flash_cnt[3737][3]~80098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3737][3]~80099\ : std_logic;
SIGNAL \led_flash_cnt[3737][4]~80100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3737][4]~80101\ : std_logic;
SIGNAL \led_flash_cnt[3737][5]~80102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3737][5]~80103\ : std_logic;
SIGNAL \led_flash_cnt[3737][6]~80104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][6]~q\ : std_logic;
SIGNAL \WideAnd3737~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][6]~80105\ : std_logic;
SIGNAL \led_flash_cnt[3737][7]~80106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3737][7]~q\ : std_logic;
SIGNAL \WideAnd3737~0_combout\ : std_logic;
SIGNAL \WideAnd3737~combout\ : std_logic;
SIGNAL \WideAnd4307~0_combout\ : std_logic;
SIGNAL \WideAnd4307~combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][0]~84430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3726][1]~79940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3726][1]~79941\ : std_logic;
SIGNAL \led_flash_cnt[3726][2]~79942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3726][2]~79943\ : std_logic;
SIGNAL \led_flash_cnt[3726][3]~79944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3726][3]~79945\ : std_logic;
SIGNAL \led_flash_cnt[3726][4]~79946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3726][4]~79947\ : std_logic;
SIGNAL \led_flash_cnt[3726][5]~79948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3726][5]~79949\ : std_logic;
SIGNAL \led_flash_cnt[3726][6]~79950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][6]~q\ : std_logic;
SIGNAL \WideAnd3726~1_combout\ : std_logic;
SIGNAL \WideAnd3726~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][6]~79951\ : std_logic;
SIGNAL \led_flash_cnt[3726][7]~79952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3726][7]~q\ : std_logic;
SIGNAL \WideAnd3726~combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][0]~84428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3724][1]~79912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3724][1]~79913\ : std_logic;
SIGNAL \led_flash_cnt[3724][2]~79914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3724][2]~79915\ : std_logic;
SIGNAL \led_flash_cnt[3724][3]~79916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3724][3]~79917\ : std_logic;
SIGNAL \led_flash_cnt[3724][4]~79918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][4]~q\ : std_logic;
SIGNAL \WideAnd3724~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][4]~79919\ : std_logic;
SIGNAL \led_flash_cnt[3724][5]~79920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3724][5]~79921\ : std_logic;
SIGNAL \led_flash_cnt[3724][6]~79922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3724][6]~79923\ : std_logic;
SIGNAL \led_flash_cnt[3724][7]~79924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3724][7]~q\ : std_logic;
SIGNAL \WideAnd3724~1_combout\ : std_logic;
SIGNAL \WideAnd3724~combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][0]~84429_combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3725][1]~79926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3725][1]~79927\ : std_logic;
SIGNAL \led_flash_cnt[3725][2]~79928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3725][2]~79929\ : std_logic;
SIGNAL \led_flash_cnt[3725][3]~79930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3725][3]~79931\ : std_logic;
SIGNAL \led_flash_cnt[3725][4]~79932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3725][4]~79933\ : std_logic;
SIGNAL \led_flash_cnt[3725][5]~79934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3725][5]~79935\ : std_logic;
SIGNAL \led_flash_cnt[3725][6]~79936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3725][6]~79937\ : std_logic;
SIGNAL \led_flash_cnt[3725][7]~79938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3725][7]~q\ : std_logic;
SIGNAL \WideAnd3725~0_combout\ : std_logic;
SIGNAL \WideAnd3725~1_combout\ : std_logic;
SIGNAL \WideAnd3725~combout\ : std_logic;
SIGNAL \WideAnd4305~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][0]~84431_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3727][1]~79954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3727][1]~79955\ : std_logic;
SIGNAL \led_flash_cnt[3727][2]~79956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3727][2]~79957\ : std_logic;
SIGNAL \led_flash_cnt[3727][3]~79958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3727][3]~79959\ : std_logic;
SIGNAL \led_flash_cnt[3727][4]~79960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3727][4]~79961\ : std_logic;
SIGNAL \led_flash_cnt[3727][5]~79962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3727][5]~79963\ : std_logic;
SIGNAL \led_flash_cnt[3727][6]~79964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][6]~q\ : std_logic;
SIGNAL \WideAnd3727~1_combout\ : std_logic;
SIGNAL \WideAnd3727~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][6]~79965\ : std_logic;
SIGNAL \led_flash_cnt[3727][7]~79966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3727][7]~q\ : std_logic;
SIGNAL \WideAnd3727~combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][0]~84426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3722][1]~79884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3722][1]~79885\ : std_logic;
SIGNAL \led_flash_cnt[3722][2]~79886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3722][2]~79887\ : std_logic;
SIGNAL \led_flash_cnt[3722][3]~79888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3722][3]~79889\ : std_logic;
SIGNAL \led_flash_cnt[3722][4]~79890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3722][4]~79891\ : std_logic;
SIGNAL \led_flash_cnt[3722][5]~79892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3722][5]~79893\ : std_logic;
SIGNAL \led_flash_cnt[3722][6]~79894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][6]~q\ : std_logic;
SIGNAL \WideAnd3722~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][6]~79895\ : std_logic;
SIGNAL \led_flash_cnt[3722][7]~79896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3722][7]~q\ : std_logic;
SIGNAL \WideAnd3722~0_combout\ : std_logic;
SIGNAL \WideAnd3722~combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][0]~84424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3720][1]~79856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3720][1]~79857\ : std_logic;
SIGNAL \led_flash_cnt[3720][2]~79858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3720][2]~79859\ : std_logic;
SIGNAL \led_flash_cnt[3720][3]~79860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3720][3]~79861\ : std_logic;
SIGNAL \led_flash_cnt[3720][4]~79862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3720][4]~79863\ : std_logic;
SIGNAL \led_flash_cnt[3720][5]~79864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3720][5]~79865\ : std_logic;
SIGNAL \led_flash_cnt[3720][6]~79866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][6]~q\ : std_logic;
SIGNAL \WideAnd3720~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][6]~79867\ : std_logic;
SIGNAL \led_flash_cnt[3720][7]~79868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3720][7]~q\ : std_logic;
SIGNAL \WideAnd3720~0_combout\ : std_logic;
SIGNAL \WideAnd3720~combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][0]~84427_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3723][1]~79898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3723][1]~79899\ : std_logic;
SIGNAL \led_flash_cnt[3723][2]~79900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3723][2]~79901\ : std_logic;
SIGNAL \led_flash_cnt[3723][3]~79902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3723][3]~79903\ : std_logic;
SIGNAL \led_flash_cnt[3723][4]~79904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][4]~q\ : std_logic;
SIGNAL \WideAnd3723~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][4]~79905\ : std_logic;
SIGNAL \led_flash_cnt[3723][5]~79906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3723][5]~79907\ : std_logic;
SIGNAL \led_flash_cnt[3723][6]~79908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][6]~q\ : std_logic;
SIGNAL \WideAnd3723~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][6]~79909\ : std_logic;
SIGNAL \led_flash_cnt[3723][7]~79910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3723][7]~q\ : std_logic;
SIGNAL \WideAnd3723~combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][0]~84425_combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3721][1]~79870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3721][1]~79871\ : std_logic;
SIGNAL \led_flash_cnt[3721][2]~79872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3721][2]~79873\ : std_logic;
SIGNAL \led_flash_cnt[3721][3]~79874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3721][3]~79875\ : std_logic;
SIGNAL \led_flash_cnt[3721][4]~79876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3721][4]~79877\ : std_logic;
SIGNAL \led_flash_cnt[3721][5]~79878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3721][5]~79879\ : std_logic;
SIGNAL \led_flash_cnt[3721][6]~79880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3721][6]~79881\ : std_logic;
SIGNAL \led_flash_cnt[3721][7]~79882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3721][7]~q\ : std_logic;
SIGNAL \WideAnd3721~0_combout\ : std_logic;
SIGNAL \WideAnd3721~1_combout\ : std_logic;
SIGNAL \WideAnd3721~combout\ : std_logic;
SIGNAL \WideAnd4305~0_combout\ : std_logic;
SIGNAL \WideAnd4305~combout\ : std_logic;
SIGNAL \WideAnd4378~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][0]~84469_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3765][1]~80486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3765][1]~80487\ : std_logic;
SIGNAL \led_flash_cnt[3765][2]~80488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3765][2]~80489\ : std_logic;
SIGNAL \led_flash_cnt[3765][3]~80490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3765][3]~80491\ : std_logic;
SIGNAL \led_flash_cnt[3765][4]~80492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3765][4]~80493\ : std_logic;
SIGNAL \led_flash_cnt[3765][5]~80494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3765][5]~80495\ : std_logic;
SIGNAL \led_flash_cnt[3765][6]~80496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3765][6]~80497\ : std_logic;
SIGNAL \led_flash_cnt[3765][7]~80498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3765][7]~q\ : std_logic;
SIGNAL \WideAnd3765~1_combout\ : std_logic;
SIGNAL \WideAnd3765~0_combout\ : std_logic;
SIGNAL \WideAnd3765~combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][0]~84468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3764][1]~80472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3764][1]~80473\ : std_logic;
SIGNAL \led_flash_cnt[3764][2]~80474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3764][2]~80475\ : std_logic;
SIGNAL \led_flash_cnt[3764][3]~80476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3764][3]~80477\ : std_logic;
SIGNAL \led_flash_cnt[3764][4]~80478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][4]~q\ : std_logic;
SIGNAL \WideAnd3764~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][4]~80479\ : std_logic;
SIGNAL \led_flash_cnt[3764][5]~80480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3764][5]~80481\ : std_logic;
SIGNAL \led_flash_cnt[3764][6]~80482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][6]~q\ : std_logic;
SIGNAL \WideAnd3764~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][6]~80483\ : std_logic;
SIGNAL \led_flash_cnt[3764][7]~80484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3764][7]~q\ : std_logic;
SIGNAL \WideAnd3764~combout\ : std_logic;
SIGNAL \WideAnd4310~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][0]~84470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3766][1]~80500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3766][1]~80501\ : std_logic;
SIGNAL \led_flash_cnt[3766][2]~80502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3766][2]~80503\ : std_logic;
SIGNAL \led_flash_cnt[3766][3]~80504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3766][3]~80505\ : std_logic;
SIGNAL \led_flash_cnt[3766][4]~80506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][4]~q\ : std_logic;
SIGNAL \WideAnd3766~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][4]~80507\ : std_logic;
SIGNAL \led_flash_cnt[3766][5]~80508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3766][5]~80509\ : std_logic;
SIGNAL \led_flash_cnt[3766][6]~80510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3766][6]~80511\ : std_logic;
SIGNAL \led_flash_cnt[3766][7]~80512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3766][7]~q\ : std_logic;
SIGNAL \WideAnd3766~1_combout\ : std_logic;
SIGNAL \WideAnd3766~combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][0]~84471_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3767][1]~80514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3767][1]~80515\ : std_logic;
SIGNAL \led_flash_cnt[3767][2]~80516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3767][2]~80517\ : std_logic;
SIGNAL \led_flash_cnt[3767][3]~80518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3767][3]~80519\ : std_logic;
SIGNAL \led_flash_cnt[3767][4]~80520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][4]~q\ : std_logic;
SIGNAL \WideAnd3767~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][4]~80521\ : std_logic;
SIGNAL \led_flash_cnt[3767][5]~80522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3767][5]~80523\ : std_logic;
SIGNAL \led_flash_cnt[3767][6]~80524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][6]~q\ : std_logic;
SIGNAL \WideAnd3767~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][6]~80525\ : std_logic;
SIGNAL \led_flash_cnt[3767][7]~80526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3767][7]~q\ : std_logic;
SIGNAL \WideAnd3767~combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][0]~84467_combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3763][1]~80458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3763][1]~80459\ : std_logic;
SIGNAL \led_flash_cnt[3763][2]~80460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3763][2]~80461\ : std_logic;
SIGNAL \led_flash_cnt[3763][3]~80462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3763][3]~80463\ : std_logic;
SIGNAL \led_flash_cnt[3763][4]~80464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3763][4]~80465\ : std_logic;
SIGNAL \led_flash_cnt[3763][5]~80466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3763][5]~80467\ : std_logic;
SIGNAL \led_flash_cnt[3763][6]~80468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3763][6]~80469\ : std_logic;
SIGNAL \led_flash_cnt[3763][7]~80470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3763][7]~q\ : std_logic;
SIGNAL \WideAnd3763~0_combout\ : std_logic;
SIGNAL \WideAnd3763~1_combout\ : std_logic;
SIGNAL \WideAnd3763~combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][0]~84465_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3761][1]~80430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3761][1]~80431\ : std_logic;
SIGNAL \led_flash_cnt[3761][2]~80432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3761][2]~80433\ : std_logic;
SIGNAL \led_flash_cnt[3761][3]~80434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3761][3]~80435\ : std_logic;
SIGNAL \led_flash_cnt[3761][4]~80436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][4]~q\ : std_logic;
SIGNAL \WideAnd3761~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][4]~80437\ : std_logic;
SIGNAL \led_flash_cnt[3761][5]~80438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3761][5]~80439\ : std_logic;
SIGNAL \led_flash_cnt[3761][6]~80440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][6]~q\ : std_logic;
SIGNAL \WideAnd3761~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][6]~80441\ : std_logic;
SIGNAL \led_flash_cnt[3761][7]~80442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3761][7]~q\ : std_logic;
SIGNAL \WideAnd3761~combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][0]~84464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3760][1]~80416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3760][1]~80417\ : std_logic;
SIGNAL \led_flash_cnt[3760][2]~80418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3760][2]~80419\ : std_logic;
SIGNAL \led_flash_cnt[3760][3]~80420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3760][3]~80421\ : std_logic;
SIGNAL \led_flash_cnt[3760][4]~80422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3760][4]~80423\ : std_logic;
SIGNAL \led_flash_cnt[3760][5]~80424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3760][5]~80425\ : std_logic;
SIGNAL \led_flash_cnt[3760][6]~80426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3760][6]~80427\ : std_logic;
SIGNAL \led_flash_cnt[3760][7]~80428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3760][7]~q\ : std_logic;
SIGNAL \WideAnd3760~1_combout\ : std_logic;
SIGNAL \WideAnd3760~0_combout\ : std_logic;
SIGNAL \WideAnd3760~combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][0]~84466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3762][1]~80444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3762][1]~80445\ : std_logic;
SIGNAL \led_flash_cnt[3762][2]~80446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3762][2]~80447\ : std_logic;
SIGNAL \led_flash_cnt[3762][3]~80448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3762][3]~80449\ : std_logic;
SIGNAL \led_flash_cnt[3762][4]~80450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3762][4]~80451\ : std_logic;
SIGNAL \led_flash_cnt[3762][5]~80452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3762][5]~80453\ : std_logic;
SIGNAL \led_flash_cnt[3762][6]~80454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3762][6]~80455\ : std_logic;
SIGNAL \led_flash_cnt[3762][7]~80456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3762][7]~q\ : std_logic;
SIGNAL \WideAnd3762~1_combout\ : std_logic;
SIGNAL \WideAnd3762~0_combout\ : std_logic;
SIGNAL \WideAnd3762~combout\ : std_logic;
SIGNAL \WideAnd4310~0_combout\ : std_logic;
SIGNAL \WideAnd4310~combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][0]~84476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3772][1]~80584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3772][1]~80585\ : std_logic;
SIGNAL \led_flash_cnt[3772][2]~80586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3772][2]~80587\ : std_logic;
SIGNAL \led_flash_cnt[3772][3]~80588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3772][3]~80589\ : std_logic;
SIGNAL \led_flash_cnt[3772][4]~80590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3772][4]~80591\ : std_logic;
SIGNAL \led_flash_cnt[3772][5]~80592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3772][5]~80593\ : std_logic;
SIGNAL \led_flash_cnt[3772][6]~80594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3772][6]~80595\ : std_logic;
SIGNAL \led_flash_cnt[3772][7]~80596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3772][7]~q\ : std_logic;
SIGNAL \WideAnd3772~0_combout\ : std_logic;
SIGNAL \WideAnd3772~1_combout\ : std_logic;
SIGNAL \WideAnd3772~combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][0]~84477_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3773][1]~80598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3773][1]~80599\ : std_logic;
SIGNAL \led_flash_cnt[3773][2]~80600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3773][2]~80601\ : std_logic;
SIGNAL \led_flash_cnt[3773][3]~80602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3773][3]~80603\ : std_logic;
SIGNAL \led_flash_cnt[3773][4]~80604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][4]~q\ : std_logic;
SIGNAL \WideAnd3773~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][4]~80605\ : std_logic;
SIGNAL \led_flash_cnt[3773][5]~80606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3773][5]~80607\ : std_logic;
SIGNAL \led_flash_cnt[3773][6]~80608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3773][6]~80609\ : std_logic;
SIGNAL \led_flash_cnt[3773][7]~80610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3773][7]~q\ : std_logic;
SIGNAL \WideAnd3773~1_combout\ : std_logic;
SIGNAL \WideAnd3773~combout\ : std_logic;
SIGNAL \WideAnd4311~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][0]~84478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3774][1]~80612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3774][1]~80613\ : std_logic;
SIGNAL \led_flash_cnt[3774][2]~80614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3774][2]~80615\ : std_logic;
SIGNAL \led_flash_cnt[3774][3]~80616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3774][3]~80617\ : std_logic;
SIGNAL \led_flash_cnt[3774][4]~80618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][4]~q\ : std_logic;
SIGNAL \WideAnd3774~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][4]~80619\ : std_logic;
SIGNAL \led_flash_cnt[3774][5]~80620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3774][5]~80621\ : std_logic;
SIGNAL \led_flash_cnt[3774][6]~80622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3774][6]~80623\ : std_logic;
SIGNAL \led_flash_cnt[3774][7]~80624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3774][7]~q\ : std_logic;
SIGNAL \WideAnd3774~1_combout\ : std_logic;
SIGNAL \WideAnd3774~combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][0]~84479_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3775][1]~80626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3775][1]~80627\ : std_logic;
SIGNAL \led_flash_cnt[3775][2]~80628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3775][2]~80629\ : std_logic;
SIGNAL \led_flash_cnt[3775][3]~80630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3775][3]~80631\ : std_logic;
SIGNAL \led_flash_cnt[3775][4]~80632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3775][4]~80633\ : std_logic;
SIGNAL \led_flash_cnt[3775][5]~80634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3775][5]~80635\ : std_logic;
SIGNAL \led_flash_cnt[3775][6]~80636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][6]~q\ : std_logic;
SIGNAL \WideAnd3775~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][6]~80637\ : std_logic;
SIGNAL \led_flash_cnt[3775][7]~80638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3775][7]~q\ : std_logic;
SIGNAL \WideAnd3775~1_combout\ : std_logic;
SIGNAL \WideAnd3775~combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][0]~84475_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3771][1]~80570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3771][1]~80571\ : std_logic;
SIGNAL \led_flash_cnt[3771][2]~80572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3771][2]~80573\ : std_logic;
SIGNAL \led_flash_cnt[3771][3]~80574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3771][3]~80575\ : std_logic;
SIGNAL \led_flash_cnt[3771][4]~80576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3771][4]~80577\ : std_logic;
SIGNAL \led_flash_cnt[3771][5]~80578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3771][5]~80579\ : std_logic;
SIGNAL \led_flash_cnt[3771][6]~80580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][6]~q\ : std_logic;
SIGNAL \WideAnd3771~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][6]~80581\ : std_logic;
SIGNAL \led_flash_cnt[3771][7]~80582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3771][7]~q\ : std_logic;
SIGNAL \WideAnd3771~0_combout\ : std_logic;
SIGNAL \WideAnd3771~combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][0]~84472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3768][1]~80528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3768][1]~80529\ : std_logic;
SIGNAL \led_flash_cnt[3768][2]~80530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3768][2]~80531\ : std_logic;
SIGNAL \led_flash_cnt[3768][3]~80532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3768][3]~80533\ : std_logic;
SIGNAL \led_flash_cnt[3768][4]~80534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][4]~q\ : std_logic;
SIGNAL \WideAnd3768~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][4]~80535\ : std_logic;
SIGNAL \led_flash_cnt[3768][5]~80536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3768][5]~80537\ : std_logic;
SIGNAL \led_flash_cnt[3768][6]~80538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3768][6]~80539\ : std_logic;
SIGNAL \led_flash_cnt[3768][7]~80540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3768][7]~q\ : std_logic;
SIGNAL \WideAnd3768~1_combout\ : std_logic;
SIGNAL \WideAnd3768~combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][0]~84474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3770][1]~80556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3770][1]~80557\ : std_logic;
SIGNAL \led_flash_cnt[3770][2]~80558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3770][2]~80559\ : std_logic;
SIGNAL \led_flash_cnt[3770][3]~80560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3770][3]~80561\ : std_logic;
SIGNAL \led_flash_cnt[3770][4]~80562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3770][4]~80563\ : std_logic;
SIGNAL \led_flash_cnt[3770][5]~80564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3770][5]~80565\ : std_logic;
SIGNAL \led_flash_cnt[3770][6]~80566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][6]~q\ : std_logic;
SIGNAL \WideAnd3770~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][6]~80567\ : std_logic;
SIGNAL \led_flash_cnt[3770][7]~80568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3770][7]~q\ : std_logic;
SIGNAL \WideAnd3770~1_combout\ : std_logic;
SIGNAL \WideAnd3770~combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][0]~84473_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3769][1]~80542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3769][1]~80543\ : std_logic;
SIGNAL \led_flash_cnt[3769][2]~80544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3769][2]~80545\ : std_logic;
SIGNAL \led_flash_cnt[3769][3]~80546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3769][3]~80547\ : std_logic;
SIGNAL \led_flash_cnt[3769][4]~80548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3769][4]~80549\ : std_logic;
SIGNAL \led_flash_cnt[3769][5]~80550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3769][5]~80551\ : std_logic;
SIGNAL \led_flash_cnt[3769][6]~80552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][6]~q\ : std_logic;
SIGNAL \WideAnd3769~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][6]~80553\ : std_logic;
SIGNAL \led_flash_cnt[3769][7]~80554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3769][7]~q\ : std_logic;
SIGNAL \WideAnd3769~0_combout\ : std_logic;
SIGNAL \WideAnd3769~combout\ : std_logic;
SIGNAL \WideAnd4311~0_combout\ : std_logic;
SIGNAL \WideAnd4311~combout\ : std_logic;
SIGNAL \WideAnd4378~combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][0]~84396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3692][1]~79464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3692][1]~79465\ : std_logic;
SIGNAL \led_flash_cnt[3692][2]~79466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3692][2]~79467\ : std_logic;
SIGNAL \led_flash_cnt[3692][3]~79468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3692][3]~79469\ : std_logic;
SIGNAL \led_flash_cnt[3692][4]~79470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3692][4]~79471\ : std_logic;
SIGNAL \led_flash_cnt[3692][5]~79472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3692][5]~79473\ : std_logic;
SIGNAL \led_flash_cnt[3692][6]~79474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3692][6]~79475\ : std_logic;
SIGNAL \led_flash_cnt[3692][7]~79476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3692][7]~q\ : std_logic;
SIGNAL \WideAnd3692~0_combout\ : std_logic;
SIGNAL \WideAnd3692~1_combout\ : std_logic;
SIGNAL \WideAnd3692~combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][0]~84397_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3693][1]~79478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3693][1]~79479\ : std_logic;
SIGNAL \led_flash_cnt[3693][2]~79480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3693][2]~79481\ : std_logic;
SIGNAL \led_flash_cnt[3693][3]~79482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3693][3]~79483\ : std_logic;
SIGNAL \led_flash_cnt[3693][4]~79484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3693][4]~79485\ : std_logic;
SIGNAL \led_flash_cnt[3693][5]~79486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3693][5]~79487\ : std_logic;
SIGNAL \led_flash_cnt[3693][6]~79488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][6]~q\ : std_logic;
SIGNAL \WideAnd3693~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][6]~79489\ : std_logic;
SIGNAL \led_flash_cnt[3693][7]~79490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3693][7]~q\ : std_logic;
SIGNAL \WideAnd3693~0_combout\ : std_logic;
SIGNAL \WideAnd3693~combout\ : std_logic;
SIGNAL \WideAnd4301~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][0]~84399_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3695][1]~79506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3695][1]~79507\ : std_logic;
SIGNAL \led_flash_cnt[3695][2]~79508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3695][2]~79509\ : std_logic;
SIGNAL \led_flash_cnt[3695][3]~79510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3695][3]~79511\ : std_logic;
SIGNAL \led_flash_cnt[3695][4]~79512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][4]~q\ : std_logic;
SIGNAL \WideAnd3695~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][4]~79513\ : std_logic;
SIGNAL \led_flash_cnt[3695][5]~79514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3695][5]~79515\ : std_logic;
SIGNAL \led_flash_cnt[3695][6]~79516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][6]~q\ : std_logic;
SIGNAL \WideAnd3695~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][6]~79517\ : std_logic;
SIGNAL \led_flash_cnt[3695][7]~79518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3695][7]~q\ : std_logic;
SIGNAL \WideAnd3695~combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][0]~84398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3694][1]~79492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3694][1]~79493\ : std_logic;
SIGNAL \led_flash_cnt[3694][2]~79494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3694][2]~79495\ : std_logic;
SIGNAL \led_flash_cnt[3694][3]~79496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3694][3]~79497\ : std_logic;
SIGNAL \led_flash_cnt[3694][4]~79498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3694][4]~79499\ : std_logic;
SIGNAL \led_flash_cnt[3694][5]~79500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3694][5]~79501\ : std_logic;
SIGNAL \led_flash_cnt[3694][6]~79502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][6]~q\ : std_logic;
SIGNAL \WideAnd3694~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][6]~79503\ : std_logic;
SIGNAL \led_flash_cnt[3694][7]~79504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3694][7]~q\ : std_logic;
SIGNAL \WideAnd3694~0_combout\ : std_logic;
SIGNAL \WideAnd3694~combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][0]~84392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3688][1]~79408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3688][1]~79409\ : std_logic;
SIGNAL \led_flash_cnt[3688][2]~79410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3688][2]~79411\ : std_logic;
SIGNAL \led_flash_cnt[3688][3]~79412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3688][3]~79413\ : std_logic;
SIGNAL \led_flash_cnt[3688][4]~79414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3688][4]~79415\ : std_logic;
SIGNAL \led_flash_cnt[3688][5]~79416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3688][5]~79417\ : std_logic;
SIGNAL \led_flash_cnt[3688][6]~79418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][6]~q\ : std_logic;
SIGNAL \WideAnd3688~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][6]~79419\ : std_logic;
SIGNAL \led_flash_cnt[3688][7]~79420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3688][7]~q\ : std_logic;
SIGNAL \WideAnd3688~0_combout\ : std_logic;
SIGNAL \WideAnd3688~combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][0]~84395_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3691][1]~79450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3691][1]~79451\ : std_logic;
SIGNAL \led_flash_cnt[3691][2]~79452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3691][2]~79453\ : std_logic;
SIGNAL \led_flash_cnt[3691][3]~79454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3691][3]~79455\ : std_logic;
SIGNAL \led_flash_cnt[3691][4]~79456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3691][4]~79457\ : std_logic;
SIGNAL \led_flash_cnt[3691][5]~79458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3691][5]~79459\ : std_logic;
SIGNAL \led_flash_cnt[3691][6]~79460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][6]~q\ : std_logic;
SIGNAL \WideAnd3691~1_combout\ : std_logic;
SIGNAL \WideAnd3691~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][6]~79461\ : std_logic;
SIGNAL \led_flash_cnt[3691][7]~79462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3691][7]~q\ : std_logic;
SIGNAL \WideAnd3691~combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][0]~84394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3690][1]~79436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3690][1]~79437\ : std_logic;
SIGNAL \led_flash_cnt[3690][2]~79438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3690][2]~79439\ : std_logic;
SIGNAL \led_flash_cnt[3690][3]~79440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3690][3]~79441\ : std_logic;
SIGNAL \led_flash_cnt[3690][4]~79442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][4]~q\ : std_logic;
SIGNAL \WideAnd3690~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][4]~79443\ : std_logic;
SIGNAL \led_flash_cnt[3690][5]~79444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3690][5]~79445\ : std_logic;
SIGNAL \led_flash_cnt[3690][6]~79446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][6]~q\ : std_logic;
SIGNAL \WideAnd3690~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][6]~79447\ : std_logic;
SIGNAL \led_flash_cnt[3690][7]~79448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3690][7]~q\ : std_logic;
SIGNAL \WideAnd3690~combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][0]~84393_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3689][1]~79422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3689][1]~79423\ : std_logic;
SIGNAL \led_flash_cnt[3689][2]~79424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3689][2]~79425\ : std_logic;
SIGNAL \led_flash_cnt[3689][3]~79426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3689][3]~79427\ : std_logic;
SIGNAL \led_flash_cnt[3689][4]~79428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][4]~q\ : std_logic;
SIGNAL \WideAnd3689~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][4]~79429\ : std_logic;
SIGNAL \led_flash_cnt[3689][5]~79430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3689][5]~79431\ : std_logic;
SIGNAL \led_flash_cnt[3689][6]~79432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][6]~q\ : std_logic;
SIGNAL \WideAnd3689~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][6]~79433\ : std_logic;
SIGNAL \led_flash_cnt[3689][7]~79434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3689][7]~q\ : std_logic;
SIGNAL \WideAnd3689~combout\ : std_logic;
SIGNAL \WideAnd4301~0_combout\ : std_logic;
SIGNAL \WideAnd4301~combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][0]~84390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3686][1]~79380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3686][1]~79381\ : std_logic;
SIGNAL \led_flash_cnt[3686][2]~79382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3686][2]~79383\ : std_logic;
SIGNAL \led_flash_cnt[3686][3]~79384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3686][3]~79385\ : std_logic;
SIGNAL \led_flash_cnt[3686][4]~79386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][4]~q\ : std_logic;
SIGNAL \WideAnd3686~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][4]~79387\ : std_logic;
SIGNAL \led_flash_cnt[3686][5]~79388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3686][5]~79389\ : std_logic;
SIGNAL \led_flash_cnt[3686][6]~79390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3686][6]~79391\ : std_logic;
SIGNAL \led_flash_cnt[3686][7]~79392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3686][7]~q\ : std_logic;
SIGNAL \WideAnd3686~1_combout\ : std_logic;
SIGNAL \WideAnd3686~combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][0]~84385_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3681][1]~79310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3681][1]~79311\ : std_logic;
SIGNAL \led_flash_cnt[3681][2]~79312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3681][2]~79313\ : std_logic;
SIGNAL \led_flash_cnt[3681][3]~79314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3681][3]~79315\ : std_logic;
SIGNAL \led_flash_cnt[3681][4]~79316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3681][4]~79317\ : std_logic;
SIGNAL \led_flash_cnt[3681][5]~79318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3681][5]~79319\ : std_logic;
SIGNAL \led_flash_cnt[3681][6]~79320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][6]~q\ : std_logic;
SIGNAL \WideAnd3681~1_combout\ : std_logic;
SIGNAL \WideAnd3681~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][6]~79321\ : std_logic;
SIGNAL \led_flash_cnt[3681][7]~79322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3681][7]~q\ : std_logic;
SIGNAL \WideAnd3681~combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][0]~84387_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3683][1]~79338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3683][1]~79339\ : std_logic;
SIGNAL \led_flash_cnt[3683][2]~79340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3683][2]~79341\ : std_logic;
SIGNAL \led_flash_cnt[3683][3]~79342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3683][3]~79343\ : std_logic;
SIGNAL \led_flash_cnt[3683][4]~79344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3683][4]~79345\ : std_logic;
SIGNAL \led_flash_cnt[3683][5]~79346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3683][5]~79347\ : std_logic;
SIGNAL \led_flash_cnt[3683][6]~79348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][6]~q\ : std_logic;
SIGNAL \WideAnd3683~1_combout\ : std_logic;
SIGNAL \WideAnd3683~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][6]~79349\ : std_logic;
SIGNAL \led_flash_cnt[3683][7]~79350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3683][7]~q\ : std_logic;
SIGNAL \WideAnd3683~combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][0]~84384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3680][1]~79296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3680][1]~79297\ : std_logic;
SIGNAL \led_flash_cnt[3680][2]~79298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3680][2]~79299\ : std_logic;
SIGNAL \led_flash_cnt[3680][3]~79300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3680][3]~79301\ : std_logic;
SIGNAL \led_flash_cnt[3680][4]~79302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3680][4]~79303\ : std_logic;
SIGNAL \led_flash_cnt[3680][5]~79304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][5]~q\ : std_logic;
SIGNAL \WideAnd3680~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][5]~79305\ : std_logic;
SIGNAL \led_flash_cnt[3680][6]~79306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3680][6]~79307\ : std_logic;
SIGNAL \led_flash_cnt[3680][7]~79308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3680][7]~q\ : std_logic;
SIGNAL \WideAnd3680~1_combout\ : std_logic;
SIGNAL \WideAnd3680~combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][0]~84386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3682][1]~79324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3682][1]~79325\ : std_logic;
SIGNAL \led_flash_cnt[3682][2]~79326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3682][2]~79327\ : std_logic;
SIGNAL \led_flash_cnt[3682][3]~79328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3682][3]~79329\ : std_logic;
SIGNAL \led_flash_cnt[3682][4]~79330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][4]~q\ : std_logic;
SIGNAL \WideAnd3682~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][4]~79331\ : std_logic;
SIGNAL \led_flash_cnt[3682][5]~79332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3682][5]~79333\ : std_logic;
SIGNAL \led_flash_cnt[3682][6]~79334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3682][6]~79335\ : std_logic;
SIGNAL \led_flash_cnt[3682][7]~79336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3682][7]~q\ : std_logic;
SIGNAL \WideAnd3682~1_combout\ : std_logic;
SIGNAL \WideAnd3682~combout\ : std_logic;
SIGNAL \WideAnd4300~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][0]~84389_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3685][1]~79366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3685][1]~79367\ : std_logic;
SIGNAL \led_flash_cnt[3685][2]~79368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3685][2]~79369\ : std_logic;
SIGNAL \led_flash_cnt[3685][3]~79370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3685][3]~79371\ : std_logic;
SIGNAL \led_flash_cnt[3685][4]~79372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3685][4]~79373\ : std_logic;
SIGNAL \led_flash_cnt[3685][5]~79374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3685][5]~79375\ : std_logic;
SIGNAL \led_flash_cnt[3685][6]~79376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][6]~q\ : std_logic;
SIGNAL \WideAnd3685~1_combout\ : std_logic;
SIGNAL \WideAnd3685~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][6]~79377\ : std_logic;
SIGNAL \led_flash_cnt[3685][7]~79378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3685][7]~q\ : std_logic;
SIGNAL \WideAnd3685~combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][0]~84388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3684][1]~79352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3684][1]~79353\ : std_logic;
SIGNAL \led_flash_cnt[3684][2]~79354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3684][2]~79355\ : std_logic;
SIGNAL \led_flash_cnt[3684][3]~79356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3684][3]~79357\ : std_logic;
SIGNAL \led_flash_cnt[3684][4]~79358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3684][4]~79359\ : std_logic;
SIGNAL \led_flash_cnt[3684][5]~79360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3684][5]~79361\ : std_logic;
SIGNAL \led_flash_cnt[3684][6]~79362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][6]~q\ : std_logic;
SIGNAL \WideAnd3684~1_combout\ : std_logic;
SIGNAL \WideAnd3684~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][6]~79363\ : std_logic;
SIGNAL \led_flash_cnt[3684][7]~79364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3684][7]~q\ : std_logic;
SIGNAL \WideAnd3684~combout\ : std_logic;
SIGNAL \WideAnd4300~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][0]~84391_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3687][1]~79394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3687][1]~79395\ : std_logic;
SIGNAL \led_flash_cnt[3687][2]~79396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3687][2]~79397\ : std_logic;
SIGNAL \led_flash_cnt[3687][3]~79398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3687][3]~79399\ : std_logic;
SIGNAL \led_flash_cnt[3687][4]~79400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][4]~q\ : std_logic;
SIGNAL \WideAnd3687~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][4]~79401\ : std_logic;
SIGNAL \led_flash_cnt[3687][5]~79402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3687][5]~79403\ : std_logic;
SIGNAL \led_flash_cnt[3687][6]~79404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3687][6]~79405\ : std_logic;
SIGNAL \led_flash_cnt[3687][7]~79406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3687][7]~q\ : std_logic;
SIGNAL \WideAnd3687~1_combout\ : std_logic;
SIGNAL \WideAnd3687~combout\ : std_logic;
SIGNAL \WideAnd4300~combout\ : std_logic;
SIGNAL \WideAnd4377~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][0]~84407_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3703][1]~79618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3703][1]~79619\ : std_logic;
SIGNAL \led_flash_cnt[3703][2]~79620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3703][2]~79621\ : std_logic;
SIGNAL \led_flash_cnt[3703][3]~79622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3703][3]~79623\ : std_logic;
SIGNAL \led_flash_cnt[3703][4]~79624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][4]~q\ : std_logic;
SIGNAL \WideAnd3703~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][4]~79625\ : std_logic;
SIGNAL \led_flash_cnt[3703][5]~79626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3703][5]~79627\ : std_logic;
SIGNAL \led_flash_cnt[3703][6]~79628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3703][6]~79629\ : std_logic;
SIGNAL \led_flash_cnt[3703][7]~79630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3703][7]~q\ : std_logic;
SIGNAL \WideAnd3703~1_combout\ : std_logic;
SIGNAL \WideAnd3703~combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][0]~84406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3702][1]~79604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3702][1]~79605\ : std_logic;
SIGNAL \led_flash_cnt[3702][2]~79606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3702][2]~79607\ : std_logic;
SIGNAL \led_flash_cnt[3702][3]~79608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3702][3]~79609\ : std_logic;
SIGNAL \led_flash_cnt[3702][4]~79610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3702][4]~79611\ : std_logic;
SIGNAL \led_flash_cnt[3702][5]~79612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3702][5]~79613\ : std_logic;
SIGNAL \led_flash_cnt[3702][6]~79614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3702][6]~79615\ : std_logic;
SIGNAL \led_flash_cnt[3702][7]~79616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3702][7]~q\ : std_logic;
SIGNAL \WideAnd3702~1_combout\ : std_logic;
SIGNAL \WideAnd3702~0_combout\ : std_logic;
SIGNAL \WideAnd3702~combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][0]~84400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3696][1]~79520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3696][1]~79521\ : std_logic;
SIGNAL \led_flash_cnt[3696][2]~79522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3696][2]~79523\ : std_logic;
SIGNAL \led_flash_cnt[3696][3]~79524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3696][3]~79525\ : std_logic;
SIGNAL \led_flash_cnt[3696][4]~79526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][4]~q\ : std_logic;
SIGNAL \WideAnd3696~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][4]~79527\ : std_logic;
SIGNAL \led_flash_cnt[3696][5]~79528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3696][5]~79529\ : std_logic;
SIGNAL \led_flash_cnt[3696][6]~79530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3696][6]~79531\ : std_logic;
SIGNAL \led_flash_cnt[3696][7]~79532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3696][7]~q\ : std_logic;
SIGNAL \WideAnd3696~1_combout\ : std_logic;
SIGNAL \WideAnd3696~combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][0]~84403_combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3699][1]~79562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3699][1]~79563\ : std_logic;
SIGNAL \led_flash_cnt[3699][2]~79564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3699][2]~79565\ : std_logic;
SIGNAL \led_flash_cnt[3699][3]~79566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3699][3]~79567\ : std_logic;
SIGNAL \led_flash_cnt[3699][4]~79568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3699][4]~79569\ : std_logic;
SIGNAL \led_flash_cnt[3699][5]~79570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3699][5]~79571\ : std_logic;
SIGNAL \led_flash_cnt[3699][6]~79572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3699][6]~79573\ : std_logic;
SIGNAL \led_flash_cnt[3699][7]~79574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3699][7]~q\ : std_logic;
SIGNAL \WideAnd3699~1_combout\ : std_logic;
SIGNAL \WideAnd3699~0_combout\ : std_logic;
SIGNAL \WideAnd3699~combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][0]~84401_combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3697][1]~79534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3697][1]~79535\ : std_logic;
SIGNAL \led_flash_cnt[3697][2]~79536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3697][2]~79537\ : std_logic;
SIGNAL \led_flash_cnt[3697][3]~79538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3697][3]~79539\ : std_logic;
SIGNAL \led_flash_cnt[3697][4]~79540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3697][4]~79541\ : std_logic;
SIGNAL \led_flash_cnt[3697][5]~79542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3697][5]~79543\ : std_logic;
SIGNAL \led_flash_cnt[3697][6]~79544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3697][6]~79545\ : std_logic;
SIGNAL \led_flash_cnt[3697][7]~79546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3697][7]~q\ : std_logic;
SIGNAL \WideAnd3697~1_combout\ : std_logic;
SIGNAL \WideAnd3697~0_combout\ : std_logic;
SIGNAL \WideAnd3697~combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][0]~84402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3698][1]~79548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3698][1]~79549\ : std_logic;
SIGNAL \led_flash_cnt[3698][2]~79550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3698][2]~79551\ : std_logic;
SIGNAL \led_flash_cnt[3698][3]~79552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3698][3]~79553\ : std_logic;
SIGNAL \led_flash_cnt[3698][4]~79554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][4]~q\ : std_logic;
SIGNAL \WideAnd3698~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][4]~79555\ : std_logic;
SIGNAL \led_flash_cnt[3698][5]~79556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3698][5]~79557\ : std_logic;
SIGNAL \led_flash_cnt[3698][6]~79558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][6]~q\ : std_logic;
SIGNAL \WideAnd3698~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][6]~79559\ : std_logic;
SIGNAL \led_flash_cnt[3698][7]~79560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3698][7]~q\ : std_logic;
SIGNAL \WideAnd3698~combout\ : std_logic;
SIGNAL \WideAnd4302~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][0]~84404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3700][1]~79576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3700][1]~79577\ : std_logic;
SIGNAL \led_flash_cnt[3700][2]~79578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3700][2]~79579\ : std_logic;
SIGNAL \led_flash_cnt[3700][3]~79580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3700][3]~79581\ : std_logic;
SIGNAL \led_flash_cnt[3700][4]~79582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3700][4]~79583\ : std_logic;
SIGNAL \led_flash_cnt[3700][5]~79584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3700][5]~79585\ : std_logic;
SIGNAL \led_flash_cnt[3700][6]~79586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][6]~q\ : std_logic;
SIGNAL \WideAnd3700~1_combout\ : std_logic;
SIGNAL \WideAnd3700~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][6]~79587\ : std_logic;
SIGNAL \led_flash_cnt[3700][7]~79588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3700][7]~q\ : std_logic;
SIGNAL \WideAnd3700~combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][0]~84405_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3701][1]~79590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3701][1]~79591\ : std_logic;
SIGNAL \led_flash_cnt[3701][2]~79592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3701][2]~79593\ : std_logic;
SIGNAL \led_flash_cnt[3701][3]~79594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3701][3]~79595\ : std_logic;
SIGNAL \led_flash_cnt[3701][4]~79596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3701][4]~79597\ : std_logic;
SIGNAL \led_flash_cnt[3701][5]~79598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3701][5]~79599\ : std_logic;
SIGNAL \led_flash_cnt[3701][6]~79600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][6]~q\ : std_logic;
SIGNAL \WideAnd3701~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][6]~79601\ : std_logic;
SIGNAL \led_flash_cnt[3701][7]~79602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3701][7]~q\ : std_logic;
SIGNAL \WideAnd3701~0_combout\ : std_logic;
SIGNAL \WideAnd3701~combout\ : std_logic;
SIGNAL \WideAnd4302~1_combout\ : std_logic;
SIGNAL \WideAnd4302~combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][0]~84414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3710][1]~79716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3710][1]~79717\ : std_logic;
SIGNAL \led_flash_cnt[3710][2]~79718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3710][2]~79719\ : std_logic;
SIGNAL \led_flash_cnt[3710][3]~79720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3710][3]~79721\ : std_logic;
SIGNAL \led_flash_cnt[3710][4]~79722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3710][4]~79723\ : std_logic;
SIGNAL \led_flash_cnt[3710][5]~79724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3710][5]~79725\ : std_logic;
SIGNAL \led_flash_cnt[3710][6]~79726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][6]~q\ : std_logic;
SIGNAL \WideAnd3710~1_combout\ : std_logic;
SIGNAL \WideAnd3710~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][6]~79727\ : std_logic;
SIGNAL \led_flash_cnt[3710][7]~79728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3710][7]~q\ : std_logic;
SIGNAL \WideAnd3710~combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][0]~84415_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3711][1]~79730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3711][1]~79731\ : std_logic;
SIGNAL \led_flash_cnt[3711][2]~79732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3711][2]~79733\ : std_logic;
SIGNAL \led_flash_cnt[3711][3]~79734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3711][3]~79735\ : std_logic;
SIGNAL \led_flash_cnt[3711][4]~79736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][4]~q\ : std_logic;
SIGNAL \WideAnd3711~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][4]~79737\ : std_logic;
SIGNAL \led_flash_cnt[3711][5]~79738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3711][5]~79739\ : std_logic;
SIGNAL \led_flash_cnt[3711][6]~79740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][6]~q\ : std_logic;
SIGNAL \WideAnd3711~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][6]~79741\ : std_logic;
SIGNAL \led_flash_cnt[3711][7]~79742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3711][7]~q\ : std_logic;
SIGNAL \WideAnd3711~combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][0]~84408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3704][1]~79632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3704][1]~79633\ : std_logic;
SIGNAL \led_flash_cnt[3704][2]~79634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3704][2]~79635\ : std_logic;
SIGNAL \led_flash_cnt[3704][3]~79636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3704][3]~79637\ : std_logic;
SIGNAL \led_flash_cnt[3704][4]~79638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][4]~q\ : std_logic;
SIGNAL \WideAnd3704~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][4]~79639\ : std_logic;
SIGNAL \led_flash_cnt[3704][5]~79640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3704][5]~79641\ : std_logic;
SIGNAL \led_flash_cnt[3704][6]~79642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3704][6]~79643\ : std_logic;
SIGNAL \led_flash_cnt[3704][7]~79644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3704][7]~q\ : std_logic;
SIGNAL \WideAnd3704~1_combout\ : std_logic;
SIGNAL \WideAnd3704~combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][0]~84411_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3707][1]~79674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3707][1]~79675\ : std_logic;
SIGNAL \led_flash_cnt[3707][2]~79676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3707][2]~79677\ : std_logic;
SIGNAL \led_flash_cnt[3707][3]~79678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3707][3]~79679\ : std_logic;
SIGNAL \led_flash_cnt[3707][4]~79680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][4]~q\ : std_logic;
SIGNAL \WideAnd3707~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][4]~79681\ : std_logic;
SIGNAL \led_flash_cnt[3707][5]~79682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3707][5]~79683\ : std_logic;
SIGNAL \led_flash_cnt[3707][6]~79684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][6]~q\ : std_logic;
SIGNAL \WideAnd3707~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][6]~79685\ : std_logic;
SIGNAL \led_flash_cnt[3707][7]~79686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3707][7]~q\ : std_logic;
SIGNAL \WideAnd3707~combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][0]~84410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3706][1]~79660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3706][1]~79661\ : std_logic;
SIGNAL \led_flash_cnt[3706][2]~79662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3706][2]~79663\ : std_logic;
SIGNAL \led_flash_cnt[3706][3]~79664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3706][3]~79665\ : std_logic;
SIGNAL \led_flash_cnt[3706][4]~79666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3706][4]~79667\ : std_logic;
SIGNAL \led_flash_cnt[3706][5]~79668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3706][5]~79669\ : std_logic;
SIGNAL \led_flash_cnt[3706][6]~79670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][6]~q\ : std_logic;
SIGNAL \WideAnd3706~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][6]~79671\ : std_logic;
SIGNAL \led_flash_cnt[3706][7]~79672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3706][7]~q\ : std_logic;
SIGNAL \WideAnd3706~0_combout\ : std_logic;
SIGNAL \WideAnd3706~combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][0]~84409_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3705][1]~79646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3705][1]~79647\ : std_logic;
SIGNAL \led_flash_cnt[3705][2]~79648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3705][2]~79649\ : std_logic;
SIGNAL \led_flash_cnt[3705][3]~79650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3705][3]~79651\ : std_logic;
SIGNAL \led_flash_cnt[3705][4]~79652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][4]~q\ : std_logic;
SIGNAL \WideAnd3705~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][4]~79653\ : std_logic;
SIGNAL \led_flash_cnt[3705][5]~79654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3705][5]~79655\ : std_logic;
SIGNAL \led_flash_cnt[3705][6]~79656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][6]~q\ : std_logic;
SIGNAL \WideAnd3705~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][6]~79657\ : std_logic;
SIGNAL \led_flash_cnt[3705][7]~79658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3705][7]~q\ : std_logic;
SIGNAL \WideAnd3705~combout\ : std_logic;
SIGNAL \WideAnd4303~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][0]~84412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3708][1]~79688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3708][1]~79689\ : std_logic;
SIGNAL \led_flash_cnt[3708][2]~79690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3708][2]~79691\ : std_logic;
SIGNAL \led_flash_cnt[3708][3]~79692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3708][3]~79693\ : std_logic;
SIGNAL \led_flash_cnt[3708][4]~79694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3708][4]~79695\ : std_logic;
SIGNAL \led_flash_cnt[3708][5]~79696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3708][5]~79697\ : std_logic;
SIGNAL \led_flash_cnt[3708][6]~79698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3708][6]~79699\ : std_logic;
SIGNAL \led_flash_cnt[3708][7]~79700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3708][7]~q\ : std_logic;
SIGNAL \WideAnd3708~1_combout\ : std_logic;
SIGNAL \WideAnd3708~0_combout\ : std_logic;
SIGNAL \WideAnd3708~combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][0]~84413_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3709][1]~79702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3709][1]~79703\ : std_logic;
SIGNAL \led_flash_cnt[3709][2]~79704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3709][2]~79705\ : std_logic;
SIGNAL \led_flash_cnt[3709][3]~79706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3709][3]~79707\ : std_logic;
SIGNAL \led_flash_cnt[3709][4]~79708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3709][4]~79709\ : std_logic;
SIGNAL \led_flash_cnt[3709][5]~79710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3709][5]~79711\ : std_logic;
SIGNAL \led_flash_cnt[3709][6]~79712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][6]~q\ : std_logic;
SIGNAL \WideAnd3709~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][6]~79713\ : std_logic;
SIGNAL \led_flash_cnt[3709][7]~79714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3709][7]~q\ : std_logic;
SIGNAL \WideAnd3709~0_combout\ : std_logic;
SIGNAL \WideAnd3709~combout\ : std_logic;
SIGNAL \WideAnd4303~1_combout\ : std_logic;
SIGNAL \WideAnd4303~combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][0]~84357_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3653][1]~78918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3653][1]~78919\ : std_logic;
SIGNAL \led_flash_cnt[3653][2]~78920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3653][2]~78921\ : std_logic;
SIGNAL \led_flash_cnt[3653][3]~78922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3653][3]~78923\ : std_logic;
SIGNAL \led_flash_cnt[3653][4]~78924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3653][4]~78925\ : std_logic;
SIGNAL \led_flash_cnt[3653][5]~78926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3653][5]~78927\ : std_logic;
SIGNAL \led_flash_cnt[3653][6]~78928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][6]~q\ : std_logic;
SIGNAL \WideAnd3653~1_combout\ : std_logic;
SIGNAL \WideAnd3653~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][6]~78929\ : std_logic;
SIGNAL \led_flash_cnt[3653][7]~78930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3653][7]~q\ : std_logic;
SIGNAL \WideAnd3653~combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][0]~84356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3652][1]~78904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3652][1]~78905\ : std_logic;
SIGNAL \led_flash_cnt[3652][2]~78906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3652][2]~78907\ : std_logic;
SIGNAL \led_flash_cnt[3652][3]~78908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3652][3]~78909\ : std_logic;
SIGNAL \led_flash_cnt[3652][4]~78910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][4]~q\ : std_logic;
SIGNAL \WideAnd3652~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][4]~78911\ : std_logic;
SIGNAL \led_flash_cnt[3652][5]~78912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3652][5]~78913\ : std_logic;
SIGNAL \led_flash_cnt[3652][6]~78914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3652][6]~78915\ : std_logic;
SIGNAL \led_flash_cnt[3652][7]~78916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3652][7]~q\ : std_logic;
SIGNAL \WideAnd3652~1_combout\ : std_logic;
SIGNAL \WideAnd3652~combout\ : std_logic;
SIGNAL \WideAnd4296~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][0]~84359_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3655][1]~78946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3655][1]~78947\ : std_logic;
SIGNAL \led_flash_cnt[3655][2]~78948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3655][2]~78949\ : std_logic;
SIGNAL \led_flash_cnt[3655][3]~78950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3655][3]~78951\ : std_logic;
SIGNAL \led_flash_cnt[3655][4]~78952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3655][4]~78953\ : std_logic;
SIGNAL \led_flash_cnt[3655][5]~78954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3655][5]~78955\ : std_logic;
SIGNAL \led_flash_cnt[3655][6]~78956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][6]~q\ : std_logic;
SIGNAL \WideAnd3655~1_combout\ : std_logic;
SIGNAL \WideAnd3655~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][6]~78957\ : std_logic;
SIGNAL \led_flash_cnt[3655][7]~78958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3655][7]~q\ : std_logic;
SIGNAL \WideAnd3655~combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][0]~84358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3654][1]~78932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3654][1]~78933\ : std_logic;
SIGNAL \led_flash_cnt[3654][2]~78934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3654][2]~78935\ : std_logic;
SIGNAL \led_flash_cnt[3654][3]~78936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3654][3]~78937\ : std_logic;
SIGNAL \led_flash_cnt[3654][4]~78938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3654][4]~78939\ : std_logic;
SIGNAL \led_flash_cnt[3654][5]~78940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3654][5]~78941\ : std_logic;
SIGNAL \led_flash_cnt[3654][6]~78942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3654][6]~78943\ : std_logic;
SIGNAL \led_flash_cnt[3654][7]~78944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3654][7]~q\ : std_logic;
SIGNAL \WideAnd3654~1_combout\ : std_logic;
SIGNAL \WideAnd3654~0_combout\ : std_logic;
SIGNAL \WideAnd3654~combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][0]~84352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3648][1]~78848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3648][1]~78849\ : std_logic;
SIGNAL \led_flash_cnt[3648][2]~78850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3648][2]~78851\ : std_logic;
SIGNAL \led_flash_cnt[3648][3]~78852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3648][3]~78853\ : std_logic;
SIGNAL \led_flash_cnt[3648][4]~78854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][4]~q\ : std_logic;
SIGNAL \WideAnd3648~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][4]~78855\ : std_logic;
SIGNAL \led_flash_cnt[3648][5]~78856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3648][5]~78857\ : std_logic;
SIGNAL \led_flash_cnt[3648][6]~78858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3648][6]~78859\ : std_logic;
SIGNAL \led_flash_cnt[3648][7]~78860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3648][7]~q\ : std_logic;
SIGNAL \WideAnd3648~1_combout\ : std_logic;
SIGNAL \WideAnd3648~combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][0]~84354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3650][1]~78876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3650][1]~78877\ : std_logic;
SIGNAL \led_flash_cnt[3650][2]~78878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3650][2]~78879\ : std_logic;
SIGNAL \led_flash_cnt[3650][3]~78880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3650][3]~78881\ : std_logic;
SIGNAL \led_flash_cnt[3650][4]~78882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3650][4]~78883\ : std_logic;
SIGNAL \led_flash_cnt[3650][5]~78884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3650][5]~78885\ : std_logic;
SIGNAL \led_flash_cnt[3650][6]~78886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][6]~q\ : std_logic;
SIGNAL \WideAnd3650~1_combout\ : std_logic;
SIGNAL \WideAnd3650~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][6]~78887\ : std_logic;
SIGNAL \led_flash_cnt[3650][7]~78888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3650][7]~q\ : std_logic;
SIGNAL \WideAnd3650~combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][0]~84355_combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3651][1]~78890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3651][1]~78891\ : std_logic;
SIGNAL \led_flash_cnt[3651][2]~78892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3651][2]~78893\ : std_logic;
SIGNAL \led_flash_cnt[3651][3]~78894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3651][3]~78895\ : std_logic;
SIGNAL \led_flash_cnt[3651][4]~78896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3651][4]~78897\ : std_logic;
SIGNAL \led_flash_cnt[3651][5]~78898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3651][5]~78899\ : std_logic;
SIGNAL \led_flash_cnt[3651][6]~78900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3651][6]~78901\ : std_logic;
SIGNAL \led_flash_cnt[3651][7]~78902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3651][7]~q\ : std_logic;
SIGNAL \WideAnd3651~1_combout\ : std_logic;
SIGNAL \WideAnd3651~0_combout\ : std_logic;
SIGNAL \WideAnd3651~combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][0]~84353_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3649][1]~78862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3649][1]~78863\ : std_logic;
SIGNAL \led_flash_cnt[3649][2]~78864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3649][2]~78865\ : std_logic;
SIGNAL \led_flash_cnt[3649][3]~78866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3649][3]~78867\ : std_logic;
SIGNAL \led_flash_cnt[3649][4]~78868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3649][4]~78869\ : std_logic;
SIGNAL \led_flash_cnt[3649][5]~78870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3649][5]~78871\ : std_logic;
SIGNAL \led_flash_cnt[3649][6]~78872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][6]~q\ : std_logic;
SIGNAL \WideAnd3649~1_combout\ : std_logic;
SIGNAL \WideAnd3649~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][6]~78873\ : std_logic;
SIGNAL \led_flash_cnt[3649][7]~78874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3649][7]~q\ : std_logic;
SIGNAL \WideAnd3649~combout\ : std_logic;
SIGNAL \WideAnd4296~0_combout\ : std_logic;
SIGNAL \WideAnd4296~combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][0]~84374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3670][1]~79156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3670][1]~79157\ : std_logic;
SIGNAL \led_flash_cnt[3670][2]~79158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3670][2]~79159\ : std_logic;
SIGNAL \led_flash_cnt[3670][3]~79160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3670][3]~79161\ : std_logic;
SIGNAL \led_flash_cnt[3670][4]~79162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][4]~q\ : std_logic;
SIGNAL \WideAnd3670~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][4]~79163\ : std_logic;
SIGNAL \led_flash_cnt[3670][5]~79164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3670][5]~79165\ : std_logic;
SIGNAL \led_flash_cnt[3670][6]~79166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][6]~q\ : std_logic;
SIGNAL \WideAnd3670~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][6]~79167\ : std_logic;
SIGNAL \led_flash_cnt[3670][7]~79168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3670][7]~q\ : std_logic;
SIGNAL \WideAnd3670~combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][0]~84372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3668][1]~79128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3668][1]~79129\ : std_logic;
SIGNAL \led_flash_cnt[3668][2]~79130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3668][2]~79131\ : std_logic;
SIGNAL \led_flash_cnt[3668][3]~79132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3668][3]~79133\ : std_logic;
SIGNAL \led_flash_cnt[3668][4]~79134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3668][4]~79135\ : std_logic;
SIGNAL \led_flash_cnt[3668][5]~79136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3668][5]~79137\ : std_logic;
SIGNAL \led_flash_cnt[3668][6]~79138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3668][6]~79139\ : std_logic;
SIGNAL \led_flash_cnt[3668][7]~79140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3668][7]~q\ : std_logic;
SIGNAL \WideAnd3668~1_combout\ : std_logic;
SIGNAL \WideAnd3668~0_combout\ : std_logic;
SIGNAL \WideAnd3668~combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][0]~84373_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3669][1]~79142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3669][1]~79143\ : std_logic;
SIGNAL \led_flash_cnt[3669][2]~79144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3669][2]~79145\ : std_logic;
SIGNAL \led_flash_cnt[3669][3]~79146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3669][3]~79147\ : std_logic;
SIGNAL \led_flash_cnt[3669][4]~79148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][4]~q\ : std_logic;
SIGNAL \WideAnd3669~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][4]~79149\ : std_logic;
SIGNAL \led_flash_cnt[3669][5]~79150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3669][5]~79151\ : std_logic;
SIGNAL \led_flash_cnt[3669][6]~79152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][6]~q\ : std_logic;
SIGNAL \WideAnd3669~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][6]~79153\ : std_logic;
SIGNAL \led_flash_cnt[3669][7]~79154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3669][7]~q\ : std_logic;
SIGNAL \WideAnd3669~combout\ : std_logic;
SIGNAL \WideAnd4298~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][0]~84371_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3667][1]~79114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3667][1]~79115\ : std_logic;
SIGNAL \led_flash_cnt[3667][2]~79116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3667][2]~79117\ : std_logic;
SIGNAL \led_flash_cnt[3667][3]~79118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3667][3]~79119\ : std_logic;
SIGNAL \led_flash_cnt[3667][4]~79120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3667][4]~79121\ : std_logic;
SIGNAL \led_flash_cnt[3667][5]~79122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3667][5]~79123\ : std_logic;
SIGNAL \led_flash_cnt[3667][6]~79124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][6]~q\ : std_logic;
SIGNAL \WideAnd3667~1_combout\ : std_logic;
SIGNAL \WideAnd3667~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][6]~79125\ : std_logic;
SIGNAL \led_flash_cnt[3667][7]~79126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3667][7]~q\ : std_logic;
SIGNAL \WideAnd3667~combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][0]~84369_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3665][1]~79086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3665][1]~79087\ : std_logic;
SIGNAL \led_flash_cnt[3665][2]~79088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3665][2]~79089\ : std_logic;
SIGNAL \led_flash_cnt[3665][3]~79090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3665][3]~79091\ : std_logic;
SIGNAL \led_flash_cnt[3665][4]~79092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][4]~q\ : std_logic;
SIGNAL \WideAnd3665~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][4]~79093\ : std_logic;
SIGNAL \led_flash_cnt[3665][5]~79094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3665][5]~79095\ : std_logic;
SIGNAL \led_flash_cnt[3665][6]~79096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3665][6]~79097\ : std_logic;
SIGNAL \led_flash_cnt[3665][7]~79098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3665][7]~q\ : std_logic;
SIGNAL \WideAnd3665~1_combout\ : std_logic;
SIGNAL \WideAnd3665~combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][0]~84368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3664][1]~79072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3664][1]~79073\ : std_logic;
SIGNAL \led_flash_cnt[3664][2]~79074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3664][2]~79075\ : std_logic;
SIGNAL \led_flash_cnt[3664][3]~79076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3664][3]~79077\ : std_logic;
SIGNAL \led_flash_cnt[3664][4]~79078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][4]~q\ : std_logic;
SIGNAL \WideAnd3664~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][4]~79079\ : std_logic;
SIGNAL \led_flash_cnt[3664][5]~79080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3664][5]~79081\ : std_logic;
SIGNAL \led_flash_cnt[3664][6]~79082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3664][6]~79083\ : std_logic;
SIGNAL \led_flash_cnt[3664][7]~79084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3664][7]~q\ : std_logic;
SIGNAL \WideAnd3664~1_combout\ : std_logic;
SIGNAL \WideAnd3664~combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][0]~84370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3666][1]~79100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3666][1]~79101\ : std_logic;
SIGNAL \led_flash_cnt[3666][2]~79102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3666][2]~79103\ : std_logic;
SIGNAL \led_flash_cnt[3666][3]~79104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3666][3]~79105\ : std_logic;
SIGNAL \led_flash_cnt[3666][4]~79106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][4]~q\ : std_logic;
SIGNAL \WideAnd3666~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][4]~79107\ : std_logic;
SIGNAL \led_flash_cnt[3666][5]~79108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3666][5]~79109\ : std_logic;
SIGNAL \led_flash_cnt[3666][6]~79110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][6]~q\ : std_logic;
SIGNAL \WideAnd3666~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][6]~79111\ : std_logic;
SIGNAL \led_flash_cnt[3666][7]~79112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3666][7]~q\ : std_logic;
SIGNAL \WideAnd3666~combout\ : std_logic;
SIGNAL \WideAnd4298~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][0]~84375_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3671][1]~79170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3671][1]~79171\ : std_logic;
SIGNAL \led_flash_cnt[3671][2]~79172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3671][2]~79173\ : std_logic;
SIGNAL \led_flash_cnt[3671][3]~79174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3671][3]~79175\ : std_logic;
SIGNAL \led_flash_cnt[3671][4]~79176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][4]~q\ : std_logic;
SIGNAL \WideAnd3671~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][4]~79177\ : std_logic;
SIGNAL \led_flash_cnt[3671][5]~79178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3671][5]~79179\ : std_logic;
SIGNAL \led_flash_cnt[3671][6]~79180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3671][6]~79181\ : std_logic;
SIGNAL \led_flash_cnt[3671][7]~79182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3671][7]~q\ : std_logic;
SIGNAL \WideAnd3671~1_combout\ : std_logic;
SIGNAL \WideAnd3671~combout\ : std_logic;
SIGNAL \WideAnd4298~combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][0]~84383_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3679][1]~79282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3679][1]~79283\ : std_logic;
SIGNAL \led_flash_cnt[3679][2]~79284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3679][2]~79285\ : std_logic;
SIGNAL \led_flash_cnt[3679][3]~79286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3679][3]~79287\ : std_logic;
SIGNAL \led_flash_cnt[3679][4]~79288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3679][4]~79289\ : std_logic;
SIGNAL \led_flash_cnt[3679][5]~79290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3679][5]~79291\ : std_logic;
SIGNAL \led_flash_cnt[3679][6]~79292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][6]~q\ : std_logic;
SIGNAL \WideAnd3679~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][6]~79293\ : std_logic;
SIGNAL \led_flash_cnt[3679][7]~79294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3679][7]~q\ : std_logic;
SIGNAL \WideAnd3679~0_combout\ : std_logic;
SIGNAL \WideAnd3679~combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][0]~84381_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3677][1]~79254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3677][1]~79255\ : std_logic;
SIGNAL \led_flash_cnt[3677][2]~79256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3677][2]~79257\ : std_logic;
SIGNAL \led_flash_cnt[3677][3]~79258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3677][3]~79259\ : std_logic;
SIGNAL \led_flash_cnt[3677][4]~79260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][4]~q\ : std_logic;
SIGNAL \WideAnd3677~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][4]~79261\ : std_logic;
SIGNAL \led_flash_cnt[3677][5]~79262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3677][5]~79263\ : std_logic;
SIGNAL \led_flash_cnt[3677][6]~79264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][6]~q\ : std_logic;
SIGNAL \WideAnd3677~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][6]~79265\ : std_logic;
SIGNAL \led_flash_cnt[3677][7]~79266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3677][7]~q\ : std_logic;
SIGNAL \WideAnd3677~combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][0]~84380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3676][1]~79240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3676][1]~79241\ : std_logic;
SIGNAL \led_flash_cnt[3676][2]~79242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3676][2]~79243\ : std_logic;
SIGNAL \led_flash_cnt[3676][3]~79244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3676][3]~79245\ : std_logic;
SIGNAL \led_flash_cnt[3676][4]~79246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3676][4]~79247\ : std_logic;
SIGNAL \led_flash_cnt[3676][5]~79248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3676][5]~79249\ : std_logic;
SIGNAL \led_flash_cnt[3676][6]~79250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][6]~q\ : std_logic;
SIGNAL \WideAnd3676~1_combout\ : std_logic;
SIGNAL \WideAnd3676~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][6]~79251\ : std_logic;
SIGNAL \led_flash_cnt[3676][7]~79252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3676][7]~q\ : std_logic;
SIGNAL \WideAnd3676~combout\ : std_logic;
SIGNAL \WideAnd4299~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][0]~84382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3678][1]~79268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3678][1]~79269\ : std_logic;
SIGNAL \led_flash_cnt[3678][2]~79270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3678][2]~79271\ : std_logic;
SIGNAL \led_flash_cnt[3678][3]~79272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3678][3]~79273\ : std_logic;
SIGNAL \led_flash_cnt[3678][4]~79274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][4]~q\ : std_logic;
SIGNAL \WideAnd3678~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][4]~79275\ : std_logic;
SIGNAL \led_flash_cnt[3678][5]~79276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3678][5]~79277\ : std_logic;
SIGNAL \led_flash_cnt[3678][6]~79278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3678][6]~79279\ : std_logic;
SIGNAL \led_flash_cnt[3678][7]~79280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3678][7]~q\ : std_logic;
SIGNAL \WideAnd3678~1_combout\ : std_logic;
SIGNAL \WideAnd3678~combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][0]~84378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3674][1]~79212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3674][1]~79213\ : std_logic;
SIGNAL \led_flash_cnt[3674][2]~79214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3674][2]~79215\ : std_logic;
SIGNAL \led_flash_cnt[3674][3]~79216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3674][3]~79217\ : std_logic;
SIGNAL \led_flash_cnt[3674][4]~79218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3674][4]~79219\ : std_logic;
SIGNAL \led_flash_cnt[3674][5]~79220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3674][5]~79221\ : std_logic;
SIGNAL \led_flash_cnt[3674][6]~79222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3674][6]~79223\ : std_logic;
SIGNAL \led_flash_cnt[3674][7]~79224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3674][7]~q\ : std_logic;
SIGNAL \WideAnd3674~0_combout\ : std_logic;
SIGNAL \WideAnd3674~1_combout\ : std_logic;
SIGNAL \WideAnd3674~combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][0]~84379_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3675][1]~79226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3675][1]~79227\ : std_logic;
SIGNAL \led_flash_cnt[3675][2]~79228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3675][2]~79229\ : std_logic;
SIGNAL \led_flash_cnt[3675][3]~79230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3675][3]~79231\ : std_logic;
SIGNAL \led_flash_cnt[3675][4]~79232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3675][4]~79233\ : std_logic;
SIGNAL \led_flash_cnt[3675][5]~79234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3675][5]~79235\ : std_logic;
SIGNAL \led_flash_cnt[3675][6]~79236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][6]~q\ : std_logic;
SIGNAL \WideAnd3675~1_combout\ : std_logic;
SIGNAL \WideAnd3675~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][6]~79237\ : std_logic;
SIGNAL \led_flash_cnt[3675][7]~79238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3675][7]~q\ : std_logic;
SIGNAL \WideAnd3675~combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][0]~84377_combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3673][1]~79198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3673][1]~79199\ : std_logic;
SIGNAL \led_flash_cnt[3673][2]~79200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3673][2]~79201\ : std_logic;
SIGNAL \led_flash_cnt[3673][3]~79202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3673][3]~79203\ : std_logic;
SIGNAL \led_flash_cnt[3673][4]~79204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3673][4]~79205\ : std_logic;
SIGNAL \led_flash_cnt[3673][5]~79206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3673][5]~79207\ : std_logic;
SIGNAL \led_flash_cnt[3673][6]~79208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3673][6]~79209\ : std_logic;
SIGNAL \led_flash_cnt[3673][7]~79210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3673][7]~q\ : std_logic;
SIGNAL \WideAnd3673~0_combout\ : std_logic;
SIGNAL \WideAnd3673~1_combout\ : std_logic;
SIGNAL \WideAnd3673~combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][0]~84376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3672][1]~79184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3672][1]~79185\ : std_logic;
SIGNAL \led_flash_cnt[3672][2]~79186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3672][2]~79187\ : std_logic;
SIGNAL \led_flash_cnt[3672][3]~79188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3672][3]~79189\ : std_logic;
SIGNAL \led_flash_cnt[3672][4]~79190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3672][4]~79191\ : std_logic;
SIGNAL \led_flash_cnt[3672][5]~79192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3672][5]~79193\ : std_logic;
SIGNAL \led_flash_cnt[3672][6]~79194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3672][6]~79195\ : std_logic;
SIGNAL \led_flash_cnt[3672][7]~79196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3672][7]~q\ : std_logic;
SIGNAL \WideAnd3672~1_combout\ : std_logic;
SIGNAL \WideAnd3672~0_combout\ : std_logic;
SIGNAL \WideAnd3672~combout\ : std_logic;
SIGNAL \WideAnd4299~0_combout\ : std_logic;
SIGNAL \WideAnd4299~combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][0]~84364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3660][1]~79016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3660][1]~79017\ : std_logic;
SIGNAL \led_flash_cnt[3660][2]~79018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3660][2]~79019\ : std_logic;
SIGNAL \led_flash_cnt[3660][3]~79020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3660][3]~79021\ : std_logic;
SIGNAL \led_flash_cnt[3660][4]~79022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3660][4]~79023\ : std_logic;
SIGNAL \led_flash_cnt[3660][5]~79024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3660][5]~79025\ : std_logic;
SIGNAL \led_flash_cnt[3660][6]~79026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][6]~q\ : std_logic;
SIGNAL \WideAnd3660~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][6]~79027\ : std_logic;
SIGNAL \led_flash_cnt[3660][7]~79028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3660][7]~q\ : std_logic;
SIGNAL \WideAnd3660~0_combout\ : std_logic;
SIGNAL \WideAnd3660~combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][0]~84365_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3661][1]~79030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3661][1]~79031\ : std_logic;
SIGNAL \led_flash_cnt[3661][2]~79032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3661][2]~79033\ : std_logic;
SIGNAL \led_flash_cnt[3661][3]~79034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3661][3]~79035\ : std_logic;
SIGNAL \led_flash_cnt[3661][4]~79036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][4]~q\ : std_logic;
SIGNAL \WideAnd3661~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][4]~79037\ : std_logic;
SIGNAL \led_flash_cnt[3661][5]~79038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3661][5]~79039\ : std_logic;
SIGNAL \led_flash_cnt[3661][6]~79040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3661][6]~79041\ : std_logic;
SIGNAL \led_flash_cnt[3661][7]~79042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3661][7]~q\ : std_logic;
SIGNAL \WideAnd3661~1_combout\ : std_logic;
SIGNAL \WideAnd3661~combout\ : std_logic;
SIGNAL \WideAnd4297~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][0]~84366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3662][1]~79044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3662][1]~79045\ : std_logic;
SIGNAL \led_flash_cnt[3662][2]~79046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3662][2]~79047\ : std_logic;
SIGNAL \led_flash_cnt[3662][3]~79048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3662][3]~79049\ : std_logic;
SIGNAL \led_flash_cnt[3662][4]~79050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3662][4]~79051\ : std_logic;
SIGNAL \led_flash_cnt[3662][5]~79052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3662][5]~79053\ : std_logic;
SIGNAL \led_flash_cnt[3662][6]~79054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][6]~q\ : std_logic;
SIGNAL \WideAnd3662~1_combout\ : std_logic;
SIGNAL \WideAnd3662~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][6]~79055\ : std_logic;
SIGNAL \led_flash_cnt[3662][7]~79056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3662][7]~q\ : std_logic;
SIGNAL \WideAnd3662~combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][0]~84361_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3657][1]~78974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3657][1]~78975\ : std_logic;
SIGNAL \led_flash_cnt[3657][2]~78976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3657][2]~78977\ : std_logic;
SIGNAL \led_flash_cnt[3657][3]~78978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3657][3]~78979\ : std_logic;
SIGNAL \led_flash_cnt[3657][4]~78980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3657][4]~78981\ : std_logic;
SIGNAL \led_flash_cnt[3657][5]~78982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3657][5]~78983\ : std_logic;
SIGNAL \led_flash_cnt[3657][6]~78984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][6]~q\ : std_logic;
SIGNAL \WideAnd3657~1_combout\ : std_logic;
SIGNAL \WideAnd3657~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][6]~78985\ : std_logic;
SIGNAL \led_flash_cnt[3657][7]~78986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3657][7]~q\ : std_logic;
SIGNAL \WideAnd3657~combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][0]~84363_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3659][1]~79002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3659][1]~79003\ : std_logic;
SIGNAL \led_flash_cnt[3659][2]~79004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3659][2]~79005\ : std_logic;
SIGNAL \led_flash_cnt[3659][3]~79006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3659][3]~79007\ : std_logic;
SIGNAL \led_flash_cnt[3659][4]~79008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3659][4]~79009\ : std_logic;
SIGNAL \led_flash_cnt[3659][5]~79010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3659][5]~79011\ : std_logic;
SIGNAL \led_flash_cnt[3659][6]~79012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][6]~q\ : std_logic;
SIGNAL \WideAnd3659~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][6]~79013\ : std_logic;
SIGNAL \led_flash_cnt[3659][7]~79014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3659][7]~q\ : std_logic;
SIGNAL \WideAnd3659~0_combout\ : std_logic;
SIGNAL \WideAnd3659~combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][0]~84360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3656][1]~78960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3656][1]~78961\ : std_logic;
SIGNAL \led_flash_cnt[3656][2]~78962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3656][2]~78963\ : std_logic;
SIGNAL \led_flash_cnt[3656][3]~78964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3656][3]~78965\ : std_logic;
SIGNAL \led_flash_cnt[3656][4]~78966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3656][4]~78967\ : std_logic;
SIGNAL \led_flash_cnt[3656][5]~78968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3656][5]~78969\ : std_logic;
SIGNAL \led_flash_cnt[3656][6]~78970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][6]~q\ : std_logic;
SIGNAL \WideAnd3656~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][6]~78971\ : std_logic;
SIGNAL \led_flash_cnt[3656][7]~78972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3656][7]~q\ : std_logic;
SIGNAL \WideAnd3656~0_combout\ : std_logic;
SIGNAL \WideAnd3656~combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][0]~84362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3658][1]~78988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3658][1]~78989\ : std_logic;
SIGNAL \led_flash_cnt[3658][2]~78990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3658][2]~78991\ : std_logic;
SIGNAL \led_flash_cnt[3658][3]~78992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3658][3]~78993\ : std_logic;
SIGNAL \led_flash_cnt[3658][4]~78994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][4]~q\ : std_logic;
SIGNAL \WideAnd3658~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][4]~78995\ : std_logic;
SIGNAL \led_flash_cnt[3658][5]~78996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3658][5]~78997\ : std_logic;
SIGNAL \led_flash_cnt[3658][6]~78998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][6]~q\ : std_logic;
SIGNAL \WideAnd3658~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][6]~78999\ : std_logic;
SIGNAL \led_flash_cnt[3658][7]~79000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3658][7]~q\ : std_logic;
SIGNAL \WideAnd3658~combout\ : std_logic;
SIGNAL \WideAnd4297~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][0]~84367_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3663][1]~79058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3663][1]~79059\ : std_logic;
SIGNAL \led_flash_cnt[3663][2]~79060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3663][2]~79061\ : std_logic;
SIGNAL \led_flash_cnt[3663][3]~79062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3663][3]~79063\ : std_logic;
SIGNAL \led_flash_cnt[3663][4]~79064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][4]~q\ : std_logic;
SIGNAL \WideAnd3663~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][4]~79065\ : std_logic;
SIGNAL \led_flash_cnt[3663][5]~79066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3663][5]~79067\ : std_logic;
SIGNAL \led_flash_cnt[3663][6]~79068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][6]~q\ : std_logic;
SIGNAL \WideAnd3663~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][6]~79069\ : std_logic;
SIGNAL \led_flash_cnt[3663][7]~79070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3663][7]~q\ : std_logic;
SIGNAL \WideAnd3663~combout\ : std_logic;
SIGNAL \WideAnd4297~combout\ : std_logic;
SIGNAL \WideAnd4377~0_combout\ : std_logic;
SIGNAL \WideAnd4377~combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][0]~84278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3830][1]~77812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3830][1]~77813\ : std_logic;
SIGNAL \led_flash_cnt[3830][2]~77814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3830][2]~77815\ : std_logic;
SIGNAL \led_flash_cnt[3830][3]~77816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3830][3]~77817\ : std_logic;
SIGNAL \led_flash_cnt[3830][4]~77818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3830][4]~77819\ : std_logic;
SIGNAL \led_flash_cnt[3830][5]~77820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3830][5]~77821\ : std_logic;
SIGNAL \led_flash_cnt[3830][6]~77822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3830][6]~77823\ : std_logic;
SIGNAL \led_flash_cnt[3830][7]~77824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3830][7]~q\ : std_logic;
SIGNAL \WideAnd3830~1_combout\ : std_logic;
SIGNAL \WideAnd3830~0_combout\ : std_logic;
SIGNAL \WideAnd3830~combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][0]~84279_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3831][1]~77826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3831][1]~77827\ : std_logic;
SIGNAL \led_flash_cnt[3831][2]~77828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3831][2]~77829\ : std_logic;
SIGNAL \led_flash_cnt[3831][3]~77830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3831][3]~77831\ : std_logic;
SIGNAL \led_flash_cnt[3831][4]~77832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][4]~q\ : std_logic;
SIGNAL \WideAnd3831~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][4]~77833\ : std_logic;
SIGNAL \led_flash_cnt[3831][5]~77834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3831][5]~77835\ : std_logic;
SIGNAL \led_flash_cnt[3831][6]~77836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3831][6]~77837\ : std_logic;
SIGNAL \led_flash_cnt[3831][7]~77838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3831][7]~q\ : std_logic;
SIGNAL \WideAnd3831~1_combout\ : std_logic;
SIGNAL \WideAnd3831~combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][0]~84276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3828][1]~77784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3828][1]~77785\ : std_logic;
SIGNAL \led_flash_cnt[3828][2]~77786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3828][2]~77787\ : std_logic;
SIGNAL \led_flash_cnt[3828][3]~77788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3828][3]~77789\ : std_logic;
SIGNAL \led_flash_cnt[3828][4]~77790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3828][4]~77791\ : std_logic;
SIGNAL \led_flash_cnt[3828][5]~77792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3828][5]~77793\ : std_logic;
SIGNAL \led_flash_cnt[3828][6]~77794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3828][6]~77795\ : std_logic;
SIGNAL \led_flash_cnt[3828][7]~77796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3828][7]~q\ : std_logic;
SIGNAL \WideAnd3828~1_combout\ : std_logic;
SIGNAL \WideAnd3828~0_combout\ : std_logic;
SIGNAL \WideAnd3828~combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][0]~84277_combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3829][1]~77798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3829][1]~77799\ : std_logic;
SIGNAL \led_flash_cnt[3829][2]~77800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3829][2]~77801\ : std_logic;
SIGNAL \led_flash_cnt[3829][3]~77802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3829][3]~77803\ : std_logic;
SIGNAL \led_flash_cnt[3829][4]~77804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3829][4]~77805\ : std_logic;
SIGNAL \led_flash_cnt[3829][5]~77806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3829][5]~77807\ : std_logic;
SIGNAL \led_flash_cnt[3829][6]~77808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3829][6]~77809\ : std_logic;
SIGNAL \led_flash_cnt[3829][7]~77810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3829][7]~q\ : std_logic;
SIGNAL \WideAnd3829~0_combout\ : std_logic;
SIGNAL \WideAnd3829~1_combout\ : std_logic;
SIGNAL \WideAnd3829~combout\ : std_logic;
SIGNAL \WideAnd4318~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][0]~84272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3824][1]~77728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3824][1]~77729\ : std_logic;
SIGNAL \led_flash_cnt[3824][2]~77730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3824][2]~77731\ : std_logic;
SIGNAL \led_flash_cnt[3824][3]~77732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3824][3]~77733\ : std_logic;
SIGNAL \led_flash_cnt[3824][4]~77734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][4]~q\ : std_logic;
SIGNAL \WideAnd3824~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][4]~77735\ : std_logic;
SIGNAL \led_flash_cnt[3824][5]~77736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3824][5]~77737\ : std_logic;
SIGNAL \led_flash_cnt[3824][6]~77738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][6]~q\ : std_logic;
SIGNAL \WideAnd3824~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][6]~77739\ : std_logic;
SIGNAL \led_flash_cnt[3824][7]~77740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3824][7]~q\ : std_logic;
SIGNAL \WideAnd3824~combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][0]~84275_combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3827][1]~77770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3827][1]~77771\ : std_logic;
SIGNAL \led_flash_cnt[3827][2]~77772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3827][2]~77773\ : std_logic;
SIGNAL \led_flash_cnt[3827][3]~77774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3827][3]~77775\ : std_logic;
SIGNAL \led_flash_cnt[3827][4]~77776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3827][4]~77777\ : std_logic;
SIGNAL \led_flash_cnt[3827][5]~77778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3827][5]~77779\ : std_logic;
SIGNAL \led_flash_cnt[3827][6]~77780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3827][6]~77781\ : std_logic;
SIGNAL \led_flash_cnt[3827][7]~77782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3827][7]~q\ : std_logic;
SIGNAL \WideAnd3827~1_combout\ : std_logic;
SIGNAL \WideAnd3827~0_combout\ : std_logic;
SIGNAL \WideAnd3827~combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][0]~84274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3826][1]~77756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3826][1]~77757\ : std_logic;
SIGNAL \led_flash_cnt[3826][2]~77758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3826][2]~77759\ : std_logic;
SIGNAL \led_flash_cnt[3826][3]~77760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3826][3]~77761\ : std_logic;
SIGNAL \led_flash_cnt[3826][4]~77762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][4]~q\ : std_logic;
SIGNAL \WideAnd3826~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][4]~77763\ : std_logic;
SIGNAL \led_flash_cnt[3826][5]~77764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3826][5]~77765\ : std_logic;
SIGNAL \led_flash_cnt[3826][6]~77766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][6]~q\ : std_logic;
SIGNAL \WideAnd3826~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][6]~77767\ : std_logic;
SIGNAL \led_flash_cnt[3826][7]~77768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3826][7]~q\ : std_logic;
SIGNAL \WideAnd3826~combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][0]~84273_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3825][1]~77742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3825][1]~77743\ : std_logic;
SIGNAL \led_flash_cnt[3825][2]~77744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3825][2]~77745\ : std_logic;
SIGNAL \led_flash_cnt[3825][3]~77746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3825][3]~77747\ : std_logic;
SIGNAL \led_flash_cnt[3825][4]~77748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3825][4]~77749\ : std_logic;
SIGNAL \led_flash_cnt[3825][5]~77750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3825][5]~77751\ : std_logic;
SIGNAL \led_flash_cnt[3825][6]~77752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][6]~q\ : std_logic;
SIGNAL \WideAnd3825~1_combout\ : std_logic;
SIGNAL \WideAnd3825~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][6]~77753\ : std_logic;
SIGNAL \led_flash_cnt[3825][7]~77754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3825][7]~q\ : std_logic;
SIGNAL \WideAnd3825~combout\ : std_logic;
SIGNAL \WideAnd4318~0_combout\ : std_logic;
SIGNAL \WideAnd4318~combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][0]~84228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3778][1]~77112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3778][1]~77113\ : std_logic;
SIGNAL \led_flash_cnt[3778][2]~77114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3778][2]~77115\ : std_logic;
SIGNAL \led_flash_cnt[3778][3]~77116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3778][3]~77117\ : std_logic;
SIGNAL \led_flash_cnt[3778][4]~77118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3778][4]~77119\ : std_logic;
SIGNAL \led_flash_cnt[3778][5]~77120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3778][5]~77121\ : std_logic;
SIGNAL \led_flash_cnt[3778][6]~77122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3778][6]~77123\ : std_logic;
SIGNAL \led_flash_cnt[3778][7]~77124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3778][7]~q\ : std_logic;
SIGNAL \WideAnd3778~1_combout\ : std_logic;
SIGNAL \WideAnd3778~0_combout\ : std_logic;
SIGNAL \WideAnd3778~combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][0]~84229_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3779][1]~77126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3779][1]~77127\ : std_logic;
SIGNAL \led_flash_cnt[3779][2]~77128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3779][2]~77129\ : std_logic;
SIGNAL \led_flash_cnt[3779][3]~77130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3779][3]~77131\ : std_logic;
SIGNAL \led_flash_cnt[3779][4]~77132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][4]~q\ : std_logic;
SIGNAL \WideAnd3779~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][4]~77133\ : std_logic;
SIGNAL \led_flash_cnt[3779][5]~77134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3779][5]~77135\ : std_logic;
SIGNAL \led_flash_cnt[3779][6]~77136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][6]~q\ : std_logic;
SIGNAL \WideAnd3779~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][6]~77137\ : std_logic;
SIGNAL \led_flash_cnt[3779][7]~77138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3779][7]~q\ : std_logic;
SIGNAL \WideAnd3779~combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][0]~84226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3776][1]~77084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3776][1]~77085\ : std_logic;
SIGNAL \led_flash_cnt[3776][2]~77086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3776][2]~77087\ : std_logic;
SIGNAL \led_flash_cnt[3776][3]~77088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3776][3]~77089\ : std_logic;
SIGNAL \led_flash_cnt[3776][4]~77090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][4]~q\ : std_logic;
SIGNAL \WideAnd3776~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][4]~77091\ : std_logic;
SIGNAL \led_flash_cnt[3776][5]~77092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3776][5]~77093\ : std_logic;
SIGNAL \led_flash_cnt[3776][6]~77094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][6]~q\ : std_logic;
SIGNAL \WideAnd3776~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][6]~77095\ : std_logic;
SIGNAL \led_flash_cnt[3776][7]~77096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3776][7]~q\ : std_logic;
SIGNAL \WideAnd3776~combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][0]~84227_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3777][1]~77098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3777][1]~77099\ : std_logic;
SIGNAL \led_flash_cnt[3777][2]~77100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3777][2]~77101\ : std_logic;
SIGNAL \led_flash_cnt[3777][3]~77102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3777][3]~77103\ : std_logic;
SIGNAL \led_flash_cnt[3777][4]~77104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][4]~q\ : std_logic;
SIGNAL \WideAnd3777~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][4]~77105\ : std_logic;
SIGNAL \led_flash_cnt[3777][5]~77106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3777][5]~77107\ : std_logic;
SIGNAL \led_flash_cnt[3777][6]~77108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][6]~q\ : std_logic;
SIGNAL \WideAnd3777~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][6]~77109\ : std_logic;
SIGNAL \led_flash_cnt[3777][7]~77110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3777][7]~q\ : std_logic;
SIGNAL \WideAnd3777~combout\ : std_logic;
SIGNAL \WideAnd4312~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][0]~84231_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3780][1]~77154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3780][1]~77155\ : std_logic;
SIGNAL \led_flash_cnt[3780][2]~77156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3780][2]~77157\ : std_logic;
SIGNAL \led_flash_cnt[3780][3]~77158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3780][3]~77159\ : std_logic;
SIGNAL \led_flash_cnt[3780][4]~77160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3780][4]~77161\ : std_logic;
SIGNAL \led_flash_cnt[3780][5]~77162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3780][5]~77163\ : std_logic;
SIGNAL \led_flash_cnt[3780][6]~77164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][6]~q\ : std_logic;
SIGNAL \WideAnd3780~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][6]~77165\ : std_logic;
SIGNAL \led_flash_cnt[3780][7]~77166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3780][7]~q\ : std_logic;
SIGNAL \WideAnd3780~0_combout\ : std_logic;
SIGNAL \WideAnd3780~combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][0]~84230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3782][1]~77140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3782][1]~77141\ : std_logic;
SIGNAL \led_flash_cnt[3782][2]~77142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3782][2]~77143\ : std_logic;
SIGNAL \led_flash_cnt[3782][3]~77144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3782][3]~77145\ : std_logic;
SIGNAL \led_flash_cnt[3782][4]~77146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3782][4]~77147\ : std_logic;
SIGNAL \led_flash_cnt[3782][5]~77148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3782][5]~77149\ : std_logic;
SIGNAL \led_flash_cnt[3782][6]~77150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3782][6]~77151\ : std_logic;
SIGNAL \led_flash_cnt[3782][7]~77152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3782][7]~q\ : std_logic;
SIGNAL \WideAnd3782~1_combout\ : std_logic;
SIGNAL \WideAnd3782~0_combout\ : std_logic;
SIGNAL \WideAnd3782~combout\ : std_logic;
SIGNAL \WideAnd4312~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][0]~84224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3783][1]~77056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3783][1]~77057\ : std_logic;
SIGNAL \led_flash_cnt[3783][2]~77058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3783][2]~77059\ : std_logic;
SIGNAL \led_flash_cnt[3783][3]~77060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3783][3]~77061\ : std_logic;
SIGNAL \led_flash_cnt[3783][4]~77062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][4]~q\ : std_logic;
SIGNAL \WideAnd3783~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][4]~77063\ : std_logic;
SIGNAL \led_flash_cnt[3783][5]~77064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3783][5]~77065\ : std_logic;
SIGNAL \led_flash_cnt[3783][6]~77066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3783][6]~77067\ : std_logic;
SIGNAL \led_flash_cnt[3783][7]~77068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3783][7]~q\ : std_logic;
SIGNAL \WideAnd3783~1_combout\ : std_logic;
SIGNAL \WideAnd3783~combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][0]~84225_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3781][1]~77070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3781][1]~77071\ : std_logic;
SIGNAL \led_flash_cnt[3781][2]~77072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3781][2]~77073\ : std_logic;
SIGNAL \led_flash_cnt[3781][3]~77074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3781][3]~77075\ : std_logic;
SIGNAL \led_flash_cnt[3781][4]~77076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3781][4]~77077\ : std_logic;
SIGNAL \led_flash_cnt[3781][5]~77078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3781][5]~77079\ : std_logic;
SIGNAL \led_flash_cnt[3781][6]~77080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][6]~q\ : std_logic;
SIGNAL \WideAnd3781~1_combout\ : std_logic;
SIGNAL \WideAnd3781~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][6]~77081\ : std_logic;
SIGNAL \led_flash_cnt[3781][7]~77082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3781][7]~q\ : std_logic;
SIGNAL \WideAnd3781~combout\ : std_logic;
SIGNAL \WideAnd4312~combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][0]~84236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3788][1]~77224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3788][1]~77225\ : std_logic;
SIGNAL \led_flash_cnt[3788][2]~77226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3788][2]~77227\ : std_logic;
SIGNAL \led_flash_cnt[3788][3]~77228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3788][3]~77229\ : std_logic;
SIGNAL \led_flash_cnt[3788][4]~77230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][4]~q\ : std_logic;
SIGNAL \WideAnd3788~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][4]~77231\ : std_logic;
SIGNAL \led_flash_cnt[3788][5]~77232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3788][5]~77233\ : std_logic;
SIGNAL \led_flash_cnt[3788][6]~77234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][6]~q\ : std_logic;
SIGNAL \WideAnd3788~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][6]~77235\ : std_logic;
SIGNAL \led_flash_cnt[3788][7]~77236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3788][7]~q\ : std_logic;
SIGNAL \WideAnd3788~combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][0]~84237_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3789][1]~77238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3789][1]~77239\ : std_logic;
SIGNAL \led_flash_cnt[3789][2]~77240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3789][2]~77241\ : std_logic;
SIGNAL \led_flash_cnt[3789][3]~77242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3789][3]~77243\ : std_logic;
SIGNAL \led_flash_cnt[3789][4]~77244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3789][4]~77245\ : std_logic;
SIGNAL \led_flash_cnt[3789][5]~77246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3789][5]~77247\ : std_logic;
SIGNAL \led_flash_cnt[3789][6]~77248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][6]~q\ : std_logic;
SIGNAL \WideAnd3789~1_combout\ : std_logic;
SIGNAL \WideAnd3789~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][6]~77249\ : std_logic;
SIGNAL \led_flash_cnt[3789][7]~77250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3789][7]~q\ : std_logic;
SIGNAL \WideAnd3789~combout\ : std_logic;
SIGNAL \WideAnd4313~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][0]~84233_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3785][1]~77182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3785][1]~77183\ : std_logic;
SIGNAL \led_flash_cnt[3785][2]~77184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3785][2]~77185\ : std_logic;
SIGNAL \led_flash_cnt[3785][3]~77186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3785][3]~77187\ : std_logic;
SIGNAL \led_flash_cnt[3785][4]~77188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3785][4]~77189\ : std_logic;
SIGNAL \led_flash_cnt[3785][5]~77190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3785][5]~77191\ : std_logic;
SIGNAL \led_flash_cnt[3785][6]~77192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3785][6]~77193\ : std_logic;
SIGNAL \led_flash_cnt[3785][7]~77194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3785][7]~q\ : std_logic;
SIGNAL \WideAnd3785~1_combout\ : std_logic;
SIGNAL \WideAnd3785~0_combout\ : std_logic;
SIGNAL \WideAnd3785~combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][0]~84235_combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3787][1]~77210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3787][1]~77211\ : std_logic;
SIGNAL \led_flash_cnt[3787][2]~77212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3787][2]~77213\ : std_logic;
SIGNAL \led_flash_cnt[3787][3]~77214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3787][3]~77215\ : std_logic;
SIGNAL \led_flash_cnt[3787][4]~77216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3787][4]~77217\ : std_logic;
SIGNAL \led_flash_cnt[3787][5]~77218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3787][5]~77219\ : std_logic;
SIGNAL \led_flash_cnt[3787][6]~77220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3787][6]~77221\ : std_logic;
SIGNAL \led_flash_cnt[3787][7]~77222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3787][7]~q\ : std_logic;
SIGNAL \WideAnd3787~0_combout\ : std_logic;
SIGNAL \WideAnd3787~1_combout\ : std_logic;
SIGNAL \WideAnd3787~combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][0]~84234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3786][1]~77196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3786][1]~77197\ : std_logic;
SIGNAL \led_flash_cnt[3786][2]~77198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3786][2]~77199\ : std_logic;
SIGNAL \led_flash_cnt[3786][3]~77200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3786][3]~77201\ : std_logic;
SIGNAL \led_flash_cnt[3786][4]~77202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3786][4]~77203\ : std_logic;
SIGNAL \led_flash_cnt[3786][5]~77204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3786][5]~77205\ : std_logic;
SIGNAL \led_flash_cnt[3786][6]~77206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3786][6]~77207\ : std_logic;
SIGNAL \led_flash_cnt[3786][7]~77208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3786][7]~q\ : std_logic;
SIGNAL \WideAnd3786~0_combout\ : std_logic;
SIGNAL \WideAnd3786~1_combout\ : std_logic;
SIGNAL \WideAnd3786~combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][0]~84232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3784][1]~77168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3784][1]~77169\ : std_logic;
SIGNAL \led_flash_cnt[3784][2]~77170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3784][2]~77171\ : std_logic;
SIGNAL \led_flash_cnt[3784][3]~77172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3784][3]~77173\ : std_logic;
SIGNAL \led_flash_cnt[3784][4]~77174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3784][4]~77175\ : std_logic;
SIGNAL \led_flash_cnt[3784][5]~77176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3784][5]~77177\ : std_logic;
SIGNAL \led_flash_cnt[3784][6]~77178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3784][6]~77179\ : std_logic;
SIGNAL \led_flash_cnt[3784][7]~77180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3784][7]~q\ : std_logic;
SIGNAL \WideAnd3784~0_combout\ : std_logic;
SIGNAL \WideAnd3784~1_combout\ : std_logic;
SIGNAL \WideAnd3784~combout\ : std_logic;
SIGNAL \WideAnd4313~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][0]~84238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3790][1]~77252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3790][1]~77253\ : std_logic;
SIGNAL \led_flash_cnt[3790][2]~77254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3790][2]~77255\ : std_logic;
SIGNAL \led_flash_cnt[3790][3]~77256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3790][3]~77257\ : std_logic;
SIGNAL \led_flash_cnt[3790][4]~77258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3790][4]~77259\ : std_logic;
SIGNAL \led_flash_cnt[3790][5]~77260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3790][5]~77261\ : std_logic;
SIGNAL \led_flash_cnt[3790][6]~77262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][6]~q\ : std_logic;
SIGNAL \WideAnd3790~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][6]~77263\ : std_logic;
SIGNAL \led_flash_cnt[3790][7]~77264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3790][7]~q\ : std_logic;
SIGNAL \WideAnd3790~0_combout\ : std_logic;
SIGNAL \WideAnd3790~combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][0]~84239_combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3791][1]~77266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3791][1]~77267\ : std_logic;
SIGNAL \led_flash_cnt[3791][2]~77268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3791][2]~77269\ : std_logic;
SIGNAL \led_flash_cnt[3791][3]~77270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3791][3]~77271\ : std_logic;
SIGNAL \led_flash_cnt[3791][4]~77272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3791][4]~77273\ : std_logic;
SIGNAL \led_flash_cnt[3791][5]~77274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3791][5]~77275\ : std_logic;
SIGNAL \led_flash_cnt[3791][6]~77276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3791][6]~77277\ : std_logic;
SIGNAL \led_flash_cnt[3791][7]~77278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3791][7]~q\ : std_logic;
SIGNAL \WideAnd3791~0_combout\ : std_logic;
SIGNAL \WideAnd3791~1_combout\ : std_logic;
SIGNAL \WideAnd3791~combout\ : std_logic;
SIGNAL \WideAnd4313~combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][0]~84254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3806][1]~77476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3806][1]~77477\ : std_logic;
SIGNAL \led_flash_cnt[3806][2]~77478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3806][2]~77479\ : std_logic;
SIGNAL \led_flash_cnt[3806][3]~77480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3806][3]~77481\ : std_logic;
SIGNAL \led_flash_cnt[3806][4]~77482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3806][4]~77483\ : std_logic;
SIGNAL \led_flash_cnt[3806][5]~77484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3806][5]~77485\ : std_logic;
SIGNAL \led_flash_cnt[3806][6]~77486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3806][6]~77487\ : std_logic;
SIGNAL \led_flash_cnt[3806][7]~77488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3806][7]~q\ : std_logic;
SIGNAL \WideAnd3806~1_combout\ : std_logic;
SIGNAL \WideAnd3806~0_combout\ : std_logic;
SIGNAL \WideAnd3806~combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][0]~84255_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3807][1]~77490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3807][1]~77491\ : std_logic;
SIGNAL \led_flash_cnt[3807][2]~77492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3807][2]~77493\ : std_logic;
SIGNAL \led_flash_cnt[3807][3]~77494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3807][3]~77495\ : std_logic;
SIGNAL \led_flash_cnt[3807][4]~77496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][4]~q\ : std_logic;
SIGNAL \WideAnd3807~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][4]~77497\ : std_logic;
SIGNAL \led_flash_cnt[3807][5]~77498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3807][5]~77499\ : std_logic;
SIGNAL \led_flash_cnt[3807][6]~77500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][6]~q\ : std_logic;
SIGNAL \WideAnd3807~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][6]~77501\ : std_logic;
SIGNAL \led_flash_cnt[3807][7]~77502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3807][7]~q\ : std_logic;
SIGNAL \WideAnd3807~combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][0]~84252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3804][1]~77448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3804][1]~77449\ : std_logic;
SIGNAL \led_flash_cnt[3804][2]~77450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3804][2]~77451\ : std_logic;
SIGNAL \led_flash_cnt[3804][3]~77452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3804][3]~77453\ : std_logic;
SIGNAL \led_flash_cnt[3804][4]~77454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3804][4]~77455\ : std_logic;
SIGNAL \led_flash_cnt[3804][5]~77456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3804][5]~77457\ : std_logic;
SIGNAL \led_flash_cnt[3804][6]~77458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3804][6]~77459\ : std_logic;
SIGNAL \led_flash_cnt[3804][7]~77460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3804][7]~q\ : std_logic;
SIGNAL \WideAnd3804~0_combout\ : std_logic;
SIGNAL \WideAnd3804~1_combout\ : std_logic;
SIGNAL \WideAnd3804~combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][0]~84253_combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3805][1]~77462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3805][1]~77463\ : std_logic;
SIGNAL \led_flash_cnt[3805][2]~77464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3805][2]~77465\ : std_logic;
SIGNAL \led_flash_cnt[3805][3]~77466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3805][3]~77467\ : std_logic;
SIGNAL \led_flash_cnt[3805][4]~77468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3805][4]~77469\ : std_logic;
SIGNAL \led_flash_cnt[3805][5]~77470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3805][5]~77471\ : std_logic;
SIGNAL \led_flash_cnt[3805][6]~77472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3805][6]~77473\ : std_logic;
SIGNAL \led_flash_cnt[3805][7]~77474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3805][7]~q\ : std_logic;
SIGNAL \WideAnd3805~1_combout\ : std_logic;
SIGNAL \WideAnd3805~0_combout\ : std_logic;
SIGNAL \WideAnd3805~combout\ : std_logic;
SIGNAL \WideAnd4315~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][0]~84250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3802][1]~77420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3802][1]~77421\ : std_logic;
SIGNAL \led_flash_cnt[3802][2]~77422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3802][2]~77423\ : std_logic;
SIGNAL \led_flash_cnt[3802][3]~77424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3802][3]~77425\ : std_logic;
SIGNAL \led_flash_cnt[3802][4]~77426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][4]~q\ : std_logic;
SIGNAL \WideAnd3802~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][4]~77427\ : std_logic;
SIGNAL \led_flash_cnt[3802][5]~77428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3802][5]~77429\ : std_logic;
SIGNAL \led_flash_cnt[3802][6]~77430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3802][6]~77431\ : std_logic;
SIGNAL \led_flash_cnt[3802][7]~77432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3802][7]~q\ : std_logic;
SIGNAL \WideAnd3802~1_combout\ : std_logic;
SIGNAL \WideAnd3802~combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][0]~84249_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3801][1]~77406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3801][1]~77407\ : std_logic;
SIGNAL \led_flash_cnt[3801][2]~77408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3801][2]~77409\ : std_logic;
SIGNAL \led_flash_cnt[3801][3]~77410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3801][3]~77411\ : std_logic;
SIGNAL \led_flash_cnt[3801][4]~77412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3801][4]~77413\ : std_logic;
SIGNAL \led_flash_cnt[3801][5]~77414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3801][5]~77415\ : std_logic;
SIGNAL \led_flash_cnt[3801][6]~77416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][6]~q\ : std_logic;
SIGNAL \WideAnd3801~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][6]~77417\ : std_logic;
SIGNAL \led_flash_cnt[3801][7]~77418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3801][7]~q\ : std_logic;
SIGNAL \WideAnd3801~0_combout\ : std_logic;
SIGNAL \WideAnd3801~combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][0]~84251_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3803][1]~77434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3803][1]~77435\ : std_logic;
SIGNAL \led_flash_cnt[3803][2]~77436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3803][2]~77437\ : std_logic;
SIGNAL \led_flash_cnt[3803][3]~77438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3803][3]~77439\ : std_logic;
SIGNAL \led_flash_cnt[3803][4]~77440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][4]~q\ : std_logic;
SIGNAL \WideAnd3803~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][4]~77441\ : std_logic;
SIGNAL \led_flash_cnt[3803][5]~77442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3803][5]~77443\ : std_logic;
SIGNAL \led_flash_cnt[3803][6]~77444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][6]~q\ : std_logic;
SIGNAL \WideAnd3803~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][6]~77445\ : std_logic;
SIGNAL \led_flash_cnt[3803][7]~77446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3803][7]~q\ : std_logic;
SIGNAL \WideAnd3803~combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][0]~84248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3800][1]~77392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3800][1]~77393\ : std_logic;
SIGNAL \led_flash_cnt[3800][2]~77394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3800][2]~77395\ : std_logic;
SIGNAL \led_flash_cnt[3800][3]~77396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3800][3]~77397\ : std_logic;
SIGNAL \led_flash_cnt[3800][4]~77398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3800][4]~77399\ : std_logic;
SIGNAL \led_flash_cnt[3800][5]~77400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3800][5]~77401\ : std_logic;
SIGNAL \led_flash_cnt[3800][6]~77402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][6]~q\ : std_logic;
SIGNAL \WideAnd3800~1_combout\ : std_logic;
SIGNAL \WideAnd3800~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][6]~77403\ : std_logic;
SIGNAL \led_flash_cnt[3800][7]~77404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3800][7]~q\ : std_logic;
SIGNAL \WideAnd3800~combout\ : std_logic;
SIGNAL \WideAnd4315~0_combout\ : std_logic;
SIGNAL \WideAnd4315~combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][0]~84246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3798][1]~77364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3798][1]~77365\ : std_logic;
SIGNAL \led_flash_cnt[3798][2]~77366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3798][2]~77367\ : std_logic;
SIGNAL \led_flash_cnt[3798][3]~77368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3798][3]~77369\ : std_logic;
SIGNAL \led_flash_cnt[3798][4]~77370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3798][4]~77371\ : std_logic;
SIGNAL \led_flash_cnt[3798][5]~77372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3798][5]~77373\ : std_logic;
SIGNAL \led_flash_cnt[3798][6]~77374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][6]~q\ : std_logic;
SIGNAL \WideAnd3798~1_combout\ : std_logic;
SIGNAL \WideAnd3798~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][6]~77375\ : std_logic;
SIGNAL \led_flash_cnt[3798][7]~77376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3798][7]~q\ : std_logic;
SIGNAL \WideAnd3798~combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][0]~84242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3794][1]~77308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3794][1]~77309\ : std_logic;
SIGNAL \led_flash_cnt[3794][2]~77310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3794][2]~77311\ : std_logic;
SIGNAL \led_flash_cnt[3794][3]~77312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3794][3]~77313\ : std_logic;
SIGNAL \led_flash_cnt[3794][4]~77314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][4]~q\ : std_logic;
SIGNAL \WideAnd3794~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][4]~77315\ : std_logic;
SIGNAL \led_flash_cnt[3794][5]~77316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3794][5]~77317\ : std_logic;
SIGNAL \led_flash_cnt[3794][6]~77318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3794][6]~77319\ : std_logic;
SIGNAL \led_flash_cnt[3794][7]~77320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3794][7]~q\ : std_logic;
SIGNAL \WideAnd3794~1_combout\ : std_logic;
SIGNAL \WideAnd3794~combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][0]~84241_combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3793][1]~77294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3793][1]~77295\ : std_logic;
SIGNAL \led_flash_cnt[3793][2]~77296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3793][2]~77297\ : std_logic;
SIGNAL \led_flash_cnt[3793][3]~77298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3793][3]~77299\ : std_logic;
SIGNAL \led_flash_cnt[3793][4]~77300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3793][4]~77301\ : std_logic;
SIGNAL \led_flash_cnt[3793][5]~77302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3793][5]~77303\ : std_logic;
SIGNAL \led_flash_cnt[3793][6]~77304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3793][6]~77305\ : std_logic;
SIGNAL \led_flash_cnt[3793][7]~77306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3793][7]~q\ : std_logic;
SIGNAL \WideAnd3793~1_combout\ : std_logic;
SIGNAL \WideAnd3793~0_combout\ : std_logic;
SIGNAL \WideAnd3793~combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][0]~84240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3792][1]~77280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3792][1]~77281\ : std_logic;
SIGNAL \led_flash_cnt[3792][2]~77282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3792][2]~77283\ : std_logic;
SIGNAL \led_flash_cnt[3792][3]~77284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3792][3]~77285\ : std_logic;
SIGNAL \led_flash_cnt[3792][4]~77286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3792][4]~77287\ : std_logic;
SIGNAL \led_flash_cnt[3792][5]~77288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3792][5]~77289\ : std_logic;
SIGNAL \led_flash_cnt[3792][6]~77290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][6]~q\ : std_logic;
SIGNAL \WideAnd3792~1_combout\ : std_logic;
SIGNAL \WideAnd3792~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][6]~77291\ : std_logic;
SIGNAL \led_flash_cnt[3792][7]~77292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3792][7]~q\ : std_logic;
SIGNAL \WideAnd3792~combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][0]~84243_combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3795][1]~77322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3795][1]~77323\ : std_logic;
SIGNAL \led_flash_cnt[3795][2]~77324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3795][2]~77325\ : std_logic;
SIGNAL \led_flash_cnt[3795][3]~77326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3795][3]~77327\ : std_logic;
SIGNAL \led_flash_cnt[3795][4]~77328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3795][4]~77329\ : std_logic;
SIGNAL \led_flash_cnt[3795][5]~77330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3795][5]~77331\ : std_logic;
SIGNAL \led_flash_cnt[3795][6]~77332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3795][6]~77333\ : std_logic;
SIGNAL \led_flash_cnt[3795][7]~77334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3795][7]~q\ : std_logic;
SIGNAL \WideAnd3795~0_combout\ : std_logic;
SIGNAL \WideAnd3795~1_combout\ : std_logic;
SIGNAL \WideAnd3795~combout\ : std_logic;
SIGNAL \WideAnd4314~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][0]~84247_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3799][1]~77378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3799][1]~77379\ : std_logic;
SIGNAL \led_flash_cnt[3799][2]~77380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3799][2]~77381\ : std_logic;
SIGNAL \led_flash_cnt[3799][3]~77382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3799][3]~77383\ : std_logic;
SIGNAL \led_flash_cnt[3799][4]~77384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][4]~q\ : std_logic;
SIGNAL \WideAnd3799~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][4]~77385\ : std_logic;
SIGNAL \led_flash_cnt[3799][5]~77386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3799][5]~77387\ : std_logic;
SIGNAL \led_flash_cnt[3799][6]~77388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3799][6]~77389\ : std_logic;
SIGNAL \led_flash_cnt[3799][7]~77390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3799][7]~q\ : std_logic;
SIGNAL \WideAnd3799~1_combout\ : std_logic;
SIGNAL \WideAnd3799~combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][0]~84244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3796][1]~77336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3796][1]~77337\ : std_logic;
SIGNAL \led_flash_cnt[3796][2]~77338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3796][2]~77339\ : std_logic;
SIGNAL \led_flash_cnt[3796][3]~77340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3796][3]~77341\ : std_logic;
SIGNAL \led_flash_cnt[3796][4]~77342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][4]~q\ : std_logic;
SIGNAL \WideAnd3796~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][4]~77343\ : std_logic;
SIGNAL \led_flash_cnt[3796][5]~77344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3796][5]~77345\ : std_logic;
SIGNAL \led_flash_cnt[3796][6]~77346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3796][6]~77347\ : std_logic;
SIGNAL \led_flash_cnt[3796][7]~77348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3796][7]~q\ : std_logic;
SIGNAL \WideAnd3796~1_combout\ : std_logic;
SIGNAL \WideAnd3796~combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][0]~84245_combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3797][1]~77350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3797][1]~77351\ : std_logic;
SIGNAL \led_flash_cnt[3797][2]~77352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3797][2]~77353\ : std_logic;
SIGNAL \led_flash_cnt[3797][3]~77354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3797][3]~77355\ : std_logic;
SIGNAL \led_flash_cnt[3797][4]~77356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3797][4]~77357\ : std_logic;
SIGNAL \led_flash_cnt[3797][5]~77358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3797][5]~77359\ : std_logic;
SIGNAL \led_flash_cnt[3797][6]~77360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3797][6]~77361\ : std_logic;
SIGNAL \led_flash_cnt[3797][7]~77362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3797][7]~q\ : std_logic;
SIGNAL \WideAnd3797~1_combout\ : std_logic;
SIGNAL \WideAnd3797~0_combout\ : std_logic;
SIGNAL \WideAnd3797~combout\ : std_logic;
SIGNAL \WideAnd4314~1_combout\ : std_logic;
SIGNAL \WideAnd4314~combout\ : std_logic;
SIGNAL \WideAnd4379~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][0]~84261_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3813][1]~77574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3813][1]~77575\ : std_logic;
SIGNAL \led_flash_cnt[3813][2]~77576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3813][2]~77577\ : std_logic;
SIGNAL \led_flash_cnt[3813][3]~77578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3813][3]~77579\ : std_logic;
SIGNAL \led_flash_cnt[3813][4]~77580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3813][4]~77581\ : std_logic;
SIGNAL \led_flash_cnt[3813][5]~77582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3813][5]~77583\ : std_logic;
SIGNAL \led_flash_cnt[3813][6]~77584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][6]~q\ : std_logic;
SIGNAL \WideAnd3813~1_combout\ : std_logic;
SIGNAL \WideAnd3813~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][6]~77585\ : std_logic;
SIGNAL \led_flash_cnt[3813][7]~77586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3813][7]~q\ : std_logic;
SIGNAL \WideAnd3813~combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][0]~84260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3812][1]~77560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3812][1]~77561\ : std_logic;
SIGNAL \led_flash_cnt[3812][2]~77562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3812][2]~77563\ : std_logic;
SIGNAL \led_flash_cnt[3812][3]~77564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3812][3]~77565\ : std_logic;
SIGNAL \led_flash_cnt[3812][4]~77566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3812][4]~77567\ : std_logic;
SIGNAL \led_flash_cnt[3812][5]~77568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3812][5]~77569\ : std_logic;
SIGNAL \led_flash_cnt[3812][6]~77570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][6]~q\ : std_logic;
SIGNAL \WideAnd3812~1_combout\ : std_logic;
SIGNAL \WideAnd3812~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][6]~77571\ : std_logic;
SIGNAL \led_flash_cnt[3812][7]~77572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3812][7]~q\ : std_logic;
SIGNAL \WideAnd3812~combout\ : std_logic;
SIGNAL \WideAnd4316~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][0]~84263_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3815][1]~77602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3815][1]~77603\ : std_logic;
SIGNAL \led_flash_cnt[3815][2]~77604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3815][2]~77605\ : std_logic;
SIGNAL \led_flash_cnt[3815][3]~77606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3815][3]~77607\ : std_logic;
SIGNAL \led_flash_cnt[3815][4]~77608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3815][4]~77609\ : std_logic;
SIGNAL \led_flash_cnt[3815][5]~77610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3815][5]~77611\ : std_logic;
SIGNAL \led_flash_cnt[3815][6]~77612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3815][6]~77613\ : std_logic;
SIGNAL \led_flash_cnt[3815][7]~77614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3815][7]~q\ : std_logic;
SIGNAL \WideAnd3815~0_combout\ : std_logic;
SIGNAL \WideAnd3815~1_combout\ : std_logic;
SIGNAL \WideAnd3815~combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][0]~84262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3814][1]~77588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3814][1]~77589\ : std_logic;
SIGNAL \led_flash_cnt[3814][2]~77590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3814][2]~77591\ : std_logic;
SIGNAL \led_flash_cnt[3814][3]~77592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3814][3]~77593\ : std_logic;
SIGNAL \led_flash_cnt[3814][4]~77594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3814][4]~77595\ : std_logic;
SIGNAL \led_flash_cnt[3814][5]~77596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3814][5]~77597\ : std_logic;
SIGNAL \led_flash_cnt[3814][6]~77598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3814][6]~77599\ : std_logic;
SIGNAL \led_flash_cnt[3814][7]~77600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3814][7]~q\ : std_logic;
SIGNAL \WideAnd3814~1_combout\ : std_logic;
SIGNAL \WideAnd3814~0_combout\ : std_logic;
SIGNAL \WideAnd3814~combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][0]~84256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3808][1]~77504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3808][1]~77505\ : std_logic;
SIGNAL \led_flash_cnt[3808][2]~77506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3808][2]~77507\ : std_logic;
SIGNAL \led_flash_cnt[3808][3]~77508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3808][3]~77509\ : std_logic;
SIGNAL \led_flash_cnt[3808][4]~77510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][4]~q\ : std_logic;
SIGNAL \WideAnd3808~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][4]~77511\ : std_logic;
SIGNAL \led_flash_cnt[3808][5]~77512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3808][5]~77513\ : std_logic;
SIGNAL \led_flash_cnt[3808][6]~77514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3808][6]~77515\ : std_logic;
SIGNAL \led_flash_cnt[3808][7]~77516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3808][7]~q\ : std_logic;
SIGNAL \WideAnd3808~1_combout\ : std_logic;
SIGNAL \WideAnd3808~combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][0]~84258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3810][1]~77532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3810][1]~77533\ : std_logic;
SIGNAL \led_flash_cnt[3810][2]~77534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3810][2]~77535\ : std_logic;
SIGNAL \led_flash_cnt[3810][3]~77536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3810][3]~77537\ : std_logic;
SIGNAL \led_flash_cnt[3810][4]~77538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3810][4]~77539\ : std_logic;
SIGNAL \led_flash_cnt[3810][5]~77540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3810][5]~77541\ : std_logic;
SIGNAL \led_flash_cnt[3810][6]~77542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3810][6]~77543\ : std_logic;
SIGNAL \led_flash_cnt[3810][7]~77544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3810][7]~q\ : std_logic;
SIGNAL \WideAnd3810~0_combout\ : std_logic;
SIGNAL \WideAnd3810~1_combout\ : std_logic;
SIGNAL \WideAnd3810~combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][0]~84257_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3809][1]~77518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3809][1]~77519\ : std_logic;
SIGNAL \led_flash_cnt[3809][2]~77520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3809][2]~77521\ : std_logic;
SIGNAL \led_flash_cnt[3809][3]~77522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3809][3]~77523\ : std_logic;
SIGNAL \led_flash_cnt[3809][4]~77524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3809][4]~77525\ : std_logic;
SIGNAL \led_flash_cnt[3809][5]~77526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3809][5]~77527\ : std_logic;
SIGNAL \led_flash_cnt[3809][6]~77528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][6]~q\ : std_logic;
SIGNAL \WideAnd3809~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][6]~77529\ : std_logic;
SIGNAL \led_flash_cnt[3809][7]~77530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3809][7]~q\ : std_logic;
SIGNAL \WideAnd3809~0_combout\ : std_logic;
SIGNAL \WideAnd3809~combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][0]~84259_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3811][1]~77546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3811][1]~77547\ : std_logic;
SIGNAL \led_flash_cnt[3811][2]~77548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3811][2]~77549\ : std_logic;
SIGNAL \led_flash_cnt[3811][3]~77550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3811][3]~77551\ : std_logic;
SIGNAL \led_flash_cnt[3811][4]~77552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][4]~q\ : std_logic;
SIGNAL \WideAnd3811~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][4]~77553\ : std_logic;
SIGNAL \led_flash_cnt[3811][5]~77554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3811][5]~77555\ : std_logic;
SIGNAL \led_flash_cnt[3811][6]~77556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3811][6]~77557\ : std_logic;
SIGNAL \led_flash_cnt[3811][7]~77558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3811][7]~q\ : std_logic;
SIGNAL \WideAnd3811~1_combout\ : std_logic;
SIGNAL \WideAnd3811~combout\ : std_logic;
SIGNAL \WideAnd4316~0_combout\ : std_logic;
SIGNAL \WideAnd4316~combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][0]~84271_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3823][1]~77714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3823][1]~77715\ : std_logic;
SIGNAL \led_flash_cnt[3823][2]~77716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3823][2]~77717\ : std_logic;
SIGNAL \led_flash_cnt[3823][3]~77718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3823][3]~77719\ : std_logic;
SIGNAL \led_flash_cnt[3823][4]~77720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][4]~q\ : std_logic;
SIGNAL \WideAnd3823~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][4]~77721\ : std_logic;
SIGNAL \led_flash_cnt[3823][5]~77722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3823][5]~77723\ : std_logic;
SIGNAL \led_flash_cnt[3823][6]~77724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3823][6]~77725\ : std_logic;
SIGNAL \led_flash_cnt[3823][7]~77726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3823][7]~q\ : std_logic;
SIGNAL \WideAnd3823~1_combout\ : std_logic;
SIGNAL \WideAnd3823~combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][0]~84270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3822][1]~77700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3822][1]~77701\ : std_logic;
SIGNAL \led_flash_cnt[3822][2]~77702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3822][2]~77703\ : std_logic;
SIGNAL \led_flash_cnt[3822][3]~77704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3822][3]~77705\ : std_logic;
SIGNAL \led_flash_cnt[3822][4]~77706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3822][4]~77707\ : std_logic;
SIGNAL \led_flash_cnt[3822][5]~77708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3822][5]~77709\ : std_logic;
SIGNAL \led_flash_cnt[3822][6]~77710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3822][6]~77711\ : std_logic;
SIGNAL \led_flash_cnt[3822][7]~77712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3822][7]~q\ : std_logic;
SIGNAL \WideAnd3822~1_combout\ : std_logic;
SIGNAL \WideAnd3822~0_combout\ : std_logic;
SIGNAL \WideAnd3822~combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][0]~84269_combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3821][1]~77686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3821][1]~77687\ : std_logic;
SIGNAL \led_flash_cnt[3821][2]~77688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3821][2]~77689\ : std_logic;
SIGNAL \led_flash_cnt[3821][3]~77690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3821][3]~77691\ : std_logic;
SIGNAL \led_flash_cnt[3821][4]~77692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3821][4]~77693\ : std_logic;
SIGNAL \led_flash_cnt[3821][5]~77694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3821][5]~77695\ : std_logic;
SIGNAL \led_flash_cnt[3821][6]~77696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3821][6]~77697\ : std_logic;
SIGNAL \led_flash_cnt[3821][7]~77698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3821][7]~q\ : std_logic;
SIGNAL \WideAnd3821~1_combout\ : std_logic;
SIGNAL \WideAnd3821~0_combout\ : std_logic;
SIGNAL \WideAnd3821~combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][0]~84268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3820][1]~77672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3820][1]~77673\ : std_logic;
SIGNAL \led_flash_cnt[3820][2]~77674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3820][2]~77675\ : std_logic;
SIGNAL \led_flash_cnt[3820][3]~77676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3820][3]~77677\ : std_logic;
SIGNAL \led_flash_cnt[3820][4]~77678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3820][4]~77679\ : std_logic;
SIGNAL \led_flash_cnt[3820][5]~77680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3820][5]~77681\ : std_logic;
SIGNAL \led_flash_cnt[3820][6]~77682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3820][6]~77683\ : std_logic;
SIGNAL \led_flash_cnt[3820][7]~77684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3820][7]~q\ : std_logic;
SIGNAL \WideAnd3820~1_combout\ : std_logic;
SIGNAL \WideAnd3820~0_combout\ : std_logic;
SIGNAL \WideAnd3820~combout\ : std_logic;
SIGNAL \WideAnd4317~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][0]~84266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3818][1]~77644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3818][1]~77645\ : std_logic;
SIGNAL \led_flash_cnt[3818][2]~77646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3818][2]~77647\ : std_logic;
SIGNAL \led_flash_cnt[3818][3]~77648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3818][3]~77649\ : std_logic;
SIGNAL \led_flash_cnt[3818][4]~77650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3818][4]~77651\ : std_logic;
SIGNAL \led_flash_cnt[3818][5]~77652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3818][5]~77653\ : std_logic;
SIGNAL \led_flash_cnt[3818][6]~77654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][6]~q\ : std_logic;
SIGNAL \WideAnd3818~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][6]~77655\ : std_logic;
SIGNAL \led_flash_cnt[3818][7]~77656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3818][7]~q\ : std_logic;
SIGNAL \WideAnd3818~0_combout\ : std_logic;
SIGNAL \WideAnd3818~combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][0]~84264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3816][1]~77616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3816][1]~77617\ : std_logic;
SIGNAL \led_flash_cnt[3816][2]~77618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3816][2]~77619\ : std_logic;
SIGNAL \led_flash_cnt[3816][3]~77620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3816][3]~77621\ : std_logic;
SIGNAL \led_flash_cnt[3816][4]~77622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][4]~q\ : std_logic;
SIGNAL \WideAnd3816~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][4]~77623\ : std_logic;
SIGNAL \led_flash_cnt[3816][5]~77624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3816][5]~77625\ : std_logic;
SIGNAL \led_flash_cnt[3816][6]~77626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3816][6]~77627\ : std_logic;
SIGNAL \led_flash_cnt[3816][7]~77628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3816][7]~q\ : std_logic;
SIGNAL \WideAnd3816~1_combout\ : std_logic;
SIGNAL \WideAnd3816~combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][0]~84265_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3817][1]~77630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3817][1]~77631\ : std_logic;
SIGNAL \led_flash_cnt[3817][2]~77632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3817][2]~77633\ : std_logic;
SIGNAL \led_flash_cnt[3817][3]~77634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3817][3]~77635\ : std_logic;
SIGNAL \led_flash_cnt[3817][4]~77636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3817][4]~77637\ : std_logic;
SIGNAL \led_flash_cnt[3817][5]~77638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3817][5]~77639\ : std_logic;
SIGNAL \led_flash_cnt[3817][6]~77640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][6]~q\ : std_logic;
SIGNAL \WideAnd3817~1_combout\ : std_logic;
SIGNAL \WideAnd3817~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][6]~77641\ : std_logic;
SIGNAL \led_flash_cnt[3817][7]~77642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3817][7]~q\ : std_logic;
SIGNAL \WideAnd3817~combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][0]~84267_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3819][1]~77658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3819][1]~77659\ : std_logic;
SIGNAL \led_flash_cnt[3819][2]~77660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3819][2]~77661\ : std_logic;
SIGNAL \led_flash_cnt[3819][3]~77662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3819][3]~77663\ : std_logic;
SIGNAL \led_flash_cnt[3819][4]~77664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][4]~q\ : std_logic;
SIGNAL \WideAnd3819~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][4]~77665\ : std_logic;
SIGNAL \led_flash_cnt[3819][5]~77666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3819][5]~77667\ : std_logic;
SIGNAL \led_flash_cnt[3819][6]~77668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][6]~q\ : std_logic;
SIGNAL \WideAnd3819~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][6]~77669\ : std_logic;
SIGNAL \led_flash_cnt[3819][7]~77670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3819][7]~q\ : std_logic;
SIGNAL \WideAnd3819~combout\ : std_logic;
SIGNAL \WideAnd4317~0_combout\ : std_logic;
SIGNAL \WideAnd4317~combout\ : std_logic;
SIGNAL \WideAnd4379~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][0]~84287_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3839][1]~77938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3839][1]~77939\ : std_logic;
SIGNAL \led_flash_cnt[3839][2]~77940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3839][2]~77941\ : std_logic;
SIGNAL \led_flash_cnt[3839][3]~77942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3839][3]~77943\ : std_logic;
SIGNAL \led_flash_cnt[3839][4]~77944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3839][4]~77945\ : std_logic;
SIGNAL \led_flash_cnt[3839][5]~77946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3839][5]~77947\ : std_logic;
SIGNAL \led_flash_cnt[3839][6]~77948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][6]~q\ : std_logic;
SIGNAL \WideAnd3839~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][6]~77949\ : std_logic;
SIGNAL \led_flash_cnt[3839][7]~77950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3839][7]~q\ : std_logic;
SIGNAL \WideAnd3839~0_combout\ : std_logic;
SIGNAL \WideAnd3839~combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][0]~84286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3838][1]~77924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3838][1]~77925\ : std_logic;
SIGNAL \led_flash_cnt[3838][2]~77926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3838][2]~77927\ : std_logic;
SIGNAL \led_flash_cnt[3838][3]~77928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3838][3]~77929\ : std_logic;
SIGNAL \led_flash_cnt[3838][4]~77930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3838][4]~77931\ : std_logic;
SIGNAL \led_flash_cnt[3838][5]~77932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3838][5]~77933\ : std_logic;
SIGNAL \led_flash_cnt[3838][6]~77934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3838][6]~77935\ : std_logic;
SIGNAL \led_flash_cnt[3838][7]~77936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3838][7]~q\ : std_logic;
SIGNAL \WideAnd3838~0_combout\ : std_logic;
SIGNAL \WideAnd3838~1_combout\ : std_logic;
SIGNAL \WideAnd3838~combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][0]~84283_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3835][1]~77882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3835][1]~77883\ : std_logic;
SIGNAL \led_flash_cnt[3835][2]~77884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3835][2]~77885\ : std_logic;
SIGNAL \led_flash_cnt[3835][3]~77886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3835][3]~77887\ : std_logic;
SIGNAL \led_flash_cnt[3835][4]~77888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][4]~q\ : std_logic;
SIGNAL \WideAnd3835~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][4]~77889\ : std_logic;
SIGNAL \led_flash_cnt[3835][5]~77890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3835][5]~77891\ : std_logic;
SIGNAL \led_flash_cnt[3835][6]~77892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][6]~q\ : std_logic;
SIGNAL \WideAnd3835~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][6]~77893\ : std_logic;
SIGNAL \led_flash_cnt[3835][7]~77894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3835][7]~q\ : std_logic;
SIGNAL \WideAnd3835~combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][0]~84281_combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3833][1]~77854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3833][1]~77855\ : std_logic;
SIGNAL \led_flash_cnt[3833][2]~77856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3833][2]~77857\ : std_logic;
SIGNAL \led_flash_cnt[3833][3]~77858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3833][3]~77859\ : std_logic;
SIGNAL \led_flash_cnt[3833][4]~77860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3833][4]~77861\ : std_logic;
SIGNAL \led_flash_cnt[3833][5]~77862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3833][5]~77863\ : std_logic;
SIGNAL \led_flash_cnt[3833][6]~77864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3833][6]~77865\ : std_logic;
SIGNAL \led_flash_cnt[3833][7]~77866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3833][7]~q\ : std_logic;
SIGNAL \WideAnd3833~1_combout\ : std_logic;
SIGNAL \WideAnd3833~0_combout\ : std_logic;
SIGNAL \WideAnd3833~combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][0]~84280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3832][1]~77840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3832][1]~77841\ : std_logic;
SIGNAL \led_flash_cnt[3832][2]~77842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3832][2]~77843\ : std_logic;
SIGNAL \led_flash_cnt[3832][3]~77844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3832][3]~77845\ : std_logic;
SIGNAL \led_flash_cnt[3832][4]~77846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3832][4]~77847\ : std_logic;
SIGNAL \led_flash_cnt[3832][5]~77848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3832][5]~77849\ : std_logic;
SIGNAL \led_flash_cnt[3832][6]~77850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][6]~q\ : std_logic;
SIGNAL \WideAnd3832~1_combout\ : std_logic;
SIGNAL \WideAnd3832~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][6]~77851\ : std_logic;
SIGNAL \led_flash_cnt[3832][7]~77852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3832][7]~q\ : std_logic;
SIGNAL \WideAnd3832~combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][0]~84282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3834][1]~77868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3834][1]~77869\ : std_logic;
SIGNAL \led_flash_cnt[3834][2]~77870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3834][2]~77871\ : std_logic;
SIGNAL \led_flash_cnt[3834][3]~77872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3834][3]~77873\ : std_logic;
SIGNAL \led_flash_cnt[3834][4]~77874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][4]~q\ : std_logic;
SIGNAL \WideAnd3834~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][4]~77875\ : std_logic;
SIGNAL \led_flash_cnt[3834][5]~77876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3834][5]~77877\ : std_logic;
SIGNAL \led_flash_cnt[3834][6]~77878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3834][6]~77879\ : std_logic;
SIGNAL \led_flash_cnt[3834][7]~77880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3834][7]~q\ : std_logic;
SIGNAL \WideAnd3834~1_combout\ : std_logic;
SIGNAL \WideAnd3834~combout\ : std_logic;
SIGNAL \WideAnd4319~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][0]~84284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3836][1]~77896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3836][1]~77897\ : std_logic;
SIGNAL \led_flash_cnt[3836][2]~77898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3836][2]~77899\ : std_logic;
SIGNAL \led_flash_cnt[3836][3]~77900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3836][3]~77901\ : std_logic;
SIGNAL \led_flash_cnt[3836][4]~77902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3836][4]~77903\ : std_logic;
SIGNAL \led_flash_cnt[3836][5]~77904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3836][5]~77905\ : std_logic;
SIGNAL \led_flash_cnt[3836][6]~77906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3836][6]~77907\ : std_logic;
SIGNAL \led_flash_cnt[3836][7]~77908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3836][7]~q\ : std_logic;
SIGNAL \WideAnd3836~1_combout\ : std_logic;
SIGNAL \WideAnd3836~0_combout\ : std_logic;
SIGNAL \WideAnd3836~combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][0]~84285_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3837][1]~77910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3837][1]~77911\ : std_logic;
SIGNAL \led_flash_cnt[3837][2]~77912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3837][2]~77913\ : std_logic;
SIGNAL \led_flash_cnt[3837][3]~77914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3837][3]~77915\ : std_logic;
SIGNAL \led_flash_cnt[3837][4]~77916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3837][4]~77917\ : std_logic;
SIGNAL \led_flash_cnt[3837][5]~77918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3837][5]~77919\ : std_logic;
SIGNAL \led_flash_cnt[3837][6]~77920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][6]~q\ : std_logic;
SIGNAL \WideAnd3837~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][6]~77921\ : std_logic;
SIGNAL \led_flash_cnt[3837][7]~77922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3837][7]~q\ : std_logic;
SIGNAL \WideAnd3837~0_combout\ : std_logic;
SIGNAL \WideAnd3837~combout\ : std_logic;
SIGNAL \WideAnd4319~1_combout\ : std_logic;
SIGNAL \WideAnd4319~combout\ : std_logic;
SIGNAL \WideAnd4379~combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][0]~84351_combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3647][1]~78834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3647][1]~78835\ : std_logic;
SIGNAL \led_flash_cnt[3647][2]~78836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3647][2]~78837\ : std_logic;
SIGNAL \led_flash_cnt[3647][3]~78838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3647][3]~78839\ : std_logic;
SIGNAL \led_flash_cnt[3647][4]~78840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3647][4]~78841\ : std_logic;
SIGNAL \led_flash_cnt[3647][5]~78842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3647][5]~78843\ : std_logic;
SIGNAL \led_flash_cnt[3647][6]~78844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3647][6]~78845\ : std_logic;
SIGNAL \led_flash_cnt[3647][7]~78846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3647][7]~q\ : std_logic;
SIGNAL \WideAnd3647~0_combout\ : std_logic;
SIGNAL \WideAnd3647~1_combout\ : std_logic;
SIGNAL \WideAnd3647~combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][0]~84349_combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3645][1]~78806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3645][1]~78807\ : std_logic;
SIGNAL \led_flash_cnt[3645][2]~78808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3645][2]~78809\ : std_logic;
SIGNAL \led_flash_cnt[3645][3]~78810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3645][3]~78811\ : std_logic;
SIGNAL \led_flash_cnt[3645][4]~78812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3645][4]~78813\ : std_logic;
SIGNAL \led_flash_cnt[3645][5]~78814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3645][5]~78815\ : std_logic;
SIGNAL \led_flash_cnt[3645][6]~78816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3645][6]~78817\ : std_logic;
SIGNAL \led_flash_cnt[3645][7]~78818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3645][7]~q\ : std_logic;
SIGNAL \WideAnd3645~1_combout\ : std_logic;
SIGNAL \WideAnd3645~0_combout\ : std_logic;
SIGNAL \WideAnd3645~combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][0]~84348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3644][1]~78792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3644][1]~78793\ : std_logic;
SIGNAL \led_flash_cnt[3644][2]~78794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3644][2]~78795\ : std_logic;
SIGNAL \led_flash_cnt[3644][3]~78796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3644][3]~78797\ : std_logic;
SIGNAL \led_flash_cnt[3644][4]~78798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3644][4]~78799\ : std_logic;
SIGNAL \led_flash_cnt[3644][5]~78800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3644][5]~78801\ : std_logic;
SIGNAL \led_flash_cnt[3644][6]~78802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3644][6]~78803\ : std_logic;
SIGNAL \led_flash_cnt[3644][7]~78804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3644][7]~q\ : std_logic;
SIGNAL \WideAnd3644~1_combout\ : std_logic;
SIGNAL \WideAnd3644~0_combout\ : std_logic;
SIGNAL \WideAnd3644~combout\ : std_logic;
SIGNAL \WideAnd4295~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][0]~84350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3646][1]~78820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3646][1]~78821\ : std_logic;
SIGNAL \led_flash_cnt[3646][2]~78822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3646][2]~78823\ : std_logic;
SIGNAL \led_flash_cnt[3646][3]~78824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3646][3]~78825\ : std_logic;
SIGNAL \led_flash_cnt[3646][4]~78826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3646][4]~78827\ : std_logic;
SIGNAL \led_flash_cnt[3646][5]~78828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3646][5]~78829\ : std_logic;
SIGNAL \led_flash_cnt[3646][6]~78830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3646][6]~78831\ : std_logic;
SIGNAL \led_flash_cnt[3646][7]~78832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3646][7]~q\ : std_logic;
SIGNAL \WideAnd3646~1_combout\ : std_logic;
SIGNAL \WideAnd3646~0_combout\ : std_logic;
SIGNAL \WideAnd3646~combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][0]~84345_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3641][1]~78750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3641][1]~78751\ : std_logic;
SIGNAL \led_flash_cnt[3641][2]~78752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3641][2]~78753\ : std_logic;
SIGNAL \led_flash_cnt[3641][3]~78754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3641][3]~78755\ : std_logic;
SIGNAL \led_flash_cnt[3641][4]~78756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][4]~q\ : std_logic;
SIGNAL \WideAnd3641~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][4]~78757\ : std_logic;
SIGNAL \led_flash_cnt[3641][5]~78758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3641][5]~78759\ : std_logic;
SIGNAL \led_flash_cnt[3641][6]~78760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3641][6]~78761\ : std_logic;
SIGNAL \led_flash_cnt[3641][7]~78762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3641][7]~q\ : std_logic;
SIGNAL \WideAnd3641~1_combout\ : std_logic;
SIGNAL \WideAnd3641~combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][0]~84344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3640][1]~78736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3640][1]~78737\ : std_logic;
SIGNAL \led_flash_cnt[3640][2]~78738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3640][2]~78739\ : std_logic;
SIGNAL \led_flash_cnt[3640][3]~78740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3640][3]~78741\ : std_logic;
SIGNAL \led_flash_cnt[3640][4]~78742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3640][4]~78743\ : std_logic;
SIGNAL \led_flash_cnt[3640][5]~78744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3640][5]~78745\ : std_logic;
SIGNAL \led_flash_cnt[3640][6]~78746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][6]~q\ : std_logic;
SIGNAL \WideAnd3640~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][6]~78747\ : std_logic;
SIGNAL \led_flash_cnt[3640][7]~78748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3640][7]~q\ : std_logic;
SIGNAL \WideAnd3640~0_combout\ : std_logic;
SIGNAL \WideAnd3640~combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][0]~84346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3642][1]~78764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3642][1]~78765\ : std_logic;
SIGNAL \led_flash_cnt[3642][2]~78766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3642][2]~78767\ : std_logic;
SIGNAL \led_flash_cnt[3642][3]~78768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3642][3]~78769\ : std_logic;
SIGNAL \led_flash_cnt[3642][4]~78770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3642][4]~78771\ : std_logic;
SIGNAL \led_flash_cnt[3642][5]~78772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3642][5]~78773\ : std_logic;
SIGNAL \led_flash_cnt[3642][6]~78774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3642][6]~78775\ : std_logic;
SIGNAL \led_flash_cnt[3642][7]~78776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3642][7]~q\ : std_logic;
SIGNAL \WideAnd3642~0_combout\ : std_logic;
SIGNAL \WideAnd3642~1_combout\ : std_logic;
SIGNAL \WideAnd3642~combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][0]~84347_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3643][1]~78778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3643][1]~78779\ : std_logic;
SIGNAL \led_flash_cnt[3643][2]~78780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3643][2]~78781\ : std_logic;
SIGNAL \led_flash_cnt[3643][3]~78782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3643][3]~78783\ : std_logic;
SIGNAL \led_flash_cnt[3643][4]~78784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3643][4]~78785\ : std_logic;
SIGNAL \led_flash_cnt[3643][5]~78786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3643][5]~78787\ : std_logic;
SIGNAL \led_flash_cnt[3643][6]~78788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][6]~q\ : std_logic;
SIGNAL \WideAnd3643~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][6]~78789\ : std_logic;
SIGNAL \led_flash_cnt[3643][7]~78790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3643][7]~q\ : std_logic;
SIGNAL \WideAnd3643~0_combout\ : std_logic;
SIGNAL \WideAnd3643~combout\ : std_logic;
SIGNAL \WideAnd4295~0_combout\ : std_logic;
SIGNAL \WideAnd4295~combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][0]~84314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3610][1]~78316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3610][1]~78317\ : std_logic;
SIGNAL \led_flash_cnt[3610][2]~78318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3610][2]~78319\ : std_logic;
SIGNAL \led_flash_cnt[3610][3]~78320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3610][3]~78321\ : std_logic;
SIGNAL \led_flash_cnt[3610][4]~78322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3610][4]~78323\ : std_logic;
SIGNAL \led_flash_cnt[3610][5]~78324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3610][5]~78325\ : std_logic;
SIGNAL \led_flash_cnt[3610][6]~78326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][6]~q\ : std_logic;
SIGNAL \WideAnd3610~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][6]~78327\ : std_logic;
SIGNAL \led_flash_cnt[3610][7]~78328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3610][7]~q\ : std_logic;
SIGNAL \WideAnd3610~0_combout\ : std_logic;
SIGNAL \WideAnd3610~combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][0]~84315_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3611][1]~78330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3611][1]~78331\ : std_logic;
SIGNAL \led_flash_cnt[3611][2]~78332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3611][2]~78333\ : std_logic;
SIGNAL \led_flash_cnt[3611][3]~78334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3611][3]~78335\ : std_logic;
SIGNAL \led_flash_cnt[3611][4]~78336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][4]~q\ : std_logic;
SIGNAL \WideAnd3611~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][4]~78337\ : std_logic;
SIGNAL \led_flash_cnt[3611][5]~78338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3611][5]~78339\ : std_logic;
SIGNAL \led_flash_cnt[3611][6]~78340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3611][6]~78341\ : std_logic;
SIGNAL \led_flash_cnt[3611][7]~78342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3611][7]~q\ : std_logic;
SIGNAL \WideAnd3611~1_combout\ : std_logic;
SIGNAL \WideAnd3611~combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][0]~84312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3608][1]~78288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3608][1]~78289\ : std_logic;
SIGNAL \led_flash_cnt[3608][2]~78290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3608][2]~78291\ : std_logic;
SIGNAL \led_flash_cnt[3608][3]~78292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3608][3]~78293\ : std_logic;
SIGNAL \led_flash_cnt[3608][4]~78294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3608][4]~78295\ : std_logic;
SIGNAL \led_flash_cnt[3608][5]~78296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3608][5]~78297\ : std_logic;
SIGNAL \led_flash_cnt[3608][6]~78298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3608][6]~78299\ : std_logic;
SIGNAL \led_flash_cnt[3608][7]~78300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3608][7]~q\ : std_logic;
SIGNAL \WideAnd3608~1_combout\ : std_logic;
SIGNAL \WideAnd3608~0_combout\ : std_logic;
SIGNAL \WideAnd3608~combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][0]~84313_combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3609][1]~78302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3609][1]~78303\ : std_logic;
SIGNAL \led_flash_cnt[3609][2]~78304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3609][2]~78305\ : std_logic;
SIGNAL \led_flash_cnt[3609][3]~78306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3609][3]~78307\ : std_logic;
SIGNAL \led_flash_cnt[3609][4]~78308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3609][4]~78309\ : std_logic;
SIGNAL \led_flash_cnt[3609][5]~78310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3609][5]~78311\ : std_logic;
SIGNAL \led_flash_cnt[3609][6]~78312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3609][6]~78313\ : std_logic;
SIGNAL \led_flash_cnt[3609][7]~78314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3609][7]~q\ : std_logic;
SIGNAL \WideAnd3609~1_combout\ : std_logic;
SIGNAL \WideAnd3609~0_combout\ : std_logic;
SIGNAL \WideAnd3609~combout\ : std_logic;
SIGNAL \WideAnd4291~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][0]~84319_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3615][1]~78386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3615][1]~78387\ : std_logic;
SIGNAL \led_flash_cnt[3615][2]~78388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3615][2]~78389\ : std_logic;
SIGNAL \led_flash_cnt[3615][3]~78390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3615][3]~78391\ : std_logic;
SIGNAL \led_flash_cnt[3615][4]~78392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][4]~q\ : std_logic;
SIGNAL \WideAnd3615~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][4]~78393\ : std_logic;
SIGNAL \led_flash_cnt[3615][5]~78394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3615][5]~78395\ : std_logic;
SIGNAL \led_flash_cnt[3615][6]~78396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3615][6]~78397\ : std_logic;
SIGNAL \led_flash_cnt[3615][7]~78398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3615][7]~q\ : std_logic;
SIGNAL \WideAnd3615~1_combout\ : std_logic;
SIGNAL \WideAnd3615~combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][0]~84317_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3613][1]~78358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3613][1]~78359\ : std_logic;
SIGNAL \led_flash_cnt[3613][2]~78360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3613][2]~78361\ : std_logic;
SIGNAL \led_flash_cnt[3613][3]~78362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3613][3]~78363\ : std_logic;
SIGNAL \led_flash_cnt[3613][4]~78364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3613][4]~78365\ : std_logic;
SIGNAL \led_flash_cnt[3613][5]~78366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3613][5]~78367\ : std_logic;
SIGNAL \led_flash_cnt[3613][6]~78368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][6]~q\ : std_logic;
SIGNAL \WideAnd3613~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][6]~78369\ : std_logic;
SIGNAL \led_flash_cnt[3613][7]~78370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3613][7]~q\ : std_logic;
SIGNAL \WideAnd3613~0_combout\ : std_logic;
SIGNAL \WideAnd3613~combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][0]~84316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3612][1]~78344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3612][1]~78345\ : std_logic;
SIGNAL \led_flash_cnt[3612][2]~78346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3612][2]~78347\ : std_logic;
SIGNAL \led_flash_cnt[3612][3]~78348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3612][3]~78349\ : std_logic;
SIGNAL \led_flash_cnt[3612][4]~78350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3612][4]~78351\ : std_logic;
SIGNAL \led_flash_cnt[3612][5]~78352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3612][5]~78353\ : std_logic;
SIGNAL \led_flash_cnt[3612][6]~78354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3612][6]~78355\ : std_logic;
SIGNAL \led_flash_cnt[3612][7]~78356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3612][7]~q\ : std_logic;
SIGNAL \WideAnd3612~0_combout\ : std_logic;
SIGNAL \WideAnd3612~1_combout\ : std_logic;
SIGNAL \WideAnd3612~combout\ : std_logic;
SIGNAL \WideAnd4291~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][0]~84318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3614][1]~78372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3614][1]~78373\ : std_logic;
SIGNAL \led_flash_cnt[3614][2]~78374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3614][2]~78375\ : std_logic;
SIGNAL \led_flash_cnt[3614][3]~78376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3614][3]~78377\ : std_logic;
SIGNAL \led_flash_cnt[3614][4]~78378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3614][4]~78379\ : std_logic;
SIGNAL \led_flash_cnt[3614][5]~78380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3614][5]~78381\ : std_logic;
SIGNAL \led_flash_cnt[3614][6]~78382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][6]~q\ : std_logic;
SIGNAL \WideAnd3614~1_combout\ : std_logic;
SIGNAL \WideAnd3614~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][6]~78383\ : std_logic;
SIGNAL \led_flash_cnt[3614][7]~78384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3614][7]~q\ : std_logic;
SIGNAL \WideAnd3614~combout\ : std_logic;
SIGNAL \WideAnd4291~combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][0]~84303_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3599][1]~78162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3599][1]~78163\ : std_logic;
SIGNAL \led_flash_cnt[3599][2]~78164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3599][2]~78165\ : std_logic;
SIGNAL \led_flash_cnt[3599][3]~78166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3599][3]~78167\ : std_logic;
SIGNAL \led_flash_cnt[3599][4]~78168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][4]~q\ : std_logic;
SIGNAL \WideAnd3599~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][4]~78169\ : std_logic;
SIGNAL \led_flash_cnt[3599][5]~78170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3599][5]~78171\ : std_logic;
SIGNAL \led_flash_cnt[3599][6]~78172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3599][6]~78173\ : std_logic;
SIGNAL \led_flash_cnt[3599][7]~78174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3599][7]~q\ : std_logic;
SIGNAL \WideAnd3599~1_combout\ : std_logic;
SIGNAL \WideAnd3599~combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][0]~84299_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3595][1]~78106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3595][1]~78107\ : std_logic;
SIGNAL \led_flash_cnt[3595][2]~78108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3595][2]~78109\ : std_logic;
SIGNAL \led_flash_cnt[3595][3]~78110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3595][3]~78111\ : std_logic;
SIGNAL \led_flash_cnt[3595][4]~78112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][4]~q\ : std_logic;
SIGNAL \WideAnd3595~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][4]~78113\ : std_logic;
SIGNAL \led_flash_cnt[3595][5]~78114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3595][5]~78115\ : std_logic;
SIGNAL \led_flash_cnt[3595][6]~78116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3595][6]~78117\ : std_logic;
SIGNAL \led_flash_cnt[3595][7]~78118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3595][7]~q\ : std_logic;
SIGNAL \WideAnd3595~1_combout\ : std_logic;
SIGNAL \WideAnd3595~combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][0]~84297_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3593][1]~78078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3593][1]~78079\ : std_logic;
SIGNAL \led_flash_cnt[3593][2]~78080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3593][2]~78081\ : std_logic;
SIGNAL \led_flash_cnt[3593][3]~78082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3593][3]~78083\ : std_logic;
SIGNAL \led_flash_cnt[3593][4]~78084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3593][4]~78085\ : std_logic;
SIGNAL \led_flash_cnt[3593][5]~78086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3593][5]~78087\ : std_logic;
SIGNAL \led_flash_cnt[3593][6]~78088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][6]~q\ : std_logic;
SIGNAL \WideAnd3593~1_combout\ : std_logic;
SIGNAL \WideAnd3593~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][6]~78089\ : std_logic;
SIGNAL \led_flash_cnt[3593][7]~78090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3593][7]~q\ : std_logic;
SIGNAL \WideAnd3593~combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][0]~84298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3594][1]~78092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3594][1]~78093\ : std_logic;
SIGNAL \led_flash_cnt[3594][2]~78094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3594][2]~78095\ : std_logic;
SIGNAL \led_flash_cnt[3594][3]~78096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3594][3]~78097\ : std_logic;
SIGNAL \led_flash_cnt[3594][4]~78098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3594][4]~78099\ : std_logic;
SIGNAL \led_flash_cnt[3594][5]~78100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3594][5]~78101\ : std_logic;
SIGNAL \led_flash_cnt[3594][6]~78102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][6]~q\ : std_logic;
SIGNAL \WideAnd3594~1_combout\ : std_logic;
SIGNAL \WideAnd3594~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][6]~78103\ : std_logic;
SIGNAL \led_flash_cnt[3594][7]~78104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3594][7]~q\ : std_logic;
SIGNAL \WideAnd3594~combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][0]~84296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3592][1]~78064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3592][1]~78065\ : std_logic;
SIGNAL \led_flash_cnt[3592][2]~78066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3592][2]~78067\ : std_logic;
SIGNAL \led_flash_cnt[3592][3]~78068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3592][3]~78069\ : std_logic;
SIGNAL \led_flash_cnt[3592][4]~78070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][4]~q\ : std_logic;
SIGNAL \WideAnd3592~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][4]~78071\ : std_logic;
SIGNAL \led_flash_cnt[3592][5]~78072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3592][5]~78073\ : std_logic;
SIGNAL \led_flash_cnt[3592][6]~78074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][6]~q\ : std_logic;
SIGNAL \WideAnd3592~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][6]~78075\ : std_logic;
SIGNAL \led_flash_cnt[3592][7]~78076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3592][7]~q\ : std_logic;
SIGNAL \WideAnd3592~combout\ : std_logic;
SIGNAL \WideAnd4289~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][0]~84301_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3597][1]~78134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3597][1]~78135\ : std_logic;
SIGNAL \led_flash_cnt[3597][2]~78136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3597][2]~78137\ : std_logic;
SIGNAL \led_flash_cnt[3597][3]~78138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3597][3]~78139\ : std_logic;
SIGNAL \led_flash_cnt[3597][4]~78140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][4]~q\ : std_logic;
SIGNAL \WideAnd3597~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][4]~78141\ : std_logic;
SIGNAL \led_flash_cnt[3597][5]~78142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3597][5]~78143\ : std_logic;
SIGNAL \led_flash_cnt[3597][6]~78144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3597][6]~78145\ : std_logic;
SIGNAL \led_flash_cnt[3597][7]~78146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3597][7]~q\ : std_logic;
SIGNAL \WideAnd3597~1_combout\ : std_logic;
SIGNAL \WideAnd3597~combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][0]~84300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3596][1]~78120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3596][1]~78121\ : std_logic;
SIGNAL \led_flash_cnt[3596][2]~78122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3596][2]~78123\ : std_logic;
SIGNAL \led_flash_cnt[3596][3]~78124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3596][3]~78125\ : std_logic;
SIGNAL \led_flash_cnt[3596][4]~78126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][4]~q\ : std_logic;
SIGNAL \WideAnd3596~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][4]~78127\ : std_logic;
SIGNAL \led_flash_cnt[3596][5]~78128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3596][5]~78129\ : std_logic;
SIGNAL \led_flash_cnt[3596][6]~78130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3596][6]~78131\ : std_logic;
SIGNAL \led_flash_cnt[3596][7]~78132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3596][7]~q\ : std_logic;
SIGNAL \WideAnd3596~1_combout\ : std_logic;
SIGNAL \WideAnd3596~combout\ : std_logic;
SIGNAL \WideAnd4289~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][0]~84302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3598][1]~78148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3598][1]~78149\ : std_logic;
SIGNAL \led_flash_cnt[3598][2]~78150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3598][2]~78151\ : std_logic;
SIGNAL \led_flash_cnt[3598][3]~78152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3598][3]~78153\ : std_logic;
SIGNAL \led_flash_cnt[3598][4]~78154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3598][4]~78155\ : std_logic;
SIGNAL \led_flash_cnt[3598][5]~78156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3598][5]~78157\ : std_logic;
SIGNAL \led_flash_cnt[3598][6]~78158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3598][6]~78159\ : std_logic;
SIGNAL \led_flash_cnt[3598][7]~78160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3598][7]~q\ : std_logic;
SIGNAL \WideAnd3598~0_combout\ : std_logic;
SIGNAL \WideAnd3598~1_combout\ : std_logic;
SIGNAL \WideAnd3598~combout\ : std_logic;
SIGNAL \WideAnd4289~combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][0]~84295_combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3591][1]~78050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3591][1]~78051\ : std_logic;
SIGNAL \led_flash_cnt[3591][2]~78052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3591][2]~78053\ : std_logic;
SIGNAL \led_flash_cnt[3591][3]~78054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3591][3]~78055\ : std_logic;
SIGNAL \led_flash_cnt[3591][4]~78056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3591][4]~78057\ : std_logic;
SIGNAL \led_flash_cnt[3591][5]~78058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3591][5]~78059\ : std_logic;
SIGNAL \led_flash_cnt[3591][6]~78060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3591][6]~78061\ : std_logic;
SIGNAL \led_flash_cnt[3591][7]~78062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3591][7]~q\ : std_logic;
SIGNAL \WideAnd3591~0_combout\ : std_logic;
SIGNAL \WideAnd3591~1_combout\ : std_logic;
SIGNAL \WideAnd3591~combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][0]~84291_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3587][1]~77994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3587][1]~77995\ : std_logic;
SIGNAL \led_flash_cnt[3587][2]~77996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3587][2]~77997\ : std_logic;
SIGNAL \led_flash_cnt[3587][3]~77998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3587][3]~77999\ : std_logic;
SIGNAL \led_flash_cnt[3587][4]~78000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][4]~q\ : std_logic;
SIGNAL \WideAnd3587~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][4]~78001\ : std_logic;
SIGNAL \led_flash_cnt[3587][5]~78002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3587][5]~78003\ : std_logic;
SIGNAL \led_flash_cnt[3587][6]~78004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][6]~q\ : std_logic;
SIGNAL \WideAnd3587~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][6]~78005\ : std_logic;
SIGNAL \led_flash_cnt[3587][7]~78006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3587][7]~q\ : std_logic;
SIGNAL \WideAnd3587~combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][0]~84290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3586][1]~77980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3586][1]~77981\ : std_logic;
SIGNAL \led_flash_cnt[3586][2]~77982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3586][2]~77983\ : std_logic;
SIGNAL \led_flash_cnt[3586][3]~77984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3586][3]~77985\ : std_logic;
SIGNAL \led_flash_cnt[3586][4]~77986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3586][4]~77987\ : std_logic;
SIGNAL \led_flash_cnt[3586][5]~77988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3586][5]~77989\ : std_logic;
SIGNAL \led_flash_cnt[3586][6]~77990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][6]~q\ : std_logic;
SIGNAL \WideAnd3586~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][6]~77991\ : std_logic;
SIGNAL \led_flash_cnt[3586][7]~77992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3586][7]~q\ : std_logic;
SIGNAL \WideAnd3586~0_combout\ : std_logic;
SIGNAL \WideAnd3586~combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][0]~84289_combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3585][1]~77966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3585][1]~77967\ : std_logic;
SIGNAL \led_flash_cnt[3585][2]~77968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3585][2]~77969\ : std_logic;
SIGNAL \led_flash_cnt[3585][3]~77970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3585][3]~77971\ : std_logic;
SIGNAL \led_flash_cnt[3585][4]~77972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3585][4]~77973\ : std_logic;
SIGNAL \led_flash_cnt[3585][5]~77974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3585][5]~77975\ : std_logic;
SIGNAL \led_flash_cnt[3585][6]~77976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3585][6]~77977\ : std_logic;
SIGNAL \led_flash_cnt[3585][7]~77978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3585][7]~q\ : std_logic;
SIGNAL \WideAnd3585~0_combout\ : std_logic;
SIGNAL \WideAnd3585~1_combout\ : std_logic;
SIGNAL \WideAnd3585~combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][0]~84288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3584][1]~77952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3584][1]~77953\ : std_logic;
SIGNAL \led_flash_cnt[3584][2]~77954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3584][2]~77955\ : std_logic;
SIGNAL \led_flash_cnt[3584][3]~77956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3584][3]~77957\ : std_logic;
SIGNAL \led_flash_cnt[3584][4]~77958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3584][4]~77959\ : std_logic;
SIGNAL \led_flash_cnt[3584][5]~77960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3584][5]~77961\ : std_logic;
SIGNAL \led_flash_cnt[3584][6]~77962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][6]~q\ : std_logic;
SIGNAL \WideAnd3584~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][6]~77963\ : std_logic;
SIGNAL \led_flash_cnt[3584][7]~77964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3584][7]~q\ : std_logic;
SIGNAL \WideAnd3584~0_combout\ : std_logic;
SIGNAL \WideAnd3584~combout\ : std_logic;
SIGNAL \WideAnd4288~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][0]~84293_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3589][1]~78022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3589][1]~78023\ : std_logic;
SIGNAL \led_flash_cnt[3589][2]~78024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3589][2]~78025\ : std_logic;
SIGNAL \led_flash_cnt[3589][3]~78026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3589][3]~78027\ : std_logic;
SIGNAL \led_flash_cnt[3589][4]~78028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][4]~q\ : std_logic;
SIGNAL \WideAnd3589~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][4]~78029\ : std_logic;
SIGNAL \led_flash_cnt[3589][5]~78030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3589][5]~78031\ : std_logic;
SIGNAL \led_flash_cnt[3589][6]~78032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3589][6]~78033\ : std_logic;
SIGNAL \led_flash_cnt[3589][7]~78034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3589][7]~q\ : std_logic;
SIGNAL \WideAnd3589~1_combout\ : std_logic;
SIGNAL \WideAnd3589~combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][0]~84292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3588][1]~78008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3588][1]~78009\ : std_logic;
SIGNAL \led_flash_cnt[3588][2]~78010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3588][2]~78011\ : std_logic;
SIGNAL \led_flash_cnt[3588][3]~78012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3588][3]~78013\ : std_logic;
SIGNAL \led_flash_cnt[3588][4]~78014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3588][4]~78015\ : std_logic;
SIGNAL \led_flash_cnt[3588][5]~78016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3588][5]~78017\ : std_logic;
SIGNAL \led_flash_cnt[3588][6]~78018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][6]~q\ : std_logic;
SIGNAL \WideAnd3588~1_combout\ : std_logic;
SIGNAL \WideAnd3588~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][6]~78019\ : std_logic;
SIGNAL \led_flash_cnt[3588][7]~78020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3588][7]~q\ : std_logic;
SIGNAL \WideAnd3588~combout\ : std_logic;
SIGNAL \WideAnd4288~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][0]~84294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3590][1]~78036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3590][1]~78037\ : std_logic;
SIGNAL \led_flash_cnt[3590][2]~78038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3590][2]~78039\ : std_logic;
SIGNAL \led_flash_cnt[3590][3]~78040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3590][3]~78041\ : std_logic;
SIGNAL \led_flash_cnt[3590][4]~78042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3590][4]~78043\ : std_logic;
SIGNAL \led_flash_cnt[3590][5]~78044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3590][5]~78045\ : std_logic;
SIGNAL \led_flash_cnt[3590][6]~78046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][6]~q\ : std_logic;
SIGNAL \WideAnd3590~1_combout\ : std_logic;
SIGNAL \WideAnd3590~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][6]~78047\ : std_logic;
SIGNAL \led_flash_cnt[3590][7]~78048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3590][7]~q\ : std_logic;
SIGNAL \WideAnd3590~combout\ : std_logic;
SIGNAL \WideAnd4288~combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][0]~84311_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3607][1]~78274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3607][1]~78275\ : std_logic;
SIGNAL \led_flash_cnt[3607][2]~78276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3607][2]~78277\ : std_logic;
SIGNAL \led_flash_cnt[3607][3]~78278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3607][3]~78279\ : std_logic;
SIGNAL \led_flash_cnt[3607][4]~78280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3607][4]~78281\ : std_logic;
SIGNAL \led_flash_cnt[3607][5]~78282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3607][5]~78283\ : std_logic;
SIGNAL \led_flash_cnt[3607][6]~78284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][6]~q\ : std_logic;
SIGNAL \WideAnd3607~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][6]~78285\ : std_logic;
SIGNAL \led_flash_cnt[3607][7]~78286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3607][7]~q\ : std_logic;
SIGNAL \WideAnd3607~0_combout\ : std_logic;
SIGNAL \WideAnd3607~combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][0]~84308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3604][1]~78232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3604][1]~78233\ : std_logic;
SIGNAL \led_flash_cnt[3604][2]~78234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3604][2]~78235\ : std_logic;
SIGNAL \led_flash_cnt[3604][3]~78236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3604][3]~78237\ : std_logic;
SIGNAL \led_flash_cnt[3604][4]~78238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][4]~q\ : std_logic;
SIGNAL \WideAnd3604~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][4]~78239\ : std_logic;
SIGNAL \led_flash_cnt[3604][5]~78240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3604][5]~78241\ : std_logic;
SIGNAL \led_flash_cnt[3604][6]~78242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3604][6]~78243\ : std_logic;
SIGNAL \led_flash_cnt[3604][7]~78244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3604][7]~q\ : std_logic;
SIGNAL \WideAnd3604~1_combout\ : std_logic;
SIGNAL \WideAnd3604~combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][0]~84309_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3605][1]~78246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3605][1]~78247\ : std_logic;
SIGNAL \led_flash_cnt[3605][2]~78248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3605][2]~78249\ : std_logic;
SIGNAL \led_flash_cnt[3605][3]~78250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3605][3]~78251\ : std_logic;
SIGNAL \led_flash_cnt[3605][4]~78252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3605][4]~78253\ : std_logic;
SIGNAL \led_flash_cnt[3605][5]~78254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3605][5]~78255\ : std_logic;
SIGNAL \led_flash_cnt[3605][6]~78256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][6]~q\ : std_logic;
SIGNAL \WideAnd3605~1_combout\ : std_logic;
SIGNAL \WideAnd3605~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][6]~78257\ : std_logic;
SIGNAL \led_flash_cnt[3605][7]~78258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3605][7]~q\ : std_logic;
SIGNAL \WideAnd3605~combout\ : std_logic;
SIGNAL \WideAnd4290~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][0]~84310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3606][1]~78260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3606][1]~78261\ : std_logic;
SIGNAL \led_flash_cnt[3606][2]~78262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3606][2]~78263\ : std_logic;
SIGNAL \led_flash_cnt[3606][3]~78264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3606][3]~78265\ : std_logic;
SIGNAL \led_flash_cnt[3606][4]~78266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][4]~q\ : std_logic;
SIGNAL \WideAnd3606~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][4]~78267\ : std_logic;
SIGNAL \led_flash_cnt[3606][5]~78268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3606][5]~78269\ : std_logic;
SIGNAL \led_flash_cnt[3606][6]~78270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3606][6]~78271\ : std_logic;
SIGNAL \led_flash_cnt[3606][7]~78272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3606][7]~q\ : std_logic;
SIGNAL \WideAnd3606~1_combout\ : std_logic;
SIGNAL \WideAnd3606~combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][0]~84307_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3603][1]~78218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3603][1]~78219\ : std_logic;
SIGNAL \led_flash_cnt[3603][2]~78220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3603][2]~78221\ : std_logic;
SIGNAL \led_flash_cnt[3603][3]~78222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3603][3]~78223\ : std_logic;
SIGNAL \led_flash_cnt[3603][4]~78224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][4]~q\ : std_logic;
SIGNAL \WideAnd3603~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][4]~78225\ : std_logic;
SIGNAL \led_flash_cnt[3603][5]~78226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3603][5]~78227\ : std_logic;
SIGNAL \led_flash_cnt[3603][6]~78228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][6]~q\ : std_logic;
SIGNAL \WideAnd3603~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][6]~78229\ : std_logic;
SIGNAL \led_flash_cnt[3603][7]~78230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3603][7]~q\ : std_logic;
SIGNAL \WideAnd3603~combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][0]~84305_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3601][1]~78190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3601][1]~78191\ : std_logic;
SIGNAL \led_flash_cnt[3601][2]~78192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3601][2]~78193\ : std_logic;
SIGNAL \led_flash_cnt[3601][3]~78194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3601][3]~78195\ : std_logic;
SIGNAL \led_flash_cnt[3601][4]~78196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3601][4]~78197\ : std_logic;
SIGNAL \led_flash_cnt[3601][5]~78198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3601][5]~78199\ : std_logic;
SIGNAL \led_flash_cnt[3601][6]~78200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][6]~q\ : std_logic;
SIGNAL \WideAnd3601~1_combout\ : std_logic;
SIGNAL \WideAnd3601~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][6]~78201\ : std_logic;
SIGNAL \led_flash_cnt[3601][7]~78202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3601][7]~q\ : std_logic;
SIGNAL \WideAnd3601~combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][0]~84306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3602][1]~78204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3602][1]~78205\ : std_logic;
SIGNAL \led_flash_cnt[3602][2]~78206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3602][2]~78207\ : std_logic;
SIGNAL \led_flash_cnt[3602][3]~78208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3602][3]~78209\ : std_logic;
SIGNAL \led_flash_cnt[3602][4]~78210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][4]~q\ : std_logic;
SIGNAL \WideAnd3602~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][4]~78211\ : std_logic;
SIGNAL \led_flash_cnt[3602][5]~78212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3602][5]~78213\ : std_logic;
SIGNAL \led_flash_cnt[3602][6]~78214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][6]~q\ : std_logic;
SIGNAL \WideAnd3602~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][6]~78215\ : std_logic;
SIGNAL \led_flash_cnt[3602][7]~78216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3602][7]~q\ : std_logic;
SIGNAL \WideAnd3602~combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][0]~84304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3600][1]~78176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3600][1]~78177\ : std_logic;
SIGNAL \led_flash_cnt[3600][2]~78178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3600][2]~78179\ : std_logic;
SIGNAL \led_flash_cnt[3600][3]~78180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3600][3]~78181\ : std_logic;
SIGNAL \led_flash_cnt[3600][4]~78182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][4]~q\ : std_logic;
SIGNAL \WideAnd3600~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][4]~78183\ : std_logic;
SIGNAL \led_flash_cnt[3600][5]~78184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3600][5]~78185\ : std_logic;
SIGNAL \led_flash_cnt[3600][6]~78186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3600][6]~78187\ : std_logic;
SIGNAL \led_flash_cnt[3600][7]~78188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3600][7]~q\ : std_logic;
SIGNAL \WideAnd3600~1_combout\ : std_logic;
SIGNAL \WideAnd3600~combout\ : std_logic;
SIGNAL \WideAnd4290~0_combout\ : std_logic;
SIGNAL \WideAnd4290~combout\ : std_logic;
SIGNAL \WideAnd4376~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][0]~84326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3622][1]~78484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3622][1]~78485\ : std_logic;
SIGNAL \led_flash_cnt[3622][2]~78486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3622][2]~78487\ : std_logic;
SIGNAL \led_flash_cnt[3622][3]~78488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3622][3]~78489\ : std_logic;
SIGNAL \led_flash_cnt[3622][4]~78490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3622][4]~78491\ : std_logic;
SIGNAL \led_flash_cnt[3622][5]~78492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3622][5]~78493\ : std_logic;
SIGNAL \led_flash_cnt[3622][6]~78494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][6]~q\ : std_logic;
SIGNAL \WideAnd3622~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][6]~78495\ : std_logic;
SIGNAL \led_flash_cnt[3622][7]~78496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3622][7]~q\ : std_logic;
SIGNAL \WideAnd3622~0_combout\ : std_logic;
SIGNAL \WideAnd3622~combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][0]~84322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3618][1]~78428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3618][1]~78429\ : std_logic;
SIGNAL \led_flash_cnt[3618][2]~78430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3618][2]~78431\ : std_logic;
SIGNAL \led_flash_cnt[3618][3]~78432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3618][3]~78433\ : std_logic;
SIGNAL \led_flash_cnt[3618][4]~78434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3618][4]~78435\ : std_logic;
SIGNAL \led_flash_cnt[3618][5]~78436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3618][5]~78437\ : std_logic;
SIGNAL \led_flash_cnt[3618][6]~78438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3618][6]~78439\ : std_logic;
SIGNAL \led_flash_cnt[3618][7]~78440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3618][7]~q\ : std_logic;
SIGNAL \WideAnd3618~1_combout\ : std_logic;
SIGNAL \WideAnd3618~0_combout\ : std_logic;
SIGNAL \WideAnd3618~combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][0]~84320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3616][1]~78400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3616][1]~78401\ : std_logic;
SIGNAL \led_flash_cnt[3616][2]~78402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3616][2]~78403\ : std_logic;
SIGNAL \led_flash_cnt[3616][3]~78404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3616][3]~78405\ : std_logic;
SIGNAL \led_flash_cnt[3616][4]~78406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][4]~q\ : std_logic;
SIGNAL \WideAnd3616~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][4]~78407\ : std_logic;
SIGNAL \led_flash_cnt[3616][5]~78408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3616][5]~78409\ : std_logic;
SIGNAL \led_flash_cnt[3616][6]~78410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3616][6]~78411\ : std_logic;
SIGNAL \led_flash_cnt[3616][7]~78412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3616][7]~q\ : std_logic;
SIGNAL \WideAnd3616~1_combout\ : std_logic;
SIGNAL \WideAnd3616~combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][0]~84321_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3617][1]~78414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3617][1]~78415\ : std_logic;
SIGNAL \led_flash_cnt[3617][2]~78416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3617][2]~78417\ : std_logic;
SIGNAL \led_flash_cnt[3617][3]~78418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3617][3]~78419\ : std_logic;
SIGNAL \led_flash_cnt[3617][4]~78420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3617][4]~78421\ : std_logic;
SIGNAL \led_flash_cnt[3617][5]~78422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3617][5]~78423\ : std_logic;
SIGNAL \led_flash_cnt[3617][6]~78424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][6]~q\ : std_logic;
SIGNAL \WideAnd3617~1_combout\ : std_logic;
SIGNAL \WideAnd3617~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][6]~78425\ : std_logic;
SIGNAL \led_flash_cnt[3617][7]~78426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3617][7]~q\ : std_logic;
SIGNAL \WideAnd3617~combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][0]~84323_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3619][1]~78442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3619][1]~78443\ : std_logic;
SIGNAL \led_flash_cnt[3619][2]~78444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3619][2]~78445\ : std_logic;
SIGNAL \led_flash_cnt[3619][3]~78446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3619][3]~78447\ : std_logic;
SIGNAL \led_flash_cnt[3619][4]~78448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3619][4]~78449\ : std_logic;
SIGNAL \led_flash_cnt[3619][5]~78450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3619][5]~78451\ : std_logic;
SIGNAL \led_flash_cnt[3619][6]~78452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][6]~q\ : std_logic;
SIGNAL \WideAnd3619~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][6]~78453\ : std_logic;
SIGNAL \led_flash_cnt[3619][7]~78454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3619][7]~q\ : std_logic;
SIGNAL \WideAnd3619~0_combout\ : std_logic;
SIGNAL \WideAnd3619~combout\ : std_logic;
SIGNAL \WideAnd4292~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][0]~84325_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3621][1]~78470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3621][1]~78471\ : std_logic;
SIGNAL \led_flash_cnt[3621][2]~78472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3621][2]~78473\ : std_logic;
SIGNAL \led_flash_cnt[3621][3]~78474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3621][3]~78475\ : std_logic;
SIGNAL \led_flash_cnt[3621][4]~78476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3621][4]~78477\ : std_logic;
SIGNAL \led_flash_cnt[3621][5]~78478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3621][5]~78479\ : std_logic;
SIGNAL \led_flash_cnt[3621][6]~78480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][6]~q\ : std_logic;
SIGNAL \WideAnd3621~1_combout\ : std_logic;
SIGNAL \WideAnd3621~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][6]~78481\ : std_logic;
SIGNAL \led_flash_cnt[3621][7]~78482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3621][7]~q\ : std_logic;
SIGNAL \WideAnd3621~combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][0]~84324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3620][1]~78456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3620][1]~78457\ : std_logic;
SIGNAL \led_flash_cnt[3620][2]~78458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3620][2]~78459\ : std_logic;
SIGNAL \led_flash_cnt[3620][3]~78460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3620][3]~78461\ : std_logic;
SIGNAL \led_flash_cnt[3620][4]~78462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3620][4]~78463\ : std_logic;
SIGNAL \led_flash_cnt[3620][5]~78464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3620][5]~78465\ : std_logic;
SIGNAL \led_flash_cnt[3620][6]~78466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][6]~q\ : std_logic;
SIGNAL \WideAnd3620~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][6]~78467\ : std_logic;
SIGNAL \led_flash_cnt[3620][7]~78468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3620][7]~q\ : std_logic;
SIGNAL \WideAnd3620~0_combout\ : std_logic;
SIGNAL \WideAnd3620~combout\ : std_logic;
SIGNAL \WideAnd4292~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][0]~84327_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3623][1]~78498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3623][1]~78499\ : std_logic;
SIGNAL \led_flash_cnt[3623][2]~78500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3623][2]~78501\ : std_logic;
SIGNAL \led_flash_cnt[3623][3]~78502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3623][3]~78503\ : std_logic;
SIGNAL \led_flash_cnt[3623][4]~78504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3623][4]~78505\ : std_logic;
SIGNAL \led_flash_cnt[3623][5]~78506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3623][5]~78507\ : std_logic;
SIGNAL \led_flash_cnt[3623][6]~78508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3623][6]~78509\ : std_logic;
SIGNAL \led_flash_cnt[3623][7]~78510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3623][7]~q\ : std_logic;
SIGNAL \WideAnd3623~0_combout\ : std_logic;
SIGNAL \WideAnd3623~1_combout\ : std_logic;
SIGNAL \WideAnd3623~combout\ : std_logic;
SIGNAL \WideAnd4292~combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][0]~84335_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3631][1]~78610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3631][1]~78611\ : std_logic;
SIGNAL \led_flash_cnt[3631][2]~78612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3631][2]~78613\ : std_logic;
SIGNAL \led_flash_cnt[3631][3]~78614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3631][3]~78615\ : std_logic;
SIGNAL \led_flash_cnt[3631][4]~78616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][4]~q\ : std_logic;
SIGNAL \WideAnd3631~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][4]~78617\ : std_logic;
SIGNAL \led_flash_cnt[3631][5]~78618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3631][5]~78619\ : std_logic;
SIGNAL \led_flash_cnt[3631][6]~78620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3631][6]~78621\ : std_logic;
SIGNAL \led_flash_cnt[3631][7]~78622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3631][7]~q\ : std_logic;
SIGNAL \WideAnd3631~1_combout\ : std_logic;
SIGNAL \WideAnd3631~combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][0]~84334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3630][1]~78596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3630][1]~78597\ : std_logic;
SIGNAL \led_flash_cnt[3630][2]~78598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3630][2]~78599\ : std_logic;
SIGNAL \led_flash_cnt[3630][3]~78600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3630][3]~78601\ : std_logic;
SIGNAL \led_flash_cnt[3630][4]~78602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3630][4]~78603\ : std_logic;
SIGNAL \led_flash_cnt[3630][5]~78604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3630][5]~78605\ : std_logic;
SIGNAL \led_flash_cnt[3630][6]~78606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3630][6]~78607\ : std_logic;
SIGNAL \led_flash_cnt[3630][7]~78608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3630][7]~q\ : std_logic;
SIGNAL \WideAnd3630~1_combout\ : std_logic;
SIGNAL \WideAnd3630~0_combout\ : std_logic;
SIGNAL \WideAnd3630~combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][0]~84333_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3629][1]~78582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3629][1]~78583\ : std_logic;
SIGNAL \led_flash_cnt[3629][2]~78584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3629][2]~78585\ : std_logic;
SIGNAL \led_flash_cnt[3629][3]~78586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3629][3]~78587\ : std_logic;
SIGNAL \led_flash_cnt[3629][4]~78588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3629][4]~78589\ : std_logic;
SIGNAL \led_flash_cnt[3629][5]~78590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3629][5]~78591\ : std_logic;
SIGNAL \led_flash_cnt[3629][6]~78592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][6]~q\ : std_logic;
SIGNAL \WideAnd3629~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][6]~78593\ : std_logic;
SIGNAL \led_flash_cnt[3629][7]~78594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3629][7]~q\ : std_logic;
SIGNAL \WideAnd3629~0_combout\ : std_logic;
SIGNAL \WideAnd3629~combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][0]~84332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3628][1]~78568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3628][1]~78569\ : std_logic;
SIGNAL \led_flash_cnt[3628][2]~78570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3628][2]~78571\ : std_logic;
SIGNAL \led_flash_cnt[3628][3]~78572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3628][3]~78573\ : std_logic;
SIGNAL \led_flash_cnt[3628][4]~78574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3628][4]~78575\ : std_logic;
SIGNAL \led_flash_cnt[3628][5]~78576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3628][5]~78577\ : std_logic;
SIGNAL \led_flash_cnt[3628][6]~78578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][6]~q\ : std_logic;
SIGNAL \WideAnd3628~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][6]~78579\ : std_logic;
SIGNAL \led_flash_cnt[3628][7]~78580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3628][7]~q\ : std_logic;
SIGNAL \WideAnd3628~0_combout\ : std_logic;
SIGNAL \WideAnd3628~combout\ : std_logic;
SIGNAL \WideAnd4293~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][0]~84329_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3625][1]~78526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3625][1]~78527\ : std_logic;
SIGNAL \led_flash_cnt[3625][2]~78528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3625][2]~78529\ : std_logic;
SIGNAL \led_flash_cnt[3625][3]~78530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3625][3]~78531\ : std_logic;
SIGNAL \led_flash_cnt[3625][4]~78532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][4]~q\ : std_logic;
SIGNAL \WideAnd3625~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][4]~78533\ : std_logic;
SIGNAL \led_flash_cnt[3625][5]~78534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3625][5]~78535\ : std_logic;
SIGNAL \led_flash_cnt[3625][6]~78536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][6]~q\ : std_logic;
SIGNAL \WideAnd3625~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][6]~78537\ : std_logic;
SIGNAL \led_flash_cnt[3625][7]~78538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3625][7]~q\ : std_logic;
SIGNAL \WideAnd3625~combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][0]~84330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3626][1]~78540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3626][1]~78541\ : std_logic;
SIGNAL \led_flash_cnt[3626][2]~78542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3626][2]~78543\ : std_logic;
SIGNAL \led_flash_cnt[3626][3]~78544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3626][3]~78545\ : std_logic;
SIGNAL \led_flash_cnt[3626][4]~78546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3626][4]~78547\ : std_logic;
SIGNAL \led_flash_cnt[3626][5]~78548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3626][5]~78549\ : std_logic;
SIGNAL \led_flash_cnt[3626][6]~78550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][6]~q\ : std_logic;
SIGNAL \WideAnd3626~1_combout\ : std_logic;
SIGNAL \WideAnd3626~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][6]~78551\ : std_logic;
SIGNAL \led_flash_cnt[3626][7]~78552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3626][7]~q\ : std_logic;
SIGNAL \WideAnd3626~combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][0]~84328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3624][1]~78512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3624][1]~78513\ : std_logic;
SIGNAL \led_flash_cnt[3624][2]~78514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3624][2]~78515\ : std_logic;
SIGNAL \led_flash_cnt[3624][3]~78516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3624][3]~78517\ : std_logic;
SIGNAL \led_flash_cnt[3624][4]~78518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3624][4]~78519\ : std_logic;
SIGNAL \led_flash_cnt[3624][5]~78520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3624][5]~78521\ : std_logic;
SIGNAL \led_flash_cnt[3624][6]~78522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][6]~q\ : std_logic;
SIGNAL \WideAnd3624~1_combout\ : std_logic;
SIGNAL \WideAnd3624~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][6]~78523\ : std_logic;
SIGNAL \led_flash_cnt[3624][7]~78524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3624][7]~q\ : std_logic;
SIGNAL \WideAnd3624~combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][0]~84331_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3627][1]~78554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3627][1]~78555\ : std_logic;
SIGNAL \led_flash_cnt[3627][2]~78556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3627][2]~78557\ : std_logic;
SIGNAL \led_flash_cnt[3627][3]~78558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3627][3]~78559\ : std_logic;
SIGNAL \led_flash_cnt[3627][4]~78560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3627][4]~78561\ : std_logic;
SIGNAL \led_flash_cnt[3627][5]~78562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3627][5]~78563\ : std_logic;
SIGNAL \led_flash_cnt[3627][6]~78564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][6]~q\ : std_logic;
SIGNAL \WideAnd3627~1_combout\ : std_logic;
SIGNAL \WideAnd3627~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][6]~78565\ : std_logic;
SIGNAL \led_flash_cnt[3627][7]~78566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3627][7]~q\ : std_logic;
SIGNAL \WideAnd3627~combout\ : std_logic;
SIGNAL \WideAnd4293~0_combout\ : std_logic;
SIGNAL \WideAnd4293~combout\ : std_logic;
SIGNAL \WideAnd4376~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][0]~84343_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3639][1]~78722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3639][1]~78723\ : std_logic;
SIGNAL \led_flash_cnt[3639][2]~78724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3639][2]~78725\ : std_logic;
SIGNAL \led_flash_cnt[3639][3]~78726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3639][3]~78727\ : std_logic;
SIGNAL \led_flash_cnt[3639][4]~78728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][4]~q\ : std_logic;
SIGNAL \WideAnd3639~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][4]~78729\ : std_logic;
SIGNAL \led_flash_cnt[3639][5]~78730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3639][5]~78731\ : std_logic;
SIGNAL \led_flash_cnt[3639][6]~78732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3639][6]~78733\ : std_logic;
SIGNAL \led_flash_cnt[3639][7]~78734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3639][7]~q\ : std_logic;
SIGNAL \WideAnd3639~1_combout\ : std_logic;
SIGNAL \WideAnd3639~combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][0]~84342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3638][1]~78708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3638][1]~78709\ : std_logic;
SIGNAL \led_flash_cnt[3638][2]~78710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3638][2]~78711\ : std_logic;
SIGNAL \led_flash_cnt[3638][3]~78712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3638][3]~78713\ : std_logic;
SIGNAL \led_flash_cnt[3638][4]~78714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][4]~q\ : std_logic;
SIGNAL \WideAnd3638~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][4]~78715\ : std_logic;
SIGNAL \led_flash_cnt[3638][5]~78716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3638][5]~78717\ : std_logic;
SIGNAL \led_flash_cnt[3638][6]~78718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3638][6]~78719\ : std_logic;
SIGNAL \led_flash_cnt[3638][7]~78720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3638][7]~q\ : std_logic;
SIGNAL \WideAnd3638~1_combout\ : std_logic;
SIGNAL \WideAnd3638~combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][0]~84341_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3637][1]~78694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3637][1]~78695\ : std_logic;
SIGNAL \led_flash_cnt[3637][2]~78696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3637][2]~78697\ : std_logic;
SIGNAL \led_flash_cnt[3637][3]~78698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3637][3]~78699\ : std_logic;
SIGNAL \led_flash_cnt[3637][4]~78700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3637][4]~78701\ : std_logic;
SIGNAL \led_flash_cnt[3637][5]~78702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3637][5]~78703\ : std_logic;
SIGNAL \led_flash_cnt[3637][6]~78704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][6]~q\ : std_logic;
SIGNAL \WideAnd3637~1_combout\ : std_logic;
SIGNAL \WideAnd3637~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][6]~78705\ : std_logic;
SIGNAL \led_flash_cnt[3637][7]~78706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3637][7]~q\ : std_logic;
SIGNAL \WideAnd3637~combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][0]~84340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3636][1]~78680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3636][1]~78681\ : std_logic;
SIGNAL \led_flash_cnt[3636][2]~78682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3636][2]~78683\ : std_logic;
SIGNAL \led_flash_cnt[3636][3]~78684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3636][3]~78685\ : std_logic;
SIGNAL \led_flash_cnt[3636][4]~78686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3636][4]~78687\ : std_logic;
SIGNAL \led_flash_cnt[3636][5]~78688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3636][5]~78689\ : std_logic;
SIGNAL \led_flash_cnt[3636][6]~78690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3636][6]~78691\ : std_logic;
SIGNAL \led_flash_cnt[3636][7]~78692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3636][7]~q\ : std_logic;
SIGNAL \WideAnd3636~1_combout\ : std_logic;
SIGNAL \WideAnd3636~0_combout\ : std_logic;
SIGNAL \WideAnd3636~combout\ : std_logic;
SIGNAL \WideAnd4294~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][0]~84338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3634][1]~78652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3634][1]~78653\ : std_logic;
SIGNAL \led_flash_cnt[3634][2]~78654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3634][2]~78655\ : std_logic;
SIGNAL \led_flash_cnt[3634][3]~78656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3634][3]~78657\ : std_logic;
SIGNAL \led_flash_cnt[3634][4]~78658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][4]~q\ : std_logic;
SIGNAL \WideAnd3634~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][4]~78659\ : std_logic;
SIGNAL \led_flash_cnt[3634][5]~78660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3634][5]~78661\ : std_logic;
SIGNAL \led_flash_cnt[3634][6]~78662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3634][6]~78663\ : std_logic;
SIGNAL \led_flash_cnt[3634][7]~78664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3634][7]~q\ : std_logic;
SIGNAL \WideAnd3634~1_combout\ : std_logic;
SIGNAL \WideAnd3634~combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][0]~84336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3632][1]~78624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3632][1]~78625\ : std_logic;
SIGNAL \led_flash_cnt[3632][2]~78626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3632][2]~78627\ : std_logic;
SIGNAL \led_flash_cnt[3632][3]~78628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3632][3]~78629\ : std_logic;
SIGNAL \led_flash_cnt[3632][4]~78630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3632][4]~78631\ : std_logic;
SIGNAL \led_flash_cnt[3632][5]~78632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3632][5]~78633\ : std_logic;
SIGNAL \led_flash_cnt[3632][6]~78634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][6]~q\ : std_logic;
SIGNAL \WideAnd3632~1_combout\ : std_logic;
SIGNAL \WideAnd3632~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][6]~78635\ : std_logic;
SIGNAL \led_flash_cnt[3632][7]~78636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3632][7]~q\ : std_logic;
SIGNAL \WideAnd3632~combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][0]~84339_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3635][1]~78666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3635][1]~78667\ : std_logic;
SIGNAL \led_flash_cnt[3635][2]~78668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3635][2]~78669\ : std_logic;
SIGNAL \led_flash_cnt[3635][3]~78670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3635][3]~78671\ : std_logic;
SIGNAL \led_flash_cnt[3635][4]~78672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][4]~q\ : std_logic;
SIGNAL \WideAnd3635~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][4]~78673\ : std_logic;
SIGNAL \led_flash_cnt[3635][5]~78674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3635][5]~78675\ : std_logic;
SIGNAL \led_flash_cnt[3635][6]~78676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][6]~q\ : std_logic;
SIGNAL \WideAnd3635~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][6]~78677\ : std_logic;
SIGNAL \led_flash_cnt[3635][7]~78678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3635][7]~q\ : std_logic;
SIGNAL \WideAnd3635~combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][0]~84337_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3633][1]~78638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3633][1]~78639\ : std_logic;
SIGNAL \led_flash_cnt[3633][2]~78640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3633][2]~78641\ : std_logic;
SIGNAL \led_flash_cnt[3633][3]~78642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3633][3]~78643\ : std_logic;
SIGNAL \led_flash_cnt[3633][4]~78644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3633][4]~78645\ : std_logic;
SIGNAL \led_flash_cnt[3633][5]~78646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3633][5]~78647\ : std_logic;
SIGNAL \led_flash_cnt[3633][6]~78648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][6]~q\ : std_logic;
SIGNAL \WideAnd3633~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][6]~78649\ : std_logic;
SIGNAL \led_flash_cnt[3633][7]~78650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3633][7]~q\ : std_logic;
SIGNAL \WideAnd3633~0_combout\ : std_logic;
SIGNAL \WideAnd3633~combout\ : std_logic;
SIGNAL \WideAnd4294~0_combout\ : std_logic;
SIGNAL \WideAnd4294~combout\ : std_logic;
SIGNAL \WideAnd4376~combout\ : std_logic;
SIGNAL \WideAnd4380~17_combout\ : std_logic;
SIGNAL \WideAnd4380~18_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][0]~83519_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2879][1]~67186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2879][1]~67187\ : std_logic;
SIGNAL \led_flash_cnt[2879][2]~67188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2879][2]~67189\ : std_logic;
SIGNAL \led_flash_cnt[2879][3]~67190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2879][3]~67191\ : std_logic;
SIGNAL \led_flash_cnt[2879][4]~67192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2879][4]~67193\ : std_logic;
SIGNAL \led_flash_cnt[2879][5]~67194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2879][5]~67195\ : std_logic;
SIGNAL \led_flash_cnt[2879][6]~67196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][6]~q\ : std_logic;
SIGNAL \WideAnd2879~1_combout\ : std_logic;
SIGNAL \WideAnd2879~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][6]~67197\ : std_logic;
SIGNAL \led_flash_cnt[2879][7]~67198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2879][7]~q\ : std_logic;
SIGNAL \WideAnd2879~combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][0]~83518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2878][1]~67172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2878][1]~67173\ : std_logic;
SIGNAL \led_flash_cnt[2878][2]~67174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2878][2]~67175\ : std_logic;
SIGNAL \led_flash_cnt[2878][3]~67176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2878][3]~67177\ : std_logic;
SIGNAL \led_flash_cnt[2878][4]~67178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][4]~q\ : std_logic;
SIGNAL \WideAnd2878~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][4]~67179\ : std_logic;
SIGNAL \led_flash_cnt[2878][5]~67180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2878][5]~67181\ : std_logic;
SIGNAL \led_flash_cnt[2878][6]~67182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2878][6]~67183\ : std_logic;
SIGNAL \led_flash_cnt[2878][7]~67184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2878][7]~q\ : std_logic;
SIGNAL \WideAnd2878~1_combout\ : std_logic;
SIGNAL \WideAnd2878~combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][0]~83517_combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2877][1]~67158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2877][1]~67159\ : std_logic;
SIGNAL \led_flash_cnt[2877][2]~67160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2877][2]~67161\ : std_logic;
SIGNAL \led_flash_cnt[2877][3]~67162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2877][3]~67163\ : std_logic;
SIGNAL \led_flash_cnt[2877][4]~67164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2877][4]~67165\ : std_logic;
SIGNAL \led_flash_cnt[2877][5]~67166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2877][5]~67167\ : std_logic;
SIGNAL \led_flash_cnt[2877][6]~67168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2877][6]~67169\ : std_logic;
SIGNAL \led_flash_cnt[2877][7]~67170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2877][7]~q\ : std_logic;
SIGNAL \WideAnd2877~1_combout\ : std_logic;
SIGNAL \WideAnd2877~0_combout\ : std_logic;
SIGNAL \WideAnd2877~combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][0]~83516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2876][1]~67144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2876][1]~67145\ : std_logic;
SIGNAL \led_flash_cnt[2876][2]~67146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2876][2]~67147\ : std_logic;
SIGNAL \led_flash_cnt[2876][3]~67148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2876][3]~67149\ : std_logic;
SIGNAL \led_flash_cnt[2876][4]~67150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2876][4]~67151\ : std_logic;
SIGNAL \led_flash_cnt[2876][5]~67152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2876][5]~67153\ : std_logic;
SIGNAL \led_flash_cnt[2876][6]~67154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2876][6]~67155\ : std_logic;
SIGNAL \led_flash_cnt[2876][7]~67156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2876][7]~q\ : std_logic;
SIGNAL \WideAnd2876~1_combout\ : std_logic;
SIGNAL \WideAnd2876~0_combout\ : std_logic;
SIGNAL \WideAnd2876~combout\ : std_logic;
SIGNAL \WideAnd4199~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][0]~83513_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2873][1]~67102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2873][1]~67103\ : std_logic;
SIGNAL \led_flash_cnt[2873][2]~67104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2873][2]~67105\ : std_logic;
SIGNAL \led_flash_cnt[2873][3]~67106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2873][3]~67107\ : std_logic;
SIGNAL \led_flash_cnt[2873][4]~67108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2873][4]~67109\ : std_logic;
SIGNAL \led_flash_cnt[2873][5]~67110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2873][5]~67111\ : std_logic;
SIGNAL \led_flash_cnt[2873][6]~67112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2873][6]~67113\ : std_logic;
SIGNAL \led_flash_cnt[2873][7]~67114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2873][7]~q\ : std_logic;
SIGNAL \WideAnd2873~0_combout\ : std_logic;
SIGNAL \WideAnd2873~1_combout\ : std_logic;
SIGNAL \WideAnd2873~combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][0]~83514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2874][1]~67116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2874][1]~67117\ : std_logic;
SIGNAL \led_flash_cnt[2874][2]~67118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2874][2]~67119\ : std_logic;
SIGNAL \led_flash_cnt[2874][3]~67120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2874][3]~67121\ : std_logic;
SIGNAL \led_flash_cnt[2874][4]~67122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2874][4]~67123\ : std_logic;
SIGNAL \led_flash_cnt[2874][5]~67124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2874][5]~67125\ : std_logic;
SIGNAL \led_flash_cnt[2874][6]~67126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][6]~q\ : std_logic;
SIGNAL \WideAnd2874~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][6]~67127\ : std_logic;
SIGNAL \led_flash_cnt[2874][7]~67128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2874][7]~q\ : std_logic;
SIGNAL \WideAnd2874~0_combout\ : std_logic;
SIGNAL \WideAnd2874~combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][0]~83515_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2875][1]~67130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2875][1]~67131\ : std_logic;
SIGNAL \led_flash_cnt[2875][2]~67132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2875][2]~67133\ : std_logic;
SIGNAL \led_flash_cnt[2875][3]~67134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2875][3]~67135\ : std_logic;
SIGNAL \led_flash_cnt[2875][4]~67136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2875][4]~67137\ : std_logic;
SIGNAL \led_flash_cnt[2875][5]~67138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2875][5]~67139\ : std_logic;
SIGNAL \led_flash_cnt[2875][6]~67140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][6]~q\ : std_logic;
SIGNAL \WideAnd2875~1_combout\ : std_logic;
SIGNAL \WideAnd2875~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][6]~67141\ : std_logic;
SIGNAL \led_flash_cnt[2875][7]~67142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2875][7]~q\ : std_logic;
SIGNAL \WideAnd2875~combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][0]~83512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2872][1]~67088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2872][1]~67089\ : std_logic;
SIGNAL \led_flash_cnt[2872][2]~67090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2872][2]~67091\ : std_logic;
SIGNAL \led_flash_cnt[2872][3]~67092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2872][3]~67093\ : std_logic;
SIGNAL \led_flash_cnt[2872][4]~67094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][4]~q\ : std_logic;
SIGNAL \WideAnd2872~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][4]~67095\ : std_logic;
SIGNAL \led_flash_cnt[2872][5]~67096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2872][5]~67097\ : std_logic;
SIGNAL \led_flash_cnt[2872][6]~67098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2872][6]~67099\ : std_logic;
SIGNAL \led_flash_cnt[2872][7]~67100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2872][7]~q\ : std_logic;
SIGNAL \WideAnd2872~1_combout\ : std_logic;
SIGNAL \WideAnd2872~combout\ : std_logic;
SIGNAL \WideAnd4199~0_combout\ : std_logic;
SIGNAL \WideAnd4199~combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][0]~83508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2868][1]~67032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2868][1]~67033\ : std_logic;
SIGNAL \led_flash_cnt[2868][2]~67034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2868][2]~67035\ : std_logic;
SIGNAL \led_flash_cnt[2868][3]~67036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2868][3]~67037\ : std_logic;
SIGNAL \led_flash_cnt[2868][4]~67038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2868][4]~67039\ : std_logic;
SIGNAL \led_flash_cnt[2868][5]~67040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2868][5]~67041\ : std_logic;
SIGNAL \led_flash_cnt[2868][6]~67042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][6]~q\ : std_logic;
SIGNAL \WideAnd2868~1_combout\ : std_logic;
SIGNAL \WideAnd2868~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][6]~67043\ : std_logic;
SIGNAL \led_flash_cnt[2868][7]~67044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2868][7]~q\ : std_logic;
SIGNAL \WideAnd2868~combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][0]~83509_combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2869][1]~67046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2869][1]~67047\ : std_logic;
SIGNAL \led_flash_cnt[2869][2]~67048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2869][2]~67049\ : std_logic;
SIGNAL \led_flash_cnt[2869][3]~67050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2869][3]~67051\ : std_logic;
SIGNAL \led_flash_cnt[2869][4]~67052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2869][4]~67053\ : std_logic;
SIGNAL \led_flash_cnt[2869][5]~67054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2869][5]~67055\ : std_logic;
SIGNAL \led_flash_cnt[2869][6]~67056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2869][6]~67057\ : std_logic;
SIGNAL \led_flash_cnt[2869][7]~67058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2869][7]~q\ : std_logic;
SIGNAL \WideAnd2869~1_combout\ : std_logic;
SIGNAL \WideAnd2869~0_combout\ : std_logic;
SIGNAL \WideAnd2869~combout\ : std_logic;
SIGNAL \WideAnd4198~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][0]~83511_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2871][1]~67074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2871][1]~67075\ : std_logic;
SIGNAL \led_flash_cnt[2871][2]~67076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2871][2]~67077\ : std_logic;
SIGNAL \led_flash_cnt[2871][3]~67078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2871][3]~67079\ : std_logic;
SIGNAL \led_flash_cnt[2871][4]~67080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][4]~q\ : std_logic;
SIGNAL \WideAnd2871~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][4]~67081\ : std_logic;
SIGNAL \led_flash_cnt[2871][5]~67082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2871][5]~67083\ : std_logic;
SIGNAL \led_flash_cnt[2871][6]~67084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2871][6]~67085\ : std_logic;
SIGNAL \led_flash_cnt[2871][7]~67086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2871][7]~q\ : std_logic;
SIGNAL \WideAnd2871~1_combout\ : std_logic;
SIGNAL \WideAnd2871~combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][0]~83510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2870][1]~67060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2870][1]~67061\ : std_logic;
SIGNAL \led_flash_cnt[2870][2]~67062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2870][2]~67063\ : std_logic;
SIGNAL \led_flash_cnt[2870][3]~67064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2870][3]~67065\ : std_logic;
SIGNAL \led_flash_cnt[2870][4]~67066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][4]~q\ : std_logic;
SIGNAL \WideAnd2870~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][4]~67067\ : std_logic;
SIGNAL \led_flash_cnt[2870][5]~67068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2870][5]~67069\ : std_logic;
SIGNAL \led_flash_cnt[2870][6]~67070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][6]~q\ : std_logic;
SIGNAL \WideAnd2870~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][6]~67071\ : std_logic;
SIGNAL \led_flash_cnt[2870][7]~67072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2870][7]~q\ : std_logic;
SIGNAL \WideAnd2870~combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][0]~83504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2864][1]~66976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2864][1]~66977\ : std_logic;
SIGNAL \led_flash_cnt[2864][2]~66978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2864][2]~66979\ : std_logic;
SIGNAL \led_flash_cnt[2864][3]~66980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2864][3]~66981\ : std_logic;
SIGNAL \led_flash_cnt[2864][4]~66982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][4]~q\ : std_logic;
SIGNAL \WideAnd2864~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][4]~66983\ : std_logic;
SIGNAL \led_flash_cnt[2864][5]~66984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2864][5]~66985\ : std_logic;
SIGNAL \led_flash_cnt[2864][6]~66986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2864][6]~66987\ : std_logic;
SIGNAL \led_flash_cnt[2864][7]~66988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2864][7]~q\ : std_logic;
SIGNAL \WideAnd2864~1_combout\ : std_logic;
SIGNAL \WideAnd2864~combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][0]~83505_combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2865][1]~66990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2865][1]~66991\ : std_logic;
SIGNAL \led_flash_cnt[2865][2]~66992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2865][2]~66993\ : std_logic;
SIGNAL \led_flash_cnt[2865][3]~66994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2865][3]~66995\ : std_logic;
SIGNAL \led_flash_cnt[2865][4]~66996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2865][4]~66997\ : std_logic;
SIGNAL \led_flash_cnt[2865][5]~66998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2865][5]~66999\ : std_logic;
SIGNAL \led_flash_cnt[2865][6]~67000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2865][6]~67001\ : std_logic;
SIGNAL \led_flash_cnt[2865][7]~67002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2865][7]~q\ : std_logic;
SIGNAL \WideAnd2865~0_combout\ : std_logic;
SIGNAL \WideAnd2865~1_combout\ : std_logic;
SIGNAL \WideAnd2865~combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][0]~83506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2866][1]~67004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2866][1]~67005\ : std_logic;
SIGNAL \led_flash_cnt[2866][2]~67006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2866][2]~67007\ : std_logic;
SIGNAL \led_flash_cnt[2866][3]~67008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2866][3]~67009\ : std_logic;
SIGNAL \led_flash_cnt[2866][4]~67010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2866][4]~67011\ : std_logic;
SIGNAL \led_flash_cnt[2866][5]~67012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2866][5]~67013\ : std_logic;
SIGNAL \led_flash_cnt[2866][6]~67014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][6]~q\ : std_logic;
SIGNAL \WideAnd2866~1_combout\ : std_logic;
SIGNAL \WideAnd2866~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][6]~67015\ : std_logic;
SIGNAL \led_flash_cnt[2866][7]~67016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2866][7]~q\ : std_logic;
SIGNAL \WideAnd2866~combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][0]~83507_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2867][1]~67018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2867][1]~67019\ : std_logic;
SIGNAL \led_flash_cnt[2867][2]~67020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2867][2]~67021\ : std_logic;
SIGNAL \led_flash_cnt[2867][3]~67022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2867][3]~67023\ : std_logic;
SIGNAL \led_flash_cnt[2867][4]~67024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][4]~q\ : std_logic;
SIGNAL \WideAnd2867~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][4]~67025\ : std_logic;
SIGNAL \led_flash_cnt[2867][5]~67026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2867][5]~67027\ : std_logic;
SIGNAL \led_flash_cnt[2867][6]~67028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][6]~q\ : std_logic;
SIGNAL \WideAnd2867~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][6]~67029\ : std_logic;
SIGNAL \led_flash_cnt[2867][7]~67030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2867][7]~q\ : std_logic;
SIGNAL \WideAnd2867~combout\ : std_logic;
SIGNAL \WideAnd4198~0_combout\ : std_logic;
SIGNAL \WideAnd4198~combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][0]~83483_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2843][1]~66682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2843][1]~66683\ : std_logic;
SIGNAL \led_flash_cnt[2843][2]~66684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2843][2]~66685\ : std_logic;
SIGNAL \led_flash_cnt[2843][3]~66686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2843][3]~66687\ : std_logic;
SIGNAL \led_flash_cnt[2843][4]~66688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][4]~q\ : std_logic;
SIGNAL \WideAnd2843~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][4]~66689\ : std_logic;
SIGNAL \led_flash_cnt[2843][5]~66690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2843][5]~66691\ : std_logic;
SIGNAL \led_flash_cnt[2843][6]~66692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2843][6]~66693\ : std_logic;
SIGNAL \led_flash_cnt[2843][7]~66694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2843][7]~q\ : std_logic;
SIGNAL \WideAnd2843~1_combout\ : std_logic;
SIGNAL \WideAnd2843~combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][0]~83481_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2841][1]~66654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2841][1]~66655\ : std_logic;
SIGNAL \led_flash_cnt[2841][2]~66656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2841][2]~66657\ : std_logic;
SIGNAL \led_flash_cnt[2841][3]~66658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2841][3]~66659\ : std_logic;
SIGNAL \led_flash_cnt[2841][4]~66660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][4]~q\ : std_logic;
SIGNAL \WideAnd2841~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][4]~66661\ : std_logic;
SIGNAL \led_flash_cnt[2841][5]~66662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2841][5]~66663\ : std_logic;
SIGNAL \led_flash_cnt[2841][6]~66664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][6]~q\ : std_logic;
SIGNAL \WideAnd2841~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][6]~66665\ : std_logic;
SIGNAL \led_flash_cnt[2841][7]~66666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2841][7]~q\ : std_logic;
SIGNAL \WideAnd2841~combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][0]~83482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2842][1]~66668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2842][1]~66669\ : std_logic;
SIGNAL \led_flash_cnt[2842][2]~66670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2842][2]~66671\ : std_logic;
SIGNAL \led_flash_cnt[2842][3]~66672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2842][3]~66673\ : std_logic;
SIGNAL \led_flash_cnt[2842][4]~66674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][4]~q\ : std_logic;
SIGNAL \WideAnd2842~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][4]~66675\ : std_logic;
SIGNAL \led_flash_cnt[2842][5]~66676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2842][5]~66677\ : std_logic;
SIGNAL \led_flash_cnt[2842][6]~66678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2842][6]~66679\ : std_logic;
SIGNAL \led_flash_cnt[2842][7]~66680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2842][7]~q\ : std_logic;
SIGNAL \WideAnd2842~1_combout\ : std_logic;
SIGNAL \WideAnd2842~combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][0]~83480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2840][1]~66640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2840][1]~66641\ : std_logic;
SIGNAL \led_flash_cnt[2840][2]~66642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2840][2]~66643\ : std_logic;
SIGNAL \led_flash_cnt[2840][3]~66644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2840][3]~66645\ : std_logic;
SIGNAL \led_flash_cnt[2840][4]~66646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2840][4]~66647\ : std_logic;
SIGNAL \led_flash_cnt[2840][5]~66648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2840][5]~66649\ : std_logic;
SIGNAL \led_flash_cnt[2840][6]~66650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][6]~q\ : std_logic;
SIGNAL \WideAnd2840~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][6]~66651\ : std_logic;
SIGNAL \led_flash_cnt[2840][7]~66652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2840][7]~q\ : std_logic;
SIGNAL \WideAnd2840~0_combout\ : std_logic;
SIGNAL \WideAnd2840~combout\ : std_logic;
SIGNAL \WideAnd4195~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][0]~83484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2844][1]~66696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2844][1]~66697\ : std_logic;
SIGNAL \led_flash_cnt[2844][2]~66698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2844][2]~66699\ : std_logic;
SIGNAL \led_flash_cnt[2844][3]~66700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2844][3]~66701\ : std_logic;
SIGNAL \led_flash_cnt[2844][4]~66702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2844][4]~66703\ : std_logic;
SIGNAL \led_flash_cnt[2844][5]~66704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2844][5]~66705\ : std_logic;
SIGNAL \led_flash_cnt[2844][6]~66706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][6]~q\ : std_logic;
SIGNAL \WideAnd2844~1_combout\ : std_logic;
SIGNAL \WideAnd2844~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][6]~66707\ : std_logic;
SIGNAL \led_flash_cnt[2844][7]~66708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2844][7]~q\ : std_logic;
SIGNAL \WideAnd2844~combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][0]~83485_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2845][1]~66710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2845][1]~66711\ : std_logic;
SIGNAL \led_flash_cnt[2845][2]~66712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2845][2]~66713\ : std_logic;
SIGNAL \led_flash_cnt[2845][3]~66714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2845][3]~66715\ : std_logic;
SIGNAL \led_flash_cnt[2845][4]~66716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][4]~q\ : std_logic;
SIGNAL \WideAnd2845~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][4]~66717\ : std_logic;
SIGNAL \led_flash_cnt[2845][5]~66718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2845][5]~66719\ : std_logic;
SIGNAL \led_flash_cnt[2845][6]~66720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2845][6]~66721\ : std_logic;
SIGNAL \led_flash_cnt[2845][7]~66722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2845][7]~q\ : std_logic;
SIGNAL \WideAnd2845~1_combout\ : std_logic;
SIGNAL \WideAnd2845~combout\ : std_logic;
SIGNAL \WideAnd4195~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][0]~83486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2846][1]~66724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2846][1]~66725\ : std_logic;
SIGNAL \led_flash_cnt[2846][2]~66726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2846][2]~66727\ : std_logic;
SIGNAL \led_flash_cnt[2846][3]~66728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2846][3]~66729\ : std_logic;
SIGNAL \led_flash_cnt[2846][4]~66730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2846][4]~66731\ : std_logic;
SIGNAL \led_flash_cnt[2846][5]~66732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2846][5]~66733\ : std_logic;
SIGNAL \led_flash_cnt[2846][6]~66734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][6]~q\ : std_logic;
SIGNAL \WideAnd2846~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][6]~66735\ : std_logic;
SIGNAL \led_flash_cnt[2846][7]~66736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2846][7]~q\ : std_logic;
SIGNAL \WideAnd2846~0_combout\ : std_logic;
SIGNAL \WideAnd2846~combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][0]~83487_combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2847][1]~66738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2847][1]~66739\ : std_logic;
SIGNAL \led_flash_cnt[2847][2]~66740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2847][2]~66741\ : std_logic;
SIGNAL \led_flash_cnt[2847][3]~66742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2847][3]~66743\ : std_logic;
SIGNAL \led_flash_cnt[2847][4]~66744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2847][4]~66745\ : std_logic;
SIGNAL \led_flash_cnt[2847][5]~66746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2847][5]~66747\ : std_logic;
SIGNAL \led_flash_cnt[2847][6]~66748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2847][6]~66749\ : std_logic;
SIGNAL \led_flash_cnt[2847][7]~66750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2847][7]~q\ : std_logic;
SIGNAL \WideAnd2847~0_combout\ : std_logic;
SIGNAL \WideAnd2847~1_combout\ : std_logic;
SIGNAL \WideAnd2847~combout\ : std_logic;
SIGNAL \WideAnd4195~combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][0]~83468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2828][1]~66472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2828][1]~66473\ : std_logic;
SIGNAL \led_flash_cnt[2828][2]~66474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2828][2]~66475\ : std_logic;
SIGNAL \led_flash_cnt[2828][3]~66476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2828][3]~66477\ : std_logic;
SIGNAL \led_flash_cnt[2828][4]~66478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2828][4]~66479\ : std_logic;
SIGNAL \led_flash_cnt[2828][5]~66480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2828][5]~66481\ : std_logic;
SIGNAL \led_flash_cnt[2828][6]~66482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2828][6]~66483\ : std_logic;
SIGNAL \led_flash_cnt[2828][7]~66484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2828][7]~q\ : std_logic;
SIGNAL \WideAnd2828~1_combout\ : std_logic;
SIGNAL \WideAnd2828~0_combout\ : std_logic;
SIGNAL \WideAnd2828~combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][0]~83469_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2829][1]~66486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2829][1]~66487\ : std_logic;
SIGNAL \led_flash_cnt[2829][2]~66488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2829][2]~66489\ : std_logic;
SIGNAL \led_flash_cnt[2829][3]~66490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2829][3]~66491\ : std_logic;
SIGNAL \led_flash_cnt[2829][4]~66492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][4]~q\ : std_logic;
SIGNAL \WideAnd2829~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][4]~66493\ : std_logic;
SIGNAL \led_flash_cnt[2829][5]~66494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2829][5]~66495\ : std_logic;
SIGNAL \led_flash_cnt[2829][6]~66496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2829][6]~66497\ : std_logic;
SIGNAL \led_flash_cnt[2829][7]~66498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2829][7]~q\ : std_logic;
SIGNAL \WideAnd2829~1_combout\ : std_logic;
SIGNAL \WideAnd2829~combout\ : std_logic;
SIGNAL \WideAnd4193~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][0]~83470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2830][1]~66500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2830][1]~66501\ : std_logic;
SIGNAL \led_flash_cnt[2830][2]~66502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2830][2]~66503\ : std_logic;
SIGNAL \led_flash_cnt[2830][3]~66504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2830][3]~66505\ : std_logic;
SIGNAL \led_flash_cnt[2830][4]~66506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2830][4]~66507\ : std_logic;
SIGNAL \led_flash_cnt[2830][5]~66508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2830][5]~66509\ : std_logic;
SIGNAL \led_flash_cnt[2830][6]~66510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][6]~q\ : std_logic;
SIGNAL \WideAnd2830~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][6]~66511\ : std_logic;
SIGNAL \led_flash_cnt[2830][7]~66512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2830][7]~q\ : std_logic;
SIGNAL \WideAnd2830~0_combout\ : std_logic;
SIGNAL \WideAnd2830~combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][0]~83465_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2825][1]~66430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2825][1]~66431\ : std_logic;
SIGNAL \led_flash_cnt[2825][2]~66432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2825][2]~66433\ : std_logic;
SIGNAL \led_flash_cnt[2825][3]~66434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2825][3]~66435\ : std_logic;
SIGNAL \led_flash_cnt[2825][4]~66436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2825][4]~66437\ : std_logic;
SIGNAL \led_flash_cnt[2825][5]~66438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2825][5]~66439\ : std_logic;
SIGNAL \led_flash_cnt[2825][6]~66440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][6]~q\ : std_logic;
SIGNAL \WideAnd2825~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][6]~66441\ : std_logic;
SIGNAL \led_flash_cnt[2825][7]~66442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2825][7]~q\ : std_logic;
SIGNAL \WideAnd2825~0_combout\ : std_logic;
SIGNAL \WideAnd2825~combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][0]~83467_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2827][1]~66458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2827][1]~66459\ : std_logic;
SIGNAL \led_flash_cnt[2827][2]~66460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2827][2]~66461\ : std_logic;
SIGNAL \led_flash_cnt[2827][3]~66462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2827][3]~66463\ : std_logic;
SIGNAL \led_flash_cnt[2827][4]~66464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][4]~q\ : std_logic;
SIGNAL \WideAnd2827~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][4]~66465\ : std_logic;
SIGNAL \led_flash_cnt[2827][5]~66466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2827][5]~66467\ : std_logic;
SIGNAL \led_flash_cnt[2827][6]~66468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2827][6]~66469\ : std_logic;
SIGNAL \led_flash_cnt[2827][7]~66470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2827][7]~q\ : std_logic;
SIGNAL \WideAnd2827~1_combout\ : std_logic;
SIGNAL \WideAnd2827~combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][0]~83464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2824][1]~66416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2824][1]~66417\ : std_logic;
SIGNAL \led_flash_cnt[2824][2]~66418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2824][2]~66419\ : std_logic;
SIGNAL \led_flash_cnt[2824][3]~66420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2824][3]~66421\ : std_logic;
SIGNAL \led_flash_cnt[2824][4]~66422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][4]~q\ : std_logic;
SIGNAL \WideAnd2824~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][4]~66423\ : std_logic;
SIGNAL \led_flash_cnt[2824][5]~66424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2824][5]~66425\ : std_logic;
SIGNAL \led_flash_cnt[2824][6]~66426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][6]~q\ : std_logic;
SIGNAL \WideAnd2824~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][6]~66427\ : std_logic;
SIGNAL \led_flash_cnt[2824][7]~66428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2824][7]~q\ : std_logic;
SIGNAL \WideAnd2824~combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][0]~83466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2826][1]~66444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2826][1]~66445\ : std_logic;
SIGNAL \led_flash_cnt[2826][2]~66446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2826][2]~66447\ : std_logic;
SIGNAL \led_flash_cnt[2826][3]~66448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2826][3]~66449\ : std_logic;
SIGNAL \led_flash_cnt[2826][4]~66450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2826][4]~66451\ : std_logic;
SIGNAL \led_flash_cnt[2826][5]~66452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2826][5]~66453\ : std_logic;
SIGNAL \led_flash_cnt[2826][6]~66454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2826][6]~66455\ : std_logic;
SIGNAL \led_flash_cnt[2826][7]~66456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2826][7]~q\ : std_logic;
SIGNAL \WideAnd2826~1_combout\ : std_logic;
SIGNAL \WideAnd2826~0_combout\ : std_logic;
SIGNAL \WideAnd2826~combout\ : std_logic;
SIGNAL \WideAnd4193~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][0]~83471_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2831][1]~66514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2831][1]~66515\ : std_logic;
SIGNAL \led_flash_cnt[2831][2]~66516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2831][2]~66517\ : std_logic;
SIGNAL \led_flash_cnt[2831][3]~66518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2831][3]~66519\ : std_logic;
SIGNAL \led_flash_cnt[2831][4]~66520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][4]~q\ : std_logic;
SIGNAL \WideAnd2831~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][4]~66521\ : std_logic;
SIGNAL \led_flash_cnt[2831][5]~66522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2831][5]~66523\ : std_logic;
SIGNAL \led_flash_cnt[2831][6]~66524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2831][6]~66525\ : std_logic;
SIGNAL \led_flash_cnt[2831][7]~66526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2831][7]~q\ : std_logic;
SIGNAL \WideAnd2831~1_combout\ : std_logic;
SIGNAL \WideAnd2831~combout\ : std_logic;
SIGNAL \WideAnd4193~combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][0]~83476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2836][1]~66584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2836][1]~66585\ : std_logic;
SIGNAL \led_flash_cnt[2836][2]~66586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2836][2]~66587\ : std_logic;
SIGNAL \led_flash_cnt[2836][3]~66588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2836][3]~66589\ : std_logic;
SIGNAL \led_flash_cnt[2836][4]~66590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2836][4]~66591\ : std_logic;
SIGNAL \led_flash_cnt[2836][5]~66592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2836][5]~66593\ : std_logic;
SIGNAL \led_flash_cnt[2836][6]~66594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2836][6]~66595\ : std_logic;
SIGNAL \led_flash_cnt[2836][7]~66596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2836][7]~q\ : std_logic;
SIGNAL \WideAnd2836~1_combout\ : std_logic;
SIGNAL \WideAnd2836~0_combout\ : std_logic;
SIGNAL \WideAnd2836~combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][0]~83477_combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2837][1]~66598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2837][1]~66599\ : std_logic;
SIGNAL \led_flash_cnt[2837][2]~66600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2837][2]~66601\ : std_logic;
SIGNAL \led_flash_cnt[2837][3]~66602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2837][3]~66603\ : std_logic;
SIGNAL \led_flash_cnt[2837][4]~66604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2837][4]~66605\ : std_logic;
SIGNAL \led_flash_cnt[2837][5]~66606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2837][5]~66607\ : std_logic;
SIGNAL \led_flash_cnt[2837][6]~66608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2837][6]~66609\ : std_logic;
SIGNAL \led_flash_cnt[2837][7]~66610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2837][7]~q\ : std_logic;
SIGNAL \WideAnd2837~1_combout\ : std_logic;
SIGNAL \WideAnd2837~0_combout\ : std_logic;
SIGNAL \WideAnd2837~combout\ : std_logic;
SIGNAL \WideAnd4194~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][0]~83479_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2839][1]~66626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2839][1]~66627\ : std_logic;
SIGNAL \led_flash_cnt[2839][2]~66628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2839][2]~66629\ : std_logic;
SIGNAL \led_flash_cnt[2839][3]~66630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2839][3]~66631\ : std_logic;
SIGNAL \led_flash_cnt[2839][4]~66632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2839][4]~66633\ : std_logic;
SIGNAL \led_flash_cnt[2839][5]~66634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2839][5]~66635\ : std_logic;
SIGNAL \led_flash_cnt[2839][6]~66636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][6]~q\ : std_logic;
SIGNAL \WideAnd2839~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][6]~66637\ : std_logic;
SIGNAL \led_flash_cnt[2839][7]~66638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2839][7]~q\ : std_logic;
SIGNAL \WideAnd2839~0_combout\ : std_logic;
SIGNAL \WideAnd2839~combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][0]~83474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2834][1]~66556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2834][1]~66557\ : std_logic;
SIGNAL \led_flash_cnt[2834][2]~66558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2834][2]~66559\ : std_logic;
SIGNAL \led_flash_cnt[2834][3]~66560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2834][3]~66561\ : std_logic;
SIGNAL \led_flash_cnt[2834][4]~66562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2834][4]~66563\ : std_logic;
SIGNAL \led_flash_cnt[2834][5]~66564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2834][5]~66565\ : std_logic;
SIGNAL \led_flash_cnt[2834][6]~66566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][6]~q\ : std_logic;
SIGNAL \WideAnd2834~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][6]~66567\ : std_logic;
SIGNAL \led_flash_cnt[2834][7]~66568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2834][7]~q\ : std_logic;
SIGNAL \WideAnd2834~0_combout\ : std_logic;
SIGNAL \WideAnd2834~combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][0]~83473_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2833][1]~66542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2833][1]~66543\ : std_logic;
SIGNAL \led_flash_cnt[2833][2]~66544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2833][2]~66545\ : std_logic;
SIGNAL \led_flash_cnt[2833][3]~66546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2833][3]~66547\ : std_logic;
SIGNAL \led_flash_cnt[2833][4]~66548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2833][4]~66549\ : std_logic;
SIGNAL \led_flash_cnt[2833][5]~66550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2833][5]~66551\ : std_logic;
SIGNAL \led_flash_cnt[2833][6]~66552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][6]~q\ : std_logic;
SIGNAL \WideAnd2833~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][6]~66553\ : std_logic;
SIGNAL \led_flash_cnt[2833][7]~66554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2833][7]~q\ : std_logic;
SIGNAL \WideAnd2833~0_combout\ : std_logic;
SIGNAL \WideAnd2833~combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][0]~83475_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2835][1]~66570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2835][1]~66571\ : std_logic;
SIGNAL \led_flash_cnt[2835][2]~66572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2835][2]~66573\ : std_logic;
SIGNAL \led_flash_cnt[2835][3]~66574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2835][3]~66575\ : std_logic;
SIGNAL \led_flash_cnt[2835][4]~66576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2835][4]~66577\ : std_logic;
SIGNAL \led_flash_cnt[2835][5]~66578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2835][5]~66579\ : std_logic;
SIGNAL \led_flash_cnt[2835][6]~66580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][6]~q\ : std_logic;
SIGNAL \WideAnd2835~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][6]~66581\ : std_logic;
SIGNAL \led_flash_cnt[2835][7]~66582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2835][7]~q\ : std_logic;
SIGNAL \WideAnd2835~0_combout\ : std_logic;
SIGNAL \WideAnd2835~combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][0]~83472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2832][1]~66528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2832][1]~66529\ : std_logic;
SIGNAL \led_flash_cnt[2832][2]~66530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2832][2]~66531\ : std_logic;
SIGNAL \led_flash_cnt[2832][3]~66532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2832][3]~66533\ : std_logic;
SIGNAL \led_flash_cnt[2832][4]~66534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2832][4]~66535\ : std_logic;
SIGNAL \led_flash_cnt[2832][5]~66536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2832][5]~66537\ : std_logic;
SIGNAL \led_flash_cnt[2832][6]~66538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][6]~q\ : std_logic;
SIGNAL \WideAnd2832~1_combout\ : std_logic;
SIGNAL \WideAnd2832~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][6]~66539\ : std_logic;
SIGNAL \led_flash_cnt[2832][7]~66540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2832][7]~q\ : std_logic;
SIGNAL \WideAnd2832~combout\ : std_logic;
SIGNAL \WideAnd4194~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][0]~83478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2838][1]~66612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2838][1]~66613\ : std_logic;
SIGNAL \led_flash_cnt[2838][2]~66614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2838][2]~66615\ : std_logic;
SIGNAL \led_flash_cnt[2838][3]~66616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2838][3]~66617\ : std_logic;
SIGNAL \led_flash_cnt[2838][4]~66618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][4]~q\ : std_logic;
SIGNAL \WideAnd2838~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][4]~66619\ : std_logic;
SIGNAL \led_flash_cnt[2838][5]~66620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2838][5]~66621\ : std_logic;
SIGNAL \led_flash_cnt[2838][6]~66622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2838][6]~66623\ : std_logic;
SIGNAL \led_flash_cnt[2838][7]~66624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2838][7]~q\ : std_logic;
SIGNAL \WideAnd2838~1_combout\ : std_logic;
SIGNAL \WideAnd2838~combout\ : std_logic;
SIGNAL \WideAnd4194~combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][0]~83462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2822][1]~66388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2822][1]~66389\ : std_logic;
SIGNAL \led_flash_cnt[2822][2]~66390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2822][2]~66391\ : std_logic;
SIGNAL \led_flash_cnt[2822][3]~66392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2822][3]~66393\ : std_logic;
SIGNAL \led_flash_cnt[2822][4]~66394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2822][4]~66395\ : std_logic;
SIGNAL \led_flash_cnt[2822][5]~66396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2822][5]~66397\ : std_logic;
SIGNAL \led_flash_cnt[2822][6]~66398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][6]~q\ : std_logic;
SIGNAL \WideAnd2822~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][6]~66399\ : std_logic;
SIGNAL \led_flash_cnt[2822][7]~66400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2822][7]~q\ : std_logic;
SIGNAL \WideAnd2822~0_combout\ : std_logic;
SIGNAL \WideAnd2822~combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][0]~83461_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2821][1]~66374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2821][1]~66375\ : std_logic;
SIGNAL \led_flash_cnt[2821][2]~66376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2821][2]~66377\ : std_logic;
SIGNAL \led_flash_cnt[2821][3]~66378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2821][3]~66379\ : std_logic;
SIGNAL \led_flash_cnt[2821][4]~66380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2821][4]~66381\ : std_logic;
SIGNAL \led_flash_cnt[2821][5]~66382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2821][5]~66383\ : std_logic;
SIGNAL \led_flash_cnt[2821][6]~66384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][6]~q\ : std_logic;
SIGNAL \WideAnd2821~1_combout\ : std_logic;
SIGNAL \WideAnd2821~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][6]~66385\ : std_logic;
SIGNAL \led_flash_cnt[2821][7]~66386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2821][7]~q\ : std_logic;
SIGNAL \WideAnd2821~combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][0]~83460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2820][1]~66360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2820][1]~66361\ : std_logic;
SIGNAL \led_flash_cnt[2820][2]~66362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2820][2]~66363\ : std_logic;
SIGNAL \led_flash_cnt[2820][3]~66364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2820][3]~66365\ : std_logic;
SIGNAL \led_flash_cnt[2820][4]~66366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2820][4]~66367\ : std_logic;
SIGNAL \led_flash_cnt[2820][5]~66368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2820][5]~66369\ : std_logic;
SIGNAL \led_flash_cnt[2820][6]~66370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2820][6]~66371\ : std_logic;
SIGNAL \led_flash_cnt[2820][7]~66372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2820][7]~q\ : std_logic;
SIGNAL \WideAnd2820~1_combout\ : std_logic;
SIGNAL \WideAnd2820~0_combout\ : std_logic;
SIGNAL \WideAnd2820~combout\ : std_logic;
SIGNAL \WideAnd4192~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][0]~83463_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2823][1]~66402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2823][1]~66403\ : std_logic;
SIGNAL \led_flash_cnt[2823][2]~66404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2823][2]~66405\ : std_logic;
SIGNAL \led_flash_cnt[2823][3]~66406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2823][3]~66407\ : std_logic;
SIGNAL \led_flash_cnt[2823][4]~66408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2823][4]~66409\ : std_logic;
SIGNAL \led_flash_cnt[2823][5]~66410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2823][5]~66411\ : std_logic;
SIGNAL \led_flash_cnt[2823][6]~66412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2823][6]~66413\ : std_logic;
SIGNAL \led_flash_cnt[2823][7]~66414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2823][7]~q\ : std_logic;
SIGNAL \WideAnd2823~0_combout\ : std_logic;
SIGNAL \WideAnd2823~1_combout\ : std_logic;
SIGNAL \WideAnd2823~combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][0]~83459_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2819][1]~66346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2819][1]~66347\ : std_logic;
SIGNAL \led_flash_cnt[2819][2]~66348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2819][2]~66349\ : std_logic;
SIGNAL \led_flash_cnt[2819][3]~66350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2819][3]~66351\ : std_logic;
SIGNAL \led_flash_cnt[2819][4]~66352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][4]~q\ : std_logic;
SIGNAL \WideAnd2819~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][4]~66353\ : std_logic;
SIGNAL \led_flash_cnt[2819][5]~66354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2819][5]~66355\ : std_logic;
SIGNAL \led_flash_cnt[2819][6]~66356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][6]~q\ : std_logic;
SIGNAL \WideAnd2819~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][6]~66357\ : std_logic;
SIGNAL \led_flash_cnt[2819][7]~66358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2819][7]~q\ : std_logic;
SIGNAL \WideAnd2819~combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][0]~83457_combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2817][1]~66318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2817][1]~66319\ : std_logic;
SIGNAL \led_flash_cnt[2817][2]~66320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2817][2]~66321\ : std_logic;
SIGNAL \led_flash_cnt[2817][3]~66322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2817][3]~66323\ : std_logic;
SIGNAL \led_flash_cnt[2817][4]~66324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2817][4]~66325\ : std_logic;
SIGNAL \led_flash_cnt[2817][5]~66326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2817][5]~66327\ : std_logic;
SIGNAL \led_flash_cnt[2817][6]~66328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2817][6]~66329\ : std_logic;
SIGNAL \led_flash_cnt[2817][7]~66330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2817][7]~q\ : std_logic;
SIGNAL \WideAnd2817~1_combout\ : std_logic;
SIGNAL \WideAnd2817~0_combout\ : std_logic;
SIGNAL \WideAnd2817~combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][0]~83456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2816][1]~66304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2816][1]~66305\ : std_logic;
SIGNAL \led_flash_cnt[2816][2]~66306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2816][2]~66307\ : std_logic;
SIGNAL \led_flash_cnt[2816][3]~66308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2816][3]~66309\ : std_logic;
SIGNAL \led_flash_cnt[2816][4]~66310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][4]~q\ : std_logic;
SIGNAL \WideAnd2816~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][4]~66311\ : std_logic;
SIGNAL \led_flash_cnt[2816][5]~66312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2816][5]~66313\ : std_logic;
SIGNAL \led_flash_cnt[2816][6]~66314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2816][6]~66315\ : std_logic;
SIGNAL \led_flash_cnt[2816][7]~66316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2816][7]~q\ : std_logic;
SIGNAL \WideAnd2816~1_combout\ : std_logic;
SIGNAL \WideAnd2816~combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][0]~83458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2818][1]~66332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2818][1]~66333\ : std_logic;
SIGNAL \led_flash_cnt[2818][2]~66334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2818][2]~66335\ : std_logic;
SIGNAL \led_flash_cnt[2818][3]~66336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2818][3]~66337\ : std_logic;
SIGNAL \led_flash_cnt[2818][4]~66338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2818][4]~66339\ : std_logic;
SIGNAL \led_flash_cnt[2818][5]~66340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2818][5]~66341\ : std_logic;
SIGNAL \led_flash_cnt[2818][6]~66342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][6]~q\ : std_logic;
SIGNAL \WideAnd2818~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][6]~66343\ : std_logic;
SIGNAL \led_flash_cnt[2818][7]~66344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2818][7]~q\ : std_logic;
SIGNAL \WideAnd2818~0_combout\ : std_logic;
SIGNAL \WideAnd2818~combout\ : std_logic;
SIGNAL \WideAnd4192~0_combout\ : std_logic;
SIGNAL \WideAnd4192~combout\ : std_logic;
SIGNAL \WideAnd4364~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][0]~83494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2854][1]~66836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2854][1]~66837\ : std_logic;
SIGNAL \led_flash_cnt[2854][2]~66838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2854][2]~66839\ : std_logic;
SIGNAL \led_flash_cnt[2854][3]~66840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2854][3]~66841\ : std_logic;
SIGNAL \led_flash_cnt[2854][4]~66842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][4]~q\ : std_logic;
SIGNAL \WideAnd2854~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][4]~66843\ : std_logic;
SIGNAL \led_flash_cnt[2854][5]~66844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2854][5]~66845\ : std_logic;
SIGNAL \led_flash_cnt[2854][6]~66846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2854][6]~66847\ : std_logic;
SIGNAL \led_flash_cnt[2854][7]~66848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2854][7]~q\ : std_logic;
SIGNAL \WideAnd2854~1_combout\ : std_logic;
SIGNAL \WideAnd2854~combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][0]~83493_combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2853][1]~66822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2853][1]~66823\ : std_logic;
SIGNAL \led_flash_cnt[2853][2]~66824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2853][2]~66825\ : std_logic;
SIGNAL \led_flash_cnt[2853][3]~66826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2853][3]~66827\ : std_logic;
SIGNAL \led_flash_cnt[2853][4]~66828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2853][4]~66829\ : std_logic;
SIGNAL \led_flash_cnt[2853][5]~66830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2853][5]~66831\ : std_logic;
SIGNAL \led_flash_cnt[2853][6]~66832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2853][6]~66833\ : std_logic;
SIGNAL \led_flash_cnt[2853][7]~66834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2853][7]~q\ : std_logic;
SIGNAL \WideAnd2853~1_combout\ : std_logic;
SIGNAL \WideAnd2853~0_combout\ : std_logic;
SIGNAL \WideAnd2853~combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][0]~83492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2852][1]~66808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2852][1]~66809\ : std_logic;
SIGNAL \led_flash_cnt[2852][2]~66810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2852][2]~66811\ : std_logic;
SIGNAL \led_flash_cnt[2852][3]~66812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2852][3]~66813\ : std_logic;
SIGNAL \led_flash_cnt[2852][4]~66814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][4]~q\ : std_logic;
SIGNAL \WideAnd2852~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][4]~66815\ : std_logic;
SIGNAL \led_flash_cnt[2852][5]~66816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2852][5]~66817\ : std_logic;
SIGNAL \led_flash_cnt[2852][6]~66818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2852][6]~66819\ : std_logic;
SIGNAL \led_flash_cnt[2852][7]~66820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2852][7]~q\ : std_logic;
SIGNAL \WideAnd2852~1_combout\ : std_logic;
SIGNAL \WideAnd2852~combout\ : std_logic;
SIGNAL \WideAnd4196~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][0]~83491_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2851][1]~66794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2851][1]~66795\ : std_logic;
SIGNAL \led_flash_cnt[2851][2]~66796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2851][2]~66797\ : std_logic;
SIGNAL \led_flash_cnt[2851][3]~66798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2851][3]~66799\ : std_logic;
SIGNAL \led_flash_cnt[2851][4]~66800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2851][4]~66801\ : std_logic;
SIGNAL \led_flash_cnt[2851][5]~66802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2851][5]~66803\ : std_logic;
SIGNAL \led_flash_cnt[2851][6]~66804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2851][6]~66805\ : std_logic;
SIGNAL \led_flash_cnt[2851][7]~66806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2851][7]~q\ : std_logic;
SIGNAL \WideAnd2851~1_combout\ : std_logic;
SIGNAL \WideAnd2851~0_combout\ : std_logic;
SIGNAL \WideAnd2851~combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][0]~83490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2850][1]~66780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2850][1]~66781\ : std_logic;
SIGNAL \led_flash_cnt[2850][2]~66782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2850][2]~66783\ : std_logic;
SIGNAL \led_flash_cnt[2850][3]~66784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2850][3]~66785\ : std_logic;
SIGNAL \led_flash_cnt[2850][4]~66786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2850][4]~66787\ : std_logic;
SIGNAL \led_flash_cnt[2850][5]~66788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2850][5]~66789\ : std_logic;
SIGNAL \led_flash_cnt[2850][6]~66790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2850][6]~66791\ : std_logic;
SIGNAL \led_flash_cnt[2850][7]~66792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2850][7]~q\ : std_logic;
SIGNAL \WideAnd2850~1_combout\ : std_logic;
SIGNAL \WideAnd2850~0_combout\ : std_logic;
SIGNAL \WideAnd2850~combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][0]~83489_combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2849][1]~66766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2849][1]~66767\ : std_logic;
SIGNAL \led_flash_cnt[2849][2]~66768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2849][2]~66769\ : std_logic;
SIGNAL \led_flash_cnt[2849][3]~66770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2849][3]~66771\ : std_logic;
SIGNAL \led_flash_cnt[2849][4]~66772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2849][4]~66773\ : std_logic;
SIGNAL \led_flash_cnt[2849][5]~66774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2849][5]~66775\ : std_logic;
SIGNAL \led_flash_cnt[2849][6]~66776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2849][6]~66777\ : std_logic;
SIGNAL \led_flash_cnt[2849][7]~66778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2849][7]~q\ : std_logic;
SIGNAL \WideAnd2849~1_combout\ : std_logic;
SIGNAL \WideAnd2849~0_combout\ : std_logic;
SIGNAL \WideAnd2849~combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][0]~83488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2848][1]~66752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2848][1]~66753\ : std_logic;
SIGNAL \led_flash_cnt[2848][2]~66754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2848][2]~66755\ : std_logic;
SIGNAL \led_flash_cnt[2848][3]~66756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2848][3]~66757\ : std_logic;
SIGNAL \led_flash_cnt[2848][4]~66758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2848][4]~66759\ : std_logic;
SIGNAL \led_flash_cnt[2848][5]~66760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2848][5]~66761\ : std_logic;
SIGNAL \led_flash_cnt[2848][6]~66762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][6]~q\ : std_logic;
SIGNAL \WideAnd2848~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][6]~66763\ : std_logic;
SIGNAL \led_flash_cnt[2848][7]~66764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2848][7]~q\ : std_logic;
SIGNAL \WideAnd2848~0_combout\ : std_logic;
SIGNAL \WideAnd2848~combout\ : std_logic;
SIGNAL \WideAnd4196~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][0]~83495_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2855][1]~66850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2855][1]~66851\ : std_logic;
SIGNAL \led_flash_cnt[2855][2]~66852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2855][2]~66853\ : std_logic;
SIGNAL \led_flash_cnt[2855][3]~66854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2855][3]~66855\ : std_logic;
SIGNAL \led_flash_cnt[2855][4]~66856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2855][4]~66857\ : std_logic;
SIGNAL \led_flash_cnt[2855][5]~66858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2855][5]~66859\ : std_logic;
SIGNAL \led_flash_cnt[2855][6]~66860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2855][6]~66861\ : std_logic;
SIGNAL \led_flash_cnt[2855][7]~66862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2855][7]~q\ : std_logic;
SIGNAL \WideAnd2855~1_combout\ : std_logic;
SIGNAL \WideAnd2855~0_combout\ : std_logic;
SIGNAL \WideAnd2855~combout\ : std_logic;
SIGNAL \WideAnd4196~combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][0]~83499_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2859][1]~66906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2859][1]~66907\ : std_logic;
SIGNAL \led_flash_cnt[2859][2]~66908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2859][2]~66909\ : std_logic;
SIGNAL \led_flash_cnt[2859][3]~66910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2859][3]~66911\ : std_logic;
SIGNAL \led_flash_cnt[2859][4]~66912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][4]~q\ : std_logic;
SIGNAL \WideAnd2859~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][4]~66913\ : std_logic;
SIGNAL \led_flash_cnt[2859][5]~66914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2859][5]~66915\ : std_logic;
SIGNAL \led_flash_cnt[2859][6]~66916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][6]~q\ : std_logic;
SIGNAL \WideAnd2859~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][6]~66917\ : std_logic;
SIGNAL \led_flash_cnt[2859][7]~66918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2859][7]~q\ : std_logic;
SIGNAL \WideAnd2859~combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][0]~83497_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2857][1]~66878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2857][1]~66879\ : std_logic;
SIGNAL \led_flash_cnt[2857][2]~66880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2857][2]~66881\ : std_logic;
SIGNAL \led_flash_cnt[2857][3]~66882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2857][3]~66883\ : std_logic;
SIGNAL \led_flash_cnt[2857][4]~66884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][4]~q\ : std_logic;
SIGNAL \WideAnd2857~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][4]~66885\ : std_logic;
SIGNAL \led_flash_cnt[2857][5]~66886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2857][5]~66887\ : std_logic;
SIGNAL \led_flash_cnt[2857][6]~66888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][6]~q\ : std_logic;
SIGNAL \WideAnd2857~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][6]~66889\ : std_logic;
SIGNAL \led_flash_cnt[2857][7]~66890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2857][7]~q\ : std_logic;
SIGNAL \WideAnd2857~combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][0]~83498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2858][1]~66892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2858][1]~66893\ : std_logic;
SIGNAL \led_flash_cnt[2858][2]~66894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2858][2]~66895\ : std_logic;
SIGNAL \led_flash_cnt[2858][3]~66896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2858][3]~66897\ : std_logic;
SIGNAL \led_flash_cnt[2858][4]~66898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2858][4]~66899\ : std_logic;
SIGNAL \led_flash_cnt[2858][5]~66900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2858][5]~66901\ : std_logic;
SIGNAL \led_flash_cnt[2858][6]~66902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][6]~q\ : std_logic;
SIGNAL \WideAnd2858~1_combout\ : std_logic;
SIGNAL \WideAnd2858~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][6]~66903\ : std_logic;
SIGNAL \led_flash_cnt[2858][7]~66904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2858][7]~q\ : std_logic;
SIGNAL \WideAnd2858~combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][0]~83496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2856][1]~66864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2856][1]~66865\ : std_logic;
SIGNAL \led_flash_cnt[2856][2]~66866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2856][2]~66867\ : std_logic;
SIGNAL \led_flash_cnt[2856][3]~66868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2856][3]~66869\ : std_logic;
SIGNAL \led_flash_cnt[2856][4]~66870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2856][4]~66871\ : std_logic;
SIGNAL \led_flash_cnt[2856][5]~66872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2856][5]~66873\ : std_logic;
SIGNAL \led_flash_cnt[2856][6]~66874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2856][6]~66875\ : std_logic;
SIGNAL \led_flash_cnt[2856][7]~66876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2856][7]~q\ : std_logic;
SIGNAL \WideAnd2856~1_combout\ : std_logic;
SIGNAL \WideAnd2856~0_combout\ : std_logic;
SIGNAL \WideAnd2856~combout\ : std_logic;
SIGNAL \WideAnd4197~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][0]~83503_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2863][1]~66962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2863][1]~66963\ : std_logic;
SIGNAL \led_flash_cnt[2863][2]~66964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2863][2]~66965\ : std_logic;
SIGNAL \led_flash_cnt[2863][3]~66966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2863][3]~66967\ : std_logic;
SIGNAL \led_flash_cnt[2863][4]~66968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][4]~q\ : std_logic;
SIGNAL \WideAnd2863~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][4]~66969\ : std_logic;
SIGNAL \led_flash_cnt[2863][5]~66970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2863][5]~66971\ : std_logic;
SIGNAL \led_flash_cnt[2863][6]~66972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][6]~q\ : std_logic;
SIGNAL \WideAnd2863~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][6]~66973\ : std_logic;
SIGNAL \led_flash_cnt[2863][7]~66974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2863][7]~q\ : std_logic;
SIGNAL \WideAnd2863~combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][0]~83501_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2861][1]~66934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2861][1]~66935\ : std_logic;
SIGNAL \led_flash_cnt[2861][2]~66936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2861][2]~66937\ : std_logic;
SIGNAL \led_flash_cnt[2861][3]~66938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2861][3]~66939\ : std_logic;
SIGNAL \led_flash_cnt[2861][4]~66940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2861][4]~66941\ : std_logic;
SIGNAL \led_flash_cnt[2861][5]~66942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2861][5]~66943\ : std_logic;
SIGNAL \led_flash_cnt[2861][6]~66944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][6]~q\ : std_logic;
SIGNAL \WideAnd2861~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][6]~66945\ : std_logic;
SIGNAL \led_flash_cnt[2861][7]~66946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2861][7]~q\ : std_logic;
SIGNAL \WideAnd2861~0_combout\ : std_logic;
SIGNAL \WideAnd2861~combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][0]~83500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2860][1]~66920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2860][1]~66921\ : std_logic;
SIGNAL \led_flash_cnt[2860][2]~66922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2860][2]~66923\ : std_logic;
SIGNAL \led_flash_cnt[2860][3]~66924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2860][3]~66925\ : std_logic;
SIGNAL \led_flash_cnt[2860][4]~66926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2860][4]~66927\ : std_logic;
SIGNAL \led_flash_cnt[2860][5]~66928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2860][5]~66929\ : std_logic;
SIGNAL \led_flash_cnt[2860][6]~66930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][6]~q\ : std_logic;
SIGNAL \WideAnd2860~1_combout\ : std_logic;
SIGNAL \WideAnd2860~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][6]~66931\ : std_logic;
SIGNAL \led_flash_cnt[2860][7]~66932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2860][7]~q\ : std_logic;
SIGNAL \WideAnd2860~combout\ : std_logic;
SIGNAL \WideAnd4197~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][0]~83502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2862][1]~66948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2862][1]~66949\ : std_logic;
SIGNAL \led_flash_cnt[2862][2]~66950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2862][2]~66951\ : std_logic;
SIGNAL \led_flash_cnt[2862][3]~66952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2862][3]~66953\ : std_logic;
SIGNAL \led_flash_cnt[2862][4]~66954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2862][4]~66955\ : std_logic;
SIGNAL \led_flash_cnt[2862][5]~66956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2862][5]~66957\ : std_logic;
SIGNAL \led_flash_cnt[2862][6]~66958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2862][6]~66959\ : std_logic;
SIGNAL \led_flash_cnt[2862][7]~66960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2862][7]~q\ : std_logic;
SIGNAL \WideAnd2862~1_combout\ : std_logic;
SIGNAL \WideAnd2862~0_combout\ : std_logic;
SIGNAL \WideAnd2862~combout\ : std_logic;
SIGNAL \WideAnd4197~combout\ : std_logic;
SIGNAL \WideAnd4364~1_combout\ : std_logic;
SIGNAL \WideAnd4364~combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][0]~83541_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2901][1]~67494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2901][1]~67495\ : std_logic;
SIGNAL \led_flash_cnt[2901][2]~67496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2901][2]~67497\ : std_logic;
SIGNAL \led_flash_cnt[2901][3]~67498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2901][3]~67499\ : std_logic;
SIGNAL \led_flash_cnt[2901][4]~67500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2901][4]~67501\ : std_logic;
SIGNAL \led_flash_cnt[2901][5]~67502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2901][5]~67503\ : std_logic;
SIGNAL \led_flash_cnt[2901][6]~67504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][6]~q\ : std_logic;
SIGNAL \WideAnd2901~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][6]~67505\ : std_logic;
SIGNAL \led_flash_cnt[2901][7]~67506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2901][7]~q\ : std_logic;
SIGNAL \WideAnd2901~0_combout\ : std_logic;
SIGNAL \WideAnd2901~combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][0]~83540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2900][1]~67480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2900][1]~67481\ : std_logic;
SIGNAL \led_flash_cnt[2900][2]~67482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2900][2]~67483\ : std_logic;
SIGNAL \led_flash_cnt[2900][3]~67484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2900][3]~67485\ : std_logic;
SIGNAL \led_flash_cnt[2900][4]~67486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2900][4]~67487\ : std_logic;
SIGNAL \led_flash_cnt[2900][5]~67488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2900][5]~67489\ : std_logic;
SIGNAL \led_flash_cnt[2900][6]~67490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][6]~q\ : std_logic;
SIGNAL \WideAnd2900~1_combout\ : std_logic;
SIGNAL \WideAnd2900~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][6]~67491\ : std_logic;
SIGNAL \led_flash_cnt[2900][7]~67492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2900][7]~q\ : std_logic;
SIGNAL \WideAnd2900~combout\ : std_logic;
SIGNAL \WideAnd4202~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][0]~83543_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2903][1]~67522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2903][1]~67523\ : std_logic;
SIGNAL \led_flash_cnt[2903][2]~67524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2903][2]~67525\ : std_logic;
SIGNAL \led_flash_cnt[2903][3]~67526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2903][3]~67527\ : std_logic;
SIGNAL \led_flash_cnt[2903][4]~67528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2903][4]~67529\ : std_logic;
SIGNAL \led_flash_cnt[2903][5]~67530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2903][5]~67531\ : std_logic;
SIGNAL \led_flash_cnt[2903][6]~67532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2903][6]~67533\ : std_logic;
SIGNAL \led_flash_cnt[2903][7]~67534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2903][7]~q\ : std_logic;
SIGNAL \WideAnd2903~1_combout\ : std_logic;
SIGNAL \WideAnd2903~0_combout\ : std_logic;
SIGNAL \WideAnd2903~combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][0]~83538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2898][1]~67452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2898][1]~67453\ : std_logic;
SIGNAL \led_flash_cnt[2898][2]~67454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2898][2]~67455\ : std_logic;
SIGNAL \led_flash_cnt[2898][3]~67456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2898][3]~67457\ : std_logic;
SIGNAL \led_flash_cnt[2898][4]~67458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2898][4]~67459\ : std_logic;
SIGNAL \led_flash_cnt[2898][5]~67460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2898][5]~67461\ : std_logic;
SIGNAL \led_flash_cnt[2898][6]~67462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2898][6]~67463\ : std_logic;
SIGNAL \led_flash_cnt[2898][7]~67464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2898][7]~q\ : std_logic;
SIGNAL \WideAnd2898~1_combout\ : std_logic;
SIGNAL \WideAnd2898~0_combout\ : std_logic;
SIGNAL \WideAnd2898~combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][0]~83536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2896][1]~67424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2896][1]~67425\ : std_logic;
SIGNAL \led_flash_cnt[2896][2]~67426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2896][2]~67427\ : std_logic;
SIGNAL \led_flash_cnt[2896][3]~67428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2896][3]~67429\ : std_logic;
SIGNAL \led_flash_cnt[2896][4]~67430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2896][4]~67431\ : std_logic;
SIGNAL \led_flash_cnt[2896][5]~67432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2896][5]~67433\ : std_logic;
SIGNAL \led_flash_cnt[2896][6]~67434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2896][6]~67435\ : std_logic;
SIGNAL \led_flash_cnt[2896][7]~67436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2896][7]~q\ : std_logic;
SIGNAL \WideAnd2896~1_combout\ : std_logic;
SIGNAL \WideAnd2896~0_combout\ : std_logic;
SIGNAL \WideAnd2896~combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][0]~83539_combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2899][1]~67466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2899][1]~67467\ : std_logic;
SIGNAL \led_flash_cnt[2899][2]~67468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2899][2]~67469\ : std_logic;
SIGNAL \led_flash_cnt[2899][3]~67470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2899][3]~67471\ : std_logic;
SIGNAL \led_flash_cnt[2899][4]~67472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2899][4]~67473\ : std_logic;
SIGNAL \led_flash_cnt[2899][5]~67474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2899][5]~67475\ : std_logic;
SIGNAL \led_flash_cnt[2899][6]~67476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2899][6]~67477\ : std_logic;
SIGNAL \led_flash_cnt[2899][7]~67478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2899][7]~q\ : std_logic;
SIGNAL \WideAnd2899~1_combout\ : std_logic;
SIGNAL \WideAnd2899~0_combout\ : std_logic;
SIGNAL \WideAnd2899~combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][0]~83537_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2897][1]~67438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2897][1]~67439\ : std_logic;
SIGNAL \led_flash_cnt[2897][2]~67440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2897][2]~67441\ : std_logic;
SIGNAL \led_flash_cnt[2897][3]~67442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2897][3]~67443\ : std_logic;
SIGNAL \led_flash_cnt[2897][4]~67444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2897][4]~67445\ : std_logic;
SIGNAL \led_flash_cnt[2897][5]~67446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2897][5]~67447\ : std_logic;
SIGNAL \led_flash_cnt[2897][6]~67448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][6]~q\ : std_logic;
SIGNAL \WideAnd2897~1_combout\ : std_logic;
SIGNAL \WideAnd2897~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][6]~67449\ : std_logic;
SIGNAL \led_flash_cnt[2897][7]~67450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2897][7]~q\ : std_logic;
SIGNAL \WideAnd2897~combout\ : std_logic;
SIGNAL \WideAnd4202~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][0]~83542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2902][1]~67508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2902][1]~67509\ : std_logic;
SIGNAL \led_flash_cnt[2902][2]~67510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2902][2]~67511\ : std_logic;
SIGNAL \led_flash_cnt[2902][3]~67512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2902][3]~67513\ : std_logic;
SIGNAL \led_flash_cnt[2902][4]~67514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][4]~q\ : std_logic;
SIGNAL \WideAnd2902~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][4]~67515\ : std_logic;
SIGNAL \led_flash_cnt[2902][5]~67516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2902][5]~67517\ : std_logic;
SIGNAL \led_flash_cnt[2902][6]~67518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2902][6]~67519\ : std_logic;
SIGNAL \led_flash_cnt[2902][7]~67520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2902][7]~q\ : std_logic;
SIGNAL \WideAnd2902~1_combout\ : std_logic;
SIGNAL \WideAnd2902~combout\ : std_logic;
SIGNAL \WideAnd4202~combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][0]~83550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2910][1]~67620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2910][1]~67621\ : std_logic;
SIGNAL \led_flash_cnt[2910][2]~67622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2910][2]~67623\ : std_logic;
SIGNAL \led_flash_cnt[2910][3]~67624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2910][3]~67625\ : std_logic;
SIGNAL \led_flash_cnt[2910][4]~67626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2910][4]~67627\ : std_logic;
SIGNAL \led_flash_cnt[2910][5]~67628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2910][5]~67629\ : std_logic;
SIGNAL \led_flash_cnt[2910][6]~67630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][6]~q\ : std_logic;
SIGNAL \WideAnd2910~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][6]~67631\ : std_logic;
SIGNAL \led_flash_cnt[2910][7]~67632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2910][7]~q\ : std_logic;
SIGNAL \WideAnd2910~0_combout\ : std_logic;
SIGNAL \WideAnd2910~combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][0]~83549_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2909][1]~67606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2909][1]~67607\ : std_logic;
SIGNAL \led_flash_cnt[2909][2]~67608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2909][2]~67609\ : std_logic;
SIGNAL \led_flash_cnt[2909][3]~67610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2909][3]~67611\ : std_logic;
SIGNAL \led_flash_cnt[2909][4]~67612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2909][4]~67613\ : std_logic;
SIGNAL \led_flash_cnt[2909][5]~67614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2909][5]~67615\ : std_logic;
SIGNAL \led_flash_cnt[2909][6]~67616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][6]~q\ : std_logic;
SIGNAL \WideAnd2909~1_combout\ : std_logic;
SIGNAL \WideAnd2909~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][6]~67617\ : std_logic;
SIGNAL \led_flash_cnt[2909][7]~67618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2909][7]~q\ : std_logic;
SIGNAL \WideAnd2909~combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][0]~83548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2908][1]~67592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2908][1]~67593\ : std_logic;
SIGNAL \led_flash_cnt[2908][2]~67594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2908][2]~67595\ : std_logic;
SIGNAL \led_flash_cnt[2908][3]~67596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2908][3]~67597\ : std_logic;
SIGNAL \led_flash_cnt[2908][4]~67598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][4]~q\ : std_logic;
SIGNAL \WideAnd2908~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][4]~67599\ : std_logic;
SIGNAL \led_flash_cnt[2908][5]~67600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2908][5]~67601\ : std_logic;
SIGNAL \led_flash_cnt[2908][6]~67602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][6]~q\ : std_logic;
SIGNAL \WideAnd2908~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][6]~67603\ : std_logic;
SIGNAL \led_flash_cnt[2908][7]~67604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2908][7]~q\ : std_logic;
SIGNAL \WideAnd2908~combout\ : std_logic;
SIGNAL \WideAnd4203~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][0]~83545_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2905][1]~67550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2905][1]~67551\ : std_logic;
SIGNAL \led_flash_cnt[2905][2]~67552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2905][2]~67553\ : std_logic;
SIGNAL \led_flash_cnt[2905][3]~67554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2905][3]~67555\ : std_logic;
SIGNAL \led_flash_cnt[2905][4]~67556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2905][4]~67557\ : std_logic;
SIGNAL \led_flash_cnt[2905][5]~67558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2905][5]~67559\ : std_logic;
SIGNAL \led_flash_cnt[2905][6]~67560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2905][6]~67561\ : std_logic;
SIGNAL \led_flash_cnt[2905][7]~67562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2905][7]~q\ : std_logic;
SIGNAL \WideAnd2905~1_combout\ : std_logic;
SIGNAL \WideAnd2905~0_combout\ : std_logic;
SIGNAL \WideAnd2905~combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][0]~83547_combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2907][1]~67578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2907][1]~67579\ : std_logic;
SIGNAL \led_flash_cnt[2907][2]~67580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2907][2]~67581\ : std_logic;
SIGNAL \led_flash_cnt[2907][3]~67582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2907][3]~67583\ : std_logic;
SIGNAL \led_flash_cnt[2907][4]~67584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2907][4]~67585\ : std_logic;
SIGNAL \led_flash_cnt[2907][5]~67586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2907][5]~67587\ : std_logic;
SIGNAL \led_flash_cnt[2907][6]~67588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2907][6]~67589\ : std_logic;
SIGNAL \led_flash_cnt[2907][7]~67590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2907][7]~q\ : std_logic;
SIGNAL \WideAnd2907~1_combout\ : std_logic;
SIGNAL \WideAnd2907~0_combout\ : std_logic;
SIGNAL \WideAnd2907~combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][0]~83546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2906][1]~67564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2906][1]~67565\ : std_logic;
SIGNAL \led_flash_cnt[2906][2]~67566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2906][2]~67567\ : std_logic;
SIGNAL \led_flash_cnt[2906][3]~67568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2906][3]~67569\ : std_logic;
SIGNAL \led_flash_cnt[2906][4]~67570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2906][4]~67571\ : std_logic;
SIGNAL \led_flash_cnt[2906][5]~67572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2906][5]~67573\ : std_logic;
SIGNAL \led_flash_cnt[2906][6]~67574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][6]~q\ : std_logic;
SIGNAL \WideAnd2906~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][6]~67575\ : std_logic;
SIGNAL \led_flash_cnt[2906][7]~67576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2906][7]~q\ : std_logic;
SIGNAL \WideAnd2906~0_combout\ : std_logic;
SIGNAL \WideAnd2906~combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][0]~83544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2904][1]~67536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2904][1]~67537\ : std_logic;
SIGNAL \led_flash_cnt[2904][2]~67538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2904][2]~67539\ : std_logic;
SIGNAL \led_flash_cnt[2904][3]~67540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2904][3]~67541\ : std_logic;
SIGNAL \led_flash_cnt[2904][4]~67542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2904][4]~67543\ : std_logic;
SIGNAL \led_flash_cnt[2904][5]~67544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2904][5]~67545\ : std_logic;
SIGNAL \led_flash_cnt[2904][6]~67546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][6]~q\ : std_logic;
SIGNAL \WideAnd2904~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][6]~67547\ : std_logic;
SIGNAL \led_flash_cnt[2904][7]~67548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2904][7]~q\ : std_logic;
SIGNAL \WideAnd2904~0_combout\ : std_logic;
SIGNAL \WideAnd2904~combout\ : std_logic;
SIGNAL \WideAnd4203~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][0]~83551_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2911][1]~67634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2911][1]~67635\ : std_logic;
SIGNAL \led_flash_cnt[2911][2]~67636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2911][2]~67637\ : std_logic;
SIGNAL \led_flash_cnt[2911][3]~67638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2911][3]~67639\ : std_logic;
SIGNAL \led_flash_cnt[2911][4]~67640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2911][4]~67641\ : std_logic;
SIGNAL \led_flash_cnt[2911][5]~67642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2911][5]~67643\ : std_logic;
SIGNAL \led_flash_cnt[2911][6]~67644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][6]~q\ : std_logic;
SIGNAL \WideAnd2911~1_combout\ : std_logic;
SIGNAL \WideAnd2911~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][6]~67645\ : std_logic;
SIGNAL \led_flash_cnt[2911][7]~67646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2911][7]~q\ : std_logic;
SIGNAL \WideAnd2911~combout\ : std_logic;
SIGNAL \WideAnd4203~combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][0]~83534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2894][1]~67396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2894][1]~67397\ : std_logic;
SIGNAL \led_flash_cnt[2894][2]~67398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2894][2]~67399\ : std_logic;
SIGNAL \led_flash_cnt[2894][3]~67400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2894][3]~67401\ : std_logic;
SIGNAL \led_flash_cnt[2894][4]~67402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2894][4]~67403\ : std_logic;
SIGNAL \led_flash_cnt[2894][5]~67404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2894][5]~67405\ : std_logic;
SIGNAL \led_flash_cnt[2894][6]~67406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2894][6]~67407\ : std_logic;
SIGNAL \led_flash_cnt[2894][7]~67408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2894][7]~q\ : std_logic;
SIGNAL \WideAnd2894~0_combout\ : std_logic;
SIGNAL \WideAnd2894~1_combout\ : std_logic;
SIGNAL \WideAnd2894~combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][0]~83535_combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2895][1]~67410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2895][1]~67411\ : std_logic;
SIGNAL \led_flash_cnt[2895][2]~67412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2895][2]~67413\ : std_logic;
SIGNAL \led_flash_cnt[2895][3]~67414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2895][3]~67415\ : std_logic;
SIGNAL \led_flash_cnt[2895][4]~67416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2895][4]~67417\ : std_logic;
SIGNAL \led_flash_cnt[2895][5]~67418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2895][5]~67419\ : std_logic;
SIGNAL \led_flash_cnt[2895][6]~67420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2895][6]~67421\ : std_logic;
SIGNAL \led_flash_cnt[2895][7]~67422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2895][7]~q\ : std_logic;
SIGNAL \WideAnd2895~1_combout\ : std_logic;
SIGNAL \WideAnd2895~0_combout\ : std_logic;
SIGNAL \WideAnd2895~combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][0]~83528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2888][1]~67312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2888][1]~67313\ : std_logic;
SIGNAL \led_flash_cnt[2888][2]~67314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2888][2]~67315\ : std_logic;
SIGNAL \led_flash_cnt[2888][3]~67316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2888][3]~67317\ : std_logic;
SIGNAL \led_flash_cnt[2888][4]~67318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2888][4]~67319\ : std_logic;
SIGNAL \led_flash_cnt[2888][5]~67320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2888][5]~67321\ : std_logic;
SIGNAL \led_flash_cnt[2888][6]~67322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2888][6]~67323\ : std_logic;
SIGNAL \led_flash_cnt[2888][7]~67324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2888][7]~q\ : std_logic;
SIGNAL \WideAnd2888~1_combout\ : std_logic;
SIGNAL \WideAnd2888~0_combout\ : std_logic;
SIGNAL \WideAnd2888~combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][0]~83530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2890][1]~67340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2890][1]~67341\ : std_logic;
SIGNAL \led_flash_cnt[2890][2]~67342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2890][2]~67343\ : std_logic;
SIGNAL \led_flash_cnt[2890][3]~67344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2890][3]~67345\ : std_logic;
SIGNAL \led_flash_cnt[2890][4]~67346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2890][4]~67347\ : std_logic;
SIGNAL \led_flash_cnt[2890][5]~67348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2890][5]~67349\ : std_logic;
SIGNAL \led_flash_cnt[2890][6]~67350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2890][6]~67351\ : std_logic;
SIGNAL \led_flash_cnt[2890][7]~67352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2890][7]~q\ : std_logic;
SIGNAL \WideAnd2890~1_combout\ : std_logic;
SIGNAL \WideAnd2890~0_combout\ : std_logic;
SIGNAL \WideAnd2890~combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][0]~83531_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2891][1]~67354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2891][1]~67355\ : std_logic;
SIGNAL \led_flash_cnt[2891][2]~67356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2891][2]~67357\ : std_logic;
SIGNAL \led_flash_cnt[2891][3]~67358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2891][3]~67359\ : std_logic;
SIGNAL \led_flash_cnt[2891][4]~67360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2891][4]~67361\ : std_logic;
SIGNAL \led_flash_cnt[2891][5]~67362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2891][5]~67363\ : std_logic;
SIGNAL \led_flash_cnt[2891][6]~67364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][6]~q\ : std_logic;
SIGNAL \WideAnd2891~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][6]~67365\ : std_logic;
SIGNAL \led_flash_cnt[2891][7]~67366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2891][7]~q\ : std_logic;
SIGNAL \WideAnd2891~0_combout\ : std_logic;
SIGNAL \WideAnd2891~combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][0]~83529_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2889][1]~67326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2889][1]~67327\ : std_logic;
SIGNAL \led_flash_cnt[2889][2]~67328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2889][2]~67329\ : std_logic;
SIGNAL \led_flash_cnt[2889][3]~67330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2889][3]~67331\ : std_logic;
SIGNAL \led_flash_cnt[2889][4]~67332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][4]~q\ : std_logic;
SIGNAL \WideAnd2889~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][4]~67333\ : std_logic;
SIGNAL \led_flash_cnt[2889][5]~67334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2889][5]~67335\ : std_logic;
SIGNAL \led_flash_cnt[2889][6]~67336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2889][6]~67337\ : std_logic;
SIGNAL \led_flash_cnt[2889][7]~67338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2889][7]~q\ : std_logic;
SIGNAL \WideAnd2889~1_combout\ : std_logic;
SIGNAL \WideAnd2889~combout\ : std_logic;
SIGNAL \WideAnd4201~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][0]~83533_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2893][1]~67382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2893][1]~67383\ : std_logic;
SIGNAL \led_flash_cnt[2893][2]~67384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2893][2]~67385\ : std_logic;
SIGNAL \led_flash_cnt[2893][3]~67386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2893][3]~67387\ : std_logic;
SIGNAL \led_flash_cnt[2893][4]~67388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][4]~q\ : std_logic;
SIGNAL \WideAnd2893~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][4]~67389\ : std_logic;
SIGNAL \led_flash_cnt[2893][5]~67390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2893][5]~67391\ : std_logic;
SIGNAL \led_flash_cnt[2893][6]~67392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][6]~q\ : std_logic;
SIGNAL \WideAnd2893~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][6]~67393\ : std_logic;
SIGNAL \led_flash_cnt[2893][7]~67394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2893][7]~q\ : std_logic;
SIGNAL \WideAnd2893~combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][0]~83532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2892][1]~67368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2892][1]~67369\ : std_logic;
SIGNAL \led_flash_cnt[2892][2]~67370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2892][2]~67371\ : std_logic;
SIGNAL \led_flash_cnt[2892][3]~67372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2892][3]~67373\ : std_logic;
SIGNAL \led_flash_cnt[2892][4]~67374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2892][4]~67375\ : std_logic;
SIGNAL \led_flash_cnt[2892][5]~67376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2892][5]~67377\ : std_logic;
SIGNAL \led_flash_cnt[2892][6]~67378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2892][6]~67379\ : std_logic;
SIGNAL \led_flash_cnt[2892][7]~67380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2892][7]~q\ : std_logic;
SIGNAL \WideAnd2892~1_combout\ : std_logic;
SIGNAL \WideAnd2892~0_combout\ : std_logic;
SIGNAL \WideAnd2892~combout\ : std_logic;
SIGNAL \WideAnd4201~1_combout\ : std_logic;
SIGNAL \WideAnd4201~combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][0]~83525_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2885][1]~67270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2885][1]~67271\ : std_logic;
SIGNAL \led_flash_cnt[2885][2]~67272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2885][2]~67273\ : std_logic;
SIGNAL \led_flash_cnt[2885][3]~67274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2885][3]~67275\ : std_logic;
SIGNAL \led_flash_cnt[2885][4]~67276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2885][4]~67277\ : std_logic;
SIGNAL \led_flash_cnt[2885][5]~67278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2885][5]~67279\ : std_logic;
SIGNAL \led_flash_cnt[2885][6]~67280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][6]~q\ : std_logic;
SIGNAL \WideAnd2885~1_combout\ : std_logic;
SIGNAL \WideAnd2885~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][6]~67281\ : std_logic;
SIGNAL \led_flash_cnt[2885][7]~67282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2885][7]~q\ : std_logic;
SIGNAL \WideAnd2885~combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][0]~83524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2884][1]~67256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2884][1]~67257\ : std_logic;
SIGNAL \led_flash_cnt[2884][2]~67258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2884][2]~67259\ : std_logic;
SIGNAL \led_flash_cnt[2884][3]~67260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2884][3]~67261\ : std_logic;
SIGNAL \led_flash_cnt[2884][4]~67262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2884][4]~67263\ : std_logic;
SIGNAL \led_flash_cnt[2884][5]~67264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2884][5]~67265\ : std_logic;
SIGNAL \led_flash_cnt[2884][6]~67266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2884][6]~67267\ : std_logic;
SIGNAL \led_flash_cnt[2884][7]~67268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2884][7]~q\ : std_logic;
SIGNAL \WideAnd2884~0_combout\ : std_logic;
SIGNAL \WideAnd2884~1_combout\ : std_logic;
SIGNAL \WideAnd2884~combout\ : std_logic;
SIGNAL \WideAnd4200~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][0]~83527_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2887][1]~67298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2887][1]~67299\ : std_logic;
SIGNAL \led_flash_cnt[2887][2]~67300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2887][2]~67301\ : std_logic;
SIGNAL \led_flash_cnt[2887][3]~67302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2887][3]~67303\ : std_logic;
SIGNAL \led_flash_cnt[2887][4]~67304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2887][4]~67305\ : std_logic;
SIGNAL \led_flash_cnt[2887][5]~67306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2887][5]~67307\ : std_logic;
SIGNAL \led_flash_cnt[2887][6]~67308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][6]~q\ : std_logic;
SIGNAL \WideAnd2887~1_combout\ : std_logic;
SIGNAL \WideAnd2887~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][6]~67309\ : std_logic;
SIGNAL \led_flash_cnt[2887][7]~67310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2887][7]~q\ : std_logic;
SIGNAL \WideAnd2887~combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][0]~83526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2886][1]~67284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2886][1]~67285\ : std_logic;
SIGNAL \led_flash_cnt[2886][2]~67286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2886][2]~67287\ : std_logic;
SIGNAL \led_flash_cnt[2886][3]~67288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2886][3]~67289\ : std_logic;
SIGNAL \led_flash_cnt[2886][4]~67290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2886][4]~67291\ : std_logic;
SIGNAL \led_flash_cnt[2886][5]~67292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2886][5]~67293\ : std_logic;
SIGNAL \led_flash_cnt[2886][6]~67294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2886][6]~67295\ : std_logic;
SIGNAL \led_flash_cnt[2886][7]~67296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2886][7]~q\ : std_logic;
SIGNAL \WideAnd2886~0_combout\ : std_logic;
SIGNAL \WideAnd2886~1_combout\ : std_logic;
SIGNAL \WideAnd2886~combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][0]~83520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2880][1]~67200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2880][1]~67201\ : std_logic;
SIGNAL \led_flash_cnt[2880][2]~67202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2880][2]~67203\ : std_logic;
SIGNAL \led_flash_cnt[2880][3]~67204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2880][3]~67205\ : std_logic;
SIGNAL \led_flash_cnt[2880][4]~67206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2880][4]~67207\ : std_logic;
SIGNAL \led_flash_cnt[2880][5]~67208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2880][5]~67209\ : std_logic;
SIGNAL \led_flash_cnt[2880][6]~67210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2880][6]~67211\ : std_logic;
SIGNAL \led_flash_cnt[2880][7]~67212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2880][7]~q\ : std_logic;
SIGNAL \WideAnd2880~1_combout\ : std_logic;
SIGNAL \WideAnd2880~0_combout\ : std_logic;
SIGNAL \WideAnd2880~combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][0]~83523_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2883][1]~67242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2883][1]~67243\ : std_logic;
SIGNAL \led_flash_cnt[2883][2]~67244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2883][2]~67245\ : std_logic;
SIGNAL \led_flash_cnt[2883][3]~67246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2883][3]~67247\ : std_logic;
SIGNAL \led_flash_cnt[2883][4]~67248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2883][4]~67249\ : std_logic;
SIGNAL \led_flash_cnt[2883][5]~67250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2883][5]~67251\ : std_logic;
SIGNAL \led_flash_cnt[2883][6]~67252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][6]~q\ : std_logic;
SIGNAL \WideAnd2883~1_combout\ : std_logic;
SIGNAL \WideAnd2883~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][6]~67253\ : std_logic;
SIGNAL \led_flash_cnt[2883][7]~67254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2883][7]~q\ : std_logic;
SIGNAL \WideAnd2883~combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][0]~83522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2882][1]~67228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2882][1]~67229\ : std_logic;
SIGNAL \led_flash_cnt[2882][2]~67230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2882][2]~67231\ : std_logic;
SIGNAL \led_flash_cnt[2882][3]~67232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2882][3]~67233\ : std_logic;
SIGNAL \led_flash_cnt[2882][4]~67234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][4]~q\ : std_logic;
SIGNAL \WideAnd2882~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][4]~67235\ : std_logic;
SIGNAL \led_flash_cnt[2882][5]~67236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2882][5]~67237\ : std_logic;
SIGNAL \led_flash_cnt[2882][6]~67238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][6]~q\ : std_logic;
SIGNAL \WideAnd2882~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][6]~67239\ : std_logic;
SIGNAL \led_flash_cnt[2882][7]~67240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2882][7]~q\ : std_logic;
SIGNAL \WideAnd2882~combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][0]~83521_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2881][1]~67214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2881][1]~67215\ : std_logic;
SIGNAL \led_flash_cnt[2881][2]~67216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2881][2]~67217\ : std_logic;
SIGNAL \led_flash_cnt[2881][3]~67218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2881][3]~67219\ : std_logic;
SIGNAL \led_flash_cnt[2881][4]~67220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2881][4]~67221\ : std_logic;
SIGNAL \led_flash_cnt[2881][5]~67222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2881][5]~67223\ : std_logic;
SIGNAL \led_flash_cnt[2881][6]~67224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][6]~q\ : std_logic;
SIGNAL \WideAnd2881~1_combout\ : std_logic;
SIGNAL \WideAnd2881~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][6]~67225\ : std_logic;
SIGNAL \led_flash_cnt[2881][7]~67226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2881][7]~q\ : std_logic;
SIGNAL \WideAnd2881~combout\ : std_logic;
SIGNAL \WideAnd4200~0_combout\ : std_logic;
SIGNAL \WideAnd4200~combout\ : std_logic;
SIGNAL \WideAnd4365~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][0]~83581_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2941][1]~68054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2941][1]~68055\ : std_logic;
SIGNAL \led_flash_cnt[2941][2]~68056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2941][2]~68057\ : std_logic;
SIGNAL \led_flash_cnt[2941][3]~68058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2941][3]~68059\ : std_logic;
SIGNAL \led_flash_cnt[2941][4]~68060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2941][4]~68061\ : std_logic;
SIGNAL \led_flash_cnt[2941][5]~68062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2941][5]~68063\ : std_logic;
SIGNAL \led_flash_cnt[2941][6]~68064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][6]~q\ : std_logic;
SIGNAL \WideAnd2941~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][6]~68065\ : std_logic;
SIGNAL \led_flash_cnt[2941][7]~68066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2941][7]~q\ : std_logic;
SIGNAL \WideAnd2941~0_combout\ : std_logic;
SIGNAL \WideAnd2941~combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][0]~83580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2940][1]~68040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2940][1]~68041\ : std_logic;
SIGNAL \led_flash_cnt[2940][2]~68042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2940][2]~68043\ : std_logic;
SIGNAL \led_flash_cnt[2940][3]~68044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2940][3]~68045\ : std_logic;
SIGNAL \led_flash_cnt[2940][4]~68046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2940][4]~68047\ : std_logic;
SIGNAL \led_flash_cnt[2940][5]~68048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2940][5]~68049\ : std_logic;
SIGNAL \led_flash_cnt[2940][6]~68050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][6]~q\ : std_logic;
SIGNAL \WideAnd2940~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][6]~68051\ : std_logic;
SIGNAL \led_flash_cnt[2940][7]~68052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2940][7]~q\ : std_logic;
SIGNAL \WideAnd2940~0_combout\ : std_logic;
SIGNAL \WideAnd2940~combout\ : std_logic;
SIGNAL \WideAnd4207~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][0]~83583_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2943][1]~68082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2943][1]~68083\ : std_logic;
SIGNAL \led_flash_cnt[2943][2]~68084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2943][2]~68085\ : std_logic;
SIGNAL \led_flash_cnt[2943][3]~68086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2943][3]~68087\ : std_logic;
SIGNAL \led_flash_cnt[2943][4]~68088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][4]~q\ : std_logic;
SIGNAL \WideAnd2943~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][4]~68089\ : std_logic;
SIGNAL \led_flash_cnt[2943][5]~68090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2943][5]~68091\ : std_logic;
SIGNAL \led_flash_cnt[2943][6]~68092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2943][6]~68093\ : std_logic;
SIGNAL \led_flash_cnt[2943][7]~68094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2943][7]~q\ : std_logic;
SIGNAL \WideAnd2943~1_combout\ : std_logic;
SIGNAL \WideAnd2943~combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][0]~83577_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2937][1]~67998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2937][1]~67999\ : std_logic;
SIGNAL \led_flash_cnt[2937][2]~68000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2937][2]~68001\ : std_logic;
SIGNAL \led_flash_cnt[2937][3]~68002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2937][3]~68003\ : std_logic;
SIGNAL \led_flash_cnt[2937][4]~68004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2937][4]~68005\ : std_logic;
SIGNAL \led_flash_cnt[2937][5]~68006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2937][5]~68007\ : std_logic;
SIGNAL \led_flash_cnt[2937][6]~68008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][6]~q\ : std_logic;
SIGNAL \WideAnd2937~1_combout\ : std_logic;
SIGNAL \WideAnd2937~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][6]~68009\ : std_logic;
SIGNAL \led_flash_cnt[2937][7]~68010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2937][7]~q\ : std_logic;
SIGNAL \WideAnd2937~combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][0]~83579_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2939][1]~68026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2939][1]~68027\ : std_logic;
SIGNAL \led_flash_cnt[2939][2]~68028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2939][2]~68029\ : std_logic;
SIGNAL \led_flash_cnt[2939][3]~68030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2939][3]~68031\ : std_logic;
SIGNAL \led_flash_cnt[2939][4]~68032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2939][4]~68033\ : std_logic;
SIGNAL \led_flash_cnt[2939][5]~68034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2939][5]~68035\ : std_logic;
SIGNAL \led_flash_cnt[2939][6]~68036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][6]~q\ : std_logic;
SIGNAL \WideAnd2939~1_combout\ : std_logic;
SIGNAL \WideAnd2939~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][6]~68037\ : std_logic;
SIGNAL \led_flash_cnt[2939][7]~68038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2939][7]~q\ : std_logic;
SIGNAL \WideAnd2939~combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][0]~83578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2938][1]~68012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2938][1]~68013\ : std_logic;
SIGNAL \led_flash_cnt[2938][2]~68014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2938][2]~68015\ : std_logic;
SIGNAL \led_flash_cnt[2938][3]~68016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2938][3]~68017\ : std_logic;
SIGNAL \led_flash_cnt[2938][4]~68018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2938][4]~68019\ : std_logic;
SIGNAL \led_flash_cnt[2938][5]~68020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2938][5]~68021\ : std_logic;
SIGNAL \led_flash_cnt[2938][6]~68022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2938][6]~68023\ : std_logic;
SIGNAL \led_flash_cnt[2938][7]~68024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2938][7]~q\ : std_logic;
SIGNAL \WideAnd2938~1_combout\ : std_logic;
SIGNAL \WideAnd2938~0_combout\ : std_logic;
SIGNAL \WideAnd2938~combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][0]~83576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2936][1]~67984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2936][1]~67985\ : std_logic;
SIGNAL \led_flash_cnt[2936][2]~67986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2936][2]~67987\ : std_logic;
SIGNAL \led_flash_cnt[2936][3]~67988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2936][3]~67989\ : std_logic;
SIGNAL \led_flash_cnt[2936][4]~67990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2936][4]~67991\ : std_logic;
SIGNAL \led_flash_cnt[2936][5]~67992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2936][5]~67993\ : std_logic;
SIGNAL \led_flash_cnt[2936][6]~67994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2936][6]~67995\ : std_logic;
SIGNAL \led_flash_cnt[2936][7]~67996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2936][7]~q\ : std_logic;
SIGNAL \WideAnd2936~1_combout\ : std_logic;
SIGNAL \WideAnd2936~0_combout\ : std_logic;
SIGNAL \WideAnd2936~combout\ : std_logic;
SIGNAL \WideAnd4207~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][0]~83582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2942][1]~68068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2942][1]~68069\ : std_logic;
SIGNAL \led_flash_cnt[2942][2]~68070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2942][2]~68071\ : std_logic;
SIGNAL \led_flash_cnt[2942][3]~68072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2942][3]~68073\ : std_logic;
SIGNAL \led_flash_cnt[2942][4]~68074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2942][4]~68075\ : std_logic;
SIGNAL \led_flash_cnt[2942][5]~68076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2942][5]~68077\ : std_logic;
SIGNAL \led_flash_cnt[2942][6]~68078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2942][6]~68079\ : std_logic;
SIGNAL \led_flash_cnt[2942][7]~68080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2942][7]~q\ : std_logic;
SIGNAL \WideAnd2942~1_combout\ : std_logic;
SIGNAL \WideAnd2942~0_combout\ : std_logic;
SIGNAL \WideAnd2942~combout\ : std_logic;
SIGNAL \WideAnd4207~combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][0]~83559_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2919][1]~67746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2919][1]~67747\ : std_logic;
SIGNAL \led_flash_cnt[2919][2]~67748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2919][2]~67749\ : std_logic;
SIGNAL \led_flash_cnt[2919][3]~67750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2919][3]~67751\ : std_logic;
SIGNAL \led_flash_cnt[2919][4]~67752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][4]~q\ : std_logic;
SIGNAL \WideAnd2919~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][4]~67753\ : std_logic;
SIGNAL \led_flash_cnt[2919][5]~67754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2919][5]~67755\ : std_logic;
SIGNAL \led_flash_cnt[2919][6]~67756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][6]~q\ : std_logic;
SIGNAL \WideAnd2919~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][6]~67757\ : std_logic;
SIGNAL \led_flash_cnt[2919][7]~67758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2919][7]~q\ : std_logic;
SIGNAL \WideAnd2919~combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][0]~83554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2914][1]~67676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2914][1]~67677\ : std_logic;
SIGNAL \led_flash_cnt[2914][2]~67678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2914][2]~67679\ : std_logic;
SIGNAL \led_flash_cnt[2914][3]~67680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2914][3]~67681\ : std_logic;
SIGNAL \led_flash_cnt[2914][4]~67682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][4]~q\ : std_logic;
SIGNAL \WideAnd2914~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][4]~67683\ : std_logic;
SIGNAL \led_flash_cnt[2914][5]~67684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2914][5]~67685\ : std_logic;
SIGNAL \led_flash_cnt[2914][6]~67686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2914][6]~67687\ : std_logic;
SIGNAL \led_flash_cnt[2914][7]~67688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2914][7]~q\ : std_logic;
SIGNAL \WideAnd2914~1_combout\ : std_logic;
SIGNAL \WideAnd2914~combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][0]~83555_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2915][1]~67690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2915][1]~67691\ : std_logic;
SIGNAL \led_flash_cnt[2915][2]~67692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2915][2]~67693\ : std_logic;
SIGNAL \led_flash_cnt[2915][3]~67694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2915][3]~67695\ : std_logic;
SIGNAL \led_flash_cnt[2915][4]~67696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2915][4]~67697\ : std_logic;
SIGNAL \led_flash_cnt[2915][5]~67698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2915][5]~67699\ : std_logic;
SIGNAL \led_flash_cnt[2915][6]~67700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][6]~q\ : std_logic;
SIGNAL \WideAnd2915~1_combout\ : std_logic;
SIGNAL \WideAnd2915~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][6]~67701\ : std_logic;
SIGNAL \led_flash_cnt[2915][7]~67702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2915][7]~q\ : std_logic;
SIGNAL \WideAnd2915~combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][0]~83553_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2913][1]~67662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2913][1]~67663\ : std_logic;
SIGNAL \led_flash_cnt[2913][2]~67664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2913][2]~67665\ : std_logic;
SIGNAL \led_flash_cnt[2913][3]~67666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2913][3]~67667\ : std_logic;
SIGNAL \led_flash_cnt[2913][4]~67668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2913][4]~67669\ : std_logic;
SIGNAL \led_flash_cnt[2913][5]~67670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2913][5]~67671\ : std_logic;
SIGNAL \led_flash_cnt[2913][6]~67672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][6]~q\ : std_logic;
SIGNAL \WideAnd2913~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][6]~67673\ : std_logic;
SIGNAL \led_flash_cnt[2913][7]~67674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2913][7]~q\ : std_logic;
SIGNAL \WideAnd2913~0_combout\ : std_logic;
SIGNAL \WideAnd2913~combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][0]~83552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2912][1]~67648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2912][1]~67649\ : std_logic;
SIGNAL \led_flash_cnt[2912][2]~67650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2912][2]~67651\ : std_logic;
SIGNAL \led_flash_cnt[2912][3]~67652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2912][3]~67653\ : std_logic;
SIGNAL \led_flash_cnt[2912][4]~67654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2912][4]~67655\ : std_logic;
SIGNAL \led_flash_cnt[2912][5]~67656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2912][5]~67657\ : std_logic;
SIGNAL \led_flash_cnt[2912][6]~67658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][6]~q\ : std_logic;
SIGNAL \WideAnd2912~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][6]~67659\ : std_logic;
SIGNAL \led_flash_cnt[2912][7]~67660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2912][7]~q\ : std_logic;
SIGNAL \WideAnd2912~0_combout\ : std_logic;
SIGNAL \WideAnd2912~combout\ : std_logic;
SIGNAL \WideAnd4204~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][0]~83556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2916][1]~67704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2916][1]~67705\ : std_logic;
SIGNAL \led_flash_cnt[2916][2]~67706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2916][2]~67707\ : std_logic;
SIGNAL \led_flash_cnt[2916][3]~67708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2916][3]~67709\ : std_logic;
SIGNAL \led_flash_cnt[2916][4]~67710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][4]~q\ : std_logic;
SIGNAL \WideAnd2916~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][4]~67711\ : std_logic;
SIGNAL \led_flash_cnt[2916][5]~67712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2916][5]~67713\ : std_logic;
SIGNAL \led_flash_cnt[2916][6]~67714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2916][6]~67715\ : std_logic;
SIGNAL \led_flash_cnt[2916][7]~67716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2916][7]~q\ : std_logic;
SIGNAL \WideAnd2916~1_combout\ : std_logic;
SIGNAL \WideAnd2916~combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][0]~83557_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2917][1]~67718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2917][1]~67719\ : std_logic;
SIGNAL \led_flash_cnt[2917][2]~67720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2917][2]~67721\ : std_logic;
SIGNAL \led_flash_cnt[2917][3]~67722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2917][3]~67723\ : std_logic;
SIGNAL \led_flash_cnt[2917][4]~67724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][4]~q\ : std_logic;
SIGNAL \WideAnd2917~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][4]~67725\ : std_logic;
SIGNAL \led_flash_cnt[2917][5]~67726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2917][5]~67727\ : std_logic;
SIGNAL \led_flash_cnt[2917][6]~67728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][6]~q\ : std_logic;
SIGNAL \WideAnd2917~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][6]~67729\ : std_logic;
SIGNAL \led_flash_cnt[2917][7]~67730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2917][7]~q\ : std_logic;
SIGNAL \WideAnd2917~combout\ : std_logic;
SIGNAL \WideAnd4204~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][0]~83558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2918][1]~67732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2918][1]~67733\ : std_logic;
SIGNAL \led_flash_cnt[2918][2]~67734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2918][2]~67735\ : std_logic;
SIGNAL \led_flash_cnt[2918][3]~67736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2918][3]~67737\ : std_logic;
SIGNAL \led_flash_cnt[2918][4]~67738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][4]~q\ : std_logic;
SIGNAL \WideAnd2918~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][4]~67739\ : std_logic;
SIGNAL \led_flash_cnt[2918][5]~67740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2918][5]~67741\ : std_logic;
SIGNAL \led_flash_cnt[2918][6]~67742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][6]~q\ : std_logic;
SIGNAL \WideAnd2918~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][6]~67743\ : std_logic;
SIGNAL \led_flash_cnt[2918][7]~67744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2918][7]~q\ : std_logic;
SIGNAL \WideAnd2918~combout\ : std_logic;
SIGNAL \WideAnd4204~combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][0]~83565_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2925][1]~67830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2925][1]~67831\ : std_logic;
SIGNAL \led_flash_cnt[2925][2]~67832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2925][2]~67833\ : std_logic;
SIGNAL \led_flash_cnt[2925][3]~67834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2925][3]~67835\ : std_logic;
SIGNAL \led_flash_cnt[2925][4]~67836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][4]~q\ : std_logic;
SIGNAL \WideAnd2925~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][4]~67837\ : std_logic;
SIGNAL \led_flash_cnt[2925][5]~67838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2925][5]~67839\ : std_logic;
SIGNAL \led_flash_cnt[2925][6]~67840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][6]~q\ : std_logic;
SIGNAL \WideAnd2925~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][6]~67841\ : std_logic;
SIGNAL \led_flash_cnt[2925][7]~67842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2925][7]~q\ : std_logic;
SIGNAL \WideAnd2925~combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][0]~83564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2924][1]~67816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2924][1]~67817\ : std_logic;
SIGNAL \led_flash_cnt[2924][2]~67818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2924][2]~67819\ : std_logic;
SIGNAL \led_flash_cnt[2924][3]~67820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2924][3]~67821\ : std_logic;
SIGNAL \led_flash_cnt[2924][4]~67822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2924][4]~67823\ : std_logic;
SIGNAL \led_flash_cnt[2924][5]~67824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2924][5]~67825\ : std_logic;
SIGNAL \led_flash_cnt[2924][6]~67826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2924][6]~67827\ : std_logic;
SIGNAL \led_flash_cnt[2924][7]~67828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2924][7]~q\ : std_logic;
SIGNAL \WideAnd2924~0_combout\ : std_logic;
SIGNAL \WideAnd2924~1_combout\ : std_logic;
SIGNAL \WideAnd2924~combout\ : std_logic;
SIGNAL \WideAnd4205~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][0]~83563_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2923][1]~67802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2923][1]~67803\ : std_logic;
SIGNAL \led_flash_cnt[2923][2]~67804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2923][2]~67805\ : std_logic;
SIGNAL \led_flash_cnt[2923][3]~67806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2923][3]~67807\ : std_logic;
SIGNAL \led_flash_cnt[2923][4]~67808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2923][4]~67809\ : std_logic;
SIGNAL \led_flash_cnt[2923][5]~67810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2923][5]~67811\ : std_logic;
SIGNAL \led_flash_cnt[2923][6]~67812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2923][6]~67813\ : std_logic;
SIGNAL \led_flash_cnt[2923][7]~67814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2923][7]~q\ : std_logic;
SIGNAL \WideAnd2923~1_combout\ : std_logic;
SIGNAL \WideAnd2923~0_combout\ : std_logic;
SIGNAL \WideAnd2923~combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][0]~83560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2920][1]~67760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2920][1]~67761\ : std_logic;
SIGNAL \led_flash_cnt[2920][2]~67762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2920][2]~67763\ : std_logic;
SIGNAL \led_flash_cnt[2920][3]~67764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2920][3]~67765\ : std_logic;
SIGNAL \led_flash_cnt[2920][4]~67766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2920][4]~67767\ : std_logic;
SIGNAL \led_flash_cnt[2920][5]~67768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2920][5]~67769\ : std_logic;
SIGNAL \led_flash_cnt[2920][6]~67770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2920][6]~67771\ : std_logic;
SIGNAL \led_flash_cnt[2920][7]~67772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2920][7]~q\ : std_logic;
SIGNAL \WideAnd2920~1_combout\ : std_logic;
SIGNAL \WideAnd2920~0_combout\ : std_logic;
SIGNAL \WideAnd2920~combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][0]~83562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2922][1]~67788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2922][1]~67789\ : std_logic;
SIGNAL \led_flash_cnt[2922][2]~67790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2922][2]~67791\ : std_logic;
SIGNAL \led_flash_cnt[2922][3]~67792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2922][3]~67793\ : std_logic;
SIGNAL \led_flash_cnt[2922][4]~67794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2922][4]~67795\ : std_logic;
SIGNAL \led_flash_cnt[2922][5]~67796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2922][5]~67797\ : std_logic;
SIGNAL \led_flash_cnt[2922][6]~67798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2922][6]~67799\ : std_logic;
SIGNAL \led_flash_cnt[2922][7]~67800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2922][7]~q\ : std_logic;
SIGNAL \WideAnd2922~1_combout\ : std_logic;
SIGNAL \WideAnd2922~0_combout\ : std_logic;
SIGNAL \WideAnd2922~combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][0]~83561_combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2921][1]~67774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2921][1]~67775\ : std_logic;
SIGNAL \led_flash_cnt[2921][2]~67776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2921][2]~67777\ : std_logic;
SIGNAL \led_flash_cnt[2921][3]~67778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2921][3]~67779\ : std_logic;
SIGNAL \led_flash_cnt[2921][4]~67780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2921][4]~67781\ : std_logic;
SIGNAL \led_flash_cnt[2921][5]~67782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2921][5]~67783\ : std_logic;
SIGNAL \led_flash_cnt[2921][6]~67784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2921][6]~67785\ : std_logic;
SIGNAL \led_flash_cnt[2921][7]~67786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2921][7]~q\ : std_logic;
SIGNAL \WideAnd2921~0_combout\ : std_logic;
SIGNAL \WideAnd2921~1_combout\ : std_logic;
SIGNAL \WideAnd2921~combout\ : std_logic;
SIGNAL \WideAnd4205~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][0]~83567_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2927][1]~67858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2927][1]~67859\ : std_logic;
SIGNAL \led_flash_cnt[2927][2]~67860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2927][2]~67861\ : std_logic;
SIGNAL \led_flash_cnt[2927][3]~67862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2927][3]~67863\ : std_logic;
SIGNAL \led_flash_cnt[2927][4]~67864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2927][4]~67865\ : std_logic;
SIGNAL \led_flash_cnt[2927][5]~67866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2927][5]~67867\ : std_logic;
SIGNAL \led_flash_cnt[2927][6]~67868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][6]~q\ : std_logic;
SIGNAL \WideAnd2927~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][6]~67869\ : std_logic;
SIGNAL \led_flash_cnt[2927][7]~67870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2927][7]~q\ : std_logic;
SIGNAL \WideAnd2927~1_combout\ : std_logic;
SIGNAL \WideAnd2927~combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][0]~83566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2926][1]~67844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2926][1]~67845\ : std_logic;
SIGNAL \led_flash_cnt[2926][2]~67846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2926][2]~67847\ : std_logic;
SIGNAL \led_flash_cnt[2926][3]~67848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2926][3]~67849\ : std_logic;
SIGNAL \led_flash_cnt[2926][4]~67850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2926][4]~67851\ : std_logic;
SIGNAL \led_flash_cnt[2926][5]~67852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2926][5]~67853\ : std_logic;
SIGNAL \led_flash_cnt[2926][6]~67854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][6]~q\ : std_logic;
SIGNAL \WideAnd2926~1_combout\ : std_logic;
SIGNAL \WideAnd2926~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][6]~67855\ : std_logic;
SIGNAL \led_flash_cnt[2926][7]~67856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2926][7]~q\ : std_logic;
SIGNAL \WideAnd2926~combout\ : std_logic;
SIGNAL \WideAnd4205~combout\ : std_logic;
SIGNAL \WideAnd4365~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][0]~83574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2934][1]~67956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2934][1]~67957\ : std_logic;
SIGNAL \led_flash_cnt[2934][2]~67958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2934][2]~67959\ : std_logic;
SIGNAL \led_flash_cnt[2934][3]~67960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2934][3]~67961\ : std_logic;
SIGNAL \led_flash_cnt[2934][4]~67962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][4]~q\ : std_logic;
SIGNAL \WideAnd2934~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][4]~67963\ : std_logic;
SIGNAL \led_flash_cnt[2934][5]~67964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2934][5]~67965\ : std_logic;
SIGNAL \led_flash_cnt[2934][6]~67966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2934][6]~67967\ : std_logic;
SIGNAL \led_flash_cnt[2934][7]~67968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2934][7]~q\ : std_logic;
SIGNAL \WideAnd2934~1_combout\ : std_logic;
SIGNAL \WideAnd2934~combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][0]~83575_combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2935][1]~67970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2935][1]~67971\ : std_logic;
SIGNAL \led_flash_cnt[2935][2]~67972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2935][2]~67973\ : std_logic;
SIGNAL \led_flash_cnt[2935][3]~67974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2935][3]~67975\ : std_logic;
SIGNAL \led_flash_cnt[2935][4]~67976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2935][4]~67977\ : std_logic;
SIGNAL \led_flash_cnt[2935][5]~67978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2935][5]~67979\ : std_logic;
SIGNAL \led_flash_cnt[2935][6]~67980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2935][6]~67981\ : std_logic;
SIGNAL \led_flash_cnt[2935][7]~67982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2935][7]~q\ : std_logic;
SIGNAL \WideAnd2935~1_combout\ : std_logic;
SIGNAL \WideAnd2935~0_combout\ : std_logic;
SIGNAL \WideAnd2935~combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][0]~83573_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2933][1]~67942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2933][1]~67943\ : std_logic;
SIGNAL \led_flash_cnt[2933][2]~67944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2933][2]~67945\ : std_logic;
SIGNAL \led_flash_cnt[2933][3]~67946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2933][3]~67947\ : std_logic;
SIGNAL \led_flash_cnt[2933][4]~67948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2933][4]~67949\ : std_logic;
SIGNAL \led_flash_cnt[2933][5]~67950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2933][5]~67951\ : std_logic;
SIGNAL \led_flash_cnt[2933][6]~67952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][6]~q\ : std_logic;
SIGNAL \WideAnd2933~1_combout\ : std_logic;
SIGNAL \WideAnd2933~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][6]~67953\ : std_logic;
SIGNAL \led_flash_cnt[2933][7]~67954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2933][7]~q\ : std_logic;
SIGNAL \WideAnd2933~combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][0]~83572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2932][1]~67928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2932][1]~67929\ : std_logic;
SIGNAL \led_flash_cnt[2932][2]~67930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2932][2]~67931\ : std_logic;
SIGNAL \led_flash_cnt[2932][3]~67932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2932][3]~67933\ : std_logic;
SIGNAL \led_flash_cnt[2932][4]~67934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2932][4]~67935\ : std_logic;
SIGNAL \led_flash_cnt[2932][5]~67936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2932][5]~67937\ : std_logic;
SIGNAL \led_flash_cnt[2932][6]~67938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][6]~q\ : std_logic;
SIGNAL \WideAnd2932~1_combout\ : std_logic;
SIGNAL \WideAnd2932~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][6]~67939\ : std_logic;
SIGNAL \led_flash_cnt[2932][7]~67940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2932][7]~q\ : std_logic;
SIGNAL \WideAnd2932~combout\ : std_logic;
SIGNAL \WideAnd4206~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][0]~83571_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2931][1]~67914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2931][1]~67915\ : std_logic;
SIGNAL \led_flash_cnt[2931][2]~67916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2931][2]~67917\ : std_logic;
SIGNAL \led_flash_cnt[2931][3]~67918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2931][3]~67919\ : std_logic;
SIGNAL \led_flash_cnt[2931][4]~67920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][4]~q\ : std_logic;
SIGNAL \WideAnd2931~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][4]~67921\ : std_logic;
SIGNAL \led_flash_cnt[2931][5]~67922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2931][5]~67923\ : std_logic;
SIGNAL \led_flash_cnt[2931][6]~67924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][6]~q\ : std_logic;
SIGNAL \WideAnd2931~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][6]~67925\ : std_logic;
SIGNAL \led_flash_cnt[2931][7]~67926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2931][7]~q\ : std_logic;
SIGNAL \WideAnd2931~combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][0]~83570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2930][1]~67900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2930][1]~67901\ : std_logic;
SIGNAL \led_flash_cnt[2930][2]~67902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2930][2]~67903\ : std_logic;
SIGNAL \led_flash_cnt[2930][3]~67904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2930][3]~67905\ : std_logic;
SIGNAL \led_flash_cnt[2930][4]~67906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2930][4]~67907\ : std_logic;
SIGNAL \led_flash_cnt[2930][5]~67908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2930][5]~67909\ : std_logic;
SIGNAL \led_flash_cnt[2930][6]~67910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2930][6]~67911\ : std_logic;
SIGNAL \led_flash_cnt[2930][7]~67912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2930][7]~q\ : std_logic;
SIGNAL \WideAnd2930~0_combout\ : std_logic;
SIGNAL \WideAnd2930~1_combout\ : std_logic;
SIGNAL \WideAnd2930~combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][0]~83569_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2929][1]~67886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2929][1]~67887\ : std_logic;
SIGNAL \led_flash_cnt[2929][2]~67888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2929][2]~67889\ : std_logic;
SIGNAL \led_flash_cnt[2929][3]~67890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2929][3]~67891\ : std_logic;
SIGNAL \led_flash_cnt[2929][4]~67892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][4]~q\ : std_logic;
SIGNAL \WideAnd2929~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][4]~67893\ : std_logic;
SIGNAL \led_flash_cnt[2929][5]~67894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2929][5]~67895\ : std_logic;
SIGNAL \led_flash_cnt[2929][6]~67896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2929][6]~67897\ : std_logic;
SIGNAL \led_flash_cnt[2929][7]~67898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2929][7]~q\ : std_logic;
SIGNAL \WideAnd2929~1_combout\ : std_logic;
SIGNAL \WideAnd2929~combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][0]~83568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2928][1]~67872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2928][1]~67873\ : std_logic;
SIGNAL \led_flash_cnt[2928][2]~67874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2928][2]~67875\ : std_logic;
SIGNAL \led_flash_cnt[2928][3]~67876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2928][3]~67877\ : std_logic;
SIGNAL \led_flash_cnt[2928][4]~67878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2928][4]~67879\ : std_logic;
SIGNAL \led_flash_cnt[2928][5]~67880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2928][5]~67881\ : std_logic;
SIGNAL \led_flash_cnt[2928][6]~67882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2928][6]~67883\ : std_logic;
SIGNAL \led_flash_cnt[2928][7]~67884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2928][7]~q\ : std_logic;
SIGNAL \WideAnd2928~0_combout\ : std_logic;
SIGNAL \WideAnd2928~1_combout\ : std_logic;
SIGNAL \WideAnd2928~combout\ : std_logic;
SIGNAL \WideAnd4206~0_combout\ : std_logic;
SIGNAL \WideAnd4206~combout\ : std_logic;
SIGNAL \WideAnd4365~combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][0]~83645_combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3005][1]~68950_combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3005][1]~68951\ : std_logic;
SIGNAL \led_flash_cnt[3005][2]~68952_combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3005][2]~68953\ : std_logic;
SIGNAL \led_flash_cnt[3005][3]~68954_combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3005][3]~68955\ : std_logic;
SIGNAL \led_flash_cnt[3005][4]~68956_combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3005][4]~68957\ : std_logic;
SIGNAL \led_flash_cnt[3005][5]~68958_combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3005][5]~68959\ : std_logic;
SIGNAL \led_flash_cnt[3005][6]~68960_combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3005][6]~68961\ : std_logic;
SIGNAL \led_flash_cnt[3005][7]~68962_combout\ : std_logic;
SIGNAL \led_flash_cnt[3005][7]~q\ : std_logic;
SIGNAL \WideAnd3005~1_combout\ : std_logic;
SIGNAL \WideAnd3005~0_combout\ : std_logic;
SIGNAL \WideAnd3005~combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][0]~83644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3004][1]~68936_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3004][1]~68937\ : std_logic;
SIGNAL \led_flash_cnt[3004][2]~68938_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3004][2]~68939\ : std_logic;
SIGNAL \led_flash_cnt[3004][3]~68940_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3004][3]~68941\ : std_logic;
SIGNAL \led_flash_cnt[3004][4]~68942_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][4]~q\ : std_logic;
SIGNAL \WideAnd3004~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][4]~68943\ : std_logic;
SIGNAL \led_flash_cnt[3004][5]~68944_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3004][5]~68945\ : std_logic;
SIGNAL \led_flash_cnt[3004][6]~68946_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3004][6]~68947\ : std_logic;
SIGNAL \led_flash_cnt[3004][7]~68948_combout\ : std_logic;
SIGNAL \led_flash_cnt[3004][7]~q\ : std_logic;
SIGNAL \WideAnd3004~1_combout\ : std_logic;
SIGNAL \WideAnd3004~combout\ : std_logic;
SIGNAL \WideAnd4215~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][0]~83647_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3007][1]~68978_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3007][1]~68979\ : std_logic;
SIGNAL \led_flash_cnt[3007][2]~68980_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3007][2]~68981\ : std_logic;
SIGNAL \led_flash_cnt[3007][3]~68982_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3007][3]~68983\ : std_logic;
SIGNAL \led_flash_cnt[3007][4]~68984_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3007][4]~68985\ : std_logic;
SIGNAL \led_flash_cnt[3007][5]~68986_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3007][5]~68987\ : std_logic;
SIGNAL \led_flash_cnt[3007][6]~68988_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3007][6]~68989\ : std_logic;
SIGNAL \led_flash_cnt[3007][7]~68990_combout\ : std_logic;
SIGNAL \led_flash_cnt[3007][7]~q\ : std_logic;
SIGNAL \WideAnd3007~1_combout\ : std_logic;
SIGNAL \WideAnd3007~0_combout\ : std_logic;
SIGNAL \WideAnd3007~combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][0]~83643_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3003][1]~68922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3003][1]~68923\ : std_logic;
SIGNAL \led_flash_cnt[3003][2]~68924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3003][2]~68925\ : std_logic;
SIGNAL \led_flash_cnt[3003][3]~68926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3003][3]~68927\ : std_logic;
SIGNAL \led_flash_cnt[3003][4]~68928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][4]~q\ : std_logic;
SIGNAL \WideAnd3003~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][4]~68929\ : std_logic;
SIGNAL \led_flash_cnt[3003][5]~68930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3003][5]~68931\ : std_logic;
SIGNAL \led_flash_cnt[3003][6]~68932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3003][6]~68933\ : std_logic;
SIGNAL \led_flash_cnt[3003][7]~68934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3003][7]~q\ : std_logic;
SIGNAL \WideAnd3003~1_combout\ : std_logic;
SIGNAL \WideAnd3003~combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][0]~83640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3000][1]~68880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3000][1]~68881\ : std_logic;
SIGNAL \led_flash_cnt[3000][2]~68882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3000][2]~68883\ : std_logic;
SIGNAL \led_flash_cnt[3000][3]~68884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3000][3]~68885\ : std_logic;
SIGNAL \led_flash_cnt[3000][4]~68886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3000][4]~68887\ : std_logic;
SIGNAL \led_flash_cnt[3000][5]~68888_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3000][5]~68889\ : std_logic;
SIGNAL \led_flash_cnt[3000][6]~68890_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][6]~q\ : std_logic;
SIGNAL \WideAnd3000~1_combout\ : std_logic;
SIGNAL \WideAnd3000~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][6]~68891\ : std_logic;
SIGNAL \led_flash_cnt[3000][7]~68892_combout\ : std_logic;
SIGNAL \led_flash_cnt[3000][7]~q\ : std_logic;
SIGNAL \WideAnd3000~combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][0]~83641_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3001][1]~68894_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3001][1]~68895\ : std_logic;
SIGNAL \led_flash_cnt[3001][2]~68896_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3001][2]~68897\ : std_logic;
SIGNAL \led_flash_cnt[3001][3]~68898_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3001][3]~68899\ : std_logic;
SIGNAL \led_flash_cnt[3001][4]~68900_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3001][4]~68901\ : std_logic;
SIGNAL \led_flash_cnt[3001][5]~68902_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3001][5]~68903\ : std_logic;
SIGNAL \led_flash_cnt[3001][6]~68904_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][6]~q\ : std_logic;
SIGNAL \WideAnd3001~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][6]~68905\ : std_logic;
SIGNAL \led_flash_cnt[3001][7]~68906_combout\ : std_logic;
SIGNAL \led_flash_cnt[3001][7]~q\ : std_logic;
SIGNAL \WideAnd3001~0_combout\ : std_logic;
SIGNAL \WideAnd3001~combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][0]~83642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3002][1]~68908_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3002][1]~68909\ : std_logic;
SIGNAL \led_flash_cnt[3002][2]~68910_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3002][2]~68911\ : std_logic;
SIGNAL \led_flash_cnt[3002][3]~68912_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3002][3]~68913\ : std_logic;
SIGNAL \led_flash_cnt[3002][4]~68914_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][4]~q\ : std_logic;
SIGNAL \WideAnd3002~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][4]~68915\ : std_logic;
SIGNAL \led_flash_cnt[3002][5]~68916_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3002][5]~68917\ : std_logic;
SIGNAL \led_flash_cnt[3002][6]~68918_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][6]~q\ : std_logic;
SIGNAL \WideAnd3002~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][6]~68919\ : std_logic;
SIGNAL \led_flash_cnt[3002][7]~68920_combout\ : std_logic;
SIGNAL \led_flash_cnt[3002][7]~q\ : std_logic;
SIGNAL \WideAnd3002~combout\ : std_logic;
SIGNAL \WideAnd4215~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][0]~83646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3006][1]~68964_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3006][1]~68965\ : std_logic;
SIGNAL \led_flash_cnt[3006][2]~68966_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3006][2]~68967\ : std_logic;
SIGNAL \led_flash_cnt[3006][3]~68968_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3006][3]~68969\ : std_logic;
SIGNAL \led_flash_cnt[3006][4]~68970_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][4]~q\ : std_logic;
SIGNAL \WideAnd3006~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][4]~68971\ : std_logic;
SIGNAL \led_flash_cnt[3006][5]~68972_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3006][5]~68973\ : std_logic;
SIGNAL \led_flash_cnt[3006][6]~68974_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][6]~q\ : std_logic;
SIGNAL \WideAnd3006~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][6]~68975\ : std_logic;
SIGNAL \led_flash_cnt[3006][7]~68976_combout\ : std_logic;
SIGNAL \led_flash_cnt[3006][7]~q\ : std_logic;
SIGNAL \WideAnd3006~combout\ : std_logic;
SIGNAL \WideAnd4215~combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][0]~83613_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2973][1]~68502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2973][1]~68503\ : std_logic;
SIGNAL \led_flash_cnt[2973][2]~68504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2973][2]~68505\ : std_logic;
SIGNAL \led_flash_cnt[2973][3]~68506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2973][3]~68507\ : std_logic;
SIGNAL \led_flash_cnt[2973][4]~68508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][4]~q\ : std_logic;
SIGNAL \WideAnd2973~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][4]~68509\ : std_logic;
SIGNAL \led_flash_cnt[2973][5]~68510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2973][5]~68511\ : std_logic;
SIGNAL \led_flash_cnt[2973][6]~68512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][6]~q\ : std_logic;
SIGNAL \WideAnd2973~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][6]~68513\ : std_logic;
SIGNAL \led_flash_cnt[2973][7]~68514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2973][7]~q\ : std_logic;
SIGNAL \WideAnd2973~combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][0]~83612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2972][1]~68488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2972][1]~68489\ : std_logic;
SIGNAL \led_flash_cnt[2972][2]~68490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2972][2]~68491\ : std_logic;
SIGNAL \led_flash_cnt[2972][3]~68492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2972][3]~68493\ : std_logic;
SIGNAL \led_flash_cnt[2972][4]~68494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2972][4]~68495\ : std_logic;
SIGNAL \led_flash_cnt[2972][5]~68496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2972][5]~68497\ : std_logic;
SIGNAL \led_flash_cnt[2972][6]~68498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][6]~q\ : std_logic;
SIGNAL \WideAnd2972~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][6]~68499\ : std_logic;
SIGNAL \led_flash_cnt[2972][7]~68500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2972][7]~q\ : std_logic;
SIGNAL \WideAnd2972~0_combout\ : std_logic;
SIGNAL \WideAnd2972~combout\ : std_logic;
SIGNAL \WideAnd4211~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][0]~83615_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2975][1]~68530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2975][1]~68531\ : std_logic;
SIGNAL \led_flash_cnt[2975][2]~68532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2975][2]~68533\ : std_logic;
SIGNAL \led_flash_cnt[2975][3]~68534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2975][3]~68535\ : std_logic;
SIGNAL \led_flash_cnt[2975][4]~68536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2975][4]~68537\ : std_logic;
SIGNAL \led_flash_cnt[2975][5]~68538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2975][5]~68539\ : std_logic;
SIGNAL \led_flash_cnt[2975][6]~68540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][6]~q\ : std_logic;
SIGNAL \WideAnd2975~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][6]~68541\ : std_logic;
SIGNAL \led_flash_cnt[2975][7]~68542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2975][7]~q\ : std_logic;
SIGNAL \WideAnd2975~0_combout\ : std_logic;
SIGNAL \WideAnd2975~combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][0]~83610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2970][1]~68460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2970][1]~68461\ : std_logic;
SIGNAL \led_flash_cnt[2970][2]~68462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2970][2]~68463\ : std_logic;
SIGNAL \led_flash_cnt[2970][3]~68464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2970][3]~68465\ : std_logic;
SIGNAL \led_flash_cnt[2970][4]~68466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2970][4]~68467\ : std_logic;
SIGNAL \led_flash_cnt[2970][5]~68468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2970][5]~68469\ : std_logic;
SIGNAL \led_flash_cnt[2970][6]~68470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][6]~q\ : std_logic;
SIGNAL \WideAnd2970~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][6]~68471\ : std_logic;
SIGNAL \led_flash_cnt[2970][7]~68472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2970][7]~q\ : std_logic;
SIGNAL \WideAnd2970~0_combout\ : std_logic;
SIGNAL \WideAnd2970~combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][0]~83609_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2969][1]~68446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2969][1]~68447\ : std_logic;
SIGNAL \led_flash_cnt[2969][2]~68448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2969][2]~68449\ : std_logic;
SIGNAL \led_flash_cnt[2969][3]~68450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2969][3]~68451\ : std_logic;
SIGNAL \led_flash_cnt[2969][4]~68452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][4]~q\ : std_logic;
SIGNAL \WideAnd2969~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][4]~68453\ : std_logic;
SIGNAL \led_flash_cnt[2969][5]~68454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2969][5]~68455\ : std_logic;
SIGNAL \led_flash_cnt[2969][6]~68456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][6]~q\ : std_logic;
SIGNAL \WideAnd2969~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][6]~68457\ : std_logic;
SIGNAL \led_flash_cnt[2969][7]~68458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2969][7]~q\ : std_logic;
SIGNAL \WideAnd2969~combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][0]~83608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2968][1]~68432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2968][1]~68433\ : std_logic;
SIGNAL \led_flash_cnt[2968][2]~68434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2968][2]~68435\ : std_logic;
SIGNAL \led_flash_cnt[2968][3]~68436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2968][3]~68437\ : std_logic;
SIGNAL \led_flash_cnt[2968][4]~68438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2968][4]~68439\ : std_logic;
SIGNAL \led_flash_cnt[2968][5]~68440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2968][5]~68441\ : std_logic;
SIGNAL \led_flash_cnt[2968][6]~68442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2968][6]~68443\ : std_logic;
SIGNAL \led_flash_cnt[2968][7]~68444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2968][7]~q\ : std_logic;
SIGNAL \WideAnd2968~0_combout\ : std_logic;
SIGNAL \WideAnd2968~1_combout\ : std_logic;
SIGNAL \WideAnd2968~combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][0]~83611_combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2971][1]~68474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2971][1]~68475\ : std_logic;
SIGNAL \led_flash_cnt[2971][2]~68476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2971][2]~68477\ : std_logic;
SIGNAL \led_flash_cnt[2971][3]~68478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2971][3]~68479\ : std_logic;
SIGNAL \led_flash_cnt[2971][4]~68480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2971][4]~68481\ : std_logic;
SIGNAL \led_flash_cnt[2971][5]~68482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2971][5]~68483\ : std_logic;
SIGNAL \led_flash_cnt[2971][6]~68484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2971][6]~68485\ : std_logic;
SIGNAL \led_flash_cnt[2971][7]~68486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2971][7]~q\ : std_logic;
SIGNAL \WideAnd2971~1_combout\ : std_logic;
SIGNAL \WideAnd2971~0_combout\ : std_logic;
SIGNAL \WideAnd2971~combout\ : std_logic;
SIGNAL \WideAnd4211~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][0]~83614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2974][1]~68516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2974][1]~68517\ : std_logic;
SIGNAL \led_flash_cnt[2974][2]~68518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2974][2]~68519\ : std_logic;
SIGNAL \led_flash_cnt[2974][3]~68520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2974][3]~68521\ : std_logic;
SIGNAL \led_flash_cnt[2974][4]~68522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2974][4]~68523\ : std_logic;
SIGNAL \led_flash_cnt[2974][5]~68524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2974][5]~68525\ : std_logic;
SIGNAL \led_flash_cnt[2974][6]~68526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2974][6]~68527\ : std_logic;
SIGNAL \led_flash_cnt[2974][7]~68528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2974][7]~q\ : std_logic;
SIGNAL \WideAnd2974~1_combout\ : std_logic;
SIGNAL \WideAnd2974~0_combout\ : std_logic;
SIGNAL \WideAnd2974~combout\ : std_logic;
SIGNAL \WideAnd4211~combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][0]~83591_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2951][1]~68194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2951][1]~68195\ : std_logic;
SIGNAL \led_flash_cnt[2951][2]~68196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2951][2]~68197\ : std_logic;
SIGNAL \led_flash_cnt[2951][3]~68198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2951][3]~68199\ : std_logic;
SIGNAL \led_flash_cnt[2951][4]~68200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][4]~q\ : std_logic;
SIGNAL \WideAnd2951~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][4]~68201\ : std_logic;
SIGNAL \led_flash_cnt[2951][5]~68202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2951][5]~68203\ : std_logic;
SIGNAL \led_flash_cnt[2951][6]~68204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2951][6]~68205\ : std_logic;
SIGNAL \led_flash_cnt[2951][7]~68206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2951][7]~q\ : std_logic;
SIGNAL \WideAnd2951~1_combout\ : std_logic;
SIGNAL \WideAnd2951~combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][0]~83586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2946][1]~68124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2946][1]~68125\ : std_logic;
SIGNAL \led_flash_cnt[2946][2]~68126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2946][2]~68127\ : std_logic;
SIGNAL \led_flash_cnt[2946][3]~68128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2946][3]~68129\ : std_logic;
SIGNAL \led_flash_cnt[2946][4]~68130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2946][4]~68131\ : std_logic;
SIGNAL \led_flash_cnt[2946][5]~68132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2946][5]~68133\ : std_logic;
SIGNAL \led_flash_cnt[2946][6]~68134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][6]~q\ : std_logic;
SIGNAL \WideAnd2946~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][6]~68135\ : std_logic;
SIGNAL \led_flash_cnt[2946][7]~68136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2946][7]~q\ : std_logic;
SIGNAL \WideAnd2946~0_combout\ : std_logic;
SIGNAL \WideAnd2946~combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][0]~83587_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2947][1]~68138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2947][1]~68139\ : std_logic;
SIGNAL \led_flash_cnt[2947][2]~68140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2947][2]~68141\ : std_logic;
SIGNAL \led_flash_cnt[2947][3]~68142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2947][3]~68143\ : std_logic;
SIGNAL \led_flash_cnt[2947][4]~68144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2947][4]~68145\ : std_logic;
SIGNAL \led_flash_cnt[2947][5]~68146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2947][5]~68147\ : std_logic;
SIGNAL \led_flash_cnt[2947][6]~68148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][6]~q\ : std_logic;
SIGNAL \WideAnd2947~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][6]~68149\ : std_logic;
SIGNAL \led_flash_cnt[2947][7]~68150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2947][7]~q\ : std_logic;
SIGNAL \WideAnd2947~0_combout\ : std_logic;
SIGNAL \WideAnd2947~combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][0]~83585_combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2945][1]~68110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2945][1]~68111\ : std_logic;
SIGNAL \led_flash_cnt[2945][2]~68112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2945][2]~68113\ : std_logic;
SIGNAL \led_flash_cnt[2945][3]~68114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2945][3]~68115\ : std_logic;
SIGNAL \led_flash_cnt[2945][4]~68116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2945][4]~68117\ : std_logic;
SIGNAL \led_flash_cnt[2945][5]~68118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2945][5]~68119\ : std_logic;
SIGNAL \led_flash_cnt[2945][6]~68120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2945][6]~68121\ : std_logic;
SIGNAL \led_flash_cnt[2945][7]~68122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2945][7]~q\ : std_logic;
SIGNAL \WideAnd2945~0_combout\ : std_logic;
SIGNAL \WideAnd2945~1_combout\ : std_logic;
SIGNAL \WideAnd2945~combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][0]~83584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2944][1]~68096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2944][1]~68097\ : std_logic;
SIGNAL \led_flash_cnt[2944][2]~68098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2944][2]~68099\ : std_logic;
SIGNAL \led_flash_cnt[2944][3]~68100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2944][3]~68101\ : std_logic;
SIGNAL \led_flash_cnt[2944][4]~68102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2944][4]~68103\ : std_logic;
SIGNAL \led_flash_cnt[2944][5]~68104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2944][5]~68105\ : std_logic;
SIGNAL \led_flash_cnt[2944][6]~68106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][6]~q\ : std_logic;
SIGNAL \WideAnd2944~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][6]~68107\ : std_logic;
SIGNAL \led_flash_cnt[2944][7]~68108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2944][7]~q\ : std_logic;
SIGNAL \WideAnd2944~0_combout\ : std_logic;
SIGNAL \WideAnd2944~combout\ : std_logic;
SIGNAL \WideAnd4208~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][0]~83589_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2949][1]~68166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2949][1]~68167\ : std_logic;
SIGNAL \led_flash_cnt[2949][2]~68168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2949][2]~68169\ : std_logic;
SIGNAL \led_flash_cnt[2949][3]~68170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2949][3]~68171\ : std_logic;
SIGNAL \led_flash_cnt[2949][4]~68172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2949][4]~68173\ : std_logic;
SIGNAL \led_flash_cnt[2949][5]~68174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2949][5]~68175\ : std_logic;
SIGNAL \led_flash_cnt[2949][6]~68176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2949][6]~68177\ : std_logic;
SIGNAL \led_flash_cnt[2949][7]~68178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2949][7]~q\ : std_logic;
SIGNAL \WideAnd2949~0_combout\ : std_logic;
SIGNAL \WideAnd2949~1_combout\ : std_logic;
SIGNAL \WideAnd2949~combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][0]~83588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2948][1]~68152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2948][1]~68153\ : std_logic;
SIGNAL \led_flash_cnt[2948][2]~68154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2948][2]~68155\ : std_logic;
SIGNAL \led_flash_cnt[2948][3]~68156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2948][3]~68157\ : std_logic;
SIGNAL \led_flash_cnt[2948][4]~68158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2948][4]~68159\ : std_logic;
SIGNAL \led_flash_cnt[2948][5]~68160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2948][5]~68161\ : std_logic;
SIGNAL \led_flash_cnt[2948][6]~68162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][6]~q\ : std_logic;
SIGNAL \WideAnd2948~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][6]~68163\ : std_logic;
SIGNAL \led_flash_cnt[2948][7]~68164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2948][7]~q\ : std_logic;
SIGNAL \WideAnd2948~0_combout\ : std_logic;
SIGNAL \WideAnd2948~combout\ : std_logic;
SIGNAL \WideAnd4208~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][0]~83590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2950][1]~68180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2950][1]~68181\ : std_logic;
SIGNAL \led_flash_cnt[2950][2]~68182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2950][2]~68183\ : std_logic;
SIGNAL \led_flash_cnt[2950][3]~68184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2950][3]~68185\ : std_logic;
SIGNAL \led_flash_cnt[2950][4]~68186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2950][4]~68187\ : std_logic;
SIGNAL \led_flash_cnt[2950][5]~68188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2950][5]~68189\ : std_logic;
SIGNAL \led_flash_cnt[2950][6]~68190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][6]~q\ : std_logic;
SIGNAL \WideAnd2950~1_combout\ : std_logic;
SIGNAL \WideAnd2950~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][6]~68191\ : std_logic;
SIGNAL \led_flash_cnt[2950][7]~68192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2950][7]~q\ : std_logic;
SIGNAL \WideAnd2950~combout\ : std_logic;
SIGNAL \WideAnd4208~combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][0]~83607_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2967][1]~68418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2967][1]~68419\ : std_logic;
SIGNAL \led_flash_cnt[2967][2]~68420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2967][2]~68421\ : std_logic;
SIGNAL \led_flash_cnt[2967][3]~68422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2967][3]~68423\ : std_logic;
SIGNAL \led_flash_cnt[2967][4]~68424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][4]~q\ : std_logic;
SIGNAL \WideAnd2967~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][4]~68425\ : std_logic;
SIGNAL \led_flash_cnt[2967][5]~68426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2967][5]~68427\ : std_logic;
SIGNAL \led_flash_cnt[2967][6]~68428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2967][6]~68429\ : std_logic;
SIGNAL \led_flash_cnt[2967][7]~68430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2967][7]~q\ : std_logic;
SIGNAL \WideAnd2967~1_combout\ : std_logic;
SIGNAL \WideAnd2967~combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][0]~83606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2966][1]~68404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2966][1]~68405\ : std_logic;
SIGNAL \led_flash_cnt[2966][2]~68406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2966][2]~68407\ : std_logic;
SIGNAL \led_flash_cnt[2966][3]~68408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2966][3]~68409\ : std_logic;
SIGNAL \led_flash_cnt[2966][4]~68410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2966][4]~68411\ : std_logic;
SIGNAL \led_flash_cnt[2966][5]~68412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2966][5]~68413\ : std_logic;
SIGNAL \led_flash_cnt[2966][6]~68414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2966][6]~68415\ : std_logic;
SIGNAL \led_flash_cnt[2966][7]~68416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2966][7]~q\ : std_logic;
SIGNAL \WideAnd2966~1_combout\ : std_logic;
SIGNAL \WideAnd2966~0_combout\ : std_logic;
SIGNAL \WideAnd2966~combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][0]~83601_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2961][1]~68334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2961][1]~68335\ : std_logic;
SIGNAL \led_flash_cnt[2961][2]~68336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2961][2]~68337\ : std_logic;
SIGNAL \led_flash_cnt[2961][3]~68338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2961][3]~68339\ : std_logic;
SIGNAL \led_flash_cnt[2961][4]~68340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][4]~q\ : std_logic;
SIGNAL \WideAnd2961~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][4]~68341\ : std_logic;
SIGNAL \led_flash_cnt[2961][5]~68342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2961][5]~68343\ : std_logic;
SIGNAL \led_flash_cnt[2961][6]~68344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2961][6]~68345\ : std_logic;
SIGNAL \led_flash_cnt[2961][7]~68346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2961][7]~q\ : std_logic;
SIGNAL \WideAnd2961~1_combout\ : std_logic;
SIGNAL \WideAnd2961~combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][0]~83603_combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2963][1]~68362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2963][1]~68363\ : std_logic;
SIGNAL \led_flash_cnt[2963][2]~68364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2963][2]~68365\ : std_logic;
SIGNAL \led_flash_cnt[2963][3]~68366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2963][3]~68367\ : std_logic;
SIGNAL \led_flash_cnt[2963][4]~68368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2963][4]~68369\ : std_logic;
SIGNAL \led_flash_cnt[2963][5]~68370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2963][5]~68371\ : std_logic;
SIGNAL \led_flash_cnt[2963][6]~68372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2963][6]~68373\ : std_logic;
SIGNAL \led_flash_cnt[2963][7]~68374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2963][7]~q\ : std_logic;
SIGNAL \WideAnd2963~1_combout\ : std_logic;
SIGNAL \WideAnd2963~0_combout\ : std_logic;
SIGNAL \WideAnd2963~combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][0]~83600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2960][1]~68320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2960][1]~68321\ : std_logic;
SIGNAL \led_flash_cnt[2960][2]~68322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2960][2]~68323\ : std_logic;
SIGNAL \led_flash_cnt[2960][3]~68324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2960][3]~68325\ : std_logic;
SIGNAL \led_flash_cnt[2960][4]~68326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][4]~q\ : std_logic;
SIGNAL \WideAnd2960~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][4]~68327\ : std_logic;
SIGNAL \led_flash_cnt[2960][5]~68328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2960][5]~68329\ : std_logic;
SIGNAL \led_flash_cnt[2960][6]~68330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2960][6]~68331\ : std_logic;
SIGNAL \led_flash_cnt[2960][7]~68332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2960][7]~q\ : std_logic;
SIGNAL \WideAnd2960~1_combout\ : std_logic;
SIGNAL \WideAnd2960~combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][0]~83602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2962][1]~68348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2962][1]~68349\ : std_logic;
SIGNAL \led_flash_cnt[2962][2]~68350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2962][2]~68351\ : std_logic;
SIGNAL \led_flash_cnt[2962][3]~68352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2962][3]~68353\ : std_logic;
SIGNAL \led_flash_cnt[2962][4]~68354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2962][4]~68355\ : std_logic;
SIGNAL \led_flash_cnt[2962][5]~68356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2962][5]~68357\ : std_logic;
SIGNAL \led_flash_cnt[2962][6]~68358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2962][6]~68359\ : std_logic;
SIGNAL \led_flash_cnt[2962][7]~68360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2962][7]~q\ : std_logic;
SIGNAL \WideAnd2962~1_combout\ : std_logic;
SIGNAL \WideAnd2962~0_combout\ : std_logic;
SIGNAL \WideAnd2962~combout\ : std_logic;
SIGNAL \WideAnd4210~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][0]~83605_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2965][1]~68390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2965][1]~68391\ : std_logic;
SIGNAL \led_flash_cnt[2965][2]~68392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2965][2]~68393\ : std_logic;
SIGNAL \led_flash_cnt[2965][3]~68394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2965][3]~68395\ : std_logic;
SIGNAL \led_flash_cnt[2965][4]~68396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2965][4]~68397\ : std_logic;
SIGNAL \led_flash_cnt[2965][5]~68398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2965][5]~68399\ : std_logic;
SIGNAL \led_flash_cnt[2965][6]~68400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][6]~q\ : std_logic;
SIGNAL \WideAnd2965~1_combout\ : std_logic;
SIGNAL \WideAnd2965~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][6]~68401\ : std_logic;
SIGNAL \led_flash_cnt[2965][7]~68402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2965][7]~q\ : std_logic;
SIGNAL \WideAnd2965~combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][0]~83604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2964][1]~68376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2964][1]~68377\ : std_logic;
SIGNAL \led_flash_cnt[2964][2]~68378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2964][2]~68379\ : std_logic;
SIGNAL \led_flash_cnt[2964][3]~68380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2964][3]~68381\ : std_logic;
SIGNAL \led_flash_cnt[2964][4]~68382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2964][4]~68383\ : std_logic;
SIGNAL \led_flash_cnt[2964][5]~68384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2964][5]~68385\ : std_logic;
SIGNAL \led_flash_cnt[2964][6]~68386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][6]~q\ : std_logic;
SIGNAL \WideAnd2964~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][6]~68387\ : std_logic;
SIGNAL \led_flash_cnt[2964][7]~68388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2964][7]~q\ : std_logic;
SIGNAL \WideAnd2964~0_combout\ : std_logic;
SIGNAL \WideAnd2964~combout\ : std_logic;
SIGNAL \WideAnd4210~1_combout\ : std_logic;
SIGNAL \WideAnd4210~combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][0]~83598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2958][1]~68292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2958][1]~68293\ : std_logic;
SIGNAL \led_flash_cnt[2958][2]~68294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2958][2]~68295\ : std_logic;
SIGNAL \led_flash_cnt[2958][3]~68296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2958][3]~68297\ : std_logic;
SIGNAL \led_flash_cnt[2958][4]~68298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][4]~q\ : std_logic;
SIGNAL \WideAnd2958~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][4]~68299\ : std_logic;
SIGNAL \led_flash_cnt[2958][5]~68300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2958][5]~68301\ : std_logic;
SIGNAL \led_flash_cnt[2958][6]~68302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2958][6]~68303\ : std_logic;
SIGNAL \led_flash_cnt[2958][7]~68304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2958][7]~q\ : std_logic;
SIGNAL \WideAnd2958~1_combout\ : std_logic;
SIGNAL \WideAnd2958~combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][0]~83597_combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2957][1]~68278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2957][1]~68279\ : std_logic;
SIGNAL \led_flash_cnt[2957][2]~68280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2957][2]~68281\ : std_logic;
SIGNAL \led_flash_cnt[2957][3]~68282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2957][3]~68283\ : std_logic;
SIGNAL \led_flash_cnt[2957][4]~68284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2957][4]~68285\ : std_logic;
SIGNAL \led_flash_cnt[2957][5]~68286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2957][5]~68287\ : std_logic;
SIGNAL \led_flash_cnt[2957][6]~68288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2957][6]~68289\ : std_logic;
SIGNAL \led_flash_cnt[2957][7]~68290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2957][7]~q\ : std_logic;
SIGNAL \WideAnd2957~1_combout\ : std_logic;
SIGNAL \WideAnd2957~0_combout\ : std_logic;
SIGNAL \WideAnd2957~combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][0]~83596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2956][1]~68264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2956][1]~68265\ : std_logic;
SIGNAL \led_flash_cnt[2956][2]~68266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2956][2]~68267\ : std_logic;
SIGNAL \led_flash_cnt[2956][3]~68268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2956][3]~68269\ : std_logic;
SIGNAL \led_flash_cnt[2956][4]~68270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][4]~q\ : std_logic;
SIGNAL \WideAnd2956~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][4]~68271\ : std_logic;
SIGNAL \led_flash_cnt[2956][5]~68272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2956][5]~68273\ : std_logic;
SIGNAL \led_flash_cnt[2956][6]~68274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2956][6]~68275\ : std_logic;
SIGNAL \led_flash_cnt[2956][7]~68276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2956][7]~q\ : std_logic;
SIGNAL \WideAnd2956~1_combout\ : std_logic;
SIGNAL \WideAnd2956~combout\ : std_logic;
SIGNAL \WideAnd4209~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][0]~83593_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2953][1]~68222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2953][1]~68223\ : std_logic;
SIGNAL \led_flash_cnt[2953][2]~68224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2953][2]~68225\ : std_logic;
SIGNAL \led_flash_cnt[2953][3]~68226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2953][3]~68227\ : std_logic;
SIGNAL \led_flash_cnt[2953][4]~68228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2953][4]~68229\ : std_logic;
SIGNAL \led_flash_cnt[2953][5]~68230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2953][5]~68231\ : std_logic;
SIGNAL \led_flash_cnt[2953][6]~68232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2953][6]~68233\ : std_logic;
SIGNAL \led_flash_cnt[2953][7]~68234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2953][7]~q\ : std_logic;
SIGNAL \WideAnd2953~1_combout\ : std_logic;
SIGNAL \WideAnd2953~0_combout\ : std_logic;
SIGNAL \WideAnd2953~combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][0]~83594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2954][1]~68236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2954][1]~68237\ : std_logic;
SIGNAL \led_flash_cnt[2954][2]~68238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2954][2]~68239\ : std_logic;
SIGNAL \led_flash_cnt[2954][3]~68240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2954][3]~68241\ : std_logic;
SIGNAL \led_flash_cnt[2954][4]~68242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2954][4]~68243\ : std_logic;
SIGNAL \led_flash_cnt[2954][5]~68244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2954][5]~68245\ : std_logic;
SIGNAL \led_flash_cnt[2954][6]~68246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][6]~q\ : std_logic;
SIGNAL \WideAnd2954~1_combout\ : std_logic;
SIGNAL \WideAnd2954~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][6]~68247\ : std_logic;
SIGNAL \led_flash_cnt[2954][7]~68248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2954][7]~q\ : std_logic;
SIGNAL \WideAnd2954~combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][0]~83592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2952][1]~68208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2952][1]~68209\ : std_logic;
SIGNAL \led_flash_cnt[2952][2]~68210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2952][2]~68211\ : std_logic;
SIGNAL \led_flash_cnt[2952][3]~68212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2952][3]~68213\ : std_logic;
SIGNAL \led_flash_cnt[2952][4]~68214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2952][4]~68215\ : std_logic;
SIGNAL \led_flash_cnt[2952][5]~68216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2952][5]~68217\ : std_logic;
SIGNAL \led_flash_cnt[2952][6]~68218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][6]~q\ : std_logic;
SIGNAL \WideAnd2952~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][6]~68219\ : std_logic;
SIGNAL \led_flash_cnt[2952][7]~68220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2952][7]~q\ : std_logic;
SIGNAL \WideAnd2952~0_combout\ : std_logic;
SIGNAL \WideAnd2952~combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][0]~83595_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2955][1]~68250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2955][1]~68251\ : std_logic;
SIGNAL \led_flash_cnt[2955][2]~68252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2955][2]~68253\ : std_logic;
SIGNAL \led_flash_cnt[2955][3]~68254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2955][3]~68255\ : std_logic;
SIGNAL \led_flash_cnt[2955][4]~68256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][4]~q\ : std_logic;
SIGNAL \WideAnd2955~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][4]~68257\ : std_logic;
SIGNAL \led_flash_cnt[2955][5]~68258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2955][5]~68259\ : std_logic;
SIGNAL \led_flash_cnt[2955][6]~68260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][6]~q\ : std_logic;
SIGNAL \WideAnd2955~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][6]~68261\ : std_logic;
SIGNAL \led_flash_cnt[2955][7]~68262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2955][7]~q\ : std_logic;
SIGNAL \WideAnd2955~combout\ : std_logic;
SIGNAL \WideAnd4209~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][0]~83599_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2959][1]~68306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2959][1]~68307\ : std_logic;
SIGNAL \led_flash_cnt[2959][2]~68308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2959][2]~68309\ : std_logic;
SIGNAL \led_flash_cnt[2959][3]~68310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2959][3]~68311\ : std_logic;
SIGNAL \led_flash_cnt[2959][4]~68312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2959][4]~68313\ : std_logic;
SIGNAL \led_flash_cnt[2959][5]~68314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2959][5]~68315\ : std_logic;
SIGNAL \led_flash_cnt[2959][6]~68316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2959][6]~68317\ : std_logic;
SIGNAL \led_flash_cnt[2959][7]~68318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2959][7]~q\ : std_logic;
SIGNAL \WideAnd2959~0_combout\ : std_logic;
SIGNAL \WideAnd2959~1_combout\ : std_logic;
SIGNAL \WideAnd2959~combout\ : std_logic;
SIGNAL \WideAnd4209~combout\ : std_logic;
SIGNAL \WideAnd4366~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][0]~83638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2998][1]~68852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2998][1]~68853\ : std_logic;
SIGNAL \led_flash_cnt[2998][2]~68854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2998][2]~68855\ : std_logic;
SIGNAL \led_flash_cnt[2998][3]~68856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2998][3]~68857\ : std_logic;
SIGNAL \led_flash_cnt[2998][4]~68858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][4]~q\ : std_logic;
SIGNAL \WideAnd2998~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][4]~68859\ : std_logic;
SIGNAL \led_flash_cnt[2998][5]~68860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2998][5]~68861\ : std_logic;
SIGNAL \led_flash_cnt[2998][6]~68862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2998][6]~68863\ : std_logic;
SIGNAL \led_flash_cnt[2998][7]~68864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2998][7]~q\ : std_logic;
SIGNAL \WideAnd2998~1_combout\ : std_logic;
SIGNAL \WideAnd2998~combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][0]~83636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2996][1]~68824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2996][1]~68825\ : std_logic;
SIGNAL \led_flash_cnt[2996][2]~68826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2996][2]~68827\ : std_logic;
SIGNAL \led_flash_cnt[2996][3]~68828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2996][3]~68829\ : std_logic;
SIGNAL \led_flash_cnt[2996][4]~68830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2996][4]~68831\ : std_logic;
SIGNAL \led_flash_cnt[2996][5]~68832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2996][5]~68833\ : std_logic;
SIGNAL \led_flash_cnt[2996][6]~68834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2996][6]~68835\ : std_logic;
SIGNAL \led_flash_cnt[2996][7]~68836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2996][7]~q\ : std_logic;
SIGNAL \WideAnd2996~0_combout\ : std_logic;
SIGNAL \WideAnd2996~1_combout\ : std_logic;
SIGNAL \WideAnd2996~combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][0]~83637_combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2997][1]~68838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2997][1]~68839\ : std_logic;
SIGNAL \led_flash_cnt[2997][2]~68840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2997][2]~68841\ : std_logic;
SIGNAL \led_flash_cnt[2997][3]~68842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2997][3]~68843\ : std_logic;
SIGNAL \led_flash_cnt[2997][4]~68844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2997][4]~68845\ : std_logic;
SIGNAL \led_flash_cnt[2997][5]~68846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2997][5]~68847\ : std_logic;
SIGNAL \led_flash_cnt[2997][6]~68848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2997][6]~68849\ : std_logic;
SIGNAL \led_flash_cnt[2997][7]~68850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2997][7]~q\ : std_logic;
SIGNAL \WideAnd2997~1_combout\ : std_logic;
SIGNAL \WideAnd2997~0_combout\ : std_logic;
SIGNAL \WideAnd2997~combout\ : std_logic;
SIGNAL \WideAnd4214~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][0]~83632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2992][1]~68768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2992][1]~68769\ : std_logic;
SIGNAL \led_flash_cnt[2992][2]~68770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2992][2]~68771\ : std_logic;
SIGNAL \led_flash_cnt[2992][3]~68772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2992][3]~68773\ : std_logic;
SIGNAL \led_flash_cnt[2992][4]~68774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2992][4]~68775\ : std_logic;
SIGNAL \led_flash_cnt[2992][5]~68776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2992][5]~68777\ : std_logic;
SIGNAL \led_flash_cnt[2992][6]~68778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][6]~q\ : std_logic;
SIGNAL \WideAnd2992~1_combout\ : std_logic;
SIGNAL \WideAnd2992~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][6]~68779\ : std_logic;
SIGNAL \led_flash_cnt[2992][7]~68780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2992][7]~q\ : std_logic;
SIGNAL \WideAnd2992~combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][0]~83635_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2995][1]~68810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2995][1]~68811\ : std_logic;
SIGNAL \led_flash_cnt[2995][2]~68812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2995][2]~68813\ : std_logic;
SIGNAL \led_flash_cnt[2995][3]~68814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2995][3]~68815\ : std_logic;
SIGNAL \led_flash_cnt[2995][4]~68816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][4]~q\ : std_logic;
SIGNAL \WideAnd2995~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][4]~68817\ : std_logic;
SIGNAL \led_flash_cnt[2995][5]~68818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2995][5]~68819\ : std_logic;
SIGNAL \led_flash_cnt[2995][6]~68820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2995][6]~68821\ : std_logic;
SIGNAL \led_flash_cnt[2995][7]~68822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2995][7]~q\ : std_logic;
SIGNAL \WideAnd2995~1_combout\ : std_logic;
SIGNAL \WideAnd2995~combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][0]~83633_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2993][1]~68782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2993][1]~68783\ : std_logic;
SIGNAL \led_flash_cnt[2993][2]~68784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2993][2]~68785\ : std_logic;
SIGNAL \led_flash_cnt[2993][3]~68786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2993][3]~68787\ : std_logic;
SIGNAL \led_flash_cnt[2993][4]~68788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2993][4]~68789\ : std_logic;
SIGNAL \led_flash_cnt[2993][5]~68790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2993][5]~68791\ : std_logic;
SIGNAL \led_flash_cnt[2993][6]~68792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][6]~q\ : std_logic;
SIGNAL \WideAnd2993~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][6]~68793\ : std_logic;
SIGNAL \led_flash_cnt[2993][7]~68794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2993][7]~q\ : std_logic;
SIGNAL \WideAnd2993~0_combout\ : std_logic;
SIGNAL \WideAnd2993~combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][0]~83634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2994][1]~68796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2994][1]~68797\ : std_logic;
SIGNAL \led_flash_cnt[2994][2]~68798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2994][2]~68799\ : std_logic;
SIGNAL \led_flash_cnt[2994][3]~68800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2994][3]~68801\ : std_logic;
SIGNAL \led_flash_cnt[2994][4]~68802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2994][4]~68803\ : std_logic;
SIGNAL \led_flash_cnt[2994][5]~68804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2994][5]~68805\ : std_logic;
SIGNAL \led_flash_cnt[2994][6]~68806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2994][6]~68807\ : std_logic;
SIGNAL \led_flash_cnt[2994][7]~68808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2994][7]~q\ : std_logic;
SIGNAL \WideAnd2994~0_combout\ : std_logic;
SIGNAL \WideAnd2994~1_combout\ : std_logic;
SIGNAL \WideAnd2994~combout\ : std_logic;
SIGNAL \WideAnd4214~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][0]~83639_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2999][1]~68866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2999][1]~68867\ : std_logic;
SIGNAL \led_flash_cnt[2999][2]~68868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2999][2]~68869\ : std_logic;
SIGNAL \led_flash_cnt[2999][3]~68870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2999][3]~68871\ : std_logic;
SIGNAL \led_flash_cnt[2999][4]~68872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2999][4]~68873\ : std_logic;
SIGNAL \led_flash_cnt[2999][5]~68874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2999][5]~68875\ : std_logic;
SIGNAL \led_flash_cnt[2999][6]~68876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2999][6]~68877\ : std_logic;
SIGNAL \led_flash_cnt[2999][7]~68878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2999][7]~q\ : std_logic;
SIGNAL \WideAnd2999~1_combout\ : std_logic;
SIGNAL \WideAnd2999~0_combout\ : std_logic;
SIGNAL \WideAnd2999~combout\ : std_logic;
SIGNAL \WideAnd4214~combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][0]~83617_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2977][1]~68558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2977][1]~68559\ : std_logic;
SIGNAL \led_flash_cnt[2977][2]~68560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2977][2]~68561\ : std_logic;
SIGNAL \led_flash_cnt[2977][3]~68562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2977][3]~68563\ : std_logic;
SIGNAL \led_flash_cnt[2977][4]~68564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2977][4]~68565\ : std_logic;
SIGNAL \led_flash_cnt[2977][5]~68566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2977][5]~68567\ : std_logic;
SIGNAL \led_flash_cnt[2977][6]~68568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][6]~q\ : std_logic;
SIGNAL \WideAnd2977~1_combout\ : std_logic;
SIGNAL \WideAnd2977~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][6]~68569\ : std_logic;
SIGNAL \led_flash_cnt[2977][7]~68570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2977][7]~q\ : std_logic;
SIGNAL \WideAnd2977~combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][0]~83619_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2979][1]~68586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2979][1]~68587\ : std_logic;
SIGNAL \led_flash_cnt[2979][2]~68588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2979][2]~68589\ : std_logic;
SIGNAL \led_flash_cnt[2979][3]~68590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2979][3]~68591\ : std_logic;
SIGNAL \led_flash_cnt[2979][4]~68592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][4]~q\ : std_logic;
SIGNAL \WideAnd2979~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][4]~68593\ : std_logic;
SIGNAL \led_flash_cnt[2979][5]~68594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2979][5]~68595\ : std_logic;
SIGNAL \led_flash_cnt[2979][6]~68596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2979][6]~68597\ : std_logic;
SIGNAL \led_flash_cnt[2979][7]~68598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2979][7]~q\ : std_logic;
SIGNAL \WideAnd2979~1_combout\ : std_logic;
SIGNAL \WideAnd2979~combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][0]~83618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2978][1]~68572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2978][1]~68573\ : std_logic;
SIGNAL \led_flash_cnt[2978][2]~68574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2978][2]~68575\ : std_logic;
SIGNAL \led_flash_cnt[2978][3]~68576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2978][3]~68577\ : std_logic;
SIGNAL \led_flash_cnt[2978][4]~68578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][4]~q\ : std_logic;
SIGNAL \WideAnd2978~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][4]~68579\ : std_logic;
SIGNAL \led_flash_cnt[2978][5]~68580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2978][5]~68581\ : std_logic;
SIGNAL \led_flash_cnt[2978][6]~68582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][6]~q\ : std_logic;
SIGNAL \WideAnd2978~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][6]~68583\ : std_logic;
SIGNAL \led_flash_cnt[2978][7]~68584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2978][7]~q\ : std_logic;
SIGNAL \WideAnd2978~combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][0]~83616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2976][1]~68544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2976][1]~68545\ : std_logic;
SIGNAL \led_flash_cnt[2976][2]~68546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2976][2]~68547\ : std_logic;
SIGNAL \led_flash_cnt[2976][3]~68548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2976][3]~68549\ : std_logic;
SIGNAL \led_flash_cnt[2976][4]~68550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2976][4]~68551\ : std_logic;
SIGNAL \led_flash_cnt[2976][5]~68552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2976][5]~68553\ : std_logic;
SIGNAL \led_flash_cnt[2976][6]~68554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][6]~q\ : std_logic;
SIGNAL \WideAnd2976~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][6]~68555\ : std_logic;
SIGNAL \led_flash_cnt[2976][7]~68556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2976][7]~q\ : std_logic;
SIGNAL \WideAnd2976~0_combout\ : std_logic;
SIGNAL \WideAnd2976~combout\ : std_logic;
SIGNAL \WideAnd4212~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][0]~83623_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2983][1]~68642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2983][1]~68643\ : std_logic;
SIGNAL \led_flash_cnt[2983][2]~68644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2983][2]~68645\ : std_logic;
SIGNAL \led_flash_cnt[2983][3]~68646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2983][3]~68647\ : std_logic;
SIGNAL \led_flash_cnt[2983][4]~68648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][4]~q\ : std_logic;
SIGNAL \WideAnd2983~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][4]~68649\ : std_logic;
SIGNAL \led_flash_cnt[2983][5]~68650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2983][5]~68651\ : std_logic;
SIGNAL \led_flash_cnt[2983][6]~68652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2983][6]~68653\ : std_logic;
SIGNAL \led_flash_cnt[2983][7]~68654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2983][7]~q\ : std_logic;
SIGNAL \WideAnd2983~1_combout\ : std_logic;
SIGNAL \WideAnd2983~combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][0]~83622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2982][1]~68628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2982][1]~68629\ : std_logic;
SIGNAL \led_flash_cnt[2982][2]~68630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2982][2]~68631\ : std_logic;
SIGNAL \led_flash_cnt[2982][3]~68632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2982][3]~68633\ : std_logic;
SIGNAL \led_flash_cnt[2982][4]~68634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2982][4]~68635\ : std_logic;
SIGNAL \led_flash_cnt[2982][5]~68636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2982][5]~68637\ : std_logic;
SIGNAL \led_flash_cnt[2982][6]~68638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][6]~q\ : std_logic;
SIGNAL \WideAnd2982~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][6]~68639\ : std_logic;
SIGNAL \led_flash_cnt[2982][7]~68640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2982][7]~q\ : std_logic;
SIGNAL \WideAnd2982~0_combout\ : std_logic;
SIGNAL \WideAnd2982~combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][0]~83620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2980][1]~68600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2980][1]~68601\ : std_logic;
SIGNAL \led_flash_cnt[2980][2]~68602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2980][2]~68603\ : std_logic;
SIGNAL \led_flash_cnt[2980][3]~68604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2980][3]~68605\ : std_logic;
SIGNAL \led_flash_cnt[2980][4]~68606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][4]~q\ : std_logic;
SIGNAL \WideAnd2980~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][4]~68607\ : std_logic;
SIGNAL \led_flash_cnt[2980][5]~68608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2980][5]~68609\ : std_logic;
SIGNAL \led_flash_cnt[2980][6]~68610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2980][6]~68611\ : std_logic;
SIGNAL \led_flash_cnt[2980][7]~68612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2980][7]~q\ : std_logic;
SIGNAL \WideAnd2980~1_combout\ : std_logic;
SIGNAL \WideAnd2980~combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][0]~83621_combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2981][1]~68614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2981][1]~68615\ : std_logic;
SIGNAL \led_flash_cnt[2981][2]~68616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2981][2]~68617\ : std_logic;
SIGNAL \led_flash_cnt[2981][3]~68618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2981][3]~68619\ : std_logic;
SIGNAL \led_flash_cnt[2981][4]~68620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2981][4]~68621\ : std_logic;
SIGNAL \led_flash_cnt[2981][5]~68622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2981][5]~68623\ : std_logic;
SIGNAL \led_flash_cnt[2981][6]~68624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2981][6]~68625\ : std_logic;
SIGNAL \led_flash_cnt[2981][7]~68626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2981][7]~q\ : std_logic;
SIGNAL \WideAnd2981~1_combout\ : std_logic;
SIGNAL \WideAnd2981~0_combout\ : std_logic;
SIGNAL \WideAnd2981~combout\ : std_logic;
SIGNAL \WideAnd4212~1_combout\ : std_logic;
SIGNAL \WideAnd4212~combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][0]~83629_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2989][1]~68726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2989][1]~68727\ : std_logic;
SIGNAL \led_flash_cnt[2989][2]~68728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2989][2]~68729\ : std_logic;
SIGNAL \led_flash_cnt[2989][3]~68730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2989][3]~68731\ : std_logic;
SIGNAL \led_flash_cnt[2989][4]~68732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2989][4]~68733\ : std_logic;
SIGNAL \led_flash_cnt[2989][5]~68734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2989][5]~68735\ : std_logic;
SIGNAL \led_flash_cnt[2989][6]~68736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][6]~q\ : std_logic;
SIGNAL \WideAnd2989~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][6]~68737\ : std_logic;
SIGNAL \led_flash_cnt[2989][7]~68738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2989][7]~q\ : std_logic;
SIGNAL \WideAnd2989~0_combout\ : std_logic;
SIGNAL \WideAnd2989~combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][0]~83628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2988][1]~68712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2988][1]~68713\ : std_logic;
SIGNAL \led_flash_cnt[2988][2]~68714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2988][2]~68715\ : std_logic;
SIGNAL \led_flash_cnt[2988][3]~68716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2988][3]~68717\ : std_logic;
SIGNAL \led_flash_cnt[2988][4]~68718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2988][4]~68719\ : std_logic;
SIGNAL \led_flash_cnt[2988][5]~68720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2988][5]~68721\ : std_logic;
SIGNAL \led_flash_cnt[2988][6]~68722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][6]~q\ : std_logic;
SIGNAL \WideAnd2988~1_combout\ : std_logic;
SIGNAL \WideAnd2988~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][6]~68723\ : std_logic;
SIGNAL \led_flash_cnt[2988][7]~68724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2988][7]~q\ : std_logic;
SIGNAL \WideAnd2988~combout\ : std_logic;
SIGNAL \WideAnd4213~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][0]~83631_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2991][1]~68754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2991][1]~68755\ : std_logic;
SIGNAL \led_flash_cnt[2991][2]~68756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2991][2]~68757\ : std_logic;
SIGNAL \led_flash_cnt[2991][3]~68758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2991][3]~68759\ : std_logic;
SIGNAL \led_flash_cnt[2991][4]~68760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2991][4]~68761\ : std_logic;
SIGNAL \led_flash_cnt[2991][5]~68762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2991][5]~68763\ : std_logic;
SIGNAL \led_flash_cnt[2991][6]~68764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2991][6]~68765\ : std_logic;
SIGNAL \led_flash_cnt[2991][7]~68766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2991][7]~q\ : std_logic;
SIGNAL \WideAnd2991~0_combout\ : std_logic;
SIGNAL \WideAnd2991~1_combout\ : std_logic;
SIGNAL \WideAnd2991~combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][0]~83625_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2985][1]~68670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2985][1]~68671\ : std_logic;
SIGNAL \led_flash_cnt[2985][2]~68672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2985][2]~68673\ : std_logic;
SIGNAL \led_flash_cnt[2985][3]~68674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2985][3]~68675\ : std_logic;
SIGNAL \led_flash_cnt[2985][4]~68676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][4]~q\ : std_logic;
SIGNAL \WideAnd2985~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][4]~68677\ : std_logic;
SIGNAL \led_flash_cnt[2985][5]~68678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2985][5]~68679\ : std_logic;
SIGNAL \led_flash_cnt[2985][6]~68680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][6]~q\ : std_logic;
SIGNAL \WideAnd2985~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][6]~68681\ : std_logic;
SIGNAL \led_flash_cnt[2985][7]~68682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2985][7]~q\ : std_logic;
SIGNAL \WideAnd2985~combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][0]~83627_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2987][1]~68698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2987][1]~68699\ : std_logic;
SIGNAL \led_flash_cnt[2987][2]~68700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2987][2]~68701\ : std_logic;
SIGNAL \led_flash_cnt[2987][3]~68702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2987][3]~68703\ : std_logic;
SIGNAL \led_flash_cnt[2987][4]~68704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][4]~q\ : std_logic;
SIGNAL \WideAnd2987~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][4]~68705\ : std_logic;
SIGNAL \led_flash_cnt[2987][5]~68706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2987][5]~68707\ : std_logic;
SIGNAL \led_flash_cnt[2987][6]~68708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][6]~q\ : std_logic;
SIGNAL \WideAnd2987~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][6]~68709\ : std_logic;
SIGNAL \led_flash_cnt[2987][7]~68710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2987][7]~q\ : std_logic;
SIGNAL \WideAnd2987~combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][0]~83624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2984][1]~68656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2984][1]~68657\ : std_logic;
SIGNAL \led_flash_cnt[2984][2]~68658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2984][2]~68659\ : std_logic;
SIGNAL \led_flash_cnt[2984][3]~68660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2984][3]~68661\ : std_logic;
SIGNAL \led_flash_cnt[2984][4]~68662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2984][4]~68663\ : std_logic;
SIGNAL \led_flash_cnt[2984][5]~68664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2984][5]~68665\ : std_logic;
SIGNAL \led_flash_cnt[2984][6]~68666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2984][6]~68667\ : std_logic;
SIGNAL \led_flash_cnt[2984][7]~68668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2984][7]~q\ : std_logic;
SIGNAL \WideAnd2984~1_combout\ : std_logic;
SIGNAL \WideAnd2984~0_combout\ : std_logic;
SIGNAL \WideAnd2984~combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][0]~83626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2986][1]~68684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2986][1]~68685\ : std_logic;
SIGNAL \led_flash_cnt[2986][2]~68686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2986][2]~68687\ : std_logic;
SIGNAL \led_flash_cnt[2986][3]~68688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2986][3]~68689\ : std_logic;
SIGNAL \led_flash_cnt[2986][4]~68690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][4]~q\ : std_logic;
SIGNAL \WideAnd2986~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][4]~68691\ : std_logic;
SIGNAL \led_flash_cnt[2986][5]~68692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2986][5]~68693\ : std_logic;
SIGNAL \led_flash_cnt[2986][6]~68694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2986][6]~68695\ : std_logic;
SIGNAL \led_flash_cnt[2986][7]~68696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2986][7]~q\ : std_logic;
SIGNAL \WideAnd2986~1_combout\ : std_logic;
SIGNAL \WideAnd2986~combout\ : std_logic;
SIGNAL \WideAnd4213~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][0]~83630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2990][1]~68740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2990][1]~68741\ : std_logic;
SIGNAL \led_flash_cnt[2990][2]~68742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2990][2]~68743\ : std_logic;
SIGNAL \led_flash_cnt[2990][3]~68744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2990][3]~68745\ : std_logic;
SIGNAL \led_flash_cnt[2990][4]~68746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2990][4]~68747\ : std_logic;
SIGNAL \led_flash_cnt[2990][5]~68748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2990][5]~68749\ : std_logic;
SIGNAL \led_flash_cnt[2990][6]~68750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2990][6]~68751\ : std_logic;
SIGNAL \led_flash_cnt[2990][7]~68752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2990][7]~q\ : std_logic;
SIGNAL \WideAnd2990~1_combout\ : std_logic;
SIGNAL \WideAnd2990~0_combout\ : std_logic;
SIGNAL \WideAnd2990~combout\ : std_logic;
SIGNAL \WideAnd4213~combout\ : std_logic;
SIGNAL \WideAnd4366~1_combout\ : std_logic;
SIGNAL \WideAnd4366~combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][0]~83670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3030][1]~69300_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3030][1]~69301\ : std_logic;
SIGNAL \led_flash_cnt[3030][2]~69302_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3030][2]~69303\ : std_logic;
SIGNAL \led_flash_cnt[3030][3]~69304_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3030][3]~69305\ : std_logic;
SIGNAL \led_flash_cnt[3030][4]~69306_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3030][4]~69307\ : std_logic;
SIGNAL \led_flash_cnt[3030][5]~69308_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3030][5]~69309\ : std_logic;
SIGNAL \led_flash_cnt[3030][6]~69310_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][6]~q\ : std_logic;
SIGNAL \WideAnd3030~1_combout\ : std_logic;
SIGNAL \WideAnd3030~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][6]~69311\ : std_logic;
SIGNAL \led_flash_cnt[3030][7]~69312_combout\ : std_logic;
SIGNAL \led_flash_cnt[3030][7]~q\ : std_logic;
SIGNAL \WideAnd3030~combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][0]~83668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3028][1]~69272_combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3028][1]~69273\ : std_logic;
SIGNAL \led_flash_cnt[3028][2]~69274_combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3028][2]~69275\ : std_logic;
SIGNAL \led_flash_cnt[3028][3]~69276_combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3028][3]~69277\ : std_logic;
SIGNAL \led_flash_cnt[3028][4]~69278_combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3028][4]~69279\ : std_logic;
SIGNAL \led_flash_cnt[3028][5]~69280_combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3028][5]~69281\ : std_logic;
SIGNAL \led_flash_cnt[3028][6]~69282_combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3028][6]~69283\ : std_logic;
SIGNAL \led_flash_cnt[3028][7]~69284_combout\ : std_logic;
SIGNAL \led_flash_cnt[3028][7]~q\ : std_logic;
SIGNAL \WideAnd3028~1_combout\ : std_logic;
SIGNAL \WideAnd3028~0_combout\ : std_logic;
SIGNAL \WideAnd3028~combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][0]~83669_combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3029][1]~69286_combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3029][1]~69287\ : std_logic;
SIGNAL \led_flash_cnt[3029][2]~69288_combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3029][2]~69289\ : std_logic;
SIGNAL \led_flash_cnt[3029][3]~69290_combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3029][3]~69291\ : std_logic;
SIGNAL \led_flash_cnt[3029][4]~69292_combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3029][4]~69293\ : std_logic;
SIGNAL \led_flash_cnt[3029][5]~69294_combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3029][5]~69295\ : std_logic;
SIGNAL \led_flash_cnt[3029][6]~69296_combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3029][6]~69297\ : std_logic;
SIGNAL \led_flash_cnt[3029][7]~69298_combout\ : std_logic;
SIGNAL \led_flash_cnt[3029][7]~q\ : std_logic;
SIGNAL \WideAnd3029~1_combout\ : std_logic;
SIGNAL \WideAnd3029~0_combout\ : std_logic;
SIGNAL \WideAnd3029~combout\ : std_logic;
SIGNAL \WideAnd4218~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][0]~83666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3026][1]~69244_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3026][1]~69245\ : std_logic;
SIGNAL \led_flash_cnt[3026][2]~69246_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3026][2]~69247\ : std_logic;
SIGNAL \led_flash_cnt[3026][3]~69248_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3026][3]~69249\ : std_logic;
SIGNAL \led_flash_cnt[3026][4]~69250_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][4]~q\ : std_logic;
SIGNAL \WideAnd3026~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][4]~69251\ : std_logic;
SIGNAL \led_flash_cnt[3026][5]~69252_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3026][5]~69253\ : std_logic;
SIGNAL \led_flash_cnt[3026][6]~69254_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][6]~q\ : std_logic;
SIGNAL \WideAnd3026~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][6]~69255\ : std_logic;
SIGNAL \led_flash_cnt[3026][7]~69256_combout\ : std_logic;
SIGNAL \led_flash_cnt[3026][7]~q\ : std_logic;
SIGNAL \WideAnd3026~combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][0]~83665_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3025][1]~69230_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3025][1]~69231\ : std_logic;
SIGNAL \led_flash_cnt[3025][2]~69232_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3025][2]~69233\ : std_logic;
SIGNAL \led_flash_cnt[3025][3]~69234_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3025][3]~69235\ : std_logic;
SIGNAL \led_flash_cnt[3025][4]~69236_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3025][4]~69237\ : std_logic;
SIGNAL \led_flash_cnt[3025][5]~69238_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3025][5]~69239\ : std_logic;
SIGNAL \led_flash_cnt[3025][6]~69240_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][6]~q\ : std_logic;
SIGNAL \WideAnd3025~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][6]~69241\ : std_logic;
SIGNAL \led_flash_cnt[3025][7]~69242_combout\ : std_logic;
SIGNAL \led_flash_cnt[3025][7]~q\ : std_logic;
SIGNAL \WideAnd3025~0_combout\ : std_logic;
SIGNAL \WideAnd3025~combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][0]~83667_combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3027][1]~69258_combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3027][1]~69259\ : std_logic;
SIGNAL \led_flash_cnt[3027][2]~69260_combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3027][2]~69261\ : std_logic;
SIGNAL \led_flash_cnt[3027][3]~69262_combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3027][3]~69263\ : std_logic;
SIGNAL \led_flash_cnt[3027][4]~69264_combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3027][4]~69265\ : std_logic;
SIGNAL \led_flash_cnt[3027][5]~69266_combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3027][5]~69267\ : std_logic;
SIGNAL \led_flash_cnt[3027][6]~69268_combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3027][6]~69269\ : std_logic;
SIGNAL \led_flash_cnt[3027][7]~69270_combout\ : std_logic;
SIGNAL \led_flash_cnt[3027][7]~q\ : std_logic;
SIGNAL \WideAnd3027~1_combout\ : std_logic;
SIGNAL \WideAnd3027~0_combout\ : std_logic;
SIGNAL \WideAnd3027~combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][0]~83664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3024][1]~69216_combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3024][1]~69217\ : std_logic;
SIGNAL \led_flash_cnt[3024][2]~69218_combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3024][2]~69219\ : std_logic;
SIGNAL \led_flash_cnt[3024][3]~69220_combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3024][3]~69221\ : std_logic;
SIGNAL \led_flash_cnt[3024][4]~69222_combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3024][4]~69223\ : std_logic;
SIGNAL \led_flash_cnt[3024][5]~69224_combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3024][5]~69225\ : std_logic;
SIGNAL \led_flash_cnt[3024][6]~69226_combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3024][6]~69227\ : std_logic;
SIGNAL \led_flash_cnt[3024][7]~69228_combout\ : std_logic;
SIGNAL \led_flash_cnt[3024][7]~q\ : std_logic;
SIGNAL \WideAnd3024~1_combout\ : std_logic;
SIGNAL \WideAnd3024~0_combout\ : std_logic;
SIGNAL \WideAnd3024~combout\ : std_logic;
SIGNAL \WideAnd4218~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][0]~83671_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3031][1]~69314_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3031][1]~69315\ : std_logic;
SIGNAL \led_flash_cnt[3031][2]~69316_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3031][2]~69317\ : std_logic;
SIGNAL \led_flash_cnt[3031][3]~69318_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3031][3]~69319\ : std_logic;
SIGNAL \led_flash_cnt[3031][4]~69320_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3031][4]~69321\ : std_logic;
SIGNAL \led_flash_cnt[3031][5]~69322_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3031][5]~69323\ : std_logic;
SIGNAL \led_flash_cnt[3031][6]~69324_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][6]~q\ : std_logic;
SIGNAL \WideAnd3031~1_combout\ : std_logic;
SIGNAL \WideAnd3031~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][6]~69325\ : std_logic;
SIGNAL \led_flash_cnt[3031][7]~69326_combout\ : std_logic;
SIGNAL \led_flash_cnt[3031][7]~q\ : std_logic;
SIGNAL \WideAnd3031~combout\ : std_logic;
SIGNAL \WideAnd4218~combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][0]~83679_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3039][1]~69426_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3039][1]~69427\ : std_logic;
SIGNAL \led_flash_cnt[3039][2]~69428_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3039][2]~69429\ : std_logic;
SIGNAL \led_flash_cnt[3039][3]~69430_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3039][3]~69431\ : std_logic;
SIGNAL \led_flash_cnt[3039][4]~69432_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3039][4]~69433\ : std_logic;
SIGNAL \led_flash_cnt[3039][5]~69434_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3039][5]~69435\ : std_logic;
SIGNAL \led_flash_cnt[3039][6]~69436_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][6]~q\ : std_logic;
SIGNAL \WideAnd3039~1_combout\ : std_logic;
SIGNAL \WideAnd3039~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][6]~69437\ : std_logic;
SIGNAL \led_flash_cnt[3039][7]~69438_combout\ : std_logic;
SIGNAL \led_flash_cnt[3039][7]~q\ : std_logic;
SIGNAL \WideAnd3039~combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][0]~83676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3036][1]~69384_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3036][1]~69385\ : std_logic;
SIGNAL \led_flash_cnt[3036][2]~69386_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3036][2]~69387\ : std_logic;
SIGNAL \led_flash_cnt[3036][3]~69388_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3036][3]~69389\ : std_logic;
SIGNAL \led_flash_cnt[3036][4]~69390_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3036][4]~69391\ : std_logic;
SIGNAL \led_flash_cnt[3036][5]~69392_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3036][5]~69393\ : std_logic;
SIGNAL \led_flash_cnt[3036][6]~69394_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][6]~q\ : std_logic;
SIGNAL \WideAnd3036~1_combout\ : std_logic;
SIGNAL \WideAnd3036~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][6]~69395\ : std_logic;
SIGNAL \led_flash_cnt[3036][7]~69396_combout\ : std_logic;
SIGNAL \led_flash_cnt[3036][7]~q\ : std_logic;
SIGNAL \WideAnd3036~combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][0]~83677_combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3037][1]~69398_combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3037][1]~69399\ : std_logic;
SIGNAL \led_flash_cnt[3037][2]~69400_combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3037][2]~69401\ : std_logic;
SIGNAL \led_flash_cnt[3037][3]~69402_combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3037][3]~69403\ : std_logic;
SIGNAL \led_flash_cnt[3037][4]~69404_combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3037][4]~69405\ : std_logic;
SIGNAL \led_flash_cnt[3037][5]~69406_combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3037][5]~69407\ : std_logic;
SIGNAL \led_flash_cnt[3037][6]~69408_combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3037][6]~69409\ : std_logic;
SIGNAL \led_flash_cnt[3037][7]~69410_combout\ : std_logic;
SIGNAL \led_flash_cnt[3037][7]~q\ : std_logic;
SIGNAL \WideAnd3037~1_combout\ : std_logic;
SIGNAL \WideAnd3037~0_combout\ : std_logic;
SIGNAL \WideAnd3037~combout\ : std_logic;
SIGNAL \WideAnd4219~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][0]~83675_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3035][1]~69370_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3035][1]~69371\ : std_logic;
SIGNAL \led_flash_cnt[3035][2]~69372_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3035][2]~69373\ : std_logic;
SIGNAL \led_flash_cnt[3035][3]~69374_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3035][3]~69375\ : std_logic;
SIGNAL \led_flash_cnt[3035][4]~69376_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][4]~q\ : std_logic;
SIGNAL \WideAnd3035~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][4]~69377\ : std_logic;
SIGNAL \led_flash_cnt[3035][5]~69378_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3035][5]~69379\ : std_logic;
SIGNAL \led_flash_cnt[3035][6]~69380_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3035][6]~69381\ : std_logic;
SIGNAL \led_flash_cnt[3035][7]~69382_combout\ : std_logic;
SIGNAL \led_flash_cnt[3035][7]~q\ : std_logic;
SIGNAL \WideAnd3035~1_combout\ : std_logic;
SIGNAL \WideAnd3035~combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][0]~83672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3032][1]~69328_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3032][1]~69329\ : std_logic;
SIGNAL \led_flash_cnt[3032][2]~69330_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3032][2]~69331\ : std_logic;
SIGNAL \led_flash_cnt[3032][3]~69332_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3032][3]~69333\ : std_logic;
SIGNAL \led_flash_cnt[3032][4]~69334_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3032][4]~69335\ : std_logic;
SIGNAL \led_flash_cnt[3032][5]~69336_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3032][5]~69337\ : std_logic;
SIGNAL \led_flash_cnt[3032][6]~69338_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][6]~q\ : std_logic;
SIGNAL \WideAnd3032~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][6]~69339\ : std_logic;
SIGNAL \led_flash_cnt[3032][7]~69340_combout\ : std_logic;
SIGNAL \led_flash_cnt[3032][7]~q\ : std_logic;
SIGNAL \WideAnd3032~0_combout\ : std_logic;
SIGNAL \WideAnd3032~combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][0]~83673_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3033][1]~69342_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3033][1]~69343\ : std_logic;
SIGNAL \led_flash_cnt[3033][2]~69344_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3033][2]~69345\ : std_logic;
SIGNAL \led_flash_cnt[3033][3]~69346_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3033][3]~69347\ : std_logic;
SIGNAL \led_flash_cnt[3033][4]~69348_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][4]~q\ : std_logic;
SIGNAL \WideAnd3033~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][4]~69349\ : std_logic;
SIGNAL \led_flash_cnt[3033][5]~69350_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3033][5]~69351\ : std_logic;
SIGNAL \led_flash_cnt[3033][6]~69352_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][6]~q\ : std_logic;
SIGNAL \WideAnd3033~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][6]~69353\ : std_logic;
SIGNAL \led_flash_cnt[3033][7]~69354_combout\ : std_logic;
SIGNAL \led_flash_cnt[3033][7]~q\ : std_logic;
SIGNAL \WideAnd3033~combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][0]~83674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3034][1]~69356_combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3034][1]~69357\ : std_logic;
SIGNAL \led_flash_cnt[3034][2]~69358_combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3034][2]~69359\ : std_logic;
SIGNAL \led_flash_cnt[3034][3]~69360_combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3034][3]~69361\ : std_logic;
SIGNAL \led_flash_cnt[3034][4]~69362_combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3034][4]~69363\ : std_logic;
SIGNAL \led_flash_cnt[3034][5]~69364_combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3034][5]~69365\ : std_logic;
SIGNAL \led_flash_cnt[3034][6]~69366_combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3034][6]~69367\ : std_logic;
SIGNAL \led_flash_cnt[3034][7]~69368_combout\ : std_logic;
SIGNAL \led_flash_cnt[3034][7]~q\ : std_logic;
SIGNAL \WideAnd3034~0_combout\ : std_logic;
SIGNAL \WideAnd3034~1_combout\ : std_logic;
SIGNAL \WideAnd3034~combout\ : std_logic;
SIGNAL \WideAnd4219~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][0]~83678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3038][1]~69412_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3038][1]~69413\ : std_logic;
SIGNAL \led_flash_cnt[3038][2]~69414_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3038][2]~69415\ : std_logic;
SIGNAL \led_flash_cnt[3038][3]~69416_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3038][3]~69417\ : std_logic;
SIGNAL \led_flash_cnt[3038][4]~69418_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3038][4]~69419\ : std_logic;
SIGNAL \led_flash_cnt[3038][5]~69420_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3038][5]~69421\ : std_logic;
SIGNAL \led_flash_cnt[3038][6]~69422_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3038][6]~69423\ : std_logic;
SIGNAL \led_flash_cnt[3038][7]~69424_combout\ : std_logic;
SIGNAL \led_flash_cnt[3038][7]~q\ : std_logic;
SIGNAL \WideAnd3038~1_combout\ : std_logic;
SIGNAL \WideAnd3038~0_combout\ : std_logic;
SIGNAL \WideAnd3038~combout\ : std_logic;
SIGNAL \WideAnd4219~combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][0]~83651_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3011][1]~69034_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3011][1]~69035\ : std_logic;
SIGNAL \led_flash_cnt[3011][2]~69036_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3011][2]~69037\ : std_logic;
SIGNAL \led_flash_cnt[3011][3]~69038_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3011][3]~69039\ : std_logic;
SIGNAL \led_flash_cnt[3011][4]~69040_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][4]~q\ : std_logic;
SIGNAL \WideAnd3011~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][4]~69041\ : std_logic;
SIGNAL \led_flash_cnt[3011][5]~69042_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3011][5]~69043\ : std_logic;
SIGNAL \led_flash_cnt[3011][6]~69044_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3011][6]~69045\ : std_logic;
SIGNAL \led_flash_cnt[3011][7]~69046_combout\ : std_logic;
SIGNAL \led_flash_cnt[3011][7]~q\ : std_logic;
SIGNAL \WideAnd3011~1_combout\ : std_logic;
SIGNAL \WideAnd3011~combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][0]~83650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3010][1]~69020_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3010][1]~69021\ : std_logic;
SIGNAL \led_flash_cnt[3010][2]~69022_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3010][2]~69023\ : std_logic;
SIGNAL \led_flash_cnt[3010][3]~69024_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3010][3]~69025\ : std_logic;
SIGNAL \led_flash_cnt[3010][4]~69026_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3010][4]~69027\ : std_logic;
SIGNAL \led_flash_cnt[3010][5]~69028_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3010][5]~69029\ : std_logic;
SIGNAL \led_flash_cnt[3010][6]~69030_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][6]~q\ : std_logic;
SIGNAL \WideAnd3010~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][6]~69031\ : std_logic;
SIGNAL \led_flash_cnt[3010][7]~69032_combout\ : std_logic;
SIGNAL \led_flash_cnt[3010][7]~q\ : std_logic;
SIGNAL \WideAnd3010~0_combout\ : std_logic;
SIGNAL \WideAnd3010~combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][0]~83649_combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3009][1]~69006_combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3009][1]~69007\ : std_logic;
SIGNAL \led_flash_cnt[3009][2]~69008_combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3009][2]~69009\ : std_logic;
SIGNAL \led_flash_cnt[3009][3]~69010_combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3009][3]~69011\ : std_logic;
SIGNAL \led_flash_cnt[3009][4]~69012_combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3009][4]~69013\ : std_logic;
SIGNAL \led_flash_cnt[3009][5]~69014_combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3009][5]~69015\ : std_logic;
SIGNAL \led_flash_cnt[3009][6]~69016_combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3009][6]~69017\ : std_logic;
SIGNAL \led_flash_cnt[3009][7]~69018_combout\ : std_logic;
SIGNAL \led_flash_cnt[3009][7]~q\ : std_logic;
SIGNAL \WideAnd3009~0_combout\ : std_logic;
SIGNAL \WideAnd3009~1_combout\ : std_logic;
SIGNAL \WideAnd3009~combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][0]~83648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3008][1]~68992_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3008][1]~68993\ : std_logic;
SIGNAL \led_flash_cnt[3008][2]~68994_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3008][2]~68995\ : std_logic;
SIGNAL \led_flash_cnt[3008][3]~68996_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3008][3]~68997\ : std_logic;
SIGNAL \led_flash_cnt[3008][4]~68998_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3008][4]~68999\ : std_logic;
SIGNAL \led_flash_cnt[3008][5]~69000_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3008][5]~69001\ : std_logic;
SIGNAL \led_flash_cnt[3008][6]~69002_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][6]~q\ : std_logic;
SIGNAL \WideAnd3008~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][6]~69003\ : std_logic;
SIGNAL \led_flash_cnt[3008][7]~69004_combout\ : std_logic;
SIGNAL \led_flash_cnt[3008][7]~q\ : std_logic;
SIGNAL \WideAnd3008~0_combout\ : std_logic;
SIGNAL \WideAnd3008~combout\ : std_logic;
SIGNAL \WideAnd4216~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][0]~83655_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3015][1]~69090_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3015][1]~69091\ : std_logic;
SIGNAL \led_flash_cnt[3015][2]~69092_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3015][2]~69093\ : std_logic;
SIGNAL \led_flash_cnt[3015][3]~69094_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3015][3]~69095\ : std_logic;
SIGNAL \led_flash_cnt[3015][4]~69096_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3015][4]~69097\ : std_logic;
SIGNAL \led_flash_cnt[3015][5]~69098_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3015][5]~69099\ : std_logic;
SIGNAL \led_flash_cnt[3015][6]~69100_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][6]~q\ : std_logic;
SIGNAL \WideAnd3015~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][6]~69101\ : std_logic;
SIGNAL \led_flash_cnt[3015][7]~69102_combout\ : std_logic;
SIGNAL \led_flash_cnt[3015][7]~q\ : std_logic;
SIGNAL \WideAnd3015~0_combout\ : std_logic;
SIGNAL \WideAnd3015~combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][0]~83654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3014][1]~69076_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3014][1]~69077\ : std_logic;
SIGNAL \led_flash_cnt[3014][2]~69078_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3014][2]~69079\ : std_logic;
SIGNAL \led_flash_cnt[3014][3]~69080_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3014][3]~69081\ : std_logic;
SIGNAL \led_flash_cnt[3014][4]~69082_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3014][4]~69083\ : std_logic;
SIGNAL \led_flash_cnt[3014][5]~69084_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3014][5]~69085\ : std_logic;
SIGNAL \led_flash_cnt[3014][6]~69086_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][6]~q\ : std_logic;
SIGNAL \WideAnd3014~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][6]~69087\ : std_logic;
SIGNAL \led_flash_cnt[3014][7]~69088_combout\ : std_logic;
SIGNAL \led_flash_cnt[3014][7]~q\ : std_logic;
SIGNAL \WideAnd3014~1_combout\ : std_logic;
SIGNAL \WideAnd3014~combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][0]~83653_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3013][1]~69062_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3013][1]~69063\ : std_logic;
SIGNAL \led_flash_cnt[3013][2]~69064_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3013][2]~69065\ : std_logic;
SIGNAL \led_flash_cnt[3013][3]~69066_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3013][3]~69067\ : std_logic;
SIGNAL \led_flash_cnt[3013][4]~69068_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][4]~q\ : std_logic;
SIGNAL \WideAnd3013~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][4]~69069\ : std_logic;
SIGNAL \led_flash_cnt[3013][5]~69070_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3013][5]~69071\ : std_logic;
SIGNAL \led_flash_cnt[3013][6]~69072_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][6]~q\ : std_logic;
SIGNAL \WideAnd3013~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][6]~69073\ : std_logic;
SIGNAL \led_flash_cnt[3013][7]~69074_combout\ : std_logic;
SIGNAL \led_flash_cnt[3013][7]~q\ : std_logic;
SIGNAL \WideAnd3013~combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][0]~83652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3012][1]~69048_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3012][1]~69049\ : std_logic;
SIGNAL \led_flash_cnt[3012][2]~69050_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3012][2]~69051\ : std_logic;
SIGNAL \led_flash_cnt[3012][3]~69052_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3012][3]~69053\ : std_logic;
SIGNAL \led_flash_cnt[3012][4]~69054_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3012][4]~69055\ : std_logic;
SIGNAL \led_flash_cnt[3012][5]~69056_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3012][5]~69057\ : std_logic;
SIGNAL \led_flash_cnt[3012][6]~69058_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][6]~q\ : std_logic;
SIGNAL \WideAnd3012~1_combout\ : std_logic;
SIGNAL \WideAnd3012~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][6]~69059\ : std_logic;
SIGNAL \led_flash_cnt[3012][7]~69060_combout\ : std_logic;
SIGNAL \led_flash_cnt[3012][7]~q\ : std_logic;
SIGNAL \WideAnd3012~combout\ : std_logic;
SIGNAL \WideAnd4216~1_combout\ : std_logic;
SIGNAL \WideAnd4216~combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][0]~83661_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3021][1]~69174_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3021][1]~69175\ : std_logic;
SIGNAL \led_flash_cnt[3021][2]~69176_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3021][2]~69177\ : std_logic;
SIGNAL \led_flash_cnt[3021][3]~69178_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3021][3]~69179\ : std_logic;
SIGNAL \led_flash_cnt[3021][4]~69180_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][4]~q\ : std_logic;
SIGNAL \WideAnd3021~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][4]~69181\ : std_logic;
SIGNAL \led_flash_cnt[3021][5]~69182_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3021][5]~69183\ : std_logic;
SIGNAL \led_flash_cnt[3021][6]~69184_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3021][6]~69185\ : std_logic;
SIGNAL \led_flash_cnt[3021][7]~69186_combout\ : std_logic;
SIGNAL \led_flash_cnt[3021][7]~q\ : std_logic;
SIGNAL \WideAnd3021~1_combout\ : std_logic;
SIGNAL \WideAnd3021~combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][0]~83660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3020][1]~69160_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3020][1]~69161\ : std_logic;
SIGNAL \led_flash_cnt[3020][2]~69162_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3020][2]~69163\ : std_logic;
SIGNAL \led_flash_cnt[3020][3]~69164_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3020][3]~69165\ : std_logic;
SIGNAL \led_flash_cnt[3020][4]~69166_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3020][4]~69167\ : std_logic;
SIGNAL \led_flash_cnt[3020][5]~69168_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3020][5]~69169\ : std_logic;
SIGNAL \led_flash_cnt[3020][6]~69170_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][6]~q\ : std_logic;
SIGNAL \WideAnd3020~1_combout\ : std_logic;
SIGNAL \WideAnd3020~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][6]~69171\ : std_logic;
SIGNAL \led_flash_cnt[3020][7]~69172_combout\ : std_logic;
SIGNAL \led_flash_cnt[3020][7]~q\ : std_logic;
SIGNAL \WideAnd3020~combout\ : std_logic;
SIGNAL \WideAnd4217~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][0]~83662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3022][1]~69188_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3022][1]~69189\ : std_logic;
SIGNAL \led_flash_cnt[3022][2]~69190_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3022][2]~69191\ : std_logic;
SIGNAL \led_flash_cnt[3022][3]~69192_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3022][3]~69193\ : std_logic;
SIGNAL \led_flash_cnt[3022][4]~69194_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][4]~q\ : std_logic;
SIGNAL \WideAnd3022~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][4]~69195\ : std_logic;
SIGNAL \led_flash_cnt[3022][5]~69196_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3022][5]~69197\ : std_logic;
SIGNAL \led_flash_cnt[3022][6]~69198_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3022][6]~69199\ : std_logic;
SIGNAL \led_flash_cnt[3022][7]~69200_combout\ : std_logic;
SIGNAL \led_flash_cnt[3022][7]~q\ : std_logic;
SIGNAL \WideAnd3022~1_combout\ : std_logic;
SIGNAL \WideAnd3022~combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][0]~83663_combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3023][1]~69202_combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3023][1]~69203\ : std_logic;
SIGNAL \led_flash_cnt[3023][2]~69204_combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3023][2]~69205\ : std_logic;
SIGNAL \led_flash_cnt[3023][3]~69206_combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3023][3]~69207\ : std_logic;
SIGNAL \led_flash_cnt[3023][4]~69208_combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3023][4]~69209\ : std_logic;
SIGNAL \led_flash_cnt[3023][5]~69210_combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3023][5]~69211\ : std_logic;
SIGNAL \led_flash_cnt[3023][6]~69212_combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3023][6]~69213\ : std_logic;
SIGNAL \led_flash_cnt[3023][7]~69214_combout\ : std_logic;
SIGNAL \led_flash_cnt[3023][7]~q\ : std_logic;
SIGNAL \WideAnd3023~1_combout\ : std_logic;
SIGNAL \WideAnd3023~0_combout\ : std_logic;
SIGNAL \WideAnd3023~combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][0]~83659_combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3019][1]~69146_combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3019][1]~69147\ : std_logic;
SIGNAL \led_flash_cnt[3019][2]~69148_combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3019][2]~69149\ : std_logic;
SIGNAL \led_flash_cnt[3019][3]~69150_combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3019][3]~69151\ : std_logic;
SIGNAL \led_flash_cnt[3019][4]~69152_combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3019][4]~69153\ : std_logic;
SIGNAL \led_flash_cnt[3019][5]~69154_combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3019][5]~69155\ : std_logic;
SIGNAL \led_flash_cnt[3019][6]~69156_combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3019][6]~69157\ : std_logic;
SIGNAL \led_flash_cnt[3019][7]~69158_combout\ : std_logic;
SIGNAL \led_flash_cnt[3019][7]~q\ : std_logic;
SIGNAL \WideAnd3019~1_combout\ : std_logic;
SIGNAL \WideAnd3019~0_combout\ : std_logic;
SIGNAL \WideAnd3019~combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][0]~83656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3016][1]~69104_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3016][1]~69105\ : std_logic;
SIGNAL \led_flash_cnt[3016][2]~69106_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3016][2]~69107\ : std_logic;
SIGNAL \led_flash_cnt[3016][3]~69108_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3016][3]~69109\ : std_logic;
SIGNAL \led_flash_cnt[3016][4]~69110_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][4]~q\ : std_logic;
SIGNAL \WideAnd3016~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][4]~69111\ : std_logic;
SIGNAL \led_flash_cnt[3016][5]~69112_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3016][5]~69113\ : std_logic;
SIGNAL \led_flash_cnt[3016][6]~69114_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3016][6]~69115\ : std_logic;
SIGNAL \led_flash_cnt[3016][7]~69116_combout\ : std_logic;
SIGNAL \led_flash_cnt[3016][7]~q\ : std_logic;
SIGNAL \WideAnd3016~1_combout\ : std_logic;
SIGNAL \WideAnd3016~combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][0]~83658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3018][1]~69132_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3018][1]~69133\ : std_logic;
SIGNAL \led_flash_cnt[3018][2]~69134_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3018][2]~69135\ : std_logic;
SIGNAL \led_flash_cnt[3018][3]~69136_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3018][3]~69137\ : std_logic;
SIGNAL \led_flash_cnt[3018][4]~69138_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3018][4]~69139\ : std_logic;
SIGNAL \led_flash_cnt[3018][5]~69140_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3018][5]~69141\ : std_logic;
SIGNAL \led_flash_cnt[3018][6]~69142_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][6]~q\ : std_logic;
SIGNAL \WideAnd3018~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][6]~69143\ : std_logic;
SIGNAL \led_flash_cnt[3018][7]~69144_combout\ : std_logic;
SIGNAL \led_flash_cnt[3018][7]~q\ : std_logic;
SIGNAL \WideAnd3018~0_combout\ : std_logic;
SIGNAL \WideAnd3018~combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][0]~83657_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3017][1]~69118_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3017][1]~69119\ : std_logic;
SIGNAL \led_flash_cnt[3017][2]~69120_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3017][2]~69121\ : std_logic;
SIGNAL \led_flash_cnt[3017][3]~69122_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3017][3]~69123\ : std_logic;
SIGNAL \led_flash_cnt[3017][4]~69124_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][4]~q\ : std_logic;
SIGNAL \WideAnd3017~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][4]~69125\ : std_logic;
SIGNAL \led_flash_cnt[3017][5]~69126_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3017][5]~69127\ : std_logic;
SIGNAL \led_flash_cnt[3017][6]~69128_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3017][6]~69129\ : std_logic;
SIGNAL \led_flash_cnt[3017][7]~69130_combout\ : std_logic;
SIGNAL \led_flash_cnt[3017][7]~q\ : std_logic;
SIGNAL \WideAnd3017~1_combout\ : std_logic;
SIGNAL \WideAnd3017~combout\ : std_logic;
SIGNAL \WideAnd4217~0_combout\ : std_logic;
SIGNAL \WideAnd4217~combout\ : std_logic;
SIGNAL \WideAnd4367~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][0]~83705_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3065][1]~69790_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3065][1]~69791\ : std_logic;
SIGNAL \led_flash_cnt[3065][2]~69792_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3065][2]~69793\ : std_logic;
SIGNAL \led_flash_cnt[3065][3]~69794_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3065][3]~69795\ : std_logic;
SIGNAL \led_flash_cnt[3065][4]~69796_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3065][4]~69797\ : std_logic;
SIGNAL \led_flash_cnt[3065][5]~69798_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3065][5]~69799\ : std_logic;
SIGNAL \led_flash_cnt[3065][6]~69800_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3065][6]~69801\ : std_logic;
SIGNAL \led_flash_cnt[3065][7]~69802_combout\ : std_logic;
SIGNAL \led_flash_cnt[3065][7]~q\ : std_logic;
SIGNAL \WideAnd3065~1_combout\ : std_logic;
SIGNAL \WideAnd3065~0_combout\ : std_logic;
SIGNAL \WideAnd3065~combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][0]~83707_combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3067][1]~69818_combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3067][1]~69819\ : std_logic;
SIGNAL \led_flash_cnt[3067][2]~69820_combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3067][2]~69821\ : std_logic;
SIGNAL \led_flash_cnt[3067][3]~69822_combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3067][3]~69823\ : std_logic;
SIGNAL \led_flash_cnt[3067][4]~69824_combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3067][4]~69825\ : std_logic;
SIGNAL \led_flash_cnt[3067][5]~69826_combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3067][5]~69827\ : std_logic;
SIGNAL \led_flash_cnt[3067][6]~69828_combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3067][6]~69829\ : std_logic;
SIGNAL \led_flash_cnt[3067][7]~69830_combout\ : std_logic;
SIGNAL \led_flash_cnt[3067][7]~q\ : std_logic;
SIGNAL \WideAnd3067~0_combout\ : std_logic;
SIGNAL \WideAnd3067~1_combout\ : std_logic;
SIGNAL \WideAnd3067~combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][0]~83706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3066][1]~69804_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3066][1]~69805\ : std_logic;
SIGNAL \led_flash_cnt[3066][2]~69806_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3066][2]~69807\ : std_logic;
SIGNAL \led_flash_cnt[3066][3]~69808_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3066][3]~69809\ : std_logic;
SIGNAL \led_flash_cnt[3066][4]~69810_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3066][4]~69811\ : std_logic;
SIGNAL \led_flash_cnt[3066][5]~69812_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3066][5]~69813\ : std_logic;
SIGNAL \led_flash_cnt[3066][6]~69814_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][6]~q\ : std_logic;
SIGNAL \WideAnd3066~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][6]~69815\ : std_logic;
SIGNAL \led_flash_cnt[3066][7]~69816_combout\ : std_logic;
SIGNAL \led_flash_cnt[3066][7]~q\ : std_logic;
SIGNAL \WideAnd3066~0_combout\ : std_logic;
SIGNAL \WideAnd3066~combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][0]~83704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3064][1]~69776_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3064][1]~69777\ : std_logic;
SIGNAL \led_flash_cnt[3064][2]~69778_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3064][2]~69779\ : std_logic;
SIGNAL \led_flash_cnt[3064][3]~69780_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3064][3]~69781\ : std_logic;
SIGNAL \led_flash_cnt[3064][4]~69782_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][4]~q\ : std_logic;
SIGNAL \WideAnd3064~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][4]~69783\ : std_logic;
SIGNAL \led_flash_cnt[3064][5]~69784_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3064][5]~69785\ : std_logic;
SIGNAL \led_flash_cnt[3064][6]~69786_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][6]~q\ : std_logic;
SIGNAL \WideAnd3064~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][6]~69787\ : std_logic;
SIGNAL \led_flash_cnt[3064][7]~69788_combout\ : std_logic;
SIGNAL \led_flash_cnt[3064][7]~q\ : std_logic;
SIGNAL \WideAnd3064~combout\ : std_logic;
SIGNAL \WideAnd4223~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][0]~83710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3070][1]~69860_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3070][1]~69861\ : std_logic;
SIGNAL \led_flash_cnt[3070][2]~69862_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][2]~q\ : std_logic;
SIGNAL \WideAnd3070~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][2]~69863\ : std_logic;
SIGNAL \led_flash_cnt[3070][3]~69864_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3070][3]~69865\ : std_logic;
SIGNAL \led_flash_cnt[3070][4]~69866_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3070][4]~69867\ : std_logic;
SIGNAL \led_flash_cnt[3070][5]~69868_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3070][5]~69869\ : std_logic;
SIGNAL \led_flash_cnt[3070][6]~69870_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3070][6]~69871\ : std_logic;
SIGNAL \led_flash_cnt[3070][7]~69872_combout\ : std_logic;
SIGNAL \led_flash_cnt[3070][7]~q\ : std_logic;
SIGNAL \WideAnd3070~0_combout\ : std_logic;
SIGNAL \WideAnd3070~combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][0]~83711_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3071][1]~69874_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3071][1]~69875\ : std_logic;
SIGNAL \led_flash_cnt[3071][2]~69876_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3071][2]~69877\ : std_logic;
SIGNAL \led_flash_cnt[3071][3]~69878_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3071][3]~69879\ : std_logic;
SIGNAL \led_flash_cnt[3071][4]~69880_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3071][4]~69881\ : std_logic;
SIGNAL \led_flash_cnt[3071][5]~69882_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3071][5]~69883\ : std_logic;
SIGNAL \led_flash_cnt[3071][6]~69884_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][6]~q\ : std_logic;
SIGNAL \WideAnd3071~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][6]~69885\ : std_logic;
SIGNAL \led_flash_cnt[3071][7]~69886_combout\ : std_logic;
SIGNAL \led_flash_cnt[3071][7]~q\ : std_logic;
SIGNAL \WideAnd3071~0_combout\ : std_logic;
SIGNAL \WideAnd3071~combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][0]~83709_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3069][1]~69846_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3069][1]~69847\ : std_logic;
SIGNAL \led_flash_cnt[3069][2]~69848_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3069][2]~69849\ : std_logic;
SIGNAL \led_flash_cnt[3069][3]~69850_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3069][3]~69851\ : std_logic;
SIGNAL \led_flash_cnt[3069][4]~69852_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3069][4]~69853\ : std_logic;
SIGNAL \led_flash_cnt[3069][5]~69854_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3069][5]~69855\ : std_logic;
SIGNAL \led_flash_cnt[3069][6]~69856_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][6]~q\ : std_logic;
SIGNAL \WideAnd3069~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][6]~69857\ : std_logic;
SIGNAL \led_flash_cnt[3069][7]~69858_combout\ : std_logic;
SIGNAL \led_flash_cnt[3069][7]~q\ : std_logic;
SIGNAL \WideAnd3069~0_combout\ : std_logic;
SIGNAL \WideAnd3069~combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][0]~83708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3068][1]~69832_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3068][1]~69833\ : std_logic;
SIGNAL \led_flash_cnt[3068][2]~69834_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3068][2]~69835\ : std_logic;
SIGNAL \led_flash_cnt[3068][3]~69836_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3068][3]~69837\ : std_logic;
SIGNAL \led_flash_cnt[3068][4]~69838_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][4]~q\ : std_logic;
SIGNAL \WideAnd3068~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][4]~69839\ : std_logic;
SIGNAL \led_flash_cnt[3068][5]~69840_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3068][5]~69841\ : std_logic;
SIGNAL \led_flash_cnt[3068][6]~69842_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][6]~q\ : std_logic;
SIGNAL \WideAnd3068~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][6]~69843\ : std_logic;
SIGNAL \led_flash_cnt[3068][7]~69844_combout\ : std_logic;
SIGNAL \led_flash_cnt[3068][7]~q\ : std_logic;
SIGNAL \WideAnd3068~combout\ : std_logic;
SIGNAL \WideAnd4223~1_combout\ : std_logic;
SIGNAL \WideAnd4223~combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][0]~83702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3062][1]~69748_combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3062][1]~69749\ : std_logic;
SIGNAL \led_flash_cnt[3062][2]~69750_combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3062][2]~69751\ : std_logic;
SIGNAL \led_flash_cnt[3062][3]~69752_combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3062][3]~69753\ : std_logic;
SIGNAL \led_flash_cnt[3062][4]~69754_combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3062][4]~69755\ : std_logic;
SIGNAL \led_flash_cnt[3062][5]~69756_combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3062][5]~69757\ : std_logic;
SIGNAL \led_flash_cnt[3062][6]~69758_combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3062][6]~69759\ : std_logic;
SIGNAL \led_flash_cnt[3062][7]~69760_combout\ : std_logic;
SIGNAL \led_flash_cnt[3062][7]~q\ : std_logic;
SIGNAL \WideAnd3062~1_combout\ : std_logic;
SIGNAL \WideAnd3062~0_combout\ : std_logic;
SIGNAL \WideAnd3062~combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][0]~83701_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3061][1]~69734_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3061][1]~69735\ : std_logic;
SIGNAL \led_flash_cnt[3061][2]~69736_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3061][2]~69737\ : std_logic;
SIGNAL \led_flash_cnt[3061][3]~69738_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3061][3]~69739\ : std_logic;
SIGNAL \led_flash_cnt[3061][4]~69740_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3061][4]~69741\ : std_logic;
SIGNAL \led_flash_cnt[3061][5]~69742_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3061][5]~69743\ : std_logic;
SIGNAL \led_flash_cnt[3061][6]~69744_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][6]~q\ : std_logic;
SIGNAL \WideAnd3061~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][6]~69745\ : std_logic;
SIGNAL \led_flash_cnt[3061][7]~69746_combout\ : std_logic;
SIGNAL \led_flash_cnt[3061][7]~q\ : std_logic;
SIGNAL \WideAnd3061~0_combout\ : std_logic;
SIGNAL \WideAnd3061~combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][0]~83700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3060][1]~69720_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3060][1]~69721\ : std_logic;
SIGNAL \led_flash_cnt[3060][2]~69722_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3060][2]~69723\ : std_logic;
SIGNAL \led_flash_cnt[3060][3]~69724_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3060][3]~69725\ : std_logic;
SIGNAL \led_flash_cnt[3060][4]~69726_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][4]~q\ : std_logic;
SIGNAL \WideAnd3060~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][4]~69727\ : std_logic;
SIGNAL \led_flash_cnt[3060][5]~69728_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3060][5]~69729\ : std_logic;
SIGNAL \led_flash_cnt[3060][6]~69730_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][6]~q\ : std_logic;
SIGNAL \WideAnd3060~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][6]~69731\ : std_logic;
SIGNAL \led_flash_cnt[3060][7]~69732_combout\ : std_logic;
SIGNAL \led_flash_cnt[3060][7]~q\ : std_logic;
SIGNAL \WideAnd3060~combout\ : std_logic;
SIGNAL \WideAnd4222~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][0]~83697_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3057][1]~69678_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3057][1]~69679\ : std_logic;
SIGNAL \led_flash_cnt[3057][2]~69680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3057][2]~69681\ : std_logic;
SIGNAL \led_flash_cnt[3057][3]~69682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3057][3]~69683\ : std_logic;
SIGNAL \led_flash_cnt[3057][4]~69684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3057][4]~69685\ : std_logic;
SIGNAL \led_flash_cnt[3057][5]~69686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3057][5]~69687\ : std_logic;
SIGNAL \led_flash_cnt[3057][6]~69688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3057][6]~69689\ : std_logic;
SIGNAL \led_flash_cnt[3057][7]~69690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3057][7]~q\ : std_logic;
SIGNAL \WideAnd3057~1_combout\ : std_logic;
SIGNAL \WideAnd3057~0_combout\ : std_logic;
SIGNAL \WideAnd3057~combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][0]~83698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3058][1]~69692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3058][1]~69693\ : std_logic;
SIGNAL \led_flash_cnt[3058][2]~69694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3058][2]~69695\ : std_logic;
SIGNAL \led_flash_cnt[3058][3]~69696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3058][3]~69697\ : std_logic;
SIGNAL \led_flash_cnt[3058][4]~69698_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][4]~q\ : std_logic;
SIGNAL \WideAnd3058~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][4]~69699\ : std_logic;
SIGNAL \led_flash_cnt[3058][5]~69700_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3058][5]~69701\ : std_logic;
SIGNAL \led_flash_cnt[3058][6]~69702_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3058][6]~69703\ : std_logic;
SIGNAL \led_flash_cnt[3058][7]~69704_combout\ : std_logic;
SIGNAL \led_flash_cnt[3058][7]~q\ : std_logic;
SIGNAL \WideAnd3058~1_combout\ : std_logic;
SIGNAL \WideAnd3058~combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][0]~83699_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3059][1]~69706_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3059][1]~69707\ : std_logic;
SIGNAL \led_flash_cnt[3059][2]~69708_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3059][2]~69709\ : std_logic;
SIGNAL \led_flash_cnt[3059][3]~69710_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3059][3]~69711\ : std_logic;
SIGNAL \led_flash_cnt[3059][4]~69712_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][4]~q\ : std_logic;
SIGNAL \WideAnd3059~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][4]~69713\ : std_logic;
SIGNAL \led_flash_cnt[3059][5]~69714_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3059][5]~69715\ : std_logic;
SIGNAL \led_flash_cnt[3059][6]~69716_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][6]~q\ : std_logic;
SIGNAL \WideAnd3059~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][6]~69717\ : std_logic;
SIGNAL \led_flash_cnt[3059][7]~69718_combout\ : std_logic;
SIGNAL \led_flash_cnt[3059][7]~q\ : std_logic;
SIGNAL \WideAnd3059~combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][0]~83696_combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3056][1]~69664_combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3056][1]~69665\ : std_logic;
SIGNAL \led_flash_cnt[3056][2]~69666_combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3056][2]~69667\ : std_logic;
SIGNAL \led_flash_cnt[3056][3]~69668_combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3056][3]~69669\ : std_logic;
SIGNAL \led_flash_cnt[3056][4]~69670_combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3056][4]~69671\ : std_logic;
SIGNAL \led_flash_cnt[3056][5]~69672_combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3056][5]~69673\ : std_logic;
SIGNAL \led_flash_cnt[3056][6]~69674_combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3056][6]~69675\ : std_logic;
SIGNAL \led_flash_cnt[3056][7]~69676_combout\ : std_logic;
SIGNAL \led_flash_cnt[3056][7]~q\ : std_logic;
SIGNAL \WideAnd3056~0_combout\ : std_logic;
SIGNAL \WideAnd3056~1_combout\ : std_logic;
SIGNAL \WideAnd3056~combout\ : std_logic;
SIGNAL \WideAnd4222~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][0]~83703_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3063][1]~69762_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3063][1]~69763\ : std_logic;
SIGNAL \led_flash_cnt[3063][2]~69764_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3063][2]~69765\ : std_logic;
SIGNAL \led_flash_cnt[3063][3]~69766_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3063][3]~69767\ : std_logic;
SIGNAL \led_flash_cnt[3063][4]~69768_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3063][4]~69769\ : std_logic;
SIGNAL \led_flash_cnt[3063][5]~69770_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3063][5]~69771\ : std_logic;
SIGNAL \led_flash_cnt[3063][6]~69772_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3063][6]~69773\ : std_logic;
SIGNAL \led_flash_cnt[3063][7]~69774_combout\ : std_logic;
SIGNAL \led_flash_cnt[3063][7]~q\ : std_logic;
SIGNAL \WideAnd3063~1_combout\ : std_logic;
SIGNAL \WideAnd3063~0_combout\ : std_logic;
SIGNAL \WideAnd3063~combout\ : std_logic;
SIGNAL \WideAnd4222~combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][0]~83686_combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3046][1]~69524_combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3046][1]~69525\ : std_logic;
SIGNAL \led_flash_cnt[3046][2]~69526_combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3046][2]~69527\ : std_logic;
SIGNAL \led_flash_cnt[3046][3]~69528_combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3046][3]~69529\ : std_logic;
SIGNAL \led_flash_cnt[3046][4]~69530_combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3046][4]~69531\ : std_logic;
SIGNAL \led_flash_cnt[3046][5]~69532_combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3046][5]~69533\ : std_logic;
SIGNAL \led_flash_cnt[3046][6]~69534_combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3046][6]~69535\ : std_logic;
SIGNAL \led_flash_cnt[3046][7]~69536_combout\ : std_logic;
SIGNAL \led_flash_cnt[3046][7]~q\ : std_logic;
SIGNAL \WideAnd3046~0_combout\ : std_logic;
SIGNAL \WideAnd3046~1_combout\ : std_logic;
SIGNAL \WideAnd3046~combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][0]~83687_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3047][1]~69538_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3047][1]~69539\ : std_logic;
SIGNAL \led_flash_cnt[3047][2]~69540_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3047][2]~69541\ : std_logic;
SIGNAL \led_flash_cnt[3047][3]~69542_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3047][3]~69543\ : std_logic;
SIGNAL \led_flash_cnt[3047][4]~69544_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][4]~q\ : std_logic;
SIGNAL \WideAnd3047~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][4]~69545\ : std_logic;
SIGNAL \led_flash_cnt[3047][5]~69546_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3047][5]~69547\ : std_logic;
SIGNAL \led_flash_cnt[3047][6]~69548_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][6]~q\ : std_logic;
SIGNAL \WideAnd3047~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][6]~69549\ : std_logic;
SIGNAL \led_flash_cnt[3047][7]~69550_combout\ : std_logic;
SIGNAL \led_flash_cnt[3047][7]~q\ : std_logic;
SIGNAL \WideAnd3047~combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][0]~83685_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3045][1]~69510_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3045][1]~69511\ : std_logic;
SIGNAL \led_flash_cnt[3045][2]~69512_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3045][2]~69513\ : std_logic;
SIGNAL \led_flash_cnt[3045][3]~69514_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3045][3]~69515\ : std_logic;
SIGNAL \led_flash_cnt[3045][4]~69516_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3045][4]~69517\ : std_logic;
SIGNAL \led_flash_cnt[3045][5]~69518_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3045][5]~69519\ : std_logic;
SIGNAL \led_flash_cnt[3045][6]~69520_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][6]~q\ : std_logic;
SIGNAL \WideAnd3045~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][6]~69521\ : std_logic;
SIGNAL \led_flash_cnt[3045][7]~69522_combout\ : std_logic;
SIGNAL \led_flash_cnt[3045][7]~q\ : std_logic;
SIGNAL \WideAnd3045~0_combout\ : std_logic;
SIGNAL \WideAnd3045~combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][0]~83684_combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3044][1]~69496_combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3044][1]~69497\ : std_logic;
SIGNAL \led_flash_cnt[3044][2]~69498_combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3044][2]~69499\ : std_logic;
SIGNAL \led_flash_cnt[3044][3]~69500_combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3044][3]~69501\ : std_logic;
SIGNAL \led_flash_cnt[3044][4]~69502_combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3044][4]~69503\ : std_logic;
SIGNAL \led_flash_cnt[3044][5]~69504_combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3044][5]~69505\ : std_logic;
SIGNAL \led_flash_cnt[3044][6]~69506_combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3044][6]~69507\ : std_logic;
SIGNAL \led_flash_cnt[3044][7]~69508_combout\ : std_logic;
SIGNAL \led_flash_cnt[3044][7]~q\ : std_logic;
SIGNAL \WideAnd3044~0_combout\ : std_logic;
SIGNAL \WideAnd3044~1_combout\ : std_logic;
SIGNAL \WideAnd3044~combout\ : std_logic;
SIGNAL \WideAnd4220~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][0]~83681_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3041][1]~69454_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3041][1]~69455\ : std_logic;
SIGNAL \led_flash_cnt[3041][2]~69456_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3041][2]~69457\ : std_logic;
SIGNAL \led_flash_cnt[3041][3]~69458_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3041][3]~69459\ : std_logic;
SIGNAL \led_flash_cnt[3041][4]~69460_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][4]~q\ : std_logic;
SIGNAL \WideAnd3041~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][4]~69461\ : std_logic;
SIGNAL \led_flash_cnt[3041][5]~69462_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3041][5]~69463\ : std_logic;
SIGNAL \led_flash_cnt[3041][6]~69464_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][6]~q\ : std_logic;
SIGNAL \WideAnd3041~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][6]~69465\ : std_logic;
SIGNAL \led_flash_cnt[3041][7]~69466_combout\ : std_logic;
SIGNAL \led_flash_cnt[3041][7]~q\ : std_logic;
SIGNAL \WideAnd3041~combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][0]~83680_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3040][1]~69440_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3040][1]~69441\ : std_logic;
SIGNAL \led_flash_cnt[3040][2]~69442_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3040][2]~69443\ : std_logic;
SIGNAL \led_flash_cnt[3040][3]~69444_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3040][3]~69445\ : std_logic;
SIGNAL \led_flash_cnt[3040][4]~69446_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][4]~q\ : std_logic;
SIGNAL \WideAnd3040~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][4]~69447\ : std_logic;
SIGNAL \led_flash_cnt[3040][5]~69448_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3040][5]~69449\ : std_logic;
SIGNAL \led_flash_cnt[3040][6]~69450_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3040][6]~69451\ : std_logic;
SIGNAL \led_flash_cnt[3040][7]~69452_combout\ : std_logic;
SIGNAL \led_flash_cnt[3040][7]~q\ : std_logic;
SIGNAL \WideAnd3040~1_combout\ : std_logic;
SIGNAL \WideAnd3040~combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][0]~83683_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3043][1]~69482_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3043][1]~69483\ : std_logic;
SIGNAL \led_flash_cnt[3043][2]~69484_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3043][2]~69485\ : std_logic;
SIGNAL \led_flash_cnt[3043][3]~69486_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3043][3]~69487\ : std_logic;
SIGNAL \led_flash_cnt[3043][4]~69488_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][4]~q\ : std_logic;
SIGNAL \WideAnd3043~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][4]~69489\ : std_logic;
SIGNAL \led_flash_cnt[3043][5]~69490_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3043][5]~69491\ : std_logic;
SIGNAL \led_flash_cnt[3043][6]~69492_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3043][6]~69493\ : std_logic;
SIGNAL \led_flash_cnt[3043][7]~69494_combout\ : std_logic;
SIGNAL \led_flash_cnt[3043][7]~q\ : std_logic;
SIGNAL \WideAnd3043~1_combout\ : std_logic;
SIGNAL \WideAnd3043~combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][0]~83682_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3042][1]~69468_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3042][1]~69469\ : std_logic;
SIGNAL \led_flash_cnt[3042][2]~69470_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3042][2]~69471\ : std_logic;
SIGNAL \led_flash_cnt[3042][3]~69472_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3042][3]~69473\ : std_logic;
SIGNAL \led_flash_cnt[3042][4]~69474_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][4]~q\ : std_logic;
SIGNAL \WideAnd3042~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][4]~69475\ : std_logic;
SIGNAL \led_flash_cnt[3042][5]~69476_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3042][5]~69477\ : std_logic;
SIGNAL \led_flash_cnt[3042][6]~69478_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][6]~q\ : std_logic;
SIGNAL \WideAnd3042~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][6]~69479\ : std_logic;
SIGNAL \led_flash_cnt[3042][7]~69480_combout\ : std_logic;
SIGNAL \led_flash_cnt[3042][7]~q\ : std_logic;
SIGNAL \WideAnd3042~combout\ : std_logic;
SIGNAL \WideAnd4220~0_combout\ : std_logic;
SIGNAL \WideAnd4220~combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][0]~83695_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3055][1]~69650_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3055][1]~69651\ : std_logic;
SIGNAL \led_flash_cnt[3055][2]~69652_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3055][2]~69653\ : std_logic;
SIGNAL \led_flash_cnt[3055][3]~69654_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3055][3]~69655\ : std_logic;
SIGNAL \led_flash_cnt[3055][4]~69656_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3055][4]~69657\ : std_logic;
SIGNAL \led_flash_cnt[3055][5]~69658_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3055][5]~69659\ : std_logic;
SIGNAL \led_flash_cnt[3055][6]~69660_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][6]~q\ : std_logic;
SIGNAL \WideAnd3055~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][6]~69661\ : std_logic;
SIGNAL \led_flash_cnt[3055][7]~69662_combout\ : std_logic;
SIGNAL \led_flash_cnt[3055][7]~q\ : std_logic;
SIGNAL \WideAnd3055~0_combout\ : std_logic;
SIGNAL \WideAnd3055~combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][0]~83692_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3052][1]~69608_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3052][1]~69609\ : std_logic;
SIGNAL \led_flash_cnt[3052][2]~69610_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3052][2]~69611\ : std_logic;
SIGNAL \led_flash_cnt[3052][3]~69612_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3052][3]~69613\ : std_logic;
SIGNAL \led_flash_cnt[3052][4]~69614_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][4]~q\ : std_logic;
SIGNAL \WideAnd3052~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][4]~69615\ : std_logic;
SIGNAL \led_flash_cnt[3052][5]~69616_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3052][5]~69617\ : std_logic;
SIGNAL \led_flash_cnt[3052][6]~69618_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][6]~q\ : std_logic;
SIGNAL \WideAnd3052~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][6]~69619\ : std_logic;
SIGNAL \led_flash_cnt[3052][7]~69620_combout\ : std_logic;
SIGNAL \led_flash_cnt[3052][7]~q\ : std_logic;
SIGNAL \WideAnd3052~combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][0]~83693_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3053][1]~69622_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3053][1]~69623\ : std_logic;
SIGNAL \led_flash_cnt[3053][2]~69624_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3053][2]~69625\ : std_logic;
SIGNAL \led_flash_cnt[3053][3]~69626_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3053][3]~69627\ : std_logic;
SIGNAL \led_flash_cnt[3053][4]~69628_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][4]~q\ : std_logic;
SIGNAL \WideAnd3053~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][4]~69629\ : std_logic;
SIGNAL \led_flash_cnt[3053][5]~69630_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3053][5]~69631\ : std_logic;
SIGNAL \led_flash_cnt[3053][6]~69632_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][6]~q\ : std_logic;
SIGNAL \WideAnd3053~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][6]~69633\ : std_logic;
SIGNAL \led_flash_cnt[3053][7]~69634_combout\ : std_logic;
SIGNAL \led_flash_cnt[3053][7]~q\ : std_logic;
SIGNAL \WideAnd3053~combout\ : std_logic;
SIGNAL \WideAnd4221~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][0]~83690_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3050][1]~69580_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3050][1]~69581\ : std_logic;
SIGNAL \led_flash_cnt[3050][2]~69582_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3050][2]~69583\ : std_logic;
SIGNAL \led_flash_cnt[3050][3]~69584_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3050][3]~69585\ : std_logic;
SIGNAL \led_flash_cnt[3050][4]~69586_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][4]~q\ : std_logic;
SIGNAL \WideAnd3050~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][4]~69587\ : std_logic;
SIGNAL \led_flash_cnt[3050][5]~69588_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3050][5]~69589\ : std_logic;
SIGNAL \led_flash_cnt[3050][6]~69590_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3050][6]~69591\ : std_logic;
SIGNAL \led_flash_cnt[3050][7]~69592_combout\ : std_logic;
SIGNAL \led_flash_cnt[3050][7]~q\ : std_logic;
SIGNAL \WideAnd3050~1_combout\ : std_logic;
SIGNAL \WideAnd3050~combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][0]~83689_combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3049][1]~69566_combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3049][1]~69567\ : std_logic;
SIGNAL \led_flash_cnt[3049][2]~69568_combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3049][2]~69569\ : std_logic;
SIGNAL \led_flash_cnt[3049][3]~69570_combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3049][3]~69571\ : std_logic;
SIGNAL \led_flash_cnt[3049][4]~69572_combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3049][4]~69573\ : std_logic;
SIGNAL \led_flash_cnt[3049][5]~69574_combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3049][5]~69575\ : std_logic;
SIGNAL \led_flash_cnt[3049][6]~69576_combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3049][6]~69577\ : std_logic;
SIGNAL \led_flash_cnt[3049][7]~69578_combout\ : std_logic;
SIGNAL \led_flash_cnt[3049][7]~q\ : std_logic;
SIGNAL \WideAnd3049~1_combout\ : std_logic;
SIGNAL \WideAnd3049~0_combout\ : std_logic;
SIGNAL \WideAnd3049~combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][0]~83691_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3051][1]~69594_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3051][1]~69595\ : std_logic;
SIGNAL \led_flash_cnt[3051][2]~69596_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3051][2]~69597\ : std_logic;
SIGNAL \led_flash_cnt[3051][3]~69598_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3051][3]~69599\ : std_logic;
SIGNAL \led_flash_cnt[3051][4]~69600_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3051][4]~69601\ : std_logic;
SIGNAL \led_flash_cnt[3051][5]~69602_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3051][5]~69603\ : std_logic;
SIGNAL \led_flash_cnt[3051][6]~69604_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][6]~q\ : std_logic;
SIGNAL \WideAnd3051~1_combout\ : std_logic;
SIGNAL \WideAnd3051~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][6]~69605\ : std_logic;
SIGNAL \led_flash_cnt[3051][7]~69606_combout\ : std_logic;
SIGNAL \led_flash_cnt[3051][7]~q\ : std_logic;
SIGNAL \WideAnd3051~combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][0]~83688_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3048][1]~69552_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3048][1]~69553\ : std_logic;
SIGNAL \led_flash_cnt[3048][2]~69554_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3048][2]~69555\ : std_logic;
SIGNAL \led_flash_cnt[3048][3]~69556_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3048][3]~69557\ : std_logic;
SIGNAL \led_flash_cnt[3048][4]~69558_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][4]~q\ : std_logic;
SIGNAL \WideAnd3048~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][4]~69559\ : std_logic;
SIGNAL \led_flash_cnt[3048][5]~69560_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3048][5]~69561\ : std_logic;
SIGNAL \led_flash_cnt[3048][6]~69562_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[3048][6]~69563\ : std_logic;
SIGNAL \led_flash_cnt[3048][7]~69564_combout\ : std_logic;
SIGNAL \led_flash_cnt[3048][7]~q\ : std_logic;
SIGNAL \WideAnd3048~1_combout\ : std_logic;
SIGNAL \WideAnd3048~combout\ : std_logic;
SIGNAL \WideAnd4221~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][0]~83694_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3054][1]~69636_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3054][1]~69637\ : std_logic;
SIGNAL \led_flash_cnt[3054][2]~69638_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3054][2]~69639\ : std_logic;
SIGNAL \led_flash_cnt[3054][3]~69640_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3054][3]~69641\ : std_logic;
SIGNAL \led_flash_cnt[3054][4]~69642_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3054][4]~69643\ : std_logic;
SIGNAL \led_flash_cnt[3054][5]~69644_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3054][5]~69645\ : std_logic;
SIGNAL \led_flash_cnt[3054][6]~69646_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][6]~q\ : std_logic;
SIGNAL \WideAnd3054~1_combout\ : std_logic;
SIGNAL \WideAnd3054~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][6]~69647\ : std_logic;
SIGNAL \led_flash_cnt[3054][7]~69648_combout\ : std_logic;
SIGNAL \led_flash_cnt[3054][7]~q\ : std_logic;
SIGNAL \WideAnd3054~combout\ : std_logic;
SIGNAL \WideAnd4221~combout\ : std_logic;
SIGNAL \WideAnd4367~1_combout\ : std_logic;
SIGNAL \WideAnd4367~combout\ : std_logic;
SIGNAL \WideAnd4380~13_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][0]~82967_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2327][1]~59458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2327][1]~59459\ : std_logic;
SIGNAL \led_flash_cnt[2327][2]~59460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2327][2]~59461\ : std_logic;
SIGNAL \led_flash_cnt[2327][3]~59462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2327][3]~59463\ : std_logic;
SIGNAL \led_flash_cnt[2327][4]~59464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][4]~q\ : std_logic;
SIGNAL \WideAnd2327~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][4]~59465\ : std_logic;
SIGNAL \led_flash_cnt[2327][5]~59466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2327][5]~59467\ : std_logic;
SIGNAL \led_flash_cnt[2327][6]~59468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][6]~q\ : std_logic;
SIGNAL \WideAnd2327~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][6]~59469\ : std_logic;
SIGNAL \led_flash_cnt[2327][7]~59470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2327][7]~q\ : std_logic;
SIGNAL \WideAnd2327~combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][0]~82960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2320][1]~59360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2320][1]~59361\ : std_logic;
SIGNAL \led_flash_cnt[2320][2]~59362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2320][2]~59363\ : std_logic;
SIGNAL \led_flash_cnt[2320][3]~59364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2320][3]~59365\ : std_logic;
SIGNAL \led_flash_cnt[2320][4]~59366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2320][4]~59367\ : std_logic;
SIGNAL \led_flash_cnt[2320][5]~59368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2320][5]~59369\ : std_logic;
SIGNAL \led_flash_cnt[2320][6]~59370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2320][6]~59371\ : std_logic;
SIGNAL \led_flash_cnt[2320][7]~59372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2320][7]~q\ : std_logic;
SIGNAL \WideAnd2320~0_combout\ : std_logic;
SIGNAL \WideAnd2320~1_combout\ : std_logic;
SIGNAL \WideAnd2320~combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][0]~82963_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2323][1]~59402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2323][1]~59403\ : std_logic;
SIGNAL \led_flash_cnt[2323][2]~59404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2323][2]~59405\ : std_logic;
SIGNAL \led_flash_cnt[2323][3]~59406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2323][3]~59407\ : std_logic;
SIGNAL \led_flash_cnt[2323][4]~59408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][4]~q\ : std_logic;
SIGNAL \WideAnd2323~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][4]~59409\ : std_logic;
SIGNAL \led_flash_cnt[2323][5]~59410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2323][5]~59411\ : std_logic;
SIGNAL \led_flash_cnt[2323][6]~59412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2323][6]~59413\ : std_logic;
SIGNAL \led_flash_cnt[2323][7]~59414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2323][7]~q\ : std_logic;
SIGNAL \WideAnd2323~1_combout\ : std_logic;
SIGNAL \WideAnd2323~combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][0]~82962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2322][1]~59388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2322][1]~59389\ : std_logic;
SIGNAL \led_flash_cnt[2322][2]~59390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2322][2]~59391\ : std_logic;
SIGNAL \led_flash_cnt[2322][3]~59392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2322][3]~59393\ : std_logic;
SIGNAL \led_flash_cnt[2322][4]~59394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2322][4]~59395\ : std_logic;
SIGNAL \led_flash_cnt[2322][5]~59396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2322][5]~59397\ : std_logic;
SIGNAL \led_flash_cnt[2322][6]~59398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2322][6]~59399\ : std_logic;
SIGNAL \led_flash_cnt[2322][7]~59400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2322][7]~q\ : std_logic;
SIGNAL \WideAnd2322~0_combout\ : std_logic;
SIGNAL \WideAnd2322~1_combout\ : std_logic;
SIGNAL \WideAnd2322~combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][0]~82961_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2321][1]~59374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2321][1]~59375\ : std_logic;
SIGNAL \led_flash_cnt[2321][2]~59376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2321][2]~59377\ : std_logic;
SIGNAL \led_flash_cnt[2321][3]~59378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2321][3]~59379\ : std_logic;
SIGNAL \led_flash_cnt[2321][4]~59380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2321][4]~59381\ : std_logic;
SIGNAL \led_flash_cnt[2321][5]~59382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2321][5]~59383\ : std_logic;
SIGNAL \led_flash_cnt[2321][6]~59384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][6]~q\ : std_logic;
SIGNAL \WideAnd2321~1_combout\ : std_logic;
SIGNAL \WideAnd2321~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][6]~59385\ : std_logic;
SIGNAL \led_flash_cnt[2321][7]~59386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2321][7]~q\ : std_logic;
SIGNAL \WideAnd2321~combout\ : std_logic;
SIGNAL \WideAnd4130~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][0]~82965_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2325][1]~59430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2325][1]~59431\ : std_logic;
SIGNAL \led_flash_cnt[2325][2]~59432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2325][2]~59433\ : std_logic;
SIGNAL \led_flash_cnt[2325][3]~59434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2325][3]~59435\ : std_logic;
SIGNAL \led_flash_cnt[2325][4]~59436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2325][4]~59437\ : std_logic;
SIGNAL \led_flash_cnt[2325][5]~59438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2325][5]~59439\ : std_logic;
SIGNAL \led_flash_cnt[2325][6]~59440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2325][6]~59441\ : std_logic;
SIGNAL \led_flash_cnt[2325][7]~59442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2325][7]~q\ : std_logic;
SIGNAL \WideAnd2325~0_combout\ : std_logic;
SIGNAL \WideAnd2325~1_combout\ : std_logic;
SIGNAL \WideAnd2325~combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][0]~82964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2324][1]~59416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2324][1]~59417\ : std_logic;
SIGNAL \led_flash_cnt[2324][2]~59418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2324][2]~59419\ : std_logic;
SIGNAL \led_flash_cnt[2324][3]~59420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2324][3]~59421\ : std_logic;
SIGNAL \led_flash_cnt[2324][4]~59422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][4]~q\ : std_logic;
SIGNAL \WideAnd2324~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][4]~59423\ : std_logic;
SIGNAL \led_flash_cnt[2324][5]~59424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2324][5]~59425\ : std_logic;
SIGNAL \led_flash_cnt[2324][6]~59426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][6]~q\ : std_logic;
SIGNAL \WideAnd2324~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][6]~59427\ : std_logic;
SIGNAL \led_flash_cnt[2324][7]~59428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2324][7]~q\ : std_logic;
SIGNAL \WideAnd2324~combout\ : std_logic;
SIGNAL \WideAnd4130~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][0]~82966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2326][1]~59444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2326][1]~59445\ : std_logic;
SIGNAL \led_flash_cnt[2326][2]~59446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2326][2]~59447\ : std_logic;
SIGNAL \led_flash_cnt[2326][3]~59448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2326][3]~59449\ : std_logic;
SIGNAL \led_flash_cnt[2326][4]~59450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][4]~q\ : std_logic;
SIGNAL \WideAnd2326~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][4]~59451\ : std_logic;
SIGNAL \led_flash_cnt[2326][5]~59452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2326][5]~59453\ : std_logic;
SIGNAL \led_flash_cnt[2326][6]~59454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2326][6]~59455\ : std_logic;
SIGNAL \led_flash_cnt[2326][7]~59456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2326][7]~q\ : std_logic;
SIGNAL \WideAnd2326~1_combout\ : std_logic;
SIGNAL \WideAnd2326~combout\ : std_logic;
SIGNAL \WideAnd4130~combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][0]~82969_combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2330][1]~59486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2330][1]~59487\ : std_logic;
SIGNAL \led_flash_cnt[2330][2]~59488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2330][2]~59489\ : std_logic;
SIGNAL \led_flash_cnt[2330][3]~59490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2330][3]~59491\ : std_logic;
SIGNAL \led_flash_cnt[2330][4]~59492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2330][4]~59493\ : std_logic;
SIGNAL \led_flash_cnt[2330][5]~59494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2330][5]~59495\ : std_logic;
SIGNAL \led_flash_cnt[2330][6]~59496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2330][6]~59497\ : std_logic;
SIGNAL \led_flash_cnt[2330][7]~59498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2330][7]~q\ : std_logic;
SIGNAL \WideAnd2330~1_combout\ : std_logic;
SIGNAL \WideAnd2330~0_combout\ : std_logic;
SIGNAL \WideAnd2330~combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][0]~82975_combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2329][1]~59570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2329][1]~59571\ : std_logic;
SIGNAL \led_flash_cnt[2329][2]~59572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2329][2]~59573\ : std_logic;
SIGNAL \led_flash_cnt[2329][3]~59574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2329][3]~59575\ : std_logic;
SIGNAL \led_flash_cnt[2329][4]~59576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2329][4]~59577\ : std_logic;
SIGNAL \led_flash_cnt[2329][5]~59578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2329][5]~59579\ : std_logic;
SIGNAL \led_flash_cnt[2329][6]~59580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2329][6]~59581\ : std_logic;
SIGNAL \led_flash_cnt[2329][7]~59582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2329][7]~q\ : std_logic;
SIGNAL \WideAnd2329~0_combout\ : std_logic;
SIGNAL \WideAnd2329~1_combout\ : std_logic;
SIGNAL \WideAnd2329~combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][0]~82974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2328][1]~59556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2328][1]~59557\ : std_logic;
SIGNAL \led_flash_cnt[2328][2]~59558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2328][2]~59559\ : std_logic;
SIGNAL \led_flash_cnt[2328][3]~59560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2328][3]~59561\ : std_logic;
SIGNAL \led_flash_cnt[2328][4]~59562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2328][4]~59563\ : std_logic;
SIGNAL \led_flash_cnt[2328][5]~59564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2328][5]~59565\ : std_logic;
SIGNAL \led_flash_cnt[2328][6]~59566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2328][6]~59567\ : std_logic;
SIGNAL \led_flash_cnt[2328][7]~59568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2328][7]~q\ : std_logic;
SIGNAL \WideAnd2328~0_combout\ : std_logic;
SIGNAL \WideAnd2328~1_combout\ : std_logic;
SIGNAL \WideAnd2328~combout\ : std_logic;
SIGNAL \WideAnd4131~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][0]~82973_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2333][1]~59542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2333][1]~59543\ : std_logic;
SIGNAL \led_flash_cnt[2333][2]~59544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2333][2]~59545\ : std_logic;
SIGNAL \led_flash_cnt[2333][3]~59546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2333][3]~59547\ : std_logic;
SIGNAL \led_flash_cnt[2333][4]~59548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][4]~q\ : std_logic;
SIGNAL \WideAnd2333~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][4]~59549\ : std_logic;
SIGNAL \led_flash_cnt[2333][5]~59550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2333][5]~59551\ : std_logic;
SIGNAL \led_flash_cnt[2333][6]~59552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][6]~q\ : std_logic;
SIGNAL \WideAnd2333~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][6]~59553\ : std_logic;
SIGNAL \led_flash_cnt[2333][7]~59554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2333][7]~q\ : std_logic;
SIGNAL \WideAnd2333~combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][0]~82971_combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2331][1]~59514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2331][1]~59515\ : std_logic;
SIGNAL \led_flash_cnt[2331][2]~59516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2331][2]~59517\ : std_logic;
SIGNAL \led_flash_cnt[2331][3]~59518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2331][3]~59519\ : std_logic;
SIGNAL \led_flash_cnt[2331][4]~59520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2331][4]~59521\ : std_logic;
SIGNAL \led_flash_cnt[2331][5]~59522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2331][5]~59523\ : std_logic;
SIGNAL \led_flash_cnt[2331][6]~59524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2331][6]~59525\ : std_logic;
SIGNAL \led_flash_cnt[2331][7]~59526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2331][7]~q\ : std_logic;
SIGNAL \WideAnd2331~0_combout\ : std_logic;
SIGNAL \WideAnd2331~1_combout\ : std_logic;
SIGNAL \WideAnd2331~combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][0]~82972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2332][1]~59528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2332][1]~59529\ : std_logic;
SIGNAL \led_flash_cnt[2332][2]~59530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2332][2]~59531\ : std_logic;
SIGNAL \led_flash_cnt[2332][3]~59532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2332][3]~59533\ : std_logic;
SIGNAL \led_flash_cnt[2332][4]~59534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2332][4]~59535\ : std_logic;
SIGNAL \led_flash_cnt[2332][5]~59536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2332][5]~59537\ : std_logic;
SIGNAL \led_flash_cnt[2332][6]~59538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][6]~q\ : std_logic;
SIGNAL \WideAnd2332~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][6]~59539\ : std_logic;
SIGNAL \led_flash_cnt[2332][7]~59540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2332][7]~q\ : std_logic;
SIGNAL \WideAnd2332~0_combout\ : std_logic;
SIGNAL \WideAnd2332~combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][0]~82970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2334][1]~59500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2334][1]~59501\ : std_logic;
SIGNAL \led_flash_cnt[2334][2]~59502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2334][2]~59503\ : std_logic;
SIGNAL \led_flash_cnt[2334][3]~59504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2334][3]~59505\ : std_logic;
SIGNAL \led_flash_cnt[2334][4]~59506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][4]~q\ : std_logic;
SIGNAL \WideAnd2334~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][4]~59507\ : std_logic;
SIGNAL \led_flash_cnt[2334][5]~59508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2334][5]~59509\ : std_logic;
SIGNAL \led_flash_cnt[2334][6]~59510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2334][6]~59511\ : std_logic;
SIGNAL \led_flash_cnt[2334][7]~59512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2334][7]~q\ : std_logic;
SIGNAL \WideAnd2334~1_combout\ : std_logic;
SIGNAL \WideAnd2334~combout\ : std_logic;
SIGNAL \WideAnd4131~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][0]~82968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2335][1]~59472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2335][1]~59473\ : std_logic;
SIGNAL \led_flash_cnt[2335][2]~59474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2335][2]~59475\ : std_logic;
SIGNAL \led_flash_cnt[2335][3]~59476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2335][3]~59477\ : std_logic;
SIGNAL \led_flash_cnt[2335][4]~59478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2335][4]~59479\ : std_logic;
SIGNAL \led_flash_cnt[2335][5]~59480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2335][5]~59481\ : std_logic;
SIGNAL \led_flash_cnt[2335][6]~59482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][6]~q\ : std_logic;
SIGNAL \WideAnd2335~1_combout\ : std_logic;
SIGNAL \WideAnd2335~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][6]~59483\ : std_logic;
SIGNAL \led_flash_cnt[2335][7]~59484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2335][7]~q\ : std_logic;
SIGNAL \WideAnd2335~combout\ : std_logic;
SIGNAL \WideAnd4131~combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][0]~82951_combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2311][1]~59234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2311][1]~59235\ : std_logic;
SIGNAL \led_flash_cnt[2311][2]~59236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2311][2]~59237\ : std_logic;
SIGNAL \led_flash_cnt[2311][3]~59238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2311][3]~59239\ : std_logic;
SIGNAL \led_flash_cnt[2311][4]~59240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2311][4]~59241\ : std_logic;
SIGNAL \led_flash_cnt[2311][5]~59242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2311][5]~59243\ : std_logic;
SIGNAL \led_flash_cnt[2311][6]~59244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2311][6]~59245\ : std_logic;
SIGNAL \led_flash_cnt[2311][7]~59246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2311][7]~q\ : std_logic;
SIGNAL \WideAnd2311~1_combout\ : std_logic;
SIGNAL \WideAnd2311~0_combout\ : std_logic;
SIGNAL \WideAnd2311~combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][0]~82949_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2309][1]~59206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2309][1]~59207\ : std_logic;
SIGNAL \led_flash_cnt[2309][2]~59208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2309][2]~59209\ : std_logic;
SIGNAL \led_flash_cnt[2309][3]~59210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2309][3]~59211\ : std_logic;
SIGNAL \led_flash_cnt[2309][4]~59212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][4]~q\ : std_logic;
SIGNAL \WideAnd2309~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][4]~59213\ : std_logic;
SIGNAL \led_flash_cnt[2309][5]~59214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2309][5]~59215\ : std_logic;
SIGNAL \led_flash_cnt[2309][6]~59216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][6]~q\ : std_logic;
SIGNAL \WideAnd2309~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][6]~59217\ : std_logic;
SIGNAL \led_flash_cnt[2309][7]~59218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2309][7]~q\ : std_logic;
SIGNAL \WideAnd2309~combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][0]~82948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2308][1]~59192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2308][1]~59193\ : std_logic;
SIGNAL \led_flash_cnt[2308][2]~59194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2308][2]~59195\ : std_logic;
SIGNAL \led_flash_cnt[2308][3]~59196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2308][3]~59197\ : std_logic;
SIGNAL \led_flash_cnt[2308][4]~59198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2308][4]~59199\ : std_logic;
SIGNAL \led_flash_cnt[2308][5]~59200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2308][5]~59201\ : std_logic;
SIGNAL \led_flash_cnt[2308][6]~59202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2308][6]~59203\ : std_logic;
SIGNAL \led_flash_cnt[2308][7]~59204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2308][7]~q\ : std_logic;
SIGNAL \WideAnd2308~1_combout\ : std_logic;
SIGNAL \WideAnd2308~0_combout\ : std_logic;
SIGNAL \WideAnd2308~combout\ : std_logic;
SIGNAL \WideAnd4128~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][0]~82950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2310][1]~59220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2310][1]~59221\ : std_logic;
SIGNAL \led_flash_cnt[2310][2]~59222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2310][2]~59223\ : std_logic;
SIGNAL \led_flash_cnt[2310][3]~59224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2310][3]~59225\ : std_logic;
SIGNAL \led_flash_cnt[2310][4]~59226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][4]~q\ : std_logic;
SIGNAL \WideAnd2310~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][4]~59227\ : std_logic;
SIGNAL \led_flash_cnt[2310][5]~59228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2310][5]~59229\ : std_logic;
SIGNAL \led_flash_cnt[2310][6]~59230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2310][6]~59231\ : std_logic;
SIGNAL \led_flash_cnt[2310][7]~59232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2310][7]~q\ : std_logic;
SIGNAL \WideAnd2310~1_combout\ : std_logic;
SIGNAL \WideAnd2310~combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][0]~82944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2304][1]~59136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2304][1]~59137\ : std_logic;
SIGNAL \led_flash_cnt[2304][2]~59138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2304][2]~59139\ : std_logic;
SIGNAL \led_flash_cnt[2304][3]~59140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2304][3]~59141\ : std_logic;
SIGNAL \led_flash_cnt[2304][4]~59142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2304][4]~59143\ : std_logic;
SIGNAL \led_flash_cnt[2304][5]~59144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2304][5]~59145\ : std_logic;
SIGNAL \led_flash_cnt[2304][6]~59146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2304][6]~59147\ : std_logic;
SIGNAL \led_flash_cnt[2304][7]~59148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2304][7]~q\ : std_logic;
SIGNAL \WideAnd2304~0_combout\ : std_logic;
SIGNAL \WideAnd2304~1_combout\ : std_logic;
SIGNAL \WideAnd2304~combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][0]~82946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2306][1]~59164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2306][1]~59165\ : std_logic;
SIGNAL \led_flash_cnt[2306][2]~59166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2306][2]~59167\ : std_logic;
SIGNAL \led_flash_cnt[2306][3]~59168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2306][3]~59169\ : std_logic;
SIGNAL \led_flash_cnt[2306][4]~59170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][4]~q\ : std_logic;
SIGNAL \WideAnd2306~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][4]~59171\ : std_logic;
SIGNAL \led_flash_cnt[2306][5]~59172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2306][5]~59173\ : std_logic;
SIGNAL \led_flash_cnt[2306][6]~59174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2306][6]~59175\ : std_logic;
SIGNAL \led_flash_cnt[2306][7]~59176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2306][7]~q\ : std_logic;
SIGNAL \WideAnd2306~1_combout\ : std_logic;
SIGNAL \WideAnd2306~combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][0]~82947_combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2307][1]~59178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2307][1]~59179\ : std_logic;
SIGNAL \led_flash_cnt[2307][2]~59180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2307][2]~59181\ : std_logic;
SIGNAL \led_flash_cnt[2307][3]~59182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2307][3]~59183\ : std_logic;
SIGNAL \led_flash_cnt[2307][4]~59184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2307][4]~59185\ : std_logic;
SIGNAL \led_flash_cnt[2307][5]~59186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2307][5]~59187\ : std_logic;
SIGNAL \led_flash_cnt[2307][6]~59188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2307][6]~59189\ : std_logic;
SIGNAL \led_flash_cnt[2307][7]~59190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2307][7]~q\ : std_logic;
SIGNAL \WideAnd2307~0_combout\ : std_logic;
SIGNAL \WideAnd2307~1_combout\ : std_logic;
SIGNAL \WideAnd2307~combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][0]~82945_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2305][1]~59150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2305][1]~59151\ : std_logic;
SIGNAL \led_flash_cnt[2305][2]~59152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2305][2]~59153\ : std_logic;
SIGNAL \led_flash_cnt[2305][3]~59154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2305][3]~59155\ : std_logic;
SIGNAL \led_flash_cnt[2305][4]~59156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2305][4]~59157\ : std_logic;
SIGNAL \led_flash_cnt[2305][5]~59158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2305][5]~59159\ : std_logic;
SIGNAL \led_flash_cnt[2305][6]~59160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][6]~q\ : std_logic;
SIGNAL \WideAnd2305~1_combout\ : std_logic;
SIGNAL \WideAnd2305~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][6]~59161\ : std_logic;
SIGNAL \led_flash_cnt[2305][7]~59162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2305][7]~q\ : std_logic;
SIGNAL \WideAnd2305~combout\ : std_logic;
SIGNAL \WideAnd4128~0_combout\ : std_logic;
SIGNAL \WideAnd4128~combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][0]~82958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2318][1]~59332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2318][1]~59333\ : std_logic;
SIGNAL \led_flash_cnt[2318][2]~59334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2318][2]~59335\ : std_logic;
SIGNAL \led_flash_cnt[2318][3]~59336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2318][3]~59337\ : std_logic;
SIGNAL \led_flash_cnt[2318][4]~59338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][4]~q\ : std_logic;
SIGNAL \WideAnd2318~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][4]~59339\ : std_logic;
SIGNAL \led_flash_cnt[2318][5]~59340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2318][5]~59341\ : std_logic;
SIGNAL \led_flash_cnt[2318][6]~59342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2318][6]~59343\ : std_logic;
SIGNAL \led_flash_cnt[2318][7]~59344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2318][7]~q\ : std_logic;
SIGNAL \WideAnd2318~1_combout\ : std_logic;
SIGNAL \WideAnd2318~combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][0]~82959_combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2319][1]~59346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2319][1]~59347\ : std_logic;
SIGNAL \led_flash_cnt[2319][2]~59348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2319][2]~59349\ : std_logic;
SIGNAL \led_flash_cnt[2319][3]~59350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2319][3]~59351\ : std_logic;
SIGNAL \led_flash_cnt[2319][4]~59352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2319][4]~59353\ : std_logic;
SIGNAL \led_flash_cnt[2319][5]~59354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2319][5]~59355\ : std_logic;
SIGNAL \led_flash_cnt[2319][6]~59356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2319][6]~59357\ : std_logic;
SIGNAL \led_flash_cnt[2319][7]~59358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2319][7]~q\ : std_logic;
SIGNAL \WideAnd2319~1_combout\ : std_logic;
SIGNAL \WideAnd2319~0_combout\ : std_logic;
SIGNAL \WideAnd2319~combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][0]~82955_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2315][1]~59290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2315][1]~59291\ : std_logic;
SIGNAL \led_flash_cnt[2315][2]~59292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2315][2]~59293\ : std_logic;
SIGNAL \led_flash_cnt[2315][3]~59294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2315][3]~59295\ : std_logic;
SIGNAL \led_flash_cnt[2315][4]~59296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][4]~q\ : std_logic;
SIGNAL \WideAnd2315~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][4]~59297\ : std_logic;
SIGNAL \led_flash_cnt[2315][5]~59298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2315][5]~59299\ : std_logic;
SIGNAL \led_flash_cnt[2315][6]~59300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2315][6]~59301\ : std_logic;
SIGNAL \led_flash_cnt[2315][7]~59302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2315][7]~q\ : std_logic;
SIGNAL \WideAnd2315~1_combout\ : std_logic;
SIGNAL \WideAnd2315~combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][0]~82952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2312][1]~59248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2312][1]~59249\ : std_logic;
SIGNAL \led_flash_cnt[2312][2]~59250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2312][2]~59251\ : std_logic;
SIGNAL \led_flash_cnt[2312][3]~59252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2312][3]~59253\ : std_logic;
SIGNAL \led_flash_cnt[2312][4]~59254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2312][4]~59255\ : std_logic;
SIGNAL \led_flash_cnt[2312][5]~59256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2312][5]~59257\ : std_logic;
SIGNAL \led_flash_cnt[2312][6]~59258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][6]~q\ : std_logic;
SIGNAL \WideAnd2312~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][6]~59259\ : std_logic;
SIGNAL \led_flash_cnt[2312][7]~59260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2312][7]~q\ : std_logic;
SIGNAL \WideAnd2312~0_combout\ : std_logic;
SIGNAL \WideAnd2312~combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][0]~82953_combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2313][1]~59262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2313][1]~59263\ : std_logic;
SIGNAL \led_flash_cnt[2313][2]~59264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2313][2]~59265\ : std_logic;
SIGNAL \led_flash_cnt[2313][3]~59266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2313][3]~59267\ : std_logic;
SIGNAL \led_flash_cnt[2313][4]~59268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2313][4]~59269\ : std_logic;
SIGNAL \led_flash_cnt[2313][5]~59270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2313][5]~59271\ : std_logic;
SIGNAL \led_flash_cnt[2313][6]~59272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2313][6]~59273\ : std_logic;
SIGNAL \led_flash_cnt[2313][7]~59274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2313][7]~q\ : std_logic;
SIGNAL \WideAnd2313~0_combout\ : std_logic;
SIGNAL \WideAnd2313~1_combout\ : std_logic;
SIGNAL \WideAnd2313~combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][0]~82954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2314][1]~59276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2314][1]~59277\ : std_logic;
SIGNAL \led_flash_cnt[2314][2]~59278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2314][2]~59279\ : std_logic;
SIGNAL \led_flash_cnt[2314][3]~59280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2314][3]~59281\ : std_logic;
SIGNAL \led_flash_cnt[2314][4]~59282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][4]~q\ : std_logic;
SIGNAL \WideAnd2314~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][4]~59283\ : std_logic;
SIGNAL \led_flash_cnt[2314][5]~59284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2314][5]~59285\ : std_logic;
SIGNAL \led_flash_cnt[2314][6]~59286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2314][6]~59287\ : std_logic;
SIGNAL \led_flash_cnt[2314][7]~59288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2314][7]~q\ : std_logic;
SIGNAL \WideAnd2314~1_combout\ : std_logic;
SIGNAL \WideAnd2314~combout\ : std_logic;
SIGNAL \WideAnd4129~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][0]~82957_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2317][1]~59318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2317][1]~59319\ : std_logic;
SIGNAL \led_flash_cnt[2317][2]~59320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2317][2]~59321\ : std_logic;
SIGNAL \led_flash_cnt[2317][3]~59322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2317][3]~59323\ : std_logic;
SIGNAL \led_flash_cnt[2317][4]~59324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2317][4]~59325\ : std_logic;
SIGNAL \led_flash_cnt[2317][5]~59326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2317][5]~59327\ : std_logic;
SIGNAL \led_flash_cnt[2317][6]~59328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][6]~q\ : std_logic;
SIGNAL \WideAnd2317~1_combout\ : std_logic;
SIGNAL \WideAnd2317~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][6]~59329\ : std_logic;
SIGNAL \led_flash_cnt[2317][7]~59330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2317][7]~q\ : std_logic;
SIGNAL \WideAnd2317~combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][0]~82956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2316][1]~59304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2316][1]~59305\ : std_logic;
SIGNAL \led_flash_cnt[2316][2]~59306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2316][2]~59307\ : std_logic;
SIGNAL \led_flash_cnt[2316][3]~59308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2316][3]~59309\ : std_logic;
SIGNAL \led_flash_cnt[2316][4]~59310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][4]~q\ : std_logic;
SIGNAL \WideAnd2316~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][4]~59311\ : std_logic;
SIGNAL \led_flash_cnt[2316][5]~59312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2316][5]~59313\ : std_logic;
SIGNAL \led_flash_cnt[2316][6]~59314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2316][6]~59315\ : std_logic;
SIGNAL \led_flash_cnt[2316][7]~59316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2316][7]~q\ : std_logic;
SIGNAL \WideAnd2316~1_combout\ : std_logic;
SIGNAL \WideAnd2316~combout\ : std_logic;
SIGNAL \WideAnd4129~1_combout\ : std_logic;
SIGNAL \WideAnd4129~combout\ : std_logic;
SIGNAL \WideAnd4356~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][0]~83007_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2367][1]~60018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2367][1]~60019\ : std_logic;
SIGNAL \led_flash_cnt[2367][2]~60020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2367][2]~60021\ : std_logic;
SIGNAL \led_flash_cnt[2367][3]~60022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2367][3]~60023\ : std_logic;
SIGNAL \led_flash_cnt[2367][4]~60024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2367][4]~60025\ : std_logic;
SIGNAL \led_flash_cnt[2367][5]~60026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2367][5]~60027\ : std_logic;
SIGNAL \led_flash_cnt[2367][6]~60028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][6]~q\ : std_logic;
SIGNAL \WideAnd2367~1_combout\ : std_logic;
SIGNAL \WideAnd2367~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][6]~60029\ : std_logic;
SIGNAL \led_flash_cnt[2367][7]~60030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2367][7]~q\ : std_logic;
SIGNAL \WideAnd2367~combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][0]~83001_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2361][1]~59934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2361][1]~59935\ : std_logic;
SIGNAL \led_flash_cnt[2361][2]~59936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2361][2]~59937\ : std_logic;
SIGNAL \led_flash_cnt[2361][3]~59938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2361][3]~59939\ : std_logic;
SIGNAL \led_flash_cnt[2361][4]~59940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2361][4]~59941\ : std_logic;
SIGNAL \led_flash_cnt[2361][5]~59942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2361][5]~59943\ : std_logic;
SIGNAL \led_flash_cnt[2361][6]~59944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][6]~q\ : std_logic;
SIGNAL \WideAnd2361~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][6]~59945\ : std_logic;
SIGNAL \led_flash_cnt[2361][7]~59946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2361][7]~q\ : std_logic;
SIGNAL \WideAnd2361~0_combout\ : std_logic;
SIGNAL \WideAnd2361~combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][0]~83003_combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2363][1]~59962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2363][1]~59963\ : std_logic;
SIGNAL \led_flash_cnt[2363][2]~59964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2363][2]~59965\ : std_logic;
SIGNAL \led_flash_cnt[2363][3]~59966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2363][3]~59967\ : std_logic;
SIGNAL \led_flash_cnt[2363][4]~59968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2363][4]~59969\ : std_logic;
SIGNAL \led_flash_cnt[2363][5]~59970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2363][5]~59971\ : std_logic;
SIGNAL \led_flash_cnt[2363][6]~59972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2363][6]~59973\ : std_logic;
SIGNAL \led_flash_cnt[2363][7]~59974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2363][7]~q\ : std_logic;
SIGNAL \WideAnd2363~1_combout\ : std_logic;
SIGNAL \WideAnd2363~0_combout\ : std_logic;
SIGNAL \WideAnd2363~combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][0]~83002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2362][1]~59948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2362][1]~59949\ : std_logic;
SIGNAL \led_flash_cnt[2362][2]~59950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2362][2]~59951\ : std_logic;
SIGNAL \led_flash_cnt[2362][3]~59952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2362][3]~59953\ : std_logic;
SIGNAL \led_flash_cnt[2362][4]~59954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2362][4]~59955\ : std_logic;
SIGNAL \led_flash_cnt[2362][5]~59956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2362][5]~59957\ : std_logic;
SIGNAL \led_flash_cnt[2362][6]~59958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][6]~q\ : std_logic;
SIGNAL \WideAnd2362~1_combout\ : std_logic;
SIGNAL \WideAnd2362~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][6]~59959\ : std_logic;
SIGNAL \led_flash_cnt[2362][7]~59960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2362][7]~q\ : std_logic;
SIGNAL \WideAnd2362~combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][0]~83000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2360][1]~59920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2360][1]~59921\ : std_logic;
SIGNAL \led_flash_cnt[2360][2]~59922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2360][2]~59923\ : std_logic;
SIGNAL \led_flash_cnt[2360][3]~59924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2360][3]~59925\ : std_logic;
SIGNAL \led_flash_cnt[2360][4]~59926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2360][4]~59927\ : std_logic;
SIGNAL \led_flash_cnt[2360][5]~59928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2360][5]~59929\ : std_logic;
SIGNAL \led_flash_cnt[2360][6]~59930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][6]~q\ : std_logic;
SIGNAL \WideAnd2360~1_combout\ : std_logic;
SIGNAL \WideAnd2360~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][6]~59931\ : std_logic;
SIGNAL \led_flash_cnt[2360][7]~59932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2360][7]~q\ : std_logic;
SIGNAL \WideAnd2360~combout\ : std_logic;
SIGNAL \WideAnd4135~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][0]~83004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2364][1]~59976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2364][1]~59977\ : std_logic;
SIGNAL \led_flash_cnt[2364][2]~59978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2364][2]~59979\ : std_logic;
SIGNAL \led_flash_cnt[2364][3]~59980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2364][3]~59981\ : std_logic;
SIGNAL \led_flash_cnt[2364][4]~59982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][4]~q\ : std_logic;
SIGNAL \WideAnd2364~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][4]~59983\ : std_logic;
SIGNAL \led_flash_cnt[2364][5]~59984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2364][5]~59985\ : std_logic;
SIGNAL \led_flash_cnt[2364][6]~59986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2364][6]~59987\ : std_logic;
SIGNAL \led_flash_cnt[2364][7]~59988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2364][7]~q\ : std_logic;
SIGNAL \WideAnd2364~1_combout\ : std_logic;
SIGNAL \WideAnd2364~combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][0]~83005_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2365][1]~59990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2365][1]~59991\ : std_logic;
SIGNAL \led_flash_cnt[2365][2]~59992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2365][2]~59993\ : std_logic;
SIGNAL \led_flash_cnt[2365][3]~59994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2365][3]~59995\ : std_logic;
SIGNAL \led_flash_cnt[2365][4]~59996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2365][4]~59997\ : std_logic;
SIGNAL \led_flash_cnt[2365][5]~59998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2365][5]~59999\ : std_logic;
SIGNAL \led_flash_cnt[2365][6]~60000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][6]~q\ : std_logic;
SIGNAL \WideAnd2365~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][6]~60001\ : std_logic;
SIGNAL \led_flash_cnt[2365][7]~60002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2365][7]~q\ : std_logic;
SIGNAL \WideAnd2365~0_combout\ : std_logic;
SIGNAL \WideAnd2365~combout\ : std_logic;
SIGNAL \WideAnd4135~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][0]~83006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2366][1]~60004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2366][1]~60005\ : std_logic;
SIGNAL \led_flash_cnt[2366][2]~60006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2366][2]~60007\ : std_logic;
SIGNAL \led_flash_cnt[2366][3]~60008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2366][3]~60009\ : std_logic;
SIGNAL \led_flash_cnt[2366][4]~60010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][4]~q\ : std_logic;
SIGNAL \WideAnd2366~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][4]~60011\ : std_logic;
SIGNAL \led_flash_cnt[2366][5]~60012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2366][5]~60013\ : std_logic;
SIGNAL \led_flash_cnt[2366][6]~60014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2366][6]~60015\ : std_logic;
SIGNAL \led_flash_cnt[2366][7]~60016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2366][7]~q\ : std_logic;
SIGNAL \WideAnd2366~1_combout\ : std_logic;
SIGNAL \WideAnd2366~combout\ : std_logic;
SIGNAL \WideAnd4135~combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][0]~82992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2358][1]~59808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2358][1]~59809\ : std_logic;
SIGNAL \led_flash_cnt[2358][2]~59810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2358][2]~59811\ : std_logic;
SIGNAL \led_flash_cnt[2358][3]~59812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2358][3]~59813\ : std_logic;
SIGNAL \led_flash_cnt[2358][4]~59814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2358][4]~59815\ : std_logic;
SIGNAL \led_flash_cnt[2358][5]~59816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2358][5]~59817\ : std_logic;
SIGNAL \led_flash_cnt[2358][6]~59818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2358][6]~59819\ : std_logic;
SIGNAL \led_flash_cnt[2358][7]~59820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2358][7]~q\ : std_logic;
SIGNAL \WideAnd2358~0_combout\ : std_logic;
SIGNAL \WideAnd2358~1_combout\ : std_logic;
SIGNAL \WideAnd2358~combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][0]~82993_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2357][1]~59822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2357][1]~59823\ : std_logic;
SIGNAL \led_flash_cnt[2357][2]~59824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2357][2]~59825\ : std_logic;
SIGNAL \led_flash_cnt[2357][3]~59826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2357][3]~59827\ : std_logic;
SIGNAL \led_flash_cnt[2357][4]~59828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2357][4]~59829\ : std_logic;
SIGNAL \led_flash_cnt[2357][5]~59830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2357][5]~59831\ : std_logic;
SIGNAL \led_flash_cnt[2357][6]~59832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][6]~q\ : std_logic;
SIGNAL \WideAnd2357~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][6]~59833\ : std_logic;
SIGNAL \led_flash_cnt[2357][7]~59834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2357][7]~q\ : std_logic;
SIGNAL \WideAnd2357~0_combout\ : std_logic;
SIGNAL \WideAnd2357~combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][0]~82994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2356][1]~59836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2356][1]~59837\ : std_logic;
SIGNAL \led_flash_cnt[2356][2]~59838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2356][2]~59839\ : std_logic;
SIGNAL \led_flash_cnt[2356][3]~59840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2356][3]~59841\ : std_logic;
SIGNAL \led_flash_cnt[2356][4]~59842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2356][4]~59843\ : std_logic;
SIGNAL \led_flash_cnt[2356][5]~59844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2356][5]~59845\ : std_logic;
SIGNAL \led_flash_cnt[2356][6]~59846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2356][6]~59847\ : std_logic;
SIGNAL \led_flash_cnt[2356][7]~59848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2356][7]~q\ : std_logic;
SIGNAL \WideAnd2356~0_combout\ : std_logic;
SIGNAL \WideAnd2356~1_combout\ : std_logic;
SIGNAL \WideAnd2356~combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][0]~82997_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2355][1]~59878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2355][1]~59879\ : std_logic;
SIGNAL \led_flash_cnt[2355][2]~59880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2355][2]~59881\ : std_logic;
SIGNAL \led_flash_cnt[2355][3]~59882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2355][3]~59883\ : std_logic;
SIGNAL \led_flash_cnt[2355][4]~59884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2355][4]~59885\ : std_logic;
SIGNAL \led_flash_cnt[2355][5]~59886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2355][5]~59887\ : std_logic;
SIGNAL \led_flash_cnt[2355][6]~59888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][6]~q\ : std_logic;
SIGNAL \WideAnd2355~1_combout\ : std_logic;
SIGNAL \WideAnd2355~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][6]~59889\ : std_logic;
SIGNAL \led_flash_cnt[2355][7]~59890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2355][7]~q\ : std_logic;
SIGNAL \WideAnd2355~combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][0]~82996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2353][1]~59864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2353][1]~59865\ : std_logic;
SIGNAL \led_flash_cnt[2353][2]~59866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2353][2]~59867\ : std_logic;
SIGNAL \led_flash_cnt[2353][3]~59868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2353][3]~59869\ : std_logic;
SIGNAL \led_flash_cnt[2353][4]~59870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2353][4]~59871\ : std_logic;
SIGNAL \led_flash_cnt[2353][5]~59872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2353][5]~59873\ : std_logic;
SIGNAL \led_flash_cnt[2353][6]~59874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2353][6]~59875\ : std_logic;
SIGNAL \led_flash_cnt[2353][7]~59876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2353][7]~q\ : std_logic;
SIGNAL \WideAnd2353~1_combout\ : std_logic;
SIGNAL \WideAnd2353~0_combout\ : std_logic;
SIGNAL \WideAnd2353~combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][0]~82995_combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2352][1]~59850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2352][1]~59851\ : std_logic;
SIGNAL \led_flash_cnt[2352][2]~59852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2352][2]~59853\ : std_logic;
SIGNAL \led_flash_cnt[2352][3]~59854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2352][3]~59855\ : std_logic;
SIGNAL \led_flash_cnt[2352][4]~59856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2352][4]~59857\ : std_logic;
SIGNAL \led_flash_cnt[2352][5]~59858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2352][5]~59859\ : std_logic;
SIGNAL \led_flash_cnt[2352][6]~59860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2352][6]~59861\ : std_logic;
SIGNAL \led_flash_cnt[2352][7]~59862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2352][7]~q\ : std_logic;
SIGNAL \WideAnd2352~1_combout\ : std_logic;
SIGNAL \WideAnd2352~0_combout\ : std_logic;
SIGNAL \WideAnd2352~combout\ : std_logic;
SIGNAL \WideAnd4134~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][0]~82999_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2354][1]~59906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2354][1]~59907\ : std_logic;
SIGNAL \led_flash_cnt[2354][2]~59908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2354][2]~59909\ : std_logic;
SIGNAL \led_flash_cnt[2354][3]~59910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2354][3]~59911\ : std_logic;
SIGNAL \led_flash_cnt[2354][4]~59912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2354][4]~59913\ : std_logic;
SIGNAL \led_flash_cnt[2354][5]~59914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2354][5]~59915\ : std_logic;
SIGNAL \led_flash_cnt[2354][6]~59916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2354][6]~59917\ : std_logic;
SIGNAL \led_flash_cnt[2354][7]~59918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2354][7]~q\ : std_logic;
SIGNAL \WideAnd2354~1_combout\ : std_logic;
SIGNAL \WideAnd2354~0_combout\ : std_logic;
SIGNAL \WideAnd2354~combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][0]~82998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2359][1]~59892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2359][1]~59893\ : std_logic;
SIGNAL \led_flash_cnt[2359][2]~59894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2359][2]~59895\ : std_logic;
SIGNAL \led_flash_cnt[2359][3]~59896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2359][3]~59897\ : std_logic;
SIGNAL \led_flash_cnt[2359][4]~59898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][4]~q\ : std_logic;
SIGNAL \WideAnd2359~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][4]~59899\ : std_logic;
SIGNAL \led_flash_cnt[2359][5]~59900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2359][5]~59901\ : std_logic;
SIGNAL \led_flash_cnt[2359][6]~59902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2359][6]~59903\ : std_logic;
SIGNAL \led_flash_cnt[2359][7]~59904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2359][7]~q\ : std_logic;
SIGNAL \WideAnd2359~1_combout\ : std_logic;
SIGNAL \WideAnd2359~combout\ : std_logic;
SIGNAL \WideAnd4134~1_combout\ : std_logic;
SIGNAL \WideAnd4134~combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][0]~82983_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2343][1]~59682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2343][1]~59683\ : std_logic;
SIGNAL \led_flash_cnt[2343][2]~59684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2343][2]~59685\ : std_logic;
SIGNAL \led_flash_cnt[2343][3]~59686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2343][3]~59687\ : std_logic;
SIGNAL \led_flash_cnt[2343][4]~59688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][4]~q\ : std_logic;
SIGNAL \WideAnd2343~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][4]~59689\ : std_logic;
SIGNAL \led_flash_cnt[2343][5]~59690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2343][5]~59691\ : std_logic;
SIGNAL \led_flash_cnt[2343][6]~59692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2343][6]~59693\ : std_logic;
SIGNAL \led_flash_cnt[2343][7]~59694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2343][7]~q\ : std_logic;
SIGNAL \WideAnd2343~1_combout\ : std_logic;
SIGNAL \WideAnd2343~combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][0]~82981_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2341][1]~59654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2341][1]~59655\ : std_logic;
SIGNAL \led_flash_cnt[2341][2]~59656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2341][2]~59657\ : std_logic;
SIGNAL \led_flash_cnt[2341][3]~59658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2341][3]~59659\ : std_logic;
SIGNAL \led_flash_cnt[2341][4]~59660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][4]~q\ : std_logic;
SIGNAL \WideAnd2341~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][4]~59661\ : std_logic;
SIGNAL \led_flash_cnt[2341][5]~59662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2341][5]~59663\ : std_logic;
SIGNAL \led_flash_cnt[2341][6]~59664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][6]~q\ : std_logic;
SIGNAL \WideAnd2341~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][6]~59665\ : std_logic;
SIGNAL \led_flash_cnt[2341][7]~59666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2341][7]~q\ : std_logic;
SIGNAL \WideAnd2341~combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][0]~82980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2340][1]~59640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2340][1]~59641\ : std_logic;
SIGNAL \led_flash_cnt[2340][2]~59642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2340][2]~59643\ : std_logic;
SIGNAL \led_flash_cnt[2340][3]~59644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2340][3]~59645\ : std_logic;
SIGNAL \led_flash_cnt[2340][4]~59646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2340][4]~59647\ : std_logic;
SIGNAL \led_flash_cnt[2340][5]~59648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2340][5]~59649\ : std_logic;
SIGNAL \led_flash_cnt[2340][6]~59650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2340][6]~59651\ : std_logic;
SIGNAL \led_flash_cnt[2340][7]~59652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2340][7]~q\ : std_logic;
SIGNAL \WideAnd2340~0_combout\ : std_logic;
SIGNAL \WideAnd2340~1_combout\ : std_logic;
SIGNAL \WideAnd2340~combout\ : std_logic;
SIGNAL \WideAnd4132~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][0]~82982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2342][1]~59668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2342][1]~59669\ : std_logic;
SIGNAL \led_flash_cnt[2342][2]~59670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2342][2]~59671\ : std_logic;
SIGNAL \led_flash_cnt[2342][3]~59672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2342][3]~59673\ : std_logic;
SIGNAL \led_flash_cnt[2342][4]~59674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2342][4]~59675\ : std_logic;
SIGNAL \led_flash_cnt[2342][5]~59676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2342][5]~59677\ : std_logic;
SIGNAL \led_flash_cnt[2342][6]~59678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][6]~q\ : std_logic;
SIGNAL \WideAnd2342~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][6]~59679\ : std_logic;
SIGNAL \led_flash_cnt[2342][7]~59680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2342][7]~q\ : std_logic;
SIGNAL \WideAnd2342~0_combout\ : std_logic;
SIGNAL \WideAnd2342~combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][0]~82979_combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2339][1]~59626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2339][1]~59627\ : std_logic;
SIGNAL \led_flash_cnt[2339][2]~59628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2339][2]~59629\ : std_logic;
SIGNAL \led_flash_cnt[2339][3]~59630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2339][3]~59631\ : std_logic;
SIGNAL \led_flash_cnt[2339][4]~59632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2339][4]~59633\ : std_logic;
SIGNAL \led_flash_cnt[2339][5]~59634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2339][5]~59635\ : std_logic;
SIGNAL \led_flash_cnt[2339][6]~59636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2339][6]~59637\ : std_logic;
SIGNAL \led_flash_cnt[2339][7]~59638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2339][7]~q\ : std_logic;
SIGNAL \WideAnd2339~0_combout\ : std_logic;
SIGNAL \WideAnd2339~1_combout\ : std_logic;
SIGNAL \WideAnd2339~combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][0]~82978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2338][1]~59612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2338][1]~59613\ : std_logic;
SIGNAL \led_flash_cnt[2338][2]~59614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2338][2]~59615\ : std_logic;
SIGNAL \led_flash_cnt[2338][3]~59616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2338][3]~59617\ : std_logic;
SIGNAL \led_flash_cnt[2338][4]~59618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2338][4]~59619\ : std_logic;
SIGNAL \led_flash_cnt[2338][5]~59620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2338][5]~59621\ : std_logic;
SIGNAL \led_flash_cnt[2338][6]~59622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][6]~q\ : std_logic;
SIGNAL \WideAnd2338~1_combout\ : std_logic;
SIGNAL \WideAnd2338~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][6]~59623\ : std_logic;
SIGNAL \led_flash_cnt[2338][7]~59624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2338][7]~q\ : std_logic;
SIGNAL \WideAnd2338~combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][0]~82977_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2337][1]~59598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2337][1]~59599\ : std_logic;
SIGNAL \led_flash_cnt[2337][2]~59600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2337][2]~59601\ : std_logic;
SIGNAL \led_flash_cnt[2337][3]~59602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2337][3]~59603\ : std_logic;
SIGNAL \led_flash_cnt[2337][4]~59604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][4]~q\ : std_logic;
SIGNAL \WideAnd2337~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][4]~59605\ : std_logic;
SIGNAL \led_flash_cnt[2337][5]~59606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2337][5]~59607\ : std_logic;
SIGNAL \led_flash_cnt[2337][6]~59608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2337][6]~59609\ : std_logic;
SIGNAL \led_flash_cnt[2337][7]~59610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2337][7]~q\ : std_logic;
SIGNAL \WideAnd2337~1_combout\ : std_logic;
SIGNAL \WideAnd2337~combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][0]~82976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2336][1]~59584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2336][1]~59585\ : std_logic;
SIGNAL \led_flash_cnt[2336][2]~59586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2336][2]~59587\ : std_logic;
SIGNAL \led_flash_cnt[2336][3]~59588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2336][3]~59589\ : std_logic;
SIGNAL \led_flash_cnt[2336][4]~59590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2336][4]~59591\ : std_logic;
SIGNAL \led_flash_cnt[2336][5]~59592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2336][5]~59593\ : std_logic;
SIGNAL \led_flash_cnt[2336][6]~59594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][6]~q\ : std_logic;
SIGNAL \WideAnd2336~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][6]~59595\ : std_logic;
SIGNAL \led_flash_cnt[2336][7]~59596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2336][7]~q\ : std_logic;
SIGNAL \WideAnd2336~0_combout\ : std_logic;
SIGNAL \WideAnd2336~combout\ : std_logic;
SIGNAL \WideAnd4132~0_combout\ : std_logic;
SIGNAL \WideAnd4132~combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][0]~82990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2350][1]~59780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2350][1]~59781\ : std_logic;
SIGNAL \led_flash_cnt[2350][2]~59782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2350][2]~59783\ : std_logic;
SIGNAL \led_flash_cnt[2350][3]~59784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2350][3]~59785\ : std_logic;
SIGNAL \led_flash_cnt[2350][4]~59786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][4]~q\ : std_logic;
SIGNAL \WideAnd2350~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][4]~59787\ : std_logic;
SIGNAL \led_flash_cnt[2350][5]~59788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2350][5]~59789\ : std_logic;
SIGNAL \led_flash_cnt[2350][6]~59790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2350][6]~59791\ : std_logic;
SIGNAL \led_flash_cnt[2350][7]~59792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2350][7]~q\ : std_logic;
SIGNAL \WideAnd2350~1_combout\ : std_logic;
SIGNAL \WideAnd2350~combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][0]~82987_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2347][1]~59738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2347][1]~59739\ : std_logic;
SIGNAL \led_flash_cnt[2347][2]~59740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2347][2]~59741\ : std_logic;
SIGNAL \led_flash_cnt[2347][3]~59742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2347][3]~59743\ : std_logic;
SIGNAL \led_flash_cnt[2347][4]~59744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][4]~q\ : std_logic;
SIGNAL \WideAnd2347~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][4]~59745\ : std_logic;
SIGNAL \led_flash_cnt[2347][5]~59746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2347][5]~59747\ : std_logic;
SIGNAL \led_flash_cnt[2347][6]~59748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2347][6]~59749\ : std_logic;
SIGNAL \led_flash_cnt[2347][7]~59750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2347][7]~q\ : std_logic;
SIGNAL \WideAnd2347~1_combout\ : std_logic;
SIGNAL \WideAnd2347~combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][0]~82985_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2345][1]~59710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2345][1]~59711\ : std_logic;
SIGNAL \led_flash_cnt[2345][2]~59712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2345][2]~59713\ : std_logic;
SIGNAL \led_flash_cnt[2345][3]~59714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2345][3]~59715\ : std_logic;
SIGNAL \led_flash_cnt[2345][4]~59716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2345][4]~59717\ : std_logic;
SIGNAL \led_flash_cnt[2345][5]~59718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2345][5]~59719\ : std_logic;
SIGNAL \led_flash_cnt[2345][6]~59720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][6]~q\ : std_logic;
SIGNAL \WideAnd2345~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][6]~59721\ : std_logic;
SIGNAL \led_flash_cnt[2345][7]~59722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2345][7]~q\ : std_logic;
SIGNAL \WideAnd2345~0_combout\ : std_logic;
SIGNAL \WideAnd2345~combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][0]~82986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2346][1]~59724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2346][1]~59725\ : std_logic;
SIGNAL \led_flash_cnt[2346][2]~59726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2346][2]~59727\ : std_logic;
SIGNAL \led_flash_cnt[2346][3]~59728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2346][3]~59729\ : std_logic;
SIGNAL \led_flash_cnt[2346][4]~59730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2346][4]~59731\ : std_logic;
SIGNAL \led_flash_cnt[2346][5]~59732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2346][5]~59733\ : std_logic;
SIGNAL \led_flash_cnt[2346][6]~59734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][6]~q\ : std_logic;
SIGNAL \WideAnd2346~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][6]~59735\ : std_logic;
SIGNAL \led_flash_cnt[2346][7]~59736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2346][7]~q\ : std_logic;
SIGNAL \WideAnd2346~0_combout\ : std_logic;
SIGNAL \WideAnd2346~combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][0]~82984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2344][1]~59696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2344][1]~59697\ : std_logic;
SIGNAL \led_flash_cnt[2344][2]~59698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2344][2]~59699\ : std_logic;
SIGNAL \led_flash_cnt[2344][3]~59700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2344][3]~59701\ : std_logic;
SIGNAL \led_flash_cnt[2344][4]~59702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2344][4]~59703\ : std_logic;
SIGNAL \led_flash_cnt[2344][5]~59704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2344][5]~59705\ : std_logic;
SIGNAL \led_flash_cnt[2344][6]~59706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][6]~q\ : std_logic;
SIGNAL \WideAnd2344~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][6]~59707\ : std_logic;
SIGNAL \led_flash_cnt[2344][7]~59708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2344][7]~q\ : std_logic;
SIGNAL \WideAnd2344~0_combout\ : std_logic;
SIGNAL \WideAnd2344~combout\ : std_logic;
SIGNAL \WideAnd4133~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][0]~82989_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2349][1]~59766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2349][1]~59767\ : std_logic;
SIGNAL \led_flash_cnt[2349][2]~59768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2349][2]~59769\ : std_logic;
SIGNAL \led_flash_cnt[2349][3]~59770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2349][3]~59771\ : std_logic;
SIGNAL \led_flash_cnt[2349][4]~59772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2349][4]~59773\ : std_logic;
SIGNAL \led_flash_cnt[2349][5]~59774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2349][5]~59775\ : std_logic;
SIGNAL \led_flash_cnt[2349][6]~59776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2349][6]~59777\ : std_logic;
SIGNAL \led_flash_cnt[2349][7]~59778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2349][7]~q\ : std_logic;
SIGNAL \WideAnd2349~1_combout\ : std_logic;
SIGNAL \WideAnd2349~0_combout\ : std_logic;
SIGNAL \WideAnd2349~combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][0]~82988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2348][1]~59752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2348][1]~59753\ : std_logic;
SIGNAL \led_flash_cnt[2348][2]~59754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2348][2]~59755\ : std_logic;
SIGNAL \led_flash_cnt[2348][3]~59756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2348][3]~59757\ : std_logic;
SIGNAL \led_flash_cnt[2348][4]~59758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2348][4]~59759\ : std_logic;
SIGNAL \led_flash_cnt[2348][5]~59760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2348][5]~59761\ : std_logic;
SIGNAL \led_flash_cnt[2348][6]~59762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2348][6]~59763\ : std_logic;
SIGNAL \led_flash_cnt[2348][7]~59764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2348][7]~q\ : std_logic;
SIGNAL \WideAnd2348~1_combout\ : std_logic;
SIGNAL \WideAnd2348~0_combout\ : std_logic;
SIGNAL \WideAnd2348~combout\ : std_logic;
SIGNAL \WideAnd4133~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][0]~82991_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2351][1]~59794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2351][1]~59795\ : std_logic;
SIGNAL \led_flash_cnt[2351][2]~59796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2351][2]~59797\ : std_logic;
SIGNAL \led_flash_cnt[2351][3]~59798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2351][3]~59799\ : std_logic;
SIGNAL \led_flash_cnt[2351][4]~59800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][4]~q\ : std_logic;
SIGNAL \WideAnd2351~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][4]~59801\ : std_logic;
SIGNAL \led_flash_cnt[2351][5]~59802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2351][5]~59803\ : std_logic;
SIGNAL \led_flash_cnt[2351][6]~59804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2351][6]~59805\ : std_logic;
SIGNAL \led_flash_cnt[2351][7]~59806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2351][7]~q\ : std_logic;
SIGNAL \WideAnd2351~1_combout\ : std_logic;
SIGNAL \WideAnd2351~combout\ : std_logic;
SIGNAL \WideAnd4133~combout\ : std_logic;
SIGNAL \WideAnd4356~1_combout\ : std_logic;
SIGNAL \WideAnd4356~combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][0]~83047_combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2407][1]~60578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2407][1]~60579\ : std_logic;
SIGNAL \led_flash_cnt[2407][2]~60580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2407][2]~60581\ : std_logic;
SIGNAL \led_flash_cnt[2407][3]~60582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2407][3]~60583\ : std_logic;
SIGNAL \led_flash_cnt[2407][4]~60584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2407][4]~60585\ : std_logic;
SIGNAL \led_flash_cnt[2407][5]~60586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2407][5]~60587\ : std_logic;
SIGNAL \led_flash_cnt[2407][6]~60588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2407][6]~60589\ : std_logic;
SIGNAL \led_flash_cnt[2407][7]~60590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2407][7]~q\ : std_logic;
SIGNAL \WideAnd2407~0_combout\ : std_logic;
SIGNAL \WideAnd2407~1_combout\ : std_logic;
SIGNAL \WideAnd2407~combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][0]~83046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2406][1]~60564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2406][1]~60565\ : std_logic;
SIGNAL \led_flash_cnt[2406][2]~60566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2406][2]~60567\ : std_logic;
SIGNAL \led_flash_cnt[2406][3]~60568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2406][3]~60569\ : std_logic;
SIGNAL \led_flash_cnt[2406][4]~60570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2406][4]~60571\ : std_logic;
SIGNAL \led_flash_cnt[2406][5]~60572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2406][5]~60573\ : std_logic;
SIGNAL \led_flash_cnt[2406][6]~60574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][6]~q\ : std_logic;
SIGNAL \WideAnd2406~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][6]~60575\ : std_logic;
SIGNAL \led_flash_cnt[2406][7]~60576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2406][7]~q\ : std_logic;
SIGNAL \WideAnd2406~0_combout\ : std_logic;
SIGNAL \WideAnd2406~combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][0]~83043_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2403][1]~60522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2403][1]~60523\ : std_logic;
SIGNAL \led_flash_cnt[2403][2]~60524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2403][2]~60525\ : std_logic;
SIGNAL \led_flash_cnt[2403][3]~60526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2403][3]~60527\ : std_logic;
SIGNAL \led_flash_cnt[2403][4]~60528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][4]~q\ : std_logic;
SIGNAL \WideAnd2403~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][4]~60529\ : std_logic;
SIGNAL \led_flash_cnt[2403][5]~60530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2403][5]~60531\ : std_logic;
SIGNAL \led_flash_cnt[2403][6]~60532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2403][6]~60533\ : std_logic;
SIGNAL \led_flash_cnt[2403][7]~60534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2403][7]~q\ : std_logic;
SIGNAL \WideAnd2403~1_combout\ : std_logic;
SIGNAL \WideAnd2403~combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][0]~83042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2402][1]~60508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2402][1]~60509\ : std_logic;
SIGNAL \led_flash_cnt[2402][2]~60510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2402][2]~60511\ : std_logic;
SIGNAL \led_flash_cnt[2402][3]~60512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2402][3]~60513\ : std_logic;
SIGNAL \led_flash_cnt[2402][4]~60514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2402][4]~60515\ : std_logic;
SIGNAL \led_flash_cnt[2402][5]~60516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2402][5]~60517\ : std_logic;
SIGNAL \led_flash_cnt[2402][6]~60518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][6]~q\ : std_logic;
SIGNAL \WideAnd2402~1_combout\ : std_logic;
SIGNAL \WideAnd2402~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][6]~60519\ : std_logic;
SIGNAL \led_flash_cnt[2402][7]~60520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2402][7]~q\ : std_logic;
SIGNAL \WideAnd2402~combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][0]~83041_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2401][1]~60494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2401][1]~60495\ : std_logic;
SIGNAL \led_flash_cnt[2401][2]~60496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2401][2]~60497\ : std_logic;
SIGNAL \led_flash_cnt[2401][3]~60498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2401][3]~60499\ : std_logic;
SIGNAL \led_flash_cnt[2401][4]~60500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][4]~q\ : std_logic;
SIGNAL \WideAnd2401~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][4]~60501\ : std_logic;
SIGNAL \led_flash_cnt[2401][5]~60502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2401][5]~60503\ : std_logic;
SIGNAL \led_flash_cnt[2401][6]~60504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][6]~q\ : std_logic;
SIGNAL \WideAnd2401~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][6]~60505\ : std_logic;
SIGNAL \led_flash_cnt[2401][7]~60506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2401][7]~q\ : std_logic;
SIGNAL \WideAnd2401~combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][0]~83040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2400][1]~60480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2400][1]~60481\ : std_logic;
SIGNAL \led_flash_cnt[2400][2]~60482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2400][2]~60483\ : std_logic;
SIGNAL \led_flash_cnt[2400][3]~60484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2400][3]~60485\ : std_logic;
SIGNAL \led_flash_cnt[2400][4]~60486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][4]~q\ : std_logic;
SIGNAL \WideAnd2400~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][4]~60487\ : std_logic;
SIGNAL \led_flash_cnt[2400][5]~60488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2400][5]~60489\ : std_logic;
SIGNAL \led_flash_cnt[2400][6]~60490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][6]~q\ : std_logic;
SIGNAL \WideAnd2400~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][6]~60491\ : std_logic;
SIGNAL \led_flash_cnt[2400][7]~60492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2400][7]~q\ : std_logic;
SIGNAL \WideAnd2400~combout\ : std_logic;
SIGNAL \WideAnd4140~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][0]~83045_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2405][1]~60550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2405][1]~60551\ : std_logic;
SIGNAL \led_flash_cnt[2405][2]~60552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2405][2]~60553\ : std_logic;
SIGNAL \led_flash_cnt[2405][3]~60554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2405][3]~60555\ : std_logic;
SIGNAL \led_flash_cnt[2405][4]~60556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2405][4]~60557\ : std_logic;
SIGNAL \led_flash_cnt[2405][5]~60558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2405][5]~60559\ : std_logic;
SIGNAL \led_flash_cnt[2405][6]~60560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][6]~q\ : std_logic;
SIGNAL \WideAnd2405~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][6]~60561\ : std_logic;
SIGNAL \led_flash_cnt[2405][7]~60562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2405][7]~q\ : std_logic;
SIGNAL \WideAnd2405~0_combout\ : std_logic;
SIGNAL \WideAnd2405~combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][0]~83044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2404][1]~60536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2404][1]~60537\ : std_logic;
SIGNAL \led_flash_cnt[2404][2]~60538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2404][2]~60539\ : std_logic;
SIGNAL \led_flash_cnt[2404][3]~60540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2404][3]~60541\ : std_logic;
SIGNAL \led_flash_cnt[2404][4]~60542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2404][4]~60543\ : std_logic;
SIGNAL \led_flash_cnt[2404][5]~60544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2404][5]~60545\ : std_logic;
SIGNAL \led_flash_cnt[2404][6]~60546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2404][6]~60547\ : std_logic;
SIGNAL \led_flash_cnt[2404][7]~60548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2404][7]~q\ : std_logic;
SIGNAL \WideAnd2404~0_combout\ : std_logic;
SIGNAL \WideAnd2404~1_combout\ : std_logic;
SIGNAL \WideAnd2404~combout\ : std_logic;
SIGNAL \WideAnd4140~1_combout\ : std_logic;
SIGNAL \WideAnd4140~combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][0]~83054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2414][1]~60676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2414][1]~60677\ : std_logic;
SIGNAL \led_flash_cnt[2414][2]~60678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2414][2]~60679\ : std_logic;
SIGNAL \led_flash_cnt[2414][3]~60680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2414][3]~60681\ : std_logic;
SIGNAL \led_flash_cnt[2414][4]~60682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][4]~q\ : std_logic;
SIGNAL \WideAnd2414~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][4]~60683\ : std_logic;
SIGNAL \led_flash_cnt[2414][5]~60684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2414][5]~60685\ : std_logic;
SIGNAL \led_flash_cnt[2414][6]~60686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][6]~q\ : std_logic;
SIGNAL \WideAnd2414~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][6]~60687\ : std_logic;
SIGNAL \led_flash_cnt[2414][7]~60688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2414][7]~q\ : std_logic;
SIGNAL \WideAnd2414~combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][0]~83051_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2411][1]~60634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2411][1]~60635\ : std_logic;
SIGNAL \led_flash_cnt[2411][2]~60636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2411][2]~60637\ : std_logic;
SIGNAL \led_flash_cnt[2411][3]~60638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2411][3]~60639\ : std_logic;
SIGNAL \led_flash_cnt[2411][4]~60640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2411][4]~60641\ : std_logic;
SIGNAL \led_flash_cnt[2411][5]~60642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2411][5]~60643\ : std_logic;
SIGNAL \led_flash_cnt[2411][6]~60644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][6]~q\ : std_logic;
SIGNAL \WideAnd2411~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][6]~60645\ : std_logic;
SIGNAL \led_flash_cnt[2411][7]~60646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2411][7]~q\ : std_logic;
SIGNAL \WideAnd2411~0_combout\ : std_logic;
SIGNAL \WideAnd2411~combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][0]~83050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2410][1]~60620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2410][1]~60621\ : std_logic;
SIGNAL \led_flash_cnt[2410][2]~60622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2410][2]~60623\ : std_logic;
SIGNAL \led_flash_cnt[2410][3]~60624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2410][3]~60625\ : std_logic;
SIGNAL \led_flash_cnt[2410][4]~60626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2410][4]~60627\ : std_logic;
SIGNAL \led_flash_cnt[2410][5]~60628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2410][5]~60629\ : std_logic;
SIGNAL \led_flash_cnt[2410][6]~60630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2410][6]~60631\ : std_logic;
SIGNAL \led_flash_cnt[2410][7]~60632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2410][7]~q\ : std_logic;
SIGNAL \WideAnd2410~1_combout\ : std_logic;
SIGNAL \WideAnd2410~0_combout\ : std_logic;
SIGNAL \WideAnd2410~combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][0]~83049_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2409][1]~60606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2409][1]~60607\ : std_logic;
SIGNAL \led_flash_cnt[2409][2]~60608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2409][2]~60609\ : std_logic;
SIGNAL \led_flash_cnt[2409][3]~60610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2409][3]~60611\ : std_logic;
SIGNAL \led_flash_cnt[2409][4]~60612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][4]~q\ : std_logic;
SIGNAL \WideAnd2409~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][4]~60613\ : std_logic;
SIGNAL \led_flash_cnt[2409][5]~60614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2409][5]~60615\ : std_logic;
SIGNAL \led_flash_cnt[2409][6]~60616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][6]~q\ : std_logic;
SIGNAL \WideAnd2409~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][6]~60617\ : std_logic;
SIGNAL \led_flash_cnt[2409][7]~60618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2409][7]~q\ : std_logic;
SIGNAL \WideAnd2409~combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][0]~83048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2408][1]~60592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2408][1]~60593\ : std_logic;
SIGNAL \led_flash_cnt[2408][2]~60594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2408][2]~60595\ : std_logic;
SIGNAL \led_flash_cnt[2408][3]~60596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2408][3]~60597\ : std_logic;
SIGNAL \led_flash_cnt[2408][4]~60598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2408][4]~60599\ : std_logic;
SIGNAL \led_flash_cnt[2408][5]~60600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2408][5]~60601\ : std_logic;
SIGNAL \led_flash_cnt[2408][6]~60602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2408][6]~60603\ : std_logic;
SIGNAL \led_flash_cnt[2408][7]~60604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2408][7]~q\ : std_logic;
SIGNAL \WideAnd2408~0_combout\ : std_logic;
SIGNAL \WideAnd2408~1_combout\ : std_logic;
SIGNAL \WideAnd2408~combout\ : std_logic;
SIGNAL \WideAnd4141~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][0]~83053_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2413][1]~60662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2413][1]~60663\ : std_logic;
SIGNAL \led_flash_cnt[2413][2]~60664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2413][2]~60665\ : std_logic;
SIGNAL \led_flash_cnt[2413][3]~60666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2413][3]~60667\ : std_logic;
SIGNAL \led_flash_cnt[2413][4]~60668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2413][4]~60669\ : std_logic;
SIGNAL \led_flash_cnt[2413][5]~60670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2413][5]~60671\ : std_logic;
SIGNAL \led_flash_cnt[2413][6]~60672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2413][6]~60673\ : std_logic;
SIGNAL \led_flash_cnt[2413][7]~60674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2413][7]~q\ : std_logic;
SIGNAL \WideAnd2413~0_combout\ : std_logic;
SIGNAL \WideAnd2413~1_combout\ : std_logic;
SIGNAL \WideAnd2413~combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][0]~83052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2412][1]~60648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2412][1]~60649\ : std_logic;
SIGNAL \led_flash_cnt[2412][2]~60650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2412][2]~60651\ : std_logic;
SIGNAL \led_flash_cnt[2412][3]~60652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2412][3]~60653\ : std_logic;
SIGNAL \led_flash_cnt[2412][4]~60654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][4]~q\ : std_logic;
SIGNAL \WideAnd2412~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][4]~60655\ : std_logic;
SIGNAL \led_flash_cnt[2412][5]~60656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2412][5]~60657\ : std_logic;
SIGNAL \led_flash_cnt[2412][6]~60658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2412][6]~60659\ : std_logic;
SIGNAL \led_flash_cnt[2412][7]~60660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2412][7]~q\ : std_logic;
SIGNAL \WideAnd2412~1_combout\ : std_logic;
SIGNAL \WideAnd2412~combout\ : std_logic;
SIGNAL \WideAnd4141~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][0]~83055_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2415][1]~60690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2415][1]~60691\ : std_logic;
SIGNAL \led_flash_cnt[2415][2]~60692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2415][2]~60693\ : std_logic;
SIGNAL \led_flash_cnt[2415][3]~60694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2415][3]~60695\ : std_logic;
SIGNAL \led_flash_cnt[2415][4]~60696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2415][4]~60697\ : std_logic;
SIGNAL \led_flash_cnt[2415][5]~60698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2415][5]~60699\ : std_logic;
SIGNAL \led_flash_cnt[2415][6]~60700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2415][6]~60701\ : std_logic;
SIGNAL \led_flash_cnt[2415][7]~60702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2415][7]~q\ : std_logic;
SIGNAL \WideAnd2415~0_combout\ : std_logic;
SIGNAL \WideAnd2415~1_combout\ : std_logic;
SIGNAL \WideAnd2415~combout\ : std_logic;
SIGNAL \WideAnd4141~combout\ : std_logic;
SIGNAL \WideAnd4357~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][0]~83068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2428][1]~60872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2428][1]~60873\ : std_logic;
SIGNAL \led_flash_cnt[2428][2]~60874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2428][2]~60875\ : std_logic;
SIGNAL \led_flash_cnt[2428][3]~60876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2428][3]~60877\ : std_logic;
SIGNAL \led_flash_cnt[2428][4]~60878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2428][4]~60879\ : std_logic;
SIGNAL \led_flash_cnt[2428][5]~60880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2428][5]~60881\ : std_logic;
SIGNAL \led_flash_cnt[2428][6]~60882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][6]~q\ : std_logic;
SIGNAL \WideAnd2428~1_combout\ : std_logic;
SIGNAL \WideAnd2428~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][6]~60883\ : std_logic;
SIGNAL \led_flash_cnt[2428][7]~60884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2428][7]~q\ : std_logic;
SIGNAL \WideAnd2428~combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][0]~83069_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2429][1]~60886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2429][1]~60887\ : std_logic;
SIGNAL \led_flash_cnt[2429][2]~60888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2429][2]~60889\ : std_logic;
SIGNAL \led_flash_cnt[2429][3]~60890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2429][3]~60891\ : std_logic;
SIGNAL \led_flash_cnt[2429][4]~60892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][4]~q\ : std_logic;
SIGNAL \WideAnd2429~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][4]~60893\ : std_logic;
SIGNAL \led_flash_cnt[2429][5]~60894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2429][5]~60895\ : std_logic;
SIGNAL \led_flash_cnt[2429][6]~60896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2429][6]~60897\ : std_logic;
SIGNAL \led_flash_cnt[2429][7]~60898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2429][7]~q\ : std_logic;
SIGNAL \WideAnd2429~1_combout\ : std_logic;
SIGNAL \WideAnd2429~combout\ : std_logic;
SIGNAL \WideAnd4143~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][0]~83070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2430][1]~60900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2430][1]~60901\ : std_logic;
SIGNAL \led_flash_cnt[2430][2]~60902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2430][2]~60903\ : std_logic;
SIGNAL \led_flash_cnt[2430][3]~60904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2430][3]~60905\ : std_logic;
SIGNAL \led_flash_cnt[2430][4]~60906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2430][4]~60907\ : std_logic;
SIGNAL \led_flash_cnt[2430][5]~60908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2430][5]~60909\ : std_logic;
SIGNAL \led_flash_cnt[2430][6]~60910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2430][6]~60911\ : std_logic;
SIGNAL \led_flash_cnt[2430][7]~60912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2430][7]~q\ : std_logic;
SIGNAL \WideAnd2430~0_combout\ : std_logic;
SIGNAL \WideAnd2430~1_combout\ : std_logic;
SIGNAL \WideAnd2430~combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][0]~83066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2426][1]~60844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2426][1]~60845\ : std_logic;
SIGNAL \led_flash_cnt[2426][2]~60846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2426][2]~60847\ : std_logic;
SIGNAL \led_flash_cnt[2426][3]~60848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2426][3]~60849\ : std_logic;
SIGNAL \led_flash_cnt[2426][4]~60850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2426][4]~60851\ : std_logic;
SIGNAL \led_flash_cnt[2426][5]~60852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2426][5]~60853\ : std_logic;
SIGNAL \led_flash_cnt[2426][6]~60854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][6]~q\ : std_logic;
SIGNAL \WideAnd2426~1_combout\ : std_logic;
SIGNAL \WideAnd2426~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][6]~60855\ : std_logic;
SIGNAL \led_flash_cnt[2426][7]~60856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2426][7]~q\ : std_logic;
SIGNAL \WideAnd2426~combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][0]~83065_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2425][1]~60830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2425][1]~60831\ : std_logic;
SIGNAL \led_flash_cnt[2425][2]~60832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2425][2]~60833\ : std_logic;
SIGNAL \led_flash_cnt[2425][3]~60834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2425][3]~60835\ : std_logic;
SIGNAL \led_flash_cnt[2425][4]~60836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2425][4]~60837\ : std_logic;
SIGNAL \led_flash_cnt[2425][5]~60838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2425][5]~60839\ : std_logic;
SIGNAL \led_flash_cnt[2425][6]~60840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][6]~q\ : std_logic;
SIGNAL \WideAnd2425~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][6]~60841\ : std_logic;
SIGNAL \led_flash_cnt[2425][7]~60842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2425][7]~q\ : std_logic;
SIGNAL \WideAnd2425~0_combout\ : std_logic;
SIGNAL \WideAnd2425~combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][0]~83067_combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2427][1]~60858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2427][1]~60859\ : std_logic;
SIGNAL \led_flash_cnt[2427][2]~60860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2427][2]~60861\ : std_logic;
SIGNAL \led_flash_cnt[2427][3]~60862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2427][3]~60863\ : std_logic;
SIGNAL \led_flash_cnt[2427][4]~60864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2427][4]~60865\ : std_logic;
SIGNAL \led_flash_cnt[2427][5]~60866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2427][5]~60867\ : std_logic;
SIGNAL \led_flash_cnt[2427][6]~60868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2427][6]~60869\ : std_logic;
SIGNAL \led_flash_cnt[2427][7]~60870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2427][7]~q\ : std_logic;
SIGNAL \WideAnd2427~0_combout\ : std_logic;
SIGNAL \WideAnd2427~1_combout\ : std_logic;
SIGNAL \WideAnd2427~combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][0]~83064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2424][1]~60816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2424][1]~60817\ : std_logic;
SIGNAL \led_flash_cnt[2424][2]~60818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2424][2]~60819\ : std_logic;
SIGNAL \led_flash_cnt[2424][3]~60820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2424][3]~60821\ : std_logic;
SIGNAL \led_flash_cnt[2424][4]~60822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2424][4]~60823\ : std_logic;
SIGNAL \led_flash_cnt[2424][5]~60824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2424][5]~60825\ : std_logic;
SIGNAL \led_flash_cnt[2424][6]~60826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][6]~q\ : std_logic;
SIGNAL \WideAnd2424~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][6]~60827\ : std_logic;
SIGNAL \led_flash_cnt[2424][7]~60828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2424][7]~q\ : std_logic;
SIGNAL \WideAnd2424~1_combout\ : std_logic;
SIGNAL \WideAnd2424~combout\ : std_logic;
SIGNAL \WideAnd4143~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][0]~83071_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2431][1]~60914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2431][1]~60915\ : std_logic;
SIGNAL \led_flash_cnt[2431][2]~60916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2431][2]~60917\ : std_logic;
SIGNAL \led_flash_cnt[2431][3]~60918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2431][3]~60919\ : std_logic;
SIGNAL \led_flash_cnt[2431][4]~60920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][4]~q\ : std_logic;
SIGNAL \WideAnd2431~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][4]~60921\ : std_logic;
SIGNAL \led_flash_cnt[2431][5]~60922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2431][5]~60923\ : std_logic;
SIGNAL \led_flash_cnt[2431][6]~60924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][6]~q\ : std_logic;
SIGNAL \WideAnd2431~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][6]~60925\ : std_logic;
SIGNAL \led_flash_cnt[2431][7]~60926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2431][7]~q\ : std_logic;
SIGNAL \WideAnd2431~combout\ : std_logic;
SIGNAL \WideAnd4143~combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][0]~83063_combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2423][1]~60802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2423][1]~60803\ : std_logic;
SIGNAL \led_flash_cnt[2423][2]~60804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2423][2]~60805\ : std_logic;
SIGNAL \led_flash_cnt[2423][3]~60806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2423][3]~60807\ : std_logic;
SIGNAL \led_flash_cnt[2423][4]~60808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2423][4]~60809\ : std_logic;
SIGNAL \led_flash_cnt[2423][5]~60810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2423][5]~60811\ : std_logic;
SIGNAL \led_flash_cnt[2423][6]~60812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2423][6]~60813\ : std_logic;
SIGNAL \led_flash_cnt[2423][7]~60814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2423][7]~q\ : std_logic;
SIGNAL \WideAnd2423~1_combout\ : std_logic;
SIGNAL \WideAnd2423~0_combout\ : std_logic;
SIGNAL \WideAnd2423~combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][0]~83062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2422][1]~60788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2422][1]~60789\ : std_logic;
SIGNAL \led_flash_cnt[2422][2]~60790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2422][2]~60791\ : std_logic;
SIGNAL \led_flash_cnt[2422][3]~60792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2422][3]~60793\ : std_logic;
SIGNAL \led_flash_cnt[2422][4]~60794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][4]~q\ : std_logic;
SIGNAL \WideAnd2422~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][4]~60795\ : std_logic;
SIGNAL \led_flash_cnt[2422][5]~60796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2422][5]~60797\ : std_logic;
SIGNAL \led_flash_cnt[2422][6]~60798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2422][6]~60799\ : std_logic;
SIGNAL \led_flash_cnt[2422][7]~60800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2422][7]~q\ : std_logic;
SIGNAL \WideAnd2422~1_combout\ : std_logic;
SIGNAL \WideAnd2422~combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][0]~83058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2418][1]~60732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2418][1]~60733\ : std_logic;
SIGNAL \led_flash_cnt[2418][2]~60734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2418][2]~60735\ : std_logic;
SIGNAL \led_flash_cnt[2418][3]~60736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2418][3]~60737\ : std_logic;
SIGNAL \led_flash_cnt[2418][4]~60738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2418][4]~60739\ : std_logic;
SIGNAL \led_flash_cnt[2418][5]~60740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2418][5]~60741\ : std_logic;
SIGNAL \led_flash_cnt[2418][6]~60742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2418][6]~60743\ : std_logic;
SIGNAL \led_flash_cnt[2418][7]~60744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2418][7]~q\ : std_logic;
SIGNAL \WideAnd2418~0_combout\ : std_logic;
SIGNAL \WideAnd2418~1_combout\ : std_logic;
SIGNAL \WideAnd2418~combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][0]~83059_combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2419][1]~60746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2419][1]~60747\ : std_logic;
SIGNAL \led_flash_cnt[2419][2]~60748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2419][2]~60749\ : std_logic;
SIGNAL \led_flash_cnt[2419][3]~60750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2419][3]~60751\ : std_logic;
SIGNAL \led_flash_cnt[2419][4]~60752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2419][4]~60753\ : std_logic;
SIGNAL \led_flash_cnt[2419][5]~60754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2419][5]~60755\ : std_logic;
SIGNAL \led_flash_cnt[2419][6]~60756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2419][6]~60757\ : std_logic;
SIGNAL \led_flash_cnt[2419][7]~60758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2419][7]~q\ : std_logic;
SIGNAL \WideAnd2419~1_combout\ : std_logic;
SIGNAL \WideAnd2419~0_combout\ : std_logic;
SIGNAL \WideAnd2419~combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][0]~83057_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2417][1]~60718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2417][1]~60719\ : std_logic;
SIGNAL \led_flash_cnt[2417][2]~60720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2417][2]~60721\ : std_logic;
SIGNAL \led_flash_cnt[2417][3]~60722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2417][3]~60723\ : std_logic;
SIGNAL \led_flash_cnt[2417][4]~60724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2417][4]~60725\ : std_logic;
SIGNAL \led_flash_cnt[2417][5]~60726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2417][5]~60727\ : std_logic;
SIGNAL \led_flash_cnt[2417][6]~60728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][6]~q\ : std_logic;
SIGNAL \WideAnd2417~1_combout\ : std_logic;
SIGNAL \WideAnd2417~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][6]~60729\ : std_logic;
SIGNAL \led_flash_cnt[2417][7]~60730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2417][7]~q\ : std_logic;
SIGNAL \WideAnd2417~combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][0]~83056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2416][1]~60704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2416][1]~60705\ : std_logic;
SIGNAL \led_flash_cnt[2416][2]~60706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2416][2]~60707\ : std_logic;
SIGNAL \led_flash_cnt[2416][3]~60708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2416][3]~60709\ : std_logic;
SIGNAL \led_flash_cnt[2416][4]~60710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][4]~q\ : std_logic;
SIGNAL \WideAnd2416~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][4]~60711\ : std_logic;
SIGNAL \led_flash_cnt[2416][5]~60712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2416][5]~60713\ : std_logic;
SIGNAL \led_flash_cnt[2416][6]~60714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2416][6]~60715\ : std_logic;
SIGNAL \led_flash_cnt[2416][7]~60716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2416][7]~q\ : std_logic;
SIGNAL \WideAnd2416~1_combout\ : std_logic;
SIGNAL \WideAnd2416~combout\ : std_logic;
SIGNAL \WideAnd4142~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][0]~83061_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2421][1]~60774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2421][1]~60775\ : std_logic;
SIGNAL \led_flash_cnt[2421][2]~60776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2421][2]~60777\ : std_logic;
SIGNAL \led_flash_cnt[2421][3]~60778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2421][3]~60779\ : std_logic;
SIGNAL \led_flash_cnt[2421][4]~60780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][4]~q\ : std_logic;
SIGNAL \WideAnd2421~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][4]~60781\ : std_logic;
SIGNAL \led_flash_cnt[2421][5]~60782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2421][5]~60783\ : std_logic;
SIGNAL \led_flash_cnt[2421][6]~60784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2421][6]~60785\ : std_logic;
SIGNAL \led_flash_cnt[2421][7]~60786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2421][7]~q\ : std_logic;
SIGNAL \WideAnd2421~1_combout\ : std_logic;
SIGNAL \WideAnd2421~combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][0]~83060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2420][1]~60760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2420][1]~60761\ : std_logic;
SIGNAL \led_flash_cnt[2420][2]~60762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2420][2]~60763\ : std_logic;
SIGNAL \led_flash_cnt[2420][3]~60764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2420][3]~60765\ : std_logic;
SIGNAL \led_flash_cnt[2420][4]~60766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2420][4]~60767\ : std_logic;
SIGNAL \led_flash_cnt[2420][5]~60768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2420][5]~60769\ : std_logic;
SIGNAL \led_flash_cnt[2420][6]~60770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2420][6]~60771\ : std_logic;
SIGNAL \led_flash_cnt[2420][7]~60772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2420][7]~q\ : std_logic;
SIGNAL \WideAnd2420~1_combout\ : std_logic;
SIGNAL \WideAnd2420~0_combout\ : std_logic;
SIGNAL \WideAnd2420~combout\ : std_logic;
SIGNAL \WideAnd4142~1_combout\ : std_logic;
SIGNAL \WideAnd4142~combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][0]~83024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2384][1]~60256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2384][1]~60257\ : std_logic;
SIGNAL \led_flash_cnt[2384][2]~60258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2384][2]~60259\ : std_logic;
SIGNAL \led_flash_cnt[2384][3]~60260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2384][3]~60261\ : std_logic;
SIGNAL \led_flash_cnt[2384][4]~60262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][4]~q\ : std_logic;
SIGNAL \WideAnd2384~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][4]~60263\ : std_logic;
SIGNAL \led_flash_cnt[2384][5]~60264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2384][5]~60265\ : std_logic;
SIGNAL \led_flash_cnt[2384][6]~60266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][6]~q\ : std_logic;
SIGNAL \WideAnd2384~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][6]~60267\ : std_logic;
SIGNAL \led_flash_cnt[2384][7]~60268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2384][7]~q\ : std_logic;
SIGNAL \WideAnd2384~combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][0]~83025_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2385][1]~60270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2385][1]~60271\ : std_logic;
SIGNAL \led_flash_cnt[2385][2]~60272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2385][2]~60273\ : std_logic;
SIGNAL \led_flash_cnt[2385][3]~60274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2385][3]~60275\ : std_logic;
SIGNAL \led_flash_cnt[2385][4]~60276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][4]~q\ : std_logic;
SIGNAL \WideAnd2385~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][4]~60277\ : std_logic;
SIGNAL \led_flash_cnt[2385][5]~60278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2385][5]~60279\ : std_logic;
SIGNAL \led_flash_cnt[2385][6]~60280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2385][6]~60281\ : std_logic;
SIGNAL \led_flash_cnt[2385][7]~60282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2385][7]~q\ : std_logic;
SIGNAL \WideAnd2385~1_combout\ : std_logic;
SIGNAL \WideAnd2385~combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][0]~83026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2386][1]~60284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2386][1]~60285\ : std_logic;
SIGNAL \led_flash_cnt[2386][2]~60286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2386][2]~60287\ : std_logic;
SIGNAL \led_flash_cnt[2386][3]~60288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2386][3]~60289\ : std_logic;
SIGNAL \led_flash_cnt[2386][4]~60290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][4]~q\ : std_logic;
SIGNAL \WideAnd2386~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][4]~60291\ : std_logic;
SIGNAL \led_flash_cnt[2386][5]~60292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2386][5]~60293\ : std_logic;
SIGNAL \led_flash_cnt[2386][6]~60294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][6]~q\ : std_logic;
SIGNAL \WideAnd2386~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][6]~60295\ : std_logic;
SIGNAL \led_flash_cnt[2386][7]~60296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2386][7]~q\ : std_logic;
SIGNAL \WideAnd2386~combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][0]~83027_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2387][1]~60298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2387][1]~60299\ : std_logic;
SIGNAL \led_flash_cnt[2387][2]~60300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2387][2]~60301\ : std_logic;
SIGNAL \led_flash_cnt[2387][3]~60302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2387][3]~60303\ : std_logic;
SIGNAL \led_flash_cnt[2387][4]~60304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][4]~q\ : std_logic;
SIGNAL \WideAnd2387~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][4]~60305\ : std_logic;
SIGNAL \led_flash_cnt[2387][5]~60306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2387][5]~60307\ : std_logic;
SIGNAL \led_flash_cnt[2387][6]~60308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2387][6]~60309\ : std_logic;
SIGNAL \led_flash_cnt[2387][7]~60310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2387][7]~q\ : std_logic;
SIGNAL \WideAnd2387~1_combout\ : std_logic;
SIGNAL \WideAnd2387~combout\ : std_logic;
SIGNAL \WideAnd4138~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][0]~83028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2388][1]~60312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2388][1]~60313\ : std_logic;
SIGNAL \led_flash_cnt[2388][2]~60314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2388][2]~60315\ : std_logic;
SIGNAL \led_flash_cnt[2388][3]~60316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2388][3]~60317\ : std_logic;
SIGNAL \led_flash_cnt[2388][4]~60318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2388][4]~60319\ : std_logic;
SIGNAL \led_flash_cnt[2388][5]~60320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2388][5]~60321\ : std_logic;
SIGNAL \led_flash_cnt[2388][6]~60322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2388][6]~60323\ : std_logic;
SIGNAL \led_flash_cnt[2388][7]~60324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2388][7]~q\ : std_logic;
SIGNAL \WideAnd2388~0_combout\ : std_logic;
SIGNAL \WideAnd2388~1_combout\ : std_logic;
SIGNAL \WideAnd2388~combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][0]~83029_combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2389][1]~60326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2389][1]~60327\ : std_logic;
SIGNAL \led_flash_cnt[2389][2]~60328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2389][2]~60329\ : std_logic;
SIGNAL \led_flash_cnt[2389][3]~60330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2389][3]~60331\ : std_logic;
SIGNAL \led_flash_cnt[2389][4]~60332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2389][4]~60333\ : std_logic;
SIGNAL \led_flash_cnt[2389][5]~60334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2389][5]~60335\ : std_logic;
SIGNAL \led_flash_cnt[2389][6]~60336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2389][6]~60337\ : std_logic;
SIGNAL \led_flash_cnt[2389][7]~60338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2389][7]~q\ : std_logic;
SIGNAL \WideAnd2389~1_combout\ : std_logic;
SIGNAL \WideAnd2389~0_combout\ : std_logic;
SIGNAL \WideAnd2389~combout\ : std_logic;
SIGNAL \WideAnd4138~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][0]~83030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2390][1]~60340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2390][1]~60341\ : std_logic;
SIGNAL \led_flash_cnt[2390][2]~60342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2390][2]~60343\ : std_logic;
SIGNAL \led_flash_cnt[2390][3]~60344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2390][3]~60345\ : std_logic;
SIGNAL \led_flash_cnt[2390][4]~60346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2390][4]~60347\ : std_logic;
SIGNAL \led_flash_cnt[2390][5]~60348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2390][5]~60349\ : std_logic;
SIGNAL \led_flash_cnt[2390][6]~60350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2390][6]~60351\ : std_logic;
SIGNAL \led_flash_cnt[2390][7]~60352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2390][7]~q\ : std_logic;
SIGNAL \WideAnd2390~1_combout\ : std_logic;
SIGNAL \WideAnd2390~0_combout\ : std_logic;
SIGNAL \WideAnd2390~combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][0]~83031_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2391][1]~60354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2391][1]~60355\ : std_logic;
SIGNAL \led_flash_cnt[2391][2]~60356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2391][2]~60357\ : std_logic;
SIGNAL \led_flash_cnt[2391][3]~60358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2391][3]~60359\ : std_logic;
SIGNAL \led_flash_cnt[2391][4]~60360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2391][4]~60361\ : std_logic;
SIGNAL \led_flash_cnt[2391][5]~60362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2391][5]~60363\ : std_logic;
SIGNAL \led_flash_cnt[2391][6]~60364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][6]~q\ : std_logic;
SIGNAL \WideAnd2391~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][6]~60365\ : std_logic;
SIGNAL \led_flash_cnt[2391][7]~60366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2391][7]~q\ : std_logic;
SIGNAL \WideAnd2391~0_combout\ : std_logic;
SIGNAL \WideAnd2391~combout\ : std_logic;
SIGNAL \WideAnd4138~combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][0]~83034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2394][1]~60396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2394][1]~60397\ : std_logic;
SIGNAL \led_flash_cnt[2394][2]~60398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2394][2]~60399\ : std_logic;
SIGNAL \led_flash_cnt[2394][3]~60400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2394][3]~60401\ : std_logic;
SIGNAL \led_flash_cnt[2394][4]~60402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2394][4]~60403\ : std_logic;
SIGNAL \led_flash_cnt[2394][5]~60404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2394][5]~60405\ : std_logic;
SIGNAL \led_flash_cnt[2394][6]~60406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][6]~q\ : std_logic;
SIGNAL \WideAnd2394~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][6]~60407\ : std_logic;
SIGNAL \led_flash_cnt[2394][7]~60408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2394][7]~q\ : std_logic;
SIGNAL \WideAnd2394~0_combout\ : std_logic;
SIGNAL \WideAnd2394~combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][0]~83032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2392][1]~60368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2392][1]~60369\ : std_logic;
SIGNAL \led_flash_cnt[2392][2]~60370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2392][2]~60371\ : std_logic;
SIGNAL \led_flash_cnt[2392][3]~60372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2392][3]~60373\ : std_logic;
SIGNAL \led_flash_cnt[2392][4]~60374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2392][4]~60375\ : std_logic;
SIGNAL \led_flash_cnt[2392][5]~60376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2392][5]~60377\ : std_logic;
SIGNAL \led_flash_cnt[2392][6]~60378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2392][6]~60379\ : std_logic;
SIGNAL \led_flash_cnt[2392][7]~60380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2392][7]~q\ : std_logic;
SIGNAL \WideAnd2392~1_combout\ : std_logic;
SIGNAL \WideAnd2392~0_combout\ : std_logic;
SIGNAL \WideAnd2392~combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][0]~83033_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2393][1]~60382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2393][1]~60383\ : std_logic;
SIGNAL \led_flash_cnt[2393][2]~60384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2393][2]~60385\ : std_logic;
SIGNAL \led_flash_cnt[2393][3]~60386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2393][3]~60387\ : std_logic;
SIGNAL \led_flash_cnt[2393][4]~60388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2393][4]~60389\ : std_logic;
SIGNAL \led_flash_cnt[2393][5]~60390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2393][5]~60391\ : std_logic;
SIGNAL \led_flash_cnt[2393][6]~60392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][6]~q\ : std_logic;
SIGNAL \WideAnd2393~1_combout\ : std_logic;
SIGNAL \WideAnd2393~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][6]~60393\ : std_logic;
SIGNAL \led_flash_cnt[2393][7]~60394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2393][7]~q\ : std_logic;
SIGNAL \WideAnd2393~combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][0]~83035_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2395][1]~60410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2395][1]~60411\ : std_logic;
SIGNAL \led_flash_cnt[2395][2]~60412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2395][2]~60413\ : std_logic;
SIGNAL \led_flash_cnt[2395][3]~60414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2395][3]~60415\ : std_logic;
SIGNAL \led_flash_cnt[2395][4]~60416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2395][4]~60417\ : std_logic;
SIGNAL \led_flash_cnt[2395][5]~60418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2395][5]~60419\ : std_logic;
SIGNAL \led_flash_cnt[2395][6]~60420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][6]~q\ : std_logic;
SIGNAL \WideAnd2395~1_combout\ : std_logic;
SIGNAL \WideAnd2395~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][6]~60421\ : std_logic;
SIGNAL \led_flash_cnt[2395][7]~60422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2395][7]~q\ : std_logic;
SIGNAL \WideAnd2395~combout\ : std_logic;
SIGNAL \WideAnd4139~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][0]~83037_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2397][1]~60438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2397][1]~60439\ : std_logic;
SIGNAL \led_flash_cnt[2397][2]~60440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2397][2]~60441\ : std_logic;
SIGNAL \led_flash_cnt[2397][3]~60442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2397][3]~60443\ : std_logic;
SIGNAL \led_flash_cnt[2397][4]~60444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2397][4]~60445\ : std_logic;
SIGNAL \led_flash_cnt[2397][5]~60446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2397][5]~60447\ : std_logic;
SIGNAL \led_flash_cnt[2397][6]~60448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2397][6]~60449\ : std_logic;
SIGNAL \led_flash_cnt[2397][7]~60450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2397][7]~q\ : std_logic;
SIGNAL \WideAnd2397~0_combout\ : std_logic;
SIGNAL \WideAnd2397~1_combout\ : std_logic;
SIGNAL \WideAnd2397~combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][0]~83036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2396][1]~60424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2396][1]~60425\ : std_logic;
SIGNAL \led_flash_cnt[2396][2]~60426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2396][2]~60427\ : std_logic;
SIGNAL \led_flash_cnt[2396][3]~60428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2396][3]~60429\ : std_logic;
SIGNAL \led_flash_cnt[2396][4]~60430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][4]~q\ : std_logic;
SIGNAL \WideAnd2396~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][4]~60431\ : std_logic;
SIGNAL \led_flash_cnt[2396][5]~60432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2396][5]~60433\ : std_logic;
SIGNAL \led_flash_cnt[2396][6]~60434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2396][6]~60435\ : std_logic;
SIGNAL \led_flash_cnt[2396][7]~60436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2396][7]~q\ : std_logic;
SIGNAL \WideAnd2396~1_combout\ : std_logic;
SIGNAL \WideAnd2396~combout\ : std_logic;
SIGNAL \WideAnd4139~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][0]~83038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2398][1]~60452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2398][1]~60453\ : std_logic;
SIGNAL \led_flash_cnt[2398][2]~60454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2398][2]~60455\ : std_logic;
SIGNAL \led_flash_cnt[2398][3]~60456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2398][3]~60457\ : std_logic;
SIGNAL \led_flash_cnt[2398][4]~60458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][4]~q\ : std_logic;
SIGNAL \WideAnd2398~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][4]~60459\ : std_logic;
SIGNAL \led_flash_cnt[2398][5]~60460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2398][5]~60461\ : std_logic;
SIGNAL \led_flash_cnt[2398][6]~60462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2398][6]~60463\ : std_logic;
SIGNAL \led_flash_cnt[2398][7]~60464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2398][7]~q\ : std_logic;
SIGNAL \WideAnd2398~1_combout\ : std_logic;
SIGNAL \WideAnd2398~combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][0]~83039_combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2399][1]~60466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2399][1]~60467\ : std_logic;
SIGNAL \led_flash_cnt[2399][2]~60468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2399][2]~60469\ : std_logic;
SIGNAL \led_flash_cnt[2399][3]~60470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2399][3]~60471\ : std_logic;
SIGNAL \led_flash_cnt[2399][4]~60472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2399][4]~60473\ : std_logic;
SIGNAL \led_flash_cnt[2399][5]~60474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2399][5]~60475\ : std_logic;
SIGNAL \led_flash_cnt[2399][6]~60476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2399][6]~60477\ : std_logic;
SIGNAL \led_flash_cnt[2399][7]~60478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2399][7]~q\ : std_logic;
SIGNAL \WideAnd2399~1_combout\ : std_logic;
SIGNAL \WideAnd2399~0_combout\ : std_logic;
SIGNAL \WideAnd2399~combout\ : std_logic;
SIGNAL \WideAnd4139~combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][0]~83017_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2377][1]~60158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2377][1]~60159\ : std_logic;
SIGNAL \led_flash_cnt[2377][2]~60160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2377][2]~60161\ : std_logic;
SIGNAL \led_flash_cnt[2377][3]~60162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2377][3]~60163\ : std_logic;
SIGNAL \led_flash_cnt[2377][4]~60164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2377][4]~60165\ : std_logic;
SIGNAL \led_flash_cnt[2377][5]~60166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2377][5]~60167\ : std_logic;
SIGNAL \led_flash_cnt[2377][6]~60168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][6]~q\ : std_logic;
SIGNAL \WideAnd2377~1_combout\ : std_logic;
SIGNAL \WideAnd2377~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][6]~60169\ : std_logic;
SIGNAL \led_flash_cnt[2377][7]~60170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2377][7]~q\ : std_logic;
SIGNAL \WideAnd2377~combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][0]~83018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2378][1]~60172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2378][1]~60173\ : std_logic;
SIGNAL \led_flash_cnt[2378][2]~60174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2378][2]~60175\ : std_logic;
SIGNAL \led_flash_cnt[2378][3]~60176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2378][3]~60177\ : std_logic;
SIGNAL \led_flash_cnt[2378][4]~60178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][4]~q\ : std_logic;
SIGNAL \WideAnd2378~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][4]~60179\ : std_logic;
SIGNAL \led_flash_cnt[2378][5]~60180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2378][5]~60181\ : std_logic;
SIGNAL \led_flash_cnt[2378][6]~60182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][6]~q\ : std_logic;
SIGNAL \WideAnd2378~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][6]~60183\ : std_logic;
SIGNAL \led_flash_cnt[2378][7]~60184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2378][7]~q\ : std_logic;
SIGNAL \WideAnd2378~combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][0]~83016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2376][1]~60144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2376][1]~60145\ : std_logic;
SIGNAL \led_flash_cnt[2376][2]~60146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2376][2]~60147\ : std_logic;
SIGNAL \led_flash_cnt[2376][3]~60148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2376][3]~60149\ : std_logic;
SIGNAL \led_flash_cnt[2376][4]~60150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2376][4]~60151\ : std_logic;
SIGNAL \led_flash_cnt[2376][5]~60152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2376][5]~60153\ : std_logic;
SIGNAL \led_flash_cnt[2376][6]~60154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][6]~q\ : std_logic;
SIGNAL \WideAnd2376~1_combout\ : std_logic;
SIGNAL \WideAnd2376~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][6]~60155\ : std_logic;
SIGNAL \led_flash_cnt[2376][7]~60156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2376][7]~q\ : std_logic;
SIGNAL \WideAnd2376~combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][0]~83019_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2379][1]~60186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2379][1]~60187\ : std_logic;
SIGNAL \led_flash_cnt[2379][2]~60188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2379][2]~60189\ : std_logic;
SIGNAL \led_flash_cnt[2379][3]~60190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2379][3]~60191\ : std_logic;
SIGNAL \led_flash_cnt[2379][4]~60192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][4]~q\ : std_logic;
SIGNAL \WideAnd2379~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][4]~60193\ : std_logic;
SIGNAL \led_flash_cnt[2379][5]~60194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2379][5]~60195\ : std_logic;
SIGNAL \led_flash_cnt[2379][6]~60196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2379][6]~60197\ : std_logic;
SIGNAL \led_flash_cnt[2379][7]~60198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2379][7]~q\ : std_logic;
SIGNAL \WideAnd2379~1_combout\ : std_logic;
SIGNAL \WideAnd2379~combout\ : std_logic;
SIGNAL \WideAnd4137~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][0]~83022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2382][1]~60228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2382][1]~60229\ : std_logic;
SIGNAL \led_flash_cnt[2382][2]~60230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2382][2]~60231\ : std_logic;
SIGNAL \led_flash_cnt[2382][3]~60232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2382][3]~60233\ : std_logic;
SIGNAL \led_flash_cnt[2382][4]~60234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2382][4]~60235\ : std_logic;
SIGNAL \led_flash_cnt[2382][5]~60236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2382][5]~60237\ : std_logic;
SIGNAL \led_flash_cnt[2382][6]~60238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][6]~q\ : std_logic;
SIGNAL \WideAnd2382~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][6]~60239\ : std_logic;
SIGNAL \led_flash_cnt[2382][7]~60240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2382][7]~q\ : std_logic;
SIGNAL \WideAnd2382~0_combout\ : std_logic;
SIGNAL \WideAnd2382~combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][0]~83021_combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2381][1]~60214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2381][1]~60215\ : std_logic;
SIGNAL \led_flash_cnt[2381][2]~60216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2381][2]~60217\ : std_logic;
SIGNAL \led_flash_cnt[2381][3]~60218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2381][3]~60219\ : std_logic;
SIGNAL \led_flash_cnt[2381][4]~60220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2381][4]~60221\ : std_logic;
SIGNAL \led_flash_cnt[2381][5]~60222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2381][5]~60223\ : std_logic;
SIGNAL \led_flash_cnt[2381][6]~60224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2381][6]~60225\ : std_logic;
SIGNAL \led_flash_cnt[2381][7]~60226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2381][7]~q\ : std_logic;
SIGNAL \WideAnd2381~1_combout\ : std_logic;
SIGNAL \WideAnd2381~0_combout\ : std_logic;
SIGNAL \WideAnd2381~combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][0]~83020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2380][1]~60200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2380][1]~60201\ : std_logic;
SIGNAL \led_flash_cnt[2380][2]~60202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2380][2]~60203\ : std_logic;
SIGNAL \led_flash_cnt[2380][3]~60204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2380][3]~60205\ : std_logic;
SIGNAL \led_flash_cnt[2380][4]~60206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2380][4]~60207\ : std_logic;
SIGNAL \led_flash_cnt[2380][5]~60208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2380][5]~60209\ : std_logic;
SIGNAL \led_flash_cnt[2380][6]~60210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2380][6]~60211\ : std_logic;
SIGNAL \led_flash_cnt[2380][7]~60212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2380][7]~q\ : std_logic;
SIGNAL \WideAnd2380~0_combout\ : std_logic;
SIGNAL \WideAnd2380~1_combout\ : std_logic;
SIGNAL \WideAnd2380~combout\ : std_logic;
SIGNAL \WideAnd4137~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][0]~83023_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2383][1]~60242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2383][1]~60243\ : std_logic;
SIGNAL \led_flash_cnt[2383][2]~60244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2383][2]~60245\ : std_logic;
SIGNAL \led_flash_cnt[2383][3]~60246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2383][3]~60247\ : std_logic;
SIGNAL \led_flash_cnt[2383][4]~60248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2383][4]~60249\ : std_logic;
SIGNAL \led_flash_cnt[2383][5]~60250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2383][5]~60251\ : std_logic;
SIGNAL \led_flash_cnt[2383][6]~60252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2383][6]~60253\ : std_logic;
SIGNAL \led_flash_cnt[2383][7]~60254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2383][7]~q\ : std_logic;
SIGNAL \WideAnd2383~0_combout\ : std_logic;
SIGNAL \WideAnd2383~1_combout\ : std_logic;
SIGNAL \WideAnd2383~combout\ : std_logic;
SIGNAL \WideAnd4137~combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][0]~83014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2374][1]~60116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2374][1]~60117\ : std_logic;
SIGNAL \led_flash_cnt[2374][2]~60118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2374][2]~60119\ : std_logic;
SIGNAL \led_flash_cnt[2374][3]~60120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2374][3]~60121\ : std_logic;
SIGNAL \led_flash_cnt[2374][4]~60122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2374][4]~60123\ : std_logic;
SIGNAL \led_flash_cnt[2374][5]~60124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2374][5]~60125\ : std_logic;
SIGNAL \led_flash_cnt[2374][6]~60126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][6]~q\ : std_logic;
SIGNAL \WideAnd2374~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][6]~60127\ : std_logic;
SIGNAL \led_flash_cnt[2374][7]~60128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2374][7]~q\ : std_logic;
SIGNAL \WideAnd2374~0_combout\ : std_logic;
SIGNAL \WideAnd2374~combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][0]~83013_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2373][1]~60102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2373][1]~60103\ : std_logic;
SIGNAL \led_flash_cnt[2373][2]~60104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2373][2]~60105\ : std_logic;
SIGNAL \led_flash_cnt[2373][3]~60106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2373][3]~60107\ : std_logic;
SIGNAL \led_flash_cnt[2373][4]~60108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][4]~q\ : std_logic;
SIGNAL \WideAnd2373~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][4]~60109\ : std_logic;
SIGNAL \led_flash_cnt[2373][5]~60110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2373][5]~60111\ : std_logic;
SIGNAL \led_flash_cnt[2373][6]~60112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2373][6]~60113\ : std_logic;
SIGNAL \led_flash_cnt[2373][7]~60114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2373][7]~q\ : std_logic;
SIGNAL \WideAnd2373~1_combout\ : std_logic;
SIGNAL \WideAnd2373~combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][0]~83012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2372][1]~60088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2372][1]~60089\ : std_logic;
SIGNAL \led_flash_cnt[2372][2]~60090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2372][2]~60091\ : std_logic;
SIGNAL \led_flash_cnt[2372][3]~60092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2372][3]~60093\ : std_logic;
SIGNAL \led_flash_cnt[2372][4]~60094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][4]~q\ : std_logic;
SIGNAL \WideAnd2372~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][4]~60095\ : std_logic;
SIGNAL \led_flash_cnt[2372][5]~60096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2372][5]~60097\ : std_logic;
SIGNAL \led_flash_cnt[2372][6]~60098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][6]~q\ : std_logic;
SIGNAL \WideAnd2372~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][6]~60099\ : std_logic;
SIGNAL \led_flash_cnt[2372][7]~60100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2372][7]~q\ : std_logic;
SIGNAL \WideAnd2372~combout\ : std_logic;
SIGNAL \WideAnd4136~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][0]~83015_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2375][1]~60130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2375][1]~60131\ : std_logic;
SIGNAL \led_flash_cnt[2375][2]~60132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2375][2]~60133\ : std_logic;
SIGNAL \led_flash_cnt[2375][3]~60134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2375][3]~60135\ : std_logic;
SIGNAL \led_flash_cnt[2375][4]~60136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2375][4]~60137\ : std_logic;
SIGNAL \led_flash_cnt[2375][5]~60138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2375][5]~60139\ : std_logic;
SIGNAL \led_flash_cnt[2375][6]~60140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][6]~q\ : std_logic;
SIGNAL \WideAnd2375~1_combout\ : std_logic;
SIGNAL \WideAnd2375~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][6]~60141\ : std_logic;
SIGNAL \led_flash_cnt[2375][7]~60142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2375][7]~q\ : std_logic;
SIGNAL \WideAnd2375~combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][0]~83011_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2371][1]~60074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2371][1]~60075\ : std_logic;
SIGNAL \led_flash_cnt[2371][2]~60076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2371][2]~60077\ : std_logic;
SIGNAL \led_flash_cnt[2371][3]~60078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2371][3]~60079\ : std_logic;
SIGNAL \led_flash_cnt[2371][4]~60080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][4]~q\ : std_logic;
SIGNAL \WideAnd2371~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][4]~60081\ : std_logic;
SIGNAL \led_flash_cnt[2371][5]~60082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2371][5]~60083\ : std_logic;
SIGNAL \led_flash_cnt[2371][6]~60084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2371][6]~60085\ : std_logic;
SIGNAL \led_flash_cnt[2371][7]~60086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2371][7]~q\ : std_logic;
SIGNAL \WideAnd2371~1_combout\ : std_logic;
SIGNAL \WideAnd2371~combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][0]~83008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2368][1]~60032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2368][1]~60033\ : std_logic;
SIGNAL \led_flash_cnt[2368][2]~60034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2368][2]~60035\ : std_logic;
SIGNAL \led_flash_cnt[2368][3]~60036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2368][3]~60037\ : std_logic;
SIGNAL \led_flash_cnt[2368][4]~60038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2368][4]~60039\ : std_logic;
SIGNAL \led_flash_cnt[2368][5]~60040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2368][5]~60041\ : std_logic;
SIGNAL \led_flash_cnt[2368][6]~60042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][6]~q\ : std_logic;
SIGNAL \WideAnd2368~1_combout\ : std_logic;
SIGNAL \WideAnd2368~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][6]~60043\ : std_logic;
SIGNAL \led_flash_cnt[2368][7]~60044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2368][7]~q\ : std_logic;
SIGNAL \WideAnd2368~combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][0]~83010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2370][1]~60060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2370][1]~60061\ : std_logic;
SIGNAL \led_flash_cnt[2370][2]~60062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2370][2]~60063\ : std_logic;
SIGNAL \led_flash_cnt[2370][3]~60064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2370][3]~60065\ : std_logic;
SIGNAL \led_flash_cnt[2370][4]~60066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2370][4]~60067\ : std_logic;
SIGNAL \led_flash_cnt[2370][5]~60068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2370][5]~60069\ : std_logic;
SIGNAL \led_flash_cnt[2370][6]~60070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2370][6]~60071\ : std_logic;
SIGNAL \led_flash_cnt[2370][7]~60072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2370][7]~q\ : std_logic;
SIGNAL \WideAnd2370~0_combout\ : std_logic;
SIGNAL \WideAnd2370~1_combout\ : std_logic;
SIGNAL \WideAnd2370~combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][0]~83009_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2369][1]~60046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2369][1]~60047\ : std_logic;
SIGNAL \led_flash_cnt[2369][2]~60048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2369][2]~60049\ : std_logic;
SIGNAL \led_flash_cnt[2369][3]~60050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2369][3]~60051\ : std_logic;
SIGNAL \led_flash_cnt[2369][4]~60052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2369][4]~60053\ : std_logic;
SIGNAL \led_flash_cnt[2369][5]~60054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2369][5]~60055\ : std_logic;
SIGNAL \led_flash_cnt[2369][6]~60056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][6]~q\ : std_logic;
SIGNAL \WideAnd2369~1_combout\ : std_logic;
SIGNAL \WideAnd2369~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][6]~60057\ : std_logic;
SIGNAL \led_flash_cnt[2369][7]~60058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2369][7]~q\ : std_logic;
SIGNAL \WideAnd2369~combout\ : std_logic;
SIGNAL \WideAnd4136~0_combout\ : std_logic;
SIGNAL \WideAnd4136~combout\ : std_logic;
SIGNAL \WideAnd4357~0_combout\ : std_logic;
SIGNAL \WideAnd4357~combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][0]~83183_combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2543][1]~62482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2543][1]~62483\ : std_logic;
SIGNAL \led_flash_cnt[2543][2]~62484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2543][2]~62485\ : std_logic;
SIGNAL \led_flash_cnt[2543][3]~62486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2543][3]~62487\ : std_logic;
SIGNAL \led_flash_cnt[2543][4]~62488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2543][4]~62489\ : std_logic;
SIGNAL \led_flash_cnt[2543][5]~62490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2543][5]~62491\ : std_logic;
SIGNAL \led_flash_cnt[2543][6]~62492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2543][6]~62493\ : std_logic;
SIGNAL \led_flash_cnt[2543][7]~62494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2543][7]~q\ : std_logic;
SIGNAL \WideAnd2543~1_combout\ : std_logic;
SIGNAL \WideAnd2543~0_combout\ : std_logic;
SIGNAL \WideAnd2543~combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][0]~83181_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2541][1]~62454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2541][1]~62455\ : std_logic;
SIGNAL \led_flash_cnt[2541][2]~62456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2541][2]~62457\ : std_logic;
SIGNAL \led_flash_cnt[2541][3]~62458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2541][3]~62459\ : std_logic;
SIGNAL \led_flash_cnt[2541][4]~62460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2541][4]~62461\ : std_logic;
SIGNAL \led_flash_cnt[2541][5]~62462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2541][5]~62463\ : std_logic;
SIGNAL \led_flash_cnt[2541][6]~62464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][6]~q\ : std_logic;
SIGNAL \WideAnd2541~1_combout\ : std_logic;
SIGNAL \WideAnd2541~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][6]~62465\ : std_logic;
SIGNAL \led_flash_cnt[2541][7]~62466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2541][7]~q\ : std_logic;
SIGNAL \WideAnd2541~combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][0]~83180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2540][1]~62440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2540][1]~62441\ : std_logic;
SIGNAL \led_flash_cnt[2540][2]~62442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2540][2]~62443\ : std_logic;
SIGNAL \led_flash_cnt[2540][3]~62444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2540][3]~62445\ : std_logic;
SIGNAL \led_flash_cnt[2540][4]~62446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2540][4]~62447\ : std_logic;
SIGNAL \led_flash_cnt[2540][5]~62448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2540][5]~62449\ : std_logic;
SIGNAL \led_flash_cnt[2540][6]~62450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][6]~q\ : std_logic;
SIGNAL \WideAnd2540~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][6]~62451\ : std_logic;
SIGNAL \led_flash_cnt[2540][7]~62452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2540][7]~q\ : std_logic;
SIGNAL \WideAnd2540~0_combout\ : std_logic;
SIGNAL \WideAnd2540~combout\ : std_logic;
SIGNAL \WideAnd4157~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][0]~83178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2538][1]~62412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2538][1]~62413\ : std_logic;
SIGNAL \led_flash_cnt[2538][2]~62414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2538][2]~62415\ : std_logic;
SIGNAL \led_flash_cnt[2538][3]~62416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2538][3]~62417\ : std_logic;
SIGNAL \led_flash_cnt[2538][4]~62418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2538][4]~62419\ : std_logic;
SIGNAL \led_flash_cnt[2538][5]~62420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2538][5]~62421\ : std_logic;
SIGNAL \led_flash_cnt[2538][6]~62422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2538][6]~62423\ : std_logic;
SIGNAL \led_flash_cnt[2538][7]~62424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2538][7]~q\ : std_logic;
SIGNAL \WideAnd2538~1_combout\ : std_logic;
SIGNAL \WideAnd2538~0_combout\ : std_logic;
SIGNAL \WideAnd2538~combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][0]~83179_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2539][1]~62426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2539][1]~62427\ : std_logic;
SIGNAL \led_flash_cnt[2539][2]~62428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2539][2]~62429\ : std_logic;
SIGNAL \led_flash_cnt[2539][3]~62430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2539][3]~62431\ : std_logic;
SIGNAL \led_flash_cnt[2539][4]~62432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][4]~q\ : std_logic;
SIGNAL \WideAnd2539~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][4]~62433\ : std_logic;
SIGNAL \led_flash_cnt[2539][5]~62434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2539][5]~62435\ : std_logic;
SIGNAL \led_flash_cnt[2539][6]~62436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2539][6]~62437\ : std_logic;
SIGNAL \led_flash_cnt[2539][7]~62438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2539][7]~q\ : std_logic;
SIGNAL \WideAnd2539~1_combout\ : std_logic;
SIGNAL \WideAnd2539~combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][0]~83176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2536][1]~62384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2536][1]~62385\ : std_logic;
SIGNAL \led_flash_cnt[2536][2]~62386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2536][2]~62387\ : std_logic;
SIGNAL \led_flash_cnt[2536][3]~62388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2536][3]~62389\ : std_logic;
SIGNAL \led_flash_cnt[2536][4]~62390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2536][4]~62391\ : std_logic;
SIGNAL \led_flash_cnt[2536][5]~62392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2536][5]~62393\ : std_logic;
SIGNAL \led_flash_cnt[2536][6]~62394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][6]~q\ : std_logic;
SIGNAL \WideAnd2536~1_combout\ : std_logic;
SIGNAL \WideAnd2536~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][6]~62395\ : std_logic;
SIGNAL \led_flash_cnt[2536][7]~62396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2536][7]~q\ : std_logic;
SIGNAL \WideAnd2536~combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][0]~83177_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2537][1]~62398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2537][1]~62399\ : std_logic;
SIGNAL \led_flash_cnt[2537][2]~62400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2537][2]~62401\ : std_logic;
SIGNAL \led_flash_cnt[2537][3]~62402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2537][3]~62403\ : std_logic;
SIGNAL \led_flash_cnt[2537][4]~62404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][4]~q\ : std_logic;
SIGNAL \WideAnd2537~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][4]~62405\ : std_logic;
SIGNAL \led_flash_cnt[2537][5]~62406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2537][5]~62407\ : std_logic;
SIGNAL \led_flash_cnt[2537][6]~62408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][6]~q\ : std_logic;
SIGNAL \WideAnd2537~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][6]~62409\ : std_logic;
SIGNAL \led_flash_cnt[2537][7]~62410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2537][7]~q\ : std_logic;
SIGNAL \WideAnd2537~combout\ : std_logic;
SIGNAL \WideAnd4157~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][0]~83182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2542][1]~62468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2542][1]~62469\ : std_logic;
SIGNAL \led_flash_cnt[2542][2]~62470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2542][2]~62471\ : std_logic;
SIGNAL \led_flash_cnt[2542][3]~62472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2542][3]~62473\ : std_logic;
SIGNAL \led_flash_cnt[2542][4]~62474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][4]~q\ : std_logic;
SIGNAL \WideAnd2542~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][4]~62475\ : std_logic;
SIGNAL \led_flash_cnt[2542][5]~62476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2542][5]~62477\ : std_logic;
SIGNAL \led_flash_cnt[2542][6]~62478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][6]~q\ : std_logic;
SIGNAL \WideAnd2542~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][6]~62479\ : std_logic;
SIGNAL \led_flash_cnt[2542][7]~62480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2542][7]~q\ : std_logic;
SIGNAL \WideAnd2542~combout\ : std_logic;
SIGNAL \WideAnd4157~combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][0]~83170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2528][1]~62300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2528][1]~62301\ : std_logic;
SIGNAL \led_flash_cnt[2528][2]~62302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2528][2]~62303\ : std_logic;
SIGNAL \led_flash_cnt[2528][3]~62304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2528][3]~62305\ : std_logic;
SIGNAL \led_flash_cnt[2528][4]~62306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2528][4]~62307\ : std_logic;
SIGNAL \led_flash_cnt[2528][5]~62308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2528][5]~62309\ : std_logic;
SIGNAL \led_flash_cnt[2528][6]~62310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][6]~q\ : std_logic;
SIGNAL \WideAnd2528~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][6]~62311\ : std_logic;
SIGNAL \led_flash_cnt[2528][7]~62312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2528][7]~q\ : std_logic;
SIGNAL \WideAnd2528~0_combout\ : std_logic;
SIGNAL \WideAnd2528~combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][0]~83172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2530][1]~62328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2530][1]~62329\ : std_logic;
SIGNAL \led_flash_cnt[2530][2]~62330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2530][2]~62331\ : std_logic;
SIGNAL \led_flash_cnt[2530][3]~62332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2530][3]~62333\ : std_logic;
SIGNAL \led_flash_cnt[2530][4]~62334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2530][4]~62335\ : std_logic;
SIGNAL \led_flash_cnt[2530][5]~62336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2530][5]~62337\ : std_logic;
SIGNAL \led_flash_cnt[2530][6]~62338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][6]~q\ : std_logic;
SIGNAL \WideAnd2530~1_combout\ : std_logic;
SIGNAL \WideAnd2530~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][6]~62339\ : std_logic;
SIGNAL \led_flash_cnt[2530][7]~62340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2530][7]~q\ : std_logic;
SIGNAL \WideAnd2530~combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][0]~83171_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2529][1]~62314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2529][1]~62315\ : std_logic;
SIGNAL \led_flash_cnt[2529][2]~62316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2529][2]~62317\ : std_logic;
SIGNAL \led_flash_cnt[2529][3]~62318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2529][3]~62319\ : std_logic;
SIGNAL \led_flash_cnt[2529][4]~62320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2529][4]~62321\ : std_logic;
SIGNAL \led_flash_cnt[2529][5]~62322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2529][5]~62323\ : std_logic;
SIGNAL \led_flash_cnt[2529][6]~62324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][6]~q\ : std_logic;
SIGNAL \WideAnd2529~1_combout\ : std_logic;
SIGNAL \WideAnd2529~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][6]~62325\ : std_logic;
SIGNAL \led_flash_cnt[2529][7]~62326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2529][7]~q\ : std_logic;
SIGNAL \WideAnd2529~combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][0]~83173_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2531][1]~62342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2531][1]~62343\ : std_logic;
SIGNAL \led_flash_cnt[2531][2]~62344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2531][2]~62345\ : std_logic;
SIGNAL \led_flash_cnt[2531][3]~62346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2531][3]~62347\ : std_logic;
SIGNAL \led_flash_cnt[2531][4]~62348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2531][4]~62349\ : std_logic;
SIGNAL \led_flash_cnt[2531][5]~62350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2531][5]~62351\ : std_logic;
SIGNAL \led_flash_cnt[2531][6]~62352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][6]~q\ : std_logic;
SIGNAL \WideAnd2531~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][6]~62353\ : std_logic;
SIGNAL \led_flash_cnt[2531][7]~62354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2531][7]~q\ : std_logic;
SIGNAL \WideAnd2531~0_combout\ : std_logic;
SIGNAL \WideAnd2531~combout\ : std_logic;
SIGNAL \WideAnd4156~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][0]~83168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2535][1]~62272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2535][1]~62273\ : std_logic;
SIGNAL \led_flash_cnt[2535][2]~62274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2535][2]~62275\ : std_logic;
SIGNAL \led_flash_cnt[2535][3]~62276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2535][3]~62277\ : std_logic;
SIGNAL \led_flash_cnt[2535][4]~62278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2535][4]~62279\ : std_logic;
SIGNAL \led_flash_cnt[2535][5]~62280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2535][5]~62281\ : std_logic;
SIGNAL \led_flash_cnt[2535][6]~62282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][6]~q\ : std_logic;
SIGNAL \WideAnd2535~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][6]~62283\ : std_logic;
SIGNAL \led_flash_cnt[2535][7]~62284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2535][7]~q\ : std_logic;
SIGNAL \WideAnd2535~0_combout\ : std_logic;
SIGNAL \WideAnd2535~combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][0]~83175_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2532][1]~62370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2532][1]~62371\ : std_logic;
SIGNAL \led_flash_cnt[2532][2]~62372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2532][2]~62373\ : std_logic;
SIGNAL \led_flash_cnt[2532][3]~62374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2532][3]~62375\ : std_logic;
SIGNAL \led_flash_cnt[2532][4]~62376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2532][4]~62377\ : std_logic;
SIGNAL \led_flash_cnt[2532][5]~62378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2532][5]~62379\ : std_logic;
SIGNAL \led_flash_cnt[2532][6]~62380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][6]~q\ : std_logic;
SIGNAL \WideAnd2532~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][6]~62381\ : std_logic;
SIGNAL \led_flash_cnt[2532][7]~62382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2532][7]~q\ : std_logic;
SIGNAL \WideAnd2532~0_combout\ : std_logic;
SIGNAL \WideAnd2532~combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][0]~83174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2534][1]~62356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2534][1]~62357\ : std_logic;
SIGNAL \led_flash_cnt[2534][2]~62358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2534][2]~62359\ : std_logic;
SIGNAL \led_flash_cnt[2534][3]~62360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2534][3]~62361\ : std_logic;
SIGNAL \led_flash_cnt[2534][4]~62362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2534][4]~62363\ : std_logic;
SIGNAL \led_flash_cnt[2534][5]~62364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2534][5]~62365\ : std_logic;
SIGNAL \led_flash_cnt[2534][6]~62366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][6]~q\ : std_logic;
SIGNAL \WideAnd2534~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][6]~62367\ : std_logic;
SIGNAL \led_flash_cnt[2534][7]~62368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2534][7]~q\ : std_logic;
SIGNAL \WideAnd2534~0_combout\ : std_logic;
SIGNAL \WideAnd2534~combout\ : std_logic;
SIGNAL \WideAnd4156~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][0]~83169_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2533][1]~62286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2533][1]~62287\ : std_logic;
SIGNAL \led_flash_cnt[2533][2]~62288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2533][2]~62289\ : std_logic;
SIGNAL \led_flash_cnt[2533][3]~62290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2533][3]~62291\ : std_logic;
SIGNAL \led_flash_cnt[2533][4]~62292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2533][4]~62293\ : std_logic;
SIGNAL \led_flash_cnt[2533][5]~62294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2533][5]~62295\ : std_logic;
SIGNAL \led_flash_cnt[2533][6]~62296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][6]~q\ : std_logic;
SIGNAL \WideAnd2533~1_combout\ : std_logic;
SIGNAL \WideAnd2533~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][6]~62297\ : std_logic;
SIGNAL \led_flash_cnt[2533][7]~62298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2533][7]~q\ : std_logic;
SIGNAL \WideAnd2533~combout\ : std_logic;
SIGNAL \WideAnd4156~combout\ : std_logic;
SIGNAL \WideAnd4359~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][0]~83189_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2549][1]~62566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2549][1]~62567\ : std_logic;
SIGNAL \led_flash_cnt[2549][2]~62568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2549][2]~62569\ : std_logic;
SIGNAL \led_flash_cnt[2549][3]~62570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2549][3]~62571\ : std_logic;
SIGNAL \led_flash_cnt[2549][4]~62572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2549][4]~62573\ : std_logic;
SIGNAL \led_flash_cnt[2549][5]~62574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2549][5]~62575\ : std_logic;
SIGNAL \led_flash_cnt[2549][6]~62576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][6]~q\ : std_logic;
SIGNAL \WideAnd2549~1_combout\ : std_logic;
SIGNAL \WideAnd2549~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][6]~62577\ : std_logic;
SIGNAL \led_flash_cnt[2549][7]~62578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2549][7]~q\ : std_logic;
SIGNAL \WideAnd2549~combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][0]~83188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2548][1]~62552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2548][1]~62553\ : std_logic;
SIGNAL \led_flash_cnt[2548][2]~62554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2548][2]~62555\ : std_logic;
SIGNAL \led_flash_cnt[2548][3]~62556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2548][3]~62557\ : std_logic;
SIGNAL \led_flash_cnt[2548][4]~62558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2548][4]~62559\ : std_logic;
SIGNAL \led_flash_cnt[2548][5]~62560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2548][5]~62561\ : std_logic;
SIGNAL \led_flash_cnt[2548][6]~62562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2548][6]~62563\ : std_logic;
SIGNAL \led_flash_cnt[2548][7]~62564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2548][7]~q\ : std_logic;
SIGNAL \WideAnd2548~1_combout\ : std_logic;
SIGNAL \WideAnd2548~0_combout\ : std_logic;
SIGNAL \WideAnd2548~combout\ : std_logic;
SIGNAL \WideAnd4158~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][0]~83191_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2551][1]~62594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2551][1]~62595\ : std_logic;
SIGNAL \led_flash_cnt[2551][2]~62596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2551][2]~62597\ : std_logic;
SIGNAL \led_flash_cnt[2551][3]~62598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2551][3]~62599\ : std_logic;
SIGNAL \led_flash_cnt[2551][4]~62600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2551][4]~62601\ : std_logic;
SIGNAL \led_flash_cnt[2551][5]~62602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2551][5]~62603\ : std_logic;
SIGNAL \led_flash_cnt[2551][6]~62604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][6]~q\ : std_logic;
SIGNAL \WideAnd2551~1_combout\ : std_logic;
SIGNAL \WideAnd2551~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][6]~62605\ : std_logic;
SIGNAL \led_flash_cnt[2551][7]~62606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2551][7]~q\ : std_logic;
SIGNAL \WideAnd2551~combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][0]~83187_combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2547][1]~62538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2547][1]~62539\ : std_logic;
SIGNAL \led_flash_cnt[2547][2]~62540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2547][2]~62541\ : std_logic;
SIGNAL \led_flash_cnt[2547][3]~62542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2547][3]~62543\ : std_logic;
SIGNAL \led_flash_cnt[2547][4]~62544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2547][4]~62545\ : std_logic;
SIGNAL \led_flash_cnt[2547][5]~62546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2547][5]~62547\ : std_logic;
SIGNAL \led_flash_cnt[2547][6]~62548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2547][6]~62549\ : std_logic;
SIGNAL \led_flash_cnt[2547][7]~62550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2547][7]~q\ : std_logic;
SIGNAL \WideAnd2547~1_combout\ : std_logic;
SIGNAL \WideAnd2547~0_combout\ : std_logic;
SIGNAL \WideAnd2547~combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][0]~83184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2544][1]~62496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2544][1]~62497\ : std_logic;
SIGNAL \led_flash_cnt[2544][2]~62498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2544][2]~62499\ : std_logic;
SIGNAL \led_flash_cnt[2544][3]~62500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2544][3]~62501\ : std_logic;
SIGNAL \led_flash_cnt[2544][4]~62502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2544][4]~62503\ : std_logic;
SIGNAL \led_flash_cnt[2544][5]~62504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2544][5]~62505\ : std_logic;
SIGNAL \led_flash_cnt[2544][6]~62506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][6]~q\ : std_logic;
SIGNAL \WideAnd2544~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][6]~62507\ : std_logic;
SIGNAL \led_flash_cnt[2544][7]~62508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2544][7]~q\ : std_logic;
SIGNAL \WideAnd2544~0_combout\ : std_logic;
SIGNAL \WideAnd2544~combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][0]~83185_combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2545][1]~62510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2545][1]~62511\ : std_logic;
SIGNAL \led_flash_cnt[2545][2]~62512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2545][2]~62513\ : std_logic;
SIGNAL \led_flash_cnt[2545][3]~62514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2545][3]~62515\ : std_logic;
SIGNAL \led_flash_cnt[2545][4]~62516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2545][4]~62517\ : std_logic;
SIGNAL \led_flash_cnt[2545][5]~62518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2545][5]~62519\ : std_logic;
SIGNAL \led_flash_cnt[2545][6]~62520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2545][6]~62521\ : std_logic;
SIGNAL \led_flash_cnt[2545][7]~62522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2545][7]~q\ : std_logic;
SIGNAL \WideAnd2545~1_combout\ : std_logic;
SIGNAL \WideAnd2545~0_combout\ : std_logic;
SIGNAL \WideAnd2545~combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][0]~83186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2546][1]~62524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2546][1]~62525\ : std_logic;
SIGNAL \led_flash_cnt[2546][2]~62526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2546][2]~62527\ : std_logic;
SIGNAL \led_flash_cnt[2546][3]~62528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2546][3]~62529\ : std_logic;
SIGNAL \led_flash_cnt[2546][4]~62530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2546][4]~62531\ : std_logic;
SIGNAL \led_flash_cnt[2546][5]~62532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2546][5]~62533\ : std_logic;
SIGNAL \led_flash_cnt[2546][6]~62534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][6]~q\ : std_logic;
SIGNAL \WideAnd2546~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][6]~62535\ : std_logic;
SIGNAL \led_flash_cnt[2546][7]~62536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2546][7]~q\ : std_logic;
SIGNAL \WideAnd2546~0_combout\ : std_logic;
SIGNAL \WideAnd2546~combout\ : std_logic;
SIGNAL \WideAnd4158~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][0]~83190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2550][1]~62580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2550][1]~62581\ : std_logic;
SIGNAL \led_flash_cnt[2550][2]~62582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2550][2]~62583\ : std_logic;
SIGNAL \led_flash_cnt[2550][3]~62584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2550][3]~62585\ : std_logic;
SIGNAL \led_flash_cnt[2550][4]~62586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2550][4]~62587\ : std_logic;
SIGNAL \led_flash_cnt[2550][5]~62588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2550][5]~62589\ : std_logic;
SIGNAL \led_flash_cnt[2550][6]~62590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][6]~q\ : std_logic;
SIGNAL \WideAnd2550~1_combout\ : std_logic;
SIGNAL \WideAnd2550~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][6]~62591\ : std_logic;
SIGNAL \led_flash_cnt[2550][7]~62592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2550][7]~q\ : std_logic;
SIGNAL \WideAnd2550~combout\ : std_logic;
SIGNAL \WideAnd4158~combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][0]~83150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2510][1]~62020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2510][1]~62021\ : std_logic;
SIGNAL \led_flash_cnt[2510][2]~62022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2510][2]~62023\ : std_logic;
SIGNAL \led_flash_cnt[2510][3]~62024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2510][3]~62025\ : std_logic;
SIGNAL \led_flash_cnt[2510][4]~62026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][4]~q\ : std_logic;
SIGNAL \WideAnd2510~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][4]~62027\ : std_logic;
SIGNAL \led_flash_cnt[2510][5]~62028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2510][5]~62029\ : std_logic;
SIGNAL \led_flash_cnt[2510][6]~62030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2510][6]~62031\ : std_logic;
SIGNAL \led_flash_cnt[2510][7]~62032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2510][7]~q\ : std_logic;
SIGNAL \WideAnd2510~1_combout\ : std_logic;
SIGNAL \WideAnd2510~combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][0]~83151_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2511][1]~62034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2511][1]~62035\ : std_logic;
SIGNAL \led_flash_cnt[2511][2]~62036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2511][2]~62037\ : std_logic;
SIGNAL \led_flash_cnt[2511][3]~62038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2511][3]~62039\ : std_logic;
SIGNAL \led_flash_cnt[2511][4]~62040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2511][4]~62041\ : std_logic;
SIGNAL \led_flash_cnt[2511][5]~62042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2511][5]~62043\ : std_logic;
SIGNAL \led_flash_cnt[2511][6]~62044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][6]~q\ : std_logic;
SIGNAL \WideAnd2511~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][6]~62045\ : std_logic;
SIGNAL \led_flash_cnt[2511][7]~62046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2511][7]~q\ : std_logic;
SIGNAL \WideAnd2511~0_combout\ : std_logic;
SIGNAL \WideAnd2511~combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][0]~83144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2504][1]~61936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2504][1]~61937\ : std_logic;
SIGNAL \led_flash_cnt[2504][2]~61938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2504][2]~61939\ : std_logic;
SIGNAL \led_flash_cnt[2504][3]~61940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2504][3]~61941\ : std_logic;
SIGNAL \led_flash_cnt[2504][4]~61942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2504][4]~61943\ : std_logic;
SIGNAL \led_flash_cnt[2504][5]~61944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2504][5]~61945\ : std_logic;
SIGNAL \led_flash_cnt[2504][6]~61946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][6]~q\ : std_logic;
SIGNAL \WideAnd2504~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][6]~61947\ : std_logic;
SIGNAL \led_flash_cnt[2504][7]~61948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2504][7]~q\ : std_logic;
SIGNAL \WideAnd2504~0_combout\ : std_logic;
SIGNAL \WideAnd2504~combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][0]~83145_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2505][1]~61950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2505][1]~61951\ : std_logic;
SIGNAL \led_flash_cnt[2505][2]~61952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2505][2]~61953\ : std_logic;
SIGNAL \led_flash_cnt[2505][3]~61954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2505][3]~61955\ : std_logic;
SIGNAL \led_flash_cnt[2505][4]~61956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2505][4]~61957\ : std_logic;
SIGNAL \led_flash_cnt[2505][5]~61958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2505][5]~61959\ : std_logic;
SIGNAL \led_flash_cnt[2505][6]~61960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][6]~q\ : std_logic;
SIGNAL \WideAnd2505~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][6]~61961\ : std_logic;
SIGNAL \led_flash_cnt[2505][7]~61962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2505][7]~q\ : std_logic;
SIGNAL \WideAnd2505~1_combout\ : std_logic;
SIGNAL \WideAnd2505~combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][0]~83146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2506][1]~61964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2506][1]~61965\ : std_logic;
SIGNAL \led_flash_cnt[2506][2]~61966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2506][2]~61967\ : std_logic;
SIGNAL \led_flash_cnt[2506][3]~61968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2506][3]~61969\ : std_logic;
SIGNAL \led_flash_cnt[2506][4]~61970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2506][4]~61971\ : std_logic;
SIGNAL \led_flash_cnt[2506][5]~61972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2506][5]~61973\ : std_logic;
SIGNAL \led_flash_cnt[2506][6]~61974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][6]~q\ : std_logic;
SIGNAL \WideAnd2506~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][6]~61975\ : std_logic;
SIGNAL \led_flash_cnt[2506][7]~61976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2506][7]~q\ : std_logic;
SIGNAL \WideAnd2506~0_combout\ : std_logic;
SIGNAL \WideAnd2506~combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][0]~83147_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2507][1]~61978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2507][1]~61979\ : std_logic;
SIGNAL \led_flash_cnt[2507][2]~61980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2507][2]~61981\ : std_logic;
SIGNAL \led_flash_cnt[2507][3]~61982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2507][3]~61983\ : std_logic;
SIGNAL \led_flash_cnt[2507][4]~61984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2507][4]~61985\ : std_logic;
SIGNAL \led_flash_cnt[2507][5]~61986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2507][5]~61987\ : std_logic;
SIGNAL \led_flash_cnt[2507][6]~61988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][6]~q\ : std_logic;
SIGNAL \WideAnd2507~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][6]~61989\ : std_logic;
SIGNAL \led_flash_cnt[2507][7]~61990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2507][7]~q\ : std_logic;
SIGNAL \WideAnd2507~0_combout\ : std_logic;
SIGNAL \WideAnd2507~combout\ : std_logic;
SIGNAL \WideAnd4153~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][0]~83148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2508][1]~61992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2508][1]~61993\ : std_logic;
SIGNAL \led_flash_cnt[2508][2]~61994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2508][2]~61995\ : std_logic;
SIGNAL \led_flash_cnt[2508][3]~61996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2508][3]~61997\ : std_logic;
SIGNAL \led_flash_cnt[2508][4]~61998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2508][4]~61999\ : std_logic;
SIGNAL \led_flash_cnt[2508][5]~62000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2508][5]~62001\ : std_logic;
SIGNAL \led_flash_cnt[2508][6]~62002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2508][6]~62003\ : std_logic;
SIGNAL \led_flash_cnt[2508][7]~62004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2508][7]~q\ : std_logic;
SIGNAL \WideAnd2508~0_combout\ : std_logic;
SIGNAL \WideAnd2508~1_combout\ : std_logic;
SIGNAL \WideAnd2508~combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][0]~83149_combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2509][1]~62006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2509][1]~62007\ : std_logic;
SIGNAL \led_flash_cnt[2509][2]~62008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2509][2]~62009\ : std_logic;
SIGNAL \led_flash_cnt[2509][3]~62010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2509][3]~62011\ : std_logic;
SIGNAL \led_flash_cnt[2509][4]~62012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2509][4]~62013\ : std_logic;
SIGNAL \led_flash_cnt[2509][5]~62014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2509][5]~62015\ : std_logic;
SIGNAL \led_flash_cnt[2509][6]~62016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2509][6]~62017\ : std_logic;
SIGNAL \led_flash_cnt[2509][7]~62018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2509][7]~q\ : std_logic;
SIGNAL \WideAnd2509~1_combout\ : std_logic;
SIGNAL \WideAnd2509~0_combout\ : std_logic;
SIGNAL \WideAnd2509~combout\ : std_logic;
SIGNAL \WideAnd4153~1_combout\ : std_logic;
SIGNAL \WideAnd4153~combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][0]~83156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2516][1]~62104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2516][1]~62105\ : std_logic;
SIGNAL \led_flash_cnt[2516][2]~62106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2516][2]~62107\ : std_logic;
SIGNAL \led_flash_cnt[2516][3]~62108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2516][3]~62109\ : std_logic;
SIGNAL \led_flash_cnt[2516][4]~62110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2516][4]~62111\ : std_logic;
SIGNAL \led_flash_cnt[2516][5]~62112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2516][5]~62113\ : std_logic;
SIGNAL \led_flash_cnt[2516][6]~62114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2516][6]~62115\ : std_logic;
SIGNAL \led_flash_cnt[2516][7]~62116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2516][7]~q\ : std_logic;
SIGNAL \WideAnd2516~0_combout\ : std_logic;
SIGNAL \WideAnd2516~1_combout\ : std_logic;
SIGNAL \WideAnd2516~combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][0]~83157_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2517][1]~62118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2517][1]~62119\ : std_logic;
SIGNAL \led_flash_cnt[2517][2]~62120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2517][2]~62121\ : std_logic;
SIGNAL \led_flash_cnt[2517][3]~62122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2517][3]~62123\ : std_logic;
SIGNAL \led_flash_cnt[2517][4]~62124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][4]~q\ : std_logic;
SIGNAL \WideAnd2517~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][4]~62125\ : std_logic;
SIGNAL \led_flash_cnt[2517][5]~62126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2517][5]~62127\ : std_logic;
SIGNAL \led_flash_cnt[2517][6]~62128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][6]~q\ : std_logic;
SIGNAL \WideAnd2517~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][6]~62129\ : std_logic;
SIGNAL \led_flash_cnt[2517][7]~62130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2517][7]~q\ : std_logic;
SIGNAL \WideAnd2517~combout\ : std_logic;
SIGNAL \WideAnd4154~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][0]~83159_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2519][1]~62146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2519][1]~62147\ : std_logic;
SIGNAL \led_flash_cnt[2519][2]~62148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2519][2]~62149\ : std_logic;
SIGNAL \led_flash_cnt[2519][3]~62150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2519][3]~62151\ : std_logic;
SIGNAL \led_flash_cnt[2519][4]~62152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2519][4]~62153\ : std_logic;
SIGNAL \led_flash_cnt[2519][5]~62154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2519][5]~62155\ : std_logic;
SIGNAL \led_flash_cnt[2519][6]~62156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][6]~q\ : std_logic;
SIGNAL \WideAnd2519~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][6]~62157\ : std_logic;
SIGNAL \led_flash_cnt[2519][7]~62158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2519][7]~q\ : std_logic;
SIGNAL \WideAnd2519~0_combout\ : std_logic;
SIGNAL \WideAnd2519~combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][0]~83155_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2515][1]~62090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2515][1]~62091\ : std_logic;
SIGNAL \led_flash_cnt[2515][2]~62092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2515][2]~62093\ : std_logic;
SIGNAL \led_flash_cnt[2515][3]~62094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2515][3]~62095\ : std_logic;
SIGNAL \led_flash_cnt[2515][4]~62096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2515][4]~62097\ : std_logic;
SIGNAL \led_flash_cnt[2515][5]~62098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2515][5]~62099\ : std_logic;
SIGNAL \led_flash_cnt[2515][6]~62100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][6]~q\ : std_logic;
SIGNAL \WideAnd2515~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][6]~62101\ : std_logic;
SIGNAL \led_flash_cnt[2515][7]~62102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2515][7]~q\ : std_logic;
SIGNAL \WideAnd2515~0_combout\ : std_logic;
SIGNAL \WideAnd2515~combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][0]~83152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2512][1]~62048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2512][1]~62049\ : std_logic;
SIGNAL \led_flash_cnt[2512][2]~62050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2512][2]~62051\ : std_logic;
SIGNAL \led_flash_cnt[2512][3]~62052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2512][3]~62053\ : std_logic;
SIGNAL \led_flash_cnt[2512][4]~62054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2512][4]~62055\ : std_logic;
SIGNAL \led_flash_cnt[2512][5]~62056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2512][5]~62057\ : std_logic;
SIGNAL \led_flash_cnt[2512][6]~62058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][6]~q\ : std_logic;
SIGNAL \WideAnd2512~1_combout\ : std_logic;
SIGNAL \WideAnd2512~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][6]~62059\ : std_logic;
SIGNAL \led_flash_cnt[2512][7]~62060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2512][7]~q\ : std_logic;
SIGNAL \WideAnd2512~combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][0]~83154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2514][1]~62076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2514][1]~62077\ : std_logic;
SIGNAL \led_flash_cnt[2514][2]~62078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2514][2]~62079\ : std_logic;
SIGNAL \led_flash_cnt[2514][3]~62080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2514][3]~62081\ : std_logic;
SIGNAL \led_flash_cnt[2514][4]~62082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2514][4]~62083\ : std_logic;
SIGNAL \led_flash_cnt[2514][5]~62084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2514][5]~62085\ : std_logic;
SIGNAL \led_flash_cnt[2514][6]~62086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][6]~q\ : std_logic;
SIGNAL \WideAnd2514~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][6]~62087\ : std_logic;
SIGNAL \led_flash_cnt[2514][7]~62088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2514][7]~q\ : std_logic;
SIGNAL \WideAnd2514~0_combout\ : std_logic;
SIGNAL \WideAnd2514~combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][0]~83153_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2513][1]~62062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2513][1]~62063\ : std_logic;
SIGNAL \led_flash_cnt[2513][2]~62064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2513][2]~62065\ : std_logic;
SIGNAL \led_flash_cnt[2513][3]~62066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2513][3]~62067\ : std_logic;
SIGNAL \led_flash_cnt[2513][4]~62068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2513][4]~62069\ : std_logic;
SIGNAL \led_flash_cnt[2513][5]~62070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2513][5]~62071\ : std_logic;
SIGNAL \led_flash_cnt[2513][6]~62072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][6]~q\ : std_logic;
SIGNAL \WideAnd2513~1_combout\ : std_logic;
SIGNAL \WideAnd2513~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][6]~62073\ : std_logic;
SIGNAL \led_flash_cnt[2513][7]~62074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2513][7]~q\ : std_logic;
SIGNAL \WideAnd2513~combout\ : std_logic;
SIGNAL \WideAnd4154~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][0]~83158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2518][1]~62132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2518][1]~62133\ : std_logic;
SIGNAL \led_flash_cnt[2518][2]~62134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2518][2]~62135\ : std_logic;
SIGNAL \led_flash_cnt[2518][3]~62136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2518][3]~62137\ : std_logic;
SIGNAL \led_flash_cnt[2518][4]~62138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2518][4]~62139\ : std_logic;
SIGNAL \led_flash_cnt[2518][5]~62140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2518][5]~62141\ : std_logic;
SIGNAL \led_flash_cnt[2518][6]~62142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][6]~q\ : std_logic;
SIGNAL \WideAnd2518~1_combout\ : std_logic;
SIGNAL \WideAnd2518~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][6]~62143\ : std_logic;
SIGNAL \led_flash_cnt[2518][7]~62144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2518][7]~q\ : std_logic;
SIGNAL \WideAnd2518~combout\ : std_logic;
SIGNAL \WideAnd4154~combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][0]~83165_combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2525][1]~62230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2525][1]~62231\ : std_logic;
SIGNAL \led_flash_cnt[2525][2]~62232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2525][2]~62233\ : std_logic;
SIGNAL \led_flash_cnt[2525][3]~62234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2525][3]~62235\ : std_logic;
SIGNAL \led_flash_cnt[2525][4]~62236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2525][4]~62237\ : std_logic;
SIGNAL \led_flash_cnt[2525][5]~62238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2525][5]~62239\ : std_logic;
SIGNAL \led_flash_cnt[2525][6]~62240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2525][6]~62241\ : std_logic;
SIGNAL \led_flash_cnt[2525][7]~62242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2525][7]~q\ : std_logic;
SIGNAL \WideAnd2525~1_combout\ : std_logic;
SIGNAL \WideAnd2525~0_combout\ : std_logic;
SIGNAL \WideAnd2525~combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][0]~83164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2524][1]~62216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2524][1]~62217\ : std_logic;
SIGNAL \led_flash_cnt[2524][2]~62218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2524][2]~62219\ : std_logic;
SIGNAL \led_flash_cnt[2524][3]~62220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2524][3]~62221\ : std_logic;
SIGNAL \led_flash_cnt[2524][4]~62222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2524][4]~62223\ : std_logic;
SIGNAL \led_flash_cnt[2524][5]~62224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2524][5]~62225\ : std_logic;
SIGNAL \led_flash_cnt[2524][6]~62226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][6]~q\ : std_logic;
SIGNAL \WideAnd2524~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][6]~62227\ : std_logic;
SIGNAL \led_flash_cnt[2524][7]~62228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2524][7]~q\ : std_logic;
SIGNAL \WideAnd2524~0_combout\ : std_logic;
SIGNAL \WideAnd2524~combout\ : std_logic;
SIGNAL \WideAnd4155~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][0]~83166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2526][1]~62244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2526][1]~62245\ : std_logic;
SIGNAL \led_flash_cnt[2526][2]~62246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2526][2]~62247\ : std_logic;
SIGNAL \led_flash_cnt[2526][3]~62248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2526][3]~62249\ : std_logic;
SIGNAL \led_flash_cnt[2526][4]~62250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][4]~q\ : std_logic;
SIGNAL \WideAnd2526~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][4]~62251\ : std_logic;
SIGNAL \led_flash_cnt[2526][5]~62252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2526][5]~62253\ : std_logic;
SIGNAL \led_flash_cnt[2526][6]~62254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2526][6]~62255\ : std_logic;
SIGNAL \led_flash_cnt[2526][7]~62256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2526][7]~q\ : std_logic;
SIGNAL \WideAnd2526~1_combout\ : std_logic;
SIGNAL \WideAnd2526~combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][0]~83167_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2527][1]~62258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2527][1]~62259\ : std_logic;
SIGNAL \led_flash_cnt[2527][2]~62260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2527][2]~62261\ : std_logic;
SIGNAL \led_flash_cnt[2527][3]~62262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2527][3]~62263\ : std_logic;
SIGNAL \led_flash_cnt[2527][4]~62264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2527][4]~62265\ : std_logic;
SIGNAL \led_flash_cnt[2527][5]~62266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2527][5]~62267\ : std_logic;
SIGNAL \led_flash_cnt[2527][6]~62268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][6]~q\ : std_logic;
SIGNAL \WideAnd2527~1_combout\ : std_logic;
SIGNAL \WideAnd2527~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][6]~62269\ : std_logic;
SIGNAL \led_flash_cnt[2527][7]~62270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2527][7]~q\ : std_logic;
SIGNAL \WideAnd2527~combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][0]~83160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2520][1]~62160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2520][1]~62161\ : std_logic;
SIGNAL \led_flash_cnt[2520][2]~62162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2520][2]~62163\ : std_logic;
SIGNAL \led_flash_cnt[2520][3]~62164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2520][3]~62165\ : std_logic;
SIGNAL \led_flash_cnt[2520][4]~62166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2520][4]~62167\ : std_logic;
SIGNAL \led_flash_cnt[2520][5]~62168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2520][5]~62169\ : std_logic;
SIGNAL \led_flash_cnt[2520][6]~62170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][6]~q\ : std_logic;
SIGNAL \WideAnd2520~1_combout\ : std_logic;
SIGNAL \WideAnd2520~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][6]~62171\ : std_logic;
SIGNAL \led_flash_cnt[2520][7]~62172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2520][7]~q\ : std_logic;
SIGNAL \WideAnd2520~combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][0]~83163_combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2523][1]~62202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2523][1]~62203\ : std_logic;
SIGNAL \led_flash_cnt[2523][2]~62204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2523][2]~62205\ : std_logic;
SIGNAL \led_flash_cnt[2523][3]~62206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2523][3]~62207\ : std_logic;
SIGNAL \led_flash_cnt[2523][4]~62208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2523][4]~62209\ : std_logic;
SIGNAL \led_flash_cnt[2523][5]~62210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2523][5]~62211\ : std_logic;
SIGNAL \led_flash_cnt[2523][6]~62212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2523][6]~62213\ : std_logic;
SIGNAL \led_flash_cnt[2523][7]~62214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2523][7]~q\ : std_logic;
SIGNAL \WideAnd2523~1_combout\ : std_logic;
SIGNAL \WideAnd2523~0_combout\ : std_logic;
SIGNAL \WideAnd2523~combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][0]~83161_combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2521][1]~62174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2521][1]~62175\ : std_logic;
SIGNAL \led_flash_cnt[2521][2]~62176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2521][2]~62177\ : std_logic;
SIGNAL \led_flash_cnt[2521][3]~62178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2521][3]~62179\ : std_logic;
SIGNAL \led_flash_cnt[2521][4]~62180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2521][4]~62181\ : std_logic;
SIGNAL \led_flash_cnt[2521][5]~62182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2521][5]~62183\ : std_logic;
SIGNAL \led_flash_cnt[2521][6]~62184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2521][6]~62185\ : std_logic;
SIGNAL \led_flash_cnt[2521][7]~62186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2521][7]~q\ : std_logic;
SIGNAL \WideAnd2521~0_combout\ : std_logic;
SIGNAL \WideAnd2521~1_combout\ : std_logic;
SIGNAL \WideAnd2521~combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][0]~83162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2522][1]~62188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2522][1]~62189\ : std_logic;
SIGNAL \led_flash_cnt[2522][2]~62190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2522][2]~62191\ : std_logic;
SIGNAL \led_flash_cnt[2522][3]~62192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2522][3]~62193\ : std_logic;
SIGNAL \led_flash_cnt[2522][4]~62194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][4]~q\ : std_logic;
SIGNAL \WideAnd2522~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][4]~62195\ : std_logic;
SIGNAL \led_flash_cnt[2522][5]~62196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2522][5]~62197\ : std_logic;
SIGNAL \led_flash_cnt[2522][6]~62198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][6]~q\ : std_logic;
SIGNAL \WideAnd2522~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][6]~62199\ : std_logic;
SIGNAL \led_flash_cnt[2522][7]~62200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2522][7]~q\ : std_logic;
SIGNAL \WideAnd2522~combout\ : std_logic;
SIGNAL \WideAnd4155~0_combout\ : std_logic;
SIGNAL \WideAnd4155~combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][0]~83137_combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2501][1]~61838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2501][1]~61839\ : std_logic;
SIGNAL \led_flash_cnt[2501][2]~61840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2501][2]~61841\ : std_logic;
SIGNAL \led_flash_cnt[2501][3]~61842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2501][3]~61843\ : std_logic;
SIGNAL \led_flash_cnt[2501][4]~61844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2501][4]~61845\ : std_logic;
SIGNAL \led_flash_cnt[2501][5]~61846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2501][5]~61847\ : std_logic;
SIGNAL \led_flash_cnt[2501][6]~61848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2501][6]~61849\ : std_logic;
SIGNAL \led_flash_cnt[2501][7]~61850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2501][7]~q\ : std_logic;
SIGNAL \WideAnd2501~1_combout\ : std_logic;
SIGNAL \WideAnd2501~0_combout\ : std_logic;
SIGNAL \WideAnd2501~combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][0]~83139_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2497][1]~61866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2497][1]~61867\ : std_logic;
SIGNAL \led_flash_cnt[2497][2]~61868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2497][2]~61869\ : std_logic;
SIGNAL \led_flash_cnt[2497][3]~61870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2497][3]~61871\ : std_logic;
SIGNAL \led_flash_cnt[2497][4]~61872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2497][4]~61873\ : std_logic;
SIGNAL \led_flash_cnt[2497][5]~61874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2497][5]~61875\ : std_logic;
SIGNAL \led_flash_cnt[2497][6]~61876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][6]~q\ : std_logic;
SIGNAL \WideAnd2497~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][6]~61877\ : std_logic;
SIGNAL \led_flash_cnt[2497][7]~61878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2497][7]~q\ : std_logic;
SIGNAL \WideAnd2497~0_combout\ : std_logic;
SIGNAL \WideAnd2497~combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][0]~83138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2496][1]~61852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2496][1]~61853\ : std_logic;
SIGNAL \led_flash_cnt[2496][2]~61854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2496][2]~61855\ : std_logic;
SIGNAL \led_flash_cnt[2496][3]~61856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2496][3]~61857\ : std_logic;
SIGNAL \led_flash_cnt[2496][4]~61858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2496][4]~61859\ : std_logic;
SIGNAL \led_flash_cnt[2496][5]~61860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2496][5]~61861\ : std_logic;
SIGNAL \led_flash_cnt[2496][6]~61862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2496][6]~61863\ : std_logic;
SIGNAL \led_flash_cnt[2496][7]~61864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2496][7]~q\ : std_logic;
SIGNAL \WideAnd2496~0_combout\ : std_logic;
SIGNAL \WideAnd2496~1_combout\ : std_logic;
SIGNAL \WideAnd2496~combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][0]~83140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2498][1]~61880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2498][1]~61881\ : std_logic;
SIGNAL \led_flash_cnt[2498][2]~61882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2498][2]~61883\ : std_logic;
SIGNAL \led_flash_cnt[2498][3]~61884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2498][3]~61885\ : std_logic;
SIGNAL \led_flash_cnt[2498][4]~61886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2498][4]~61887\ : std_logic;
SIGNAL \led_flash_cnt[2498][5]~61888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2498][5]~61889\ : std_logic;
SIGNAL \led_flash_cnt[2498][6]~61890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][6]~q\ : std_logic;
SIGNAL \WideAnd2498~1_combout\ : std_logic;
SIGNAL \WideAnd2498~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][6]~61891\ : std_logic;
SIGNAL \led_flash_cnt[2498][7]~61892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2498][7]~q\ : std_logic;
SIGNAL \WideAnd2498~combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][0]~83141_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2499][1]~61894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2499][1]~61895\ : std_logic;
SIGNAL \led_flash_cnt[2499][2]~61896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2499][2]~61897\ : std_logic;
SIGNAL \led_flash_cnt[2499][3]~61898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2499][3]~61899\ : std_logic;
SIGNAL \led_flash_cnt[2499][4]~61900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][4]~q\ : std_logic;
SIGNAL \WideAnd2499~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][4]~61901\ : std_logic;
SIGNAL \led_flash_cnt[2499][5]~61902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2499][5]~61903\ : std_logic;
SIGNAL \led_flash_cnt[2499][6]~61904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2499][6]~61905\ : std_logic;
SIGNAL \led_flash_cnt[2499][7]~61906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2499][7]~q\ : std_logic;
SIGNAL \WideAnd2499~1_combout\ : std_logic;
SIGNAL \WideAnd2499~combout\ : std_logic;
SIGNAL \WideAnd4152~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][0]~83143_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2500][1]~61922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2500][1]~61923\ : std_logic;
SIGNAL \led_flash_cnt[2500][2]~61924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2500][2]~61925\ : std_logic;
SIGNAL \led_flash_cnt[2500][3]~61926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2500][3]~61927\ : std_logic;
SIGNAL \led_flash_cnt[2500][4]~61928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2500][4]~61929\ : std_logic;
SIGNAL \led_flash_cnt[2500][5]~61930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2500][5]~61931\ : std_logic;
SIGNAL \led_flash_cnt[2500][6]~61932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][6]~q\ : std_logic;
SIGNAL \WideAnd2500~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][6]~61933\ : std_logic;
SIGNAL \led_flash_cnt[2500][7]~61934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2500][7]~q\ : std_logic;
SIGNAL \WideAnd2500~0_combout\ : std_logic;
SIGNAL \WideAnd2500~combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][0]~83142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2503][1]~61908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2503][1]~61909\ : std_logic;
SIGNAL \led_flash_cnt[2503][2]~61910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2503][2]~61911\ : std_logic;
SIGNAL \led_flash_cnt[2503][3]~61912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2503][3]~61913\ : std_logic;
SIGNAL \led_flash_cnt[2503][4]~61914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][4]~q\ : std_logic;
SIGNAL \WideAnd2503~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][4]~61915\ : std_logic;
SIGNAL \led_flash_cnt[2503][5]~61916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2503][5]~61917\ : std_logic;
SIGNAL \led_flash_cnt[2503][6]~61918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2503][6]~61919\ : std_logic;
SIGNAL \led_flash_cnt[2503][7]~61920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2503][7]~q\ : std_logic;
SIGNAL \WideAnd2503~1_combout\ : std_logic;
SIGNAL \WideAnd2503~combout\ : std_logic;
SIGNAL \WideAnd4152~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][0]~83136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2502][1]~61824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2502][1]~61825\ : std_logic;
SIGNAL \led_flash_cnt[2502][2]~61826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2502][2]~61827\ : std_logic;
SIGNAL \led_flash_cnt[2502][3]~61828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2502][3]~61829\ : std_logic;
SIGNAL \led_flash_cnt[2502][4]~61830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][4]~q\ : std_logic;
SIGNAL \WideAnd2502~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][4]~61831\ : std_logic;
SIGNAL \led_flash_cnt[2502][5]~61832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2502][5]~61833\ : std_logic;
SIGNAL \led_flash_cnt[2502][6]~61834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2502][6]~61835\ : std_logic;
SIGNAL \led_flash_cnt[2502][7]~61836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2502][7]~q\ : std_logic;
SIGNAL \WideAnd2502~1_combout\ : std_logic;
SIGNAL \WideAnd2502~combout\ : std_logic;
SIGNAL \WideAnd4152~combout\ : std_logic;
SIGNAL \WideAnd4359~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][0]~83195_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2555][1]~62650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2555][1]~62651\ : std_logic;
SIGNAL \led_flash_cnt[2555][2]~62652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2555][2]~62653\ : std_logic;
SIGNAL \led_flash_cnt[2555][3]~62654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2555][3]~62655\ : std_logic;
SIGNAL \led_flash_cnt[2555][4]~62656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2555][4]~62657\ : std_logic;
SIGNAL \led_flash_cnt[2555][5]~62658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2555][5]~62659\ : std_logic;
SIGNAL \led_flash_cnt[2555][6]~62660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][6]~q\ : std_logic;
SIGNAL \WideAnd2555~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][6]~62661\ : std_logic;
SIGNAL \led_flash_cnt[2555][7]~62662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2555][7]~q\ : std_logic;
SIGNAL \WideAnd2555~0_combout\ : std_logic;
SIGNAL \WideAnd2555~combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][0]~83193_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2553][1]~62622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2553][1]~62623\ : std_logic;
SIGNAL \led_flash_cnt[2553][2]~62624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2553][2]~62625\ : std_logic;
SIGNAL \led_flash_cnt[2553][3]~62626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2553][3]~62627\ : std_logic;
SIGNAL \led_flash_cnt[2553][4]~62628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][4]~q\ : std_logic;
SIGNAL \WideAnd2553~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][4]~62629\ : std_logic;
SIGNAL \led_flash_cnt[2553][5]~62630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2553][5]~62631\ : std_logic;
SIGNAL \led_flash_cnt[2553][6]~62632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2553][6]~62633\ : std_logic;
SIGNAL \led_flash_cnt[2553][7]~62634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2553][7]~q\ : std_logic;
SIGNAL \WideAnd2553~1_combout\ : std_logic;
SIGNAL \WideAnd2553~combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][0]~83194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2554][1]~62636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2554][1]~62637\ : std_logic;
SIGNAL \led_flash_cnt[2554][2]~62638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2554][2]~62639\ : std_logic;
SIGNAL \led_flash_cnt[2554][3]~62640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2554][3]~62641\ : std_logic;
SIGNAL \led_flash_cnt[2554][4]~62642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2554][4]~62643\ : std_logic;
SIGNAL \led_flash_cnt[2554][5]~62644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2554][5]~62645\ : std_logic;
SIGNAL \led_flash_cnt[2554][6]~62646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2554][6]~62647\ : std_logic;
SIGNAL \led_flash_cnt[2554][7]~62648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2554][7]~q\ : std_logic;
SIGNAL \WideAnd2554~1_combout\ : std_logic;
SIGNAL \WideAnd2554~0_combout\ : std_logic;
SIGNAL \WideAnd2554~combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][0]~83192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2552][1]~62608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2552][1]~62609\ : std_logic;
SIGNAL \led_flash_cnt[2552][2]~62610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2552][2]~62611\ : std_logic;
SIGNAL \led_flash_cnt[2552][3]~62612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2552][3]~62613\ : std_logic;
SIGNAL \led_flash_cnt[2552][4]~62614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2552][4]~62615\ : std_logic;
SIGNAL \led_flash_cnt[2552][5]~62616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2552][5]~62617\ : std_logic;
SIGNAL \led_flash_cnt[2552][6]~62618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2552][6]~62619\ : std_logic;
SIGNAL \led_flash_cnt[2552][7]~62620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2552][7]~q\ : std_logic;
SIGNAL \WideAnd2552~1_combout\ : std_logic;
SIGNAL \WideAnd2552~0_combout\ : std_logic;
SIGNAL \WideAnd2552~combout\ : std_logic;
SIGNAL \WideAnd4159~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][0]~83198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2558][1]~62692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2558][1]~62693\ : std_logic;
SIGNAL \led_flash_cnt[2558][2]~62694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2558][2]~62695\ : std_logic;
SIGNAL \led_flash_cnt[2558][3]~62696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2558][3]~62697\ : std_logic;
SIGNAL \led_flash_cnt[2558][4]~62698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][4]~q\ : std_logic;
SIGNAL \WideAnd2558~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][4]~62699\ : std_logic;
SIGNAL \led_flash_cnt[2558][5]~62700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2558][5]~62701\ : std_logic;
SIGNAL \led_flash_cnt[2558][6]~62702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][6]~q\ : std_logic;
SIGNAL \WideAnd2558~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][6]~62703\ : std_logic;
SIGNAL \led_flash_cnt[2558][7]~62704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2558][7]~q\ : std_logic;
SIGNAL \WideAnd2558~combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][0]~83197_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2557][1]~62678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2557][1]~62679\ : std_logic;
SIGNAL \led_flash_cnt[2557][2]~62680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2557][2]~62681\ : std_logic;
SIGNAL \led_flash_cnt[2557][3]~62682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2557][3]~62683\ : std_logic;
SIGNAL \led_flash_cnt[2557][4]~62684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2557][4]~62685\ : std_logic;
SIGNAL \led_flash_cnt[2557][5]~62686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2557][5]~62687\ : std_logic;
SIGNAL \led_flash_cnt[2557][6]~62688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][6]~q\ : std_logic;
SIGNAL \WideAnd2557~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][6]~62689\ : std_logic;
SIGNAL \led_flash_cnt[2557][7]~62690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2557][7]~q\ : std_logic;
SIGNAL \WideAnd2557~0_combout\ : std_logic;
SIGNAL \WideAnd2557~combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][0]~83196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2556][1]~62664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2556][1]~62665\ : std_logic;
SIGNAL \led_flash_cnt[2556][2]~62666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2556][2]~62667\ : std_logic;
SIGNAL \led_flash_cnt[2556][3]~62668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2556][3]~62669\ : std_logic;
SIGNAL \led_flash_cnt[2556][4]~62670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][4]~q\ : std_logic;
SIGNAL \WideAnd2556~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][4]~62671\ : std_logic;
SIGNAL \led_flash_cnt[2556][5]~62672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2556][5]~62673\ : std_logic;
SIGNAL \led_flash_cnt[2556][6]~62674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2556][6]~62675\ : std_logic;
SIGNAL \led_flash_cnt[2556][7]~62676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2556][7]~q\ : std_logic;
SIGNAL \WideAnd2556~1_combout\ : std_logic;
SIGNAL \WideAnd2556~combout\ : std_logic;
SIGNAL \WideAnd4159~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][0]~83199_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2559][1]~62706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2559][1]~62707\ : std_logic;
SIGNAL \led_flash_cnt[2559][2]~62708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2559][2]~62709\ : std_logic;
SIGNAL \led_flash_cnt[2559][3]~62710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2559][3]~62711\ : std_logic;
SIGNAL \led_flash_cnt[2559][4]~62712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2559][4]~62713\ : std_logic;
SIGNAL \led_flash_cnt[2559][5]~62714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2559][5]~62715\ : std_logic;
SIGNAL \led_flash_cnt[2559][6]~62716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][6]~q\ : std_logic;
SIGNAL \WideAnd2559~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][6]~62717\ : std_logic;
SIGNAL \led_flash_cnt[2559][7]~62718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2559][7]~q\ : std_logic;
SIGNAL \WideAnd2559~0_combout\ : std_logic;
SIGNAL \WideAnd2559~combout\ : std_logic;
SIGNAL \WideAnd4159~combout\ : std_logic;
SIGNAL \WideAnd4359~combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][0]~83110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2470][1]~61460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2470][1]~61461\ : std_logic;
SIGNAL \led_flash_cnt[2470][2]~61462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2470][2]~61463\ : std_logic;
SIGNAL \led_flash_cnt[2470][3]~61464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2470][3]~61465\ : std_logic;
SIGNAL \led_flash_cnt[2470][4]~61466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2470][4]~61467\ : std_logic;
SIGNAL \led_flash_cnt[2470][5]~61468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2470][5]~61469\ : std_logic;
SIGNAL \led_flash_cnt[2470][6]~61470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][6]~q\ : std_logic;
SIGNAL \WideAnd2470~1_combout\ : std_logic;
SIGNAL \WideAnd2470~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][6]~61471\ : std_logic;
SIGNAL \led_flash_cnt[2470][7]~61472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2470][7]~q\ : std_logic;
SIGNAL \WideAnd2470~combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][0]~83109_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2469][1]~61446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2469][1]~61447\ : std_logic;
SIGNAL \led_flash_cnt[2469][2]~61448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2469][2]~61449\ : std_logic;
SIGNAL \led_flash_cnt[2469][3]~61450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2469][3]~61451\ : std_logic;
SIGNAL \led_flash_cnt[2469][4]~61452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][4]~q\ : std_logic;
SIGNAL \WideAnd2469~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][4]~61453\ : std_logic;
SIGNAL \led_flash_cnt[2469][5]~61454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2469][5]~61455\ : std_logic;
SIGNAL \led_flash_cnt[2469][6]~61456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][6]~q\ : std_logic;
SIGNAL \WideAnd2469~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][6]~61457\ : std_logic;
SIGNAL \led_flash_cnt[2469][7]~61458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2469][7]~q\ : std_logic;
SIGNAL \WideAnd2469~combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][0]~83108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2468][1]~61432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2468][1]~61433\ : std_logic;
SIGNAL \led_flash_cnt[2468][2]~61434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2468][2]~61435\ : std_logic;
SIGNAL \led_flash_cnt[2468][3]~61436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2468][3]~61437\ : std_logic;
SIGNAL \led_flash_cnt[2468][4]~61438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][4]~q\ : std_logic;
SIGNAL \WideAnd2468~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][4]~61439\ : std_logic;
SIGNAL \led_flash_cnt[2468][5]~61440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2468][5]~61441\ : std_logic;
SIGNAL \led_flash_cnt[2468][6]~61442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][6]~q\ : std_logic;
SIGNAL \WideAnd2468~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][6]~61443\ : std_logic;
SIGNAL \led_flash_cnt[2468][7]~61444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2468][7]~q\ : std_logic;
SIGNAL \WideAnd2468~combout\ : std_logic;
SIGNAL \WideAnd4148~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][0]~83106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2466][1]~61404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2466][1]~61405\ : std_logic;
SIGNAL \led_flash_cnt[2466][2]~61406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2466][2]~61407\ : std_logic;
SIGNAL \led_flash_cnt[2466][3]~61408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2466][3]~61409\ : std_logic;
SIGNAL \led_flash_cnt[2466][4]~61410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][4]~q\ : std_logic;
SIGNAL \WideAnd2466~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][4]~61411\ : std_logic;
SIGNAL \led_flash_cnt[2466][5]~61412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2466][5]~61413\ : std_logic;
SIGNAL \led_flash_cnt[2466][6]~61414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2466][6]~61415\ : std_logic;
SIGNAL \led_flash_cnt[2466][7]~61416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2466][7]~q\ : std_logic;
SIGNAL \WideAnd2466~1_combout\ : std_logic;
SIGNAL \WideAnd2466~combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][0]~83104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2464][1]~61376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2464][1]~61377\ : std_logic;
SIGNAL \led_flash_cnt[2464][2]~61378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2464][2]~61379\ : std_logic;
SIGNAL \led_flash_cnt[2464][3]~61380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2464][3]~61381\ : std_logic;
SIGNAL \led_flash_cnt[2464][4]~61382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2464][4]~61383\ : std_logic;
SIGNAL \led_flash_cnt[2464][5]~61384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2464][5]~61385\ : std_logic;
SIGNAL \led_flash_cnt[2464][6]~61386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2464][6]~61387\ : std_logic;
SIGNAL \led_flash_cnt[2464][7]~61388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2464][7]~q\ : std_logic;
SIGNAL \WideAnd2464~1_combout\ : std_logic;
SIGNAL \WideAnd2464~0_combout\ : std_logic;
SIGNAL \WideAnd2464~combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][0]~83107_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2467][1]~61418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2467][1]~61419\ : std_logic;
SIGNAL \led_flash_cnt[2467][2]~61420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2467][2]~61421\ : std_logic;
SIGNAL \led_flash_cnt[2467][3]~61422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2467][3]~61423\ : std_logic;
SIGNAL \led_flash_cnt[2467][4]~61424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2467][4]~61425\ : std_logic;
SIGNAL \led_flash_cnt[2467][5]~61426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2467][5]~61427\ : std_logic;
SIGNAL \led_flash_cnt[2467][6]~61428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][6]~q\ : std_logic;
SIGNAL \WideAnd2467~1_combout\ : std_logic;
SIGNAL \WideAnd2467~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][6]~61429\ : std_logic;
SIGNAL \led_flash_cnt[2467][7]~61430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2467][7]~q\ : std_logic;
SIGNAL \WideAnd2467~combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][0]~83105_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2465][1]~61390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2465][1]~61391\ : std_logic;
SIGNAL \led_flash_cnt[2465][2]~61392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2465][2]~61393\ : std_logic;
SIGNAL \led_flash_cnt[2465][3]~61394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2465][3]~61395\ : std_logic;
SIGNAL \led_flash_cnt[2465][4]~61396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][4]~q\ : std_logic;
SIGNAL \WideAnd2465~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][4]~61397\ : std_logic;
SIGNAL \led_flash_cnt[2465][5]~61398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2465][5]~61399\ : std_logic;
SIGNAL \led_flash_cnt[2465][6]~61400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2465][6]~61401\ : std_logic;
SIGNAL \led_flash_cnt[2465][7]~61402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2465][7]~q\ : std_logic;
SIGNAL \WideAnd2465~1_combout\ : std_logic;
SIGNAL \WideAnd2465~combout\ : std_logic;
SIGNAL \WideAnd4148~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][0]~83111_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2471][1]~61474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2471][1]~61475\ : std_logic;
SIGNAL \led_flash_cnt[2471][2]~61476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2471][2]~61477\ : std_logic;
SIGNAL \led_flash_cnt[2471][3]~61478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2471][3]~61479\ : std_logic;
SIGNAL \led_flash_cnt[2471][4]~61480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2471][4]~61481\ : std_logic;
SIGNAL \led_flash_cnt[2471][5]~61482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2471][5]~61483\ : std_logic;
SIGNAL \led_flash_cnt[2471][6]~61484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][6]~q\ : std_logic;
SIGNAL \WideAnd2471~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][6]~61485\ : std_logic;
SIGNAL \led_flash_cnt[2471][7]~61486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2471][7]~q\ : std_logic;
SIGNAL \WideAnd2471~0_combout\ : std_logic;
SIGNAL \WideAnd2471~combout\ : std_logic;
SIGNAL \WideAnd4148~combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][0]~83115_combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2475][1]~61530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2475][1]~61531\ : std_logic;
SIGNAL \led_flash_cnt[2475][2]~61532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2475][2]~61533\ : std_logic;
SIGNAL \led_flash_cnt[2475][3]~61534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2475][3]~61535\ : std_logic;
SIGNAL \led_flash_cnt[2475][4]~61536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2475][4]~61537\ : std_logic;
SIGNAL \led_flash_cnt[2475][5]~61538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2475][5]~61539\ : std_logic;
SIGNAL \led_flash_cnt[2475][6]~61540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2475][6]~61541\ : std_logic;
SIGNAL \led_flash_cnt[2475][7]~61542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2475][7]~q\ : std_logic;
SIGNAL \WideAnd2475~0_combout\ : std_logic;
SIGNAL \WideAnd2475~1_combout\ : std_logic;
SIGNAL \WideAnd2475~combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][0]~83113_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2473][1]~61502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2473][1]~61503\ : std_logic;
SIGNAL \led_flash_cnt[2473][2]~61504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2473][2]~61505\ : std_logic;
SIGNAL \led_flash_cnt[2473][3]~61506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2473][3]~61507\ : std_logic;
SIGNAL \led_flash_cnt[2473][4]~61508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2473][4]~61509\ : std_logic;
SIGNAL \led_flash_cnt[2473][5]~61510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2473][5]~61511\ : std_logic;
SIGNAL \led_flash_cnt[2473][6]~61512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][6]~q\ : std_logic;
SIGNAL \WideAnd2473~1_combout\ : std_logic;
SIGNAL \WideAnd2473~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][6]~61513\ : std_logic;
SIGNAL \led_flash_cnt[2473][7]~61514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2473][7]~q\ : std_logic;
SIGNAL \WideAnd2473~combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][0]~83112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2472][1]~61488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2472][1]~61489\ : std_logic;
SIGNAL \led_flash_cnt[2472][2]~61490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2472][2]~61491\ : std_logic;
SIGNAL \led_flash_cnt[2472][3]~61492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2472][3]~61493\ : std_logic;
SIGNAL \led_flash_cnt[2472][4]~61494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][4]~q\ : std_logic;
SIGNAL \WideAnd2472~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][4]~61495\ : std_logic;
SIGNAL \led_flash_cnt[2472][5]~61496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2472][5]~61497\ : std_logic;
SIGNAL \led_flash_cnt[2472][6]~61498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2472][6]~61499\ : std_logic;
SIGNAL \led_flash_cnt[2472][7]~61500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2472][7]~q\ : std_logic;
SIGNAL \WideAnd2472~1_combout\ : std_logic;
SIGNAL \WideAnd2472~combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][0]~83114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2474][1]~61516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2474][1]~61517\ : std_logic;
SIGNAL \led_flash_cnt[2474][2]~61518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2474][2]~61519\ : std_logic;
SIGNAL \led_flash_cnt[2474][3]~61520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2474][3]~61521\ : std_logic;
SIGNAL \led_flash_cnt[2474][4]~61522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2474][4]~61523\ : std_logic;
SIGNAL \led_flash_cnt[2474][5]~61524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2474][5]~61525\ : std_logic;
SIGNAL \led_flash_cnt[2474][6]~61526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][6]~q\ : std_logic;
SIGNAL \WideAnd2474~1_combout\ : std_logic;
SIGNAL \WideAnd2474~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][6]~61527\ : std_logic;
SIGNAL \led_flash_cnt[2474][7]~61528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2474][7]~q\ : std_logic;
SIGNAL \WideAnd2474~combout\ : std_logic;
SIGNAL \WideAnd4149~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][0]~83119_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2479][1]~61586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2479][1]~61587\ : std_logic;
SIGNAL \led_flash_cnt[2479][2]~61588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2479][2]~61589\ : std_logic;
SIGNAL \led_flash_cnt[2479][3]~61590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2479][3]~61591\ : std_logic;
SIGNAL \led_flash_cnt[2479][4]~61592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][4]~q\ : std_logic;
SIGNAL \WideAnd2479~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][4]~61593\ : std_logic;
SIGNAL \led_flash_cnt[2479][5]~61594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2479][5]~61595\ : std_logic;
SIGNAL \led_flash_cnt[2479][6]~61596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2479][6]~61597\ : std_logic;
SIGNAL \led_flash_cnt[2479][7]~61598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2479][7]~q\ : std_logic;
SIGNAL \WideAnd2479~1_combout\ : std_logic;
SIGNAL \WideAnd2479~combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][0]~83118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2478][1]~61572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2478][1]~61573\ : std_logic;
SIGNAL \led_flash_cnt[2478][2]~61574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2478][2]~61575\ : std_logic;
SIGNAL \led_flash_cnt[2478][3]~61576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2478][3]~61577\ : std_logic;
SIGNAL \led_flash_cnt[2478][4]~61578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][4]~q\ : std_logic;
SIGNAL \WideAnd2478~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][4]~61579\ : std_logic;
SIGNAL \led_flash_cnt[2478][5]~61580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2478][5]~61581\ : std_logic;
SIGNAL \led_flash_cnt[2478][6]~61582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][6]~q\ : std_logic;
SIGNAL \WideAnd2478~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][6]~61583\ : std_logic;
SIGNAL \led_flash_cnt[2478][7]~61584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2478][7]~q\ : std_logic;
SIGNAL \WideAnd2478~combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][0]~83117_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2477][1]~61558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2477][1]~61559\ : std_logic;
SIGNAL \led_flash_cnt[2477][2]~61560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2477][2]~61561\ : std_logic;
SIGNAL \led_flash_cnt[2477][3]~61562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2477][3]~61563\ : std_logic;
SIGNAL \led_flash_cnt[2477][4]~61564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2477][4]~61565\ : std_logic;
SIGNAL \led_flash_cnt[2477][5]~61566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2477][5]~61567\ : std_logic;
SIGNAL \led_flash_cnt[2477][6]~61568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][6]~q\ : std_logic;
SIGNAL \WideAnd2477~1_combout\ : std_logic;
SIGNAL \WideAnd2477~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][6]~61569\ : std_logic;
SIGNAL \led_flash_cnt[2477][7]~61570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2477][7]~q\ : std_logic;
SIGNAL \WideAnd2477~combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][0]~83116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2476][1]~61544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2476][1]~61545\ : std_logic;
SIGNAL \led_flash_cnt[2476][2]~61546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2476][2]~61547\ : std_logic;
SIGNAL \led_flash_cnt[2476][3]~61548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2476][3]~61549\ : std_logic;
SIGNAL \led_flash_cnt[2476][4]~61550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][4]~q\ : std_logic;
SIGNAL \WideAnd2476~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][4]~61551\ : std_logic;
SIGNAL \led_flash_cnt[2476][5]~61552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2476][5]~61553\ : std_logic;
SIGNAL \led_flash_cnt[2476][6]~61554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][6]~q\ : std_logic;
SIGNAL \WideAnd2476~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][6]~61555\ : std_logic;
SIGNAL \led_flash_cnt[2476][7]~61556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2476][7]~q\ : std_logic;
SIGNAL \WideAnd2476~combout\ : std_logic;
SIGNAL \WideAnd4149~1_combout\ : std_logic;
SIGNAL \WideAnd4149~combout\ : std_logic;
SIGNAL \WideAnd4358~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][0]~83134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2494][1]~61796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2494][1]~61797\ : std_logic;
SIGNAL \led_flash_cnt[2494][2]~61798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2494][2]~61799\ : std_logic;
SIGNAL \led_flash_cnt[2494][3]~61800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2494][3]~61801\ : std_logic;
SIGNAL \led_flash_cnt[2494][4]~61802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2494][4]~61803\ : std_logic;
SIGNAL \led_flash_cnt[2494][5]~61804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2494][5]~61805\ : std_logic;
SIGNAL \led_flash_cnt[2494][6]~61806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][6]~q\ : std_logic;
SIGNAL \WideAnd2494~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][6]~61807\ : std_logic;
SIGNAL \led_flash_cnt[2494][7]~61808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2494][7]~q\ : std_logic;
SIGNAL \WideAnd2494~0_combout\ : std_logic;
SIGNAL \WideAnd2494~combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][0]~83130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2490][1]~61740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2490][1]~61741\ : std_logic;
SIGNAL \led_flash_cnt[2490][2]~61742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2490][2]~61743\ : std_logic;
SIGNAL \led_flash_cnt[2490][3]~61744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2490][3]~61745\ : std_logic;
SIGNAL \led_flash_cnt[2490][4]~61746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2490][4]~61747\ : std_logic;
SIGNAL \led_flash_cnt[2490][5]~61748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2490][5]~61749\ : std_logic;
SIGNAL \led_flash_cnt[2490][6]~61750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2490][6]~61751\ : std_logic;
SIGNAL \led_flash_cnt[2490][7]~61752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2490][7]~q\ : std_logic;
SIGNAL \WideAnd2490~1_combout\ : std_logic;
SIGNAL \WideAnd2490~0_combout\ : std_logic;
SIGNAL \WideAnd2490~combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][0]~83128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2488][1]~61712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2488][1]~61713\ : std_logic;
SIGNAL \led_flash_cnt[2488][2]~61714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2488][2]~61715\ : std_logic;
SIGNAL \led_flash_cnt[2488][3]~61716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2488][3]~61717\ : std_logic;
SIGNAL \led_flash_cnt[2488][4]~61718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2488][4]~61719\ : std_logic;
SIGNAL \led_flash_cnt[2488][5]~61720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2488][5]~61721\ : std_logic;
SIGNAL \led_flash_cnt[2488][6]~61722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][6]~q\ : std_logic;
SIGNAL \WideAnd2488~1_combout\ : std_logic;
SIGNAL \WideAnd2488~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][6]~61723\ : std_logic;
SIGNAL \led_flash_cnt[2488][7]~61724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2488][7]~q\ : std_logic;
SIGNAL \WideAnd2488~combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][0]~83129_combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2489][1]~61726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2489][1]~61727\ : std_logic;
SIGNAL \led_flash_cnt[2489][2]~61728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2489][2]~61729\ : std_logic;
SIGNAL \led_flash_cnt[2489][3]~61730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2489][3]~61731\ : std_logic;
SIGNAL \led_flash_cnt[2489][4]~61732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2489][4]~61733\ : std_logic;
SIGNAL \led_flash_cnt[2489][5]~61734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2489][5]~61735\ : std_logic;
SIGNAL \led_flash_cnt[2489][6]~61736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2489][6]~61737\ : std_logic;
SIGNAL \led_flash_cnt[2489][7]~61738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2489][7]~q\ : std_logic;
SIGNAL \WideAnd2489~0_combout\ : std_logic;
SIGNAL \WideAnd2489~1_combout\ : std_logic;
SIGNAL \WideAnd2489~combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][0]~83131_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2491][1]~61754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2491][1]~61755\ : std_logic;
SIGNAL \led_flash_cnt[2491][2]~61756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2491][2]~61757\ : std_logic;
SIGNAL \led_flash_cnt[2491][3]~61758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2491][3]~61759\ : std_logic;
SIGNAL \led_flash_cnt[2491][4]~61760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][4]~q\ : std_logic;
SIGNAL \WideAnd2491~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][4]~61761\ : std_logic;
SIGNAL \led_flash_cnt[2491][5]~61762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2491][5]~61763\ : std_logic;
SIGNAL \led_flash_cnt[2491][6]~61764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2491][6]~61765\ : std_logic;
SIGNAL \led_flash_cnt[2491][7]~61766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2491][7]~q\ : std_logic;
SIGNAL \WideAnd2491~1_combout\ : std_logic;
SIGNAL \WideAnd2491~combout\ : std_logic;
SIGNAL \WideAnd4151~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][0]~83133_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2493][1]~61782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2493][1]~61783\ : std_logic;
SIGNAL \led_flash_cnt[2493][2]~61784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2493][2]~61785\ : std_logic;
SIGNAL \led_flash_cnt[2493][3]~61786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2493][3]~61787\ : std_logic;
SIGNAL \led_flash_cnt[2493][4]~61788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2493][4]~61789\ : std_logic;
SIGNAL \led_flash_cnt[2493][5]~61790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2493][5]~61791\ : std_logic;
SIGNAL \led_flash_cnt[2493][6]~61792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2493][6]~61793\ : std_logic;
SIGNAL \led_flash_cnt[2493][7]~61794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2493][7]~q\ : std_logic;
SIGNAL \WideAnd2493~1_combout\ : std_logic;
SIGNAL \WideAnd2493~0_combout\ : std_logic;
SIGNAL \WideAnd2493~combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][0]~83132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2492][1]~61768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2492][1]~61769\ : std_logic;
SIGNAL \led_flash_cnt[2492][2]~61770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2492][2]~61771\ : std_logic;
SIGNAL \led_flash_cnt[2492][3]~61772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2492][3]~61773\ : std_logic;
SIGNAL \led_flash_cnt[2492][4]~61774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][4]~q\ : std_logic;
SIGNAL \WideAnd2492~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][4]~61775\ : std_logic;
SIGNAL \led_flash_cnt[2492][5]~61776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2492][5]~61777\ : std_logic;
SIGNAL \led_flash_cnt[2492][6]~61778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2492][6]~61779\ : std_logic;
SIGNAL \led_flash_cnt[2492][7]~61780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2492][7]~q\ : std_logic;
SIGNAL \WideAnd2492~1_combout\ : std_logic;
SIGNAL \WideAnd2492~combout\ : std_logic;
SIGNAL \WideAnd4151~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][0]~83135_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2495][1]~61810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2495][1]~61811\ : std_logic;
SIGNAL \led_flash_cnt[2495][2]~61812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2495][2]~61813\ : std_logic;
SIGNAL \led_flash_cnt[2495][3]~61814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2495][3]~61815\ : std_logic;
SIGNAL \led_flash_cnt[2495][4]~61816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2495][4]~61817\ : std_logic;
SIGNAL \led_flash_cnt[2495][5]~61818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2495][5]~61819\ : std_logic;
SIGNAL \led_flash_cnt[2495][6]~61820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][6]~q\ : std_logic;
SIGNAL \WideAnd2495~1_combout\ : std_logic;
SIGNAL \WideAnd2495~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][6]~61821\ : std_logic;
SIGNAL \led_flash_cnt[2495][7]~61822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2495][7]~q\ : std_logic;
SIGNAL \WideAnd2495~combout\ : std_logic;
SIGNAL \WideAnd4151~combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][0]~83079_combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2439][1]~61026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2439][1]~61027\ : std_logic;
SIGNAL \led_flash_cnt[2439][2]~61028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2439][2]~61029\ : std_logic;
SIGNAL \led_flash_cnt[2439][3]~61030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2439][3]~61031\ : std_logic;
SIGNAL \led_flash_cnt[2439][4]~61032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2439][4]~61033\ : std_logic;
SIGNAL \led_flash_cnt[2439][5]~61034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2439][5]~61035\ : std_logic;
SIGNAL \led_flash_cnt[2439][6]~61036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2439][6]~61037\ : std_logic;
SIGNAL \led_flash_cnt[2439][7]~61038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2439][7]~q\ : std_logic;
SIGNAL \WideAnd2439~1_combout\ : std_logic;
SIGNAL \WideAnd2439~0_combout\ : std_logic;
SIGNAL \WideAnd2439~combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][0]~83078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2438][1]~61012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2438][1]~61013\ : std_logic;
SIGNAL \led_flash_cnt[2438][2]~61014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2438][2]~61015\ : std_logic;
SIGNAL \led_flash_cnt[2438][3]~61016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2438][3]~61017\ : std_logic;
SIGNAL \led_flash_cnt[2438][4]~61018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2438][4]~61019\ : std_logic;
SIGNAL \led_flash_cnt[2438][5]~61020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2438][5]~61021\ : std_logic;
SIGNAL \led_flash_cnt[2438][6]~61022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][6]~q\ : std_logic;
SIGNAL \WideAnd2438~1_combout\ : std_logic;
SIGNAL \WideAnd2438~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][6]~61023\ : std_logic;
SIGNAL \led_flash_cnt[2438][7]~61024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2438][7]~q\ : std_logic;
SIGNAL \WideAnd2438~combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][0]~83077_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2437][1]~60998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2437][1]~60999\ : std_logic;
SIGNAL \led_flash_cnt[2437][2]~61000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2437][2]~61001\ : std_logic;
SIGNAL \led_flash_cnt[2437][3]~61002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2437][3]~61003\ : std_logic;
SIGNAL \led_flash_cnt[2437][4]~61004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2437][4]~61005\ : std_logic;
SIGNAL \led_flash_cnt[2437][5]~61006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2437][5]~61007\ : std_logic;
SIGNAL \led_flash_cnt[2437][6]~61008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][6]~q\ : std_logic;
SIGNAL \WideAnd2437~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][6]~61009\ : std_logic;
SIGNAL \led_flash_cnt[2437][7]~61010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2437][7]~q\ : std_logic;
SIGNAL \WideAnd2437~0_combout\ : std_logic;
SIGNAL \WideAnd2437~combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][0]~83076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2436][1]~60984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2436][1]~60985\ : std_logic;
SIGNAL \led_flash_cnt[2436][2]~60986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2436][2]~60987\ : std_logic;
SIGNAL \led_flash_cnt[2436][3]~60988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2436][3]~60989\ : std_logic;
SIGNAL \led_flash_cnt[2436][4]~60990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2436][4]~60991\ : std_logic;
SIGNAL \led_flash_cnt[2436][5]~60992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2436][5]~60993\ : std_logic;
SIGNAL \led_flash_cnt[2436][6]~60994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2436][6]~60995\ : std_logic;
SIGNAL \led_flash_cnt[2436][7]~60996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2436][7]~q\ : std_logic;
SIGNAL \WideAnd2436~0_combout\ : std_logic;
SIGNAL \WideAnd2436~1_combout\ : std_logic;
SIGNAL \WideAnd2436~combout\ : std_logic;
SIGNAL \WideAnd4144~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][0]~83075_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2435][1]~60970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2435][1]~60971\ : std_logic;
SIGNAL \led_flash_cnt[2435][2]~60972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2435][2]~60973\ : std_logic;
SIGNAL \led_flash_cnt[2435][3]~60974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2435][3]~60975\ : std_logic;
SIGNAL \led_flash_cnt[2435][4]~60976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2435][4]~60977\ : std_logic;
SIGNAL \led_flash_cnt[2435][5]~60978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2435][5]~60979\ : std_logic;
SIGNAL \led_flash_cnt[2435][6]~60980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][6]~q\ : std_logic;
SIGNAL \WideAnd2435~1_combout\ : std_logic;
SIGNAL \WideAnd2435~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][6]~60981\ : std_logic;
SIGNAL \led_flash_cnt[2435][7]~60982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2435][7]~q\ : std_logic;
SIGNAL \WideAnd2435~combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][0]~83074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2434][1]~60956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2434][1]~60957\ : std_logic;
SIGNAL \led_flash_cnt[2434][2]~60958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2434][2]~60959\ : std_logic;
SIGNAL \led_flash_cnt[2434][3]~60960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2434][3]~60961\ : std_logic;
SIGNAL \led_flash_cnt[2434][4]~60962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2434][4]~60963\ : std_logic;
SIGNAL \led_flash_cnt[2434][5]~60964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2434][5]~60965\ : std_logic;
SIGNAL \led_flash_cnt[2434][6]~60966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2434][6]~60967\ : std_logic;
SIGNAL \led_flash_cnt[2434][7]~60968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2434][7]~q\ : std_logic;
SIGNAL \WideAnd2434~0_combout\ : std_logic;
SIGNAL \WideAnd2434~1_combout\ : std_logic;
SIGNAL \WideAnd2434~combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][0]~83073_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2433][1]~60942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2433][1]~60943\ : std_logic;
SIGNAL \led_flash_cnt[2433][2]~60944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2433][2]~60945\ : std_logic;
SIGNAL \led_flash_cnt[2433][3]~60946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2433][3]~60947\ : std_logic;
SIGNAL \led_flash_cnt[2433][4]~60948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2433][4]~60949\ : std_logic;
SIGNAL \led_flash_cnt[2433][5]~60950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2433][5]~60951\ : std_logic;
SIGNAL \led_flash_cnt[2433][6]~60952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][6]~q\ : std_logic;
SIGNAL \WideAnd2433~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][6]~60953\ : std_logic;
SIGNAL \led_flash_cnt[2433][7]~60954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2433][7]~q\ : std_logic;
SIGNAL \WideAnd2433~0_combout\ : std_logic;
SIGNAL \WideAnd2433~combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][0]~83072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2432][1]~60928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2432][1]~60929\ : std_logic;
SIGNAL \led_flash_cnt[2432][2]~60930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2432][2]~60931\ : std_logic;
SIGNAL \led_flash_cnt[2432][3]~60932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2432][3]~60933\ : std_logic;
SIGNAL \led_flash_cnt[2432][4]~60934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2432][4]~60935\ : std_logic;
SIGNAL \led_flash_cnt[2432][5]~60936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2432][5]~60937\ : std_logic;
SIGNAL \led_flash_cnt[2432][6]~60938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][6]~q\ : std_logic;
SIGNAL \WideAnd2432~1_combout\ : std_logic;
SIGNAL \WideAnd2432~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][6]~60939\ : std_logic;
SIGNAL \led_flash_cnt[2432][7]~60940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2432][7]~q\ : std_logic;
SIGNAL \WideAnd2432~combout\ : std_logic;
SIGNAL \WideAnd4144~0_combout\ : std_logic;
SIGNAL \WideAnd4144~combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][0]~83086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2446][1]~61124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2446][1]~61125\ : std_logic;
SIGNAL \led_flash_cnt[2446][2]~61126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2446][2]~61127\ : std_logic;
SIGNAL \led_flash_cnt[2446][3]~61128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2446][3]~61129\ : std_logic;
SIGNAL \led_flash_cnt[2446][4]~61130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2446][4]~61131\ : std_logic;
SIGNAL \led_flash_cnt[2446][5]~61132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2446][5]~61133\ : std_logic;
SIGNAL \led_flash_cnt[2446][6]~61134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][6]~q\ : std_logic;
SIGNAL \WideAnd2446~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][6]~61135\ : std_logic;
SIGNAL \led_flash_cnt[2446][7]~61136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2446][7]~q\ : std_logic;
SIGNAL \WideAnd2446~0_combout\ : std_logic;
SIGNAL \WideAnd2446~combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][0]~83087_combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2447][1]~61138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2447][1]~61139\ : std_logic;
SIGNAL \led_flash_cnt[2447][2]~61140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2447][2]~61141\ : std_logic;
SIGNAL \led_flash_cnt[2447][3]~61142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2447][3]~61143\ : std_logic;
SIGNAL \led_flash_cnt[2447][4]~61144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2447][4]~61145\ : std_logic;
SIGNAL \led_flash_cnt[2447][5]~61146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2447][5]~61147\ : std_logic;
SIGNAL \led_flash_cnt[2447][6]~61148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2447][6]~61149\ : std_logic;
SIGNAL \led_flash_cnt[2447][7]~61150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2447][7]~q\ : std_logic;
SIGNAL \WideAnd2447~1_combout\ : std_logic;
SIGNAL \WideAnd2447~0_combout\ : std_logic;
SIGNAL \WideAnd2447~combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][0]~83085_combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2445][1]~61110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2445][1]~61111\ : std_logic;
SIGNAL \led_flash_cnt[2445][2]~61112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2445][2]~61113\ : std_logic;
SIGNAL \led_flash_cnt[2445][3]~61114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2445][3]~61115\ : std_logic;
SIGNAL \led_flash_cnt[2445][4]~61116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2445][4]~61117\ : std_logic;
SIGNAL \led_flash_cnt[2445][5]~61118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2445][5]~61119\ : std_logic;
SIGNAL \led_flash_cnt[2445][6]~61120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2445][6]~61121\ : std_logic;
SIGNAL \led_flash_cnt[2445][7]~61122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2445][7]~q\ : std_logic;
SIGNAL \WideAnd2445~1_combout\ : std_logic;
SIGNAL \WideAnd2445~0_combout\ : std_logic;
SIGNAL \WideAnd2445~combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][0]~83084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2444][1]~61096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2444][1]~61097\ : std_logic;
SIGNAL \led_flash_cnt[2444][2]~61098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2444][2]~61099\ : std_logic;
SIGNAL \led_flash_cnt[2444][3]~61100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2444][3]~61101\ : std_logic;
SIGNAL \led_flash_cnt[2444][4]~61102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2444][4]~61103\ : std_logic;
SIGNAL \led_flash_cnt[2444][5]~61104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2444][5]~61105\ : std_logic;
SIGNAL \led_flash_cnt[2444][6]~61106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2444][6]~61107\ : std_logic;
SIGNAL \led_flash_cnt[2444][7]~61108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2444][7]~q\ : std_logic;
SIGNAL \WideAnd2444~1_combout\ : std_logic;
SIGNAL \WideAnd2444~0_combout\ : std_logic;
SIGNAL \WideAnd2444~combout\ : std_logic;
SIGNAL \WideAnd4145~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][0]~83082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2442][1]~61068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2442][1]~61069\ : std_logic;
SIGNAL \led_flash_cnt[2442][2]~61070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2442][2]~61071\ : std_logic;
SIGNAL \led_flash_cnt[2442][3]~61072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2442][3]~61073\ : std_logic;
SIGNAL \led_flash_cnt[2442][4]~61074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2442][4]~61075\ : std_logic;
SIGNAL \led_flash_cnt[2442][5]~61076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2442][5]~61077\ : std_logic;
SIGNAL \led_flash_cnt[2442][6]~61078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][6]~q\ : std_logic;
SIGNAL \WideAnd2442~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][6]~61079\ : std_logic;
SIGNAL \led_flash_cnt[2442][7]~61080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2442][7]~q\ : std_logic;
SIGNAL \WideAnd2442~0_combout\ : std_logic;
SIGNAL \WideAnd2442~combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][0]~83081_combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2441][1]~61054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2441][1]~61055\ : std_logic;
SIGNAL \led_flash_cnt[2441][2]~61056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2441][2]~61057\ : std_logic;
SIGNAL \led_flash_cnt[2441][3]~61058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2441][3]~61059\ : std_logic;
SIGNAL \led_flash_cnt[2441][4]~61060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2441][4]~61061\ : std_logic;
SIGNAL \led_flash_cnt[2441][5]~61062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2441][5]~61063\ : std_logic;
SIGNAL \led_flash_cnt[2441][6]~61064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2441][6]~61065\ : std_logic;
SIGNAL \led_flash_cnt[2441][7]~61066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2441][7]~q\ : std_logic;
SIGNAL \WideAnd2441~0_combout\ : std_logic;
SIGNAL \WideAnd2441~1_combout\ : std_logic;
SIGNAL \WideAnd2441~combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][0]~83083_combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2443][1]~61082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2443][1]~61083\ : std_logic;
SIGNAL \led_flash_cnt[2443][2]~61084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2443][2]~61085\ : std_logic;
SIGNAL \led_flash_cnt[2443][3]~61086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2443][3]~61087\ : std_logic;
SIGNAL \led_flash_cnt[2443][4]~61088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2443][4]~61089\ : std_logic;
SIGNAL \led_flash_cnt[2443][5]~61090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2443][5]~61091\ : std_logic;
SIGNAL \led_flash_cnt[2443][6]~61092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2443][6]~61093\ : std_logic;
SIGNAL \led_flash_cnt[2443][7]~61094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2443][7]~q\ : std_logic;
SIGNAL \WideAnd2443~0_combout\ : std_logic;
SIGNAL \WideAnd2443~1_combout\ : std_logic;
SIGNAL \WideAnd2443~combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][0]~83080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2440][1]~61040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2440][1]~61041\ : std_logic;
SIGNAL \led_flash_cnt[2440][2]~61042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2440][2]~61043\ : std_logic;
SIGNAL \led_flash_cnt[2440][3]~61044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2440][3]~61045\ : std_logic;
SIGNAL \led_flash_cnt[2440][4]~61046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][4]~q\ : std_logic;
SIGNAL \WideAnd2440~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][4]~61047\ : std_logic;
SIGNAL \led_flash_cnt[2440][5]~61048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2440][5]~61049\ : std_logic;
SIGNAL \led_flash_cnt[2440][6]~61050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][6]~q\ : std_logic;
SIGNAL \WideAnd2440~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][6]~61051\ : std_logic;
SIGNAL \led_flash_cnt[2440][7]~61052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2440][7]~q\ : std_logic;
SIGNAL \WideAnd2440~combout\ : std_logic;
SIGNAL \WideAnd4145~0_combout\ : std_logic;
SIGNAL \WideAnd4145~combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][0]~83092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2452][1]~61208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2452][1]~61209\ : std_logic;
SIGNAL \led_flash_cnt[2452][2]~61210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2452][2]~61211\ : std_logic;
SIGNAL \led_flash_cnt[2452][3]~61212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2452][3]~61213\ : std_logic;
SIGNAL \led_flash_cnt[2452][4]~61214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2452][4]~61215\ : std_logic;
SIGNAL \led_flash_cnt[2452][5]~61216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2452][5]~61217\ : std_logic;
SIGNAL \led_flash_cnt[2452][6]~61218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2452][6]~61219\ : std_logic;
SIGNAL \led_flash_cnt[2452][7]~61220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2452][7]~q\ : std_logic;
SIGNAL \WideAnd2452~1_combout\ : std_logic;
SIGNAL \WideAnd2452~0_combout\ : std_logic;
SIGNAL \WideAnd2452~combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][0]~83093_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2453][1]~61222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2453][1]~61223\ : std_logic;
SIGNAL \led_flash_cnt[2453][2]~61224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2453][2]~61225\ : std_logic;
SIGNAL \led_flash_cnt[2453][3]~61226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2453][3]~61227\ : std_logic;
SIGNAL \led_flash_cnt[2453][4]~61228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2453][4]~61229\ : std_logic;
SIGNAL \led_flash_cnt[2453][5]~61230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2453][5]~61231\ : std_logic;
SIGNAL \led_flash_cnt[2453][6]~61232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][6]~q\ : std_logic;
SIGNAL \WideAnd2453~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][6]~61233\ : std_logic;
SIGNAL \led_flash_cnt[2453][7]~61234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2453][7]~q\ : std_logic;
SIGNAL \WideAnd2453~0_combout\ : std_logic;
SIGNAL \WideAnd2453~combout\ : std_logic;
SIGNAL \WideAnd4146~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][0]~83094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2454][1]~61236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2454][1]~61237\ : std_logic;
SIGNAL \led_flash_cnt[2454][2]~61238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2454][2]~61239\ : std_logic;
SIGNAL \led_flash_cnt[2454][3]~61240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2454][3]~61241\ : std_logic;
SIGNAL \led_flash_cnt[2454][4]~61242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2454][4]~61243\ : std_logic;
SIGNAL \led_flash_cnt[2454][5]~61244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2454][5]~61245\ : std_logic;
SIGNAL \led_flash_cnt[2454][6]~61246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2454][6]~61247\ : std_logic;
SIGNAL \led_flash_cnt[2454][7]~61248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2454][7]~q\ : std_logic;
SIGNAL \WideAnd2454~1_combout\ : std_logic;
SIGNAL \WideAnd2454~0_combout\ : std_logic;
SIGNAL \WideAnd2454~combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][0]~83095_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2455][1]~61250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2455][1]~61251\ : std_logic;
SIGNAL \led_flash_cnt[2455][2]~61252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2455][2]~61253\ : std_logic;
SIGNAL \led_flash_cnt[2455][3]~61254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2455][3]~61255\ : std_logic;
SIGNAL \led_flash_cnt[2455][4]~61256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][4]~q\ : std_logic;
SIGNAL \WideAnd2455~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][4]~61257\ : std_logic;
SIGNAL \led_flash_cnt[2455][5]~61258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2455][5]~61259\ : std_logic;
SIGNAL \led_flash_cnt[2455][6]~61260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][6]~q\ : std_logic;
SIGNAL \WideAnd2455~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][6]~61261\ : std_logic;
SIGNAL \led_flash_cnt[2455][7]~61262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2455][7]~q\ : std_logic;
SIGNAL \WideAnd2455~combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][0]~83091_combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2451][1]~61194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2451][1]~61195\ : std_logic;
SIGNAL \led_flash_cnt[2451][2]~61196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2451][2]~61197\ : std_logic;
SIGNAL \led_flash_cnt[2451][3]~61198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2451][3]~61199\ : std_logic;
SIGNAL \led_flash_cnt[2451][4]~61200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2451][4]~61201\ : std_logic;
SIGNAL \led_flash_cnt[2451][5]~61202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2451][5]~61203\ : std_logic;
SIGNAL \led_flash_cnt[2451][6]~61204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2451][6]~61205\ : std_logic;
SIGNAL \led_flash_cnt[2451][7]~61206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2451][7]~q\ : std_logic;
SIGNAL \WideAnd2451~1_combout\ : std_logic;
SIGNAL \WideAnd2451~0_combout\ : std_logic;
SIGNAL \WideAnd2451~combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][0]~83089_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2449][1]~61166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2449][1]~61167\ : std_logic;
SIGNAL \led_flash_cnt[2449][2]~61168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2449][2]~61169\ : std_logic;
SIGNAL \led_flash_cnt[2449][3]~61170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2449][3]~61171\ : std_logic;
SIGNAL \led_flash_cnt[2449][4]~61172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][4]~q\ : std_logic;
SIGNAL \WideAnd2449~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][4]~61173\ : std_logic;
SIGNAL \led_flash_cnt[2449][5]~61174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2449][5]~61175\ : std_logic;
SIGNAL \led_flash_cnt[2449][6]~61176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2449][6]~61177\ : std_logic;
SIGNAL \led_flash_cnt[2449][7]~61178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2449][7]~q\ : std_logic;
SIGNAL \WideAnd2449~1_combout\ : std_logic;
SIGNAL \WideAnd2449~combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][0]~83090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2450][1]~61180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2450][1]~61181\ : std_logic;
SIGNAL \led_flash_cnt[2450][2]~61182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2450][2]~61183\ : std_logic;
SIGNAL \led_flash_cnt[2450][3]~61184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2450][3]~61185\ : std_logic;
SIGNAL \led_flash_cnt[2450][4]~61186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2450][4]~61187\ : std_logic;
SIGNAL \led_flash_cnt[2450][5]~61188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2450][5]~61189\ : std_logic;
SIGNAL \led_flash_cnt[2450][6]~61190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][6]~q\ : std_logic;
SIGNAL \WideAnd2450~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][6]~61191\ : std_logic;
SIGNAL \led_flash_cnt[2450][7]~61192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2450][7]~q\ : std_logic;
SIGNAL \WideAnd2450~0_combout\ : std_logic;
SIGNAL \WideAnd2450~combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][0]~83088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2448][1]~61152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2448][1]~61153\ : std_logic;
SIGNAL \led_flash_cnt[2448][2]~61154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2448][2]~61155\ : std_logic;
SIGNAL \led_flash_cnt[2448][3]~61156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2448][3]~61157\ : std_logic;
SIGNAL \led_flash_cnt[2448][4]~61158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2448][4]~61159\ : std_logic;
SIGNAL \led_flash_cnt[2448][5]~61160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2448][5]~61161\ : std_logic;
SIGNAL \led_flash_cnt[2448][6]~61162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][6]~q\ : std_logic;
SIGNAL \WideAnd2448~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][6]~61163\ : std_logic;
SIGNAL \led_flash_cnt[2448][7]~61164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2448][7]~q\ : std_logic;
SIGNAL \WideAnd2448~0_combout\ : std_logic;
SIGNAL \WideAnd2448~combout\ : std_logic;
SIGNAL \WideAnd4146~0_combout\ : std_logic;
SIGNAL \WideAnd4146~combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][0]~83101_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2461][1]~61334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2461][1]~61335\ : std_logic;
SIGNAL \led_flash_cnt[2461][2]~61336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2461][2]~61337\ : std_logic;
SIGNAL \led_flash_cnt[2461][3]~61338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2461][3]~61339\ : std_logic;
SIGNAL \led_flash_cnt[2461][4]~61340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2461][4]~61341\ : std_logic;
SIGNAL \led_flash_cnt[2461][5]~61342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2461][5]~61343\ : std_logic;
SIGNAL \led_flash_cnt[2461][6]~61344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][6]~q\ : std_logic;
SIGNAL \WideAnd2461~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][6]~61345\ : std_logic;
SIGNAL \led_flash_cnt[2461][7]~61346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2461][7]~q\ : std_logic;
SIGNAL \WideAnd2461~0_combout\ : std_logic;
SIGNAL \WideAnd2461~combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][0]~83100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2460][1]~61320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2460][1]~61321\ : std_logic;
SIGNAL \led_flash_cnt[2460][2]~61322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2460][2]~61323\ : std_logic;
SIGNAL \led_flash_cnt[2460][3]~61324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2460][3]~61325\ : std_logic;
SIGNAL \led_flash_cnt[2460][4]~61326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2460][4]~61327\ : std_logic;
SIGNAL \led_flash_cnt[2460][5]~61328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2460][5]~61329\ : std_logic;
SIGNAL \led_flash_cnt[2460][6]~61330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][6]~q\ : std_logic;
SIGNAL \WideAnd2460~1_combout\ : std_logic;
SIGNAL \WideAnd2460~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][6]~61331\ : std_logic;
SIGNAL \led_flash_cnt[2460][7]~61332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2460][7]~q\ : std_logic;
SIGNAL \WideAnd2460~combout\ : std_logic;
SIGNAL \WideAnd4147~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][0]~83103_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2463][1]~61362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2463][1]~61363\ : std_logic;
SIGNAL \led_flash_cnt[2463][2]~61364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2463][2]~61365\ : std_logic;
SIGNAL \led_flash_cnt[2463][3]~61366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2463][3]~61367\ : std_logic;
SIGNAL \led_flash_cnt[2463][4]~61368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2463][4]~61369\ : std_logic;
SIGNAL \led_flash_cnt[2463][5]~61370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2463][5]~61371\ : std_logic;
SIGNAL \led_flash_cnt[2463][6]~61372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][6]~q\ : std_logic;
SIGNAL \WideAnd2463~1_combout\ : std_logic;
SIGNAL \WideAnd2463~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][6]~61373\ : std_logic;
SIGNAL \led_flash_cnt[2463][7]~61374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2463][7]~q\ : std_logic;
SIGNAL \WideAnd2463~combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][0]~83102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2462][1]~61348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2462][1]~61349\ : std_logic;
SIGNAL \led_flash_cnt[2462][2]~61350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2462][2]~61351\ : std_logic;
SIGNAL \led_flash_cnt[2462][3]~61352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2462][3]~61353\ : std_logic;
SIGNAL \led_flash_cnt[2462][4]~61354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2462][4]~61355\ : std_logic;
SIGNAL \led_flash_cnt[2462][5]~61356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2462][5]~61357\ : std_logic;
SIGNAL \led_flash_cnt[2462][6]~61358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][6]~q\ : std_logic;
SIGNAL \WideAnd2462~1_combout\ : std_logic;
SIGNAL \WideAnd2462~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][6]~61359\ : std_logic;
SIGNAL \led_flash_cnt[2462][7]~61360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2462][7]~q\ : std_logic;
SIGNAL \WideAnd2462~combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][0]~83098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2458][1]~61292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2458][1]~61293\ : std_logic;
SIGNAL \led_flash_cnt[2458][2]~61294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2458][2]~61295\ : std_logic;
SIGNAL \led_flash_cnt[2458][3]~61296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2458][3]~61297\ : std_logic;
SIGNAL \led_flash_cnt[2458][4]~61298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2458][4]~61299\ : std_logic;
SIGNAL \led_flash_cnt[2458][5]~61300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2458][5]~61301\ : std_logic;
SIGNAL \led_flash_cnt[2458][6]~61302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][6]~q\ : std_logic;
SIGNAL \WideAnd2458~1_combout\ : std_logic;
SIGNAL \WideAnd2458~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][6]~61303\ : std_logic;
SIGNAL \led_flash_cnt[2458][7]~61304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2458][7]~q\ : std_logic;
SIGNAL \WideAnd2458~combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][0]~83099_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2459][1]~61306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2459][1]~61307\ : std_logic;
SIGNAL \led_flash_cnt[2459][2]~61308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2459][2]~61309\ : std_logic;
SIGNAL \led_flash_cnt[2459][3]~61310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2459][3]~61311\ : std_logic;
SIGNAL \led_flash_cnt[2459][4]~61312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][4]~q\ : std_logic;
SIGNAL \WideAnd2459~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][4]~61313\ : std_logic;
SIGNAL \led_flash_cnt[2459][5]~61314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2459][5]~61315\ : std_logic;
SIGNAL \led_flash_cnt[2459][6]~61316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][6]~q\ : std_logic;
SIGNAL \WideAnd2459~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][6]~61317\ : std_logic;
SIGNAL \led_flash_cnt[2459][7]~61318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2459][7]~q\ : std_logic;
SIGNAL \WideAnd2459~combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][0]~83096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2456][1]~61264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2456][1]~61265\ : std_logic;
SIGNAL \led_flash_cnt[2456][2]~61266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2456][2]~61267\ : std_logic;
SIGNAL \led_flash_cnt[2456][3]~61268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2456][3]~61269\ : std_logic;
SIGNAL \led_flash_cnt[2456][4]~61270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2456][4]~61271\ : std_logic;
SIGNAL \led_flash_cnt[2456][5]~61272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2456][5]~61273\ : std_logic;
SIGNAL \led_flash_cnt[2456][6]~61274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][6]~q\ : std_logic;
SIGNAL \WideAnd2456~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][6]~61275\ : std_logic;
SIGNAL \led_flash_cnt[2456][7]~61276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2456][7]~q\ : std_logic;
SIGNAL \WideAnd2456~0_combout\ : std_logic;
SIGNAL \WideAnd2456~combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][0]~83097_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2457][1]~61278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2457][1]~61279\ : std_logic;
SIGNAL \led_flash_cnt[2457][2]~61280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2457][2]~61281\ : std_logic;
SIGNAL \led_flash_cnt[2457][3]~61282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2457][3]~61283\ : std_logic;
SIGNAL \led_flash_cnt[2457][4]~61284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2457][4]~61285\ : std_logic;
SIGNAL \led_flash_cnt[2457][5]~61286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2457][5]~61287\ : std_logic;
SIGNAL \led_flash_cnt[2457][6]~61288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][6]~q\ : std_logic;
SIGNAL \WideAnd2457~1_combout\ : std_logic;
SIGNAL \WideAnd2457~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][6]~61289\ : std_logic;
SIGNAL \led_flash_cnt[2457][7]~61290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2457][7]~q\ : std_logic;
SIGNAL \WideAnd2457~combout\ : std_logic;
SIGNAL \WideAnd4147~0_combout\ : std_logic;
SIGNAL \WideAnd4147~combout\ : std_logic;
SIGNAL \WideAnd4358~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][0]~83127_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2487][1]~61698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2487][1]~61699\ : std_logic;
SIGNAL \led_flash_cnt[2487][2]~61700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2487][2]~61701\ : std_logic;
SIGNAL \led_flash_cnt[2487][3]~61702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2487][3]~61703\ : std_logic;
SIGNAL \led_flash_cnt[2487][4]~61704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2487][4]~61705\ : std_logic;
SIGNAL \led_flash_cnt[2487][5]~61706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2487][5]~61707\ : std_logic;
SIGNAL \led_flash_cnt[2487][6]~61708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][6]~q\ : std_logic;
SIGNAL \WideAnd2487~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][6]~61709\ : std_logic;
SIGNAL \led_flash_cnt[2487][7]~61710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2487][7]~q\ : std_logic;
SIGNAL \WideAnd2487~0_combout\ : std_logic;
SIGNAL \WideAnd2487~combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][0]~83126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2486][1]~61684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2486][1]~61685\ : std_logic;
SIGNAL \led_flash_cnt[2486][2]~61686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2486][2]~61687\ : std_logic;
SIGNAL \led_flash_cnt[2486][3]~61688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2486][3]~61689\ : std_logic;
SIGNAL \led_flash_cnt[2486][4]~61690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2486][4]~61691\ : std_logic;
SIGNAL \led_flash_cnt[2486][5]~61692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2486][5]~61693\ : std_logic;
SIGNAL \led_flash_cnt[2486][6]~61694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][6]~q\ : std_logic;
SIGNAL \WideAnd2486~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][6]~61695\ : std_logic;
SIGNAL \led_flash_cnt[2486][7]~61696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2486][7]~q\ : std_logic;
SIGNAL \WideAnd2486~0_combout\ : std_logic;
SIGNAL \WideAnd2486~combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][0]~83124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2484][1]~61656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2484][1]~61657\ : std_logic;
SIGNAL \led_flash_cnt[2484][2]~61658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2484][2]~61659\ : std_logic;
SIGNAL \led_flash_cnt[2484][3]~61660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2484][3]~61661\ : std_logic;
SIGNAL \led_flash_cnt[2484][4]~61662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2484][4]~61663\ : std_logic;
SIGNAL \led_flash_cnt[2484][5]~61664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2484][5]~61665\ : std_logic;
SIGNAL \led_flash_cnt[2484][6]~61666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2484][6]~61667\ : std_logic;
SIGNAL \led_flash_cnt[2484][7]~61668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2484][7]~q\ : std_logic;
SIGNAL \WideAnd2484~0_combout\ : std_logic;
SIGNAL \WideAnd2484~1_combout\ : std_logic;
SIGNAL \WideAnd2484~combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][0]~83125_combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2485][1]~61670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2485][1]~61671\ : std_logic;
SIGNAL \led_flash_cnt[2485][2]~61672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2485][2]~61673\ : std_logic;
SIGNAL \led_flash_cnt[2485][3]~61674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2485][3]~61675\ : std_logic;
SIGNAL \led_flash_cnt[2485][4]~61676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2485][4]~61677\ : std_logic;
SIGNAL \led_flash_cnt[2485][5]~61678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2485][5]~61679\ : std_logic;
SIGNAL \led_flash_cnt[2485][6]~61680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2485][6]~61681\ : std_logic;
SIGNAL \led_flash_cnt[2485][7]~61682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2485][7]~q\ : std_logic;
SIGNAL \WideAnd2485~1_combout\ : std_logic;
SIGNAL \WideAnd2485~0_combout\ : std_logic;
SIGNAL \WideAnd2485~combout\ : std_logic;
SIGNAL \WideAnd4150~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][0]~83122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2482][1]~61628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2482][1]~61629\ : std_logic;
SIGNAL \led_flash_cnt[2482][2]~61630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2482][2]~61631\ : std_logic;
SIGNAL \led_flash_cnt[2482][3]~61632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2482][3]~61633\ : std_logic;
SIGNAL \led_flash_cnt[2482][4]~61634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2482][4]~61635\ : std_logic;
SIGNAL \led_flash_cnt[2482][5]~61636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2482][5]~61637\ : std_logic;
SIGNAL \led_flash_cnt[2482][6]~61638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2482][6]~61639\ : std_logic;
SIGNAL \led_flash_cnt[2482][7]~61640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2482][7]~q\ : std_logic;
SIGNAL \WideAnd2482~0_combout\ : std_logic;
SIGNAL \WideAnd2482~1_combout\ : std_logic;
SIGNAL \WideAnd2482~combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][0]~83121_combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2481][1]~61614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2481][1]~61615\ : std_logic;
SIGNAL \led_flash_cnt[2481][2]~61616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2481][2]~61617\ : std_logic;
SIGNAL \led_flash_cnt[2481][3]~61618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2481][3]~61619\ : std_logic;
SIGNAL \led_flash_cnt[2481][4]~61620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2481][4]~61621\ : std_logic;
SIGNAL \led_flash_cnt[2481][5]~61622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2481][5]~61623\ : std_logic;
SIGNAL \led_flash_cnt[2481][6]~61624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2481][6]~61625\ : std_logic;
SIGNAL \led_flash_cnt[2481][7]~61626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2481][7]~q\ : std_logic;
SIGNAL \WideAnd2481~0_combout\ : std_logic;
SIGNAL \WideAnd2481~1_combout\ : std_logic;
SIGNAL \WideAnd2481~combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][0]~83123_combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2483][1]~61642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2483][1]~61643\ : std_logic;
SIGNAL \led_flash_cnt[2483][2]~61644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2483][2]~61645\ : std_logic;
SIGNAL \led_flash_cnt[2483][3]~61646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2483][3]~61647\ : std_logic;
SIGNAL \led_flash_cnt[2483][4]~61648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2483][4]~61649\ : std_logic;
SIGNAL \led_flash_cnt[2483][5]~61650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2483][5]~61651\ : std_logic;
SIGNAL \led_flash_cnt[2483][6]~61652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2483][6]~61653\ : std_logic;
SIGNAL \led_flash_cnt[2483][7]~61654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2483][7]~q\ : std_logic;
SIGNAL \WideAnd2483~0_combout\ : std_logic;
SIGNAL \WideAnd2483~1_combout\ : std_logic;
SIGNAL \WideAnd2483~combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][0]~83120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2480][1]~61600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2480][1]~61601\ : std_logic;
SIGNAL \led_flash_cnt[2480][2]~61602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2480][2]~61603\ : std_logic;
SIGNAL \led_flash_cnt[2480][3]~61604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2480][3]~61605\ : std_logic;
SIGNAL \led_flash_cnt[2480][4]~61606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2480][4]~61607\ : std_logic;
SIGNAL \led_flash_cnt[2480][5]~61608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2480][5]~61609\ : std_logic;
SIGNAL \led_flash_cnt[2480][6]~61610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2480][6]~61611\ : std_logic;
SIGNAL \led_flash_cnt[2480][7]~61612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2480][7]~q\ : std_logic;
SIGNAL \WideAnd2480~1_combout\ : std_logic;
SIGNAL \WideAnd2480~0_combout\ : std_logic;
SIGNAL \WideAnd2480~combout\ : std_logic;
SIGNAL \WideAnd4150~0_combout\ : std_logic;
SIGNAL \WideAnd4150~combout\ : std_logic;
SIGNAL \WideAnd4358~combout\ : std_logic;
SIGNAL \WideAnd4380~11_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][0]~83262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2622][1]~63588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2622][1]~63589\ : std_logic;
SIGNAL \led_flash_cnt[2622][2]~63590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2622][2]~63591\ : std_logic;
SIGNAL \led_flash_cnt[2622][3]~63592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2622][3]~63593\ : std_logic;
SIGNAL \led_flash_cnt[2622][4]~63594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2622][4]~63595\ : std_logic;
SIGNAL \led_flash_cnt[2622][5]~63596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2622][5]~63597\ : std_logic;
SIGNAL \led_flash_cnt[2622][6]~63598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2622][6]~63599\ : std_logic;
SIGNAL \led_flash_cnt[2622][7]~63600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2622][7]~q\ : std_logic;
SIGNAL \WideAnd2622~1_combout\ : std_logic;
SIGNAL \WideAnd2622~0_combout\ : std_logic;
SIGNAL \WideAnd2622~combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][0]~83258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2618][1]~63532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2618][1]~63533\ : std_logic;
SIGNAL \led_flash_cnt[2618][2]~63534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2618][2]~63535\ : std_logic;
SIGNAL \led_flash_cnt[2618][3]~63536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2618][3]~63537\ : std_logic;
SIGNAL \led_flash_cnt[2618][4]~63538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2618][4]~63539\ : std_logic;
SIGNAL \led_flash_cnt[2618][5]~63540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2618][5]~63541\ : std_logic;
SIGNAL \led_flash_cnt[2618][6]~63542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][6]~q\ : std_logic;
SIGNAL \WideAnd2618~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][6]~63543\ : std_logic;
SIGNAL \led_flash_cnt[2618][7]~63544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2618][7]~q\ : std_logic;
SIGNAL \WideAnd2618~0_combout\ : std_logic;
SIGNAL \WideAnd2618~combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][0]~83257_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2617][1]~63518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2617][1]~63519\ : std_logic;
SIGNAL \led_flash_cnt[2617][2]~63520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2617][2]~63521\ : std_logic;
SIGNAL \led_flash_cnt[2617][3]~63522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2617][3]~63523\ : std_logic;
SIGNAL \led_flash_cnt[2617][4]~63524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2617][4]~63525\ : std_logic;
SIGNAL \led_flash_cnt[2617][5]~63526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2617][5]~63527\ : std_logic;
SIGNAL \led_flash_cnt[2617][6]~63528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][6]~q\ : std_logic;
SIGNAL \WideAnd2617~1_combout\ : std_logic;
SIGNAL \WideAnd2617~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][6]~63529\ : std_logic;
SIGNAL \led_flash_cnt[2617][7]~63530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2617][7]~q\ : std_logic;
SIGNAL \WideAnd2617~combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][0]~83259_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2619][1]~63546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2619][1]~63547\ : std_logic;
SIGNAL \led_flash_cnt[2619][2]~63548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2619][2]~63549\ : std_logic;
SIGNAL \led_flash_cnt[2619][3]~63550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2619][3]~63551\ : std_logic;
SIGNAL \led_flash_cnt[2619][4]~63552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][4]~q\ : std_logic;
SIGNAL \WideAnd2619~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][4]~63553\ : std_logic;
SIGNAL \led_flash_cnt[2619][5]~63554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2619][5]~63555\ : std_logic;
SIGNAL \led_flash_cnt[2619][6]~63556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][6]~q\ : std_logic;
SIGNAL \WideAnd2619~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][6]~63557\ : std_logic;
SIGNAL \led_flash_cnt[2619][7]~63558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2619][7]~q\ : std_logic;
SIGNAL \WideAnd2619~combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][0]~83256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2616][1]~63504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2616][1]~63505\ : std_logic;
SIGNAL \led_flash_cnt[2616][2]~63506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2616][2]~63507\ : std_logic;
SIGNAL \led_flash_cnt[2616][3]~63508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2616][3]~63509\ : std_logic;
SIGNAL \led_flash_cnt[2616][4]~63510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2616][4]~63511\ : std_logic;
SIGNAL \led_flash_cnt[2616][5]~63512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2616][5]~63513\ : std_logic;
SIGNAL \led_flash_cnt[2616][6]~63514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][6]~q\ : std_logic;
SIGNAL \WideAnd2616~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][6]~63515\ : std_logic;
SIGNAL \led_flash_cnt[2616][7]~63516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2616][7]~q\ : std_logic;
SIGNAL \WideAnd2616~0_combout\ : std_logic;
SIGNAL \WideAnd2616~combout\ : std_logic;
SIGNAL \WideAnd4167~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][0]~83261_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2621][1]~63574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2621][1]~63575\ : std_logic;
SIGNAL \led_flash_cnt[2621][2]~63576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2621][2]~63577\ : std_logic;
SIGNAL \led_flash_cnt[2621][3]~63578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2621][3]~63579\ : std_logic;
SIGNAL \led_flash_cnt[2621][4]~63580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2621][4]~63581\ : std_logic;
SIGNAL \led_flash_cnt[2621][5]~63582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2621][5]~63583\ : std_logic;
SIGNAL \led_flash_cnt[2621][6]~63584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][6]~q\ : std_logic;
SIGNAL \WideAnd2621~1_combout\ : std_logic;
SIGNAL \WideAnd2621~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][6]~63585\ : std_logic;
SIGNAL \led_flash_cnt[2621][7]~63586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2621][7]~q\ : std_logic;
SIGNAL \WideAnd2621~combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][0]~83260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2620][1]~63560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2620][1]~63561\ : std_logic;
SIGNAL \led_flash_cnt[2620][2]~63562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2620][2]~63563\ : std_logic;
SIGNAL \led_flash_cnt[2620][3]~63564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2620][3]~63565\ : std_logic;
SIGNAL \led_flash_cnt[2620][4]~63566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][4]~q\ : std_logic;
SIGNAL \WideAnd2620~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][4]~63567\ : std_logic;
SIGNAL \led_flash_cnt[2620][5]~63568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2620][5]~63569\ : std_logic;
SIGNAL \led_flash_cnt[2620][6]~63570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2620][6]~63571\ : std_logic;
SIGNAL \led_flash_cnt[2620][7]~63572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2620][7]~q\ : std_logic;
SIGNAL \WideAnd2620~1_combout\ : std_logic;
SIGNAL \WideAnd2620~combout\ : std_logic;
SIGNAL \WideAnd4167~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][0]~83263_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2623][1]~63602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2623][1]~63603\ : std_logic;
SIGNAL \led_flash_cnt[2623][2]~63604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2623][2]~63605\ : std_logic;
SIGNAL \led_flash_cnt[2623][3]~63606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2623][3]~63607\ : std_logic;
SIGNAL \led_flash_cnt[2623][4]~63608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][4]~q\ : std_logic;
SIGNAL \WideAnd2623~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][4]~63609\ : std_logic;
SIGNAL \led_flash_cnt[2623][5]~63610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2623][5]~63611\ : std_logic;
SIGNAL \led_flash_cnt[2623][6]~63612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][6]~q\ : std_logic;
SIGNAL \WideAnd2623~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][6]~63613\ : std_logic;
SIGNAL \led_flash_cnt[2623][7]~63614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2623][7]~q\ : std_logic;
SIGNAL \WideAnd2623~combout\ : std_logic;
SIGNAL \WideAnd4167~combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][0]~83255_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2615][1]~63490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2615][1]~63491\ : std_logic;
SIGNAL \led_flash_cnt[2615][2]~63492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2615][2]~63493\ : std_logic;
SIGNAL \led_flash_cnt[2615][3]~63494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2615][3]~63495\ : std_logic;
SIGNAL \led_flash_cnt[2615][4]~63496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][4]~q\ : std_logic;
SIGNAL \WideAnd2615~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][4]~63497\ : std_logic;
SIGNAL \led_flash_cnt[2615][5]~63498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2615][5]~63499\ : std_logic;
SIGNAL \led_flash_cnt[2615][6]~63500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2615][6]~63501\ : std_logic;
SIGNAL \led_flash_cnt[2615][7]~63502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2615][7]~q\ : std_logic;
SIGNAL \WideAnd2615~1_combout\ : std_logic;
SIGNAL \WideAnd2615~combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][0]~83253_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2613][1]~63462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2613][1]~63463\ : std_logic;
SIGNAL \led_flash_cnt[2613][2]~63464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2613][2]~63465\ : std_logic;
SIGNAL \led_flash_cnt[2613][3]~63466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2613][3]~63467\ : std_logic;
SIGNAL \led_flash_cnt[2613][4]~63468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2613][4]~63469\ : std_logic;
SIGNAL \led_flash_cnt[2613][5]~63470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2613][5]~63471\ : std_logic;
SIGNAL \led_flash_cnt[2613][6]~63472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][6]~q\ : std_logic;
SIGNAL \WideAnd2613~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][6]~63473\ : std_logic;
SIGNAL \led_flash_cnt[2613][7]~63474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2613][7]~q\ : std_logic;
SIGNAL \WideAnd2613~0_combout\ : std_logic;
SIGNAL \WideAnd2613~combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][0]~83252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2612][1]~63448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2612][1]~63449\ : std_logic;
SIGNAL \led_flash_cnt[2612][2]~63450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2612][2]~63451\ : std_logic;
SIGNAL \led_flash_cnt[2612][3]~63452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2612][3]~63453\ : std_logic;
SIGNAL \led_flash_cnt[2612][4]~63454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2612][4]~63455\ : std_logic;
SIGNAL \led_flash_cnt[2612][5]~63456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2612][5]~63457\ : std_logic;
SIGNAL \led_flash_cnt[2612][6]~63458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][6]~q\ : std_logic;
SIGNAL \WideAnd2612~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][6]~63459\ : std_logic;
SIGNAL \led_flash_cnt[2612][7]~63460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2612][7]~q\ : std_logic;
SIGNAL \WideAnd2612~0_combout\ : std_logic;
SIGNAL \WideAnd2612~combout\ : std_logic;
SIGNAL \WideAnd4166~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][0]~83254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2614][1]~63476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2614][1]~63477\ : std_logic;
SIGNAL \led_flash_cnt[2614][2]~63478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2614][2]~63479\ : std_logic;
SIGNAL \led_flash_cnt[2614][3]~63480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2614][3]~63481\ : std_logic;
SIGNAL \led_flash_cnt[2614][4]~63482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2614][4]~63483\ : std_logic;
SIGNAL \led_flash_cnt[2614][5]~63484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2614][5]~63485\ : std_logic;
SIGNAL \led_flash_cnt[2614][6]~63486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][6]~q\ : std_logic;
SIGNAL \WideAnd2614~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][6]~63487\ : std_logic;
SIGNAL \led_flash_cnt[2614][7]~63488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2614][7]~q\ : std_logic;
SIGNAL \WideAnd2614~0_combout\ : std_logic;
SIGNAL \WideAnd2614~combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][0]~83251_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2611][1]~63434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2611][1]~63435\ : std_logic;
SIGNAL \led_flash_cnt[2611][2]~63436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2611][2]~63437\ : std_logic;
SIGNAL \led_flash_cnt[2611][3]~63438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2611][3]~63439\ : std_logic;
SIGNAL \led_flash_cnt[2611][4]~63440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2611][4]~63441\ : std_logic;
SIGNAL \led_flash_cnt[2611][5]~63442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2611][5]~63443\ : std_logic;
SIGNAL \led_flash_cnt[2611][6]~63444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][6]~q\ : std_logic;
SIGNAL \WideAnd2611~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][6]~63445\ : std_logic;
SIGNAL \led_flash_cnt[2611][7]~63446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2611][7]~q\ : std_logic;
SIGNAL \WideAnd2611~0_combout\ : std_logic;
SIGNAL \WideAnd2611~combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][0]~83250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2610][1]~63420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2610][1]~63421\ : std_logic;
SIGNAL \led_flash_cnt[2610][2]~63422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2610][2]~63423\ : std_logic;
SIGNAL \led_flash_cnt[2610][3]~63424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2610][3]~63425\ : std_logic;
SIGNAL \led_flash_cnt[2610][4]~63426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2610][4]~63427\ : std_logic;
SIGNAL \led_flash_cnt[2610][5]~63428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2610][5]~63429\ : std_logic;
SIGNAL \led_flash_cnt[2610][6]~63430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][6]~q\ : std_logic;
SIGNAL \WideAnd2610~1_combout\ : std_logic;
SIGNAL \WideAnd2610~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][6]~63431\ : std_logic;
SIGNAL \led_flash_cnt[2610][7]~63432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2610][7]~q\ : std_logic;
SIGNAL \WideAnd2610~combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][0]~83248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2608][1]~63392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2608][1]~63393\ : std_logic;
SIGNAL \led_flash_cnt[2608][2]~63394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2608][2]~63395\ : std_logic;
SIGNAL \led_flash_cnt[2608][3]~63396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2608][3]~63397\ : std_logic;
SIGNAL \led_flash_cnt[2608][4]~63398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][4]~q\ : std_logic;
SIGNAL \WideAnd2608~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][4]~63399\ : std_logic;
SIGNAL \led_flash_cnt[2608][5]~63400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2608][5]~63401\ : std_logic;
SIGNAL \led_flash_cnt[2608][6]~63402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2608][6]~63403\ : std_logic;
SIGNAL \led_flash_cnt[2608][7]~63404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2608][7]~q\ : std_logic;
SIGNAL \WideAnd2608~1_combout\ : std_logic;
SIGNAL \WideAnd2608~combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][0]~83249_combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2609][1]~63406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2609][1]~63407\ : std_logic;
SIGNAL \led_flash_cnt[2609][2]~63408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2609][2]~63409\ : std_logic;
SIGNAL \led_flash_cnt[2609][3]~63410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2609][3]~63411\ : std_logic;
SIGNAL \led_flash_cnt[2609][4]~63412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2609][4]~63413\ : std_logic;
SIGNAL \led_flash_cnt[2609][5]~63414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2609][5]~63415\ : std_logic;
SIGNAL \led_flash_cnt[2609][6]~63416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2609][6]~63417\ : std_logic;
SIGNAL \led_flash_cnt[2609][7]~63418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2609][7]~q\ : std_logic;
SIGNAL \WideAnd2609~0_combout\ : std_logic;
SIGNAL \WideAnd2609~1_combout\ : std_logic;
SIGNAL \WideAnd2609~combout\ : std_logic;
SIGNAL \WideAnd4166~0_combout\ : std_logic;
SIGNAL \WideAnd4166~combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][0]~83245_combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2605][1]~63350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2605][1]~63351\ : std_logic;
SIGNAL \led_flash_cnt[2605][2]~63352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2605][2]~63353\ : std_logic;
SIGNAL \led_flash_cnt[2605][3]~63354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2605][3]~63355\ : std_logic;
SIGNAL \led_flash_cnt[2605][4]~63356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2605][4]~63357\ : std_logic;
SIGNAL \led_flash_cnt[2605][5]~63358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2605][5]~63359\ : std_logic;
SIGNAL \led_flash_cnt[2605][6]~63360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2605][6]~63361\ : std_logic;
SIGNAL \led_flash_cnt[2605][7]~63362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2605][7]~q\ : std_logic;
SIGNAL \WideAnd2605~0_combout\ : std_logic;
SIGNAL \WideAnd2605~1_combout\ : std_logic;
SIGNAL \WideAnd2605~combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][0]~83244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2604][1]~63336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2604][1]~63337\ : std_logic;
SIGNAL \led_flash_cnt[2604][2]~63338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2604][2]~63339\ : std_logic;
SIGNAL \led_flash_cnt[2604][3]~63340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2604][3]~63341\ : std_logic;
SIGNAL \led_flash_cnt[2604][4]~63342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2604][4]~63343\ : std_logic;
SIGNAL \led_flash_cnt[2604][5]~63344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2604][5]~63345\ : std_logic;
SIGNAL \led_flash_cnt[2604][6]~63346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][6]~q\ : std_logic;
SIGNAL \WideAnd2604~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][6]~63347\ : std_logic;
SIGNAL \led_flash_cnt[2604][7]~63348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2604][7]~q\ : std_logic;
SIGNAL \WideAnd2604~0_combout\ : std_logic;
SIGNAL \WideAnd2604~combout\ : std_logic;
SIGNAL \WideAnd4165~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][0]~83246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2606][1]~63364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2606][1]~63365\ : std_logic;
SIGNAL \led_flash_cnt[2606][2]~63366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2606][2]~63367\ : std_logic;
SIGNAL \led_flash_cnt[2606][3]~63368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2606][3]~63369\ : std_logic;
SIGNAL \led_flash_cnt[2606][4]~63370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2606][4]~63371\ : std_logic;
SIGNAL \led_flash_cnt[2606][5]~63372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2606][5]~63373\ : std_logic;
SIGNAL \led_flash_cnt[2606][6]~63374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2606][6]~63375\ : std_logic;
SIGNAL \led_flash_cnt[2606][7]~63376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2606][7]~q\ : std_logic;
SIGNAL \WideAnd2606~1_combout\ : std_logic;
SIGNAL \WideAnd2606~0_combout\ : std_logic;
SIGNAL \WideAnd2606~combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][0]~83241_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2601][1]~63294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2601][1]~63295\ : std_logic;
SIGNAL \led_flash_cnt[2601][2]~63296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2601][2]~63297\ : std_logic;
SIGNAL \led_flash_cnt[2601][3]~63298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2601][3]~63299\ : std_logic;
SIGNAL \led_flash_cnt[2601][4]~63300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][4]~q\ : std_logic;
SIGNAL \WideAnd2601~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][4]~63301\ : std_logic;
SIGNAL \led_flash_cnt[2601][5]~63302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2601][5]~63303\ : std_logic;
SIGNAL \led_flash_cnt[2601][6]~63304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2601][6]~63305\ : std_logic;
SIGNAL \led_flash_cnt[2601][7]~63306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2601][7]~q\ : std_logic;
SIGNAL \WideAnd2601~1_combout\ : std_logic;
SIGNAL \WideAnd2601~combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][0]~83243_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2603][1]~63322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2603][1]~63323\ : std_logic;
SIGNAL \led_flash_cnt[2603][2]~63324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2603][2]~63325\ : std_logic;
SIGNAL \led_flash_cnt[2603][3]~63326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2603][3]~63327\ : std_logic;
SIGNAL \led_flash_cnt[2603][4]~63328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2603][4]~63329\ : std_logic;
SIGNAL \led_flash_cnt[2603][5]~63330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2603][5]~63331\ : std_logic;
SIGNAL \led_flash_cnt[2603][6]~63332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][6]~q\ : std_logic;
SIGNAL \WideAnd2603~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][6]~63333\ : std_logic;
SIGNAL \led_flash_cnt[2603][7]~63334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2603][7]~q\ : std_logic;
SIGNAL \WideAnd2603~0_combout\ : std_logic;
SIGNAL \WideAnd2603~combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][0]~83242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2602][1]~63308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2602][1]~63309\ : std_logic;
SIGNAL \led_flash_cnt[2602][2]~63310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2602][2]~63311\ : std_logic;
SIGNAL \led_flash_cnt[2602][3]~63312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2602][3]~63313\ : std_logic;
SIGNAL \led_flash_cnt[2602][4]~63314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][4]~q\ : std_logic;
SIGNAL \WideAnd2602~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][4]~63315\ : std_logic;
SIGNAL \led_flash_cnt[2602][5]~63316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2602][5]~63317\ : std_logic;
SIGNAL \led_flash_cnt[2602][6]~63318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2602][6]~63319\ : std_logic;
SIGNAL \led_flash_cnt[2602][7]~63320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2602][7]~q\ : std_logic;
SIGNAL \WideAnd2602~1_combout\ : std_logic;
SIGNAL \WideAnd2602~combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][0]~83240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2600][1]~63280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2600][1]~63281\ : std_logic;
SIGNAL \led_flash_cnt[2600][2]~63282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2600][2]~63283\ : std_logic;
SIGNAL \led_flash_cnt[2600][3]~63284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2600][3]~63285\ : std_logic;
SIGNAL \led_flash_cnt[2600][4]~63286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2600][4]~63287\ : std_logic;
SIGNAL \led_flash_cnt[2600][5]~63288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2600][5]~63289\ : std_logic;
SIGNAL \led_flash_cnt[2600][6]~63290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2600][6]~63291\ : std_logic;
SIGNAL \led_flash_cnt[2600][7]~63292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2600][7]~q\ : std_logic;
SIGNAL \WideAnd2600~1_combout\ : std_logic;
SIGNAL \WideAnd2600~0_combout\ : std_logic;
SIGNAL \WideAnd2600~combout\ : std_logic;
SIGNAL \WideAnd4165~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][0]~83247_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2607][1]~63378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2607][1]~63379\ : std_logic;
SIGNAL \led_flash_cnt[2607][2]~63380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2607][2]~63381\ : std_logic;
SIGNAL \led_flash_cnt[2607][3]~63382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2607][3]~63383\ : std_logic;
SIGNAL \led_flash_cnt[2607][4]~63384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][4]~q\ : std_logic;
SIGNAL \WideAnd2607~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][4]~63385\ : std_logic;
SIGNAL \led_flash_cnt[2607][5]~63386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2607][5]~63387\ : std_logic;
SIGNAL \led_flash_cnt[2607][6]~63388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2607][6]~63389\ : std_logic;
SIGNAL \led_flash_cnt[2607][7]~63390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2607][7]~q\ : std_logic;
SIGNAL \WideAnd2607~1_combout\ : std_logic;
SIGNAL \WideAnd2607~combout\ : std_logic;
SIGNAL \WideAnd4165~combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][0]~83232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2592][1]~63168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2592][1]~63169\ : std_logic;
SIGNAL \led_flash_cnt[2592][2]~63170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2592][2]~63171\ : std_logic;
SIGNAL \led_flash_cnt[2592][3]~63172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2592][3]~63173\ : std_logic;
SIGNAL \led_flash_cnt[2592][4]~63174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][4]~q\ : std_logic;
SIGNAL \WideAnd2592~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][4]~63175\ : std_logic;
SIGNAL \led_flash_cnt[2592][5]~63176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2592][5]~63177\ : std_logic;
SIGNAL \led_flash_cnt[2592][6]~63178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2592][6]~63179\ : std_logic;
SIGNAL \led_flash_cnt[2592][7]~63180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2592][7]~q\ : std_logic;
SIGNAL \WideAnd2592~1_combout\ : std_logic;
SIGNAL \WideAnd2592~combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][0]~83235_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2595][1]~63210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2595][1]~63211\ : std_logic;
SIGNAL \led_flash_cnt[2595][2]~63212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2595][2]~63213\ : std_logic;
SIGNAL \led_flash_cnt[2595][3]~63214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2595][3]~63215\ : std_logic;
SIGNAL \led_flash_cnt[2595][4]~63216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2595][4]~63217\ : std_logic;
SIGNAL \led_flash_cnt[2595][5]~63218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2595][5]~63219\ : std_logic;
SIGNAL \led_flash_cnt[2595][6]~63220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][6]~q\ : std_logic;
SIGNAL \WideAnd2595~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][6]~63221\ : std_logic;
SIGNAL \led_flash_cnt[2595][7]~63222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2595][7]~q\ : std_logic;
SIGNAL \WideAnd2595~0_combout\ : std_logic;
SIGNAL \WideAnd2595~combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][0]~83234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2594][1]~63196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2594][1]~63197\ : std_logic;
SIGNAL \led_flash_cnt[2594][2]~63198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2594][2]~63199\ : std_logic;
SIGNAL \led_flash_cnt[2594][3]~63200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2594][3]~63201\ : std_logic;
SIGNAL \led_flash_cnt[2594][4]~63202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][4]~q\ : std_logic;
SIGNAL \WideAnd2594~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][4]~63203\ : std_logic;
SIGNAL \led_flash_cnt[2594][5]~63204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2594][5]~63205\ : std_logic;
SIGNAL \led_flash_cnt[2594][6]~63206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][6]~q\ : std_logic;
SIGNAL \WideAnd2594~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][6]~63207\ : std_logic;
SIGNAL \led_flash_cnt[2594][7]~63208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2594][7]~q\ : std_logic;
SIGNAL \WideAnd2594~combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][0]~83233_combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2593][1]~63182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2593][1]~63183\ : std_logic;
SIGNAL \led_flash_cnt[2593][2]~63184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2593][2]~63185\ : std_logic;
SIGNAL \led_flash_cnt[2593][3]~63186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2593][3]~63187\ : std_logic;
SIGNAL \led_flash_cnt[2593][4]~63188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2593][4]~63189\ : std_logic;
SIGNAL \led_flash_cnt[2593][5]~63190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2593][5]~63191\ : std_logic;
SIGNAL \led_flash_cnt[2593][6]~63192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2593][6]~63193\ : std_logic;
SIGNAL \led_flash_cnt[2593][7]~63194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2593][7]~q\ : std_logic;
SIGNAL \WideAnd2593~1_combout\ : std_logic;
SIGNAL \WideAnd2593~0_combout\ : std_logic;
SIGNAL \WideAnd2593~combout\ : std_logic;
SIGNAL \WideAnd4164~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][0]~83238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2598][1]~63252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2598][1]~63253\ : std_logic;
SIGNAL \led_flash_cnt[2598][2]~63254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2598][2]~63255\ : std_logic;
SIGNAL \led_flash_cnt[2598][3]~63256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2598][3]~63257\ : std_logic;
SIGNAL \led_flash_cnt[2598][4]~63258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][4]~q\ : std_logic;
SIGNAL \WideAnd2598~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][4]~63259\ : std_logic;
SIGNAL \led_flash_cnt[2598][5]~63260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2598][5]~63261\ : std_logic;
SIGNAL \led_flash_cnt[2598][6]~63262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2598][6]~63263\ : std_logic;
SIGNAL \led_flash_cnt[2598][7]~63264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2598][7]~q\ : std_logic;
SIGNAL \WideAnd2598~1_combout\ : std_logic;
SIGNAL \WideAnd2598~combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][0]~83236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2596][1]~63224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2596][1]~63225\ : std_logic;
SIGNAL \led_flash_cnt[2596][2]~63226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2596][2]~63227\ : std_logic;
SIGNAL \led_flash_cnt[2596][3]~63228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2596][3]~63229\ : std_logic;
SIGNAL \led_flash_cnt[2596][4]~63230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2596][4]~63231\ : std_logic;
SIGNAL \led_flash_cnt[2596][5]~63232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2596][5]~63233\ : std_logic;
SIGNAL \led_flash_cnt[2596][6]~63234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2596][6]~63235\ : std_logic;
SIGNAL \led_flash_cnt[2596][7]~63236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2596][7]~q\ : std_logic;
SIGNAL \WideAnd2596~1_combout\ : std_logic;
SIGNAL \WideAnd2596~0_combout\ : std_logic;
SIGNAL \WideAnd2596~combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][0]~83237_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2597][1]~63238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2597][1]~63239\ : std_logic;
SIGNAL \led_flash_cnt[2597][2]~63240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2597][2]~63241\ : std_logic;
SIGNAL \led_flash_cnt[2597][3]~63242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2597][3]~63243\ : std_logic;
SIGNAL \led_flash_cnt[2597][4]~63244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2597][4]~63245\ : std_logic;
SIGNAL \led_flash_cnt[2597][5]~63246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2597][5]~63247\ : std_logic;
SIGNAL \led_flash_cnt[2597][6]~63248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][6]~q\ : std_logic;
SIGNAL \WideAnd2597~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][6]~63249\ : std_logic;
SIGNAL \led_flash_cnt[2597][7]~63250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2597][7]~q\ : std_logic;
SIGNAL \WideAnd2597~0_combout\ : std_logic;
SIGNAL \WideAnd2597~combout\ : std_logic;
SIGNAL \WideAnd4164~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][0]~83239_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2599][1]~63266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2599][1]~63267\ : std_logic;
SIGNAL \led_flash_cnt[2599][2]~63268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2599][2]~63269\ : std_logic;
SIGNAL \led_flash_cnt[2599][3]~63270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2599][3]~63271\ : std_logic;
SIGNAL \led_flash_cnt[2599][4]~63272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2599][4]~63273\ : std_logic;
SIGNAL \led_flash_cnt[2599][5]~63274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2599][5]~63275\ : std_logic;
SIGNAL \led_flash_cnt[2599][6]~63276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][6]~q\ : std_logic;
SIGNAL \WideAnd2599~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][6]~63277\ : std_logic;
SIGNAL \led_flash_cnt[2599][7]~63278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2599][7]~q\ : std_logic;
SIGNAL \WideAnd2599~0_combout\ : std_logic;
SIGNAL \WideAnd2599~combout\ : std_logic;
SIGNAL \WideAnd4164~combout\ : std_logic;
SIGNAL \WideAnd4360~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][0]~83200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2560][1]~62720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2560][1]~62721\ : std_logic;
SIGNAL \led_flash_cnt[2560][2]~62722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2560][2]~62723\ : std_logic;
SIGNAL \led_flash_cnt[2560][3]~62724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2560][3]~62725\ : std_logic;
SIGNAL \led_flash_cnt[2560][4]~62726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2560][4]~62727\ : std_logic;
SIGNAL \led_flash_cnt[2560][5]~62728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2560][5]~62729\ : std_logic;
SIGNAL \led_flash_cnt[2560][6]~62730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][6]~q\ : std_logic;
SIGNAL \WideAnd2560~1_combout\ : std_logic;
SIGNAL \WideAnd2560~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][6]~62731\ : std_logic;
SIGNAL \led_flash_cnt[2560][7]~62732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2560][7]~q\ : std_logic;
SIGNAL \WideAnd2560~combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][0]~83202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2562][1]~62748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2562][1]~62749\ : std_logic;
SIGNAL \led_flash_cnt[2562][2]~62750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2562][2]~62751\ : std_logic;
SIGNAL \led_flash_cnt[2562][3]~62752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2562][3]~62753\ : std_logic;
SIGNAL \led_flash_cnt[2562][4]~62754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2562][4]~62755\ : std_logic;
SIGNAL \led_flash_cnt[2562][5]~62756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2562][5]~62757\ : std_logic;
SIGNAL \led_flash_cnt[2562][6]~62758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2562][6]~62759\ : std_logic;
SIGNAL \led_flash_cnt[2562][7]~62760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2562][7]~q\ : std_logic;
SIGNAL \WideAnd2562~1_combout\ : std_logic;
SIGNAL \WideAnd2562~0_combout\ : std_logic;
SIGNAL \WideAnd2562~combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][0]~83203_combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2563][1]~62762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2563][1]~62763\ : std_logic;
SIGNAL \led_flash_cnt[2563][2]~62764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2563][2]~62765\ : std_logic;
SIGNAL \led_flash_cnt[2563][3]~62766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2563][3]~62767\ : std_logic;
SIGNAL \led_flash_cnt[2563][4]~62768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2563][4]~62769\ : std_logic;
SIGNAL \led_flash_cnt[2563][5]~62770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2563][5]~62771\ : std_logic;
SIGNAL \led_flash_cnt[2563][6]~62772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2563][6]~62773\ : std_logic;
SIGNAL \led_flash_cnt[2563][7]~62774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2563][7]~q\ : std_logic;
SIGNAL \WideAnd2563~0_combout\ : std_logic;
SIGNAL \WideAnd2563~1_combout\ : std_logic;
SIGNAL \WideAnd2563~combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][0]~83201_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2561][1]~62734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2561][1]~62735\ : std_logic;
SIGNAL \led_flash_cnt[2561][2]~62736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2561][2]~62737\ : std_logic;
SIGNAL \led_flash_cnt[2561][3]~62738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2561][3]~62739\ : std_logic;
SIGNAL \led_flash_cnt[2561][4]~62740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2561][4]~62741\ : std_logic;
SIGNAL \led_flash_cnt[2561][5]~62742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2561][5]~62743\ : std_logic;
SIGNAL \led_flash_cnt[2561][6]~62744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][6]~q\ : std_logic;
SIGNAL \WideAnd2561~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][6]~62745\ : std_logic;
SIGNAL \led_flash_cnt[2561][7]~62746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2561][7]~q\ : std_logic;
SIGNAL \WideAnd2561~0_combout\ : std_logic;
SIGNAL \WideAnd2561~combout\ : std_logic;
SIGNAL \WideAnd4160~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][0]~83207_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2567][1]~62818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2567][1]~62819\ : std_logic;
SIGNAL \led_flash_cnt[2567][2]~62820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2567][2]~62821\ : std_logic;
SIGNAL \led_flash_cnt[2567][3]~62822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2567][3]~62823\ : std_logic;
SIGNAL \led_flash_cnt[2567][4]~62824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2567][4]~62825\ : std_logic;
SIGNAL \led_flash_cnt[2567][5]~62826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2567][5]~62827\ : std_logic;
SIGNAL \led_flash_cnt[2567][6]~62828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][6]~q\ : std_logic;
SIGNAL \WideAnd2567~1_combout\ : std_logic;
SIGNAL \WideAnd2567~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][6]~62829\ : std_logic;
SIGNAL \led_flash_cnt[2567][7]~62830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2567][7]~q\ : std_logic;
SIGNAL \WideAnd2567~combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][0]~83205_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2565][1]~62790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2565][1]~62791\ : std_logic;
SIGNAL \led_flash_cnt[2565][2]~62792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2565][2]~62793\ : std_logic;
SIGNAL \led_flash_cnt[2565][3]~62794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2565][3]~62795\ : std_logic;
SIGNAL \led_flash_cnt[2565][4]~62796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2565][4]~62797\ : std_logic;
SIGNAL \led_flash_cnt[2565][5]~62798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2565][5]~62799\ : std_logic;
SIGNAL \led_flash_cnt[2565][6]~62800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][6]~q\ : std_logic;
SIGNAL \WideAnd2565~1_combout\ : std_logic;
SIGNAL \WideAnd2565~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][6]~62801\ : std_logic;
SIGNAL \led_flash_cnt[2565][7]~62802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2565][7]~q\ : std_logic;
SIGNAL \WideAnd2565~combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][0]~83204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2564][1]~62776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2564][1]~62777\ : std_logic;
SIGNAL \led_flash_cnt[2564][2]~62778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2564][2]~62779\ : std_logic;
SIGNAL \led_flash_cnt[2564][3]~62780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2564][3]~62781\ : std_logic;
SIGNAL \led_flash_cnt[2564][4]~62782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][4]~q\ : std_logic;
SIGNAL \WideAnd2564~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][4]~62783\ : std_logic;
SIGNAL \led_flash_cnt[2564][5]~62784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2564][5]~62785\ : std_logic;
SIGNAL \led_flash_cnt[2564][6]~62786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][6]~q\ : std_logic;
SIGNAL \WideAnd2564~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][6]~62787\ : std_logic;
SIGNAL \led_flash_cnt[2564][7]~62788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2564][7]~q\ : std_logic;
SIGNAL \WideAnd2564~combout\ : std_logic;
SIGNAL \WideAnd4160~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][0]~83206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2566][1]~62804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2566][1]~62805\ : std_logic;
SIGNAL \led_flash_cnt[2566][2]~62806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2566][2]~62807\ : std_logic;
SIGNAL \led_flash_cnt[2566][3]~62808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2566][3]~62809\ : std_logic;
SIGNAL \led_flash_cnt[2566][4]~62810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2566][4]~62811\ : std_logic;
SIGNAL \led_flash_cnt[2566][5]~62812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2566][5]~62813\ : std_logic;
SIGNAL \led_flash_cnt[2566][6]~62814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][6]~q\ : std_logic;
SIGNAL \WideAnd2566~1_combout\ : std_logic;
SIGNAL \WideAnd2566~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][6]~62815\ : std_logic;
SIGNAL \led_flash_cnt[2566][7]~62816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2566][7]~q\ : std_logic;
SIGNAL \WideAnd2566~combout\ : std_logic;
SIGNAL \WideAnd4160~combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][0]~83215_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2575][1]~62930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2575][1]~62931\ : std_logic;
SIGNAL \led_flash_cnt[2575][2]~62932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2575][2]~62933\ : std_logic;
SIGNAL \led_flash_cnt[2575][3]~62934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2575][3]~62935\ : std_logic;
SIGNAL \led_flash_cnt[2575][4]~62936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2575][4]~62937\ : std_logic;
SIGNAL \led_flash_cnt[2575][5]~62938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2575][5]~62939\ : std_logic;
SIGNAL \led_flash_cnt[2575][6]~62940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][6]~q\ : std_logic;
SIGNAL \WideAnd2575~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][6]~62941\ : std_logic;
SIGNAL \led_flash_cnt[2575][7]~62942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2575][7]~q\ : std_logic;
SIGNAL \WideAnd2575~0_combout\ : std_logic;
SIGNAL \WideAnd2575~combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][0]~83213_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2573][1]~62902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2573][1]~62903\ : std_logic;
SIGNAL \led_flash_cnt[2573][2]~62904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2573][2]~62905\ : std_logic;
SIGNAL \led_flash_cnt[2573][3]~62906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2573][3]~62907\ : std_logic;
SIGNAL \led_flash_cnt[2573][4]~62908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][4]~q\ : std_logic;
SIGNAL \WideAnd2573~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][4]~62909\ : std_logic;
SIGNAL \led_flash_cnt[2573][5]~62910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2573][5]~62911\ : std_logic;
SIGNAL \led_flash_cnt[2573][6]~62912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2573][6]~62913\ : std_logic;
SIGNAL \led_flash_cnt[2573][7]~62914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2573][7]~q\ : std_logic;
SIGNAL \WideAnd2573~1_combout\ : std_logic;
SIGNAL \WideAnd2573~combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][0]~83212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2572][1]~62888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2572][1]~62889\ : std_logic;
SIGNAL \led_flash_cnt[2572][2]~62890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2572][2]~62891\ : std_logic;
SIGNAL \led_flash_cnt[2572][3]~62892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2572][3]~62893\ : std_logic;
SIGNAL \led_flash_cnt[2572][4]~62894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2572][4]~62895\ : std_logic;
SIGNAL \led_flash_cnt[2572][5]~62896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2572][5]~62897\ : std_logic;
SIGNAL \led_flash_cnt[2572][6]~62898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][6]~q\ : std_logic;
SIGNAL \WideAnd2572~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][6]~62899\ : std_logic;
SIGNAL \led_flash_cnt[2572][7]~62900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2572][7]~q\ : std_logic;
SIGNAL \WideAnd2572~0_combout\ : std_logic;
SIGNAL \WideAnd2572~combout\ : std_logic;
SIGNAL \WideAnd4161~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][0]~83211_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2571][1]~62874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2571][1]~62875\ : std_logic;
SIGNAL \led_flash_cnt[2571][2]~62876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2571][2]~62877\ : std_logic;
SIGNAL \led_flash_cnt[2571][3]~62878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2571][3]~62879\ : std_logic;
SIGNAL \led_flash_cnt[2571][4]~62880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2571][4]~62881\ : std_logic;
SIGNAL \led_flash_cnt[2571][5]~62882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2571][5]~62883\ : std_logic;
SIGNAL \led_flash_cnt[2571][6]~62884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][6]~q\ : std_logic;
SIGNAL \WideAnd2571~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][6]~62885\ : std_logic;
SIGNAL \led_flash_cnt[2571][7]~62886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2571][7]~q\ : std_logic;
SIGNAL \WideAnd2571~0_combout\ : std_logic;
SIGNAL \WideAnd2571~combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][0]~83210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2570][1]~62860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2570][1]~62861\ : std_logic;
SIGNAL \led_flash_cnt[2570][2]~62862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2570][2]~62863\ : std_logic;
SIGNAL \led_flash_cnt[2570][3]~62864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2570][3]~62865\ : std_logic;
SIGNAL \led_flash_cnt[2570][4]~62866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2570][4]~62867\ : std_logic;
SIGNAL \led_flash_cnt[2570][5]~62868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2570][5]~62869\ : std_logic;
SIGNAL \led_flash_cnt[2570][6]~62870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][6]~q\ : std_logic;
SIGNAL \WideAnd2570~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][6]~62871\ : std_logic;
SIGNAL \led_flash_cnt[2570][7]~62872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2570][7]~q\ : std_logic;
SIGNAL \WideAnd2570~0_combout\ : std_logic;
SIGNAL \WideAnd2570~combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][0]~83209_combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2569][1]~62846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2569][1]~62847\ : std_logic;
SIGNAL \led_flash_cnt[2569][2]~62848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2569][2]~62849\ : std_logic;
SIGNAL \led_flash_cnt[2569][3]~62850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2569][3]~62851\ : std_logic;
SIGNAL \led_flash_cnt[2569][4]~62852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2569][4]~62853\ : std_logic;
SIGNAL \led_flash_cnt[2569][5]~62854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2569][5]~62855\ : std_logic;
SIGNAL \led_flash_cnt[2569][6]~62856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2569][6]~62857\ : std_logic;
SIGNAL \led_flash_cnt[2569][7]~62858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2569][7]~q\ : std_logic;
SIGNAL \WideAnd2569~1_combout\ : std_logic;
SIGNAL \WideAnd2569~0_combout\ : std_logic;
SIGNAL \WideAnd2569~combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][0]~83208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2568][1]~62832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2568][1]~62833\ : std_logic;
SIGNAL \led_flash_cnt[2568][2]~62834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2568][2]~62835\ : std_logic;
SIGNAL \led_flash_cnt[2568][3]~62836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2568][3]~62837\ : std_logic;
SIGNAL \led_flash_cnt[2568][4]~62838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][4]~q\ : std_logic;
SIGNAL \WideAnd2568~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][4]~62839\ : std_logic;
SIGNAL \led_flash_cnt[2568][5]~62840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2568][5]~62841\ : std_logic;
SIGNAL \led_flash_cnt[2568][6]~62842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2568][6]~62843\ : std_logic;
SIGNAL \led_flash_cnt[2568][7]~62844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2568][7]~q\ : std_logic;
SIGNAL \WideAnd2568~1_combout\ : std_logic;
SIGNAL \WideAnd2568~combout\ : std_logic;
SIGNAL \WideAnd4161~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][0]~83214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2574][1]~62916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2574][1]~62917\ : std_logic;
SIGNAL \led_flash_cnt[2574][2]~62918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2574][2]~62919\ : std_logic;
SIGNAL \led_flash_cnt[2574][3]~62920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2574][3]~62921\ : std_logic;
SIGNAL \led_flash_cnt[2574][4]~62922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2574][4]~62923\ : std_logic;
SIGNAL \led_flash_cnt[2574][5]~62924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2574][5]~62925\ : std_logic;
SIGNAL \led_flash_cnt[2574][6]~62926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][6]~q\ : std_logic;
SIGNAL \WideAnd2574~1_combout\ : std_logic;
SIGNAL \WideAnd2574~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][6]~62927\ : std_logic;
SIGNAL \led_flash_cnt[2574][7]~62928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2574][7]~q\ : std_logic;
SIGNAL \WideAnd2574~combout\ : std_logic;
SIGNAL \WideAnd4161~combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][0]~83231_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2591][1]~63154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2591][1]~63155\ : std_logic;
SIGNAL \led_flash_cnt[2591][2]~63156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2591][2]~63157\ : std_logic;
SIGNAL \led_flash_cnt[2591][3]~63158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2591][3]~63159\ : std_logic;
SIGNAL \led_flash_cnt[2591][4]~63160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2591][4]~63161\ : std_logic;
SIGNAL \led_flash_cnt[2591][5]~63162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2591][5]~63163\ : std_logic;
SIGNAL \led_flash_cnt[2591][6]~63164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][6]~q\ : std_logic;
SIGNAL \WideAnd2591~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][6]~63165\ : std_logic;
SIGNAL \led_flash_cnt[2591][7]~63166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2591][7]~q\ : std_logic;
SIGNAL \WideAnd2591~0_combout\ : std_logic;
SIGNAL \WideAnd2591~combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][0]~83229_combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2589][1]~63126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2589][1]~63127\ : std_logic;
SIGNAL \led_flash_cnt[2589][2]~63128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2589][2]~63129\ : std_logic;
SIGNAL \led_flash_cnt[2589][3]~63130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2589][3]~63131\ : std_logic;
SIGNAL \led_flash_cnt[2589][4]~63132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2589][4]~63133\ : std_logic;
SIGNAL \led_flash_cnt[2589][5]~63134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2589][5]~63135\ : std_logic;
SIGNAL \led_flash_cnt[2589][6]~63136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2589][6]~63137\ : std_logic;
SIGNAL \led_flash_cnt[2589][7]~63138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2589][7]~q\ : std_logic;
SIGNAL \WideAnd2589~1_combout\ : std_logic;
SIGNAL \WideAnd2589~0_combout\ : std_logic;
SIGNAL \WideAnd2589~combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][0]~83228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2588][1]~63112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2588][1]~63113\ : std_logic;
SIGNAL \led_flash_cnt[2588][2]~63114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2588][2]~63115\ : std_logic;
SIGNAL \led_flash_cnt[2588][3]~63116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2588][3]~63117\ : std_logic;
SIGNAL \led_flash_cnt[2588][4]~63118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2588][4]~63119\ : std_logic;
SIGNAL \led_flash_cnt[2588][5]~63120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2588][5]~63121\ : std_logic;
SIGNAL \led_flash_cnt[2588][6]~63122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2588][6]~63123\ : std_logic;
SIGNAL \led_flash_cnt[2588][7]~63124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2588][7]~q\ : std_logic;
SIGNAL \WideAnd2588~0_combout\ : std_logic;
SIGNAL \WideAnd2588~1_combout\ : std_logic;
SIGNAL \WideAnd2588~combout\ : std_logic;
SIGNAL \WideAnd4163~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][0]~83230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2590][1]~63140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2590][1]~63141\ : std_logic;
SIGNAL \led_flash_cnt[2590][2]~63142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2590][2]~63143\ : std_logic;
SIGNAL \led_flash_cnt[2590][3]~63144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2590][3]~63145\ : std_logic;
SIGNAL \led_flash_cnt[2590][4]~63146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2590][4]~63147\ : std_logic;
SIGNAL \led_flash_cnt[2590][5]~63148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2590][5]~63149\ : std_logic;
SIGNAL \led_flash_cnt[2590][6]~63150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][6]~q\ : std_logic;
SIGNAL \WideAnd2590~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][6]~63151\ : std_logic;
SIGNAL \led_flash_cnt[2590][7]~63152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2590][7]~q\ : std_logic;
SIGNAL \WideAnd2590~0_combout\ : std_logic;
SIGNAL \WideAnd2590~combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][0]~83224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2584][1]~63056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2584][1]~63057\ : std_logic;
SIGNAL \led_flash_cnt[2584][2]~63058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2584][2]~63059\ : std_logic;
SIGNAL \led_flash_cnt[2584][3]~63060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2584][3]~63061\ : std_logic;
SIGNAL \led_flash_cnt[2584][4]~63062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2584][4]~63063\ : std_logic;
SIGNAL \led_flash_cnt[2584][5]~63064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2584][5]~63065\ : std_logic;
SIGNAL \led_flash_cnt[2584][6]~63066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2584][6]~63067\ : std_logic;
SIGNAL \led_flash_cnt[2584][7]~63068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2584][7]~q\ : std_logic;
SIGNAL \WideAnd2584~0_combout\ : std_logic;
SIGNAL \WideAnd2584~1_combout\ : std_logic;
SIGNAL \WideAnd2584~combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][0]~83226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2586][1]~63084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2586][1]~63085\ : std_logic;
SIGNAL \led_flash_cnt[2586][2]~63086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2586][2]~63087\ : std_logic;
SIGNAL \led_flash_cnt[2586][3]~63088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2586][3]~63089\ : std_logic;
SIGNAL \led_flash_cnt[2586][4]~63090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2586][4]~63091\ : std_logic;
SIGNAL \led_flash_cnt[2586][5]~63092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2586][5]~63093\ : std_logic;
SIGNAL \led_flash_cnt[2586][6]~63094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2586][6]~63095\ : std_logic;
SIGNAL \led_flash_cnt[2586][7]~63096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2586][7]~q\ : std_logic;
SIGNAL \WideAnd2586~0_combout\ : std_logic;
SIGNAL \WideAnd2586~1_combout\ : std_logic;
SIGNAL \WideAnd2586~combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][0]~83227_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2587][1]~63098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2587][1]~63099\ : std_logic;
SIGNAL \led_flash_cnt[2587][2]~63100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2587][2]~63101\ : std_logic;
SIGNAL \led_flash_cnt[2587][3]~63102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2587][3]~63103\ : std_logic;
SIGNAL \led_flash_cnt[2587][4]~63104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2587][4]~63105\ : std_logic;
SIGNAL \led_flash_cnt[2587][5]~63106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2587][5]~63107\ : std_logic;
SIGNAL \led_flash_cnt[2587][6]~63108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][6]~q\ : std_logic;
SIGNAL \WideAnd2587~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][6]~63109\ : std_logic;
SIGNAL \led_flash_cnt[2587][7]~63110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2587][7]~q\ : std_logic;
SIGNAL \WideAnd2587~0_combout\ : std_logic;
SIGNAL \WideAnd2587~combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][0]~83225_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2585][1]~63070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2585][1]~63071\ : std_logic;
SIGNAL \led_flash_cnt[2585][2]~63072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2585][2]~63073\ : std_logic;
SIGNAL \led_flash_cnt[2585][3]~63074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2585][3]~63075\ : std_logic;
SIGNAL \led_flash_cnt[2585][4]~63076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2585][4]~63077\ : std_logic;
SIGNAL \led_flash_cnt[2585][5]~63078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2585][5]~63079\ : std_logic;
SIGNAL \led_flash_cnt[2585][6]~63080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][6]~q\ : std_logic;
SIGNAL \WideAnd2585~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][6]~63081\ : std_logic;
SIGNAL \led_flash_cnt[2585][7]~63082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2585][7]~q\ : std_logic;
SIGNAL \WideAnd2585~0_combout\ : std_logic;
SIGNAL \WideAnd2585~combout\ : std_logic;
SIGNAL \WideAnd4163~0_combout\ : std_logic;
SIGNAL \WideAnd4163~combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][0]~83220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2580][1]~63000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2580][1]~63001\ : std_logic;
SIGNAL \led_flash_cnt[2580][2]~63002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2580][2]~63003\ : std_logic;
SIGNAL \led_flash_cnt[2580][3]~63004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2580][3]~63005\ : std_logic;
SIGNAL \led_flash_cnt[2580][4]~63006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2580][4]~63007\ : std_logic;
SIGNAL \led_flash_cnt[2580][5]~63008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2580][5]~63009\ : std_logic;
SIGNAL \led_flash_cnt[2580][6]~63010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2580][6]~63011\ : std_logic;
SIGNAL \led_flash_cnt[2580][7]~63012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2580][7]~q\ : std_logic;
SIGNAL \WideAnd2580~1_combout\ : std_logic;
SIGNAL \WideAnd2580~0_combout\ : std_logic;
SIGNAL \WideAnd2580~combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][0]~83221_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2581][1]~63014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2581][1]~63015\ : std_logic;
SIGNAL \led_flash_cnt[2581][2]~63016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2581][2]~63017\ : std_logic;
SIGNAL \led_flash_cnt[2581][3]~63018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2581][3]~63019\ : std_logic;
SIGNAL \led_flash_cnt[2581][4]~63020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2581][4]~63021\ : std_logic;
SIGNAL \led_flash_cnt[2581][5]~63022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2581][5]~63023\ : std_logic;
SIGNAL \led_flash_cnt[2581][6]~63024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][6]~q\ : std_logic;
SIGNAL \WideAnd2581~1_combout\ : std_logic;
SIGNAL \WideAnd2581~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][6]~63025\ : std_logic;
SIGNAL \led_flash_cnt[2581][7]~63026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2581][7]~q\ : std_logic;
SIGNAL \WideAnd2581~combout\ : std_logic;
SIGNAL \WideAnd4162~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][0]~83223_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2583][1]~63042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2583][1]~63043\ : std_logic;
SIGNAL \led_flash_cnt[2583][2]~63044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2583][2]~63045\ : std_logic;
SIGNAL \led_flash_cnt[2583][3]~63046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2583][3]~63047\ : std_logic;
SIGNAL \led_flash_cnt[2583][4]~63048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2583][4]~63049\ : std_logic;
SIGNAL \led_flash_cnt[2583][5]~63050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2583][5]~63051\ : std_logic;
SIGNAL \led_flash_cnt[2583][6]~63052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][6]~q\ : std_logic;
SIGNAL \WideAnd2583~1_combout\ : std_logic;
SIGNAL \WideAnd2583~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][6]~63053\ : std_logic;
SIGNAL \led_flash_cnt[2583][7]~63054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2583][7]~q\ : std_logic;
SIGNAL \WideAnd2583~combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][0]~83219_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2579][1]~62986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2579][1]~62987\ : std_logic;
SIGNAL \led_flash_cnt[2579][2]~62988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2579][2]~62989\ : std_logic;
SIGNAL \led_flash_cnt[2579][3]~62990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2579][3]~62991\ : std_logic;
SIGNAL \led_flash_cnt[2579][4]~62992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][4]~q\ : std_logic;
SIGNAL \WideAnd2579~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][4]~62993\ : std_logic;
SIGNAL \led_flash_cnt[2579][5]~62994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2579][5]~62995\ : std_logic;
SIGNAL \led_flash_cnt[2579][6]~62996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2579][6]~62997\ : std_logic;
SIGNAL \led_flash_cnt[2579][7]~62998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2579][7]~q\ : std_logic;
SIGNAL \WideAnd2579~1_combout\ : std_logic;
SIGNAL \WideAnd2579~combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][0]~83216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2576][1]~62944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2576][1]~62945\ : std_logic;
SIGNAL \led_flash_cnt[2576][2]~62946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2576][2]~62947\ : std_logic;
SIGNAL \led_flash_cnt[2576][3]~62948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2576][3]~62949\ : std_logic;
SIGNAL \led_flash_cnt[2576][4]~62950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2576][4]~62951\ : std_logic;
SIGNAL \led_flash_cnt[2576][5]~62952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2576][5]~62953\ : std_logic;
SIGNAL \led_flash_cnt[2576][6]~62954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2576][6]~62955\ : std_logic;
SIGNAL \led_flash_cnt[2576][7]~62956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2576][7]~q\ : std_logic;
SIGNAL \WideAnd2576~1_combout\ : std_logic;
SIGNAL \WideAnd2576~0_combout\ : std_logic;
SIGNAL \WideAnd2576~combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][0]~83217_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2577][1]~62958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2577][1]~62959\ : std_logic;
SIGNAL \led_flash_cnt[2577][2]~62960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2577][2]~62961\ : std_logic;
SIGNAL \led_flash_cnt[2577][3]~62962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2577][3]~62963\ : std_logic;
SIGNAL \led_flash_cnt[2577][4]~62964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2577][4]~62965\ : std_logic;
SIGNAL \led_flash_cnt[2577][5]~62966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2577][5]~62967\ : std_logic;
SIGNAL \led_flash_cnt[2577][6]~62968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][6]~q\ : std_logic;
SIGNAL \WideAnd2577~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][6]~62969\ : std_logic;
SIGNAL \led_flash_cnt[2577][7]~62970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2577][7]~q\ : std_logic;
SIGNAL \WideAnd2577~0_combout\ : std_logic;
SIGNAL \WideAnd2577~combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][0]~83218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2578][1]~62972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2578][1]~62973\ : std_logic;
SIGNAL \led_flash_cnt[2578][2]~62974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2578][2]~62975\ : std_logic;
SIGNAL \led_flash_cnt[2578][3]~62976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2578][3]~62977\ : std_logic;
SIGNAL \led_flash_cnt[2578][4]~62978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][4]~q\ : std_logic;
SIGNAL \WideAnd2578~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][4]~62979\ : std_logic;
SIGNAL \led_flash_cnt[2578][5]~62980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2578][5]~62981\ : std_logic;
SIGNAL \led_flash_cnt[2578][6]~62982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][6]~q\ : std_logic;
SIGNAL \WideAnd2578~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][6]~62983\ : std_logic;
SIGNAL \led_flash_cnt[2578][7]~62984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2578][7]~q\ : std_logic;
SIGNAL \WideAnd2578~combout\ : std_logic;
SIGNAL \WideAnd4162~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][0]~83222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2582][1]~63028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2582][1]~63029\ : std_logic;
SIGNAL \led_flash_cnt[2582][2]~63030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2582][2]~63031\ : std_logic;
SIGNAL \led_flash_cnt[2582][3]~63032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2582][3]~63033\ : std_logic;
SIGNAL \led_flash_cnt[2582][4]~63034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2582][4]~63035\ : std_logic;
SIGNAL \led_flash_cnt[2582][5]~63036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2582][5]~63037\ : std_logic;
SIGNAL \led_flash_cnt[2582][6]~63038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][6]~q\ : std_logic;
SIGNAL \WideAnd2582~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][6]~63039\ : std_logic;
SIGNAL \led_flash_cnt[2582][7]~63040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2582][7]~q\ : std_logic;
SIGNAL \WideAnd2582~0_combout\ : std_logic;
SIGNAL \WideAnd2582~combout\ : std_logic;
SIGNAL \WideAnd4162~combout\ : std_logic;
SIGNAL \WideAnd4360~0_combout\ : std_logic;
SIGNAL \WideAnd4360~combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][0]~83414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2774][1]~65716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2774][1]~65717\ : std_logic;
SIGNAL \led_flash_cnt[2774][2]~65718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2774][2]~65719\ : std_logic;
SIGNAL \led_flash_cnt[2774][3]~65720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2774][3]~65721\ : std_logic;
SIGNAL \led_flash_cnt[2774][4]~65722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][4]~q\ : std_logic;
SIGNAL \WideAnd2774~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][4]~65723\ : std_logic;
SIGNAL \led_flash_cnt[2774][5]~65724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2774][5]~65725\ : std_logic;
SIGNAL \led_flash_cnt[2774][6]~65726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2774][6]~65727\ : std_logic;
SIGNAL \led_flash_cnt[2774][7]~65728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2774][7]~q\ : std_logic;
SIGNAL \WideAnd2774~1_combout\ : std_logic;
SIGNAL \WideAnd2774~combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][0]~83415_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2775][1]~65730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2775][1]~65731\ : std_logic;
SIGNAL \led_flash_cnt[2775][2]~65732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2775][2]~65733\ : std_logic;
SIGNAL \led_flash_cnt[2775][3]~65734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2775][3]~65735\ : std_logic;
SIGNAL \led_flash_cnt[2775][4]~65736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2775][4]~65737\ : std_logic;
SIGNAL \led_flash_cnt[2775][5]~65738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2775][5]~65739\ : std_logic;
SIGNAL \led_flash_cnt[2775][6]~65740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][6]~q\ : std_logic;
SIGNAL \WideAnd2775~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][6]~65741\ : std_logic;
SIGNAL \led_flash_cnt[2775][7]~65742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2775][7]~q\ : std_logic;
SIGNAL \WideAnd2775~0_combout\ : std_logic;
SIGNAL \WideAnd2775~combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][0]~83412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2772][1]~65688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2772][1]~65689\ : std_logic;
SIGNAL \led_flash_cnt[2772][2]~65690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2772][2]~65691\ : std_logic;
SIGNAL \led_flash_cnt[2772][3]~65692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2772][3]~65693\ : std_logic;
SIGNAL \led_flash_cnt[2772][4]~65694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2772][4]~65695\ : std_logic;
SIGNAL \led_flash_cnt[2772][5]~65696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2772][5]~65697\ : std_logic;
SIGNAL \led_flash_cnt[2772][6]~65698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][6]~q\ : std_logic;
SIGNAL \WideAnd2772~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][6]~65699\ : std_logic;
SIGNAL \led_flash_cnt[2772][7]~65700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2772][7]~q\ : std_logic;
SIGNAL \WideAnd2772~0_combout\ : std_logic;
SIGNAL \WideAnd2772~combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][0]~83413_combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2773][1]~65702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2773][1]~65703\ : std_logic;
SIGNAL \led_flash_cnt[2773][2]~65704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2773][2]~65705\ : std_logic;
SIGNAL \led_flash_cnt[2773][3]~65706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2773][3]~65707\ : std_logic;
SIGNAL \led_flash_cnt[2773][4]~65708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2773][4]~65709\ : std_logic;
SIGNAL \led_flash_cnt[2773][5]~65710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2773][5]~65711\ : std_logic;
SIGNAL \led_flash_cnt[2773][6]~65712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2773][6]~65713\ : std_logic;
SIGNAL \led_flash_cnt[2773][7]~65714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2773][7]~q\ : std_logic;
SIGNAL \WideAnd2773~0_combout\ : std_logic;
SIGNAL \WideAnd2773~1_combout\ : std_logic;
SIGNAL \WideAnd2773~combout\ : std_logic;
SIGNAL \WideAnd4186~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][0]~83411_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2771][1]~65674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2771][1]~65675\ : std_logic;
SIGNAL \led_flash_cnt[2771][2]~65676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2771][2]~65677\ : std_logic;
SIGNAL \led_flash_cnt[2771][3]~65678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2771][3]~65679\ : std_logic;
SIGNAL \led_flash_cnt[2771][4]~65680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2771][4]~65681\ : std_logic;
SIGNAL \led_flash_cnt[2771][5]~65682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2771][5]~65683\ : std_logic;
SIGNAL \led_flash_cnt[2771][6]~65684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2771][6]~65685\ : std_logic;
SIGNAL \led_flash_cnt[2771][7]~65686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2771][7]~q\ : std_logic;
SIGNAL \WideAnd2771~1_combout\ : std_logic;
SIGNAL \WideAnd2771~0_combout\ : std_logic;
SIGNAL \WideAnd2771~combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][0]~83408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2768][1]~65632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2768][1]~65633\ : std_logic;
SIGNAL \led_flash_cnt[2768][2]~65634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2768][2]~65635\ : std_logic;
SIGNAL \led_flash_cnt[2768][3]~65636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2768][3]~65637\ : std_logic;
SIGNAL \led_flash_cnt[2768][4]~65638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2768][4]~65639\ : std_logic;
SIGNAL \led_flash_cnt[2768][5]~65640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2768][5]~65641\ : std_logic;
SIGNAL \led_flash_cnt[2768][6]~65642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2768][6]~65643\ : std_logic;
SIGNAL \led_flash_cnt[2768][7]~65644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2768][7]~q\ : std_logic;
SIGNAL \WideAnd2768~0_combout\ : std_logic;
SIGNAL \WideAnd2768~1_combout\ : std_logic;
SIGNAL \WideAnd2768~combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][0]~83409_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2769][1]~65646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2769][1]~65647\ : std_logic;
SIGNAL \led_flash_cnt[2769][2]~65648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2769][2]~65649\ : std_logic;
SIGNAL \led_flash_cnt[2769][3]~65650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2769][3]~65651\ : std_logic;
SIGNAL \led_flash_cnt[2769][4]~65652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][4]~q\ : std_logic;
SIGNAL \WideAnd2769~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][4]~65653\ : std_logic;
SIGNAL \led_flash_cnt[2769][5]~65654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2769][5]~65655\ : std_logic;
SIGNAL \led_flash_cnt[2769][6]~65656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][6]~q\ : std_logic;
SIGNAL \WideAnd2769~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][6]~65657\ : std_logic;
SIGNAL \led_flash_cnt[2769][7]~65658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2769][7]~q\ : std_logic;
SIGNAL \WideAnd2769~combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][0]~83410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2770][1]~65660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2770][1]~65661\ : std_logic;
SIGNAL \led_flash_cnt[2770][2]~65662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2770][2]~65663\ : std_logic;
SIGNAL \led_flash_cnt[2770][3]~65664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2770][3]~65665\ : std_logic;
SIGNAL \led_flash_cnt[2770][4]~65666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2770][4]~65667\ : std_logic;
SIGNAL \led_flash_cnt[2770][5]~65668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2770][5]~65669\ : std_logic;
SIGNAL \led_flash_cnt[2770][6]~65670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][6]~q\ : std_logic;
SIGNAL \WideAnd2770~1_combout\ : std_logic;
SIGNAL \WideAnd2770~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][6]~65671\ : std_logic;
SIGNAL \led_flash_cnt[2770][7]~65672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2770][7]~q\ : std_logic;
SIGNAL \WideAnd2770~combout\ : std_logic;
SIGNAL \WideAnd4186~0_combout\ : std_logic;
SIGNAL \WideAnd4186~combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][0]~83420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2780][1]~65800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2780][1]~65801\ : std_logic;
SIGNAL \led_flash_cnt[2780][2]~65802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2780][2]~65803\ : std_logic;
SIGNAL \led_flash_cnt[2780][3]~65804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2780][3]~65805\ : std_logic;
SIGNAL \led_flash_cnt[2780][4]~65806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2780][4]~65807\ : std_logic;
SIGNAL \led_flash_cnt[2780][5]~65808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2780][5]~65809\ : std_logic;
SIGNAL \led_flash_cnt[2780][6]~65810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2780][6]~65811\ : std_logic;
SIGNAL \led_flash_cnt[2780][7]~65812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2780][7]~q\ : std_logic;
SIGNAL \WideAnd2780~1_combout\ : std_logic;
SIGNAL \WideAnd2780~0_combout\ : std_logic;
SIGNAL \WideAnd2780~combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][0]~83421_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2781][1]~65814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2781][1]~65815\ : std_logic;
SIGNAL \led_flash_cnt[2781][2]~65816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2781][2]~65817\ : std_logic;
SIGNAL \led_flash_cnt[2781][3]~65818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2781][3]~65819\ : std_logic;
SIGNAL \led_flash_cnt[2781][4]~65820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][4]~q\ : std_logic;
SIGNAL \WideAnd2781~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][4]~65821\ : std_logic;
SIGNAL \led_flash_cnt[2781][5]~65822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2781][5]~65823\ : std_logic;
SIGNAL \led_flash_cnt[2781][6]~65824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][6]~q\ : std_logic;
SIGNAL \WideAnd2781~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][6]~65825\ : std_logic;
SIGNAL \led_flash_cnt[2781][7]~65826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2781][7]~q\ : std_logic;
SIGNAL \WideAnd2781~combout\ : std_logic;
SIGNAL \WideAnd4187~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][0]~83423_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2783][1]~65842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2783][1]~65843\ : std_logic;
SIGNAL \led_flash_cnt[2783][2]~65844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2783][2]~65845\ : std_logic;
SIGNAL \led_flash_cnt[2783][3]~65846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2783][3]~65847\ : std_logic;
SIGNAL \led_flash_cnt[2783][4]~65848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2783][4]~65849\ : std_logic;
SIGNAL \led_flash_cnt[2783][5]~65850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2783][5]~65851\ : std_logic;
SIGNAL \led_flash_cnt[2783][6]~65852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][6]~q\ : std_logic;
SIGNAL \WideAnd2783~1_combout\ : std_logic;
SIGNAL \WideAnd2783~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][6]~65853\ : std_logic;
SIGNAL \led_flash_cnt[2783][7]~65854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2783][7]~q\ : std_logic;
SIGNAL \WideAnd2783~combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][0]~83422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2782][1]~65828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2782][1]~65829\ : std_logic;
SIGNAL \led_flash_cnt[2782][2]~65830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2782][2]~65831\ : std_logic;
SIGNAL \led_flash_cnt[2782][3]~65832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2782][3]~65833\ : std_logic;
SIGNAL \led_flash_cnt[2782][4]~65834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2782][4]~65835\ : std_logic;
SIGNAL \led_flash_cnt[2782][5]~65836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2782][5]~65837\ : std_logic;
SIGNAL \led_flash_cnt[2782][6]~65838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][6]~q\ : std_logic;
SIGNAL \WideAnd2782~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][6]~65839\ : std_logic;
SIGNAL \led_flash_cnt[2782][7]~65840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2782][7]~q\ : std_logic;
SIGNAL \WideAnd2782~0_combout\ : std_logic;
SIGNAL \WideAnd2782~combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][0]~83418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2778][1]~65772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2778][1]~65773\ : std_logic;
SIGNAL \led_flash_cnt[2778][2]~65774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2778][2]~65775\ : std_logic;
SIGNAL \led_flash_cnt[2778][3]~65776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2778][3]~65777\ : std_logic;
SIGNAL \led_flash_cnt[2778][4]~65778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2778][4]~65779\ : std_logic;
SIGNAL \led_flash_cnt[2778][5]~65780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2778][5]~65781\ : std_logic;
SIGNAL \led_flash_cnt[2778][6]~65782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][6]~q\ : std_logic;
SIGNAL \WideAnd2778~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][6]~65783\ : std_logic;
SIGNAL \led_flash_cnt[2778][7]~65784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2778][7]~q\ : std_logic;
SIGNAL \WideAnd2778~0_combout\ : std_logic;
SIGNAL \WideAnd2778~combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][0]~83419_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2779][1]~65786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2779][1]~65787\ : std_logic;
SIGNAL \led_flash_cnt[2779][2]~65788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2779][2]~65789\ : std_logic;
SIGNAL \led_flash_cnt[2779][3]~65790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2779][3]~65791\ : std_logic;
SIGNAL \led_flash_cnt[2779][4]~65792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][4]~q\ : std_logic;
SIGNAL \WideAnd2779~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][4]~65793\ : std_logic;
SIGNAL \led_flash_cnt[2779][5]~65794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2779][5]~65795\ : std_logic;
SIGNAL \led_flash_cnt[2779][6]~65796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][6]~q\ : std_logic;
SIGNAL \WideAnd2779~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][6]~65797\ : std_logic;
SIGNAL \led_flash_cnt[2779][7]~65798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2779][7]~q\ : std_logic;
SIGNAL \WideAnd2779~combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][0]~83416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2776][1]~65744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2776][1]~65745\ : std_logic;
SIGNAL \led_flash_cnt[2776][2]~65746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2776][2]~65747\ : std_logic;
SIGNAL \led_flash_cnt[2776][3]~65748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2776][3]~65749\ : std_logic;
SIGNAL \led_flash_cnt[2776][4]~65750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2776][4]~65751\ : std_logic;
SIGNAL \led_flash_cnt[2776][5]~65752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2776][5]~65753\ : std_logic;
SIGNAL \led_flash_cnt[2776][6]~65754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2776][6]~65755\ : std_logic;
SIGNAL \led_flash_cnt[2776][7]~65756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2776][7]~q\ : std_logic;
SIGNAL \WideAnd2776~1_combout\ : std_logic;
SIGNAL \WideAnd2776~0_combout\ : std_logic;
SIGNAL \WideAnd2776~combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][0]~83417_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2777][1]~65758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2777][1]~65759\ : std_logic;
SIGNAL \led_flash_cnt[2777][2]~65760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2777][2]~65761\ : std_logic;
SIGNAL \led_flash_cnt[2777][3]~65762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2777][3]~65763\ : std_logic;
SIGNAL \led_flash_cnt[2777][4]~65764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2777][4]~65765\ : std_logic;
SIGNAL \led_flash_cnt[2777][5]~65766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2777][5]~65767\ : std_logic;
SIGNAL \led_flash_cnt[2777][6]~65768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][6]~q\ : std_logic;
SIGNAL \WideAnd2777~1_combout\ : std_logic;
SIGNAL \WideAnd2777~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][6]~65769\ : std_logic;
SIGNAL \led_flash_cnt[2777][7]~65770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2777][7]~q\ : std_logic;
SIGNAL \WideAnd2777~combout\ : std_logic;
SIGNAL \WideAnd4187~0_combout\ : std_logic;
SIGNAL \WideAnd4187~combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][0]~83407_combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2767][1]~65618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2767][1]~65619\ : std_logic;
SIGNAL \led_flash_cnt[2767][2]~65620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2767][2]~65621\ : std_logic;
SIGNAL \led_flash_cnt[2767][3]~65622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2767][3]~65623\ : std_logic;
SIGNAL \led_flash_cnt[2767][4]~65624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2767][4]~65625\ : std_logic;
SIGNAL \led_flash_cnt[2767][5]~65626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2767][5]~65627\ : std_logic;
SIGNAL \led_flash_cnt[2767][6]~65628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2767][6]~65629\ : std_logic;
SIGNAL \led_flash_cnt[2767][7]~65630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2767][7]~q\ : std_logic;
SIGNAL \WideAnd2767~1_combout\ : std_logic;
SIGNAL \WideAnd2767~0_combout\ : std_logic;
SIGNAL \WideAnd2767~combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][0]~83406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2766][1]~65604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2766][1]~65605\ : std_logic;
SIGNAL \led_flash_cnt[2766][2]~65606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2766][2]~65607\ : std_logic;
SIGNAL \led_flash_cnt[2766][3]~65608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2766][3]~65609\ : std_logic;
SIGNAL \led_flash_cnt[2766][4]~65610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2766][4]~65611\ : std_logic;
SIGNAL \led_flash_cnt[2766][5]~65612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2766][5]~65613\ : std_logic;
SIGNAL \led_flash_cnt[2766][6]~65614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][6]~q\ : std_logic;
SIGNAL \WideAnd2766~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][6]~65615\ : std_logic;
SIGNAL \led_flash_cnt[2766][7]~65616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2766][7]~q\ : std_logic;
SIGNAL \WideAnd2766~0_combout\ : std_logic;
SIGNAL \WideAnd2766~combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][0]~83403_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2763][1]~65562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2763][1]~65563\ : std_logic;
SIGNAL \led_flash_cnt[2763][2]~65564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2763][2]~65565\ : std_logic;
SIGNAL \led_flash_cnt[2763][3]~65566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2763][3]~65567\ : std_logic;
SIGNAL \led_flash_cnt[2763][4]~65568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][4]~q\ : std_logic;
SIGNAL \WideAnd2763~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][4]~65569\ : std_logic;
SIGNAL \led_flash_cnt[2763][5]~65570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2763][5]~65571\ : std_logic;
SIGNAL \led_flash_cnt[2763][6]~65572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][6]~q\ : std_logic;
SIGNAL \WideAnd2763~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][6]~65573\ : std_logic;
SIGNAL \led_flash_cnt[2763][7]~65574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2763][7]~q\ : std_logic;
SIGNAL \WideAnd2763~combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][0]~83400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2760][1]~65520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2760][1]~65521\ : std_logic;
SIGNAL \led_flash_cnt[2760][2]~65522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2760][2]~65523\ : std_logic;
SIGNAL \led_flash_cnt[2760][3]~65524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2760][3]~65525\ : std_logic;
SIGNAL \led_flash_cnt[2760][4]~65526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2760][4]~65527\ : std_logic;
SIGNAL \led_flash_cnt[2760][5]~65528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2760][5]~65529\ : std_logic;
SIGNAL \led_flash_cnt[2760][6]~65530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][6]~q\ : std_logic;
SIGNAL \WideAnd2760~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][6]~65531\ : std_logic;
SIGNAL \led_flash_cnt[2760][7]~65532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2760][7]~q\ : std_logic;
SIGNAL \WideAnd2760~0_combout\ : std_logic;
SIGNAL \WideAnd2760~combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][0]~83402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2762][1]~65548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2762][1]~65549\ : std_logic;
SIGNAL \led_flash_cnt[2762][2]~65550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2762][2]~65551\ : std_logic;
SIGNAL \led_flash_cnt[2762][3]~65552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2762][3]~65553\ : std_logic;
SIGNAL \led_flash_cnt[2762][4]~65554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][4]~q\ : std_logic;
SIGNAL \WideAnd2762~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][4]~65555\ : std_logic;
SIGNAL \led_flash_cnt[2762][5]~65556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2762][5]~65557\ : std_logic;
SIGNAL \led_flash_cnt[2762][6]~65558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][6]~q\ : std_logic;
SIGNAL \WideAnd2762~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][6]~65559\ : std_logic;
SIGNAL \led_flash_cnt[2762][7]~65560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2762][7]~q\ : std_logic;
SIGNAL \WideAnd2762~combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][0]~83401_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2761][1]~65534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2761][1]~65535\ : std_logic;
SIGNAL \led_flash_cnt[2761][2]~65536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2761][2]~65537\ : std_logic;
SIGNAL \led_flash_cnt[2761][3]~65538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2761][3]~65539\ : std_logic;
SIGNAL \led_flash_cnt[2761][4]~65540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2761][4]~65541\ : std_logic;
SIGNAL \led_flash_cnt[2761][5]~65542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2761][5]~65543\ : std_logic;
SIGNAL \led_flash_cnt[2761][6]~65544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][6]~q\ : std_logic;
SIGNAL \WideAnd2761~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][6]~65545\ : std_logic;
SIGNAL \led_flash_cnt[2761][7]~65546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2761][7]~q\ : std_logic;
SIGNAL \WideAnd2761~0_combout\ : std_logic;
SIGNAL \WideAnd2761~combout\ : std_logic;
SIGNAL \WideAnd4185~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][0]~83405_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2765][1]~65590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2765][1]~65591\ : std_logic;
SIGNAL \led_flash_cnt[2765][2]~65592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2765][2]~65593\ : std_logic;
SIGNAL \led_flash_cnt[2765][3]~65594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2765][3]~65595\ : std_logic;
SIGNAL \led_flash_cnt[2765][4]~65596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][4]~q\ : std_logic;
SIGNAL \WideAnd2765~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][4]~65597\ : std_logic;
SIGNAL \led_flash_cnt[2765][5]~65598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2765][5]~65599\ : std_logic;
SIGNAL \led_flash_cnt[2765][6]~65600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][6]~q\ : std_logic;
SIGNAL \WideAnd2765~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][6]~65601\ : std_logic;
SIGNAL \led_flash_cnt[2765][7]~65602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2765][7]~q\ : std_logic;
SIGNAL \WideAnd2765~combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][0]~83404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2764][1]~65576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2764][1]~65577\ : std_logic;
SIGNAL \led_flash_cnt[2764][2]~65578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2764][2]~65579\ : std_logic;
SIGNAL \led_flash_cnt[2764][3]~65580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2764][3]~65581\ : std_logic;
SIGNAL \led_flash_cnt[2764][4]~65582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2764][4]~65583\ : std_logic;
SIGNAL \led_flash_cnt[2764][5]~65584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2764][5]~65585\ : std_logic;
SIGNAL \led_flash_cnt[2764][6]~65586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][6]~q\ : std_logic;
SIGNAL \WideAnd2764~1_combout\ : std_logic;
SIGNAL \WideAnd2764~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][6]~65587\ : std_logic;
SIGNAL \led_flash_cnt[2764][7]~65588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2764][7]~q\ : std_logic;
SIGNAL \WideAnd2764~combout\ : std_logic;
SIGNAL \WideAnd4185~1_combout\ : std_logic;
SIGNAL \WideAnd4185~combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][0]~83394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2754][1]~65436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2754][1]~65437\ : std_logic;
SIGNAL \led_flash_cnt[2754][2]~65438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2754][2]~65439\ : std_logic;
SIGNAL \led_flash_cnt[2754][3]~65440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2754][3]~65441\ : std_logic;
SIGNAL \led_flash_cnt[2754][4]~65442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2754][4]~65443\ : std_logic;
SIGNAL \led_flash_cnt[2754][5]~65444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2754][5]~65445\ : std_logic;
SIGNAL \led_flash_cnt[2754][6]~65446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][6]~q\ : std_logic;
SIGNAL \WideAnd2754~1_combout\ : std_logic;
SIGNAL \WideAnd2754~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][6]~65447\ : std_logic;
SIGNAL \led_flash_cnt[2754][7]~65448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2754][7]~q\ : std_logic;
SIGNAL \WideAnd2754~combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][0]~83393_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2753][1]~65422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2753][1]~65423\ : std_logic;
SIGNAL \led_flash_cnt[2753][2]~65424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2753][2]~65425\ : std_logic;
SIGNAL \led_flash_cnt[2753][3]~65426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2753][3]~65427\ : std_logic;
SIGNAL \led_flash_cnt[2753][4]~65428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2753][4]~65429\ : std_logic;
SIGNAL \led_flash_cnt[2753][5]~65430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2753][5]~65431\ : std_logic;
SIGNAL \led_flash_cnt[2753][6]~65432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][6]~q\ : std_logic;
SIGNAL \WideAnd2753~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][6]~65433\ : std_logic;
SIGNAL \led_flash_cnt[2753][7]~65434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2753][7]~q\ : std_logic;
SIGNAL \WideAnd2753~0_combout\ : std_logic;
SIGNAL \WideAnd2753~combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][0]~83395_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2755][1]~65450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2755][1]~65451\ : std_logic;
SIGNAL \led_flash_cnt[2755][2]~65452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2755][2]~65453\ : std_logic;
SIGNAL \led_flash_cnt[2755][3]~65454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2755][3]~65455\ : std_logic;
SIGNAL \led_flash_cnt[2755][4]~65456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][4]~q\ : std_logic;
SIGNAL \WideAnd2755~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][4]~65457\ : std_logic;
SIGNAL \led_flash_cnt[2755][5]~65458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2755][5]~65459\ : std_logic;
SIGNAL \led_flash_cnt[2755][6]~65460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][6]~q\ : std_logic;
SIGNAL \WideAnd2755~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][6]~65461\ : std_logic;
SIGNAL \led_flash_cnt[2755][7]~65462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2755][7]~q\ : std_logic;
SIGNAL \WideAnd2755~combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][0]~83392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2752][1]~65408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2752][1]~65409\ : std_logic;
SIGNAL \led_flash_cnt[2752][2]~65410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2752][2]~65411\ : std_logic;
SIGNAL \led_flash_cnt[2752][3]~65412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2752][3]~65413\ : std_logic;
SIGNAL \led_flash_cnt[2752][4]~65414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2752][4]~65415\ : std_logic;
SIGNAL \led_flash_cnt[2752][5]~65416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2752][5]~65417\ : std_logic;
SIGNAL \led_flash_cnt[2752][6]~65418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2752][6]~65419\ : std_logic;
SIGNAL \led_flash_cnt[2752][7]~65420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2752][7]~q\ : std_logic;
SIGNAL \WideAnd2752~1_combout\ : std_logic;
SIGNAL \WideAnd2752~0_combout\ : std_logic;
SIGNAL \WideAnd2752~combout\ : std_logic;
SIGNAL \WideAnd4184~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][0]~83398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2758][1]~65492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2758][1]~65493\ : std_logic;
SIGNAL \led_flash_cnt[2758][2]~65494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2758][2]~65495\ : std_logic;
SIGNAL \led_flash_cnt[2758][3]~65496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2758][3]~65497\ : std_logic;
SIGNAL \led_flash_cnt[2758][4]~65498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2758][4]~65499\ : std_logic;
SIGNAL \led_flash_cnt[2758][5]~65500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2758][5]~65501\ : std_logic;
SIGNAL \led_flash_cnt[2758][6]~65502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2758][6]~65503\ : std_logic;
SIGNAL \led_flash_cnt[2758][7]~65504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2758][7]~q\ : std_logic;
SIGNAL \WideAnd2758~1_combout\ : std_logic;
SIGNAL \WideAnd2758~0_combout\ : std_logic;
SIGNAL \WideAnd2758~combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][0]~83399_combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2759][1]~65506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2759][1]~65507\ : std_logic;
SIGNAL \led_flash_cnt[2759][2]~65508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2759][2]~65509\ : std_logic;
SIGNAL \led_flash_cnt[2759][3]~65510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2759][3]~65511\ : std_logic;
SIGNAL \led_flash_cnt[2759][4]~65512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2759][4]~65513\ : std_logic;
SIGNAL \led_flash_cnt[2759][5]~65514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2759][5]~65515\ : std_logic;
SIGNAL \led_flash_cnt[2759][6]~65516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2759][6]~65517\ : std_logic;
SIGNAL \led_flash_cnt[2759][7]~65518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2759][7]~q\ : std_logic;
SIGNAL \WideAnd2759~1_combout\ : std_logic;
SIGNAL \WideAnd2759~0_combout\ : std_logic;
SIGNAL \WideAnd2759~combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][0]~83396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2756][1]~65464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2756][1]~65465\ : std_logic;
SIGNAL \led_flash_cnt[2756][2]~65466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2756][2]~65467\ : std_logic;
SIGNAL \led_flash_cnt[2756][3]~65468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2756][3]~65469\ : std_logic;
SIGNAL \led_flash_cnt[2756][4]~65470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][4]~q\ : std_logic;
SIGNAL \WideAnd2756~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][4]~65471\ : std_logic;
SIGNAL \led_flash_cnt[2756][5]~65472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2756][5]~65473\ : std_logic;
SIGNAL \led_flash_cnt[2756][6]~65474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2756][6]~65475\ : std_logic;
SIGNAL \led_flash_cnt[2756][7]~65476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2756][7]~q\ : std_logic;
SIGNAL \WideAnd2756~1_combout\ : std_logic;
SIGNAL \WideAnd2756~combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][0]~83397_combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2757][1]~65478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2757][1]~65479\ : std_logic;
SIGNAL \led_flash_cnt[2757][2]~65480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2757][2]~65481\ : std_logic;
SIGNAL \led_flash_cnt[2757][3]~65482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2757][3]~65483\ : std_logic;
SIGNAL \led_flash_cnt[2757][4]~65484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2757][4]~65485\ : std_logic;
SIGNAL \led_flash_cnt[2757][5]~65486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2757][5]~65487\ : std_logic;
SIGNAL \led_flash_cnt[2757][6]~65488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2757][6]~65489\ : std_logic;
SIGNAL \led_flash_cnt[2757][7]~65490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2757][7]~q\ : std_logic;
SIGNAL \WideAnd2757~0_combout\ : std_logic;
SIGNAL \WideAnd2757~1_combout\ : std_logic;
SIGNAL \WideAnd2757~combout\ : std_logic;
SIGNAL \WideAnd4184~1_combout\ : std_logic;
SIGNAL \WideAnd4184~combout\ : std_logic;
SIGNAL \WideAnd4363~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][0]~83455_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2815][1]~66290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2815][1]~66291\ : std_logic;
SIGNAL \led_flash_cnt[2815][2]~66292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2815][2]~66293\ : std_logic;
SIGNAL \led_flash_cnt[2815][3]~66294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2815][3]~66295\ : std_logic;
SIGNAL \led_flash_cnt[2815][4]~66296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][4]~q\ : std_logic;
SIGNAL \WideAnd2815~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][4]~66297\ : std_logic;
SIGNAL \led_flash_cnt[2815][5]~66298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2815][5]~66299\ : std_logic;
SIGNAL \led_flash_cnt[2815][6]~66300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][6]~q\ : std_logic;
SIGNAL \WideAnd2815~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][6]~66301\ : std_logic;
SIGNAL \led_flash_cnt[2815][7]~66302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2815][7]~q\ : std_logic;
SIGNAL \WideAnd2815~combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][0]~83453_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2813][1]~66262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2813][1]~66263\ : std_logic;
SIGNAL \led_flash_cnt[2813][2]~66264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2813][2]~66265\ : std_logic;
SIGNAL \led_flash_cnt[2813][3]~66266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2813][3]~66267\ : std_logic;
SIGNAL \led_flash_cnt[2813][4]~66268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2813][4]~66269\ : std_logic;
SIGNAL \led_flash_cnt[2813][5]~66270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2813][5]~66271\ : std_logic;
SIGNAL \led_flash_cnt[2813][6]~66272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][6]~q\ : std_logic;
SIGNAL \WideAnd2813~1_combout\ : std_logic;
SIGNAL \WideAnd2813~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][6]~66273\ : std_logic;
SIGNAL \led_flash_cnt[2813][7]~66274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2813][7]~q\ : std_logic;
SIGNAL \WideAnd2813~combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][0]~83452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2812][1]~66248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2812][1]~66249\ : std_logic;
SIGNAL \led_flash_cnt[2812][2]~66250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2812][2]~66251\ : std_logic;
SIGNAL \led_flash_cnt[2812][3]~66252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2812][3]~66253\ : std_logic;
SIGNAL \led_flash_cnt[2812][4]~66254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2812][4]~66255\ : std_logic;
SIGNAL \led_flash_cnt[2812][5]~66256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2812][5]~66257\ : std_logic;
SIGNAL \led_flash_cnt[2812][6]~66258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2812][6]~66259\ : std_logic;
SIGNAL \led_flash_cnt[2812][7]~66260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2812][7]~q\ : std_logic;
SIGNAL \WideAnd2812~0_combout\ : std_logic;
SIGNAL \WideAnd2812~1_combout\ : std_logic;
SIGNAL \WideAnd2812~combout\ : std_logic;
SIGNAL \WideAnd4191~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][0]~83450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2810][1]~66220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2810][1]~66221\ : std_logic;
SIGNAL \led_flash_cnt[2810][2]~66222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2810][2]~66223\ : std_logic;
SIGNAL \led_flash_cnt[2810][3]~66224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2810][3]~66225\ : std_logic;
SIGNAL \led_flash_cnt[2810][4]~66226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2810][4]~66227\ : std_logic;
SIGNAL \led_flash_cnt[2810][5]~66228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2810][5]~66229\ : std_logic;
SIGNAL \led_flash_cnt[2810][6]~66230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][6]~q\ : std_logic;
SIGNAL \WideAnd2810~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][6]~66231\ : std_logic;
SIGNAL \led_flash_cnt[2810][7]~66232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2810][7]~q\ : std_logic;
SIGNAL \WideAnd2810~0_combout\ : std_logic;
SIGNAL \WideAnd2810~combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][0]~83451_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2811][1]~66234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2811][1]~66235\ : std_logic;
SIGNAL \led_flash_cnt[2811][2]~66236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2811][2]~66237\ : std_logic;
SIGNAL \led_flash_cnt[2811][3]~66238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2811][3]~66239\ : std_logic;
SIGNAL \led_flash_cnt[2811][4]~66240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2811][4]~66241\ : std_logic;
SIGNAL \led_flash_cnt[2811][5]~66242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2811][5]~66243\ : std_logic;
SIGNAL \led_flash_cnt[2811][6]~66244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][6]~q\ : std_logic;
SIGNAL \WideAnd2811~1_combout\ : std_logic;
SIGNAL \WideAnd2811~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][6]~66245\ : std_logic;
SIGNAL \led_flash_cnt[2811][7]~66246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2811][7]~q\ : std_logic;
SIGNAL \WideAnd2811~combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][0]~83448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2808][1]~66192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2808][1]~66193\ : std_logic;
SIGNAL \led_flash_cnt[2808][2]~66194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2808][2]~66195\ : std_logic;
SIGNAL \led_flash_cnt[2808][3]~66196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2808][3]~66197\ : std_logic;
SIGNAL \led_flash_cnt[2808][4]~66198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2808][4]~66199\ : std_logic;
SIGNAL \led_flash_cnt[2808][5]~66200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2808][5]~66201\ : std_logic;
SIGNAL \led_flash_cnt[2808][6]~66202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][6]~q\ : std_logic;
SIGNAL \WideAnd2808~1_combout\ : std_logic;
SIGNAL \WideAnd2808~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][6]~66203\ : std_logic;
SIGNAL \led_flash_cnt[2808][7]~66204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2808][7]~q\ : std_logic;
SIGNAL \WideAnd2808~combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][0]~83449_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2809][1]~66206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2809][1]~66207\ : std_logic;
SIGNAL \led_flash_cnt[2809][2]~66208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2809][2]~66209\ : std_logic;
SIGNAL \led_flash_cnt[2809][3]~66210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2809][3]~66211\ : std_logic;
SIGNAL \led_flash_cnt[2809][4]~66212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][4]~q\ : std_logic;
SIGNAL \WideAnd2809~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][4]~66213\ : std_logic;
SIGNAL \led_flash_cnt[2809][5]~66214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2809][5]~66215\ : std_logic;
SIGNAL \led_flash_cnt[2809][6]~66216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2809][6]~66217\ : std_logic;
SIGNAL \led_flash_cnt[2809][7]~66218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2809][7]~q\ : std_logic;
SIGNAL \WideAnd2809~1_combout\ : std_logic;
SIGNAL \WideAnd2809~combout\ : std_logic;
SIGNAL \WideAnd4191~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][0]~83454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2814][1]~66276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2814][1]~66277\ : std_logic;
SIGNAL \led_flash_cnt[2814][2]~66278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2814][2]~66279\ : std_logic;
SIGNAL \led_flash_cnt[2814][3]~66280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2814][3]~66281\ : std_logic;
SIGNAL \led_flash_cnt[2814][4]~66282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][4]~q\ : std_logic;
SIGNAL \WideAnd2814~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][4]~66283\ : std_logic;
SIGNAL \led_flash_cnt[2814][5]~66284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2814][5]~66285\ : std_logic;
SIGNAL \led_flash_cnt[2814][6]~66286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2814][6]~66287\ : std_logic;
SIGNAL \led_flash_cnt[2814][7]~66288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2814][7]~q\ : std_logic;
SIGNAL \WideAnd2814~1_combout\ : std_logic;
SIGNAL \WideAnd2814~combout\ : std_logic;
SIGNAL \WideAnd4191~combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][0]~83438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2798][1]~66052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2798][1]~66053\ : std_logic;
SIGNAL \led_flash_cnt[2798][2]~66054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2798][2]~66055\ : std_logic;
SIGNAL \led_flash_cnt[2798][3]~66056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2798][3]~66057\ : std_logic;
SIGNAL \led_flash_cnt[2798][4]~66058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][4]~q\ : std_logic;
SIGNAL \WideAnd2798~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][4]~66059\ : std_logic;
SIGNAL \led_flash_cnt[2798][5]~66060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2798][5]~66061\ : std_logic;
SIGNAL \led_flash_cnt[2798][6]~66062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][6]~q\ : std_logic;
SIGNAL \WideAnd2798~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][6]~66063\ : std_logic;
SIGNAL \led_flash_cnt[2798][7]~66064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2798][7]~q\ : std_logic;
SIGNAL \WideAnd2798~combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][0]~83436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2796][1]~66024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2796][1]~66025\ : std_logic;
SIGNAL \led_flash_cnt[2796][2]~66026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2796][2]~66027\ : std_logic;
SIGNAL \led_flash_cnt[2796][3]~66028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2796][3]~66029\ : std_logic;
SIGNAL \led_flash_cnt[2796][4]~66030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2796][4]~66031\ : std_logic;
SIGNAL \led_flash_cnt[2796][5]~66032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2796][5]~66033\ : std_logic;
SIGNAL \led_flash_cnt[2796][6]~66034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2796][6]~66035\ : std_logic;
SIGNAL \led_flash_cnt[2796][7]~66036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2796][7]~q\ : std_logic;
SIGNAL \WideAnd2796~0_combout\ : std_logic;
SIGNAL \WideAnd2796~1_combout\ : std_logic;
SIGNAL \WideAnd2796~combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][0]~83437_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2797][1]~66038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2797][1]~66039\ : std_logic;
SIGNAL \led_flash_cnt[2797][2]~66040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2797][2]~66041\ : std_logic;
SIGNAL \led_flash_cnt[2797][3]~66042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2797][3]~66043\ : std_logic;
SIGNAL \led_flash_cnt[2797][4]~66044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][4]~q\ : std_logic;
SIGNAL \WideAnd2797~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][4]~66045\ : std_logic;
SIGNAL \led_flash_cnt[2797][5]~66046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2797][5]~66047\ : std_logic;
SIGNAL \led_flash_cnt[2797][6]~66048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][6]~q\ : std_logic;
SIGNAL \WideAnd2797~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][6]~66049\ : std_logic;
SIGNAL \led_flash_cnt[2797][7]~66050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2797][7]~q\ : std_logic;
SIGNAL \WideAnd2797~combout\ : std_logic;
SIGNAL \WideAnd4189~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][0]~83439_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2799][1]~66066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2799][1]~66067\ : std_logic;
SIGNAL \led_flash_cnt[2799][2]~66068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2799][2]~66069\ : std_logic;
SIGNAL \led_flash_cnt[2799][3]~66070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2799][3]~66071\ : std_logic;
SIGNAL \led_flash_cnt[2799][4]~66072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][4]~q\ : std_logic;
SIGNAL \WideAnd2799~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][4]~66073\ : std_logic;
SIGNAL \led_flash_cnt[2799][5]~66074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2799][5]~66075\ : std_logic;
SIGNAL \led_flash_cnt[2799][6]~66076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2799][6]~66077\ : std_logic;
SIGNAL \led_flash_cnt[2799][7]~66078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2799][7]~q\ : std_logic;
SIGNAL \WideAnd2799~1_combout\ : std_logic;
SIGNAL \WideAnd2799~combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][0]~83434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2794][1]~65996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2794][1]~65997\ : std_logic;
SIGNAL \led_flash_cnt[2794][2]~65998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2794][2]~65999\ : std_logic;
SIGNAL \led_flash_cnt[2794][3]~66000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2794][3]~66001\ : std_logic;
SIGNAL \led_flash_cnt[2794][4]~66002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2794][4]~66003\ : std_logic;
SIGNAL \led_flash_cnt[2794][5]~66004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2794][5]~66005\ : std_logic;
SIGNAL \led_flash_cnt[2794][6]~66006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][6]~q\ : std_logic;
SIGNAL \WideAnd2794~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][6]~66007\ : std_logic;
SIGNAL \led_flash_cnt[2794][7]~66008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2794][7]~q\ : std_logic;
SIGNAL \WideAnd2794~0_combout\ : std_logic;
SIGNAL \WideAnd2794~combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][0]~83435_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2795][1]~66010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2795][1]~66011\ : std_logic;
SIGNAL \led_flash_cnt[2795][2]~66012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2795][2]~66013\ : std_logic;
SIGNAL \led_flash_cnt[2795][3]~66014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2795][3]~66015\ : std_logic;
SIGNAL \led_flash_cnt[2795][4]~66016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2795][4]~66017\ : std_logic;
SIGNAL \led_flash_cnt[2795][5]~66018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2795][5]~66019\ : std_logic;
SIGNAL \led_flash_cnt[2795][6]~66020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][6]~q\ : std_logic;
SIGNAL \WideAnd2795~1_combout\ : std_logic;
SIGNAL \WideAnd2795~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][6]~66021\ : std_logic;
SIGNAL \led_flash_cnt[2795][7]~66022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2795][7]~q\ : std_logic;
SIGNAL \WideAnd2795~combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][0]~83433_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2793][1]~65982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2793][1]~65983\ : std_logic;
SIGNAL \led_flash_cnt[2793][2]~65984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2793][2]~65985\ : std_logic;
SIGNAL \led_flash_cnt[2793][3]~65986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2793][3]~65987\ : std_logic;
SIGNAL \led_flash_cnt[2793][4]~65988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2793][4]~65989\ : std_logic;
SIGNAL \led_flash_cnt[2793][5]~65990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2793][5]~65991\ : std_logic;
SIGNAL \led_flash_cnt[2793][6]~65992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][6]~q\ : std_logic;
SIGNAL \WideAnd2793~1_combout\ : std_logic;
SIGNAL \WideAnd2793~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][6]~65993\ : std_logic;
SIGNAL \led_flash_cnt[2793][7]~65994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2793][7]~q\ : std_logic;
SIGNAL \WideAnd2793~combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][0]~83432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2792][1]~65968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2792][1]~65969\ : std_logic;
SIGNAL \led_flash_cnt[2792][2]~65970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2792][2]~65971\ : std_logic;
SIGNAL \led_flash_cnt[2792][3]~65972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2792][3]~65973\ : std_logic;
SIGNAL \led_flash_cnt[2792][4]~65974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][4]~q\ : std_logic;
SIGNAL \WideAnd2792~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][4]~65975\ : std_logic;
SIGNAL \led_flash_cnt[2792][5]~65976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2792][5]~65977\ : std_logic;
SIGNAL \led_flash_cnt[2792][6]~65978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][6]~q\ : std_logic;
SIGNAL \WideAnd2792~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][6]~65979\ : std_logic;
SIGNAL \led_flash_cnt[2792][7]~65980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2792][7]~q\ : std_logic;
SIGNAL \WideAnd2792~combout\ : std_logic;
SIGNAL \WideAnd4189~0_combout\ : std_logic;
SIGNAL \WideAnd4189~combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][0]~83430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2790][1]~65940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2790][1]~65941\ : std_logic;
SIGNAL \led_flash_cnt[2790][2]~65942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2790][2]~65943\ : std_logic;
SIGNAL \led_flash_cnt[2790][3]~65944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2790][3]~65945\ : std_logic;
SIGNAL \led_flash_cnt[2790][4]~65946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][4]~q\ : std_logic;
SIGNAL \WideAnd2790~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][4]~65947\ : std_logic;
SIGNAL \led_flash_cnt[2790][5]~65948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2790][5]~65949\ : std_logic;
SIGNAL \led_flash_cnt[2790][6]~65950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2790][6]~65951\ : std_logic;
SIGNAL \led_flash_cnt[2790][7]~65952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2790][7]~q\ : std_logic;
SIGNAL \WideAnd2790~1_combout\ : std_logic;
SIGNAL \WideAnd2790~combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][0]~83426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2786][1]~65884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2786][1]~65885\ : std_logic;
SIGNAL \led_flash_cnt[2786][2]~65886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2786][2]~65887\ : std_logic;
SIGNAL \led_flash_cnt[2786][3]~65888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2786][3]~65889\ : std_logic;
SIGNAL \led_flash_cnt[2786][4]~65890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2786][4]~65891\ : std_logic;
SIGNAL \led_flash_cnt[2786][5]~65892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2786][5]~65893\ : std_logic;
SIGNAL \led_flash_cnt[2786][6]~65894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][6]~q\ : std_logic;
SIGNAL \WideAnd2786~1_combout\ : std_logic;
SIGNAL \WideAnd2786~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][6]~65895\ : std_logic;
SIGNAL \led_flash_cnt[2786][7]~65896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2786][7]~q\ : std_logic;
SIGNAL \WideAnd2786~combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][0]~83427_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2787][1]~65898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2787][1]~65899\ : std_logic;
SIGNAL \led_flash_cnt[2787][2]~65900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2787][2]~65901\ : std_logic;
SIGNAL \led_flash_cnt[2787][3]~65902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2787][3]~65903\ : std_logic;
SIGNAL \led_flash_cnt[2787][4]~65904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2787][4]~65905\ : std_logic;
SIGNAL \led_flash_cnt[2787][5]~65906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2787][5]~65907\ : std_logic;
SIGNAL \led_flash_cnt[2787][6]~65908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][6]~q\ : std_logic;
SIGNAL \WideAnd2787~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][6]~65909\ : std_logic;
SIGNAL \led_flash_cnt[2787][7]~65910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2787][7]~q\ : std_logic;
SIGNAL \WideAnd2787~0_combout\ : std_logic;
SIGNAL \WideAnd2787~combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][0]~83424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2784][1]~65856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2784][1]~65857\ : std_logic;
SIGNAL \led_flash_cnt[2784][2]~65858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2784][2]~65859\ : std_logic;
SIGNAL \led_flash_cnt[2784][3]~65860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2784][3]~65861\ : std_logic;
SIGNAL \led_flash_cnt[2784][4]~65862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2784][4]~65863\ : std_logic;
SIGNAL \led_flash_cnt[2784][5]~65864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2784][5]~65865\ : std_logic;
SIGNAL \led_flash_cnt[2784][6]~65866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][6]~q\ : std_logic;
SIGNAL \WideAnd2784~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][6]~65867\ : std_logic;
SIGNAL \led_flash_cnt[2784][7]~65868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2784][7]~q\ : std_logic;
SIGNAL \WideAnd2784~0_combout\ : std_logic;
SIGNAL \WideAnd2784~combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][0]~83425_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2785][1]~65870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2785][1]~65871\ : std_logic;
SIGNAL \led_flash_cnt[2785][2]~65872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2785][2]~65873\ : std_logic;
SIGNAL \led_flash_cnt[2785][3]~65874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2785][3]~65875\ : std_logic;
SIGNAL \led_flash_cnt[2785][4]~65876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][4]~q\ : std_logic;
SIGNAL \WideAnd2785~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][4]~65877\ : std_logic;
SIGNAL \led_flash_cnt[2785][5]~65878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2785][5]~65879\ : std_logic;
SIGNAL \led_flash_cnt[2785][6]~65880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2785][6]~65881\ : std_logic;
SIGNAL \led_flash_cnt[2785][7]~65882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2785][7]~q\ : std_logic;
SIGNAL \WideAnd2785~1_combout\ : std_logic;
SIGNAL \WideAnd2785~combout\ : std_logic;
SIGNAL \WideAnd4188~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][0]~83428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2788][1]~65912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2788][1]~65913\ : std_logic;
SIGNAL \led_flash_cnt[2788][2]~65914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2788][2]~65915\ : std_logic;
SIGNAL \led_flash_cnt[2788][3]~65916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2788][3]~65917\ : std_logic;
SIGNAL \led_flash_cnt[2788][4]~65918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2788][4]~65919\ : std_logic;
SIGNAL \led_flash_cnt[2788][5]~65920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2788][5]~65921\ : std_logic;
SIGNAL \led_flash_cnt[2788][6]~65922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][6]~q\ : std_logic;
SIGNAL \WideAnd2788~1_combout\ : std_logic;
SIGNAL \WideAnd2788~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][6]~65923\ : std_logic;
SIGNAL \led_flash_cnt[2788][7]~65924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2788][7]~q\ : std_logic;
SIGNAL \WideAnd2788~combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][0]~83429_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2789][1]~65926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2789][1]~65927\ : std_logic;
SIGNAL \led_flash_cnt[2789][2]~65928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2789][2]~65929\ : std_logic;
SIGNAL \led_flash_cnt[2789][3]~65930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2789][3]~65931\ : std_logic;
SIGNAL \led_flash_cnt[2789][4]~65932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2789][4]~65933\ : std_logic;
SIGNAL \led_flash_cnt[2789][5]~65934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2789][5]~65935\ : std_logic;
SIGNAL \led_flash_cnt[2789][6]~65936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][6]~q\ : std_logic;
SIGNAL \WideAnd2789~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][6]~65937\ : std_logic;
SIGNAL \led_flash_cnt[2789][7]~65938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2789][7]~q\ : std_logic;
SIGNAL \WideAnd2789~0_combout\ : std_logic;
SIGNAL \WideAnd2789~combout\ : std_logic;
SIGNAL \WideAnd4188~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][0]~83431_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2791][1]~65954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2791][1]~65955\ : std_logic;
SIGNAL \led_flash_cnt[2791][2]~65956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2791][2]~65957\ : std_logic;
SIGNAL \led_flash_cnt[2791][3]~65958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2791][3]~65959\ : std_logic;
SIGNAL \led_flash_cnt[2791][4]~65960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2791][4]~65961\ : std_logic;
SIGNAL \led_flash_cnt[2791][5]~65962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2791][5]~65963\ : std_logic;
SIGNAL \led_flash_cnt[2791][6]~65964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][6]~q\ : std_logic;
SIGNAL \WideAnd2791~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][6]~65965\ : std_logic;
SIGNAL \led_flash_cnt[2791][7]~65966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2791][7]~q\ : std_logic;
SIGNAL \WideAnd2791~0_combout\ : std_logic;
SIGNAL \WideAnd2791~combout\ : std_logic;
SIGNAL \WideAnd4188~combout\ : std_logic;
SIGNAL \WideAnd4363~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][0]~83446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2806][1]~66164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2806][1]~66165\ : std_logic;
SIGNAL \led_flash_cnt[2806][2]~66166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2806][2]~66167\ : std_logic;
SIGNAL \led_flash_cnt[2806][3]~66168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2806][3]~66169\ : std_logic;
SIGNAL \led_flash_cnt[2806][4]~66170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2806][4]~66171\ : std_logic;
SIGNAL \led_flash_cnt[2806][5]~66172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2806][5]~66173\ : std_logic;
SIGNAL \led_flash_cnt[2806][6]~66174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][6]~q\ : std_logic;
SIGNAL \WideAnd2806~1_combout\ : std_logic;
SIGNAL \WideAnd2806~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][6]~66175\ : std_logic;
SIGNAL \led_flash_cnt[2806][7]~66176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2806][7]~q\ : std_logic;
SIGNAL \WideAnd2806~combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][0]~83447_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2807][1]~66178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2807][1]~66179\ : std_logic;
SIGNAL \led_flash_cnt[2807][2]~66180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2807][2]~66181\ : std_logic;
SIGNAL \led_flash_cnt[2807][3]~66182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2807][3]~66183\ : std_logic;
SIGNAL \led_flash_cnt[2807][4]~66184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2807][4]~66185\ : std_logic;
SIGNAL \led_flash_cnt[2807][5]~66186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2807][5]~66187\ : std_logic;
SIGNAL \led_flash_cnt[2807][6]~66188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][6]~q\ : std_logic;
SIGNAL \WideAnd2807~1_combout\ : std_logic;
SIGNAL \WideAnd2807~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][6]~66189\ : std_logic;
SIGNAL \led_flash_cnt[2807][7]~66190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2807][7]~q\ : std_logic;
SIGNAL \WideAnd2807~combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][0]~83443_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2803][1]~66122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2803][1]~66123\ : std_logic;
SIGNAL \led_flash_cnt[2803][2]~66124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2803][2]~66125\ : std_logic;
SIGNAL \led_flash_cnt[2803][3]~66126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2803][3]~66127\ : std_logic;
SIGNAL \led_flash_cnt[2803][4]~66128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2803][4]~66129\ : std_logic;
SIGNAL \led_flash_cnt[2803][5]~66130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2803][5]~66131\ : std_logic;
SIGNAL \led_flash_cnt[2803][6]~66132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][6]~q\ : std_logic;
SIGNAL \WideAnd2803~1_combout\ : std_logic;
SIGNAL \WideAnd2803~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][6]~66133\ : std_logic;
SIGNAL \led_flash_cnt[2803][7]~66134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2803][7]~q\ : std_logic;
SIGNAL \WideAnd2803~combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][0]~83441_combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2801][1]~66094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2801][1]~66095\ : std_logic;
SIGNAL \led_flash_cnt[2801][2]~66096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2801][2]~66097\ : std_logic;
SIGNAL \led_flash_cnt[2801][3]~66098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2801][3]~66099\ : std_logic;
SIGNAL \led_flash_cnt[2801][4]~66100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2801][4]~66101\ : std_logic;
SIGNAL \led_flash_cnt[2801][5]~66102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2801][5]~66103\ : std_logic;
SIGNAL \led_flash_cnt[2801][6]~66104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2801][6]~66105\ : std_logic;
SIGNAL \led_flash_cnt[2801][7]~66106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2801][7]~q\ : std_logic;
SIGNAL \WideAnd2801~1_combout\ : std_logic;
SIGNAL \WideAnd2801~0_combout\ : std_logic;
SIGNAL \WideAnd2801~combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][0]~83440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2800][1]~66080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2800][1]~66081\ : std_logic;
SIGNAL \led_flash_cnt[2800][2]~66082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2800][2]~66083\ : std_logic;
SIGNAL \led_flash_cnt[2800][3]~66084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2800][3]~66085\ : std_logic;
SIGNAL \led_flash_cnt[2800][4]~66086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2800][4]~66087\ : std_logic;
SIGNAL \led_flash_cnt[2800][5]~66088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2800][5]~66089\ : std_logic;
SIGNAL \led_flash_cnt[2800][6]~66090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2800][6]~66091\ : std_logic;
SIGNAL \led_flash_cnt[2800][7]~66092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2800][7]~q\ : std_logic;
SIGNAL \WideAnd2800~0_combout\ : std_logic;
SIGNAL \WideAnd2800~1_combout\ : std_logic;
SIGNAL \WideAnd2800~combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][0]~83442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2802][1]~66108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2802][1]~66109\ : std_logic;
SIGNAL \led_flash_cnt[2802][2]~66110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2802][2]~66111\ : std_logic;
SIGNAL \led_flash_cnt[2802][3]~66112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2802][3]~66113\ : std_logic;
SIGNAL \led_flash_cnt[2802][4]~66114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][4]~q\ : std_logic;
SIGNAL \WideAnd2802~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][4]~66115\ : std_logic;
SIGNAL \led_flash_cnt[2802][5]~66116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2802][5]~66117\ : std_logic;
SIGNAL \led_flash_cnt[2802][6]~66118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][6]~q\ : std_logic;
SIGNAL \WideAnd2802~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][6]~66119\ : std_logic;
SIGNAL \led_flash_cnt[2802][7]~66120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2802][7]~q\ : std_logic;
SIGNAL \WideAnd2802~combout\ : std_logic;
SIGNAL \WideAnd4190~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][0]~83444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2804][1]~66136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2804][1]~66137\ : std_logic;
SIGNAL \led_flash_cnt[2804][2]~66138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2804][2]~66139\ : std_logic;
SIGNAL \led_flash_cnt[2804][3]~66140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2804][3]~66141\ : std_logic;
SIGNAL \led_flash_cnt[2804][4]~66142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][4]~q\ : std_logic;
SIGNAL \WideAnd2804~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][4]~66143\ : std_logic;
SIGNAL \led_flash_cnt[2804][5]~66144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2804][5]~66145\ : std_logic;
SIGNAL \led_flash_cnt[2804][6]~66146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2804][6]~66147\ : std_logic;
SIGNAL \led_flash_cnt[2804][7]~66148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2804][7]~q\ : std_logic;
SIGNAL \WideAnd2804~1_combout\ : std_logic;
SIGNAL \WideAnd2804~combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][0]~83445_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2805][1]~66150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2805][1]~66151\ : std_logic;
SIGNAL \led_flash_cnt[2805][2]~66152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2805][2]~66153\ : std_logic;
SIGNAL \led_flash_cnt[2805][3]~66154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2805][3]~66155\ : std_logic;
SIGNAL \led_flash_cnt[2805][4]~66156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][4]~q\ : std_logic;
SIGNAL \WideAnd2805~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][4]~66157\ : std_logic;
SIGNAL \led_flash_cnt[2805][5]~66158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2805][5]~66159\ : std_logic;
SIGNAL \led_flash_cnt[2805][6]~66160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2805][6]~66161\ : std_logic;
SIGNAL \led_flash_cnt[2805][7]~66162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2805][7]~q\ : std_logic;
SIGNAL \WideAnd2805~1_combout\ : std_logic;
SIGNAL \WideAnd2805~combout\ : std_logic;
SIGNAL \WideAnd4190~1_combout\ : std_logic;
SIGNAL \WideAnd4190~combout\ : std_logic;
SIGNAL \WideAnd4363~combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][0]~83311_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2671][1]~64274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2671][1]~64275\ : std_logic;
SIGNAL \led_flash_cnt[2671][2]~64276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2671][2]~64277\ : std_logic;
SIGNAL \led_flash_cnt[2671][3]~64278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2671][3]~64279\ : std_logic;
SIGNAL \led_flash_cnt[2671][4]~64280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2671][4]~64281\ : std_logic;
SIGNAL \led_flash_cnt[2671][5]~64282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2671][5]~64283\ : std_logic;
SIGNAL \led_flash_cnt[2671][6]~64284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][6]~q\ : std_logic;
SIGNAL \WideAnd2671~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][6]~64285\ : std_logic;
SIGNAL \led_flash_cnt[2671][7]~64286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2671][7]~q\ : std_logic;
SIGNAL \WideAnd2671~0_combout\ : std_logic;
SIGNAL \WideAnd2671~combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][0]~83304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2664][1]~64176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2664][1]~64177\ : std_logic;
SIGNAL \led_flash_cnt[2664][2]~64178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2664][2]~64179\ : std_logic;
SIGNAL \led_flash_cnt[2664][3]~64180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2664][3]~64181\ : std_logic;
SIGNAL \led_flash_cnt[2664][4]~64182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][4]~q\ : std_logic;
SIGNAL \WideAnd2664~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][4]~64183\ : std_logic;
SIGNAL \led_flash_cnt[2664][5]~64184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2664][5]~64185\ : std_logic;
SIGNAL \led_flash_cnt[2664][6]~64186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2664][6]~64187\ : std_logic;
SIGNAL \led_flash_cnt[2664][7]~64188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2664][7]~q\ : std_logic;
SIGNAL \WideAnd2664~1_combout\ : std_logic;
SIGNAL \WideAnd2664~combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][0]~83306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2666][1]~64204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2666][1]~64205\ : std_logic;
SIGNAL \led_flash_cnt[2666][2]~64206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2666][2]~64207\ : std_logic;
SIGNAL \led_flash_cnt[2666][3]~64208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2666][3]~64209\ : std_logic;
SIGNAL \led_flash_cnt[2666][4]~64210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2666][4]~64211\ : std_logic;
SIGNAL \led_flash_cnt[2666][5]~64212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2666][5]~64213\ : std_logic;
SIGNAL \led_flash_cnt[2666][6]~64214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][6]~q\ : std_logic;
SIGNAL \WideAnd2666~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][6]~64215\ : std_logic;
SIGNAL \led_flash_cnt[2666][7]~64216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2666][7]~q\ : std_logic;
SIGNAL \WideAnd2666~0_combout\ : std_logic;
SIGNAL \WideAnd2666~combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][0]~83307_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2667][1]~64218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2667][1]~64219\ : std_logic;
SIGNAL \led_flash_cnt[2667][2]~64220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2667][2]~64221\ : std_logic;
SIGNAL \led_flash_cnt[2667][3]~64222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2667][3]~64223\ : std_logic;
SIGNAL \led_flash_cnt[2667][4]~64224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2667][4]~64225\ : std_logic;
SIGNAL \led_flash_cnt[2667][5]~64226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2667][5]~64227\ : std_logic;
SIGNAL \led_flash_cnt[2667][6]~64228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][6]~q\ : std_logic;
SIGNAL \WideAnd2667~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][6]~64229\ : std_logic;
SIGNAL \led_flash_cnt[2667][7]~64230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2667][7]~q\ : std_logic;
SIGNAL \WideAnd2667~0_combout\ : std_logic;
SIGNAL \WideAnd2667~combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][0]~83305_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2665][1]~64190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2665][1]~64191\ : std_logic;
SIGNAL \led_flash_cnt[2665][2]~64192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2665][2]~64193\ : std_logic;
SIGNAL \led_flash_cnt[2665][3]~64194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2665][3]~64195\ : std_logic;
SIGNAL \led_flash_cnt[2665][4]~64196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2665][4]~64197\ : std_logic;
SIGNAL \led_flash_cnt[2665][5]~64198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2665][5]~64199\ : std_logic;
SIGNAL \led_flash_cnt[2665][6]~64200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][6]~q\ : std_logic;
SIGNAL \WideAnd2665~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][6]~64201\ : std_logic;
SIGNAL \led_flash_cnt[2665][7]~64202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2665][7]~q\ : std_logic;
SIGNAL \WideAnd2665~0_combout\ : std_logic;
SIGNAL \WideAnd2665~combout\ : std_logic;
SIGNAL \WideAnd4173~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][0]~83309_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2669][1]~64246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2669][1]~64247\ : std_logic;
SIGNAL \led_flash_cnt[2669][2]~64248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2669][2]~64249\ : std_logic;
SIGNAL \led_flash_cnt[2669][3]~64250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2669][3]~64251\ : std_logic;
SIGNAL \led_flash_cnt[2669][4]~64252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2669][4]~64253\ : std_logic;
SIGNAL \led_flash_cnt[2669][5]~64254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2669][5]~64255\ : std_logic;
SIGNAL \led_flash_cnt[2669][6]~64256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2669][6]~64257\ : std_logic;
SIGNAL \led_flash_cnt[2669][7]~64258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2669][7]~q\ : std_logic;
SIGNAL \WideAnd2669~1_combout\ : std_logic;
SIGNAL \WideAnd2669~0_combout\ : std_logic;
SIGNAL \WideAnd2669~combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][0]~83308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2668][1]~64232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2668][1]~64233\ : std_logic;
SIGNAL \led_flash_cnt[2668][2]~64234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2668][2]~64235\ : std_logic;
SIGNAL \led_flash_cnt[2668][3]~64236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2668][3]~64237\ : std_logic;
SIGNAL \led_flash_cnt[2668][4]~64238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][4]~q\ : std_logic;
SIGNAL \WideAnd2668~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][4]~64239\ : std_logic;
SIGNAL \led_flash_cnt[2668][5]~64240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2668][5]~64241\ : std_logic;
SIGNAL \led_flash_cnt[2668][6]~64242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][6]~q\ : std_logic;
SIGNAL \WideAnd2668~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][6]~64243\ : std_logic;
SIGNAL \led_flash_cnt[2668][7]~64244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2668][7]~q\ : std_logic;
SIGNAL \WideAnd2668~combout\ : std_logic;
SIGNAL \WideAnd4173~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][0]~83310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2670][1]~64260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2670][1]~64261\ : std_logic;
SIGNAL \led_flash_cnt[2670][2]~64262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2670][2]~64263\ : std_logic;
SIGNAL \led_flash_cnt[2670][3]~64264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2670][3]~64265\ : std_logic;
SIGNAL \led_flash_cnt[2670][4]~64266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2670][4]~64267\ : std_logic;
SIGNAL \led_flash_cnt[2670][5]~64268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2670][5]~64269\ : std_logic;
SIGNAL \led_flash_cnt[2670][6]~64270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][6]~q\ : std_logic;
SIGNAL \WideAnd2670~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][6]~64271\ : std_logic;
SIGNAL \led_flash_cnt[2670][7]~64272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2670][7]~q\ : std_logic;
SIGNAL \WideAnd2670~0_combout\ : std_logic;
SIGNAL \WideAnd2670~combout\ : std_logic;
SIGNAL \WideAnd4173~combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][0]~83302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2662][1]~64148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2662][1]~64149\ : std_logic;
SIGNAL \led_flash_cnt[2662][2]~64150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2662][2]~64151\ : std_logic;
SIGNAL \led_flash_cnt[2662][3]~64152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2662][3]~64153\ : std_logic;
SIGNAL \led_flash_cnt[2662][4]~64154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2662][4]~64155\ : std_logic;
SIGNAL \led_flash_cnt[2662][5]~64156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2662][5]~64157\ : std_logic;
SIGNAL \led_flash_cnt[2662][6]~64158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][6]~q\ : std_logic;
SIGNAL \WideAnd2662~1_combout\ : std_logic;
SIGNAL \WideAnd2662~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][6]~64159\ : std_logic;
SIGNAL \led_flash_cnt[2662][7]~64160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2662][7]~q\ : std_logic;
SIGNAL \WideAnd2662~combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][0]~83298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2658][1]~64092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2658][1]~64093\ : std_logic;
SIGNAL \led_flash_cnt[2658][2]~64094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2658][2]~64095\ : std_logic;
SIGNAL \led_flash_cnt[2658][3]~64096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2658][3]~64097\ : std_logic;
SIGNAL \led_flash_cnt[2658][4]~64098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2658][4]~64099\ : std_logic;
SIGNAL \led_flash_cnt[2658][5]~64100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2658][5]~64101\ : std_logic;
SIGNAL \led_flash_cnt[2658][6]~64102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][6]~q\ : std_logic;
SIGNAL \WideAnd2658~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][6]~64103\ : std_logic;
SIGNAL \led_flash_cnt[2658][7]~64104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2658][7]~q\ : std_logic;
SIGNAL \WideAnd2658~0_combout\ : std_logic;
SIGNAL \WideAnd2658~combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][0]~83297_combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2657][1]~64078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2657][1]~64079\ : std_logic;
SIGNAL \led_flash_cnt[2657][2]~64080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2657][2]~64081\ : std_logic;
SIGNAL \led_flash_cnt[2657][3]~64082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2657][3]~64083\ : std_logic;
SIGNAL \led_flash_cnt[2657][4]~64084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2657][4]~64085\ : std_logic;
SIGNAL \led_flash_cnt[2657][5]~64086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2657][5]~64087\ : std_logic;
SIGNAL \led_flash_cnt[2657][6]~64088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2657][6]~64089\ : std_logic;
SIGNAL \led_flash_cnt[2657][7]~64090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2657][7]~q\ : std_logic;
SIGNAL \WideAnd2657~1_combout\ : std_logic;
SIGNAL \WideAnd2657~0_combout\ : std_logic;
SIGNAL \WideAnd2657~combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][0]~83299_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2659][1]~64106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2659][1]~64107\ : std_logic;
SIGNAL \led_flash_cnt[2659][2]~64108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2659][2]~64109\ : std_logic;
SIGNAL \led_flash_cnt[2659][3]~64110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2659][3]~64111\ : std_logic;
SIGNAL \led_flash_cnt[2659][4]~64112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][4]~q\ : std_logic;
SIGNAL \WideAnd2659~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][4]~64113\ : std_logic;
SIGNAL \led_flash_cnt[2659][5]~64114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2659][5]~64115\ : std_logic;
SIGNAL \led_flash_cnt[2659][6]~64116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2659][6]~64117\ : std_logic;
SIGNAL \led_flash_cnt[2659][7]~64118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2659][7]~q\ : std_logic;
SIGNAL \WideAnd2659~1_combout\ : std_logic;
SIGNAL \WideAnd2659~combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][0]~83296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2656][1]~64064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2656][1]~64065\ : std_logic;
SIGNAL \led_flash_cnt[2656][2]~64066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2656][2]~64067\ : std_logic;
SIGNAL \led_flash_cnt[2656][3]~64068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2656][3]~64069\ : std_logic;
SIGNAL \led_flash_cnt[2656][4]~64070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2656][4]~64071\ : std_logic;
SIGNAL \led_flash_cnt[2656][5]~64072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2656][5]~64073\ : std_logic;
SIGNAL \led_flash_cnt[2656][6]~64074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][6]~q\ : std_logic;
SIGNAL \WideAnd2656~1_combout\ : std_logic;
SIGNAL \WideAnd2656~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][6]~64075\ : std_logic;
SIGNAL \led_flash_cnt[2656][7]~64076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2656][7]~q\ : std_logic;
SIGNAL \WideAnd2656~combout\ : std_logic;
SIGNAL \WideAnd4172~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][0]~83300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2660][1]~64120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2660][1]~64121\ : std_logic;
SIGNAL \led_flash_cnt[2660][2]~64122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2660][2]~64123\ : std_logic;
SIGNAL \led_flash_cnt[2660][3]~64124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2660][3]~64125\ : std_logic;
SIGNAL \led_flash_cnt[2660][4]~64126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][4]~q\ : std_logic;
SIGNAL \WideAnd2660~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][4]~64127\ : std_logic;
SIGNAL \led_flash_cnt[2660][5]~64128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2660][5]~64129\ : std_logic;
SIGNAL \led_flash_cnt[2660][6]~64130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][6]~q\ : std_logic;
SIGNAL \WideAnd2660~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][6]~64131\ : std_logic;
SIGNAL \led_flash_cnt[2660][7]~64132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2660][7]~q\ : std_logic;
SIGNAL \WideAnd2660~combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][0]~83301_combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2661][1]~64134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2661][1]~64135\ : std_logic;
SIGNAL \led_flash_cnt[2661][2]~64136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2661][2]~64137\ : std_logic;
SIGNAL \led_flash_cnt[2661][3]~64138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2661][3]~64139\ : std_logic;
SIGNAL \led_flash_cnt[2661][4]~64140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2661][4]~64141\ : std_logic;
SIGNAL \led_flash_cnt[2661][5]~64142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2661][5]~64143\ : std_logic;
SIGNAL \led_flash_cnt[2661][6]~64144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2661][6]~64145\ : std_logic;
SIGNAL \led_flash_cnt[2661][7]~64146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2661][7]~q\ : std_logic;
SIGNAL \WideAnd2661~1_combout\ : std_logic;
SIGNAL \WideAnd2661~0_combout\ : std_logic;
SIGNAL \WideAnd2661~combout\ : std_logic;
SIGNAL \WideAnd4172~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][0]~83303_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2663][1]~64162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2663][1]~64163\ : std_logic;
SIGNAL \led_flash_cnt[2663][2]~64164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2663][2]~64165\ : std_logic;
SIGNAL \led_flash_cnt[2663][3]~64166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2663][3]~64167\ : std_logic;
SIGNAL \led_flash_cnt[2663][4]~64168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][4]~q\ : std_logic;
SIGNAL \WideAnd2663~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][4]~64169\ : std_logic;
SIGNAL \led_flash_cnt[2663][5]~64170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2663][5]~64171\ : std_logic;
SIGNAL \led_flash_cnt[2663][6]~64172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2663][6]~64173\ : std_logic;
SIGNAL \led_flash_cnt[2663][7]~64174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2663][7]~q\ : std_logic;
SIGNAL \WideAnd2663~1_combout\ : std_logic;
SIGNAL \WideAnd2663~combout\ : std_logic;
SIGNAL \WideAnd4172~combout\ : std_logic;
SIGNAL \WideAnd4361~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][0]~83316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2676][1]~64344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2676][1]~64345\ : std_logic;
SIGNAL \led_flash_cnt[2676][2]~64346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2676][2]~64347\ : std_logic;
SIGNAL \led_flash_cnt[2676][3]~64348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2676][3]~64349\ : std_logic;
SIGNAL \led_flash_cnt[2676][4]~64350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2676][4]~64351\ : std_logic;
SIGNAL \led_flash_cnt[2676][5]~64352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2676][5]~64353\ : std_logic;
SIGNAL \led_flash_cnt[2676][6]~64354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][6]~q\ : std_logic;
SIGNAL \WideAnd2676~1_combout\ : std_logic;
SIGNAL \WideAnd2676~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][6]~64355\ : std_logic;
SIGNAL \led_flash_cnt[2676][7]~64356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2676][7]~q\ : std_logic;
SIGNAL \WideAnd2676~combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][0]~83317_combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2677][1]~64358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2677][1]~64359\ : std_logic;
SIGNAL \led_flash_cnt[2677][2]~64360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2677][2]~64361\ : std_logic;
SIGNAL \led_flash_cnt[2677][3]~64362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2677][3]~64363\ : std_logic;
SIGNAL \led_flash_cnt[2677][4]~64364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2677][4]~64365\ : std_logic;
SIGNAL \led_flash_cnt[2677][5]~64366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2677][5]~64367\ : std_logic;
SIGNAL \led_flash_cnt[2677][6]~64368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2677][6]~64369\ : std_logic;
SIGNAL \led_flash_cnt[2677][7]~64370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2677][7]~q\ : std_logic;
SIGNAL \WideAnd2677~0_combout\ : std_logic;
SIGNAL \WideAnd2677~1_combout\ : std_logic;
SIGNAL \WideAnd2677~combout\ : std_logic;
SIGNAL \WideAnd4174~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][0]~83319_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2679][1]~64386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2679][1]~64387\ : std_logic;
SIGNAL \led_flash_cnt[2679][2]~64388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2679][2]~64389\ : std_logic;
SIGNAL \led_flash_cnt[2679][3]~64390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2679][3]~64391\ : std_logic;
SIGNAL \led_flash_cnt[2679][4]~64392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2679][4]~64393\ : std_logic;
SIGNAL \led_flash_cnt[2679][5]~64394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2679][5]~64395\ : std_logic;
SIGNAL \led_flash_cnt[2679][6]~64396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][6]~q\ : std_logic;
SIGNAL \WideAnd2679~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][6]~64397\ : std_logic;
SIGNAL \led_flash_cnt[2679][7]~64398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2679][7]~q\ : std_logic;
SIGNAL \WideAnd2679~0_combout\ : std_logic;
SIGNAL \WideAnd2679~combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][0]~83312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2672][1]~64288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2672][1]~64289\ : std_logic;
SIGNAL \led_flash_cnt[2672][2]~64290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2672][2]~64291\ : std_logic;
SIGNAL \led_flash_cnt[2672][3]~64292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2672][3]~64293\ : std_logic;
SIGNAL \led_flash_cnt[2672][4]~64294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][4]~q\ : std_logic;
SIGNAL \WideAnd2672~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][4]~64295\ : std_logic;
SIGNAL \led_flash_cnt[2672][5]~64296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2672][5]~64297\ : std_logic;
SIGNAL \led_flash_cnt[2672][6]~64298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2672][6]~64299\ : std_logic;
SIGNAL \led_flash_cnt[2672][7]~64300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2672][7]~q\ : std_logic;
SIGNAL \WideAnd2672~1_combout\ : std_logic;
SIGNAL \WideAnd2672~combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][0]~83313_combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2673][1]~64302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2673][1]~64303\ : std_logic;
SIGNAL \led_flash_cnt[2673][2]~64304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2673][2]~64305\ : std_logic;
SIGNAL \led_flash_cnt[2673][3]~64306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2673][3]~64307\ : std_logic;
SIGNAL \led_flash_cnt[2673][4]~64308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2673][4]~64309\ : std_logic;
SIGNAL \led_flash_cnt[2673][5]~64310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2673][5]~64311\ : std_logic;
SIGNAL \led_flash_cnt[2673][6]~64312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2673][6]~64313\ : std_logic;
SIGNAL \led_flash_cnt[2673][7]~64314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2673][7]~q\ : std_logic;
SIGNAL \WideAnd2673~1_combout\ : std_logic;
SIGNAL \WideAnd2673~0_combout\ : std_logic;
SIGNAL \WideAnd2673~combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][0]~83315_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2675][1]~64330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2675][1]~64331\ : std_logic;
SIGNAL \led_flash_cnt[2675][2]~64332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2675][2]~64333\ : std_logic;
SIGNAL \led_flash_cnt[2675][3]~64334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2675][3]~64335\ : std_logic;
SIGNAL \led_flash_cnt[2675][4]~64336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2675][4]~64337\ : std_logic;
SIGNAL \led_flash_cnt[2675][5]~64338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2675][5]~64339\ : std_logic;
SIGNAL \led_flash_cnt[2675][6]~64340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][6]~q\ : std_logic;
SIGNAL \WideAnd2675~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][6]~64341\ : std_logic;
SIGNAL \led_flash_cnt[2675][7]~64342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2675][7]~q\ : std_logic;
SIGNAL \WideAnd2675~1_combout\ : std_logic;
SIGNAL \WideAnd2675~combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][0]~83314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2674][1]~64316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2674][1]~64317\ : std_logic;
SIGNAL \led_flash_cnt[2674][2]~64318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2674][2]~64319\ : std_logic;
SIGNAL \led_flash_cnt[2674][3]~64320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2674][3]~64321\ : std_logic;
SIGNAL \led_flash_cnt[2674][4]~64322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2674][4]~64323\ : std_logic;
SIGNAL \led_flash_cnt[2674][5]~64324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2674][5]~64325\ : std_logic;
SIGNAL \led_flash_cnt[2674][6]~64326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2674][6]~64327\ : std_logic;
SIGNAL \led_flash_cnt[2674][7]~64328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2674][7]~q\ : std_logic;
SIGNAL \WideAnd2674~1_combout\ : std_logic;
SIGNAL \WideAnd2674~0_combout\ : std_logic;
SIGNAL \WideAnd2674~combout\ : std_logic;
SIGNAL \WideAnd4174~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][0]~83318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2678][1]~64372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2678][1]~64373\ : std_logic;
SIGNAL \led_flash_cnt[2678][2]~64374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2678][2]~64375\ : std_logic;
SIGNAL \led_flash_cnt[2678][3]~64376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2678][3]~64377\ : std_logic;
SIGNAL \led_flash_cnt[2678][4]~64378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2678][4]~64379\ : std_logic;
SIGNAL \led_flash_cnt[2678][5]~64380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2678][5]~64381\ : std_logic;
SIGNAL \led_flash_cnt[2678][6]~64382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2678][6]~64383\ : std_logic;
SIGNAL \led_flash_cnt[2678][7]~64384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2678][7]~q\ : std_logic;
SIGNAL \WideAnd2678~1_combout\ : std_logic;
SIGNAL \WideAnd2678~0_combout\ : std_logic;
SIGNAL \WideAnd2678~combout\ : std_logic;
SIGNAL \WideAnd4174~combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][0]~83327_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2687][1]~64498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2687][1]~64499\ : std_logic;
SIGNAL \led_flash_cnt[2687][2]~64500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2687][2]~64501\ : std_logic;
SIGNAL \led_flash_cnt[2687][3]~64502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2687][3]~64503\ : std_logic;
SIGNAL \led_flash_cnt[2687][4]~64504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][4]~q\ : std_logic;
SIGNAL \WideAnd2687~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][4]~64505\ : std_logic;
SIGNAL \led_flash_cnt[2687][5]~64506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2687][5]~64507\ : std_logic;
SIGNAL \led_flash_cnt[2687][6]~64508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2687][6]~64509\ : std_logic;
SIGNAL \led_flash_cnt[2687][7]~64510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2687][7]~q\ : std_logic;
SIGNAL \WideAnd2687~1_combout\ : std_logic;
SIGNAL \WideAnd2687~combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][0]~83325_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2685][1]~64470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2685][1]~64471\ : std_logic;
SIGNAL \led_flash_cnt[2685][2]~64472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2685][2]~64473\ : std_logic;
SIGNAL \led_flash_cnt[2685][3]~64474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2685][3]~64475\ : std_logic;
SIGNAL \led_flash_cnt[2685][4]~64476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][4]~q\ : std_logic;
SIGNAL \WideAnd2685~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][4]~64477\ : std_logic;
SIGNAL \led_flash_cnt[2685][5]~64478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2685][5]~64479\ : std_logic;
SIGNAL \led_flash_cnt[2685][6]~64480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2685][6]~64481\ : std_logic;
SIGNAL \led_flash_cnt[2685][7]~64482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2685][7]~q\ : std_logic;
SIGNAL \WideAnd2685~1_combout\ : std_logic;
SIGNAL \WideAnd2685~combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][0]~83324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2684][1]~64456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2684][1]~64457\ : std_logic;
SIGNAL \led_flash_cnt[2684][2]~64458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2684][2]~64459\ : std_logic;
SIGNAL \led_flash_cnt[2684][3]~64460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2684][3]~64461\ : std_logic;
SIGNAL \led_flash_cnt[2684][4]~64462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2684][4]~64463\ : std_logic;
SIGNAL \led_flash_cnt[2684][5]~64464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2684][5]~64465\ : std_logic;
SIGNAL \led_flash_cnt[2684][6]~64466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2684][6]~64467\ : std_logic;
SIGNAL \led_flash_cnt[2684][7]~64468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2684][7]~q\ : std_logic;
SIGNAL \WideAnd2684~1_combout\ : std_logic;
SIGNAL \WideAnd2684~0_combout\ : std_logic;
SIGNAL \WideAnd2684~combout\ : std_logic;
SIGNAL \WideAnd4175~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][0]~83326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2686][1]~64484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2686][1]~64485\ : std_logic;
SIGNAL \led_flash_cnt[2686][2]~64486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2686][2]~64487\ : std_logic;
SIGNAL \led_flash_cnt[2686][3]~64488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2686][3]~64489\ : std_logic;
SIGNAL \led_flash_cnt[2686][4]~64490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][4]~q\ : std_logic;
SIGNAL \WideAnd2686~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][4]~64491\ : std_logic;
SIGNAL \led_flash_cnt[2686][5]~64492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2686][5]~64493\ : std_logic;
SIGNAL \led_flash_cnt[2686][6]~64494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2686][6]~64495\ : std_logic;
SIGNAL \led_flash_cnt[2686][7]~64496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2686][7]~q\ : std_logic;
SIGNAL \WideAnd2686~1_combout\ : std_logic;
SIGNAL \WideAnd2686~combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][0]~83320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2680][1]~64400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2680][1]~64401\ : std_logic;
SIGNAL \led_flash_cnt[2680][2]~64402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2680][2]~64403\ : std_logic;
SIGNAL \led_flash_cnt[2680][3]~64404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2680][3]~64405\ : std_logic;
SIGNAL \led_flash_cnt[2680][4]~64406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][4]~q\ : std_logic;
SIGNAL \WideAnd2680~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][4]~64407\ : std_logic;
SIGNAL \led_flash_cnt[2680][5]~64408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2680][5]~64409\ : std_logic;
SIGNAL \led_flash_cnt[2680][6]~64410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][6]~q\ : std_logic;
SIGNAL \WideAnd2680~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][6]~64411\ : std_logic;
SIGNAL \led_flash_cnt[2680][7]~64412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2680][7]~q\ : std_logic;
SIGNAL \WideAnd2680~combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][0]~83323_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2683][1]~64442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2683][1]~64443\ : std_logic;
SIGNAL \led_flash_cnt[2683][2]~64444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2683][2]~64445\ : std_logic;
SIGNAL \led_flash_cnt[2683][3]~64446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2683][3]~64447\ : std_logic;
SIGNAL \led_flash_cnt[2683][4]~64448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2683][4]~64449\ : std_logic;
SIGNAL \led_flash_cnt[2683][5]~64450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2683][5]~64451\ : std_logic;
SIGNAL \led_flash_cnt[2683][6]~64452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][6]~q\ : std_logic;
SIGNAL \WideAnd2683~1_combout\ : std_logic;
SIGNAL \WideAnd2683~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][6]~64453\ : std_logic;
SIGNAL \led_flash_cnt[2683][7]~64454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2683][7]~q\ : std_logic;
SIGNAL \WideAnd2683~combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][0]~83322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2682][1]~64428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2682][1]~64429\ : std_logic;
SIGNAL \led_flash_cnt[2682][2]~64430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2682][2]~64431\ : std_logic;
SIGNAL \led_flash_cnt[2682][3]~64432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2682][3]~64433\ : std_logic;
SIGNAL \led_flash_cnt[2682][4]~64434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2682][4]~64435\ : std_logic;
SIGNAL \led_flash_cnt[2682][5]~64436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2682][5]~64437\ : std_logic;
SIGNAL \led_flash_cnt[2682][6]~64438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2682][6]~64439\ : std_logic;
SIGNAL \led_flash_cnt[2682][7]~64440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2682][7]~q\ : std_logic;
SIGNAL \WideAnd2682~1_combout\ : std_logic;
SIGNAL \WideAnd2682~0_combout\ : std_logic;
SIGNAL \WideAnd2682~combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][0]~83321_combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2681][1]~64414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2681][1]~64415\ : std_logic;
SIGNAL \led_flash_cnt[2681][2]~64416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2681][2]~64417\ : std_logic;
SIGNAL \led_flash_cnt[2681][3]~64418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2681][3]~64419\ : std_logic;
SIGNAL \led_flash_cnt[2681][4]~64420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2681][4]~64421\ : std_logic;
SIGNAL \led_flash_cnt[2681][5]~64422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2681][5]~64423\ : std_logic;
SIGNAL \led_flash_cnt[2681][6]~64424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2681][6]~64425\ : std_logic;
SIGNAL \led_flash_cnt[2681][7]~64426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2681][7]~q\ : std_logic;
SIGNAL \WideAnd2681~0_combout\ : std_logic;
SIGNAL \WideAnd2681~1_combout\ : std_logic;
SIGNAL \WideAnd2681~combout\ : std_logic;
SIGNAL \WideAnd4175~0_combout\ : std_logic;
SIGNAL \WideAnd4175~combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][0]~83269_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2629][1]~63686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2629][1]~63687\ : std_logic;
SIGNAL \led_flash_cnt[2629][2]~63688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2629][2]~63689\ : std_logic;
SIGNAL \led_flash_cnt[2629][3]~63690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2629][3]~63691\ : std_logic;
SIGNAL \led_flash_cnt[2629][4]~63692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2629][4]~63693\ : std_logic;
SIGNAL \led_flash_cnt[2629][5]~63694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2629][5]~63695\ : std_logic;
SIGNAL \led_flash_cnt[2629][6]~63696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][6]~q\ : std_logic;
SIGNAL \WideAnd2629~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][6]~63697\ : std_logic;
SIGNAL \led_flash_cnt[2629][7]~63698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2629][7]~q\ : std_logic;
SIGNAL \WideAnd2629~0_combout\ : std_logic;
SIGNAL \WideAnd2629~combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][0]~83268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2628][1]~63672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2628][1]~63673\ : std_logic;
SIGNAL \led_flash_cnt[2628][2]~63674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2628][2]~63675\ : std_logic;
SIGNAL \led_flash_cnt[2628][3]~63676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2628][3]~63677\ : std_logic;
SIGNAL \led_flash_cnt[2628][4]~63678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][4]~q\ : std_logic;
SIGNAL \WideAnd2628~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][4]~63679\ : std_logic;
SIGNAL \led_flash_cnt[2628][5]~63680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2628][5]~63681\ : std_logic;
SIGNAL \led_flash_cnt[2628][6]~63682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2628][6]~63683\ : std_logic;
SIGNAL \led_flash_cnt[2628][7]~63684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2628][7]~q\ : std_logic;
SIGNAL \WideAnd2628~1_combout\ : std_logic;
SIGNAL \WideAnd2628~combout\ : std_logic;
SIGNAL \WideAnd4168~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][0]~83270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2630][1]~63700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2630][1]~63701\ : std_logic;
SIGNAL \led_flash_cnt[2630][2]~63702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2630][2]~63703\ : std_logic;
SIGNAL \led_flash_cnt[2630][3]~63704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2630][3]~63705\ : std_logic;
SIGNAL \led_flash_cnt[2630][4]~63706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][4]~q\ : std_logic;
SIGNAL \WideAnd2630~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][4]~63707\ : std_logic;
SIGNAL \led_flash_cnt[2630][5]~63708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2630][5]~63709\ : std_logic;
SIGNAL \led_flash_cnt[2630][6]~63710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2630][6]~63711\ : std_logic;
SIGNAL \led_flash_cnt[2630][7]~63712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2630][7]~q\ : std_logic;
SIGNAL \WideAnd2630~1_combout\ : std_logic;
SIGNAL \WideAnd2630~combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][0]~83266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2626][1]~63644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2626][1]~63645\ : std_logic;
SIGNAL \led_flash_cnt[2626][2]~63646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2626][2]~63647\ : std_logic;
SIGNAL \led_flash_cnt[2626][3]~63648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2626][3]~63649\ : std_logic;
SIGNAL \led_flash_cnt[2626][4]~63650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2626][4]~63651\ : std_logic;
SIGNAL \led_flash_cnt[2626][5]~63652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2626][5]~63653\ : std_logic;
SIGNAL \led_flash_cnt[2626][6]~63654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][6]~q\ : std_logic;
SIGNAL \WideAnd2626~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][6]~63655\ : std_logic;
SIGNAL \led_flash_cnt[2626][7]~63656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2626][7]~q\ : std_logic;
SIGNAL \WideAnd2626~0_combout\ : std_logic;
SIGNAL \WideAnd2626~combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][0]~83264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2624][1]~63616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2624][1]~63617\ : std_logic;
SIGNAL \led_flash_cnt[2624][2]~63618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2624][2]~63619\ : std_logic;
SIGNAL \led_flash_cnt[2624][3]~63620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2624][3]~63621\ : std_logic;
SIGNAL \led_flash_cnt[2624][4]~63622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][4]~q\ : std_logic;
SIGNAL \WideAnd2624~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][4]~63623\ : std_logic;
SIGNAL \led_flash_cnt[2624][5]~63624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2624][5]~63625\ : std_logic;
SIGNAL \led_flash_cnt[2624][6]~63626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2624][6]~63627\ : std_logic;
SIGNAL \led_flash_cnt[2624][7]~63628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2624][7]~q\ : std_logic;
SIGNAL \WideAnd2624~1_combout\ : std_logic;
SIGNAL \WideAnd2624~combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][0]~83265_combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2625][1]~63630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2625][1]~63631\ : std_logic;
SIGNAL \led_flash_cnt[2625][2]~63632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2625][2]~63633\ : std_logic;
SIGNAL \led_flash_cnt[2625][3]~63634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2625][3]~63635\ : std_logic;
SIGNAL \led_flash_cnt[2625][4]~63636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2625][4]~63637\ : std_logic;
SIGNAL \led_flash_cnt[2625][5]~63638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2625][5]~63639\ : std_logic;
SIGNAL \led_flash_cnt[2625][6]~63640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2625][6]~63641\ : std_logic;
SIGNAL \led_flash_cnt[2625][7]~63642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2625][7]~q\ : std_logic;
SIGNAL \WideAnd2625~1_combout\ : std_logic;
SIGNAL \WideAnd2625~0_combout\ : std_logic;
SIGNAL \WideAnd2625~combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][0]~83267_combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2627][1]~63658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2627][1]~63659\ : std_logic;
SIGNAL \led_flash_cnt[2627][2]~63660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2627][2]~63661\ : std_logic;
SIGNAL \led_flash_cnt[2627][3]~63662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2627][3]~63663\ : std_logic;
SIGNAL \led_flash_cnt[2627][4]~63664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2627][4]~63665\ : std_logic;
SIGNAL \led_flash_cnt[2627][5]~63666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2627][5]~63667\ : std_logic;
SIGNAL \led_flash_cnt[2627][6]~63668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2627][6]~63669\ : std_logic;
SIGNAL \led_flash_cnt[2627][7]~63670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2627][7]~q\ : std_logic;
SIGNAL \WideAnd2627~0_combout\ : std_logic;
SIGNAL \WideAnd2627~1_combout\ : std_logic;
SIGNAL \WideAnd2627~combout\ : std_logic;
SIGNAL \WideAnd4168~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][0]~83271_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2631][1]~63714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2631][1]~63715\ : std_logic;
SIGNAL \led_flash_cnt[2631][2]~63716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2631][2]~63717\ : std_logic;
SIGNAL \led_flash_cnt[2631][3]~63718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2631][3]~63719\ : std_logic;
SIGNAL \led_flash_cnt[2631][4]~63720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2631][4]~63721\ : std_logic;
SIGNAL \led_flash_cnt[2631][5]~63722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2631][5]~63723\ : std_logic;
SIGNAL \led_flash_cnt[2631][6]~63724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2631][6]~63725\ : std_logic;
SIGNAL \led_flash_cnt[2631][7]~63726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2631][7]~q\ : std_logic;
SIGNAL \WideAnd2631~1_combout\ : std_logic;
SIGNAL \WideAnd2631~0_combout\ : std_logic;
SIGNAL \WideAnd2631~combout\ : std_logic;
SIGNAL \WideAnd4168~combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][0]~83294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2654][1]~64036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2654][1]~64037\ : std_logic;
SIGNAL \led_flash_cnt[2654][2]~64038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2654][2]~64039\ : std_logic;
SIGNAL \led_flash_cnt[2654][3]~64040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2654][3]~64041\ : std_logic;
SIGNAL \led_flash_cnt[2654][4]~64042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2654][4]~64043\ : std_logic;
SIGNAL \led_flash_cnt[2654][5]~64044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2654][5]~64045\ : std_logic;
SIGNAL \led_flash_cnt[2654][6]~64046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][6]~q\ : std_logic;
SIGNAL \WideAnd2654~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][6]~64047\ : std_logic;
SIGNAL \led_flash_cnt[2654][7]~64048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2654][7]~q\ : std_logic;
SIGNAL \WideAnd2654~0_combout\ : std_logic;
SIGNAL \WideAnd2654~combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][0]~83291_combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2651][1]~63994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2651][1]~63995\ : std_logic;
SIGNAL \led_flash_cnt[2651][2]~63996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2651][2]~63997\ : std_logic;
SIGNAL \led_flash_cnt[2651][3]~63998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2651][3]~63999\ : std_logic;
SIGNAL \led_flash_cnt[2651][4]~64000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2651][4]~64001\ : std_logic;
SIGNAL \led_flash_cnt[2651][5]~64002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2651][5]~64003\ : std_logic;
SIGNAL \led_flash_cnt[2651][6]~64004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2651][6]~64005\ : std_logic;
SIGNAL \led_flash_cnt[2651][7]~64006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2651][7]~q\ : std_logic;
SIGNAL \WideAnd2651~0_combout\ : std_logic;
SIGNAL \WideAnd2651~1_combout\ : std_logic;
SIGNAL \WideAnd2651~combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][0]~83288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2648][1]~63952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2648][1]~63953\ : std_logic;
SIGNAL \led_flash_cnt[2648][2]~63954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2648][2]~63955\ : std_logic;
SIGNAL \led_flash_cnt[2648][3]~63956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2648][3]~63957\ : std_logic;
SIGNAL \led_flash_cnt[2648][4]~63958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2648][4]~63959\ : std_logic;
SIGNAL \led_flash_cnt[2648][5]~63960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2648][5]~63961\ : std_logic;
SIGNAL \led_flash_cnt[2648][6]~63962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][6]~q\ : std_logic;
SIGNAL \WideAnd2648~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][6]~63963\ : std_logic;
SIGNAL \led_flash_cnt[2648][7]~63964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2648][7]~q\ : std_logic;
SIGNAL \WideAnd2648~0_combout\ : std_logic;
SIGNAL \WideAnd2648~combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][0]~83289_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2649][1]~63966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2649][1]~63967\ : std_logic;
SIGNAL \led_flash_cnt[2649][2]~63968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2649][2]~63969\ : std_logic;
SIGNAL \led_flash_cnt[2649][3]~63970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2649][3]~63971\ : std_logic;
SIGNAL \led_flash_cnt[2649][4]~63972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][4]~q\ : std_logic;
SIGNAL \WideAnd2649~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][4]~63973\ : std_logic;
SIGNAL \led_flash_cnt[2649][5]~63974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2649][5]~63975\ : std_logic;
SIGNAL \led_flash_cnt[2649][6]~63976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2649][6]~63977\ : std_logic;
SIGNAL \led_flash_cnt[2649][7]~63978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2649][7]~q\ : std_logic;
SIGNAL \WideAnd2649~1_combout\ : std_logic;
SIGNAL \WideAnd2649~combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][0]~83290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2650][1]~63980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2650][1]~63981\ : std_logic;
SIGNAL \led_flash_cnt[2650][2]~63982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2650][2]~63983\ : std_logic;
SIGNAL \led_flash_cnt[2650][3]~63984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2650][3]~63985\ : std_logic;
SIGNAL \led_flash_cnt[2650][4]~63986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2650][4]~63987\ : std_logic;
SIGNAL \led_flash_cnt[2650][5]~63988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2650][5]~63989\ : std_logic;
SIGNAL \led_flash_cnt[2650][6]~63990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][6]~q\ : std_logic;
SIGNAL \WideAnd2650~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][6]~63991\ : std_logic;
SIGNAL \led_flash_cnt[2650][7]~63992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2650][7]~q\ : std_logic;
SIGNAL \WideAnd2650~0_combout\ : std_logic;
SIGNAL \WideAnd2650~combout\ : std_logic;
SIGNAL \WideAnd4171~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][0]~83293_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2653][1]~64022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2653][1]~64023\ : std_logic;
SIGNAL \led_flash_cnt[2653][2]~64024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2653][2]~64025\ : std_logic;
SIGNAL \led_flash_cnt[2653][3]~64026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2653][3]~64027\ : std_logic;
SIGNAL \led_flash_cnt[2653][4]~64028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][4]~q\ : std_logic;
SIGNAL \WideAnd2653~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][4]~64029\ : std_logic;
SIGNAL \led_flash_cnt[2653][5]~64030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2653][5]~64031\ : std_logic;
SIGNAL \led_flash_cnt[2653][6]~64032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2653][6]~64033\ : std_logic;
SIGNAL \led_flash_cnt[2653][7]~64034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2653][7]~q\ : std_logic;
SIGNAL \WideAnd2653~1_combout\ : std_logic;
SIGNAL \WideAnd2653~combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][0]~83292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2652][1]~64008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2652][1]~64009\ : std_logic;
SIGNAL \led_flash_cnt[2652][2]~64010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2652][2]~64011\ : std_logic;
SIGNAL \led_flash_cnt[2652][3]~64012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2652][3]~64013\ : std_logic;
SIGNAL \led_flash_cnt[2652][4]~64014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2652][4]~64015\ : std_logic;
SIGNAL \led_flash_cnt[2652][5]~64016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2652][5]~64017\ : std_logic;
SIGNAL \led_flash_cnt[2652][6]~64018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2652][6]~64019\ : std_logic;
SIGNAL \led_flash_cnt[2652][7]~64020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2652][7]~q\ : std_logic;
SIGNAL \WideAnd2652~1_combout\ : std_logic;
SIGNAL \WideAnd2652~0_combout\ : std_logic;
SIGNAL \WideAnd2652~combout\ : std_logic;
SIGNAL \WideAnd4171~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][0]~83295_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2655][1]~64050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2655][1]~64051\ : std_logic;
SIGNAL \led_flash_cnt[2655][2]~64052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2655][2]~64053\ : std_logic;
SIGNAL \led_flash_cnt[2655][3]~64054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2655][3]~64055\ : std_logic;
SIGNAL \led_flash_cnt[2655][4]~64056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][4]~q\ : std_logic;
SIGNAL \WideAnd2655~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][4]~64057\ : std_logic;
SIGNAL \led_flash_cnt[2655][5]~64058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2655][5]~64059\ : std_logic;
SIGNAL \led_flash_cnt[2655][6]~64060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][6]~q\ : std_logic;
SIGNAL \WideAnd2655~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][6]~64061\ : std_logic;
SIGNAL \led_flash_cnt[2655][7]~64062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2655][7]~q\ : std_logic;
SIGNAL \WideAnd2655~combout\ : std_logic;
SIGNAL \WideAnd4171~combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][0]~83285_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2645][1]~63910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2645][1]~63911\ : std_logic;
SIGNAL \led_flash_cnt[2645][2]~63912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2645][2]~63913\ : std_logic;
SIGNAL \led_flash_cnt[2645][3]~63914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2645][3]~63915\ : std_logic;
SIGNAL \led_flash_cnt[2645][4]~63916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2645][4]~63917\ : std_logic;
SIGNAL \led_flash_cnt[2645][5]~63918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2645][5]~63919\ : std_logic;
SIGNAL \led_flash_cnt[2645][6]~63920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][6]~q\ : std_logic;
SIGNAL \WideAnd2645~1_combout\ : std_logic;
SIGNAL \WideAnd2645~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][6]~63921\ : std_logic;
SIGNAL \led_flash_cnt[2645][7]~63922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2645][7]~q\ : std_logic;
SIGNAL \WideAnd2645~combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][0]~83284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2644][1]~63896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2644][1]~63897\ : std_logic;
SIGNAL \led_flash_cnt[2644][2]~63898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2644][2]~63899\ : std_logic;
SIGNAL \led_flash_cnt[2644][3]~63900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2644][3]~63901\ : std_logic;
SIGNAL \led_flash_cnt[2644][4]~63902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2644][4]~63903\ : std_logic;
SIGNAL \led_flash_cnt[2644][5]~63904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2644][5]~63905\ : std_logic;
SIGNAL \led_flash_cnt[2644][6]~63906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2644][6]~63907\ : std_logic;
SIGNAL \led_flash_cnt[2644][7]~63908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2644][7]~q\ : std_logic;
SIGNAL \WideAnd2644~0_combout\ : std_logic;
SIGNAL \WideAnd2644~1_combout\ : std_logic;
SIGNAL \WideAnd2644~combout\ : std_logic;
SIGNAL \WideAnd4170~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][0]~83286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2646][1]~63924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2646][1]~63925\ : std_logic;
SIGNAL \led_flash_cnt[2646][2]~63926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2646][2]~63927\ : std_logic;
SIGNAL \led_flash_cnt[2646][3]~63928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2646][3]~63929\ : std_logic;
SIGNAL \led_flash_cnt[2646][4]~63930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2646][4]~63931\ : std_logic;
SIGNAL \led_flash_cnt[2646][5]~63932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2646][5]~63933\ : std_logic;
SIGNAL \led_flash_cnt[2646][6]~63934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][6]~q\ : std_logic;
SIGNAL \WideAnd2646~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][6]~63935\ : std_logic;
SIGNAL \led_flash_cnt[2646][7]~63936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2646][7]~q\ : std_logic;
SIGNAL \WideAnd2646~0_combout\ : std_logic;
SIGNAL \WideAnd2646~combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][0]~83287_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2647][1]~63938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2647][1]~63939\ : std_logic;
SIGNAL \led_flash_cnt[2647][2]~63940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2647][2]~63941\ : std_logic;
SIGNAL \led_flash_cnt[2647][3]~63942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2647][3]~63943\ : std_logic;
SIGNAL \led_flash_cnt[2647][4]~63944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2647][4]~63945\ : std_logic;
SIGNAL \led_flash_cnt[2647][5]~63946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2647][5]~63947\ : std_logic;
SIGNAL \led_flash_cnt[2647][6]~63948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][6]~q\ : std_logic;
SIGNAL \WideAnd2647~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][6]~63949\ : std_logic;
SIGNAL \led_flash_cnt[2647][7]~63950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2647][7]~q\ : std_logic;
SIGNAL \WideAnd2647~0_combout\ : std_logic;
SIGNAL \WideAnd2647~combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][0]~83283_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2643][1]~63882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2643][1]~63883\ : std_logic;
SIGNAL \led_flash_cnt[2643][2]~63884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2643][2]~63885\ : std_logic;
SIGNAL \led_flash_cnt[2643][3]~63886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2643][3]~63887\ : std_logic;
SIGNAL \led_flash_cnt[2643][4]~63888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][4]~q\ : std_logic;
SIGNAL \WideAnd2643~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][4]~63889\ : std_logic;
SIGNAL \led_flash_cnt[2643][5]~63890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2643][5]~63891\ : std_logic;
SIGNAL \led_flash_cnt[2643][6]~63892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][6]~q\ : std_logic;
SIGNAL \WideAnd2643~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][6]~63893\ : std_logic;
SIGNAL \led_flash_cnt[2643][7]~63894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2643][7]~q\ : std_logic;
SIGNAL \WideAnd2643~combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][0]~83280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2640][1]~63840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2640][1]~63841\ : std_logic;
SIGNAL \led_flash_cnt[2640][2]~63842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2640][2]~63843\ : std_logic;
SIGNAL \led_flash_cnt[2640][3]~63844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2640][3]~63845\ : std_logic;
SIGNAL \led_flash_cnt[2640][4]~63846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2640][4]~63847\ : std_logic;
SIGNAL \led_flash_cnt[2640][5]~63848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2640][5]~63849\ : std_logic;
SIGNAL \led_flash_cnt[2640][6]~63850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2640][6]~63851\ : std_logic;
SIGNAL \led_flash_cnt[2640][7]~63852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2640][7]~q\ : std_logic;
SIGNAL \WideAnd2640~0_combout\ : std_logic;
SIGNAL \WideAnd2640~1_combout\ : std_logic;
SIGNAL \WideAnd2640~combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][0]~83281_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2641][1]~63854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2641][1]~63855\ : std_logic;
SIGNAL \led_flash_cnt[2641][2]~63856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2641][2]~63857\ : std_logic;
SIGNAL \led_flash_cnt[2641][3]~63858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2641][3]~63859\ : std_logic;
SIGNAL \led_flash_cnt[2641][4]~63860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2641][4]~63861\ : std_logic;
SIGNAL \led_flash_cnt[2641][5]~63862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2641][5]~63863\ : std_logic;
SIGNAL \led_flash_cnt[2641][6]~63864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][6]~q\ : std_logic;
SIGNAL \WideAnd2641~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][6]~63865\ : std_logic;
SIGNAL \led_flash_cnt[2641][7]~63866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2641][7]~q\ : std_logic;
SIGNAL \WideAnd2641~0_combout\ : std_logic;
SIGNAL \WideAnd2641~combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][0]~83282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2642][1]~63868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2642][1]~63869\ : std_logic;
SIGNAL \led_flash_cnt[2642][2]~63870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2642][2]~63871\ : std_logic;
SIGNAL \led_flash_cnt[2642][3]~63872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2642][3]~63873\ : std_logic;
SIGNAL \led_flash_cnt[2642][4]~63874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2642][4]~63875\ : std_logic;
SIGNAL \led_flash_cnt[2642][5]~63876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2642][5]~63877\ : std_logic;
SIGNAL \led_flash_cnt[2642][6]~63878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2642][6]~63879\ : std_logic;
SIGNAL \led_flash_cnt[2642][7]~63880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2642][7]~q\ : std_logic;
SIGNAL \WideAnd2642~1_combout\ : std_logic;
SIGNAL \WideAnd2642~0_combout\ : std_logic;
SIGNAL \WideAnd2642~combout\ : std_logic;
SIGNAL \WideAnd4170~0_combout\ : std_logic;
SIGNAL \WideAnd4170~combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][0]~83274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2634][1]~63756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2634][1]~63757\ : std_logic;
SIGNAL \led_flash_cnt[2634][2]~63758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2634][2]~63759\ : std_logic;
SIGNAL \led_flash_cnt[2634][3]~63760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2634][3]~63761\ : std_logic;
SIGNAL \led_flash_cnt[2634][4]~63762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2634][4]~63763\ : std_logic;
SIGNAL \led_flash_cnt[2634][5]~63764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2634][5]~63765\ : std_logic;
SIGNAL \led_flash_cnt[2634][6]~63766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2634][6]~63767\ : std_logic;
SIGNAL \led_flash_cnt[2634][7]~63768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2634][7]~q\ : std_logic;
SIGNAL \WideAnd2634~1_combout\ : std_logic;
SIGNAL \WideAnd2634~0_combout\ : std_logic;
SIGNAL \WideAnd2634~combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][0]~83273_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2633][1]~63742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2633][1]~63743\ : std_logic;
SIGNAL \led_flash_cnt[2633][2]~63744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2633][2]~63745\ : std_logic;
SIGNAL \led_flash_cnt[2633][3]~63746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2633][3]~63747\ : std_logic;
SIGNAL \led_flash_cnt[2633][4]~63748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2633][4]~63749\ : std_logic;
SIGNAL \led_flash_cnt[2633][5]~63750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2633][5]~63751\ : std_logic;
SIGNAL \led_flash_cnt[2633][6]~63752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][6]~q\ : std_logic;
SIGNAL \WideAnd2633~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][6]~63753\ : std_logic;
SIGNAL \led_flash_cnt[2633][7]~63754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2633][7]~q\ : std_logic;
SIGNAL \WideAnd2633~0_combout\ : std_logic;
SIGNAL \WideAnd2633~combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][0]~83272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2632][1]~63728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2632][1]~63729\ : std_logic;
SIGNAL \led_flash_cnt[2632][2]~63730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2632][2]~63731\ : std_logic;
SIGNAL \led_flash_cnt[2632][3]~63732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2632][3]~63733\ : std_logic;
SIGNAL \led_flash_cnt[2632][4]~63734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2632][4]~63735\ : std_logic;
SIGNAL \led_flash_cnt[2632][5]~63736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2632][5]~63737\ : std_logic;
SIGNAL \led_flash_cnt[2632][6]~63738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2632][6]~63739\ : std_logic;
SIGNAL \led_flash_cnt[2632][7]~63740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2632][7]~q\ : std_logic;
SIGNAL \WideAnd2632~0_combout\ : std_logic;
SIGNAL \WideAnd2632~1_combout\ : std_logic;
SIGNAL \WideAnd2632~combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][0]~83275_combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2635][1]~63770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2635][1]~63771\ : std_logic;
SIGNAL \led_flash_cnt[2635][2]~63772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2635][2]~63773\ : std_logic;
SIGNAL \led_flash_cnt[2635][3]~63774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2635][3]~63775\ : std_logic;
SIGNAL \led_flash_cnt[2635][4]~63776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2635][4]~63777\ : std_logic;
SIGNAL \led_flash_cnt[2635][5]~63778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2635][5]~63779\ : std_logic;
SIGNAL \led_flash_cnt[2635][6]~63780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2635][6]~63781\ : std_logic;
SIGNAL \led_flash_cnt[2635][7]~63782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2635][7]~q\ : std_logic;
SIGNAL \WideAnd2635~1_combout\ : std_logic;
SIGNAL \WideAnd2635~0_combout\ : std_logic;
SIGNAL \WideAnd2635~combout\ : std_logic;
SIGNAL \WideAnd4169~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][0]~83278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2638][1]~63812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2638][1]~63813\ : std_logic;
SIGNAL \led_flash_cnt[2638][2]~63814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2638][2]~63815\ : std_logic;
SIGNAL \led_flash_cnt[2638][3]~63816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2638][3]~63817\ : std_logic;
SIGNAL \led_flash_cnt[2638][4]~63818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2638][4]~63819\ : std_logic;
SIGNAL \led_flash_cnt[2638][5]~63820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2638][5]~63821\ : std_logic;
SIGNAL \led_flash_cnt[2638][6]~63822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][6]~q\ : std_logic;
SIGNAL \WideAnd2638~1_combout\ : std_logic;
SIGNAL \WideAnd2638~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][6]~63823\ : std_logic;
SIGNAL \led_flash_cnt[2638][7]~63824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2638][7]~q\ : std_logic;
SIGNAL \WideAnd2638~combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][0]~83279_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2639][1]~63826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2639][1]~63827\ : std_logic;
SIGNAL \led_flash_cnt[2639][2]~63828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2639][2]~63829\ : std_logic;
SIGNAL \led_flash_cnt[2639][3]~63830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2639][3]~63831\ : std_logic;
SIGNAL \led_flash_cnt[2639][4]~63832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2639][4]~63833\ : std_logic;
SIGNAL \led_flash_cnt[2639][5]~63834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2639][5]~63835\ : std_logic;
SIGNAL \led_flash_cnt[2639][6]~63836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][6]~q\ : std_logic;
SIGNAL \WideAnd2639~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][6]~63837\ : std_logic;
SIGNAL \led_flash_cnt[2639][7]~63838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2639][7]~q\ : std_logic;
SIGNAL \WideAnd2639~0_combout\ : std_logic;
SIGNAL \WideAnd2639~combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][0]~83277_combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2637][1]~63798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2637][1]~63799\ : std_logic;
SIGNAL \led_flash_cnt[2637][2]~63800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2637][2]~63801\ : std_logic;
SIGNAL \led_flash_cnt[2637][3]~63802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2637][3]~63803\ : std_logic;
SIGNAL \led_flash_cnt[2637][4]~63804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2637][4]~63805\ : std_logic;
SIGNAL \led_flash_cnt[2637][5]~63806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2637][5]~63807\ : std_logic;
SIGNAL \led_flash_cnt[2637][6]~63808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2637][6]~63809\ : std_logic;
SIGNAL \led_flash_cnt[2637][7]~63810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2637][7]~q\ : std_logic;
SIGNAL \WideAnd2637~1_combout\ : std_logic;
SIGNAL \WideAnd2637~0_combout\ : std_logic;
SIGNAL \WideAnd2637~combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][0]~83276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2636][1]~63784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2636][1]~63785\ : std_logic;
SIGNAL \led_flash_cnt[2636][2]~63786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2636][2]~63787\ : std_logic;
SIGNAL \led_flash_cnt[2636][3]~63788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2636][3]~63789\ : std_logic;
SIGNAL \led_flash_cnt[2636][4]~63790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2636][4]~63791\ : std_logic;
SIGNAL \led_flash_cnt[2636][5]~63792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2636][5]~63793\ : std_logic;
SIGNAL \led_flash_cnt[2636][6]~63794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2636][6]~63795\ : std_logic;
SIGNAL \led_flash_cnt[2636][7]~63796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2636][7]~q\ : std_logic;
SIGNAL \WideAnd2636~0_combout\ : std_logic;
SIGNAL \WideAnd2636~1_combout\ : std_logic;
SIGNAL \WideAnd2636~combout\ : std_logic;
SIGNAL \WideAnd4169~1_combout\ : std_logic;
SIGNAL \WideAnd4169~combout\ : std_logic;
SIGNAL \WideAnd4361~0_combout\ : std_logic;
SIGNAL \WideAnd4361~combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][0]~83386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2746][1]~65324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2746][1]~65325\ : std_logic;
SIGNAL \led_flash_cnt[2746][2]~65326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2746][2]~65327\ : std_logic;
SIGNAL \led_flash_cnt[2746][3]~65328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2746][3]~65329\ : std_logic;
SIGNAL \led_flash_cnt[2746][4]~65330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2746][4]~65331\ : std_logic;
SIGNAL \led_flash_cnt[2746][5]~65332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2746][5]~65333\ : std_logic;
SIGNAL \led_flash_cnt[2746][6]~65334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2746][6]~65335\ : std_logic;
SIGNAL \led_flash_cnt[2746][7]~65336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2746][7]~q\ : std_logic;
SIGNAL \WideAnd2746~0_combout\ : std_logic;
SIGNAL \WideAnd2746~1_combout\ : std_logic;
SIGNAL \WideAnd2746~combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][0]~83384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2744][1]~65296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2744][1]~65297\ : std_logic;
SIGNAL \led_flash_cnt[2744][2]~65298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2744][2]~65299\ : std_logic;
SIGNAL \led_flash_cnt[2744][3]~65300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2744][3]~65301\ : std_logic;
SIGNAL \led_flash_cnt[2744][4]~65302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2744][4]~65303\ : std_logic;
SIGNAL \led_flash_cnt[2744][5]~65304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2744][5]~65305\ : std_logic;
SIGNAL \led_flash_cnt[2744][6]~65306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2744][6]~65307\ : std_logic;
SIGNAL \led_flash_cnt[2744][7]~65308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2744][7]~q\ : std_logic;
SIGNAL \WideAnd2744~1_combout\ : std_logic;
SIGNAL \WideAnd2744~0_combout\ : std_logic;
SIGNAL \WideAnd2744~combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][0]~83387_combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2747][1]~65338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2747][1]~65339\ : std_logic;
SIGNAL \led_flash_cnt[2747][2]~65340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2747][2]~65341\ : std_logic;
SIGNAL \led_flash_cnt[2747][3]~65342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2747][3]~65343\ : std_logic;
SIGNAL \led_flash_cnt[2747][4]~65344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2747][4]~65345\ : std_logic;
SIGNAL \led_flash_cnt[2747][5]~65346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2747][5]~65347\ : std_logic;
SIGNAL \led_flash_cnt[2747][6]~65348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2747][6]~65349\ : std_logic;
SIGNAL \led_flash_cnt[2747][7]~65350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2747][7]~q\ : std_logic;
SIGNAL \WideAnd2747~1_combout\ : std_logic;
SIGNAL \WideAnd2747~0_combout\ : std_logic;
SIGNAL \WideAnd2747~combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][0]~83385_combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2745][1]~65310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2745][1]~65311\ : std_logic;
SIGNAL \led_flash_cnt[2745][2]~65312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2745][2]~65313\ : std_logic;
SIGNAL \led_flash_cnt[2745][3]~65314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2745][3]~65315\ : std_logic;
SIGNAL \led_flash_cnt[2745][4]~65316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2745][4]~65317\ : std_logic;
SIGNAL \led_flash_cnt[2745][5]~65318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2745][5]~65319\ : std_logic;
SIGNAL \led_flash_cnt[2745][6]~65320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2745][6]~65321\ : std_logic;
SIGNAL \led_flash_cnt[2745][7]~65322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2745][7]~q\ : std_logic;
SIGNAL \WideAnd2745~1_combout\ : std_logic;
SIGNAL \WideAnd2745~0_combout\ : std_logic;
SIGNAL \WideAnd2745~combout\ : std_logic;
SIGNAL \WideAnd4183~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][0]~83390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2750][1]~65380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2750][1]~65381\ : std_logic;
SIGNAL \led_flash_cnt[2750][2]~65382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2750][2]~65383\ : std_logic;
SIGNAL \led_flash_cnt[2750][3]~65384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2750][3]~65385\ : std_logic;
SIGNAL \led_flash_cnt[2750][4]~65386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2750][4]~65387\ : std_logic;
SIGNAL \led_flash_cnt[2750][5]~65388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2750][5]~65389\ : std_logic;
SIGNAL \led_flash_cnt[2750][6]~65390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2750][6]~65391\ : std_logic;
SIGNAL \led_flash_cnt[2750][7]~65392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2750][7]~q\ : std_logic;
SIGNAL \WideAnd2750~1_combout\ : std_logic;
SIGNAL \WideAnd2750~0_combout\ : std_logic;
SIGNAL \WideAnd2750~combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][0]~83388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2748][1]~65352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2748][1]~65353\ : std_logic;
SIGNAL \led_flash_cnt[2748][2]~65354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2748][2]~65355\ : std_logic;
SIGNAL \led_flash_cnt[2748][3]~65356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2748][3]~65357\ : std_logic;
SIGNAL \led_flash_cnt[2748][4]~65358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][4]~q\ : std_logic;
SIGNAL \WideAnd2748~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][4]~65359\ : std_logic;
SIGNAL \led_flash_cnt[2748][5]~65360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2748][5]~65361\ : std_logic;
SIGNAL \led_flash_cnt[2748][6]~65362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][6]~q\ : std_logic;
SIGNAL \WideAnd2748~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][6]~65363\ : std_logic;
SIGNAL \led_flash_cnt[2748][7]~65364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2748][7]~q\ : std_logic;
SIGNAL \WideAnd2748~combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][0]~83389_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2749][1]~65366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2749][1]~65367\ : std_logic;
SIGNAL \led_flash_cnt[2749][2]~65368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2749][2]~65369\ : std_logic;
SIGNAL \led_flash_cnt[2749][3]~65370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2749][3]~65371\ : std_logic;
SIGNAL \led_flash_cnt[2749][4]~65372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][4]~q\ : std_logic;
SIGNAL \WideAnd2749~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][4]~65373\ : std_logic;
SIGNAL \led_flash_cnt[2749][5]~65374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2749][5]~65375\ : std_logic;
SIGNAL \led_flash_cnt[2749][6]~65376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2749][6]~65377\ : std_logic;
SIGNAL \led_flash_cnt[2749][7]~65378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2749][7]~q\ : std_logic;
SIGNAL \WideAnd2749~1_combout\ : std_logic;
SIGNAL \WideAnd2749~combout\ : std_logic;
SIGNAL \WideAnd4183~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][0]~83391_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2751][1]~65394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2751][1]~65395\ : std_logic;
SIGNAL \led_flash_cnt[2751][2]~65396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2751][2]~65397\ : std_logic;
SIGNAL \led_flash_cnt[2751][3]~65398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2751][3]~65399\ : std_logic;
SIGNAL \led_flash_cnt[2751][4]~65400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2751][4]~65401\ : std_logic;
SIGNAL \led_flash_cnt[2751][5]~65402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2751][5]~65403\ : std_logic;
SIGNAL \led_flash_cnt[2751][6]~65404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2751][6]~65405\ : std_logic;
SIGNAL \led_flash_cnt[2751][7]~65406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2751][7]~q\ : std_logic;
SIGNAL \WideAnd2751~1_combout\ : std_logic;
SIGNAL \WideAnd2751~0_combout\ : std_logic;
SIGNAL \WideAnd2751~combout\ : std_logic;
SIGNAL \WideAnd4183~combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][0]~83350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2710][1]~64820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2710][1]~64821\ : std_logic;
SIGNAL \led_flash_cnt[2710][2]~64822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2710][2]~64823\ : std_logic;
SIGNAL \led_flash_cnt[2710][3]~64824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2710][3]~64825\ : std_logic;
SIGNAL \led_flash_cnt[2710][4]~64826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2710][4]~64827\ : std_logic;
SIGNAL \led_flash_cnt[2710][5]~64828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2710][5]~64829\ : std_logic;
SIGNAL \led_flash_cnt[2710][6]~64830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][6]~q\ : std_logic;
SIGNAL \WideAnd2710~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][6]~64831\ : std_logic;
SIGNAL \led_flash_cnt[2710][7]~64832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2710][7]~q\ : std_logic;
SIGNAL \WideAnd2710~0_combout\ : std_logic;
SIGNAL \WideAnd2710~combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][0]~83349_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2709][1]~64806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2709][1]~64807\ : std_logic;
SIGNAL \led_flash_cnt[2709][2]~64808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2709][2]~64809\ : std_logic;
SIGNAL \led_flash_cnt[2709][3]~64810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2709][3]~64811\ : std_logic;
SIGNAL \led_flash_cnt[2709][4]~64812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2709][4]~64813\ : std_logic;
SIGNAL \led_flash_cnt[2709][5]~64814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2709][5]~64815\ : std_logic;
SIGNAL \led_flash_cnt[2709][6]~64816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][6]~q\ : std_logic;
SIGNAL \WideAnd2709~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][6]~64817\ : std_logic;
SIGNAL \led_flash_cnt[2709][7]~64818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2709][7]~q\ : std_logic;
SIGNAL \WideAnd2709~0_combout\ : std_logic;
SIGNAL \WideAnd2709~combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][0]~83348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2708][1]~64792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2708][1]~64793\ : std_logic;
SIGNAL \led_flash_cnt[2708][2]~64794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2708][2]~64795\ : std_logic;
SIGNAL \led_flash_cnt[2708][3]~64796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2708][3]~64797\ : std_logic;
SIGNAL \led_flash_cnt[2708][4]~64798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][4]~q\ : std_logic;
SIGNAL \WideAnd2708~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][4]~64799\ : std_logic;
SIGNAL \led_flash_cnt[2708][5]~64800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2708][5]~64801\ : std_logic;
SIGNAL \led_flash_cnt[2708][6]~64802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2708][6]~64803\ : std_logic;
SIGNAL \led_flash_cnt[2708][7]~64804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2708][7]~q\ : std_logic;
SIGNAL \WideAnd2708~1_combout\ : std_logic;
SIGNAL \WideAnd2708~combout\ : std_logic;
SIGNAL \WideAnd4178~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][0]~83351_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2711][1]~64834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2711][1]~64835\ : std_logic;
SIGNAL \led_flash_cnt[2711][2]~64836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2711][2]~64837\ : std_logic;
SIGNAL \led_flash_cnt[2711][3]~64838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2711][3]~64839\ : std_logic;
SIGNAL \led_flash_cnt[2711][4]~64840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2711][4]~64841\ : std_logic;
SIGNAL \led_flash_cnt[2711][5]~64842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2711][5]~64843\ : std_logic;
SIGNAL \led_flash_cnt[2711][6]~64844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2711][6]~64845\ : std_logic;
SIGNAL \led_flash_cnt[2711][7]~64846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2711][7]~q\ : std_logic;
SIGNAL \WideAnd2711~0_combout\ : std_logic;
SIGNAL \WideAnd2711~1_combout\ : std_logic;
SIGNAL \WideAnd2711~combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][0]~83347_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2707][1]~64778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2707][1]~64779\ : std_logic;
SIGNAL \led_flash_cnt[2707][2]~64780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2707][2]~64781\ : std_logic;
SIGNAL \led_flash_cnt[2707][3]~64782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2707][3]~64783\ : std_logic;
SIGNAL \led_flash_cnt[2707][4]~64784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2707][4]~64785\ : std_logic;
SIGNAL \led_flash_cnt[2707][5]~64786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2707][5]~64787\ : std_logic;
SIGNAL \led_flash_cnt[2707][6]~64788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][6]~q\ : std_logic;
SIGNAL \WideAnd2707~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][6]~64789\ : std_logic;
SIGNAL \led_flash_cnt[2707][7]~64790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2707][7]~q\ : std_logic;
SIGNAL \WideAnd2707~0_combout\ : std_logic;
SIGNAL \WideAnd2707~combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][0]~83345_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2705][1]~64750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2705][1]~64751\ : std_logic;
SIGNAL \led_flash_cnt[2705][2]~64752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2705][2]~64753\ : std_logic;
SIGNAL \led_flash_cnt[2705][3]~64754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2705][3]~64755\ : std_logic;
SIGNAL \led_flash_cnt[2705][4]~64756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2705][4]~64757\ : std_logic;
SIGNAL \led_flash_cnt[2705][5]~64758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2705][5]~64759\ : std_logic;
SIGNAL \led_flash_cnt[2705][6]~64760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][6]~q\ : std_logic;
SIGNAL \WideAnd2705~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][6]~64761\ : std_logic;
SIGNAL \led_flash_cnt[2705][7]~64762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2705][7]~q\ : std_logic;
SIGNAL \WideAnd2705~0_combout\ : std_logic;
SIGNAL \WideAnd2705~combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][0]~83346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2706][1]~64764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2706][1]~64765\ : std_logic;
SIGNAL \led_flash_cnt[2706][2]~64766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2706][2]~64767\ : std_logic;
SIGNAL \led_flash_cnt[2706][3]~64768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2706][3]~64769\ : std_logic;
SIGNAL \led_flash_cnt[2706][4]~64770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2706][4]~64771\ : std_logic;
SIGNAL \led_flash_cnt[2706][5]~64772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2706][5]~64773\ : std_logic;
SIGNAL \led_flash_cnt[2706][6]~64774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][6]~q\ : std_logic;
SIGNAL \WideAnd2706~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][6]~64775\ : std_logic;
SIGNAL \led_flash_cnt[2706][7]~64776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2706][7]~q\ : std_logic;
SIGNAL \WideAnd2706~0_combout\ : std_logic;
SIGNAL \WideAnd2706~combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][0]~83344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2704][1]~64736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2704][1]~64737\ : std_logic;
SIGNAL \led_flash_cnt[2704][2]~64738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2704][2]~64739\ : std_logic;
SIGNAL \led_flash_cnt[2704][3]~64740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2704][3]~64741\ : std_logic;
SIGNAL \led_flash_cnt[2704][4]~64742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][4]~q\ : std_logic;
SIGNAL \WideAnd2704~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][4]~64743\ : std_logic;
SIGNAL \led_flash_cnt[2704][5]~64744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2704][5]~64745\ : std_logic;
SIGNAL \led_flash_cnt[2704][6]~64746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][6]~q\ : std_logic;
SIGNAL \WideAnd2704~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][6]~64747\ : std_logic;
SIGNAL \led_flash_cnt[2704][7]~64748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2704][7]~q\ : std_logic;
SIGNAL \WideAnd2704~combout\ : std_logic;
SIGNAL \WideAnd4178~0_combout\ : std_logic;
SIGNAL \WideAnd4178~combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][0]~83332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2692][1]~64568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2692][1]~64569\ : std_logic;
SIGNAL \led_flash_cnt[2692][2]~64570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2692][2]~64571\ : std_logic;
SIGNAL \led_flash_cnt[2692][3]~64572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2692][3]~64573\ : std_logic;
SIGNAL \led_flash_cnt[2692][4]~64574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2692][4]~64575\ : std_logic;
SIGNAL \led_flash_cnt[2692][5]~64576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2692][5]~64577\ : std_logic;
SIGNAL \led_flash_cnt[2692][6]~64578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2692][6]~64579\ : std_logic;
SIGNAL \led_flash_cnt[2692][7]~64580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2692][7]~q\ : std_logic;
SIGNAL \WideAnd2692~0_combout\ : std_logic;
SIGNAL \WideAnd2692~1_combout\ : std_logic;
SIGNAL \WideAnd2692~combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][0]~83333_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2693][1]~64582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2693][1]~64583\ : std_logic;
SIGNAL \led_flash_cnt[2693][2]~64584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2693][2]~64585\ : std_logic;
SIGNAL \led_flash_cnt[2693][3]~64586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2693][3]~64587\ : std_logic;
SIGNAL \led_flash_cnt[2693][4]~64588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][4]~q\ : std_logic;
SIGNAL \WideAnd2693~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][4]~64589\ : std_logic;
SIGNAL \led_flash_cnt[2693][5]~64590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2693][5]~64591\ : std_logic;
SIGNAL \led_flash_cnt[2693][6]~64592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][6]~q\ : std_logic;
SIGNAL \WideAnd2693~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][6]~64593\ : std_logic;
SIGNAL \led_flash_cnt[2693][7]~64594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2693][7]~q\ : std_logic;
SIGNAL \WideAnd2693~combout\ : std_logic;
SIGNAL \WideAnd4176~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][0]~83334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2694][1]~64596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2694][1]~64597\ : std_logic;
SIGNAL \led_flash_cnt[2694][2]~64598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2694][2]~64599\ : std_logic;
SIGNAL \led_flash_cnt[2694][3]~64600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2694][3]~64601\ : std_logic;
SIGNAL \led_flash_cnt[2694][4]~64602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][4]~q\ : std_logic;
SIGNAL \WideAnd2694~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][4]~64603\ : std_logic;
SIGNAL \led_flash_cnt[2694][5]~64604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2694][5]~64605\ : std_logic;
SIGNAL \led_flash_cnt[2694][6]~64606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2694][6]~64607\ : std_logic;
SIGNAL \led_flash_cnt[2694][7]~64608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2694][7]~q\ : std_logic;
SIGNAL \WideAnd2694~1_combout\ : std_logic;
SIGNAL \WideAnd2694~combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][0]~83328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2688][1]~64512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2688][1]~64513\ : std_logic;
SIGNAL \led_flash_cnt[2688][2]~64514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2688][2]~64515\ : std_logic;
SIGNAL \led_flash_cnt[2688][3]~64516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2688][3]~64517\ : std_logic;
SIGNAL \led_flash_cnt[2688][4]~64518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2688][4]~64519\ : std_logic;
SIGNAL \led_flash_cnt[2688][5]~64520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2688][5]~64521\ : std_logic;
SIGNAL \led_flash_cnt[2688][6]~64522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][6]~q\ : std_logic;
SIGNAL \WideAnd2688~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][6]~64523\ : std_logic;
SIGNAL \led_flash_cnt[2688][7]~64524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2688][7]~q\ : std_logic;
SIGNAL \WideAnd2688~0_combout\ : std_logic;
SIGNAL \WideAnd2688~combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][0]~83330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2690][1]~64540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2690][1]~64541\ : std_logic;
SIGNAL \led_flash_cnt[2690][2]~64542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2690][2]~64543\ : std_logic;
SIGNAL \led_flash_cnt[2690][3]~64544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2690][3]~64545\ : std_logic;
SIGNAL \led_flash_cnt[2690][4]~64546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][4]~q\ : std_logic;
SIGNAL \WideAnd2690~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][4]~64547\ : std_logic;
SIGNAL \led_flash_cnt[2690][5]~64548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2690][5]~64549\ : std_logic;
SIGNAL \led_flash_cnt[2690][6]~64550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][6]~q\ : std_logic;
SIGNAL \WideAnd2690~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][6]~64551\ : std_logic;
SIGNAL \led_flash_cnt[2690][7]~64552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2690][7]~q\ : std_logic;
SIGNAL \WideAnd2690~combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][0]~83331_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2691][1]~64554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2691][1]~64555\ : std_logic;
SIGNAL \led_flash_cnt[2691][2]~64556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2691][2]~64557\ : std_logic;
SIGNAL \led_flash_cnt[2691][3]~64558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2691][3]~64559\ : std_logic;
SIGNAL \led_flash_cnt[2691][4]~64560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][4]~q\ : std_logic;
SIGNAL \WideAnd2691~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][4]~64561\ : std_logic;
SIGNAL \led_flash_cnt[2691][5]~64562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2691][5]~64563\ : std_logic;
SIGNAL \led_flash_cnt[2691][6]~64564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2691][6]~64565\ : std_logic;
SIGNAL \led_flash_cnt[2691][7]~64566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2691][7]~q\ : std_logic;
SIGNAL \WideAnd2691~1_combout\ : std_logic;
SIGNAL \WideAnd2691~combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][0]~83329_combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2689][1]~64526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2689][1]~64527\ : std_logic;
SIGNAL \led_flash_cnt[2689][2]~64528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2689][2]~64529\ : std_logic;
SIGNAL \led_flash_cnt[2689][3]~64530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2689][3]~64531\ : std_logic;
SIGNAL \led_flash_cnt[2689][4]~64532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2689][4]~64533\ : std_logic;
SIGNAL \led_flash_cnt[2689][5]~64534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2689][5]~64535\ : std_logic;
SIGNAL \led_flash_cnt[2689][6]~64536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2689][6]~64537\ : std_logic;
SIGNAL \led_flash_cnt[2689][7]~64538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2689][7]~q\ : std_logic;
SIGNAL \WideAnd2689~1_combout\ : std_logic;
SIGNAL \WideAnd2689~0_combout\ : std_logic;
SIGNAL \WideAnd2689~combout\ : std_logic;
SIGNAL \WideAnd4176~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][0]~83335_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2695][1]~64610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2695][1]~64611\ : std_logic;
SIGNAL \led_flash_cnt[2695][2]~64612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2695][2]~64613\ : std_logic;
SIGNAL \led_flash_cnt[2695][3]~64614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2695][3]~64615\ : std_logic;
SIGNAL \led_flash_cnt[2695][4]~64616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2695][4]~64617\ : std_logic;
SIGNAL \led_flash_cnt[2695][5]~64618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2695][5]~64619\ : std_logic;
SIGNAL \led_flash_cnt[2695][6]~64620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][6]~q\ : std_logic;
SIGNAL \WideAnd2695~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][6]~64621\ : std_logic;
SIGNAL \led_flash_cnt[2695][7]~64622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2695][7]~q\ : std_logic;
SIGNAL \WideAnd2695~0_combout\ : std_logic;
SIGNAL \WideAnd2695~combout\ : std_logic;
SIGNAL \WideAnd4176~combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][0]~83342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2702][1]~64708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2702][1]~64709\ : std_logic;
SIGNAL \led_flash_cnt[2702][2]~64710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2702][2]~64711\ : std_logic;
SIGNAL \led_flash_cnt[2702][3]~64712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2702][3]~64713\ : std_logic;
SIGNAL \led_flash_cnt[2702][4]~64714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][4]~q\ : std_logic;
SIGNAL \WideAnd2702~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][4]~64715\ : std_logic;
SIGNAL \led_flash_cnt[2702][5]~64716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2702][5]~64717\ : std_logic;
SIGNAL \led_flash_cnt[2702][6]~64718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][6]~q\ : std_logic;
SIGNAL \WideAnd2702~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][6]~64719\ : std_logic;
SIGNAL \led_flash_cnt[2702][7]~64720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2702][7]~q\ : std_logic;
SIGNAL \WideAnd2702~combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][0]~83341_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2701][1]~64694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2701][1]~64695\ : std_logic;
SIGNAL \led_flash_cnt[2701][2]~64696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2701][2]~64697\ : std_logic;
SIGNAL \led_flash_cnt[2701][3]~64698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2701][3]~64699\ : std_logic;
SIGNAL \led_flash_cnt[2701][4]~64700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2701][4]~64701\ : std_logic;
SIGNAL \led_flash_cnt[2701][5]~64702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2701][5]~64703\ : std_logic;
SIGNAL \led_flash_cnt[2701][6]~64704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][6]~q\ : std_logic;
SIGNAL \WideAnd2701~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][6]~64705\ : std_logic;
SIGNAL \led_flash_cnt[2701][7]~64706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2701][7]~q\ : std_logic;
SIGNAL \WideAnd2701~0_combout\ : std_logic;
SIGNAL \WideAnd2701~combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][0]~83340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2700][1]~64680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2700][1]~64681\ : std_logic;
SIGNAL \led_flash_cnt[2700][2]~64682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2700][2]~64683\ : std_logic;
SIGNAL \led_flash_cnt[2700][3]~64684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2700][3]~64685\ : std_logic;
SIGNAL \led_flash_cnt[2700][4]~64686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2700][4]~64687\ : std_logic;
SIGNAL \led_flash_cnt[2700][5]~64688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2700][5]~64689\ : std_logic;
SIGNAL \led_flash_cnt[2700][6]~64690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][6]~q\ : std_logic;
SIGNAL \WideAnd2700~1_combout\ : std_logic;
SIGNAL \WideAnd2700~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][6]~64691\ : std_logic;
SIGNAL \led_flash_cnt[2700][7]~64692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2700][7]~q\ : std_logic;
SIGNAL \WideAnd2700~combout\ : std_logic;
SIGNAL \WideAnd4177~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][0]~83339_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2699][1]~64666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2699][1]~64667\ : std_logic;
SIGNAL \led_flash_cnt[2699][2]~64668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2699][2]~64669\ : std_logic;
SIGNAL \led_flash_cnt[2699][3]~64670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2699][3]~64671\ : std_logic;
SIGNAL \led_flash_cnt[2699][4]~64672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2699][4]~64673\ : std_logic;
SIGNAL \led_flash_cnt[2699][5]~64674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2699][5]~64675\ : std_logic;
SIGNAL \led_flash_cnt[2699][6]~64676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2699][6]~64677\ : std_logic;
SIGNAL \led_flash_cnt[2699][7]~64678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2699][7]~q\ : std_logic;
SIGNAL \WideAnd2699~0_combout\ : std_logic;
SIGNAL \WideAnd2699~1_combout\ : std_logic;
SIGNAL \WideAnd2699~combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][0]~83336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2696][1]~64624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2696][1]~64625\ : std_logic;
SIGNAL \led_flash_cnt[2696][2]~64626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2696][2]~64627\ : std_logic;
SIGNAL \led_flash_cnt[2696][3]~64628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2696][3]~64629\ : std_logic;
SIGNAL \led_flash_cnt[2696][4]~64630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2696][4]~64631\ : std_logic;
SIGNAL \led_flash_cnt[2696][5]~64632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2696][5]~64633\ : std_logic;
SIGNAL \led_flash_cnt[2696][6]~64634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][6]~q\ : std_logic;
SIGNAL \WideAnd2696~1_combout\ : std_logic;
SIGNAL \WideAnd2696~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][6]~64635\ : std_logic;
SIGNAL \led_flash_cnt[2696][7]~64636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2696][7]~q\ : std_logic;
SIGNAL \WideAnd2696~combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][0]~83337_combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2697][1]~64638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2697][1]~64639\ : std_logic;
SIGNAL \led_flash_cnt[2697][2]~64640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2697][2]~64641\ : std_logic;
SIGNAL \led_flash_cnt[2697][3]~64642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2697][3]~64643\ : std_logic;
SIGNAL \led_flash_cnt[2697][4]~64644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2697][4]~64645\ : std_logic;
SIGNAL \led_flash_cnt[2697][5]~64646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2697][5]~64647\ : std_logic;
SIGNAL \led_flash_cnt[2697][6]~64648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2697][6]~64649\ : std_logic;
SIGNAL \led_flash_cnt[2697][7]~64650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2697][7]~q\ : std_logic;
SIGNAL \WideAnd2697~0_combout\ : std_logic;
SIGNAL \WideAnd2697~1_combout\ : std_logic;
SIGNAL \WideAnd2697~combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][0]~83338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2698][1]~64652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2698][1]~64653\ : std_logic;
SIGNAL \led_flash_cnt[2698][2]~64654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2698][2]~64655\ : std_logic;
SIGNAL \led_flash_cnt[2698][3]~64656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2698][3]~64657\ : std_logic;
SIGNAL \led_flash_cnt[2698][4]~64658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][4]~q\ : std_logic;
SIGNAL \WideAnd2698~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][4]~64659\ : std_logic;
SIGNAL \led_flash_cnt[2698][5]~64660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2698][5]~64661\ : std_logic;
SIGNAL \led_flash_cnt[2698][6]~64662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2698][6]~64663\ : std_logic;
SIGNAL \led_flash_cnt[2698][7]~64664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2698][7]~q\ : std_logic;
SIGNAL \WideAnd2698~1_combout\ : std_logic;
SIGNAL \WideAnd2698~combout\ : std_logic;
SIGNAL \WideAnd4177~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][0]~83343_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2703][1]~64722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2703][1]~64723\ : std_logic;
SIGNAL \led_flash_cnt[2703][2]~64724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2703][2]~64725\ : std_logic;
SIGNAL \led_flash_cnt[2703][3]~64726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2703][3]~64727\ : std_logic;
SIGNAL \led_flash_cnt[2703][4]~64728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2703][4]~64729\ : std_logic;
SIGNAL \led_flash_cnt[2703][5]~64730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2703][5]~64731\ : std_logic;
SIGNAL \led_flash_cnt[2703][6]~64732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2703][6]~64733\ : std_logic;
SIGNAL \led_flash_cnt[2703][7]~64734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2703][7]~q\ : std_logic;
SIGNAL \WideAnd2703~1_combout\ : std_logic;
SIGNAL \WideAnd2703~0_combout\ : std_logic;
SIGNAL \WideAnd2703~combout\ : std_logic;
SIGNAL \WideAnd4177~combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][0]~83356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2716][1]~64904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2716][1]~64905\ : std_logic;
SIGNAL \led_flash_cnt[2716][2]~64906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2716][2]~64907\ : std_logic;
SIGNAL \led_flash_cnt[2716][3]~64908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2716][3]~64909\ : std_logic;
SIGNAL \led_flash_cnt[2716][4]~64910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2716][4]~64911\ : std_logic;
SIGNAL \led_flash_cnt[2716][5]~64912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2716][5]~64913\ : std_logic;
SIGNAL \led_flash_cnt[2716][6]~64914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][6]~q\ : std_logic;
SIGNAL \WideAnd2716~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][6]~64915\ : std_logic;
SIGNAL \led_flash_cnt[2716][7]~64916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2716][7]~q\ : std_logic;
SIGNAL \WideAnd2716~0_combout\ : std_logic;
SIGNAL \WideAnd2716~combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][0]~83357_combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2717][1]~64918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2717][1]~64919\ : std_logic;
SIGNAL \led_flash_cnt[2717][2]~64920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2717][2]~64921\ : std_logic;
SIGNAL \led_flash_cnt[2717][3]~64922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2717][3]~64923\ : std_logic;
SIGNAL \led_flash_cnt[2717][4]~64924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2717][4]~64925\ : std_logic;
SIGNAL \led_flash_cnt[2717][5]~64926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2717][5]~64927\ : std_logic;
SIGNAL \led_flash_cnt[2717][6]~64928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2717][6]~64929\ : std_logic;
SIGNAL \led_flash_cnt[2717][7]~64930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2717][7]~q\ : std_logic;
SIGNAL \WideAnd2717~0_combout\ : std_logic;
SIGNAL \WideAnd2717~1_combout\ : std_logic;
SIGNAL \WideAnd2717~combout\ : std_logic;
SIGNAL \WideAnd4179~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][0]~83355_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2715][1]~64890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2715][1]~64891\ : std_logic;
SIGNAL \led_flash_cnt[2715][2]~64892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2715][2]~64893\ : std_logic;
SIGNAL \led_flash_cnt[2715][3]~64894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2715][3]~64895\ : std_logic;
SIGNAL \led_flash_cnt[2715][4]~64896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2715][4]~64897\ : std_logic;
SIGNAL \led_flash_cnt[2715][5]~64898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2715][5]~64899\ : std_logic;
SIGNAL \led_flash_cnt[2715][6]~64900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][6]~q\ : std_logic;
SIGNAL \WideAnd2715~1_combout\ : std_logic;
SIGNAL \WideAnd2715~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][6]~64901\ : std_logic;
SIGNAL \led_flash_cnt[2715][7]~64902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2715][7]~q\ : std_logic;
SIGNAL \WideAnd2715~combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][0]~83354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2714][1]~64876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2714][1]~64877\ : std_logic;
SIGNAL \led_flash_cnt[2714][2]~64878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2714][2]~64879\ : std_logic;
SIGNAL \led_flash_cnt[2714][3]~64880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2714][3]~64881\ : std_logic;
SIGNAL \led_flash_cnt[2714][4]~64882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][4]~q\ : std_logic;
SIGNAL \WideAnd2714~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][4]~64883\ : std_logic;
SIGNAL \led_flash_cnt[2714][5]~64884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2714][5]~64885\ : std_logic;
SIGNAL \led_flash_cnt[2714][6]~64886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2714][6]~64887\ : std_logic;
SIGNAL \led_flash_cnt[2714][7]~64888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2714][7]~q\ : std_logic;
SIGNAL \WideAnd2714~1_combout\ : std_logic;
SIGNAL \WideAnd2714~combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][0]~83353_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2713][1]~64862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2713][1]~64863\ : std_logic;
SIGNAL \led_flash_cnt[2713][2]~64864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2713][2]~64865\ : std_logic;
SIGNAL \led_flash_cnt[2713][3]~64866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2713][3]~64867\ : std_logic;
SIGNAL \led_flash_cnt[2713][4]~64868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2713][4]~64869\ : std_logic;
SIGNAL \led_flash_cnt[2713][5]~64870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2713][5]~64871\ : std_logic;
SIGNAL \led_flash_cnt[2713][6]~64872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][6]~q\ : std_logic;
SIGNAL \WideAnd2713~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][6]~64873\ : std_logic;
SIGNAL \led_flash_cnt[2713][7]~64874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2713][7]~q\ : std_logic;
SIGNAL \WideAnd2713~0_combout\ : std_logic;
SIGNAL \WideAnd2713~combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][0]~83352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2712][1]~64848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2712][1]~64849\ : std_logic;
SIGNAL \led_flash_cnt[2712][2]~64850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2712][2]~64851\ : std_logic;
SIGNAL \led_flash_cnt[2712][3]~64852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2712][3]~64853\ : std_logic;
SIGNAL \led_flash_cnt[2712][4]~64854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2712][4]~64855\ : std_logic;
SIGNAL \led_flash_cnt[2712][5]~64856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2712][5]~64857\ : std_logic;
SIGNAL \led_flash_cnt[2712][6]~64858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2712][6]~64859\ : std_logic;
SIGNAL \led_flash_cnt[2712][7]~64860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2712][7]~q\ : std_logic;
SIGNAL \WideAnd2712~0_combout\ : std_logic;
SIGNAL \WideAnd2712~1_combout\ : std_logic;
SIGNAL \WideAnd2712~combout\ : std_logic;
SIGNAL \WideAnd4179~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][0]~83358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2718][1]~64932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2718][1]~64933\ : std_logic;
SIGNAL \led_flash_cnt[2718][2]~64934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2718][2]~64935\ : std_logic;
SIGNAL \led_flash_cnt[2718][3]~64936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2718][3]~64937\ : std_logic;
SIGNAL \led_flash_cnt[2718][4]~64938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2718][4]~64939\ : std_logic;
SIGNAL \led_flash_cnt[2718][5]~64940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2718][5]~64941\ : std_logic;
SIGNAL \led_flash_cnt[2718][6]~64942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][6]~q\ : std_logic;
SIGNAL \WideAnd2718~1_combout\ : std_logic;
SIGNAL \WideAnd2718~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][6]~64943\ : std_logic;
SIGNAL \led_flash_cnt[2718][7]~64944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2718][7]~q\ : std_logic;
SIGNAL \WideAnd2718~combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][0]~83359_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2719][1]~64946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2719][1]~64947\ : std_logic;
SIGNAL \led_flash_cnt[2719][2]~64948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2719][2]~64949\ : std_logic;
SIGNAL \led_flash_cnt[2719][3]~64950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2719][3]~64951\ : std_logic;
SIGNAL \led_flash_cnt[2719][4]~64952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2719][4]~64953\ : std_logic;
SIGNAL \led_flash_cnt[2719][5]~64954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2719][5]~64955\ : std_logic;
SIGNAL \led_flash_cnt[2719][6]~64956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][6]~q\ : std_logic;
SIGNAL \WideAnd2719~1_combout\ : std_logic;
SIGNAL \WideAnd2719~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][6]~64957\ : std_logic;
SIGNAL \led_flash_cnt[2719][7]~64958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2719][7]~q\ : std_logic;
SIGNAL \WideAnd2719~combout\ : std_logic;
SIGNAL \WideAnd4179~combout\ : std_logic;
SIGNAL \WideAnd4362~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][0]~83380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2740][1]~65240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2740][1]~65241\ : std_logic;
SIGNAL \led_flash_cnt[2740][2]~65242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2740][2]~65243\ : std_logic;
SIGNAL \led_flash_cnt[2740][3]~65244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2740][3]~65245\ : std_logic;
SIGNAL \led_flash_cnt[2740][4]~65246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2740][4]~65247\ : std_logic;
SIGNAL \led_flash_cnt[2740][5]~65248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2740][5]~65249\ : std_logic;
SIGNAL \led_flash_cnt[2740][6]~65250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][6]~q\ : std_logic;
SIGNAL \WideAnd2740~1_combout\ : std_logic;
SIGNAL \WideAnd2740~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][6]~65251\ : std_logic;
SIGNAL \led_flash_cnt[2740][7]~65252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2740][7]~q\ : std_logic;
SIGNAL \WideAnd2740~combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][0]~83381_combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2741][1]~65254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2741][1]~65255\ : std_logic;
SIGNAL \led_flash_cnt[2741][2]~65256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2741][2]~65257\ : std_logic;
SIGNAL \led_flash_cnt[2741][3]~65258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2741][3]~65259\ : std_logic;
SIGNAL \led_flash_cnt[2741][4]~65260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2741][4]~65261\ : std_logic;
SIGNAL \led_flash_cnt[2741][5]~65262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2741][5]~65263\ : std_logic;
SIGNAL \led_flash_cnt[2741][6]~65264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2741][6]~65265\ : std_logic;
SIGNAL \led_flash_cnt[2741][7]~65266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2741][7]~q\ : std_logic;
SIGNAL \WideAnd2741~1_combout\ : std_logic;
SIGNAL \WideAnd2741~0_combout\ : std_logic;
SIGNAL \WideAnd2741~combout\ : std_logic;
SIGNAL \WideAnd4182~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][0]~83383_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2743][1]~65282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2743][1]~65283\ : std_logic;
SIGNAL \led_flash_cnt[2743][2]~65284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2743][2]~65285\ : std_logic;
SIGNAL \led_flash_cnt[2743][3]~65286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2743][3]~65287\ : std_logic;
SIGNAL \led_flash_cnt[2743][4]~65288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2743][4]~65289\ : std_logic;
SIGNAL \led_flash_cnt[2743][5]~65290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2743][5]~65291\ : std_logic;
SIGNAL \led_flash_cnt[2743][6]~65292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][6]~q\ : std_logic;
SIGNAL \WideAnd2743~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][6]~65293\ : std_logic;
SIGNAL \led_flash_cnt[2743][7]~65294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2743][7]~q\ : std_logic;
SIGNAL \WideAnd2743~0_combout\ : std_logic;
SIGNAL \WideAnd2743~combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][0]~83377_combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2737][1]~65198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2737][1]~65199\ : std_logic;
SIGNAL \led_flash_cnt[2737][2]~65200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2737][2]~65201\ : std_logic;
SIGNAL \led_flash_cnt[2737][3]~65202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2737][3]~65203\ : std_logic;
SIGNAL \led_flash_cnt[2737][4]~65204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2737][4]~65205\ : std_logic;
SIGNAL \led_flash_cnt[2737][5]~65206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2737][5]~65207\ : std_logic;
SIGNAL \led_flash_cnt[2737][6]~65208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2737][6]~65209\ : std_logic;
SIGNAL \led_flash_cnt[2737][7]~65210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2737][7]~q\ : std_logic;
SIGNAL \WideAnd2737~1_combout\ : std_logic;
SIGNAL \WideAnd2737~0_combout\ : std_logic;
SIGNAL \WideAnd2737~combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][0]~83376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2736][1]~65184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2736][1]~65185\ : std_logic;
SIGNAL \led_flash_cnt[2736][2]~65186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2736][2]~65187\ : std_logic;
SIGNAL \led_flash_cnt[2736][3]~65188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2736][3]~65189\ : std_logic;
SIGNAL \led_flash_cnt[2736][4]~65190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][4]~q\ : std_logic;
SIGNAL \WideAnd2736~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][4]~65191\ : std_logic;
SIGNAL \led_flash_cnt[2736][5]~65192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2736][5]~65193\ : std_logic;
SIGNAL \led_flash_cnt[2736][6]~65194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][6]~q\ : std_logic;
SIGNAL \WideAnd2736~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][6]~65195\ : std_logic;
SIGNAL \led_flash_cnt[2736][7]~65196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2736][7]~q\ : std_logic;
SIGNAL \WideAnd2736~combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][0]~83379_combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2739][1]~65226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2739][1]~65227\ : std_logic;
SIGNAL \led_flash_cnt[2739][2]~65228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2739][2]~65229\ : std_logic;
SIGNAL \led_flash_cnt[2739][3]~65230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2739][3]~65231\ : std_logic;
SIGNAL \led_flash_cnt[2739][4]~65232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2739][4]~65233\ : std_logic;
SIGNAL \led_flash_cnt[2739][5]~65234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2739][5]~65235\ : std_logic;
SIGNAL \led_flash_cnt[2739][6]~65236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2739][6]~65237\ : std_logic;
SIGNAL \led_flash_cnt[2739][7]~65238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2739][7]~q\ : std_logic;
SIGNAL \WideAnd2739~0_combout\ : std_logic;
SIGNAL \WideAnd2739~1_combout\ : std_logic;
SIGNAL \WideAnd2739~combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][0]~83378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2738][1]~65212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2738][1]~65213\ : std_logic;
SIGNAL \led_flash_cnt[2738][2]~65214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2738][2]~65215\ : std_logic;
SIGNAL \led_flash_cnt[2738][3]~65216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2738][3]~65217\ : std_logic;
SIGNAL \led_flash_cnt[2738][4]~65218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2738][4]~65219\ : std_logic;
SIGNAL \led_flash_cnt[2738][5]~65220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2738][5]~65221\ : std_logic;
SIGNAL \led_flash_cnt[2738][6]~65222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][6]~q\ : std_logic;
SIGNAL \WideAnd2738~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][6]~65223\ : std_logic;
SIGNAL \led_flash_cnt[2738][7]~65224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2738][7]~q\ : std_logic;
SIGNAL \WideAnd2738~0_combout\ : std_logic;
SIGNAL \WideAnd2738~combout\ : std_logic;
SIGNAL \WideAnd4182~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][0]~83382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2742][1]~65268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2742][1]~65269\ : std_logic;
SIGNAL \led_flash_cnt[2742][2]~65270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2742][2]~65271\ : std_logic;
SIGNAL \led_flash_cnt[2742][3]~65272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2742][3]~65273\ : std_logic;
SIGNAL \led_flash_cnt[2742][4]~65274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2742][4]~65275\ : std_logic;
SIGNAL \led_flash_cnt[2742][5]~65276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2742][5]~65277\ : std_logic;
SIGNAL \led_flash_cnt[2742][6]~65278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][6]~q\ : std_logic;
SIGNAL \WideAnd2742~1_combout\ : std_logic;
SIGNAL \WideAnd2742~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][6]~65279\ : std_logic;
SIGNAL \led_flash_cnt[2742][7]~65280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2742][7]~q\ : std_logic;
SIGNAL \WideAnd2742~combout\ : std_logic;
SIGNAL \WideAnd4182~combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][0]~83367_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2727][1]~65058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2727][1]~65059\ : std_logic;
SIGNAL \led_flash_cnt[2727][2]~65060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2727][2]~65061\ : std_logic;
SIGNAL \led_flash_cnt[2727][3]~65062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2727][3]~65063\ : std_logic;
SIGNAL \led_flash_cnt[2727][4]~65064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][4]~q\ : std_logic;
SIGNAL \WideAnd2727~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][4]~65065\ : std_logic;
SIGNAL \led_flash_cnt[2727][5]~65066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2727][5]~65067\ : std_logic;
SIGNAL \led_flash_cnt[2727][6]~65068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][6]~q\ : std_logic;
SIGNAL \WideAnd2727~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][6]~65069\ : std_logic;
SIGNAL \led_flash_cnt[2727][7]~65070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2727][7]~q\ : std_logic;
SIGNAL \WideAnd2727~combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][0]~83366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2726][1]~65044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2726][1]~65045\ : std_logic;
SIGNAL \led_flash_cnt[2726][2]~65046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2726][2]~65047\ : std_logic;
SIGNAL \led_flash_cnt[2726][3]~65048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2726][3]~65049\ : std_logic;
SIGNAL \led_flash_cnt[2726][4]~65050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2726][4]~65051\ : std_logic;
SIGNAL \led_flash_cnt[2726][5]~65052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2726][5]~65053\ : std_logic;
SIGNAL \led_flash_cnt[2726][6]~65054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2726][6]~65055\ : std_logic;
SIGNAL \led_flash_cnt[2726][7]~65056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2726][7]~q\ : std_logic;
SIGNAL \WideAnd2726~0_combout\ : std_logic;
SIGNAL \WideAnd2726~1_combout\ : std_logic;
SIGNAL \WideAnd2726~combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][0]~83363_combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2723][1]~65002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2723][1]~65003\ : std_logic;
SIGNAL \led_flash_cnt[2723][2]~65004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2723][2]~65005\ : std_logic;
SIGNAL \led_flash_cnt[2723][3]~65006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2723][3]~65007\ : std_logic;
SIGNAL \led_flash_cnt[2723][4]~65008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2723][4]~65009\ : std_logic;
SIGNAL \led_flash_cnt[2723][5]~65010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2723][5]~65011\ : std_logic;
SIGNAL \led_flash_cnt[2723][6]~65012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2723][6]~65013\ : std_logic;
SIGNAL \led_flash_cnt[2723][7]~65014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2723][7]~q\ : std_logic;
SIGNAL \WideAnd2723~1_combout\ : std_logic;
SIGNAL \WideAnd2723~0_combout\ : std_logic;
SIGNAL \WideAnd2723~combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][0]~83361_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2721][1]~64974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2721][1]~64975\ : std_logic;
SIGNAL \led_flash_cnt[2721][2]~64976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2721][2]~64977\ : std_logic;
SIGNAL \led_flash_cnt[2721][3]~64978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2721][3]~64979\ : std_logic;
SIGNAL \led_flash_cnt[2721][4]~64980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][4]~q\ : std_logic;
SIGNAL \WideAnd2721~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][4]~64981\ : std_logic;
SIGNAL \led_flash_cnt[2721][5]~64982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2721][5]~64983\ : std_logic;
SIGNAL \led_flash_cnt[2721][6]~64984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2721][6]~64985\ : std_logic;
SIGNAL \led_flash_cnt[2721][7]~64986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2721][7]~q\ : std_logic;
SIGNAL \WideAnd2721~1_combout\ : std_logic;
SIGNAL \WideAnd2721~combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][0]~83362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2722][1]~64988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2722][1]~64989\ : std_logic;
SIGNAL \led_flash_cnt[2722][2]~64990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2722][2]~64991\ : std_logic;
SIGNAL \led_flash_cnt[2722][3]~64992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2722][3]~64993\ : std_logic;
SIGNAL \led_flash_cnt[2722][4]~64994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2722][4]~64995\ : std_logic;
SIGNAL \led_flash_cnt[2722][5]~64996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2722][5]~64997\ : std_logic;
SIGNAL \led_flash_cnt[2722][6]~64998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2722][6]~64999\ : std_logic;
SIGNAL \led_flash_cnt[2722][7]~65000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2722][7]~q\ : std_logic;
SIGNAL \WideAnd2722~1_combout\ : std_logic;
SIGNAL \WideAnd2722~0_combout\ : std_logic;
SIGNAL \WideAnd2722~combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][0]~83360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2720][1]~64960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2720][1]~64961\ : std_logic;
SIGNAL \led_flash_cnt[2720][2]~64962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2720][2]~64963\ : std_logic;
SIGNAL \led_flash_cnt[2720][3]~64964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2720][3]~64965\ : std_logic;
SIGNAL \led_flash_cnt[2720][4]~64966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][4]~q\ : std_logic;
SIGNAL \WideAnd2720~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][4]~64967\ : std_logic;
SIGNAL \led_flash_cnt[2720][5]~64968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2720][5]~64969\ : std_logic;
SIGNAL \led_flash_cnt[2720][6]~64970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2720][6]~64971\ : std_logic;
SIGNAL \led_flash_cnt[2720][7]~64972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2720][7]~q\ : std_logic;
SIGNAL \WideAnd2720~1_combout\ : std_logic;
SIGNAL \WideAnd2720~combout\ : std_logic;
SIGNAL \WideAnd4180~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][0]~83365_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2725][1]~65030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2725][1]~65031\ : std_logic;
SIGNAL \led_flash_cnt[2725][2]~65032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2725][2]~65033\ : std_logic;
SIGNAL \led_flash_cnt[2725][3]~65034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2725][3]~65035\ : std_logic;
SIGNAL \led_flash_cnt[2725][4]~65036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2725][4]~65037\ : std_logic;
SIGNAL \led_flash_cnt[2725][5]~65038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2725][5]~65039\ : std_logic;
SIGNAL \led_flash_cnt[2725][6]~65040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][6]~q\ : std_logic;
SIGNAL \WideAnd2725~1_combout\ : std_logic;
SIGNAL \WideAnd2725~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][6]~65041\ : std_logic;
SIGNAL \led_flash_cnt[2725][7]~65042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2725][7]~q\ : std_logic;
SIGNAL \WideAnd2725~combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][0]~83364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2724][1]~65016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2724][1]~65017\ : std_logic;
SIGNAL \led_flash_cnt[2724][2]~65018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2724][2]~65019\ : std_logic;
SIGNAL \led_flash_cnt[2724][3]~65020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2724][3]~65021\ : std_logic;
SIGNAL \led_flash_cnt[2724][4]~65022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2724][4]~65023\ : std_logic;
SIGNAL \led_flash_cnt[2724][5]~65024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2724][5]~65025\ : std_logic;
SIGNAL \led_flash_cnt[2724][6]~65026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][6]~q\ : std_logic;
SIGNAL \WideAnd2724~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][6]~65027\ : std_logic;
SIGNAL \led_flash_cnt[2724][7]~65028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2724][7]~q\ : std_logic;
SIGNAL \WideAnd2724~0_combout\ : std_logic;
SIGNAL \WideAnd2724~combout\ : std_logic;
SIGNAL \WideAnd4180~1_combout\ : std_logic;
SIGNAL \WideAnd4180~combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][0]~83374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2734][1]~65156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2734][1]~65157\ : std_logic;
SIGNAL \led_flash_cnt[2734][2]~65158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2734][2]~65159\ : std_logic;
SIGNAL \led_flash_cnt[2734][3]~65160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2734][3]~65161\ : std_logic;
SIGNAL \led_flash_cnt[2734][4]~65162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2734][4]~65163\ : std_logic;
SIGNAL \led_flash_cnt[2734][5]~65164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2734][5]~65165\ : std_logic;
SIGNAL \led_flash_cnt[2734][6]~65166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][6]~q\ : std_logic;
SIGNAL \WideAnd2734~1_combout\ : std_logic;
SIGNAL \WideAnd2734~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][6]~65167\ : std_logic;
SIGNAL \led_flash_cnt[2734][7]~65168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2734][7]~q\ : std_logic;
SIGNAL \WideAnd2734~combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][0]~83375_combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2735][1]~65170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2735][1]~65171\ : std_logic;
SIGNAL \led_flash_cnt[2735][2]~65172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2735][2]~65173\ : std_logic;
SIGNAL \led_flash_cnt[2735][3]~65174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2735][3]~65175\ : std_logic;
SIGNAL \led_flash_cnt[2735][4]~65176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2735][4]~65177\ : std_logic;
SIGNAL \led_flash_cnt[2735][5]~65178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2735][5]~65179\ : std_logic;
SIGNAL \led_flash_cnt[2735][6]~65180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2735][6]~65181\ : std_logic;
SIGNAL \led_flash_cnt[2735][7]~65182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2735][7]~q\ : std_logic;
SIGNAL \WideAnd2735~0_combout\ : std_logic;
SIGNAL \WideAnd2735~1_combout\ : std_logic;
SIGNAL \WideAnd2735~combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][0]~83369_combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2729][1]~65086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2729][1]~65087\ : std_logic;
SIGNAL \led_flash_cnt[2729][2]~65088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2729][2]~65089\ : std_logic;
SIGNAL \led_flash_cnt[2729][3]~65090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2729][3]~65091\ : std_logic;
SIGNAL \led_flash_cnt[2729][4]~65092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2729][4]~65093\ : std_logic;
SIGNAL \led_flash_cnt[2729][5]~65094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2729][5]~65095\ : std_logic;
SIGNAL \led_flash_cnt[2729][6]~65096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2729][6]~65097\ : std_logic;
SIGNAL \led_flash_cnt[2729][7]~65098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2729][7]~q\ : std_logic;
SIGNAL \WideAnd2729~1_combout\ : std_logic;
SIGNAL \WideAnd2729~0_combout\ : std_logic;
SIGNAL \WideAnd2729~combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][0]~83370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2730][1]~65100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2730][1]~65101\ : std_logic;
SIGNAL \led_flash_cnt[2730][2]~65102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2730][2]~65103\ : std_logic;
SIGNAL \led_flash_cnt[2730][3]~65104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2730][3]~65105\ : std_logic;
SIGNAL \led_flash_cnt[2730][4]~65106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][4]~q\ : std_logic;
SIGNAL \WideAnd2730~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][4]~65107\ : std_logic;
SIGNAL \led_flash_cnt[2730][5]~65108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2730][5]~65109\ : std_logic;
SIGNAL \led_flash_cnt[2730][6]~65110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][6]~q\ : std_logic;
SIGNAL \WideAnd2730~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][6]~65111\ : std_logic;
SIGNAL \led_flash_cnt[2730][7]~65112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2730][7]~q\ : std_logic;
SIGNAL \WideAnd2730~combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][0]~83371_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2731][1]~65114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2731][1]~65115\ : std_logic;
SIGNAL \led_flash_cnt[2731][2]~65116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2731][2]~65117\ : std_logic;
SIGNAL \led_flash_cnt[2731][3]~65118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2731][3]~65119\ : std_logic;
SIGNAL \led_flash_cnt[2731][4]~65120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][4]~q\ : std_logic;
SIGNAL \WideAnd2731~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][4]~65121\ : std_logic;
SIGNAL \led_flash_cnt[2731][5]~65122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2731][5]~65123\ : std_logic;
SIGNAL \led_flash_cnt[2731][6]~65124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2731][6]~65125\ : std_logic;
SIGNAL \led_flash_cnt[2731][7]~65126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2731][7]~q\ : std_logic;
SIGNAL \WideAnd2731~1_combout\ : std_logic;
SIGNAL \WideAnd2731~combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][0]~83368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2728][1]~65072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2728][1]~65073\ : std_logic;
SIGNAL \led_flash_cnt[2728][2]~65074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2728][2]~65075\ : std_logic;
SIGNAL \led_flash_cnt[2728][3]~65076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2728][3]~65077\ : std_logic;
SIGNAL \led_flash_cnt[2728][4]~65078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2728][4]~65079\ : std_logic;
SIGNAL \led_flash_cnt[2728][5]~65080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2728][5]~65081\ : std_logic;
SIGNAL \led_flash_cnt[2728][6]~65082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2728][6]~65083\ : std_logic;
SIGNAL \led_flash_cnt[2728][7]~65084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2728][7]~q\ : std_logic;
SIGNAL \WideAnd2728~1_combout\ : std_logic;
SIGNAL \WideAnd2728~0_combout\ : std_logic;
SIGNAL \WideAnd2728~combout\ : std_logic;
SIGNAL \WideAnd4181~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][0]~83372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2732][1]~65128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2732][1]~65129\ : std_logic;
SIGNAL \led_flash_cnt[2732][2]~65130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2732][2]~65131\ : std_logic;
SIGNAL \led_flash_cnt[2732][3]~65132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2732][3]~65133\ : std_logic;
SIGNAL \led_flash_cnt[2732][4]~65134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2732][4]~65135\ : std_logic;
SIGNAL \led_flash_cnt[2732][5]~65136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2732][5]~65137\ : std_logic;
SIGNAL \led_flash_cnt[2732][6]~65138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][6]~q\ : std_logic;
SIGNAL \WideAnd2732~1_combout\ : std_logic;
SIGNAL \WideAnd2732~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][6]~65139\ : std_logic;
SIGNAL \led_flash_cnt[2732][7]~65140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2732][7]~q\ : std_logic;
SIGNAL \WideAnd2732~combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][0]~83373_combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2733][1]~65142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2733][1]~65143\ : std_logic;
SIGNAL \led_flash_cnt[2733][2]~65144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2733][2]~65145\ : std_logic;
SIGNAL \led_flash_cnt[2733][3]~65146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2733][3]~65147\ : std_logic;
SIGNAL \led_flash_cnt[2733][4]~65148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2733][4]~65149\ : std_logic;
SIGNAL \led_flash_cnt[2733][5]~65150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2733][5]~65151\ : std_logic;
SIGNAL \led_flash_cnt[2733][6]~65152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2733][6]~65153\ : std_logic;
SIGNAL \led_flash_cnt[2733][7]~65154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2733][7]~q\ : std_logic;
SIGNAL \WideAnd2733~1_combout\ : std_logic;
SIGNAL \WideAnd2733~0_combout\ : std_logic;
SIGNAL \WideAnd2733~combout\ : std_logic;
SIGNAL \WideAnd4181~1_combout\ : std_logic;
SIGNAL \WideAnd4181~combout\ : std_logic;
SIGNAL \WideAnd4362~1_combout\ : std_logic;
SIGNAL \WideAnd4362~combout\ : std_logic;
SIGNAL \WideAnd4380~12_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][0]~82838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2198][1]~57652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2198][1]~57653\ : std_logic;
SIGNAL \led_flash_cnt[2198][2]~57654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2198][2]~57655\ : std_logic;
SIGNAL \led_flash_cnt[2198][3]~57656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2198][3]~57657\ : std_logic;
SIGNAL \led_flash_cnt[2198][4]~57658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2198][4]~57659\ : std_logic;
SIGNAL \led_flash_cnt[2198][5]~57660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2198][5]~57661\ : std_logic;
SIGNAL \led_flash_cnt[2198][6]~57662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2198][6]~57663\ : std_logic;
SIGNAL \led_flash_cnt[2198][7]~57664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2198][7]~q\ : std_logic;
SIGNAL \WideAnd2198~1_combout\ : std_logic;
SIGNAL \WideAnd2198~0_combout\ : std_logic;
SIGNAL \WideAnd2198~combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][0]~82832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2192][1]~57568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2192][1]~57569\ : std_logic;
SIGNAL \led_flash_cnt[2192][2]~57570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2192][2]~57571\ : std_logic;
SIGNAL \led_flash_cnt[2192][3]~57572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2192][3]~57573\ : std_logic;
SIGNAL \led_flash_cnt[2192][4]~57574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2192][4]~57575\ : std_logic;
SIGNAL \led_flash_cnt[2192][5]~57576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2192][5]~57577\ : std_logic;
SIGNAL \led_flash_cnt[2192][6]~57578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][6]~q\ : std_logic;
SIGNAL \WideAnd2192~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][6]~57579\ : std_logic;
SIGNAL \led_flash_cnt[2192][7]~57580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2192][7]~q\ : std_logic;
SIGNAL \WideAnd2192~0_combout\ : std_logic;
SIGNAL \WideAnd2192~combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][0]~82835_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2195][1]~57610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2195][1]~57611\ : std_logic;
SIGNAL \led_flash_cnt[2195][2]~57612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2195][2]~57613\ : std_logic;
SIGNAL \led_flash_cnt[2195][3]~57614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2195][3]~57615\ : std_logic;
SIGNAL \led_flash_cnt[2195][4]~57616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][4]~q\ : std_logic;
SIGNAL \WideAnd2195~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][4]~57617\ : std_logic;
SIGNAL \led_flash_cnt[2195][5]~57618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2195][5]~57619\ : std_logic;
SIGNAL \led_flash_cnt[2195][6]~57620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2195][6]~57621\ : std_logic;
SIGNAL \led_flash_cnt[2195][7]~57622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2195][7]~q\ : std_logic;
SIGNAL \WideAnd2195~1_combout\ : std_logic;
SIGNAL \WideAnd2195~combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][0]~82834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2194][1]~57596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2194][1]~57597\ : std_logic;
SIGNAL \led_flash_cnt[2194][2]~57598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2194][2]~57599\ : std_logic;
SIGNAL \led_flash_cnt[2194][3]~57600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2194][3]~57601\ : std_logic;
SIGNAL \led_flash_cnt[2194][4]~57602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2194][4]~57603\ : std_logic;
SIGNAL \led_flash_cnt[2194][5]~57604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2194][5]~57605\ : std_logic;
SIGNAL \led_flash_cnt[2194][6]~57606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][6]~q\ : std_logic;
SIGNAL \WideAnd2194~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][6]~57607\ : std_logic;
SIGNAL \led_flash_cnt[2194][7]~57608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2194][7]~q\ : std_logic;
SIGNAL \WideAnd2194~0_combout\ : std_logic;
SIGNAL \WideAnd2194~combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][0]~82833_combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2193][1]~57582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2193][1]~57583\ : std_logic;
SIGNAL \led_flash_cnt[2193][2]~57584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2193][2]~57585\ : std_logic;
SIGNAL \led_flash_cnt[2193][3]~57586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2193][3]~57587\ : std_logic;
SIGNAL \led_flash_cnt[2193][4]~57588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2193][4]~57589\ : std_logic;
SIGNAL \led_flash_cnt[2193][5]~57590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2193][5]~57591\ : std_logic;
SIGNAL \led_flash_cnt[2193][6]~57592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2193][6]~57593\ : std_logic;
SIGNAL \led_flash_cnt[2193][7]~57594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2193][7]~q\ : std_logic;
SIGNAL \WideAnd2193~1_combout\ : std_logic;
SIGNAL \WideAnd2193~0_combout\ : std_logic;
SIGNAL \WideAnd2193~combout\ : std_logic;
SIGNAL \WideAnd4114~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][0]~82839_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2199][1]~57666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2199][1]~57667\ : std_logic;
SIGNAL \led_flash_cnt[2199][2]~57668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2199][2]~57669\ : std_logic;
SIGNAL \led_flash_cnt[2199][3]~57670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2199][3]~57671\ : std_logic;
SIGNAL \led_flash_cnt[2199][4]~57672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][4]~q\ : std_logic;
SIGNAL \WideAnd2199~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][4]~57673\ : std_logic;
SIGNAL \led_flash_cnt[2199][5]~57674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2199][5]~57675\ : std_logic;
SIGNAL \led_flash_cnt[2199][6]~57676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][6]~q\ : std_logic;
SIGNAL \WideAnd2199~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][6]~57677\ : std_logic;
SIGNAL \led_flash_cnt[2199][7]~57678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2199][7]~q\ : std_logic;
SIGNAL \WideAnd2199~combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][0]~82837_combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2197][1]~57638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2197][1]~57639\ : std_logic;
SIGNAL \led_flash_cnt[2197][2]~57640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2197][2]~57641\ : std_logic;
SIGNAL \led_flash_cnt[2197][3]~57642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2197][3]~57643\ : std_logic;
SIGNAL \led_flash_cnt[2197][4]~57644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2197][4]~57645\ : std_logic;
SIGNAL \led_flash_cnt[2197][5]~57646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2197][5]~57647\ : std_logic;
SIGNAL \led_flash_cnt[2197][6]~57648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2197][6]~57649\ : std_logic;
SIGNAL \led_flash_cnt[2197][7]~57650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2197][7]~q\ : std_logic;
SIGNAL \WideAnd2197~0_combout\ : std_logic;
SIGNAL \WideAnd2197~1_combout\ : std_logic;
SIGNAL \WideAnd2197~combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][0]~82836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2196][1]~57624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2196][1]~57625\ : std_logic;
SIGNAL \led_flash_cnt[2196][2]~57626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2196][2]~57627\ : std_logic;
SIGNAL \led_flash_cnt[2196][3]~57628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2196][3]~57629\ : std_logic;
SIGNAL \led_flash_cnt[2196][4]~57630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2196][4]~57631\ : std_logic;
SIGNAL \led_flash_cnt[2196][5]~57632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2196][5]~57633\ : std_logic;
SIGNAL \led_flash_cnt[2196][6]~57634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][6]~q\ : std_logic;
SIGNAL \WideAnd2196~1_combout\ : std_logic;
SIGNAL \WideAnd2196~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][6]~57635\ : std_logic;
SIGNAL \led_flash_cnt[2196][7]~57636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2196][7]~q\ : std_logic;
SIGNAL \WideAnd2196~combout\ : std_logic;
SIGNAL \WideAnd4114~1_combout\ : std_logic;
SIGNAL \WideAnd4114~combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][0]~82841_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2201][1]~57694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2201][1]~57695\ : std_logic;
SIGNAL \led_flash_cnt[2201][2]~57696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2201][2]~57697\ : std_logic;
SIGNAL \led_flash_cnt[2201][3]~57698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2201][3]~57699\ : std_logic;
SIGNAL \led_flash_cnt[2201][4]~57700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2201][4]~57701\ : std_logic;
SIGNAL \led_flash_cnt[2201][5]~57702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2201][5]~57703\ : std_logic;
SIGNAL \led_flash_cnt[2201][6]~57704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][6]~q\ : std_logic;
SIGNAL \WideAnd2201~1_combout\ : std_logic;
SIGNAL \WideAnd2201~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][6]~57705\ : std_logic;
SIGNAL \led_flash_cnt[2201][7]~57706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2201][7]~q\ : std_logic;
SIGNAL \WideAnd2201~combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][0]~82842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2202][1]~57708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2202][1]~57709\ : std_logic;
SIGNAL \led_flash_cnt[2202][2]~57710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2202][2]~57711\ : std_logic;
SIGNAL \led_flash_cnt[2202][3]~57712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2202][3]~57713\ : std_logic;
SIGNAL \led_flash_cnt[2202][4]~57714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2202][4]~57715\ : std_logic;
SIGNAL \led_flash_cnt[2202][5]~57716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][5]~q\ : std_logic;
SIGNAL \WideAnd2202~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][5]~57717\ : std_logic;
SIGNAL \led_flash_cnt[2202][6]~57718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2202][6]~57719\ : std_logic;
SIGNAL \led_flash_cnt[2202][7]~57720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2202][7]~q\ : std_logic;
SIGNAL \WideAnd2202~1_combout\ : std_logic;
SIGNAL \WideAnd2202~combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][0]~82843_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2203][1]~57722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2203][1]~57723\ : std_logic;
SIGNAL \led_flash_cnt[2203][2]~57724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2203][2]~57725\ : std_logic;
SIGNAL \led_flash_cnt[2203][3]~57726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2203][3]~57727\ : std_logic;
SIGNAL \led_flash_cnt[2203][4]~57728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][4]~q\ : std_logic;
SIGNAL \WideAnd2203~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][4]~57729\ : std_logic;
SIGNAL \led_flash_cnt[2203][5]~57730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2203][5]~57731\ : std_logic;
SIGNAL \led_flash_cnt[2203][6]~57732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][6]~q\ : std_logic;
SIGNAL \WideAnd2203~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][6]~57733\ : std_logic;
SIGNAL \led_flash_cnt[2203][7]~57734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2203][7]~q\ : std_logic;
SIGNAL \WideAnd2203~combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][0]~82840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2200][1]~57680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2200][1]~57681\ : std_logic;
SIGNAL \led_flash_cnt[2200][2]~57682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2200][2]~57683\ : std_logic;
SIGNAL \led_flash_cnt[2200][3]~57684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2200][3]~57685\ : std_logic;
SIGNAL \led_flash_cnt[2200][4]~57686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2200][4]~57687\ : std_logic;
SIGNAL \led_flash_cnt[2200][5]~57688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2200][5]~57689\ : std_logic;
SIGNAL \led_flash_cnt[2200][6]~57690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2200][6]~57691\ : std_logic;
SIGNAL \led_flash_cnt[2200][7]~57692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2200][7]~q\ : std_logic;
SIGNAL \WideAnd2200~1_combout\ : std_logic;
SIGNAL \WideAnd2200~0_combout\ : std_logic;
SIGNAL \WideAnd2200~combout\ : std_logic;
SIGNAL \WideAnd4115~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][0]~82847_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2207][1]~57778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2207][1]~57779\ : std_logic;
SIGNAL \led_flash_cnt[2207][2]~57780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2207][2]~57781\ : std_logic;
SIGNAL \led_flash_cnt[2207][3]~57782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2207][3]~57783\ : std_logic;
SIGNAL \led_flash_cnt[2207][4]~57784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][4]~q\ : std_logic;
SIGNAL \WideAnd2207~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][4]~57785\ : std_logic;
SIGNAL \led_flash_cnt[2207][5]~57786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2207][5]~57787\ : std_logic;
SIGNAL \led_flash_cnt[2207][6]~57788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][6]~q\ : std_logic;
SIGNAL \WideAnd2207~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][6]~57789\ : std_logic;
SIGNAL \led_flash_cnt[2207][7]~57790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2207][7]~q\ : std_logic;
SIGNAL \WideAnd2207~combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][0]~82845_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2205][1]~57750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2205][1]~57751\ : std_logic;
SIGNAL \led_flash_cnt[2205][2]~57752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2205][2]~57753\ : std_logic;
SIGNAL \led_flash_cnt[2205][3]~57754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2205][3]~57755\ : std_logic;
SIGNAL \led_flash_cnt[2205][4]~57756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2205][4]~57757\ : std_logic;
SIGNAL \led_flash_cnt[2205][5]~57758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2205][5]~57759\ : std_logic;
SIGNAL \led_flash_cnt[2205][6]~57760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][6]~q\ : std_logic;
SIGNAL \WideAnd2205~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][6]~57761\ : std_logic;
SIGNAL \led_flash_cnt[2205][7]~57762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2205][7]~q\ : std_logic;
SIGNAL \WideAnd2205~0_combout\ : std_logic;
SIGNAL \WideAnd2205~combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][0]~82844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2204][1]~57736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2204][1]~57737\ : std_logic;
SIGNAL \led_flash_cnt[2204][2]~57738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2204][2]~57739\ : std_logic;
SIGNAL \led_flash_cnt[2204][3]~57740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2204][3]~57741\ : std_logic;
SIGNAL \led_flash_cnt[2204][4]~57742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][4]~q\ : std_logic;
SIGNAL \WideAnd2204~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][4]~57743\ : std_logic;
SIGNAL \led_flash_cnt[2204][5]~57744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2204][5]~57745\ : std_logic;
SIGNAL \led_flash_cnt[2204][6]~57746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2204][6]~57747\ : std_logic;
SIGNAL \led_flash_cnt[2204][7]~57748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2204][7]~q\ : std_logic;
SIGNAL \WideAnd2204~1_combout\ : std_logic;
SIGNAL \WideAnd2204~combout\ : std_logic;
SIGNAL \WideAnd4115~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][0]~82846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2206][1]~57764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2206][1]~57765\ : std_logic;
SIGNAL \led_flash_cnt[2206][2]~57766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2206][2]~57767\ : std_logic;
SIGNAL \led_flash_cnt[2206][3]~57768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2206][3]~57769\ : std_logic;
SIGNAL \led_flash_cnt[2206][4]~57770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][4]~q\ : std_logic;
SIGNAL \WideAnd2206~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][4]~57771\ : std_logic;
SIGNAL \led_flash_cnt[2206][5]~57772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2206][5]~57773\ : std_logic;
SIGNAL \led_flash_cnt[2206][6]~57774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2206][6]~57775\ : std_logic;
SIGNAL \led_flash_cnt[2206][7]~57776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2206][7]~q\ : std_logic;
SIGNAL \WideAnd2206~1_combout\ : std_logic;
SIGNAL \WideAnd2206~combout\ : std_logic;
SIGNAL \WideAnd4115~combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][0]~82831_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2191][1]~57554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2191][1]~57555\ : std_logic;
SIGNAL \led_flash_cnt[2191][2]~57556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2191][2]~57557\ : std_logic;
SIGNAL \led_flash_cnt[2191][3]~57558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2191][3]~57559\ : std_logic;
SIGNAL \led_flash_cnt[2191][4]~57560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2191][4]~57561\ : std_logic;
SIGNAL \led_flash_cnt[2191][5]~57562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2191][5]~57563\ : std_logic;
SIGNAL \led_flash_cnt[2191][6]~57564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][6]~q\ : std_logic;
SIGNAL \WideAnd2191~1_combout\ : std_logic;
SIGNAL \WideAnd2191~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][6]~57565\ : std_logic;
SIGNAL \led_flash_cnt[2191][7]~57566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2191][7]~q\ : std_logic;
SIGNAL \WideAnd2191~combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][0]~82827_combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2187][1]~57498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2187][1]~57499\ : std_logic;
SIGNAL \led_flash_cnt[2187][2]~57500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2187][2]~57501\ : std_logic;
SIGNAL \led_flash_cnt[2187][3]~57502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2187][3]~57503\ : std_logic;
SIGNAL \led_flash_cnt[2187][4]~57504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2187][4]~57505\ : std_logic;
SIGNAL \led_flash_cnt[2187][5]~57506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2187][5]~57507\ : std_logic;
SIGNAL \led_flash_cnt[2187][6]~57508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2187][6]~57509\ : std_logic;
SIGNAL \led_flash_cnt[2187][7]~57510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2187][7]~q\ : std_logic;
SIGNAL \WideAnd2187~1_combout\ : std_logic;
SIGNAL \WideAnd2187~0_combout\ : std_logic;
SIGNAL \WideAnd2187~combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][0]~82824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2184][1]~57456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2184][1]~57457\ : std_logic;
SIGNAL \led_flash_cnt[2184][2]~57458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2184][2]~57459\ : std_logic;
SIGNAL \led_flash_cnt[2184][3]~57460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2184][3]~57461\ : std_logic;
SIGNAL \led_flash_cnt[2184][4]~57462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][4]~q\ : std_logic;
SIGNAL \WideAnd2184~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][4]~57463\ : std_logic;
SIGNAL \led_flash_cnt[2184][5]~57464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2184][5]~57465\ : std_logic;
SIGNAL \led_flash_cnt[2184][6]~57466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][6]~q\ : std_logic;
SIGNAL \WideAnd2184~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][6]~57467\ : std_logic;
SIGNAL \led_flash_cnt[2184][7]~57468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2184][7]~q\ : std_logic;
SIGNAL \WideAnd2184~combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][0]~82826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2186][1]~57484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2186][1]~57485\ : std_logic;
SIGNAL \led_flash_cnt[2186][2]~57486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2186][2]~57487\ : std_logic;
SIGNAL \led_flash_cnt[2186][3]~57488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2186][3]~57489\ : std_logic;
SIGNAL \led_flash_cnt[2186][4]~57490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2186][4]~57491\ : std_logic;
SIGNAL \led_flash_cnt[2186][5]~57492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2186][5]~57493\ : std_logic;
SIGNAL \led_flash_cnt[2186][6]~57494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][6]~q\ : std_logic;
SIGNAL \WideAnd2186~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][6]~57495\ : std_logic;
SIGNAL \led_flash_cnt[2186][7]~57496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2186][7]~q\ : std_logic;
SIGNAL \WideAnd2186~0_combout\ : std_logic;
SIGNAL \WideAnd2186~combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][0]~82825_combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2185][1]~57470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2185][1]~57471\ : std_logic;
SIGNAL \led_flash_cnt[2185][2]~57472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2185][2]~57473\ : std_logic;
SIGNAL \led_flash_cnt[2185][3]~57474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2185][3]~57475\ : std_logic;
SIGNAL \led_flash_cnt[2185][4]~57476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2185][4]~57477\ : std_logic;
SIGNAL \led_flash_cnt[2185][5]~57478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2185][5]~57479\ : std_logic;
SIGNAL \led_flash_cnt[2185][6]~57480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2185][6]~57481\ : std_logic;
SIGNAL \led_flash_cnt[2185][7]~57482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2185][7]~q\ : std_logic;
SIGNAL \WideAnd2185~0_combout\ : std_logic;
SIGNAL \WideAnd2185~1_combout\ : std_logic;
SIGNAL \WideAnd2185~combout\ : std_logic;
SIGNAL \WideAnd4113~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][0]~82829_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2189][1]~57526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2189][1]~57527\ : std_logic;
SIGNAL \led_flash_cnt[2189][2]~57528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2189][2]~57529\ : std_logic;
SIGNAL \led_flash_cnt[2189][3]~57530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2189][3]~57531\ : std_logic;
SIGNAL \led_flash_cnt[2189][4]~57532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2189][4]~57533\ : std_logic;
SIGNAL \led_flash_cnt[2189][5]~57534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2189][5]~57535\ : std_logic;
SIGNAL \led_flash_cnt[2189][6]~57536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][6]~q\ : std_logic;
SIGNAL \WideAnd2189~1_combout\ : std_logic;
SIGNAL \WideAnd2189~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][6]~57537\ : std_logic;
SIGNAL \led_flash_cnt[2189][7]~57538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2189][7]~q\ : std_logic;
SIGNAL \WideAnd2189~combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][0]~82828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2188][1]~57512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2188][1]~57513\ : std_logic;
SIGNAL \led_flash_cnt[2188][2]~57514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2188][2]~57515\ : std_logic;
SIGNAL \led_flash_cnt[2188][3]~57516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2188][3]~57517\ : std_logic;
SIGNAL \led_flash_cnt[2188][4]~57518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2188][4]~57519\ : std_logic;
SIGNAL \led_flash_cnt[2188][5]~57520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2188][5]~57521\ : std_logic;
SIGNAL \led_flash_cnt[2188][6]~57522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][6]~q\ : std_logic;
SIGNAL \WideAnd2188~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][6]~57523\ : std_logic;
SIGNAL \led_flash_cnt[2188][7]~57524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2188][7]~q\ : std_logic;
SIGNAL \WideAnd2188~0_combout\ : std_logic;
SIGNAL \WideAnd2188~combout\ : std_logic;
SIGNAL \WideAnd4113~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][0]~82830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2190][1]~57540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2190][1]~57541\ : std_logic;
SIGNAL \led_flash_cnt[2190][2]~57542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2190][2]~57543\ : std_logic;
SIGNAL \led_flash_cnt[2190][3]~57544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2190][3]~57545\ : std_logic;
SIGNAL \led_flash_cnt[2190][4]~57546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2190][4]~57547\ : std_logic;
SIGNAL \led_flash_cnt[2190][5]~57548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2190][5]~57549\ : std_logic;
SIGNAL \led_flash_cnt[2190][6]~57550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2190][6]~57551\ : std_logic;
SIGNAL \led_flash_cnt[2190][7]~57552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2190][7]~q\ : std_logic;
SIGNAL \WideAnd2190~1_combout\ : std_logic;
SIGNAL \WideAnd2190~0_combout\ : std_logic;
SIGNAL \WideAnd2190~combout\ : std_logic;
SIGNAL \WideAnd4113~combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][0]~82823_combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2183][1]~57442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2183][1]~57443\ : std_logic;
SIGNAL \led_flash_cnt[2183][2]~57444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2183][2]~57445\ : std_logic;
SIGNAL \led_flash_cnt[2183][3]~57446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2183][3]~57447\ : std_logic;
SIGNAL \led_flash_cnt[2183][4]~57448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2183][4]~57449\ : std_logic;
SIGNAL \led_flash_cnt[2183][5]~57450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2183][5]~57451\ : std_logic;
SIGNAL \led_flash_cnt[2183][6]~57452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2183][6]~57453\ : std_logic;
SIGNAL \led_flash_cnt[2183][7]~57454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2183][7]~q\ : std_logic;
SIGNAL \WideAnd2183~0_combout\ : std_logic;
SIGNAL \WideAnd2183~1_combout\ : std_logic;
SIGNAL \WideAnd2183~combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][0]~82820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2180][1]~57400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2180][1]~57401\ : std_logic;
SIGNAL \led_flash_cnt[2180][2]~57402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2180][2]~57403\ : std_logic;
SIGNAL \led_flash_cnt[2180][3]~57404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2180][3]~57405\ : std_logic;
SIGNAL \led_flash_cnt[2180][4]~57406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2180][4]~57407\ : std_logic;
SIGNAL \led_flash_cnt[2180][5]~57408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2180][5]~57409\ : std_logic;
SIGNAL \led_flash_cnt[2180][6]~57410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][6]~q\ : std_logic;
SIGNAL \WideAnd2180~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][6]~57411\ : std_logic;
SIGNAL \led_flash_cnt[2180][7]~57412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2180][7]~q\ : std_logic;
SIGNAL \WideAnd2180~0_combout\ : std_logic;
SIGNAL \WideAnd2180~combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][0]~82821_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2181][1]~57414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2181][1]~57415\ : std_logic;
SIGNAL \led_flash_cnt[2181][2]~57416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2181][2]~57417\ : std_logic;
SIGNAL \led_flash_cnt[2181][3]~57418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2181][3]~57419\ : std_logic;
SIGNAL \led_flash_cnt[2181][4]~57420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2181][4]~57421\ : std_logic;
SIGNAL \led_flash_cnt[2181][5]~57422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2181][5]~57423\ : std_logic;
SIGNAL \led_flash_cnt[2181][6]~57424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][6]~q\ : std_logic;
SIGNAL \WideAnd2181~1_combout\ : std_logic;
SIGNAL \WideAnd2181~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][6]~57425\ : std_logic;
SIGNAL \led_flash_cnt[2181][7]~57426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2181][7]~q\ : std_logic;
SIGNAL \WideAnd2181~combout\ : std_logic;
SIGNAL \WideAnd4112~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][0]~82816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2176][1]~57344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2176][1]~57345\ : std_logic;
SIGNAL \led_flash_cnt[2176][2]~57346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2176][2]~57347\ : std_logic;
SIGNAL \led_flash_cnt[2176][3]~57348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2176][3]~57349\ : std_logic;
SIGNAL \led_flash_cnt[2176][4]~57350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2176][4]~57351\ : std_logic;
SIGNAL \led_flash_cnt[2176][5]~57352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2176][5]~57353\ : std_logic;
SIGNAL \led_flash_cnt[2176][6]~57354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2176][6]~57355\ : std_logic;
SIGNAL \led_flash_cnt[2176][7]~57356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2176][7]~q\ : std_logic;
SIGNAL \WideAnd2176~1_combout\ : std_logic;
SIGNAL \WideAnd2176~0_combout\ : std_logic;
SIGNAL \WideAnd2176~combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][0]~82819_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2179][1]~57386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2179][1]~57387\ : std_logic;
SIGNAL \led_flash_cnt[2179][2]~57388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2179][2]~57389\ : std_logic;
SIGNAL \led_flash_cnt[2179][3]~57390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2179][3]~57391\ : std_logic;
SIGNAL \led_flash_cnt[2179][4]~57392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2179][4]~57393\ : std_logic;
SIGNAL \led_flash_cnt[2179][5]~57394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2179][5]~57395\ : std_logic;
SIGNAL \led_flash_cnt[2179][6]~57396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][6]~q\ : std_logic;
SIGNAL \WideAnd2179~1_combout\ : std_logic;
SIGNAL \WideAnd2179~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][6]~57397\ : std_logic;
SIGNAL \led_flash_cnt[2179][7]~57398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2179][7]~q\ : std_logic;
SIGNAL \WideAnd2179~combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][0]~82818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2178][1]~57372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2178][1]~57373\ : std_logic;
SIGNAL \led_flash_cnt[2178][2]~57374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2178][2]~57375\ : std_logic;
SIGNAL \led_flash_cnt[2178][3]~57376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2178][3]~57377\ : std_logic;
SIGNAL \led_flash_cnt[2178][4]~57378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2178][4]~57379\ : std_logic;
SIGNAL \led_flash_cnt[2178][5]~57380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2178][5]~57381\ : std_logic;
SIGNAL \led_flash_cnt[2178][6]~57382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2178][6]~57383\ : std_logic;
SIGNAL \led_flash_cnt[2178][7]~57384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2178][7]~q\ : std_logic;
SIGNAL \WideAnd2178~1_combout\ : std_logic;
SIGNAL \WideAnd2178~0_combout\ : std_logic;
SIGNAL \WideAnd2178~combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][0]~82817_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2177][1]~57358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2177][1]~57359\ : std_logic;
SIGNAL \led_flash_cnt[2177][2]~57360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2177][2]~57361\ : std_logic;
SIGNAL \led_flash_cnt[2177][3]~57362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2177][3]~57363\ : std_logic;
SIGNAL \led_flash_cnt[2177][4]~57364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2177][4]~57365\ : std_logic;
SIGNAL \led_flash_cnt[2177][5]~57366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2177][5]~57367\ : std_logic;
SIGNAL \led_flash_cnt[2177][6]~57368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][6]~q\ : std_logic;
SIGNAL \WideAnd2177~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][6]~57369\ : std_logic;
SIGNAL \led_flash_cnt[2177][7]~57370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2177][7]~q\ : std_logic;
SIGNAL \WideAnd2177~0_combout\ : std_logic;
SIGNAL \WideAnd2177~combout\ : std_logic;
SIGNAL \WideAnd4112~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][0]~82822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2182][1]~57428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2182][1]~57429\ : std_logic;
SIGNAL \led_flash_cnt[2182][2]~57430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2182][2]~57431\ : std_logic;
SIGNAL \led_flash_cnt[2182][3]~57432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2182][3]~57433\ : std_logic;
SIGNAL \led_flash_cnt[2182][4]~57434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2182][4]~57435\ : std_logic;
SIGNAL \led_flash_cnt[2182][5]~57436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2182][5]~57437\ : std_logic;
SIGNAL \led_flash_cnt[2182][6]~57438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][6]~q\ : std_logic;
SIGNAL \WideAnd2182~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][6]~57439\ : std_logic;
SIGNAL \led_flash_cnt[2182][7]~57440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2182][7]~q\ : std_logic;
SIGNAL \WideAnd2182~0_combout\ : std_logic;
SIGNAL \WideAnd2182~combout\ : std_logic;
SIGNAL \WideAnd4112~combout\ : std_logic;
SIGNAL \WideAnd4354~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][0]~82849_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2209][1]~57806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2209][1]~57807\ : std_logic;
SIGNAL \led_flash_cnt[2209][2]~57808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2209][2]~57809\ : std_logic;
SIGNAL \led_flash_cnt[2209][3]~57810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2209][3]~57811\ : std_logic;
SIGNAL \led_flash_cnt[2209][4]~57812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2209][4]~57813\ : std_logic;
SIGNAL \led_flash_cnt[2209][5]~57814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2209][5]~57815\ : std_logic;
SIGNAL \led_flash_cnt[2209][6]~57816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][6]~q\ : std_logic;
SIGNAL \WideAnd2209~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][6]~57817\ : std_logic;
SIGNAL \led_flash_cnt[2209][7]~57818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2209][7]~q\ : std_logic;
SIGNAL \WideAnd2209~0_combout\ : std_logic;
SIGNAL \WideAnd2209~combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][0]~82850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2210][1]~57820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2210][1]~57821\ : std_logic;
SIGNAL \led_flash_cnt[2210][2]~57822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2210][2]~57823\ : std_logic;
SIGNAL \led_flash_cnt[2210][3]~57824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2210][3]~57825\ : std_logic;
SIGNAL \led_flash_cnt[2210][4]~57826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][4]~q\ : std_logic;
SIGNAL \WideAnd2210~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][4]~57827\ : std_logic;
SIGNAL \led_flash_cnt[2210][5]~57828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2210][5]~57829\ : std_logic;
SIGNAL \led_flash_cnt[2210][6]~57830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2210][6]~57831\ : std_logic;
SIGNAL \led_flash_cnt[2210][7]~57832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2210][7]~q\ : std_logic;
SIGNAL \WideAnd2210~1_combout\ : std_logic;
SIGNAL \WideAnd2210~combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][0]~82851_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2211][1]~57834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2211][1]~57835\ : std_logic;
SIGNAL \led_flash_cnt[2211][2]~57836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2211][2]~57837\ : std_logic;
SIGNAL \led_flash_cnt[2211][3]~57838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2211][3]~57839\ : std_logic;
SIGNAL \led_flash_cnt[2211][4]~57840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][4]~q\ : std_logic;
SIGNAL \WideAnd2211~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][4]~57841\ : std_logic;
SIGNAL \led_flash_cnt[2211][5]~57842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2211][5]~57843\ : std_logic;
SIGNAL \led_flash_cnt[2211][6]~57844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2211][6]~57845\ : std_logic;
SIGNAL \led_flash_cnt[2211][7]~57846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2211][7]~q\ : std_logic;
SIGNAL \WideAnd2211~1_combout\ : std_logic;
SIGNAL \WideAnd2211~combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][0]~82848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2208][1]~57792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2208][1]~57793\ : std_logic;
SIGNAL \led_flash_cnt[2208][2]~57794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2208][2]~57795\ : std_logic;
SIGNAL \led_flash_cnt[2208][3]~57796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2208][3]~57797\ : std_logic;
SIGNAL \led_flash_cnt[2208][4]~57798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2208][4]~57799\ : std_logic;
SIGNAL \led_flash_cnt[2208][5]~57800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2208][5]~57801\ : std_logic;
SIGNAL \led_flash_cnt[2208][6]~57802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2208][6]~57803\ : std_logic;
SIGNAL \led_flash_cnt[2208][7]~57804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2208][7]~q\ : std_logic;
SIGNAL \WideAnd2208~1_combout\ : std_logic;
SIGNAL \WideAnd2208~0_combout\ : std_logic;
SIGNAL \WideAnd2208~combout\ : std_logic;
SIGNAL \WideAnd4116~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][0]~82854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2214][1]~57876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2214][1]~57877\ : std_logic;
SIGNAL \led_flash_cnt[2214][2]~57878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2214][2]~57879\ : std_logic;
SIGNAL \led_flash_cnt[2214][3]~57880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2214][3]~57881\ : std_logic;
SIGNAL \led_flash_cnt[2214][4]~57882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2214][4]~57883\ : std_logic;
SIGNAL \led_flash_cnt[2214][5]~57884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2214][5]~57885\ : std_logic;
SIGNAL \led_flash_cnt[2214][6]~57886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][6]~q\ : std_logic;
SIGNAL \WideAnd2214~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][6]~57887\ : std_logic;
SIGNAL \led_flash_cnt[2214][7]~57888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2214][7]~q\ : std_logic;
SIGNAL \WideAnd2214~0_combout\ : std_logic;
SIGNAL \WideAnd2214~combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][0]~82853_combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2213][1]~57862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2213][1]~57863\ : std_logic;
SIGNAL \led_flash_cnt[2213][2]~57864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2213][2]~57865\ : std_logic;
SIGNAL \led_flash_cnt[2213][3]~57866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2213][3]~57867\ : std_logic;
SIGNAL \led_flash_cnt[2213][4]~57868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2213][4]~57869\ : std_logic;
SIGNAL \led_flash_cnt[2213][5]~57870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2213][5]~57871\ : std_logic;
SIGNAL \led_flash_cnt[2213][6]~57872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2213][6]~57873\ : std_logic;
SIGNAL \led_flash_cnt[2213][7]~57874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2213][7]~q\ : std_logic;
SIGNAL \WideAnd2213~1_combout\ : std_logic;
SIGNAL \WideAnd2213~0_combout\ : std_logic;
SIGNAL \WideAnd2213~combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][0]~82852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2212][1]~57848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2212][1]~57849\ : std_logic;
SIGNAL \led_flash_cnt[2212][2]~57850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2212][2]~57851\ : std_logic;
SIGNAL \led_flash_cnt[2212][3]~57852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2212][3]~57853\ : std_logic;
SIGNAL \led_flash_cnt[2212][4]~57854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][4]~q\ : std_logic;
SIGNAL \WideAnd2212~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][4]~57855\ : std_logic;
SIGNAL \led_flash_cnt[2212][5]~57856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2212][5]~57857\ : std_logic;
SIGNAL \led_flash_cnt[2212][6]~57858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2212][6]~57859\ : std_logic;
SIGNAL \led_flash_cnt[2212][7]~57860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2212][7]~q\ : std_logic;
SIGNAL \WideAnd2212~1_combout\ : std_logic;
SIGNAL \WideAnd2212~combout\ : std_logic;
SIGNAL \WideAnd4116~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][0]~82855_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2215][1]~57890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2215][1]~57891\ : std_logic;
SIGNAL \led_flash_cnt[2215][2]~57892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2215][2]~57893\ : std_logic;
SIGNAL \led_flash_cnt[2215][3]~57894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2215][3]~57895\ : std_logic;
SIGNAL \led_flash_cnt[2215][4]~57896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][4]~q\ : std_logic;
SIGNAL \WideAnd2215~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][4]~57897\ : std_logic;
SIGNAL \led_flash_cnt[2215][5]~57898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2215][5]~57899\ : std_logic;
SIGNAL \led_flash_cnt[2215][6]~57900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][6]~q\ : std_logic;
SIGNAL \WideAnd2215~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][6]~57901\ : std_logic;
SIGNAL \led_flash_cnt[2215][7]~57902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2215][7]~q\ : std_logic;
SIGNAL \WideAnd2215~combout\ : std_logic;
SIGNAL \WideAnd4116~combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][0]~82858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2218][1]~57932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2218][1]~57933\ : std_logic;
SIGNAL \led_flash_cnt[2218][2]~57934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2218][2]~57935\ : std_logic;
SIGNAL \led_flash_cnt[2218][3]~57936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2218][3]~57937\ : std_logic;
SIGNAL \led_flash_cnt[2218][4]~57938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2218][4]~57939\ : std_logic;
SIGNAL \led_flash_cnt[2218][5]~57940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2218][5]~57941\ : std_logic;
SIGNAL \led_flash_cnt[2218][6]~57942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][6]~q\ : std_logic;
SIGNAL \WideAnd2218~1_combout\ : std_logic;
SIGNAL \WideAnd2218~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][6]~57943\ : std_logic;
SIGNAL \led_flash_cnt[2218][7]~57944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2218][7]~q\ : std_logic;
SIGNAL \WideAnd2218~combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][0]~82859_combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2219][1]~57946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2219][1]~57947\ : std_logic;
SIGNAL \led_flash_cnt[2219][2]~57948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2219][2]~57949\ : std_logic;
SIGNAL \led_flash_cnt[2219][3]~57950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2219][3]~57951\ : std_logic;
SIGNAL \led_flash_cnt[2219][4]~57952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2219][4]~57953\ : std_logic;
SIGNAL \led_flash_cnt[2219][5]~57954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2219][5]~57955\ : std_logic;
SIGNAL \led_flash_cnt[2219][6]~57956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2219][6]~57957\ : std_logic;
SIGNAL \led_flash_cnt[2219][7]~57958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2219][7]~q\ : std_logic;
SIGNAL \WideAnd2219~0_combout\ : std_logic;
SIGNAL \WideAnd2219~1_combout\ : std_logic;
SIGNAL \WideAnd2219~combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][0]~82856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2216][1]~57904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][1]~q\ : std_logic;
SIGNAL \WideAnd2216~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][1]~57905\ : std_logic;
SIGNAL \led_flash_cnt[2216][2]~57906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2216][2]~57907\ : std_logic;
SIGNAL \led_flash_cnt[2216][3]~57908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2216][3]~57909\ : std_logic;
SIGNAL \led_flash_cnt[2216][4]~57910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2216][4]~57911\ : std_logic;
SIGNAL \led_flash_cnt[2216][5]~57912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2216][5]~57913\ : std_logic;
SIGNAL \led_flash_cnt[2216][6]~57914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][6]~q\ : std_logic;
SIGNAL \WideAnd2216~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][6]~57915\ : std_logic;
SIGNAL \led_flash_cnt[2216][7]~57916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2216][7]~q\ : std_logic;
SIGNAL \WideAnd2216~combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][0]~82857_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2217][1]~57918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2217][1]~57919\ : std_logic;
SIGNAL \led_flash_cnt[2217][2]~57920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2217][2]~57921\ : std_logic;
SIGNAL \led_flash_cnt[2217][3]~57922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2217][3]~57923\ : std_logic;
SIGNAL \led_flash_cnt[2217][4]~57924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][4]~q\ : std_logic;
SIGNAL \WideAnd2217~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][4]~57925\ : std_logic;
SIGNAL \led_flash_cnt[2217][5]~57926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2217][5]~57927\ : std_logic;
SIGNAL \led_flash_cnt[2217][6]~57928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][6]~q\ : std_logic;
SIGNAL \WideAnd2217~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][6]~57929\ : std_logic;
SIGNAL \led_flash_cnt[2217][7]~57930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2217][7]~q\ : std_logic;
SIGNAL \WideAnd2217~combout\ : std_logic;
SIGNAL \WideAnd4117~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][0]~82862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2222][1]~57988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2222][1]~57989\ : std_logic;
SIGNAL \led_flash_cnt[2222][2]~57990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2222][2]~57991\ : std_logic;
SIGNAL \led_flash_cnt[2222][3]~57992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2222][3]~57993\ : std_logic;
SIGNAL \led_flash_cnt[2222][4]~57994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2222][4]~57995\ : std_logic;
SIGNAL \led_flash_cnt[2222][5]~57996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2222][5]~57997\ : std_logic;
SIGNAL \led_flash_cnt[2222][6]~57998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][6]~q\ : std_logic;
SIGNAL \WideAnd2222~1_combout\ : std_logic;
SIGNAL \WideAnd2222~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][6]~57999\ : std_logic;
SIGNAL \led_flash_cnt[2222][7]~58000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2222][7]~q\ : std_logic;
SIGNAL \WideAnd2222~combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][0]~82863_combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2223][1]~58002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2223][1]~58003\ : std_logic;
SIGNAL \led_flash_cnt[2223][2]~58004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2223][2]~58005\ : std_logic;
SIGNAL \led_flash_cnt[2223][3]~58006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2223][3]~58007\ : std_logic;
SIGNAL \led_flash_cnt[2223][4]~58008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2223][4]~58009\ : std_logic;
SIGNAL \led_flash_cnt[2223][5]~58010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2223][5]~58011\ : std_logic;
SIGNAL \led_flash_cnt[2223][6]~58012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2223][6]~58013\ : std_logic;
SIGNAL \led_flash_cnt[2223][7]~58014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2223][7]~q\ : std_logic;
SIGNAL \WideAnd2223~0_combout\ : std_logic;
SIGNAL \WideAnd2223~1_combout\ : std_logic;
SIGNAL \WideAnd2223~combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][0]~82861_combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2221][1]~57974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2221][1]~57975\ : std_logic;
SIGNAL \led_flash_cnt[2221][2]~57976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2221][2]~57977\ : std_logic;
SIGNAL \led_flash_cnt[2221][3]~57978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2221][3]~57979\ : std_logic;
SIGNAL \led_flash_cnt[2221][4]~57980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2221][4]~57981\ : std_logic;
SIGNAL \led_flash_cnt[2221][5]~57982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2221][5]~57983\ : std_logic;
SIGNAL \led_flash_cnt[2221][6]~57984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2221][6]~57985\ : std_logic;
SIGNAL \led_flash_cnt[2221][7]~57986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2221][7]~q\ : std_logic;
SIGNAL \WideAnd2221~0_combout\ : std_logic;
SIGNAL \WideAnd2221~1_combout\ : std_logic;
SIGNAL \WideAnd2221~combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][0]~82860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2220][1]~57960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2220][1]~57961\ : std_logic;
SIGNAL \led_flash_cnt[2220][2]~57962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2220][2]~57963\ : std_logic;
SIGNAL \led_flash_cnt[2220][3]~57964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2220][3]~57965\ : std_logic;
SIGNAL \led_flash_cnt[2220][4]~57966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][4]~q\ : std_logic;
SIGNAL \WideAnd2220~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][4]~57967\ : std_logic;
SIGNAL \led_flash_cnt[2220][5]~57968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2220][5]~57969\ : std_logic;
SIGNAL \led_flash_cnt[2220][6]~57970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2220][6]~57971\ : std_logic;
SIGNAL \led_flash_cnt[2220][7]~57972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2220][7]~q\ : std_logic;
SIGNAL \WideAnd2220~1_combout\ : std_logic;
SIGNAL \WideAnd2220~combout\ : std_logic;
SIGNAL \WideAnd4117~1_combout\ : std_logic;
SIGNAL \WideAnd4117~combout\ : std_logic;
SIGNAL \WideAnd4354~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][0]~82871_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2231][1]~58114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2231][1]~58115\ : std_logic;
SIGNAL \led_flash_cnt[2231][2]~58116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2231][2]~58117\ : std_logic;
SIGNAL \led_flash_cnt[2231][3]~58118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2231][3]~58119\ : std_logic;
SIGNAL \led_flash_cnt[2231][4]~58120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][4]~q\ : std_logic;
SIGNAL \WideAnd2231~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][4]~58121\ : std_logic;
SIGNAL \led_flash_cnt[2231][5]~58122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2231][5]~58123\ : std_logic;
SIGNAL \led_flash_cnt[2231][6]~58124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2231][6]~58125\ : std_logic;
SIGNAL \led_flash_cnt[2231][7]~58126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2231][7]~q\ : std_logic;
SIGNAL \WideAnd2231~1_combout\ : std_logic;
SIGNAL \WideAnd2231~combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][0]~82866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2226][1]~58044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2226][1]~58045\ : std_logic;
SIGNAL \led_flash_cnt[2226][2]~58046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2226][2]~58047\ : std_logic;
SIGNAL \led_flash_cnt[2226][3]~58048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2226][3]~58049\ : std_logic;
SIGNAL \led_flash_cnt[2226][4]~58050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2226][4]~58051\ : std_logic;
SIGNAL \led_flash_cnt[2226][5]~58052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2226][5]~58053\ : std_logic;
SIGNAL \led_flash_cnt[2226][6]~58054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2226][6]~58055\ : std_logic;
SIGNAL \led_flash_cnt[2226][7]~58056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2226][7]~q\ : std_logic;
SIGNAL \WideAnd2226~0_combout\ : std_logic;
SIGNAL \WideAnd2226~1_combout\ : std_logic;
SIGNAL \WideAnd2226~combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][0]~82864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2224][1]~58016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2224][1]~58017\ : std_logic;
SIGNAL \led_flash_cnt[2224][2]~58018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2224][2]~58019\ : std_logic;
SIGNAL \led_flash_cnt[2224][3]~58020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2224][3]~58021\ : std_logic;
SIGNAL \led_flash_cnt[2224][4]~58022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2224][4]~58023\ : std_logic;
SIGNAL \led_flash_cnt[2224][5]~58024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2224][5]~58025\ : std_logic;
SIGNAL \led_flash_cnt[2224][6]~58026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2224][6]~58027\ : std_logic;
SIGNAL \led_flash_cnt[2224][7]~58028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2224][7]~q\ : std_logic;
SIGNAL \WideAnd2224~1_combout\ : std_logic;
SIGNAL \WideAnd2224~0_combout\ : std_logic;
SIGNAL \WideAnd2224~combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][0]~82865_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2225][1]~58030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2225][1]~58031\ : std_logic;
SIGNAL \led_flash_cnt[2225][2]~58032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2225][2]~58033\ : std_logic;
SIGNAL \led_flash_cnt[2225][3]~58034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2225][3]~58035\ : std_logic;
SIGNAL \led_flash_cnt[2225][4]~58036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][4]~q\ : std_logic;
SIGNAL \WideAnd2225~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][4]~58037\ : std_logic;
SIGNAL \led_flash_cnt[2225][5]~58038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2225][5]~58039\ : std_logic;
SIGNAL \led_flash_cnt[2225][6]~58040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2225][6]~58041\ : std_logic;
SIGNAL \led_flash_cnt[2225][7]~58042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2225][7]~q\ : std_logic;
SIGNAL \WideAnd2225~1_combout\ : std_logic;
SIGNAL \WideAnd2225~combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][0]~82867_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2227][1]~58058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2227][1]~58059\ : std_logic;
SIGNAL \led_flash_cnt[2227][2]~58060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2227][2]~58061\ : std_logic;
SIGNAL \led_flash_cnt[2227][3]~58062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2227][3]~58063\ : std_logic;
SIGNAL \led_flash_cnt[2227][4]~58064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2227][4]~58065\ : std_logic;
SIGNAL \led_flash_cnt[2227][5]~58066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2227][5]~58067\ : std_logic;
SIGNAL \led_flash_cnt[2227][6]~58068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][6]~q\ : std_logic;
SIGNAL \WideAnd2227~1_combout\ : std_logic;
SIGNAL \WideAnd2227~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][6]~58069\ : std_logic;
SIGNAL \led_flash_cnt[2227][7]~58070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2227][7]~q\ : std_logic;
SIGNAL \WideAnd2227~combout\ : std_logic;
SIGNAL \WideAnd4118~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][0]~82870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2230][1]~58100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2230][1]~58101\ : std_logic;
SIGNAL \led_flash_cnt[2230][2]~58102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2230][2]~58103\ : std_logic;
SIGNAL \led_flash_cnt[2230][3]~58104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2230][3]~58105\ : std_logic;
SIGNAL \led_flash_cnt[2230][4]~58106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][4]~q\ : std_logic;
SIGNAL \WideAnd2230~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][4]~58107\ : std_logic;
SIGNAL \led_flash_cnt[2230][5]~58108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2230][5]~58109\ : std_logic;
SIGNAL \led_flash_cnt[2230][6]~58110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][6]~q\ : std_logic;
SIGNAL \WideAnd2230~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][6]~58111\ : std_logic;
SIGNAL \led_flash_cnt[2230][7]~58112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2230][7]~q\ : std_logic;
SIGNAL \WideAnd2230~combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][0]~82868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2228][1]~58072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2228][1]~58073\ : std_logic;
SIGNAL \led_flash_cnt[2228][2]~58074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2228][2]~58075\ : std_logic;
SIGNAL \led_flash_cnt[2228][3]~58076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2228][3]~58077\ : std_logic;
SIGNAL \led_flash_cnt[2228][4]~58078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2228][4]~58079\ : std_logic;
SIGNAL \led_flash_cnt[2228][5]~58080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2228][5]~58081\ : std_logic;
SIGNAL \led_flash_cnt[2228][6]~58082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][6]~q\ : std_logic;
SIGNAL \WideAnd2228~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][6]~58083\ : std_logic;
SIGNAL \led_flash_cnt[2228][7]~58084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2228][7]~q\ : std_logic;
SIGNAL \WideAnd2228~0_combout\ : std_logic;
SIGNAL \WideAnd2228~combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][0]~82869_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2229][1]~58086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2229][1]~58087\ : std_logic;
SIGNAL \led_flash_cnt[2229][2]~58088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2229][2]~58089\ : std_logic;
SIGNAL \led_flash_cnt[2229][3]~58090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2229][3]~58091\ : std_logic;
SIGNAL \led_flash_cnt[2229][4]~58092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][4]~q\ : std_logic;
SIGNAL \WideAnd2229~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][4]~58093\ : std_logic;
SIGNAL \led_flash_cnt[2229][5]~58094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2229][5]~58095\ : std_logic;
SIGNAL \led_flash_cnt[2229][6]~58096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2229][6]~58097\ : std_logic;
SIGNAL \led_flash_cnt[2229][7]~58098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2229][7]~q\ : std_logic;
SIGNAL \WideAnd2229~1_combout\ : std_logic;
SIGNAL \WideAnd2229~combout\ : std_logic;
SIGNAL \WideAnd4118~1_combout\ : std_logic;
SIGNAL \WideAnd4118~combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][0]~82876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2236][1]~58184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2236][1]~58185\ : std_logic;
SIGNAL \led_flash_cnt[2236][2]~58186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2236][2]~58187\ : std_logic;
SIGNAL \led_flash_cnt[2236][3]~58188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2236][3]~58189\ : std_logic;
SIGNAL \led_flash_cnt[2236][4]~58190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2236][4]~58191\ : std_logic;
SIGNAL \led_flash_cnt[2236][5]~58192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2236][5]~58193\ : std_logic;
SIGNAL \led_flash_cnt[2236][6]~58194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][6]~q\ : std_logic;
SIGNAL \WideAnd2236~1_combout\ : std_logic;
SIGNAL \WideAnd2236~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][6]~58195\ : std_logic;
SIGNAL \led_flash_cnt[2236][7]~58196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2236][7]~q\ : std_logic;
SIGNAL \WideAnd2236~combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][0]~82877_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2237][1]~58198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2237][1]~58199\ : std_logic;
SIGNAL \led_flash_cnt[2237][2]~58200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2237][2]~58201\ : std_logic;
SIGNAL \led_flash_cnt[2237][3]~58202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2237][3]~58203\ : std_logic;
SIGNAL \led_flash_cnt[2237][4]~58204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2237][4]~58205\ : std_logic;
SIGNAL \led_flash_cnt[2237][5]~58206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2237][5]~58207\ : std_logic;
SIGNAL \led_flash_cnt[2237][6]~58208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][6]~q\ : std_logic;
SIGNAL \WideAnd2237~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][6]~58209\ : std_logic;
SIGNAL \led_flash_cnt[2237][7]~58210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2237][7]~q\ : std_logic;
SIGNAL \WideAnd2237~0_combout\ : std_logic;
SIGNAL \WideAnd2237~combout\ : std_logic;
SIGNAL \WideAnd4119~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][0]~82874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2234][1]~58156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2234][1]~58157\ : std_logic;
SIGNAL \led_flash_cnt[2234][2]~58158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2234][2]~58159\ : std_logic;
SIGNAL \led_flash_cnt[2234][3]~58160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2234][3]~58161\ : std_logic;
SIGNAL \led_flash_cnt[2234][4]~58162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2234][4]~58163\ : std_logic;
SIGNAL \led_flash_cnt[2234][5]~58164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2234][5]~58165\ : std_logic;
SIGNAL \led_flash_cnt[2234][6]~58166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2234][6]~58167\ : std_logic;
SIGNAL \led_flash_cnt[2234][7]~58168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2234][7]~q\ : std_logic;
SIGNAL \WideAnd2234~1_combout\ : std_logic;
SIGNAL \WideAnd2234~0_combout\ : std_logic;
SIGNAL \WideAnd2234~combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][0]~82873_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2233][1]~58142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2233][1]~58143\ : std_logic;
SIGNAL \led_flash_cnt[2233][2]~58144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2233][2]~58145\ : std_logic;
SIGNAL \led_flash_cnt[2233][3]~58146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2233][3]~58147\ : std_logic;
SIGNAL \led_flash_cnt[2233][4]~58148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2233][4]~58149\ : std_logic;
SIGNAL \led_flash_cnt[2233][5]~58150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2233][5]~58151\ : std_logic;
SIGNAL \led_flash_cnt[2233][6]~58152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][6]~q\ : std_logic;
SIGNAL \WideAnd2233~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][6]~58153\ : std_logic;
SIGNAL \led_flash_cnt[2233][7]~58154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2233][7]~q\ : std_logic;
SIGNAL \WideAnd2233~0_combout\ : std_logic;
SIGNAL \WideAnd2233~combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][0]~82872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2232][1]~58128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2232][1]~58129\ : std_logic;
SIGNAL \led_flash_cnt[2232][2]~58130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2232][2]~58131\ : std_logic;
SIGNAL \led_flash_cnt[2232][3]~58132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2232][3]~58133\ : std_logic;
SIGNAL \led_flash_cnt[2232][4]~58134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][4]~q\ : std_logic;
SIGNAL \WideAnd2232~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][4]~58135\ : std_logic;
SIGNAL \led_flash_cnt[2232][5]~58136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2232][5]~58137\ : std_logic;
SIGNAL \led_flash_cnt[2232][6]~58138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][6]~q\ : std_logic;
SIGNAL \WideAnd2232~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][6]~58139\ : std_logic;
SIGNAL \led_flash_cnt[2232][7]~58140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2232][7]~q\ : std_logic;
SIGNAL \WideAnd2232~combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][0]~82875_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2235][1]~58170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2235][1]~58171\ : std_logic;
SIGNAL \led_flash_cnt[2235][2]~58172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2235][2]~58173\ : std_logic;
SIGNAL \led_flash_cnt[2235][3]~58174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2235][3]~58175\ : std_logic;
SIGNAL \led_flash_cnt[2235][4]~58176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][4]~q\ : std_logic;
SIGNAL \WideAnd2235~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][4]~58177\ : std_logic;
SIGNAL \led_flash_cnt[2235][5]~58178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2235][5]~58179\ : std_logic;
SIGNAL \led_flash_cnt[2235][6]~58180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][6]~q\ : std_logic;
SIGNAL \WideAnd2235~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][6]~58181\ : std_logic;
SIGNAL \led_flash_cnt[2235][7]~58182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2235][7]~q\ : std_logic;
SIGNAL \WideAnd2235~combout\ : std_logic;
SIGNAL \WideAnd4119~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][0]~82879_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2239][1]~58226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2239][1]~58227\ : std_logic;
SIGNAL \led_flash_cnt[2239][2]~58228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2239][2]~58229\ : std_logic;
SIGNAL \led_flash_cnt[2239][3]~58230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2239][3]~58231\ : std_logic;
SIGNAL \led_flash_cnt[2239][4]~58232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][4]~q\ : std_logic;
SIGNAL \WideAnd2239~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][4]~58233\ : std_logic;
SIGNAL \led_flash_cnt[2239][5]~58234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2239][5]~58235\ : std_logic;
SIGNAL \led_flash_cnt[2239][6]~58236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][6]~q\ : std_logic;
SIGNAL \WideAnd2239~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][6]~58237\ : std_logic;
SIGNAL \led_flash_cnt[2239][7]~58238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2239][7]~q\ : std_logic;
SIGNAL \WideAnd2239~combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][0]~82878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2238][1]~58212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2238][1]~58213\ : std_logic;
SIGNAL \led_flash_cnt[2238][2]~58214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2238][2]~58215\ : std_logic;
SIGNAL \led_flash_cnt[2238][3]~58216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2238][3]~58217\ : std_logic;
SIGNAL \led_flash_cnt[2238][4]~58218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2238][4]~58219\ : std_logic;
SIGNAL \led_flash_cnt[2238][5]~58220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2238][5]~58221\ : std_logic;
SIGNAL \led_flash_cnt[2238][6]~58222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2238][6]~58223\ : std_logic;
SIGNAL \led_flash_cnt[2238][7]~58224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2238][7]~q\ : std_logic;
SIGNAL \WideAnd2238~1_combout\ : std_logic;
SIGNAL \WideAnd2238~0_combout\ : std_logic;
SIGNAL \WideAnd2238~combout\ : std_logic;
SIGNAL \WideAnd4119~combout\ : std_logic;
SIGNAL \WideAnd4354~combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][0]~82747_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2107][1]~56378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2107][1]~56379\ : std_logic;
SIGNAL \led_flash_cnt[2107][2]~56380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2107][2]~56381\ : std_logic;
SIGNAL \led_flash_cnt[2107][3]~56382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2107][3]~56383\ : std_logic;
SIGNAL \led_flash_cnt[2107][4]~56384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][4]~q\ : std_logic;
SIGNAL \WideAnd2107~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][4]~56385\ : std_logic;
SIGNAL \led_flash_cnt[2107][5]~56386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2107][5]~56387\ : std_logic;
SIGNAL \led_flash_cnt[2107][6]~56388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][6]~q\ : std_logic;
SIGNAL \WideAnd2107~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][6]~56389\ : std_logic;
SIGNAL \led_flash_cnt[2107][7]~56390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2107][7]~q\ : std_logic;
SIGNAL \WideAnd2107~combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][0]~82744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2104][1]~56336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2104][1]~56337\ : std_logic;
SIGNAL \led_flash_cnt[2104][2]~56338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2104][2]~56339\ : std_logic;
SIGNAL \led_flash_cnt[2104][3]~56340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2104][3]~56341\ : std_logic;
SIGNAL \led_flash_cnt[2104][4]~56342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2104][4]~56343\ : std_logic;
SIGNAL \led_flash_cnt[2104][5]~56344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2104][5]~56345\ : std_logic;
SIGNAL \led_flash_cnt[2104][6]~56346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][6]~q\ : std_logic;
SIGNAL \WideAnd2104~1_combout\ : std_logic;
SIGNAL \WideAnd2104~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][6]~56347\ : std_logic;
SIGNAL \led_flash_cnt[2104][7]~56348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2104][7]~q\ : std_logic;
SIGNAL \WideAnd2104~combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][0]~82746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2106][1]~56364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2106][1]~56365\ : std_logic;
SIGNAL \led_flash_cnt[2106][2]~56366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2106][2]~56367\ : std_logic;
SIGNAL \led_flash_cnt[2106][3]~56368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2106][3]~56369\ : std_logic;
SIGNAL \led_flash_cnt[2106][4]~56370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2106][4]~56371\ : std_logic;
SIGNAL \led_flash_cnt[2106][5]~56372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2106][5]~56373\ : std_logic;
SIGNAL \led_flash_cnt[2106][6]~56374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][6]~q\ : std_logic;
SIGNAL \WideAnd2106~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][6]~56375\ : std_logic;
SIGNAL \led_flash_cnt[2106][7]~56376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2106][7]~q\ : std_logic;
SIGNAL \WideAnd2106~0_combout\ : std_logic;
SIGNAL \WideAnd2106~combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][0]~82745_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2105][1]~56350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2105][1]~56351\ : std_logic;
SIGNAL \led_flash_cnt[2105][2]~56352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2105][2]~56353\ : std_logic;
SIGNAL \led_flash_cnt[2105][3]~56354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2105][3]~56355\ : std_logic;
SIGNAL \led_flash_cnt[2105][4]~56356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][4]~q\ : std_logic;
SIGNAL \WideAnd2105~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][4]~56357\ : std_logic;
SIGNAL \led_flash_cnt[2105][5]~56358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2105][5]~56359\ : std_logic;
SIGNAL \led_flash_cnt[2105][6]~56360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2105][6]~56361\ : std_logic;
SIGNAL \led_flash_cnt[2105][7]~56362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2105][7]~q\ : std_logic;
SIGNAL \WideAnd2105~1_combout\ : std_logic;
SIGNAL \WideAnd2105~combout\ : std_logic;
SIGNAL \WideAnd4103~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][0]~82748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2108][1]~56392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2108][1]~56393\ : std_logic;
SIGNAL \led_flash_cnt[2108][2]~56394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2108][2]~56395\ : std_logic;
SIGNAL \led_flash_cnt[2108][3]~56396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2108][3]~56397\ : std_logic;
SIGNAL \led_flash_cnt[2108][4]~56398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2108][4]~56399\ : std_logic;
SIGNAL \led_flash_cnt[2108][5]~56400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2108][5]~56401\ : std_logic;
SIGNAL \led_flash_cnt[2108][6]~56402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][6]~q\ : std_logic;
SIGNAL \WideAnd2108~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][6]~56403\ : std_logic;
SIGNAL \led_flash_cnt[2108][7]~56404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2108][7]~q\ : std_logic;
SIGNAL \WideAnd2108~0_combout\ : std_logic;
SIGNAL \WideAnd2108~combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][0]~82749_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2109][1]~56406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2109][1]~56407\ : std_logic;
SIGNAL \led_flash_cnt[2109][2]~56408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2109][2]~56409\ : std_logic;
SIGNAL \led_flash_cnt[2109][3]~56410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2109][3]~56411\ : std_logic;
SIGNAL \led_flash_cnt[2109][4]~56412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][4]~q\ : std_logic;
SIGNAL \WideAnd2109~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][4]~56413\ : std_logic;
SIGNAL \led_flash_cnt[2109][5]~56414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2109][5]~56415\ : std_logic;
SIGNAL \led_flash_cnt[2109][6]~56416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][6]~q\ : std_logic;
SIGNAL \WideAnd2109~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][6]~56417\ : std_logic;
SIGNAL \led_flash_cnt[2109][7]~56418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2109][7]~q\ : std_logic;
SIGNAL \WideAnd2109~combout\ : std_logic;
SIGNAL \WideAnd4103~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][0]~82750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2110][1]~56420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2110][1]~56421\ : std_logic;
SIGNAL \led_flash_cnt[2110][2]~56422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2110][2]~56423\ : std_logic;
SIGNAL \led_flash_cnt[2110][3]~56424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2110][3]~56425\ : std_logic;
SIGNAL \led_flash_cnt[2110][4]~56426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][4]~q\ : std_logic;
SIGNAL \WideAnd2110~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][4]~56427\ : std_logic;
SIGNAL \led_flash_cnt[2110][5]~56428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2110][5]~56429\ : std_logic;
SIGNAL \led_flash_cnt[2110][6]~56430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][6]~q\ : std_logic;
SIGNAL \WideAnd2110~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][6]~56431\ : std_logic;
SIGNAL \led_flash_cnt[2110][7]~56432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2110][7]~q\ : std_logic;
SIGNAL \WideAnd2110~combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][0]~82751_combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2111][1]~56434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2111][1]~56435\ : std_logic;
SIGNAL \led_flash_cnt[2111][2]~56436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2111][2]~56437\ : std_logic;
SIGNAL \led_flash_cnt[2111][3]~56438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2111][3]~56439\ : std_logic;
SIGNAL \led_flash_cnt[2111][4]~56440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2111][4]~56441\ : std_logic;
SIGNAL \led_flash_cnt[2111][5]~56442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2111][5]~56443\ : std_logic;
SIGNAL \led_flash_cnt[2111][6]~56444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2111][6]~56445\ : std_logic;
SIGNAL \led_flash_cnt[2111][7]~56446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2111][7]~q\ : std_logic;
SIGNAL \WideAnd2111~1_combout\ : std_logic;
SIGNAL \WideAnd2111~0_combout\ : std_logic;
SIGNAL \WideAnd2111~combout\ : std_logic;
SIGNAL \WideAnd4103~combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][0]~82734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2094][1]~56196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2094][1]~56197\ : std_logic;
SIGNAL \led_flash_cnt[2094][2]~56198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2094][2]~56199\ : std_logic;
SIGNAL \led_flash_cnt[2094][3]~56200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2094][3]~56201\ : std_logic;
SIGNAL \led_flash_cnt[2094][4]~56202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2094][4]~56203\ : std_logic;
SIGNAL \led_flash_cnt[2094][5]~56204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2094][5]~56205\ : std_logic;
SIGNAL \led_flash_cnt[2094][6]~56206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][6]~q\ : std_logic;
SIGNAL \WideAnd2094~1_combout\ : std_logic;
SIGNAL \WideAnd2094~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][6]~56207\ : std_logic;
SIGNAL \led_flash_cnt[2094][7]~56208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2094][7]~q\ : std_logic;
SIGNAL \WideAnd2094~combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][0]~82728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2088][1]~56112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2088][1]~56113\ : std_logic;
SIGNAL \led_flash_cnt[2088][2]~56114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2088][2]~56115\ : std_logic;
SIGNAL \led_flash_cnt[2088][3]~56116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2088][3]~56117\ : std_logic;
SIGNAL \led_flash_cnt[2088][4]~56118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2088][4]~56119\ : std_logic;
SIGNAL \led_flash_cnt[2088][5]~56120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2088][5]~56121\ : std_logic;
SIGNAL \led_flash_cnt[2088][6]~56122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][6]~q\ : std_logic;
SIGNAL \WideAnd2088~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][6]~56123\ : std_logic;
SIGNAL \led_flash_cnt[2088][7]~56124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2088][7]~q\ : std_logic;
SIGNAL \WideAnd2088~0_combout\ : std_logic;
SIGNAL \WideAnd2088~combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][0]~82730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2090][1]~56140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2090][1]~56141\ : std_logic;
SIGNAL \led_flash_cnt[2090][2]~56142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2090][2]~56143\ : std_logic;
SIGNAL \led_flash_cnt[2090][3]~56144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2090][3]~56145\ : std_logic;
SIGNAL \led_flash_cnt[2090][4]~56146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2090][4]~56147\ : std_logic;
SIGNAL \led_flash_cnt[2090][5]~56148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2090][5]~56149\ : std_logic;
SIGNAL \led_flash_cnt[2090][6]~56150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][6]~q\ : std_logic;
SIGNAL \WideAnd2090~1_combout\ : std_logic;
SIGNAL \WideAnd2090~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][6]~56151\ : std_logic;
SIGNAL \led_flash_cnt[2090][7]~56152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2090][7]~q\ : std_logic;
SIGNAL \WideAnd2090~combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][0]~82729_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2089][1]~56126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2089][1]~56127\ : std_logic;
SIGNAL \led_flash_cnt[2089][2]~56128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2089][2]~56129\ : std_logic;
SIGNAL \led_flash_cnt[2089][3]~56130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2089][3]~56131\ : std_logic;
SIGNAL \led_flash_cnt[2089][4]~56132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2089][4]~56133\ : std_logic;
SIGNAL \led_flash_cnt[2089][5]~56134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2089][5]~56135\ : std_logic;
SIGNAL \led_flash_cnt[2089][6]~56136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][6]~q\ : std_logic;
SIGNAL \WideAnd2089~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][6]~56137\ : std_logic;
SIGNAL \led_flash_cnt[2089][7]~56138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2089][7]~q\ : std_logic;
SIGNAL \WideAnd2089~0_combout\ : std_logic;
SIGNAL \WideAnd2089~combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][0]~82731_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2091][1]~56154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2091][1]~56155\ : std_logic;
SIGNAL \led_flash_cnt[2091][2]~56156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2091][2]~56157\ : std_logic;
SIGNAL \led_flash_cnt[2091][3]~56158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2091][3]~56159\ : std_logic;
SIGNAL \led_flash_cnt[2091][4]~56160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2091][4]~56161\ : std_logic;
SIGNAL \led_flash_cnt[2091][5]~56162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2091][5]~56163\ : std_logic;
SIGNAL \led_flash_cnt[2091][6]~56164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][6]~q\ : std_logic;
SIGNAL \WideAnd2091~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][6]~56165\ : std_logic;
SIGNAL \led_flash_cnt[2091][7]~56166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2091][7]~q\ : std_logic;
SIGNAL \WideAnd2091~0_combout\ : std_logic;
SIGNAL \WideAnd2091~combout\ : std_logic;
SIGNAL \WideAnd4101~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][0]~82732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2092][1]~56168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2092][1]~56169\ : std_logic;
SIGNAL \led_flash_cnt[2092][2]~56170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2092][2]~56171\ : std_logic;
SIGNAL \led_flash_cnt[2092][3]~56172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2092][3]~56173\ : std_logic;
SIGNAL \led_flash_cnt[2092][4]~56174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2092][4]~56175\ : std_logic;
SIGNAL \led_flash_cnt[2092][5]~56176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2092][5]~56177\ : std_logic;
SIGNAL \led_flash_cnt[2092][6]~56178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2092][6]~56179\ : std_logic;
SIGNAL \led_flash_cnt[2092][7]~56180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2092][7]~q\ : std_logic;
SIGNAL \WideAnd2092~0_combout\ : std_logic;
SIGNAL \WideAnd2092~1_combout\ : std_logic;
SIGNAL \WideAnd2092~combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][0]~82733_combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2093][1]~56182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2093][1]~56183\ : std_logic;
SIGNAL \led_flash_cnt[2093][2]~56184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2093][2]~56185\ : std_logic;
SIGNAL \led_flash_cnt[2093][3]~56186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2093][3]~56187\ : std_logic;
SIGNAL \led_flash_cnt[2093][4]~56188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2093][4]~56189\ : std_logic;
SIGNAL \led_flash_cnt[2093][5]~56190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2093][5]~56191\ : std_logic;
SIGNAL \led_flash_cnt[2093][6]~56192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2093][6]~56193\ : std_logic;
SIGNAL \led_flash_cnt[2093][7]~56194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2093][7]~q\ : std_logic;
SIGNAL \WideAnd2093~1_combout\ : std_logic;
SIGNAL \WideAnd2093~0_combout\ : std_logic;
SIGNAL \WideAnd2093~combout\ : std_logic;
SIGNAL \WideAnd4101~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][0]~82735_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2095][1]~56210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2095][1]~56211\ : std_logic;
SIGNAL \led_flash_cnt[2095][2]~56212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2095][2]~56213\ : std_logic;
SIGNAL \led_flash_cnt[2095][3]~56214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2095][3]~56215\ : std_logic;
SIGNAL \led_flash_cnt[2095][4]~56216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2095][4]~56217\ : std_logic;
SIGNAL \led_flash_cnt[2095][5]~56218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2095][5]~56219\ : std_logic;
SIGNAL \led_flash_cnt[2095][6]~56220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][6]~q\ : std_logic;
SIGNAL \WideAnd2095~1_combout\ : std_logic;
SIGNAL \WideAnd2095~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][6]~56221\ : std_logic;
SIGNAL \led_flash_cnt[2095][7]~56222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2095][7]~q\ : std_logic;
SIGNAL \WideAnd2095~combout\ : std_logic;
SIGNAL \WideAnd4101~combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][0]~82726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2086][1]~56084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2086][1]~56085\ : std_logic;
SIGNAL \led_flash_cnt[2086][2]~56086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2086][2]~56087\ : std_logic;
SIGNAL \led_flash_cnt[2086][3]~56088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2086][3]~56089\ : std_logic;
SIGNAL \led_flash_cnt[2086][4]~56090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][4]~q\ : std_logic;
SIGNAL \WideAnd2086~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][4]~56091\ : std_logic;
SIGNAL \led_flash_cnt[2086][5]~56092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2086][5]~56093\ : std_logic;
SIGNAL \led_flash_cnt[2086][6]~56094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][6]~q\ : std_logic;
SIGNAL \WideAnd2086~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][6]~56095\ : std_logic;
SIGNAL \led_flash_cnt[2086][7]~56096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2086][7]~q\ : std_logic;
SIGNAL \WideAnd2086~combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][0]~82724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2084][1]~56056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2084][1]~56057\ : std_logic;
SIGNAL \led_flash_cnt[2084][2]~56058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2084][2]~56059\ : std_logic;
SIGNAL \led_flash_cnt[2084][3]~56060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2084][3]~56061\ : std_logic;
SIGNAL \led_flash_cnt[2084][4]~56062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2084][4]~56063\ : std_logic;
SIGNAL \led_flash_cnt[2084][5]~56064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2084][5]~56065\ : std_logic;
SIGNAL \led_flash_cnt[2084][6]~56066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][6]~q\ : std_logic;
SIGNAL \WideAnd2084~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][6]~56067\ : std_logic;
SIGNAL \led_flash_cnt[2084][7]~56068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2084][7]~q\ : std_logic;
SIGNAL \WideAnd2084~0_combout\ : std_logic;
SIGNAL \WideAnd2084~combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][0]~82725_combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2085][1]~56070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2085][1]~56071\ : std_logic;
SIGNAL \led_flash_cnt[2085][2]~56072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2085][2]~56073\ : std_logic;
SIGNAL \led_flash_cnt[2085][3]~56074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2085][3]~56075\ : std_logic;
SIGNAL \led_flash_cnt[2085][4]~56076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2085][4]~56077\ : std_logic;
SIGNAL \led_flash_cnt[2085][5]~56078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2085][5]~56079\ : std_logic;
SIGNAL \led_flash_cnt[2085][6]~56080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2085][6]~56081\ : std_logic;
SIGNAL \led_flash_cnt[2085][7]~56082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2085][7]~q\ : std_logic;
SIGNAL \WideAnd2085~1_combout\ : std_logic;
SIGNAL \WideAnd2085~0_combout\ : std_logic;
SIGNAL \WideAnd2085~combout\ : std_logic;
SIGNAL \WideAnd4100~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][0]~82727_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2087][1]~56098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2087][1]~56099\ : std_logic;
SIGNAL \led_flash_cnt[2087][2]~56100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2087][2]~56101\ : std_logic;
SIGNAL \led_flash_cnt[2087][3]~56102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2087][3]~56103\ : std_logic;
SIGNAL \led_flash_cnt[2087][4]~56104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2087][4]~56105\ : std_logic;
SIGNAL \led_flash_cnt[2087][5]~56106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2087][5]~56107\ : std_logic;
SIGNAL \led_flash_cnt[2087][6]~56108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][6]~q\ : std_logic;
SIGNAL \WideAnd2087~1_combout\ : std_logic;
SIGNAL \WideAnd2087~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][6]~56109\ : std_logic;
SIGNAL \led_flash_cnt[2087][7]~56110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2087][7]~q\ : std_logic;
SIGNAL \WideAnd2087~combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][0]~82722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2082][1]~56028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2082][1]~56029\ : std_logic;
SIGNAL \led_flash_cnt[2082][2]~56030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2082][2]~56031\ : std_logic;
SIGNAL \led_flash_cnt[2082][3]~56032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2082][3]~56033\ : std_logic;
SIGNAL \led_flash_cnt[2082][4]~56034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][4]~q\ : std_logic;
SIGNAL \WideAnd2082~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][4]~56035\ : std_logic;
SIGNAL \led_flash_cnt[2082][5]~56036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2082][5]~56037\ : std_logic;
SIGNAL \led_flash_cnt[2082][6]~56038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2082][6]~56039\ : std_logic;
SIGNAL \led_flash_cnt[2082][7]~56040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2082][7]~q\ : std_logic;
SIGNAL \WideAnd2082~1_combout\ : std_logic;
SIGNAL \WideAnd2082~combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][0]~82723_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2083][1]~56042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2083][1]~56043\ : std_logic;
SIGNAL \led_flash_cnt[2083][2]~56044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2083][2]~56045\ : std_logic;
SIGNAL \led_flash_cnt[2083][3]~56046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2083][3]~56047\ : std_logic;
SIGNAL \led_flash_cnt[2083][4]~56048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][4]~q\ : std_logic;
SIGNAL \WideAnd2083~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][4]~56049\ : std_logic;
SIGNAL \led_flash_cnt[2083][5]~56050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2083][5]~56051\ : std_logic;
SIGNAL \led_flash_cnt[2083][6]~56052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2083][6]~56053\ : std_logic;
SIGNAL \led_flash_cnt[2083][7]~56054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2083][7]~q\ : std_logic;
SIGNAL \WideAnd2083~1_combout\ : std_logic;
SIGNAL \WideAnd2083~combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][0]~82721_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2081][1]~56014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2081][1]~56015\ : std_logic;
SIGNAL \led_flash_cnt[2081][2]~56016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2081][2]~56017\ : std_logic;
SIGNAL \led_flash_cnt[2081][3]~56018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2081][3]~56019\ : std_logic;
SIGNAL \led_flash_cnt[2081][4]~56020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][4]~q\ : std_logic;
SIGNAL \WideAnd2081~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][4]~56021\ : std_logic;
SIGNAL \led_flash_cnt[2081][5]~56022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2081][5]~56023\ : std_logic;
SIGNAL \led_flash_cnt[2081][6]~56024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2081][6]~56025\ : std_logic;
SIGNAL \led_flash_cnt[2081][7]~56026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2081][7]~q\ : std_logic;
SIGNAL \WideAnd2081~1_combout\ : std_logic;
SIGNAL \WideAnd2081~combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][0]~82720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2080][1]~56000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2080][1]~56001\ : std_logic;
SIGNAL \led_flash_cnt[2080][2]~56002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2080][2]~56003\ : std_logic;
SIGNAL \led_flash_cnt[2080][3]~56004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2080][3]~56005\ : std_logic;
SIGNAL \led_flash_cnt[2080][4]~56006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][4]~q\ : std_logic;
SIGNAL \WideAnd2080~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][4]~56007\ : std_logic;
SIGNAL \led_flash_cnt[2080][5]~56008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2080][5]~56009\ : std_logic;
SIGNAL \led_flash_cnt[2080][6]~56010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2080][6]~56011\ : std_logic;
SIGNAL \led_flash_cnt[2080][7]~56012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2080][7]~q\ : std_logic;
SIGNAL \WideAnd2080~1_combout\ : std_logic;
SIGNAL \WideAnd2080~combout\ : std_logic;
SIGNAL \WideAnd4100~0_combout\ : std_logic;
SIGNAL \WideAnd4100~combout\ : std_logic;
SIGNAL \WideAnd4352~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][0]~82741_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2101][1]~56294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2101][1]~56295\ : std_logic;
SIGNAL \led_flash_cnt[2101][2]~56296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2101][2]~56297\ : std_logic;
SIGNAL \led_flash_cnt[2101][3]~56298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2101][3]~56299\ : std_logic;
SIGNAL \led_flash_cnt[2101][4]~56300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2101][4]~56301\ : std_logic;
SIGNAL \led_flash_cnt[2101][5]~56302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2101][5]~56303\ : std_logic;
SIGNAL \led_flash_cnt[2101][6]~56304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][6]~q\ : std_logic;
SIGNAL \WideAnd2101~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][6]~56305\ : std_logic;
SIGNAL \led_flash_cnt[2101][7]~56306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2101][7]~q\ : std_logic;
SIGNAL \WideAnd2101~0_combout\ : std_logic;
SIGNAL \WideAnd2101~combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][0]~82740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2100][1]~56280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2100][1]~56281\ : std_logic;
SIGNAL \led_flash_cnt[2100][2]~56282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2100][2]~56283\ : std_logic;
SIGNAL \led_flash_cnt[2100][3]~56284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2100][3]~56285\ : std_logic;
SIGNAL \led_flash_cnt[2100][4]~56286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][4]~q\ : std_logic;
SIGNAL \WideAnd2100~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][4]~56287\ : std_logic;
SIGNAL \led_flash_cnt[2100][5]~56288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2100][5]~56289\ : std_logic;
SIGNAL \led_flash_cnt[2100][6]~56290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][6]~q\ : std_logic;
SIGNAL \WideAnd2100~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][6]~56291\ : std_logic;
SIGNAL \led_flash_cnt[2100][7]~56292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2100][7]~q\ : std_logic;
SIGNAL \WideAnd2100~combout\ : std_logic;
SIGNAL \WideAnd4102~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][0]~82742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2102][1]~56308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2102][1]~56309\ : std_logic;
SIGNAL \led_flash_cnt[2102][2]~56310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2102][2]~56311\ : std_logic;
SIGNAL \led_flash_cnt[2102][3]~56312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2102][3]~56313\ : std_logic;
SIGNAL \led_flash_cnt[2102][4]~56314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][4]~q\ : std_logic;
SIGNAL \WideAnd2102~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][4]~56315\ : std_logic;
SIGNAL \led_flash_cnt[2102][5]~56316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2102][5]~56317\ : std_logic;
SIGNAL \led_flash_cnt[2102][6]~56318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2102][6]~56319\ : std_logic;
SIGNAL \led_flash_cnt[2102][7]~56320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2102][7]~q\ : std_logic;
SIGNAL \WideAnd2102~1_combout\ : std_logic;
SIGNAL \WideAnd2102~combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][0]~82743_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2103][1]~56322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2103][1]~56323\ : std_logic;
SIGNAL \led_flash_cnt[2103][2]~56324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2103][2]~56325\ : std_logic;
SIGNAL \led_flash_cnt[2103][3]~56326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2103][3]~56327\ : std_logic;
SIGNAL \led_flash_cnt[2103][4]~56328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][4]~q\ : std_logic;
SIGNAL \WideAnd2103~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][4]~56329\ : std_logic;
SIGNAL \led_flash_cnt[2103][5]~56330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2103][5]~56331\ : std_logic;
SIGNAL \led_flash_cnt[2103][6]~56332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][6]~q\ : std_logic;
SIGNAL \WideAnd2103~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][6]~56333\ : std_logic;
SIGNAL \led_flash_cnt[2103][7]~56334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2103][7]~q\ : std_logic;
SIGNAL \WideAnd2103~combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][0]~82739_combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2099][1]~56266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2099][1]~56267\ : std_logic;
SIGNAL \led_flash_cnt[2099][2]~56268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2099][2]~56269\ : std_logic;
SIGNAL \led_flash_cnt[2099][3]~56270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2099][3]~56271\ : std_logic;
SIGNAL \led_flash_cnt[2099][4]~56272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2099][4]~56273\ : std_logic;
SIGNAL \led_flash_cnt[2099][5]~56274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2099][5]~56275\ : std_logic;
SIGNAL \led_flash_cnt[2099][6]~56276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2099][6]~56277\ : std_logic;
SIGNAL \led_flash_cnt[2099][7]~56278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2099][7]~q\ : std_logic;
SIGNAL \WideAnd2099~1_combout\ : std_logic;
SIGNAL \WideAnd2099~0_combout\ : std_logic;
SIGNAL \WideAnd2099~combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][0]~82736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2096][1]~56224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2096][1]~56225\ : std_logic;
SIGNAL \led_flash_cnt[2096][2]~56226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2096][2]~56227\ : std_logic;
SIGNAL \led_flash_cnt[2096][3]~56228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2096][3]~56229\ : std_logic;
SIGNAL \led_flash_cnt[2096][4]~56230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][4]~q\ : std_logic;
SIGNAL \WideAnd2096~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][4]~56231\ : std_logic;
SIGNAL \led_flash_cnt[2096][5]~56232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2096][5]~56233\ : std_logic;
SIGNAL \led_flash_cnt[2096][6]~56234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][6]~q\ : std_logic;
SIGNAL \WideAnd2096~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][6]~56235\ : std_logic;
SIGNAL \led_flash_cnt[2096][7]~56236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2096][7]~q\ : std_logic;
SIGNAL \WideAnd2096~combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][0]~82738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2098][1]~56252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2098][1]~56253\ : std_logic;
SIGNAL \led_flash_cnt[2098][2]~56254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2098][2]~56255\ : std_logic;
SIGNAL \led_flash_cnt[2098][3]~56256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2098][3]~56257\ : std_logic;
SIGNAL \led_flash_cnt[2098][4]~56258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2098][4]~56259\ : std_logic;
SIGNAL \led_flash_cnt[2098][5]~56260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2098][5]~56261\ : std_logic;
SIGNAL \led_flash_cnt[2098][6]~56262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2098][6]~56263\ : std_logic;
SIGNAL \led_flash_cnt[2098][7]~56264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2098][7]~q\ : std_logic;
SIGNAL \WideAnd2098~1_combout\ : std_logic;
SIGNAL \WideAnd2098~0_combout\ : std_logic;
SIGNAL \WideAnd2098~combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][0]~82737_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2097][1]~56238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2097][1]~56239\ : std_logic;
SIGNAL \led_flash_cnt[2097][2]~56240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2097][2]~56241\ : std_logic;
SIGNAL \led_flash_cnt[2097][3]~56242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2097][3]~56243\ : std_logic;
SIGNAL \led_flash_cnt[2097][4]~56244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][4]~q\ : std_logic;
SIGNAL \WideAnd2097~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][4]~56245\ : std_logic;
SIGNAL \led_flash_cnt[2097][5]~56246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2097][5]~56247\ : std_logic;
SIGNAL \led_flash_cnt[2097][6]~56248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2097][6]~56249\ : std_logic;
SIGNAL \led_flash_cnt[2097][7]~56250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2097][7]~q\ : std_logic;
SIGNAL \WideAnd2097~1_combout\ : std_logic;
SIGNAL \WideAnd2097~combout\ : std_logic;
SIGNAL \WideAnd4102~0_combout\ : std_logic;
SIGNAL \WideAnd4102~combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][0]~82707_combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2067][1]~55818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2067][1]~55819\ : std_logic;
SIGNAL \led_flash_cnt[2067][2]~55820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2067][2]~55821\ : std_logic;
SIGNAL \led_flash_cnt[2067][3]~55822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2067][3]~55823\ : std_logic;
SIGNAL \led_flash_cnt[2067][4]~55824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2067][4]~55825\ : std_logic;
SIGNAL \led_flash_cnt[2067][5]~55826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2067][5]~55827\ : std_logic;
SIGNAL \led_flash_cnt[2067][6]~55828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2067][6]~55829\ : std_logic;
SIGNAL \led_flash_cnt[2067][7]~55830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2067][7]~q\ : std_logic;
SIGNAL \WideAnd2067~1_combout\ : std_logic;
SIGNAL \WideAnd2067~0_combout\ : std_logic;
SIGNAL \WideAnd2067~combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][0]~82704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2064][1]~55776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2064][1]~55777\ : std_logic;
SIGNAL \led_flash_cnt[2064][2]~55778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2064][2]~55779\ : std_logic;
SIGNAL \led_flash_cnt[2064][3]~55780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2064][3]~55781\ : std_logic;
SIGNAL \led_flash_cnt[2064][4]~55782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2064][4]~55783\ : std_logic;
SIGNAL \led_flash_cnt[2064][5]~55784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2064][5]~55785\ : std_logic;
SIGNAL \led_flash_cnt[2064][6]~55786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2064][6]~55787\ : std_logic;
SIGNAL \led_flash_cnt[2064][7]~55788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2064][7]~q\ : std_logic;
SIGNAL \WideAnd2064~1_combout\ : std_logic;
SIGNAL \WideAnd2064~0_combout\ : std_logic;
SIGNAL \WideAnd2064~combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][0]~82705_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2065][1]~55790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2065][1]~55791\ : std_logic;
SIGNAL \led_flash_cnt[2065][2]~55792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2065][2]~55793\ : std_logic;
SIGNAL \led_flash_cnt[2065][3]~55794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2065][3]~55795\ : std_logic;
SIGNAL \led_flash_cnt[2065][4]~55796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][4]~q\ : std_logic;
SIGNAL \WideAnd2065~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][4]~55797\ : std_logic;
SIGNAL \led_flash_cnt[2065][5]~55798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2065][5]~55799\ : std_logic;
SIGNAL \led_flash_cnt[2065][6]~55800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][6]~q\ : std_logic;
SIGNAL \WideAnd2065~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][6]~55801\ : std_logic;
SIGNAL \led_flash_cnt[2065][7]~55802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2065][7]~q\ : std_logic;
SIGNAL \WideAnd2065~combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][0]~82706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2066][1]~55804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2066][1]~55805\ : std_logic;
SIGNAL \led_flash_cnt[2066][2]~55806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2066][2]~55807\ : std_logic;
SIGNAL \led_flash_cnt[2066][3]~55808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2066][3]~55809\ : std_logic;
SIGNAL \led_flash_cnt[2066][4]~55810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2066][4]~55811\ : std_logic;
SIGNAL \led_flash_cnt[2066][5]~55812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2066][5]~55813\ : std_logic;
SIGNAL \led_flash_cnt[2066][6]~55814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][6]~q\ : std_logic;
SIGNAL \WideAnd2066~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][6]~55815\ : std_logic;
SIGNAL \led_flash_cnt[2066][7]~55816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2066][7]~q\ : std_logic;
SIGNAL \WideAnd2066~0_combout\ : std_logic;
SIGNAL \WideAnd2066~combout\ : std_logic;
SIGNAL \WideAnd4098~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][0]~82711_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2071][1]~55874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2071][1]~55875\ : std_logic;
SIGNAL \led_flash_cnt[2071][2]~55876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2071][2]~55877\ : std_logic;
SIGNAL \led_flash_cnt[2071][3]~55878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2071][3]~55879\ : std_logic;
SIGNAL \led_flash_cnt[2071][4]~55880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][4]~q\ : std_logic;
SIGNAL \WideAnd2071~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][4]~55881\ : std_logic;
SIGNAL \led_flash_cnt[2071][5]~55882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2071][5]~55883\ : std_logic;
SIGNAL \led_flash_cnt[2071][6]~55884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2071][6]~55885\ : std_logic;
SIGNAL \led_flash_cnt[2071][7]~55886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2071][7]~q\ : std_logic;
SIGNAL \WideAnd2071~1_combout\ : std_logic;
SIGNAL \WideAnd2071~combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][0]~82709_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2069][1]~55846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2069][1]~55847\ : std_logic;
SIGNAL \led_flash_cnt[2069][2]~55848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2069][2]~55849\ : std_logic;
SIGNAL \led_flash_cnt[2069][3]~55850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2069][3]~55851\ : std_logic;
SIGNAL \led_flash_cnt[2069][4]~55852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][4]~q\ : std_logic;
SIGNAL \WideAnd2069~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][4]~55853\ : std_logic;
SIGNAL \led_flash_cnt[2069][5]~55854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2069][5]~55855\ : std_logic;
SIGNAL \led_flash_cnt[2069][6]~55856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][6]~q\ : std_logic;
SIGNAL \WideAnd2069~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][6]~55857\ : std_logic;
SIGNAL \led_flash_cnt[2069][7]~55858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2069][7]~q\ : std_logic;
SIGNAL \WideAnd2069~combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][0]~82708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2068][1]~55832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2068][1]~55833\ : std_logic;
SIGNAL \led_flash_cnt[2068][2]~55834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2068][2]~55835\ : std_logic;
SIGNAL \led_flash_cnt[2068][3]~55836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2068][3]~55837\ : std_logic;
SIGNAL \led_flash_cnt[2068][4]~55838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2068][4]~55839\ : std_logic;
SIGNAL \led_flash_cnt[2068][5]~55840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2068][5]~55841\ : std_logic;
SIGNAL \led_flash_cnt[2068][6]~55842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][6]~q\ : std_logic;
SIGNAL \WideAnd2068~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][6]~55843\ : std_logic;
SIGNAL \led_flash_cnt[2068][7]~55844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2068][7]~q\ : std_logic;
SIGNAL \WideAnd2068~0_combout\ : std_logic;
SIGNAL \WideAnd2068~combout\ : std_logic;
SIGNAL \WideAnd4098~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][0]~82710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2070][1]~55860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2070][1]~55861\ : std_logic;
SIGNAL \led_flash_cnt[2070][2]~55862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2070][2]~55863\ : std_logic;
SIGNAL \led_flash_cnt[2070][3]~55864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2070][3]~55865\ : std_logic;
SIGNAL \led_flash_cnt[2070][4]~55866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2070][4]~55867\ : std_logic;
SIGNAL \led_flash_cnt[2070][5]~55868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2070][5]~55869\ : std_logic;
SIGNAL \led_flash_cnt[2070][6]~55870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2070][6]~55871\ : std_logic;
SIGNAL \led_flash_cnt[2070][7]~55872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2070][7]~q\ : std_logic;
SIGNAL \WideAnd2070~1_combout\ : std_logic;
SIGNAL \WideAnd2070~0_combout\ : std_logic;
SIGNAL \WideAnd2070~combout\ : std_logic;
SIGNAL \WideAnd4098~combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][0]~82693_combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2053][1]~55622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2053][1]~55623\ : std_logic;
SIGNAL \led_flash_cnt[2053][2]~55624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2053][2]~55625\ : std_logic;
SIGNAL \led_flash_cnt[2053][3]~55626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2053][3]~55627\ : std_logic;
SIGNAL \led_flash_cnt[2053][4]~55628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2053][4]~55629\ : std_logic;
SIGNAL \led_flash_cnt[2053][5]~55630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2053][5]~55631\ : std_logic;
SIGNAL \led_flash_cnt[2053][6]~55632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2053][6]~55633\ : std_logic;
SIGNAL \led_flash_cnt[2053][7]~55634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2053][7]~q\ : std_logic;
SIGNAL \WideAnd2053~0_combout\ : std_logic;
SIGNAL \WideAnd2053~1_combout\ : std_logic;
SIGNAL \WideAnd2053~combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][0]~82692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2052][1]~55608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2052][1]~55609\ : std_logic;
SIGNAL \led_flash_cnt[2052][2]~55610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2052][2]~55611\ : std_logic;
SIGNAL \led_flash_cnt[2052][3]~55612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2052][3]~55613\ : std_logic;
SIGNAL \led_flash_cnt[2052][4]~55614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2052][4]~55615\ : std_logic;
SIGNAL \led_flash_cnt[2052][5]~55616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2052][5]~55617\ : std_logic;
SIGNAL \led_flash_cnt[2052][6]~55618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][6]~q\ : std_logic;
SIGNAL \WideAnd2052~1_combout\ : std_logic;
SIGNAL \WideAnd2052~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][6]~55619\ : std_logic;
SIGNAL \led_flash_cnt[2052][7]~55620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2052][7]~q\ : std_logic;
SIGNAL \WideAnd2052~combout\ : std_logic;
SIGNAL \WideAnd4096~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][0]~82694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2054][1]~55636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2054][1]~55637\ : std_logic;
SIGNAL \led_flash_cnt[2054][2]~55638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2054][2]~55639\ : std_logic;
SIGNAL \led_flash_cnt[2054][3]~55640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2054][3]~55641\ : std_logic;
SIGNAL \led_flash_cnt[2054][4]~55642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2054][4]~55643\ : std_logic;
SIGNAL \led_flash_cnt[2054][5]~55644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2054][5]~55645\ : std_logic;
SIGNAL \led_flash_cnt[2054][6]~55646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2054][6]~55647\ : std_logic;
SIGNAL \led_flash_cnt[2054][7]~55648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2054][7]~q\ : std_logic;
SIGNAL \WideAnd2054~1_combout\ : std_logic;
SIGNAL \WideAnd2054~0_combout\ : std_logic;
SIGNAL \WideAnd2054~combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][0]~82695_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2055][1]~55650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2055][1]~55651\ : std_logic;
SIGNAL \led_flash_cnt[2055][2]~55652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2055][2]~55653\ : std_logic;
SIGNAL \led_flash_cnt[2055][3]~55654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2055][3]~55655\ : std_logic;
SIGNAL \led_flash_cnt[2055][4]~55656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2055][4]~55657\ : std_logic;
SIGNAL \led_flash_cnt[2055][5]~55658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2055][5]~55659\ : std_logic;
SIGNAL \led_flash_cnt[2055][6]~55660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][6]~q\ : std_logic;
SIGNAL \WideAnd2055~1_combout\ : std_logic;
SIGNAL \WideAnd2055~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][6]~55661\ : std_logic;
SIGNAL \led_flash_cnt[2055][7]~55662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2055][7]~q\ : std_logic;
SIGNAL \WideAnd2055~combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][0]~82691_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2051][1]~55594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2051][1]~55595\ : std_logic;
SIGNAL \led_flash_cnt[2051][2]~55596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2051][2]~55597\ : std_logic;
SIGNAL \led_flash_cnt[2051][3]~55598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2051][3]~55599\ : std_logic;
SIGNAL \led_flash_cnt[2051][4]~55600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2051][4]~55601\ : std_logic;
SIGNAL \led_flash_cnt[2051][5]~55602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2051][5]~55603\ : std_logic;
SIGNAL \led_flash_cnt[2051][6]~55604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][6]~q\ : std_logic;
SIGNAL \WideAnd2051~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][6]~55605\ : std_logic;
SIGNAL \led_flash_cnt[2051][7]~55606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2051][7]~q\ : std_logic;
SIGNAL \WideAnd2051~0_combout\ : std_logic;
SIGNAL \WideAnd2051~combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][0]~82690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2050][1]~55580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2050][1]~55581\ : std_logic;
SIGNAL \led_flash_cnt[2050][2]~55582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2050][2]~55583\ : std_logic;
SIGNAL \led_flash_cnt[2050][3]~55584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2050][3]~55585\ : std_logic;
SIGNAL \led_flash_cnt[2050][4]~55586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][4]~q\ : std_logic;
SIGNAL \WideAnd2050~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][4]~55587\ : std_logic;
SIGNAL \led_flash_cnt[2050][5]~55588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2050][5]~55589\ : std_logic;
SIGNAL \led_flash_cnt[2050][6]~55590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][6]~q\ : std_logic;
SIGNAL \WideAnd2050~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][6]~55591\ : std_logic;
SIGNAL \led_flash_cnt[2050][7]~55592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2050][7]~q\ : std_logic;
SIGNAL \WideAnd2050~combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][0]~82689_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2049][1]~55566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2049][1]~55567\ : std_logic;
SIGNAL \led_flash_cnt[2049][2]~55568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2049][2]~55569\ : std_logic;
SIGNAL \led_flash_cnt[2049][3]~55570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2049][3]~55571\ : std_logic;
SIGNAL \led_flash_cnt[2049][4]~55572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2049][4]~55573\ : std_logic;
SIGNAL \led_flash_cnt[2049][5]~55574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2049][5]~55575\ : std_logic;
SIGNAL \led_flash_cnt[2049][6]~55576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][6]~q\ : std_logic;
SIGNAL \WideAnd2049~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][6]~55577\ : std_logic;
SIGNAL \led_flash_cnt[2049][7]~55578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2049][7]~q\ : std_logic;
SIGNAL \WideAnd2049~0_combout\ : std_logic;
SIGNAL \WideAnd2049~combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][0]~82688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2048][1]~55552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2048][1]~55553\ : std_logic;
SIGNAL \led_flash_cnt[2048][2]~55554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2048][2]~55555\ : std_logic;
SIGNAL \led_flash_cnt[2048][3]~55556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2048][3]~55557\ : std_logic;
SIGNAL \led_flash_cnt[2048][4]~55558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][4]~q\ : std_logic;
SIGNAL \WideAnd2048~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][4]~55559\ : std_logic;
SIGNAL \led_flash_cnt[2048][5]~55560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2048][5]~55561\ : std_logic;
SIGNAL \led_flash_cnt[2048][6]~55562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2048][6]~55563\ : std_logic;
SIGNAL \led_flash_cnt[2048][7]~55564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2048][7]~q\ : std_logic;
SIGNAL \WideAnd2048~1_combout\ : std_logic;
SIGNAL \WideAnd2048~combout\ : std_logic;
SIGNAL \WideAnd4096~0_combout\ : std_logic;
SIGNAL \WideAnd4096~combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][0]~82717_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2077][1]~55958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2077][1]~55959\ : std_logic;
SIGNAL \led_flash_cnt[2077][2]~55960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2077][2]~55961\ : std_logic;
SIGNAL \led_flash_cnt[2077][3]~55962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2077][3]~55963\ : std_logic;
SIGNAL \led_flash_cnt[2077][4]~55964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][4]~q\ : std_logic;
SIGNAL \WideAnd2077~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][4]~55965\ : std_logic;
SIGNAL \led_flash_cnt[2077][5]~55966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2077][5]~55967\ : std_logic;
SIGNAL \led_flash_cnt[2077][6]~55968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][6]~q\ : std_logic;
SIGNAL \WideAnd2077~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][6]~55969\ : std_logic;
SIGNAL \led_flash_cnt[2077][7]~55970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2077][7]~q\ : std_logic;
SIGNAL \WideAnd2077~combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][0]~82716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2076][1]~55944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2076][1]~55945\ : std_logic;
SIGNAL \led_flash_cnt[2076][2]~55946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2076][2]~55947\ : std_logic;
SIGNAL \led_flash_cnt[2076][3]~55948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2076][3]~55949\ : std_logic;
SIGNAL \led_flash_cnt[2076][4]~55950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][4]~q\ : std_logic;
SIGNAL \WideAnd2076~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][4]~55951\ : std_logic;
SIGNAL \led_flash_cnt[2076][5]~55952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2076][5]~55953\ : std_logic;
SIGNAL \led_flash_cnt[2076][6]~55954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][6]~q\ : std_logic;
SIGNAL \WideAnd2076~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][6]~55955\ : std_logic;
SIGNAL \led_flash_cnt[2076][7]~55956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2076][7]~q\ : std_logic;
SIGNAL \WideAnd2076~combout\ : std_logic;
SIGNAL \WideAnd4099~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][0]~82718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2078][1]~55972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2078][1]~55973\ : std_logic;
SIGNAL \led_flash_cnt[2078][2]~55974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2078][2]~55975\ : std_logic;
SIGNAL \led_flash_cnt[2078][3]~55976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2078][3]~55977\ : std_logic;
SIGNAL \led_flash_cnt[2078][4]~55978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2078][4]~55979\ : std_logic;
SIGNAL \led_flash_cnt[2078][5]~55980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2078][5]~55981\ : std_logic;
SIGNAL \led_flash_cnt[2078][6]~55982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][6]~q\ : std_logic;
SIGNAL \WideAnd2078~1_combout\ : std_logic;
SIGNAL \WideAnd2078~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][6]~55983\ : std_logic;
SIGNAL \led_flash_cnt[2078][7]~55984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2078][7]~q\ : std_logic;
SIGNAL \WideAnd2078~combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][0]~82719_combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2079][1]~55986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2079][1]~55987\ : std_logic;
SIGNAL \led_flash_cnt[2079][2]~55988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2079][2]~55989\ : std_logic;
SIGNAL \led_flash_cnt[2079][3]~55990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2079][3]~55991\ : std_logic;
SIGNAL \led_flash_cnt[2079][4]~55992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2079][4]~55993\ : std_logic;
SIGNAL \led_flash_cnt[2079][5]~55994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2079][5]~55995\ : std_logic;
SIGNAL \led_flash_cnt[2079][6]~55996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2079][6]~55997\ : std_logic;
SIGNAL \led_flash_cnt[2079][7]~55998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2079][7]~q\ : std_logic;
SIGNAL \WideAnd2079~0_combout\ : std_logic;
SIGNAL \WideAnd2079~1_combout\ : std_logic;
SIGNAL \WideAnd2079~combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][0]~82712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2072][1]~55888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2072][1]~55889\ : std_logic;
SIGNAL \led_flash_cnt[2072][2]~55890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2072][2]~55891\ : std_logic;
SIGNAL \led_flash_cnt[2072][3]~55892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2072][3]~55893\ : std_logic;
SIGNAL \led_flash_cnt[2072][4]~55894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2072][4]~55895\ : std_logic;
SIGNAL \led_flash_cnt[2072][5]~55896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2072][5]~55897\ : std_logic;
SIGNAL \led_flash_cnt[2072][6]~55898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2072][6]~55899\ : std_logic;
SIGNAL \led_flash_cnt[2072][7]~55900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2072][7]~q\ : std_logic;
SIGNAL \WideAnd2072~1_combout\ : std_logic;
SIGNAL \WideAnd2072~0_combout\ : std_logic;
SIGNAL \WideAnd2072~combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][0]~82714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2074][1]~55916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2074][1]~55917\ : std_logic;
SIGNAL \led_flash_cnt[2074][2]~55918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2074][2]~55919\ : std_logic;
SIGNAL \led_flash_cnt[2074][3]~55920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2074][3]~55921\ : std_logic;
SIGNAL \led_flash_cnt[2074][4]~55922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2074][4]~55923\ : std_logic;
SIGNAL \led_flash_cnt[2074][5]~55924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2074][5]~55925\ : std_logic;
SIGNAL \led_flash_cnt[2074][6]~55926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2074][6]~55927\ : std_logic;
SIGNAL \led_flash_cnt[2074][7]~55928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2074][7]~q\ : std_logic;
SIGNAL \WideAnd2074~0_combout\ : std_logic;
SIGNAL \WideAnd2074~1_combout\ : std_logic;
SIGNAL \WideAnd2074~combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][0]~82713_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2073][1]~55902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2073][1]~55903\ : std_logic;
SIGNAL \led_flash_cnt[2073][2]~55904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2073][2]~55905\ : std_logic;
SIGNAL \led_flash_cnt[2073][3]~55906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2073][3]~55907\ : std_logic;
SIGNAL \led_flash_cnt[2073][4]~55908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2073][4]~55909\ : std_logic;
SIGNAL \led_flash_cnt[2073][5]~55910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2073][5]~55911\ : std_logic;
SIGNAL \led_flash_cnt[2073][6]~55912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][6]~q\ : std_logic;
SIGNAL \WideAnd2073~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][6]~55913\ : std_logic;
SIGNAL \led_flash_cnt[2073][7]~55914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2073][7]~q\ : std_logic;
SIGNAL \WideAnd2073~0_combout\ : std_logic;
SIGNAL \WideAnd2073~combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][0]~82715_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2075][1]~55930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2075][1]~55931\ : std_logic;
SIGNAL \led_flash_cnt[2075][2]~55932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2075][2]~55933\ : std_logic;
SIGNAL \led_flash_cnt[2075][3]~55934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2075][3]~55935\ : std_logic;
SIGNAL \led_flash_cnt[2075][4]~55936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2075][4]~55937\ : std_logic;
SIGNAL \led_flash_cnt[2075][5]~55938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2075][5]~55939\ : std_logic;
SIGNAL \led_flash_cnt[2075][6]~55940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][6]~q\ : std_logic;
SIGNAL \WideAnd2075~1_combout\ : std_logic;
SIGNAL \WideAnd2075~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][6]~55941\ : std_logic;
SIGNAL \led_flash_cnt[2075][7]~55942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2075][7]~q\ : std_logic;
SIGNAL \WideAnd2075~combout\ : std_logic;
SIGNAL \WideAnd4099~0_combout\ : std_logic;
SIGNAL \WideAnd4099~combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][0]~82699_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2059][1]~55706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2059][1]~55707\ : std_logic;
SIGNAL \led_flash_cnt[2059][2]~55708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2059][2]~55709\ : std_logic;
SIGNAL \led_flash_cnt[2059][3]~55710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2059][3]~55711\ : std_logic;
SIGNAL \led_flash_cnt[2059][4]~55712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][4]~q\ : std_logic;
SIGNAL \WideAnd2059~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][4]~55713\ : std_logic;
SIGNAL \led_flash_cnt[2059][5]~55714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2059][5]~55715\ : std_logic;
SIGNAL \led_flash_cnt[2059][6]~55716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2059][6]~55717\ : std_logic;
SIGNAL \led_flash_cnt[2059][7]~55718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2059][7]~q\ : std_logic;
SIGNAL \WideAnd2059~1_combout\ : std_logic;
SIGNAL \WideAnd2059~combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][0]~82698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2058][1]~55692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2058][1]~55693\ : std_logic;
SIGNAL \led_flash_cnt[2058][2]~55694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2058][2]~55695\ : std_logic;
SIGNAL \led_flash_cnt[2058][3]~55696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2058][3]~55697\ : std_logic;
SIGNAL \led_flash_cnt[2058][4]~55698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2058][4]~55699\ : std_logic;
SIGNAL \led_flash_cnt[2058][5]~55700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2058][5]~55701\ : std_logic;
SIGNAL \led_flash_cnt[2058][6]~55702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][6]~q\ : std_logic;
SIGNAL \WideAnd2058~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][6]~55703\ : std_logic;
SIGNAL \led_flash_cnt[2058][7]~55704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2058][7]~q\ : std_logic;
SIGNAL \WideAnd2058~0_combout\ : std_logic;
SIGNAL \WideAnd2058~combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][0]~82696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2056][1]~55664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2056][1]~55665\ : std_logic;
SIGNAL \led_flash_cnt[2056][2]~55666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2056][2]~55667\ : std_logic;
SIGNAL \led_flash_cnt[2056][3]~55668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2056][3]~55669\ : std_logic;
SIGNAL \led_flash_cnt[2056][4]~55670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][4]~q\ : std_logic;
SIGNAL \WideAnd2056~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][4]~55671\ : std_logic;
SIGNAL \led_flash_cnt[2056][5]~55672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2056][5]~55673\ : std_logic;
SIGNAL \led_flash_cnt[2056][6]~55674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][6]~q\ : std_logic;
SIGNAL \WideAnd2056~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][6]~55675\ : std_logic;
SIGNAL \led_flash_cnt[2056][7]~55676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2056][7]~q\ : std_logic;
SIGNAL \WideAnd2056~combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][0]~82697_combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2057][1]~55678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2057][1]~55679\ : std_logic;
SIGNAL \led_flash_cnt[2057][2]~55680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2057][2]~55681\ : std_logic;
SIGNAL \led_flash_cnt[2057][3]~55682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2057][3]~55683\ : std_logic;
SIGNAL \led_flash_cnt[2057][4]~55684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2057][4]~55685\ : std_logic;
SIGNAL \led_flash_cnt[2057][5]~55686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2057][5]~55687\ : std_logic;
SIGNAL \led_flash_cnt[2057][6]~55688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2057][6]~55689\ : std_logic;
SIGNAL \led_flash_cnt[2057][7]~55690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2057][7]~q\ : std_logic;
SIGNAL \WideAnd2057~0_combout\ : std_logic;
SIGNAL \WideAnd2057~1_combout\ : std_logic;
SIGNAL \WideAnd2057~combout\ : std_logic;
SIGNAL \WideAnd4097~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][0]~82703_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2063][1]~55762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2063][1]~55763\ : std_logic;
SIGNAL \led_flash_cnt[2063][2]~55764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2063][2]~55765\ : std_logic;
SIGNAL \led_flash_cnt[2063][3]~55766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2063][3]~55767\ : std_logic;
SIGNAL \led_flash_cnt[2063][4]~55768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][4]~q\ : std_logic;
SIGNAL \WideAnd2063~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][4]~55769\ : std_logic;
SIGNAL \led_flash_cnt[2063][5]~55770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2063][5]~55771\ : std_logic;
SIGNAL \led_flash_cnt[2063][6]~55772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2063][6]~55773\ : std_logic;
SIGNAL \led_flash_cnt[2063][7]~55774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2063][7]~q\ : std_logic;
SIGNAL \WideAnd2063~1_combout\ : std_logic;
SIGNAL \WideAnd2063~combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][0]~82702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2062][1]~55748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2062][1]~55749\ : std_logic;
SIGNAL \led_flash_cnt[2062][2]~55750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2062][2]~55751\ : std_logic;
SIGNAL \led_flash_cnt[2062][3]~55752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2062][3]~55753\ : std_logic;
SIGNAL \led_flash_cnt[2062][4]~55754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2062][4]~55755\ : std_logic;
SIGNAL \led_flash_cnt[2062][5]~55756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2062][5]~55757\ : std_logic;
SIGNAL \led_flash_cnt[2062][6]~55758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2062][6]~55759\ : std_logic;
SIGNAL \led_flash_cnt[2062][7]~55760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2062][7]~q\ : std_logic;
SIGNAL \WideAnd2062~1_combout\ : std_logic;
SIGNAL \WideAnd2062~0_combout\ : std_logic;
SIGNAL \WideAnd2062~combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][0]~82701_combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2061][1]~55734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2061][1]~55735\ : std_logic;
SIGNAL \led_flash_cnt[2061][2]~55736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2061][2]~55737\ : std_logic;
SIGNAL \led_flash_cnt[2061][3]~55738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2061][3]~55739\ : std_logic;
SIGNAL \led_flash_cnt[2061][4]~55740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2061][4]~55741\ : std_logic;
SIGNAL \led_flash_cnt[2061][5]~55742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2061][5]~55743\ : std_logic;
SIGNAL \led_flash_cnt[2061][6]~55744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2061][6]~55745\ : std_logic;
SIGNAL \led_flash_cnt[2061][7]~55746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2061][7]~q\ : std_logic;
SIGNAL \WideAnd2061~0_combout\ : std_logic;
SIGNAL \WideAnd2061~1_combout\ : std_logic;
SIGNAL \WideAnd2061~combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][0]~82700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2060][1]~55720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2060][1]~55721\ : std_logic;
SIGNAL \led_flash_cnt[2060][2]~55722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2060][2]~55723\ : std_logic;
SIGNAL \led_flash_cnt[2060][3]~55724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2060][3]~55725\ : std_logic;
SIGNAL \led_flash_cnt[2060][4]~55726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][4]~q\ : std_logic;
SIGNAL \WideAnd2060~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][4]~55727\ : std_logic;
SIGNAL \led_flash_cnt[2060][5]~55728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2060][5]~55729\ : std_logic;
SIGNAL \led_flash_cnt[2060][6]~55730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][6]~q\ : std_logic;
SIGNAL \WideAnd2060~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][6]~55731\ : std_logic;
SIGNAL \led_flash_cnt[2060][7]~55732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2060][7]~q\ : std_logic;
SIGNAL \WideAnd2060~combout\ : std_logic;
SIGNAL \WideAnd4097~1_combout\ : std_logic;
SIGNAL \WideAnd4097~combout\ : std_logic;
SIGNAL \WideAnd4352~0_combout\ : std_logic;
SIGNAL \WideAnd4352~combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][0]~82938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2298][1]~59052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2298][1]~59053\ : std_logic;
SIGNAL \led_flash_cnt[2298][2]~59054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2298][2]~59055\ : std_logic;
SIGNAL \led_flash_cnt[2298][3]~59056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2298][3]~59057\ : std_logic;
SIGNAL \led_flash_cnt[2298][4]~59058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2298][4]~59059\ : std_logic;
SIGNAL \led_flash_cnt[2298][5]~59060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2298][5]~59061\ : std_logic;
SIGNAL \led_flash_cnt[2298][6]~59062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2298][6]~59063\ : std_logic;
SIGNAL \led_flash_cnt[2298][7]~59064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2298][7]~q\ : std_logic;
SIGNAL \WideAnd2298~1_combout\ : std_logic;
SIGNAL \WideAnd2298~0_combout\ : std_logic;
SIGNAL \WideAnd2298~combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][0]~82937_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2297][1]~59038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2297][1]~59039\ : std_logic;
SIGNAL \led_flash_cnt[2297][2]~59040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2297][2]~59041\ : std_logic;
SIGNAL \led_flash_cnt[2297][3]~59042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2297][3]~59043\ : std_logic;
SIGNAL \led_flash_cnt[2297][4]~59044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][4]~q\ : std_logic;
SIGNAL \WideAnd2297~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][4]~59045\ : std_logic;
SIGNAL \led_flash_cnt[2297][5]~59046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2297][5]~59047\ : std_logic;
SIGNAL \led_flash_cnt[2297][6]~59048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2297][6]~59049\ : std_logic;
SIGNAL \led_flash_cnt[2297][7]~59050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2297][7]~q\ : std_logic;
SIGNAL \WideAnd2297~1_combout\ : std_logic;
SIGNAL \WideAnd2297~combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][0]~82939_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2299][1]~59066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2299][1]~59067\ : std_logic;
SIGNAL \led_flash_cnt[2299][2]~59068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2299][2]~59069\ : std_logic;
SIGNAL \led_flash_cnt[2299][3]~59070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2299][3]~59071\ : std_logic;
SIGNAL \led_flash_cnt[2299][4]~59072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2299][4]~59073\ : std_logic;
SIGNAL \led_flash_cnt[2299][5]~59074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2299][5]~59075\ : std_logic;
SIGNAL \led_flash_cnt[2299][6]~59076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][6]~q\ : std_logic;
SIGNAL \WideAnd2299~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][6]~59077\ : std_logic;
SIGNAL \led_flash_cnt[2299][7]~59078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2299][7]~q\ : std_logic;
SIGNAL \WideAnd2299~0_combout\ : std_logic;
SIGNAL \WideAnd2299~combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][0]~82936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2296][1]~59024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2296][1]~59025\ : std_logic;
SIGNAL \led_flash_cnt[2296][2]~59026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2296][2]~59027\ : std_logic;
SIGNAL \led_flash_cnt[2296][3]~59028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2296][3]~59029\ : std_logic;
SIGNAL \led_flash_cnt[2296][4]~59030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2296][4]~59031\ : std_logic;
SIGNAL \led_flash_cnt[2296][5]~59032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2296][5]~59033\ : std_logic;
SIGNAL \led_flash_cnt[2296][6]~59034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][6]~q\ : std_logic;
SIGNAL \WideAnd2296~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][6]~59035\ : std_logic;
SIGNAL \led_flash_cnt[2296][7]~59036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2296][7]~q\ : std_logic;
SIGNAL \WideAnd2296~0_combout\ : std_logic;
SIGNAL \WideAnd2296~combout\ : std_logic;
SIGNAL \WideAnd4127~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][0]~82942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2302][1]~59108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2302][1]~59109\ : std_logic;
SIGNAL \led_flash_cnt[2302][2]~59110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2302][2]~59111\ : std_logic;
SIGNAL \led_flash_cnt[2302][3]~59112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2302][3]~59113\ : std_logic;
SIGNAL \led_flash_cnt[2302][4]~59114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2302][4]~59115\ : std_logic;
SIGNAL \led_flash_cnt[2302][5]~59116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2302][5]~59117\ : std_logic;
SIGNAL \led_flash_cnt[2302][6]~59118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][6]~q\ : std_logic;
SIGNAL \WideAnd2302~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][6]~59119\ : std_logic;
SIGNAL \led_flash_cnt[2302][7]~59120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2302][7]~q\ : std_logic;
SIGNAL \WideAnd2302~0_combout\ : std_logic;
SIGNAL \WideAnd2302~combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][0]~82943_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2303][1]~59122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2303][1]~59123\ : std_logic;
SIGNAL \led_flash_cnt[2303][2]~59124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2303][2]~59125\ : std_logic;
SIGNAL \led_flash_cnt[2303][3]~59126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2303][3]~59127\ : std_logic;
SIGNAL \led_flash_cnt[2303][4]~59128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][4]~q\ : std_logic;
SIGNAL \WideAnd2303~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][4]~59129\ : std_logic;
SIGNAL \led_flash_cnt[2303][5]~59130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2303][5]~59131\ : std_logic;
SIGNAL \led_flash_cnt[2303][6]~59132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2303][6]~59133\ : std_logic;
SIGNAL \led_flash_cnt[2303][7]~59134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2303][7]~q\ : std_logic;
SIGNAL \WideAnd2303~1_combout\ : std_logic;
SIGNAL \WideAnd2303~combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][0]~82940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2300][1]~59080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2300][1]~59081\ : std_logic;
SIGNAL \led_flash_cnt[2300][2]~59082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2300][2]~59083\ : std_logic;
SIGNAL \led_flash_cnt[2300][3]~59084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2300][3]~59085\ : std_logic;
SIGNAL \led_flash_cnt[2300][4]~59086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2300][4]~59087\ : std_logic;
SIGNAL \led_flash_cnt[2300][5]~59088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2300][5]~59089\ : std_logic;
SIGNAL \led_flash_cnt[2300][6]~59090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2300][6]~59091\ : std_logic;
SIGNAL \led_flash_cnt[2300][7]~59092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2300][7]~q\ : std_logic;
SIGNAL \WideAnd2300~1_combout\ : std_logic;
SIGNAL \WideAnd2300~0_combout\ : std_logic;
SIGNAL \WideAnd2300~combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][0]~82941_combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2301][1]~59094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2301][1]~59095\ : std_logic;
SIGNAL \led_flash_cnt[2301][2]~59096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2301][2]~59097\ : std_logic;
SIGNAL \led_flash_cnt[2301][3]~59098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2301][3]~59099\ : std_logic;
SIGNAL \led_flash_cnt[2301][4]~59100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2301][4]~59101\ : std_logic;
SIGNAL \led_flash_cnt[2301][5]~59102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2301][5]~59103\ : std_logic;
SIGNAL \led_flash_cnt[2301][6]~59104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2301][6]~59105\ : std_logic;
SIGNAL \led_flash_cnt[2301][7]~59106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2301][7]~q\ : std_logic;
SIGNAL \WideAnd2301~0_combout\ : std_logic;
SIGNAL \WideAnd2301~1_combout\ : std_logic;
SIGNAL \WideAnd2301~combout\ : std_logic;
SIGNAL \WideAnd4127~1_combout\ : std_logic;
SIGNAL \WideAnd4127~combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][0]~82886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2246][1]~58324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2246][1]~58325\ : std_logic;
SIGNAL \led_flash_cnt[2246][2]~58326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2246][2]~58327\ : std_logic;
SIGNAL \led_flash_cnt[2246][3]~58328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2246][3]~58329\ : std_logic;
SIGNAL \led_flash_cnt[2246][4]~58330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2246][4]~58331\ : std_logic;
SIGNAL \led_flash_cnt[2246][5]~58332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2246][5]~58333\ : std_logic;
SIGNAL \led_flash_cnt[2246][6]~58334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][6]~q\ : std_logic;
SIGNAL \WideAnd2246~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][6]~58335\ : std_logic;
SIGNAL \led_flash_cnt[2246][7]~58336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2246][7]~q\ : std_logic;
SIGNAL \WideAnd2246~0_combout\ : std_logic;
SIGNAL \WideAnd2246~combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][0]~82884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2244][1]~58296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2244][1]~58297\ : std_logic;
SIGNAL \led_flash_cnt[2244][2]~58298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2244][2]~58299\ : std_logic;
SIGNAL \led_flash_cnt[2244][3]~58300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2244][3]~58301\ : std_logic;
SIGNAL \led_flash_cnt[2244][4]~58302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2244][4]~58303\ : std_logic;
SIGNAL \led_flash_cnt[2244][5]~58304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2244][5]~58305\ : std_logic;
SIGNAL \led_flash_cnt[2244][6]~58306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2244][6]~58307\ : std_logic;
SIGNAL \led_flash_cnt[2244][7]~58308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2244][7]~q\ : std_logic;
SIGNAL \WideAnd2244~1_combout\ : std_logic;
SIGNAL \WideAnd2244~0_combout\ : std_logic;
SIGNAL \WideAnd2244~combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][0]~82885_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2245][1]~58310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2245][1]~58311\ : std_logic;
SIGNAL \led_flash_cnt[2245][2]~58312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2245][2]~58313\ : std_logic;
SIGNAL \led_flash_cnt[2245][3]~58314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2245][3]~58315\ : std_logic;
SIGNAL \led_flash_cnt[2245][4]~58316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][4]~q\ : std_logic;
SIGNAL \WideAnd2245~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][4]~58317\ : std_logic;
SIGNAL \led_flash_cnt[2245][5]~58318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2245][5]~58319\ : std_logic;
SIGNAL \led_flash_cnt[2245][6]~58320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2245][6]~58321\ : std_logic;
SIGNAL \led_flash_cnt[2245][7]~58322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2245][7]~q\ : std_logic;
SIGNAL \WideAnd2245~1_combout\ : std_logic;
SIGNAL \WideAnd2245~combout\ : std_logic;
SIGNAL \WideAnd4120~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][0]~82887_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2247][1]~58338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2247][1]~58339\ : std_logic;
SIGNAL \led_flash_cnt[2247][2]~58340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2247][2]~58341\ : std_logic;
SIGNAL \led_flash_cnt[2247][3]~58342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2247][3]~58343\ : std_logic;
SIGNAL \led_flash_cnt[2247][4]~58344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][4]~q\ : std_logic;
SIGNAL \WideAnd2247~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][4]~58345\ : std_logic;
SIGNAL \led_flash_cnt[2247][5]~58346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2247][5]~58347\ : std_logic;
SIGNAL \led_flash_cnt[2247][6]~58348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2247][6]~58349\ : std_logic;
SIGNAL \led_flash_cnt[2247][7]~58350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2247][7]~q\ : std_logic;
SIGNAL \WideAnd2247~1_combout\ : std_logic;
SIGNAL \WideAnd2247~combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][0]~82883_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2243][1]~58282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2243][1]~58283\ : std_logic;
SIGNAL \led_flash_cnt[2243][2]~58284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2243][2]~58285\ : std_logic;
SIGNAL \led_flash_cnt[2243][3]~58286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2243][3]~58287\ : std_logic;
SIGNAL \led_flash_cnt[2243][4]~58288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2243][4]~58289\ : std_logic;
SIGNAL \led_flash_cnt[2243][5]~58290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2243][5]~58291\ : std_logic;
SIGNAL \led_flash_cnt[2243][6]~58292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][6]~q\ : std_logic;
SIGNAL \WideAnd2243~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][6]~58293\ : std_logic;
SIGNAL \led_flash_cnt[2243][7]~58294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2243][7]~q\ : std_logic;
SIGNAL \WideAnd2243~0_combout\ : std_logic;
SIGNAL \WideAnd2243~combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][0]~82880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2240][1]~58240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2240][1]~58241\ : std_logic;
SIGNAL \led_flash_cnt[2240][2]~58242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2240][2]~58243\ : std_logic;
SIGNAL \led_flash_cnt[2240][3]~58244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2240][3]~58245\ : std_logic;
SIGNAL \led_flash_cnt[2240][4]~58246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2240][4]~58247\ : std_logic;
SIGNAL \led_flash_cnt[2240][5]~58248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2240][5]~58249\ : std_logic;
SIGNAL \led_flash_cnt[2240][6]~58250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][6]~q\ : std_logic;
SIGNAL \WideAnd2240~1_combout\ : std_logic;
SIGNAL \WideAnd2240~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][6]~58251\ : std_logic;
SIGNAL \led_flash_cnt[2240][7]~58252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2240][7]~q\ : std_logic;
SIGNAL \WideAnd2240~combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][0]~82881_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2241][1]~58254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2241][1]~58255\ : std_logic;
SIGNAL \led_flash_cnt[2241][2]~58256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2241][2]~58257\ : std_logic;
SIGNAL \led_flash_cnt[2241][3]~58258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2241][3]~58259\ : std_logic;
SIGNAL \led_flash_cnt[2241][4]~58260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][4]~q\ : std_logic;
SIGNAL \WideAnd2241~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][4]~58261\ : std_logic;
SIGNAL \led_flash_cnt[2241][5]~58262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2241][5]~58263\ : std_logic;
SIGNAL \led_flash_cnt[2241][6]~58264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2241][6]~58265\ : std_logic;
SIGNAL \led_flash_cnt[2241][7]~58266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2241][7]~q\ : std_logic;
SIGNAL \WideAnd2241~1_combout\ : std_logic;
SIGNAL \WideAnd2241~combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][0]~82882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2242][1]~58268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2242][1]~58269\ : std_logic;
SIGNAL \led_flash_cnt[2242][2]~58270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2242][2]~58271\ : std_logic;
SIGNAL \led_flash_cnt[2242][3]~58272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2242][3]~58273\ : std_logic;
SIGNAL \led_flash_cnt[2242][4]~58274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2242][4]~58275\ : std_logic;
SIGNAL \led_flash_cnt[2242][5]~58276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2242][5]~58277\ : std_logic;
SIGNAL \led_flash_cnt[2242][6]~58278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2242][6]~58279\ : std_logic;
SIGNAL \led_flash_cnt[2242][7]~58280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2242][7]~q\ : std_logic;
SIGNAL \WideAnd2242~0_combout\ : std_logic;
SIGNAL \WideAnd2242~1_combout\ : std_logic;
SIGNAL \WideAnd2242~combout\ : std_logic;
SIGNAL \WideAnd4120~0_combout\ : std_logic;
SIGNAL \WideAnd4120~combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][0]~82910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2270][1]~58660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2270][1]~58661\ : std_logic;
SIGNAL \led_flash_cnt[2270][2]~58662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2270][2]~58663\ : std_logic;
SIGNAL \led_flash_cnt[2270][3]~58664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2270][3]~58665\ : std_logic;
SIGNAL \led_flash_cnt[2270][4]~58666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][4]~q\ : std_logic;
SIGNAL \WideAnd2270~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][4]~58667\ : std_logic;
SIGNAL \led_flash_cnt[2270][5]~58668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2270][5]~58669\ : std_logic;
SIGNAL \led_flash_cnt[2270][6]~58670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2270][6]~58671\ : std_logic;
SIGNAL \led_flash_cnt[2270][7]~58672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2270][7]~q\ : std_logic;
SIGNAL \WideAnd2270~1_combout\ : std_logic;
SIGNAL \WideAnd2270~combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][0]~82908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2268][1]~58632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2268][1]~58633\ : std_logic;
SIGNAL \led_flash_cnt[2268][2]~58634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2268][2]~58635\ : std_logic;
SIGNAL \led_flash_cnt[2268][3]~58636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2268][3]~58637\ : std_logic;
SIGNAL \led_flash_cnt[2268][4]~58638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2268][4]~58639\ : std_logic;
SIGNAL \led_flash_cnt[2268][5]~58640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2268][5]~58641\ : std_logic;
SIGNAL \led_flash_cnt[2268][6]~58642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][6]~q\ : std_logic;
SIGNAL \WideAnd2268~1_combout\ : std_logic;
SIGNAL \WideAnd2268~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][6]~58643\ : std_logic;
SIGNAL \led_flash_cnt[2268][7]~58644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2268][7]~q\ : std_logic;
SIGNAL \WideAnd2268~combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][0]~82909_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2269][1]~58646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2269][1]~58647\ : std_logic;
SIGNAL \led_flash_cnt[2269][2]~58648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2269][2]~58649\ : std_logic;
SIGNAL \led_flash_cnt[2269][3]~58650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2269][3]~58651\ : std_logic;
SIGNAL \led_flash_cnt[2269][4]~58652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][4]~q\ : std_logic;
SIGNAL \WideAnd2269~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][4]~58653\ : std_logic;
SIGNAL \led_flash_cnt[2269][5]~58654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2269][5]~58655\ : std_logic;
SIGNAL \led_flash_cnt[2269][6]~58656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2269][6]~58657\ : std_logic;
SIGNAL \led_flash_cnt[2269][7]~58658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2269][7]~q\ : std_logic;
SIGNAL \WideAnd2269~1_combout\ : std_logic;
SIGNAL \WideAnd2269~combout\ : std_logic;
SIGNAL \WideAnd4123~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][0]~82911_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2271][1]~58674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2271][1]~58675\ : std_logic;
SIGNAL \led_flash_cnt[2271][2]~58676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2271][2]~58677\ : std_logic;
SIGNAL \led_flash_cnt[2271][3]~58678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2271][3]~58679\ : std_logic;
SIGNAL \led_flash_cnt[2271][4]~58680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2271][4]~58681\ : std_logic;
SIGNAL \led_flash_cnt[2271][5]~58682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2271][5]~58683\ : std_logic;
SIGNAL \led_flash_cnt[2271][6]~58684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][6]~q\ : std_logic;
SIGNAL \WideAnd2271~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][6]~58685\ : std_logic;
SIGNAL \led_flash_cnt[2271][7]~58686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2271][7]~q\ : std_logic;
SIGNAL \WideAnd2271~0_combout\ : std_logic;
SIGNAL \WideAnd2271~combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][0]~82905_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2265][1]~58590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2265][1]~58591\ : std_logic;
SIGNAL \led_flash_cnt[2265][2]~58592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2265][2]~58593\ : std_logic;
SIGNAL \led_flash_cnt[2265][3]~58594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2265][3]~58595\ : std_logic;
SIGNAL \led_flash_cnt[2265][4]~58596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][4]~q\ : std_logic;
SIGNAL \WideAnd2265~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][4]~58597\ : std_logic;
SIGNAL \led_flash_cnt[2265][5]~58598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2265][5]~58599\ : std_logic;
SIGNAL \led_flash_cnt[2265][6]~58600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2265][6]~58601\ : std_logic;
SIGNAL \led_flash_cnt[2265][7]~58602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2265][7]~q\ : std_logic;
SIGNAL \WideAnd2265~1_combout\ : std_logic;
SIGNAL \WideAnd2265~combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][0]~82907_combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2267][1]~58618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2267][1]~58619\ : std_logic;
SIGNAL \led_flash_cnt[2267][2]~58620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2267][2]~58621\ : std_logic;
SIGNAL \led_flash_cnt[2267][3]~58622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2267][3]~58623\ : std_logic;
SIGNAL \led_flash_cnt[2267][4]~58624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2267][4]~58625\ : std_logic;
SIGNAL \led_flash_cnt[2267][5]~58626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2267][5]~58627\ : std_logic;
SIGNAL \led_flash_cnt[2267][6]~58628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2267][6]~58629\ : std_logic;
SIGNAL \led_flash_cnt[2267][7]~58630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2267][7]~q\ : std_logic;
SIGNAL \WideAnd2267~0_combout\ : std_logic;
SIGNAL \WideAnd2267~1_combout\ : std_logic;
SIGNAL \WideAnd2267~combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][0]~82906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2266][1]~58604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2266][1]~58605\ : std_logic;
SIGNAL \led_flash_cnt[2266][2]~58606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2266][2]~58607\ : std_logic;
SIGNAL \led_flash_cnt[2266][3]~58608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2266][3]~58609\ : std_logic;
SIGNAL \led_flash_cnt[2266][4]~58610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2266][4]~58611\ : std_logic;
SIGNAL \led_flash_cnt[2266][5]~58612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2266][5]~58613\ : std_logic;
SIGNAL \led_flash_cnt[2266][6]~58614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2266][6]~58615\ : std_logic;
SIGNAL \led_flash_cnt[2266][7]~58616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2266][7]~q\ : std_logic;
SIGNAL \WideAnd2266~0_combout\ : std_logic;
SIGNAL \WideAnd2266~1_combout\ : std_logic;
SIGNAL \WideAnd2266~combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][0]~82904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2264][1]~58576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2264][1]~58577\ : std_logic;
SIGNAL \led_flash_cnt[2264][2]~58578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2264][2]~58579\ : std_logic;
SIGNAL \led_flash_cnt[2264][3]~58580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2264][3]~58581\ : std_logic;
SIGNAL \led_flash_cnt[2264][4]~58582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][4]~q\ : std_logic;
SIGNAL \WideAnd2264~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][4]~58583\ : std_logic;
SIGNAL \led_flash_cnt[2264][5]~58584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2264][5]~58585\ : std_logic;
SIGNAL \led_flash_cnt[2264][6]~58586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2264][6]~58587\ : std_logic;
SIGNAL \led_flash_cnt[2264][7]~58588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2264][7]~q\ : std_logic;
SIGNAL \WideAnd2264~1_combout\ : std_logic;
SIGNAL \WideAnd2264~combout\ : std_logic;
SIGNAL \WideAnd4123~0_combout\ : std_logic;
SIGNAL \WideAnd4123~combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][0]~82888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2248][1]~58352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2248][1]~58353\ : std_logic;
SIGNAL \led_flash_cnt[2248][2]~58354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2248][2]~58355\ : std_logic;
SIGNAL \led_flash_cnt[2248][3]~58356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2248][3]~58357\ : std_logic;
SIGNAL \led_flash_cnt[2248][4]~58358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][4]~q\ : std_logic;
SIGNAL \WideAnd2248~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][4]~58359\ : std_logic;
SIGNAL \led_flash_cnt[2248][5]~58360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2248][5]~58361\ : std_logic;
SIGNAL \led_flash_cnt[2248][6]~58362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2248][6]~58363\ : std_logic;
SIGNAL \led_flash_cnt[2248][7]~58364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2248][7]~q\ : std_logic;
SIGNAL \WideAnd2248~1_combout\ : std_logic;
SIGNAL \WideAnd2248~combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][0]~82890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2250][1]~58380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2250][1]~58381\ : std_logic;
SIGNAL \led_flash_cnt[2250][2]~58382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2250][2]~58383\ : std_logic;
SIGNAL \led_flash_cnt[2250][3]~58384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2250][3]~58385\ : std_logic;
SIGNAL \led_flash_cnt[2250][4]~58386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][4]~q\ : std_logic;
SIGNAL \WideAnd2250~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][4]~58387\ : std_logic;
SIGNAL \led_flash_cnt[2250][5]~58388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2250][5]~58389\ : std_logic;
SIGNAL \led_flash_cnt[2250][6]~58390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][6]~q\ : std_logic;
SIGNAL \WideAnd2250~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][6]~58391\ : std_logic;
SIGNAL \led_flash_cnt[2250][7]~58392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2250][7]~q\ : std_logic;
SIGNAL \WideAnd2250~combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][0]~82889_combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2249][1]~58366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2249][1]~58367\ : std_logic;
SIGNAL \led_flash_cnt[2249][2]~58368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2249][2]~58369\ : std_logic;
SIGNAL \led_flash_cnt[2249][3]~58370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2249][3]~58371\ : std_logic;
SIGNAL \led_flash_cnt[2249][4]~58372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2249][4]~58373\ : std_logic;
SIGNAL \led_flash_cnt[2249][5]~58374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2249][5]~58375\ : std_logic;
SIGNAL \led_flash_cnt[2249][6]~58376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2249][6]~58377\ : std_logic;
SIGNAL \led_flash_cnt[2249][7]~58378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2249][7]~q\ : std_logic;
SIGNAL \WideAnd2249~1_combout\ : std_logic;
SIGNAL \WideAnd2249~0_combout\ : std_logic;
SIGNAL \WideAnd2249~combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][0]~82891_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2251][1]~58394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2251][1]~58395\ : std_logic;
SIGNAL \led_flash_cnt[2251][2]~58396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2251][2]~58397\ : std_logic;
SIGNAL \led_flash_cnt[2251][3]~58398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2251][3]~58399\ : std_logic;
SIGNAL \led_flash_cnt[2251][4]~58400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2251][4]~58401\ : std_logic;
SIGNAL \led_flash_cnt[2251][5]~58402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2251][5]~58403\ : std_logic;
SIGNAL \led_flash_cnt[2251][6]~58404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][6]~q\ : std_logic;
SIGNAL \WideAnd2251~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][6]~58405\ : std_logic;
SIGNAL \led_flash_cnt[2251][7]~58406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2251][7]~q\ : std_logic;
SIGNAL \WideAnd2251~0_combout\ : std_logic;
SIGNAL \WideAnd2251~combout\ : std_logic;
SIGNAL \WideAnd4121~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][0]~82895_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2255][1]~58450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2255][1]~58451\ : std_logic;
SIGNAL \led_flash_cnt[2255][2]~58452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2255][2]~58453\ : std_logic;
SIGNAL \led_flash_cnt[2255][3]~58454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2255][3]~58455\ : std_logic;
SIGNAL \led_flash_cnt[2255][4]~58456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2255][4]~58457\ : std_logic;
SIGNAL \led_flash_cnt[2255][5]~58458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2255][5]~58459\ : std_logic;
SIGNAL \led_flash_cnt[2255][6]~58460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2255][6]~58461\ : std_logic;
SIGNAL \led_flash_cnt[2255][7]~58462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2255][7]~q\ : std_logic;
SIGNAL \WideAnd2255~0_combout\ : std_logic;
SIGNAL \WideAnd2255~1_combout\ : std_logic;
SIGNAL \WideAnd2255~combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][0]~82893_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2253][1]~58422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2253][1]~58423\ : std_logic;
SIGNAL \led_flash_cnt[2253][2]~58424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2253][2]~58425\ : std_logic;
SIGNAL \led_flash_cnt[2253][3]~58426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2253][3]~58427\ : std_logic;
SIGNAL \led_flash_cnt[2253][4]~58428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][4]~q\ : std_logic;
SIGNAL \WideAnd2253~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][4]~58429\ : std_logic;
SIGNAL \led_flash_cnt[2253][5]~58430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2253][5]~58431\ : std_logic;
SIGNAL \led_flash_cnt[2253][6]~58432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][6]~q\ : std_logic;
SIGNAL \WideAnd2253~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][6]~58433\ : std_logic;
SIGNAL \led_flash_cnt[2253][7]~58434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2253][7]~q\ : std_logic;
SIGNAL \WideAnd2253~combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][0]~82892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2252][1]~58408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2252][1]~58409\ : std_logic;
SIGNAL \led_flash_cnt[2252][2]~58410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2252][2]~58411\ : std_logic;
SIGNAL \led_flash_cnt[2252][3]~58412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2252][3]~58413\ : std_logic;
SIGNAL \led_flash_cnt[2252][4]~58414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2252][4]~58415\ : std_logic;
SIGNAL \led_flash_cnt[2252][5]~58416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2252][5]~58417\ : std_logic;
SIGNAL \led_flash_cnt[2252][6]~58418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][6]~q\ : std_logic;
SIGNAL \WideAnd2252~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][6]~58419\ : std_logic;
SIGNAL \led_flash_cnt[2252][7]~58420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2252][7]~q\ : std_logic;
SIGNAL \WideAnd2252~0_combout\ : std_logic;
SIGNAL \WideAnd2252~combout\ : std_logic;
SIGNAL \WideAnd4121~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][0]~82894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2254][1]~58436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2254][1]~58437\ : std_logic;
SIGNAL \led_flash_cnt[2254][2]~58438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2254][2]~58439\ : std_logic;
SIGNAL \led_flash_cnt[2254][3]~58440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2254][3]~58441\ : std_logic;
SIGNAL \led_flash_cnt[2254][4]~58442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][4]~q\ : std_logic;
SIGNAL \WideAnd2254~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][4]~58443\ : std_logic;
SIGNAL \led_flash_cnt[2254][5]~58444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2254][5]~58445\ : std_logic;
SIGNAL \led_flash_cnt[2254][6]~58446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2254][6]~58447\ : std_logic;
SIGNAL \led_flash_cnt[2254][7]~58448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2254][7]~q\ : std_logic;
SIGNAL \WideAnd2254~0_combout\ : std_logic;
SIGNAL \WideAnd2254~combout\ : std_logic;
SIGNAL \WideAnd4121~combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][0]~82898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2258][1]~58492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2258][1]~58493\ : std_logic;
SIGNAL \led_flash_cnt[2258][2]~58494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2258][2]~58495\ : std_logic;
SIGNAL \led_flash_cnt[2258][3]~58496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2258][3]~58497\ : std_logic;
SIGNAL \led_flash_cnt[2258][4]~58498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2258][4]~58499\ : std_logic;
SIGNAL \led_flash_cnt[2258][5]~58500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2258][5]~58501\ : std_logic;
SIGNAL \led_flash_cnt[2258][6]~58502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][6]~q\ : std_logic;
SIGNAL \WideAnd2258~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][6]~58503\ : std_logic;
SIGNAL \led_flash_cnt[2258][7]~58504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2258][7]~q\ : std_logic;
SIGNAL \WideAnd2258~0_combout\ : std_logic;
SIGNAL \WideAnd2258~combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][0]~82897_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2257][1]~58478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2257][1]~58479\ : std_logic;
SIGNAL \led_flash_cnt[2257][2]~58480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2257][2]~58481\ : std_logic;
SIGNAL \led_flash_cnt[2257][3]~58482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2257][3]~58483\ : std_logic;
SIGNAL \led_flash_cnt[2257][4]~58484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][4]~q\ : std_logic;
SIGNAL \WideAnd2257~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][4]~58485\ : std_logic;
SIGNAL \led_flash_cnt[2257][5]~58486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2257][5]~58487\ : std_logic;
SIGNAL \led_flash_cnt[2257][6]~58488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2257][6]~58489\ : std_logic;
SIGNAL \led_flash_cnt[2257][7]~58490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2257][7]~q\ : std_logic;
SIGNAL \WideAnd2257~1_combout\ : std_logic;
SIGNAL \WideAnd2257~combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][0]~82896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2256][1]~58464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2256][1]~58465\ : std_logic;
SIGNAL \led_flash_cnt[2256][2]~58466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2256][2]~58467\ : std_logic;
SIGNAL \led_flash_cnt[2256][3]~58468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2256][3]~58469\ : std_logic;
SIGNAL \led_flash_cnt[2256][4]~58470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][4]~q\ : std_logic;
SIGNAL \WideAnd2256~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][4]~58471\ : std_logic;
SIGNAL \led_flash_cnt[2256][5]~58472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2256][5]~58473\ : std_logic;
SIGNAL \led_flash_cnt[2256][6]~58474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2256][6]~58475\ : std_logic;
SIGNAL \led_flash_cnt[2256][7]~58476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2256][7]~q\ : std_logic;
SIGNAL \WideAnd2256~1_combout\ : std_logic;
SIGNAL \WideAnd2256~combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][0]~82899_combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2259][1]~58506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2259][1]~58507\ : std_logic;
SIGNAL \led_flash_cnt[2259][2]~58508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2259][2]~58509\ : std_logic;
SIGNAL \led_flash_cnt[2259][3]~58510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2259][3]~58511\ : std_logic;
SIGNAL \led_flash_cnt[2259][4]~58512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2259][4]~58513\ : std_logic;
SIGNAL \led_flash_cnt[2259][5]~58514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2259][5]~58515\ : std_logic;
SIGNAL \led_flash_cnt[2259][6]~58516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2259][6]~58517\ : std_logic;
SIGNAL \led_flash_cnt[2259][7]~58518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2259][7]~q\ : std_logic;
SIGNAL \WideAnd2259~0_combout\ : std_logic;
SIGNAL \WideAnd2259~1_combout\ : std_logic;
SIGNAL \WideAnd2259~combout\ : std_logic;
SIGNAL \WideAnd4122~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][0]~82903_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2263][1]~58562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2263][1]~58563\ : std_logic;
SIGNAL \led_flash_cnt[2263][2]~58564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2263][2]~58565\ : std_logic;
SIGNAL \led_flash_cnt[2263][3]~58566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2263][3]~58567\ : std_logic;
SIGNAL \led_flash_cnt[2263][4]~58568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2263][4]~58569\ : std_logic;
SIGNAL \led_flash_cnt[2263][5]~58570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2263][5]~58571\ : std_logic;
SIGNAL \led_flash_cnt[2263][6]~58572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2263][6]~58573\ : std_logic;
SIGNAL \led_flash_cnt[2263][7]~58574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2263][7]~q\ : std_logic;
SIGNAL \WideAnd2263~1_combout\ : std_logic;
SIGNAL \WideAnd2263~0_combout\ : std_logic;
SIGNAL \WideAnd2263~combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][0]~82901_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2261][1]~58534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2261][1]~58535\ : std_logic;
SIGNAL \led_flash_cnt[2261][2]~58536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2261][2]~58537\ : std_logic;
SIGNAL \led_flash_cnt[2261][3]~58538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2261][3]~58539\ : std_logic;
SIGNAL \led_flash_cnt[2261][4]~58540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2261][4]~58541\ : std_logic;
SIGNAL \led_flash_cnt[2261][5]~58542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2261][5]~58543\ : std_logic;
SIGNAL \led_flash_cnt[2261][6]~58544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][6]~q\ : std_logic;
SIGNAL \WideAnd2261~1_combout\ : std_logic;
SIGNAL \WideAnd2261~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][6]~58545\ : std_logic;
SIGNAL \led_flash_cnt[2261][7]~58546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2261][7]~q\ : std_logic;
SIGNAL \WideAnd2261~combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][0]~82900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2260][1]~58520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2260][1]~58521\ : std_logic;
SIGNAL \led_flash_cnt[2260][2]~58522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2260][2]~58523\ : std_logic;
SIGNAL \led_flash_cnt[2260][3]~58524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2260][3]~58525\ : std_logic;
SIGNAL \led_flash_cnt[2260][4]~58526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2260][4]~58527\ : std_logic;
SIGNAL \led_flash_cnt[2260][5]~58528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2260][5]~58529\ : std_logic;
SIGNAL \led_flash_cnt[2260][6]~58530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2260][6]~58531\ : std_logic;
SIGNAL \led_flash_cnt[2260][7]~58532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2260][7]~q\ : std_logic;
SIGNAL \WideAnd2260~0_combout\ : std_logic;
SIGNAL \WideAnd2260~1_combout\ : std_logic;
SIGNAL \WideAnd2260~combout\ : std_logic;
SIGNAL \WideAnd4122~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][0]~82902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2262][1]~58548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2262][1]~58549\ : std_logic;
SIGNAL \led_flash_cnt[2262][2]~58550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2262][2]~58551\ : std_logic;
SIGNAL \led_flash_cnt[2262][3]~58552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2262][3]~58553\ : std_logic;
SIGNAL \led_flash_cnt[2262][4]~58554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2262][4]~58555\ : std_logic;
SIGNAL \led_flash_cnt[2262][5]~58556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2262][5]~58557\ : std_logic;
SIGNAL \led_flash_cnt[2262][6]~58558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][6]~q\ : std_logic;
SIGNAL \WideAnd2262~1_combout\ : std_logic;
SIGNAL \WideAnd2262~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][6]~58559\ : std_logic;
SIGNAL \led_flash_cnt[2262][7]~58560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2262][7]~q\ : std_logic;
SIGNAL \WideAnd2262~combout\ : std_logic;
SIGNAL \WideAnd4122~combout\ : std_logic;
SIGNAL \WideAnd4355~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][0]~82918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2278][1]~58772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2278][1]~58773\ : std_logic;
SIGNAL \led_flash_cnt[2278][2]~58774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2278][2]~58775\ : std_logic;
SIGNAL \led_flash_cnt[2278][3]~58776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2278][3]~58777\ : std_logic;
SIGNAL \led_flash_cnt[2278][4]~58778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][4]~q\ : std_logic;
SIGNAL \WideAnd2278~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][4]~58779\ : std_logic;
SIGNAL \led_flash_cnt[2278][5]~58780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2278][5]~58781\ : std_logic;
SIGNAL \led_flash_cnt[2278][6]~58782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2278][6]~58783\ : std_logic;
SIGNAL \led_flash_cnt[2278][7]~58784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2278][7]~q\ : std_logic;
SIGNAL \WideAnd2278~1_combout\ : std_logic;
SIGNAL \WideAnd2278~combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][0]~82919_combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2279][1]~58786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2279][1]~58787\ : std_logic;
SIGNAL \led_flash_cnt[2279][2]~58788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2279][2]~58789\ : std_logic;
SIGNAL \led_flash_cnt[2279][3]~58790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2279][3]~58791\ : std_logic;
SIGNAL \led_flash_cnt[2279][4]~58792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2279][4]~58793\ : std_logic;
SIGNAL \led_flash_cnt[2279][5]~58794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2279][5]~58795\ : std_logic;
SIGNAL \led_flash_cnt[2279][6]~58796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2279][6]~58797\ : std_logic;
SIGNAL \led_flash_cnt[2279][7]~58798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2279][7]~q\ : std_logic;
SIGNAL \WideAnd2279~0_combout\ : std_logic;
SIGNAL \WideAnd2279~1_combout\ : std_logic;
SIGNAL \WideAnd2279~combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][0]~82917_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2277][1]~58758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2277][1]~58759\ : std_logic;
SIGNAL \led_flash_cnt[2277][2]~58760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2277][2]~58761\ : std_logic;
SIGNAL \led_flash_cnt[2277][3]~58762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2277][3]~58763\ : std_logic;
SIGNAL \led_flash_cnt[2277][4]~58764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2277][4]~58765\ : std_logic;
SIGNAL \led_flash_cnt[2277][5]~58766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2277][5]~58767\ : std_logic;
SIGNAL \led_flash_cnt[2277][6]~58768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][6]~q\ : std_logic;
SIGNAL \WideAnd2277~1_combout\ : std_logic;
SIGNAL \WideAnd2277~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][6]~58769\ : std_logic;
SIGNAL \led_flash_cnt[2277][7]~58770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2277][7]~q\ : std_logic;
SIGNAL \WideAnd2277~combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][0]~82916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2276][1]~58744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2276][1]~58745\ : std_logic;
SIGNAL \led_flash_cnt[2276][2]~58746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2276][2]~58747\ : std_logic;
SIGNAL \led_flash_cnt[2276][3]~58748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2276][3]~58749\ : std_logic;
SIGNAL \led_flash_cnt[2276][4]~58750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2276][4]~58751\ : std_logic;
SIGNAL \led_flash_cnt[2276][5]~58752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2276][5]~58753\ : std_logic;
SIGNAL \led_flash_cnt[2276][6]~58754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2276][6]~58755\ : std_logic;
SIGNAL \led_flash_cnt[2276][7]~58756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2276][7]~q\ : std_logic;
SIGNAL \WideAnd2276~0_combout\ : std_logic;
SIGNAL \WideAnd2276~1_combout\ : std_logic;
SIGNAL \WideAnd2276~combout\ : std_logic;
SIGNAL \WideAnd4124~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][0]~82915_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2275][1]~58730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2275][1]~58731\ : std_logic;
SIGNAL \led_flash_cnt[2275][2]~58732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2275][2]~58733\ : std_logic;
SIGNAL \led_flash_cnt[2275][3]~58734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2275][3]~58735\ : std_logic;
SIGNAL \led_flash_cnt[2275][4]~58736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2275][4]~58737\ : std_logic;
SIGNAL \led_flash_cnt[2275][5]~58738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2275][5]~58739\ : std_logic;
SIGNAL \led_flash_cnt[2275][6]~58740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2275][6]~58741\ : std_logic;
SIGNAL \led_flash_cnt[2275][7]~58742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2275][7]~q\ : std_logic;
SIGNAL \WideAnd2275~1_combout\ : std_logic;
SIGNAL \WideAnd2275~0_combout\ : std_logic;
SIGNAL \WideAnd2275~combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][0]~82913_combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2273][1]~58702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2273][1]~58703\ : std_logic;
SIGNAL \led_flash_cnt[2273][2]~58704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2273][2]~58705\ : std_logic;
SIGNAL \led_flash_cnt[2273][3]~58706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2273][3]~58707\ : std_logic;
SIGNAL \led_flash_cnt[2273][4]~58708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2273][4]~58709\ : std_logic;
SIGNAL \led_flash_cnt[2273][5]~58710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2273][5]~58711\ : std_logic;
SIGNAL \led_flash_cnt[2273][6]~58712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2273][6]~58713\ : std_logic;
SIGNAL \led_flash_cnt[2273][7]~58714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2273][7]~q\ : std_logic;
SIGNAL \WideAnd2273~0_combout\ : std_logic;
SIGNAL \WideAnd2273~1_combout\ : std_logic;
SIGNAL \WideAnd2273~combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][0]~82914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2274][1]~58716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2274][1]~58717\ : std_logic;
SIGNAL \led_flash_cnt[2274][2]~58718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2274][2]~58719\ : std_logic;
SIGNAL \led_flash_cnt[2274][3]~58720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2274][3]~58721\ : std_logic;
SIGNAL \led_flash_cnt[2274][4]~58722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][4]~q\ : std_logic;
SIGNAL \WideAnd2274~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][4]~58723\ : std_logic;
SIGNAL \led_flash_cnt[2274][5]~58724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2274][5]~58725\ : std_logic;
SIGNAL \led_flash_cnt[2274][6]~58726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2274][6]~58727\ : std_logic;
SIGNAL \led_flash_cnt[2274][7]~58728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2274][7]~q\ : std_logic;
SIGNAL \WideAnd2274~1_combout\ : std_logic;
SIGNAL \WideAnd2274~combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][0]~82912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2272][1]~58688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2272][1]~58689\ : std_logic;
SIGNAL \led_flash_cnt[2272][2]~58690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2272][2]~58691\ : std_logic;
SIGNAL \led_flash_cnt[2272][3]~58692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2272][3]~58693\ : std_logic;
SIGNAL \led_flash_cnt[2272][4]~58694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2272][4]~58695\ : std_logic;
SIGNAL \led_flash_cnt[2272][5]~58696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2272][5]~58697\ : std_logic;
SIGNAL \led_flash_cnt[2272][6]~58698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][6]~q\ : std_logic;
SIGNAL \WideAnd2272~1_combout\ : std_logic;
SIGNAL \WideAnd2272~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][6]~58699\ : std_logic;
SIGNAL \led_flash_cnt[2272][7]~58700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2272][7]~q\ : std_logic;
SIGNAL \WideAnd2272~combout\ : std_logic;
SIGNAL \WideAnd4124~0_combout\ : std_logic;
SIGNAL \WideAnd4124~combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][0]~82926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2286][1]~58884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2286][1]~58885\ : std_logic;
SIGNAL \led_flash_cnt[2286][2]~58886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2286][2]~58887\ : std_logic;
SIGNAL \led_flash_cnt[2286][3]~58888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2286][3]~58889\ : std_logic;
SIGNAL \led_flash_cnt[2286][4]~58890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][4]~q\ : std_logic;
SIGNAL \WideAnd2286~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][4]~58891\ : std_logic;
SIGNAL \led_flash_cnt[2286][5]~58892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2286][5]~58893\ : std_logic;
SIGNAL \led_flash_cnt[2286][6]~58894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2286][6]~58895\ : std_logic;
SIGNAL \led_flash_cnt[2286][7]~58896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2286][7]~q\ : std_logic;
SIGNAL \WideAnd2286~1_combout\ : std_logic;
SIGNAL \WideAnd2286~combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][0]~82927_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2287][1]~58898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2287][1]~58899\ : std_logic;
SIGNAL \led_flash_cnt[2287][2]~58900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2287][2]~58901\ : std_logic;
SIGNAL \led_flash_cnt[2287][3]~58902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2287][3]~58903\ : std_logic;
SIGNAL \led_flash_cnt[2287][4]~58904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2287][4]~58905\ : std_logic;
SIGNAL \led_flash_cnt[2287][5]~58906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2287][5]~58907\ : std_logic;
SIGNAL \led_flash_cnt[2287][6]~58908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][6]~q\ : std_logic;
SIGNAL \WideAnd2287~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][6]~58909\ : std_logic;
SIGNAL \led_flash_cnt[2287][7]~58910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2287][7]~q\ : std_logic;
SIGNAL \WideAnd2287~0_combout\ : std_logic;
SIGNAL \WideAnd2287~combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][0]~82925_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2285][1]~58870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2285][1]~58871\ : std_logic;
SIGNAL \led_flash_cnt[2285][2]~58872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2285][2]~58873\ : std_logic;
SIGNAL \led_flash_cnt[2285][3]~58874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2285][3]~58875\ : std_logic;
SIGNAL \led_flash_cnt[2285][4]~58876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][4]~q\ : std_logic;
SIGNAL \WideAnd2285~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][4]~58877\ : std_logic;
SIGNAL \led_flash_cnt[2285][5]~58878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2285][5]~58879\ : std_logic;
SIGNAL \led_flash_cnt[2285][6]~58880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][6]~q\ : std_logic;
SIGNAL \WideAnd2285~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][6]~58881\ : std_logic;
SIGNAL \led_flash_cnt[2285][7]~58882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2285][7]~q\ : std_logic;
SIGNAL \WideAnd2285~combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][0]~82924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2284][1]~58856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2284][1]~58857\ : std_logic;
SIGNAL \led_flash_cnt[2284][2]~58858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2284][2]~58859\ : std_logic;
SIGNAL \led_flash_cnt[2284][3]~58860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2284][3]~58861\ : std_logic;
SIGNAL \led_flash_cnt[2284][4]~58862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2284][4]~58863\ : std_logic;
SIGNAL \led_flash_cnt[2284][5]~58864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2284][5]~58865\ : std_logic;
SIGNAL \led_flash_cnt[2284][6]~58866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2284][6]~58867\ : std_logic;
SIGNAL \led_flash_cnt[2284][7]~58868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2284][7]~q\ : std_logic;
SIGNAL \WideAnd2284~1_combout\ : std_logic;
SIGNAL \WideAnd2284~0_combout\ : std_logic;
SIGNAL \WideAnd2284~combout\ : std_logic;
SIGNAL \WideAnd4125~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][0]~82923_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2283][1]~58842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2283][1]~58843\ : std_logic;
SIGNAL \led_flash_cnt[2283][2]~58844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2283][2]~58845\ : std_logic;
SIGNAL \led_flash_cnt[2283][3]~58846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2283][3]~58847\ : std_logic;
SIGNAL \led_flash_cnt[2283][4]~58848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][4]~q\ : std_logic;
SIGNAL \WideAnd2283~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][4]~58849\ : std_logic;
SIGNAL \led_flash_cnt[2283][5]~58850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2283][5]~58851\ : std_logic;
SIGNAL \led_flash_cnt[2283][6]~58852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][6]~q\ : std_logic;
SIGNAL \WideAnd2283~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][6]~58853\ : std_logic;
SIGNAL \led_flash_cnt[2283][7]~58854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2283][7]~q\ : std_logic;
SIGNAL \WideAnd2283~combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][0]~82920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2280][1]~58800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2280][1]~58801\ : std_logic;
SIGNAL \led_flash_cnt[2280][2]~58802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2280][2]~58803\ : std_logic;
SIGNAL \led_flash_cnt[2280][3]~58804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2280][3]~58805\ : std_logic;
SIGNAL \led_flash_cnt[2280][4]~58806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2280][4]~58807\ : std_logic;
SIGNAL \led_flash_cnt[2280][5]~58808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2280][5]~58809\ : std_logic;
SIGNAL \led_flash_cnt[2280][6]~58810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][6]~q\ : std_logic;
SIGNAL \WideAnd2280~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][6]~58811\ : std_logic;
SIGNAL \led_flash_cnt[2280][7]~58812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2280][7]~q\ : std_logic;
SIGNAL \WideAnd2280~0_combout\ : std_logic;
SIGNAL \WideAnd2280~combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][0]~82921_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2281][1]~58814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2281][1]~58815\ : std_logic;
SIGNAL \led_flash_cnt[2281][2]~58816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2281][2]~58817\ : std_logic;
SIGNAL \led_flash_cnt[2281][3]~58818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2281][3]~58819\ : std_logic;
SIGNAL \led_flash_cnt[2281][4]~58820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2281][4]~58821\ : std_logic;
SIGNAL \led_flash_cnt[2281][5]~58822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2281][5]~58823\ : std_logic;
SIGNAL \led_flash_cnt[2281][6]~58824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][6]~q\ : std_logic;
SIGNAL \WideAnd2281~1_combout\ : std_logic;
SIGNAL \WideAnd2281~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][6]~58825\ : std_logic;
SIGNAL \led_flash_cnt[2281][7]~58826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2281][7]~q\ : std_logic;
SIGNAL \WideAnd2281~combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][0]~82922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2282][1]~58828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2282][1]~58829\ : std_logic;
SIGNAL \led_flash_cnt[2282][2]~58830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2282][2]~58831\ : std_logic;
SIGNAL \led_flash_cnt[2282][3]~58832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2282][3]~58833\ : std_logic;
SIGNAL \led_flash_cnt[2282][4]~58834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][4]~q\ : std_logic;
SIGNAL \WideAnd2282~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][4]~58835\ : std_logic;
SIGNAL \led_flash_cnt[2282][5]~58836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2282][5]~58837\ : std_logic;
SIGNAL \led_flash_cnt[2282][6]~58838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][6]~q\ : std_logic;
SIGNAL \WideAnd2282~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][6]~58839\ : std_logic;
SIGNAL \led_flash_cnt[2282][7]~58840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2282][7]~q\ : std_logic;
SIGNAL \WideAnd2282~combout\ : std_logic;
SIGNAL \WideAnd4125~0_combout\ : std_logic;
SIGNAL \WideAnd4125~combout\ : std_logic;
SIGNAL \WideAnd4355~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][0]~82934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2294][1]~58996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2294][1]~58997\ : std_logic;
SIGNAL \led_flash_cnt[2294][2]~58998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2294][2]~58999\ : std_logic;
SIGNAL \led_flash_cnt[2294][3]~59000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2294][3]~59001\ : std_logic;
SIGNAL \led_flash_cnt[2294][4]~59002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][4]~q\ : std_logic;
SIGNAL \WideAnd2294~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][4]~59003\ : std_logic;
SIGNAL \led_flash_cnt[2294][5]~59004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2294][5]~59005\ : std_logic;
SIGNAL \led_flash_cnt[2294][6]~59006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2294][6]~59007\ : std_logic;
SIGNAL \led_flash_cnt[2294][7]~59008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2294][7]~q\ : std_logic;
SIGNAL \WideAnd2294~1_combout\ : std_logic;
SIGNAL \WideAnd2294~combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][0]~82935_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2295][1]~59010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2295][1]~59011\ : std_logic;
SIGNAL \led_flash_cnt[2295][2]~59012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2295][2]~59013\ : std_logic;
SIGNAL \led_flash_cnt[2295][3]~59014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2295][3]~59015\ : std_logic;
SIGNAL \led_flash_cnt[2295][4]~59016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2295][4]~59017\ : std_logic;
SIGNAL \led_flash_cnt[2295][5]~59018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2295][5]~59019\ : std_logic;
SIGNAL \led_flash_cnt[2295][6]~59020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][6]~q\ : std_logic;
SIGNAL \WideAnd2295~1_combout\ : std_logic;
SIGNAL \WideAnd2295~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][6]~59021\ : std_logic;
SIGNAL \led_flash_cnt[2295][7]~59022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2295][7]~q\ : std_logic;
SIGNAL \WideAnd2295~combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][0]~82933_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2293][1]~58982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2293][1]~58983\ : std_logic;
SIGNAL \led_flash_cnt[2293][2]~58984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2293][2]~58985\ : std_logic;
SIGNAL \led_flash_cnt[2293][3]~58986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2293][3]~58987\ : std_logic;
SIGNAL \led_flash_cnt[2293][4]~58988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2293][4]~58989\ : std_logic;
SIGNAL \led_flash_cnt[2293][5]~58990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2293][5]~58991\ : std_logic;
SIGNAL \led_flash_cnt[2293][6]~58992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][6]~q\ : std_logic;
SIGNAL \WideAnd2293~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][6]~58993\ : std_logic;
SIGNAL \led_flash_cnt[2293][7]~58994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2293][7]~q\ : std_logic;
SIGNAL \WideAnd2293~0_combout\ : std_logic;
SIGNAL \WideAnd2293~combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][0]~82932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2292][1]~58968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2292][1]~58969\ : std_logic;
SIGNAL \led_flash_cnt[2292][2]~58970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2292][2]~58971\ : std_logic;
SIGNAL \led_flash_cnt[2292][3]~58972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2292][3]~58973\ : std_logic;
SIGNAL \led_flash_cnt[2292][4]~58974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][4]~q\ : std_logic;
SIGNAL \WideAnd2292~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][4]~58975\ : std_logic;
SIGNAL \led_flash_cnt[2292][5]~58976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2292][5]~58977\ : std_logic;
SIGNAL \led_flash_cnt[2292][6]~58978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][6]~q\ : std_logic;
SIGNAL \WideAnd2292~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][6]~58979\ : std_logic;
SIGNAL \led_flash_cnt[2292][7]~58980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2292][7]~q\ : std_logic;
SIGNAL \WideAnd2292~combout\ : std_logic;
SIGNAL \WideAnd4126~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][0]~82928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2288][1]~58912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2288][1]~58913\ : std_logic;
SIGNAL \led_flash_cnt[2288][2]~58914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2288][2]~58915\ : std_logic;
SIGNAL \led_flash_cnt[2288][3]~58916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2288][3]~58917\ : std_logic;
SIGNAL \led_flash_cnt[2288][4]~58918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2288][4]~58919\ : std_logic;
SIGNAL \led_flash_cnt[2288][5]~58920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2288][5]~58921\ : std_logic;
SIGNAL \led_flash_cnt[2288][6]~58922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][6]~q\ : std_logic;
SIGNAL \WideAnd2288~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][6]~58923\ : std_logic;
SIGNAL \led_flash_cnt[2288][7]~58924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2288][7]~q\ : std_logic;
SIGNAL \WideAnd2288~0_combout\ : std_logic;
SIGNAL \WideAnd2288~combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][0]~82930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2290][1]~58940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2290][1]~58941\ : std_logic;
SIGNAL \led_flash_cnt[2290][2]~58942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2290][2]~58943\ : std_logic;
SIGNAL \led_flash_cnt[2290][3]~58944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2290][3]~58945\ : std_logic;
SIGNAL \led_flash_cnt[2290][4]~58946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][4]~q\ : std_logic;
SIGNAL \WideAnd2290~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][4]~58947\ : std_logic;
SIGNAL \led_flash_cnt[2290][5]~58948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2290][5]~58949\ : std_logic;
SIGNAL \led_flash_cnt[2290][6]~58950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][6]~q\ : std_logic;
SIGNAL \WideAnd2290~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][6]~58951\ : std_logic;
SIGNAL \led_flash_cnt[2290][7]~58952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2290][7]~q\ : std_logic;
SIGNAL \WideAnd2290~combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][0]~82929_combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2289][1]~58926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2289][1]~58927\ : std_logic;
SIGNAL \led_flash_cnt[2289][2]~58928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2289][2]~58929\ : std_logic;
SIGNAL \led_flash_cnt[2289][3]~58930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2289][3]~58931\ : std_logic;
SIGNAL \led_flash_cnt[2289][4]~58932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2289][4]~58933\ : std_logic;
SIGNAL \led_flash_cnt[2289][5]~58934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2289][5]~58935\ : std_logic;
SIGNAL \led_flash_cnt[2289][6]~58936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2289][6]~58937\ : std_logic;
SIGNAL \led_flash_cnt[2289][7]~58938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2289][7]~q\ : std_logic;
SIGNAL \WideAnd2289~1_combout\ : std_logic;
SIGNAL \WideAnd2289~0_combout\ : std_logic;
SIGNAL \WideAnd2289~combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][0]~82931_combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2291][1]~58954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2291][1]~58955\ : std_logic;
SIGNAL \led_flash_cnt[2291][2]~58956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2291][2]~58957\ : std_logic;
SIGNAL \led_flash_cnt[2291][3]~58958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2291][3]~58959\ : std_logic;
SIGNAL \led_flash_cnt[2291][4]~58960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2291][4]~58961\ : std_logic;
SIGNAL \led_flash_cnt[2291][5]~58962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2291][5]~58963\ : std_logic;
SIGNAL \led_flash_cnt[2291][6]~58964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2291][6]~58965\ : std_logic;
SIGNAL \led_flash_cnt[2291][7]~58966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2291][7]~q\ : std_logic;
SIGNAL \WideAnd2291~0_combout\ : std_logic;
SIGNAL \WideAnd2291~1_combout\ : std_logic;
SIGNAL \WideAnd2291~combout\ : std_logic;
SIGNAL \WideAnd4126~0_combout\ : std_logic;
SIGNAL \WideAnd4126~combout\ : std_logic;
SIGNAL \WideAnd4355~combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][0]~82814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2174][1]~57316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2174][1]~57317\ : std_logic;
SIGNAL \led_flash_cnt[2174][2]~57318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2174][2]~57319\ : std_logic;
SIGNAL \led_flash_cnt[2174][3]~57320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2174][3]~57321\ : std_logic;
SIGNAL \led_flash_cnt[2174][4]~57322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2174][4]~57323\ : std_logic;
SIGNAL \led_flash_cnt[2174][5]~57324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2174][5]~57325\ : std_logic;
SIGNAL \led_flash_cnt[2174][6]~57326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2174][6]~57327\ : std_logic;
SIGNAL \led_flash_cnt[2174][7]~57328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2174][7]~q\ : std_logic;
SIGNAL \WideAnd2174~1_combout\ : std_logic;
SIGNAL \WideAnd2174~0_combout\ : std_logic;
SIGNAL \WideAnd2174~combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][0]~82808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2168][1]~57232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2168][1]~57233\ : std_logic;
SIGNAL \led_flash_cnt[2168][2]~57234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2168][2]~57235\ : std_logic;
SIGNAL \led_flash_cnt[2168][3]~57236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2168][3]~57237\ : std_logic;
SIGNAL \led_flash_cnt[2168][4]~57238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][4]~q\ : std_logic;
SIGNAL \WideAnd2168~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][4]~57239\ : std_logic;
SIGNAL \led_flash_cnt[2168][5]~57240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2168][5]~57241\ : std_logic;
SIGNAL \led_flash_cnt[2168][6]~57242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2168][6]~57243\ : std_logic;
SIGNAL \led_flash_cnt[2168][7]~57244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2168][7]~q\ : std_logic;
SIGNAL \WideAnd2168~1_combout\ : std_logic;
SIGNAL \WideAnd2168~combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][0]~82811_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2171][1]~57274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2171][1]~57275\ : std_logic;
SIGNAL \led_flash_cnt[2171][2]~57276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2171][2]~57277\ : std_logic;
SIGNAL \led_flash_cnt[2171][3]~57278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2171][3]~57279\ : std_logic;
SIGNAL \led_flash_cnt[2171][4]~57280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][4]~q\ : std_logic;
SIGNAL \WideAnd2171~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][4]~57281\ : std_logic;
SIGNAL \led_flash_cnt[2171][5]~57282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2171][5]~57283\ : std_logic;
SIGNAL \led_flash_cnt[2171][6]~57284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][6]~q\ : std_logic;
SIGNAL \WideAnd2171~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][6]~57285\ : std_logic;
SIGNAL \led_flash_cnt[2171][7]~57286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2171][7]~q\ : std_logic;
SIGNAL \WideAnd2171~combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][0]~82810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2170][1]~57260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2170][1]~57261\ : std_logic;
SIGNAL \led_flash_cnt[2170][2]~57262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2170][2]~57263\ : std_logic;
SIGNAL \led_flash_cnt[2170][3]~57264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2170][3]~57265\ : std_logic;
SIGNAL \led_flash_cnt[2170][4]~57266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2170][4]~57267\ : std_logic;
SIGNAL \led_flash_cnt[2170][5]~57268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2170][5]~57269\ : std_logic;
SIGNAL \led_flash_cnt[2170][6]~57270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][6]~q\ : std_logic;
SIGNAL \WideAnd2170~1_combout\ : std_logic;
SIGNAL \WideAnd2170~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][6]~57271\ : std_logic;
SIGNAL \led_flash_cnt[2170][7]~57272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2170][7]~q\ : std_logic;
SIGNAL \WideAnd2170~combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][0]~82809_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2169][1]~57246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2169][1]~57247\ : std_logic;
SIGNAL \led_flash_cnt[2169][2]~57248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2169][2]~57249\ : std_logic;
SIGNAL \led_flash_cnt[2169][3]~57250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2169][3]~57251\ : std_logic;
SIGNAL \led_flash_cnt[2169][4]~57252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2169][4]~57253\ : std_logic;
SIGNAL \led_flash_cnt[2169][5]~57254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2169][5]~57255\ : std_logic;
SIGNAL \led_flash_cnt[2169][6]~57256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][6]~q\ : std_logic;
SIGNAL \WideAnd2169~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][6]~57257\ : std_logic;
SIGNAL \led_flash_cnt[2169][7]~57258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2169][7]~q\ : std_logic;
SIGNAL \WideAnd2169~0_combout\ : std_logic;
SIGNAL \WideAnd2169~combout\ : std_logic;
SIGNAL \WideAnd4111~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][0]~82813_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2173][1]~57302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2173][1]~57303\ : std_logic;
SIGNAL \led_flash_cnt[2173][2]~57304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2173][2]~57305\ : std_logic;
SIGNAL \led_flash_cnt[2173][3]~57306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2173][3]~57307\ : std_logic;
SIGNAL \led_flash_cnt[2173][4]~57308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2173][4]~57309\ : std_logic;
SIGNAL \led_flash_cnt[2173][5]~57310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2173][5]~57311\ : std_logic;
SIGNAL \led_flash_cnt[2173][6]~57312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2173][6]~57313\ : std_logic;
SIGNAL \led_flash_cnt[2173][7]~57314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2173][7]~q\ : std_logic;
SIGNAL \WideAnd2173~0_combout\ : std_logic;
SIGNAL \WideAnd2173~1_combout\ : std_logic;
SIGNAL \WideAnd2173~combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][0]~82812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2172][1]~57288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2172][1]~57289\ : std_logic;
SIGNAL \led_flash_cnt[2172][2]~57290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2172][2]~57291\ : std_logic;
SIGNAL \led_flash_cnt[2172][3]~57292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2172][3]~57293\ : std_logic;
SIGNAL \led_flash_cnt[2172][4]~57294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2172][4]~57295\ : std_logic;
SIGNAL \led_flash_cnt[2172][5]~57296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2172][5]~57297\ : std_logic;
SIGNAL \led_flash_cnt[2172][6]~57298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2172][6]~57299\ : std_logic;
SIGNAL \led_flash_cnt[2172][7]~57300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2172][7]~q\ : std_logic;
SIGNAL \WideAnd2172~1_combout\ : std_logic;
SIGNAL \WideAnd2172~0_combout\ : std_logic;
SIGNAL \WideAnd2172~combout\ : std_logic;
SIGNAL \WideAnd4111~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][0]~82815_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2175][1]~57330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2175][1]~57331\ : std_logic;
SIGNAL \led_flash_cnt[2175][2]~57332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2175][2]~57333\ : std_logic;
SIGNAL \led_flash_cnt[2175][3]~57334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2175][3]~57335\ : std_logic;
SIGNAL \led_flash_cnt[2175][4]~57336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2175][4]~57337\ : std_logic;
SIGNAL \led_flash_cnt[2175][5]~57338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2175][5]~57339\ : std_logic;
SIGNAL \led_flash_cnt[2175][6]~57340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2175][6]~57341\ : std_logic;
SIGNAL \led_flash_cnt[2175][7]~57342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2175][7]~q\ : std_logic;
SIGNAL \WideAnd2175~0_combout\ : std_logic;
SIGNAL \WideAnd2175~1_combout\ : std_logic;
SIGNAL \WideAnd2175~combout\ : std_logic;
SIGNAL \WideAnd4111~combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][0]~82804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2164][1]~57176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2164][1]~57177\ : std_logic;
SIGNAL \led_flash_cnt[2164][2]~57178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2164][2]~57179\ : std_logic;
SIGNAL \led_flash_cnt[2164][3]~57180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2164][3]~57181\ : std_logic;
SIGNAL \led_flash_cnt[2164][4]~57182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2164][4]~57183\ : std_logic;
SIGNAL \led_flash_cnt[2164][5]~57184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2164][5]~57185\ : std_logic;
SIGNAL \led_flash_cnt[2164][6]~57186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2164][6]~57187\ : std_logic;
SIGNAL \led_flash_cnt[2164][7]~57188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2164][7]~q\ : std_logic;
SIGNAL \WideAnd2164~0_combout\ : std_logic;
SIGNAL \WideAnd2164~1_combout\ : std_logic;
SIGNAL \WideAnd2164~combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][0]~82805_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2165][1]~57190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2165][1]~57191\ : std_logic;
SIGNAL \led_flash_cnt[2165][2]~57192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2165][2]~57193\ : std_logic;
SIGNAL \led_flash_cnt[2165][3]~57194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2165][3]~57195\ : std_logic;
SIGNAL \led_flash_cnt[2165][4]~57196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2165][4]~57197\ : std_logic;
SIGNAL \led_flash_cnt[2165][5]~57198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2165][5]~57199\ : std_logic;
SIGNAL \led_flash_cnt[2165][6]~57200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][6]~q\ : std_logic;
SIGNAL \WideAnd2165~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][6]~57201\ : std_logic;
SIGNAL \led_flash_cnt[2165][7]~57202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2165][7]~q\ : std_logic;
SIGNAL \WideAnd2165~0_combout\ : std_logic;
SIGNAL \WideAnd2165~combout\ : std_logic;
SIGNAL \WideAnd4110~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][0]~82806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2166][1]~57204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2166][1]~57205\ : std_logic;
SIGNAL \led_flash_cnt[2166][2]~57206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2166][2]~57207\ : std_logic;
SIGNAL \led_flash_cnt[2166][3]~57208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2166][3]~57209\ : std_logic;
SIGNAL \led_flash_cnt[2166][4]~57210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2166][4]~57211\ : std_logic;
SIGNAL \led_flash_cnt[2166][5]~57212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2166][5]~57213\ : std_logic;
SIGNAL \led_flash_cnt[2166][6]~57214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][6]~q\ : std_logic;
SIGNAL \WideAnd2166~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][6]~57215\ : std_logic;
SIGNAL \led_flash_cnt[2166][7]~57216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2166][7]~q\ : std_logic;
SIGNAL \WideAnd2166~0_combout\ : std_logic;
SIGNAL \WideAnd2166~combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][0]~82801_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2161][1]~57134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2161][1]~57135\ : std_logic;
SIGNAL \led_flash_cnt[2161][2]~57136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2161][2]~57137\ : std_logic;
SIGNAL \led_flash_cnt[2161][3]~57138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2161][3]~57139\ : std_logic;
SIGNAL \led_flash_cnt[2161][4]~57140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][4]~q\ : std_logic;
SIGNAL \WideAnd2161~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][4]~57141\ : std_logic;
SIGNAL \led_flash_cnt[2161][5]~57142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2161][5]~57143\ : std_logic;
SIGNAL \led_flash_cnt[2161][6]~57144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2161][6]~57145\ : std_logic;
SIGNAL \led_flash_cnt[2161][7]~57146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2161][7]~q\ : std_logic;
SIGNAL \WideAnd2161~1_combout\ : std_logic;
SIGNAL \WideAnd2161~combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][0]~82802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2162][1]~57148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2162][1]~57149\ : std_logic;
SIGNAL \led_flash_cnt[2162][2]~57150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2162][2]~57151\ : std_logic;
SIGNAL \led_flash_cnt[2162][3]~57152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2162][3]~57153\ : std_logic;
SIGNAL \led_flash_cnt[2162][4]~57154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2162][4]~57155\ : std_logic;
SIGNAL \led_flash_cnt[2162][5]~57156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2162][5]~57157\ : std_logic;
SIGNAL \led_flash_cnt[2162][6]~57158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][6]~q\ : std_logic;
SIGNAL \WideAnd2162~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][6]~57159\ : std_logic;
SIGNAL \led_flash_cnt[2162][7]~57160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2162][7]~q\ : std_logic;
SIGNAL \WideAnd2162~0_combout\ : std_logic;
SIGNAL \WideAnd2162~combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][0]~82800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2160][1]~57120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2160][1]~57121\ : std_logic;
SIGNAL \led_flash_cnt[2160][2]~57122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2160][2]~57123\ : std_logic;
SIGNAL \led_flash_cnt[2160][3]~57124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2160][3]~57125\ : std_logic;
SIGNAL \led_flash_cnt[2160][4]~57126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][4]~q\ : std_logic;
SIGNAL \WideAnd2160~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][4]~57127\ : std_logic;
SIGNAL \led_flash_cnt[2160][5]~57128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2160][5]~57129\ : std_logic;
SIGNAL \led_flash_cnt[2160][6]~57130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2160][6]~57131\ : std_logic;
SIGNAL \led_flash_cnt[2160][7]~57132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2160][7]~q\ : std_logic;
SIGNAL \WideAnd2160~1_combout\ : std_logic;
SIGNAL \WideAnd2160~combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][0]~82803_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2163][1]~57162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2163][1]~57163\ : std_logic;
SIGNAL \led_flash_cnt[2163][2]~57164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2163][2]~57165\ : std_logic;
SIGNAL \led_flash_cnt[2163][3]~57166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2163][3]~57167\ : std_logic;
SIGNAL \led_flash_cnt[2163][4]~57168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][4]~q\ : std_logic;
SIGNAL \WideAnd2163~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][4]~57169\ : std_logic;
SIGNAL \led_flash_cnt[2163][5]~57170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2163][5]~57171\ : std_logic;
SIGNAL \led_flash_cnt[2163][6]~57172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][6]~q\ : std_logic;
SIGNAL \WideAnd2163~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][6]~57173\ : std_logic;
SIGNAL \led_flash_cnt[2163][7]~57174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2163][7]~q\ : std_logic;
SIGNAL \WideAnd2163~combout\ : std_logic;
SIGNAL \WideAnd4110~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][0]~82807_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2167][1]~57218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2167][1]~57219\ : std_logic;
SIGNAL \led_flash_cnt[2167][2]~57220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2167][2]~57221\ : std_logic;
SIGNAL \led_flash_cnt[2167][3]~57222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2167][3]~57223\ : std_logic;
SIGNAL \led_flash_cnt[2167][4]~57224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2167][4]~57225\ : std_logic;
SIGNAL \led_flash_cnt[2167][5]~57226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2167][5]~57227\ : std_logic;
SIGNAL \led_flash_cnt[2167][6]~57228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][6]~q\ : std_logic;
SIGNAL \WideAnd2167~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][6]~57229\ : std_logic;
SIGNAL \led_flash_cnt[2167][7]~57230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2167][7]~q\ : std_logic;
SIGNAL \WideAnd2167~0_combout\ : std_logic;
SIGNAL \WideAnd2167~combout\ : std_logic;
SIGNAL \WideAnd4110~combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][0]~82774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2134][1]~56756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2134][1]~56757\ : std_logic;
SIGNAL \led_flash_cnt[2134][2]~56758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2134][2]~56759\ : std_logic;
SIGNAL \led_flash_cnt[2134][3]~56760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2134][3]~56761\ : std_logic;
SIGNAL \led_flash_cnt[2134][4]~56762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2134][4]~56763\ : std_logic;
SIGNAL \led_flash_cnt[2134][5]~56764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2134][5]~56765\ : std_logic;
SIGNAL \led_flash_cnt[2134][6]~56766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][6]~q\ : std_logic;
SIGNAL \WideAnd2134~1_combout\ : std_logic;
SIGNAL \WideAnd2134~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][6]~56767\ : std_logic;
SIGNAL \led_flash_cnt[2134][7]~56768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2134][7]~q\ : std_logic;
SIGNAL \WideAnd2134~combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][0]~82775_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2135][1]~56770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2135][1]~56771\ : std_logic;
SIGNAL \led_flash_cnt[2135][2]~56772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2135][2]~56773\ : std_logic;
SIGNAL \led_flash_cnt[2135][3]~56774_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2135][3]~56775\ : std_logic;
SIGNAL \led_flash_cnt[2135][4]~56776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2135][4]~56777\ : std_logic;
SIGNAL \led_flash_cnt[2135][5]~56778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2135][5]~56779\ : std_logic;
SIGNAL \led_flash_cnt[2135][6]~56780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][6]~q\ : std_logic;
SIGNAL \WideAnd2135~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][6]~56781\ : std_logic;
SIGNAL \led_flash_cnt[2135][7]~56782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2135][7]~q\ : std_logic;
SIGNAL \WideAnd2135~0_combout\ : std_logic;
SIGNAL \WideAnd2135~combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][0]~82773_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2133][1]~56742_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2133][1]~56743\ : std_logic;
SIGNAL \led_flash_cnt[2133][2]~56744_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2133][2]~56745\ : std_logic;
SIGNAL \led_flash_cnt[2133][3]~56746_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2133][3]~56747\ : std_logic;
SIGNAL \led_flash_cnt[2133][4]~56748_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2133][4]~56749\ : std_logic;
SIGNAL \led_flash_cnt[2133][5]~56750_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2133][5]~56751\ : std_logic;
SIGNAL \led_flash_cnt[2133][6]~56752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][6]~q\ : std_logic;
SIGNAL \WideAnd2133~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][6]~56753\ : std_logic;
SIGNAL \led_flash_cnt[2133][7]~56754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2133][7]~q\ : std_logic;
SIGNAL \WideAnd2133~0_combout\ : std_logic;
SIGNAL \WideAnd2133~combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][0]~82772_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2132][1]~56728_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2132][1]~56729\ : std_logic;
SIGNAL \led_flash_cnt[2132][2]~56730_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2132][2]~56731\ : std_logic;
SIGNAL \led_flash_cnt[2132][3]~56732_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2132][3]~56733\ : std_logic;
SIGNAL \led_flash_cnt[2132][4]~56734_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][4]~q\ : std_logic;
SIGNAL \WideAnd2132~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][4]~56735\ : std_logic;
SIGNAL \led_flash_cnt[2132][5]~56736_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2132][5]~56737\ : std_logic;
SIGNAL \led_flash_cnt[2132][6]~56738_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2132][6]~56739\ : std_logic;
SIGNAL \led_flash_cnt[2132][7]~56740_combout\ : std_logic;
SIGNAL \led_flash_cnt[2132][7]~q\ : std_logic;
SIGNAL \WideAnd2132~1_combout\ : std_logic;
SIGNAL \WideAnd2132~combout\ : std_logic;
SIGNAL \WideAnd4106~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][0]~82769_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2129][1]~56686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2129][1]~56687\ : std_logic;
SIGNAL \led_flash_cnt[2129][2]~56688_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2129][2]~56689\ : std_logic;
SIGNAL \led_flash_cnt[2129][3]~56690_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2129][3]~56691\ : std_logic;
SIGNAL \led_flash_cnt[2129][4]~56692_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2129][4]~56693\ : std_logic;
SIGNAL \led_flash_cnt[2129][5]~56694_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2129][5]~56695\ : std_logic;
SIGNAL \led_flash_cnt[2129][6]~56696_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][6]~q\ : std_logic;
SIGNAL \WideAnd2129~1_combout\ : std_logic;
SIGNAL \WideAnd2129~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][6]~56697\ : std_logic;
SIGNAL \led_flash_cnt[2129][7]~56698_combout\ : std_logic;
SIGNAL \led_flash_cnt[2129][7]~q\ : std_logic;
SIGNAL \WideAnd2129~combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][0]~82768_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2128][1]~56672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2128][1]~56673\ : std_logic;
SIGNAL \led_flash_cnt[2128][2]~56674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2128][2]~56675\ : std_logic;
SIGNAL \led_flash_cnt[2128][3]~56676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2128][3]~56677\ : std_logic;
SIGNAL \led_flash_cnt[2128][4]~56678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2128][4]~56679\ : std_logic;
SIGNAL \led_flash_cnt[2128][5]~56680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2128][5]~56681\ : std_logic;
SIGNAL \led_flash_cnt[2128][6]~56682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][6]~q\ : std_logic;
SIGNAL \WideAnd2128~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][6]~56683\ : std_logic;
SIGNAL \led_flash_cnt[2128][7]~56684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2128][7]~q\ : std_logic;
SIGNAL \WideAnd2128~0_combout\ : std_logic;
SIGNAL \WideAnd2128~combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][0]~82770_combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2130][1]~56700_combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2130][1]~56701\ : std_logic;
SIGNAL \led_flash_cnt[2130][2]~56702_combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2130][2]~56703\ : std_logic;
SIGNAL \led_flash_cnt[2130][3]~56704_combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2130][3]~56705\ : std_logic;
SIGNAL \led_flash_cnt[2130][4]~56706_combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2130][4]~56707\ : std_logic;
SIGNAL \led_flash_cnt[2130][5]~56708_combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2130][5]~56709\ : std_logic;
SIGNAL \led_flash_cnt[2130][6]~56710_combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2130][6]~56711\ : std_logic;
SIGNAL \led_flash_cnt[2130][7]~56712_combout\ : std_logic;
SIGNAL \led_flash_cnt[2130][7]~q\ : std_logic;
SIGNAL \WideAnd2130~1_combout\ : std_logic;
SIGNAL \WideAnd2130~0_combout\ : std_logic;
SIGNAL \WideAnd2130~combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][0]~82771_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2131][1]~56714_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2131][1]~56715\ : std_logic;
SIGNAL \led_flash_cnt[2131][2]~56716_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2131][2]~56717\ : std_logic;
SIGNAL \led_flash_cnt[2131][3]~56718_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2131][3]~56719\ : std_logic;
SIGNAL \led_flash_cnt[2131][4]~56720_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2131][4]~56721\ : std_logic;
SIGNAL \led_flash_cnt[2131][5]~56722_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2131][5]~56723\ : std_logic;
SIGNAL \led_flash_cnt[2131][6]~56724_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][6]~q\ : std_logic;
SIGNAL \WideAnd2131~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][6]~56725\ : std_logic;
SIGNAL \led_flash_cnt[2131][7]~56726_combout\ : std_logic;
SIGNAL \led_flash_cnt[2131][7]~q\ : std_logic;
SIGNAL \WideAnd2131~0_combout\ : std_logic;
SIGNAL \WideAnd2131~combout\ : std_logic;
SIGNAL \WideAnd4106~0_combout\ : std_logic;
SIGNAL \WideAnd4106~combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][0]~82757_combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2117][1]~56518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2117][1]~56519\ : std_logic;
SIGNAL \led_flash_cnt[2117][2]~56520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2117][2]~56521\ : std_logic;
SIGNAL \led_flash_cnt[2117][3]~56522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2117][3]~56523\ : std_logic;
SIGNAL \led_flash_cnt[2117][4]~56524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2117][4]~56525\ : std_logic;
SIGNAL \led_flash_cnt[2117][5]~56526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2117][5]~56527\ : std_logic;
SIGNAL \led_flash_cnt[2117][6]~56528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2117][6]~56529\ : std_logic;
SIGNAL \led_flash_cnt[2117][7]~56530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2117][7]~q\ : std_logic;
SIGNAL \WideAnd2117~1_combout\ : std_logic;
SIGNAL \WideAnd2117~0_combout\ : std_logic;
SIGNAL \WideAnd2117~combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][0]~82756_combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2116][1]~56504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2116][1]~56505\ : std_logic;
SIGNAL \led_flash_cnt[2116][2]~56506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2116][2]~56507\ : std_logic;
SIGNAL \led_flash_cnt[2116][3]~56508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2116][3]~56509\ : std_logic;
SIGNAL \led_flash_cnt[2116][4]~56510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2116][4]~56511\ : std_logic;
SIGNAL \led_flash_cnt[2116][5]~56512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2116][5]~56513\ : std_logic;
SIGNAL \led_flash_cnt[2116][6]~56514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2116][6]~56515\ : std_logic;
SIGNAL \led_flash_cnt[2116][7]~56516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2116][7]~q\ : std_logic;
SIGNAL \WideAnd2116~1_combout\ : std_logic;
SIGNAL \WideAnd2116~0_combout\ : std_logic;
SIGNAL \WideAnd2116~combout\ : std_logic;
SIGNAL \WideAnd4104~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][0]~82758_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2118][1]~56532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2118][1]~56533\ : std_logic;
SIGNAL \led_flash_cnt[2118][2]~56534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2118][2]~56535\ : std_logic;
SIGNAL \led_flash_cnt[2118][3]~56536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2118][3]~56537\ : std_logic;
SIGNAL \led_flash_cnt[2118][4]~56538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2118][4]~56539\ : std_logic;
SIGNAL \led_flash_cnt[2118][5]~56540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2118][5]~56541\ : std_logic;
SIGNAL \led_flash_cnt[2118][6]~56542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2118][6]~56543\ : std_logic;
SIGNAL \led_flash_cnt[2118][7]~56544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2118][7]~q\ : std_logic;
SIGNAL \WideAnd2118~0_combout\ : std_logic;
SIGNAL \WideAnd2118~1_combout\ : std_logic;
SIGNAL \WideAnd2118~combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][0]~82755_combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2115][1]~56490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2115][1]~56491\ : std_logic;
SIGNAL \led_flash_cnt[2115][2]~56492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2115][2]~56493\ : std_logic;
SIGNAL \led_flash_cnt[2115][3]~56494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2115][3]~56495\ : std_logic;
SIGNAL \led_flash_cnt[2115][4]~56496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2115][4]~56497\ : std_logic;
SIGNAL \led_flash_cnt[2115][5]~56498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2115][5]~56499\ : std_logic;
SIGNAL \led_flash_cnt[2115][6]~56500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2115][6]~56501\ : std_logic;
SIGNAL \led_flash_cnt[2115][7]~56502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2115][7]~q\ : std_logic;
SIGNAL \WideAnd2115~1_combout\ : std_logic;
SIGNAL \WideAnd2115~0_combout\ : std_logic;
SIGNAL \WideAnd2115~combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][0]~82754_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2114][1]~56476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2114][1]~56477\ : std_logic;
SIGNAL \led_flash_cnt[2114][2]~56478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2114][2]~56479\ : std_logic;
SIGNAL \led_flash_cnt[2114][3]~56480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2114][3]~56481\ : std_logic;
SIGNAL \led_flash_cnt[2114][4]~56482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2114][4]~56483\ : std_logic;
SIGNAL \led_flash_cnt[2114][5]~56484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2114][5]~56485\ : std_logic;
SIGNAL \led_flash_cnt[2114][6]~56486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][6]~q\ : std_logic;
SIGNAL \WideAnd2114~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][6]~56487\ : std_logic;
SIGNAL \led_flash_cnt[2114][7]~56488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2114][7]~q\ : std_logic;
SIGNAL \WideAnd2114~1_combout\ : std_logic;
SIGNAL \WideAnd2114~combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][0]~82753_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2113][1]~56462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2113][1]~56463\ : std_logic;
SIGNAL \led_flash_cnt[2113][2]~56464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2113][2]~56465\ : std_logic;
SIGNAL \led_flash_cnt[2113][3]~56466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2113][3]~56467\ : std_logic;
SIGNAL \led_flash_cnt[2113][4]~56468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2113][4]~56469\ : std_logic;
SIGNAL \led_flash_cnt[2113][5]~56470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2113][5]~56471\ : std_logic;
SIGNAL \led_flash_cnt[2113][6]~56472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][6]~q\ : std_logic;
SIGNAL \WideAnd2113~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][6]~56473\ : std_logic;
SIGNAL \led_flash_cnt[2113][7]~56474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2113][7]~q\ : std_logic;
SIGNAL \WideAnd2113~1_combout\ : std_logic;
SIGNAL \WideAnd2113~combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][0]~82752_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2112][1]~56448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2112][1]~56449\ : std_logic;
SIGNAL \led_flash_cnt[2112][2]~56450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2112][2]~56451\ : std_logic;
SIGNAL \led_flash_cnt[2112][3]~56452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2112][3]~56453\ : std_logic;
SIGNAL \led_flash_cnt[2112][4]~56454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2112][4]~56455\ : std_logic;
SIGNAL \led_flash_cnt[2112][5]~56456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2112][5]~56457\ : std_logic;
SIGNAL \led_flash_cnt[2112][6]~56458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][6]~q\ : std_logic;
SIGNAL \WideAnd2112~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][6]~56459\ : std_logic;
SIGNAL \led_flash_cnt[2112][7]~56460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2112][7]~q\ : std_logic;
SIGNAL \WideAnd2112~0_combout\ : std_logic;
SIGNAL \WideAnd2112~combout\ : std_logic;
SIGNAL \WideAnd4104~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][0]~82759_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2119][1]~56546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2119][1]~56547\ : std_logic;
SIGNAL \led_flash_cnt[2119][2]~56548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2119][2]~56549\ : std_logic;
SIGNAL \led_flash_cnt[2119][3]~56550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2119][3]~56551\ : std_logic;
SIGNAL \led_flash_cnt[2119][4]~56552_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2119][4]~56553\ : std_logic;
SIGNAL \led_flash_cnt[2119][5]~56554_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2119][5]~56555\ : std_logic;
SIGNAL \led_flash_cnt[2119][6]~56556_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2119][6]~56557\ : std_logic;
SIGNAL \led_flash_cnt[2119][7]~56558_combout\ : std_logic;
SIGNAL \led_flash_cnt[2119][7]~q\ : std_logic;
SIGNAL \WideAnd2119~1_combout\ : std_logic;
SIGNAL \WideAnd2119~0_combout\ : std_logic;
SIGNAL \WideAnd2119~combout\ : std_logic;
SIGNAL \WideAnd4104~combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][0]~82767_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2127][1]~56658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2127][1]~56659\ : std_logic;
SIGNAL \led_flash_cnt[2127][2]~56660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2127][2]~56661\ : std_logic;
SIGNAL \led_flash_cnt[2127][3]~56662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2127][3]~56663\ : std_logic;
SIGNAL \led_flash_cnt[2127][4]~56664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][4]~q\ : std_logic;
SIGNAL \WideAnd2127~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][4]~56665\ : std_logic;
SIGNAL \led_flash_cnt[2127][5]~56666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2127][5]~56667\ : std_logic;
SIGNAL \led_flash_cnt[2127][6]~56668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2127][6]~56669\ : std_logic;
SIGNAL \led_flash_cnt[2127][7]~56670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2127][7]~q\ : std_logic;
SIGNAL \WideAnd2127~1_combout\ : std_logic;
SIGNAL \WideAnd2127~combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][0]~82766_combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2126][1]~56644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2126][1]~56645\ : std_logic;
SIGNAL \led_flash_cnt[2126][2]~56646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2126][2]~56647\ : std_logic;
SIGNAL \led_flash_cnt[2126][3]~56648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2126][3]~56649\ : std_logic;
SIGNAL \led_flash_cnt[2126][4]~56650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2126][4]~56651\ : std_logic;
SIGNAL \led_flash_cnt[2126][5]~56652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2126][5]~56653\ : std_logic;
SIGNAL \led_flash_cnt[2126][6]~56654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2126][6]~56655\ : std_logic;
SIGNAL \led_flash_cnt[2126][7]~56656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2126][7]~q\ : std_logic;
SIGNAL \WideAnd2126~1_combout\ : std_logic;
SIGNAL \WideAnd2126~0_combout\ : std_logic;
SIGNAL \WideAnd2126~combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][0]~82763_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2123][1]~56602_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2123][1]~56603\ : std_logic;
SIGNAL \led_flash_cnt[2123][2]~56604_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2123][2]~56605\ : std_logic;
SIGNAL \led_flash_cnt[2123][3]~56606_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2123][3]~56607\ : std_logic;
SIGNAL \led_flash_cnt[2123][4]~56608_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2123][4]~56609\ : std_logic;
SIGNAL \led_flash_cnt[2123][5]~56610_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2123][5]~56611\ : std_logic;
SIGNAL \led_flash_cnt[2123][6]~56612_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][6]~q\ : std_logic;
SIGNAL \WideAnd2123~1_combout\ : std_logic;
SIGNAL \WideAnd2123~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][6]~56613\ : std_logic;
SIGNAL \led_flash_cnt[2123][7]~56614_combout\ : std_logic;
SIGNAL \led_flash_cnt[2123][7]~q\ : std_logic;
SIGNAL \WideAnd2123~combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][0]~82760_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2120][1]~56560_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2120][1]~56561\ : std_logic;
SIGNAL \led_flash_cnt[2120][2]~56562_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2120][2]~56563\ : std_logic;
SIGNAL \led_flash_cnt[2120][3]~56564_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2120][3]~56565\ : std_logic;
SIGNAL \led_flash_cnt[2120][4]~56566_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2120][4]~56567\ : std_logic;
SIGNAL \led_flash_cnt[2120][5]~56568_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2120][5]~56569\ : std_logic;
SIGNAL \led_flash_cnt[2120][6]~56570_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][6]~q\ : std_logic;
SIGNAL \WideAnd2120~1_combout\ : std_logic;
SIGNAL \WideAnd2120~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][6]~56571\ : std_logic;
SIGNAL \led_flash_cnt[2120][7]~56572_combout\ : std_logic;
SIGNAL \led_flash_cnt[2120][7]~q\ : std_logic;
SIGNAL \WideAnd2120~combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][0]~82761_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2121][1]~56574_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2121][1]~56575\ : std_logic;
SIGNAL \led_flash_cnt[2121][2]~56576_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2121][2]~56577\ : std_logic;
SIGNAL \led_flash_cnt[2121][3]~56578_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2121][3]~56579\ : std_logic;
SIGNAL \led_flash_cnt[2121][4]~56580_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2121][4]~56581\ : std_logic;
SIGNAL \led_flash_cnt[2121][5]~56582_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2121][5]~56583\ : std_logic;
SIGNAL \led_flash_cnt[2121][6]~56584_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][6]~q\ : std_logic;
SIGNAL \WideAnd2121~1_combout\ : std_logic;
SIGNAL \WideAnd2121~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][6]~56585\ : std_logic;
SIGNAL \led_flash_cnt[2121][7]~56586_combout\ : std_logic;
SIGNAL \led_flash_cnt[2121][7]~q\ : std_logic;
SIGNAL \WideAnd2121~combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][0]~82762_combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2122][1]~56588_combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2122][1]~56589\ : std_logic;
SIGNAL \led_flash_cnt[2122][2]~56590_combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2122][2]~56591\ : std_logic;
SIGNAL \led_flash_cnt[2122][3]~56592_combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2122][3]~56593\ : std_logic;
SIGNAL \led_flash_cnt[2122][4]~56594_combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2122][4]~56595\ : std_logic;
SIGNAL \led_flash_cnt[2122][5]~56596_combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2122][5]~56597\ : std_logic;
SIGNAL \led_flash_cnt[2122][6]~56598_combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2122][6]~56599\ : std_logic;
SIGNAL \led_flash_cnt[2122][7]~56600_combout\ : std_logic;
SIGNAL \led_flash_cnt[2122][7]~q\ : std_logic;
SIGNAL \WideAnd2122~1_combout\ : std_logic;
SIGNAL \WideAnd2122~0_combout\ : std_logic;
SIGNAL \WideAnd2122~combout\ : std_logic;
SIGNAL \WideAnd4105~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][0]~82765_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2125][1]~56630_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2125][1]~56631\ : std_logic;
SIGNAL \led_flash_cnt[2125][2]~56632_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2125][2]~56633\ : std_logic;
SIGNAL \led_flash_cnt[2125][3]~56634_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2125][3]~56635\ : std_logic;
SIGNAL \led_flash_cnt[2125][4]~56636_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2125][4]~56637\ : std_logic;
SIGNAL \led_flash_cnt[2125][5]~56638_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2125][5]~56639\ : std_logic;
SIGNAL \led_flash_cnt[2125][6]~56640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2125][6]~56641\ : std_logic;
SIGNAL \led_flash_cnt[2125][7]~56642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2125][7]~q\ : std_logic;
SIGNAL \WideAnd2125~1_combout\ : std_logic;
SIGNAL \WideAnd2125~0_combout\ : std_logic;
SIGNAL \WideAnd2125~combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][0]~82764_combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2124][1]~56616_combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2124][1]~56617\ : std_logic;
SIGNAL \led_flash_cnt[2124][2]~56618_combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2124][2]~56619\ : std_logic;
SIGNAL \led_flash_cnt[2124][3]~56620_combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2124][3]~56621\ : std_logic;
SIGNAL \led_flash_cnt[2124][4]~56622_combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2124][4]~56623\ : std_logic;
SIGNAL \led_flash_cnt[2124][5]~56624_combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2124][5]~56625\ : std_logic;
SIGNAL \led_flash_cnt[2124][6]~56626_combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2124][6]~56627\ : std_logic;
SIGNAL \led_flash_cnt[2124][7]~56628_combout\ : std_logic;
SIGNAL \led_flash_cnt[2124][7]~q\ : std_logic;
SIGNAL \WideAnd2124~0_combout\ : std_logic;
SIGNAL \WideAnd2124~1_combout\ : std_logic;
SIGNAL \WideAnd2124~combout\ : std_logic;
SIGNAL \WideAnd4105~1_combout\ : std_logic;
SIGNAL \WideAnd4105~combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][0]~82783_combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2143][1]~56882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2143][1]~56883\ : std_logic;
SIGNAL \led_flash_cnt[2143][2]~56884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2143][2]~56885\ : std_logic;
SIGNAL \led_flash_cnt[2143][3]~56886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2143][3]~56887\ : std_logic;
SIGNAL \led_flash_cnt[2143][4]~56888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2143][4]~56889\ : std_logic;
SIGNAL \led_flash_cnt[2143][5]~56890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2143][5]~56891\ : std_logic;
SIGNAL \led_flash_cnt[2143][6]~56892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2143][6]~56893\ : std_logic;
SIGNAL \led_flash_cnt[2143][7]~56894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2143][7]~q\ : std_logic;
SIGNAL \WideAnd2143~1_combout\ : std_logic;
SIGNAL \WideAnd2143~0_combout\ : std_logic;
SIGNAL \WideAnd2143~combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][0]~82782_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2142][1]~56868_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2142][1]~56869\ : std_logic;
SIGNAL \led_flash_cnt[2142][2]~56870_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2142][2]~56871\ : std_logic;
SIGNAL \led_flash_cnt[2142][3]~56872_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2142][3]~56873\ : std_logic;
SIGNAL \led_flash_cnt[2142][4]~56874_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][4]~q\ : std_logic;
SIGNAL \WideAnd2142~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][4]~56875\ : std_logic;
SIGNAL \led_flash_cnt[2142][5]~56876_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2142][5]~56877\ : std_logic;
SIGNAL \led_flash_cnt[2142][6]~56878_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2142][6]~56879\ : std_logic;
SIGNAL \led_flash_cnt[2142][7]~56880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2142][7]~q\ : std_logic;
SIGNAL \WideAnd2142~1_combout\ : std_logic;
SIGNAL \WideAnd2142~combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][0]~82781_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2141][1]~56854_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2141][1]~56855\ : std_logic;
SIGNAL \led_flash_cnt[2141][2]~56856_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2141][2]~56857\ : std_logic;
SIGNAL \led_flash_cnt[2141][3]~56858_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2141][3]~56859\ : std_logic;
SIGNAL \led_flash_cnt[2141][4]~56860_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2141][4]~56861\ : std_logic;
SIGNAL \led_flash_cnt[2141][5]~56862_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2141][5]~56863\ : std_logic;
SIGNAL \led_flash_cnt[2141][6]~56864_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][6]~q\ : std_logic;
SIGNAL \WideAnd2141~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][6]~56865\ : std_logic;
SIGNAL \led_flash_cnt[2141][7]~56866_combout\ : std_logic;
SIGNAL \led_flash_cnt[2141][7]~q\ : std_logic;
SIGNAL \WideAnd2141~0_combout\ : std_logic;
SIGNAL \WideAnd2141~combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][0]~82780_combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2140][1]~56840_combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2140][1]~56841\ : std_logic;
SIGNAL \led_flash_cnt[2140][2]~56842_combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2140][2]~56843\ : std_logic;
SIGNAL \led_flash_cnt[2140][3]~56844_combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2140][3]~56845\ : std_logic;
SIGNAL \led_flash_cnt[2140][4]~56846_combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2140][4]~56847\ : std_logic;
SIGNAL \led_flash_cnt[2140][5]~56848_combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2140][5]~56849\ : std_logic;
SIGNAL \led_flash_cnt[2140][6]~56850_combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2140][6]~56851\ : std_logic;
SIGNAL \led_flash_cnt[2140][7]~56852_combout\ : std_logic;
SIGNAL \led_flash_cnt[2140][7]~q\ : std_logic;
SIGNAL \WideAnd2140~1_combout\ : std_logic;
SIGNAL \WideAnd2140~0_combout\ : std_logic;
SIGNAL \WideAnd2140~combout\ : std_logic;
SIGNAL \WideAnd4107~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][0]~82779_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2139][1]~56826_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2139][1]~56827\ : std_logic;
SIGNAL \led_flash_cnt[2139][2]~56828_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2139][2]~56829\ : std_logic;
SIGNAL \led_flash_cnt[2139][3]~56830_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2139][3]~56831\ : std_logic;
SIGNAL \led_flash_cnt[2139][4]~56832_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2139][4]~56833\ : std_logic;
SIGNAL \led_flash_cnt[2139][5]~56834_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2139][5]~56835\ : std_logic;
SIGNAL \led_flash_cnt[2139][6]~56836_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2139][6]~56837\ : std_logic;
SIGNAL \led_flash_cnt[2139][7]~56838_combout\ : std_logic;
SIGNAL \led_flash_cnt[2139][7]~q\ : std_logic;
SIGNAL \WideAnd2139~1_combout\ : std_logic;
SIGNAL \WideAnd2139~0_combout\ : std_logic;
SIGNAL \WideAnd2139~combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][0]~82777_combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2137][1]~56798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2137][1]~56799\ : std_logic;
SIGNAL \led_flash_cnt[2137][2]~56800_combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2137][2]~56801\ : std_logic;
SIGNAL \led_flash_cnt[2137][3]~56802_combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2137][3]~56803\ : std_logic;
SIGNAL \led_flash_cnt[2137][4]~56804_combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2137][4]~56805\ : std_logic;
SIGNAL \led_flash_cnt[2137][5]~56806_combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2137][5]~56807\ : std_logic;
SIGNAL \led_flash_cnt[2137][6]~56808_combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2137][6]~56809\ : std_logic;
SIGNAL \led_flash_cnt[2137][7]~56810_combout\ : std_logic;
SIGNAL \led_flash_cnt[2137][7]~q\ : std_logic;
SIGNAL \WideAnd2137~1_combout\ : std_logic;
SIGNAL \WideAnd2137~0_combout\ : std_logic;
SIGNAL \WideAnd2137~combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][0]~82776_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2136][1]~56784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2136][1]~56785\ : std_logic;
SIGNAL \led_flash_cnt[2136][2]~56786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2136][2]~56787\ : std_logic;
SIGNAL \led_flash_cnt[2136][3]~56788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2136][3]~56789\ : std_logic;
SIGNAL \led_flash_cnt[2136][4]~56790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2136][4]~56791\ : std_logic;
SIGNAL \led_flash_cnt[2136][5]~56792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2136][5]~56793\ : std_logic;
SIGNAL \led_flash_cnt[2136][6]~56794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][6]~q\ : std_logic;
SIGNAL \WideAnd2136~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][6]~56795\ : std_logic;
SIGNAL \led_flash_cnt[2136][7]~56796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2136][7]~q\ : std_logic;
SIGNAL \WideAnd2136~0_combout\ : std_logic;
SIGNAL \WideAnd2136~combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][0]~82778_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2138][1]~56812_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2138][1]~56813\ : std_logic;
SIGNAL \led_flash_cnt[2138][2]~56814_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2138][2]~56815\ : std_logic;
SIGNAL \led_flash_cnt[2138][3]~56816_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2138][3]~56817\ : std_logic;
SIGNAL \led_flash_cnt[2138][4]~56818_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][4]~q\ : std_logic;
SIGNAL \WideAnd2138~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][4]~56819\ : std_logic;
SIGNAL \led_flash_cnt[2138][5]~56820_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2138][5]~56821\ : std_logic;
SIGNAL \led_flash_cnt[2138][6]~56822_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2138][6]~56823\ : std_logic;
SIGNAL \led_flash_cnt[2138][7]~56824_combout\ : std_logic;
SIGNAL \led_flash_cnt[2138][7]~q\ : std_logic;
SIGNAL \WideAnd2138~1_combout\ : std_logic;
SIGNAL \WideAnd2138~combout\ : std_logic;
SIGNAL \WideAnd4107~0_combout\ : std_logic;
SIGNAL \WideAnd4107~combout\ : std_logic;
SIGNAL \WideAnd4353~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][0]~82798_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2158][1]~57092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2158][1]~57093\ : std_logic;
SIGNAL \led_flash_cnt[2158][2]~57094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2158][2]~57095\ : std_logic;
SIGNAL \led_flash_cnt[2158][3]~57096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2158][3]~57097\ : std_logic;
SIGNAL \led_flash_cnt[2158][4]~57098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2158][4]~57099\ : std_logic;
SIGNAL \led_flash_cnt[2158][5]~57100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2158][5]~57101\ : std_logic;
SIGNAL \led_flash_cnt[2158][6]~57102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2158][6]~57103\ : std_logic;
SIGNAL \led_flash_cnt[2158][7]~57104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2158][7]~q\ : std_logic;
SIGNAL \WideAnd2158~1_combout\ : std_logic;
SIGNAL \WideAnd2158~0_combout\ : std_logic;
SIGNAL \WideAnd2158~combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][0]~82799_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2159][1]~57106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2159][1]~57107\ : std_logic;
SIGNAL \led_flash_cnt[2159][2]~57108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2159][2]~57109\ : std_logic;
SIGNAL \led_flash_cnt[2159][3]~57110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2159][3]~57111\ : std_logic;
SIGNAL \led_flash_cnt[2159][4]~57112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2159][4]~57113\ : std_logic;
SIGNAL \led_flash_cnt[2159][5]~57114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2159][5]~57115\ : std_logic;
SIGNAL \led_flash_cnt[2159][6]~57116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][6]~q\ : std_logic;
SIGNAL \WideAnd2159~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][6]~57117\ : std_logic;
SIGNAL \led_flash_cnt[2159][7]~57118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2159][7]~q\ : std_logic;
SIGNAL \WideAnd2159~0_combout\ : std_logic;
SIGNAL \WideAnd2159~combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][0]~82795_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2155][1]~57050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2155][1]~57051\ : std_logic;
SIGNAL \led_flash_cnt[2155][2]~57052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2155][2]~57053\ : std_logic;
SIGNAL \led_flash_cnt[2155][3]~57054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2155][3]~57055\ : std_logic;
SIGNAL \led_flash_cnt[2155][4]~57056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][4]~q\ : std_logic;
SIGNAL \WideAnd2155~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][4]~57057\ : std_logic;
SIGNAL \led_flash_cnt[2155][5]~57058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2155][5]~57059\ : std_logic;
SIGNAL \led_flash_cnt[2155][6]~57060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2155][6]~57061\ : std_logic;
SIGNAL \led_flash_cnt[2155][7]~57062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2155][7]~q\ : std_logic;
SIGNAL \WideAnd2155~1_combout\ : std_logic;
SIGNAL \WideAnd2155~combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][0]~82794_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2154][1]~57036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2154][1]~57037\ : std_logic;
SIGNAL \led_flash_cnt[2154][2]~57038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2154][2]~57039\ : std_logic;
SIGNAL \led_flash_cnt[2154][3]~57040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2154][3]~57041\ : std_logic;
SIGNAL \led_flash_cnt[2154][4]~57042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2154][4]~57043\ : std_logic;
SIGNAL \led_flash_cnt[2154][5]~57044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2154][5]~57045\ : std_logic;
SIGNAL \led_flash_cnt[2154][6]~57046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][6]~q\ : std_logic;
SIGNAL \WideAnd2154~1_combout\ : std_logic;
SIGNAL \WideAnd2154~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][6]~57047\ : std_logic;
SIGNAL \led_flash_cnt[2154][7]~57048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2154][7]~q\ : std_logic;
SIGNAL \WideAnd2154~combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][0]~82792_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2152][1]~57008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2152][1]~57009\ : std_logic;
SIGNAL \led_flash_cnt[2152][2]~57010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2152][2]~57011\ : std_logic;
SIGNAL \led_flash_cnt[2152][3]~57012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2152][3]~57013\ : std_logic;
SIGNAL \led_flash_cnt[2152][4]~57014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2152][4]~57015\ : std_logic;
SIGNAL \led_flash_cnt[2152][5]~57016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2152][5]~57017\ : std_logic;
SIGNAL \led_flash_cnt[2152][6]~57018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][6]~q\ : std_logic;
SIGNAL \WideAnd2152~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][6]~57019\ : std_logic;
SIGNAL \led_flash_cnt[2152][7]~57020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2152][7]~q\ : std_logic;
SIGNAL \WideAnd2152~0_combout\ : std_logic;
SIGNAL \WideAnd2152~combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][0]~82793_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2153][1]~57022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2153][1]~57023\ : std_logic;
SIGNAL \led_flash_cnt[2153][2]~57024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2153][2]~57025\ : std_logic;
SIGNAL \led_flash_cnt[2153][3]~57026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2153][3]~57027\ : std_logic;
SIGNAL \led_flash_cnt[2153][4]~57028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2153][4]~57029\ : std_logic;
SIGNAL \led_flash_cnt[2153][5]~57030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][5]~q\ : std_logic;
SIGNAL \WideAnd2153~1_combout\ : std_logic;
SIGNAL \WideAnd2153~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][5]~57031\ : std_logic;
SIGNAL \led_flash_cnt[2153][6]~57032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2153][6]~57033\ : std_logic;
SIGNAL \led_flash_cnt[2153][7]~57034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2153][7]~q\ : std_logic;
SIGNAL \WideAnd2153~combout\ : std_logic;
SIGNAL \WideAnd4109~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][0]~82797_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2157][1]~57078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2157][1]~57079\ : std_logic;
SIGNAL \led_flash_cnt[2157][2]~57080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2157][2]~57081\ : std_logic;
SIGNAL \led_flash_cnt[2157][3]~57082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2157][3]~57083\ : std_logic;
SIGNAL \led_flash_cnt[2157][4]~57084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2157][4]~57085\ : std_logic;
SIGNAL \led_flash_cnt[2157][5]~57086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2157][5]~57087\ : std_logic;
SIGNAL \led_flash_cnt[2157][6]~57088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2157][6]~57089\ : std_logic;
SIGNAL \led_flash_cnt[2157][7]~57090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2157][7]~q\ : std_logic;
SIGNAL \WideAnd2157~0_combout\ : std_logic;
SIGNAL \WideAnd2157~1_combout\ : std_logic;
SIGNAL \WideAnd2157~combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][0]~82796_combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2156][1]~57064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2156][1]~57065\ : std_logic;
SIGNAL \led_flash_cnt[2156][2]~57066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2156][2]~57067\ : std_logic;
SIGNAL \led_flash_cnt[2156][3]~57068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2156][3]~57069\ : std_logic;
SIGNAL \led_flash_cnt[2156][4]~57070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2156][4]~57071\ : std_logic;
SIGNAL \led_flash_cnt[2156][5]~57072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2156][5]~57073\ : std_logic;
SIGNAL \led_flash_cnt[2156][6]~57074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2156][6]~57075\ : std_logic;
SIGNAL \led_flash_cnt[2156][7]~57076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2156][7]~q\ : std_logic;
SIGNAL \WideAnd2156~1_combout\ : std_logic;
SIGNAL \WideAnd2156~0_combout\ : std_logic;
SIGNAL \WideAnd2156~combout\ : std_logic;
SIGNAL \WideAnd4109~1_combout\ : std_logic;
SIGNAL \WideAnd4109~combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][0]~82791_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2151][1]~56994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2151][1]~56995\ : std_logic;
SIGNAL \led_flash_cnt[2151][2]~56996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2151][2]~56997\ : std_logic;
SIGNAL \led_flash_cnt[2151][3]~56998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2151][3]~56999\ : std_logic;
SIGNAL \led_flash_cnt[2151][4]~57000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2151][4]~57001\ : std_logic;
SIGNAL \led_flash_cnt[2151][5]~57002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2151][5]~57003\ : std_logic;
SIGNAL \led_flash_cnt[2151][6]~57004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][6]~q\ : std_logic;
SIGNAL \WideAnd2151~1_combout\ : std_logic;
SIGNAL \WideAnd2151~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][6]~57005\ : std_logic;
SIGNAL \led_flash_cnt[2151][7]~57006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2151][7]~q\ : std_logic;
SIGNAL \WideAnd2151~combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][0]~82787_combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2147][1]~56938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2147][1]~56939\ : std_logic;
SIGNAL \led_flash_cnt[2147][2]~56940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2147][2]~56941\ : std_logic;
SIGNAL \led_flash_cnt[2147][3]~56942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2147][3]~56943\ : std_logic;
SIGNAL \led_flash_cnt[2147][4]~56944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2147][4]~56945\ : std_logic;
SIGNAL \led_flash_cnt[2147][5]~56946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2147][5]~56947\ : std_logic;
SIGNAL \led_flash_cnt[2147][6]~56948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2147][6]~56949\ : std_logic;
SIGNAL \led_flash_cnt[2147][7]~56950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2147][7]~q\ : std_logic;
SIGNAL \WideAnd2147~0_combout\ : std_logic;
SIGNAL \WideAnd2147~1_combout\ : std_logic;
SIGNAL \WideAnd2147~combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][0]~82786_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2146][1]~56924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2146][1]~56925\ : std_logic;
SIGNAL \led_flash_cnt[2146][2]~56926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2146][2]~56927\ : std_logic;
SIGNAL \led_flash_cnt[2146][3]~56928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2146][3]~56929\ : std_logic;
SIGNAL \led_flash_cnt[2146][4]~56930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][4]~q\ : std_logic;
SIGNAL \WideAnd2146~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][4]~56931\ : std_logic;
SIGNAL \led_flash_cnt[2146][5]~56932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2146][5]~56933\ : std_logic;
SIGNAL \led_flash_cnt[2146][6]~56934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2146][6]~56935\ : std_logic;
SIGNAL \led_flash_cnt[2146][7]~56936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2146][7]~q\ : std_logic;
SIGNAL \WideAnd2146~1_combout\ : std_logic;
SIGNAL \WideAnd2146~combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][0]~82784_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2144][1]~56896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2144][1]~56897\ : std_logic;
SIGNAL \led_flash_cnt[2144][2]~56898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2144][2]~56899\ : std_logic;
SIGNAL \led_flash_cnt[2144][3]~56900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2144][3]~56901\ : std_logic;
SIGNAL \led_flash_cnt[2144][4]~56902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][4]~q\ : std_logic;
SIGNAL \WideAnd2144~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][4]~56903\ : std_logic;
SIGNAL \led_flash_cnt[2144][5]~56904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2144][5]~56905\ : std_logic;
SIGNAL \led_flash_cnt[2144][6]~56906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2144][6]~56907\ : std_logic;
SIGNAL \led_flash_cnt[2144][7]~56908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2144][7]~q\ : std_logic;
SIGNAL \WideAnd2144~1_combout\ : std_logic;
SIGNAL \WideAnd2144~combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][0]~82785_combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2145][1]~56910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2145][1]~56911\ : std_logic;
SIGNAL \led_flash_cnt[2145][2]~56912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2145][2]~56913\ : std_logic;
SIGNAL \led_flash_cnt[2145][3]~56914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2145][3]~56915\ : std_logic;
SIGNAL \led_flash_cnt[2145][4]~56916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2145][4]~56917\ : std_logic;
SIGNAL \led_flash_cnt[2145][5]~56918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2145][5]~56919\ : std_logic;
SIGNAL \led_flash_cnt[2145][6]~56920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2145][6]~56921\ : std_logic;
SIGNAL \led_flash_cnt[2145][7]~56922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2145][7]~q\ : std_logic;
SIGNAL \WideAnd2145~1_combout\ : std_logic;
SIGNAL \WideAnd2145~0_combout\ : std_logic;
SIGNAL \WideAnd2145~combout\ : std_logic;
SIGNAL \WideAnd4108~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][0]~82789_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2149][1]~56966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2149][1]~56967\ : std_logic;
SIGNAL \led_flash_cnt[2149][2]~56968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2149][2]~56969\ : std_logic;
SIGNAL \led_flash_cnt[2149][3]~56970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2149][3]~56971\ : std_logic;
SIGNAL \led_flash_cnt[2149][4]~56972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2149][4]~56973\ : std_logic;
SIGNAL \led_flash_cnt[2149][5]~56974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2149][5]~56975\ : std_logic;
SIGNAL \led_flash_cnt[2149][6]~56976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][6]~q\ : std_logic;
SIGNAL \WideAnd2149~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][6]~56977\ : std_logic;
SIGNAL \led_flash_cnt[2149][7]~56978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2149][7]~q\ : std_logic;
SIGNAL \WideAnd2149~0_combout\ : std_logic;
SIGNAL \WideAnd2149~combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][0]~82788_combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2148][1]~56952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2148][1]~56953\ : std_logic;
SIGNAL \led_flash_cnt[2148][2]~56954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2148][2]~56955\ : std_logic;
SIGNAL \led_flash_cnt[2148][3]~56956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2148][3]~56957\ : std_logic;
SIGNAL \led_flash_cnt[2148][4]~56958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2148][4]~56959\ : std_logic;
SIGNAL \led_flash_cnt[2148][5]~56960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2148][5]~56961\ : std_logic;
SIGNAL \led_flash_cnt[2148][6]~56962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2148][6]~56963\ : std_logic;
SIGNAL \led_flash_cnt[2148][7]~56964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2148][7]~q\ : std_logic;
SIGNAL \WideAnd2148~0_combout\ : std_logic;
SIGNAL \WideAnd2148~1_combout\ : std_logic;
SIGNAL \WideAnd2148~combout\ : std_logic;
SIGNAL \WideAnd4108~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][0]~82790_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2150][1]~56980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2150][1]~56981\ : std_logic;
SIGNAL \led_flash_cnt[2150][2]~56982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2150][2]~56983\ : std_logic;
SIGNAL \led_flash_cnt[2150][3]~56984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2150][3]~56985\ : std_logic;
SIGNAL \led_flash_cnt[2150][4]~56986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][4]~q\ : std_logic;
SIGNAL \WideAnd2150~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][4]~56987\ : std_logic;
SIGNAL \led_flash_cnt[2150][5]~56988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2150][5]~56989\ : std_logic;
SIGNAL \led_flash_cnt[2150][6]~56990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][6]~q\ : std_logic;
SIGNAL \WideAnd2150~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][6]~56991\ : std_logic;
SIGNAL \led_flash_cnt[2150][7]~56992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2150][7]~q\ : std_logic;
SIGNAL \WideAnd2150~combout\ : std_logic;
SIGNAL \WideAnd4108~combout\ : std_logic;
SIGNAL \WideAnd4353~1_combout\ : std_logic;
SIGNAL \WideAnd4353~combout\ : std_logic;
SIGNAL \WideAnd4380~10_combout\ : std_logic;
SIGNAL \WideAnd4380~14_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][0]~82111_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1471][1]~47474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1471][1]~47475\ : std_logic;
SIGNAL \led_flash_cnt[1471][2]~47476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1471][2]~47477\ : std_logic;
SIGNAL \led_flash_cnt[1471][3]~47478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1471][3]~47479\ : std_logic;
SIGNAL \led_flash_cnt[1471][4]~47480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1471][4]~47481\ : std_logic;
SIGNAL \led_flash_cnt[1471][5]~47482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1471][5]~47483\ : std_logic;
SIGNAL \led_flash_cnt[1471][6]~47484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][6]~q\ : std_logic;
SIGNAL \WideAnd1471~1_combout\ : std_logic;
SIGNAL \WideAnd1471~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][6]~47485\ : std_logic;
SIGNAL \led_flash_cnt[1471][7]~47486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1471][7]~q\ : std_logic;
SIGNAL \WideAnd1471~combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][0]~82110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1470][1]~47460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1470][1]~47461\ : std_logic;
SIGNAL \led_flash_cnt[1470][2]~47462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1470][2]~47463\ : std_logic;
SIGNAL \led_flash_cnt[1470][3]~47464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1470][3]~47465\ : std_logic;
SIGNAL \led_flash_cnt[1470][4]~47466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][4]~q\ : std_logic;
SIGNAL \WideAnd1470~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][4]~47467\ : std_logic;
SIGNAL \led_flash_cnt[1470][5]~47468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1470][5]~47469\ : std_logic;
SIGNAL \led_flash_cnt[1470][6]~47470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][6]~q\ : std_logic;
SIGNAL \WideAnd1470~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][6]~47471\ : std_logic;
SIGNAL \led_flash_cnt[1470][7]~47472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1470][7]~q\ : std_logic;
SIGNAL \WideAnd1470~combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][0]~82105_combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1465][1]~47390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1465][1]~47391\ : std_logic;
SIGNAL \led_flash_cnt[1465][2]~47392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1465][2]~47393\ : std_logic;
SIGNAL \led_flash_cnt[1465][3]~47394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1465][3]~47395\ : std_logic;
SIGNAL \led_flash_cnt[1465][4]~47396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1465][4]~47397\ : std_logic;
SIGNAL \led_flash_cnt[1465][5]~47398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1465][5]~47399\ : std_logic;
SIGNAL \led_flash_cnt[1465][6]~47400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1465][6]~47401\ : std_logic;
SIGNAL \led_flash_cnt[1465][7]~47402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1465][7]~q\ : std_logic;
SIGNAL \WideAnd1465~0_combout\ : std_logic;
SIGNAL \WideAnd1465~1_combout\ : std_logic;
SIGNAL \WideAnd1465~combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][0]~82104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1464][1]~47376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1464][1]~47377\ : std_logic;
SIGNAL \led_flash_cnt[1464][2]~47378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1464][2]~47379\ : std_logic;
SIGNAL \led_flash_cnt[1464][3]~47380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1464][3]~47381\ : std_logic;
SIGNAL \led_flash_cnt[1464][4]~47382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1464][4]~47383\ : std_logic;
SIGNAL \led_flash_cnt[1464][5]~47384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1464][5]~47385\ : std_logic;
SIGNAL \led_flash_cnt[1464][6]~47386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1464][6]~47387\ : std_logic;
SIGNAL \led_flash_cnt[1464][7]~47388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1464][7]~q\ : std_logic;
SIGNAL \WideAnd1464~1_combout\ : std_logic;
SIGNAL \WideAnd1464~0_combout\ : std_logic;
SIGNAL \WideAnd1464~combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][0]~82107_combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1467][1]~47418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1467][1]~47419\ : std_logic;
SIGNAL \led_flash_cnt[1467][2]~47420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1467][2]~47421\ : std_logic;
SIGNAL \led_flash_cnt[1467][3]~47422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1467][3]~47423\ : std_logic;
SIGNAL \led_flash_cnt[1467][4]~47424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1467][4]~47425\ : std_logic;
SIGNAL \led_flash_cnt[1467][5]~47426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1467][5]~47427\ : std_logic;
SIGNAL \led_flash_cnt[1467][6]~47428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1467][6]~47429\ : std_logic;
SIGNAL \led_flash_cnt[1467][7]~47430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1467][7]~q\ : std_logic;
SIGNAL \WideAnd1467~1_combout\ : std_logic;
SIGNAL \WideAnd1467~0_combout\ : std_logic;
SIGNAL \WideAnd1467~combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][0]~82106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1466][1]~47404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1466][1]~47405\ : std_logic;
SIGNAL \led_flash_cnt[1466][2]~47406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1466][2]~47407\ : std_logic;
SIGNAL \led_flash_cnt[1466][3]~47408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1466][3]~47409\ : std_logic;
SIGNAL \led_flash_cnt[1466][4]~47410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][4]~q\ : std_logic;
SIGNAL \WideAnd1466~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][4]~47411\ : std_logic;
SIGNAL \led_flash_cnt[1466][5]~47412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1466][5]~47413\ : std_logic;
SIGNAL \led_flash_cnt[1466][6]~47414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][6]~q\ : std_logic;
SIGNAL \WideAnd1466~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][6]~47415\ : std_logic;
SIGNAL \led_flash_cnt[1466][7]~47416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1466][7]~q\ : std_logic;
SIGNAL \WideAnd1466~combout\ : std_logic;
SIGNAL \WideAnd4023~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][0]~82108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1468][1]~47432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1468][1]~47433\ : std_logic;
SIGNAL \led_flash_cnt[1468][2]~47434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1468][2]~47435\ : std_logic;
SIGNAL \led_flash_cnt[1468][3]~47436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1468][3]~47437\ : std_logic;
SIGNAL \led_flash_cnt[1468][4]~47438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][4]~q\ : std_logic;
SIGNAL \WideAnd1468~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][4]~47439\ : std_logic;
SIGNAL \led_flash_cnt[1468][5]~47440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1468][5]~47441\ : std_logic;
SIGNAL \led_flash_cnt[1468][6]~47442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1468][6]~47443\ : std_logic;
SIGNAL \led_flash_cnt[1468][7]~47444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1468][7]~q\ : std_logic;
SIGNAL \WideAnd1468~1_combout\ : std_logic;
SIGNAL \WideAnd1468~combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][0]~82109_combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1469][1]~47446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1469][1]~47447\ : std_logic;
SIGNAL \led_flash_cnt[1469][2]~47448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1469][2]~47449\ : std_logic;
SIGNAL \led_flash_cnt[1469][3]~47450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1469][3]~47451\ : std_logic;
SIGNAL \led_flash_cnt[1469][4]~47452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1469][4]~47453\ : std_logic;
SIGNAL \led_flash_cnt[1469][5]~47454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1469][5]~47455\ : std_logic;
SIGNAL \led_flash_cnt[1469][6]~47456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1469][6]~47457\ : std_logic;
SIGNAL \led_flash_cnt[1469][7]~47458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1469][7]~q\ : std_logic;
SIGNAL \WideAnd1469~0_combout\ : std_logic;
SIGNAL \WideAnd1469~1_combout\ : std_logic;
SIGNAL \WideAnd1469~combout\ : std_logic;
SIGNAL \WideAnd4023~1_combout\ : std_logic;
SIGNAL \WideAnd4023~combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][0]~82098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1458][1]~47292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1458][1]~47293\ : std_logic;
SIGNAL \led_flash_cnt[1458][2]~47294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1458][2]~47295\ : std_logic;
SIGNAL \led_flash_cnt[1458][3]~47296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1458][3]~47297\ : std_logic;
SIGNAL \led_flash_cnt[1458][4]~47298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1458][4]~47299\ : std_logic;
SIGNAL \led_flash_cnt[1458][5]~47300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1458][5]~47301\ : std_logic;
SIGNAL \led_flash_cnt[1458][6]~47302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1458][6]~47303\ : std_logic;
SIGNAL \led_flash_cnt[1458][7]~47304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1458][7]~q\ : std_logic;
SIGNAL \WideAnd1458~1_combout\ : std_logic;
SIGNAL \WideAnd1458~0_combout\ : std_logic;
SIGNAL \WideAnd1458~combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][0]~82097_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1457][1]~47278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1457][1]~47279\ : std_logic;
SIGNAL \led_flash_cnt[1457][2]~47280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1457][2]~47281\ : std_logic;
SIGNAL \led_flash_cnt[1457][3]~47282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1457][3]~47283\ : std_logic;
SIGNAL \led_flash_cnt[1457][4]~47284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][4]~q\ : std_logic;
SIGNAL \WideAnd1457~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][4]~47285\ : std_logic;
SIGNAL \led_flash_cnt[1457][5]~47286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1457][5]~47287\ : std_logic;
SIGNAL \led_flash_cnt[1457][6]~47288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][6]~q\ : std_logic;
SIGNAL \WideAnd1457~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][6]~47289\ : std_logic;
SIGNAL \led_flash_cnt[1457][7]~47290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1457][7]~q\ : std_logic;
SIGNAL \WideAnd1457~combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][0]~82099_combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1459][1]~47306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1459][1]~47307\ : std_logic;
SIGNAL \led_flash_cnt[1459][2]~47308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1459][2]~47309\ : std_logic;
SIGNAL \led_flash_cnt[1459][3]~47310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1459][3]~47311\ : std_logic;
SIGNAL \led_flash_cnt[1459][4]~47312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1459][4]~47313\ : std_logic;
SIGNAL \led_flash_cnt[1459][5]~47314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1459][5]~47315\ : std_logic;
SIGNAL \led_flash_cnt[1459][6]~47316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1459][6]~47317\ : std_logic;
SIGNAL \led_flash_cnt[1459][7]~47318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1459][7]~q\ : std_logic;
SIGNAL \WideAnd1459~1_combout\ : std_logic;
SIGNAL \WideAnd1459~0_combout\ : std_logic;
SIGNAL \WideAnd1459~combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][0]~82096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1456][1]~47264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1456][1]~47265\ : std_logic;
SIGNAL \led_flash_cnt[1456][2]~47266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1456][2]~47267\ : std_logic;
SIGNAL \led_flash_cnt[1456][3]~47268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1456][3]~47269\ : std_logic;
SIGNAL \led_flash_cnt[1456][4]~47270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1456][4]~47271\ : std_logic;
SIGNAL \led_flash_cnt[1456][5]~47272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1456][5]~47273\ : std_logic;
SIGNAL \led_flash_cnt[1456][6]~47274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][6]~q\ : std_logic;
SIGNAL \WideAnd1456~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][6]~47275\ : std_logic;
SIGNAL \led_flash_cnt[1456][7]~47276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1456][7]~q\ : std_logic;
SIGNAL \WideAnd1456~0_combout\ : std_logic;
SIGNAL \WideAnd1456~combout\ : std_logic;
SIGNAL \WideAnd4022~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][0]~82103_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1463][1]~47362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1463][1]~47363\ : std_logic;
SIGNAL \led_flash_cnt[1463][2]~47364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1463][2]~47365\ : std_logic;
SIGNAL \led_flash_cnt[1463][3]~47366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1463][3]~47367\ : std_logic;
SIGNAL \led_flash_cnt[1463][4]~47368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1463][4]~47369\ : std_logic;
SIGNAL \led_flash_cnt[1463][5]~47370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1463][5]~47371\ : std_logic;
SIGNAL \led_flash_cnt[1463][6]~47372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1463][6]~47373\ : std_logic;
SIGNAL \led_flash_cnt[1463][7]~47374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1463][7]~q\ : std_logic;
SIGNAL \WideAnd1463~1_combout\ : std_logic;
SIGNAL \WideAnd1463~0_combout\ : std_logic;
SIGNAL \WideAnd1463~combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][0]~82102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1462][1]~47348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1462][1]~47349\ : std_logic;
SIGNAL \led_flash_cnt[1462][2]~47350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1462][2]~47351\ : std_logic;
SIGNAL \led_flash_cnt[1462][3]~47352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1462][3]~47353\ : std_logic;
SIGNAL \led_flash_cnt[1462][4]~47354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1462][4]~47355\ : std_logic;
SIGNAL \led_flash_cnt[1462][5]~47356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1462][5]~47357\ : std_logic;
SIGNAL \led_flash_cnt[1462][6]~47358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1462][6]~47359\ : std_logic;
SIGNAL \led_flash_cnt[1462][7]~47360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1462][7]~q\ : std_logic;
SIGNAL \WideAnd1462~1_combout\ : std_logic;
SIGNAL \WideAnd1462~0_combout\ : std_logic;
SIGNAL \WideAnd1462~combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][0]~82101_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1461][1]~47334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1461][1]~47335\ : std_logic;
SIGNAL \led_flash_cnt[1461][2]~47336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1461][2]~47337\ : std_logic;
SIGNAL \led_flash_cnt[1461][3]~47338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1461][3]~47339\ : std_logic;
SIGNAL \led_flash_cnt[1461][4]~47340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1461][4]~47341\ : std_logic;
SIGNAL \led_flash_cnt[1461][5]~47342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1461][5]~47343\ : std_logic;
SIGNAL \led_flash_cnt[1461][6]~47344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][6]~q\ : std_logic;
SIGNAL \WideAnd1461~1_combout\ : std_logic;
SIGNAL \WideAnd1461~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][6]~47345\ : std_logic;
SIGNAL \led_flash_cnt[1461][7]~47346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1461][7]~q\ : std_logic;
SIGNAL \WideAnd1461~combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][0]~82100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1460][1]~47320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1460][1]~47321\ : std_logic;
SIGNAL \led_flash_cnt[1460][2]~47322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1460][2]~47323\ : std_logic;
SIGNAL \led_flash_cnt[1460][3]~47324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1460][3]~47325\ : std_logic;
SIGNAL \led_flash_cnt[1460][4]~47326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1460][4]~47327\ : std_logic;
SIGNAL \led_flash_cnt[1460][5]~47328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1460][5]~47329\ : std_logic;
SIGNAL \led_flash_cnt[1460][6]~47330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1460][6]~47331\ : std_logic;
SIGNAL \led_flash_cnt[1460][7]~47332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1460][7]~q\ : std_logic;
SIGNAL \WideAnd1460~0_combout\ : std_logic;
SIGNAL \WideAnd1460~1_combout\ : std_logic;
SIGNAL \WideAnd1460~combout\ : std_logic;
SIGNAL \WideAnd4022~1_combout\ : std_logic;
SIGNAL \WideAnd4022~combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][0]~82081_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1441][1]~47054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1441][1]~47055\ : std_logic;
SIGNAL \led_flash_cnt[1441][2]~47056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1441][2]~47057\ : std_logic;
SIGNAL \led_flash_cnt[1441][3]~47058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1441][3]~47059\ : std_logic;
SIGNAL \led_flash_cnt[1441][4]~47060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1441][4]~47061\ : std_logic;
SIGNAL \led_flash_cnt[1441][5]~47062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1441][5]~47063\ : std_logic;
SIGNAL \led_flash_cnt[1441][6]~47064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][6]~q\ : std_logic;
SIGNAL \WideAnd1441~1_combout\ : std_logic;
SIGNAL \WideAnd1441~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][6]~47065\ : std_logic;
SIGNAL \led_flash_cnt[1441][7]~47066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1441][7]~q\ : std_logic;
SIGNAL \WideAnd1441~combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][0]~82080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1440][1]~47040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1440][1]~47041\ : std_logic;
SIGNAL \led_flash_cnt[1440][2]~47042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1440][2]~47043\ : std_logic;
SIGNAL \led_flash_cnt[1440][3]~47044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1440][3]~47045\ : std_logic;
SIGNAL \led_flash_cnt[1440][4]~47046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1440][4]~47047\ : std_logic;
SIGNAL \led_flash_cnt[1440][5]~47048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1440][5]~47049\ : std_logic;
SIGNAL \led_flash_cnt[1440][6]~47050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][6]~q\ : std_logic;
SIGNAL \WideAnd1440~1_combout\ : std_logic;
SIGNAL \WideAnd1440~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][6]~47051\ : std_logic;
SIGNAL \led_flash_cnt[1440][7]~47052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1440][7]~q\ : std_logic;
SIGNAL \WideAnd1440~combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][0]~82082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1442][1]~47068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1442][1]~47069\ : std_logic;
SIGNAL \led_flash_cnt[1442][2]~47070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1442][2]~47071\ : std_logic;
SIGNAL \led_flash_cnt[1442][3]~47072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1442][3]~47073\ : std_logic;
SIGNAL \led_flash_cnt[1442][4]~47074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1442][4]~47075\ : std_logic;
SIGNAL \led_flash_cnt[1442][5]~47076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1442][5]~47077\ : std_logic;
SIGNAL \led_flash_cnt[1442][6]~47078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][6]~q\ : std_logic;
SIGNAL \WideAnd1442~1_combout\ : std_logic;
SIGNAL \WideAnd1442~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][6]~47079\ : std_logic;
SIGNAL \led_flash_cnt[1442][7]~47080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1442][7]~q\ : std_logic;
SIGNAL \WideAnd1442~combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][0]~82083_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1443][1]~47082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1443][1]~47083\ : std_logic;
SIGNAL \led_flash_cnt[1443][2]~47084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1443][2]~47085\ : std_logic;
SIGNAL \led_flash_cnt[1443][3]~47086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1443][3]~47087\ : std_logic;
SIGNAL \led_flash_cnt[1443][4]~47088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][4]~q\ : std_logic;
SIGNAL \WideAnd1443~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][4]~47089\ : std_logic;
SIGNAL \led_flash_cnt[1443][5]~47090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1443][5]~47091\ : std_logic;
SIGNAL \led_flash_cnt[1443][6]~47092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][6]~q\ : std_logic;
SIGNAL \WideAnd1443~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][6]~47093\ : std_logic;
SIGNAL \led_flash_cnt[1443][7]~47094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1443][7]~q\ : std_logic;
SIGNAL \WideAnd1443~combout\ : std_logic;
SIGNAL \WideAnd4020~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][0]~82086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1446][1]~47124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1446][1]~47125\ : std_logic;
SIGNAL \led_flash_cnt[1446][2]~47126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1446][2]~47127\ : std_logic;
SIGNAL \led_flash_cnt[1446][3]~47128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1446][3]~47129\ : std_logic;
SIGNAL \led_flash_cnt[1446][4]~47130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1446][4]~47131\ : std_logic;
SIGNAL \led_flash_cnt[1446][5]~47132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1446][5]~47133\ : std_logic;
SIGNAL \led_flash_cnt[1446][6]~47134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1446][6]~47135\ : std_logic;
SIGNAL \led_flash_cnt[1446][7]~47136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1446][7]~q\ : std_logic;
SIGNAL \WideAnd1446~1_combout\ : std_logic;
SIGNAL \WideAnd1446~0_combout\ : std_logic;
SIGNAL \WideAnd1446~combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][0]~82085_combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1445][1]~47110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1445][1]~47111\ : std_logic;
SIGNAL \led_flash_cnt[1445][2]~47112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1445][2]~47113\ : std_logic;
SIGNAL \led_flash_cnt[1445][3]~47114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1445][3]~47115\ : std_logic;
SIGNAL \led_flash_cnt[1445][4]~47116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1445][4]~47117\ : std_logic;
SIGNAL \led_flash_cnt[1445][5]~47118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1445][5]~47119\ : std_logic;
SIGNAL \led_flash_cnt[1445][6]~47120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1445][6]~47121\ : std_logic;
SIGNAL \led_flash_cnt[1445][7]~47122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1445][7]~q\ : std_logic;
SIGNAL \WideAnd1445~1_combout\ : std_logic;
SIGNAL \WideAnd1445~0_combout\ : std_logic;
SIGNAL \WideAnd1445~combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][0]~82084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1444][1]~47096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1444][1]~47097\ : std_logic;
SIGNAL \led_flash_cnt[1444][2]~47098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1444][2]~47099\ : std_logic;
SIGNAL \led_flash_cnt[1444][3]~47100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1444][3]~47101\ : std_logic;
SIGNAL \led_flash_cnt[1444][4]~47102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1444][4]~47103\ : std_logic;
SIGNAL \led_flash_cnt[1444][5]~47104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1444][5]~47105\ : std_logic;
SIGNAL \led_flash_cnt[1444][6]~47106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][6]~q\ : std_logic;
SIGNAL \WideAnd1444~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][6]~47107\ : std_logic;
SIGNAL \led_flash_cnt[1444][7]~47108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1444][7]~q\ : std_logic;
SIGNAL \WideAnd1444~0_combout\ : std_logic;
SIGNAL \WideAnd1444~combout\ : std_logic;
SIGNAL \WideAnd4020~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][0]~82087_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1447][1]~47138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1447][1]~47139\ : std_logic;
SIGNAL \led_flash_cnt[1447][2]~47140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1447][2]~47141\ : std_logic;
SIGNAL \led_flash_cnt[1447][3]~47142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1447][3]~47143\ : std_logic;
SIGNAL \led_flash_cnt[1447][4]~47144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1447][4]~47145\ : std_logic;
SIGNAL \led_flash_cnt[1447][5]~47146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1447][5]~47147\ : std_logic;
SIGNAL \led_flash_cnt[1447][6]~47148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][6]~q\ : std_logic;
SIGNAL \WideAnd1447~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][6]~47149\ : std_logic;
SIGNAL \led_flash_cnt[1447][7]~47150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1447][7]~q\ : std_logic;
SIGNAL \WideAnd1447~0_combout\ : std_logic;
SIGNAL \WideAnd1447~combout\ : std_logic;
SIGNAL \WideAnd4020~combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][0]~82095_combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1455][1]~47250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1455][1]~47251\ : std_logic;
SIGNAL \led_flash_cnt[1455][2]~47252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1455][2]~47253\ : std_logic;
SIGNAL \led_flash_cnt[1455][3]~47254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1455][3]~47255\ : std_logic;
SIGNAL \led_flash_cnt[1455][4]~47256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1455][4]~47257\ : std_logic;
SIGNAL \led_flash_cnt[1455][5]~47258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1455][5]~47259\ : std_logic;
SIGNAL \led_flash_cnt[1455][6]~47260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1455][6]~47261\ : std_logic;
SIGNAL \led_flash_cnt[1455][7]~47262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1455][7]~q\ : std_logic;
SIGNAL \WideAnd1455~1_combout\ : std_logic;
SIGNAL \WideAnd1455~0_combout\ : std_logic;
SIGNAL \WideAnd1455~combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][0]~82093_combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1453][1]~47222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1453][1]~47223\ : std_logic;
SIGNAL \led_flash_cnt[1453][2]~47224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1453][2]~47225\ : std_logic;
SIGNAL \led_flash_cnt[1453][3]~47226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1453][3]~47227\ : std_logic;
SIGNAL \led_flash_cnt[1453][4]~47228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1453][4]~47229\ : std_logic;
SIGNAL \led_flash_cnt[1453][5]~47230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1453][5]~47231\ : std_logic;
SIGNAL \led_flash_cnt[1453][6]~47232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1453][6]~47233\ : std_logic;
SIGNAL \led_flash_cnt[1453][7]~47234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1453][7]~q\ : std_logic;
SIGNAL \WideAnd1453~0_combout\ : std_logic;
SIGNAL \WideAnd1453~1_combout\ : std_logic;
SIGNAL \WideAnd1453~combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][0]~82092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1452][1]~47208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1452][1]~47209\ : std_logic;
SIGNAL \led_flash_cnt[1452][2]~47210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1452][2]~47211\ : std_logic;
SIGNAL \led_flash_cnt[1452][3]~47212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1452][3]~47213\ : std_logic;
SIGNAL \led_flash_cnt[1452][4]~47214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1452][4]~47215\ : std_logic;
SIGNAL \led_flash_cnt[1452][5]~47216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1452][5]~47217\ : std_logic;
SIGNAL \led_flash_cnt[1452][6]~47218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][6]~q\ : std_logic;
SIGNAL \WideAnd1452~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][6]~47219\ : std_logic;
SIGNAL \led_flash_cnt[1452][7]~47220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1452][7]~q\ : std_logic;
SIGNAL \WideAnd1452~0_combout\ : std_logic;
SIGNAL \WideAnd1452~combout\ : std_logic;
SIGNAL \WideAnd4021~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][0]~82094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1454][1]~47236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1454][1]~47237\ : std_logic;
SIGNAL \led_flash_cnt[1454][2]~47238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1454][2]~47239\ : std_logic;
SIGNAL \led_flash_cnt[1454][3]~47240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1454][3]~47241\ : std_logic;
SIGNAL \led_flash_cnt[1454][4]~47242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1454][4]~47243\ : std_logic;
SIGNAL \led_flash_cnt[1454][5]~47244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1454][5]~47245\ : std_logic;
SIGNAL \led_flash_cnt[1454][6]~47246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][6]~q\ : std_logic;
SIGNAL \WideAnd1454~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][6]~47247\ : std_logic;
SIGNAL \led_flash_cnt[1454][7]~47248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1454][7]~q\ : std_logic;
SIGNAL \WideAnd1454~0_combout\ : std_logic;
SIGNAL \WideAnd1454~combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][0]~82091_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1451][1]~47194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1451][1]~47195\ : std_logic;
SIGNAL \led_flash_cnt[1451][2]~47196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1451][2]~47197\ : std_logic;
SIGNAL \led_flash_cnt[1451][3]~47198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1451][3]~47199\ : std_logic;
SIGNAL \led_flash_cnt[1451][4]~47200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1451][4]~47201\ : std_logic;
SIGNAL \led_flash_cnt[1451][5]~47202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1451][5]~47203\ : std_logic;
SIGNAL \led_flash_cnt[1451][6]~47204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][6]~q\ : std_logic;
SIGNAL \WideAnd1451~1_combout\ : std_logic;
SIGNAL \WideAnd1451~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][6]~47205\ : std_logic;
SIGNAL \led_flash_cnt[1451][7]~47206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1451][7]~q\ : std_logic;
SIGNAL \WideAnd1451~combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][0]~82088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1448][1]~47152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1448][1]~47153\ : std_logic;
SIGNAL \led_flash_cnt[1448][2]~47154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1448][2]~47155\ : std_logic;
SIGNAL \led_flash_cnt[1448][3]~47156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1448][3]~47157\ : std_logic;
SIGNAL \led_flash_cnt[1448][4]~47158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1448][4]~47159\ : std_logic;
SIGNAL \led_flash_cnt[1448][5]~47160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1448][5]~47161\ : std_logic;
SIGNAL \led_flash_cnt[1448][6]~47162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][6]~q\ : std_logic;
SIGNAL \WideAnd1448~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][6]~47163\ : std_logic;
SIGNAL \led_flash_cnt[1448][7]~47164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1448][7]~q\ : std_logic;
SIGNAL \WideAnd1448~0_combout\ : std_logic;
SIGNAL \WideAnd1448~combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][0]~82090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1450][1]~47180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1450][1]~47181\ : std_logic;
SIGNAL \led_flash_cnt[1450][2]~47182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1450][2]~47183\ : std_logic;
SIGNAL \led_flash_cnt[1450][3]~47184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1450][3]~47185\ : std_logic;
SIGNAL \led_flash_cnt[1450][4]~47186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][4]~q\ : std_logic;
SIGNAL \WideAnd1450~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][4]~47187\ : std_logic;
SIGNAL \led_flash_cnt[1450][5]~47188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1450][5]~47189\ : std_logic;
SIGNAL \led_flash_cnt[1450][6]~47190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1450][6]~47191\ : std_logic;
SIGNAL \led_flash_cnt[1450][7]~47192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1450][7]~q\ : std_logic;
SIGNAL \WideAnd1450~1_combout\ : std_logic;
SIGNAL \WideAnd1450~combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][0]~82089_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1449][1]~47166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1449][1]~47167\ : std_logic;
SIGNAL \led_flash_cnt[1449][2]~47168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1449][2]~47169\ : std_logic;
SIGNAL \led_flash_cnt[1449][3]~47170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1449][3]~47171\ : std_logic;
SIGNAL \led_flash_cnt[1449][4]~47172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][4]~q\ : std_logic;
SIGNAL \WideAnd1449~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][4]~47173\ : std_logic;
SIGNAL \led_flash_cnt[1449][5]~47174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1449][5]~47175\ : std_logic;
SIGNAL \led_flash_cnt[1449][6]~47176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1449][6]~47177\ : std_logic;
SIGNAL \led_flash_cnt[1449][7]~47178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1449][7]~q\ : std_logic;
SIGNAL \WideAnd1449~1_combout\ : std_logic;
SIGNAL \WideAnd1449~combout\ : std_logic;
SIGNAL \WideAnd4021~0_combout\ : std_logic;
SIGNAL \WideAnd4021~combout\ : std_logic;
SIGNAL \WideAnd4342~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][0]~82071_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1431][1]~46914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1431][1]~46915\ : std_logic;
SIGNAL \led_flash_cnt[1431][2]~46916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1431][2]~46917\ : std_logic;
SIGNAL \led_flash_cnt[1431][3]~46918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1431][3]~46919\ : std_logic;
SIGNAL \led_flash_cnt[1431][4]~46920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1431][4]~46921\ : std_logic;
SIGNAL \led_flash_cnt[1431][5]~46922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1431][5]~46923\ : std_logic;
SIGNAL \led_flash_cnt[1431][6]~46924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][6]~q\ : std_logic;
SIGNAL \WideAnd1431~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][6]~46925\ : std_logic;
SIGNAL \led_flash_cnt[1431][7]~46926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1431][7]~q\ : std_logic;
SIGNAL \WideAnd1431~0_combout\ : std_logic;
SIGNAL \WideAnd1431~combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][0]~82070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1430][1]~46900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1430][1]~46901\ : std_logic;
SIGNAL \led_flash_cnt[1430][2]~46902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1430][2]~46903\ : std_logic;
SIGNAL \led_flash_cnt[1430][3]~46904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1430][3]~46905\ : std_logic;
SIGNAL \led_flash_cnt[1430][4]~46906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][4]~q\ : std_logic;
SIGNAL \WideAnd1430~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][4]~46907\ : std_logic;
SIGNAL \led_flash_cnt[1430][5]~46908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1430][5]~46909\ : std_logic;
SIGNAL \led_flash_cnt[1430][6]~46910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1430][6]~46911\ : std_logic;
SIGNAL \led_flash_cnt[1430][7]~46912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1430][7]~q\ : std_logic;
SIGNAL \WideAnd1430~1_combout\ : std_logic;
SIGNAL \WideAnd1430~combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][0]~82068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1428][1]~46872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1428][1]~46873\ : std_logic;
SIGNAL \led_flash_cnt[1428][2]~46874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1428][2]~46875\ : std_logic;
SIGNAL \led_flash_cnt[1428][3]~46876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1428][3]~46877\ : std_logic;
SIGNAL \led_flash_cnt[1428][4]~46878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1428][4]~46879\ : std_logic;
SIGNAL \led_flash_cnt[1428][5]~46880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1428][5]~46881\ : std_logic;
SIGNAL \led_flash_cnt[1428][6]~46882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1428][6]~46883\ : std_logic;
SIGNAL \led_flash_cnt[1428][7]~46884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1428][7]~q\ : std_logic;
SIGNAL \WideAnd1428~1_combout\ : std_logic;
SIGNAL \WideAnd1428~0_combout\ : std_logic;
SIGNAL \WideAnd1428~combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][0]~82069_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1429][1]~46886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1429][1]~46887\ : std_logic;
SIGNAL \led_flash_cnt[1429][2]~46888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1429][2]~46889\ : std_logic;
SIGNAL \led_flash_cnt[1429][3]~46890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1429][3]~46891\ : std_logic;
SIGNAL \led_flash_cnt[1429][4]~46892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1429][4]~46893\ : std_logic;
SIGNAL \led_flash_cnt[1429][5]~46894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1429][5]~46895\ : std_logic;
SIGNAL \led_flash_cnt[1429][6]~46896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][6]~q\ : std_logic;
SIGNAL \WideAnd1429~1_combout\ : std_logic;
SIGNAL \WideAnd1429~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][6]~46897\ : std_logic;
SIGNAL \led_flash_cnt[1429][7]~46898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1429][7]~q\ : std_logic;
SIGNAL \WideAnd1429~combout\ : std_logic;
SIGNAL \WideAnd4018~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][0]~82064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1424][1]~46816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1424][1]~46817\ : std_logic;
SIGNAL \led_flash_cnt[1424][2]~46818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1424][2]~46819\ : std_logic;
SIGNAL \led_flash_cnt[1424][3]~46820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1424][3]~46821\ : std_logic;
SIGNAL \led_flash_cnt[1424][4]~46822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1424][4]~46823\ : std_logic;
SIGNAL \led_flash_cnt[1424][5]~46824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1424][5]~46825\ : std_logic;
SIGNAL \led_flash_cnt[1424][6]~46826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][6]~q\ : std_logic;
SIGNAL \WideAnd1424~1_combout\ : std_logic;
SIGNAL \WideAnd1424~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][6]~46827\ : std_logic;
SIGNAL \led_flash_cnt[1424][7]~46828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1424][7]~q\ : std_logic;
SIGNAL \WideAnd1424~combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][0]~82066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1426][1]~46844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1426][1]~46845\ : std_logic;
SIGNAL \led_flash_cnt[1426][2]~46846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1426][2]~46847\ : std_logic;
SIGNAL \led_flash_cnt[1426][3]~46848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1426][3]~46849\ : std_logic;
SIGNAL \led_flash_cnt[1426][4]~46850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1426][4]~46851\ : std_logic;
SIGNAL \led_flash_cnt[1426][5]~46852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1426][5]~46853\ : std_logic;
SIGNAL \led_flash_cnt[1426][6]~46854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][6]~q\ : std_logic;
SIGNAL \WideAnd1426~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][6]~46855\ : std_logic;
SIGNAL \led_flash_cnt[1426][7]~46856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1426][7]~q\ : std_logic;
SIGNAL \WideAnd1426~0_combout\ : std_logic;
SIGNAL \WideAnd1426~combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][0]~82067_combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1427][1]~46858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1427][1]~46859\ : std_logic;
SIGNAL \led_flash_cnt[1427][2]~46860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1427][2]~46861\ : std_logic;
SIGNAL \led_flash_cnt[1427][3]~46862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1427][3]~46863\ : std_logic;
SIGNAL \led_flash_cnt[1427][4]~46864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1427][4]~46865\ : std_logic;
SIGNAL \led_flash_cnt[1427][5]~46866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1427][5]~46867\ : std_logic;
SIGNAL \led_flash_cnt[1427][6]~46868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1427][6]~46869\ : std_logic;
SIGNAL \led_flash_cnt[1427][7]~46870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1427][7]~q\ : std_logic;
SIGNAL \WideAnd1427~0_combout\ : std_logic;
SIGNAL \WideAnd1427~1_combout\ : std_logic;
SIGNAL \WideAnd1427~combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][0]~82065_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1425][1]~46830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1425][1]~46831\ : std_logic;
SIGNAL \led_flash_cnt[1425][2]~46832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1425][2]~46833\ : std_logic;
SIGNAL \led_flash_cnt[1425][3]~46834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1425][3]~46835\ : std_logic;
SIGNAL \led_flash_cnt[1425][4]~46836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][4]~q\ : std_logic;
SIGNAL \WideAnd1425~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][4]~46837\ : std_logic;
SIGNAL \led_flash_cnt[1425][5]~46838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1425][5]~46839\ : std_logic;
SIGNAL \led_flash_cnt[1425][6]~46840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][6]~q\ : std_logic;
SIGNAL \WideAnd1425~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][6]~46841\ : std_logic;
SIGNAL \led_flash_cnt[1425][7]~46842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1425][7]~q\ : std_logic;
SIGNAL \WideAnd1425~combout\ : std_logic;
SIGNAL \WideAnd4018~0_combout\ : std_logic;
SIGNAL \WideAnd4018~combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][0]~82062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1422][1]~46788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1422][1]~46789\ : std_logic;
SIGNAL \led_flash_cnt[1422][2]~46790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1422][2]~46791\ : std_logic;
SIGNAL \led_flash_cnt[1422][3]~46792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1422][3]~46793\ : std_logic;
SIGNAL \led_flash_cnt[1422][4]~46794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1422][4]~46795\ : std_logic;
SIGNAL \led_flash_cnt[1422][5]~46796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1422][5]~46797\ : std_logic;
SIGNAL \led_flash_cnt[1422][6]~46798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1422][6]~46799\ : std_logic;
SIGNAL \led_flash_cnt[1422][7]~46800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1422][7]~q\ : std_logic;
SIGNAL \WideAnd1422~1_combout\ : std_logic;
SIGNAL \WideAnd1422~0_combout\ : std_logic;
SIGNAL \WideAnd1422~combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][0]~82059_combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1419][1]~46746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1419][1]~46747\ : std_logic;
SIGNAL \led_flash_cnt[1419][2]~46748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1419][2]~46749\ : std_logic;
SIGNAL \led_flash_cnt[1419][3]~46750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1419][3]~46751\ : std_logic;
SIGNAL \led_flash_cnt[1419][4]~46752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1419][4]~46753\ : std_logic;
SIGNAL \led_flash_cnt[1419][5]~46754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1419][5]~46755\ : std_logic;
SIGNAL \led_flash_cnt[1419][6]~46756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1419][6]~46757\ : std_logic;
SIGNAL \led_flash_cnt[1419][7]~46758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1419][7]~q\ : std_logic;
SIGNAL \WideAnd1419~1_combout\ : std_logic;
SIGNAL \WideAnd1419~0_combout\ : std_logic;
SIGNAL \WideAnd1419~combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][0]~82056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1416][1]~46704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1416][1]~46705\ : std_logic;
SIGNAL \led_flash_cnt[1416][2]~46706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1416][2]~46707\ : std_logic;
SIGNAL \led_flash_cnt[1416][3]~46708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1416][3]~46709\ : std_logic;
SIGNAL \led_flash_cnt[1416][4]~46710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1416][4]~46711\ : std_logic;
SIGNAL \led_flash_cnt[1416][5]~46712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1416][5]~46713\ : std_logic;
SIGNAL \led_flash_cnt[1416][6]~46714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1416][6]~46715\ : std_logic;
SIGNAL \led_flash_cnt[1416][7]~46716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1416][7]~q\ : std_logic;
SIGNAL \WideAnd1416~0_combout\ : std_logic;
SIGNAL \WideAnd1416~1_combout\ : std_logic;
SIGNAL \WideAnd1416~combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][0]~82057_combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1417][1]~46718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1417][1]~46719\ : std_logic;
SIGNAL \led_flash_cnt[1417][2]~46720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1417][2]~46721\ : std_logic;
SIGNAL \led_flash_cnt[1417][3]~46722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1417][3]~46723\ : std_logic;
SIGNAL \led_flash_cnt[1417][4]~46724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1417][4]~46725\ : std_logic;
SIGNAL \led_flash_cnt[1417][5]~46726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1417][5]~46727\ : std_logic;
SIGNAL \led_flash_cnt[1417][6]~46728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1417][6]~46729\ : std_logic;
SIGNAL \led_flash_cnt[1417][7]~46730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1417][7]~q\ : std_logic;
SIGNAL \WideAnd1417~0_combout\ : std_logic;
SIGNAL \WideAnd1417~1_combout\ : std_logic;
SIGNAL \WideAnd1417~combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][0]~82058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1418][1]~46732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1418][1]~46733\ : std_logic;
SIGNAL \led_flash_cnt[1418][2]~46734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1418][2]~46735\ : std_logic;
SIGNAL \led_flash_cnt[1418][3]~46736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1418][3]~46737\ : std_logic;
SIGNAL \led_flash_cnt[1418][4]~46738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1418][4]~46739\ : std_logic;
SIGNAL \led_flash_cnt[1418][5]~46740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1418][5]~46741\ : std_logic;
SIGNAL \led_flash_cnt[1418][6]~46742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1418][6]~46743\ : std_logic;
SIGNAL \led_flash_cnt[1418][7]~46744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1418][7]~q\ : std_logic;
SIGNAL \WideAnd1418~0_combout\ : std_logic;
SIGNAL \WideAnd1418~1_combout\ : std_logic;
SIGNAL \WideAnd1418~combout\ : std_logic;
SIGNAL \WideAnd4017~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][0]~82063_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1423][1]~46802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1423][1]~46803\ : std_logic;
SIGNAL \led_flash_cnt[1423][2]~46804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1423][2]~46805\ : std_logic;
SIGNAL \led_flash_cnt[1423][3]~46806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1423][3]~46807\ : std_logic;
SIGNAL \led_flash_cnt[1423][4]~46808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][4]~q\ : std_logic;
SIGNAL \WideAnd1423~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][4]~46809\ : std_logic;
SIGNAL \led_flash_cnt[1423][5]~46810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1423][5]~46811\ : std_logic;
SIGNAL \led_flash_cnt[1423][6]~46812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][6]~q\ : std_logic;
SIGNAL \WideAnd1423~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][6]~46813\ : std_logic;
SIGNAL \led_flash_cnt[1423][7]~46814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1423][7]~q\ : std_logic;
SIGNAL \WideAnd1423~combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][0]~82060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1420][1]~46760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1420][1]~46761\ : std_logic;
SIGNAL \led_flash_cnt[1420][2]~46762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1420][2]~46763\ : std_logic;
SIGNAL \led_flash_cnt[1420][3]~46764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1420][3]~46765\ : std_logic;
SIGNAL \led_flash_cnt[1420][4]~46766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1420][4]~46767\ : std_logic;
SIGNAL \led_flash_cnt[1420][5]~46768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1420][5]~46769\ : std_logic;
SIGNAL \led_flash_cnt[1420][6]~46770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][6]~q\ : std_logic;
SIGNAL \WideAnd1420~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][6]~46771\ : std_logic;
SIGNAL \led_flash_cnt[1420][7]~46772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1420][7]~q\ : std_logic;
SIGNAL \WideAnd1420~0_combout\ : std_logic;
SIGNAL \WideAnd1420~combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][0]~82061_combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1421][1]~46774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1421][1]~46775\ : std_logic;
SIGNAL \led_flash_cnt[1421][2]~46776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1421][2]~46777\ : std_logic;
SIGNAL \led_flash_cnt[1421][3]~46778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1421][3]~46779\ : std_logic;
SIGNAL \led_flash_cnt[1421][4]~46780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1421][4]~46781\ : std_logic;
SIGNAL \led_flash_cnt[1421][5]~46782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1421][5]~46783\ : std_logic;
SIGNAL \led_flash_cnt[1421][6]~46784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1421][6]~46785\ : std_logic;
SIGNAL \led_flash_cnt[1421][7]~46786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1421][7]~q\ : std_logic;
SIGNAL \WideAnd1421~1_combout\ : std_logic;
SIGNAL \WideAnd1421~0_combout\ : std_logic;
SIGNAL \WideAnd1421~combout\ : std_logic;
SIGNAL \WideAnd4017~1_combout\ : std_logic;
SIGNAL \WideAnd4017~combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][0]~82048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1408][1]~46592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1408][1]~46593\ : std_logic;
SIGNAL \led_flash_cnt[1408][2]~46594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1408][2]~46595\ : std_logic;
SIGNAL \led_flash_cnt[1408][3]~46596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1408][3]~46597\ : std_logic;
SIGNAL \led_flash_cnt[1408][4]~46598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1408][4]~46599\ : std_logic;
SIGNAL \led_flash_cnt[1408][5]~46600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1408][5]~46601\ : std_logic;
SIGNAL \led_flash_cnt[1408][6]~46602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1408][6]~46603\ : std_logic;
SIGNAL \led_flash_cnt[1408][7]~46604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1408][7]~q\ : std_logic;
SIGNAL \WideAnd1408~0_combout\ : std_logic;
SIGNAL \WideAnd1408~1_combout\ : std_logic;
SIGNAL \WideAnd1408~combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][0]~82050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1410][1]~46620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1410][1]~46621\ : std_logic;
SIGNAL \led_flash_cnt[1410][2]~46622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1410][2]~46623\ : std_logic;
SIGNAL \led_flash_cnt[1410][3]~46624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1410][3]~46625\ : std_logic;
SIGNAL \led_flash_cnt[1410][4]~46626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][4]~q\ : std_logic;
SIGNAL \WideAnd1410~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][4]~46627\ : std_logic;
SIGNAL \led_flash_cnt[1410][5]~46628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1410][5]~46629\ : std_logic;
SIGNAL \led_flash_cnt[1410][6]~46630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1410][6]~46631\ : std_logic;
SIGNAL \led_flash_cnt[1410][7]~46632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1410][7]~q\ : std_logic;
SIGNAL \WideAnd1410~1_combout\ : std_logic;
SIGNAL \WideAnd1410~combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][0]~82049_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1409][1]~46606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1409][1]~46607\ : std_logic;
SIGNAL \led_flash_cnt[1409][2]~46608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1409][2]~46609\ : std_logic;
SIGNAL \led_flash_cnt[1409][3]~46610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1409][3]~46611\ : std_logic;
SIGNAL \led_flash_cnt[1409][4]~46612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][4]~q\ : std_logic;
SIGNAL \WideAnd1409~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][4]~46613\ : std_logic;
SIGNAL \led_flash_cnt[1409][5]~46614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1409][5]~46615\ : std_logic;
SIGNAL \led_flash_cnt[1409][6]~46616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1409][6]~46617\ : std_logic;
SIGNAL \led_flash_cnt[1409][7]~46618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1409][7]~q\ : std_logic;
SIGNAL \WideAnd1409~1_combout\ : std_logic;
SIGNAL \WideAnd1409~combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][0]~82051_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1411][1]~46634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1411][1]~46635\ : std_logic;
SIGNAL \led_flash_cnt[1411][2]~46636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1411][2]~46637\ : std_logic;
SIGNAL \led_flash_cnt[1411][3]~46638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1411][3]~46639\ : std_logic;
SIGNAL \led_flash_cnt[1411][4]~46640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1411][4]~46641\ : std_logic;
SIGNAL \led_flash_cnt[1411][5]~46642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1411][5]~46643\ : std_logic;
SIGNAL \led_flash_cnt[1411][6]~46644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][6]~q\ : std_logic;
SIGNAL \WideAnd1411~1_combout\ : std_logic;
SIGNAL \WideAnd1411~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][6]~46645\ : std_logic;
SIGNAL \led_flash_cnt[1411][7]~46646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1411][7]~q\ : std_logic;
SIGNAL \WideAnd1411~combout\ : std_logic;
SIGNAL \WideAnd4016~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][0]~82052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1412][1]~46648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1412][1]~46649\ : std_logic;
SIGNAL \led_flash_cnt[1412][2]~46650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1412][2]~46651\ : std_logic;
SIGNAL \led_flash_cnt[1412][3]~46652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1412][3]~46653\ : std_logic;
SIGNAL \led_flash_cnt[1412][4]~46654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][4]~q\ : std_logic;
SIGNAL \WideAnd1412~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][4]~46655\ : std_logic;
SIGNAL \led_flash_cnt[1412][5]~46656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1412][5]~46657\ : std_logic;
SIGNAL \led_flash_cnt[1412][6]~46658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1412][6]~46659\ : std_logic;
SIGNAL \led_flash_cnt[1412][7]~46660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1412][7]~q\ : std_logic;
SIGNAL \WideAnd1412~1_combout\ : std_logic;
SIGNAL \WideAnd1412~combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][0]~82053_combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1413][1]~46662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1413][1]~46663\ : std_logic;
SIGNAL \led_flash_cnt[1413][2]~46664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1413][2]~46665\ : std_logic;
SIGNAL \led_flash_cnt[1413][3]~46666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1413][3]~46667\ : std_logic;
SIGNAL \led_flash_cnt[1413][4]~46668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1413][4]~46669\ : std_logic;
SIGNAL \led_flash_cnt[1413][5]~46670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1413][5]~46671\ : std_logic;
SIGNAL \led_flash_cnt[1413][6]~46672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1413][6]~46673\ : std_logic;
SIGNAL \led_flash_cnt[1413][7]~46674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1413][7]~q\ : std_logic;
SIGNAL \WideAnd1413~1_combout\ : std_logic;
SIGNAL \WideAnd1413~0_combout\ : std_logic;
SIGNAL \WideAnd1413~combout\ : std_logic;
SIGNAL \WideAnd4016~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][0]~82055_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1415][1]~46690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1415][1]~46691\ : std_logic;
SIGNAL \led_flash_cnt[1415][2]~46692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1415][2]~46693\ : std_logic;
SIGNAL \led_flash_cnt[1415][3]~46694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1415][3]~46695\ : std_logic;
SIGNAL \led_flash_cnt[1415][4]~46696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1415][4]~46697\ : std_logic;
SIGNAL \led_flash_cnt[1415][5]~46698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1415][5]~46699\ : std_logic;
SIGNAL \led_flash_cnt[1415][6]~46700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1415][6]~46701\ : std_logic;
SIGNAL \led_flash_cnt[1415][7]~46702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1415][7]~q\ : std_logic;
SIGNAL \WideAnd1415~0_combout\ : std_logic;
SIGNAL \WideAnd1415~1_combout\ : std_logic;
SIGNAL \WideAnd1415~combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][0]~82054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1414][1]~46676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1414][1]~46677\ : std_logic;
SIGNAL \led_flash_cnt[1414][2]~46678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1414][2]~46679\ : std_logic;
SIGNAL \led_flash_cnt[1414][3]~46680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1414][3]~46681\ : std_logic;
SIGNAL \led_flash_cnt[1414][4]~46682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1414][4]~46683\ : std_logic;
SIGNAL \led_flash_cnt[1414][5]~46684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1414][5]~46685\ : std_logic;
SIGNAL \led_flash_cnt[1414][6]~46686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][6]~q\ : std_logic;
SIGNAL \WideAnd1414~1_combout\ : std_logic;
SIGNAL \WideAnd1414~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][6]~46687\ : std_logic;
SIGNAL \led_flash_cnt[1414][7]~46688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1414][7]~q\ : std_logic;
SIGNAL \WideAnd1414~combout\ : std_logic;
SIGNAL \WideAnd4016~combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][0]~82079_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1439][1]~47026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1439][1]~47027\ : std_logic;
SIGNAL \led_flash_cnt[1439][2]~47028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1439][2]~47029\ : std_logic;
SIGNAL \led_flash_cnt[1439][3]~47030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1439][3]~47031\ : std_logic;
SIGNAL \led_flash_cnt[1439][4]~47032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][4]~q\ : std_logic;
SIGNAL \WideAnd1439~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][4]~47033\ : std_logic;
SIGNAL \led_flash_cnt[1439][5]~47034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1439][5]~47035\ : std_logic;
SIGNAL \led_flash_cnt[1439][6]~47036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][6]~q\ : std_logic;
SIGNAL \WideAnd1439~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][6]~47037\ : std_logic;
SIGNAL \led_flash_cnt[1439][7]~47038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1439][7]~q\ : std_logic;
SIGNAL \WideAnd1439~combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][0]~82076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1436][1]~46984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1436][1]~46985\ : std_logic;
SIGNAL \led_flash_cnt[1436][2]~46986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1436][2]~46987\ : std_logic;
SIGNAL \led_flash_cnt[1436][3]~46988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1436][3]~46989\ : std_logic;
SIGNAL \led_flash_cnt[1436][4]~46990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1436][4]~46991\ : std_logic;
SIGNAL \led_flash_cnt[1436][5]~46992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1436][5]~46993\ : std_logic;
SIGNAL \led_flash_cnt[1436][6]~46994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][6]~q\ : std_logic;
SIGNAL \WideAnd1436~1_combout\ : std_logic;
SIGNAL \WideAnd1436~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][6]~46995\ : std_logic;
SIGNAL \led_flash_cnt[1436][7]~46996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1436][7]~q\ : std_logic;
SIGNAL \WideAnd1436~combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][0]~82077_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1437][1]~46998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1437][1]~46999\ : std_logic;
SIGNAL \led_flash_cnt[1437][2]~47000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1437][2]~47001\ : std_logic;
SIGNAL \led_flash_cnt[1437][3]~47002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1437][3]~47003\ : std_logic;
SIGNAL \led_flash_cnt[1437][4]~47004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1437][4]~47005\ : std_logic;
SIGNAL \led_flash_cnt[1437][5]~47006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1437][5]~47007\ : std_logic;
SIGNAL \led_flash_cnt[1437][6]~47008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][6]~q\ : std_logic;
SIGNAL \WideAnd1437~1_combout\ : std_logic;
SIGNAL \WideAnd1437~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][6]~47009\ : std_logic;
SIGNAL \led_flash_cnt[1437][7]~47010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1437][7]~q\ : std_logic;
SIGNAL \WideAnd1437~combout\ : std_logic;
SIGNAL \WideAnd4019~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][0]~82073_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1433][1]~46942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1433][1]~46943\ : std_logic;
SIGNAL \led_flash_cnt[1433][2]~46944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1433][2]~46945\ : std_logic;
SIGNAL \led_flash_cnt[1433][3]~46946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1433][3]~46947\ : std_logic;
SIGNAL \led_flash_cnt[1433][4]~46948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1433][4]~46949\ : std_logic;
SIGNAL \led_flash_cnt[1433][5]~46950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1433][5]~46951\ : std_logic;
SIGNAL \led_flash_cnt[1433][6]~46952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][6]~q\ : std_logic;
SIGNAL \WideAnd1433~1_combout\ : std_logic;
SIGNAL \WideAnd1433~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][6]~46953\ : std_logic;
SIGNAL \led_flash_cnt[1433][7]~46954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1433][7]~q\ : std_logic;
SIGNAL \WideAnd1433~combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][0]~82072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1432][1]~46928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1432][1]~46929\ : std_logic;
SIGNAL \led_flash_cnt[1432][2]~46930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1432][2]~46931\ : std_logic;
SIGNAL \led_flash_cnt[1432][3]~46932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1432][3]~46933\ : std_logic;
SIGNAL \led_flash_cnt[1432][4]~46934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1432][4]~46935\ : std_logic;
SIGNAL \led_flash_cnt[1432][5]~46936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1432][5]~46937\ : std_logic;
SIGNAL \led_flash_cnt[1432][6]~46938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][6]~q\ : std_logic;
SIGNAL \WideAnd1432~1_combout\ : std_logic;
SIGNAL \WideAnd1432~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][6]~46939\ : std_logic;
SIGNAL \led_flash_cnt[1432][7]~46940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1432][7]~q\ : std_logic;
SIGNAL \WideAnd1432~combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][0]~82075_combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1435][1]~46970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1435][1]~46971\ : std_logic;
SIGNAL \led_flash_cnt[1435][2]~46972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1435][2]~46973\ : std_logic;
SIGNAL \led_flash_cnt[1435][3]~46974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1435][3]~46975\ : std_logic;
SIGNAL \led_flash_cnt[1435][4]~46976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1435][4]~46977\ : std_logic;
SIGNAL \led_flash_cnt[1435][5]~46978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1435][5]~46979\ : std_logic;
SIGNAL \led_flash_cnt[1435][6]~46980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1435][6]~46981\ : std_logic;
SIGNAL \led_flash_cnt[1435][7]~46982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1435][7]~q\ : std_logic;
SIGNAL \WideAnd1435~0_combout\ : std_logic;
SIGNAL \WideAnd1435~1_combout\ : std_logic;
SIGNAL \WideAnd1435~combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][0]~82074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1434][1]~46956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1434][1]~46957\ : std_logic;
SIGNAL \led_flash_cnt[1434][2]~46958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1434][2]~46959\ : std_logic;
SIGNAL \led_flash_cnt[1434][3]~46960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1434][3]~46961\ : std_logic;
SIGNAL \led_flash_cnt[1434][4]~46962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1434][4]~46963\ : std_logic;
SIGNAL \led_flash_cnt[1434][5]~46964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1434][5]~46965\ : std_logic;
SIGNAL \led_flash_cnt[1434][6]~46966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][6]~q\ : std_logic;
SIGNAL \WideAnd1434~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][6]~46967\ : std_logic;
SIGNAL \led_flash_cnt[1434][7]~46968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1434][7]~q\ : std_logic;
SIGNAL \WideAnd1434~0_combout\ : std_logic;
SIGNAL \WideAnd1434~combout\ : std_logic;
SIGNAL \WideAnd4019~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][0]~82078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1438][1]~47012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1438][1]~47013\ : std_logic;
SIGNAL \led_flash_cnt[1438][2]~47014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1438][2]~47015\ : std_logic;
SIGNAL \led_flash_cnt[1438][3]~47016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1438][3]~47017\ : std_logic;
SIGNAL \led_flash_cnt[1438][4]~47018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][4]~q\ : std_logic;
SIGNAL \WideAnd1438~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][4]~47019\ : std_logic;
SIGNAL \led_flash_cnt[1438][5]~47020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1438][5]~47021\ : std_logic;
SIGNAL \led_flash_cnt[1438][6]~47022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][6]~q\ : std_logic;
SIGNAL \WideAnd1438~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][6]~47023\ : std_logic;
SIGNAL \led_flash_cnt[1438][7]~47024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1438][7]~q\ : std_logic;
SIGNAL \WideAnd1438~combout\ : std_logic;
SIGNAL \WideAnd4019~combout\ : std_logic;
SIGNAL \WideAnd4342~0_combout\ : std_logic;
SIGNAL \WideAnd4342~combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][0]~82149_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1509][1]~48006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1509][1]~48007\ : std_logic;
SIGNAL \led_flash_cnt[1509][2]~48008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1509][2]~48009\ : std_logic;
SIGNAL \led_flash_cnt[1509][3]~48010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1509][3]~48011\ : std_logic;
SIGNAL \led_flash_cnt[1509][4]~48012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1509][4]~48013\ : std_logic;
SIGNAL \led_flash_cnt[1509][5]~48014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1509][5]~48015\ : std_logic;
SIGNAL \led_flash_cnt[1509][6]~48016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][6]~q\ : std_logic;
SIGNAL \WideAnd1509~1_combout\ : std_logic;
SIGNAL \WideAnd1509~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][6]~48017\ : std_logic;
SIGNAL \led_flash_cnt[1509][7]~48018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1509][7]~q\ : std_logic;
SIGNAL \WideAnd1509~combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][0]~82148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1508][1]~47992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1508][1]~47993\ : std_logic;
SIGNAL \led_flash_cnt[1508][2]~47994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1508][2]~47995\ : std_logic;
SIGNAL \led_flash_cnt[1508][3]~47996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1508][3]~47997\ : std_logic;
SIGNAL \led_flash_cnt[1508][4]~47998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1508][4]~47999\ : std_logic;
SIGNAL \led_flash_cnt[1508][5]~48000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1508][5]~48001\ : std_logic;
SIGNAL \led_flash_cnt[1508][6]~48002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][6]~q\ : std_logic;
SIGNAL \WideAnd1508~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][6]~48003\ : std_logic;
SIGNAL \led_flash_cnt[1508][7]~48004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1508][7]~q\ : std_logic;
SIGNAL \WideAnd1508~0_combout\ : std_logic;
SIGNAL \WideAnd1508~combout\ : std_logic;
SIGNAL \WideAnd4028~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][0]~82151_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1511][1]~48034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1511][1]~48035\ : std_logic;
SIGNAL \led_flash_cnt[1511][2]~48036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1511][2]~48037\ : std_logic;
SIGNAL \led_flash_cnt[1511][3]~48038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1511][3]~48039\ : std_logic;
SIGNAL \led_flash_cnt[1511][4]~48040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][4]~q\ : std_logic;
SIGNAL \WideAnd1511~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][4]~48041\ : std_logic;
SIGNAL \led_flash_cnt[1511][5]~48042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1511][5]~48043\ : std_logic;
SIGNAL \led_flash_cnt[1511][6]~48044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1511][6]~48045\ : std_logic;
SIGNAL \led_flash_cnt[1511][7]~48046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1511][7]~q\ : std_logic;
SIGNAL \WideAnd1511~1_combout\ : std_logic;
SIGNAL \WideAnd1511~combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][0]~82150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1510][1]~48020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1510][1]~48021\ : std_logic;
SIGNAL \led_flash_cnt[1510][2]~48022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1510][2]~48023\ : std_logic;
SIGNAL \led_flash_cnt[1510][3]~48024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1510][3]~48025\ : std_logic;
SIGNAL \led_flash_cnt[1510][4]~48026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1510][4]~48027\ : std_logic;
SIGNAL \led_flash_cnt[1510][5]~48028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1510][5]~48029\ : std_logic;
SIGNAL \led_flash_cnt[1510][6]~48030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1510][6]~48031\ : std_logic;
SIGNAL \led_flash_cnt[1510][7]~48032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1510][7]~q\ : std_logic;
SIGNAL \WideAnd1510~0_combout\ : std_logic;
SIGNAL \WideAnd1510~1_combout\ : std_logic;
SIGNAL \WideAnd1510~combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][0]~82144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1504][1]~47936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1504][1]~47937\ : std_logic;
SIGNAL \led_flash_cnt[1504][2]~47938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1504][2]~47939\ : std_logic;
SIGNAL \led_flash_cnt[1504][3]~47940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1504][3]~47941\ : std_logic;
SIGNAL \led_flash_cnt[1504][4]~47942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1504][4]~47943\ : std_logic;
SIGNAL \led_flash_cnt[1504][5]~47944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1504][5]~47945\ : std_logic;
SIGNAL \led_flash_cnt[1504][6]~47946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1504][6]~47947\ : std_logic;
SIGNAL \led_flash_cnt[1504][7]~47948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1504][7]~q\ : std_logic;
SIGNAL \WideAnd1504~0_combout\ : std_logic;
SIGNAL \WideAnd1504~1_combout\ : std_logic;
SIGNAL \WideAnd1504~combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][0]~82147_combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1507][1]~47978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1507][1]~47979\ : std_logic;
SIGNAL \led_flash_cnt[1507][2]~47980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1507][2]~47981\ : std_logic;
SIGNAL \led_flash_cnt[1507][3]~47982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1507][3]~47983\ : std_logic;
SIGNAL \led_flash_cnt[1507][4]~47984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1507][4]~47985\ : std_logic;
SIGNAL \led_flash_cnt[1507][5]~47986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1507][5]~47987\ : std_logic;
SIGNAL \led_flash_cnt[1507][6]~47988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1507][6]~47989\ : std_logic;
SIGNAL \led_flash_cnt[1507][7]~47990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1507][7]~q\ : std_logic;
SIGNAL \WideAnd1507~1_combout\ : std_logic;
SIGNAL \WideAnd1507~0_combout\ : std_logic;
SIGNAL \WideAnd1507~combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][0]~82146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1506][1]~47964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1506][1]~47965\ : std_logic;
SIGNAL \led_flash_cnt[1506][2]~47966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1506][2]~47967\ : std_logic;
SIGNAL \led_flash_cnt[1506][3]~47968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1506][3]~47969\ : std_logic;
SIGNAL \led_flash_cnt[1506][4]~47970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1506][4]~47971\ : std_logic;
SIGNAL \led_flash_cnt[1506][5]~47972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1506][5]~47973\ : std_logic;
SIGNAL \led_flash_cnt[1506][6]~47974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1506][6]~47975\ : std_logic;
SIGNAL \led_flash_cnt[1506][7]~47976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1506][7]~q\ : std_logic;
SIGNAL \WideAnd1506~1_combout\ : std_logic;
SIGNAL \WideAnd1506~0_combout\ : std_logic;
SIGNAL \WideAnd1506~combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][0]~82145_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1505][1]~47950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1505][1]~47951\ : std_logic;
SIGNAL \led_flash_cnt[1505][2]~47952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1505][2]~47953\ : std_logic;
SIGNAL \led_flash_cnt[1505][3]~47954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1505][3]~47955\ : std_logic;
SIGNAL \led_flash_cnt[1505][4]~47956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1505][4]~47957\ : std_logic;
SIGNAL \led_flash_cnt[1505][5]~47958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1505][5]~47959\ : std_logic;
SIGNAL \led_flash_cnt[1505][6]~47960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][6]~q\ : std_logic;
SIGNAL \WideAnd1505~1_combout\ : std_logic;
SIGNAL \WideAnd1505~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][6]~47961\ : std_logic;
SIGNAL \led_flash_cnt[1505][7]~47962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1505][7]~q\ : std_logic;
SIGNAL \WideAnd1505~combout\ : std_logic;
SIGNAL \WideAnd4028~0_combout\ : std_logic;
SIGNAL \WideAnd4028~combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][0]~82152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1512][1]~48048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1512][1]~48049\ : std_logic;
SIGNAL \led_flash_cnt[1512][2]~48050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1512][2]~48051\ : std_logic;
SIGNAL \led_flash_cnt[1512][3]~48052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1512][3]~48053\ : std_logic;
SIGNAL \led_flash_cnt[1512][4]~48054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1512][4]~48055\ : std_logic;
SIGNAL \led_flash_cnt[1512][5]~48056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1512][5]~48057\ : std_logic;
SIGNAL \led_flash_cnt[1512][6]~48058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][6]~q\ : std_logic;
SIGNAL \WideAnd1512~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][6]~48059\ : std_logic;
SIGNAL \led_flash_cnt[1512][7]~48060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1512][7]~q\ : std_logic;
SIGNAL \WideAnd1512~0_combout\ : std_logic;
SIGNAL \WideAnd1512~combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][0]~82155_combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1515][1]~48090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1515][1]~48091\ : std_logic;
SIGNAL \led_flash_cnt[1515][2]~48092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1515][2]~48093\ : std_logic;
SIGNAL \led_flash_cnt[1515][3]~48094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1515][3]~48095\ : std_logic;
SIGNAL \led_flash_cnt[1515][4]~48096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1515][4]~48097\ : std_logic;
SIGNAL \led_flash_cnt[1515][5]~48098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1515][5]~48099\ : std_logic;
SIGNAL \led_flash_cnt[1515][6]~48100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1515][6]~48101\ : std_logic;
SIGNAL \led_flash_cnt[1515][7]~48102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1515][7]~q\ : std_logic;
SIGNAL \WideAnd1515~0_combout\ : std_logic;
SIGNAL \WideAnd1515~1_combout\ : std_logic;
SIGNAL \WideAnd1515~combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][0]~82154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1514][1]~48076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1514][1]~48077\ : std_logic;
SIGNAL \led_flash_cnt[1514][2]~48078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1514][2]~48079\ : std_logic;
SIGNAL \led_flash_cnt[1514][3]~48080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1514][3]~48081\ : std_logic;
SIGNAL \led_flash_cnt[1514][4]~48082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1514][4]~48083\ : std_logic;
SIGNAL \led_flash_cnt[1514][5]~48084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1514][5]~48085\ : std_logic;
SIGNAL \led_flash_cnt[1514][6]~48086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][6]~q\ : std_logic;
SIGNAL \WideAnd1514~1_combout\ : std_logic;
SIGNAL \WideAnd1514~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][6]~48087\ : std_logic;
SIGNAL \led_flash_cnt[1514][7]~48088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1514][7]~q\ : std_logic;
SIGNAL \WideAnd1514~combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][0]~82153_combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1513][1]~48062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1513][1]~48063\ : std_logic;
SIGNAL \led_flash_cnt[1513][2]~48064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1513][2]~48065\ : std_logic;
SIGNAL \led_flash_cnt[1513][3]~48066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1513][3]~48067\ : std_logic;
SIGNAL \led_flash_cnt[1513][4]~48068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1513][4]~48069\ : std_logic;
SIGNAL \led_flash_cnt[1513][5]~48070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1513][5]~48071\ : std_logic;
SIGNAL \led_flash_cnt[1513][6]~48072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1513][6]~48073\ : std_logic;
SIGNAL \led_flash_cnt[1513][7]~48074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1513][7]~q\ : std_logic;
SIGNAL \WideAnd1513~1_combout\ : std_logic;
SIGNAL \WideAnd1513~0_combout\ : std_logic;
SIGNAL \WideAnd1513~combout\ : std_logic;
SIGNAL \WideAnd4029~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][0]~82158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1518][1]~48132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1518][1]~48133\ : std_logic;
SIGNAL \led_flash_cnt[1518][2]~48134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1518][2]~48135\ : std_logic;
SIGNAL \led_flash_cnt[1518][3]~48136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1518][3]~48137\ : std_logic;
SIGNAL \led_flash_cnt[1518][4]~48138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1518][4]~48139\ : std_logic;
SIGNAL \led_flash_cnt[1518][5]~48140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1518][5]~48141\ : std_logic;
SIGNAL \led_flash_cnt[1518][6]~48142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][6]~q\ : std_logic;
SIGNAL \WideAnd1518~1_combout\ : std_logic;
SIGNAL \WideAnd1518~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][6]~48143\ : std_logic;
SIGNAL \led_flash_cnt[1518][7]~48144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1518][7]~q\ : std_logic;
SIGNAL \WideAnd1518~combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][0]~82159_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1519][1]~48146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1519][1]~48147\ : std_logic;
SIGNAL \led_flash_cnt[1519][2]~48148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1519][2]~48149\ : std_logic;
SIGNAL \led_flash_cnt[1519][3]~48150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1519][3]~48151\ : std_logic;
SIGNAL \led_flash_cnt[1519][4]~48152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][4]~q\ : std_logic;
SIGNAL \WideAnd1519~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][4]~48153\ : std_logic;
SIGNAL \led_flash_cnt[1519][5]~48154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1519][5]~48155\ : std_logic;
SIGNAL \led_flash_cnt[1519][6]~48156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][6]~q\ : std_logic;
SIGNAL \WideAnd1519~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][6]~48157\ : std_logic;
SIGNAL \led_flash_cnt[1519][7]~48158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1519][7]~q\ : std_logic;
SIGNAL \WideAnd1519~combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][0]~82156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1516][1]~48104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1516][1]~48105\ : std_logic;
SIGNAL \led_flash_cnt[1516][2]~48106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1516][2]~48107\ : std_logic;
SIGNAL \led_flash_cnt[1516][3]~48108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1516][3]~48109\ : std_logic;
SIGNAL \led_flash_cnt[1516][4]~48110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1516][4]~48111\ : std_logic;
SIGNAL \led_flash_cnt[1516][5]~48112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1516][5]~48113\ : std_logic;
SIGNAL \led_flash_cnt[1516][6]~48114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][6]~q\ : std_logic;
SIGNAL \WideAnd1516~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][6]~48115\ : std_logic;
SIGNAL \led_flash_cnt[1516][7]~48116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1516][7]~q\ : std_logic;
SIGNAL \WideAnd1516~0_combout\ : std_logic;
SIGNAL \WideAnd1516~combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][0]~82157_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1517][1]~48118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1517][1]~48119\ : std_logic;
SIGNAL \led_flash_cnt[1517][2]~48120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1517][2]~48121\ : std_logic;
SIGNAL \led_flash_cnt[1517][3]~48122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1517][3]~48123\ : std_logic;
SIGNAL \led_flash_cnt[1517][4]~48124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1517][4]~48125\ : std_logic;
SIGNAL \led_flash_cnt[1517][5]~48126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][5]~q\ : std_logic;
SIGNAL \WideAnd1517~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][5]~48127\ : std_logic;
SIGNAL \led_flash_cnt[1517][6]~48128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1517][6]~48129\ : std_logic;
SIGNAL \led_flash_cnt[1517][7]~48130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1517][7]~q\ : std_logic;
SIGNAL \WideAnd1517~1_combout\ : std_logic;
SIGNAL \WideAnd1517~combout\ : std_logic;
SIGNAL \WideAnd4029~1_combout\ : std_logic;
SIGNAL \WideAnd4029~combout\ : std_logic;
SIGNAL \WideAnd4343~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][0]~82174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1534][1]~48356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1534][1]~48357\ : std_logic;
SIGNAL \led_flash_cnt[1534][2]~48358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1534][2]~48359\ : std_logic;
SIGNAL \led_flash_cnt[1534][3]~48360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1534][3]~48361\ : std_logic;
SIGNAL \led_flash_cnt[1534][4]~48362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][4]~q\ : std_logic;
SIGNAL \WideAnd1534~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][4]~48363\ : std_logic;
SIGNAL \led_flash_cnt[1534][5]~48364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1534][5]~48365\ : std_logic;
SIGNAL \led_flash_cnt[1534][6]~48366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1534][6]~48367\ : std_logic;
SIGNAL \led_flash_cnt[1534][7]~48368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1534][7]~q\ : std_logic;
SIGNAL \WideAnd1534~1_combout\ : std_logic;
SIGNAL \WideAnd1534~combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][0]~82173_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1533][1]~48342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1533][1]~48343\ : std_logic;
SIGNAL \led_flash_cnt[1533][2]~48344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1533][2]~48345\ : std_logic;
SIGNAL \led_flash_cnt[1533][3]~48346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1533][3]~48347\ : std_logic;
SIGNAL \led_flash_cnt[1533][4]~48348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1533][4]~48349\ : std_logic;
SIGNAL \led_flash_cnt[1533][5]~48350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1533][5]~48351\ : std_logic;
SIGNAL \led_flash_cnt[1533][6]~48352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][6]~q\ : std_logic;
SIGNAL \WideAnd1533~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][6]~48353\ : std_logic;
SIGNAL \led_flash_cnt[1533][7]~48354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1533][7]~q\ : std_logic;
SIGNAL \WideAnd1533~0_combout\ : std_logic;
SIGNAL \WideAnd1533~combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][0]~82172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1532][1]~48328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1532][1]~48329\ : std_logic;
SIGNAL \led_flash_cnt[1532][2]~48330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1532][2]~48331\ : std_logic;
SIGNAL \led_flash_cnt[1532][3]~48332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1532][3]~48333\ : std_logic;
SIGNAL \led_flash_cnt[1532][4]~48334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1532][4]~48335\ : std_logic;
SIGNAL \led_flash_cnt[1532][5]~48336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1532][5]~48337\ : std_logic;
SIGNAL \led_flash_cnt[1532][6]~48338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][6]~q\ : std_logic;
SIGNAL \WideAnd1532~1_combout\ : std_logic;
SIGNAL \WideAnd1532~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][6]~48339\ : std_logic;
SIGNAL \led_flash_cnt[1532][7]~48340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1532][7]~q\ : std_logic;
SIGNAL \WideAnd1532~combout\ : std_logic;
SIGNAL \WideAnd4031~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][0]~82170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1530][1]~48300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1530][1]~48301\ : std_logic;
SIGNAL \led_flash_cnt[1530][2]~48302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1530][2]~48303\ : std_logic;
SIGNAL \led_flash_cnt[1530][3]~48304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1530][3]~48305\ : std_logic;
SIGNAL \led_flash_cnt[1530][4]~48306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][4]~q\ : std_logic;
SIGNAL \WideAnd1530~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][4]~48307\ : std_logic;
SIGNAL \led_flash_cnt[1530][5]~48308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1530][5]~48309\ : std_logic;
SIGNAL \led_flash_cnt[1530][6]~48310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1530][6]~48311\ : std_logic;
SIGNAL \led_flash_cnt[1530][7]~48312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1530][7]~q\ : std_logic;
SIGNAL \WideAnd1530~1_combout\ : std_logic;
SIGNAL \WideAnd1530~combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][0]~82171_combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1531][1]~48314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1531][1]~48315\ : std_logic;
SIGNAL \led_flash_cnt[1531][2]~48316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1531][2]~48317\ : std_logic;
SIGNAL \led_flash_cnt[1531][3]~48318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1531][3]~48319\ : std_logic;
SIGNAL \led_flash_cnt[1531][4]~48320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1531][4]~48321\ : std_logic;
SIGNAL \led_flash_cnt[1531][5]~48322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1531][5]~48323\ : std_logic;
SIGNAL \led_flash_cnt[1531][6]~48324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1531][6]~48325\ : std_logic;
SIGNAL \led_flash_cnt[1531][7]~48326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1531][7]~q\ : std_logic;
SIGNAL \WideAnd1531~1_combout\ : std_logic;
SIGNAL \WideAnd1531~0_combout\ : std_logic;
SIGNAL \WideAnd1531~combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][0]~82169_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1529][1]~48286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1529][1]~48287\ : std_logic;
SIGNAL \led_flash_cnt[1529][2]~48288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1529][2]~48289\ : std_logic;
SIGNAL \led_flash_cnt[1529][3]~48290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1529][3]~48291\ : std_logic;
SIGNAL \led_flash_cnt[1529][4]~48292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1529][4]~48293\ : std_logic;
SIGNAL \led_flash_cnt[1529][5]~48294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1529][5]~48295\ : std_logic;
SIGNAL \led_flash_cnt[1529][6]~48296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][6]~q\ : std_logic;
SIGNAL \WideAnd1529~1_combout\ : std_logic;
SIGNAL \WideAnd1529~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][6]~48297\ : std_logic;
SIGNAL \led_flash_cnt[1529][7]~48298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1529][7]~q\ : std_logic;
SIGNAL \WideAnd1529~combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][0]~82168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1528][1]~48272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1528][1]~48273\ : std_logic;
SIGNAL \led_flash_cnt[1528][2]~48274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1528][2]~48275\ : std_logic;
SIGNAL \led_flash_cnt[1528][3]~48276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1528][3]~48277\ : std_logic;
SIGNAL \led_flash_cnt[1528][4]~48278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1528][4]~48279\ : std_logic;
SIGNAL \led_flash_cnt[1528][5]~48280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1528][5]~48281\ : std_logic;
SIGNAL \led_flash_cnt[1528][6]~48282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1528][6]~48283\ : std_logic;
SIGNAL \led_flash_cnt[1528][7]~48284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1528][7]~q\ : std_logic;
SIGNAL \WideAnd1528~0_combout\ : std_logic;
SIGNAL \WideAnd1528~1_combout\ : std_logic;
SIGNAL \WideAnd1528~combout\ : std_logic;
SIGNAL \WideAnd4031~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][0]~82175_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1535][1]~48370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1535][1]~48371\ : std_logic;
SIGNAL \led_flash_cnt[1535][2]~48372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1535][2]~48373\ : std_logic;
SIGNAL \led_flash_cnt[1535][3]~48374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1535][3]~48375\ : std_logic;
SIGNAL \led_flash_cnt[1535][4]~48376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1535][4]~48377\ : std_logic;
SIGNAL \led_flash_cnt[1535][5]~48378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1535][5]~48379\ : std_logic;
SIGNAL \led_flash_cnt[1535][6]~48380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][6]~q\ : std_logic;
SIGNAL \WideAnd1535~1_combout\ : std_logic;
SIGNAL \WideAnd1535~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][6]~48381\ : std_logic;
SIGNAL \led_flash_cnt[1535][7]~48382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1535][7]~q\ : std_logic;
SIGNAL \WideAnd1535~combout\ : std_logic;
SIGNAL \WideAnd4031~combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][0]~82114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1474][1]~47516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1474][1]~47517\ : std_logic;
SIGNAL \led_flash_cnt[1474][2]~47518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1474][2]~47519\ : std_logic;
SIGNAL \led_flash_cnt[1474][3]~47520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1474][3]~47521\ : std_logic;
SIGNAL \led_flash_cnt[1474][4]~47522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1474][4]~47523\ : std_logic;
SIGNAL \led_flash_cnt[1474][5]~47524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1474][5]~47525\ : std_logic;
SIGNAL \led_flash_cnt[1474][6]~47526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1474][6]~47527\ : std_logic;
SIGNAL \led_flash_cnt[1474][7]~47528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1474][7]~q\ : std_logic;
SIGNAL \WideAnd1474~1_combout\ : std_logic;
SIGNAL \WideAnd1474~0_combout\ : std_logic;
SIGNAL \WideAnd1474~combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][0]~82113_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1473][1]~47502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1473][1]~47503\ : std_logic;
SIGNAL \led_flash_cnt[1473][2]~47504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1473][2]~47505\ : std_logic;
SIGNAL \led_flash_cnt[1473][3]~47506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1473][3]~47507\ : std_logic;
SIGNAL \led_flash_cnt[1473][4]~47508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][4]~q\ : std_logic;
SIGNAL \WideAnd1473~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][4]~47509\ : std_logic;
SIGNAL \led_flash_cnt[1473][5]~47510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1473][5]~47511\ : std_logic;
SIGNAL \led_flash_cnt[1473][6]~47512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][6]~q\ : std_logic;
SIGNAL \WideAnd1473~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][6]~47513\ : std_logic;
SIGNAL \led_flash_cnt[1473][7]~47514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1473][7]~q\ : std_logic;
SIGNAL \WideAnd1473~combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][0]~82115_combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1475][1]~47530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1475][1]~47531\ : std_logic;
SIGNAL \led_flash_cnt[1475][2]~47532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1475][2]~47533\ : std_logic;
SIGNAL \led_flash_cnt[1475][3]~47534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1475][3]~47535\ : std_logic;
SIGNAL \led_flash_cnt[1475][4]~47536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1475][4]~47537\ : std_logic;
SIGNAL \led_flash_cnt[1475][5]~47538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1475][5]~47539\ : std_logic;
SIGNAL \led_flash_cnt[1475][6]~47540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1475][6]~47541\ : std_logic;
SIGNAL \led_flash_cnt[1475][7]~47542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1475][7]~q\ : std_logic;
SIGNAL \WideAnd1475~1_combout\ : std_logic;
SIGNAL \WideAnd1475~0_combout\ : std_logic;
SIGNAL \WideAnd1475~combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][0]~82112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1472][1]~47488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1472][1]~47489\ : std_logic;
SIGNAL \led_flash_cnt[1472][2]~47490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1472][2]~47491\ : std_logic;
SIGNAL \led_flash_cnt[1472][3]~47492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1472][3]~47493\ : std_logic;
SIGNAL \led_flash_cnt[1472][4]~47494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1472][4]~47495\ : std_logic;
SIGNAL \led_flash_cnt[1472][5]~47496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1472][5]~47497\ : std_logic;
SIGNAL \led_flash_cnt[1472][6]~47498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1472][6]~47499\ : std_logic;
SIGNAL \led_flash_cnt[1472][7]~47500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1472][7]~q\ : std_logic;
SIGNAL \WideAnd1472~1_combout\ : std_logic;
SIGNAL \WideAnd1472~0_combout\ : std_logic;
SIGNAL \WideAnd1472~combout\ : std_logic;
SIGNAL \WideAnd4024~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][0]~82119_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1479][1]~47586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1479][1]~47587\ : std_logic;
SIGNAL \led_flash_cnt[1479][2]~47588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1479][2]~47589\ : std_logic;
SIGNAL \led_flash_cnt[1479][3]~47590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1479][3]~47591\ : std_logic;
SIGNAL \led_flash_cnt[1479][4]~47592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1479][4]~47593\ : std_logic;
SIGNAL \led_flash_cnt[1479][5]~47594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1479][5]~47595\ : std_logic;
SIGNAL \led_flash_cnt[1479][6]~47596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1479][6]~47597\ : std_logic;
SIGNAL \led_flash_cnt[1479][7]~47598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1479][7]~q\ : std_logic;
SIGNAL \WideAnd1479~0_combout\ : std_logic;
SIGNAL \WideAnd1479~1_combout\ : std_logic;
SIGNAL \WideAnd1479~combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][0]~82117_combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1477][1]~47558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1477][1]~47559\ : std_logic;
SIGNAL \led_flash_cnt[1477][2]~47560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1477][2]~47561\ : std_logic;
SIGNAL \led_flash_cnt[1477][3]~47562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1477][3]~47563\ : std_logic;
SIGNAL \led_flash_cnt[1477][4]~47564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1477][4]~47565\ : std_logic;
SIGNAL \led_flash_cnt[1477][5]~47566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1477][5]~47567\ : std_logic;
SIGNAL \led_flash_cnt[1477][6]~47568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1477][6]~47569\ : std_logic;
SIGNAL \led_flash_cnt[1477][7]~47570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1477][7]~q\ : std_logic;
SIGNAL \WideAnd1477~1_combout\ : std_logic;
SIGNAL \WideAnd1477~0_combout\ : std_logic;
SIGNAL \WideAnd1477~combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][0]~82116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1476][1]~47544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1476][1]~47545\ : std_logic;
SIGNAL \led_flash_cnt[1476][2]~47546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1476][2]~47547\ : std_logic;
SIGNAL \led_flash_cnt[1476][3]~47548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1476][3]~47549\ : std_logic;
SIGNAL \led_flash_cnt[1476][4]~47550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1476][4]~47551\ : std_logic;
SIGNAL \led_flash_cnt[1476][5]~47552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1476][5]~47553\ : std_logic;
SIGNAL \led_flash_cnt[1476][6]~47554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][6]~q\ : std_logic;
SIGNAL \WideAnd1476~1_combout\ : std_logic;
SIGNAL \WideAnd1476~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][6]~47555\ : std_logic;
SIGNAL \led_flash_cnt[1476][7]~47556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1476][7]~q\ : std_logic;
SIGNAL \WideAnd1476~combout\ : std_logic;
SIGNAL \WideAnd4024~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][0]~82118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1478][1]~47572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1478][1]~47573\ : std_logic;
SIGNAL \led_flash_cnt[1478][2]~47574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1478][2]~47575\ : std_logic;
SIGNAL \led_flash_cnt[1478][3]~47576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1478][3]~47577\ : std_logic;
SIGNAL \led_flash_cnt[1478][4]~47578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][4]~q\ : std_logic;
SIGNAL \WideAnd1478~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][4]~47579\ : std_logic;
SIGNAL \led_flash_cnt[1478][5]~47580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1478][5]~47581\ : std_logic;
SIGNAL \led_flash_cnt[1478][6]~47582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][6]~q\ : std_logic;
SIGNAL \WideAnd1478~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][6]~47583\ : std_logic;
SIGNAL \led_flash_cnt[1478][7]~47584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1478][7]~q\ : std_logic;
SIGNAL \WideAnd1478~combout\ : std_logic;
SIGNAL \WideAnd4024~combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][0]~82142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1502][1]~47908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1502][1]~47909\ : std_logic;
SIGNAL \led_flash_cnt[1502][2]~47910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1502][2]~47911\ : std_logic;
SIGNAL \led_flash_cnt[1502][3]~47912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1502][3]~47913\ : std_logic;
SIGNAL \led_flash_cnt[1502][4]~47914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1502][4]~47915\ : std_logic;
SIGNAL \led_flash_cnt[1502][5]~47916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1502][5]~47917\ : std_logic;
SIGNAL \led_flash_cnt[1502][6]~47918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1502][6]~47919\ : std_logic;
SIGNAL \led_flash_cnt[1502][7]~47920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1502][7]~q\ : std_logic;
SIGNAL \WideAnd1502~1_combout\ : std_logic;
SIGNAL \WideAnd1502~0_combout\ : std_logic;
SIGNAL \WideAnd1502~combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][0]~82143_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1503][1]~47922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1503][1]~47923\ : std_logic;
SIGNAL \led_flash_cnt[1503][2]~47924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1503][2]~47925\ : std_logic;
SIGNAL \led_flash_cnt[1503][3]~47926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1503][3]~47927\ : std_logic;
SIGNAL \led_flash_cnt[1503][4]~47928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1503][4]~47929\ : std_logic;
SIGNAL \led_flash_cnt[1503][5]~47930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1503][5]~47931\ : std_logic;
SIGNAL \led_flash_cnt[1503][6]~47932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][6]~q\ : std_logic;
SIGNAL \WideAnd1503~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][6]~47933\ : std_logic;
SIGNAL \led_flash_cnt[1503][7]~47934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1503][7]~q\ : std_logic;
SIGNAL \WideAnd1503~0_combout\ : std_logic;
SIGNAL \WideAnd1503~combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][0]~82140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1500][1]~47880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1500][1]~47881\ : std_logic;
SIGNAL \led_flash_cnt[1500][2]~47882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1500][2]~47883\ : std_logic;
SIGNAL \led_flash_cnt[1500][3]~47884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1500][3]~47885\ : std_logic;
SIGNAL \led_flash_cnt[1500][4]~47886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1500][4]~47887\ : std_logic;
SIGNAL \led_flash_cnt[1500][5]~47888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1500][5]~47889\ : std_logic;
SIGNAL \led_flash_cnt[1500][6]~47890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1500][6]~47891\ : std_logic;
SIGNAL \led_flash_cnt[1500][7]~47892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1500][7]~q\ : std_logic;
SIGNAL \WideAnd1500~1_combout\ : std_logic;
SIGNAL \WideAnd1500~0_combout\ : std_logic;
SIGNAL \WideAnd1500~combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][0]~82141_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1501][1]~47894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1501][1]~47895\ : std_logic;
SIGNAL \led_flash_cnt[1501][2]~47896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1501][2]~47897\ : std_logic;
SIGNAL \led_flash_cnt[1501][3]~47898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1501][3]~47899\ : std_logic;
SIGNAL \led_flash_cnt[1501][4]~47900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][4]~q\ : std_logic;
SIGNAL \WideAnd1501~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][4]~47901\ : std_logic;
SIGNAL \led_flash_cnt[1501][5]~47902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1501][5]~47903\ : std_logic;
SIGNAL \led_flash_cnt[1501][6]~47904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][6]~q\ : std_logic;
SIGNAL \WideAnd1501~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][6]~47905\ : std_logic;
SIGNAL \led_flash_cnt[1501][7]~47906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1501][7]~q\ : std_logic;
SIGNAL \WideAnd1501~combout\ : std_logic;
SIGNAL \WideAnd4027~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][0]~82138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1498][1]~47852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1498][1]~47853\ : std_logic;
SIGNAL \led_flash_cnt[1498][2]~47854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1498][2]~47855\ : std_logic;
SIGNAL \led_flash_cnt[1498][3]~47856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1498][3]~47857\ : std_logic;
SIGNAL \led_flash_cnt[1498][4]~47858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1498][4]~47859\ : std_logic;
SIGNAL \led_flash_cnt[1498][5]~47860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1498][5]~47861\ : std_logic;
SIGNAL \led_flash_cnt[1498][6]~47862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][6]~q\ : std_logic;
SIGNAL \WideAnd1498~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][6]~47863\ : std_logic;
SIGNAL \led_flash_cnt[1498][7]~47864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1498][7]~q\ : std_logic;
SIGNAL \WideAnd1498~0_combout\ : std_logic;
SIGNAL \WideAnd1498~combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][0]~82136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1496][1]~47824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1496][1]~47825\ : std_logic;
SIGNAL \led_flash_cnt[1496][2]~47826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1496][2]~47827\ : std_logic;
SIGNAL \led_flash_cnt[1496][3]~47828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1496][3]~47829\ : std_logic;
SIGNAL \led_flash_cnt[1496][4]~47830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1496][4]~47831\ : std_logic;
SIGNAL \led_flash_cnt[1496][5]~47832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1496][5]~47833\ : std_logic;
SIGNAL \led_flash_cnt[1496][6]~47834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][6]~q\ : std_logic;
SIGNAL \WideAnd1496~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][6]~47835\ : std_logic;
SIGNAL \led_flash_cnt[1496][7]~47836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1496][7]~q\ : std_logic;
SIGNAL \WideAnd1496~0_combout\ : std_logic;
SIGNAL \WideAnd1496~combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][0]~82139_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1499][1]~47866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1499][1]~47867\ : std_logic;
SIGNAL \led_flash_cnt[1499][2]~47868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1499][2]~47869\ : std_logic;
SIGNAL \led_flash_cnt[1499][3]~47870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1499][3]~47871\ : std_logic;
SIGNAL \led_flash_cnt[1499][4]~47872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][4]~q\ : std_logic;
SIGNAL \WideAnd1499~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][4]~47873\ : std_logic;
SIGNAL \led_flash_cnt[1499][5]~47874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1499][5]~47875\ : std_logic;
SIGNAL \led_flash_cnt[1499][6]~47876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1499][6]~47877\ : std_logic;
SIGNAL \led_flash_cnt[1499][7]~47878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1499][7]~q\ : std_logic;
SIGNAL \WideAnd1499~1_combout\ : std_logic;
SIGNAL \WideAnd1499~combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][0]~82137_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1497][1]~47838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1497][1]~47839\ : std_logic;
SIGNAL \led_flash_cnt[1497][2]~47840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1497][2]~47841\ : std_logic;
SIGNAL \led_flash_cnt[1497][3]~47842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1497][3]~47843\ : std_logic;
SIGNAL \led_flash_cnt[1497][4]~47844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1497][4]~47845\ : std_logic;
SIGNAL \led_flash_cnt[1497][5]~47846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1497][5]~47847\ : std_logic;
SIGNAL \led_flash_cnt[1497][6]~47848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][6]~q\ : std_logic;
SIGNAL \WideAnd1497~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][6]~47849\ : std_logic;
SIGNAL \led_flash_cnt[1497][7]~47850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1497][7]~q\ : std_logic;
SIGNAL \WideAnd1497~0_combout\ : std_logic;
SIGNAL \WideAnd1497~combout\ : std_logic;
SIGNAL \WideAnd4027~0_combout\ : std_logic;
SIGNAL \WideAnd4027~combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][0]~82129_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1489][1]~47726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1489][1]~47727\ : std_logic;
SIGNAL \led_flash_cnt[1489][2]~47728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1489][2]~47729\ : std_logic;
SIGNAL \led_flash_cnt[1489][3]~47730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1489][3]~47731\ : std_logic;
SIGNAL \led_flash_cnt[1489][4]~47732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1489][4]~47733\ : std_logic;
SIGNAL \led_flash_cnt[1489][5]~47734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1489][5]~47735\ : std_logic;
SIGNAL \led_flash_cnt[1489][6]~47736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][6]~q\ : std_logic;
SIGNAL \WideAnd1489~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][6]~47737\ : std_logic;
SIGNAL \led_flash_cnt[1489][7]~47738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1489][7]~q\ : std_logic;
SIGNAL \WideAnd1489~0_combout\ : std_logic;
SIGNAL \WideAnd1489~combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][0]~82128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1488][1]~47712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1488][1]~47713\ : std_logic;
SIGNAL \led_flash_cnt[1488][2]~47714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1488][2]~47715\ : std_logic;
SIGNAL \led_flash_cnt[1488][3]~47716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1488][3]~47717\ : std_logic;
SIGNAL \led_flash_cnt[1488][4]~47718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][4]~q\ : std_logic;
SIGNAL \WideAnd1488~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][4]~47719\ : std_logic;
SIGNAL \led_flash_cnt[1488][5]~47720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1488][5]~47721\ : std_logic;
SIGNAL \led_flash_cnt[1488][6]~47722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1488][6]~47723\ : std_logic;
SIGNAL \led_flash_cnt[1488][7]~47724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1488][7]~q\ : std_logic;
SIGNAL \WideAnd1488~1_combout\ : std_logic;
SIGNAL \WideAnd1488~combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][0]~82130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1490][1]~47740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1490][1]~47741\ : std_logic;
SIGNAL \led_flash_cnt[1490][2]~47742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1490][2]~47743\ : std_logic;
SIGNAL \led_flash_cnt[1490][3]~47744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1490][3]~47745\ : std_logic;
SIGNAL \led_flash_cnt[1490][4]~47746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][4]~q\ : std_logic;
SIGNAL \WideAnd1490~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][4]~47747\ : std_logic;
SIGNAL \led_flash_cnt[1490][5]~47748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1490][5]~47749\ : std_logic;
SIGNAL \led_flash_cnt[1490][6]~47750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1490][6]~47751\ : std_logic;
SIGNAL \led_flash_cnt[1490][7]~47752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1490][7]~q\ : std_logic;
SIGNAL \WideAnd1490~1_combout\ : std_logic;
SIGNAL \WideAnd1490~combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][0]~82131_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1491][1]~47754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1491][1]~47755\ : std_logic;
SIGNAL \led_flash_cnt[1491][2]~47756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1491][2]~47757\ : std_logic;
SIGNAL \led_flash_cnt[1491][3]~47758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1491][3]~47759\ : std_logic;
SIGNAL \led_flash_cnt[1491][4]~47760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1491][4]~47761\ : std_logic;
SIGNAL \led_flash_cnt[1491][5]~47762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1491][5]~47763\ : std_logic;
SIGNAL \led_flash_cnt[1491][6]~47764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][6]~q\ : std_logic;
SIGNAL \WideAnd1491~1_combout\ : std_logic;
SIGNAL \WideAnd1491~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][6]~47765\ : std_logic;
SIGNAL \led_flash_cnt[1491][7]~47766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1491][7]~q\ : std_logic;
SIGNAL \WideAnd1491~combout\ : std_logic;
SIGNAL \WideAnd4026~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][0]~82135_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1495][1]~47810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1495][1]~47811\ : std_logic;
SIGNAL \led_flash_cnt[1495][2]~47812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1495][2]~47813\ : std_logic;
SIGNAL \led_flash_cnt[1495][3]~47814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1495][3]~47815\ : std_logic;
SIGNAL \led_flash_cnt[1495][4]~47816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1495][4]~47817\ : std_logic;
SIGNAL \led_flash_cnt[1495][5]~47818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1495][5]~47819\ : std_logic;
SIGNAL \led_flash_cnt[1495][6]~47820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][6]~q\ : std_logic;
SIGNAL \WideAnd1495~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][6]~47821\ : std_logic;
SIGNAL \led_flash_cnt[1495][7]~47822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1495][7]~q\ : std_logic;
SIGNAL \WideAnd1495~0_combout\ : std_logic;
SIGNAL \WideAnd1495~combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][0]~82133_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1493][1]~47782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1493][1]~47783\ : std_logic;
SIGNAL \led_flash_cnt[1493][2]~47784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1493][2]~47785\ : std_logic;
SIGNAL \led_flash_cnt[1493][3]~47786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1493][3]~47787\ : std_logic;
SIGNAL \led_flash_cnt[1493][4]~47788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][4]~q\ : std_logic;
SIGNAL \WideAnd1493~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][4]~47789\ : std_logic;
SIGNAL \led_flash_cnt[1493][5]~47790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1493][5]~47791\ : std_logic;
SIGNAL \led_flash_cnt[1493][6]~47792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1493][6]~47793\ : std_logic;
SIGNAL \led_flash_cnt[1493][7]~47794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1493][7]~q\ : std_logic;
SIGNAL \WideAnd1493~1_combout\ : std_logic;
SIGNAL \WideAnd1493~combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][0]~82132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1492][1]~47768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1492][1]~47769\ : std_logic;
SIGNAL \led_flash_cnt[1492][2]~47770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1492][2]~47771\ : std_logic;
SIGNAL \led_flash_cnt[1492][3]~47772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1492][3]~47773\ : std_logic;
SIGNAL \led_flash_cnt[1492][4]~47774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1492][4]~47775\ : std_logic;
SIGNAL \led_flash_cnt[1492][5]~47776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1492][5]~47777\ : std_logic;
SIGNAL \led_flash_cnt[1492][6]~47778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][6]~q\ : std_logic;
SIGNAL \WideAnd1492~1_combout\ : std_logic;
SIGNAL \WideAnd1492~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][6]~47779\ : std_logic;
SIGNAL \led_flash_cnt[1492][7]~47780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1492][7]~q\ : std_logic;
SIGNAL \WideAnd1492~combout\ : std_logic;
SIGNAL \WideAnd4026~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][0]~82134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1494][1]~47796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1494][1]~47797\ : std_logic;
SIGNAL \led_flash_cnt[1494][2]~47798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1494][2]~47799\ : std_logic;
SIGNAL \led_flash_cnt[1494][3]~47800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1494][3]~47801\ : std_logic;
SIGNAL \led_flash_cnt[1494][4]~47802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][4]~q\ : std_logic;
SIGNAL \WideAnd1494~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][4]~47803\ : std_logic;
SIGNAL \led_flash_cnt[1494][5]~47804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1494][5]~47805\ : std_logic;
SIGNAL \led_flash_cnt[1494][6]~47806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1494][6]~47807\ : std_logic;
SIGNAL \led_flash_cnt[1494][7]~47808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1494][7]~q\ : std_logic;
SIGNAL \WideAnd1494~1_combout\ : std_logic;
SIGNAL \WideAnd1494~combout\ : std_logic;
SIGNAL \WideAnd4026~combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][0]~82126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1486][1]~47684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1486][1]~47685\ : std_logic;
SIGNAL \led_flash_cnt[1486][2]~47686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1486][2]~47687\ : std_logic;
SIGNAL \led_flash_cnt[1486][3]~47688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1486][3]~47689\ : std_logic;
SIGNAL \led_flash_cnt[1486][4]~47690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1486][4]~47691\ : std_logic;
SIGNAL \led_flash_cnt[1486][5]~47692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1486][5]~47693\ : std_logic;
SIGNAL \led_flash_cnt[1486][6]~47694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][6]~q\ : std_logic;
SIGNAL \WideAnd1486~1_combout\ : std_logic;
SIGNAL \WideAnd1486~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][6]~47695\ : std_logic;
SIGNAL \led_flash_cnt[1486][7]~47696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1486][7]~q\ : std_logic;
SIGNAL \WideAnd1486~combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][0]~82120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1480][1]~47600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1480][1]~47601\ : std_logic;
SIGNAL \led_flash_cnt[1480][2]~47602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1480][2]~47603\ : std_logic;
SIGNAL \led_flash_cnt[1480][3]~47604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1480][3]~47605\ : std_logic;
SIGNAL \led_flash_cnt[1480][4]~47606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1480][4]~47607\ : std_logic;
SIGNAL \led_flash_cnt[1480][5]~47608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1480][5]~47609\ : std_logic;
SIGNAL \led_flash_cnt[1480][6]~47610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1480][6]~47611\ : std_logic;
SIGNAL \led_flash_cnt[1480][7]~47612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1480][7]~q\ : std_logic;
SIGNAL \WideAnd1480~1_combout\ : std_logic;
SIGNAL \WideAnd1480~0_combout\ : std_logic;
SIGNAL \WideAnd1480~combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][0]~82121_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1481][1]~47614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1481][1]~47615\ : std_logic;
SIGNAL \led_flash_cnt[1481][2]~47616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1481][2]~47617\ : std_logic;
SIGNAL \led_flash_cnt[1481][3]~47618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1481][3]~47619\ : std_logic;
SIGNAL \led_flash_cnt[1481][4]~47620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][4]~q\ : std_logic;
SIGNAL \WideAnd1481~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][4]~47621\ : std_logic;
SIGNAL \led_flash_cnt[1481][5]~47622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1481][5]~47623\ : std_logic;
SIGNAL \led_flash_cnt[1481][6]~47624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1481][6]~47625\ : std_logic;
SIGNAL \led_flash_cnt[1481][7]~47626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1481][7]~q\ : std_logic;
SIGNAL \WideAnd1481~1_combout\ : std_logic;
SIGNAL \WideAnd1481~combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][0]~82122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1482][1]~47628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1482][1]~47629\ : std_logic;
SIGNAL \led_flash_cnt[1482][2]~47630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1482][2]~47631\ : std_logic;
SIGNAL \led_flash_cnt[1482][3]~47632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1482][3]~47633\ : std_logic;
SIGNAL \led_flash_cnt[1482][4]~47634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1482][4]~47635\ : std_logic;
SIGNAL \led_flash_cnt[1482][5]~47636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1482][5]~47637\ : std_logic;
SIGNAL \led_flash_cnt[1482][6]~47638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1482][6]~47639\ : std_logic;
SIGNAL \led_flash_cnt[1482][7]~47640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1482][7]~q\ : std_logic;
SIGNAL \WideAnd1482~0_combout\ : std_logic;
SIGNAL \WideAnd1482~1_combout\ : std_logic;
SIGNAL \WideAnd1482~combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][0]~82123_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1483][1]~47642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1483][1]~47643\ : std_logic;
SIGNAL \led_flash_cnt[1483][2]~47644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1483][2]~47645\ : std_logic;
SIGNAL \led_flash_cnt[1483][3]~47646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1483][3]~47647\ : std_logic;
SIGNAL \led_flash_cnt[1483][4]~47648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][4]~q\ : std_logic;
SIGNAL \WideAnd1483~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][4]~47649\ : std_logic;
SIGNAL \led_flash_cnt[1483][5]~47650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1483][5]~47651\ : std_logic;
SIGNAL \led_flash_cnt[1483][6]~47652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][6]~q\ : std_logic;
SIGNAL \WideAnd1483~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][6]~47653\ : std_logic;
SIGNAL \led_flash_cnt[1483][7]~47654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1483][7]~q\ : std_logic;
SIGNAL \WideAnd1483~combout\ : std_logic;
SIGNAL \WideAnd4025~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][0]~82125_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1485][1]~47670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1485][1]~47671\ : std_logic;
SIGNAL \led_flash_cnt[1485][2]~47672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1485][2]~47673\ : std_logic;
SIGNAL \led_flash_cnt[1485][3]~47674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1485][3]~47675\ : std_logic;
SIGNAL \led_flash_cnt[1485][4]~47676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][4]~q\ : std_logic;
SIGNAL \WideAnd1485~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][4]~47677\ : std_logic;
SIGNAL \led_flash_cnt[1485][5]~47678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1485][5]~47679\ : std_logic;
SIGNAL \led_flash_cnt[1485][6]~47680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1485][6]~47681\ : std_logic;
SIGNAL \led_flash_cnt[1485][7]~47682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1485][7]~q\ : std_logic;
SIGNAL \WideAnd1485~1_combout\ : std_logic;
SIGNAL \WideAnd1485~combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][0]~82124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1484][1]~47656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1484][1]~47657\ : std_logic;
SIGNAL \led_flash_cnt[1484][2]~47658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1484][2]~47659\ : std_logic;
SIGNAL \led_flash_cnt[1484][3]~47660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1484][3]~47661\ : std_logic;
SIGNAL \led_flash_cnt[1484][4]~47662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][4]~q\ : std_logic;
SIGNAL \WideAnd1484~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][4]~47663\ : std_logic;
SIGNAL \led_flash_cnt[1484][5]~47664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1484][5]~47665\ : std_logic;
SIGNAL \led_flash_cnt[1484][6]~47666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][6]~q\ : std_logic;
SIGNAL \WideAnd1484~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][6]~47667\ : std_logic;
SIGNAL \led_flash_cnt[1484][7]~47668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1484][7]~q\ : std_logic;
SIGNAL \WideAnd1484~combout\ : std_logic;
SIGNAL \WideAnd4025~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][0]~82127_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1487][1]~47698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1487][1]~47699\ : std_logic;
SIGNAL \led_flash_cnt[1487][2]~47700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1487][2]~47701\ : std_logic;
SIGNAL \led_flash_cnt[1487][3]~47702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1487][3]~47703\ : std_logic;
SIGNAL \led_flash_cnt[1487][4]~47704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1487][4]~47705\ : std_logic;
SIGNAL \led_flash_cnt[1487][5]~47706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1487][5]~47707\ : std_logic;
SIGNAL \led_flash_cnt[1487][6]~47708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][6]~q\ : std_logic;
SIGNAL \WideAnd1487~1_combout\ : std_logic;
SIGNAL \WideAnd1487~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][6]~47709\ : std_logic;
SIGNAL \led_flash_cnt[1487][7]~47710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1487][7]~q\ : std_logic;
SIGNAL \WideAnd1487~combout\ : std_logic;
SIGNAL \WideAnd4025~combout\ : std_logic;
SIGNAL \WideAnd4343~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][0]~82162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1522][1]~48188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1522][1]~48189\ : std_logic;
SIGNAL \led_flash_cnt[1522][2]~48190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1522][2]~48191\ : std_logic;
SIGNAL \led_flash_cnt[1522][3]~48192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1522][3]~48193\ : std_logic;
SIGNAL \led_flash_cnt[1522][4]~48194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1522][4]~48195\ : std_logic;
SIGNAL \led_flash_cnt[1522][5]~48196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1522][5]~48197\ : std_logic;
SIGNAL \led_flash_cnt[1522][6]~48198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][6]~q\ : std_logic;
SIGNAL \WideAnd1522~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][6]~48199\ : std_logic;
SIGNAL \led_flash_cnt[1522][7]~48200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1522][7]~q\ : std_logic;
SIGNAL \WideAnd1522~0_combout\ : std_logic;
SIGNAL \WideAnd1522~combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][0]~82163_combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1523][1]~48202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1523][1]~48203\ : std_logic;
SIGNAL \led_flash_cnt[1523][2]~48204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1523][2]~48205\ : std_logic;
SIGNAL \led_flash_cnt[1523][3]~48206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1523][3]~48207\ : std_logic;
SIGNAL \led_flash_cnt[1523][4]~48208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1523][4]~48209\ : std_logic;
SIGNAL \led_flash_cnt[1523][5]~48210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1523][5]~48211\ : std_logic;
SIGNAL \led_flash_cnt[1523][6]~48212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1523][6]~48213\ : std_logic;
SIGNAL \led_flash_cnt[1523][7]~48214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1523][7]~q\ : std_logic;
SIGNAL \WideAnd1523~0_combout\ : std_logic;
SIGNAL \WideAnd1523~1_combout\ : std_logic;
SIGNAL \WideAnd1523~combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][0]~82160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1520][1]~48160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1520][1]~48161\ : std_logic;
SIGNAL \led_flash_cnt[1520][2]~48162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1520][2]~48163\ : std_logic;
SIGNAL \led_flash_cnt[1520][3]~48164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1520][3]~48165\ : std_logic;
SIGNAL \led_flash_cnt[1520][4]~48166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1520][4]~48167\ : std_logic;
SIGNAL \led_flash_cnt[1520][5]~48168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1520][5]~48169\ : std_logic;
SIGNAL \led_flash_cnt[1520][6]~48170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][6]~q\ : std_logic;
SIGNAL \WideAnd1520~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][6]~48171\ : std_logic;
SIGNAL \led_flash_cnt[1520][7]~48172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1520][7]~q\ : std_logic;
SIGNAL \WideAnd1520~0_combout\ : std_logic;
SIGNAL \WideAnd1520~combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][0]~82161_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1521][1]~48174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1521][1]~48175\ : std_logic;
SIGNAL \led_flash_cnt[1521][2]~48176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1521][2]~48177\ : std_logic;
SIGNAL \led_flash_cnt[1521][3]~48178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1521][3]~48179\ : std_logic;
SIGNAL \led_flash_cnt[1521][4]~48180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1521][4]~48181\ : std_logic;
SIGNAL \led_flash_cnt[1521][5]~48182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1521][5]~48183\ : std_logic;
SIGNAL \led_flash_cnt[1521][6]~48184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][6]~q\ : std_logic;
SIGNAL \WideAnd1521~1_combout\ : std_logic;
SIGNAL \WideAnd1521~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][6]~48185\ : std_logic;
SIGNAL \led_flash_cnt[1521][7]~48186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1521][7]~q\ : std_logic;
SIGNAL \WideAnd1521~combout\ : std_logic;
SIGNAL \WideAnd4030~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][0]~82167_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1527][1]~48258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1527][1]~48259\ : std_logic;
SIGNAL \led_flash_cnt[1527][2]~48260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1527][2]~48261\ : std_logic;
SIGNAL \led_flash_cnt[1527][3]~48262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1527][3]~48263\ : std_logic;
SIGNAL \led_flash_cnt[1527][4]~48264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1527][4]~48265\ : std_logic;
SIGNAL \led_flash_cnt[1527][5]~48266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1527][5]~48267\ : std_logic;
SIGNAL \led_flash_cnt[1527][6]~48268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1527][6]~48269\ : std_logic;
SIGNAL \led_flash_cnt[1527][7]~48270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1527][7]~q\ : std_logic;
SIGNAL \WideAnd1527~1_combout\ : std_logic;
SIGNAL \WideAnd1527~0_combout\ : std_logic;
SIGNAL \WideAnd1527~combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][0]~82164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1524][1]~48216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1524][1]~48217\ : std_logic;
SIGNAL \led_flash_cnt[1524][2]~48218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1524][2]~48219\ : std_logic;
SIGNAL \led_flash_cnt[1524][3]~48220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1524][3]~48221\ : std_logic;
SIGNAL \led_flash_cnt[1524][4]~48222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1524][4]~48223\ : std_logic;
SIGNAL \led_flash_cnt[1524][5]~48224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1524][5]~48225\ : std_logic;
SIGNAL \led_flash_cnt[1524][6]~48226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1524][6]~48227\ : std_logic;
SIGNAL \led_flash_cnt[1524][7]~48228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1524][7]~q\ : std_logic;
SIGNAL \WideAnd1524~0_combout\ : std_logic;
SIGNAL \WideAnd1524~1_combout\ : std_logic;
SIGNAL \WideAnd1524~combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][0]~82165_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1525][1]~48230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1525][1]~48231\ : std_logic;
SIGNAL \led_flash_cnt[1525][2]~48232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1525][2]~48233\ : std_logic;
SIGNAL \led_flash_cnt[1525][3]~48234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1525][3]~48235\ : std_logic;
SIGNAL \led_flash_cnt[1525][4]~48236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][4]~q\ : std_logic;
SIGNAL \WideAnd1525~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][4]~48237\ : std_logic;
SIGNAL \led_flash_cnt[1525][5]~48238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1525][5]~48239\ : std_logic;
SIGNAL \led_flash_cnt[1525][6]~48240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][6]~q\ : std_logic;
SIGNAL \WideAnd1525~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][6]~48241\ : std_logic;
SIGNAL \led_flash_cnt[1525][7]~48242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1525][7]~q\ : std_logic;
SIGNAL \WideAnd1525~combout\ : std_logic;
SIGNAL \WideAnd4030~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][0]~82166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1526][1]~48244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1526][1]~48245\ : std_logic;
SIGNAL \led_flash_cnt[1526][2]~48246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1526][2]~48247\ : std_logic;
SIGNAL \led_flash_cnt[1526][3]~48248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1526][3]~48249\ : std_logic;
SIGNAL \led_flash_cnt[1526][4]~48250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1526][4]~48251\ : std_logic;
SIGNAL \led_flash_cnt[1526][5]~48252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1526][5]~48253\ : std_logic;
SIGNAL \led_flash_cnt[1526][6]~48254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1526][6]~48255\ : std_logic;
SIGNAL \led_flash_cnt[1526][7]~48256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1526][7]~q\ : std_logic;
SIGNAL \WideAnd1526~1_combout\ : std_logic;
SIGNAL \WideAnd1526~0_combout\ : std_logic;
SIGNAL \WideAnd1526~combout\ : std_logic;
SIGNAL \WideAnd4030~combout\ : std_logic;
SIGNAL \WideAnd4343~combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][0]~81995_combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1355][1]~45850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1355][1]~45851\ : std_logic;
SIGNAL \led_flash_cnt[1355][2]~45852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1355][2]~45853\ : std_logic;
SIGNAL \led_flash_cnt[1355][3]~45854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1355][3]~45855\ : std_logic;
SIGNAL \led_flash_cnt[1355][4]~45856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1355][4]~45857\ : std_logic;
SIGNAL \led_flash_cnt[1355][5]~45858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1355][5]~45859\ : std_logic;
SIGNAL \led_flash_cnt[1355][6]~45860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1355][6]~45861\ : std_logic;
SIGNAL \led_flash_cnt[1355][7]~45862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1355][7]~q\ : std_logic;
SIGNAL \WideAnd1355~1_combout\ : std_logic;
SIGNAL \WideAnd1355~0_combout\ : std_logic;
SIGNAL \WideAnd1355~combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][0]~81993_combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1353][1]~45822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1353][1]~45823\ : std_logic;
SIGNAL \led_flash_cnt[1353][2]~45824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1353][2]~45825\ : std_logic;
SIGNAL \led_flash_cnt[1353][3]~45826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1353][3]~45827\ : std_logic;
SIGNAL \led_flash_cnt[1353][4]~45828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1353][4]~45829\ : std_logic;
SIGNAL \led_flash_cnt[1353][5]~45830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1353][5]~45831\ : std_logic;
SIGNAL \led_flash_cnt[1353][6]~45832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1353][6]~45833\ : std_logic;
SIGNAL \led_flash_cnt[1353][7]~45834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1353][7]~q\ : std_logic;
SIGNAL \WideAnd1353~1_combout\ : std_logic;
SIGNAL \WideAnd1353~0_combout\ : std_logic;
SIGNAL \WideAnd1353~combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][0]~81992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1352][1]~45808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1352][1]~45809\ : std_logic;
SIGNAL \led_flash_cnt[1352][2]~45810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1352][2]~45811\ : std_logic;
SIGNAL \led_flash_cnt[1352][3]~45812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1352][3]~45813\ : std_logic;
SIGNAL \led_flash_cnt[1352][4]~45814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1352][4]~45815\ : std_logic;
SIGNAL \led_flash_cnt[1352][5]~45816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1352][5]~45817\ : std_logic;
SIGNAL \led_flash_cnt[1352][6]~45818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][6]~q\ : std_logic;
SIGNAL \WideAnd1352~1_combout\ : std_logic;
SIGNAL \WideAnd1352~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][6]~45819\ : std_logic;
SIGNAL \led_flash_cnt[1352][7]~45820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1352][7]~q\ : std_logic;
SIGNAL \WideAnd1352~combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][0]~81994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1354][1]~45836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1354][1]~45837\ : std_logic;
SIGNAL \led_flash_cnt[1354][2]~45838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1354][2]~45839\ : std_logic;
SIGNAL \led_flash_cnt[1354][3]~45840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1354][3]~45841\ : std_logic;
SIGNAL \led_flash_cnt[1354][4]~45842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][4]~q\ : std_logic;
SIGNAL \WideAnd1354~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][4]~45843\ : std_logic;
SIGNAL \led_flash_cnt[1354][5]~45844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1354][5]~45845\ : std_logic;
SIGNAL \led_flash_cnt[1354][6]~45846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][6]~q\ : std_logic;
SIGNAL \WideAnd1354~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][6]~45847\ : std_logic;
SIGNAL \led_flash_cnt[1354][7]~45848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1354][7]~q\ : std_logic;
SIGNAL \WideAnd1354~combout\ : std_logic;
SIGNAL \WideAnd4009~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][0]~81999_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1359][1]~45906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1359][1]~45907\ : std_logic;
SIGNAL \led_flash_cnt[1359][2]~45908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1359][2]~45909\ : std_logic;
SIGNAL \led_flash_cnt[1359][3]~45910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1359][3]~45911\ : std_logic;
SIGNAL \led_flash_cnt[1359][4]~45912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1359][4]~45913\ : std_logic;
SIGNAL \led_flash_cnt[1359][5]~45914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1359][5]~45915\ : std_logic;
SIGNAL \led_flash_cnt[1359][6]~45916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][6]~q\ : std_logic;
SIGNAL \WideAnd1359~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][6]~45917\ : std_logic;
SIGNAL \led_flash_cnt[1359][7]~45918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1359][7]~q\ : std_logic;
SIGNAL \WideAnd1359~0_combout\ : std_logic;
SIGNAL \WideAnd1359~combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][0]~81998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1358][1]~45892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1358][1]~45893\ : std_logic;
SIGNAL \led_flash_cnt[1358][2]~45894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1358][2]~45895\ : std_logic;
SIGNAL \led_flash_cnt[1358][3]~45896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1358][3]~45897\ : std_logic;
SIGNAL \led_flash_cnt[1358][4]~45898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1358][4]~45899\ : std_logic;
SIGNAL \led_flash_cnt[1358][5]~45900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1358][5]~45901\ : std_logic;
SIGNAL \led_flash_cnt[1358][6]~45902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][6]~q\ : std_logic;
SIGNAL \WideAnd1358~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][6]~45903\ : std_logic;
SIGNAL \led_flash_cnt[1358][7]~45904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1358][7]~q\ : std_logic;
SIGNAL \WideAnd1358~0_combout\ : std_logic;
SIGNAL \WideAnd1358~combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][0]~81997_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1357][1]~45878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1357][1]~45879\ : std_logic;
SIGNAL \led_flash_cnt[1357][2]~45880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1357][2]~45881\ : std_logic;
SIGNAL \led_flash_cnt[1357][3]~45882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1357][3]~45883\ : std_logic;
SIGNAL \led_flash_cnt[1357][4]~45884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][4]~q\ : std_logic;
SIGNAL \WideAnd1357~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][4]~45885\ : std_logic;
SIGNAL \led_flash_cnt[1357][5]~45886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1357][5]~45887\ : std_logic;
SIGNAL \led_flash_cnt[1357][6]~45888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1357][6]~45889\ : std_logic;
SIGNAL \led_flash_cnt[1357][7]~45890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1357][7]~q\ : std_logic;
SIGNAL \WideAnd1357~1_combout\ : std_logic;
SIGNAL \WideAnd1357~combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][0]~81996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1356][1]~45864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1356][1]~45865\ : std_logic;
SIGNAL \led_flash_cnt[1356][2]~45866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1356][2]~45867\ : std_logic;
SIGNAL \led_flash_cnt[1356][3]~45868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1356][3]~45869\ : std_logic;
SIGNAL \led_flash_cnt[1356][4]~45870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1356][4]~45871\ : std_logic;
SIGNAL \led_flash_cnt[1356][5]~45872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1356][5]~45873\ : std_logic;
SIGNAL \led_flash_cnt[1356][6]~45874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][6]~q\ : std_logic;
SIGNAL \WideAnd1356~1_combout\ : std_logic;
SIGNAL \WideAnd1356~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][6]~45875\ : std_logic;
SIGNAL \led_flash_cnt[1356][7]~45876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1356][7]~q\ : std_logic;
SIGNAL \WideAnd1356~combout\ : std_logic;
SIGNAL \WideAnd4009~1_combout\ : std_logic;
SIGNAL \WideAnd4009~combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][0]~82010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1370][1]~46060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1370][1]~46061\ : std_logic;
SIGNAL \led_flash_cnt[1370][2]~46062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1370][2]~46063\ : std_logic;
SIGNAL \led_flash_cnt[1370][3]~46064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1370][3]~46065\ : std_logic;
SIGNAL \led_flash_cnt[1370][4]~46066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1370][4]~46067\ : std_logic;
SIGNAL \led_flash_cnt[1370][5]~46068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1370][5]~46069\ : std_logic;
SIGNAL \led_flash_cnt[1370][6]~46070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][6]~q\ : std_logic;
SIGNAL \WideAnd1370~1_combout\ : std_logic;
SIGNAL \WideAnd1370~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][6]~46071\ : std_logic;
SIGNAL \led_flash_cnt[1370][7]~46072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1370][7]~q\ : std_logic;
SIGNAL \WideAnd1370~combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][0]~82009_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1369][1]~46046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1369][1]~46047\ : std_logic;
SIGNAL \led_flash_cnt[1369][2]~46048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1369][2]~46049\ : std_logic;
SIGNAL \led_flash_cnt[1369][3]~46050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1369][3]~46051\ : std_logic;
SIGNAL \led_flash_cnt[1369][4]~46052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1369][4]~46053\ : std_logic;
SIGNAL \led_flash_cnt[1369][5]~46054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1369][5]~46055\ : std_logic;
SIGNAL \led_flash_cnt[1369][6]~46056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][6]~q\ : std_logic;
SIGNAL \WideAnd1369~1_combout\ : std_logic;
SIGNAL \WideAnd1369~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][6]~46057\ : std_logic;
SIGNAL \led_flash_cnt[1369][7]~46058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1369][7]~q\ : std_logic;
SIGNAL \WideAnd1369~combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][0]~82011_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1371][1]~46074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1371][1]~46075\ : std_logic;
SIGNAL \led_flash_cnt[1371][2]~46076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1371][2]~46077\ : std_logic;
SIGNAL \led_flash_cnt[1371][3]~46078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1371][3]~46079\ : std_logic;
SIGNAL \led_flash_cnt[1371][4]~46080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1371][4]~46081\ : std_logic;
SIGNAL \led_flash_cnt[1371][5]~46082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1371][5]~46083\ : std_logic;
SIGNAL \led_flash_cnt[1371][6]~46084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][6]~q\ : std_logic;
SIGNAL \WideAnd1371~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][6]~46085\ : std_logic;
SIGNAL \led_flash_cnt[1371][7]~46086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1371][7]~q\ : std_logic;
SIGNAL \WideAnd1371~0_combout\ : std_logic;
SIGNAL \WideAnd1371~combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][0]~82008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1368][1]~46032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1368][1]~46033\ : std_logic;
SIGNAL \led_flash_cnt[1368][2]~46034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1368][2]~46035\ : std_logic;
SIGNAL \led_flash_cnt[1368][3]~46036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1368][3]~46037\ : std_logic;
SIGNAL \led_flash_cnt[1368][4]~46038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1368][4]~46039\ : std_logic;
SIGNAL \led_flash_cnt[1368][5]~46040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1368][5]~46041\ : std_logic;
SIGNAL \led_flash_cnt[1368][6]~46042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][6]~q\ : std_logic;
SIGNAL \WideAnd1368~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][6]~46043\ : std_logic;
SIGNAL \led_flash_cnt[1368][7]~46044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1368][7]~q\ : std_logic;
SIGNAL \WideAnd1368~0_combout\ : std_logic;
SIGNAL \WideAnd1368~combout\ : std_logic;
SIGNAL \WideAnd4011~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][0]~82014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1374][1]~46116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1374][1]~46117\ : std_logic;
SIGNAL \led_flash_cnt[1374][2]~46118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1374][2]~46119\ : std_logic;
SIGNAL \led_flash_cnt[1374][3]~46120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1374][3]~46121\ : std_logic;
SIGNAL \led_flash_cnt[1374][4]~46122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][4]~q\ : std_logic;
SIGNAL \WideAnd1374~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][4]~46123\ : std_logic;
SIGNAL \led_flash_cnt[1374][5]~46124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1374][5]~46125\ : std_logic;
SIGNAL \led_flash_cnt[1374][6]~46126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1374][6]~46127\ : std_logic;
SIGNAL \led_flash_cnt[1374][7]~46128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1374][7]~q\ : std_logic;
SIGNAL \WideAnd1374~1_combout\ : std_logic;
SIGNAL \WideAnd1374~combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][0]~82015_combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1375][1]~46130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1375][1]~46131\ : std_logic;
SIGNAL \led_flash_cnt[1375][2]~46132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1375][2]~46133\ : std_logic;
SIGNAL \led_flash_cnt[1375][3]~46134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1375][3]~46135\ : std_logic;
SIGNAL \led_flash_cnt[1375][4]~46136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1375][4]~46137\ : std_logic;
SIGNAL \led_flash_cnt[1375][5]~46138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1375][5]~46139\ : std_logic;
SIGNAL \led_flash_cnt[1375][6]~46140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1375][6]~46141\ : std_logic;
SIGNAL \led_flash_cnt[1375][7]~46142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1375][7]~q\ : std_logic;
SIGNAL \WideAnd1375~1_combout\ : std_logic;
SIGNAL \WideAnd1375~0_combout\ : std_logic;
SIGNAL \WideAnd1375~combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][0]~82013_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1373][1]~46102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1373][1]~46103\ : std_logic;
SIGNAL \led_flash_cnt[1373][2]~46104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1373][2]~46105\ : std_logic;
SIGNAL \led_flash_cnt[1373][3]~46106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1373][3]~46107\ : std_logic;
SIGNAL \led_flash_cnt[1373][4]~46108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1373][4]~46109\ : std_logic;
SIGNAL \led_flash_cnt[1373][5]~46110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1373][5]~46111\ : std_logic;
SIGNAL \led_flash_cnt[1373][6]~46112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][6]~q\ : std_logic;
SIGNAL \WideAnd1373~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][6]~46113\ : std_logic;
SIGNAL \led_flash_cnt[1373][7]~46114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1373][7]~q\ : std_logic;
SIGNAL \WideAnd1373~0_combout\ : std_logic;
SIGNAL \WideAnd1373~combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][0]~82012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1372][1]~46088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1372][1]~46089\ : std_logic;
SIGNAL \led_flash_cnt[1372][2]~46090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1372][2]~46091\ : std_logic;
SIGNAL \led_flash_cnt[1372][3]~46092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1372][3]~46093\ : std_logic;
SIGNAL \led_flash_cnt[1372][4]~46094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][4]~q\ : std_logic;
SIGNAL \WideAnd1372~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][4]~46095\ : std_logic;
SIGNAL \led_flash_cnt[1372][5]~46096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1372][5]~46097\ : std_logic;
SIGNAL \led_flash_cnt[1372][6]~46098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1372][6]~46099\ : std_logic;
SIGNAL \led_flash_cnt[1372][7]~46100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1372][7]~q\ : std_logic;
SIGNAL \WideAnd1372~1_combout\ : std_logic;
SIGNAL \WideAnd1372~combout\ : std_logic;
SIGNAL \WideAnd4011~1_combout\ : std_logic;
SIGNAL \WideAnd4011~combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][0]~81989_combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1349][1]~45766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1349][1]~45767\ : std_logic;
SIGNAL \led_flash_cnt[1349][2]~45768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1349][2]~45769\ : std_logic;
SIGNAL \led_flash_cnt[1349][3]~45770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1349][3]~45771\ : std_logic;
SIGNAL \led_flash_cnt[1349][4]~45772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1349][4]~45773\ : std_logic;
SIGNAL \led_flash_cnt[1349][5]~45774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1349][5]~45775\ : std_logic;
SIGNAL \led_flash_cnt[1349][6]~45776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1349][6]~45777\ : std_logic;
SIGNAL \led_flash_cnt[1349][7]~45778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1349][7]~q\ : std_logic;
SIGNAL \WideAnd1349~1_combout\ : std_logic;
SIGNAL \WideAnd1349~0_combout\ : std_logic;
SIGNAL \WideAnd1349~combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][0]~81988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1348][1]~45752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1348][1]~45753\ : std_logic;
SIGNAL \led_flash_cnt[1348][2]~45754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1348][2]~45755\ : std_logic;
SIGNAL \led_flash_cnt[1348][3]~45756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1348][3]~45757\ : std_logic;
SIGNAL \led_flash_cnt[1348][4]~45758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1348][4]~45759\ : std_logic;
SIGNAL \led_flash_cnt[1348][5]~45760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1348][5]~45761\ : std_logic;
SIGNAL \led_flash_cnt[1348][6]~45762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1348][6]~45763\ : std_logic;
SIGNAL \led_flash_cnt[1348][7]~45764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1348][7]~q\ : std_logic;
SIGNAL \WideAnd1348~1_combout\ : std_logic;
SIGNAL \WideAnd1348~0_combout\ : std_logic;
SIGNAL \WideAnd1348~combout\ : std_logic;
SIGNAL \WideAnd4008~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][0]~81990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1350][1]~45780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1350][1]~45781\ : std_logic;
SIGNAL \led_flash_cnt[1350][2]~45782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1350][2]~45783\ : std_logic;
SIGNAL \led_flash_cnt[1350][3]~45784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1350][3]~45785\ : std_logic;
SIGNAL \led_flash_cnt[1350][4]~45786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1350][4]~45787\ : std_logic;
SIGNAL \led_flash_cnt[1350][5]~45788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1350][5]~45789\ : std_logic;
SIGNAL \led_flash_cnt[1350][6]~45790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][6]~q\ : std_logic;
SIGNAL \WideAnd1350~1_combout\ : std_logic;
SIGNAL \WideAnd1350~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][6]~45791\ : std_logic;
SIGNAL \led_flash_cnt[1350][7]~45792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1350][7]~q\ : std_logic;
SIGNAL \WideAnd1350~combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][0]~81984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1344][1]~45696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1344][1]~45697\ : std_logic;
SIGNAL \led_flash_cnt[1344][2]~45698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1344][2]~45699\ : std_logic;
SIGNAL \led_flash_cnt[1344][3]~45700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1344][3]~45701\ : std_logic;
SIGNAL \led_flash_cnt[1344][4]~45702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][4]~q\ : std_logic;
SIGNAL \WideAnd1344~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][4]~45703\ : std_logic;
SIGNAL \led_flash_cnt[1344][5]~45704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1344][5]~45705\ : std_logic;
SIGNAL \led_flash_cnt[1344][6]~45706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1344][6]~45707\ : std_logic;
SIGNAL \led_flash_cnt[1344][7]~45708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1344][7]~q\ : std_logic;
SIGNAL \WideAnd1344~1_combout\ : std_logic;
SIGNAL \WideAnd1344~combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][0]~81987_combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1347][1]~45738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1347][1]~45739\ : std_logic;
SIGNAL \led_flash_cnt[1347][2]~45740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1347][2]~45741\ : std_logic;
SIGNAL \led_flash_cnt[1347][3]~45742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1347][3]~45743\ : std_logic;
SIGNAL \led_flash_cnt[1347][4]~45744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1347][4]~45745\ : std_logic;
SIGNAL \led_flash_cnt[1347][5]~45746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1347][5]~45747\ : std_logic;
SIGNAL \led_flash_cnt[1347][6]~45748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1347][6]~45749\ : std_logic;
SIGNAL \led_flash_cnt[1347][7]~45750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1347][7]~q\ : std_logic;
SIGNAL \WideAnd1347~1_combout\ : std_logic;
SIGNAL \WideAnd1347~0_combout\ : std_logic;
SIGNAL \WideAnd1347~combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][0]~81985_combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1345][1]~45710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1345][1]~45711\ : std_logic;
SIGNAL \led_flash_cnt[1345][2]~45712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1345][2]~45713\ : std_logic;
SIGNAL \led_flash_cnt[1345][3]~45714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1345][3]~45715\ : std_logic;
SIGNAL \led_flash_cnt[1345][4]~45716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1345][4]~45717\ : std_logic;
SIGNAL \led_flash_cnt[1345][5]~45718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1345][5]~45719\ : std_logic;
SIGNAL \led_flash_cnt[1345][6]~45720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1345][6]~45721\ : std_logic;
SIGNAL \led_flash_cnt[1345][7]~45722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1345][7]~q\ : std_logic;
SIGNAL \WideAnd1345~0_combout\ : std_logic;
SIGNAL \WideAnd1345~1_combout\ : std_logic;
SIGNAL \WideAnd1345~combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][0]~81986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1346][1]~45724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1346][1]~45725\ : std_logic;
SIGNAL \led_flash_cnt[1346][2]~45726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1346][2]~45727\ : std_logic;
SIGNAL \led_flash_cnt[1346][3]~45728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1346][3]~45729\ : std_logic;
SIGNAL \led_flash_cnt[1346][4]~45730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1346][4]~45731\ : std_logic;
SIGNAL \led_flash_cnt[1346][5]~45732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1346][5]~45733\ : std_logic;
SIGNAL \led_flash_cnt[1346][6]~45734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1346][6]~45735\ : std_logic;
SIGNAL \led_flash_cnt[1346][7]~45736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1346][7]~q\ : std_logic;
SIGNAL \WideAnd1346~1_combout\ : std_logic;
SIGNAL \WideAnd1346~0_combout\ : std_logic;
SIGNAL \WideAnd1346~combout\ : std_logic;
SIGNAL \WideAnd4008~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][0]~81991_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1351][1]~45794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1351][1]~45795\ : std_logic;
SIGNAL \led_flash_cnt[1351][2]~45796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1351][2]~45797\ : std_logic;
SIGNAL \led_flash_cnt[1351][3]~45798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1351][3]~45799\ : std_logic;
SIGNAL \led_flash_cnt[1351][4]~45800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1351][4]~45801\ : std_logic;
SIGNAL \led_flash_cnt[1351][5]~45802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1351][5]~45803\ : std_logic;
SIGNAL \led_flash_cnt[1351][6]~45804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1351][6]~45805\ : std_logic;
SIGNAL \led_flash_cnt[1351][7]~45806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1351][7]~q\ : std_logic;
SIGNAL \WideAnd1351~1_combout\ : std_logic;
SIGNAL \WideAnd1351~0_combout\ : std_logic;
SIGNAL \WideAnd1351~combout\ : std_logic;
SIGNAL \WideAnd4008~combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][0]~82007_combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1367][1]~46018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1367][1]~46019\ : std_logic;
SIGNAL \led_flash_cnt[1367][2]~46020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1367][2]~46021\ : std_logic;
SIGNAL \led_flash_cnt[1367][3]~46022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1367][3]~46023\ : std_logic;
SIGNAL \led_flash_cnt[1367][4]~46024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1367][4]~46025\ : std_logic;
SIGNAL \led_flash_cnt[1367][5]~46026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1367][5]~46027\ : std_logic;
SIGNAL \led_flash_cnt[1367][6]~46028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1367][6]~46029\ : std_logic;
SIGNAL \led_flash_cnt[1367][7]~46030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1367][7]~q\ : std_logic;
SIGNAL \WideAnd1367~0_combout\ : std_logic;
SIGNAL \WideAnd1367~1_combout\ : std_logic;
SIGNAL \WideAnd1367~combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][0]~82006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1366][1]~46004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1366][1]~46005\ : std_logic;
SIGNAL \led_flash_cnt[1366][2]~46006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1366][2]~46007\ : std_logic;
SIGNAL \led_flash_cnt[1366][3]~46008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1366][3]~46009\ : std_logic;
SIGNAL \led_flash_cnt[1366][4]~46010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1366][4]~46011\ : std_logic;
SIGNAL \led_flash_cnt[1366][5]~46012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1366][5]~46013\ : std_logic;
SIGNAL \led_flash_cnt[1366][6]~46014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1366][6]~46015\ : std_logic;
SIGNAL \led_flash_cnt[1366][7]~46016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1366][7]~q\ : std_logic;
SIGNAL \WideAnd1366~1_combout\ : std_logic;
SIGNAL \WideAnd1366~0_combout\ : std_logic;
SIGNAL \WideAnd1366~combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][0]~82003_combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1363][1]~45962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1363][1]~45963\ : std_logic;
SIGNAL \led_flash_cnt[1363][2]~45964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1363][2]~45965\ : std_logic;
SIGNAL \led_flash_cnt[1363][3]~45966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1363][3]~45967\ : std_logic;
SIGNAL \led_flash_cnt[1363][4]~45968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1363][4]~45969\ : std_logic;
SIGNAL \led_flash_cnt[1363][5]~45970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1363][5]~45971\ : std_logic;
SIGNAL \led_flash_cnt[1363][6]~45972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1363][6]~45973\ : std_logic;
SIGNAL \led_flash_cnt[1363][7]~45974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1363][7]~q\ : std_logic;
SIGNAL \WideAnd1363~0_combout\ : std_logic;
SIGNAL \WideAnd1363~1_combout\ : std_logic;
SIGNAL \WideAnd1363~combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][0]~82001_combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1361][1]~45934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1361][1]~45935\ : std_logic;
SIGNAL \led_flash_cnt[1361][2]~45936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1361][2]~45937\ : std_logic;
SIGNAL \led_flash_cnt[1361][3]~45938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1361][3]~45939\ : std_logic;
SIGNAL \led_flash_cnt[1361][4]~45940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1361][4]~45941\ : std_logic;
SIGNAL \led_flash_cnt[1361][5]~45942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1361][5]~45943\ : std_logic;
SIGNAL \led_flash_cnt[1361][6]~45944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1361][6]~45945\ : std_logic;
SIGNAL \led_flash_cnt[1361][7]~45946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1361][7]~q\ : std_logic;
SIGNAL \WideAnd1361~0_combout\ : std_logic;
SIGNAL \WideAnd1361~1_combout\ : std_logic;
SIGNAL \WideAnd1361~combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][0]~82000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1360][1]~45920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1360][1]~45921\ : std_logic;
SIGNAL \led_flash_cnt[1360][2]~45922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1360][2]~45923\ : std_logic;
SIGNAL \led_flash_cnt[1360][3]~45924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1360][3]~45925\ : std_logic;
SIGNAL \led_flash_cnt[1360][4]~45926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1360][4]~45927\ : std_logic;
SIGNAL \led_flash_cnt[1360][5]~45928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1360][5]~45929\ : std_logic;
SIGNAL \led_flash_cnt[1360][6]~45930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][6]~q\ : std_logic;
SIGNAL \WideAnd1360~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][6]~45931\ : std_logic;
SIGNAL \led_flash_cnt[1360][7]~45932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1360][7]~q\ : std_logic;
SIGNAL \WideAnd1360~0_combout\ : std_logic;
SIGNAL \WideAnd1360~combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][0]~82002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1362][1]~45948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1362][1]~45949\ : std_logic;
SIGNAL \led_flash_cnt[1362][2]~45950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1362][2]~45951\ : std_logic;
SIGNAL \led_flash_cnt[1362][3]~45952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1362][3]~45953\ : std_logic;
SIGNAL \led_flash_cnt[1362][4]~45954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1362][4]~45955\ : std_logic;
SIGNAL \led_flash_cnt[1362][5]~45956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1362][5]~45957\ : std_logic;
SIGNAL \led_flash_cnt[1362][6]~45958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1362][6]~45959\ : std_logic;
SIGNAL \led_flash_cnt[1362][7]~45960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1362][7]~q\ : std_logic;
SIGNAL \WideAnd1362~0_combout\ : std_logic;
SIGNAL \WideAnd1362~1_combout\ : std_logic;
SIGNAL \WideAnd1362~combout\ : std_logic;
SIGNAL \WideAnd4010~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][0]~82004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1364][1]~45976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1364][1]~45977\ : std_logic;
SIGNAL \led_flash_cnt[1364][2]~45978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1364][2]~45979\ : std_logic;
SIGNAL \led_flash_cnt[1364][3]~45980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1364][3]~45981\ : std_logic;
SIGNAL \led_flash_cnt[1364][4]~45982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1364][4]~45983\ : std_logic;
SIGNAL \led_flash_cnt[1364][5]~45984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1364][5]~45985\ : std_logic;
SIGNAL \led_flash_cnt[1364][6]~45986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1364][6]~45987\ : std_logic;
SIGNAL \led_flash_cnt[1364][7]~45988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1364][7]~q\ : std_logic;
SIGNAL \WideAnd1364~1_combout\ : std_logic;
SIGNAL \WideAnd1364~0_combout\ : std_logic;
SIGNAL \WideAnd1364~combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][0]~82005_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1365][1]~45990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1365][1]~45991\ : std_logic;
SIGNAL \led_flash_cnt[1365][2]~45992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1365][2]~45993\ : std_logic;
SIGNAL \led_flash_cnt[1365][3]~45994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1365][3]~45995\ : std_logic;
SIGNAL \led_flash_cnt[1365][4]~45996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1365][4]~45997\ : std_logic;
SIGNAL \led_flash_cnt[1365][5]~45998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1365][5]~45999\ : std_logic;
SIGNAL \led_flash_cnt[1365][6]~46000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][6]~q\ : std_logic;
SIGNAL \WideAnd1365~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][6]~46001\ : std_logic;
SIGNAL \led_flash_cnt[1365][7]~46002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1365][7]~q\ : std_logic;
SIGNAL \WideAnd1365~0_combout\ : std_logic;
SIGNAL \WideAnd1365~combout\ : std_logic;
SIGNAL \WideAnd4010~1_combout\ : std_logic;
SIGNAL \WideAnd4010~combout\ : std_logic;
SIGNAL \WideAnd4341~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][0]~82038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1398][1]~46452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1398][1]~46453\ : std_logic;
SIGNAL \led_flash_cnt[1398][2]~46454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1398][2]~46455\ : std_logic;
SIGNAL \led_flash_cnt[1398][3]~46456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1398][3]~46457\ : std_logic;
SIGNAL \led_flash_cnt[1398][4]~46458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][4]~q\ : std_logic;
SIGNAL \WideAnd1398~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][4]~46459\ : std_logic;
SIGNAL \led_flash_cnt[1398][5]~46460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1398][5]~46461\ : std_logic;
SIGNAL \led_flash_cnt[1398][6]~46462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][6]~q\ : std_logic;
SIGNAL \WideAnd1398~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][6]~46463\ : std_logic;
SIGNAL \led_flash_cnt[1398][7]~46464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1398][7]~q\ : std_logic;
SIGNAL \WideAnd1398~combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][0]~82039_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1399][1]~46466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1399][1]~46467\ : std_logic;
SIGNAL \led_flash_cnt[1399][2]~46468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1399][2]~46469\ : std_logic;
SIGNAL \led_flash_cnt[1399][3]~46470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1399][3]~46471\ : std_logic;
SIGNAL \led_flash_cnt[1399][4]~46472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1399][4]~46473\ : std_logic;
SIGNAL \led_flash_cnt[1399][5]~46474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1399][5]~46475\ : std_logic;
SIGNAL \led_flash_cnt[1399][6]~46476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][6]~q\ : std_logic;
SIGNAL \WideAnd1399~1_combout\ : std_logic;
SIGNAL \WideAnd1399~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][6]~46477\ : std_logic;
SIGNAL \led_flash_cnt[1399][7]~46478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1399][7]~q\ : std_logic;
SIGNAL \WideAnd1399~combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][0]~82036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1396][1]~46424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1396][1]~46425\ : std_logic;
SIGNAL \led_flash_cnt[1396][2]~46426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1396][2]~46427\ : std_logic;
SIGNAL \led_flash_cnt[1396][3]~46428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1396][3]~46429\ : std_logic;
SIGNAL \led_flash_cnt[1396][4]~46430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1396][4]~46431\ : std_logic;
SIGNAL \led_flash_cnt[1396][5]~46432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1396][5]~46433\ : std_logic;
SIGNAL \led_flash_cnt[1396][6]~46434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][6]~q\ : std_logic;
SIGNAL \WideAnd1396~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][6]~46435\ : std_logic;
SIGNAL \led_flash_cnt[1396][7]~46436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1396][7]~q\ : std_logic;
SIGNAL \WideAnd1396~0_combout\ : std_logic;
SIGNAL \WideAnd1396~combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][0]~82037_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1397][1]~46438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1397][1]~46439\ : std_logic;
SIGNAL \led_flash_cnt[1397][2]~46440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1397][2]~46441\ : std_logic;
SIGNAL \led_flash_cnt[1397][3]~46442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1397][3]~46443\ : std_logic;
SIGNAL \led_flash_cnt[1397][4]~46444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][4]~q\ : std_logic;
SIGNAL \WideAnd1397~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][4]~46445\ : std_logic;
SIGNAL \led_flash_cnt[1397][5]~46446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1397][5]~46447\ : std_logic;
SIGNAL \led_flash_cnt[1397][6]~46448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][6]~q\ : std_logic;
SIGNAL \WideAnd1397~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][6]~46449\ : std_logic;
SIGNAL \led_flash_cnt[1397][7]~46450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1397][7]~q\ : std_logic;
SIGNAL \WideAnd1397~combout\ : std_logic;
SIGNAL \WideAnd4014~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][0]~82033_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1393][1]~46382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1393][1]~46383\ : std_logic;
SIGNAL \led_flash_cnt[1393][2]~46384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1393][2]~46385\ : std_logic;
SIGNAL \led_flash_cnt[1393][3]~46386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1393][3]~46387\ : std_logic;
SIGNAL \led_flash_cnt[1393][4]~46388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1393][4]~46389\ : std_logic;
SIGNAL \led_flash_cnt[1393][5]~46390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1393][5]~46391\ : std_logic;
SIGNAL \led_flash_cnt[1393][6]~46392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1393][6]~46393\ : std_logic;
SIGNAL \led_flash_cnt[1393][7]~46394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1393][7]~q\ : std_logic;
SIGNAL \WideAnd1393~1_combout\ : std_logic;
SIGNAL \WideAnd1393~0_combout\ : std_logic;
SIGNAL \WideAnd1393~combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][0]~82034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1394][1]~46396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1394][1]~46397\ : std_logic;
SIGNAL \led_flash_cnt[1394][2]~46398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1394][2]~46399\ : std_logic;
SIGNAL \led_flash_cnt[1394][3]~46400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1394][3]~46401\ : std_logic;
SIGNAL \led_flash_cnt[1394][4]~46402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1394][4]~46403\ : std_logic;
SIGNAL \led_flash_cnt[1394][5]~46404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1394][5]~46405\ : std_logic;
SIGNAL \led_flash_cnt[1394][6]~46406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1394][6]~46407\ : std_logic;
SIGNAL \led_flash_cnt[1394][7]~46408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1394][7]~q\ : std_logic;
SIGNAL \WideAnd1394~1_combout\ : std_logic;
SIGNAL \WideAnd1394~0_combout\ : std_logic;
SIGNAL \WideAnd1394~combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][0]~82032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1392][1]~46368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1392][1]~46369\ : std_logic;
SIGNAL \led_flash_cnt[1392][2]~46370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1392][2]~46371\ : std_logic;
SIGNAL \led_flash_cnt[1392][3]~46372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1392][3]~46373\ : std_logic;
SIGNAL \led_flash_cnt[1392][4]~46374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1392][4]~46375\ : std_logic;
SIGNAL \led_flash_cnt[1392][5]~46376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1392][5]~46377\ : std_logic;
SIGNAL \led_flash_cnt[1392][6]~46378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][6]~q\ : std_logic;
SIGNAL \WideAnd1392~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][6]~46379\ : std_logic;
SIGNAL \led_flash_cnt[1392][7]~46380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1392][7]~q\ : std_logic;
SIGNAL \WideAnd1392~0_combout\ : std_logic;
SIGNAL \WideAnd1392~combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][0]~82035_combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1395][1]~46410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1395][1]~46411\ : std_logic;
SIGNAL \led_flash_cnt[1395][2]~46412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1395][2]~46413\ : std_logic;
SIGNAL \led_flash_cnt[1395][3]~46414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1395][3]~46415\ : std_logic;
SIGNAL \led_flash_cnt[1395][4]~46416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1395][4]~46417\ : std_logic;
SIGNAL \led_flash_cnt[1395][5]~46418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1395][5]~46419\ : std_logic;
SIGNAL \led_flash_cnt[1395][6]~46420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1395][6]~46421\ : std_logic;
SIGNAL \led_flash_cnt[1395][7]~46422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1395][7]~q\ : std_logic;
SIGNAL \WideAnd1395~0_combout\ : std_logic;
SIGNAL \WideAnd1395~1_combout\ : std_logic;
SIGNAL \WideAnd1395~combout\ : std_logic;
SIGNAL \WideAnd4014~0_combout\ : std_logic;
SIGNAL \WideAnd4014~combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][0]~82047_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1407][1]~46578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1407][1]~46579\ : std_logic;
SIGNAL \led_flash_cnt[1407][2]~46580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1407][2]~46581\ : std_logic;
SIGNAL \led_flash_cnt[1407][3]~46582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1407][3]~46583\ : std_logic;
SIGNAL \led_flash_cnt[1407][4]~46584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][4]~q\ : std_logic;
SIGNAL \WideAnd1407~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][4]~46585\ : std_logic;
SIGNAL \led_flash_cnt[1407][5]~46586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1407][5]~46587\ : std_logic;
SIGNAL \led_flash_cnt[1407][6]~46588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][6]~q\ : std_logic;
SIGNAL \WideAnd1407~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][6]~46589\ : std_logic;
SIGNAL \led_flash_cnt[1407][7]~46590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1407][7]~q\ : std_logic;
SIGNAL \WideAnd1407~combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][0]~82042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1402][1]~46508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1402][1]~46509\ : std_logic;
SIGNAL \led_flash_cnt[1402][2]~46510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1402][2]~46511\ : std_logic;
SIGNAL \led_flash_cnt[1402][3]~46512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1402][3]~46513\ : std_logic;
SIGNAL \led_flash_cnt[1402][4]~46514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][4]~q\ : std_logic;
SIGNAL \WideAnd1402~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][4]~46515\ : std_logic;
SIGNAL \led_flash_cnt[1402][5]~46516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1402][5]~46517\ : std_logic;
SIGNAL \led_flash_cnt[1402][6]~46518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1402][6]~46519\ : std_logic;
SIGNAL \led_flash_cnt[1402][7]~46520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1402][7]~q\ : std_logic;
SIGNAL \WideAnd1402~1_combout\ : std_logic;
SIGNAL \WideAnd1402~combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][0]~82040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1400][1]~46480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1400][1]~46481\ : std_logic;
SIGNAL \led_flash_cnt[1400][2]~46482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1400][2]~46483\ : std_logic;
SIGNAL \led_flash_cnt[1400][3]~46484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1400][3]~46485\ : std_logic;
SIGNAL \led_flash_cnt[1400][4]~46486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][4]~q\ : std_logic;
SIGNAL \WideAnd1400~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][4]~46487\ : std_logic;
SIGNAL \led_flash_cnt[1400][5]~46488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1400][5]~46489\ : std_logic;
SIGNAL \led_flash_cnt[1400][6]~46490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1400][6]~46491\ : std_logic;
SIGNAL \led_flash_cnt[1400][7]~46492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1400][7]~q\ : std_logic;
SIGNAL \WideAnd1400~1_combout\ : std_logic;
SIGNAL \WideAnd1400~combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][0]~82041_combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1401][1]~46494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1401][1]~46495\ : std_logic;
SIGNAL \led_flash_cnt[1401][2]~46496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1401][2]~46497\ : std_logic;
SIGNAL \led_flash_cnt[1401][3]~46498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1401][3]~46499\ : std_logic;
SIGNAL \led_flash_cnt[1401][4]~46500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1401][4]~46501\ : std_logic;
SIGNAL \led_flash_cnt[1401][5]~46502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1401][5]~46503\ : std_logic;
SIGNAL \led_flash_cnt[1401][6]~46504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1401][6]~46505\ : std_logic;
SIGNAL \led_flash_cnt[1401][7]~46506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1401][7]~q\ : std_logic;
SIGNAL \WideAnd1401~0_combout\ : std_logic;
SIGNAL \WideAnd1401~1_combout\ : std_logic;
SIGNAL \WideAnd1401~combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][0]~82043_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1403][1]~46522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1403][1]~46523\ : std_logic;
SIGNAL \led_flash_cnt[1403][2]~46524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1403][2]~46525\ : std_logic;
SIGNAL \led_flash_cnt[1403][3]~46526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1403][3]~46527\ : std_logic;
SIGNAL \led_flash_cnt[1403][4]~46528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][4]~q\ : std_logic;
SIGNAL \WideAnd1403~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][4]~46529\ : std_logic;
SIGNAL \led_flash_cnt[1403][5]~46530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1403][5]~46531\ : std_logic;
SIGNAL \led_flash_cnt[1403][6]~46532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1403][6]~46533\ : std_logic;
SIGNAL \led_flash_cnt[1403][7]~46534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1403][7]~q\ : std_logic;
SIGNAL \WideAnd1403~1_combout\ : std_logic;
SIGNAL \WideAnd1403~combout\ : std_logic;
SIGNAL \WideAnd4015~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][0]~82045_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1405][1]~46550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1405][1]~46551\ : std_logic;
SIGNAL \led_flash_cnt[1405][2]~46552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1405][2]~46553\ : std_logic;
SIGNAL \led_flash_cnt[1405][3]~46554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1405][3]~46555\ : std_logic;
SIGNAL \led_flash_cnt[1405][4]~46556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1405][4]~46557\ : std_logic;
SIGNAL \led_flash_cnt[1405][5]~46558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1405][5]~46559\ : std_logic;
SIGNAL \led_flash_cnt[1405][6]~46560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][6]~q\ : std_logic;
SIGNAL \WideAnd1405~1_combout\ : std_logic;
SIGNAL \WideAnd1405~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][6]~46561\ : std_logic;
SIGNAL \led_flash_cnt[1405][7]~46562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1405][7]~q\ : std_logic;
SIGNAL \WideAnd1405~combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][0]~82044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1404][1]~46536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1404][1]~46537\ : std_logic;
SIGNAL \led_flash_cnt[1404][2]~46538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1404][2]~46539\ : std_logic;
SIGNAL \led_flash_cnt[1404][3]~46540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1404][3]~46541\ : std_logic;
SIGNAL \led_flash_cnt[1404][4]~46542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][4]~q\ : std_logic;
SIGNAL \WideAnd1404~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][4]~46543\ : std_logic;
SIGNAL \led_flash_cnt[1404][5]~46544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1404][5]~46545\ : std_logic;
SIGNAL \led_flash_cnt[1404][6]~46546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1404][6]~46547\ : std_logic;
SIGNAL \led_flash_cnt[1404][7]~46548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1404][7]~q\ : std_logic;
SIGNAL \WideAnd1404~1_combout\ : std_logic;
SIGNAL \WideAnd1404~combout\ : std_logic;
SIGNAL \WideAnd4015~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][0]~82046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1406][1]~46564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1406][1]~46565\ : std_logic;
SIGNAL \led_flash_cnt[1406][2]~46566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1406][2]~46567\ : std_logic;
SIGNAL \led_flash_cnt[1406][3]~46568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1406][3]~46569\ : std_logic;
SIGNAL \led_flash_cnt[1406][4]~46570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][4]~q\ : std_logic;
SIGNAL \WideAnd1406~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][4]~46571\ : std_logic;
SIGNAL \led_flash_cnt[1406][5]~46572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1406][5]~46573\ : std_logic;
SIGNAL \led_flash_cnt[1406][6]~46574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1406][6]~46575\ : std_logic;
SIGNAL \led_flash_cnt[1406][7]~46576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1406][7]~q\ : std_logic;
SIGNAL \WideAnd1406~1_combout\ : std_logic;
SIGNAL \WideAnd1406~combout\ : std_logic;
SIGNAL \WideAnd4015~combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][0]~82020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1380][1]~46200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1380][1]~46201\ : std_logic;
SIGNAL \led_flash_cnt[1380][2]~46202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1380][2]~46203\ : std_logic;
SIGNAL \led_flash_cnt[1380][3]~46204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1380][3]~46205\ : std_logic;
SIGNAL \led_flash_cnt[1380][4]~46206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][4]~q\ : std_logic;
SIGNAL \WideAnd1380~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][4]~46207\ : std_logic;
SIGNAL \led_flash_cnt[1380][5]~46208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1380][5]~46209\ : std_logic;
SIGNAL \led_flash_cnt[1380][6]~46210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1380][6]~46211\ : std_logic;
SIGNAL \led_flash_cnt[1380][7]~46212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1380][7]~q\ : std_logic;
SIGNAL \WideAnd1380~1_combout\ : std_logic;
SIGNAL \WideAnd1380~combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][0]~82021_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1381][1]~46214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1381][1]~46215\ : std_logic;
SIGNAL \led_flash_cnt[1381][2]~46216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1381][2]~46217\ : std_logic;
SIGNAL \led_flash_cnt[1381][3]~46218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1381][3]~46219\ : std_logic;
SIGNAL \led_flash_cnt[1381][4]~46220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1381][4]~46221\ : std_logic;
SIGNAL \led_flash_cnt[1381][5]~46222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1381][5]~46223\ : std_logic;
SIGNAL \led_flash_cnt[1381][6]~46224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][6]~q\ : std_logic;
SIGNAL \WideAnd1381~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][6]~46225\ : std_logic;
SIGNAL \led_flash_cnt[1381][7]~46226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1381][7]~q\ : std_logic;
SIGNAL \WideAnd1381~0_combout\ : std_logic;
SIGNAL \WideAnd1381~combout\ : std_logic;
SIGNAL \WideAnd4012~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][0]~82022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1382][1]~46228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1382][1]~46229\ : std_logic;
SIGNAL \led_flash_cnt[1382][2]~46230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1382][2]~46231\ : std_logic;
SIGNAL \led_flash_cnt[1382][3]~46232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1382][3]~46233\ : std_logic;
SIGNAL \led_flash_cnt[1382][4]~46234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1382][4]~46235\ : std_logic;
SIGNAL \led_flash_cnt[1382][5]~46236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1382][5]~46237\ : std_logic;
SIGNAL \led_flash_cnt[1382][6]~46238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][6]~q\ : std_logic;
SIGNAL \WideAnd1382~1_combout\ : std_logic;
SIGNAL \WideAnd1382~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][6]~46239\ : std_logic;
SIGNAL \led_flash_cnt[1382][7]~46240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1382][7]~q\ : std_logic;
SIGNAL \WideAnd1382~combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][0]~82023_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1383][1]~46242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1383][1]~46243\ : std_logic;
SIGNAL \led_flash_cnt[1383][2]~46244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1383][2]~46245\ : std_logic;
SIGNAL \led_flash_cnt[1383][3]~46246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1383][3]~46247\ : std_logic;
SIGNAL \led_flash_cnt[1383][4]~46248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][4]~q\ : std_logic;
SIGNAL \WideAnd1383~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][4]~46249\ : std_logic;
SIGNAL \led_flash_cnt[1383][5]~46250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1383][5]~46251\ : std_logic;
SIGNAL \led_flash_cnt[1383][6]~46252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1383][6]~46253\ : std_logic;
SIGNAL \led_flash_cnt[1383][7]~46254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1383][7]~q\ : std_logic;
SIGNAL \WideAnd1383~1_combout\ : std_logic;
SIGNAL \WideAnd1383~combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][0]~82019_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1379][1]~46186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1379][1]~46187\ : std_logic;
SIGNAL \led_flash_cnt[1379][2]~46188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1379][2]~46189\ : std_logic;
SIGNAL \led_flash_cnt[1379][3]~46190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1379][3]~46191\ : std_logic;
SIGNAL \led_flash_cnt[1379][4]~46192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][4]~q\ : std_logic;
SIGNAL \WideAnd1379~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][4]~46193\ : std_logic;
SIGNAL \led_flash_cnt[1379][5]~46194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1379][5]~46195\ : std_logic;
SIGNAL \led_flash_cnt[1379][6]~46196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1379][6]~46197\ : std_logic;
SIGNAL \led_flash_cnt[1379][7]~46198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1379][7]~q\ : std_logic;
SIGNAL \WideAnd1379~1_combout\ : std_logic;
SIGNAL \WideAnd1379~combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][0]~82017_combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1377][1]~46158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1377][1]~46159\ : std_logic;
SIGNAL \led_flash_cnt[1377][2]~46160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1377][2]~46161\ : std_logic;
SIGNAL \led_flash_cnt[1377][3]~46162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1377][3]~46163\ : std_logic;
SIGNAL \led_flash_cnt[1377][4]~46164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1377][4]~46165\ : std_logic;
SIGNAL \led_flash_cnt[1377][5]~46166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1377][5]~46167\ : std_logic;
SIGNAL \led_flash_cnt[1377][6]~46168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1377][6]~46169\ : std_logic;
SIGNAL \led_flash_cnt[1377][7]~46170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1377][7]~q\ : std_logic;
SIGNAL \WideAnd1377~1_combout\ : std_logic;
SIGNAL \WideAnd1377~0_combout\ : std_logic;
SIGNAL \WideAnd1377~combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][0]~82018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1378][1]~46172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1378][1]~46173\ : std_logic;
SIGNAL \led_flash_cnt[1378][2]~46174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1378][2]~46175\ : std_logic;
SIGNAL \led_flash_cnt[1378][3]~46176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1378][3]~46177\ : std_logic;
SIGNAL \led_flash_cnt[1378][4]~46178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1378][4]~46179\ : std_logic;
SIGNAL \led_flash_cnt[1378][5]~46180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1378][5]~46181\ : std_logic;
SIGNAL \led_flash_cnt[1378][6]~46182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1378][6]~46183\ : std_logic;
SIGNAL \led_flash_cnt[1378][7]~46184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1378][7]~q\ : std_logic;
SIGNAL \WideAnd1378~0_combout\ : std_logic;
SIGNAL \WideAnd1378~1_combout\ : std_logic;
SIGNAL \WideAnd1378~combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][0]~82016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1376][1]~46144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1376][1]~46145\ : std_logic;
SIGNAL \led_flash_cnt[1376][2]~46146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1376][2]~46147\ : std_logic;
SIGNAL \led_flash_cnt[1376][3]~46148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1376][3]~46149\ : std_logic;
SIGNAL \led_flash_cnt[1376][4]~46150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1376][4]~46151\ : std_logic;
SIGNAL \led_flash_cnt[1376][5]~46152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1376][5]~46153\ : std_logic;
SIGNAL \led_flash_cnt[1376][6]~46154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1376][6]~46155\ : std_logic;
SIGNAL \led_flash_cnt[1376][7]~46156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1376][7]~q\ : std_logic;
SIGNAL \WideAnd1376~0_combout\ : std_logic;
SIGNAL \WideAnd1376~1_combout\ : std_logic;
SIGNAL \WideAnd1376~combout\ : std_logic;
SIGNAL \WideAnd4012~0_combout\ : std_logic;
SIGNAL \WideAnd4012~combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][0]~82031_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1391][1]~46354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1391][1]~46355\ : std_logic;
SIGNAL \led_flash_cnt[1391][2]~46356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1391][2]~46357\ : std_logic;
SIGNAL \led_flash_cnt[1391][3]~46358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1391][3]~46359\ : std_logic;
SIGNAL \led_flash_cnt[1391][4]~46360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1391][4]~46361\ : std_logic;
SIGNAL \led_flash_cnt[1391][5]~46362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1391][5]~46363\ : std_logic;
SIGNAL \led_flash_cnt[1391][6]~46364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][6]~q\ : std_logic;
SIGNAL \WideAnd1391~1_combout\ : std_logic;
SIGNAL \WideAnd1391~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][6]~46365\ : std_logic;
SIGNAL \led_flash_cnt[1391][7]~46366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1391][7]~q\ : std_logic;
SIGNAL \WideAnd1391~combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][0]~82025_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1385][1]~46270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1385][1]~46271\ : std_logic;
SIGNAL \led_flash_cnt[1385][2]~46272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1385][2]~46273\ : std_logic;
SIGNAL \led_flash_cnt[1385][3]~46274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1385][3]~46275\ : std_logic;
SIGNAL \led_flash_cnt[1385][4]~46276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1385][4]~46277\ : std_logic;
SIGNAL \led_flash_cnt[1385][5]~46278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1385][5]~46279\ : std_logic;
SIGNAL \led_flash_cnt[1385][6]~46280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][6]~q\ : std_logic;
SIGNAL \WideAnd1385~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][6]~46281\ : std_logic;
SIGNAL \led_flash_cnt[1385][7]~46282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1385][7]~q\ : std_logic;
SIGNAL \WideAnd1385~0_combout\ : std_logic;
SIGNAL \WideAnd1385~combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][0]~82024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1384][1]~46256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1384][1]~46257\ : std_logic;
SIGNAL \led_flash_cnt[1384][2]~46258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1384][2]~46259\ : std_logic;
SIGNAL \led_flash_cnt[1384][3]~46260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1384][3]~46261\ : std_logic;
SIGNAL \led_flash_cnt[1384][4]~46262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1384][4]~46263\ : std_logic;
SIGNAL \led_flash_cnt[1384][5]~46264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1384][5]~46265\ : std_logic;
SIGNAL \led_flash_cnt[1384][6]~46266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1384][6]~46267\ : std_logic;
SIGNAL \led_flash_cnt[1384][7]~46268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1384][7]~q\ : std_logic;
SIGNAL \WideAnd1384~1_combout\ : std_logic;
SIGNAL \WideAnd1384~0_combout\ : std_logic;
SIGNAL \WideAnd1384~combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][0]~82027_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1387][1]~46298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1387][1]~46299\ : std_logic;
SIGNAL \led_flash_cnt[1387][2]~46300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1387][2]~46301\ : std_logic;
SIGNAL \led_flash_cnt[1387][3]~46302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1387][3]~46303\ : std_logic;
SIGNAL \led_flash_cnt[1387][4]~46304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][4]~q\ : std_logic;
SIGNAL \WideAnd1387~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][4]~46305\ : std_logic;
SIGNAL \led_flash_cnt[1387][5]~46306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1387][5]~46307\ : std_logic;
SIGNAL \led_flash_cnt[1387][6]~46308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1387][6]~46309\ : std_logic;
SIGNAL \led_flash_cnt[1387][7]~46310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1387][7]~q\ : std_logic;
SIGNAL \WideAnd1387~1_combout\ : std_logic;
SIGNAL \WideAnd1387~combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][0]~82026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1386][1]~46284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1386][1]~46285\ : std_logic;
SIGNAL \led_flash_cnt[1386][2]~46286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1386][2]~46287\ : std_logic;
SIGNAL \led_flash_cnt[1386][3]~46288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1386][3]~46289\ : std_logic;
SIGNAL \led_flash_cnt[1386][4]~46290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1386][4]~46291\ : std_logic;
SIGNAL \led_flash_cnt[1386][5]~46292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1386][5]~46293\ : std_logic;
SIGNAL \led_flash_cnt[1386][6]~46294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][6]~q\ : std_logic;
SIGNAL \WideAnd1386~1_combout\ : std_logic;
SIGNAL \WideAnd1386~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][6]~46295\ : std_logic;
SIGNAL \led_flash_cnt[1386][7]~46296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1386][7]~q\ : std_logic;
SIGNAL \WideAnd1386~combout\ : std_logic;
SIGNAL \WideAnd4013~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][0]~82029_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1389][1]~46326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1389][1]~46327\ : std_logic;
SIGNAL \led_flash_cnt[1389][2]~46328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1389][2]~46329\ : std_logic;
SIGNAL \led_flash_cnt[1389][3]~46330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1389][3]~46331\ : std_logic;
SIGNAL \led_flash_cnt[1389][4]~46332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1389][4]~46333\ : std_logic;
SIGNAL \led_flash_cnt[1389][5]~46334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1389][5]~46335\ : std_logic;
SIGNAL \led_flash_cnt[1389][6]~46336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][6]~q\ : std_logic;
SIGNAL \WideAnd1389~1_combout\ : std_logic;
SIGNAL \WideAnd1389~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][6]~46337\ : std_logic;
SIGNAL \led_flash_cnt[1389][7]~46338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1389][7]~q\ : std_logic;
SIGNAL \WideAnd1389~combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][0]~82028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1388][1]~46312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1388][1]~46313\ : std_logic;
SIGNAL \led_flash_cnt[1388][2]~46314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1388][2]~46315\ : std_logic;
SIGNAL \led_flash_cnt[1388][3]~46316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1388][3]~46317\ : std_logic;
SIGNAL \led_flash_cnt[1388][4]~46318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][4]~q\ : std_logic;
SIGNAL \WideAnd1388~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][4]~46319\ : std_logic;
SIGNAL \led_flash_cnt[1388][5]~46320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1388][5]~46321\ : std_logic;
SIGNAL \led_flash_cnt[1388][6]~46322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1388][6]~46323\ : std_logic;
SIGNAL \led_flash_cnt[1388][7]~46324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1388][7]~q\ : std_logic;
SIGNAL \WideAnd1388~1_combout\ : std_logic;
SIGNAL \WideAnd1388~combout\ : std_logic;
SIGNAL \WideAnd4013~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][0]~82030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1390][1]~46340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1390][1]~46341\ : std_logic;
SIGNAL \led_flash_cnt[1390][2]~46342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1390][2]~46343\ : std_logic;
SIGNAL \led_flash_cnt[1390][3]~46344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1390][3]~46345\ : std_logic;
SIGNAL \led_flash_cnt[1390][4]~46346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][4]~q\ : std_logic;
SIGNAL \WideAnd1390~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][4]~46347\ : std_logic;
SIGNAL \led_flash_cnt[1390][5]~46348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1390][5]~46349\ : std_logic;
SIGNAL \led_flash_cnt[1390][6]~46350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1390][6]~46351\ : std_logic;
SIGNAL \led_flash_cnt[1390][7]~46352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1390][7]~q\ : std_logic;
SIGNAL \WideAnd1390~1_combout\ : std_logic;
SIGNAL \WideAnd1390~combout\ : std_logic;
SIGNAL \WideAnd4013~combout\ : std_logic;
SIGNAL \WideAnd4341~1_combout\ : std_logic;
SIGNAL \WideAnd4341~combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][0]~81982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1342][1]~45668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1342][1]~45669\ : std_logic;
SIGNAL \led_flash_cnt[1342][2]~45670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1342][2]~45671\ : std_logic;
SIGNAL \led_flash_cnt[1342][3]~45672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1342][3]~45673\ : std_logic;
SIGNAL \led_flash_cnt[1342][4]~45674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1342][4]~45675\ : std_logic;
SIGNAL \led_flash_cnt[1342][5]~45676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1342][5]~45677\ : std_logic;
SIGNAL \led_flash_cnt[1342][6]~45678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1342][6]~45679\ : std_logic;
SIGNAL \led_flash_cnt[1342][7]~45680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1342][7]~q\ : std_logic;
SIGNAL \WideAnd1342~1_combout\ : std_logic;
SIGNAL \WideAnd1342~0_combout\ : std_logic;
SIGNAL \WideAnd1342~combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][0]~81980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1340][1]~45640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1340][1]~45641\ : std_logic;
SIGNAL \led_flash_cnt[1340][2]~45642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1340][2]~45643\ : std_logic;
SIGNAL \led_flash_cnt[1340][3]~45644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1340][3]~45645\ : std_logic;
SIGNAL \led_flash_cnt[1340][4]~45646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][4]~q\ : std_logic;
SIGNAL \WideAnd1340~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][4]~45647\ : std_logic;
SIGNAL \led_flash_cnt[1340][5]~45648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1340][5]~45649\ : std_logic;
SIGNAL \led_flash_cnt[1340][6]~45650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1340][6]~45651\ : std_logic;
SIGNAL \led_flash_cnt[1340][7]~45652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1340][7]~q\ : std_logic;
SIGNAL \WideAnd1340~1_combout\ : std_logic;
SIGNAL \WideAnd1340~combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][0]~81981_combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1341][1]~45654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1341][1]~45655\ : std_logic;
SIGNAL \led_flash_cnt[1341][2]~45656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1341][2]~45657\ : std_logic;
SIGNAL \led_flash_cnt[1341][3]~45658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1341][3]~45659\ : std_logic;
SIGNAL \led_flash_cnt[1341][4]~45660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1341][4]~45661\ : std_logic;
SIGNAL \led_flash_cnt[1341][5]~45662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1341][5]~45663\ : std_logic;
SIGNAL \led_flash_cnt[1341][6]~45664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1341][6]~45665\ : std_logic;
SIGNAL \led_flash_cnt[1341][7]~45666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1341][7]~q\ : std_logic;
SIGNAL \WideAnd1341~1_combout\ : std_logic;
SIGNAL \WideAnd1341~0_combout\ : std_logic;
SIGNAL \WideAnd1341~combout\ : std_logic;
SIGNAL \WideAnd4007~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][0]~81983_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1343][1]~45682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1343][1]~45683\ : std_logic;
SIGNAL \led_flash_cnt[1343][2]~45684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1343][2]~45685\ : std_logic;
SIGNAL \led_flash_cnt[1343][3]~45686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1343][3]~45687\ : std_logic;
SIGNAL \led_flash_cnt[1343][4]~45688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][4]~q\ : std_logic;
SIGNAL \WideAnd1343~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][4]~45689\ : std_logic;
SIGNAL \led_flash_cnt[1343][5]~45690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1343][5]~45691\ : std_logic;
SIGNAL \led_flash_cnt[1343][6]~45692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][6]~q\ : std_logic;
SIGNAL \WideAnd1343~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][6]~45693\ : std_logic;
SIGNAL \led_flash_cnt[1343][7]~45694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1343][7]~q\ : std_logic;
SIGNAL \WideAnd1343~combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][0]~81978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1338][1]~45612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1338][1]~45613\ : std_logic;
SIGNAL \led_flash_cnt[1338][2]~45614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1338][2]~45615\ : std_logic;
SIGNAL \led_flash_cnt[1338][3]~45616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1338][3]~45617\ : std_logic;
SIGNAL \led_flash_cnt[1338][4]~45618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1338][4]~45619\ : std_logic;
SIGNAL \led_flash_cnt[1338][5]~45620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1338][5]~45621\ : std_logic;
SIGNAL \led_flash_cnt[1338][6]~45622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1338][6]~45623\ : std_logic;
SIGNAL \led_flash_cnt[1338][7]~45624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1338][7]~q\ : std_logic;
SIGNAL \WideAnd1338~0_combout\ : std_logic;
SIGNAL \WideAnd1338~1_combout\ : std_logic;
SIGNAL \WideAnd1338~combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][0]~81977_combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1337][1]~45598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1337][1]~45599\ : std_logic;
SIGNAL \led_flash_cnt[1337][2]~45600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1337][2]~45601\ : std_logic;
SIGNAL \led_flash_cnt[1337][3]~45602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1337][3]~45603\ : std_logic;
SIGNAL \led_flash_cnt[1337][4]~45604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1337][4]~45605\ : std_logic;
SIGNAL \led_flash_cnt[1337][5]~45606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1337][5]~45607\ : std_logic;
SIGNAL \led_flash_cnt[1337][6]~45608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1337][6]~45609\ : std_logic;
SIGNAL \led_flash_cnt[1337][7]~45610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1337][7]~q\ : std_logic;
SIGNAL \WideAnd1337~0_combout\ : std_logic;
SIGNAL \WideAnd1337~1_combout\ : std_logic;
SIGNAL \WideAnd1337~combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][0]~81976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1336][1]~45584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1336][1]~45585\ : std_logic;
SIGNAL \led_flash_cnt[1336][2]~45586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1336][2]~45587\ : std_logic;
SIGNAL \led_flash_cnt[1336][3]~45588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1336][3]~45589\ : std_logic;
SIGNAL \led_flash_cnt[1336][4]~45590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][4]~q\ : std_logic;
SIGNAL \WideAnd1336~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][4]~45591\ : std_logic;
SIGNAL \led_flash_cnt[1336][5]~45592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1336][5]~45593\ : std_logic;
SIGNAL \led_flash_cnt[1336][6]~45594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][6]~q\ : std_logic;
SIGNAL \WideAnd1336~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][6]~45595\ : std_logic;
SIGNAL \led_flash_cnt[1336][7]~45596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1336][7]~q\ : std_logic;
SIGNAL \WideAnd1336~combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][0]~81979_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1339][1]~45626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1339][1]~45627\ : std_logic;
SIGNAL \led_flash_cnt[1339][2]~45628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1339][2]~45629\ : std_logic;
SIGNAL \led_flash_cnt[1339][3]~45630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1339][3]~45631\ : std_logic;
SIGNAL \led_flash_cnt[1339][4]~45632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1339][4]~45633\ : std_logic;
SIGNAL \led_flash_cnt[1339][5]~45634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1339][5]~45635\ : std_logic;
SIGNAL \led_flash_cnt[1339][6]~45636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][6]~q\ : std_logic;
SIGNAL \WideAnd1339~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][6]~45637\ : std_logic;
SIGNAL \led_flash_cnt[1339][7]~45638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1339][7]~q\ : std_logic;
SIGNAL \WideAnd1339~0_combout\ : std_logic;
SIGNAL \WideAnd1339~combout\ : std_logic;
SIGNAL \WideAnd4007~0_combout\ : std_logic;
SIGNAL \WideAnd4007~combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][0]~81948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1308][1]~45192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1308][1]~45193\ : std_logic;
SIGNAL \led_flash_cnt[1308][2]~45194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1308][2]~45195\ : std_logic;
SIGNAL \led_flash_cnt[1308][3]~45196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1308][3]~45197\ : std_logic;
SIGNAL \led_flash_cnt[1308][4]~45198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1308][4]~45199\ : std_logic;
SIGNAL \led_flash_cnt[1308][5]~45200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1308][5]~45201\ : std_logic;
SIGNAL \led_flash_cnt[1308][6]~45202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][6]~q\ : std_logic;
SIGNAL \WideAnd1308~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][6]~45203\ : std_logic;
SIGNAL \led_flash_cnt[1308][7]~45204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1308][7]~q\ : std_logic;
SIGNAL \WideAnd1308~0_combout\ : std_logic;
SIGNAL \WideAnd1308~combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][0]~81949_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1309][1]~45206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1309][1]~45207\ : std_logic;
SIGNAL \led_flash_cnt[1309][2]~45208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1309][2]~45209\ : std_logic;
SIGNAL \led_flash_cnt[1309][3]~45210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1309][3]~45211\ : std_logic;
SIGNAL \led_flash_cnt[1309][4]~45212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][4]~q\ : std_logic;
SIGNAL \WideAnd1309~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][4]~45213\ : std_logic;
SIGNAL \led_flash_cnt[1309][5]~45214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1309][5]~45215\ : std_logic;
SIGNAL \led_flash_cnt[1309][6]~45216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][6]~q\ : std_logic;
SIGNAL \WideAnd1309~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][6]~45217\ : std_logic;
SIGNAL \led_flash_cnt[1309][7]~45218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1309][7]~q\ : std_logic;
SIGNAL \WideAnd1309~combout\ : std_logic;
SIGNAL \WideAnd4003~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][0]~81950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1310][1]~45220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1310][1]~45221\ : std_logic;
SIGNAL \led_flash_cnt[1310][2]~45222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1310][2]~45223\ : std_logic;
SIGNAL \led_flash_cnt[1310][3]~45224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1310][3]~45225\ : std_logic;
SIGNAL \led_flash_cnt[1310][4]~45226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1310][4]~45227\ : std_logic;
SIGNAL \led_flash_cnt[1310][5]~45228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1310][5]~45229\ : std_logic;
SIGNAL \led_flash_cnt[1310][6]~45230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][6]~q\ : std_logic;
SIGNAL \WideAnd1310~1_combout\ : std_logic;
SIGNAL \WideAnd1310~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][6]~45231\ : std_logic;
SIGNAL \led_flash_cnt[1310][7]~45232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1310][7]~q\ : std_logic;
SIGNAL \WideAnd1310~combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][0]~81947_combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1307][1]~45178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1307][1]~45179\ : std_logic;
SIGNAL \led_flash_cnt[1307][2]~45180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1307][2]~45181\ : std_logic;
SIGNAL \led_flash_cnt[1307][3]~45182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1307][3]~45183\ : std_logic;
SIGNAL \led_flash_cnt[1307][4]~45184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1307][4]~45185\ : std_logic;
SIGNAL \led_flash_cnt[1307][5]~45186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1307][5]~45187\ : std_logic;
SIGNAL \led_flash_cnt[1307][6]~45188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1307][6]~45189\ : std_logic;
SIGNAL \led_flash_cnt[1307][7]~45190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1307][7]~q\ : std_logic;
SIGNAL \WideAnd1307~0_combout\ : std_logic;
SIGNAL \WideAnd1307~1_combout\ : std_logic;
SIGNAL \WideAnd1307~combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][0]~81944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1304][1]~45136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1304][1]~45137\ : std_logic;
SIGNAL \led_flash_cnt[1304][2]~45138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1304][2]~45139\ : std_logic;
SIGNAL \led_flash_cnt[1304][3]~45140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1304][3]~45141\ : std_logic;
SIGNAL \led_flash_cnt[1304][4]~45142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1304][4]~45143\ : std_logic;
SIGNAL \led_flash_cnt[1304][5]~45144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1304][5]~45145\ : std_logic;
SIGNAL \led_flash_cnt[1304][6]~45146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1304][6]~45147\ : std_logic;
SIGNAL \led_flash_cnt[1304][7]~45148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1304][7]~q\ : std_logic;
SIGNAL \WideAnd1304~1_combout\ : std_logic;
SIGNAL \WideAnd1304~0_combout\ : std_logic;
SIGNAL \WideAnd1304~combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][0]~81945_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1305][1]~45150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1305][1]~45151\ : std_logic;
SIGNAL \led_flash_cnt[1305][2]~45152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1305][2]~45153\ : std_logic;
SIGNAL \led_flash_cnt[1305][3]~45154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1305][3]~45155\ : std_logic;
SIGNAL \led_flash_cnt[1305][4]~45156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1305][4]~45157\ : std_logic;
SIGNAL \led_flash_cnt[1305][5]~45158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1305][5]~45159\ : std_logic;
SIGNAL \led_flash_cnt[1305][6]~45160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][6]~q\ : std_logic;
SIGNAL \WideAnd1305~1_combout\ : std_logic;
SIGNAL \WideAnd1305~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][6]~45161\ : std_logic;
SIGNAL \led_flash_cnt[1305][7]~45162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1305][7]~q\ : std_logic;
SIGNAL \WideAnd1305~combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][0]~81946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1306][1]~45164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1306][1]~45165\ : std_logic;
SIGNAL \led_flash_cnt[1306][2]~45166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1306][2]~45167\ : std_logic;
SIGNAL \led_flash_cnt[1306][3]~45168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1306][3]~45169\ : std_logic;
SIGNAL \led_flash_cnt[1306][4]~45170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][4]~q\ : std_logic;
SIGNAL \WideAnd1306~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][4]~45171\ : std_logic;
SIGNAL \led_flash_cnt[1306][5]~45172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1306][5]~45173\ : std_logic;
SIGNAL \led_flash_cnt[1306][6]~45174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][6]~q\ : std_logic;
SIGNAL \WideAnd1306~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][6]~45175\ : std_logic;
SIGNAL \led_flash_cnt[1306][7]~45176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1306][7]~q\ : std_logic;
SIGNAL \WideAnd1306~combout\ : std_logic;
SIGNAL \WideAnd4003~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][0]~81951_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1311][1]~45234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1311][1]~45235\ : std_logic;
SIGNAL \led_flash_cnt[1311][2]~45236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1311][2]~45237\ : std_logic;
SIGNAL \led_flash_cnt[1311][3]~45238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1311][3]~45239\ : std_logic;
SIGNAL \led_flash_cnt[1311][4]~45240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][4]~q\ : std_logic;
SIGNAL \WideAnd1311~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][4]~45241\ : std_logic;
SIGNAL \led_flash_cnt[1311][5]~45242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1311][5]~45243\ : std_logic;
SIGNAL \led_flash_cnt[1311][6]~45244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1311][6]~45245\ : std_logic;
SIGNAL \led_flash_cnt[1311][7]~45246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1311][7]~q\ : std_logic;
SIGNAL \WideAnd1311~1_combout\ : std_logic;
SIGNAL \WideAnd1311~combout\ : std_logic;
SIGNAL \WideAnd4003~combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][0]~81927_combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1287][1]~44898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1287][1]~44899\ : std_logic;
SIGNAL \led_flash_cnt[1287][2]~44900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1287][2]~44901\ : std_logic;
SIGNAL \led_flash_cnt[1287][3]~44902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1287][3]~44903\ : std_logic;
SIGNAL \led_flash_cnt[1287][4]~44904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1287][4]~44905\ : std_logic;
SIGNAL \led_flash_cnt[1287][5]~44906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1287][5]~44907\ : std_logic;
SIGNAL \led_flash_cnt[1287][6]~44908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1287][6]~44909\ : std_logic;
SIGNAL \led_flash_cnt[1287][7]~44910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1287][7]~q\ : std_logic;
SIGNAL \WideAnd1287~0_combout\ : std_logic;
SIGNAL \WideAnd1287~1_combout\ : std_logic;
SIGNAL \WideAnd1287~combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][0]~81926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1286][1]~44884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1286][1]~44885\ : std_logic;
SIGNAL \led_flash_cnt[1286][2]~44886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1286][2]~44887\ : std_logic;
SIGNAL \led_flash_cnt[1286][3]~44888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1286][3]~44889\ : std_logic;
SIGNAL \led_flash_cnt[1286][4]~44890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1286][4]~44891\ : std_logic;
SIGNAL \led_flash_cnt[1286][5]~44892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1286][5]~44893\ : std_logic;
SIGNAL \led_flash_cnt[1286][6]~44894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1286][6]~44895\ : std_logic;
SIGNAL \led_flash_cnt[1286][7]~44896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1286][7]~q\ : std_logic;
SIGNAL \WideAnd1286~0_combout\ : std_logic;
SIGNAL \WideAnd1286~1_combout\ : std_logic;
SIGNAL \WideAnd1286~combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][0]~81923_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1283][1]~44842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1283][1]~44843\ : std_logic;
SIGNAL \led_flash_cnt[1283][2]~44844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1283][2]~44845\ : std_logic;
SIGNAL \led_flash_cnt[1283][3]~44846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1283][3]~44847\ : std_logic;
SIGNAL \led_flash_cnt[1283][4]~44848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1283][4]~44849\ : std_logic;
SIGNAL \led_flash_cnt[1283][5]~44850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1283][5]~44851\ : std_logic;
SIGNAL \led_flash_cnt[1283][6]~44852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][6]~q\ : std_logic;
SIGNAL \WideAnd1283~1_combout\ : std_logic;
SIGNAL \WideAnd1283~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][6]~44853\ : std_logic;
SIGNAL \led_flash_cnt[1283][7]~44854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1283][7]~q\ : std_logic;
SIGNAL \WideAnd1283~combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][0]~81922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1282][1]~44828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1282][1]~44829\ : std_logic;
SIGNAL \led_flash_cnt[1282][2]~44830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1282][2]~44831\ : std_logic;
SIGNAL \led_flash_cnt[1282][3]~44832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1282][3]~44833\ : std_logic;
SIGNAL \led_flash_cnt[1282][4]~44834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1282][4]~44835\ : std_logic;
SIGNAL \led_flash_cnt[1282][5]~44836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1282][5]~44837\ : std_logic;
SIGNAL \led_flash_cnt[1282][6]~44838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][6]~q\ : std_logic;
SIGNAL \WideAnd1282~1_combout\ : std_logic;
SIGNAL \WideAnd1282~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][6]~44839\ : std_logic;
SIGNAL \led_flash_cnt[1282][7]~44840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1282][7]~q\ : std_logic;
SIGNAL \WideAnd1282~combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][0]~81921_combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1281][1]~44814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1281][1]~44815\ : std_logic;
SIGNAL \led_flash_cnt[1281][2]~44816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1281][2]~44817\ : std_logic;
SIGNAL \led_flash_cnt[1281][3]~44818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1281][3]~44819\ : std_logic;
SIGNAL \led_flash_cnt[1281][4]~44820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1281][4]~44821\ : std_logic;
SIGNAL \led_flash_cnt[1281][5]~44822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1281][5]~44823\ : std_logic;
SIGNAL \led_flash_cnt[1281][6]~44824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1281][6]~44825\ : std_logic;
SIGNAL \led_flash_cnt[1281][7]~44826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1281][7]~q\ : std_logic;
SIGNAL \WideAnd1281~1_combout\ : std_logic;
SIGNAL \WideAnd1281~0_combout\ : std_logic;
SIGNAL \WideAnd1281~combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][0]~81920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1280][1]~44800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1280][1]~44801\ : std_logic;
SIGNAL \led_flash_cnt[1280][2]~44802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1280][2]~44803\ : std_logic;
SIGNAL \led_flash_cnt[1280][3]~44804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1280][3]~44805\ : std_logic;
SIGNAL \led_flash_cnt[1280][4]~44806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][4]~q\ : std_logic;
SIGNAL \WideAnd1280~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][4]~44807\ : std_logic;
SIGNAL \led_flash_cnt[1280][5]~44808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1280][5]~44809\ : std_logic;
SIGNAL \led_flash_cnt[1280][6]~44810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1280][6]~44811\ : std_logic;
SIGNAL \led_flash_cnt[1280][7]~44812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1280][7]~q\ : std_logic;
SIGNAL \WideAnd1280~1_combout\ : std_logic;
SIGNAL \WideAnd1280~combout\ : std_logic;
SIGNAL \WideAnd4000~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][0]~81924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1284][1]~44856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1284][1]~44857\ : std_logic;
SIGNAL \led_flash_cnt[1284][2]~44858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1284][2]~44859\ : std_logic;
SIGNAL \led_flash_cnt[1284][3]~44860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1284][3]~44861\ : std_logic;
SIGNAL \led_flash_cnt[1284][4]~44862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1284][4]~44863\ : std_logic;
SIGNAL \led_flash_cnt[1284][5]~44864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1284][5]~44865\ : std_logic;
SIGNAL \led_flash_cnt[1284][6]~44866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][6]~q\ : std_logic;
SIGNAL \WideAnd1284~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][6]~44867\ : std_logic;
SIGNAL \led_flash_cnt[1284][7]~44868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1284][7]~q\ : std_logic;
SIGNAL \WideAnd1284~0_combout\ : std_logic;
SIGNAL \WideAnd1284~combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][0]~81925_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1285][1]~44870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1285][1]~44871\ : std_logic;
SIGNAL \led_flash_cnt[1285][2]~44872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1285][2]~44873\ : std_logic;
SIGNAL \led_flash_cnt[1285][3]~44874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1285][3]~44875\ : std_logic;
SIGNAL \led_flash_cnt[1285][4]~44876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1285][4]~44877\ : std_logic;
SIGNAL \led_flash_cnt[1285][5]~44878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1285][5]~44879\ : std_logic;
SIGNAL \led_flash_cnt[1285][6]~44880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][6]~q\ : std_logic;
SIGNAL \WideAnd1285~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][6]~44881\ : std_logic;
SIGNAL \led_flash_cnt[1285][7]~44882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1285][7]~q\ : std_logic;
SIGNAL \WideAnd1285~0_combout\ : std_logic;
SIGNAL \WideAnd1285~combout\ : std_logic;
SIGNAL \WideAnd4000~1_combout\ : std_logic;
SIGNAL \WideAnd4000~combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][0]~81933_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1293][1]~44982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1293][1]~44983\ : std_logic;
SIGNAL \led_flash_cnt[1293][2]~44984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1293][2]~44985\ : std_logic;
SIGNAL \led_flash_cnt[1293][3]~44986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1293][3]~44987\ : std_logic;
SIGNAL \led_flash_cnt[1293][4]~44988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][4]~q\ : std_logic;
SIGNAL \WideAnd1293~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][4]~44989\ : std_logic;
SIGNAL \led_flash_cnt[1293][5]~44990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1293][5]~44991\ : std_logic;
SIGNAL \led_flash_cnt[1293][6]~44992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1293][6]~44993\ : std_logic;
SIGNAL \led_flash_cnt[1293][7]~44994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1293][7]~q\ : std_logic;
SIGNAL \WideAnd1293~1_combout\ : std_logic;
SIGNAL \WideAnd1293~combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][0]~81932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1292][1]~44968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1292][1]~44969\ : std_logic;
SIGNAL \led_flash_cnt[1292][2]~44970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1292][2]~44971\ : std_logic;
SIGNAL \led_flash_cnt[1292][3]~44972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1292][3]~44973\ : std_logic;
SIGNAL \led_flash_cnt[1292][4]~44974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1292][4]~44975\ : std_logic;
SIGNAL \led_flash_cnt[1292][5]~44976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1292][5]~44977\ : std_logic;
SIGNAL \led_flash_cnt[1292][6]~44978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1292][6]~44979\ : std_logic;
SIGNAL \led_flash_cnt[1292][7]~44980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1292][7]~q\ : std_logic;
SIGNAL \WideAnd1292~1_combout\ : std_logic;
SIGNAL \WideAnd1292~0_combout\ : std_logic;
SIGNAL \WideAnd1292~combout\ : std_logic;
SIGNAL \WideAnd4001~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][0]~81934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1294][1]~44996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1294][1]~44997\ : std_logic;
SIGNAL \led_flash_cnt[1294][2]~44998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1294][2]~44999\ : std_logic;
SIGNAL \led_flash_cnt[1294][3]~45000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1294][3]~45001\ : std_logic;
SIGNAL \led_flash_cnt[1294][4]~45002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][4]~q\ : std_logic;
SIGNAL \WideAnd1294~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][4]~45003\ : std_logic;
SIGNAL \led_flash_cnt[1294][5]~45004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1294][5]~45005\ : std_logic;
SIGNAL \led_flash_cnt[1294][6]~45006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][6]~q\ : std_logic;
SIGNAL \WideAnd1294~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][6]~45007\ : std_logic;
SIGNAL \led_flash_cnt[1294][7]~45008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1294][7]~q\ : std_logic;
SIGNAL \WideAnd1294~combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][0]~81935_combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1295][1]~45010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1295][1]~45011\ : std_logic;
SIGNAL \led_flash_cnt[1295][2]~45012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1295][2]~45013\ : std_logic;
SIGNAL \led_flash_cnt[1295][3]~45014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1295][3]~45015\ : std_logic;
SIGNAL \led_flash_cnt[1295][4]~45016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1295][4]~45017\ : std_logic;
SIGNAL \led_flash_cnt[1295][5]~45018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1295][5]~45019\ : std_logic;
SIGNAL \led_flash_cnt[1295][6]~45020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1295][6]~45021\ : std_logic;
SIGNAL \led_flash_cnt[1295][7]~45022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1295][7]~q\ : std_logic;
SIGNAL \WideAnd1295~0_combout\ : std_logic;
SIGNAL \WideAnd1295~1_combout\ : std_logic;
SIGNAL \WideAnd1295~combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][0]~81929_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1289][1]~44926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1289][1]~44927\ : std_logic;
SIGNAL \led_flash_cnt[1289][2]~44928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1289][2]~44929\ : std_logic;
SIGNAL \led_flash_cnt[1289][3]~44930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1289][3]~44931\ : std_logic;
SIGNAL \led_flash_cnt[1289][4]~44932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][4]~q\ : std_logic;
SIGNAL \WideAnd1289~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][4]~44933\ : std_logic;
SIGNAL \led_flash_cnt[1289][5]~44934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1289][5]~44935\ : std_logic;
SIGNAL \led_flash_cnt[1289][6]~44936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1289][6]~44937\ : std_logic;
SIGNAL \led_flash_cnt[1289][7]~44938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1289][7]~q\ : std_logic;
SIGNAL \WideAnd1289~1_combout\ : std_logic;
SIGNAL \WideAnd1289~combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][0]~81930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1290][1]~44940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1290][1]~44941\ : std_logic;
SIGNAL \led_flash_cnt[1290][2]~44942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1290][2]~44943\ : std_logic;
SIGNAL \led_flash_cnt[1290][3]~44944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1290][3]~44945\ : std_logic;
SIGNAL \led_flash_cnt[1290][4]~44946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][4]~q\ : std_logic;
SIGNAL \WideAnd1290~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][4]~44947\ : std_logic;
SIGNAL \led_flash_cnt[1290][5]~44948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1290][5]~44949\ : std_logic;
SIGNAL \led_flash_cnt[1290][6]~44950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][6]~q\ : std_logic;
SIGNAL \WideAnd1290~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][6]~44951\ : std_logic;
SIGNAL \led_flash_cnt[1290][7]~44952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1290][7]~q\ : std_logic;
SIGNAL \WideAnd1290~combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][0]~81928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1288][1]~44912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1288][1]~44913\ : std_logic;
SIGNAL \led_flash_cnt[1288][2]~44914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1288][2]~44915\ : std_logic;
SIGNAL \led_flash_cnt[1288][3]~44916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1288][3]~44917\ : std_logic;
SIGNAL \led_flash_cnt[1288][4]~44918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][4]~q\ : std_logic;
SIGNAL \WideAnd1288~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][4]~44919\ : std_logic;
SIGNAL \led_flash_cnt[1288][5]~44920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1288][5]~44921\ : std_logic;
SIGNAL \led_flash_cnt[1288][6]~44922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][6]~q\ : std_logic;
SIGNAL \WideAnd1288~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][6]~44923\ : std_logic;
SIGNAL \led_flash_cnt[1288][7]~44924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1288][7]~q\ : std_logic;
SIGNAL \WideAnd1288~combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][0]~81931_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1291][1]~44954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1291][1]~44955\ : std_logic;
SIGNAL \led_flash_cnt[1291][2]~44956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1291][2]~44957\ : std_logic;
SIGNAL \led_flash_cnt[1291][3]~44958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1291][3]~44959\ : std_logic;
SIGNAL \led_flash_cnt[1291][4]~44960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][4]~q\ : std_logic;
SIGNAL \WideAnd1291~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][4]~44961\ : std_logic;
SIGNAL \led_flash_cnt[1291][5]~44962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1291][5]~44963\ : std_logic;
SIGNAL \led_flash_cnt[1291][6]~44964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1291][6]~44965\ : std_logic;
SIGNAL \led_flash_cnt[1291][7]~44966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1291][7]~q\ : std_logic;
SIGNAL \WideAnd1291~1_combout\ : std_logic;
SIGNAL \WideAnd1291~combout\ : std_logic;
SIGNAL \WideAnd4001~0_combout\ : std_logic;
SIGNAL \WideAnd4001~combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][0]~81940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1300][1]~45080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1300][1]~45081\ : std_logic;
SIGNAL \led_flash_cnt[1300][2]~45082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1300][2]~45083\ : std_logic;
SIGNAL \led_flash_cnt[1300][3]~45084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1300][3]~45085\ : std_logic;
SIGNAL \led_flash_cnt[1300][4]~45086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1300][4]~45087\ : std_logic;
SIGNAL \led_flash_cnt[1300][5]~45088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1300][5]~45089\ : std_logic;
SIGNAL \led_flash_cnt[1300][6]~45090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1300][6]~45091\ : std_logic;
SIGNAL \led_flash_cnt[1300][7]~45092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1300][7]~q\ : std_logic;
SIGNAL \WideAnd1300~0_combout\ : std_logic;
SIGNAL \WideAnd1300~1_combout\ : std_logic;
SIGNAL \WideAnd1300~combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][0]~81941_combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1301][1]~45094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1301][1]~45095\ : std_logic;
SIGNAL \led_flash_cnt[1301][2]~45096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1301][2]~45097\ : std_logic;
SIGNAL \led_flash_cnt[1301][3]~45098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1301][3]~45099\ : std_logic;
SIGNAL \led_flash_cnt[1301][4]~45100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1301][4]~45101\ : std_logic;
SIGNAL \led_flash_cnt[1301][5]~45102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1301][5]~45103\ : std_logic;
SIGNAL \led_flash_cnt[1301][6]~45104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1301][6]~45105\ : std_logic;
SIGNAL \led_flash_cnt[1301][7]~45106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1301][7]~q\ : std_logic;
SIGNAL \WideAnd1301~0_combout\ : std_logic;
SIGNAL \WideAnd1301~1_combout\ : std_logic;
SIGNAL \WideAnd1301~combout\ : std_logic;
SIGNAL \WideAnd4002~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][0]~81943_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1303][1]~45122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1303][1]~45123\ : std_logic;
SIGNAL \led_flash_cnt[1303][2]~45124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1303][2]~45125\ : std_logic;
SIGNAL \led_flash_cnt[1303][3]~45126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1303][3]~45127\ : std_logic;
SIGNAL \led_flash_cnt[1303][4]~45128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1303][4]~45129\ : std_logic;
SIGNAL \led_flash_cnt[1303][5]~45130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1303][5]~45131\ : std_logic;
SIGNAL \led_flash_cnt[1303][6]~45132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1303][6]~45133\ : std_logic;
SIGNAL \led_flash_cnt[1303][7]~45134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1303][7]~q\ : std_logic;
SIGNAL \WideAnd1303~1_combout\ : std_logic;
SIGNAL \WideAnd1303~0_combout\ : std_logic;
SIGNAL \WideAnd1303~combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][0]~81936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1296][1]~45024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1296][1]~45025\ : std_logic;
SIGNAL \led_flash_cnt[1296][2]~45026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1296][2]~45027\ : std_logic;
SIGNAL \led_flash_cnt[1296][3]~45028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1296][3]~45029\ : std_logic;
SIGNAL \led_flash_cnt[1296][4]~45030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1296][4]~45031\ : std_logic;
SIGNAL \led_flash_cnt[1296][5]~45032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1296][5]~45033\ : std_logic;
SIGNAL \led_flash_cnt[1296][6]~45034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1296][6]~45035\ : std_logic;
SIGNAL \led_flash_cnt[1296][7]~45036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1296][7]~q\ : std_logic;
SIGNAL \WideAnd1296~1_combout\ : std_logic;
SIGNAL \WideAnd1296~0_combout\ : std_logic;
SIGNAL \WideAnd1296~combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][0]~81939_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1299][1]~45066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1299][1]~45067\ : std_logic;
SIGNAL \led_flash_cnt[1299][2]~45068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1299][2]~45069\ : std_logic;
SIGNAL \led_flash_cnt[1299][3]~45070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1299][3]~45071\ : std_logic;
SIGNAL \led_flash_cnt[1299][4]~45072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1299][4]~45073\ : std_logic;
SIGNAL \led_flash_cnt[1299][5]~45074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1299][5]~45075\ : std_logic;
SIGNAL \led_flash_cnt[1299][6]~45076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][6]~q\ : std_logic;
SIGNAL \WideAnd1299~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][6]~45077\ : std_logic;
SIGNAL \led_flash_cnt[1299][7]~45078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1299][7]~q\ : std_logic;
SIGNAL \WideAnd1299~0_combout\ : std_logic;
SIGNAL \WideAnd1299~combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][0]~81938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1298][1]~45052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1298][1]~45053\ : std_logic;
SIGNAL \led_flash_cnt[1298][2]~45054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1298][2]~45055\ : std_logic;
SIGNAL \led_flash_cnt[1298][3]~45056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1298][3]~45057\ : std_logic;
SIGNAL \led_flash_cnt[1298][4]~45058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1298][4]~45059\ : std_logic;
SIGNAL \led_flash_cnt[1298][5]~45060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1298][5]~45061\ : std_logic;
SIGNAL \led_flash_cnt[1298][6]~45062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1298][6]~45063\ : std_logic;
SIGNAL \led_flash_cnt[1298][7]~45064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1298][7]~q\ : std_logic;
SIGNAL \WideAnd1298~1_combout\ : std_logic;
SIGNAL \WideAnd1298~0_combout\ : std_logic;
SIGNAL \WideAnd1298~combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][0]~81937_combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1297][1]~45038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1297][1]~45039\ : std_logic;
SIGNAL \led_flash_cnt[1297][2]~45040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1297][2]~45041\ : std_logic;
SIGNAL \led_flash_cnt[1297][3]~45042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1297][3]~45043\ : std_logic;
SIGNAL \led_flash_cnt[1297][4]~45044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1297][4]~45045\ : std_logic;
SIGNAL \led_flash_cnt[1297][5]~45046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1297][5]~45047\ : std_logic;
SIGNAL \led_flash_cnt[1297][6]~45048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1297][6]~45049\ : std_logic;
SIGNAL \led_flash_cnt[1297][7]~45050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1297][7]~q\ : std_logic;
SIGNAL \WideAnd1297~0_combout\ : std_logic;
SIGNAL \WideAnd1297~1_combout\ : std_logic;
SIGNAL \WideAnd1297~combout\ : std_logic;
SIGNAL \WideAnd4002~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][0]~81942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1302][1]~45108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1302][1]~45109\ : std_logic;
SIGNAL \led_flash_cnt[1302][2]~45110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1302][2]~45111\ : std_logic;
SIGNAL \led_flash_cnt[1302][3]~45112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1302][3]~45113\ : std_logic;
SIGNAL \led_flash_cnt[1302][4]~45114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][4]~q\ : std_logic;
SIGNAL \WideAnd1302~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][4]~45115\ : std_logic;
SIGNAL \led_flash_cnt[1302][5]~45116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1302][5]~45117\ : std_logic;
SIGNAL \led_flash_cnt[1302][6]~45118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1302][6]~45119\ : std_logic;
SIGNAL \led_flash_cnt[1302][7]~45120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1302][7]~q\ : std_logic;
SIGNAL \WideAnd1302~1_combout\ : std_logic;
SIGNAL \WideAnd1302~combout\ : std_logic;
SIGNAL \WideAnd4002~combout\ : std_logic;
SIGNAL \WideAnd4340~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][0]~81974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1334][1]~45556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1334][1]~45557\ : std_logic;
SIGNAL \led_flash_cnt[1334][2]~45558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1334][2]~45559\ : std_logic;
SIGNAL \led_flash_cnt[1334][3]~45560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1334][3]~45561\ : std_logic;
SIGNAL \led_flash_cnt[1334][4]~45562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1334][4]~45563\ : std_logic;
SIGNAL \led_flash_cnt[1334][5]~45564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1334][5]~45565\ : std_logic;
SIGNAL \led_flash_cnt[1334][6]~45566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][6]~q\ : std_logic;
SIGNAL \WideAnd1334~1_combout\ : std_logic;
SIGNAL \WideAnd1334~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][6]~45567\ : std_logic;
SIGNAL \led_flash_cnt[1334][7]~45568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1334][7]~q\ : std_logic;
SIGNAL \WideAnd1334~combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][0]~81975_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1335][1]~45570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1335][1]~45571\ : std_logic;
SIGNAL \led_flash_cnt[1335][2]~45572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1335][2]~45573\ : std_logic;
SIGNAL \led_flash_cnt[1335][3]~45574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1335][3]~45575\ : std_logic;
SIGNAL \led_flash_cnt[1335][4]~45576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1335][4]~45577\ : std_logic;
SIGNAL \led_flash_cnt[1335][5]~45578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1335][5]~45579\ : std_logic;
SIGNAL \led_flash_cnt[1335][6]~45580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][6]~q\ : std_logic;
SIGNAL \WideAnd1335~1_combout\ : std_logic;
SIGNAL \WideAnd1335~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][6]~45581\ : std_logic;
SIGNAL \led_flash_cnt[1335][7]~45582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1335][7]~q\ : std_logic;
SIGNAL \WideAnd1335~combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][0]~81968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1328][1]~45472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1328][1]~45473\ : std_logic;
SIGNAL \led_flash_cnt[1328][2]~45474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1328][2]~45475\ : std_logic;
SIGNAL \led_flash_cnt[1328][3]~45476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1328][3]~45477\ : std_logic;
SIGNAL \led_flash_cnt[1328][4]~45478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][4]~q\ : std_logic;
SIGNAL \WideAnd1328~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][4]~45479\ : std_logic;
SIGNAL \led_flash_cnt[1328][5]~45480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1328][5]~45481\ : std_logic;
SIGNAL \led_flash_cnt[1328][6]~45482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1328][6]~45483\ : std_logic;
SIGNAL \led_flash_cnt[1328][7]~45484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1328][7]~q\ : std_logic;
SIGNAL \WideAnd1328~1_combout\ : std_logic;
SIGNAL \WideAnd1328~combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][0]~81971_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1331][1]~45514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1331][1]~45515\ : std_logic;
SIGNAL \led_flash_cnt[1331][2]~45516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1331][2]~45517\ : std_logic;
SIGNAL \led_flash_cnt[1331][3]~45518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1331][3]~45519\ : std_logic;
SIGNAL \led_flash_cnt[1331][4]~45520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1331][4]~45521\ : std_logic;
SIGNAL \led_flash_cnt[1331][5]~45522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1331][5]~45523\ : std_logic;
SIGNAL \led_flash_cnt[1331][6]~45524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][6]~q\ : std_logic;
SIGNAL \WideAnd1331~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][6]~45525\ : std_logic;
SIGNAL \led_flash_cnt[1331][7]~45526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1331][7]~q\ : std_logic;
SIGNAL \WideAnd1331~0_combout\ : std_logic;
SIGNAL \WideAnd1331~combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][0]~81969_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1329][1]~45486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1329][1]~45487\ : std_logic;
SIGNAL \led_flash_cnt[1329][2]~45488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1329][2]~45489\ : std_logic;
SIGNAL \led_flash_cnt[1329][3]~45490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1329][3]~45491\ : std_logic;
SIGNAL \led_flash_cnt[1329][4]~45492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1329][4]~45493\ : std_logic;
SIGNAL \led_flash_cnt[1329][5]~45494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1329][5]~45495\ : std_logic;
SIGNAL \led_flash_cnt[1329][6]~45496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][6]~q\ : std_logic;
SIGNAL \WideAnd1329~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][6]~45497\ : std_logic;
SIGNAL \led_flash_cnt[1329][7]~45498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1329][7]~q\ : std_logic;
SIGNAL \WideAnd1329~0_combout\ : std_logic;
SIGNAL \WideAnd1329~combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][0]~81970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1330][1]~45500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1330][1]~45501\ : std_logic;
SIGNAL \led_flash_cnt[1330][2]~45502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1330][2]~45503\ : std_logic;
SIGNAL \led_flash_cnt[1330][3]~45504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1330][3]~45505\ : std_logic;
SIGNAL \led_flash_cnt[1330][4]~45506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1330][4]~45507\ : std_logic;
SIGNAL \led_flash_cnt[1330][5]~45508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1330][5]~45509\ : std_logic;
SIGNAL \led_flash_cnt[1330][6]~45510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1330][6]~45511\ : std_logic;
SIGNAL \led_flash_cnt[1330][7]~45512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1330][7]~q\ : std_logic;
SIGNAL \WideAnd1330~1_combout\ : std_logic;
SIGNAL \WideAnd1330~0_combout\ : std_logic;
SIGNAL \WideAnd1330~combout\ : std_logic;
SIGNAL \WideAnd4006~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][0]~81973_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1333][1]~45542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1333][1]~45543\ : std_logic;
SIGNAL \led_flash_cnt[1333][2]~45544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1333][2]~45545\ : std_logic;
SIGNAL \led_flash_cnt[1333][3]~45546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1333][3]~45547\ : std_logic;
SIGNAL \led_flash_cnt[1333][4]~45548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1333][4]~45549\ : std_logic;
SIGNAL \led_flash_cnt[1333][5]~45550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1333][5]~45551\ : std_logic;
SIGNAL \led_flash_cnt[1333][6]~45552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1333][6]~45553\ : std_logic;
SIGNAL \led_flash_cnt[1333][7]~45554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1333][7]~q\ : std_logic;
SIGNAL \WideAnd1333~0_combout\ : std_logic;
SIGNAL \WideAnd1333~1_combout\ : std_logic;
SIGNAL \WideAnd1333~combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][0]~81972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1332][1]~45528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1332][1]~45529\ : std_logic;
SIGNAL \led_flash_cnt[1332][2]~45530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1332][2]~45531\ : std_logic;
SIGNAL \led_flash_cnt[1332][3]~45532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1332][3]~45533\ : std_logic;
SIGNAL \led_flash_cnt[1332][4]~45534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][4]~q\ : std_logic;
SIGNAL \WideAnd1332~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][4]~45535\ : std_logic;
SIGNAL \led_flash_cnt[1332][5]~45536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1332][5]~45537\ : std_logic;
SIGNAL \led_flash_cnt[1332][6]~45538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][6]~q\ : std_logic;
SIGNAL \WideAnd1332~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][6]~45539\ : std_logic;
SIGNAL \led_flash_cnt[1332][7]~45540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1332][7]~q\ : std_logic;
SIGNAL \WideAnd1332~combout\ : std_logic;
SIGNAL \WideAnd4006~1_combout\ : std_logic;
SIGNAL \WideAnd4006~combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][0]~81959_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1319][1]~45346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1319][1]~45347\ : std_logic;
SIGNAL \led_flash_cnt[1319][2]~45348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1319][2]~45349\ : std_logic;
SIGNAL \led_flash_cnt[1319][3]~45350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1319][3]~45351\ : std_logic;
SIGNAL \led_flash_cnt[1319][4]~45352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1319][4]~45353\ : std_logic;
SIGNAL \led_flash_cnt[1319][5]~45354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1319][5]~45355\ : std_logic;
SIGNAL \led_flash_cnt[1319][6]~45356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][6]~q\ : std_logic;
SIGNAL \WideAnd1319~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][6]~45357\ : std_logic;
SIGNAL \led_flash_cnt[1319][7]~45358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1319][7]~q\ : std_logic;
SIGNAL \WideAnd1319~0_combout\ : std_logic;
SIGNAL \WideAnd1319~combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][0]~81953_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1313][1]~45262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1313][1]~45263\ : std_logic;
SIGNAL \led_flash_cnt[1313][2]~45264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1313][2]~45265\ : std_logic;
SIGNAL \led_flash_cnt[1313][3]~45266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1313][3]~45267\ : std_logic;
SIGNAL \led_flash_cnt[1313][4]~45268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][4]~q\ : std_logic;
SIGNAL \WideAnd1313~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][4]~45269\ : std_logic;
SIGNAL \led_flash_cnt[1313][5]~45270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1313][5]~45271\ : std_logic;
SIGNAL \led_flash_cnt[1313][6]~45272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1313][6]~45273\ : std_logic;
SIGNAL \led_flash_cnt[1313][7]~45274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1313][7]~q\ : std_logic;
SIGNAL \WideAnd1313~1_combout\ : std_logic;
SIGNAL \WideAnd1313~combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][0]~81954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1314][1]~45276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1314][1]~45277\ : std_logic;
SIGNAL \led_flash_cnt[1314][2]~45278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1314][2]~45279\ : std_logic;
SIGNAL \led_flash_cnt[1314][3]~45280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1314][3]~45281\ : std_logic;
SIGNAL \led_flash_cnt[1314][4]~45282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1314][4]~45283\ : std_logic;
SIGNAL \led_flash_cnt[1314][5]~45284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1314][5]~45285\ : std_logic;
SIGNAL \led_flash_cnt[1314][6]~45286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][6]~q\ : std_logic;
SIGNAL \WideAnd1314~1_combout\ : std_logic;
SIGNAL \WideAnd1314~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][6]~45287\ : std_logic;
SIGNAL \led_flash_cnt[1314][7]~45288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1314][7]~q\ : std_logic;
SIGNAL \WideAnd1314~combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][0]~81952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1312][1]~45248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1312][1]~45249\ : std_logic;
SIGNAL \led_flash_cnt[1312][2]~45250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1312][2]~45251\ : std_logic;
SIGNAL \led_flash_cnt[1312][3]~45252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1312][3]~45253\ : std_logic;
SIGNAL \led_flash_cnt[1312][4]~45254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1312][4]~45255\ : std_logic;
SIGNAL \led_flash_cnt[1312][5]~45256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1312][5]~45257\ : std_logic;
SIGNAL \led_flash_cnt[1312][6]~45258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][6]~q\ : std_logic;
SIGNAL \WideAnd1312~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][6]~45259\ : std_logic;
SIGNAL \led_flash_cnt[1312][7]~45260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1312][7]~q\ : std_logic;
SIGNAL \WideAnd1312~0_combout\ : std_logic;
SIGNAL \WideAnd1312~combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][0]~81955_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1315][1]~45290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1315][1]~45291\ : std_logic;
SIGNAL \led_flash_cnt[1315][2]~45292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1315][2]~45293\ : std_logic;
SIGNAL \led_flash_cnt[1315][3]~45294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1315][3]~45295\ : std_logic;
SIGNAL \led_flash_cnt[1315][4]~45296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][4]~q\ : std_logic;
SIGNAL \WideAnd1315~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][4]~45297\ : std_logic;
SIGNAL \led_flash_cnt[1315][5]~45298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1315][5]~45299\ : std_logic;
SIGNAL \led_flash_cnt[1315][6]~45300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][6]~q\ : std_logic;
SIGNAL \WideAnd1315~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][6]~45301\ : std_logic;
SIGNAL \led_flash_cnt[1315][7]~45302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1315][7]~q\ : std_logic;
SIGNAL \WideAnd1315~combout\ : std_logic;
SIGNAL \WideAnd4004~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][0]~81957_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1317][1]~45318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1317][1]~45319\ : std_logic;
SIGNAL \led_flash_cnt[1317][2]~45320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1317][2]~45321\ : std_logic;
SIGNAL \led_flash_cnt[1317][3]~45322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1317][3]~45323\ : std_logic;
SIGNAL \led_flash_cnt[1317][4]~45324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1317][4]~45325\ : std_logic;
SIGNAL \led_flash_cnt[1317][5]~45326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1317][5]~45327\ : std_logic;
SIGNAL \led_flash_cnt[1317][6]~45328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1317][6]~45329\ : std_logic;
SIGNAL \led_flash_cnt[1317][7]~45330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1317][7]~q\ : std_logic;
SIGNAL \WideAnd1317~1_combout\ : std_logic;
SIGNAL \WideAnd1317~0_combout\ : std_logic;
SIGNAL \WideAnd1317~combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][0]~81956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1316][1]~45304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1316][1]~45305\ : std_logic;
SIGNAL \led_flash_cnt[1316][2]~45306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1316][2]~45307\ : std_logic;
SIGNAL \led_flash_cnt[1316][3]~45308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1316][3]~45309\ : std_logic;
SIGNAL \led_flash_cnt[1316][4]~45310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1316][4]~45311\ : std_logic;
SIGNAL \led_flash_cnt[1316][5]~45312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1316][5]~45313\ : std_logic;
SIGNAL \led_flash_cnt[1316][6]~45314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1316][6]~45315\ : std_logic;
SIGNAL \led_flash_cnt[1316][7]~45316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1316][7]~q\ : std_logic;
SIGNAL \WideAnd1316~1_combout\ : std_logic;
SIGNAL \WideAnd1316~0_combout\ : std_logic;
SIGNAL \WideAnd1316~combout\ : std_logic;
SIGNAL \WideAnd4004~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][0]~81958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1318][1]~45332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1318][1]~45333\ : std_logic;
SIGNAL \led_flash_cnt[1318][2]~45334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1318][2]~45335\ : std_logic;
SIGNAL \led_flash_cnt[1318][3]~45336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1318][3]~45337\ : std_logic;
SIGNAL \led_flash_cnt[1318][4]~45338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1318][4]~45339\ : std_logic;
SIGNAL \led_flash_cnt[1318][5]~45340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1318][5]~45341\ : std_logic;
SIGNAL \led_flash_cnt[1318][6]~45342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][6]~q\ : std_logic;
SIGNAL \WideAnd1318~1_combout\ : std_logic;
SIGNAL \WideAnd1318~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][6]~45343\ : std_logic;
SIGNAL \led_flash_cnt[1318][7]~45344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1318][7]~q\ : std_logic;
SIGNAL \WideAnd1318~combout\ : std_logic;
SIGNAL \WideAnd4004~combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][0]~81963_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1323][1]~45402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1323][1]~45403\ : std_logic;
SIGNAL \led_flash_cnt[1323][2]~45404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1323][2]~45405\ : std_logic;
SIGNAL \led_flash_cnt[1323][3]~45406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1323][3]~45407\ : std_logic;
SIGNAL \led_flash_cnt[1323][4]~45408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][4]~q\ : std_logic;
SIGNAL \WideAnd1323~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][4]~45409\ : std_logic;
SIGNAL \led_flash_cnt[1323][5]~45410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1323][5]~45411\ : std_logic;
SIGNAL \led_flash_cnt[1323][6]~45412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1323][6]~45413\ : std_logic;
SIGNAL \led_flash_cnt[1323][7]~45414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1323][7]~q\ : std_logic;
SIGNAL \WideAnd1323~1_combout\ : std_logic;
SIGNAL \WideAnd1323~combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][0]~81962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1322][1]~45388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1322][1]~45389\ : std_logic;
SIGNAL \led_flash_cnt[1322][2]~45390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1322][2]~45391\ : std_logic;
SIGNAL \led_flash_cnt[1322][3]~45392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1322][3]~45393\ : std_logic;
SIGNAL \led_flash_cnt[1322][4]~45394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][4]~q\ : std_logic;
SIGNAL \WideAnd1322~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][4]~45395\ : std_logic;
SIGNAL \led_flash_cnt[1322][5]~45396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1322][5]~45397\ : std_logic;
SIGNAL \led_flash_cnt[1322][6]~45398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1322][6]~45399\ : std_logic;
SIGNAL \led_flash_cnt[1322][7]~45400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1322][7]~q\ : std_logic;
SIGNAL \WideAnd1322~1_combout\ : std_logic;
SIGNAL \WideAnd1322~combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][0]~81960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1320][1]~45360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1320][1]~45361\ : std_logic;
SIGNAL \led_flash_cnt[1320][2]~45362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1320][2]~45363\ : std_logic;
SIGNAL \led_flash_cnt[1320][3]~45364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1320][3]~45365\ : std_logic;
SIGNAL \led_flash_cnt[1320][4]~45366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][4]~q\ : std_logic;
SIGNAL \WideAnd1320~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][4]~45367\ : std_logic;
SIGNAL \led_flash_cnt[1320][5]~45368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1320][5]~45369\ : std_logic;
SIGNAL \led_flash_cnt[1320][6]~45370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1320][6]~45371\ : std_logic;
SIGNAL \led_flash_cnt[1320][7]~45372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1320][7]~q\ : std_logic;
SIGNAL \WideAnd1320~1_combout\ : std_logic;
SIGNAL \WideAnd1320~combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][0]~81961_combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1321][1]~45374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1321][1]~45375\ : std_logic;
SIGNAL \led_flash_cnt[1321][2]~45376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1321][2]~45377\ : std_logic;
SIGNAL \led_flash_cnt[1321][3]~45378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1321][3]~45379\ : std_logic;
SIGNAL \led_flash_cnt[1321][4]~45380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1321][4]~45381\ : std_logic;
SIGNAL \led_flash_cnt[1321][5]~45382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1321][5]~45383\ : std_logic;
SIGNAL \led_flash_cnt[1321][6]~45384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1321][6]~45385\ : std_logic;
SIGNAL \led_flash_cnt[1321][7]~45386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1321][7]~q\ : std_logic;
SIGNAL \WideAnd1321~1_combout\ : std_logic;
SIGNAL \WideAnd1321~0_combout\ : std_logic;
SIGNAL \WideAnd1321~combout\ : std_logic;
SIGNAL \WideAnd4005~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][0]~81965_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1325][1]~45430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1325][1]~45431\ : std_logic;
SIGNAL \led_flash_cnt[1325][2]~45432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1325][2]~45433\ : std_logic;
SIGNAL \led_flash_cnt[1325][3]~45434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1325][3]~45435\ : std_logic;
SIGNAL \led_flash_cnt[1325][4]~45436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1325][4]~45437\ : std_logic;
SIGNAL \led_flash_cnt[1325][5]~45438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1325][5]~45439\ : std_logic;
SIGNAL \led_flash_cnt[1325][6]~45440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1325][6]~45441\ : std_logic;
SIGNAL \led_flash_cnt[1325][7]~45442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1325][7]~q\ : std_logic;
SIGNAL \WideAnd1325~1_combout\ : std_logic;
SIGNAL \WideAnd1325~0_combout\ : std_logic;
SIGNAL \WideAnd1325~combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][0]~81964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1324][1]~45416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1324][1]~45417\ : std_logic;
SIGNAL \led_flash_cnt[1324][2]~45418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1324][2]~45419\ : std_logic;
SIGNAL \led_flash_cnt[1324][3]~45420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1324][3]~45421\ : std_logic;
SIGNAL \led_flash_cnt[1324][4]~45422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1324][4]~45423\ : std_logic;
SIGNAL \led_flash_cnt[1324][5]~45424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1324][5]~45425\ : std_logic;
SIGNAL \led_flash_cnt[1324][6]~45426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][6]~q\ : std_logic;
SIGNAL \WideAnd1324~1_combout\ : std_logic;
SIGNAL \WideAnd1324~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][6]~45427\ : std_logic;
SIGNAL \led_flash_cnt[1324][7]~45428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1324][7]~q\ : std_logic;
SIGNAL \WideAnd1324~combout\ : std_logic;
SIGNAL \WideAnd4005~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][0]~81966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1326][1]~45444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1326][1]~45445\ : std_logic;
SIGNAL \led_flash_cnt[1326][2]~45446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1326][2]~45447\ : std_logic;
SIGNAL \led_flash_cnt[1326][3]~45448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1326][3]~45449\ : std_logic;
SIGNAL \led_flash_cnt[1326][4]~45450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][4]~q\ : std_logic;
SIGNAL \WideAnd1326~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][4]~45451\ : std_logic;
SIGNAL \led_flash_cnt[1326][5]~45452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1326][5]~45453\ : std_logic;
SIGNAL \led_flash_cnt[1326][6]~45454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1326][6]~45455\ : std_logic;
SIGNAL \led_flash_cnt[1326][7]~45456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1326][7]~q\ : std_logic;
SIGNAL \WideAnd1326~1_combout\ : std_logic;
SIGNAL \WideAnd1326~combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][0]~81967_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1327][1]~45458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1327][1]~45459\ : std_logic;
SIGNAL \led_flash_cnt[1327][2]~45460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1327][2]~45461\ : std_logic;
SIGNAL \led_flash_cnt[1327][3]~45462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1327][3]~45463\ : std_logic;
SIGNAL \led_flash_cnt[1327][4]~45464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][4]~q\ : std_logic;
SIGNAL \WideAnd1327~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][4]~45465\ : std_logic;
SIGNAL \led_flash_cnt[1327][5]~45466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1327][5]~45467\ : std_logic;
SIGNAL \led_flash_cnt[1327][6]~45468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][6]~q\ : std_logic;
SIGNAL \WideAnd1327~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][6]~45469\ : std_logic;
SIGNAL \led_flash_cnt[1327][7]~45470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1327][7]~q\ : std_logic;
SIGNAL \WideAnd1327~combout\ : std_logic;
SIGNAL \WideAnd4005~combout\ : std_logic;
SIGNAL \WideAnd4340~1_combout\ : std_logic;
SIGNAL \WideAnd4340~combout\ : std_logic;
SIGNAL \WideAnd4380~6_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][0]~82679_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2039][1]~55426_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2039][1]~55427\ : std_logic;
SIGNAL \led_flash_cnt[2039][2]~55428_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2039][2]~55429\ : std_logic;
SIGNAL \led_flash_cnt[2039][3]~55430_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2039][3]~55431\ : std_logic;
SIGNAL \led_flash_cnt[2039][4]~55432_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][4]~q\ : std_logic;
SIGNAL \WideAnd2039~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][4]~55433\ : std_logic;
SIGNAL \led_flash_cnt[2039][5]~55434_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2039][5]~55435\ : std_logic;
SIGNAL \led_flash_cnt[2039][6]~55436_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2039][6]~55437\ : std_logic;
SIGNAL \led_flash_cnt[2039][7]~55438_combout\ : std_logic;
SIGNAL \led_flash_cnt[2039][7]~q\ : std_logic;
SIGNAL \WideAnd2039~1_combout\ : std_logic;
SIGNAL \WideAnd2039~combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][0]~82678_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2038][1]~55412_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2038][1]~55413\ : std_logic;
SIGNAL \led_flash_cnt[2038][2]~55414_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2038][2]~55415\ : std_logic;
SIGNAL \led_flash_cnt[2038][3]~55416_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2038][3]~55417\ : std_logic;
SIGNAL \led_flash_cnt[2038][4]~55418_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2038][4]~55419\ : std_logic;
SIGNAL \led_flash_cnt[2038][5]~55420_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2038][5]~55421\ : std_logic;
SIGNAL \led_flash_cnt[2038][6]~55422_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][6]~q\ : std_logic;
SIGNAL \WideAnd2038~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][6]~55423\ : std_logic;
SIGNAL \led_flash_cnt[2038][7]~55424_combout\ : std_logic;
SIGNAL \led_flash_cnt[2038][7]~q\ : std_logic;
SIGNAL \WideAnd2038~0_combout\ : std_logic;
SIGNAL \WideAnd2038~combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][0]~82677_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2037][1]~55398_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2037][1]~55399\ : std_logic;
SIGNAL \led_flash_cnt[2037][2]~55400_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2037][2]~55401\ : std_logic;
SIGNAL \led_flash_cnt[2037][3]~55402_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2037][3]~55403\ : std_logic;
SIGNAL \led_flash_cnt[2037][4]~55404_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2037][4]~55405\ : std_logic;
SIGNAL \led_flash_cnt[2037][5]~55406_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2037][5]~55407\ : std_logic;
SIGNAL \led_flash_cnt[2037][6]~55408_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][6]~q\ : std_logic;
SIGNAL \WideAnd2037~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][6]~55409\ : std_logic;
SIGNAL \led_flash_cnt[2037][7]~55410_combout\ : std_logic;
SIGNAL \led_flash_cnt[2037][7]~q\ : std_logic;
SIGNAL \WideAnd2037~0_combout\ : std_logic;
SIGNAL \WideAnd2037~combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][0]~82676_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2036][1]~55384_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2036][1]~55385\ : std_logic;
SIGNAL \led_flash_cnt[2036][2]~55386_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2036][2]~55387\ : std_logic;
SIGNAL \led_flash_cnt[2036][3]~55388_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2036][3]~55389\ : std_logic;
SIGNAL \led_flash_cnt[2036][4]~55390_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][4]~q\ : std_logic;
SIGNAL \WideAnd2036~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][4]~55391\ : std_logic;
SIGNAL \led_flash_cnt[2036][5]~55392_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2036][5]~55393\ : std_logic;
SIGNAL \led_flash_cnt[2036][6]~55394_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2036][6]~55395\ : std_logic;
SIGNAL \led_flash_cnt[2036][7]~55396_combout\ : std_logic;
SIGNAL \led_flash_cnt[2036][7]~q\ : std_logic;
SIGNAL \WideAnd2036~1_combout\ : std_logic;
SIGNAL \WideAnd2036~combout\ : std_logic;
SIGNAL \WideAnd4094~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][0]~82673_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2033][1]~55342_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2033][1]~55343\ : std_logic;
SIGNAL \led_flash_cnt[2033][2]~55344_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2033][2]~55345\ : std_logic;
SIGNAL \led_flash_cnt[2033][3]~55346_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2033][3]~55347\ : std_logic;
SIGNAL \led_flash_cnt[2033][4]~55348_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2033][4]~55349\ : std_logic;
SIGNAL \led_flash_cnt[2033][5]~55350_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2033][5]~55351\ : std_logic;
SIGNAL \led_flash_cnt[2033][6]~55352_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][6]~q\ : std_logic;
SIGNAL \WideAnd2033~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][6]~55353\ : std_logic;
SIGNAL \led_flash_cnt[2033][7]~55354_combout\ : std_logic;
SIGNAL \led_flash_cnt[2033][7]~q\ : std_logic;
SIGNAL \WideAnd2033~0_combout\ : std_logic;
SIGNAL \WideAnd2033~combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][0]~82674_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2034][1]~55356_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2034][1]~55357\ : std_logic;
SIGNAL \led_flash_cnt[2034][2]~55358_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2034][2]~55359\ : std_logic;
SIGNAL \led_flash_cnt[2034][3]~55360_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2034][3]~55361\ : std_logic;
SIGNAL \led_flash_cnt[2034][4]~55362_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][4]~q\ : std_logic;
SIGNAL \WideAnd2034~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][4]~55363\ : std_logic;
SIGNAL \led_flash_cnt[2034][5]~55364_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2034][5]~55365\ : std_logic;
SIGNAL \led_flash_cnt[2034][6]~55366_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2034][6]~55367\ : std_logic;
SIGNAL \led_flash_cnt[2034][7]~55368_combout\ : std_logic;
SIGNAL \led_flash_cnt[2034][7]~q\ : std_logic;
SIGNAL \WideAnd2034~1_combout\ : std_logic;
SIGNAL \WideAnd2034~combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][0]~82675_combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2035][1]~55370_combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2035][1]~55371\ : std_logic;
SIGNAL \led_flash_cnt[2035][2]~55372_combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2035][2]~55373\ : std_logic;
SIGNAL \led_flash_cnt[2035][3]~55374_combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2035][3]~55375\ : std_logic;
SIGNAL \led_flash_cnt[2035][4]~55376_combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2035][4]~55377\ : std_logic;
SIGNAL \led_flash_cnt[2035][5]~55378_combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2035][5]~55379\ : std_logic;
SIGNAL \led_flash_cnt[2035][6]~55380_combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2035][6]~55381\ : std_logic;
SIGNAL \led_flash_cnt[2035][7]~55382_combout\ : std_logic;
SIGNAL \led_flash_cnt[2035][7]~q\ : std_logic;
SIGNAL \WideAnd2035~1_combout\ : std_logic;
SIGNAL \WideAnd2035~0_combout\ : std_logic;
SIGNAL \WideAnd2035~combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][0]~82672_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2032][1]~55328_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2032][1]~55329\ : std_logic;
SIGNAL \led_flash_cnt[2032][2]~55330_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2032][2]~55331\ : std_logic;
SIGNAL \led_flash_cnt[2032][3]~55332_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2032][3]~55333\ : std_logic;
SIGNAL \led_flash_cnt[2032][4]~55334_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2032][4]~55335\ : std_logic;
SIGNAL \led_flash_cnt[2032][5]~55336_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2032][5]~55337\ : std_logic;
SIGNAL \led_flash_cnt[2032][6]~55338_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][6]~q\ : std_logic;
SIGNAL \WideAnd2032~1_combout\ : std_logic;
SIGNAL \WideAnd2032~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][6]~55339\ : std_logic;
SIGNAL \led_flash_cnt[2032][7]~55340_combout\ : std_logic;
SIGNAL \led_flash_cnt[2032][7]~q\ : std_logic;
SIGNAL \WideAnd2032~combout\ : std_logic;
SIGNAL \WideAnd4094~0_combout\ : std_logic;
SIGNAL \WideAnd4094~combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][0]~82671_combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2031][1]~55314_combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2031][1]~55315\ : std_logic;
SIGNAL \led_flash_cnt[2031][2]~55316_combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2031][2]~55317\ : std_logic;
SIGNAL \led_flash_cnt[2031][3]~55318_combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2031][3]~55319\ : std_logic;
SIGNAL \led_flash_cnt[2031][4]~55320_combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2031][4]~55321\ : std_logic;
SIGNAL \led_flash_cnt[2031][5]~55322_combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2031][5]~55323\ : std_logic;
SIGNAL \led_flash_cnt[2031][6]~55324_combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2031][6]~55325\ : std_logic;
SIGNAL \led_flash_cnt[2031][7]~55326_combout\ : std_logic;
SIGNAL \led_flash_cnt[2031][7]~q\ : std_logic;
SIGNAL \WideAnd2031~0_combout\ : std_logic;
SIGNAL \WideAnd2031~1_combout\ : std_logic;
SIGNAL \WideAnd2031~combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][0]~82669_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2029][1]~55286_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2029][1]~55287\ : std_logic;
SIGNAL \led_flash_cnt[2029][2]~55288_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2029][2]~55289\ : std_logic;
SIGNAL \led_flash_cnt[2029][3]~55290_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2029][3]~55291\ : std_logic;
SIGNAL \led_flash_cnt[2029][4]~55292_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][4]~q\ : std_logic;
SIGNAL \WideAnd2029~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][4]~55293\ : std_logic;
SIGNAL \led_flash_cnt[2029][5]~55294_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2029][5]~55295\ : std_logic;
SIGNAL \led_flash_cnt[2029][6]~55296_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2029][6]~55297\ : std_logic;
SIGNAL \led_flash_cnt[2029][7]~55298_combout\ : std_logic;
SIGNAL \led_flash_cnt[2029][7]~q\ : std_logic;
SIGNAL \WideAnd2029~1_combout\ : std_logic;
SIGNAL \WideAnd2029~combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][0]~82668_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2028][1]~55272_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2028][1]~55273\ : std_logic;
SIGNAL \led_flash_cnt[2028][2]~55274_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2028][2]~55275\ : std_logic;
SIGNAL \led_flash_cnt[2028][3]~55276_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2028][3]~55277\ : std_logic;
SIGNAL \led_flash_cnt[2028][4]~55278_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][4]~q\ : std_logic;
SIGNAL \WideAnd2028~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][4]~55279\ : std_logic;
SIGNAL \led_flash_cnt[2028][5]~55280_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2028][5]~55281\ : std_logic;
SIGNAL \led_flash_cnt[2028][6]~55282_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2028][6]~55283\ : std_logic;
SIGNAL \led_flash_cnt[2028][7]~55284_combout\ : std_logic;
SIGNAL \led_flash_cnt[2028][7]~q\ : std_logic;
SIGNAL \WideAnd2028~1_combout\ : std_logic;
SIGNAL \WideAnd2028~combout\ : std_logic;
SIGNAL \WideAnd4093~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][0]~82665_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2025][1]~55230_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2025][1]~55231\ : std_logic;
SIGNAL \led_flash_cnt[2025][2]~55232_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2025][2]~55233\ : std_logic;
SIGNAL \led_flash_cnt[2025][3]~55234_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2025][3]~55235\ : std_logic;
SIGNAL \led_flash_cnt[2025][4]~55236_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2025][4]~55237\ : std_logic;
SIGNAL \led_flash_cnt[2025][5]~55238_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2025][5]~55239\ : std_logic;
SIGNAL \led_flash_cnt[2025][6]~55240_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][6]~q\ : std_logic;
SIGNAL \WideAnd2025~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][6]~55241\ : std_logic;
SIGNAL \led_flash_cnt[2025][7]~55242_combout\ : std_logic;
SIGNAL \led_flash_cnt[2025][7]~q\ : std_logic;
SIGNAL \WideAnd2025~1_combout\ : std_logic;
SIGNAL \WideAnd2025~combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][0]~82664_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2024][1]~55216_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2024][1]~55217\ : std_logic;
SIGNAL \led_flash_cnt[2024][2]~55218_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2024][2]~55219\ : std_logic;
SIGNAL \led_flash_cnt[2024][3]~55220_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2024][3]~55221\ : std_logic;
SIGNAL \led_flash_cnt[2024][4]~55222_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2024][4]~55223\ : std_logic;
SIGNAL \led_flash_cnt[2024][5]~55224_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2024][5]~55225\ : std_logic;
SIGNAL \led_flash_cnt[2024][6]~55226_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][6]~q\ : std_logic;
SIGNAL \WideAnd2024~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][6]~55227\ : std_logic;
SIGNAL \led_flash_cnt[2024][7]~55228_combout\ : std_logic;
SIGNAL \led_flash_cnt[2024][7]~q\ : std_logic;
SIGNAL \WideAnd2024~0_combout\ : std_logic;
SIGNAL \WideAnd2024~combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][0]~82667_combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2027][1]~55258_combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2027][1]~55259\ : std_logic;
SIGNAL \led_flash_cnt[2027][2]~55260_combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2027][2]~55261\ : std_logic;
SIGNAL \led_flash_cnt[2027][3]~55262_combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2027][3]~55263\ : std_logic;
SIGNAL \led_flash_cnt[2027][4]~55264_combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2027][4]~55265\ : std_logic;
SIGNAL \led_flash_cnt[2027][5]~55266_combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2027][5]~55267\ : std_logic;
SIGNAL \led_flash_cnt[2027][6]~55268_combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2027][6]~55269\ : std_logic;
SIGNAL \led_flash_cnt[2027][7]~55270_combout\ : std_logic;
SIGNAL \led_flash_cnt[2027][7]~q\ : std_logic;
SIGNAL \WideAnd2027~0_combout\ : std_logic;
SIGNAL \WideAnd2027~1_combout\ : std_logic;
SIGNAL \WideAnd2027~combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][0]~82666_combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2026][1]~55244_combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2026][1]~55245\ : std_logic;
SIGNAL \led_flash_cnt[2026][2]~55246_combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2026][2]~55247\ : std_logic;
SIGNAL \led_flash_cnt[2026][3]~55248_combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2026][3]~55249\ : std_logic;
SIGNAL \led_flash_cnt[2026][4]~55250_combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2026][4]~55251\ : std_logic;
SIGNAL \led_flash_cnt[2026][5]~55252_combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2026][5]~55253\ : std_logic;
SIGNAL \led_flash_cnt[2026][6]~55254_combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2026][6]~55255\ : std_logic;
SIGNAL \led_flash_cnt[2026][7]~55256_combout\ : std_logic;
SIGNAL \led_flash_cnt[2026][7]~q\ : std_logic;
SIGNAL \WideAnd2026~0_combout\ : std_logic;
SIGNAL \WideAnd2026~1_combout\ : std_logic;
SIGNAL \WideAnd2026~combout\ : std_logic;
SIGNAL \WideAnd4093~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][0]~82670_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2030][1]~55300_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2030][1]~55301\ : std_logic;
SIGNAL \led_flash_cnt[2030][2]~55302_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2030][2]~55303\ : std_logic;
SIGNAL \led_flash_cnt[2030][3]~55304_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2030][3]~55305\ : std_logic;
SIGNAL \led_flash_cnt[2030][4]~55306_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][4]~q\ : std_logic;
SIGNAL \WideAnd2030~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][4]~55307\ : std_logic;
SIGNAL \led_flash_cnt[2030][5]~55308_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2030][5]~55309\ : std_logic;
SIGNAL \led_flash_cnt[2030][6]~55310_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2030][6]~55311\ : std_logic;
SIGNAL \led_flash_cnt[2030][7]~55312_combout\ : std_logic;
SIGNAL \led_flash_cnt[2030][7]~q\ : std_logic;
SIGNAL \WideAnd2030~1_combout\ : std_logic;
SIGNAL \WideAnd2030~combout\ : std_logic;
SIGNAL \WideAnd4093~combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][0]~82663_combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2023][1]~55202_combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2023][1]~55203\ : std_logic;
SIGNAL \led_flash_cnt[2023][2]~55204_combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2023][2]~55205\ : std_logic;
SIGNAL \led_flash_cnt[2023][3]~55206_combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2023][3]~55207\ : std_logic;
SIGNAL \led_flash_cnt[2023][4]~55208_combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2023][4]~55209\ : std_logic;
SIGNAL \led_flash_cnt[2023][5]~55210_combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2023][5]~55211\ : std_logic;
SIGNAL \led_flash_cnt[2023][6]~55212_combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2023][6]~55213\ : std_logic;
SIGNAL \led_flash_cnt[2023][7]~55214_combout\ : std_logic;
SIGNAL \led_flash_cnt[2023][7]~q\ : std_logic;
SIGNAL \WideAnd2023~0_combout\ : std_logic;
SIGNAL \WideAnd2023~1_combout\ : std_logic;
SIGNAL \WideAnd2023~combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][0]~82662_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2022][1]~55188_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2022][1]~55189\ : std_logic;
SIGNAL \led_flash_cnt[2022][2]~55190_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2022][2]~55191\ : std_logic;
SIGNAL \led_flash_cnt[2022][3]~55192_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2022][3]~55193\ : std_logic;
SIGNAL \led_flash_cnt[2022][4]~55194_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][4]~q\ : std_logic;
SIGNAL \WideAnd2022~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][4]~55195\ : std_logic;
SIGNAL \led_flash_cnt[2022][5]~55196_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2022][5]~55197\ : std_logic;
SIGNAL \led_flash_cnt[2022][6]~55198_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][6]~q\ : std_logic;
SIGNAL \WideAnd2022~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][6]~55199\ : std_logic;
SIGNAL \led_flash_cnt[2022][7]~55200_combout\ : std_logic;
SIGNAL \led_flash_cnt[2022][7]~q\ : std_logic;
SIGNAL \WideAnd2022~combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][0]~82656_combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2016][1]~55104_combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2016][1]~55105\ : std_logic;
SIGNAL \led_flash_cnt[2016][2]~55106_combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2016][2]~55107\ : std_logic;
SIGNAL \led_flash_cnt[2016][3]~55108_combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2016][3]~55109\ : std_logic;
SIGNAL \led_flash_cnt[2016][4]~55110_combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2016][4]~55111\ : std_logic;
SIGNAL \led_flash_cnt[2016][5]~55112_combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2016][5]~55113\ : std_logic;
SIGNAL \led_flash_cnt[2016][6]~55114_combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2016][6]~55115\ : std_logic;
SIGNAL \led_flash_cnt[2016][7]~55116_combout\ : std_logic;
SIGNAL \led_flash_cnt[2016][7]~q\ : std_logic;
SIGNAL \WideAnd2016~1_combout\ : std_logic;
SIGNAL \WideAnd2016~0_combout\ : std_logic;
SIGNAL \WideAnd2016~combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][0]~82658_combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2018][1]~55132_combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2018][1]~55133\ : std_logic;
SIGNAL \led_flash_cnt[2018][2]~55134_combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2018][2]~55135\ : std_logic;
SIGNAL \led_flash_cnt[2018][3]~55136_combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2018][3]~55137\ : std_logic;
SIGNAL \led_flash_cnt[2018][4]~55138_combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2018][4]~55139\ : std_logic;
SIGNAL \led_flash_cnt[2018][5]~55140_combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2018][5]~55141\ : std_logic;
SIGNAL \led_flash_cnt[2018][6]~55142_combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2018][6]~55143\ : std_logic;
SIGNAL \led_flash_cnt[2018][7]~55144_combout\ : std_logic;
SIGNAL \led_flash_cnt[2018][7]~q\ : std_logic;
SIGNAL \WideAnd2018~1_combout\ : std_logic;
SIGNAL \WideAnd2018~0_combout\ : std_logic;
SIGNAL \WideAnd2018~combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][0]~82657_combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2017][1]~55118_combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2017][1]~55119\ : std_logic;
SIGNAL \led_flash_cnt[2017][2]~55120_combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2017][2]~55121\ : std_logic;
SIGNAL \led_flash_cnt[2017][3]~55122_combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2017][3]~55123\ : std_logic;
SIGNAL \led_flash_cnt[2017][4]~55124_combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2017][4]~55125\ : std_logic;
SIGNAL \led_flash_cnt[2017][5]~55126_combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2017][5]~55127\ : std_logic;
SIGNAL \led_flash_cnt[2017][6]~55128_combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2017][6]~55129\ : std_logic;
SIGNAL \led_flash_cnt[2017][7]~55130_combout\ : std_logic;
SIGNAL \led_flash_cnt[2017][7]~q\ : std_logic;
SIGNAL \WideAnd2017~1_combout\ : std_logic;
SIGNAL \WideAnd2017~0_combout\ : std_logic;
SIGNAL \WideAnd2017~combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][0]~82659_combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2019][1]~55146_combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2019][1]~55147\ : std_logic;
SIGNAL \led_flash_cnt[2019][2]~55148_combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2019][2]~55149\ : std_logic;
SIGNAL \led_flash_cnt[2019][3]~55150_combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2019][3]~55151\ : std_logic;
SIGNAL \led_flash_cnt[2019][4]~55152_combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2019][4]~55153\ : std_logic;
SIGNAL \led_flash_cnt[2019][5]~55154_combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2019][5]~55155\ : std_logic;
SIGNAL \led_flash_cnt[2019][6]~55156_combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2019][6]~55157\ : std_logic;
SIGNAL \led_flash_cnt[2019][7]~55158_combout\ : std_logic;
SIGNAL \led_flash_cnt[2019][7]~q\ : std_logic;
SIGNAL \WideAnd2019~1_combout\ : std_logic;
SIGNAL \WideAnd2019~0_combout\ : std_logic;
SIGNAL \WideAnd2019~combout\ : std_logic;
SIGNAL \WideAnd4092~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][0]~82660_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2020][1]~55160_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2020][1]~55161\ : std_logic;
SIGNAL \led_flash_cnt[2020][2]~55162_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2020][2]~55163\ : std_logic;
SIGNAL \led_flash_cnt[2020][3]~55164_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2020][3]~55165\ : std_logic;
SIGNAL \led_flash_cnt[2020][4]~55166_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2020][4]~55167\ : std_logic;
SIGNAL \led_flash_cnt[2020][5]~55168_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2020][5]~55169\ : std_logic;
SIGNAL \led_flash_cnt[2020][6]~55170_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][6]~q\ : std_logic;
SIGNAL \WideAnd2020~1_combout\ : std_logic;
SIGNAL \WideAnd2020~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][6]~55171\ : std_logic;
SIGNAL \led_flash_cnt[2020][7]~55172_combout\ : std_logic;
SIGNAL \led_flash_cnt[2020][7]~q\ : std_logic;
SIGNAL \WideAnd2020~combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][0]~82661_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2021][1]~55174_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2021][1]~55175\ : std_logic;
SIGNAL \led_flash_cnt[2021][2]~55176_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2021][2]~55177\ : std_logic;
SIGNAL \led_flash_cnt[2021][3]~55178_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2021][3]~55179\ : std_logic;
SIGNAL \led_flash_cnt[2021][4]~55180_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][4]~q\ : std_logic;
SIGNAL \WideAnd2021~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][4]~55181\ : std_logic;
SIGNAL \led_flash_cnt[2021][5]~55182_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2021][5]~55183\ : std_logic;
SIGNAL \led_flash_cnt[2021][6]~55184_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][6]~q\ : std_logic;
SIGNAL \WideAnd2021~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][6]~55185\ : std_logic;
SIGNAL \led_flash_cnt[2021][7]~55186_combout\ : std_logic;
SIGNAL \led_flash_cnt[2021][7]~q\ : std_logic;
SIGNAL \WideAnd2021~combout\ : std_logic;
SIGNAL \WideAnd4092~1_combout\ : std_logic;
SIGNAL \WideAnd4092~combout\ : std_logic;
SIGNAL \WideAnd4351~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][0]~82687_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2047][1]~55538_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2047][1]~55539\ : std_logic;
SIGNAL \led_flash_cnt[2047][2]~55540_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2047][2]~55541\ : std_logic;
SIGNAL \led_flash_cnt[2047][3]~55542_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2047][3]~55543\ : std_logic;
SIGNAL \led_flash_cnt[2047][4]~55544_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2047][4]~55545\ : std_logic;
SIGNAL \led_flash_cnt[2047][5]~55546_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2047][5]~55547\ : std_logic;
SIGNAL \led_flash_cnt[2047][6]~55548_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][6]~q\ : std_logic;
SIGNAL \WideAnd2047~1_combout\ : std_logic;
SIGNAL \WideAnd2047~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][6]~55549\ : std_logic;
SIGNAL \led_flash_cnt[2047][7]~55550_combout\ : std_logic;
SIGNAL \led_flash_cnt[2047][7]~q\ : std_logic;
SIGNAL \WideAnd2047~combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][0]~82684_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2044][1]~55496_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2044][1]~55497\ : std_logic;
SIGNAL \led_flash_cnt[2044][2]~55498_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2044][2]~55499\ : std_logic;
SIGNAL \led_flash_cnt[2044][3]~55500_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2044][3]~55501\ : std_logic;
SIGNAL \led_flash_cnt[2044][4]~55502_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][4]~q\ : std_logic;
SIGNAL \WideAnd2044~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][4]~55503\ : std_logic;
SIGNAL \led_flash_cnt[2044][5]~55504_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2044][5]~55505\ : std_logic;
SIGNAL \led_flash_cnt[2044][6]~55506_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2044][6]~55507\ : std_logic;
SIGNAL \led_flash_cnt[2044][7]~55508_combout\ : std_logic;
SIGNAL \led_flash_cnt[2044][7]~q\ : std_logic;
SIGNAL \WideAnd2044~1_combout\ : std_logic;
SIGNAL \WideAnd2044~combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][0]~82685_combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2045][1]~55510_combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2045][1]~55511\ : std_logic;
SIGNAL \led_flash_cnt[2045][2]~55512_combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2045][2]~55513\ : std_logic;
SIGNAL \led_flash_cnt[2045][3]~55514_combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2045][3]~55515\ : std_logic;
SIGNAL \led_flash_cnt[2045][4]~55516_combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2045][4]~55517\ : std_logic;
SIGNAL \led_flash_cnt[2045][5]~55518_combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2045][5]~55519\ : std_logic;
SIGNAL \led_flash_cnt[2045][6]~55520_combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2045][6]~55521\ : std_logic;
SIGNAL \led_flash_cnt[2045][7]~55522_combout\ : std_logic;
SIGNAL \led_flash_cnt[2045][7]~q\ : std_logic;
SIGNAL \WideAnd2045~0_combout\ : std_logic;
SIGNAL \WideAnd2045~1_combout\ : std_logic;
SIGNAL \WideAnd2045~combout\ : std_logic;
SIGNAL \WideAnd4095~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][0]~82686_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2046][1]~55524_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2046][1]~55525\ : std_logic;
SIGNAL \led_flash_cnt[2046][2]~55526_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2046][2]~55527\ : std_logic;
SIGNAL \led_flash_cnt[2046][3]~55528_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2046][3]~55529\ : std_logic;
SIGNAL \led_flash_cnt[2046][4]~55530_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][4]~q\ : std_logic;
SIGNAL \WideAnd2046~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][4]~55531\ : std_logic;
SIGNAL \led_flash_cnt[2046][5]~55532_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2046][5]~55533\ : std_logic;
SIGNAL \led_flash_cnt[2046][6]~55534_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][6]~q\ : std_logic;
SIGNAL \WideAnd2046~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][6]~55535\ : std_logic;
SIGNAL \led_flash_cnt[2046][7]~55536_combout\ : std_logic;
SIGNAL \led_flash_cnt[2046][7]~q\ : std_logic;
SIGNAL \WideAnd2046~combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][0]~82682_combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2042][1]~55468_combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2042][1]~55469\ : std_logic;
SIGNAL \led_flash_cnt[2042][2]~55470_combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2042][2]~55471\ : std_logic;
SIGNAL \led_flash_cnt[2042][3]~55472_combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2042][3]~55473\ : std_logic;
SIGNAL \led_flash_cnt[2042][4]~55474_combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2042][4]~55475\ : std_logic;
SIGNAL \led_flash_cnt[2042][5]~55476_combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2042][5]~55477\ : std_logic;
SIGNAL \led_flash_cnt[2042][6]~55478_combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2042][6]~55479\ : std_logic;
SIGNAL \led_flash_cnt[2042][7]~55480_combout\ : std_logic;
SIGNAL \led_flash_cnt[2042][7]~q\ : std_logic;
SIGNAL \WideAnd2042~1_combout\ : std_logic;
SIGNAL \WideAnd2042~0_combout\ : std_logic;
SIGNAL \WideAnd2042~combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][0]~82681_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2041][1]~55454_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2041][1]~55455\ : std_logic;
SIGNAL \led_flash_cnt[2041][2]~55456_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2041][2]~55457\ : std_logic;
SIGNAL \led_flash_cnt[2041][3]~55458_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2041][3]~55459\ : std_logic;
SIGNAL \led_flash_cnt[2041][4]~55460_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2041][4]~55461\ : std_logic;
SIGNAL \led_flash_cnt[2041][5]~55462_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2041][5]~55463\ : std_logic;
SIGNAL \led_flash_cnt[2041][6]~55464_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][6]~q\ : std_logic;
SIGNAL \WideAnd2041~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][6]~55465\ : std_logic;
SIGNAL \led_flash_cnt[2041][7]~55466_combout\ : std_logic;
SIGNAL \led_flash_cnt[2041][7]~q\ : std_logic;
SIGNAL \WideAnd2041~0_combout\ : std_logic;
SIGNAL \WideAnd2041~combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][0]~82680_combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2040][1]~55440_combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2040][1]~55441\ : std_logic;
SIGNAL \led_flash_cnt[2040][2]~55442_combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2040][2]~55443\ : std_logic;
SIGNAL \led_flash_cnt[2040][3]~55444_combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2040][3]~55445\ : std_logic;
SIGNAL \led_flash_cnt[2040][4]~55446_combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2040][4]~55447\ : std_logic;
SIGNAL \led_flash_cnt[2040][5]~55448_combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2040][5]~55449\ : std_logic;
SIGNAL \led_flash_cnt[2040][6]~55450_combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2040][6]~55451\ : std_logic;
SIGNAL \led_flash_cnt[2040][7]~55452_combout\ : std_logic;
SIGNAL \led_flash_cnt[2040][7]~q\ : std_logic;
SIGNAL \WideAnd2040~0_combout\ : std_logic;
SIGNAL \WideAnd2040~1_combout\ : std_logic;
SIGNAL \WideAnd2040~combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][0]~82683_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2043][1]~55482_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2043][1]~55483\ : std_logic;
SIGNAL \led_flash_cnt[2043][2]~55484_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2043][2]~55485\ : std_logic;
SIGNAL \led_flash_cnt[2043][3]~55486_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2043][3]~55487\ : std_logic;
SIGNAL \led_flash_cnt[2043][4]~55488_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][4]~q\ : std_logic;
SIGNAL \WideAnd2043~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][4]~55489\ : std_logic;
SIGNAL \led_flash_cnt[2043][5]~55490_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2043][5]~55491\ : std_logic;
SIGNAL \led_flash_cnt[2043][6]~55492_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2043][6]~55493\ : std_logic;
SIGNAL \led_flash_cnt[2043][7]~55494_combout\ : std_logic;
SIGNAL \led_flash_cnt[2043][7]~q\ : std_logic;
SIGNAL \WideAnd2043~1_combout\ : std_logic;
SIGNAL \WideAnd2043~combout\ : std_logic;
SIGNAL \WideAnd4095~0_combout\ : std_logic;
SIGNAL \WideAnd4095~combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][0]~82653_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2013][1]~55062_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2013][1]~55063\ : std_logic;
SIGNAL \led_flash_cnt[2013][2]~55064_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2013][2]~55065\ : std_logic;
SIGNAL \led_flash_cnt[2013][3]~55066_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2013][3]~55067\ : std_logic;
SIGNAL \led_flash_cnt[2013][4]~55068_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2013][4]~55069\ : std_logic;
SIGNAL \led_flash_cnt[2013][5]~55070_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2013][5]~55071\ : std_logic;
SIGNAL \led_flash_cnt[2013][6]~55072_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][6]~q\ : std_logic;
SIGNAL \WideAnd2013~1_combout\ : std_logic;
SIGNAL \WideAnd2013~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][6]~55073\ : std_logic;
SIGNAL \led_flash_cnt[2013][7]~55074_combout\ : std_logic;
SIGNAL \led_flash_cnt[2013][7]~q\ : std_logic;
SIGNAL \WideAnd2013~combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][0]~82652_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2012][1]~55048_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2012][1]~55049\ : std_logic;
SIGNAL \led_flash_cnt[2012][2]~55050_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2012][2]~55051\ : std_logic;
SIGNAL \led_flash_cnt[2012][3]~55052_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2012][3]~55053\ : std_logic;
SIGNAL \led_flash_cnt[2012][4]~55054_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2012][4]~55055\ : std_logic;
SIGNAL \led_flash_cnt[2012][5]~55056_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2012][5]~55057\ : std_logic;
SIGNAL \led_flash_cnt[2012][6]~55058_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][6]~q\ : std_logic;
SIGNAL \WideAnd2012~1_combout\ : std_logic;
SIGNAL \WideAnd2012~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][6]~55059\ : std_logic;
SIGNAL \led_flash_cnt[2012][7]~55060_combout\ : std_logic;
SIGNAL \led_flash_cnt[2012][7]~q\ : std_logic;
SIGNAL \WideAnd2012~combout\ : std_logic;
SIGNAL \WideAnd4091~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][0]~82654_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2014][1]~55076_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2014][1]~55077\ : std_logic;
SIGNAL \led_flash_cnt[2014][2]~55078_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2014][2]~55079\ : std_logic;
SIGNAL \led_flash_cnt[2014][3]~55080_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2014][3]~55081\ : std_logic;
SIGNAL \led_flash_cnt[2014][4]~55082_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2014][4]~55083\ : std_logic;
SIGNAL \led_flash_cnt[2014][5]~55084_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2014][5]~55085\ : std_logic;
SIGNAL \led_flash_cnt[2014][6]~55086_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2014][6]~55087\ : std_logic;
SIGNAL \led_flash_cnt[2014][7]~55088_combout\ : std_logic;
SIGNAL \led_flash_cnt[2014][7]~q\ : std_logic;
SIGNAL \WideAnd2014~1_combout\ : std_logic;
SIGNAL \WideAnd2014~0_combout\ : std_logic;
SIGNAL \WideAnd2014~combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][0]~82650_combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2010][1]~55020_combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2010][1]~55021\ : std_logic;
SIGNAL \led_flash_cnt[2010][2]~55022_combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2010][2]~55023\ : std_logic;
SIGNAL \led_flash_cnt[2010][3]~55024_combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2010][3]~55025\ : std_logic;
SIGNAL \led_flash_cnt[2010][4]~55026_combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2010][4]~55027\ : std_logic;
SIGNAL \led_flash_cnt[2010][5]~55028_combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2010][5]~55029\ : std_logic;
SIGNAL \led_flash_cnt[2010][6]~55030_combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2010][6]~55031\ : std_logic;
SIGNAL \led_flash_cnt[2010][7]~55032_combout\ : std_logic;
SIGNAL \led_flash_cnt[2010][7]~q\ : std_logic;
SIGNAL \WideAnd2010~0_combout\ : std_logic;
SIGNAL \WideAnd2010~1_combout\ : std_logic;
SIGNAL \WideAnd2010~combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][0]~82649_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2009][1]~55006_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2009][1]~55007\ : std_logic;
SIGNAL \led_flash_cnt[2009][2]~55008_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2009][2]~55009\ : std_logic;
SIGNAL \led_flash_cnt[2009][3]~55010_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2009][3]~55011\ : std_logic;
SIGNAL \led_flash_cnt[2009][4]~55012_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2009][4]~55013\ : std_logic;
SIGNAL \led_flash_cnt[2009][5]~55014_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2009][5]~55015\ : std_logic;
SIGNAL \led_flash_cnt[2009][6]~55016_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][6]~q\ : std_logic;
SIGNAL \WideAnd2009~1_combout\ : std_logic;
SIGNAL \WideAnd2009~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][6]~55017\ : std_logic;
SIGNAL \led_flash_cnt[2009][7]~55018_combout\ : std_logic;
SIGNAL \led_flash_cnt[2009][7]~q\ : std_logic;
SIGNAL \WideAnd2009~combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][0]~82651_combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2011][1]~55034_combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2011][1]~55035\ : std_logic;
SIGNAL \led_flash_cnt[2011][2]~55036_combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2011][2]~55037\ : std_logic;
SIGNAL \led_flash_cnt[2011][3]~55038_combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2011][3]~55039\ : std_logic;
SIGNAL \led_flash_cnt[2011][4]~55040_combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2011][4]~55041\ : std_logic;
SIGNAL \led_flash_cnt[2011][5]~55042_combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2011][5]~55043\ : std_logic;
SIGNAL \led_flash_cnt[2011][6]~55044_combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2011][6]~55045\ : std_logic;
SIGNAL \led_flash_cnt[2011][7]~55046_combout\ : std_logic;
SIGNAL \led_flash_cnt[2011][7]~q\ : std_logic;
SIGNAL \WideAnd2011~1_combout\ : std_logic;
SIGNAL \WideAnd2011~0_combout\ : std_logic;
SIGNAL \WideAnd2011~combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][0]~82648_combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2008][1]~54992_combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2008][1]~54993\ : std_logic;
SIGNAL \led_flash_cnt[2008][2]~54994_combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2008][2]~54995\ : std_logic;
SIGNAL \led_flash_cnt[2008][3]~54996_combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2008][3]~54997\ : std_logic;
SIGNAL \led_flash_cnt[2008][4]~54998_combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2008][4]~54999\ : std_logic;
SIGNAL \led_flash_cnt[2008][5]~55000_combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2008][5]~55001\ : std_logic;
SIGNAL \led_flash_cnt[2008][6]~55002_combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2008][6]~55003\ : std_logic;
SIGNAL \led_flash_cnt[2008][7]~55004_combout\ : std_logic;
SIGNAL \led_flash_cnt[2008][7]~q\ : std_logic;
SIGNAL \WideAnd2008~1_combout\ : std_logic;
SIGNAL \WideAnd2008~0_combout\ : std_logic;
SIGNAL \WideAnd2008~combout\ : std_logic;
SIGNAL \WideAnd4091~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][0]~82655_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2015][1]~55090_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2015][1]~55091\ : std_logic;
SIGNAL \led_flash_cnt[2015][2]~55092_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2015][2]~55093\ : std_logic;
SIGNAL \led_flash_cnt[2015][3]~55094_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2015][3]~55095\ : std_logic;
SIGNAL \led_flash_cnt[2015][4]~55096_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2015][4]~55097\ : std_logic;
SIGNAL \led_flash_cnt[2015][5]~55098_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2015][5]~55099\ : std_logic;
SIGNAL \led_flash_cnt[2015][6]~55100_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][6]~q\ : std_logic;
SIGNAL \WideAnd2015~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][6]~55101\ : std_logic;
SIGNAL \led_flash_cnt[2015][7]~55102_combout\ : std_logic;
SIGNAL \led_flash_cnt[2015][7]~q\ : std_logic;
SIGNAL \WideAnd2015~0_combout\ : std_logic;
SIGNAL \WideAnd2015~combout\ : std_logic;
SIGNAL \WideAnd4091~combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][0]~82632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1992][1]~54768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1992][1]~54769\ : std_logic;
SIGNAL \led_flash_cnt[1992][2]~54770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1992][2]~54771\ : std_logic;
SIGNAL \led_flash_cnt[1992][3]~54772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1992][3]~54773\ : std_logic;
SIGNAL \led_flash_cnt[1992][4]~54774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1992][4]~54775\ : std_logic;
SIGNAL \led_flash_cnt[1992][5]~54776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1992][5]~54777\ : std_logic;
SIGNAL \led_flash_cnt[1992][6]~54778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][6]~q\ : std_logic;
SIGNAL \WideAnd1992~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][6]~54779\ : std_logic;
SIGNAL \led_flash_cnt[1992][7]~54780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1992][7]~q\ : std_logic;
SIGNAL \WideAnd1992~0_combout\ : std_logic;
SIGNAL \WideAnd1992~combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][0]~82635_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1995][1]~54810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1995][1]~54811\ : std_logic;
SIGNAL \led_flash_cnt[1995][2]~54812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1995][2]~54813\ : std_logic;
SIGNAL \led_flash_cnt[1995][3]~54814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1995][3]~54815\ : std_logic;
SIGNAL \led_flash_cnt[1995][4]~54816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1995][4]~54817\ : std_logic;
SIGNAL \led_flash_cnt[1995][5]~54818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1995][5]~54819\ : std_logic;
SIGNAL \led_flash_cnt[1995][6]~54820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][6]~q\ : std_logic;
SIGNAL \WideAnd1995~1_combout\ : std_logic;
SIGNAL \WideAnd1995~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][6]~54821\ : std_logic;
SIGNAL \led_flash_cnt[1995][7]~54822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1995][7]~q\ : std_logic;
SIGNAL \WideAnd1995~combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][0]~82633_combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1993][1]~54782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1993][1]~54783\ : std_logic;
SIGNAL \led_flash_cnt[1993][2]~54784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1993][2]~54785\ : std_logic;
SIGNAL \led_flash_cnt[1993][3]~54786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1993][3]~54787\ : std_logic;
SIGNAL \led_flash_cnt[1993][4]~54788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1993][4]~54789\ : std_logic;
SIGNAL \led_flash_cnt[1993][5]~54790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1993][5]~54791\ : std_logic;
SIGNAL \led_flash_cnt[1993][6]~54792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1993][6]~54793\ : std_logic;
SIGNAL \led_flash_cnt[1993][7]~54794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1993][7]~q\ : std_logic;
SIGNAL \WideAnd1993~1_combout\ : std_logic;
SIGNAL \WideAnd1993~0_combout\ : std_logic;
SIGNAL \WideAnd1993~combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][0]~82634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1994][1]~54796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1994][1]~54797\ : std_logic;
SIGNAL \led_flash_cnt[1994][2]~54798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1994][2]~54799\ : std_logic;
SIGNAL \led_flash_cnt[1994][3]~54800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1994][3]~54801\ : std_logic;
SIGNAL \led_flash_cnt[1994][4]~54802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1994][4]~54803\ : std_logic;
SIGNAL \led_flash_cnt[1994][5]~54804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1994][5]~54805\ : std_logic;
SIGNAL \led_flash_cnt[1994][6]~54806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1994][6]~54807\ : std_logic;
SIGNAL \led_flash_cnt[1994][7]~54808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1994][7]~q\ : std_logic;
SIGNAL \WideAnd1994~0_combout\ : std_logic;
SIGNAL \WideAnd1994~1_combout\ : std_logic;
SIGNAL \WideAnd1994~combout\ : std_logic;
SIGNAL \WideAnd4089~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][0]~82637_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1997][1]~54838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1997][1]~54839\ : std_logic;
SIGNAL \led_flash_cnt[1997][2]~54840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1997][2]~54841\ : std_logic;
SIGNAL \led_flash_cnt[1997][3]~54842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1997][3]~54843\ : std_logic;
SIGNAL \led_flash_cnt[1997][4]~54844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1997][4]~54845\ : std_logic;
SIGNAL \led_flash_cnt[1997][5]~54846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1997][5]~54847\ : std_logic;
SIGNAL \led_flash_cnt[1997][6]~54848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1997][6]~54849\ : std_logic;
SIGNAL \led_flash_cnt[1997][7]~54850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1997][7]~q\ : std_logic;
SIGNAL \WideAnd1997~1_combout\ : std_logic;
SIGNAL \WideAnd1997~0_combout\ : std_logic;
SIGNAL \WideAnd1997~combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][0]~82636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1996][1]~54824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1996][1]~54825\ : std_logic;
SIGNAL \led_flash_cnt[1996][2]~54826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1996][2]~54827\ : std_logic;
SIGNAL \led_flash_cnt[1996][3]~54828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1996][3]~54829\ : std_logic;
SIGNAL \led_flash_cnt[1996][4]~54830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][4]~q\ : std_logic;
SIGNAL \WideAnd1996~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][4]~54831\ : std_logic;
SIGNAL \led_flash_cnt[1996][5]~54832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1996][5]~54833\ : std_logic;
SIGNAL \led_flash_cnt[1996][6]~54834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][6]~q\ : std_logic;
SIGNAL \WideAnd1996~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][6]~54835\ : std_logic;
SIGNAL \led_flash_cnt[1996][7]~54836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1996][7]~q\ : std_logic;
SIGNAL \WideAnd1996~combout\ : std_logic;
SIGNAL \WideAnd4089~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][0]~82639_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1999][1]~54866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1999][1]~54867\ : std_logic;
SIGNAL \led_flash_cnt[1999][2]~54868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1999][2]~54869\ : std_logic;
SIGNAL \led_flash_cnt[1999][3]~54870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1999][3]~54871\ : std_logic;
SIGNAL \led_flash_cnt[1999][4]~54872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1999][4]~54873\ : std_logic;
SIGNAL \led_flash_cnt[1999][5]~54874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1999][5]~54875\ : std_logic;
SIGNAL \led_flash_cnt[1999][6]~54876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1999][6]~54877\ : std_logic;
SIGNAL \led_flash_cnt[1999][7]~54878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1999][7]~q\ : std_logic;
SIGNAL \WideAnd1999~0_combout\ : std_logic;
SIGNAL \WideAnd1999~1_combout\ : std_logic;
SIGNAL \WideAnd1999~combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][0]~82638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1998][1]~54852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1998][1]~54853\ : std_logic;
SIGNAL \led_flash_cnt[1998][2]~54854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1998][2]~54855\ : std_logic;
SIGNAL \led_flash_cnt[1998][3]~54856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1998][3]~54857\ : std_logic;
SIGNAL \led_flash_cnt[1998][4]~54858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][4]~q\ : std_logic;
SIGNAL \WideAnd1998~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][4]~54859\ : std_logic;
SIGNAL \led_flash_cnt[1998][5]~54860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1998][5]~54861\ : std_logic;
SIGNAL \led_flash_cnt[1998][6]~54862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1998][6]~54863\ : std_logic;
SIGNAL \led_flash_cnt[1998][7]~54864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1998][7]~q\ : std_logic;
SIGNAL \WideAnd1998~1_combout\ : std_logic;
SIGNAL \WideAnd1998~combout\ : std_logic;
SIGNAL \WideAnd4089~combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][0]~82630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1990][1]~54740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1990][1]~54741\ : std_logic;
SIGNAL \led_flash_cnt[1990][2]~54742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1990][2]~54743\ : std_logic;
SIGNAL \led_flash_cnt[1990][3]~54744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1990][3]~54745\ : std_logic;
SIGNAL \led_flash_cnt[1990][4]~54746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][4]~q\ : std_logic;
SIGNAL \WideAnd1990~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][4]~54747\ : std_logic;
SIGNAL \led_flash_cnt[1990][5]~54748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1990][5]~54749\ : std_logic;
SIGNAL \led_flash_cnt[1990][6]~54750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1990][6]~54751\ : std_logic;
SIGNAL \led_flash_cnt[1990][7]~54752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1990][7]~q\ : std_logic;
SIGNAL \WideAnd1990~1_combout\ : std_logic;
SIGNAL \WideAnd1990~combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][0]~82631_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1991][1]~54754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1991][1]~54755\ : std_logic;
SIGNAL \led_flash_cnt[1991][2]~54756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1991][2]~54757\ : std_logic;
SIGNAL \led_flash_cnt[1991][3]~54758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1991][3]~54759\ : std_logic;
SIGNAL \led_flash_cnt[1991][4]~54760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][4]~q\ : std_logic;
SIGNAL \WideAnd1991~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][4]~54761\ : std_logic;
SIGNAL \led_flash_cnt[1991][5]~54762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1991][5]~54763\ : std_logic;
SIGNAL \led_flash_cnt[1991][6]~54764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1991][6]~54765\ : std_logic;
SIGNAL \led_flash_cnt[1991][7]~54766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1991][7]~q\ : std_logic;
SIGNAL \WideAnd1991~1_combout\ : std_logic;
SIGNAL \WideAnd1991~combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][0]~82626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1986][1]~54684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1986][1]~54685\ : std_logic;
SIGNAL \led_flash_cnt[1986][2]~54686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1986][2]~54687\ : std_logic;
SIGNAL \led_flash_cnt[1986][3]~54688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1986][3]~54689\ : std_logic;
SIGNAL \led_flash_cnt[1986][4]~54690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1986][4]~54691\ : std_logic;
SIGNAL \led_flash_cnt[1986][5]~54692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1986][5]~54693\ : std_logic;
SIGNAL \led_flash_cnt[1986][6]~54694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1986][6]~54695\ : std_logic;
SIGNAL \led_flash_cnt[1986][7]~54696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1986][7]~q\ : std_logic;
SIGNAL \WideAnd1986~1_combout\ : std_logic;
SIGNAL \WideAnd1986~0_combout\ : std_logic;
SIGNAL \WideAnd1986~combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][0]~82624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1984][1]~54656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1984][1]~54657\ : std_logic;
SIGNAL \led_flash_cnt[1984][2]~54658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1984][2]~54659\ : std_logic;
SIGNAL \led_flash_cnt[1984][3]~54660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1984][3]~54661\ : std_logic;
SIGNAL \led_flash_cnt[1984][4]~54662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][4]~q\ : std_logic;
SIGNAL \WideAnd1984~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][4]~54663\ : std_logic;
SIGNAL \led_flash_cnt[1984][5]~54664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1984][5]~54665\ : std_logic;
SIGNAL \led_flash_cnt[1984][6]~54666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][6]~q\ : std_logic;
SIGNAL \WideAnd1984~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][6]~54667\ : std_logic;
SIGNAL \led_flash_cnt[1984][7]~54668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1984][7]~q\ : std_logic;
SIGNAL \WideAnd1984~combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][0]~82625_combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1985][1]~54670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1985][1]~54671\ : std_logic;
SIGNAL \led_flash_cnt[1985][2]~54672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1985][2]~54673\ : std_logic;
SIGNAL \led_flash_cnt[1985][3]~54674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1985][3]~54675\ : std_logic;
SIGNAL \led_flash_cnt[1985][4]~54676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1985][4]~54677\ : std_logic;
SIGNAL \led_flash_cnt[1985][5]~54678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1985][5]~54679\ : std_logic;
SIGNAL \led_flash_cnt[1985][6]~54680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1985][6]~54681\ : std_logic;
SIGNAL \led_flash_cnt[1985][7]~54682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1985][7]~q\ : std_logic;
SIGNAL \WideAnd1985~1_combout\ : std_logic;
SIGNAL \WideAnd1985~0_combout\ : std_logic;
SIGNAL \WideAnd1985~combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][0]~82627_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1987][1]~54698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1987][1]~54699\ : std_logic;
SIGNAL \led_flash_cnt[1987][2]~54700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1987][2]~54701\ : std_logic;
SIGNAL \led_flash_cnt[1987][3]~54702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1987][3]~54703\ : std_logic;
SIGNAL \led_flash_cnt[1987][4]~54704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][4]~q\ : std_logic;
SIGNAL \WideAnd1987~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][4]~54705\ : std_logic;
SIGNAL \led_flash_cnt[1987][5]~54706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1987][5]~54707\ : std_logic;
SIGNAL \led_flash_cnt[1987][6]~54708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1987][6]~54709\ : std_logic;
SIGNAL \led_flash_cnt[1987][7]~54710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1987][7]~q\ : std_logic;
SIGNAL \WideAnd1987~1_combout\ : std_logic;
SIGNAL \WideAnd1987~combout\ : std_logic;
SIGNAL \WideAnd4088~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][0]~82629_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1989][1]~54726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1989][1]~54727\ : std_logic;
SIGNAL \led_flash_cnt[1989][2]~54728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1989][2]~54729\ : std_logic;
SIGNAL \led_flash_cnt[1989][3]~54730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1989][3]~54731\ : std_logic;
SIGNAL \led_flash_cnt[1989][4]~54732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1989][4]~54733\ : std_logic;
SIGNAL \led_flash_cnt[1989][5]~54734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1989][5]~54735\ : std_logic;
SIGNAL \led_flash_cnt[1989][6]~54736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][6]~q\ : std_logic;
SIGNAL \WideAnd1989~1_combout\ : std_logic;
SIGNAL \WideAnd1989~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][6]~54737\ : std_logic;
SIGNAL \led_flash_cnt[1989][7]~54738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1989][7]~q\ : std_logic;
SIGNAL \WideAnd1989~combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][0]~82628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1988][1]~54712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1988][1]~54713\ : std_logic;
SIGNAL \led_flash_cnt[1988][2]~54714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1988][2]~54715\ : std_logic;
SIGNAL \led_flash_cnt[1988][3]~54716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1988][3]~54717\ : std_logic;
SIGNAL \led_flash_cnt[1988][4]~54718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1988][4]~54719\ : std_logic;
SIGNAL \led_flash_cnt[1988][5]~54720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1988][5]~54721\ : std_logic;
SIGNAL \led_flash_cnt[1988][6]~54722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1988][6]~54723\ : std_logic;
SIGNAL \led_flash_cnt[1988][7]~54724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1988][7]~q\ : std_logic;
SIGNAL \WideAnd1988~1_combout\ : std_logic;
SIGNAL \WideAnd1988~0_combout\ : std_logic;
SIGNAL \WideAnd1988~combout\ : std_logic;
SIGNAL \WideAnd4088~1_combout\ : std_logic;
SIGNAL \WideAnd4088~combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][0]~82640_combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2000][1]~54880_combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2000][1]~54881\ : std_logic;
SIGNAL \led_flash_cnt[2000][2]~54882_combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2000][2]~54883\ : std_logic;
SIGNAL \led_flash_cnt[2000][3]~54884_combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2000][3]~54885\ : std_logic;
SIGNAL \led_flash_cnt[2000][4]~54886_combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2000][4]~54887\ : std_logic;
SIGNAL \led_flash_cnt[2000][5]~54888_combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2000][5]~54889\ : std_logic;
SIGNAL \led_flash_cnt[2000][6]~54890_combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2000][6]~54891\ : std_logic;
SIGNAL \led_flash_cnt[2000][7]~54892_combout\ : std_logic;
SIGNAL \led_flash_cnt[2000][7]~q\ : std_logic;
SIGNAL \WideAnd2000~0_combout\ : std_logic;
SIGNAL \WideAnd2000~1_combout\ : std_logic;
SIGNAL \WideAnd2000~combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][0]~82641_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2001][1]~54894_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2001][1]~54895\ : std_logic;
SIGNAL \led_flash_cnt[2001][2]~54896_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2001][2]~54897\ : std_logic;
SIGNAL \led_flash_cnt[2001][3]~54898_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2001][3]~54899\ : std_logic;
SIGNAL \led_flash_cnt[2001][4]~54900_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2001][4]~54901\ : std_logic;
SIGNAL \led_flash_cnt[2001][5]~54902_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2001][5]~54903\ : std_logic;
SIGNAL \led_flash_cnt[2001][6]~54904_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][6]~q\ : std_logic;
SIGNAL \WideAnd2001~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][6]~54905\ : std_logic;
SIGNAL \led_flash_cnt[2001][7]~54906_combout\ : std_logic;
SIGNAL \led_flash_cnt[2001][7]~q\ : std_logic;
SIGNAL \WideAnd2001~0_combout\ : std_logic;
SIGNAL \WideAnd2001~combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][0]~82642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2002][1]~54908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2002][1]~54909\ : std_logic;
SIGNAL \led_flash_cnt[2002][2]~54910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2002][2]~54911\ : std_logic;
SIGNAL \led_flash_cnt[2002][3]~54912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2002][3]~54913\ : std_logic;
SIGNAL \led_flash_cnt[2002][4]~54914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2002][4]~54915\ : std_logic;
SIGNAL \led_flash_cnt[2002][5]~54916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2002][5]~54917\ : std_logic;
SIGNAL \led_flash_cnt[2002][6]~54918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2002][6]~54919\ : std_logic;
SIGNAL \led_flash_cnt[2002][7]~54920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2002][7]~q\ : std_logic;
SIGNAL \WideAnd2002~1_combout\ : std_logic;
SIGNAL \WideAnd2002~0_combout\ : std_logic;
SIGNAL \WideAnd2002~combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][0]~82643_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2003][1]~54922_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2003][1]~54923\ : std_logic;
SIGNAL \led_flash_cnt[2003][2]~54924_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2003][2]~54925\ : std_logic;
SIGNAL \led_flash_cnt[2003][3]~54926_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2003][3]~54927\ : std_logic;
SIGNAL \led_flash_cnt[2003][4]~54928_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2003][4]~54929\ : std_logic;
SIGNAL \led_flash_cnt[2003][5]~54930_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2003][5]~54931\ : std_logic;
SIGNAL \led_flash_cnt[2003][6]~54932_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][6]~q\ : std_logic;
SIGNAL \WideAnd2003~1_combout\ : std_logic;
SIGNAL \WideAnd2003~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][6]~54933\ : std_logic;
SIGNAL \led_flash_cnt[2003][7]~54934_combout\ : std_logic;
SIGNAL \led_flash_cnt[2003][7]~q\ : std_logic;
SIGNAL \WideAnd2003~combout\ : std_logic;
SIGNAL \WideAnd4090~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][0]~82647_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2007][1]~54978_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2007][1]~54979\ : std_logic;
SIGNAL \led_flash_cnt[2007][2]~54980_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2007][2]~54981\ : std_logic;
SIGNAL \led_flash_cnt[2007][3]~54982_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2007][3]~54983\ : std_logic;
SIGNAL \led_flash_cnt[2007][4]~54984_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2007][4]~54985\ : std_logic;
SIGNAL \led_flash_cnt[2007][5]~54986_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2007][5]~54987\ : std_logic;
SIGNAL \led_flash_cnt[2007][6]~54988_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[2007][6]~54989\ : std_logic;
SIGNAL \led_flash_cnt[2007][7]~54990_combout\ : std_logic;
SIGNAL \led_flash_cnt[2007][7]~q\ : std_logic;
SIGNAL \WideAnd2007~0_combout\ : std_logic;
SIGNAL \WideAnd2007~1_combout\ : std_logic;
SIGNAL \WideAnd2007~combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][0]~82646_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2006][1]~54964_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2006][1]~54965\ : std_logic;
SIGNAL \led_flash_cnt[2006][2]~54966_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2006][2]~54967\ : std_logic;
SIGNAL \led_flash_cnt[2006][3]~54968_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2006][3]~54969\ : std_logic;
SIGNAL \led_flash_cnt[2006][4]~54970_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2006][4]~54971\ : std_logic;
SIGNAL \led_flash_cnt[2006][5]~54972_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2006][5]~54973\ : std_logic;
SIGNAL \led_flash_cnt[2006][6]~54974_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][6]~q\ : std_logic;
SIGNAL \WideAnd2006~1_combout\ : std_logic;
SIGNAL \WideAnd2006~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][6]~54975\ : std_logic;
SIGNAL \led_flash_cnt[2006][7]~54976_combout\ : std_logic;
SIGNAL \led_flash_cnt[2006][7]~q\ : std_logic;
SIGNAL \WideAnd2006~combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][0]~82644_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2004][1]~54936_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2004][1]~54937\ : std_logic;
SIGNAL \led_flash_cnt[2004][2]~54938_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2004][2]~54939\ : std_logic;
SIGNAL \led_flash_cnt[2004][3]~54940_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2004][3]~54941\ : std_logic;
SIGNAL \led_flash_cnt[2004][4]~54942_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2004][4]~54943\ : std_logic;
SIGNAL \led_flash_cnt[2004][5]~54944_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2004][5]~54945\ : std_logic;
SIGNAL \led_flash_cnt[2004][6]~54946_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][6]~q\ : std_logic;
SIGNAL \WideAnd2004~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][6]~54947\ : std_logic;
SIGNAL \led_flash_cnt[2004][7]~54948_combout\ : std_logic;
SIGNAL \led_flash_cnt[2004][7]~q\ : std_logic;
SIGNAL \WideAnd2004~0_combout\ : std_logic;
SIGNAL \WideAnd2004~combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][0]~82645_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2005][1]~54950_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2005][1]~54951\ : std_logic;
SIGNAL \led_flash_cnt[2005][2]~54952_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2005][2]~54953\ : std_logic;
SIGNAL \led_flash_cnt[2005][3]~54954_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2005][3]~54955\ : std_logic;
SIGNAL \led_flash_cnt[2005][4]~54956_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[2005][4]~54957\ : std_logic;
SIGNAL \led_flash_cnt[2005][5]~54958_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2005][5]~54959\ : std_logic;
SIGNAL \led_flash_cnt[2005][6]~54960_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][6]~q\ : std_logic;
SIGNAL \WideAnd2005~1_combout\ : std_logic;
SIGNAL \WideAnd2005~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][6]~54961\ : std_logic;
SIGNAL \led_flash_cnt[2005][7]~54962_combout\ : std_logic;
SIGNAL \led_flash_cnt[2005][7]~q\ : std_logic;
SIGNAL \WideAnd2005~combout\ : std_logic;
SIGNAL \WideAnd4090~1_combout\ : std_logic;
SIGNAL \WideAnd4090~combout\ : std_logic;
SIGNAL \WideAnd4351~0_combout\ : std_logic;
SIGNAL \WideAnd4351~combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][0]~82492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1852][1]~52808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1852][1]~52809\ : std_logic;
SIGNAL \led_flash_cnt[1852][2]~52810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1852][2]~52811\ : std_logic;
SIGNAL \led_flash_cnt[1852][3]~52812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1852][3]~52813\ : std_logic;
SIGNAL \led_flash_cnt[1852][4]~52814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][4]~q\ : std_logic;
SIGNAL \WideAnd1852~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][4]~52815\ : std_logic;
SIGNAL \led_flash_cnt[1852][5]~52816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1852][5]~52817\ : std_logic;
SIGNAL \led_flash_cnt[1852][6]~52818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][6]~q\ : std_logic;
SIGNAL \WideAnd1852~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][6]~52819\ : std_logic;
SIGNAL \led_flash_cnt[1852][7]~52820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1852][7]~q\ : std_logic;
SIGNAL \WideAnd1852~combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][0]~82493_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1853][1]~52822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1853][1]~52823\ : std_logic;
SIGNAL \led_flash_cnt[1853][2]~52824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1853][2]~52825\ : std_logic;
SIGNAL \led_flash_cnt[1853][3]~52826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1853][3]~52827\ : std_logic;
SIGNAL \led_flash_cnt[1853][4]~52828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][4]~q\ : std_logic;
SIGNAL \WideAnd1853~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][4]~52829\ : std_logic;
SIGNAL \led_flash_cnt[1853][5]~52830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1853][5]~52831\ : std_logic;
SIGNAL \led_flash_cnt[1853][6]~52832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][6]~q\ : std_logic;
SIGNAL \WideAnd1853~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][6]~52833\ : std_logic;
SIGNAL \led_flash_cnt[1853][7]~52834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1853][7]~q\ : std_logic;
SIGNAL \WideAnd1853~combout\ : std_logic;
SIGNAL \WideAnd4071~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][0]~82494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1854][1]~52836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1854][1]~52837\ : std_logic;
SIGNAL \led_flash_cnt[1854][2]~52838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1854][2]~52839\ : std_logic;
SIGNAL \led_flash_cnt[1854][3]~52840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1854][3]~52841\ : std_logic;
SIGNAL \led_flash_cnt[1854][4]~52842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1854][4]~52843\ : std_logic;
SIGNAL \led_flash_cnt[1854][5]~52844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1854][5]~52845\ : std_logic;
SIGNAL \led_flash_cnt[1854][6]~52846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1854][6]~52847\ : std_logic;
SIGNAL \led_flash_cnt[1854][7]~52848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1854][7]~q\ : std_logic;
SIGNAL \WideAnd1854~0_combout\ : std_logic;
SIGNAL \WideAnd1854~1_combout\ : std_logic;
SIGNAL \WideAnd1854~combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][0]~82495_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1855][1]~52850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1855][1]~52851\ : std_logic;
SIGNAL \led_flash_cnt[1855][2]~52852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1855][2]~52853\ : std_logic;
SIGNAL \led_flash_cnt[1855][3]~52854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1855][3]~52855\ : std_logic;
SIGNAL \led_flash_cnt[1855][4]~52856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][4]~q\ : std_logic;
SIGNAL \WideAnd1855~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][4]~52857\ : std_logic;
SIGNAL \led_flash_cnt[1855][5]~52858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1855][5]~52859\ : std_logic;
SIGNAL \led_flash_cnt[1855][6]~52860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][6]~q\ : std_logic;
SIGNAL \WideAnd1855~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][6]~52861\ : std_logic;
SIGNAL \led_flash_cnt[1855][7]~52862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1855][7]~q\ : std_logic;
SIGNAL \WideAnd1855~combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][0]~82488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1848][1]~52752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1848][1]~52753\ : std_logic;
SIGNAL \led_flash_cnt[1848][2]~52754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1848][2]~52755\ : std_logic;
SIGNAL \led_flash_cnt[1848][3]~52756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1848][3]~52757\ : std_logic;
SIGNAL \led_flash_cnt[1848][4]~52758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1848][4]~52759\ : std_logic;
SIGNAL \led_flash_cnt[1848][5]~52760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1848][5]~52761\ : std_logic;
SIGNAL \led_flash_cnt[1848][6]~52762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1848][6]~52763\ : std_logic;
SIGNAL \led_flash_cnt[1848][7]~52764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1848][7]~q\ : std_logic;
SIGNAL \WideAnd1848~1_combout\ : std_logic;
SIGNAL \WideAnd1848~0_combout\ : std_logic;
SIGNAL \WideAnd1848~combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][0]~82490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1850][1]~52780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1850][1]~52781\ : std_logic;
SIGNAL \led_flash_cnt[1850][2]~52782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1850][2]~52783\ : std_logic;
SIGNAL \led_flash_cnt[1850][3]~52784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1850][3]~52785\ : std_logic;
SIGNAL \led_flash_cnt[1850][4]~52786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1850][4]~52787\ : std_logic;
SIGNAL \led_flash_cnt[1850][5]~52788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1850][5]~52789\ : std_logic;
SIGNAL \led_flash_cnt[1850][6]~52790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1850][6]~52791\ : std_logic;
SIGNAL \led_flash_cnt[1850][7]~52792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1850][7]~q\ : std_logic;
SIGNAL \WideAnd1850~0_combout\ : std_logic;
SIGNAL \WideAnd1850~1_combout\ : std_logic;
SIGNAL \WideAnd1850~combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][0]~82491_combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1851][1]~52794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1851][1]~52795\ : std_logic;
SIGNAL \led_flash_cnt[1851][2]~52796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1851][2]~52797\ : std_logic;
SIGNAL \led_flash_cnt[1851][3]~52798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1851][3]~52799\ : std_logic;
SIGNAL \led_flash_cnt[1851][4]~52800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1851][4]~52801\ : std_logic;
SIGNAL \led_flash_cnt[1851][5]~52802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1851][5]~52803\ : std_logic;
SIGNAL \led_flash_cnt[1851][6]~52804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1851][6]~52805\ : std_logic;
SIGNAL \led_flash_cnt[1851][7]~52806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1851][7]~q\ : std_logic;
SIGNAL \WideAnd1851~1_combout\ : std_logic;
SIGNAL \WideAnd1851~0_combout\ : std_logic;
SIGNAL \WideAnd1851~combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][0]~82489_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1849][1]~52766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1849][1]~52767\ : std_logic;
SIGNAL \led_flash_cnt[1849][2]~52768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1849][2]~52769\ : std_logic;
SIGNAL \led_flash_cnt[1849][3]~52770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1849][3]~52771\ : std_logic;
SIGNAL \led_flash_cnt[1849][4]~52772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1849][4]~52773\ : std_logic;
SIGNAL \led_flash_cnt[1849][5]~52774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1849][5]~52775\ : std_logic;
SIGNAL \led_flash_cnt[1849][6]~52776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][6]~q\ : std_logic;
SIGNAL \WideAnd1849~1_combout\ : std_logic;
SIGNAL \WideAnd1849~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][6]~52777\ : std_logic;
SIGNAL \led_flash_cnt[1849][7]~52778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1849][7]~q\ : std_logic;
SIGNAL \WideAnd1849~combout\ : std_logic;
SIGNAL \WideAnd4071~0_combout\ : std_logic;
SIGNAL \WideAnd4071~combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][0]~82471_combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1831][1]~52514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1831][1]~52515\ : std_logic;
SIGNAL \led_flash_cnt[1831][2]~52516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1831][2]~52517\ : std_logic;
SIGNAL \led_flash_cnt[1831][3]~52518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1831][3]~52519\ : std_logic;
SIGNAL \led_flash_cnt[1831][4]~52520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1831][4]~52521\ : std_logic;
SIGNAL \led_flash_cnt[1831][5]~52522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1831][5]~52523\ : std_logic;
SIGNAL \led_flash_cnt[1831][6]~52524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1831][6]~52525\ : std_logic;
SIGNAL \led_flash_cnt[1831][7]~52526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1831][7]~q\ : std_logic;
SIGNAL \WideAnd1831~1_combout\ : std_logic;
SIGNAL \WideAnd1831~0_combout\ : std_logic;
SIGNAL \WideAnd1831~combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][0]~82465_combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1825][1]~52430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1825][1]~52431\ : std_logic;
SIGNAL \led_flash_cnt[1825][2]~52432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1825][2]~52433\ : std_logic;
SIGNAL \led_flash_cnt[1825][3]~52434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1825][3]~52435\ : std_logic;
SIGNAL \led_flash_cnt[1825][4]~52436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1825][4]~52437\ : std_logic;
SIGNAL \led_flash_cnt[1825][5]~52438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1825][5]~52439\ : std_logic;
SIGNAL \led_flash_cnt[1825][6]~52440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1825][6]~52441\ : std_logic;
SIGNAL \led_flash_cnt[1825][7]~52442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1825][7]~q\ : std_logic;
SIGNAL \WideAnd1825~0_combout\ : std_logic;
SIGNAL \WideAnd1825~1_combout\ : std_logic;
SIGNAL \WideAnd1825~combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][0]~82464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1824][1]~52416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1824][1]~52417\ : std_logic;
SIGNAL \led_flash_cnt[1824][2]~52418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1824][2]~52419\ : std_logic;
SIGNAL \led_flash_cnt[1824][3]~52420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1824][3]~52421\ : std_logic;
SIGNAL \led_flash_cnt[1824][4]~52422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1824][4]~52423\ : std_logic;
SIGNAL \led_flash_cnt[1824][5]~52424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1824][5]~52425\ : std_logic;
SIGNAL \led_flash_cnt[1824][6]~52426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][6]~q\ : std_logic;
SIGNAL \WideAnd1824~1_combout\ : std_logic;
SIGNAL \WideAnd1824~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][6]~52427\ : std_logic;
SIGNAL \led_flash_cnt[1824][7]~52428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1824][7]~q\ : std_logic;
SIGNAL \WideAnd1824~combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][0]~82466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1826][1]~52444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1826][1]~52445\ : std_logic;
SIGNAL \led_flash_cnt[1826][2]~52446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1826][2]~52447\ : std_logic;
SIGNAL \led_flash_cnt[1826][3]~52448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1826][3]~52449\ : std_logic;
SIGNAL \led_flash_cnt[1826][4]~52450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1826][4]~52451\ : std_logic;
SIGNAL \led_flash_cnt[1826][5]~52452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1826][5]~52453\ : std_logic;
SIGNAL \led_flash_cnt[1826][6]~52454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][6]~q\ : std_logic;
SIGNAL \WideAnd1826~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][6]~52455\ : std_logic;
SIGNAL \led_flash_cnt[1826][7]~52456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1826][7]~q\ : std_logic;
SIGNAL \WideAnd1826~0_combout\ : std_logic;
SIGNAL \WideAnd1826~combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][0]~82467_combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1827][1]~52458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1827][1]~52459\ : std_logic;
SIGNAL \led_flash_cnt[1827][2]~52460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1827][2]~52461\ : std_logic;
SIGNAL \led_flash_cnt[1827][3]~52462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1827][3]~52463\ : std_logic;
SIGNAL \led_flash_cnt[1827][4]~52464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1827][4]~52465\ : std_logic;
SIGNAL \led_flash_cnt[1827][5]~52466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1827][5]~52467\ : std_logic;
SIGNAL \led_flash_cnt[1827][6]~52468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1827][6]~52469\ : std_logic;
SIGNAL \led_flash_cnt[1827][7]~52470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1827][7]~q\ : std_logic;
SIGNAL \WideAnd1827~0_combout\ : std_logic;
SIGNAL \WideAnd1827~1_combout\ : std_logic;
SIGNAL \WideAnd1827~combout\ : std_logic;
SIGNAL \WideAnd4068~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][0]~82470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1830][1]~52500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1830][1]~52501\ : std_logic;
SIGNAL \led_flash_cnt[1830][2]~52502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1830][2]~52503\ : std_logic;
SIGNAL \led_flash_cnt[1830][3]~52504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1830][3]~52505\ : std_logic;
SIGNAL \led_flash_cnt[1830][4]~52506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][4]~q\ : std_logic;
SIGNAL \WideAnd1830~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][4]~52507\ : std_logic;
SIGNAL \led_flash_cnt[1830][5]~52508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1830][5]~52509\ : std_logic;
SIGNAL \led_flash_cnt[1830][6]~52510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][6]~q\ : std_logic;
SIGNAL \WideAnd1830~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][6]~52511\ : std_logic;
SIGNAL \led_flash_cnt[1830][7]~52512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1830][7]~q\ : std_logic;
SIGNAL \WideAnd1830~combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][0]~82468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1828][1]~52472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1828][1]~52473\ : std_logic;
SIGNAL \led_flash_cnt[1828][2]~52474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1828][2]~52475\ : std_logic;
SIGNAL \led_flash_cnt[1828][3]~52476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1828][3]~52477\ : std_logic;
SIGNAL \led_flash_cnt[1828][4]~52478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1828][4]~52479\ : std_logic;
SIGNAL \led_flash_cnt[1828][5]~52480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1828][5]~52481\ : std_logic;
SIGNAL \led_flash_cnt[1828][6]~52482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][6]~q\ : std_logic;
SIGNAL \WideAnd1828~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][6]~52483\ : std_logic;
SIGNAL \led_flash_cnt[1828][7]~52484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1828][7]~q\ : std_logic;
SIGNAL \WideAnd1828~0_combout\ : std_logic;
SIGNAL \WideAnd1828~combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][0]~82469_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1829][1]~52486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1829][1]~52487\ : std_logic;
SIGNAL \led_flash_cnt[1829][2]~52488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1829][2]~52489\ : std_logic;
SIGNAL \led_flash_cnt[1829][3]~52490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1829][3]~52491\ : std_logic;
SIGNAL \led_flash_cnt[1829][4]~52492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][4]~q\ : std_logic;
SIGNAL \WideAnd1829~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][4]~52493\ : std_logic;
SIGNAL \led_flash_cnt[1829][5]~52494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1829][5]~52495\ : std_logic;
SIGNAL \led_flash_cnt[1829][6]~52496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1829][6]~52497\ : std_logic;
SIGNAL \led_flash_cnt[1829][7]~52498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1829][7]~q\ : std_logic;
SIGNAL \WideAnd1829~1_combout\ : std_logic;
SIGNAL \WideAnd1829~combout\ : std_logic;
SIGNAL \WideAnd4068~1_combout\ : std_logic;
SIGNAL \WideAnd4068~combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][0]~82473_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1833][1]~52542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1833][1]~52543\ : std_logic;
SIGNAL \led_flash_cnt[1833][2]~52544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1833][2]~52545\ : std_logic;
SIGNAL \led_flash_cnt[1833][3]~52546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1833][3]~52547\ : std_logic;
SIGNAL \led_flash_cnt[1833][4]~52548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][4]~q\ : std_logic;
SIGNAL \WideAnd1833~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][4]~52549\ : std_logic;
SIGNAL \led_flash_cnt[1833][5]~52550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1833][5]~52551\ : std_logic;
SIGNAL \led_flash_cnt[1833][6]~52552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1833][6]~52553\ : std_logic;
SIGNAL \led_flash_cnt[1833][7]~52554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1833][7]~q\ : std_logic;
SIGNAL \WideAnd1833~1_combout\ : std_logic;
SIGNAL \WideAnd1833~combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][0]~82472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1832][1]~52528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1832][1]~52529\ : std_logic;
SIGNAL \led_flash_cnt[1832][2]~52530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1832][2]~52531\ : std_logic;
SIGNAL \led_flash_cnt[1832][3]~52532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1832][3]~52533\ : std_logic;
SIGNAL \led_flash_cnt[1832][4]~52534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1832][4]~52535\ : std_logic;
SIGNAL \led_flash_cnt[1832][5]~52536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1832][5]~52537\ : std_logic;
SIGNAL \led_flash_cnt[1832][6]~52538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][6]~q\ : std_logic;
SIGNAL \WideAnd1832~1_combout\ : std_logic;
SIGNAL \WideAnd1832~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][6]~52539\ : std_logic;
SIGNAL \led_flash_cnt[1832][7]~52540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1832][7]~q\ : std_logic;
SIGNAL \WideAnd1832~combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][0]~82475_combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1835][1]~52570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1835][1]~52571\ : std_logic;
SIGNAL \led_flash_cnt[1835][2]~52572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1835][2]~52573\ : std_logic;
SIGNAL \led_flash_cnt[1835][3]~52574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1835][3]~52575\ : std_logic;
SIGNAL \led_flash_cnt[1835][4]~52576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1835][4]~52577\ : std_logic;
SIGNAL \led_flash_cnt[1835][5]~52578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1835][5]~52579\ : std_logic;
SIGNAL \led_flash_cnt[1835][6]~52580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1835][6]~52581\ : std_logic;
SIGNAL \led_flash_cnt[1835][7]~52582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1835][7]~q\ : std_logic;
SIGNAL \WideAnd1835~1_combout\ : std_logic;
SIGNAL \WideAnd1835~0_combout\ : std_logic;
SIGNAL \WideAnd1835~combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][0]~82474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1834][1]~52556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1834][1]~52557\ : std_logic;
SIGNAL \led_flash_cnt[1834][2]~52558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1834][2]~52559\ : std_logic;
SIGNAL \led_flash_cnt[1834][3]~52560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1834][3]~52561\ : std_logic;
SIGNAL \led_flash_cnt[1834][4]~52562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1834][4]~52563\ : std_logic;
SIGNAL \led_flash_cnt[1834][5]~52564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1834][5]~52565\ : std_logic;
SIGNAL \led_flash_cnt[1834][6]~52566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][6]~q\ : std_logic;
SIGNAL \WideAnd1834~1_combout\ : std_logic;
SIGNAL \WideAnd1834~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][6]~52567\ : std_logic;
SIGNAL \led_flash_cnt[1834][7]~52568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1834][7]~q\ : std_logic;
SIGNAL \WideAnd1834~combout\ : std_logic;
SIGNAL \WideAnd4069~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][0]~82479_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1839][1]~52626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1839][1]~52627\ : std_logic;
SIGNAL \led_flash_cnt[1839][2]~52628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1839][2]~52629\ : std_logic;
SIGNAL \led_flash_cnt[1839][3]~52630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1839][3]~52631\ : std_logic;
SIGNAL \led_flash_cnt[1839][4]~52632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1839][4]~52633\ : std_logic;
SIGNAL \led_flash_cnt[1839][5]~52634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1839][5]~52635\ : std_logic;
SIGNAL \led_flash_cnt[1839][6]~52636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][6]~q\ : std_logic;
SIGNAL \WideAnd1839~1_combout\ : std_logic;
SIGNAL \WideAnd1839~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][6]~52637\ : std_logic;
SIGNAL \led_flash_cnt[1839][7]~52638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1839][7]~q\ : std_logic;
SIGNAL \WideAnd1839~combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][0]~82478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1838][1]~52612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1838][1]~52613\ : std_logic;
SIGNAL \led_flash_cnt[1838][2]~52614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1838][2]~52615\ : std_logic;
SIGNAL \led_flash_cnt[1838][3]~52616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1838][3]~52617\ : std_logic;
SIGNAL \led_flash_cnt[1838][4]~52618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1838][4]~52619\ : std_logic;
SIGNAL \led_flash_cnt[1838][5]~52620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1838][5]~52621\ : std_logic;
SIGNAL \led_flash_cnt[1838][6]~52622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1838][6]~52623\ : std_logic;
SIGNAL \led_flash_cnt[1838][7]~52624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1838][7]~q\ : std_logic;
SIGNAL \WideAnd1838~1_combout\ : std_logic;
SIGNAL \WideAnd1838~0_combout\ : std_logic;
SIGNAL \WideAnd1838~combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][0]~82477_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1837][1]~52598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1837][1]~52599\ : std_logic;
SIGNAL \led_flash_cnt[1837][2]~52600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1837][2]~52601\ : std_logic;
SIGNAL \led_flash_cnt[1837][3]~52602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1837][3]~52603\ : std_logic;
SIGNAL \led_flash_cnt[1837][4]~52604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][4]~q\ : std_logic;
SIGNAL \WideAnd1837~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][4]~52605\ : std_logic;
SIGNAL \led_flash_cnt[1837][5]~52606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1837][5]~52607\ : std_logic;
SIGNAL \led_flash_cnt[1837][6]~52608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1837][6]~52609\ : std_logic;
SIGNAL \led_flash_cnt[1837][7]~52610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1837][7]~q\ : std_logic;
SIGNAL \WideAnd1837~1_combout\ : std_logic;
SIGNAL \WideAnd1837~combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][0]~82476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1836][1]~52584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1836][1]~52585\ : std_logic;
SIGNAL \led_flash_cnt[1836][2]~52586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1836][2]~52587\ : std_logic;
SIGNAL \led_flash_cnt[1836][3]~52588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1836][3]~52589\ : std_logic;
SIGNAL \led_flash_cnt[1836][4]~52590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][4]~q\ : std_logic;
SIGNAL \WideAnd1836~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][4]~52591\ : std_logic;
SIGNAL \led_flash_cnt[1836][5]~52592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1836][5]~52593\ : std_logic;
SIGNAL \led_flash_cnt[1836][6]~52594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1836][6]~52595\ : std_logic;
SIGNAL \led_flash_cnt[1836][7]~52596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1836][7]~q\ : std_logic;
SIGNAL \WideAnd1836~1_combout\ : std_logic;
SIGNAL \WideAnd1836~combout\ : std_logic;
SIGNAL \WideAnd4069~1_combout\ : std_logic;
SIGNAL \WideAnd4069~combout\ : std_logic;
SIGNAL \WideAnd4348~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][0]~82486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1846][1]~52724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1846][1]~52725\ : std_logic;
SIGNAL \led_flash_cnt[1846][2]~52726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1846][2]~52727\ : std_logic;
SIGNAL \led_flash_cnt[1846][3]~52728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1846][3]~52729\ : std_logic;
SIGNAL \led_flash_cnt[1846][4]~52730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1846][4]~52731\ : std_logic;
SIGNAL \led_flash_cnt[1846][5]~52732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1846][5]~52733\ : std_logic;
SIGNAL \led_flash_cnt[1846][6]~52734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][6]~q\ : std_logic;
SIGNAL \WideAnd1846~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][6]~52735\ : std_logic;
SIGNAL \led_flash_cnt[1846][7]~52736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1846][7]~q\ : std_logic;
SIGNAL \WideAnd1846~0_combout\ : std_logic;
SIGNAL \WideAnd1846~combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][0]~82487_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1847][1]~52738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1847][1]~52739\ : std_logic;
SIGNAL \led_flash_cnt[1847][2]~52740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1847][2]~52741\ : std_logic;
SIGNAL \led_flash_cnt[1847][3]~52742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1847][3]~52743\ : std_logic;
SIGNAL \led_flash_cnt[1847][4]~52744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1847][4]~52745\ : std_logic;
SIGNAL \led_flash_cnt[1847][5]~52746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1847][5]~52747\ : std_logic;
SIGNAL \led_flash_cnt[1847][6]~52748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][6]~q\ : std_logic;
SIGNAL \WideAnd1847~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][6]~52749\ : std_logic;
SIGNAL \led_flash_cnt[1847][7]~52750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1847][7]~q\ : std_logic;
SIGNAL \WideAnd1847~0_combout\ : std_logic;
SIGNAL \WideAnd1847~combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][0]~82482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1842][1]~52668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1842][1]~52669\ : std_logic;
SIGNAL \led_flash_cnt[1842][2]~52670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1842][2]~52671\ : std_logic;
SIGNAL \led_flash_cnt[1842][3]~52672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1842][3]~52673\ : std_logic;
SIGNAL \led_flash_cnt[1842][4]~52674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1842][4]~52675\ : std_logic;
SIGNAL \led_flash_cnt[1842][5]~52676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1842][5]~52677\ : std_logic;
SIGNAL \led_flash_cnt[1842][6]~52678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1842][6]~52679\ : std_logic;
SIGNAL \led_flash_cnt[1842][7]~52680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1842][7]~q\ : std_logic;
SIGNAL \WideAnd1842~1_combout\ : std_logic;
SIGNAL \WideAnd1842~0_combout\ : std_logic;
SIGNAL \WideAnd1842~combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][0]~82480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1840][1]~52640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1840][1]~52641\ : std_logic;
SIGNAL \led_flash_cnt[1840][2]~52642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1840][2]~52643\ : std_logic;
SIGNAL \led_flash_cnt[1840][3]~52644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1840][3]~52645\ : std_logic;
SIGNAL \led_flash_cnt[1840][4]~52646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1840][4]~52647\ : std_logic;
SIGNAL \led_flash_cnt[1840][5]~52648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1840][5]~52649\ : std_logic;
SIGNAL \led_flash_cnt[1840][6]~52650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][6]~q\ : std_logic;
SIGNAL \WideAnd1840~1_combout\ : std_logic;
SIGNAL \WideAnd1840~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][6]~52651\ : std_logic;
SIGNAL \led_flash_cnt[1840][7]~52652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1840][7]~q\ : std_logic;
SIGNAL \WideAnd1840~combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][0]~82483_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1843][1]~52682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1843][1]~52683\ : std_logic;
SIGNAL \led_flash_cnt[1843][2]~52684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1843][2]~52685\ : std_logic;
SIGNAL \led_flash_cnt[1843][3]~52686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1843][3]~52687\ : std_logic;
SIGNAL \led_flash_cnt[1843][4]~52688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1843][4]~52689\ : std_logic;
SIGNAL \led_flash_cnt[1843][5]~52690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1843][5]~52691\ : std_logic;
SIGNAL \led_flash_cnt[1843][6]~52692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][6]~q\ : std_logic;
SIGNAL \WideAnd1843~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][6]~52693\ : std_logic;
SIGNAL \led_flash_cnt[1843][7]~52694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1843][7]~q\ : std_logic;
SIGNAL \WideAnd1843~0_combout\ : std_logic;
SIGNAL \WideAnd1843~combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][0]~82481_combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1841][1]~52654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1841][1]~52655\ : std_logic;
SIGNAL \led_flash_cnt[1841][2]~52656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1841][2]~52657\ : std_logic;
SIGNAL \led_flash_cnt[1841][3]~52658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1841][3]~52659\ : std_logic;
SIGNAL \led_flash_cnt[1841][4]~52660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1841][4]~52661\ : std_logic;
SIGNAL \led_flash_cnt[1841][5]~52662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1841][5]~52663\ : std_logic;
SIGNAL \led_flash_cnt[1841][6]~52664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1841][6]~52665\ : std_logic;
SIGNAL \led_flash_cnt[1841][7]~52666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1841][7]~q\ : std_logic;
SIGNAL \WideAnd1841~1_combout\ : std_logic;
SIGNAL \WideAnd1841~0_combout\ : std_logic;
SIGNAL \WideAnd1841~combout\ : std_logic;
SIGNAL \WideAnd4070~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][0]~82485_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1845][1]~52710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1845][1]~52711\ : std_logic;
SIGNAL \led_flash_cnt[1845][2]~52712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1845][2]~52713\ : std_logic;
SIGNAL \led_flash_cnt[1845][3]~52714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1845][3]~52715\ : std_logic;
SIGNAL \led_flash_cnt[1845][4]~52716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1845][4]~52717\ : std_logic;
SIGNAL \led_flash_cnt[1845][5]~52718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1845][5]~52719\ : std_logic;
SIGNAL \led_flash_cnt[1845][6]~52720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][6]~q\ : std_logic;
SIGNAL \WideAnd1845~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][6]~52721\ : std_logic;
SIGNAL \led_flash_cnt[1845][7]~52722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1845][7]~q\ : std_logic;
SIGNAL \WideAnd1845~0_combout\ : std_logic;
SIGNAL \WideAnd1845~combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][0]~82484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1844][1]~52696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1844][1]~52697\ : std_logic;
SIGNAL \led_flash_cnt[1844][2]~52698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1844][2]~52699\ : std_logic;
SIGNAL \led_flash_cnt[1844][3]~52700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1844][3]~52701\ : std_logic;
SIGNAL \led_flash_cnt[1844][4]~52702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1844][4]~52703\ : std_logic;
SIGNAL \led_flash_cnt[1844][5]~52704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1844][5]~52705\ : std_logic;
SIGNAL \led_flash_cnt[1844][6]~52706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][6]~q\ : std_logic;
SIGNAL \WideAnd1844~1_combout\ : std_logic;
SIGNAL \WideAnd1844~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][6]~52707\ : std_logic;
SIGNAL \led_flash_cnt[1844][7]~52708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1844][7]~q\ : std_logic;
SIGNAL \WideAnd1844~combout\ : std_logic;
SIGNAL \WideAnd4070~1_combout\ : std_logic;
SIGNAL \WideAnd4070~combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][0]~82446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1806][1]~52164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1806][1]~52165\ : std_logic;
SIGNAL \led_flash_cnt[1806][2]~52166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1806][2]~52167\ : std_logic;
SIGNAL \led_flash_cnt[1806][3]~52168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1806][3]~52169\ : std_logic;
SIGNAL \led_flash_cnt[1806][4]~52170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1806][4]~52171\ : std_logic;
SIGNAL \led_flash_cnt[1806][5]~52172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1806][5]~52173\ : std_logic;
SIGNAL \led_flash_cnt[1806][6]~52174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][6]~q\ : std_logic;
SIGNAL \WideAnd1806~1_combout\ : std_logic;
SIGNAL \WideAnd1806~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][6]~52175\ : std_logic;
SIGNAL \led_flash_cnt[1806][7]~52176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1806][7]~q\ : std_logic;
SIGNAL \WideAnd1806~combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][0]~82442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1802][1]~52108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1802][1]~52109\ : std_logic;
SIGNAL \led_flash_cnt[1802][2]~52110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1802][2]~52111\ : std_logic;
SIGNAL \led_flash_cnt[1802][3]~52112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1802][3]~52113\ : std_logic;
SIGNAL \led_flash_cnt[1802][4]~52114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1802][4]~52115\ : std_logic;
SIGNAL \led_flash_cnt[1802][5]~52116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1802][5]~52117\ : std_logic;
SIGNAL \led_flash_cnt[1802][6]~52118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1802][6]~52119\ : std_logic;
SIGNAL \led_flash_cnt[1802][7]~52120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1802][7]~q\ : std_logic;
SIGNAL \WideAnd1802~1_combout\ : std_logic;
SIGNAL \WideAnd1802~0_combout\ : std_logic;
SIGNAL \WideAnd1802~combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][0]~82441_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1801][1]~52094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1801][1]~52095\ : std_logic;
SIGNAL \led_flash_cnt[1801][2]~52096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1801][2]~52097\ : std_logic;
SIGNAL \led_flash_cnt[1801][3]~52098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1801][3]~52099\ : std_logic;
SIGNAL \led_flash_cnt[1801][4]~52100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1801][4]~52101\ : std_logic;
SIGNAL \led_flash_cnt[1801][5]~52102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1801][5]~52103\ : std_logic;
SIGNAL \led_flash_cnt[1801][6]~52104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][6]~q\ : std_logic;
SIGNAL \WideAnd1801~1_combout\ : std_logic;
SIGNAL \WideAnd1801~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][6]~52105\ : std_logic;
SIGNAL \led_flash_cnt[1801][7]~52106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1801][7]~q\ : std_logic;
SIGNAL \WideAnd1801~combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][0]~82440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1800][1]~52080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1800][1]~52081\ : std_logic;
SIGNAL \led_flash_cnt[1800][2]~52082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1800][2]~52083\ : std_logic;
SIGNAL \led_flash_cnt[1800][3]~52084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1800][3]~52085\ : std_logic;
SIGNAL \led_flash_cnt[1800][4]~52086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][4]~q\ : std_logic;
SIGNAL \WideAnd1800~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][4]~52087\ : std_logic;
SIGNAL \led_flash_cnt[1800][5]~52088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1800][5]~52089\ : std_logic;
SIGNAL \led_flash_cnt[1800][6]~52090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][6]~q\ : std_logic;
SIGNAL \WideAnd1800~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][6]~52091\ : std_logic;
SIGNAL \led_flash_cnt[1800][7]~52092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1800][7]~q\ : std_logic;
SIGNAL \WideAnd1800~combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][0]~82443_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1803][1]~52122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1803][1]~52123\ : std_logic;
SIGNAL \led_flash_cnt[1803][2]~52124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1803][2]~52125\ : std_logic;
SIGNAL \led_flash_cnt[1803][3]~52126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1803][3]~52127\ : std_logic;
SIGNAL \led_flash_cnt[1803][4]~52128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][4]~q\ : std_logic;
SIGNAL \WideAnd1803~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][4]~52129\ : std_logic;
SIGNAL \led_flash_cnt[1803][5]~52130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1803][5]~52131\ : std_logic;
SIGNAL \led_flash_cnt[1803][6]~52132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1803][6]~52133\ : std_logic;
SIGNAL \led_flash_cnt[1803][7]~52134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1803][7]~q\ : std_logic;
SIGNAL \WideAnd1803~1_combout\ : std_logic;
SIGNAL \WideAnd1803~combout\ : std_logic;
SIGNAL \WideAnd4065~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][0]~82445_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1805][1]~52150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1805][1]~52151\ : std_logic;
SIGNAL \led_flash_cnt[1805][2]~52152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1805][2]~52153\ : std_logic;
SIGNAL \led_flash_cnt[1805][3]~52154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1805][3]~52155\ : std_logic;
SIGNAL \led_flash_cnt[1805][4]~52156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][4]~q\ : std_logic;
SIGNAL \WideAnd1805~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][4]~52157\ : std_logic;
SIGNAL \led_flash_cnt[1805][5]~52158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1805][5]~52159\ : std_logic;
SIGNAL \led_flash_cnt[1805][6]~52160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1805][6]~52161\ : std_logic;
SIGNAL \led_flash_cnt[1805][7]~52162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1805][7]~q\ : std_logic;
SIGNAL \WideAnd1805~1_combout\ : std_logic;
SIGNAL \WideAnd1805~combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][0]~82444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1804][1]~52136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1804][1]~52137\ : std_logic;
SIGNAL \led_flash_cnt[1804][2]~52138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1804][2]~52139\ : std_logic;
SIGNAL \led_flash_cnt[1804][3]~52140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1804][3]~52141\ : std_logic;
SIGNAL \led_flash_cnt[1804][4]~52142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][4]~q\ : std_logic;
SIGNAL \WideAnd1804~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][4]~52143\ : std_logic;
SIGNAL \led_flash_cnt[1804][5]~52144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1804][5]~52145\ : std_logic;
SIGNAL \led_flash_cnt[1804][6]~52146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1804][6]~52147\ : std_logic;
SIGNAL \led_flash_cnt[1804][7]~52148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1804][7]~q\ : std_logic;
SIGNAL \WideAnd1804~1_combout\ : std_logic;
SIGNAL \WideAnd1804~combout\ : std_logic;
SIGNAL \WideAnd4065~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][0]~82447_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1807][1]~52178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1807][1]~52179\ : std_logic;
SIGNAL \led_flash_cnt[1807][2]~52180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1807][2]~52181\ : std_logic;
SIGNAL \led_flash_cnt[1807][3]~52182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1807][3]~52183\ : std_logic;
SIGNAL \led_flash_cnt[1807][4]~52184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1807][4]~52185\ : std_logic;
SIGNAL \led_flash_cnt[1807][5]~52186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1807][5]~52187\ : std_logic;
SIGNAL \led_flash_cnt[1807][6]~52188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1807][6]~52189\ : std_logic;
SIGNAL \led_flash_cnt[1807][7]~52190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1807][7]~q\ : std_logic;
SIGNAL \WideAnd1807~0_combout\ : std_logic;
SIGNAL \WideAnd1807~1_combout\ : std_logic;
SIGNAL \WideAnd1807~combout\ : std_logic;
SIGNAL \WideAnd4065~combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][0]~82439_combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1799][1]~52066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1799][1]~52067\ : std_logic;
SIGNAL \led_flash_cnt[1799][2]~52068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1799][2]~52069\ : std_logic;
SIGNAL \led_flash_cnt[1799][3]~52070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1799][3]~52071\ : std_logic;
SIGNAL \led_flash_cnt[1799][4]~52072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1799][4]~52073\ : std_logic;
SIGNAL \led_flash_cnt[1799][5]~52074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1799][5]~52075\ : std_logic;
SIGNAL \led_flash_cnt[1799][6]~52076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1799][6]~52077\ : std_logic;
SIGNAL \led_flash_cnt[1799][7]~52078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1799][7]~q\ : std_logic;
SIGNAL \WideAnd1799~0_combout\ : std_logic;
SIGNAL \WideAnd1799~1_combout\ : std_logic;
SIGNAL \WideAnd1799~combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][0]~82438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1798][1]~52052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1798][1]~52053\ : std_logic;
SIGNAL \led_flash_cnt[1798][2]~52054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1798][2]~52055\ : std_logic;
SIGNAL \led_flash_cnt[1798][3]~52056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1798][3]~52057\ : std_logic;
SIGNAL \led_flash_cnt[1798][4]~52058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1798][4]~52059\ : std_logic;
SIGNAL \led_flash_cnt[1798][5]~52060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1798][5]~52061\ : std_logic;
SIGNAL \led_flash_cnt[1798][6]~52062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1798][6]~52063\ : std_logic;
SIGNAL \led_flash_cnt[1798][7]~52064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1798][7]~q\ : std_logic;
SIGNAL \WideAnd1798~1_combout\ : std_logic;
SIGNAL \WideAnd1798~0_combout\ : std_logic;
SIGNAL \WideAnd1798~combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][0]~82436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1796][1]~52024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1796][1]~52025\ : std_logic;
SIGNAL \led_flash_cnt[1796][2]~52026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1796][2]~52027\ : std_logic;
SIGNAL \led_flash_cnt[1796][3]~52028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1796][3]~52029\ : std_logic;
SIGNAL \led_flash_cnt[1796][4]~52030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1796][4]~52031\ : std_logic;
SIGNAL \led_flash_cnt[1796][5]~52032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1796][5]~52033\ : std_logic;
SIGNAL \led_flash_cnt[1796][6]~52034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][6]~q\ : std_logic;
SIGNAL \WideAnd1796~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][6]~52035\ : std_logic;
SIGNAL \led_flash_cnt[1796][7]~52036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1796][7]~q\ : std_logic;
SIGNAL \WideAnd1796~0_combout\ : std_logic;
SIGNAL \WideAnd1796~combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][0]~82437_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1797][1]~52038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1797][1]~52039\ : std_logic;
SIGNAL \led_flash_cnt[1797][2]~52040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1797][2]~52041\ : std_logic;
SIGNAL \led_flash_cnt[1797][3]~52042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1797][3]~52043\ : std_logic;
SIGNAL \led_flash_cnt[1797][4]~52044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][4]~q\ : std_logic;
SIGNAL \WideAnd1797~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][4]~52045\ : std_logic;
SIGNAL \led_flash_cnt[1797][5]~52046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1797][5]~52047\ : std_logic;
SIGNAL \led_flash_cnt[1797][6]~52048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][6]~q\ : std_logic;
SIGNAL \WideAnd1797~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][6]~52049\ : std_logic;
SIGNAL \led_flash_cnt[1797][7]~52050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1797][7]~q\ : std_logic;
SIGNAL \WideAnd1797~combout\ : std_logic;
SIGNAL \WideAnd4064~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][0]~82432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1792][1]~51968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1792][1]~51969\ : std_logic;
SIGNAL \led_flash_cnt[1792][2]~51970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1792][2]~51971\ : std_logic;
SIGNAL \led_flash_cnt[1792][3]~51972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1792][3]~51973\ : std_logic;
SIGNAL \led_flash_cnt[1792][4]~51974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1792][4]~51975\ : std_logic;
SIGNAL \led_flash_cnt[1792][5]~51976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1792][5]~51977\ : std_logic;
SIGNAL \led_flash_cnt[1792][6]~51978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1792][6]~51979\ : std_logic;
SIGNAL \led_flash_cnt[1792][7]~51980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1792][7]~q\ : std_logic;
SIGNAL \WideAnd1792~0_combout\ : std_logic;
SIGNAL \WideAnd1792~1_combout\ : std_logic;
SIGNAL \WideAnd1792~combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][0]~82434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1794][1]~51996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1794][1]~51997\ : std_logic;
SIGNAL \led_flash_cnt[1794][2]~51998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1794][2]~51999\ : std_logic;
SIGNAL \led_flash_cnt[1794][3]~52000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1794][3]~52001\ : std_logic;
SIGNAL \led_flash_cnt[1794][4]~52002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1794][4]~52003\ : std_logic;
SIGNAL \led_flash_cnt[1794][5]~52004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1794][5]~52005\ : std_logic;
SIGNAL \led_flash_cnt[1794][6]~52006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1794][6]~52007\ : std_logic;
SIGNAL \led_flash_cnt[1794][7]~52008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1794][7]~q\ : std_logic;
SIGNAL \WideAnd1794~0_combout\ : std_logic;
SIGNAL \WideAnd1794~1_combout\ : std_logic;
SIGNAL \WideAnd1794~combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][0]~82433_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1793][1]~51982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1793][1]~51983\ : std_logic;
SIGNAL \led_flash_cnt[1793][2]~51984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1793][2]~51985\ : std_logic;
SIGNAL \led_flash_cnt[1793][3]~51986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1793][3]~51987\ : std_logic;
SIGNAL \led_flash_cnt[1793][4]~51988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1793][4]~51989\ : std_logic;
SIGNAL \led_flash_cnt[1793][5]~51990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1793][5]~51991\ : std_logic;
SIGNAL \led_flash_cnt[1793][6]~51992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][6]~q\ : std_logic;
SIGNAL \WideAnd1793~1_combout\ : std_logic;
SIGNAL \WideAnd1793~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][6]~51993\ : std_logic;
SIGNAL \led_flash_cnt[1793][7]~51994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1793][7]~q\ : std_logic;
SIGNAL \WideAnd1793~combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][0]~82435_combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1795][1]~52010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1795][1]~52011\ : std_logic;
SIGNAL \led_flash_cnt[1795][2]~52012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1795][2]~52013\ : std_logic;
SIGNAL \led_flash_cnt[1795][3]~52014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1795][3]~52015\ : std_logic;
SIGNAL \led_flash_cnt[1795][4]~52016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1795][4]~52017\ : std_logic;
SIGNAL \led_flash_cnt[1795][5]~52018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1795][5]~52019\ : std_logic;
SIGNAL \led_flash_cnt[1795][6]~52020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1795][6]~52021\ : std_logic;
SIGNAL \led_flash_cnt[1795][7]~52022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1795][7]~q\ : std_logic;
SIGNAL \WideAnd1795~1_combout\ : std_logic;
SIGNAL \WideAnd1795~0_combout\ : std_logic;
SIGNAL \WideAnd1795~combout\ : std_logic;
SIGNAL \WideAnd4064~0_combout\ : std_logic;
SIGNAL \WideAnd4064~combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][0]~82455_combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1815][1]~52290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1815][1]~52291\ : std_logic;
SIGNAL \led_flash_cnt[1815][2]~52292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1815][2]~52293\ : std_logic;
SIGNAL \led_flash_cnt[1815][3]~52294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1815][3]~52295\ : std_logic;
SIGNAL \led_flash_cnt[1815][4]~52296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1815][4]~52297\ : std_logic;
SIGNAL \led_flash_cnt[1815][5]~52298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1815][5]~52299\ : std_logic;
SIGNAL \led_flash_cnt[1815][6]~52300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1815][6]~52301\ : std_logic;
SIGNAL \led_flash_cnt[1815][7]~52302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1815][7]~q\ : std_logic;
SIGNAL \WideAnd1815~1_combout\ : std_logic;
SIGNAL \WideAnd1815~0_combout\ : std_logic;
SIGNAL \WideAnd1815~combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][0]~82454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1814][1]~52276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1814][1]~52277\ : std_logic;
SIGNAL \led_flash_cnt[1814][2]~52278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1814][2]~52279\ : std_logic;
SIGNAL \led_flash_cnt[1814][3]~52280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1814][3]~52281\ : std_logic;
SIGNAL \led_flash_cnt[1814][4]~52282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1814][4]~52283\ : std_logic;
SIGNAL \led_flash_cnt[1814][5]~52284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1814][5]~52285\ : std_logic;
SIGNAL \led_flash_cnt[1814][6]~52286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1814][6]~52287\ : std_logic;
SIGNAL \led_flash_cnt[1814][7]~52288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1814][7]~q\ : std_logic;
SIGNAL \WideAnd1814~1_combout\ : std_logic;
SIGNAL \WideAnd1814~0_combout\ : std_logic;
SIGNAL \WideAnd1814~combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][0]~82449_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1809][1]~52206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1809][1]~52207\ : std_logic;
SIGNAL \led_flash_cnt[1809][2]~52208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1809][2]~52209\ : std_logic;
SIGNAL \led_flash_cnt[1809][3]~52210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1809][3]~52211\ : std_logic;
SIGNAL \led_flash_cnt[1809][4]~52212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1809][4]~52213\ : std_logic;
SIGNAL \led_flash_cnt[1809][5]~52214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1809][5]~52215\ : std_logic;
SIGNAL \led_flash_cnt[1809][6]~52216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][6]~q\ : std_logic;
SIGNAL \WideAnd1809~1_combout\ : std_logic;
SIGNAL \WideAnd1809~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][6]~52217\ : std_logic;
SIGNAL \led_flash_cnt[1809][7]~52218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1809][7]~q\ : std_logic;
SIGNAL \WideAnd1809~combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][0]~82451_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1811][1]~52234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1811][1]~52235\ : std_logic;
SIGNAL \led_flash_cnt[1811][2]~52236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1811][2]~52237\ : std_logic;
SIGNAL \led_flash_cnt[1811][3]~52238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1811][3]~52239\ : std_logic;
SIGNAL \led_flash_cnt[1811][4]~52240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1811][4]~52241\ : std_logic;
SIGNAL \led_flash_cnt[1811][5]~52242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1811][5]~52243\ : std_logic;
SIGNAL \led_flash_cnt[1811][6]~52244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][6]~q\ : std_logic;
SIGNAL \WideAnd1811~1_combout\ : std_logic;
SIGNAL \WideAnd1811~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][6]~52245\ : std_logic;
SIGNAL \led_flash_cnt[1811][7]~52246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1811][7]~q\ : std_logic;
SIGNAL \WideAnd1811~combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][0]~82448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1808][1]~52192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1808][1]~52193\ : std_logic;
SIGNAL \led_flash_cnt[1808][2]~52194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1808][2]~52195\ : std_logic;
SIGNAL \led_flash_cnt[1808][3]~52196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1808][3]~52197\ : std_logic;
SIGNAL \led_flash_cnt[1808][4]~52198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1808][4]~52199\ : std_logic;
SIGNAL \led_flash_cnt[1808][5]~52200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1808][5]~52201\ : std_logic;
SIGNAL \led_flash_cnt[1808][6]~52202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][6]~q\ : std_logic;
SIGNAL \WideAnd1808~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][6]~52203\ : std_logic;
SIGNAL \led_flash_cnt[1808][7]~52204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1808][7]~q\ : std_logic;
SIGNAL \WideAnd1808~0_combout\ : std_logic;
SIGNAL \WideAnd1808~combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][0]~82450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1810][1]~52220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1810][1]~52221\ : std_logic;
SIGNAL \led_flash_cnt[1810][2]~52222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1810][2]~52223\ : std_logic;
SIGNAL \led_flash_cnt[1810][3]~52224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1810][3]~52225\ : std_logic;
SIGNAL \led_flash_cnt[1810][4]~52226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][4]~q\ : std_logic;
SIGNAL \WideAnd1810~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][4]~52227\ : std_logic;
SIGNAL \led_flash_cnt[1810][5]~52228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1810][5]~52229\ : std_logic;
SIGNAL \led_flash_cnt[1810][6]~52230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1810][6]~52231\ : std_logic;
SIGNAL \led_flash_cnt[1810][7]~52232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1810][7]~q\ : std_logic;
SIGNAL \WideAnd1810~1_combout\ : std_logic;
SIGNAL \WideAnd1810~combout\ : std_logic;
SIGNAL \WideAnd4066~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][0]~82453_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1813][1]~52262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1813][1]~52263\ : std_logic;
SIGNAL \led_flash_cnt[1813][2]~52264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1813][2]~52265\ : std_logic;
SIGNAL \led_flash_cnt[1813][3]~52266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1813][3]~52267\ : std_logic;
SIGNAL \led_flash_cnt[1813][4]~52268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1813][4]~52269\ : std_logic;
SIGNAL \led_flash_cnt[1813][5]~52270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1813][5]~52271\ : std_logic;
SIGNAL \led_flash_cnt[1813][6]~52272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1813][6]~52273\ : std_logic;
SIGNAL \led_flash_cnt[1813][7]~52274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1813][7]~q\ : std_logic;
SIGNAL \WideAnd1813~0_combout\ : std_logic;
SIGNAL \WideAnd1813~1_combout\ : std_logic;
SIGNAL \WideAnd1813~combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][0]~82452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1812][1]~52248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1812][1]~52249\ : std_logic;
SIGNAL \led_flash_cnt[1812][2]~52250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1812][2]~52251\ : std_logic;
SIGNAL \led_flash_cnt[1812][3]~52252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1812][3]~52253\ : std_logic;
SIGNAL \led_flash_cnt[1812][4]~52254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][4]~q\ : std_logic;
SIGNAL \WideAnd1812~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][4]~52255\ : std_logic;
SIGNAL \led_flash_cnt[1812][5]~52256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1812][5]~52257\ : std_logic;
SIGNAL \led_flash_cnt[1812][6]~52258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1812][6]~52259\ : std_logic;
SIGNAL \led_flash_cnt[1812][7]~52260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1812][7]~q\ : std_logic;
SIGNAL \WideAnd1812~1_combout\ : std_logic;
SIGNAL \WideAnd1812~combout\ : std_logic;
SIGNAL \WideAnd4066~1_combout\ : std_logic;
SIGNAL \WideAnd4066~combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][0]~82461_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1821][1]~52374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1821][1]~52375\ : std_logic;
SIGNAL \led_flash_cnt[1821][2]~52376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1821][2]~52377\ : std_logic;
SIGNAL \led_flash_cnt[1821][3]~52378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1821][3]~52379\ : std_logic;
SIGNAL \led_flash_cnt[1821][4]~52380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][4]~q\ : std_logic;
SIGNAL \WideAnd1821~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][4]~52381\ : std_logic;
SIGNAL \led_flash_cnt[1821][5]~52382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1821][5]~52383\ : std_logic;
SIGNAL \led_flash_cnt[1821][6]~52384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][6]~q\ : std_logic;
SIGNAL \WideAnd1821~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][6]~52385\ : std_logic;
SIGNAL \led_flash_cnt[1821][7]~52386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1821][7]~q\ : std_logic;
SIGNAL \WideAnd1821~combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][0]~82460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1820][1]~52360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1820][1]~52361\ : std_logic;
SIGNAL \led_flash_cnt[1820][2]~52362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1820][2]~52363\ : std_logic;
SIGNAL \led_flash_cnt[1820][3]~52364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1820][3]~52365\ : std_logic;
SIGNAL \led_flash_cnt[1820][4]~52366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1820][4]~52367\ : std_logic;
SIGNAL \led_flash_cnt[1820][5]~52368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1820][5]~52369\ : std_logic;
SIGNAL \led_flash_cnt[1820][6]~52370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1820][6]~52371\ : std_logic;
SIGNAL \led_flash_cnt[1820][7]~52372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1820][7]~q\ : std_logic;
SIGNAL \WideAnd1820~0_combout\ : std_logic;
SIGNAL \WideAnd1820~1_combout\ : std_logic;
SIGNAL \WideAnd1820~combout\ : std_logic;
SIGNAL \WideAnd4067~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][0]~82463_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1823][1]~52402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1823][1]~52403\ : std_logic;
SIGNAL \led_flash_cnt[1823][2]~52404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1823][2]~52405\ : std_logic;
SIGNAL \led_flash_cnt[1823][3]~52406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1823][3]~52407\ : std_logic;
SIGNAL \led_flash_cnt[1823][4]~52408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1823][4]~52409\ : std_logic;
SIGNAL \led_flash_cnt[1823][5]~52410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1823][5]~52411\ : std_logic;
SIGNAL \led_flash_cnt[1823][6]~52412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1823][6]~52413\ : std_logic;
SIGNAL \led_flash_cnt[1823][7]~52414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1823][7]~q\ : std_logic;
SIGNAL \WideAnd1823~1_combout\ : std_logic;
SIGNAL \WideAnd1823~0_combout\ : std_logic;
SIGNAL \WideAnd1823~combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][0]~82462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1822][1]~52388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1822][1]~52389\ : std_logic;
SIGNAL \led_flash_cnt[1822][2]~52390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1822][2]~52391\ : std_logic;
SIGNAL \led_flash_cnt[1822][3]~52392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1822][3]~52393\ : std_logic;
SIGNAL \led_flash_cnt[1822][4]~52394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1822][4]~52395\ : std_logic;
SIGNAL \led_flash_cnt[1822][5]~52396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1822][5]~52397\ : std_logic;
SIGNAL \led_flash_cnt[1822][6]~52398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][6]~q\ : std_logic;
SIGNAL \WideAnd1822~1_combout\ : std_logic;
SIGNAL \WideAnd1822~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][6]~52399\ : std_logic;
SIGNAL \led_flash_cnt[1822][7]~52400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1822][7]~q\ : std_logic;
SIGNAL \WideAnd1822~combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][0]~82456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1816][1]~52304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1816][1]~52305\ : std_logic;
SIGNAL \led_flash_cnt[1816][2]~52306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1816][2]~52307\ : std_logic;
SIGNAL \led_flash_cnt[1816][3]~52308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1816][3]~52309\ : std_logic;
SIGNAL \led_flash_cnt[1816][4]~52310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1816][4]~52311\ : std_logic;
SIGNAL \led_flash_cnt[1816][5]~52312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1816][5]~52313\ : std_logic;
SIGNAL \led_flash_cnt[1816][6]~52314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1816][6]~52315\ : std_logic;
SIGNAL \led_flash_cnt[1816][7]~52316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1816][7]~q\ : std_logic;
SIGNAL \WideAnd1816~1_combout\ : std_logic;
SIGNAL \WideAnd1816~0_combout\ : std_logic;
SIGNAL \WideAnd1816~combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][0]~82457_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1817][1]~52318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1817][1]~52319\ : std_logic;
SIGNAL \led_flash_cnt[1817][2]~52320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1817][2]~52321\ : std_logic;
SIGNAL \led_flash_cnt[1817][3]~52322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1817][3]~52323\ : std_logic;
SIGNAL \led_flash_cnt[1817][4]~52324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1817][4]~52325\ : std_logic;
SIGNAL \led_flash_cnt[1817][5]~52326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1817][5]~52327\ : std_logic;
SIGNAL \led_flash_cnt[1817][6]~52328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][6]~q\ : std_logic;
SIGNAL \WideAnd1817~1_combout\ : std_logic;
SIGNAL \WideAnd1817~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][6]~52329\ : std_logic;
SIGNAL \led_flash_cnt[1817][7]~52330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1817][7]~q\ : std_logic;
SIGNAL \WideAnd1817~combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][0]~82458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1818][1]~52332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1818][1]~52333\ : std_logic;
SIGNAL \led_flash_cnt[1818][2]~52334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1818][2]~52335\ : std_logic;
SIGNAL \led_flash_cnt[1818][3]~52336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1818][3]~52337\ : std_logic;
SIGNAL \led_flash_cnt[1818][4]~52338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][4]~q\ : std_logic;
SIGNAL \WideAnd1818~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][4]~52339\ : std_logic;
SIGNAL \led_flash_cnt[1818][5]~52340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1818][5]~52341\ : std_logic;
SIGNAL \led_flash_cnt[1818][6]~52342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1818][6]~52343\ : std_logic;
SIGNAL \led_flash_cnt[1818][7]~52344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1818][7]~q\ : std_logic;
SIGNAL \WideAnd1818~1_combout\ : std_logic;
SIGNAL \WideAnd1818~combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][0]~82459_combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1819][1]~52346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1819][1]~52347\ : std_logic;
SIGNAL \led_flash_cnt[1819][2]~52348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1819][2]~52349\ : std_logic;
SIGNAL \led_flash_cnt[1819][3]~52350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1819][3]~52351\ : std_logic;
SIGNAL \led_flash_cnt[1819][4]~52352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1819][4]~52353\ : std_logic;
SIGNAL \led_flash_cnt[1819][5]~52354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1819][5]~52355\ : std_logic;
SIGNAL \led_flash_cnt[1819][6]~52356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1819][6]~52357\ : std_logic;
SIGNAL \led_flash_cnt[1819][7]~52358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1819][7]~q\ : std_logic;
SIGNAL \WideAnd1819~1_combout\ : std_logic;
SIGNAL \WideAnd1819~0_combout\ : std_logic;
SIGNAL \WideAnd1819~combout\ : std_logic;
SIGNAL \WideAnd4067~0_combout\ : std_logic;
SIGNAL \WideAnd4067~combout\ : std_logic;
SIGNAL \WideAnd4348~0_combout\ : std_logic;
SIGNAL \WideAnd4348~combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][0]~82613_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1973][1]~54502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1973][1]~54503\ : std_logic;
SIGNAL \led_flash_cnt[1973][2]~54504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1973][2]~54505\ : std_logic;
SIGNAL \led_flash_cnt[1973][3]~54506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1973][3]~54507\ : std_logic;
SIGNAL \led_flash_cnt[1973][4]~54508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][4]~q\ : std_logic;
SIGNAL \WideAnd1973~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][4]~54509\ : std_logic;
SIGNAL \led_flash_cnt[1973][5]~54510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1973][5]~54511\ : std_logic;
SIGNAL \led_flash_cnt[1973][6]~54512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1973][6]~54513\ : std_logic;
SIGNAL \led_flash_cnt[1973][7]~54514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1973][7]~q\ : std_logic;
SIGNAL \WideAnd1973~1_combout\ : std_logic;
SIGNAL \WideAnd1973~combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][0]~82612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1972][1]~54488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1972][1]~54489\ : std_logic;
SIGNAL \led_flash_cnt[1972][2]~54490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1972][2]~54491\ : std_logic;
SIGNAL \led_flash_cnt[1972][3]~54492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1972][3]~54493\ : std_logic;
SIGNAL \led_flash_cnt[1972][4]~54494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][4]~q\ : std_logic;
SIGNAL \WideAnd1972~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][4]~54495\ : std_logic;
SIGNAL \led_flash_cnt[1972][5]~54496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1972][5]~54497\ : std_logic;
SIGNAL \led_flash_cnt[1972][6]~54498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1972][6]~54499\ : std_logic;
SIGNAL \led_flash_cnt[1972][7]~54500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1972][7]~q\ : std_logic;
SIGNAL \WideAnd1972~1_combout\ : std_logic;
SIGNAL \WideAnd1972~combout\ : std_logic;
SIGNAL \WideAnd4086~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][0]~82615_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1975][1]~54530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1975][1]~54531\ : std_logic;
SIGNAL \led_flash_cnt[1975][2]~54532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1975][2]~54533\ : std_logic;
SIGNAL \led_flash_cnt[1975][3]~54534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1975][3]~54535\ : std_logic;
SIGNAL \led_flash_cnt[1975][4]~54536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][4]~q\ : std_logic;
SIGNAL \WideAnd1975~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][4]~54537\ : std_logic;
SIGNAL \led_flash_cnt[1975][5]~54538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1975][5]~54539\ : std_logic;
SIGNAL \led_flash_cnt[1975][6]~54540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1975][6]~54541\ : std_logic;
SIGNAL \led_flash_cnt[1975][7]~54542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1975][7]~q\ : std_logic;
SIGNAL \WideAnd1975~1_combout\ : std_logic;
SIGNAL \WideAnd1975~combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][0]~82608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1968][1]~54432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1968][1]~54433\ : std_logic;
SIGNAL \led_flash_cnt[1968][2]~54434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1968][2]~54435\ : std_logic;
SIGNAL \led_flash_cnt[1968][3]~54436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1968][3]~54437\ : std_logic;
SIGNAL \led_flash_cnt[1968][4]~54438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1968][4]~54439\ : std_logic;
SIGNAL \led_flash_cnt[1968][5]~54440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1968][5]~54441\ : std_logic;
SIGNAL \led_flash_cnt[1968][6]~54442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1968][6]~54443\ : std_logic;
SIGNAL \led_flash_cnt[1968][7]~54444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1968][7]~q\ : std_logic;
SIGNAL \WideAnd1968~1_combout\ : std_logic;
SIGNAL \WideAnd1968~0_combout\ : std_logic;
SIGNAL \WideAnd1968~combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][0]~82611_combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1971][1]~54474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1971][1]~54475\ : std_logic;
SIGNAL \led_flash_cnt[1971][2]~54476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1971][2]~54477\ : std_logic;
SIGNAL \led_flash_cnt[1971][3]~54478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1971][3]~54479\ : std_logic;
SIGNAL \led_flash_cnt[1971][4]~54480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1971][4]~54481\ : std_logic;
SIGNAL \led_flash_cnt[1971][5]~54482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1971][5]~54483\ : std_logic;
SIGNAL \led_flash_cnt[1971][6]~54484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1971][6]~54485\ : std_logic;
SIGNAL \led_flash_cnt[1971][7]~54486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1971][7]~q\ : std_logic;
SIGNAL \WideAnd1971~1_combout\ : std_logic;
SIGNAL \WideAnd1971~0_combout\ : std_logic;
SIGNAL \WideAnd1971~combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][0]~82610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1970][1]~54460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1970][1]~54461\ : std_logic;
SIGNAL \led_flash_cnt[1970][2]~54462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1970][2]~54463\ : std_logic;
SIGNAL \led_flash_cnt[1970][3]~54464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1970][3]~54465\ : std_logic;
SIGNAL \led_flash_cnt[1970][4]~54466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1970][4]~54467\ : std_logic;
SIGNAL \led_flash_cnt[1970][5]~54468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1970][5]~54469\ : std_logic;
SIGNAL \led_flash_cnt[1970][6]~54470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][6]~q\ : std_logic;
SIGNAL \WideAnd1970~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][6]~54471\ : std_logic;
SIGNAL \led_flash_cnt[1970][7]~54472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1970][7]~q\ : std_logic;
SIGNAL \WideAnd1970~0_combout\ : std_logic;
SIGNAL \WideAnd1970~combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][0]~82609_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1969][1]~54446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1969][1]~54447\ : std_logic;
SIGNAL \led_flash_cnt[1969][2]~54448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1969][2]~54449\ : std_logic;
SIGNAL \led_flash_cnt[1969][3]~54450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1969][3]~54451\ : std_logic;
SIGNAL \led_flash_cnt[1969][4]~54452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][4]~q\ : std_logic;
SIGNAL \WideAnd1969~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][4]~54453\ : std_logic;
SIGNAL \led_flash_cnt[1969][5]~54454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1969][5]~54455\ : std_logic;
SIGNAL \led_flash_cnt[1969][6]~54456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][6]~q\ : std_logic;
SIGNAL \WideAnd1969~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][6]~54457\ : std_logic;
SIGNAL \led_flash_cnt[1969][7]~54458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1969][7]~q\ : std_logic;
SIGNAL \WideAnd1969~combout\ : std_logic;
SIGNAL \WideAnd4086~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][0]~82614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1974][1]~54516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1974][1]~54517\ : std_logic;
SIGNAL \led_flash_cnt[1974][2]~54518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1974][2]~54519\ : std_logic;
SIGNAL \led_flash_cnt[1974][3]~54520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1974][3]~54521\ : std_logic;
SIGNAL \led_flash_cnt[1974][4]~54522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1974][4]~54523\ : std_logic;
SIGNAL \led_flash_cnt[1974][5]~54524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1974][5]~54525\ : std_logic;
SIGNAL \led_flash_cnt[1974][6]~54526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][6]~q\ : std_logic;
SIGNAL \WideAnd1974~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][6]~54527\ : std_logic;
SIGNAL \led_flash_cnt[1974][7]~54528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1974][7]~q\ : std_logic;
SIGNAL \WideAnd1974~0_combout\ : std_logic;
SIGNAL \WideAnd1974~combout\ : std_logic;
SIGNAL \WideAnd4086~combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][0]~82622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1982][1]~54628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1982][1]~54629\ : std_logic;
SIGNAL \led_flash_cnt[1982][2]~54630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1982][2]~54631\ : std_logic;
SIGNAL \led_flash_cnt[1982][3]~54632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1982][3]~54633\ : std_logic;
SIGNAL \led_flash_cnt[1982][4]~54634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1982][4]~54635\ : std_logic;
SIGNAL \led_flash_cnt[1982][5]~54636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1982][5]~54637\ : std_logic;
SIGNAL \led_flash_cnt[1982][6]~54638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1982][6]~54639\ : std_logic;
SIGNAL \led_flash_cnt[1982][7]~54640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1982][7]~q\ : std_logic;
SIGNAL \WideAnd1982~1_combout\ : std_logic;
SIGNAL \WideAnd1982~0_combout\ : std_logic;
SIGNAL \WideAnd1982~combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][0]~82620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1980][1]~54600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1980][1]~54601\ : std_logic;
SIGNAL \led_flash_cnt[1980][2]~54602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1980][2]~54603\ : std_logic;
SIGNAL \led_flash_cnt[1980][3]~54604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1980][3]~54605\ : std_logic;
SIGNAL \led_flash_cnt[1980][4]~54606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1980][4]~54607\ : std_logic;
SIGNAL \led_flash_cnt[1980][5]~54608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1980][5]~54609\ : std_logic;
SIGNAL \led_flash_cnt[1980][6]~54610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1980][6]~54611\ : std_logic;
SIGNAL \led_flash_cnt[1980][7]~54612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1980][7]~q\ : std_logic;
SIGNAL \WideAnd1980~0_combout\ : std_logic;
SIGNAL \WideAnd1980~1_combout\ : std_logic;
SIGNAL \WideAnd1980~combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][0]~82621_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1981][1]~54614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1981][1]~54615\ : std_logic;
SIGNAL \led_flash_cnt[1981][2]~54616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1981][2]~54617\ : std_logic;
SIGNAL \led_flash_cnt[1981][3]~54618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1981][3]~54619\ : std_logic;
SIGNAL \led_flash_cnt[1981][4]~54620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1981][4]~54621\ : std_logic;
SIGNAL \led_flash_cnt[1981][5]~54622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1981][5]~54623\ : std_logic;
SIGNAL \led_flash_cnt[1981][6]~54624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][6]~q\ : std_logic;
SIGNAL \WideAnd1981~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][6]~54625\ : std_logic;
SIGNAL \led_flash_cnt[1981][7]~54626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1981][7]~q\ : std_logic;
SIGNAL \WideAnd1981~0_combout\ : std_logic;
SIGNAL \WideAnd1981~combout\ : std_logic;
SIGNAL \WideAnd4087~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][0]~82623_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1983][1]~54642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1983][1]~54643\ : std_logic;
SIGNAL \led_flash_cnt[1983][2]~54644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1983][2]~54645\ : std_logic;
SIGNAL \led_flash_cnt[1983][3]~54646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1983][3]~54647\ : std_logic;
SIGNAL \led_flash_cnt[1983][4]~54648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1983][4]~54649\ : std_logic;
SIGNAL \led_flash_cnt[1983][5]~54650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1983][5]~54651\ : std_logic;
SIGNAL \led_flash_cnt[1983][6]~54652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1983][6]~54653\ : std_logic;
SIGNAL \led_flash_cnt[1983][7]~54654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1983][7]~q\ : std_logic;
SIGNAL \WideAnd1983~1_combout\ : std_logic;
SIGNAL \WideAnd1983~0_combout\ : std_logic;
SIGNAL \WideAnd1983~combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][0]~82616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1976][1]~54544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1976][1]~54545\ : std_logic;
SIGNAL \led_flash_cnt[1976][2]~54546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1976][2]~54547\ : std_logic;
SIGNAL \led_flash_cnt[1976][3]~54548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1976][3]~54549\ : std_logic;
SIGNAL \led_flash_cnt[1976][4]~54550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1976][4]~54551\ : std_logic;
SIGNAL \led_flash_cnt[1976][5]~54552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1976][5]~54553\ : std_logic;
SIGNAL \led_flash_cnt[1976][6]~54554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][6]~q\ : std_logic;
SIGNAL \WideAnd1976~1_combout\ : std_logic;
SIGNAL \WideAnd1976~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][6]~54555\ : std_logic;
SIGNAL \led_flash_cnt[1976][7]~54556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1976][7]~q\ : std_logic;
SIGNAL \WideAnd1976~combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][0]~82617_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1977][1]~54558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1977][1]~54559\ : std_logic;
SIGNAL \led_flash_cnt[1977][2]~54560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1977][2]~54561\ : std_logic;
SIGNAL \led_flash_cnt[1977][3]~54562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1977][3]~54563\ : std_logic;
SIGNAL \led_flash_cnt[1977][4]~54564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][4]~q\ : std_logic;
SIGNAL \WideAnd1977~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][4]~54565\ : std_logic;
SIGNAL \led_flash_cnt[1977][5]~54566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1977][5]~54567\ : std_logic;
SIGNAL \led_flash_cnt[1977][6]~54568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1977][6]~54569\ : std_logic;
SIGNAL \led_flash_cnt[1977][7]~54570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1977][7]~q\ : std_logic;
SIGNAL \WideAnd1977~1_combout\ : std_logic;
SIGNAL \WideAnd1977~combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][0]~82618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1978][1]~54572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1978][1]~54573\ : std_logic;
SIGNAL \led_flash_cnt[1978][2]~54574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1978][2]~54575\ : std_logic;
SIGNAL \led_flash_cnt[1978][3]~54576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1978][3]~54577\ : std_logic;
SIGNAL \led_flash_cnt[1978][4]~54578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1978][4]~54579\ : std_logic;
SIGNAL \led_flash_cnt[1978][5]~54580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1978][5]~54581\ : std_logic;
SIGNAL \led_flash_cnt[1978][6]~54582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1978][6]~54583\ : std_logic;
SIGNAL \led_flash_cnt[1978][7]~54584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1978][7]~q\ : std_logic;
SIGNAL \WideAnd1978~0_combout\ : std_logic;
SIGNAL \WideAnd1978~1_combout\ : std_logic;
SIGNAL \WideAnd1978~combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][0]~82619_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1979][1]~54586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1979][1]~54587\ : std_logic;
SIGNAL \led_flash_cnt[1979][2]~54588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1979][2]~54589\ : std_logic;
SIGNAL \led_flash_cnt[1979][3]~54590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1979][3]~54591\ : std_logic;
SIGNAL \led_flash_cnt[1979][4]~54592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][4]~q\ : std_logic;
SIGNAL \WideAnd1979~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][4]~54593\ : std_logic;
SIGNAL \led_flash_cnt[1979][5]~54594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1979][5]~54595\ : std_logic;
SIGNAL \led_flash_cnt[1979][6]~54596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][6]~q\ : std_logic;
SIGNAL \WideAnd1979~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][6]~54597\ : std_logic;
SIGNAL \led_flash_cnt[1979][7]~54598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1979][7]~q\ : std_logic;
SIGNAL \WideAnd1979~combout\ : std_logic;
SIGNAL \WideAnd4087~0_combout\ : std_logic;
SIGNAL \WideAnd4087~combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][0]~82574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1934][1]~53956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1934][1]~53957\ : std_logic;
SIGNAL \led_flash_cnt[1934][2]~53958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1934][2]~53959\ : std_logic;
SIGNAL \led_flash_cnt[1934][3]~53960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1934][3]~53961\ : std_logic;
SIGNAL \led_flash_cnt[1934][4]~53962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1934][4]~53963\ : std_logic;
SIGNAL \led_flash_cnt[1934][5]~53964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1934][5]~53965\ : std_logic;
SIGNAL \led_flash_cnt[1934][6]~53966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][6]~q\ : std_logic;
SIGNAL \WideAnd1934~1_combout\ : std_logic;
SIGNAL \WideAnd1934~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][6]~53967\ : std_logic;
SIGNAL \led_flash_cnt[1934][7]~53968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1934][7]~q\ : std_logic;
SIGNAL \WideAnd1934~combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][0]~82575_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1935][1]~53970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1935][1]~53971\ : std_logic;
SIGNAL \led_flash_cnt[1935][2]~53972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1935][2]~53973\ : std_logic;
SIGNAL \led_flash_cnt[1935][3]~53974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1935][3]~53975\ : std_logic;
SIGNAL \led_flash_cnt[1935][4]~53976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][4]~q\ : std_logic;
SIGNAL \WideAnd1935~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][4]~53977\ : std_logic;
SIGNAL \led_flash_cnt[1935][5]~53978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1935][5]~53979\ : std_logic;
SIGNAL \led_flash_cnt[1935][6]~53980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][6]~q\ : std_logic;
SIGNAL \WideAnd1935~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][6]~53981\ : std_logic;
SIGNAL \led_flash_cnt[1935][7]~53982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1935][7]~q\ : std_logic;
SIGNAL \WideAnd1935~combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][0]~82568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1928][1]~53872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1928][1]~53873\ : std_logic;
SIGNAL \led_flash_cnt[1928][2]~53874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1928][2]~53875\ : std_logic;
SIGNAL \led_flash_cnt[1928][3]~53876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1928][3]~53877\ : std_logic;
SIGNAL \led_flash_cnt[1928][4]~53878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][4]~q\ : std_logic;
SIGNAL \WideAnd1928~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][4]~53879\ : std_logic;
SIGNAL \led_flash_cnt[1928][5]~53880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1928][5]~53881\ : std_logic;
SIGNAL \led_flash_cnt[1928][6]~53882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][6]~q\ : std_logic;
SIGNAL \WideAnd1928~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][6]~53883\ : std_logic;
SIGNAL \led_flash_cnt[1928][7]~53884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1928][7]~q\ : std_logic;
SIGNAL \WideAnd1928~combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][0]~82571_combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1931][1]~53914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1931][1]~53915\ : std_logic;
SIGNAL \led_flash_cnt[1931][2]~53916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1931][2]~53917\ : std_logic;
SIGNAL \led_flash_cnt[1931][3]~53918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1931][3]~53919\ : std_logic;
SIGNAL \led_flash_cnt[1931][4]~53920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1931][4]~53921\ : std_logic;
SIGNAL \led_flash_cnt[1931][5]~53922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1931][5]~53923\ : std_logic;
SIGNAL \led_flash_cnt[1931][6]~53924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1931][6]~53925\ : std_logic;
SIGNAL \led_flash_cnt[1931][7]~53926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1931][7]~q\ : std_logic;
SIGNAL \WideAnd1931~1_combout\ : std_logic;
SIGNAL \WideAnd1931~0_combout\ : std_logic;
SIGNAL \WideAnd1931~combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][0]~82569_combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1929][1]~53886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1929][1]~53887\ : std_logic;
SIGNAL \led_flash_cnt[1929][2]~53888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1929][2]~53889\ : std_logic;
SIGNAL \led_flash_cnt[1929][3]~53890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1929][3]~53891\ : std_logic;
SIGNAL \led_flash_cnt[1929][4]~53892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1929][4]~53893\ : std_logic;
SIGNAL \led_flash_cnt[1929][5]~53894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1929][5]~53895\ : std_logic;
SIGNAL \led_flash_cnt[1929][6]~53896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1929][6]~53897\ : std_logic;
SIGNAL \led_flash_cnt[1929][7]~53898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1929][7]~q\ : std_logic;
SIGNAL \WideAnd1929~1_combout\ : std_logic;
SIGNAL \WideAnd1929~0_combout\ : std_logic;
SIGNAL \WideAnd1929~combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][0]~82570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1930][1]~53900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1930][1]~53901\ : std_logic;
SIGNAL \led_flash_cnt[1930][2]~53902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1930][2]~53903\ : std_logic;
SIGNAL \led_flash_cnt[1930][3]~53904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1930][3]~53905\ : std_logic;
SIGNAL \led_flash_cnt[1930][4]~53906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][4]~q\ : std_logic;
SIGNAL \WideAnd1930~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][4]~53907\ : std_logic;
SIGNAL \led_flash_cnt[1930][5]~53908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1930][5]~53909\ : std_logic;
SIGNAL \led_flash_cnt[1930][6]~53910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][6]~q\ : std_logic;
SIGNAL \WideAnd1930~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][6]~53911\ : std_logic;
SIGNAL \led_flash_cnt[1930][7]~53912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1930][7]~q\ : std_logic;
SIGNAL \WideAnd1930~combout\ : std_logic;
SIGNAL \WideAnd4081~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][0]~82572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1932][1]~53928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1932][1]~53929\ : std_logic;
SIGNAL \led_flash_cnt[1932][2]~53930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1932][2]~53931\ : std_logic;
SIGNAL \led_flash_cnt[1932][3]~53932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1932][3]~53933\ : std_logic;
SIGNAL \led_flash_cnt[1932][4]~53934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][4]~q\ : std_logic;
SIGNAL \WideAnd1932~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][4]~53935\ : std_logic;
SIGNAL \led_flash_cnt[1932][5]~53936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1932][5]~53937\ : std_logic;
SIGNAL \led_flash_cnt[1932][6]~53938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][6]~q\ : std_logic;
SIGNAL \WideAnd1932~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][6]~53939\ : std_logic;
SIGNAL \led_flash_cnt[1932][7]~53940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1932][7]~q\ : std_logic;
SIGNAL \WideAnd1932~combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][0]~82573_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1933][1]~53942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1933][1]~53943\ : std_logic;
SIGNAL \led_flash_cnt[1933][2]~53944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1933][2]~53945\ : std_logic;
SIGNAL \led_flash_cnt[1933][3]~53946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1933][3]~53947\ : std_logic;
SIGNAL \led_flash_cnt[1933][4]~53948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1933][4]~53949\ : std_logic;
SIGNAL \led_flash_cnt[1933][5]~53950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1933][5]~53951\ : std_logic;
SIGNAL \led_flash_cnt[1933][6]~53952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][6]~q\ : std_logic;
SIGNAL \WideAnd1933~1_combout\ : std_logic;
SIGNAL \WideAnd1933~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][6]~53953\ : std_logic;
SIGNAL \led_flash_cnt[1933][7]~53954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1933][7]~q\ : std_logic;
SIGNAL \WideAnd1933~combout\ : std_logic;
SIGNAL \WideAnd4081~1_combout\ : std_logic;
SIGNAL \WideAnd4081~combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][0]~82583_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1943][1]~54082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1943][1]~54083\ : std_logic;
SIGNAL \led_flash_cnt[1943][2]~54084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1943][2]~54085\ : std_logic;
SIGNAL \led_flash_cnt[1943][3]~54086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1943][3]~54087\ : std_logic;
SIGNAL \led_flash_cnt[1943][4]~54088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1943][4]~54089\ : std_logic;
SIGNAL \led_flash_cnt[1943][5]~54090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1943][5]~54091\ : std_logic;
SIGNAL \led_flash_cnt[1943][6]~54092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][6]~q\ : std_logic;
SIGNAL \WideAnd1943~1_combout\ : std_logic;
SIGNAL \WideAnd1943~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][6]~54093\ : std_logic;
SIGNAL \led_flash_cnt[1943][7]~54094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1943][7]~q\ : std_logic;
SIGNAL \WideAnd1943~combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][0]~82579_combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1939][1]~54026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1939][1]~54027\ : std_logic;
SIGNAL \led_flash_cnt[1939][2]~54028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1939][2]~54029\ : std_logic;
SIGNAL \led_flash_cnt[1939][3]~54030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1939][3]~54031\ : std_logic;
SIGNAL \led_flash_cnt[1939][4]~54032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1939][4]~54033\ : std_logic;
SIGNAL \led_flash_cnt[1939][5]~54034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1939][5]~54035\ : std_logic;
SIGNAL \led_flash_cnt[1939][6]~54036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1939][6]~54037\ : std_logic;
SIGNAL \led_flash_cnt[1939][7]~54038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1939][7]~q\ : std_logic;
SIGNAL \WideAnd1939~0_combout\ : std_logic;
SIGNAL \WideAnd1939~1_combout\ : std_logic;
SIGNAL \WideAnd1939~combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][0]~82576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1936][1]~53984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1936][1]~53985\ : std_logic;
SIGNAL \led_flash_cnt[1936][2]~53986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1936][2]~53987\ : std_logic;
SIGNAL \led_flash_cnt[1936][3]~53988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1936][3]~53989\ : std_logic;
SIGNAL \led_flash_cnt[1936][4]~53990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1936][4]~53991\ : std_logic;
SIGNAL \led_flash_cnt[1936][5]~53992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1936][5]~53993\ : std_logic;
SIGNAL \led_flash_cnt[1936][6]~53994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][6]~q\ : std_logic;
SIGNAL \WideAnd1936~1_combout\ : std_logic;
SIGNAL \WideAnd1936~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][6]~53995\ : std_logic;
SIGNAL \led_flash_cnt[1936][7]~53996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1936][7]~q\ : std_logic;
SIGNAL \WideAnd1936~combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][0]~82577_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1937][1]~53998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1937][1]~53999\ : std_logic;
SIGNAL \led_flash_cnt[1937][2]~54000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1937][2]~54001\ : std_logic;
SIGNAL \led_flash_cnt[1937][3]~54002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1937][3]~54003\ : std_logic;
SIGNAL \led_flash_cnt[1937][4]~54004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][4]~q\ : std_logic;
SIGNAL \WideAnd1937~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][4]~54005\ : std_logic;
SIGNAL \led_flash_cnt[1937][5]~54006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1937][5]~54007\ : std_logic;
SIGNAL \led_flash_cnt[1937][6]~54008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1937][6]~54009\ : std_logic;
SIGNAL \led_flash_cnt[1937][7]~54010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1937][7]~q\ : std_logic;
SIGNAL \WideAnd1937~1_combout\ : std_logic;
SIGNAL \WideAnd1937~combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][0]~82578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1938][1]~54012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1938][1]~54013\ : std_logic;
SIGNAL \led_flash_cnt[1938][2]~54014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1938][2]~54015\ : std_logic;
SIGNAL \led_flash_cnt[1938][3]~54016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1938][3]~54017\ : std_logic;
SIGNAL \led_flash_cnt[1938][4]~54018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][4]~q\ : std_logic;
SIGNAL \WideAnd1938~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][4]~54019\ : std_logic;
SIGNAL \led_flash_cnt[1938][5]~54020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1938][5]~54021\ : std_logic;
SIGNAL \led_flash_cnt[1938][6]~54022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][6]~q\ : std_logic;
SIGNAL \WideAnd1938~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][6]~54023\ : std_logic;
SIGNAL \led_flash_cnt[1938][7]~54024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1938][7]~q\ : std_logic;
SIGNAL \WideAnd1938~combout\ : std_logic;
SIGNAL \WideAnd4082~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][0]~82582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1942][1]~54068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1942][1]~54069\ : std_logic;
SIGNAL \led_flash_cnt[1942][2]~54070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1942][2]~54071\ : std_logic;
SIGNAL \led_flash_cnt[1942][3]~54072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1942][3]~54073\ : std_logic;
SIGNAL \led_flash_cnt[1942][4]~54074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][4]~q\ : std_logic;
SIGNAL \WideAnd1942~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][4]~54075\ : std_logic;
SIGNAL \led_flash_cnt[1942][5]~54076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1942][5]~54077\ : std_logic;
SIGNAL \led_flash_cnt[1942][6]~54078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1942][6]~54079\ : std_logic;
SIGNAL \led_flash_cnt[1942][7]~54080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1942][7]~q\ : std_logic;
SIGNAL \WideAnd1942~1_combout\ : std_logic;
SIGNAL \WideAnd1942~combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][0]~82581_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1941][1]~54054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1941][1]~54055\ : std_logic;
SIGNAL \led_flash_cnt[1941][2]~54056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1941][2]~54057\ : std_logic;
SIGNAL \led_flash_cnt[1941][3]~54058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1941][3]~54059\ : std_logic;
SIGNAL \led_flash_cnt[1941][4]~54060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1941][4]~54061\ : std_logic;
SIGNAL \led_flash_cnt[1941][5]~54062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1941][5]~54063\ : std_logic;
SIGNAL \led_flash_cnt[1941][6]~54064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][6]~q\ : std_logic;
SIGNAL \WideAnd1941~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][6]~54065\ : std_logic;
SIGNAL \led_flash_cnt[1941][7]~54066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1941][7]~q\ : std_logic;
SIGNAL \WideAnd1941~0_combout\ : std_logic;
SIGNAL \WideAnd1941~combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][0]~82580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1940][1]~54040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1940][1]~54041\ : std_logic;
SIGNAL \led_flash_cnt[1940][2]~54042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1940][2]~54043\ : std_logic;
SIGNAL \led_flash_cnt[1940][3]~54044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1940][3]~54045\ : std_logic;
SIGNAL \led_flash_cnt[1940][4]~54046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][4]~q\ : std_logic;
SIGNAL \WideAnd1940~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][4]~54047\ : std_logic;
SIGNAL \led_flash_cnt[1940][5]~54048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1940][5]~54049\ : std_logic;
SIGNAL \led_flash_cnt[1940][6]~54050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1940][6]~54051\ : std_logic;
SIGNAL \led_flash_cnt[1940][7]~54052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1940][7]~q\ : std_logic;
SIGNAL \WideAnd1940~1_combout\ : std_logic;
SIGNAL \WideAnd1940~combout\ : std_logic;
SIGNAL \WideAnd4082~1_combout\ : std_logic;
SIGNAL \WideAnd4082~combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][0]~82590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1950][1]~54180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1950][1]~54181\ : std_logic;
SIGNAL \led_flash_cnt[1950][2]~54182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1950][2]~54183\ : std_logic;
SIGNAL \led_flash_cnt[1950][3]~54184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1950][3]~54185\ : std_logic;
SIGNAL \led_flash_cnt[1950][4]~54186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1950][4]~54187\ : std_logic;
SIGNAL \led_flash_cnt[1950][5]~54188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1950][5]~54189\ : std_logic;
SIGNAL \led_flash_cnt[1950][6]~54190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][6]~q\ : std_logic;
SIGNAL \WideAnd1950~1_combout\ : std_logic;
SIGNAL \WideAnd1950~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][6]~54191\ : std_logic;
SIGNAL \led_flash_cnt[1950][7]~54192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1950][7]~q\ : std_logic;
SIGNAL \WideAnd1950~combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][0]~82589_combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1949][1]~54166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1949][1]~54167\ : std_logic;
SIGNAL \led_flash_cnt[1949][2]~54168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1949][2]~54169\ : std_logic;
SIGNAL \led_flash_cnt[1949][3]~54170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1949][3]~54171\ : std_logic;
SIGNAL \led_flash_cnt[1949][4]~54172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1949][4]~54173\ : std_logic;
SIGNAL \led_flash_cnt[1949][5]~54174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1949][5]~54175\ : std_logic;
SIGNAL \led_flash_cnt[1949][6]~54176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1949][6]~54177\ : std_logic;
SIGNAL \led_flash_cnt[1949][7]~54178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1949][7]~q\ : std_logic;
SIGNAL \WideAnd1949~1_combout\ : std_logic;
SIGNAL \WideAnd1949~0_combout\ : std_logic;
SIGNAL \WideAnd1949~combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][0]~82588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1948][1]~54152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1948][1]~54153\ : std_logic;
SIGNAL \led_flash_cnt[1948][2]~54154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1948][2]~54155\ : std_logic;
SIGNAL \led_flash_cnt[1948][3]~54156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1948][3]~54157\ : std_logic;
SIGNAL \led_flash_cnt[1948][4]~54158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1948][4]~54159\ : std_logic;
SIGNAL \led_flash_cnt[1948][5]~54160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1948][5]~54161\ : std_logic;
SIGNAL \led_flash_cnt[1948][6]~54162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1948][6]~54163\ : std_logic;
SIGNAL \led_flash_cnt[1948][7]~54164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1948][7]~q\ : std_logic;
SIGNAL \WideAnd1948~0_combout\ : std_logic;
SIGNAL \WideAnd1948~1_combout\ : std_logic;
SIGNAL \WideAnd1948~combout\ : std_logic;
SIGNAL \WideAnd4083~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][0]~82591_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1951][1]~54194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1951][1]~54195\ : std_logic;
SIGNAL \led_flash_cnt[1951][2]~54196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1951][2]~54197\ : std_logic;
SIGNAL \led_flash_cnt[1951][3]~54198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1951][3]~54199\ : std_logic;
SIGNAL \led_flash_cnt[1951][4]~54200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1951][4]~54201\ : std_logic;
SIGNAL \led_flash_cnt[1951][5]~54202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1951][5]~54203\ : std_logic;
SIGNAL \led_flash_cnt[1951][6]~54204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1951][6]~54205\ : std_logic;
SIGNAL \led_flash_cnt[1951][7]~54206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1951][7]~q\ : std_logic;
SIGNAL \WideAnd1951~0_combout\ : std_logic;
SIGNAL \WideAnd1951~1_combout\ : std_logic;
SIGNAL \WideAnd1951~combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][0]~82586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1946][1]~54124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1946][1]~54125\ : std_logic;
SIGNAL \led_flash_cnt[1946][2]~54126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1946][2]~54127\ : std_logic;
SIGNAL \led_flash_cnt[1946][3]~54128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1946][3]~54129\ : std_logic;
SIGNAL \led_flash_cnt[1946][4]~54130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][4]~q\ : std_logic;
SIGNAL \WideAnd1946~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][4]~54131\ : std_logic;
SIGNAL \led_flash_cnt[1946][5]~54132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1946][5]~54133\ : std_logic;
SIGNAL \led_flash_cnt[1946][6]~54134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1946][6]~54135\ : std_logic;
SIGNAL \led_flash_cnt[1946][7]~54136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1946][7]~q\ : std_logic;
SIGNAL \WideAnd1946~1_combout\ : std_logic;
SIGNAL \WideAnd1946~combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][0]~82584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1944][1]~54096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1944][1]~54097\ : std_logic;
SIGNAL \led_flash_cnt[1944][2]~54098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1944][2]~54099\ : std_logic;
SIGNAL \led_flash_cnt[1944][3]~54100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1944][3]~54101\ : std_logic;
SIGNAL \led_flash_cnt[1944][4]~54102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][4]~q\ : std_logic;
SIGNAL \WideAnd1944~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][4]~54103\ : std_logic;
SIGNAL \led_flash_cnt[1944][5]~54104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1944][5]~54105\ : std_logic;
SIGNAL \led_flash_cnt[1944][6]~54106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1944][6]~54107\ : std_logic;
SIGNAL \led_flash_cnt[1944][7]~54108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1944][7]~q\ : std_logic;
SIGNAL \WideAnd1944~1_combout\ : std_logic;
SIGNAL \WideAnd1944~combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][0]~82585_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1945][1]~54110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1945][1]~54111\ : std_logic;
SIGNAL \led_flash_cnt[1945][2]~54112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1945][2]~54113\ : std_logic;
SIGNAL \led_flash_cnt[1945][3]~54114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1945][3]~54115\ : std_logic;
SIGNAL \led_flash_cnt[1945][4]~54116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][4]~q\ : std_logic;
SIGNAL \WideAnd1945~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][4]~54117\ : std_logic;
SIGNAL \led_flash_cnt[1945][5]~54118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1945][5]~54119\ : std_logic;
SIGNAL \led_flash_cnt[1945][6]~54120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1945][6]~54121\ : std_logic;
SIGNAL \led_flash_cnt[1945][7]~54122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1945][7]~q\ : std_logic;
SIGNAL \WideAnd1945~1_combout\ : std_logic;
SIGNAL \WideAnd1945~combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][0]~82587_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1947][1]~54138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1947][1]~54139\ : std_logic;
SIGNAL \led_flash_cnt[1947][2]~54140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1947][2]~54141\ : std_logic;
SIGNAL \led_flash_cnt[1947][3]~54142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1947][3]~54143\ : std_logic;
SIGNAL \led_flash_cnt[1947][4]~54144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1947][4]~54145\ : std_logic;
SIGNAL \led_flash_cnt[1947][5]~54146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1947][5]~54147\ : std_logic;
SIGNAL \led_flash_cnt[1947][6]~54148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][6]~q\ : std_logic;
SIGNAL \WideAnd1947~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][6]~54149\ : std_logic;
SIGNAL \led_flash_cnt[1947][7]~54150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1947][7]~q\ : std_logic;
SIGNAL \WideAnd1947~0_combout\ : std_logic;
SIGNAL \WideAnd1947~combout\ : std_logic;
SIGNAL \WideAnd4083~0_combout\ : std_logic;
SIGNAL \WideAnd4083~combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][0]~82567_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1927][1]~53858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1927][1]~53859\ : std_logic;
SIGNAL \led_flash_cnt[1927][2]~53860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1927][2]~53861\ : std_logic;
SIGNAL \led_flash_cnt[1927][3]~53862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1927][3]~53863\ : std_logic;
SIGNAL \led_flash_cnt[1927][4]~53864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1927][4]~53865\ : std_logic;
SIGNAL \led_flash_cnt[1927][5]~53866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1927][5]~53867\ : std_logic;
SIGNAL \led_flash_cnt[1927][6]~53868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][6]~q\ : std_logic;
SIGNAL \WideAnd1927~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][6]~53869\ : std_logic;
SIGNAL \led_flash_cnt[1927][7]~53870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1927][7]~q\ : std_logic;
SIGNAL \WideAnd1927~0_combout\ : std_logic;
SIGNAL \WideAnd1927~combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][0]~82566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1926][1]~53844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1926][1]~53845\ : std_logic;
SIGNAL \led_flash_cnt[1926][2]~53846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1926][2]~53847\ : std_logic;
SIGNAL \led_flash_cnt[1926][3]~53848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1926][3]~53849\ : std_logic;
SIGNAL \led_flash_cnt[1926][4]~53850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][4]~q\ : std_logic;
SIGNAL \WideAnd1926~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][4]~53851\ : std_logic;
SIGNAL \led_flash_cnt[1926][5]~53852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1926][5]~53853\ : std_logic;
SIGNAL \led_flash_cnt[1926][6]~53854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1926][6]~53855\ : std_logic;
SIGNAL \led_flash_cnt[1926][7]~53856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1926][7]~q\ : std_logic;
SIGNAL \WideAnd1926~1_combout\ : std_logic;
SIGNAL \WideAnd1926~combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][0]~82564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1924][1]~53816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1924][1]~53817\ : std_logic;
SIGNAL \led_flash_cnt[1924][2]~53818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1924][2]~53819\ : std_logic;
SIGNAL \led_flash_cnt[1924][3]~53820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1924][3]~53821\ : std_logic;
SIGNAL \led_flash_cnt[1924][4]~53822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1924][4]~53823\ : std_logic;
SIGNAL \led_flash_cnt[1924][5]~53824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1924][5]~53825\ : std_logic;
SIGNAL \led_flash_cnt[1924][6]~53826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1924][6]~53827\ : std_logic;
SIGNAL \led_flash_cnt[1924][7]~53828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1924][7]~q\ : std_logic;
SIGNAL \WideAnd1924~1_combout\ : std_logic;
SIGNAL \WideAnd1924~0_combout\ : std_logic;
SIGNAL \WideAnd1924~combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][0]~82565_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1925][1]~53830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1925][1]~53831\ : std_logic;
SIGNAL \led_flash_cnt[1925][2]~53832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1925][2]~53833\ : std_logic;
SIGNAL \led_flash_cnt[1925][3]~53834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1925][3]~53835\ : std_logic;
SIGNAL \led_flash_cnt[1925][4]~53836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1925][4]~53837\ : std_logic;
SIGNAL \led_flash_cnt[1925][5]~53838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1925][5]~53839\ : std_logic;
SIGNAL \led_flash_cnt[1925][6]~53840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][6]~q\ : std_logic;
SIGNAL \WideAnd1925~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][6]~53841\ : std_logic;
SIGNAL \led_flash_cnt[1925][7]~53842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1925][7]~q\ : std_logic;
SIGNAL \WideAnd1925~0_combout\ : std_logic;
SIGNAL \WideAnd1925~combout\ : std_logic;
SIGNAL \WideAnd4080~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][0]~82562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1922][1]~53788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1922][1]~53789\ : std_logic;
SIGNAL \led_flash_cnt[1922][2]~53790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1922][2]~53791\ : std_logic;
SIGNAL \led_flash_cnt[1922][3]~53792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1922][3]~53793\ : std_logic;
SIGNAL \led_flash_cnt[1922][4]~53794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1922][4]~53795\ : std_logic;
SIGNAL \led_flash_cnt[1922][5]~53796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1922][5]~53797\ : std_logic;
SIGNAL \led_flash_cnt[1922][6]~53798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1922][6]~53799\ : std_logic;
SIGNAL \led_flash_cnt[1922][7]~53800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1922][7]~q\ : std_logic;
SIGNAL \WideAnd1922~1_combout\ : std_logic;
SIGNAL \WideAnd1922~0_combout\ : std_logic;
SIGNAL \WideAnd1922~combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][0]~82560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1920][1]~53760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1920][1]~53761\ : std_logic;
SIGNAL \led_flash_cnt[1920][2]~53762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1920][2]~53763\ : std_logic;
SIGNAL \led_flash_cnt[1920][3]~53764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1920][3]~53765\ : std_logic;
SIGNAL \led_flash_cnt[1920][4]~53766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1920][4]~53767\ : std_logic;
SIGNAL \led_flash_cnt[1920][5]~53768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1920][5]~53769\ : std_logic;
SIGNAL \led_flash_cnt[1920][6]~53770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1920][6]~53771\ : std_logic;
SIGNAL \led_flash_cnt[1920][7]~53772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1920][7]~q\ : std_logic;
SIGNAL \WideAnd1920~0_combout\ : std_logic;
SIGNAL \WideAnd1920~1_combout\ : std_logic;
SIGNAL \WideAnd1920~combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][0]~82561_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1921][1]~53774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1921][1]~53775\ : std_logic;
SIGNAL \led_flash_cnt[1921][2]~53776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1921][2]~53777\ : std_logic;
SIGNAL \led_flash_cnt[1921][3]~53778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1921][3]~53779\ : std_logic;
SIGNAL \led_flash_cnt[1921][4]~53780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1921][4]~53781\ : std_logic;
SIGNAL \led_flash_cnt[1921][5]~53782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1921][5]~53783\ : std_logic;
SIGNAL \led_flash_cnt[1921][6]~53784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][6]~q\ : std_logic;
SIGNAL \WideAnd1921~1_combout\ : std_logic;
SIGNAL \WideAnd1921~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][6]~53785\ : std_logic;
SIGNAL \led_flash_cnt[1921][7]~53786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1921][7]~q\ : std_logic;
SIGNAL \WideAnd1921~combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][0]~82563_combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1923][1]~53802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1923][1]~53803\ : std_logic;
SIGNAL \led_flash_cnt[1923][2]~53804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1923][2]~53805\ : std_logic;
SIGNAL \led_flash_cnt[1923][3]~53806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1923][3]~53807\ : std_logic;
SIGNAL \led_flash_cnt[1923][4]~53808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1923][4]~53809\ : std_logic;
SIGNAL \led_flash_cnt[1923][5]~53810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1923][5]~53811\ : std_logic;
SIGNAL \led_flash_cnt[1923][6]~53812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1923][6]~53813\ : std_logic;
SIGNAL \led_flash_cnt[1923][7]~53814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1923][7]~q\ : std_logic;
SIGNAL \WideAnd1923~1_combout\ : std_logic;
SIGNAL \WideAnd1923~0_combout\ : std_logic;
SIGNAL \WideAnd1923~combout\ : std_logic;
SIGNAL \WideAnd4080~0_combout\ : std_logic;
SIGNAL \WideAnd4080~combout\ : std_logic;
SIGNAL \WideAnd4350~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][0]~82607_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1967][1]~54418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1967][1]~54419\ : std_logic;
SIGNAL \led_flash_cnt[1967][2]~54420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1967][2]~54421\ : std_logic;
SIGNAL \led_flash_cnt[1967][3]~54422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1967][3]~54423\ : std_logic;
SIGNAL \led_flash_cnt[1967][4]~54424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][4]~q\ : std_logic;
SIGNAL \WideAnd1967~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][4]~54425\ : std_logic;
SIGNAL \led_flash_cnt[1967][5]~54426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1967][5]~54427\ : std_logic;
SIGNAL \led_flash_cnt[1967][6]~54428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1967][6]~54429\ : std_logic;
SIGNAL \led_flash_cnt[1967][7]~54430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1967][7]~q\ : std_logic;
SIGNAL \WideAnd1967~1_combout\ : std_logic;
SIGNAL \WideAnd1967~combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][0]~82606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1966][1]~54404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1966][1]~54405\ : std_logic;
SIGNAL \led_flash_cnt[1966][2]~54406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1966][2]~54407\ : std_logic;
SIGNAL \led_flash_cnt[1966][3]~54408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1966][3]~54409\ : std_logic;
SIGNAL \led_flash_cnt[1966][4]~54410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1966][4]~54411\ : std_logic;
SIGNAL \led_flash_cnt[1966][5]~54412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1966][5]~54413\ : std_logic;
SIGNAL \led_flash_cnt[1966][6]~54414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][6]~q\ : std_logic;
SIGNAL \WideAnd1966~1_combout\ : std_logic;
SIGNAL \WideAnd1966~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][6]~54415\ : std_logic;
SIGNAL \led_flash_cnt[1966][7]~54416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1966][7]~q\ : std_logic;
SIGNAL \WideAnd1966~combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][0]~82605_combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1965][1]~54390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1965][1]~54391\ : std_logic;
SIGNAL \led_flash_cnt[1965][2]~54392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1965][2]~54393\ : std_logic;
SIGNAL \led_flash_cnt[1965][3]~54394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1965][3]~54395\ : std_logic;
SIGNAL \led_flash_cnt[1965][4]~54396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1965][4]~54397\ : std_logic;
SIGNAL \led_flash_cnt[1965][5]~54398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1965][5]~54399\ : std_logic;
SIGNAL \led_flash_cnt[1965][6]~54400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1965][6]~54401\ : std_logic;
SIGNAL \led_flash_cnt[1965][7]~54402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1965][7]~q\ : std_logic;
SIGNAL \WideAnd1965~0_combout\ : std_logic;
SIGNAL \WideAnd1965~1_combout\ : std_logic;
SIGNAL \WideAnd1965~combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][0]~82604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1964][1]~54376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1964][1]~54377\ : std_logic;
SIGNAL \led_flash_cnt[1964][2]~54378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1964][2]~54379\ : std_logic;
SIGNAL \led_flash_cnt[1964][3]~54380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1964][3]~54381\ : std_logic;
SIGNAL \led_flash_cnt[1964][4]~54382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1964][4]~54383\ : std_logic;
SIGNAL \led_flash_cnt[1964][5]~54384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1964][5]~54385\ : std_logic;
SIGNAL \led_flash_cnt[1964][6]~54386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][6]~q\ : std_logic;
SIGNAL \WideAnd1964~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][6]~54387\ : std_logic;
SIGNAL \led_flash_cnt[1964][7]~54388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1964][7]~q\ : std_logic;
SIGNAL \WideAnd1964~0_combout\ : std_logic;
SIGNAL \WideAnd1964~combout\ : std_logic;
SIGNAL \WideAnd4085~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][0]~82600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1960][1]~54320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1960][1]~54321\ : std_logic;
SIGNAL \led_flash_cnt[1960][2]~54322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1960][2]~54323\ : std_logic;
SIGNAL \led_flash_cnt[1960][3]~54324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1960][3]~54325\ : std_logic;
SIGNAL \led_flash_cnt[1960][4]~54326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1960][4]~54327\ : std_logic;
SIGNAL \led_flash_cnt[1960][5]~54328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1960][5]~54329\ : std_logic;
SIGNAL \led_flash_cnt[1960][6]~54330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][6]~q\ : std_logic;
SIGNAL \WideAnd1960~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][6]~54331\ : std_logic;
SIGNAL \led_flash_cnt[1960][7]~54332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1960][7]~q\ : std_logic;
SIGNAL \WideAnd1960~0_combout\ : std_logic;
SIGNAL \WideAnd1960~combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][0]~82601_combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1961][1]~54334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1961][1]~54335\ : std_logic;
SIGNAL \led_flash_cnt[1961][2]~54336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1961][2]~54337\ : std_logic;
SIGNAL \led_flash_cnt[1961][3]~54338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1961][3]~54339\ : std_logic;
SIGNAL \led_flash_cnt[1961][4]~54340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1961][4]~54341\ : std_logic;
SIGNAL \led_flash_cnt[1961][5]~54342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1961][5]~54343\ : std_logic;
SIGNAL \led_flash_cnt[1961][6]~54344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1961][6]~54345\ : std_logic;
SIGNAL \led_flash_cnt[1961][7]~54346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1961][7]~q\ : std_logic;
SIGNAL \WideAnd1961~1_combout\ : std_logic;
SIGNAL \WideAnd1961~0_combout\ : std_logic;
SIGNAL \WideAnd1961~combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][0]~82602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1962][1]~54348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1962][1]~54349\ : std_logic;
SIGNAL \led_flash_cnt[1962][2]~54350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1962][2]~54351\ : std_logic;
SIGNAL \led_flash_cnt[1962][3]~54352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1962][3]~54353\ : std_logic;
SIGNAL \led_flash_cnt[1962][4]~54354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1962][4]~54355\ : std_logic;
SIGNAL \led_flash_cnt[1962][5]~54356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1962][5]~54357\ : std_logic;
SIGNAL \led_flash_cnt[1962][6]~54358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][6]~q\ : std_logic;
SIGNAL \WideAnd1962~1_combout\ : std_logic;
SIGNAL \WideAnd1962~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][6]~54359\ : std_logic;
SIGNAL \led_flash_cnt[1962][7]~54360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1962][7]~q\ : std_logic;
SIGNAL \WideAnd1962~combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][0]~82603_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1963][1]~54362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1963][1]~54363\ : std_logic;
SIGNAL \led_flash_cnt[1963][2]~54364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1963][2]~54365\ : std_logic;
SIGNAL \led_flash_cnt[1963][3]~54366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1963][3]~54367\ : std_logic;
SIGNAL \led_flash_cnt[1963][4]~54368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1963][4]~54369\ : std_logic;
SIGNAL \led_flash_cnt[1963][5]~54370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1963][5]~54371\ : std_logic;
SIGNAL \led_flash_cnt[1963][6]~54372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][6]~q\ : std_logic;
SIGNAL \WideAnd1963~1_combout\ : std_logic;
SIGNAL \WideAnd1963~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][6]~54373\ : std_logic;
SIGNAL \led_flash_cnt[1963][7]~54374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1963][7]~q\ : std_logic;
SIGNAL \WideAnd1963~combout\ : std_logic;
SIGNAL \WideAnd4085~0_combout\ : std_logic;
SIGNAL \WideAnd4085~combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][0]~82597_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1957][1]~54278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1957][1]~54279\ : std_logic;
SIGNAL \led_flash_cnt[1957][2]~54280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1957][2]~54281\ : std_logic;
SIGNAL \led_flash_cnt[1957][3]~54282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1957][3]~54283\ : std_logic;
SIGNAL \led_flash_cnt[1957][4]~54284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][4]~q\ : std_logic;
SIGNAL \WideAnd1957~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][4]~54285\ : std_logic;
SIGNAL \led_flash_cnt[1957][5]~54286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1957][5]~54287\ : std_logic;
SIGNAL \led_flash_cnt[1957][6]~54288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][6]~q\ : std_logic;
SIGNAL \WideAnd1957~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][6]~54289\ : std_logic;
SIGNAL \led_flash_cnt[1957][7]~54290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1957][7]~q\ : std_logic;
SIGNAL \WideAnd1957~combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][0]~82596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1956][1]~54264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1956][1]~54265\ : std_logic;
SIGNAL \led_flash_cnt[1956][2]~54266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1956][2]~54267\ : std_logic;
SIGNAL \led_flash_cnt[1956][3]~54268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1956][3]~54269\ : std_logic;
SIGNAL \led_flash_cnt[1956][4]~54270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][4]~q\ : std_logic;
SIGNAL \WideAnd1956~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][4]~54271\ : std_logic;
SIGNAL \led_flash_cnt[1956][5]~54272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1956][5]~54273\ : std_logic;
SIGNAL \led_flash_cnt[1956][6]~54274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1956][6]~54275\ : std_logic;
SIGNAL \led_flash_cnt[1956][7]~54276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1956][7]~q\ : std_logic;
SIGNAL \WideAnd1956~1_combout\ : std_logic;
SIGNAL \WideAnd1956~combout\ : std_logic;
SIGNAL \WideAnd4084~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][0]~82599_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1959][1]~54306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1959][1]~54307\ : std_logic;
SIGNAL \led_flash_cnt[1959][2]~54308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1959][2]~54309\ : std_logic;
SIGNAL \led_flash_cnt[1959][3]~54310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1959][3]~54311\ : std_logic;
SIGNAL \led_flash_cnt[1959][4]~54312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1959][4]~54313\ : std_logic;
SIGNAL \led_flash_cnt[1959][5]~54314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1959][5]~54315\ : std_logic;
SIGNAL \led_flash_cnt[1959][6]~54316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1959][6]~54317\ : std_logic;
SIGNAL \led_flash_cnt[1959][7]~54318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1959][7]~q\ : std_logic;
SIGNAL \WideAnd1959~0_combout\ : std_logic;
SIGNAL \WideAnd1959~1_combout\ : std_logic;
SIGNAL \WideAnd1959~combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][0]~82595_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1955][1]~54250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1955][1]~54251\ : std_logic;
SIGNAL \led_flash_cnt[1955][2]~54252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1955][2]~54253\ : std_logic;
SIGNAL \led_flash_cnt[1955][3]~54254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1955][3]~54255\ : std_logic;
SIGNAL \led_flash_cnt[1955][4]~54256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1955][4]~54257\ : std_logic;
SIGNAL \led_flash_cnt[1955][5]~54258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1955][5]~54259\ : std_logic;
SIGNAL \led_flash_cnt[1955][6]~54260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][6]~q\ : std_logic;
SIGNAL \WideAnd1955~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][6]~54261\ : std_logic;
SIGNAL \led_flash_cnt[1955][7]~54262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1955][7]~q\ : std_logic;
SIGNAL \WideAnd1955~0_combout\ : std_logic;
SIGNAL \WideAnd1955~combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][0]~82592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1952][1]~54208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1952][1]~54209\ : std_logic;
SIGNAL \led_flash_cnt[1952][2]~54210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1952][2]~54211\ : std_logic;
SIGNAL \led_flash_cnt[1952][3]~54212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1952][3]~54213\ : std_logic;
SIGNAL \led_flash_cnt[1952][4]~54214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1952][4]~54215\ : std_logic;
SIGNAL \led_flash_cnt[1952][5]~54216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1952][5]~54217\ : std_logic;
SIGNAL \led_flash_cnt[1952][6]~54218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1952][6]~54219\ : std_logic;
SIGNAL \led_flash_cnt[1952][7]~54220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1952][7]~q\ : std_logic;
SIGNAL \WideAnd1952~0_combout\ : std_logic;
SIGNAL \WideAnd1952~1_combout\ : std_logic;
SIGNAL \WideAnd1952~combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][0]~82594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1954][1]~54236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1954][1]~54237\ : std_logic;
SIGNAL \led_flash_cnt[1954][2]~54238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1954][2]~54239\ : std_logic;
SIGNAL \led_flash_cnt[1954][3]~54240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1954][3]~54241\ : std_logic;
SIGNAL \led_flash_cnt[1954][4]~54242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1954][4]~54243\ : std_logic;
SIGNAL \led_flash_cnt[1954][5]~54244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1954][5]~54245\ : std_logic;
SIGNAL \led_flash_cnt[1954][6]~54246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1954][6]~54247\ : std_logic;
SIGNAL \led_flash_cnt[1954][7]~54248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1954][7]~q\ : std_logic;
SIGNAL \WideAnd1954~1_combout\ : std_logic;
SIGNAL \WideAnd1954~0_combout\ : std_logic;
SIGNAL \WideAnd1954~combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][0]~82593_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1953][1]~54222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1953][1]~54223\ : std_logic;
SIGNAL \led_flash_cnt[1953][2]~54224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1953][2]~54225\ : std_logic;
SIGNAL \led_flash_cnt[1953][3]~54226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1953][3]~54227\ : std_logic;
SIGNAL \led_flash_cnt[1953][4]~54228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][4]~q\ : std_logic;
SIGNAL \WideAnd1953~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][4]~54229\ : std_logic;
SIGNAL \led_flash_cnt[1953][5]~54230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1953][5]~54231\ : std_logic;
SIGNAL \led_flash_cnt[1953][6]~54232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1953][6]~54233\ : std_logic;
SIGNAL \led_flash_cnt[1953][7]~54234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1953][7]~q\ : std_logic;
SIGNAL \WideAnd1953~1_combout\ : std_logic;
SIGNAL \WideAnd1953~combout\ : std_logic;
SIGNAL \WideAnd4084~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][0]~82598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1958][1]~54292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1958][1]~54293\ : std_logic;
SIGNAL \led_flash_cnt[1958][2]~54294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1958][2]~54295\ : std_logic;
SIGNAL \led_flash_cnt[1958][3]~54296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1958][3]~54297\ : std_logic;
SIGNAL \led_flash_cnt[1958][4]~54298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1958][4]~54299\ : std_logic;
SIGNAL \led_flash_cnt[1958][5]~54300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1958][5]~54301\ : std_logic;
SIGNAL \led_flash_cnt[1958][6]~54302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1958][6]~54303\ : std_logic;
SIGNAL \led_flash_cnt[1958][7]~54304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1958][7]~q\ : std_logic;
SIGNAL \WideAnd1958~0_combout\ : std_logic;
SIGNAL \WideAnd1958~1_combout\ : std_logic;
SIGNAL \WideAnd1958~combout\ : std_logic;
SIGNAL \WideAnd4084~combout\ : std_logic;
SIGNAL \WideAnd4350~1_combout\ : std_logic;
SIGNAL \WideAnd4350~combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][0]~82497_combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1889][1]~52878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1889][1]~52879\ : std_logic;
SIGNAL \led_flash_cnt[1889][2]~52880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1889][2]~52881\ : std_logic;
SIGNAL \led_flash_cnt[1889][3]~52882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1889][3]~52883\ : std_logic;
SIGNAL \led_flash_cnt[1889][4]~52884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1889][4]~52885\ : std_logic;
SIGNAL \led_flash_cnt[1889][5]~52886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1889][5]~52887\ : std_logic;
SIGNAL \led_flash_cnt[1889][6]~52888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1889][6]~52889\ : std_logic;
SIGNAL \led_flash_cnt[1889][7]~52890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1889][7]~q\ : std_logic;
SIGNAL \WideAnd1889~1_combout\ : std_logic;
SIGNAL \WideAnd1889~0_combout\ : std_logic;
SIGNAL \WideAnd1889~combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][0]~82498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1890][1]~52892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1890][1]~52893\ : std_logic;
SIGNAL \led_flash_cnt[1890][2]~52894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1890][2]~52895\ : std_logic;
SIGNAL \led_flash_cnt[1890][3]~52896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1890][3]~52897\ : std_logic;
SIGNAL \led_flash_cnt[1890][4]~52898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1890][4]~52899\ : std_logic;
SIGNAL \led_flash_cnt[1890][5]~52900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1890][5]~52901\ : std_logic;
SIGNAL \led_flash_cnt[1890][6]~52902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1890][6]~52903\ : std_logic;
SIGNAL \led_flash_cnt[1890][7]~52904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1890][7]~q\ : std_logic;
SIGNAL \WideAnd1890~1_combout\ : std_logic;
SIGNAL \WideAnd1890~0_combout\ : std_logic;
SIGNAL \WideAnd1890~combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][0]~82496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1888][1]~52864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1888][1]~52865\ : std_logic;
SIGNAL \led_flash_cnt[1888][2]~52866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1888][2]~52867\ : std_logic;
SIGNAL \led_flash_cnt[1888][3]~52868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1888][3]~52869\ : std_logic;
SIGNAL \led_flash_cnt[1888][4]~52870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1888][4]~52871\ : std_logic;
SIGNAL \led_flash_cnt[1888][5]~52872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1888][5]~52873\ : std_logic;
SIGNAL \led_flash_cnt[1888][6]~52874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1888][6]~52875\ : std_logic;
SIGNAL \led_flash_cnt[1888][7]~52876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1888][7]~q\ : std_logic;
SIGNAL \WideAnd1888~1_combout\ : std_logic;
SIGNAL \WideAnd1888~0_combout\ : std_logic;
SIGNAL \WideAnd1888~combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][0]~82499_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1891][1]~52906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1891][1]~52907\ : std_logic;
SIGNAL \led_flash_cnt[1891][2]~52908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1891][2]~52909\ : std_logic;
SIGNAL \led_flash_cnt[1891][3]~52910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1891][3]~52911\ : std_logic;
SIGNAL \led_flash_cnt[1891][4]~52912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1891][4]~52913\ : std_logic;
SIGNAL \led_flash_cnt[1891][5]~52914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1891][5]~52915\ : std_logic;
SIGNAL \led_flash_cnt[1891][6]~52916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][6]~q\ : std_logic;
SIGNAL \WideAnd1891~1_combout\ : std_logic;
SIGNAL \WideAnd1891~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][6]~52917\ : std_logic;
SIGNAL \led_flash_cnt[1891][7]~52918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1891][7]~q\ : std_logic;
SIGNAL \WideAnd1891~combout\ : std_logic;
SIGNAL \WideAnd4076~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][0]~82502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1894][1]~52948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1894][1]~52949\ : std_logic;
SIGNAL \led_flash_cnt[1894][2]~52950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1894][2]~52951\ : std_logic;
SIGNAL \led_flash_cnt[1894][3]~52952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1894][3]~52953\ : std_logic;
SIGNAL \led_flash_cnt[1894][4]~52954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1894][4]~52955\ : std_logic;
SIGNAL \led_flash_cnt[1894][5]~52956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1894][5]~52957\ : std_logic;
SIGNAL \led_flash_cnt[1894][6]~52958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1894][6]~52959\ : std_logic;
SIGNAL \led_flash_cnt[1894][7]~52960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1894][7]~q\ : std_logic;
SIGNAL \WideAnd1894~1_combout\ : std_logic;
SIGNAL \WideAnd1894~0_combout\ : std_logic;
SIGNAL \WideAnd1894~combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][0]~82503_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1895][1]~52962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1895][1]~52963\ : std_logic;
SIGNAL \led_flash_cnt[1895][2]~52964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1895][2]~52965\ : std_logic;
SIGNAL \led_flash_cnt[1895][3]~52966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1895][3]~52967\ : std_logic;
SIGNAL \led_flash_cnt[1895][4]~52968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][4]~q\ : std_logic;
SIGNAL \WideAnd1895~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][4]~52969\ : std_logic;
SIGNAL \led_flash_cnt[1895][5]~52970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1895][5]~52971\ : std_logic;
SIGNAL \led_flash_cnt[1895][6]~52972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1895][6]~52973\ : std_logic;
SIGNAL \led_flash_cnt[1895][7]~52974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1895][7]~q\ : std_logic;
SIGNAL \WideAnd1895~1_combout\ : std_logic;
SIGNAL \WideAnd1895~combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][0]~82501_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1893][1]~52934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1893][1]~52935\ : std_logic;
SIGNAL \led_flash_cnt[1893][2]~52936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1893][2]~52937\ : std_logic;
SIGNAL \led_flash_cnt[1893][3]~52938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1893][3]~52939\ : std_logic;
SIGNAL \led_flash_cnt[1893][4]~52940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][4]~q\ : std_logic;
SIGNAL \WideAnd1893~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][4]~52941\ : std_logic;
SIGNAL \led_flash_cnt[1893][5]~52942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1893][5]~52943\ : std_logic;
SIGNAL \led_flash_cnt[1893][6]~52944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1893][6]~52945\ : std_logic;
SIGNAL \led_flash_cnt[1893][7]~52946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1893][7]~q\ : std_logic;
SIGNAL \WideAnd1893~1_combout\ : std_logic;
SIGNAL \WideAnd1893~combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][0]~82500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1892][1]~52920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1892][1]~52921\ : std_logic;
SIGNAL \led_flash_cnt[1892][2]~52922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1892][2]~52923\ : std_logic;
SIGNAL \led_flash_cnt[1892][3]~52924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1892][3]~52925\ : std_logic;
SIGNAL \led_flash_cnt[1892][4]~52926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][4]~q\ : std_logic;
SIGNAL \WideAnd1892~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][4]~52927\ : std_logic;
SIGNAL \led_flash_cnt[1892][5]~52928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1892][5]~52929\ : std_logic;
SIGNAL \led_flash_cnt[1892][6]~52930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1892][6]~52931\ : std_logic;
SIGNAL \led_flash_cnt[1892][7]~52932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1892][7]~q\ : std_logic;
SIGNAL \WideAnd1892~1_combout\ : std_logic;
SIGNAL \WideAnd1892~combout\ : std_logic;
SIGNAL \WideAnd4076~1_combout\ : std_logic;
SIGNAL \WideAnd4076~combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][0]~82550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1910][1]~53620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1910][1]~53621\ : std_logic;
SIGNAL \led_flash_cnt[1910][2]~53622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1910][2]~53623\ : std_logic;
SIGNAL \led_flash_cnt[1910][3]~53624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1910][3]~53625\ : std_logic;
SIGNAL \led_flash_cnt[1910][4]~53626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1910][4]~53627\ : std_logic;
SIGNAL \led_flash_cnt[1910][5]~53628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1910][5]~53629\ : std_logic;
SIGNAL \led_flash_cnt[1910][6]~53630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][6]~q\ : std_logic;
SIGNAL \WideAnd1910~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][6]~53631\ : std_logic;
SIGNAL \led_flash_cnt[1910][7]~53632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1910][7]~q\ : std_logic;
SIGNAL \WideAnd1910~0_combout\ : std_logic;
SIGNAL \WideAnd1910~combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][0]~82551_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1911][1]~53634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1911][1]~53635\ : std_logic;
SIGNAL \led_flash_cnt[1911][2]~53636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1911][2]~53637\ : std_logic;
SIGNAL \led_flash_cnt[1911][3]~53638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1911][3]~53639\ : std_logic;
SIGNAL \led_flash_cnt[1911][4]~53640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1911][4]~53641\ : std_logic;
SIGNAL \led_flash_cnt[1911][5]~53642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1911][5]~53643\ : std_logic;
SIGNAL \led_flash_cnt[1911][6]~53644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][6]~q\ : std_logic;
SIGNAL \WideAnd1911~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][6]~53645\ : std_logic;
SIGNAL \led_flash_cnt[1911][7]~53646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1911][7]~q\ : std_logic;
SIGNAL \WideAnd1911~0_combout\ : std_logic;
SIGNAL \WideAnd1911~combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][0]~82548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1908][1]~53592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1908][1]~53593\ : std_logic;
SIGNAL \led_flash_cnt[1908][2]~53594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1908][2]~53595\ : std_logic;
SIGNAL \led_flash_cnt[1908][3]~53596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1908][3]~53597\ : std_logic;
SIGNAL \led_flash_cnt[1908][4]~53598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1908][4]~53599\ : std_logic;
SIGNAL \led_flash_cnt[1908][5]~53600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1908][5]~53601\ : std_logic;
SIGNAL \led_flash_cnt[1908][6]~53602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1908][6]~53603\ : std_logic;
SIGNAL \led_flash_cnt[1908][7]~53604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1908][7]~q\ : std_logic;
SIGNAL \WideAnd1908~1_combout\ : std_logic;
SIGNAL \WideAnd1908~0_combout\ : std_logic;
SIGNAL \WideAnd1908~combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][0]~82549_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1909][1]~53606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1909][1]~53607\ : std_logic;
SIGNAL \led_flash_cnt[1909][2]~53608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1909][2]~53609\ : std_logic;
SIGNAL \led_flash_cnt[1909][3]~53610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1909][3]~53611\ : std_logic;
SIGNAL \led_flash_cnt[1909][4]~53612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1909][4]~53613\ : std_logic;
SIGNAL \led_flash_cnt[1909][5]~53614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1909][5]~53615\ : std_logic;
SIGNAL \led_flash_cnt[1909][6]~53616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][6]~q\ : std_logic;
SIGNAL \WideAnd1909~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][6]~53617\ : std_logic;
SIGNAL \led_flash_cnt[1909][7]~53618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1909][7]~q\ : std_logic;
SIGNAL \WideAnd1909~0_combout\ : std_logic;
SIGNAL \WideAnd1909~combout\ : std_logic;
SIGNAL \WideAnd4078~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][0]~82547_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1907][1]~53578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1907][1]~53579\ : std_logic;
SIGNAL \led_flash_cnt[1907][2]~53580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1907][2]~53581\ : std_logic;
SIGNAL \led_flash_cnt[1907][3]~53582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1907][3]~53583\ : std_logic;
SIGNAL \led_flash_cnt[1907][4]~53584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1907][4]~53585\ : std_logic;
SIGNAL \led_flash_cnt[1907][5]~53586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1907][5]~53587\ : std_logic;
SIGNAL \led_flash_cnt[1907][6]~53588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1907][6]~53589\ : std_logic;
SIGNAL \led_flash_cnt[1907][7]~53590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1907][7]~q\ : std_logic;
SIGNAL \WideAnd1907~1_combout\ : std_logic;
SIGNAL \WideAnd1907~0_combout\ : std_logic;
SIGNAL \WideAnd1907~combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][0]~82546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1906][1]~53564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1906][1]~53565\ : std_logic;
SIGNAL \led_flash_cnt[1906][2]~53566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1906][2]~53567\ : std_logic;
SIGNAL \led_flash_cnt[1906][3]~53568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1906][3]~53569\ : std_logic;
SIGNAL \led_flash_cnt[1906][4]~53570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1906][4]~53571\ : std_logic;
SIGNAL \led_flash_cnt[1906][5]~53572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1906][5]~53573\ : std_logic;
SIGNAL \led_flash_cnt[1906][6]~53574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][6]~q\ : std_logic;
SIGNAL \WideAnd1906~1_combout\ : std_logic;
SIGNAL \WideAnd1906~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][6]~53575\ : std_logic;
SIGNAL \led_flash_cnt[1906][7]~53576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1906][7]~q\ : std_logic;
SIGNAL \WideAnd1906~combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][0]~82544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1904][1]~53536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1904][1]~53537\ : std_logic;
SIGNAL \led_flash_cnt[1904][2]~53538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1904][2]~53539\ : std_logic;
SIGNAL \led_flash_cnt[1904][3]~53540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1904][3]~53541\ : std_logic;
SIGNAL \led_flash_cnt[1904][4]~53542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1904][4]~53543\ : std_logic;
SIGNAL \led_flash_cnt[1904][5]~53544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1904][5]~53545\ : std_logic;
SIGNAL \led_flash_cnt[1904][6]~53546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1904][6]~53547\ : std_logic;
SIGNAL \led_flash_cnt[1904][7]~53548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1904][7]~q\ : std_logic;
SIGNAL \WideAnd1904~1_combout\ : std_logic;
SIGNAL \WideAnd1904~0_combout\ : std_logic;
SIGNAL \WideAnd1904~combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][0]~82545_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1905][1]~53550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1905][1]~53551\ : std_logic;
SIGNAL \led_flash_cnt[1905][2]~53552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1905][2]~53553\ : std_logic;
SIGNAL \led_flash_cnt[1905][3]~53554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1905][3]~53555\ : std_logic;
SIGNAL \led_flash_cnt[1905][4]~53556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1905][4]~53557\ : std_logic;
SIGNAL \led_flash_cnt[1905][5]~53558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1905][5]~53559\ : std_logic;
SIGNAL \led_flash_cnt[1905][6]~53560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][6]~q\ : std_logic;
SIGNAL \WideAnd1905~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][6]~53561\ : std_logic;
SIGNAL \led_flash_cnt[1905][7]~53562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1905][7]~q\ : std_logic;
SIGNAL \WideAnd1905~0_combout\ : std_logic;
SIGNAL \WideAnd1905~combout\ : std_logic;
SIGNAL \WideAnd4078~0_combout\ : std_logic;
SIGNAL \WideAnd4078~combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][0]~82559_combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1919][1]~53746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1919][1]~53747\ : std_logic;
SIGNAL \led_flash_cnt[1919][2]~53748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1919][2]~53749\ : std_logic;
SIGNAL \led_flash_cnt[1919][3]~53750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1919][3]~53751\ : std_logic;
SIGNAL \led_flash_cnt[1919][4]~53752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1919][4]~53753\ : std_logic;
SIGNAL \led_flash_cnt[1919][5]~53754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1919][5]~53755\ : std_logic;
SIGNAL \led_flash_cnt[1919][6]~53756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1919][6]~53757\ : std_logic;
SIGNAL \led_flash_cnt[1919][7]~53758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1919][7]~q\ : std_logic;
SIGNAL \WideAnd1919~1_combout\ : std_logic;
SIGNAL \WideAnd1919~0_combout\ : std_logic;
SIGNAL \WideAnd1919~combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][0]~82556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1916][1]~53704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1916][1]~53705\ : std_logic;
SIGNAL \led_flash_cnt[1916][2]~53706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1916][2]~53707\ : std_logic;
SIGNAL \led_flash_cnt[1916][3]~53708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1916][3]~53709\ : std_logic;
SIGNAL \led_flash_cnt[1916][4]~53710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1916][4]~53711\ : std_logic;
SIGNAL \led_flash_cnt[1916][5]~53712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1916][5]~53713\ : std_logic;
SIGNAL \led_flash_cnt[1916][6]~53714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][6]~q\ : std_logic;
SIGNAL \WideAnd1916~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][6]~53715\ : std_logic;
SIGNAL \led_flash_cnt[1916][7]~53716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1916][7]~q\ : std_logic;
SIGNAL \WideAnd1916~0_combout\ : std_logic;
SIGNAL \WideAnd1916~combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][0]~82557_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1917][1]~53718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1917][1]~53719\ : std_logic;
SIGNAL \led_flash_cnt[1917][2]~53720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1917][2]~53721\ : std_logic;
SIGNAL \led_flash_cnt[1917][3]~53722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1917][3]~53723\ : std_logic;
SIGNAL \led_flash_cnt[1917][4]~53724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][4]~q\ : std_logic;
SIGNAL \WideAnd1917~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][4]~53725\ : std_logic;
SIGNAL \led_flash_cnt[1917][5]~53726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1917][5]~53727\ : std_logic;
SIGNAL \led_flash_cnt[1917][6]~53728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1917][6]~53729\ : std_logic;
SIGNAL \led_flash_cnt[1917][7]~53730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1917][7]~q\ : std_logic;
SIGNAL \WideAnd1917~1_combout\ : std_logic;
SIGNAL \WideAnd1917~combout\ : std_logic;
SIGNAL \WideAnd4079~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][0]~82552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1912][1]~53648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1912][1]~53649\ : std_logic;
SIGNAL \led_flash_cnt[1912][2]~53650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1912][2]~53651\ : std_logic;
SIGNAL \led_flash_cnt[1912][3]~53652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1912][3]~53653\ : std_logic;
SIGNAL \led_flash_cnt[1912][4]~53654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1912][4]~53655\ : std_logic;
SIGNAL \led_flash_cnt[1912][5]~53656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1912][5]~53657\ : std_logic;
SIGNAL \led_flash_cnt[1912][6]~53658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][6]~q\ : std_logic;
SIGNAL \WideAnd1912~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][6]~53659\ : std_logic;
SIGNAL \led_flash_cnt[1912][7]~53660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1912][7]~q\ : std_logic;
SIGNAL \WideAnd1912~0_combout\ : std_logic;
SIGNAL \WideAnd1912~combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][0]~82553_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1913][1]~53662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1913][1]~53663\ : std_logic;
SIGNAL \led_flash_cnt[1913][2]~53664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1913][2]~53665\ : std_logic;
SIGNAL \led_flash_cnt[1913][3]~53666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1913][3]~53667\ : std_logic;
SIGNAL \led_flash_cnt[1913][4]~53668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][4]~q\ : std_logic;
SIGNAL \WideAnd1913~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][4]~53669\ : std_logic;
SIGNAL \led_flash_cnt[1913][5]~53670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1913][5]~53671\ : std_logic;
SIGNAL \led_flash_cnt[1913][6]~53672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][6]~q\ : std_logic;
SIGNAL \WideAnd1913~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][6]~53673\ : std_logic;
SIGNAL \led_flash_cnt[1913][7]~53674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1913][7]~q\ : std_logic;
SIGNAL \WideAnd1913~combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][0]~82554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1914][1]~53676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1914][1]~53677\ : std_logic;
SIGNAL \led_flash_cnt[1914][2]~53678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1914][2]~53679\ : std_logic;
SIGNAL \led_flash_cnt[1914][3]~53680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1914][3]~53681\ : std_logic;
SIGNAL \led_flash_cnt[1914][4]~53682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1914][4]~53683\ : std_logic;
SIGNAL \led_flash_cnt[1914][5]~53684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1914][5]~53685\ : std_logic;
SIGNAL \led_flash_cnt[1914][6]~53686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][6]~q\ : std_logic;
SIGNAL \WideAnd1914~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][6]~53687\ : std_logic;
SIGNAL \led_flash_cnt[1914][7]~53688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1914][7]~q\ : std_logic;
SIGNAL \WideAnd1914~0_combout\ : std_logic;
SIGNAL \WideAnd1914~combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][0]~82555_combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1915][1]~53690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1915][1]~53691\ : std_logic;
SIGNAL \led_flash_cnt[1915][2]~53692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1915][2]~53693\ : std_logic;
SIGNAL \led_flash_cnt[1915][3]~53694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1915][3]~53695\ : std_logic;
SIGNAL \led_flash_cnt[1915][4]~53696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1915][4]~53697\ : std_logic;
SIGNAL \led_flash_cnt[1915][5]~53698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1915][5]~53699\ : std_logic;
SIGNAL \led_flash_cnt[1915][6]~53700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1915][6]~53701\ : std_logic;
SIGNAL \led_flash_cnt[1915][7]~53702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1915][7]~q\ : std_logic;
SIGNAL \WideAnd1915~0_combout\ : std_logic;
SIGNAL \WideAnd1915~1_combout\ : std_logic;
SIGNAL \WideAnd1915~combout\ : std_logic;
SIGNAL \WideAnd4079~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][0]~82558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1918][1]~53732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1918][1]~53733\ : std_logic;
SIGNAL \led_flash_cnt[1918][2]~53734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1918][2]~53735\ : std_logic;
SIGNAL \led_flash_cnt[1918][3]~53736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1918][3]~53737\ : std_logic;
SIGNAL \led_flash_cnt[1918][4]~53738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][4]~q\ : std_logic;
SIGNAL \WideAnd1918~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][4]~53739\ : std_logic;
SIGNAL \led_flash_cnt[1918][5]~53740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1918][5]~53741\ : std_logic;
SIGNAL \led_flash_cnt[1918][6]~53742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][6]~q\ : std_logic;
SIGNAL \WideAnd1918~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][6]~53743\ : std_logic;
SIGNAL \led_flash_cnt[1918][7]~53744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1918][7]~q\ : std_logic;
SIGNAL \WideAnd1918~combout\ : std_logic;
SIGNAL \WideAnd4079~combout\ : std_logic;
SIGNAL \WideAnd4349~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][0]~82535_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1879][1]~53410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1879][1]~53411\ : std_logic;
SIGNAL \led_flash_cnt[1879][2]~53412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1879][2]~53413\ : std_logic;
SIGNAL \led_flash_cnt[1879][3]~53414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1879][3]~53415\ : std_logic;
SIGNAL \led_flash_cnt[1879][4]~53416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][4]~q\ : std_logic;
SIGNAL \WideAnd1879~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][4]~53417\ : std_logic;
SIGNAL \led_flash_cnt[1879][5]~53418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1879][5]~53419\ : std_logic;
SIGNAL \led_flash_cnt[1879][6]~53420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1879][6]~53421\ : std_logic;
SIGNAL \led_flash_cnt[1879][7]~53422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1879][7]~q\ : std_logic;
SIGNAL \WideAnd1879~1_combout\ : std_logic;
SIGNAL \WideAnd1879~combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][0]~82534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1878][1]~53396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1878][1]~53397\ : std_logic;
SIGNAL \led_flash_cnt[1878][2]~53398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1878][2]~53399\ : std_logic;
SIGNAL \led_flash_cnt[1878][3]~53400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1878][3]~53401\ : std_logic;
SIGNAL \led_flash_cnt[1878][4]~53402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1878][4]~53403\ : std_logic;
SIGNAL \led_flash_cnt[1878][5]~53404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1878][5]~53405\ : std_logic;
SIGNAL \led_flash_cnt[1878][6]~53406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][6]~q\ : std_logic;
SIGNAL \WideAnd1878~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][6]~53407\ : std_logic;
SIGNAL \led_flash_cnt[1878][7]~53408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1878][7]~q\ : std_logic;
SIGNAL \WideAnd1878~0_combout\ : std_logic;
SIGNAL \WideAnd1878~combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][0]~82528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1872][1]~53312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1872][1]~53313\ : std_logic;
SIGNAL \led_flash_cnt[1872][2]~53314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1872][2]~53315\ : std_logic;
SIGNAL \led_flash_cnt[1872][3]~53316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1872][3]~53317\ : std_logic;
SIGNAL \led_flash_cnt[1872][4]~53318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][4]~q\ : std_logic;
SIGNAL \WideAnd1872~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][4]~53319\ : std_logic;
SIGNAL \led_flash_cnt[1872][5]~53320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1872][5]~53321\ : std_logic;
SIGNAL \led_flash_cnt[1872][6]~53322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][6]~q\ : std_logic;
SIGNAL \WideAnd1872~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][6]~53323\ : std_logic;
SIGNAL \led_flash_cnt[1872][7]~53324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1872][7]~q\ : std_logic;
SIGNAL \WideAnd1872~combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][0]~82529_combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1873][1]~53326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1873][1]~53327\ : std_logic;
SIGNAL \led_flash_cnt[1873][2]~53328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1873][2]~53329\ : std_logic;
SIGNAL \led_flash_cnt[1873][3]~53330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1873][3]~53331\ : std_logic;
SIGNAL \led_flash_cnt[1873][4]~53332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1873][4]~53333\ : std_logic;
SIGNAL \led_flash_cnt[1873][5]~53334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1873][5]~53335\ : std_logic;
SIGNAL \led_flash_cnt[1873][6]~53336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1873][6]~53337\ : std_logic;
SIGNAL \led_flash_cnt[1873][7]~53338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1873][7]~q\ : std_logic;
SIGNAL \WideAnd1873~0_combout\ : std_logic;
SIGNAL \WideAnd1873~1_combout\ : std_logic;
SIGNAL \WideAnd1873~combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][0]~82531_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1875][1]~53354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1875][1]~53355\ : std_logic;
SIGNAL \led_flash_cnt[1875][2]~53356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1875][2]~53357\ : std_logic;
SIGNAL \led_flash_cnt[1875][3]~53358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1875][3]~53359\ : std_logic;
SIGNAL \led_flash_cnt[1875][4]~53360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1875][4]~53361\ : std_logic;
SIGNAL \led_flash_cnt[1875][5]~53362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1875][5]~53363\ : std_logic;
SIGNAL \led_flash_cnt[1875][6]~53364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][6]~q\ : std_logic;
SIGNAL \WideAnd1875~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][6]~53365\ : std_logic;
SIGNAL \led_flash_cnt[1875][7]~53366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1875][7]~q\ : std_logic;
SIGNAL \WideAnd1875~1_combout\ : std_logic;
SIGNAL \WideAnd1875~combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][0]~82530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1874][1]~53340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1874][1]~53341\ : std_logic;
SIGNAL \led_flash_cnt[1874][2]~53342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1874][2]~53343\ : std_logic;
SIGNAL \led_flash_cnt[1874][3]~53344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1874][3]~53345\ : std_logic;
SIGNAL \led_flash_cnt[1874][4]~53346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1874][4]~53347\ : std_logic;
SIGNAL \led_flash_cnt[1874][5]~53348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1874][5]~53349\ : std_logic;
SIGNAL \led_flash_cnt[1874][6]~53350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][6]~q\ : std_logic;
SIGNAL \WideAnd1874~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][6]~53351\ : std_logic;
SIGNAL \led_flash_cnt[1874][7]~53352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1874][7]~q\ : std_logic;
SIGNAL \WideAnd1874~0_combout\ : std_logic;
SIGNAL \WideAnd1874~combout\ : std_logic;
SIGNAL \WideAnd4074~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][0]~82533_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1877][1]~53382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1877][1]~53383\ : std_logic;
SIGNAL \led_flash_cnt[1877][2]~53384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1877][2]~53385\ : std_logic;
SIGNAL \led_flash_cnt[1877][3]~53386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1877][3]~53387\ : std_logic;
SIGNAL \led_flash_cnt[1877][4]~53388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1877][4]~53389\ : std_logic;
SIGNAL \led_flash_cnt[1877][5]~53390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1877][5]~53391\ : std_logic;
SIGNAL \led_flash_cnt[1877][6]~53392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1877][6]~53393\ : std_logic;
SIGNAL \led_flash_cnt[1877][7]~53394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1877][7]~q\ : std_logic;
SIGNAL \WideAnd1877~0_combout\ : std_logic;
SIGNAL \WideAnd1877~1_combout\ : std_logic;
SIGNAL \WideAnd1877~combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][0]~82532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1876][1]~53368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1876][1]~53369\ : std_logic;
SIGNAL \led_flash_cnt[1876][2]~53370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1876][2]~53371\ : std_logic;
SIGNAL \led_flash_cnt[1876][3]~53372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1876][3]~53373\ : std_logic;
SIGNAL \led_flash_cnt[1876][4]~53374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1876][4]~53375\ : std_logic;
SIGNAL \led_flash_cnt[1876][5]~53376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1876][5]~53377\ : std_logic;
SIGNAL \led_flash_cnt[1876][6]~53378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1876][6]~53379\ : std_logic;
SIGNAL \led_flash_cnt[1876][7]~53380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1876][7]~q\ : std_logic;
SIGNAL \WideAnd1876~1_combout\ : std_logic;
SIGNAL \WideAnd1876~0_combout\ : std_logic;
SIGNAL \WideAnd1876~combout\ : std_logic;
SIGNAL \WideAnd4074~1_combout\ : std_logic;
SIGNAL \WideAnd4074~combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][0]~82517_combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1861][1]~53158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1861][1]~53159\ : std_logic;
SIGNAL \led_flash_cnt[1861][2]~53160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1861][2]~53161\ : std_logic;
SIGNAL \led_flash_cnt[1861][3]~53162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1861][3]~53163\ : std_logic;
SIGNAL \led_flash_cnt[1861][4]~53164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1861][4]~53165\ : std_logic;
SIGNAL \led_flash_cnt[1861][5]~53166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1861][5]~53167\ : std_logic;
SIGNAL \led_flash_cnt[1861][6]~53168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1861][6]~53169\ : std_logic;
SIGNAL \led_flash_cnt[1861][7]~53170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1861][7]~q\ : std_logic;
SIGNAL \WideAnd1861~1_combout\ : std_logic;
SIGNAL \WideAnd1861~0_combout\ : std_logic;
SIGNAL \WideAnd1861~combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][0]~82516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1860][1]~53144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1860][1]~53145\ : std_logic;
SIGNAL \led_flash_cnt[1860][2]~53146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1860][2]~53147\ : std_logic;
SIGNAL \led_flash_cnt[1860][3]~53148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1860][3]~53149\ : std_logic;
SIGNAL \led_flash_cnt[1860][4]~53150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1860][4]~53151\ : std_logic;
SIGNAL \led_flash_cnt[1860][5]~53152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1860][5]~53153\ : std_logic;
SIGNAL \led_flash_cnt[1860][6]~53154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1860][6]~53155\ : std_logic;
SIGNAL \led_flash_cnt[1860][7]~53156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1860][7]~q\ : std_logic;
SIGNAL \WideAnd1860~0_combout\ : std_logic;
SIGNAL \WideAnd1860~1_combout\ : std_logic;
SIGNAL \WideAnd1860~combout\ : std_logic;
SIGNAL \WideAnd4072~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][0]~82514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1858][1]~53116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1858][1]~53117\ : std_logic;
SIGNAL \led_flash_cnt[1858][2]~53118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1858][2]~53119\ : std_logic;
SIGNAL \led_flash_cnt[1858][3]~53120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1858][3]~53121\ : std_logic;
SIGNAL \led_flash_cnt[1858][4]~53122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1858][4]~53123\ : std_logic;
SIGNAL \led_flash_cnt[1858][5]~53124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1858][5]~53125\ : std_logic;
SIGNAL \led_flash_cnt[1858][6]~53126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][6]~q\ : std_logic;
SIGNAL \WideAnd1858~1_combout\ : std_logic;
SIGNAL \WideAnd1858~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][6]~53127\ : std_logic;
SIGNAL \led_flash_cnt[1858][7]~53128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1858][7]~q\ : std_logic;
SIGNAL \WideAnd1858~combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][0]~82513_combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1857][1]~53102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1857][1]~53103\ : std_logic;
SIGNAL \led_flash_cnt[1857][2]~53104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1857][2]~53105\ : std_logic;
SIGNAL \led_flash_cnt[1857][3]~53106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1857][3]~53107\ : std_logic;
SIGNAL \led_flash_cnt[1857][4]~53108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1857][4]~53109\ : std_logic;
SIGNAL \led_flash_cnt[1857][5]~53110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1857][5]~53111\ : std_logic;
SIGNAL \led_flash_cnt[1857][6]~53112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1857][6]~53113\ : std_logic;
SIGNAL \led_flash_cnt[1857][7]~53114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1857][7]~q\ : std_logic;
SIGNAL \WideAnd1857~0_combout\ : std_logic;
SIGNAL \WideAnd1857~1_combout\ : std_logic;
SIGNAL \WideAnd1857~combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][0]~82515_combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1859][1]~53130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1859][1]~53131\ : std_logic;
SIGNAL \led_flash_cnt[1859][2]~53132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1859][2]~53133\ : std_logic;
SIGNAL \led_flash_cnt[1859][3]~53134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1859][3]~53135\ : std_logic;
SIGNAL \led_flash_cnt[1859][4]~53136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1859][4]~53137\ : std_logic;
SIGNAL \led_flash_cnt[1859][5]~53138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1859][5]~53139\ : std_logic;
SIGNAL \led_flash_cnt[1859][6]~53140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1859][6]~53141\ : std_logic;
SIGNAL \led_flash_cnt[1859][7]~53142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1859][7]~q\ : std_logic;
SIGNAL \WideAnd1859~1_combout\ : std_logic;
SIGNAL \WideAnd1859~0_combout\ : std_logic;
SIGNAL \WideAnd1859~combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][0]~82512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1856][1]~53088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1856][1]~53089\ : std_logic;
SIGNAL \led_flash_cnt[1856][2]~53090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1856][2]~53091\ : std_logic;
SIGNAL \led_flash_cnt[1856][3]~53092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1856][3]~53093\ : std_logic;
SIGNAL \led_flash_cnt[1856][4]~53094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][4]~q\ : std_logic;
SIGNAL \WideAnd1856~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][4]~53095\ : std_logic;
SIGNAL \led_flash_cnt[1856][5]~53096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1856][5]~53097\ : std_logic;
SIGNAL \led_flash_cnt[1856][6]~53098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][6]~q\ : std_logic;
SIGNAL \WideAnd1856~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][6]~53099\ : std_logic;
SIGNAL \led_flash_cnt[1856][7]~53100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1856][7]~q\ : std_logic;
SIGNAL \WideAnd1856~combout\ : std_logic;
SIGNAL \WideAnd4072~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][0]~82519_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1863][1]~53186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1863][1]~53187\ : std_logic;
SIGNAL \led_flash_cnt[1863][2]~53188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1863][2]~53189\ : std_logic;
SIGNAL \led_flash_cnt[1863][3]~53190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1863][3]~53191\ : std_logic;
SIGNAL \led_flash_cnt[1863][4]~53192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1863][4]~53193\ : std_logic;
SIGNAL \led_flash_cnt[1863][5]~53194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1863][5]~53195\ : std_logic;
SIGNAL \led_flash_cnt[1863][6]~53196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][6]~q\ : std_logic;
SIGNAL \WideAnd1863~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][6]~53197\ : std_logic;
SIGNAL \led_flash_cnt[1863][7]~53198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1863][7]~q\ : std_logic;
SIGNAL \WideAnd1863~0_combout\ : std_logic;
SIGNAL \WideAnd1863~combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][0]~82518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1862][1]~53172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1862][1]~53173\ : std_logic;
SIGNAL \led_flash_cnt[1862][2]~53174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1862][2]~53175\ : std_logic;
SIGNAL \led_flash_cnt[1862][3]~53176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1862][3]~53177\ : std_logic;
SIGNAL \led_flash_cnt[1862][4]~53178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1862][4]~53179\ : std_logic;
SIGNAL \led_flash_cnt[1862][5]~53180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1862][5]~53181\ : std_logic;
SIGNAL \led_flash_cnt[1862][6]~53182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][6]~q\ : std_logic;
SIGNAL \WideAnd1862~1_combout\ : std_logic;
SIGNAL \WideAnd1862~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][6]~53183\ : std_logic;
SIGNAL \led_flash_cnt[1862][7]~53184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1862][7]~q\ : std_logic;
SIGNAL \WideAnd1862~combout\ : std_logic;
SIGNAL \WideAnd4072~combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][0]~82537_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1881][1]~53438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1881][1]~53439\ : std_logic;
SIGNAL \led_flash_cnt[1881][2]~53440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1881][2]~53441\ : std_logic;
SIGNAL \led_flash_cnt[1881][3]~53442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1881][3]~53443\ : std_logic;
SIGNAL \led_flash_cnt[1881][4]~53444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1881][4]~53445\ : std_logic;
SIGNAL \led_flash_cnt[1881][5]~53446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1881][5]~53447\ : std_logic;
SIGNAL \led_flash_cnt[1881][6]~53448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][6]~q\ : std_logic;
SIGNAL \WideAnd1881~1_combout\ : std_logic;
SIGNAL \WideAnd1881~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][6]~53449\ : std_logic;
SIGNAL \led_flash_cnt[1881][7]~53450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1881][7]~q\ : std_logic;
SIGNAL \WideAnd1881~combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][0]~82539_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1883][1]~53466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1883][1]~53467\ : std_logic;
SIGNAL \led_flash_cnt[1883][2]~53468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1883][2]~53469\ : std_logic;
SIGNAL \led_flash_cnt[1883][3]~53470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1883][3]~53471\ : std_logic;
SIGNAL \led_flash_cnt[1883][4]~53472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1883][4]~53473\ : std_logic;
SIGNAL \led_flash_cnt[1883][5]~53474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1883][5]~53475\ : std_logic;
SIGNAL \led_flash_cnt[1883][6]~53476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][6]~q\ : std_logic;
SIGNAL \WideAnd1883~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][6]~53477\ : std_logic;
SIGNAL \led_flash_cnt[1883][7]~53478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1883][7]~q\ : std_logic;
SIGNAL \WideAnd1883~0_combout\ : std_logic;
SIGNAL \WideAnd1883~combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][0]~82538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1882][1]~53452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1882][1]~53453\ : std_logic;
SIGNAL \led_flash_cnt[1882][2]~53454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1882][2]~53455\ : std_logic;
SIGNAL \led_flash_cnt[1882][3]~53456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1882][3]~53457\ : std_logic;
SIGNAL \led_flash_cnt[1882][4]~53458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][4]~q\ : std_logic;
SIGNAL \WideAnd1882~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][4]~53459\ : std_logic;
SIGNAL \led_flash_cnt[1882][5]~53460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1882][5]~53461\ : std_logic;
SIGNAL \led_flash_cnt[1882][6]~53462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1882][6]~53463\ : std_logic;
SIGNAL \led_flash_cnt[1882][7]~53464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1882][7]~q\ : std_logic;
SIGNAL \WideAnd1882~1_combout\ : std_logic;
SIGNAL \WideAnd1882~combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][0]~82536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1880][1]~53424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1880][1]~53425\ : std_logic;
SIGNAL \led_flash_cnt[1880][2]~53426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1880][2]~53427\ : std_logic;
SIGNAL \led_flash_cnt[1880][3]~53428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1880][3]~53429\ : std_logic;
SIGNAL \led_flash_cnt[1880][4]~53430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1880][4]~53431\ : std_logic;
SIGNAL \led_flash_cnt[1880][5]~53432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1880][5]~53433\ : std_logic;
SIGNAL \led_flash_cnt[1880][6]~53434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][6]~q\ : std_logic;
SIGNAL \WideAnd1880~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][6]~53435\ : std_logic;
SIGNAL \led_flash_cnt[1880][7]~53436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1880][7]~q\ : std_logic;
SIGNAL \WideAnd1880~0_combout\ : std_logic;
SIGNAL \WideAnd1880~combout\ : std_logic;
SIGNAL \WideAnd4075~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][0]~82543_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1887][1]~53522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1887][1]~53523\ : std_logic;
SIGNAL \led_flash_cnt[1887][2]~53524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1887][2]~53525\ : std_logic;
SIGNAL \led_flash_cnt[1887][3]~53526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1887][3]~53527\ : std_logic;
SIGNAL \led_flash_cnt[1887][4]~53528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][4]~q\ : std_logic;
SIGNAL \WideAnd1887~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][4]~53529\ : std_logic;
SIGNAL \led_flash_cnt[1887][5]~53530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1887][5]~53531\ : std_logic;
SIGNAL \led_flash_cnt[1887][6]~53532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1887][6]~53533\ : std_logic;
SIGNAL \led_flash_cnt[1887][7]~53534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1887][7]~q\ : std_logic;
SIGNAL \WideAnd1887~1_combout\ : std_logic;
SIGNAL \WideAnd1887~combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][0]~82542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1886][1]~53508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1886][1]~53509\ : std_logic;
SIGNAL \led_flash_cnt[1886][2]~53510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1886][2]~53511\ : std_logic;
SIGNAL \led_flash_cnt[1886][3]~53512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1886][3]~53513\ : std_logic;
SIGNAL \led_flash_cnt[1886][4]~53514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1886][4]~53515\ : std_logic;
SIGNAL \led_flash_cnt[1886][5]~53516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1886][5]~53517\ : std_logic;
SIGNAL \led_flash_cnt[1886][6]~53518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1886][6]~53519\ : std_logic;
SIGNAL \led_flash_cnt[1886][7]~53520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1886][7]~q\ : std_logic;
SIGNAL \WideAnd1886~1_combout\ : std_logic;
SIGNAL \WideAnd1886~0_combout\ : std_logic;
SIGNAL \WideAnd1886~combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][0]~82541_combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1885][1]~53494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1885][1]~53495\ : std_logic;
SIGNAL \led_flash_cnt[1885][2]~53496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1885][2]~53497\ : std_logic;
SIGNAL \led_flash_cnt[1885][3]~53498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1885][3]~53499\ : std_logic;
SIGNAL \led_flash_cnt[1885][4]~53500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1885][4]~53501\ : std_logic;
SIGNAL \led_flash_cnt[1885][5]~53502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1885][5]~53503\ : std_logic;
SIGNAL \led_flash_cnt[1885][6]~53504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1885][6]~53505\ : std_logic;
SIGNAL \led_flash_cnt[1885][7]~53506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1885][7]~q\ : std_logic;
SIGNAL \WideAnd1885~1_combout\ : std_logic;
SIGNAL \WideAnd1885~0_combout\ : std_logic;
SIGNAL \WideAnd1885~combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][0]~82540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1884][1]~53480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1884][1]~53481\ : std_logic;
SIGNAL \led_flash_cnt[1884][2]~53482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1884][2]~53483\ : std_logic;
SIGNAL \led_flash_cnt[1884][3]~53484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1884][3]~53485\ : std_logic;
SIGNAL \led_flash_cnt[1884][4]~53486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][4]~q\ : std_logic;
SIGNAL \WideAnd1884~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][4]~53487\ : std_logic;
SIGNAL \led_flash_cnt[1884][5]~53488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1884][5]~53489\ : std_logic;
SIGNAL \led_flash_cnt[1884][6]~53490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1884][6]~53491\ : std_logic;
SIGNAL \led_flash_cnt[1884][7]~53492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1884][7]~q\ : std_logic;
SIGNAL \WideAnd1884~1_combout\ : std_logic;
SIGNAL \WideAnd1884~combout\ : std_logic;
SIGNAL \WideAnd4075~1_combout\ : std_logic;
SIGNAL \WideAnd4075~combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][0]~82527_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1871][1]~53298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1871][1]~53299\ : std_logic;
SIGNAL \led_flash_cnt[1871][2]~53300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1871][2]~53301\ : std_logic;
SIGNAL \led_flash_cnt[1871][3]~53302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1871][3]~53303\ : std_logic;
SIGNAL \led_flash_cnt[1871][4]~53304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1871][4]~53305\ : std_logic;
SIGNAL \led_flash_cnt[1871][5]~53306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1871][5]~53307\ : std_logic;
SIGNAL \led_flash_cnt[1871][6]~53308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][6]~q\ : std_logic;
SIGNAL \WideAnd1871~1_combout\ : std_logic;
SIGNAL \WideAnd1871~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][6]~53309\ : std_logic;
SIGNAL \led_flash_cnt[1871][7]~53310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1871][7]~q\ : std_logic;
SIGNAL \WideAnd1871~combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][0]~82520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1864][1]~53200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1864][1]~53201\ : std_logic;
SIGNAL \led_flash_cnt[1864][2]~53202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1864][2]~53203\ : std_logic;
SIGNAL \led_flash_cnt[1864][3]~53204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1864][3]~53205\ : std_logic;
SIGNAL \led_flash_cnt[1864][4]~53206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1864][4]~53207\ : std_logic;
SIGNAL \led_flash_cnt[1864][5]~53208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1864][5]~53209\ : std_logic;
SIGNAL \led_flash_cnt[1864][6]~53210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1864][6]~53211\ : std_logic;
SIGNAL \led_flash_cnt[1864][7]~53212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1864][7]~q\ : std_logic;
SIGNAL \WideAnd1864~1_combout\ : std_logic;
SIGNAL \WideAnd1864~0_combout\ : std_logic;
SIGNAL \WideAnd1864~combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][0]~82523_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1867][1]~53242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1867][1]~53243\ : std_logic;
SIGNAL \led_flash_cnt[1867][2]~53244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1867][2]~53245\ : std_logic;
SIGNAL \led_flash_cnt[1867][3]~53246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1867][3]~53247\ : std_logic;
SIGNAL \led_flash_cnt[1867][4]~53248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1867][4]~53249\ : std_logic;
SIGNAL \led_flash_cnt[1867][5]~53250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1867][5]~53251\ : std_logic;
SIGNAL \led_flash_cnt[1867][6]~53252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][6]~q\ : std_logic;
SIGNAL \WideAnd1867~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][6]~53253\ : std_logic;
SIGNAL \led_flash_cnt[1867][7]~53254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1867][7]~q\ : std_logic;
SIGNAL \WideAnd1867~0_combout\ : std_logic;
SIGNAL \WideAnd1867~combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][0]~82522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1866][1]~53228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1866][1]~53229\ : std_logic;
SIGNAL \led_flash_cnt[1866][2]~53230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1866][2]~53231\ : std_logic;
SIGNAL \led_flash_cnt[1866][3]~53232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1866][3]~53233\ : std_logic;
SIGNAL \led_flash_cnt[1866][4]~53234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][4]~q\ : std_logic;
SIGNAL \WideAnd1866~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][4]~53235\ : std_logic;
SIGNAL \led_flash_cnt[1866][5]~53236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1866][5]~53237\ : std_logic;
SIGNAL \led_flash_cnt[1866][6]~53238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][6]~q\ : std_logic;
SIGNAL \WideAnd1866~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][6]~53239\ : std_logic;
SIGNAL \led_flash_cnt[1866][7]~53240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1866][7]~q\ : std_logic;
SIGNAL \WideAnd1866~combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][0]~82521_combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1865][1]~53214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1865][1]~53215\ : std_logic;
SIGNAL \led_flash_cnt[1865][2]~53216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1865][2]~53217\ : std_logic;
SIGNAL \led_flash_cnt[1865][3]~53218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1865][3]~53219\ : std_logic;
SIGNAL \led_flash_cnt[1865][4]~53220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1865][4]~53221\ : std_logic;
SIGNAL \led_flash_cnt[1865][5]~53222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1865][5]~53223\ : std_logic;
SIGNAL \led_flash_cnt[1865][6]~53224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1865][6]~53225\ : std_logic;
SIGNAL \led_flash_cnt[1865][7]~53226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1865][7]~q\ : std_logic;
SIGNAL \WideAnd1865~1_combout\ : std_logic;
SIGNAL \WideAnd1865~0_combout\ : std_logic;
SIGNAL \WideAnd1865~combout\ : std_logic;
SIGNAL \WideAnd4073~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][0]~82524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1868][1]~53256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1868][1]~53257\ : std_logic;
SIGNAL \led_flash_cnt[1868][2]~53258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1868][2]~53259\ : std_logic;
SIGNAL \led_flash_cnt[1868][3]~53260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1868][3]~53261\ : std_logic;
SIGNAL \led_flash_cnt[1868][4]~53262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][4]~q\ : std_logic;
SIGNAL \WideAnd1868~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][4]~53263\ : std_logic;
SIGNAL \led_flash_cnt[1868][5]~53264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1868][5]~53265\ : std_logic;
SIGNAL \led_flash_cnt[1868][6]~53266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][6]~q\ : std_logic;
SIGNAL \WideAnd1868~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][6]~53267\ : std_logic;
SIGNAL \led_flash_cnt[1868][7]~53268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1868][7]~q\ : std_logic;
SIGNAL \WideAnd1868~combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][0]~82525_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1869][1]~53270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1869][1]~53271\ : std_logic;
SIGNAL \led_flash_cnt[1869][2]~53272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1869][2]~53273\ : std_logic;
SIGNAL \led_flash_cnt[1869][3]~53274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1869][3]~53275\ : std_logic;
SIGNAL \led_flash_cnt[1869][4]~53276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1869][4]~53277\ : std_logic;
SIGNAL \led_flash_cnt[1869][5]~53278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1869][5]~53279\ : std_logic;
SIGNAL \led_flash_cnt[1869][6]~53280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][6]~q\ : std_logic;
SIGNAL \WideAnd1869~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][6]~53281\ : std_logic;
SIGNAL \led_flash_cnt[1869][7]~53282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1869][7]~q\ : std_logic;
SIGNAL \WideAnd1869~0_combout\ : std_logic;
SIGNAL \WideAnd1869~combout\ : std_logic;
SIGNAL \WideAnd4073~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][0]~82526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1870][1]~53284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1870][1]~53285\ : std_logic;
SIGNAL \led_flash_cnt[1870][2]~53286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1870][2]~53287\ : std_logic;
SIGNAL \led_flash_cnt[1870][3]~53288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1870][3]~53289\ : std_logic;
SIGNAL \led_flash_cnt[1870][4]~53290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1870][4]~53291\ : std_logic;
SIGNAL \led_flash_cnt[1870][5]~53292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1870][5]~53293\ : std_logic;
SIGNAL \led_flash_cnt[1870][6]~53294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1870][6]~53295\ : std_logic;
SIGNAL \led_flash_cnt[1870][7]~53296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1870][7]~q\ : std_logic;
SIGNAL \WideAnd1870~0_combout\ : std_logic;
SIGNAL \WideAnd1870~1_combout\ : std_logic;
SIGNAL \WideAnd1870~combout\ : std_logic;
SIGNAL \WideAnd4073~combout\ : std_logic;
SIGNAL \WideAnd4349~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][0]~82509_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1901][1]~53046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1901][1]~53047\ : std_logic;
SIGNAL \led_flash_cnt[1901][2]~53048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1901][2]~53049\ : std_logic;
SIGNAL \led_flash_cnt[1901][3]~53050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1901][3]~53051\ : std_logic;
SIGNAL \led_flash_cnt[1901][4]~53052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1901][4]~53053\ : std_logic;
SIGNAL \led_flash_cnt[1901][5]~53054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1901][5]~53055\ : std_logic;
SIGNAL \led_flash_cnt[1901][6]~53056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1901][6]~53057\ : std_logic;
SIGNAL \led_flash_cnt[1901][7]~53058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1901][7]~q\ : std_logic;
SIGNAL \WideAnd1901~0_combout\ : std_logic;
SIGNAL \WideAnd1901~1_combout\ : std_logic;
SIGNAL \WideAnd1901~combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][0]~82508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1900][1]~53032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1900][1]~53033\ : std_logic;
SIGNAL \led_flash_cnt[1900][2]~53034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1900][2]~53035\ : std_logic;
SIGNAL \led_flash_cnt[1900][3]~53036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1900][3]~53037\ : std_logic;
SIGNAL \led_flash_cnt[1900][4]~53038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1900][4]~53039\ : std_logic;
SIGNAL \led_flash_cnt[1900][5]~53040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1900][5]~53041\ : std_logic;
SIGNAL \led_flash_cnt[1900][6]~53042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1900][6]~53043\ : std_logic;
SIGNAL \led_flash_cnt[1900][7]~53044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1900][7]~q\ : std_logic;
SIGNAL \WideAnd1900~1_combout\ : std_logic;
SIGNAL \WideAnd1900~0_combout\ : std_logic;
SIGNAL \WideAnd1900~combout\ : std_logic;
SIGNAL \WideAnd4077~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][0]~82507_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1899][1]~53018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1899][1]~53019\ : std_logic;
SIGNAL \led_flash_cnt[1899][2]~53020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1899][2]~53021\ : std_logic;
SIGNAL \led_flash_cnt[1899][3]~53022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1899][3]~53023\ : std_logic;
SIGNAL \led_flash_cnt[1899][4]~53024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1899][4]~53025\ : std_logic;
SIGNAL \led_flash_cnt[1899][5]~53026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1899][5]~53027\ : std_logic;
SIGNAL \led_flash_cnt[1899][6]~53028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1899][6]~53029\ : std_logic;
SIGNAL \led_flash_cnt[1899][7]~53030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1899][7]~q\ : std_logic;
SIGNAL \WideAnd1899~1_combout\ : std_logic;
SIGNAL \WideAnd1899~0_combout\ : std_logic;
SIGNAL \WideAnd1899~combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][0]~82506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1898][1]~53004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1898][1]~53005\ : std_logic;
SIGNAL \led_flash_cnt[1898][2]~53006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1898][2]~53007\ : std_logic;
SIGNAL \led_flash_cnt[1898][3]~53008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1898][3]~53009\ : std_logic;
SIGNAL \led_flash_cnt[1898][4]~53010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][4]~q\ : std_logic;
SIGNAL \WideAnd1898~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][4]~53011\ : std_logic;
SIGNAL \led_flash_cnt[1898][5]~53012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1898][5]~53013\ : std_logic;
SIGNAL \led_flash_cnt[1898][6]~53014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][6]~q\ : std_logic;
SIGNAL \WideAnd1898~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][6]~53015\ : std_logic;
SIGNAL \led_flash_cnt[1898][7]~53016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1898][7]~q\ : std_logic;
SIGNAL \WideAnd1898~combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][0]~82504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1896][1]~52976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1896][1]~52977\ : std_logic;
SIGNAL \led_flash_cnt[1896][2]~52978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1896][2]~52979\ : std_logic;
SIGNAL \led_flash_cnt[1896][3]~52980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1896][3]~52981\ : std_logic;
SIGNAL \led_flash_cnt[1896][4]~52982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1896][4]~52983\ : std_logic;
SIGNAL \led_flash_cnt[1896][5]~52984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1896][5]~52985\ : std_logic;
SIGNAL \led_flash_cnt[1896][6]~52986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][6]~q\ : std_logic;
SIGNAL \WideAnd1896~1_combout\ : std_logic;
SIGNAL \WideAnd1896~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][6]~52987\ : std_logic;
SIGNAL \led_flash_cnt[1896][7]~52988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1896][7]~q\ : std_logic;
SIGNAL \WideAnd1896~combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][0]~82505_combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1897][1]~52990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1897][1]~52991\ : std_logic;
SIGNAL \led_flash_cnt[1897][2]~52992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1897][2]~52993\ : std_logic;
SIGNAL \led_flash_cnt[1897][3]~52994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1897][3]~52995\ : std_logic;
SIGNAL \led_flash_cnt[1897][4]~52996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1897][4]~52997\ : std_logic;
SIGNAL \led_flash_cnt[1897][5]~52998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1897][5]~52999\ : std_logic;
SIGNAL \led_flash_cnt[1897][6]~53000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1897][6]~53001\ : std_logic;
SIGNAL \led_flash_cnt[1897][7]~53002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1897][7]~q\ : std_logic;
SIGNAL \WideAnd1897~1_combout\ : std_logic;
SIGNAL \WideAnd1897~0_combout\ : std_logic;
SIGNAL \WideAnd1897~combout\ : std_logic;
SIGNAL \WideAnd4077~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][0]~82511_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1903][1]~53074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1903][1]~53075\ : std_logic;
SIGNAL \led_flash_cnt[1903][2]~53076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1903][2]~53077\ : std_logic;
SIGNAL \led_flash_cnt[1903][3]~53078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1903][3]~53079\ : std_logic;
SIGNAL \led_flash_cnt[1903][4]~53080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1903][4]~53081\ : std_logic;
SIGNAL \led_flash_cnt[1903][5]~53082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1903][5]~53083\ : std_logic;
SIGNAL \led_flash_cnt[1903][6]~53084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1903][6]~53085\ : std_logic;
SIGNAL \led_flash_cnt[1903][7]~53086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1903][7]~q\ : std_logic;
SIGNAL \WideAnd1903~1_combout\ : std_logic;
SIGNAL \WideAnd1903~0_combout\ : std_logic;
SIGNAL \WideAnd1903~combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][0]~82510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1902][1]~53060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1902][1]~53061\ : std_logic;
SIGNAL \led_flash_cnt[1902][2]~53062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1902][2]~53063\ : std_logic;
SIGNAL \led_flash_cnt[1902][3]~53064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1902][3]~53065\ : std_logic;
SIGNAL \led_flash_cnt[1902][4]~53066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1902][4]~53067\ : std_logic;
SIGNAL \led_flash_cnt[1902][5]~53068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1902][5]~53069\ : std_logic;
SIGNAL \led_flash_cnt[1902][6]~53070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][6]~q\ : std_logic;
SIGNAL \WideAnd1902~1_combout\ : std_logic;
SIGNAL \WideAnd1902~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][6]~53071\ : std_logic;
SIGNAL \led_flash_cnt[1902][7]~53072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1902][7]~q\ : std_logic;
SIGNAL \WideAnd1902~combout\ : std_logic;
SIGNAL \WideAnd4077~combout\ : std_logic;
SIGNAL \WideAnd4349~combout\ : std_logic;
SIGNAL \WideAnd4380~8_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][0]~82351_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1711][1]~50834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1711][1]~50835\ : std_logic;
SIGNAL \led_flash_cnt[1711][2]~50836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1711][2]~50837\ : std_logic;
SIGNAL \led_flash_cnt[1711][3]~50838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1711][3]~50839\ : std_logic;
SIGNAL \led_flash_cnt[1711][4]~50840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][4]~q\ : std_logic;
SIGNAL \WideAnd1711~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][4]~50841\ : std_logic;
SIGNAL \led_flash_cnt[1711][5]~50842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1711][5]~50843\ : std_logic;
SIGNAL \led_flash_cnt[1711][6]~50844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][6]~q\ : std_logic;
SIGNAL \WideAnd1711~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][6]~50845\ : std_logic;
SIGNAL \led_flash_cnt[1711][7]~50846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1711][7]~q\ : std_logic;
SIGNAL \WideAnd1711~combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][0]~82349_combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1709][1]~50806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1709][1]~50807\ : std_logic;
SIGNAL \led_flash_cnt[1709][2]~50808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1709][2]~50809\ : std_logic;
SIGNAL \led_flash_cnt[1709][3]~50810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1709][3]~50811\ : std_logic;
SIGNAL \led_flash_cnt[1709][4]~50812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1709][4]~50813\ : std_logic;
SIGNAL \led_flash_cnt[1709][5]~50814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1709][5]~50815\ : std_logic;
SIGNAL \led_flash_cnt[1709][6]~50816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1709][6]~50817\ : std_logic;
SIGNAL \led_flash_cnt[1709][7]~50818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1709][7]~q\ : std_logic;
SIGNAL \WideAnd1709~0_combout\ : std_logic;
SIGNAL \WideAnd1709~1_combout\ : std_logic;
SIGNAL \WideAnd1709~combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][0]~82348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1708][1]~50792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1708][1]~50793\ : std_logic;
SIGNAL \led_flash_cnt[1708][2]~50794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1708][2]~50795\ : std_logic;
SIGNAL \led_flash_cnt[1708][3]~50796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1708][3]~50797\ : std_logic;
SIGNAL \led_flash_cnt[1708][4]~50798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1708][4]~50799\ : std_logic;
SIGNAL \led_flash_cnt[1708][5]~50800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1708][5]~50801\ : std_logic;
SIGNAL \led_flash_cnt[1708][6]~50802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1708][6]~50803\ : std_logic;
SIGNAL \led_flash_cnt[1708][7]~50804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1708][7]~q\ : std_logic;
SIGNAL \WideAnd1708~1_combout\ : std_logic;
SIGNAL \WideAnd1708~0_combout\ : std_logic;
SIGNAL \WideAnd1708~combout\ : std_logic;
SIGNAL \WideAnd4053~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][0]~82347_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1707][1]~50778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1707][1]~50779\ : std_logic;
SIGNAL \led_flash_cnt[1707][2]~50780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1707][2]~50781\ : std_logic;
SIGNAL \led_flash_cnt[1707][3]~50782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1707][3]~50783\ : std_logic;
SIGNAL \led_flash_cnt[1707][4]~50784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][4]~q\ : std_logic;
SIGNAL \WideAnd1707~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][4]~50785\ : std_logic;
SIGNAL \led_flash_cnt[1707][5]~50786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1707][5]~50787\ : std_logic;
SIGNAL \led_flash_cnt[1707][6]~50788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1707][6]~50789\ : std_logic;
SIGNAL \led_flash_cnt[1707][7]~50790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1707][7]~q\ : std_logic;
SIGNAL \WideAnd1707~1_combout\ : std_logic;
SIGNAL \WideAnd1707~combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][0]~82344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1704][1]~50736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1704][1]~50737\ : std_logic;
SIGNAL \led_flash_cnt[1704][2]~50738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1704][2]~50739\ : std_logic;
SIGNAL \led_flash_cnt[1704][3]~50740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1704][3]~50741\ : std_logic;
SIGNAL \led_flash_cnt[1704][4]~50742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1704][4]~50743\ : std_logic;
SIGNAL \led_flash_cnt[1704][5]~50744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1704][5]~50745\ : std_logic;
SIGNAL \led_flash_cnt[1704][6]~50746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1704][6]~50747\ : std_logic;
SIGNAL \led_flash_cnt[1704][7]~50748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1704][7]~q\ : std_logic;
SIGNAL \WideAnd1704~1_combout\ : std_logic;
SIGNAL \WideAnd1704~0_combout\ : std_logic;
SIGNAL \WideAnd1704~combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][0]~82345_combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1705][1]~50750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1705][1]~50751\ : std_logic;
SIGNAL \led_flash_cnt[1705][2]~50752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1705][2]~50753\ : std_logic;
SIGNAL \led_flash_cnt[1705][3]~50754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1705][3]~50755\ : std_logic;
SIGNAL \led_flash_cnt[1705][4]~50756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1705][4]~50757\ : std_logic;
SIGNAL \led_flash_cnt[1705][5]~50758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1705][5]~50759\ : std_logic;
SIGNAL \led_flash_cnt[1705][6]~50760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1705][6]~50761\ : std_logic;
SIGNAL \led_flash_cnt[1705][7]~50762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1705][7]~q\ : std_logic;
SIGNAL \WideAnd1705~0_combout\ : std_logic;
SIGNAL \WideAnd1705~1_combout\ : std_logic;
SIGNAL \WideAnd1705~combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][0]~82346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1706][1]~50764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1706][1]~50765\ : std_logic;
SIGNAL \led_flash_cnt[1706][2]~50766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1706][2]~50767\ : std_logic;
SIGNAL \led_flash_cnt[1706][3]~50768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1706][3]~50769\ : std_logic;
SIGNAL \led_flash_cnt[1706][4]~50770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1706][4]~50771\ : std_logic;
SIGNAL \led_flash_cnt[1706][5]~50772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1706][5]~50773\ : std_logic;
SIGNAL \led_flash_cnt[1706][6]~50774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1706][6]~50775\ : std_logic;
SIGNAL \led_flash_cnt[1706][7]~50776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1706][7]~q\ : std_logic;
SIGNAL \WideAnd1706~1_combout\ : std_logic;
SIGNAL \WideAnd1706~0_combout\ : std_logic;
SIGNAL \WideAnd1706~combout\ : std_logic;
SIGNAL \WideAnd4053~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][0]~82350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1710][1]~50820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1710][1]~50821\ : std_logic;
SIGNAL \led_flash_cnt[1710][2]~50822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1710][2]~50823\ : std_logic;
SIGNAL \led_flash_cnt[1710][3]~50824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1710][3]~50825\ : std_logic;
SIGNAL \led_flash_cnt[1710][4]~50826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1710][4]~50827\ : std_logic;
SIGNAL \led_flash_cnt[1710][5]~50828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1710][5]~50829\ : std_logic;
SIGNAL \led_flash_cnt[1710][6]~50830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][6]~q\ : std_logic;
SIGNAL \WideAnd1710~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][6]~50831\ : std_logic;
SIGNAL \led_flash_cnt[1710][7]~50832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1710][7]~q\ : std_logic;
SIGNAL \WideAnd1710~0_combout\ : std_logic;
SIGNAL \WideAnd1710~combout\ : std_logic;
SIGNAL \WideAnd4053~combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][0]~82343_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1703][1]~50722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1703][1]~50723\ : std_logic;
SIGNAL \led_flash_cnt[1703][2]~50724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1703][2]~50725\ : std_logic;
SIGNAL \led_flash_cnt[1703][3]~50726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1703][3]~50727\ : std_logic;
SIGNAL \led_flash_cnt[1703][4]~50728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][4]~q\ : std_logic;
SIGNAL \WideAnd1703~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][4]~50729\ : std_logic;
SIGNAL \led_flash_cnt[1703][5]~50730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1703][5]~50731\ : std_logic;
SIGNAL \led_flash_cnt[1703][6]~50732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1703][6]~50733\ : std_logic;
SIGNAL \led_flash_cnt[1703][7]~50734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1703][7]~q\ : std_logic;
SIGNAL \WideAnd1703~1_combout\ : std_logic;
SIGNAL \WideAnd1703~combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][0]~82342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1702][1]~50708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1702][1]~50709\ : std_logic;
SIGNAL \led_flash_cnt[1702][2]~50710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1702][2]~50711\ : std_logic;
SIGNAL \led_flash_cnt[1702][3]~50712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1702][3]~50713\ : std_logic;
SIGNAL \led_flash_cnt[1702][4]~50714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][4]~q\ : std_logic;
SIGNAL \WideAnd1702~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][4]~50715\ : std_logic;
SIGNAL \led_flash_cnt[1702][5]~50716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1702][5]~50717\ : std_logic;
SIGNAL \led_flash_cnt[1702][6]~50718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][6]~q\ : std_logic;
SIGNAL \WideAnd1702~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][6]~50719\ : std_logic;
SIGNAL \led_flash_cnt[1702][7]~50720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1702][7]~q\ : std_logic;
SIGNAL \WideAnd1702~combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][0]~82339_combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1699][1]~50666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1699][1]~50667\ : std_logic;
SIGNAL \led_flash_cnt[1699][2]~50668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1699][2]~50669\ : std_logic;
SIGNAL \led_flash_cnt[1699][3]~50670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1699][3]~50671\ : std_logic;
SIGNAL \led_flash_cnt[1699][4]~50672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1699][4]~50673\ : std_logic;
SIGNAL \led_flash_cnt[1699][5]~50674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1699][5]~50675\ : std_logic;
SIGNAL \led_flash_cnt[1699][6]~50676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1699][6]~50677\ : std_logic;
SIGNAL \led_flash_cnt[1699][7]~50678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1699][7]~q\ : std_logic;
SIGNAL \WideAnd1699~0_combout\ : std_logic;
SIGNAL \WideAnd1699~1_combout\ : std_logic;
SIGNAL \WideAnd1699~combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][0]~82337_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1697][1]~50638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1697][1]~50639\ : std_logic;
SIGNAL \led_flash_cnt[1697][2]~50640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1697][2]~50641\ : std_logic;
SIGNAL \led_flash_cnt[1697][3]~50642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1697][3]~50643\ : std_logic;
SIGNAL \led_flash_cnt[1697][4]~50644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][4]~q\ : std_logic;
SIGNAL \WideAnd1697~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][4]~50645\ : std_logic;
SIGNAL \led_flash_cnt[1697][5]~50646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1697][5]~50647\ : std_logic;
SIGNAL \led_flash_cnt[1697][6]~50648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][6]~q\ : std_logic;
SIGNAL \WideAnd1697~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][6]~50649\ : std_logic;
SIGNAL \led_flash_cnt[1697][7]~50650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1697][7]~q\ : std_logic;
SIGNAL \WideAnd1697~combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][0]~82336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1696][1]~50624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1696][1]~50625\ : std_logic;
SIGNAL \led_flash_cnt[1696][2]~50626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1696][2]~50627\ : std_logic;
SIGNAL \led_flash_cnt[1696][3]~50628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1696][3]~50629\ : std_logic;
SIGNAL \led_flash_cnt[1696][4]~50630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][4]~q\ : std_logic;
SIGNAL \WideAnd1696~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][4]~50631\ : std_logic;
SIGNAL \led_flash_cnt[1696][5]~50632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1696][5]~50633\ : std_logic;
SIGNAL \led_flash_cnt[1696][6]~50634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][6]~q\ : std_logic;
SIGNAL \WideAnd1696~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][6]~50635\ : std_logic;
SIGNAL \led_flash_cnt[1696][7]~50636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1696][7]~q\ : std_logic;
SIGNAL \WideAnd1696~combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][0]~82338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1698][1]~50652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1698][1]~50653\ : std_logic;
SIGNAL \led_flash_cnt[1698][2]~50654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1698][2]~50655\ : std_logic;
SIGNAL \led_flash_cnt[1698][3]~50656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1698][3]~50657\ : std_logic;
SIGNAL \led_flash_cnt[1698][4]~50658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][4]~q\ : std_logic;
SIGNAL \WideAnd1698~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][4]~50659\ : std_logic;
SIGNAL \led_flash_cnt[1698][5]~50660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1698][5]~50661\ : std_logic;
SIGNAL \led_flash_cnt[1698][6]~50662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1698][6]~50663\ : std_logic;
SIGNAL \led_flash_cnt[1698][7]~50664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1698][7]~q\ : std_logic;
SIGNAL \WideAnd1698~1_combout\ : std_logic;
SIGNAL \WideAnd1698~combout\ : std_logic;
SIGNAL \WideAnd4052~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][0]~82340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1700][1]~50680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1700][1]~50681\ : std_logic;
SIGNAL \led_flash_cnt[1700][2]~50682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1700][2]~50683\ : std_logic;
SIGNAL \led_flash_cnt[1700][3]~50684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1700][3]~50685\ : std_logic;
SIGNAL \led_flash_cnt[1700][4]~50686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][4]~q\ : std_logic;
SIGNAL \WideAnd1700~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][4]~50687\ : std_logic;
SIGNAL \led_flash_cnt[1700][5]~50688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1700][5]~50689\ : std_logic;
SIGNAL \led_flash_cnt[1700][6]~50690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][6]~q\ : std_logic;
SIGNAL \WideAnd1700~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][6]~50691\ : std_logic;
SIGNAL \led_flash_cnt[1700][7]~50692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1700][7]~q\ : std_logic;
SIGNAL \WideAnd1700~combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][0]~82341_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1701][1]~50694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1701][1]~50695\ : std_logic;
SIGNAL \led_flash_cnt[1701][2]~50696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1701][2]~50697\ : std_logic;
SIGNAL \led_flash_cnt[1701][3]~50698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1701][3]~50699\ : std_logic;
SIGNAL \led_flash_cnt[1701][4]~50700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1701][4]~50701\ : std_logic;
SIGNAL \led_flash_cnt[1701][5]~50702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1701][5]~50703\ : std_logic;
SIGNAL \led_flash_cnt[1701][6]~50704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][6]~q\ : std_logic;
SIGNAL \WideAnd1701~1_combout\ : std_logic;
SIGNAL \WideAnd1701~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][6]~50705\ : std_logic;
SIGNAL \led_flash_cnt[1701][7]~50706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1701][7]~q\ : std_logic;
SIGNAL \WideAnd1701~combout\ : std_logic;
SIGNAL \WideAnd4052~1_combout\ : std_logic;
SIGNAL \WideAnd4052~combout\ : std_logic;
SIGNAL \WideAnd4346~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][0]~82357_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1717][1]~50918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1717][1]~50919\ : std_logic;
SIGNAL \led_flash_cnt[1717][2]~50920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1717][2]~50921\ : std_logic;
SIGNAL \led_flash_cnt[1717][3]~50922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1717][3]~50923\ : std_logic;
SIGNAL \led_flash_cnt[1717][4]~50924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1717][4]~50925\ : std_logic;
SIGNAL \led_flash_cnt[1717][5]~50926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1717][5]~50927\ : std_logic;
SIGNAL \led_flash_cnt[1717][6]~50928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1717][6]~50929\ : std_logic;
SIGNAL \led_flash_cnt[1717][7]~50930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1717][7]~q\ : std_logic;
SIGNAL \WideAnd1717~1_combout\ : std_logic;
SIGNAL \WideAnd1717~0_combout\ : std_logic;
SIGNAL \WideAnd1717~combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][0]~82356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1716][1]~50904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1716][1]~50905\ : std_logic;
SIGNAL \led_flash_cnt[1716][2]~50906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1716][2]~50907\ : std_logic;
SIGNAL \led_flash_cnt[1716][3]~50908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1716][3]~50909\ : std_logic;
SIGNAL \led_flash_cnt[1716][4]~50910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][4]~q\ : std_logic;
SIGNAL \WideAnd1716~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][4]~50911\ : std_logic;
SIGNAL \led_flash_cnt[1716][5]~50912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1716][5]~50913\ : std_logic;
SIGNAL \led_flash_cnt[1716][6]~50914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][6]~q\ : std_logic;
SIGNAL \WideAnd1716~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][6]~50915\ : std_logic;
SIGNAL \led_flash_cnt[1716][7]~50916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1716][7]~q\ : std_logic;
SIGNAL \WideAnd1716~combout\ : std_logic;
SIGNAL \WideAnd4054~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][0]~82358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1718][1]~50932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1718][1]~50933\ : std_logic;
SIGNAL \led_flash_cnt[1718][2]~50934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1718][2]~50935\ : std_logic;
SIGNAL \led_flash_cnt[1718][3]~50936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1718][3]~50937\ : std_logic;
SIGNAL \led_flash_cnt[1718][4]~50938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][4]~q\ : std_logic;
SIGNAL \WideAnd1718~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][4]~50939\ : std_logic;
SIGNAL \led_flash_cnt[1718][5]~50940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1718][5]~50941\ : std_logic;
SIGNAL \led_flash_cnt[1718][6]~50942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1718][6]~50943\ : std_logic;
SIGNAL \led_flash_cnt[1718][7]~50944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1718][7]~q\ : std_logic;
SIGNAL \WideAnd1718~1_combout\ : std_logic;
SIGNAL \WideAnd1718~combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][0]~82359_combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1719][1]~50946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1719][1]~50947\ : std_logic;
SIGNAL \led_flash_cnt[1719][2]~50948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1719][2]~50949\ : std_logic;
SIGNAL \led_flash_cnt[1719][3]~50950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1719][3]~50951\ : std_logic;
SIGNAL \led_flash_cnt[1719][4]~50952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1719][4]~50953\ : std_logic;
SIGNAL \led_flash_cnt[1719][5]~50954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1719][5]~50955\ : std_logic;
SIGNAL \led_flash_cnt[1719][6]~50956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1719][6]~50957\ : std_logic;
SIGNAL \led_flash_cnt[1719][7]~50958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1719][7]~q\ : std_logic;
SIGNAL \WideAnd1719~0_combout\ : std_logic;
SIGNAL \WideAnd1719~1_combout\ : std_logic;
SIGNAL \WideAnd1719~combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][0]~82352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1712][1]~50848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1712][1]~50849\ : std_logic;
SIGNAL \led_flash_cnt[1712][2]~50850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1712][2]~50851\ : std_logic;
SIGNAL \led_flash_cnt[1712][3]~50852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1712][3]~50853\ : std_logic;
SIGNAL \led_flash_cnt[1712][4]~50854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1712][4]~50855\ : std_logic;
SIGNAL \led_flash_cnt[1712][5]~50856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1712][5]~50857\ : std_logic;
SIGNAL \led_flash_cnt[1712][6]~50858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][6]~q\ : std_logic;
SIGNAL \WideAnd1712~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][6]~50859\ : std_logic;
SIGNAL \led_flash_cnt[1712][7]~50860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1712][7]~q\ : std_logic;
SIGNAL \WideAnd1712~0_combout\ : std_logic;
SIGNAL \WideAnd1712~combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][0]~82354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1714][1]~50876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1714][1]~50877\ : std_logic;
SIGNAL \led_flash_cnt[1714][2]~50878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1714][2]~50879\ : std_logic;
SIGNAL \led_flash_cnt[1714][3]~50880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1714][3]~50881\ : std_logic;
SIGNAL \led_flash_cnt[1714][4]~50882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1714][4]~50883\ : std_logic;
SIGNAL \led_flash_cnt[1714][5]~50884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1714][5]~50885\ : std_logic;
SIGNAL \led_flash_cnt[1714][6]~50886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][6]~q\ : std_logic;
SIGNAL \WideAnd1714~1_combout\ : std_logic;
SIGNAL \WideAnd1714~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][6]~50887\ : std_logic;
SIGNAL \led_flash_cnt[1714][7]~50888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1714][7]~q\ : std_logic;
SIGNAL \WideAnd1714~combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][0]~82355_combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1715][1]~50890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1715][1]~50891\ : std_logic;
SIGNAL \led_flash_cnt[1715][2]~50892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1715][2]~50893\ : std_logic;
SIGNAL \led_flash_cnt[1715][3]~50894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1715][3]~50895\ : std_logic;
SIGNAL \led_flash_cnt[1715][4]~50896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1715][4]~50897\ : std_logic;
SIGNAL \led_flash_cnt[1715][5]~50898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1715][5]~50899\ : std_logic;
SIGNAL \led_flash_cnt[1715][6]~50900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1715][6]~50901\ : std_logic;
SIGNAL \led_flash_cnt[1715][7]~50902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1715][7]~q\ : std_logic;
SIGNAL \WideAnd1715~1_combout\ : std_logic;
SIGNAL \WideAnd1715~0_combout\ : std_logic;
SIGNAL \WideAnd1715~combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][0]~82353_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1713][1]~50862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1713][1]~50863\ : std_logic;
SIGNAL \led_flash_cnt[1713][2]~50864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1713][2]~50865\ : std_logic;
SIGNAL \led_flash_cnt[1713][3]~50866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1713][3]~50867\ : std_logic;
SIGNAL \led_flash_cnt[1713][4]~50868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1713][4]~50869\ : std_logic;
SIGNAL \led_flash_cnt[1713][5]~50870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1713][5]~50871\ : std_logic;
SIGNAL \led_flash_cnt[1713][6]~50872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][6]~q\ : std_logic;
SIGNAL \WideAnd1713~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][6]~50873\ : std_logic;
SIGNAL \led_flash_cnt[1713][7]~50874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1713][7]~q\ : std_logic;
SIGNAL \WideAnd1713~0_combout\ : std_logic;
SIGNAL \WideAnd1713~combout\ : std_logic;
SIGNAL \WideAnd4054~0_combout\ : std_logic;
SIGNAL \WideAnd4054~combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][0]~82325_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1685][1]~50470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1685][1]~50471\ : std_logic;
SIGNAL \led_flash_cnt[1685][2]~50472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1685][2]~50473\ : std_logic;
SIGNAL \led_flash_cnt[1685][3]~50474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1685][3]~50475\ : std_logic;
SIGNAL \led_flash_cnt[1685][4]~50476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][4]~q\ : std_logic;
SIGNAL \WideAnd1685~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][4]~50477\ : std_logic;
SIGNAL \led_flash_cnt[1685][5]~50478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1685][5]~50479\ : std_logic;
SIGNAL \led_flash_cnt[1685][6]~50480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1685][6]~50481\ : std_logic;
SIGNAL \led_flash_cnt[1685][7]~50482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1685][7]~q\ : std_logic;
SIGNAL \WideAnd1685~1_combout\ : std_logic;
SIGNAL \WideAnd1685~combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][0]~82324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1684][1]~50456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1684][1]~50457\ : std_logic;
SIGNAL \led_flash_cnt[1684][2]~50458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1684][2]~50459\ : std_logic;
SIGNAL \led_flash_cnt[1684][3]~50460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1684][3]~50461\ : std_logic;
SIGNAL \led_flash_cnt[1684][4]~50462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][4]~q\ : std_logic;
SIGNAL \WideAnd1684~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][4]~50463\ : std_logic;
SIGNAL \led_flash_cnt[1684][5]~50464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1684][5]~50465\ : std_logic;
SIGNAL \led_flash_cnt[1684][6]~50466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][6]~q\ : std_logic;
SIGNAL \WideAnd1684~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][6]~50467\ : std_logic;
SIGNAL \led_flash_cnt[1684][7]~50468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1684][7]~q\ : std_logic;
SIGNAL \WideAnd1684~combout\ : std_logic;
SIGNAL \WideAnd4050~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][0]~82327_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1687][1]~50498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1687][1]~50499\ : std_logic;
SIGNAL \led_flash_cnt[1687][2]~50500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1687][2]~50501\ : std_logic;
SIGNAL \led_flash_cnt[1687][3]~50502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1687][3]~50503\ : std_logic;
SIGNAL \led_flash_cnt[1687][4]~50504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1687][4]~50505\ : std_logic;
SIGNAL \led_flash_cnt[1687][5]~50506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1687][5]~50507\ : std_logic;
SIGNAL \led_flash_cnt[1687][6]~50508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][6]~q\ : std_logic;
SIGNAL \WideAnd1687~1_combout\ : std_logic;
SIGNAL \WideAnd1687~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][6]~50509\ : std_logic;
SIGNAL \led_flash_cnt[1687][7]~50510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1687][7]~q\ : std_logic;
SIGNAL \WideAnd1687~combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][0]~82320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1680][1]~50400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1680][1]~50401\ : std_logic;
SIGNAL \led_flash_cnt[1680][2]~50402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1680][2]~50403\ : std_logic;
SIGNAL \led_flash_cnt[1680][3]~50404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1680][3]~50405\ : std_logic;
SIGNAL \led_flash_cnt[1680][4]~50406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1680][4]~50407\ : std_logic;
SIGNAL \led_flash_cnt[1680][5]~50408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1680][5]~50409\ : std_logic;
SIGNAL \led_flash_cnt[1680][6]~50410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1680][6]~50411\ : std_logic;
SIGNAL \led_flash_cnt[1680][7]~50412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1680][7]~q\ : std_logic;
SIGNAL \WideAnd1680~0_combout\ : std_logic;
SIGNAL \WideAnd1680~1_combout\ : std_logic;
SIGNAL \WideAnd1680~combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][0]~82321_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1681][1]~50414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1681][1]~50415\ : std_logic;
SIGNAL \led_flash_cnt[1681][2]~50416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1681][2]~50417\ : std_logic;
SIGNAL \led_flash_cnt[1681][3]~50418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1681][3]~50419\ : std_logic;
SIGNAL \led_flash_cnt[1681][4]~50420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1681][4]~50421\ : std_logic;
SIGNAL \led_flash_cnt[1681][5]~50422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1681][5]~50423\ : std_logic;
SIGNAL \led_flash_cnt[1681][6]~50424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][6]~q\ : std_logic;
SIGNAL \WideAnd1681~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][6]~50425\ : std_logic;
SIGNAL \led_flash_cnt[1681][7]~50426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1681][7]~q\ : std_logic;
SIGNAL \WideAnd1681~0_combout\ : std_logic;
SIGNAL \WideAnd1681~combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][0]~82323_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1683][1]~50442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1683][1]~50443\ : std_logic;
SIGNAL \led_flash_cnt[1683][2]~50444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1683][2]~50445\ : std_logic;
SIGNAL \led_flash_cnt[1683][3]~50446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1683][3]~50447\ : std_logic;
SIGNAL \led_flash_cnt[1683][4]~50448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][4]~q\ : std_logic;
SIGNAL \WideAnd1683~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][4]~50449\ : std_logic;
SIGNAL \led_flash_cnt[1683][5]~50450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1683][5]~50451\ : std_logic;
SIGNAL \led_flash_cnt[1683][6]~50452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1683][6]~50453\ : std_logic;
SIGNAL \led_flash_cnt[1683][7]~50454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1683][7]~q\ : std_logic;
SIGNAL \WideAnd1683~1_combout\ : std_logic;
SIGNAL \WideAnd1683~combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][0]~82322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1682][1]~50428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1682][1]~50429\ : std_logic;
SIGNAL \led_flash_cnt[1682][2]~50430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1682][2]~50431\ : std_logic;
SIGNAL \led_flash_cnt[1682][3]~50432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1682][3]~50433\ : std_logic;
SIGNAL \led_flash_cnt[1682][4]~50434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1682][4]~50435\ : std_logic;
SIGNAL \led_flash_cnt[1682][5]~50436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1682][5]~50437\ : std_logic;
SIGNAL \led_flash_cnt[1682][6]~50438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][6]~q\ : std_logic;
SIGNAL \WideAnd1682~1_combout\ : std_logic;
SIGNAL \WideAnd1682~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][6]~50439\ : std_logic;
SIGNAL \led_flash_cnt[1682][7]~50440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1682][7]~q\ : std_logic;
SIGNAL \WideAnd1682~combout\ : std_logic;
SIGNAL \WideAnd4050~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][0]~82326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1686][1]~50484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1686][1]~50485\ : std_logic;
SIGNAL \led_flash_cnt[1686][2]~50486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1686][2]~50487\ : std_logic;
SIGNAL \led_flash_cnt[1686][3]~50488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1686][3]~50489\ : std_logic;
SIGNAL \led_flash_cnt[1686][4]~50490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1686][4]~50491\ : std_logic;
SIGNAL \led_flash_cnt[1686][5]~50492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1686][5]~50493\ : std_logic;
SIGNAL \led_flash_cnt[1686][6]~50494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1686][6]~50495\ : std_logic;
SIGNAL \led_flash_cnt[1686][7]~50496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1686][7]~q\ : std_logic;
SIGNAL \WideAnd1686~0_combout\ : std_logic;
SIGNAL \WideAnd1686~1_combout\ : std_logic;
SIGNAL \WideAnd1686~combout\ : std_logic;
SIGNAL \WideAnd4050~combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][0]~82311_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1671][1]~50274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1671][1]~50275\ : std_logic;
SIGNAL \led_flash_cnt[1671][2]~50276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1671][2]~50277\ : std_logic;
SIGNAL \led_flash_cnt[1671][3]~50278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1671][3]~50279\ : std_logic;
SIGNAL \led_flash_cnt[1671][4]~50280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1671][4]~50281\ : std_logic;
SIGNAL \led_flash_cnt[1671][5]~50282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1671][5]~50283\ : std_logic;
SIGNAL \led_flash_cnt[1671][6]~50284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][6]~q\ : std_logic;
SIGNAL \WideAnd1671~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][6]~50285\ : std_logic;
SIGNAL \led_flash_cnt[1671][7]~50286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1671][7]~q\ : std_logic;
SIGNAL \WideAnd1671~0_combout\ : std_logic;
SIGNAL \WideAnd1671~combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][0]~82307_combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1667][1]~50218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1667][1]~50219\ : std_logic;
SIGNAL \led_flash_cnt[1667][2]~50220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1667][2]~50221\ : std_logic;
SIGNAL \led_flash_cnt[1667][3]~50222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1667][3]~50223\ : std_logic;
SIGNAL \led_flash_cnt[1667][4]~50224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1667][4]~50225\ : std_logic;
SIGNAL \led_flash_cnt[1667][5]~50226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1667][5]~50227\ : std_logic;
SIGNAL \led_flash_cnt[1667][6]~50228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1667][6]~50229\ : std_logic;
SIGNAL \led_flash_cnt[1667][7]~50230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1667][7]~q\ : std_logic;
SIGNAL \WideAnd1667~1_combout\ : std_logic;
SIGNAL \WideAnd1667~0_combout\ : std_logic;
SIGNAL \WideAnd1667~combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][0]~82306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1666][1]~50204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1666][1]~50205\ : std_logic;
SIGNAL \led_flash_cnt[1666][2]~50206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1666][2]~50207\ : std_logic;
SIGNAL \led_flash_cnt[1666][3]~50208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1666][3]~50209\ : std_logic;
SIGNAL \led_flash_cnt[1666][4]~50210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][4]~q\ : std_logic;
SIGNAL \WideAnd1666~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][4]~50211\ : std_logic;
SIGNAL \led_flash_cnt[1666][5]~50212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1666][5]~50213\ : std_logic;
SIGNAL \led_flash_cnt[1666][6]~50214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1666][6]~50215\ : std_logic;
SIGNAL \led_flash_cnt[1666][7]~50216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1666][7]~q\ : std_logic;
SIGNAL \WideAnd1666~1_combout\ : std_logic;
SIGNAL \WideAnd1666~combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][0]~82304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1664][1]~50176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1664][1]~50177\ : std_logic;
SIGNAL \led_flash_cnt[1664][2]~50178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1664][2]~50179\ : std_logic;
SIGNAL \led_flash_cnt[1664][3]~50180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1664][3]~50181\ : std_logic;
SIGNAL \led_flash_cnt[1664][4]~50182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][4]~q\ : std_logic;
SIGNAL \WideAnd1664~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][4]~50183\ : std_logic;
SIGNAL \led_flash_cnt[1664][5]~50184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1664][5]~50185\ : std_logic;
SIGNAL \led_flash_cnt[1664][6]~50186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1664][6]~50187\ : std_logic;
SIGNAL \led_flash_cnt[1664][7]~50188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1664][7]~q\ : std_logic;
SIGNAL \WideAnd1664~1_combout\ : std_logic;
SIGNAL \WideAnd1664~combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][0]~82305_combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1665][1]~50190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1665][1]~50191\ : std_logic;
SIGNAL \led_flash_cnt[1665][2]~50192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1665][2]~50193\ : std_logic;
SIGNAL \led_flash_cnt[1665][3]~50194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1665][3]~50195\ : std_logic;
SIGNAL \led_flash_cnt[1665][4]~50196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1665][4]~50197\ : std_logic;
SIGNAL \led_flash_cnt[1665][5]~50198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1665][5]~50199\ : std_logic;
SIGNAL \led_flash_cnt[1665][6]~50200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1665][6]~50201\ : std_logic;
SIGNAL \led_flash_cnt[1665][7]~50202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1665][7]~q\ : std_logic;
SIGNAL \WideAnd1665~1_combout\ : std_logic;
SIGNAL \WideAnd1665~0_combout\ : std_logic;
SIGNAL \WideAnd1665~combout\ : std_logic;
SIGNAL \WideAnd4048~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][0]~82308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1668][1]~50232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1668][1]~50233\ : std_logic;
SIGNAL \led_flash_cnt[1668][2]~50234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1668][2]~50235\ : std_logic;
SIGNAL \led_flash_cnt[1668][3]~50236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1668][3]~50237\ : std_logic;
SIGNAL \led_flash_cnt[1668][4]~50238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][4]~q\ : std_logic;
SIGNAL \WideAnd1668~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][4]~50239\ : std_logic;
SIGNAL \led_flash_cnt[1668][5]~50240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1668][5]~50241\ : std_logic;
SIGNAL \led_flash_cnt[1668][6]~50242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][6]~q\ : std_logic;
SIGNAL \WideAnd1668~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][6]~50243\ : std_logic;
SIGNAL \led_flash_cnt[1668][7]~50244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1668][7]~q\ : std_logic;
SIGNAL \WideAnd1668~combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][0]~82309_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1669][1]~50246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1669][1]~50247\ : std_logic;
SIGNAL \led_flash_cnt[1669][2]~50248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1669][2]~50249\ : std_logic;
SIGNAL \led_flash_cnt[1669][3]~50250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1669][3]~50251\ : std_logic;
SIGNAL \led_flash_cnt[1669][4]~50252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1669][4]~50253\ : std_logic;
SIGNAL \led_flash_cnt[1669][5]~50254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1669][5]~50255\ : std_logic;
SIGNAL \led_flash_cnt[1669][6]~50256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][6]~q\ : std_logic;
SIGNAL \WideAnd1669~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][6]~50257\ : std_logic;
SIGNAL \led_flash_cnt[1669][7]~50258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1669][7]~q\ : std_logic;
SIGNAL \WideAnd1669~0_combout\ : std_logic;
SIGNAL \WideAnd1669~combout\ : std_logic;
SIGNAL \WideAnd4048~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][0]~82310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1670][1]~50260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1670][1]~50261\ : std_logic;
SIGNAL \led_flash_cnt[1670][2]~50262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1670][2]~50263\ : std_logic;
SIGNAL \led_flash_cnt[1670][3]~50264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1670][3]~50265\ : std_logic;
SIGNAL \led_flash_cnt[1670][4]~50266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1670][4]~50267\ : std_logic;
SIGNAL \led_flash_cnt[1670][5]~50268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1670][5]~50269\ : std_logic;
SIGNAL \led_flash_cnt[1670][6]~50270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1670][6]~50271\ : std_logic;
SIGNAL \led_flash_cnt[1670][7]~50272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1670][7]~q\ : std_logic;
SIGNAL \WideAnd1670~0_combout\ : std_logic;
SIGNAL \WideAnd1670~1_combout\ : std_logic;
SIGNAL \WideAnd1670~combout\ : std_logic;
SIGNAL \WideAnd4048~combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][0]~82318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1678][1]~50372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1678][1]~50373\ : std_logic;
SIGNAL \led_flash_cnt[1678][2]~50374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1678][2]~50375\ : std_logic;
SIGNAL \led_flash_cnt[1678][3]~50376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1678][3]~50377\ : std_logic;
SIGNAL \led_flash_cnt[1678][4]~50378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][4]~q\ : std_logic;
SIGNAL \WideAnd1678~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][4]~50379\ : std_logic;
SIGNAL \led_flash_cnt[1678][5]~50380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1678][5]~50381\ : std_logic;
SIGNAL \led_flash_cnt[1678][6]~50382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][6]~q\ : std_logic;
SIGNAL \WideAnd1678~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][6]~50383\ : std_logic;
SIGNAL \led_flash_cnt[1678][7]~50384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1678][7]~q\ : std_logic;
SIGNAL \WideAnd1678~combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][0]~82319_combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1679][1]~50386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1679][1]~50387\ : std_logic;
SIGNAL \led_flash_cnt[1679][2]~50388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1679][2]~50389\ : std_logic;
SIGNAL \led_flash_cnt[1679][3]~50390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1679][3]~50391\ : std_logic;
SIGNAL \led_flash_cnt[1679][4]~50392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1679][4]~50393\ : std_logic;
SIGNAL \led_flash_cnt[1679][5]~50394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1679][5]~50395\ : std_logic;
SIGNAL \led_flash_cnt[1679][6]~50396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1679][6]~50397\ : std_logic;
SIGNAL \led_flash_cnt[1679][7]~50398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1679][7]~q\ : std_logic;
SIGNAL \WideAnd1679~1_combout\ : std_logic;
SIGNAL \WideAnd1679~0_combout\ : std_logic;
SIGNAL \WideAnd1679~combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][0]~82312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1672][1]~50288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1672][1]~50289\ : std_logic;
SIGNAL \led_flash_cnt[1672][2]~50290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1672][2]~50291\ : std_logic;
SIGNAL \led_flash_cnt[1672][3]~50292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1672][3]~50293\ : std_logic;
SIGNAL \led_flash_cnt[1672][4]~50294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1672][4]~50295\ : std_logic;
SIGNAL \led_flash_cnt[1672][5]~50296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1672][5]~50297\ : std_logic;
SIGNAL \led_flash_cnt[1672][6]~50298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1672][6]~50299\ : std_logic;
SIGNAL \led_flash_cnt[1672][7]~50300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1672][7]~q\ : std_logic;
SIGNAL \WideAnd1672~0_combout\ : std_logic;
SIGNAL \WideAnd1672~1_combout\ : std_logic;
SIGNAL \WideAnd1672~combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][0]~82314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1674][1]~50316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1674][1]~50317\ : std_logic;
SIGNAL \led_flash_cnt[1674][2]~50318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1674][2]~50319\ : std_logic;
SIGNAL \led_flash_cnt[1674][3]~50320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1674][3]~50321\ : std_logic;
SIGNAL \led_flash_cnt[1674][4]~50322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1674][4]~50323\ : std_logic;
SIGNAL \led_flash_cnt[1674][5]~50324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1674][5]~50325\ : std_logic;
SIGNAL \led_flash_cnt[1674][6]~50326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1674][6]~50327\ : std_logic;
SIGNAL \led_flash_cnt[1674][7]~50328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1674][7]~q\ : std_logic;
SIGNAL \WideAnd1674~0_combout\ : std_logic;
SIGNAL \WideAnd1674~1_combout\ : std_logic;
SIGNAL \WideAnd1674~combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][0]~82313_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1673][1]~50302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1673][1]~50303\ : std_logic;
SIGNAL \led_flash_cnt[1673][2]~50304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1673][2]~50305\ : std_logic;
SIGNAL \led_flash_cnt[1673][3]~50306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1673][3]~50307\ : std_logic;
SIGNAL \led_flash_cnt[1673][4]~50308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][4]~q\ : std_logic;
SIGNAL \WideAnd1673~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][4]~50309\ : std_logic;
SIGNAL \led_flash_cnt[1673][5]~50310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1673][5]~50311\ : std_logic;
SIGNAL \led_flash_cnt[1673][6]~50312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1673][6]~50313\ : std_logic;
SIGNAL \led_flash_cnt[1673][7]~50314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1673][7]~q\ : std_logic;
SIGNAL \WideAnd1673~1_combout\ : std_logic;
SIGNAL \WideAnd1673~combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][0]~82315_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1675][1]~50330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1675][1]~50331\ : std_logic;
SIGNAL \led_flash_cnt[1675][2]~50332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1675][2]~50333\ : std_logic;
SIGNAL \led_flash_cnt[1675][3]~50334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1675][3]~50335\ : std_logic;
SIGNAL \led_flash_cnt[1675][4]~50336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][4]~q\ : std_logic;
SIGNAL \WideAnd1675~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][4]~50337\ : std_logic;
SIGNAL \led_flash_cnt[1675][5]~50338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1675][5]~50339\ : std_logic;
SIGNAL \led_flash_cnt[1675][6]~50340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1675][6]~50341\ : std_logic;
SIGNAL \led_flash_cnt[1675][7]~50342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1675][7]~q\ : std_logic;
SIGNAL \WideAnd1675~1_combout\ : std_logic;
SIGNAL \WideAnd1675~combout\ : std_logic;
SIGNAL \WideAnd4049~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][0]~82316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1676][1]~50344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1676][1]~50345\ : std_logic;
SIGNAL \led_flash_cnt[1676][2]~50346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1676][2]~50347\ : std_logic;
SIGNAL \led_flash_cnt[1676][3]~50348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1676][3]~50349\ : std_logic;
SIGNAL \led_flash_cnt[1676][4]~50350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1676][4]~50351\ : std_logic;
SIGNAL \led_flash_cnt[1676][5]~50352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1676][5]~50353\ : std_logic;
SIGNAL \led_flash_cnt[1676][6]~50354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1676][6]~50355\ : std_logic;
SIGNAL \led_flash_cnt[1676][7]~50356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1676][7]~q\ : std_logic;
SIGNAL \WideAnd1676~0_combout\ : std_logic;
SIGNAL \WideAnd1676~1_combout\ : std_logic;
SIGNAL \WideAnd1676~combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][0]~82317_combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1677][1]~50358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1677][1]~50359\ : std_logic;
SIGNAL \led_flash_cnt[1677][2]~50360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1677][2]~50361\ : std_logic;
SIGNAL \led_flash_cnt[1677][3]~50362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1677][3]~50363\ : std_logic;
SIGNAL \led_flash_cnt[1677][4]~50364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1677][4]~50365\ : std_logic;
SIGNAL \led_flash_cnt[1677][5]~50366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1677][5]~50367\ : std_logic;
SIGNAL \led_flash_cnt[1677][6]~50368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1677][6]~50369\ : std_logic;
SIGNAL \led_flash_cnt[1677][7]~50370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1677][7]~q\ : std_logic;
SIGNAL \WideAnd1677~0_combout\ : std_logic;
SIGNAL \WideAnd1677~1_combout\ : std_logic;
SIGNAL \WideAnd1677~combout\ : std_logic;
SIGNAL \WideAnd4049~1_combout\ : std_logic;
SIGNAL \WideAnd4049~combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][0]~82328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1694][1]~50512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1694][1]~50513\ : std_logic;
SIGNAL \led_flash_cnt[1694][2]~50514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1694][2]~50515\ : std_logic;
SIGNAL \led_flash_cnt[1694][3]~50516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1694][3]~50517\ : std_logic;
SIGNAL \led_flash_cnt[1694][4]~50518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1694][4]~50519\ : std_logic;
SIGNAL \led_flash_cnt[1694][5]~50520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1694][5]~50521\ : std_logic;
SIGNAL \led_flash_cnt[1694][6]~50522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1694][6]~50523\ : std_logic;
SIGNAL \led_flash_cnt[1694][7]~50524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1694][7]~q\ : std_logic;
SIGNAL \WideAnd1694~1_combout\ : std_logic;
SIGNAL \WideAnd1694~0_combout\ : std_logic;
SIGNAL \WideAnd1694~combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][0]~82332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1690][1]~50568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1690][1]~50569\ : std_logic;
SIGNAL \led_flash_cnt[1690][2]~50570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1690][2]~50571\ : std_logic;
SIGNAL \led_flash_cnt[1690][3]~50572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1690][3]~50573\ : std_logic;
SIGNAL \led_flash_cnt[1690][4]~50574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1690][4]~50575\ : std_logic;
SIGNAL \led_flash_cnt[1690][5]~50576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1690][5]~50577\ : std_logic;
SIGNAL \led_flash_cnt[1690][6]~50578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1690][6]~50579\ : std_logic;
SIGNAL \led_flash_cnt[1690][7]~50580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1690][7]~q\ : std_logic;
SIGNAL \WideAnd1690~1_combout\ : std_logic;
SIGNAL \WideAnd1690~0_combout\ : std_logic;
SIGNAL \WideAnd1690~combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][0]~82333_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1691][1]~50582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1691][1]~50583\ : std_logic;
SIGNAL \led_flash_cnt[1691][2]~50584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1691][2]~50585\ : std_logic;
SIGNAL \led_flash_cnt[1691][3]~50586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1691][3]~50587\ : std_logic;
SIGNAL \led_flash_cnt[1691][4]~50588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1691][4]~50589\ : std_logic;
SIGNAL \led_flash_cnt[1691][5]~50590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1691][5]~50591\ : std_logic;
SIGNAL \led_flash_cnt[1691][6]~50592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][6]~q\ : std_logic;
SIGNAL \WideAnd1691~1_combout\ : std_logic;
SIGNAL \WideAnd1691~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][6]~50593\ : std_logic;
SIGNAL \led_flash_cnt[1691][7]~50594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1691][7]~q\ : std_logic;
SIGNAL \WideAnd1691~combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][0]~82331_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1689][1]~50554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1689][1]~50555\ : std_logic;
SIGNAL \led_flash_cnt[1689][2]~50556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1689][2]~50557\ : std_logic;
SIGNAL \led_flash_cnt[1689][3]~50558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1689][3]~50559\ : std_logic;
SIGNAL \led_flash_cnt[1689][4]~50560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][4]~q\ : std_logic;
SIGNAL \WideAnd1689~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][4]~50561\ : std_logic;
SIGNAL \led_flash_cnt[1689][5]~50562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1689][5]~50563\ : std_logic;
SIGNAL \led_flash_cnt[1689][6]~50564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1689][6]~50565\ : std_logic;
SIGNAL \led_flash_cnt[1689][7]~50566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1689][7]~q\ : std_logic;
SIGNAL \WideAnd1689~1_combout\ : std_logic;
SIGNAL \WideAnd1689~combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][0]~82330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1688][1]~50540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1688][1]~50541\ : std_logic;
SIGNAL \led_flash_cnt[1688][2]~50542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1688][2]~50543\ : std_logic;
SIGNAL \led_flash_cnt[1688][3]~50544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1688][3]~50545\ : std_logic;
SIGNAL \led_flash_cnt[1688][4]~50546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1688][4]~50547\ : std_logic;
SIGNAL \led_flash_cnt[1688][5]~50548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1688][5]~50549\ : std_logic;
SIGNAL \led_flash_cnt[1688][6]~50550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1688][6]~50551\ : std_logic;
SIGNAL \led_flash_cnt[1688][7]~50552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1688][7]~q\ : std_logic;
SIGNAL \WideAnd1688~0_combout\ : std_logic;
SIGNAL \WideAnd1688~1_combout\ : std_logic;
SIGNAL \WideAnd1688~combout\ : std_logic;
SIGNAL \WideAnd4051~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][0]~82335_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1693][1]~50610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1693][1]~50611\ : std_logic;
SIGNAL \led_flash_cnt[1693][2]~50612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1693][2]~50613\ : std_logic;
SIGNAL \led_flash_cnt[1693][3]~50614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1693][3]~50615\ : std_logic;
SIGNAL \led_flash_cnt[1693][4]~50616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][4]~q\ : std_logic;
SIGNAL \WideAnd1693~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][4]~50617\ : std_logic;
SIGNAL \led_flash_cnt[1693][5]~50618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1693][5]~50619\ : std_logic;
SIGNAL \led_flash_cnt[1693][6]~50620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][6]~q\ : std_logic;
SIGNAL \WideAnd1693~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][6]~50621\ : std_logic;
SIGNAL \led_flash_cnt[1693][7]~50622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1693][7]~q\ : std_logic;
SIGNAL \WideAnd1693~combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][0]~82334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1695][1]~50596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1695][1]~50597\ : std_logic;
SIGNAL \led_flash_cnt[1695][2]~50598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1695][2]~50599\ : std_logic;
SIGNAL \led_flash_cnt[1695][3]~50600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1695][3]~50601\ : std_logic;
SIGNAL \led_flash_cnt[1695][4]~50602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1695][4]~50603\ : std_logic;
SIGNAL \led_flash_cnt[1695][5]~50604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1695][5]~50605\ : std_logic;
SIGNAL \led_flash_cnt[1695][6]~50606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][6]~q\ : std_logic;
SIGNAL \WideAnd1695~1_combout\ : std_logic;
SIGNAL \WideAnd1695~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][6]~50607\ : std_logic;
SIGNAL \led_flash_cnt[1695][7]~50608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1695][7]~q\ : std_logic;
SIGNAL \WideAnd1695~combout\ : std_logic;
SIGNAL \WideAnd4051~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][0]~82329_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1692][1]~50526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1692][1]~50527\ : std_logic;
SIGNAL \led_flash_cnt[1692][2]~50528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1692][2]~50529\ : std_logic;
SIGNAL \led_flash_cnt[1692][3]~50530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1692][3]~50531\ : std_logic;
SIGNAL \led_flash_cnt[1692][4]~50532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1692][4]~50533\ : std_logic;
SIGNAL \led_flash_cnt[1692][5]~50534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1692][5]~50535\ : std_logic;
SIGNAL \led_flash_cnt[1692][6]~50536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][6]~q\ : std_logic;
SIGNAL \WideAnd1692~1_combout\ : std_logic;
SIGNAL \WideAnd1692~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][6]~50537\ : std_logic;
SIGNAL \led_flash_cnt[1692][7]~50538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1692][7]~q\ : std_logic;
SIGNAL \WideAnd1692~combout\ : std_logic;
SIGNAL \WideAnd4051~combout\ : std_logic;
SIGNAL \WideAnd4346~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][0]~82366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1726][1]~51044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1726][1]~51045\ : std_logic;
SIGNAL \led_flash_cnt[1726][2]~51046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1726][2]~51047\ : std_logic;
SIGNAL \led_flash_cnt[1726][3]~51048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1726][3]~51049\ : std_logic;
SIGNAL \led_flash_cnt[1726][4]~51050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1726][4]~51051\ : std_logic;
SIGNAL \led_flash_cnt[1726][5]~51052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1726][5]~51053\ : std_logic;
SIGNAL \led_flash_cnt[1726][6]~51054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][6]~q\ : std_logic;
SIGNAL \WideAnd1726~1_combout\ : std_logic;
SIGNAL \WideAnd1726~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][6]~51055\ : std_logic;
SIGNAL \led_flash_cnt[1726][7]~51056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1726][7]~q\ : std_logic;
SIGNAL \WideAnd1726~combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][0]~82361_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1721][1]~50974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1721][1]~50975\ : std_logic;
SIGNAL \led_flash_cnt[1721][2]~50976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1721][2]~50977\ : std_logic;
SIGNAL \led_flash_cnt[1721][3]~50978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1721][3]~50979\ : std_logic;
SIGNAL \led_flash_cnt[1721][4]~50980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][4]~q\ : std_logic;
SIGNAL \WideAnd1721~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][4]~50981\ : std_logic;
SIGNAL \led_flash_cnt[1721][5]~50982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1721][5]~50983\ : std_logic;
SIGNAL \led_flash_cnt[1721][6]~50984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][6]~q\ : std_logic;
SIGNAL \WideAnd1721~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][6]~50985\ : std_logic;
SIGNAL \led_flash_cnt[1721][7]~50986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1721][7]~q\ : std_logic;
SIGNAL \WideAnd1721~combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][0]~82362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1722][1]~50988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1722][1]~50989\ : std_logic;
SIGNAL \led_flash_cnt[1722][2]~50990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1722][2]~50991\ : std_logic;
SIGNAL \led_flash_cnt[1722][3]~50992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1722][3]~50993\ : std_logic;
SIGNAL \led_flash_cnt[1722][4]~50994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1722][4]~50995\ : std_logic;
SIGNAL \led_flash_cnt[1722][5]~50996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1722][5]~50997\ : std_logic;
SIGNAL \led_flash_cnt[1722][6]~50998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][6]~q\ : std_logic;
SIGNAL \WideAnd1722~1_combout\ : std_logic;
SIGNAL \WideAnd1722~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][6]~50999\ : std_logic;
SIGNAL \led_flash_cnt[1722][7]~51000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1722][7]~q\ : std_logic;
SIGNAL \WideAnd1722~combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][0]~82363_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1723][1]~51002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1723][1]~51003\ : std_logic;
SIGNAL \led_flash_cnt[1723][2]~51004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1723][2]~51005\ : std_logic;
SIGNAL \led_flash_cnt[1723][3]~51006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1723][3]~51007\ : std_logic;
SIGNAL \led_flash_cnt[1723][4]~51008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][4]~q\ : std_logic;
SIGNAL \WideAnd1723~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][4]~51009\ : std_logic;
SIGNAL \led_flash_cnt[1723][5]~51010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1723][5]~51011\ : std_logic;
SIGNAL \led_flash_cnt[1723][6]~51012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1723][6]~51013\ : std_logic;
SIGNAL \led_flash_cnt[1723][7]~51014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1723][7]~q\ : std_logic;
SIGNAL \WideAnd1723~1_combout\ : std_logic;
SIGNAL \WideAnd1723~combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][0]~82360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1720][1]~50960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1720][1]~50961\ : std_logic;
SIGNAL \led_flash_cnt[1720][2]~50962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1720][2]~50963\ : std_logic;
SIGNAL \led_flash_cnt[1720][3]~50964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1720][3]~50965\ : std_logic;
SIGNAL \led_flash_cnt[1720][4]~50966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][4]~q\ : std_logic;
SIGNAL \WideAnd1720~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][4]~50967\ : std_logic;
SIGNAL \led_flash_cnt[1720][5]~50968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1720][5]~50969\ : std_logic;
SIGNAL \led_flash_cnt[1720][6]~50970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][6]~q\ : std_logic;
SIGNAL \WideAnd1720~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][6]~50971\ : std_logic;
SIGNAL \led_flash_cnt[1720][7]~50972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1720][7]~q\ : std_logic;
SIGNAL \WideAnd1720~combout\ : std_logic;
SIGNAL \WideAnd4055~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][0]~82367_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1727][1]~51058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1727][1]~51059\ : std_logic;
SIGNAL \led_flash_cnt[1727][2]~51060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1727][2]~51061\ : std_logic;
SIGNAL \led_flash_cnt[1727][3]~51062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1727][3]~51063\ : std_logic;
SIGNAL \led_flash_cnt[1727][4]~51064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1727][4]~51065\ : std_logic;
SIGNAL \led_flash_cnt[1727][5]~51066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1727][5]~51067\ : std_logic;
SIGNAL \led_flash_cnt[1727][6]~51068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1727][6]~51069\ : std_logic;
SIGNAL \led_flash_cnt[1727][7]~51070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1727][7]~q\ : std_logic;
SIGNAL \WideAnd1727~1_combout\ : std_logic;
SIGNAL \WideAnd1727~0_combout\ : std_logic;
SIGNAL \WideAnd1727~combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][0]~82365_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1725][1]~51030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1725][1]~51031\ : std_logic;
SIGNAL \led_flash_cnt[1725][2]~51032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1725][2]~51033\ : std_logic;
SIGNAL \led_flash_cnt[1725][3]~51034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1725][3]~51035\ : std_logic;
SIGNAL \led_flash_cnt[1725][4]~51036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1725][4]~51037\ : std_logic;
SIGNAL \led_flash_cnt[1725][5]~51038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1725][5]~51039\ : std_logic;
SIGNAL \led_flash_cnt[1725][6]~51040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][6]~q\ : std_logic;
SIGNAL \WideAnd1725~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][6]~51041\ : std_logic;
SIGNAL \led_flash_cnt[1725][7]~51042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1725][7]~q\ : std_logic;
SIGNAL \WideAnd1725~0_combout\ : std_logic;
SIGNAL \WideAnd1725~combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][0]~82364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1724][1]~51016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1724][1]~51017\ : std_logic;
SIGNAL \led_flash_cnt[1724][2]~51018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1724][2]~51019\ : std_logic;
SIGNAL \led_flash_cnt[1724][3]~51020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1724][3]~51021\ : std_logic;
SIGNAL \led_flash_cnt[1724][4]~51022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1724][4]~51023\ : std_logic;
SIGNAL \led_flash_cnt[1724][5]~51024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1724][5]~51025\ : std_logic;
SIGNAL \led_flash_cnt[1724][6]~51026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][6]~q\ : std_logic;
SIGNAL \WideAnd1724~1_combout\ : std_logic;
SIGNAL \WideAnd1724~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][6]~51027\ : std_logic;
SIGNAL \led_flash_cnt[1724][7]~51028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1724][7]~q\ : std_logic;
SIGNAL \WideAnd1724~combout\ : std_logic;
SIGNAL \WideAnd4055~1_combout\ : std_logic;
SIGNAL \WideAnd4055~combout\ : std_logic;
SIGNAL \WideAnd4346~combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][0]~82425_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1785][1]~51870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1785][1]~51871\ : std_logic;
SIGNAL \led_flash_cnt[1785][2]~51872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1785][2]~51873\ : std_logic;
SIGNAL \led_flash_cnt[1785][3]~51874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1785][3]~51875\ : std_logic;
SIGNAL \led_flash_cnt[1785][4]~51876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][4]~q\ : std_logic;
SIGNAL \WideAnd1785~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][4]~51877\ : std_logic;
SIGNAL \led_flash_cnt[1785][5]~51878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1785][5]~51879\ : std_logic;
SIGNAL \led_flash_cnt[1785][6]~51880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1785][6]~51881\ : std_logic;
SIGNAL \led_flash_cnt[1785][7]~51882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1785][7]~q\ : std_logic;
SIGNAL \WideAnd1785~1_combout\ : std_logic;
SIGNAL \WideAnd1785~combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][0]~82426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1786][1]~51884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1786][1]~51885\ : std_logic;
SIGNAL \led_flash_cnt[1786][2]~51886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1786][2]~51887\ : std_logic;
SIGNAL \led_flash_cnt[1786][3]~51888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1786][3]~51889\ : std_logic;
SIGNAL \led_flash_cnt[1786][4]~51890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1786][4]~51891\ : std_logic;
SIGNAL \led_flash_cnt[1786][5]~51892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1786][5]~51893\ : std_logic;
SIGNAL \led_flash_cnt[1786][6]~51894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1786][6]~51895\ : std_logic;
SIGNAL \led_flash_cnt[1786][7]~51896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1786][7]~q\ : std_logic;
SIGNAL \WideAnd1786~1_combout\ : std_logic;
SIGNAL \WideAnd1786~0_combout\ : std_logic;
SIGNAL \WideAnd1786~combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][0]~82424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1784][1]~51856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1784][1]~51857\ : std_logic;
SIGNAL \led_flash_cnt[1784][2]~51858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1784][2]~51859\ : std_logic;
SIGNAL \led_flash_cnt[1784][3]~51860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1784][3]~51861\ : std_logic;
SIGNAL \led_flash_cnt[1784][4]~51862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][4]~q\ : std_logic;
SIGNAL \WideAnd1784~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][4]~51863\ : std_logic;
SIGNAL \led_flash_cnt[1784][5]~51864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1784][5]~51865\ : std_logic;
SIGNAL \led_flash_cnt[1784][6]~51866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][6]~q\ : std_logic;
SIGNAL \WideAnd1784~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][6]~51867\ : std_logic;
SIGNAL \led_flash_cnt[1784][7]~51868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1784][7]~q\ : std_logic;
SIGNAL \WideAnd1784~combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][0]~82427_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1787][1]~51898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1787][1]~51899\ : std_logic;
SIGNAL \led_flash_cnt[1787][2]~51900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1787][2]~51901\ : std_logic;
SIGNAL \led_flash_cnt[1787][3]~51902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1787][3]~51903\ : std_logic;
SIGNAL \led_flash_cnt[1787][4]~51904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1787][4]~51905\ : std_logic;
SIGNAL \led_flash_cnt[1787][5]~51906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1787][5]~51907\ : std_logic;
SIGNAL \led_flash_cnt[1787][6]~51908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][6]~q\ : std_logic;
SIGNAL \WideAnd1787~1_combout\ : std_logic;
SIGNAL \WideAnd1787~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][6]~51909\ : std_logic;
SIGNAL \led_flash_cnt[1787][7]~51910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1787][7]~q\ : std_logic;
SIGNAL \WideAnd1787~combout\ : std_logic;
SIGNAL \WideAnd4063~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][0]~82430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1790][1]~51940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1790][1]~51941\ : std_logic;
SIGNAL \led_flash_cnt[1790][2]~51942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1790][2]~51943\ : std_logic;
SIGNAL \led_flash_cnt[1790][3]~51944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1790][3]~51945\ : std_logic;
SIGNAL \led_flash_cnt[1790][4]~51946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][4]~q\ : std_logic;
SIGNAL \WideAnd1790~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][4]~51947\ : std_logic;
SIGNAL \led_flash_cnt[1790][5]~51948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1790][5]~51949\ : std_logic;
SIGNAL \led_flash_cnt[1790][6]~51950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][6]~q\ : std_logic;
SIGNAL \WideAnd1790~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][6]~51951\ : std_logic;
SIGNAL \led_flash_cnt[1790][7]~51952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1790][7]~q\ : std_logic;
SIGNAL \WideAnd1790~combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][0]~82428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1788][1]~51912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1788][1]~51913\ : std_logic;
SIGNAL \led_flash_cnt[1788][2]~51914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1788][2]~51915\ : std_logic;
SIGNAL \led_flash_cnt[1788][3]~51916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1788][3]~51917\ : std_logic;
SIGNAL \led_flash_cnt[1788][4]~51918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1788][4]~51919\ : std_logic;
SIGNAL \led_flash_cnt[1788][5]~51920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1788][5]~51921\ : std_logic;
SIGNAL \led_flash_cnt[1788][6]~51922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1788][6]~51923\ : std_logic;
SIGNAL \led_flash_cnt[1788][7]~51924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1788][7]~q\ : std_logic;
SIGNAL \WideAnd1788~1_combout\ : std_logic;
SIGNAL \WideAnd1788~0_combout\ : std_logic;
SIGNAL \WideAnd1788~combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][0]~82429_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1789][1]~51926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1789][1]~51927\ : std_logic;
SIGNAL \led_flash_cnt[1789][2]~51928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1789][2]~51929\ : std_logic;
SIGNAL \led_flash_cnt[1789][3]~51930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1789][3]~51931\ : std_logic;
SIGNAL \led_flash_cnt[1789][4]~51932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1789][4]~51933\ : std_logic;
SIGNAL \led_flash_cnt[1789][5]~51934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1789][5]~51935\ : std_logic;
SIGNAL \led_flash_cnt[1789][6]~51936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][6]~q\ : std_logic;
SIGNAL \WideAnd1789~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][6]~51937\ : std_logic;
SIGNAL \led_flash_cnt[1789][7]~51938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1789][7]~q\ : std_logic;
SIGNAL \WideAnd1789~0_combout\ : std_logic;
SIGNAL \WideAnd1789~combout\ : std_logic;
SIGNAL \WideAnd4063~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][0]~82431_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1791][1]~51954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1791][1]~51955\ : std_logic;
SIGNAL \led_flash_cnt[1791][2]~51956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1791][2]~51957\ : std_logic;
SIGNAL \led_flash_cnt[1791][3]~51958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1791][3]~51959\ : std_logic;
SIGNAL \led_flash_cnt[1791][4]~51960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1791][4]~51961\ : std_logic;
SIGNAL \led_flash_cnt[1791][5]~51962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1791][5]~51963\ : std_logic;
SIGNAL \led_flash_cnt[1791][6]~51964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][6]~q\ : std_logic;
SIGNAL \WideAnd1791~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][6]~51965\ : std_logic;
SIGNAL \led_flash_cnt[1791][7]~51966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1791][7]~q\ : std_logic;
SIGNAL \WideAnd1791~0_combout\ : std_logic;
SIGNAL \WideAnd1791~combout\ : std_logic;
SIGNAL \WideAnd4063~combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][0]~82413_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1773][1]~51702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1773][1]~51703\ : std_logic;
SIGNAL \led_flash_cnt[1773][2]~51704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1773][2]~51705\ : std_logic;
SIGNAL \led_flash_cnt[1773][3]~51706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1773][3]~51707\ : std_logic;
SIGNAL \led_flash_cnt[1773][4]~51708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1773][4]~51709\ : std_logic;
SIGNAL \led_flash_cnt[1773][5]~51710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][5]~q\ : std_logic;
SIGNAL \WideAnd1773~1_combout\ : std_logic;
SIGNAL \WideAnd1773~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][5]~51711\ : std_logic;
SIGNAL \led_flash_cnt[1773][6]~51712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1773][6]~51713\ : std_logic;
SIGNAL \led_flash_cnt[1773][7]~51714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1773][7]~q\ : std_logic;
SIGNAL \WideAnd1773~combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][0]~82412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1772][1]~51688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1772][1]~51689\ : std_logic;
SIGNAL \led_flash_cnt[1772][2]~51690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1772][2]~51691\ : std_logic;
SIGNAL \led_flash_cnt[1772][3]~51692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1772][3]~51693\ : std_logic;
SIGNAL \led_flash_cnt[1772][4]~51694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1772][4]~51695\ : std_logic;
SIGNAL \led_flash_cnt[1772][5]~51696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1772][5]~51697\ : std_logic;
SIGNAL \led_flash_cnt[1772][6]~51698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][6]~q\ : std_logic;
SIGNAL \WideAnd1772~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][6]~51699\ : std_logic;
SIGNAL \led_flash_cnt[1772][7]~51700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1772][7]~q\ : std_logic;
SIGNAL \WideAnd1772~0_combout\ : std_logic;
SIGNAL \WideAnd1772~combout\ : std_logic;
SIGNAL \WideAnd4061~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][0]~82410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1770][1]~51660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1770][1]~51661\ : std_logic;
SIGNAL \led_flash_cnt[1770][2]~51662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1770][2]~51663\ : std_logic;
SIGNAL \led_flash_cnt[1770][3]~51664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1770][3]~51665\ : std_logic;
SIGNAL \led_flash_cnt[1770][4]~51666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1770][4]~51667\ : std_logic;
SIGNAL \led_flash_cnt[1770][5]~51668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1770][5]~51669\ : std_logic;
SIGNAL \led_flash_cnt[1770][6]~51670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][6]~q\ : std_logic;
SIGNAL \WideAnd1770~1_combout\ : std_logic;
SIGNAL \WideAnd1770~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][6]~51671\ : std_logic;
SIGNAL \led_flash_cnt[1770][7]~51672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1770][7]~q\ : std_logic;
SIGNAL \WideAnd1770~combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][0]~82411_combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1771][1]~51674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1771][1]~51675\ : std_logic;
SIGNAL \led_flash_cnt[1771][2]~51676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1771][2]~51677\ : std_logic;
SIGNAL \led_flash_cnt[1771][3]~51678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1771][3]~51679\ : std_logic;
SIGNAL \led_flash_cnt[1771][4]~51680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1771][4]~51681\ : std_logic;
SIGNAL \led_flash_cnt[1771][5]~51682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1771][5]~51683\ : std_logic;
SIGNAL \led_flash_cnt[1771][6]~51684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1771][6]~51685\ : std_logic;
SIGNAL \led_flash_cnt[1771][7]~51686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1771][7]~q\ : std_logic;
SIGNAL \WideAnd1771~0_combout\ : std_logic;
SIGNAL \WideAnd1771~1_combout\ : std_logic;
SIGNAL \WideAnd1771~combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][0]~82409_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1769][1]~51646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1769][1]~51647\ : std_logic;
SIGNAL \led_flash_cnt[1769][2]~51648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1769][2]~51649\ : std_logic;
SIGNAL \led_flash_cnt[1769][3]~51650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1769][3]~51651\ : std_logic;
SIGNAL \led_flash_cnt[1769][4]~51652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1769][4]~51653\ : std_logic;
SIGNAL \led_flash_cnt[1769][5]~51654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1769][5]~51655\ : std_logic;
SIGNAL \led_flash_cnt[1769][6]~51656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][6]~q\ : std_logic;
SIGNAL \WideAnd1769~1_combout\ : std_logic;
SIGNAL \WideAnd1769~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][6]~51657\ : std_logic;
SIGNAL \led_flash_cnt[1769][7]~51658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1769][7]~q\ : std_logic;
SIGNAL \WideAnd1769~combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][0]~82408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1768][1]~51632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1768][1]~51633\ : std_logic;
SIGNAL \led_flash_cnt[1768][2]~51634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1768][2]~51635\ : std_logic;
SIGNAL \led_flash_cnt[1768][3]~51636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1768][3]~51637\ : std_logic;
SIGNAL \led_flash_cnt[1768][4]~51638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1768][4]~51639\ : std_logic;
SIGNAL \led_flash_cnt[1768][5]~51640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1768][5]~51641\ : std_logic;
SIGNAL \led_flash_cnt[1768][6]~51642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1768][6]~51643\ : std_logic;
SIGNAL \led_flash_cnt[1768][7]~51644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1768][7]~q\ : std_logic;
SIGNAL \WideAnd1768~0_combout\ : std_logic;
SIGNAL \WideAnd1768~1_combout\ : std_logic;
SIGNAL \WideAnd1768~combout\ : std_logic;
SIGNAL \WideAnd4061~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][0]~82415_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1775][1]~51730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1775][1]~51731\ : std_logic;
SIGNAL \led_flash_cnt[1775][2]~51732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1775][2]~51733\ : std_logic;
SIGNAL \led_flash_cnt[1775][3]~51734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1775][3]~51735\ : std_logic;
SIGNAL \led_flash_cnt[1775][4]~51736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][4]~q\ : std_logic;
SIGNAL \WideAnd1775~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][4]~51737\ : std_logic;
SIGNAL \led_flash_cnt[1775][5]~51738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1775][5]~51739\ : std_logic;
SIGNAL \led_flash_cnt[1775][6]~51740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1775][6]~51741\ : std_logic;
SIGNAL \led_flash_cnt[1775][7]~51742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1775][7]~q\ : std_logic;
SIGNAL \WideAnd1775~1_combout\ : std_logic;
SIGNAL \WideAnd1775~combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][0]~82414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1774][1]~51716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1774][1]~51717\ : std_logic;
SIGNAL \led_flash_cnt[1774][2]~51718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1774][2]~51719\ : std_logic;
SIGNAL \led_flash_cnt[1774][3]~51720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1774][3]~51721\ : std_logic;
SIGNAL \led_flash_cnt[1774][4]~51722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1774][4]~51723\ : std_logic;
SIGNAL \led_flash_cnt[1774][5]~51724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1774][5]~51725\ : std_logic;
SIGNAL \led_flash_cnt[1774][6]~51726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][6]~q\ : std_logic;
SIGNAL \WideAnd1774~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][6]~51727\ : std_logic;
SIGNAL \led_flash_cnt[1774][7]~51728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1774][7]~q\ : std_logic;
SIGNAL \WideAnd1774~0_combout\ : std_logic;
SIGNAL \WideAnd1774~combout\ : std_logic;
SIGNAL \WideAnd4061~combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][0]~82400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1760][1]~51520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1760][1]~51521\ : std_logic;
SIGNAL \led_flash_cnt[1760][2]~51522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1760][2]~51523\ : std_logic;
SIGNAL \led_flash_cnt[1760][3]~51524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1760][3]~51525\ : std_logic;
SIGNAL \led_flash_cnt[1760][4]~51526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1760][4]~51527\ : std_logic;
SIGNAL \led_flash_cnt[1760][5]~51528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1760][5]~51529\ : std_logic;
SIGNAL \led_flash_cnt[1760][6]~51530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1760][6]~51531\ : std_logic;
SIGNAL \led_flash_cnt[1760][7]~51532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1760][7]~q\ : std_logic;
SIGNAL \WideAnd1760~1_combout\ : std_logic;
SIGNAL \WideAnd1760~0_combout\ : std_logic;
SIGNAL \WideAnd1760~combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][0]~82402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1762][1]~51548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1762][1]~51549\ : std_logic;
SIGNAL \led_flash_cnt[1762][2]~51550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1762][2]~51551\ : std_logic;
SIGNAL \led_flash_cnt[1762][3]~51552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1762][3]~51553\ : std_logic;
SIGNAL \led_flash_cnt[1762][4]~51554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1762][4]~51555\ : std_logic;
SIGNAL \led_flash_cnt[1762][5]~51556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1762][5]~51557\ : std_logic;
SIGNAL \led_flash_cnt[1762][6]~51558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1762][6]~51559\ : std_logic;
SIGNAL \led_flash_cnt[1762][7]~51560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1762][7]~q\ : std_logic;
SIGNAL \WideAnd1762~0_combout\ : std_logic;
SIGNAL \WideAnd1762~1_combout\ : std_logic;
SIGNAL \WideAnd1762~combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][0]~82401_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1761][1]~51534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1761][1]~51535\ : std_logic;
SIGNAL \led_flash_cnt[1761][2]~51536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1761][2]~51537\ : std_logic;
SIGNAL \led_flash_cnt[1761][3]~51538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1761][3]~51539\ : std_logic;
SIGNAL \led_flash_cnt[1761][4]~51540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][4]~q\ : std_logic;
SIGNAL \WideAnd1761~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][4]~51541\ : std_logic;
SIGNAL \led_flash_cnt[1761][5]~51542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1761][5]~51543\ : std_logic;
SIGNAL \led_flash_cnt[1761][6]~51544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1761][6]~51545\ : std_logic;
SIGNAL \led_flash_cnt[1761][7]~51546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1761][7]~q\ : std_logic;
SIGNAL \WideAnd1761~1_combout\ : std_logic;
SIGNAL \WideAnd1761~combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][0]~82403_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1763][1]~51562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1763][1]~51563\ : std_logic;
SIGNAL \led_flash_cnt[1763][2]~51564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1763][2]~51565\ : std_logic;
SIGNAL \led_flash_cnt[1763][3]~51566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1763][3]~51567\ : std_logic;
SIGNAL \led_flash_cnt[1763][4]~51568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][4]~q\ : std_logic;
SIGNAL \WideAnd1763~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][4]~51569\ : std_logic;
SIGNAL \led_flash_cnt[1763][5]~51570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1763][5]~51571\ : std_logic;
SIGNAL \led_flash_cnt[1763][6]~51572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][6]~q\ : std_logic;
SIGNAL \WideAnd1763~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][6]~51573\ : std_logic;
SIGNAL \led_flash_cnt[1763][7]~51574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1763][7]~q\ : std_logic;
SIGNAL \WideAnd1763~combout\ : std_logic;
SIGNAL \WideAnd4060~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][0]~82407_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1767][1]~51618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1767][1]~51619\ : std_logic;
SIGNAL \led_flash_cnt[1767][2]~51620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1767][2]~51621\ : std_logic;
SIGNAL \led_flash_cnt[1767][3]~51622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1767][3]~51623\ : std_logic;
SIGNAL \led_flash_cnt[1767][4]~51624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][4]~q\ : std_logic;
SIGNAL \WideAnd1767~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][4]~51625\ : std_logic;
SIGNAL \led_flash_cnt[1767][5]~51626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1767][5]~51627\ : std_logic;
SIGNAL \led_flash_cnt[1767][6]~51628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][6]~q\ : std_logic;
SIGNAL \WideAnd1767~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][6]~51629\ : std_logic;
SIGNAL \led_flash_cnt[1767][7]~51630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1767][7]~q\ : std_logic;
SIGNAL \WideAnd1767~combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][0]~82405_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1765][1]~51590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1765][1]~51591\ : std_logic;
SIGNAL \led_flash_cnt[1765][2]~51592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1765][2]~51593\ : std_logic;
SIGNAL \led_flash_cnt[1765][3]~51594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1765][3]~51595\ : std_logic;
SIGNAL \led_flash_cnt[1765][4]~51596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1765][4]~51597\ : std_logic;
SIGNAL \led_flash_cnt[1765][5]~51598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1765][5]~51599\ : std_logic;
SIGNAL \led_flash_cnt[1765][6]~51600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][6]~q\ : std_logic;
SIGNAL \WideAnd1765~1_combout\ : std_logic;
SIGNAL \WideAnd1765~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][6]~51601\ : std_logic;
SIGNAL \led_flash_cnt[1765][7]~51602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1765][7]~q\ : std_logic;
SIGNAL \WideAnd1765~combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][0]~82404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1764][1]~51576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1764][1]~51577\ : std_logic;
SIGNAL \led_flash_cnt[1764][2]~51578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1764][2]~51579\ : std_logic;
SIGNAL \led_flash_cnt[1764][3]~51580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1764][3]~51581\ : std_logic;
SIGNAL \led_flash_cnt[1764][4]~51582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1764][4]~51583\ : std_logic;
SIGNAL \led_flash_cnt[1764][5]~51584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1764][5]~51585\ : std_logic;
SIGNAL \led_flash_cnt[1764][6]~51586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][6]~q\ : std_logic;
SIGNAL \WideAnd1764~1_combout\ : std_logic;
SIGNAL \WideAnd1764~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][6]~51587\ : std_logic;
SIGNAL \led_flash_cnt[1764][7]~51588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1764][7]~q\ : std_logic;
SIGNAL \WideAnd1764~combout\ : std_logic;
SIGNAL \WideAnd4060~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][0]~82406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1766][1]~51604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1766][1]~51605\ : std_logic;
SIGNAL \led_flash_cnt[1766][2]~51606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1766][2]~51607\ : std_logic;
SIGNAL \led_flash_cnt[1766][3]~51608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1766][3]~51609\ : std_logic;
SIGNAL \led_flash_cnt[1766][4]~51610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1766][4]~51611\ : std_logic;
SIGNAL \led_flash_cnt[1766][5]~51612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1766][5]~51613\ : std_logic;
SIGNAL \led_flash_cnt[1766][6]~51614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1766][6]~51615\ : std_logic;
SIGNAL \led_flash_cnt[1766][7]~51616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1766][7]~q\ : std_logic;
SIGNAL \WideAnd1766~0_combout\ : std_logic;
SIGNAL \WideAnd1766~1_combout\ : std_logic;
SIGNAL \WideAnd1766~combout\ : std_logic;
SIGNAL \WideAnd4060~combout\ : std_logic;
SIGNAL \WideAnd4347~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][0]~82423_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1783][1]~51842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1783][1]~51843\ : std_logic;
SIGNAL \led_flash_cnt[1783][2]~51844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1783][2]~51845\ : std_logic;
SIGNAL \led_flash_cnt[1783][3]~51846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1783][3]~51847\ : std_logic;
SIGNAL \led_flash_cnt[1783][4]~51848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1783][4]~51849\ : std_logic;
SIGNAL \led_flash_cnt[1783][5]~51850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1783][5]~51851\ : std_logic;
SIGNAL \led_flash_cnt[1783][6]~51852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][6]~q\ : std_logic;
SIGNAL \WideAnd1783~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][6]~51853\ : std_logic;
SIGNAL \led_flash_cnt[1783][7]~51854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1783][7]~q\ : std_logic;
SIGNAL \WideAnd1783~0_combout\ : std_logic;
SIGNAL \WideAnd1783~combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][0]~82422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1782][1]~51828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1782][1]~51829\ : std_logic;
SIGNAL \led_flash_cnt[1782][2]~51830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1782][2]~51831\ : std_logic;
SIGNAL \led_flash_cnt[1782][3]~51832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1782][3]~51833\ : std_logic;
SIGNAL \led_flash_cnt[1782][4]~51834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][4]~q\ : std_logic;
SIGNAL \WideAnd1782~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][4]~51835\ : std_logic;
SIGNAL \led_flash_cnt[1782][5]~51836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1782][5]~51837\ : std_logic;
SIGNAL \led_flash_cnt[1782][6]~51838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1782][6]~51839\ : std_logic;
SIGNAL \led_flash_cnt[1782][7]~51840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1782][7]~q\ : std_logic;
SIGNAL \WideAnd1782~1_combout\ : std_logic;
SIGNAL \WideAnd1782~combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][0]~82421_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1781][1]~51814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1781][1]~51815\ : std_logic;
SIGNAL \led_flash_cnt[1781][2]~51816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1781][2]~51817\ : std_logic;
SIGNAL \led_flash_cnt[1781][3]~51818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1781][3]~51819\ : std_logic;
SIGNAL \led_flash_cnt[1781][4]~51820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][4]~q\ : std_logic;
SIGNAL \WideAnd1781~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][4]~51821\ : std_logic;
SIGNAL \led_flash_cnt[1781][5]~51822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1781][5]~51823\ : std_logic;
SIGNAL \led_flash_cnt[1781][6]~51824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1781][6]~51825\ : std_logic;
SIGNAL \led_flash_cnt[1781][7]~51826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1781][7]~q\ : std_logic;
SIGNAL \WideAnd1781~1_combout\ : std_logic;
SIGNAL \WideAnd1781~combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][0]~82420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1780][1]~51800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1780][1]~51801\ : std_logic;
SIGNAL \led_flash_cnt[1780][2]~51802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1780][2]~51803\ : std_logic;
SIGNAL \led_flash_cnt[1780][3]~51804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1780][3]~51805\ : std_logic;
SIGNAL \led_flash_cnt[1780][4]~51806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1780][4]~51807\ : std_logic;
SIGNAL \led_flash_cnt[1780][5]~51808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1780][5]~51809\ : std_logic;
SIGNAL \led_flash_cnt[1780][6]~51810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1780][6]~51811\ : std_logic;
SIGNAL \led_flash_cnt[1780][7]~51812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1780][7]~q\ : std_logic;
SIGNAL \WideAnd1780~1_combout\ : std_logic;
SIGNAL \WideAnd1780~0_combout\ : std_logic;
SIGNAL \WideAnd1780~combout\ : std_logic;
SIGNAL \WideAnd4062~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][0]~82417_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1777][1]~51758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1777][1]~51759\ : std_logic;
SIGNAL \led_flash_cnt[1777][2]~51760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1777][2]~51761\ : std_logic;
SIGNAL \led_flash_cnt[1777][3]~51762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1777][3]~51763\ : std_logic;
SIGNAL \led_flash_cnt[1777][4]~51764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1777][4]~51765\ : std_logic;
SIGNAL \led_flash_cnt[1777][5]~51766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1777][5]~51767\ : std_logic;
SIGNAL \led_flash_cnt[1777][6]~51768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1777][6]~51769\ : std_logic;
SIGNAL \led_flash_cnt[1777][7]~51770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1777][7]~q\ : std_logic;
SIGNAL \WideAnd1777~0_combout\ : std_logic;
SIGNAL \WideAnd1777~1_combout\ : std_logic;
SIGNAL \WideAnd1777~combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][0]~82419_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1779][1]~51786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1779][1]~51787\ : std_logic;
SIGNAL \led_flash_cnt[1779][2]~51788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1779][2]~51789\ : std_logic;
SIGNAL \led_flash_cnt[1779][3]~51790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1779][3]~51791\ : std_logic;
SIGNAL \led_flash_cnt[1779][4]~51792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1779][4]~51793\ : std_logic;
SIGNAL \led_flash_cnt[1779][5]~51794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1779][5]~51795\ : std_logic;
SIGNAL \led_flash_cnt[1779][6]~51796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][6]~q\ : std_logic;
SIGNAL \WideAnd1779~1_combout\ : std_logic;
SIGNAL \WideAnd1779~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][6]~51797\ : std_logic;
SIGNAL \led_flash_cnt[1779][7]~51798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1779][7]~q\ : std_logic;
SIGNAL \WideAnd1779~combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][0]~82416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1776][1]~51744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1776][1]~51745\ : std_logic;
SIGNAL \led_flash_cnt[1776][2]~51746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1776][2]~51747\ : std_logic;
SIGNAL \led_flash_cnt[1776][3]~51748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1776][3]~51749\ : std_logic;
SIGNAL \led_flash_cnt[1776][4]~51750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1776][4]~51751\ : std_logic;
SIGNAL \led_flash_cnt[1776][5]~51752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1776][5]~51753\ : std_logic;
SIGNAL \led_flash_cnt[1776][6]~51754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][6]~q\ : std_logic;
SIGNAL \WideAnd1776~1_combout\ : std_logic;
SIGNAL \WideAnd1776~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][6]~51755\ : std_logic;
SIGNAL \led_flash_cnt[1776][7]~51756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1776][7]~q\ : std_logic;
SIGNAL \WideAnd1776~combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][0]~82418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1778][1]~51772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1778][1]~51773\ : std_logic;
SIGNAL \led_flash_cnt[1778][2]~51774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1778][2]~51775\ : std_logic;
SIGNAL \led_flash_cnt[1778][3]~51776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1778][3]~51777\ : std_logic;
SIGNAL \led_flash_cnt[1778][4]~51778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][4]~q\ : std_logic;
SIGNAL \WideAnd1778~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][4]~51779\ : std_logic;
SIGNAL \led_flash_cnt[1778][5]~51780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1778][5]~51781\ : std_logic;
SIGNAL \led_flash_cnt[1778][6]~51782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1778][6]~51783\ : std_logic;
SIGNAL \led_flash_cnt[1778][7]~51784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1778][7]~q\ : std_logic;
SIGNAL \WideAnd1778~1_combout\ : std_logic;
SIGNAL \WideAnd1778~combout\ : std_logic;
SIGNAL \WideAnd4062~0_combout\ : std_logic;
SIGNAL \WideAnd4062~combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][0]~82390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1750][1]~51380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1750][1]~51381\ : std_logic;
SIGNAL \led_flash_cnt[1750][2]~51382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1750][2]~51383\ : std_logic;
SIGNAL \led_flash_cnt[1750][3]~51384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1750][3]~51385\ : std_logic;
SIGNAL \led_flash_cnt[1750][4]~51386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][4]~q\ : std_logic;
SIGNAL \WideAnd1750~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][4]~51387\ : std_logic;
SIGNAL \led_flash_cnt[1750][5]~51388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1750][5]~51389\ : std_logic;
SIGNAL \led_flash_cnt[1750][6]~51390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1750][6]~51391\ : std_logic;
SIGNAL \led_flash_cnt[1750][7]~51392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1750][7]~q\ : std_logic;
SIGNAL \WideAnd1750~1_combout\ : std_logic;
SIGNAL \WideAnd1750~combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][0]~82389_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1749][1]~51366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1749][1]~51367\ : std_logic;
SIGNAL \led_flash_cnt[1749][2]~51368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1749][2]~51369\ : std_logic;
SIGNAL \led_flash_cnt[1749][3]~51370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1749][3]~51371\ : std_logic;
SIGNAL \led_flash_cnt[1749][4]~51372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][4]~q\ : std_logic;
SIGNAL \WideAnd1749~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][4]~51373\ : std_logic;
SIGNAL \led_flash_cnt[1749][5]~51374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1749][5]~51375\ : std_logic;
SIGNAL \led_flash_cnt[1749][6]~51376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1749][6]~51377\ : std_logic;
SIGNAL \led_flash_cnt[1749][7]~51378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1749][7]~q\ : std_logic;
SIGNAL \WideAnd1749~1_combout\ : std_logic;
SIGNAL \WideAnd1749~combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][0]~82388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1748][1]~51352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1748][1]~51353\ : std_logic;
SIGNAL \led_flash_cnt[1748][2]~51354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1748][2]~51355\ : std_logic;
SIGNAL \led_flash_cnt[1748][3]~51356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1748][3]~51357\ : std_logic;
SIGNAL \led_flash_cnt[1748][4]~51358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][4]~q\ : std_logic;
SIGNAL \WideAnd1748~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][4]~51359\ : std_logic;
SIGNAL \led_flash_cnt[1748][5]~51360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1748][5]~51361\ : std_logic;
SIGNAL \led_flash_cnt[1748][6]~51362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1748][6]~51363\ : std_logic;
SIGNAL \led_flash_cnt[1748][7]~51364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1748][7]~q\ : std_logic;
SIGNAL \WideAnd1748~1_combout\ : std_logic;
SIGNAL \WideAnd1748~combout\ : std_logic;
SIGNAL \WideAnd4058~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][0]~82384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1744][1]~51296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1744][1]~51297\ : std_logic;
SIGNAL \led_flash_cnt[1744][2]~51298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1744][2]~51299\ : std_logic;
SIGNAL \led_flash_cnt[1744][3]~51300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1744][3]~51301\ : std_logic;
SIGNAL \led_flash_cnt[1744][4]~51302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1744][4]~51303\ : std_logic;
SIGNAL \led_flash_cnt[1744][5]~51304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1744][5]~51305\ : std_logic;
SIGNAL \led_flash_cnt[1744][6]~51306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][6]~q\ : std_logic;
SIGNAL \WideAnd1744~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][6]~51307\ : std_logic;
SIGNAL \led_flash_cnt[1744][7]~51308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1744][7]~q\ : std_logic;
SIGNAL \WideAnd1744~0_combout\ : std_logic;
SIGNAL \WideAnd1744~combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][0]~82385_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1745][1]~51310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1745][1]~51311\ : std_logic;
SIGNAL \led_flash_cnt[1745][2]~51312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1745][2]~51313\ : std_logic;
SIGNAL \led_flash_cnt[1745][3]~51314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1745][3]~51315\ : std_logic;
SIGNAL \led_flash_cnt[1745][4]~51316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][4]~q\ : std_logic;
SIGNAL \WideAnd1745~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][4]~51317\ : std_logic;
SIGNAL \led_flash_cnt[1745][5]~51318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1745][5]~51319\ : std_logic;
SIGNAL \led_flash_cnt[1745][6]~51320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1745][6]~51321\ : std_logic;
SIGNAL \led_flash_cnt[1745][7]~51322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1745][7]~q\ : std_logic;
SIGNAL \WideAnd1745~1_combout\ : std_logic;
SIGNAL \WideAnd1745~combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][0]~82387_combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1747][1]~51338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1747][1]~51339\ : std_logic;
SIGNAL \led_flash_cnt[1747][2]~51340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1747][2]~51341\ : std_logic;
SIGNAL \led_flash_cnt[1747][3]~51342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1747][3]~51343\ : std_logic;
SIGNAL \led_flash_cnt[1747][4]~51344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1747][4]~51345\ : std_logic;
SIGNAL \led_flash_cnt[1747][5]~51346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1747][5]~51347\ : std_logic;
SIGNAL \led_flash_cnt[1747][6]~51348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1747][6]~51349\ : std_logic;
SIGNAL \led_flash_cnt[1747][7]~51350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1747][7]~q\ : std_logic;
SIGNAL \WideAnd1747~0_combout\ : std_logic;
SIGNAL \WideAnd1747~1_combout\ : std_logic;
SIGNAL \WideAnd1747~combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][0]~82386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1746][1]~51324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1746][1]~51325\ : std_logic;
SIGNAL \led_flash_cnt[1746][2]~51326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1746][2]~51327\ : std_logic;
SIGNAL \led_flash_cnt[1746][3]~51328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1746][3]~51329\ : std_logic;
SIGNAL \led_flash_cnt[1746][4]~51330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1746][4]~51331\ : std_logic;
SIGNAL \led_flash_cnt[1746][5]~51332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1746][5]~51333\ : std_logic;
SIGNAL \led_flash_cnt[1746][6]~51334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1746][6]~51335\ : std_logic;
SIGNAL \led_flash_cnt[1746][7]~51336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1746][7]~q\ : std_logic;
SIGNAL \WideAnd1746~0_combout\ : std_logic;
SIGNAL \WideAnd1746~1_combout\ : std_logic;
SIGNAL \WideAnd1746~combout\ : std_logic;
SIGNAL \WideAnd4058~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][0]~82391_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1751][1]~51394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1751][1]~51395\ : std_logic;
SIGNAL \led_flash_cnt[1751][2]~51396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1751][2]~51397\ : std_logic;
SIGNAL \led_flash_cnt[1751][3]~51398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1751][3]~51399\ : std_logic;
SIGNAL \led_flash_cnt[1751][4]~51400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1751][4]~51401\ : std_logic;
SIGNAL \led_flash_cnt[1751][5]~51402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1751][5]~51403\ : std_logic;
SIGNAL \led_flash_cnt[1751][6]~51404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1751][6]~51405\ : std_logic;
SIGNAL \led_flash_cnt[1751][7]~51406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1751][7]~q\ : std_logic;
SIGNAL \WideAnd1751~1_combout\ : std_logic;
SIGNAL \WideAnd1751~0_combout\ : std_logic;
SIGNAL \WideAnd1751~combout\ : std_logic;
SIGNAL \WideAnd4058~combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][0]~82394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1754][1]~51436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1754][1]~51437\ : std_logic;
SIGNAL \led_flash_cnt[1754][2]~51438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1754][2]~51439\ : std_logic;
SIGNAL \led_flash_cnt[1754][3]~51440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1754][3]~51441\ : std_logic;
SIGNAL \led_flash_cnt[1754][4]~51442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1754][4]~51443\ : std_logic;
SIGNAL \led_flash_cnt[1754][5]~51444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1754][5]~51445\ : std_logic;
SIGNAL \led_flash_cnt[1754][6]~51446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][6]~q\ : std_logic;
SIGNAL \WideAnd1754~1_combout\ : std_logic;
SIGNAL \WideAnd1754~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][6]~51447\ : std_logic;
SIGNAL \led_flash_cnt[1754][7]~51448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1754][7]~q\ : std_logic;
SIGNAL \WideAnd1754~combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][0]~82392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1752][1]~51408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1752][1]~51409\ : std_logic;
SIGNAL \led_flash_cnt[1752][2]~51410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1752][2]~51411\ : std_logic;
SIGNAL \led_flash_cnt[1752][3]~51412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1752][3]~51413\ : std_logic;
SIGNAL \led_flash_cnt[1752][4]~51414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1752][4]~51415\ : std_logic;
SIGNAL \led_flash_cnt[1752][5]~51416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1752][5]~51417\ : std_logic;
SIGNAL \led_flash_cnt[1752][6]~51418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][6]~q\ : std_logic;
SIGNAL \WideAnd1752~1_combout\ : std_logic;
SIGNAL \WideAnd1752~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][6]~51419\ : std_logic;
SIGNAL \led_flash_cnt[1752][7]~51420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1752][7]~q\ : std_logic;
SIGNAL \WideAnd1752~combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][0]~82395_combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1755][1]~51450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1755][1]~51451\ : std_logic;
SIGNAL \led_flash_cnt[1755][2]~51452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1755][2]~51453\ : std_logic;
SIGNAL \led_flash_cnt[1755][3]~51454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1755][3]~51455\ : std_logic;
SIGNAL \led_flash_cnt[1755][4]~51456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1755][4]~51457\ : std_logic;
SIGNAL \led_flash_cnt[1755][5]~51458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1755][5]~51459\ : std_logic;
SIGNAL \led_flash_cnt[1755][6]~51460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1755][6]~51461\ : std_logic;
SIGNAL \led_flash_cnt[1755][7]~51462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1755][7]~q\ : std_logic;
SIGNAL \WideAnd1755~0_combout\ : std_logic;
SIGNAL \WideAnd1755~1_combout\ : std_logic;
SIGNAL \WideAnd1755~combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][0]~82393_combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1753][1]~51422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1753][1]~51423\ : std_logic;
SIGNAL \led_flash_cnt[1753][2]~51424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1753][2]~51425\ : std_logic;
SIGNAL \led_flash_cnt[1753][3]~51426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1753][3]~51427\ : std_logic;
SIGNAL \led_flash_cnt[1753][4]~51428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1753][4]~51429\ : std_logic;
SIGNAL \led_flash_cnt[1753][5]~51430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1753][5]~51431\ : std_logic;
SIGNAL \led_flash_cnt[1753][6]~51432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1753][6]~51433\ : std_logic;
SIGNAL \led_flash_cnt[1753][7]~51434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1753][7]~q\ : std_logic;
SIGNAL \WideAnd1753~1_combout\ : std_logic;
SIGNAL \WideAnd1753~0_combout\ : std_logic;
SIGNAL \WideAnd1753~combout\ : std_logic;
SIGNAL \WideAnd4059~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][0]~82399_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1759][1]~51506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1759][1]~51507\ : std_logic;
SIGNAL \led_flash_cnt[1759][2]~51508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1759][2]~51509\ : std_logic;
SIGNAL \led_flash_cnt[1759][3]~51510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1759][3]~51511\ : std_logic;
SIGNAL \led_flash_cnt[1759][4]~51512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][4]~q\ : std_logic;
SIGNAL \WideAnd1759~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][4]~51513\ : std_logic;
SIGNAL \led_flash_cnt[1759][5]~51514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1759][5]~51515\ : std_logic;
SIGNAL \led_flash_cnt[1759][6]~51516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1759][6]~51517\ : std_logic;
SIGNAL \led_flash_cnt[1759][7]~51518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1759][7]~q\ : std_logic;
SIGNAL \WideAnd1759~1_combout\ : std_logic;
SIGNAL \WideAnd1759~combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][0]~82397_combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1757][1]~51478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1757][1]~51479\ : std_logic;
SIGNAL \led_flash_cnt[1757][2]~51480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1757][2]~51481\ : std_logic;
SIGNAL \led_flash_cnt[1757][3]~51482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1757][3]~51483\ : std_logic;
SIGNAL \led_flash_cnt[1757][4]~51484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1757][4]~51485\ : std_logic;
SIGNAL \led_flash_cnt[1757][5]~51486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1757][5]~51487\ : std_logic;
SIGNAL \led_flash_cnt[1757][6]~51488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1757][6]~51489\ : std_logic;
SIGNAL \led_flash_cnt[1757][7]~51490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1757][7]~q\ : std_logic;
SIGNAL \WideAnd1757~1_combout\ : std_logic;
SIGNAL \WideAnd1757~0_combout\ : std_logic;
SIGNAL \WideAnd1757~combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][0]~82396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1756][1]~51464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1756][1]~51465\ : std_logic;
SIGNAL \led_flash_cnt[1756][2]~51466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1756][2]~51467\ : std_logic;
SIGNAL \led_flash_cnt[1756][3]~51468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1756][3]~51469\ : std_logic;
SIGNAL \led_flash_cnt[1756][4]~51470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1756][4]~51471\ : std_logic;
SIGNAL \led_flash_cnt[1756][5]~51472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1756][5]~51473\ : std_logic;
SIGNAL \led_flash_cnt[1756][6]~51474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1756][6]~51475\ : std_logic;
SIGNAL \led_flash_cnt[1756][7]~51476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1756][7]~q\ : std_logic;
SIGNAL \WideAnd1756~1_combout\ : std_logic;
SIGNAL \WideAnd1756~0_combout\ : std_logic;
SIGNAL \WideAnd1756~combout\ : std_logic;
SIGNAL \WideAnd4059~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][0]~82398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1758][1]~51492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1758][1]~51493\ : std_logic;
SIGNAL \led_flash_cnt[1758][2]~51494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1758][2]~51495\ : std_logic;
SIGNAL \led_flash_cnt[1758][3]~51496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1758][3]~51497\ : std_logic;
SIGNAL \led_flash_cnt[1758][4]~51498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][4]~q\ : std_logic;
SIGNAL \WideAnd1758~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][4]~51499\ : std_logic;
SIGNAL \led_flash_cnt[1758][5]~51500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1758][5]~51501\ : std_logic;
SIGNAL \led_flash_cnt[1758][6]~51502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1758][6]~51503\ : std_logic;
SIGNAL \led_flash_cnt[1758][7]~51504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1758][7]~q\ : std_logic;
SIGNAL \WideAnd1758~1_combout\ : std_logic;
SIGNAL \WideAnd1758~combout\ : std_logic;
SIGNAL \WideAnd4059~combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][0]~82374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1734][1]~51156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1734][1]~51157\ : std_logic;
SIGNAL \led_flash_cnt[1734][2]~51158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1734][2]~51159\ : std_logic;
SIGNAL \led_flash_cnt[1734][3]~51160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1734][3]~51161\ : std_logic;
SIGNAL \led_flash_cnt[1734][4]~51162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][4]~q\ : std_logic;
SIGNAL \WideAnd1734~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][4]~51163\ : std_logic;
SIGNAL \led_flash_cnt[1734][5]~51164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1734][5]~51165\ : std_logic;
SIGNAL \led_flash_cnt[1734][6]~51166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1734][6]~51167\ : std_logic;
SIGNAL \led_flash_cnt[1734][7]~51168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1734][7]~q\ : std_logic;
SIGNAL \WideAnd1734~1_combout\ : std_logic;
SIGNAL \WideAnd1734~combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][0]~82375_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1735][1]~51170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1735][1]~51171\ : std_logic;
SIGNAL \led_flash_cnt[1735][2]~51172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1735][2]~51173\ : std_logic;
SIGNAL \led_flash_cnt[1735][3]~51174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1735][3]~51175\ : std_logic;
SIGNAL \led_flash_cnt[1735][4]~51176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1735][4]~51177\ : std_logic;
SIGNAL \led_flash_cnt[1735][5]~51178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1735][5]~51179\ : std_logic;
SIGNAL \led_flash_cnt[1735][6]~51180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][6]~q\ : std_logic;
SIGNAL \WideAnd1735~1_combout\ : std_logic;
SIGNAL \WideAnd1735~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][6]~51181\ : std_logic;
SIGNAL \led_flash_cnt[1735][7]~51182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1735][7]~q\ : std_logic;
SIGNAL \WideAnd1735~combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][0]~82373_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1733][1]~51142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1733][1]~51143\ : std_logic;
SIGNAL \led_flash_cnt[1733][2]~51144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1733][2]~51145\ : std_logic;
SIGNAL \led_flash_cnt[1733][3]~51146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1733][3]~51147\ : std_logic;
SIGNAL \led_flash_cnt[1733][4]~51148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][4]~q\ : std_logic;
SIGNAL \WideAnd1733~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][4]~51149\ : std_logic;
SIGNAL \led_flash_cnt[1733][5]~51150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1733][5]~51151\ : std_logic;
SIGNAL \led_flash_cnt[1733][6]~51152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1733][6]~51153\ : std_logic;
SIGNAL \led_flash_cnt[1733][7]~51154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1733][7]~q\ : std_logic;
SIGNAL \WideAnd1733~1_combout\ : std_logic;
SIGNAL \WideAnd1733~combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][0]~82372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1732][1]~51128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1732][1]~51129\ : std_logic;
SIGNAL \led_flash_cnt[1732][2]~51130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1732][2]~51131\ : std_logic;
SIGNAL \led_flash_cnt[1732][3]~51132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1732][3]~51133\ : std_logic;
SIGNAL \led_flash_cnt[1732][4]~51134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][4]~q\ : std_logic;
SIGNAL \WideAnd1732~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][4]~51135\ : std_logic;
SIGNAL \led_flash_cnt[1732][5]~51136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1732][5]~51137\ : std_logic;
SIGNAL \led_flash_cnt[1732][6]~51138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][6]~q\ : std_logic;
SIGNAL \WideAnd1732~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][6]~51139\ : std_logic;
SIGNAL \led_flash_cnt[1732][7]~51140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1732][7]~q\ : std_logic;
SIGNAL \WideAnd1732~combout\ : std_logic;
SIGNAL \WideAnd4056~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][0]~82368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1728][1]~51072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1728][1]~51073\ : std_logic;
SIGNAL \led_flash_cnt[1728][2]~51074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1728][2]~51075\ : std_logic;
SIGNAL \led_flash_cnt[1728][3]~51076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1728][3]~51077\ : std_logic;
SIGNAL \led_flash_cnt[1728][4]~51078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1728][4]~51079\ : std_logic;
SIGNAL \led_flash_cnt[1728][5]~51080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1728][5]~51081\ : std_logic;
SIGNAL \led_flash_cnt[1728][6]~51082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1728][6]~51083\ : std_logic;
SIGNAL \led_flash_cnt[1728][7]~51084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1728][7]~q\ : std_logic;
SIGNAL \WideAnd1728~0_combout\ : std_logic;
SIGNAL \WideAnd1728~1_combout\ : std_logic;
SIGNAL \WideAnd1728~combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][0]~82370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1730][1]~51100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1730][1]~51101\ : std_logic;
SIGNAL \led_flash_cnt[1730][2]~51102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1730][2]~51103\ : std_logic;
SIGNAL \led_flash_cnt[1730][3]~51104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1730][3]~51105\ : std_logic;
SIGNAL \led_flash_cnt[1730][4]~51106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1730][4]~51107\ : std_logic;
SIGNAL \led_flash_cnt[1730][5]~51108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1730][5]~51109\ : std_logic;
SIGNAL \led_flash_cnt[1730][6]~51110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1730][6]~51111\ : std_logic;
SIGNAL \led_flash_cnt[1730][7]~51112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1730][7]~q\ : std_logic;
SIGNAL \WideAnd1730~0_combout\ : std_logic;
SIGNAL \WideAnd1730~1_combout\ : std_logic;
SIGNAL \WideAnd1730~combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][0]~82371_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1731][1]~51114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1731][1]~51115\ : std_logic;
SIGNAL \led_flash_cnt[1731][2]~51116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1731][2]~51117\ : std_logic;
SIGNAL \led_flash_cnt[1731][3]~51118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1731][3]~51119\ : std_logic;
SIGNAL \led_flash_cnt[1731][4]~51120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1731][4]~51121\ : std_logic;
SIGNAL \led_flash_cnt[1731][5]~51122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1731][5]~51123\ : std_logic;
SIGNAL \led_flash_cnt[1731][6]~51124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][6]~q\ : std_logic;
SIGNAL \WideAnd1731~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][6]~51125\ : std_logic;
SIGNAL \led_flash_cnt[1731][7]~51126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1731][7]~q\ : std_logic;
SIGNAL \WideAnd1731~0_combout\ : std_logic;
SIGNAL \WideAnd1731~combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][0]~82369_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1729][1]~51086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1729][1]~51087\ : std_logic;
SIGNAL \led_flash_cnt[1729][2]~51088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1729][2]~51089\ : std_logic;
SIGNAL \led_flash_cnt[1729][3]~51090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1729][3]~51091\ : std_logic;
SIGNAL \led_flash_cnt[1729][4]~51092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][4]~q\ : std_logic;
SIGNAL \WideAnd1729~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][4]~51093\ : std_logic;
SIGNAL \led_flash_cnt[1729][5]~51094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1729][5]~51095\ : std_logic;
SIGNAL \led_flash_cnt[1729][6]~51096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1729][6]~51097\ : std_logic;
SIGNAL \led_flash_cnt[1729][7]~51098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1729][7]~q\ : std_logic;
SIGNAL \WideAnd1729~1_combout\ : std_logic;
SIGNAL \WideAnd1729~combout\ : std_logic;
SIGNAL \WideAnd4056~0_combout\ : std_logic;
SIGNAL \WideAnd4056~combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][0]~82377_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1737][1]~51198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1737][1]~51199\ : std_logic;
SIGNAL \led_flash_cnt[1737][2]~51200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1737][2]~51201\ : std_logic;
SIGNAL \led_flash_cnt[1737][3]~51202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1737][3]~51203\ : std_logic;
SIGNAL \led_flash_cnt[1737][4]~51204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1737][4]~51205\ : std_logic;
SIGNAL \led_flash_cnt[1737][5]~51206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1737][5]~51207\ : std_logic;
SIGNAL \led_flash_cnt[1737][6]~51208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][6]~q\ : std_logic;
SIGNAL \WideAnd1737~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][6]~51209\ : std_logic;
SIGNAL \led_flash_cnt[1737][7]~51210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1737][7]~q\ : std_logic;
SIGNAL \WideAnd1737~0_combout\ : std_logic;
SIGNAL \WideAnd1737~combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][0]~82379_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1739][1]~51226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1739][1]~51227\ : std_logic;
SIGNAL \led_flash_cnt[1739][2]~51228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1739][2]~51229\ : std_logic;
SIGNAL \led_flash_cnt[1739][3]~51230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1739][3]~51231\ : std_logic;
SIGNAL \led_flash_cnt[1739][4]~51232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1739][4]~51233\ : std_logic;
SIGNAL \led_flash_cnt[1739][5]~51234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1739][5]~51235\ : std_logic;
SIGNAL \led_flash_cnt[1739][6]~51236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][6]~q\ : std_logic;
SIGNAL \WideAnd1739~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][6]~51237\ : std_logic;
SIGNAL \led_flash_cnt[1739][7]~51238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1739][7]~q\ : std_logic;
SIGNAL \WideAnd1739~0_combout\ : std_logic;
SIGNAL \WideAnd1739~combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][0]~82376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1736][1]~51184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1736][1]~51185\ : std_logic;
SIGNAL \led_flash_cnt[1736][2]~51186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1736][2]~51187\ : std_logic;
SIGNAL \led_flash_cnt[1736][3]~51188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1736][3]~51189\ : std_logic;
SIGNAL \led_flash_cnt[1736][4]~51190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][4]~q\ : std_logic;
SIGNAL \WideAnd1736~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][4]~51191\ : std_logic;
SIGNAL \led_flash_cnt[1736][5]~51192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1736][5]~51193\ : std_logic;
SIGNAL \led_flash_cnt[1736][6]~51194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1736][6]~51195\ : std_logic;
SIGNAL \led_flash_cnt[1736][7]~51196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1736][7]~q\ : std_logic;
SIGNAL \WideAnd1736~1_combout\ : std_logic;
SIGNAL \WideAnd1736~combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][0]~82378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1738][1]~51212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1738][1]~51213\ : std_logic;
SIGNAL \led_flash_cnt[1738][2]~51214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1738][2]~51215\ : std_logic;
SIGNAL \led_flash_cnt[1738][3]~51216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1738][3]~51217\ : std_logic;
SIGNAL \led_flash_cnt[1738][4]~51218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1738][4]~51219\ : std_logic;
SIGNAL \led_flash_cnt[1738][5]~51220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1738][5]~51221\ : std_logic;
SIGNAL \led_flash_cnt[1738][6]~51222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][6]~q\ : std_logic;
SIGNAL \WideAnd1738~1_combout\ : std_logic;
SIGNAL \WideAnd1738~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][6]~51223\ : std_logic;
SIGNAL \led_flash_cnt[1738][7]~51224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1738][7]~q\ : std_logic;
SIGNAL \WideAnd1738~combout\ : std_logic;
SIGNAL \WideAnd4057~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][0]~82381_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1741][1]~51254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1741][1]~51255\ : std_logic;
SIGNAL \led_flash_cnt[1741][2]~51256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1741][2]~51257\ : std_logic;
SIGNAL \led_flash_cnt[1741][3]~51258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1741][3]~51259\ : std_logic;
SIGNAL \led_flash_cnt[1741][4]~51260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][4]~q\ : std_logic;
SIGNAL \WideAnd1741~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][4]~51261\ : std_logic;
SIGNAL \led_flash_cnt[1741][5]~51262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1741][5]~51263\ : std_logic;
SIGNAL \led_flash_cnt[1741][6]~51264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1741][6]~51265\ : std_logic;
SIGNAL \led_flash_cnt[1741][7]~51266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1741][7]~q\ : std_logic;
SIGNAL \WideAnd1741~1_combout\ : std_logic;
SIGNAL \WideAnd1741~combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][0]~82380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1740][1]~51240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1740][1]~51241\ : std_logic;
SIGNAL \led_flash_cnt[1740][2]~51242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1740][2]~51243\ : std_logic;
SIGNAL \led_flash_cnt[1740][3]~51244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1740][3]~51245\ : std_logic;
SIGNAL \led_flash_cnt[1740][4]~51246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1740][4]~51247\ : std_logic;
SIGNAL \led_flash_cnt[1740][5]~51248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1740][5]~51249\ : std_logic;
SIGNAL \led_flash_cnt[1740][6]~51250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][6]~q\ : std_logic;
SIGNAL \WideAnd1740~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][6]~51251\ : std_logic;
SIGNAL \led_flash_cnt[1740][7]~51252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1740][7]~q\ : std_logic;
SIGNAL \WideAnd1740~0_combout\ : std_logic;
SIGNAL \WideAnd1740~combout\ : std_logic;
SIGNAL \WideAnd4057~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][0]~82383_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1743][1]~51282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1743][1]~51283\ : std_logic;
SIGNAL \led_flash_cnt[1743][2]~51284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1743][2]~51285\ : std_logic;
SIGNAL \led_flash_cnt[1743][3]~51286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1743][3]~51287\ : std_logic;
SIGNAL \led_flash_cnt[1743][4]~51288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][4]~q\ : std_logic;
SIGNAL \WideAnd1743~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][4]~51289\ : std_logic;
SIGNAL \led_flash_cnt[1743][5]~51290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1743][5]~51291\ : std_logic;
SIGNAL \led_flash_cnt[1743][6]~51292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][6]~q\ : std_logic;
SIGNAL \WideAnd1743~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][6]~51293\ : std_logic;
SIGNAL \led_flash_cnt[1743][7]~51294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1743][7]~q\ : std_logic;
SIGNAL \WideAnd1743~combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][0]~82382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1742][1]~51268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1742][1]~51269\ : std_logic;
SIGNAL \led_flash_cnt[1742][2]~51270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1742][2]~51271\ : std_logic;
SIGNAL \led_flash_cnt[1742][3]~51272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1742][3]~51273\ : std_logic;
SIGNAL \led_flash_cnt[1742][4]~51274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][4]~q\ : std_logic;
SIGNAL \WideAnd1742~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][4]~51275\ : std_logic;
SIGNAL \led_flash_cnt[1742][5]~51276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1742][5]~51277\ : std_logic;
SIGNAL \led_flash_cnt[1742][6]~51278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][6]~q\ : std_logic;
SIGNAL \WideAnd1742~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][6]~51279\ : std_logic;
SIGNAL \led_flash_cnt[1742][7]~51280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1742][7]~q\ : std_logic;
SIGNAL \WideAnd1742~combout\ : std_logic;
SIGNAL \WideAnd4057~combout\ : std_logic;
SIGNAL \WideAnd4347~0_combout\ : std_logic;
SIGNAL \WideAnd4347~combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][0]~82185_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1545][1]~48510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1545][1]~48511\ : std_logic;
SIGNAL \led_flash_cnt[1545][2]~48512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1545][2]~48513\ : std_logic;
SIGNAL \led_flash_cnt[1545][3]~48514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1545][3]~48515\ : std_logic;
SIGNAL \led_flash_cnt[1545][4]~48516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1545][4]~48517\ : std_logic;
SIGNAL \led_flash_cnt[1545][5]~48518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1545][5]~48519\ : std_logic;
SIGNAL \led_flash_cnt[1545][6]~48520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][6]~q\ : std_logic;
SIGNAL \WideAnd1545~1_combout\ : std_logic;
SIGNAL \WideAnd1545~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][6]~48521\ : std_logic;
SIGNAL \led_flash_cnt[1545][7]~48522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1545][7]~q\ : std_logic;
SIGNAL \WideAnd1545~combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][0]~82186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1546][1]~48524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1546][1]~48525\ : std_logic;
SIGNAL \led_flash_cnt[1546][2]~48526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1546][2]~48527\ : std_logic;
SIGNAL \led_flash_cnt[1546][3]~48528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1546][3]~48529\ : std_logic;
SIGNAL \led_flash_cnt[1546][4]~48530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1546][4]~48531\ : std_logic;
SIGNAL \led_flash_cnt[1546][5]~48532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1546][5]~48533\ : std_logic;
SIGNAL \led_flash_cnt[1546][6]~48534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1546][6]~48535\ : std_logic;
SIGNAL \led_flash_cnt[1546][7]~48536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1546][7]~q\ : std_logic;
SIGNAL \WideAnd1546~1_combout\ : std_logic;
SIGNAL \WideAnd1546~0_combout\ : std_logic;
SIGNAL \WideAnd1546~combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][0]~82187_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1547][1]~48538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1547][1]~48539\ : std_logic;
SIGNAL \led_flash_cnt[1547][2]~48540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1547][2]~48541\ : std_logic;
SIGNAL \led_flash_cnt[1547][3]~48542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1547][3]~48543\ : std_logic;
SIGNAL \led_flash_cnt[1547][4]~48544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1547][4]~48545\ : std_logic;
SIGNAL \led_flash_cnt[1547][5]~48546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1547][5]~48547\ : std_logic;
SIGNAL \led_flash_cnt[1547][6]~48548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][6]~q\ : std_logic;
SIGNAL \WideAnd1547~1_combout\ : std_logic;
SIGNAL \WideAnd1547~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][6]~48549\ : std_logic;
SIGNAL \led_flash_cnt[1547][7]~48550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1547][7]~q\ : std_logic;
SIGNAL \WideAnd1547~combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][0]~82184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1544][1]~48496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1544][1]~48497\ : std_logic;
SIGNAL \led_flash_cnt[1544][2]~48498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1544][2]~48499\ : std_logic;
SIGNAL \led_flash_cnt[1544][3]~48500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1544][3]~48501\ : std_logic;
SIGNAL \led_flash_cnt[1544][4]~48502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][4]~q\ : std_logic;
SIGNAL \WideAnd1544~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][4]~48503\ : std_logic;
SIGNAL \led_flash_cnt[1544][5]~48504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1544][5]~48505\ : std_logic;
SIGNAL \led_flash_cnt[1544][6]~48506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1544][6]~48507\ : std_logic;
SIGNAL \led_flash_cnt[1544][7]~48508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1544][7]~q\ : std_logic;
SIGNAL \WideAnd1544~1_combout\ : std_logic;
SIGNAL \WideAnd1544~combout\ : std_logic;
SIGNAL \WideAnd4033~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][0]~82189_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1549][1]~48566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1549][1]~48567\ : std_logic;
SIGNAL \led_flash_cnt[1549][2]~48568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1549][2]~48569\ : std_logic;
SIGNAL \led_flash_cnt[1549][3]~48570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1549][3]~48571\ : std_logic;
SIGNAL \led_flash_cnt[1549][4]~48572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][4]~q\ : std_logic;
SIGNAL \WideAnd1549~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][4]~48573\ : std_logic;
SIGNAL \led_flash_cnt[1549][5]~48574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1549][5]~48575\ : std_logic;
SIGNAL \led_flash_cnt[1549][6]~48576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1549][6]~48577\ : std_logic;
SIGNAL \led_flash_cnt[1549][7]~48578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1549][7]~q\ : std_logic;
SIGNAL \WideAnd1549~1_combout\ : std_logic;
SIGNAL \WideAnd1549~combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][0]~82188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1548][1]~48552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1548][1]~48553\ : std_logic;
SIGNAL \led_flash_cnt[1548][2]~48554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1548][2]~48555\ : std_logic;
SIGNAL \led_flash_cnt[1548][3]~48556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1548][3]~48557\ : std_logic;
SIGNAL \led_flash_cnt[1548][4]~48558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1548][4]~48559\ : std_logic;
SIGNAL \led_flash_cnt[1548][5]~48560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1548][5]~48561\ : std_logic;
SIGNAL \led_flash_cnt[1548][6]~48562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][6]~q\ : std_logic;
SIGNAL \WideAnd1548~1_combout\ : std_logic;
SIGNAL \WideAnd1548~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][6]~48563\ : std_logic;
SIGNAL \led_flash_cnt[1548][7]~48564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1548][7]~q\ : std_logic;
SIGNAL \WideAnd1548~combout\ : std_logic;
SIGNAL \WideAnd4033~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][0]~82190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1550][1]~48580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1550][1]~48581\ : std_logic;
SIGNAL \led_flash_cnt[1550][2]~48582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1550][2]~48583\ : std_logic;
SIGNAL \led_flash_cnt[1550][3]~48584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1550][3]~48585\ : std_logic;
SIGNAL \led_flash_cnt[1550][4]~48586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1550][4]~48587\ : std_logic;
SIGNAL \led_flash_cnt[1550][5]~48588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1550][5]~48589\ : std_logic;
SIGNAL \led_flash_cnt[1550][6]~48590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1550][6]~48591\ : std_logic;
SIGNAL \led_flash_cnt[1550][7]~48592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1550][7]~q\ : std_logic;
SIGNAL \WideAnd1550~1_combout\ : std_logic;
SIGNAL \WideAnd1550~0_combout\ : std_logic;
SIGNAL \WideAnd1550~combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][0]~82191_combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1551][1]~48594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1551][1]~48595\ : std_logic;
SIGNAL \led_flash_cnt[1551][2]~48596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1551][2]~48597\ : std_logic;
SIGNAL \led_flash_cnt[1551][3]~48598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1551][3]~48599\ : std_logic;
SIGNAL \led_flash_cnt[1551][4]~48600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1551][4]~48601\ : std_logic;
SIGNAL \led_flash_cnt[1551][5]~48602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1551][5]~48603\ : std_logic;
SIGNAL \led_flash_cnt[1551][6]~48604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1551][6]~48605\ : std_logic;
SIGNAL \led_flash_cnt[1551][7]~48606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1551][7]~q\ : std_logic;
SIGNAL \WideAnd1551~1_combout\ : std_logic;
SIGNAL \WideAnd1551~0_combout\ : std_logic;
SIGNAL \WideAnd1551~combout\ : std_logic;
SIGNAL \WideAnd4033~combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][0]~82199_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1559][1]~48706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1559][1]~48707\ : std_logic;
SIGNAL \led_flash_cnt[1559][2]~48708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1559][2]~48709\ : std_logic;
SIGNAL \led_flash_cnt[1559][3]~48710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1559][3]~48711\ : std_logic;
SIGNAL \led_flash_cnt[1559][4]~48712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][4]~q\ : std_logic;
SIGNAL \WideAnd1559~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][4]~48713\ : std_logic;
SIGNAL \led_flash_cnt[1559][5]~48714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1559][5]~48715\ : std_logic;
SIGNAL \led_flash_cnt[1559][6]~48716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1559][6]~48717\ : std_logic;
SIGNAL \led_flash_cnt[1559][7]~48718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1559][7]~q\ : std_logic;
SIGNAL \WideAnd1559~1_combout\ : std_logic;
SIGNAL \WideAnd1559~combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][0]~82193_combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1553][1]~48622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1553][1]~48623\ : std_logic;
SIGNAL \led_flash_cnt[1553][2]~48624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1553][2]~48625\ : std_logic;
SIGNAL \led_flash_cnt[1553][3]~48626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1553][3]~48627\ : std_logic;
SIGNAL \led_flash_cnt[1553][4]~48628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1553][4]~48629\ : std_logic;
SIGNAL \led_flash_cnt[1553][5]~48630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1553][5]~48631\ : std_logic;
SIGNAL \led_flash_cnt[1553][6]~48632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1553][6]~48633\ : std_logic;
SIGNAL \led_flash_cnt[1553][7]~48634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1553][7]~q\ : std_logic;
SIGNAL \WideAnd1553~0_combout\ : std_logic;
SIGNAL \WideAnd1553~1_combout\ : std_logic;
SIGNAL \WideAnd1553~combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][0]~82192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1552][1]~48608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1552][1]~48609\ : std_logic;
SIGNAL \led_flash_cnt[1552][2]~48610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1552][2]~48611\ : std_logic;
SIGNAL \led_flash_cnt[1552][3]~48612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1552][3]~48613\ : std_logic;
SIGNAL \led_flash_cnt[1552][4]~48614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1552][4]~48615\ : std_logic;
SIGNAL \led_flash_cnt[1552][5]~48616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1552][5]~48617\ : std_logic;
SIGNAL \led_flash_cnt[1552][6]~48618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1552][6]~48619\ : std_logic;
SIGNAL \led_flash_cnt[1552][7]~48620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1552][7]~q\ : std_logic;
SIGNAL \WideAnd1552~1_combout\ : std_logic;
SIGNAL \WideAnd1552~0_combout\ : std_logic;
SIGNAL \WideAnd1552~combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][0]~82195_combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1555][1]~48650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1555][1]~48651\ : std_logic;
SIGNAL \led_flash_cnt[1555][2]~48652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1555][2]~48653\ : std_logic;
SIGNAL \led_flash_cnt[1555][3]~48654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1555][3]~48655\ : std_logic;
SIGNAL \led_flash_cnt[1555][4]~48656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1555][4]~48657\ : std_logic;
SIGNAL \led_flash_cnt[1555][5]~48658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1555][5]~48659\ : std_logic;
SIGNAL \led_flash_cnt[1555][6]~48660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1555][6]~48661\ : std_logic;
SIGNAL \led_flash_cnt[1555][7]~48662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1555][7]~q\ : std_logic;
SIGNAL \WideAnd1555~1_combout\ : std_logic;
SIGNAL \WideAnd1555~0_combout\ : std_logic;
SIGNAL \WideAnd1555~combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][0]~82194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1554][1]~48636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1554][1]~48637\ : std_logic;
SIGNAL \led_flash_cnt[1554][2]~48638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1554][2]~48639\ : std_logic;
SIGNAL \led_flash_cnt[1554][3]~48640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1554][3]~48641\ : std_logic;
SIGNAL \led_flash_cnt[1554][4]~48642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1554][4]~48643\ : std_logic;
SIGNAL \led_flash_cnt[1554][5]~48644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1554][5]~48645\ : std_logic;
SIGNAL \led_flash_cnt[1554][6]~48646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1554][6]~48647\ : std_logic;
SIGNAL \led_flash_cnt[1554][7]~48648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1554][7]~q\ : std_logic;
SIGNAL \WideAnd1554~1_combout\ : std_logic;
SIGNAL \WideAnd1554~0_combout\ : std_logic;
SIGNAL \WideAnd1554~combout\ : std_logic;
SIGNAL \WideAnd4034~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][0]~82198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1558][1]~48692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1558][1]~48693\ : std_logic;
SIGNAL \led_flash_cnt[1558][2]~48694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1558][2]~48695\ : std_logic;
SIGNAL \led_flash_cnt[1558][3]~48696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1558][3]~48697\ : std_logic;
SIGNAL \led_flash_cnt[1558][4]~48698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1558][4]~48699\ : std_logic;
SIGNAL \led_flash_cnt[1558][5]~48700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1558][5]~48701\ : std_logic;
SIGNAL \led_flash_cnt[1558][6]~48702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][6]~q\ : std_logic;
SIGNAL \WideAnd1558~1_combout\ : std_logic;
SIGNAL \WideAnd1558~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][6]~48703\ : std_logic;
SIGNAL \led_flash_cnt[1558][7]~48704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1558][7]~q\ : std_logic;
SIGNAL \WideAnd1558~combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][0]~82197_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1557][1]~48678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1557][1]~48679\ : std_logic;
SIGNAL \led_flash_cnt[1557][2]~48680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1557][2]~48681\ : std_logic;
SIGNAL \led_flash_cnt[1557][3]~48682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1557][3]~48683\ : std_logic;
SIGNAL \led_flash_cnt[1557][4]~48684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1557][4]~48685\ : std_logic;
SIGNAL \led_flash_cnt[1557][5]~48686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1557][5]~48687\ : std_logic;
SIGNAL \led_flash_cnt[1557][6]~48688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][6]~q\ : std_logic;
SIGNAL \WideAnd1557~1_combout\ : std_logic;
SIGNAL \WideAnd1557~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][6]~48689\ : std_logic;
SIGNAL \led_flash_cnt[1557][7]~48690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1557][7]~q\ : std_logic;
SIGNAL \WideAnd1557~combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][0]~82196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1556][1]~48664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1556][1]~48665\ : std_logic;
SIGNAL \led_flash_cnt[1556][2]~48666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1556][2]~48667\ : std_logic;
SIGNAL \led_flash_cnt[1556][3]~48668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1556][3]~48669\ : std_logic;
SIGNAL \led_flash_cnt[1556][4]~48670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1556][4]~48671\ : std_logic;
SIGNAL \led_flash_cnt[1556][5]~48672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1556][5]~48673\ : std_logic;
SIGNAL \led_flash_cnt[1556][6]~48674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1556][6]~48675\ : std_logic;
SIGNAL \led_flash_cnt[1556][7]~48676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1556][7]~q\ : std_logic;
SIGNAL \WideAnd1556~1_combout\ : std_logic;
SIGNAL \WideAnd1556~0_combout\ : std_logic;
SIGNAL \WideAnd1556~combout\ : std_logic;
SIGNAL \WideAnd4034~1_combout\ : std_logic;
SIGNAL \WideAnd4034~combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][0]~82180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1540][1]~48440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1540][1]~48441\ : std_logic;
SIGNAL \led_flash_cnt[1540][2]~48442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1540][2]~48443\ : std_logic;
SIGNAL \led_flash_cnt[1540][3]~48444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1540][3]~48445\ : std_logic;
SIGNAL \led_flash_cnt[1540][4]~48446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1540][4]~48447\ : std_logic;
SIGNAL \led_flash_cnt[1540][5]~48448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1540][5]~48449\ : std_logic;
SIGNAL \led_flash_cnt[1540][6]~48450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][6]~q\ : std_logic;
SIGNAL \WideAnd1540~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][6]~48451\ : std_logic;
SIGNAL \led_flash_cnt[1540][7]~48452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1540][7]~q\ : std_logic;
SIGNAL \WideAnd1540~0_combout\ : std_logic;
SIGNAL \WideAnd1540~combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][0]~82181_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1541][1]~48454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1541][1]~48455\ : std_logic;
SIGNAL \led_flash_cnt[1541][2]~48456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1541][2]~48457\ : std_logic;
SIGNAL \led_flash_cnt[1541][3]~48458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1541][3]~48459\ : std_logic;
SIGNAL \led_flash_cnt[1541][4]~48460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1541][4]~48461\ : std_logic;
SIGNAL \led_flash_cnt[1541][5]~48462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1541][5]~48463\ : std_logic;
SIGNAL \led_flash_cnt[1541][6]~48464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][6]~q\ : std_logic;
SIGNAL \WideAnd1541~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][6]~48465\ : std_logic;
SIGNAL \led_flash_cnt[1541][7]~48466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1541][7]~q\ : std_logic;
SIGNAL \WideAnd1541~0_combout\ : std_logic;
SIGNAL \WideAnd1541~combout\ : std_logic;
SIGNAL \WideAnd4032~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][0]~82182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1542][1]~48468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1542][1]~48469\ : std_logic;
SIGNAL \led_flash_cnt[1542][2]~48470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1542][2]~48471\ : std_logic;
SIGNAL \led_flash_cnt[1542][3]~48472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1542][3]~48473\ : std_logic;
SIGNAL \led_flash_cnt[1542][4]~48474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1542][4]~48475\ : std_logic;
SIGNAL \led_flash_cnt[1542][5]~48476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1542][5]~48477\ : std_logic;
SIGNAL \led_flash_cnt[1542][6]~48478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][6]~q\ : std_logic;
SIGNAL \WideAnd1542~1_combout\ : std_logic;
SIGNAL \WideAnd1542~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][6]~48479\ : std_logic;
SIGNAL \led_flash_cnt[1542][7]~48480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1542][7]~q\ : std_logic;
SIGNAL \WideAnd1542~combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][0]~82183_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1543][1]~48482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1543][1]~48483\ : std_logic;
SIGNAL \led_flash_cnt[1543][2]~48484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1543][2]~48485\ : std_logic;
SIGNAL \led_flash_cnt[1543][3]~48486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1543][3]~48487\ : std_logic;
SIGNAL \led_flash_cnt[1543][4]~48488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1543][4]~48489\ : std_logic;
SIGNAL \led_flash_cnt[1543][5]~48490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1543][5]~48491\ : std_logic;
SIGNAL \led_flash_cnt[1543][6]~48492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][6]~q\ : std_logic;
SIGNAL \WideAnd1543~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][6]~48493\ : std_logic;
SIGNAL \led_flash_cnt[1543][7]~48494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1543][7]~q\ : std_logic;
SIGNAL \WideAnd1543~0_combout\ : std_logic;
SIGNAL \WideAnd1543~combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][0]~82176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1536][1]~48384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1536][1]~48385\ : std_logic;
SIGNAL \led_flash_cnt[1536][2]~48386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1536][2]~48387\ : std_logic;
SIGNAL \led_flash_cnt[1536][3]~48388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1536][3]~48389\ : std_logic;
SIGNAL \led_flash_cnt[1536][4]~48390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][4]~q\ : std_logic;
SIGNAL \WideAnd1536~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][4]~48391\ : std_logic;
SIGNAL \led_flash_cnt[1536][5]~48392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1536][5]~48393\ : std_logic;
SIGNAL \led_flash_cnt[1536][6]~48394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1536][6]~48395\ : std_logic;
SIGNAL \led_flash_cnt[1536][7]~48396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1536][7]~q\ : std_logic;
SIGNAL \WideAnd1536~1_combout\ : std_logic;
SIGNAL \WideAnd1536~combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][0]~82179_combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1539][1]~48426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1539][1]~48427\ : std_logic;
SIGNAL \led_flash_cnt[1539][2]~48428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1539][2]~48429\ : std_logic;
SIGNAL \led_flash_cnt[1539][3]~48430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1539][3]~48431\ : std_logic;
SIGNAL \led_flash_cnt[1539][4]~48432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1539][4]~48433\ : std_logic;
SIGNAL \led_flash_cnt[1539][5]~48434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1539][5]~48435\ : std_logic;
SIGNAL \led_flash_cnt[1539][6]~48436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1539][6]~48437\ : std_logic;
SIGNAL \led_flash_cnt[1539][7]~48438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1539][7]~q\ : std_logic;
SIGNAL \WideAnd1539~1_combout\ : std_logic;
SIGNAL \WideAnd1539~0_combout\ : std_logic;
SIGNAL \WideAnd1539~combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][0]~82178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1538][1]~48412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1538][1]~48413\ : std_logic;
SIGNAL \led_flash_cnt[1538][2]~48414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1538][2]~48415\ : std_logic;
SIGNAL \led_flash_cnt[1538][3]~48416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1538][3]~48417\ : std_logic;
SIGNAL \led_flash_cnt[1538][4]~48418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1538][4]~48419\ : std_logic;
SIGNAL \led_flash_cnt[1538][5]~48420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1538][5]~48421\ : std_logic;
SIGNAL \led_flash_cnt[1538][6]~48422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][6]~q\ : std_logic;
SIGNAL \WideAnd1538~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][6]~48423\ : std_logic;
SIGNAL \led_flash_cnt[1538][7]~48424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1538][7]~q\ : std_logic;
SIGNAL \WideAnd1538~0_combout\ : std_logic;
SIGNAL \WideAnd1538~combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][0]~82177_combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1537][1]~48398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1537][1]~48399\ : std_logic;
SIGNAL \led_flash_cnt[1537][2]~48400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1537][2]~48401\ : std_logic;
SIGNAL \led_flash_cnt[1537][3]~48402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1537][3]~48403\ : std_logic;
SIGNAL \led_flash_cnt[1537][4]~48404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1537][4]~48405\ : std_logic;
SIGNAL \led_flash_cnt[1537][5]~48406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1537][5]~48407\ : std_logic;
SIGNAL \led_flash_cnt[1537][6]~48408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1537][6]~48409\ : std_logic;
SIGNAL \led_flash_cnt[1537][7]~48410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1537][7]~q\ : std_logic;
SIGNAL \WideAnd1537~1_combout\ : std_logic;
SIGNAL \WideAnd1537~0_combout\ : std_logic;
SIGNAL \WideAnd1537~combout\ : std_logic;
SIGNAL \WideAnd4032~0_combout\ : std_logic;
SIGNAL \WideAnd4032~combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][0]~82202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1562][1]~48748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1562][1]~48749\ : std_logic;
SIGNAL \led_flash_cnt[1562][2]~48750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1562][2]~48751\ : std_logic;
SIGNAL \led_flash_cnt[1562][3]~48752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1562][3]~48753\ : std_logic;
SIGNAL \led_flash_cnt[1562][4]~48754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][4]~q\ : std_logic;
SIGNAL \WideAnd1562~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][4]~48755\ : std_logic;
SIGNAL \led_flash_cnt[1562][5]~48756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1562][5]~48757\ : std_logic;
SIGNAL \led_flash_cnt[1562][6]~48758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1562][6]~48759\ : std_logic;
SIGNAL \led_flash_cnt[1562][7]~48760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1562][7]~q\ : std_logic;
SIGNAL \WideAnd1562~1_combout\ : std_logic;
SIGNAL \WideAnd1562~combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][0]~82203_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1563][1]~48762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1563][1]~48763\ : std_logic;
SIGNAL \led_flash_cnt[1563][2]~48764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1563][2]~48765\ : std_logic;
SIGNAL \led_flash_cnt[1563][3]~48766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1563][3]~48767\ : std_logic;
SIGNAL \led_flash_cnt[1563][4]~48768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1563][4]~48769\ : std_logic;
SIGNAL \led_flash_cnt[1563][5]~48770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1563][5]~48771\ : std_logic;
SIGNAL \led_flash_cnt[1563][6]~48772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][6]~q\ : std_logic;
SIGNAL \WideAnd1563~1_combout\ : std_logic;
SIGNAL \WideAnd1563~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][6]~48773\ : std_logic;
SIGNAL \led_flash_cnt[1563][7]~48774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1563][7]~q\ : std_logic;
SIGNAL \WideAnd1563~combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][0]~82200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1560][1]~48720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1560][1]~48721\ : std_logic;
SIGNAL \led_flash_cnt[1560][2]~48722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1560][2]~48723\ : std_logic;
SIGNAL \led_flash_cnt[1560][3]~48724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1560][3]~48725\ : std_logic;
SIGNAL \led_flash_cnt[1560][4]~48726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1560][4]~48727\ : std_logic;
SIGNAL \led_flash_cnt[1560][5]~48728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1560][5]~48729\ : std_logic;
SIGNAL \led_flash_cnt[1560][6]~48730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1560][6]~48731\ : std_logic;
SIGNAL \led_flash_cnt[1560][7]~48732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1560][7]~q\ : std_logic;
SIGNAL \WideAnd1560~1_combout\ : std_logic;
SIGNAL \WideAnd1560~0_combout\ : std_logic;
SIGNAL \WideAnd1560~combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][0]~82201_combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1561][1]~48734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1561][1]~48735\ : std_logic;
SIGNAL \led_flash_cnt[1561][2]~48736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1561][2]~48737\ : std_logic;
SIGNAL \led_flash_cnt[1561][3]~48738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1561][3]~48739\ : std_logic;
SIGNAL \led_flash_cnt[1561][4]~48740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1561][4]~48741\ : std_logic;
SIGNAL \led_flash_cnt[1561][5]~48742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1561][5]~48743\ : std_logic;
SIGNAL \led_flash_cnt[1561][6]~48744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1561][6]~48745\ : std_logic;
SIGNAL \led_flash_cnt[1561][7]~48746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1561][7]~q\ : std_logic;
SIGNAL \WideAnd1561~1_combout\ : std_logic;
SIGNAL \WideAnd1561~0_combout\ : std_logic;
SIGNAL \WideAnd1561~combout\ : std_logic;
SIGNAL \WideAnd4035~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][0]~82205_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1565][1]~48790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1565][1]~48791\ : std_logic;
SIGNAL \led_flash_cnt[1565][2]~48792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1565][2]~48793\ : std_logic;
SIGNAL \led_flash_cnt[1565][3]~48794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1565][3]~48795\ : std_logic;
SIGNAL \led_flash_cnt[1565][4]~48796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][4]~q\ : std_logic;
SIGNAL \WideAnd1565~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][4]~48797\ : std_logic;
SIGNAL \led_flash_cnt[1565][5]~48798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1565][5]~48799\ : std_logic;
SIGNAL \led_flash_cnt[1565][6]~48800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][6]~q\ : std_logic;
SIGNAL \WideAnd1565~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][6]~48801\ : std_logic;
SIGNAL \led_flash_cnt[1565][7]~48802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1565][7]~q\ : std_logic;
SIGNAL \WideAnd1565~combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][0]~82204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1564][1]~48776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1564][1]~48777\ : std_logic;
SIGNAL \led_flash_cnt[1564][2]~48778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1564][2]~48779\ : std_logic;
SIGNAL \led_flash_cnt[1564][3]~48780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1564][3]~48781\ : std_logic;
SIGNAL \led_flash_cnt[1564][4]~48782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1564][4]~48783\ : std_logic;
SIGNAL \led_flash_cnt[1564][5]~48784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1564][5]~48785\ : std_logic;
SIGNAL \led_flash_cnt[1564][6]~48786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][6]~q\ : std_logic;
SIGNAL \WideAnd1564~1_combout\ : std_logic;
SIGNAL \WideAnd1564~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][6]~48787\ : std_logic;
SIGNAL \led_flash_cnt[1564][7]~48788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1564][7]~q\ : std_logic;
SIGNAL \WideAnd1564~combout\ : std_logic;
SIGNAL \WideAnd4035~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][0]~82206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1566][1]~48804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1566][1]~48805\ : std_logic;
SIGNAL \led_flash_cnt[1566][2]~48806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1566][2]~48807\ : std_logic;
SIGNAL \led_flash_cnt[1566][3]~48808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1566][3]~48809\ : std_logic;
SIGNAL \led_flash_cnt[1566][4]~48810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][4]~q\ : std_logic;
SIGNAL \WideAnd1566~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][4]~48811\ : std_logic;
SIGNAL \led_flash_cnt[1566][5]~48812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1566][5]~48813\ : std_logic;
SIGNAL \led_flash_cnt[1566][6]~48814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1566][6]~48815\ : std_logic;
SIGNAL \led_flash_cnt[1566][7]~48816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1566][7]~q\ : std_logic;
SIGNAL \WideAnd1566~1_combout\ : std_logic;
SIGNAL \WideAnd1566~combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][0]~82207_combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1567][1]~48818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1567][1]~48819\ : std_logic;
SIGNAL \led_flash_cnt[1567][2]~48820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1567][2]~48821\ : std_logic;
SIGNAL \led_flash_cnt[1567][3]~48822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1567][3]~48823\ : std_logic;
SIGNAL \led_flash_cnt[1567][4]~48824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1567][4]~48825\ : std_logic;
SIGNAL \led_flash_cnt[1567][5]~48826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1567][5]~48827\ : std_logic;
SIGNAL \led_flash_cnt[1567][6]~48828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1567][6]~48829\ : std_logic;
SIGNAL \led_flash_cnt[1567][7]~48830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1567][7]~q\ : std_logic;
SIGNAL \WideAnd1567~0_combout\ : std_logic;
SIGNAL \WideAnd1567~1_combout\ : std_logic;
SIGNAL \WideAnd1567~combout\ : std_logic;
SIGNAL \WideAnd4035~combout\ : std_logic;
SIGNAL \WideAnd4344~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][0]~82231_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1591][1]~49154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1591][1]~49155\ : std_logic;
SIGNAL \led_flash_cnt[1591][2]~49156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1591][2]~49157\ : std_logic;
SIGNAL \led_flash_cnt[1591][3]~49158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1591][3]~49159\ : std_logic;
SIGNAL \led_flash_cnt[1591][4]~49160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][4]~q\ : std_logic;
SIGNAL \WideAnd1591~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][4]~49161\ : std_logic;
SIGNAL \led_flash_cnt[1591][5]~49162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1591][5]~49163\ : std_logic;
SIGNAL \led_flash_cnt[1591][6]~49164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][6]~q\ : std_logic;
SIGNAL \WideAnd1591~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][6]~49165\ : std_logic;
SIGNAL \led_flash_cnt[1591][7]~49166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1591][7]~q\ : std_logic;
SIGNAL \WideAnd1591~combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][0]~82230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1590][1]~49140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1590][1]~49141\ : std_logic;
SIGNAL \led_flash_cnt[1590][2]~49142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1590][2]~49143\ : std_logic;
SIGNAL \led_flash_cnt[1590][3]~49144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1590][3]~49145\ : std_logic;
SIGNAL \led_flash_cnt[1590][4]~49146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1590][4]~49147\ : std_logic;
SIGNAL \led_flash_cnt[1590][5]~49148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1590][5]~49149\ : std_logic;
SIGNAL \led_flash_cnt[1590][6]~49150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][6]~q\ : std_logic;
SIGNAL \WideAnd1590~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][6]~49151\ : std_logic;
SIGNAL \led_flash_cnt[1590][7]~49152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1590][7]~q\ : std_logic;
SIGNAL \WideAnd1590~0_combout\ : std_logic;
SIGNAL \WideAnd1590~combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][0]~82229_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1589][1]~49126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1589][1]~49127\ : std_logic;
SIGNAL \led_flash_cnt[1589][2]~49128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1589][2]~49129\ : std_logic;
SIGNAL \led_flash_cnt[1589][3]~49130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1589][3]~49131\ : std_logic;
SIGNAL \led_flash_cnt[1589][4]~49132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][4]~q\ : std_logic;
SIGNAL \WideAnd1589~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][4]~49133\ : std_logic;
SIGNAL \led_flash_cnt[1589][5]~49134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1589][5]~49135\ : std_logic;
SIGNAL \led_flash_cnt[1589][6]~49136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1589][6]~49137\ : std_logic;
SIGNAL \led_flash_cnt[1589][7]~49138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1589][7]~q\ : std_logic;
SIGNAL \WideAnd1589~1_combout\ : std_logic;
SIGNAL \WideAnd1589~combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][0]~82228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1588][1]~49112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1588][1]~49113\ : std_logic;
SIGNAL \led_flash_cnt[1588][2]~49114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1588][2]~49115\ : std_logic;
SIGNAL \led_flash_cnt[1588][3]~49116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1588][3]~49117\ : std_logic;
SIGNAL \led_flash_cnt[1588][4]~49118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][4]~q\ : std_logic;
SIGNAL \WideAnd1588~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][4]~49119\ : std_logic;
SIGNAL \led_flash_cnt[1588][5]~49120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1588][5]~49121\ : std_logic;
SIGNAL \led_flash_cnt[1588][6]~49122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1588][6]~49123\ : std_logic;
SIGNAL \led_flash_cnt[1588][7]~49124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1588][7]~q\ : std_logic;
SIGNAL \WideAnd1588~1_combout\ : std_logic;
SIGNAL \WideAnd1588~combout\ : std_logic;
SIGNAL \WideAnd4038~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][0]~82226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1586][1]~49084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1586][1]~49085\ : std_logic;
SIGNAL \led_flash_cnt[1586][2]~49086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1586][2]~49087\ : std_logic;
SIGNAL \led_flash_cnt[1586][3]~49088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1586][3]~49089\ : std_logic;
SIGNAL \led_flash_cnt[1586][4]~49090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1586][4]~49091\ : std_logic;
SIGNAL \led_flash_cnt[1586][5]~49092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1586][5]~49093\ : std_logic;
SIGNAL \led_flash_cnt[1586][6]~49094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][6]~q\ : std_logic;
SIGNAL \WideAnd1586~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][6]~49095\ : std_logic;
SIGNAL \led_flash_cnt[1586][7]~49096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1586][7]~q\ : std_logic;
SIGNAL \WideAnd1586~0_combout\ : std_logic;
SIGNAL \WideAnd1586~combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][0]~82227_combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1587][1]~49098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1587][1]~49099\ : std_logic;
SIGNAL \led_flash_cnt[1587][2]~49100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1587][2]~49101\ : std_logic;
SIGNAL \led_flash_cnt[1587][3]~49102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1587][3]~49103\ : std_logic;
SIGNAL \led_flash_cnt[1587][4]~49104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1587][4]~49105\ : std_logic;
SIGNAL \led_flash_cnt[1587][5]~49106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1587][5]~49107\ : std_logic;
SIGNAL \led_flash_cnt[1587][6]~49108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1587][6]~49109\ : std_logic;
SIGNAL \led_flash_cnt[1587][7]~49110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1587][7]~q\ : std_logic;
SIGNAL \WideAnd1587~1_combout\ : std_logic;
SIGNAL \WideAnd1587~0_combout\ : std_logic;
SIGNAL \WideAnd1587~combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][0]~82225_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1585][1]~49070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1585][1]~49071\ : std_logic;
SIGNAL \led_flash_cnt[1585][2]~49072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1585][2]~49073\ : std_logic;
SIGNAL \led_flash_cnt[1585][3]~49074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1585][3]~49075\ : std_logic;
SIGNAL \led_flash_cnt[1585][4]~49076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][4]~q\ : std_logic;
SIGNAL \WideAnd1585~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][4]~49077\ : std_logic;
SIGNAL \led_flash_cnt[1585][5]~49078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1585][5]~49079\ : std_logic;
SIGNAL \led_flash_cnt[1585][6]~49080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][6]~q\ : std_logic;
SIGNAL \WideAnd1585~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][6]~49081\ : std_logic;
SIGNAL \led_flash_cnt[1585][7]~49082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1585][7]~q\ : std_logic;
SIGNAL \WideAnd1585~combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][0]~82224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1584][1]~49056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1584][1]~49057\ : std_logic;
SIGNAL \led_flash_cnt[1584][2]~49058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1584][2]~49059\ : std_logic;
SIGNAL \led_flash_cnt[1584][3]~49060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1584][3]~49061\ : std_logic;
SIGNAL \led_flash_cnt[1584][4]~49062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1584][4]~49063\ : std_logic;
SIGNAL \led_flash_cnt[1584][5]~49064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1584][5]~49065\ : std_logic;
SIGNAL \led_flash_cnt[1584][6]~49066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1584][6]~49067\ : std_logic;
SIGNAL \led_flash_cnt[1584][7]~49068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1584][7]~q\ : std_logic;
SIGNAL \WideAnd1584~1_combout\ : std_logic;
SIGNAL \WideAnd1584~0_combout\ : std_logic;
SIGNAL \WideAnd1584~combout\ : std_logic;
SIGNAL \WideAnd4038~0_combout\ : std_logic;
SIGNAL \WideAnd4038~combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][0]~82238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1598][1]~49252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1598][1]~49253\ : std_logic;
SIGNAL \led_flash_cnt[1598][2]~49254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1598][2]~49255\ : std_logic;
SIGNAL \led_flash_cnt[1598][3]~49256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1598][3]~49257\ : std_logic;
SIGNAL \led_flash_cnt[1598][4]~49258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1598][4]~49259\ : std_logic;
SIGNAL \led_flash_cnt[1598][5]~49260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1598][5]~49261\ : std_logic;
SIGNAL \led_flash_cnt[1598][6]~49262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][6]~q\ : std_logic;
SIGNAL \WideAnd1598~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][6]~49263\ : std_logic;
SIGNAL \led_flash_cnt[1598][7]~49264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1598][7]~q\ : std_logic;
SIGNAL \WideAnd1598~0_combout\ : std_logic;
SIGNAL \WideAnd1598~combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][0]~82239_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1599][1]~49266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1599][1]~49267\ : std_logic;
SIGNAL \led_flash_cnt[1599][2]~49268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1599][2]~49269\ : std_logic;
SIGNAL \led_flash_cnt[1599][3]~49270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1599][3]~49271\ : std_logic;
SIGNAL \led_flash_cnt[1599][4]~49272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][4]~q\ : std_logic;
SIGNAL \WideAnd1599~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][4]~49273\ : std_logic;
SIGNAL \led_flash_cnt[1599][5]~49274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1599][5]~49275\ : std_logic;
SIGNAL \led_flash_cnt[1599][6]~49276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1599][6]~49277\ : std_logic;
SIGNAL \led_flash_cnt[1599][7]~49278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1599][7]~q\ : std_logic;
SIGNAL \WideAnd1599~1_combout\ : std_logic;
SIGNAL \WideAnd1599~combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][0]~82236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1596][1]~49224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1596][1]~49225\ : std_logic;
SIGNAL \led_flash_cnt[1596][2]~49226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1596][2]~49227\ : std_logic;
SIGNAL \led_flash_cnt[1596][3]~49228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1596][3]~49229\ : std_logic;
SIGNAL \led_flash_cnt[1596][4]~49230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1596][4]~49231\ : std_logic;
SIGNAL \led_flash_cnt[1596][5]~49232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1596][5]~49233\ : std_logic;
SIGNAL \led_flash_cnt[1596][6]~49234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1596][6]~49235\ : std_logic;
SIGNAL \led_flash_cnt[1596][7]~49236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1596][7]~q\ : std_logic;
SIGNAL \WideAnd1596~0_combout\ : std_logic;
SIGNAL \WideAnd1596~1_combout\ : std_logic;
SIGNAL \WideAnd1596~combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][0]~82237_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1597][1]~49238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1597][1]~49239\ : std_logic;
SIGNAL \led_flash_cnt[1597][2]~49240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1597][2]~49241\ : std_logic;
SIGNAL \led_flash_cnt[1597][3]~49242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1597][3]~49243\ : std_logic;
SIGNAL \led_flash_cnt[1597][4]~49244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1597][4]~49245\ : std_logic;
SIGNAL \led_flash_cnt[1597][5]~49246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1597][5]~49247\ : std_logic;
SIGNAL \led_flash_cnt[1597][6]~49248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][6]~q\ : std_logic;
SIGNAL \WideAnd1597~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][6]~49249\ : std_logic;
SIGNAL \led_flash_cnt[1597][7]~49250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1597][7]~q\ : std_logic;
SIGNAL \WideAnd1597~0_combout\ : std_logic;
SIGNAL \WideAnd1597~combout\ : std_logic;
SIGNAL \WideAnd4039~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][0]~82233_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1593][1]~49182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1593][1]~49183\ : std_logic;
SIGNAL \led_flash_cnt[1593][2]~49184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1593][2]~49185\ : std_logic;
SIGNAL \led_flash_cnt[1593][3]~49186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1593][3]~49187\ : std_logic;
SIGNAL \led_flash_cnt[1593][4]~49188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1593][4]~49189\ : std_logic;
SIGNAL \led_flash_cnt[1593][5]~49190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1593][5]~49191\ : std_logic;
SIGNAL \led_flash_cnt[1593][6]~49192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1593][6]~49193\ : std_logic;
SIGNAL \led_flash_cnt[1593][7]~49194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1593][7]~q\ : std_logic;
SIGNAL \WideAnd1593~1_combout\ : std_logic;
SIGNAL \WideAnd1593~0_combout\ : std_logic;
SIGNAL \WideAnd1593~combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][0]~82234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1594][1]~49196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1594][1]~49197\ : std_logic;
SIGNAL \led_flash_cnt[1594][2]~49198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1594][2]~49199\ : std_logic;
SIGNAL \led_flash_cnt[1594][3]~49200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1594][3]~49201\ : std_logic;
SIGNAL \led_flash_cnt[1594][4]~49202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1594][4]~49203\ : std_logic;
SIGNAL \led_flash_cnt[1594][5]~49204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1594][5]~49205\ : std_logic;
SIGNAL \led_flash_cnt[1594][6]~49206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][6]~q\ : std_logic;
SIGNAL \WideAnd1594~1_combout\ : std_logic;
SIGNAL \WideAnd1594~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][6]~49207\ : std_logic;
SIGNAL \led_flash_cnt[1594][7]~49208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1594][7]~q\ : std_logic;
SIGNAL \WideAnd1594~combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][0]~82235_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1595][1]~49210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1595][1]~49211\ : std_logic;
SIGNAL \led_flash_cnt[1595][2]~49212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1595][2]~49213\ : std_logic;
SIGNAL \led_flash_cnt[1595][3]~49214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1595][3]~49215\ : std_logic;
SIGNAL \led_flash_cnt[1595][4]~49216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][4]~q\ : std_logic;
SIGNAL \WideAnd1595~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][4]~49217\ : std_logic;
SIGNAL \led_flash_cnt[1595][5]~49218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1595][5]~49219\ : std_logic;
SIGNAL \led_flash_cnt[1595][6]~49220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][6]~q\ : std_logic;
SIGNAL \WideAnd1595~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][6]~49221\ : std_logic;
SIGNAL \led_flash_cnt[1595][7]~49222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1595][7]~q\ : std_logic;
SIGNAL \WideAnd1595~combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][0]~82232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1592][1]~49168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1592][1]~49169\ : std_logic;
SIGNAL \led_flash_cnt[1592][2]~49170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1592][2]~49171\ : std_logic;
SIGNAL \led_flash_cnt[1592][3]~49172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1592][3]~49173\ : std_logic;
SIGNAL \led_flash_cnt[1592][4]~49174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1592][4]~49175\ : std_logic;
SIGNAL \led_flash_cnt[1592][5]~49176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1592][5]~49177\ : std_logic;
SIGNAL \led_flash_cnt[1592][6]~49178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][6]~q\ : std_logic;
SIGNAL \WideAnd1592~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][6]~49179\ : std_logic;
SIGNAL \led_flash_cnt[1592][7]~49180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1592][7]~q\ : std_logic;
SIGNAL \WideAnd1592~0_combout\ : std_logic;
SIGNAL \WideAnd1592~combout\ : std_logic;
SIGNAL \WideAnd4039~0_combout\ : std_logic;
SIGNAL \WideAnd4039~combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][0]~82213_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1573][1]~48902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1573][1]~48903\ : std_logic;
SIGNAL \led_flash_cnt[1573][2]~48904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1573][2]~48905\ : std_logic;
SIGNAL \led_flash_cnt[1573][3]~48906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1573][3]~48907\ : std_logic;
SIGNAL \led_flash_cnt[1573][4]~48908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1573][4]~48909\ : std_logic;
SIGNAL \led_flash_cnt[1573][5]~48910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1573][5]~48911\ : std_logic;
SIGNAL \led_flash_cnt[1573][6]~48912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][6]~q\ : std_logic;
SIGNAL \WideAnd1573~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][6]~48913\ : std_logic;
SIGNAL \led_flash_cnt[1573][7]~48914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1573][7]~q\ : std_logic;
SIGNAL \WideAnd1573~0_combout\ : std_logic;
SIGNAL \WideAnd1573~combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][0]~82212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1572][1]~48888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1572][1]~48889\ : std_logic;
SIGNAL \led_flash_cnt[1572][2]~48890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1572][2]~48891\ : std_logic;
SIGNAL \led_flash_cnt[1572][3]~48892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1572][3]~48893\ : std_logic;
SIGNAL \led_flash_cnt[1572][4]~48894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1572][4]~48895\ : std_logic;
SIGNAL \led_flash_cnt[1572][5]~48896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1572][5]~48897\ : std_logic;
SIGNAL \led_flash_cnt[1572][6]~48898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][6]~q\ : std_logic;
SIGNAL \WideAnd1572~1_combout\ : std_logic;
SIGNAL \WideAnd1572~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][6]~48899\ : std_logic;
SIGNAL \led_flash_cnt[1572][7]~48900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1572][7]~q\ : std_logic;
SIGNAL \WideAnd1572~combout\ : std_logic;
SIGNAL \WideAnd4036~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][0]~82210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1570][1]~48860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1570][1]~48861\ : std_logic;
SIGNAL \led_flash_cnt[1570][2]~48862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1570][2]~48863\ : std_logic;
SIGNAL \led_flash_cnt[1570][3]~48864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1570][3]~48865\ : std_logic;
SIGNAL \led_flash_cnt[1570][4]~48866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1570][4]~48867\ : std_logic;
SIGNAL \led_flash_cnt[1570][5]~48868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1570][5]~48869\ : std_logic;
SIGNAL \led_flash_cnt[1570][6]~48870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1570][6]~48871\ : std_logic;
SIGNAL \led_flash_cnt[1570][7]~48872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1570][7]~q\ : std_logic;
SIGNAL \WideAnd1570~0_combout\ : std_logic;
SIGNAL \WideAnd1570~1_combout\ : std_logic;
SIGNAL \WideAnd1570~combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][0]~82208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1568][1]~48832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1568][1]~48833\ : std_logic;
SIGNAL \led_flash_cnt[1568][2]~48834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1568][2]~48835\ : std_logic;
SIGNAL \led_flash_cnt[1568][3]~48836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1568][3]~48837\ : std_logic;
SIGNAL \led_flash_cnt[1568][4]~48838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1568][4]~48839\ : std_logic;
SIGNAL \led_flash_cnt[1568][5]~48840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1568][5]~48841\ : std_logic;
SIGNAL \led_flash_cnt[1568][6]~48842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1568][6]~48843\ : std_logic;
SIGNAL \led_flash_cnt[1568][7]~48844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1568][7]~q\ : std_logic;
SIGNAL \WideAnd1568~1_combout\ : std_logic;
SIGNAL \WideAnd1568~0_combout\ : std_logic;
SIGNAL \WideAnd1568~combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][0]~82211_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1571][1]~48874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1571][1]~48875\ : std_logic;
SIGNAL \led_flash_cnt[1571][2]~48876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1571][2]~48877\ : std_logic;
SIGNAL \led_flash_cnt[1571][3]~48878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1571][3]~48879\ : std_logic;
SIGNAL \led_flash_cnt[1571][4]~48880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][4]~q\ : std_logic;
SIGNAL \WideAnd1571~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][4]~48881\ : std_logic;
SIGNAL \led_flash_cnt[1571][5]~48882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1571][5]~48883\ : std_logic;
SIGNAL \led_flash_cnt[1571][6]~48884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1571][6]~48885\ : std_logic;
SIGNAL \led_flash_cnt[1571][7]~48886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1571][7]~q\ : std_logic;
SIGNAL \WideAnd1571~1_combout\ : std_logic;
SIGNAL \WideAnd1571~combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][0]~82209_combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1569][1]~48846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1569][1]~48847\ : std_logic;
SIGNAL \led_flash_cnt[1569][2]~48848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1569][2]~48849\ : std_logic;
SIGNAL \led_flash_cnt[1569][3]~48850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1569][3]~48851\ : std_logic;
SIGNAL \led_flash_cnt[1569][4]~48852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1569][4]~48853\ : std_logic;
SIGNAL \led_flash_cnt[1569][5]~48854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1569][5]~48855\ : std_logic;
SIGNAL \led_flash_cnt[1569][6]~48856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1569][6]~48857\ : std_logic;
SIGNAL \led_flash_cnt[1569][7]~48858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1569][7]~q\ : std_logic;
SIGNAL \WideAnd1569~1_combout\ : std_logic;
SIGNAL \WideAnd1569~0_combout\ : std_logic;
SIGNAL \WideAnd1569~combout\ : std_logic;
SIGNAL \WideAnd4036~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][0]~82215_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1575][1]~48930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1575][1]~48931\ : std_logic;
SIGNAL \led_flash_cnt[1575][2]~48932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1575][2]~48933\ : std_logic;
SIGNAL \led_flash_cnt[1575][3]~48934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1575][3]~48935\ : std_logic;
SIGNAL \led_flash_cnt[1575][4]~48936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1575][4]~48937\ : std_logic;
SIGNAL \led_flash_cnt[1575][5]~48938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1575][5]~48939\ : std_logic;
SIGNAL \led_flash_cnt[1575][6]~48940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][6]~q\ : std_logic;
SIGNAL \WideAnd1575~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][6]~48941\ : std_logic;
SIGNAL \led_flash_cnt[1575][7]~48942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1575][7]~q\ : std_logic;
SIGNAL \WideAnd1575~0_combout\ : std_logic;
SIGNAL \WideAnd1575~combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][0]~82214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1574][1]~48916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1574][1]~48917\ : std_logic;
SIGNAL \led_flash_cnt[1574][2]~48918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1574][2]~48919\ : std_logic;
SIGNAL \led_flash_cnt[1574][3]~48920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1574][3]~48921\ : std_logic;
SIGNAL \led_flash_cnt[1574][4]~48922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1574][4]~48923\ : std_logic;
SIGNAL \led_flash_cnt[1574][5]~48924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1574][5]~48925\ : std_logic;
SIGNAL \led_flash_cnt[1574][6]~48926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][6]~q\ : std_logic;
SIGNAL \WideAnd1574~1_combout\ : std_logic;
SIGNAL \WideAnd1574~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][6]~48927\ : std_logic;
SIGNAL \led_flash_cnt[1574][7]~48928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1574][7]~q\ : std_logic;
SIGNAL \WideAnd1574~combout\ : std_logic;
SIGNAL \WideAnd4036~combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][0]~82223_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1583][1]~49042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1583][1]~49043\ : std_logic;
SIGNAL \led_flash_cnt[1583][2]~49044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1583][2]~49045\ : std_logic;
SIGNAL \led_flash_cnt[1583][3]~49046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1583][3]~49047\ : std_logic;
SIGNAL \led_flash_cnt[1583][4]~49048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1583][4]~49049\ : std_logic;
SIGNAL \led_flash_cnt[1583][5]~49050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1583][5]~49051\ : std_logic;
SIGNAL \led_flash_cnt[1583][6]~49052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][6]~q\ : std_logic;
SIGNAL \WideAnd1583~1_combout\ : std_logic;
SIGNAL \WideAnd1583~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][6]~49053\ : std_logic;
SIGNAL \led_flash_cnt[1583][7]~49054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1583][7]~q\ : std_logic;
SIGNAL \WideAnd1583~combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][0]~82218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1578][1]~48972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1578][1]~48973\ : std_logic;
SIGNAL \led_flash_cnt[1578][2]~48974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1578][2]~48975\ : std_logic;
SIGNAL \led_flash_cnt[1578][3]~48976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1578][3]~48977\ : std_logic;
SIGNAL \led_flash_cnt[1578][4]~48978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1578][4]~48979\ : std_logic;
SIGNAL \led_flash_cnt[1578][5]~48980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1578][5]~48981\ : std_logic;
SIGNAL \led_flash_cnt[1578][6]~48982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1578][6]~48983\ : std_logic;
SIGNAL \led_flash_cnt[1578][7]~48984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1578][7]~q\ : std_logic;
SIGNAL \WideAnd1578~1_combout\ : std_logic;
SIGNAL \WideAnd1578~0_combout\ : std_logic;
SIGNAL \WideAnd1578~combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][0]~82216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1576][1]~48944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1576][1]~48945\ : std_logic;
SIGNAL \led_flash_cnt[1576][2]~48946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1576][2]~48947\ : std_logic;
SIGNAL \led_flash_cnt[1576][3]~48948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1576][3]~48949\ : std_logic;
SIGNAL \led_flash_cnt[1576][4]~48950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1576][4]~48951\ : std_logic;
SIGNAL \led_flash_cnt[1576][5]~48952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1576][5]~48953\ : std_logic;
SIGNAL \led_flash_cnt[1576][6]~48954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][6]~q\ : std_logic;
SIGNAL \WideAnd1576~1_combout\ : std_logic;
SIGNAL \WideAnd1576~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][6]~48955\ : std_logic;
SIGNAL \led_flash_cnt[1576][7]~48956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1576][7]~q\ : std_logic;
SIGNAL \WideAnd1576~combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][0]~82219_combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1579][1]~48986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1579][1]~48987\ : std_logic;
SIGNAL \led_flash_cnt[1579][2]~48988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1579][2]~48989\ : std_logic;
SIGNAL \led_flash_cnt[1579][3]~48990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1579][3]~48991\ : std_logic;
SIGNAL \led_flash_cnt[1579][4]~48992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1579][4]~48993\ : std_logic;
SIGNAL \led_flash_cnt[1579][5]~48994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1579][5]~48995\ : std_logic;
SIGNAL \led_flash_cnt[1579][6]~48996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1579][6]~48997\ : std_logic;
SIGNAL \led_flash_cnt[1579][7]~48998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1579][7]~q\ : std_logic;
SIGNAL \WideAnd1579~1_combout\ : std_logic;
SIGNAL \WideAnd1579~0_combout\ : std_logic;
SIGNAL \WideAnd1579~combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][0]~82217_combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1577][1]~48958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1577][1]~48959\ : std_logic;
SIGNAL \led_flash_cnt[1577][2]~48960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1577][2]~48961\ : std_logic;
SIGNAL \led_flash_cnt[1577][3]~48962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1577][3]~48963\ : std_logic;
SIGNAL \led_flash_cnt[1577][4]~48964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1577][4]~48965\ : std_logic;
SIGNAL \led_flash_cnt[1577][5]~48966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1577][5]~48967\ : std_logic;
SIGNAL \led_flash_cnt[1577][6]~48968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1577][6]~48969\ : std_logic;
SIGNAL \led_flash_cnt[1577][7]~48970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1577][7]~q\ : std_logic;
SIGNAL \WideAnd1577~1_combout\ : std_logic;
SIGNAL \WideAnd1577~0_combout\ : std_logic;
SIGNAL \WideAnd1577~combout\ : std_logic;
SIGNAL \WideAnd4037~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][0]~82221_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1581][1]~49014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1581][1]~49015\ : std_logic;
SIGNAL \led_flash_cnt[1581][2]~49016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1581][2]~49017\ : std_logic;
SIGNAL \led_flash_cnt[1581][3]~49018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1581][3]~49019\ : std_logic;
SIGNAL \led_flash_cnt[1581][4]~49020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1581][4]~49021\ : std_logic;
SIGNAL \led_flash_cnt[1581][5]~49022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1581][5]~49023\ : std_logic;
SIGNAL \led_flash_cnt[1581][6]~49024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][6]~q\ : std_logic;
SIGNAL \WideAnd1581~1_combout\ : std_logic;
SIGNAL \WideAnd1581~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][6]~49025\ : std_logic;
SIGNAL \led_flash_cnt[1581][7]~49026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1581][7]~q\ : std_logic;
SIGNAL \WideAnd1581~combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][0]~82220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1580][1]~49000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1580][1]~49001\ : std_logic;
SIGNAL \led_flash_cnt[1580][2]~49002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1580][2]~49003\ : std_logic;
SIGNAL \led_flash_cnt[1580][3]~49004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1580][3]~49005\ : std_logic;
SIGNAL \led_flash_cnt[1580][4]~49006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][4]~q\ : std_logic;
SIGNAL \WideAnd1580~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][4]~49007\ : std_logic;
SIGNAL \led_flash_cnt[1580][5]~49008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1580][5]~49009\ : std_logic;
SIGNAL \led_flash_cnt[1580][6]~49010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1580][6]~49011\ : std_logic;
SIGNAL \led_flash_cnt[1580][7]~49012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1580][7]~q\ : std_logic;
SIGNAL \WideAnd1580~1_combout\ : std_logic;
SIGNAL \WideAnd1580~combout\ : std_logic;
SIGNAL \WideAnd4037~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][0]~82222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1582][1]~49028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1582][1]~49029\ : std_logic;
SIGNAL \led_flash_cnt[1582][2]~49030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1582][2]~49031\ : std_logic;
SIGNAL \led_flash_cnt[1582][3]~49032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1582][3]~49033\ : std_logic;
SIGNAL \led_flash_cnt[1582][4]~49034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1582][4]~49035\ : std_logic;
SIGNAL \led_flash_cnt[1582][5]~49036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1582][5]~49037\ : std_logic;
SIGNAL \led_flash_cnt[1582][6]~49038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][6]~q\ : std_logic;
SIGNAL \WideAnd1582~1_combout\ : std_logic;
SIGNAL \WideAnd1582~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][6]~49039\ : std_logic;
SIGNAL \led_flash_cnt[1582][7]~49040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1582][7]~q\ : std_logic;
SIGNAL \WideAnd1582~combout\ : std_logic;
SIGNAL \WideAnd4037~combout\ : std_logic;
SIGNAL \WideAnd4344~1_combout\ : std_logic;
SIGNAL \WideAnd4344~combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][0]~82278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1638][1]~49812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1638][1]~49813\ : std_logic;
SIGNAL \led_flash_cnt[1638][2]~49814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1638][2]~49815\ : std_logic;
SIGNAL \led_flash_cnt[1638][3]~49816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1638][3]~49817\ : std_logic;
SIGNAL \led_flash_cnt[1638][4]~49818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1638][4]~49819\ : std_logic;
SIGNAL \led_flash_cnt[1638][5]~49820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1638][5]~49821\ : std_logic;
SIGNAL \led_flash_cnt[1638][6]~49822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][6]~q\ : std_logic;
SIGNAL \WideAnd1638~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][6]~49823\ : std_logic;
SIGNAL \led_flash_cnt[1638][7]~49824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1638][7]~q\ : std_logic;
SIGNAL \WideAnd1638~0_combout\ : std_logic;
SIGNAL \WideAnd1638~combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][0]~82277_combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1637][1]~49798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1637][1]~49799\ : std_logic;
SIGNAL \led_flash_cnt[1637][2]~49800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1637][2]~49801\ : std_logic;
SIGNAL \led_flash_cnt[1637][3]~49802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1637][3]~49803\ : std_logic;
SIGNAL \led_flash_cnt[1637][4]~49804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1637][4]~49805\ : std_logic;
SIGNAL \led_flash_cnt[1637][5]~49806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1637][5]~49807\ : std_logic;
SIGNAL \led_flash_cnt[1637][6]~49808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1637][6]~49809\ : std_logic;
SIGNAL \led_flash_cnt[1637][7]~49810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1637][7]~q\ : std_logic;
SIGNAL \WideAnd1637~0_combout\ : std_logic;
SIGNAL \WideAnd1637~1_combout\ : std_logic;
SIGNAL \WideAnd1637~combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][0]~82276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1636][1]~49784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1636][1]~49785\ : std_logic;
SIGNAL \led_flash_cnt[1636][2]~49786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1636][2]~49787\ : std_logic;
SIGNAL \led_flash_cnt[1636][3]~49788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1636][3]~49789\ : std_logic;
SIGNAL \led_flash_cnt[1636][4]~49790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1636][4]~49791\ : std_logic;
SIGNAL \led_flash_cnt[1636][5]~49792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1636][5]~49793\ : std_logic;
SIGNAL \led_flash_cnt[1636][6]~49794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][6]~q\ : std_logic;
SIGNAL \WideAnd1636~1_combout\ : std_logic;
SIGNAL \WideAnd1636~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][6]~49795\ : std_logic;
SIGNAL \led_flash_cnt[1636][7]~49796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1636][7]~q\ : std_logic;
SIGNAL \WideAnd1636~combout\ : std_logic;
SIGNAL \WideAnd4044~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][0]~82275_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1635][1]~49770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1635][1]~49771\ : std_logic;
SIGNAL \led_flash_cnt[1635][2]~49772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1635][2]~49773\ : std_logic;
SIGNAL \led_flash_cnt[1635][3]~49774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1635][3]~49775\ : std_logic;
SIGNAL \led_flash_cnt[1635][4]~49776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1635][4]~49777\ : std_logic;
SIGNAL \led_flash_cnt[1635][5]~49778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1635][5]~49779\ : std_logic;
SIGNAL \led_flash_cnt[1635][6]~49780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][6]~q\ : std_logic;
SIGNAL \WideAnd1635~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][6]~49781\ : std_logic;
SIGNAL \led_flash_cnt[1635][7]~49782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1635][7]~q\ : std_logic;
SIGNAL \WideAnd1635~0_combout\ : std_logic;
SIGNAL \WideAnd1635~combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][0]~82273_combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1633][1]~49742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1633][1]~49743\ : std_logic;
SIGNAL \led_flash_cnt[1633][2]~49744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1633][2]~49745\ : std_logic;
SIGNAL \led_flash_cnt[1633][3]~49746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1633][3]~49747\ : std_logic;
SIGNAL \led_flash_cnt[1633][4]~49748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1633][4]~49749\ : std_logic;
SIGNAL \led_flash_cnt[1633][5]~49750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1633][5]~49751\ : std_logic;
SIGNAL \led_flash_cnt[1633][6]~49752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1633][6]~49753\ : std_logic;
SIGNAL \led_flash_cnt[1633][7]~49754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1633][7]~q\ : std_logic;
SIGNAL \WideAnd1633~1_combout\ : std_logic;
SIGNAL \WideAnd1633~0_combout\ : std_logic;
SIGNAL \WideAnd1633~combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][0]~82272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1632][1]~49728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1632][1]~49729\ : std_logic;
SIGNAL \led_flash_cnt[1632][2]~49730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1632][2]~49731\ : std_logic;
SIGNAL \led_flash_cnt[1632][3]~49732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1632][3]~49733\ : std_logic;
SIGNAL \led_flash_cnt[1632][4]~49734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1632][4]~49735\ : std_logic;
SIGNAL \led_flash_cnt[1632][5]~49736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1632][5]~49737\ : std_logic;
SIGNAL \led_flash_cnt[1632][6]~49738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1632][6]~49739\ : std_logic;
SIGNAL \led_flash_cnt[1632][7]~49740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1632][7]~q\ : std_logic;
SIGNAL \WideAnd1632~0_combout\ : std_logic;
SIGNAL \WideAnd1632~1_combout\ : std_logic;
SIGNAL \WideAnd1632~combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][0]~82274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1634][1]~49756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1634][1]~49757\ : std_logic;
SIGNAL \led_flash_cnt[1634][2]~49758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1634][2]~49759\ : std_logic;
SIGNAL \led_flash_cnt[1634][3]~49760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1634][3]~49761\ : std_logic;
SIGNAL \led_flash_cnt[1634][4]~49762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1634][4]~49763\ : std_logic;
SIGNAL \led_flash_cnt[1634][5]~49764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1634][5]~49765\ : std_logic;
SIGNAL \led_flash_cnt[1634][6]~49766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1634][6]~49767\ : std_logic;
SIGNAL \led_flash_cnt[1634][7]~49768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1634][7]~q\ : std_logic;
SIGNAL \WideAnd1634~1_combout\ : std_logic;
SIGNAL \WideAnd1634~0_combout\ : std_logic;
SIGNAL \WideAnd1634~combout\ : std_logic;
SIGNAL \WideAnd4044~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][0]~82279_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1639][1]~49826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1639][1]~49827\ : std_logic;
SIGNAL \led_flash_cnt[1639][2]~49828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1639][2]~49829\ : std_logic;
SIGNAL \led_flash_cnt[1639][3]~49830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1639][3]~49831\ : std_logic;
SIGNAL \led_flash_cnt[1639][4]~49832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1639][4]~49833\ : std_logic;
SIGNAL \led_flash_cnt[1639][5]~49834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1639][5]~49835\ : std_logic;
SIGNAL \led_flash_cnt[1639][6]~49836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1639][6]~49837\ : std_logic;
SIGNAL \led_flash_cnt[1639][7]~49838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1639][7]~q\ : std_logic;
SIGNAL \WideAnd1639~0_combout\ : std_logic;
SIGNAL \WideAnd1639~1_combout\ : std_logic;
SIGNAL \WideAnd1639~combout\ : std_logic;
SIGNAL \WideAnd4044~combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][0]~82280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1640][1]~49840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1640][1]~49841\ : std_logic;
SIGNAL \led_flash_cnt[1640][2]~49842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1640][2]~49843\ : std_logic;
SIGNAL \led_flash_cnt[1640][3]~49844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1640][3]~49845\ : std_logic;
SIGNAL \led_flash_cnt[1640][4]~49846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1640][4]~49847\ : std_logic;
SIGNAL \led_flash_cnt[1640][5]~49848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1640][5]~49849\ : std_logic;
SIGNAL \led_flash_cnt[1640][6]~49850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][6]~q\ : std_logic;
SIGNAL \WideAnd1640~1_combout\ : std_logic;
SIGNAL \WideAnd1640~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][6]~49851\ : std_logic;
SIGNAL \led_flash_cnt[1640][7]~49852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1640][7]~q\ : std_logic;
SIGNAL \WideAnd1640~combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][0]~82283_combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1643][1]~49882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1643][1]~49883\ : std_logic;
SIGNAL \led_flash_cnt[1643][2]~49884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1643][2]~49885\ : std_logic;
SIGNAL \led_flash_cnt[1643][3]~49886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1643][3]~49887\ : std_logic;
SIGNAL \led_flash_cnt[1643][4]~49888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1643][4]~49889\ : std_logic;
SIGNAL \led_flash_cnt[1643][5]~49890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1643][5]~49891\ : std_logic;
SIGNAL \led_flash_cnt[1643][6]~49892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1643][6]~49893\ : std_logic;
SIGNAL \led_flash_cnt[1643][7]~49894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1643][7]~q\ : std_logic;
SIGNAL \WideAnd1643~1_combout\ : std_logic;
SIGNAL \WideAnd1643~0_combout\ : std_logic;
SIGNAL \WideAnd1643~combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][0]~82281_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1641][1]~49854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1641][1]~49855\ : std_logic;
SIGNAL \led_flash_cnt[1641][2]~49856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1641][2]~49857\ : std_logic;
SIGNAL \led_flash_cnt[1641][3]~49858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1641][3]~49859\ : std_logic;
SIGNAL \led_flash_cnt[1641][4]~49860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1641][4]~49861\ : std_logic;
SIGNAL \led_flash_cnt[1641][5]~49862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1641][5]~49863\ : std_logic;
SIGNAL \led_flash_cnt[1641][6]~49864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][6]~q\ : std_logic;
SIGNAL \WideAnd1641~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][6]~49865\ : std_logic;
SIGNAL \led_flash_cnt[1641][7]~49866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1641][7]~q\ : std_logic;
SIGNAL \WideAnd1641~0_combout\ : std_logic;
SIGNAL \WideAnd1641~combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][0]~82282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1642][1]~49868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1642][1]~49869\ : std_logic;
SIGNAL \led_flash_cnt[1642][2]~49870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1642][2]~49871\ : std_logic;
SIGNAL \led_flash_cnt[1642][3]~49872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1642][3]~49873\ : std_logic;
SIGNAL \led_flash_cnt[1642][4]~49874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1642][4]~49875\ : std_logic;
SIGNAL \led_flash_cnt[1642][5]~49876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1642][5]~49877\ : std_logic;
SIGNAL \led_flash_cnt[1642][6]~49878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][6]~q\ : std_logic;
SIGNAL \WideAnd1642~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][6]~49879\ : std_logic;
SIGNAL \led_flash_cnt[1642][7]~49880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1642][7]~q\ : std_logic;
SIGNAL \WideAnd1642~0_combout\ : std_logic;
SIGNAL \WideAnd1642~combout\ : std_logic;
SIGNAL \WideAnd4045~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][0]~82286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1646][1]~49924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1646][1]~49925\ : std_logic;
SIGNAL \led_flash_cnt[1646][2]~49926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1646][2]~49927\ : std_logic;
SIGNAL \led_flash_cnt[1646][3]~49928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1646][3]~49929\ : std_logic;
SIGNAL \led_flash_cnt[1646][4]~49930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][4]~q\ : std_logic;
SIGNAL \WideAnd1646~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][4]~49931\ : std_logic;
SIGNAL \led_flash_cnt[1646][5]~49932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1646][5]~49933\ : std_logic;
SIGNAL \led_flash_cnt[1646][6]~49934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1646][6]~49935\ : std_logic;
SIGNAL \led_flash_cnt[1646][7]~49936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1646][7]~q\ : std_logic;
SIGNAL \WideAnd1646~1_combout\ : std_logic;
SIGNAL \WideAnd1646~combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][0]~82285_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1645][1]~49910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1645][1]~49911\ : std_logic;
SIGNAL \led_flash_cnt[1645][2]~49912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1645][2]~49913\ : std_logic;
SIGNAL \led_flash_cnt[1645][3]~49914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1645][3]~49915\ : std_logic;
SIGNAL \led_flash_cnt[1645][4]~49916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][4]~q\ : std_logic;
SIGNAL \WideAnd1645~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][4]~49917\ : std_logic;
SIGNAL \led_flash_cnt[1645][5]~49918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1645][5]~49919\ : std_logic;
SIGNAL \led_flash_cnt[1645][6]~49920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][6]~q\ : std_logic;
SIGNAL \WideAnd1645~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][6]~49921\ : std_logic;
SIGNAL \led_flash_cnt[1645][7]~49922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1645][7]~q\ : std_logic;
SIGNAL \WideAnd1645~combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][0]~82284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1644][1]~49896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1644][1]~49897\ : std_logic;
SIGNAL \led_flash_cnt[1644][2]~49898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1644][2]~49899\ : std_logic;
SIGNAL \led_flash_cnt[1644][3]~49900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1644][3]~49901\ : std_logic;
SIGNAL \led_flash_cnt[1644][4]~49902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1644][4]~49903\ : std_logic;
SIGNAL \led_flash_cnt[1644][5]~49904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1644][5]~49905\ : std_logic;
SIGNAL \led_flash_cnt[1644][6]~49906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1644][6]~49907\ : std_logic;
SIGNAL \led_flash_cnt[1644][7]~49908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1644][7]~q\ : std_logic;
SIGNAL \WideAnd1644~1_combout\ : std_logic;
SIGNAL \WideAnd1644~0_combout\ : std_logic;
SIGNAL \WideAnd1644~combout\ : std_logic;
SIGNAL \WideAnd4045~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][0]~82287_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1647][1]~49938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1647][1]~49939\ : std_logic;
SIGNAL \led_flash_cnt[1647][2]~49940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1647][2]~49941\ : std_logic;
SIGNAL \led_flash_cnt[1647][3]~49942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1647][3]~49943\ : std_logic;
SIGNAL \led_flash_cnt[1647][4]~49944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][4]~q\ : std_logic;
SIGNAL \WideAnd1647~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][4]~49945\ : std_logic;
SIGNAL \led_flash_cnt[1647][5]~49946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1647][5]~49947\ : std_logic;
SIGNAL \led_flash_cnt[1647][6]~49948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1647][6]~49949\ : std_logic;
SIGNAL \led_flash_cnt[1647][7]~49950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1647][7]~q\ : std_logic;
SIGNAL \WideAnd1647~1_combout\ : std_logic;
SIGNAL \WideAnd1647~combout\ : std_logic;
SIGNAL \WideAnd4045~combout\ : std_logic;
SIGNAL \WideAnd4345~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][0]~82295_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1655][1]~50050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1655][1]~50051\ : std_logic;
SIGNAL \led_flash_cnt[1655][2]~50052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1655][2]~50053\ : std_logic;
SIGNAL \led_flash_cnt[1655][3]~50054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1655][3]~50055\ : std_logic;
SIGNAL \led_flash_cnt[1655][4]~50056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1655][4]~50057\ : std_logic;
SIGNAL \led_flash_cnt[1655][5]~50058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1655][5]~50059\ : std_logic;
SIGNAL \led_flash_cnt[1655][6]~50060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1655][6]~50061\ : std_logic;
SIGNAL \led_flash_cnt[1655][7]~50062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1655][7]~q\ : std_logic;
SIGNAL \WideAnd1655~0_combout\ : std_logic;
SIGNAL \WideAnd1655~1_combout\ : std_logic;
SIGNAL \WideAnd1655~combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][0]~82294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1654][1]~50036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1654][1]~50037\ : std_logic;
SIGNAL \led_flash_cnt[1654][2]~50038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1654][2]~50039\ : std_logic;
SIGNAL \led_flash_cnt[1654][3]~50040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1654][3]~50041\ : std_logic;
SIGNAL \led_flash_cnt[1654][4]~50042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1654][4]~50043\ : std_logic;
SIGNAL \led_flash_cnt[1654][5]~50044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1654][5]~50045\ : std_logic;
SIGNAL \led_flash_cnt[1654][6]~50046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][6]~q\ : std_logic;
SIGNAL \WideAnd1654~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][6]~50047\ : std_logic;
SIGNAL \led_flash_cnt[1654][7]~50048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1654][7]~q\ : std_logic;
SIGNAL \WideAnd1654~0_combout\ : std_logic;
SIGNAL \WideAnd1654~combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][0]~82290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1650][1]~49980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1650][1]~49981\ : std_logic;
SIGNAL \led_flash_cnt[1650][2]~49982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1650][2]~49983\ : std_logic;
SIGNAL \led_flash_cnt[1650][3]~49984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1650][3]~49985\ : std_logic;
SIGNAL \led_flash_cnt[1650][4]~49986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1650][4]~49987\ : std_logic;
SIGNAL \led_flash_cnt[1650][5]~49988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1650][5]~49989\ : std_logic;
SIGNAL \led_flash_cnt[1650][6]~49990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][6]~q\ : std_logic;
SIGNAL \WideAnd1650~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][6]~49991\ : std_logic;
SIGNAL \led_flash_cnt[1650][7]~49992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1650][7]~q\ : std_logic;
SIGNAL \WideAnd1650~0_combout\ : std_logic;
SIGNAL \WideAnd1650~combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][0]~82291_combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1651][1]~49994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1651][1]~49995\ : std_logic;
SIGNAL \led_flash_cnt[1651][2]~49996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1651][2]~49997\ : std_logic;
SIGNAL \led_flash_cnt[1651][3]~49998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1651][3]~49999\ : std_logic;
SIGNAL \led_flash_cnt[1651][4]~50000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1651][4]~50001\ : std_logic;
SIGNAL \led_flash_cnt[1651][5]~50002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1651][5]~50003\ : std_logic;
SIGNAL \led_flash_cnt[1651][6]~50004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1651][6]~50005\ : std_logic;
SIGNAL \led_flash_cnt[1651][7]~50006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1651][7]~q\ : std_logic;
SIGNAL \WideAnd1651~0_combout\ : std_logic;
SIGNAL \WideAnd1651~1_combout\ : std_logic;
SIGNAL \WideAnd1651~combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][0]~82289_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1649][1]~49966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1649][1]~49967\ : std_logic;
SIGNAL \led_flash_cnt[1649][2]~49968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1649][2]~49969\ : std_logic;
SIGNAL \led_flash_cnt[1649][3]~49970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1649][3]~49971\ : std_logic;
SIGNAL \led_flash_cnt[1649][4]~49972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][4]~q\ : std_logic;
SIGNAL \WideAnd1649~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][4]~49973\ : std_logic;
SIGNAL \led_flash_cnt[1649][5]~49974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1649][5]~49975\ : std_logic;
SIGNAL \led_flash_cnt[1649][6]~49976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1649][6]~49977\ : std_logic;
SIGNAL \led_flash_cnt[1649][7]~49978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1649][7]~q\ : std_logic;
SIGNAL \WideAnd1649~1_combout\ : std_logic;
SIGNAL \WideAnd1649~combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][0]~82288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1648][1]~49952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1648][1]~49953\ : std_logic;
SIGNAL \led_flash_cnt[1648][2]~49954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1648][2]~49955\ : std_logic;
SIGNAL \led_flash_cnt[1648][3]~49956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1648][3]~49957\ : std_logic;
SIGNAL \led_flash_cnt[1648][4]~49958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1648][4]~49959\ : std_logic;
SIGNAL \led_flash_cnt[1648][5]~49960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1648][5]~49961\ : std_logic;
SIGNAL \led_flash_cnt[1648][6]~49962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][6]~q\ : std_logic;
SIGNAL \WideAnd1648~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][6]~49963\ : std_logic;
SIGNAL \led_flash_cnt[1648][7]~49964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1648][7]~q\ : std_logic;
SIGNAL \WideAnd1648~0_combout\ : std_logic;
SIGNAL \WideAnd1648~combout\ : std_logic;
SIGNAL \WideAnd4046~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][0]~82292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1652][1]~50008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1652][1]~50009\ : std_logic;
SIGNAL \led_flash_cnt[1652][2]~50010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1652][2]~50011\ : std_logic;
SIGNAL \led_flash_cnt[1652][3]~50012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1652][3]~50013\ : std_logic;
SIGNAL \led_flash_cnt[1652][4]~50014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][4]~q\ : std_logic;
SIGNAL \WideAnd1652~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][4]~50015\ : std_logic;
SIGNAL \led_flash_cnt[1652][5]~50016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1652][5]~50017\ : std_logic;
SIGNAL \led_flash_cnt[1652][6]~50018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1652][6]~50019\ : std_logic;
SIGNAL \led_flash_cnt[1652][7]~50020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1652][7]~q\ : std_logic;
SIGNAL \WideAnd1652~1_combout\ : std_logic;
SIGNAL \WideAnd1652~combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][0]~82293_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1653][1]~50022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1653][1]~50023\ : std_logic;
SIGNAL \led_flash_cnt[1653][2]~50024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1653][2]~50025\ : std_logic;
SIGNAL \led_flash_cnt[1653][3]~50026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1653][3]~50027\ : std_logic;
SIGNAL \led_flash_cnt[1653][4]~50028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][4]~q\ : std_logic;
SIGNAL \WideAnd1653~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][4]~50029\ : std_logic;
SIGNAL \led_flash_cnt[1653][5]~50030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1653][5]~50031\ : std_logic;
SIGNAL \led_flash_cnt[1653][6]~50032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][6]~q\ : std_logic;
SIGNAL \WideAnd1653~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][6]~50033\ : std_logic;
SIGNAL \led_flash_cnt[1653][7]~50034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1653][7]~q\ : std_logic;
SIGNAL \WideAnd1653~combout\ : std_logic;
SIGNAL \WideAnd4046~1_combout\ : std_logic;
SIGNAL \WideAnd4046~combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][0]~82302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1662][1]~50148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1662][1]~50149\ : std_logic;
SIGNAL \led_flash_cnt[1662][2]~50150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1662][2]~50151\ : std_logic;
SIGNAL \led_flash_cnt[1662][3]~50152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1662][3]~50153\ : std_logic;
SIGNAL \led_flash_cnt[1662][4]~50154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1662][4]~50155\ : std_logic;
SIGNAL \led_flash_cnt[1662][5]~50156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1662][5]~50157\ : std_logic;
SIGNAL \led_flash_cnt[1662][6]~50158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][6]~q\ : std_logic;
SIGNAL \WideAnd1662~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][6]~50159\ : std_logic;
SIGNAL \led_flash_cnt[1662][7]~50160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1662][7]~q\ : std_logic;
SIGNAL \WideAnd1662~0_combout\ : std_logic;
SIGNAL \WideAnd1662~combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][0]~82303_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1663][1]~50162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1663][1]~50163\ : std_logic;
SIGNAL \led_flash_cnt[1663][2]~50164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1663][2]~50165\ : std_logic;
SIGNAL \led_flash_cnt[1663][3]~50166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1663][3]~50167\ : std_logic;
SIGNAL \led_flash_cnt[1663][4]~50168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][4]~q\ : std_logic;
SIGNAL \WideAnd1663~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][4]~50169\ : std_logic;
SIGNAL \led_flash_cnt[1663][5]~50170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1663][5]~50171\ : std_logic;
SIGNAL \led_flash_cnt[1663][6]~50172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1663][6]~50173\ : std_logic;
SIGNAL \led_flash_cnt[1663][7]~50174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1663][7]~q\ : std_logic;
SIGNAL \WideAnd1663~1_combout\ : std_logic;
SIGNAL \WideAnd1663~combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][0]~82301_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1661][1]~50134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1661][1]~50135\ : std_logic;
SIGNAL \led_flash_cnt[1661][2]~50136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1661][2]~50137\ : std_logic;
SIGNAL \led_flash_cnt[1661][3]~50138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1661][3]~50139\ : std_logic;
SIGNAL \led_flash_cnt[1661][4]~50140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][4]~q\ : std_logic;
SIGNAL \WideAnd1661~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][4]~50141\ : std_logic;
SIGNAL \led_flash_cnt[1661][5]~50142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1661][5]~50143\ : std_logic;
SIGNAL \led_flash_cnt[1661][6]~50144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1661][6]~50145\ : std_logic;
SIGNAL \led_flash_cnt[1661][7]~50146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1661][7]~q\ : std_logic;
SIGNAL \WideAnd1661~1_combout\ : std_logic;
SIGNAL \WideAnd1661~combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][0]~82300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1660][1]~50120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1660][1]~50121\ : std_logic;
SIGNAL \led_flash_cnt[1660][2]~50122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1660][2]~50123\ : std_logic;
SIGNAL \led_flash_cnt[1660][3]~50124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][3]~q\ : std_logic;
SIGNAL \WideAnd1660~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][3]~50125\ : std_logic;
SIGNAL \led_flash_cnt[1660][4]~50126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1660][4]~50127\ : std_logic;
SIGNAL \led_flash_cnt[1660][5]~50128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1660][5]~50129\ : std_logic;
SIGNAL \led_flash_cnt[1660][6]~50130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1660][6]~50131\ : std_logic;
SIGNAL \led_flash_cnt[1660][7]~50132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1660][7]~q\ : std_logic;
SIGNAL \WideAnd1660~0_combout\ : std_logic;
SIGNAL \WideAnd1660~combout\ : std_logic;
SIGNAL \WideAnd4047~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][0]~82297_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1657][1]~50078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1657][1]~50079\ : std_logic;
SIGNAL \led_flash_cnt[1657][2]~50080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1657][2]~50081\ : std_logic;
SIGNAL \led_flash_cnt[1657][3]~50082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1657][3]~50083\ : std_logic;
SIGNAL \led_flash_cnt[1657][4]~50084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][4]~q\ : std_logic;
SIGNAL \WideAnd1657~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][4]~50085\ : std_logic;
SIGNAL \led_flash_cnt[1657][5]~50086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1657][5]~50087\ : std_logic;
SIGNAL \led_flash_cnt[1657][6]~50088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1657][6]~50089\ : std_logic;
SIGNAL \led_flash_cnt[1657][7]~50090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1657][7]~q\ : std_logic;
SIGNAL \WideAnd1657~1_combout\ : std_logic;
SIGNAL \WideAnd1657~combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][0]~82298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1658][1]~50092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1658][1]~50093\ : std_logic;
SIGNAL \led_flash_cnt[1658][2]~50094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1658][2]~50095\ : std_logic;
SIGNAL \led_flash_cnt[1658][3]~50096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1658][3]~50097\ : std_logic;
SIGNAL \led_flash_cnt[1658][4]~50098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][4]~q\ : std_logic;
SIGNAL \WideAnd1658~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][4]~50099\ : std_logic;
SIGNAL \led_flash_cnt[1658][5]~50100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1658][5]~50101\ : std_logic;
SIGNAL \led_flash_cnt[1658][6]~50102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][6]~q\ : std_logic;
SIGNAL \WideAnd1658~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][6]~50103\ : std_logic;
SIGNAL \led_flash_cnt[1658][7]~50104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1658][7]~q\ : std_logic;
SIGNAL \WideAnd1658~combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][0]~82299_combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1659][1]~50106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1659][1]~50107\ : std_logic;
SIGNAL \led_flash_cnt[1659][2]~50108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1659][2]~50109\ : std_logic;
SIGNAL \led_flash_cnt[1659][3]~50110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1659][3]~50111\ : std_logic;
SIGNAL \led_flash_cnt[1659][4]~50112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1659][4]~50113\ : std_logic;
SIGNAL \led_flash_cnt[1659][5]~50114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1659][5]~50115\ : std_logic;
SIGNAL \led_flash_cnt[1659][6]~50116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1659][6]~50117\ : std_logic;
SIGNAL \led_flash_cnt[1659][7]~50118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1659][7]~q\ : std_logic;
SIGNAL \WideAnd1659~0_combout\ : std_logic;
SIGNAL \WideAnd1659~1_combout\ : std_logic;
SIGNAL \WideAnd1659~combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][0]~82296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1656][1]~50064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1656][1]~50065\ : std_logic;
SIGNAL \led_flash_cnt[1656][2]~50066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1656][2]~50067\ : std_logic;
SIGNAL \led_flash_cnt[1656][3]~50068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1656][3]~50069\ : std_logic;
SIGNAL \led_flash_cnt[1656][4]~50070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][4]~q\ : std_logic;
SIGNAL \WideAnd1656~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][4]~50071\ : std_logic;
SIGNAL \led_flash_cnt[1656][5]~50072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1656][5]~50073\ : std_logic;
SIGNAL \led_flash_cnt[1656][6]~50074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1656][6]~50075\ : std_logic;
SIGNAL \led_flash_cnt[1656][7]~50076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1656][7]~q\ : std_logic;
SIGNAL \WideAnd1656~1_combout\ : std_logic;
SIGNAL \WideAnd1656~combout\ : std_logic;
SIGNAL \WideAnd4047~0_combout\ : std_logic;
SIGNAL \WideAnd4047~combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][0]~82267_combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1627][1]~49658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1627][1]~49659\ : std_logic;
SIGNAL \led_flash_cnt[1627][2]~49660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1627][2]~49661\ : std_logic;
SIGNAL \led_flash_cnt[1627][3]~49662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1627][3]~49663\ : std_logic;
SIGNAL \led_flash_cnt[1627][4]~49664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1627][4]~49665\ : std_logic;
SIGNAL \led_flash_cnt[1627][5]~49666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1627][5]~49667\ : std_logic;
SIGNAL \led_flash_cnt[1627][6]~49668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1627][6]~49669\ : std_logic;
SIGNAL \led_flash_cnt[1627][7]~49670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1627][7]~q\ : std_logic;
SIGNAL \WideAnd1627~1_combout\ : std_logic;
SIGNAL \WideAnd1627~0_combout\ : std_logic;
SIGNAL \WideAnd1627~combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][0]~82265_combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1625][1]~49630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1625][1]~49631\ : std_logic;
SIGNAL \led_flash_cnt[1625][2]~49632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1625][2]~49633\ : std_logic;
SIGNAL \led_flash_cnt[1625][3]~49634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1625][3]~49635\ : std_logic;
SIGNAL \led_flash_cnt[1625][4]~49636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1625][4]~49637\ : std_logic;
SIGNAL \led_flash_cnt[1625][5]~49638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1625][5]~49639\ : std_logic;
SIGNAL \led_flash_cnt[1625][6]~49640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1625][6]~49641\ : std_logic;
SIGNAL \led_flash_cnt[1625][7]~49642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1625][7]~q\ : std_logic;
SIGNAL \WideAnd1625~0_combout\ : std_logic;
SIGNAL \WideAnd1625~1_combout\ : std_logic;
SIGNAL \WideAnd1625~combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][0]~82264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1624][1]~49616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1624][1]~49617\ : std_logic;
SIGNAL \led_flash_cnt[1624][2]~49618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1624][2]~49619\ : std_logic;
SIGNAL \led_flash_cnt[1624][3]~49620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1624][3]~49621\ : std_logic;
SIGNAL \led_flash_cnt[1624][4]~49622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1624][4]~49623\ : std_logic;
SIGNAL \led_flash_cnt[1624][5]~49624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1624][5]~49625\ : std_logic;
SIGNAL \led_flash_cnt[1624][6]~49626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][6]~q\ : std_logic;
SIGNAL \WideAnd1624~1_combout\ : std_logic;
SIGNAL \WideAnd1624~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][6]~49627\ : std_logic;
SIGNAL \led_flash_cnt[1624][7]~49628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1624][7]~q\ : std_logic;
SIGNAL \WideAnd1624~combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][0]~82266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1626][1]~49644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1626][1]~49645\ : std_logic;
SIGNAL \led_flash_cnt[1626][2]~49646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1626][2]~49647\ : std_logic;
SIGNAL \led_flash_cnt[1626][3]~49648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1626][3]~49649\ : std_logic;
SIGNAL \led_flash_cnt[1626][4]~49650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1626][4]~49651\ : std_logic;
SIGNAL \led_flash_cnt[1626][5]~49652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1626][5]~49653\ : std_logic;
SIGNAL \led_flash_cnt[1626][6]~49654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1626][6]~49655\ : std_logic;
SIGNAL \led_flash_cnt[1626][7]~49656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1626][7]~q\ : std_logic;
SIGNAL \WideAnd1626~1_combout\ : std_logic;
SIGNAL \WideAnd1626~0_combout\ : std_logic;
SIGNAL \WideAnd1626~combout\ : std_logic;
SIGNAL \WideAnd4043~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][0]~82269_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1629][1]~49686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1629][1]~49687\ : std_logic;
SIGNAL \led_flash_cnt[1629][2]~49688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1629][2]~49689\ : std_logic;
SIGNAL \led_flash_cnt[1629][3]~49690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1629][3]~49691\ : std_logic;
SIGNAL \led_flash_cnt[1629][4]~49692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1629][4]~49693\ : std_logic;
SIGNAL \led_flash_cnt[1629][5]~49694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1629][5]~49695\ : std_logic;
SIGNAL \led_flash_cnt[1629][6]~49696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1629][6]~49697\ : std_logic;
SIGNAL \led_flash_cnt[1629][7]~49698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1629][7]~q\ : std_logic;
SIGNAL \WideAnd1629~0_combout\ : std_logic;
SIGNAL \WideAnd1629~1_combout\ : std_logic;
SIGNAL \WideAnd1629~combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][0]~82268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1628][1]~49672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1628][1]~49673\ : std_logic;
SIGNAL \led_flash_cnt[1628][2]~49674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1628][2]~49675\ : std_logic;
SIGNAL \led_flash_cnt[1628][3]~49676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1628][3]~49677\ : std_logic;
SIGNAL \led_flash_cnt[1628][4]~49678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1628][4]~49679\ : std_logic;
SIGNAL \led_flash_cnt[1628][5]~49680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1628][5]~49681\ : std_logic;
SIGNAL \led_flash_cnt[1628][6]~49682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1628][6]~49683\ : std_logic;
SIGNAL \led_flash_cnt[1628][7]~49684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1628][7]~q\ : std_logic;
SIGNAL \WideAnd1628~0_combout\ : std_logic;
SIGNAL \WideAnd1628~1_combout\ : std_logic;
SIGNAL \WideAnd1628~combout\ : std_logic;
SIGNAL \WideAnd4043~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][0]~82271_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1631][1]~49714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1631][1]~49715\ : std_logic;
SIGNAL \led_flash_cnt[1631][2]~49716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1631][2]~49717\ : std_logic;
SIGNAL \led_flash_cnt[1631][3]~49718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1631][3]~49719\ : std_logic;
SIGNAL \led_flash_cnt[1631][4]~49720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][4]~q\ : std_logic;
SIGNAL \WideAnd1631~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][4]~49721\ : std_logic;
SIGNAL \led_flash_cnt[1631][5]~49722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1631][5]~49723\ : std_logic;
SIGNAL \led_flash_cnt[1631][6]~49724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1631][6]~49725\ : std_logic;
SIGNAL \led_flash_cnt[1631][7]~49726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1631][7]~q\ : std_logic;
SIGNAL \WideAnd1631~1_combout\ : std_logic;
SIGNAL \WideAnd1631~combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][0]~82270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1630][1]~49700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1630][1]~49701\ : std_logic;
SIGNAL \led_flash_cnt[1630][2]~49702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1630][2]~49703\ : std_logic;
SIGNAL \led_flash_cnt[1630][3]~49704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1630][3]~49705\ : std_logic;
SIGNAL \led_flash_cnt[1630][4]~49706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1630][4]~49707\ : std_logic;
SIGNAL \led_flash_cnt[1630][5]~49708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1630][5]~49709\ : std_logic;
SIGNAL \led_flash_cnt[1630][6]~49710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][6]~q\ : std_logic;
SIGNAL \WideAnd1630~1_combout\ : std_logic;
SIGNAL \WideAnd1630~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][6]~49711\ : std_logic;
SIGNAL \led_flash_cnt[1630][7]~49712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1630][7]~q\ : std_logic;
SIGNAL \WideAnd1630~combout\ : std_logic;
SIGNAL \WideAnd4043~combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][0]~82263_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1623][1]~49602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1623][1]~49603\ : std_logic;
SIGNAL \led_flash_cnt[1623][2]~49604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1623][2]~49605\ : std_logic;
SIGNAL \led_flash_cnt[1623][3]~49606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1623][3]~49607\ : std_logic;
SIGNAL \led_flash_cnt[1623][4]~49608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][4]~q\ : std_logic;
SIGNAL \WideAnd1623~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][4]~49609\ : std_logic;
SIGNAL \led_flash_cnt[1623][5]~49610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1623][5]~49611\ : std_logic;
SIGNAL \led_flash_cnt[1623][6]~49612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][6]~q\ : std_logic;
SIGNAL \WideAnd1623~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][6]~49613\ : std_logic;
SIGNAL \led_flash_cnt[1623][7]~49614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1623][7]~q\ : std_logic;
SIGNAL \WideAnd1623~combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][0]~82261_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1621][1]~49574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1621][1]~49575\ : std_logic;
SIGNAL \led_flash_cnt[1621][2]~49576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1621][2]~49577\ : std_logic;
SIGNAL \led_flash_cnt[1621][3]~49578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1621][3]~49579\ : std_logic;
SIGNAL \led_flash_cnt[1621][4]~49580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][4]~q\ : std_logic;
SIGNAL \WideAnd1621~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][4]~49581\ : std_logic;
SIGNAL \led_flash_cnt[1621][5]~49582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1621][5]~49583\ : std_logic;
SIGNAL \led_flash_cnt[1621][6]~49584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][6]~q\ : std_logic;
SIGNAL \WideAnd1621~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][6]~49585\ : std_logic;
SIGNAL \led_flash_cnt[1621][7]~49586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1621][7]~q\ : std_logic;
SIGNAL \WideAnd1621~combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][0]~82260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1620][1]~49560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1620][1]~49561\ : std_logic;
SIGNAL \led_flash_cnt[1620][2]~49562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1620][2]~49563\ : std_logic;
SIGNAL \led_flash_cnt[1620][3]~49564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1620][3]~49565\ : std_logic;
SIGNAL \led_flash_cnt[1620][4]~49566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1620][4]~49567\ : std_logic;
SIGNAL \led_flash_cnt[1620][5]~49568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1620][5]~49569\ : std_logic;
SIGNAL \led_flash_cnt[1620][6]~49570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1620][6]~49571\ : std_logic;
SIGNAL \led_flash_cnt[1620][7]~49572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1620][7]~q\ : std_logic;
SIGNAL \WideAnd1620~1_combout\ : std_logic;
SIGNAL \WideAnd1620~0_combout\ : std_logic;
SIGNAL \WideAnd1620~combout\ : std_logic;
SIGNAL \WideAnd4042~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][0]~82262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1622][1]~49588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1622][1]~49589\ : std_logic;
SIGNAL \led_flash_cnt[1622][2]~49590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1622][2]~49591\ : std_logic;
SIGNAL \led_flash_cnt[1622][3]~49592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1622][3]~49593\ : std_logic;
SIGNAL \led_flash_cnt[1622][4]~49594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][4]~q\ : std_logic;
SIGNAL \WideAnd1622~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][4]~49595\ : std_logic;
SIGNAL \led_flash_cnt[1622][5]~49596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1622][5]~49597\ : std_logic;
SIGNAL \led_flash_cnt[1622][6]~49598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][6]~q\ : std_logic;
SIGNAL \WideAnd1622~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][6]~49599\ : std_logic;
SIGNAL \led_flash_cnt[1622][7]~49600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1622][7]~q\ : std_logic;
SIGNAL \WideAnd1622~combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][0]~82257_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1617][1]~49518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1617][1]~49519\ : std_logic;
SIGNAL \led_flash_cnt[1617][2]~49520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1617][2]~49521\ : std_logic;
SIGNAL \led_flash_cnt[1617][3]~49522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1617][3]~49523\ : std_logic;
SIGNAL \led_flash_cnt[1617][4]~49524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][4]~q\ : std_logic;
SIGNAL \WideAnd1617~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][4]~49525\ : std_logic;
SIGNAL \led_flash_cnt[1617][5]~49526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1617][5]~49527\ : std_logic;
SIGNAL \led_flash_cnt[1617][6]~49528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][6]~q\ : std_logic;
SIGNAL \WideAnd1617~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][6]~49529\ : std_logic;
SIGNAL \led_flash_cnt[1617][7]~49530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1617][7]~q\ : std_logic;
SIGNAL \WideAnd1617~combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][0]~82259_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1619][1]~49546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1619][1]~49547\ : std_logic;
SIGNAL \led_flash_cnt[1619][2]~49548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1619][2]~49549\ : std_logic;
SIGNAL \led_flash_cnt[1619][3]~49550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1619][3]~49551\ : std_logic;
SIGNAL \led_flash_cnt[1619][4]~49552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1619][4]~49553\ : std_logic;
SIGNAL \led_flash_cnt[1619][5]~49554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1619][5]~49555\ : std_logic;
SIGNAL \led_flash_cnt[1619][6]~49556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][6]~q\ : std_logic;
SIGNAL \WideAnd1619~1_combout\ : std_logic;
SIGNAL \WideAnd1619~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][6]~49557\ : std_logic;
SIGNAL \led_flash_cnt[1619][7]~49558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1619][7]~q\ : std_logic;
SIGNAL \WideAnd1619~combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][0]~82256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1616][1]~49504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1616][1]~49505\ : std_logic;
SIGNAL \led_flash_cnt[1616][2]~49506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1616][2]~49507\ : std_logic;
SIGNAL \led_flash_cnt[1616][3]~49508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1616][3]~49509\ : std_logic;
SIGNAL \led_flash_cnt[1616][4]~49510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1616][4]~49511\ : std_logic;
SIGNAL \led_flash_cnt[1616][5]~49512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1616][5]~49513\ : std_logic;
SIGNAL \led_flash_cnt[1616][6]~49514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][6]~q\ : std_logic;
SIGNAL \WideAnd1616~1_combout\ : std_logic;
SIGNAL \WideAnd1616~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][6]~49515\ : std_logic;
SIGNAL \led_flash_cnt[1616][7]~49516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1616][7]~q\ : std_logic;
SIGNAL \WideAnd1616~combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][0]~82258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1618][1]~49532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1618][1]~49533\ : std_logic;
SIGNAL \led_flash_cnt[1618][2]~49534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1618][2]~49535\ : std_logic;
SIGNAL \led_flash_cnt[1618][3]~49536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1618][3]~49537\ : std_logic;
SIGNAL \led_flash_cnt[1618][4]~49538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][4]~q\ : std_logic;
SIGNAL \WideAnd1618~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][4]~49539\ : std_logic;
SIGNAL \led_flash_cnt[1618][5]~49540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1618][5]~49541\ : std_logic;
SIGNAL \led_flash_cnt[1618][6]~49542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1618][6]~49543\ : std_logic;
SIGNAL \led_flash_cnt[1618][7]~49544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1618][7]~q\ : std_logic;
SIGNAL \WideAnd1618~1_combout\ : std_logic;
SIGNAL \WideAnd1618~combout\ : std_logic;
SIGNAL \WideAnd4042~0_combout\ : std_logic;
SIGNAL \WideAnd4042~combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][0]~82254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1614][1]~49476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1614][1]~49477\ : std_logic;
SIGNAL \led_flash_cnt[1614][2]~49478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1614][2]~49479\ : std_logic;
SIGNAL \led_flash_cnt[1614][3]~49480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1614][3]~49481\ : std_logic;
SIGNAL \led_flash_cnt[1614][4]~49482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1614][4]~49483\ : std_logic;
SIGNAL \led_flash_cnt[1614][5]~49484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1614][5]~49485\ : std_logic;
SIGNAL \led_flash_cnt[1614][6]~49486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1614][6]~49487\ : std_logic;
SIGNAL \led_flash_cnt[1614][7]~49488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1614][7]~q\ : std_logic;
SIGNAL \WideAnd1614~0_combout\ : std_logic;
SIGNAL \WideAnd1614~1_combout\ : std_logic;
SIGNAL \WideAnd1614~combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][0]~82251_combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1611][1]~49434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1611][1]~49435\ : std_logic;
SIGNAL \led_flash_cnt[1611][2]~49436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1611][2]~49437\ : std_logic;
SIGNAL \led_flash_cnt[1611][3]~49438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1611][3]~49439\ : std_logic;
SIGNAL \led_flash_cnt[1611][4]~49440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1611][4]~49441\ : std_logic;
SIGNAL \led_flash_cnt[1611][5]~49442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1611][5]~49443\ : std_logic;
SIGNAL \led_flash_cnt[1611][6]~49444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1611][6]~49445\ : std_logic;
SIGNAL \led_flash_cnt[1611][7]~49446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1611][7]~q\ : std_logic;
SIGNAL \WideAnd1611~1_combout\ : std_logic;
SIGNAL \WideAnd1611~0_combout\ : std_logic;
SIGNAL \WideAnd1611~combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][0]~82249_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1609][1]~49406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1609][1]~49407\ : std_logic;
SIGNAL \led_flash_cnt[1609][2]~49408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1609][2]~49409\ : std_logic;
SIGNAL \led_flash_cnt[1609][3]~49410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1609][3]~49411\ : std_logic;
SIGNAL \led_flash_cnt[1609][4]~49412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1609][4]~49413\ : std_logic;
SIGNAL \led_flash_cnt[1609][5]~49414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1609][5]~49415\ : std_logic;
SIGNAL \led_flash_cnt[1609][6]~49416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][6]~q\ : std_logic;
SIGNAL \WideAnd1609~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][6]~49417\ : std_logic;
SIGNAL \led_flash_cnt[1609][7]~49418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1609][7]~q\ : std_logic;
SIGNAL \WideAnd1609~0_combout\ : std_logic;
SIGNAL \WideAnd1609~combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][0]~82248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1608][1]~49392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1608][1]~49393\ : std_logic;
SIGNAL \led_flash_cnt[1608][2]~49394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1608][2]~49395\ : std_logic;
SIGNAL \led_flash_cnt[1608][3]~49396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1608][3]~49397\ : std_logic;
SIGNAL \led_flash_cnt[1608][4]~49398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1608][4]~49399\ : std_logic;
SIGNAL \led_flash_cnt[1608][5]~49400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1608][5]~49401\ : std_logic;
SIGNAL \led_flash_cnt[1608][6]~49402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][6]~q\ : std_logic;
SIGNAL \WideAnd1608~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][6]~49403\ : std_logic;
SIGNAL \led_flash_cnt[1608][7]~49404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1608][7]~q\ : std_logic;
SIGNAL \WideAnd1608~0_combout\ : std_logic;
SIGNAL \WideAnd1608~combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][0]~82250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1610][1]~49420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1610][1]~49421\ : std_logic;
SIGNAL \led_flash_cnt[1610][2]~49422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1610][2]~49423\ : std_logic;
SIGNAL \led_flash_cnt[1610][3]~49424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1610][3]~49425\ : std_logic;
SIGNAL \led_flash_cnt[1610][4]~49426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1610][4]~49427\ : std_logic;
SIGNAL \led_flash_cnt[1610][5]~49428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1610][5]~49429\ : std_logic;
SIGNAL \led_flash_cnt[1610][6]~49430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1610][6]~49431\ : std_logic;
SIGNAL \led_flash_cnt[1610][7]~49432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1610][7]~q\ : std_logic;
SIGNAL \WideAnd1610~1_combout\ : std_logic;
SIGNAL \WideAnd1610~0_combout\ : std_logic;
SIGNAL \WideAnd1610~combout\ : std_logic;
SIGNAL \WideAnd4041~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][0]~82253_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1613][1]~49462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1613][1]~49463\ : std_logic;
SIGNAL \led_flash_cnt[1613][2]~49464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1613][2]~49465\ : std_logic;
SIGNAL \led_flash_cnt[1613][3]~49466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1613][3]~49467\ : std_logic;
SIGNAL \led_flash_cnt[1613][4]~49468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1613][4]~49469\ : std_logic;
SIGNAL \led_flash_cnt[1613][5]~49470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1613][5]~49471\ : std_logic;
SIGNAL \led_flash_cnt[1613][6]~49472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1613][6]~49473\ : std_logic;
SIGNAL \led_flash_cnt[1613][7]~49474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1613][7]~q\ : std_logic;
SIGNAL \WideAnd1613~1_combout\ : std_logic;
SIGNAL \WideAnd1613~0_combout\ : std_logic;
SIGNAL \WideAnd1613~combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][0]~82252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1612][1]~49448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1612][1]~49449\ : std_logic;
SIGNAL \led_flash_cnt[1612][2]~49450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1612][2]~49451\ : std_logic;
SIGNAL \led_flash_cnt[1612][3]~49452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1612][3]~49453\ : std_logic;
SIGNAL \led_flash_cnt[1612][4]~49454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1612][4]~49455\ : std_logic;
SIGNAL \led_flash_cnt[1612][5]~49456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1612][5]~49457\ : std_logic;
SIGNAL \led_flash_cnt[1612][6]~49458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][6]~q\ : std_logic;
SIGNAL \WideAnd1612~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][6]~49459\ : std_logic;
SIGNAL \led_flash_cnt[1612][7]~49460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1612][7]~q\ : std_logic;
SIGNAL \WideAnd1612~0_combout\ : std_logic;
SIGNAL \WideAnd1612~combout\ : std_logic;
SIGNAL \WideAnd4041~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][0]~82255_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1615][1]~49490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1615][1]~49491\ : std_logic;
SIGNAL \led_flash_cnt[1615][2]~49492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1615][2]~49493\ : std_logic;
SIGNAL \led_flash_cnt[1615][3]~49494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1615][3]~49495\ : std_logic;
SIGNAL \led_flash_cnt[1615][4]~49496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1615][4]~49497\ : std_logic;
SIGNAL \led_flash_cnt[1615][5]~49498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1615][5]~49499\ : std_logic;
SIGNAL \led_flash_cnt[1615][6]~49500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][6]~q\ : std_logic;
SIGNAL \WideAnd1615~1_combout\ : std_logic;
SIGNAL \WideAnd1615~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][6]~49501\ : std_logic;
SIGNAL \led_flash_cnt[1615][7]~49502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1615][7]~q\ : std_logic;
SIGNAL \WideAnd1615~combout\ : std_logic;
SIGNAL \WideAnd4041~combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][0]~82245_combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1605][1]~49350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1605][1]~49351\ : std_logic;
SIGNAL \led_flash_cnt[1605][2]~49352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1605][2]~49353\ : std_logic;
SIGNAL \led_flash_cnt[1605][3]~49354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1605][3]~49355\ : std_logic;
SIGNAL \led_flash_cnt[1605][4]~49356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1605][4]~49357\ : std_logic;
SIGNAL \led_flash_cnt[1605][5]~49358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1605][5]~49359\ : std_logic;
SIGNAL \led_flash_cnt[1605][6]~49360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1605][6]~49361\ : std_logic;
SIGNAL \led_flash_cnt[1605][7]~49362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1605][7]~q\ : std_logic;
SIGNAL \WideAnd1605~1_combout\ : std_logic;
SIGNAL \WideAnd1605~0_combout\ : std_logic;
SIGNAL \WideAnd1605~combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][0]~82244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1604][1]~49336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1604][1]~49337\ : std_logic;
SIGNAL \led_flash_cnt[1604][2]~49338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1604][2]~49339\ : std_logic;
SIGNAL \led_flash_cnt[1604][3]~49340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1604][3]~49341\ : std_logic;
SIGNAL \led_flash_cnt[1604][4]~49342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1604][4]~49343\ : std_logic;
SIGNAL \led_flash_cnt[1604][5]~49344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1604][5]~49345\ : std_logic;
SIGNAL \led_flash_cnt[1604][6]~49346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1604][6]~49347\ : std_logic;
SIGNAL \led_flash_cnt[1604][7]~49348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1604][7]~q\ : std_logic;
SIGNAL \WideAnd1604~1_combout\ : std_logic;
SIGNAL \WideAnd1604~0_combout\ : std_logic;
SIGNAL \WideAnd1604~combout\ : std_logic;
SIGNAL \WideAnd4040~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][0]~82247_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1607][1]~49378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1607][1]~49379\ : std_logic;
SIGNAL \led_flash_cnt[1607][2]~49380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1607][2]~49381\ : std_logic;
SIGNAL \led_flash_cnt[1607][3]~49382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1607][3]~49383\ : std_logic;
SIGNAL \led_flash_cnt[1607][4]~49384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1607][4]~49385\ : std_logic;
SIGNAL \led_flash_cnt[1607][5]~49386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1607][5]~49387\ : std_logic;
SIGNAL \led_flash_cnt[1607][6]~49388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1607][6]~49389\ : std_logic;
SIGNAL \led_flash_cnt[1607][7]~49390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1607][7]~q\ : std_logic;
SIGNAL \WideAnd1607~0_combout\ : std_logic;
SIGNAL \WideAnd1607~1_combout\ : std_logic;
SIGNAL \WideAnd1607~combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][0]~82246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1606][1]~49364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1606][1]~49365\ : std_logic;
SIGNAL \led_flash_cnt[1606][2]~49366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1606][2]~49367\ : std_logic;
SIGNAL \led_flash_cnt[1606][3]~49368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1606][3]~49369\ : std_logic;
SIGNAL \led_flash_cnt[1606][4]~49370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][4]~q\ : std_logic;
SIGNAL \WideAnd1606~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][4]~49371\ : std_logic;
SIGNAL \led_flash_cnt[1606][5]~49372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1606][5]~49373\ : std_logic;
SIGNAL \led_flash_cnt[1606][6]~49374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][6]~q\ : std_logic;
SIGNAL \WideAnd1606~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][6]~49375\ : std_logic;
SIGNAL \led_flash_cnt[1606][7]~49376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1606][7]~q\ : std_logic;
SIGNAL \WideAnd1606~combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][0]~82242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1602][1]~49308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1602][1]~49309\ : std_logic;
SIGNAL \led_flash_cnt[1602][2]~49310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1602][2]~49311\ : std_logic;
SIGNAL \led_flash_cnt[1602][3]~49312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1602][3]~49313\ : std_logic;
SIGNAL \led_flash_cnt[1602][4]~49314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1602][4]~49315\ : std_logic;
SIGNAL \led_flash_cnt[1602][5]~49316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1602][5]~49317\ : std_logic;
SIGNAL \led_flash_cnt[1602][6]~49318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1602][6]~49319\ : std_logic;
SIGNAL \led_flash_cnt[1602][7]~49320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1602][7]~q\ : std_logic;
SIGNAL \WideAnd1602~1_combout\ : std_logic;
SIGNAL \WideAnd1602~0_combout\ : std_logic;
SIGNAL \WideAnd1602~combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][0]~82241_combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1601][1]~49294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1601][1]~49295\ : std_logic;
SIGNAL \led_flash_cnt[1601][2]~49296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1601][2]~49297\ : std_logic;
SIGNAL \led_flash_cnt[1601][3]~49298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1601][3]~49299\ : std_logic;
SIGNAL \led_flash_cnt[1601][4]~49300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1601][4]~49301\ : std_logic;
SIGNAL \led_flash_cnt[1601][5]~49302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1601][5]~49303\ : std_logic;
SIGNAL \led_flash_cnt[1601][6]~49304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1601][6]~49305\ : std_logic;
SIGNAL \led_flash_cnt[1601][7]~49306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1601][7]~q\ : std_logic;
SIGNAL \WideAnd1601~1_combout\ : std_logic;
SIGNAL \WideAnd1601~0_combout\ : std_logic;
SIGNAL \WideAnd1601~combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][0]~82240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1600][1]~49280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1600][1]~49281\ : std_logic;
SIGNAL \led_flash_cnt[1600][2]~49282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1600][2]~49283\ : std_logic;
SIGNAL \led_flash_cnt[1600][3]~49284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1600][3]~49285\ : std_logic;
SIGNAL \led_flash_cnt[1600][4]~49286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1600][4]~49287\ : std_logic;
SIGNAL \led_flash_cnt[1600][5]~49288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1600][5]~49289\ : std_logic;
SIGNAL \led_flash_cnt[1600][6]~49290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1600][6]~49291\ : std_logic;
SIGNAL \led_flash_cnt[1600][7]~49292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1600][7]~q\ : std_logic;
SIGNAL \WideAnd1600~0_combout\ : std_logic;
SIGNAL \WideAnd1600~1_combout\ : std_logic;
SIGNAL \WideAnd1600~combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][0]~82243_combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1603][1]~49322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1603][1]~49323\ : std_logic;
SIGNAL \led_flash_cnt[1603][2]~49324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1603][2]~49325\ : std_logic;
SIGNAL \led_flash_cnt[1603][3]~49326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1603][3]~49327\ : std_logic;
SIGNAL \led_flash_cnt[1603][4]~49328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1603][4]~49329\ : std_logic;
SIGNAL \led_flash_cnt[1603][5]~49330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1603][5]~49331\ : std_logic;
SIGNAL \led_flash_cnt[1603][6]~49332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1603][6]~49333\ : std_logic;
SIGNAL \led_flash_cnt[1603][7]~49334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1603][7]~q\ : std_logic;
SIGNAL \WideAnd1603~1_combout\ : std_logic;
SIGNAL \WideAnd1603~0_combout\ : std_logic;
SIGNAL \WideAnd1603~combout\ : std_logic;
SIGNAL \WideAnd4040~0_combout\ : std_logic;
SIGNAL \WideAnd4040~combout\ : std_logic;
SIGNAL \WideAnd4345~0_combout\ : std_logic;
SIGNAL \WideAnd4345~combout\ : std_logic;
SIGNAL \WideAnd4380~7_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][0]~81721_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1081][1]~42014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1081][1]~42015\ : std_logic;
SIGNAL \led_flash_cnt[1081][2]~42016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1081][2]~42017\ : std_logic;
SIGNAL \led_flash_cnt[1081][3]~42018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1081][3]~42019\ : std_logic;
SIGNAL \led_flash_cnt[1081][4]~42020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1081][4]~42021\ : std_logic;
SIGNAL \led_flash_cnt[1081][5]~42022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1081][5]~42023\ : std_logic;
SIGNAL \led_flash_cnt[1081][6]~42024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][6]~q\ : std_logic;
SIGNAL \WideAnd1081~1_combout\ : std_logic;
SIGNAL \WideAnd1081~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][6]~42025\ : std_logic;
SIGNAL \led_flash_cnt[1081][7]~42026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1081][7]~q\ : std_logic;
SIGNAL \WideAnd1081~combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][0]~81722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1082][1]~42028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1082][1]~42029\ : std_logic;
SIGNAL \led_flash_cnt[1082][2]~42030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1082][2]~42031\ : std_logic;
SIGNAL \led_flash_cnt[1082][3]~42032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1082][3]~42033\ : std_logic;
SIGNAL \led_flash_cnt[1082][4]~42034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1082][4]~42035\ : std_logic;
SIGNAL \led_flash_cnt[1082][5]~42036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1082][5]~42037\ : std_logic;
SIGNAL \led_flash_cnt[1082][6]~42038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][6]~q\ : std_logic;
SIGNAL \WideAnd1082~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][6]~42039\ : std_logic;
SIGNAL \led_flash_cnt[1082][7]~42040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1082][7]~q\ : std_logic;
SIGNAL \WideAnd1082~0_combout\ : std_logic;
SIGNAL \WideAnd1082~combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][0]~81720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1080][1]~42000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1080][1]~42001\ : std_logic;
SIGNAL \led_flash_cnt[1080][2]~42002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1080][2]~42003\ : std_logic;
SIGNAL \led_flash_cnt[1080][3]~42004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1080][3]~42005\ : std_logic;
SIGNAL \led_flash_cnt[1080][4]~42006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1080][4]~42007\ : std_logic;
SIGNAL \led_flash_cnt[1080][5]~42008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1080][5]~42009\ : std_logic;
SIGNAL \led_flash_cnt[1080][6]~42010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1080][6]~42011\ : std_logic;
SIGNAL \led_flash_cnt[1080][7]~42012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1080][7]~q\ : std_logic;
SIGNAL \WideAnd1080~1_combout\ : std_logic;
SIGNAL \WideAnd1080~0_combout\ : std_logic;
SIGNAL \WideAnd1080~combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][0]~81723_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1083][1]~42042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1083][1]~42043\ : std_logic;
SIGNAL \led_flash_cnt[1083][2]~42044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1083][2]~42045\ : std_logic;
SIGNAL \led_flash_cnt[1083][3]~42046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1083][3]~42047\ : std_logic;
SIGNAL \led_flash_cnt[1083][4]~42048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1083][4]~42049\ : std_logic;
SIGNAL \led_flash_cnt[1083][5]~42050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1083][5]~42051\ : std_logic;
SIGNAL \led_flash_cnt[1083][6]~42052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][6]~q\ : std_logic;
SIGNAL \WideAnd1083~1_combout\ : std_logic;
SIGNAL \WideAnd1083~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][6]~42053\ : std_logic;
SIGNAL \led_flash_cnt[1083][7]~42054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1083][7]~q\ : std_logic;
SIGNAL \WideAnd1083~combout\ : std_logic;
SIGNAL \WideAnd3975~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][0]~81727_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1087][1]~42098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1087][1]~42099\ : std_logic;
SIGNAL \led_flash_cnt[1087][2]~42100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1087][2]~42101\ : std_logic;
SIGNAL \led_flash_cnt[1087][3]~42102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1087][3]~42103\ : std_logic;
SIGNAL \led_flash_cnt[1087][4]~42104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][4]~q\ : std_logic;
SIGNAL \WideAnd1087~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][4]~42105\ : std_logic;
SIGNAL \led_flash_cnt[1087][5]~42106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1087][5]~42107\ : std_logic;
SIGNAL \led_flash_cnt[1087][6]~42108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][6]~q\ : std_logic;
SIGNAL \WideAnd1087~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][6]~42109\ : std_logic;
SIGNAL \led_flash_cnt[1087][7]~42110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1087][7]~q\ : std_logic;
SIGNAL \WideAnd1087~combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][0]~81726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1086][1]~42084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1086][1]~42085\ : std_logic;
SIGNAL \led_flash_cnt[1086][2]~42086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1086][2]~42087\ : std_logic;
SIGNAL \led_flash_cnt[1086][3]~42088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1086][3]~42089\ : std_logic;
SIGNAL \led_flash_cnt[1086][4]~42090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][4]~q\ : std_logic;
SIGNAL \WideAnd1086~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][4]~42091\ : std_logic;
SIGNAL \led_flash_cnt[1086][5]~42092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1086][5]~42093\ : std_logic;
SIGNAL \led_flash_cnt[1086][6]~42094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1086][6]~42095\ : std_logic;
SIGNAL \led_flash_cnt[1086][7]~42096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1086][7]~q\ : std_logic;
SIGNAL \WideAnd1086~1_combout\ : std_logic;
SIGNAL \WideAnd1086~combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][0]~81724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1084][1]~42056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1084][1]~42057\ : std_logic;
SIGNAL \led_flash_cnt[1084][2]~42058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1084][2]~42059\ : std_logic;
SIGNAL \led_flash_cnt[1084][3]~42060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1084][3]~42061\ : std_logic;
SIGNAL \led_flash_cnt[1084][4]~42062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1084][4]~42063\ : std_logic;
SIGNAL \led_flash_cnt[1084][5]~42064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1084][5]~42065\ : std_logic;
SIGNAL \led_flash_cnt[1084][6]~42066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][6]~q\ : std_logic;
SIGNAL \WideAnd1084~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][6]~42067\ : std_logic;
SIGNAL \led_flash_cnt[1084][7]~42068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1084][7]~q\ : std_logic;
SIGNAL \WideAnd1084~0_combout\ : std_logic;
SIGNAL \WideAnd1084~combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][0]~81725_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1085][1]~42070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1085][1]~42071\ : std_logic;
SIGNAL \led_flash_cnt[1085][2]~42072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1085][2]~42073\ : std_logic;
SIGNAL \led_flash_cnt[1085][3]~42074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1085][3]~42075\ : std_logic;
SIGNAL \led_flash_cnt[1085][4]~42076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1085][4]~42077\ : std_logic;
SIGNAL \led_flash_cnt[1085][5]~42078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1085][5]~42079\ : std_logic;
SIGNAL \led_flash_cnt[1085][6]~42080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][6]~q\ : std_logic;
SIGNAL \WideAnd1085~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][6]~42081\ : std_logic;
SIGNAL \led_flash_cnt[1085][7]~42082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1085][7]~q\ : std_logic;
SIGNAL \WideAnd1085~0_combout\ : std_logic;
SIGNAL \WideAnd1085~combout\ : std_logic;
SIGNAL \WideAnd3975~1_combout\ : std_logic;
SIGNAL \WideAnd3975~combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][0]~81702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1062][1]~41748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1062][1]~41749\ : std_logic;
SIGNAL \led_flash_cnt[1062][2]~41750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1062][2]~41751\ : std_logic;
SIGNAL \led_flash_cnt[1062][3]~41752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1062][3]~41753\ : std_logic;
SIGNAL \led_flash_cnt[1062][4]~41754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][4]~q\ : std_logic;
SIGNAL \WideAnd1062~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][4]~41755\ : std_logic;
SIGNAL \led_flash_cnt[1062][5]~41756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1062][5]~41757\ : std_logic;
SIGNAL \led_flash_cnt[1062][6]~41758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1062][6]~41759\ : std_logic;
SIGNAL \led_flash_cnt[1062][7]~41760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1062][7]~q\ : std_logic;
SIGNAL \WideAnd1062~1_combout\ : std_logic;
SIGNAL \WideAnd1062~combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][0]~81696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1056][1]~41664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1056][1]~41665\ : std_logic;
SIGNAL \led_flash_cnt[1056][2]~41666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1056][2]~41667\ : std_logic;
SIGNAL \led_flash_cnt[1056][3]~41668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1056][3]~41669\ : std_logic;
SIGNAL \led_flash_cnt[1056][4]~41670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1056][4]~41671\ : std_logic;
SIGNAL \led_flash_cnt[1056][5]~41672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1056][5]~41673\ : std_logic;
SIGNAL \led_flash_cnt[1056][6]~41674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1056][6]~41675\ : std_logic;
SIGNAL \led_flash_cnt[1056][7]~41676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1056][7]~q\ : std_logic;
SIGNAL \WideAnd1056~1_combout\ : std_logic;
SIGNAL \WideAnd1056~0_combout\ : std_logic;
SIGNAL \WideAnd1056~combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][0]~81699_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1059][1]~41706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1059][1]~41707\ : std_logic;
SIGNAL \led_flash_cnt[1059][2]~41708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1059][2]~41709\ : std_logic;
SIGNAL \led_flash_cnt[1059][3]~41710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1059][3]~41711\ : std_logic;
SIGNAL \led_flash_cnt[1059][4]~41712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][4]~q\ : std_logic;
SIGNAL \WideAnd1059~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][4]~41713\ : std_logic;
SIGNAL \led_flash_cnt[1059][5]~41714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1059][5]~41715\ : std_logic;
SIGNAL \led_flash_cnt[1059][6]~41716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1059][6]~41717\ : std_logic;
SIGNAL \led_flash_cnt[1059][7]~41718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1059][7]~q\ : std_logic;
SIGNAL \WideAnd1059~1_combout\ : std_logic;
SIGNAL \WideAnd1059~combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][0]~81697_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1057][1]~41678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1057][1]~41679\ : std_logic;
SIGNAL \led_flash_cnt[1057][2]~41680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1057][2]~41681\ : std_logic;
SIGNAL \led_flash_cnt[1057][3]~41682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1057][3]~41683\ : std_logic;
SIGNAL \led_flash_cnt[1057][4]~41684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1057][4]~41685\ : std_logic;
SIGNAL \led_flash_cnt[1057][5]~41686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1057][5]~41687\ : std_logic;
SIGNAL \led_flash_cnt[1057][6]~41688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][6]~q\ : std_logic;
SIGNAL \WideAnd1057~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][6]~41689\ : std_logic;
SIGNAL \led_flash_cnt[1057][7]~41690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1057][7]~q\ : std_logic;
SIGNAL \WideAnd1057~0_combout\ : std_logic;
SIGNAL \WideAnd1057~combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][0]~81698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1058][1]~41692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1058][1]~41693\ : std_logic;
SIGNAL \led_flash_cnt[1058][2]~41694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1058][2]~41695\ : std_logic;
SIGNAL \led_flash_cnt[1058][3]~41696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1058][3]~41697\ : std_logic;
SIGNAL \led_flash_cnt[1058][4]~41698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][4]~q\ : std_logic;
SIGNAL \WideAnd1058~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][4]~41699\ : std_logic;
SIGNAL \led_flash_cnt[1058][5]~41700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1058][5]~41701\ : std_logic;
SIGNAL \led_flash_cnt[1058][6]~41702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][6]~q\ : std_logic;
SIGNAL \WideAnd1058~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][6]~41703\ : std_logic;
SIGNAL \led_flash_cnt[1058][7]~41704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1058][7]~q\ : std_logic;
SIGNAL \WideAnd1058~combout\ : std_logic;
SIGNAL \WideAnd3972~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][0]~81703_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1063][1]~41762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1063][1]~41763\ : std_logic;
SIGNAL \led_flash_cnt[1063][2]~41764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1063][2]~41765\ : std_logic;
SIGNAL \led_flash_cnt[1063][3]~41766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1063][3]~41767\ : std_logic;
SIGNAL \led_flash_cnt[1063][4]~41768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1063][4]~41769\ : std_logic;
SIGNAL \led_flash_cnt[1063][5]~41770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1063][5]~41771\ : std_logic;
SIGNAL \led_flash_cnt[1063][6]~41772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][6]~q\ : std_logic;
SIGNAL \WideAnd1063~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][6]~41773\ : std_logic;
SIGNAL \led_flash_cnt[1063][7]~41774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1063][7]~q\ : std_logic;
SIGNAL \WideAnd1063~0_combout\ : std_logic;
SIGNAL \WideAnd1063~combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][0]~81700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1060][1]~41720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1060][1]~41721\ : std_logic;
SIGNAL \led_flash_cnt[1060][2]~41722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1060][2]~41723\ : std_logic;
SIGNAL \led_flash_cnt[1060][3]~41724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1060][3]~41725\ : std_logic;
SIGNAL \led_flash_cnt[1060][4]~41726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][4]~q\ : std_logic;
SIGNAL \WideAnd1060~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][4]~41727\ : std_logic;
SIGNAL \led_flash_cnt[1060][5]~41728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1060][5]~41729\ : std_logic;
SIGNAL \led_flash_cnt[1060][6]~41730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1060][6]~41731\ : std_logic;
SIGNAL \led_flash_cnt[1060][7]~41732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1060][7]~q\ : std_logic;
SIGNAL \WideAnd1060~1_combout\ : std_logic;
SIGNAL \WideAnd1060~combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][0]~81701_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1061][1]~41734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1061][1]~41735\ : std_logic;
SIGNAL \led_flash_cnt[1061][2]~41736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1061][2]~41737\ : std_logic;
SIGNAL \led_flash_cnt[1061][3]~41738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1061][3]~41739\ : std_logic;
SIGNAL \led_flash_cnt[1061][4]~41740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1061][4]~41741\ : std_logic;
SIGNAL \led_flash_cnt[1061][5]~41742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1061][5]~41743\ : std_logic;
SIGNAL \led_flash_cnt[1061][6]~41744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][6]~q\ : std_logic;
SIGNAL \WideAnd1061~1_combout\ : std_logic;
SIGNAL \WideAnd1061~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][6]~41745\ : std_logic;
SIGNAL \led_flash_cnt[1061][7]~41746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1061][7]~q\ : std_logic;
SIGNAL \WideAnd1061~combout\ : std_logic;
SIGNAL \WideAnd3972~1_combout\ : std_logic;
SIGNAL \WideAnd3972~combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][0]~81705_combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1065][1]~41790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1065][1]~41791\ : std_logic;
SIGNAL \led_flash_cnt[1065][2]~41792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1065][2]~41793\ : std_logic;
SIGNAL \led_flash_cnt[1065][3]~41794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1065][3]~41795\ : std_logic;
SIGNAL \led_flash_cnt[1065][4]~41796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1065][4]~41797\ : std_logic;
SIGNAL \led_flash_cnt[1065][5]~41798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1065][5]~41799\ : std_logic;
SIGNAL \led_flash_cnt[1065][6]~41800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1065][6]~41801\ : std_logic;
SIGNAL \led_flash_cnt[1065][7]~41802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1065][7]~q\ : std_logic;
SIGNAL \WideAnd1065~1_combout\ : std_logic;
SIGNAL \WideAnd1065~0_combout\ : std_logic;
SIGNAL \WideAnd1065~combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][0]~81706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1066][1]~41804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1066][1]~41805\ : std_logic;
SIGNAL \led_flash_cnt[1066][2]~41806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1066][2]~41807\ : std_logic;
SIGNAL \led_flash_cnt[1066][3]~41808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1066][3]~41809\ : std_logic;
SIGNAL \led_flash_cnt[1066][4]~41810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1066][4]~41811\ : std_logic;
SIGNAL \led_flash_cnt[1066][5]~41812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1066][5]~41813\ : std_logic;
SIGNAL \led_flash_cnt[1066][6]~41814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][6]~q\ : std_logic;
SIGNAL \WideAnd1066~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][6]~41815\ : std_logic;
SIGNAL \led_flash_cnt[1066][7]~41816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1066][7]~q\ : std_logic;
SIGNAL \WideAnd1066~0_combout\ : std_logic;
SIGNAL \WideAnd1066~combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][0]~81707_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1067][1]~41818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1067][1]~41819\ : std_logic;
SIGNAL \led_flash_cnt[1067][2]~41820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1067][2]~41821\ : std_logic;
SIGNAL \led_flash_cnt[1067][3]~41822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1067][3]~41823\ : std_logic;
SIGNAL \led_flash_cnt[1067][4]~41824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1067][4]~41825\ : std_logic;
SIGNAL \led_flash_cnt[1067][5]~41826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1067][5]~41827\ : std_logic;
SIGNAL \led_flash_cnt[1067][6]~41828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][6]~q\ : std_logic;
SIGNAL \WideAnd1067~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][6]~41829\ : std_logic;
SIGNAL \led_flash_cnt[1067][7]~41830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1067][7]~q\ : std_logic;
SIGNAL \WideAnd1067~0_combout\ : std_logic;
SIGNAL \WideAnd1067~combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][0]~81704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1064][1]~41776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1064][1]~41777\ : std_logic;
SIGNAL \led_flash_cnt[1064][2]~41778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1064][2]~41779\ : std_logic;
SIGNAL \led_flash_cnt[1064][3]~41780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1064][3]~41781\ : std_logic;
SIGNAL \led_flash_cnt[1064][4]~41782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1064][4]~41783\ : std_logic;
SIGNAL \led_flash_cnt[1064][5]~41784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1064][5]~41785\ : std_logic;
SIGNAL \led_flash_cnt[1064][6]~41786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1064][6]~41787\ : std_logic;
SIGNAL \led_flash_cnt[1064][7]~41788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1064][7]~q\ : std_logic;
SIGNAL \WideAnd1064~0_combout\ : std_logic;
SIGNAL \WideAnd1064~1_combout\ : std_logic;
SIGNAL \WideAnd1064~combout\ : std_logic;
SIGNAL \WideAnd3973~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][0]~81710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1070][1]~41860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1070][1]~41861\ : std_logic;
SIGNAL \led_flash_cnt[1070][2]~41862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1070][2]~41863\ : std_logic;
SIGNAL \led_flash_cnt[1070][3]~41864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1070][3]~41865\ : std_logic;
SIGNAL \led_flash_cnt[1070][4]~41866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1070][4]~41867\ : std_logic;
SIGNAL \led_flash_cnt[1070][5]~41868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1070][5]~41869\ : std_logic;
SIGNAL \led_flash_cnt[1070][6]~41870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1070][6]~41871\ : std_logic;
SIGNAL \led_flash_cnt[1070][7]~41872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1070][7]~q\ : std_logic;
SIGNAL \WideAnd1070~0_combout\ : std_logic;
SIGNAL \WideAnd1070~1_combout\ : std_logic;
SIGNAL \WideAnd1070~combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][0]~81709_combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1069][1]~41846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1069][1]~41847\ : std_logic;
SIGNAL \led_flash_cnt[1069][2]~41848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1069][2]~41849\ : std_logic;
SIGNAL \led_flash_cnt[1069][3]~41850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1069][3]~41851\ : std_logic;
SIGNAL \led_flash_cnt[1069][4]~41852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1069][4]~41853\ : std_logic;
SIGNAL \led_flash_cnt[1069][5]~41854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1069][5]~41855\ : std_logic;
SIGNAL \led_flash_cnt[1069][6]~41856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1069][6]~41857\ : std_logic;
SIGNAL \led_flash_cnt[1069][7]~41858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1069][7]~q\ : std_logic;
SIGNAL \WideAnd1069~1_combout\ : std_logic;
SIGNAL \WideAnd1069~0_combout\ : std_logic;
SIGNAL \WideAnd1069~combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][0]~81708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1068][1]~41832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1068][1]~41833\ : std_logic;
SIGNAL \led_flash_cnt[1068][2]~41834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1068][2]~41835\ : std_logic;
SIGNAL \led_flash_cnt[1068][3]~41836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1068][3]~41837\ : std_logic;
SIGNAL \led_flash_cnt[1068][4]~41838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1068][4]~41839\ : std_logic;
SIGNAL \led_flash_cnt[1068][5]~41840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1068][5]~41841\ : std_logic;
SIGNAL \led_flash_cnt[1068][6]~41842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1068][6]~41843\ : std_logic;
SIGNAL \led_flash_cnt[1068][7]~41844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1068][7]~q\ : std_logic;
SIGNAL \WideAnd1068~0_combout\ : std_logic;
SIGNAL \WideAnd1068~1_combout\ : std_logic;
SIGNAL \WideAnd1068~combout\ : std_logic;
SIGNAL \WideAnd3973~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][0]~81711_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1071][1]~41874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1071][1]~41875\ : std_logic;
SIGNAL \led_flash_cnt[1071][2]~41876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1071][2]~41877\ : std_logic;
SIGNAL \led_flash_cnt[1071][3]~41878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1071][3]~41879\ : std_logic;
SIGNAL \led_flash_cnt[1071][4]~41880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][4]~q\ : std_logic;
SIGNAL \WideAnd1071~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][4]~41881\ : std_logic;
SIGNAL \led_flash_cnt[1071][5]~41882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1071][5]~41883\ : std_logic;
SIGNAL \led_flash_cnt[1071][6]~41884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1071][6]~41885\ : std_logic;
SIGNAL \led_flash_cnt[1071][7]~41886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1071][7]~q\ : std_logic;
SIGNAL \WideAnd1071~1_combout\ : std_logic;
SIGNAL \WideAnd1071~combout\ : std_logic;
SIGNAL \WideAnd3973~combout\ : std_logic;
SIGNAL \WideAnd4336~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][0]~81713_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1073][1]~41902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1073][1]~41903\ : std_logic;
SIGNAL \led_flash_cnt[1073][2]~41904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1073][2]~41905\ : std_logic;
SIGNAL \led_flash_cnt[1073][3]~41906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1073][3]~41907\ : std_logic;
SIGNAL \led_flash_cnt[1073][4]~41908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1073][4]~41909\ : std_logic;
SIGNAL \led_flash_cnt[1073][5]~41910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1073][5]~41911\ : std_logic;
SIGNAL \led_flash_cnt[1073][6]~41912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1073][6]~41913\ : std_logic;
SIGNAL \led_flash_cnt[1073][7]~41914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1073][7]~q\ : std_logic;
SIGNAL \WideAnd1073~0_combout\ : std_logic;
SIGNAL \WideAnd1073~1_combout\ : std_logic;
SIGNAL \WideAnd1073~combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][0]~81714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1074][1]~41916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1074][1]~41917\ : std_logic;
SIGNAL \led_flash_cnt[1074][2]~41918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1074][2]~41919\ : std_logic;
SIGNAL \led_flash_cnt[1074][3]~41920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1074][3]~41921\ : std_logic;
SIGNAL \led_flash_cnt[1074][4]~41922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1074][4]~41923\ : std_logic;
SIGNAL \led_flash_cnt[1074][5]~41924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1074][5]~41925\ : std_logic;
SIGNAL \led_flash_cnt[1074][6]~41926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1074][6]~41927\ : std_logic;
SIGNAL \led_flash_cnt[1074][7]~41928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1074][7]~q\ : std_logic;
SIGNAL \WideAnd1074~1_combout\ : std_logic;
SIGNAL \WideAnd1074~0_combout\ : std_logic;
SIGNAL \WideAnd1074~combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][0]~81715_combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1075][1]~41930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1075][1]~41931\ : std_logic;
SIGNAL \led_flash_cnt[1075][2]~41932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1075][2]~41933\ : std_logic;
SIGNAL \led_flash_cnt[1075][3]~41934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1075][3]~41935\ : std_logic;
SIGNAL \led_flash_cnt[1075][4]~41936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1075][4]~41937\ : std_logic;
SIGNAL \led_flash_cnt[1075][5]~41938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1075][5]~41939\ : std_logic;
SIGNAL \led_flash_cnt[1075][6]~41940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1075][6]~41941\ : std_logic;
SIGNAL \led_flash_cnt[1075][7]~41942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1075][7]~q\ : std_logic;
SIGNAL \WideAnd1075~0_combout\ : std_logic;
SIGNAL \WideAnd1075~1_combout\ : std_logic;
SIGNAL \WideAnd1075~combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][0]~81712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1072][1]~41888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1072][1]~41889\ : std_logic;
SIGNAL \led_flash_cnt[1072][2]~41890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1072][2]~41891\ : std_logic;
SIGNAL \led_flash_cnt[1072][3]~41892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1072][3]~41893\ : std_logic;
SIGNAL \led_flash_cnt[1072][4]~41894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1072][4]~41895\ : std_logic;
SIGNAL \led_flash_cnt[1072][5]~41896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1072][5]~41897\ : std_logic;
SIGNAL \led_flash_cnt[1072][6]~41898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][6]~q\ : std_logic;
SIGNAL \WideAnd1072~1_combout\ : std_logic;
SIGNAL \WideAnd1072~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][6]~41899\ : std_logic;
SIGNAL \led_flash_cnt[1072][7]~41900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1072][7]~q\ : std_logic;
SIGNAL \WideAnd1072~combout\ : std_logic;
SIGNAL \WideAnd3974~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][0]~81719_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1079][1]~41986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1079][1]~41987\ : std_logic;
SIGNAL \led_flash_cnt[1079][2]~41988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1079][2]~41989\ : std_logic;
SIGNAL \led_flash_cnt[1079][3]~41990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1079][3]~41991\ : std_logic;
SIGNAL \led_flash_cnt[1079][4]~41992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1079][4]~41993\ : std_logic;
SIGNAL \led_flash_cnt[1079][5]~41994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1079][5]~41995\ : std_logic;
SIGNAL \led_flash_cnt[1079][6]~41996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1079][6]~41997\ : std_logic;
SIGNAL \led_flash_cnt[1079][7]~41998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1079][7]~q\ : std_logic;
SIGNAL \WideAnd1079~0_combout\ : std_logic;
SIGNAL \WideAnd1079~1_combout\ : std_logic;
SIGNAL \WideAnd1079~combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][0]~81716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1076][1]~41944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1076][1]~41945\ : std_logic;
SIGNAL \led_flash_cnt[1076][2]~41946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1076][2]~41947\ : std_logic;
SIGNAL \led_flash_cnt[1076][3]~41948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1076][3]~41949\ : std_logic;
SIGNAL \led_flash_cnt[1076][4]~41950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1076][4]~41951\ : std_logic;
SIGNAL \led_flash_cnt[1076][5]~41952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1076][5]~41953\ : std_logic;
SIGNAL \led_flash_cnt[1076][6]~41954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][6]~q\ : std_logic;
SIGNAL \WideAnd1076~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][6]~41955\ : std_logic;
SIGNAL \led_flash_cnt[1076][7]~41956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1076][7]~q\ : std_logic;
SIGNAL \WideAnd1076~0_combout\ : std_logic;
SIGNAL \WideAnd1076~combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][0]~81717_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1077][1]~41958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1077][1]~41959\ : std_logic;
SIGNAL \led_flash_cnt[1077][2]~41960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1077][2]~41961\ : std_logic;
SIGNAL \led_flash_cnt[1077][3]~41962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1077][3]~41963\ : std_logic;
SIGNAL \led_flash_cnt[1077][4]~41964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][4]~q\ : std_logic;
SIGNAL \WideAnd1077~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][4]~41965\ : std_logic;
SIGNAL \led_flash_cnt[1077][5]~41966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1077][5]~41967\ : std_logic;
SIGNAL \led_flash_cnt[1077][6]~41968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][6]~q\ : std_logic;
SIGNAL \WideAnd1077~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][6]~41969\ : std_logic;
SIGNAL \led_flash_cnt[1077][7]~41970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1077][7]~q\ : std_logic;
SIGNAL \WideAnd1077~combout\ : std_logic;
SIGNAL \WideAnd3974~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][0]~81718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1078][1]~41972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1078][1]~41973\ : std_logic;
SIGNAL \led_flash_cnt[1078][2]~41974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1078][2]~41975\ : std_logic;
SIGNAL \led_flash_cnt[1078][3]~41976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1078][3]~41977\ : std_logic;
SIGNAL \led_flash_cnt[1078][4]~41978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1078][4]~41979\ : std_logic;
SIGNAL \led_flash_cnt[1078][5]~41980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1078][5]~41981\ : std_logic;
SIGNAL \led_flash_cnt[1078][6]~41982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][6]~q\ : std_logic;
SIGNAL \WideAnd1078~1_combout\ : std_logic;
SIGNAL \WideAnd1078~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][6]~41983\ : std_logic;
SIGNAL \led_flash_cnt[1078][7]~41984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1078][7]~q\ : std_logic;
SIGNAL \WideAnd1078~combout\ : std_logic;
SIGNAL \WideAnd3974~combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][0]~81692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1052][1]~41608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1052][1]~41609\ : std_logic;
SIGNAL \led_flash_cnt[1052][2]~41610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1052][2]~41611\ : std_logic;
SIGNAL \led_flash_cnt[1052][3]~41612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1052][3]~41613\ : std_logic;
SIGNAL \led_flash_cnt[1052][4]~41614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1052][4]~41615\ : std_logic;
SIGNAL \led_flash_cnt[1052][5]~41616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1052][5]~41617\ : std_logic;
SIGNAL \led_flash_cnt[1052][6]~41618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][6]~q\ : std_logic;
SIGNAL \WideAnd1052~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][6]~41619\ : std_logic;
SIGNAL \led_flash_cnt[1052][7]~41620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1052][7]~q\ : std_logic;
SIGNAL \WideAnd1052~0_combout\ : std_logic;
SIGNAL \WideAnd1052~combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][0]~81693_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1053][1]~41622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1053][1]~41623\ : std_logic;
SIGNAL \led_flash_cnt[1053][2]~41624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1053][2]~41625\ : std_logic;
SIGNAL \led_flash_cnt[1053][3]~41626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1053][3]~41627\ : std_logic;
SIGNAL \led_flash_cnt[1053][4]~41628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][4]~q\ : std_logic;
SIGNAL \WideAnd1053~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][4]~41629\ : std_logic;
SIGNAL \led_flash_cnt[1053][5]~41630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1053][5]~41631\ : std_logic;
SIGNAL \led_flash_cnt[1053][6]~41632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1053][6]~41633\ : std_logic;
SIGNAL \led_flash_cnt[1053][7]~41634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1053][7]~q\ : std_logic;
SIGNAL \WideAnd1053~1_combout\ : std_logic;
SIGNAL \WideAnd1053~combout\ : std_logic;
SIGNAL \WideAnd3971~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][0]~81688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1048][1]~41552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1048][1]~41553\ : std_logic;
SIGNAL \led_flash_cnt[1048][2]~41554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1048][2]~41555\ : std_logic;
SIGNAL \led_flash_cnt[1048][3]~41556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1048][3]~41557\ : std_logic;
SIGNAL \led_flash_cnt[1048][4]~41558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][4]~q\ : std_logic;
SIGNAL \WideAnd1048~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][4]~41559\ : std_logic;
SIGNAL \led_flash_cnt[1048][5]~41560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1048][5]~41561\ : std_logic;
SIGNAL \led_flash_cnt[1048][6]~41562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1048][6]~41563\ : std_logic;
SIGNAL \led_flash_cnt[1048][7]~41564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1048][7]~q\ : std_logic;
SIGNAL \WideAnd1048~1_combout\ : std_logic;
SIGNAL \WideAnd1048~combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][0]~81689_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1049][1]~41566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1049][1]~41567\ : std_logic;
SIGNAL \led_flash_cnt[1049][2]~41568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1049][2]~41569\ : std_logic;
SIGNAL \led_flash_cnt[1049][3]~41570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1049][3]~41571\ : std_logic;
SIGNAL \led_flash_cnt[1049][4]~41572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][4]~q\ : std_logic;
SIGNAL \WideAnd1049~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][4]~41573\ : std_logic;
SIGNAL \led_flash_cnt[1049][5]~41574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1049][5]~41575\ : std_logic;
SIGNAL \led_flash_cnt[1049][6]~41576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1049][6]~41577\ : std_logic;
SIGNAL \led_flash_cnt[1049][7]~41578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1049][7]~q\ : std_logic;
SIGNAL \WideAnd1049~1_combout\ : std_logic;
SIGNAL \WideAnd1049~combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][0]~81691_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1051][1]~41594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1051][1]~41595\ : std_logic;
SIGNAL \led_flash_cnt[1051][2]~41596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1051][2]~41597\ : std_logic;
SIGNAL \led_flash_cnt[1051][3]~41598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1051][3]~41599\ : std_logic;
SIGNAL \led_flash_cnt[1051][4]~41600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][4]~q\ : std_logic;
SIGNAL \WideAnd1051~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][4]~41601\ : std_logic;
SIGNAL \led_flash_cnt[1051][5]~41602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1051][5]~41603\ : std_logic;
SIGNAL \led_flash_cnt[1051][6]~41604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1051][6]~41605\ : std_logic;
SIGNAL \led_flash_cnt[1051][7]~41606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1051][7]~q\ : std_logic;
SIGNAL \WideAnd1051~1_combout\ : std_logic;
SIGNAL \WideAnd1051~combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][0]~81690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1050][1]~41580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1050][1]~41581\ : std_logic;
SIGNAL \led_flash_cnt[1050][2]~41582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1050][2]~41583\ : std_logic;
SIGNAL \led_flash_cnt[1050][3]~41584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1050][3]~41585\ : std_logic;
SIGNAL \led_flash_cnt[1050][4]~41586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1050][4]~41587\ : std_logic;
SIGNAL \led_flash_cnt[1050][5]~41588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1050][5]~41589\ : std_logic;
SIGNAL \led_flash_cnt[1050][6]~41590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][6]~q\ : std_logic;
SIGNAL \WideAnd1050~1_combout\ : std_logic;
SIGNAL \WideAnd1050~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][6]~41591\ : std_logic;
SIGNAL \led_flash_cnt[1050][7]~41592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1050][7]~q\ : std_logic;
SIGNAL \WideAnd1050~combout\ : std_logic;
SIGNAL \WideAnd3971~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][0]~81694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1054][1]~41636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1054][1]~41637\ : std_logic;
SIGNAL \led_flash_cnt[1054][2]~41638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1054][2]~41639\ : std_logic;
SIGNAL \led_flash_cnt[1054][3]~41640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1054][3]~41641\ : std_logic;
SIGNAL \led_flash_cnt[1054][4]~41642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1054][4]~41643\ : std_logic;
SIGNAL \led_flash_cnt[1054][5]~41644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1054][5]~41645\ : std_logic;
SIGNAL \led_flash_cnt[1054][6]~41646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1054][6]~41647\ : std_logic;
SIGNAL \led_flash_cnt[1054][7]~41648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1054][7]~q\ : std_logic;
SIGNAL \WideAnd1054~0_combout\ : std_logic;
SIGNAL \WideAnd1054~1_combout\ : std_logic;
SIGNAL \WideAnd1054~combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][0]~81695_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1055][1]~41650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1055][1]~41651\ : std_logic;
SIGNAL \led_flash_cnt[1055][2]~41652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1055][2]~41653\ : std_logic;
SIGNAL \led_flash_cnt[1055][3]~41654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1055][3]~41655\ : std_logic;
SIGNAL \led_flash_cnt[1055][4]~41656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1055][4]~41657\ : std_logic;
SIGNAL \led_flash_cnt[1055][5]~41658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1055][5]~41659\ : std_logic;
SIGNAL \led_flash_cnt[1055][6]~41660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][6]~q\ : std_logic;
SIGNAL \WideAnd1055~1_combout\ : std_logic;
SIGNAL \WideAnd1055~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][6]~41661\ : std_logic;
SIGNAL \led_flash_cnt[1055][7]~41662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1055][7]~q\ : std_logic;
SIGNAL \WideAnd1055~combout\ : std_logic;
SIGNAL \WideAnd3971~combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][0]~81678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1038][1]~41412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1038][1]~41413\ : std_logic;
SIGNAL \led_flash_cnt[1038][2]~41414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1038][2]~41415\ : std_logic;
SIGNAL \led_flash_cnt[1038][3]~41416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1038][3]~41417\ : std_logic;
SIGNAL \led_flash_cnt[1038][4]~41418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][4]~q\ : std_logic;
SIGNAL \WideAnd1038~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][4]~41419\ : std_logic;
SIGNAL \led_flash_cnt[1038][5]~41420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1038][5]~41421\ : std_logic;
SIGNAL \led_flash_cnt[1038][6]~41422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][6]~q\ : std_logic;
SIGNAL \WideAnd1038~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][6]~41423\ : std_logic;
SIGNAL \led_flash_cnt[1038][7]~41424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1038][7]~q\ : std_logic;
SIGNAL \WideAnd1038~combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][0]~81677_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1037][1]~41398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1037][1]~41399\ : std_logic;
SIGNAL \led_flash_cnt[1037][2]~41400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1037][2]~41401\ : std_logic;
SIGNAL \led_flash_cnt[1037][3]~41402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1037][3]~41403\ : std_logic;
SIGNAL \led_flash_cnt[1037][4]~41404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][4]~q\ : std_logic;
SIGNAL \WideAnd1037~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][4]~41405\ : std_logic;
SIGNAL \led_flash_cnt[1037][5]~41406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1037][5]~41407\ : std_logic;
SIGNAL \led_flash_cnt[1037][6]~41408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][6]~q\ : std_logic;
SIGNAL \WideAnd1037~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][6]~41409\ : std_logic;
SIGNAL \led_flash_cnt[1037][7]~41410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1037][7]~q\ : std_logic;
SIGNAL \WideAnd1037~combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][0]~81676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1036][1]~41384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1036][1]~41385\ : std_logic;
SIGNAL \led_flash_cnt[1036][2]~41386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1036][2]~41387\ : std_logic;
SIGNAL \led_flash_cnt[1036][3]~41388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1036][3]~41389\ : std_logic;
SIGNAL \led_flash_cnt[1036][4]~41390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1036][4]~41391\ : std_logic;
SIGNAL \led_flash_cnt[1036][5]~41392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1036][5]~41393\ : std_logic;
SIGNAL \led_flash_cnt[1036][6]~41394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1036][6]~41395\ : std_logic;
SIGNAL \led_flash_cnt[1036][7]~41396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1036][7]~q\ : std_logic;
SIGNAL \WideAnd1036~0_combout\ : std_logic;
SIGNAL \WideAnd1036~1_combout\ : std_logic;
SIGNAL \WideAnd1036~combout\ : std_logic;
SIGNAL \WideAnd3969~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][0]~81675_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1035][1]~41370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1035][1]~41371\ : std_logic;
SIGNAL \led_flash_cnt[1035][2]~41372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1035][2]~41373\ : std_logic;
SIGNAL \led_flash_cnt[1035][3]~41374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1035][3]~41375\ : std_logic;
SIGNAL \led_flash_cnt[1035][4]~41376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1035][4]~41377\ : std_logic;
SIGNAL \led_flash_cnt[1035][5]~41378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1035][5]~41379\ : std_logic;
SIGNAL \led_flash_cnt[1035][6]~41380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][6]~q\ : std_logic;
SIGNAL \WideAnd1035~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][6]~41381\ : std_logic;
SIGNAL \led_flash_cnt[1035][7]~41382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1035][7]~q\ : std_logic;
SIGNAL \WideAnd1035~0_combout\ : std_logic;
SIGNAL \WideAnd1035~combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][0]~81674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1034][1]~41356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1034][1]~41357\ : std_logic;
SIGNAL \led_flash_cnt[1034][2]~41358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1034][2]~41359\ : std_logic;
SIGNAL \led_flash_cnt[1034][3]~41360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1034][3]~41361\ : std_logic;
SIGNAL \led_flash_cnt[1034][4]~41362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][4]~q\ : std_logic;
SIGNAL \WideAnd1034~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][4]~41363\ : std_logic;
SIGNAL \led_flash_cnt[1034][5]~41364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1034][5]~41365\ : std_logic;
SIGNAL \led_flash_cnt[1034][6]~41366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][6]~q\ : std_logic;
SIGNAL \WideAnd1034~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][6]~41367\ : std_logic;
SIGNAL \led_flash_cnt[1034][7]~41368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1034][7]~q\ : std_logic;
SIGNAL \WideAnd1034~combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][0]~81672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1032][1]~41328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1032][1]~41329\ : std_logic;
SIGNAL \led_flash_cnt[1032][2]~41330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1032][2]~41331\ : std_logic;
SIGNAL \led_flash_cnt[1032][3]~41332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1032][3]~41333\ : std_logic;
SIGNAL \led_flash_cnt[1032][4]~41334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1032][4]~41335\ : std_logic;
SIGNAL \led_flash_cnt[1032][5]~41336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1032][5]~41337\ : std_logic;
SIGNAL \led_flash_cnt[1032][6]~41338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][6]~q\ : std_logic;
SIGNAL \WideAnd1032~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][6]~41339\ : std_logic;
SIGNAL \led_flash_cnt[1032][7]~41340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1032][7]~q\ : std_logic;
SIGNAL \WideAnd1032~0_combout\ : std_logic;
SIGNAL \WideAnd1032~combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][0]~81673_combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1033][1]~41342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1033][1]~41343\ : std_logic;
SIGNAL \led_flash_cnt[1033][2]~41344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1033][2]~41345\ : std_logic;
SIGNAL \led_flash_cnt[1033][3]~41346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1033][3]~41347\ : std_logic;
SIGNAL \led_flash_cnt[1033][4]~41348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1033][4]~41349\ : std_logic;
SIGNAL \led_flash_cnt[1033][5]~41350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1033][5]~41351\ : std_logic;
SIGNAL \led_flash_cnt[1033][6]~41352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1033][6]~41353\ : std_logic;
SIGNAL \led_flash_cnt[1033][7]~41354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1033][7]~q\ : std_logic;
SIGNAL \WideAnd1033~1_combout\ : std_logic;
SIGNAL \WideAnd1033~0_combout\ : std_logic;
SIGNAL \WideAnd1033~combout\ : std_logic;
SIGNAL \WideAnd3969~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][0]~81679_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1039][1]~41426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1039][1]~41427\ : std_logic;
SIGNAL \led_flash_cnt[1039][2]~41428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1039][2]~41429\ : std_logic;
SIGNAL \led_flash_cnt[1039][3]~41430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1039][3]~41431\ : std_logic;
SIGNAL \led_flash_cnt[1039][4]~41432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1039][4]~41433\ : std_logic;
SIGNAL \led_flash_cnt[1039][5]~41434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1039][5]~41435\ : std_logic;
SIGNAL \led_flash_cnt[1039][6]~41436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][6]~q\ : std_logic;
SIGNAL \WideAnd1039~1_combout\ : std_logic;
SIGNAL \WideAnd1039~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][6]~41437\ : std_logic;
SIGNAL \led_flash_cnt[1039][7]~41438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1039][7]~q\ : std_logic;
SIGNAL \WideAnd1039~combout\ : std_logic;
SIGNAL \WideAnd3969~combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][0]~81686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1046][1]~41524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1046][1]~41525\ : std_logic;
SIGNAL \led_flash_cnt[1046][2]~41526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1046][2]~41527\ : std_logic;
SIGNAL \led_flash_cnt[1046][3]~41528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1046][3]~41529\ : std_logic;
SIGNAL \led_flash_cnt[1046][4]~41530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][4]~q\ : std_logic;
SIGNAL \WideAnd1046~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][4]~41531\ : std_logic;
SIGNAL \led_flash_cnt[1046][5]~41532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1046][5]~41533\ : std_logic;
SIGNAL \led_flash_cnt[1046][6]~41534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][6]~q\ : std_logic;
SIGNAL \WideAnd1046~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][6]~41535\ : std_logic;
SIGNAL \led_flash_cnt[1046][7]~41536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1046][7]~q\ : std_logic;
SIGNAL \WideAnd1046~combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][0]~81682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1042][1]~41468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1042][1]~41469\ : std_logic;
SIGNAL \led_flash_cnt[1042][2]~41470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1042][2]~41471\ : std_logic;
SIGNAL \led_flash_cnt[1042][3]~41472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1042][3]~41473\ : std_logic;
SIGNAL \led_flash_cnt[1042][4]~41474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1042][4]~41475\ : std_logic;
SIGNAL \led_flash_cnt[1042][5]~41476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1042][5]~41477\ : std_logic;
SIGNAL \led_flash_cnt[1042][6]~41478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][6]~q\ : std_logic;
SIGNAL \WideAnd1042~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][6]~41479\ : std_logic;
SIGNAL \led_flash_cnt[1042][7]~41480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1042][7]~q\ : std_logic;
SIGNAL \WideAnd1042~0_combout\ : std_logic;
SIGNAL \WideAnd1042~combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][0]~81681_combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1041][1]~41454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1041][1]~41455\ : std_logic;
SIGNAL \led_flash_cnt[1041][2]~41456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1041][2]~41457\ : std_logic;
SIGNAL \led_flash_cnt[1041][3]~41458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1041][3]~41459\ : std_logic;
SIGNAL \led_flash_cnt[1041][4]~41460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1041][4]~41461\ : std_logic;
SIGNAL \led_flash_cnt[1041][5]~41462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1041][5]~41463\ : std_logic;
SIGNAL \led_flash_cnt[1041][6]~41464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1041][6]~41465\ : std_logic;
SIGNAL \led_flash_cnt[1041][7]~41466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1041][7]~q\ : std_logic;
SIGNAL \WideAnd1041~1_combout\ : std_logic;
SIGNAL \WideAnd1041~0_combout\ : std_logic;
SIGNAL \WideAnd1041~combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][0]~81683_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1043][1]~41482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1043][1]~41483\ : std_logic;
SIGNAL \led_flash_cnt[1043][2]~41484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1043][2]~41485\ : std_logic;
SIGNAL \led_flash_cnt[1043][3]~41486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1043][3]~41487\ : std_logic;
SIGNAL \led_flash_cnt[1043][4]~41488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1043][4]~41489\ : std_logic;
SIGNAL \led_flash_cnt[1043][5]~41490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1043][5]~41491\ : std_logic;
SIGNAL \led_flash_cnt[1043][6]~41492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][6]~q\ : std_logic;
SIGNAL \WideAnd1043~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][6]~41493\ : std_logic;
SIGNAL \led_flash_cnt[1043][7]~41494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1043][7]~q\ : std_logic;
SIGNAL \WideAnd1043~0_combout\ : std_logic;
SIGNAL \WideAnd1043~combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][0]~81680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1040][1]~41440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1040][1]~41441\ : std_logic;
SIGNAL \led_flash_cnt[1040][2]~41442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1040][2]~41443\ : std_logic;
SIGNAL \led_flash_cnt[1040][3]~41444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1040][3]~41445\ : std_logic;
SIGNAL \led_flash_cnt[1040][4]~41446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1040][4]~41447\ : std_logic;
SIGNAL \led_flash_cnt[1040][5]~41448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1040][5]~41449\ : std_logic;
SIGNAL \led_flash_cnt[1040][6]~41450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][6]~q\ : std_logic;
SIGNAL \WideAnd1040~1_combout\ : std_logic;
SIGNAL \WideAnd1040~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][6]~41451\ : std_logic;
SIGNAL \led_flash_cnt[1040][7]~41452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1040][7]~q\ : std_logic;
SIGNAL \WideAnd1040~combout\ : std_logic;
SIGNAL \WideAnd3970~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][0]~81687_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1047][1]~41538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1047][1]~41539\ : std_logic;
SIGNAL \led_flash_cnt[1047][2]~41540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1047][2]~41541\ : std_logic;
SIGNAL \led_flash_cnt[1047][3]~41542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1047][3]~41543\ : std_logic;
SIGNAL \led_flash_cnt[1047][4]~41544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1047][4]~41545\ : std_logic;
SIGNAL \led_flash_cnt[1047][5]~41546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1047][5]~41547\ : std_logic;
SIGNAL \led_flash_cnt[1047][6]~41548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][6]~q\ : std_logic;
SIGNAL \WideAnd1047~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][6]~41549\ : std_logic;
SIGNAL \led_flash_cnt[1047][7]~41550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1047][7]~q\ : std_logic;
SIGNAL \WideAnd1047~0_combout\ : std_logic;
SIGNAL \WideAnd1047~combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][0]~81684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1044][1]~41496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1044][1]~41497\ : std_logic;
SIGNAL \led_flash_cnt[1044][2]~41498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1044][2]~41499\ : std_logic;
SIGNAL \led_flash_cnt[1044][3]~41500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1044][3]~41501\ : std_logic;
SIGNAL \led_flash_cnt[1044][4]~41502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1044][4]~41503\ : std_logic;
SIGNAL \led_flash_cnt[1044][5]~41504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1044][5]~41505\ : std_logic;
SIGNAL \led_flash_cnt[1044][6]~41506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][6]~q\ : std_logic;
SIGNAL \WideAnd1044~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][6]~41507\ : std_logic;
SIGNAL \led_flash_cnt[1044][7]~41508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1044][7]~q\ : std_logic;
SIGNAL \WideAnd1044~0_combout\ : std_logic;
SIGNAL \WideAnd1044~combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][0]~81685_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1045][1]~41510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1045][1]~41511\ : std_logic;
SIGNAL \led_flash_cnt[1045][2]~41512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1045][2]~41513\ : std_logic;
SIGNAL \led_flash_cnt[1045][3]~41514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1045][3]~41515\ : std_logic;
SIGNAL \led_flash_cnt[1045][4]~41516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][4]~q\ : std_logic;
SIGNAL \WideAnd1045~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][4]~41517\ : std_logic;
SIGNAL \led_flash_cnt[1045][5]~41518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1045][5]~41519\ : std_logic;
SIGNAL \led_flash_cnt[1045][6]~41520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][6]~q\ : std_logic;
SIGNAL \WideAnd1045~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][6]~41521\ : std_logic;
SIGNAL \led_flash_cnt[1045][7]~41522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1045][7]~q\ : std_logic;
SIGNAL \WideAnd1045~combout\ : std_logic;
SIGNAL \WideAnd3970~1_combout\ : std_logic;
SIGNAL \WideAnd3970~combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][0]~81664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1024][1]~41216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1024][1]~41217\ : std_logic;
SIGNAL \led_flash_cnt[1024][2]~41218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1024][2]~41219\ : std_logic;
SIGNAL \led_flash_cnt[1024][3]~41220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1024][3]~41221\ : std_logic;
SIGNAL \led_flash_cnt[1024][4]~41222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1024][4]~41223\ : std_logic;
SIGNAL \led_flash_cnt[1024][5]~41224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1024][5]~41225\ : std_logic;
SIGNAL \led_flash_cnt[1024][6]~41226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][6]~q\ : std_logic;
SIGNAL \WideAnd1024~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][6]~41227\ : std_logic;
SIGNAL \led_flash_cnt[1024][7]~41228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1024][7]~q\ : std_logic;
SIGNAL \WideAnd1024~0_combout\ : std_logic;
SIGNAL \WideAnd1024~combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][0]~81665_combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1025][1]~41230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1025][1]~41231\ : std_logic;
SIGNAL \led_flash_cnt[1025][2]~41232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1025][2]~41233\ : std_logic;
SIGNAL \led_flash_cnt[1025][3]~41234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1025][3]~41235\ : std_logic;
SIGNAL \led_flash_cnt[1025][4]~41236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1025][4]~41237\ : std_logic;
SIGNAL \led_flash_cnt[1025][5]~41238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1025][5]~41239\ : std_logic;
SIGNAL \led_flash_cnt[1025][6]~41240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1025][6]~41241\ : std_logic;
SIGNAL \led_flash_cnt[1025][7]~41242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1025][7]~q\ : std_logic;
SIGNAL \WideAnd1025~1_combout\ : std_logic;
SIGNAL \WideAnd1025~0_combout\ : std_logic;
SIGNAL \WideAnd1025~combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][0]~81666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1026][1]~41244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1026][1]~41245\ : std_logic;
SIGNAL \led_flash_cnt[1026][2]~41246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1026][2]~41247\ : std_logic;
SIGNAL \led_flash_cnt[1026][3]~41248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1026][3]~41249\ : std_logic;
SIGNAL \led_flash_cnt[1026][4]~41250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][4]~q\ : std_logic;
SIGNAL \WideAnd1026~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][4]~41251\ : std_logic;
SIGNAL \led_flash_cnt[1026][5]~41252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1026][5]~41253\ : std_logic;
SIGNAL \led_flash_cnt[1026][6]~41254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1026][6]~41255\ : std_logic;
SIGNAL \led_flash_cnt[1026][7]~41256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1026][7]~q\ : std_logic;
SIGNAL \WideAnd1026~1_combout\ : std_logic;
SIGNAL \WideAnd1026~combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][0]~81667_combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1027][1]~41258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1027][1]~41259\ : std_logic;
SIGNAL \led_flash_cnt[1027][2]~41260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1027][2]~41261\ : std_logic;
SIGNAL \led_flash_cnt[1027][3]~41262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1027][3]~41263\ : std_logic;
SIGNAL \led_flash_cnt[1027][4]~41264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1027][4]~41265\ : std_logic;
SIGNAL \led_flash_cnt[1027][5]~41266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1027][5]~41267\ : std_logic;
SIGNAL \led_flash_cnt[1027][6]~41268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1027][6]~41269\ : std_logic;
SIGNAL \led_flash_cnt[1027][7]~41270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1027][7]~q\ : std_logic;
SIGNAL \WideAnd1027~1_combout\ : std_logic;
SIGNAL \WideAnd1027~0_combout\ : std_logic;
SIGNAL \WideAnd1027~combout\ : std_logic;
SIGNAL \WideAnd3968~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][0]~81670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1030][1]~41300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1030][1]~41301\ : std_logic;
SIGNAL \led_flash_cnt[1030][2]~41302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1030][2]~41303\ : std_logic;
SIGNAL \led_flash_cnt[1030][3]~41304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1030][3]~41305\ : std_logic;
SIGNAL \led_flash_cnt[1030][4]~41306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][4]~q\ : std_logic;
SIGNAL \WideAnd1030~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][4]~41307\ : std_logic;
SIGNAL \led_flash_cnt[1030][5]~41308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1030][5]~41309\ : std_logic;
SIGNAL \led_flash_cnt[1030][6]~41310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][6]~q\ : std_logic;
SIGNAL \WideAnd1030~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][6]~41311\ : std_logic;
SIGNAL \led_flash_cnt[1030][7]~41312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1030][7]~q\ : std_logic;
SIGNAL \WideAnd1030~combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][0]~81669_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1029][1]~41286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1029][1]~41287\ : std_logic;
SIGNAL \led_flash_cnt[1029][2]~41288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1029][2]~41289\ : std_logic;
SIGNAL \led_flash_cnt[1029][3]~41290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1029][3]~41291\ : std_logic;
SIGNAL \led_flash_cnt[1029][4]~41292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][4]~q\ : std_logic;
SIGNAL \WideAnd1029~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][4]~41293\ : std_logic;
SIGNAL \led_flash_cnt[1029][5]~41294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1029][5]~41295\ : std_logic;
SIGNAL \led_flash_cnt[1029][6]~41296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][6]~q\ : std_logic;
SIGNAL \WideAnd1029~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][6]~41297\ : std_logic;
SIGNAL \led_flash_cnt[1029][7]~41298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1029][7]~q\ : std_logic;
SIGNAL \WideAnd1029~combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][0]~81668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1028][1]~41272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1028][1]~41273\ : std_logic;
SIGNAL \led_flash_cnt[1028][2]~41274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1028][2]~41275\ : std_logic;
SIGNAL \led_flash_cnt[1028][3]~41276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1028][3]~41277\ : std_logic;
SIGNAL \led_flash_cnt[1028][4]~41278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1028][4]~41279\ : std_logic;
SIGNAL \led_flash_cnt[1028][5]~41280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1028][5]~41281\ : std_logic;
SIGNAL \led_flash_cnt[1028][6]~41282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1028][6]~41283\ : std_logic;
SIGNAL \led_flash_cnt[1028][7]~41284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1028][7]~q\ : std_logic;
SIGNAL \WideAnd1028~1_combout\ : std_logic;
SIGNAL \WideAnd1028~0_combout\ : std_logic;
SIGNAL \WideAnd1028~combout\ : std_logic;
SIGNAL \WideAnd3968~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][0]~81671_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1031][1]~41314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1031][1]~41315\ : std_logic;
SIGNAL \led_flash_cnt[1031][2]~41316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1031][2]~41317\ : std_logic;
SIGNAL \led_flash_cnt[1031][3]~41318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1031][3]~41319\ : std_logic;
SIGNAL \led_flash_cnt[1031][4]~41320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1031][4]~41321\ : std_logic;
SIGNAL \led_flash_cnt[1031][5]~41322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1031][5]~41323\ : std_logic;
SIGNAL \led_flash_cnt[1031][6]~41324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][6]~q\ : std_logic;
SIGNAL \WideAnd1031~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][6]~41325\ : std_logic;
SIGNAL \led_flash_cnt[1031][7]~41326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1031][7]~q\ : std_logic;
SIGNAL \WideAnd1031~0_combout\ : std_logic;
SIGNAL \WideAnd1031~combout\ : std_logic;
SIGNAL \WideAnd3968~combout\ : std_logic;
SIGNAL \WideAnd4336~0_combout\ : std_logic;
SIGNAL \WideAnd4336~combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][0]~81846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1206][1]~43764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1206][1]~43765\ : std_logic;
SIGNAL \led_flash_cnt[1206][2]~43766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1206][2]~43767\ : std_logic;
SIGNAL \led_flash_cnt[1206][3]~43768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1206][3]~43769\ : std_logic;
SIGNAL \led_flash_cnt[1206][4]~43770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1206][4]~43771\ : std_logic;
SIGNAL \led_flash_cnt[1206][5]~43772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1206][5]~43773\ : std_logic;
SIGNAL \led_flash_cnt[1206][6]~43774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][6]~q\ : std_logic;
SIGNAL \WideAnd1206~1_combout\ : std_logic;
SIGNAL \WideAnd1206~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][6]~43775\ : std_logic;
SIGNAL \led_flash_cnt[1206][7]~43776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1206][7]~q\ : std_logic;
SIGNAL \WideAnd1206~combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][0]~81847_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1207][1]~43778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1207][1]~43779\ : std_logic;
SIGNAL \led_flash_cnt[1207][2]~43780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1207][2]~43781\ : std_logic;
SIGNAL \led_flash_cnt[1207][3]~43782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1207][3]~43783\ : std_logic;
SIGNAL \led_flash_cnt[1207][4]~43784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][4]~q\ : std_logic;
SIGNAL \WideAnd1207~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][4]~43785\ : std_logic;
SIGNAL \led_flash_cnt[1207][5]~43786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1207][5]~43787\ : std_logic;
SIGNAL \led_flash_cnt[1207][6]~43788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1207][6]~43789\ : std_logic;
SIGNAL \led_flash_cnt[1207][7]~43790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1207][7]~q\ : std_logic;
SIGNAL \WideAnd1207~1_combout\ : std_logic;
SIGNAL \WideAnd1207~combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][0]~81845_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1205][1]~43750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1205][1]~43751\ : std_logic;
SIGNAL \led_flash_cnt[1205][2]~43752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1205][2]~43753\ : std_logic;
SIGNAL \led_flash_cnt[1205][3]~43754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1205][3]~43755\ : std_logic;
SIGNAL \led_flash_cnt[1205][4]~43756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][4]~q\ : std_logic;
SIGNAL \WideAnd1205~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][4]~43757\ : std_logic;
SIGNAL \led_flash_cnt[1205][5]~43758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1205][5]~43759\ : std_logic;
SIGNAL \led_flash_cnt[1205][6]~43760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][6]~q\ : std_logic;
SIGNAL \WideAnd1205~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][6]~43761\ : std_logic;
SIGNAL \led_flash_cnt[1205][7]~43762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1205][7]~q\ : std_logic;
SIGNAL \WideAnd1205~combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][0]~81844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1204][1]~43736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1204][1]~43737\ : std_logic;
SIGNAL \led_flash_cnt[1204][2]~43738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1204][2]~43739\ : std_logic;
SIGNAL \led_flash_cnt[1204][3]~43740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1204][3]~43741\ : std_logic;
SIGNAL \led_flash_cnt[1204][4]~43742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][4]~q\ : std_logic;
SIGNAL \WideAnd1204~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][4]~43743\ : std_logic;
SIGNAL \led_flash_cnt[1204][5]~43744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1204][5]~43745\ : std_logic;
SIGNAL \led_flash_cnt[1204][6]~43746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][6]~q\ : std_logic;
SIGNAL \WideAnd1204~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][6]~43747\ : std_logic;
SIGNAL \led_flash_cnt[1204][7]~43748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1204][7]~q\ : std_logic;
SIGNAL \WideAnd1204~combout\ : std_logic;
SIGNAL \WideAnd3990~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][0]~81843_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1203][1]~43722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1203][1]~43723\ : std_logic;
SIGNAL \led_flash_cnt[1203][2]~43724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1203][2]~43725\ : std_logic;
SIGNAL \led_flash_cnt[1203][3]~43726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1203][3]~43727\ : std_logic;
SIGNAL \led_flash_cnt[1203][4]~43728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][4]~q\ : std_logic;
SIGNAL \WideAnd1203~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][4]~43729\ : std_logic;
SIGNAL \led_flash_cnt[1203][5]~43730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1203][5]~43731\ : std_logic;
SIGNAL \led_flash_cnt[1203][6]~43732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1203][6]~43733\ : std_logic;
SIGNAL \led_flash_cnt[1203][7]~43734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1203][7]~q\ : std_logic;
SIGNAL \WideAnd1203~1_combout\ : std_logic;
SIGNAL \WideAnd1203~combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][0]~81840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1200][1]~43680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1200][1]~43681\ : std_logic;
SIGNAL \led_flash_cnt[1200][2]~43682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1200][2]~43683\ : std_logic;
SIGNAL \led_flash_cnt[1200][3]~43684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1200][3]~43685\ : std_logic;
SIGNAL \led_flash_cnt[1200][4]~43686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1200][4]~43687\ : std_logic;
SIGNAL \led_flash_cnt[1200][5]~43688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1200][5]~43689\ : std_logic;
SIGNAL \led_flash_cnt[1200][6]~43690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][6]~q\ : std_logic;
SIGNAL \WideAnd1200~1_combout\ : std_logic;
SIGNAL \WideAnd1200~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][6]~43691\ : std_logic;
SIGNAL \led_flash_cnt[1200][7]~43692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1200][7]~q\ : std_logic;
SIGNAL \WideAnd1200~combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][0]~81841_combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1201][1]~43694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1201][1]~43695\ : std_logic;
SIGNAL \led_flash_cnt[1201][2]~43696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1201][2]~43697\ : std_logic;
SIGNAL \led_flash_cnt[1201][3]~43698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1201][3]~43699\ : std_logic;
SIGNAL \led_flash_cnt[1201][4]~43700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1201][4]~43701\ : std_logic;
SIGNAL \led_flash_cnt[1201][5]~43702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1201][5]~43703\ : std_logic;
SIGNAL \led_flash_cnt[1201][6]~43704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1201][6]~43705\ : std_logic;
SIGNAL \led_flash_cnt[1201][7]~43706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1201][7]~q\ : std_logic;
SIGNAL \WideAnd1201~0_combout\ : std_logic;
SIGNAL \WideAnd1201~1_combout\ : std_logic;
SIGNAL \WideAnd1201~combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][0]~81842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1202][1]~43708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1202][1]~43709\ : std_logic;
SIGNAL \led_flash_cnt[1202][2]~43710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1202][2]~43711\ : std_logic;
SIGNAL \led_flash_cnt[1202][3]~43712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1202][3]~43713\ : std_logic;
SIGNAL \led_flash_cnt[1202][4]~43714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][4]~q\ : std_logic;
SIGNAL \WideAnd1202~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][4]~43715\ : std_logic;
SIGNAL \led_flash_cnt[1202][5]~43716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1202][5]~43717\ : std_logic;
SIGNAL \led_flash_cnt[1202][6]~43718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][6]~q\ : std_logic;
SIGNAL \WideAnd1202~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][6]~43719\ : std_logic;
SIGNAL \led_flash_cnt[1202][7]~43720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1202][7]~q\ : std_logic;
SIGNAL \WideAnd1202~combout\ : std_logic;
SIGNAL \WideAnd3990~0_combout\ : std_logic;
SIGNAL \WideAnd3990~combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][0]~81852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1212][1]~43848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1212][1]~43849\ : std_logic;
SIGNAL \led_flash_cnt[1212][2]~43850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1212][2]~43851\ : std_logic;
SIGNAL \led_flash_cnt[1212][3]~43852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1212][3]~43853\ : std_logic;
SIGNAL \led_flash_cnt[1212][4]~43854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][4]~q\ : std_logic;
SIGNAL \WideAnd1212~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][4]~43855\ : std_logic;
SIGNAL \led_flash_cnt[1212][5]~43856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1212][5]~43857\ : std_logic;
SIGNAL \led_flash_cnt[1212][6]~43858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][6]~q\ : std_logic;
SIGNAL \WideAnd1212~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][6]~43859\ : std_logic;
SIGNAL \led_flash_cnt[1212][7]~43860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1212][7]~q\ : std_logic;
SIGNAL \WideAnd1212~combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][0]~81853_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1213][1]~43862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1213][1]~43863\ : std_logic;
SIGNAL \led_flash_cnt[1213][2]~43864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1213][2]~43865\ : std_logic;
SIGNAL \led_flash_cnt[1213][3]~43866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1213][3]~43867\ : std_logic;
SIGNAL \led_flash_cnt[1213][4]~43868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1213][4]~43869\ : std_logic;
SIGNAL \led_flash_cnt[1213][5]~43870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1213][5]~43871\ : std_logic;
SIGNAL \led_flash_cnt[1213][6]~43872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][6]~q\ : std_logic;
SIGNAL \WideAnd1213~1_combout\ : std_logic;
SIGNAL \WideAnd1213~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][6]~43873\ : std_logic;
SIGNAL \led_flash_cnt[1213][7]~43874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1213][7]~q\ : std_logic;
SIGNAL \WideAnd1213~combout\ : std_logic;
SIGNAL \WideAnd3991~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][0]~81854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1214][1]~43876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1214][1]~43877\ : std_logic;
SIGNAL \led_flash_cnt[1214][2]~43878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1214][2]~43879\ : std_logic;
SIGNAL \led_flash_cnt[1214][3]~43880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1214][3]~43881\ : std_logic;
SIGNAL \led_flash_cnt[1214][4]~43882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][4]~q\ : std_logic;
SIGNAL \WideAnd1214~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][4]~43883\ : std_logic;
SIGNAL \led_flash_cnt[1214][5]~43884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1214][5]~43885\ : std_logic;
SIGNAL \led_flash_cnt[1214][6]~43886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1214][6]~43887\ : std_logic;
SIGNAL \led_flash_cnt[1214][7]~43888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1214][7]~q\ : std_logic;
SIGNAL \WideAnd1214~1_combout\ : std_logic;
SIGNAL \WideAnd1214~combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][0]~81855_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1215][1]~43890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1215][1]~43891\ : std_logic;
SIGNAL \led_flash_cnt[1215][2]~43892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1215][2]~43893\ : std_logic;
SIGNAL \led_flash_cnt[1215][3]~43894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1215][3]~43895\ : std_logic;
SIGNAL \led_flash_cnt[1215][4]~43896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][4]~q\ : std_logic;
SIGNAL \WideAnd1215~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][4]~43897\ : std_logic;
SIGNAL \led_flash_cnt[1215][5]~43898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1215][5]~43899\ : std_logic;
SIGNAL \led_flash_cnt[1215][6]~43900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1215][6]~43901\ : std_logic;
SIGNAL \led_flash_cnt[1215][7]~43902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1215][7]~q\ : std_logic;
SIGNAL \WideAnd1215~1_combout\ : std_logic;
SIGNAL \WideAnd1215~combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][0]~81848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1208][1]~43792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1208][1]~43793\ : std_logic;
SIGNAL \led_flash_cnt[1208][2]~43794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1208][2]~43795\ : std_logic;
SIGNAL \led_flash_cnt[1208][3]~43796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1208][3]~43797\ : std_logic;
SIGNAL \led_flash_cnt[1208][4]~43798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1208][4]~43799\ : std_logic;
SIGNAL \led_flash_cnt[1208][5]~43800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1208][5]~43801\ : std_logic;
SIGNAL \led_flash_cnt[1208][6]~43802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1208][6]~43803\ : std_logic;
SIGNAL \led_flash_cnt[1208][7]~43804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1208][7]~q\ : std_logic;
SIGNAL \WideAnd1208~0_combout\ : std_logic;
SIGNAL \WideAnd1208~1_combout\ : std_logic;
SIGNAL \WideAnd1208~combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][0]~81851_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1211][1]~43834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1211][1]~43835\ : std_logic;
SIGNAL \led_flash_cnt[1211][2]~43836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1211][2]~43837\ : std_logic;
SIGNAL \led_flash_cnt[1211][3]~43838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1211][3]~43839\ : std_logic;
SIGNAL \led_flash_cnt[1211][4]~43840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][4]~q\ : std_logic;
SIGNAL \WideAnd1211~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][4]~43841\ : std_logic;
SIGNAL \led_flash_cnt[1211][5]~43842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1211][5]~43843\ : std_logic;
SIGNAL \led_flash_cnt[1211][6]~43844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1211][6]~43845\ : std_logic;
SIGNAL \led_flash_cnt[1211][7]~43846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1211][7]~q\ : std_logic;
SIGNAL \WideAnd1211~1_combout\ : std_logic;
SIGNAL \WideAnd1211~combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][0]~81849_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1209][1]~43806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1209][1]~43807\ : std_logic;
SIGNAL \led_flash_cnt[1209][2]~43808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1209][2]~43809\ : std_logic;
SIGNAL \led_flash_cnt[1209][3]~43810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1209][3]~43811\ : std_logic;
SIGNAL \led_flash_cnt[1209][4]~43812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][4]~q\ : std_logic;
SIGNAL \WideAnd1209~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][4]~43813\ : std_logic;
SIGNAL \led_flash_cnt[1209][5]~43814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1209][5]~43815\ : std_logic;
SIGNAL \led_flash_cnt[1209][6]~43816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1209][6]~43817\ : std_logic;
SIGNAL \led_flash_cnt[1209][7]~43818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1209][7]~q\ : std_logic;
SIGNAL \WideAnd1209~1_combout\ : std_logic;
SIGNAL \WideAnd1209~combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][0]~81850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1210][1]~43820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1210][1]~43821\ : std_logic;
SIGNAL \led_flash_cnt[1210][2]~43822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1210][2]~43823\ : std_logic;
SIGNAL \led_flash_cnt[1210][3]~43824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1210][3]~43825\ : std_logic;
SIGNAL \led_flash_cnt[1210][4]~43826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][4]~q\ : std_logic;
SIGNAL \WideAnd1210~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][4]~43827\ : std_logic;
SIGNAL \led_flash_cnt[1210][5]~43828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1210][5]~43829\ : std_logic;
SIGNAL \led_flash_cnt[1210][6]~43830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][6]~q\ : std_logic;
SIGNAL \WideAnd1210~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][6]~43831\ : std_logic;
SIGNAL \led_flash_cnt[1210][7]~43832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1210][7]~q\ : std_logic;
SIGNAL \WideAnd1210~combout\ : std_logic;
SIGNAL \WideAnd3991~0_combout\ : std_logic;
SIGNAL \WideAnd3991~combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][0]~81805_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1165][1]~43190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1165][1]~43191\ : std_logic;
SIGNAL \led_flash_cnt[1165][2]~43192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1165][2]~43193\ : std_logic;
SIGNAL \led_flash_cnt[1165][3]~43194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1165][3]~43195\ : std_logic;
SIGNAL \led_flash_cnt[1165][4]~43196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1165][4]~43197\ : std_logic;
SIGNAL \led_flash_cnt[1165][5]~43198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1165][5]~43199\ : std_logic;
SIGNAL \led_flash_cnt[1165][6]~43200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][6]~q\ : std_logic;
SIGNAL \WideAnd1165~1_combout\ : std_logic;
SIGNAL \WideAnd1165~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][6]~43201\ : std_logic;
SIGNAL \led_flash_cnt[1165][7]~43202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1165][7]~q\ : std_logic;
SIGNAL \WideAnd1165~combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][0]~81804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1164][1]~43176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1164][1]~43177\ : std_logic;
SIGNAL \led_flash_cnt[1164][2]~43178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1164][2]~43179\ : std_logic;
SIGNAL \led_flash_cnt[1164][3]~43180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1164][3]~43181\ : std_logic;
SIGNAL \led_flash_cnt[1164][4]~43182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1164][4]~43183\ : std_logic;
SIGNAL \led_flash_cnt[1164][5]~43184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1164][5]~43185\ : std_logic;
SIGNAL \led_flash_cnt[1164][6]~43186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1164][6]~43187\ : std_logic;
SIGNAL \led_flash_cnt[1164][7]~43188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1164][7]~q\ : std_logic;
SIGNAL \WideAnd1164~1_combout\ : std_logic;
SIGNAL \WideAnd1164~0_combout\ : std_logic;
SIGNAL \WideAnd1164~combout\ : std_logic;
SIGNAL \WideAnd3985~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][0]~81807_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1167][1]~43218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1167][1]~43219\ : std_logic;
SIGNAL \led_flash_cnt[1167][2]~43220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1167][2]~43221\ : std_logic;
SIGNAL \led_flash_cnt[1167][3]~43222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1167][3]~43223\ : std_logic;
SIGNAL \led_flash_cnt[1167][4]~43224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][4]~q\ : std_logic;
SIGNAL \WideAnd1167~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][4]~43225\ : std_logic;
SIGNAL \led_flash_cnt[1167][5]~43226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1167][5]~43227\ : std_logic;
SIGNAL \led_flash_cnt[1167][6]~43228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1167][6]~43229\ : std_logic;
SIGNAL \led_flash_cnt[1167][7]~43230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1167][7]~q\ : std_logic;
SIGNAL \WideAnd1167~1_combout\ : std_logic;
SIGNAL \WideAnd1167~combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][0]~81802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1162][1]~43148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1162][1]~43149\ : std_logic;
SIGNAL \led_flash_cnt[1162][2]~43150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1162][2]~43151\ : std_logic;
SIGNAL \led_flash_cnt[1162][3]~43152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1162][3]~43153\ : std_logic;
SIGNAL \led_flash_cnt[1162][4]~43154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1162][4]~43155\ : std_logic;
SIGNAL \led_flash_cnt[1162][5]~43156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1162][5]~43157\ : std_logic;
SIGNAL \led_flash_cnt[1162][6]~43158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][6]~q\ : std_logic;
SIGNAL \WideAnd1162~1_combout\ : std_logic;
SIGNAL \WideAnd1162~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][6]~43159\ : std_logic;
SIGNAL \led_flash_cnt[1162][7]~43160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1162][7]~q\ : std_logic;
SIGNAL \WideAnd1162~combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][0]~81800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1160][1]~43120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1160][1]~43121\ : std_logic;
SIGNAL \led_flash_cnt[1160][2]~43122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1160][2]~43123\ : std_logic;
SIGNAL \led_flash_cnt[1160][3]~43124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1160][3]~43125\ : std_logic;
SIGNAL \led_flash_cnt[1160][4]~43126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1160][4]~43127\ : std_logic;
SIGNAL \led_flash_cnt[1160][5]~43128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1160][5]~43129\ : std_logic;
SIGNAL \led_flash_cnt[1160][6]~43130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1160][6]~43131\ : std_logic;
SIGNAL \led_flash_cnt[1160][7]~43132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1160][7]~q\ : std_logic;
SIGNAL \WideAnd1160~1_combout\ : std_logic;
SIGNAL \WideAnd1160~0_combout\ : std_logic;
SIGNAL \WideAnd1160~combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][0]~81801_combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1161][1]~43134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1161][1]~43135\ : std_logic;
SIGNAL \led_flash_cnt[1161][2]~43136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1161][2]~43137\ : std_logic;
SIGNAL \led_flash_cnt[1161][3]~43138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1161][3]~43139\ : std_logic;
SIGNAL \led_flash_cnt[1161][4]~43140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1161][4]~43141\ : std_logic;
SIGNAL \led_flash_cnt[1161][5]~43142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1161][5]~43143\ : std_logic;
SIGNAL \led_flash_cnt[1161][6]~43144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1161][6]~43145\ : std_logic;
SIGNAL \led_flash_cnt[1161][7]~43146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1161][7]~q\ : std_logic;
SIGNAL \WideAnd1161~1_combout\ : std_logic;
SIGNAL \WideAnd1161~0_combout\ : std_logic;
SIGNAL \WideAnd1161~combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][0]~81803_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1163][1]~43162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1163][1]~43163\ : std_logic;
SIGNAL \led_flash_cnt[1163][2]~43164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1163][2]~43165\ : std_logic;
SIGNAL \led_flash_cnt[1163][3]~43166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1163][3]~43167\ : std_logic;
SIGNAL \led_flash_cnt[1163][4]~43168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][4]~q\ : std_logic;
SIGNAL \WideAnd1163~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][4]~43169\ : std_logic;
SIGNAL \led_flash_cnt[1163][5]~43170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1163][5]~43171\ : std_logic;
SIGNAL \led_flash_cnt[1163][6]~43172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][6]~q\ : std_logic;
SIGNAL \WideAnd1163~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][6]~43173\ : std_logic;
SIGNAL \led_flash_cnt[1163][7]~43174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1163][7]~q\ : std_logic;
SIGNAL \WideAnd1163~combout\ : std_logic;
SIGNAL \WideAnd3985~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][0]~81806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1166][1]~43204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1166][1]~43205\ : std_logic;
SIGNAL \led_flash_cnt[1166][2]~43206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1166][2]~43207\ : std_logic;
SIGNAL \led_flash_cnt[1166][3]~43208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1166][3]~43209\ : std_logic;
SIGNAL \led_flash_cnt[1166][4]~43210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1166][4]~43211\ : std_logic;
SIGNAL \led_flash_cnt[1166][5]~43212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1166][5]~43213\ : std_logic;
SIGNAL \led_flash_cnt[1166][6]~43214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1166][6]~43215\ : std_logic;
SIGNAL \led_flash_cnt[1166][7]~43216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1166][7]~q\ : std_logic;
SIGNAL \WideAnd1166~0_combout\ : std_logic;
SIGNAL \WideAnd1166~1_combout\ : std_logic;
SIGNAL \WideAnd1166~combout\ : std_logic;
SIGNAL \WideAnd3985~combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][0]~81822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1182][1]~43428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1182][1]~43429\ : std_logic;
SIGNAL \led_flash_cnt[1182][2]~43430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1182][2]~43431\ : std_logic;
SIGNAL \led_flash_cnt[1182][3]~43432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1182][3]~43433\ : std_logic;
SIGNAL \led_flash_cnt[1182][4]~43434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1182][4]~43435\ : std_logic;
SIGNAL \led_flash_cnt[1182][5]~43436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1182][5]~43437\ : std_logic;
SIGNAL \led_flash_cnt[1182][6]~43438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][6]~q\ : std_logic;
SIGNAL \WideAnd1182~1_combout\ : std_logic;
SIGNAL \WideAnd1182~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][6]~43439\ : std_logic;
SIGNAL \led_flash_cnt[1182][7]~43440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1182][7]~q\ : std_logic;
SIGNAL \WideAnd1182~combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][0]~81823_combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1183][1]~43442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1183][1]~43443\ : std_logic;
SIGNAL \led_flash_cnt[1183][2]~43444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1183][2]~43445\ : std_logic;
SIGNAL \led_flash_cnt[1183][3]~43446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1183][3]~43447\ : std_logic;
SIGNAL \led_flash_cnt[1183][4]~43448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1183][4]~43449\ : std_logic;
SIGNAL \led_flash_cnt[1183][5]~43450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1183][5]~43451\ : std_logic;
SIGNAL \led_flash_cnt[1183][6]~43452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1183][6]~43453\ : std_logic;
SIGNAL \led_flash_cnt[1183][7]~43454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1183][7]~q\ : std_logic;
SIGNAL \WideAnd1183~1_combout\ : std_logic;
SIGNAL \WideAnd1183~0_combout\ : std_logic;
SIGNAL \WideAnd1183~combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][0]~81820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1180][1]~43400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1180][1]~43401\ : std_logic;
SIGNAL \led_flash_cnt[1180][2]~43402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1180][2]~43403\ : std_logic;
SIGNAL \led_flash_cnt[1180][3]~43404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1180][3]~43405\ : std_logic;
SIGNAL \led_flash_cnt[1180][4]~43406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][4]~q\ : std_logic;
SIGNAL \WideAnd1180~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][4]~43407\ : std_logic;
SIGNAL \led_flash_cnt[1180][5]~43408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1180][5]~43409\ : std_logic;
SIGNAL \led_flash_cnt[1180][6]~43410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1180][6]~43411\ : std_logic;
SIGNAL \led_flash_cnt[1180][7]~43412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1180][7]~q\ : std_logic;
SIGNAL \WideAnd1180~1_combout\ : std_logic;
SIGNAL \WideAnd1180~combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][0]~81821_combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1181][1]~43414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1181][1]~43415\ : std_logic;
SIGNAL \led_flash_cnt[1181][2]~43416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1181][2]~43417\ : std_logic;
SIGNAL \led_flash_cnt[1181][3]~43418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1181][3]~43419\ : std_logic;
SIGNAL \led_flash_cnt[1181][4]~43420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1181][4]~43421\ : std_logic;
SIGNAL \led_flash_cnt[1181][5]~43422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1181][5]~43423\ : std_logic;
SIGNAL \led_flash_cnt[1181][6]~43424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1181][6]~43425\ : std_logic;
SIGNAL \led_flash_cnt[1181][7]~43426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1181][7]~q\ : std_logic;
SIGNAL \WideAnd1181~1_combout\ : std_logic;
SIGNAL \WideAnd1181~0_combout\ : std_logic;
SIGNAL \WideAnd1181~combout\ : std_logic;
SIGNAL \WideAnd3987~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][0]~81818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1178][1]~43372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1178][1]~43373\ : std_logic;
SIGNAL \led_flash_cnt[1178][2]~43374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1178][2]~43375\ : std_logic;
SIGNAL \led_flash_cnt[1178][3]~43376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1178][3]~43377\ : std_logic;
SIGNAL \led_flash_cnt[1178][4]~43378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1178][4]~43379\ : std_logic;
SIGNAL \led_flash_cnt[1178][5]~43380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1178][5]~43381\ : std_logic;
SIGNAL \led_flash_cnt[1178][6]~43382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][6]~q\ : std_logic;
SIGNAL \WideAnd1178~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][6]~43383\ : std_logic;
SIGNAL \led_flash_cnt[1178][7]~43384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1178][7]~q\ : std_logic;
SIGNAL \WideAnd1178~0_combout\ : std_logic;
SIGNAL \WideAnd1178~combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][0]~81819_combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1179][1]~43386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1179][1]~43387\ : std_logic;
SIGNAL \led_flash_cnt[1179][2]~43388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1179][2]~43389\ : std_logic;
SIGNAL \led_flash_cnt[1179][3]~43390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1179][3]~43391\ : std_logic;
SIGNAL \led_flash_cnt[1179][4]~43392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1179][4]~43393\ : std_logic;
SIGNAL \led_flash_cnt[1179][5]~43394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1179][5]~43395\ : std_logic;
SIGNAL \led_flash_cnt[1179][6]~43396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1179][6]~43397\ : std_logic;
SIGNAL \led_flash_cnt[1179][7]~43398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1179][7]~q\ : std_logic;
SIGNAL \WideAnd1179~1_combout\ : std_logic;
SIGNAL \WideAnd1179~0_combout\ : std_logic;
SIGNAL \WideAnd1179~combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][0]~81816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1176][1]~43344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1176][1]~43345\ : std_logic;
SIGNAL \led_flash_cnt[1176][2]~43346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1176][2]~43347\ : std_logic;
SIGNAL \led_flash_cnt[1176][3]~43348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1176][3]~43349\ : std_logic;
SIGNAL \led_flash_cnt[1176][4]~43350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1176][4]~43351\ : std_logic;
SIGNAL \led_flash_cnt[1176][5]~43352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1176][5]~43353\ : std_logic;
SIGNAL \led_flash_cnt[1176][6]~43354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][6]~q\ : std_logic;
SIGNAL \WideAnd1176~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][6]~43355\ : std_logic;
SIGNAL \led_flash_cnt[1176][7]~43356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1176][7]~q\ : std_logic;
SIGNAL \WideAnd1176~0_combout\ : std_logic;
SIGNAL \WideAnd1176~combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][0]~81817_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1177][1]~43358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1177][1]~43359\ : std_logic;
SIGNAL \led_flash_cnt[1177][2]~43360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1177][2]~43361\ : std_logic;
SIGNAL \led_flash_cnt[1177][3]~43362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1177][3]~43363\ : std_logic;
SIGNAL \led_flash_cnt[1177][4]~43364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1177][4]~43365\ : std_logic;
SIGNAL \led_flash_cnt[1177][5]~43366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1177][5]~43367\ : std_logic;
SIGNAL \led_flash_cnt[1177][6]~43368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][6]~q\ : std_logic;
SIGNAL \WideAnd1177~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][6]~43369\ : std_logic;
SIGNAL \led_flash_cnt[1177][7]~43370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1177][7]~q\ : std_logic;
SIGNAL \WideAnd1177~0_combout\ : std_logic;
SIGNAL \WideAnd1177~combout\ : std_logic;
SIGNAL \WideAnd3987~0_combout\ : std_logic;
SIGNAL \WideAnd3987~combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][0]~81811_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1171][1]~43274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1171][1]~43275\ : std_logic;
SIGNAL \led_flash_cnt[1171][2]~43276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1171][2]~43277\ : std_logic;
SIGNAL \led_flash_cnt[1171][3]~43278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1171][3]~43279\ : std_logic;
SIGNAL \led_flash_cnt[1171][4]~43280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1171][4]~43281\ : std_logic;
SIGNAL \led_flash_cnt[1171][5]~43282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1171][5]~43283\ : std_logic;
SIGNAL \led_flash_cnt[1171][6]~43284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][6]~q\ : std_logic;
SIGNAL \WideAnd1171~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][6]~43285\ : std_logic;
SIGNAL \led_flash_cnt[1171][7]~43286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1171][7]~q\ : std_logic;
SIGNAL \WideAnd1171~0_combout\ : std_logic;
SIGNAL \WideAnd1171~combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][0]~81809_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1169][1]~43246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1169][1]~43247\ : std_logic;
SIGNAL \led_flash_cnt[1169][2]~43248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1169][2]~43249\ : std_logic;
SIGNAL \led_flash_cnt[1169][3]~43250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1169][3]~43251\ : std_logic;
SIGNAL \led_flash_cnt[1169][4]~43252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][4]~q\ : std_logic;
SIGNAL \WideAnd1169~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][4]~43253\ : std_logic;
SIGNAL \led_flash_cnt[1169][5]~43254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1169][5]~43255\ : std_logic;
SIGNAL \led_flash_cnt[1169][6]~43256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][6]~q\ : std_logic;
SIGNAL \WideAnd1169~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][6]~43257\ : std_logic;
SIGNAL \led_flash_cnt[1169][7]~43258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1169][7]~q\ : std_logic;
SIGNAL \WideAnd1169~combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][0]~81810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1170][1]~43260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1170][1]~43261\ : std_logic;
SIGNAL \led_flash_cnt[1170][2]~43262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1170][2]~43263\ : std_logic;
SIGNAL \led_flash_cnt[1170][3]~43264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1170][3]~43265\ : std_logic;
SIGNAL \led_flash_cnt[1170][4]~43266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][4]~q\ : std_logic;
SIGNAL \WideAnd1170~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][4]~43267\ : std_logic;
SIGNAL \led_flash_cnt[1170][5]~43268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1170][5]~43269\ : std_logic;
SIGNAL \led_flash_cnt[1170][6]~43270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1170][6]~43271\ : std_logic;
SIGNAL \led_flash_cnt[1170][7]~43272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1170][7]~q\ : std_logic;
SIGNAL \WideAnd1170~1_combout\ : std_logic;
SIGNAL \WideAnd1170~combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][0]~81808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1168][1]~43232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1168][1]~43233\ : std_logic;
SIGNAL \led_flash_cnt[1168][2]~43234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1168][2]~43235\ : std_logic;
SIGNAL \led_flash_cnt[1168][3]~43236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1168][3]~43237\ : std_logic;
SIGNAL \led_flash_cnt[1168][4]~43238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][4]~q\ : std_logic;
SIGNAL \WideAnd1168~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][4]~43239\ : std_logic;
SIGNAL \led_flash_cnt[1168][5]~43240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1168][5]~43241\ : std_logic;
SIGNAL \led_flash_cnt[1168][6]~43242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1168][6]~43243\ : std_logic;
SIGNAL \led_flash_cnt[1168][7]~43244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1168][7]~q\ : std_logic;
SIGNAL \WideAnd1168~1_combout\ : std_logic;
SIGNAL \WideAnd1168~combout\ : std_logic;
SIGNAL \WideAnd3986~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][0]~81814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1174][1]~43316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1174][1]~43317\ : std_logic;
SIGNAL \led_flash_cnt[1174][2]~43318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1174][2]~43319\ : std_logic;
SIGNAL \led_flash_cnt[1174][3]~43320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1174][3]~43321\ : std_logic;
SIGNAL \led_flash_cnt[1174][4]~43322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][4]~q\ : std_logic;
SIGNAL \WideAnd1174~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][4]~43323\ : std_logic;
SIGNAL \led_flash_cnt[1174][5]~43324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1174][5]~43325\ : std_logic;
SIGNAL \led_flash_cnt[1174][6]~43326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][6]~q\ : std_logic;
SIGNAL \WideAnd1174~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][6]~43327\ : std_logic;
SIGNAL \led_flash_cnt[1174][7]~43328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1174][7]~q\ : std_logic;
SIGNAL \WideAnd1174~combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][0]~81815_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1175][1]~43330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1175][1]~43331\ : std_logic;
SIGNAL \led_flash_cnt[1175][2]~43332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1175][2]~43333\ : std_logic;
SIGNAL \led_flash_cnt[1175][3]~43334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1175][3]~43335\ : std_logic;
SIGNAL \led_flash_cnt[1175][4]~43336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][4]~q\ : std_logic;
SIGNAL \WideAnd1175~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][4]~43337\ : std_logic;
SIGNAL \led_flash_cnt[1175][5]~43338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1175][5]~43339\ : std_logic;
SIGNAL \led_flash_cnt[1175][6]~43340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1175][6]~43341\ : std_logic;
SIGNAL \led_flash_cnt[1175][7]~43342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1175][7]~q\ : std_logic;
SIGNAL \WideAnd1175~1_combout\ : std_logic;
SIGNAL \WideAnd1175~combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][0]~81812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1172][1]~43288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1172][1]~43289\ : std_logic;
SIGNAL \led_flash_cnt[1172][2]~43290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1172][2]~43291\ : std_logic;
SIGNAL \led_flash_cnt[1172][3]~43292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1172][3]~43293\ : std_logic;
SIGNAL \led_flash_cnt[1172][4]~43294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1172][4]~43295\ : std_logic;
SIGNAL \led_flash_cnt[1172][5]~43296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1172][5]~43297\ : std_logic;
SIGNAL \led_flash_cnt[1172][6]~43298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1172][6]~43299\ : std_logic;
SIGNAL \led_flash_cnt[1172][7]~43300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1172][7]~q\ : std_logic;
SIGNAL \WideAnd1172~1_combout\ : std_logic;
SIGNAL \WideAnd1172~0_combout\ : std_logic;
SIGNAL \WideAnd1172~combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][0]~81813_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1173][1]~43302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1173][1]~43303\ : std_logic;
SIGNAL \led_flash_cnt[1173][2]~43304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1173][2]~43305\ : std_logic;
SIGNAL \led_flash_cnt[1173][3]~43306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1173][3]~43307\ : std_logic;
SIGNAL \led_flash_cnt[1173][4]~43308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][4]~q\ : std_logic;
SIGNAL \WideAnd1173~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][4]~43309\ : std_logic;
SIGNAL \led_flash_cnt[1173][5]~43310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1173][5]~43311\ : std_logic;
SIGNAL \led_flash_cnt[1173][6]~43312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1173][6]~43313\ : std_logic;
SIGNAL \led_flash_cnt[1173][7]~43314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1173][7]~q\ : std_logic;
SIGNAL \WideAnd1173~1_combout\ : std_logic;
SIGNAL \WideAnd1173~combout\ : std_logic;
SIGNAL \WideAnd3986~1_combout\ : std_logic;
SIGNAL \WideAnd3986~combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][0]~81799_combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1159][1]~43106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1159][1]~43107\ : std_logic;
SIGNAL \led_flash_cnt[1159][2]~43108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1159][2]~43109\ : std_logic;
SIGNAL \led_flash_cnt[1159][3]~43110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1159][3]~43111\ : std_logic;
SIGNAL \led_flash_cnt[1159][4]~43112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1159][4]~43113\ : std_logic;
SIGNAL \led_flash_cnt[1159][5]~43114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1159][5]~43115\ : std_logic;
SIGNAL \led_flash_cnt[1159][6]~43116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1159][6]~43117\ : std_logic;
SIGNAL \led_flash_cnt[1159][7]~43118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1159][7]~q\ : std_logic;
SIGNAL \WideAnd1159~1_combout\ : std_logic;
SIGNAL \WideAnd1159~0_combout\ : std_logic;
SIGNAL \WideAnd1159~combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][0]~81794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1154][1]~43036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1154][1]~43037\ : std_logic;
SIGNAL \led_flash_cnt[1154][2]~43038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1154][2]~43039\ : std_logic;
SIGNAL \led_flash_cnt[1154][3]~43040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1154][3]~43041\ : std_logic;
SIGNAL \led_flash_cnt[1154][4]~43042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1154][4]~43043\ : std_logic;
SIGNAL \led_flash_cnt[1154][5]~43044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1154][5]~43045\ : std_logic;
SIGNAL \led_flash_cnt[1154][6]~43046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][6]~q\ : std_logic;
SIGNAL \WideAnd1154~1_combout\ : std_logic;
SIGNAL \WideAnd1154~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][6]~43047\ : std_logic;
SIGNAL \led_flash_cnt[1154][7]~43048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1154][7]~q\ : std_logic;
SIGNAL \WideAnd1154~combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][0]~81792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1152][1]~43008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1152][1]~43009\ : std_logic;
SIGNAL \led_flash_cnt[1152][2]~43010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1152][2]~43011\ : std_logic;
SIGNAL \led_flash_cnt[1152][3]~43012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1152][3]~43013\ : std_logic;
SIGNAL \led_flash_cnt[1152][4]~43014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1152][4]~43015\ : std_logic;
SIGNAL \led_flash_cnt[1152][5]~43016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1152][5]~43017\ : std_logic;
SIGNAL \led_flash_cnt[1152][6]~43018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][6]~q\ : std_logic;
SIGNAL \WideAnd1152~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][6]~43019\ : std_logic;
SIGNAL \led_flash_cnt[1152][7]~43020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1152][7]~q\ : std_logic;
SIGNAL \WideAnd1152~0_combout\ : std_logic;
SIGNAL \WideAnd1152~combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][0]~81793_combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1153][1]~43022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1153][1]~43023\ : std_logic;
SIGNAL \led_flash_cnt[1153][2]~43024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1153][2]~43025\ : std_logic;
SIGNAL \led_flash_cnt[1153][3]~43026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1153][3]~43027\ : std_logic;
SIGNAL \led_flash_cnt[1153][4]~43028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1153][4]~43029\ : std_logic;
SIGNAL \led_flash_cnt[1153][5]~43030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1153][5]~43031\ : std_logic;
SIGNAL \led_flash_cnt[1153][6]~43032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1153][6]~43033\ : std_logic;
SIGNAL \led_flash_cnt[1153][7]~43034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1153][7]~q\ : std_logic;
SIGNAL \WideAnd1153~1_combout\ : std_logic;
SIGNAL \WideAnd1153~0_combout\ : std_logic;
SIGNAL \WideAnd1153~combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][0]~81795_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1155][1]~43050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1155][1]~43051\ : std_logic;
SIGNAL \led_flash_cnt[1155][2]~43052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1155][2]~43053\ : std_logic;
SIGNAL \led_flash_cnt[1155][3]~43054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1155][3]~43055\ : std_logic;
SIGNAL \led_flash_cnt[1155][4]~43056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1155][4]~43057\ : std_logic;
SIGNAL \led_flash_cnt[1155][5]~43058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1155][5]~43059\ : std_logic;
SIGNAL \led_flash_cnt[1155][6]~43060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][6]~q\ : std_logic;
SIGNAL \WideAnd1155~1_combout\ : std_logic;
SIGNAL \WideAnd1155~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][6]~43061\ : std_logic;
SIGNAL \led_flash_cnt[1155][7]~43062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1155][7]~q\ : std_logic;
SIGNAL \WideAnd1155~combout\ : std_logic;
SIGNAL \WideAnd3984~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][0]~81797_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1157][1]~43078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1157][1]~43079\ : std_logic;
SIGNAL \led_flash_cnt[1157][2]~43080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1157][2]~43081\ : std_logic;
SIGNAL \led_flash_cnt[1157][3]~43082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1157][3]~43083\ : std_logic;
SIGNAL \led_flash_cnt[1157][4]~43084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1157][4]~43085\ : std_logic;
SIGNAL \led_flash_cnt[1157][5]~43086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1157][5]~43087\ : std_logic;
SIGNAL \led_flash_cnt[1157][6]~43088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1157][6]~43089\ : std_logic;
SIGNAL \led_flash_cnt[1157][7]~43090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1157][7]~q\ : std_logic;
SIGNAL \WideAnd1157~0_combout\ : std_logic;
SIGNAL \WideAnd1157~1_combout\ : std_logic;
SIGNAL \WideAnd1157~combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][0]~81796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1156][1]~43064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1156][1]~43065\ : std_logic;
SIGNAL \led_flash_cnt[1156][2]~43066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1156][2]~43067\ : std_logic;
SIGNAL \led_flash_cnt[1156][3]~43068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1156][3]~43069\ : std_logic;
SIGNAL \led_flash_cnt[1156][4]~43070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1156][4]~43071\ : std_logic;
SIGNAL \led_flash_cnt[1156][5]~43072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1156][5]~43073\ : std_logic;
SIGNAL \led_flash_cnt[1156][6]~43074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1156][6]~43075\ : std_logic;
SIGNAL \led_flash_cnt[1156][7]~43076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1156][7]~q\ : std_logic;
SIGNAL \WideAnd1156~1_combout\ : std_logic;
SIGNAL \WideAnd1156~0_combout\ : std_logic;
SIGNAL \WideAnd1156~combout\ : std_logic;
SIGNAL \WideAnd3984~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][0]~81798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1158][1]~43092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1158][1]~43093\ : std_logic;
SIGNAL \led_flash_cnt[1158][2]~43094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1158][2]~43095\ : std_logic;
SIGNAL \led_flash_cnt[1158][3]~43096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1158][3]~43097\ : std_logic;
SIGNAL \led_flash_cnt[1158][4]~43098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1158][4]~43099\ : std_logic;
SIGNAL \led_flash_cnt[1158][5]~43100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1158][5]~43101\ : std_logic;
SIGNAL \led_flash_cnt[1158][6]~43102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1158][6]~43103\ : std_logic;
SIGNAL \led_flash_cnt[1158][7]~43104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1158][7]~q\ : std_logic;
SIGNAL \WideAnd1158~0_combout\ : std_logic;
SIGNAL \WideAnd1158~1_combout\ : std_logic;
SIGNAL \WideAnd1158~combout\ : std_logic;
SIGNAL \WideAnd3984~combout\ : std_logic;
SIGNAL \WideAnd4338~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][0]~81830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1190][1]~43540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1190][1]~43541\ : std_logic;
SIGNAL \led_flash_cnt[1190][2]~43542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1190][2]~43543\ : std_logic;
SIGNAL \led_flash_cnt[1190][3]~43544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1190][3]~43545\ : std_logic;
SIGNAL \led_flash_cnt[1190][4]~43546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1190][4]~43547\ : std_logic;
SIGNAL \led_flash_cnt[1190][5]~43548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1190][5]~43549\ : std_logic;
SIGNAL \led_flash_cnt[1190][6]~43550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1190][6]~43551\ : std_logic;
SIGNAL \led_flash_cnt[1190][7]~43552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1190][7]~q\ : std_logic;
SIGNAL \WideAnd1190~1_combout\ : std_logic;
SIGNAL \WideAnd1190~0_combout\ : std_logic;
SIGNAL \WideAnd1190~combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][0]~81831_combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1191][1]~43554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1191][1]~43555\ : std_logic;
SIGNAL \led_flash_cnt[1191][2]~43556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1191][2]~43557\ : std_logic;
SIGNAL \led_flash_cnt[1191][3]~43558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1191][3]~43559\ : std_logic;
SIGNAL \led_flash_cnt[1191][4]~43560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1191][4]~43561\ : std_logic;
SIGNAL \led_flash_cnt[1191][5]~43562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1191][5]~43563\ : std_logic;
SIGNAL \led_flash_cnt[1191][6]~43564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1191][6]~43565\ : std_logic;
SIGNAL \led_flash_cnt[1191][7]~43566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1191][7]~q\ : std_logic;
SIGNAL \WideAnd1191~1_combout\ : std_logic;
SIGNAL \WideAnd1191~0_combout\ : std_logic;
SIGNAL \WideAnd1191~combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][0]~81828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1188][1]~43512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1188][1]~43513\ : std_logic;
SIGNAL \led_flash_cnt[1188][2]~43514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1188][2]~43515\ : std_logic;
SIGNAL \led_flash_cnt[1188][3]~43516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1188][3]~43517\ : std_logic;
SIGNAL \led_flash_cnt[1188][4]~43518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1188][4]~43519\ : std_logic;
SIGNAL \led_flash_cnt[1188][5]~43520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1188][5]~43521\ : std_logic;
SIGNAL \led_flash_cnt[1188][6]~43522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1188][6]~43523\ : std_logic;
SIGNAL \led_flash_cnt[1188][7]~43524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1188][7]~q\ : std_logic;
SIGNAL \WideAnd1188~0_combout\ : std_logic;
SIGNAL \WideAnd1188~1_combout\ : std_logic;
SIGNAL \WideAnd1188~combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][0]~81829_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1189][1]~43526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1189][1]~43527\ : std_logic;
SIGNAL \led_flash_cnt[1189][2]~43528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1189][2]~43529\ : std_logic;
SIGNAL \led_flash_cnt[1189][3]~43530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1189][3]~43531\ : std_logic;
SIGNAL \led_flash_cnt[1189][4]~43532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][4]~q\ : std_logic;
SIGNAL \WideAnd1189~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][4]~43533\ : std_logic;
SIGNAL \led_flash_cnt[1189][5]~43534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1189][5]~43535\ : std_logic;
SIGNAL \led_flash_cnt[1189][6]~43536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1189][6]~43537\ : std_logic;
SIGNAL \led_flash_cnt[1189][7]~43538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1189][7]~q\ : std_logic;
SIGNAL \WideAnd1189~1_combout\ : std_logic;
SIGNAL \WideAnd1189~combout\ : std_logic;
SIGNAL \WideAnd3988~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][0]~81825_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1185][1]~43470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1185][1]~43471\ : std_logic;
SIGNAL \led_flash_cnt[1185][2]~43472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1185][2]~43473\ : std_logic;
SIGNAL \led_flash_cnt[1185][3]~43474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1185][3]~43475\ : std_logic;
SIGNAL \led_flash_cnt[1185][4]~43476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1185][4]~43477\ : std_logic;
SIGNAL \led_flash_cnt[1185][5]~43478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1185][5]~43479\ : std_logic;
SIGNAL \led_flash_cnt[1185][6]~43480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][6]~q\ : std_logic;
SIGNAL \WideAnd1185~1_combout\ : std_logic;
SIGNAL \WideAnd1185~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][6]~43481\ : std_logic;
SIGNAL \led_flash_cnt[1185][7]~43482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1185][7]~q\ : std_logic;
SIGNAL \WideAnd1185~combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][0]~81826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1186][1]~43484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1186][1]~43485\ : std_logic;
SIGNAL \led_flash_cnt[1186][2]~43486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1186][2]~43487\ : std_logic;
SIGNAL \led_flash_cnt[1186][3]~43488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1186][3]~43489\ : std_logic;
SIGNAL \led_flash_cnt[1186][4]~43490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1186][4]~43491\ : std_logic;
SIGNAL \led_flash_cnt[1186][5]~43492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1186][5]~43493\ : std_logic;
SIGNAL \led_flash_cnt[1186][6]~43494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][6]~q\ : std_logic;
SIGNAL \WideAnd1186~1_combout\ : std_logic;
SIGNAL \WideAnd1186~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][6]~43495\ : std_logic;
SIGNAL \led_flash_cnt[1186][7]~43496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1186][7]~q\ : std_logic;
SIGNAL \WideAnd1186~combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][0]~81824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1184][1]~43456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1184][1]~43457\ : std_logic;
SIGNAL \led_flash_cnt[1184][2]~43458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1184][2]~43459\ : std_logic;
SIGNAL \led_flash_cnt[1184][3]~43460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1184][3]~43461\ : std_logic;
SIGNAL \led_flash_cnt[1184][4]~43462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1184][4]~43463\ : std_logic;
SIGNAL \led_flash_cnt[1184][5]~43464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1184][5]~43465\ : std_logic;
SIGNAL \led_flash_cnt[1184][6]~43466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1184][6]~43467\ : std_logic;
SIGNAL \led_flash_cnt[1184][7]~43468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1184][7]~q\ : std_logic;
SIGNAL \WideAnd1184~0_combout\ : std_logic;
SIGNAL \WideAnd1184~1_combout\ : std_logic;
SIGNAL \WideAnd1184~combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][0]~81827_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1187][1]~43498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1187][1]~43499\ : std_logic;
SIGNAL \led_flash_cnt[1187][2]~43500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1187][2]~43501\ : std_logic;
SIGNAL \led_flash_cnt[1187][3]~43502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1187][3]~43503\ : std_logic;
SIGNAL \led_flash_cnt[1187][4]~43504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1187][4]~43505\ : std_logic;
SIGNAL \led_flash_cnt[1187][5]~43506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1187][5]~43507\ : std_logic;
SIGNAL \led_flash_cnt[1187][6]~43508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][6]~q\ : std_logic;
SIGNAL \WideAnd1187~1_combout\ : std_logic;
SIGNAL \WideAnd1187~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][6]~43509\ : std_logic;
SIGNAL \led_flash_cnt[1187][7]~43510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1187][7]~q\ : std_logic;
SIGNAL \WideAnd1187~combout\ : std_logic;
SIGNAL \WideAnd3988~0_combout\ : std_logic;
SIGNAL \WideAnd3988~combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][0]~81838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1198][1]~43652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1198][1]~43653\ : std_logic;
SIGNAL \led_flash_cnt[1198][2]~43654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1198][2]~43655\ : std_logic;
SIGNAL \led_flash_cnt[1198][3]~43656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1198][3]~43657\ : std_logic;
SIGNAL \led_flash_cnt[1198][4]~43658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1198][4]~43659\ : std_logic;
SIGNAL \led_flash_cnt[1198][5]~43660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1198][5]~43661\ : std_logic;
SIGNAL \led_flash_cnt[1198][6]~43662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][6]~q\ : std_logic;
SIGNAL \WideAnd1198~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][6]~43663\ : std_logic;
SIGNAL \led_flash_cnt[1198][7]~43664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1198][7]~q\ : std_logic;
SIGNAL \WideAnd1198~0_combout\ : std_logic;
SIGNAL \WideAnd1198~combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][0]~81837_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1197][1]~43638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1197][1]~43639\ : std_logic;
SIGNAL \led_flash_cnt[1197][2]~43640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1197][2]~43641\ : std_logic;
SIGNAL \led_flash_cnt[1197][3]~43642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1197][3]~43643\ : std_logic;
SIGNAL \led_flash_cnt[1197][4]~43644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1197][4]~43645\ : std_logic;
SIGNAL \led_flash_cnt[1197][5]~43646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1197][5]~43647\ : std_logic;
SIGNAL \led_flash_cnt[1197][6]~43648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][6]~q\ : std_logic;
SIGNAL \WideAnd1197~1_combout\ : std_logic;
SIGNAL \WideAnd1197~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][6]~43649\ : std_logic;
SIGNAL \led_flash_cnt[1197][7]~43650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1197][7]~q\ : std_logic;
SIGNAL \WideAnd1197~combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][0]~81836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1196][1]~43624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1196][1]~43625\ : std_logic;
SIGNAL \led_flash_cnt[1196][2]~43626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1196][2]~43627\ : std_logic;
SIGNAL \led_flash_cnt[1196][3]~43628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1196][3]~43629\ : std_logic;
SIGNAL \led_flash_cnt[1196][4]~43630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1196][4]~43631\ : std_logic;
SIGNAL \led_flash_cnt[1196][5]~43632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1196][5]~43633\ : std_logic;
SIGNAL \led_flash_cnt[1196][6]~43634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1196][6]~43635\ : std_logic;
SIGNAL \led_flash_cnt[1196][7]~43636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1196][7]~q\ : std_logic;
SIGNAL \WideAnd1196~1_combout\ : std_logic;
SIGNAL \WideAnd1196~0_combout\ : std_logic;
SIGNAL \WideAnd1196~combout\ : std_logic;
SIGNAL \WideAnd3989~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][0]~81833_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1193][1]~43582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1193][1]~43583\ : std_logic;
SIGNAL \led_flash_cnt[1193][2]~43584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1193][2]~43585\ : std_logic;
SIGNAL \led_flash_cnt[1193][3]~43586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1193][3]~43587\ : std_logic;
SIGNAL \led_flash_cnt[1193][4]~43588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][4]~q\ : std_logic;
SIGNAL \WideAnd1193~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][4]~43589\ : std_logic;
SIGNAL \led_flash_cnt[1193][5]~43590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1193][5]~43591\ : std_logic;
SIGNAL \led_flash_cnt[1193][6]~43592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1193][6]~43593\ : std_logic;
SIGNAL \led_flash_cnt[1193][7]~43594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1193][7]~q\ : std_logic;
SIGNAL \WideAnd1193~1_combout\ : std_logic;
SIGNAL \WideAnd1193~combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][0]~81834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1194][1]~43596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1194][1]~43597\ : std_logic;
SIGNAL \led_flash_cnt[1194][2]~43598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1194][2]~43599\ : std_logic;
SIGNAL \led_flash_cnt[1194][3]~43600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1194][3]~43601\ : std_logic;
SIGNAL \led_flash_cnt[1194][4]~43602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][4]~q\ : std_logic;
SIGNAL \WideAnd1194~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][4]~43603\ : std_logic;
SIGNAL \led_flash_cnt[1194][5]~43604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1194][5]~43605\ : std_logic;
SIGNAL \led_flash_cnt[1194][6]~43606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][6]~q\ : std_logic;
SIGNAL \WideAnd1194~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][6]~43607\ : std_logic;
SIGNAL \led_flash_cnt[1194][7]~43608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1194][7]~q\ : std_logic;
SIGNAL \WideAnd1194~combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][0]~81832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1192][1]~43568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1192][1]~43569\ : std_logic;
SIGNAL \led_flash_cnt[1192][2]~43570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1192][2]~43571\ : std_logic;
SIGNAL \led_flash_cnt[1192][3]~43572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1192][3]~43573\ : std_logic;
SIGNAL \led_flash_cnt[1192][4]~43574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1192][4]~43575\ : std_logic;
SIGNAL \led_flash_cnt[1192][5]~43576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1192][5]~43577\ : std_logic;
SIGNAL \led_flash_cnt[1192][6]~43578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1192][6]~43579\ : std_logic;
SIGNAL \led_flash_cnt[1192][7]~43580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1192][7]~q\ : std_logic;
SIGNAL \WideAnd1192~1_combout\ : std_logic;
SIGNAL \WideAnd1192~0_combout\ : std_logic;
SIGNAL \WideAnd1192~combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][0]~81835_combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1195][1]~43610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1195][1]~43611\ : std_logic;
SIGNAL \led_flash_cnt[1195][2]~43612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1195][2]~43613\ : std_logic;
SIGNAL \led_flash_cnt[1195][3]~43614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1195][3]~43615\ : std_logic;
SIGNAL \led_flash_cnt[1195][4]~43616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1195][4]~43617\ : std_logic;
SIGNAL \led_flash_cnt[1195][5]~43618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1195][5]~43619\ : std_logic;
SIGNAL \led_flash_cnt[1195][6]~43620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1195][6]~43621\ : std_logic;
SIGNAL \led_flash_cnt[1195][7]~43622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1195][7]~q\ : std_logic;
SIGNAL \WideAnd1195~0_combout\ : std_logic;
SIGNAL \WideAnd1195~1_combout\ : std_logic;
SIGNAL \WideAnd1195~combout\ : std_logic;
SIGNAL \WideAnd3989~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][0]~81839_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1199][1]~43666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1199][1]~43667\ : std_logic;
SIGNAL \led_flash_cnt[1199][2]~43668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1199][2]~43669\ : std_logic;
SIGNAL \led_flash_cnt[1199][3]~43670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1199][3]~43671\ : std_logic;
SIGNAL \led_flash_cnt[1199][4]~43672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1199][4]~43673\ : std_logic;
SIGNAL \led_flash_cnt[1199][5]~43674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1199][5]~43675\ : std_logic;
SIGNAL \led_flash_cnt[1199][6]~43676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][6]~q\ : std_logic;
SIGNAL \WideAnd1199~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][6]~43677\ : std_logic;
SIGNAL \led_flash_cnt[1199][7]~43678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1199][7]~q\ : std_logic;
SIGNAL \WideAnd1199~0_combout\ : std_logic;
SIGNAL \WideAnd1199~combout\ : std_logic;
SIGNAL \WideAnd3989~combout\ : std_logic;
SIGNAL \WideAnd4338~1_combout\ : std_logic;
SIGNAL \WideAnd4338~combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][0]~81759_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1119][1]~42546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1119][1]~42547\ : std_logic;
SIGNAL \led_flash_cnt[1119][2]~42548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1119][2]~42549\ : std_logic;
SIGNAL \led_flash_cnt[1119][3]~42550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1119][3]~42551\ : std_logic;
SIGNAL \led_flash_cnt[1119][4]~42552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][4]~q\ : std_logic;
SIGNAL \WideAnd1119~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][4]~42553\ : std_logic;
SIGNAL \led_flash_cnt[1119][5]~42554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1119][5]~42555\ : std_logic;
SIGNAL \led_flash_cnt[1119][6]~42556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][6]~q\ : std_logic;
SIGNAL \WideAnd1119~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][6]~42557\ : std_logic;
SIGNAL \led_flash_cnt[1119][7]~42558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1119][7]~q\ : std_logic;
SIGNAL \WideAnd1119~combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][0]~81758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1118][1]~42532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1118][1]~42533\ : std_logic;
SIGNAL \led_flash_cnt[1118][2]~42534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1118][2]~42535\ : std_logic;
SIGNAL \led_flash_cnt[1118][3]~42536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1118][3]~42537\ : std_logic;
SIGNAL \led_flash_cnt[1118][4]~42538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][4]~q\ : std_logic;
SIGNAL \WideAnd1118~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][4]~42539\ : std_logic;
SIGNAL \led_flash_cnt[1118][5]~42540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1118][5]~42541\ : std_logic;
SIGNAL \led_flash_cnt[1118][6]~42542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][6]~q\ : std_logic;
SIGNAL \WideAnd1118~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][6]~42543\ : std_logic;
SIGNAL \led_flash_cnt[1118][7]~42544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1118][7]~q\ : std_logic;
SIGNAL \WideAnd1118~combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][0]~81755_combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1115][1]~42490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1115][1]~42491\ : std_logic;
SIGNAL \led_flash_cnt[1115][2]~42492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1115][2]~42493\ : std_logic;
SIGNAL \led_flash_cnt[1115][3]~42494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1115][3]~42495\ : std_logic;
SIGNAL \led_flash_cnt[1115][4]~42496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1115][4]~42497\ : std_logic;
SIGNAL \led_flash_cnt[1115][5]~42498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1115][5]~42499\ : std_logic;
SIGNAL \led_flash_cnt[1115][6]~42500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1115][6]~42501\ : std_logic;
SIGNAL \led_flash_cnt[1115][7]~42502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1115][7]~q\ : std_logic;
SIGNAL \WideAnd1115~0_combout\ : std_logic;
SIGNAL \WideAnd1115~1_combout\ : std_logic;
SIGNAL \WideAnd1115~combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][0]~81753_combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1113][1]~42462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1113][1]~42463\ : std_logic;
SIGNAL \led_flash_cnt[1113][2]~42464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1113][2]~42465\ : std_logic;
SIGNAL \led_flash_cnt[1113][3]~42466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1113][3]~42467\ : std_logic;
SIGNAL \led_flash_cnt[1113][4]~42468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1113][4]~42469\ : std_logic;
SIGNAL \led_flash_cnt[1113][5]~42470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1113][5]~42471\ : std_logic;
SIGNAL \led_flash_cnt[1113][6]~42472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1113][6]~42473\ : std_logic;
SIGNAL \led_flash_cnt[1113][7]~42474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1113][7]~q\ : std_logic;
SIGNAL \WideAnd1113~1_combout\ : std_logic;
SIGNAL \WideAnd1113~0_combout\ : std_logic;
SIGNAL \WideAnd1113~combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][0]~81752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1112][1]~42448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1112][1]~42449\ : std_logic;
SIGNAL \led_flash_cnt[1112][2]~42450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1112][2]~42451\ : std_logic;
SIGNAL \led_flash_cnt[1112][3]~42452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1112][3]~42453\ : std_logic;
SIGNAL \led_flash_cnt[1112][4]~42454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1112][4]~42455\ : std_logic;
SIGNAL \led_flash_cnt[1112][5]~42456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1112][5]~42457\ : std_logic;
SIGNAL \led_flash_cnt[1112][6]~42458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][6]~q\ : std_logic;
SIGNAL \WideAnd1112~1_combout\ : std_logic;
SIGNAL \WideAnd1112~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][6]~42459\ : std_logic;
SIGNAL \led_flash_cnt[1112][7]~42460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1112][7]~q\ : std_logic;
SIGNAL \WideAnd1112~combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][0]~81754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1114][1]~42476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1114][1]~42477\ : std_logic;
SIGNAL \led_flash_cnt[1114][2]~42478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1114][2]~42479\ : std_logic;
SIGNAL \led_flash_cnt[1114][3]~42480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1114][3]~42481\ : std_logic;
SIGNAL \led_flash_cnt[1114][4]~42482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1114][4]~42483\ : std_logic;
SIGNAL \led_flash_cnt[1114][5]~42484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1114][5]~42485\ : std_logic;
SIGNAL \led_flash_cnt[1114][6]~42486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1114][6]~42487\ : std_logic;
SIGNAL \led_flash_cnt[1114][7]~42488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1114][7]~q\ : std_logic;
SIGNAL \WideAnd1114~0_combout\ : std_logic;
SIGNAL \WideAnd1114~1_combout\ : std_logic;
SIGNAL \WideAnd1114~combout\ : std_logic;
SIGNAL \WideAnd3979~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][0]~81756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1116][1]~42504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1116][1]~42505\ : std_logic;
SIGNAL \led_flash_cnt[1116][2]~42506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1116][2]~42507\ : std_logic;
SIGNAL \led_flash_cnt[1116][3]~42508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1116][3]~42509\ : std_logic;
SIGNAL \led_flash_cnt[1116][4]~42510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1116][4]~42511\ : std_logic;
SIGNAL \led_flash_cnt[1116][5]~42512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1116][5]~42513\ : std_logic;
SIGNAL \led_flash_cnt[1116][6]~42514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1116][6]~42515\ : std_logic;
SIGNAL \led_flash_cnt[1116][7]~42516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1116][7]~q\ : std_logic;
SIGNAL \WideAnd1116~0_combout\ : std_logic;
SIGNAL \WideAnd1116~1_combout\ : std_logic;
SIGNAL \WideAnd1116~combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][0]~81757_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1117][1]~42518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1117][1]~42519\ : std_logic;
SIGNAL \led_flash_cnt[1117][2]~42520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1117][2]~42521\ : std_logic;
SIGNAL \led_flash_cnt[1117][3]~42522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1117][3]~42523\ : std_logic;
SIGNAL \led_flash_cnt[1117][4]~42524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][4]~q\ : std_logic;
SIGNAL \WideAnd1117~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][4]~42525\ : std_logic;
SIGNAL \led_flash_cnt[1117][5]~42526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1117][5]~42527\ : std_logic;
SIGNAL \led_flash_cnt[1117][6]~42528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1117][6]~42529\ : std_logic;
SIGNAL \led_flash_cnt[1117][7]~42530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1117][7]~q\ : std_logic;
SIGNAL \WideAnd1117~1_combout\ : std_logic;
SIGNAL \WideAnd1117~combout\ : std_logic;
SIGNAL \WideAnd3979~1_combout\ : std_logic;
SIGNAL \WideAnd3979~combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][0]~81741_combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1101][1]~42294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1101][1]~42295\ : std_logic;
SIGNAL \led_flash_cnt[1101][2]~42296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1101][2]~42297\ : std_logic;
SIGNAL \led_flash_cnt[1101][3]~42298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1101][3]~42299\ : std_logic;
SIGNAL \led_flash_cnt[1101][4]~42300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1101][4]~42301\ : std_logic;
SIGNAL \led_flash_cnt[1101][5]~42302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1101][5]~42303\ : std_logic;
SIGNAL \led_flash_cnt[1101][6]~42304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1101][6]~42305\ : std_logic;
SIGNAL \led_flash_cnt[1101][7]~42306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1101][7]~q\ : std_logic;
SIGNAL \WideAnd1101~0_combout\ : std_logic;
SIGNAL \WideAnd1101~1_combout\ : std_logic;
SIGNAL \WideAnd1101~combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][0]~81740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1100][1]~42280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1100][1]~42281\ : std_logic;
SIGNAL \led_flash_cnt[1100][2]~42282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1100][2]~42283\ : std_logic;
SIGNAL \led_flash_cnt[1100][3]~42284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1100][3]~42285\ : std_logic;
SIGNAL \led_flash_cnt[1100][4]~42286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][4]~q\ : std_logic;
SIGNAL \WideAnd1100~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][4]~42287\ : std_logic;
SIGNAL \led_flash_cnt[1100][5]~42288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1100][5]~42289\ : std_logic;
SIGNAL \led_flash_cnt[1100][6]~42290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][6]~q\ : std_logic;
SIGNAL \WideAnd1100~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][6]~42291\ : std_logic;
SIGNAL \led_flash_cnt[1100][7]~42292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1100][7]~q\ : std_logic;
SIGNAL \WideAnd1100~combout\ : std_logic;
SIGNAL \WideAnd3977~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][0]~81738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1098][1]~42252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1098][1]~42253\ : std_logic;
SIGNAL \led_flash_cnt[1098][2]~42254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1098][2]~42255\ : std_logic;
SIGNAL \led_flash_cnt[1098][3]~42256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1098][3]~42257\ : std_logic;
SIGNAL \led_flash_cnt[1098][4]~42258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1098][4]~42259\ : std_logic;
SIGNAL \led_flash_cnt[1098][5]~42260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1098][5]~42261\ : std_logic;
SIGNAL \led_flash_cnt[1098][6]~42262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1098][6]~42263\ : std_logic;
SIGNAL \led_flash_cnt[1098][7]~42264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1098][7]~q\ : std_logic;
SIGNAL \WideAnd1098~0_combout\ : std_logic;
SIGNAL \WideAnd1098~1_combout\ : std_logic;
SIGNAL \WideAnd1098~combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][0]~81739_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1099][1]~42266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1099][1]~42267\ : std_logic;
SIGNAL \led_flash_cnt[1099][2]~42268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1099][2]~42269\ : std_logic;
SIGNAL \led_flash_cnt[1099][3]~42270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1099][3]~42271\ : std_logic;
SIGNAL \led_flash_cnt[1099][4]~42272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1099][4]~42273\ : std_logic;
SIGNAL \led_flash_cnt[1099][5]~42274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1099][5]~42275\ : std_logic;
SIGNAL \led_flash_cnt[1099][6]~42276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][6]~q\ : std_logic;
SIGNAL \WideAnd1099~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][6]~42277\ : std_logic;
SIGNAL \led_flash_cnt[1099][7]~42278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1099][7]~q\ : std_logic;
SIGNAL \WideAnd1099~1_combout\ : std_logic;
SIGNAL \WideAnd1099~combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][0]~81736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1096][1]~42224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1096][1]~42225\ : std_logic;
SIGNAL \led_flash_cnt[1096][2]~42226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1096][2]~42227\ : std_logic;
SIGNAL \led_flash_cnt[1096][3]~42228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1096][3]~42229\ : std_logic;
SIGNAL \led_flash_cnt[1096][4]~42230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][4]~q\ : std_logic;
SIGNAL \WideAnd1096~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][4]~42231\ : std_logic;
SIGNAL \led_flash_cnt[1096][5]~42232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1096][5]~42233\ : std_logic;
SIGNAL \led_flash_cnt[1096][6]~42234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1096][6]~42235\ : std_logic;
SIGNAL \led_flash_cnt[1096][7]~42236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1096][7]~q\ : std_logic;
SIGNAL \WideAnd1096~1_combout\ : std_logic;
SIGNAL \WideAnd1096~combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][0]~81737_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1097][1]~42238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1097][1]~42239\ : std_logic;
SIGNAL \led_flash_cnt[1097][2]~42240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1097][2]~42241\ : std_logic;
SIGNAL \led_flash_cnt[1097][3]~42242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1097][3]~42243\ : std_logic;
SIGNAL \led_flash_cnt[1097][4]~42244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1097][4]~42245\ : std_logic;
SIGNAL \led_flash_cnt[1097][5]~42246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1097][5]~42247\ : std_logic;
SIGNAL \led_flash_cnt[1097][6]~42248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][6]~q\ : std_logic;
SIGNAL \WideAnd1097~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][6]~42249\ : std_logic;
SIGNAL \led_flash_cnt[1097][7]~42250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1097][7]~q\ : std_logic;
SIGNAL \WideAnd1097~0_combout\ : std_logic;
SIGNAL \WideAnd1097~combout\ : std_logic;
SIGNAL \WideAnd3977~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][0]~81742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1102][1]~42308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1102][1]~42309\ : std_logic;
SIGNAL \led_flash_cnt[1102][2]~42310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1102][2]~42311\ : std_logic;
SIGNAL \led_flash_cnt[1102][3]~42312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1102][3]~42313\ : std_logic;
SIGNAL \led_flash_cnt[1102][4]~42314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][4]~q\ : std_logic;
SIGNAL \WideAnd1102~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][4]~42315\ : std_logic;
SIGNAL \led_flash_cnt[1102][5]~42316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1102][5]~42317\ : std_logic;
SIGNAL \led_flash_cnt[1102][6]~42318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1102][6]~42319\ : std_logic;
SIGNAL \led_flash_cnt[1102][7]~42320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1102][7]~q\ : std_logic;
SIGNAL \WideAnd1102~1_combout\ : std_logic;
SIGNAL \WideAnd1102~combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][0]~81743_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1103][1]~42322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1103][1]~42323\ : std_logic;
SIGNAL \led_flash_cnt[1103][2]~42324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1103][2]~42325\ : std_logic;
SIGNAL \led_flash_cnt[1103][3]~42326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1103][3]~42327\ : std_logic;
SIGNAL \led_flash_cnt[1103][4]~42328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][4]~q\ : std_logic;
SIGNAL \WideAnd1103~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][4]~42329\ : std_logic;
SIGNAL \led_flash_cnt[1103][5]~42330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1103][5]~42331\ : std_logic;
SIGNAL \led_flash_cnt[1103][6]~42332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1103][6]~42333\ : std_logic;
SIGNAL \led_flash_cnt[1103][7]~42334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1103][7]~q\ : std_logic;
SIGNAL \WideAnd1103~1_combout\ : std_logic;
SIGNAL \WideAnd1103~combout\ : std_logic;
SIGNAL \WideAnd3977~combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][0]~81750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1110][1]~42420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1110][1]~42421\ : std_logic;
SIGNAL \led_flash_cnt[1110][2]~42422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1110][2]~42423\ : std_logic;
SIGNAL \led_flash_cnt[1110][3]~42424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1110][3]~42425\ : std_logic;
SIGNAL \led_flash_cnt[1110][4]~42426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1110][4]~42427\ : std_logic;
SIGNAL \led_flash_cnt[1110][5]~42428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1110][5]~42429\ : std_logic;
SIGNAL \led_flash_cnt[1110][6]~42430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][6]~q\ : std_logic;
SIGNAL \WideAnd1110~1_combout\ : std_logic;
SIGNAL \WideAnd1110~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][6]~42431\ : std_logic;
SIGNAL \led_flash_cnt[1110][7]~42432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1110][7]~q\ : std_logic;
SIGNAL \WideAnd1110~combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][0]~81751_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1111][1]~42434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1111][1]~42435\ : std_logic;
SIGNAL \led_flash_cnt[1111][2]~42436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1111][2]~42437\ : std_logic;
SIGNAL \led_flash_cnt[1111][3]~42438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1111][3]~42439\ : std_logic;
SIGNAL \led_flash_cnt[1111][4]~42440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][4]~q\ : std_logic;
SIGNAL \WideAnd1111~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][4]~42441\ : std_logic;
SIGNAL \led_flash_cnt[1111][5]~42442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1111][5]~42443\ : std_logic;
SIGNAL \led_flash_cnt[1111][6]~42444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1111][6]~42445\ : std_logic;
SIGNAL \led_flash_cnt[1111][7]~42446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1111][7]~q\ : std_logic;
SIGNAL \WideAnd1111~1_combout\ : std_logic;
SIGNAL \WideAnd1111~combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][0]~81748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1108][1]~42392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1108][1]~42393\ : std_logic;
SIGNAL \led_flash_cnt[1108][2]~42394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1108][2]~42395\ : std_logic;
SIGNAL \led_flash_cnt[1108][3]~42396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1108][3]~42397\ : std_logic;
SIGNAL \led_flash_cnt[1108][4]~42398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1108][4]~42399\ : std_logic;
SIGNAL \led_flash_cnt[1108][5]~42400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1108][5]~42401\ : std_logic;
SIGNAL \led_flash_cnt[1108][6]~42402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][6]~q\ : std_logic;
SIGNAL \WideAnd1108~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][6]~42403\ : std_logic;
SIGNAL \led_flash_cnt[1108][7]~42404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1108][7]~q\ : std_logic;
SIGNAL \WideAnd1108~0_combout\ : std_logic;
SIGNAL \WideAnd1108~combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][0]~81749_combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1109][1]~42406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1109][1]~42407\ : std_logic;
SIGNAL \led_flash_cnt[1109][2]~42408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1109][2]~42409\ : std_logic;
SIGNAL \led_flash_cnt[1109][3]~42410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1109][3]~42411\ : std_logic;
SIGNAL \led_flash_cnt[1109][4]~42412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1109][4]~42413\ : std_logic;
SIGNAL \led_flash_cnt[1109][5]~42414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1109][5]~42415\ : std_logic;
SIGNAL \led_flash_cnt[1109][6]~42416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1109][6]~42417\ : std_logic;
SIGNAL \led_flash_cnt[1109][7]~42418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1109][7]~q\ : std_logic;
SIGNAL \WideAnd1109~1_combout\ : std_logic;
SIGNAL \WideAnd1109~0_combout\ : std_logic;
SIGNAL \WideAnd1109~combout\ : std_logic;
SIGNAL \WideAnd3978~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][0]~81745_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1105][1]~42350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1105][1]~42351\ : std_logic;
SIGNAL \led_flash_cnt[1105][2]~42352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1105][2]~42353\ : std_logic;
SIGNAL \led_flash_cnt[1105][3]~42354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1105][3]~42355\ : std_logic;
SIGNAL \led_flash_cnt[1105][4]~42356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1105][4]~42357\ : std_logic;
SIGNAL \led_flash_cnt[1105][5]~42358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1105][5]~42359\ : std_logic;
SIGNAL \led_flash_cnt[1105][6]~42360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][6]~q\ : std_logic;
SIGNAL \WideAnd1105~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][6]~42361\ : std_logic;
SIGNAL \led_flash_cnt[1105][7]~42362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1105][7]~q\ : std_logic;
SIGNAL \WideAnd1105~0_combout\ : std_logic;
SIGNAL \WideAnd1105~combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][0]~81746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1106][1]~42364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1106][1]~42365\ : std_logic;
SIGNAL \led_flash_cnt[1106][2]~42366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1106][2]~42367\ : std_logic;
SIGNAL \led_flash_cnt[1106][3]~42368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1106][3]~42369\ : std_logic;
SIGNAL \led_flash_cnt[1106][4]~42370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][4]~q\ : std_logic;
SIGNAL \WideAnd1106~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][4]~42371\ : std_logic;
SIGNAL \led_flash_cnt[1106][5]~42372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1106][5]~42373\ : std_logic;
SIGNAL \led_flash_cnt[1106][6]~42374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][6]~q\ : std_logic;
SIGNAL \WideAnd1106~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][6]~42375\ : std_logic;
SIGNAL \led_flash_cnt[1106][7]~42376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1106][7]~q\ : std_logic;
SIGNAL \WideAnd1106~combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][0]~81744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1104][1]~42336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1104][1]~42337\ : std_logic;
SIGNAL \led_flash_cnt[1104][2]~42338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1104][2]~42339\ : std_logic;
SIGNAL \led_flash_cnt[1104][3]~42340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1104][3]~42341\ : std_logic;
SIGNAL \led_flash_cnt[1104][4]~42342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][4]~q\ : std_logic;
SIGNAL \WideAnd1104~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][4]~42343\ : std_logic;
SIGNAL \led_flash_cnt[1104][5]~42344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1104][5]~42345\ : std_logic;
SIGNAL \led_flash_cnt[1104][6]~42346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][6]~q\ : std_logic;
SIGNAL \WideAnd1104~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][6]~42347\ : std_logic;
SIGNAL \led_flash_cnt[1104][7]~42348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1104][7]~q\ : std_logic;
SIGNAL \WideAnd1104~combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][0]~81747_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1107][1]~42378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1107][1]~42379\ : std_logic;
SIGNAL \led_flash_cnt[1107][2]~42380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1107][2]~42381\ : std_logic;
SIGNAL \led_flash_cnt[1107][3]~42382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1107][3]~42383\ : std_logic;
SIGNAL \led_flash_cnt[1107][4]~42384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1107][4]~42385\ : std_logic;
SIGNAL \led_flash_cnt[1107][5]~42386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1107][5]~42387\ : std_logic;
SIGNAL \led_flash_cnt[1107][6]~42388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][6]~q\ : std_logic;
SIGNAL \WideAnd1107~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][6]~42389\ : std_logic;
SIGNAL \led_flash_cnt[1107][7]~42390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1107][7]~q\ : std_logic;
SIGNAL \WideAnd1107~0_combout\ : std_logic;
SIGNAL \WideAnd1107~combout\ : std_logic;
SIGNAL \WideAnd3978~0_combout\ : std_logic;
SIGNAL \WideAnd3978~combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][0]~81731_combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1091][1]~42154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1091][1]~42155\ : std_logic;
SIGNAL \led_flash_cnt[1091][2]~42156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1091][2]~42157\ : std_logic;
SIGNAL \led_flash_cnt[1091][3]~42158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1091][3]~42159\ : std_logic;
SIGNAL \led_flash_cnt[1091][4]~42160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1091][4]~42161\ : std_logic;
SIGNAL \led_flash_cnt[1091][5]~42162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1091][5]~42163\ : std_logic;
SIGNAL \led_flash_cnt[1091][6]~42164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1091][6]~42165\ : std_logic;
SIGNAL \led_flash_cnt[1091][7]~42166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1091][7]~q\ : std_logic;
SIGNAL \WideAnd1091~0_combout\ : std_logic;
SIGNAL \WideAnd1091~1_combout\ : std_logic;
SIGNAL \WideAnd1091~combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][0]~81729_combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1089][1]~42126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1089][1]~42127\ : std_logic;
SIGNAL \led_flash_cnt[1089][2]~42128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1089][2]~42129\ : std_logic;
SIGNAL \led_flash_cnt[1089][3]~42130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1089][3]~42131\ : std_logic;
SIGNAL \led_flash_cnt[1089][4]~42132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1089][4]~42133\ : std_logic;
SIGNAL \led_flash_cnt[1089][5]~42134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1089][5]~42135\ : std_logic;
SIGNAL \led_flash_cnt[1089][6]~42136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1089][6]~42137\ : std_logic;
SIGNAL \led_flash_cnt[1089][7]~42138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1089][7]~q\ : std_logic;
SIGNAL \WideAnd1089~1_combout\ : std_logic;
SIGNAL \WideAnd1089~0_combout\ : std_logic;
SIGNAL \WideAnd1089~combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][0]~81728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1088][1]~42112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1088][1]~42113\ : std_logic;
SIGNAL \led_flash_cnt[1088][2]~42114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1088][2]~42115\ : std_logic;
SIGNAL \led_flash_cnt[1088][3]~42116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1088][3]~42117\ : std_logic;
SIGNAL \led_flash_cnt[1088][4]~42118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1088][4]~42119\ : std_logic;
SIGNAL \led_flash_cnt[1088][5]~42120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1088][5]~42121\ : std_logic;
SIGNAL \led_flash_cnt[1088][6]~42122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][6]~q\ : std_logic;
SIGNAL \WideAnd1088~1_combout\ : std_logic;
SIGNAL \WideAnd1088~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][6]~42123\ : std_logic;
SIGNAL \led_flash_cnt[1088][7]~42124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1088][7]~q\ : std_logic;
SIGNAL \WideAnd1088~combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][0]~81730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1090][1]~42140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1090][1]~42141\ : std_logic;
SIGNAL \led_flash_cnt[1090][2]~42142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1090][2]~42143\ : std_logic;
SIGNAL \led_flash_cnt[1090][3]~42144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1090][3]~42145\ : std_logic;
SIGNAL \led_flash_cnt[1090][4]~42146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1090][4]~42147\ : std_logic;
SIGNAL \led_flash_cnt[1090][5]~42148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1090][5]~42149\ : std_logic;
SIGNAL \led_flash_cnt[1090][6]~42150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1090][6]~42151\ : std_logic;
SIGNAL \led_flash_cnt[1090][7]~42152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1090][7]~q\ : std_logic;
SIGNAL \WideAnd1090~1_combout\ : std_logic;
SIGNAL \WideAnd1090~0_combout\ : std_logic;
SIGNAL \WideAnd1090~combout\ : std_logic;
SIGNAL \WideAnd3976~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][0]~81734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1094][1]~42196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1094][1]~42197\ : std_logic;
SIGNAL \led_flash_cnt[1094][2]~42198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1094][2]~42199\ : std_logic;
SIGNAL \led_flash_cnt[1094][3]~42200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1094][3]~42201\ : std_logic;
SIGNAL \led_flash_cnt[1094][4]~42202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1094][4]~42203\ : std_logic;
SIGNAL \led_flash_cnt[1094][5]~42204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1094][5]~42205\ : std_logic;
SIGNAL \led_flash_cnt[1094][6]~42206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][6]~q\ : std_logic;
SIGNAL \WideAnd1094~1_combout\ : std_logic;
SIGNAL \WideAnd1094~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][6]~42207\ : std_logic;
SIGNAL \led_flash_cnt[1094][7]~42208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1094][7]~q\ : std_logic;
SIGNAL \WideAnd1094~combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][0]~81735_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1095][1]~42210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1095][1]~42211\ : std_logic;
SIGNAL \led_flash_cnt[1095][2]~42212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1095][2]~42213\ : std_logic;
SIGNAL \led_flash_cnt[1095][3]~42214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1095][3]~42215\ : std_logic;
SIGNAL \led_flash_cnt[1095][4]~42216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][4]~q\ : std_logic;
SIGNAL \WideAnd1095~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][4]~42217\ : std_logic;
SIGNAL \led_flash_cnt[1095][5]~42218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1095][5]~42219\ : std_logic;
SIGNAL \led_flash_cnt[1095][6]~42220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][6]~q\ : std_logic;
SIGNAL \WideAnd1095~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][6]~42221\ : std_logic;
SIGNAL \led_flash_cnt[1095][7]~42222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1095][7]~q\ : std_logic;
SIGNAL \WideAnd1095~combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][0]~81733_combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1093][1]~42182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1093][1]~42183\ : std_logic;
SIGNAL \led_flash_cnt[1093][2]~42184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1093][2]~42185\ : std_logic;
SIGNAL \led_flash_cnt[1093][3]~42186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1093][3]~42187\ : std_logic;
SIGNAL \led_flash_cnt[1093][4]~42188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1093][4]~42189\ : std_logic;
SIGNAL \led_flash_cnt[1093][5]~42190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1093][5]~42191\ : std_logic;
SIGNAL \led_flash_cnt[1093][6]~42192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1093][6]~42193\ : std_logic;
SIGNAL \led_flash_cnt[1093][7]~42194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1093][7]~q\ : std_logic;
SIGNAL \WideAnd1093~0_combout\ : std_logic;
SIGNAL \WideAnd1093~1_combout\ : std_logic;
SIGNAL \WideAnd1093~combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][0]~81732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1092][1]~42168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1092][1]~42169\ : std_logic;
SIGNAL \led_flash_cnt[1092][2]~42170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1092][2]~42171\ : std_logic;
SIGNAL \led_flash_cnt[1092][3]~42172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1092][3]~42173\ : std_logic;
SIGNAL \led_flash_cnt[1092][4]~42174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][4]~q\ : std_logic;
SIGNAL \WideAnd1092~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][4]~42175\ : std_logic;
SIGNAL \led_flash_cnt[1092][5]~42176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1092][5]~42177\ : std_logic;
SIGNAL \led_flash_cnt[1092][6]~42178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1092][6]~42179\ : std_logic;
SIGNAL \led_flash_cnt[1092][7]~42180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1092][7]~q\ : std_logic;
SIGNAL \WideAnd1092~1_combout\ : std_logic;
SIGNAL \WideAnd1092~combout\ : std_logic;
SIGNAL \WideAnd3976~1_combout\ : std_logic;
SIGNAL \WideAnd3976~combout\ : std_logic;
SIGNAL \WideAnd4337~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][0]~81783_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1143][1]~42882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1143][1]~42883\ : std_logic;
SIGNAL \led_flash_cnt[1143][2]~42884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1143][2]~42885\ : std_logic;
SIGNAL \led_flash_cnt[1143][3]~42886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1143][3]~42887\ : std_logic;
SIGNAL \led_flash_cnt[1143][4]~42888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1143][4]~42889\ : std_logic;
SIGNAL \led_flash_cnt[1143][5]~42890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1143][5]~42891\ : std_logic;
SIGNAL \led_flash_cnt[1143][6]~42892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][6]~q\ : std_logic;
SIGNAL \WideAnd1143~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][6]~42893\ : std_logic;
SIGNAL \led_flash_cnt[1143][7]~42894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1143][7]~q\ : std_logic;
SIGNAL \WideAnd1143~1_combout\ : std_logic;
SIGNAL \WideAnd1143~combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][0]~81781_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1141][1]~42854_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1141][1]~42855\ : std_logic;
SIGNAL \led_flash_cnt[1141][2]~42856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1141][2]~42857\ : std_logic;
SIGNAL \led_flash_cnt[1141][3]~42858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1141][3]~42859\ : std_logic;
SIGNAL \led_flash_cnt[1141][4]~42860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][4]~q\ : std_logic;
SIGNAL \WideAnd1141~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][4]~42861\ : std_logic;
SIGNAL \led_flash_cnt[1141][5]~42862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1141][5]~42863\ : std_logic;
SIGNAL \led_flash_cnt[1141][6]~42864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][6]~q\ : std_logic;
SIGNAL \WideAnd1141~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][6]~42865\ : std_logic;
SIGNAL \led_flash_cnt[1141][7]~42866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1141][7]~q\ : std_logic;
SIGNAL \WideAnd1141~combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][0]~81780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1140][1]~42840_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1140][1]~42841\ : std_logic;
SIGNAL \led_flash_cnt[1140][2]~42842_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1140][2]~42843\ : std_logic;
SIGNAL \led_flash_cnt[1140][3]~42844_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1140][3]~42845\ : std_logic;
SIGNAL \led_flash_cnt[1140][4]~42846_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1140][4]~42847\ : std_logic;
SIGNAL \led_flash_cnt[1140][5]~42848_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1140][5]~42849\ : std_logic;
SIGNAL \led_flash_cnt[1140][6]~42850_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][6]~q\ : std_logic;
SIGNAL \WideAnd1140~1_combout\ : std_logic;
SIGNAL \WideAnd1140~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][6]~42851\ : std_logic;
SIGNAL \led_flash_cnt[1140][7]~42852_combout\ : std_logic;
SIGNAL \led_flash_cnt[1140][7]~q\ : std_logic;
SIGNAL \WideAnd1140~combout\ : std_logic;
SIGNAL \WideAnd3982~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][0]~81776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1136][1]~42784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1136][1]~42785\ : std_logic;
SIGNAL \led_flash_cnt[1136][2]~42786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1136][2]~42787\ : std_logic;
SIGNAL \led_flash_cnt[1136][3]~42788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1136][3]~42789\ : std_logic;
SIGNAL \led_flash_cnt[1136][4]~42790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1136][4]~42791\ : std_logic;
SIGNAL \led_flash_cnt[1136][5]~42792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1136][5]~42793\ : std_logic;
SIGNAL \led_flash_cnt[1136][6]~42794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][6]~q\ : std_logic;
SIGNAL \WideAnd1136~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][6]~42795\ : std_logic;
SIGNAL \led_flash_cnt[1136][7]~42796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1136][7]~q\ : std_logic;
SIGNAL \WideAnd1136~0_combout\ : std_logic;
SIGNAL \WideAnd1136~combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][0]~81779_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1139][1]~42826_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1139][1]~42827\ : std_logic;
SIGNAL \led_flash_cnt[1139][2]~42828_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1139][2]~42829\ : std_logic;
SIGNAL \led_flash_cnt[1139][3]~42830_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1139][3]~42831\ : std_logic;
SIGNAL \led_flash_cnt[1139][4]~42832_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][4]~q\ : std_logic;
SIGNAL \WideAnd1139~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][4]~42833\ : std_logic;
SIGNAL \led_flash_cnt[1139][5]~42834_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1139][5]~42835\ : std_logic;
SIGNAL \led_flash_cnt[1139][6]~42836_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1139][6]~42837\ : std_logic;
SIGNAL \led_flash_cnt[1139][7]~42838_combout\ : std_logic;
SIGNAL \led_flash_cnt[1139][7]~q\ : std_logic;
SIGNAL \WideAnd1139~1_combout\ : std_logic;
SIGNAL \WideAnd1139~combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][0]~81777_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1137][1]~42798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1137][1]~42799\ : std_logic;
SIGNAL \led_flash_cnt[1137][2]~42800_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1137][2]~42801\ : std_logic;
SIGNAL \led_flash_cnt[1137][3]~42802_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1137][3]~42803\ : std_logic;
SIGNAL \led_flash_cnt[1137][4]~42804_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][4]~q\ : std_logic;
SIGNAL \WideAnd1137~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][4]~42805\ : std_logic;
SIGNAL \led_flash_cnt[1137][5]~42806_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1137][5]~42807\ : std_logic;
SIGNAL \led_flash_cnt[1137][6]~42808_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1137][6]~42809\ : std_logic;
SIGNAL \led_flash_cnt[1137][7]~42810_combout\ : std_logic;
SIGNAL \led_flash_cnt[1137][7]~q\ : std_logic;
SIGNAL \WideAnd1137~1_combout\ : std_logic;
SIGNAL \WideAnd1137~combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][0]~81778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1138][1]~42812_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1138][1]~42813\ : std_logic;
SIGNAL \led_flash_cnt[1138][2]~42814_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1138][2]~42815\ : std_logic;
SIGNAL \led_flash_cnt[1138][3]~42816_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1138][3]~42817\ : std_logic;
SIGNAL \led_flash_cnt[1138][4]~42818_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1138][4]~42819\ : std_logic;
SIGNAL \led_flash_cnt[1138][5]~42820_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1138][5]~42821\ : std_logic;
SIGNAL \led_flash_cnt[1138][6]~42822_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][6]~q\ : std_logic;
SIGNAL \WideAnd1138~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][6]~42823\ : std_logic;
SIGNAL \led_flash_cnt[1138][7]~42824_combout\ : std_logic;
SIGNAL \led_flash_cnt[1138][7]~q\ : std_logic;
SIGNAL \WideAnd1138~0_combout\ : std_logic;
SIGNAL \WideAnd1138~combout\ : std_logic;
SIGNAL \WideAnd3982~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][0]~81782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1142][1]~42868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1142][1]~42869\ : std_logic;
SIGNAL \led_flash_cnt[1142][2]~42870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1142][2]~42871\ : std_logic;
SIGNAL \led_flash_cnt[1142][3]~42872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1142][3]~42873\ : std_logic;
SIGNAL \led_flash_cnt[1142][4]~42874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1142][4]~42875\ : std_logic;
SIGNAL \led_flash_cnt[1142][5]~42876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1142][5]~42877\ : std_logic;
SIGNAL \led_flash_cnt[1142][6]~42878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][6]~q\ : std_logic;
SIGNAL \WideAnd1142~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][6]~42879\ : std_logic;
SIGNAL \led_flash_cnt[1142][7]~42880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1142][7]~q\ : std_logic;
SIGNAL \WideAnd1142~0_combout\ : std_logic;
SIGNAL \WideAnd1142~combout\ : std_logic;
SIGNAL \WideAnd3982~combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][0]~81764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1124][1]~42616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1124][1]~42617\ : std_logic;
SIGNAL \led_flash_cnt[1124][2]~42618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1124][2]~42619\ : std_logic;
SIGNAL \led_flash_cnt[1124][3]~42620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1124][3]~42621\ : std_logic;
SIGNAL \led_flash_cnt[1124][4]~42622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1124][4]~42623\ : std_logic;
SIGNAL \led_flash_cnt[1124][5]~42624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1124][5]~42625\ : std_logic;
SIGNAL \led_flash_cnt[1124][6]~42626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1124][6]~42627\ : std_logic;
SIGNAL \led_flash_cnt[1124][7]~42628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1124][7]~q\ : std_logic;
SIGNAL \WideAnd1124~1_combout\ : std_logic;
SIGNAL \WideAnd1124~0_combout\ : std_logic;
SIGNAL \WideAnd1124~combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][0]~81765_combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1125][1]~42630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1125][1]~42631\ : std_logic;
SIGNAL \led_flash_cnt[1125][2]~42632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1125][2]~42633\ : std_logic;
SIGNAL \led_flash_cnt[1125][3]~42634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1125][3]~42635\ : std_logic;
SIGNAL \led_flash_cnt[1125][4]~42636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1125][4]~42637\ : std_logic;
SIGNAL \led_flash_cnt[1125][5]~42638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1125][5]~42639\ : std_logic;
SIGNAL \led_flash_cnt[1125][6]~42640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1125][6]~42641\ : std_logic;
SIGNAL \led_flash_cnt[1125][7]~42642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1125][7]~q\ : std_logic;
SIGNAL \WideAnd1125~0_combout\ : std_logic;
SIGNAL \WideAnd1125~1_combout\ : std_logic;
SIGNAL \WideAnd1125~combout\ : std_logic;
SIGNAL \WideAnd3980~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][0]~81766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1126][1]~42644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1126][1]~42645\ : std_logic;
SIGNAL \led_flash_cnt[1126][2]~42646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1126][2]~42647\ : std_logic;
SIGNAL \led_flash_cnt[1126][3]~42648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1126][3]~42649\ : std_logic;
SIGNAL \led_flash_cnt[1126][4]~42650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1126][4]~42651\ : std_logic;
SIGNAL \led_flash_cnt[1126][5]~42652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1126][5]~42653\ : std_logic;
SIGNAL \led_flash_cnt[1126][6]~42654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][6]~q\ : std_logic;
SIGNAL \WideAnd1126~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][6]~42655\ : std_logic;
SIGNAL \led_flash_cnt[1126][7]~42656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1126][7]~q\ : std_logic;
SIGNAL \WideAnd1126~0_combout\ : std_logic;
SIGNAL \WideAnd1126~combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][0]~81767_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1127][1]~42658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1127][1]~42659\ : std_logic;
SIGNAL \led_flash_cnt[1127][2]~42660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1127][2]~42661\ : std_logic;
SIGNAL \led_flash_cnt[1127][3]~42662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1127][3]~42663\ : std_logic;
SIGNAL \led_flash_cnt[1127][4]~42664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1127][4]~42665\ : std_logic;
SIGNAL \led_flash_cnt[1127][5]~42666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1127][5]~42667\ : std_logic;
SIGNAL \led_flash_cnt[1127][6]~42668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][6]~q\ : std_logic;
SIGNAL \WideAnd1127~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][6]~42669\ : std_logic;
SIGNAL \led_flash_cnt[1127][7]~42670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1127][7]~q\ : std_logic;
SIGNAL \WideAnd1127~0_combout\ : std_logic;
SIGNAL \WideAnd1127~combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][0]~81762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1122][1]~42588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1122][1]~42589\ : std_logic;
SIGNAL \led_flash_cnt[1122][2]~42590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1122][2]~42591\ : std_logic;
SIGNAL \led_flash_cnt[1122][3]~42592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1122][3]~42593\ : std_logic;
SIGNAL \led_flash_cnt[1122][4]~42594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1122][4]~42595\ : std_logic;
SIGNAL \led_flash_cnt[1122][5]~42596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1122][5]~42597\ : std_logic;
SIGNAL \led_flash_cnt[1122][6]~42598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][6]~q\ : std_logic;
SIGNAL \WideAnd1122~1_combout\ : std_logic;
SIGNAL \WideAnd1122~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][6]~42599\ : std_logic;
SIGNAL \led_flash_cnt[1122][7]~42600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1122][7]~q\ : std_logic;
SIGNAL \WideAnd1122~combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][0]~81763_combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1123][1]~42602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1123][1]~42603\ : std_logic;
SIGNAL \led_flash_cnt[1123][2]~42604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1123][2]~42605\ : std_logic;
SIGNAL \led_flash_cnt[1123][3]~42606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1123][3]~42607\ : std_logic;
SIGNAL \led_flash_cnt[1123][4]~42608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1123][4]~42609\ : std_logic;
SIGNAL \led_flash_cnt[1123][5]~42610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1123][5]~42611\ : std_logic;
SIGNAL \led_flash_cnt[1123][6]~42612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1123][6]~42613\ : std_logic;
SIGNAL \led_flash_cnt[1123][7]~42614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1123][7]~q\ : std_logic;
SIGNAL \WideAnd1123~0_combout\ : std_logic;
SIGNAL \WideAnd1123~1_combout\ : std_logic;
SIGNAL \WideAnd1123~combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][0]~81761_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1121][1]~42574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1121][1]~42575\ : std_logic;
SIGNAL \led_flash_cnt[1121][2]~42576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1121][2]~42577\ : std_logic;
SIGNAL \led_flash_cnt[1121][3]~42578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1121][3]~42579\ : std_logic;
SIGNAL \led_flash_cnt[1121][4]~42580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][4]~q\ : std_logic;
SIGNAL \WideAnd1121~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][4]~42581\ : std_logic;
SIGNAL \led_flash_cnt[1121][5]~42582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1121][5]~42583\ : std_logic;
SIGNAL \led_flash_cnt[1121][6]~42584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1121][6]~42585\ : std_logic;
SIGNAL \led_flash_cnt[1121][7]~42586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1121][7]~q\ : std_logic;
SIGNAL \WideAnd1121~1_combout\ : std_logic;
SIGNAL \WideAnd1121~combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][0]~81760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1120][1]~42560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1120][1]~42561\ : std_logic;
SIGNAL \led_flash_cnt[1120][2]~42562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1120][2]~42563\ : std_logic;
SIGNAL \led_flash_cnt[1120][3]~42564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1120][3]~42565\ : std_logic;
SIGNAL \led_flash_cnt[1120][4]~42566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1120][4]~42567\ : std_logic;
SIGNAL \led_flash_cnt[1120][5]~42568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1120][5]~42569\ : std_logic;
SIGNAL \led_flash_cnt[1120][6]~42570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][6]~q\ : std_logic;
SIGNAL \WideAnd1120~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][6]~42571\ : std_logic;
SIGNAL \led_flash_cnt[1120][7]~42572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1120][7]~q\ : std_logic;
SIGNAL \WideAnd1120~0_combout\ : std_logic;
SIGNAL \WideAnd1120~combout\ : std_logic;
SIGNAL \WideAnd3980~0_combout\ : std_logic;
SIGNAL \WideAnd3980~combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][0]~81773_combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1133][1]~42742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1133][1]~42743\ : std_logic;
SIGNAL \led_flash_cnt[1133][2]~42744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1133][2]~42745\ : std_logic;
SIGNAL \led_flash_cnt[1133][3]~42746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1133][3]~42747\ : std_logic;
SIGNAL \led_flash_cnt[1133][4]~42748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1133][4]~42749\ : std_logic;
SIGNAL \led_flash_cnt[1133][5]~42750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1133][5]~42751\ : std_logic;
SIGNAL \led_flash_cnt[1133][6]~42752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1133][6]~42753\ : std_logic;
SIGNAL \led_flash_cnt[1133][7]~42754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1133][7]~q\ : std_logic;
SIGNAL \WideAnd1133~0_combout\ : std_logic;
SIGNAL \WideAnd1133~1_combout\ : std_logic;
SIGNAL \WideAnd1133~combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][0]~81772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1132][1]~42728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1132][1]~42729\ : std_logic;
SIGNAL \led_flash_cnt[1132][2]~42730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1132][2]~42731\ : std_logic;
SIGNAL \led_flash_cnt[1132][3]~42732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1132][3]~42733\ : std_logic;
SIGNAL \led_flash_cnt[1132][4]~42734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1132][4]~42735\ : std_logic;
SIGNAL \led_flash_cnt[1132][5]~42736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1132][5]~42737\ : std_logic;
SIGNAL \led_flash_cnt[1132][6]~42738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][6]~q\ : std_logic;
SIGNAL \WideAnd1132~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][6]~42739\ : std_logic;
SIGNAL \led_flash_cnt[1132][7]~42740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1132][7]~q\ : std_logic;
SIGNAL \WideAnd1132~0_combout\ : std_logic;
SIGNAL \WideAnd1132~combout\ : std_logic;
SIGNAL \WideAnd3981~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][0]~81775_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1135][1]~42770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1135][1]~42771\ : std_logic;
SIGNAL \led_flash_cnt[1135][2]~42772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1135][2]~42773\ : std_logic;
SIGNAL \led_flash_cnt[1135][3]~42774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1135][3]~42775\ : std_logic;
SIGNAL \led_flash_cnt[1135][4]~42776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][4]~q\ : std_logic;
SIGNAL \WideAnd1135~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][4]~42777\ : std_logic;
SIGNAL \led_flash_cnt[1135][5]~42778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1135][5]~42779\ : std_logic;
SIGNAL \led_flash_cnt[1135][6]~42780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1135][6]~42781\ : std_logic;
SIGNAL \led_flash_cnt[1135][7]~42782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1135][7]~q\ : std_logic;
SIGNAL \WideAnd1135~1_combout\ : std_logic;
SIGNAL \WideAnd1135~combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][0]~81770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1130][1]~42700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1130][1]~42701\ : std_logic;
SIGNAL \led_flash_cnt[1130][2]~42702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1130][2]~42703\ : std_logic;
SIGNAL \led_flash_cnt[1130][3]~42704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1130][3]~42705\ : std_logic;
SIGNAL \led_flash_cnt[1130][4]~42706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1130][4]~42707\ : std_logic;
SIGNAL \led_flash_cnt[1130][5]~42708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1130][5]~42709\ : std_logic;
SIGNAL \led_flash_cnt[1130][6]~42710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1130][6]~42711\ : std_logic;
SIGNAL \led_flash_cnt[1130][7]~42712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1130][7]~q\ : std_logic;
SIGNAL \WideAnd1130~1_combout\ : std_logic;
SIGNAL \WideAnd1130~0_combout\ : std_logic;
SIGNAL \WideAnd1130~combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][0]~81769_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1129][1]~42686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1129][1]~42687\ : std_logic;
SIGNAL \led_flash_cnt[1129][2]~42688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1129][2]~42689\ : std_logic;
SIGNAL \led_flash_cnt[1129][3]~42690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1129][3]~42691\ : std_logic;
SIGNAL \led_flash_cnt[1129][4]~42692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1129][4]~42693\ : std_logic;
SIGNAL \led_flash_cnt[1129][5]~42694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1129][5]~42695\ : std_logic;
SIGNAL \led_flash_cnt[1129][6]~42696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][6]~q\ : std_logic;
SIGNAL \WideAnd1129~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][6]~42697\ : std_logic;
SIGNAL \led_flash_cnt[1129][7]~42698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1129][7]~q\ : std_logic;
SIGNAL \WideAnd1129~0_combout\ : std_logic;
SIGNAL \WideAnd1129~combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][0]~81771_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1131][1]~42714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1131][1]~42715\ : std_logic;
SIGNAL \led_flash_cnt[1131][2]~42716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1131][2]~42717\ : std_logic;
SIGNAL \led_flash_cnt[1131][3]~42718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1131][3]~42719\ : std_logic;
SIGNAL \led_flash_cnt[1131][4]~42720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1131][4]~42721\ : std_logic;
SIGNAL \led_flash_cnt[1131][5]~42722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1131][5]~42723\ : std_logic;
SIGNAL \led_flash_cnt[1131][6]~42724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][6]~q\ : std_logic;
SIGNAL \WideAnd1131~1_combout\ : std_logic;
SIGNAL \WideAnd1131~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][6]~42725\ : std_logic;
SIGNAL \led_flash_cnt[1131][7]~42726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1131][7]~q\ : std_logic;
SIGNAL \WideAnd1131~combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][0]~81768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1128][1]~42672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1128][1]~42673\ : std_logic;
SIGNAL \led_flash_cnt[1128][2]~42674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1128][2]~42675\ : std_logic;
SIGNAL \led_flash_cnt[1128][3]~42676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1128][3]~42677\ : std_logic;
SIGNAL \led_flash_cnt[1128][4]~42678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][4]~q\ : std_logic;
SIGNAL \WideAnd1128~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][4]~42679\ : std_logic;
SIGNAL \led_flash_cnt[1128][5]~42680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1128][5]~42681\ : std_logic;
SIGNAL \led_flash_cnt[1128][6]~42682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1128][6]~42683\ : std_logic;
SIGNAL \led_flash_cnt[1128][7]~42684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1128][7]~q\ : std_logic;
SIGNAL \WideAnd1128~1_combout\ : std_logic;
SIGNAL \WideAnd1128~combout\ : std_logic;
SIGNAL \WideAnd3981~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][0]~81774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1134][1]~42756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1134][1]~42757\ : std_logic;
SIGNAL \led_flash_cnt[1134][2]~42758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1134][2]~42759\ : std_logic;
SIGNAL \led_flash_cnt[1134][3]~42760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1134][3]~42761\ : std_logic;
SIGNAL \led_flash_cnt[1134][4]~42762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][4]~q\ : std_logic;
SIGNAL \WideAnd1134~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][4]~42763\ : std_logic;
SIGNAL \led_flash_cnt[1134][5]~42764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1134][5]~42765\ : std_logic;
SIGNAL \led_flash_cnt[1134][6]~42766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1134][6]~42767\ : std_logic;
SIGNAL \led_flash_cnt[1134][7]~42768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1134][7]~q\ : std_logic;
SIGNAL \WideAnd1134~1_combout\ : std_logic;
SIGNAL \WideAnd1134~combout\ : std_logic;
SIGNAL \WideAnd3981~combout\ : std_logic;
SIGNAL \WideAnd4337~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][0]~81788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1148][1]~42952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1148][1]~42953\ : std_logic;
SIGNAL \led_flash_cnt[1148][2]~42954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1148][2]~42955\ : std_logic;
SIGNAL \led_flash_cnt[1148][3]~42956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1148][3]~42957\ : std_logic;
SIGNAL \led_flash_cnt[1148][4]~42958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1148][4]~42959\ : std_logic;
SIGNAL \led_flash_cnt[1148][5]~42960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1148][5]~42961\ : std_logic;
SIGNAL \led_flash_cnt[1148][6]~42962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1148][6]~42963\ : std_logic;
SIGNAL \led_flash_cnt[1148][7]~42964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1148][7]~q\ : std_logic;
SIGNAL \WideAnd1148~0_combout\ : std_logic;
SIGNAL \WideAnd1148~1_combout\ : std_logic;
SIGNAL \WideAnd1148~combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][0]~81789_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1149][1]~42966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1149][1]~42967\ : std_logic;
SIGNAL \led_flash_cnt[1149][2]~42968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1149][2]~42969\ : std_logic;
SIGNAL \led_flash_cnt[1149][3]~42970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1149][3]~42971\ : std_logic;
SIGNAL \led_flash_cnt[1149][4]~42972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][4]~q\ : std_logic;
SIGNAL \WideAnd1149~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][4]~42973\ : std_logic;
SIGNAL \led_flash_cnt[1149][5]~42974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1149][5]~42975\ : std_logic;
SIGNAL \led_flash_cnt[1149][6]~42976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1149][6]~42977\ : std_logic;
SIGNAL \led_flash_cnt[1149][7]~42978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1149][7]~q\ : std_logic;
SIGNAL \WideAnd1149~1_combout\ : std_logic;
SIGNAL \WideAnd1149~combout\ : std_logic;
SIGNAL \WideAnd3983~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][0]~81787_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1147][1]~42938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1147][1]~42939\ : std_logic;
SIGNAL \led_flash_cnt[1147][2]~42940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1147][2]~42941\ : std_logic;
SIGNAL \led_flash_cnt[1147][3]~42942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1147][3]~42943\ : std_logic;
SIGNAL \led_flash_cnt[1147][4]~42944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][4]~q\ : std_logic;
SIGNAL \WideAnd1147~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][4]~42945\ : std_logic;
SIGNAL \led_flash_cnt[1147][5]~42946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1147][5]~42947\ : std_logic;
SIGNAL \led_flash_cnt[1147][6]~42948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][6]~q\ : std_logic;
SIGNAL \WideAnd1147~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][6]~42949\ : std_logic;
SIGNAL \led_flash_cnt[1147][7]~42950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1147][7]~q\ : std_logic;
SIGNAL \WideAnd1147~combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][0]~81785_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1145][1]~42910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1145][1]~42911\ : std_logic;
SIGNAL \led_flash_cnt[1145][2]~42912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1145][2]~42913\ : std_logic;
SIGNAL \led_flash_cnt[1145][3]~42914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1145][3]~42915\ : std_logic;
SIGNAL \led_flash_cnt[1145][4]~42916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1145][4]~42917\ : std_logic;
SIGNAL \led_flash_cnt[1145][5]~42918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1145][5]~42919\ : std_logic;
SIGNAL \led_flash_cnt[1145][6]~42920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][6]~q\ : std_logic;
SIGNAL \WideAnd1145~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][6]~42921\ : std_logic;
SIGNAL \led_flash_cnt[1145][7]~42922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1145][7]~q\ : std_logic;
SIGNAL \WideAnd1145~0_combout\ : std_logic;
SIGNAL \WideAnd1145~combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][0]~81786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1146][1]~42924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1146][1]~42925\ : std_logic;
SIGNAL \led_flash_cnt[1146][2]~42926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1146][2]~42927\ : std_logic;
SIGNAL \led_flash_cnt[1146][3]~42928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1146][3]~42929\ : std_logic;
SIGNAL \led_flash_cnt[1146][4]~42930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][4]~q\ : std_logic;
SIGNAL \WideAnd1146~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][4]~42931\ : std_logic;
SIGNAL \led_flash_cnt[1146][5]~42932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1146][5]~42933\ : std_logic;
SIGNAL \led_flash_cnt[1146][6]~42934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][6]~q\ : std_logic;
SIGNAL \WideAnd1146~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][6]~42935\ : std_logic;
SIGNAL \led_flash_cnt[1146][7]~42936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1146][7]~q\ : std_logic;
SIGNAL \WideAnd1146~combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][0]~81784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1144][1]~42896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1144][1]~42897\ : std_logic;
SIGNAL \led_flash_cnt[1144][2]~42898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1144][2]~42899\ : std_logic;
SIGNAL \led_flash_cnt[1144][3]~42900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1144][3]~42901\ : std_logic;
SIGNAL \led_flash_cnt[1144][4]~42902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][4]~q\ : std_logic;
SIGNAL \WideAnd1144~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][4]~42903\ : std_logic;
SIGNAL \led_flash_cnt[1144][5]~42904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1144][5]~42905\ : std_logic;
SIGNAL \led_flash_cnt[1144][6]~42906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1144][6]~42907\ : std_logic;
SIGNAL \led_flash_cnt[1144][7]~42908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1144][7]~q\ : std_logic;
SIGNAL \WideAnd1144~1_combout\ : std_logic;
SIGNAL \WideAnd1144~combout\ : std_logic;
SIGNAL \WideAnd3983~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][0]~81790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1150][1]~42980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1150][1]~42981\ : std_logic;
SIGNAL \led_flash_cnt[1150][2]~42982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1150][2]~42983\ : std_logic;
SIGNAL \led_flash_cnt[1150][3]~42984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1150][3]~42985\ : std_logic;
SIGNAL \led_flash_cnt[1150][4]~42986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][4]~q\ : std_logic;
SIGNAL \WideAnd1150~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][4]~42987\ : std_logic;
SIGNAL \led_flash_cnt[1150][5]~42988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1150][5]~42989\ : std_logic;
SIGNAL \led_flash_cnt[1150][6]~42990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1150][6]~42991\ : std_logic;
SIGNAL \led_flash_cnt[1150][7]~42992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1150][7]~q\ : std_logic;
SIGNAL \WideAnd1150~1_combout\ : std_logic;
SIGNAL \WideAnd1150~combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][0]~81791_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1151][1]~42994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1151][1]~42995\ : std_logic;
SIGNAL \led_flash_cnt[1151][2]~42996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1151][2]~42997\ : std_logic;
SIGNAL \led_flash_cnt[1151][3]~42998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1151][3]~42999\ : std_logic;
SIGNAL \led_flash_cnt[1151][4]~43000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][4]~q\ : std_logic;
SIGNAL \WideAnd1151~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][4]~43001\ : std_logic;
SIGNAL \led_flash_cnt[1151][5]~43002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1151][5]~43003\ : std_logic;
SIGNAL \led_flash_cnt[1151][6]~43004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1151][6]~43005\ : std_logic;
SIGNAL \led_flash_cnt[1151][7]~43006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1151][7]~q\ : std_logic;
SIGNAL \WideAnd1151~1_combout\ : std_logic;
SIGNAL \WideAnd1151~combout\ : std_logic;
SIGNAL \WideAnd3983~combout\ : std_logic;
SIGNAL \WideAnd4337~combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][0]~81886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1246][1]~44324_combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1246][1]~44325\ : std_logic;
SIGNAL \led_flash_cnt[1246][2]~44326_combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1246][2]~44327\ : std_logic;
SIGNAL \led_flash_cnt[1246][3]~44328_combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1246][3]~44329\ : std_logic;
SIGNAL \led_flash_cnt[1246][4]~44330_combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1246][4]~44331\ : std_logic;
SIGNAL \led_flash_cnt[1246][5]~44332_combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1246][5]~44333\ : std_logic;
SIGNAL \led_flash_cnt[1246][6]~44334_combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1246][6]~44335\ : std_logic;
SIGNAL \led_flash_cnt[1246][7]~44336_combout\ : std_logic;
SIGNAL \led_flash_cnt[1246][7]~q\ : std_logic;
SIGNAL \WideAnd1246~0_combout\ : std_logic;
SIGNAL \WideAnd1246~1_combout\ : std_logic;
SIGNAL \WideAnd1246~combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][0]~81884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1244][1]~44296_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1244][1]~44297\ : std_logic;
SIGNAL \led_flash_cnt[1244][2]~44298_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1244][2]~44299\ : std_logic;
SIGNAL \led_flash_cnt[1244][3]~44300_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1244][3]~44301\ : std_logic;
SIGNAL \led_flash_cnt[1244][4]~44302_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][4]~q\ : std_logic;
SIGNAL \WideAnd1244~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][4]~44303\ : std_logic;
SIGNAL \led_flash_cnt[1244][5]~44304_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1244][5]~44305\ : std_logic;
SIGNAL \led_flash_cnt[1244][6]~44306_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1244][6]~44307\ : std_logic;
SIGNAL \led_flash_cnt[1244][7]~44308_combout\ : std_logic;
SIGNAL \led_flash_cnt[1244][7]~q\ : std_logic;
SIGNAL \WideAnd1244~1_combout\ : std_logic;
SIGNAL \WideAnd1244~combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][0]~81885_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1245][1]~44310_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1245][1]~44311\ : std_logic;
SIGNAL \led_flash_cnt[1245][2]~44312_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1245][2]~44313\ : std_logic;
SIGNAL \led_flash_cnt[1245][3]~44314_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1245][3]~44315\ : std_logic;
SIGNAL \led_flash_cnt[1245][4]~44316_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][4]~q\ : std_logic;
SIGNAL \WideAnd1245~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][4]~44317\ : std_logic;
SIGNAL \led_flash_cnt[1245][5]~44318_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1245][5]~44319\ : std_logic;
SIGNAL \led_flash_cnt[1245][6]~44320_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1245][6]~44321\ : std_logic;
SIGNAL \led_flash_cnt[1245][7]~44322_combout\ : std_logic;
SIGNAL \led_flash_cnt[1245][7]~q\ : std_logic;
SIGNAL \WideAnd1245~1_combout\ : std_logic;
SIGNAL \WideAnd1245~combout\ : std_logic;
SIGNAL \WideAnd3995~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][0]~81880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1240][1]~44240_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1240][1]~44241\ : std_logic;
SIGNAL \led_flash_cnt[1240][2]~44242_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1240][2]~44243\ : std_logic;
SIGNAL \led_flash_cnt[1240][3]~44244_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1240][3]~44245\ : std_logic;
SIGNAL \led_flash_cnt[1240][4]~44246_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1240][4]~44247\ : std_logic;
SIGNAL \led_flash_cnt[1240][5]~44248_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1240][5]~44249\ : std_logic;
SIGNAL \led_flash_cnt[1240][6]~44250_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1240][6]~44251\ : std_logic;
SIGNAL \led_flash_cnt[1240][7]~44252_combout\ : std_logic;
SIGNAL \led_flash_cnt[1240][7]~q\ : std_logic;
SIGNAL \WideAnd1240~1_combout\ : std_logic;
SIGNAL \WideAnd1240~0_combout\ : std_logic;
SIGNAL \WideAnd1240~combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][0]~81883_combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1243][1]~44282_combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1243][1]~44283\ : std_logic;
SIGNAL \led_flash_cnt[1243][2]~44284_combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1243][2]~44285\ : std_logic;
SIGNAL \led_flash_cnt[1243][3]~44286_combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1243][3]~44287\ : std_logic;
SIGNAL \led_flash_cnt[1243][4]~44288_combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1243][4]~44289\ : std_logic;
SIGNAL \led_flash_cnt[1243][5]~44290_combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1243][5]~44291\ : std_logic;
SIGNAL \led_flash_cnt[1243][6]~44292_combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1243][6]~44293\ : std_logic;
SIGNAL \led_flash_cnt[1243][7]~44294_combout\ : std_logic;
SIGNAL \led_flash_cnt[1243][7]~q\ : std_logic;
SIGNAL \WideAnd1243~0_combout\ : std_logic;
SIGNAL \WideAnd1243~1_combout\ : std_logic;
SIGNAL \WideAnd1243~combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][0]~81881_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1241][1]~44254_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1241][1]~44255\ : std_logic;
SIGNAL \led_flash_cnt[1241][2]~44256_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1241][2]~44257\ : std_logic;
SIGNAL \led_flash_cnt[1241][3]~44258_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1241][3]~44259\ : std_logic;
SIGNAL \led_flash_cnt[1241][4]~44260_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][4]~q\ : std_logic;
SIGNAL \WideAnd1241~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][4]~44261\ : std_logic;
SIGNAL \led_flash_cnt[1241][5]~44262_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1241][5]~44263\ : std_logic;
SIGNAL \led_flash_cnt[1241][6]~44264_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1241][6]~44265\ : std_logic;
SIGNAL \led_flash_cnt[1241][7]~44266_combout\ : std_logic;
SIGNAL \led_flash_cnt[1241][7]~q\ : std_logic;
SIGNAL \WideAnd1241~1_combout\ : std_logic;
SIGNAL \WideAnd1241~combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][0]~81882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1242][1]~44268_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1242][1]~44269\ : std_logic;
SIGNAL \led_flash_cnt[1242][2]~44270_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1242][2]~44271\ : std_logic;
SIGNAL \led_flash_cnt[1242][3]~44272_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1242][3]~44273\ : std_logic;
SIGNAL \led_flash_cnt[1242][4]~44274_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][4]~q\ : std_logic;
SIGNAL \WideAnd1242~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][4]~44275\ : std_logic;
SIGNAL \led_flash_cnt[1242][5]~44276_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1242][5]~44277\ : std_logic;
SIGNAL \led_flash_cnt[1242][6]~44278_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1242][6]~44279\ : std_logic;
SIGNAL \led_flash_cnt[1242][7]~44280_combout\ : std_logic;
SIGNAL \led_flash_cnt[1242][7]~q\ : std_logic;
SIGNAL \WideAnd1242~1_combout\ : std_logic;
SIGNAL \WideAnd1242~combout\ : std_logic;
SIGNAL \WideAnd3995~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][0]~81887_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1247][1]~44338_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1247][1]~44339\ : std_logic;
SIGNAL \led_flash_cnt[1247][2]~44340_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1247][2]~44341\ : std_logic;
SIGNAL \led_flash_cnt[1247][3]~44342_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1247][3]~44343\ : std_logic;
SIGNAL \led_flash_cnt[1247][4]~44344_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][4]~q\ : std_logic;
SIGNAL \WideAnd1247~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][4]~44345\ : std_logic;
SIGNAL \led_flash_cnt[1247][5]~44346_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1247][5]~44347\ : std_logic;
SIGNAL \led_flash_cnt[1247][6]~44348_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1247][6]~44349\ : std_logic;
SIGNAL \led_flash_cnt[1247][7]~44350_combout\ : std_logic;
SIGNAL \led_flash_cnt[1247][7]~q\ : std_logic;
SIGNAL \WideAnd1247~1_combout\ : std_logic;
SIGNAL \WideAnd1247~combout\ : std_logic;
SIGNAL \WideAnd3995~combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][0]~81874_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1234][1]~44156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1234][1]~44157\ : std_logic;
SIGNAL \led_flash_cnt[1234][2]~44158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1234][2]~44159\ : std_logic;
SIGNAL \led_flash_cnt[1234][3]~44160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1234][3]~44161\ : std_logic;
SIGNAL \led_flash_cnt[1234][4]~44162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1234][4]~44163\ : std_logic;
SIGNAL \led_flash_cnt[1234][5]~44164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1234][5]~44165\ : std_logic;
SIGNAL \led_flash_cnt[1234][6]~44166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][6]~q\ : std_logic;
SIGNAL \WideAnd1234~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][6]~44167\ : std_logic;
SIGNAL \led_flash_cnt[1234][7]~44168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1234][7]~q\ : std_logic;
SIGNAL \WideAnd1234~0_combout\ : std_logic;
SIGNAL \WideAnd1234~combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][0]~81872_combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1232][1]~44128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1232][1]~44129\ : std_logic;
SIGNAL \led_flash_cnt[1232][2]~44130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1232][2]~44131\ : std_logic;
SIGNAL \led_flash_cnt[1232][3]~44132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1232][3]~44133\ : std_logic;
SIGNAL \led_flash_cnt[1232][4]~44134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1232][4]~44135\ : std_logic;
SIGNAL \led_flash_cnt[1232][5]~44136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1232][5]~44137\ : std_logic;
SIGNAL \led_flash_cnt[1232][6]~44138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1232][6]~44139\ : std_logic;
SIGNAL \led_flash_cnt[1232][7]~44140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1232][7]~q\ : std_logic;
SIGNAL \WideAnd1232~0_combout\ : std_logic;
SIGNAL \WideAnd1232~1_combout\ : std_logic;
SIGNAL \WideAnd1232~combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][0]~81875_combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1235][1]~44170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1235][1]~44171\ : std_logic;
SIGNAL \led_flash_cnt[1235][2]~44172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1235][2]~44173\ : std_logic;
SIGNAL \led_flash_cnt[1235][3]~44174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1235][3]~44175\ : std_logic;
SIGNAL \led_flash_cnt[1235][4]~44176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1235][4]~44177\ : std_logic;
SIGNAL \led_flash_cnt[1235][5]~44178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1235][5]~44179\ : std_logic;
SIGNAL \led_flash_cnt[1235][6]~44180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1235][6]~44181\ : std_logic;
SIGNAL \led_flash_cnt[1235][7]~44182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1235][7]~q\ : std_logic;
SIGNAL \WideAnd1235~1_combout\ : std_logic;
SIGNAL \WideAnd1235~0_combout\ : std_logic;
SIGNAL \WideAnd1235~combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][0]~81873_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1233][1]~44142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1233][1]~44143\ : std_logic;
SIGNAL \led_flash_cnt[1233][2]~44144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1233][2]~44145\ : std_logic;
SIGNAL \led_flash_cnt[1233][3]~44146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1233][3]~44147\ : std_logic;
SIGNAL \led_flash_cnt[1233][4]~44148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1233][4]~44149\ : std_logic;
SIGNAL \led_flash_cnt[1233][5]~44150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1233][5]~44151\ : std_logic;
SIGNAL \led_flash_cnt[1233][6]~44152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][6]~q\ : std_logic;
SIGNAL \WideAnd1233~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][6]~44153\ : std_logic;
SIGNAL \led_flash_cnt[1233][7]~44154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1233][7]~q\ : std_logic;
SIGNAL \WideAnd1233~0_combout\ : std_logic;
SIGNAL \WideAnd1233~combout\ : std_logic;
SIGNAL \WideAnd3994~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][0]~81879_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1239][1]~44226_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1239][1]~44227\ : std_logic;
SIGNAL \led_flash_cnt[1239][2]~44228_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1239][2]~44229\ : std_logic;
SIGNAL \led_flash_cnt[1239][3]~44230_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1239][3]~44231\ : std_logic;
SIGNAL \led_flash_cnt[1239][4]~44232_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][4]~q\ : std_logic;
SIGNAL \WideAnd1239~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][4]~44233\ : std_logic;
SIGNAL \led_flash_cnt[1239][5]~44234_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1239][5]~44235\ : std_logic;
SIGNAL \led_flash_cnt[1239][6]~44236_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1239][6]~44237\ : std_logic;
SIGNAL \led_flash_cnt[1239][7]~44238_combout\ : std_logic;
SIGNAL \led_flash_cnt[1239][7]~q\ : std_logic;
SIGNAL \WideAnd1239~1_combout\ : std_logic;
SIGNAL \WideAnd1239~combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][0]~81878_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1238][1]~44212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1238][1]~44213\ : std_logic;
SIGNAL \led_flash_cnt[1238][2]~44214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1238][2]~44215\ : std_logic;
SIGNAL \led_flash_cnt[1238][3]~44216_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1238][3]~44217\ : std_logic;
SIGNAL \led_flash_cnt[1238][4]~44218_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1238][4]~44219\ : std_logic;
SIGNAL \led_flash_cnt[1238][5]~44220_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1238][5]~44221\ : std_logic;
SIGNAL \led_flash_cnt[1238][6]~44222_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][6]~q\ : std_logic;
SIGNAL \WideAnd1238~1_combout\ : std_logic;
SIGNAL \WideAnd1238~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][6]~44223\ : std_logic;
SIGNAL \led_flash_cnt[1238][7]~44224_combout\ : std_logic;
SIGNAL \led_flash_cnt[1238][7]~q\ : std_logic;
SIGNAL \WideAnd1238~combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][0]~81877_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1237][1]~44198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1237][1]~44199\ : std_logic;
SIGNAL \led_flash_cnt[1237][2]~44200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1237][2]~44201\ : std_logic;
SIGNAL \led_flash_cnt[1237][3]~44202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1237][3]~44203\ : std_logic;
SIGNAL \led_flash_cnt[1237][4]~44204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1237][4]~44205\ : std_logic;
SIGNAL \led_flash_cnt[1237][5]~44206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1237][5]~44207\ : std_logic;
SIGNAL \led_flash_cnt[1237][6]~44208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][6]~q\ : std_logic;
SIGNAL \WideAnd1237~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][6]~44209\ : std_logic;
SIGNAL \led_flash_cnt[1237][7]~44210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1237][7]~q\ : std_logic;
SIGNAL \WideAnd1237~0_combout\ : std_logic;
SIGNAL \WideAnd1237~combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][0]~81876_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1236][1]~44184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1236][1]~44185\ : std_logic;
SIGNAL \led_flash_cnt[1236][2]~44186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1236][2]~44187\ : std_logic;
SIGNAL \led_flash_cnt[1236][3]~44188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1236][3]~44189\ : std_logic;
SIGNAL \led_flash_cnt[1236][4]~44190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][4]~q\ : std_logic;
SIGNAL \WideAnd1236~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][4]~44191\ : std_logic;
SIGNAL \led_flash_cnt[1236][5]~44192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1236][5]~44193\ : std_logic;
SIGNAL \led_flash_cnt[1236][6]~44194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1236][6]~44195\ : std_logic;
SIGNAL \led_flash_cnt[1236][7]~44196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1236][7]~q\ : std_logic;
SIGNAL \WideAnd1236~1_combout\ : std_logic;
SIGNAL \WideAnd1236~combout\ : std_logic;
SIGNAL \WideAnd3994~1_combout\ : std_logic;
SIGNAL \WideAnd3994~combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][0]~81867_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1227][1]~44058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1227][1]~44059\ : std_logic;
SIGNAL \led_flash_cnt[1227][2]~44060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1227][2]~44061\ : std_logic;
SIGNAL \led_flash_cnt[1227][3]~44062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1227][3]~44063\ : std_logic;
SIGNAL \led_flash_cnt[1227][4]~44064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][4]~q\ : std_logic;
SIGNAL \WideAnd1227~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][4]~44065\ : std_logic;
SIGNAL \led_flash_cnt[1227][5]~44066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1227][5]~44067\ : std_logic;
SIGNAL \led_flash_cnt[1227][6]~44068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][6]~q\ : std_logic;
SIGNAL \WideAnd1227~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][6]~44069\ : std_logic;
SIGNAL \led_flash_cnt[1227][7]~44070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1227][7]~q\ : std_logic;
SIGNAL \WideAnd1227~combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][0]~81865_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1225][1]~44030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1225][1]~44031\ : std_logic;
SIGNAL \led_flash_cnt[1225][2]~44032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1225][2]~44033\ : std_logic;
SIGNAL \led_flash_cnt[1225][3]~44034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1225][3]~44035\ : std_logic;
SIGNAL \led_flash_cnt[1225][4]~44036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][4]~q\ : std_logic;
SIGNAL \WideAnd1225~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][4]~44037\ : std_logic;
SIGNAL \led_flash_cnt[1225][5]~44038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1225][5]~44039\ : std_logic;
SIGNAL \led_flash_cnt[1225][6]~44040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][6]~q\ : std_logic;
SIGNAL \WideAnd1225~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][6]~44041\ : std_logic;
SIGNAL \led_flash_cnt[1225][7]~44042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1225][7]~q\ : std_logic;
SIGNAL \WideAnd1225~combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][0]~81864_combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1224][1]~44016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1224][1]~44017\ : std_logic;
SIGNAL \led_flash_cnt[1224][2]~44018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1224][2]~44019\ : std_logic;
SIGNAL \led_flash_cnt[1224][3]~44020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1224][3]~44021\ : std_logic;
SIGNAL \led_flash_cnt[1224][4]~44022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1224][4]~44023\ : std_logic;
SIGNAL \led_flash_cnt[1224][5]~44024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1224][5]~44025\ : std_logic;
SIGNAL \led_flash_cnt[1224][6]~44026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1224][6]~44027\ : std_logic;
SIGNAL \led_flash_cnt[1224][7]~44028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1224][7]~q\ : std_logic;
SIGNAL \WideAnd1224~1_combout\ : std_logic;
SIGNAL \WideAnd1224~0_combout\ : std_logic;
SIGNAL \WideAnd1224~combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][0]~81866_combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1226][1]~44044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1226][1]~44045\ : std_logic;
SIGNAL \led_flash_cnt[1226][2]~44046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1226][2]~44047\ : std_logic;
SIGNAL \led_flash_cnt[1226][3]~44048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1226][3]~44049\ : std_logic;
SIGNAL \led_flash_cnt[1226][4]~44050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1226][4]~44051\ : std_logic;
SIGNAL \led_flash_cnt[1226][5]~44052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1226][5]~44053\ : std_logic;
SIGNAL \led_flash_cnt[1226][6]~44054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1226][6]~44055\ : std_logic;
SIGNAL \led_flash_cnt[1226][7]~44056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1226][7]~q\ : std_logic;
SIGNAL \WideAnd1226~0_combout\ : std_logic;
SIGNAL \WideAnd1226~1_combout\ : std_logic;
SIGNAL \WideAnd1226~combout\ : std_logic;
SIGNAL \WideAnd3993~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][0]~81871_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1231][1]~44114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1231][1]~44115\ : std_logic;
SIGNAL \led_flash_cnt[1231][2]~44116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1231][2]~44117\ : std_logic;
SIGNAL \led_flash_cnt[1231][3]~44118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1231][3]~44119\ : std_logic;
SIGNAL \led_flash_cnt[1231][4]~44120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][4]~q\ : std_logic;
SIGNAL \WideAnd1231~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][4]~44121\ : std_logic;
SIGNAL \led_flash_cnt[1231][5]~44122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1231][5]~44123\ : std_logic;
SIGNAL \led_flash_cnt[1231][6]~44124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1231][6]~44125\ : std_logic;
SIGNAL \led_flash_cnt[1231][7]~44126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1231][7]~q\ : std_logic;
SIGNAL \WideAnd1231~1_combout\ : std_logic;
SIGNAL \WideAnd1231~combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][0]~81870_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1230][1]~44100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1230][1]~44101\ : std_logic;
SIGNAL \led_flash_cnt[1230][2]~44102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1230][2]~44103\ : std_logic;
SIGNAL \led_flash_cnt[1230][3]~44104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1230][3]~44105\ : std_logic;
SIGNAL \led_flash_cnt[1230][4]~44106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][4]~q\ : std_logic;
SIGNAL \WideAnd1230~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][4]~44107\ : std_logic;
SIGNAL \led_flash_cnt[1230][5]~44108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1230][5]~44109\ : std_logic;
SIGNAL \led_flash_cnt[1230][6]~44110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1230][6]~44111\ : std_logic;
SIGNAL \led_flash_cnt[1230][7]~44112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1230][7]~q\ : std_logic;
SIGNAL \WideAnd1230~1_combout\ : std_logic;
SIGNAL \WideAnd1230~combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][0]~81868_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1228][1]~44072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1228][1]~44073\ : std_logic;
SIGNAL \led_flash_cnt[1228][2]~44074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1228][2]~44075\ : std_logic;
SIGNAL \led_flash_cnt[1228][3]~44076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1228][3]~44077\ : std_logic;
SIGNAL \led_flash_cnt[1228][4]~44078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1228][4]~44079\ : std_logic;
SIGNAL \led_flash_cnt[1228][5]~44080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1228][5]~44081\ : std_logic;
SIGNAL \led_flash_cnt[1228][6]~44082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][6]~q\ : std_logic;
SIGNAL \WideAnd1228~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][6]~44083\ : std_logic;
SIGNAL \led_flash_cnt[1228][7]~44084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1228][7]~q\ : std_logic;
SIGNAL \WideAnd1228~0_combout\ : std_logic;
SIGNAL \WideAnd1228~combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][0]~81869_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1229][1]~44086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1229][1]~44087\ : std_logic;
SIGNAL \led_flash_cnt[1229][2]~44088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1229][2]~44089\ : std_logic;
SIGNAL \led_flash_cnt[1229][3]~44090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1229][3]~44091\ : std_logic;
SIGNAL \led_flash_cnt[1229][4]~44092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][4]~q\ : std_logic;
SIGNAL \WideAnd1229~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][4]~44093\ : std_logic;
SIGNAL \led_flash_cnt[1229][5]~44094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1229][5]~44095\ : std_logic;
SIGNAL \led_flash_cnt[1229][6]~44096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1229][6]~44097\ : std_logic;
SIGNAL \led_flash_cnt[1229][7]~44098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1229][7]~q\ : std_logic;
SIGNAL \WideAnd1229~1_combout\ : std_logic;
SIGNAL \WideAnd1229~combout\ : std_logic;
SIGNAL \WideAnd3993~1_combout\ : std_logic;
SIGNAL \WideAnd3993~combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][0]~81858_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1218][1]~43932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1218][1]~43933\ : std_logic;
SIGNAL \led_flash_cnt[1218][2]~43934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1218][2]~43935\ : std_logic;
SIGNAL \led_flash_cnt[1218][3]~43936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1218][3]~43937\ : std_logic;
SIGNAL \led_flash_cnt[1218][4]~43938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1218][4]~43939\ : std_logic;
SIGNAL \led_flash_cnt[1218][5]~43940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1218][5]~43941\ : std_logic;
SIGNAL \led_flash_cnt[1218][6]~43942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][6]~q\ : std_logic;
SIGNAL \WideAnd1218~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][6]~43943\ : std_logic;
SIGNAL \led_flash_cnt[1218][7]~43944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1218][7]~q\ : std_logic;
SIGNAL \WideAnd1218~0_combout\ : std_logic;
SIGNAL \WideAnd1218~combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][0]~81857_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1217][1]~43918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1217][1]~43919\ : std_logic;
SIGNAL \led_flash_cnt[1217][2]~43920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1217][2]~43921\ : std_logic;
SIGNAL \led_flash_cnt[1217][3]~43922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1217][3]~43923\ : std_logic;
SIGNAL \led_flash_cnt[1217][4]~43924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1217][4]~43925\ : std_logic;
SIGNAL \led_flash_cnt[1217][5]~43926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1217][5]~43927\ : std_logic;
SIGNAL \led_flash_cnt[1217][6]~43928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][6]~q\ : std_logic;
SIGNAL \WideAnd1217~1_combout\ : std_logic;
SIGNAL \WideAnd1217~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][6]~43929\ : std_logic;
SIGNAL \led_flash_cnt[1217][7]~43930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1217][7]~q\ : std_logic;
SIGNAL \WideAnd1217~combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][0]~81859_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1219][1]~43946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1219][1]~43947\ : std_logic;
SIGNAL \led_flash_cnt[1219][2]~43948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1219][2]~43949\ : std_logic;
SIGNAL \led_flash_cnt[1219][3]~43950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1219][3]~43951\ : std_logic;
SIGNAL \led_flash_cnt[1219][4]~43952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1219][4]~43953\ : std_logic;
SIGNAL \led_flash_cnt[1219][5]~43954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1219][5]~43955\ : std_logic;
SIGNAL \led_flash_cnt[1219][6]~43956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][6]~q\ : std_logic;
SIGNAL \WideAnd1219~1_combout\ : std_logic;
SIGNAL \WideAnd1219~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][6]~43957\ : std_logic;
SIGNAL \led_flash_cnt[1219][7]~43958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1219][7]~q\ : std_logic;
SIGNAL \WideAnd1219~combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][0]~81856_combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1216][1]~43904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1216][1]~43905\ : std_logic;
SIGNAL \led_flash_cnt[1216][2]~43906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1216][2]~43907\ : std_logic;
SIGNAL \led_flash_cnt[1216][3]~43908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1216][3]~43909\ : std_logic;
SIGNAL \led_flash_cnt[1216][4]~43910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1216][4]~43911\ : std_logic;
SIGNAL \led_flash_cnt[1216][5]~43912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1216][5]~43913\ : std_logic;
SIGNAL \led_flash_cnt[1216][6]~43914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1216][6]~43915\ : std_logic;
SIGNAL \led_flash_cnt[1216][7]~43916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1216][7]~q\ : std_logic;
SIGNAL \WideAnd1216~1_combout\ : std_logic;
SIGNAL \WideAnd1216~0_combout\ : std_logic;
SIGNAL \WideAnd1216~combout\ : std_logic;
SIGNAL \WideAnd3992~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][0]~81862_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1222][1]~43988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1222][1]~43989\ : std_logic;
SIGNAL \led_flash_cnt[1222][2]~43990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1222][2]~43991\ : std_logic;
SIGNAL \led_flash_cnt[1222][3]~43992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1222][3]~43993\ : std_logic;
SIGNAL \led_flash_cnt[1222][4]~43994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][4]~q\ : std_logic;
SIGNAL \WideAnd1222~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][4]~43995\ : std_logic;
SIGNAL \led_flash_cnt[1222][5]~43996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1222][5]~43997\ : std_logic;
SIGNAL \led_flash_cnt[1222][6]~43998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][6]~q\ : std_logic;
SIGNAL \WideAnd1222~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][6]~43999\ : std_logic;
SIGNAL \led_flash_cnt[1222][7]~44000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1222][7]~q\ : std_logic;
SIGNAL \WideAnd1222~combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][0]~81860_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1220][1]~43960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1220][1]~43961\ : std_logic;
SIGNAL \led_flash_cnt[1220][2]~43962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1220][2]~43963\ : std_logic;
SIGNAL \led_flash_cnt[1220][3]~43964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1220][3]~43965\ : std_logic;
SIGNAL \led_flash_cnt[1220][4]~43966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1220][4]~43967\ : std_logic;
SIGNAL \led_flash_cnt[1220][5]~43968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1220][5]~43969\ : std_logic;
SIGNAL \led_flash_cnt[1220][6]~43970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][6]~q\ : std_logic;
SIGNAL \WideAnd1220~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][6]~43971\ : std_logic;
SIGNAL \led_flash_cnt[1220][7]~43972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1220][7]~q\ : std_logic;
SIGNAL \WideAnd1220~0_combout\ : std_logic;
SIGNAL \WideAnd1220~combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][0]~81861_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1221][1]~43974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1221][1]~43975\ : std_logic;
SIGNAL \led_flash_cnt[1221][2]~43976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1221][2]~43977\ : std_logic;
SIGNAL \led_flash_cnt[1221][3]~43978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1221][3]~43979\ : std_logic;
SIGNAL \led_flash_cnt[1221][4]~43980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][4]~q\ : std_logic;
SIGNAL \WideAnd1221~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][4]~43981\ : std_logic;
SIGNAL \led_flash_cnt[1221][5]~43982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1221][5]~43983\ : std_logic;
SIGNAL \led_flash_cnt[1221][6]~43984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][6]~q\ : std_logic;
SIGNAL \WideAnd1221~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][6]~43985\ : std_logic;
SIGNAL \led_flash_cnt[1221][7]~43986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1221][7]~q\ : std_logic;
SIGNAL \WideAnd1221~combout\ : std_logic;
SIGNAL \WideAnd3992~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][0]~81863_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1223][1]~44002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1223][1]~44003\ : std_logic;
SIGNAL \led_flash_cnt[1223][2]~44004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1223][2]~44005\ : std_logic;
SIGNAL \led_flash_cnt[1223][3]~44006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1223][3]~44007\ : std_logic;
SIGNAL \led_flash_cnt[1223][4]~44008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1223][4]~44009\ : std_logic;
SIGNAL \led_flash_cnt[1223][5]~44010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1223][5]~44011\ : std_logic;
SIGNAL \led_flash_cnt[1223][6]~44012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][6]~q\ : std_logic;
SIGNAL \WideAnd1223~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][6]~44013\ : std_logic;
SIGNAL \led_flash_cnt[1223][7]~44014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1223][7]~q\ : std_logic;
SIGNAL \WideAnd1223~0_combout\ : std_logic;
SIGNAL \WideAnd1223~combout\ : std_logic;
SIGNAL \WideAnd3992~combout\ : std_logic;
SIGNAL \WideAnd4339~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][0]~81915_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1275][1]~44730_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1275][1]~44731\ : std_logic;
SIGNAL \led_flash_cnt[1275][2]~44732_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1275][2]~44733\ : std_logic;
SIGNAL \led_flash_cnt[1275][3]~44734_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1275][3]~44735\ : std_logic;
SIGNAL \led_flash_cnt[1275][4]~44736_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][4]~q\ : std_logic;
SIGNAL \WideAnd1275~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][4]~44737\ : std_logic;
SIGNAL \led_flash_cnt[1275][5]~44738_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1275][5]~44739\ : std_logic;
SIGNAL \led_flash_cnt[1275][6]~44740_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1275][6]~44741\ : std_logic;
SIGNAL \led_flash_cnt[1275][7]~44742_combout\ : std_logic;
SIGNAL \led_flash_cnt[1275][7]~q\ : std_logic;
SIGNAL \WideAnd1275~1_combout\ : std_logic;
SIGNAL \WideAnd1275~combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][0]~81914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1274][1]~44716_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1274][1]~44717\ : std_logic;
SIGNAL \led_flash_cnt[1274][2]~44718_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1274][2]~44719\ : std_logic;
SIGNAL \led_flash_cnt[1274][3]~44720_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1274][3]~44721\ : std_logic;
SIGNAL \led_flash_cnt[1274][4]~44722_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1274][4]~44723\ : std_logic;
SIGNAL \led_flash_cnt[1274][5]~44724_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1274][5]~44725\ : std_logic;
SIGNAL \led_flash_cnt[1274][6]~44726_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][6]~q\ : std_logic;
SIGNAL \WideAnd1274~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][6]~44727\ : std_logic;
SIGNAL \led_flash_cnt[1274][7]~44728_combout\ : std_logic;
SIGNAL \led_flash_cnt[1274][7]~q\ : std_logic;
SIGNAL \WideAnd1274~0_combout\ : std_logic;
SIGNAL \WideAnd1274~combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][0]~81913_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1273][1]~44702_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1273][1]~44703\ : std_logic;
SIGNAL \led_flash_cnt[1273][2]~44704_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1273][2]~44705\ : std_logic;
SIGNAL \led_flash_cnt[1273][3]~44706_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1273][3]~44707\ : std_logic;
SIGNAL \led_flash_cnt[1273][4]~44708_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][4]~q\ : std_logic;
SIGNAL \WideAnd1273~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][4]~44709\ : std_logic;
SIGNAL \led_flash_cnt[1273][5]~44710_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1273][5]~44711\ : std_logic;
SIGNAL \led_flash_cnt[1273][6]~44712_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][6]~q\ : std_logic;
SIGNAL \WideAnd1273~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][6]~44713\ : std_logic;
SIGNAL \led_flash_cnt[1273][7]~44714_combout\ : std_logic;
SIGNAL \led_flash_cnt[1273][7]~q\ : std_logic;
SIGNAL \WideAnd1273~combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][0]~81912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1272][1]~44688_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1272][1]~44689\ : std_logic;
SIGNAL \led_flash_cnt[1272][2]~44690_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1272][2]~44691\ : std_logic;
SIGNAL \led_flash_cnt[1272][3]~44692_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1272][3]~44693\ : std_logic;
SIGNAL \led_flash_cnt[1272][4]~44694_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1272][4]~44695\ : std_logic;
SIGNAL \led_flash_cnt[1272][5]~44696_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1272][5]~44697\ : std_logic;
SIGNAL \led_flash_cnt[1272][6]~44698_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][6]~q\ : std_logic;
SIGNAL \WideAnd1272~1_combout\ : std_logic;
SIGNAL \WideAnd1272~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][6]~44699\ : std_logic;
SIGNAL \led_flash_cnt[1272][7]~44700_combout\ : std_logic;
SIGNAL \led_flash_cnt[1272][7]~q\ : std_logic;
SIGNAL \WideAnd1272~combout\ : std_logic;
SIGNAL \WideAnd3999~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][0]~81916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1276][1]~44744_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1276][1]~44745\ : std_logic;
SIGNAL \led_flash_cnt[1276][2]~44746_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1276][2]~44747\ : std_logic;
SIGNAL \led_flash_cnt[1276][3]~44748_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1276][3]~44749\ : std_logic;
SIGNAL \led_flash_cnt[1276][4]~44750_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][4]~q\ : std_logic;
SIGNAL \WideAnd1276~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][4]~44751\ : std_logic;
SIGNAL \led_flash_cnt[1276][5]~44752_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1276][5]~44753\ : std_logic;
SIGNAL \led_flash_cnt[1276][6]~44754_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1276][6]~44755\ : std_logic;
SIGNAL \led_flash_cnt[1276][7]~44756_combout\ : std_logic;
SIGNAL \led_flash_cnt[1276][7]~q\ : std_logic;
SIGNAL \WideAnd1276~1_combout\ : std_logic;
SIGNAL \WideAnd1276~combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][0]~81917_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1277][1]~44758_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1277][1]~44759\ : std_logic;
SIGNAL \led_flash_cnt[1277][2]~44760_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1277][2]~44761\ : std_logic;
SIGNAL \led_flash_cnt[1277][3]~44762_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1277][3]~44763\ : std_logic;
SIGNAL \led_flash_cnt[1277][4]~44764_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][4]~q\ : std_logic;
SIGNAL \WideAnd1277~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][4]~44765\ : std_logic;
SIGNAL \led_flash_cnt[1277][5]~44766_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1277][5]~44767\ : std_logic;
SIGNAL \led_flash_cnt[1277][6]~44768_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1277][6]~44769\ : std_logic;
SIGNAL \led_flash_cnt[1277][7]~44770_combout\ : std_logic;
SIGNAL \led_flash_cnt[1277][7]~q\ : std_logic;
SIGNAL \WideAnd1277~1_combout\ : std_logic;
SIGNAL \WideAnd1277~combout\ : std_logic;
SIGNAL \WideAnd3999~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][0]~81919_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1279][1]~44786_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1279][1]~44787\ : std_logic;
SIGNAL \led_flash_cnt[1279][2]~44788_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1279][2]~44789\ : std_logic;
SIGNAL \led_flash_cnt[1279][3]~44790_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1279][3]~44791\ : std_logic;
SIGNAL \led_flash_cnt[1279][4]~44792_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1279][4]~44793\ : std_logic;
SIGNAL \led_flash_cnt[1279][5]~44794_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1279][5]~44795\ : std_logic;
SIGNAL \led_flash_cnt[1279][6]~44796_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1279][6]~44797\ : std_logic;
SIGNAL \led_flash_cnt[1279][7]~44798_combout\ : std_logic;
SIGNAL \led_flash_cnt[1279][7]~q\ : std_logic;
SIGNAL \WideAnd1279~0_combout\ : std_logic;
SIGNAL \WideAnd1279~1_combout\ : std_logic;
SIGNAL \WideAnd1279~combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][0]~81918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1278][1]~44772_combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1278][1]~44773\ : std_logic;
SIGNAL \led_flash_cnt[1278][2]~44774_combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1278][2]~44775\ : std_logic;
SIGNAL \led_flash_cnt[1278][3]~44776_combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1278][3]~44777\ : std_logic;
SIGNAL \led_flash_cnt[1278][4]~44778_combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1278][4]~44779\ : std_logic;
SIGNAL \led_flash_cnt[1278][5]~44780_combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1278][5]~44781\ : std_logic;
SIGNAL \led_flash_cnt[1278][6]~44782_combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1278][6]~44783\ : std_logic;
SIGNAL \led_flash_cnt[1278][7]~44784_combout\ : std_logic;
SIGNAL \led_flash_cnt[1278][7]~q\ : std_logic;
SIGNAL \WideAnd1278~1_combout\ : std_logic;
SIGNAL \WideAnd1278~0_combout\ : std_logic;
SIGNAL \WideAnd1278~combout\ : std_logic;
SIGNAL \WideAnd3999~combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][0]~81911_combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1271][1]~44674_combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1271][1]~44675\ : std_logic;
SIGNAL \led_flash_cnt[1271][2]~44676_combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1271][2]~44677\ : std_logic;
SIGNAL \led_flash_cnt[1271][3]~44678_combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1271][3]~44679\ : std_logic;
SIGNAL \led_flash_cnt[1271][4]~44680_combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1271][4]~44681\ : std_logic;
SIGNAL \led_flash_cnt[1271][5]~44682_combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1271][5]~44683\ : std_logic;
SIGNAL \led_flash_cnt[1271][6]~44684_combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1271][6]~44685\ : std_logic;
SIGNAL \led_flash_cnt[1271][7]~44686_combout\ : std_logic;
SIGNAL \led_flash_cnt[1271][7]~q\ : std_logic;
SIGNAL \WideAnd1271~0_combout\ : std_logic;
SIGNAL \WideAnd1271~1_combout\ : std_logic;
SIGNAL \WideAnd1271~combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][0]~81909_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1269][1]~44646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1269][1]~44647\ : std_logic;
SIGNAL \led_flash_cnt[1269][2]~44648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1269][2]~44649\ : std_logic;
SIGNAL \led_flash_cnt[1269][3]~44650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1269][3]~44651\ : std_logic;
SIGNAL \led_flash_cnt[1269][4]~44652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][4]~q\ : std_logic;
SIGNAL \WideAnd1269~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][4]~44653\ : std_logic;
SIGNAL \led_flash_cnt[1269][5]~44654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1269][5]~44655\ : std_logic;
SIGNAL \led_flash_cnt[1269][6]~44656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][6]~q\ : std_logic;
SIGNAL \WideAnd1269~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][6]~44657\ : std_logic;
SIGNAL \led_flash_cnt[1269][7]~44658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1269][7]~q\ : std_logic;
SIGNAL \WideAnd1269~combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][0]~81908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1268][1]~44632_combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1268][1]~44633\ : std_logic;
SIGNAL \led_flash_cnt[1268][2]~44634_combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1268][2]~44635\ : std_logic;
SIGNAL \led_flash_cnt[1268][3]~44636_combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1268][3]~44637\ : std_logic;
SIGNAL \led_flash_cnt[1268][4]~44638_combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1268][4]~44639\ : std_logic;
SIGNAL \led_flash_cnt[1268][5]~44640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1268][5]~44641\ : std_logic;
SIGNAL \led_flash_cnt[1268][6]~44642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1268][6]~44643\ : std_logic;
SIGNAL \led_flash_cnt[1268][7]~44644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1268][7]~q\ : std_logic;
SIGNAL \WideAnd1268~0_combout\ : std_logic;
SIGNAL \WideAnd1268~1_combout\ : std_logic;
SIGNAL \WideAnd1268~combout\ : std_logic;
SIGNAL \WideAnd3998~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][0]~81910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1270][1]~44660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1270][1]~44661\ : std_logic;
SIGNAL \led_flash_cnt[1270][2]~44662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1270][2]~44663\ : std_logic;
SIGNAL \led_flash_cnt[1270][3]~44664_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1270][3]~44665\ : std_logic;
SIGNAL \led_flash_cnt[1270][4]~44666_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][4]~q\ : std_logic;
SIGNAL \WideAnd1270~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][4]~44667\ : std_logic;
SIGNAL \led_flash_cnt[1270][5]~44668_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1270][5]~44669\ : std_logic;
SIGNAL \led_flash_cnt[1270][6]~44670_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1270][6]~44671\ : std_logic;
SIGNAL \led_flash_cnt[1270][7]~44672_combout\ : std_logic;
SIGNAL \led_flash_cnt[1270][7]~q\ : std_logic;
SIGNAL \WideAnd1270~1_combout\ : std_logic;
SIGNAL \WideAnd1270~combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][0]~81907_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1267][1]~44618_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1267][1]~44619\ : std_logic;
SIGNAL \led_flash_cnt[1267][2]~44620_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1267][2]~44621\ : std_logic;
SIGNAL \led_flash_cnt[1267][3]~44622_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1267][3]~44623\ : std_logic;
SIGNAL \led_flash_cnt[1267][4]~44624_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1267][4]~44625\ : std_logic;
SIGNAL \led_flash_cnt[1267][5]~44626_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1267][5]~44627\ : std_logic;
SIGNAL \led_flash_cnt[1267][6]~44628_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][6]~q\ : std_logic;
SIGNAL \WideAnd1267~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][6]~44629\ : std_logic;
SIGNAL \led_flash_cnt[1267][7]~44630_combout\ : std_logic;
SIGNAL \led_flash_cnt[1267][7]~q\ : std_logic;
SIGNAL \WideAnd1267~0_combout\ : std_logic;
SIGNAL \WideAnd1267~combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][0]~81906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1266][1]~44604_combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1266][1]~44605\ : std_logic;
SIGNAL \led_flash_cnt[1266][2]~44606_combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1266][2]~44607\ : std_logic;
SIGNAL \led_flash_cnt[1266][3]~44608_combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1266][3]~44609\ : std_logic;
SIGNAL \led_flash_cnt[1266][4]~44610_combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1266][4]~44611\ : std_logic;
SIGNAL \led_flash_cnt[1266][5]~44612_combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1266][5]~44613\ : std_logic;
SIGNAL \led_flash_cnt[1266][6]~44614_combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1266][6]~44615\ : std_logic;
SIGNAL \led_flash_cnt[1266][7]~44616_combout\ : std_logic;
SIGNAL \led_flash_cnt[1266][7]~q\ : std_logic;
SIGNAL \WideAnd1266~0_combout\ : std_logic;
SIGNAL \WideAnd1266~1_combout\ : std_logic;
SIGNAL \WideAnd1266~combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][0]~81905_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1265][1]~44590_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1265][1]~44591\ : std_logic;
SIGNAL \led_flash_cnt[1265][2]~44592_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1265][2]~44593\ : std_logic;
SIGNAL \led_flash_cnt[1265][3]~44594_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1265][3]~44595\ : std_logic;
SIGNAL \led_flash_cnt[1265][4]~44596_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1265][4]~44597\ : std_logic;
SIGNAL \led_flash_cnt[1265][5]~44598_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1265][5]~44599\ : std_logic;
SIGNAL \led_flash_cnt[1265][6]~44600_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][6]~q\ : std_logic;
SIGNAL \WideAnd1265~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][6]~44601\ : std_logic;
SIGNAL \led_flash_cnt[1265][7]~44602_combout\ : std_logic;
SIGNAL \led_flash_cnt[1265][7]~q\ : std_logic;
SIGNAL \WideAnd1265~0_combout\ : std_logic;
SIGNAL \WideAnd1265~combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][0]~81904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1264][1]~44576_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1264][1]~44577\ : std_logic;
SIGNAL \led_flash_cnt[1264][2]~44578_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1264][2]~44579\ : std_logic;
SIGNAL \led_flash_cnt[1264][3]~44580_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1264][3]~44581\ : std_logic;
SIGNAL \led_flash_cnt[1264][4]~44582_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][4]~q\ : std_logic;
SIGNAL \WideAnd1264~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][4]~44583\ : std_logic;
SIGNAL \led_flash_cnt[1264][5]~44584_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1264][5]~44585\ : std_logic;
SIGNAL \led_flash_cnt[1264][6]~44586_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1264][6]~44587\ : std_logic;
SIGNAL \led_flash_cnt[1264][7]~44588_combout\ : std_logic;
SIGNAL \led_flash_cnt[1264][7]~q\ : std_logic;
SIGNAL \WideAnd1264~1_combout\ : std_logic;
SIGNAL \WideAnd1264~combout\ : std_logic;
SIGNAL \WideAnd3998~0_combout\ : std_logic;
SIGNAL \WideAnd3998~combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][0]~81902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1262][1]~44548_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1262][1]~44549\ : std_logic;
SIGNAL \led_flash_cnt[1262][2]~44550_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1262][2]~44551\ : std_logic;
SIGNAL \led_flash_cnt[1262][3]~44552_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1262][3]~44553\ : std_logic;
SIGNAL \led_flash_cnt[1262][4]~44554_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1262][4]~44555\ : std_logic;
SIGNAL \led_flash_cnt[1262][5]~44556_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1262][5]~44557\ : std_logic;
SIGNAL \led_flash_cnt[1262][6]~44558_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][6]~q\ : std_logic;
SIGNAL \WideAnd1262~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][6]~44559\ : std_logic;
SIGNAL \led_flash_cnt[1262][7]~44560_combout\ : std_logic;
SIGNAL \led_flash_cnt[1262][7]~q\ : std_logic;
SIGNAL \WideAnd1262~1_combout\ : std_logic;
SIGNAL \WideAnd1262~combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][0]~81903_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1263][1]~44562_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1263][1]~44563\ : std_logic;
SIGNAL \led_flash_cnt[1263][2]~44564_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1263][2]~44565\ : std_logic;
SIGNAL \led_flash_cnt[1263][3]~44566_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1263][3]~44567\ : std_logic;
SIGNAL \led_flash_cnt[1263][4]~44568_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][4]~q\ : std_logic;
SIGNAL \WideAnd1263~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][4]~44569\ : std_logic;
SIGNAL \led_flash_cnt[1263][5]~44570_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1263][5]~44571\ : std_logic;
SIGNAL \led_flash_cnt[1263][6]~44572_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1263][6]~44573\ : std_logic;
SIGNAL \led_flash_cnt[1263][7]~44574_combout\ : std_logic;
SIGNAL \led_flash_cnt[1263][7]~q\ : std_logic;
SIGNAL \WideAnd1263~1_combout\ : std_logic;
SIGNAL \WideAnd1263~combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][0]~81896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1256][1]~44464_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1256][1]~44465\ : std_logic;
SIGNAL \led_flash_cnt[1256][2]~44466_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1256][2]~44467\ : std_logic;
SIGNAL \led_flash_cnt[1256][3]~44468_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1256][3]~44469\ : std_logic;
SIGNAL \led_flash_cnt[1256][4]~44470_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][4]~q\ : std_logic;
SIGNAL \WideAnd1256~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][4]~44471\ : std_logic;
SIGNAL \led_flash_cnt[1256][5]~44472_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1256][5]~44473\ : std_logic;
SIGNAL \led_flash_cnt[1256][6]~44474_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][6]~q\ : std_logic;
SIGNAL \WideAnd1256~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][6]~44475\ : std_logic;
SIGNAL \led_flash_cnt[1256][7]~44476_combout\ : std_logic;
SIGNAL \led_flash_cnt[1256][7]~q\ : std_logic;
SIGNAL \WideAnd1256~combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][0]~81899_combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1259][1]~44506_combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1259][1]~44507\ : std_logic;
SIGNAL \led_flash_cnt[1259][2]~44508_combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1259][2]~44509\ : std_logic;
SIGNAL \led_flash_cnt[1259][3]~44510_combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1259][3]~44511\ : std_logic;
SIGNAL \led_flash_cnt[1259][4]~44512_combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1259][4]~44513\ : std_logic;
SIGNAL \led_flash_cnt[1259][5]~44514_combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1259][5]~44515\ : std_logic;
SIGNAL \led_flash_cnt[1259][6]~44516_combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1259][6]~44517\ : std_logic;
SIGNAL \led_flash_cnt[1259][7]~44518_combout\ : std_logic;
SIGNAL \led_flash_cnt[1259][7]~q\ : std_logic;
SIGNAL \WideAnd1259~0_combout\ : std_logic;
SIGNAL \WideAnd1259~1_combout\ : std_logic;
SIGNAL \WideAnd1259~combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][0]~81897_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1257][1]~44478_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1257][1]~44479\ : std_logic;
SIGNAL \led_flash_cnt[1257][2]~44480_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1257][2]~44481\ : std_logic;
SIGNAL \led_flash_cnt[1257][3]~44482_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1257][3]~44483\ : std_logic;
SIGNAL \led_flash_cnt[1257][4]~44484_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1257][4]~44485\ : std_logic;
SIGNAL \led_flash_cnt[1257][5]~44486_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1257][5]~44487\ : std_logic;
SIGNAL \led_flash_cnt[1257][6]~44488_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][6]~q\ : std_logic;
SIGNAL \WideAnd1257~1_combout\ : std_logic;
SIGNAL \WideAnd1257~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][6]~44489\ : std_logic;
SIGNAL \led_flash_cnt[1257][7]~44490_combout\ : std_logic;
SIGNAL \led_flash_cnt[1257][7]~q\ : std_logic;
SIGNAL \WideAnd1257~combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][0]~81898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1258][1]~44492_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1258][1]~44493\ : std_logic;
SIGNAL \led_flash_cnt[1258][2]~44494_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1258][2]~44495\ : std_logic;
SIGNAL \led_flash_cnt[1258][3]~44496_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1258][3]~44497\ : std_logic;
SIGNAL \led_flash_cnt[1258][4]~44498_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1258][4]~44499\ : std_logic;
SIGNAL \led_flash_cnt[1258][5]~44500_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1258][5]~44501\ : std_logic;
SIGNAL \led_flash_cnt[1258][6]~44502_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][6]~q\ : std_logic;
SIGNAL \WideAnd1258~1_combout\ : std_logic;
SIGNAL \WideAnd1258~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][6]~44503\ : std_logic;
SIGNAL \led_flash_cnt[1258][7]~44504_combout\ : std_logic;
SIGNAL \led_flash_cnt[1258][7]~q\ : std_logic;
SIGNAL \WideAnd1258~combout\ : std_logic;
SIGNAL \WideAnd3997~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][0]~81900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1260][1]~44520_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1260][1]~44521\ : std_logic;
SIGNAL \led_flash_cnt[1260][2]~44522_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1260][2]~44523\ : std_logic;
SIGNAL \led_flash_cnt[1260][3]~44524_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1260][3]~44525\ : std_logic;
SIGNAL \led_flash_cnt[1260][4]~44526_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][4]~q\ : std_logic;
SIGNAL \WideAnd1260~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][4]~44527\ : std_logic;
SIGNAL \led_flash_cnt[1260][5]~44528_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1260][5]~44529\ : std_logic;
SIGNAL \led_flash_cnt[1260][6]~44530_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1260][6]~44531\ : std_logic;
SIGNAL \led_flash_cnt[1260][7]~44532_combout\ : std_logic;
SIGNAL \led_flash_cnt[1260][7]~q\ : std_logic;
SIGNAL \WideAnd1260~1_combout\ : std_logic;
SIGNAL \WideAnd1260~combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][0]~81901_combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1261][1]~44534_combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1261][1]~44535\ : std_logic;
SIGNAL \led_flash_cnt[1261][2]~44536_combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1261][2]~44537\ : std_logic;
SIGNAL \led_flash_cnt[1261][3]~44538_combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1261][3]~44539\ : std_logic;
SIGNAL \led_flash_cnt[1261][4]~44540_combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1261][4]~44541\ : std_logic;
SIGNAL \led_flash_cnt[1261][5]~44542_combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1261][5]~44543\ : std_logic;
SIGNAL \led_flash_cnt[1261][6]~44544_combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1261][6]~44545\ : std_logic;
SIGNAL \led_flash_cnt[1261][7]~44546_combout\ : std_logic;
SIGNAL \led_flash_cnt[1261][7]~q\ : std_logic;
SIGNAL \WideAnd1261~0_combout\ : std_logic;
SIGNAL \WideAnd1261~1_combout\ : std_logic;
SIGNAL \WideAnd1261~combout\ : std_logic;
SIGNAL \WideAnd3997~1_combout\ : std_logic;
SIGNAL \WideAnd3997~combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][0]~81892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1252][1]~44408_combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1252][1]~44409\ : std_logic;
SIGNAL \led_flash_cnt[1252][2]~44410_combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1252][2]~44411\ : std_logic;
SIGNAL \led_flash_cnt[1252][3]~44412_combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1252][3]~44413\ : std_logic;
SIGNAL \led_flash_cnt[1252][4]~44414_combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1252][4]~44415\ : std_logic;
SIGNAL \led_flash_cnt[1252][5]~44416_combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1252][5]~44417\ : std_logic;
SIGNAL \led_flash_cnt[1252][6]~44418_combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1252][6]~44419\ : std_logic;
SIGNAL \led_flash_cnt[1252][7]~44420_combout\ : std_logic;
SIGNAL \led_flash_cnt[1252][7]~q\ : std_logic;
SIGNAL \WideAnd1252~0_combout\ : std_logic;
SIGNAL \WideAnd1252~1_combout\ : std_logic;
SIGNAL \WideAnd1252~combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][0]~81893_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1253][1]~44422_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1253][1]~44423\ : std_logic;
SIGNAL \led_flash_cnt[1253][2]~44424_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1253][2]~44425\ : std_logic;
SIGNAL \led_flash_cnt[1253][3]~44426_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1253][3]~44427\ : std_logic;
SIGNAL \led_flash_cnt[1253][4]~44428_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][4]~q\ : std_logic;
SIGNAL \WideAnd1253~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][4]~44429\ : std_logic;
SIGNAL \led_flash_cnt[1253][5]~44430_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1253][5]~44431\ : std_logic;
SIGNAL \led_flash_cnt[1253][6]~44432_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1253][6]~44433\ : std_logic;
SIGNAL \led_flash_cnt[1253][7]~44434_combout\ : std_logic;
SIGNAL \led_flash_cnt[1253][7]~q\ : std_logic;
SIGNAL \WideAnd1253~1_combout\ : std_logic;
SIGNAL \WideAnd1253~combout\ : std_logic;
SIGNAL \WideAnd3996~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][0]~81895_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1255][1]~44450_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1255][1]~44451\ : std_logic;
SIGNAL \led_flash_cnt[1255][2]~44452_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1255][2]~44453\ : std_logic;
SIGNAL \led_flash_cnt[1255][3]~44454_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1255][3]~44455\ : std_logic;
SIGNAL \led_flash_cnt[1255][4]~44456_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][4]~q\ : std_logic;
SIGNAL \WideAnd1255~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][4]~44457\ : std_logic;
SIGNAL \led_flash_cnt[1255][5]~44458_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1255][5]~44459\ : std_logic;
SIGNAL \led_flash_cnt[1255][6]~44460_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1255][6]~44461\ : std_logic;
SIGNAL \led_flash_cnt[1255][7]~44462_combout\ : std_logic;
SIGNAL \led_flash_cnt[1255][7]~q\ : std_logic;
SIGNAL \WideAnd1255~1_combout\ : std_logic;
SIGNAL \WideAnd1255~combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][0]~81888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1248][1]~44352_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1248][1]~44353\ : std_logic;
SIGNAL \led_flash_cnt[1248][2]~44354_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1248][2]~44355\ : std_logic;
SIGNAL \led_flash_cnt[1248][3]~44356_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1248][3]~44357\ : std_logic;
SIGNAL \led_flash_cnt[1248][4]~44358_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1248][4]~44359\ : std_logic;
SIGNAL \led_flash_cnt[1248][5]~44360_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1248][5]~44361\ : std_logic;
SIGNAL \led_flash_cnt[1248][6]~44362_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][6]~q\ : std_logic;
SIGNAL \WideAnd1248~1_combout\ : std_logic;
SIGNAL \WideAnd1248~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][6]~44363\ : std_logic;
SIGNAL \led_flash_cnt[1248][7]~44364_combout\ : std_logic;
SIGNAL \led_flash_cnt[1248][7]~q\ : std_logic;
SIGNAL \WideAnd1248~combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][0]~81889_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1249][1]~44366_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1249][1]~44367\ : std_logic;
SIGNAL \led_flash_cnt[1249][2]~44368_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1249][2]~44369\ : std_logic;
SIGNAL \led_flash_cnt[1249][3]~44370_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1249][3]~44371\ : std_logic;
SIGNAL \led_flash_cnt[1249][4]~44372_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1249][4]~44373\ : std_logic;
SIGNAL \led_flash_cnt[1249][5]~44374_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1249][5]~44375\ : std_logic;
SIGNAL \led_flash_cnt[1249][6]~44376_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][6]~q\ : std_logic;
SIGNAL \WideAnd1249~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][6]~44377\ : std_logic;
SIGNAL \led_flash_cnt[1249][7]~44378_combout\ : std_logic;
SIGNAL \led_flash_cnt[1249][7]~q\ : std_logic;
SIGNAL \WideAnd1249~0_combout\ : std_logic;
SIGNAL \WideAnd1249~combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][0]~81890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1250][1]~44380_combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1250][1]~44381\ : std_logic;
SIGNAL \led_flash_cnt[1250][2]~44382_combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1250][2]~44383\ : std_logic;
SIGNAL \led_flash_cnt[1250][3]~44384_combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1250][3]~44385\ : std_logic;
SIGNAL \led_flash_cnt[1250][4]~44386_combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1250][4]~44387\ : std_logic;
SIGNAL \led_flash_cnt[1250][5]~44388_combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1250][5]~44389\ : std_logic;
SIGNAL \led_flash_cnt[1250][6]~44390_combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1250][6]~44391\ : std_logic;
SIGNAL \led_flash_cnt[1250][7]~44392_combout\ : std_logic;
SIGNAL \led_flash_cnt[1250][7]~q\ : std_logic;
SIGNAL \WideAnd1250~0_combout\ : std_logic;
SIGNAL \WideAnd1250~1_combout\ : std_logic;
SIGNAL \WideAnd1250~combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][0]~81891_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1251][1]~44394_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1251][1]~44395\ : std_logic;
SIGNAL \led_flash_cnt[1251][2]~44396_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1251][2]~44397\ : std_logic;
SIGNAL \led_flash_cnt[1251][3]~44398_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1251][3]~44399\ : std_logic;
SIGNAL \led_flash_cnt[1251][4]~44400_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][4]~q\ : std_logic;
SIGNAL \WideAnd1251~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][4]~44401\ : std_logic;
SIGNAL \led_flash_cnt[1251][5]~44402_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1251][5]~44403\ : std_logic;
SIGNAL \led_flash_cnt[1251][6]~44404_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1251][6]~44405\ : std_logic;
SIGNAL \led_flash_cnt[1251][7]~44406_combout\ : std_logic;
SIGNAL \led_flash_cnt[1251][7]~q\ : std_logic;
SIGNAL \WideAnd1251~1_combout\ : std_logic;
SIGNAL \WideAnd1251~combout\ : std_logic;
SIGNAL \WideAnd3996~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][0]~81894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1254][1]~44436_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1254][1]~44437\ : std_logic;
SIGNAL \led_flash_cnt[1254][2]~44438_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1254][2]~44439\ : std_logic;
SIGNAL \led_flash_cnt[1254][3]~44440_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1254][3]~44441\ : std_logic;
SIGNAL \led_flash_cnt[1254][4]~44442_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1254][4]~44443\ : std_logic;
SIGNAL \led_flash_cnt[1254][5]~44444_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1254][5]~44445\ : std_logic;
SIGNAL \led_flash_cnt[1254][6]~44446_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1254][6]~44447\ : std_logic;
SIGNAL \led_flash_cnt[1254][7]~44448_combout\ : std_logic;
SIGNAL \led_flash_cnt[1254][7]~q\ : std_logic;
SIGNAL \WideAnd1254~1_combout\ : std_logic;
SIGNAL \WideAnd1254~0_combout\ : std_logic;
SIGNAL \WideAnd1254~combout\ : std_logic;
SIGNAL \WideAnd3996~combout\ : std_logic;
SIGNAL \WideAnd4339~1_combout\ : std_logic;
SIGNAL \WideAnd4339~combout\ : std_logic;
SIGNAL \WideAnd4380~5_combout\ : std_logic;
SIGNAL \WideAnd4380~9_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][0]~81588_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[948][1]~40152_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[948][1]~40153\ : std_logic;
SIGNAL \led_flash_cnt[948][2]~40154_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[948][2]~40155\ : std_logic;
SIGNAL \led_flash_cnt[948][3]~40156_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[948][3]~40157\ : std_logic;
SIGNAL \led_flash_cnt[948][4]~40158_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[948][4]~40159\ : std_logic;
SIGNAL \led_flash_cnt[948][5]~40160_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[948][5]~40161\ : std_logic;
SIGNAL \led_flash_cnt[948][6]~40162_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][6]~q\ : std_logic;
SIGNAL \WideAnd948~1_combout\ : std_logic;
SIGNAL \WideAnd948~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][6]~40163\ : std_logic;
SIGNAL \led_flash_cnt[948][7]~40164_combout\ : std_logic;
SIGNAL \led_flash_cnt[948][7]~q\ : std_logic;
SIGNAL \WideAnd948~combout\ : std_logic;
SIGNAL \led_flash_cnt[949][0]~81589_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[949][1]~40166_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[949][1]~40167\ : std_logic;
SIGNAL \led_flash_cnt[949][2]~40168_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[949][2]~40169\ : std_logic;
SIGNAL \led_flash_cnt[949][3]~40170_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[949][3]~40171\ : std_logic;
SIGNAL \led_flash_cnt[949][4]~40172_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[949][4]~40173\ : std_logic;
SIGNAL \led_flash_cnt[949][5]~40174_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[949][5]~40175\ : std_logic;
SIGNAL \led_flash_cnt[949][6]~40176_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][6]~q\ : std_logic;
SIGNAL \WideAnd949~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][6]~40177\ : std_logic;
SIGNAL \led_flash_cnt[949][7]~40178_combout\ : std_logic;
SIGNAL \led_flash_cnt[949][7]~q\ : std_logic;
SIGNAL \WideAnd949~0_combout\ : std_logic;
SIGNAL \WideAnd949~combout\ : std_logic;
SIGNAL \WideAnd3958~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][0]~81590_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[950][1]~40180_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[950][1]~40181\ : std_logic;
SIGNAL \led_flash_cnt[950][2]~40182_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[950][2]~40183\ : std_logic;
SIGNAL \led_flash_cnt[950][3]~40184_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[950][3]~40185\ : std_logic;
SIGNAL \led_flash_cnt[950][4]~40186_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][4]~q\ : std_logic;
SIGNAL \WideAnd950~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][4]~40187\ : std_logic;
SIGNAL \led_flash_cnt[950][5]~40188_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[950][5]~40189\ : std_logic;
SIGNAL \led_flash_cnt[950][6]~40190_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[950][6]~40191\ : std_logic;
SIGNAL \led_flash_cnt[950][7]~40192_combout\ : std_logic;
SIGNAL \led_flash_cnt[950][7]~q\ : std_logic;
SIGNAL \WideAnd950~1_combout\ : std_logic;
SIGNAL \WideAnd950~combout\ : std_logic;
SIGNAL \led_flash_cnt[947][0]~81587_combout\ : std_logic;
SIGNAL \led_flash_cnt[947][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[947][1]~40138_combout\ : std_logic;
SIGNAL \led_flash_cnt[947][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[947][1]~40139\ : std_logic;
SIGNAL \led_flash_cnt[947][2]~40140_combout\ : std_logic;
SIGNAL \led_flash_cnt[947][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[947][2]~40141\ : std_logic;
SIGNAL \led_flash_cnt[947][3]~40142_combout\ : std_logic;
SIGNAL \led_flash_cnt[947][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[947][3]~40143\ : std_logic;
SIGNAL \led_flash_cnt[947][4]~40144_combout\ : std_logic;
SIGNAL \led_flash_cnt[947][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[947][4]~40145\ : std_logic;
SIGNAL \led_flash_cnt[947][5]~40146_combout\ : std_logic;
SIGNAL \led_flash_cnt[947][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[947][5]~40147\ : std_logic;
SIGNAL \led_flash_cnt[947][6]~40148_combout\ : std_logic;
SIGNAL \led_flash_cnt[947][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[947][6]~40149\ : std_logic;
SIGNAL \led_flash_cnt[947][7]~40150_combout\ : std_logic;
SIGNAL \led_flash_cnt[947][7]~q\ : std_logic;
SIGNAL \WideAnd947~1_combout\ : std_logic;
SIGNAL \WideAnd947~0_combout\ : std_logic;
SIGNAL \WideAnd947~combout\ : std_logic;
SIGNAL \led_flash_cnt[944][0]~81584_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[944][1]~40096_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[944][1]~40097\ : std_logic;
SIGNAL \led_flash_cnt[944][2]~40098_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[944][2]~40099\ : std_logic;
SIGNAL \led_flash_cnt[944][3]~40100_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[944][3]~40101\ : std_logic;
SIGNAL \led_flash_cnt[944][4]~40102_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[944][4]~40103\ : std_logic;
SIGNAL \led_flash_cnt[944][5]~40104_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[944][5]~40105\ : std_logic;
SIGNAL \led_flash_cnt[944][6]~40106_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][6]~q\ : std_logic;
SIGNAL \WideAnd944~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][6]~40107\ : std_logic;
SIGNAL \led_flash_cnt[944][7]~40108_combout\ : std_logic;
SIGNAL \led_flash_cnt[944][7]~q\ : std_logic;
SIGNAL \WideAnd944~0_combout\ : std_logic;
SIGNAL \WideAnd944~combout\ : std_logic;
SIGNAL \led_flash_cnt[945][0]~81585_combout\ : std_logic;
SIGNAL \led_flash_cnt[945][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[945][1]~40110_combout\ : std_logic;
SIGNAL \led_flash_cnt[945][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[945][1]~40111\ : std_logic;
SIGNAL \led_flash_cnt[945][2]~40112_combout\ : std_logic;
SIGNAL \led_flash_cnt[945][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[945][2]~40113\ : std_logic;
SIGNAL \led_flash_cnt[945][3]~40114_combout\ : std_logic;
SIGNAL \led_flash_cnt[945][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[945][3]~40115\ : std_logic;
SIGNAL \led_flash_cnt[945][4]~40116_combout\ : std_logic;
SIGNAL \led_flash_cnt[945][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[945][4]~40117\ : std_logic;
SIGNAL \led_flash_cnt[945][5]~40118_combout\ : std_logic;
SIGNAL \led_flash_cnt[945][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[945][5]~40119\ : std_logic;
SIGNAL \led_flash_cnt[945][6]~40120_combout\ : std_logic;
SIGNAL \led_flash_cnt[945][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[945][6]~40121\ : std_logic;
SIGNAL \led_flash_cnt[945][7]~40122_combout\ : std_logic;
SIGNAL \led_flash_cnt[945][7]~q\ : std_logic;
SIGNAL \WideAnd945~0_combout\ : std_logic;
SIGNAL \WideAnd945~1_combout\ : std_logic;
SIGNAL \WideAnd945~combout\ : std_logic;
SIGNAL \led_flash_cnt[946][0]~81586_combout\ : std_logic;
SIGNAL \led_flash_cnt[946][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[946][1]~40124_combout\ : std_logic;
SIGNAL \led_flash_cnt[946][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[946][1]~40125\ : std_logic;
SIGNAL \led_flash_cnt[946][2]~40126_combout\ : std_logic;
SIGNAL \led_flash_cnt[946][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[946][2]~40127\ : std_logic;
SIGNAL \led_flash_cnt[946][3]~40128_combout\ : std_logic;
SIGNAL \led_flash_cnt[946][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[946][3]~40129\ : std_logic;
SIGNAL \led_flash_cnt[946][4]~40130_combout\ : std_logic;
SIGNAL \led_flash_cnt[946][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[946][4]~40131\ : std_logic;
SIGNAL \led_flash_cnt[946][5]~40132_combout\ : std_logic;
SIGNAL \led_flash_cnt[946][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[946][5]~40133\ : std_logic;
SIGNAL \led_flash_cnt[946][6]~40134_combout\ : std_logic;
SIGNAL \led_flash_cnt[946][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[946][6]~40135\ : std_logic;
SIGNAL \led_flash_cnt[946][7]~40136_combout\ : std_logic;
SIGNAL \led_flash_cnt[946][7]~q\ : std_logic;
SIGNAL \WideAnd946~1_combout\ : std_logic;
SIGNAL \WideAnd946~0_combout\ : std_logic;
SIGNAL \WideAnd946~combout\ : std_logic;
SIGNAL \WideAnd3958~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][0]~81591_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[951][1]~40194_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[951][1]~40195\ : std_logic;
SIGNAL \led_flash_cnt[951][2]~40196_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[951][2]~40197\ : std_logic;
SIGNAL \led_flash_cnt[951][3]~40198_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[951][3]~40199\ : std_logic;
SIGNAL \led_flash_cnt[951][4]~40200_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[951][4]~40201\ : std_logic;
SIGNAL \led_flash_cnt[951][5]~40202_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[951][5]~40203\ : std_logic;
SIGNAL \led_flash_cnt[951][6]~40204_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][6]~q\ : std_logic;
SIGNAL \WideAnd951~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][6]~40205\ : std_logic;
SIGNAL \led_flash_cnt[951][7]~40206_combout\ : std_logic;
SIGNAL \led_flash_cnt[951][7]~q\ : std_logic;
SIGNAL \WideAnd951~0_combout\ : std_logic;
SIGNAL \WideAnd951~combout\ : std_logic;
SIGNAL \WideAnd3958~combout\ : std_logic;
SIGNAL \led_flash_cnt[957][0]~81597_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[957][1]~40278_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[957][1]~40279\ : std_logic;
SIGNAL \led_flash_cnt[957][2]~40280_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[957][2]~40281\ : std_logic;
SIGNAL \led_flash_cnt[957][3]~40282_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[957][3]~40283\ : std_logic;
SIGNAL \led_flash_cnt[957][4]~40284_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[957][4]~40285\ : std_logic;
SIGNAL \led_flash_cnt[957][5]~40286_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[957][5]~40287\ : std_logic;
SIGNAL \led_flash_cnt[957][6]~40288_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][6]~q\ : std_logic;
SIGNAL \WideAnd957~1_combout\ : std_logic;
SIGNAL \WideAnd957~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][6]~40289\ : std_logic;
SIGNAL \led_flash_cnt[957][7]~40290_combout\ : std_logic;
SIGNAL \led_flash_cnt[957][7]~q\ : std_logic;
SIGNAL \WideAnd957~combout\ : std_logic;
SIGNAL \led_flash_cnt[956][0]~81596_combout\ : std_logic;
SIGNAL \led_flash_cnt[956][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[956][1]~40264_combout\ : std_logic;
SIGNAL \led_flash_cnt[956][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[956][1]~40265\ : std_logic;
SIGNAL \led_flash_cnt[956][2]~40266_combout\ : std_logic;
SIGNAL \led_flash_cnt[956][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[956][2]~40267\ : std_logic;
SIGNAL \led_flash_cnt[956][3]~40268_combout\ : std_logic;
SIGNAL \led_flash_cnt[956][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[956][3]~40269\ : std_logic;
SIGNAL \led_flash_cnt[956][4]~40270_combout\ : std_logic;
SIGNAL \led_flash_cnt[956][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[956][4]~40271\ : std_logic;
SIGNAL \led_flash_cnt[956][5]~40272_combout\ : std_logic;
SIGNAL \led_flash_cnt[956][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[956][5]~40273\ : std_logic;
SIGNAL \led_flash_cnt[956][6]~40274_combout\ : std_logic;
SIGNAL \led_flash_cnt[956][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[956][6]~40275\ : std_logic;
SIGNAL \led_flash_cnt[956][7]~40276_combout\ : std_logic;
SIGNAL \led_flash_cnt[956][7]~q\ : std_logic;
SIGNAL \WideAnd956~0_combout\ : std_logic;
SIGNAL \WideAnd956~1_combout\ : std_logic;
SIGNAL \WideAnd956~combout\ : std_logic;
SIGNAL \WideAnd3959~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][0]~81599_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[959][1]~40306_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[959][1]~40307\ : std_logic;
SIGNAL \led_flash_cnt[959][2]~40308_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[959][2]~40309\ : std_logic;
SIGNAL \led_flash_cnt[959][3]~40310_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[959][3]~40311\ : std_logic;
SIGNAL \led_flash_cnt[959][4]~40312_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[959][4]~40313\ : std_logic;
SIGNAL \led_flash_cnt[959][5]~40314_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[959][5]~40315\ : std_logic;
SIGNAL \led_flash_cnt[959][6]~40316_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][6]~q\ : std_logic;
SIGNAL \WideAnd959~1_combout\ : std_logic;
SIGNAL \WideAnd959~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][6]~40317\ : std_logic;
SIGNAL \led_flash_cnt[959][7]~40318_combout\ : std_logic;
SIGNAL \led_flash_cnt[959][7]~q\ : std_logic;
SIGNAL \WideAnd959~combout\ : std_logic;
SIGNAL \led_flash_cnt[954][0]~81594_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[954][1]~40236_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[954][1]~40237\ : std_logic;
SIGNAL \led_flash_cnt[954][2]~40238_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[954][2]~40239\ : std_logic;
SIGNAL \led_flash_cnt[954][3]~40240_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[954][3]~40241\ : std_logic;
SIGNAL \led_flash_cnt[954][4]~40242_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[954][4]~40243\ : std_logic;
SIGNAL \led_flash_cnt[954][5]~40244_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[954][5]~40245\ : std_logic;
SIGNAL \led_flash_cnt[954][6]~40246_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][6]~q\ : std_logic;
SIGNAL \WideAnd954~1_combout\ : std_logic;
SIGNAL \WideAnd954~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][6]~40247\ : std_logic;
SIGNAL \led_flash_cnt[954][7]~40248_combout\ : std_logic;
SIGNAL \led_flash_cnt[954][7]~q\ : std_logic;
SIGNAL \WideAnd954~combout\ : std_logic;
SIGNAL \led_flash_cnt[955][0]~81595_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[955][1]~40250_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[955][1]~40251\ : std_logic;
SIGNAL \led_flash_cnt[955][2]~40252_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[955][2]~40253\ : std_logic;
SIGNAL \led_flash_cnt[955][3]~40254_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[955][3]~40255\ : std_logic;
SIGNAL \led_flash_cnt[955][4]~40256_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[955][4]~40257\ : std_logic;
SIGNAL \led_flash_cnt[955][5]~40258_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[955][5]~40259\ : std_logic;
SIGNAL \led_flash_cnt[955][6]~40260_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][6]~q\ : std_logic;
SIGNAL \WideAnd955~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][6]~40261\ : std_logic;
SIGNAL \led_flash_cnt[955][7]~40262_combout\ : std_logic;
SIGNAL \led_flash_cnt[955][7]~q\ : std_logic;
SIGNAL \WideAnd955~0_combout\ : std_logic;
SIGNAL \WideAnd955~combout\ : std_logic;
SIGNAL \led_flash_cnt[952][0]~81592_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[952][1]~40208_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[952][1]~40209\ : std_logic;
SIGNAL \led_flash_cnt[952][2]~40210_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[952][2]~40211\ : std_logic;
SIGNAL \led_flash_cnt[952][3]~40212_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[952][3]~40213\ : std_logic;
SIGNAL \led_flash_cnt[952][4]~40214_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[952][4]~40215\ : std_logic;
SIGNAL \led_flash_cnt[952][5]~40216_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[952][5]~40217\ : std_logic;
SIGNAL \led_flash_cnt[952][6]~40218_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][6]~q\ : std_logic;
SIGNAL \WideAnd952~1_combout\ : std_logic;
SIGNAL \WideAnd952~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][6]~40219\ : std_logic;
SIGNAL \led_flash_cnt[952][7]~40220_combout\ : std_logic;
SIGNAL \led_flash_cnt[952][7]~q\ : std_logic;
SIGNAL \WideAnd952~combout\ : std_logic;
SIGNAL \led_flash_cnt[953][0]~81593_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[953][1]~40222_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[953][1]~40223\ : std_logic;
SIGNAL \led_flash_cnt[953][2]~40224_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[953][2]~40225\ : std_logic;
SIGNAL \led_flash_cnt[953][3]~40226_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[953][3]~40227\ : std_logic;
SIGNAL \led_flash_cnt[953][4]~40228_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][4]~q\ : std_logic;
SIGNAL \WideAnd953~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][4]~40229\ : std_logic;
SIGNAL \led_flash_cnt[953][5]~40230_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[953][5]~40231\ : std_logic;
SIGNAL \led_flash_cnt[953][6]~40232_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][6]~q\ : std_logic;
SIGNAL \WideAnd953~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][6]~40233\ : std_logic;
SIGNAL \led_flash_cnt[953][7]~40234_combout\ : std_logic;
SIGNAL \led_flash_cnt[953][7]~q\ : std_logic;
SIGNAL \WideAnd953~combout\ : std_logic;
SIGNAL \WideAnd3959~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][0]~81598_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[958][1]~40292_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[958][1]~40293\ : std_logic;
SIGNAL \led_flash_cnt[958][2]~40294_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[958][2]~40295\ : std_logic;
SIGNAL \led_flash_cnt[958][3]~40296_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[958][3]~40297\ : std_logic;
SIGNAL \led_flash_cnt[958][4]~40298_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[958][4]~40299\ : std_logic;
SIGNAL \led_flash_cnt[958][5]~40300_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[958][5]~40301\ : std_logic;
SIGNAL \led_flash_cnt[958][6]~40302_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[958][6]~40303\ : std_logic;
SIGNAL \led_flash_cnt[958][7]~40304_combout\ : std_logic;
SIGNAL \led_flash_cnt[958][7]~q\ : std_logic;
SIGNAL \WideAnd958~0_combout\ : std_logic;
SIGNAL \WideAnd958~1_combout\ : std_logic;
SIGNAL \WideAnd958~combout\ : std_logic;
SIGNAL \WideAnd3959~combout\ : std_logic;
SIGNAL \led_flash_cnt[919][0]~81559_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[919][1]~39746_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[919][1]~39747\ : std_logic;
SIGNAL \led_flash_cnt[919][2]~39748_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[919][2]~39749\ : std_logic;
SIGNAL \led_flash_cnt[919][3]~39750_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[919][3]~39751\ : std_logic;
SIGNAL \led_flash_cnt[919][4]~39752_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][4]~q\ : std_logic;
SIGNAL \WideAnd919~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][4]~39753\ : std_logic;
SIGNAL \led_flash_cnt[919][5]~39754_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[919][5]~39755\ : std_logic;
SIGNAL \led_flash_cnt[919][6]~39756_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[919][6]~39757\ : std_logic;
SIGNAL \led_flash_cnt[919][7]~39758_combout\ : std_logic;
SIGNAL \led_flash_cnt[919][7]~q\ : std_logic;
SIGNAL \WideAnd919~1_combout\ : std_logic;
SIGNAL \WideAnd919~combout\ : std_logic;
SIGNAL \led_flash_cnt[918][0]~81558_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[918][1]~39732_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[918][1]~39733\ : std_logic;
SIGNAL \led_flash_cnt[918][2]~39734_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[918][2]~39735\ : std_logic;
SIGNAL \led_flash_cnt[918][3]~39736_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[918][3]~39737\ : std_logic;
SIGNAL \led_flash_cnt[918][4]~39738_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][4]~q\ : std_logic;
SIGNAL \WideAnd918~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][4]~39739\ : std_logic;
SIGNAL \led_flash_cnt[918][5]~39740_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[918][5]~39741\ : std_logic;
SIGNAL \led_flash_cnt[918][6]~39742_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[918][6]~39743\ : std_logic;
SIGNAL \led_flash_cnt[918][7]~39744_combout\ : std_logic;
SIGNAL \led_flash_cnt[918][7]~q\ : std_logic;
SIGNAL \WideAnd918~1_combout\ : std_logic;
SIGNAL \WideAnd918~combout\ : std_logic;
SIGNAL \led_flash_cnt[915][0]~81555_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[915][1]~39690_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[915][1]~39691\ : std_logic;
SIGNAL \led_flash_cnt[915][2]~39692_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[915][2]~39693\ : std_logic;
SIGNAL \led_flash_cnt[915][3]~39694_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[915][3]~39695\ : std_logic;
SIGNAL \led_flash_cnt[915][4]~39696_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[915][4]~39697\ : std_logic;
SIGNAL \led_flash_cnt[915][5]~39698_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[915][5]~39699\ : std_logic;
SIGNAL \led_flash_cnt[915][6]~39700_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][6]~q\ : std_logic;
SIGNAL \WideAnd915~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][6]~39701\ : std_logic;
SIGNAL \led_flash_cnt[915][7]~39702_combout\ : std_logic;
SIGNAL \led_flash_cnt[915][7]~q\ : std_logic;
SIGNAL \WideAnd915~0_combout\ : std_logic;
SIGNAL \WideAnd915~combout\ : std_logic;
SIGNAL \led_flash_cnt[912][0]~81552_combout\ : std_logic;
SIGNAL \led_flash_cnt[912][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[912][1]~39648_combout\ : std_logic;
SIGNAL \led_flash_cnt[912][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[912][1]~39649\ : std_logic;
SIGNAL \led_flash_cnt[912][2]~39650_combout\ : std_logic;
SIGNAL \led_flash_cnt[912][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[912][2]~39651\ : std_logic;
SIGNAL \led_flash_cnt[912][3]~39652_combout\ : std_logic;
SIGNAL \led_flash_cnt[912][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[912][3]~39653\ : std_logic;
SIGNAL \led_flash_cnt[912][4]~39654_combout\ : std_logic;
SIGNAL \led_flash_cnt[912][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[912][4]~39655\ : std_logic;
SIGNAL \led_flash_cnt[912][5]~39656_combout\ : std_logic;
SIGNAL \led_flash_cnt[912][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[912][5]~39657\ : std_logic;
SIGNAL \led_flash_cnt[912][6]~39658_combout\ : std_logic;
SIGNAL \led_flash_cnt[912][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[912][6]~39659\ : std_logic;
SIGNAL \led_flash_cnt[912][7]~39660_combout\ : std_logic;
SIGNAL \led_flash_cnt[912][7]~q\ : std_logic;
SIGNAL \WideAnd912~0_combout\ : std_logic;
SIGNAL \WideAnd912~1_combout\ : std_logic;
SIGNAL \WideAnd912~combout\ : std_logic;
SIGNAL \led_flash_cnt[914][0]~81554_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[914][1]~39676_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[914][1]~39677\ : std_logic;
SIGNAL \led_flash_cnt[914][2]~39678_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[914][2]~39679\ : std_logic;
SIGNAL \led_flash_cnt[914][3]~39680_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[914][3]~39681\ : std_logic;
SIGNAL \led_flash_cnt[914][4]~39682_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][4]~q\ : std_logic;
SIGNAL \WideAnd914~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][4]~39683\ : std_logic;
SIGNAL \led_flash_cnt[914][5]~39684_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[914][5]~39685\ : std_logic;
SIGNAL \led_flash_cnt[914][6]~39686_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][6]~q\ : std_logic;
SIGNAL \WideAnd914~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][6]~39687\ : std_logic;
SIGNAL \led_flash_cnt[914][7]~39688_combout\ : std_logic;
SIGNAL \led_flash_cnt[914][7]~q\ : std_logic;
SIGNAL \WideAnd914~combout\ : std_logic;
SIGNAL \led_flash_cnt[913][0]~81553_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[913][1]~39662_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[913][1]~39663\ : std_logic;
SIGNAL \led_flash_cnt[913][2]~39664_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[913][2]~39665\ : std_logic;
SIGNAL \led_flash_cnt[913][3]~39666_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[913][3]~39667\ : std_logic;
SIGNAL \led_flash_cnt[913][4]~39668_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[913][4]~39669\ : std_logic;
SIGNAL \led_flash_cnt[913][5]~39670_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[913][5]~39671\ : std_logic;
SIGNAL \led_flash_cnt[913][6]~39672_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][6]~q\ : std_logic;
SIGNAL \WideAnd913~1_combout\ : std_logic;
SIGNAL \WideAnd913~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][6]~39673\ : std_logic;
SIGNAL \led_flash_cnt[913][7]~39674_combout\ : std_logic;
SIGNAL \led_flash_cnt[913][7]~q\ : std_logic;
SIGNAL \WideAnd913~combout\ : std_logic;
SIGNAL \WideAnd3954~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][0]~81557_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[917][1]~39718_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[917][1]~39719\ : std_logic;
SIGNAL \led_flash_cnt[917][2]~39720_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[917][2]~39721\ : std_logic;
SIGNAL \led_flash_cnt[917][3]~39722_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[917][3]~39723\ : std_logic;
SIGNAL \led_flash_cnt[917][4]~39724_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[917][4]~39725\ : std_logic;
SIGNAL \led_flash_cnt[917][5]~39726_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[917][5]~39727\ : std_logic;
SIGNAL \led_flash_cnt[917][6]~39728_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][6]~q\ : std_logic;
SIGNAL \WideAnd917~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][6]~39729\ : std_logic;
SIGNAL \led_flash_cnt[917][7]~39730_combout\ : std_logic;
SIGNAL \led_flash_cnt[917][7]~q\ : std_logic;
SIGNAL \WideAnd917~0_combout\ : std_logic;
SIGNAL \WideAnd917~combout\ : std_logic;
SIGNAL \led_flash_cnt[916][0]~81556_combout\ : std_logic;
SIGNAL \led_flash_cnt[916][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[916][1]~39704_combout\ : std_logic;
SIGNAL \led_flash_cnt[916][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[916][1]~39705\ : std_logic;
SIGNAL \led_flash_cnt[916][2]~39706_combout\ : std_logic;
SIGNAL \led_flash_cnt[916][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[916][2]~39707\ : std_logic;
SIGNAL \led_flash_cnt[916][3]~39708_combout\ : std_logic;
SIGNAL \led_flash_cnt[916][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[916][3]~39709\ : std_logic;
SIGNAL \led_flash_cnt[916][4]~39710_combout\ : std_logic;
SIGNAL \led_flash_cnt[916][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[916][4]~39711\ : std_logic;
SIGNAL \led_flash_cnt[916][5]~39712_combout\ : std_logic;
SIGNAL \led_flash_cnt[916][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[916][5]~39713\ : std_logic;
SIGNAL \led_flash_cnt[916][6]~39714_combout\ : std_logic;
SIGNAL \led_flash_cnt[916][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[916][6]~39715\ : std_logic;
SIGNAL \led_flash_cnt[916][7]~39716_combout\ : std_logic;
SIGNAL \led_flash_cnt[916][7]~q\ : std_logic;
SIGNAL \WideAnd916~1_combout\ : std_logic;
SIGNAL \WideAnd916~0_combout\ : std_logic;
SIGNAL \WideAnd916~combout\ : std_logic;
SIGNAL \WideAnd3954~1_combout\ : std_logic;
SIGNAL \WideAnd3954~combout\ : std_logic;
SIGNAL \led_flash_cnt[902][0]~81542_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[902][1]~39508_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[902][1]~39509\ : std_logic;
SIGNAL \led_flash_cnt[902][2]~39510_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[902][2]~39511\ : std_logic;
SIGNAL \led_flash_cnt[902][3]~39512_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[902][3]~39513\ : std_logic;
SIGNAL \led_flash_cnt[902][4]~39514_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][4]~q\ : std_logic;
SIGNAL \WideAnd902~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][4]~39515\ : std_logic;
SIGNAL \led_flash_cnt[902][5]~39516_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[902][5]~39517\ : std_logic;
SIGNAL \led_flash_cnt[902][6]~39518_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][6]~q\ : std_logic;
SIGNAL \WideAnd902~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][6]~39519\ : std_logic;
SIGNAL \led_flash_cnt[902][7]~39520_combout\ : std_logic;
SIGNAL \led_flash_cnt[902][7]~q\ : std_logic;
SIGNAL \WideAnd902~combout\ : std_logic;
SIGNAL \led_flash_cnt[903][0]~81543_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[903][1]~39522_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[903][1]~39523\ : std_logic;
SIGNAL \led_flash_cnt[903][2]~39524_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[903][2]~39525\ : std_logic;
SIGNAL \led_flash_cnt[903][3]~39526_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[903][3]~39527\ : std_logic;
SIGNAL \led_flash_cnt[903][4]~39528_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][4]~q\ : std_logic;
SIGNAL \WideAnd903~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][4]~39529\ : std_logic;
SIGNAL \led_flash_cnt[903][5]~39530_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[903][5]~39531\ : std_logic;
SIGNAL \led_flash_cnt[903][6]~39532_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][6]~q\ : std_logic;
SIGNAL \WideAnd903~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][6]~39533\ : std_logic;
SIGNAL \led_flash_cnt[903][7]~39534_combout\ : std_logic;
SIGNAL \led_flash_cnt[903][7]~q\ : std_logic;
SIGNAL \WideAnd903~combout\ : std_logic;
SIGNAL \led_flash_cnt[900][0]~81540_combout\ : std_logic;
SIGNAL \led_flash_cnt[900][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[900][1]~39480_combout\ : std_logic;
SIGNAL \led_flash_cnt[900][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[900][1]~39481\ : std_logic;
SIGNAL \led_flash_cnt[900][2]~39482_combout\ : std_logic;
SIGNAL \led_flash_cnt[900][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[900][2]~39483\ : std_logic;
SIGNAL \led_flash_cnt[900][3]~39484_combout\ : std_logic;
SIGNAL \led_flash_cnt[900][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[900][3]~39485\ : std_logic;
SIGNAL \led_flash_cnt[900][4]~39486_combout\ : std_logic;
SIGNAL \led_flash_cnt[900][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[900][4]~39487\ : std_logic;
SIGNAL \led_flash_cnt[900][5]~39488_combout\ : std_logic;
SIGNAL \led_flash_cnt[900][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[900][5]~39489\ : std_logic;
SIGNAL \led_flash_cnt[900][6]~39490_combout\ : std_logic;
SIGNAL \led_flash_cnt[900][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[900][6]~39491\ : std_logic;
SIGNAL \led_flash_cnt[900][7]~39492_combout\ : std_logic;
SIGNAL \led_flash_cnt[900][7]~q\ : std_logic;
SIGNAL \WideAnd900~0_combout\ : std_logic;
SIGNAL \WideAnd900~1_combout\ : std_logic;
SIGNAL \WideAnd900~combout\ : std_logic;
SIGNAL \led_flash_cnt[901][0]~81541_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[901][1]~39494_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[901][1]~39495\ : std_logic;
SIGNAL \led_flash_cnt[901][2]~39496_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[901][2]~39497\ : std_logic;
SIGNAL \led_flash_cnt[901][3]~39498_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[901][3]~39499\ : std_logic;
SIGNAL \led_flash_cnt[901][4]~39500_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][4]~q\ : std_logic;
SIGNAL \WideAnd901~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][4]~39501\ : std_logic;
SIGNAL \led_flash_cnt[901][5]~39502_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[901][5]~39503\ : std_logic;
SIGNAL \led_flash_cnt[901][6]~39504_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[901][6]~39505\ : std_logic;
SIGNAL \led_flash_cnt[901][7]~39506_combout\ : std_logic;
SIGNAL \led_flash_cnt[901][7]~q\ : std_logic;
SIGNAL \WideAnd901~1_combout\ : std_logic;
SIGNAL \WideAnd901~combout\ : std_logic;
SIGNAL \WideAnd3952~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][0]~81537_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[897][1]~39438_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[897][1]~39439\ : std_logic;
SIGNAL \led_flash_cnt[897][2]~39440_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[897][2]~39441\ : std_logic;
SIGNAL \led_flash_cnt[897][3]~39442_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[897][3]~39443\ : std_logic;
SIGNAL \led_flash_cnt[897][4]~39444_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[897][4]~39445\ : std_logic;
SIGNAL \led_flash_cnt[897][5]~39446_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[897][5]~39447\ : std_logic;
SIGNAL \led_flash_cnt[897][6]~39448_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][6]~q\ : std_logic;
SIGNAL \WideAnd897~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][6]~39449\ : std_logic;
SIGNAL \led_flash_cnt[897][7]~39450_combout\ : std_logic;
SIGNAL \led_flash_cnt[897][7]~q\ : std_logic;
SIGNAL \WideAnd897~0_combout\ : std_logic;
SIGNAL \WideAnd897~combout\ : std_logic;
SIGNAL \led_flash_cnt[896][0]~81536_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[896][1]~39424_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[896][1]~39425\ : std_logic;
SIGNAL \led_flash_cnt[896][2]~39426_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[896][2]~39427\ : std_logic;
SIGNAL \led_flash_cnt[896][3]~39428_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[896][3]~39429\ : std_logic;
SIGNAL \led_flash_cnt[896][4]~39430_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[896][4]~39431\ : std_logic;
SIGNAL \led_flash_cnt[896][5]~39432_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][5]~q\ : std_logic;
SIGNAL \WideAnd896~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][5]~39433\ : std_logic;
SIGNAL \led_flash_cnt[896][6]~39434_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[896][6]~39435\ : std_logic;
SIGNAL \led_flash_cnt[896][7]~39436_combout\ : std_logic;
SIGNAL \led_flash_cnt[896][7]~q\ : std_logic;
SIGNAL \WideAnd896~0_combout\ : std_logic;
SIGNAL \WideAnd896~combout\ : std_logic;
SIGNAL \led_flash_cnt[899][0]~81539_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[899][1]~39466_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[899][1]~39467\ : std_logic;
SIGNAL \led_flash_cnt[899][2]~39468_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[899][2]~39469\ : std_logic;
SIGNAL \led_flash_cnt[899][3]~39470_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[899][3]~39471\ : std_logic;
SIGNAL \led_flash_cnt[899][4]~39472_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][4]~q\ : std_logic;
SIGNAL \WideAnd899~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][4]~39473\ : std_logic;
SIGNAL \led_flash_cnt[899][5]~39474_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[899][5]~39475\ : std_logic;
SIGNAL \led_flash_cnt[899][6]~39476_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[899][6]~39477\ : std_logic;
SIGNAL \led_flash_cnt[899][7]~39478_combout\ : std_logic;
SIGNAL \led_flash_cnt[899][7]~q\ : std_logic;
SIGNAL \WideAnd899~1_combout\ : std_logic;
SIGNAL \WideAnd899~combout\ : std_logic;
SIGNAL \led_flash_cnt[898][0]~81538_combout\ : std_logic;
SIGNAL \led_flash_cnt[898][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[898][1]~39452_combout\ : std_logic;
SIGNAL \led_flash_cnt[898][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[898][1]~39453\ : std_logic;
SIGNAL \led_flash_cnt[898][2]~39454_combout\ : std_logic;
SIGNAL \led_flash_cnt[898][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[898][2]~39455\ : std_logic;
SIGNAL \led_flash_cnt[898][3]~39456_combout\ : std_logic;
SIGNAL \led_flash_cnt[898][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[898][3]~39457\ : std_logic;
SIGNAL \led_flash_cnt[898][4]~39458_combout\ : std_logic;
SIGNAL \led_flash_cnt[898][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[898][4]~39459\ : std_logic;
SIGNAL \led_flash_cnt[898][5]~39460_combout\ : std_logic;
SIGNAL \led_flash_cnt[898][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[898][5]~39461\ : std_logic;
SIGNAL \led_flash_cnt[898][6]~39462_combout\ : std_logic;
SIGNAL \led_flash_cnt[898][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[898][6]~39463\ : std_logic;
SIGNAL \led_flash_cnt[898][7]~39464_combout\ : std_logic;
SIGNAL \led_flash_cnt[898][7]~q\ : std_logic;
SIGNAL \WideAnd898~0_combout\ : std_logic;
SIGNAL \WideAnd898~1_combout\ : std_logic;
SIGNAL \WideAnd898~combout\ : std_logic;
SIGNAL \WideAnd3952~0_combout\ : std_logic;
SIGNAL \WideAnd3952~combout\ : std_logic;
SIGNAL \led_flash_cnt[911][0]~81551_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[911][1]~39634_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[911][1]~39635\ : std_logic;
SIGNAL \led_flash_cnt[911][2]~39636_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[911][2]~39637\ : std_logic;
SIGNAL \led_flash_cnt[911][3]~39638_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[911][3]~39639\ : std_logic;
SIGNAL \led_flash_cnt[911][4]~39640_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][4]~q\ : std_logic;
SIGNAL \WideAnd911~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][4]~39641\ : std_logic;
SIGNAL \led_flash_cnt[911][5]~39642_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[911][5]~39643\ : std_logic;
SIGNAL \led_flash_cnt[911][6]~39644_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[911][6]~39645\ : std_logic;
SIGNAL \led_flash_cnt[911][7]~39646_combout\ : std_logic;
SIGNAL \led_flash_cnt[911][7]~q\ : std_logic;
SIGNAL \WideAnd911~1_combout\ : std_logic;
SIGNAL \WideAnd911~combout\ : std_logic;
SIGNAL \led_flash_cnt[910][0]~81550_combout\ : std_logic;
SIGNAL \led_flash_cnt[910][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[910][1]~39620_combout\ : std_logic;
SIGNAL \led_flash_cnt[910][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[910][1]~39621\ : std_logic;
SIGNAL \led_flash_cnt[910][2]~39622_combout\ : std_logic;
SIGNAL \led_flash_cnt[910][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[910][2]~39623\ : std_logic;
SIGNAL \led_flash_cnt[910][3]~39624_combout\ : std_logic;
SIGNAL \led_flash_cnt[910][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[910][3]~39625\ : std_logic;
SIGNAL \led_flash_cnt[910][4]~39626_combout\ : std_logic;
SIGNAL \led_flash_cnt[910][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[910][4]~39627\ : std_logic;
SIGNAL \led_flash_cnt[910][5]~39628_combout\ : std_logic;
SIGNAL \led_flash_cnt[910][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[910][5]~39629\ : std_logic;
SIGNAL \led_flash_cnt[910][6]~39630_combout\ : std_logic;
SIGNAL \led_flash_cnt[910][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[910][6]~39631\ : std_logic;
SIGNAL \led_flash_cnt[910][7]~39632_combout\ : std_logic;
SIGNAL \led_flash_cnt[910][7]~q\ : std_logic;
SIGNAL \WideAnd910~1_combout\ : std_logic;
SIGNAL \WideAnd910~0_combout\ : std_logic;
SIGNAL \WideAnd910~combout\ : std_logic;
SIGNAL \led_flash_cnt[907][0]~81547_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[907][1]~39578_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[907][1]~39579\ : std_logic;
SIGNAL \led_flash_cnt[907][2]~39580_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[907][2]~39581\ : std_logic;
SIGNAL \led_flash_cnt[907][3]~39582_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[907][3]~39583\ : std_logic;
SIGNAL \led_flash_cnt[907][4]~39584_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][4]~q\ : std_logic;
SIGNAL \WideAnd907~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][4]~39585\ : std_logic;
SIGNAL \led_flash_cnt[907][5]~39586_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[907][5]~39587\ : std_logic;
SIGNAL \led_flash_cnt[907][6]~39588_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[907][6]~39589\ : std_logic;
SIGNAL \led_flash_cnt[907][7]~39590_combout\ : std_logic;
SIGNAL \led_flash_cnt[907][7]~q\ : std_logic;
SIGNAL \WideAnd907~1_combout\ : std_logic;
SIGNAL \WideAnd907~combout\ : std_logic;
SIGNAL \led_flash_cnt[906][0]~81546_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[906][1]~39564_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[906][1]~39565\ : std_logic;
SIGNAL \led_flash_cnt[906][2]~39566_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[906][2]~39567\ : std_logic;
SIGNAL \led_flash_cnt[906][3]~39568_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[906][3]~39569\ : std_logic;
SIGNAL \led_flash_cnt[906][4]~39570_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][4]~q\ : std_logic;
SIGNAL \WideAnd906~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][4]~39571\ : std_logic;
SIGNAL \led_flash_cnt[906][5]~39572_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[906][5]~39573\ : std_logic;
SIGNAL \led_flash_cnt[906][6]~39574_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[906][6]~39575\ : std_logic;
SIGNAL \led_flash_cnt[906][7]~39576_combout\ : std_logic;
SIGNAL \led_flash_cnt[906][7]~q\ : std_logic;
SIGNAL \WideAnd906~1_combout\ : std_logic;
SIGNAL \WideAnd906~combout\ : std_logic;
SIGNAL \led_flash_cnt[905][0]~81545_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[905][1]~39550_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[905][1]~39551\ : std_logic;
SIGNAL \led_flash_cnt[905][2]~39552_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[905][2]~39553\ : std_logic;
SIGNAL \led_flash_cnt[905][3]~39554_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[905][3]~39555\ : std_logic;
SIGNAL \led_flash_cnt[905][4]~39556_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][4]~q\ : std_logic;
SIGNAL \WideAnd905~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][4]~39557\ : std_logic;
SIGNAL \led_flash_cnt[905][5]~39558_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[905][5]~39559\ : std_logic;
SIGNAL \led_flash_cnt[905][6]~39560_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[905][6]~39561\ : std_logic;
SIGNAL \led_flash_cnt[905][7]~39562_combout\ : std_logic;
SIGNAL \led_flash_cnt[905][7]~q\ : std_logic;
SIGNAL \WideAnd905~1_combout\ : std_logic;
SIGNAL \WideAnd905~combout\ : std_logic;
SIGNAL \led_flash_cnt[904][0]~81544_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[904][1]~39536_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[904][1]~39537\ : std_logic;
SIGNAL \led_flash_cnt[904][2]~39538_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[904][2]~39539\ : std_logic;
SIGNAL \led_flash_cnt[904][3]~39540_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[904][3]~39541\ : std_logic;
SIGNAL \led_flash_cnt[904][4]~39542_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[904][4]~39543\ : std_logic;
SIGNAL \led_flash_cnt[904][5]~39544_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[904][5]~39545\ : std_logic;
SIGNAL \led_flash_cnt[904][6]~39546_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][6]~q\ : std_logic;
SIGNAL \WideAnd904~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][6]~39547\ : std_logic;
SIGNAL \led_flash_cnt[904][7]~39548_combout\ : std_logic;
SIGNAL \led_flash_cnt[904][7]~q\ : std_logic;
SIGNAL \WideAnd904~0_combout\ : std_logic;
SIGNAL \WideAnd904~combout\ : std_logic;
SIGNAL \WideAnd3953~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][0]~81548_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[908][1]~39592_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[908][1]~39593\ : std_logic;
SIGNAL \led_flash_cnt[908][2]~39594_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[908][2]~39595\ : std_logic;
SIGNAL \led_flash_cnt[908][3]~39596_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[908][3]~39597\ : std_logic;
SIGNAL \led_flash_cnt[908][4]~39598_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[908][4]~39599\ : std_logic;
SIGNAL \led_flash_cnt[908][5]~39600_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[908][5]~39601\ : std_logic;
SIGNAL \led_flash_cnt[908][6]~39602_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[908][6]~39603\ : std_logic;
SIGNAL \led_flash_cnt[908][7]~39604_combout\ : std_logic;
SIGNAL \led_flash_cnt[908][7]~q\ : std_logic;
SIGNAL \WideAnd908~1_combout\ : std_logic;
SIGNAL \WideAnd908~0_combout\ : std_logic;
SIGNAL \WideAnd908~combout\ : std_logic;
SIGNAL \led_flash_cnt[909][0]~81549_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[909][1]~39606_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[909][1]~39607\ : std_logic;
SIGNAL \led_flash_cnt[909][2]~39608_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[909][2]~39609\ : std_logic;
SIGNAL \led_flash_cnt[909][3]~39610_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[909][3]~39611\ : std_logic;
SIGNAL \led_flash_cnt[909][4]~39612_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][4]~q\ : std_logic;
SIGNAL \WideAnd909~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][4]~39613\ : std_logic;
SIGNAL \led_flash_cnt[909][5]~39614_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[909][5]~39615\ : std_logic;
SIGNAL \led_flash_cnt[909][6]~39616_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][6]~q\ : std_logic;
SIGNAL \WideAnd909~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][6]~39617\ : std_logic;
SIGNAL \led_flash_cnt[909][7]~39618_combout\ : std_logic;
SIGNAL \led_flash_cnt[909][7]~q\ : std_logic;
SIGNAL \WideAnd909~combout\ : std_logic;
SIGNAL \WideAnd3953~1_combout\ : std_logic;
SIGNAL \WideAnd3953~combout\ : std_logic;
SIGNAL \led_flash_cnt[926][0]~81566_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[926][1]~39844_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[926][1]~39845\ : std_logic;
SIGNAL \led_flash_cnt[926][2]~39846_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[926][2]~39847\ : std_logic;
SIGNAL \led_flash_cnt[926][3]~39848_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[926][3]~39849\ : std_logic;
SIGNAL \led_flash_cnt[926][4]~39850_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[926][4]~39851\ : std_logic;
SIGNAL \led_flash_cnt[926][5]~39852_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[926][5]~39853\ : std_logic;
SIGNAL \led_flash_cnt[926][6]~39854_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][6]~q\ : std_logic;
SIGNAL \WideAnd926~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][6]~39855\ : std_logic;
SIGNAL \led_flash_cnt[926][7]~39856_combout\ : std_logic;
SIGNAL \led_flash_cnt[926][7]~q\ : std_logic;
SIGNAL \WideAnd926~0_combout\ : std_logic;
SIGNAL \WideAnd926~combout\ : std_logic;
SIGNAL \led_flash_cnt[924][0]~81564_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[924][1]~39816_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[924][1]~39817\ : std_logic;
SIGNAL \led_flash_cnt[924][2]~39818_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[924][2]~39819\ : std_logic;
SIGNAL \led_flash_cnt[924][3]~39820_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[924][3]~39821\ : std_logic;
SIGNAL \led_flash_cnt[924][4]~39822_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[924][4]~39823\ : std_logic;
SIGNAL \led_flash_cnt[924][5]~39824_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[924][5]~39825\ : std_logic;
SIGNAL \led_flash_cnt[924][6]~39826_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][6]~q\ : std_logic;
SIGNAL \WideAnd924~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][6]~39827\ : std_logic;
SIGNAL \led_flash_cnt[924][7]~39828_combout\ : std_logic;
SIGNAL \led_flash_cnt[924][7]~q\ : std_logic;
SIGNAL \WideAnd924~0_combout\ : std_logic;
SIGNAL \WideAnd924~combout\ : std_logic;
SIGNAL \led_flash_cnt[925][0]~81565_combout\ : std_logic;
SIGNAL \led_flash_cnt[925][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[925][1]~39830_combout\ : std_logic;
SIGNAL \led_flash_cnt[925][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[925][1]~39831\ : std_logic;
SIGNAL \led_flash_cnt[925][2]~39832_combout\ : std_logic;
SIGNAL \led_flash_cnt[925][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[925][2]~39833\ : std_logic;
SIGNAL \led_flash_cnt[925][3]~39834_combout\ : std_logic;
SIGNAL \led_flash_cnt[925][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[925][3]~39835\ : std_logic;
SIGNAL \led_flash_cnt[925][4]~39836_combout\ : std_logic;
SIGNAL \led_flash_cnt[925][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[925][4]~39837\ : std_logic;
SIGNAL \led_flash_cnt[925][5]~39838_combout\ : std_logic;
SIGNAL \led_flash_cnt[925][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[925][5]~39839\ : std_logic;
SIGNAL \led_flash_cnt[925][6]~39840_combout\ : std_logic;
SIGNAL \led_flash_cnt[925][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[925][6]~39841\ : std_logic;
SIGNAL \led_flash_cnt[925][7]~39842_combout\ : std_logic;
SIGNAL \led_flash_cnt[925][7]~q\ : std_logic;
SIGNAL \WideAnd925~1_combout\ : std_logic;
SIGNAL \WideAnd925~0_combout\ : std_logic;
SIGNAL \WideAnd925~combout\ : std_logic;
SIGNAL \WideAnd3955~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][0]~81567_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[927][1]~39858_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[927][1]~39859\ : std_logic;
SIGNAL \led_flash_cnt[927][2]~39860_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[927][2]~39861\ : std_logic;
SIGNAL \led_flash_cnt[927][3]~39862_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[927][3]~39863\ : std_logic;
SIGNAL \led_flash_cnt[927][4]~39864_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[927][4]~39865\ : std_logic;
SIGNAL \led_flash_cnt[927][5]~39866_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[927][5]~39867\ : std_logic;
SIGNAL \led_flash_cnt[927][6]~39868_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][6]~q\ : std_logic;
SIGNAL \WideAnd927~1_combout\ : std_logic;
SIGNAL \WideAnd927~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][6]~39869\ : std_logic;
SIGNAL \led_flash_cnt[927][7]~39870_combout\ : std_logic;
SIGNAL \led_flash_cnt[927][7]~q\ : std_logic;
SIGNAL \WideAnd927~combout\ : std_logic;
SIGNAL \led_flash_cnt[923][0]~81563_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[923][1]~39802_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[923][1]~39803\ : std_logic;
SIGNAL \led_flash_cnt[923][2]~39804_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[923][2]~39805\ : std_logic;
SIGNAL \led_flash_cnt[923][3]~39806_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[923][3]~39807\ : std_logic;
SIGNAL \led_flash_cnt[923][4]~39808_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[923][4]~39809\ : std_logic;
SIGNAL \led_flash_cnt[923][5]~39810_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[923][5]~39811\ : std_logic;
SIGNAL \led_flash_cnt[923][6]~39812_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][6]~q\ : std_logic;
SIGNAL \WideAnd923~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][6]~39813\ : std_logic;
SIGNAL \led_flash_cnt[923][7]~39814_combout\ : std_logic;
SIGNAL \led_flash_cnt[923][7]~q\ : std_logic;
SIGNAL \WideAnd923~0_combout\ : std_logic;
SIGNAL \WideAnd923~combout\ : std_logic;
SIGNAL \led_flash_cnt[922][0]~81562_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[922][1]~39788_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[922][1]~39789\ : std_logic;
SIGNAL \led_flash_cnt[922][2]~39790_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[922][2]~39791\ : std_logic;
SIGNAL \led_flash_cnt[922][3]~39792_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[922][3]~39793\ : std_logic;
SIGNAL \led_flash_cnt[922][4]~39794_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[922][4]~39795\ : std_logic;
SIGNAL \led_flash_cnt[922][5]~39796_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[922][5]~39797\ : std_logic;
SIGNAL \led_flash_cnt[922][6]~39798_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][6]~q\ : std_logic;
SIGNAL \WideAnd922~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][6]~39799\ : std_logic;
SIGNAL \led_flash_cnt[922][7]~39800_combout\ : std_logic;
SIGNAL \led_flash_cnt[922][7]~q\ : std_logic;
SIGNAL \WideAnd922~0_combout\ : std_logic;
SIGNAL \WideAnd922~combout\ : std_logic;
SIGNAL \led_flash_cnt[921][0]~81561_combout\ : std_logic;
SIGNAL \led_flash_cnt[921][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[921][1]~39774_combout\ : std_logic;
SIGNAL \led_flash_cnt[921][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[921][1]~39775\ : std_logic;
SIGNAL \led_flash_cnt[921][2]~39776_combout\ : std_logic;
SIGNAL \led_flash_cnt[921][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[921][2]~39777\ : std_logic;
SIGNAL \led_flash_cnt[921][3]~39778_combout\ : std_logic;
SIGNAL \led_flash_cnt[921][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[921][3]~39779\ : std_logic;
SIGNAL \led_flash_cnt[921][4]~39780_combout\ : std_logic;
SIGNAL \led_flash_cnt[921][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[921][4]~39781\ : std_logic;
SIGNAL \led_flash_cnt[921][5]~39782_combout\ : std_logic;
SIGNAL \led_flash_cnt[921][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[921][5]~39783\ : std_logic;
SIGNAL \led_flash_cnt[921][6]~39784_combout\ : std_logic;
SIGNAL \led_flash_cnt[921][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[921][6]~39785\ : std_logic;
SIGNAL \led_flash_cnt[921][7]~39786_combout\ : std_logic;
SIGNAL \led_flash_cnt[921][7]~q\ : std_logic;
SIGNAL \WideAnd921~1_combout\ : std_logic;
SIGNAL \WideAnd921~0_combout\ : std_logic;
SIGNAL \WideAnd921~combout\ : std_logic;
SIGNAL \led_flash_cnt[920][0]~81560_combout\ : std_logic;
SIGNAL \led_flash_cnt[920][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[920][1]~39760_combout\ : std_logic;
SIGNAL \led_flash_cnt[920][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[920][1]~39761\ : std_logic;
SIGNAL \led_flash_cnt[920][2]~39762_combout\ : std_logic;
SIGNAL \led_flash_cnt[920][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[920][2]~39763\ : std_logic;
SIGNAL \led_flash_cnt[920][3]~39764_combout\ : std_logic;
SIGNAL \led_flash_cnt[920][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[920][3]~39765\ : std_logic;
SIGNAL \led_flash_cnt[920][4]~39766_combout\ : std_logic;
SIGNAL \led_flash_cnt[920][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[920][4]~39767\ : std_logic;
SIGNAL \led_flash_cnt[920][5]~39768_combout\ : std_logic;
SIGNAL \led_flash_cnt[920][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[920][5]~39769\ : std_logic;
SIGNAL \led_flash_cnt[920][6]~39770_combout\ : std_logic;
SIGNAL \led_flash_cnt[920][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[920][6]~39771\ : std_logic;
SIGNAL \led_flash_cnt[920][7]~39772_combout\ : std_logic;
SIGNAL \led_flash_cnt[920][7]~q\ : std_logic;
SIGNAL \WideAnd920~1_combout\ : std_logic;
SIGNAL \WideAnd920~0_combout\ : std_logic;
SIGNAL \WideAnd920~combout\ : std_logic;
SIGNAL \WideAnd3955~0_combout\ : std_logic;
SIGNAL \WideAnd3955~combout\ : std_logic;
SIGNAL \WideAnd4334~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][0]~81568_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[928][1]~39872_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[928][1]~39873\ : std_logic;
SIGNAL \led_flash_cnt[928][2]~39874_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[928][2]~39875\ : std_logic;
SIGNAL \led_flash_cnt[928][3]~39876_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[928][3]~39877\ : std_logic;
SIGNAL \led_flash_cnt[928][4]~39878_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[928][4]~39879\ : std_logic;
SIGNAL \led_flash_cnt[928][5]~39880_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[928][5]~39881\ : std_logic;
SIGNAL \led_flash_cnt[928][6]~39882_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][6]~q\ : std_logic;
SIGNAL \WideAnd928~1_combout\ : std_logic;
SIGNAL \WideAnd928~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][6]~39883\ : std_logic;
SIGNAL \led_flash_cnt[928][7]~39884_combout\ : std_logic;
SIGNAL \led_flash_cnt[928][7]~q\ : std_logic;
SIGNAL \WideAnd928~combout\ : std_logic;
SIGNAL \led_flash_cnt[929][0]~81569_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[929][1]~39886_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[929][1]~39887\ : std_logic;
SIGNAL \led_flash_cnt[929][2]~39888_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[929][2]~39889\ : std_logic;
SIGNAL \led_flash_cnt[929][3]~39890_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[929][3]~39891\ : std_logic;
SIGNAL \led_flash_cnt[929][4]~39892_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[929][4]~39893\ : std_logic;
SIGNAL \led_flash_cnt[929][5]~39894_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[929][5]~39895\ : std_logic;
SIGNAL \led_flash_cnt[929][6]~39896_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][6]~q\ : std_logic;
SIGNAL \WideAnd929~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][6]~39897\ : std_logic;
SIGNAL \led_flash_cnt[929][7]~39898_combout\ : std_logic;
SIGNAL \led_flash_cnt[929][7]~q\ : std_logic;
SIGNAL \WideAnd929~0_combout\ : std_logic;
SIGNAL \WideAnd929~combout\ : std_logic;
SIGNAL \led_flash_cnt[930][0]~81570_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[930][1]~39900_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[930][1]~39901\ : std_logic;
SIGNAL \led_flash_cnt[930][2]~39902_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[930][2]~39903\ : std_logic;
SIGNAL \led_flash_cnt[930][3]~39904_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[930][3]~39905\ : std_logic;
SIGNAL \led_flash_cnt[930][4]~39906_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[930][4]~39907\ : std_logic;
SIGNAL \led_flash_cnt[930][5]~39908_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[930][5]~39909\ : std_logic;
SIGNAL \led_flash_cnt[930][6]~39910_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][6]~q\ : std_logic;
SIGNAL \WideAnd930~1_combout\ : std_logic;
SIGNAL \WideAnd930~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][6]~39911\ : std_logic;
SIGNAL \led_flash_cnt[930][7]~39912_combout\ : std_logic;
SIGNAL \led_flash_cnt[930][7]~q\ : std_logic;
SIGNAL \WideAnd930~combout\ : std_logic;
SIGNAL \led_flash_cnt[931][0]~81571_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[931][1]~39914_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[931][1]~39915\ : std_logic;
SIGNAL \led_flash_cnt[931][2]~39916_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[931][2]~39917\ : std_logic;
SIGNAL \led_flash_cnt[931][3]~39918_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[931][3]~39919\ : std_logic;
SIGNAL \led_flash_cnt[931][4]~39920_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][4]~q\ : std_logic;
SIGNAL \WideAnd931~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][4]~39921\ : std_logic;
SIGNAL \led_flash_cnt[931][5]~39922_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[931][5]~39923\ : std_logic;
SIGNAL \led_flash_cnt[931][6]~39924_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[931][6]~39925\ : std_logic;
SIGNAL \led_flash_cnt[931][7]~39926_combout\ : std_logic;
SIGNAL \led_flash_cnt[931][7]~q\ : std_logic;
SIGNAL \WideAnd931~1_combout\ : std_logic;
SIGNAL \WideAnd931~combout\ : std_logic;
SIGNAL \WideAnd3956~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][0]~81575_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[935][1]~39970_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[935][1]~39971\ : std_logic;
SIGNAL \led_flash_cnt[935][2]~39972_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[935][2]~39973\ : std_logic;
SIGNAL \led_flash_cnt[935][3]~39974_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[935][3]~39975\ : std_logic;
SIGNAL \led_flash_cnt[935][4]~39976_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[935][4]~39977\ : std_logic;
SIGNAL \led_flash_cnt[935][5]~39978_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[935][5]~39979\ : std_logic;
SIGNAL \led_flash_cnt[935][6]~39980_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[935][6]~39981\ : std_logic;
SIGNAL \led_flash_cnt[935][7]~39982_combout\ : std_logic;
SIGNAL \led_flash_cnt[935][7]~q\ : std_logic;
SIGNAL \WideAnd935~1_combout\ : std_logic;
SIGNAL \WideAnd935~0_combout\ : std_logic;
SIGNAL \WideAnd935~combout\ : std_logic;
SIGNAL \led_flash_cnt[934][0]~81574_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[934][1]~39956_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[934][1]~39957\ : std_logic;
SIGNAL \led_flash_cnt[934][2]~39958_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[934][2]~39959\ : std_logic;
SIGNAL \led_flash_cnt[934][3]~39960_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[934][3]~39961\ : std_logic;
SIGNAL \led_flash_cnt[934][4]~39962_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][4]~q\ : std_logic;
SIGNAL \WideAnd934~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][4]~39963\ : std_logic;
SIGNAL \led_flash_cnt[934][5]~39964_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[934][5]~39965\ : std_logic;
SIGNAL \led_flash_cnt[934][6]~39966_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[934][6]~39967\ : std_logic;
SIGNAL \led_flash_cnt[934][7]~39968_combout\ : std_logic;
SIGNAL \led_flash_cnt[934][7]~q\ : std_logic;
SIGNAL \WideAnd934~1_combout\ : std_logic;
SIGNAL \WideAnd934~combout\ : std_logic;
SIGNAL \led_flash_cnt[932][0]~81572_combout\ : std_logic;
SIGNAL \led_flash_cnt[932][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[932][1]~39928_combout\ : std_logic;
SIGNAL \led_flash_cnt[932][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[932][1]~39929\ : std_logic;
SIGNAL \led_flash_cnt[932][2]~39930_combout\ : std_logic;
SIGNAL \led_flash_cnt[932][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[932][2]~39931\ : std_logic;
SIGNAL \led_flash_cnt[932][3]~39932_combout\ : std_logic;
SIGNAL \led_flash_cnt[932][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[932][3]~39933\ : std_logic;
SIGNAL \led_flash_cnt[932][4]~39934_combout\ : std_logic;
SIGNAL \led_flash_cnt[932][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[932][4]~39935\ : std_logic;
SIGNAL \led_flash_cnt[932][5]~39936_combout\ : std_logic;
SIGNAL \led_flash_cnt[932][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[932][5]~39937\ : std_logic;
SIGNAL \led_flash_cnt[932][6]~39938_combout\ : std_logic;
SIGNAL \led_flash_cnt[932][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[932][6]~39939\ : std_logic;
SIGNAL \led_flash_cnt[932][7]~39940_combout\ : std_logic;
SIGNAL \led_flash_cnt[932][7]~q\ : std_logic;
SIGNAL \WideAnd932~0_combout\ : std_logic;
SIGNAL \WideAnd932~1_combout\ : std_logic;
SIGNAL \WideAnd932~combout\ : std_logic;
SIGNAL \led_flash_cnt[933][0]~81573_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[933][1]~39942_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[933][1]~39943\ : std_logic;
SIGNAL \led_flash_cnt[933][2]~39944_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[933][2]~39945\ : std_logic;
SIGNAL \led_flash_cnt[933][3]~39946_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[933][3]~39947\ : std_logic;
SIGNAL \led_flash_cnt[933][4]~39948_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[933][4]~39949\ : std_logic;
SIGNAL \led_flash_cnt[933][5]~39950_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[933][5]~39951\ : std_logic;
SIGNAL \led_flash_cnt[933][6]~39952_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][6]~q\ : std_logic;
SIGNAL \WideAnd933~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][6]~39953\ : std_logic;
SIGNAL \led_flash_cnt[933][7]~39954_combout\ : std_logic;
SIGNAL \led_flash_cnt[933][7]~q\ : std_logic;
SIGNAL \WideAnd933~0_combout\ : std_logic;
SIGNAL \WideAnd933~combout\ : std_logic;
SIGNAL \WideAnd3956~1_combout\ : std_logic;
SIGNAL \WideAnd3956~combout\ : std_logic;
SIGNAL \led_flash_cnt[939][0]~81579_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[939][1]~40026_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[939][1]~40027\ : std_logic;
SIGNAL \led_flash_cnt[939][2]~40028_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[939][2]~40029\ : std_logic;
SIGNAL \led_flash_cnt[939][3]~40030_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[939][3]~40031\ : std_logic;
SIGNAL \led_flash_cnt[939][4]~40032_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][4]~q\ : std_logic;
SIGNAL \WideAnd939~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][4]~40033\ : std_logic;
SIGNAL \led_flash_cnt[939][5]~40034_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[939][5]~40035\ : std_logic;
SIGNAL \led_flash_cnt[939][6]~40036_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[939][6]~40037\ : std_logic;
SIGNAL \led_flash_cnt[939][7]~40038_combout\ : std_logic;
SIGNAL \led_flash_cnt[939][7]~q\ : std_logic;
SIGNAL \WideAnd939~1_combout\ : std_logic;
SIGNAL \WideAnd939~combout\ : std_logic;
SIGNAL \led_flash_cnt[937][0]~81577_combout\ : std_logic;
SIGNAL \led_flash_cnt[937][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[937][1]~39998_combout\ : std_logic;
SIGNAL \led_flash_cnt[937][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[937][1]~39999\ : std_logic;
SIGNAL \led_flash_cnt[937][2]~40000_combout\ : std_logic;
SIGNAL \led_flash_cnt[937][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[937][2]~40001\ : std_logic;
SIGNAL \led_flash_cnt[937][3]~40002_combout\ : std_logic;
SIGNAL \led_flash_cnt[937][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[937][3]~40003\ : std_logic;
SIGNAL \led_flash_cnt[937][4]~40004_combout\ : std_logic;
SIGNAL \led_flash_cnt[937][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[937][4]~40005\ : std_logic;
SIGNAL \led_flash_cnt[937][5]~40006_combout\ : std_logic;
SIGNAL \led_flash_cnt[937][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[937][5]~40007\ : std_logic;
SIGNAL \led_flash_cnt[937][6]~40008_combout\ : std_logic;
SIGNAL \led_flash_cnt[937][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[937][6]~40009\ : std_logic;
SIGNAL \led_flash_cnt[937][7]~40010_combout\ : std_logic;
SIGNAL \led_flash_cnt[937][7]~q\ : std_logic;
SIGNAL \WideAnd937~1_combout\ : std_logic;
SIGNAL \WideAnd937~0_combout\ : std_logic;
SIGNAL \WideAnd937~combout\ : std_logic;
SIGNAL \led_flash_cnt[936][0]~81576_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[936][1]~39984_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[936][1]~39985\ : std_logic;
SIGNAL \led_flash_cnt[936][2]~39986_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[936][2]~39987\ : std_logic;
SIGNAL \led_flash_cnt[936][3]~39988_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[936][3]~39989\ : std_logic;
SIGNAL \led_flash_cnt[936][4]~39990_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][4]~q\ : std_logic;
SIGNAL \WideAnd936~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][4]~39991\ : std_logic;
SIGNAL \led_flash_cnt[936][5]~39992_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[936][5]~39993\ : std_logic;
SIGNAL \led_flash_cnt[936][6]~39994_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[936][6]~39995\ : std_logic;
SIGNAL \led_flash_cnt[936][7]~39996_combout\ : std_logic;
SIGNAL \led_flash_cnt[936][7]~q\ : std_logic;
SIGNAL \WideAnd936~1_combout\ : std_logic;
SIGNAL \WideAnd936~combout\ : std_logic;
SIGNAL \led_flash_cnt[938][0]~81578_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[938][1]~40012_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[938][1]~40013\ : std_logic;
SIGNAL \led_flash_cnt[938][2]~40014_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[938][2]~40015\ : std_logic;
SIGNAL \led_flash_cnt[938][3]~40016_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[938][3]~40017\ : std_logic;
SIGNAL \led_flash_cnt[938][4]~40018_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][4]~q\ : std_logic;
SIGNAL \WideAnd938~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][4]~40019\ : std_logic;
SIGNAL \led_flash_cnt[938][5]~40020_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[938][5]~40021\ : std_logic;
SIGNAL \led_flash_cnt[938][6]~40022_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[938][6]~40023\ : std_logic;
SIGNAL \led_flash_cnt[938][7]~40024_combout\ : std_logic;
SIGNAL \led_flash_cnt[938][7]~q\ : std_logic;
SIGNAL \WideAnd938~1_combout\ : std_logic;
SIGNAL \WideAnd938~combout\ : std_logic;
SIGNAL \WideAnd3957~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][0]~81583_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[943][1]~40082_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[943][1]~40083\ : std_logic;
SIGNAL \led_flash_cnt[943][2]~40084_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[943][2]~40085\ : std_logic;
SIGNAL \led_flash_cnt[943][3]~40086_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[943][3]~40087\ : std_logic;
SIGNAL \led_flash_cnt[943][4]~40088_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[943][4]~40089\ : std_logic;
SIGNAL \led_flash_cnt[943][5]~40090_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][5]~q\ : std_logic;
SIGNAL \WideAnd943~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][5]~40091\ : std_logic;
SIGNAL \led_flash_cnt[943][6]~40092_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[943][6]~40093\ : std_logic;
SIGNAL \led_flash_cnt[943][7]~40094_combout\ : std_logic;
SIGNAL \led_flash_cnt[943][7]~q\ : std_logic;
SIGNAL \WideAnd943~0_combout\ : std_logic;
SIGNAL \WideAnd943~combout\ : std_logic;
SIGNAL \led_flash_cnt[941][0]~81581_combout\ : std_logic;
SIGNAL \led_flash_cnt[941][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[941][1]~40054_combout\ : std_logic;
SIGNAL \led_flash_cnt[941][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[941][1]~40055\ : std_logic;
SIGNAL \led_flash_cnt[941][2]~40056_combout\ : std_logic;
SIGNAL \led_flash_cnt[941][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[941][2]~40057\ : std_logic;
SIGNAL \led_flash_cnt[941][3]~40058_combout\ : std_logic;
SIGNAL \led_flash_cnt[941][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[941][3]~40059\ : std_logic;
SIGNAL \led_flash_cnt[941][4]~40060_combout\ : std_logic;
SIGNAL \led_flash_cnt[941][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[941][4]~40061\ : std_logic;
SIGNAL \led_flash_cnt[941][5]~40062_combout\ : std_logic;
SIGNAL \led_flash_cnt[941][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[941][5]~40063\ : std_logic;
SIGNAL \led_flash_cnt[941][6]~40064_combout\ : std_logic;
SIGNAL \led_flash_cnt[941][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[941][6]~40065\ : std_logic;
SIGNAL \led_flash_cnt[941][7]~40066_combout\ : std_logic;
SIGNAL \led_flash_cnt[941][7]~q\ : std_logic;
SIGNAL \WideAnd941~1_combout\ : std_logic;
SIGNAL \WideAnd941~0_combout\ : std_logic;
SIGNAL \WideAnd941~combout\ : std_logic;
SIGNAL \led_flash_cnt[940][0]~81580_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[940][1]~40040_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[940][1]~40041\ : std_logic;
SIGNAL \led_flash_cnt[940][2]~40042_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[940][2]~40043\ : std_logic;
SIGNAL \led_flash_cnt[940][3]~40044_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[940][3]~40045\ : std_logic;
SIGNAL \led_flash_cnt[940][4]~40046_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][4]~q\ : std_logic;
SIGNAL \WideAnd940~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][4]~40047\ : std_logic;
SIGNAL \led_flash_cnt[940][5]~40048_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[940][5]~40049\ : std_logic;
SIGNAL \led_flash_cnt[940][6]~40050_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][6]~q\ : std_logic;
SIGNAL \WideAnd940~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][6]~40051\ : std_logic;
SIGNAL \led_flash_cnt[940][7]~40052_combout\ : std_logic;
SIGNAL \led_flash_cnt[940][7]~q\ : std_logic;
SIGNAL \WideAnd940~combout\ : std_logic;
SIGNAL \WideAnd3957~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][0]~81582_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[942][1]~40068_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[942][1]~40069\ : std_logic;
SIGNAL \led_flash_cnt[942][2]~40070_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[942][2]~40071\ : std_logic;
SIGNAL \led_flash_cnt[942][3]~40072_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[942][3]~40073\ : std_logic;
SIGNAL \led_flash_cnt[942][4]~40074_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][4]~q\ : std_logic;
SIGNAL \WideAnd942~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][4]~40075\ : std_logic;
SIGNAL \led_flash_cnt[942][5]~40076_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[942][5]~40077\ : std_logic;
SIGNAL \led_flash_cnt[942][6]~40078_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[942][6]~40079\ : std_logic;
SIGNAL \led_flash_cnt[942][7]~40080_combout\ : std_logic;
SIGNAL \led_flash_cnt[942][7]~q\ : std_logic;
SIGNAL \WideAnd942~1_combout\ : std_logic;
SIGNAL \WideAnd942~combout\ : std_logic;
SIGNAL \WideAnd3957~combout\ : std_logic;
SIGNAL \WideAnd4334~1_combout\ : std_logic;
SIGNAL \WideAnd4334~combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][0]~81655_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1015][1]~41090_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1015][1]~41091\ : std_logic;
SIGNAL \led_flash_cnt[1015][2]~41092_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1015][2]~41093\ : std_logic;
SIGNAL \led_flash_cnt[1015][3]~41094_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1015][3]~41095\ : std_logic;
SIGNAL \led_flash_cnt[1015][4]~41096_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][4]~q\ : std_logic;
SIGNAL \WideAnd1015~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][4]~41097\ : std_logic;
SIGNAL \led_flash_cnt[1015][5]~41098_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1015][5]~41099\ : std_logic;
SIGNAL \led_flash_cnt[1015][6]~41100_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][6]~q\ : std_logic;
SIGNAL \WideAnd1015~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][6]~41101\ : std_logic;
SIGNAL \led_flash_cnt[1015][7]~41102_combout\ : std_logic;
SIGNAL \led_flash_cnt[1015][7]~q\ : std_logic;
SIGNAL \WideAnd1015~combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][0]~81651_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1011][1]~41034_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1011][1]~41035\ : std_logic;
SIGNAL \led_flash_cnt[1011][2]~41036_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1011][2]~41037\ : std_logic;
SIGNAL \led_flash_cnt[1011][3]~41038_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1011][3]~41039\ : std_logic;
SIGNAL \led_flash_cnt[1011][4]~41040_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1011][4]~41041\ : std_logic;
SIGNAL \led_flash_cnt[1011][5]~41042_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1011][5]~41043\ : std_logic;
SIGNAL \led_flash_cnt[1011][6]~41044_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][6]~q\ : std_logic;
SIGNAL \WideAnd1011~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][6]~41045\ : std_logic;
SIGNAL \led_flash_cnt[1011][7]~41046_combout\ : std_logic;
SIGNAL \led_flash_cnt[1011][7]~q\ : std_logic;
SIGNAL \WideAnd1011~0_combout\ : std_logic;
SIGNAL \WideAnd1011~combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][0]~81650_combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1010][1]~41020_combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1010][1]~41021\ : std_logic;
SIGNAL \led_flash_cnt[1010][2]~41022_combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1010][2]~41023\ : std_logic;
SIGNAL \led_flash_cnt[1010][3]~41024_combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1010][3]~41025\ : std_logic;
SIGNAL \led_flash_cnt[1010][4]~41026_combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1010][4]~41027\ : std_logic;
SIGNAL \led_flash_cnt[1010][5]~41028_combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1010][5]~41029\ : std_logic;
SIGNAL \led_flash_cnt[1010][6]~41030_combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1010][6]~41031\ : std_logic;
SIGNAL \led_flash_cnt[1010][7]~41032_combout\ : std_logic;
SIGNAL \led_flash_cnt[1010][7]~q\ : std_logic;
SIGNAL \WideAnd1010~1_combout\ : std_logic;
SIGNAL \WideAnd1010~0_combout\ : std_logic;
SIGNAL \WideAnd1010~combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][0]~81649_combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1009][1]~41006_combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1009][1]~41007\ : std_logic;
SIGNAL \led_flash_cnt[1009][2]~41008_combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1009][2]~41009\ : std_logic;
SIGNAL \led_flash_cnt[1009][3]~41010_combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1009][3]~41011\ : std_logic;
SIGNAL \led_flash_cnt[1009][4]~41012_combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1009][4]~41013\ : std_logic;
SIGNAL \led_flash_cnt[1009][5]~41014_combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1009][5]~41015\ : std_logic;
SIGNAL \led_flash_cnt[1009][6]~41016_combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1009][6]~41017\ : std_logic;
SIGNAL \led_flash_cnt[1009][7]~41018_combout\ : std_logic;
SIGNAL \led_flash_cnt[1009][7]~q\ : std_logic;
SIGNAL \WideAnd1009~0_combout\ : std_logic;
SIGNAL \WideAnd1009~1_combout\ : std_logic;
SIGNAL \WideAnd1009~combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][0]~81648_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1008][1]~40992_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1008][1]~40993\ : std_logic;
SIGNAL \led_flash_cnt[1008][2]~40994_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1008][2]~40995\ : std_logic;
SIGNAL \led_flash_cnt[1008][3]~40996_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1008][3]~40997\ : std_logic;
SIGNAL \led_flash_cnt[1008][4]~40998_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][4]~q\ : std_logic;
SIGNAL \WideAnd1008~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][4]~40999\ : std_logic;
SIGNAL \led_flash_cnt[1008][5]~41000_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1008][5]~41001\ : std_logic;
SIGNAL \led_flash_cnt[1008][6]~41002_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1008][6]~41003\ : std_logic;
SIGNAL \led_flash_cnt[1008][7]~41004_combout\ : std_logic;
SIGNAL \led_flash_cnt[1008][7]~q\ : std_logic;
SIGNAL \WideAnd1008~1_combout\ : std_logic;
SIGNAL \WideAnd1008~combout\ : std_logic;
SIGNAL \WideAnd3966~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][0]~81653_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1013][1]~41062_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1013][1]~41063\ : std_logic;
SIGNAL \led_flash_cnt[1013][2]~41064_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1013][2]~41065\ : std_logic;
SIGNAL \led_flash_cnt[1013][3]~41066_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1013][3]~41067\ : std_logic;
SIGNAL \led_flash_cnt[1013][4]~41068_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1013][4]~41069\ : std_logic;
SIGNAL \led_flash_cnt[1013][5]~41070_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1013][5]~41071\ : std_logic;
SIGNAL \led_flash_cnt[1013][6]~41072_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1013][6]~41073\ : std_logic;
SIGNAL \led_flash_cnt[1013][7]~41074_combout\ : std_logic;
SIGNAL \led_flash_cnt[1013][7]~q\ : std_logic;
SIGNAL \WideAnd1013~0_combout\ : std_logic;
SIGNAL \WideAnd1013~1_combout\ : std_logic;
SIGNAL \WideAnd1013~combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][0]~81652_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1012][1]~41048_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1012][1]~41049\ : std_logic;
SIGNAL \led_flash_cnt[1012][2]~41050_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1012][2]~41051\ : std_logic;
SIGNAL \led_flash_cnt[1012][3]~41052_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1012][3]~41053\ : std_logic;
SIGNAL \led_flash_cnt[1012][4]~41054_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][4]~q\ : std_logic;
SIGNAL \WideAnd1012~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][4]~41055\ : std_logic;
SIGNAL \led_flash_cnt[1012][5]~41056_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1012][5]~41057\ : std_logic;
SIGNAL \led_flash_cnt[1012][6]~41058_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][6]~q\ : std_logic;
SIGNAL \WideAnd1012~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][6]~41059\ : std_logic;
SIGNAL \led_flash_cnt[1012][7]~41060_combout\ : std_logic;
SIGNAL \led_flash_cnt[1012][7]~q\ : std_logic;
SIGNAL \WideAnd1012~combout\ : std_logic;
SIGNAL \WideAnd3966~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][0]~81654_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1014][1]~41076_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1014][1]~41077\ : std_logic;
SIGNAL \led_flash_cnt[1014][2]~41078_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1014][2]~41079\ : std_logic;
SIGNAL \led_flash_cnt[1014][3]~41080_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1014][3]~41081\ : std_logic;
SIGNAL \led_flash_cnt[1014][4]~41082_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1014][4]~41083\ : std_logic;
SIGNAL \led_flash_cnt[1014][5]~41084_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1014][5]~41085\ : std_logic;
SIGNAL \led_flash_cnt[1014][6]~41086_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1014][6]~41087\ : std_logic;
SIGNAL \led_flash_cnt[1014][7]~41088_combout\ : std_logic;
SIGNAL \led_flash_cnt[1014][7]~q\ : std_logic;
SIGNAL \WideAnd1014~0_combout\ : std_logic;
SIGNAL \WideAnd1014~1_combout\ : std_logic;
SIGNAL \WideAnd1014~combout\ : std_logic;
SIGNAL \WideAnd3966~combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][0]~81663_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1023][1]~41202_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1023][1]~41203\ : std_logic;
SIGNAL \led_flash_cnt[1023][2]~41204_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1023][2]~41205\ : std_logic;
SIGNAL \led_flash_cnt[1023][3]~41206_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1023][3]~41207\ : std_logic;
SIGNAL \led_flash_cnt[1023][4]~41208_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1023][4]~41209\ : std_logic;
SIGNAL \led_flash_cnt[1023][5]~41210_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1023][5]~41211\ : std_logic;
SIGNAL \led_flash_cnt[1023][6]~41212_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][6]~q\ : std_logic;
SIGNAL \WideAnd1023~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][6]~41213\ : std_logic;
SIGNAL \led_flash_cnt[1023][7]~41214_combout\ : std_logic;
SIGNAL \led_flash_cnt[1023][7]~q\ : std_logic;
SIGNAL \WideAnd1023~0_combout\ : std_logic;
SIGNAL \WideAnd1023~combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][0]~81662_combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1022][1]~41188_combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1022][1]~41189\ : std_logic;
SIGNAL \led_flash_cnt[1022][2]~41190_combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1022][2]~41191\ : std_logic;
SIGNAL \led_flash_cnt[1022][3]~41192_combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1022][3]~41193\ : std_logic;
SIGNAL \led_flash_cnt[1022][4]~41194_combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1022][4]~41195\ : std_logic;
SIGNAL \led_flash_cnt[1022][5]~41196_combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1022][5]~41197\ : std_logic;
SIGNAL \led_flash_cnt[1022][6]~41198_combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1022][6]~41199\ : std_logic;
SIGNAL \led_flash_cnt[1022][7]~41200_combout\ : std_logic;
SIGNAL \led_flash_cnt[1022][7]~q\ : std_logic;
SIGNAL \WideAnd1022~1_combout\ : std_logic;
SIGNAL \WideAnd1022~0_combout\ : std_logic;
SIGNAL \WideAnd1022~combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][0]~81659_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1019][1]~41146_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1019][1]~41147\ : std_logic;
SIGNAL \led_flash_cnt[1019][2]~41148_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1019][2]~41149\ : std_logic;
SIGNAL \led_flash_cnt[1019][3]~41150_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1019][3]~41151\ : std_logic;
SIGNAL \led_flash_cnt[1019][4]~41152_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1019][4]~41153\ : std_logic;
SIGNAL \led_flash_cnt[1019][5]~41154_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1019][5]~41155\ : std_logic;
SIGNAL \led_flash_cnt[1019][6]~41156_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][6]~q\ : std_logic;
SIGNAL \WideAnd1019~1_combout\ : std_logic;
SIGNAL \WideAnd1019~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][6]~41157\ : std_logic;
SIGNAL \led_flash_cnt[1019][7]~41158_combout\ : std_logic;
SIGNAL \led_flash_cnt[1019][7]~q\ : std_logic;
SIGNAL \WideAnd1019~combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][0]~81657_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1017][1]~41118_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1017][1]~41119\ : std_logic;
SIGNAL \led_flash_cnt[1017][2]~41120_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1017][2]~41121\ : std_logic;
SIGNAL \led_flash_cnt[1017][3]~41122_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1017][3]~41123\ : std_logic;
SIGNAL \led_flash_cnt[1017][4]~41124_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1017][4]~41125\ : std_logic;
SIGNAL \led_flash_cnt[1017][5]~41126_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1017][5]~41127\ : std_logic;
SIGNAL \led_flash_cnt[1017][6]~41128_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][6]~q\ : std_logic;
SIGNAL \WideAnd1017~1_combout\ : std_logic;
SIGNAL \WideAnd1017~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][6]~41129\ : std_logic;
SIGNAL \led_flash_cnt[1017][7]~41130_combout\ : std_logic;
SIGNAL \led_flash_cnt[1017][7]~q\ : std_logic;
SIGNAL \WideAnd1017~combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][0]~81656_combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1016][1]~41104_combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1016][1]~41105\ : std_logic;
SIGNAL \led_flash_cnt[1016][2]~41106_combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1016][2]~41107\ : std_logic;
SIGNAL \led_flash_cnt[1016][3]~41108_combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1016][3]~41109\ : std_logic;
SIGNAL \led_flash_cnt[1016][4]~41110_combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1016][4]~41111\ : std_logic;
SIGNAL \led_flash_cnt[1016][5]~41112_combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1016][5]~41113\ : std_logic;
SIGNAL \led_flash_cnt[1016][6]~41114_combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1016][6]~41115\ : std_logic;
SIGNAL \led_flash_cnt[1016][7]~41116_combout\ : std_logic;
SIGNAL \led_flash_cnt[1016][7]~q\ : std_logic;
SIGNAL \WideAnd1016~1_combout\ : std_logic;
SIGNAL \WideAnd1016~0_combout\ : std_logic;
SIGNAL \WideAnd1016~combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][0]~81658_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1018][1]~41132_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1018][1]~41133\ : std_logic;
SIGNAL \led_flash_cnt[1018][2]~41134_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1018][2]~41135\ : std_logic;
SIGNAL \led_flash_cnt[1018][3]~41136_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1018][3]~41137\ : std_logic;
SIGNAL \led_flash_cnt[1018][4]~41138_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][4]~q\ : std_logic;
SIGNAL \WideAnd1018~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][4]~41139\ : std_logic;
SIGNAL \led_flash_cnt[1018][5]~41140_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1018][5]~41141\ : std_logic;
SIGNAL \led_flash_cnt[1018][6]~41142_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][6]~q\ : std_logic;
SIGNAL \WideAnd1018~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][6]~41143\ : std_logic;
SIGNAL \led_flash_cnt[1018][7]~41144_combout\ : std_logic;
SIGNAL \led_flash_cnt[1018][7]~q\ : std_logic;
SIGNAL \WideAnd1018~combout\ : std_logic;
SIGNAL \WideAnd3967~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][0]~81661_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1021][1]~41174_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1021][1]~41175\ : std_logic;
SIGNAL \led_flash_cnt[1021][2]~41176_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1021][2]~41177\ : std_logic;
SIGNAL \led_flash_cnt[1021][3]~41178_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1021][3]~41179\ : std_logic;
SIGNAL \led_flash_cnt[1021][4]~41180_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][4]~q\ : std_logic;
SIGNAL \WideAnd1021~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][4]~41181\ : std_logic;
SIGNAL \led_flash_cnt[1021][5]~41182_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1021][5]~41183\ : std_logic;
SIGNAL \led_flash_cnt[1021][6]~41184_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][6]~q\ : std_logic;
SIGNAL \WideAnd1021~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][6]~41185\ : std_logic;
SIGNAL \led_flash_cnt[1021][7]~41186_combout\ : std_logic;
SIGNAL \led_flash_cnt[1021][7]~q\ : std_logic;
SIGNAL \WideAnd1021~combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][0]~81660_combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1020][1]~41160_combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1020][1]~41161\ : std_logic;
SIGNAL \led_flash_cnt[1020][2]~41162_combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1020][2]~41163\ : std_logic;
SIGNAL \led_flash_cnt[1020][3]~41164_combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1020][3]~41165\ : std_logic;
SIGNAL \led_flash_cnt[1020][4]~41166_combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1020][4]~41167\ : std_logic;
SIGNAL \led_flash_cnt[1020][5]~41168_combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1020][5]~41169\ : std_logic;
SIGNAL \led_flash_cnt[1020][6]~41170_combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1020][6]~41171\ : std_logic;
SIGNAL \led_flash_cnt[1020][7]~41172_combout\ : std_logic;
SIGNAL \led_flash_cnt[1020][7]~q\ : std_logic;
SIGNAL \WideAnd1020~1_combout\ : std_logic;
SIGNAL \WideAnd1020~0_combout\ : std_logic;
SIGNAL \WideAnd1020~combout\ : std_logic;
SIGNAL \WideAnd3967~1_combout\ : std_logic;
SIGNAL \WideAnd3967~combout\ : std_logic;
SIGNAL \led_flash_cnt[990][0]~81630_combout\ : std_logic;
SIGNAL \led_flash_cnt[990][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[990][1]~40740_combout\ : std_logic;
SIGNAL \led_flash_cnt[990][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[990][1]~40741\ : std_logic;
SIGNAL \led_flash_cnt[990][2]~40742_combout\ : std_logic;
SIGNAL \led_flash_cnt[990][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[990][2]~40743\ : std_logic;
SIGNAL \led_flash_cnt[990][3]~40744_combout\ : std_logic;
SIGNAL \led_flash_cnt[990][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[990][3]~40745\ : std_logic;
SIGNAL \led_flash_cnt[990][4]~40746_combout\ : std_logic;
SIGNAL \led_flash_cnt[990][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[990][4]~40747\ : std_logic;
SIGNAL \led_flash_cnt[990][5]~40748_combout\ : std_logic;
SIGNAL \led_flash_cnt[990][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[990][5]~40749\ : std_logic;
SIGNAL \led_flash_cnt[990][6]~40750_combout\ : std_logic;
SIGNAL \led_flash_cnt[990][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[990][6]~40751\ : std_logic;
SIGNAL \led_flash_cnt[990][7]~40752_combout\ : std_logic;
SIGNAL \led_flash_cnt[990][7]~q\ : std_logic;
SIGNAL \WideAnd990~0_combout\ : std_logic;
SIGNAL \WideAnd990~1_combout\ : std_logic;
SIGNAL \WideAnd990~combout\ : std_logic;
SIGNAL \led_flash_cnt[991][0]~81631_combout\ : std_logic;
SIGNAL \led_flash_cnt[991][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[991][1]~40754_combout\ : std_logic;
SIGNAL \led_flash_cnt[991][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[991][1]~40755\ : std_logic;
SIGNAL \led_flash_cnt[991][2]~40756_combout\ : std_logic;
SIGNAL \led_flash_cnt[991][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[991][2]~40757\ : std_logic;
SIGNAL \led_flash_cnt[991][3]~40758_combout\ : std_logic;
SIGNAL \led_flash_cnt[991][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[991][3]~40759\ : std_logic;
SIGNAL \led_flash_cnt[991][4]~40760_combout\ : std_logic;
SIGNAL \led_flash_cnt[991][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[991][4]~40761\ : std_logic;
SIGNAL \led_flash_cnt[991][5]~40762_combout\ : std_logic;
SIGNAL \led_flash_cnt[991][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[991][5]~40763\ : std_logic;
SIGNAL \led_flash_cnt[991][6]~40764_combout\ : std_logic;
SIGNAL \led_flash_cnt[991][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[991][6]~40765\ : std_logic;
SIGNAL \led_flash_cnt[991][7]~40766_combout\ : std_logic;
SIGNAL \led_flash_cnt[991][7]~q\ : std_logic;
SIGNAL \WideAnd991~1_combout\ : std_logic;
SIGNAL \WideAnd991~0_combout\ : std_logic;
SIGNAL \WideAnd991~combout\ : std_logic;
SIGNAL \led_flash_cnt[989][0]~81629_combout\ : std_logic;
SIGNAL \led_flash_cnt[989][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[989][1]~40726_combout\ : std_logic;
SIGNAL \led_flash_cnt[989][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[989][1]~40727\ : std_logic;
SIGNAL \led_flash_cnt[989][2]~40728_combout\ : std_logic;
SIGNAL \led_flash_cnt[989][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[989][2]~40729\ : std_logic;
SIGNAL \led_flash_cnt[989][3]~40730_combout\ : std_logic;
SIGNAL \led_flash_cnt[989][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[989][3]~40731\ : std_logic;
SIGNAL \led_flash_cnt[989][4]~40732_combout\ : std_logic;
SIGNAL \led_flash_cnt[989][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[989][4]~40733\ : std_logic;
SIGNAL \led_flash_cnt[989][5]~40734_combout\ : std_logic;
SIGNAL \led_flash_cnt[989][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[989][5]~40735\ : std_logic;
SIGNAL \led_flash_cnt[989][6]~40736_combout\ : std_logic;
SIGNAL \led_flash_cnt[989][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[989][6]~40737\ : std_logic;
SIGNAL \led_flash_cnt[989][7]~40738_combout\ : std_logic;
SIGNAL \led_flash_cnt[989][7]~q\ : std_logic;
SIGNAL \WideAnd989~1_combout\ : std_logic;
SIGNAL \WideAnd989~0_combout\ : std_logic;
SIGNAL \WideAnd989~combout\ : std_logic;
SIGNAL \led_flash_cnt[988][0]~81628_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[988][1]~40712_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[988][1]~40713\ : std_logic;
SIGNAL \led_flash_cnt[988][2]~40714_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[988][2]~40715\ : std_logic;
SIGNAL \led_flash_cnt[988][3]~40716_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[988][3]~40717\ : std_logic;
SIGNAL \led_flash_cnt[988][4]~40718_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[988][4]~40719\ : std_logic;
SIGNAL \led_flash_cnt[988][5]~40720_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[988][5]~40721\ : std_logic;
SIGNAL \led_flash_cnt[988][6]~40722_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][6]~q\ : std_logic;
SIGNAL \WideAnd988~1_combout\ : std_logic;
SIGNAL \WideAnd988~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][6]~40723\ : std_logic;
SIGNAL \led_flash_cnt[988][7]~40724_combout\ : std_logic;
SIGNAL \led_flash_cnt[988][7]~q\ : std_logic;
SIGNAL \WideAnd988~combout\ : std_logic;
SIGNAL \WideAnd3963~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][0]~81626_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[986][1]~40684_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[986][1]~40685\ : std_logic;
SIGNAL \led_flash_cnt[986][2]~40686_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[986][2]~40687\ : std_logic;
SIGNAL \led_flash_cnt[986][3]~40688_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[986][3]~40689\ : std_logic;
SIGNAL \led_flash_cnt[986][4]~40690_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[986][4]~40691\ : std_logic;
SIGNAL \led_flash_cnt[986][5]~40692_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[986][5]~40693\ : std_logic;
SIGNAL \led_flash_cnt[986][6]~40694_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[986][6]~40695\ : std_logic;
SIGNAL \led_flash_cnt[986][7]~40696_combout\ : std_logic;
SIGNAL \led_flash_cnt[986][7]~q\ : std_logic;
SIGNAL \WideAnd986~0_combout\ : std_logic;
SIGNAL \WideAnd986~1_combout\ : std_logic;
SIGNAL \WideAnd986~combout\ : std_logic;
SIGNAL \led_flash_cnt[984][0]~81624_combout\ : std_logic;
SIGNAL \led_flash_cnt[984][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[984][1]~40656_combout\ : std_logic;
SIGNAL \led_flash_cnt[984][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[984][1]~40657\ : std_logic;
SIGNAL \led_flash_cnt[984][2]~40658_combout\ : std_logic;
SIGNAL \led_flash_cnt[984][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[984][2]~40659\ : std_logic;
SIGNAL \led_flash_cnt[984][3]~40660_combout\ : std_logic;
SIGNAL \led_flash_cnt[984][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[984][3]~40661\ : std_logic;
SIGNAL \led_flash_cnt[984][4]~40662_combout\ : std_logic;
SIGNAL \led_flash_cnt[984][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[984][4]~40663\ : std_logic;
SIGNAL \led_flash_cnt[984][5]~40664_combout\ : std_logic;
SIGNAL \led_flash_cnt[984][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[984][5]~40665\ : std_logic;
SIGNAL \led_flash_cnt[984][6]~40666_combout\ : std_logic;
SIGNAL \led_flash_cnt[984][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[984][6]~40667\ : std_logic;
SIGNAL \led_flash_cnt[984][7]~40668_combout\ : std_logic;
SIGNAL \led_flash_cnt[984][7]~q\ : std_logic;
SIGNAL \WideAnd984~1_combout\ : std_logic;
SIGNAL \WideAnd984~0_combout\ : std_logic;
SIGNAL \WideAnd984~combout\ : std_logic;
SIGNAL \led_flash_cnt[987][0]~81627_combout\ : std_logic;
SIGNAL \led_flash_cnt[987][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[987][1]~40698_combout\ : std_logic;
SIGNAL \led_flash_cnt[987][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[987][1]~40699\ : std_logic;
SIGNAL \led_flash_cnt[987][2]~40700_combout\ : std_logic;
SIGNAL \led_flash_cnt[987][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[987][2]~40701\ : std_logic;
SIGNAL \led_flash_cnt[987][3]~40702_combout\ : std_logic;
SIGNAL \led_flash_cnt[987][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[987][3]~40703\ : std_logic;
SIGNAL \led_flash_cnt[987][4]~40704_combout\ : std_logic;
SIGNAL \led_flash_cnt[987][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[987][4]~40705\ : std_logic;
SIGNAL \led_flash_cnt[987][5]~40706_combout\ : std_logic;
SIGNAL \led_flash_cnt[987][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[987][5]~40707\ : std_logic;
SIGNAL \led_flash_cnt[987][6]~40708_combout\ : std_logic;
SIGNAL \led_flash_cnt[987][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[987][6]~40709\ : std_logic;
SIGNAL \led_flash_cnt[987][7]~40710_combout\ : std_logic;
SIGNAL \led_flash_cnt[987][7]~q\ : std_logic;
SIGNAL \WideAnd987~0_combout\ : std_logic;
SIGNAL \WideAnd987~1_combout\ : std_logic;
SIGNAL \WideAnd987~combout\ : std_logic;
SIGNAL \led_flash_cnt[985][0]~81625_combout\ : std_logic;
SIGNAL \led_flash_cnt[985][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[985][1]~40670_combout\ : std_logic;
SIGNAL \led_flash_cnt[985][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[985][1]~40671\ : std_logic;
SIGNAL \led_flash_cnt[985][2]~40672_combout\ : std_logic;
SIGNAL \led_flash_cnt[985][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[985][2]~40673\ : std_logic;
SIGNAL \led_flash_cnt[985][3]~40674_combout\ : std_logic;
SIGNAL \led_flash_cnt[985][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[985][3]~40675\ : std_logic;
SIGNAL \led_flash_cnt[985][4]~40676_combout\ : std_logic;
SIGNAL \led_flash_cnt[985][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[985][4]~40677\ : std_logic;
SIGNAL \led_flash_cnt[985][5]~40678_combout\ : std_logic;
SIGNAL \led_flash_cnt[985][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[985][5]~40679\ : std_logic;
SIGNAL \led_flash_cnt[985][6]~40680_combout\ : std_logic;
SIGNAL \led_flash_cnt[985][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[985][6]~40681\ : std_logic;
SIGNAL \led_flash_cnt[985][7]~40682_combout\ : std_logic;
SIGNAL \led_flash_cnt[985][7]~q\ : std_logic;
SIGNAL \WideAnd985~0_combout\ : std_logic;
SIGNAL \WideAnd985~1_combout\ : std_logic;
SIGNAL \WideAnd985~combout\ : std_logic;
SIGNAL \WideAnd3963~0_combout\ : std_logic;
SIGNAL \WideAnd3963~combout\ : std_logic;
SIGNAL \led_flash_cnt[978][0]~81618_combout\ : std_logic;
SIGNAL \led_flash_cnt[978][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[978][1]~40572_combout\ : std_logic;
SIGNAL \led_flash_cnt[978][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[978][1]~40573\ : std_logic;
SIGNAL \led_flash_cnt[978][2]~40574_combout\ : std_logic;
SIGNAL \led_flash_cnt[978][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[978][2]~40575\ : std_logic;
SIGNAL \led_flash_cnt[978][3]~40576_combout\ : std_logic;
SIGNAL \led_flash_cnt[978][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[978][3]~40577\ : std_logic;
SIGNAL \led_flash_cnt[978][4]~40578_combout\ : std_logic;
SIGNAL \led_flash_cnt[978][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[978][4]~40579\ : std_logic;
SIGNAL \led_flash_cnt[978][5]~40580_combout\ : std_logic;
SIGNAL \led_flash_cnt[978][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[978][5]~40581\ : std_logic;
SIGNAL \led_flash_cnt[978][6]~40582_combout\ : std_logic;
SIGNAL \led_flash_cnt[978][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[978][6]~40583\ : std_logic;
SIGNAL \led_flash_cnt[978][7]~40584_combout\ : std_logic;
SIGNAL \led_flash_cnt[978][7]~q\ : std_logic;
SIGNAL \WideAnd978~0_combout\ : std_logic;
SIGNAL \WideAnd978~1_combout\ : std_logic;
SIGNAL \WideAnd978~combout\ : std_logic;
SIGNAL \led_flash_cnt[977][0]~81617_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[977][1]~40558_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[977][1]~40559\ : std_logic;
SIGNAL \led_flash_cnt[977][2]~40560_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[977][2]~40561\ : std_logic;
SIGNAL \led_flash_cnt[977][3]~40562_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[977][3]~40563\ : std_logic;
SIGNAL \led_flash_cnt[977][4]~40564_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[977][4]~40565\ : std_logic;
SIGNAL \led_flash_cnt[977][5]~40566_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[977][5]~40567\ : std_logic;
SIGNAL \led_flash_cnt[977][6]~40568_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][6]~q\ : std_logic;
SIGNAL \WideAnd977~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][6]~40569\ : std_logic;
SIGNAL \led_flash_cnt[977][7]~40570_combout\ : std_logic;
SIGNAL \led_flash_cnt[977][7]~q\ : std_logic;
SIGNAL \WideAnd977~0_combout\ : std_logic;
SIGNAL \WideAnd977~combout\ : std_logic;
SIGNAL \led_flash_cnt[976][0]~81616_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[976][1]~40544_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[976][1]~40545\ : std_logic;
SIGNAL \led_flash_cnt[976][2]~40546_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[976][2]~40547\ : std_logic;
SIGNAL \led_flash_cnt[976][3]~40548_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[976][3]~40549\ : std_logic;
SIGNAL \led_flash_cnt[976][4]~40550_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[976][4]~40551\ : std_logic;
SIGNAL \led_flash_cnt[976][5]~40552_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[976][5]~40553\ : std_logic;
SIGNAL \led_flash_cnt[976][6]~40554_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][6]~q\ : std_logic;
SIGNAL \WideAnd976~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][6]~40555\ : std_logic;
SIGNAL \led_flash_cnt[976][7]~40556_combout\ : std_logic;
SIGNAL \led_flash_cnt[976][7]~q\ : std_logic;
SIGNAL \WideAnd976~0_combout\ : std_logic;
SIGNAL \WideAnd976~combout\ : std_logic;
SIGNAL \led_flash_cnt[979][0]~81619_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[979][1]~40586_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[979][1]~40587\ : std_logic;
SIGNAL \led_flash_cnt[979][2]~40588_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[979][2]~40589\ : std_logic;
SIGNAL \led_flash_cnt[979][3]~40590_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[979][3]~40591\ : std_logic;
SIGNAL \led_flash_cnt[979][4]~40592_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[979][4]~40593\ : std_logic;
SIGNAL \led_flash_cnt[979][5]~40594_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[979][5]~40595\ : std_logic;
SIGNAL \led_flash_cnt[979][6]~40596_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][6]~q\ : std_logic;
SIGNAL \WideAnd979~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][6]~40597\ : std_logic;
SIGNAL \led_flash_cnt[979][7]~40598_combout\ : std_logic;
SIGNAL \led_flash_cnt[979][7]~q\ : std_logic;
SIGNAL \WideAnd979~0_combout\ : std_logic;
SIGNAL \WideAnd979~combout\ : std_logic;
SIGNAL \WideAnd3962~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][0]~81622_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[982][1]~40628_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[982][1]~40629\ : std_logic;
SIGNAL \led_flash_cnt[982][2]~40630_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[982][2]~40631\ : std_logic;
SIGNAL \led_flash_cnt[982][3]~40632_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[982][3]~40633\ : std_logic;
SIGNAL \led_flash_cnt[982][4]~40634_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[982][4]~40635\ : std_logic;
SIGNAL \led_flash_cnt[982][5]~40636_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[982][5]~40637\ : std_logic;
SIGNAL \led_flash_cnt[982][6]~40638_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[982][6]~40639\ : std_logic;
SIGNAL \led_flash_cnt[982][7]~40640_combout\ : std_logic;
SIGNAL \led_flash_cnt[982][7]~q\ : std_logic;
SIGNAL \WideAnd982~1_combout\ : std_logic;
SIGNAL \WideAnd982~0_combout\ : std_logic;
SIGNAL \WideAnd982~combout\ : std_logic;
SIGNAL \led_flash_cnt[980][0]~81620_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[980][1]~40600_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[980][1]~40601\ : std_logic;
SIGNAL \led_flash_cnt[980][2]~40602_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[980][2]~40603\ : std_logic;
SIGNAL \led_flash_cnt[980][3]~40604_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[980][3]~40605\ : std_logic;
SIGNAL \led_flash_cnt[980][4]~40606_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][4]~q\ : std_logic;
SIGNAL \WideAnd980~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][4]~40607\ : std_logic;
SIGNAL \led_flash_cnt[980][5]~40608_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[980][5]~40609\ : std_logic;
SIGNAL \led_flash_cnt[980][6]~40610_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][6]~q\ : std_logic;
SIGNAL \WideAnd980~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][6]~40611\ : std_logic;
SIGNAL \led_flash_cnt[980][7]~40612_combout\ : std_logic;
SIGNAL \led_flash_cnt[980][7]~q\ : std_logic;
SIGNAL \WideAnd980~combout\ : std_logic;
SIGNAL \led_flash_cnt[981][0]~81621_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[981][1]~40614_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[981][1]~40615\ : std_logic;
SIGNAL \led_flash_cnt[981][2]~40616_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[981][2]~40617\ : std_logic;
SIGNAL \led_flash_cnt[981][3]~40618_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[981][3]~40619\ : std_logic;
SIGNAL \led_flash_cnt[981][4]~40620_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[981][4]~40621\ : std_logic;
SIGNAL \led_flash_cnt[981][5]~40622_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[981][5]~40623\ : std_logic;
SIGNAL \led_flash_cnt[981][6]~40624_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][6]~q\ : std_logic;
SIGNAL \WideAnd981~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][6]~40625\ : std_logic;
SIGNAL \led_flash_cnt[981][7]~40626_combout\ : std_logic;
SIGNAL \led_flash_cnt[981][7]~q\ : std_logic;
SIGNAL \WideAnd981~0_combout\ : std_logic;
SIGNAL \WideAnd981~combout\ : std_logic;
SIGNAL \WideAnd3962~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][0]~81623_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[983][1]~40642_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[983][1]~40643\ : std_logic;
SIGNAL \led_flash_cnt[983][2]~40644_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[983][2]~40645\ : std_logic;
SIGNAL \led_flash_cnt[983][3]~40646_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[983][3]~40647\ : std_logic;
SIGNAL \led_flash_cnt[983][4]~40648_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[983][4]~40649\ : std_logic;
SIGNAL \led_flash_cnt[983][5]~40650_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[983][5]~40651\ : std_logic;
SIGNAL \led_flash_cnt[983][6]~40652_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[983][6]~40653\ : std_logic;
SIGNAL \led_flash_cnt[983][7]~40654_combout\ : std_logic;
SIGNAL \led_flash_cnt[983][7]~q\ : std_logic;
SIGNAL \WideAnd983~1_combout\ : std_logic;
SIGNAL \WideAnd983~0_combout\ : std_logic;
SIGNAL \WideAnd983~combout\ : std_logic;
SIGNAL \WideAnd3962~combout\ : std_logic;
SIGNAL \led_flash_cnt[969][0]~81609_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[969][1]~40446_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[969][1]~40447\ : std_logic;
SIGNAL \led_flash_cnt[969][2]~40448_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[969][2]~40449\ : std_logic;
SIGNAL \led_flash_cnt[969][3]~40450_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[969][3]~40451\ : std_logic;
SIGNAL \led_flash_cnt[969][4]~40452_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][4]~q\ : std_logic;
SIGNAL \WideAnd969~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][4]~40453\ : std_logic;
SIGNAL \led_flash_cnt[969][5]~40454_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[969][5]~40455\ : std_logic;
SIGNAL \led_flash_cnt[969][6]~40456_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[969][6]~40457\ : std_logic;
SIGNAL \led_flash_cnt[969][7]~40458_combout\ : std_logic;
SIGNAL \led_flash_cnt[969][7]~q\ : std_logic;
SIGNAL \WideAnd969~1_combout\ : std_logic;
SIGNAL \WideAnd969~combout\ : std_logic;
SIGNAL \led_flash_cnt[971][0]~81611_combout\ : std_logic;
SIGNAL \led_flash_cnt[971][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[971][1]~40474_combout\ : std_logic;
SIGNAL \led_flash_cnt[971][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[971][1]~40475\ : std_logic;
SIGNAL \led_flash_cnt[971][2]~40476_combout\ : std_logic;
SIGNAL \led_flash_cnt[971][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[971][2]~40477\ : std_logic;
SIGNAL \led_flash_cnt[971][3]~40478_combout\ : std_logic;
SIGNAL \led_flash_cnt[971][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[971][3]~40479\ : std_logic;
SIGNAL \led_flash_cnt[971][4]~40480_combout\ : std_logic;
SIGNAL \led_flash_cnt[971][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[971][4]~40481\ : std_logic;
SIGNAL \led_flash_cnt[971][5]~40482_combout\ : std_logic;
SIGNAL \led_flash_cnt[971][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[971][5]~40483\ : std_logic;
SIGNAL \led_flash_cnt[971][6]~40484_combout\ : std_logic;
SIGNAL \led_flash_cnt[971][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[971][6]~40485\ : std_logic;
SIGNAL \led_flash_cnt[971][7]~40486_combout\ : std_logic;
SIGNAL \led_flash_cnt[971][7]~q\ : std_logic;
SIGNAL \WideAnd971~1_combout\ : std_logic;
SIGNAL \WideAnd971~0_combout\ : std_logic;
SIGNAL \WideAnd971~combout\ : std_logic;
SIGNAL \led_flash_cnt[970][0]~81610_combout\ : std_logic;
SIGNAL \led_flash_cnt[970][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[970][1]~40460_combout\ : std_logic;
SIGNAL \led_flash_cnt[970][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[970][1]~40461\ : std_logic;
SIGNAL \led_flash_cnt[970][2]~40462_combout\ : std_logic;
SIGNAL \led_flash_cnt[970][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[970][2]~40463\ : std_logic;
SIGNAL \led_flash_cnt[970][3]~40464_combout\ : std_logic;
SIGNAL \led_flash_cnt[970][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[970][3]~40465\ : std_logic;
SIGNAL \led_flash_cnt[970][4]~40466_combout\ : std_logic;
SIGNAL \led_flash_cnt[970][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[970][4]~40467\ : std_logic;
SIGNAL \led_flash_cnt[970][5]~40468_combout\ : std_logic;
SIGNAL \led_flash_cnt[970][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[970][5]~40469\ : std_logic;
SIGNAL \led_flash_cnt[970][6]~40470_combout\ : std_logic;
SIGNAL \led_flash_cnt[970][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[970][6]~40471\ : std_logic;
SIGNAL \led_flash_cnt[970][7]~40472_combout\ : std_logic;
SIGNAL \led_flash_cnt[970][7]~q\ : std_logic;
SIGNAL \WideAnd970~0_combout\ : std_logic;
SIGNAL \WideAnd970~1_combout\ : std_logic;
SIGNAL \WideAnd970~combout\ : std_logic;
SIGNAL \led_flash_cnt[968][0]~81608_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[968][1]~40432_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[968][1]~40433\ : std_logic;
SIGNAL \led_flash_cnt[968][2]~40434_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[968][2]~40435\ : std_logic;
SIGNAL \led_flash_cnt[968][3]~40436_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[968][3]~40437\ : std_logic;
SIGNAL \led_flash_cnt[968][4]~40438_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][4]~q\ : std_logic;
SIGNAL \WideAnd968~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][4]~40439\ : std_logic;
SIGNAL \led_flash_cnt[968][5]~40440_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[968][5]~40441\ : std_logic;
SIGNAL \led_flash_cnt[968][6]~40442_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][6]~q\ : std_logic;
SIGNAL \WideAnd968~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][6]~40443\ : std_logic;
SIGNAL \led_flash_cnt[968][7]~40444_combout\ : std_logic;
SIGNAL \led_flash_cnt[968][7]~q\ : std_logic;
SIGNAL \WideAnd968~combout\ : std_logic;
SIGNAL \WideAnd3961~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][0]~81612_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[972][1]~40488_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[972][1]~40489\ : std_logic;
SIGNAL \led_flash_cnt[972][2]~40490_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[972][2]~40491\ : std_logic;
SIGNAL \led_flash_cnt[972][3]~40492_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[972][3]~40493\ : std_logic;
SIGNAL \led_flash_cnt[972][4]~40494_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[972][4]~40495\ : std_logic;
SIGNAL \led_flash_cnt[972][5]~40496_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[972][5]~40497\ : std_logic;
SIGNAL \led_flash_cnt[972][6]~40498_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][6]~q\ : std_logic;
SIGNAL \WideAnd972~1_combout\ : std_logic;
SIGNAL \WideAnd972~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][6]~40499\ : std_logic;
SIGNAL \led_flash_cnt[972][7]~40500_combout\ : std_logic;
SIGNAL \led_flash_cnt[972][7]~q\ : std_logic;
SIGNAL \WideAnd972~combout\ : std_logic;
SIGNAL \led_flash_cnt[973][0]~81613_combout\ : std_logic;
SIGNAL \led_flash_cnt[973][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[973][1]~40502_combout\ : std_logic;
SIGNAL \led_flash_cnt[973][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[973][1]~40503\ : std_logic;
SIGNAL \led_flash_cnt[973][2]~40504_combout\ : std_logic;
SIGNAL \led_flash_cnt[973][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[973][2]~40505\ : std_logic;
SIGNAL \led_flash_cnt[973][3]~40506_combout\ : std_logic;
SIGNAL \led_flash_cnt[973][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[973][3]~40507\ : std_logic;
SIGNAL \led_flash_cnt[973][4]~40508_combout\ : std_logic;
SIGNAL \led_flash_cnt[973][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[973][4]~40509\ : std_logic;
SIGNAL \led_flash_cnt[973][5]~40510_combout\ : std_logic;
SIGNAL \led_flash_cnt[973][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[973][5]~40511\ : std_logic;
SIGNAL \led_flash_cnt[973][6]~40512_combout\ : std_logic;
SIGNAL \led_flash_cnt[973][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[973][6]~40513\ : std_logic;
SIGNAL \led_flash_cnt[973][7]~40514_combout\ : std_logic;
SIGNAL \led_flash_cnt[973][7]~q\ : std_logic;
SIGNAL \WideAnd973~1_combout\ : std_logic;
SIGNAL \WideAnd973~0_combout\ : std_logic;
SIGNAL \WideAnd973~combout\ : std_logic;
SIGNAL \WideAnd3961~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][0]~81614_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[974][1]~40516_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[974][1]~40517\ : std_logic;
SIGNAL \led_flash_cnt[974][2]~40518_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[974][2]~40519\ : std_logic;
SIGNAL \led_flash_cnt[974][3]~40520_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[974][3]~40521\ : std_logic;
SIGNAL \led_flash_cnt[974][4]~40522_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[974][4]~40523\ : std_logic;
SIGNAL \led_flash_cnt[974][5]~40524_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[974][5]~40525\ : std_logic;
SIGNAL \led_flash_cnt[974][6]~40526_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][6]~q\ : std_logic;
SIGNAL \WideAnd974~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][6]~40527\ : std_logic;
SIGNAL \led_flash_cnt[974][7]~40528_combout\ : std_logic;
SIGNAL \led_flash_cnt[974][7]~q\ : std_logic;
SIGNAL \WideAnd974~0_combout\ : std_logic;
SIGNAL \WideAnd974~combout\ : std_logic;
SIGNAL \led_flash_cnt[975][0]~81615_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[975][1]~40530_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[975][1]~40531\ : std_logic;
SIGNAL \led_flash_cnt[975][2]~40532_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[975][2]~40533\ : std_logic;
SIGNAL \led_flash_cnt[975][3]~40534_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[975][3]~40535\ : std_logic;
SIGNAL \led_flash_cnt[975][4]~40536_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][4]~q\ : std_logic;
SIGNAL \WideAnd975~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][4]~40537\ : std_logic;
SIGNAL \led_flash_cnt[975][5]~40538_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[975][5]~40539\ : std_logic;
SIGNAL \led_flash_cnt[975][6]~40540_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][6]~q\ : std_logic;
SIGNAL \WideAnd975~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][6]~40541\ : std_logic;
SIGNAL \led_flash_cnt[975][7]~40542_combout\ : std_logic;
SIGNAL \led_flash_cnt[975][7]~q\ : std_logic;
SIGNAL \WideAnd975~combout\ : std_logic;
SIGNAL \WideAnd3961~combout\ : std_logic;
SIGNAL \led_flash_cnt[965][0]~81605_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[965][1]~40390_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[965][1]~40391\ : std_logic;
SIGNAL \led_flash_cnt[965][2]~40392_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[965][2]~40393\ : std_logic;
SIGNAL \led_flash_cnt[965][3]~40394_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[965][3]~40395\ : std_logic;
SIGNAL \led_flash_cnt[965][4]~40396_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][4]~q\ : std_logic;
SIGNAL \WideAnd965~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][4]~40397\ : std_logic;
SIGNAL \led_flash_cnt[965][5]~40398_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[965][5]~40399\ : std_logic;
SIGNAL \led_flash_cnt[965][6]~40400_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][6]~q\ : std_logic;
SIGNAL \WideAnd965~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][6]~40401\ : std_logic;
SIGNAL \led_flash_cnt[965][7]~40402_combout\ : std_logic;
SIGNAL \led_flash_cnt[965][7]~q\ : std_logic;
SIGNAL \WideAnd965~combout\ : std_logic;
SIGNAL \led_flash_cnt[964][0]~81604_combout\ : std_logic;
SIGNAL \led_flash_cnt[964][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[964][1]~40376_combout\ : std_logic;
SIGNAL \led_flash_cnt[964][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[964][1]~40377\ : std_logic;
SIGNAL \led_flash_cnt[964][2]~40378_combout\ : std_logic;
SIGNAL \led_flash_cnt[964][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[964][2]~40379\ : std_logic;
SIGNAL \led_flash_cnt[964][3]~40380_combout\ : std_logic;
SIGNAL \led_flash_cnt[964][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[964][3]~40381\ : std_logic;
SIGNAL \led_flash_cnt[964][4]~40382_combout\ : std_logic;
SIGNAL \led_flash_cnt[964][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[964][4]~40383\ : std_logic;
SIGNAL \led_flash_cnt[964][5]~40384_combout\ : std_logic;
SIGNAL \led_flash_cnt[964][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[964][5]~40385\ : std_logic;
SIGNAL \led_flash_cnt[964][6]~40386_combout\ : std_logic;
SIGNAL \led_flash_cnt[964][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[964][6]~40387\ : std_logic;
SIGNAL \led_flash_cnt[964][7]~40388_combout\ : std_logic;
SIGNAL \led_flash_cnt[964][7]~q\ : std_logic;
SIGNAL \WideAnd964~0_combout\ : std_logic;
SIGNAL \WideAnd964~1_combout\ : std_logic;
SIGNAL \WideAnd964~combout\ : std_logic;
SIGNAL \WideAnd3960~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][0]~81607_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[967][1]~40418_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[967][1]~40419\ : std_logic;
SIGNAL \led_flash_cnt[967][2]~40420_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[967][2]~40421\ : std_logic;
SIGNAL \led_flash_cnt[967][3]~40422_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[967][3]~40423\ : std_logic;
SIGNAL \led_flash_cnt[967][4]~40424_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[967][4]~40425\ : std_logic;
SIGNAL \led_flash_cnt[967][5]~40426_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[967][5]~40427\ : std_logic;
SIGNAL \led_flash_cnt[967][6]~40428_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][6]~q\ : std_logic;
SIGNAL \WideAnd967~1_combout\ : std_logic;
SIGNAL \WideAnd967~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][6]~40429\ : std_logic;
SIGNAL \led_flash_cnt[967][7]~40430_combout\ : std_logic;
SIGNAL \led_flash_cnt[967][7]~q\ : std_logic;
SIGNAL \WideAnd967~combout\ : std_logic;
SIGNAL \led_flash_cnt[966][0]~81606_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[966][1]~40404_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[966][1]~40405\ : std_logic;
SIGNAL \led_flash_cnt[966][2]~40406_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[966][2]~40407\ : std_logic;
SIGNAL \led_flash_cnt[966][3]~40408_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[966][3]~40409\ : std_logic;
SIGNAL \led_flash_cnt[966][4]~40410_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][4]~q\ : std_logic;
SIGNAL \WideAnd966~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][4]~40411\ : std_logic;
SIGNAL \led_flash_cnt[966][5]~40412_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[966][5]~40413\ : std_logic;
SIGNAL \led_flash_cnt[966][6]~40414_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][6]~q\ : std_logic;
SIGNAL \WideAnd966~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][6]~40415\ : std_logic;
SIGNAL \led_flash_cnt[966][7]~40416_combout\ : std_logic;
SIGNAL \led_flash_cnt[966][7]~q\ : std_logic;
SIGNAL \WideAnd966~combout\ : std_logic;
SIGNAL \led_flash_cnt[963][0]~81603_combout\ : std_logic;
SIGNAL \led_flash_cnt[963][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[963][1]~40362_combout\ : std_logic;
SIGNAL \led_flash_cnt[963][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[963][1]~40363\ : std_logic;
SIGNAL \led_flash_cnt[963][2]~40364_combout\ : std_logic;
SIGNAL \led_flash_cnt[963][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[963][2]~40365\ : std_logic;
SIGNAL \led_flash_cnt[963][3]~40366_combout\ : std_logic;
SIGNAL \led_flash_cnt[963][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[963][3]~40367\ : std_logic;
SIGNAL \led_flash_cnt[963][4]~40368_combout\ : std_logic;
SIGNAL \led_flash_cnt[963][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[963][4]~40369\ : std_logic;
SIGNAL \led_flash_cnt[963][5]~40370_combout\ : std_logic;
SIGNAL \led_flash_cnt[963][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[963][5]~40371\ : std_logic;
SIGNAL \led_flash_cnt[963][6]~40372_combout\ : std_logic;
SIGNAL \led_flash_cnt[963][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[963][6]~40373\ : std_logic;
SIGNAL \led_flash_cnt[963][7]~40374_combout\ : std_logic;
SIGNAL \led_flash_cnt[963][7]~q\ : std_logic;
SIGNAL \WideAnd963~0_combout\ : std_logic;
SIGNAL \WideAnd963~1_combout\ : std_logic;
SIGNAL \WideAnd963~combout\ : std_logic;
SIGNAL \led_flash_cnt[960][0]~81600_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[960][1]~40320_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[960][1]~40321\ : std_logic;
SIGNAL \led_flash_cnt[960][2]~40322_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[960][2]~40323\ : std_logic;
SIGNAL \led_flash_cnt[960][3]~40324_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[960][3]~40325\ : std_logic;
SIGNAL \led_flash_cnt[960][4]~40326_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[960][4]~40327\ : std_logic;
SIGNAL \led_flash_cnt[960][5]~40328_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[960][5]~40329\ : std_logic;
SIGNAL \led_flash_cnt[960][6]~40330_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][6]~q\ : std_logic;
SIGNAL \WideAnd960~1_combout\ : std_logic;
SIGNAL \WideAnd960~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][6]~40331\ : std_logic;
SIGNAL \led_flash_cnt[960][7]~40332_combout\ : std_logic;
SIGNAL \led_flash_cnt[960][7]~q\ : std_logic;
SIGNAL \WideAnd960~combout\ : std_logic;
SIGNAL \led_flash_cnt[961][0]~81601_combout\ : std_logic;
SIGNAL \led_flash_cnt[961][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[961][1]~40334_combout\ : std_logic;
SIGNAL \led_flash_cnt[961][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[961][1]~40335\ : std_logic;
SIGNAL \led_flash_cnt[961][2]~40336_combout\ : std_logic;
SIGNAL \led_flash_cnt[961][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[961][2]~40337\ : std_logic;
SIGNAL \led_flash_cnt[961][3]~40338_combout\ : std_logic;
SIGNAL \led_flash_cnt[961][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[961][3]~40339\ : std_logic;
SIGNAL \led_flash_cnt[961][4]~40340_combout\ : std_logic;
SIGNAL \led_flash_cnt[961][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[961][4]~40341\ : std_logic;
SIGNAL \led_flash_cnt[961][5]~40342_combout\ : std_logic;
SIGNAL \led_flash_cnt[961][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[961][5]~40343\ : std_logic;
SIGNAL \led_flash_cnt[961][6]~40344_combout\ : std_logic;
SIGNAL \led_flash_cnt[961][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[961][6]~40345\ : std_logic;
SIGNAL \led_flash_cnt[961][7]~40346_combout\ : std_logic;
SIGNAL \led_flash_cnt[961][7]~q\ : std_logic;
SIGNAL \WideAnd961~1_combout\ : std_logic;
SIGNAL \WideAnd961~0_combout\ : std_logic;
SIGNAL \WideAnd961~combout\ : std_logic;
SIGNAL \led_flash_cnt[962][0]~81602_combout\ : std_logic;
SIGNAL \led_flash_cnt[962][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[962][1]~40348_combout\ : std_logic;
SIGNAL \led_flash_cnt[962][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[962][1]~40349\ : std_logic;
SIGNAL \led_flash_cnt[962][2]~40350_combout\ : std_logic;
SIGNAL \led_flash_cnt[962][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[962][2]~40351\ : std_logic;
SIGNAL \led_flash_cnt[962][3]~40352_combout\ : std_logic;
SIGNAL \led_flash_cnt[962][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[962][3]~40353\ : std_logic;
SIGNAL \led_flash_cnt[962][4]~40354_combout\ : std_logic;
SIGNAL \led_flash_cnt[962][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[962][4]~40355\ : std_logic;
SIGNAL \led_flash_cnt[962][5]~40356_combout\ : std_logic;
SIGNAL \led_flash_cnt[962][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[962][5]~40357\ : std_logic;
SIGNAL \led_flash_cnt[962][6]~40358_combout\ : std_logic;
SIGNAL \led_flash_cnt[962][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[962][6]~40359\ : std_logic;
SIGNAL \led_flash_cnt[962][7]~40360_combout\ : std_logic;
SIGNAL \led_flash_cnt[962][7]~q\ : std_logic;
SIGNAL \WideAnd962~0_combout\ : std_logic;
SIGNAL \WideAnd962~1_combout\ : std_logic;
SIGNAL \WideAnd962~combout\ : std_logic;
SIGNAL \WideAnd3960~0_combout\ : std_logic;
SIGNAL \WideAnd3960~combout\ : std_logic;
SIGNAL \WideAnd4335~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][0]~81634_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[994][1]~40796_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[994][1]~40797\ : std_logic;
SIGNAL \led_flash_cnt[994][2]~40798_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[994][2]~40799\ : std_logic;
SIGNAL \led_flash_cnt[994][3]~40800_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[994][3]~40801\ : std_logic;
SIGNAL \led_flash_cnt[994][4]~40802_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[994][4]~40803\ : std_logic;
SIGNAL \led_flash_cnt[994][5]~40804_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[994][5]~40805\ : std_logic;
SIGNAL \led_flash_cnt[994][6]~40806_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[994][6]~40807\ : std_logic;
SIGNAL \led_flash_cnt[994][7]~40808_combout\ : std_logic;
SIGNAL \led_flash_cnt[994][7]~q\ : std_logic;
SIGNAL \WideAnd994~0_combout\ : std_logic;
SIGNAL \WideAnd994~1_combout\ : std_logic;
SIGNAL \WideAnd994~combout\ : std_logic;
SIGNAL \led_flash_cnt[992][0]~81632_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[992][1]~40768_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[992][1]~40769\ : std_logic;
SIGNAL \led_flash_cnt[992][2]~40770_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[992][2]~40771\ : std_logic;
SIGNAL \led_flash_cnt[992][3]~40772_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[992][3]~40773\ : std_logic;
SIGNAL \led_flash_cnt[992][4]~40774_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[992][4]~40775\ : std_logic;
SIGNAL \led_flash_cnt[992][5]~40776_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[992][5]~40777\ : std_logic;
SIGNAL \led_flash_cnt[992][6]~40778_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][6]~q\ : std_logic;
SIGNAL \WideAnd992~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][6]~40779\ : std_logic;
SIGNAL \led_flash_cnt[992][7]~40780_combout\ : std_logic;
SIGNAL \led_flash_cnt[992][7]~q\ : std_logic;
SIGNAL \WideAnd992~0_combout\ : std_logic;
SIGNAL \WideAnd992~combout\ : std_logic;
SIGNAL \led_flash_cnt[993][0]~81633_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[993][1]~40782_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[993][1]~40783\ : std_logic;
SIGNAL \led_flash_cnt[993][2]~40784_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[993][2]~40785\ : std_logic;
SIGNAL \led_flash_cnt[993][3]~40786_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[993][3]~40787\ : std_logic;
SIGNAL \led_flash_cnt[993][4]~40788_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[993][4]~40789\ : std_logic;
SIGNAL \led_flash_cnt[993][5]~40790_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[993][5]~40791\ : std_logic;
SIGNAL \led_flash_cnt[993][6]~40792_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][6]~q\ : std_logic;
SIGNAL \WideAnd993~1_combout\ : std_logic;
SIGNAL \WideAnd993~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][6]~40793\ : std_logic;
SIGNAL \led_flash_cnt[993][7]~40794_combout\ : std_logic;
SIGNAL \led_flash_cnt[993][7]~q\ : std_logic;
SIGNAL \WideAnd993~combout\ : std_logic;
SIGNAL \led_flash_cnt[995][0]~81635_combout\ : std_logic;
SIGNAL \led_flash_cnt[995][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[995][1]~40810_combout\ : std_logic;
SIGNAL \led_flash_cnt[995][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[995][1]~40811\ : std_logic;
SIGNAL \led_flash_cnt[995][2]~40812_combout\ : std_logic;
SIGNAL \led_flash_cnt[995][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[995][2]~40813\ : std_logic;
SIGNAL \led_flash_cnt[995][3]~40814_combout\ : std_logic;
SIGNAL \led_flash_cnt[995][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[995][3]~40815\ : std_logic;
SIGNAL \led_flash_cnt[995][4]~40816_combout\ : std_logic;
SIGNAL \led_flash_cnt[995][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[995][4]~40817\ : std_logic;
SIGNAL \led_flash_cnt[995][5]~40818_combout\ : std_logic;
SIGNAL \led_flash_cnt[995][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[995][5]~40819\ : std_logic;
SIGNAL \led_flash_cnt[995][6]~40820_combout\ : std_logic;
SIGNAL \led_flash_cnt[995][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[995][6]~40821\ : std_logic;
SIGNAL \led_flash_cnt[995][7]~40822_combout\ : std_logic;
SIGNAL \led_flash_cnt[995][7]~q\ : std_logic;
SIGNAL \WideAnd995~0_combout\ : std_logic;
SIGNAL \WideAnd995~1_combout\ : std_logic;
SIGNAL \WideAnd995~combout\ : std_logic;
SIGNAL \WideAnd3964~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][0]~81639_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[999][1]~40866_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[999][1]~40867\ : std_logic;
SIGNAL \led_flash_cnt[999][2]~40868_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[999][2]~40869\ : std_logic;
SIGNAL \led_flash_cnt[999][3]~40870_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[999][3]~40871\ : std_logic;
SIGNAL \led_flash_cnt[999][4]~40872_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[999][4]~40873\ : std_logic;
SIGNAL \led_flash_cnt[999][5]~40874_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[999][5]~40875\ : std_logic;
SIGNAL \led_flash_cnt[999][6]~40876_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[999][6]~40877\ : std_logic;
SIGNAL \led_flash_cnt[999][7]~40878_combout\ : std_logic;
SIGNAL \led_flash_cnt[999][7]~q\ : std_logic;
SIGNAL \WideAnd999~0_combout\ : std_logic;
SIGNAL \WideAnd999~1_combout\ : std_logic;
SIGNAL \WideAnd999~combout\ : std_logic;
SIGNAL \led_flash_cnt[997][0]~81637_combout\ : std_logic;
SIGNAL \led_flash_cnt[997][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[997][1]~40838_combout\ : std_logic;
SIGNAL \led_flash_cnt[997][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[997][1]~40839\ : std_logic;
SIGNAL \led_flash_cnt[997][2]~40840_combout\ : std_logic;
SIGNAL \led_flash_cnt[997][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[997][2]~40841\ : std_logic;
SIGNAL \led_flash_cnt[997][3]~40842_combout\ : std_logic;
SIGNAL \led_flash_cnt[997][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[997][3]~40843\ : std_logic;
SIGNAL \led_flash_cnt[997][4]~40844_combout\ : std_logic;
SIGNAL \led_flash_cnt[997][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[997][4]~40845\ : std_logic;
SIGNAL \led_flash_cnt[997][5]~40846_combout\ : std_logic;
SIGNAL \led_flash_cnt[997][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[997][5]~40847\ : std_logic;
SIGNAL \led_flash_cnt[997][6]~40848_combout\ : std_logic;
SIGNAL \led_flash_cnt[997][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[997][6]~40849\ : std_logic;
SIGNAL \led_flash_cnt[997][7]~40850_combout\ : std_logic;
SIGNAL \led_flash_cnt[997][7]~q\ : std_logic;
SIGNAL \WideAnd997~0_combout\ : std_logic;
SIGNAL \WideAnd997~1_combout\ : std_logic;
SIGNAL \WideAnd997~combout\ : std_logic;
SIGNAL \led_flash_cnt[996][0]~81636_combout\ : std_logic;
SIGNAL \led_flash_cnt[996][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[996][1]~40824_combout\ : std_logic;
SIGNAL \led_flash_cnt[996][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[996][1]~40825\ : std_logic;
SIGNAL \led_flash_cnt[996][2]~40826_combout\ : std_logic;
SIGNAL \led_flash_cnt[996][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[996][2]~40827\ : std_logic;
SIGNAL \led_flash_cnt[996][3]~40828_combout\ : std_logic;
SIGNAL \led_flash_cnt[996][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[996][3]~40829\ : std_logic;
SIGNAL \led_flash_cnt[996][4]~40830_combout\ : std_logic;
SIGNAL \led_flash_cnt[996][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[996][4]~40831\ : std_logic;
SIGNAL \led_flash_cnt[996][5]~40832_combout\ : std_logic;
SIGNAL \led_flash_cnt[996][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[996][5]~40833\ : std_logic;
SIGNAL \led_flash_cnt[996][6]~40834_combout\ : std_logic;
SIGNAL \led_flash_cnt[996][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[996][6]~40835\ : std_logic;
SIGNAL \led_flash_cnt[996][7]~40836_combout\ : std_logic;
SIGNAL \led_flash_cnt[996][7]~q\ : std_logic;
SIGNAL \WideAnd996~0_combout\ : std_logic;
SIGNAL \WideAnd996~1_combout\ : std_logic;
SIGNAL \WideAnd996~combout\ : std_logic;
SIGNAL \WideAnd3964~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][0]~81638_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[998][1]~40852_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[998][1]~40853\ : std_logic;
SIGNAL \led_flash_cnt[998][2]~40854_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[998][2]~40855\ : std_logic;
SIGNAL \led_flash_cnt[998][3]~40856_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[998][3]~40857\ : std_logic;
SIGNAL \led_flash_cnt[998][4]~40858_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[998][4]~40859\ : std_logic;
SIGNAL \led_flash_cnt[998][5]~40860_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[998][5]~40861\ : std_logic;
SIGNAL \led_flash_cnt[998][6]~40862_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][6]~q\ : std_logic;
SIGNAL \WideAnd998~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][6]~40863\ : std_logic;
SIGNAL \led_flash_cnt[998][7]~40864_combout\ : std_logic;
SIGNAL \led_flash_cnt[998][7]~q\ : std_logic;
SIGNAL \WideAnd998~0_combout\ : std_logic;
SIGNAL \WideAnd998~combout\ : std_logic;
SIGNAL \WideAnd3964~combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][0]~81645_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1005][1]~40950_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1005][1]~40951\ : std_logic;
SIGNAL \led_flash_cnt[1005][2]~40952_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1005][2]~40953\ : std_logic;
SIGNAL \led_flash_cnt[1005][3]~40954_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1005][3]~40955\ : std_logic;
SIGNAL \led_flash_cnt[1005][4]~40956_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][4]~q\ : std_logic;
SIGNAL \WideAnd1005~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][4]~40957\ : std_logic;
SIGNAL \led_flash_cnt[1005][5]~40958_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1005][5]~40959\ : std_logic;
SIGNAL \led_flash_cnt[1005][6]~40960_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1005][6]~40961\ : std_logic;
SIGNAL \led_flash_cnt[1005][7]~40962_combout\ : std_logic;
SIGNAL \led_flash_cnt[1005][7]~q\ : std_logic;
SIGNAL \WideAnd1005~1_combout\ : std_logic;
SIGNAL \WideAnd1005~combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][0]~81644_combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1004][1]~40936_combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1004][1]~40937\ : std_logic;
SIGNAL \led_flash_cnt[1004][2]~40938_combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1004][2]~40939\ : std_logic;
SIGNAL \led_flash_cnt[1004][3]~40940_combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1004][3]~40941\ : std_logic;
SIGNAL \led_flash_cnt[1004][4]~40942_combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1004][4]~40943\ : std_logic;
SIGNAL \led_flash_cnt[1004][5]~40944_combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1004][5]~40945\ : std_logic;
SIGNAL \led_flash_cnt[1004][6]~40946_combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1004][6]~40947\ : std_logic;
SIGNAL \led_flash_cnt[1004][7]~40948_combout\ : std_logic;
SIGNAL \led_flash_cnt[1004][7]~q\ : std_logic;
SIGNAL \WideAnd1004~0_combout\ : std_logic;
SIGNAL \WideAnd1004~1_combout\ : std_logic;
SIGNAL \WideAnd1004~combout\ : std_logic;
SIGNAL \WideAnd3965~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][0]~81643_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1003][1]~40922_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1003][1]~40923\ : std_logic;
SIGNAL \led_flash_cnt[1003][2]~40924_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1003][2]~40925\ : std_logic;
SIGNAL \led_flash_cnt[1003][3]~40926_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1003][3]~40927\ : std_logic;
SIGNAL \led_flash_cnt[1003][4]~40928_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1003][4]~40929\ : std_logic;
SIGNAL \led_flash_cnt[1003][5]~40930_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1003][5]~40931\ : std_logic;
SIGNAL \led_flash_cnt[1003][6]~40932_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][6]~q\ : std_logic;
SIGNAL \WideAnd1003~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][6]~40933\ : std_logic;
SIGNAL \led_flash_cnt[1003][7]~40934_combout\ : std_logic;
SIGNAL \led_flash_cnt[1003][7]~q\ : std_logic;
SIGNAL \WideAnd1003~0_combout\ : std_logic;
SIGNAL \WideAnd1003~combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][0]~81641_combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1001][1]~40894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1001][1]~40895\ : std_logic;
SIGNAL \led_flash_cnt[1001][2]~40896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1001][2]~40897\ : std_logic;
SIGNAL \led_flash_cnt[1001][3]~40898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1001][3]~40899\ : std_logic;
SIGNAL \led_flash_cnt[1001][4]~40900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1001][4]~40901\ : std_logic;
SIGNAL \led_flash_cnt[1001][5]~40902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1001][5]~40903\ : std_logic;
SIGNAL \led_flash_cnt[1001][6]~40904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1001][6]~40905\ : std_logic;
SIGNAL \led_flash_cnt[1001][7]~40906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1001][7]~q\ : std_logic;
SIGNAL \WideAnd1001~1_combout\ : std_logic;
SIGNAL \WideAnd1001~0_combout\ : std_logic;
SIGNAL \WideAnd1001~combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][0]~81640_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1000][1]~40880_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1000][1]~40881\ : std_logic;
SIGNAL \led_flash_cnt[1000][2]~40882_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1000][2]~40883\ : std_logic;
SIGNAL \led_flash_cnt[1000][3]~40884_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1000][3]~40885\ : std_logic;
SIGNAL \led_flash_cnt[1000][4]~40886_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1000][4]~40887\ : std_logic;
SIGNAL \led_flash_cnt[1000][5]~40888_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1000][5]~40889\ : std_logic;
SIGNAL \led_flash_cnt[1000][6]~40890_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][6]~q\ : std_logic;
SIGNAL \WideAnd1000~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][6]~40891\ : std_logic;
SIGNAL \led_flash_cnt[1000][7]~40892_combout\ : std_logic;
SIGNAL \led_flash_cnt[1000][7]~q\ : std_logic;
SIGNAL \WideAnd1000~0_combout\ : std_logic;
SIGNAL \WideAnd1000~combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][0]~81642_combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1002][1]~40908_combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1002][1]~40909\ : std_logic;
SIGNAL \led_flash_cnt[1002][2]~40910_combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1002][2]~40911\ : std_logic;
SIGNAL \led_flash_cnt[1002][3]~40912_combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1002][3]~40913\ : std_logic;
SIGNAL \led_flash_cnt[1002][4]~40914_combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1002][4]~40915\ : std_logic;
SIGNAL \led_flash_cnt[1002][5]~40916_combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1002][5]~40917\ : std_logic;
SIGNAL \led_flash_cnt[1002][6]~40918_combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1002][6]~40919\ : std_logic;
SIGNAL \led_flash_cnt[1002][7]~40920_combout\ : std_logic;
SIGNAL \led_flash_cnt[1002][7]~q\ : std_logic;
SIGNAL \WideAnd1002~0_combout\ : std_logic;
SIGNAL \WideAnd1002~1_combout\ : std_logic;
SIGNAL \WideAnd1002~combout\ : std_logic;
SIGNAL \WideAnd3965~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][0]~81647_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1007][1]~40978_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1007][1]~40979\ : std_logic;
SIGNAL \led_flash_cnt[1007][2]~40980_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1007][2]~40981\ : std_logic;
SIGNAL \led_flash_cnt[1007][3]~40982_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1007][3]~40983\ : std_logic;
SIGNAL \led_flash_cnt[1007][4]~40984_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1007][4]~40985\ : std_logic;
SIGNAL \led_flash_cnt[1007][5]~40986_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1007][5]~40987\ : std_logic;
SIGNAL \led_flash_cnt[1007][6]~40988_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[1007][6]~40989\ : std_logic;
SIGNAL \led_flash_cnt[1007][7]~40990_combout\ : std_logic;
SIGNAL \led_flash_cnt[1007][7]~q\ : std_logic;
SIGNAL \WideAnd1007~0_combout\ : std_logic;
SIGNAL \WideAnd1007~1_combout\ : std_logic;
SIGNAL \WideAnd1007~combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][0]~81646_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1006][1]~40964_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1006][1]~40965\ : std_logic;
SIGNAL \led_flash_cnt[1006][2]~40966_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1006][2]~40967\ : std_logic;
SIGNAL \led_flash_cnt[1006][3]~40968_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1006][3]~40969\ : std_logic;
SIGNAL \led_flash_cnt[1006][4]~40970_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1006][4]~40971\ : std_logic;
SIGNAL \led_flash_cnt[1006][5]~40972_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1006][5]~40973\ : std_logic;
SIGNAL \led_flash_cnt[1006][6]~40974_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][6]~q\ : std_logic;
SIGNAL \WideAnd1006~1_combout\ : std_logic;
SIGNAL \WideAnd1006~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][6]~40975\ : std_logic;
SIGNAL \led_flash_cnt[1006][7]~40976_combout\ : std_logic;
SIGNAL \led_flash_cnt[1006][7]~q\ : std_logic;
SIGNAL \WideAnd1006~combout\ : std_logic;
SIGNAL \WideAnd3965~combout\ : std_logic;
SIGNAL \WideAnd4335~1_combout\ : std_logic;
SIGNAL \WideAnd4335~combout\ : std_logic;
SIGNAL \led_flash_cnt[812][0]~81452_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[812][1]~38248_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[812][1]~38249\ : std_logic;
SIGNAL \led_flash_cnt[812][2]~38250_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[812][2]~38251\ : std_logic;
SIGNAL \led_flash_cnt[812][3]~38252_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[812][3]~38253\ : std_logic;
SIGNAL \led_flash_cnt[812][4]~38254_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[812][4]~38255\ : std_logic;
SIGNAL \led_flash_cnt[812][5]~38256_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[812][5]~38257\ : std_logic;
SIGNAL \led_flash_cnt[812][6]~38258_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][6]~q\ : std_logic;
SIGNAL \WideAnd812~1_combout\ : std_logic;
SIGNAL \WideAnd812~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][6]~38259\ : std_logic;
SIGNAL \led_flash_cnt[812][7]~38260_combout\ : std_logic;
SIGNAL \led_flash_cnt[812][7]~q\ : std_logic;
SIGNAL \WideAnd812~combout\ : std_logic;
SIGNAL \led_flash_cnt[813][0]~81453_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[813][1]~38262_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[813][1]~38263\ : std_logic;
SIGNAL \led_flash_cnt[813][2]~38264_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[813][2]~38265\ : std_logic;
SIGNAL \led_flash_cnt[813][3]~38266_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[813][3]~38267\ : std_logic;
SIGNAL \led_flash_cnt[813][4]~38268_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][4]~q\ : std_logic;
SIGNAL \WideAnd813~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][4]~38269\ : std_logic;
SIGNAL \led_flash_cnt[813][5]~38270_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[813][5]~38271\ : std_logic;
SIGNAL \led_flash_cnt[813][6]~38272_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][6]~q\ : std_logic;
SIGNAL \WideAnd813~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][6]~38273\ : std_logic;
SIGNAL \led_flash_cnt[813][7]~38274_combout\ : std_logic;
SIGNAL \led_flash_cnt[813][7]~q\ : std_logic;
SIGNAL \WideAnd813~combout\ : std_logic;
SIGNAL \WideAnd3941~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][0]~81454_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[814][1]~38276_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[814][1]~38277\ : std_logic;
SIGNAL \led_flash_cnt[814][2]~38278_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[814][2]~38279\ : std_logic;
SIGNAL \led_flash_cnt[814][3]~38280_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[814][3]~38281\ : std_logic;
SIGNAL \led_flash_cnt[814][4]~38282_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[814][4]~38283\ : std_logic;
SIGNAL \led_flash_cnt[814][5]~38284_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[814][5]~38285\ : std_logic;
SIGNAL \led_flash_cnt[814][6]~38286_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[814][6]~38287\ : std_logic;
SIGNAL \led_flash_cnt[814][7]~38288_combout\ : std_logic;
SIGNAL \led_flash_cnt[814][7]~q\ : std_logic;
SIGNAL \WideAnd814~1_combout\ : std_logic;
SIGNAL \WideAnd814~0_combout\ : std_logic;
SIGNAL \WideAnd814~combout\ : std_logic;
SIGNAL \led_flash_cnt[810][0]~81450_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[810][1]~38220_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[810][1]~38221\ : std_logic;
SIGNAL \led_flash_cnt[810][2]~38222_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[810][2]~38223\ : std_logic;
SIGNAL \led_flash_cnt[810][3]~38224_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[810][3]~38225\ : std_logic;
SIGNAL \led_flash_cnt[810][4]~38226_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[810][4]~38227\ : std_logic;
SIGNAL \led_flash_cnt[810][5]~38228_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[810][5]~38229\ : std_logic;
SIGNAL \led_flash_cnt[810][6]~38230_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][6]~q\ : std_logic;
SIGNAL \WideAnd810~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][6]~38231\ : std_logic;
SIGNAL \led_flash_cnt[810][7]~38232_combout\ : std_logic;
SIGNAL \led_flash_cnt[810][7]~q\ : std_logic;
SIGNAL \WideAnd810~0_combout\ : std_logic;
SIGNAL \WideAnd810~combout\ : std_logic;
SIGNAL \led_flash_cnt[811][0]~81451_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[811][1]~38234_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[811][1]~38235\ : std_logic;
SIGNAL \led_flash_cnt[811][2]~38236_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[811][2]~38237\ : std_logic;
SIGNAL \led_flash_cnt[811][3]~38238_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[811][3]~38239\ : std_logic;
SIGNAL \led_flash_cnt[811][4]~38240_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[811][4]~38241\ : std_logic;
SIGNAL \led_flash_cnt[811][5]~38242_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[811][5]~38243\ : std_logic;
SIGNAL \led_flash_cnt[811][6]~38244_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][6]~q\ : std_logic;
SIGNAL \WideAnd811~1_combout\ : std_logic;
SIGNAL \WideAnd811~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][6]~38245\ : std_logic;
SIGNAL \led_flash_cnt[811][7]~38246_combout\ : std_logic;
SIGNAL \led_flash_cnt[811][7]~q\ : std_logic;
SIGNAL \WideAnd811~combout\ : std_logic;
SIGNAL \led_flash_cnt[809][0]~81449_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[809][1]~38206_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[809][1]~38207\ : std_logic;
SIGNAL \led_flash_cnt[809][2]~38208_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[809][2]~38209\ : std_logic;
SIGNAL \led_flash_cnt[809][3]~38210_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[809][3]~38211\ : std_logic;
SIGNAL \led_flash_cnt[809][4]~38212_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[809][4]~38213\ : std_logic;
SIGNAL \led_flash_cnt[809][5]~38214_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[809][5]~38215\ : std_logic;
SIGNAL \led_flash_cnt[809][6]~38216_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][6]~q\ : std_logic;
SIGNAL \WideAnd809~1_combout\ : std_logic;
SIGNAL \WideAnd809~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][6]~38217\ : std_logic;
SIGNAL \led_flash_cnt[809][7]~38218_combout\ : std_logic;
SIGNAL \led_flash_cnt[809][7]~q\ : std_logic;
SIGNAL \WideAnd809~combout\ : std_logic;
SIGNAL \led_flash_cnt[808][0]~81448_combout\ : std_logic;
SIGNAL \led_flash_cnt[808][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[808][1]~38192_combout\ : std_logic;
SIGNAL \led_flash_cnt[808][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[808][1]~38193\ : std_logic;
SIGNAL \led_flash_cnt[808][2]~38194_combout\ : std_logic;
SIGNAL \led_flash_cnt[808][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[808][2]~38195\ : std_logic;
SIGNAL \led_flash_cnt[808][3]~38196_combout\ : std_logic;
SIGNAL \led_flash_cnt[808][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[808][3]~38197\ : std_logic;
SIGNAL \led_flash_cnt[808][4]~38198_combout\ : std_logic;
SIGNAL \led_flash_cnt[808][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[808][4]~38199\ : std_logic;
SIGNAL \led_flash_cnt[808][5]~38200_combout\ : std_logic;
SIGNAL \led_flash_cnt[808][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[808][5]~38201\ : std_logic;
SIGNAL \led_flash_cnt[808][6]~38202_combout\ : std_logic;
SIGNAL \led_flash_cnt[808][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[808][6]~38203\ : std_logic;
SIGNAL \led_flash_cnt[808][7]~38204_combout\ : std_logic;
SIGNAL \led_flash_cnt[808][7]~q\ : std_logic;
SIGNAL \WideAnd808~0_combout\ : std_logic;
SIGNAL \WideAnd808~1_combout\ : std_logic;
SIGNAL \WideAnd808~combout\ : std_logic;
SIGNAL \WideAnd3941~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][0]~81455_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[815][1]~38290_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[815][1]~38291\ : std_logic;
SIGNAL \led_flash_cnt[815][2]~38292_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[815][2]~38293\ : std_logic;
SIGNAL \led_flash_cnt[815][3]~38294_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[815][3]~38295\ : std_logic;
SIGNAL \led_flash_cnt[815][4]~38296_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][4]~q\ : std_logic;
SIGNAL \WideAnd815~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][4]~38297\ : std_logic;
SIGNAL \led_flash_cnt[815][5]~38298_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[815][5]~38299\ : std_logic;
SIGNAL \led_flash_cnt[815][6]~38300_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][6]~q\ : std_logic;
SIGNAL \WideAnd815~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][6]~38301\ : std_logic;
SIGNAL \led_flash_cnt[815][7]~38302_combout\ : std_logic;
SIGNAL \led_flash_cnt[815][7]~q\ : std_logic;
SIGNAL \WideAnd815~combout\ : std_logic;
SIGNAL \WideAnd3941~combout\ : std_logic;
SIGNAL \led_flash_cnt[805][0]~81445_combout\ : std_logic;
SIGNAL \led_flash_cnt[805][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[805][1]~38150_combout\ : std_logic;
SIGNAL \led_flash_cnt[805][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[805][1]~38151\ : std_logic;
SIGNAL \led_flash_cnt[805][2]~38152_combout\ : std_logic;
SIGNAL \led_flash_cnt[805][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[805][2]~38153\ : std_logic;
SIGNAL \led_flash_cnt[805][3]~38154_combout\ : std_logic;
SIGNAL \led_flash_cnt[805][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[805][3]~38155\ : std_logic;
SIGNAL \led_flash_cnt[805][4]~38156_combout\ : std_logic;
SIGNAL \led_flash_cnt[805][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[805][4]~38157\ : std_logic;
SIGNAL \led_flash_cnt[805][5]~38158_combout\ : std_logic;
SIGNAL \led_flash_cnt[805][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[805][5]~38159\ : std_logic;
SIGNAL \led_flash_cnt[805][6]~38160_combout\ : std_logic;
SIGNAL \led_flash_cnt[805][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[805][6]~38161\ : std_logic;
SIGNAL \led_flash_cnt[805][7]~38162_combout\ : std_logic;
SIGNAL \led_flash_cnt[805][7]~q\ : std_logic;
SIGNAL \WideAnd805~1_combout\ : std_logic;
SIGNAL \WideAnd805~0_combout\ : std_logic;
SIGNAL \WideAnd805~combout\ : std_logic;
SIGNAL \led_flash_cnt[804][0]~81444_combout\ : std_logic;
SIGNAL \led_flash_cnt[804][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[804][1]~38136_combout\ : std_logic;
SIGNAL \led_flash_cnt[804][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[804][1]~38137\ : std_logic;
SIGNAL \led_flash_cnt[804][2]~38138_combout\ : std_logic;
SIGNAL \led_flash_cnt[804][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[804][2]~38139\ : std_logic;
SIGNAL \led_flash_cnt[804][3]~38140_combout\ : std_logic;
SIGNAL \led_flash_cnt[804][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[804][3]~38141\ : std_logic;
SIGNAL \led_flash_cnt[804][4]~38142_combout\ : std_logic;
SIGNAL \led_flash_cnt[804][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[804][4]~38143\ : std_logic;
SIGNAL \led_flash_cnt[804][5]~38144_combout\ : std_logic;
SIGNAL \led_flash_cnt[804][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[804][5]~38145\ : std_logic;
SIGNAL \led_flash_cnt[804][6]~38146_combout\ : std_logic;
SIGNAL \led_flash_cnt[804][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[804][6]~38147\ : std_logic;
SIGNAL \led_flash_cnt[804][7]~38148_combout\ : std_logic;
SIGNAL \led_flash_cnt[804][7]~q\ : std_logic;
SIGNAL \WideAnd804~0_combout\ : std_logic;
SIGNAL \WideAnd804~1_combout\ : std_logic;
SIGNAL \WideAnd804~combout\ : std_logic;
SIGNAL \WideAnd3940~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][0]~81442_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[802][1]~38108_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[802][1]~38109\ : std_logic;
SIGNAL \led_flash_cnt[802][2]~38110_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[802][2]~38111\ : std_logic;
SIGNAL \led_flash_cnt[802][3]~38112_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[802][3]~38113\ : std_logic;
SIGNAL \led_flash_cnt[802][4]~38114_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][4]~q\ : std_logic;
SIGNAL \WideAnd802~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][4]~38115\ : std_logic;
SIGNAL \led_flash_cnt[802][5]~38116_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[802][5]~38117\ : std_logic;
SIGNAL \led_flash_cnt[802][6]~38118_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[802][6]~38119\ : std_logic;
SIGNAL \led_flash_cnt[802][7]~38120_combout\ : std_logic;
SIGNAL \led_flash_cnt[802][7]~q\ : std_logic;
SIGNAL \WideAnd802~1_combout\ : std_logic;
SIGNAL \WideAnd802~combout\ : std_logic;
SIGNAL \led_flash_cnt[801][0]~81441_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[801][1]~38094_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[801][1]~38095\ : std_logic;
SIGNAL \led_flash_cnt[801][2]~38096_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[801][2]~38097\ : std_logic;
SIGNAL \led_flash_cnt[801][3]~38098_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[801][3]~38099\ : std_logic;
SIGNAL \led_flash_cnt[801][4]~38100_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[801][4]~38101\ : std_logic;
SIGNAL \led_flash_cnt[801][5]~38102_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[801][5]~38103\ : std_logic;
SIGNAL \led_flash_cnt[801][6]~38104_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][6]~q\ : std_logic;
SIGNAL \WideAnd801~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][6]~38105\ : std_logic;
SIGNAL \led_flash_cnt[801][7]~38106_combout\ : std_logic;
SIGNAL \led_flash_cnt[801][7]~q\ : std_logic;
SIGNAL \WideAnd801~0_combout\ : std_logic;
SIGNAL \WideAnd801~combout\ : std_logic;
SIGNAL \led_flash_cnt[800][0]~81440_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[800][1]~38080_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[800][1]~38081\ : std_logic;
SIGNAL \led_flash_cnt[800][2]~38082_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[800][2]~38083\ : std_logic;
SIGNAL \led_flash_cnt[800][3]~38084_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[800][3]~38085\ : std_logic;
SIGNAL \led_flash_cnt[800][4]~38086_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][4]~q\ : std_logic;
SIGNAL \WideAnd800~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][4]~38087\ : std_logic;
SIGNAL \led_flash_cnt[800][5]~38088_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[800][5]~38089\ : std_logic;
SIGNAL \led_flash_cnt[800][6]~38090_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][6]~q\ : std_logic;
SIGNAL \WideAnd800~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][6]~38091\ : std_logic;
SIGNAL \led_flash_cnt[800][7]~38092_combout\ : std_logic;
SIGNAL \led_flash_cnt[800][7]~q\ : std_logic;
SIGNAL \WideAnd800~combout\ : std_logic;
SIGNAL \led_flash_cnt[803][0]~81443_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[803][1]~38122_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[803][1]~38123\ : std_logic;
SIGNAL \led_flash_cnt[803][2]~38124_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[803][2]~38125\ : std_logic;
SIGNAL \led_flash_cnt[803][3]~38126_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[803][3]~38127\ : std_logic;
SIGNAL \led_flash_cnt[803][4]~38128_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[803][4]~38129\ : std_logic;
SIGNAL \led_flash_cnt[803][5]~38130_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[803][5]~38131\ : std_logic;
SIGNAL \led_flash_cnt[803][6]~38132_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][6]~q\ : std_logic;
SIGNAL \WideAnd803~1_combout\ : std_logic;
SIGNAL \WideAnd803~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][6]~38133\ : std_logic;
SIGNAL \led_flash_cnt[803][7]~38134_combout\ : std_logic;
SIGNAL \led_flash_cnt[803][7]~q\ : std_logic;
SIGNAL \WideAnd803~combout\ : std_logic;
SIGNAL \WideAnd3940~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][0]~81446_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[806][1]~38164_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[806][1]~38165\ : std_logic;
SIGNAL \led_flash_cnt[806][2]~38166_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[806][2]~38167\ : std_logic;
SIGNAL \led_flash_cnt[806][3]~38168_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[806][3]~38169\ : std_logic;
SIGNAL \led_flash_cnt[806][4]~38170_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[806][4]~38171\ : std_logic;
SIGNAL \led_flash_cnt[806][5]~38172_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[806][5]~38173\ : std_logic;
SIGNAL \led_flash_cnt[806][6]~38174_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][6]~q\ : std_logic;
SIGNAL \WideAnd806~1_combout\ : std_logic;
SIGNAL \WideAnd806~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][6]~38175\ : std_logic;
SIGNAL \led_flash_cnt[806][7]~38176_combout\ : std_logic;
SIGNAL \led_flash_cnt[806][7]~q\ : std_logic;
SIGNAL \WideAnd806~combout\ : std_logic;
SIGNAL \led_flash_cnt[807][0]~81447_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[807][1]~38178_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[807][1]~38179\ : std_logic;
SIGNAL \led_flash_cnt[807][2]~38180_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[807][2]~38181\ : std_logic;
SIGNAL \led_flash_cnt[807][3]~38182_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[807][3]~38183\ : std_logic;
SIGNAL \led_flash_cnt[807][4]~38184_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[807][4]~38185\ : std_logic;
SIGNAL \led_flash_cnt[807][5]~38186_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[807][5]~38187\ : std_logic;
SIGNAL \led_flash_cnt[807][6]~38188_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][6]~q\ : std_logic;
SIGNAL \WideAnd807~1_combout\ : std_logic;
SIGNAL \WideAnd807~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][6]~38189\ : std_logic;
SIGNAL \led_flash_cnt[807][7]~38190_combout\ : std_logic;
SIGNAL \led_flash_cnt[807][7]~q\ : std_logic;
SIGNAL \WideAnd807~combout\ : std_logic;
SIGNAL \WideAnd3940~combout\ : std_logic;
SIGNAL \WideAnd4332~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][0]~81463_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[823][1]~38402_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[823][1]~38403\ : std_logic;
SIGNAL \led_flash_cnt[823][2]~38404_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[823][2]~38405\ : std_logic;
SIGNAL \led_flash_cnt[823][3]~38406_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[823][3]~38407\ : std_logic;
SIGNAL \led_flash_cnt[823][4]~38408_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][4]~q\ : std_logic;
SIGNAL \WideAnd823~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][4]~38409\ : std_logic;
SIGNAL \led_flash_cnt[823][5]~38410_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[823][5]~38411\ : std_logic;
SIGNAL \led_flash_cnt[823][6]~38412_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][6]~q\ : std_logic;
SIGNAL \WideAnd823~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][6]~38413\ : std_logic;
SIGNAL \led_flash_cnt[823][7]~38414_combout\ : std_logic;
SIGNAL \led_flash_cnt[823][7]~q\ : std_logic;
SIGNAL \WideAnd823~combout\ : std_logic;
SIGNAL \led_flash_cnt[822][0]~81462_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[822][1]~38388_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[822][1]~38389\ : std_logic;
SIGNAL \led_flash_cnt[822][2]~38390_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[822][2]~38391\ : std_logic;
SIGNAL \led_flash_cnt[822][3]~38392_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[822][3]~38393\ : std_logic;
SIGNAL \led_flash_cnt[822][4]~38394_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[822][4]~38395\ : std_logic;
SIGNAL \led_flash_cnt[822][5]~38396_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[822][5]~38397\ : std_logic;
SIGNAL \led_flash_cnt[822][6]~38398_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][6]~q\ : std_logic;
SIGNAL \WideAnd822~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][6]~38399\ : std_logic;
SIGNAL \led_flash_cnt[822][7]~38400_combout\ : std_logic;
SIGNAL \led_flash_cnt[822][7]~q\ : std_logic;
SIGNAL \WideAnd822~0_combout\ : std_logic;
SIGNAL \WideAnd822~combout\ : std_logic;
SIGNAL \led_flash_cnt[818][0]~81458_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[818][1]~38332_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[818][1]~38333\ : std_logic;
SIGNAL \led_flash_cnt[818][2]~38334_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[818][2]~38335\ : std_logic;
SIGNAL \led_flash_cnt[818][3]~38336_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[818][3]~38337\ : std_logic;
SIGNAL \led_flash_cnt[818][4]~38338_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[818][4]~38339\ : std_logic;
SIGNAL \led_flash_cnt[818][5]~38340_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[818][5]~38341\ : std_logic;
SIGNAL \led_flash_cnt[818][6]~38342_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][6]~q\ : std_logic;
SIGNAL \WideAnd818~1_combout\ : std_logic;
SIGNAL \WideAnd818~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][6]~38343\ : std_logic;
SIGNAL \led_flash_cnt[818][7]~38344_combout\ : std_logic;
SIGNAL \led_flash_cnt[818][7]~q\ : std_logic;
SIGNAL \WideAnd818~combout\ : std_logic;
SIGNAL \led_flash_cnt[817][0]~81457_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[817][1]~38318_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[817][1]~38319\ : std_logic;
SIGNAL \led_flash_cnt[817][2]~38320_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[817][2]~38321\ : std_logic;
SIGNAL \led_flash_cnt[817][3]~38322_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[817][3]~38323\ : std_logic;
SIGNAL \led_flash_cnt[817][4]~38324_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[817][4]~38325\ : std_logic;
SIGNAL \led_flash_cnt[817][5]~38326_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[817][5]~38327\ : std_logic;
SIGNAL \led_flash_cnt[817][6]~38328_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][6]~q\ : std_logic;
SIGNAL \WideAnd817~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][6]~38329\ : std_logic;
SIGNAL \led_flash_cnt[817][7]~38330_combout\ : std_logic;
SIGNAL \led_flash_cnt[817][7]~q\ : std_logic;
SIGNAL \WideAnd817~0_combout\ : std_logic;
SIGNAL \WideAnd817~combout\ : std_logic;
SIGNAL \led_flash_cnt[819][0]~81459_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[819][1]~38346_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[819][1]~38347\ : std_logic;
SIGNAL \led_flash_cnt[819][2]~38348_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[819][2]~38349\ : std_logic;
SIGNAL \led_flash_cnt[819][3]~38350_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[819][3]~38351\ : std_logic;
SIGNAL \led_flash_cnt[819][4]~38352_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][4]~q\ : std_logic;
SIGNAL \WideAnd819~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][4]~38353\ : std_logic;
SIGNAL \led_flash_cnt[819][5]~38354_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[819][5]~38355\ : std_logic;
SIGNAL \led_flash_cnt[819][6]~38356_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][6]~q\ : std_logic;
SIGNAL \WideAnd819~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][6]~38357\ : std_logic;
SIGNAL \led_flash_cnt[819][7]~38358_combout\ : std_logic;
SIGNAL \led_flash_cnt[819][7]~q\ : std_logic;
SIGNAL \WideAnd819~combout\ : std_logic;
SIGNAL \led_flash_cnt[816][0]~81456_combout\ : std_logic;
SIGNAL \led_flash_cnt[816][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[816][1]~38304_combout\ : std_logic;
SIGNAL \led_flash_cnt[816][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[816][1]~38305\ : std_logic;
SIGNAL \led_flash_cnt[816][2]~38306_combout\ : std_logic;
SIGNAL \led_flash_cnt[816][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[816][2]~38307\ : std_logic;
SIGNAL \led_flash_cnt[816][3]~38308_combout\ : std_logic;
SIGNAL \led_flash_cnt[816][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[816][3]~38309\ : std_logic;
SIGNAL \led_flash_cnt[816][4]~38310_combout\ : std_logic;
SIGNAL \led_flash_cnt[816][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[816][4]~38311\ : std_logic;
SIGNAL \led_flash_cnt[816][5]~38312_combout\ : std_logic;
SIGNAL \led_flash_cnt[816][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[816][5]~38313\ : std_logic;
SIGNAL \led_flash_cnt[816][6]~38314_combout\ : std_logic;
SIGNAL \led_flash_cnt[816][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[816][6]~38315\ : std_logic;
SIGNAL \led_flash_cnt[816][7]~38316_combout\ : std_logic;
SIGNAL \led_flash_cnt[816][7]~q\ : std_logic;
SIGNAL \WideAnd816~1_combout\ : std_logic;
SIGNAL \WideAnd816~0_combout\ : std_logic;
SIGNAL \WideAnd816~combout\ : std_logic;
SIGNAL \WideAnd3942~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][0]~81460_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[820][1]~38360_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[820][1]~38361\ : std_logic;
SIGNAL \led_flash_cnt[820][2]~38362_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[820][2]~38363\ : std_logic;
SIGNAL \led_flash_cnt[820][3]~38364_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[820][3]~38365\ : std_logic;
SIGNAL \led_flash_cnt[820][4]~38366_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][4]~q\ : std_logic;
SIGNAL \WideAnd820~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][4]~38367\ : std_logic;
SIGNAL \led_flash_cnt[820][5]~38368_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[820][5]~38369\ : std_logic;
SIGNAL \led_flash_cnt[820][6]~38370_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[820][6]~38371\ : std_logic;
SIGNAL \led_flash_cnt[820][7]~38372_combout\ : std_logic;
SIGNAL \led_flash_cnt[820][7]~q\ : std_logic;
SIGNAL \WideAnd820~1_combout\ : std_logic;
SIGNAL \WideAnd820~combout\ : std_logic;
SIGNAL \led_flash_cnt[821][0]~81461_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[821][1]~38374_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[821][1]~38375\ : std_logic;
SIGNAL \led_flash_cnt[821][2]~38376_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[821][2]~38377\ : std_logic;
SIGNAL \led_flash_cnt[821][3]~38378_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[821][3]~38379\ : std_logic;
SIGNAL \led_flash_cnt[821][4]~38380_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[821][4]~38381\ : std_logic;
SIGNAL \led_flash_cnt[821][5]~38382_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[821][5]~38383\ : std_logic;
SIGNAL \led_flash_cnt[821][6]~38384_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][6]~q\ : std_logic;
SIGNAL \WideAnd821~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][6]~38385\ : std_logic;
SIGNAL \led_flash_cnt[821][7]~38386_combout\ : std_logic;
SIGNAL \led_flash_cnt[821][7]~q\ : std_logic;
SIGNAL \WideAnd821~0_combout\ : std_logic;
SIGNAL \WideAnd821~combout\ : std_logic;
SIGNAL \WideAnd3942~1_combout\ : std_logic;
SIGNAL \WideAnd3942~combout\ : std_logic;
SIGNAL \led_flash_cnt[796][0]~81436_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[796][1]~38024_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[796][1]~38025\ : std_logic;
SIGNAL \led_flash_cnt[796][2]~38026_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[796][2]~38027\ : std_logic;
SIGNAL \led_flash_cnt[796][3]~38028_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[796][3]~38029\ : std_logic;
SIGNAL \led_flash_cnt[796][4]~38030_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[796][4]~38031\ : std_logic;
SIGNAL \led_flash_cnt[796][5]~38032_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[796][5]~38033\ : std_logic;
SIGNAL \led_flash_cnt[796][6]~38034_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][6]~q\ : std_logic;
SIGNAL \WideAnd796~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][6]~38035\ : std_logic;
SIGNAL \led_flash_cnt[796][7]~38036_combout\ : std_logic;
SIGNAL \led_flash_cnt[796][7]~q\ : std_logic;
SIGNAL \WideAnd796~0_combout\ : std_logic;
SIGNAL \WideAnd796~combout\ : std_logic;
SIGNAL \led_flash_cnt[797][0]~81437_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[797][1]~38038_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[797][1]~38039\ : std_logic;
SIGNAL \led_flash_cnt[797][2]~38040_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[797][2]~38041\ : std_logic;
SIGNAL \led_flash_cnt[797][3]~38042_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[797][3]~38043\ : std_logic;
SIGNAL \led_flash_cnt[797][4]~38044_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[797][4]~38045\ : std_logic;
SIGNAL \led_flash_cnt[797][5]~38046_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[797][5]~38047\ : std_logic;
SIGNAL \led_flash_cnt[797][6]~38048_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][6]~q\ : std_logic;
SIGNAL \WideAnd797~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][6]~38049\ : std_logic;
SIGNAL \led_flash_cnt[797][7]~38050_combout\ : std_logic;
SIGNAL \led_flash_cnt[797][7]~q\ : std_logic;
SIGNAL \WideAnd797~0_combout\ : std_logic;
SIGNAL \WideAnd797~combout\ : std_logic;
SIGNAL \WideAnd3939~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][0]~81439_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[799][1]~38066_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[799][1]~38067\ : std_logic;
SIGNAL \led_flash_cnt[799][2]~38068_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[799][2]~38069\ : std_logic;
SIGNAL \led_flash_cnt[799][3]~38070_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[799][3]~38071\ : std_logic;
SIGNAL \led_flash_cnt[799][4]~38072_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][4]~q\ : std_logic;
SIGNAL \WideAnd799~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][4]~38073\ : std_logic;
SIGNAL \led_flash_cnt[799][5]~38074_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[799][5]~38075\ : std_logic;
SIGNAL \led_flash_cnt[799][6]~38076_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][6]~q\ : std_logic;
SIGNAL \WideAnd799~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][6]~38077\ : std_logic;
SIGNAL \led_flash_cnt[799][7]~38078_combout\ : std_logic;
SIGNAL \led_flash_cnt[799][7]~q\ : std_logic;
SIGNAL \WideAnd799~combout\ : std_logic;
SIGNAL \led_flash_cnt[795][0]~81435_combout\ : std_logic;
SIGNAL \led_flash_cnt[795][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[795][1]~38010_combout\ : std_logic;
SIGNAL \led_flash_cnt[795][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[795][1]~38011\ : std_logic;
SIGNAL \led_flash_cnt[795][2]~38012_combout\ : std_logic;
SIGNAL \led_flash_cnt[795][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[795][2]~38013\ : std_logic;
SIGNAL \led_flash_cnt[795][3]~38014_combout\ : std_logic;
SIGNAL \led_flash_cnt[795][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[795][3]~38015\ : std_logic;
SIGNAL \led_flash_cnt[795][4]~38016_combout\ : std_logic;
SIGNAL \led_flash_cnt[795][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[795][4]~38017\ : std_logic;
SIGNAL \led_flash_cnt[795][5]~38018_combout\ : std_logic;
SIGNAL \led_flash_cnt[795][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[795][5]~38019\ : std_logic;
SIGNAL \led_flash_cnt[795][6]~38020_combout\ : std_logic;
SIGNAL \led_flash_cnt[795][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[795][6]~38021\ : std_logic;
SIGNAL \led_flash_cnt[795][7]~38022_combout\ : std_logic;
SIGNAL \led_flash_cnt[795][7]~q\ : std_logic;
SIGNAL \WideAnd795~1_combout\ : std_logic;
SIGNAL \WideAnd795~0_combout\ : std_logic;
SIGNAL \WideAnd795~combout\ : std_logic;
SIGNAL \led_flash_cnt[792][0]~81432_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[792][1]~37968_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[792][1]~37969\ : std_logic;
SIGNAL \led_flash_cnt[792][2]~37970_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[792][2]~37971\ : std_logic;
SIGNAL \led_flash_cnt[792][3]~37972_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[792][3]~37973\ : std_logic;
SIGNAL \led_flash_cnt[792][4]~37974_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[792][4]~37975\ : std_logic;
SIGNAL \led_flash_cnt[792][5]~37976_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[792][5]~37977\ : std_logic;
SIGNAL \led_flash_cnt[792][6]~37978_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][6]~q\ : std_logic;
SIGNAL \WideAnd792~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][6]~37979\ : std_logic;
SIGNAL \led_flash_cnt[792][7]~37980_combout\ : std_logic;
SIGNAL \led_flash_cnt[792][7]~q\ : std_logic;
SIGNAL \WideAnd792~0_combout\ : std_logic;
SIGNAL \WideAnd792~combout\ : std_logic;
SIGNAL \led_flash_cnt[793][0]~81433_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[793][1]~37982_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[793][1]~37983\ : std_logic;
SIGNAL \led_flash_cnt[793][2]~37984_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[793][2]~37985\ : std_logic;
SIGNAL \led_flash_cnt[793][3]~37986_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[793][3]~37987\ : std_logic;
SIGNAL \led_flash_cnt[793][4]~37988_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[793][4]~37989\ : std_logic;
SIGNAL \led_flash_cnt[793][5]~37990_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[793][5]~37991\ : std_logic;
SIGNAL \led_flash_cnt[793][6]~37992_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][6]~q\ : std_logic;
SIGNAL \WideAnd793~1_combout\ : std_logic;
SIGNAL \WideAnd793~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][6]~37993\ : std_logic;
SIGNAL \led_flash_cnt[793][7]~37994_combout\ : std_logic;
SIGNAL \led_flash_cnt[793][7]~q\ : std_logic;
SIGNAL \WideAnd793~combout\ : std_logic;
SIGNAL \led_flash_cnt[794][0]~81434_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[794][1]~37996_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[794][1]~37997\ : std_logic;
SIGNAL \led_flash_cnt[794][2]~37998_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[794][2]~37999\ : std_logic;
SIGNAL \led_flash_cnt[794][3]~38000_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[794][3]~38001\ : std_logic;
SIGNAL \led_flash_cnt[794][4]~38002_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][4]~q\ : std_logic;
SIGNAL \WideAnd794~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][4]~38003\ : std_logic;
SIGNAL \led_flash_cnt[794][5]~38004_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[794][5]~38005\ : std_logic;
SIGNAL \led_flash_cnt[794][6]~38006_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][6]~q\ : std_logic;
SIGNAL \WideAnd794~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][6]~38007\ : std_logic;
SIGNAL \led_flash_cnt[794][7]~38008_combout\ : std_logic;
SIGNAL \led_flash_cnt[794][7]~q\ : std_logic;
SIGNAL \WideAnd794~combout\ : std_logic;
SIGNAL \WideAnd3939~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][0]~81438_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[798][1]~38052_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[798][1]~38053\ : std_logic;
SIGNAL \led_flash_cnt[798][2]~38054_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[798][2]~38055\ : std_logic;
SIGNAL \led_flash_cnt[798][3]~38056_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[798][3]~38057\ : std_logic;
SIGNAL \led_flash_cnt[798][4]~38058_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[798][4]~38059\ : std_logic;
SIGNAL \led_flash_cnt[798][5]~38060_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[798][5]~38061\ : std_logic;
SIGNAL \led_flash_cnt[798][6]~38062_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[798][6]~38063\ : std_logic;
SIGNAL \led_flash_cnt[798][7]~38064_combout\ : std_logic;
SIGNAL \led_flash_cnt[798][7]~q\ : std_logic;
SIGNAL \WideAnd798~1_combout\ : std_logic;
SIGNAL \WideAnd798~0_combout\ : std_logic;
SIGNAL \WideAnd798~combout\ : std_logic;
SIGNAL \WideAnd3939~combout\ : std_logic;
SIGNAL \led_flash_cnt[775][0]~81415_combout\ : std_logic;
SIGNAL \led_flash_cnt[775][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[775][1]~37730_combout\ : std_logic;
SIGNAL \led_flash_cnt[775][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[775][1]~37731\ : std_logic;
SIGNAL \led_flash_cnt[775][2]~37732_combout\ : std_logic;
SIGNAL \led_flash_cnt[775][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[775][2]~37733\ : std_logic;
SIGNAL \led_flash_cnt[775][3]~37734_combout\ : std_logic;
SIGNAL \led_flash_cnt[775][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[775][3]~37735\ : std_logic;
SIGNAL \led_flash_cnt[775][4]~37736_combout\ : std_logic;
SIGNAL \led_flash_cnt[775][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[775][4]~37737\ : std_logic;
SIGNAL \led_flash_cnt[775][5]~37738_combout\ : std_logic;
SIGNAL \led_flash_cnt[775][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[775][5]~37739\ : std_logic;
SIGNAL \led_flash_cnt[775][6]~37740_combout\ : std_logic;
SIGNAL \led_flash_cnt[775][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[775][6]~37741\ : std_logic;
SIGNAL \led_flash_cnt[775][7]~37742_combout\ : std_logic;
SIGNAL \led_flash_cnt[775][7]~q\ : std_logic;
SIGNAL \WideAnd775~0_combout\ : std_logic;
SIGNAL \WideAnd775~1_combout\ : std_logic;
SIGNAL \WideAnd775~combout\ : std_logic;
SIGNAL \led_flash_cnt[768][0]~81408_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[768][1]~37632_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[768][1]~37633\ : std_logic;
SIGNAL \led_flash_cnt[768][2]~37634_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[768][2]~37635\ : std_logic;
SIGNAL \led_flash_cnt[768][3]~37636_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[768][3]~37637\ : std_logic;
SIGNAL \led_flash_cnt[768][4]~37638_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[768][4]~37639\ : std_logic;
SIGNAL \led_flash_cnt[768][5]~37640_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[768][5]~37641\ : std_logic;
SIGNAL \led_flash_cnt[768][6]~37642_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][6]~q\ : std_logic;
SIGNAL \WideAnd768~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][6]~37643\ : std_logic;
SIGNAL \led_flash_cnt[768][7]~37644_combout\ : std_logic;
SIGNAL \led_flash_cnt[768][7]~q\ : std_logic;
SIGNAL \WideAnd768~0_combout\ : std_logic;
SIGNAL \WideAnd768~combout\ : std_logic;
SIGNAL \led_flash_cnt[769][0]~81409_combout\ : std_logic;
SIGNAL \led_flash_cnt[769][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[769][1]~37646_combout\ : std_logic;
SIGNAL \led_flash_cnt[769][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[769][1]~37647\ : std_logic;
SIGNAL \led_flash_cnt[769][2]~37648_combout\ : std_logic;
SIGNAL \led_flash_cnt[769][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[769][2]~37649\ : std_logic;
SIGNAL \led_flash_cnt[769][3]~37650_combout\ : std_logic;
SIGNAL \led_flash_cnt[769][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[769][3]~37651\ : std_logic;
SIGNAL \led_flash_cnt[769][4]~37652_combout\ : std_logic;
SIGNAL \led_flash_cnt[769][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[769][4]~37653\ : std_logic;
SIGNAL \led_flash_cnt[769][5]~37654_combout\ : std_logic;
SIGNAL \led_flash_cnt[769][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[769][5]~37655\ : std_logic;
SIGNAL \led_flash_cnt[769][6]~37656_combout\ : std_logic;
SIGNAL \led_flash_cnt[769][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[769][6]~37657\ : std_logic;
SIGNAL \led_flash_cnt[769][7]~37658_combout\ : std_logic;
SIGNAL \led_flash_cnt[769][7]~q\ : std_logic;
SIGNAL \WideAnd769~1_combout\ : std_logic;
SIGNAL \WideAnd769~0_combout\ : std_logic;
SIGNAL \WideAnd769~combout\ : std_logic;
SIGNAL \led_flash_cnt[771][0]~81411_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[771][1]~37674_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[771][1]~37675\ : std_logic;
SIGNAL \led_flash_cnt[771][2]~37676_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[771][2]~37677\ : std_logic;
SIGNAL \led_flash_cnt[771][3]~37678_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[771][3]~37679\ : std_logic;
SIGNAL \led_flash_cnt[771][4]~37680_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][4]~q\ : std_logic;
SIGNAL \WideAnd771~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][4]~37681\ : std_logic;
SIGNAL \led_flash_cnt[771][5]~37682_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[771][5]~37683\ : std_logic;
SIGNAL \led_flash_cnt[771][6]~37684_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][6]~q\ : std_logic;
SIGNAL \WideAnd771~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][6]~37685\ : std_logic;
SIGNAL \led_flash_cnt[771][7]~37686_combout\ : std_logic;
SIGNAL \led_flash_cnt[771][7]~q\ : std_logic;
SIGNAL \WideAnd771~combout\ : std_logic;
SIGNAL \led_flash_cnt[770][0]~81410_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[770][1]~37660_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[770][1]~37661\ : std_logic;
SIGNAL \led_flash_cnt[770][2]~37662_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[770][2]~37663\ : std_logic;
SIGNAL \led_flash_cnt[770][3]~37664_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[770][3]~37665\ : std_logic;
SIGNAL \led_flash_cnt[770][4]~37666_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[770][4]~37667\ : std_logic;
SIGNAL \led_flash_cnt[770][5]~37668_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[770][5]~37669\ : std_logic;
SIGNAL \led_flash_cnt[770][6]~37670_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][6]~q\ : std_logic;
SIGNAL \WideAnd770~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][6]~37671\ : std_logic;
SIGNAL \led_flash_cnt[770][7]~37672_combout\ : std_logic;
SIGNAL \led_flash_cnt[770][7]~q\ : std_logic;
SIGNAL \WideAnd770~0_combout\ : std_logic;
SIGNAL \WideAnd770~combout\ : std_logic;
SIGNAL \WideAnd3936~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][0]~81412_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[772][1]~37688_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[772][1]~37689\ : std_logic;
SIGNAL \led_flash_cnt[772][2]~37690_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[772][2]~37691\ : std_logic;
SIGNAL \led_flash_cnt[772][3]~37692_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[772][3]~37693\ : std_logic;
SIGNAL \led_flash_cnt[772][4]~37694_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][4]~q\ : std_logic;
SIGNAL \WideAnd772~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][4]~37695\ : std_logic;
SIGNAL \led_flash_cnt[772][5]~37696_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[772][5]~37697\ : std_logic;
SIGNAL \led_flash_cnt[772][6]~37698_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[772][6]~37699\ : std_logic;
SIGNAL \led_flash_cnt[772][7]~37700_combout\ : std_logic;
SIGNAL \led_flash_cnt[772][7]~q\ : std_logic;
SIGNAL \WideAnd772~1_combout\ : std_logic;
SIGNAL \WideAnd772~combout\ : std_logic;
SIGNAL \led_flash_cnt[773][0]~81413_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[773][1]~37702_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[773][1]~37703\ : std_logic;
SIGNAL \led_flash_cnt[773][2]~37704_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[773][2]~37705\ : std_logic;
SIGNAL \led_flash_cnt[773][3]~37706_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[773][3]~37707\ : std_logic;
SIGNAL \led_flash_cnt[773][4]~37708_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][4]~q\ : std_logic;
SIGNAL \WideAnd773~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][4]~37709\ : std_logic;
SIGNAL \led_flash_cnt[773][5]~37710_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[773][5]~37711\ : std_logic;
SIGNAL \led_flash_cnt[773][6]~37712_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[773][6]~37713\ : std_logic;
SIGNAL \led_flash_cnt[773][7]~37714_combout\ : std_logic;
SIGNAL \led_flash_cnt[773][7]~q\ : std_logic;
SIGNAL \WideAnd773~1_combout\ : std_logic;
SIGNAL \WideAnd773~combout\ : std_logic;
SIGNAL \WideAnd3936~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][0]~81414_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[774][1]~37716_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[774][1]~37717\ : std_logic;
SIGNAL \led_flash_cnt[774][2]~37718_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[774][2]~37719\ : std_logic;
SIGNAL \led_flash_cnt[774][3]~37720_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[774][3]~37721\ : std_logic;
SIGNAL \led_flash_cnt[774][4]~37722_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[774][4]~37723\ : std_logic;
SIGNAL \led_flash_cnt[774][5]~37724_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[774][5]~37725\ : std_logic;
SIGNAL \led_flash_cnt[774][6]~37726_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[774][6]~37727\ : std_logic;
SIGNAL \led_flash_cnt[774][7]~37728_combout\ : std_logic;
SIGNAL \led_flash_cnt[774][7]~q\ : std_logic;
SIGNAL \WideAnd774~0_combout\ : std_logic;
SIGNAL \WideAnd774~1_combout\ : std_logic;
SIGNAL \WideAnd774~combout\ : std_logic;
SIGNAL \WideAnd3936~combout\ : std_logic;
SIGNAL \led_flash_cnt[786][0]~81426_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[786][1]~37884_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[786][1]~37885\ : std_logic;
SIGNAL \led_flash_cnt[786][2]~37886_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[786][2]~37887\ : std_logic;
SIGNAL \led_flash_cnt[786][3]~37888_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[786][3]~37889\ : std_logic;
SIGNAL \led_flash_cnt[786][4]~37890_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[786][4]~37891\ : std_logic;
SIGNAL \led_flash_cnt[786][5]~37892_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[786][5]~37893\ : std_logic;
SIGNAL \led_flash_cnt[786][6]~37894_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][6]~q\ : std_logic;
SIGNAL \WideAnd786~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][6]~37895\ : std_logic;
SIGNAL \led_flash_cnt[786][7]~37896_combout\ : std_logic;
SIGNAL \led_flash_cnt[786][7]~q\ : std_logic;
SIGNAL \WideAnd786~0_combout\ : std_logic;
SIGNAL \WideAnd786~combout\ : std_logic;
SIGNAL \led_flash_cnt[787][0]~81427_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[787][1]~37898_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[787][1]~37899\ : std_logic;
SIGNAL \led_flash_cnt[787][2]~37900_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[787][2]~37901\ : std_logic;
SIGNAL \led_flash_cnt[787][3]~37902_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[787][3]~37903\ : std_logic;
SIGNAL \led_flash_cnt[787][4]~37904_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][4]~q\ : std_logic;
SIGNAL \WideAnd787~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][4]~37905\ : std_logic;
SIGNAL \led_flash_cnt[787][5]~37906_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[787][5]~37907\ : std_logic;
SIGNAL \led_flash_cnt[787][6]~37908_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][6]~q\ : std_logic;
SIGNAL \WideAnd787~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][6]~37909\ : std_logic;
SIGNAL \led_flash_cnt[787][7]~37910_combout\ : std_logic;
SIGNAL \led_flash_cnt[787][7]~q\ : std_logic;
SIGNAL \WideAnd787~combout\ : std_logic;
SIGNAL \led_flash_cnt[785][0]~81425_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[785][1]~37870_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[785][1]~37871\ : std_logic;
SIGNAL \led_flash_cnt[785][2]~37872_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[785][2]~37873\ : std_logic;
SIGNAL \led_flash_cnt[785][3]~37874_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[785][3]~37875\ : std_logic;
SIGNAL \led_flash_cnt[785][4]~37876_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][4]~q\ : std_logic;
SIGNAL \WideAnd785~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][4]~37877\ : std_logic;
SIGNAL \led_flash_cnt[785][5]~37878_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[785][5]~37879\ : std_logic;
SIGNAL \led_flash_cnt[785][6]~37880_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][6]~q\ : std_logic;
SIGNAL \WideAnd785~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][6]~37881\ : std_logic;
SIGNAL \led_flash_cnt[785][7]~37882_combout\ : std_logic;
SIGNAL \led_flash_cnt[785][7]~q\ : std_logic;
SIGNAL \WideAnd785~combout\ : std_logic;
SIGNAL \led_flash_cnt[784][0]~81424_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[784][1]~37856_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[784][1]~37857\ : std_logic;
SIGNAL \led_flash_cnt[784][2]~37858_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[784][2]~37859\ : std_logic;
SIGNAL \led_flash_cnt[784][3]~37860_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[784][3]~37861\ : std_logic;
SIGNAL \led_flash_cnt[784][4]~37862_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][4]~q\ : std_logic;
SIGNAL \WideAnd784~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][4]~37863\ : std_logic;
SIGNAL \led_flash_cnt[784][5]~37864_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[784][5]~37865\ : std_logic;
SIGNAL \led_flash_cnt[784][6]~37866_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[784][6]~37867\ : std_logic;
SIGNAL \led_flash_cnt[784][7]~37868_combout\ : std_logic;
SIGNAL \led_flash_cnt[784][7]~q\ : std_logic;
SIGNAL \WideAnd784~1_combout\ : std_logic;
SIGNAL \WideAnd784~combout\ : std_logic;
SIGNAL \WideAnd3938~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][0]~81429_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[789][1]~37926_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[789][1]~37927\ : std_logic;
SIGNAL \led_flash_cnt[789][2]~37928_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[789][2]~37929\ : std_logic;
SIGNAL \led_flash_cnt[789][3]~37930_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[789][3]~37931\ : std_logic;
SIGNAL \led_flash_cnt[789][4]~37932_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[789][4]~37933\ : std_logic;
SIGNAL \led_flash_cnt[789][5]~37934_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[789][5]~37935\ : std_logic;
SIGNAL \led_flash_cnt[789][6]~37936_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][6]~q\ : std_logic;
SIGNAL \WideAnd789~1_combout\ : std_logic;
SIGNAL \WideAnd789~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][6]~37937\ : std_logic;
SIGNAL \led_flash_cnt[789][7]~37938_combout\ : std_logic;
SIGNAL \led_flash_cnt[789][7]~q\ : std_logic;
SIGNAL \WideAnd789~combout\ : std_logic;
SIGNAL \led_flash_cnt[788][0]~81428_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[788][1]~37912_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[788][1]~37913\ : std_logic;
SIGNAL \led_flash_cnt[788][2]~37914_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[788][2]~37915\ : std_logic;
SIGNAL \led_flash_cnt[788][3]~37916_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[788][3]~37917\ : std_logic;
SIGNAL \led_flash_cnt[788][4]~37918_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][4]~q\ : std_logic;
SIGNAL \WideAnd788~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][4]~37919\ : std_logic;
SIGNAL \led_flash_cnt[788][5]~37920_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[788][5]~37921\ : std_logic;
SIGNAL \led_flash_cnt[788][6]~37922_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[788][6]~37923\ : std_logic;
SIGNAL \led_flash_cnt[788][7]~37924_combout\ : std_logic;
SIGNAL \led_flash_cnt[788][7]~q\ : std_logic;
SIGNAL \WideAnd788~1_combout\ : std_logic;
SIGNAL \WideAnd788~combout\ : std_logic;
SIGNAL \WideAnd3938~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][0]~81430_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[790][1]~37940_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[790][1]~37941\ : std_logic;
SIGNAL \led_flash_cnt[790][2]~37942_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[790][2]~37943\ : std_logic;
SIGNAL \led_flash_cnt[790][3]~37944_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[790][3]~37945\ : std_logic;
SIGNAL \led_flash_cnt[790][4]~37946_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][4]~q\ : std_logic;
SIGNAL \WideAnd790~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][4]~37947\ : std_logic;
SIGNAL \led_flash_cnt[790][5]~37948_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[790][5]~37949\ : std_logic;
SIGNAL \led_flash_cnt[790][6]~37950_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][6]~q\ : std_logic;
SIGNAL \WideAnd790~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][6]~37951\ : std_logic;
SIGNAL \led_flash_cnt[790][7]~37952_combout\ : std_logic;
SIGNAL \led_flash_cnt[790][7]~q\ : std_logic;
SIGNAL \WideAnd790~combout\ : std_logic;
SIGNAL \led_flash_cnt[791][0]~81431_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[791][1]~37954_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[791][1]~37955\ : std_logic;
SIGNAL \led_flash_cnt[791][2]~37956_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[791][2]~37957\ : std_logic;
SIGNAL \led_flash_cnt[791][3]~37958_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[791][3]~37959\ : std_logic;
SIGNAL \led_flash_cnt[791][4]~37960_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][4]~q\ : std_logic;
SIGNAL \WideAnd791~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][4]~37961\ : std_logic;
SIGNAL \led_flash_cnt[791][5]~37962_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[791][5]~37963\ : std_logic;
SIGNAL \led_flash_cnt[791][6]~37964_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[791][6]~37965\ : std_logic;
SIGNAL \led_flash_cnt[791][7]~37966_combout\ : std_logic;
SIGNAL \led_flash_cnt[791][7]~q\ : std_logic;
SIGNAL \WideAnd791~1_combout\ : std_logic;
SIGNAL \WideAnd791~combout\ : std_logic;
SIGNAL \WideAnd3938~combout\ : std_logic;
SIGNAL \led_flash_cnt[783][0]~81423_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[783][1]~37842_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[783][1]~37843\ : std_logic;
SIGNAL \led_flash_cnt[783][2]~37844_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[783][2]~37845\ : std_logic;
SIGNAL \led_flash_cnt[783][3]~37846_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[783][3]~37847\ : std_logic;
SIGNAL \led_flash_cnt[783][4]~37848_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[783][4]~37849\ : std_logic;
SIGNAL \led_flash_cnt[783][5]~37850_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[783][5]~37851\ : std_logic;
SIGNAL \led_flash_cnt[783][6]~37852_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][6]~q\ : std_logic;
SIGNAL \WideAnd783~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][6]~37853\ : std_logic;
SIGNAL \led_flash_cnt[783][7]~37854_combout\ : std_logic;
SIGNAL \led_flash_cnt[783][7]~q\ : std_logic;
SIGNAL \WideAnd783~0_combout\ : std_logic;
SIGNAL \WideAnd783~combout\ : std_logic;
SIGNAL \led_flash_cnt[780][0]~81420_combout\ : std_logic;
SIGNAL \led_flash_cnt[780][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[780][1]~37800_combout\ : std_logic;
SIGNAL \led_flash_cnt[780][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[780][1]~37801\ : std_logic;
SIGNAL \led_flash_cnt[780][2]~37802_combout\ : std_logic;
SIGNAL \led_flash_cnt[780][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[780][2]~37803\ : std_logic;
SIGNAL \led_flash_cnt[780][3]~37804_combout\ : std_logic;
SIGNAL \led_flash_cnt[780][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[780][3]~37805\ : std_logic;
SIGNAL \led_flash_cnt[780][4]~37806_combout\ : std_logic;
SIGNAL \led_flash_cnt[780][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[780][4]~37807\ : std_logic;
SIGNAL \led_flash_cnt[780][5]~37808_combout\ : std_logic;
SIGNAL \led_flash_cnt[780][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[780][5]~37809\ : std_logic;
SIGNAL \led_flash_cnt[780][6]~37810_combout\ : std_logic;
SIGNAL \led_flash_cnt[780][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[780][6]~37811\ : std_logic;
SIGNAL \led_flash_cnt[780][7]~37812_combout\ : std_logic;
SIGNAL \led_flash_cnt[780][7]~q\ : std_logic;
SIGNAL \WideAnd780~1_combout\ : std_logic;
SIGNAL \WideAnd780~0_combout\ : std_logic;
SIGNAL \WideAnd780~combout\ : std_logic;
SIGNAL \led_flash_cnt[781][0]~81421_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[781][1]~37814_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[781][1]~37815\ : std_logic;
SIGNAL \led_flash_cnt[781][2]~37816_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[781][2]~37817\ : std_logic;
SIGNAL \led_flash_cnt[781][3]~37818_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[781][3]~37819\ : std_logic;
SIGNAL \led_flash_cnt[781][4]~37820_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][4]~q\ : std_logic;
SIGNAL \WideAnd781~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][4]~37821\ : std_logic;
SIGNAL \led_flash_cnt[781][5]~37822_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[781][5]~37823\ : std_logic;
SIGNAL \led_flash_cnt[781][6]~37824_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[781][6]~37825\ : std_logic;
SIGNAL \led_flash_cnt[781][7]~37826_combout\ : std_logic;
SIGNAL \led_flash_cnt[781][7]~q\ : std_logic;
SIGNAL \WideAnd781~1_combout\ : std_logic;
SIGNAL \WideAnd781~combout\ : std_logic;
SIGNAL \WideAnd3937~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][0]~81419_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[779][1]~37786_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[779][1]~37787\ : std_logic;
SIGNAL \led_flash_cnt[779][2]~37788_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[779][2]~37789\ : std_logic;
SIGNAL \led_flash_cnt[779][3]~37790_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[779][3]~37791\ : std_logic;
SIGNAL \led_flash_cnt[779][4]~37792_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[779][4]~37793\ : std_logic;
SIGNAL \led_flash_cnt[779][5]~37794_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[779][5]~37795\ : std_logic;
SIGNAL \led_flash_cnt[779][6]~37796_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[779][6]~37797\ : std_logic;
SIGNAL \led_flash_cnt[779][7]~37798_combout\ : std_logic;
SIGNAL \led_flash_cnt[779][7]~q\ : std_logic;
SIGNAL \WideAnd779~1_combout\ : std_logic;
SIGNAL \WideAnd779~0_combout\ : std_logic;
SIGNAL \WideAnd779~combout\ : std_logic;
SIGNAL \led_flash_cnt[777][0]~81417_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[777][1]~37758_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[777][1]~37759\ : std_logic;
SIGNAL \led_flash_cnt[777][2]~37760_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[777][2]~37761\ : std_logic;
SIGNAL \led_flash_cnt[777][3]~37762_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[777][3]~37763\ : std_logic;
SIGNAL \led_flash_cnt[777][4]~37764_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[777][4]~37765\ : std_logic;
SIGNAL \led_flash_cnt[777][5]~37766_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[777][5]~37767\ : std_logic;
SIGNAL \led_flash_cnt[777][6]~37768_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][6]~q\ : std_logic;
SIGNAL \WideAnd777~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][6]~37769\ : std_logic;
SIGNAL \led_flash_cnt[777][7]~37770_combout\ : std_logic;
SIGNAL \led_flash_cnt[777][7]~q\ : std_logic;
SIGNAL \WideAnd777~0_combout\ : std_logic;
SIGNAL \WideAnd777~combout\ : std_logic;
SIGNAL \led_flash_cnt[778][0]~81418_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[778][1]~37772_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[778][1]~37773\ : std_logic;
SIGNAL \led_flash_cnt[778][2]~37774_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[778][2]~37775\ : std_logic;
SIGNAL \led_flash_cnt[778][3]~37776_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[778][3]~37777\ : std_logic;
SIGNAL \led_flash_cnt[778][4]~37778_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][4]~q\ : std_logic;
SIGNAL \WideAnd778~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][4]~37779\ : std_logic;
SIGNAL \led_flash_cnt[778][5]~37780_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[778][5]~37781\ : std_logic;
SIGNAL \led_flash_cnt[778][6]~37782_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][6]~q\ : std_logic;
SIGNAL \WideAnd778~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][6]~37783\ : std_logic;
SIGNAL \led_flash_cnt[778][7]~37784_combout\ : std_logic;
SIGNAL \led_flash_cnt[778][7]~q\ : std_logic;
SIGNAL \WideAnd778~combout\ : std_logic;
SIGNAL \led_flash_cnt[776][0]~81416_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[776][1]~37744_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[776][1]~37745\ : std_logic;
SIGNAL \led_flash_cnt[776][2]~37746_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[776][2]~37747\ : std_logic;
SIGNAL \led_flash_cnt[776][3]~37748_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[776][3]~37749\ : std_logic;
SIGNAL \led_flash_cnt[776][4]~37750_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][4]~q\ : std_logic;
SIGNAL \WideAnd776~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][4]~37751\ : std_logic;
SIGNAL \led_flash_cnt[776][5]~37752_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[776][5]~37753\ : std_logic;
SIGNAL \led_flash_cnt[776][6]~37754_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[776][6]~37755\ : std_logic;
SIGNAL \led_flash_cnt[776][7]~37756_combout\ : std_logic;
SIGNAL \led_flash_cnt[776][7]~q\ : std_logic;
SIGNAL \WideAnd776~1_combout\ : std_logic;
SIGNAL \WideAnd776~combout\ : std_logic;
SIGNAL \WideAnd3937~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][0]~81422_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[782][1]~37828_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[782][1]~37829\ : std_logic;
SIGNAL \led_flash_cnt[782][2]~37830_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[782][2]~37831\ : std_logic;
SIGNAL \led_flash_cnt[782][3]~37832_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[782][3]~37833\ : std_logic;
SIGNAL \led_flash_cnt[782][4]~37834_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[782][4]~37835\ : std_logic;
SIGNAL \led_flash_cnt[782][5]~37836_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[782][5]~37837\ : std_logic;
SIGNAL \led_flash_cnt[782][6]~37838_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][6]~q\ : std_logic;
SIGNAL \WideAnd782~1_combout\ : std_logic;
SIGNAL \WideAnd782~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][6]~37839\ : std_logic;
SIGNAL \led_flash_cnt[782][7]~37840_combout\ : std_logic;
SIGNAL \led_flash_cnt[782][7]~q\ : std_logic;
SIGNAL \WideAnd782~combout\ : std_logic;
SIGNAL \WideAnd3937~combout\ : std_logic;
SIGNAL \WideAnd4332~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][0]~81470_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[830][1]~38500_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[830][1]~38501\ : std_logic;
SIGNAL \led_flash_cnt[830][2]~38502_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[830][2]~38503\ : std_logic;
SIGNAL \led_flash_cnt[830][3]~38504_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[830][3]~38505\ : std_logic;
SIGNAL \led_flash_cnt[830][4]~38506_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[830][4]~38507\ : std_logic;
SIGNAL \led_flash_cnt[830][5]~38508_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[830][5]~38509\ : std_logic;
SIGNAL \led_flash_cnt[830][6]~38510_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[830][6]~38511\ : std_logic;
SIGNAL \led_flash_cnt[830][7]~38512_combout\ : std_logic;
SIGNAL \led_flash_cnt[830][7]~q\ : std_logic;
SIGNAL \WideAnd830~0_combout\ : std_logic;
SIGNAL \WideAnd830~1_combout\ : std_logic;
SIGNAL \WideAnd830~combout\ : std_logic;
SIGNAL \led_flash_cnt[826][0]~81466_combout\ : std_logic;
SIGNAL \led_flash_cnt[826][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[826][1]~38444_combout\ : std_logic;
SIGNAL \led_flash_cnt[826][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[826][1]~38445\ : std_logic;
SIGNAL \led_flash_cnt[826][2]~38446_combout\ : std_logic;
SIGNAL \led_flash_cnt[826][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[826][2]~38447\ : std_logic;
SIGNAL \led_flash_cnt[826][3]~38448_combout\ : std_logic;
SIGNAL \led_flash_cnt[826][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[826][3]~38449\ : std_logic;
SIGNAL \led_flash_cnt[826][4]~38450_combout\ : std_logic;
SIGNAL \led_flash_cnt[826][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[826][4]~38451\ : std_logic;
SIGNAL \led_flash_cnt[826][5]~38452_combout\ : std_logic;
SIGNAL \led_flash_cnt[826][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[826][5]~38453\ : std_logic;
SIGNAL \led_flash_cnt[826][6]~38454_combout\ : std_logic;
SIGNAL \led_flash_cnt[826][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[826][6]~38455\ : std_logic;
SIGNAL \led_flash_cnt[826][7]~38456_combout\ : std_logic;
SIGNAL \led_flash_cnt[826][7]~q\ : std_logic;
SIGNAL \WideAnd826~1_combout\ : std_logic;
SIGNAL \WideAnd826~0_combout\ : std_logic;
SIGNAL \WideAnd826~combout\ : std_logic;
SIGNAL \led_flash_cnt[827][0]~81467_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[827][1]~38458_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[827][1]~38459\ : std_logic;
SIGNAL \led_flash_cnt[827][2]~38460_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[827][2]~38461\ : std_logic;
SIGNAL \led_flash_cnt[827][3]~38462_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[827][3]~38463\ : std_logic;
SIGNAL \led_flash_cnt[827][4]~38464_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[827][4]~38465\ : std_logic;
SIGNAL \led_flash_cnt[827][5]~38466_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[827][5]~38467\ : std_logic;
SIGNAL \led_flash_cnt[827][6]~38468_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][6]~q\ : std_logic;
SIGNAL \WideAnd827~1_combout\ : std_logic;
SIGNAL \WideAnd827~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][6]~38469\ : std_logic;
SIGNAL \led_flash_cnt[827][7]~38470_combout\ : std_logic;
SIGNAL \led_flash_cnt[827][7]~q\ : std_logic;
SIGNAL \WideAnd827~combout\ : std_logic;
SIGNAL \led_flash_cnt[825][0]~81465_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[825][1]~38430_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[825][1]~38431\ : std_logic;
SIGNAL \led_flash_cnt[825][2]~38432_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[825][2]~38433\ : std_logic;
SIGNAL \led_flash_cnt[825][3]~38434_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[825][3]~38435\ : std_logic;
SIGNAL \led_flash_cnt[825][4]~38436_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][4]~q\ : std_logic;
SIGNAL \WideAnd825~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][4]~38437\ : std_logic;
SIGNAL \led_flash_cnt[825][5]~38438_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[825][5]~38439\ : std_logic;
SIGNAL \led_flash_cnt[825][6]~38440_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[825][6]~38441\ : std_logic;
SIGNAL \led_flash_cnt[825][7]~38442_combout\ : std_logic;
SIGNAL \led_flash_cnt[825][7]~q\ : std_logic;
SIGNAL \WideAnd825~1_combout\ : std_logic;
SIGNAL \WideAnd825~combout\ : std_logic;
SIGNAL \led_flash_cnt[824][0]~81464_combout\ : std_logic;
SIGNAL \led_flash_cnt[824][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[824][1]~38416_combout\ : std_logic;
SIGNAL \led_flash_cnt[824][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[824][1]~38417\ : std_logic;
SIGNAL \led_flash_cnt[824][2]~38418_combout\ : std_logic;
SIGNAL \led_flash_cnt[824][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[824][2]~38419\ : std_logic;
SIGNAL \led_flash_cnt[824][3]~38420_combout\ : std_logic;
SIGNAL \led_flash_cnt[824][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[824][3]~38421\ : std_logic;
SIGNAL \led_flash_cnt[824][4]~38422_combout\ : std_logic;
SIGNAL \led_flash_cnt[824][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[824][4]~38423\ : std_logic;
SIGNAL \led_flash_cnt[824][5]~38424_combout\ : std_logic;
SIGNAL \led_flash_cnt[824][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[824][5]~38425\ : std_logic;
SIGNAL \led_flash_cnt[824][6]~38426_combout\ : std_logic;
SIGNAL \led_flash_cnt[824][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[824][6]~38427\ : std_logic;
SIGNAL \led_flash_cnt[824][7]~38428_combout\ : std_logic;
SIGNAL \led_flash_cnt[824][7]~q\ : std_logic;
SIGNAL \WideAnd824~1_combout\ : std_logic;
SIGNAL \WideAnd824~0_combout\ : std_logic;
SIGNAL \WideAnd824~combout\ : std_logic;
SIGNAL \WideAnd3943~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][0]~81469_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[829][1]~38486_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[829][1]~38487\ : std_logic;
SIGNAL \led_flash_cnt[829][2]~38488_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[829][2]~38489\ : std_logic;
SIGNAL \led_flash_cnt[829][3]~38490_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[829][3]~38491\ : std_logic;
SIGNAL \led_flash_cnt[829][4]~38492_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][4]~q\ : std_logic;
SIGNAL \WideAnd829~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][4]~38493\ : std_logic;
SIGNAL \led_flash_cnt[829][5]~38494_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[829][5]~38495\ : std_logic;
SIGNAL \led_flash_cnt[829][6]~38496_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[829][6]~38497\ : std_logic;
SIGNAL \led_flash_cnt[829][7]~38498_combout\ : std_logic;
SIGNAL \led_flash_cnt[829][7]~q\ : std_logic;
SIGNAL \WideAnd829~1_combout\ : std_logic;
SIGNAL \WideAnd829~combout\ : std_logic;
SIGNAL \led_flash_cnt[828][0]~81468_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[828][1]~38472_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[828][1]~38473\ : std_logic;
SIGNAL \led_flash_cnt[828][2]~38474_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[828][2]~38475\ : std_logic;
SIGNAL \led_flash_cnt[828][3]~38476_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[828][3]~38477\ : std_logic;
SIGNAL \led_flash_cnt[828][4]~38478_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[828][4]~38479\ : std_logic;
SIGNAL \led_flash_cnt[828][5]~38480_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[828][5]~38481\ : std_logic;
SIGNAL \led_flash_cnt[828][6]~38482_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][6]~q\ : std_logic;
SIGNAL \WideAnd828~1_combout\ : std_logic;
SIGNAL \WideAnd828~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][6]~38483\ : std_logic;
SIGNAL \led_flash_cnt[828][7]~38484_combout\ : std_logic;
SIGNAL \led_flash_cnt[828][7]~q\ : std_logic;
SIGNAL \WideAnd828~combout\ : std_logic;
SIGNAL \WideAnd3943~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][0]~81471_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[831][1]~38514_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[831][1]~38515\ : std_logic;
SIGNAL \led_flash_cnt[831][2]~38516_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[831][2]~38517\ : std_logic;
SIGNAL \led_flash_cnt[831][3]~38518_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[831][3]~38519\ : std_logic;
SIGNAL \led_flash_cnt[831][4]~38520_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[831][4]~38521\ : std_logic;
SIGNAL \led_flash_cnt[831][5]~38522_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[831][5]~38523\ : std_logic;
SIGNAL \led_flash_cnt[831][6]~38524_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[831][6]~38525\ : std_logic;
SIGNAL \led_flash_cnt[831][7]~38526_combout\ : std_logic;
SIGNAL \led_flash_cnt[831][7]~q\ : std_logic;
SIGNAL \WideAnd831~0_combout\ : std_logic;
SIGNAL \WideAnd831~1_combout\ : std_logic;
SIGNAL \WideAnd831~combout\ : std_logic;
SIGNAL \WideAnd3943~combout\ : std_logic;
SIGNAL \WideAnd4332~combout\ : std_logic;
SIGNAL \led_flash_cnt[887][0]~81527_combout\ : std_logic;
SIGNAL \led_flash_cnt[887][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[887][1]~39298_combout\ : std_logic;
SIGNAL \led_flash_cnt[887][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[887][1]~39299\ : std_logic;
SIGNAL \led_flash_cnt[887][2]~39300_combout\ : std_logic;
SIGNAL \led_flash_cnt[887][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[887][2]~39301\ : std_logic;
SIGNAL \led_flash_cnt[887][3]~39302_combout\ : std_logic;
SIGNAL \led_flash_cnt[887][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[887][3]~39303\ : std_logic;
SIGNAL \led_flash_cnt[887][4]~39304_combout\ : std_logic;
SIGNAL \led_flash_cnt[887][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[887][4]~39305\ : std_logic;
SIGNAL \led_flash_cnt[887][5]~39306_combout\ : std_logic;
SIGNAL \led_flash_cnt[887][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[887][5]~39307\ : std_logic;
SIGNAL \led_flash_cnt[887][6]~39308_combout\ : std_logic;
SIGNAL \led_flash_cnt[887][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[887][6]~39309\ : std_logic;
SIGNAL \led_flash_cnt[887][7]~39310_combout\ : std_logic;
SIGNAL \led_flash_cnt[887][7]~q\ : std_logic;
SIGNAL \WideAnd887~0_combout\ : std_logic;
SIGNAL \WideAnd887~1_combout\ : std_logic;
SIGNAL \WideAnd887~combout\ : std_logic;
SIGNAL \led_flash_cnt[881][0]~81521_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[881][1]~39214_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[881][1]~39215\ : std_logic;
SIGNAL \led_flash_cnt[881][2]~39216_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[881][2]~39217\ : std_logic;
SIGNAL \led_flash_cnt[881][3]~39218_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[881][3]~39219\ : std_logic;
SIGNAL \led_flash_cnt[881][4]~39220_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][4]~q\ : std_logic;
SIGNAL \WideAnd881~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][4]~39221\ : std_logic;
SIGNAL \led_flash_cnt[881][5]~39222_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[881][5]~39223\ : std_logic;
SIGNAL \led_flash_cnt[881][6]~39224_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][6]~q\ : std_logic;
SIGNAL \WideAnd881~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][6]~39225\ : std_logic;
SIGNAL \led_flash_cnt[881][7]~39226_combout\ : std_logic;
SIGNAL \led_flash_cnt[881][7]~q\ : std_logic;
SIGNAL \WideAnd881~combout\ : std_logic;
SIGNAL \led_flash_cnt[882][0]~81522_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[882][1]~39228_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[882][1]~39229\ : std_logic;
SIGNAL \led_flash_cnt[882][2]~39230_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[882][2]~39231\ : std_logic;
SIGNAL \led_flash_cnt[882][3]~39232_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[882][3]~39233\ : std_logic;
SIGNAL \led_flash_cnt[882][4]~39234_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][4]~q\ : std_logic;
SIGNAL \WideAnd882~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][4]~39235\ : std_logic;
SIGNAL \led_flash_cnt[882][5]~39236_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[882][5]~39237\ : std_logic;
SIGNAL \led_flash_cnt[882][6]~39238_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[882][6]~39239\ : std_logic;
SIGNAL \led_flash_cnt[882][7]~39240_combout\ : std_logic;
SIGNAL \led_flash_cnt[882][7]~q\ : std_logic;
SIGNAL \WideAnd882~1_combout\ : std_logic;
SIGNAL \WideAnd882~combout\ : std_logic;
SIGNAL \led_flash_cnt[880][0]~81520_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[880][1]~39200_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[880][1]~39201\ : std_logic;
SIGNAL \led_flash_cnt[880][2]~39202_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[880][2]~39203\ : std_logic;
SIGNAL \led_flash_cnt[880][3]~39204_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[880][3]~39205\ : std_logic;
SIGNAL \led_flash_cnt[880][4]~39206_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[880][4]~39207\ : std_logic;
SIGNAL \led_flash_cnt[880][5]~39208_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[880][5]~39209\ : std_logic;
SIGNAL \led_flash_cnt[880][6]~39210_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][6]~q\ : std_logic;
SIGNAL \WideAnd880~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][6]~39211\ : std_logic;
SIGNAL \led_flash_cnt[880][7]~39212_combout\ : std_logic;
SIGNAL \led_flash_cnt[880][7]~q\ : std_logic;
SIGNAL \WideAnd880~0_combout\ : std_logic;
SIGNAL \WideAnd880~combout\ : std_logic;
SIGNAL \led_flash_cnt[883][0]~81523_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[883][1]~39242_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[883][1]~39243\ : std_logic;
SIGNAL \led_flash_cnt[883][2]~39244_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[883][2]~39245\ : std_logic;
SIGNAL \led_flash_cnt[883][3]~39246_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[883][3]~39247\ : std_logic;
SIGNAL \led_flash_cnt[883][4]~39248_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[883][4]~39249\ : std_logic;
SIGNAL \led_flash_cnt[883][5]~39250_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[883][5]~39251\ : std_logic;
SIGNAL \led_flash_cnt[883][6]~39252_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][6]~q\ : std_logic;
SIGNAL \WideAnd883~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][6]~39253\ : std_logic;
SIGNAL \led_flash_cnt[883][7]~39254_combout\ : std_logic;
SIGNAL \led_flash_cnt[883][7]~q\ : std_logic;
SIGNAL \WideAnd883~0_combout\ : std_logic;
SIGNAL \WideAnd883~combout\ : std_logic;
SIGNAL \WideAnd3950~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][0]~81526_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[886][1]~39284_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[886][1]~39285\ : std_logic;
SIGNAL \led_flash_cnt[886][2]~39286_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[886][2]~39287\ : std_logic;
SIGNAL \led_flash_cnt[886][3]~39288_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[886][3]~39289\ : std_logic;
SIGNAL \led_flash_cnt[886][4]~39290_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[886][4]~39291\ : std_logic;
SIGNAL \led_flash_cnt[886][5]~39292_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[886][5]~39293\ : std_logic;
SIGNAL \led_flash_cnt[886][6]~39294_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][6]~q\ : std_logic;
SIGNAL \WideAnd886~1_combout\ : std_logic;
SIGNAL \WideAnd886~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][6]~39295\ : std_logic;
SIGNAL \led_flash_cnt[886][7]~39296_combout\ : std_logic;
SIGNAL \led_flash_cnt[886][7]~q\ : std_logic;
SIGNAL \WideAnd886~combout\ : std_logic;
SIGNAL \led_flash_cnt[885][0]~81525_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[885][1]~39270_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[885][1]~39271\ : std_logic;
SIGNAL \led_flash_cnt[885][2]~39272_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[885][2]~39273\ : std_logic;
SIGNAL \led_flash_cnt[885][3]~39274_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[885][3]~39275\ : std_logic;
SIGNAL \led_flash_cnt[885][4]~39276_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][4]~q\ : std_logic;
SIGNAL \WideAnd885~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][4]~39277\ : std_logic;
SIGNAL \led_flash_cnt[885][5]~39278_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[885][5]~39279\ : std_logic;
SIGNAL \led_flash_cnt[885][6]~39280_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[885][6]~39281\ : std_logic;
SIGNAL \led_flash_cnt[885][7]~39282_combout\ : std_logic;
SIGNAL \led_flash_cnt[885][7]~q\ : std_logic;
SIGNAL \WideAnd885~1_combout\ : std_logic;
SIGNAL \WideAnd885~combout\ : std_logic;
SIGNAL \led_flash_cnt[884][0]~81524_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[884][1]~39256_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[884][1]~39257\ : std_logic;
SIGNAL \led_flash_cnt[884][2]~39258_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[884][2]~39259\ : std_logic;
SIGNAL \led_flash_cnt[884][3]~39260_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[884][3]~39261\ : std_logic;
SIGNAL \led_flash_cnt[884][4]~39262_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][4]~q\ : std_logic;
SIGNAL \WideAnd884~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][4]~39263\ : std_logic;
SIGNAL \led_flash_cnt[884][5]~39264_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[884][5]~39265\ : std_logic;
SIGNAL \led_flash_cnt[884][6]~39266_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[884][6]~39267\ : std_logic;
SIGNAL \led_flash_cnt[884][7]~39268_combout\ : std_logic;
SIGNAL \led_flash_cnt[884][7]~q\ : std_logic;
SIGNAL \WideAnd884~1_combout\ : std_logic;
SIGNAL \WideAnd884~combout\ : std_logic;
SIGNAL \WideAnd3950~1_combout\ : std_logic;
SIGNAL \WideAnd3950~combout\ : std_logic;
SIGNAL \led_flash_cnt[894][0]~81534_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[894][1]~39396_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[894][1]~39397\ : std_logic;
SIGNAL \led_flash_cnt[894][2]~39398_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[894][2]~39399\ : std_logic;
SIGNAL \led_flash_cnt[894][3]~39400_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[894][3]~39401\ : std_logic;
SIGNAL \led_flash_cnt[894][4]~39402_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[894][4]~39403\ : std_logic;
SIGNAL \led_flash_cnt[894][5]~39404_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[894][5]~39405\ : std_logic;
SIGNAL \led_flash_cnt[894][6]~39406_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][6]~q\ : std_logic;
SIGNAL \WideAnd894~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][6]~39407\ : std_logic;
SIGNAL \led_flash_cnt[894][7]~39408_combout\ : std_logic;
SIGNAL \led_flash_cnt[894][7]~q\ : std_logic;
SIGNAL \WideAnd894~0_combout\ : std_logic;
SIGNAL \WideAnd894~combout\ : std_logic;
SIGNAL \led_flash_cnt_ands[894]~feeder_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][0]~81535_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[895][1]~39410_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[895][1]~39411\ : std_logic;
SIGNAL \led_flash_cnt[895][2]~39412_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[895][2]~39413\ : std_logic;
SIGNAL \led_flash_cnt[895][3]~39414_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[895][3]~39415\ : std_logic;
SIGNAL \led_flash_cnt[895][4]~39416_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[895][4]~39417\ : std_logic;
SIGNAL \led_flash_cnt[895][5]~39418_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[895][5]~39419\ : std_logic;
SIGNAL \led_flash_cnt[895][6]~39420_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][6]~q\ : std_logic;
SIGNAL \WideAnd895~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][6]~39421\ : std_logic;
SIGNAL \led_flash_cnt[895][7]~39422_combout\ : std_logic;
SIGNAL \led_flash_cnt[895][7]~q\ : std_logic;
SIGNAL \WideAnd895~0_combout\ : std_logic;
SIGNAL \WideAnd895~combout\ : std_logic;
SIGNAL \led_flash_cnt[888][0]~81528_combout\ : std_logic;
SIGNAL \led_flash_cnt[888][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[888][1]~39312_combout\ : std_logic;
SIGNAL \led_flash_cnt[888][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[888][1]~39313\ : std_logic;
SIGNAL \led_flash_cnt[888][2]~39314_combout\ : std_logic;
SIGNAL \led_flash_cnt[888][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[888][2]~39315\ : std_logic;
SIGNAL \led_flash_cnt[888][3]~39316_combout\ : std_logic;
SIGNAL \led_flash_cnt[888][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[888][3]~39317\ : std_logic;
SIGNAL \led_flash_cnt[888][4]~39318_combout\ : std_logic;
SIGNAL \led_flash_cnt[888][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[888][4]~39319\ : std_logic;
SIGNAL \led_flash_cnt[888][5]~39320_combout\ : std_logic;
SIGNAL \led_flash_cnt[888][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[888][5]~39321\ : std_logic;
SIGNAL \led_flash_cnt[888][6]~39322_combout\ : std_logic;
SIGNAL \led_flash_cnt[888][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[888][6]~39323\ : std_logic;
SIGNAL \led_flash_cnt[888][7]~39324_combout\ : std_logic;
SIGNAL \led_flash_cnt[888][7]~q\ : std_logic;
SIGNAL \WideAnd888~0_combout\ : std_logic;
SIGNAL \WideAnd888~1_combout\ : std_logic;
SIGNAL \WideAnd888~combout\ : std_logic;
SIGNAL \led_flash_cnt[890][0]~81530_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[890][1]~39340_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[890][1]~39341\ : std_logic;
SIGNAL \led_flash_cnt[890][2]~39342_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[890][2]~39343\ : std_logic;
SIGNAL \led_flash_cnt[890][3]~39344_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[890][3]~39345\ : std_logic;
SIGNAL \led_flash_cnt[890][4]~39346_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[890][4]~39347\ : std_logic;
SIGNAL \led_flash_cnt[890][5]~39348_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[890][5]~39349\ : std_logic;
SIGNAL \led_flash_cnt[890][6]~39350_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][6]~q\ : std_logic;
SIGNAL \WideAnd890~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][6]~39351\ : std_logic;
SIGNAL \led_flash_cnt[890][7]~39352_combout\ : std_logic;
SIGNAL \led_flash_cnt[890][7]~q\ : std_logic;
SIGNAL \WideAnd890~0_combout\ : std_logic;
SIGNAL \WideAnd890~combout\ : std_logic;
SIGNAL \led_flash_cnt[889][0]~81529_combout\ : std_logic;
SIGNAL \led_flash_cnt[889][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[889][1]~39326_combout\ : std_logic;
SIGNAL \led_flash_cnt[889][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[889][1]~39327\ : std_logic;
SIGNAL \led_flash_cnt[889][2]~39328_combout\ : std_logic;
SIGNAL \led_flash_cnt[889][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[889][2]~39329\ : std_logic;
SIGNAL \led_flash_cnt[889][3]~39330_combout\ : std_logic;
SIGNAL \led_flash_cnt[889][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[889][3]~39331\ : std_logic;
SIGNAL \led_flash_cnt[889][4]~39332_combout\ : std_logic;
SIGNAL \led_flash_cnt[889][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[889][4]~39333\ : std_logic;
SIGNAL \led_flash_cnt[889][5]~39334_combout\ : std_logic;
SIGNAL \led_flash_cnt[889][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[889][5]~39335\ : std_logic;
SIGNAL \led_flash_cnt[889][6]~39336_combout\ : std_logic;
SIGNAL \led_flash_cnt[889][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[889][6]~39337\ : std_logic;
SIGNAL \led_flash_cnt[889][7]~39338_combout\ : std_logic;
SIGNAL \led_flash_cnt[889][7]~q\ : std_logic;
SIGNAL \WideAnd889~0_combout\ : std_logic;
SIGNAL \WideAnd889~1_combout\ : std_logic;
SIGNAL \WideAnd889~combout\ : std_logic;
SIGNAL \led_flash_cnt[891][0]~81531_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[891][1]~39354_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[891][1]~39355\ : std_logic;
SIGNAL \led_flash_cnt[891][2]~39356_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[891][2]~39357\ : std_logic;
SIGNAL \led_flash_cnt[891][3]~39358_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[891][3]~39359\ : std_logic;
SIGNAL \led_flash_cnt[891][4]~39360_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[891][4]~39361\ : std_logic;
SIGNAL \led_flash_cnt[891][5]~39362_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[891][5]~39363\ : std_logic;
SIGNAL \led_flash_cnt[891][6]~39364_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][6]~q\ : std_logic;
SIGNAL \WideAnd891~1_combout\ : std_logic;
SIGNAL \WideAnd891~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][6]~39365\ : std_logic;
SIGNAL \led_flash_cnt[891][7]~39366_combout\ : std_logic;
SIGNAL \led_flash_cnt[891][7]~q\ : std_logic;
SIGNAL \WideAnd891~combout\ : std_logic;
SIGNAL \WideAnd3951~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][0]~81533_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[893][1]~39382_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[893][1]~39383\ : std_logic;
SIGNAL \led_flash_cnt[893][2]~39384_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[893][2]~39385\ : std_logic;
SIGNAL \led_flash_cnt[893][3]~39386_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[893][3]~39387\ : std_logic;
SIGNAL \led_flash_cnt[893][4]~39388_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[893][4]~39389\ : std_logic;
SIGNAL \led_flash_cnt[893][5]~39390_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[893][5]~39391\ : std_logic;
SIGNAL \led_flash_cnt[893][6]~39392_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[893][6]~39393\ : std_logic;
SIGNAL \led_flash_cnt[893][7]~39394_combout\ : std_logic;
SIGNAL \led_flash_cnt[893][7]~q\ : std_logic;
SIGNAL \WideAnd893~0_combout\ : std_logic;
SIGNAL \WideAnd893~1_combout\ : std_logic;
SIGNAL \WideAnd893~combout\ : std_logic;
SIGNAL \led_flash_cnt[892][0]~81532_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[892][1]~39368_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[892][1]~39369\ : std_logic;
SIGNAL \led_flash_cnt[892][2]~39370_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[892][2]~39371\ : std_logic;
SIGNAL \led_flash_cnt[892][3]~39372_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[892][3]~39373\ : std_logic;
SIGNAL \led_flash_cnt[892][4]~39374_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][4]~q\ : std_logic;
SIGNAL \WideAnd892~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][4]~39375\ : std_logic;
SIGNAL \led_flash_cnt[892][5]~39376_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[892][5]~39377\ : std_logic;
SIGNAL \led_flash_cnt[892][6]~39378_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][6]~q\ : std_logic;
SIGNAL \WideAnd892~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][6]~39379\ : std_logic;
SIGNAL \led_flash_cnt[892][7]~39380_combout\ : std_logic;
SIGNAL \led_flash_cnt[892][7]~q\ : std_logic;
SIGNAL \WideAnd892~combout\ : std_logic;
SIGNAL \WideAnd3951~1_combout\ : std_logic;
SIGNAL \WideAnd3951~combout\ : std_logic;
SIGNAL \led_flash_cnt[867][0]~81507_combout\ : std_logic;
SIGNAL \led_flash_cnt[867][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[867][1]~39018_combout\ : std_logic;
SIGNAL \led_flash_cnt[867][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[867][1]~39019\ : std_logic;
SIGNAL \led_flash_cnt[867][2]~39020_combout\ : std_logic;
SIGNAL \led_flash_cnt[867][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[867][2]~39021\ : std_logic;
SIGNAL \led_flash_cnt[867][3]~39022_combout\ : std_logic;
SIGNAL \led_flash_cnt[867][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[867][3]~39023\ : std_logic;
SIGNAL \led_flash_cnt[867][4]~39024_combout\ : std_logic;
SIGNAL \led_flash_cnt[867][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[867][4]~39025\ : std_logic;
SIGNAL \led_flash_cnt[867][5]~39026_combout\ : std_logic;
SIGNAL \led_flash_cnt[867][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[867][5]~39027\ : std_logic;
SIGNAL \led_flash_cnt[867][6]~39028_combout\ : std_logic;
SIGNAL \led_flash_cnt[867][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[867][6]~39029\ : std_logic;
SIGNAL \led_flash_cnt[867][7]~39030_combout\ : std_logic;
SIGNAL \led_flash_cnt[867][7]~q\ : std_logic;
SIGNAL \WideAnd867~1_combout\ : std_logic;
SIGNAL \WideAnd867~0_combout\ : std_logic;
SIGNAL \WideAnd867~combout\ : std_logic;
SIGNAL \led_flash_cnt[864][0]~81504_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[864][1]~38976_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[864][1]~38977\ : std_logic;
SIGNAL \led_flash_cnt[864][2]~38978_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[864][2]~38979\ : std_logic;
SIGNAL \led_flash_cnt[864][3]~38980_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[864][3]~38981\ : std_logic;
SIGNAL \led_flash_cnt[864][4]~38982_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][4]~q\ : std_logic;
SIGNAL \WideAnd864~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][4]~38983\ : std_logic;
SIGNAL \led_flash_cnt[864][5]~38984_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[864][5]~38985\ : std_logic;
SIGNAL \led_flash_cnt[864][6]~38986_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][6]~q\ : std_logic;
SIGNAL \WideAnd864~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][6]~38987\ : std_logic;
SIGNAL \led_flash_cnt[864][7]~38988_combout\ : std_logic;
SIGNAL \led_flash_cnt[864][7]~q\ : std_logic;
SIGNAL \WideAnd864~combout\ : std_logic;
SIGNAL \led_flash_cnt[865][0]~81505_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[865][1]~38990_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[865][1]~38991\ : std_logic;
SIGNAL \led_flash_cnt[865][2]~38992_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[865][2]~38993\ : std_logic;
SIGNAL \led_flash_cnt[865][3]~38994_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[865][3]~38995\ : std_logic;
SIGNAL \led_flash_cnt[865][4]~38996_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[865][4]~38997\ : std_logic;
SIGNAL \led_flash_cnt[865][5]~38998_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[865][5]~38999\ : std_logic;
SIGNAL \led_flash_cnt[865][6]~39000_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][6]~q\ : std_logic;
SIGNAL \WideAnd865~1_combout\ : std_logic;
SIGNAL \WideAnd865~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][6]~39001\ : std_logic;
SIGNAL \led_flash_cnt[865][7]~39002_combout\ : std_logic;
SIGNAL \led_flash_cnt[865][7]~q\ : std_logic;
SIGNAL \WideAnd865~combout\ : std_logic;
SIGNAL \led_flash_cnt[866][0]~81506_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[866][1]~39004_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[866][1]~39005\ : std_logic;
SIGNAL \led_flash_cnt[866][2]~39006_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[866][2]~39007\ : std_logic;
SIGNAL \led_flash_cnt[866][3]~39008_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[866][3]~39009\ : std_logic;
SIGNAL \led_flash_cnt[866][4]~39010_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[866][4]~39011\ : std_logic;
SIGNAL \led_flash_cnt[866][5]~39012_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[866][5]~39013\ : std_logic;
SIGNAL \led_flash_cnt[866][6]~39014_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][6]~q\ : std_logic;
SIGNAL \WideAnd866~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][6]~39015\ : std_logic;
SIGNAL \led_flash_cnt[866][7]~39016_combout\ : std_logic;
SIGNAL \led_flash_cnt[866][7]~q\ : std_logic;
SIGNAL \WideAnd866~0_combout\ : std_logic;
SIGNAL \WideAnd866~combout\ : std_logic;
SIGNAL \WideAnd3948~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][0]~81511_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[871][1]~39074_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[871][1]~39075\ : std_logic;
SIGNAL \led_flash_cnt[871][2]~39076_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[871][2]~39077\ : std_logic;
SIGNAL \led_flash_cnt[871][3]~39078_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[871][3]~39079\ : std_logic;
SIGNAL \led_flash_cnt[871][4]~39080_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[871][4]~39081\ : std_logic;
SIGNAL \led_flash_cnt[871][5]~39082_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[871][5]~39083\ : std_logic;
SIGNAL \led_flash_cnt[871][6]~39084_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[871][6]~39085\ : std_logic;
SIGNAL \led_flash_cnt[871][7]~39086_combout\ : std_logic;
SIGNAL \led_flash_cnt[871][7]~q\ : std_logic;
SIGNAL \WideAnd871~0_combout\ : std_logic;
SIGNAL \WideAnd871~1_combout\ : std_logic;
SIGNAL \WideAnd871~combout\ : std_logic;
SIGNAL \led_flash_cnt[869][0]~81509_combout\ : std_logic;
SIGNAL \led_flash_cnt[869][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[869][1]~39046_combout\ : std_logic;
SIGNAL \led_flash_cnt[869][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[869][1]~39047\ : std_logic;
SIGNAL \led_flash_cnt[869][2]~39048_combout\ : std_logic;
SIGNAL \led_flash_cnt[869][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[869][2]~39049\ : std_logic;
SIGNAL \led_flash_cnt[869][3]~39050_combout\ : std_logic;
SIGNAL \led_flash_cnt[869][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[869][3]~39051\ : std_logic;
SIGNAL \led_flash_cnt[869][4]~39052_combout\ : std_logic;
SIGNAL \led_flash_cnt[869][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[869][4]~39053\ : std_logic;
SIGNAL \led_flash_cnt[869][5]~39054_combout\ : std_logic;
SIGNAL \led_flash_cnt[869][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[869][5]~39055\ : std_logic;
SIGNAL \led_flash_cnt[869][6]~39056_combout\ : std_logic;
SIGNAL \led_flash_cnt[869][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[869][6]~39057\ : std_logic;
SIGNAL \led_flash_cnt[869][7]~39058_combout\ : std_logic;
SIGNAL \led_flash_cnt[869][7]~q\ : std_logic;
SIGNAL \WideAnd869~1_combout\ : std_logic;
SIGNAL \WideAnd869~0_combout\ : std_logic;
SIGNAL \WideAnd869~combout\ : std_logic;
SIGNAL \led_flash_cnt[868][0]~81508_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[868][1]~39032_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[868][1]~39033\ : std_logic;
SIGNAL \led_flash_cnt[868][2]~39034_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[868][2]~39035\ : std_logic;
SIGNAL \led_flash_cnt[868][3]~39036_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[868][3]~39037\ : std_logic;
SIGNAL \led_flash_cnt[868][4]~39038_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][4]~q\ : std_logic;
SIGNAL \WideAnd868~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][4]~39039\ : std_logic;
SIGNAL \led_flash_cnt[868][5]~39040_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[868][5]~39041\ : std_logic;
SIGNAL \led_flash_cnt[868][6]~39042_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][6]~q\ : std_logic;
SIGNAL \WideAnd868~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][6]~39043\ : std_logic;
SIGNAL \led_flash_cnt[868][7]~39044_combout\ : std_logic;
SIGNAL \led_flash_cnt[868][7]~q\ : std_logic;
SIGNAL \WideAnd868~combout\ : std_logic;
SIGNAL \WideAnd3948~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][0]~81510_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[870][1]~39060_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[870][1]~39061\ : std_logic;
SIGNAL \led_flash_cnt[870][2]~39062_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[870][2]~39063\ : std_logic;
SIGNAL \led_flash_cnt[870][3]~39064_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[870][3]~39065\ : std_logic;
SIGNAL \led_flash_cnt[870][4]~39066_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[870][4]~39067\ : std_logic;
SIGNAL \led_flash_cnt[870][5]~39068_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[870][5]~39069\ : std_logic;
SIGNAL \led_flash_cnt[870][6]~39070_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[870][6]~39071\ : std_logic;
SIGNAL \led_flash_cnt[870][7]~39072_combout\ : std_logic;
SIGNAL \led_flash_cnt[870][7]~q\ : std_logic;
SIGNAL \WideAnd870~1_combout\ : std_logic;
SIGNAL \WideAnd870~0_combout\ : std_logic;
SIGNAL \WideAnd870~combout\ : std_logic;
SIGNAL \WideAnd3948~combout\ : std_logic;
SIGNAL \led_flash_cnt[879][0]~81519_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[879][1]~39186_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[879][1]~39187\ : std_logic;
SIGNAL \led_flash_cnt[879][2]~39188_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[879][2]~39189\ : std_logic;
SIGNAL \led_flash_cnt[879][3]~39190_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[879][3]~39191\ : std_logic;
SIGNAL \led_flash_cnt[879][4]~39192_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[879][4]~39193\ : std_logic;
SIGNAL \led_flash_cnt[879][5]~39194_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[879][5]~39195\ : std_logic;
SIGNAL \led_flash_cnt[879][6]~39196_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][6]~q\ : std_logic;
SIGNAL \WideAnd879~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][6]~39197\ : std_logic;
SIGNAL \led_flash_cnt[879][7]~39198_combout\ : std_logic;
SIGNAL \led_flash_cnt[879][7]~q\ : std_logic;
SIGNAL \WideAnd879~0_combout\ : std_logic;
SIGNAL \WideAnd879~combout\ : std_logic;
SIGNAL \led_flash_cnt[873][0]~81513_combout\ : std_logic;
SIGNAL \led_flash_cnt[873][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[873][1]~39102_combout\ : std_logic;
SIGNAL \led_flash_cnt[873][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[873][1]~39103\ : std_logic;
SIGNAL \led_flash_cnt[873][2]~39104_combout\ : std_logic;
SIGNAL \led_flash_cnt[873][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[873][2]~39105\ : std_logic;
SIGNAL \led_flash_cnt[873][3]~39106_combout\ : std_logic;
SIGNAL \led_flash_cnt[873][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[873][3]~39107\ : std_logic;
SIGNAL \led_flash_cnt[873][4]~39108_combout\ : std_logic;
SIGNAL \led_flash_cnt[873][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[873][4]~39109\ : std_logic;
SIGNAL \led_flash_cnt[873][5]~39110_combout\ : std_logic;
SIGNAL \led_flash_cnt[873][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[873][5]~39111\ : std_logic;
SIGNAL \led_flash_cnt[873][6]~39112_combout\ : std_logic;
SIGNAL \led_flash_cnt[873][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[873][6]~39113\ : std_logic;
SIGNAL \led_flash_cnt[873][7]~39114_combout\ : std_logic;
SIGNAL \led_flash_cnt[873][7]~q\ : std_logic;
SIGNAL \WideAnd873~1_combout\ : std_logic;
SIGNAL \WideAnd873~0_combout\ : std_logic;
SIGNAL \WideAnd873~combout\ : std_logic;
SIGNAL \led_flash_cnt[875][0]~81515_combout\ : std_logic;
SIGNAL \led_flash_cnt[875][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[875][1]~39130_combout\ : std_logic;
SIGNAL \led_flash_cnt[875][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[875][1]~39131\ : std_logic;
SIGNAL \led_flash_cnt[875][2]~39132_combout\ : std_logic;
SIGNAL \led_flash_cnt[875][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[875][2]~39133\ : std_logic;
SIGNAL \led_flash_cnt[875][3]~39134_combout\ : std_logic;
SIGNAL \led_flash_cnt[875][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[875][3]~39135\ : std_logic;
SIGNAL \led_flash_cnt[875][4]~39136_combout\ : std_logic;
SIGNAL \led_flash_cnt[875][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[875][4]~39137\ : std_logic;
SIGNAL \led_flash_cnt[875][5]~39138_combout\ : std_logic;
SIGNAL \led_flash_cnt[875][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[875][5]~39139\ : std_logic;
SIGNAL \led_flash_cnt[875][6]~39140_combout\ : std_logic;
SIGNAL \led_flash_cnt[875][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[875][6]~39141\ : std_logic;
SIGNAL \led_flash_cnt[875][7]~39142_combout\ : std_logic;
SIGNAL \led_flash_cnt[875][7]~q\ : std_logic;
SIGNAL \WideAnd875~1_combout\ : std_logic;
SIGNAL \WideAnd875~0_combout\ : std_logic;
SIGNAL \WideAnd875~combout\ : std_logic;
SIGNAL \led_flash_cnt[874][0]~81514_combout\ : std_logic;
SIGNAL \led_flash_cnt[874][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[874][1]~39116_combout\ : std_logic;
SIGNAL \led_flash_cnt[874][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[874][1]~39117\ : std_logic;
SIGNAL \led_flash_cnt[874][2]~39118_combout\ : std_logic;
SIGNAL \led_flash_cnt[874][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[874][2]~39119\ : std_logic;
SIGNAL \led_flash_cnt[874][3]~39120_combout\ : std_logic;
SIGNAL \led_flash_cnt[874][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[874][3]~39121\ : std_logic;
SIGNAL \led_flash_cnt[874][4]~39122_combout\ : std_logic;
SIGNAL \led_flash_cnt[874][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[874][4]~39123\ : std_logic;
SIGNAL \led_flash_cnt[874][5]~39124_combout\ : std_logic;
SIGNAL \led_flash_cnt[874][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[874][5]~39125\ : std_logic;
SIGNAL \led_flash_cnt[874][6]~39126_combout\ : std_logic;
SIGNAL \led_flash_cnt[874][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[874][6]~39127\ : std_logic;
SIGNAL \led_flash_cnt[874][7]~39128_combout\ : std_logic;
SIGNAL \led_flash_cnt[874][7]~q\ : std_logic;
SIGNAL \WideAnd874~0_combout\ : std_logic;
SIGNAL \WideAnd874~1_combout\ : std_logic;
SIGNAL \WideAnd874~combout\ : std_logic;
SIGNAL \led_flash_cnt[872][0]~81512_combout\ : std_logic;
SIGNAL \led_flash_cnt[872][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[872][1]~39088_combout\ : std_logic;
SIGNAL \led_flash_cnt[872][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[872][1]~39089\ : std_logic;
SIGNAL \led_flash_cnt[872][2]~39090_combout\ : std_logic;
SIGNAL \led_flash_cnt[872][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[872][2]~39091\ : std_logic;
SIGNAL \led_flash_cnt[872][3]~39092_combout\ : std_logic;
SIGNAL \led_flash_cnt[872][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[872][3]~39093\ : std_logic;
SIGNAL \led_flash_cnt[872][4]~39094_combout\ : std_logic;
SIGNAL \led_flash_cnt[872][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[872][4]~39095\ : std_logic;
SIGNAL \led_flash_cnt[872][5]~39096_combout\ : std_logic;
SIGNAL \led_flash_cnt[872][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[872][5]~39097\ : std_logic;
SIGNAL \led_flash_cnt[872][6]~39098_combout\ : std_logic;
SIGNAL \led_flash_cnt[872][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[872][6]~39099\ : std_logic;
SIGNAL \led_flash_cnt[872][7]~39100_combout\ : std_logic;
SIGNAL \led_flash_cnt[872][7]~q\ : std_logic;
SIGNAL \WideAnd872~1_combout\ : std_logic;
SIGNAL \WideAnd872~0_combout\ : std_logic;
SIGNAL \WideAnd872~combout\ : std_logic;
SIGNAL \WideAnd3949~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][0]~81518_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[878][1]~39172_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[878][1]~39173\ : std_logic;
SIGNAL \led_flash_cnt[878][2]~39174_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[878][2]~39175\ : std_logic;
SIGNAL \led_flash_cnt[878][3]~39176_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[878][3]~39177\ : std_logic;
SIGNAL \led_flash_cnt[878][4]~39178_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][4]~q\ : std_logic;
SIGNAL \WideAnd878~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][4]~39179\ : std_logic;
SIGNAL \led_flash_cnt[878][5]~39180_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[878][5]~39181\ : std_logic;
SIGNAL \led_flash_cnt[878][6]~39182_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][6]~q\ : std_logic;
SIGNAL \WideAnd878~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][6]~39183\ : std_logic;
SIGNAL \led_flash_cnt[878][7]~39184_combout\ : std_logic;
SIGNAL \led_flash_cnt[878][7]~q\ : std_logic;
SIGNAL \WideAnd878~combout\ : std_logic;
SIGNAL \led_flash_cnt[876][0]~81516_combout\ : std_logic;
SIGNAL \led_flash_cnt[876][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[876][1]~39144_combout\ : std_logic;
SIGNAL \led_flash_cnt[876][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[876][1]~39145\ : std_logic;
SIGNAL \led_flash_cnt[876][2]~39146_combout\ : std_logic;
SIGNAL \led_flash_cnt[876][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[876][2]~39147\ : std_logic;
SIGNAL \led_flash_cnt[876][3]~39148_combout\ : std_logic;
SIGNAL \led_flash_cnt[876][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[876][3]~39149\ : std_logic;
SIGNAL \led_flash_cnt[876][4]~39150_combout\ : std_logic;
SIGNAL \led_flash_cnt[876][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[876][4]~39151\ : std_logic;
SIGNAL \led_flash_cnt[876][5]~39152_combout\ : std_logic;
SIGNAL \led_flash_cnt[876][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[876][5]~39153\ : std_logic;
SIGNAL \led_flash_cnt[876][6]~39154_combout\ : std_logic;
SIGNAL \led_flash_cnt[876][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[876][6]~39155\ : std_logic;
SIGNAL \led_flash_cnt[876][7]~39156_combout\ : std_logic;
SIGNAL \led_flash_cnt[876][7]~q\ : std_logic;
SIGNAL \WideAnd876~1_combout\ : std_logic;
SIGNAL \WideAnd876~0_combout\ : std_logic;
SIGNAL \WideAnd876~combout\ : std_logic;
SIGNAL \led_flash_cnt[877][0]~81517_combout\ : std_logic;
SIGNAL \led_flash_cnt[877][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[877][1]~39158_combout\ : std_logic;
SIGNAL \led_flash_cnt[877][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[877][1]~39159\ : std_logic;
SIGNAL \led_flash_cnt[877][2]~39160_combout\ : std_logic;
SIGNAL \led_flash_cnt[877][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[877][2]~39161\ : std_logic;
SIGNAL \led_flash_cnt[877][3]~39162_combout\ : std_logic;
SIGNAL \led_flash_cnt[877][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[877][3]~39163\ : std_logic;
SIGNAL \led_flash_cnt[877][4]~39164_combout\ : std_logic;
SIGNAL \led_flash_cnt[877][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[877][4]~39165\ : std_logic;
SIGNAL \led_flash_cnt[877][5]~39166_combout\ : std_logic;
SIGNAL \led_flash_cnt[877][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[877][5]~39167\ : std_logic;
SIGNAL \led_flash_cnt[877][6]~39168_combout\ : std_logic;
SIGNAL \led_flash_cnt[877][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[877][6]~39169\ : std_logic;
SIGNAL \led_flash_cnt[877][7]~39170_combout\ : std_logic;
SIGNAL \led_flash_cnt[877][7]~q\ : std_logic;
SIGNAL \WideAnd877~0_combout\ : std_logic;
SIGNAL \WideAnd877~1_combout\ : std_logic;
SIGNAL \WideAnd877~combout\ : std_logic;
SIGNAL \WideAnd3949~1_combout\ : std_logic;
SIGNAL \WideAnd3949~combout\ : std_logic;
SIGNAL \WideAnd4333~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][0]~81491_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[851][1]~38794_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[851][1]~38795\ : std_logic;
SIGNAL \led_flash_cnt[851][2]~38796_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[851][2]~38797\ : std_logic;
SIGNAL \led_flash_cnt[851][3]~38798_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[851][3]~38799\ : std_logic;
SIGNAL \led_flash_cnt[851][4]~38800_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[851][4]~38801\ : std_logic;
SIGNAL \led_flash_cnt[851][5]~38802_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[851][5]~38803\ : std_logic;
SIGNAL \led_flash_cnt[851][6]~38804_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[851][6]~38805\ : std_logic;
SIGNAL \led_flash_cnt[851][7]~38806_combout\ : std_logic;
SIGNAL \led_flash_cnt[851][7]~q\ : std_logic;
SIGNAL \WideAnd851~0_combout\ : std_logic;
SIGNAL \WideAnd851~1_combout\ : std_logic;
SIGNAL \WideAnd851~combout\ : std_logic;
SIGNAL \led_flash_cnt[850][0]~81490_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[850][1]~38780_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[850][1]~38781\ : std_logic;
SIGNAL \led_flash_cnt[850][2]~38782_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[850][2]~38783\ : std_logic;
SIGNAL \led_flash_cnt[850][3]~38784_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[850][3]~38785\ : std_logic;
SIGNAL \led_flash_cnt[850][4]~38786_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][4]~q\ : std_logic;
SIGNAL \WideAnd850~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][4]~38787\ : std_logic;
SIGNAL \led_flash_cnt[850][5]~38788_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[850][5]~38789\ : std_logic;
SIGNAL \led_flash_cnt[850][6]~38790_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[850][6]~38791\ : std_logic;
SIGNAL \led_flash_cnt[850][7]~38792_combout\ : std_logic;
SIGNAL \led_flash_cnt[850][7]~q\ : std_logic;
SIGNAL \WideAnd850~1_combout\ : std_logic;
SIGNAL \WideAnd850~combout\ : std_logic;
SIGNAL \led_flash_cnt[848][0]~81488_combout\ : std_logic;
SIGNAL \led_flash_cnt[848][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[848][1]~38752_combout\ : std_logic;
SIGNAL \led_flash_cnt[848][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[848][1]~38753\ : std_logic;
SIGNAL \led_flash_cnt[848][2]~38754_combout\ : std_logic;
SIGNAL \led_flash_cnt[848][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[848][2]~38755\ : std_logic;
SIGNAL \led_flash_cnt[848][3]~38756_combout\ : std_logic;
SIGNAL \led_flash_cnt[848][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[848][3]~38757\ : std_logic;
SIGNAL \led_flash_cnt[848][4]~38758_combout\ : std_logic;
SIGNAL \led_flash_cnt[848][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[848][4]~38759\ : std_logic;
SIGNAL \led_flash_cnt[848][5]~38760_combout\ : std_logic;
SIGNAL \led_flash_cnt[848][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[848][5]~38761\ : std_logic;
SIGNAL \led_flash_cnt[848][6]~38762_combout\ : std_logic;
SIGNAL \led_flash_cnt[848][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[848][6]~38763\ : std_logic;
SIGNAL \led_flash_cnt[848][7]~38764_combout\ : std_logic;
SIGNAL \led_flash_cnt[848][7]~q\ : std_logic;
SIGNAL \WideAnd848~1_combout\ : std_logic;
SIGNAL \WideAnd848~0_combout\ : std_logic;
SIGNAL \WideAnd848~combout\ : std_logic;
SIGNAL \led_flash_cnt[849][0]~81489_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[849][1]~38766_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[849][1]~38767\ : std_logic;
SIGNAL \led_flash_cnt[849][2]~38768_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[849][2]~38769\ : std_logic;
SIGNAL \led_flash_cnt[849][3]~38770_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[849][3]~38771\ : std_logic;
SIGNAL \led_flash_cnt[849][4]~38772_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[849][4]~38773\ : std_logic;
SIGNAL \led_flash_cnt[849][5]~38774_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[849][5]~38775\ : std_logic;
SIGNAL \led_flash_cnt[849][6]~38776_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][6]~q\ : std_logic;
SIGNAL \WideAnd849~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][6]~38777\ : std_logic;
SIGNAL \led_flash_cnt[849][7]~38778_combout\ : std_logic;
SIGNAL \led_flash_cnt[849][7]~q\ : std_logic;
SIGNAL \WideAnd849~0_combout\ : std_logic;
SIGNAL \WideAnd849~combout\ : std_logic;
SIGNAL \WideAnd3946~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][0]~81493_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[853][1]~38822_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[853][1]~38823\ : std_logic;
SIGNAL \led_flash_cnt[853][2]~38824_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[853][2]~38825\ : std_logic;
SIGNAL \led_flash_cnt[853][3]~38826_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[853][3]~38827\ : std_logic;
SIGNAL \led_flash_cnt[853][4]~38828_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[853][4]~38829\ : std_logic;
SIGNAL \led_flash_cnt[853][5]~38830_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[853][5]~38831\ : std_logic;
SIGNAL \led_flash_cnt[853][6]~38832_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][6]~q\ : std_logic;
SIGNAL \WideAnd853~1_combout\ : std_logic;
SIGNAL \WideAnd853~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][6]~38833\ : std_logic;
SIGNAL \led_flash_cnt[853][7]~38834_combout\ : std_logic;
SIGNAL \led_flash_cnt[853][7]~q\ : std_logic;
SIGNAL \WideAnd853~combout\ : std_logic;
SIGNAL \led_flash_cnt[852][0]~81492_combout\ : std_logic;
SIGNAL \led_flash_cnt[852][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[852][1]~38808_combout\ : std_logic;
SIGNAL \led_flash_cnt[852][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[852][1]~38809\ : std_logic;
SIGNAL \led_flash_cnt[852][2]~38810_combout\ : std_logic;
SIGNAL \led_flash_cnt[852][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[852][2]~38811\ : std_logic;
SIGNAL \led_flash_cnt[852][3]~38812_combout\ : std_logic;
SIGNAL \led_flash_cnt[852][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[852][3]~38813\ : std_logic;
SIGNAL \led_flash_cnt[852][4]~38814_combout\ : std_logic;
SIGNAL \led_flash_cnt[852][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[852][4]~38815\ : std_logic;
SIGNAL \led_flash_cnt[852][5]~38816_combout\ : std_logic;
SIGNAL \led_flash_cnt[852][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[852][5]~38817\ : std_logic;
SIGNAL \led_flash_cnt[852][6]~38818_combout\ : std_logic;
SIGNAL \led_flash_cnt[852][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[852][6]~38819\ : std_logic;
SIGNAL \led_flash_cnt[852][7]~38820_combout\ : std_logic;
SIGNAL \led_flash_cnt[852][7]~q\ : std_logic;
SIGNAL \WideAnd852~0_combout\ : std_logic;
SIGNAL \WideAnd852~1_combout\ : std_logic;
SIGNAL \WideAnd852~combout\ : std_logic;
SIGNAL \WideAnd3946~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][0]~81495_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[855][1]~38850_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[855][1]~38851\ : std_logic;
SIGNAL \led_flash_cnt[855][2]~38852_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[855][2]~38853\ : std_logic;
SIGNAL \led_flash_cnt[855][3]~38854_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[855][3]~38855\ : std_logic;
SIGNAL \led_flash_cnt[855][4]~38856_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[855][4]~38857\ : std_logic;
SIGNAL \led_flash_cnt[855][5]~38858_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[855][5]~38859\ : std_logic;
SIGNAL \led_flash_cnt[855][6]~38860_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][6]~q\ : std_logic;
SIGNAL \WideAnd855~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][6]~38861\ : std_logic;
SIGNAL \led_flash_cnt[855][7]~38862_combout\ : std_logic;
SIGNAL \led_flash_cnt[855][7]~q\ : std_logic;
SIGNAL \WideAnd855~0_combout\ : std_logic;
SIGNAL \WideAnd855~combout\ : std_logic;
SIGNAL \led_flash_cnt[854][0]~81494_combout\ : std_logic;
SIGNAL \led_flash_cnt[854][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[854][1]~38836_combout\ : std_logic;
SIGNAL \led_flash_cnt[854][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[854][1]~38837\ : std_logic;
SIGNAL \led_flash_cnt[854][2]~38838_combout\ : std_logic;
SIGNAL \led_flash_cnt[854][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[854][2]~38839\ : std_logic;
SIGNAL \led_flash_cnt[854][3]~38840_combout\ : std_logic;
SIGNAL \led_flash_cnt[854][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[854][3]~38841\ : std_logic;
SIGNAL \led_flash_cnt[854][4]~38842_combout\ : std_logic;
SIGNAL \led_flash_cnt[854][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[854][4]~38843\ : std_logic;
SIGNAL \led_flash_cnt[854][5]~38844_combout\ : std_logic;
SIGNAL \led_flash_cnt[854][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[854][5]~38845\ : std_logic;
SIGNAL \led_flash_cnt[854][6]~38846_combout\ : std_logic;
SIGNAL \led_flash_cnt[854][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[854][6]~38847\ : std_logic;
SIGNAL \led_flash_cnt[854][7]~38848_combout\ : std_logic;
SIGNAL \led_flash_cnt[854][7]~q\ : std_logic;
SIGNAL \WideAnd854~0_combout\ : std_logic;
SIGNAL \WideAnd854~1_combout\ : std_logic;
SIGNAL \WideAnd854~combout\ : std_logic;
SIGNAL \WideAnd3946~combout\ : std_logic;
SIGNAL \led_flash_cnt[842][0]~81482_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[842][1]~38668_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[842][1]~38669\ : std_logic;
SIGNAL \led_flash_cnt[842][2]~38670_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[842][2]~38671\ : std_logic;
SIGNAL \led_flash_cnt[842][3]~38672_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[842][3]~38673\ : std_logic;
SIGNAL \led_flash_cnt[842][4]~38674_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[842][4]~38675\ : std_logic;
SIGNAL \led_flash_cnt[842][5]~38676_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[842][5]~38677\ : std_logic;
SIGNAL \led_flash_cnt[842][6]~38678_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][6]~q\ : std_logic;
SIGNAL \WideAnd842~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][6]~38679\ : std_logic;
SIGNAL \led_flash_cnt[842][7]~38680_combout\ : std_logic;
SIGNAL \led_flash_cnt[842][7]~q\ : std_logic;
SIGNAL \WideAnd842~0_combout\ : std_logic;
SIGNAL \WideAnd842~combout\ : std_logic;
SIGNAL \led_flash_cnt[840][0]~81480_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[840][1]~38640_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[840][1]~38641\ : std_logic;
SIGNAL \led_flash_cnt[840][2]~38642_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[840][2]~38643\ : std_logic;
SIGNAL \led_flash_cnt[840][3]~38644_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[840][3]~38645\ : std_logic;
SIGNAL \led_flash_cnt[840][4]~38646_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][4]~q\ : std_logic;
SIGNAL \WideAnd840~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][4]~38647\ : std_logic;
SIGNAL \led_flash_cnt[840][5]~38648_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[840][5]~38649\ : std_logic;
SIGNAL \led_flash_cnt[840][6]~38650_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[840][6]~38651\ : std_logic;
SIGNAL \led_flash_cnt[840][7]~38652_combout\ : std_logic;
SIGNAL \led_flash_cnt[840][7]~q\ : std_logic;
SIGNAL \WideAnd840~1_combout\ : std_logic;
SIGNAL \WideAnd840~combout\ : std_logic;
SIGNAL \led_flash_cnt[843][0]~81483_combout\ : std_logic;
SIGNAL \led_flash_cnt[843][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[843][1]~38682_combout\ : std_logic;
SIGNAL \led_flash_cnt[843][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[843][1]~38683\ : std_logic;
SIGNAL \led_flash_cnt[843][2]~38684_combout\ : std_logic;
SIGNAL \led_flash_cnt[843][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[843][2]~38685\ : std_logic;
SIGNAL \led_flash_cnt[843][3]~38686_combout\ : std_logic;
SIGNAL \led_flash_cnt[843][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[843][3]~38687\ : std_logic;
SIGNAL \led_flash_cnt[843][4]~38688_combout\ : std_logic;
SIGNAL \led_flash_cnt[843][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[843][4]~38689\ : std_logic;
SIGNAL \led_flash_cnt[843][5]~38690_combout\ : std_logic;
SIGNAL \led_flash_cnt[843][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[843][5]~38691\ : std_logic;
SIGNAL \led_flash_cnt[843][6]~38692_combout\ : std_logic;
SIGNAL \led_flash_cnt[843][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[843][6]~38693\ : std_logic;
SIGNAL \led_flash_cnt[843][7]~38694_combout\ : std_logic;
SIGNAL \led_flash_cnt[843][7]~q\ : std_logic;
SIGNAL \WideAnd843~1_combout\ : std_logic;
SIGNAL \WideAnd843~0_combout\ : std_logic;
SIGNAL \WideAnd843~combout\ : std_logic;
SIGNAL \led_flash_cnt[841][0]~81481_combout\ : std_logic;
SIGNAL \led_flash_cnt[841][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[841][1]~38654_combout\ : std_logic;
SIGNAL \led_flash_cnt[841][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[841][1]~38655\ : std_logic;
SIGNAL \led_flash_cnt[841][2]~38656_combout\ : std_logic;
SIGNAL \led_flash_cnt[841][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[841][2]~38657\ : std_logic;
SIGNAL \led_flash_cnt[841][3]~38658_combout\ : std_logic;
SIGNAL \led_flash_cnt[841][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[841][3]~38659\ : std_logic;
SIGNAL \led_flash_cnt[841][4]~38660_combout\ : std_logic;
SIGNAL \led_flash_cnt[841][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[841][4]~38661\ : std_logic;
SIGNAL \led_flash_cnt[841][5]~38662_combout\ : std_logic;
SIGNAL \led_flash_cnt[841][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[841][5]~38663\ : std_logic;
SIGNAL \led_flash_cnt[841][6]~38664_combout\ : std_logic;
SIGNAL \led_flash_cnt[841][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[841][6]~38665\ : std_logic;
SIGNAL \led_flash_cnt[841][7]~38666_combout\ : std_logic;
SIGNAL \led_flash_cnt[841][7]~q\ : std_logic;
SIGNAL \WideAnd841~1_combout\ : std_logic;
SIGNAL \WideAnd841~0_combout\ : std_logic;
SIGNAL \WideAnd841~combout\ : std_logic;
SIGNAL \WideAnd3945~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][0]~81487_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[847][1]~38738_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[847][1]~38739\ : std_logic;
SIGNAL \led_flash_cnt[847][2]~38740_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[847][2]~38741\ : std_logic;
SIGNAL \led_flash_cnt[847][3]~38742_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[847][3]~38743\ : std_logic;
SIGNAL \led_flash_cnt[847][4]~38744_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[847][4]~38745\ : std_logic;
SIGNAL \led_flash_cnt[847][5]~38746_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[847][5]~38747\ : std_logic;
SIGNAL \led_flash_cnt[847][6]~38748_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][6]~q\ : std_logic;
SIGNAL \WideAnd847~1_combout\ : std_logic;
SIGNAL \WideAnd847~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][6]~38749\ : std_logic;
SIGNAL \led_flash_cnt[847][7]~38750_combout\ : std_logic;
SIGNAL \led_flash_cnt[847][7]~q\ : std_logic;
SIGNAL \WideAnd847~combout\ : std_logic;
SIGNAL \led_flash_cnt[845][0]~81485_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[845][1]~38710_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[845][1]~38711\ : std_logic;
SIGNAL \led_flash_cnt[845][2]~38712_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[845][2]~38713\ : std_logic;
SIGNAL \led_flash_cnt[845][3]~38714_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[845][3]~38715\ : std_logic;
SIGNAL \led_flash_cnt[845][4]~38716_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[845][4]~38717\ : std_logic;
SIGNAL \led_flash_cnt[845][5]~38718_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[845][5]~38719\ : std_logic;
SIGNAL \led_flash_cnt[845][6]~38720_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][6]~q\ : std_logic;
SIGNAL \WideAnd845~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][6]~38721\ : std_logic;
SIGNAL \led_flash_cnt[845][7]~38722_combout\ : std_logic;
SIGNAL \led_flash_cnt[845][7]~q\ : std_logic;
SIGNAL \WideAnd845~0_combout\ : std_logic;
SIGNAL \WideAnd845~combout\ : std_logic;
SIGNAL \led_flash_cnt[844][0]~81484_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[844][1]~38696_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[844][1]~38697\ : std_logic;
SIGNAL \led_flash_cnt[844][2]~38698_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[844][2]~38699\ : std_logic;
SIGNAL \led_flash_cnt[844][3]~38700_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[844][3]~38701\ : std_logic;
SIGNAL \led_flash_cnt[844][4]~38702_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[844][4]~38703\ : std_logic;
SIGNAL \led_flash_cnt[844][5]~38704_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[844][5]~38705\ : std_logic;
SIGNAL \led_flash_cnt[844][6]~38706_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][6]~q\ : std_logic;
SIGNAL \WideAnd844~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][6]~38707\ : std_logic;
SIGNAL \led_flash_cnt[844][7]~38708_combout\ : std_logic;
SIGNAL \led_flash_cnt[844][7]~q\ : std_logic;
SIGNAL \WideAnd844~0_combout\ : std_logic;
SIGNAL \WideAnd844~combout\ : std_logic;
SIGNAL \WideAnd3945~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][0]~81486_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[846][1]~38724_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[846][1]~38725\ : std_logic;
SIGNAL \led_flash_cnt[846][2]~38726_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[846][2]~38727\ : std_logic;
SIGNAL \led_flash_cnt[846][3]~38728_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[846][3]~38729\ : std_logic;
SIGNAL \led_flash_cnt[846][4]~38730_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[846][4]~38731\ : std_logic;
SIGNAL \led_flash_cnt[846][5]~38732_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[846][5]~38733\ : std_logic;
SIGNAL \led_flash_cnt[846][6]~38734_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[846][6]~38735\ : std_logic;
SIGNAL \led_flash_cnt[846][7]~38736_combout\ : std_logic;
SIGNAL \led_flash_cnt[846][7]~q\ : std_logic;
SIGNAL \WideAnd846~1_combout\ : std_logic;
SIGNAL \WideAnd846~0_combout\ : std_logic;
SIGNAL \WideAnd846~combout\ : std_logic;
SIGNAL \WideAnd3945~combout\ : std_logic;
SIGNAL \led_flash_cnt[837][0]~81477_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[837][1]~38598_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[837][1]~38599\ : std_logic;
SIGNAL \led_flash_cnt[837][2]~38600_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[837][2]~38601\ : std_logic;
SIGNAL \led_flash_cnt[837][3]~38602_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[837][3]~38603\ : std_logic;
SIGNAL \led_flash_cnt[837][4]~38604_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[837][4]~38605\ : std_logic;
SIGNAL \led_flash_cnt[837][5]~38606_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[837][5]~38607\ : std_logic;
SIGNAL \led_flash_cnt[837][6]~38608_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][6]~q\ : std_logic;
SIGNAL \WideAnd837~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][6]~38609\ : std_logic;
SIGNAL \led_flash_cnt[837][7]~38610_combout\ : std_logic;
SIGNAL \led_flash_cnt[837][7]~q\ : std_logic;
SIGNAL \WideAnd837~0_combout\ : std_logic;
SIGNAL \WideAnd837~combout\ : std_logic;
SIGNAL \led_flash_cnt[836][0]~81476_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[836][1]~38584_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[836][1]~38585\ : std_logic;
SIGNAL \led_flash_cnt[836][2]~38586_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[836][2]~38587\ : std_logic;
SIGNAL \led_flash_cnt[836][3]~38588_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[836][3]~38589\ : std_logic;
SIGNAL \led_flash_cnt[836][4]~38590_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][4]~q\ : std_logic;
SIGNAL \WideAnd836~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][4]~38591\ : std_logic;
SIGNAL \led_flash_cnt[836][5]~38592_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[836][5]~38593\ : std_logic;
SIGNAL \led_flash_cnt[836][6]~38594_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][6]~q\ : std_logic;
SIGNAL \WideAnd836~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][6]~38595\ : std_logic;
SIGNAL \led_flash_cnt[836][7]~38596_combout\ : std_logic;
SIGNAL \led_flash_cnt[836][7]~q\ : std_logic;
SIGNAL \WideAnd836~combout\ : std_logic;
SIGNAL \WideAnd3944~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][0]~81479_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[839][1]~38626_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[839][1]~38627\ : std_logic;
SIGNAL \led_flash_cnt[839][2]~38628_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[839][2]~38629\ : std_logic;
SIGNAL \led_flash_cnt[839][3]~38630_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[839][3]~38631\ : std_logic;
SIGNAL \led_flash_cnt[839][4]~38632_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[839][4]~38633\ : std_logic;
SIGNAL \led_flash_cnt[839][5]~38634_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[839][5]~38635\ : std_logic;
SIGNAL \led_flash_cnt[839][6]~38636_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[839][6]~38637\ : std_logic;
SIGNAL \led_flash_cnt[839][7]~38638_combout\ : std_logic;
SIGNAL \led_flash_cnt[839][7]~q\ : std_logic;
SIGNAL \WideAnd839~0_combout\ : std_logic;
SIGNAL \WideAnd839~1_combout\ : std_logic;
SIGNAL \WideAnd839~combout\ : std_logic;
SIGNAL \led_flash_cnt[835][0]~81475_combout\ : std_logic;
SIGNAL \led_flash_cnt[835][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[835][1]~38570_combout\ : std_logic;
SIGNAL \led_flash_cnt[835][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[835][1]~38571\ : std_logic;
SIGNAL \led_flash_cnt[835][2]~38572_combout\ : std_logic;
SIGNAL \led_flash_cnt[835][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[835][2]~38573\ : std_logic;
SIGNAL \led_flash_cnt[835][3]~38574_combout\ : std_logic;
SIGNAL \led_flash_cnt[835][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[835][3]~38575\ : std_logic;
SIGNAL \led_flash_cnt[835][4]~38576_combout\ : std_logic;
SIGNAL \led_flash_cnt[835][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[835][4]~38577\ : std_logic;
SIGNAL \led_flash_cnt[835][5]~38578_combout\ : std_logic;
SIGNAL \led_flash_cnt[835][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[835][5]~38579\ : std_logic;
SIGNAL \led_flash_cnt[835][6]~38580_combout\ : std_logic;
SIGNAL \led_flash_cnt[835][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[835][6]~38581\ : std_logic;
SIGNAL \led_flash_cnt[835][7]~38582_combout\ : std_logic;
SIGNAL \led_flash_cnt[835][7]~q\ : std_logic;
SIGNAL \WideAnd835~1_combout\ : std_logic;
SIGNAL \WideAnd835~0_combout\ : std_logic;
SIGNAL \WideAnd835~combout\ : std_logic;
SIGNAL \led_flash_cnt[834][0]~81474_combout\ : std_logic;
SIGNAL \led_flash_cnt[834][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[834][1]~38556_combout\ : std_logic;
SIGNAL \led_flash_cnt[834][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[834][1]~38557\ : std_logic;
SIGNAL \led_flash_cnt[834][2]~38558_combout\ : std_logic;
SIGNAL \led_flash_cnt[834][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[834][2]~38559\ : std_logic;
SIGNAL \led_flash_cnt[834][3]~38560_combout\ : std_logic;
SIGNAL \led_flash_cnt[834][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[834][3]~38561\ : std_logic;
SIGNAL \led_flash_cnt[834][4]~38562_combout\ : std_logic;
SIGNAL \led_flash_cnt[834][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[834][4]~38563\ : std_logic;
SIGNAL \led_flash_cnt[834][5]~38564_combout\ : std_logic;
SIGNAL \led_flash_cnt[834][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[834][5]~38565\ : std_logic;
SIGNAL \led_flash_cnt[834][6]~38566_combout\ : std_logic;
SIGNAL \led_flash_cnt[834][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[834][6]~38567\ : std_logic;
SIGNAL \led_flash_cnt[834][7]~38568_combout\ : std_logic;
SIGNAL \led_flash_cnt[834][7]~q\ : std_logic;
SIGNAL \WideAnd834~0_combout\ : std_logic;
SIGNAL \WideAnd834~1_combout\ : std_logic;
SIGNAL \WideAnd834~combout\ : std_logic;
SIGNAL \led_flash_cnt[833][0]~81473_combout\ : std_logic;
SIGNAL \led_flash_cnt[833][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[833][1]~38542_combout\ : std_logic;
SIGNAL \led_flash_cnt[833][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[833][1]~38543\ : std_logic;
SIGNAL \led_flash_cnt[833][2]~38544_combout\ : std_logic;
SIGNAL \led_flash_cnt[833][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[833][2]~38545\ : std_logic;
SIGNAL \led_flash_cnt[833][3]~38546_combout\ : std_logic;
SIGNAL \led_flash_cnt[833][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[833][3]~38547\ : std_logic;
SIGNAL \led_flash_cnt[833][4]~38548_combout\ : std_logic;
SIGNAL \led_flash_cnt[833][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[833][4]~38549\ : std_logic;
SIGNAL \led_flash_cnt[833][5]~38550_combout\ : std_logic;
SIGNAL \led_flash_cnt[833][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[833][5]~38551\ : std_logic;
SIGNAL \led_flash_cnt[833][6]~38552_combout\ : std_logic;
SIGNAL \led_flash_cnt[833][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[833][6]~38553\ : std_logic;
SIGNAL \led_flash_cnt[833][7]~38554_combout\ : std_logic;
SIGNAL \led_flash_cnt[833][7]~q\ : std_logic;
SIGNAL \WideAnd833~0_combout\ : std_logic;
SIGNAL \WideAnd833~1_combout\ : std_logic;
SIGNAL \WideAnd833~combout\ : std_logic;
SIGNAL \led_flash_cnt[832][0]~81472_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[832][1]~38528_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[832][1]~38529\ : std_logic;
SIGNAL \led_flash_cnt[832][2]~38530_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[832][2]~38531\ : std_logic;
SIGNAL \led_flash_cnt[832][3]~38532_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[832][3]~38533\ : std_logic;
SIGNAL \led_flash_cnt[832][4]~38534_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[832][4]~38535\ : std_logic;
SIGNAL \led_flash_cnt[832][5]~38536_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[832][5]~38537\ : std_logic;
SIGNAL \led_flash_cnt[832][6]~38538_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][6]~q\ : std_logic;
SIGNAL \WideAnd832~1_combout\ : std_logic;
SIGNAL \WideAnd832~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][6]~38539\ : std_logic;
SIGNAL \led_flash_cnt[832][7]~38540_combout\ : std_logic;
SIGNAL \led_flash_cnt[832][7]~q\ : std_logic;
SIGNAL \WideAnd832~combout\ : std_logic;
SIGNAL \WideAnd3944~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][0]~81478_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[838][1]~38612_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[838][1]~38613\ : std_logic;
SIGNAL \led_flash_cnt[838][2]~38614_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[838][2]~38615\ : std_logic;
SIGNAL \led_flash_cnt[838][3]~38616_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[838][3]~38617\ : std_logic;
SIGNAL \led_flash_cnt[838][4]~38618_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[838][4]~38619\ : std_logic;
SIGNAL \led_flash_cnt[838][5]~38620_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[838][5]~38621\ : std_logic;
SIGNAL \led_flash_cnt[838][6]~38622_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[838][6]~38623\ : std_logic;
SIGNAL \led_flash_cnt[838][7]~38624_combout\ : std_logic;
SIGNAL \led_flash_cnt[838][7]~q\ : std_logic;
SIGNAL \WideAnd838~1_combout\ : std_logic;
SIGNAL \WideAnd838~0_combout\ : std_logic;
SIGNAL \WideAnd838~combout\ : std_logic;
SIGNAL \WideAnd3944~combout\ : std_logic;
SIGNAL \led_flash_cnt[863][0]~81503_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[863][1]~38962_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[863][1]~38963\ : std_logic;
SIGNAL \led_flash_cnt[863][2]~38964_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[863][2]~38965\ : std_logic;
SIGNAL \led_flash_cnt[863][3]~38966_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[863][3]~38967\ : std_logic;
SIGNAL \led_flash_cnt[863][4]~38968_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[863][4]~38969\ : std_logic;
SIGNAL \led_flash_cnt[863][5]~38970_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[863][5]~38971\ : std_logic;
SIGNAL \led_flash_cnt[863][6]~38972_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][6]~q\ : std_logic;
SIGNAL \WideAnd863~1_combout\ : std_logic;
SIGNAL \WideAnd863~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][6]~38973\ : std_logic;
SIGNAL \led_flash_cnt[863][7]~38974_combout\ : std_logic;
SIGNAL \led_flash_cnt[863][7]~q\ : std_logic;
SIGNAL \WideAnd863~combout\ : std_logic;
SIGNAL \led_flash_cnt[860][0]~81500_combout\ : std_logic;
SIGNAL \led_flash_cnt[860][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[860][1]~38920_combout\ : std_logic;
SIGNAL \led_flash_cnt[860][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[860][1]~38921\ : std_logic;
SIGNAL \led_flash_cnt[860][2]~38922_combout\ : std_logic;
SIGNAL \led_flash_cnt[860][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[860][2]~38923\ : std_logic;
SIGNAL \led_flash_cnt[860][3]~38924_combout\ : std_logic;
SIGNAL \led_flash_cnt[860][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[860][3]~38925\ : std_logic;
SIGNAL \led_flash_cnt[860][4]~38926_combout\ : std_logic;
SIGNAL \led_flash_cnt[860][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[860][4]~38927\ : std_logic;
SIGNAL \led_flash_cnt[860][5]~38928_combout\ : std_logic;
SIGNAL \led_flash_cnt[860][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[860][5]~38929\ : std_logic;
SIGNAL \led_flash_cnt[860][6]~38930_combout\ : std_logic;
SIGNAL \led_flash_cnt[860][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[860][6]~38931\ : std_logic;
SIGNAL \led_flash_cnt[860][7]~38932_combout\ : std_logic;
SIGNAL \led_flash_cnt[860][7]~q\ : std_logic;
SIGNAL \WideAnd860~0_combout\ : std_logic;
SIGNAL \WideAnd860~1_combout\ : std_logic;
SIGNAL \WideAnd860~combout\ : std_logic;
SIGNAL \led_flash_cnt[861][0]~81501_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[861][1]~38934_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[861][1]~38935\ : std_logic;
SIGNAL \led_flash_cnt[861][2]~38936_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[861][2]~38937\ : std_logic;
SIGNAL \led_flash_cnt[861][3]~38938_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[861][3]~38939\ : std_logic;
SIGNAL \led_flash_cnt[861][4]~38940_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[861][4]~38941\ : std_logic;
SIGNAL \led_flash_cnt[861][5]~38942_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[861][5]~38943\ : std_logic;
SIGNAL \led_flash_cnt[861][6]~38944_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][6]~q\ : std_logic;
SIGNAL \WideAnd861~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][6]~38945\ : std_logic;
SIGNAL \led_flash_cnt[861][7]~38946_combout\ : std_logic;
SIGNAL \led_flash_cnt[861][7]~q\ : std_logic;
SIGNAL \WideAnd861~0_combout\ : std_logic;
SIGNAL \WideAnd861~combout\ : std_logic;
SIGNAL \WideAnd3947~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][0]~81502_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[862][1]~38948_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[862][1]~38949\ : std_logic;
SIGNAL \led_flash_cnt[862][2]~38950_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[862][2]~38951\ : std_logic;
SIGNAL \led_flash_cnt[862][3]~38952_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[862][3]~38953\ : std_logic;
SIGNAL \led_flash_cnt[862][4]~38954_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[862][4]~38955\ : std_logic;
SIGNAL \led_flash_cnt[862][5]~38956_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[862][5]~38957\ : std_logic;
SIGNAL \led_flash_cnt[862][6]~38958_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[862][6]~38959\ : std_logic;
SIGNAL \led_flash_cnt[862][7]~38960_combout\ : std_logic;
SIGNAL \led_flash_cnt[862][7]~q\ : std_logic;
SIGNAL \WideAnd862~1_combout\ : std_logic;
SIGNAL \WideAnd862~0_combout\ : std_logic;
SIGNAL \WideAnd862~combout\ : std_logic;
SIGNAL \led_flash_cnt[859][0]~81499_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[859][1]~38906_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[859][1]~38907\ : std_logic;
SIGNAL \led_flash_cnt[859][2]~38908_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[859][2]~38909\ : std_logic;
SIGNAL \led_flash_cnt[859][3]~38910_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[859][3]~38911\ : std_logic;
SIGNAL \led_flash_cnt[859][4]~38912_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][4]~q\ : std_logic;
SIGNAL \WideAnd859~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][4]~38913\ : std_logic;
SIGNAL \led_flash_cnt[859][5]~38914_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[859][5]~38915\ : std_logic;
SIGNAL \led_flash_cnt[859][6]~38916_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][6]~q\ : std_logic;
SIGNAL \WideAnd859~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][6]~38917\ : std_logic;
SIGNAL \led_flash_cnt[859][7]~38918_combout\ : std_logic;
SIGNAL \led_flash_cnt[859][7]~q\ : std_logic;
SIGNAL \WideAnd859~combout\ : std_logic;
SIGNAL \led_flash_cnt[856][0]~81496_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[856][1]~38864_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[856][1]~38865\ : std_logic;
SIGNAL \led_flash_cnt[856][2]~38866_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[856][2]~38867\ : std_logic;
SIGNAL \led_flash_cnt[856][3]~38868_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[856][3]~38869\ : std_logic;
SIGNAL \led_flash_cnt[856][4]~38870_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][4]~q\ : std_logic;
SIGNAL \WideAnd856~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][4]~38871\ : std_logic;
SIGNAL \led_flash_cnt[856][5]~38872_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[856][5]~38873\ : std_logic;
SIGNAL \led_flash_cnt[856][6]~38874_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[856][6]~38875\ : std_logic;
SIGNAL \led_flash_cnt[856][7]~38876_combout\ : std_logic;
SIGNAL \led_flash_cnt[856][7]~q\ : std_logic;
SIGNAL \WideAnd856~1_combout\ : std_logic;
SIGNAL \WideAnd856~combout\ : std_logic;
SIGNAL \led_flash_cnt[857][0]~81497_combout\ : std_logic;
SIGNAL \led_flash_cnt[857][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[857][1]~38878_combout\ : std_logic;
SIGNAL \led_flash_cnt[857][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[857][1]~38879\ : std_logic;
SIGNAL \led_flash_cnt[857][2]~38880_combout\ : std_logic;
SIGNAL \led_flash_cnt[857][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[857][2]~38881\ : std_logic;
SIGNAL \led_flash_cnt[857][3]~38882_combout\ : std_logic;
SIGNAL \led_flash_cnt[857][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[857][3]~38883\ : std_logic;
SIGNAL \led_flash_cnt[857][4]~38884_combout\ : std_logic;
SIGNAL \led_flash_cnt[857][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[857][4]~38885\ : std_logic;
SIGNAL \led_flash_cnt[857][5]~38886_combout\ : std_logic;
SIGNAL \led_flash_cnt[857][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[857][5]~38887\ : std_logic;
SIGNAL \led_flash_cnt[857][6]~38888_combout\ : std_logic;
SIGNAL \led_flash_cnt[857][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[857][6]~38889\ : std_logic;
SIGNAL \led_flash_cnt[857][7]~38890_combout\ : std_logic;
SIGNAL \led_flash_cnt[857][7]~q\ : std_logic;
SIGNAL \WideAnd857~0_combout\ : std_logic;
SIGNAL \WideAnd857~1_combout\ : std_logic;
SIGNAL \WideAnd857~combout\ : std_logic;
SIGNAL \led_flash_cnt[858][0]~81498_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[858][1]~38892_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[858][1]~38893\ : std_logic;
SIGNAL \led_flash_cnt[858][2]~38894_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[858][2]~38895\ : std_logic;
SIGNAL \led_flash_cnt[858][3]~38896_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[858][3]~38897\ : std_logic;
SIGNAL \led_flash_cnt[858][4]~38898_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[858][4]~38899\ : std_logic;
SIGNAL \led_flash_cnt[858][5]~38900_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[858][5]~38901\ : std_logic;
SIGNAL \led_flash_cnt[858][6]~38902_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][6]~q\ : std_logic;
SIGNAL \WideAnd858~1_combout\ : std_logic;
SIGNAL \WideAnd858~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][6]~38903\ : std_logic;
SIGNAL \led_flash_cnt[858][7]~38904_combout\ : std_logic;
SIGNAL \led_flash_cnt[858][7]~q\ : std_logic;
SIGNAL \WideAnd858~combout\ : std_logic;
SIGNAL \WideAnd3947~0_combout\ : std_logic;
SIGNAL \WideAnd3947~combout\ : std_logic;
SIGNAL \WideAnd4333~0_combout\ : std_logic;
SIGNAL \WideAnd4333~combout\ : std_logic;
SIGNAL \WideAnd4380~3_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][0]~81133_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[493][1]~33782_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[493][1]~33783\ : std_logic;
SIGNAL \led_flash_cnt[493][2]~33784_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[493][2]~33785\ : std_logic;
SIGNAL \led_flash_cnt[493][3]~33786_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[493][3]~33787\ : std_logic;
SIGNAL \led_flash_cnt[493][4]~33788_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[493][4]~33789\ : std_logic;
SIGNAL \led_flash_cnt[493][5]~33790_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[493][5]~33791\ : std_logic;
SIGNAL \led_flash_cnt[493][6]~33792_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[493][6]~33793\ : std_logic;
SIGNAL \led_flash_cnt[493][7]~33794_combout\ : std_logic;
SIGNAL \led_flash_cnt[493][7]~q\ : std_logic;
SIGNAL \WideAnd493~1_combout\ : std_logic;
SIGNAL \WideAnd493~0_combout\ : std_logic;
SIGNAL \WideAnd493~combout\ : std_logic;
SIGNAL \led_flash_cnt[492][0]~81132_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[492][1]~33768_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[492][1]~33769\ : std_logic;
SIGNAL \led_flash_cnt[492][2]~33770_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[492][2]~33771\ : std_logic;
SIGNAL \led_flash_cnt[492][3]~33772_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[492][3]~33773\ : std_logic;
SIGNAL \led_flash_cnt[492][4]~33774_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[492][4]~33775\ : std_logic;
SIGNAL \led_flash_cnt[492][5]~33776_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[492][5]~33777\ : std_logic;
SIGNAL \led_flash_cnt[492][6]~33778_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][6]~q\ : std_logic;
SIGNAL \WideAnd492~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][6]~33779\ : std_logic;
SIGNAL \led_flash_cnt[492][7]~33780_combout\ : std_logic;
SIGNAL \led_flash_cnt[492][7]~q\ : std_logic;
SIGNAL \WideAnd492~0_combout\ : std_logic;
SIGNAL \WideAnd492~combout\ : std_logic;
SIGNAL \WideAnd3901~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][0]~81134_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[494][1]~33796_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[494][1]~33797\ : std_logic;
SIGNAL \led_flash_cnt[494][2]~33798_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[494][2]~33799\ : std_logic;
SIGNAL \led_flash_cnt[494][3]~33800_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[494][3]~33801\ : std_logic;
SIGNAL \led_flash_cnt[494][4]~33802_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[494][4]~33803\ : std_logic;
SIGNAL \led_flash_cnt[494][5]~33804_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[494][5]~33805\ : std_logic;
SIGNAL \led_flash_cnt[494][6]~33806_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[494][6]~33807\ : std_logic;
SIGNAL \led_flash_cnt[494][7]~33808_combout\ : std_logic;
SIGNAL \led_flash_cnt[494][7]~q\ : std_logic;
SIGNAL \WideAnd494~1_combout\ : std_logic;
SIGNAL \WideAnd494~0_combout\ : std_logic;
SIGNAL \WideAnd494~combout\ : std_logic;
SIGNAL \led_flash_cnt[495][0]~81135_combout\ : std_logic;
SIGNAL \led_flash_cnt[495][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[495][1]~33810_combout\ : std_logic;
SIGNAL \led_flash_cnt[495][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[495][1]~33811\ : std_logic;
SIGNAL \led_flash_cnt[495][2]~33812_combout\ : std_logic;
SIGNAL \led_flash_cnt[495][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[495][2]~33813\ : std_logic;
SIGNAL \led_flash_cnt[495][3]~33814_combout\ : std_logic;
SIGNAL \led_flash_cnt[495][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[495][3]~33815\ : std_logic;
SIGNAL \led_flash_cnt[495][4]~33816_combout\ : std_logic;
SIGNAL \led_flash_cnt[495][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[495][4]~33817\ : std_logic;
SIGNAL \led_flash_cnt[495][5]~33818_combout\ : std_logic;
SIGNAL \led_flash_cnt[495][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[495][5]~33819\ : std_logic;
SIGNAL \led_flash_cnt[495][6]~33820_combout\ : std_logic;
SIGNAL \led_flash_cnt[495][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[495][6]~33821\ : std_logic;
SIGNAL \led_flash_cnt[495][7]~33822_combout\ : std_logic;
SIGNAL \led_flash_cnt[495][7]~q\ : std_logic;
SIGNAL \WideAnd495~0_combout\ : std_logic;
SIGNAL \WideAnd495~1_combout\ : std_logic;
SIGNAL \WideAnd495~combout\ : std_logic;
SIGNAL \led_flash_cnt[489][0]~81129_combout\ : std_logic;
SIGNAL \led_flash_cnt[489][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[489][1]~33726_combout\ : std_logic;
SIGNAL \led_flash_cnt[489][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[489][1]~33727\ : std_logic;
SIGNAL \led_flash_cnt[489][2]~33728_combout\ : std_logic;
SIGNAL \led_flash_cnt[489][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[489][2]~33729\ : std_logic;
SIGNAL \led_flash_cnt[489][3]~33730_combout\ : std_logic;
SIGNAL \led_flash_cnt[489][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[489][3]~33731\ : std_logic;
SIGNAL \led_flash_cnt[489][4]~33732_combout\ : std_logic;
SIGNAL \led_flash_cnt[489][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[489][4]~33733\ : std_logic;
SIGNAL \led_flash_cnt[489][5]~33734_combout\ : std_logic;
SIGNAL \led_flash_cnt[489][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[489][5]~33735\ : std_logic;
SIGNAL \led_flash_cnt[489][6]~33736_combout\ : std_logic;
SIGNAL \led_flash_cnt[489][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[489][6]~33737\ : std_logic;
SIGNAL \led_flash_cnt[489][7]~33738_combout\ : std_logic;
SIGNAL \led_flash_cnt[489][7]~q\ : std_logic;
SIGNAL \WideAnd489~0_combout\ : std_logic;
SIGNAL \WideAnd489~1_combout\ : std_logic;
SIGNAL \WideAnd489~combout\ : std_logic;
SIGNAL \led_flash_cnt[491][0]~81131_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[491][1]~33754_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[491][1]~33755\ : std_logic;
SIGNAL \led_flash_cnt[491][2]~33756_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[491][2]~33757\ : std_logic;
SIGNAL \led_flash_cnt[491][3]~33758_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[491][3]~33759\ : std_logic;
SIGNAL \led_flash_cnt[491][4]~33760_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[491][4]~33761\ : std_logic;
SIGNAL \led_flash_cnt[491][5]~33762_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[491][5]~33763\ : std_logic;
SIGNAL \led_flash_cnt[491][6]~33764_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][6]~q\ : std_logic;
SIGNAL \WideAnd491~1_combout\ : std_logic;
SIGNAL \WideAnd491~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][6]~33765\ : std_logic;
SIGNAL \led_flash_cnt[491][7]~33766_combout\ : std_logic;
SIGNAL \led_flash_cnt[491][7]~q\ : std_logic;
SIGNAL \WideAnd491~combout\ : std_logic;
SIGNAL \led_flash_cnt[488][0]~81128_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[488][1]~33712_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[488][1]~33713\ : std_logic;
SIGNAL \led_flash_cnt[488][2]~33714_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[488][2]~33715\ : std_logic;
SIGNAL \led_flash_cnt[488][3]~33716_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[488][3]~33717\ : std_logic;
SIGNAL \led_flash_cnt[488][4]~33718_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[488][4]~33719\ : std_logic;
SIGNAL \led_flash_cnt[488][5]~33720_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[488][5]~33721\ : std_logic;
SIGNAL \led_flash_cnt[488][6]~33722_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][6]~q\ : std_logic;
SIGNAL \WideAnd488~1_combout\ : std_logic;
SIGNAL \WideAnd488~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][6]~33723\ : std_logic;
SIGNAL \led_flash_cnt[488][7]~33724_combout\ : std_logic;
SIGNAL \led_flash_cnt[488][7]~q\ : std_logic;
SIGNAL \WideAnd488~combout\ : std_logic;
SIGNAL \led_flash_cnt[490][0]~81130_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[490][1]~33740_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[490][1]~33741\ : std_logic;
SIGNAL \led_flash_cnt[490][2]~33742_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[490][2]~33743\ : std_logic;
SIGNAL \led_flash_cnt[490][3]~33744_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[490][3]~33745\ : std_logic;
SIGNAL \led_flash_cnt[490][4]~33746_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][4]~q\ : std_logic;
SIGNAL \WideAnd490~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][4]~33747\ : std_logic;
SIGNAL \led_flash_cnt[490][5]~33748_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[490][5]~33749\ : std_logic;
SIGNAL \led_flash_cnt[490][6]~33750_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][6]~q\ : std_logic;
SIGNAL \WideAnd490~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][6]~33751\ : std_logic;
SIGNAL \led_flash_cnt[490][7]~33752_combout\ : std_logic;
SIGNAL \led_flash_cnt[490][7]~q\ : std_logic;
SIGNAL \WideAnd490~combout\ : std_logic;
SIGNAL \WideAnd3901~0_combout\ : std_logic;
SIGNAL \WideAnd3901~combout\ : std_logic;
SIGNAL \led_flash_cnt[486][0]~81126_combout\ : std_logic;
SIGNAL \led_flash_cnt[486][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[486][1]~33684_combout\ : std_logic;
SIGNAL \led_flash_cnt[486][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[486][1]~33685\ : std_logic;
SIGNAL \led_flash_cnt[486][2]~33686_combout\ : std_logic;
SIGNAL \led_flash_cnt[486][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[486][2]~33687\ : std_logic;
SIGNAL \led_flash_cnt[486][3]~33688_combout\ : std_logic;
SIGNAL \led_flash_cnt[486][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[486][3]~33689\ : std_logic;
SIGNAL \led_flash_cnt[486][4]~33690_combout\ : std_logic;
SIGNAL \led_flash_cnt[486][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[486][4]~33691\ : std_logic;
SIGNAL \led_flash_cnt[486][5]~33692_combout\ : std_logic;
SIGNAL \led_flash_cnt[486][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[486][5]~33693\ : std_logic;
SIGNAL \led_flash_cnt[486][6]~33694_combout\ : std_logic;
SIGNAL \led_flash_cnt[486][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[486][6]~33695\ : std_logic;
SIGNAL \led_flash_cnt[486][7]~33696_combout\ : std_logic;
SIGNAL \led_flash_cnt[486][7]~q\ : std_logic;
SIGNAL \WideAnd486~1_combout\ : std_logic;
SIGNAL \WideAnd486~0_combout\ : std_logic;
SIGNAL \WideAnd486~combout\ : std_logic;
SIGNAL \led_flash_cnt[487][0]~81127_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[487][1]~33698_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[487][1]~33699\ : std_logic;
SIGNAL \led_flash_cnt[487][2]~33700_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[487][2]~33701\ : std_logic;
SIGNAL \led_flash_cnt[487][3]~33702_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[487][3]~33703\ : std_logic;
SIGNAL \led_flash_cnt[487][4]~33704_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[487][4]~33705\ : std_logic;
SIGNAL \led_flash_cnt[487][5]~33706_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[487][5]~33707\ : std_logic;
SIGNAL \led_flash_cnt[487][6]~33708_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][6]~q\ : std_logic;
SIGNAL \WideAnd487~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][6]~33709\ : std_logic;
SIGNAL \led_flash_cnt[487][7]~33710_combout\ : std_logic;
SIGNAL \led_flash_cnt[487][7]~q\ : std_logic;
SIGNAL \WideAnd487~0_combout\ : std_logic;
SIGNAL \WideAnd487~combout\ : std_logic;
SIGNAL \led_flash_cnt[483][0]~81123_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[483][1]~33642_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[483][1]~33643\ : std_logic;
SIGNAL \led_flash_cnt[483][2]~33644_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[483][2]~33645\ : std_logic;
SIGNAL \led_flash_cnt[483][3]~33646_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[483][3]~33647\ : std_logic;
SIGNAL \led_flash_cnt[483][4]~33648_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[483][4]~33649\ : std_logic;
SIGNAL \led_flash_cnt[483][5]~33650_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[483][5]~33651\ : std_logic;
SIGNAL \led_flash_cnt[483][6]~33652_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][6]~q\ : std_logic;
SIGNAL \WideAnd483~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][6]~33653\ : std_logic;
SIGNAL \led_flash_cnt[483][7]~33654_combout\ : std_logic;
SIGNAL \led_flash_cnt[483][7]~q\ : std_logic;
SIGNAL \WideAnd483~0_combout\ : std_logic;
SIGNAL \WideAnd483~combout\ : std_logic;
SIGNAL \led_flash_cnt[482][0]~81122_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[482][1]~33628_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[482][1]~33629\ : std_logic;
SIGNAL \led_flash_cnt[482][2]~33630_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[482][2]~33631\ : std_logic;
SIGNAL \led_flash_cnt[482][3]~33632_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[482][3]~33633\ : std_logic;
SIGNAL \led_flash_cnt[482][4]~33634_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][4]~q\ : std_logic;
SIGNAL \WideAnd482~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][4]~33635\ : std_logic;
SIGNAL \led_flash_cnt[482][5]~33636_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[482][5]~33637\ : std_logic;
SIGNAL \led_flash_cnt[482][6]~33638_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[482][6]~33639\ : std_logic;
SIGNAL \led_flash_cnt[482][7]~33640_combout\ : std_logic;
SIGNAL \led_flash_cnt[482][7]~q\ : std_logic;
SIGNAL \WideAnd482~1_combout\ : std_logic;
SIGNAL \WideAnd482~combout\ : std_logic;
SIGNAL \led_flash_cnt[481][0]~81121_combout\ : std_logic;
SIGNAL \led_flash_cnt[481][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[481][1]~33614_combout\ : std_logic;
SIGNAL \led_flash_cnt[481][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[481][1]~33615\ : std_logic;
SIGNAL \led_flash_cnt[481][2]~33616_combout\ : std_logic;
SIGNAL \led_flash_cnt[481][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[481][2]~33617\ : std_logic;
SIGNAL \led_flash_cnt[481][3]~33618_combout\ : std_logic;
SIGNAL \led_flash_cnt[481][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[481][3]~33619\ : std_logic;
SIGNAL \led_flash_cnt[481][4]~33620_combout\ : std_logic;
SIGNAL \led_flash_cnt[481][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[481][4]~33621\ : std_logic;
SIGNAL \led_flash_cnt[481][5]~33622_combout\ : std_logic;
SIGNAL \led_flash_cnt[481][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[481][5]~33623\ : std_logic;
SIGNAL \led_flash_cnt[481][6]~33624_combout\ : std_logic;
SIGNAL \led_flash_cnt[481][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[481][6]~33625\ : std_logic;
SIGNAL \led_flash_cnt[481][7]~33626_combout\ : std_logic;
SIGNAL \led_flash_cnt[481][7]~q\ : std_logic;
SIGNAL \WideAnd481~1_combout\ : std_logic;
SIGNAL \WideAnd481~0_combout\ : std_logic;
SIGNAL \WideAnd481~combout\ : std_logic;
SIGNAL \led_flash_cnt[480][0]~81120_combout\ : std_logic;
SIGNAL \led_flash_cnt[480][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[480][1]~33600_combout\ : std_logic;
SIGNAL \led_flash_cnt[480][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[480][1]~33601\ : std_logic;
SIGNAL \led_flash_cnt[480][2]~33602_combout\ : std_logic;
SIGNAL \led_flash_cnt[480][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[480][2]~33603\ : std_logic;
SIGNAL \led_flash_cnt[480][3]~33604_combout\ : std_logic;
SIGNAL \led_flash_cnt[480][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[480][3]~33605\ : std_logic;
SIGNAL \led_flash_cnt[480][4]~33606_combout\ : std_logic;
SIGNAL \led_flash_cnt[480][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[480][4]~33607\ : std_logic;
SIGNAL \led_flash_cnt[480][5]~33608_combout\ : std_logic;
SIGNAL \led_flash_cnt[480][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[480][5]~33609\ : std_logic;
SIGNAL \led_flash_cnt[480][6]~33610_combout\ : std_logic;
SIGNAL \led_flash_cnt[480][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[480][6]~33611\ : std_logic;
SIGNAL \led_flash_cnt[480][7]~33612_combout\ : std_logic;
SIGNAL \led_flash_cnt[480][7]~q\ : std_logic;
SIGNAL \WideAnd480~1_combout\ : std_logic;
SIGNAL \WideAnd480~0_combout\ : std_logic;
SIGNAL \WideAnd480~combout\ : std_logic;
SIGNAL \WideAnd3900~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][0]~81124_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[484][1]~33656_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[484][1]~33657\ : std_logic;
SIGNAL \led_flash_cnt[484][2]~33658_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[484][2]~33659\ : std_logic;
SIGNAL \led_flash_cnt[484][3]~33660_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[484][3]~33661\ : std_logic;
SIGNAL \led_flash_cnt[484][4]~33662_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][4]~q\ : std_logic;
SIGNAL \WideAnd484~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][4]~33663\ : std_logic;
SIGNAL \led_flash_cnt[484][5]~33664_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[484][5]~33665\ : std_logic;
SIGNAL \led_flash_cnt[484][6]~33666_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[484][6]~33667\ : std_logic;
SIGNAL \led_flash_cnt[484][7]~33668_combout\ : std_logic;
SIGNAL \led_flash_cnt[484][7]~q\ : std_logic;
SIGNAL \WideAnd484~1_combout\ : std_logic;
SIGNAL \WideAnd484~combout\ : std_logic;
SIGNAL \led_flash_cnt[485][0]~81125_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[485][1]~33670_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[485][1]~33671\ : std_logic;
SIGNAL \led_flash_cnt[485][2]~33672_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[485][2]~33673\ : std_logic;
SIGNAL \led_flash_cnt[485][3]~33674_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[485][3]~33675\ : std_logic;
SIGNAL \led_flash_cnt[485][4]~33676_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[485][4]~33677\ : std_logic;
SIGNAL \led_flash_cnt[485][5]~33678_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[485][5]~33679\ : std_logic;
SIGNAL \led_flash_cnt[485][6]~33680_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][6]~q\ : std_logic;
SIGNAL \WideAnd485~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][6]~33681\ : std_logic;
SIGNAL \led_flash_cnt[485][7]~33682_combout\ : std_logic;
SIGNAL \led_flash_cnt[485][7]~q\ : std_logic;
SIGNAL \WideAnd485~0_combout\ : std_logic;
SIGNAL \WideAnd485~combout\ : std_logic;
SIGNAL \WideAnd3900~1_combout\ : std_logic;
SIGNAL \WideAnd3900~combout\ : std_logic;
SIGNAL \WideAnd4327~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][0]~81111_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[471][1]~33474_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[471][1]~33475\ : std_logic;
SIGNAL \led_flash_cnt[471][2]~33476_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[471][2]~33477\ : std_logic;
SIGNAL \led_flash_cnt[471][3]~33478_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[471][3]~33479\ : std_logic;
SIGNAL \led_flash_cnt[471][4]~33480_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][4]~q\ : std_logic;
SIGNAL \WideAnd471~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][4]~33481\ : std_logic;
SIGNAL \led_flash_cnt[471][5]~33482_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[471][5]~33483\ : std_logic;
SIGNAL \led_flash_cnt[471][6]~33484_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][6]~q\ : std_logic;
SIGNAL \WideAnd471~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][6]~33485\ : std_logic;
SIGNAL \led_flash_cnt[471][7]~33486_combout\ : std_logic;
SIGNAL \led_flash_cnt[471][7]~q\ : std_logic;
SIGNAL \WideAnd471~combout\ : std_logic;
SIGNAL \led_flash_cnt[470][0]~81110_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[470][1]~33460_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[470][1]~33461\ : std_logic;
SIGNAL \led_flash_cnt[470][2]~33462_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[470][2]~33463\ : std_logic;
SIGNAL \led_flash_cnt[470][3]~33464_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[470][3]~33465\ : std_logic;
SIGNAL \led_flash_cnt[470][4]~33466_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][4]~q\ : std_logic;
SIGNAL \WideAnd470~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][4]~33467\ : std_logic;
SIGNAL \led_flash_cnt[470][5]~33468_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[470][5]~33469\ : std_logic;
SIGNAL \led_flash_cnt[470][6]~33470_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][6]~q\ : std_logic;
SIGNAL \WideAnd470~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][6]~33471\ : std_logic;
SIGNAL \led_flash_cnt[470][7]~33472_combout\ : std_logic;
SIGNAL \led_flash_cnt[470][7]~q\ : std_logic;
SIGNAL \WideAnd470~combout\ : std_logic;
SIGNAL \led_flash_cnt[469][0]~81109_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[469][1]~33446_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[469][1]~33447\ : std_logic;
SIGNAL \led_flash_cnt[469][2]~33448_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[469][2]~33449\ : std_logic;
SIGNAL \led_flash_cnt[469][3]~33450_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[469][3]~33451\ : std_logic;
SIGNAL \led_flash_cnt[469][4]~33452_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[469][4]~33453\ : std_logic;
SIGNAL \led_flash_cnt[469][5]~33454_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[469][5]~33455\ : std_logic;
SIGNAL \led_flash_cnt[469][6]~33456_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][6]~q\ : std_logic;
SIGNAL \WideAnd469~1_combout\ : std_logic;
SIGNAL \WideAnd469~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][6]~33457\ : std_logic;
SIGNAL \led_flash_cnt[469][7]~33458_combout\ : std_logic;
SIGNAL \led_flash_cnt[469][7]~q\ : std_logic;
SIGNAL \WideAnd469~combout\ : std_logic;
SIGNAL \led_flash_cnt[468][0]~81108_combout\ : std_logic;
SIGNAL \led_flash_cnt[468][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[468][1]~33432_combout\ : std_logic;
SIGNAL \led_flash_cnt[468][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[468][1]~33433\ : std_logic;
SIGNAL \led_flash_cnt[468][2]~33434_combout\ : std_logic;
SIGNAL \led_flash_cnt[468][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[468][2]~33435\ : std_logic;
SIGNAL \led_flash_cnt[468][3]~33436_combout\ : std_logic;
SIGNAL \led_flash_cnt[468][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[468][3]~33437\ : std_logic;
SIGNAL \led_flash_cnt[468][4]~33438_combout\ : std_logic;
SIGNAL \led_flash_cnt[468][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[468][4]~33439\ : std_logic;
SIGNAL \led_flash_cnt[468][5]~33440_combout\ : std_logic;
SIGNAL \led_flash_cnt[468][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[468][5]~33441\ : std_logic;
SIGNAL \led_flash_cnt[468][6]~33442_combout\ : std_logic;
SIGNAL \led_flash_cnt[468][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[468][6]~33443\ : std_logic;
SIGNAL \led_flash_cnt[468][7]~33444_combout\ : std_logic;
SIGNAL \led_flash_cnt[468][7]~q\ : std_logic;
SIGNAL \WideAnd468~1_combout\ : std_logic;
SIGNAL \WideAnd468~0_combout\ : std_logic;
SIGNAL \WideAnd468~combout\ : std_logic;
SIGNAL \WideAnd3898~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][0]~81104_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[464][1]~33376_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[464][1]~33377\ : std_logic;
SIGNAL \led_flash_cnt[464][2]~33378_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[464][2]~33379\ : std_logic;
SIGNAL \led_flash_cnt[464][3]~33380_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[464][3]~33381\ : std_logic;
SIGNAL \led_flash_cnt[464][4]~33382_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[464][4]~33383\ : std_logic;
SIGNAL \led_flash_cnt[464][5]~33384_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[464][5]~33385\ : std_logic;
SIGNAL \led_flash_cnt[464][6]~33386_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[464][6]~33387\ : std_logic;
SIGNAL \led_flash_cnt[464][7]~33388_combout\ : std_logic;
SIGNAL \led_flash_cnt[464][7]~q\ : std_logic;
SIGNAL \WideAnd464~0_combout\ : std_logic;
SIGNAL \WideAnd464~1_combout\ : std_logic;
SIGNAL \WideAnd464~combout\ : std_logic;
SIGNAL \led_flash_cnt[466][0]~81106_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[466][1]~33404_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[466][1]~33405\ : std_logic;
SIGNAL \led_flash_cnt[466][2]~33406_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[466][2]~33407\ : std_logic;
SIGNAL \led_flash_cnt[466][3]~33408_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[466][3]~33409\ : std_logic;
SIGNAL \led_flash_cnt[466][4]~33410_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[466][4]~33411\ : std_logic;
SIGNAL \led_flash_cnt[466][5]~33412_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[466][5]~33413\ : std_logic;
SIGNAL \led_flash_cnt[466][6]~33414_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][6]~q\ : std_logic;
SIGNAL \WideAnd466~1_combout\ : std_logic;
SIGNAL \WideAnd466~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][6]~33415\ : std_logic;
SIGNAL \led_flash_cnt[466][7]~33416_combout\ : std_logic;
SIGNAL \led_flash_cnt[466][7]~q\ : std_logic;
SIGNAL \WideAnd466~combout\ : std_logic;
SIGNAL \led_flash_cnt[467][0]~81107_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[467][1]~33418_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[467][1]~33419\ : std_logic;
SIGNAL \led_flash_cnt[467][2]~33420_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[467][2]~33421\ : std_logic;
SIGNAL \led_flash_cnt[467][3]~33422_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[467][3]~33423\ : std_logic;
SIGNAL \led_flash_cnt[467][4]~33424_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][4]~q\ : std_logic;
SIGNAL \WideAnd467~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][4]~33425\ : std_logic;
SIGNAL \led_flash_cnt[467][5]~33426_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[467][5]~33427\ : std_logic;
SIGNAL \led_flash_cnt[467][6]~33428_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[467][6]~33429\ : std_logic;
SIGNAL \led_flash_cnt[467][7]~33430_combout\ : std_logic;
SIGNAL \led_flash_cnt[467][7]~q\ : std_logic;
SIGNAL \WideAnd467~1_combout\ : std_logic;
SIGNAL \WideAnd467~combout\ : std_logic;
SIGNAL \led_flash_cnt[465][0]~81105_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[465][1]~33390_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[465][1]~33391\ : std_logic;
SIGNAL \led_flash_cnt[465][2]~33392_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[465][2]~33393\ : std_logic;
SIGNAL \led_flash_cnt[465][3]~33394_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[465][3]~33395\ : std_logic;
SIGNAL \led_flash_cnt[465][4]~33396_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][4]~q\ : std_logic;
SIGNAL \WideAnd465~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][4]~33397\ : std_logic;
SIGNAL \led_flash_cnt[465][5]~33398_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[465][5]~33399\ : std_logic;
SIGNAL \led_flash_cnt[465][6]~33400_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[465][6]~33401\ : std_logic;
SIGNAL \led_flash_cnt[465][7]~33402_combout\ : std_logic;
SIGNAL \led_flash_cnt[465][7]~q\ : std_logic;
SIGNAL \WideAnd465~1_combout\ : std_logic;
SIGNAL \WideAnd465~combout\ : std_logic;
SIGNAL \WideAnd3898~0_combout\ : std_logic;
SIGNAL \WideAnd3898~combout\ : std_logic;
SIGNAL \led_flash_cnt[462][0]~81102_combout\ : std_logic;
SIGNAL \led_flash_cnt[462][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[462][1]~33348_combout\ : std_logic;
SIGNAL \led_flash_cnt[462][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[462][1]~33349\ : std_logic;
SIGNAL \led_flash_cnt[462][2]~33350_combout\ : std_logic;
SIGNAL \led_flash_cnt[462][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[462][2]~33351\ : std_logic;
SIGNAL \led_flash_cnt[462][3]~33352_combout\ : std_logic;
SIGNAL \led_flash_cnt[462][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[462][3]~33353\ : std_logic;
SIGNAL \led_flash_cnt[462][4]~33354_combout\ : std_logic;
SIGNAL \led_flash_cnt[462][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[462][4]~33355\ : std_logic;
SIGNAL \led_flash_cnt[462][5]~33356_combout\ : std_logic;
SIGNAL \led_flash_cnt[462][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[462][5]~33357\ : std_logic;
SIGNAL \led_flash_cnt[462][6]~33358_combout\ : std_logic;
SIGNAL \led_flash_cnt[462][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[462][6]~33359\ : std_logic;
SIGNAL \led_flash_cnt[462][7]~33360_combout\ : std_logic;
SIGNAL \led_flash_cnt[462][7]~q\ : std_logic;
SIGNAL \WideAnd462~1_combout\ : std_logic;
SIGNAL \WideAnd462~0_combout\ : std_logic;
SIGNAL \WideAnd462~combout\ : std_logic;
SIGNAL \led_flash_cnt[458][0]~81098_combout\ : std_logic;
SIGNAL \led_flash_cnt[458][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[458][1]~33292_combout\ : std_logic;
SIGNAL \led_flash_cnt[458][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[458][1]~33293\ : std_logic;
SIGNAL \led_flash_cnt[458][2]~33294_combout\ : std_logic;
SIGNAL \led_flash_cnt[458][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[458][2]~33295\ : std_logic;
SIGNAL \led_flash_cnt[458][3]~33296_combout\ : std_logic;
SIGNAL \led_flash_cnt[458][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[458][3]~33297\ : std_logic;
SIGNAL \led_flash_cnt[458][4]~33298_combout\ : std_logic;
SIGNAL \led_flash_cnt[458][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[458][4]~33299\ : std_logic;
SIGNAL \led_flash_cnt[458][5]~33300_combout\ : std_logic;
SIGNAL \led_flash_cnt[458][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[458][5]~33301\ : std_logic;
SIGNAL \led_flash_cnt[458][6]~33302_combout\ : std_logic;
SIGNAL \led_flash_cnt[458][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[458][6]~33303\ : std_logic;
SIGNAL \led_flash_cnt[458][7]~33304_combout\ : std_logic;
SIGNAL \led_flash_cnt[458][7]~q\ : std_logic;
SIGNAL \WideAnd458~0_combout\ : std_logic;
SIGNAL \WideAnd458~1_combout\ : std_logic;
SIGNAL \WideAnd458~combout\ : std_logic;
SIGNAL \led_flash_cnt[456][0]~81096_combout\ : std_logic;
SIGNAL \led_flash_cnt[456][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[456][1]~33264_combout\ : std_logic;
SIGNAL \led_flash_cnt[456][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[456][1]~33265\ : std_logic;
SIGNAL \led_flash_cnt[456][2]~33266_combout\ : std_logic;
SIGNAL \led_flash_cnt[456][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[456][2]~33267\ : std_logic;
SIGNAL \led_flash_cnt[456][3]~33268_combout\ : std_logic;
SIGNAL \led_flash_cnt[456][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[456][3]~33269\ : std_logic;
SIGNAL \led_flash_cnt[456][4]~33270_combout\ : std_logic;
SIGNAL \led_flash_cnt[456][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[456][4]~33271\ : std_logic;
SIGNAL \led_flash_cnt[456][5]~33272_combout\ : std_logic;
SIGNAL \led_flash_cnt[456][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[456][5]~33273\ : std_logic;
SIGNAL \led_flash_cnt[456][6]~33274_combout\ : std_logic;
SIGNAL \led_flash_cnt[456][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[456][6]~33275\ : std_logic;
SIGNAL \led_flash_cnt[456][7]~33276_combout\ : std_logic;
SIGNAL \led_flash_cnt[456][7]~q\ : std_logic;
SIGNAL \WideAnd456~1_combout\ : std_logic;
SIGNAL \WideAnd456~0_combout\ : std_logic;
SIGNAL \WideAnd456~combout\ : std_logic;
SIGNAL \led_flash_cnt[459][0]~81099_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[459][1]~33306_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[459][1]~33307\ : std_logic;
SIGNAL \led_flash_cnt[459][2]~33308_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[459][2]~33309\ : std_logic;
SIGNAL \led_flash_cnt[459][3]~33310_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[459][3]~33311\ : std_logic;
SIGNAL \led_flash_cnt[459][4]~33312_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][4]~q\ : std_logic;
SIGNAL \WideAnd459~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][4]~33313\ : std_logic;
SIGNAL \led_flash_cnt[459][5]~33314_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[459][5]~33315\ : std_logic;
SIGNAL \led_flash_cnt[459][6]~33316_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][6]~q\ : std_logic;
SIGNAL \WideAnd459~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][6]~33317\ : std_logic;
SIGNAL \led_flash_cnt[459][7]~33318_combout\ : std_logic;
SIGNAL \led_flash_cnt[459][7]~q\ : std_logic;
SIGNAL \WideAnd459~combout\ : std_logic;
SIGNAL \led_flash_cnt[457][0]~81097_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[457][1]~33278_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[457][1]~33279\ : std_logic;
SIGNAL \led_flash_cnt[457][2]~33280_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[457][2]~33281\ : std_logic;
SIGNAL \led_flash_cnt[457][3]~33282_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[457][3]~33283\ : std_logic;
SIGNAL \led_flash_cnt[457][4]~33284_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][4]~q\ : std_logic;
SIGNAL \WideAnd457~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][4]~33285\ : std_logic;
SIGNAL \led_flash_cnt[457][5]~33286_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[457][5]~33287\ : std_logic;
SIGNAL \led_flash_cnt[457][6]~33288_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[457][6]~33289\ : std_logic;
SIGNAL \led_flash_cnt[457][7]~33290_combout\ : std_logic;
SIGNAL \led_flash_cnt[457][7]~q\ : std_logic;
SIGNAL \WideAnd457~1_combout\ : std_logic;
SIGNAL \WideAnd457~combout\ : std_logic;
SIGNAL \WideAnd3897~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][0]~81101_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[461][1]~33334_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[461][1]~33335\ : std_logic;
SIGNAL \led_flash_cnt[461][2]~33336_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[461][2]~33337\ : std_logic;
SIGNAL \led_flash_cnt[461][3]~33338_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[461][3]~33339\ : std_logic;
SIGNAL \led_flash_cnt[461][4]~33340_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][4]~q\ : std_logic;
SIGNAL \WideAnd461~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][4]~33341\ : std_logic;
SIGNAL \led_flash_cnt[461][5]~33342_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[461][5]~33343\ : std_logic;
SIGNAL \led_flash_cnt[461][6]~33344_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][6]~q\ : std_logic;
SIGNAL \WideAnd461~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][6]~33345\ : std_logic;
SIGNAL \led_flash_cnt[461][7]~33346_combout\ : std_logic;
SIGNAL \led_flash_cnt[461][7]~q\ : std_logic;
SIGNAL \WideAnd461~combout\ : std_logic;
SIGNAL \led_flash_cnt[460][0]~81100_combout\ : std_logic;
SIGNAL \led_flash_cnt[460][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[460][1]~33320_combout\ : std_logic;
SIGNAL \led_flash_cnt[460][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[460][1]~33321\ : std_logic;
SIGNAL \led_flash_cnt[460][2]~33322_combout\ : std_logic;
SIGNAL \led_flash_cnt[460][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[460][2]~33323\ : std_logic;
SIGNAL \led_flash_cnt[460][3]~33324_combout\ : std_logic;
SIGNAL \led_flash_cnt[460][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[460][3]~33325\ : std_logic;
SIGNAL \led_flash_cnt[460][4]~33326_combout\ : std_logic;
SIGNAL \led_flash_cnt[460][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[460][4]~33327\ : std_logic;
SIGNAL \led_flash_cnt[460][5]~33328_combout\ : std_logic;
SIGNAL \led_flash_cnt[460][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[460][5]~33329\ : std_logic;
SIGNAL \led_flash_cnt[460][6]~33330_combout\ : std_logic;
SIGNAL \led_flash_cnt[460][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[460][6]~33331\ : std_logic;
SIGNAL \led_flash_cnt[460][7]~33332_combout\ : std_logic;
SIGNAL \led_flash_cnt[460][7]~q\ : std_logic;
SIGNAL \WideAnd460~1_combout\ : std_logic;
SIGNAL \WideAnd460~0_combout\ : std_logic;
SIGNAL \WideAnd460~combout\ : std_logic;
SIGNAL \WideAnd3897~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][0]~81103_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[463][1]~33362_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[463][1]~33363\ : std_logic;
SIGNAL \led_flash_cnt[463][2]~33364_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[463][2]~33365\ : std_logic;
SIGNAL \led_flash_cnt[463][3]~33366_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[463][3]~33367\ : std_logic;
SIGNAL \led_flash_cnt[463][4]~33368_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[463][4]~33369\ : std_logic;
SIGNAL \led_flash_cnt[463][5]~33370_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[463][5]~33371\ : std_logic;
SIGNAL \led_flash_cnt[463][6]~33372_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][6]~q\ : std_logic;
SIGNAL \WideAnd463~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][6]~33373\ : std_logic;
SIGNAL \led_flash_cnt[463][7]~33374_combout\ : std_logic;
SIGNAL \led_flash_cnt[463][7]~q\ : std_logic;
SIGNAL \WideAnd463~0_combout\ : std_logic;
SIGNAL \WideAnd463~combout\ : std_logic;
SIGNAL \WideAnd3897~combout\ : std_logic;
SIGNAL \led_flash_cnt[478][0]~81118_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[478][1]~33572_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[478][1]~33573\ : std_logic;
SIGNAL \led_flash_cnt[478][2]~33574_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[478][2]~33575\ : std_logic;
SIGNAL \led_flash_cnt[478][3]~33576_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[478][3]~33577\ : std_logic;
SIGNAL \led_flash_cnt[478][4]~33578_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[478][4]~33579\ : std_logic;
SIGNAL \led_flash_cnt[478][5]~33580_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[478][5]~33581\ : std_logic;
SIGNAL \led_flash_cnt[478][6]~33582_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][6]~q\ : std_logic;
SIGNAL \WideAnd478~1_combout\ : std_logic;
SIGNAL \WideAnd478~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][6]~33583\ : std_logic;
SIGNAL \led_flash_cnt[478][7]~33584_combout\ : std_logic;
SIGNAL \led_flash_cnt[478][7]~q\ : std_logic;
SIGNAL \WideAnd478~combout\ : std_logic;
SIGNAL \led_flash_cnt[479][0]~81119_combout\ : std_logic;
SIGNAL \led_flash_cnt[479][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[479][1]~33586_combout\ : std_logic;
SIGNAL \led_flash_cnt[479][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[479][1]~33587\ : std_logic;
SIGNAL \led_flash_cnt[479][2]~33588_combout\ : std_logic;
SIGNAL \led_flash_cnt[479][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[479][2]~33589\ : std_logic;
SIGNAL \led_flash_cnt[479][3]~33590_combout\ : std_logic;
SIGNAL \led_flash_cnt[479][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[479][3]~33591\ : std_logic;
SIGNAL \led_flash_cnt[479][4]~33592_combout\ : std_logic;
SIGNAL \led_flash_cnt[479][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[479][4]~33593\ : std_logic;
SIGNAL \led_flash_cnt[479][5]~33594_combout\ : std_logic;
SIGNAL \led_flash_cnt[479][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[479][5]~33595\ : std_logic;
SIGNAL \led_flash_cnt[479][6]~33596_combout\ : std_logic;
SIGNAL \led_flash_cnt[479][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[479][6]~33597\ : std_logic;
SIGNAL \led_flash_cnt[479][7]~33598_combout\ : std_logic;
SIGNAL \led_flash_cnt[479][7]~q\ : std_logic;
SIGNAL \WideAnd479~1_combout\ : std_logic;
SIGNAL \WideAnd479~0_combout\ : std_logic;
SIGNAL \WideAnd479~combout\ : std_logic;
SIGNAL \led_flash_cnt[477][0]~81117_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[477][1]~33558_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[477][1]~33559\ : std_logic;
SIGNAL \led_flash_cnt[477][2]~33560_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[477][2]~33561\ : std_logic;
SIGNAL \led_flash_cnt[477][3]~33562_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[477][3]~33563\ : std_logic;
SIGNAL \led_flash_cnt[477][4]~33564_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[477][4]~33565\ : std_logic;
SIGNAL \led_flash_cnt[477][5]~33566_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[477][5]~33567\ : std_logic;
SIGNAL \led_flash_cnt[477][6]~33568_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][6]~q\ : std_logic;
SIGNAL \WideAnd477~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][6]~33569\ : std_logic;
SIGNAL \led_flash_cnt[477][7]~33570_combout\ : std_logic;
SIGNAL \led_flash_cnt[477][7]~q\ : std_logic;
SIGNAL \WideAnd477~0_combout\ : std_logic;
SIGNAL \WideAnd477~combout\ : std_logic;
SIGNAL \led_flash_cnt[476][0]~81116_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[476][1]~33544_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[476][1]~33545\ : std_logic;
SIGNAL \led_flash_cnt[476][2]~33546_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[476][2]~33547\ : std_logic;
SIGNAL \led_flash_cnt[476][3]~33548_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[476][3]~33549\ : std_logic;
SIGNAL \led_flash_cnt[476][4]~33550_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][4]~q\ : std_logic;
SIGNAL \WideAnd476~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][4]~33551\ : std_logic;
SIGNAL \led_flash_cnt[476][5]~33552_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[476][5]~33553\ : std_logic;
SIGNAL \led_flash_cnt[476][6]~33554_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[476][6]~33555\ : std_logic;
SIGNAL \led_flash_cnt[476][7]~33556_combout\ : std_logic;
SIGNAL \led_flash_cnt[476][7]~q\ : std_logic;
SIGNAL \WideAnd476~1_combout\ : std_logic;
SIGNAL \WideAnd476~combout\ : std_logic;
SIGNAL \WideAnd3899~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][0]~81112_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[472][1]~33488_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[472][1]~33489\ : std_logic;
SIGNAL \led_flash_cnt[472][2]~33490_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[472][2]~33491\ : std_logic;
SIGNAL \led_flash_cnt[472][3]~33492_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[472][3]~33493\ : std_logic;
SIGNAL \led_flash_cnt[472][4]~33494_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][4]~q\ : std_logic;
SIGNAL \WideAnd472~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][4]~33495\ : std_logic;
SIGNAL \led_flash_cnt[472][5]~33496_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[472][5]~33497\ : std_logic;
SIGNAL \led_flash_cnt[472][6]~33498_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[472][6]~33499\ : std_logic;
SIGNAL \led_flash_cnt[472][7]~33500_combout\ : std_logic;
SIGNAL \led_flash_cnt[472][7]~q\ : std_logic;
SIGNAL \WideAnd472~1_combout\ : std_logic;
SIGNAL \WideAnd472~combout\ : std_logic;
SIGNAL \led_flash_cnt[475][0]~81115_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[475][1]~33530_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[475][1]~33531\ : std_logic;
SIGNAL \led_flash_cnt[475][2]~33532_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[475][2]~33533\ : std_logic;
SIGNAL \led_flash_cnt[475][3]~33534_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[475][3]~33535\ : std_logic;
SIGNAL \led_flash_cnt[475][4]~33536_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[475][4]~33537\ : std_logic;
SIGNAL \led_flash_cnt[475][5]~33538_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[475][5]~33539\ : std_logic;
SIGNAL \led_flash_cnt[475][6]~33540_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][6]~q\ : std_logic;
SIGNAL \WideAnd475~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][6]~33541\ : std_logic;
SIGNAL \led_flash_cnt[475][7]~33542_combout\ : std_logic;
SIGNAL \led_flash_cnt[475][7]~q\ : std_logic;
SIGNAL \WideAnd475~0_combout\ : std_logic;
SIGNAL \WideAnd475~combout\ : std_logic;
SIGNAL \led_flash_cnt[474][0]~81114_combout\ : std_logic;
SIGNAL \led_flash_cnt[474][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[474][1]~33516_combout\ : std_logic;
SIGNAL \led_flash_cnt[474][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[474][1]~33517\ : std_logic;
SIGNAL \led_flash_cnt[474][2]~33518_combout\ : std_logic;
SIGNAL \led_flash_cnt[474][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[474][2]~33519\ : std_logic;
SIGNAL \led_flash_cnt[474][3]~33520_combout\ : std_logic;
SIGNAL \led_flash_cnt[474][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[474][3]~33521\ : std_logic;
SIGNAL \led_flash_cnt[474][4]~33522_combout\ : std_logic;
SIGNAL \led_flash_cnt[474][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[474][4]~33523\ : std_logic;
SIGNAL \led_flash_cnt[474][5]~33524_combout\ : std_logic;
SIGNAL \led_flash_cnt[474][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[474][5]~33525\ : std_logic;
SIGNAL \led_flash_cnt[474][6]~33526_combout\ : std_logic;
SIGNAL \led_flash_cnt[474][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[474][6]~33527\ : std_logic;
SIGNAL \led_flash_cnt[474][7]~33528_combout\ : std_logic;
SIGNAL \led_flash_cnt[474][7]~q\ : std_logic;
SIGNAL \WideAnd474~0_combout\ : std_logic;
SIGNAL \WideAnd474~1_combout\ : std_logic;
SIGNAL \WideAnd474~combout\ : std_logic;
SIGNAL \led_flash_cnt[473][0]~81113_combout\ : std_logic;
SIGNAL \led_flash_cnt[473][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[473][1]~33502_combout\ : std_logic;
SIGNAL \led_flash_cnt[473][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[473][1]~33503\ : std_logic;
SIGNAL \led_flash_cnt[473][2]~33504_combout\ : std_logic;
SIGNAL \led_flash_cnt[473][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[473][2]~33505\ : std_logic;
SIGNAL \led_flash_cnt[473][3]~33506_combout\ : std_logic;
SIGNAL \led_flash_cnt[473][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[473][3]~33507\ : std_logic;
SIGNAL \led_flash_cnt[473][4]~33508_combout\ : std_logic;
SIGNAL \led_flash_cnt[473][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[473][4]~33509\ : std_logic;
SIGNAL \led_flash_cnt[473][5]~33510_combout\ : std_logic;
SIGNAL \led_flash_cnt[473][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[473][5]~33511\ : std_logic;
SIGNAL \led_flash_cnt[473][6]~33512_combout\ : std_logic;
SIGNAL \led_flash_cnt[473][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[473][6]~33513\ : std_logic;
SIGNAL \led_flash_cnt[473][7]~33514_combout\ : std_logic;
SIGNAL \led_flash_cnt[473][7]~q\ : std_logic;
SIGNAL \WideAnd473~0_combout\ : std_logic;
SIGNAL \WideAnd473~1_combout\ : std_logic;
SIGNAL \WideAnd473~combout\ : std_logic;
SIGNAL \WideAnd3899~0_combout\ : std_logic;
SIGNAL \WideAnd3899~combout\ : std_logic;
SIGNAL \led_flash_cnt[455][0]~81095_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[455][1]~33250_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[455][1]~33251\ : std_logic;
SIGNAL \led_flash_cnt[455][2]~33252_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[455][2]~33253\ : std_logic;
SIGNAL \led_flash_cnt[455][3]~33254_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[455][3]~33255\ : std_logic;
SIGNAL \led_flash_cnt[455][4]~33256_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][4]~q\ : std_logic;
SIGNAL \WideAnd455~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][4]~33257\ : std_logic;
SIGNAL \led_flash_cnt[455][5]~33258_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[455][5]~33259\ : std_logic;
SIGNAL \led_flash_cnt[455][6]~33260_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][6]~q\ : std_logic;
SIGNAL \WideAnd455~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][6]~33261\ : std_logic;
SIGNAL \led_flash_cnt[455][7]~33262_combout\ : std_logic;
SIGNAL \led_flash_cnt[455][7]~q\ : std_logic;
SIGNAL \WideAnd455~combout\ : std_logic;
SIGNAL \led_flash_cnt[454][0]~81094_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[454][1]~33236_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[454][1]~33237\ : std_logic;
SIGNAL \led_flash_cnt[454][2]~33238_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[454][2]~33239\ : std_logic;
SIGNAL \led_flash_cnt[454][3]~33240_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[454][3]~33241\ : std_logic;
SIGNAL \led_flash_cnt[454][4]~33242_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[454][4]~33243\ : std_logic;
SIGNAL \led_flash_cnt[454][5]~33244_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[454][5]~33245\ : std_logic;
SIGNAL \led_flash_cnt[454][6]~33246_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][6]~q\ : std_logic;
SIGNAL \WideAnd454~1_combout\ : std_logic;
SIGNAL \WideAnd454~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][6]~33247\ : std_logic;
SIGNAL \led_flash_cnt[454][7]~33248_combout\ : std_logic;
SIGNAL \led_flash_cnt[454][7]~q\ : std_logic;
SIGNAL \WideAnd454~combout\ : std_logic;
SIGNAL \led_flash_cnt[448][0]~81088_combout\ : std_logic;
SIGNAL \led_flash_cnt[448][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[448][1]~33152_combout\ : std_logic;
SIGNAL \led_flash_cnt[448][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[448][1]~33153\ : std_logic;
SIGNAL \led_flash_cnt[448][2]~33154_combout\ : std_logic;
SIGNAL \led_flash_cnt[448][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[448][2]~33155\ : std_logic;
SIGNAL \led_flash_cnt[448][3]~33156_combout\ : std_logic;
SIGNAL \led_flash_cnt[448][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[448][3]~33157\ : std_logic;
SIGNAL \led_flash_cnt[448][4]~33158_combout\ : std_logic;
SIGNAL \led_flash_cnt[448][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[448][4]~33159\ : std_logic;
SIGNAL \led_flash_cnt[448][5]~33160_combout\ : std_logic;
SIGNAL \led_flash_cnt[448][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[448][5]~33161\ : std_logic;
SIGNAL \led_flash_cnt[448][6]~33162_combout\ : std_logic;
SIGNAL \led_flash_cnt[448][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[448][6]~33163\ : std_logic;
SIGNAL \led_flash_cnt[448][7]~33164_combout\ : std_logic;
SIGNAL \led_flash_cnt[448][7]~q\ : std_logic;
SIGNAL \WideAnd448~1_combout\ : std_logic;
SIGNAL \WideAnd448~0_combout\ : std_logic;
SIGNAL \WideAnd448~combout\ : std_logic;
SIGNAL \led_flash_cnt[451][0]~81091_combout\ : std_logic;
SIGNAL \led_flash_cnt[451][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[451][1]~33194_combout\ : std_logic;
SIGNAL \led_flash_cnt[451][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[451][1]~33195\ : std_logic;
SIGNAL \led_flash_cnt[451][2]~33196_combout\ : std_logic;
SIGNAL \led_flash_cnt[451][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[451][2]~33197\ : std_logic;
SIGNAL \led_flash_cnt[451][3]~33198_combout\ : std_logic;
SIGNAL \led_flash_cnt[451][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[451][3]~33199\ : std_logic;
SIGNAL \led_flash_cnt[451][4]~33200_combout\ : std_logic;
SIGNAL \led_flash_cnt[451][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[451][4]~33201\ : std_logic;
SIGNAL \led_flash_cnt[451][5]~33202_combout\ : std_logic;
SIGNAL \led_flash_cnt[451][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[451][5]~33203\ : std_logic;
SIGNAL \led_flash_cnt[451][6]~33204_combout\ : std_logic;
SIGNAL \led_flash_cnt[451][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[451][6]~33205\ : std_logic;
SIGNAL \led_flash_cnt[451][7]~33206_combout\ : std_logic;
SIGNAL \led_flash_cnt[451][7]~q\ : std_logic;
SIGNAL \WideAnd451~0_combout\ : std_logic;
SIGNAL \WideAnd451~1_combout\ : std_logic;
SIGNAL \WideAnd451~combout\ : std_logic;
SIGNAL \led_flash_cnt[450][0]~81090_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[450][1]~33180_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[450][1]~33181\ : std_logic;
SIGNAL \led_flash_cnt[450][2]~33182_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[450][2]~33183\ : std_logic;
SIGNAL \led_flash_cnt[450][3]~33184_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[450][3]~33185\ : std_logic;
SIGNAL \led_flash_cnt[450][4]~33186_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[450][4]~33187\ : std_logic;
SIGNAL \led_flash_cnt[450][5]~33188_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[450][5]~33189\ : std_logic;
SIGNAL \led_flash_cnt[450][6]~33190_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][6]~q\ : std_logic;
SIGNAL \WideAnd450~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][6]~33191\ : std_logic;
SIGNAL \led_flash_cnt[450][7]~33192_combout\ : std_logic;
SIGNAL \led_flash_cnt[450][7]~q\ : std_logic;
SIGNAL \WideAnd450~0_combout\ : std_logic;
SIGNAL \WideAnd450~combout\ : std_logic;
SIGNAL \led_flash_cnt[449][0]~81089_combout\ : std_logic;
SIGNAL \led_flash_cnt[449][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[449][1]~33166_combout\ : std_logic;
SIGNAL \led_flash_cnt[449][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[449][1]~33167\ : std_logic;
SIGNAL \led_flash_cnt[449][2]~33168_combout\ : std_logic;
SIGNAL \led_flash_cnt[449][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[449][2]~33169\ : std_logic;
SIGNAL \led_flash_cnt[449][3]~33170_combout\ : std_logic;
SIGNAL \led_flash_cnt[449][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[449][3]~33171\ : std_logic;
SIGNAL \led_flash_cnt[449][4]~33172_combout\ : std_logic;
SIGNAL \led_flash_cnt[449][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[449][4]~33173\ : std_logic;
SIGNAL \led_flash_cnt[449][5]~33174_combout\ : std_logic;
SIGNAL \led_flash_cnt[449][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[449][5]~33175\ : std_logic;
SIGNAL \led_flash_cnt[449][6]~33176_combout\ : std_logic;
SIGNAL \led_flash_cnt[449][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[449][6]~33177\ : std_logic;
SIGNAL \led_flash_cnt[449][7]~33178_combout\ : std_logic;
SIGNAL \led_flash_cnt[449][7]~q\ : std_logic;
SIGNAL \WideAnd449~1_combout\ : std_logic;
SIGNAL \WideAnd449~0_combout\ : std_logic;
SIGNAL \WideAnd449~combout\ : std_logic;
SIGNAL \WideAnd3896~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][0]~81092_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[452][1]~33208_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[452][1]~33209\ : std_logic;
SIGNAL \led_flash_cnt[452][2]~33210_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[452][2]~33211\ : std_logic;
SIGNAL \led_flash_cnt[452][3]~33212_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[452][3]~33213\ : std_logic;
SIGNAL \led_flash_cnt[452][4]~33214_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[452][4]~33215\ : std_logic;
SIGNAL \led_flash_cnt[452][5]~33216_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[452][5]~33217\ : std_logic;
SIGNAL \led_flash_cnt[452][6]~33218_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][6]~q\ : std_logic;
SIGNAL \WideAnd452~1_combout\ : std_logic;
SIGNAL \WideAnd452~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][6]~33219\ : std_logic;
SIGNAL \led_flash_cnt[452][7]~33220_combout\ : std_logic;
SIGNAL \led_flash_cnt[452][7]~q\ : std_logic;
SIGNAL \WideAnd452~combout\ : std_logic;
SIGNAL \led_flash_cnt[453][0]~81093_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[453][1]~33222_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[453][1]~33223\ : std_logic;
SIGNAL \led_flash_cnt[453][2]~33224_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[453][2]~33225\ : std_logic;
SIGNAL \led_flash_cnt[453][3]~33226_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[453][3]~33227\ : std_logic;
SIGNAL \led_flash_cnt[453][4]~33228_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[453][4]~33229\ : std_logic;
SIGNAL \led_flash_cnt[453][5]~33230_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[453][5]~33231\ : std_logic;
SIGNAL \led_flash_cnt[453][6]~33232_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][6]~q\ : std_logic;
SIGNAL \WideAnd453~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][6]~33233\ : std_logic;
SIGNAL \led_flash_cnt[453][7]~33234_combout\ : std_logic;
SIGNAL \led_flash_cnt[453][7]~q\ : std_logic;
SIGNAL \WideAnd453~0_combout\ : std_logic;
SIGNAL \WideAnd453~combout\ : std_logic;
SIGNAL \WideAnd3896~1_combout\ : std_logic;
SIGNAL \WideAnd3896~combout\ : std_logic;
SIGNAL \WideAnd4327~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][0]~81141_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[501][1]~33894_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[501][1]~33895\ : std_logic;
SIGNAL \led_flash_cnt[501][2]~33896_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[501][2]~33897\ : std_logic;
SIGNAL \led_flash_cnt[501][3]~33898_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[501][3]~33899\ : std_logic;
SIGNAL \led_flash_cnt[501][4]~33900_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[501][4]~33901\ : std_logic;
SIGNAL \led_flash_cnt[501][5]~33902_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[501][5]~33903\ : std_logic;
SIGNAL \led_flash_cnt[501][6]~33904_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[501][6]~33905\ : std_logic;
SIGNAL \led_flash_cnt[501][7]~33906_combout\ : std_logic;
SIGNAL \led_flash_cnt[501][7]~q\ : std_logic;
SIGNAL \WideAnd501~0_combout\ : std_logic;
SIGNAL \WideAnd501~1_combout\ : std_logic;
SIGNAL \WideAnd501~combout\ : std_logic;
SIGNAL \led_flash_cnt[500][0]~81140_combout\ : std_logic;
SIGNAL \led_flash_cnt[500][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[500][1]~33880_combout\ : std_logic;
SIGNAL \led_flash_cnt[500][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[500][1]~33881\ : std_logic;
SIGNAL \led_flash_cnt[500][2]~33882_combout\ : std_logic;
SIGNAL \led_flash_cnt[500][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[500][2]~33883\ : std_logic;
SIGNAL \led_flash_cnt[500][3]~33884_combout\ : std_logic;
SIGNAL \led_flash_cnt[500][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[500][3]~33885\ : std_logic;
SIGNAL \led_flash_cnt[500][4]~33886_combout\ : std_logic;
SIGNAL \led_flash_cnt[500][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[500][4]~33887\ : std_logic;
SIGNAL \led_flash_cnt[500][5]~33888_combout\ : std_logic;
SIGNAL \led_flash_cnt[500][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[500][5]~33889\ : std_logic;
SIGNAL \led_flash_cnt[500][6]~33890_combout\ : std_logic;
SIGNAL \led_flash_cnt[500][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[500][6]~33891\ : std_logic;
SIGNAL \led_flash_cnt[500][7]~33892_combout\ : std_logic;
SIGNAL \led_flash_cnt[500][7]~q\ : std_logic;
SIGNAL \WideAnd500~1_combout\ : std_logic;
SIGNAL \WideAnd500~0_combout\ : std_logic;
SIGNAL \WideAnd500~combout\ : std_logic;
SIGNAL \WideAnd3902~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][0]~81139_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[499][1]~33866_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[499][1]~33867\ : std_logic;
SIGNAL \led_flash_cnt[499][2]~33868_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[499][2]~33869\ : std_logic;
SIGNAL \led_flash_cnt[499][3]~33870_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[499][3]~33871\ : std_logic;
SIGNAL \led_flash_cnt[499][4]~33872_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][4]~q\ : std_logic;
SIGNAL \WideAnd499~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][4]~33873\ : std_logic;
SIGNAL \led_flash_cnt[499][5]~33874_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[499][5]~33875\ : std_logic;
SIGNAL \led_flash_cnt[499][6]~33876_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][6]~q\ : std_logic;
SIGNAL \WideAnd499~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][6]~33877\ : std_logic;
SIGNAL \led_flash_cnt[499][7]~33878_combout\ : std_logic;
SIGNAL \led_flash_cnt[499][7]~q\ : std_logic;
SIGNAL \WideAnd499~combout\ : std_logic;
SIGNAL \led_flash_cnt[496][0]~81136_combout\ : std_logic;
SIGNAL \led_flash_cnt[496][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[496][1]~33824_combout\ : std_logic;
SIGNAL \led_flash_cnt[496][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[496][1]~33825\ : std_logic;
SIGNAL \led_flash_cnt[496][2]~33826_combout\ : std_logic;
SIGNAL \led_flash_cnt[496][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[496][2]~33827\ : std_logic;
SIGNAL \led_flash_cnt[496][3]~33828_combout\ : std_logic;
SIGNAL \led_flash_cnt[496][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[496][3]~33829\ : std_logic;
SIGNAL \led_flash_cnt[496][4]~33830_combout\ : std_logic;
SIGNAL \led_flash_cnt[496][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[496][4]~33831\ : std_logic;
SIGNAL \led_flash_cnt[496][5]~33832_combout\ : std_logic;
SIGNAL \led_flash_cnt[496][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[496][5]~33833\ : std_logic;
SIGNAL \led_flash_cnt[496][6]~33834_combout\ : std_logic;
SIGNAL \led_flash_cnt[496][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[496][6]~33835\ : std_logic;
SIGNAL \led_flash_cnt[496][7]~33836_combout\ : std_logic;
SIGNAL \led_flash_cnt[496][7]~q\ : std_logic;
SIGNAL \WideAnd496~1_combout\ : std_logic;
SIGNAL \WideAnd496~0_combout\ : std_logic;
SIGNAL \WideAnd496~combout\ : std_logic;
SIGNAL \led_flash_cnt[498][0]~81138_combout\ : std_logic;
SIGNAL \led_flash_cnt[498][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[498][1]~33852_combout\ : std_logic;
SIGNAL \led_flash_cnt[498][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[498][1]~33853\ : std_logic;
SIGNAL \led_flash_cnt[498][2]~33854_combout\ : std_logic;
SIGNAL \led_flash_cnt[498][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[498][2]~33855\ : std_logic;
SIGNAL \led_flash_cnt[498][3]~33856_combout\ : std_logic;
SIGNAL \led_flash_cnt[498][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[498][3]~33857\ : std_logic;
SIGNAL \led_flash_cnt[498][4]~33858_combout\ : std_logic;
SIGNAL \led_flash_cnt[498][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[498][4]~33859\ : std_logic;
SIGNAL \led_flash_cnt[498][5]~33860_combout\ : std_logic;
SIGNAL \led_flash_cnt[498][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[498][5]~33861\ : std_logic;
SIGNAL \led_flash_cnt[498][6]~33862_combout\ : std_logic;
SIGNAL \led_flash_cnt[498][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[498][6]~33863\ : std_logic;
SIGNAL \led_flash_cnt[498][7]~33864_combout\ : std_logic;
SIGNAL \led_flash_cnt[498][7]~q\ : std_logic;
SIGNAL \WideAnd498~0_combout\ : std_logic;
SIGNAL \WideAnd498~1_combout\ : std_logic;
SIGNAL \WideAnd498~combout\ : std_logic;
SIGNAL \led_flash_cnt[497][0]~81137_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[497][1]~33838_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[497][1]~33839\ : std_logic;
SIGNAL \led_flash_cnt[497][2]~33840_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[497][2]~33841\ : std_logic;
SIGNAL \led_flash_cnt[497][3]~33842_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[497][3]~33843\ : std_logic;
SIGNAL \led_flash_cnt[497][4]~33844_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][4]~q\ : std_logic;
SIGNAL \WideAnd497~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][4]~33845\ : std_logic;
SIGNAL \led_flash_cnt[497][5]~33846_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[497][5]~33847\ : std_logic;
SIGNAL \led_flash_cnt[497][6]~33848_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][6]~q\ : std_logic;
SIGNAL \WideAnd497~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][6]~33849\ : std_logic;
SIGNAL \led_flash_cnt[497][7]~33850_combout\ : std_logic;
SIGNAL \led_flash_cnt[497][7]~q\ : std_logic;
SIGNAL \WideAnd497~combout\ : std_logic;
SIGNAL \WideAnd3902~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][0]~81143_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[503][1]~33922_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[503][1]~33923\ : std_logic;
SIGNAL \led_flash_cnt[503][2]~33924_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[503][2]~33925\ : std_logic;
SIGNAL \led_flash_cnt[503][3]~33926_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[503][3]~33927\ : std_logic;
SIGNAL \led_flash_cnt[503][4]~33928_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[503][4]~33929\ : std_logic;
SIGNAL \led_flash_cnt[503][5]~33930_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[503][5]~33931\ : std_logic;
SIGNAL \led_flash_cnt[503][6]~33932_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][6]~q\ : std_logic;
SIGNAL \WideAnd503~1_combout\ : std_logic;
SIGNAL \WideAnd503~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][6]~33933\ : std_logic;
SIGNAL \led_flash_cnt[503][7]~33934_combout\ : std_logic;
SIGNAL \led_flash_cnt[503][7]~q\ : std_logic;
SIGNAL \WideAnd503~combout\ : std_logic;
SIGNAL \led_flash_cnt[502][0]~81142_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[502][1]~33908_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[502][1]~33909\ : std_logic;
SIGNAL \led_flash_cnt[502][2]~33910_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[502][2]~33911\ : std_logic;
SIGNAL \led_flash_cnt[502][3]~33912_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[502][3]~33913\ : std_logic;
SIGNAL \led_flash_cnt[502][4]~33914_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][4]~q\ : std_logic;
SIGNAL \WideAnd502~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][4]~33915\ : std_logic;
SIGNAL \led_flash_cnt[502][5]~33916_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[502][5]~33917\ : std_logic;
SIGNAL \led_flash_cnt[502][6]~33918_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[502][6]~33919\ : std_logic;
SIGNAL \led_flash_cnt[502][7]~33920_combout\ : std_logic;
SIGNAL \led_flash_cnt[502][7]~q\ : std_logic;
SIGNAL \WideAnd502~1_combout\ : std_logic;
SIGNAL \WideAnd502~combout\ : std_logic;
SIGNAL \WideAnd3902~combout\ : std_logic;
SIGNAL \led_flash_cnt[508][0]~81148_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[508][1]~33992_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[508][1]~33993\ : std_logic;
SIGNAL \led_flash_cnt[508][2]~33994_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[508][2]~33995\ : std_logic;
SIGNAL \led_flash_cnt[508][3]~33996_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[508][3]~33997\ : std_logic;
SIGNAL \led_flash_cnt[508][4]~33998_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[508][4]~33999\ : std_logic;
SIGNAL \led_flash_cnt[508][5]~34000_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[508][5]~34001\ : std_logic;
SIGNAL \led_flash_cnt[508][6]~34002_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][6]~q\ : std_logic;
SIGNAL \WideAnd508~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][6]~34003\ : std_logic;
SIGNAL \led_flash_cnt[508][7]~34004_combout\ : std_logic;
SIGNAL \led_flash_cnt[508][7]~q\ : std_logic;
SIGNAL \WideAnd508~0_combout\ : std_logic;
SIGNAL \WideAnd508~combout\ : std_logic;
SIGNAL \led_flash_cnt[509][0]~81149_combout\ : std_logic;
SIGNAL \led_flash_cnt[509][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[509][1]~34006_combout\ : std_logic;
SIGNAL \led_flash_cnt[509][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[509][1]~34007\ : std_logic;
SIGNAL \led_flash_cnt[509][2]~34008_combout\ : std_logic;
SIGNAL \led_flash_cnt[509][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[509][2]~34009\ : std_logic;
SIGNAL \led_flash_cnt[509][3]~34010_combout\ : std_logic;
SIGNAL \led_flash_cnt[509][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[509][3]~34011\ : std_logic;
SIGNAL \led_flash_cnt[509][4]~34012_combout\ : std_logic;
SIGNAL \led_flash_cnt[509][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[509][4]~34013\ : std_logic;
SIGNAL \led_flash_cnt[509][5]~34014_combout\ : std_logic;
SIGNAL \led_flash_cnt[509][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[509][5]~34015\ : std_logic;
SIGNAL \led_flash_cnt[509][6]~34016_combout\ : std_logic;
SIGNAL \led_flash_cnt[509][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[509][6]~34017\ : std_logic;
SIGNAL \led_flash_cnt[509][7]~34018_combout\ : std_logic;
SIGNAL \led_flash_cnt[509][7]~q\ : std_logic;
SIGNAL \WideAnd509~0_combout\ : std_logic;
SIGNAL \WideAnd509~1_combout\ : std_logic;
SIGNAL \WideAnd509~combout\ : std_logic;
SIGNAL \WideAnd3903~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][0]~81144_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[504][1]~33936_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[504][1]~33937\ : std_logic;
SIGNAL \led_flash_cnt[504][2]~33938_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[504][2]~33939\ : std_logic;
SIGNAL \led_flash_cnt[504][3]~33940_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[504][3]~33941\ : std_logic;
SIGNAL \led_flash_cnt[504][4]~33942_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][4]~q\ : std_logic;
SIGNAL \WideAnd504~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][4]~33943\ : std_logic;
SIGNAL \led_flash_cnt[504][5]~33944_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[504][5]~33945\ : std_logic;
SIGNAL \led_flash_cnt[504][6]~33946_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[504][6]~33947\ : std_logic;
SIGNAL \led_flash_cnt[504][7]~33948_combout\ : std_logic;
SIGNAL \led_flash_cnt[504][7]~q\ : std_logic;
SIGNAL \WideAnd504~1_combout\ : std_logic;
SIGNAL \WideAnd504~combout\ : std_logic;
SIGNAL \led_flash_cnt[505][0]~81145_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[505][1]~33950_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[505][1]~33951\ : std_logic;
SIGNAL \led_flash_cnt[505][2]~33952_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[505][2]~33953\ : std_logic;
SIGNAL \led_flash_cnt[505][3]~33954_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[505][3]~33955\ : std_logic;
SIGNAL \led_flash_cnt[505][4]~33956_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[505][4]~33957\ : std_logic;
SIGNAL \led_flash_cnt[505][5]~33958_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[505][5]~33959\ : std_logic;
SIGNAL \led_flash_cnt[505][6]~33960_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][6]~q\ : std_logic;
SIGNAL \WideAnd505~1_combout\ : std_logic;
SIGNAL \WideAnd505~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][6]~33961\ : std_logic;
SIGNAL \led_flash_cnt[505][7]~33962_combout\ : std_logic;
SIGNAL \led_flash_cnt[505][7]~q\ : std_logic;
SIGNAL \WideAnd505~combout\ : std_logic;
SIGNAL \led_flash_cnt[506][0]~81146_combout\ : std_logic;
SIGNAL \led_flash_cnt[506][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[506][1]~33964_combout\ : std_logic;
SIGNAL \led_flash_cnt[506][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[506][1]~33965\ : std_logic;
SIGNAL \led_flash_cnt[506][2]~33966_combout\ : std_logic;
SIGNAL \led_flash_cnt[506][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[506][2]~33967\ : std_logic;
SIGNAL \led_flash_cnt[506][3]~33968_combout\ : std_logic;
SIGNAL \led_flash_cnt[506][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[506][3]~33969\ : std_logic;
SIGNAL \led_flash_cnt[506][4]~33970_combout\ : std_logic;
SIGNAL \led_flash_cnt[506][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[506][4]~33971\ : std_logic;
SIGNAL \led_flash_cnt[506][5]~33972_combout\ : std_logic;
SIGNAL \led_flash_cnt[506][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[506][5]~33973\ : std_logic;
SIGNAL \led_flash_cnt[506][6]~33974_combout\ : std_logic;
SIGNAL \led_flash_cnt[506][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[506][6]~33975\ : std_logic;
SIGNAL \led_flash_cnt[506][7]~33976_combout\ : std_logic;
SIGNAL \led_flash_cnt[506][7]~q\ : std_logic;
SIGNAL \WideAnd506~1_combout\ : std_logic;
SIGNAL \WideAnd506~0_combout\ : std_logic;
SIGNAL \WideAnd506~combout\ : std_logic;
SIGNAL \led_flash_cnt[507][0]~81147_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[507][1]~33978_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[507][1]~33979\ : std_logic;
SIGNAL \led_flash_cnt[507][2]~33980_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[507][2]~33981\ : std_logic;
SIGNAL \led_flash_cnt[507][3]~33982_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[507][3]~33983\ : std_logic;
SIGNAL \led_flash_cnt[507][4]~33984_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][4]~q\ : std_logic;
SIGNAL \WideAnd507~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][4]~33985\ : std_logic;
SIGNAL \led_flash_cnt[507][5]~33986_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[507][5]~33987\ : std_logic;
SIGNAL \led_flash_cnt[507][6]~33988_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][6]~q\ : std_logic;
SIGNAL \WideAnd507~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][6]~33989\ : std_logic;
SIGNAL \led_flash_cnt[507][7]~33990_combout\ : std_logic;
SIGNAL \led_flash_cnt[507][7]~q\ : std_logic;
SIGNAL \WideAnd507~combout\ : std_logic;
SIGNAL \WideAnd3903~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][0]~81151_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[511][1]~34034_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[511][1]~34035\ : std_logic;
SIGNAL \led_flash_cnt[511][2]~34036_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[511][2]~34037\ : std_logic;
SIGNAL \led_flash_cnt[511][3]~34038_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[511][3]~34039\ : std_logic;
SIGNAL \led_flash_cnt[511][4]~34040_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[511][4]~34041\ : std_logic;
SIGNAL \led_flash_cnt[511][5]~34042_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[511][5]~34043\ : std_logic;
SIGNAL \led_flash_cnt[511][6]~34044_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[511][6]~34045\ : std_logic;
SIGNAL \led_flash_cnt[511][7]~34046_combout\ : std_logic;
SIGNAL \led_flash_cnt[511][7]~q\ : std_logic;
SIGNAL \WideAnd511~1_combout\ : std_logic;
SIGNAL \WideAnd511~0_combout\ : std_logic;
SIGNAL \WideAnd511~combout\ : std_logic;
SIGNAL \led_flash_cnt[510][0]~81150_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[510][1]~34020_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[510][1]~34021\ : std_logic;
SIGNAL \led_flash_cnt[510][2]~34022_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[510][2]~34023\ : std_logic;
SIGNAL \led_flash_cnt[510][3]~34024_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[510][3]~34025\ : std_logic;
SIGNAL \led_flash_cnt[510][4]~34026_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[510][4]~34027\ : std_logic;
SIGNAL \led_flash_cnt[510][5]~34028_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[510][5]~34029\ : std_logic;
SIGNAL \led_flash_cnt[510][6]~34030_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][6]~q\ : std_logic;
SIGNAL \WideAnd510~1_combout\ : std_logic;
SIGNAL \WideAnd510~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][6]~34031\ : std_logic;
SIGNAL \led_flash_cnt[510][7]~34032_combout\ : std_logic;
SIGNAL \led_flash_cnt[510][7]~q\ : std_logic;
SIGNAL \WideAnd510~combout\ : std_logic;
SIGNAL \WideAnd3903~combout\ : std_logic;
SIGNAL \WideAnd4327~combout\ : std_logic;
SIGNAL \led_flash_cnt[432][0]~81072_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[432][1]~32928_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[432][1]~32929\ : std_logic;
SIGNAL \led_flash_cnt[432][2]~32930_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[432][2]~32931\ : std_logic;
SIGNAL \led_flash_cnt[432][3]~32932_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[432][3]~32933\ : std_logic;
SIGNAL \led_flash_cnt[432][4]~32934_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[432][4]~32935\ : std_logic;
SIGNAL \led_flash_cnt[432][5]~32936_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[432][5]~32937\ : std_logic;
SIGNAL \led_flash_cnt[432][6]~32938_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][6]~q\ : std_logic;
SIGNAL \WideAnd432~1_combout\ : std_logic;
SIGNAL \WideAnd432~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][6]~32939\ : std_logic;
SIGNAL \led_flash_cnt[432][7]~32940_combout\ : std_logic;
SIGNAL \led_flash_cnt[432][7]~q\ : std_logic;
SIGNAL \WideAnd432~combout\ : std_logic;
SIGNAL \led_flash_cnt[434][0]~81074_combout\ : std_logic;
SIGNAL \led_flash_cnt[434][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[434][1]~32956_combout\ : std_logic;
SIGNAL \led_flash_cnt[434][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[434][1]~32957\ : std_logic;
SIGNAL \led_flash_cnt[434][2]~32958_combout\ : std_logic;
SIGNAL \led_flash_cnt[434][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[434][2]~32959\ : std_logic;
SIGNAL \led_flash_cnt[434][3]~32960_combout\ : std_logic;
SIGNAL \led_flash_cnt[434][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[434][3]~32961\ : std_logic;
SIGNAL \led_flash_cnt[434][4]~32962_combout\ : std_logic;
SIGNAL \led_flash_cnt[434][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[434][4]~32963\ : std_logic;
SIGNAL \led_flash_cnt[434][5]~32964_combout\ : std_logic;
SIGNAL \led_flash_cnt[434][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[434][5]~32965\ : std_logic;
SIGNAL \led_flash_cnt[434][6]~32966_combout\ : std_logic;
SIGNAL \led_flash_cnt[434][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[434][6]~32967\ : std_logic;
SIGNAL \led_flash_cnt[434][7]~32968_combout\ : std_logic;
SIGNAL \led_flash_cnt[434][7]~q\ : std_logic;
SIGNAL \WideAnd434~1_combout\ : std_logic;
SIGNAL \WideAnd434~0_combout\ : std_logic;
SIGNAL \WideAnd434~combout\ : std_logic;
SIGNAL \led_flash_cnt[435][0]~81075_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[435][1]~32970_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[435][1]~32971\ : std_logic;
SIGNAL \led_flash_cnt[435][2]~32972_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[435][2]~32973\ : std_logic;
SIGNAL \led_flash_cnt[435][3]~32974_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[435][3]~32975\ : std_logic;
SIGNAL \led_flash_cnt[435][4]~32976_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[435][4]~32977\ : std_logic;
SIGNAL \led_flash_cnt[435][5]~32978_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[435][5]~32979\ : std_logic;
SIGNAL \led_flash_cnt[435][6]~32980_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][6]~q\ : std_logic;
SIGNAL \WideAnd435~1_combout\ : std_logic;
SIGNAL \WideAnd435~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][6]~32981\ : std_logic;
SIGNAL \led_flash_cnt[435][7]~32982_combout\ : std_logic;
SIGNAL \led_flash_cnt[435][7]~q\ : std_logic;
SIGNAL \WideAnd435~combout\ : std_logic;
SIGNAL \led_flash_cnt[433][0]~81073_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[433][1]~32942_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[433][1]~32943\ : std_logic;
SIGNAL \led_flash_cnt[433][2]~32944_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[433][2]~32945\ : std_logic;
SIGNAL \led_flash_cnt[433][3]~32946_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[433][3]~32947\ : std_logic;
SIGNAL \led_flash_cnt[433][4]~32948_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[433][4]~32949\ : std_logic;
SIGNAL \led_flash_cnt[433][5]~32950_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[433][5]~32951\ : std_logic;
SIGNAL \led_flash_cnt[433][6]~32952_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][6]~q\ : std_logic;
SIGNAL \WideAnd433~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][6]~32953\ : std_logic;
SIGNAL \led_flash_cnt[433][7]~32954_combout\ : std_logic;
SIGNAL \led_flash_cnt[433][7]~q\ : std_logic;
SIGNAL \WideAnd433~0_combout\ : std_logic;
SIGNAL \WideAnd433~combout\ : std_logic;
SIGNAL \WideAnd3894~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][0]~81078_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[438][1]~33012_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[438][1]~33013\ : std_logic;
SIGNAL \led_flash_cnt[438][2]~33014_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[438][2]~33015\ : std_logic;
SIGNAL \led_flash_cnt[438][3]~33016_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[438][3]~33017\ : std_logic;
SIGNAL \led_flash_cnt[438][4]~33018_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[438][4]~33019\ : std_logic;
SIGNAL \led_flash_cnt[438][5]~33020_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[438][5]~33021\ : std_logic;
SIGNAL \led_flash_cnt[438][6]~33022_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[438][6]~33023\ : std_logic;
SIGNAL \led_flash_cnt[438][7]~33024_combout\ : std_logic;
SIGNAL \led_flash_cnt[438][7]~q\ : std_logic;
SIGNAL \WideAnd438~0_combout\ : std_logic;
SIGNAL \WideAnd438~1_combout\ : std_logic;
SIGNAL \WideAnd438~combout\ : std_logic;
SIGNAL \led_flash_cnt[436][0]~81076_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[436][1]~32984_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[436][1]~32985\ : std_logic;
SIGNAL \led_flash_cnt[436][2]~32986_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[436][2]~32987\ : std_logic;
SIGNAL \led_flash_cnt[436][3]~32988_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[436][3]~32989\ : std_logic;
SIGNAL \led_flash_cnt[436][4]~32990_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][4]~q\ : std_logic;
SIGNAL \WideAnd436~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][4]~32991\ : std_logic;
SIGNAL \led_flash_cnt[436][5]~32992_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[436][5]~32993\ : std_logic;
SIGNAL \led_flash_cnt[436][6]~32994_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][6]~q\ : std_logic;
SIGNAL \WideAnd436~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][6]~32995\ : std_logic;
SIGNAL \led_flash_cnt[436][7]~32996_combout\ : std_logic;
SIGNAL \led_flash_cnt[436][7]~q\ : std_logic;
SIGNAL \WideAnd436~combout\ : std_logic;
SIGNAL \led_flash_cnt[437][0]~81077_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[437][1]~32998_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[437][1]~32999\ : std_logic;
SIGNAL \led_flash_cnt[437][2]~33000_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[437][2]~33001\ : std_logic;
SIGNAL \led_flash_cnt[437][3]~33002_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[437][3]~33003\ : std_logic;
SIGNAL \led_flash_cnt[437][4]~33004_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[437][4]~33005\ : std_logic;
SIGNAL \led_flash_cnt[437][5]~33006_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[437][5]~33007\ : std_logic;
SIGNAL \led_flash_cnt[437][6]~33008_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][6]~q\ : std_logic;
SIGNAL \WideAnd437~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][6]~33009\ : std_logic;
SIGNAL \led_flash_cnt[437][7]~33010_combout\ : std_logic;
SIGNAL \led_flash_cnt[437][7]~q\ : std_logic;
SIGNAL \WideAnd437~0_combout\ : std_logic;
SIGNAL \WideAnd437~combout\ : std_logic;
SIGNAL \WideAnd3894~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][0]~81079_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[439][1]~33026_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[439][1]~33027\ : std_logic;
SIGNAL \led_flash_cnt[439][2]~33028_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[439][2]~33029\ : std_logic;
SIGNAL \led_flash_cnt[439][3]~33030_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[439][3]~33031\ : std_logic;
SIGNAL \led_flash_cnt[439][4]~33032_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[439][4]~33033\ : std_logic;
SIGNAL \led_flash_cnt[439][5]~33034_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[439][5]~33035\ : std_logic;
SIGNAL \led_flash_cnt[439][6]~33036_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[439][6]~33037\ : std_logic;
SIGNAL \led_flash_cnt[439][7]~33038_combout\ : std_logic;
SIGNAL \led_flash_cnt[439][7]~q\ : std_logic;
SIGNAL \WideAnd439~0_combout\ : std_logic;
SIGNAL \WideAnd439~1_combout\ : std_logic;
SIGNAL \WideAnd439~combout\ : std_logic;
SIGNAL \WideAnd3894~combout\ : std_logic;
SIGNAL \led_flash_cnt[422][0]~81062_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[422][1]~32788_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[422][1]~32789\ : std_logic;
SIGNAL \led_flash_cnt[422][2]~32790_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[422][2]~32791\ : std_logic;
SIGNAL \led_flash_cnt[422][3]~32792_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[422][3]~32793\ : std_logic;
SIGNAL \led_flash_cnt[422][4]~32794_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[422][4]~32795\ : std_logic;
SIGNAL \led_flash_cnt[422][5]~32796_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[422][5]~32797\ : std_logic;
SIGNAL \led_flash_cnt[422][6]~32798_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][6]~q\ : std_logic;
SIGNAL \WideAnd422~1_combout\ : std_logic;
SIGNAL \WideAnd422~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][6]~32799\ : std_logic;
SIGNAL \led_flash_cnt[422][7]~32800_combout\ : std_logic;
SIGNAL \led_flash_cnt[422][7]~q\ : std_logic;
SIGNAL \WideAnd422~combout\ : std_logic;
SIGNAL \led_flash_cnt[423][0]~81063_combout\ : std_logic;
SIGNAL \led_flash_cnt[423][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[423][1]~32802_combout\ : std_logic;
SIGNAL \led_flash_cnt[423][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[423][1]~32803\ : std_logic;
SIGNAL \led_flash_cnt[423][2]~32804_combout\ : std_logic;
SIGNAL \led_flash_cnt[423][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[423][2]~32805\ : std_logic;
SIGNAL \led_flash_cnt[423][3]~32806_combout\ : std_logic;
SIGNAL \led_flash_cnt[423][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[423][3]~32807\ : std_logic;
SIGNAL \led_flash_cnt[423][4]~32808_combout\ : std_logic;
SIGNAL \led_flash_cnt[423][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[423][4]~32809\ : std_logic;
SIGNAL \led_flash_cnt[423][5]~32810_combout\ : std_logic;
SIGNAL \led_flash_cnt[423][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[423][5]~32811\ : std_logic;
SIGNAL \led_flash_cnt[423][6]~32812_combout\ : std_logic;
SIGNAL \led_flash_cnt[423][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[423][6]~32813\ : std_logic;
SIGNAL \led_flash_cnt[423][7]~32814_combout\ : std_logic;
SIGNAL \led_flash_cnt[423][7]~q\ : std_logic;
SIGNAL \WideAnd423~1_combout\ : std_logic;
SIGNAL \WideAnd423~0_combout\ : std_logic;
SIGNAL \WideAnd423~combout\ : std_logic;
SIGNAL \led_flash_cnt[420][0]~81060_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[420][1]~32760_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[420][1]~32761\ : std_logic;
SIGNAL \led_flash_cnt[420][2]~32762_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[420][2]~32763\ : std_logic;
SIGNAL \led_flash_cnt[420][3]~32764_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[420][3]~32765\ : std_logic;
SIGNAL \led_flash_cnt[420][4]~32766_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][4]~q\ : std_logic;
SIGNAL \WideAnd420~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][4]~32767\ : std_logic;
SIGNAL \led_flash_cnt[420][5]~32768_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[420][5]~32769\ : std_logic;
SIGNAL \led_flash_cnt[420][6]~32770_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][6]~q\ : std_logic;
SIGNAL \WideAnd420~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][6]~32771\ : std_logic;
SIGNAL \led_flash_cnt[420][7]~32772_combout\ : std_logic;
SIGNAL \led_flash_cnt[420][7]~q\ : std_logic;
SIGNAL \WideAnd420~combout\ : std_logic;
SIGNAL \led_flash_cnt[421][0]~81061_combout\ : std_logic;
SIGNAL \led_flash_cnt[421][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[421][1]~32774_combout\ : std_logic;
SIGNAL \led_flash_cnt[421][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[421][1]~32775\ : std_logic;
SIGNAL \led_flash_cnt[421][2]~32776_combout\ : std_logic;
SIGNAL \led_flash_cnt[421][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[421][2]~32777\ : std_logic;
SIGNAL \led_flash_cnt[421][3]~32778_combout\ : std_logic;
SIGNAL \led_flash_cnt[421][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[421][3]~32779\ : std_logic;
SIGNAL \led_flash_cnt[421][4]~32780_combout\ : std_logic;
SIGNAL \led_flash_cnt[421][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[421][4]~32781\ : std_logic;
SIGNAL \led_flash_cnt[421][5]~32782_combout\ : std_logic;
SIGNAL \led_flash_cnt[421][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[421][5]~32783\ : std_logic;
SIGNAL \led_flash_cnt[421][6]~32784_combout\ : std_logic;
SIGNAL \led_flash_cnt[421][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[421][6]~32785\ : std_logic;
SIGNAL \led_flash_cnt[421][7]~32786_combout\ : std_logic;
SIGNAL \led_flash_cnt[421][7]~q\ : std_logic;
SIGNAL \WideAnd421~0_combout\ : std_logic;
SIGNAL \WideAnd421~1_combout\ : std_logic;
SIGNAL \WideAnd421~combout\ : std_logic;
SIGNAL \WideAnd3892~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][0]~81058_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[418][1]~32732_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[418][1]~32733\ : std_logic;
SIGNAL \led_flash_cnt[418][2]~32734_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[418][2]~32735\ : std_logic;
SIGNAL \led_flash_cnt[418][3]~32736_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[418][3]~32737\ : std_logic;
SIGNAL \led_flash_cnt[418][4]~32738_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[418][4]~32739\ : std_logic;
SIGNAL \led_flash_cnt[418][5]~32740_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[418][5]~32741\ : std_logic;
SIGNAL \led_flash_cnt[418][6]~32742_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][6]~q\ : std_logic;
SIGNAL \WideAnd418~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][6]~32743\ : std_logic;
SIGNAL \led_flash_cnt[418][7]~32744_combout\ : std_logic;
SIGNAL \led_flash_cnt[418][7]~q\ : std_logic;
SIGNAL \WideAnd418~0_combout\ : std_logic;
SIGNAL \WideAnd418~combout\ : std_logic;
SIGNAL \led_flash_cnt[419][0]~81059_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[419][1]~32746_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[419][1]~32747\ : std_logic;
SIGNAL \led_flash_cnt[419][2]~32748_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[419][2]~32749\ : std_logic;
SIGNAL \led_flash_cnt[419][3]~32750_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[419][3]~32751\ : std_logic;
SIGNAL \led_flash_cnt[419][4]~32752_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[419][4]~32753\ : std_logic;
SIGNAL \led_flash_cnt[419][5]~32754_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[419][5]~32755\ : std_logic;
SIGNAL \led_flash_cnt[419][6]~32756_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][6]~q\ : std_logic;
SIGNAL \WideAnd419~1_combout\ : std_logic;
SIGNAL \WideAnd419~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][6]~32757\ : std_logic;
SIGNAL \led_flash_cnt[419][7]~32758_combout\ : std_logic;
SIGNAL \led_flash_cnt[419][7]~q\ : std_logic;
SIGNAL \WideAnd419~combout\ : std_logic;
SIGNAL \led_flash_cnt[416][0]~81056_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[416][1]~32704_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[416][1]~32705\ : std_logic;
SIGNAL \led_flash_cnt[416][2]~32706_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[416][2]~32707\ : std_logic;
SIGNAL \led_flash_cnt[416][3]~32708_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[416][3]~32709\ : std_logic;
SIGNAL \led_flash_cnt[416][4]~32710_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[416][4]~32711\ : std_logic;
SIGNAL \led_flash_cnt[416][5]~32712_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[416][5]~32713\ : std_logic;
SIGNAL \led_flash_cnt[416][6]~32714_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][6]~q\ : std_logic;
SIGNAL \WideAnd416~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][6]~32715\ : std_logic;
SIGNAL \led_flash_cnt[416][7]~32716_combout\ : std_logic;
SIGNAL \led_flash_cnt[416][7]~q\ : std_logic;
SIGNAL \WideAnd416~0_combout\ : std_logic;
SIGNAL \WideAnd416~combout\ : std_logic;
SIGNAL \led_flash_cnt[417][0]~81057_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[417][1]~32718_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[417][1]~32719\ : std_logic;
SIGNAL \led_flash_cnt[417][2]~32720_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[417][2]~32721\ : std_logic;
SIGNAL \led_flash_cnt[417][3]~32722_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[417][3]~32723\ : std_logic;
SIGNAL \led_flash_cnt[417][4]~32724_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][4]~q\ : std_logic;
SIGNAL \WideAnd417~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][4]~32725\ : std_logic;
SIGNAL \led_flash_cnt[417][5]~32726_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[417][5]~32727\ : std_logic;
SIGNAL \led_flash_cnt[417][6]~32728_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[417][6]~32729\ : std_logic;
SIGNAL \led_flash_cnt[417][7]~32730_combout\ : std_logic;
SIGNAL \led_flash_cnt[417][7]~q\ : std_logic;
SIGNAL \WideAnd417~1_combout\ : std_logic;
SIGNAL \WideAnd417~combout\ : std_logic;
SIGNAL \WideAnd3892~0_combout\ : std_logic;
SIGNAL \WideAnd3892~combout\ : std_logic;
SIGNAL \led_flash_cnt[430][0]~81070_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[430][1]~32900_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[430][1]~32901\ : std_logic;
SIGNAL \led_flash_cnt[430][2]~32902_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[430][2]~32903\ : std_logic;
SIGNAL \led_flash_cnt[430][3]~32904_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[430][3]~32905\ : std_logic;
SIGNAL \led_flash_cnt[430][4]~32906_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][4]~q\ : std_logic;
SIGNAL \WideAnd430~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][4]~32907\ : std_logic;
SIGNAL \led_flash_cnt[430][5]~32908_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[430][5]~32909\ : std_logic;
SIGNAL \led_flash_cnt[430][6]~32910_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[430][6]~32911\ : std_logic;
SIGNAL \led_flash_cnt[430][7]~32912_combout\ : std_logic;
SIGNAL \led_flash_cnt[430][7]~q\ : std_logic;
SIGNAL \WideAnd430~1_combout\ : std_logic;
SIGNAL \WideAnd430~combout\ : std_logic;
SIGNAL \led_flash_cnt[429][0]~81069_combout\ : std_logic;
SIGNAL \led_flash_cnt[429][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[429][1]~32886_combout\ : std_logic;
SIGNAL \led_flash_cnt[429][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[429][1]~32887\ : std_logic;
SIGNAL \led_flash_cnt[429][2]~32888_combout\ : std_logic;
SIGNAL \led_flash_cnt[429][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[429][2]~32889\ : std_logic;
SIGNAL \led_flash_cnt[429][3]~32890_combout\ : std_logic;
SIGNAL \led_flash_cnt[429][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[429][3]~32891\ : std_logic;
SIGNAL \led_flash_cnt[429][4]~32892_combout\ : std_logic;
SIGNAL \led_flash_cnt[429][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[429][4]~32893\ : std_logic;
SIGNAL \led_flash_cnt[429][5]~32894_combout\ : std_logic;
SIGNAL \led_flash_cnt[429][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[429][5]~32895\ : std_logic;
SIGNAL \led_flash_cnt[429][6]~32896_combout\ : std_logic;
SIGNAL \led_flash_cnt[429][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[429][6]~32897\ : std_logic;
SIGNAL \led_flash_cnt[429][7]~32898_combout\ : std_logic;
SIGNAL \led_flash_cnt[429][7]~q\ : std_logic;
SIGNAL \WideAnd429~1_combout\ : std_logic;
SIGNAL \WideAnd429~0_combout\ : std_logic;
SIGNAL \WideAnd429~combout\ : std_logic;
SIGNAL \led_flash_cnt[428][0]~81068_combout\ : std_logic;
SIGNAL \led_flash_cnt[428][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[428][1]~32872_combout\ : std_logic;
SIGNAL \led_flash_cnt[428][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[428][1]~32873\ : std_logic;
SIGNAL \led_flash_cnt[428][2]~32874_combout\ : std_logic;
SIGNAL \led_flash_cnt[428][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[428][2]~32875\ : std_logic;
SIGNAL \led_flash_cnt[428][3]~32876_combout\ : std_logic;
SIGNAL \led_flash_cnt[428][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[428][3]~32877\ : std_logic;
SIGNAL \led_flash_cnt[428][4]~32878_combout\ : std_logic;
SIGNAL \led_flash_cnt[428][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[428][4]~32879\ : std_logic;
SIGNAL \led_flash_cnt[428][5]~32880_combout\ : std_logic;
SIGNAL \led_flash_cnt[428][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[428][5]~32881\ : std_logic;
SIGNAL \led_flash_cnt[428][6]~32882_combout\ : std_logic;
SIGNAL \led_flash_cnt[428][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[428][6]~32883\ : std_logic;
SIGNAL \led_flash_cnt[428][7]~32884_combout\ : std_logic;
SIGNAL \led_flash_cnt[428][7]~q\ : std_logic;
SIGNAL \WideAnd428~0_combout\ : std_logic;
SIGNAL \WideAnd428~1_combout\ : std_logic;
SIGNAL \WideAnd428~combout\ : std_logic;
SIGNAL \WideAnd3893~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][0]~81071_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[431][1]~32914_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[431][1]~32915\ : std_logic;
SIGNAL \led_flash_cnt[431][2]~32916_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[431][2]~32917\ : std_logic;
SIGNAL \led_flash_cnt[431][3]~32918_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[431][3]~32919\ : std_logic;
SIGNAL \led_flash_cnt[431][4]~32920_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[431][4]~32921\ : std_logic;
SIGNAL \led_flash_cnt[431][5]~32922_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[431][5]~32923\ : std_logic;
SIGNAL \led_flash_cnt[431][6]~32924_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][6]~q\ : std_logic;
SIGNAL \WideAnd431~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][6]~32925\ : std_logic;
SIGNAL \led_flash_cnt[431][7]~32926_combout\ : std_logic;
SIGNAL \led_flash_cnt[431][7]~q\ : std_logic;
SIGNAL \WideAnd431~0_combout\ : std_logic;
SIGNAL \WideAnd431~combout\ : std_logic;
SIGNAL \led_flash_cnt[425][0]~81065_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[425][1]~32830_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[425][1]~32831\ : std_logic;
SIGNAL \led_flash_cnt[425][2]~32832_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[425][2]~32833\ : std_logic;
SIGNAL \led_flash_cnt[425][3]~32834_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[425][3]~32835\ : std_logic;
SIGNAL \led_flash_cnt[425][4]~32836_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][4]~q\ : std_logic;
SIGNAL \WideAnd425~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][4]~32837\ : std_logic;
SIGNAL \led_flash_cnt[425][5]~32838_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[425][5]~32839\ : std_logic;
SIGNAL \led_flash_cnt[425][6]~32840_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][6]~q\ : std_logic;
SIGNAL \WideAnd425~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][6]~32841\ : std_logic;
SIGNAL \led_flash_cnt[425][7]~32842_combout\ : std_logic;
SIGNAL \led_flash_cnt[425][7]~q\ : std_logic;
SIGNAL \WideAnd425~combout\ : std_logic;
SIGNAL \led_flash_cnt[427][0]~81067_combout\ : std_logic;
SIGNAL \led_flash_cnt[427][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[427][1]~32858_combout\ : std_logic;
SIGNAL \led_flash_cnt[427][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[427][1]~32859\ : std_logic;
SIGNAL \led_flash_cnt[427][2]~32860_combout\ : std_logic;
SIGNAL \led_flash_cnt[427][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[427][2]~32861\ : std_logic;
SIGNAL \led_flash_cnt[427][3]~32862_combout\ : std_logic;
SIGNAL \led_flash_cnt[427][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[427][3]~32863\ : std_logic;
SIGNAL \led_flash_cnt[427][4]~32864_combout\ : std_logic;
SIGNAL \led_flash_cnt[427][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[427][4]~32865\ : std_logic;
SIGNAL \led_flash_cnt[427][5]~32866_combout\ : std_logic;
SIGNAL \led_flash_cnt[427][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[427][5]~32867\ : std_logic;
SIGNAL \led_flash_cnt[427][6]~32868_combout\ : std_logic;
SIGNAL \led_flash_cnt[427][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[427][6]~32869\ : std_logic;
SIGNAL \led_flash_cnt[427][7]~32870_combout\ : std_logic;
SIGNAL \led_flash_cnt[427][7]~q\ : std_logic;
SIGNAL \WideAnd427~1_combout\ : std_logic;
SIGNAL \WideAnd427~0_combout\ : std_logic;
SIGNAL \WideAnd427~combout\ : std_logic;
SIGNAL \led_flash_cnt[424][0]~81064_combout\ : std_logic;
SIGNAL \led_flash_cnt[424][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[424][1]~32816_combout\ : std_logic;
SIGNAL \led_flash_cnt[424][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[424][1]~32817\ : std_logic;
SIGNAL \led_flash_cnt[424][2]~32818_combout\ : std_logic;
SIGNAL \led_flash_cnt[424][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[424][2]~32819\ : std_logic;
SIGNAL \led_flash_cnt[424][3]~32820_combout\ : std_logic;
SIGNAL \led_flash_cnt[424][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[424][3]~32821\ : std_logic;
SIGNAL \led_flash_cnt[424][4]~32822_combout\ : std_logic;
SIGNAL \led_flash_cnt[424][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[424][4]~32823\ : std_logic;
SIGNAL \led_flash_cnt[424][5]~32824_combout\ : std_logic;
SIGNAL \led_flash_cnt[424][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[424][5]~32825\ : std_logic;
SIGNAL \led_flash_cnt[424][6]~32826_combout\ : std_logic;
SIGNAL \led_flash_cnt[424][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[424][6]~32827\ : std_logic;
SIGNAL \led_flash_cnt[424][7]~32828_combout\ : std_logic;
SIGNAL \led_flash_cnt[424][7]~q\ : std_logic;
SIGNAL \WideAnd424~0_combout\ : std_logic;
SIGNAL \WideAnd424~1_combout\ : std_logic;
SIGNAL \WideAnd424~combout\ : std_logic;
SIGNAL \led_flash_cnt[426][0]~81066_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[426][1]~32844_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[426][1]~32845\ : std_logic;
SIGNAL \led_flash_cnt[426][2]~32846_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[426][2]~32847\ : std_logic;
SIGNAL \led_flash_cnt[426][3]~32848_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[426][3]~32849\ : std_logic;
SIGNAL \led_flash_cnt[426][4]~32850_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[426][4]~32851\ : std_logic;
SIGNAL \led_flash_cnt[426][5]~32852_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[426][5]~32853\ : std_logic;
SIGNAL \led_flash_cnt[426][6]~32854_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][6]~q\ : std_logic;
SIGNAL \WideAnd426~1_combout\ : std_logic;
SIGNAL \WideAnd426~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][6]~32855\ : std_logic;
SIGNAL \led_flash_cnt[426][7]~32856_combout\ : std_logic;
SIGNAL \led_flash_cnt[426][7]~q\ : std_logic;
SIGNAL \WideAnd426~combout\ : std_logic;
SIGNAL \WideAnd3893~0_combout\ : std_logic;
SIGNAL \WideAnd3893~combout\ : std_logic;
SIGNAL \WideAnd4326~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][0]~81054_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[414][1]~32676_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[414][1]~32677\ : std_logic;
SIGNAL \led_flash_cnt[414][2]~32678_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[414][2]~32679\ : std_logic;
SIGNAL \led_flash_cnt[414][3]~32680_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[414][3]~32681\ : std_logic;
SIGNAL \led_flash_cnt[414][4]~32682_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][4]~q\ : std_logic;
SIGNAL \WideAnd414~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][4]~32683\ : std_logic;
SIGNAL \led_flash_cnt[414][5]~32684_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[414][5]~32685\ : std_logic;
SIGNAL \led_flash_cnt[414][6]~32686_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[414][6]~32687\ : std_logic;
SIGNAL \led_flash_cnt[414][7]~32688_combout\ : std_logic;
SIGNAL \led_flash_cnt[414][7]~q\ : std_logic;
SIGNAL \WideAnd414~1_combout\ : std_logic;
SIGNAL \WideAnd414~combout\ : std_logic;
SIGNAL \led_flash_cnt[413][0]~81053_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[413][1]~32662_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[413][1]~32663\ : std_logic;
SIGNAL \led_flash_cnt[413][2]~32664_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[413][2]~32665\ : std_logic;
SIGNAL \led_flash_cnt[413][3]~32666_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[413][3]~32667\ : std_logic;
SIGNAL \led_flash_cnt[413][4]~32668_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][4]~q\ : std_logic;
SIGNAL \WideAnd413~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][4]~32669\ : std_logic;
SIGNAL \led_flash_cnt[413][5]~32670_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[413][5]~32671\ : std_logic;
SIGNAL \led_flash_cnt[413][6]~32672_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][6]~q\ : std_logic;
SIGNAL \WideAnd413~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][6]~32673\ : std_logic;
SIGNAL \led_flash_cnt[413][7]~32674_combout\ : std_logic;
SIGNAL \led_flash_cnt[413][7]~q\ : std_logic;
SIGNAL \WideAnd413~combout\ : std_logic;
SIGNAL \led_flash_cnt[412][0]~81052_combout\ : std_logic;
SIGNAL \led_flash_cnt[412][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[412][1]~32648_combout\ : std_logic;
SIGNAL \led_flash_cnt[412][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[412][1]~32649\ : std_logic;
SIGNAL \led_flash_cnt[412][2]~32650_combout\ : std_logic;
SIGNAL \led_flash_cnt[412][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[412][2]~32651\ : std_logic;
SIGNAL \led_flash_cnt[412][3]~32652_combout\ : std_logic;
SIGNAL \led_flash_cnt[412][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[412][3]~32653\ : std_logic;
SIGNAL \led_flash_cnt[412][4]~32654_combout\ : std_logic;
SIGNAL \led_flash_cnt[412][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[412][4]~32655\ : std_logic;
SIGNAL \led_flash_cnt[412][5]~32656_combout\ : std_logic;
SIGNAL \led_flash_cnt[412][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[412][5]~32657\ : std_logic;
SIGNAL \led_flash_cnt[412][6]~32658_combout\ : std_logic;
SIGNAL \led_flash_cnt[412][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[412][6]~32659\ : std_logic;
SIGNAL \led_flash_cnt[412][7]~32660_combout\ : std_logic;
SIGNAL \led_flash_cnt[412][7]~q\ : std_logic;
SIGNAL \WideAnd412~1_combout\ : std_logic;
SIGNAL \WideAnd412~0_combout\ : std_logic;
SIGNAL \WideAnd412~combout\ : std_logic;
SIGNAL \WideAnd3891~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][0]~81055_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[415][1]~32690_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[415][1]~32691\ : std_logic;
SIGNAL \led_flash_cnt[415][2]~32692_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[415][2]~32693\ : std_logic;
SIGNAL \led_flash_cnt[415][3]~32694_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[415][3]~32695\ : std_logic;
SIGNAL \led_flash_cnt[415][4]~32696_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][4]~q\ : std_logic;
SIGNAL \WideAnd415~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][4]~32697\ : std_logic;
SIGNAL \led_flash_cnt[415][5]~32698_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[415][5]~32699\ : std_logic;
SIGNAL \led_flash_cnt[415][6]~32700_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][6]~q\ : std_logic;
SIGNAL \WideAnd415~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][6]~32701\ : std_logic;
SIGNAL \led_flash_cnt[415][7]~32702_combout\ : std_logic;
SIGNAL \led_flash_cnt[415][7]~q\ : std_logic;
SIGNAL \WideAnd415~combout\ : std_logic;
SIGNAL \led_flash_cnt[410][0]~81050_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[410][1]~32620_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[410][1]~32621\ : std_logic;
SIGNAL \led_flash_cnt[410][2]~32622_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[410][2]~32623\ : std_logic;
SIGNAL \led_flash_cnt[410][3]~32624_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[410][3]~32625\ : std_logic;
SIGNAL \led_flash_cnt[410][4]~32626_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][4]~q\ : std_logic;
SIGNAL \WideAnd410~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][4]~32627\ : std_logic;
SIGNAL \led_flash_cnt[410][5]~32628_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[410][5]~32629\ : std_logic;
SIGNAL \led_flash_cnt[410][6]~32630_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[410][6]~32631\ : std_logic;
SIGNAL \led_flash_cnt[410][7]~32632_combout\ : std_logic;
SIGNAL \led_flash_cnt[410][7]~q\ : std_logic;
SIGNAL \WideAnd410~1_combout\ : std_logic;
SIGNAL \WideAnd410~combout\ : std_logic;
SIGNAL \led_flash_cnt[409][0]~81049_combout\ : std_logic;
SIGNAL \led_flash_cnt[409][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[409][1]~32606_combout\ : std_logic;
SIGNAL \led_flash_cnt[409][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[409][1]~32607\ : std_logic;
SIGNAL \led_flash_cnt[409][2]~32608_combout\ : std_logic;
SIGNAL \led_flash_cnt[409][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[409][2]~32609\ : std_logic;
SIGNAL \led_flash_cnt[409][3]~32610_combout\ : std_logic;
SIGNAL \led_flash_cnt[409][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[409][3]~32611\ : std_logic;
SIGNAL \led_flash_cnt[409][4]~32612_combout\ : std_logic;
SIGNAL \led_flash_cnt[409][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[409][4]~32613\ : std_logic;
SIGNAL \led_flash_cnt[409][5]~32614_combout\ : std_logic;
SIGNAL \led_flash_cnt[409][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[409][5]~32615\ : std_logic;
SIGNAL \led_flash_cnt[409][6]~32616_combout\ : std_logic;
SIGNAL \led_flash_cnt[409][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[409][6]~32617\ : std_logic;
SIGNAL \led_flash_cnt[409][7]~32618_combout\ : std_logic;
SIGNAL \led_flash_cnt[409][7]~q\ : std_logic;
SIGNAL \WideAnd409~0_combout\ : std_logic;
SIGNAL \WideAnd409~1_combout\ : std_logic;
SIGNAL \WideAnd409~combout\ : std_logic;
SIGNAL \led_flash_cnt[408][0]~81048_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[408][1]~32592_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[408][1]~32593\ : std_logic;
SIGNAL \led_flash_cnt[408][2]~32594_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[408][2]~32595\ : std_logic;
SIGNAL \led_flash_cnt[408][3]~32596_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[408][3]~32597\ : std_logic;
SIGNAL \led_flash_cnt[408][4]~32598_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[408][4]~32599\ : std_logic;
SIGNAL \led_flash_cnt[408][5]~32600_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[408][5]~32601\ : std_logic;
SIGNAL \led_flash_cnt[408][6]~32602_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][6]~q\ : std_logic;
SIGNAL \WideAnd408~1_combout\ : std_logic;
SIGNAL \WideAnd408~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][6]~32603\ : std_logic;
SIGNAL \led_flash_cnt[408][7]~32604_combout\ : std_logic;
SIGNAL \led_flash_cnt[408][7]~q\ : std_logic;
SIGNAL \WideAnd408~combout\ : std_logic;
SIGNAL \led_flash_cnt[411][0]~81051_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[411][1]~32634_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[411][1]~32635\ : std_logic;
SIGNAL \led_flash_cnt[411][2]~32636_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[411][2]~32637\ : std_logic;
SIGNAL \led_flash_cnt[411][3]~32638_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[411][3]~32639\ : std_logic;
SIGNAL \led_flash_cnt[411][4]~32640_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[411][4]~32641\ : std_logic;
SIGNAL \led_flash_cnt[411][5]~32642_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[411][5]~32643\ : std_logic;
SIGNAL \led_flash_cnt[411][6]~32644_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][6]~q\ : std_logic;
SIGNAL \WideAnd411~1_combout\ : std_logic;
SIGNAL \WideAnd411~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][6]~32645\ : std_logic;
SIGNAL \led_flash_cnt[411][7]~32646_combout\ : std_logic;
SIGNAL \led_flash_cnt[411][7]~q\ : std_logic;
SIGNAL \WideAnd411~combout\ : std_logic;
SIGNAL \WideAnd3891~0_combout\ : std_logic;
SIGNAL \WideAnd3891~combout\ : std_logic;
SIGNAL \led_flash_cnt[398][0]~81038_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[398][1]~32452_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[398][1]~32453\ : std_logic;
SIGNAL \led_flash_cnt[398][2]~32454_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[398][2]~32455\ : std_logic;
SIGNAL \led_flash_cnt[398][3]~32456_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[398][3]~32457\ : std_logic;
SIGNAL \led_flash_cnt[398][4]~32458_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[398][4]~32459\ : std_logic;
SIGNAL \led_flash_cnt[398][5]~32460_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[398][5]~32461\ : std_logic;
SIGNAL \led_flash_cnt[398][6]~32462_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][6]~q\ : std_logic;
SIGNAL \WideAnd398~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][6]~32463\ : std_logic;
SIGNAL \led_flash_cnt[398][7]~32464_combout\ : std_logic;
SIGNAL \led_flash_cnt[398][7]~q\ : std_logic;
SIGNAL \WideAnd398~0_combout\ : std_logic;
SIGNAL \WideAnd398~combout\ : std_logic;
SIGNAL \led_flash_cnt[399][0]~81039_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[399][1]~32466_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[399][1]~32467\ : std_logic;
SIGNAL \led_flash_cnt[399][2]~32468_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[399][2]~32469\ : std_logic;
SIGNAL \led_flash_cnt[399][3]~32470_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[399][3]~32471\ : std_logic;
SIGNAL \led_flash_cnt[399][4]~32472_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[399][4]~32473\ : std_logic;
SIGNAL \led_flash_cnt[399][5]~32474_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[399][5]~32475\ : std_logic;
SIGNAL \led_flash_cnt[399][6]~32476_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][6]~q\ : std_logic;
SIGNAL \WideAnd399~1_combout\ : std_logic;
SIGNAL \WideAnd399~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][6]~32477\ : std_logic;
SIGNAL \led_flash_cnt[399][7]~32478_combout\ : std_logic;
SIGNAL \led_flash_cnt[399][7]~q\ : std_logic;
SIGNAL \WideAnd399~combout\ : std_logic;
SIGNAL \led_flash_cnt[393][0]~81033_combout\ : std_logic;
SIGNAL \led_flash_cnt[393][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[393][1]~32382_combout\ : std_logic;
SIGNAL \led_flash_cnt[393][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[393][1]~32383\ : std_logic;
SIGNAL \led_flash_cnt[393][2]~32384_combout\ : std_logic;
SIGNAL \led_flash_cnt[393][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[393][2]~32385\ : std_logic;
SIGNAL \led_flash_cnt[393][3]~32386_combout\ : std_logic;
SIGNAL \led_flash_cnt[393][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[393][3]~32387\ : std_logic;
SIGNAL \led_flash_cnt[393][4]~32388_combout\ : std_logic;
SIGNAL \led_flash_cnt[393][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[393][4]~32389\ : std_logic;
SIGNAL \led_flash_cnt[393][5]~32390_combout\ : std_logic;
SIGNAL \led_flash_cnt[393][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[393][5]~32391\ : std_logic;
SIGNAL \led_flash_cnt[393][6]~32392_combout\ : std_logic;
SIGNAL \led_flash_cnt[393][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[393][6]~32393\ : std_logic;
SIGNAL \led_flash_cnt[393][7]~32394_combout\ : std_logic;
SIGNAL \led_flash_cnt[393][7]~q\ : std_logic;
SIGNAL \WideAnd393~1_combout\ : std_logic;
SIGNAL \WideAnd393~0_combout\ : std_logic;
SIGNAL \WideAnd393~combout\ : std_logic;
SIGNAL \led_flash_cnt[395][0]~81035_combout\ : std_logic;
SIGNAL \led_flash_cnt[395][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[395][1]~32410_combout\ : std_logic;
SIGNAL \led_flash_cnt[395][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[395][1]~32411\ : std_logic;
SIGNAL \led_flash_cnt[395][2]~32412_combout\ : std_logic;
SIGNAL \led_flash_cnt[395][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[395][2]~32413\ : std_logic;
SIGNAL \led_flash_cnt[395][3]~32414_combout\ : std_logic;
SIGNAL \led_flash_cnt[395][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[395][3]~32415\ : std_logic;
SIGNAL \led_flash_cnt[395][4]~32416_combout\ : std_logic;
SIGNAL \led_flash_cnt[395][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[395][4]~32417\ : std_logic;
SIGNAL \led_flash_cnt[395][5]~32418_combout\ : std_logic;
SIGNAL \led_flash_cnt[395][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[395][5]~32419\ : std_logic;
SIGNAL \led_flash_cnt[395][6]~32420_combout\ : std_logic;
SIGNAL \led_flash_cnt[395][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[395][6]~32421\ : std_logic;
SIGNAL \led_flash_cnt[395][7]~32422_combout\ : std_logic;
SIGNAL \led_flash_cnt[395][7]~q\ : std_logic;
SIGNAL \WideAnd395~1_combout\ : std_logic;
SIGNAL \WideAnd395~0_combout\ : std_logic;
SIGNAL \WideAnd395~combout\ : std_logic;
SIGNAL \led_flash_cnt[392][0]~81032_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[392][1]~32368_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[392][1]~32369\ : std_logic;
SIGNAL \led_flash_cnt[392][2]~32370_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[392][2]~32371\ : std_logic;
SIGNAL \led_flash_cnt[392][3]~32372_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[392][3]~32373\ : std_logic;
SIGNAL \led_flash_cnt[392][4]~32374_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[392][4]~32375\ : std_logic;
SIGNAL \led_flash_cnt[392][5]~32376_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[392][5]~32377\ : std_logic;
SIGNAL \led_flash_cnt[392][6]~32378_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][6]~q\ : std_logic;
SIGNAL \WideAnd392~1_combout\ : std_logic;
SIGNAL \WideAnd392~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][6]~32379\ : std_logic;
SIGNAL \led_flash_cnt[392][7]~32380_combout\ : std_logic;
SIGNAL \led_flash_cnt[392][7]~q\ : std_logic;
SIGNAL \WideAnd392~combout\ : std_logic;
SIGNAL \led_flash_cnt[394][0]~81034_combout\ : std_logic;
SIGNAL \led_flash_cnt[394][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[394][1]~32396_combout\ : std_logic;
SIGNAL \led_flash_cnt[394][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[394][1]~32397\ : std_logic;
SIGNAL \led_flash_cnt[394][2]~32398_combout\ : std_logic;
SIGNAL \led_flash_cnt[394][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[394][2]~32399\ : std_logic;
SIGNAL \led_flash_cnt[394][3]~32400_combout\ : std_logic;
SIGNAL \led_flash_cnt[394][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[394][3]~32401\ : std_logic;
SIGNAL \led_flash_cnt[394][4]~32402_combout\ : std_logic;
SIGNAL \led_flash_cnt[394][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[394][4]~32403\ : std_logic;
SIGNAL \led_flash_cnt[394][5]~32404_combout\ : std_logic;
SIGNAL \led_flash_cnt[394][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[394][5]~32405\ : std_logic;
SIGNAL \led_flash_cnt[394][6]~32406_combout\ : std_logic;
SIGNAL \led_flash_cnt[394][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[394][6]~32407\ : std_logic;
SIGNAL \led_flash_cnt[394][7]~32408_combout\ : std_logic;
SIGNAL \led_flash_cnt[394][7]~q\ : std_logic;
SIGNAL \WideAnd394~0_combout\ : std_logic;
SIGNAL \WideAnd394~1_combout\ : std_logic;
SIGNAL \WideAnd394~combout\ : std_logic;
SIGNAL \WideAnd3889~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][0]~81036_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[396][1]~32424_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[396][1]~32425\ : std_logic;
SIGNAL \led_flash_cnt[396][2]~32426_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[396][2]~32427\ : std_logic;
SIGNAL \led_flash_cnt[396][3]~32428_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[396][3]~32429\ : std_logic;
SIGNAL \led_flash_cnt[396][4]~32430_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[396][4]~32431\ : std_logic;
SIGNAL \led_flash_cnt[396][5]~32432_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[396][5]~32433\ : std_logic;
SIGNAL \led_flash_cnt[396][6]~32434_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[396][6]~32435\ : std_logic;
SIGNAL \led_flash_cnt[396][7]~32436_combout\ : std_logic;
SIGNAL \led_flash_cnt[396][7]~q\ : std_logic;
SIGNAL \WideAnd396~1_combout\ : std_logic;
SIGNAL \WideAnd396~0_combout\ : std_logic;
SIGNAL \WideAnd396~combout\ : std_logic;
SIGNAL \led_flash_cnt[397][0]~81037_combout\ : std_logic;
SIGNAL \led_flash_cnt[397][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[397][1]~32438_combout\ : std_logic;
SIGNAL \led_flash_cnt[397][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[397][1]~32439\ : std_logic;
SIGNAL \led_flash_cnt[397][2]~32440_combout\ : std_logic;
SIGNAL \led_flash_cnt[397][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[397][2]~32441\ : std_logic;
SIGNAL \led_flash_cnt[397][3]~32442_combout\ : std_logic;
SIGNAL \led_flash_cnt[397][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[397][3]~32443\ : std_logic;
SIGNAL \led_flash_cnt[397][4]~32444_combout\ : std_logic;
SIGNAL \led_flash_cnt[397][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[397][4]~32445\ : std_logic;
SIGNAL \led_flash_cnt[397][5]~32446_combout\ : std_logic;
SIGNAL \led_flash_cnt[397][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[397][5]~32447\ : std_logic;
SIGNAL \led_flash_cnt[397][6]~32448_combout\ : std_logic;
SIGNAL \led_flash_cnt[397][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[397][6]~32449\ : std_logic;
SIGNAL \led_flash_cnt[397][7]~32450_combout\ : std_logic;
SIGNAL \led_flash_cnt[397][7]~q\ : std_logic;
SIGNAL \WideAnd397~1_combout\ : std_logic;
SIGNAL \WideAnd397~0_combout\ : std_logic;
SIGNAL \WideAnd397~combout\ : std_logic;
SIGNAL \WideAnd3889~1_combout\ : std_logic;
SIGNAL \WideAnd3889~combout\ : std_logic;
SIGNAL \led_flash_cnt[405][0]~81045_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[405][1]~32550_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[405][1]~32551\ : std_logic;
SIGNAL \led_flash_cnt[405][2]~32552_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[405][2]~32553\ : std_logic;
SIGNAL \led_flash_cnt[405][3]~32554_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[405][3]~32555\ : std_logic;
SIGNAL \led_flash_cnt[405][4]~32556_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][4]~q\ : std_logic;
SIGNAL \WideAnd405~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][4]~32557\ : std_logic;
SIGNAL \led_flash_cnt[405][5]~32558_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[405][5]~32559\ : std_logic;
SIGNAL \led_flash_cnt[405][6]~32560_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[405][6]~32561\ : std_logic;
SIGNAL \led_flash_cnt[405][7]~32562_combout\ : std_logic;
SIGNAL \led_flash_cnt[405][7]~q\ : std_logic;
SIGNAL \WideAnd405~1_combout\ : std_logic;
SIGNAL \WideAnd405~combout\ : std_logic;
SIGNAL \led_flash_cnt[404][0]~81044_combout\ : std_logic;
SIGNAL \led_flash_cnt[404][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[404][1]~32536_combout\ : std_logic;
SIGNAL \led_flash_cnt[404][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[404][1]~32537\ : std_logic;
SIGNAL \led_flash_cnt[404][2]~32538_combout\ : std_logic;
SIGNAL \led_flash_cnt[404][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[404][2]~32539\ : std_logic;
SIGNAL \led_flash_cnt[404][3]~32540_combout\ : std_logic;
SIGNAL \led_flash_cnt[404][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[404][3]~32541\ : std_logic;
SIGNAL \led_flash_cnt[404][4]~32542_combout\ : std_logic;
SIGNAL \led_flash_cnt[404][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[404][4]~32543\ : std_logic;
SIGNAL \led_flash_cnt[404][5]~32544_combout\ : std_logic;
SIGNAL \led_flash_cnt[404][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[404][5]~32545\ : std_logic;
SIGNAL \led_flash_cnt[404][6]~32546_combout\ : std_logic;
SIGNAL \led_flash_cnt[404][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[404][6]~32547\ : std_logic;
SIGNAL \led_flash_cnt[404][7]~32548_combout\ : std_logic;
SIGNAL \led_flash_cnt[404][7]~q\ : std_logic;
SIGNAL \WideAnd404~1_combout\ : std_logic;
SIGNAL \WideAnd404~0_combout\ : std_logic;
SIGNAL \WideAnd404~combout\ : std_logic;
SIGNAL \WideAnd3890~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][0]~81046_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[406][1]~32564_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[406][1]~32565\ : std_logic;
SIGNAL \led_flash_cnt[406][2]~32566_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[406][2]~32567\ : std_logic;
SIGNAL \led_flash_cnt[406][3]~32568_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[406][3]~32569\ : std_logic;
SIGNAL \led_flash_cnt[406][4]~32570_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][4]~q\ : std_logic;
SIGNAL \WideAnd406~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][4]~32571\ : std_logic;
SIGNAL \led_flash_cnt[406][5]~32572_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[406][5]~32573\ : std_logic;
SIGNAL \led_flash_cnt[406][6]~32574_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][6]~q\ : std_logic;
SIGNAL \WideAnd406~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][6]~32575\ : std_logic;
SIGNAL \led_flash_cnt[406][7]~32576_combout\ : std_logic;
SIGNAL \led_flash_cnt[406][7]~q\ : std_logic;
SIGNAL \WideAnd406~combout\ : std_logic;
SIGNAL \led_flash_cnt[403][0]~81043_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[403][1]~32522_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[403][1]~32523\ : std_logic;
SIGNAL \led_flash_cnt[403][2]~32524_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[403][2]~32525\ : std_logic;
SIGNAL \led_flash_cnt[403][3]~32526_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[403][3]~32527\ : std_logic;
SIGNAL \led_flash_cnt[403][4]~32528_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[403][4]~32529\ : std_logic;
SIGNAL \led_flash_cnt[403][5]~32530_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[403][5]~32531\ : std_logic;
SIGNAL \led_flash_cnt[403][6]~32532_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][6]~q\ : std_logic;
SIGNAL \WideAnd403~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][6]~32533\ : std_logic;
SIGNAL \led_flash_cnt[403][7]~32534_combout\ : std_logic;
SIGNAL \led_flash_cnt[403][7]~q\ : std_logic;
SIGNAL \WideAnd403~0_combout\ : std_logic;
SIGNAL \WideAnd403~combout\ : std_logic;
SIGNAL \led_flash_cnt[401][0]~81041_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[401][1]~32494_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[401][1]~32495\ : std_logic;
SIGNAL \led_flash_cnt[401][2]~32496_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[401][2]~32497\ : std_logic;
SIGNAL \led_flash_cnt[401][3]~32498_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[401][3]~32499\ : std_logic;
SIGNAL \led_flash_cnt[401][4]~32500_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][4]~q\ : std_logic;
SIGNAL \WideAnd401~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][4]~32501\ : std_logic;
SIGNAL \led_flash_cnt[401][5]~32502_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[401][5]~32503\ : std_logic;
SIGNAL \led_flash_cnt[401][6]~32504_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[401][6]~32505\ : std_logic;
SIGNAL \led_flash_cnt[401][7]~32506_combout\ : std_logic;
SIGNAL \led_flash_cnt[401][7]~q\ : std_logic;
SIGNAL \WideAnd401~1_combout\ : std_logic;
SIGNAL \WideAnd401~combout\ : std_logic;
SIGNAL \led_flash_cnt[402][0]~81042_combout\ : std_logic;
SIGNAL \led_flash_cnt[402][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[402][1]~32508_combout\ : std_logic;
SIGNAL \led_flash_cnt[402][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[402][1]~32509\ : std_logic;
SIGNAL \led_flash_cnt[402][2]~32510_combout\ : std_logic;
SIGNAL \led_flash_cnt[402][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[402][2]~32511\ : std_logic;
SIGNAL \led_flash_cnt[402][3]~32512_combout\ : std_logic;
SIGNAL \led_flash_cnt[402][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[402][3]~32513\ : std_logic;
SIGNAL \led_flash_cnt[402][4]~32514_combout\ : std_logic;
SIGNAL \led_flash_cnt[402][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[402][4]~32515\ : std_logic;
SIGNAL \led_flash_cnt[402][5]~32516_combout\ : std_logic;
SIGNAL \led_flash_cnt[402][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[402][5]~32517\ : std_logic;
SIGNAL \led_flash_cnt[402][6]~32518_combout\ : std_logic;
SIGNAL \led_flash_cnt[402][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[402][6]~32519\ : std_logic;
SIGNAL \led_flash_cnt[402][7]~32520_combout\ : std_logic;
SIGNAL \led_flash_cnt[402][7]~q\ : std_logic;
SIGNAL \WideAnd402~1_combout\ : std_logic;
SIGNAL \WideAnd402~0_combout\ : std_logic;
SIGNAL \WideAnd402~combout\ : std_logic;
SIGNAL \led_flash_cnt[400][0]~81040_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[400][1]~32480_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[400][1]~32481\ : std_logic;
SIGNAL \led_flash_cnt[400][2]~32482_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[400][2]~32483\ : std_logic;
SIGNAL \led_flash_cnt[400][3]~32484_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[400][3]~32485\ : std_logic;
SIGNAL \led_flash_cnt[400][4]~32486_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[400][4]~32487\ : std_logic;
SIGNAL \led_flash_cnt[400][5]~32488_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[400][5]~32489\ : std_logic;
SIGNAL \led_flash_cnt[400][6]~32490_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][6]~q\ : std_logic;
SIGNAL \WideAnd400~1_combout\ : std_logic;
SIGNAL \WideAnd400~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][6]~32491\ : std_logic;
SIGNAL \led_flash_cnt[400][7]~32492_combout\ : std_logic;
SIGNAL \led_flash_cnt[400][7]~q\ : std_logic;
SIGNAL \WideAnd400~combout\ : std_logic;
SIGNAL \WideAnd3890~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][0]~81047_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[407][1]~32578_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[407][1]~32579\ : std_logic;
SIGNAL \led_flash_cnt[407][2]~32580_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[407][2]~32581\ : std_logic;
SIGNAL \led_flash_cnt[407][3]~32582_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[407][3]~32583\ : std_logic;
SIGNAL \led_flash_cnt[407][4]~32584_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[407][4]~32585\ : std_logic;
SIGNAL \led_flash_cnt[407][5]~32586_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[407][5]~32587\ : std_logic;
SIGNAL \led_flash_cnt[407][6]~32588_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][6]~q\ : std_logic;
SIGNAL \WideAnd407~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][6]~32589\ : std_logic;
SIGNAL \led_flash_cnt[407][7]~32590_combout\ : std_logic;
SIGNAL \led_flash_cnt[407][7]~q\ : std_logic;
SIGNAL \WideAnd407~0_combout\ : std_logic;
SIGNAL \WideAnd407~combout\ : std_logic;
SIGNAL \WideAnd3890~combout\ : std_logic;
SIGNAL \led_flash_cnt[390][0]~81030_combout\ : std_logic;
SIGNAL \led_flash_cnt[390][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[390][1]~32340_combout\ : std_logic;
SIGNAL \led_flash_cnt[390][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[390][1]~32341\ : std_logic;
SIGNAL \led_flash_cnt[390][2]~32342_combout\ : std_logic;
SIGNAL \led_flash_cnt[390][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[390][2]~32343\ : std_logic;
SIGNAL \led_flash_cnt[390][3]~32344_combout\ : std_logic;
SIGNAL \led_flash_cnt[390][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[390][3]~32345\ : std_logic;
SIGNAL \led_flash_cnt[390][4]~32346_combout\ : std_logic;
SIGNAL \led_flash_cnt[390][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[390][4]~32347\ : std_logic;
SIGNAL \led_flash_cnt[390][5]~32348_combout\ : std_logic;
SIGNAL \led_flash_cnt[390][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[390][5]~32349\ : std_logic;
SIGNAL \led_flash_cnt[390][6]~32350_combout\ : std_logic;
SIGNAL \led_flash_cnt[390][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[390][6]~32351\ : std_logic;
SIGNAL \led_flash_cnt[390][7]~32352_combout\ : std_logic;
SIGNAL \led_flash_cnt[390][7]~q\ : std_logic;
SIGNAL \WideAnd390~1_combout\ : std_logic;
SIGNAL \WideAnd390~0_combout\ : std_logic;
SIGNAL \WideAnd390~combout\ : std_logic;
SIGNAL \led_flash_cnt[388][0]~81028_combout\ : std_logic;
SIGNAL \led_flash_cnt[388][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[388][1]~32312_combout\ : std_logic;
SIGNAL \led_flash_cnt[388][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[388][1]~32313\ : std_logic;
SIGNAL \led_flash_cnt[388][2]~32314_combout\ : std_logic;
SIGNAL \led_flash_cnt[388][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[388][2]~32315\ : std_logic;
SIGNAL \led_flash_cnt[388][3]~32316_combout\ : std_logic;
SIGNAL \led_flash_cnt[388][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[388][3]~32317\ : std_logic;
SIGNAL \led_flash_cnt[388][4]~32318_combout\ : std_logic;
SIGNAL \led_flash_cnt[388][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[388][4]~32319\ : std_logic;
SIGNAL \led_flash_cnt[388][5]~32320_combout\ : std_logic;
SIGNAL \led_flash_cnt[388][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[388][5]~32321\ : std_logic;
SIGNAL \led_flash_cnt[388][6]~32322_combout\ : std_logic;
SIGNAL \led_flash_cnt[388][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[388][6]~32323\ : std_logic;
SIGNAL \led_flash_cnt[388][7]~32324_combout\ : std_logic;
SIGNAL \led_flash_cnt[388][7]~q\ : std_logic;
SIGNAL \WideAnd388~0_combout\ : std_logic;
SIGNAL \WideAnd388~1_combout\ : std_logic;
SIGNAL \WideAnd388~combout\ : std_logic;
SIGNAL \led_flash_cnt[389][0]~81029_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[389][1]~32326_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[389][1]~32327\ : std_logic;
SIGNAL \led_flash_cnt[389][2]~32328_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[389][2]~32329\ : std_logic;
SIGNAL \led_flash_cnt[389][3]~32330_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[389][3]~32331\ : std_logic;
SIGNAL \led_flash_cnt[389][4]~32332_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[389][4]~32333\ : std_logic;
SIGNAL \led_flash_cnt[389][5]~32334_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[389][5]~32335\ : std_logic;
SIGNAL \led_flash_cnt[389][6]~32336_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][6]~q\ : std_logic;
SIGNAL \WideAnd389~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][6]~32337\ : std_logic;
SIGNAL \led_flash_cnt[389][7]~32338_combout\ : std_logic;
SIGNAL \led_flash_cnt[389][7]~q\ : std_logic;
SIGNAL \WideAnd389~0_combout\ : std_logic;
SIGNAL \WideAnd389~combout\ : std_logic;
SIGNAL \WideAnd3888~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][0]~81031_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[391][1]~32354_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[391][1]~32355\ : std_logic;
SIGNAL \led_flash_cnt[391][2]~32356_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[391][2]~32357\ : std_logic;
SIGNAL \led_flash_cnt[391][3]~32358_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[391][3]~32359\ : std_logic;
SIGNAL \led_flash_cnt[391][4]~32360_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[391][4]~32361\ : std_logic;
SIGNAL \led_flash_cnt[391][5]~32362_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[391][5]~32363\ : std_logic;
SIGNAL \led_flash_cnt[391][6]~32364_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[391][6]~32365\ : std_logic;
SIGNAL \led_flash_cnt[391][7]~32366_combout\ : std_logic;
SIGNAL \led_flash_cnt[391][7]~q\ : std_logic;
SIGNAL \WideAnd391~1_combout\ : std_logic;
SIGNAL \WideAnd391~0_combout\ : std_logic;
SIGNAL \WideAnd391~combout\ : std_logic;
SIGNAL \led_flash_cnt[384][0]~81024_combout\ : std_logic;
SIGNAL \led_flash_cnt[384][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[384][1]~32256_combout\ : std_logic;
SIGNAL \led_flash_cnt[384][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[384][1]~32257\ : std_logic;
SIGNAL \led_flash_cnt[384][2]~32258_combout\ : std_logic;
SIGNAL \led_flash_cnt[384][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[384][2]~32259\ : std_logic;
SIGNAL \led_flash_cnt[384][3]~32260_combout\ : std_logic;
SIGNAL \led_flash_cnt[384][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[384][3]~32261\ : std_logic;
SIGNAL \led_flash_cnt[384][4]~32262_combout\ : std_logic;
SIGNAL \led_flash_cnt[384][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[384][4]~32263\ : std_logic;
SIGNAL \led_flash_cnt[384][5]~32264_combout\ : std_logic;
SIGNAL \led_flash_cnt[384][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[384][5]~32265\ : std_logic;
SIGNAL \led_flash_cnt[384][6]~32266_combout\ : std_logic;
SIGNAL \led_flash_cnt[384][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[384][6]~32267\ : std_logic;
SIGNAL \led_flash_cnt[384][7]~32268_combout\ : std_logic;
SIGNAL \led_flash_cnt[384][7]~q\ : std_logic;
SIGNAL \WideAnd384~1_combout\ : std_logic;
SIGNAL \WideAnd384~0_combout\ : std_logic;
SIGNAL \WideAnd384~combout\ : std_logic;
SIGNAL \led_flash_cnt[387][0]~81027_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[387][1]~32298_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[387][1]~32299\ : std_logic;
SIGNAL \led_flash_cnt[387][2]~32300_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[387][2]~32301\ : std_logic;
SIGNAL \led_flash_cnt[387][3]~32302_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[387][3]~32303\ : std_logic;
SIGNAL \led_flash_cnt[387][4]~32304_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[387][4]~32305\ : std_logic;
SIGNAL \led_flash_cnt[387][5]~32306_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[387][5]~32307\ : std_logic;
SIGNAL \led_flash_cnt[387][6]~32308_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][6]~q\ : std_logic;
SIGNAL \WideAnd387~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][6]~32309\ : std_logic;
SIGNAL \led_flash_cnt[387][7]~32310_combout\ : std_logic;
SIGNAL \led_flash_cnt[387][7]~q\ : std_logic;
SIGNAL \WideAnd387~0_combout\ : std_logic;
SIGNAL \WideAnd387~combout\ : std_logic;
SIGNAL \led_flash_cnt[386][0]~81026_combout\ : std_logic;
SIGNAL \led_flash_cnt[386][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[386][1]~32284_combout\ : std_logic;
SIGNAL \led_flash_cnt[386][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[386][1]~32285\ : std_logic;
SIGNAL \led_flash_cnt[386][2]~32286_combout\ : std_logic;
SIGNAL \led_flash_cnt[386][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[386][2]~32287\ : std_logic;
SIGNAL \led_flash_cnt[386][3]~32288_combout\ : std_logic;
SIGNAL \led_flash_cnt[386][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[386][3]~32289\ : std_logic;
SIGNAL \led_flash_cnt[386][4]~32290_combout\ : std_logic;
SIGNAL \led_flash_cnt[386][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[386][4]~32291\ : std_logic;
SIGNAL \led_flash_cnt[386][5]~32292_combout\ : std_logic;
SIGNAL \led_flash_cnt[386][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[386][5]~32293\ : std_logic;
SIGNAL \led_flash_cnt[386][6]~32294_combout\ : std_logic;
SIGNAL \led_flash_cnt[386][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[386][6]~32295\ : std_logic;
SIGNAL \led_flash_cnt[386][7]~32296_combout\ : std_logic;
SIGNAL \led_flash_cnt[386][7]~q\ : std_logic;
SIGNAL \WideAnd386~1_combout\ : std_logic;
SIGNAL \WideAnd386~0_combout\ : std_logic;
SIGNAL \WideAnd386~combout\ : std_logic;
SIGNAL \led_flash_cnt[385][0]~81025_combout\ : std_logic;
SIGNAL \led_flash_cnt[385][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[385][1]~32270_combout\ : std_logic;
SIGNAL \led_flash_cnt[385][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[385][1]~32271\ : std_logic;
SIGNAL \led_flash_cnt[385][2]~32272_combout\ : std_logic;
SIGNAL \led_flash_cnt[385][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[385][2]~32273\ : std_logic;
SIGNAL \led_flash_cnt[385][3]~32274_combout\ : std_logic;
SIGNAL \led_flash_cnt[385][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[385][3]~32275\ : std_logic;
SIGNAL \led_flash_cnt[385][4]~32276_combout\ : std_logic;
SIGNAL \led_flash_cnt[385][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[385][4]~32277\ : std_logic;
SIGNAL \led_flash_cnt[385][5]~32278_combout\ : std_logic;
SIGNAL \led_flash_cnt[385][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[385][5]~32279\ : std_logic;
SIGNAL \led_flash_cnt[385][6]~32280_combout\ : std_logic;
SIGNAL \led_flash_cnt[385][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[385][6]~32281\ : std_logic;
SIGNAL \led_flash_cnt[385][7]~32282_combout\ : std_logic;
SIGNAL \led_flash_cnt[385][7]~q\ : std_logic;
SIGNAL \WideAnd385~1_combout\ : std_logic;
SIGNAL \WideAnd385~0_combout\ : std_logic;
SIGNAL \WideAnd385~combout\ : std_logic;
SIGNAL \WideAnd3888~0_combout\ : std_logic;
SIGNAL \WideAnd3888~combout\ : std_logic;
SIGNAL \WideAnd4326~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][0]~81085_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[445][1]~33110_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[445][1]~33111\ : std_logic;
SIGNAL \led_flash_cnt[445][2]~33112_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[445][2]~33113\ : std_logic;
SIGNAL \led_flash_cnt[445][3]~33114_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[445][3]~33115\ : std_logic;
SIGNAL \led_flash_cnt[445][4]~33116_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[445][4]~33117\ : std_logic;
SIGNAL \led_flash_cnt[445][5]~33118_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[445][5]~33119\ : std_logic;
SIGNAL \led_flash_cnt[445][6]~33120_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[445][6]~33121\ : std_logic;
SIGNAL \led_flash_cnt[445][7]~33122_combout\ : std_logic;
SIGNAL \led_flash_cnt[445][7]~q\ : std_logic;
SIGNAL \WideAnd445~1_combout\ : std_logic;
SIGNAL \WideAnd445~0_combout\ : std_logic;
SIGNAL \WideAnd445~combout\ : std_logic;
SIGNAL \led_flash_cnt[444][0]~81084_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[444][1]~33096_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[444][1]~33097\ : std_logic;
SIGNAL \led_flash_cnt[444][2]~33098_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[444][2]~33099\ : std_logic;
SIGNAL \led_flash_cnt[444][3]~33100_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[444][3]~33101\ : std_logic;
SIGNAL \led_flash_cnt[444][4]~33102_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[444][4]~33103\ : std_logic;
SIGNAL \led_flash_cnt[444][5]~33104_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[444][5]~33105\ : std_logic;
SIGNAL \led_flash_cnt[444][6]~33106_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][6]~q\ : std_logic;
SIGNAL \WideAnd444~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][6]~33107\ : std_logic;
SIGNAL \led_flash_cnt[444][7]~33108_combout\ : std_logic;
SIGNAL \led_flash_cnt[444][7]~q\ : std_logic;
SIGNAL \WideAnd444~0_combout\ : std_logic;
SIGNAL \WideAnd444~combout\ : std_logic;
SIGNAL \WideAnd3895~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][0]~81087_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[447][1]~33138_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[447][1]~33139\ : std_logic;
SIGNAL \led_flash_cnt[447][2]~33140_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[447][2]~33141\ : std_logic;
SIGNAL \led_flash_cnt[447][3]~33142_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[447][3]~33143\ : std_logic;
SIGNAL \led_flash_cnt[447][4]~33144_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[447][4]~33145\ : std_logic;
SIGNAL \led_flash_cnt[447][5]~33146_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[447][5]~33147\ : std_logic;
SIGNAL \led_flash_cnt[447][6]~33148_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][6]~q\ : std_logic;
SIGNAL \WideAnd447~1_combout\ : std_logic;
SIGNAL \WideAnd447~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][6]~33149\ : std_logic;
SIGNAL \led_flash_cnt[447][7]~33150_combout\ : std_logic;
SIGNAL \led_flash_cnt[447][7]~q\ : std_logic;
SIGNAL \WideAnd447~combout\ : std_logic;
SIGNAL \led_flash_cnt[440][0]~81080_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[440][1]~33040_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[440][1]~33041\ : std_logic;
SIGNAL \led_flash_cnt[440][2]~33042_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[440][2]~33043\ : std_logic;
SIGNAL \led_flash_cnt[440][3]~33044_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[440][3]~33045\ : std_logic;
SIGNAL \led_flash_cnt[440][4]~33046_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][4]~q\ : std_logic;
SIGNAL \WideAnd440~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][4]~33047\ : std_logic;
SIGNAL \led_flash_cnt[440][5]~33048_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[440][5]~33049\ : std_logic;
SIGNAL \led_flash_cnt[440][6]~33050_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[440][6]~33051\ : std_logic;
SIGNAL \led_flash_cnt[440][7]~33052_combout\ : std_logic;
SIGNAL \led_flash_cnt[440][7]~q\ : std_logic;
SIGNAL \WideAnd440~1_combout\ : std_logic;
SIGNAL \WideAnd440~combout\ : std_logic;
SIGNAL \led_flash_cnt[442][0]~81082_combout\ : std_logic;
SIGNAL \led_flash_cnt[442][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[442][1]~33068_combout\ : std_logic;
SIGNAL \led_flash_cnt[442][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[442][1]~33069\ : std_logic;
SIGNAL \led_flash_cnt[442][2]~33070_combout\ : std_logic;
SIGNAL \led_flash_cnt[442][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[442][2]~33071\ : std_logic;
SIGNAL \led_flash_cnt[442][3]~33072_combout\ : std_logic;
SIGNAL \led_flash_cnt[442][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[442][3]~33073\ : std_logic;
SIGNAL \led_flash_cnt[442][4]~33074_combout\ : std_logic;
SIGNAL \led_flash_cnt[442][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[442][4]~33075\ : std_logic;
SIGNAL \led_flash_cnt[442][5]~33076_combout\ : std_logic;
SIGNAL \led_flash_cnt[442][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[442][5]~33077\ : std_logic;
SIGNAL \led_flash_cnt[442][6]~33078_combout\ : std_logic;
SIGNAL \led_flash_cnt[442][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[442][6]~33079\ : std_logic;
SIGNAL \led_flash_cnt[442][7]~33080_combout\ : std_logic;
SIGNAL \led_flash_cnt[442][7]~q\ : std_logic;
SIGNAL \WideAnd442~1_combout\ : std_logic;
SIGNAL \WideAnd442~0_combout\ : std_logic;
SIGNAL \WideAnd442~combout\ : std_logic;
SIGNAL \led_flash_cnt[443][0]~81083_combout\ : std_logic;
SIGNAL \led_flash_cnt[443][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[443][1]~33082_combout\ : std_logic;
SIGNAL \led_flash_cnt[443][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[443][1]~33083\ : std_logic;
SIGNAL \led_flash_cnt[443][2]~33084_combout\ : std_logic;
SIGNAL \led_flash_cnt[443][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[443][2]~33085\ : std_logic;
SIGNAL \led_flash_cnt[443][3]~33086_combout\ : std_logic;
SIGNAL \led_flash_cnt[443][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[443][3]~33087\ : std_logic;
SIGNAL \led_flash_cnt[443][4]~33088_combout\ : std_logic;
SIGNAL \led_flash_cnt[443][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[443][4]~33089\ : std_logic;
SIGNAL \led_flash_cnt[443][5]~33090_combout\ : std_logic;
SIGNAL \led_flash_cnt[443][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[443][5]~33091\ : std_logic;
SIGNAL \led_flash_cnt[443][6]~33092_combout\ : std_logic;
SIGNAL \led_flash_cnt[443][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[443][6]~33093\ : std_logic;
SIGNAL \led_flash_cnt[443][7]~33094_combout\ : std_logic;
SIGNAL \led_flash_cnt[443][7]~q\ : std_logic;
SIGNAL \WideAnd443~1_combout\ : std_logic;
SIGNAL \WideAnd443~0_combout\ : std_logic;
SIGNAL \WideAnd443~combout\ : std_logic;
SIGNAL \led_flash_cnt[441][0]~81081_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[441][1]~33054_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[441][1]~33055\ : std_logic;
SIGNAL \led_flash_cnt[441][2]~33056_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[441][2]~33057\ : std_logic;
SIGNAL \led_flash_cnt[441][3]~33058_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[441][3]~33059\ : std_logic;
SIGNAL \led_flash_cnt[441][4]~33060_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[441][4]~33061\ : std_logic;
SIGNAL \led_flash_cnt[441][5]~33062_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[441][5]~33063\ : std_logic;
SIGNAL \led_flash_cnt[441][6]~33064_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][6]~q\ : std_logic;
SIGNAL \WideAnd441~1_combout\ : std_logic;
SIGNAL \WideAnd441~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][6]~33065\ : std_logic;
SIGNAL \led_flash_cnt[441][7]~33066_combout\ : std_logic;
SIGNAL \led_flash_cnt[441][7]~q\ : std_logic;
SIGNAL \WideAnd441~combout\ : std_logic;
SIGNAL \WideAnd3895~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][0]~81086_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[446][1]~33124_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[446][1]~33125\ : std_logic;
SIGNAL \led_flash_cnt[446][2]~33126_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[446][2]~33127\ : std_logic;
SIGNAL \led_flash_cnt[446][3]~33128_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[446][3]~33129\ : std_logic;
SIGNAL \led_flash_cnt[446][4]~33130_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[446][4]~33131\ : std_logic;
SIGNAL \led_flash_cnt[446][5]~33132_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[446][5]~33133\ : std_logic;
SIGNAL \led_flash_cnt[446][6]~33134_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[446][6]~33135\ : std_logic;
SIGNAL \led_flash_cnt[446][7]~33136_combout\ : std_logic;
SIGNAL \led_flash_cnt[446][7]~q\ : std_logic;
SIGNAL \WideAnd446~1_combout\ : std_logic;
SIGNAL \WideAnd446~0_combout\ : std_logic;
SIGNAL \WideAnd446~combout\ : std_logic;
SIGNAL \WideAnd3895~combout\ : std_logic;
SIGNAL \WideAnd4326~combout\ : std_logic;
SIGNAL \led_flash_cnt[374][0]~81014_combout\ : std_logic;
SIGNAL \led_flash_cnt[374][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[374][1]~32116_combout\ : std_logic;
SIGNAL \led_flash_cnt[374][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[374][1]~32117\ : std_logic;
SIGNAL \led_flash_cnt[374][2]~32118_combout\ : std_logic;
SIGNAL \led_flash_cnt[374][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[374][2]~32119\ : std_logic;
SIGNAL \led_flash_cnt[374][3]~32120_combout\ : std_logic;
SIGNAL \led_flash_cnt[374][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[374][3]~32121\ : std_logic;
SIGNAL \led_flash_cnt[374][4]~32122_combout\ : std_logic;
SIGNAL \led_flash_cnt[374][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[374][4]~32123\ : std_logic;
SIGNAL \led_flash_cnt[374][5]~32124_combout\ : std_logic;
SIGNAL \led_flash_cnt[374][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[374][5]~32125\ : std_logic;
SIGNAL \led_flash_cnt[374][6]~32126_combout\ : std_logic;
SIGNAL \led_flash_cnt[374][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[374][6]~32127\ : std_logic;
SIGNAL \led_flash_cnt[374][7]~32128_combout\ : std_logic;
SIGNAL \led_flash_cnt[374][7]~q\ : std_logic;
SIGNAL \WideAnd374~0_combout\ : std_logic;
SIGNAL \WideAnd374~1_combout\ : std_logic;
SIGNAL \WideAnd374~combout\ : std_logic;
SIGNAL \led_flash_cnt[369][0]~81009_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[369][1]~32046_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[369][1]~32047\ : std_logic;
SIGNAL \led_flash_cnt[369][2]~32048_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[369][2]~32049\ : std_logic;
SIGNAL \led_flash_cnt[369][3]~32050_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[369][3]~32051\ : std_logic;
SIGNAL \led_flash_cnt[369][4]~32052_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[369][4]~32053\ : std_logic;
SIGNAL \led_flash_cnt[369][5]~32054_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[369][5]~32055\ : std_logic;
SIGNAL \led_flash_cnt[369][6]~32056_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][6]~q\ : std_logic;
SIGNAL \WideAnd369~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][6]~32057\ : std_logic;
SIGNAL \led_flash_cnt[369][7]~32058_combout\ : std_logic;
SIGNAL \led_flash_cnt[369][7]~q\ : std_logic;
SIGNAL \WideAnd369~0_combout\ : std_logic;
SIGNAL \WideAnd369~combout\ : std_logic;
SIGNAL \led_flash_cnt[368][0]~81008_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[368][1]~32032_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[368][1]~32033\ : std_logic;
SIGNAL \led_flash_cnt[368][2]~32034_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[368][2]~32035\ : std_logic;
SIGNAL \led_flash_cnt[368][3]~32036_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[368][3]~32037\ : std_logic;
SIGNAL \led_flash_cnt[368][4]~32038_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[368][4]~32039\ : std_logic;
SIGNAL \led_flash_cnt[368][5]~32040_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[368][5]~32041\ : std_logic;
SIGNAL \led_flash_cnt[368][6]~32042_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][6]~q\ : std_logic;
SIGNAL \WideAnd368~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][6]~32043\ : std_logic;
SIGNAL \led_flash_cnt[368][7]~32044_combout\ : std_logic;
SIGNAL \led_flash_cnt[368][7]~q\ : std_logic;
SIGNAL \WideAnd368~0_combout\ : std_logic;
SIGNAL \WideAnd368~combout\ : std_logic;
SIGNAL \led_flash_cnt[371][0]~81011_combout\ : std_logic;
SIGNAL \led_flash_cnt[371][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[371][1]~32074_combout\ : std_logic;
SIGNAL \led_flash_cnt[371][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[371][1]~32075\ : std_logic;
SIGNAL \led_flash_cnt[371][2]~32076_combout\ : std_logic;
SIGNAL \led_flash_cnt[371][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[371][2]~32077\ : std_logic;
SIGNAL \led_flash_cnt[371][3]~32078_combout\ : std_logic;
SIGNAL \led_flash_cnt[371][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[371][3]~32079\ : std_logic;
SIGNAL \led_flash_cnt[371][4]~32080_combout\ : std_logic;
SIGNAL \led_flash_cnt[371][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[371][4]~32081\ : std_logic;
SIGNAL \led_flash_cnt[371][5]~32082_combout\ : std_logic;
SIGNAL \led_flash_cnt[371][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[371][5]~32083\ : std_logic;
SIGNAL \led_flash_cnt[371][6]~32084_combout\ : std_logic;
SIGNAL \led_flash_cnt[371][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[371][6]~32085\ : std_logic;
SIGNAL \led_flash_cnt[371][7]~32086_combout\ : std_logic;
SIGNAL \led_flash_cnt[371][7]~q\ : std_logic;
SIGNAL \WideAnd371~0_combout\ : std_logic;
SIGNAL \WideAnd371~1_combout\ : std_logic;
SIGNAL \WideAnd371~combout\ : std_logic;
SIGNAL \led_flash_cnt[370][0]~81010_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[370][1]~32060_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[370][1]~32061\ : std_logic;
SIGNAL \led_flash_cnt[370][2]~32062_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[370][2]~32063\ : std_logic;
SIGNAL \led_flash_cnt[370][3]~32064_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[370][3]~32065\ : std_logic;
SIGNAL \led_flash_cnt[370][4]~32066_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[370][4]~32067\ : std_logic;
SIGNAL \led_flash_cnt[370][5]~32068_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[370][5]~32069\ : std_logic;
SIGNAL \led_flash_cnt[370][6]~32070_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][6]~q\ : std_logic;
SIGNAL \WideAnd370~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][6]~32071\ : std_logic;
SIGNAL \led_flash_cnt[370][7]~32072_combout\ : std_logic;
SIGNAL \led_flash_cnt[370][7]~q\ : std_logic;
SIGNAL \WideAnd370~0_combout\ : std_logic;
SIGNAL \WideAnd370~combout\ : std_logic;
SIGNAL \WideAnd3886~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][0]~81013_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[373][1]~32102_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[373][1]~32103\ : std_logic;
SIGNAL \led_flash_cnt[373][2]~32104_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[373][2]~32105\ : std_logic;
SIGNAL \led_flash_cnt[373][3]~32106_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[373][3]~32107\ : std_logic;
SIGNAL \led_flash_cnt[373][4]~32108_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[373][4]~32109\ : std_logic;
SIGNAL \led_flash_cnt[373][5]~32110_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[373][5]~32111\ : std_logic;
SIGNAL \led_flash_cnt[373][6]~32112_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][6]~q\ : std_logic;
SIGNAL \WideAnd373~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][6]~32113\ : std_logic;
SIGNAL \led_flash_cnt[373][7]~32114_combout\ : std_logic;
SIGNAL \led_flash_cnt[373][7]~q\ : std_logic;
SIGNAL \WideAnd373~0_combout\ : std_logic;
SIGNAL \WideAnd373~combout\ : std_logic;
SIGNAL \led_flash_cnt[372][0]~81012_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[372][1]~32088_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[372][1]~32089\ : std_logic;
SIGNAL \led_flash_cnt[372][2]~32090_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[372][2]~32091\ : std_logic;
SIGNAL \led_flash_cnt[372][3]~32092_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[372][3]~32093\ : std_logic;
SIGNAL \led_flash_cnt[372][4]~32094_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][4]~q\ : std_logic;
SIGNAL \WideAnd372~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][4]~32095\ : std_logic;
SIGNAL \led_flash_cnt[372][5]~32096_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[372][5]~32097\ : std_logic;
SIGNAL \led_flash_cnt[372][6]~32098_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][6]~q\ : std_logic;
SIGNAL \WideAnd372~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][6]~32099\ : std_logic;
SIGNAL \led_flash_cnt[372][7]~32100_combout\ : std_logic;
SIGNAL \led_flash_cnt[372][7]~q\ : std_logic;
SIGNAL \WideAnd372~combout\ : std_logic;
SIGNAL \WideAnd3886~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][0]~81015_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[375][1]~32130_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[375][1]~32131\ : std_logic;
SIGNAL \led_flash_cnt[375][2]~32132_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[375][2]~32133\ : std_logic;
SIGNAL \led_flash_cnt[375][3]~32134_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[375][3]~32135\ : std_logic;
SIGNAL \led_flash_cnt[375][4]~32136_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[375][4]~32137\ : std_logic;
SIGNAL \led_flash_cnt[375][5]~32138_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[375][5]~32139\ : std_logic;
SIGNAL \led_flash_cnt[375][6]~32140_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][6]~q\ : std_logic;
SIGNAL \WideAnd375~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][6]~32141\ : std_logic;
SIGNAL \led_flash_cnt[375][7]~32142_combout\ : std_logic;
SIGNAL \led_flash_cnt[375][7]~q\ : std_logic;
SIGNAL \WideAnd375~0_combout\ : std_logic;
SIGNAL \WideAnd375~combout\ : std_logic;
SIGNAL \WideAnd3886~combout\ : std_logic;
SIGNAL \led_flash_cnt[365][0]~81005_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[365][1]~31990_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[365][1]~31991\ : std_logic;
SIGNAL \led_flash_cnt[365][2]~31992_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[365][2]~31993\ : std_logic;
SIGNAL \led_flash_cnt[365][3]~31994_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[365][3]~31995\ : std_logic;
SIGNAL \led_flash_cnt[365][4]~31996_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[365][4]~31997\ : std_logic;
SIGNAL \led_flash_cnt[365][5]~31998_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[365][5]~31999\ : std_logic;
SIGNAL \led_flash_cnt[365][6]~32000_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][6]~q\ : std_logic;
SIGNAL \WideAnd365~1_combout\ : std_logic;
SIGNAL \WideAnd365~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][6]~32001\ : std_logic;
SIGNAL \led_flash_cnt[365][7]~32002_combout\ : std_logic;
SIGNAL \led_flash_cnt[365][7]~q\ : std_logic;
SIGNAL \WideAnd365~combout\ : std_logic;
SIGNAL \led_flash_cnt[364][0]~81004_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[364][1]~31976_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[364][1]~31977\ : std_logic;
SIGNAL \led_flash_cnt[364][2]~31978_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[364][2]~31979\ : std_logic;
SIGNAL \led_flash_cnt[364][3]~31980_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[364][3]~31981\ : std_logic;
SIGNAL \led_flash_cnt[364][4]~31982_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][4]~q\ : std_logic;
SIGNAL \WideAnd364~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][4]~31983\ : std_logic;
SIGNAL \led_flash_cnt[364][5]~31984_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[364][5]~31985\ : std_logic;
SIGNAL \led_flash_cnt[364][6]~31986_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[364][6]~31987\ : std_logic;
SIGNAL \led_flash_cnt[364][7]~31988_combout\ : std_logic;
SIGNAL \led_flash_cnt[364][7]~q\ : std_logic;
SIGNAL \WideAnd364~1_combout\ : std_logic;
SIGNAL \WideAnd364~combout\ : std_logic;
SIGNAL \WideAnd3885~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][0]~81006_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[366][1]~32004_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[366][1]~32005\ : std_logic;
SIGNAL \led_flash_cnt[366][2]~32006_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[366][2]~32007\ : std_logic;
SIGNAL \led_flash_cnt[366][3]~32008_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[366][3]~32009\ : std_logic;
SIGNAL \led_flash_cnt[366][4]~32010_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[366][4]~32011\ : std_logic;
SIGNAL \led_flash_cnt[366][5]~32012_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[366][5]~32013\ : std_logic;
SIGNAL \led_flash_cnt[366][6]~32014_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[366][6]~32015\ : std_logic;
SIGNAL \led_flash_cnt[366][7]~32016_combout\ : std_logic;
SIGNAL \led_flash_cnt[366][7]~q\ : std_logic;
SIGNAL \WideAnd366~0_combout\ : std_logic;
SIGNAL \WideAnd366~1_combout\ : std_logic;
SIGNAL \WideAnd366~combout\ : std_logic;
SIGNAL \led_flash_cnt[362][0]~81002_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[362][1]~31948_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[362][1]~31949\ : std_logic;
SIGNAL \led_flash_cnt[362][2]~31950_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[362][2]~31951\ : std_logic;
SIGNAL \led_flash_cnt[362][3]~31952_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[362][3]~31953\ : std_logic;
SIGNAL \led_flash_cnt[362][4]~31954_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][4]~q\ : std_logic;
SIGNAL \WideAnd362~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][4]~31955\ : std_logic;
SIGNAL \led_flash_cnt[362][5]~31956_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[362][5]~31957\ : std_logic;
SIGNAL \led_flash_cnt[362][6]~31958_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][6]~q\ : std_logic;
SIGNAL \WideAnd362~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][6]~31959\ : std_logic;
SIGNAL \led_flash_cnt[362][7]~31960_combout\ : std_logic;
SIGNAL \led_flash_cnt[362][7]~q\ : std_logic;
SIGNAL \WideAnd362~combout\ : std_logic;
SIGNAL \led_flash_cnt[361][0]~81001_combout\ : std_logic;
SIGNAL \led_flash_cnt[361][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[361][1]~31934_combout\ : std_logic;
SIGNAL \led_flash_cnt[361][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[361][1]~31935\ : std_logic;
SIGNAL \led_flash_cnt[361][2]~31936_combout\ : std_logic;
SIGNAL \led_flash_cnt[361][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[361][2]~31937\ : std_logic;
SIGNAL \led_flash_cnt[361][3]~31938_combout\ : std_logic;
SIGNAL \led_flash_cnt[361][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[361][3]~31939\ : std_logic;
SIGNAL \led_flash_cnt[361][4]~31940_combout\ : std_logic;
SIGNAL \led_flash_cnt[361][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[361][4]~31941\ : std_logic;
SIGNAL \led_flash_cnt[361][5]~31942_combout\ : std_logic;
SIGNAL \led_flash_cnt[361][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[361][5]~31943\ : std_logic;
SIGNAL \led_flash_cnt[361][6]~31944_combout\ : std_logic;
SIGNAL \led_flash_cnt[361][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[361][6]~31945\ : std_logic;
SIGNAL \led_flash_cnt[361][7]~31946_combout\ : std_logic;
SIGNAL \led_flash_cnt[361][7]~q\ : std_logic;
SIGNAL \WideAnd361~0_combout\ : std_logic;
SIGNAL \WideAnd361~1_combout\ : std_logic;
SIGNAL \WideAnd361~combout\ : std_logic;
SIGNAL \led_flash_cnt[363][0]~81003_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[363][1]~31962_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[363][1]~31963\ : std_logic;
SIGNAL \led_flash_cnt[363][2]~31964_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[363][2]~31965\ : std_logic;
SIGNAL \led_flash_cnt[363][3]~31966_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[363][3]~31967\ : std_logic;
SIGNAL \led_flash_cnt[363][4]~31968_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[363][4]~31969\ : std_logic;
SIGNAL \led_flash_cnt[363][5]~31970_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[363][5]~31971\ : std_logic;
SIGNAL \led_flash_cnt[363][6]~31972_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][6]~q\ : std_logic;
SIGNAL \WideAnd363~1_combout\ : std_logic;
SIGNAL \WideAnd363~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][6]~31973\ : std_logic;
SIGNAL \led_flash_cnt[363][7]~31974_combout\ : std_logic;
SIGNAL \led_flash_cnt[363][7]~q\ : std_logic;
SIGNAL \WideAnd363~combout\ : std_logic;
SIGNAL \led_flash_cnt[360][0]~81000_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[360][1]~31920_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[360][1]~31921\ : std_logic;
SIGNAL \led_flash_cnt[360][2]~31922_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[360][2]~31923\ : std_logic;
SIGNAL \led_flash_cnt[360][3]~31924_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[360][3]~31925\ : std_logic;
SIGNAL \led_flash_cnt[360][4]~31926_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[360][4]~31927\ : std_logic;
SIGNAL \led_flash_cnt[360][5]~31928_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[360][5]~31929\ : std_logic;
SIGNAL \led_flash_cnt[360][6]~31930_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][6]~q\ : std_logic;
SIGNAL \WideAnd360~1_combout\ : std_logic;
SIGNAL \WideAnd360~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][6]~31931\ : std_logic;
SIGNAL \led_flash_cnt[360][7]~31932_combout\ : std_logic;
SIGNAL \led_flash_cnt[360][7]~q\ : std_logic;
SIGNAL \WideAnd360~combout\ : std_logic;
SIGNAL \WideAnd3885~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][0]~81007_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[367][1]~32018_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[367][1]~32019\ : std_logic;
SIGNAL \led_flash_cnt[367][2]~32020_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[367][2]~32021\ : std_logic;
SIGNAL \led_flash_cnt[367][3]~32022_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[367][3]~32023\ : std_logic;
SIGNAL \led_flash_cnt[367][4]~32024_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[367][4]~32025\ : std_logic;
SIGNAL \led_flash_cnt[367][5]~32026_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[367][5]~32027\ : std_logic;
SIGNAL \led_flash_cnt[367][6]~32028_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[367][6]~32029\ : std_logic;
SIGNAL \led_flash_cnt[367][7]~32030_combout\ : std_logic;
SIGNAL \led_flash_cnt[367][7]~q\ : std_logic;
SIGNAL \WideAnd367~0_combout\ : std_logic;
SIGNAL \WideAnd367~1_combout\ : std_logic;
SIGNAL \WideAnd367~combout\ : std_logic;
SIGNAL \WideAnd3885~combout\ : std_logic;
SIGNAL \led_flash_cnt[356][0]~80996_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[356][1]~31864_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[356][1]~31865\ : std_logic;
SIGNAL \led_flash_cnt[356][2]~31866_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[356][2]~31867\ : std_logic;
SIGNAL \led_flash_cnt[356][3]~31868_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[356][3]~31869\ : std_logic;
SIGNAL \led_flash_cnt[356][4]~31870_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[356][4]~31871\ : std_logic;
SIGNAL \led_flash_cnt[356][5]~31872_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[356][5]~31873\ : std_logic;
SIGNAL \led_flash_cnt[356][6]~31874_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][6]~q\ : std_logic;
SIGNAL \WideAnd356~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][6]~31875\ : std_logic;
SIGNAL \led_flash_cnt[356][7]~31876_combout\ : std_logic;
SIGNAL \led_flash_cnt[356][7]~q\ : std_logic;
SIGNAL \WideAnd356~0_combout\ : std_logic;
SIGNAL \WideAnd356~combout\ : std_logic;
SIGNAL \led_flash_cnt[357][0]~80997_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[357][1]~31878_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[357][1]~31879\ : std_logic;
SIGNAL \led_flash_cnt[357][2]~31880_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[357][2]~31881\ : std_logic;
SIGNAL \led_flash_cnt[357][3]~31882_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[357][3]~31883\ : std_logic;
SIGNAL \led_flash_cnt[357][4]~31884_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[357][4]~31885\ : std_logic;
SIGNAL \led_flash_cnt[357][5]~31886_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[357][5]~31887\ : std_logic;
SIGNAL \led_flash_cnt[357][6]~31888_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][6]~q\ : std_logic;
SIGNAL \WideAnd357~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][6]~31889\ : std_logic;
SIGNAL \led_flash_cnt[357][7]~31890_combout\ : std_logic;
SIGNAL \led_flash_cnt[357][7]~q\ : std_logic;
SIGNAL \WideAnd357~0_combout\ : std_logic;
SIGNAL \WideAnd357~combout\ : std_logic;
SIGNAL \WideAnd3884~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][0]~80999_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[359][1]~31906_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[359][1]~31907\ : std_logic;
SIGNAL \led_flash_cnt[359][2]~31908_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[359][2]~31909\ : std_logic;
SIGNAL \led_flash_cnt[359][3]~31910_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[359][3]~31911\ : std_logic;
SIGNAL \led_flash_cnt[359][4]~31912_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][4]~q\ : std_logic;
SIGNAL \WideAnd359~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][4]~31913\ : std_logic;
SIGNAL \led_flash_cnt[359][5]~31914_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[359][5]~31915\ : std_logic;
SIGNAL \led_flash_cnt[359][6]~31916_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[359][6]~31917\ : std_logic;
SIGNAL \led_flash_cnt[359][7]~31918_combout\ : std_logic;
SIGNAL \led_flash_cnt[359][7]~q\ : std_logic;
SIGNAL \WideAnd359~1_combout\ : std_logic;
SIGNAL \WideAnd359~combout\ : std_logic;
SIGNAL \led_flash_cnt[353][0]~80993_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[353][1]~31822_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[353][1]~31823\ : std_logic;
SIGNAL \led_flash_cnt[353][2]~31824_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[353][2]~31825\ : std_logic;
SIGNAL \led_flash_cnt[353][3]~31826_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[353][3]~31827\ : std_logic;
SIGNAL \led_flash_cnt[353][4]~31828_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[353][4]~31829\ : std_logic;
SIGNAL \led_flash_cnt[353][5]~31830_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[353][5]~31831\ : std_logic;
SIGNAL \led_flash_cnt[353][6]~31832_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][6]~q\ : std_logic;
SIGNAL \WideAnd353~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][6]~31833\ : std_logic;
SIGNAL \led_flash_cnt[353][7]~31834_combout\ : std_logic;
SIGNAL \led_flash_cnt[353][7]~q\ : std_logic;
SIGNAL \WideAnd353~0_combout\ : std_logic;
SIGNAL \WideAnd353~combout\ : std_logic;
SIGNAL \led_flash_cnt[354][0]~80994_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[354][1]~31836_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[354][1]~31837\ : std_logic;
SIGNAL \led_flash_cnt[354][2]~31838_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[354][2]~31839\ : std_logic;
SIGNAL \led_flash_cnt[354][3]~31840_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[354][3]~31841\ : std_logic;
SIGNAL \led_flash_cnt[354][4]~31842_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][4]~q\ : std_logic;
SIGNAL \WideAnd354~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][4]~31843\ : std_logic;
SIGNAL \led_flash_cnt[354][5]~31844_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[354][5]~31845\ : std_logic;
SIGNAL \led_flash_cnt[354][6]~31846_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[354][6]~31847\ : std_logic;
SIGNAL \led_flash_cnt[354][7]~31848_combout\ : std_logic;
SIGNAL \led_flash_cnt[354][7]~q\ : std_logic;
SIGNAL \WideAnd354~1_combout\ : std_logic;
SIGNAL \WideAnd354~combout\ : std_logic;
SIGNAL \led_flash_cnt[352][0]~80992_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[352][1]~31808_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[352][1]~31809\ : std_logic;
SIGNAL \led_flash_cnt[352][2]~31810_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[352][2]~31811\ : std_logic;
SIGNAL \led_flash_cnt[352][3]~31812_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[352][3]~31813\ : std_logic;
SIGNAL \led_flash_cnt[352][4]~31814_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[352][4]~31815\ : std_logic;
SIGNAL \led_flash_cnt[352][5]~31816_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[352][5]~31817\ : std_logic;
SIGNAL \led_flash_cnt[352][6]~31818_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][6]~q\ : std_logic;
SIGNAL \WideAnd352~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][6]~31819\ : std_logic;
SIGNAL \led_flash_cnt[352][7]~31820_combout\ : std_logic;
SIGNAL \led_flash_cnt[352][7]~q\ : std_logic;
SIGNAL \WideAnd352~0_combout\ : std_logic;
SIGNAL \WideAnd352~combout\ : std_logic;
SIGNAL \led_flash_cnt[355][0]~80995_combout\ : std_logic;
SIGNAL \led_flash_cnt[355][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[355][1]~31850_combout\ : std_logic;
SIGNAL \led_flash_cnt[355][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[355][1]~31851\ : std_logic;
SIGNAL \led_flash_cnt[355][2]~31852_combout\ : std_logic;
SIGNAL \led_flash_cnt[355][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[355][2]~31853\ : std_logic;
SIGNAL \led_flash_cnt[355][3]~31854_combout\ : std_logic;
SIGNAL \led_flash_cnt[355][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[355][3]~31855\ : std_logic;
SIGNAL \led_flash_cnt[355][4]~31856_combout\ : std_logic;
SIGNAL \led_flash_cnt[355][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[355][4]~31857\ : std_logic;
SIGNAL \led_flash_cnt[355][5]~31858_combout\ : std_logic;
SIGNAL \led_flash_cnt[355][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[355][5]~31859\ : std_logic;
SIGNAL \led_flash_cnt[355][6]~31860_combout\ : std_logic;
SIGNAL \led_flash_cnt[355][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[355][6]~31861\ : std_logic;
SIGNAL \led_flash_cnt[355][7]~31862_combout\ : std_logic;
SIGNAL \led_flash_cnt[355][7]~q\ : std_logic;
SIGNAL \WideAnd355~0_combout\ : std_logic;
SIGNAL \WideAnd355~1_combout\ : std_logic;
SIGNAL \WideAnd355~combout\ : std_logic;
SIGNAL \WideAnd3884~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][0]~80998_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[358][1]~31892_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[358][1]~31893\ : std_logic;
SIGNAL \led_flash_cnt[358][2]~31894_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[358][2]~31895\ : std_logic;
SIGNAL \led_flash_cnt[358][3]~31896_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[358][3]~31897\ : std_logic;
SIGNAL \led_flash_cnt[358][4]~31898_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[358][4]~31899\ : std_logic;
SIGNAL \led_flash_cnt[358][5]~31900_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[358][5]~31901\ : std_logic;
SIGNAL \led_flash_cnt[358][6]~31902_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[358][6]~31903\ : std_logic;
SIGNAL \led_flash_cnt[358][7]~31904_combout\ : std_logic;
SIGNAL \led_flash_cnt[358][7]~q\ : std_logic;
SIGNAL \WideAnd358~1_combout\ : std_logic;
SIGNAL \WideAnd358~0_combout\ : std_logic;
SIGNAL \WideAnd358~combout\ : std_logic;
SIGNAL \WideAnd3884~combout\ : std_logic;
SIGNAL \WideAnd4325~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][0]~80965_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[325][1]~31430_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[325][1]~31431\ : std_logic;
SIGNAL \led_flash_cnt[325][2]~31432_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[325][2]~31433\ : std_logic;
SIGNAL \led_flash_cnt[325][3]~31434_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[325][3]~31435\ : std_logic;
SIGNAL \led_flash_cnt[325][4]~31436_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][4]~q\ : std_logic;
SIGNAL \WideAnd325~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][4]~31437\ : std_logic;
SIGNAL \led_flash_cnt[325][5]~31438_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[325][5]~31439\ : std_logic;
SIGNAL \led_flash_cnt[325][6]~31440_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[325][6]~31441\ : std_logic;
SIGNAL \led_flash_cnt[325][7]~31442_combout\ : std_logic;
SIGNAL \led_flash_cnt[325][7]~q\ : std_logic;
SIGNAL \WideAnd325~1_combout\ : std_logic;
SIGNAL \WideAnd325~combout\ : std_logic;
SIGNAL \led_flash_cnt[324][0]~80964_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[324][1]~31416_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[324][1]~31417\ : std_logic;
SIGNAL \led_flash_cnt[324][2]~31418_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[324][2]~31419\ : std_logic;
SIGNAL \led_flash_cnt[324][3]~31420_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[324][3]~31421\ : std_logic;
SIGNAL \led_flash_cnt[324][4]~31422_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[324][4]~31423\ : std_logic;
SIGNAL \led_flash_cnt[324][5]~31424_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[324][5]~31425\ : std_logic;
SIGNAL \led_flash_cnt[324][6]~31426_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][6]~q\ : std_logic;
SIGNAL \WideAnd324~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][6]~31427\ : std_logic;
SIGNAL \led_flash_cnt[324][7]~31428_combout\ : std_logic;
SIGNAL \led_flash_cnt[324][7]~q\ : std_logic;
SIGNAL \WideAnd324~0_combout\ : std_logic;
SIGNAL \WideAnd324~combout\ : std_logic;
SIGNAL \WideAnd3880~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][0]~80966_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[326][1]~31444_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[326][1]~31445\ : std_logic;
SIGNAL \led_flash_cnt[326][2]~31446_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[326][2]~31447\ : std_logic;
SIGNAL \led_flash_cnt[326][3]~31448_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[326][3]~31449\ : std_logic;
SIGNAL \led_flash_cnt[326][4]~31450_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[326][4]~31451\ : std_logic;
SIGNAL \led_flash_cnt[326][5]~31452_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[326][5]~31453\ : std_logic;
SIGNAL \led_flash_cnt[326][6]~31454_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[326][6]~31455\ : std_logic;
SIGNAL \led_flash_cnt[326][7]~31456_combout\ : std_logic;
SIGNAL \led_flash_cnt[326][7]~q\ : std_logic;
SIGNAL \WideAnd326~1_combout\ : std_logic;
SIGNAL \WideAnd326~0_combout\ : std_logic;
SIGNAL \WideAnd326~combout\ : std_logic;
SIGNAL \led_flash_cnt[327][0]~80967_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[327][1]~31458_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[327][1]~31459\ : std_logic;
SIGNAL \led_flash_cnt[327][2]~31460_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[327][2]~31461\ : std_logic;
SIGNAL \led_flash_cnt[327][3]~31462_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[327][3]~31463\ : std_logic;
SIGNAL \led_flash_cnt[327][4]~31464_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[327][4]~31465\ : std_logic;
SIGNAL \led_flash_cnt[327][5]~31466_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[327][5]~31467\ : std_logic;
SIGNAL \led_flash_cnt[327][6]~31468_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][6]~q\ : std_logic;
SIGNAL \WideAnd327~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][6]~31469\ : std_logic;
SIGNAL \led_flash_cnt[327][7]~31470_combout\ : std_logic;
SIGNAL \led_flash_cnt[327][7]~q\ : std_logic;
SIGNAL \WideAnd327~0_combout\ : std_logic;
SIGNAL \WideAnd327~combout\ : std_logic;
SIGNAL \led_flash_cnt[322][0]~80962_combout\ : std_logic;
SIGNAL \led_flash_cnt[322][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[322][1]~31388_combout\ : std_logic;
SIGNAL \led_flash_cnt[322][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[322][1]~31389\ : std_logic;
SIGNAL \led_flash_cnt[322][2]~31390_combout\ : std_logic;
SIGNAL \led_flash_cnt[322][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[322][2]~31391\ : std_logic;
SIGNAL \led_flash_cnt[322][3]~31392_combout\ : std_logic;
SIGNAL \led_flash_cnt[322][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[322][3]~31393\ : std_logic;
SIGNAL \led_flash_cnt[322][4]~31394_combout\ : std_logic;
SIGNAL \led_flash_cnt[322][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[322][4]~31395\ : std_logic;
SIGNAL \led_flash_cnt[322][5]~31396_combout\ : std_logic;
SIGNAL \led_flash_cnt[322][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[322][5]~31397\ : std_logic;
SIGNAL \led_flash_cnt[322][6]~31398_combout\ : std_logic;
SIGNAL \led_flash_cnt[322][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[322][6]~31399\ : std_logic;
SIGNAL \led_flash_cnt[322][7]~31400_combout\ : std_logic;
SIGNAL \led_flash_cnt[322][7]~q\ : std_logic;
SIGNAL \WideAnd322~1_combout\ : std_logic;
SIGNAL \WideAnd322~0_combout\ : std_logic;
SIGNAL \WideAnd322~combout\ : std_logic;
SIGNAL \led_flash_cnt[323][0]~80963_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[323][1]~31402_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[323][1]~31403\ : std_logic;
SIGNAL \led_flash_cnt[323][2]~31404_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[323][2]~31405\ : std_logic;
SIGNAL \led_flash_cnt[323][3]~31406_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[323][3]~31407\ : std_logic;
SIGNAL \led_flash_cnt[323][4]~31408_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][4]~q\ : std_logic;
SIGNAL \WideAnd323~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][4]~31409\ : std_logic;
SIGNAL \led_flash_cnt[323][5]~31410_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[323][5]~31411\ : std_logic;
SIGNAL \led_flash_cnt[323][6]~31412_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[323][6]~31413\ : std_logic;
SIGNAL \led_flash_cnt[323][7]~31414_combout\ : std_logic;
SIGNAL \led_flash_cnt[323][7]~q\ : std_logic;
SIGNAL \WideAnd323~1_combout\ : std_logic;
SIGNAL \WideAnd323~combout\ : std_logic;
SIGNAL \led_flash_cnt[321][0]~80961_combout\ : std_logic;
SIGNAL \led_flash_cnt[321][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[321][1]~31374_combout\ : std_logic;
SIGNAL \led_flash_cnt[321][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[321][1]~31375\ : std_logic;
SIGNAL \led_flash_cnt[321][2]~31376_combout\ : std_logic;
SIGNAL \led_flash_cnt[321][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[321][2]~31377\ : std_logic;
SIGNAL \led_flash_cnt[321][3]~31378_combout\ : std_logic;
SIGNAL \led_flash_cnt[321][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[321][3]~31379\ : std_logic;
SIGNAL \led_flash_cnt[321][4]~31380_combout\ : std_logic;
SIGNAL \led_flash_cnt[321][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[321][4]~31381\ : std_logic;
SIGNAL \led_flash_cnt[321][5]~31382_combout\ : std_logic;
SIGNAL \led_flash_cnt[321][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[321][5]~31383\ : std_logic;
SIGNAL \led_flash_cnt[321][6]~31384_combout\ : std_logic;
SIGNAL \led_flash_cnt[321][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[321][6]~31385\ : std_logic;
SIGNAL \led_flash_cnt[321][7]~31386_combout\ : std_logic;
SIGNAL \led_flash_cnt[321][7]~q\ : std_logic;
SIGNAL \WideAnd321~1_combout\ : std_logic;
SIGNAL \WideAnd321~0_combout\ : std_logic;
SIGNAL \WideAnd321~combout\ : std_logic;
SIGNAL \led_flash_cnt[320][0]~80960_combout\ : std_logic;
SIGNAL \led_flash_cnt[320][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[320][1]~31360_combout\ : std_logic;
SIGNAL \led_flash_cnt[320][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[320][1]~31361\ : std_logic;
SIGNAL \led_flash_cnt[320][2]~31362_combout\ : std_logic;
SIGNAL \led_flash_cnt[320][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[320][2]~31363\ : std_logic;
SIGNAL \led_flash_cnt[320][3]~31364_combout\ : std_logic;
SIGNAL \led_flash_cnt[320][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[320][3]~31365\ : std_logic;
SIGNAL \led_flash_cnt[320][4]~31366_combout\ : std_logic;
SIGNAL \led_flash_cnt[320][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[320][4]~31367\ : std_logic;
SIGNAL \led_flash_cnt[320][5]~31368_combout\ : std_logic;
SIGNAL \led_flash_cnt[320][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[320][5]~31369\ : std_logic;
SIGNAL \led_flash_cnt[320][6]~31370_combout\ : std_logic;
SIGNAL \led_flash_cnt[320][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[320][6]~31371\ : std_logic;
SIGNAL \led_flash_cnt[320][7]~31372_combout\ : std_logic;
SIGNAL \led_flash_cnt[320][7]~q\ : std_logic;
SIGNAL \WideAnd320~1_combout\ : std_logic;
SIGNAL \WideAnd320~0_combout\ : std_logic;
SIGNAL \WideAnd320~combout\ : std_logic;
SIGNAL \WideAnd3880~0_combout\ : std_logic;
SIGNAL \WideAnd3880~combout\ : std_logic;
SIGNAL \led_flash_cnt[346][0]~80986_combout\ : std_logic;
SIGNAL \led_flash_cnt[346][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[346][1]~31724_combout\ : std_logic;
SIGNAL \led_flash_cnt[346][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[346][1]~31725\ : std_logic;
SIGNAL \led_flash_cnt[346][2]~31726_combout\ : std_logic;
SIGNAL \led_flash_cnt[346][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[346][2]~31727\ : std_logic;
SIGNAL \led_flash_cnt[346][3]~31728_combout\ : std_logic;
SIGNAL \led_flash_cnt[346][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[346][3]~31729\ : std_logic;
SIGNAL \led_flash_cnt[346][4]~31730_combout\ : std_logic;
SIGNAL \led_flash_cnt[346][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[346][4]~31731\ : std_logic;
SIGNAL \led_flash_cnt[346][5]~31732_combout\ : std_logic;
SIGNAL \led_flash_cnt[346][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[346][5]~31733\ : std_logic;
SIGNAL \led_flash_cnt[346][6]~31734_combout\ : std_logic;
SIGNAL \led_flash_cnt[346][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[346][6]~31735\ : std_logic;
SIGNAL \led_flash_cnt[346][7]~31736_combout\ : std_logic;
SIGNAL \led_flash_cnt[346][7]~q\ : std_logic;
SIGNAL \WideAnd346~1_combout\ : std_logic;
SIGNAL \WideAnd346~0_combout\ : std_logic;
SIGNAL \WideAnd346~combout\ : std_logic;
SIGNAL \led_flash_cnt[344][0]~80984_combout\ : std_logic;
SIGNAL \led_flash_cnt[344][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[344][1]~31696_combout\ : std_logic;
SIGNAL \led_flash_cnt[344][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[344][1]~31697\ : std_logic;
SIGNAL \led_flash_cnt[344][2]~31698_combout\ : std_logic;
SIGNAL \led_flash_cnt[344][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[344][2]~31699\ : std_logic;
SIGNAL \led_flash_cnt[344][3]~31700_combout\ : std_logic;
SIGNAL \led_flash_cnt[344][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[344][3]~31701\ : std_logic;
SIGNAL \led_flash_cnt[344][4]~31702_combout\ : std_logic;
SIGNAL \led_flash_cnt[344][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[344][4]~31703\ : std_logic;
SIGNAL \led_flash_cnt[344][5]~31704_combout\ : std_logic;
SIGNAL \led_flash_cnt[344][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[344][5]~31705\ : std_logic;
SIGNAL \led_flash_cnt[344][6]~31706_combout\ : std_logic;
SIGNAL \led_flash_cnt[344][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[344][6]~31707\ : std_logic;
SIGNAL \led_flash_cnt[344][7]~31708_combout\ : std_logic;
SIGNAL \led_flash_cnt[344][7]~q\ : std_logic;
SIGNAL \WideAnd344~1_combout\ : std_logic;
SIGNAL \WideAnd344~0_combout\ : std_logic;
SIGNAL \WideAnd344~combout\ : std_logic;
SIGNAL \led_flash_cnt[347][0]~80987_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[347][1]~31738_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[347][1]~31739\ : std_logic;
SIGNAL \led_flash_cnt[347][2]~31740_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[347][2]~31741\ : std_logic;
SIGNAL \led_flash_cnt[347][3]~31742_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[347][3]~31743\ : std_logic;
SIGNAL \led_flash_cnt[347][4]~31744_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[347][4]~31745\ : std_logic;
SIGNAL \led_flash_cnt[347][5]~31746_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[347][5]~31747\ : std_logic;
SIGNAL \led_flash_cnt[347][6]~31748_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][6]~q\ : std_logic;
SIGNAL \WideAnd347~1_combout\ : std_logic;
SIGNAL \WideAnd347~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][6]~31749\ : std_logic;
SIGNAL \led_flash_cnt[347][7]~31750_combout\ : std_logic;
SIGNAL \led_flash_cnt[347][7]~q\ : std_logic;
SIGNAL \WideAnd347~combout\ : std_logic;
SIGNAL \led_flash_cnt[345][0]~80985_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[345][1]~31710_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[345][1]~31711\ : std_logic;
SIGNAL \led_flash_cnt[345][2]~31712_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[345][2]~31713\ : std_logic;
SIGNAL \led_flash_cnt[345][3]~31714_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[345][3]~31715\ : std_logic;
SIGNAL \led_flash_cnt[345][4]~31716_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[345][4]~31717\ : std_logic;
SIGNAL \led_flash_cnt[345][5]~31718_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[345][5]~31719\ : std_logic;
SIGNAL \led_flash_cnt[345][6]~31720_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][6]~q\ : std_logic;
SIGNAL \WideAnd345~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][6]~31721\ : std_logic;
SIGNAL \led_flash_cnt[345][7]~31722_combout\ : std_logic;
SIGNAL \led_flash_cnt[345][7]~q\ : std_logic;
SIGNAL \WideAnd345~0_combout\ : std_logic;
SIGNAL \WideAnd345~combout\ : std_logic;
SIGNAL \WideAnd3883~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][0]~80991_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[351][1]~31794_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[351][1]~31795\ : std_logic;
SIGNAL \led_flash_cnt[351][2]~31796_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[351][2]~31797\ : std_logic;
SIGNAL \led_flash_cnt[351][3]~31798_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[351][3]~31799\ : std_logic;
SIGNAL \led_flash_cnt[351][4]~31800_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[351][4]~31801\ : std_logic;
SIGNAL \led_flash_cnt[351][5]~31802_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[351][5]~31803\ : std_logic;
SIGNAL \led_flash_cnt[351][6]~31804_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][6]~q\ : std_logic;
SIGNAL \WideAnd351~1_combout\ : std_logic;
SIGNAL \WideAnd351~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][6]~31805\ : std_logic;
SIGNAL \led_flash_cnt[351][7]~31806_combout\ : std_logic;
SIGNAL \led_flash_cnt[351][7]~q\ : std_logic;
SIGNAL \WideAnd351~combout\ : std_logic;
SIGNAL \led_flash_cnt[350][0]~80990_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[350][1]~31780_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[350][1]~31781\ : std_logic;
SIGNAL \led_flash_cnt[350][2]~31782_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[350][2]~31783\ : std_logic;
SIGNAL \led_flash_cnt[350][3]~31784_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[350][3]~31785\ : std_logic;
SIGNAL \led_flash_cnt[350][4]~31786_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][4]~q\ : std_logic;
SIGNAL \WideAnd350~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][4]~31787\ : std_logic;
SIGNAL \led_flash_cnt[350][5]~31788_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[350][5]~31789\ : std_logic;
SIGNAL \led_flash_cnt[350][6]~31790_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][6]~q\ : std_logic;
SIGNAL \WideAnd350~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][6]~31791\ : std_logic;
SIGNAL \led_flash_cnt[350][7]~31792_combout\ : std_logic;
SIGNAL \led_flash_cnt[350][7]~q\ : std_logic;
SIGNAL \WideAnd350~combout\ : std_logic;
SIGNAL \led_flash_cnt[348][0]~80988_combout\ : std_logic;
SIGNAL \led_flash_cnt[348][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[348][1]~31752_combout\ : std_logic;
SIGNAL \led_flash_cnt[348][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[348][1]~31753\ : std_logic;
SIGNAL \led_flash_cnt[348][2]~31754_combout\ : std_logic;
SIGNAL \led_flash_cnt[348][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[348][2]~31755\ : std_logic;
SIGNAL \led_flash_cnt[348][3]~31756_combout\ : std_logic;
SIGNAL \led_flash_cnt[348][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[348][3]~31757\ : std_logic;
SIGNAL \led_flash_cnt[348][4]~31758_combout\ : std_logic;
SIGNAL \led_flash_cnt[348][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[348][4]~31759\ : std_logic;
SIGNAL \led_flash_cnt[348][5]~31760_combout\ : std_logic;
SIGNAL \led_flash_cnt[348][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[348][5]~31761\ : std_logic;
SIGNAL \led_flash_cnt[348][6]~31762_combout\ : std_logic;
SIGNAL \led_flash_cnt[348][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[348][6]~31763\ : std_logic;
SIGNAL \led_flash_cnt[348][7]~31764_combout\ : std_logic;
SIGNAL \led_flash_cnt[348][7]~q\ : std_logic;
SIGNAL \WideAnd348~1_combout\ : std_logic;
SIGNAL \WideAnd348~0_combout\ : std_logic;
SIGNAL \WideAnd348~combout\ : std_logic;
SIGNAL \led_flash_cnt[349][0]~80989_combout\ : std_logic;
SIGNAL \led_flash_cnt[349][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[349][1]~31766_combout\ : std_logic;
SIGNAL \led_flash_cnt[349][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[349][1]~31767\ : std_logic;
SIGNAL \led_flash_cnt[349][2]~31768_combout\ : std_logic;
SIGNAL \led_flash_cnt[349][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[349][2]~31769\ : std_logic;
SIGNAL \led_flash_cnt[349][3]~31770_combout\ : std_logic;
SIGNAL \led_flash_cnt[349][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[349][3]~31771\ : std_logic;
SIGNAL \led_flash_cnt[349][4]~31772_combout\ : std_logic;
SIGNAL \led_flash_cnt[349][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[349][4]~31773\ : std_logic;
SIGNAL \led_flash_cnt[349][5]~31774_combout\ : std_logic;
SIGNAL \led_flash_cnt[349][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[349][5]~31775\ : std_logic;
SIGNAL \led_flash_cnt[349][6]~31776_combout\ : std_logic;
SIGNAL \led_flash_cnt[349][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[349][6]~31777\ : std_logic;
SIGNAL \led_flash_cnt[349][7]~31778_combout\ : std_logic;
SIGNAL \led_flash_cnt[349][7]~q\ : std_logic;
SIGNAL \WideAnd349~1_combout\ : std_logic;
SIGNAL \WideAnd349~0_combout\ : std_logic;
SIGNAL \WideAnd349~combout\ : std_logic;
SIGNAL \WideAnd3883~1_combout\ : std_logic;
SIGNAL \WideAnd3883~combout\ : std_logic;
SIGNAL \led_flash_cnt[337][0]~80977_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[337][1]~31598_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[337][1]~31599\ : std_logic;
SIGNAL \led_flash_cnt[337][2]~31600_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][2]~q\ : std_logic;
SIGNAL \WideAnd337~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][2]~31601\ : std_logic;
SIGNAL \led_flash_cnt[337][3]~31602_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[337][3]~31603\ : std_logic;
SIGNAL \led_flash_cnt[337][4]~31604_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[337][4]~31605\ : std_logic;
SIGNAL \led_flash_cnt[337][5]~31606_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[337][5]~31607\ : std_logic;
SIGNAL \led_flash_cnt[337][6]~31608_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[337][6]~31609\ : std_logic;
SIGNAL \led_flash_cnt[337][7]~31610_combout\ : std_logic;
SIGNAL \led_flash_cnt[337][7]~q\ : std_logic;
SIGNAL \WideAnd337~0_combout\ : std_logic;
SIGNAL \WideAnd337~combout\ : std_logic;
SIGNAL \led_flash_cnt[339][0]~80979_combout\ : std_logic;
SIGNAL \led_flash_cnt[339][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[339][1]~31626_combout\ : std_logic;
SIGNAL \led_flash_cnt[339][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[339][1]~31627\ : std_logic;
SIGNAL \led_flash_cnt[339][2]~31628_combout\ : std_logic;
SIGNAL \led_flash_cnt[339][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[339][2]~31629\ : std_logic;
SIGNAL \led_flash_cnt[339][3]~31630_combout\ : std_logic;
SIGNAL \led_flash_cnt[339][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[339][3]~31631\ : std_logic;
SIGNAL \led_flash_cnt[339][4]~31632_combout\ : std_logic;
SIGNAL \led_flash_cnt[339][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[339][4]~31633\ : std_logic;
SIGNAL \led_flash_cnt[339][5]~31634_combout\ : std_logic;
SIGNAL \led_flash_cnt[339][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[339][5]~31635\ : std_logic;
SIGNAL \led_flash_cnt[339][6]~31636_combout\ : std_logic;
SIGNAL \led_flash_cnt[339][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[339][6]~31637\ : std_logic;
SIGNAL \led_flash_cnt[339][7]~31638_combout\ : std_logic;
SIGNAL \led_flash_cnt[339][7]~q\ : std_logic;
SIGNAL \WideAnd339~1_combout\ : std_logic;
SIGNAL \WideAnd339~0_combout\ : std_logic;
SIGNAL \WideAnd339~combout\ : std_logic;
SIGNAL \led_flash_cnt[338][0]~80978_combout\ : std_logic;
SIGNAL \led_flash_cnt[338][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[338][1]~31612_combout\ : std_logic;
SIGNAL \led_flash_cnt[338][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[338][1]~31613\ : std_logic;
SIGNAL \led_flash_cnt[338][2]~31614_combout\ : std_logic;
SIGNAL \led_flash_cnt[338][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[338][2]~31615\ : std_logic;
SIGNAL \led_flash_cnt[338][3]~31616_combout\ : std_logic;
SIGNAL \led_flash_cnt[338][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[338][3]~31617\ : std_logic;
SIGNAL \led_flash_cnt[338][4]~31618_combout\ : std_logic;
SIGNAL \led_flash_cnt[338][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[338][4]~31619\ : std_logic;
SIGNAL \led_flash_cnt[338][5]~31620_combout\ : std_logic;
SIGNAL \led_flash_cnt[338][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[338][5]~31621\ : std_logic;
SIGNAL \led_flash_cnt[338][6]~31622_combout\ : std_logic;
SIGNAL \led_flash_cnt[338][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[338][6]~31623\ : std_logic;
SIGNAL \led_flash_cnt[338][7]~31624_combout\ : std_logic;
SIGNAL \led_flash_cnt[338][7]~q\ : std_logic;
SIGNAL \WideAnd338~0_combout\ : std_logic;
SIGNAL \WideAnd338~1_combout\ : std_logic;
SIGNAL \WideAnd338~combout\ : std_logic;
SIGNAL \led_flash_cnt[336][0]~80976_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[336][1]~31584_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[336][1]~31585\ : std_logic;
SIGNAL \led_flash_cnt[336][2]~31586_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[336][2]~31587\ : std_logic;
SIGNAL \led_flash_cnt[336][3]~31588_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[336][3]~31589\ : std_logic;
SIGNAL \led_flash_cnt[336][4]~31590_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][4]~q\ : std_logic;
SIGNAL \WideAnd336~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][4]~31591\ : std_logic;
SIGNAL \led_flash_cnt[336][5]~31592_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[336][5]~31593\ : std_logic;
SIGNAL \led_flash_cnt[336][6]~31594_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][6]~q\ : std_logic;
SIGNAL \WideAnd336~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][6]~31595\ : std_logic;
SIGNAL \led_flash_cnt[336][7]~31596_combout\ : std_logic;
SIGNAL \led_flash_cnt[336][7]~q\ : std_logic;
SIGNAL \WideAnd336~combout\ : std_logic;
SIGNAL \WideAnd3882~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][0]~80983_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[343][1]~31682_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[343][1]~31683\ : std_logic;
SIGNAL \led_flash_cnt[343][2]~31684_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[343][2]~31685\ : std_logic;
SIGNAL \led_flash_cnt[343][3]~31686_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[343][3]~31687\ : std_logic;
SIGNAL \led_flash_cnt[343][4]~31688_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[343][4]~31689\ : std_logic;
SIGNAL \led_flash_cnt[343][5]~31690_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[343][5]~31691\ : std_logic;
SIGNAL \led_flash_cnt[343][6]~31692_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][6]~q\ : std_logic;
SIGNAL \WideAnd343~1_combout\ : std_logic;
SIGNAL \WideAnd343~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][6]~31693\ : std_logic;
SIGNAL \led_flash_cnt[343][7]~31694_combout\ : std_logic;
SIGNAL \led_flash_cnt[343][7]~q\ : std_logic;
SIGNAL \WideAnd343~combout\ : std_logic;
SIGNAL \led_flash_cnt[341][0]~80981_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[341][1]~31654_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[341][1]~31655\ : std_logic;
SIGNAL \led_flash_cnt[341][2]~31656_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[341][2]~31657\ : std_logic;
SIGNAL \led_flash_cnt[341][3]~31658_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[341][3]~31659\ : std_logic;
SIGNAL \led_flash_cnt[341][4]~31660_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][4]~q\ : std_logic;
SIGNAL \WideAnd341~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][4]~31661\ : std_logic;
SIGNAL \led_flash_cnt[341][5]~31662_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[341][5]~31663\ : std_logic;
SIGNAL \led_flash_cnt[341][6]~31664_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][6]~q\ : std_logic;
SIGNAL \WideAnd341~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][6]~31665\ : std_logic;
SIGNAL \led_flash_cnt[341][7]~31666_combout\ : std_logic;
SIGNAL \led_flash_cnt[341][7]~q\ : std_logic;
SIGNAL \WideAnd341~combout\ : std_logic;
SIGNAL \led_flash_cnt[340][0]~80980_combout\ : std_logic;
SIGNAL \led_flash_cnt[340][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[340][1]~31640_combout\ : std_logic;
SIGNAL \led_flash_cnt[340][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[340][1]~31641\ : std_logic;
SIGNAL \led_flash_cnt[340][2]~31642_combout\ : std_logic;
SIGNAL \led_flash_cnt[340][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[340][2]~31643\ : std_logic;
SIGNAL \led_flash_cnt[340][3]~31644_combout\ : std_logic;
SIGNAL \led_flash_cnt[340][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[340][3]~31645\ : std_logic;
SIGNAL \led_flash_cnt[340][4]~31646_combout\ : std_logic;
SIGNAL \led_flash_cnt[340][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[340][4]~31647\ : std_logic;
SIGNAL \led_flash_cnt[340][5]~31648_combout\ : std_logic;
SIGNAL \led_flash_cnt[340][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[340][5]~31649\ : std_logic;
SIGNAL \led_flash_cnt[340][6]~31650_combout\ : std_logic;
SIGNAL \led_flash_cnt[340][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[340][6]~31651\ : std_logic;
SIGNAL \led_flash_cnt[340][7]~31652_combout\ : std_logic;
SIGNAL \led_flash_cnt[340][7]~q\ : std_logic;
SIGNAL \WideAnd340~0_combout\ : std_logic;
SIGNAL \WideAnd340~1_combout\ : std_logic;
SIGNAL \WideAnd340~combout\ : std_logic;
SIGNAL \WideAnd3882~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][0]~80982_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[342][1]~31668_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[342][1]~31669\ : std_logic;
SIGNAL \led_flash_cnt[342][2]~31670_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[342][2]~31671\ : std_logic;
SIGNAL \led_flash_cnt[342][3]~31672_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[342][3]~31673\ : std_logic;
SIGNAL \led_flash_cnt[342][4]~31674_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][4]~q\ : std_logic;
SIGNAL \WideAnd342~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][4]~31675\ : std_logic;
SIGNAL \led_flash_cnt[342][5]~31676_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[342][5]~31677\ : std_logic;
SIGNAL \led_flash_cnt[342][6]~31678_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][6]~q\ : std_logic;
SIGNAL \WideAnd342~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][6]~31679\ : std_logic;
SIGNAL \led_flash_cnt[342][7]~31680_combout\ : std_logic;
SIGNAL \led_flash_cnt[342][7]~q\ : std_logic;
SIGNAL \WideAnd342~combout\ : std_logic;
SIGNAL \WideAnd3882~combout\ : std_logic;
SIGNAL \led_flash_cnt[335][0]~80975_combout\ : std_logic;
SIGNAL \led_flash_cnt[335][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[335][1]~31570_combout\ : std_logic;
SIGNAL \led_flash_cnt[335][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[335][1]~31571\ : std_logic;
SIGNAL \led_flash_cnt[335][2]~31572_combout\ : std_logic;
SIGNAL \led_flash_cnt[335][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[335][2]~31573\ : std_logic;
SIGNAL \led_flash_cnt[335][3]~31574_combout\ : std_logic;
SIGNAL \led_flash_cnt[335][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[335][3]~31575\ : std_logic;
SIGNAL \led_flash_cnt[335][4]~31576_combout\ : std_logic;
SIGNAL \led_flash_cnt[335][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[335][4]~31577\ : std_logic;
SIGNAL \led_flash_cnt[335][5]~31578_combout\ : std_logic;
SIGNAL \led_flash_cnt[335][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[335][5]~31579\ : std_logic;
SIGNAL \led_flash_cnt[335][6]~31580_combout\ : std_logic;
SIGNAL \led_flash_cnt[335][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[335][6]~31581\ : std_logic;
SIGNAL \led_flash_cnt[335][7]~31582_combout\ : std_logic;
SIGNAL \led_flash_cnt[335][7]~q\ : std_logic;
SIGNAL \WideAnd335~1_combout\ : std_logic;
SIGNAL \WideAnd335~0_combout\ : std_logic;
SIGNAL \WideAnd335~combout\ : std_logic;
SIGNAL \led_flash_cnt[332][0]~80972_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[332][1]~31528_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[332][1]~31529\ : std_logic;
SIGNAL \led_flash_cnt[332][2]~31530_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[332][2]~31531\ : std_logic;
SIGNAL \led_flash_cnt[332][3]~31532_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[332][3]~31533\ : std_logic;
SIGNAL \led_flash_cnt[332][4]~31534_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[332][4]~31535\ : std_logic;
SIGNAL \led_flash_cnt[332][5]~31536_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[332][5]~31537\ : std_logic;
SIGNAL \led_flash_cnt[332][6]~31538_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][6]~q\ : std_logic;
SIGNAL \WideAnd332~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][6]~31539\ : std_logic;
SIGNAL \led_flash_cnt[332][7]~31540_combout\ : std_logic;
SIGNAL \led_flash_cnt[332][7]~q\ : std_logic;
SIGNAL \WideAnd332~0_combout\ : std_logic;
SIGNAL \WideAnd332~combout\ : std_logic;
SIGNAL \led_flash_cnt[333][0]~80973_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[333][1]~31542_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[333][1]~31543\ : std_logic;
SIGNAL \led_flash_cnt[333][2]~31544_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[333][2]~31545\ : std_logic;
SIGNAL \led_flash_cnt[333][3]~31546_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[333][3]~31547\ : std_logic;
SIGNAL \led_flash_cnt[333][4]~31548_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][4]~q\ : std_logic;
SIGNAL \WideAnd333~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][4]~31549\ : std_logic;
SIGNAL \led_flash_cnt[333][5]~31550_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[333][5]~31551\ : std_logic;
SIGNAL \led_flash_cnt[333][6]~31552_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][6]~q\ : std_logic;
SIGNAL \WideAnd333~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][6]~31553\ : std_logic;
SIGNAL \led_flash_cnt[333][7]~31554_combout\ : std_logic;
SIGNAL \led_flash_cnt[333][7]~q\ : std_logic;
SIGNAL \WideAnd333~combout\ : std_logic;
SIGNAL \WideAnd3881~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][0]~80974_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[334][1]~31556_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[334][1]~31557\ : std_logic;
SIGNAL \led_flash_cnt[334][2]~31558_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[334][2]~31559\ : std_logic;
SIGNAL \led_flash_cnt[334][3]~31560_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[334][3]~31561\ : std_logic;
SIGNAL \led_flash_cnt[334][4]~31562_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[334][4]~31563\ : std_logic;
SIGNAL \led_flash_cnt[334][5]~31564_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[334][5]~31565\ : std_logic;
SIGNAL \led_flash_cnt[334][6]~31566_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][6]~q\ : std_logic;
SIGNAL \WideAnd334~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][6]~31567\ : std_logic;
SIGNAL \led_flash_cnt[334][7]~31568_combout\ : std_logic;
SIGNAL \led_flash_cnt[334][7]~q\ : std_logic;
SIGNAL \WideAnd334~0_combout\ : std_logic;
SIGNAL \WideAnd334~combout\ : std_logic;
SIGNAL \led_flash_cnt[328][0]~80968_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[328][1]~31472_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[328][1]~31473\ : std_logic;
SIGNAL \led_flash_cnt[328][2]~31474_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[328][2]~31475\ : std_logic;
SIGNAL \led_flash_cnt[328][3]~31476_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[328][3]~31477\ : std_logic;
SIGNAL \led_flash_cnt[328][4]~31478_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][4]~q\ : std_logic;
SIGNAL \WideAnd328~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][4]~31479\ : std_logic;
SIGNAL \led_flash_cnt[328][5]~31480_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[328][5]~31481\ : std_logic;
SIGNAL \led_flash_cnt[328][6]~31482_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[328][6]~31483\ : std_logic;
SIGNAL \led_flash_cnt[328][7]~31484_combout\ : std_logic;
SIGNAL \led_flash_cnt[328][7]~q\ : std_logic;
SIGNAL \WideAnd328~1_combout\ : std_logic;
SIGNAL \WideAnd328~combout\ : std_logic;
SIGNAL \led_flash_cnt[331][0]~80971_combout\ : std_logic;
SIGNAL \led_flash_cnt[331][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[331][1]~31514_combout\ : std_logic;
SIGNAL \led_flash_cnt[331][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[331][1]~31515\ : std_logic;
SIGNAL \led_flash_cnt[331][2]~31516_combout\ : std_logic;
SIGNAL \led_flash_cnt[331][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[331][2]~31517\ : std_logic;
SIGNAL \led_flash_cnt[331][3]~31518_combout\ : std_logic;
SIGNAL \led_flash_cnt[331][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[331][3]~31519\ : std_logic;
SIGNAL \led_flash_cnt[331][4]~31520_combout\ : std_logic;
SIGNAL \led_flash_cnt[331][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[331][4]~31521\ : std_logic;
SIGNAL \led_flash_cnt[331][5]~31522_combout\ : std_logic;
SIGNAL \led_flash_cnt[331][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[331][5]~31523\ : std_logic;
SIGNAL \led_flash_cnt[331][6]~31524_combout\ : std_logic;
SIGNAL \led_flash_cnt[331][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[331][6]~31525\ : std_logic;
SIGNAL \led_flash_cnt[331][7]~31526_combout\ : std_logic;
SIGNAL \led_flash_cnt[331][7]~q\ : std_logic;
SIGNAL \WideAnd331~1_combout\ : std_logic;
SIGNAL \WideAnd331~0_combout\ : std_logic;
SIGNAL \WideAnd331~combout\ : std_logic;
SIGNAL \led_flash_cnt[330][0]~80970_combout\ : std_logic;
SIGNAL \led_flash_cnt[330][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[330][1]~31500_combout\ : std_logic;
SIGNAL \led_flash_cnt[330][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[330][1]~31501\ : std_logic;
SIGNAL \led_flash_cnt[330][2]~31502_combout\ : std_logic;
SIGNAL \led_flash_cnt[330][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[330][2]~31503\ : std_logic;
SIGNAL \led_flash_cnt[330][3]~31504_combout\ : std_logic;
SIGNAL \led_flash_cnt[330][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[330][3]~31505\ : std_logic;
SIGNAL \led_flash_cnt[330][4]~31506_combout\ : std_logic;
SIGNAL \led_flash_cnt[330][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[330][4]~31507\ : std_logic;
SIGNAL \led_flash_cnt[330][5]~31508_combout\ : std_logic;
SIGNAL \led_flash_cnt[330][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[330][5]~31509\ : std_logic;
SIGNAL \led_flash_cnt[330][6]~31510_combout\ : std_logic;
SIGNAL \led_flash_cnt[330][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[330][6]~31511\ : std_logic;
SIGNAL \led_flash_cnt[330][7]~31512_combout\ : std_logic;
SIGNAL \led_flash_cnt[330][7]~q\ : std_logic;
SIGNAL \WideAnd330~0_combout\ : std_logic;
SIGNAL \WideAnd330~1_combout\ : std_logic;
SIGNAL \WideAnd330~combout\ : std_logic;
SIGNAL \led_flash_cnt[329][0]~80969_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[329][1]~31486_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[329][1]~31487\ : std_logic;
SIGNAL \led_flash_cnt[329][2]~31488_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[329][2]~31489\ : std_logic;
SIGNAL \led_flash_cnt[329][3]~31490_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[329][3]~31491\ : std_logic;
SIGNAL \led_flash_cnt[329][4]~31492_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][4]~q\ : std_logic;
SIGNAL \WideAnd329~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][4]~31493\ : std_logic;
SIGNAL \led_flash_cnt[329][5]~31494_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[329][5]~31495\ : std_logic;
SIGNAL \led_flash_cnt[329][6]~31496_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[329][6]~31497\ : std_logic;
SIGNAL \led_flash_cnt[329][7]~31498_combout\ : std_logic;
SIGNAL \led_flash_cnt[329][7]~q\ : std_logic;
SIGNAL \WideAnd329~1_combout\ : std_logic;
SIGNAL \WideAnd329~combout\ : std_logic;
SIGNAL \WideAnd3881~0_combout\ : std_logic;
SIGNAL \WideAnd3881~combout\ : std_logic;
SIGNAL \WideAnd4325~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][0]~81021_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[381][1]~32214_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[381][1]~32215\ : std_logic;
SIGNAL \led_flash_cnt[381][2]~32216_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[381][2]~32217\ : std_logic;
SIGNAL \led_flash_cnt[381][3]~32218_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[381][3]~32219\ : std_logic;
SIGNAL \led_flash_cnt[381][4]~32220_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[381][4]~32221\ : std_logic;
SIGNAL \led_flash_cnt[381][5]~32222_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[381][5]~32223\ : std_logic;
SIGNAL \led_flash_cnt[381][6]~32224_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][6]~q\ : std_logic;
SIGNAL \WideAnd381~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][6]~32225\ : std_logic;
SIGNAL \led_flash_cnt[381][7]~32226_combout\ : std_logic;
SIGNAL \led_flash_cnt[381][7]~q\ : std_logic;
SIGNAL \WideAnd381~0_combout\ : std_logic;
SIGNAL \WideAnd381~combout\ : std_logic;
SIGNAL \led_flash_cnt[380][0]~81020_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[380][1]~32200_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[380][1]~32201\ : std_logic;
SIGNAL \led_flash_cnt[380][2]~32202_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[380][2]~32203\ : std_logic;
SIGNAL \led_flash_cnt[380][3]~32204_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[380][3]~32205\ : std_logic;
SIGNAL \led_flash_cnt[380][4]~32206_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][4]~q\ : std_logic;
SIGNAL \WideAnd380~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][4]~32207\ : std_logic;
SIGNAL \led_flash_cnt[380][5]~32208_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[380][5]~32209\ : std_logic;
SIGNAL \led_flash_cnt[380][6]~32210_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[380][6]~32211\ : std_logic;
SIGNAL \led_flash_cnt[380][7]~32212_combout\ : std_logic;
SIGNAL \led_flash_cnt[380][7]~q\ : std_logic;
SIGNAL \WideAnd380~1_combout\ : std_logic;
SIGNAL \WideAnd380~combout\ : std_logic;
SIGNAL \WideAnd3887~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][0]~81023_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[383][1]~32242_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[383][1]~32243\ : std_logic;
SIGNAL \led_flash_cnt[383][2]~32244_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[383][2]~32245\ : std_logic;
SIGNAL \led_flash_cnt[383][3]~32246_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[383][3]~32247\ : std_logic;
SIGNAL \led_flash_cnt[383][4]~32248_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[383][4]~32249\ : std_logic;
SIGNAL \led_flash_cnt[383][5]~32250_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[383][5]~32251\ : std_logic;
SIGNAL \led_flash_cnt[383][6]~32252_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][6]~q\ : std_logic;
SIGNAL \WideAnd383~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][6]~32253\ : std_logic;
SIGNAL \led_flash_cnt[383][7]~32254_combout\ : std_logic;
SIGNAL \led_flash_cnt[383][7]~q\ : std_logic;
SIGNAL \WideAnd383~0_combout\ : std_logic;
SIGNAL \WideAnd383~combout\ : std_logic;
SIGNAL \led_flash_cnt[382][0]~81022_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[382][1]~32228_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[382][1]~32229\ : std_logic;
SIGNAL \led_flash_cnt[382][2]~32230_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[382][2]~32231\ : std_logic;
SIGNAL \led_flash_cnt[382][3]~32232_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[382][3]~32233\ : std_logic;
SIGNAL \led_flash_cnt[382][4]~32234_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[382][4]~32235\ : std_logic;
SIGNAL \led_flash_cnt[382][5]~32236_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[382][5]~32237\ : std_logic;
SIGNAL \led_flash_cnt[382][6]~32238_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][6]~q\ : std_logic;
SIGNAL \WideAnd382~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][6]~32239\ : std_logic;
SIGNAL \led_flash_cnt[382][7]~32240_combout\ : std_logic;
SIGNAL \led_flash_cnt[382][7]~q\ : std_logic;
SIGNAL \WideAnd382~0_combout\ : std_logic;
SIGNAL \WideAnd382~combout\ : std_logic;
SIGNAL \led_flash_cnt[378][0]~81018_combout\ : std_logic;
SIGNAL \led_flash_cnt[378][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[378][1]~32172_combout\ : std_logic;
SIGNAL \led_flash_cnt[378][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[378][1]~32173\ : std_logic;
SIGNAL \led_flash_cnt[378][2]~32174_combout\ : std_logic;
SIGNAL \led_flash_cnt[378][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[378][2]~32175\ : std_logic;
SIGNAL \led_flash_cnt[378][3]~32176_combout\ : std_logic;
SIGNAL \led_flash_cnt[378][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[378][3]~32177\ : std_logic;
SIGNAL \led_flash_cnt[378][4]~32178_combout\ : std_logic;
SIGNAL \led_flash_cnt[378][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[378][4]~32179\ : std_logic;
SIGNAL \led_flash_cnt[378][5]~32180_combout\ : std_logic;
SIGNAL \led_flash_cnt[378][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[378][5]~32181\ : std_logic;
SIGNAL \led_flash_cnt[378][6]~32182_combout\ : std_logic;
SIGNAL \led_flash_cnt[378][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[378][6]~32183\ : std_logic;
SIGNAL \led_flash_cnt[378][7]~32184_combout\ : std_logic;
SIGNAL \led_flash_cnt[378][7]~q\ : std_logic;
SIGNAL \WideAnd378~1_combout\ : std_logic;
SIGNAL \WideAnd378~0_combout\ : std_logic;
SIGNAL \WideAnd378~combout\ : std_logic;
SIGNAL \led_flash_cnt[377][0]~81017_combout\ : std_logic;
SIGNAL \led_flash_cnt[377][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[377][1]~32158_combout\ : std_logic;
SIGNAL \led_flash_cnt[377][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[377][1]~32159\ : std_logic;
SIGNAL \led_flash_cnt[377][2]~32160_combout\ : std_logic;
SIGNAL \led_flash_cnt[377][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[377][2]~32161\ : std_logic;
SIGNAL \led_flash_cnt[377][3]~32162_combout\ : std_logic;
SIGNAL \led_flash_cnt[377][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[377][3]~32163\ : std_logic;
SIGNAL \led_flash_cnt[377][4]~32164_combout\ : std_logic;
SIGNAL \led_flash_cnt[377][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[377][4]~32165\ : std_logic;
SIGNAL \led_flash_cnt[377][5]~32166_combout\ : std_logic;
SIGNAL \led_flash_cnt[377][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[377][5]~32167\ : std_logic;
SIGNAL \led_flash_cnt[377][6]~32168_combout\ : std_logic;
SIGNAL \led_flash_cnt[377][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[377][6]~32169\ : std_logic;
SIGNAL \led_flash_cnt[377][7]~32170_combout\ : std_logic;
SIGNAL \led_flash_cnt[377][7]~q\ : std_logic;
SIGNAL \WideAnd377~1_combout\ : std_logic;
SIGNAL \WideAnd377~0_combout\ : std_logic;
SIGNAL \WideAnd377~combout\ : std_logic;
SIGNAL \led_flash_cnt[379][0]~81019_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[379][1]~32186_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[379][1]~32187\ : std_logic;
SIGNAL \led_flash_cnt[379][2]~32188_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[379][2]~32189\ : std_logic;
SIGNAL \led_flash_cnt[379][3]~32190_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[379][3]~32191\ : std_logic;
SIGNAL \led_flash_cnt[379][4]~32192_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[379][4]~32193\ : std_logic;
SIGNAL \led_flash_cnt[379][5]~32194_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[379][5]~32195\ : std_logic;
SIGNAL \led_flash_cnt[379][6]~32196_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][6]~q\ : std_logic;
SIGNAL \WideAnd379~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][6]~32197\ : std_logic;
SIGNAL \led_flash_cnt[379][7]~32198_combout\ : std_logic;
SIGNAL \led_flash_cnt[379][7]~q\ : std_logic;
SIGNAL \WideAnd379~0_combout\ : std_logic;
SIGNAL \WideAnd379~combout\ : std_logic;
SIGNAL \led_flash_cnt[376][0]~81016_combout\ : std_logic;
SIGNAL \led_flash_cnt[376][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[376][1]~32144_combout\ : std_logic;
SIGNAL \led_flash_cnt[376][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[376][1]~32145\ : std_logic;
SIGNAL \led_flash_cnt[376][2]~32146_combout\ : std_logic;
SIGNAL \led_flash_cnt[376][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[376][2]~32147\ : std_logic;
SIGNAL \led_flash_cnt[376][3]~32148_combout\ : std_logic;
SIGNAL \led_flash_cnt[376][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[376][3]~32149\ : std_logic;
SIGNAL \led_flash_cnt[376][4]~32150_combout\ : std_logic;
SIGNAL \led_flash_cnt[376][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[376][4]~32151\ : std_logic;
SIGNAL \led_flash_cnt[376][5]~32152_combout\ : std_logic;
SIGNAL \led_flash_cnt[376][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[376][5]~32153\ : std_logic;
SIGNAL \led_flash_cnt[376][6]~32154_combout\ : std_logic;
SIGNAL \led_flash_cnt[376][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[376][6]~32155\ : std_logic;
SIGNAL \led_flash_cnt[376][7]~32156_combout\ : std_logic;
SIGNAL \led_flash_cnt[376][7]~q\ : std_logic;
SIGNAL \WideAnd376~1_combout\ : std_logic;
SIGNAL \WideAnd376~0_combout\ : std_logic;
SIGNAL \WideAnd376~combout\ : std_logic;
SIGNAL \WideAnd3887~0_combout\ : std_logic;
SIGNAL \WideAnd3887~combout\ : std_logic;
SIGNAL \WideAnd4325~combout\ : std_logic;
SIGNAL \led_flash_cnt[319][0]~80959_combout\ : std_logic;
SIGNAL \led_flash_cnt[319][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[319][1]~31346_combout\ : std_logic;
SIGNAL \led_flash_cnt[319][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[319][1]~31347\ : std_logic;
SIGNAL \led_flash_cnt[319][2]~31348_combout\ : std_logic;
SIGNAL \led_flash_cnt[319][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[319][2]~31349\ : std_logic;
SIGNAL \led_flash_cnt[319][3]~31350_combout\ : std_logic;
SIGNAL \led_flash_cnt[319][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[319][3]~31351\ : std_logic;
SIGNAL \led_flash_cnt[319][4]~31352_combout\ : std_logic;
SIGNAL \led_flash_cnt[319][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[319][4]~31353\ : std_logic;
SIGNAL \led_flash_cnt[319][5]~31354_combout\ : std_logic;
SIGNAL \led_flash_cnt[319][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[319][5]~31355\ : std_logic;
SIGNAL \led_flash_cnt[319][6]~31356_combout\ : std_logic;
SIGNAL \led_flash_cnt[319][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[319][6]~31357\ : std_logic;
SIGNAL \led_flash_cnt[319][7]~31358_combout\ : std_logic;
SIGNAL \led_flash_cnt[319][7]~q\ : std_logic;
SIGNAL \WideAnd319~1_combout\ : std_logic;
SIGNAL \WideAnd319~0_combout\ : std_logic;
SIGNAL \WideAnd319~combout\ : std_logic;
SIGNAL \led_flash_cnt[317][0]~80957_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[317][1]~31318_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[317][1]~31319\ : std_logic;
SIGNAL \led_flash_cnt[317][2]~31320_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[317][2]~31321\ : std_logic;
SIGNAL \led_flash_cnt[317][3]~31322_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[317][3]~31323\ : std_logic;
SIGNAL \led_flash_cnt[317][4]~31324_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[317][4]~31325\ : std_logic;
SIGNAL \led_flash_cnt[317][5]~31326_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[317][5]~31327\ : std_logic;
SIGNAL \led_flash_cnt[317][6]~31328_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][6]~q\ : std_logic;
SIGNAL \WideAnd317~1_combout\ : std_logic;
SIGNAL \WideAnd317~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][6]~31329\ : std_logic;
SIGNAL \led_flash_cnt[317][7]~31330_combout\ : std_logic;
SIGNAL \led_flash_cnt[317][7]~q\ : std_logic;
SIGNAL \WideAnd317~combout\ : std_logic;
SIGNAL \led_flash_cnt[316][0]~80956_combout\ : std_logic;
SIGNAL \led_flash_cnt[316][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[316][1]~31304_combout\ : std_logic;
SIGNAL \led_flash_cnt[316][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[316][1]~31305\ : std_logic;
SIGNAL \led_flash_cnt[316][2]~31306_combout\ : std_logic;
SIGNAL \led_flash_cnt[316][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[316][2]~31307\ : std_logic;
SIGNAL \led_flash_cnt[316][3]~31308_combout\ : std_logic;
SIGNAL \led_flash_cnt[316][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[316][3]~31309\ : std_logic;
SIGNAL \led_flash_cnt[316][4]~31310_combout\ : std_logic;
SIGNAL \led_flash_cnt[316][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[316][4]~31311\ : std_logic;
SIGNAL \led_flash_cnt[316][5]~31312_combout\ : std_logic;
SIGNAL \led_flash_cnt[316][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[316][5]~31313\ : std_logic;
SIGNAL \led_flash_cnt[316][6]~31314_combout\ : std_logic;
SIGNAL \led_flash_cnt[316][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[316][6]~31315\ : std_logic;
SIGNAL \led_flash_cnt[316][7]~31316_combout\ : std_logic;
SIGNAL \led_flash_cnt[316][7]~q\ : std_logic;
SIGNAL \WideAnd316~0_combout\ : std_logic;
SIGNAL \WideAnd316~1_combout\ : std_logic;
SIGNAL \WideAnd316~combout\ : std_logic;
SIGNAL \WideAnd3879~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][0]~80953_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[313][1]~31262_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[313][1]~31263\ : std_logic;
SIGNAL \led_flash_cnt[313][2]~31264_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[313][2]~31265\ : std_logic;
SIGNAL \led_flash_cnt[313][3]~31266_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[313][3]~31267\ : std_logic;
SIGNAL \led_flash_cnt[313][4]~31268_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[313][4]~31269\ : std_logic;
SIGNAL \led_flash_cnt[313][5]~31270_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[313][5]~31271\ : std_logic;
SIGNAL \led_flash_cnt[313][6]~31272_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[313][6]~31273\ : std_logic;
SIGNAL \led_flash_cnt[313][7]~31274_combout\ : std_logic;
SIGNAL \led_flash_cnt[313][7]~q\ : std_logic;
SIGNAL \WideAnd313~1_combout\ : std_logic;
SIGNAL \WideAnd313~0_combout\ : std_logic;
SIGNAL \WideAnd313~combout\ : std_logic;
SIGNAL \led_flash_cnt[312][0]~80952_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[312][1]~31248_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[312][1]~31249\ : std_logic;
SIGNAL \led_flash_cnt[312][2]~31250_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[312][2]~31251\ : std_logic;
SIGNAL \led_flash_cnt[312][3]~31252_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[312][3]~31253\ : std_logic;
SIGNAL \led_flash_cnt[312][4]~31254_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[312][4]~31255\ : std_logic;
SIGNAL \led_flash_cnt[312][5]~31256_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[312][5]~31257\ : std_logic;
SIGNAL \led_flash_cnt[312][6]~31258_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][6]~q\ : std_logic;
SIGNAL \WideAnd312~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][6]~31259\ : std_logic;
SIGNAL \led_flash_cnt[312][7]~31260_combout\ : std_logic;
SIGNAL \led_flash_cnt[312][7]~q\ : std_logic;
SIGNAL \WideAnd312~0_combout\ : std_logic;
SIGNAL \WideAnd312~combout\ : std_logic;
SIGNAL \led_flash_cnt[315][0]~80955_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[315][1]~31290_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[315][1]~31291\ : std_logic;
SIGNAL \led_flash_cnt[315][2]~31292_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[315][2]~31293\ : std_logic;
SIGNAL \led_flash_cnt[315][3]~31294_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[315][3]~31295\ : std_logic;
SIGNAL \led_flash_cnt[315][4]~31296_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[315][4]~31297\ : std_logic;
SIGNAL \led_flash_cnt[315][5]~31298_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[315][5]~31299\ : std_logic;
SIGNAL \led_flash_cnt[315][6]~31300_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][6]~q\ : std_logic;
SIGNAL \WideAnd315~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][6]~31301\ : std_logic;
SIGNAL \led_flash_cnt[315][7]~31302_combout\ : std_logic;
SIGNAL \led_flash_cnt[315][7]~q\ : std_logic;
SIGNAL \WideAnd315~0_combout\ : std_logic;
SIGNAL \WideAnd315~combout\ : std_logic;
SIGNAL \led_flash_cnt[314][0]~80954_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[314][1]~31276_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[314][1]~31277\ : std_logic;
SIGNAL \led_flash_cnt[314][2]~31278_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[314][2]~31279\ : std_logic;
SIGNAL \led_flash_cnt[314][3]~31280_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[314][3]~31281\ : std_logic;
SIGNAL \led_flash_cnt[314][4]~31282_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][4]~q\ : std_logic;
SIGNAL \WideAnd314~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][4]~31283\ : std_logic;
SIGNAL \led_flash_cnt[314][5]~31284_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[314][5]~31285\ : std_logic;
SIGNAL \led_flash_cnt[314][6]~31286_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[314][6]~31287\ : std_logic;
SIGNAL \led_flash_cnt[314][7]~31288_combout\ : std_logic;
SIGNAL \led_flash_cnt[314][7]~q\ : std_logic;
SIGNAL \WideAnd314~1_combout\ : std_logic;
SIGNAL \WideAnd314~combout\ : std_logic;
SIGNAL \WideAnd3879~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][0]~80958_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[318][1]~31332_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[318][1]~31333\ : std_logic;
SIGNAL \led_flash_cnt[318][2]~31334_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[318][2]~31335\ : std_logic;
SIGNAL \led_flash_cnt[318][3]~31336_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[318][3]~31337\ : std_logic;
SIGNAL \led_flash_cnt[318][4]~31338_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[318][4]~31339\ : std_logic;
SIGNAL \led_flash_cnt[318][5]~31340_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[318][5]~31341\ : std_logic;
SIGNAL \led_flash_cnt[318][6]~31342_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][6]~q\ : std_logic;
SIGNAL \WideAnd318~1_combout\ : std_logic;
SIGNAL \WideAnd318~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][6]~31343\ : std_logic;
SIGNAL \led_flash_cnt[318][7]~31344_combout\ : std_logic;
SIGNAL \led_flash_cnt[318][7]~q\ : std_logic;
SIGNAL \WideAnd318~combout\ : std_logic;
SIGNAL \WideAnd3879~combout\ : std_logic;
SIGNAL \led_flash_cnt[278][0]~80918_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[278][1]~30772_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[278][1]~30773\ : std_logic;
SIGNAL \led_flash_cnt[278][2]~30774_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[278][2]~30775\ : std_logic;
SIGNAL \led_flash_cnt[278][3]~30776_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[278][3]~30777\ : std_logic;
SIGNAL \led_flash_cnt[278][4]~30778_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][4]~q\ : std_logic;
SIGNAL \WideAnd278~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][4]~30779\ : std_logic;
SIGNAL \led_flash_cnt[278][5]~30780_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[278][5]~30781\ : std_logic;
SIGNAL \led_flash_cnt[278][6]~30782_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[278][6]~30783\ : std_logic;
SIGNAL \led_flash_cnt[278][7]~30784_combout\ : std_logic;
SIGNAL \led_flash_cnt[278][7]~q\ : std_logic;
SIGNAL \WideAnd278~1_combout\ : std_logic;
SIGNAL \WideAnd278~combout\ : std_logic;
SIGNAL \led_flash_cnt[275][0]~80915_combout\ : std_logic;
SIGNAL \led_flash_cnt[275][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[275][1]~30730_combout\ : std_logic;
SIGNAL \led_flash_cnt[275][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[275][1]~30731\ : std_logic;
SIGNAL \led_flash_cnt[275][2]~30732_combout\ : std_logic;
SIGNAL \led_flash_cnt[275][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[275][2]~30733\ : std_logic;
SIGNAL \led_flash_cnt[275][3]~30734_combout\ : std_logic;
SIGNAL \led_flash_cnt[275][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[275][3]~30735\ : std_logic;
SIGNAL \led_flash_cnt[275][4]~30736_combout\ : std_logic;
SIGNAL \led_flash_cnt[275][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[275][4]~30737\ : std_logic;
SIGNAL \led_flash_cnt[275][5]~30738_combout\ : std_logic;
SIGNAL \led_flash_cnt[275][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[275][5]~30739\ : std_logic;
SIGNAL \led_flash_cnt[275][6]~30740_combout\ : std_logic;
SIGNAL \led_flash_cnt[275][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[275][6]~30741\ : std_logic;
SIGNAL \led_flash_cnt[275][7]~30742_combout\ : std_logic;
SIGNAL \led_flash_cnt[275][7]~q\ : std_logic;
SIGNAL \WideAnd275~1_combout\ : std_logic;
SIGNAL \WideAnd275~0_combout\ : std_logic;
SIGNAL \WideAnd275~combout\ : std_logic;
SIGNAL \led_flash_cnt[274][0]~80914_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[274][1]~30716_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[274][1]~30717\ : std_logic;
SIGNAL \led_flash_cnt[274][2]~30718_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[274][2]~30719\ : std_logic;
SIGNAL \led_flash_cnt[274][3]~30720_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[274][3]~30721\ : std_logic;
SIGNAL \led_flash_cnt[274][4]~30722_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][4]~q\ : std_logic;
SIGNAL \WideAnd274~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][4]~30723\ : std_logic;
SIGNAL \led_flash_cnt[274][5]~30724_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[274][5]~30725\ : std_logic;
SIGNAL \led_flash_cnt[274][6]~30726_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][6]~q\ : std_logic;
SIGNAL \WideAnd274~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][6]~30727\ : std_logic;
SIGNAL \led_flash_cnt[274][7]~30728_combout\ : std_logic;
SIGNAL \led_flash_cnt[274][7]~q\ : std_logic;
SIGNAL \WideAnd274~combout\ : std_logic;
SIGNAL \led_flash_cnt[273][0]~80913_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[273][1]~30702_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[273][1]~30703\ : std_logic;
SIGNAL \led_flash_cnt[273][2]~30704_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[273][2]~30705\ : std_logic;
SIGNAL \led_flash_cnt[273][3]~30706_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[273][3]~30707\ : std_logic;
SIGNAL \led_flash_cnt[273][4]~30708_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[273][4]~30709\ : std_logic;
SIGNAL \led_flash_cnt[273][5]~30710_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[273][5]~30711\ : std_logic;
SIGNAL \led_flash_cnt[273][6]~30712_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][6]~q\ : std_logic;
SIGNAL \WideAnd273~1_combout\ : std_logic;
SIGNAL \WideAnd273~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][6]~30713\ : std_logic;
SIGNAL \led_flash_cnt[273][7]~30714_combout\ : std_logic;
SIGNAL \led_flash_cnt[273][7]~q\ : std_logic;
SIGNAL \WideAnd273~combout\ : std_logic;
SIGNAL \led_flash_cnt[272][0]~80912_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[272][1]~30688_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[272][1]~30689\ : std_logic;
SIGNAL \led_flash_cnt[272][2]~30690_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[272][2]~30691\ : std_logic;
SIGNAL \led_flash_cnt[272][3]~30692_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[272][3]~30693\ : std_logic;
SIGNAL \led_flash_cnt[272][4]~30694_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[272][4]~30695\ : std_logic;
SIGNAL \led_flash_cnt[272][5]~30696_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[272][5]~30697\ : std_logic;
SIGNAL \led_flash_cnt[272][6]~30698_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][6]~q\ : std_logic;
SIGNAL \WideAnd272~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][6]~30699\ : std_logic;
SIGNAL \led_flash_cnt[272][7]~30700_combout\ : std_logic;
SIGNAL \led_flash_cnt[272][7]~q\ : std_logic;
SIGNAL \WideAnd272~0_combout\ : std_logic;
SIGNAL \WideAnd272~combout\ : std_logic;
SIGNAL \WideAnd3874~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][0]~80919_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[279][1]~30786_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[279][1]~30787\ : std_logic;
SIGNAL \led_flash_cnt[279][2]~30788_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[279][2]~30789\ : std_logic;
SIGNAL \led_flash_cnt[279][3]~30790_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[279][3]~30791\ : std_logic;
SIGNAL \led_flash_cnt[279][4]~30792_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[279][4]~30793\ : std_logic;
SIGNAL \led_flash_cnt[279][5]~30794_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[279][5]~30795\ : std_logic;
SIGNAL \led_flash_cnt[279][6]~30796_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[279][6]~30797\ : std_logic;
SIGNAL \led_flash_cnt[279][7]~30798_combout\ : std_logic;
SIGNAL \led_flash_cnt[279][7]~q\ : std_logic;
SIGNAL \WideAnd279~0_combout\ : std_logic;
SIGNAL \WideAnd279~1_combout\ : std_logic;
SIGNAL \WideAnd279~combout\ : std_logic;
SIGNAL \led_flash_cnt[277][0]~80917_combout\ : std_logic;
SIGNAL \led_flash_cnt[277][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[277][1]~30758_combout\ : std_logic;
SIGNAL \led_flash_cnt[277][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[277][1]~30759\ : std_logic;
SIGNAL \led_flash_cnt[277][2]~30760_combout\ : std_logic;
SIGNAL \led_flash_cnt[277][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[277][2]~30761\ : std_logic;
SIGNAL \led_flash_cnt[277][3]~30762_combout\ : std_logic;
SIGNAL \led_flash_cnt[277][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[277][3]~30763\ : std_logic;
SIGNAL \led_flash_cnt[277][4]~30764_combout\ : std_logic;
SIGNAL \led_flash_cnt[277][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[277][4]~30765\ : std_logic;
SIGNAL \led_flash_cnt[277][5]~30766_combout\ : std_logic;
SIGNAL \led_flash_cnt[277][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[277][5]~30767\ : std_logic;
SIGNAL \led_flash_cnt[277][6]~30768_combout\ : std_logic;
SIGNAL \led_flash_cnt[277][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[277][6]~30769\ : std_logic;
SIGNAL \led_flash_cnt[277][7]~30770_combout\ : std_logic;
SIGNAL \led_flash_cnt[277][7]~q\ : std_logic;
SIGNAL \WideAnd277~0_combout\ : std_logic;
SIGNAL \WideAnd277~1_combout\ : std_logic;
SIGNAL \WideAnd277~combout\ : std_logic;
SIGNAL \led_flash_cnt[276][0]~80916_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[276][1]~30744_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[276][1]~30745\ : std_logic;
SIGNAL \led_flash_cnt[276][2]~30746_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[276][2]~30747\ : std_logic;
SIGNAL \led_flash_cnt[276][3]~30748_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[276][3]~30749\ : std_logic;
SIGNAL \led_flash_cnt[276][4]~30750_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][4]~q\ : std_logic;
SIGNAL \WideAnd276~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][4]~30751\ : std_logic;
SIGNAL \led_flash_cnt[276][5]~30752_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[276][5]~30753\ : std_logic;
SIGNAL \led_flash_cnt[276][6]~30754_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][6]~q\ : std_logic;
SIGNAL \WideAnd276~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][6]~30755\ : std_logic;
SIGNAL \led_flash_cnt[276][7]~30756_combout\ : std_logic;
SIGNAL \led_flash_cnt[276][7]~q\ : std_logic;
SIGNAL \WideAnd276~combout\ : std_logic;
SIGNAL \WideAnd3874~1_combout\ : std_logic;
SIGNAL \WideAnd3874~combout\ : std_logic;
SIGNAL \led_flash_cnt[263][0]~80903_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[263][1]~30562_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[263][1]~30563\ : std_logic;
SIGNAL \led_flash_cnt[263][2]~30564_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[263][2]~30565\ : std_logic;
SIGNAL \led_flash_cnt[263][3]~30566_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[263][3]~30567\ : std_logic;
SIGNAL \led_flash_cnt[263][4]~30568_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][4]~q\ : std_logic;
SIGNAL \WideAnd263~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][4]~30569\ : std_logic;
SIGNAL \led_flash_cnt[263][5]~30570_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[263][5]~30571\ : std_logic;
SIGNAL \led_flash_cnt[263][6]~30572_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[263][6]~30573\ : std_logic;
SIGNAL \led_flash_cnt[263][7]~30574_combout\ : std_logic;
SIGNAL \led_flash_cnt[263][7]~q\ : std_logic;
SIGNAL \WideAnd263~1_combout\ : std_logic;
SIGNAL \WideAnd263~combout\ : std_logic;
SIGNAL \led_flash_cnt[262][0]~80902_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[262][1]~30548_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[262][1]~30549\ : std_logic;
SIGNAL \led_flash_cnt[262][2]~30550_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[262][2]~30551\ : std_logic;
SIGNAL \led_flash_cnt[262][3]~30552_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[262][3]~30553\ : std_logic;
SIGNAL \led_flash_cnt[262][4]~30554_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[262][4]~30555\ : std_logic;
SIGNAL \led_flash_cnt[262][5]~30556_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[262][5]~30557\ : std_logic;
SIGNAL \led_flash_cnt[262][6]~30558_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][6]~q\ : std_logic;
SIGNAL \WideAnd262~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][6]~30559\ : std_logic;
SIGNAL \led_flash_cnt[262][7]~30560_combout\ : std_logic;
SIGNAL \led_flash_cnt[262][7]~q\ : std_logic;
SIGNAL \WideAnd262~0_combout\ : std_logic;
SIGNAL \WideAnd262~combout\ : std_logic;
SIGNAL \led_flash_cnt[256][0]~80896_combout\ : std_logic;
SIGNAL \led_flash_cnt[256][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[256][1]~30464_combout\ : std_logic;
SIGNAL \led_flash_cnt[256][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[256][1]~30465\ : std_logic;
SIGNAL \led_flash_cnt[256][2]~30466_combout\ : std_logic;
SIGNAL \led_flash_cnt[256][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[256][2]~30467\ : std_logic;
SIGNAL \led_flash_cnt[256][3]~30468_combout\ : std_logic;
SIGNAL \led_flash_cnt[256][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[256][3]~30469\ : std_logic;
SIGNAL \led_flash_cnt[256][4]~30470_combout\ : std_logic;
SIGNAL \led_flash_cnt[256][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[256][4]~30471\ : std_logic;
SIGNAL \led_flash_cnt[256][5]~30472_combout\ : std_logic;
SIGNAL \led_flash_cnt[256][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[256][5]~30473\ : std_logic;
SIGNAL \led_flash_cnt[256][6]~30474_combout\ : std_logic;
SIGNAL \led_flash_cnt[256][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[256][6]~30475\ : std_logic;
SIGNAL \led_flash_cnt[256][7]~30476_combout\ : std_logic;
SIGNAL \led_flash_cnt[256][7]~q\ : std_logic;
SIGNAL \WideAnd256~1_combout\ : std_logic;
SIGNAL \WideAnd256~0_combout\ : std_logic;
SIGNAL \WideAnd256~combout\ : std_logic;
SIGNAL \led_flash_cnt[257][0]~80897_combout\ : std_logic;
SIGNAL \led_flash_cnt[257][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[257][1]~30478_combout\ : std_logic;
SIGNAL \led_flash_cnt[257][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[257][1]~30479\ : std_logic;
SIGNAL \led_flash_cnt[257][2]~30480_combout\ : std_logic;
SIGNAL \led_flash_cnt[257][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[257][2]~30481\ : std_logic;
SIGNAL \led_flash_cnt[257][3]~30482_combout\ : std_logic;
SIGNAL \led_flash_cnt[257][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[257][3]~30483\ : std_logic;
SIGNAL \led_flash_cnt[257][4]~30484_combout\ : std_logic;
SIGNAL \led_flash_cnt[257][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[257][4]~30485\ : std_logic;
SIGNAL \led_flash_cnt[257][5]~30486_combout\ : std_logic;
SIGNAL \led_flash_cnt[257][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[257][5]~30487\ : std_logic;
SIGNAL \led_flash_cnt[257][6]~30488_combout\ : std_logic;
SIGNAL \led_flash_cnt[257][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[257][6]~30489\ : std_logic;
SIGNAL \led_flash_cnt[257][7]~30490_combout\ : std_logic;
SIGNAL \led_flash_cnt[257][7]~q\ : std_logic;
SIGNAL \WideAnd257~1_combout\ : std_logic;
SIGNAL \WideAnd257~0_combout\ : std_logic;
SIGNAL \WideAnd257~combout\ : std_logic;
SIGNAL \led_flash_cnt[258][0]~80898_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[258][1]~30492_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[258][1]~30493\ : std_logic;
SIGNAL \led_flash_cnt[258][2]~30494_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[258][2]~30495\ : std_logic;
SIGNAL \led_flash_cnt[258][3]~30496_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[258][3]~30497\ : std_logic;
SIGNAL \led_flash_cnt[258][4]~30498_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][4]~q\ : std_logic;
SIGNAL \WideAnd258~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][4]~30499\ : std_logic;
SIGNAL \led_flash_cnt[258][5]~30500_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[258][5]~30501\ : std_logic;
SIGNAL \led_flash_cnt[258][6]~30502_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[258][6]~30503\ : std_logic;
SIGNAL \led_flash_cnt[258][7]~30504_combout\ : std_logic;
SIGNAL \led_flash_cnt[258][7]~q\ : std_logic;
SIGNAL \WideAnd258~1_combout\ : std_logic;
SIGNAL \WideAnd258~combout\ : std_logic;
SIGNAL \led_flash_cnt[259][0]~80899_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[259][1]~30506_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[259][1]~30507\ : std_logic;
SIGNAL \led_flash_cnt[259][2]~30508_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[259][2]~30509\ : std_logic;
SIGNAL \led_flash_cnt[259][3]~30510_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[259][3]~30511\ : std_logic;
SIGNAL \led_flash_cnt[259][4]~30512_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[259][4]~30513\ : std_logic;
SIGNAL \led_flash_cnt[259][5]~30514_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[259][5]~30515\ : std_logic;
SIGNAL \led_flash_cnt[259][6]~30516_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][6]~q\ : std_logic;
SIGNAL \WideAnd259~1_combout\ : std_logic;
SIGNAL \WideAnd259~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][6]~30517\ : std_logic;
SIGNAL \led_flash_cnt[259][7]~30518_combout\ : std_logic;
SIGNAL \led_flash_cnt[259][7]~q\ : std_logic;
SIGNAL \WideAnd259~combout\ : std_logic;
SIGNAL \WideAnd3872~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][0]~80901_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[261][1]~30534_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[261][1]~30535\ : std_logic;
SIGNAL \led_flash_cnt[261][2]~30536_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[261][2]~30537\ : std_logic;
SIGNAL \led_flash_cnt[261][3]~30538_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[261][3]~30539\ : std_logic;
SIGNAL \led_flash_cnt[261][4]~30540_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][4]~q\ : std_logic;
SIGNAL \WideAnd261~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][4]~30541\ : std_logic;
SIGNAL \led_flash_cnt[261][5]~30542_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[261][5]~30543\ : std_logic;
SIGNAL \led_flash_cnt[261][6]~30544_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[261][6]~30545\ : std_logic;
SIGNAL \led_flash_cnt[261][7]~30546_combout\ : std_logic;
SIGNAL \led_flash_cnt[261][7]~q\ : std_logic;
SIGNAL \WideAnd261~1_combout\ : std_logic;
SIGNAL \WideAnd261~combout\ : std_logic;
SIGNAL \led_flash_cnt[260][0]~80900_combout\ : std_logic;
SIGNAL \led_flash_cnt[260][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[260][1]~30520_combout\ : std_logic;
SIGNAL \led_flash_cnt[260][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[260][1]~30521\ : std_logic;
SIGNAL \led_flash_cnt[260][2]~30522_combout\ : std_logic;
SIGNAL \led_flash_cnt[260][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[260][2]~30523\ : std_logic;
SIGNAL \led_flash_cnt[260][3]~30524_combout\ : std_logic;
SIGNAL \led_flash_cnt[260][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[260][3]~30525\ : std_logic;
SIGNAL \led_flash_cnt[260][4]~30526_combout\ : std_logic;
SIGNAL \led_flash_cnt[260][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[260][4]~30527\ : std_logic;
SIGNAL \led_flash_cnt[260][5]~30528_combout\ : std_logic;
SIGNAL \led_flash_cnt[260][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[260][5]~30529\ : std_logic;
SIGNAL \led_flash_cnt[260][6]~30530_combout\ : std_logic;
SIGNAL \led_flash_cnt[260][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[260][6]~30531\ : std_logic;
SIGNAL \led_flash_cnt[260][7]~30532_combout\ : std_logic;
SIGNAL \led_flash_cnt[260][7]~q\ : std_logic;
SIGNAL \WideAnd260~0_combout\ : std_logic;
SIGNAL \WideAnd260~1_combout\ : std_logic;
SIGNAL \WideAnd260~combout\ : std_logic;
SIGNAL \WideAnd3872~1_combout\ : std_logic;
SIGNAL \WideAnd3872~combout\ : std_logic;
SIGNAL \led_flash_cnt[270][0]~80910_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[270][1]~30660_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[270][1]~30661\ : std_logic;
SIGNAL \led_flash_cnt[270][2]~30662_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[270][2]~30663\ : std_logic;
SIGNAL \led_flash_cnt[270][3]~30664_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[270][3]~30665\ : std_logic;
SIGNAL \led_flash_cnt[270][4]~30666_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[270][4]~30667\ : std_logic;
SIGNAL \led_flash_cnt[270][5]~30668_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[270][5]~30669\ : std_logic;
SIGNAL \led_flash_cnt[270][6]~30670_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][6]~q\ : std_logic;
SIGNAL \WideAnd270~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][6]~30671\ : std_logic;
SIGNAL \led_flash_cnt[270][7]~30672_combout\ : std_logic;
SIGNAL \led_flash_cnt[270][7]~q\ : std_logic;
SIGNAL \WideAnd270~0_combout\ : std_logic;
SIGNAL \WideAnd270~combout\ : std_logic;
SIGNAL \led_flash_cnt[271][0]~80911_combout\ : std_logic;
SIGNAL \led_flash_cnt[271][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[271][1]~30674_combout\ : std_logic;
SIGNAL \led_flash_cnt[271][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[271][1]~30675\ : std_logic;
SIGNAL \led_flash_cnt[271][2]~30676_combout\ : std_logic;
SIGNAL \led_flash_cnt[271][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[271][2]~30677\ : std_logic;
SIGNAL \led_flash_cnt[271][3]~30678_combout\ : std_logic;
SIGNAL \led_flash_cnt[271][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[271][3]~30679\ : std_logic;
SIGNAL \led_flash_cnt[271][4]~30680_combout\ : std_logic;
SIGNAL \led_flash_cnt[271][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[271][4]~30681\ : std_logic;
SIGNAL \led_flash_cnt[271][5]~30682_combout\ : std_logic;
SIGNAL \led_flash_cnt[271][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[271][5]~30683\ : std_logic;
SIGNAL \led_flash_cnt[271][6]~30684_combout\ : std_logic;
SIGNAL \led_flash_cnt[271][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[271][6]~30685\ : std_logic;
SIGNAL \led_flash_cnt[271][7]~30686_combout\ : std_logic;
SIGNAL \led_flash_cnt[271][7]~q\ : std_logic;
SIGNAL \WideAnd271~1_combout\ : std_logic;
SIGNAL \WideAnd271~0_combout\ : std_logic;
SIGNAL \WideAnd271~combout\ : std_logic;
SIGNAL \led_flash_cnt[265][0]~80905_combout\ : std_logic;
SIGNAL \led_flash_cnt[265][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[265][1]~30590_combout\ : std_logic;
SIGNAL \led_flash_cnt[265][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[265][1]~30591\ : std_logic;
SIGNAL \led_flash_cnt[265][2]~30592_combout\ : std_logic;
SIGNAL \led_flash_cnt[265][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[265][2]~30593\ : std_logic;
SIGNAL \led_flash_cnt[265][3]~30594_combout\ : std_logic;
SIGNAL \led_flash_cnt[265][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[265][3]~30595\ : std_logic;
SIGNAL \led_flash_cnt[265][4]~30596_combout\ : std_logic;
SIGNAL \led_flash_cnt[265][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[265][4]~30597\ : std_logic;
SIGNAL \led_flash_cnt[265][5]~30598_combout\ : std_logic;
SIGNAL \led_flash_cnt[265][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[265][5]~30599\ : std_logic;
SIGNAL \led_flash_cnt[265][6]~30600_combout\ : std_logic;
SIGNAL \led_flash_cnt[265][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[265][6]~30601\ : std_logic;
SIGNAL \led_flash_cnt[265][7]~30602_combout\ : std_logic;
SIGNAL \led_flash_cnt[265][7]~q\ : std_logic;
SIGNAL \WideAnd265~1_combout\ : std_logic;
SIGNAL \WideAnd265~0_combout\ : std_logic;
SIGNAL \WideAnd265~combout\ : std_logic;
SIGNAL \led_flash_cnt[267][0]~80907_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[267][1]~30618_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[267][1]~30619\ : std_logic;
SIGNAL \led_flash_cnt[267][2]~30620_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[267][2]~30621\ : std_logic;
SIGNAL \led_flash_cnt[267][3]~30622_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[267][3]~30623\ : std_logic;
SIGNAL \led_flash_cnt[267][4]~30624_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[267][4]~30625\ : std_logic;
SIGNAL \led_flash_cnt[267][5]~30626_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[267][5]~30627\ : std_logic;
SIGNAL \led_flash_cnt[267][6]~30628_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][6]~q\ : std_logic;
SIGNAL \WideAnd267~1_combout\ : std_logic;
SIGNAL \WideAnd267~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][6]~30629\ : std_logic;
SIGNAL \led_flash_cnt[267][7]~30630_combout\ : std_logic;
SIGNAL \led_flash_cnt[267][7]~q\ : std_logic;
SIGNAL \WideAnd267~combout\ : std_logic;
SIGNAL \led_flash_cnt[264][0]~80904_combout\ : std_logic;
SIGNAL \led_flash_cnt[264][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[264][1]~30576_combout\ : std_logic;
SIGNAL \led_flash_cnt[264][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[264][1]~30577\ : std_logic;
SIGNAL \led_flash_cnt[264][2]~30578_combout\ : std_logic;
SIGNAL \led_flash_cnt[264][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[264][2]~30579\ : std_logic;
SIGNAL \led_flash_cnt[264][3]~30580_combout\ : std_logic;
SIGNAL \led_flash_cnt[264][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[264][3]~30581\ : std_logic;
SIGNAL \led_flash_cnt[264][4]~30582_combout\ : std_logic;
SIGNAL \led_flash_cnt[264][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[264][4]~30583\ : std_logic;
SIGNAL \led_flash_cnt[264][5]~30584_combout\ : std_logic;
SIGNAL \led_flash_cnt[264][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[264][5]~30585\ : std_logic;
SIGNAL \led_flash_cnt[264][6]~30586_combout\ : std_logic;
SIGNAL \led_flash_cnt[264][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[264][6]~30587\ : std_logic;
SIGNAL \led_flash_cnt[264][7]~30588_combout\ : std_logic;
SIGNAL \led_flash_cnt[264][7]~q\ : std_logic;
SIGNAL \WideAnd264~1_combout\ : std_logic;
SIGNAL \WideAnd264~0_combout\ : std_logic;
SIGNAL \WideAnd264~combout\ : std_logic;
SIGNAL \led_flash_cnt[266][0]~80906_combout\ : std_logic;
SIGNAL \led_flash_cnt[266][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[266][1]~30604_combout\ : std_logic;
SIGNAL \led_flash_cnt[266][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[266][1]~30605\ : std_logic;
SIGNAL \led_flash_cnt[266][2]~30606_combout\ : std_logic;
SIGNAL \led_flash_cnt[266][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[266][2]~30607\ : std_logic;
SIGNAL \led_flash_cnt[266][3]~30608_combout\ : std_logic;
SIGNAL \led_flash_cnt[266][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[266][3]~30609\ : std_logic;
SIGNAL \led_flash_cnt[266][4]~30610_combout\ : std_logic;
SIGNAL \led_flash_cnt[266][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[266][4]~30611\ : std_logic;
SIGNAL \led_flash_cnt[266][5]~30612_combout\ : std_logic;
SIGNAL \led_flash_cnt[266][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[266][5]~30613\ : std_logic;
SIGNAL \led_flash_cnt[266][6]~30614_combout\ : std_logic;
SIGNAL \led_flash_cnt[266][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[266][6]~30615\ : std_logic;
SIGNAL \led_flash_cnt[266][7]~30616_combout\ : std_logic;
SIGNAL \led_flash_cnt[266][7]~q\ : std_logic;
SIGNAL \WideAnd266~0_combout\ : std_logic;
SIGNAL \WideAnd266~1_combout\ : std_logic;
SIGNAL \WideAnd266~combout\ : std_logic;
SIGNAL \WideAnd3873~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][0]~80909_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[269][1]~30646_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[269][1]~30647\ : std_logic;
SIGNAL \led_flash_cnt[269][2]~30648_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[269][2]~30649\ : std_logic;
SIGNAL \led_flash_cnt[269][3]~30650_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[269][3]~30651\ : std_logic;
SIGNAL \led_flash_cnt[269][4]~30652_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][4]~q\ : std_logic;
SIGNAL \WideAnd269~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][4]~30653\ : std_logic;
SIGNAL \led_flash_cnt[269][5]~30654_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[269][5]~30655\ : std_logic;
SIGNAL \led_flash_cnt[269][6]~30656_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[269][6]~30657\ : std_logic;
SIGNAL \led_flash_cnt[269][7]~30658_combout\ : std_logic;
SIGNAL \led_flash_cnt[269][7]~q\ : std_logic;
SIGNAL \WideAnd269~1_combout\ : std_logic;
SIGNAL \WideAnd269~combout\ : std_logic;
SIGNAL \led_flash_cnt[268][0]~80908_combout\ : std_logic;
SIGNAL \led_flash_cnt[268][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[268][1]~30632_combout\ : std_logic;
SIGNAL \led_flash_cnt[268][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[268][1]~30633\ : std_logic;
SIGNAL \led_flash_cnt[268][2]~30634_combout\ : std_logic;
SIGNAL \led_flash_cnt[268][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[268][2]~30635\ : std_logic;
SIGNAL \led_flash_cnt[268][3]~30636_combout\ : std_logic;
SIGNAL \led_flash_cnt[268][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[268][3]~30637\ : std_logic;
SIGNAL \led_flash_cnt[268][4]~30638_combout\ : std_logic;
SIGNAL \led_flash_cnt[268][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[268][4]~30639\ : std_logic;
SIGNAL \led_flash_cnt[268][5]~30640_combout\ : std_logic;
SIGNAL \led_flash_cnt[268][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[268][5]~30641\ : std_logic;
SIGNAL \led_flash_cnt[268][6]~30642_combout\ : std_logic;
SIGNAL \led_flash_cnt[268][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[268][6]~30643\ : std_logic;
SIGNAL \led_flash_cnt[268][7]~30644_combout\ : std_logic;
SIGNAL \led_flash_cnt[268][7]~q\ : std_logic;
SIGNAL \WideAnd268~0_combout\ : std_logic;
SIGNAL \WideAnd268~1_combout\ : std_logic;
SIGNAL \WideAnd268~combout\ : std_logic;
SIGNAL \WideAnd3873~1_combout\ : std_logic;
SIGNAL \WideAnd3873~combout\ : std_logic;
SIGNAL \led_flash_cnt[282][0]~80922_combout\ : std_logic;
SIGNAL \led_flash_cnt[282][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[282][1]~30828_combout\ : std_logic;
SIGNAL \led_flash_cnt[282][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[282][1]~30829\ : std_logic;
SIGNAL \led_flash_cnt[282][2]~30830_combout\ : std_logic;
SIGNAL \led_flash_cnt[282][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[282][2]~30831\ : std_logic;
SIGNAL \led_flash_cnt[282][3]~30832_combout\ : std_logic;
SIGNAL \led_flash_cnt[282][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[282][3]~30833\ : std_logic;
SIGNAL \led_flash_cnt[282][4]~30834_combout\ : std_logic;
SIGNAL \led_flash_cnt[282][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[282][4]~30835\ : std_logic;
SIGNAL \led_flash_cnt[282][5]~30836_combout\ : std_logic;
SIGNAL \led_flash_cnt[282][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[282][5]~30837\ : std_logic;
SIGNAL \led_flash_cnt[282][6]~30838_combout\ : std_logic;
SIGNAL \led_flash_cnt[282][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[282][6]~30839\ : std_logic;
SIGNAL \led_flash_cnt[282][7]~30840_combout\ : std_logic;
SIGNAL \led_flash_cnt[282][7]~q\ : std_logic;
SIGNAL \WideAnd282~0_combout\ : std_logic;
SIGNAL \WideAnd282~1_combout\ : std_logic;
SIGNAL \WideAnd282~combout\ : std_logic;
SIGNAL \led_flash_cnt[283][0]~80923_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[283][1]~30842_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[283][1]~30843\ : std_logic;
SIGNAL \led_flash_cnt[283][2]~30844_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[283][2]~30845\ : std_logic;
SIGNAL \led_flash_cnt[283][3]~30846_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[283][3]~30847\ : std_logic;
SIGNAL \led_flash_cnt[283][4]~30848_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[283][4]~30849\ : std_logic;
SIGNAL \led_flash_cnt[283][5]~30850_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[283][5]~30851\ : std_logic;
SIGNAL \led_flash_cnt[283][6]~30852_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][6]~q\ : std_logic;
SIGNAL \WideAnd283~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][6]~30853\ : std_logic;
SIGNAL \led_flash_cnt[283][7]~30854_combout\ : std_logic;
SIGNAL \led_flash_cnt[283][7]~q\ : std_logic;
SIGNAL \WideAnd283~0_combout\ : std_logic;
SIGNAL \WideAnd283~combout\ : std_logic;
SIGNAL \led_flash_cnt[280][0]~80920_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[280][1]~30800_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[280][1]~30801\ : std_logic;
SIGNAL \led_flash_cnt[280][2]~30802_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[280][2]~30803\ : std_logic;
SIGNAL \led_flash_cnt[280][3]~30804_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[280][3]~30805\ : std_logic;
SIGNAL \led_flash_cnt[280][4]~30806_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][4]~q\ : std_logic;
SIGNAL \WideAnd280~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][4]~30807\ : std_logic;
SIGNAL \led_flash_cnt[280][5]~30808_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[280][5]~30809\ : std_logic;
SIGNAL \led_flash_cnt[280][6]~30810_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[280][6]~30811\ : std_logic;
SIGNAL \led_flash_cnt[280][7]~30812_combout\ : std_logic;
SIGNAL \led_flash_cnt[280][7]~q\ : std_logic;
SIGNAL \WideAnd280~1_combout\ : std_logic;
SIGNAL \WideAnd280~combout\ : std_logic;
SIGNAL \led_flash_cnt[281][0]~80921_combout\ : std_logic;
SIGNAL \led_flash_cnt[281][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[281][1]~30814_combout\ : std_logic;
SIGNAL \led_flash_cnt[281][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[281][1]~30815\ : std_logic;
SIGNAL \led_flash_cnt[281][2]~30816_combout\ : std_logic;
SIGNAL \led_flash_cnt[281][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[281][2]~30817\ : std_logic;
SIGNAL \led_flash_cnt[281][3]~30818_combout\ : std_logic;
SIGNAL \led_flash_cnt[281][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[281][3]~30819\ : std_logic;
SIGNAL \led_flash_cnt[281][4]~30820_combout\ : std_logic;
SIGNAL \led_flash_cnt[281][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[281][4]~30821\ : std_logic;
SIGNAL \led_flash_cnt[281][5]~30822_combout\ : std_logic;
SIGNAL \led_flash_cnt[281][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[281][5]~30823\ : std_logic;
SIGNAL \led_flash_cnt[281][6]~30824_combout\ : std_logic;
SIGNAL \led_flash_cnt[281][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[281][6]~30825\ : std_logic;
SIGNAL \led_flash_cnt[281][7]~30826_combout\ : std_logic;
SIGNAL \led_flash_cnt[281][7]~q\ : std_logic;
SIGNAL \WideAnd281~0_combout\ : std_logic;
SIGNAL \WideAnd281~1_combout\ : std_logic;
SIGNAL \WideAnd281~combout\ : std_logic;
SIGNAL \WideAnd3875~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][0]~80925_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[285][1]~30870_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[285][1]~30871\ : std_logic;
SIGNAL \led_flash_cnt[285][2]~30872_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[285][2]~30873\ : std_logic;
SIGNAL \led_flash_cnt[285][3]~30874_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[285][3]~30875\ : std_logic;
SIGNAL \led_flash_cnt[285][4]~30876_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[285][4]~30877\ : std_logic;
SIGNAL \led_flash_cnt[285][5]~30878_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[285][5]~30879\ : std_logic;
SIGNAL \led_flash_cnt[285][6]~30880_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][6]~q\ : std_logic;
SIGNAL \WideAnd285~1_combout\ : std_logic;
SIGNAL \WideAnd285~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][6]~30881\ : std_logic;
SIGNAL \led_flash_cnt[285][7]~30882_combout\ : std_logic;
SIGNAL \led_flash_cnt[285][7]~q\ : std_logic;
SIGNAL \WideAnd285~combout\ : std_logic;
SIGNAL \led_flash_cnt[284][0]~80924_combout\ : std_logic;
SIGNAL \led_flash_cnt[284][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[284][1]~30856_combout\ : std_logic;
SIGNAL \led_flash_cnt[284][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[284][1]~30857\ : std_logic;
SIGNAL \led_flash_cnt[284][2]~30858_combout\ : std_logic;
SIGNAL \led_flash_cnt[284][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[284][2]~30859\ : std_logic;
SIGNAL \led_flash_cnt[284][3]~30860_combout\ : std_logic;
SIGNAL \led_flash_cnt[284][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[284][3]~30861\ : std_logic;
SIGNAL \led_flash_cnt[284][4]~30862_combout\ : std_logic;
SIGNAL \led_flash_cnt[284][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[284][4]~30863\ : std_logic;
SIGNAL \led_flash_cnt[284][5]~30864_combout\ : std_logic;
SIGNAL \led_flash_cnt[284][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[284][5]~30865\ : std_logic;
SIGNAL \led_flash_cnt[284][6]~30866_combout\ : std_logic;
SIGNAL \led_flash_cnt[284][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[284][6]~30867\ : std_logic;
SIGNAL \led_flash_cnt[284][7]~30868_combout\ : std_logic;
SIGNAL \led_flash_cnt[284][7]~q\ : std_logic;
SIGNAL \WideAnd284~0_combout\ : std_logic;
SIGNAL \WideAnd284~1_combout\ : std_logic;
SIGNAL \WideAnd284~combout\ : std_logic;
SIGNAL \WideAnd3875~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][0]~80927_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[287][1]~30898_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[287][1]~30899\ : std_logic;
SIGNAL \led_flash_cnt[287][2]~30900_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[287][2]~30901\ : std_logic;
SIGNAL \led_flash_cnt[287][3]~30902_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[287][3]~30903\ : std_logic;
SIGNAL \led_flash_cnt[287][4]~30904_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[287][4]~30905\ : std_logic;
SIGNAL \led_flash_cnt[287][5]~30906_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[287][5]~30907\ : std_logic;
SIGNAL \led_flash_cnt[287][6]~30908_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][6]~q\ : std_logic;
SIGNAL \WideAnd287~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][6]~30909\ : std_logic;
SIGNAL \led_flash_cnt[287][7]~30910_combout\ : std_logic;
SIGNAL \led_flash_cnt[287][7]~q\ : std_logic;
SIGNAL \WideAnd287~0_combout\ : std_logic;
SIGNAL \WideAnd287~combout\ : std_logic;
SIGNAL \led_flash_cnt[286][0]~80926_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[286][1]~30884_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[286][1]~30885\ : std_logic;
SIGNAL \led_flash_cnt[286][2]~30886_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[286][2]~30887\ : std_logic;
SIGNAL \led_flash_cnt[286][3]~30888_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[286][3]~30889\ : std_logic;
SIGNAL \led_flash_cnt[286][4]~30890_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[286][4]~30891\ : std_logic;
SIGNAL \led_flash_cnt[286][5]~30892_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[286][5]~30893\ : std_logic;
SIGNAL \led_flash_cnt[286][6]~30894_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][6]~q\ : std_logic;
SIGNAL \WideAnd286~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][6]~30895\ : std_logic;
SIGNAL \led_flash_cnt[286][7]~30896_combout\ : std_logic;
SIGNAL \led_flash_cnt[286][7]~q\ : std_logic;
SIGNAL \WideAnd286~0_combout\ : std_logic;
SIGNAL \WideAnd286~combout\ : std_logic;
SIGNAL \WideAnd3875~combout\ : std_logic;
SIGNAL \WideAnd4324~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][0]~80942_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[302][1]~31108_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[302][1]~31109\ : std_logic;
SIGNAL \led_flash_cnt[302][2]~31110_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[302][2]~31111\ : std_logic;
SIGNAL \led_flash_cnt[302][3]~31112_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[302][3]~31113\ : std_logic;
SIGNAL \led_flash_cnt[302][4]~31114_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][4]~q\ : std_logic;
SIGNAL \WideAnd302~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][4]~31115\ : std_logic;
SIGNAL \led_flash_cnt[302][5]~31116_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[302][5]~31117\ : std_logic;
SIGNAL \led_flash_cnt[302][6]~31118_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[302][6]~31119\ : std_logic;
SIGNAL \led_flash_cnt[302][7]~31120_combout\ : std_logic;
SIGNAL \led_flash_cnt[302][7]~q\ : std_logic;
SIGNAL \WideAnd302~1_combout\ : std_logic;
SIGNAL \WideAnd302~combout\ : std_logic;
SIGNAL \led_flash_cnt[303][0]~80943_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[303][1]~31122_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[303][1]~31123\ : std_logic;
SIGNAL \led_flash_cnt[303][2]~31124_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[303][2]~31125\ : std_logic;
SIGNAL \led_flash_cnt[303][3]~31126_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[303][3]~31127\ : std_logic;
SIGNAL \led_flash_cnt[303][4]~31128_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[303][4]~31129\ : std_logic;
SIGNAL \led_flash_cnt[303][5]~31130_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[303][5]~31131\ : std_logic;
SIGNAL \led_flash_cnt[303][6]~31132_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][6]~q\ : std_logic;
SIGNAL \WideAnd303~1_combout\ : std_logic;
SIGNAL \WideAnd303~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][6]~31133\ : std_logic;
SIGNAL \led_flash_cnt[303][7]~31134_combout\ : std_logic;
SIGNAL \led_flash_cnt[303][7]~q\ : std_logic;
SIGNAL \WideAnd303~combout\ : std_logic;
SIGNAL \led_flash_cnt[301][0]~80941_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[301][1]~31094_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[301][1]~31095\ : std_logic;
SIGNAL \led_flash_cnt[301][2]~31096_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[301][2]~31097\ : std_logic;
SIGNAL \led_flash_cnt[301][3]~31098_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[301][3]~31099\ : std_logic;
SIGNAL \led_flash_cnt[301][4]~31100_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[301][4]~31101\ : std_logic;
SIGNAL \led_flash_cnt[301][5]~31102_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[301][5]~31103\ : std_logic;
SIGNAL \led_flash_cnt[301][6]~31104_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][6]~q\ : std_logic;
SIGNAL \WideAnd301~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][6]~31105\ : std_logic;
SIGNAL \led_flash_cnt[301][7]~31106_combout\ : std_logic;
SIGNAL \led_flash_cnt[301][7]~q\ : std_logic;
SIGNAL \WideAnd301~0_combout\ : std_logic;
SIGNAL \WideAnd301~combout\ : std_logic;
SIGNAL \led_flash_cnt[300][0]~80940_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[300][1]~31080_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[300][1]~31081\ : std_logic;
SIGNAL \led_flash_cnt[300][2]~31082_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[300][2]~31083\ : std_logic;
SIGNAL \led_flash_cnt[300][3]~31084_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[300][3]~31085\ : std_logic;
SIGNAL \led_flash_cnt[300][4]~31086_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[300][4]~31087\ : std_logic;
SIGNAL \led_flash_cnt[300][5]~31088_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[300][5]~31089\ : std_logic;
SIGNAL \led_flash_cnt[300][6]~31090_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][6]~q\ : std_logic;
SIGNAL \WideAnd300~1_combout\ : std_logic;
SIGNAL \WideAnd300~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][6]~31091\ : std_logic;
SIGNAL \led_flash_cnt[300][7]~31092_combout\ : std_logic;
SIGNAL \led_flash_cnt[300][7]~q\ : std_logic;
SIGNAL \WideAnd300~combout\ : std_logic;
SIGNAL \WideAnd3877~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][0]~80938_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[298][1]~31052_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[298][1]~31053\ : std_logic;
SIGNAL \led_flash_cnt[298][2]~31054_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[298][2]~31055\ : std_logic;
SIGNAL \led_flash_cnt[298][3]~31056_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[298][3]~31057\ : std_logic;
SIGNAL \led_flash_cnt[298][4]~31058_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[298][4]~31059\ : std_logic;
SIGNAL \led_flash_cnt[298][5]~31060_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[298][5]~31061\ : std_logic;
SIGNAL \led_flash_cnt[298][6]~31062_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][6]~q\ : std_logic;
SIGNAL \WideAnd298~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][6]~31063\ : std_logic;
SIGNAL \led_flash_cnt[298][7]~31064_combout\ : std_logic;
SIGNAL \led_flash_cnt[298][7]~q\ : std_logic;
SIGNAL \WideAnd298~0_combout\ : std_logic;
SIGNAL \WideAnd298~combout\ : std_logic;
SIGNAL \led_flash_cnt[299][0]~80939_combout\ : std_logic;
SIGNAL \led_flash_cnt[299][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[299][1]~31066_combout\ : std_logic;
SIGNAL \led_flash_cnt[299][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[299][1]~31067\ : std_logic;
SIGNAL \led_flash_cnt[299][2]~31068_combout\ : std_logic;
SIGNAL \led_flash_cnt[299][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[299][2]~31069\ : std_logic;
SIGNAL \led_flash_cnt[299][3]~31070_combout\ : std_logic;
SIGNAL \led_flash_cnt[299][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[299][3]~31071\ : std_logic;
SIGNAL \led_flash_cnt[299][4]~31072_combout\ : std_logic;
SIGNAL \led_flash_cnt[299][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[299][4]~31073\ : std_logic;
SIGNAL \led_flash_cnt[299][5]~31074_combout\ : std_logic;
SIGNAL \led_flash_cnt[299][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[299][5]~31075\ : std_logic;
SIGNAL \led_flash_cnt[299][6]~31076_combout\ : std_logic;
SIGNAL \led_flash_cnt[299][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[299][6]~31077\ : std_logic;
SIGNAL \led_flash_cnt[299][7]~31078_combout\ : std_logic;
SIGNAL \led_flash_cnt[299][7]~q\ : std_logic;
SIGNAL \WideAnd299~1_combout\ : std_logic;
SIGNAL \WideAnd299~0_combout\ : std_logic;
SIGNAL \WideAnd299~combout\ : std_logic;
SIGNAL \led_flash_cnt[297][0]~80937_combout\ : std_logic;
SIGNAL \led_flash_cnt[297][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[297][1]~31038_combout\ : std_logic;
SIGNAL \led_flash_cnt[297][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[297][1]~31039\ : std_logic;
SIGNAL \led_flash_cnt[297][2]~31040_combout\ : std_logic;
SIGNAL \led_flash_cnt[297][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[297][2]~31041\ : std_logic;
SIGNAL \led_flash_cnt[297][3]~31042_combout\ : std_logic;
SIGNAL \led_flash_cnt[297][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[297][3]~31043\ : std_logic;
SIGNAL \led_flash_cnt[297][4]~31044_combout\ : std_logic;
SIGNAL \led_flash_cnt[297][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[297][4]~31045\ : std_logic;
SIGNAL \led_flash_cnt[297][5]~31046_combout\ : std_logic;
SIGNAL \led_flash_cnt[297][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[297][5]~31047\ : std_logic;
SIGNAL \led_flash_cnt[297][6]~31048_combout\ : std_logic;
SIGNAL \led_flash_cnt[297][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[297][6]~31049\ : std_logic;
SIGNAL \led_flash_cnt[297][7]~31050_combout\ : std_logic;
SIGNAL \led_flash_cnt[297][7]~q\ : std_logic;
SIGNAL \WideAnd297~1_combout\ : std_logic;
SIGNAL \WideAnd297~0_combout\ : std_logic;
SIGNAL \WideAnd297~combout\ : std_logic;
SIGNAL \led_flash_cnt[296][0]~80936_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[296][1]~31024_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[296][1]~31025\ : std_logic;
SIGNAL \led_flash_cnt[296][2]~31026_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[296][2]~31027\ : std_logic;
SIGNAL \led_flash_cnt[296][3]~31028_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[296][3]~31029\ : std_logic;
SIGNAL \led_flash_cnt[296][4]~31030_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[296][4]~31031\ : std_logic;
SIGNAL \led_flash_cnt[296][5]~31032_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[296][5]~31033\ : std_logic;
SIGNAL \led_flash_cnt[296][6]~31034_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][6]~q\ : std_logic;
SIGNAL \WideAnd296~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][6]~31035\ : std_logic;
SIGNAL \led_flash_cnt[296][7]~31036_combout\ : std_logic;
SIGNAL \led_flash_cnt[296][7]~q\ : std_logic;
SIGNAL \WideAnd296~0_combout\ : std_logic;
SIGNAL \WideAnd296~combout\ : std_logic;
SIGNAL \WideAnd3877~0_combout\ : std_logic;
SIGNAL \WideAnd3877~combout\ : std_logic;
SIGNAL \led_flash_cnt[294][0]~80934_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[294][1]~30996_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[294][1]~30997\ : std_logic;
SIGNAL \led_flash_cnt[294][2]~30998_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[294][2]~30999\ : std_logic;
SIGNAL \led_flash_cnt[294][3]~31000_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[294][3]~31001\ : std_logic;
SIGNAL \led_flash_cnt[294][4]~31002_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][4]~q\ : std_logic;
SIGNAL \WideAnd294~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][4]~31003\ : std_logic;
SIGNAL \led_flash_cnt[294][5]~31004_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[294][5]~31005\ : std_logic;
SIGNAL \led_flash_cnt[294][6]~31006_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[294][6]~31007\ : std_logic;
SIGNAL \led_flash_cnt[294][7]~31008_combout\ : std_logic;
SIGNAL \led_flash_cnt[294][7]~q\ : std_logic;
SIGNAL \WideAnd294~1_combout\ : std_logic;
SIGNAL \WideAnd294~combout\ : std_logic;
SIGNAL \led_flash_cnt[295][0]~80935_combout\ : std_logic;
SIGNAL \led_flash_cnt[295][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[295][1]~31010_combout\ : std_logic;
SIGNAL \led_flash_cnt[295][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[295][1]~31011\ : std_logic;
SIGNAL \led_flash_cnt[295][2]~31012_combout\ : std_logic;
SIGNAL \led_flash_cnt[295][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[295][2]~31013\ : std_logic;
SIGNAL \led_flash_cnt[295][3]~31014_combout\ : std_logic;
SIGNAL \led_flash_cnt[295][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[295][3]~31015\ : std_logic;
SIGNAL \led_flash_cnt[295][4]~31016_combout\ : std_logic;
SIGNAL \led_flash_cnt[295][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[295][4]~31017\ : std_logic;
SIGNAL \led_flash_cnt[295][5]~31018_combout\ : std_logic;
SIGNAL \led_flash_cnt[295][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[295][5]~31019\ : std_logic;
SIGNAL \led_flash_cnt[295][6]~31020_combout\ : std_logic;
SIGNAL \led_flash_cnt[295][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[295][6]~31021\ : std_logic;
SIGNAL \led_flash_cnt[295][7]~31022_combout\ : std_logic;
SIGNAL \led_flash_cnt[295][7]~q\ : std_logic;
SIGNAL \WideAnd295~0_combout\ : std_logic;
SIGNAL \WideAnd295~1_combout\ : std_logic;
SIGNAL \WideAnd295~combout\ : std_logic;
SIGNAL \led_flash_cnt[292][0]~80932_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[292][1]~30968_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[292][1]~30969\ : std_logic;
SIGNAL \led_flash_cnt[292][2]~30970_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[292][2]~30971\ : std_logic;
SIGNAL \led_flash_cnt[292][3]~30972_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[292][3]~30973\ : std_logic;
SIGNAL \led_flash_cnt[292][4]~30974_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][4]~q\ : std_logic;
SIGNAL \WideAnd292~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][4]~30975\ : std_logic;
SIGNAL \led_flash_cnt[292][5]~30976_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[292][5]~30977\ : std_logic;
SIGNAL \led_flash_cnt[292][6]~30978_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[292][6]~30979\ : std_logic;
SIGNAL \led_flash_cnt[292][7]~30980_combout\ : std_logic;
SIGNAL \led_flash_cnt[292][7]~q\ : std_logic;
SIGNAL \WideAnd292~1_combout\ : std_logic;
SIGNAL \WideAnd292~combout\ : std_logic;
SIGNAL \led_flash_cnt[293][0]~80933_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[293][1]~30982_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[293][1]~30983\ : std_logic;
SIGNAL \led_flash_cnt[293][2]~30984_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[293][2]~30985\ : std_logic;
SIGNAL \led_flash_cnt[293][3]~30986_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[293][3]~30987\ : std_logic;
SIGNAL \led_flash_cnt[293][4]~30988_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][4]~q\ : std_logic;
SIGNAL \WideAnd293~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][4]~30989\ : std_logic;
SIGNAL \led_flash_cnt[293][5]~30990_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[293][5]~30991\ : std_logic;
SIGNAL \led_flash_cnt[293][6]~30992_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][6]~q\ : std_logic;
SIGNAL \WideAnd293~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][6]~30993\ : std_logic;
SIGNAL \led_flash_cnt[293][7]~30994_combout\ : std_logic;
SIGNAL \led_flash_cnt[293][7]~q\ : std_logic;
SIGNAL \WideAnd293~combout\ : std_logic;
SIGNAL \WideAnd3876~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][0]~80929_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[289][1]~30926_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[289][1]~30927\ : std_logic;
SIGNAL \led_flash_cnt[289][2]~30928_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[289][2]~30929\ : std_logic;
SIGNAL \led_flash_cnt[289][3]~30930_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[289][3]~30931\ : std_logic;
SIGNAL \led_flash_cnt[289][4]~30932_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][4]~q\ : std_logic;
SIGNAL \WideAnd289~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][4]~30933\ : std_logic;
SIGNAL \led_flash_cnt[289][5]~30934_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[289][5]~30935\ : std_logic;
SIGNAL \led_flash_cnt[289][6]~30936_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[289][6]~30937\ : std_logic;
SIGNAL \led_flash_cnt[289][7]~30938_combout\ : std_logic;
SIGNAL \led_flash_cnt[289][7]~q\ : std_logic;
SIGNAL \WideAnd289~1_combout\ : std_logic;
SIGNAL \WideAnd289~combout\ : std_logic;
SIGNAL \led_flash_cnt[290][0]~80930_combout\ : std_logic;
SIGNAL \led_flash_cnt[290][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[290][1]~30940_combout\ : std_logic;
SIGNAL \led_flash_cnt[290][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[290][1]~30941\ : std_logic;
SIGNAL \led_flash_cnt[290][2]~30942_combout\ : std_logic;
SIGNAL \led_flash_cnt[290][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[290][2]~30943\ : std_logic;
SIGNAL \led_flash_cnt[290][3]~30944_combout\ : std_logic;
SIGNAL \led_flash_cnt[290][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[290][3]~30945\ : std_logic;
SIGNAL \led_flash_cnt[290][4]~30946_combout\ : std_logic;
SIGNAL \led_flash_cnt[290][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[290][4]~30947\ : std_logic;
SIGNAL \led_flash_cnt[290][5]~30948_combout\ : std_logic;
SIGNAL \led_flash_cnt[290][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[290][5]~30949\ : std_logic;
SIGNAL \led_flash_cnt[290][6]~30950_combout\ : std_logic;
SIGNAL \led_flash_cnt[290][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[290][6]~30951\ : std_logic;
SIGNAL \led_flash_cnt[290][7]~30952_combout\ : std_logic;
SIGNAL \led_flash_cnt[290][7]~q\ : std_logic;
SIGNAL \WideAnd290~0_combout\ : std_logic;
SIGNAL \WideAnd290~1_combout\ : std_logic;
SIGNAL \WideAnd290~combout\ : std_logic;
SIGNAL \led_flash_cnt[291][0]~80931_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[291][1]~30954_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[291][1]~30955\ : std_logic;
SIGNAL \led_flash_cnt[291][2]~30956_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[291][2]~30957\ : std_logic;
SIGNAL \led_flash_cnt[291][3]~30958_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[291][3]~30959\ : std_logic;
SIGNAL \led_flash_cnt[291][4]~30960_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][4]~q\ : std_logic;
SIGNAL \WideAnd291~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][4]~30961\ : std_logic;
SIGNAL \led_flash_cnt[291][5]~30962_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[291][5]~30963\ : std_logic;
SIGNAL \led_flash_cnt[291][6]~30964_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][6]~q\ : std_logic;
SIGNAL \WideAnd291~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][6]~30965\ : std_logic;
SIGNAL \led_flash_cnt[291][7]~30966_combout\ : std_logic;
SIGNAL \led_flash_cnt[291][7]~q\ : std_logic;
SIGNAL \WideAnd291~combout\ : std_logic;
SIGNAL \led_flash_cnt[288][0]~80928_combout\ : std_logic;
SIGNAL \led_flash_cnt[288][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[288][1]~30912_combout\ : std_logic;
SIGNAL \led_flash_cnt[288][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[288][1]~30913\ : std_logic;
SIGNAL \led_flash_cnt[288][2]~30914_combout\ : std_logic;
SIGNAL \led_flash_cnt[288][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[288][2]~30915\ : std_logic;
SIGNAL \led_flash_cnt[288][3]~30916_combout\ : std_logic;
SIGNAL \led_flash_cnt[288][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[288][3]~30917\ : std_logic;
SIGNAL \led_flash_cnt[288][4]~30918_combout\ : std_logic;
SIGNAL \led_flash_cnt[288][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[288][4]~30919\ : std_logic;
SIGNAL \led_flash_cnt[288][5]~30920_combout\ : std_logic;
SIGNAL \led_flash_cnt[288][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[288][5]~30921\ : std_logic;
SIGNAL \led_flash_cnt[288][6]~30922_combout\ : std_logic;
SIGNAL \led_flash_cnt[288][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[288][6]~30923\ : std_logic;
SIGNAL \led_flash_cnt[288][7]~30924_combout\ : std_logic;
SIGNAL \led_flash_cnt[288][7]~q\ : std_logic;
SIGNAL \WideAnd288~1_combout\ : std_logic;
SIGNAL \WideAnd288~0_combout\ : std_logic;
SIGNAL \WideAnd288~combout\ : std_logic;
SIGNAL \WideAnd3876~0_combout\ : std_logic;
SIGNAL \WideAnd3876~combout\ : std_logic;
SIGNAL \WideAnd4324~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][0]~80950_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[310][1]~31220_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[310][1]~31221\ : std_logic;
SIGNAL \led_flash_cnt[310][2]~31222_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[310][2]~31223\ : std_logic;
SIGNAL \led_flash_cnt[310][3]~31224_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[310][3]~31225\ : std_logic;
SIGNAL \led_flash_cnt[310][4]~31226_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[310][4]~31227\ : std_logic;
SIGNAL \led_flash_cnt[310][5]~31228_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[310][5]~31229\ : std_logic;
SIGNAL \led_flash_cnt[310][6]~31230_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][6]~q\ : std_logic;
SIGNAL \WideAnd310~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][6]~31231\ : std_logic;
SIGNAL \led_flash_cnt[310][7]~31232_combout\ : std_logic;
SIGNAL \led_flash_cnt[310][7]~q\ : std_logic;
SIGNAL \WideAnd310~0_combout\ : std_logic;
SIGNAL \WideAnd310~combout\ : std_logic;
SIGNAL \led_flash_cnt[309][0]~80949_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[309][1]~31206_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[309][1]~31207\ : std_logic;
SIGNAL \led_flash_cnt[309][2]~31208_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[309][2]~31209\ : std_logic;
SIGNAL \led_flash_cnt[309][3]~31210_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[309][3]~31211\ : std_logic;
SIGNAL \led_flash_cnt[309][4]~31212_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[309][4]~31213\ : std_logic;
SIGNAL \led_flash_cnt[309][5]~31214_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[309][5]~31215\ : std_logic;
SIGNAL \led_flash_cnt[309][6]~31216_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][6]~q\ : std_logic;
SIGNAL \WideAnd309~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][6]~31217\ : std_logic;
SIGNAL \led_flash_cnt[309][7]~31218_combout\ : std_logic;
SIGNAL \led_flash_cnt[309][7]~q\ : std_logic;
SIGNAL \WideAnd309~0_combout\ : std_logic;
SIGNAL \WideAnd309~combout\ : std_logic;
SIGNAL \led_flash_cnt[308][0]~80948_combout\ : std_logic;
SIGNAL \led_flash_cnt[308][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[308][1]~31192_combout\ : std_logic;
SIGNAL \led_flash_cnt[308][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[308][1]~31193\ : std_logic;
SIGNAL \led_flash_cnt[308][2]~31194_combout\ : std_logic;
SIGNAL \led_flash_cnt[308][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[308][2]~31195\ : std_logic;
SIGNAL \led_flash_cnt[308][3]~31196_combout\ : std_logic;
SIGNAL \led_flash_cnt[308][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[308][3]~31197\ : std_logic;
SIGNAL \led_flash_cnt[308][4]~31198_combout\ : std_logic;
SIGNAL \led_flash_cnt[308][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[308][4]~31199\ : std_logic;
SIGNAL \led_flash_cnt[308][5]~31200_combout\ : std_logic;
SIGNAL \led_flash_cnt[308][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[308][5]~31201\ : std_logic;
SIGNAL \led_flash_cnt[308][6]~31202_combout\ : std_logic;
SIGNAL \led_flash_cnt[308][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[308][6]~31203\ : std_logic;
SIGNAL \led_flash_cnt[308][7]~31204_combout\ : std_logic;
SIGNAL \led_flash_cnt[308][7]~q\ : std_logic;
SIGNAL \WideAnd308~0_combout\ : std_logic;
SIGNAL \WideAnd308~1_combout\ : std_logic;
SIGNAL \WideAnd308~combout\ : std_logic;
SIGNAL \WideAnd3878~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][0]~80946_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[306][1]~31164_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[306][1]~31165\ : std_logic;
SIGNAL \led_flash_cnt[306][2]~31166_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[306][2]~31167\ : std_logic;
SIGNAL \led_flash_cnt[306][3]~31168_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[306][3]~31169\ : std_logic;
SIGNAL \led_flash_cnt[306][4]~31170_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[306][4]~31171\ : std_logic;
SIGNAL \led_flash_cnt[306][5]~31172_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[306][5]~31173\ : std_logic;
SIGNAL \led_flash_cnt[306][6]~31174_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[306][6]~31175\ : std_logic;
SIGNAL \led_flash_cnt[306][7]~31176_combout\ : std_logic;
SIGNAL \led_flash_cnt[306][7]~q\ : std_logic;
SIGNAL \WideAnd306~1_combout\ : std_logic;
SIGNAL \WideAnd306~0_combout\ : std_logic;
SIGNAL \WideAnd306~combout\ : std_logic;
SIGNAL \led_flash_cnt[305][0]~80945_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[305][1]~31150_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[305][1]~31151\ : std_logic;
SIGNAL \led_flash_cnt[305][2]~31152_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[305][2]~31153\ : std_logic;
SIGNAL \led_flash_cnt[305][3]~31154_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[305][3]~31155\ : std_logic;
SIGNAL \led_flash_cnt[305][4]~31156_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[305][4]~31157\ : std_logic;
SIGNAL \led_flash_cnt[305][5]~31158_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[305][5]~31159\ : std_logic;
SIGNAL \led_flash_cnt[305][6]~31160_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][6]~q\ : std_logic;
SIGNAL \WideAnd305~1_combout\ : std_logic;
SIGNAL \WideAnd305~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][6]~31161\ : std_logic;
SIGNAL \led_flash_cnt[305][7]~31162_combout\ : std_logic;
SIGNAL \led_flash_cnt[305][7]~q\ : std_logic;
SIGNAL \WideAnd305~combout\ : std_logic;
SIGNAL \led_flash_cnt[304][0]~80944_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[304][1]~31136_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[304][1]~31137\ : std_logic;
SIGNAL \led_flash_cnt[304][2]~31138_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[304][2]~31139\ : std_logic;
SIGNAL \led_flash_cnt[304][3]~31140_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[304][3]~31141\ : std_logic;
SIGNAL \led_flash_cnt[304][4]~31142_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[304][4]~31143\ : std_logic;
SIGNAL \led_flash_cnt[304][5]~31144_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[304][5]~31145\ : std_logic;
SIGNAL \led_flash_cnt[304][6]~31146_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][6]~q\ : std_logic;
SIGNAL \WideAnd304~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][6]~31147\ : std_logic;
SIGNAL \led_flash_cnt[304][7]~31148_combout\ : std_logic;
SIGNAL \led_flash_cnt[304][7]~q\ : std_logic;
SIGNAL \WideAnd304~0_combout\ : std_logic;
SIGNAL \WideAnd304~combout\ : std_logic;
SIGNAL \led_flash_cnt[307][0]~80947_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[307][1]~31178_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[307][1]~31179\ : std_logic;
SIGNAL \led_flash_cnt[307][2]~31180_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[307][2]~31181\ : std_logic;
SIGNAL \led_flash_cnt[307][3]~31182_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[307][3]~31183\ : std_logic;
SIGNAL \led_flash_cnt[307][4]~31184_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[307][4]~31185\ : std_logic;
SIGNAL \led_flash_cnt[307][5]~31186_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[307][5]~31187\ : std_logic;
SIGNAL \led_flash_cnt[307][6]~31188_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][6]~q\ : std_logic;
SIGNAL \WideAnd307~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][6]~31189\ : std_logic;
SIGNAL \led_flash_cnt[307][7]~31190_combout\ : std_logic;
SIGNAL \led_flash_cnt[307][7]~q\ : std_logic;
SIGNAL \WideAnd307~0_combout\ : std_logic;
SIGNAL \WideAnd307~combout\ : std_logic;
SIGNAL \WideAnd3878~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][0]~80951_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[311][1]~31234_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[311][1]~31235\ : std_logic;
SIGNAL \led_flash_cnt[311][2]~31236_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[311][2]~31237\ : std_logic;
SIGNAL \led_flash_cnt[311][3]~31238_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[311][3]~31239\ : std_logic;
SIGNAL \led_flash_cnt[311][4]~31240_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[311][4]~31241\ : std_logic;
SIGNAL \led_flash_cnt[311][5]~31242_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[311][5]~31243\ : std_logic;
SIGNAL \led_flash_cnt[311][6]~31244_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][6]~q\ : std_logic;
SIGNAL \WideAnd311~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][6]~31245\ : std_logic;
SIGNAL \led_flash_cnt[311][7]~31246_combout\ : std_logic;
SIGNAL \led_flash_cnt[311][7]~q\ : std_logic;
SIGNAL \WideAnd311~0_combout\ : std_logic;
SIGNAL \WideAnd311~combout\ : std_logic;
SIGNAL \WideAnd3878~combout\ : std_logic;
SIGNAL \WideAnd4324~combout\ : std_logic;
SIGNAL \WideAnd4380~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][0]~80766_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[126][1]~28644_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[126][1]~28645\ : std_logic;
SIGNAL \led_flash_cnt[126][2]~28646_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[126][2]~28647\ : std_logic;
SIGNAL \led_flash_cnt[126][3]~28648_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[126][3]~28649\ : std_logic;
SIGNAL \led_flash_cnt[126][4]~28650_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[126][4]~28651\ : std_logic;
SIGNAL \led_flash_cnt[126][5]~28652_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[126][5]~28653\ : std_logic;
SIGNAL \led_flash_cnt[126][6]~28654_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[126][6]~28655\ : std_logic;
SIGNAL \led_flash_cnt[126][7]~28656_combout\ : std_logic;
SIGNAL \led_flash_cnt[126][7]~q\ : std_logic;
SIGNAL \WideAnd126~1_combout\ : std_logic;
SIGNAL \WideAnd126~0_combout\ : std_logic;
SIGNAL \WideAnd126~combout\ : std_logic;
SIGNAL \led_flash_cnt[127][0]~80767_combout\ : std_logic;
SIGNAL \led_flash_cnt[127][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[127][1]~28658_combout\ : std_logic;
SIGNAL \led_flash_cnt[127][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[127][1]~28659\ : std_logic;
SIGNAL \led_flash_cnt[127][2]~28660_combout\ : std_logic;
SIGNAL \led_flash_cnt[127][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[127][2]~28661\ : std_logic;
SIGNAL \led_flash_cnt[127][3]~28662_combout\ : std_logic;
SIGNAL \led_flash_cnt[127][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[127][3]~28663\ : std_logic;
SIGNAL \led_flash_cnt[127][4]~28664_combout\ : std_logic;
SIGNAL \led_flash_cnt[127][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[127][4]~28665\ : std_logic;
SIGNAL \led_flash_cnt[127][5]~28666_combout\ : std_logic;
SIGNAL \led_flash_cnt[127][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[127][5]~28667\ : std_logic;
SIGNAL \led_flash_cnt[127][6]~28668_combout\ : std_logic;
SIGNAL \led_flash_cnt[127][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[127][6]~28669\ : std_logic;
SIGNAL \led_flash_cnt[127][7]~28670_combout\ : std_logic;
SIGNAL \led_flash_cnt[127][7]~q\ : std_logic;
SIGNAL \WideAnd127~1_combout\ : std_logic;
SIGNAL \WideAnd127~0_combout\ : std_logic;
SIGNAL \WideAnd127~combout\ : std_logic;
SIGNAL \led_flash_cnt[125][0]~80765_combout\ : std_logic;
SIGNAL \led_flash_cnt[125][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[125][1]~28630_combout\ : std_logic;
SIGNAL \led_flash_cnt[125][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[125][1]~28631\ : std_logic;
SIGNAL \led_flash_cnt[125][2]~28632_combout\ : std_logic;
SIGNAL \led_flash_cnt[125][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[125][2]~28633\ : std_logic;
SIGNAL \led_flash_cnt[125][3]~28634_combout\ : std_logic;
SIGNAL \led_flash_cnt[125][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[125][3]~28635\ : std_logic;
SIGNAL \led_flash_cnt[125][4]~28636_combout\ : std_logic;
SIGNAL \led_flash_cnt[125][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[125][4]~28637\ : std_logic;
SIGNAL \led_flash_cnt[125][5]~28638_combout\ : std_logic;
SIGNAL \led_flash_cnt[125][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[125][5]~28639\ : std_logic;
SIGNAL \led_flash_cnt[125][6]~28640_combout\ : std_logic;
SIGNAL \led_flash_cnt[125][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[125][6]~28641\ : std_logic;
SIGNAL \led_flash_cnt[125][7]~28642_combout\ : std_logic;
SIGNAL \led_flash_cnt[125][7]~q\ : std_logic;
SIGNAL \WideAnd125~0_combout\ : std_logic;
SIGNAL \WideAnd125~1_combout\ : std_logic;
SIGNAL \WideAnd125~combout\ : std_logic;
SIGNAL \led_flash_cnt[124][0]~80764_combout\ : std_logic;
SIGNAL \led_flash_cnt[124][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[124][1]~28616_combout\ : std_logic;
SIGNAL \led_flash_cnt[124][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[124][1]~28617\ : std_logic;
SIGNAL \led_flash_cnt[124][2]~28618_combout\ : std_logic;
SIGNAL \led_flash_cnt[124][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[124][2]~28619\ : std_logic;
SIGNAL \led_flash_cnt[124][3]~28620_combout\ : std_logic;
SIGNAL \led_flash_cnt[124][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[124][3]~28621\ : std_logic;
SIGNAL \led_flash_cnt[124][4]~28622_combout\ : std_logic;
SIGNAL \led_flash_cnt[124][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[124][4]~28623\ : std_logic;
SIGNAL \led_flash_cnt[124][5]~28624_combout\ : std_logic;
SIGNAL \led_flash_cnt[124][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[124][5]~28625\ : std_logic;
SIGNAL \led_flash_cnt[124][6]~28626_combout\ : std_logic;
SIGNAL \led_flash_cnt[124][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[124][6]~28627\ : std_logic;
SIGNAL \led_flash_cnt[124][7]~28628_combout\ : std_logic;
SIGNAL \led_flash_cnt[124][7]~q\ : std_logic;
SIGNAL \WideAnd124~0_combout\ : std_logic;
SIGNAL \WideAnd124~1_combout\ : std_logic;
SIGNAL \WideAnd124~combout\ : std_logic;
SIGNAL \WideAnd3855~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][0]~80762_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[122][1]~28588_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[122][1]~28589\ : std_logic;
SIGNAL \led_flash_cnt[122][2]~28590_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[122][2]~28591\ : std_logic;
SIGNAL \led_flash_cnt[122][3]~28592_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[122][3]~28593\ : std_logic;
SIGNAL \led_flash_cnt[122][4]~28594_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][4]~q\ : std_logic;
SIGNAL \WideAnd122~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][4]~28595\ : std_logic;
SIGNAL \led_flash_cnt[122][5]~28596_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[122][5]~28597\ : std_logic;
SIGNAL \led_flash_cnt[122][6]~28598_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[122][6]~28599\ : std_logic;
SIGNAL \led_flash_cnt[122][7]~28600_combout\ : std_logic;
SIGNAL \led_flash_cnt[122][7]~q\ : std_logic;
SIGNAL \WideAnd122~1_combout\ : std_logic;
SIGNAL \WideAnd122~combout\ : std_logic;
SIGNAL \led_flash_cnt[121][0]~80761_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[121][1]~28574_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[121][1]~28575\ : std_logic;
SIGNAL \led_flash_cnt[121][2]~28576_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[121][2]~28577\ : std_logic;
SIGNAL \led_flash_cnt[121][3]~28578_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[121][3]~28579\ : std_logic;
SIGNAL \led_flash_cnt[121][4]~28580_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[121][4]~28581\ : std_logic;
SIGNAL \led_flash_cnt[121][5]~28582_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[121][5]~28583\ : std_logic;
SIGNAL \led_flash_cnt[121][6]~28584_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][6]~q\ : std_logic;
SIGNAL \WideAnd121~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][6]~28585\ : std_logic;
SIGNAL \led_flash_cnt[121][7]~28586_combout\ : std_logic;
SIGNAL \led_flash_cnt[121][7]~q\ : std_logic;
SIGNAL \WideAnd121~0_combout\ : std_logic;
SIGNAL \WideAnd121~combout\ : std_logic;
SIGNAL \led_flash_cnt[120][0]~80760_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[120][1]~28560_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[120][1]~28561\ : std_logic;
SIGNAL \led_flash_cnt[120][2]~28562_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[120][2]~28563\ : std_logic;
SIGNAL \led_flash_cnt[120][3]~28564_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[120][3]~28565\ : std_logic;
SIGNAL \led_flash_cnt[120][4]~28566_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[120][4]~28567\ : std_logic;
SIGNAL \led_flash_cnt[120][5]~28568_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[120][5]~28569\ : std_logic;
SIGNAL \led_flash_cnt[120][6]~28570_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][6]~q\ : std_logic;
SIGNAL \WideAnd120~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][6]~28571\ : std_logic;
SIGNAL \led_flash_cnt[120][7]~28572_combout\ : std_logic;
SIGNAL \led_flash_cnt[120][7]~q\ : std_logic;
SIGNAL \WideAnd120~0_combout\ : std_logic;
SIGNAL \WideAnd120~combout\ : std_logic;
SIGNAL \led_flash_cnt[123][0]~80763_combout\ : std_logic;
SIGNAL \led_flash_cnt[123][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[123][1]~28602_combout\ : std_logic;
SIGNAL \led_flash_cnt[123][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[123][1]~28603\ : std_logic;
SIGNAL \led_flash_cnt[123][2]~28604_combout\ : std_logic;
SIGNAL \led_flash_cnt[123][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[123][2]~28605\ : std_logic;
SIGNAL \led_flash_cnt[123][3]~28606_combout\ : std_logic;
SIGNAL \led_flash_cnt[123][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[123][3]~28607\ : std_logic;
SIGNAL \led_flash_cnt[123][4]~28608_combout\ : std_logic;
SIGNAL \led_flash_cnt[123][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[123][4]~28609\ : std_logic;
SIGNAL \led_flash_cnt[123][5]~28610_combout\ : std_logic;
SIGNAL \led_flash_cnt[123][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[123][5]~28611\ : std_logic;
SIGNAL \led_flash_cnt[123][6]~28612_combout\ : std_logic;
SIGNAL \led_flash_cnt[123][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[123][6]~28613\ : std_logic;
SIGNAL \led_flash_cnt[123][7]~28614_combout\ : std_logic;
SIGNAL \led_flash_cnt[123][7]~q\ : std_logic;
SIGNAL \WideAnd123~0_combout\ : std_logic;
SIGNAL \WideAnd123~1_combout\ : std_logic;
SIGNAL \WideAnd123~combout\ : std_logic;
SIGNAL \WideAnd3855~0_combout\ : std_logic;
SIGNAL \WideAnd3855~combout\ : std_logic;
SIGNAL \led_flash_cnt[118][0]~80758_combout\ : std_logic;
SIGNAL \led_flash_cnt[118][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[118][1]~28532_combout\ : std_logic;
SIGNAL \led_flash_cnt[118][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[118][1]~28533\ : std_logic;
SIGNAL \led_flash_cnt[118][2]~28534_combout\ : std_logic;
SIGNAL \led_flash_cnt[118][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[118][2]~28535\ : std_logic;
SIGNAL \led_flash_cnt[118][3]~28536_combout\ : std_logic;
SIGNAL \led_flash_cnt[118][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[118][3]~28537\ : std_logic;
SIGNAL \led_flash_cnt[118][4]~28538_combout\ : std_logic;
SIGNAL \led_flash_cnt[118][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[118][4]~28539\ : std_logic;
SIGNAL \led_flash_cnt[118][5]~28540_combout\ : std_logic;
SIGNAL \led_flash_cnt[118][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[118][5]~28541\ : std_logic;
SIGNAL \led_flash_cnt[118][6]~28542_combout\ : std_logic;
SIGNAL \led_flash_cnt[118][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[118][6]~28543\ : std_logic;
SIGNAL \led_flash_cnt[118][7]~28544_combout\ : std_logic;
SIGNAL \led_flash_cnt[118][7]~q\ : std_logic;
SIGNAL \WideAnd118~0_combout\ : std_logic;
SIGNAL \WideAnd118~1_combout\ : std_logic;
SIGNAL \WideAnd118~combout\ : std_logic;
SIGNAL \led_flash_cnt[117][0]~80757_combout\ : std_logic;
SIGNAL \led_flash_cnt[117][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[117][1]~28518_combout\ : std_logic;
SIGNAL \led_flash_cnt[117][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[117][1]~28519\ : std_logic;
SIGNAL \led_flash_cnt[117][2]~28520_combout\ : std_logic;
SIGNAL \led_flash_cnt[117][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[117][2]~28521\ : std_logic;
SIGNAL \led_flash_cnt[117][3]~28522_combout\ : std_logic;
SIGNAL \led_flash_cnt[117][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[117][3]~28523\ : std_logic;
SIGNAL \led_flash_cnt[117][4]~28524_combout\ : std_logic;
SIGNAL \led_flash_cnt[117][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[117][4]~28525\ : std_logic;
SIGNAL \led_flash_cnt[117][5]~28526_combout\ : std_logic;
SIGNAL \led_flash_cnt[117][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[117][5]~28527\ : std_logic;
SIGNAL \led_flash_cnt[117][6]~28528_combout\ : std_logic;
SIGNAL \led_flash_cnt[117][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[117][6]~28529\ : std_logic;
SIGNAL \led_flash_cnt[117][7]~28530_combout\ : std_logic;
SIGNAL \led_flash_cnt[117][7]~q\ : std_logic;
SIGNAL \WideAnd117~0_combout\ : std_logic;
SIGNAL \WideAnd117~1_combout\ : std_logic;
SIGNAL \WideAnd117~combout\ : std_logic;
SIGNAL \led_flash_cnt[116][0]~80756_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[116][1]~28504_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[116][1]~28505\ : std_logic;
SIGNAL \led_flash_cnt[116][2]~28506_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[116][2]~28507\ : std_logic;
SIGNAL \led_flash_cnt[116][3]~28508_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[116][3]~28509\ : std_logic;
SIGNAL \led_flash_cnt[116][4]~28510_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][4]~q\ : std_logic;
SIGNAL \WideAnd116~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][4]~28511\ : std_logic;
SIGNAL \led_flash_cnt[116][5]~28512_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[116][5]~28513\ : std_logic;
SIGNAL \led_flash_cnt[116][6]~28514_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][6]~q\ : std_logic;
SIGNAL \WideAnd116~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][6]~28515\ : std_logic;
SIGNAL \led_flash_cnt[116][7]~28516_combout\ : std_logic;
SIGNAL \led_flash_cnt[116][7]~q\ : std_logic;
SIGNAL \WideAnd116~combout\ : std_logic;
SIGNAL \WideAnd3854~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][0]~80755_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[115][1]~28490_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[115][1]~28491\ : std_logic;
SIGNAL \led_flash_cnt[115][2]~28492_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[115][2]~28493\ : std_logic;
SIGNAL \led_flash_cnt[115][3]~28494_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[115][3]~28495\ : std_logic;
SIGNAL \led_flash_cnt[115][4]~28496_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[115][4]~28497\ : std_logic;
SIGNAL \led_flash_cnt[115][5]~28498_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[115][5]~28499\ : std_logic;
SIGNAL \led_flash_cnt[115][6]~28500_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[115][6]~28501\ : std_logic;
SIGNAL \led_flash_cnt[115][7]~28502_combout\ : std_logic;
SIGNAL \led_flash_cnt[115][7]~q\ : std_logic;
SIGNAL \WideAnd115~0_combout\ : std_logic;
SIGNAL \WideAnd115~1_combout\ : std_logic;
SIGNAL \WideAnd115~combout\ : std_logic;
SIGNAL \led_flash_cnt[114][0]~80754_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[114][1]~28476_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[114][1]~28477\ : std_logic;
SIGNAL \led_flash_cnt[114][2]~28478_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[114][2]~28479\ : std_logic;
SIGNAL \led_flash_cnt[114][3]~28480_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[114][3]~28481\ : std_logic;
SIGNAL \led_flash_cnt[114][4]~28482_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[114][4]~28483\ : std_logic;
SIGNAL \led_flash_cnt[114][5]~28484_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[114][5]~28485\ : std_logic;
SIGNAL \led_flash_cnt[114][6]~28486_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][6]~q\ : std_logic;
SIGNAL \WideAnd114~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][6]~28487\ : std_logic;
SIGNAL \led_flash_cnt[114][7]~28488_combout\ : std_logic;
SIGNAL \led_flash_cnt[114][7]~q\ : std_logic;
SIGNAL \WideAnd114~0_combout\ : std_logic;
SIGNAL \WideAnd114~combout\ : std_logic;
SIGNAL \led_flash_cnt[113][0]~80753_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[113][1]~28462_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[113][1]~28463\ : std_logic;
SIGNAL \led_flash_cnt[113][2]~28464_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[113][2]~28465\ : std_logic;
SIGNAL \led_flash_cnt[113][3]~28466_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[113][3]~28467\ : std_logic;
SIGNAL \led_flash_cnt[113][4]~28468_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][4]~q\ : std_logic;
SIGNAL \WideAnd113~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][4]~28469\ : std_logic;
SIGNAL \led_flash_cnt[113][5]~28470_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[113][5]~28471\ : std_logic;
SIGNAL \led_flash_cnt[113][6]~28472_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][6]~q\ : std_logic;
SIGNAL \WideAnd113~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][6]~28473\ : std_logic;
SIGNAL \led_flash_cnt[113][7]~28474_combout\ : std_logic;
SIGNAL \led_flash_cnt[113][7]~q\ : std_logic;
SIGNAL \WideAnd113~combout\ : std_logic;
SIGNAL \led_flash_cnt[112][0]~80752_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[112][1]~28448_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[112][1]~28449\ : std_logic;
SIGNAL \led_flash_cnt[112][2]~28450_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[112][2]~28451\ : std_logic;
SIGNAL \led_flash_cnt[112][3]~28452_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[112][3]~28453\ : std_logic;
SIGNAL \led_flash_cnt[112][4]~28454_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[112][4]~28455\ : std_logic;
SIGNAL \led_flash_cnt[112][5]~28456_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[112][5]~28457\ : std_logic;
SIGNAL \led_flash_cnt[112][6]~28458_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][6]~q\ : std_logic;
SIGNAL \WideAnd112~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][6]~28459\ : std_logic;
SIGNAL \led_flash_cnt[112][7]~28460_combout\ : std_logic;
SIGNAL \led_flash_cnt[112][7]~q\ : std_logic;
SIGNAL \WideAnd112~0_combout\ : std_logic;
SIGNAL \WideAnd112~combout\ : std_logic;
SIGNAL \WideAnd3854~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][0]~80759_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[119][1]~28546_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[119][1]~28547\ : std_logic;
SIGNAL \led_flash_cnt[119][2]~28548_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[119][2]~28549\ : std_logic;
SIGNAL \led_flash_cnt[119][3]~28550_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[119][3]~28551\ : std_logic;
SIGNAL \led_flash_cnt[119][4]~28552_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][4]~q\ : std_logic;
SIGNAL \WideAnd119~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][4]~28553\ : std_logic;
SIGNAL \led_flash_cnt[119][5]~28554_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[119][5]~28555\ : std_logic;
SIGNAL \led_flash_cnt[119][6]~28556_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[119][6]~28557\ : std_logic;
SIGNAL \led_flash_cnt[119][7]~28558_combout\ : std_logic;
SIGNAL \led_flash_cnt[119][7]~q\ : std_logic;
SIGNAL \WideAnd119~1_combout\ : std_logic;
SIGNAL \WideAnd119~combout\ : std_logic;
SIGNAL \WideAnd3854~combout\ : std_logic;
SIGNAL \led_flash_cnt[78][0]~80718_combout\ : std_logic;
SIGNAL \led_flash_cnt[78][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[78][1]~27972_combout\ : std_logic;
SIGNAL \led_flash_cnt[78][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[78][1]~27973\ : std_logic;
SIGNAL \led_flash_cnt[78][2]~27974_combout\ : std_logic;
SIGNAL \led_flash_cnt[78][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[78][2]~27975\ : std_logic;
SIGNAL \led_flash_cnt[78][3]~27976_combout\ : std_logic;
SIGNAL \led_flash_cnt[78][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[78][3]~27977\ : std_logic;
SIGNAL \led_flash_cnt[78][4]~27978_combout\ : std_logic;
SIGNAL \led_flash_cnt[78][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[78][4]~27979\ : std_logic;
SIGNAL \led_flash_cnt[78][5]~27980_combout\ : std_logic;
SIGNAL \led_flash_cnt[78][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[78][5]~27981\ : std_logic;
SIGNAL \led_flash_cnt[78][6]~27982_combout\ : std_logic;
SIGNAL \led_flash_cnt[78][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[78][6]~27983\ : std_logic;
SIGNAL \led_flash_cnt[78][7]~27984_combout\ : std_logic;
SIGNAL \led_flash_cnt[78][7]~q\ : std_logic;
SIGNAL \WideAnd78~1_combout\ : std_logic;
SIGNAL \WideAnd78~0_combout\ : std_logic;
SIGNAL \WideAnd78~combout\ : std_logic;
SIGNAL \led_flash_cnt[79][0]~80719_combout\ : std_logic;
SIGNAL \led_flash_cnt[79][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[79][1]~27986_combout\ : std_logic;
SIGNAL \led_flash_cnt[79][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[79][1]~27987\ : std_logic;
SIGNAL \led_flash_cnt[79][2]~27988_combout\ : std_logic;
SIGNAL \led_flash_cnt[79][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[79][2]~27989\ : std_logic;
SIGNAL \led_flash_cnt[79][3]~27990_combout\ : std_logic;
SIGNAL \led_flash_cnt[79][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[79][3]~27991\ : std_logic;
SIGNAL \led_flash_cnt[79][4]~27992_combout\ : std_logic;
SIGNAL \led_flash_cnt[79][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[79][4]~27993\ : std_logic;
SIGNAL \led_flash_cnt[79][5]~27994_combout\ : std_logic;
SIGNAL \led_flash_cnt[79][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[79][5]~27995\ : std_logic;
SIGNAL \led_flash_cnt[79][6]~27996_combout\ : std_logic;
SIGNAL \led_flash_cnt[79][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[79][6]~27997\ : std_logic;
SIGNAL \led_flash_cnt[79][7]~27998_combout\ : std_logic;
SIGNAL \led_flash_cnt[79][7]~q\ : std_logic;
SIGNAL \WideAnd79~1_combout\ : std_logic;
SIGNAL \WideAnd79~0_combout\ : std_logic;
SIGNAL \WideAnd79~combout\ : std_logic;
SIGNAL \led_flash_cnt[77][0]~80717_combout\ : std_logic;
SIGNAL \led_flash_cnt[77][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[77][1]~27958_combout\ : std_logic;
SIGNAL \led_flash_cnt[77][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[77][1]~27959\ : std_logic;
SIGNAL \led_flash_cnt[77][2]~27960_combout\ : std_logic;
SIGNAL \led_flash_cnt[77][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[77][2]~27961\ : std_logic;
SIGNAL \led_flash_cnt[77][3]~27962_combout\ : std_logic;
SIGNAL \led_flash_cnt[77][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[77][3]~27963\ : std_logic;
SIGNAL \led_flash_cnt[77][4]~27964_combout\ : std_logic;
SIGNAL \led_flash_cnt[77][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[77][4]~27965\ : std_logic;
SIGNAL \led_flash_cnt[77][5]~27966_combout\ : std_logic;
SIGNAL \led_flash_cnt[77][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[77][5]~27967\ : std_logic;
SIGNAL \led_flash_cnt[77][6]~27968_combout\ : std_logic;
SIGNAL \led_flash_cnt[77][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[77][6]~27969\ : std_logic;
SIGNAL \led_flash_cnt[77][7]~27970_combout\ : std_logic;
SIGNAL \led_flash_cnt[77][7]~q\ : std_logic;
SIGNAL \WideAnd77~1_combout\ : std_logic;
SIGNAL \WideAnd77~0_combout\ : std_logic;
SIGNAL \WideAnd77~combout\ : std_logic;
SIGNAL \led_flash_cnt[76][0]~80716_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[76][1]~27944_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[76][1]~27945\ : std_logic;
SIGNAL \led_flash_cnt[76][2]~27946_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[76][2]~27947\ : std_logic;
SIGNAL \led_flash_cnt[76][3]~27948_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[76][3]~27949\ : std_logic;
SIGNAL \led_flash_cnt[76][4]~27950_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[76][4]~27951\ : std_logic;
SIGNAL \led_flash_cnt[76][5]~27952_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[76][5]~27953\ : std_logic;
SIGNAL \led_flash_cnt[76][6]~27954_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][6]~q\ : std_logic;
SIGNAL \WideAnd76~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][6]~27955\ : std_logic;
SIGNAL \led_flash_cnt[76][7]~27956_combout\ : std_logic;
SIGNAL \led_flash_cnt[76][7]~q\ : std_logic;
SIGNAL \WideAnd76~0_combout\ : std_logic;
SIGNAL \WideAnd76~combout\ : std_logic;
SIGNAL \WideAnd3849~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][0]~80714_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[74][1]~27916_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[74][1]~27917\ : std_logic;
SIGNAL \led_flash_cnt[74][2]~27918_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[74][2]~27919\ : std_logic;
SIGNAL \led_flash_cnt[74][3]~27920_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[74][3]~27921\ : std_logic;
SIGNAL \led_flash_cnt[74][4]~27922_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[74][4]~27923\ : std_logic;
SIGNAL \led_flash_cnt[74][5]~27924_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[74][5]~27925\ : std_logic;
SIGNAL \led_flash_cnt[74][6]~27926_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][6]~q\ : std_logic;
SIGNAL \WideAnd74~1_combout\ : std_logic;
SIGNAL \WideAnd74~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][6]~27927\ : std_logic;
SIGNAL \led_flash_cnt[74][7]~27928_combout\ : std_logic;
SIGNAL \led_flash_cnt[74][7]~q\ : std_logic;
SIGNAL \WideAnd74~combout\ : std_logic;
SIGNAL \led_flash_cnt[72][0]~80712_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[72][1]~27888_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[72][1]~27889\ : std_logic;
SIGNAL \led_flash_cnt[72][2]~27890_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[72][2]~27891\ : std_logic;
SIGNAL \led_flash_cnt[72][3]~27892_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[72][3]~27893\ : std_logic;
SIGNAL \led_flash_cnt[72][4]~27894_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][4]~q\ : std_logic;
SIGNAL \WideAnd72~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][4]~27895\ : std_logic;
SIGNAL \led_flash_cnt[72][5]~27896_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[72][5]~27897\ : std_logic;
SIGNAL \led_flash_cnt[72][6]~27898_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[72][6]~27899\ : std_logic;
SIGNAL \led_flash_cnt[72][7]~27900_combout\ : std_logic;
SIGNAL \led_flash_cnt[72][7]~q\ : std_logic;
SIGNAL \WideAnd72~1_combout\ : std_logic;
SIGNAL \WideAnd72~combout\ : std_logic;
SIGNAL \led_flash_cnt[73][0]~80713_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[73][1]~27902_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[73][1]~27903\ : std_logic;
SIGNAL \led_flash_cnt[73][2]~27904_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[73][2]~27905\ : std_logic;
SIGNAL \led_flash_cnt[73][3]~27906_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[73][3]~27907\ : std_logic;
SIGNAL \led_flash_cnt[73][4]~27908_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[73][4]~27909\ : std_logic;
SIGNAL \led_flash_cnt[73][5]~27910_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[73][5]~27911\ : std_logic;
SIGNAL \led_flash_cnt[73][6]~27912_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][6]~q\ : std_logic;
SIGNAL \WideAnd73~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][6]~27913\ : std_logic;
SIGNAL \led_flash_cnt[73][7]~27914_combout\ : std_logic;
SIGNAL \led_flash_cnt[73][7]~q\ : std_logic;
SIGNAL \WideAnd73~0_combout\ : std_logic;
SIGNAL \WideAnd73~combout\ : std_logic;
SIGNAL \led_flash_cnt[75][0]~80715_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[75][1]~27930_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[75][1]~27931\ : std_logic;
SIGNAL \led_flash_cnt[75][2]~27932_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[75][2]~27933\ : std_logic;
SIGNAL \led_flash_cnt[75][3]~27934_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[75][3]~27935\ : std_logic;
SIGNAL \led_flash_cnt[75][4]~27936_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][4]~q\ : std_logic;
SIGNAL \WideAnd75~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][4]~27937\ : std_logic;
SIGNAL \led_flash_cnt[75][5]~27938_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[75][5]~27939\ : std_logic;
SIGNAL \led_flash_cnt[75][6]~27940_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[75][6]~27941\ : std_logic;
SIGNAL \led_flash_cnt[75][7]~27942_combout\ : std_logic;
SIGNAL \led_flash_cnt[75][7]~q\ : std_logic;
SIGNAL \WideAnd75~1_combout\ : std_logic;
SIGNAL \WideAnd75~combout\ : std_logic;
SIGNAL \WideAnd3849~0_combout\ : std_logic;
SIGNAL \WideAnd3849~combout\ : std_logic;
SIGNAL \led_flash_cnt[70][0]~80710_combout\ : std_logic;
SIGNAL \led_flash_cnt[70][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[70][1]~27860_combout\ : std_logic;
SIGNAL \led_flash_cnt[70][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[70][1]~27861\ : std_logic;
SIGNAL \led_flash_cnt[70][2]~27862_combout\ : std_logic;
SIGNAL \led_flash_cnt[70][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[70][2]~27863\ : std_logic;
SIGNAL \led_flash_cnt[70][3]~27864_combout\ : std_logic;
SIGNAL \led_flash_cnt[70][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[70][3]~27865\ : std_logic;
SIGNAL \led_flash_cnt[70][4]~27866_combout\ : std_logic;
SIGNAL \led_flash_cnt[70][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[70][4]~27867\ : std_logic;
SIGNAL \led_flash_cnt[70][5]~27868_combout\ : std_logic;
SIGNAL \led_flash_cnt[70][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[70][5]~27869\ : std_logic;
SIGNAL \led_flash_cnt[70][6]~27870_combout\ : std_logic;
SIGNAL \led_flash_cnt[70][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[70][6]~27871\ : std_logic;
SIGNAL \led_flash_cnt[70][7]~27872_combout\ : std_logic;
SIGNAL \led_flash_cnt[70][7]~q\ : std_logic;
SIGNAL \WideAnd70~0_combout\ : std_logic;
SIGNAL \WideAnd70~1_combout\ : std_logic;
SIGNAL \WideAnd70~combout\ : std_logic;
SIGNAL \led_flash_cnt[68][0]~80708_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[68][1]~27832_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[68][1]~27833\ : std_logic;
SIGNAL \led_flash_cnt[68][2]~27834_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[68][2]~27835\ : std_logic;
SIGNAL \led_flash_cnt[68][3]~27836_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[68][3]~27837\ : std_logic;
SIGNAL \led_flash_cnt[68][4]~27838_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[68][4]~27839\ : std_logic;
SIGNAL \led_flash_cnt[68][5]~27840_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[68][5]~27841\ : std_logic;
SIGNAL \led_flash_cnt[68][6]~27842_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][6]~q\ : std_logic;
SIGNAL \WideAnd68~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][6]~27843\ : std_logic;
SIGNAL \led_flash_cnt[68][7]~27844_combout\ : std_logic;
SIGNAL \led_flash_cnt[68][7]~q\ : std_logic;
SIGNAL \WideAnd68~0_combout\ : std_logic;
SIGNAL \WideAnd68~combout\ : std_logic;
SIGNAL \led_flash_cnt[69][0]~80709_combout\ : std_logic;
SIGNAL \led_flash_cnt[69][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[69][1]~27846_combout\ : std_logic;
SIGNAL \led_flash_cnt[69][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[69][1]~27847\ : std_logic;
SIGNAL \led_flash_cnt[69][2]~27848_combout\ : std_logic;
SIGNAL \led_flash_cnt[69][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[69][2]~27849\ : std_logic;
SIGNAL \led_flash_cnt[69][3]~27850_combout\ : std_logic;
SIGNAL \led_flash_cnt[69][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[69][3]~27851\ : std_logic;
SIGNAL \led_flash_cnt[69][4]~27852_combout\ : std_logic;
SIGNAL \led_flash_cnt[69][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[69][4]~27853\ : std_logic;
SIGNAL \led_flash_cnt[69][5]~27854_combout\ : std_logic;
SIGNAL \led_flash_cnt[69][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[69][5]~27855\ : std_logic;
SIGNAL \led_flash_cnt[69][6]~27856_combout\ : std_logic;
SIGNAL \led_flash_cnt[69][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[69][6]~27857\ : std_logic;
SIGNAL \led_flash_cnt[69][7]~27858_combout\ : std_logic;
SIGNAL \led_flash_cnt[69][7]~q\ : std_logic;
SIGNAL \WideAnd69~1_combout\ : std_logic;
SIGNAL \WideAnd69~0_combout\ : std_logic;
SIGNAL \WideAnd69~combout\ : std_logic;
SIGNAL \WideAnd3848~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][0]~80706_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[66][1]~27804_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[66][1]~27805\ : std_logic;
SIGNAL \led_flash_cnt[66][2]~27806_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[66][2]~27807\ : std_logic;
SIGNAL \led_flash_cnt[66][3]~27808_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[66][3]~27809\ : std_logic;
SIGNAL \led_flash_cnt[66][4]~27810_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][4]~q\ : std_logic;
SIGNAL \WideAnd66~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][4]~27811\ : std_logic;
SIGNAL \led_flash_cnt[66][5]~27812_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[66][5]~27813\ : std_logic;
SIGNAL \led_flash_cnt[66][6]~27814_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[66][6]~27815\ : std_logic;
SIGNAL \led_flash_cnt[66][7]~27816_combout\ : std_logic;
SIGNAL \led_flash_cnt[66][7]~q\ : std_logic;
SIGNAL \WideAnd66~1_combout\ : std_logic;
SIGNAL \WideAnd66~combout\ : std_logic;
SIGNAL \led_flash_cnt[67][0]~80707_combout\ : std_logic;
SIGNAL \led_flash_cnt[67][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[67][1]~27818_combout\ : std_logic;
SIGNAL \led_flash_cnt[67][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[67][1]~27819\ : std_logic;
SIGNAL \led_flash_cnt[67][2]~27820_combout\ : std_logic;
SIGNAL \led_flash_cnt[67][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[67][2]~27821\ : std_logic;
SIGNAL \led_flash_cnt[67][3]~27822_combout\ : std_logic;
SIGNAL \led_flash_cnt[67][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[67][3]~27823\ : std_logic;
SIGNAL \led_flash_cnt[67][4]~27824_combout\ : std_logic;
SIGNAL \led_flash_cnt[67][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[67][4]~27825\ : std_logic;
SIGNAL \led_flash_cnt[67][5]~27826_combout\ : std_logic;
SIGNAL \led_flash_cnt[67][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[67][5]~27827\ : std_logic;
SIGNAL \led_flash_cnt[67][6]~27828_combout\ : std_logic;
SIGNAL \led_flash_cnt[67][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[67][6]~27829\ : std_logic;
SIGNAL \led_flash_cnt[67][7]~27830_combout\ : std_logic;
SIGNAL \led_flash_cnt[67][7]~q\ : std_logic;
SIGNAL \WideAnd67~1_combout\ : std_logic;
SIGNAL \WideAnd67~0_combout\ : std_logic;
SIGNAL \WideAnd67~combout\ : std_logic;
SIGNAL \led_flash_cnt[65][0]~80705_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[65][1]~27790_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[65][1]~27791\ : std_logic;
SIGNAL \led_flash_cnt[65][2]~27792_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[65][2]~27793\ : std_logic;
SIGNAL \led_flash_cnt[65][3]~27794_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[65][3]~27795\ : std_logic;
SIGNAL \led_flash_cnt[65][4]~27796_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[65][4]~27797\ : std_logic;
SIGNAL \led_flash_cnt[65][5]~27798_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[65][5]~27799\ : std_logic;
SIGNAL \led_flash_cnt[65][6]~27800_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][6]~q\ : std_logic;
SIGNAL \WideAnd65~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][6]~27801\ : std_logic;
SIGNAL \led_flash_cnt[65][7]~27802_combout\ : std_logic;
SIGNAL \led_flash_cnt[65][7]~q\ : std_logic;
SIGNAL \WideAnd65~1_combout\ : std_logic;
SIGNAL \WideAnd65~combout\ : std_logic;
SIGNAL \led_flash_cnt[64][0]~80704_combout\ : std_logic;
SIGNAL \led_flash_cnt[64][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[64][1]~27776_combout\ : std_logic;
SIGNAL \led_flash_cnt[64][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[64][1]~27777\ : std_logic;
SIGNAL \led_flash_cnt[64][2]~27778_combout\ : std_logic;
SIGNAL \led_flash_cnt[64][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[64][2]~27779\ : std_logic;
SIGNAL \led_flash_cnt[64][3]~27780_combout\ : std_logic;
SIGNAL \led_flash_cnt[64][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[64][3]~27781\ : std_logic;
SIGNAL \led_flash_cnt[64][4]~27782_combout\ : std_logic;
SIGNAL \led_flash_cnt[64][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[64][4]~27783\ : std_logic;
SIGNAL \led_flash_cnt[64][5]~27784_combout\ : std_logic;
SIGNAL \led_flash_cnt[64][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[64][5]~27785\ : std_logic;
SIGNAL \led_flash_cnt[64][6]~27786_combout\ : std_logic;
SIGNAL \led_flash_cnt[64][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[64][6]~27787\ : std_logic;
SIGNAL \led_flash_cnt[64][7]~27788_combout\ : std_logic;
SIGNAL \led_flash_cnt[64][7]~q\ : std_logic;
SIGNAL \WideAnd64~1_combout\ : std_logic;
SIGNAL \WideAnd64~0_combout\ : std_logic;
SIGNAL \WideAnd64~combout\ : std_logic;
SIGNAL \WideAnd3848~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][0]~80711_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[71][1]~27874_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[71][1]~27875\ : std_logic;
SIGNAL \led_flash_cnt[71][2]~27876_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[71][2]~27877\ : std_logic;
SIGNAL \led_flash_cnt[71][3]~27878_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[71][3]~27879\ : std_logic;
SIGNAL \led_flash_cnt[71][4]~27880_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[71][4]~27881\ : std_logic;
SIGNAL \led_flash_cnt[71][5]~27882_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[71][5]~27883\ : std_logic;
SIGNAL \led_flash_cnt[71][6]~27884_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[71][6]~27885\ : std_logic;
SIGNAL \led_flash_cnt[71][7]~27886_combout\ : std_logic;
SIGNAL \led_flash_cnt[71][7]~q\ : std_logic;
SIGNAL \WideAnd71~0_combout\ : std_logic;
SIGNAL \WideAnd71~1_combout\ : std_logic;
SIGNAL \WideAnd71~combout\ : std_logic;
SIGNAL \WideAnd3848~combout\ : std_logic;
SIGNAL \led_flash_cnt[92][0]~80732_combout\ : std_logic;
SIGNAL \led_flash_cnt[92][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[92][1]~28168_combout\ : std_logic;
SIGNAL \led_flash_cnt[92][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[92][1]~28169\ : std_logic;
SIGNAL \led_flash_cnt[92][2]~28170_combout\ : std_logic;
SIGNAL \led_flash_cnt[92][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[92][2]~28171\ : std_logic;
SIGNAL \led_flash_cnt[92][3]~28172_combout\ : std_logic;
SIGNAL \led_flash_cnt[92][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[92][3]~28173\ : std_logic;
SIGNAL \led_flash_cnt[92][4]~28174_combout\ : std_logic;
SIGNAL \led_flash_cnt[92][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[92][4]~28175\ : std_logic;
SIGNAL \led_flash_cnt[92][5]~28176_combout\ : std_logic;
SIGNAL \led_flash_cnt[92][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[92][5]~28177\ : std_logic;
SIGNAL \led_flash_cnt[92][6]~28178_combout\ : std_logic;
SIGNAL \led_flash_cnt[92][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[92][6]~28179\ : std_logic;
SIGNAL \led_flash_cnt[92][7]~28180_combout\ : std_logic;
SIGNAL \led_flash_cnt[92][7]~q\ : std_logic;
SIGNAL \WideAnd92~1_combout\ : std_logic;
SIGNAL \WideAnd92~0_combout\ : std_logic;
SIGNAL \WideAnd92~combout\ : std_logic;
SIGNAL \led_flash_cnt[93][0]~80733_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[93][1]~28182_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[93][1]~28183\ : std_logic;
SIGNAL \led_flash_cnt[93][2]~28184_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[93][2]~28185\ : std_logic;
SIGNAL \led_flash_cnt[93][3]~28186_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[93][3]~28187\ : std_logic;
SIGNAL \led_flash_cnt[93][4]~28188_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][4]~q\ : std_logic;
SIGNAL \WideAnd93~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][4]~28189\ : std_logic;
SIGNAL \led_flash_cnt[93][5]~28190_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[93][5]~28191\ : std_logic;
SIGNAL \led_flash_cnt[93][6]~28192_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[93][6]~28193\ : std_logic;
SIGNAL \led_flash_cnt[93][7]~28194_combout\ : std_logic;
SIGNAL \led_flash_cnt[93][7]~q\ : std_logic;
SIGNAL \WideAnd93~1_combout\ : std_logic;
SIGNAL \WideAnd93~combout\ : std_logic;
SIGNAL \WideAnd3851~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][0]~80735_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[95][1]~28210_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[95][1]~28211\ : std_logic;
SIGNAL \led_flash_cnt[95][2]~28212_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[95][2]~28213\ : std_logic;
SIGNAL \led_flash_cnt[95][3]~28214_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[95][3]~28215\ : std_logic;
SIGNAL \led_flash_cnt[95][4]~28216_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[95][4]~28217\ : std_logic;
SIGNAL \led_flash_cnt[95][5]~28218_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[95][5]~28219\ : std_logic;
SIGNAL \led_flash_cnt[95][6]~28220_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[95][6]~28221\ : std_logic;
SIGNAL \led_flash_cnt[95][7]~28222_combout\ : std_logic;
SIGNAL \led_flash_cnt[95][7]~q\ : std_logic;
SIGNAL \WideAnd95~0_combout\ : std_logic;
SIGNAL \WideAnd95~1_combout\ : std_logic;
SIGNAL \WideAnd95~combout\ : std_logic;
SIGNAL \led_flash_cnt[91][0]~80731_combout\ : std_logic;
SIGNAL \led_flash_cnt[91][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[91][1]~28154_combout\ : std_logic;
SIGNAL \led_flash_cnt[91][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[91][1]~28155\ : std_logic;
SIGNAL \led_flash_cnt[91][2]~28156_combout\ : std_logic;
SIGNAL \led_flash_cnt[91][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[91][2]~28157\ : std_logic;
SIGNAL \led_flash_cnt[91][3]~28158_combout\ : std_logic;
SIGNAL \led_flash_cnt[91][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[91][3]~28159\ : std_logic;
SIGNAL \led_flash_cnt[91][4]~28160_combout\ : std_logic;
SIGNAL \led_flash_cnt[91][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[91][4]~28161\ : std_logic;
SIGNAL \led_flash_cnt[91][5]~28162_combout\ : std_logic;
SIGNAL \led_flash_cnt[91][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[91][5]~28163\ : std_logic;
SIGNAL \led_flash_cnt[91][6]~28164_combout\ : std_logic;
SIGNAL \led_flash_cnt[91][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[91][6]~28165\ : std_logic;
SIGNAL \led_flash_cnt[91][7]~28166_combout\ : std_logic;
SIGNAL \led_flash_cnt[91][7]~q\ : std_logic;
SIGNAL \WideAnd91~1_combout\ : std_logic;
SIGNAL \WideAnd91~0_combout\ : std_logic;
SIGNAL \WideAnd91~combout\ : std_logic;
SIGNAL \led_flash_cnt[90][0]~80730_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[90][1]~28140_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[90][1]~28141\ : std_logic;
SIGNAL \led_flash_cnt[90][2]~28142_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[90][2]~28143\ : std_logic;
SIGNAL \led_flash_cnt[90][3]~28144_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[90][3]~28145\ : std_logic;
SIGNAL \led_flash_cnt[90][4]~28146_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[90][4]~28147\ : std_logic;
SIGNAL \led_flash_cnt[90][5]~28148_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[90][5]~28149\ : std_logic;
SIGNAL \led_flash_cnt[90][6]~28150_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][6]~q\ : std_logic;
SIGNAL \WideAnd90~1_combout\ : std_logic;
SIGNAL \WideAnd90~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][6]~28151\ : std_logic;
SIGNAL \led_flash_cnt[90][7]~28152_combout\ : std_logic;
SIGNAL \led_flash_cnt[90][7]~q\ : std_logic;
SIGNAL \WideAnd90~combout\ : std_logic;
SIGNAL \led_flash_cnt[89][0]~80729_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[89][1]~28126_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[89][1]~28127\ : std_logic;
SIGNAL \led_flash_cnt[89][2]~28128_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[89][2]~28129\ : std_logic;
SIGNAL \led_flash_cnt[89][3]~28130_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[89][3]~28131\ : std_logic;
SIGNAL \led_flash_cnt[89][4]~28132_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[89][4]~28133\ : std_logic;
SIGNAL \led_flash_cnt[89][5]~28134_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[89][5]~28135\ : std_logic;
SIGNAL \led_flash_cnt[89][6]~28136_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][6]~q\ : std_logic;
SIGNAL \WideAnd89~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][6]~28137\ : std_logic;
SIGNAL \led_flash_cnt[89][7]~28138_combout\ : std_logic;
SIGNAL \led_flash_cnt[89][7]~q\ : std_logic;
SIGNAL \WideAnd89~0_combout\ : std_logic;
SIGNAL \WideAnd89~combout\ : std_logic;
SIGNAL \led_flash_cnt[88][0]~80728_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[88][1]~28112_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[88][1]~28113\ : std_logic;
SIGNAL \led_flash_cnt[88][2]~28114_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[88][2]~28115\ : std_logic;
SIGNAL \led_flash_cnt[88][3]~28116_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[88][3]~28117\ : std_logic;
SIGNAL \led_flash_cnt[88][4]~28118_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][4]~q\ : std_logic;
SIGNAL \WideAnd88~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][4]~28119\ : std_logic;
SIGNAL \led_flash_cnt[88][5]~28120_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[88][5]~28121\ : std_logic;
SIGNAL \led_flash_cnt[88][6]~28122_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[88][6]~28123\ : std_logic;
SIGNAL \led_flash_cnt[88][7]~28124_combout\ : std_logic;
SIGNAL \led_flash_cnt[88][7]~q\ : std_logic;
SIGNAL \WideAnd88~1_combout\ : std_logic;
SIGNAL \WideAnd88~combout\ : std_logic;
SIGNAL \WideAnd3851~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][0]~80734_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[94][1]~28196_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[94][1]~28197\ : std_logic;
SIGNAL \led_flash_cnt[94][2]~28198_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[94][2]~28199\ : std_logic;
SIGNAL \led_flash_cnt[94][3]~28200_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[94][3]~28201\ : std_logic;
SIGNAL \led_flash_cnt[94][4]~28202_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[94][4]~28203\ : std_logic;
SIGNAL \led_flash_cnt[94][5]~28204_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[94][5]~28205\ : std_logic;
SIGNAL \led_flash_cnt[94][6]~28206_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[94][6]~28207\ : std_logic;
SIGNAL \led_flash_cnt[94][7]~28208_combout\ : std_logic;
SIGNAL \led_flash_cnt[94][7]~q\ : std_logic;
SIGNAL \WideAnd94~0_combout\ : std_logic;
SIGNAL \WideAnd94~1_combout\ : std_logic;
SIGNAL \WideAnd94~combout\ : std_logic;
SIGNAL \WideAnd3851~combout\ : std_logic;
SIGNAL \led_flash_cnt[87][0]~80727_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[87][1]~28098_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[87][1]~28099\ : std_logic;
SIGNAL \led_flash_cnt[87][2]~28100_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[87][2]~28101\ : std_logic;
SIGNAL \led_flash_cnt[87][3]~28102_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[87][3]~28103\ : std_logic;
SIGNAL \led_flash_cnt[87][4]~28104_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][4]~q\ : std_logic;
SIGNAL \WideAnd87~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][4]~28105\ : std_logic;
SIGNAL \led_flash_cnt[87][5]~28106_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[87][5]~28107\ : std_logic;
SIGNAL \led_flash_cnt[87][6]~28108_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[87][6]~28109\ : std_logic;
SIGNAL \led_flash_cnt[87][7]~28110_combout\ : std_logic;
SIGNAL \led_flash_cnt[87][7]~q\ : std_logic;
SIGNAL \WideAnd87~1_combout\ : std_logic;
SIGNAL \WideAnd87~combout\ : std_logic;
SIGNAL \led_flash_cnt[85][0]~80725_combout\ : std_logic;
SIGNAL \led_flash_cnt[85][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[85][1]~28070_combout\ : std_logic;
SIGNAL \led_flash_cnt[85][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[85][1]~28071\ : std_logic;
SIGNAL \led_flash_cnt[85][2]~28072_combout\ : std_logic;
SIGNAL \led_flash_cnt[85][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[85][2]~28073\ : std_logic;
SIGNAL \led_flash_cnt[85][3]~28074_combout\ : std_logic;
SIGNAL \led_flash_cnt[85][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[85][3]~28075\ : std_logic;
SIGNAL \led_flash_cnt[85][4]~28076_combout\ : std_logic;
SIGNAL \led_flash_cnt[85][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[85][4]~28077\ : std_logic;
SIGNAL \led_flash_cnt[85][5]~28078_combout\ : std_logic;
SIGNAL \led_flash_cnt[85][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[85][5]~28079\ : std_logic;
SIGNAL \led_flash_cnt[85][6]~28080_combout\ : std_logic;
SIGNAL \led_flash_cnt[85][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[85][6]~28081\ : std_logic;
SIGNAL \led_flash_cnt[85][7]~28082_combout\ : std_logic;
SIGNAL \led_flash_cnt[85][7]~q\ : std_logic;
SIGNAL \WideAnd85~0_combout\ : std_logic;
SIGNAL \WideAnd85~1_combout\ : std_logic;
SIGNAL \WideAnd85~combout\ : std_logic;
SIGNAL \led_flash_cnt[84][0]~80724_combout\ : std_logic;
SIGNAL \led_flash_cnt[84][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[84][1]~28056_combout\ : std_logic;
SIGNAL \led_flash_cnt[84][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[84][1]~28057\ : std_logic;
SIGNAL \led_flash_cnt[84][2]~28058_combout\ : std_logic;
SIGNAL \led_flash_cnt[84][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[84][2]~28059\ : std_logic;
SIGNAL \led_flash_cnt[84][3]~28060_combout\ : std_logic;
SIGNAL \led_flash_cnt[84][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[84][3]~28061\ : std_logic;
SIGNAL \led_flash_cnt[84][4]~28062_combout\ : std_logic;
SIGNAL \led_flash_cnt[84][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[84][4]~28063\ : std_logic;
SIGNAL \led_flash_cnt[84][5]~28064_combout\ : std_logic;
SIGNAL \led_flash_cnt[84][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[84][5]~28065\ : std_logic;
SIGNAL \led_flash_cnt[84][6]~28066_combout\ : std_logic;
SIGNAL \led_flash_cnt[84][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[84][6]~28067\ : std_logic;
SIGNAL \led_flash_cnt[84][7]~28068_combout\ : std_logic;
SIGNAL \led_flash_cnt[84][7]~q\ : std_logic;
SIGNAL \WideAnd84~1_combout\ : std_logic;
SIGNAL \WideAnd84~0_combout\ : std_logic;
SIGNAL \WideAnd84~combout\ : std_logic;
SIGNAL \WideAnd3850~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][0]~80726_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[86][1]~28084_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[86][1]~28085\ : std_logic;
SIGNAL \led_flash_cnt[86][2]~28086_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[86][2]~28087\ : std_logic;
SIGNAL \led_flash_cnt[86][3]~28088_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[86][3]~28089\ : std_logic;
SIGNAL \led_flash_cnt[86][4]~28090_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[86][4]~28091\ : std_logic;
SIGNAL \led_flash_cnt[86][5]~28092_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[86][5]~28093\ : std_logic;
SIGNAL \led_flash_cnt[86][6]~28094_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[86][6]~28095\ : std_logic;
SIGNAL \led_flash_cnt[86][7]~28096_combout\ : std_logic;
SIGNAL \led_flash_cnt[86][7]~q\ : std_logic;
SIGNAL \WideAnd86~0_combout\ : std_logic;
SIGNAL \WideAnd86~1_combout\ : std_logic;
SIGNAL \WideAnd86~combout\ : std_logic;
SIGNAL \led_flash_cnt[81][0]~80721_combout\ : std_logic;
SIGNAL \led_flash_cnt[81][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[81][1]~28014_combout\ : std_logic;
SIGNAL \led_flash_cnt[81][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[81][1]~28015\ : std_logic;
SIGNAL \led_flash_cnt[81][2]~28016_combout\ : std_logic;
SIGNAL \led_flash_cnt[81][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[81][2]~28017\ : std_logic;
SIGNAL \led_flash_cnt[81][3]~28018_combout\ : std_logic;
SIGNAL \led_flash_cnt[81][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[81][3]~28019\ : std_logic;
SIGNAL \led_flash_cnt[81][4]~28020_combout\ : std_logic;
SIGNAL \led_flash_cnt[81][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[81][4]~28021\ : std_logic;
SIGNAL \led_flash_cnt[81][5]~28022_combout\ : std_logic;
SIGNAL \led_flash_cnt[81][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[81][5]~28023\ : std_logic;
SIGNAL \led_flash_cnt[81][6]~28024_combout\ : std_logic;
SIGNAL \led_flash_cnt[81][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[81][6]~28025\ : std_logic;
SIGNAL \led_flash_cnt[81][7]~28026_combout\ : std_logic;
SIGNAL \led_flash_cnt[81][7]~q\ : std_logic;
SIGNAL \WideAnd81~0_combout\ : std_logic;
SIGNAL \WideAnd81~1_combout\ : std_logic;
SIGNAL \WideAnd81~combout\ : std_logic;
SIGNAL \led_flash_cnt[82][0]~80722_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[82][1]~28028_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[82][1]~28029\ : std_logic;
SIGNAL \led_flash_cnt[82][2]~28030_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[82][2]~28031\ : std_logic;
SIGNAL \led_flash_cnt[82][3]~28032_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[82][3]~28033\ : std_logic;
SIGNAL \led_flash_cnt[82][4]~28034_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][4]~q\ : std_logic;
SIGNAL \WideAnd82~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][4]~28035\ : std_logic;
SIGNAL \led_flash_cnt[82][5]~28036_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[82][5]~28037\ : std_logic;
SIGNAL \led_flash_cnt[82][6]~28038_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[82][6]~28039\ : std_logic;
SIGNAL \led_flash_cnt[82][7]~28040_combout\ : std_logic;
SIGNAL \led_flash_cnt[82][7]~q\ : std_logic;
SIGNAL \WideAnd82~1_combout\ : std_logic;
SIGNAL \WideAnd82~combout\ : std_logic;
SIGNAL \led_flash_cnt[83][0]~80723_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[83][1]~28042_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[83][1]~28043\ : std_logic;
SIGNAL \led_flash_cnt[83][2]~28044_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[83][2]~28045\ : std_logic;
SIGNAL \led_flash_cnt[83][3]~28046_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[83][3]~28047\ : std_logic;
SIGNAL \led_flash_cnt[83][4]~28048_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][4]~q\ : std_logic;
SIGNAL \WideAnd83~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][4]~28049\ : std_logic;
SIGNAL \led_flash_cnt[83][5]~28050_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[83][5]~28051\ : std_logic;
SIGNAL \led_flash_cnt[83][6]~28052_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][6]~q\ : std_logic;
SIGNAL \WideAnd83~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][6]~28053\ : std_logic;
SIGNAL \led_flash_cnt[83][7]~28054_combout\ : std_logic;
SIGNAL \led_flash_cnt[83][7]~q\ : std_logic;
SIGNAL \WideAnd83~combout\ : std_logic;
SIGNAL \led_flash_cnt[80][0]~80720_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[80][1]~28000_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[80][1]~28001\ : std_logic;
SIGNAL \led_flash_cnt[80][2]~28002_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[80][2]~28003\ : std_logic;
SIGNAL \led_flash_cnt[80][3]~28004_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[80][3]~28005\ : std_logic;
SIGNAL \led_flash_cnt[80][4]~28006_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[80][4]~28007\ : std_logic;
SIGNAL \led_flash_cnt[80][5]~28008_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[80][5]~28009\ : std_logic;
SIGNAL \led_flash_cnt[80][6]~28010_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][6]~q\ : std_logic;
SIGNAL \WideAnd80~1_combout\ : std_logic;
SIGNAL \WideAnd80~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][6]~28011\ : std_logic;
SIGNAL \led_flash_cnt[80][7]~28012_combout\ : std_logic;
SIGNAL \led_flash_cnt[80][7]~q\ : std_logic;
SIGNAL \WideAnd80~combout\ : std_logic;
SIGNAL \WideAnd3850~0_combout\ : std_logic;
SIGNAL \WideAnd3850~combout\ : std_logic;
SIGNAL \WideAnd4321~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][0]~80750_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[110][1]~28420_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[110][1]~28421\ : std_logic;
SIGNAL \led_flash_cnt[110][2]~28422_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[110][2]~28423\ : std_logic;
SIGNAL \led_flash_cnt[110][3]~28424_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[110][3]~28425\ : std_logic;
SIGNAL \led_flash_cnt[110][4]~28426_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[110][4]~28427\ : std_logic;
SIGNAL \led_flash_cnt[110][5]~28428_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[110][5]~28429\ : std_logic;
SIGNAL \led_flash_cnt[110][6]~28430_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][6]~q\ : std_logic;
SIGNAL \WideAnd110~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][6]~28431\ : std_logic;
SIGNAL \led_flash_cnt[110][7]~28432_combout\ : std_logic;
SIGNAL \led_flash_cnt[110][7]~q\ : std_logic;
SIGNAL \WideAnd110~0_combout\ : std_logic;
SIGNAL \WideAnd110~combout\ : std_logic;
SIGNAL \led_flash_cnt[109][0]~80749_combout\ : std_logic;
SIGNAL \led_flash_cnt[109][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[109][1]~28406_combout\ : std_logic;
SIGNAL \led_flash_cnt[109][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[109][1]~28407\ : std_logic;
SIGNAL \led_flash_cnt[109][2]~28408_combout\ : std_logic;
SIGNAL \led_flash_cnt[109][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[109][2]~28409\ : std_logic;
SIGNAL \led_flash_cnt[109][3]~28410_combout\ : std_logic;
SIGNAL \led_flash_cnt[109][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[109][3]~28411\ : std_logic;
SIGNAL \led_flash_cnt[109][4]~28412_combout\ : std_logic;
SIGNAL \led_flash_cnt[109][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[109][4]~28413\ : std_logic;
SIGNAL \led_flash_cnt[109][5]~28414_combout\ : std_logic;
SIGNAL \led_flash_cnt[109][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[109][5]~28415\ : std_logic;
SIGNAL \led_flash_cnt[109][6]~28416_combout\ : std_logic;
SIGNAL \led_flash_cnt[109][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[109][6]~28417\ : std_logic;
SIGNAL \led_flash_cnt[109][7]~28418_combout\ : std_logic;
SIGNAL \led_flash_cnt[109][7]~q\ : std_logic;
SIGNAL \WideAnd109~1_combout\ : std_logic;
SIGNAL \WideAnd109~0_combout\ : std_logic;
SIGNAL \WideAnd109~combout\ : std_logic;
SIGNAL \led_flash_cnt[108][0]~80748_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[108][1]~28392_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[108][1]~28393\ : std_logic;
SIGNAL \led_flash_cnt[108][2]~28394_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[108][2]~28395\ : std_logic;
SIGNAL \led_flash_cnt[108][3]~28396_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[108][3]~28397\ : std_logic;
SIGNAL \led_flash_cnt[108][4]~28398_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[108][4]~28399\ : std_logic;
SIGNAL \led_flash_cnt[108][5]~28400_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[108][5]~28401\ : std_logic;
SIGNAL \led_flash_cnt[108][6]~28402_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][6]~q\ : std_logic;
SIGNAL \WideAnd108~1_combout\ : std_logic;
SIGNAL \WideAnd108~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][6]~28403\ : std_logic;
SIGNAL \led_flash_cnt[108][7]~28404_combout\ : std_logic;
SIGNAL \led_flash_cnt[108][7]~q\ : std_logic;
SIGNAL \WideAnd108~combout\ : std_logic;
SIGNAL \WideAnd3853~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][0]~80744_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[104][1]~28336_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[104][1]~28337\ : std_logic;
SIGNAL \led_flash_cnt[104][2]~28338_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[104][2]~28339\ : std_logic;
SIGNAL \led_flash_cnt[104][3]~28340_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[104][3]~28341\ : std_logic;
SIGNAL \led_flash_cnt[104][4]~28342_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[104][4]~28343\ : std_logic;
SIGNAL \led_flash_cnt[104][5]~28344_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[104][5]~28345\ : std_logic;
SIGNAL \led_flash_cnt[104][6]~28346_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][6]~q\ : std_logic;
SIGNAL \WideAnd104~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][6]~28347\ : std_logic;
SIGNAL \led_flash_cnt[104][7]~28348_combout\ : std_logic;
SIGNAL \led_flash_cnt[104][7]~q\ : std_logic;
SIGNAL \WideAnd104~0_combout\ : std_logic;
SIGNAL \WideAnd104~combout\ : std_logic;
SIGNAL \led_flash_cnt[105][0]~80745_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[105][1]~28350_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[105][1]~28351\ : std_logic;
SIGNAL \led_flash_cnt[105][2]~28352_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[105][2]~28353\ : std_logic;
SIGNAL \led_flash_cnt[105][3]~28354_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[105][3]~28355\ : std_logic;
SIGNAL \led_flash_cnt[105][4]~28356_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[105][4]~28357\ : std_logic;
SIGNAL \led_flash_cnt[105][5]~28358_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[105][5]~28359\ : std_logic;
SIGNAL \led_flash_cnt[105][6]~28360_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][6]~q\ : std_logic;
SIGNAL \WideAnd105~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][6]~28361\ : std_logic;
SIGNAL \led_flash_cnt[105][7]~28362_combout\ : std_logic;
SIGNAL \led_flash_cnt[105][7]~q\ : std_logic;
SIGNAL \WideAnd105~0_combout\ : std_logic;
SIGNAL \WideAnd105~combout\ : std_logic;
SIGNAL \led_flash_cnt[106][0]~80746_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[106][1]~28364_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[106][1]~28365\ : std_logic;
SIGNAL \led_flash_cnt[106][2]~28366_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[106][2]~28367\ : std_logic;
SIGNAL \led_flash_cnt[106][3]~28368_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[106][3]~28369\ : std_logic;
SIGNAL \led_flash_cnt[106][4]~28370_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][4]~q\ : std_logic;
SIGNAL \WideAnd106~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][4]~28371\ : std_logic;
SIGNAL \led_flash_cnt[106][5]~28372_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[106][5]~28373\ : std_logic;
SIGNAL \led_flash_cnt[106][6]~28374_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[106][6]~28375\ : std_logic;
SIGNAL \led_flash_cnt[106][7]~28376_combout\ : std_logic;
SIGNAL \led_flash_cnt[106][7]~q\ : std_logic;
SIGNAL \WideAnd106~1_combout\ : std_logic;
SIGNAL \WideAnd106~combout\ : std_logic;
SIGNAL \led_flash_cnt[107][0]~80747_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[107][1]~28378_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[107][1]~28379\ : std_logic;
SIGNAL \led_flash_cnt[107][2]~28380_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[107][2]~28381\ : std_logic;
SIGNAL \led_flash_cnt[107][3]~28382_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[107][3]~28383\ : std_logic;
SIGNAL \led_flash_cnt[107][4]~28384_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[107][4]~28385\ : std_logic;
SIGNAL \led_flash_cnt[107][5]~28386_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[107][5]~28387\ : std_logic;
SIGNAL \led_flash_cnt[107][6]~28388_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][6]~q\ : std_logic;
SIGNAL \WideAnd107~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][6]~28389\ : std_logic;
SIGNAL \led_flash_cnt[107][7]~28390_combout\ : std_logic;
SIGNAL \led_flash_cnt[107][7]~q\ : std_logic;
SIGNAL \WideAnd107~0_combout\ : std_logic;
SIGNAL \WideAnd107~combout\ : std_logic;
SIGNAL \WideAnd3853~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][0]~80751_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[111][1]~28434_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[111][1]~28435\ : std_logic;
SIGNAL \led_flash_cnt[111][2]~28436_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[111][2]~28437\ : std_logic;
SIGNAL \led_flash_cnt[111][3]~28438_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[111][3]~28439\ : std_logic;
SIGNAL \led_flash_cnt[111][4]~28440_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[111][4]~28441\ : std_logic;
SIGNAL \led_flash_cnt[111][5]~28442_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[111][5]~28443\ : std_logic;
SIGNAL \led_flash_cnt[111][6]~28444_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][6]~q\ : std_logic;
SIGNAL \WideAnd111~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][6]~28445\ : std_logic;
SIGNAL \led_flash_cnt[111][7]~28446_combout\ : std_logic;
SIGNAL \led_flash_cnt[111][7]~q\ : std_logic;
SIGNAL \WideAnd111~0_combout\ : std_logic;
SIGNAL \WideAnd111~combout\ : std_logic;
SIGNAL \WideAnd3853~combout\ : std_logic;
SIGNAL \led_flash_cnt[102][0]~80742_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[102][1]~28308_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[102][1]~28309\ : std_logic;
SIGNAL \led_flash_cnt[102][2]~28310_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[102][2]~28311\ : std_logic;
SIGNAL \led_flash_cnt[102][3]~28312_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[102][3]~28313\ : std_logic;
SIGNAL \led_flash_cnt[102][4]~28314_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[102][4]~28315\ : std_logic;
SIGNAL \led_flash_cnt[102][5]~28316_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[102][5]~28317\ : std_logic;
SIGNAL \led_flash_cnt[102][6]~28318_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][6]~q\ : std_logic;
SIGNAL \WideAnd102~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][6]~28319\ : std_logic;
SIGNAL \led_flash_cnt[102][7]~28320_combout\ : std_logic;
SIGNAL \led_flash_cnt[102][7]~q\ : std_logic;
SIGNAL \WideAnd102~0_combout\ : std_logic;
SIGNAL \WideAnd102~combout\ : std_logic;
SIGNAL \led_flash_cnt[101][0]~80741_combout\ : std_logic;
SIGNAL \led_flash_cnt[101][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[101][1]~28294_combout\ : std_logic;
SIGNAL \led_flash_cnt[101][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[101][1]~28295\ : std_logic;
SIGNAL \led_flash_cnt[101][2]~28296_combout\ : std_logic;
SIGNAL \led_flash_cnt[101][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[101][2]~28297\ : std_logic;
SIGNAL \led_flash_cnt[101][3]~28298_combout\ : std_logic;
SIGNAL \led_flash_cnt[101][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[101][3]~28299\ : std_logic;
SIGNAL \led_flash_cnt[101][4]~28300_combout\ : std_logic;
SIGNAL \led_flash_cnt[101][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[101][4]~28301\ : std_logic;
SIGNAL \led_flash_cnt[101][5]~28302_combout\ : std_logic;
SIGNAL \led_flash_cnt[101][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[101][5]~28303\ : std_logic;
SIGNAL \led_flash_cnt[101][6]~28304_combout\ : std_logic;
SIGNAL \led_flash_cnt[101][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[101][6]~28305\ : std_logic;
SIGNAL \led_flash_cnt[101][7]~28306_combout\ : std_logic;
SIGNAL \led_flash_cnt[101][7]~q\ : std_logic;
SIGNAL \WideAnd101~1_combout\ : std_logic;
SIGNAL \WideAnd101~0_combout\ : std_logic;
SIGNAL \WideAnd101~combout\ : std_logic;
SIGNAL \led_flash_cnt[100][0]~80740_combout\ : std_logic;
SIGNAL \led_flash_cnt[100][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[100][1]~28280_combout\ : std_logic;
SIGNAL \led_flash_cnt[100][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[100][1]~28281\ : std_logic;
SIGNAL \led_flash_cnt[100][2]~28282_combout\ : std_logic;
SIGNAL \led_flash_cnt[100][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[100][2]~28283\ : std_logic;
SIGNAL \led_flash_cnt[100][3]~28284_combout\ : std_logic;
SIGNAL \led_flash_cnt[100][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[100][3]~28285\ : std_logic;
SIGNAL \led_flash_cnt[100][4]~28286_combout\ : std_logic;
SIGNAL \led_flash_cnt[100][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[100][4]~28287\ : std_logic;
SIGNAL \led_flash_cnt[100][5]~28288_combout\ : std_logic;
SIGNAL \led_flash_cnt[100][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[100][5]~28289\ : std_logic;
SIGNAL \led_flash_cnt[100][6]~28290_combout\ : std_logic;
SIGNAL \led_flash_cnt[100][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[100][6]~28291\ : std_logic;
SIGNAL \led_flash_cnt[100][7]~28292_combout\ : std_logic;
SIGNAL \led_flash_cnt[100][7]~q\ : std_logic;
SIGNAL \WideAnd100~1_combout\ : std_logic;
SIGNAL \WideAnd100~0_combout\ : std_logic;
SIGNAL \WideAnd100~combout\ : std_logic;
SIGNAL \WideAnd3852~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][0]~80737_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[97][1]~28238_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[97][1]~28239\ : std_logic;
SIGNAL \led_flash_cnt[97][2]~28240_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[97][2]~28241\ : std_logic;
SIGNAL \led_flash_cnt[97][3]~28242_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[97][3]~28243\ : std_logic;
SIGNAL \led_flash_cnt[97][4]~28244_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[97][4]~28245\ : std_logic;
SIGNAL \led_flash_cnt[97][5]~28246_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[97][5]~28247\ : std_logic;
SIGNAL \led_flash_cnt[97][6]~28248_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][6]~q\ : std_logic;
SIGNAL \WideAnd97~1_combout\ : std_logic;
SIGNAL \WideAnd97~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][6]~28249\ : std_logic;
SIGNAL \led_flash_cnt[97][7]~28250_combout\ : std_logic;
SIGNAL \led_flash_cnt[97][7]~q\ : std_logic;
SIGNAL \WideAnd97~combout\ : std_logic;
SIGNAL \led_flash_cnt[99][0]~80739_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[99][1]~28266_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[99][1]~28267\ : std_logic;
SIGNAL \led_flash_cnt[99][2]~28268_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[99][2]~28269\ : std_logic;
SIGNAL \led_flash_cnt[99][3]~28270_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[99][3]~28271\ : std_logic;
SIGNAL \led_flash_cnt[99][4]~28272_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[99][4]~28273\ : std_logic;
SIGNAL \led_flash_cnt[99][5]~28274_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[99][5]~28275\ : std_logic;
SIGNAL \led_flash_cnt[99][6]~28276_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][6]~q\ : std_logic;
SIGNAL \WideAnd99~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][6]~28277\ : std_logic;
SIGNAL \led_flash_cnt[99][7]~28278_combout\ : std_logic;
SIGNAL \led_flash_cnt[99][7]~q\ : std_logic;
SIGNAL \WideAnd99~0_combout\ : std_logic;
SIGNAL \WideAnd99~combout\ : std_logic;
SIGNAL \led_flash_cnt[96][0]~80736_combout\ : std_logic;
SIGNAL \led_flash_cnt[96][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[96][1]~28224_combout\ : std_logic;
SIGNAL \led_flash_cnt[96][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[96][1]~28225\ : std_logic;
SIGNAL \led_flash_cnt[96][2]~28226_combout\ : std_logic;
SIGNAL \led_flash_cnt[96][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[96][2]~28227\ : std_logic;
SIGNAL \led_flash_cnt[96][3]~28228_combout\ : std_logic;
SIGNAL \led_flash_cnt[96][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[96][3]~28229\ : std_logic;
SIGNAL \led_flash_cnt[96][4]~28230_combout\ : std_logic;
SIGNAL \led_flash_cnt[96][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[96][4]~28231\ : std_logic;
SIGNAL \led_flash_cnt[96][5]~28232_combout\ : std_logic;
SIGNAL \led_flash_cnt[96][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[96][5]~28233\ : std_logic;
SIGNAL \led_flash_cnt[96][6]~28234_combout\ : std_logic;
SIGNAL \led_flash_cnt[96][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[96][6]~28235\ : std_logic;
SIGNAL \led_flash_cnt[96][7]~28236_combout\ : std_logic;
SIGNAL \led_flash_cnt[96][7]~q\ : std_logic;
SIGNAL \WideAnd96~1_combout\ : std_logic;
SIGNAL \WideAnd96~0_combout\ : std_logic;
SIGNAL \WideAnd96~combout\ : std_logic;
SIGNAL \led_flash_cnt[98][0]~80738_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[98][1]~28252_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[98][1]~28253\ : std_logic;
SIGNAL \led_flash_cnt[98][2]~28254_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[98][2]~28255\ : std_logic;
SIGNAL \led_flash_cnt[98][3]~28256_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[98][3]~28257\ : std_logic;
SIGNAL \led_flash_cnt[98][4]~28258_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][4]~q\ : std_logic;
SIGNAL \WideAnd98~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][4]~28259\ : std_logic;
SIGNAL \led_flash_cnt[98][5]~28260_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[98][5]~28261\ : std_logic;
SIGNAL \led_flash_cnt[98][6]~28262_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[98][6]~28263\ : std_logic;
SIGNAL \led_flash_cnt[98][7]~28264_combout\ : std_logic;
SIGNAL \led_flash_cnt[98][7]~q\ : std_logic;
SIGNAL \WideAnd98~1_combout\ : std_logic;
SIGNAL \WideAnd98~combout\ : std_logic;
SIGNAL \WideAnd3852~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][0]~80743_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[103][1]~28322_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[103][1]~28323\ : std_logic;
SIGNAL \led_flash_cnt[103][2]~28324_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[103][2]~28325\ : std_logic;
SIGNAL \led_flash_cnt[103][3]~28326_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[103][3]~28327\ : std_logic;
SIGNAL \led_flash_cnt[103][4]~28328_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[103][4]~28329\ : std_logic;
SIGNAL \led_flash_cnt[103][5]~28330_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[103][5]~28331\ : std_logic;
SIGNAL \led_flash_cnt[103][6]~28332_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[103][6]~28333\ : std_logic;
SIGNAL \led_flash_cnt[103][7]~28334_combout\ : std_logic;
SIGNAL \led_flash_cnt[103][7]~q\ : std_logic;
SIGNAL \WideAnd103~1_combout\ : std_logic;
SIGNAL \WideAnd103~0_combout\ : std_logic;
SIGNAL \WideAnd103~combout\ : std_logic;
SIGNAL \WideAnd3852~combout\ : std_logic;
SIGNAL \WideAnd4321~1_combout\ : std_logic;
SIGNAL \WideAnd4321~combout\ : std_logic;
SIGNAL \led_flash_cnt[249][0]~80892_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[249][1]~30408_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[249][1]~30409\ : std_logic;
SIGNAL \led_flash_cnt[249][2]~30410_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[249][2]~30411\ : std_logic;
SIGNAL \led_flash_cnt[249][3]~30412_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[249][3]~30413\ : std_logic;
SIGNAL \led_flash_cnt[249][4]~30414_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][4]~q\ : std_logic;
SIGNAL \WideAnd249~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][4]~30415\ : std_logic;
SIGNAL \led_flash_cnt[249][5]~30416_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[249][5]~30417\ : std_logic;
SIGNAL \led_flash_cnt[249][6]~30418_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[249][6]~30419\ : std_logic;
SIGNAL \led_flash_cnt[249][7]~30420_combout\ : std_logic;
SIGNAL \led_flash_cnt[249][7]~q\ : std_logic;
SIGNAL \WideAnd249~1_combout\ : std_logic;
SIGNAL \WideAnd249~combout\ : std_logic;
SIGNAL \led_flash_cnt[252][0]~80891_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[252][1]~30394_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[252][1]~30395\ : std_logic;
SIGNAL \led_flash_cnt[252][2]~30396_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[252][2]~30397\ : std_logic;
SIGNAL \led_flash_cnt[252][3]~30398_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[252][3]~30399\ : std_logic;
SIGNAL \led_flash_cnt[252][4]~30400_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[252][4]~30401\ : std_logic;
SIGNAL \led_flash_cnt[252][5]~30402_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[252][5]~30403\ : std_logic;
SIGNAL \led_flash_cnt[252][6]~30404_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][6]~q\ : std_logic;
SIGNAL \WideAnd252~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][6]~30405\ : std_logic;
SIGNAL \led_flash_cnt[252][7]~30406_combout\ : std_logic;
SIGNAL \led_flash_cnt[252][7]~q\ : std_logic;
SIGNAL \WideAnd252~0_combout\ : std_logic;
SIGNAL \WideAnd252~combout\ : std_logic;
SIGNAL \led_flash_cnt[251][0]~80893_combout\ : std_logic;
SIGNAL \led_flash_cnt[251][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[251][1]~30422_combout\ : std_logic;
SIGNAL \led_flash_cnt[251][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[251][1]~30423\ : std_logic;
SIGNAL \led_flash_cnt[251][2]~30424_combout\ : std_logic;
SIGNAL \led_flash_cnt[251][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[251][2]~30425\ : std_logic;
SIGNAL \led_flash_cnt[251][3]~30426_combout\ : std_logic;
SIGNAL \led_flash_cnt[251][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[251][3]~30427\ : std_logic;
SIGNAL \led_flash_cnt[251][4]~30428_combout\ : std_logic;
SIGNAL \led_flash_cnt[251][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[251][4]~30429\ : std_logic;
SIGNAL \led_flash_cnt[251][5]~30430_combout\ : std_logic;
SIGNAL \led_flash_cnt[251][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[251][5]~30431\ : std_logic;
SIGNAL \led_flash_cnt[251][6]~30432_combout\ : std_logic;
SIGNAL \led_flash_cnt[251][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[251][6]~30433\ : std_logic;
SIGNAL \led_flash_cnt[251][7]~30434_combout\ : std_logic;
SIGNAL \led_flash_cnt[251][7]~q\ : std_logic;
SIGNAL \WideAnd251~1_combout\ : std_logic;
SIGNAL \WideAnd251~0_combout\ : std_logic;
SIGNAL \WideAnd251~combout\ : std_logic;
SIGNAL \led_flash_cnt[255][0]~80890_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[255][1]~30380_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[255][1]~30381\ : std_logic;
SIGNAL \led_flash_cnt[255][2]~30382_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[255][2]~30383\ : std_logic;
SIGNAL \led_flash_cnt[255][3]~30384_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[255][3]~30385\ : std_logic;
SIGNAL \led_flash_cnt[255][4]~30386_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[255][4]~30387\ : std_logic;
SIGNAL \led_flash_cnt[255][5]~30388_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[255][5]~30389\ : std_logic;
SIGNAL \led_flash_cnt[255][6]~30390_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][6]~q\ : std_logic;
SIGNAL \WideAnd255~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][6]~30391\ : std_logic;
SIGNAL \led_flash_cnt[255][7]~30392_combout\ : std_logic;
SIGNAL \led_flash_cnt[255][7]~q\ : std_logic;
SIGNAL \WideAnd255~0_combout\ : std_logic;
SIGNAL \WideAnd255~combout\ : std_logic;
SIGNAL \WideAnd3871~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][0]~80889_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[250][1]~30366_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[250][1]~30367\ : std_logic;
SIGNAL \led_flash_cnt[250][2]~30368_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[250][2]~30369\ : std_logic;
SIGNAL \led_flash_cnt[250][3]~30370_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[250][3]~30371\ : std_logic;
SIGNAL \led_flash_cnt[250][4]~30372_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][4]~q\ : std_logic;
SIGNAL \WideAnd250~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][4]~30373\ : std_logic;
SIGNAL \led_flash_cnt[250][5]~30374_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[250][5]~30375\ : std_logic;
SIGNAL \led_flash_cnt[250][6]~30376_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[250][6]~30377\ : std_logic;
SIGNAL \led_flash_cnt[250][7]~30378_combout\ : std_logic;
SIGNAL \led_flash_cnt[250][7]~q\ : std_logic;
SIGNAL \WideAnd250~1_combout\ : std_logic;
SIGNAL \WideAnd250~combout\ : std_logic;
SIGNAL \led_flash_cnt[254][0]~80894_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[254][1]~30436_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[254][1]~30437\ : std_logic;
SIGNAL \led_flash_cnt[254][2]~30438_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[254][2]~30439\ : std_logic;
SIGNAL \led_flash_cnt[254][3]~30440_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[254][3]~30441\ : std_logic;
SIGNAL \led_flash_cnt[254][4]~30442_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[254][4]~30443\ : std_logic;
SIGNAL \led_flash_cnt[254][5]~30444_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[254][5]~30445\ : std_logic;
SIGNAL \led_flash_cnt[254][6]~30446_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][6]~q\ : std_logic;
SIGNAL \WideAnd254~1_combout\ : std_logic;
SIGNAL \WideAnd254~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][6]~30447\ : std_logic;
SIGNAL \led_flash_cnt[254][7]~30448_combout\ : std_logic;
SIGNAL \led_flash_cnt[254][7]~q\ : std_logic;
SIGNAL \WideAnd254~combout\ : std_logic;
SIGNAL \led_flash_cnt[248][0]~80895_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[248][1]~30450_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[248][1]~30451\ : std_logic;
SIGNAL \led_flash_cnt[248][2]~30452_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[248][2]~30453\ : std_logic;
SIGNAL \led_flash_cnt[248][3]~30454_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[248][3]~30455\ : std_logic;
SIGNAL \led_flash_cnt[248][4]~30456_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[248][4]~30457\ : std_logic;
SIGNAL \led_flash_cnt[248][5]~30458_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[248][5]~30459\ : std_logic;
SIGNAL \led_flash_cnt[248][6]~30460_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][6]~q\ : std_logic;
SIGNAL \WideAnd248~1_combout\ : std_logic;
SIGNAL \WideAnd248~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][6]~30461\ : std_logic;
SIGNAL \led_flash_cnt[248][7]~30462_combout\ : std_logic;
SIGNAL \led_flash_cnt[248][7]~q\ : std_logic;
SIGNAL \WideAnd248~combout\ : std_logic;
SIGNAL \WideAnd3871~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][0]~80888_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[253][1]~30352_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[253][1]~30353\ : std_logic;
SIGNAL \led_flash_cnt[253][2]~30354_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[253][2]~30355\ : std_logic;
SIGNAL \led_flash_cnt[253][3]~30356_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[253][3]~30357\ : std_logic;
SIGNAL \led_flash_cnt[253][4]~30358_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[253][4]~30359\ : std_logic;
SIGNAL \led_flash_cnt[253][5]~30360_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[253][5]~30361\ : std_logic;
SIGNAL \led_flash_cnt[253][6]~30362_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][6]~q\ : std_logic;
SIGNAL \WideAnd253~1_combout\ : std_logic;
SIGNAL \WideAnd253~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][6]~30363\ : std_logic;
SIGNAL \led_flash_cnt[253][7]~30364_combout\ : std_logic;
SIGNAL \led_flash_cnt[253][7]~q\ : std_logic;
SIGNAL \WideAnd253~combout\ : std_logic;
SIGNAL \WideAnd3871~combout\ : std_logic;
SIGNAL \led_flash_cnt[230][0]~80870_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[230][1]~30100_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[230][1]~30101\ : std_logic;
SIGNAL \led_flash_cnt[230][2]~30102_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[230][2]~30103\ : std_logic;
SIGNAL \led_flash_cnt[230][3]~30104_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[230][3]~30105\ : std_logic;
SIGNAL \led_flash_cnt[230][4]~30106_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][4]~q\ : std_logic;
SIGNAL \WideAnd230~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][4]~30107\ : std_logic;
SIGNAL \led_flash_cnt[230][5]~30108_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[230][5]~30109\ : std_logic;
SIGNAL \led_flash_cnt[230][6]~30110_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[230][6]~30111\ : std_logic;
SIGNAL \led_flash_cnt[230][7]~30112_combout\ : std_logic;
SIGNAL \led_flash_cnt[230][7]~q\ : std_logic;
SIGNAL \WideAnd230~1_combout\ : std_logic;
SIGNAL \WideAnd230~combout\ : std_logic;
SIGNAL \led_flash_cnt[231][0]~80871_combout\ : std_logic;
SIGNAL \led_flash_cnt[231][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[231][1]~30114_combout\ : std_logic;
SIGNAL \led_flash_cnt[231][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[231][1]~30115\ : std_logic;
SIGNAL \led_flash_cnt[231][2]~30116_combout\ : std_logic;
SIGNAL \led_flash_cnt[231][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[231][2]~30117\ : std_logic;
SIGNAL \led_flash_cnt[231][3]~30118_combout\ : std_logic;
SIGNAL \led_flash_cnt[231][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[231][3]~30119\ : std_logic;
SIGNAL \led_flash_cnt[231][4]~30120_combout\ : std_logic;
SIGNAL \led_flash_cnt[231][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[231][4]~30121\ : std_logic;
SIGNAL \led_flash_cnt[231][5]~30122_combout\ : std_logic;
SIGNAL \led_flash_cnt[231][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[231][5]~30123\ : std_logic;
SIGNAL \led_flash_cnt[231][6]~30124_combout\ : std_logic;
SIGNAL \led_flash_cnt[231][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[231][6]~30125\ : std_logic;
SIGNAL \led_flash_cnt[231][7]~30126_combout\ : std_logic;
SIGNAL \led_flash_cnt[231][7]~q\ : std_logic;
SIGNAL \WideAnd231~0_combout\ : std_logic;
SIGNAL \WideAnd231~1_combout\ : std_logic;
SIGNAL \WideAnd231~combout\ : std_logic;
SIGNAL \led_flash_cnt[228][0]~80868_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[228][1]~30072_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[228][1]~30073\ : std_logic;
SIGNAL \led_flash_cnt[228][2]~30074_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[228][2]~30075\ : std_logic;
SIGNAL \led_flash_cnt[228][3]~30076_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[228][3]~30077\ : std_logic;
SIGNAL \led_flash_cnt[228][4]~30078_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[228][4]~30079\ : std_logic;
SIGNAL \led_flash_cnt[228][5]~30080_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[228][5]~30081\ : std_logic;
SIGNAL \led_flash_cnt[228][6]~30082_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][6]~q\ : std_logic;
SIGNAL \WideAnd228~1_combout\ : std_logic;
SIGNAL \WideAnd228~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][6]~30083\ : std_logic;
SIGNAL \led_flash_cnt[228][7]~30084_combout\ : std_logic;
SIGNAL \led_flash_cnt[228][7]~q\ : std_logic;
SIGNAL \WideAnd228~combout\ : std_logic;
SIGNAL \led_flash_cnt[229][0]~80869_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[229][1]~30086_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[229][1]~30087\ : std_logic;
SIGNAL \led_flash_cnt[229][2]~30088_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[229][2]~30089\ : std_logic;
SIGNAL \led_flash_cnt[229][3]~30090_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[229][3]~30091\ : std_logic;
SIGNAL \led_flash_cnt[229][4]~30092_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[229][4]~30093\ : std_logic;
SIGNAL \led_flash_cnt[229][5]~30094_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[229][5]~30095\ : std_logic;
SIGNAL \led_flash_cnt[229][6]~30096_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][6]~q\ : std_logic;
SIGNAL \WideAnd229~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][6]~30097\ : std_logic;
SIGNAL \led_flash_cnt[229][7]~30098_combout\ : std_logic;
SIGNAL \led_flash_cnt[229][7]~q\ : std_logic;
SIGNAL \WideAnd229~0_combout\ : std_logic;
SIGNAL \WideAnd229~combout\ : std_logic;
SIGNAL \WideAnd3868~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][0]~80865_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[225][1]~30030_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[225][1]~30031\ : std_logic;
SIGNAL \led_flash_cnt[225][2]~30032_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[225][2]~30033\ : std_logic;
SIGNAL \led_flash_cnt[225][3]~30034_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[225][3]~30035\ : std_logic;
SIGNAL \led_flash_cnt[225][4]~30036_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[225][4]~30037\ : std_logic;
SIGNAL \led_flash_cnt[225][5]~30038_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[225][5]~30039\ : std_logic;
SIGNAL \led_flash_cnt[225][6]~30040_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[225][6]~30041\ : std_logic;
SIGNAL \led_flash_cnt[225][7]~30042_combout\ : std_logic;
SIGNAL \led_flash_cnt[225][7]~q\ : std_logic;
SIGNAL \WideAnd225~0_combout\ : std_logic;
SIGNAL \WideAnd225~1_combout\ : std_logic;
SIGNAL \WideAnd225~combout\ : std_logic;
SIGNAL \led_flash_cnt[227][0]~80867_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[227][1]~30058_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[227][1]~30059\ : std_logic;
SIGNAL \led_flash_cnt[227][2]~30060_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[227][2]~30061\ : std_logic;
SIGNAL \led_flash_cnt[227][3]~30062_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[227][3]~30063\ : std_logic;
SIGNAL \led_flash_cnt[227][4]~30064_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][4]~q\ : std_logic;
SIGNAL \WideAnd227~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][4]~30065\ : std_logic;
SIGNAL \led_flash_cnt[227][5]~30066_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[227][5]~30067\ : std_logic;
SIGNAL \led_flash_cnt[227][6]~30068_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[227][6]~30069\ : std_logic;
SIGNAL \led_flash_cnt[227][7]~30070_combout\ : std_logic;
SIGNAL \led_flash_cnt[227][7]~q\ : std_logic;
SIGNAL \WideAnd227~1_combout\ : std_logic;
SIGNAL \WideAnd227~combout\ : std_logic;
SIGNAL \led_flash_cnt[226][0]~80866_combout\ : std_logic;
SIGNAL \led_flash_cnt[226][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[226][1]~30044_combout\ : std_logic;
SIGNAL \led_flash_cnt[226][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[226][1]~30045\ : std_logic;
SIGNAL \led_flash_cnt[226][2]~30046_combout\ : std_logic;
SIGNAL \led_flash_cnt[226][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[226][2]~30047\ : std_logic;
SIGNAL \led_flash_cnt[226][3]~30048_combout\ : std_logic;
SIGNAL \led_flash_cnt[226][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[226][3]~30049\ : std_logic;
SIGNAL \led_flash_cnt[226][4]~30050_combout\ : std_logic;
SIGNAL \led_flash_cnt[226][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[226][4]~30051\ : std_logic;
SIGNAL \led_flash_cnt[226][5]~30052_combout\ : std_logic;
SIGNAL \led_flash_cnt[226][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[226][5]~30053\ : std_logic;
SIGNAL \led_flash_cnt[226][6]~30054_combout\ : std_logic;
SIGNAL \led_flash_cnt[226][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[226][6]~30055\ : std_logic;
SIGNAL \led_flash_cnt[226][7]~30056_combout\ : std_logic;
SIGNAL \led_flash_cnt[226][7]~q\ : std_logic;
SIGNAL \WideAnd226~1_combout\ : std_logic;
SIGNAL \WideAnd226~0_combout\ : std_logic;
SIGNAL \WideAnd226~combout\ : std_logic;
SIGNAL \led_flash_cnt[224][0]~80864_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[224][1]~30016_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[224][1]~30017\ : std_logic;
SIGNAL \led_flash_cnt[224][2]~30018_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[224][2]~30019\ : std_logic;
SIGNAL \led_flash_cnt[224][3]~30020_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[224][3]~30021\ : std_logic;
SIGNAL \led_flash_cnt[224][4]~30022_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][4]~q\ : std_logic;
SIGNAL \WideAnd224~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][4]~30023\ : std_logic;
SIGNAL \led_flash_cnt[224][5]~30024_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[224][5]~30025\ : std_logic;
SIGNAL \led_flash_cnt[224][6]~30026_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][6]~q\ : std_logic;
SIGNAL \WideAnd224~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][6]~30027\ : std_logic;
SIGNAL \led_flash_cnt[224][7]~30028_combout\ : std_logic;
SIGNAL \led_flash_cnt[224][7]~q\ : std_logic;
SIGNAL \WideAnd224~combout\ : std_logic;
SIGNAL \WideAnd3868~0_combout\ : std_logic;
SIGNAL \WideAnd3868~combout\ : std_logic;
SIGNAL \led_flash_cnt[239][0]~80879_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[239][1]~30226_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[239][1]~30227\ : std_logic;
SIGNAL \led_flash_cnt[239][2]~30228_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[239][2]~30229\ : std_logic;
SIGNAL \led_flash_cnt[239][3]~30230_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[239][3]~30231\ : std_logic;
SIGNAL \led_flash_cnt[239][4]~30232_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][4]~q\ : std_logic;
SIGNAL \WideAnd239~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][4]~30233\ : std_logic;
SIGNAL \led_flash_cnt[239][5]~30234_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[239][5]~30235\ : std_logic;
SIGNAL \led_flash_cnt[239][6]~30236_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[239][6]~30237\ : std_logic;
SIGNAL \led_flash_cnt[239][7]~30238_combout\ : std_logic;
SIGNAL \led_flash_cnt[239][7]~q\ : std_logic;
SIGNAL \WideAnd239~1_combout\ : std_logic;
SIGNAL \WideAnd239~combout\ : std_logic;
SIGNAL \led_flash_cnt[238][0]~80878_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[238][1]~30212_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[238][1]~30213\ : std_logic;
SIGNAL \led_flash_cnt[238][2]~30214_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[238][2]~30215\ : std_logic;
SIGNAL \led_flash_cnt[238][3]~30216_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[238][3]~30217\ : std_logic;
SIGNAL \led_flash_cnt[238][4]~30218_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[238][4]~30219\ : std_logic;
SIGNAL \led_flash_cnt[238][5]~30220_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[238][5]~30221\ : std_logic;
SIGNAL \led_flash_cnt[238][6]~30222_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][6]~q\ : std_logic;
SIGNAL \WideAnd238~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][6]~30223\ : std_logic;
SIGNAL \led_flash_cnt[238][7]~30224_combout\ : std_logic;
SIGNAL \led_flash_cnt[238][7]~q\ : std_logic;
SIGNAL \WideAnd238~0_combout\ : std_logic;
SIGNAL \WideAnd238~combout\ : std_logic;
SIGNAL \led_flash_cnt[236][0]~80876_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[236][1]~30184_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[236][1]~30185\ : std_logic;
SIGNAL \led_flash_cnt[236][2]~30186_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[236][2]~30187\ : std_logic;
SIGNAL \led_flash_cnt[236][3]~30188_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[236][3]~30189\ : std_logic;
SIGNAL \led_flash_cnt[236][4]~30190_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[236][4]~30191\ : std_logic;
SIGNAL \led_flash_cnt[236][5]~30192_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[236][5]~30193\ : std_logic;
SIGNAL \led_flash_cnt[236][6]~30194_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][6]~q\ : std_logic;
SIGNAL \WideAnd236~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][6]~30195\ : std_logic;
SIGNAL \led_flash_cnt[236][7]~30196_combout\ : std_logic;
SIGNAL \led_flash_cnt[236][7]~q\ : std_logic;
SIGNAL \WideAnd236~0_combout\ : std_logic;
SIGNAL \WideAnd236~combout\ : std_logic;
SIGNAL \led_flash_cnt[237][0]~80877_combout\ : std_logic;
SIGNAL \led_flash_cnt[237][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[237][1]~30198_combout\ : std_logic;
SIGNAL \led_flash_cnt[237][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[237][1]~30199\ : std_logic;
SIGNAL \led_flash_cnt[237][2]~30200_combout\ : std_logic;
SIGNAL \led_flash_cnt[237][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[237][2]~30201\ : std_logic;
SIGNAL \led_flash_cnt[237][3]~30202_combout\ : std_logic;
SIGNAL \led_flash_cnt[237][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[237][3]~30203\ : std_logic;
SIGNAL \led_flash_cnt[237][4]~30204_combout\ : std_logic;
SIGNAL \led_flash_cnt[237][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[237][4]~30205\ : std_logic;
SIGNAL \led_flash_cnt[237][5]~30206_combout\ : std_logic;
SIGNAL \led_flash_cnt[237][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[237][5]~30207\ : std_logic;
SIGNAL \led_flash_cnt[237][6]~30208_combout\ : std_logic;
SIGNAL \led_flash_cnt[237][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[237][6]~30209\ : std_logic;
SIGNAL \led_flash_cnt[237][7]~30210_combout\ : std_logic;
SIGNAL \led_flash_cnt[237][7]~q\ : std_logic;
SIGNAL \WideAnd237~0_combout\ : std_logic;
SIGNAL \WideAnd237~1_combout\ : std_logic;
SIGNAL \WideAnd237~combout\ : std_logic;
SIGNAL \WideAnd3869~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][0]~80873_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[233][1]~30142_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[233][1]~30143\ : std_logic;
SIGNAL \led_flash_cnt[233][2]~30144_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[233][2]~30145\ : std_logic;
SIGNAL \led_flash_cnt[233][3]~30146_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[233][3]~30147\ : std_logic;
SIGNAL \led_flash_cnt[233][4]~30148_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[233][4]~30149\ : std_logic;
SIGNAL \led_flash_cnt[233][5]~30150_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[233][5]~30151\ : std_logic;
SIGNAL \led_flash_cnt[233][6]~30152_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[233][6]~30153\ : std_logic;
SIGNAL \led_flash_cnt[233][7]~30154_combout\ : std_logic;
SIGNAL \led_flash_cnt[233][7]~q\ : std_logic;
SIGNAL \WideAnd233~0_combout\ : std_logic;
SIGNAL \WideAnd233~1_combout\ : std_logic;
SIGNAL \WideAnd233~combout\ : std_logic;
SIGNAL \led_flash_cnt[234][0]~80874_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[234][1]~30156_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[234][1]~30157\ : std_logic;
SIGNAL \led_flash_cnt[234][2]~30158_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[234][2]~30159\ : std_logic;
SIGNAL \led_flash_cnt[234][3]~30160_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[234][3]~30161\ : std_logic;
SIGNAL \led_flash_cnt[234][4]~30162_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][4]~q\ : std_logic;
SIGNAL \WideAnd234~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][4]~30163\ : std_logic;
SIGNAL \led_flash_cnt[234][5]~30164_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[234][5]~30165\ : std_logic;
SIGNAL \led_flash_cnt[234][6]~30166_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[234][6]~30167\ : std_logic;
SIGNAL \led_flash_cnt[234][7]~30168_combout\ : std_logic;
SIGNAL \led_flash_cnt[234][7]~q\ : std_logic;
SIGNAL \WideAnd234~1_combout\ : std_logic;
SIGNAL \WideAnd234~combout\ : std_logic;
SIGNAL \led_flash_cnt[232][0]~80872_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[232][1]~30128_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[232][1]~30129\ : std_logic;
SIGNAL \led_flash_cnt[232][2]~30130_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[232][2]~30131\ : std_logic;
SIGNAL \led_flash_cnt[232][3]~30132_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[232][3]~30133\ : std_logic;
SIGNAL \led_flash_cnt[232][4]~30134_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][4]~q\ : std_logic;
SIGNAL \WideAnd232~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][4]~30135\ : std_logic;
SIGNAL \led_flash_cnt[232][5]~30136_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[232][5]~30137\ : std_logic;
SIGNAL \led_flash_cnt[232][6]~30138_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[232][6]~30139\ : std_logic;
SIGNAL \led_flash_cnt[232][7]~30140_combout\ : std_logic;
SIGNAL \led_flash_cnt[232][7]~q\ : std_logic;
SIGNAL \WideAnd232~1_combout\ : std_logic;
SIGNAL \WideAnd232~combout\ : std_logic;
SIGNAL \led_flash_cnt[235][0]~80875_combout\ : std_logic;
SIGNAL \led_flash_cnt[235][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[235][1]~30170_combout\ : std_logic;
SIGNAL \led_flash_cnt[235][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[235][1]~30171\ : std_logic;
SIGNAL \led_flash_cnt[235][2]~30172_combout\ : std_logic;
SIGNAL \led_flash_cnt[235][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[235][2]~30173\ : std_logic;
SIGNAL \led_flash_cnt[235][3]~30174_combout\ : std_logic;
SIGNAL \led_flash_cnt[235][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[235][3]~30175\ : std_logic;
SIGNAL \led_flash_cnt[235][4]~30176_combout\ : std_logic;
SIGNAL \led_flash_cnt[235][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[235][4]~30177\ : std_logic;
SIGNAL \led_flash_cnt[235][5]~30178_combout\ : std_logic;
SIGNAL \led_flash_cnt[235][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[235][5]~30179\ : std_logic;
SIGNAL \led_flash_cnt[235][6]~30180_combout\ : std_logic;
SIGNAL \led_flash_cnt[235][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[235][6]~30181\ : std_logic;
SIGNAL \led_flash_cnt[235][7]~30182_combout\ : std_logic;
SIGNAL \led_flash_cnt[235][7]~q\ : std_logic;
SIGNAL \WideAnd235~0_combout\ : std_logic;
SIGNAL \WideAnd235~1_combout\ : std_logic;
SIGNAL \WideAnd235~combout\ : std_logic;
SIGNAL \WideAnd3869~0_combout\ : std_logic;
SIGNAL \WideAnd3869~combout\ : std_logic;
SIGNAL \WideAnd4323~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][0]~80887_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[247][1]~30338_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[247][1]~30339\ : std_logic;
SIGNAL \led_flash_cnt[247][2]~30340_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[247][2]~30341\ : std_logic;
SIGNAL \led_flash_cnt[247][3]~30342_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[247][3]~30343\ : std_logic;
SIGNAL \led_flash_cnt[247][4]~30344_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[247][4]~30345\ : std_logic;
SIGNAL \led_flash_cnt[247][5]~30346_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[247][5]~30347\ : std_logic;
SIGNAL \led_flash_cnt[247][6]~30348_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][6]~q\ : std_logic;
SIGNAL \WideAnd247~1_combout\ : std_logic;
SIGNAL \WideAnd247~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][6]~30349\ : std_logic;
SIGNAL \led_flash_cnt[247][7]~30350_combout\ : std_logic;
SIGNAL \led_flash_cnt[247][7]~q\ : std_logic;
SIGNAL \WideAnd247~combout\ : std_logic;
SIGNAL \led_flash_cnt[245][0]~80885_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[245][1]~30310_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[245][1]~30311\ : std_logic;
SIGNAL \led_flash_cnt[245][2]~30312_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[245][2]~30313\ : std_logic;
SIGNAL \led_flash_cnt[245][3]~30314_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[245][3]~30315\ : std_logic;
SIGNAL \led_flash_cnt[245][4]~30316_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[245][4]~30317\ : std_logic;
SIGNAL \led_flash_cnt[245][5]~30318_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[245][5]~30319\ : std_logic;
SIGNAL \led_flash_cnt[245][6]~30320_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][6]~q\ : std_logic;
SIGNAL \WideAnd245~1_combout\ : std_logic;
SIGNAL \WideAnd245~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][6]~30321\ : std_logic;
SIGNAL \led_flash_cnt[245][7]~30322_combout\ : std_logic;
SIGNAL \led_flash_cnt[245][7]~q\ : std_logic;
SIGNAL \WideAnd245~combout\ : std_logic;
SIGNAL \led_flash_cnt[244][0]~80884_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[244][1]~30296_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[244][1]~30297\ : std_logic;
SIGNAL \led_flash_cnt[244][2]~30298_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[244][2]~30299\ : std_logic;
SIGNAL \led_flash_cnt[244][3]~30300_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[244][3]~30301\ : std_logic;
SIGNAL \led_flash_cnt[244][4]~30302_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[244][4]~30303\ : std_logic;
SIGNAL \led_flash_cnt[244][5]~30304_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[244][5]~30305\ : std_logic;
SIGNAL \led_flash_cnt[244][6]~30306_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][6]~q\ : std_logic;
SIGNAL \WideAnd244~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][6]~30307\ : std_logic;
SIGNAL \led_flash_cnt[244][7]~30308_combout\ : std_logic;
SIGNAL \led_flash_cnt[244][7]~q\ : std_logic;
SIGNAL \WideAnd244~0_combout\ : std_logic;
SIGNAL \WideAnd244~combout\ : std_logic;
SIGNAL \WideAnd3870~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][0]~80881_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[241][1]~30254_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[241][1]~30255\ : std_logic;
SIGNAL \led_flash_cnt[241][2]~30256_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[241][2]~30257\ : std_logic;
SIGNAL \led_flash_cnt[241][3]~30258_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[241][3]~30259\ : std_logic;
SIGNAL \led_flash_cnt[241][4]~30260_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][4]~q\ : std_logic;
SIGNAL \WideAnd241~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][4]~30261\ : std_logic;
SIGNAL \led_flash_cnt[241][5]~30262_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[241][5]~30263\ : std_logic;
SIGNAL \led_flash_cnt[241][6]~30264_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][6]~q\ : std_logic;
SIGNAL \WideAnd241~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][6]~30265\ : std_logic;
SIGNAL \led_flash_cnt[241][7]~30266_combout\ : std_logic;
SIGNAL \led_flash_cnt[241][7]~q\ : std_logic;
SIGNAL \WideAnd241~combout\ : std_logic;
SIGNAL \led_flash_cnt[242][0]~80882_combout\ : std_logic;
SIGNAL \led_flash_cnt[242][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[242][1]~30268_combout\ : std_logic;
SIGNAL \led_flash_cnt[242][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[242][1]~30269\ : std_logic;
SIGNAL \led_flash_cnt[242][2]~30270_combout\ : std_logic;
SIGNAL \led_flash_cnt[242][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[242][2]~30271\ : std_logic;
SIGNAL \led_flash_cnt[242][3]~30272_combout\ : std_logic;
SIGNAL \led_flash_cnt[242][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[242][3]~30273\ : std_logic;
SIGNAL \led_flash_cnt[242][4]~30274_combout\ : std_logic;
SIGNAL \led_flash_cnt[242][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[242][4]~30275\ : std_logic;
SIGNAL \led_flash_cnt[242][5]~30276_combout\ : std_logic;
SIGNAL \led_flash_cnt[242][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[242][5]~30277\ : std_logic;
SIGNAL \led_flash_cnt[242][6]~30278_combout\ : std_logic;
SIGNAL \led_flash_cnt[242][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[242][6]~30279\ : std_logic;
SIGNAL \led_flash_cnt[242][7]~30280_combout\ : std_logic;
SIGNAL \led_flash_cnt[242][7]~q\ : std_logic;
SIGNAL \WideAnd242~1_combout\ : std_logic;
SIGNAL \WideAnd242~0_combout\ : std_logic;
SIGNAL \WideAnd242~combout\ : std_logic;
SIGNAL \led_flash_cnt[243][0]~80883_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[243][1]~30282_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[243][1]~30283\ : std_logic;
SIGNAL \led_flash_cnt[243][2]~30284_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[243][2]~30285\ : std_logic;
SIGNAL \led_flash_cnt[243][3]~30286_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[243][3]~30287\ : std_logic;
SIGNAL \led_flash_cnt[243][4]~30288_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][4]~q\ : std_logic;
SIGNAL \WideAnd243~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][4]~30289\ : std_logic;
SIGNAL \led_flash_cnt[243][5]~30290_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[243][5]~30291\ : std_logic;
SIGNAL \led_flash_cnt[243][6]~30292_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[243][6]~30293\ : std_logic;
SIGNAL \led_flash_cnt[243][7]~30294_combout\ : std_logic;
SIGNAL \led_flash_cnt[243][7]~q\ : std_logic;
SIGNAL \WideAnd243~1_combout\ : std_logic;
SIGNAL \WideAnd243~combout\ : std_logic;
SIGNAL \led_flash_cnt[240][0]~80880_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[240][1]~30240_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[240][1]~30241\ : std_logic;
SIGNAL \led_flash_cnt[240][2]~30242_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[240][2]~30243\ : std_logic;
SIGNAL \led_flash_cnt[240][3]~30244_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[240][3]~30245\ : std_logic;
SIGNAL \led_flash_cnt[240][4]~30246_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][4]~q\ : std_logic;
SIGNAL \WideAnd240~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][4]~30247\ : std_logic;
SIGNAL \led_flash_cnt[240][5]~30248_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[240][5]~30249\ : std_logic;
SIGNAL \led_flash_cnt[240][6]~30250_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[240][6]~30251\ : std_logic;
SIGNAL \led_flash_cnt[240][7]~30252_combout\ : std_logic;
SIGNAL \led_flash_cnt[240][7]~q\ : std_logic;
SIGNAL \WideAnd240~1_combout\ : std_logic;
SIGNAL \WideAnd240~combout\ : std_logic;
SIGNAL \WideAnd3870~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][0]~80886_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[246][1]~30324_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[246][1]~30325\ : std_logic;
SIGNAL \led_flash_cnt[246][2]~30326_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[246][2]~30327\ : std_logic;
SIGNAL \led_flash_cnt[246][3]~30328_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[246][3]~30329\ : std_logic;
SIGNAL \led_flash_cnt[246][4]~30330_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][4]~q\ : std_logic;
SIGNAL \WideAnd246~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][4]~30331\ : std_logic;
SIGNAL \led_flash_cnt[246][5]~30332_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[246][5]~30333\ : std_logic;
SIGNAL \led_flash_cnt[246][6]~30334_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[246][6]~30335\ : std_logic;
SIGNAL \led_flash_cnt[246][7]~30336_combout\ : std_logic;
SIGNAL \led_flash_cnt[246][7]~q\ : std_logic;
SIGNAL \WideAnd246~1_combout\ : std_logic;
SIGNAL \WideAnd246~combout\ : std_logic;
SIGNAL \WideAnd3870~combout\ : std_logic;
SIGNAL \led_flash_cnt[199][0]~80839_combout\ : std_logic;
SIGNAL \led_flash_cnt[199][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[199][1]~29666_combout\ : std_logic;
SIGNAL \led_flash_cnt[199][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[199][1]~29667\ : std_logic;
SIGNAL \led_flash_cnt[199][2]~29668_combout\ : std_logic;
SIGNAL \led_flash_cnt[199][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[199][2]~29669\ : std_logic;
SIGNAL \led_flash_cnt[199][3]~29670_combout\ : std_logic;
SIGNAL \led_flash_cnt[199][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[199][3]~29671\ : std_logic;
SIGNAL \led_flash_cnt[199][4]~29672_combout\ : std_logic;
SIGNAL \led_flash_cnt[199][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[199][4]~29673\ : std_logic;
SIGNAL \led_flash_cnt[199][5]~29674_combout\ : std_logic;
SIGNAL \led_flash_cnt[199][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[199][5]~29675\ : std_logic;
SIGNAL \led_flash_cnt[199][6]~29676_combout\ : std_logic;
SIGNAL \led_flash_cnt[199][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[199][6]~29677\ : std_logic;
SIGNAL \led_flash_cnt[199][7]~29678_combout\ : std_logic;
SIGNAL \led_flash_cnt[199][7]~q\ : std_logic;
SIGNAL \WideAnd199~0_combout\ : std_logic;
SIGNAL \WideAnd199~1_combout\ : std_logic;
SIGNAL \WideAnd199~combout\ : std_logic;
SIGNAL \led_flash_cnt[194][0]~80834_combout\ : std_logic;
SIGNAL \led_flash_cnt[194][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[194][1]~29596_combout\ : std_logic;
SIGNAL \led_flash_cnt[194][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[194][1]~29597\ : std_logic;
SIGNAL \led_flash_cnt[194][2]~29598_combout\ : std_logic;
SIGNAL \led_flash_cnt[194][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[194][2]~29599\ : std_logic;
SIGNAL \led_flash_cnt[194][3]~29600_combout\ : std_logic;
SIGNAL \led_flash_cnt[194][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[194][3]~29601\ : std_logic;
SIGNAL \led_flash_cnt[194][4]~29602_combout\ : std_logic;
SIGNAL \led_flash_cnt[194][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[194][4]~29603\ : std_logic;
SIGNAL \led_flash_cnt[194][5]~29604_combout\ : std_logic;
SIGNAL \led_flash_cnt[194][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[194][5]~29605\ : std_logic;
SIGNAL \led_flash_cnt[194][6]~29606_combout\ : std_logic;
SIGNAL \led_flash_cnt[194][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[194][6]~29607\ : std_logic;
SIGNAL \led_flash_cnt[194][7]~29608_combout\ : std_logic;
SIGNAL \led_flash_cnt[194][7]~q\ : std_logic;
SIGNAL \WideAnd194~1_combout\ : std_logic;
SIGNAL \WideAnd194~0_combout\ : std_logic;
SIGNAL \WideAnd194~combout\ : std_logic;
SIGNAL \led_flash_cnt[193][0]~80833_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[193][1]~29582_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[193][1]~29583\ : std_logic;
SIGNAL \led_flash_cnt[193][2]~29584_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[193][2]~29585\ : std_logic;
SIGNAL \led_flash_cnt[193][3]~29586_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[193][3]~29587\ : std_logic;
SIGNAL \led_flash_cnt[193][4]~29588_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][4]~q\ : std_logic;
SIGNAL \WideAnd193~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][4]~29589\ : std_logic;
SIGNAL \led_flash_cnt[193][5]~29590_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[193][5]~29591\ : std_logic;
SIGNAL \led_flash_cnt[193][6]~29592_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][6]~q\ : std_logic;
SIGNAL \WideAnd193~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][6]~29593\ : std_logic;
SIGNAL \led_flash_cnt[193][7]~29594_combout\ : std_logic;
SIGNAL \led_flash_cnt[193][7]~q\ : std_logic;
SIGNAL \WideAnd193~combout\ : std_logic;
SIGNAL \led_flash_cnt[192][0]~80832_combout\ : std_logic;
SIGNAL \led_flash_cnt[192][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[192][1]~29568_combout\ : std_logic;
SIGNAL \led_flash_cnt[192][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[192][1]~29569\ : std_logic;
SIGNAL \led_flash_cnt[192][2]~29570_combout\ : std_logic;
SIGNAL \led_flash_cnt[192][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[192][2]~29571\ : std_logic;
SIGNAL \led_flash_cnt[192][3]~29572_combout\ : std_logic;
SIGNAL \led_flash_cnt[192][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[192][3]~29573\ : std_logic;
SIGNAL \led_flash_cnt[192][4]~29574_combout\ : std_logic;
SIGNAL \led_flash_cnt[192][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[192][4]~29575\ : std_logic;
SIGNAL \led_flash_cnt[192][5]~29576_combout\ : std_logic;
SIGNAL \led_flash_cnt[192][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[192][5]~29577\ : std_logic;
SIGNAL \led_flash_cnt[192][6]~29578_combout\ : std_logic;
SIGNAL \led_flash_cnt[192][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[192][6]~29579\ : std_logic;
SIGNAL \led_flash_cnt[192][7]~29580_combout\ : std_logic;
SIGNAL \led_flash_cnt[192][7]~q\ : std_logic;
SIGNAL \WideAnd192~0_combout\ : std_logic;
SIGNAL \WideAnd192~1_combout\ : std_logic;
SIGNAL \WideAnd192~combout\ : std_logic;
SIGNAL \led_flash_cnt[195][0]~80835_combout\ : std_logic;
SIGNAL \led_flash_cnt[195][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[195][1]~29610_combout\ : std_logic;
SIGNAL \led_flash_cnt[195][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[195][1]~29611\ : std_logic;
SIGNAL \led_flash_cnt[195][2]~29612_combout\ : std_logic;
SIGNAL \led_flash_cnt[195][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[195][2]~29613\ : std_logic;
SIGNAL \led_flash_cnt[195][3]~29614_combout\ : std_logic;
SIGNAL \led_flash_cnt[195][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[195][3]~29615\ : std_logic;
SIGNAL \led_flash_cnt[195][4]~29616_combout\ : std_logic;
SIGNAL \led_flash_cnt[195][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[195][4]~29617\ : std_logic;
SIGNAL \led_flash_cnt[195][5]~29618_combout\ : std_logic;
SIGNAL \led_flash_cnt[195][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[195][5]~29619\ : std_logic;
SIGNAL \led_flash_cnt[195][6]~29620_combout\ : std_logic;
SIGNAL \led_flash_cnt[195][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[195][6]~29621\ : std_logic;
SIGNAL \led_flash_cnt[195][7]~29622_combout\ : std_logic;
SIGNAL \led_flash_cnt[195][7]~q\ : std_logic;
SIGNAL \WideAnd195~0_combout\ : std_logic;
SIGNAL \WideAnd195~1_combout\ : std_logic;
SIGNAL \WideAnd195~combout\ : std_logic;
SIGNAL \WideAnd3864~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][0]~80838_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[198][1]~29652_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[198][1]~29653\ : std_logic;
SIGNAL \led_flash_cnt[198][2]~29654_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[198][2]~29655\ : std_logic;
SIGNAL \led_flash_cnt[198][3]~29656_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[198][3]~29657\ : std_logic;
SIGNAL \led_flash_cnt[198][4]~29658_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[198][4]~29659\ : std_logic;
SIGNAL \led_flash_cnt[198][5]~29660_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[198][5]~29661\ : std_logic;
SIGNAL \led_flash_cnt[198][6]~29662_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][6]~q\ : std_logic;
SIGNAL \WideAnd198~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][6]~29663\ : std_logic;
SIGNAL \led_flash_cnt[198][7]~29664_combout\ : std_logic;
SIGNAL \led_flash_cnt[198][7]~q\ : std_logic;
SIGNAL \WideAnd198~0_combout\ : std_logic;
SIGNAL \WideAnd198~combout\ : std_logic;
SIGNAL \led_flash_cnt[197][0]~80837_combout\ : std_logic;
SIGNAL \led_flash_cnt[197][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[197][1]~29638_combout\ : std_logic;
SIGNAL \led_flash_cnt[197][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[197][1]~29639\ : std_logic;
SIGNAL \led_flash_cnt[197][2]~29640_combout\ : std_logic;
SIGNAL \led_flash_cnt[197][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[197][2]~29641\ : std_logic;
SIGNAL \led_flash_cnt[197][3]~29642_combout\ : std_logic;
SIGNAL \led_flash_cnt[197][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[197][3]~29643\ : std_logic;
SIGNAL \led_flash_cnt[197][4]~29644_combout\ : std_logic;
SIGNAL \led_flash_cnt[197][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[197][4]~29645\ : std_logic;
SIGNAL \led_flash_cnt[197][5]~29646_combout\ : std_logic;
SIGNAL \led_flash_cnt[197][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[197][5]~29647\ : std_logic;
SIGNAL \led_flash_cnt[197][6]~29648_combout\ : std_logic;
SIGNAL \led_flash_cnt[197][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[197][6]~29649\ : std_logic;
SIGNAL \led_flash_cnt[197][7]~29650_combout\ : std_logic;
SIGNAL \led_flash_cnt[197][7]~q\ : std_logic;
SIGNAL \WideAnd197~1_combout\ : std_logic;
SIGNAL \WideAnd197~0_combout\ : std_logic;
SIGNAL \WideAnd197~combout\ : std_logic;
SIGNAL \led_flash_cnt[196][0]~80836_combout\ : std_logic;
SIGNAL \led_flash_cnt[196][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[196][1]~29624_combout\ : std_logic;
SIGNAL \led_flash_cnt[196][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[196][1]~29625\ : std_logic;
SIGNAL \led_flash_cnt[196][2]~29626_combout\ : std_logic;
SIGNAL \led_flash_cnt[196][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[196][2]~29627\ : std_logic;
SIGNAL \led_flash_cnt[196][3]~29628_combout\ : std_logic;
SIGNAL \led_flash_cnt[196][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[196][3]~29629\ : std_logic;
SIGNAL \led_flash_cnt[196][4]~29630_combout\ : std_logic;
SIGNAL \led_flash_cnt[196][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[196][4]~29631\ : std_logic;
SIGNAL \led_flash_cnt[196][5]~29632_combout\ : std_logic;
SIGNAL \led_flash_cnt[196][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[196][5]~29633\ : std_logic;
SIGNAL \led_flash_cnt[196][6]~29634_combout\ : std_logic;
SIGNAL \led_flash_cnt[196][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[196][6]~29635\ : std_logic;
SIGNAL \led_flash_cnt[196][7]~29636_combout\ : std_logic;
SIGNAL \led_flash_cnt[196][7]~q\ : std_logic;
SIGNAL \WideAnd196~0_combout\ : std_logic;
SIGNAL \WideAnd196~1_combout\ : std_logic;
SIGNAL \WideAnd196~combout\ : std_logic;
SIGNAL \WideAnd3864~1_combout\ : std_logic;
SIGNAL \WideAnd3864~combout\ : std_logic;
SIGNAL \led_flash_cnt[223][0]~80863_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[223][1]~30002_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[223][1]~30003\ : std_logic;
SIGNAL \led_flash_cnt[223][2]~30004_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[223][2]~30005\ : std_logic;
SIGNAL \led_flash_cnt[223][3]~30006_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[223][3]~30007\ : std_logic;
SIGNAL \led_flash_cnt[223][4]~30008_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[223][4]~30009\ : std_logic;
SIGNAL \led_flash_cnt[223][5]~30010_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[223][5]~30011\ : std_logic;
SIGNAL \led_flash_cnt[223][6]~30012_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][6]~q\ : std_logic;
SIGNAL \WideAnd223~1_combout\ : std_logic;
SIGNAL \WideAnd223~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][6]~30013\ : std_logic;
SIGNAL \led_flash_cnt[223][7]~30014_combout\ : std_logic;
SIGNAL \led_flash_cnt[223][7]~q\ : std_logic;
SIGNAL \WideAnd223~combout\ : std_logic;
SIGNAL \led_flash_cnt[222][0]~80862_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[222][1]~29988_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[222][1]~29989\ : std_logic;
SIGNAL \led_flash_cnt[222][2]~29990_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[222][2]~29991\ : std_logic;
SIGNAL \led_flash_cnt[222][3]~29992_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[222][3]~29993\ : std_logic;
SIGNAL \led_flash_cnt[222][4]~29994_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][4]~q\ : std_logic;
SIGNAL \WideAnd222~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][4]~29995\ : std_logic;
SIGNAL \led_flash_cnt[222][5]~29996_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[222][5]~29997\ : std_logic;
SIGNAL \led_flash_cnt[222][6]~29998_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][6]~q\ : std_logic;
SIGNAL \WideAnd222~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][6]~29999\ : std_logic;
SIGNAL \led_flash_cnt[222][7]~30000_combout\ : std_logic;
SIGNAL \led_flash_cnt[222][7]~q\ : std_logic;
SIGNAL \WideAnd222~combout\ : std_logic;
SIGNAL \led_flash_cnt[216][0]~80856_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[216][1]~29904_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[216][1]~29905\ : std_logic;
SIGNAL \led_flash_cnt[216][2]~29906_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[216][2]~29907\ : std_logic;
SIGNAL \led_flash_cnt[216][3]~29908_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[216][3]~29909\ : std_logic;
SIGNAL \led_flash_cnt[216][4]~29910_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[216][4]~29911\ : std_logic;
SIGNAL \led_flash_cnt[216][5]~29912_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[216][5]~29913\ : std_logic;
SIGNAL \led_flash_cnt[216][6]~29914_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][6]~q\ : std_logic;
SIGNAL \WideAnd216~1_combout\ : std_logic;
SIGNAL \WideAnd216~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][6]~29915\ : std_logic;
SIGNAL \led_flash_cnt[216][7]~29916_combout\ : std_logic;
SIGNAL \led_flash_cnt[216][7]~q\ : std_logic;
SIGNAL \WideAnd216~combout\ : std_logic;
SIGNAL \led_flash_cnt[218][0]~80858_combout\ : std_logic;
SIGNAL \led_flash_cnt[218][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[218][1]~29932_combout\ : std_logic;
SIGNAL \led_flash_cnt[218][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[218][1]~29933\ : std_logic;
SIGNAL \led_flash_cnt[218][2]~29934_combout\ : std_logic;
SIGNAL \led_flash_cnt[218][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[218][2]~29935\ : std_logic;
SIGNAL \led_flash_cnt[218][3]~29936_combout\ : std_logic;
SIGNAL \led_flash_cnt[218][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[218][3]~29937\ : std_logic;
SIGNAL \led_flash_cnt[218][4]~29938_combout\ : std_logic;
SIGNAL \led_flash_cnt[218][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[218][4]~29939\ : std_logic;
SIGNAL \led_flash_cnt[218][5]~29940_combout\ : std_logic;
SIGNAL \led_flash_cnt[218][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[218][5]~29941\ : std_logic;
SIGNAL \led_flash_cnt[218][6]~29942_combout\ : std_logic;
SIGNAL \led_flash_cnt[218][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[218][6]~29943\ : std_logic;
SIGNAL \led_flash_cnt[218][7]~29944_combout\ : std_logic;
SIGNAL \led_flash_cnt[218][7]~q\ : std_logic;
SIGNAL \WideAnd218~1_combout\ : std_logic;
SIGNAL \WideAnd218~0_combout\ : std_logic;
SIGNAL \WideAnd218~combout\ : std_logic;
SIGNAL \led_flash_cnt[217][0]~80857_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[217][1]~29918_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[217][1]~29919\ : std_logic;
SIGNAL \led_flash_cnt[217][2]~29920_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[217][2]~29921\ : std_logic;
SIGNAL \led_flash_cnt[217][3]~29922_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[217][3]~29923\ : std_logic;
SIGNAL \led_flash_cnt[217][4]~29924_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][4]~q\ : std_logic;
SIGNAL \WideAnd217~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][4]~29925\ : std_logic;
SIGNAL \led_flash_cnt[217][5]~29926_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[217][5]~29927\ : std_logic;
SIGNAL \led_flash_cnt[217][6]~29928_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[217][6]~29929\ : std_logic;
SIGNAL \led_flash_cnt[217][7]~29930_combout\ : std_logic;
SIGNAL \led_flash_cnt[217][7]~q\ : std_logic;
SIGNAL \WideAnd217~1_combout\ : std_logic;
SIGNAL \WideAnd217~combout\ : std_logic;
SIGNAL \led_flash_cnt[219][0]~80859_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[219][1]~29946_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[219][1]~29947\ : std_logic;
SIGNAL \led_flash_cnt[219][2]~29948_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[219][2]~29949\ : std_logic;
SIGNAL \led_flash_cnt[219][3]~29950_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[219][3]~29951\ : std_logic;
SIGNAL \led_flash_cnt[219][4]~29952_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[219][4]~29953\ : std_logic;
SIGNAL \led_flash_cnt[219][5]~29954_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[219][5]~29955\ : std_logic;
SIGNAL \led_flash_cnt[219][6]~29956_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][6]~q\ : std_logic;
SIGNAL \WideAnd219~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][6]~29957\ : std_logic;
SIGNAL \led_flash_cnt[219][7]~29958_combout\ : std_logic;
SIGNAL \led_flash_cnt[219][7]~q\ : std_logic;
SIGNAL \WideAnd219~0_combout\ : std_logic;
SIGNAL \WideAnd219~combout\ : std_logic;
SIGNAL \WideAnd3867~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][0]~80861_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[221][1]~29974_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[221][1]~29975\ : std_logic;
SIGNAL \led_flash_cnt[221][2]~29976_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[221][2]~29977\ : std_logic;
SIGNAL \led_flash_cnt[221][3]~29978_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[221][3]~29979\ : std_logic;
SIGNAL \led_flash_cnt[221][4]~29980_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][4]~q\ : std_logic;
SIGNAL \WideAnd221~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][4]~29981\ : std_logic;
SIGNAL \led_flash_cnt[221][5]~29982_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[221][5]~29983\ : std_logic;
SIGNAL \led_flash_cnt[221][6]~29984_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[221][6]~29985\ : std_logic;
SIGNAL \led_flash_cnt[221][7]~29986_combout\ : std_logic;
SIGNAL \led_flash_cnt[221][7]~q\ : std_logic;
SIGNAL \WideAnd221~1_combout\ : std_logic;
SIGNAL \WideAnd221~combout\ : std_logic;
SIGNAL \led_flash_cnt[220][0]~80860_combout\ : std_logic;
SIGNAL \led_flash_cnt[220][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[220][1]~29960_combout\ : std_logic;
SIGNAL \led_flash_cnt[220][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[220][1]~29961\ : std_logic;
SIGNAL \led_flash_cnt[220][2]~29962_combout\ : std_logic;
SIGNAL \led_flash_cnt[220][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[220][2]~29963\ : std_logic;
SIGNAL \led_flash_cnt[220][3]~29964_combout\ : std_logic;
SIGNAL \led_flash_cnt[220][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[220][3]~29965\ : std_logic;
SIGNAL \led_flash_cnt[220][4]~29966_combout\ : std_logic;
SIGNAL \led_flash_cnt[220][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[220][4]~29967\ : std_logic;
SIGNAL \led_flash_cnt[220][5]~29968_combout\ : std_logic;
SIGNAL \led_flash_cnt[220][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[220][5]~29969\ : std_logic;
SIGNAL \led_flash_cnt[220][6]~29970_combout\ : std_logic;
SIGNAL \led_flash_cnt[220][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[220][6]~29971\ : std_logic;
SIGNAL \led_flash_cnt[220][7]~29972_combout\ : std_logic;
SIGNAL \led_flash_cnt[220][7]~q\ : std_logic;
SIGNAL \WideAnd220~1_combout\ : std_logic;
SIGNAL \WideAnd220~0_combout\ : std_logic;
SIGNAL \WideAnd220~combout\ : std_logic;
SIGNAL \WideAnd3867~1_combout\ : std_logic;
SIGNAL \WideAnd3867~combout\ : std_logic;
SIGNAL \led_flash_cnt[215][0]~80855_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[215][1]~29890_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[215][1]~29891\ : std_logic;
SIGNAL \led_flash_cnt[215][2]~29892_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[215][2]~29893\ : std_logic;
SIGNAL \led_flash_cnt[215][3]~29894_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[215][3]~29895\ : std_logic;
SIGNAL \led_flash_cnt[215][4]~29896_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[215][4]~29897\ : std_logic;
SIGNAL \led_flash_cnt[215][5]~29898_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[215][5]~29899\ : std_logic;
SIGNAL \led_flash_cnt[215][6]~29900_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][6]~q\ : std_logic;
SIGNAL \WideAnd215~1_combout\ : std_logic;
SIGNAL \WideAnd215~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][6]~29901\ : std_logic;
SIGNAL \led_flash_cnt[215][7]~29902_combout\ : std_logic;
SIGNAL \led_flash_cnt[215][7]~q\ : std_logic;
SIGNAL \WideAnd215~combout\ : std_logic;
SIGNAL \led_flash_cnt[213][0]~80853_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[213][1]~29862_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[213][1]~29863\ : std_logic;
SIGNAL \led_flash_cnt[213][2]~29864_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[213][2]~29865\ : std_logic;
SIGNAL \led_flash_cnt[213][3]~29866_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[213][3]~29867\ : std_logic;
SIGNAL \led_flash_cnt[213][4]~29868_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[213][4]~29869\ : std_logic;
SIGNAL \led_flash_cnt[213][5]~29870_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[213][5]~29871\ : std_logic;
SIGNAL \led_flash_cnt[213][6]~29872_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][6]~q\ : std_logic;
SIGNAL \WideAnd213~1_combout\ : std_logic;
SIGNAL \WideAnd213~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][6]~29873\ : std_logic;
SIGNAL \led_flash_cnt[213][7]~29874_combout\ : std_logic;
SIGNAL \led_flash_cnt[213][7]~q\ : std_logic;
SIGNAL \WideAnd213~combout\ : std_logic;
SIGNAL \led_flash_cnt[212][0]~80852_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[212][1]~29848_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[212][1]~29849\ : std_logic;
SIGNAL \led_flash_cnt[212][2]~29850_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[212][2]~29851\ : std_logic;
SIGNAL \led_flash_cnt[212][3]~29852_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[212][3]~29853\ : std_logic;
SIGNAL \led_flash_cnt[212][4]~29854_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[212][4]~29855\ : std_logic;
SIGNAL \led_flash_cnt[212][5]~29856_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[212][5]~29857\ : std_logic;
SIGNAL \led_flash_cnt[212][6]~29858_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][6]~q\ : std_logic;
SIGNAL \WideAnd212~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][6]~29859\ : std_logic;
SIGNAL \led_flash_cnt[212][7]~29860_combout\ : std_logic;
SIGNAL \led_flash_cnt[212][7]~q\ : std_logic;
SIGNAL \WideAnd212~0_combout\ : std_logic;
SIGNAL \WideAnd212~combout\ : std_logic;
SIGNAL \WideAnd3866~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][0]~80854_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[214][1]~29876_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[214][1]~29877\ : std_logic;
SIGNAL \led_flash_cnt[214][2]~29878_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[214][2]~29879\ : std_logic;
SIGNAL \led_flash_cnt[214][3]~29880_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[214][3]~29881\ : std_logic;
SIGNAL \led_flash_cnt[214][4]~29882_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[214][4]~29883\ : std_logic;
SIGNAL \led_flash_cnt[214][5]~29884_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[214][5]~29885\ : std_logic;
SIGNAL \led_flash_cnt[214][6]~29886_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][6]~q\ : std_logic;
SIGNAL \WideAnd214~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][6]~29887\ : std_logic;
SIGNAL \led_flash_cnt[214][7]~29888_combout\ : std_logic;
SIGNAL \led_flash_cnt[214][7]~q\ : std_logic;
SIGNAL \WideAnd214~0_combout\ : std_logic;
SIGNAL \WideAnd214~combout\ : std_logic;
SIGNAL \led_flash_cnt[210][0]~80850_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[210][1]~29820_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[210][1]~29821\ : std_logic;
SIGNAL \led_flash_cnt[210][2]~29822_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[210][2]~29823\ : std_logic;
SIGNAL \led_flash_cnt[210][3]~29824_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[210][3]~29825\ : std_logic;
SIGNAL \led_flash_cnt[210][4]~29826_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[210][4]~29827\ : std_logic;
SIGNAL \led_flash_cnt[210][5]~29828_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[210][5]~29829\ : std_logic;
SIGNAL \led_flash_cnt[210][6]~29830_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][6]~q\ : std_logic;
SIGNAL \WideAnd210~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][6]~29831\ : std_logic;
SIGNAL \led_flash_cnt[210][7]~29832_combout\ : std_logic;
SIGNAL \led_flash_cnt[210][7]~q\ : std_logic;
SIGNAL \WideAnd210~0_combout\ : std_logic;
SIGNAL \WideAnd210~combout\ : std_logic;
SIGNAL \led_flash_cnt[209][0]~80849_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[209][1]~29806_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[209][1]~29807\ : std_logic;
SIGNAL \led_flash_cnt[209][2]~29808_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[209][2]~29809\ : std_logic;
SIGNAL \led_flash_cnt[209][3]~29810_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[209][3]~29811\ : std_logic;
SIGNAL \led_flash_cnt[209][4]~29812_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][4]~q\ : std_logic;
SIGNAL \WideAnd209~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][4]~29813\ : std_logic;
SIGNAL \led_flash_cnt[209][5]~29814_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[209][5]~29815\ : std_logic;
SIGNAL \led_flash_cnt[209][6]~29816_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][6]~q\ : std_logic;
SIGNAL \WideAnd209~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][6]~29817\ : std_logic;
SIGNAL \led_flash_cnt[209][7]~29818_combout\ : std_logic;
SIGNAL \led_flash_cnt[209][7]~q\ : std_logic;
SIGNAL \WideAnd209~combout\ : std_logic;
SIGNAL \led_flash_cnt[208][0]~80848_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[208][1]~29792_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[208][1]~29793\ : std_logic;
SIGNAL \led_flash_cnt[208][2]~29794_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[208][2]~29795\ : std_logic;
SIGNAL \led_flash_cnt[208][3]~29796_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[208][3]~29797\ : std_logic;
SIGNAL \led_flash_cnt[208][4]~29798_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][4]~q\ : std_logic;
SIGNAL \WideAnd208~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][4]~29799\ : std_logic;
SIGNAL \led_flash_cnt[208][5]~29800_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[208][5]~29801\ : std_logic;
SIGNAL \led_flash_cnt[208][6]~29802_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][6]~q\ : std_logic;
SIGNAL \WideAnd208~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][6]~29803\ : std_logic;
SIGNAL \led_flash_cnt[208][7]~29804_combout\ : std_logic;
SIGNAL \led_flash_cnt[208][7]~q\ : std_logic;
SIGNAL \WideAnd208~combout\ : std_logic;
SIGNAL \led_flash_cnt[211][0]~80851_combout\ : std_logic;
SIGNAL \led_flash_cnt[211][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[211][1]~29834_combout\ : std_logic;
SIGNAL \led_flash_cnt[211][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[211][1]~29835\ : std_logic;
SIGNAL \led_flash_cnt[211][2]~29836_combout\ : std_logic;
SIGNAL \led_flash_cnt[211][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[211][2]~29837\ : std_logic;
SIGNAL \led_flash_cnt[211][3]~29838_combout\ : std_logic;
SIGNAL \led_flash_cnt[211][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[211][3]~29839\ : std_logic;
SIGNAL \led_flash_cnt[211][4]~29840_combout\ : std_logic;
SIGNAL \led_flash_cnt[211][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[211][4]~29841\ : std_logic;
SIGNAL \led_flash_cnt[211][5]~29842_combout\ : std_logic;
SIGNAL \led_flash_cnt[211][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[211][5]~29843\ : std_logic;
SIGNAL \led_flash_cnt[211][6]~29844_combout\ : std_logic;
SIGNAL \led_flash_cnt[211][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[211][6]~29845\ : std_logic;
SIGNAL \led_flash_cnt[211][7]~29846_combout\ : std_logic;
SIGNAL \led_flash_cnt[211][7]~q\ : std_logic;
SIGNAL \WideAnd211~1_combout\ : std_logic;
SIGNAL \WideAnd211~0_combout\ : std_logic;
SIGNAL \WideAnd211~combout\ : std_logic;
SIGNAL \WideAnd3866~0_combout\ : std_logic;
SIGNAL \WideAnd3866~combout\ : std_logic;
SIGNAL \led_flash_cnt[207][0]~80847_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[207][1]~29778_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[207][1]~29779\ : std_logic;
SIGNAL \led_flash_cnt[207][2]~29780_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[207][2]~29781\ : std_logic;
SIGNAL \led_flash_cnt[207][3]~29782_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[207][3]~29783\ : std_logic;
SIGNAL \led_flash_cnt[207][4]~29784_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][4]~q\ : std_logic;
SIGNAL \WideAnd207~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][4]~29785\ : std_logic;
SIGNAL \led_flash_cnt[207][5]~29786_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[207][5]~29787\ : std_logic;
SIGNAL \led_flash_cnt[207][6]~29788_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][6]~q\ : std_logic;
SIGNAL \WideAnd207~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][6]~29789\ : std_logic;
SIGNAL \led_flash_cnt[207][7]~29790_combout\ : std_logic;
SIGNAL \led_flash_cnt[207][7]~q\ : std_logic;
SIGNAL \WideAnd207~combout\ : std_logic;
SIGNAL \led_flash_cnt[206][0]~80846_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[206][1]~29764_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[206][1]~29765\ : std_logic;
SIGNAL \led_flash_cnt[206][2]~29766_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[206][2]~29767\ : std_logic;
SIGNAL \led_flash_cnt[206][3]~29768_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[206][3]~29769\ : std_logic;
SIGNAL \led_flash_cnt[206][4]~29770_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][4]~q\ : std_logic;
SIGNAL \WideAnd206~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][4]~29771\ : std_logic;
SIGNAL \led_flash_cnt[206][5]~29772_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[206][5]~29773\ : std_logic;
SIGNAL \led_flash_cnt[206][6]~29774_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[206][6]~29775\ : std_logic;
SIGNAL \led_flash_cnt[206][7]~29776_combout\ : std_logic;
SIGNAL \led_flash_cnt[206][7]~q\ : std_logic;
SIGNAL \WideAnd206~1_combout\ : std_logic;
SIGNAL \WideAnd206~combout\ : std_logic;
SIGNAL \led_flash_cnt[205][0]~80845_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[205][1]~29750_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[205][1]~29751\ : std_logic;
SIGNAL \led_flash_cnt[205][2]~29752_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[205][2]~29753\ : std_logic;
SIGNAL \led_flash_cnt[205][3]~29754_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[205][3]~29755\ : std_logic;
SIGNAL \led_flash_cnt[205][4]~29756_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[205][4]~29757\ : std_logic;
SIGNAL \led_flash_cnt[205][5]~29758_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[205][5]~29759\ : std_logic;
SIGNAL \led_flash_cnt[205][6]~29760_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][6]~q\ : std_logic;
SIGNAL \WideAnd205~1_combout\ : std_logic;
SIGNAL \WideAnd205~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][6]~29761\ : std_logic;
SIGNAL \led_flash_cnt[205][7]~29762_combout\ : std_logic;
SIGNAL \led_flash_cnt[205][7]~q\ : std_logic;
SIGNAL \WideAnd205~combout\ : std_logic;
SIGNAL \led_flash_cnt[204][0]~80844_combout\ : std_logic;
SIGNAL \led_flash_cnt[204][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[204][1]~29736_combout\ : std_logic;
SIGNAL \led_flash_cnt[204][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[204][1]~29737\ : std_logic;
SIGNAL \led_flash_cnt[204][2]~29738_combout\ : std_logic;
SIGNAL \led_flash_cnt[204][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[204][2]~29739\ : std_logic;
SIGNAL \led_flash_cnt[204][3]~29740_combout\ : std_logic;
SIGNAL \led_flash_cnt[204][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[204][3]~29741\ : std_logic;
SIGNAL \led_flash_cnt[204][4]~29742_combout\ : std_logic;
SIGNAL \led_flash_cnt[204][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[204][4]~29743\ : std_logic;
SIGNAL \led_flash_cnt[204][5]~29744_combout\ : std_logic;
SIGNAL \led_flash_cnt[204][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[204][5]~29745\ : std_logic;
SIGNAL \led_flash_cnt[204][6]~29746_combout\ : std_logic;
SIGNAL \led_flash_cnt[204][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[204][6]~29747\ : std_logic;
SIGNAL \led_flash_cnt[204][7]~29748_combout\ : std_logic;
SIGNAL \led_flash_cnt[204][7]~q\ : std_logic;
SIGNAL \WideAnd204~1_combout\ : std_logic;
SIGNAL \WideAnd204~0_combout\ : std_logic;
SIGNAL \WideAnd204~combout\ : std_logic;
SIGNAL \WideAnd3865~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][0]~80840_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[200][1]~29680_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[200][1]~29681\ : std_logic;
SIGNAL \led_flash_cnt[200][2]~29682_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[200][2]~29683\ : std_logic;
SIGNAL \led_flash_cnt[200][3]~29684_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[200][3]~29685\ : std_logic;
SIGNAL \led_flash_cnt[200][4]~29686_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[200][4]~29687\ : std_logic;
SIGNAL \led_flash_cnt[200][5]~29688_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[200][5]~29689\ : std_logic;
SIGNAL \led_flash_cnt[200][6]~29690_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][6]~q\ : std_logic;
SIGNAL \WideAnd200~1_combout\ : std_logic;
SIGNAL \WideAnd200~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][6]~29691\ : std_logic;
SIGNAL \led_flash_cnt[200][7]~29692_combout\ : std_logic;
SIGNAL \led_flash_cnt[200][7]~q\ : std_logic;
SIGNAL \WideAnd200~combout\ : std_logic;
SIGNAL \led_flash_cnt[203][0]~80843_combout\ : std_logic;
SIGNAL \led_flash_cnt[203][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[203][1]~29722_combout\ : std_logic;
SIGNAL \led_flash_cnt[203][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[203][1]~29723\ : std_logic;
SIGNAL \led_flash_cnt[203][2]~29724_combout\ : std_logic;
SIGNAL \led_flash_cnt[203][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[203][2]~29725\ : std_logic;
SIGNAL \led_flash_cnt[203][3]~29726_combout\ : std_logic;
SIGNAL \led_flash_cnt[203][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[203][3]~29727\ : std_logic;
SIGNAL \led_flash_cnt[203][4]~29728_combout\ : std_logic;
SIGNAL \led_flash_cnt[203][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[203][4]~29729\ : std_logic;
SIGNAL \led_flash_cnt[203][5]~29730_combout\ : std_logic;
SIGNAL \led_flash_cnt[203][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[203][5]~29731\ : std_logic;
SIGNAL \led_flash_cnt[203][6]~29732_combout\ : std_logic;
SIGNAL \led_flash_cnt[203][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[203][6]~29733\ : std_logic;
SIGNAL \led_flash_cnt[203][7]~29734_combout\ : std_logic;
SIGNAL \led_flash_cnt[203][7]~q\ : std_logic;
SIGNAL \WideAnd203~1_combout\ : std_logic;
SIGNAL \WideAnd203~0_combout\ : std_logic;
SIGNAL \WideAnd203~combout\ : std_logic;
SIGNAL \led_flash_cnt[202][0]~80842_combout\ : std_logic;
SIGNAL \led_flash_cnt[202][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[202][1]~29708_combout\ : std_logic;
SIGNAL \led_flash_cnt[202][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[202][1]~29709\ : std_logic;
SIGNAL \led_flash_cnt[202][2]~29710_combout\ : std_logic;
SIGNAL \led_flash_cnt[202][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[202][2]~29711\ : std_logic;
SIGNAL \led_flash_cnt[202][3]~29712_combout\ : std_logic;
SIGNAL \led_flash_cnt[202][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[202][3]~29713\ : std_logic;
SIGNAL \led_flash_cnt[202][4]~29714_combout\ : std_logic;
SIGNAL \led_flash_cnt[202][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[202][4]~29715\ : std_logic;
SIGNAL \led_flash_cnt[202][5]~29716_combout\ : std_logic;
SIGNAL \led_flash_cnt[202][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[202][5]~29717\ : std_logic;
SIGNAL \led_flash_cnt[202][6]~29718_combout\ : std_logic;
SIGNAL \led_flash_cnt[202][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[202][6]~29719\ : std_logic;
SIGNAL \led_flash_cnt[202][7]~29720_combout\ : std_logic;
SIGNAL \led_flash_cnt[202][7]~q\ : std_logic;
SIGNAL \WideAnd202~0_combout\ : std_logic;
SIGNAL \WideAnd202~1_combout\ : std_logic;
SIGNAL \WideAnd202~combout\ : std_logic;
SIGNAL \led_flash_cnt[201][0]~80841_combout\ : std_logic;
SIGNAL \led_flash_cnt[201][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[201][1]~29694_combout\ : std_logic;
SIGNAL \led_flash_cnt[201][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[201][1]~29695\ : std_logic;
SIGNAL \led_flash_cnt[201][2]~29696_combout\ : std_logic;
SIGNAL \led_flash_cnt[201][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[201][2]~29697\ : std_logic;
SIGNAL \led_flash_cnt[201][3]~29698_combout\ : std_logic;
SIGNAL \led_flash_cnt[201][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[201][3]~29699\ : std_logic;
SIGNAL \led_flash_cnt[201][4]~29700_combout\ : std_logic;
SIGNAL \led_flash_cnt[201][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[201][4]~29701\ : std_logic;
SIGNAL \led_flash_cnt[201][5]~29702_combout\ : std_logic;
SIGNAL \led_flash_cnt[201][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[201][5]~29703\ : std_logic;
SIGNAL \led_flash_cnt[201][6]~29704_combout\ : std_logic;
SIGNAL \led_flash_cnt[201][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[201][6]~29705\ : std_logic;
SIGNAL \led_flash_cnt[201][7]~29706_combout\ : std_logic;
SIGNAL \led_flash_cnt[201][7]~q\ : std_logic;
SIGNAL \WideAnd201~1_combout\ : std_logic;
SIGNAL \WideAnd201~0_combout\ : std_logic;
SIGNAL \WideAnd201~combout\ : std_logic;
SIGNAL \WideAnd3865~0_combout\ : std_logic;
SIGNAL \WideAnd3865~combout\ : std_logic;
SIGNAL \WideAnd4323~0_combout\ : std_logic;
SIGNAL \WideAnd4323~combout\ : std_logic;
SIGNAL \led_flash_cnt[6][0]~80646_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[6][1]~26964_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[6][1]~26965\ : std_logic;
SIGNAL \led_flash_cnt[6][2]~26966_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[6][2]~26967\ : std_logic;
SIGNAL \led_flash_cnt[6][3]~26968_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[6][3]~26969\ : std_logic;
SIGNAL \led_flash_cnt[6][4]~26970_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[6][4]~26971\ : std_logic;
SIGNAL \led_flash_cnt[6][5]~26972_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[6][5]~26973\ : std_logic;
SIGNAL \led_flash_cnt[6][6]~26974_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][6]~q\ : std_logic;
SIGNAL \WideAnd6~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][6]~26975\ : std_logic;
SIGNAL \led_flash_cnt[6][7]~26976_combout\ : std_logic;
SIGNAL \led_flash_cnt[6][7]~q\ : std_logic;
SIGNAL \WideAnd6~0_combout\ : std_logic;
SIGNAL \WideAnd6~combout\ : std_logic;
SIGNAL \led_flash_cnt[4][0]~80644_combout\ : std_logic;
SIGNAL \led_flash_cnt[4][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[4][1]~26936_combout\ : std_logic;
SIGNAL \led_flash_cnt[4][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[4][1]~26937\ : std_logic;
SIGNAL \led_flash_cnt[4][2]~26938_combout\ : std_logic;
SIGNAL \led_flash_cnt[4][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[4][2]~26939\ : std_logic;
SIGNAL \led_flash_cnt[4][3]~26940_combout\ : std_logic;
SIGNAL \led_flash_cnt[4][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[4][3]~26941\ : std_logic;
SIGNAL \led_flash_cnt[4][4]~26942_combout\ : std_logic;
SIGNAL \led_flash_cnt[4][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[4][4]~26943\ : std_logic;
SIGNAL \led_flash_cnt[4][5]~26944_combout\ : std_logic;
SIGNAL \led_flash_cnt[4][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[4][5]~26945\ : std_logic;
SIGNAL \led_flash_cnt[4][6]~26946_combout\ : std_logic;
SIGNAL \led_flash_cnt[4][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[4][6]~26947\ : std_logic;
SIGNAL \led_flash_cnt[4][7]~26948_combout\ : std_logic;
SIGNAL \led_flash_cnt[4][7]~q\ : std_logic;
SIGNAL \WideAnd4~0_combout\ : std_logic;
SIGNAL \WideAnd4~1_combout\ : std_logic;
SIGNAL \WideAnd4~combout\ : std_logic;
SIGNAL \led_flash_cnt[5][0]~80645_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[5][1]~26950_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[5][1]~26951\ : std_logic;
SIGNAL \led_flash_cnt[5][2]~26952_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[5][2]~26953\ : std_logic;
SIGNAL \led_flash_cnt[5][3]~26954_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[5][3]~26955\ : std_logic;
SIGNAL \led_flash_cnt[5][4]~26956_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[5][4]~26957\ : std_logic;
SIGNAL \led_flash_cnt[5][5]~26958_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[5][5]~26959\ : std_logic;
SIGNAL \led_flash_cnt[5][6]~26960_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][6]~q\ : std_logic;
SIGNAL \WideAnd5~1_combout\ : std_logic;
SIGNAL \WideAnd5~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][6]~26961\ : std_logic;
SIGNAL \led_flash_cnt[5][7]~26962_combout\ : std_logic;
SIGNAL \led_flash_cnt[5][7]~q\ : std_logic;
SIGNAL \WideAnd5~combout\ : std_logic;
SIGNAL \WideAnd3840~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][0]~80647_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[7][1]~26978_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[7][1]~26979\ : std_logic;
SIGNAL \led_flash_cnt[7][2]~26980_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[7][2]~26981\ : std_logic;
SIGNAL \led_flash_cnt[7][3]~26982_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[7][3]~26983\ : std_logic;
SIGNAL \led_flash_cnt[7][4]~26984_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[7][4]~26985\ : std_logic;
SIGNAL \led_flash_cnt[7][5]~26986_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[7][5]~26987\ : std_logic;
SIGNAL \led_flash_cnt[7][6]~26988_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][6]~q\ : std_logic;
SIGNAL \WideAnd7~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][6]~26989\ : std_logic;
SIGNAL \led_flash_cnt[7][7]~26990_combout\ : std_logic;
SIGNAL \led_flash_cnt[7][7]~q\ : std_logic;
SIGNAL \WideAnd7~0_combout\ : std_logic;
SIGNAL \WideAnd7~combout\ : std_logic;
SIGNAL \led_flash_cnt[3][0]~80643_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[3][1]~26922_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[3][1]~26923\ : std_logic;
SIGNAL \led_flash_cnt[3][2]~26924_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[3][2]~26925\ : std_logic;
SIGNAL \led_flash_cnt[3][3]~26926_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[3][3]~26927\ : std_logic;
SIGNAL \led_flash_cnt[3][4]~26928_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[3][4]~26929\ : std_logic;
SIGNAL \led_flash_cnt[3][5]~26930_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[3][5]~26931\ : std_logic;
SIGNAL \led_flash_cnt[3][6]~26932_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][6]~q\ : std_logic;
SIGNAL \WideAnd3~1_combout\ : std_logic;
SIGNAL \WideAnd3~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][6]~26933\ : std_logic;
SIGNAL \led_flash_cnt[3][7]~26934_combout\ : std_logic;
SIGNAL \led_flash_cnt[3][7]~q\ : std_logic;
SIGNAL \WideAnd3~combout\ : std_logic;
SIGNAL \led_flash_cnt[1][0]~80641_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[1][1]~26894_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[1][1]~26895\ : std_logic;
SIGNAL \led_flash_cnt[1][2]~26896_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[1][2]~26897\ : std_logic;
SIGNAL \led_flash_cnt[1][3]~26898_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[1][3]~26899\ : std_logic;
SIGNAL \led_flash_cnt[1][4]~26900_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[1][4]~26901\ : std_logic;
SIGNAL \led_flash_cnt[1][5]~26902_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[1][5]~26903\ : std_logic;
SIGNAL \led_flash_cnt[1][6]~26904_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][6]~q\ : std_logic;
SIGNAL \WideAnd1~1_combout\ : std_logic;
SIGNAL \WideAnd1~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][6]~26905\ : std_logic;
SIGNAL \led_flash_cnt[1][7]~26906_combout\ : std_logic;
SIGNAL \led_flash_cnt[1][7]~q\ : std_logic;
SIGNAL \WideAnd1~combout\ : std_logic;
SIGNAL \led_flash_cnt[0][0]~80640_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[0][1]~26880_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[0][1]~26881\ : std_logic;
SIGNAL \led_flash_cnt[0][2]~26882_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[0][2]~26883\ : std_logic;
SIGNAL \led_flash_cnt[0][3]~26884_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[0][3]~26885\ : std_logic;
SIGNAL \led_flash_cnt[0][4]~26886_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[0][4]~26887\ : std_logic;
SIGNAL \led_flash_cnt[0][5]~26888_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[0][5]~26889\ : std_logic;
SIGNAL \led_flash_cnt[0][6]~26890_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][6]~q\ : std_logic;
SIGNAL \WideAnd0~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][6]~26891\ : std_logic;
SIGNAL \led_flash_cnt[0][7]~26892_combout\ : std_logic;
SIGNAL \led_flash_cnt[0][7]~q\ : std_logic;
SIGNAL \WideAnd0~0_combout\ : std_logic;
SIGNAL \WideAnd0~combout\ : std_logic;
SIGNAL \led_flash_cnt[2][0]~80642_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[2][1]~26908_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[2][1]~26909\ : std_logic;
SIGNAL \led_flash_cnt[2][2]~26910_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[2][2]~26911\ : std_logic;
SIGNAL \led_flash_cnt[2][3]~26912_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[2][3]~26913\ : std_logic;
SIGNAL \led_flash_cnt[2][4]~26914_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][4]~q\ : std_logic;
SIGNAL \WideAnd2~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][4]~26915\ : std_logic;
SIGNAL \led_flash_cnt[2][5]~26916_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[2][5]~26917\ : std_logic;
SIGNAL \led_flash_cnt[2][6]~26918_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][6]~q\ : std_logic;
SIGNAL \WideAnd2~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][6]~26919\ : std_logic;
SIGNAL \led_flash_cnt[2][7]~26920_combout\ : std_logic;
SIGNAL \led_flash_cnt[2][7]~q\ : std_logic;
SIGNAL \WideAnd2~combout\ : std_logic;
SIGNAL \WideAnd3840~0_combout\ : std_logic;
SIGNAL \WideAnd3840~combout\ : std_logic;
SIGNAL \led_flash_cnt[20][0]~80660_combout\ : std_logic;
SIGNAL \led_flash_cnt[20][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[20][1]~27160_combout\ : std_logic;
SIGNAL \led_flash_cnt[20][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[20][1]~27161\ : std_logic;
SIGNAL \led_flash_cnt[20][2]~27162_combout\ : std_logic;
SIGNAL \led_flash_cnt[20][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[20][2]~27163\ : std_logic;
SIGNAL \led_flash_cnt[20][3]~27164_combout\ : std_logic;
SIGNAL \led_flash_cnt[20][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[20][3]~27165\ : std_logic;
SIGNAL \led_flash_cnt[20][4]~27166_combout\ : std_logic;
SIGNAL \led_flash_cnt[20][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[20][4]~27167\ : std_logic;
SIGNAL \led_flash_cnt[20][5]~27168_combout\ : std_logic;
SIGNAL \led_flash_cnt[20][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[20][5]~27169\ : std_logic;
SIGNAL \led_flash_cnt[20][6]~27170_combout\ : std_logic;
SIGNAL \led_flash_cnt[20][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[20][6]~27171\ : std_logic;
SIGNAL \led_flash_cnt[20][7]~27172_combout\ : std_logic;
SIGNAL \led_flash_cnt[20][7]~q\ : std_logic;
SIGNAL \WideAnd20~0_combout\ : std_logic;
SIGNAL \WideAnd20~1_combout\ : std_logic;
SIGNAL \WideAnd20~combout\ : std_logic;
SIGNAL \led_flash_cnt[21][0]~80661_combout\ : std_logic;
SIGNAL \led_flash_cnt[21][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[21][1]~27174_combout\ : std_logic;
SIGNAL \led_flash_cnt[21][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[21][1]~27175\ : std_logic;
SIGNAL \led_flash_cnt[21][2]~27176_combout\ : std_logic;
SIGNAL \led_flash_cnt[21][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[21][2]~27177\ : std_logic;
SIGNAL \led_flash_cnt[21][3]~27178_combout\ : std_logic;
SIGNAL \led_flash_cnt[21][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[21][3]~27179\ : std_logic;
SIGNAL \led_flash_cnt[21][4]~27180_combout\ : std_logic;
SIGNAL \led_flash_cnt[21][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[21][4]~27181\ : std_logic;
SIGNAL \led_flash_cnt[21][5]~27182_combout\ : std_logic;
SIGNAL \led_flash_cnt[21][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[21][5]~27183\ : std_logic;
SIGNAL \led_flash_cnt[21][6]~27184_combout\ : std_logic;
SIGNAL \led_flash_cnt[21][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[21][6]~27185\ : std_logic;
SIGNAL \led_flash_cnt[21][7]~27186_combout\ : std_logic;
SIGNAL \led_flash_cnt[21][7]~q\ : std_logic;
SIGNAL \WideAnd21~1_combout\ : std_logic;
SIGNAL \WideAnd21~0_combout\ : std_logic;
SIGNAL \WideAnd21~combout\ : std_logic;
SIGNAL \WideAnd3842~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][0]~80662_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[22][1]~27188_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[22][1]~27189\ : std_logic;
SIGNAL \led_flash_cnt[22][2]~27190_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[22][2]~27191\ : std_logic;
SIGNAL \led_flash_cnt[22][3]~27192_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[22][3]~27193\ : std_logic;
SIGNAL \led_flash_cnt[22][4]~27194_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[22][4]~27195\ : std_logic;
SIGNAL \led_flash_cnt[22][5]~27196_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[22][5]~27197\ : std_logic;
SIGNAL \led_flash_cnt[22][6]~27198_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[22][6]~27199\ : std_logic;
SIGNAL \led_flash_cnt[22][7]~27200_combout\ : std_logic;
SIGNAL \led_flash_cnt[22][7]~q\ : std_logic;
SIGNAL \WideAnd22~0_combout\ : std_logic;
SIGNAL \WideAnd22~1_combout\ : std_logic;
SIGNAL \WideAnd22~combout\ : std_logic;
SIGNAL \led_flash_cnt[23][0]~80663_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[23][1]~27202_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[23][1]~27203\ : std_logic;
SIGNAL \led_flash_cnt[23][2]~27204_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[23][2]~27205\ : std_logic;
SIGNAL \led_flash_cnt[23][3]~27206_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[23][3]~27207\ : std_logic;
SIGNAL \led_flash_cnt[23][4]~27208_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[23][4]~27209\ : std_logic;
SIGNAL \led_flash_cnt[23][5]~27210_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[23][5]~27211\ : std_logic;
SIGNAL \led_flash_cnt[23][6]~27212_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][6]~q\ : std_logic;
SIGNAL \WideAnd23~1_combout\ : std_logic;
SIGNAL \WideAnd23~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][6]~27213\ : std_logic;
SIGNAL \led_flash_cnt[23][7]~27214_combout\ : std_logic;
SIGNAL \led_flash_cnt[23][7]~q\ : std_logic;
SIGNAL \WideAnd23~combout\ : std_logic;
SIGNAL \led_flash_cnt[18][0]~80658_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[18][1]~27132_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[18][1]~27133\ : std_logic;
SIGNAL \led_flash_cnt[18][2]~27134_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[18][2]~27135\ : std_logic;
SIGNAL \led_flash_cnt[18][3]~27136_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[18][3]~27137\ : std_logic;
SIGNAL \led_flash_cnt[18][4]~27138_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[18][4]~27139\ : std_logic;
SIGNAL \led_flash_cnt[18][5]~27140_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[18][5]~27141\ : std_logic;
SIGNAL \led_flash_cnt[18][6]~27142_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][6]~q\ : std_logic;
SIGNAL \WideAnd18~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][6]~27143\ : std_logic;
SIGNAL \led_flash_cnt[18][7]~27144_combout\ : std_logic;
SIGNAL \led_flash_cnt[18][7]~q\ : std_logic;
SIGNAL \WideAnd18~0_combout\ : std_logic;
SIGNAL \WideAnd18~combout\ : std_logic;
SIGNAL \led_flash_cnt[19][0]~80659_combout\ : std_logic;
SIGNAL \led_flash_cnt[19][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[19][1]~27146_combout\ : std_logic;
SIGNAL \led_flash_cnt[19][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[19][1]~27147\ : std_logic;
SIGNAL \led_flash_cnt[19][2]~27148_combout\ : std_logic;
SIGNAL \led_flash_cnt[19][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[19][2]~27149\ : std_logic;
SIGNAL \led_flash_cnt[19][3]~27150_combout\ : std_logic;
SIGNAL \led_flash_cnt[19][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[19][3]~27151\ : std_logic;
SIGNAL \led_flash_cnt[19][4]~27152_combout\ : std_logic;
SIGNAL \led_flash_cnt[19][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[19][4]~27153\ : std_logic;
SIGNAL \led_flash_cnt[19][5]~27154_combout\ : std_logic;
SIGNAL \led_flash_cnt[19][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[19][5]~27155\ : std_logic;
SIGNAL \led_flash_cnt[19][6]~27156_combout\ : std_logic;
SIGNAL \led_flash_cnt[19][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[19][6]~27157\ : std_logic;
SIGNAL \led_flash_cnt[19][7]~27158_combout\ : std_logic;
SIGNAL \led_flash_cnt[19][7]~q\ : std_logic;
SIGNAL \WideAnd19~0_combout\ : std_logic;
SIGNAL \WideAnd19~1_combout\ : std_logic;
SIGNAL \WideAnd19~combout\ : std_logic;
SIGNAL \led_flash_cnt[16][0]~80656_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[16][1]~27104_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[16][1]~27105\ : std_logic;
SIGNAL \led_flash_cnt[16][2]~27106_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[16][2]~27107\ : std_logic;
SIGNAL \led_flash_cnt[16][3]~27108_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[16][3]~27109\ : std_logic;
SIGNAL \led_flash_cnt[16][4]~27110_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[16][4]~27111\ : std_logic;
SIGNAL \led_flash_cnt[16][5]~27112_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[16][5]~27113\ : std_logic;
SIGNAL \led_flash_cnt[16][6]~27114_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][6]~q\ : std_logic;
SIGNAL \WideAnd16~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][6]~27115\ : std_logic;
SIGNAL \led_flash_cnt[16][7]~27116_combout\ : std_logic;
SIGNAL \led_flash_cnt[16][7]~q\ : std_logic;
SIGNAL \WideAnd16~0_combout\ : std_logic;
SIGNAL \WideAnd16~combout\ : std_logic;
SIGNAL \led_flash_cnt[17][0]~80657_combout\ : std_logic;
SIGNAL \led_flash_cnt[17][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[17][1]~27118_combout\ : std_logic;
SIGNAL \led_flash_cnt[17][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[17][1]~27119\ : std_logic;
SIGNAL \led_flash_cnt[17][2]~27120_combout\ : std_logic;
SIGNAL \led_flash_cnt[17][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[17][2]~27121\ : std_logic;
SIGNAL \led_flash_cnt[17][3]~27122_combout\ : std_logic;
SIGNAL \led_flash_cnt[17][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[17][3]~27123\ : std_logic;
SIGNAL \led_flash_cnt[17][4]~27124_combout\ : std_logic;
SIGNAL \led_flash_cnt[17][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[17][4]~27125\ : std_logic;
SIGNAL \led_flash_cnt[17][5]~27126_combout\ : std_logic;
SIGNAL \led_flash_cnt[17][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[17][5]~27127\ : std_logic;
SIGNAL \led_flash_cnt[17][6]~27128_combout\ : std_logic;
SIGNAL \led_flash_cnt[17][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[17][6]~27129\ : std_logic;
SIGNAL \led_flash_cnt[17][7]~27130_combout\ : std_logic;
SIGNAL \led_flash_cnt[17][7]~q\ : std_logic;
SIGNAL \WideAnd17~0_combout\ : std_logic;
SIGNAL \WideAnd17~1_combout\ : std_logic;
SIGNAL \WideAnd17~combout\ : std_logic;
SIGNAL \WideAnd3842~0_combout\ : std_logic;
SIGNAL \WideAnd3842~combout\ : std_logic;
SIGNAL \led_flash_cnt[30][0]~80670_combout\ : std_logic;
SIGNAL \led_flash_cnt[30][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[30][1]~27300_combout\ : std_logic;
SIGNAL \led_flash_cnt[30][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[30][1]~27301\ : std_logic;
SIGNAL \led_flash_cnt[30][2]~27302_combout\ : std_logic;
SIGNAL \led_flash_cnt[30][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[30][2]~27303\ : std_logic;
SIGNAL \led_flash_cnt[30][3]~27304_combout\ : std_logic;
SIGNAL \led_flash_cnt[30][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[30][3]~27305\ : std_logic;
SIGNAL \led_flash_cnt[30][4]~27306_combout\ : std_logic;
SIGNAL \led_flash_cnt[30][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[30][4]~27307\ : std_logic;
SIGNAL \led_flash_cnt[30][5]~27308_combout\ : std_logic;
SIGNAL \led_flash_cnt[30][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[30][5]~27309\ : std_logic;
SIGNAL \led_flash_cnt[30][6]~27310_combout\ : std_logic;
SIGNAL \led_flash_cnt[30][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[30][6]~27311\ : std_logic;
SIGNAL \led_flash_cnt[30][7]~27312_combout\ : std_logic;
SIGNAL \led_flash_cnt[30][7]~q\ : std_logic;
SIGNAL \WideAnd30~1_combout\ : std_logic;
SIGNAL \WideAnd30~0_combout\ : std_logic;
SIGNAL \WideAnd30~combout\ : std_logic;
SIGNAL \led_flash_cnt[29][0]~80669_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[29][1]~27286_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[29][1]~27287\ : std_logic;
SIGNAL \led_flash_cnt[29][2]~27288_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[29][2]~27289\ : std_logic;
SIGNAL \led_flash_cnt[29][3]~27290_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[29][3]~27291\ : std_logic;
SIGNAL \led_flash_cnt[29][4]~27292_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][4]~q\ : std_logic;
SIGNAL \WideAnd29~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][4]~27293\ : std_logic;
SIGNAL \led_flash_cnt[29][5]~27294_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[29][5]~27295\ : std_logic;
SIGNAL \led_flash_cnt[29][6]~27296_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[29][6]~27297\ : std_logic;
SIGNAL \led_flash_cnt[29][7]~27298_combout\ : std_logic;
SIGNAL \led_flash_cnt[29][7]~q\ : std_logic;
SIGNAL \WideAnd29~1_combout\ : std_logic;
SIGNAL \WideAnd29~combout\ : std_logic;
SIGNAL \led_flash_cnt[28][0]~80668_combout\ : std_logic;
SIGNAL \led_flash_cnt[28][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[28][1]~27272_combout\ : std_logic;
SIGNAL \led_flash_cnt[28][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[28][1]~27273\ : std_logic;
SIGNAL \led_flash_cnt[28][2]~27274_combout\ : std_logic;
SIGNAL \led_flash_cnt[28][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[28][2]~27275\ : std_logic;
SIGNAL \led_flash_cnt[28][3]~27276_combout\ : std_logic;
SIGNAL \led_flash_cnt[28][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[28][3]~27277\ : std_logic;
SIGNAL \led_flash_cnt[28][4]~27278_combout\ : std_logic;
SIGNAL \led_flash_cnt[28][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[28][4]~27279\ : std_logic;
SIGNAL \led_flash_cnt[28][5]~27280_combout\ : std_logic;
SIGNAL \led_flash_cnt[28][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[28][5]~27281\ : std_logic;
SIGNAL \led_flash_cnt[28][6]~27282_combout\ : std_logic;
SIGNAL \led_flash_cnt[28][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[28][6]~27283\ : std_logic;
SIGNAL \led_flash_cnt[28][7]~27284_combout\ : std_logic;
SIGNAL \led_flash_cnt[28][7]~q\ : std_logic;
SIGNAL \WideAnd28~0_combout\ : std_logic;
SIGNAL \WideAnd28~1_combout\ : std_logic;
SIGNAL \WideAnd28~combout\ : std_logic;
SIGNAL \WideAnd3843~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][0]~80667_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[27][1]~27258_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[27][1]~27259\ : std_logic;
SIGNAL \led_flash_cnt[27][2]~27260_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[27][2]~27261\ : std_logic;
SIGNAL \led_flash_cnt[27][3]~27262_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[27][3]~27263\ : std_logic;
SIGNAL \led_flash_cnt[27][4]~27264_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[27][4]~27265\ : std_logic;
SIGNAL \led_flash_cnt[27][5]~27266_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[27][5]~27267\ : std_logic;
SIGNAL \led_flash_cnt[27][6]~27268_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[27][6]~27269\ : std_logic;
SIGNAL \led_flash_cnt[27][7]~27270_combout\ : std_logic;
SIGNAL \led_flash_cnt[27][7]~q\ : std_logic;
SIGNAL \WideAnd27~0_combout\ : std_logic;
SIGNAL \WideAnd27~1_combout\ : std_logic;
SIGNAL \WideAnd27~combout\ : std_logic;
SIGNAL \led_flash_cnt[26][0]~80666_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[26][1]~27244_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[26][1]~27245\ : std_logic;
SIGNAL \led_flash_cnt[26][2]~27246_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[26][2]~27247\ : std_logic;
SIGNAL \led_flash_cnt[26][3]~27248_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[26][3]~27249\ : std_logic;
SIGNAL \led_flash_cnt[26][4]~27250_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[26][4]~27251\ : std_logic;
SIGNAL \led_flash_cnt[26][5]~27252_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[26][5]~27253\ : std_logic;
SIGNAL \led_flash_cnt[26][6]~27254_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][6]~q\ : std_logic;
SIGNAL \WideAnd26~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][6]~27255\ : std_logic;
SIGNAL \led_flash_cnt[26][7]~27256_combout\ : std_logic;
SIGNAL \led_flash_cnt[26][7]~q\ : std_logic;
SIGNAL \WideAnd26~0_combout\ : std_logic;
SIGNAL \WideAnd26~combout\ : std_logic;
SIGNAL \led_flash_cnt[24][0]~80664_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[24][1]~27216_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[24][1]~27217\ : std_logic;
SIGNAL \led_flash_cnt[24][2]~27218_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[24][2]~27219\ : std_logic;
SIGNAL \led_flash_cnt[24][3]~27220_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[24][3]~27221\ : std_logic;
SIGNAL \led_flash_cnt[24][4]~27222_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[24][4]~27223\ : std_logic;
SIGNAL \led_flash_cnt[24][5]~27224_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[24][5]~27225\ : std_logic;
SIGNAL \led_flash_cnt[24][6]~27226_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][6]~q\ : std_logic;
SIGNAL \WideAnd24~1_combout\ : std_logic;
SIGNAL \WideAnd24~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][6]~27227\ : std_logic;
SIGNAL \led_flash_cnt[24][7]~27228_combout\ : std_logic;
SIGNAL \led_flash_cnt[24][7]~q\ : std_logic;
SIGNAL \WideAnd24~combout\ : std_logic;
SIGNAL \led_flash_cnt[25][0]~80665_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[25][1]~27230_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[25][1]~27231\ : std_logic;
SIGNAL \led_flash_cnt[25][2]~27232_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[25][2]~27233\ : std_logic;
SIGNAL \led_flash_cnt[25][3]~27234_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[25][3]~27235\ : std_logic;
SIGNAL \led_flash_cnt[25][4]~27236_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[25][4]~27237\ : std_logic;
SIGNAL \led_flash_cnt[25][5]~27238_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[25][5]~27239\ : std_logic;
SIGNAL \led_flash_cnt[25][6]~27240_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][6]~q\ : std_logic;
SIGNAL \WideAnd25~1_combout\ : std_logic;
SIGNAL \WideAnd25~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][6]~27241\ : std_logic;
SIGNAL \led_flash_cnt[25][7]~27242_combout\ : std_logic;
SIGNAL \led_flash_cnt[25][7]~q\ : std_logic;
SIGNAL \WideAnd25~combout\ : std_logic;
SIGNAL \WideAnd3843~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][0]~80671_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[31][1]~27314_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[31][1]~27315\ : std_logic;
SIGNAL \led_flash_cnt[31][2]~27316_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[31][2]~27317\ : std_logic;
SIGNAL \led_flash_cnt[31][3]~27318_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[31][3]~27319\ : std_logic;
SIGNAL \led_flash_cnt[31][4]~27320_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[31][4]~27321\ : std_logic;
SIGNAL \led_flash_cnt[31][5]~27322_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[31][5]~27323\ : std_logic;
SIGNAL \led_flash_cnt[31][6]~27324_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[31][6]~27325\ : std_logic;
SIGNAL \led_flash_cnt[31][7]~27326_combout\ : std_logic;
SIGNAL \led_flash_cnt[31][7]~q\ : std_logic;
SIGNAL \WideAnd31~1_combout\ : std_logic;
SIGNAL \WideAnd31~0_combout\ : std_logic;
SIGNAL \WideAnd31~combout\ : std_logic;
SIGNAL \WideAnd3843~combout\ : std_logic;
SIGNAL \led_flash_cnt[14][0]~80654_combout\ : std_logic;
SIGNAL \led_flash_cnt[14][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[14][1]~27076_combout\ : std_logic;
SIGNAL \led_flash_cnt[14][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[14][1]~27077\ : std_logic;
SIGNAL \led_flash_cnt[14][2]~27078_combout\ : std_logic;
SIGNAL \led_flash_cnt[14][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[14][2]~27079\ : std_logic;
SIGNAL \led_flash_cnt[14][3]~27080_combout\ : std_logic;
SIGNAL \led_flash_cnt[14][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[14][3]~27081\ : std_logic;
SIGNAL \led_flash_cnt[14][4]~27082_combout\ : std_logic;
SIGNAL \led_flash_cnt[14][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[14][4]~27083\ : std_logic;
SIGNAL \led_flash_cnt[14][5]~27084_combout\ : std_logic;
SIGNAL \led_flash_cnt[14][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[14][5]~27085\ : std_logic;
SIGNAL \led_flash_cnt[14][6]~27086_combout\ : std_logic;
SIGNAL \led_flash_cnt[14][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[14][6]~27087\ : std_logic;
SIGNAL \led_flash_cnt[14][7]~27088_combout\ : std_logic;
SIGNAL \led_flash_cnt[14][7]~q\ : std_logic;
SIGNAL \WideAnd14~1_combout\ : std_logic;
SIGNAL \WideAnd14~0_combout\ : std_logic;
SIGNAL \WideAnd14~combout\ : std_logic;
SIGNAL \led_flash_cnt[15][0]~80655_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[15][1]~27090_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[15][1]~27091\ : std_logic;
SIGNAL \led_flash_cnt[15][2]~27092_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[15][2]~27093\ : std_logic;
SIGNAL \led_flash_cnt[15][3]~27094_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[15][3]~27095\ : std_logic;
SIGNAL \led_flash_cnt[15][4]~27096_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[15][4]~27097\ : std_logic;
SIGNAL \led_flash_cnt[15][5]~27098_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[15][5]~27099\ : std_logic;
SIGNAL \led_flash_cnt[15][6]~27100_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][6]~q\ : std_logic;
SIGNAL \WideAnd15~1_combout\ : std_logic;
SIGNAL \WideAnd15~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][6]~27101\ : std_logic;
SIGNAL \led_flash_cnt[15][7]~27102_combout\ : std_logic;
SIGNAL \led_flash_cnt[15][7]~q\ : std_logic;
SIGNAL \WideAnd15~combout\ : std_logic;
SIGNAL \led_flash_cnt[13][0]~80653_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[13][1]~27062_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[13][1]~27063\ : std_logic;
SIGNAL \led_flash_cnt[13][2]~27064_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[13][2]~27065\ : std_logic;
SIGNAL \led_flash_cnt[13][3]~27066_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[13][3]~27067\ : std_logic;
SIGNAL \led_flash_cnt[13][4]~27068_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[13][4]~27069\ : std_logic;
SIGNAL \led_flash_cnt[13][5]~27070_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[13][5]~27071\ : std_logic;
SIGNAL \led_flash_cnt[13][6]~27072_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][6]~q\ : std_logic;
SIGNAL \WideAnd13~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][6]~27073\ : std_logic;
SIGNAL \led_flash_cnt[13][7]~27074_combout\ : std_logic;
SIGNAL \led_flash_cnt[13][7]~q\ : std_logic;
SIGNAL \WideAnd13~0_combout\ : std_logic;
SIGNAL \WideAnd13~combout\ : std_logic;
SIGNAL \led_flash_cnt[12][0]~80652_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[12][1]~27048_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[12][1]~27049\ : std_logic;
SIGNAL \led_flash_cnt[12][2]~27050_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[12][2]~27051\ : std_logic;
SIGNAL \led_flash_cnt[12][3]~27052_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[12][3]~27053\ : std_logic;
SIGNAL \led_flash_cnt[12][4]~27054_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[12][4]~27055\ : std_logic;
SIGNAL \led_flash_cnt[12][5]~27056_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[12][5]~27057\ : std_logic;
SIGNAL \led_flash_cnt[12][6]~27058_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][6]~q\ : std_logic;
SIGNAL \WideAnd12~1_combout\ : std_logic;
SIGNAL \WideAnd12~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][6]~27059\ : std_logic;
SIGNAL \led_flash_cnt[12][7]~27060_combout\ : std_logic;
SIGNAL \led_flash_cnt[12][7]~q\ : std_logic;
SIGNAL \WideAnd12~combout\ : std_logic;
SIGNAL \WideAnd3841~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][0]~80648_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[8][1]~26992_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[8][1]~26993\ : std_logic;
SIGNAL \led_flash_cnt[8][2]~26994_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[8][2]~26995\ : std_logic;
SIGNAL \led_flash_cnt[8][3]~26996_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[8][3]~26997\ : std_logic;
SIGNAL \led_flash_cnt[8][4]~26998_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][4]~q\ : std_logic;
SIGNAL \WideAnd8~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][4]~26999\ : std_logic;
SIGNAL \led_flash_cnt[8][5]~27000_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[8][5]~27001\ : std_logic;
SIGNAL \led_flash_cnt[8][6]~27002_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][6]~q\ : std_logic;
SIGNAL \WideAnd8~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][6]~27003\ : std_logic;
SIGNAL \led_flash_cnt[8][7]~27004_combout\ : std_logic;
SIGNAL \led_flash_cnt[8][7]~q\ : std_logic;
SIGNAL \WideAnd8~combout\ : std_logic;
SIGNAL \led_flash_cnt[10][0]~80650_combout\ : std_logic;
SIGNAL \led_flash_cnt[10][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[10][1]~27020_combout\ : std_logic;
SIGNAL \led_flash_cnt[10][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[10][1]~27021\ : std_logic;
SIGNAL \led_flash_cnt[10][2]~27022_combout\ : std_logic;
SIGNAL \led_flash_cnt[10][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[10][2]~27023\ : std_logic;
SIGNAL \led_flash_cnt[10][3]~27024_combout\ : std_logic;
SIGNAL \led_flash_cnt[10][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[10][3]~27025\ : std_logic;
SIGNAL \led_flash_cnt[10][4]~27026_combout\ : std_logic;
SIGNAL \led_flash_cnt[10][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[10][4]~27027\ : std_logic;
SIGNAL \led_flash_cnt[10][5]~27028_combout\ : std_logic;
SIGNAL \led_flash_cnt[10][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[10][5]~27029\ : std_logic;
SIGNAL \led_flash_cnt[10][6]~27030_combout\ : std_logic;
SIGNAL \led_flash_cnt[10][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[10][6]~27031\ : std_logic;
SIGNAL \led_flash_cnt[10][7]~27032_combout\ : std_logic;
SIGNAL \led_flash_cnt[10][7]~q\ : std_logic;
SIGNAL \WideAnd10~1_combout\ : std_logic;
SIGNAL \WideAnd10~0_combout\ : std_logic;
SIGNAL \WideAnd10~combout\ : std_logic;
SIGNAL \led_flash_cnt[11][0]~80651_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[11][1]~27034_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[11][1]~27035\ : std_logic;
SIGNAL \led_flash_cnt[11][2]~27036_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[11][2]~27037\ : std_logic;
SIGNAL \led_flash_cnt[11][3]~27038_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[11][3]~27039\ : std_logic;
SIGNAL \led_flash_cnt[11][4]~27040_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][4]~q\ : std_logic;
SIGNAL \WideAnd11~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][4]~27041\ : std_logic;
SIGNAL \led_flash_cnt[11][5]~27042_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[11][5]~27043\ : std_logic;
SIGNAL \led_flash_cnt[11][6]~27044_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[11][6]~27045\ : std_logic;
SIGNAL \led_flash_cnt[11][7]~27046_combout\ : std_logic;
SIGNAL \led_flash_cnt[11][7]~q\ : std_logic;
SIGNAL \WideAnd11~1_combout\ : std_logic;
SIGNAL \WideAnd11~combout\ : std_logic;
SIGNAL \led_flash_cnt[9][0]~80649_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[9][1]~27006_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[9][1]~27007\ : std_logic;
SIGNAL \led_flash_cnt[9][2]~27008_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[9][2]~27009\ : std_logic;
SIGNAL \led_flash_cnt[9][3]~27010_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[9][3]~27011\ : std_logic;
SIGNAL \led_flash_cnt[9][4]~27012_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][4]~q\ : std_logic;
SIGNAL \WideAnd9~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][4]~27013\ : std_logic;
SIGNAL \led_flash_cnt[9][5]~27014_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[9][5]~27015\ : std_logic;
SIGNAL \led_flash_cnt[9][6]~27016_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][6]~q\ : std_logic;
SIGNAL \WideAnd9~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][6]~27017\ : std_logic;
SIGNAL \led_flash_cnt[9][7]~27018_combout\ : std_logic;
SIGNAL \led_flash_cnt[9][7]~q\ : std_logic;
SIGNAL \WideAnd9~combout\ : std_logic;
SIGNAL \WideAnd3841~0_combout\ : std_logic;
SIGNAL \WideAnd3841~combout\ : std_logic;
SIGNAL \WideAnd4320~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][0]~80677_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[37][1]~27398_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[37][1]~27399\ : std_logic;
SIGNAL \led_flash_cnt[37][2]~27400_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[37][2]~27401\ : std_logic;
SIGNAL \led_flash_cnt[37][3]~27402_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[37][3]~27403\ : std_logic;
SIGNAL \led_flash_cnt[37][4]~27404_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[37][4]~27405\ : std_logic;
SIGNAL \led_flash_cnt[37][5]~27406_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[37][5]~27407\ : std_logic;
SIGNAL \led_flash_cnt[37][6]~27408_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][6]~q\ : std_logic;
SIGNAL \WideAnd37~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][6]~27409\ : std_logic;
SIGNAL \led_flash_cnt[37][7]~27410_combout\ : std_logic;
SIGNAL \led_flash_cnt[37][7]~q\ : std_logic;
SIGNAL \WideAnd37~0_combout\ : std_logic;
SIGNAL \WideAnd37~combout\ : std_logic;
SIGNAL \led_flash_cnt[36][0]~80676_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[36][1]~27384_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[36][1]~27385\ : std_logic;
SIGNAL \led_flash_cnt[36][2]~27386_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[36][2]~27387\ : std_logic;
SIGNAL \led_flash_cnt[36][3]~27388_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[36][3]~27389\ : std_logic;
SIGNAL \led_flash_cnt[36][4]~27390_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[36][4]~27391\ : std_logic;
SIGNAL \led_flash_cnt[36][5]~27392_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[36][5]~27393\ : std_logic;
SIGNAL \led_flash_cnt[36][6]~27394_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][6]~q\ : std_logic;
SIGNAL \WideAnd36~1_combout\ : std_logic;
SIGNAL \WideAnd36~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][6]~27395\ : std_logic;
SIGNAL \led_flash_cnt[36][7]~27396_combout\ : std_logic;
SIGNAL \led_flash_cnt[36][7]~q\ : std_logic;
SIGNAL \WideAnd36~combout\ : std_logic;
SIGNAL \WideAnd3844~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][0]~80679_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[39][1]~27426_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[39][1]~27427\ : std_logic;
SIGNAL \led_flash_cnt[39][2]~27428_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[39][2]~27429\ : std_logic;
SIGNAL \led_flash_cnt[39][3]~27430_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[39][3]~27431\ : std_logic;
SIGNAL \led_flash_cnt[39][4]~27432_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[39][4]~27433\ : std_logic;
SIGNAL \led_flash_cnt[39][5]~27434_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[39][5]~27435\ : std_logic;
SIGNAL \led_flash_cnt[39][6]~27436_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][6]~q\ : std_logic;
SIGNAL \WideAnd39~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][6]~27437\ : std_logic;
SIGNAL \led_flash_cnt[39][7]~27438_combout\ : std_logic;
SIGNAL \led_flash_cnt[39][7]~q\ : std_logic;
SIGNAL \WideAnd39~0_combout\ : std_logic;
SIGNAL \WideAnd39~combout\ : std_logic;
SIGNAL \led_flash_cnt[34][0]~80674_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[34][1]~27356_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[34][1]~27357\ : std_logic;
SIGNAL \led_flash_cnt[34][2]~27358_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[34][2]~27359\ : std_logic;
SIGNAL \led_flash_cnt[34][3]~27360_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[34][3]~27361\ : std_logic;
SIGNAL \led_flash_cnt[34][4]~27362_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[34][4]~27363\ : std_logic;
SIGNAL \led_flash_cnt[34][5]~27364_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[34][5]~27365\ : std_logic;
SIGNAL \led_flash_cnt[34][6]~27366_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][6]~q\ : std_logic;
SIGNAL \WideAnd34~1_combout\ : std_logic;
SIGNAL \WideAnd34~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][6]~27367\ : std_logic;
SIGNAL \led_flash_cnt[34][7]~27368_combout\ : std_logic;
SIGNAL \led_flash_cnt[34][7]~q\ : std_logic;
SIGNAL \WideAnd34~combout\ : std_logic;
SIGNAL \led_flash_cnt[33][0]~80673_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[33][1]~27342_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[33][1]~27343\ : std_logic;
SIGNAL \led_flash_cnt[33][2]~27344_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[33][2]~27345\ : std_logic;
SIGNAL \led_flash_cnt[33][3]~27346_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[33][3]~27347\ : std_logic;
SIGNAL \led_flash_cnt[33][4]~27348_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][4]~q\ : std_logic;
SIGNAL \WideAnd33~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][4]~27349\ : std_logic;
SIGNAL \led_flash_cnt[33][5]~27350_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[33][5]~27351\ : std_logic;
SIGNAL \led_flash_cnt[33][6]~27352_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[33][6]~27353\ : std_logic;
SIGNAL \led_flash_cnt[33][7]~27354_combout\ : std_logic;
SIGNAL \led_flash_cnt[33][7]~q\ : std_logic;
SIGNAL \WideAnd33~1_combout\ : std_logic;
SIGNAL \WideAnd33~combout\ : std_logic;
SIGNAL \led_flash_cnt[32][0]~80672_combout\ : std_logic;
SIGNAL \led_flash_cnt[32][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[32][1]~27328_combout\ : std_logic;
SIGNAL \led_flash_cnt[32][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[32][1]~27329\ : std_logic;
SIGNAL \led_flash_cnt[32][2]~27330_combout\ : std_logic;
SIGNAL \led_flash_cnt[32][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[32][2]~27331\ : std_logic;
SIGNAL \led_flash_cnt[32][3]~27332_combout\ : std_logic;
SIGNAL \led_flash_cnt[32][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[32][3]~27333\ : std_logic;
SIGNAL \led_flash_cnt[32][4]~27334_combout\ : std_logic;
SIGNAL \led_flash_cnt[32][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[32][4]~27335\ : std_logic;
SIGNAL \led_flash_cnt[32][5]~27336_combout\ : std_logic;
SIGNAL \led_flash_cnt[32][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[32][5]~27337\ : std_logic;
SIGNAL \led_flash_cnt[32][6]~27338_combout\ : std_logic;
SIGNAL \led_flash_cnt[32][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[32][6]~27339\ : std_logic;
SIGNAL \led_flash_cnt[32][7]~27340_combout\ : std_logic;
SIGNAL \led_flash_cnt[32][7]~q\ : std_logic;
SIGNAL \WideAnd32~0_combout\ : std_logic;
SIGNAL \WideAnd32~1_combout\ : std_logic;
SIGNAL \WideAnd32~combout\ : std_logic;
SIGNAL \led_flash_cnt[35][0]~80675_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[35][1]~27370_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[35][1]~27371\ : std_logic;
SIGNAL \led_flash_cnt[35][2]~27372_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[35][2]~27373\ : std_logic;
SIGNAL \led_flash_cnt[35][3]~27374_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[35][3]~27375\ : std_logic;
SIGNAL \led_flash_cnt[35][4]~27376_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][4]~q\ : std_logic;
SIGNAL \WideAnd35~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][4]~27377\ : std_logic;
SIGNAL \led_flash_cnt[35][5]~27378_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[35][5]~27379\ : std_logic;
SIGNAL \led_flash_cnt[35][6]~27380_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][6]~q\ : std_logic;
SIGNAL \WideAnd35~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][6]~27381\ : std_logic;
SIGNAL \led_flash_cnt[35][7]~27382_combout\ : std_logic;
SIGNAL \led_flash_cnt[35][7]~q\ : std_logic;
SIGNAL \WideAnd35~combout\ : std_logic;
SIGNAL \WideAnd3844~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][0]~80678_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[38][1]~27412_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[38][1]~27413\ : std_logic;
SIGNAL \led_flash_cnt[38][2]~27414_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[38][2]~27415\ : std_logic;
SIGNAL \led_flash_cnt[38][3]~27416_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[38][3]~27417\ : std_logic;
SIGNAL \led_flash_cnt[38][4]~27418_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[38][4]~27419\ : std_logic;
SIGNAL \led_flash_cnt[38][5]~27420_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[38][5]~27421\ : std_logic;
SIGNAL \led_flash_cnt[38][6]~27422_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][6]~q\ : std_logic;
SIGNAL \WideAnd38~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][6]~27423\ : std_logic;
SIGNAL \led_flash_cnt[38][7]~27424_combout\ : std_logic;
SIGNAL \led_flash_cnt[38][7]~q\ : std_logic;
SIGNAL \WideAnd38~0_combout\ : std_logic;
SIGNAL \WideAnd38~combout\ : std_logic;
SIGNAL \WideAnd3844~combout\ : std_logic;
SIGNAL \led_flash_cnt[45][0]~80685_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[45][1]~27510_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[45][1]~27511\ : std_logic;
SIGNAL \led_flash_cnt[45][2]~27512_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[45][2]~27513\ : std_logic;
SIGNAL \led_flash_cnt[45][3]~27514_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[45][3]~27515\ : std_logic;
SIGNAL \led_flash_cnt[45][4]~27516_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[45][4]~27517\ : std_logic;
SIGNAL \led_flash_cnt[45][5]~27518_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[45][5]~27519\ : std_logic;
SIGNAL \led_flash_cnt[45][6]~27520_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][6]~q\ : std_logic;
SIGNAL \WideAnd45~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][6]~27521\ : std_logic;
SIGNAL \led_flash_cnt[45][7]~27522_combout\ : std_logic;
SIGNAL \led_flash_cnt[45][7]~q\ : std_logic;
SIGNAL \WideAnd45~0_combout\ : std_logic;
SIGNAL \WideAnd45~combout\ : std_logic;
SIGNAL \led_flash_cnt[44][0]~80684_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[44][1]~27496_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[44][1]~27497\ : std_logic;
SIGNAL \led_flash_cnt[44][2]~27498_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[44][2]~27499\ : std_logic;
SIGNAL \led_flash_cnt[44][3]~27500_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[44][3]~27501\ : std_logic;
SIGNAL \led_flash_cnt[44][4]~27502_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[44][4]~27503\ : std_logic;
SIGNAL \led_flash_cnt[44][5]~27504_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[44][5]~27505\ : std_logic;
SIGNAL \led_flash_cnt[44][6]~27506_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][6]~q\ : std_logic;
SIGNAL \WideAnd44~1_combout\ : std_logic;
SIGNAL \WideAnd44~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][6]~27507\ : std_logic;
SIGNAL \led_flash_cnt[44][7]~27508_combout\ : std_logic;
SIGNAL \led_flash_cnt[44][7]~q\ : std_logic;
SIGNAL \WideAnd44~combout\ : std_logic;
SIGNAL \WideAnd3845~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][0]~80680_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[40][1]~27440_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[40][1]~27441\ : std_logic;
SIGNAL \led_flash_cnt[40][2]~27442_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[40][2]~27443\ : std_logic;
SIGNAL \led_flash_cnt[40][3]~27444_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[40][3]~27445\ : std_logic;
SIGNAL \led_flash_cnt[40][4]~27446_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[40][4]~27447\ : std_logic;
SIGNAL \led_flash_cnt[40][5]~27448_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[40][5]~27449\ : std_logic;
SIGNAL \led_flash_cnt[40][6]~27450_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[40][6]~27451\ : std_logic;
SIGNAL \led_flash_cnt[40][7]~27452_combout\ : std_logic;
SIGNAL \led_flash_cnt[40][7]~q\ : std_logic;
SIGNAL \WideAnd40~1_combout\ : std_logic;
SIGNAL \WideAnd40~0_combout\ : std_logic;
SIGNAL \WideAnd40~combout\ : std_logic;
SIGNAL \led_flash_cnt[43][0]~80683_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[43][1]~27482_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[43][1]~27483\ : std_logic;
SIGNAL \led_flash_cnt[43][2]~27484_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[43][2]~27485\ : std_logic;
SIGNAL \led_flash_cnt[43][3]~27486_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[43][3]~27487\ : std_logic;
SIGNAL \led_flash_cnt[43][4]~27488_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[43][4]~27489\ : std_logic;
SIGNAL \led_flash_cnt[43][5]~27490_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[43][5]~27491\ : std_logic;
SIGNAL \led_flash_cnt[43][6]~27492_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][6]~q\ : std_logic;
SIGNAL \WideAnd43~1_combout\ : std_logic;
SIGNAL \WideAnd43~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][6]~27493\ : std_logic;
SIGNAL \led_flash_cnt[43][7]~27494_combout\ : std_logic;
SIGNAL \led_flash_cnt[43][7]~q\ : std_logic;
SIGNAL \WideAnd43~combout\ : std_logic;
SIGNAL \led_flash_cnt[42][0]~80682_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[42][1]~27468_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[42][1]~27469\ : std_logic;
SIGNAL \led_flash_cnt[42][2]~27470_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[42][2]~27471\ : std_logic;
SIGNAL \led_flash_cnt[42][3]~27472_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[42][3]~27473\ : std_logic;
SIGNAL \led_flash_cnt[42][4]~27474_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[42][4]~27475\ : std_logic;
SIGNAL \led_flash_cnt[42][5]~27476_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[42][5]~27477\ : std_logic;
SIGNAL \led_flash_cnt[42][6]~27478_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][6]~q\ : std_logic;
SIGNAL \WideAnd42~1_combout\ : std_logic;
SIGNAL \WideAnd42~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][6]~27479\ : std_logic;
SIGNAL \led_flash_cnt[42][7]~27480_combout\ : std_logic;
SIGNAL \led_flash_cnt[42][7]~q\ : std_logic;
SIGNAL \WideAnd42~combout\ : std_logic;
SIGNAL \led_flash_cnt[41][0]~80681_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[41][1]~27454_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[41][1]~27455\ : std_logic;
SIGNAL \led_flash_cnt[41][2]~27456_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[41][2]~27457\ : std_logic;
SIGNAL \led_flash_cnt[41][3]~27458_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[41][3]~27459\ : std_logic;
SIGNAL \led_flash_cnt[41][4]~27460_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][4]~q\ : std_logic;
SIGNAL \WideAnd41~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][4]~27461\ : std_logic;
SIGNAL \led_flash_cnt[41][5]~27462_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[41][5]~27463\ : std_logic;
SIGNAL \led_flash_cnt[41][6]~27464_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[41][6]~27465\ : std_logic;
SIGNAL \led_flash_cnt[41][7]~27466_combout\ : std_logic;
SIGNAL \led_flash_cnt[41][7]~q\ : std_logic;
SIGNAL \WideAnd41~1_combout\ : std_logic;
SIGNAL \WideAnd41~combout\ : std_logic;
SIGNAL \WideAnd3845~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][0]~80686_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[46][1]~27524_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[46][1]~27525\ : std_logic;
SIGNAL \led_flash_cnt[46][2]~27526_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[46][2]~27527\ : std_logic;
SIGNAL \led_flash_cnt[46][3]~27528_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[46][3]~27529\ : std_logic;
SIGNAL \led_flash_cnt[46][4]~27530_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[46][4]~27531\ : std_logic;
SIGNAL \led_flash_cnt[46][5]~27532_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[46][5]~27533\ : std_logic;
SIGNAL \led_flash_cnt[46][6]~27534_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[46][6]~27535\ : std_logic;
SIGNAL \led_flash_cnt[46][7]~27536_combout\ : std_logic;
SIGNAL \led_flash_cnt[46][7]~q\ : std_logic;
SIGNAL \WideAnd46~0_combout\ : std_logic;
SIGNAL \WideAnd46~1_combout\ : std_logic;
SIGNAL \WideAnd46~combout\ : std_logic;
SIGNAL \led_flash_cnt[47][0]~80687_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[47][1]~27538_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[47][1]~27539\ : std_logic;
SIGNAL \led_flash_cnt[47][2]~27540_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[47][2]~27541\ : std_logic;
SIGNAL \led_flash_cnt[47][3]~27542_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[47][3]~27543\ : std_logic;
SIGNAL \led_flash_cnt[47][4]~27544_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][4]~q\ : std_logic;
SIGNAL \WideAnd47~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][4]~27545\ : std_logic;
SIGNAL \led_flash_cnt[47][5]~27546_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[47][5]~27547\ : std_logic;
SIGNAL \led_flash_cnt[47][6]~27548_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][6]~q\ : std_logic;
SIGNAL \WideAnd47~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][6]~27549\ : std_logic;
SIGNAL \led_flash_cnt[47][7]~27550_combout\ : std_logic;
SIGNAL \led_flash_cnt[47][7]~q\ : std_logic;
SIGNAL \WideAnd47~combout\ : std_logic;
SIGNAL \WideAnd3845~combout\ : std_logic;
SIGNAL \WideAnd4320~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][0]~80695_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[55][1]~27650_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[55][1]~27651\ : std_logic;
SIGNAL \led_flash_cnt[55][2]~27652_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[55][2]~27653\ : std_logic;
SIGNAL \led_flash_cnt[55][3]~27654_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[55][3]~27655\ : std_logic;
SIGNAL \led_flash_cnt[55][4]~27656_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[55][4]~27657\ : std_logic;
SIGNAL \led_flash_cnt[55][5]~27658_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[55][5]~27659\ : std_logic;
SIGNAL \led_flash_cnt[55][6]~27660_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[55][6]~27661\ : std_logic;
SIGNAL \led_flash_cnt[55][7]~27662_combout\ : std_logic;
SIGNAL \led_flash_cnt[55][7]~q\ : std_logic;
SIGNAL \WideAnd55~0_combout\ : std_logic;
SIGNAL \WideAnd55~1_combout\ : std_logic;
SIGNAL \WideAnd55~combout\ : std_logic;
SIGNAL \led_flash_cnt[52][0]~80692_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[52][1]~27608_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[52][1]~27609\ : std_logic;
SIGNAL \led_flash_cnt[52][2]~27610_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[52][2]~27611\ : std_logic;
SIGNAL \led_flash_cnt[52][3]~27612_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[52][3]~27613\ : std_logic;
SIGNAL \led_flash_cnt[52][4]~27614_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[52][4]~27615\ : std_logic;
SIGNAL \led_flash_cnt[52][5]~27616_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[52][5]~27617\ : std_logic;
SIGNAL \led_flash_cnt[52][6]~27618_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][6]~q\ : std_logic;
SIGNAL \WideAnd52~1_combout\ : std_logic;
SIGNAL \WideAnd52~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][6]~27619\ : std_logic;
SIGNAL \led_flash_cnt[52][7]~27620_combout\ : std_logic;
SIGNAL \led_flash_cnt[52][7]~q\ : std_logic;
SIGNAL \WideAnd52~combout\ : std_logic;
SIGNAL \led_flash_cnt[53][0]~80693_combout\ : std_logic;
SIGNAL \led_flash_cnt[53][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[53][1]~27622_combout\ : std_logic;
SIGNAL \led_flash_cnt[53][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[53][1]~27623\ : std_logic;
SIGNAL \led_flash_cnt[53][2]~27624_combout\ : std_logic;
SIGNAL \led_flash_cnt[53][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[53][2]~27625\ : std_logic;
SIGNAL \led_flash_cnt[53][3]~27626_combout\ : std_logic;
SIGNAL \led_flash_cnt[53][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[53][3]~27627\ : std_logic;
SIGNAL \led_flash_cnt[53][4]~27628_combout\ : std_logic;
SIGNAL \led_flash_cnt[53][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[53][4]~27629\ : std_logic;
SIGNAL \led_flash_cnt[53][5]~27630_combout\ : std_logic;
SIGNAL \led_flash_cnt[53][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[53][5]~27631\ : std_logic;
SIGNAL \led_flash_cnt[53][6]~27632_combout\ : std_logic;
SIGNAL \led_flash_cnt[53][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[53][6]~27633\ : std_logic;
SIGNAL \led_flash_cnt[53][7]~27634_combout\ : std_logic;
SIGNAL \led_flash_cnt[53][7]~q\ : std_logic;
SIGNAL \WideAnd53~0_combout\ : std_logic;
SIGNAL \WideAnd53~1_combout\ : std_logic;
SIGNAL \WideAnd53~combout\ : std_logic;
SIGNAL \WideAnd3846~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][0]~80694_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[54][1]~27636_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[54][1]~27637\ : std_logic;
SIGNAL \led_flash_cnt[54][2]~27638_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[54][2]~27639\ : std_logic;
SIGNAL \led_flash_cnt[54][3]~27640_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[54][3]~27641\ : std_logic;
SIGNAL \led_flash_cnt[54][4]~27642_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][4]~q\ : std_logic;
SIGNAL \WideAnd54~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][4]~27643\ : std_logic;
SIGNAL \led_flash_cnt[54][5]~27644_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[54][5]~27645\ : std_logic;
SIGNAL \led_flash_cnt[54][6]~27646_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][6]~q\ : std_logic;
SIGNAL \WideAnd54~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][6]~27647\ : std_logic;
SIGNAL \led_flash_cnt[54][7]~27648_combout\ : std_logic;
SIGNAL \led_flash_cnt[54][7]~q\ : std_logic;
SIGNAL \WideAnd54~combout\ : std_logic;
SIGNAL \led_flash_cnt[48][0]~80688_combout\ : std_logic;
SIGNAL \led_flash_cnt[48][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[48][1]~27552_combout\ : std_logic;
SIGNAL \led_flash_cnt[48][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[48][1]~27553\ : std_logic;
SIGNAL \led_flash_cnt[48][2]~27554_combout\ : std_logic;
SIGNAL \led_flash_cnt[48][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[48][2]~27555\ : std_logic;
SIGNAL \led_flash_cnt[48][3]~27556_combout\ : std_logic;
SIGNAL \led_flash_cnt[48][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[48][3]~27557\ : std_logic;
SIGNAL \led_flash_cnt[48][4]~27558_combout\ : std_logic;
SIGNAL \led_flash_cnt[48][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[48][4]~27559\ : std_logic;
SIGNAL \led_flash_cnt[48][5]~27560_combout\ : std_logic;
SIGNAL \led_flash_cnt[48][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[48][5]~27561\ : std_logic;
SIGNAL \led_flash_cnt[48][6]~27562_combout\ : std_logic;
SIGNAL \led_flash_cnt[48][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[48][6]~27563\ : std_logic;
SIGNAL \led_flash_cnt[48][7]~27564_combout\ : std_logic;
SIGNAL \led_flash_cnt[48][7]~q\ : std_logic;
SIGNAL \WideAnd48~0_combout\ : std_logic;
SIGNAL \WideAnd48~1_combout\ : std_logic;
SIGNAL \WideAnd48~combout\ : std_logic;
SIGNAL \led_flash_cnt[49][0]~80689_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[49][1]~27566_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[49][1]~27567\ : std_logic;
SIGNAL \led_flash_cnt[49][2]~27568_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[49][2]~27569\ : std_logic;
SIGNAL \led_flash_cnt[49][3]~27570_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[49][3]~27571\ : std_logic;
SIGNAL \led_flash_cnt[49][4]~27572_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[49][4]~27573\ : std_logic;
SIGNAL \led_flash_cnt[49][5]~27574_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[49][5]~27575\ : std_logic;
SIGNAL \led_flash_cnt[49][6]~27576_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][6]~q\ : std_logic;
SIGNAL \WideAnd49~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][6]~27577\ : std_logic;
SIGNAL \led_flash_cnt[49][7]~27578_combout\ : std_logic;
SIGNAL \led_flash_cnt[49][7]~q\ : std_logic;
SIGNAL \WideAnd49~0_combout\ : std_logic;
SIGNAL \WideAnd49~combout\ : std_logic;
SIGNAL \led_flash_cnt[51][0]~80691_combout\ : std_logic;
SIGNAL \led_flash_cnt[51][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[51][1]~27594_combout\ : std_logic;
SIGNAL \led_flash_cnt[51][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[51][1]~27595\ : std_logic;
SIGNAL \led_flash_cnt[51][2]~27596_combout\ : std_logic;
SIGNAL \led_flash_cnt[51][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[51][2]~27597\ : std_logic;
SIGNAL \led_flash_cnt[51][3]~27598_combout\ : std_logic;
SIGNAL \led_flash_cnt[51][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[51][3]~27599\ : std_logic;
SIGNAL \led_flash_cnt[51][4]~27600_combout\ : std_logic;
SIGNAL \led_flash_cnt[51][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[51][4]~27601\ : std_logic;
SIGNAL \led_flash_cnt[51][5]~27602_combout\ : std_logic;
SIGNAL \led_flash_cnt[51][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[51][5]~27603\ : std_logic;
SIGNAL \led_flash_cnt[51][6]~27604_combout\ : std_logic;
SIGNAL \led_flash_cnt[51][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[51][6]~27605\ : std_logic;
SIGNAL \led_flash_cnt[51][7]~27606_combout\ : std_logic;
SIGNAL \led_flash_cnt[51][7]~q\ : std_logic;
SIGNAL \WideAnd51~0_combout\ : std_logic;
SIGNAL \WideAnd51~1_combout\ : std_logic;
SIGNAL \WideAnd51~combout\ : std_logic;
SIGNAL \led_flash_cnt[50][0]~80690_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[50][1]~27580_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[50][1]~27581\ : std_logic;
SIGNAL \led_flash_cnt[50][2]~27582_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[50][2]~27583\ : std_logic;
SIGNAL \led_flash_cnt[50][3]~27584_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[50][3]~27585\ : std_logic;
SIGNAL \led_flash_cnt[50][4]~27586_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][4]~q\ : std_logic;
SIGNAL \WideAnd50~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][4]~27587\ : std_logic;
SIGNAL \led_flash_cnt[50][5]~27588_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[50][5]~27589\ : std_logic;
SIGNAL \led_flash_cnt[50][6]~27590_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[50][6]~27591\ : std_logic;
SIGNAL \led_flash_cnt[50][7]~27592_combout\ : std_logic;
SIGNAL \led_flash_cnt[50][7]~q\ : std_logic;
SIGNAL \WideAnd50~1_combout\ : std_logic;
SIGNAL \WideAnd50~combout\ : std_logic;
SIGNAL \WideAnd3846~0_combout\ : std_logic;
SIGNAL \WideAnd3846~combout\ : std_logic;
SIGNAL \led_flash_cnt[56][0]~80696_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[56][1]~27664_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[56][1]~27665\ : std_logic;
SIGNAL \led_flash_cnt[56][2]~27666_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[56][2]~27667\ : std_logic;
SIGNAL \led_flash_cnt[56][3]~27668_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[56][3]~27669\ : std_logic;
SIGNAL \led_flash_cnt[56][4]~27670_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][4]~q\ : std_logic;
SIGNAL \WideAnd56~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][4]~27671\ : std_logic;
SIGNAL \led_flash_cnt[56][5]~27672_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[56][5]~27673\ : std_logic;
SIGNAL \led_flash_cnt[56][6]~27674_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][6]~q\ : std_logic;
SIGNAL \WideAnd56~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][6]~27675\ : std_logic;
SIGNAL \led_flash_cnt[56][7]~27676_combout\ : std_logic;
SIGNAL \led_flash_cnt[56][7]~q\ : std_logic;
SIGNAL \WideAnd56~combout\ : std_logic;
SIGNAL \led_flash_cnt[58][0]~80698_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[58][1]~27692_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[58][1]~27693\ : std_logic;
SIGNAL \led_flash_cnt[58][2]~27694_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[58][2]~27695\ : std_logic;
SIGNAL \led_flash_cnt[58][3]~27696_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[58][3]~27697\ : std_logic;
SIGNAL \led_flash_cnt[58][4]~27698_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[58][4]~27699\ : std_logic;
SIGNAL \led_flash_cnt[58][5]~27700_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[58][5]~27701\ : std_logic;
SIGNAL \led_flash_cnt[58][6]~27702_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][6]~q\ : std_logic;
SIGNAL \WideAnd58~1_combout\ : std_logic;
SIGNAL \WideAnd58~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][6]~27703\ : std_logic;
SIGNAL \led_flash_cnt[58][7]~27704_combout\ : std_logic;
SIGNAL \led_flash_cnt[58][7]~q\ : std_logic;
SIGNAL \WideAnd58~combout\ : std_logic;
SIGNAL \led_flash_cnt[59][0]~80699_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[59][1]~27706_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[59][1]~27707\ : std_logic;
SIGNAL \led_flash_cnt[59][2]~27708_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[59][2]~27709\ : std_logic;
SIGNAL \led_flash_cnt[59][3]~27710_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[59][3]~27711\ : std_logic;
SIGNAL \led_flash_cnt[59][4]~27712_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[59][4]~27713\ : std_logic;
SIGNAL \led_flash_cnt[59][5]~27714_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[59][5]~27715\ : std_logic;
SIGNAL \led_flash_cnt[59][6]~27716_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][6]~q\ : std_logic;
SIGNAL \WideAnd59~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][6]~27717\ : std_logic;
SIGNAL \led_flash_cnt[59][7]~27718_combout\ : std_logic;
SIGNAL \led_flash_cnt[59][7]~q\ : std_logic;
SIGNAL \WideAnd59~0_combout\ : std_logic;
SIGNAL \WideAnd59~combout\ : std_logic;
SIGNAL \led_flash_cnt[57][0]~80697_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[57][1]~27678_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[57][1]~27679\ : std_logic;
SIGNAL \led_flash_cnt[57][2]~27680_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[57][2]~27681\ : std_logic;
SIGNAL \led_flash_cnt[57][3]~27682_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[57][3]~27683\ : std_logic;
SIGNAL \led_flash_cnt[57][4]~27684_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][4]~q\ : std_logic;
SIGNAL \WideAnd57~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][4]~27685\ : std_logic;
SIGNAL \led_flash_cnt[57][5]~27686_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[57][5]~27687\ : std_logic;
SIGNAL \led_flash_cnt[57][6]~27688_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[57][6]~27689\ : std_logic;
SIGNAL \led_flash_cnt[57][7]~27690_combout\ : std_logic;
SIGNAL \led_flash_cnt[57][7]~q\ : std_logic;
SIGNAL \WideAnd57~1_combout\ : std_logic;
SIGNAL \WideAnd57~combout\ : std_logic;
SIGNAL \WideAnd3847~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][0]~80703_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[63][1]~27762_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[63][1]~27763\ : std_logic;
SIGNAL \led_flash_cnt[63][2]~27764_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[63][2]~27765\ : std_logic;
SIGNAL \led_flash_cnt[63][3]~27766_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[63][3]~27767\ : std_logic;
SIGNAL \led_flash_cnt[63][4]~27768_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[63][4]~27769\ : std_logic;
SIGNAL \led_flash_cnt[63][5]~27770_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[63][5]~27771\ : std_logic;
SIGNAL \led_flash_cnt[63][6]~27772_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][6]~q\ : std_logic;
SIGNAL \WideAnd63~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][6]~27773\ : std_logic;
SIGNAL \led_flash_cnt[63][7]~27774_combout\ : std_logic;
SIGNAL \led_flash_cnt[63][7]~q\ : std_logic;
SIGNAL \WideAnd63~0_combout\ : std_logic;
SIGNAL \WideAnd63~combout\ : std_logic;
SIGNAL \led_flash_cnt[61][0]~80701_combout\ : std_logic;
SIGNAL \led_flash_cnt[61][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[61][1]~27734_combout\ : std_logic;
SIGNAL \led_flash_cnt[61][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[61][1]~27735\ : std_logic;
SIGNAL \led_flash_cnt[61][2]~27736_combout\ : std_logic;
SIGNAL \led_flash_cnt[61][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[61][2]~27737\ : std_logic;
SIGNAL \led_flash_cnt[61][3]~27738_combout\ : std_logic;
SIGNAL \led_flash_cnt[61][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[61][3]~27739\ : std_logic;
SIGNAL \led_flash_cnt[61][4]~27740_combout\ : std_logic;
SIGNAL \led_flash_cnt[61][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[61][4]~27741\ : std_logic;
SIGNAL \led_flash_cnt[61][5]~27742_combout\ : std_logic;
SIGNAL \led_flash_cnt[61][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[61][5]~27743\ : std_logic;
SIGNAL \led_flash_cnt[61][6]~27744_combout\ : std_logic;
SIGNAL \led_flash_cnt[61][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[61][6]~27745\ : std_logic;
SIGNAL \led_flash_cnt[61][7]~27746_combout\ : std_logic;
SIGNAL \led_flash_cnt[61][7]~q\ : std_logic;
SIGNAL \WideAnd61~1_combout\ : std_logic;
SIGNAL \WideAnd61~0_combout\ : std_logic;
SIGNAL \WideAnd61~combout\ : std_logic;
SIGNAL \led_flash_cnt[60][0]~80700_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[60][1]~27720_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[60][1]~27721\ : std_logic;
SIGNAL \led_flash_cnt[60][2]~27722_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[60][2]~27723\ : std_logic;
SIGNAL \led_flash_cnt[60][3]~27724_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[60][3]~27725\ : std_logic;
SIGNAL \led_flash_cnt[60][4]~27726_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][4]~q\ : std_logic;
SIGNAL \WideAnd60~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][4]~27727\ : std_logic;
SIGNAL \led_flash_cnt[60][5]~27728_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[60][5]~27729\ : std_logic;
SIGNAL \led_flash_cnt[60][6]~27730_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][6]~q\ : std_logic;
SIGNAL \WideAnd60~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][6]~27731\ : std_logic;
SIGNAL \led_flash_cnt[60][7]~27732_combout\ : std_logic;
SIGNAL \led_flash_cnt[60][7]~q\ : std_logic;
SIGNAL \WideAnd60~combout\ : std_logic;
SIGNAL \WideAnd3847~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][0]~80702_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[62][1]~27748_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[62][1]~27749\ : std_logic;
SIGNAL \led_flash_cnt[62][2]~27750_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[62][2]~27751\ : std_logic;
SIGNAL \led_flash_cnt[62][3]~27752_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[62][3]~27753\ : std_logic;
SIGNAL \led_flash_cnt[62][4]~27754_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[62][4]~27755\ : std_logic;
SIGNAL \led_flash_cnt[62][5]~27756_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[62][5]~27757\ : std_logic;
SIGNAL \led_flash_cnt[62][6]~27758_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[62][6]~27759\ : std_logic;
SIGNAL \led_flash_cnt[62][7]~27760_combout\ : std_logic;
SIGNAL \led_flash_cnt[62][7]~q\ : std_logic;
SIGNAL \WideAnd62~0_combout\ : std_logic;
SIGNAL \WideAnd62~1_combout\ : std_logic;
SIGNAL \WideAnd62~combout\ : std_logic;
SIGNAL \WideAnd3847~combout\ : std_logic;
SIGNAL \WideAnd4320~combout\ : std_logic;
SIGNAL \led_flash_cnt[132][0]~80772_combout\ : std_logic;
SIGNAL \led_flash_cnt[132][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[132][1]~28728_combout\ : std_logic;
SIGNAL \led_flash_cnt[132][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[132][1]~28729\ : std_logic;
SIGNAL \led_flash_cnt[132][2]~28730_combout\ : std_logic;
SIGNAL \led_flash_cnt[132][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[132][2]~28731\ : std_logic;
SIGNAL \led_flash_cnt[132][3]~28732_combout\ : std_logic;
SIGNAL \led_flash_cnt[132][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[132][3]~28733\ : std_logic;
SIGNAL \led_flash_cnt[132][4]~28734_combout\ : std_logic;
SIGNAL \led_flash_cnt[132][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[132][4]~28735\ : std_logic;
SIGNAL \led_flash_cnt[132][5]~28736_combout\ : std_logic;
SIGNAL \led_flash_cnt[132][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[132][5]~28737\ : std_logic;
SIGNAL \led_flash_cnt[132][6]~28738_combout\ : std_logic;
SIGNAL \led_flash_cnt[132][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[132][6]~28739\ : std_logic;
SIGNAL \led_flash_cnt[132][7]~28740_combout\ : std_logic;
SIGNAL \led_flash_cnt[132][7]~q\ : std_logic;
SIGNAL \WideAnd132~0_combout\ : std_logic;
SIGNAL \WideAnd132~1_combout\ : std_logic;
SIGNAL \WideAnd132~combout\ : std_logic;
SIGNAL \led_flash_cnt[133][0]~80773_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[133][1]~28742_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[133][1]~28743\ : std_logic;
SIGNAL \led_flash_cnt[133][2]~28744_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[133][2]~28745\ : std_logic;
SIGNAL \led_flash_cnt[133][3]~28746_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[133][3]~28747\ : std_logic;
SIGNAL \led_flash_cnt[133][4]~28748_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][4]~q\ : std_logic;
SIGNAL \WideAnd133~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][4]~28749\ : std_logic;
SIGNAL \led_flash_cnt[133][5]~28750_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[133][5]~28751\ : std_logic;
SIGNAL \led_flash_cnt[133][6]~28752_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][6]~q\ : std_logic;
SIGNAL \WideAnd133~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][6]~28753\ : std_logic;
SIGNAL \led_flash_cnt[133][7]~28754_combout\ : std_logic;
SIGNAL \led_flash_cnt[133][7]~q\ : std_logic;
SIGNAL \WideAnd133~combout\ : std_logic;
SIGNAL \WideAnd3856~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][0]~80775_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[135][1]~28770_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[135][1]~28771\ : std_logic;
SIGNAL \led_flash_cnt[135][2]~28772_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[135][2]~28773\ : std_logic;
SIGNAL \led_flash_cnt[135][3]~28774_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[135][3]~28775\ : std_logic;
SIGNAL \led_flash_cnt[135][4]~28776_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[135][4]~28777\ : std_logic;
SIGNAL \led_flash_cnt[135][5]~28778_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[135][5]~28779\ : std_logic;
SIGNAL \led_flash_cnt[135][6]~28780_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[135][6]~28781\ : std_logic;
SIGNAL \led_flash_cnt[135][7]~28782_combout\ : std_logic;
SIGNAL \led_flash_cnt[135][7]~q\ : std_logic;
SIGNAL \WideAnd135~0_combout\ : std_logic;
SIGNAL \WideAnd135~1_combout\ : std_logic;
SIGNAL \WideAnd135~combout\ : std_logic;
SIGNAL \led_flash_cnt[130][0]~80770_combout\ : std_logic;
SIGNAL \led_flash_cnt[130][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[130][1]~28700_combout\ : std_logic;
SIGNAL \led_flash_cnt[130][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[130][1]~28701\ : std_logic;
SIGNAL \led_flash_cnt[130][2]~28702_combout\ : std_logic;
SIGNAL \led_flash_cnt[130][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[130][2]~28703\ : std_logic;
SIGNAL \led_flash_cnt[130][3]~28704_combout\ : std_logic;
SIGNAL \led_flash_cnt[130][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[130][3]~28705\ : std_logic;
SIGNAL \led_flash_cnt[130][4]~28706_combout\ : std_logic;
SIGNAL \led_flash_cnt[130][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[130][4]~28707\ : std_logic;
SIGNAL \led_flash_cnt[130][5]~28708_combout\ : std_logic;
SIGNAL \led_flash_cnt[130][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[130][5]~28709\ : std_logic;
SIGNAL \led_flash_cnt[130][6]~28710_combout\ : std_logic;
SIGNAL \led_flash_cnt[130][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[130][6]~28711\ : std_logic;
SIGNAL \led_flash_cnt[130][7]~28712_combout\ : std_logic;
SIGNAL \led_flash_cnt[130][7]~q\ : std_logic;
SIGNAL \WideAnd130~1_combout\ : std_logic;
SIGNAL \WideAnd130~0_combout\ : std_logic;
SIGNAL \WideAnd130~combout\ : std_logic;
SIGNAL \led_flash_cnt[129][0]~80769_combout\ : std_logic;
SIGNAL \led_flash_cnt[129][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[129][1]~28686_combout\ : std_logic;
SIGNAL \led_flash_cnt[129][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[129][1]~28687\ : std_logic;
SIGNAL \led_flash_cnt[129][2]~28688_combout\ : std_logic;
SIGNAL \led_flash_cnt[129][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[129][2]~28689\ : std_logic;
SIGNAL \led_flash_cnt[129][3]~28690_combout\ : std_logic;
SIGNAL \led_flash_cnt[129][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[129][3]~28691\ : std_logic;
SIGNAL \led_flash_cnt[129][4]~28692_combout\ : std_logic;
SIGNAL \led_flash_cnt[129][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[129][4]~28693\ : std_logic;
SIGNAL \led_flash_cnt[129][5]~28694_combout\ : std_logic;
SIGNAL \led_flash_cnt[129][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[129][5]~28695\ : std_logic;
SIGNAL \led_flash_cnt[129][6]~28696_combout\ : std_logic;
SIGNAL \led_flash_cnt[129][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[129][6]~28697\ : std_logic;
SIGNAL \led_flash_cnt[129][7]~28698_combout\ : std_logic;
SIGNAL \led_flash_cnt[129][7]~q\ : std_logic;
SIGNAL \WideAnd129~0_combout\ : std_logic;
SIGNAL \WideAnd129~1_combout\ : std_logic;
SIGNAL \WideAnd129~combout\ : std_logic;
SIGNAL \led_flash_cnt[131][0]~80771_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[131][1]~28714_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[131][1]~28715\ : std_logic;
SIGNAL \led_flash_cnt[131][2]~28716_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[131][2]~28717\ : std_logic;
SIGNAL \led_flash_cnt[131][3]~28718_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[131][3]~28719\ : std_logic;
SIGNAL \led_flash_cnt[131][4]~28720_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][4]~q\ : std_logic;
SIGNAL \WideAnd131~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][4]~28721\ : std_logic;
SIGNAL \led_flash_cnt[131][5]~28722_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[131][5]~28723\ : std_logic;
SIGNAL \led_flash_cnt[131][6]~28724_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][6]~q\ : std_logic;
SIGNAL \WideAnd131~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][6]~28725\ : std_logic;
SIGNAL \led_flash_cnt[131][7]~28726_combout\ : std_logic;
SIGNAL \led_flash_cnt[131][7]~q\ : std_logic;
SIGNAL \WideAnd131~combout\ : std_logic;
SIGNAL \led_flash_cnt[128][0]~80768_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[128][1]~28672_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[128][1]~28673\ : std_logic;
SIGNAL \led_flash_cnt[128][2]~28674_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[128][2]~28675\ : std_logic;
SIGNAL \led_flash_cnt[128][3]~28676_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[128][3]~28677\ : std_logic;
SIGNAL \led_flash_cnt[128][4]~28678_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[128][4]~28679\ : std_logic;
SIGNAL \led_flash_cnt[128][5]~28680_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[128][5]~28681\ : std_logic;
SIGNAL \led_flash_cnt[128][6]~28682_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][6]~q\ : std_logic;
SIGNAL \WideAnd128~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][6]~28683\ : std_logic;
SIGNAL \led_flash_cnt[128][7]~28684_combout\ : std_logic;
SIGNAL \led_flash_cnt[128][7]~q\ : std_logic;
SIGNAL \WideAnd128~0_combout\ : std_logic;
SIGNAL \WideAnd128~combout\ : std_logic;
SIGNAL \WideAnd3856~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][0]~80774_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[134][1]~28756_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[134][1]~28757\ : std_logic;
SIGNAL \led_flash_cnt[134][2]~28758_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[134][2]~28759\ : std_logic;
SIGNAL \led_flash_cnt[134][3]~28760_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[134][3]~28761\ : std_logic;
SIGNAL \led_flash_cnt[134][4]~28762_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[134][4]~28763\ : std_logic;
SIGNAL \led_flash_cnt[134][5]~28764_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[134][5]~28765\ : std_logic;
SIGNAL \led_flash_cnt[134][6]~28766_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[134][6]~28767\ : std_logic;
SIGNAL \led_flash_cnt[134][7]~28768_combout\ : std_logic;
SIGNAL \led_flash_cnt[134][7]~q\ : std_logic;
SIGNAL \WideAnd134~0_combout\ : std_logic;
SIGNAL \WideAnd134~1_combout\ : std_logic;
SIGNAL \WideAnd134~combout\ : std_logic;
SIGNAL \WideAnd3856~combout\ : std_logic;
SIGNAL \led_flash_cnt[140][0]~80780_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[140][1]~28840_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[140][1]~28841\ : std_logic;
SIGNAL \led_flash_cnt[140][2]~28842_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[140][2]~28843\ : std_logic;
SIGNAL \led_flash_cnt[140][3]~28844_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[140][3]~28845\ : std_logic;
SIGNAL \led_flash_cnt[140][4]~28846_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][4]~q\ : std_logic;
SIGNAL \WideAnd140~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][4]~28847\ : std_logic;
SIGNAL \led_flash_cnt[140][5]~28848_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[140][5]~28849\ : std_logic;
SIGNAL \led_flash_cnt[140][6]~28850_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[140][6]~28851\ : std_logic;
SIGNAL \led_flash_cnt[140][7]~28852_combout\ : std_logic;
SIGNAL \led_flash_cnt[140][7]~q\ : std_logic;
SIGNAL \WideAnd140~1_combout\ : std_logic;
SIGNAL \WideAnd140~combout\ : std_logic;
SIGNAL \led_flash_cnt[141][0]~80781_combout\ : std_logic;
SIGNAL \led_flash_cnt[141][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[141][1]~28854_combout\ : std_logic;
SIGNAL \led_flash_cnt[141][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[141][1]~28855\ : std_logic;
SIGNAL \led_flash_cnt[141][2]~28856_combout\ : std_logic;
SIGNAL \led_flash_cnt[141][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[141][2]~28857\ : std_logic;
SIGNAL \led_flash_cnt[141][3]~28858_combout\ : std_logic;
SIGNAL \led_flash_cnt[141][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[141][3]~28859\ : std_logic;
SIGNAL \led_flash_cnt[141][4]~28860_combout\ : std_logic;
SIGNAL \led_flash_cnt[141][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[141][4]~28861\ : std_logic;
SIGNAL \led_flash_cnt[141][5]~28862_combout\ : std_logic;
SIGNAL \led_flash_cnt[141][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[141][5]~28863\ : std_logic;
SIGNAL \led_flash_cnt[141][6]~28864_combout\ : std_logic;
SIGNAL \led_flash_cnt[141][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[141][6]~28865\ : std_logic;
SIGNAL \led_flash_cnt[141][7]~28866_combout\ : std_logic;
SIGNAL \led_flash_cnt[141][7]~q\ : std_logic;
SIGNAL \WideAnd141~1_combout\ : std_logic;
SIGNAL \WideAnd141~0_combout\ : std_logic;
SIGNAL \WideAnd141~combout\ : std_logic;
SIGNAL \WideAnd3857~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][0]~80779_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[139][1]~28826_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[139][1]~28827\ : std_logic;
SIGNAL \led_flash_cnt[139][2]~28828_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[139][2]~28829\ : std_logic;
SIGNAL \led_flash_cnt[139][3]~28830_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[139][3]~28831\ : std_logic;
SIGNAL \led_flash_cnt[139][4]~28832_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[139][4]~28833\ : std_logic;
SIGNAL \led_flash_cnt[139][5]~28834_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[139][5]~28835\ : std_logic;
SIGNAL \led_flash_cnt[139][6]~28836_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[139][6]~28837\ : std_logic;
SIGNAL \led_flash_cnt[139][7]~28838_combout\ : std_logic;
SIGNAL \led_flash_cnt[139][7]~q\ : std_logic;
SIGNAL \WideAnd139~0_combout\ : std_logic;
SIGNAL \WideAnd139~1_combout\ : std_logic;
SIGNAL \WideAnd139~combout\ : std_logic;
SIGNAL \led_flash_cnt[136][0]~80776_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[136][1]~28784_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[136][1]~28785\ : std_logic;
SIGNAL \led_flash_cnt[136][2]~28786_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[136][2]~28787\ : std_logic;
SIGNAL \led_flash_cnt[136][3]~28788_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[136][3]~28789\ : std_logic;
SIGNAL \led_flash_cnt[136][4]~28790_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][4]~q\ : std_logic;
SIGNAL \WideAnd136~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][4]~28791\ : std_logic;
SIGNAL \led_flash_cnt[136][5]~28792_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[136][5]~28793\ : std_logic;
SIGNAL \led_flash_cnt[136][6]~28794_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][6]~q\ : std_logic;
SIGNAL \WideAnd136~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][6]~28795\ : std_logic;
SIGNAL \led_flash_cnt[136][7]~28796_combout\ : std_logic;
SIGNAL \led_flash_cnt[136][7]~q\ : std_logic;
SIGNAL \WideAnd136~combout\ : std_logic;
SIGNAL \led_flash_cnt[138][0]~80778_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[138][1]~28812_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[138][1]~28813\ : std_logic;
SIGNAL \led_flash_cnt[138][2]~28814_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[138][2]~28815\ : std_logic;
SIGNAL \led_flash_cnt[138][3]~28816_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[138][3]~28817\ : std_logic;
SIGNAL \led_flash_cnt[138][4]~28818_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[138][4]~28819\ : std_logic;
SIGNAL \led_flash_cnt[138][5]~28820_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[138][5]~28821\ : std_logic;
SIGNAL \led_flash_cnt[138][6]~28822_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][6]~q\ : std_logic;
SIGNAL \WideAnd138~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][6]~28823\ : std_logic;
SIGNAL \led_flash_cnt[138][7]~28824_combout\ : std_logic;
SIGNAL \led_flash_cnt[138][7]~q\ : std_logic;
SIGNAL \WideAnd138~0_combout\ : std_logic;
SIGNAL \WideAnd138~combout\ : std_logic;
SIGNAL \led_flash_cnt[137][0]~80777_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[137][1]~28798_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[137][1]~28799\ : std_logic;
SIGNAL \led_flash_cnt[137][2]~28800_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[137][2]~28801\ : std_logic;
SIGNAL \led_flash_cnt[137][3]~28802_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[137][3]~28803\ : std_logic;
SIGNAL \led_flash_cnt[137][4]~28804_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][4]~q\ : std_logic;
SIGNAL \WideAnd137~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][4]~28805\ : std_logic;
SIGNAL \led_flash_cnt[137][5]~28806_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[137][5]~28807\ : std_logic;
SIGNAL \led_flash_cnt[137][6]~28808_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[137][6]~28809\ : std_logic;
SIGNAL \led_flash_cnt[137][7]~28810_combout\ : std_logic;
SIGNAL \led_flash_cnt[137][7]~q\ : std_logic;
SIGNAL \WideAnd137~1_combout\ : std_logic;
SIGNAL \WideAnd137~combout\ : std_logic;
SIGNAL \WideAnd3857~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][0]~80782_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[142][1]~28868_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[142][1]~28869\ : std_logic;
SIGNAL \led_flash_cnt[142][2]~28870_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[142][2]~28871\ : std_logic;
SIGNAL \led_flash_cnt[142][3]~28872_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[142][3]~28873\ : std_logic;
SIGNAL \led_flash_cnt[142][4]~28874_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][4]~q\ : std_logic;
SIGNAL \WideAnd142~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][4]~28875\ : std_logic;
SIGNAL \led_flash_cnt[142][5]~28876_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[142][5]~28877\ : std_logic;
SIGNAL \led_flash_cnt[142][6]~28878_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][6]~q\ : std_logic;
SIGNAL \WideAnd142~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][6]~28879\ : std_logic;
SIGNAL \led_flash_cnt[142][7]~28880_combout\ : std_logic;
SIGNAL \led_flash_cnt[142][7]~q\ : std_logic;
SIGNAL \WideAnd142~combout\ : std_logic;
SIGNAL \led_flash_cnt[143][0]~80783_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[143][1]~28882_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[143][1]~28883\ : std_logic;
SIGNAL \led_flash_cnt[143][2]~28884_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[143][2]~28885\ : std_logic;
SIGNAL \led_flash_cnt[143][3]~28886_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[143][3]~28887\ : std_logic;
SIGNAL \led_flash_cnt[143][4]~28888_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[143][4]~28889\ : std_logic;
SIGNAL \led_flash_cnt[143][5]~28890_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[143][5]~28891\ : std_logic;
SIGNAL \led_flash_cnt[143][6]~28892_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][6]~q\ : std_logic;
SIGNAL \WideAnd143~1_combout\ : std_logic;
SIGNAL \WideAnd143~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][6]~28893\ : std_logic;
SIGNAL \led_flash_cnt[143][7]~28894_combout\ : std_logic;
SIGNAL \led_flash_cnt[143][7]~q\ : std_logic;
SIGNAL \WideAnd143~combout\ : std_logic;
SIGNAL \WideAnd3857~combout\ : std_logic;
SIGNAL \led_flash_cnt[158][0]~80798_combout\ : std_logic;
SIGNAL \led_flash_cnt[158][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[158][1]~29092_combout\ : std_logic;
SIGNAL \led_flash_cnt[158][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[158][1]~29093\ : std_logic;
SIGNAL \led_flash_cnt[158][2]~29094_combout\ : std_logic;
SIGNAL \led_flash_cnt[158][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[158][2]~29095\ : std_logic;
SIGNAL \led_flash_cnt[158][3]~29096_combout\ : std_logic;
SIGNAL \led_flash_cnt[158][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[158][3]~29097\ : std_logic;
SIGNAL \led_flash_cnt[158][4]~29098_combout\ : std_logic;
SIGNAL \led_flash_cnt[158][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[158][4]~29099\ : std_logic;
SIGNAL \led_flash_cnt[158][5]~29100_combout\ : std_logic;
SIGNAL \led_flash_cnt[158][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[158][5]~29101\ : std_logic;
SIGNAL \led_flash_cnt[158][6]~29102_combout\ : std_logic;
SIGNAL \led_flash_cnt[158][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[158][6]~29103\ : std_logic;
SIGNAL \led_flash_cnt[158][7]~29104_combout\ : std_logic;
SIGNAL \led_flash_cnt[158][7]~q\ : std_logic;
SIGNAL \WideAnd158~1_combout\ : std_logic;
SIGNAL \WideAnd158~0_combout\ : std_logic;
SIGNAL \WideAnd158~combout\ : std_logic;
SIGNAL \led_flash_cnt[153][0]~80793_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[153][1]~29022_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[153][1]~29023\ : std_logic;
SIGNAL \led_flash_cnt[153][2]~29024_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[153][2]~29025\ : std_logic;
SIGNAL \led_flash_cnt[153][3]~29026_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[153][3]~29027\ : std_logic;
SIGNAL \led_flash_cnt[153][4]~29028_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][4]~q\ : std_logic;
SIGNAL \WideAnd153~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][4]~29029\ : std_logic;
SIGNAL \led_flash_cnt[153][5]~29030_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[153][5]~29031\ : std_logic;
SIGNAL \led_flash_cnt[153][6]~29032_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][6]~q\ : std_logic;
SIGNAL \WideAnd153~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][6]~29033\ : std_logic;
SIGNAL \led_flash_cnt[153][7]~29034_combout\ : std_logic;
SIGNAL \led_flash_cnt[153][7]~q\ : std_logic;
SIGNAL \WideAnd153~combout\ : std_logic;
SIGNAL \led_flash_cnt[155][0]~80795_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[155][1]~29050_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[155][1]~29051\ : std_logic;
SIGNAL \led_flash_cnt[155][2]~29052_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[155][2]~29053\ : std_logic;
SIGNAL \led_flash_cnt[155][3]~29054_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[155][3]~29055\ : std_logic;
SIGNAL \led_flash_cnt[155][4]~29056_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[155][4]~29057\ : std_logic;
SIGNAL \led_flash_cnt[155][5]~29058_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[155][5]~29059\ : std_logic;
SIGNAL \led_flash_cnt[155][6]~29060_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][6]~q\ : std_logic;
SIGNAL \WideAnd155~1_combout\ : std_logic;
SIGNAL \WideAnd155~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][6]~29061\ : std_logic;
SIGNAL \led_flash_cnt[155][7]~29062_combout\ : std_logic;
SIGNAL \led_flash_cnt[155][7]~q\ : std_logic;
SIGNAL \WideAnd155~combout\ : std_logic;
SIGNAL \led_flash_cnt[152][0]~80792_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[152][1]~29008_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[152][1]~29009\ : std_logic;
SIGNAL \led_flash_cnt[152][2]~29010_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[152][2]~29011\ : std_logic;
SIGNAL \led_flash_cnt[152][3]~29012_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[152][3]~29013\ : std_logic;
SIGNAL \led_flash_cnt[152][4]~29014_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[152][4]~29015\ : std_logic;
SIGNAL \led_flash_cnt[152][5]~29016_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[152][5]~29017\ : std_logic;
SIGNAL \led_flash_cnt[152][6]~29018_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][6]~q\ : std_logic;
SIGNAL \WideAnd152~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][6]~29019\ : std_logic;
SIGNAL \led_flash_cnt[152][7]~29020_combout\ : std_logic;
SIGNAL \led_flash_cnt[152][7]~q\ : std_logic;
SIGNAL \WideAnd152~0_combout\ : std_logic;
SIGNAL \WideAnd152~combout\ : std_logic;
SIGNAL \led_flash_cnt[154][0]~80794_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[154][1]~29036_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[154][1]~29037\ : std_logic;
SIGNAL \led_flash_cnt[154][2]~29038_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[154][2]~29039\ : std_logic;
SIGNAL \led_flash_cnt[154][3]~29040_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[154][3]~29041\ : std_logic;
SIGNAL \led_flash_cnt[154][4]~29042_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[154][4]~29043\ : std_logic;
SIGNAL \led_flash_cnt[154][5]~29044_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[154][5]~29045\ : std_logic;
SIGNAL \led_flash_cnt[154][6]~29046_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][6]~q\ : std_logic;
SIGNAL \WideAnd154~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][6]~29047\ : std_logic;
SIGNAL \led_flash_cnt[154][7]~29048_combout\ : std_logic;
SIGNAL \led_flash_cnt[154][7]~q\ : std_logic;
SIGNAL \WideAnd154~0_combout\ : std_logic;
SIGNAL \WideAnd154~combout\ : std_logic;
SIGNAL \WideAnd3859~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][0]~80797_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[157][1]~29078_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[157][1]~29079\ : std_logic;
SIGNAL \led_flash_cnt[157][2]~29080_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[157][2]~29081\ : std_logic;
SIGNAL \led_flash_cnt[157][3]~29082_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[157][3]~29083\ : std_logic;
SIGNAL \led_flash_cnt[157][4]~29084_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[157][4]~29085\ : std_logic;
SIGNAL \led_flash_cnt[157][5]~29086_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[157][5]~29087\ : std_logic;
SIGNAL \led_flash_cnt[157][6]~29088_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[157][6]~29089\ : std_logic;
SIGNAL \led_flash_cnt[157][7]~29090_combout\ : std_logic;
SIGNAL \led_flash_cnt[157][7]~q\ : std_logic;
SIGNAL \WideAnd157~1_combout\ : std_logic;
SIGNAL \WideAnd157~0_combout\ : std_logic;
SIGNAL \WideAnd157~combout\ : std_logic;
SIGNAL \led_flash_cnt[156][0]~80796_combout\ : std_logic;
SIGNAL \led_flash_cnt[156][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[156][1]~29064_combout\ : std_logic;
SIGNAL \led_flash_cnt[156][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[156][1]~29065\ : std_logic;
SIGNAL \led_flash_cnt[156][2]~29066_combout\ : std_logic;
SIGNAL \led_flash_cnt[156][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[156][2]~29067\ : std_logic;
SIGNAL \led_flash_cnt[156][3]~29068_combout\ : std_logic;
SIGNAL \led_flash_cnt[156][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[156][3]~29069\ : std_logic;
SIGNAL \led_flash_cnt[156][4]~29070_combout\ : std_logic;
SIGNAL \led_flash_cnt[156][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[156][4]~29071\ : std_logic;
SIGNAL \led_flash_cnt[156][5]~29072_combout\ : std_logic;
SIGNAL \led_flash_cnt[156][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[156][5]~29073\ : std_logic;
SIGNAL \led_flash_cnt[156][6]~29074_combout\ : std_logic;
SIGNAL \led_flash_cnt[156][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[156][6]~29075\ : std_logic;
SIGNAL \led_flash_cnt[156][7]~29076_combout\ : std_logic;
SIGNAL \led_flash_cnt[156][7]~q\ : std_logic;
SIGNAL \WideAnd156~1_combout\ : std_logic;
SIGNAL \WideAnd156~0_combout\ : std_logic;
SIGNAL \WideAnd156~combout\ : std_logic;
SIGNAL \WideAnd3859~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][0]~80799_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[159][1]~29106_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[159][1]~29107\ : std_logic;
SIGNAL \led_flash_cnt[159][2]~29108_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[159][2]~29109\ : std_logic;
SIGNAL \led_flash_cnt[159][3]~29110_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[159][3]~29111\ : std_logic;
SIGNAL \led_flash_cnt[159][4]~29112_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][4]~q\ : std_logic;
SIGNAL \WideAnd159~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][4]~29113\ : std_logic;
SIGNAL \led_flash_cnt[159][5]~29114_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[159][5]~29115\ : std_logic;
SIGNAL \led_flash_cnt[159][6]~29116_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][6]~q\ : std_logic;
SIGNAL \WideAnd159~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][6]~29117\ : std_logic;
SIGNAL \led_flash_cnt[159][7]~29118_combout\ : std_logic;
SIGNAL \led_flash_cnt[159][7]~q\ : std_logic;
SIGNAL \WideAnd159~combout\ : std_logic;
SIGNAL \WideAnd3859~combout\ : std_logic;
SIGNAL \led_flash_cnt[148][0]~80788_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[148][1]~28952_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[148][1]~28953\ : std_logic;
SIGNAL \led_flash_cnt[148][2]~28954_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[148][2]~28955\ : std_logic;
SIGNAL \led_flash_cnt[148][3]~28956_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[148][3]~28957\ : std_logic;
SIGNAL \led_flash_cnt[148][4]~28958_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[148][4]~28959\ : std_logic;
SIGNAL \led_flash_cnt[148][5]~28960_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[148][5]~28961\ : std_logic;
SIGNAL \led_flash_cnt[148][6]~28962_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][6]~q\ : std_logic;
SIGNAL \WideAnd148~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][6]~28963\ : std_logic;
SIGNAL \led_flash_cnt[148][7]~28964_combout\ : std_logic;
SIGNAL \led_flash_cnt[148][7]~q\ : std_logic;
SIGNAL \WideAnd148~0_combout\ : std_logic;
SIGNAL \WideAnd148~combout\ : std_logic;
SIGNAL \led_flash_cnt[149][0]~80789_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[149][1]~28966_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[149][1]~28967\ : std_logic;
SIGNAL \led_flash_cnt[149][2]~28968_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[149][2]~28969\ : std_logic;
SIGNAL \led_flash_cnt[149][3]~28970_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[149][3]~28971\ : std_logic;
SIGNAL \led_flash_cnt[149][4]~28972_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[149][4]~28973\ : std_logic;
SIGNAL \led_flash_cnt[149][5]~28974_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[149][5]~28975\ : std_logic;
SIGNAL \led_flash_cnt[149][6]~28976_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][6]~q\ : std_logic;
SIGNAL \WideAnd149~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][6]~28977\ : std_logic;
SIGNAL \led_flash_cnt[149][7]~28978_combout\ : std_logic;
SIGNAL \led_flash_cnt[149][7]~q\ : std_logic;
SIGNAL \WideAnd149~0_combout\ : std_logic;
SIGNAL \WideAnd149~combout\ : std_logic;
SIGNAL \WideAnd3858~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][0]~80791_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[151][1]~28994_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[151][1]~28995\ : std_logic;
SIGNAL \led_flash_cnt[151][2]~28996_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[151][2]~28997\ : std_logic;
SIGNAL \led_flash_cnt[151][3]~28998_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[151][3]~28999\ : std_logic;
SIGNAL \led_flash_cnt[151][4]~29000_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[151][4]~29001\ : std_logic;
SIGNAL \led_flash_cnt[151][5]~29002_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[151][5]~29003\ : std_logic;
SIGNAL \led_flash_cnt[151][6]~29004_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][6]~q\ : std_logic;
SIGNAL \WideAnd151~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][6]~29005\ : std_logic;
SIGNAL \led_flash_cnt[151][7]~29006_combout\ : std_logic;
SIGNAL \led_flash_cnt[151][7]~q\ : std_logic;
SIGNAL \WideAnd151~0_combout\ : std_logic;
SIGNAL \WideAnd151~combout\ : std_logic;
SIGNAL \led_flash_cnt[150][0]~80790_combout\ : std_logic;
SIGNAL \led_flash_cnt[150][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[150][1]~28980_combout\ : std_logic;
SIGNAL \led_flash_cnt[150][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[150][1]~28981\ : std_logic;
SIGNAL \led_flash_cnt[150][2]~28982_combout\ : std_logic;
SIGNAL \led_flash_cnt[150][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[150][2]~28983\ : std_logic;
SIGNAL \led_flash_cnt[150][3]~28984_combout\ : std_logic;
SIGNAL \led_flash_cnt[150][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[150][3]~28985\ : std_logic;
SIGNAL \led_flash_cnt[150][4]~28986_combout\ : std_logic;
SIGNAL \led_flash_cnt[150][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[150][4]~28987\ : std_logic;
SIGNAL \led_flash_cnt[150][5]~28988_combout\ : std_logic;
SIGNAL \led_flash_cnt[150][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[150][5]~28989\ : std_logic;
SIGNAL \led_flash_cnt[150][6]~28990_combout\ : std_logic;
SIGNAL \led_flash_cnt[150][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[150][6]~28991\ : std_logic;
SIGNAL \led_flash_cnt[150][7]~28992_combout\ : std_logic;
SIGNAL \led_flash_cnt[150][7]~q\ : std_logic;
SIGNAL \WideAnd150~1_combout\ : std_logic;
SIGNAL \WideAnd150~0_combout\ : std_logic;
SIGNAL \WideAnd150~combout\ : std_logic;
SIGNAL \led_flash_cnt[145][0]~80785_combout\ : std_logic;
SIGNAL \led_flash_cnt[145][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[145][1]~28910_combout\ : std_logic;
SIGNAL \led_flash_cnt[145][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[145][1]~28911\ : std_logic;
SIGNAL \led_flash_cnt[145][2]~28912_combout\ : std_logic;
SIGNAL \led_flash_cnt[145][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[145][2]~28913\ : std_logic;
SIGNAL \led_flash_cnt[145][3]~28914_combout\ : std_logic;
SIGNAL \led_flash_cnt[145][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[145][3]~28915\ : std_logic;
SIGNAL \led_flash_cnt[145][4]~28916_combout\ : std_logic;
SIGNAL \led_flash_cnt[145][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[145][4]~28917\ : std_logic;
SIGNAL \led_flash_cnt[145][5]~28918_combout\ : std_logic;
SIGNAL \led_flash_cnt[145][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[145][5]~28919\ : std_logic;
SIGNAL \led_flash_cnt[145][6]~28920_combout\ : std_logic;
SIGNAL \led_flash_cnt[145][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[145][6]~28921\ : std_logic;
SIGNAL \led_flash_cnt[145][7]~28922_combout\ : std_logic;
SIGNAL \led_flash_cnt[145][7]~q\ : std_logic;
SIGNAL \WideAnd145~1_combout\ : std_logic;
SIGNAL \WideAnd145~0_combout\ : std_logic;
SIGNAL \WideAnd145~combout\ : std_logic;
SIGNAL \led_flash_cnt[146][0]~80786_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[146][1]~28924_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[146][1]~28925\ : std_logic;
SIGNAL \led_flash_cnt[146][2]~28926_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[146][2]~28927\ : std_logic;
SIGNAL \led_flash_cnt[146][3]~28928_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[146][3]~28929\ : std_logic;
SIGNAL \led_flash_cnt[146][4]~28930_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[146][4]~28931\ : std_logic;
SIGNAL \led_flash_cnt[146][5]~28932_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[146][5]~28933\ : std_logic;
SIGNAL \led_flash_cnt[146][6]~28934_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][6]~q\ : std_logic;
SIGNAL \WideAnd146~1_combout\ : std_logic;
SIGNAL \WideAnd146~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][6]~28935\ : std_logic;
SIGNAL \led_flash_cnt[146][7]~28936_combout\ : std_logic;
SIGNAL \led_flash_cnt[146][7]~q\ : std_logic;
SIGNAL \WideAnd146~combout\ : std_logic;
SIGNAL \led_flash_cnt[147][0]~80787_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[147][1]~28938_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[147][1]~28939\ : std_logic;
SIGNAL \led_flash_cnt[147][2]~28940_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[147][2]~28941\ : std_logic;
SIGNAL \led_flash_cnt[147][3]~28942_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[147][3]~28943\ : std_logic;
SIGNAL \led_flash_cnt[147][4]~28944_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[147][4]~28945\ : std_logic;
SIGNAL \led_flash_cnt[147][5]~28946_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[147][5]~28947\ : std_logic;
SIGNAL \led_flash_cnt[147][6]~28948_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][6]~q\ : std_logic;
SIGNAL \WideAnd147~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][6]~28949\ : std_logic;
SIGNAL \led_flash_cnt[147][7]~28950_combout\ : std_logic;
SIGNAL \led_flash_cnt[147][7]~q\ : std_logic;
SIGNAL \WideAnd147~0_combout\ : std_logic;
SIGNAL \WideAnd147~combout\ : std_logic;
SIGNAL \led_flash_cnt[144][0]~80784_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[144][1]~28896_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[144][1]~28897\ : std_logic;
SIGNAL \led_flash_cnt[144][2]~28898_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[144][2]~28899\ : std_logic;
SIGNAL \led_flash_cnt[144][3]~28900_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[144][3]~28901\ : std_logic;
SIGNAL \led_flash_cnt[144][4]~28902_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][4]~q\ : std_logic;
SIGNAL \WideAnd144~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][4]~28903\ : std_logic;
SIGNAL \led_flash_cnt[144][5]~28904_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[144][5]~28905\ : std_logic;
SIGNAL \led_flash_cnt[144][6]~28906_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[144][6]~28907\ : std_logic;
SIGNAL \led_flash_cnt[144][7]~28908_combout\ : std_logic;
SIGNAL \led_flash_cnt[144][7]~q\ : std_logic;
SIGNAL \WideAnd144~1_combout\ : std_logic;
SIGNAL \WideAnd144~combout\ : std_logic;
SIGNAL \WideAnd3858~0_combout\ : std_logic;
SIGNAL \WideAnd3858~combout\ : std_logic;
SIGNAL \WideAnd4322~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][0]~80820_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[180][1]~29400_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[180][1]~29401\ : std_logic;
SIGNAL \led_flash_cnt[180][2]~29402_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[180][2]~29403\ : std_logic;
SIGNAL \led_flash_cnt[180][3]~29404_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[180][3]~29405\ : std_logic;
SIGNAL \led_flash_cnt[180][4]~29406_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[180][4]~29407\ : std_logic;
SIGNAL \led_flash_cnt[180][5]~29408_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[180][5]~29409\ : std_logic;
SIGNAL \led_flash_cnt[180][6]~29410_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[180][6]~29411\ : std_logic;
SIGNAL \led_flash_cnt[180][7]~29412_combout\ : std_logic;
SIGNAL \led_flash_cnt[180][7]~q\ : std_logic;
SIGNAL \WideAnd180~1_combout\ : std_logic;
SIGNAL \WideAnd180~0_combout\ : std_logic;
SIGNAL \WideAnd180~combout\ : std_logic;
SIGNAL \led_flash_cnt[181][0]~80821_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[181][1]~29414_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[181][1]~29415\ : std_logic;
SIGNAL \led_flash_cnt[181][2]~29416_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[181][2]~29417\ : std_logic;
SIGNAL \led_flash_cnt[181][3]~29418_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[181][3]~29419\ : std_logic;
SIGNAL \led_flash_cnt[181][4]~29420_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[181][4]~29421\ : std_logic;
SIGNAL \led_flash_cnt[181][5]~29422_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[181][5]~29423\ : std_logic;
SIGNAL \led_flash_cnt[181][6]~29424_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][6]~q\ : std_logic;
SIGNAL \WideAnd181~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][6]~29425\ : std_logic;
SIGNAL \led_flash_cnt[181][7]~29426_combout\ : std_logic;
SIGNAL \led_flash_cnt[181][7]~q\ : std_logic;
SIGNAL \WideAnd181~0_combout\ : std_logic;
SIGNAL \WideAnd181~combout\ : std_logic;
SIGNAL \WideAnd3862~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][0]~80823_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[183][1]~29442_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[183][1]~29443\ : std_logic;
SIGNAL \led_flash_cnt[183][2]~29444_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[183][2]~29445\ : std_logic;
SIGNAL \led_flash_cnt[183][3]~29446_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[183][3]~29447\ : std_logic;
SIGNAL \led_flash_cnt[183][4]~29448_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[183][4]~29449\ : std_logic;
SIGNAL \led_flash_cnt[183][5]~29450_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[183][5]~29451\ : std_logic;
SIGNAL \led_flash_cnt[183][6]~29452_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][6]~q\ : std_logic;
SIGNAL \WideAnd183~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][6]~29453\ : std_logic;
SIGNAL \led_flash_cnt[183][7]~29454_combout\ : std_logic;
SIGNAL \led_flash_cnt[183][7]~q\ : std_logic;
SIGNAL \WideAnd183~0_combout\ : std_logic;
SIGNAL \WideAnd183~combout\ : std_logic;
SIGNAL \led_flash_cnt[176][0]~80816_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[176][1]~29344_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[176][1]~29345\ : std_logic;
SIGNAL \led_flash_cnt[176][2]~29346_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[176][2]~29347\ : std_logic;
SIGNAL \led_flash_cnt[176][3]~29348_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[176][3]~29349\ : std_logic;
SIGNAL \led_flash_cnt[176][4]~29350_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[176][4]~29351\ : std_logic;
SIGNAL \led_flash_cnt[176][5]~29352_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[176][5]~29353\ : std_logic;
SIGNAL \led_flash_cnt[176][6]~29354_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][6]~q\ : std_logic;
SIGNAL \WideAnd176~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][6]~29355\ : std_logic;
SIGNAL \led_flash_cnt[176][7]~29356_combout\ : std_logic;
SIGNAL \led_flash_cnt[176][7]~q\ : std_logic;
SIGNAL \WideAnd176~0_combout\ : std_logic;
SIGNAL \WideAnd176~combout\ : std_logic;
SIGNAL \led_flash_cnt[179][0]~80819_combout\ : std_logic;
SIGNAL \led_flash_cnt[179][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[179][1]~29386_combout\ : std_logic;
SIGNAL \led_flash_cnt[179][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[179][1]~29387\ : std_logic;
SIGNAL \led_flash_cnt[179][2]~29388_combout\ : std_logic;
SIGNAL \led_flash_cnt[179][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[179][2]~29389\ : std_logic;
SIGNAL \led_flash_cnt[179][3]~29390_combout\ : std_logic;
SIGNAL \led_flash_cnt[179][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[179][3]~29391\ : std_logic;
SIGNAL \led_flash_cnt[179][4]~29392_combout\ : std_logic;
SIGNAL \led_flash_cnt[179][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[179][4]~29393\ : std_logic;
SIGNAL \led_flash_cnt[179][5]~29394_combout\ : std_logic;
SIGNAL \led_flash_cnt[179][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[179][5]~29395\ : std_logic;
SIGNAL \led_flash_cnt[179][6]~29396_combout\ : std_logic;
SIGNAL \led_flash_cnt[179][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[179][6]~29397\ : std_logic;
SIGNAL \led_flash_cnt[179][7]~29398_combout\ : std_logic;
SIGNAL \led_flash_cnt[179][7]~q\ : std_logic;
SIGNAL \WideAnd179~1_combout\ : std_logic;
SIGNAL \WideAnd179~0_combout\ : std_logic;
SIGNAL \WideAnd179~combout\ : std_logic;
SIGNAL \led_flash_cnt[177][0]~80817_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[177][1]~29358_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[177][1]~29359\ : std_logic;
SIGNAL \led_flash_cnt[177][2]~29360_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[177][2]~29361\ : std_logic;
SIGNAL \led_flash_cnt[177][3]~29362_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[177][3]~29363\ : std_logic;
SIGNAL \led_flash_cnt[177][4]~29364_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][4]~q\ : std_logic;
SIGNAL \WideAnd177~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][4]~29365\ : std_logic;
SIGNAL \led_flash_cnt[177][5]~29366_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[177][5]~29367\ : std_logic;
SIGNAL \led_flash_cnt[177][6]~29368_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][6]~q\ : std_logic;
SIGNAL \WideAnd177~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][6]~29369\ : std_logic;
SIGNAL \led_flash_cnt[177][7]~29370_combout\ : std_logic;
SIGNAL \led_flash_cnt[177][7]~q\ : std_logic;
SIGNAL \WideAnd177~combout\ : std_logic;
SIGNAL \led_flash_cnt[178][0]~80818_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[178][1]~29372_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[178][1]~29373\ : std_logic;
SIGNAL \led_flash_cnt[178][2]~29374_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[178][2]~29375\ : std_logic;
SIGNAL \led_flash_cnt[178][3]~29376_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[178][3]~29377\ : std_logic;
SIGNAL \led_flash_cnt[178][4]~29378_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[178][4]~29379\ : std_logic;
SIGNAL \led_flash_cnt[178][5]~29380_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[178][5]~29381\ : std_logic;
SIGNAL \led_flash_cnt[178][6]~29382_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][6]~q\ : std_logic;
SIGNAL \WideAnd178~1_combout\ : std_logic;
SIGNAL \WideAnd178~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][6]~29383\ : std_logic;
SIGNAL \led_flash_cnt[178][7]~29384_combout\ : std_logic;
SIGNAL \led_flash_cnt[178][7]~q\ : std_logic;
SIGNAL \WideAnd178~combout\ : std_logic;
SIGNAL \WideAnd3862~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][0]~80822_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[182][1]~29428_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[182][1]~29429\ : std_logic;
SIGNAL \led_flash_cnt[182][2]~29430_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[182][2]~29431\ : std_logic;
SIGNAL \led_flash_cnt[182][3]~29432_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[182][3]~29433\ : std_logic;
SIGNAL \led_flash_cnt[182][4]~29434_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[182][4]~29435\ : std_logic;
SIGNAL \led_flash_cnt[182][5]~29436_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[182][5]~29437\ : std_logic;
SIGNAL \led_flash_cnt[182][6]~29438_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[182][6]~29439\ : std_logic;
SIGNAL \led_flash_cnt[182][7]~29440_combout\ : std_logic;
SIGNAL \led_flash_cnt[182][7]~q\ : std_logic;
SIGNAL \WideAnd182~0_combout\ : std_logic;
SIGNAL \WideAnd182~1_combout\ : std_logic;
SIGNAL \WideAnd182~combout\ : std_logic;
SIGNAL \WideAnd3862~combout\ : std_logic;
SIGNAL \led_flash_cnt[184][0]~80824_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[184][1]~29456_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[184][1]~29457\ : std_logic;
SIGNAL \led_flash_cnt[184][2]~29458_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[184][2]~29459\ : std_logic;
SIGNAL \led_flash_cnt[184][3]~29460_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[184][3]~29461\ : std_logic;
SIGNAL \led_flash_cnt[184][4]~29462_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[184][4]~29463\ : std_logic;
SIGNAL \led_flash_cnt[184][5]~29464_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[184][5]~29465\ : std_logic;
SIGNAL \led_flash_cnt[184][6]~29466_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][6]~q\ : std_logic;
SIGNAL \WideAnd184~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][6]~29467\ : std_logic;
SIGNAL \led_flash_cnt[184][7]~29468_combout\ : std_logic;
SIGNAL \led_flash_cnt[184][7]~q\ : std_logic;
SIGNAL \WideAnd184~0_combout\ : std_logic;
SIGNAL \WideAnd184~combout\ : std_logic;
SIGNAL \led_flash_cnt[186][0]~80826_combout\ : std_logic;
SIGNAL \led_flash_cnt[186][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[186][1]~29484_combout\ : std_logic;
SIGNAL \led_flash_cnt[186][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[186][1]~29485\ : std_logic;
SIGNAL \led_flash_cnt[186][2]~29486_combout\ : std_logic;
SIGNAL \led_flash_cnt[186][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[186][2]~29487\ : std_logic;
SIGNAL \led_flash_cnt[186][3]~29488_combout\ : std_logic;
SIGNAL \led_flash_cnt[186][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[186][3]~29489\ : std_logic;
SIGNAL \led_flash_cnt[186][4]~29490_combout\ : std_logic;
SIGNAL \led_flash_cnt[186][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[186][4]~29491\ : std_logic;
SIGNAL \led_flash_cnt[186][5]~29492_combout\ : std_logic;
SIGNAL \led_flash_cnt[186][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[186][5]~29493\ : std_logic;
SIGNAL \led_flash_cnt[186][6]~29494_combout\ : std_logic;
SIGNAL \led_flash_cnt[186][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[186][6]~29495\ : std_logic;
SIGNAL \led_flash_cnt[186][7]~29496_combout\ : std_logic;
SIGNAL \led_flash_cnt[186][7]~q\ : std_logic;
SIGNAL \WideAnd186~0_combout\ : std_logic;
SIGNAL \WideAnd186~1_combout\ : std_logic;
SIGNAL \WideAnd186~combout\ : std_logic;
SIGNAL \led_flash_cnt[187][0]~80827_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[187][1]~29498_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[187][1]~29499\ : std_logic;
SIGNAL \led_flash_cnt[187][2]~29500_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[187][2]~29501\ : std_logic;
SIGNAL \led_flash_cnt[187][3]~29502_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[187][3]~29503\ : std_logic;
SIGNAL \led_flash_cnt[187][4]~29504_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][4]~q\ : std_logic;
SIGNAL \WideAnd187~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][4]~29505\ : std_logic;
SIGNAL \led_flash_cnt[187][5]~29506_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[187][5]~29507\ : std_logic;
SIGNAL \led_flash_cnt[187][6]~29508_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][6]~q\ : std_logic;
SIGNAL \WideAnd187~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][6]~29509\ : std_logic;
SIGNAL \led_flash_cnt[187][7]~29510_combout\ : std_logic;
SIGNAL \led_flash_cnt[187][7]~q\ : std_logic;
SIGNAL \WideAnd187~combout\ : std_logic;
SIGNAL \led_flash_cnt[185][0]~80825_combout\ : std_logic;
SIGNAL \led_flash_cnt[185][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[185][1]~29470_combout\ : std_logic;
SIGNAL \led_flash_cnt[185][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[185][1]~29471\ : std_logic;
SIGNAL \led_flash_cnt[185][2]~29472_combout\ : std_logic;
SIGNAL \led_flash_cnt[185][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[185][2]~29473\ : std_logic;
SIGNAL \led_flash_cnt[185][3]~29474_combout\ : std_logic;
SIGNAL \led_flash_cnt[185][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[185][3]~29475\ : std_logic;
SIGNAL \led_flash_cnt[185][4]~29476_combout\ : std_logic;
SIGNAL \led_flash_cnt[185][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[185][4]~29477\ : std_logic;
SIGNAL \led_flash_cnt[185][5]~29478_combout\ : std_logic;
SIGNAL \led_flash_cnt[185][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[185][5]~29479\ : std_logic;
SIGNAL \led_flash_cnt[185][6]~29480_combout\ : std_logic;
SIGNAL \led_flash_cnt[185][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[185][6]~29481\ : std_logic;
SIGNAL \led_flash_cnt[185][7]~29482_combout\ : std_logic;
SIGNAL \led_flash_cnt[185][7]~q\ : std_logic;
SIGNAL \WideAnd185~0_combout\ : std_logic;
SIGNAL \WideAnd185~1_combout\ : std_logic;
SIGNAL \WideAnd185~combout\ : std_logic;
SIGNAL \WideAnd3863~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][0]~80831_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[191][1]~29554_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[191][1]~29555\ : std_logic;
SIGNAL \led_flash_cnt[191][2]~29556_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[191][2]~29557\ : std_logic;
SIGNAL \led_flash_cnt[191][3]~29558_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[191][3]~29559\ : std_logic;
SIGNAL \led_flash_cnt[191][4]~29560_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][4]~q\ : std_logic;
SIGNAL \WideAnd191~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][4]~29561\ : std_logic;
SIGNAL \led_flash_cnt[191][5]~29562_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[191][5]~29563\ : std_logic;
SIGNAL \led_flash_cnt[191][6]~29564_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[191][6]~29565\ : std_logic;
SIGNAL \led_flash_cnt[191][7]~29566_combout\ : std_logic;
SIGNAL \led_flash_cnt[191][7]~q\ : std_logic;
SIGNAL \WideAnd191~1_combout\ : std_logic;
SIGNAL \WideAnd191~combout\ : std_logic;
SIGNAL \led_flash_cnt[190][0]~80830_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[190][1]~29540_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[190][1]~29541\ : std_logic;
SIGNAL \led_flash_cnt[190][2]~29542_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[190][2]~29543\ : std_logic;
SIGNAL \led_flash_cnt[190][3]~29544_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[190][3]~29545\ : std_logic;
SIGNAL \led_flash_cnt[190][4]~29546_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[190][4]~29547\ : std_logic;
SIGNAL \led_flash_cnt[190][5]~29548_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[190][5]~29549\ : std_logic;
SIGNAL \led_flash_cnt[190][6]~29550_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][6]~q\ : std_logic;
SIGNAL \WideAnd190~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][6]~29551\ : std_logic;
SIGNAL \led_flash_cnt[190][7]~29552_combout\ : std_logic;
SIGNAL \led_flash_cnt[190][7]~q\ : std_logic;
SIGNAL \WideAnd190~0_combout\ : std_logic;
SIGNAL \WideAnd190~combout\ : std_logic;
SIGNAL \led_flash_cnt[188][0]~80828_combout\ : std_logic;
SIGNAL \led_flash_cnt[188][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[188][1]~29512_combout\ : std_logic;
SIGNAL \led_flash_cnt[188][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[188][1]~29513\ : std_logic;
SIGNAL \led_flash_cnt[188][2]~29514_combout\ : std_logic;
SIGNAL \led_flash_cnt[188][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[188][2]~29515\ : std_logic;
SIGNAL \led_flash_cnt[188][3]~29516_combout\ : std_logic;
SIGNAL \led_flash_cnt[188][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[188][3]~29517\ : std_logic;
SIGNAL \led_flash_cnt[188][4]~29518_combout\ : std_logic;
SIGNAL \led_flash_cnt[188][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[188][4]~29519\ : std_logic;
SIGNAL \led_flash_cnt[188][5]~29520_combout\ : std_logic;
SIGNAL \led_flash_cnt[188][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[188][5]~29521\ : std_logic;
SIGNAL \led_flash_cnt[188][6]~29522_combout\ : std_logic;
SIGNAL \led_flash_cnt[188][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[188][6]~29523\ : std_logic;
SIGNAL \led_flash_cnt[188][7]~29524_combout\ : std_logic;
SIGNAL \led_flash_cnt[188][7]~q\ : std_logic;
SIGNAL \WideAnd188~0_combout\ : std_logic;
SIGNAL \WideAnd188~1_combout\ : std_logic;
SIGNAL \WideAnd188~combout\ : std_logic;
SIGNAL \led_flash_cnt[189][0]~80829_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[189][1]~29526_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[189][1]~29527\ : std_logic;
SIGNAL \led_flash_cnt[189][2]~29528_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[189][2]~29529\ : std_logic;
SIGNAL \led_flash_cnt[189][3]~29530_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[189][3]~29531\ : std_logic;
SIGNAL \led_flash_cnt[189][4]~29532_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][4]~q\ : std_logic;
SIGNAL \WideAnd189~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][4]~29533\ : std_logic;
SIGNAL \led_flash_cnt[189][5]~29534_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[189][5]~29535\ : std_logic;
SIGNAL \led_flash_cnt[189][6]~29536_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[189][6]~29537\ : std_logic;
SIGNAL \led_flash_cnt[189][7]~29538_combout\ : std_logic;
SIGNAL \led_flash_cnt[189][7]~q\ : std_logic;
SIGNAL \WideAnd189~1_combout\ : std_logic;
SIGNAL \WideAnd189~combout\ : std_logic;
SIGNAL \WideAnd3863~1_combout\ : std_logic;
SIGNAL \WideAnd3863~combout\ : std_logic;
SIGNAL \led_flash_cnt[174][0]~80814_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[174][1]~29316_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[174][1]~29317\ : std_logic;
SIGNAL \led_flash_cnt[174][2]~29318_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[174][2]~29319\ : std_logic;
SIGNAL \led_flash_cnt[174][3]~29320_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[174][3]~29321\ : std_logic;
SIGNAL \led_flash_cnt[174][4]~29322_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[174][4]~29323\ : std_logic;
SIGNAL \led_flash_cnt[174][5]~29324_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[174][5]~29325\ : std_logic;
SIGNAL \led_flash_cnt[174][6]~29326_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][6]~q\ : std_logic;
SIGNAL \WideAnd174~1_combout\ : std_logic;
SIGNAL \WideAnd174~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][6]~29327\ : std_logic;
SIGNAL \led_flash_cnt[174][7]~29328_combout\ : std_logic;
SIGNAL \led_flash_cnt[174][7]~q\ : std_logic;
SIGNAL \WideAnd174~combout\ : std_logic;
SIGNAL \led_flash_cnt[175][0]~80815_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[175][1]~29330_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[175][1]~29331\ : std_logic;
SIGNAL \led_flash_cnt[175][2]~29332_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[175][2]~29333\ : std_logic;
SIGNAL \led_flash_cnt[175][3]~29334_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[175][3]~29335\ : std_logic;
SIGNAL \led_flash_cnt[175][4]~29336_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[175][4]~29337\ : std_logic;
SIGNAL \led_flash_cnt[175][5]~29338_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[175][5]~29339\ : std_logic;
SIGNAL \led_flash_cnt[175][6]~29340_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][6]~q\ : std_logic;
SIGNAL \WideAnd175~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][6]~29341\ : std_logic;
SIGNAL \led_flash_cnt[175][7]~29342_combout\ : std_logic;
SIGNAL \led_flash_cnt[175][7]~q\ : std_logic;
SIGNAL \WideAnd175~0_combout\ : std_logic;
SIGNAL \WideAnd175~combout\ : std_logic;
SIGNAL \led_flash_cnt[171][0]~80811_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[171][1]~29274_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[171][1]~29275\ : std_logic;
SIGNAL \led_flash_cnt[171][2]~29276_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[171][2]~29277\ : std_logic;
SIGNAL \led_flash_cnt[171][3]~29278_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[171][3]~29279\ : std_logic;
SIGNAL \led_flash_cnt[171][4]~29280_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][4]~q\ : std_logic;
SIGNAL \WideAnd171~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][4]~29281\ : std_logic;
SIGNAL \led_flash_cnt[171][5]~29282_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[171][5]~29283\ : std_logic;
SIGNAL \led_flash_cnt[171][6]~29284_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[171][6]~29285\ : std_logic;
SIGNAL \led_flash_cnt[171][7]~29286_combout\ : std_logic;
SIGNAL \led_flash_cnt[171][7]~q\ : std_logic;
SIGNAL \WideAnd171~1_combout\ : std_logic;
SIGNAL \WideAnd171~combout\ : std_logic;
SIGNAL \led_flash_cnt[168][0]~80808_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[168][1]~29232_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[168][1]~29233\ : std_logic;
SIGNAL \led_flash_cnt[168][2]~29234_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[168][2]~29235\ : std_logic;
SIGNAL \led_flash_cnt[168][3]~29236_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[168][3]~29237\ : std_logic;
SIGNAL \led_flash_cnt[168][4]~29238_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[168][4]~29239\ : std_logic;
SIGNAL \led_flash_cnt[168][5]~29240_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[168][5]~29241\ : std_logic;
SIGNAL \led_flash_cnt[168][6]~29242_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][6]~q\ : std_logic;
SIGNAL \WideAnd168~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][6]~29243\ : std_logic;
SIGNAL \led_flash_cnt[168][7]~29244_combout\ : std_logic;
SIGNAL \led_flash_cnt[168][7]~q\ : std_logic;
SIGNAL \WideAnd168~0_combout\ : std_logic;
SIGNAL \WideAnd168~combout\ : std_logic;
SIGNAL \led_flash_cnt[169][0]~80809_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[169][1]~29246_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[169][1]~29247\ : std_logic;
SIGNAL \led_flash_cnt[169][2]~29248_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[169][2]~29249\ : std_logic;
SIGNAL \led_flash_cnt[169][3]~29250_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[169][3]~29251\ : std_logic;
SIGNAL \led_flash_cnt[169][4]~29252_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][4]~q\ : std_logic;
SIGNAL \WideAnd169~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][4]~29253\ : std_logic;
SIGNAL \led_flash_cnt[169][5]~29254_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[169][5]~29255\ : std_logic;
SIGNAL \led_flash_cnt[169][6]~29256_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][6]~q\ : std_logic;
SIGNAL \WideAnd169~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][6]~29257\ : std_logic;
SIGNAL \led_flash_cnt[169][7]~29258_combout\ : std_logic;
SIGNAL \led_flash_cnt[169][7]~q\ : std_logic;
SIGNAL \WideAnd169~combout\ : std_logic;
SIGNAL \led_flash_cnt[170][0]~80810_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[170][1]~29260_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[170][1]~29261\ : std_logic;
SIGNAL \led_flash_cnt[170][2]~29262_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[170][2]~29263\ : std_logic;
SIGNAL \led_flash_cnt[170][3]~29264_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[170][3]~29265\ : std_logic;
SIGNAL \led_flash_cnt[170][4]~29266_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][4]~q\ : std_logic;
SIGNAL \WideAnd170~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][4]~29267\ : std_logic;
SIGNAL \led_flash_cnt[170][5]~29268_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[170][5]~29269\ : std_logic;
SIGNAL \led_flash_cnt[170][6]~29270_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][6]~q\ : std_logic;
SIGNAL \WideAnd170~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][6]~29271\ : std_logic;
SIGNAL \led_flash_cnt[170][7]~29272_combout\ : std_logic;
SIGNAL \led_flash_cnt[170][7]~q\ : std_logic;
SIGNAL \WideAnd170~combout\ : std_logic;
SIGNAL \WideAnd3861~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][0]~80812_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[172][1]~29288_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[172][1]~29289\ : std_logic;
SIGNAL \led_flash_cnt[172][2]~29290_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[172][2]~29291\ : std_logic;
SIGNAL \led_flash_cnt[172][3]~29292_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[172][3]~29293\ : std_logic;
SIGNAL \led_flash_cnt[172][4]~29294_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[172][4]~29295\ : std_logic;
SIGNAL \led_flash_cnt[172][5]~29296_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[172][5]~29297\ : std_logic;
SIGNAL \led_flash_cnt[172][6]~29298_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][6]~q\ : std_logic;
SIGNAL \WideAnd172~1_combout\ : std_logic;
SIGNAL \WideAnd172~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][6]~29299\ : std_logic;
SIGNAL \led_flash_cnt[172][7]~29300_combout\ : std_logic;
SIGNAL \led_flash_cnt[172][7]~q\ : std_logic;
SIGNAL \WideAnd172~combout\ : std_logic;
SIGNAL \led_flash_cnt[173][0]~80813_combout\ : std_logic;
SIGNAL \led_flash_cnt[173][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[173][1]~29302_combout\ : std_logic;
SIGNAL \led_flash_cnt[173][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[173][1]~29303\ : std_logic;
SIGNAL \led_flash_cnt[173][2]~29304_combout\ : std_logic;
SIGNAL \led_flash_cnt[173][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[173][2]~29305\ : std_logic;
SIGNAL \led_flash_cnt[173][3]~29306_combout\ : std_logic;
SIGNAL \led_flash_cnt[173][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[173][3]~29307\ : std_logic;
SIGNAL \led_flash_cnt[173][4]~29308_combout\ : std_logic;
SIGNAL \led_flash_cnt[173][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[173][4]~29309\ : std_logic;
SIGNAL \led_flash_cnt[173][5]~29310_combout\ : std_logic;
SIGNAL \led_flash_cnt[173][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[173][5]~29311\ : std_logic;
SIGNAL \led_flash_cnt[173][6]~29312_combout\ : std_logic;
SIGNAL \led_flash_cnt[173][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[173][6]~29313\ : std_logic;
SIGNAL \led_flash_cnt[173][7]~29314_combout\ : std_logic;
SIGNAL \led_flash_cnt[173][7]~q\ : std_logic;
SIGNAL \WideAnd173~1_combout\ : std_logic;
SIGNAL \WideAnd173~0_combout\ : std_logic;
SIGNAL \WideAnd173~combout\ : std_logic;
SIGNAL \WideAnd3861~1_combout\ : std_logic;
SIGNAL \WideAnd3861~combout\ : std_logic;
SIGNAL \led_flash_cnt[162][0]~80801_combout\ : std_logic;
SIGNAL \led_flash_cnt[162][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[162][1]~29134_combout\ : std_logic;
SIGNAL \led_flash_cnt[162][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[162][1]~29135\ : std_logic;
SIGNAL \led_flash_cnt[162][2]~29136_combout\ : std_logic;
SIGNAL \led_flash_cnt[162][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[162][2]~29137\ : std_logic;
SIGNAL \led_flash_cnt[162][3]~29138_combout\ : std_logic;
SIGNAL \led_flash_cnt[162][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[162][3]~29139\ : std_logic;
SIGNAL \led_flash_cnt[162][4]~29140_combout\ : std_logic;
SIGNAL \led_flash_cnt[162][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[162][4]~29141\ : std_logic;
SIGNAL \led_flash_cnt[162][5]~29142_combout\ : std_logic;
SIGNAL \led_flash_cnt[162][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[162][5]~29143\ : std_logic;
SIGNAL \led_flash_cnt[162][6]~29144_combout\ : std_logic;
SIGNAL \led_flash_cnt[162][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[162][6]~29145\ : std_logic;
SIGNAL \led_flash_cnt[162][7]~29146_combout\ : std_logic;
SIGNAL \led_flash_cnt[162][7]~q\ : std_logic;
SIGNAL \WideAnd162~0_combout\ : std_logic;
SIGNAL \WideAnd162~1_combout\ : std_logic;
SIGNAL \WideAnd162~combout\ : std_logic;
SIGNAL \led_flash_cnt[166][0]~80800_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[166][1]~29120_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[166][1]~29121\ : std_logic;
SIGNAL \led_flash_cnt[166][2]~29122_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[166][2]~29123\ : std_logic;
SIGNAL \led_flash_cnt[166][3]~29124_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[166][3]~29125\ : std_logic;
SIGNAL \led_flash_cnt[166][4]~29126_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][4]~q\ : std_logic;
SIGNAL \WideAnd166~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][4]~29127\ : std_logic;
SIGNAL \led_flash_cnt[166][5]~29128_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[166][5]~29129\ : std_logic;
SIGNAL \led_flash_cnt[166][6]~29130_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][6]~q\ : std_logic;
SIGNAL \WideAnd166~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][6]~29131\ : std_logic;
SIGNAL \led_flash_cnt[166][7]~29132_combout\ : std_logic;
SIGNAL \led_flash_cnt[166][7]~q\ : std_logic;
SIGNAL \WideAnd166~combout\ : std_logic;
SIGNAL \led_flash_cnt[164][0]~80804_combout\ : std_logic;
SIGNAL \led_flash_cnt[164][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[164][1]~29176_combout\ : std_logic;
SIGNAL \led_flash_cnt[164][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[164][1]~29177\ : std_logic;
SIGNAL \led_flash_cnt[164][2]~29178_combout\ : std_logic;
SIGNAL \led_flash_cnt[164][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[164][2]~29179\ : std_logic;
SIGNAL \led_flash_cnt[164][3]~29180_combout\ : std_logic;
SIGNAL \led_flash_cnt[164][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[164][3]~29181\ : std_logic;
SIGNAL \led_flash_cnt[164][4]~29182_combout\ : std_logic;
SIGNAL \led_flash_cnt[164][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[164][4]~29183\ : std_logic;
SIGNAL \led_flash_cnt[164][5]~29184_combout\ : std_logic;
SIGNAL \led_flash_cnt[164][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[164][5]~29185\ : std_logic;
SIGNAL \led_flash_cnt[164][6]~29186_combout\ : std_logic;
SIGNAL \led_flash_cnt[164][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[164][6]~29187\ : std_logic;
SIGNAL \led_flash_cnt[164][7]~29188_combout\ : std_logic;
SIGNAL \led_flash_cnt[164][7]~q\ : std_logic;
SIGNAL \WideAnd164~0_combout\ : std_logic;
SIGNAL \WideAnd164~1_combout\ : std_logic;
SIGNAL \WideAnd164~combout\ : std_logic;
SIGNAL \led_flash_cnt[160][0]~80802_combout\ : std_logic;
SIGNAL \led_flash_cnt[160][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[160][1]~29148_combout\ : std_logic;
SIGNAL \led_flash_cnt[160][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[160][1]~29149\ : std_logic;
SIGNAL \led_flash_cnt[160][2]~29150_combout\ : std_logic;
SIGNAL \led_flash_cnt[160][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[160][2]~29151\ : std_logic;
SIGNAL \led_flash_cnt[160][3]~29152_combout\ : std_logic;
SIGNAL \led_flash_cnt[160][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[160][3]~29153\ : std_logic;
SIGNAL \led_flash_cnt[160][4]~29154_combout\ : std_logic;
SIGNAL \led_flash_cnt[160][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[160][4]~29155\ : std_logic;
SIGNAL \led_flash_cnt[160][5]~29156_combout\ : std_logic;
SIGNAL \led_flash_cnt[160][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[160][5]~29157\ : std_logic;
SIGNAL \led_flash_cnt[160][6]~29158_combout\ : std_logic;
SIGNAL \led_flash_cnt[160][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[160][6]~29159\ : std_logic;
SIGNAL \led_flash_cnt[160][7]~29160_combout\ : std_logic;
SIGNAL \led_flash_cnt[160][7]~q\ : std_logic;
SIGNAL \WideAnd160~0_combout\ : std_logic;
SIGNAL \WideAnd160~1_combout\ : std_logic;
SIGNAL \WideAnd160~combout\ : std_logic;
SIGNAL \led_flash_cnt[163][0]~80803_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[163][1]~29162_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[163][1]~29163\ : std_logic;
SIGNAL \led_flash_cnt[163][2]~29164_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[163][2]~29165\ : std_logic;
SIGNAL \led_flash_cnt[163][3]~29166_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[163][3]~29167\ : std_logic;
SIGNAL \led_flash_cnt[163][4]~29168_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][4]~q\ : std_logic;
SIGNAL \WideAnd163~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][4]~29169\ : std_logic;
SIGNAL \led_flash_cnt[163][5]~29170_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[163][5]~29171\ : std_logic;
SIGNAL \led_flash_cnt[163][6]~29172_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[163][6]~29173\ : std_logic;
SIGNAL \led_flash_cnt[163][7]~29174_combout\ : std_logic;
SIGNAL \led_flash_cnt[163][7]~q\ : std_logic;
SIGNAL \WideAnd163~1_combout\ : std_logic;
SIGNAL \WideAnd163~combout\ : std_logic;
SIGNAL \led_flash_cnt[165][0]~80805_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[165][1]~29190_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[165][1]~29191\ : std_logic;
SIGNAL \led_flash_cnt[165][2]~29192_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[165][2]~29193\ : std_logic;
SIGNAL \led_flash_cnt[165][3]~29194_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[165][3]~29195\ : std_logic;
SIGNAL \led_flash_cnt[165][4]~29196_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][4]~q\ : std_logic;
SIGNAL \WideAnd165~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][4]~29197\ : std_logic;
SIGNAL \led_flash_cnt[165][5]~29198_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[165][5]~29199\ : std_logic;
SIGNAL \led_flash_cnt[165][6]~29200_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[165][6]~29201\ : std_logic;
SIGNAL \led_flash_cnt[165][7]~29202_combout\ : std_logic;
SIGNAL \led_flash_cnt[165][7]~q\ : std_logic;
SIGNAL \WideAnd165~1_combout\ : std_logic;
SIGNAL \WideAnd165~combout\ : std_logic;
SIGNAL \WideAnd3860~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][0]~80807_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[161][1]~29218_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[161][1]~29219\ : std_logic;
SIGNAL \led_flash_cnt[161][2]~29220_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[161][2]~29221\ : std_logic;
SIGNAL \led_flash_cnt[161][3]~29222_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[161][3]~29223\ : std_logic;
SIGNAL \led_flash_cnt[161][4]~29224_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[161][4]~29225\ : std_logic;
SIGNAL \led_flash_cnt[161][5]~29226_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[161][5]~29227\ : std_logic;
SIGNAL \led_flash_cnt[161][6]~29228_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[161][6]~29229\ : std_logic;
SIGNAL \led_flash_cnt[161][7]~29230_combout\ : std_logic;
SIGNAL \led_flash_cnt[161][7]~q\ : std_logic;
SIGNAL \WideAnd161~1_combout\ : std_logic;
SIGNAL \WideAnd161~0_combout\ : std_logic;
SIGNAL \WideAnd161~combout\ : std_logic;
SIGNAL \led_flash_cnt[167][0]~80806_combout\ : std_logic;
SIGNAL \led_flash_cnt[167][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[167][1]~29204_combout\ : std_logic;
SIGNAL \led_flash_cnt[167][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[167][1]~29205\ : std_logic;
SIGNAL \led_flash_cnt[167][2]~29206_combout\ : std_logic;
SIGNAL \led_flash_cnt[167][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[167][2]~29207\ : std_logic;
SIGNAL \led_flash_cnt[167][3]~29208_combout\ : std_logic;
SIGNAL \led_flash_cnt[167][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[167][3]~29209\ : std_logic;
SIGNAL \led_flash_cnt[167][4]~29210_combout\ : std_logic;
SIGNAL \led_flash_cnt[167][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[167][4]~29211\ : std_logic;
SIGNAL \led_flash_cnt[167][5]~29212_combout\ : std_logic;
SIGNAL \led_flash_cnt[167][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[167][5]~29213\ : std_logic;
SIGNAL \led_flash_cnt[167][6]~29214_combout\ : std_logic;
SIGNAL \led_flash_cnt[167][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[167][6]~29215\ : std_logic;
SIGNAL \led_flash_cnt[167][7]~29216_combout\ : std_logic;
SIGNAL \led_flash_cnt[167][7]~q\ : std_logic;
SIGNAL \WideAnd167~1_combout\ : std_logic;
SIGNAL \WideAnd167~0_combout\ : std_logic;
SIGNAL \WideAnd167~combout\ : std_logic;
SIGNAL \WideAnd3860~1_combout\ : std_logic;
SIGNAL \WideAnd3860~combout\ : std_logic;
SIGNAL \WideAnd4322~1_combout\ : std_logic;
SIGNAL \WideAnd4322~combout\ : std_logic;
SIGNAL \WideAnd4380~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][0]~81213_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[573][1]~34902_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[573][1]~34903\ : std_logic;
SIGNAL \led_flash_cnt[573][2]~34904_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[573][2]~34905\ : std_logic;
SIGNAL \led_flash_cnt[573][3]~34906_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[573][3]~34907\ : std_logic;
SIGNAL \led_flash_cnt[573][4]~34908_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[573][4]~34909\ : std_logic;
SIGNAL \led_flash_cnt[573][5]~34910_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[573][5]~34911\ : std_logic;
SIGNAL \led_flash_cnt[573][6]~34912_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[573][6]~34913\ : std_logic;
SIGNAL \led_flash_cnt[573][7]~34914_combout\ : std_logic;
SIGNAL \led_flash_cnt[573][7]~q\ : std_logic;
SIGNAL \WideAnd573~1_combout\ : std_logic;
SIGNAL \WideAnd573~0_combout\ : std_logic;
SIGNAL \WideAnd573~combout\ : std_logic;
SIGNAL \led_flash_cnt[572][0]~81212_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[572][1]~34888_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[572][1]~34889\ : std_logic;
SIGNAL \led_flash_cnt[572][2]~34890_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[572][2]~34891\ : std_logic;
SIGNAL \led_flash_cnt[572][3]~34892_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[572][3]~34893\ : std_logic;
SIGNAL \led_flash_cnt[572][4]~34894_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[572][4]~34895\ : std_logic;
SIGNAL \led_flash_cnt[572][5]~34896_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[572][5]~34897\ : std_logic;
SIGNAL \led_flash_cnt[572][6]~34898_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][6]~q\ : std_logic;
SIGNAL \WideAnd572~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][6]~34899\ : std_logic;
SIGNAL \led_flash_cnt[572][7]~34900_combout\ : std_logic;
SIGNAL \led_flash_cnt[572][7]~q\ : std_logic;
SIGNAL \WideAnd572~0_combout\ : std_logic;
SIGNAL \WideAnd572~combout\ : std_logic;
SIGNAL \WideAnd3911~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][0]~81215_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[575][1]~34930_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[575][1]~34931\ : std_logic;
SIGNAL \led_flash_cnt[575][2]~34932_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[575][2]~34933\ : std_logic;
SIGNAL \led_flash_cnt[575][3]~34934_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[575][3]~34935\ : std_logic;
SIGNAL \led_flash_cnt[575][4]~34936_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[575][4]~34937\ : std_logic;
SIGNAL \led_flash_cnt[575][5]~34938_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[575][5]~34939\ : std_logic;
SIGNAL \led_flash_cnt[575][6]~34940_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[575][6]~34941\ : std_logic;
SIGNAL \led_flash_cnt[575][7]~34942_combout\ : std_logic;
SIGNAL \led_flash_cnt[575][7]~q\ : std_logic;
SIGNAL \WideAnd575~1_combout\ : std_logic;
SIGNAL \WideAnd575~0_combout\ : std_logic;
SIGNAL \WideAnd575~combout\ : std_logic;
SIGNAL \led_flash_cnt[568][0]~81208_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[568][1]~34832_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[568][1]~34833\ : std_logic;
SIGNAL \led_flash_cnt[568][2]~34834_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[568][2]~34835\ : std_logic;
SIGNAL \led_flash_cnt[568][3]~34836_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[568][3]~34837\ : std_logic;
SIGNAL \led_flash_cnt[568][4]~34838_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[568][4]~34839\ : std_logic;
SIGNAL \led_flash_cnt[568][5]~34840_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[568][5]~34841\ : std_logic;
SIGNAL \led_flash_cnt[568][6]~34842_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][6]~q\ : std_logic;
SIGNAL \WideAnd568~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][6]~34843\ : std_logic;
SIGNAL \led_flash_cnt[568][7]~34844_combout\ : std_logic;
SIGNAL \led_flash_cnt[568][7]~q\ : std_logic;
SIGNAL \WideAnd568~0_combout\ : std_logic;
SIGNAL \WideAnd568~combout\ : std_logic;
SIGNAL \led_flash_cnt[571][0]~81211_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[571][1]~34874_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[571][1]~34875\ : std_logic;
SIGNAL \led_flash_cnt[571][2]~34876_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[571][2]~34877\ : std_logic;
SIGNAL \led_flash_cnt[571][3]~34878_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[571][3]~34879\ : std_logic;
SIGNAL \led_flash_cnt[571][4]~34880_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[571][4]~34881\ : std_logic;
SIGNAL \led_flash_cnt[571][5]~34882_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[571][5]~34883\ : std_logic;
SIGNAL \led_flash_cnt[571][6]~34884_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][6]~q\ : std_logic;
SIGNAL \WideAnd571~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][6]~34885\ : std_logic;
SIGNAL \led_flash_cnt[571][7]~34886_combout\ : std_logic;
SIGNAL \led_flash_cnt[571][7]~q\ : std_logic;
SIGNAL \WideAnd571~0_combout\ : std_logic;
SIGNAL \WideAnd571~combout\ : std_logic;
SIGNAL \led_flash_cnt[570][0]~81210_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[570][1]~34860_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[570][1]~34861\ : std_logic;
SIGNAL \led_flash_cnt[570][2]~34862_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[570][2]~34863\ : std_logic;
SIGNAL \led_flash_cnt[570][3]~34864_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[570][3]~34865\ : std_logic;
SIGNAL \led_flash_cnt[570][4]~34866_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][4]~q\ : std_logic;
SIGNAL \WideAnd570~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][4]~34867\ : std_logic;
SIGNAL \led_flash_cnt[570][5]~34868_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[570][5]~34869\ : std_logic;
SIGNAL \led_flash_cnt[570][6]~34870_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][6]~q\ : std_logic;
SIGNAL \WideAnd570~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][6]~34871\ : std_logic;
SIGNAL \led_flash_cnt[570][7]~34872_combout\ : std_logic;
SIGNAL \led_flash_cnt[570][7]~q\ : std_logic;
SIGNAL \WideAnd570~combout\ : std_logic;
SIGNAL \led_flash_cnt[569][0]~81209_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[569][1]~34846_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[569][1]~34847\ : std_logic;
SIGNAL \led_flash_cnt[569][2]~34848_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[569][2]~34849\ : std_logic;
SIGNAL \led_flash_cnt[569][3]~34850_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[569][3]~34851\ : std_logic;
SIGNAL \led_flash_cnt[569][4]~34852_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[569][4]~34853\ : std_logic;
SIGNAL \led_flash_cnt[569][5]~34854_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[569][5]~34855\ : std_logic;
SIGNAL \led_flash_cnt[569][6]~34856_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][6]~q\ : std_logic;
SIGNAL \WideAnd569~1_combout\ : std_logic;
SIGNAL \WideAnd569~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][6]~34857\ : std_logic;
SIGNAL \led_flash_cnt[569][7]~34858_combout\ : std_logic;
SIGNAL \led_flash_cnt[569][7]~q\ : std_logic;
SIGNAL \WideAnd569~combout\ : std_logic;
SIGNAL \WideAnd3911~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][0]~81214_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[574][1]~34916_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[574][1]~34917\ : std_logic;
SIGNAL \led_flash_cnt[574][2]~34918_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[574][2]~34919\ : std_logic;
SIGNAL \led_flash_cnt[574][3]~34920_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[574][3]~34921\ : std_logic;
SIGNAL \led_flash_cnt[574][4]~34922_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[574][4]~34923\ : std_logic;
SIGNAL \led_flash_cnt[574][5]~34924_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[574][5]~34925\ : std_logic;
SIGNAL \led_flash_cnt[574][6]~34926_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][6]~q\ : std_logic;
SIGNAL \WideAnd574~1_combout\ : std_logic;
SIGNAL \WideAnd574~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][6]~34927\ : std_logic;
SIGNAL \led_flash_cnt[574][7]~34928_combout\ : std_logic;
SIGNAL \led_flash_cnt[574][7]~q\ : std_logic;
SIGNAL \WideAnd574~combout\ : std_logic;
SIGNAL \WideAnd3911~combout\ : std_logic;
SIGNAL \led_flash_cnt[567][0]~81207_combout\ : std_logic;
SIGNAL \led_flash_cnt[567][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[567][1]~34818_combout\ : std_logic;
SIGNAL \led_flash_cnt[567][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[567][1]~34819\ : std_logic;
SIGNAL \led_flash_cnt[567][2]~34820_combout\ : std_logic;
SIGNAL \led_flash_cnt[567][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[567][2]~34821\ : std_logic;
SIGNAL \led_flash_cnt[567][3]~34822_combout\ : std_logic;
SIGNAL \led_flash_cnt[567][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[567][3]~34823\ : std_logic;
SIGNAL \led_flash_cnt[567][4]~34824_combout\ : std_logic;
SIGNAL \led_flash_cnt[567][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[567][4]~34825\ : std_logic;
SIGNAL \led_flash_cnt[567][5]~34826_combout\ : std_logic;
SIGNAL \led_flash_cnt[567][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[567][5]~34827\ : std_logic;
SIGNAL \led_flash_cnt[567][6]~34828_combout\ : std_logic;
SIGNAL \led_flash_cnt[567][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[567][6]~34829\ : std_logic;
SIGNAL \led_flash_cnt[567][7]~34830_combout\ : std_logic;
SIGNAL \led_flash_cnt[567][7]~q\ : std_logic;
SIGNAL \WideAnd567~0_combout\ : std_logic;
SIGNAL \WideAnd567~1_combout\ : std_logic;
SIGNAL \WideAnd567~combout\ : std_logic;
SIGNAL \led_flash_cnt[564][0]~81204_combout\ : std_logic;
SIGNAL \led_flash_cnt[564][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[564][1]~34776_combout\ : std_logic;
SIGNAL \led_flash_cnt[564][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[564][1]~34777\ : std_logic;
SIGNAL \led_flash_cnt[564][2]~34778_combout\ : std_logic;
SIGNAL \led_flash_cnt[564][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[564][2]~34779\ : std_logic;
SIGNAL \led_flash_cnt[564][3]~34780_combout\ : std_logic;
SIGNAL \led_flash_cnt[564][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[564][3]~34781\ : std_logic;
SIGNAL \led_flash_cnt[564][4]~34782_combout\ : std_logic;
SIGNAL \led_flash_cnt[564][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[564][4]~34783\ : std_logic;
SIGNAL \led_flash_cnt[564][5]~34784_combout\ : std_logic;
SIGNAL \led_flash_cnt[564][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[564][5]~34785\ : std_logic;
SIGNAL \led_flash_cnt[564][6]~34786_combout\ : std_logic;
SIGNAL \led_flash_cnt[564][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[564][6]~34787\ : std_logic;
SIGNAL \led_flash_cnt[564][7]~34788_combout\ : std_logic;
SIGNAL \led_flash_cnt[564][7]~q\ : std_logic;
SIGNAL \WideAnd564~1_combout\ : std_logic;
SIGNAL \WideAnd564~0_combout\ : std_logic;
SIGNAL \WideAnd564~combout\ : std_logic;
SIGNAL \led_flash_cnt[565][0]~81205_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[565][1]~34790_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[565][1]~34791\ : std_logic;
SIGNAL \led_flash_cnt[565][2]~34792_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[565][2]~34793\ : std_logic;
SIGNAL \led_flash_cnt[565][3]~34794_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[565][3]~34795\ : std_logic;
SIGNAL \led_flash_cnt[565][4]~34796_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[565][4]~34797\ : std_logic;
SIGNAL \led_flash_cnt[565][5]~34798_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[565][5]~34799\ : std_logic;
SIGNAL \led_flash_cnt[565][6]~34800_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][6]~q\ : std_logic;
SIGNAL \WideAnd565~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][6]~34801\ : std_logic;
SIGNAL \led_flash_cnt[565][7]~34802_combout\ : std_logic;
SIGNAL \led_flash_cnt[565][7]~q\ : std_logic;
SIGNAL \WideAnd565~0_combout\ : std_logic;
SIGNAL \WideAnd565~combout\ : std_logic;
SIGNAL \WideAnd3910~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][0]~81206_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[566][1]~34804_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[566][1]~34805\ : std_logic;
SIGNAL \led_flash_cnt[566][2]~34806_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[566][2]~34807\ : std_logic;
SIGNAL \led_flash_cnt[566][3]~34808_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[566][3]~34809\ : std_logic;
SIGNAL \led_flash_cnt[566][4]~34810_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][4]~q\ : std_logic;
SIGNAL \WideAnd566~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][4]~34811\ : std_logic;
SIGNAL \led_flash_cnt[566][5]~34812_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[566][5]~34813\ : std_logic;
SIGNAL \led_flash_cnt[566][6]~34814_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[566][6]~34815\ : std_logic;
SIGNAL \led_flash_cnt[566][7]~34816_combout\ : std_logic;
SIGNAL \led_flash_cnt[566][7]~q\ : std_logic;
SIGNAL \WideAnd566~1_combout\ : std_logic;
SIGNAL \WideAnd566~combout\ : std_logic;
SIGNAL \led_flash_cnt[563][0]~81203_combout\ : std_logic;
SIGNAL \led_flash_cnt[563][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[563][1]~34762_combout\ : std_logic;
SIGNAL \led_flash_cnt[563][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[563][1]~34763\ : std_logic;
SIGNAL \led_flash_cnt[563][2]~34764_combout\ : std_logic;
SIGNAL \led_flash_cnt[563][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[563][2]~34765\ : std_logic;
SIGNAL \led_flash_cnt[563][3]~34766_combout\ : std_logic;
SIGNAL \led_flash_cnt[563][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[563][3]~34767\ : std_logic;
SIGNAL \led_flash_cnt[563][4]~34768_combout\ : std_logic;
SIGNAL \led_flash_cnt[563][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[563][4]~34769\ : std_logic;
SIGNAL \led_flash_cnt[563][5]~34770_combout\ : std_logic;
SIGNAL \led_flash_cnt[563][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[563][5]~34771\ : std_logic;
SIGNAL \led_flash_cnt[563][6]~34772_combout\ : std_logic;
SIGNAL \led_flash_cnt[563][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[563][6]~34773\ : std_logic;
SIGNAL \led_flash_cnt[563][7]~34774_combout\ : std_logic;
SIGNAL \led_flash_cnt[563][7]~q\ : std_logic;
SIGNAL \WideAnd563~1_combout\ : std_logic;
SIGNAL \WideAnd563~0_combout\ : std_logic;
SIGNAL \WideAnd563~combout\ : std_logic;
SIGNAL \led_flash_cnt[562][0]~81202_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[562][1]~34748_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[562][1]~34749\ : std_logic;
SIGNAL \led_flash_cnt[562][2]~34750_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[562][2]~34751\ : std_logic;
SIGNAL \led_flash_cnt[562][3]~34752_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[562][3]~34753\ : std_logic;
SIGNAL \led_flash_cnt[562][4]~34754_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[562][4]~34755\ : std_logic;
SIGNAL \led_flash_cnt[562][5]~34756_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[562][5]~34757\ : std_logic;
SIGNAL \led_flash_cnt[562][6]~34758_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][6]~q\ : std_logic;
SIGNAL \WideAnd562~1_combout\ : std_logic;
SIGNAL \WideAnd562~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][6]~34759\ : std_logic;
SIGNAL \led_flash_cnt[562][7]~34760_combout\ : std_logic;
SIGNAL \led_flash_cnt[562][7]~q\ : std_logic;
SIGNAL \WideAnd562~combout\ : std_logic;
SIGNAL \led_flash_cnt[560][0]~81200_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[560][1]~34720_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[560][1]~34721\ : std_logic;
SIGNAL \led_flash_cnt[560][2]~34722_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[560][2]~34723\ : std_logic;
SIGNAL \led_flash_cnt[560][3]~34724_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[560][3]~34725\ : std_logic;
SIGNAL \led_flash_cnt[560][4]~34726_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][4]~q\ : std_logic;
SIGNAL \WideAnd560~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][4]~34727\ : std_logic;
SIGNAL \led_flash_cnt[560][5]~34728_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[560][5]~34729\ : std_logic;
SIGNAL \led_flash_cnt[560][6]~34730_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[560][6]~34731\ : std_logic;
SIGNAL \led_flash_cnt[560][7]~34732_combout\ : std_logic;
SIGNAL \led_flash_cnt[560][7]~q\ : std_logic;
SIGNAL \WideAnd560~1_combout\ : std_logic;
SIGNAL \WideAnd560~combout\ : std_logic;
SIGNAL \led_flash_cnt[561][0]~81201_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[561][1]~34734_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[561][1]~34735\ : std_logic;
SIGNAL \led_flash_cnt[561][2]~34736_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[561][2]~34737\ : std_logic;
SIGNAL \led_flash_cnt[561][3]~34738_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[561][3]~34739\ : std_logic;
SIGNAL \led_flash_cnt[561][4]~34740_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[561][4]~34741\ : std_logic;
SIGNAL \led_flash_cnt[561][5]~34742_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[561][5]~34743\ : std_logic;
SIGNAL \led_flash_cnt[561][6]~34744_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][6]~q\ : std_logic;
SIGNAL \WideAnd561~1_combout\ : std_logic;
SIGNAL \WideAnd561~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][6]~34745\ : std_logic;
SIGNAL \led_flash_cnt[561][7]~34746_combout\ : std_logic;
SIGNAL \led_flash_cnt[561][7]~q\ : std_logic;
SIGNAL \WideAnd561~combout\ : std_logic;
SIGNAL \WideAnd3910~0_combout\ : std_logic;
SIGNAL \WideAnd3910~combout\ : std_logic;
SIGNAL \led_flash_cnt[516][0]~81156_combout\ : std_logic;
SIGNAL \led_flash_cnt[516][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[516][1]~34104_combout\ : std_logic;
SIGNAL \led_flash_cnt[516][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[516][1]~34105\ : std_logic;
SIGNAL \led_flash_cnt[516][2]~34106_combout\ : std_logic;
SIGNAL \led_flash_cnt[516][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[516][2]~34107\ : std_logic;
SIGNAL \led_flash_cnt[516][3]~34108_combout\ : std_logic;
SIGNAL \led_flash_cnt[516][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[516][3]~34109\ : std_logic;
SIGNAL \led_flash_cnt[516][4]~34110_combout\ : std_logic;
SIGNAL \led_flash_cnt[516][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[516][4]~34111\ : std_logic;
SIGNAL \led_flash_cnt[516][5]~34112_combout\ : std_logic;
SIGNAL \led_flash_cnt[516][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[516][5]~34113\ : std_logic;
SIGNAL \led_flash_cnt[516][6]~34114_combout\ : std_logic;
SIGNAL \led_flash_cnt[516][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[516][6]~34115\ : std_logic;
SIGNAL \led_flash_cnt[516][7]~34116_combout\ : std_logic;
SIGNAL \led_flash_cnt[516][7]~q\ : std_logic;
SIGNAL \WideAnd516~1_combout\ : std_logic;
SIGNAL \WideAnd516~0_combout\ : std_logic;
SIGNAL \WideAnd516~combout\ : std_logic;
SIGNAL \led_flash_cnt[517][0]~81157_combout\ : std_logic;
SIGNAL \led_flash_cnt[517][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[517][1]~34118_combout\ : std_logic;
SIGNAL \led_flash_cnt[517][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[517][1]~34119\ : std_logic;
SIGNAL \led_flash_cnt[517][2]~34120_combout\ : std_logic;
SIGNAL \led_flash_cnt[517][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[517][2]~34121\ : std_logic;
SIGNAL \led_flash_cnt[517][3]~34122_combout\ : std_logic;
SIGNAL \led_flash_cnt[517][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[517][3]~34123\ : std_logic;
SIGNAL \led_flash_cnt[517][4]~34124_combout\ : std_logic;
SIGNAL \led_flash_cnt[517][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[517][4]~34125\ : std_logic;
SIGNAL \led_flash_cnt[517][5]~34126_combout\ : std_logic;
SIGNAL \led_flash_cnt[517][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[517][5]~34127\ : std_logic;
SIGNAL \led_flash_cnt[517][6]~34128_combout\ : std_logic;
SIGNAL \led_flash_cnt[517][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[517][6]~34129\ : std_logic;
SIGNAL \led_flash_cnt[517][7]~34130_combout\ : std_logic;
SIGNAL \led_flash_cnt[517][7]~q\ : std_logic;
SIGNAL \WideAnd517~1_combout\ : std_logic;
SIGNAL \WideAnd517~0_combout\ : std_logic;
SIGNAL \WideAnd517~combout\ : std_logic;
SIGNAL \WideAnd3904~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][0]~81159_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[519][1]~34146_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[519][1]~34147\ : std_logic;
SIGNAL \led_flash_cnt[519][2]~34148_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[519][2]~34149\ : std_logic;
SIGNAL \led_flash_cnt[519][3]~34150_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[519][3]~34151\ : std_logic;
SIGNAL \led_flash_cnt[519][4]~34152_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[519][4]~34153\ : std_logic;
SIGNAL \led_flash_cnt[519][5]~34154_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[519][5]~34155\ : std_logic;
SIGNAL \led_flash_cnt[519][6]~34156_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][6]~q\ : std_logic;
SIGNAL \WideAnd519~1_combout\ : std_logic;
SIGNAL \WideAnd519~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][6]~34157\ : std_logic;
SIGNAL \led_flash_cnt[519][7]~34158_combout\ : std_logic;
SIGNAL \led_flash_cnt[519][7]~q\ : std_logic;
SIGNAL \WideAnd519~combout\ : std_logic;
SIGNAL \led_flash_cnt[513][0]~81153_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[513][1]~34062_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[513][1]~34063\ : std_logic;
SIGNAL \led_flash_cnt[513][2]~34064_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[513][2]~34065\ : std_logic;
SIGNAL \led_flash_cnt[513][3]~34066_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[513][3]~34067\ : std_logic;
SIGNAL \led_flash_cnt[513][4]~34068_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[513][4]~34069\ : std_logic;
SIGNAL \led_flash_cnt[513][5]~34070_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[513][5]~34071\ : std_logic;
SIGNAL \led_flash_cnt[513][6]~34072_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][6]~q\ : std_logic;
SIGNAL \WideAnd513~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][6]~34073\ : std_logic;
SIGNAL \led_flash_cnt[513][7]~34074_combout\ : std_logic;
SIGNAL \led_flash_cnt[513][7]~q\ : std_logic;
SIGNAL \WideAnd513~0_combout\ : std_logic;
SIGNAL \WideAnd513~combout\ : std_logic;
SIGNAL \led_flash_cnt[515][0]~81155_combout\ : std_logic;
SIGNAL \led_flash_cnt[515][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[515][1]~34090_combout\ : std_logic;
SIGNAL \led_flash_cnt[515][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[515][1]~34091\ : std_logic;
SIGNAL \led_flash_cnt[515][2]~34092_combout\ : std_logic;
SIGNAL \led_flash_cnt[515][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[515][2]~34093\ : std_logic;
SIGNAL \led_flash_cnt[515][3]~34094_combout\ : std_logic;
SIGNAL \led_flash_cnt[515][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[515][3]~34095\ : std_logic;
SIGNAL \led_flash_cnt[515][4]~34096_combout\ : std_logic;
SIGNAL \led_flash_cnt[515][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[515][4]~34097\ : std_logic;
SIGNAL \led_flash_cnt[515][5]~34098_combout\ : std_logic;
SIGNAL \led_flash_cnt[515][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[515][5]~34099\ : std_logic;
SIGNAL \led_flash_cnt[515][6]~34100_combout\ : std_logic;
SIGNAL \led_flash_cnt[515][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[515][6]~34101\ : std_logic;
SIGNAL \led_flash_cnt[515][7]~34102_combout\ : std_logic;
SIGNAL \led_flash_cnt[515][7]~q\ : std_logic;
SIGNAL \WideAnd515~0_combout\ : std_logic;
SIGNAL \WideAnd515~1_combout\ : std_logic;
SIGNAL \WideAnd515~combout\ : std_logic;
SIGNAL \led_flash_cnt[512][0]~81152_combout\ : std_logic;
SIGNAL \led_flash_cnt[512][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[512][1]~34048_combout\ : std_logic;
SIGNAL \led_flash_cnt[512][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[512][1]~34049\ : std_logic;
SIGNAL \led_flash_cnt[512][2]~34050_combout\ : std_logic;
SIGNAL \led_flash_cnt[512][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[512][2]~34051\ : std_logic;
SIGNAL \led_flash_cnt[512][3]~34052_combout\ : std_logic;
SIGNAL \led_flash_cnt[512][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[512][3]~34053\ : std_logic;
SIGNAL \led_flash_cnt[512][4]~34054_combout\ : std_logic;
SIGNAL \led_flash_cnt[512][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[512][4]~34055\ : std_logic;
SIGNAL \led_flash_cnt[512][5]~34056_combout\ : std_logic;
SIGNAL \led_flash_cnt[512][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[512][5]~34057\ : std_logic;
SIGNAL \led_flash_cnt[512][6]~34058_combout\ : std_logic;
SIGNAL \led_flash_cnt[512][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[512][6]~34059\ : std_logic;
SIGNAL \led_flash_cnt[512][7]~34060_combout\ : std_logic;
SIGNAL \led_flash_cnt[512][7]~q\ : std_logic;
SIGNAL \WideAnd512~1_combout\ : std_logic;
SIGNAL \WideAnd512~0_combout\ : std_logic;
SIGNAL \WideAnd512~combout\ : std_logic;
SIGNAL \led_flash_cnt[514][0]~81154_combout\ : std_logic;
SIGNAL \led_flash_cnt[514][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[514][1]~34076_combout\ : std_logic;
SIGNAL \led_flash_cnt[514][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[514][1]~34077\ : std_logic;
SIGNAL \led_flash_cnt[514][2]~34078_combout\ : std_logic;
SIGNAL \led_flash_cnt[514][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[514][2]~34079\ : std_logic;
SIGNAL \led_flash_cnt[514][3]~34080_combout\ : std_logic;
SIGNAL \led_flash_cnt[514][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[514][3]~34081\ : std_logic;
SIGNAL \led_flash_cnt[514][4]~34082_combout\ : std_logic;
SIGNAL \led_flash_cnt[514][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[514][4]~34083\ : std_logic;
SIGNAL \led_flash_cnt[514][5]~34084_combout\ : std_logic;
SIGNAL \led_flash_cnt[514][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[514][5]~34085\ : std_logic;
SIGNAL \led_flash_cnt[514][6]~34086_combout\ : std_logic;
SIGNAL \led_flash_cnt[514][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[514][6]~34087\ : std_logic;
SIGNAL \led_flash_cnt[514][7]~34088_combout\ : std_logic;
SIGNAL \led_flash_cnt[514][7]~q\ : std_logic;
SIGNAL \WideAnd514~1_combout\ : std_logic;
SIGNAL \WideAnd514~0_combout\ : std_logic;
SIGNAL \WideAnd514~combout\ : std_logic;
SIGNAL \WideAnd3904~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][0]~81158_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[518][1]~34132_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[518][1]~34133\ : std_logic;
SIGNAL \led_flash_cnt[518][2]~34134_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[518][2]~34135\ : std_logic;
SIGNAL \led_flash_cnt[518][3]~34136_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[518][3]~34137\ : std_logic;
SIGNAL \led_flash_cnt[518][4]~34138_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][4]~q\ : std_logic;
SIGNAL \WideAnd518~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][4]~34139\ : std_logic;
SIGNAL \led_flash_cnt[518][5]~34140_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[518][5]~34141\ : std_logic;
SIGNAL \led_flash_cnt[518][6]~34142_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[518][6]~34143\ : std_logic;
SIGNAL \led_flash_cnt[518][7]~34144_combout\ : std_logic;
SIGNAL \led_flash_cnt[518][7]~q\ : std_logic;
SIGNAL \WideAnd518~1_combout\ : std_logic;
SIGNAL \WideAnd518~combout\ : std_logic;
SIGNAL \WideAnd3904~combout\ : std_logic;
SIGNAL \led_flash_cnt[534][0]~81174_combout\ : std_logic;
SIGNAL \led_flash_cnt[534][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[534][1]~34356_combout\ : std_logic;
SIGNAL \led_flash_cnt[534][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[534][1]~34357\ : std_logic;
SIGNAL \led_flash_cnt[534][2]~34358_combout\ : std_logic;
SIGNAL \led_flash_cnt[534][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[534][2]~34359\ : std_logic;
SIGNAL \led_flash_cnt[534][3]~34360_combout\ : std_logic;
SIGNAL \led_flash_cnt[534][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[534][3]~34361\ : std_logic;
SIGNAL \led_flash_cnt[534][4]~34362_combout\ : std_logic;
SIGNAL \led_flash_cnt[534][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[534][4]~34363\ : std_logic;
SIGNAL \led_flash_cnt[534][5]~34364_combout\ : std_logic;
SIGNAL \led_flash_cnt[534][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[534][5]~34365\ : std_logic;
SIGNAL \led_flash_cnt[534][6]~34366_combout\ : std_logic;
SIGNAL \led_flash_cnt[534][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[534][6]~34367\ : std_logic;
SIGNAL \led_flash_cnt[534][7]~34368_combout\ : std_logic;
SIGNAL \led_flash_cnt[534][7]~q\ : std_logic;
SIGNAL \WideAnd534~1_combout\ : std_logic;
SIGNAL \WideAnd534~0_combout\ : std_logic;
SIGNAL \WideAnd534~combout\ : std_logic;
SIGNAL \led_flash_cnt[530][0]~81170_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[530][1]~34300_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[530][1]~34301\ : std_logic;
SIGNAL \led_flash_cnt[530][2]~34302_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[530][2]~34303\ : std_logic;
SIGNAL \led_flash_cnt[530][3]~34304_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[530][3]~34305\ : std_logic;
SIGNAL \led_flash_cnt[530][4]~34306_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[530][4]~34307\ : std_logic;
SIGNAL \led_flash_cnt[530][5]~34308_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[530][5]~34309\ : std_logic;
SIGNAL \led_flash_cnt[530][6]~34310_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][6]~q\ : std_logic;
SIGNAL \WideAnd530~1_combout\ : std_logic;
SIGNAL \WideAnd530~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][6]~34311\ : std_logic;
SIGNAL \led_flash_cnt[530][7]~34312_combout\ : std_logic;
SIGNAL \led_flash_cnt[530][7]~q\ : std_logic;
SIGNAL \WideAnd530~combout\ : std_logic;
SIGNAL \led_flash_cnt[529][0]~81169_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[529][1]~34286_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[529][1]~34287\ : std_logic;
SIGNAL \led_flash_cnt[529][2]~34288_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[529][2]~34289\ : std_logic;
SIGNAL \led_flash_cnt[529][3]~34290_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[529][3]~34291\ : std_logic;
SIGNAL \led_flash_cnt[529][4]~34292_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[529][4]~34293\ : std_logic;
SIGNAL \led_flash_cnt[529][5]~34294_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[529][5]~34295\ : std_logic;
SIGNAL \led_flash_cnt[529][6]~34296_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][6]~q\ : std_logic;
SIGNAL \WideAnd529~1_combout\ : std_logic;
SIGNAL \WideAnd529~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][6]~34297\ : std_logic;
SIGNAL \led_flash_cnt[529][7]~34298_combout\ : std_logic;
SIGNAL \led_flash_cnt[529][7]~q\ : std_logic;
SIGNAL \WideAnd529~combout\ : std_logic;
SIGNAL \led_flash_cnt[528][0]~81168_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[528][1]~34272_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[528][1]~34273\ : std_logic;
SIGNAL \led_flash_cnt[528][2]~34274_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[528][2]~34275\ : std_logic;
SIGNAL \led_flash_cnt[528][3]~34276_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[528][3]~34277\ : std_logic;
SIGNAL \led_flash_cnt[528][4]~34278_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[528][4]~34279\ : std_logic;
SIGNAL \led_flash_cnt[528][5]~34280_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[528][5]~34281\ : std_logic;
SIGNAL \led_flash_cnt[528][6]~34282_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][6]~q\ : std_logic;
SIGNAL \WideAnd528~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][6]~34283\ : std_logic;
SIGNAL \led_flash_cnt[528][7]~34284_combout\ : std_logic;
SIGNAL \led_flash_cnt[528][7]~q\ : std_logic;
SIGNAL \WideAnd528~0_combout\ : std_logic;
SIGNAL \WideAnd528~combout\ : std_logic;
SIGNAL \led_flash_cnt[531][0]~81171_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[531][1]~34314_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[531][1]~34315\ : std_logic;
SIGNAL \led_flash_cnt[531][2]~34316_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[531][2]~34317\ : std_logic;
SIGNAL \led_flash_cnt[531][3]~34318_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[531][3]~34319\ : std_logic;
SIGNAL \led_flash_cnt[531][4]~34320_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][4]~q\ : std_logic;
SIGNAL \WideAnd531~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][4]~34321\ : std_logic;
SIGNAL \led_flash_cnt[531][5]~34322_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[531][5]~34323\ : std_logic;
SIGNAL \led_flash_cnt[531][6]~34324_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][6]~q\ : std_logic;
SIGNAL \WideAnd531~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][6]~34325\ : std_logic;
SIGNAL \led_flash_cnt[531][7]~34326_combout\ : std_logic;
SIGNAL \led_flash_cnt[531][7]~q\ : std_logic;
SIGNAL \WideAnd531~combout\ : std_logic;
SIGNAL \WideAnd3906~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][0]~81175_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[535][1]~34370_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[535][1]~34371\ : std_logic;
SIGNAL \led_flash_cnt[535][2]~34372_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[535][2]~34373\ : std_logic;
SIGNAL \led_flash_cnt[535][3]~34374_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[535][3]~34375\ : std_logic;
SIGNAL \led_flash_cnt[535][4]~34376_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][4]~q\ : std_logic;
SIGNAL \WideAnd535~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][4]~34377\ : std_logic;
SIGNAL \led_flash_cnt[535][5]~34378_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[535][5]~34379\ : std_logic;
SIGNAL \led_flash_cnt[535][6]~34380_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[535][6]~34381\ : std_logic;
SIGNAL \led_flash_cnt[535][7]~34382_combout\ : std_logic;
SIGNAL \led_flash_cnt[535][7]~q\ : std_logic;
SIGNAL \WideAnd535~1_combout\ : std_logic;
SIGNAL \WideAnd535~combout\ : std_logic;
SIGNAL \led_flash_cnt[532][0]~81172_combout\ : std_logic;
SIGNAL \led_flash_cnt[532][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[532][1]~34328_combout\ : std_logic;
SIGNAL \led_flash_cnt[532][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[532][1]~34329\ : std_logic;
SIGNAL \led_flash_cnt[532][2]~34330_combout\ : std_logic;
SIGNAL \led_flash_cnt[532][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[532][2]~34331\ : std_logic;
SIGNAL \led_flash_cnt[532][3]~34332_combout\ : std_logic;
SIGNAL \led_flash_cnt[532][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[532][3]~34333\ : std_logic;
SIGNAL \led_flash_cnt[532][4]~34334_combout\ : std_logic;
SIGNAL \led_flash_cnt[532][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[532][4]~34335\ : std_logic;
SIGNAL \led_flash_cnt[532][5]~34336_combout\ : std_logic;
SIGNAL \led_flash_cnt[532][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[532][5]~34337\ : std_logic;
SIGNAL \led_flash_cnt[532][6]~34338_combout\ : std_logic;
SIGNAL \led_flash_cnt[532][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[532][6]~34339\ : std_logic;
SIGNAL \led_flash_cnt[532][7]~34340_combout\ : std_logic;
SIGNAL \led_flash_cnt[532][7]~q\ : std_logic;
SIGNAL \WideAnd532~1_combout\ : std_logic;
SIGNAL \WideAnd532~0_combout\ : std_logic;
SIGNAL \WideAnd532~combout\ : std_logic;
SIGNAL \led_flash_cnt[533][0]~81173_combout\ : std_logic;
SIGNAL \led_flash_cnt[533][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[533][1]~34342_combout\ : std_logic;
SIGNAL \led_flash_cnt[533][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[533][1]~34343\ : std_logic;
SIGNAL \led_flash_cnt[533][2]~34344_combout\ : std_logic;
SIGNAL \led_flash_cnt[533][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[533][2]~34345\ : std_logic;
SIGNAL \led_flash_cnt[533][3]~34346_combout\ : std_logic;
SIGNAL \led_flash_cnt[533][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[533][3]~34347\ : std_logic;
SIGNAL \led_flash_cnt[533][4]~34348_combout\ : std_logic;
SIGNAL \led_flash_cnt[533][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[533][4]~34349\ : std_logic;
SIGNAL \led_flash_cnt[533][5]~34350_combout\ : std_logic;
SIGNAL \led_flash_cnt[533][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[533][5]~34351\ : std_logic;
SIGNAL \led_flash_cnt[533][6]~34352_combout\ : std_logic;
SIGNAL \led_flash_cnt[533][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[533][6]~34353\ : std_logic;
SIGNAL \led_flash_cnt[533][7]~34354_combout\ : std_logic;
SIGNAL \led_flash_cnt[533][7]~q\ : std_logic;
SIGNAL \WideAnd533~1_combout\ : std_logic;
SIGNAL \WideAnd533~0_combout\ : std_logic;
SIGNAL \WideAnd533~combout\ : std_logic;
SIGNAL \WideAnd3906~1_combout\ : std_logic;
SIGNAL \WideAnd3906~combout\ : std_logic;
SIGNAL \led_flash_cnt[543][0]~81183_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[543][1]~34482_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[543][1]~34483\ : std_logic;
SIGNAL \led_flash_cnt[543][2]~34484_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[543][2]~34485\ : std_logic;
SIGNAL \led_flash_cnt[543][3]~34486_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[543][3]~34487\ : std_logic;
SIGNAL \led_flash_cnt[543][4]~34488_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][4]~q\ : std_logic;
SIGNAL \WideAnd543~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][4]~34489\ : std_logic;
SIGNAL \led_flash_cnt[543][5]~34490_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[543][5]~34491\ : std_logic;
SIGNAL \led_flash_cnt[543][6]~34492_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[543][6]~34493\ : std_logic;
SIGNAL \led_flash_cnt[543][7]~34494_combout\ : std_logic;
SIGNAL \led_flash_cnt[543][7]~q\ : std_logic;
SIGNAL \WideAnd543~1_combout\ : std_logic;
SIGNAL \WideAnd543~combout\ : std_logic;
SIGNAL \led_flash_cnt[539][0]~81179_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[539][1]~34426_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[539][1]~34427\ : std_logic;
SIGNAL \led_flash_cnt[539][2]~34428_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[539][2]~34429\ : std_logic;
SIGNAL \led_flash_cnt[539][3]~34430_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[539][3]~34431\ : std_logic;
SIGNAL \led_flash_cnt[539][4]~34432_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[539][4]~34433\ : std_logic;
SIGNAL \led_flash_cnt[539][5]~34434_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[539][5]~34435\ : std_logic;
SIGNAL \led_flash_cnt[539][6]~34436_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][6]~q\ : std_logic;
SIGNAL \WideAnd539~1_combout\ : std_logic;
SIGNAL \WideAnd539~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][6]~34437\ : std_logic;
SIGNAL \led_flash_cnt[539][7]~34438_combout\ : std_logic;
SIGNAL \led_flash_cnt[539][7]~q\ : std_logic;
SIGNAL \WideAnd539~combout\ : std_logic;
SIGNAL \led_flash_cnt[536][0]~81176_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[536][1]~34384_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[536][1]~34385\ : std_logic;
SIGNAL \led_flash_cnt[536][2]~34386_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[536][2]~34387\ : std_logic;
SIGNAL \led_flash_cnt[536][3]~34388_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[536][3]~34389\ : std_logic;
SIGNAL \led_flash_cnt[536][4]~34390_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][4]~q\ : std_logic;
SIGNAL \WideAnd536~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][4]~34391\ : std_logic;
SIGNAL \led_flash_cnt[536][5]~34392_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[536][5]~34393\ : std_logic;
SIGNAL \led_flash_cnt[536][6]~34394_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][6]~q\ : std_logic;
SIGNAL \WideAnd536~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][6]~34395\ : std_logic;
SIGNAL \led_flash_cnt[536][7]~34396_combout\ : std_logic;
SIGNAL \led_flash_cnt[536][7]~q\ : std_logic;
SIGNAL \WideAnd536~combout\ : std_logic;
SIGNAL \led_flash_cnt[538][0]~81178_combout\ : std_logic;
SIGNAL \led_flash_cnt[538][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[538][1]~34412_combout\ : std_logic;
SIGNAL \led_flash_cnt[538][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[538][1]~34413\ : std_logic;
SIGNAL \led_flash_cnt[538][2]~34414_combout\ : std_logic;
SIGNAL \led_flash_cnt[538][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[538][2]~34415\ : std_logic;
SIGNAL \led_flash_cnt[538][3]~34416_combout\ : std_logic;
SIGNAL \led_flash_cnt[538][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[538][3]~34417\ : std_logic;
SIGNAL \led_flash_cnt[538][4]~34418_combout\ : std_logic;
SIGNAL \led_flash_cnt[538][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[538][4]~34419\ : std_logic;
SIGNAL \led_flash_cnt[538][5]~34420_combout\ : std_logic;
SIGNAL \led_flash_cnt[538][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[538][5]~34421\ : std_logic;
SIGNAL \led_flash_cnt[538][6]~34422_combout\ : std_logic;
SIGNAL \led_flash_cnt[538][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[538][6]~34423\ : std_logic;
SIGNAL \led_flash_cnt[538][7]~34424_combout\ : std_logic;
SIGNAL \led_flash_cnt[538][7]~q\ : std_logic;
SIGNAL \WideAnd538~1_combout\ : std_logic;
SIGNAL \WideAnd538~0_combout\ : std_logic;
SIGNAL \WideAnd538~combout\ : std_logic;
SIGNAL \led_flash_cnt[537][0]~81177_combout\ : std_logic;
SIGNAL \led_flash_cnt[537][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[537][1]~34398_combout\ : std_logic;
SIGNAL \led_flash_cnt[537][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[537][1]~34399\ : std_logic;
SIGNAL \led_flash_cnt[537][2]~34400_combout\ : std_logic;
SIGNAL \led_flash_cnt[537][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[537][2]~34401\ : std_logic;
SIGNAL \led_flash_cnt[537][3]~34402_combout\ : std_logic;
SIGNAL \led_flash_cnt[537][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[537][3]~34403\ : std_logic;
SIGNAL \led_flash_cnt[537][4]~34404_combout\ : std_logic;
SIGNAL \led_flash_cnt[537][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[537][4]~34405\ : std_logic;
SIGNAL \led_flash_cnt[537][5]~34406_combout\ : std_logic;
SIGNAL \led_flash_cnt[537][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[537][5]~34407\ : std_logic;
SIGNAL \led_flash_cnt[537][6]~34408_combout\ : std_logic;
SIGNAL \led_flash_cnt[537][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[537][6]~34409\ : std_logic;
SIGNAL \led_flash_cnt[537][7]~34410_combout\ : std_logic;
SIGNAL \led_flash_cnt[537][7]~q\ : std_logic;
SIGNAL \WideAnd537~1_combout\ : std_logic;
SIGNAL \WideAnd537~0_combout\ : std_logic;
SIGNAL \WideAnd537~combout\ : std_logic;
SIGNAL \WideAnd3907~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][0]~81181_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[541][1]~34454_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[541][1]~34455\ : std_logic;
SIGNAL \led_flash_cnt[541][2]~34456_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[541][2]~34457\ : std_logic;
SIGNAL \led_flash_cnt[541][3]~34458_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[541][3]~34459\ : std_logic;
SIGNAL \led_flash_cnt[541][4]~34460_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[541][4]~34461\ : std_logic;
SIGNAL \led_flash_cnt[541][5]~34462_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[541][5]~34463\ : std_logic;
SIGNAL \led_flash_cnt[541][6]~34464_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[541][6]~34465\ : std_logic;
SIGNAL \led_flash_cnt[541][7]~34466_combout\ : std_logic;
SIGNAL \led_flash_cnt[541][7]~q\ : std_logic;
SIGNAL \WideAnd541~0_combout\ : std_logic;
SIGNAL \WideAnd541~1_combout\ : std_logic;
SIGNAL \WideAnd541~combout\ : std_logic;
SIGNAL \led_flash_cnt[540][0]~81180_combout\ : std_logic;
SIGNAL \led_flash_cnt[540][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[540][1]~34440_combout\ : std_logic;
SIGNAL \led_flash_cnt[540][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[540][1]~34441\ : std_logic;
SIGNAL \led_flash_cnt[540][2]~34442_combout\ : std_logic;
SIGNAL \led_flash_cnt[540][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[540][2]~34443\ : std_logic;
SIGNAL \led_flash_cnt[540][3]~34444_combout\ : std_logic;
SIGNAL \led_flash_cnt[540][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[540][3]~34445\ : std_logic;
SIGNAL \led_flash_cnt[540][4]~34446_combout\ : std_logic;
SIGNAL \led_flash_cnt[540][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[540][4]~34447\ : std_logic;
SIGNAL \led_flash_cnt[540][5]~34448_combout\ : std_logic;
SIGNAL \led_flash_cnt[540][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[540][5]~34449\ : std_logic;
SIGNAL \led_flash_cnt[540][6]~34450_combout\ : std_logic;
SIGNAL \led_flash_cnt[540][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[540][6]~34451\ : std_logic;
SIGNAL \led_flash_cnt[540][7]~34452_combout\ : std_logic;
SIGNAL \led_flash_cnt[540][7]~q\ : std_logic;
SIGNAL \WideAnd540~1_combout\ : std_logic;
SIGNAL \WideAnd540~0_combout\ : std_logic;
SIGNAL \WideAnd540~combout\ : std_logic;
SIGNAL \WideAnd3907~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][0]~81182_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[542][1]~34468_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[542][1]~34469\ : std_logic;
SIGNAL \led_flash_cnt[542][2]~34470_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[542][2]~34471\ : std_logic;
SIGNAL \led_flash_cnt[542][3]~34472_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[542][3]~34473\ : std_logic;
SIGNAL \led_flash_cnt[542][4]~34474_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[542][4]~34475\ : std_logic;
SIGNAL \led_flash_cnt[542][5]~34476_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[542][5]~34477\ : std_logic;
SIGNAL \led_flash_cnt[542][6]~34478_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[542][6]~34479\ : std_logic;
SIGNAL \led_flash_cnt[542][7]~34480_combout\ : std_logic;
SIGNAL \led_flash_cnt[542][7]~q\ : std_logic;
SIGNAL \WideAnd542~1_combout\ : std_logic;
SIGNAL \WideAnd542~0_combout\ : std_logic;
SIGNAL \WideAnd542~combout\ : std_logic;
SIGNAL \WideAnd3907~combout\ : std_logic;
SIGNAL \led_flash_cnt[527][0]~81167_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[527][1]~34258_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[527][1]~34259\ : std_logic;
SIGNAL \led_flash_cnt[527][2]~34260_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[527][2]~34261\ : std_logic;
SIGNAL \led_flash_cnt[527][3]~34262_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[527][3]~34263\ : std_logic;
SIGNAL \led_flash_cnt[527][4]~34264_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[527][4]~34265\ : std_logic;
SIGNAL \led_flash_cnt[527][5]~34266_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[527][5]~34267\ : std_logic;
SIGNAL \led_flash_cnt[527][6]~34268_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][6]~q\ : std_logic;
SIGNAL \WideAnd527~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][6]~34269\ : std_logic;
SIGNAL \led_flash_cnt[527][7]~34270_combout\ : std_logic;
SIGNAL \led_flash_cnt[527][7]~q\ : std_logic;
SIGNAL \WideAnd527~0_combout\ : std_logic;
SIGNAL \WideAnd527~combout\ : std_logic;
SIGNAL \led_flash_cnt[525][0]~81165_combout\ : std_logic;
SIGNAL \led_flash_cnt[525][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[525][1]~34230_combout\ : std_logic;
SIGNAL \led_flash_cnt[525][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[525][1]~34231\ : std_logic;
SIGNAL \led_flash_cnt[525][2]~34232_combout\ : std_logic;
SIGNAL \led_flash_cnt[525][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[525][2]~34233\ : std_logic;
SIGNAL \led_flash_cnt[525][3]~34234_combout\ : std_logic;
SIGNAL \led_flash_cnt[525][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[525][3]~34235\ : std_logic;
SIGNAL \led_flash_cnt[525][4]~34236_combout\ : std_logic;
SIGNAL \led_flash_cnt[525][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[525][4]~34237\ : std_logic;
SIGNAL \led_flash_cnt[525][5]~34238_combout\ : std_logic;
SIGNAL \led_flash_cnt[525][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[525][5]~34239\ : std_logic;
SIGNAL \led_flash_cnt[525][6]~34240_combout\ : std_logic;
SIGNAL \led_flash_cnt[525][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[525][6]~34241\ : std_logic;
SIGNAL \led_flash_cnt[525][7]~34242_combout\ : std_logic;
SIGNAL \led_flash_cnt[525][7]~q\ : std_logic;
SIGNAL \WideAnd525~1_combout\ : std_logic;
SIGNAL \WideAnd525~0_combout\ : std_logic;
SIGNAL \WideAnd525~combout\ : std_logic;
SIGNAL \led_flash_cnt[524][0]~81164_combout\ : std_logic;
SIGNAL \led_flash_cnt[524][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[524][1]~34216_combout\ : std_logic;
SIGNAL \led_flash_cnt[524][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[524][1]~34217\ : std_logic;
SIGNAL \led_flash_cnt[524][2]~34218_combout\ : std_logic;
SIGNAL \led_flash_cnt[524][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[524][2]~34219\ : std_logic;
SIGNAL \led_flash_cnt[524][3]~34220_combout\ : std_logic;
SIGNAL \led_flash_cnt[524][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[524][3]~34221\ : std_logic;
SIGNAL \led_flash_cnt[524][4]~34222_combout\ : std_logic;
SIGNAL \led_flash_cnt[524][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[524][4]~34223\ : std_logic;
SIGNAL \led_flash_cnt[524][5]~34224_combout\ : std_logic;
SIGNAL \led_flash_cnt[524][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[524][5]~34225\ : std_logic;
SIGNAL \led_flash_cnt[524][6]~34226_combout\ : std_logic;
SIGNAL \led_flash_cnt[524][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[524][6]~34227\ : std_logic;
SIGNAL \led_flash_cnt[524][7]~34228_combout\ : std_logic;
SIGNAL \led_flash_cnt[524][7]~q\ : std_logic;
SIGNAL \WideAnd524~1_combout\ : std_logic;
SIGNAL \WideAnd524~0_combout\ : std_logic;
SIGNAL \WideAnd524~combout\ : std_logic;
SIGNAL \WideAnd3905~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][0]~81160_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[520][1]~34160_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[520][1]~34161\ : std_logic;
SIGNAL \led_flash_cnt[520][2]~34162_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[520][2]~34163\ : std_logic;
SIGNAL \led_flash_cnt[520][3]~34164_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[520][3]~34165\ : std_logic;
SIGNAL \led_flash_cnt[520][4]~34166_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[520][4]~34167\ : std_logic;
SIGNAL \led_flash_cnt[520][5]~34168_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[520][5]~34169\ : std_logic;
SIGNAL \led_flash_cnt[520][6]~34170_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[520][6]~34171\ : std_logic;
SIGNAL \led_flash_cnt[520][7]~34172_combout\ : std_logic;
SIGNAL \led_flash_cnt[520][7]~q\ : std_logic;
SIGNAL \WideAnd520~0_combout\ : std_logic;
SIGNAL \WideAnd520~1_combout\ : std_logic;
SIGNAL \WideAnd520~combout\ : std_logic;
SIGNAL \led_flash_cnt[523][0]~81163_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[523][1]~34202_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[523][1]~34203\ : std_logic;
SIGNAL \led_flash_cnt[523][2]~34204_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[523][2]~34205\ : std_logic;
SIGNAL \led_flash_cnt[523][3]~34206_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[523][3]~34207\ : std_logic;
SIGNAL \led_flash_cnt[523][4]~34208_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[523][4]~34209\ : std_logic;
SIGNAL \led_flash_cnt[523][5]~34210_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[523][5]~34211\ : std_logic;
SIGNAL \led_flash_cnt[523][6]~34212_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][6]~q\ : std_logic;
SIGNAL \WideAnd523~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][6]~34213\ : std_logic;
SIGNAL \led_flash_cnt[523][7]~34214_combout\ : std_logic;
SIGNAL \led_flash_cnt[523][7]~q\ : std_logic;
SIGNAL \WideAnd523~0_combout\ : std_logic;
SIGNAL \WideAnd523~combout\ : std_logic;
SIGNAL \led_flash_cnt[521][0]~81161_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[521][1]~34174_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[521][1]~34175\ : std_logic;
SIGNAL \led_flash_cnt[521][2]~34176_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[521][2]~34177\ : std_logic;
SIGNAL \led_flash_cnt[521][3]~34178_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[521][3]~34179\ : std_logic;
SIGNAL \led_flash_cnt[521][4]~34180_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[521][4]~34181\ : std_logic;
SIGNAL \led_flash_cnt[521][5]~34182_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[521][5]~34183\ : std_logic;
SIGNAL \led_flash_cnt[521][6]~34184_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][6]~q\ : std_logic;
SIGNAL \WideAnd521~1_combout\ : std_logic;
SIGNAL \WideAnd521~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][6]~34185\ : std_logic;
SIGNAL \led_flash_cnt[521][7]~34186_combout\ : std_logic;
SIGNAL \led_flash_cnt[521][7]~q\ : std_logic;
SIGNAL \WideAnd521~combout\ : std_logic;
SIGNAL \led_flash_cnt[522][0]~81162_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[522][1]~34188_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[522][1]~34189\ : std_logic;
SIGNAL \led_flash_cnt[522][2]~34190_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[522][2]~34191\ : std_logic;
SIGNAL \led_flash_cnt[522][3]~34192_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[522][3]~34193\ : std_logic;
SIGNAL \led_flash_cnt[522][4]~34194_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][4]~q\ : std_logic;
SIGNAL \WideAnd522~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][4]~34195\ : std_logic;
SIGNAL \led_flash_cnt[522][5]~34196_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[522][5]~34197\ : std_logic;
SIGNAL \led_flash_cnt[522][6]~34198_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[522][6]~34199\ : std_logic;
SIGNAL \led_flash_cnt[522][7]~34200_combout\ : std_logic;
SIGNAL \led_flash_cnt[522][7]~q\ : std_logic;
SIGNAL \WideAnd522~1_combout\ : std_logic;
SIGNAL \WideAnd522~combout\ : std_logic;
SIGNAL \WideAnd3905~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][0]~81166_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[526][1]~34244_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[526][1]~34245\ : std_logic;
SIGNAL \led_flash_cnt[526][2]~34246_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[526][2]~34247\ : std_logic;
SIGNAL \led_flash_cnt[526][3]~34248_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[526][3]~34249\ : std_logic;
SIGNAL \led_flash_cnt[526][4]~34250_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[526][4]~34251\ : std_logic;
SIGNAL \led_flash_cnt[526][5]~34252_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[526][5]~34253\ : std_logic;
SIGNAL \led_flash_cnt[526][6]~34254_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[526][6]~34255\ : std_logic;
SIGNAL \led_flash_cnt[526][7]~34256_combout\ : std_logic;
SIGNAL \led_flash_cnt[526][7]~q\ : std_logic;
SIGNAL \WideAnd526~0_combout\ : std_logic;
SIGNAL \WideAnd526~1_combout\ : std_logic;
SIGNAL \WideAnd526~combout\ : std_logic;
SIGNAL \WideAnd3905~combout\ : std_logic;
SIGNAL \WideAnd4328~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][0]~81191_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[551][1]~34594_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[551][1]~34595\ : std_logic;
SIGNAL \led_flash_cnt[551][2]~34596_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[551][2]~34597\ : std_logic;
SIGNAL \led_flash_cnt[551][3]~34598_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[551][3]~34599\ : std_logic;
SIGNAL \led_flash_cnt[551][4]~34600_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[551][4]~34601\ : std_logic;
SIGNAL \led_flash_cnt[551][5]~34602_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[551][5]~34603\ : std_logic;
SIGNAL \led_flash_cnt[551][6]~34604_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][6]~q\ : std_logic;
SIGNAL \WideAnd551~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][6]~34605\ : std_logic;
SIGNAL \led_flash_cnt[551][7]~34606_combout\ : std_logic;
SIGNAL \led_flash_cnt[551][7]~q\ : std_logic;
SIGNAL \WideAnd551~0_combout\ : std_logic;
SIGNAL \WideAnd551~combout\ : std_logic;
SIGNAL \led_flash_cnt[549][0]~81189_combout\ : std_logic;
SIGNAL \led_flash_cnt[549][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[549][1]~34566_combout\ : std_logic;
SIGNAL \led_flash_cnt[549][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[549][1]~34567\ : std_logic;
SIGNAL \led_flash_cnt[549][2]~34568_combout\ : std_logic;
SIGNAL \led_flash_cnt[549][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[549][2]~34569\ : std_logic;
SIGNAL \led_flash_cnt[549][3]~34570_combout\ : std_logic;
SIGNAL \led_flash_cnt[549][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[549][3]~34571\ : std_logic;
SIGNAL \led_flash_cnt[549][4]~34572_combout\ : std_logic;
SIGNAL \led_flash_cnt[549][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[549][4]~34573\ : std_logic;
SIGNAL \led_flash_cnt[549][5]~34574_combout\ : std_logic;
SIGNAL \led_flash_cnt[549][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[549][5]~34575\ : std_logic;
SIGNAL \led_flash_cnt[549][6]~34576_combout\ : std_logic;
SIGNAL \led_flash_cnt[549][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[549][6]~34577\ : std_logic;
SIGNAL \led_flash_cnt[549][7]~34578_combout\ : std_logic;
SIGNAL \led_flash_cnt[549][7]~q\ : std_logic;
SIGNAL \WideAnd549~1_combout\ : std_logic;
SIGNAL \WideAnd549~0_combout\ : std_logic;
SIGNAL \WideAnd549~combout\ : std_logic;
SIGNAL \led_flash_cnt[548][0]~81188_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[548][1]~34552_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[548][1]~34553\ : std_logic;
SIGNAL \led_flash_cnt[548][2]~34554_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[548][2]~34555\ : std_logic;
SIGNAL \led_flash_cnt[548][3]~34556_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[548][3]~34557\ : std_logic;
SIGNAL \led_flash_cnt[548][4]~34558_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[548][4]~34559\ : std_logic;
SIGNAL \led_flash_cnt[548][5]~34560_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[548][5]~34561\ : std_logic;
SIGNAL \led_flash_cnt[548][6]~34562_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][6]~q\ : std_logic;
SIGNAL \WideAnd548~1_combout\ : std_logic;
SIGNAL \WideAnd548~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][6]~34563\ : std_logic;
SIGNAL \led_flash_cnt[548][7]~34564_combout\ : std_logic;
SIGNAL \led_flash_cnt[548][7]~q\ : std_logic;
SIGNAL \WideAnd548~combout\ : std_logic;
SIGNAL \WideAnd3908~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][0]~81184_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[544][1]~34496_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[544][1]~34497\ : std_logic;
SIGNAL \led_flash_cnt[544][2]~34498_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[544][2]~34499\ : std_logic;
SIGNAL \led_flash_cnt[544][3]~34500_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[544][3]~34501\ : std_logic;
SIGNAL \led_flash_cnt[544][4]~34502_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[544][4]~34503\ : std_logic;
SIGNAL \led_flash_cnt[544][5]~34504_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[544][5]~34505\ : std_logic;
SIGNAL \led_flash_cnt[544][6]~34506_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][6]~q\ : std_logic;
SIGNAL \WideAnd544~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][6]~34507\ : std_logic;
SIGNAL \led_flash_cnt[544][7]~34508_combout\ : std_logic;
SIGNAL \led_flash_cnt[544][7]~q\ : std_logic;
SIGNAL \WideAnd544~0_combout\ : std_logic;
SIGNAL \WideAnd544~combout\ : std_logic;
SIGNAL \led_flash_cnt[546][0]~81186_combout\ : std_logic;
SIGNAL \led_flash_cnt[546][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[546][1]~34524_combout\ : std_logic;
SIGNAL \led_flash_cnt[546][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[546][1]~34525\ : std_logic;
SIGNAL \led_flash_cnt[546][2]~34526_combout\ : std_logic;
SIGNAL \led_flash_cnt[546][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[546][2]~34527\ : std_logic;
SIGNAL \led_flash_cnt[546][3]~34528_combout\ : std_logic;
SIGNAL \led_flash_cnt[546][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[546][3]~34529\ : std_logic;
SIGNAL \led_flash_cnt[546][4]~34530_combout\ : std_logic;
SIGNAL \led_flash_cnt[546][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[546][4]~34531\ : std_logic;
SIGNAL \led_flash_cnt[546][5]~34532_combout\ : std_logic;
SIGNAL \led_flash_cnt[546][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[546][5]~34533\ : std_logic;
SIGNAL \led_flash_cnt[546][6]~34534_combout\ : std_logic;
SIGNAL \led_flash_cnt[546][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[546][6]~34535\ : std_logic;
SIGNAL \led_flash_cnt[546][7]~34536_combout\ : std_logic;
SIGNAL \led_flash_cnt[546][7]~q\ : std_logic;
SIGNAL \WideAnd546~1_combout\ : std_logic;
SIGNAL \WideAnd546~0_combout\ : std_logic;
SIGNAL \WideAnd546~combout\ : std_logic;
SIGNAL \led_flash_cnt[547][0]~81187_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[547][1]~34538_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[547][1]~34539\ : std_logic;
SIGNAL \led_flash_cnt[547][2]~34540_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[547][2]~34541\ : std_logic;
SIGNAL \led_flash_cnt[547][3]~34542_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[547][3]~34543\ : std_logic;
SIGNAL \led_flash_cnt[547][4]~34544_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[547][4]~34545\ : std_logic;
SIGNAL \led_flash_cnt[547][5]~34546_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[547][5]~34547\ : std_logic;
SIGNAL \led_flash_cnt[547][6]~34548_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][6]~q\ : std_logic;
SIGNAL \WideAnd547~1_combout\ : std_logic;
SIGNAL \WideAnd547~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][6]~34549\ : std_logic;
SIGNAL \led_flash_cnt[547][7]~34550_combout\ : std_logic;
SIGNAL \led_flash_cnt[547][7]~q\ : std_logic;
SIGNAL \WideAnd547~combout\ : std_logic;
SIGNAL \led_flash_cnt[545][0]~81185_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[545][1]~34510_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[545][1]~34511\ : std_logic;
SIGNAL \led_flash_cnt[545][2]~34512_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[545][2]~34513\ : std_logic;
SIGNAL \led_flash_cnt[545][3]~34514_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[545][3]~34515\ : std_logic;
SIGNAL \led_flash_cnt[545][4]~34516_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][4]~q\ : std_logic;
SIGNAL \WideAnd545~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][4]~34517\ : std_logic;
SIGNAL \led_flash_cnt[545][5]~34518_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[545][5]~34519\ : std_logic;
SIGNAL \led_flash_cnt[545][6]~34520_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[545][6]~34521\ : std_logic;
SIGNAL \led_flash_cnt[545][7]~34522_combout\ : std_logic;
SIGNAL \led_flash_cnt[545][7]~q\ : std_logic;
SIGNAL \WideAnd545~1_combout\ : std_logic;
SIGNAL \WideAnd545~combout\ : std_logic;
SIGNAL \WideAnd3908~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][0]~81190_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[550][1]~34580_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[550][1]~34581\ : std_logic;
SIGNAL \led_flash_cnt[550][2]~34582_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[550][2]~34583\ : std_logic;
SIGNAL \led_flash_cnt[550][3]~34584_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[550][3]~34585\ : std_logic;
SIGNAL \led_flash_cnt[550][4]~34586_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[550][4]~34587\ : std_logic;
SIGNAL \led_flash_cnt[550][5]~34588_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[550][5]~34589\ : std_logic;
SIGNAL \led_flash_cnt[550][6]~34590_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][6]~q\ : std_logic;
SIGNAL \WideAnd550~1_combout\ : std_logic;
SIGNAL \WideAnd550~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][6]~34591\ : std_logic;
SIGNAL \led_flash_cnt[550][7]~34592_combout\ : std_logic;
SIGNAL \led_flash_cnt[550][7]~q\ : std_logic;
SIGNAL \WideAnd550~combout\ : std_logic;
SIGNAL \WideAnd3908~combout\ : std_logic;
SIGNAL \led_flash_cnt[556][0]~81196_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[556][1]~34664_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[556][1]~34665\ : std_logic;
SIGNAL \led_flash_cnt[556][2]~34666_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[556][2]~34667\ : std_logic;
SIGNAL \led_flash_cnt[556][3]~34668_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[556][3]~34669\ : std_logic;
SIGNAL \led_flash_cnt[556][4]~34670_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][4]~q\ : std_logic;
SIGNAL \WideAnd556~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][4]~34671\ : std_logic;
SIGNAL \led_flash_cnt[556][5]~34672_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[556][5]~34673\ : std_logic;
SIGNAL \led_flash_cnt[556][6]~34674_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[556][6]~34675\ : std_logic;
SIGNAL \led_flash_cnt[556][7]~34676_combout\ : std_logic;
SIGNAL \led_flash_cnt[556][7]~q\ : std_logic;
SIGNAL \WideAnd556~1_combout\ : std_logic;
SIGNAL \WideAnd556~combout\ : std_logic;
SIGNAL \led_flash_cnt[557][0]~81197_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[557][1]~34678_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[557][1]~34679\ : std_logic;
SIGNAL \led_flash_cnt[557][2]~34680_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[557][2]~34681\ : std_logic;
SIGNAL \led_flash_cnt[557][3]~34682_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[557][3]~34683\ : std_logic;
SIGNAL \led_flash_cnt[557][4]~34684_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][4]~q\ : std_logic;
SIGNAL \WideAnd557~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][4]~34685\ : std_logic;
SIGNAL \led_flash_cnt[557][5]~34686_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[557][5]~34687\ : std_logic;
SIGNAL \led_flash_cnt[557][6]~34688_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[557][6]~34689\ : std_logic;
SIGNAL \led_flash_cnt[557][7]~34690_combout\ : std_logic;
SIGNAL \led_flash_cnt[557][7]~q\ : std_logic;
SIGNAL \WideAnd557~1_combout\ : std_logic;
SIGNAL \WideAnd557~combout\ : std_logic;
SIGNAL \WideAnd3909~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][0]~81199_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[559][1]~34706_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[559][1]~34707\ : std_logic;
SIGNAL \led_flash_cnt[559][2]~34708_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[559][2]~34709\ : std_logic;
SIGNAL \led_flash_cnt[559][3]~34710_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[559][3]~34711\ : std_logic;
SIGNAL \led_flash_cnt[559][4]~34712_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[559][4]~34713\ : std_logic;
SIGNAL \led_flash_cnt[559][5]~34714_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[559][5]~34715\ : std_logic;
SIGNAL \led_flash_cnt[559][6]~34716_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][6]~q\ : std_logic;
SIGNAL \WideAnd559~1_combout\ : std_logic;
SIGNAL \WideAnd559~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][6]~34717\ : std_logic;
SIGNAL \led_flash_cnt[559][7]~34718_combout\ : std_logic;
SIGNAL \led_flash_cnt[559][7]~q\ : std_logic;
SIGNAL \WideAnd559~combout\ : std_logic;
SIGNAL \led_flash_cnt[554][0]~81194_combout\ : std_logic;
SIGNAL \led_flash_cnt[554][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[554][1]~34636_combout\ : std_logic;
SIGNAL \led_flash_cnt[554][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[554][1]~34637\ : std_logic;
SIGNAL \led_flash_cnt[554][2]~34638_combout\ : std_logic;
SIGNAL \led_flash_cnt[554][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[554][2]~34639\ : std_logic;
SIGNAL \led_flash_cnt[554][3]~34640_combout\ : std_logic;
SIGNAL \led_flash_cnt[554][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[554][3]~34641\ : std_logic;
SIGNAL \led_flash_cnt[554][4]~34642_combout\ : std_logic;
SIGNAL \led_flash_cnt[554][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[554][4]~34643\ : std_logic;
SIGNAL \led_flash_cnt[554][5]~34644_combout\ : std_logic;
SIGNAL \led_flash_cnt[554][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[554][5]~34645\ : std_logic;
SIGNAL \led_flash_cnt[554][6]~34646_combout\ : std_logic;
SIGNAL \led_flash_cnt[554][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[554][6]~34647\ : std_logic;
SIGNAL \led_flash_cnt[554][7]~34648_combout\ : std_logic;
SIGNAL \led_flash_cnt[554][7]~q\ : std_logic;
SIGNAL \WideAnd554~0_combout\ : std_logic;
SIGNAL \WideAnd554~1_combout\ : std_logic;
SIGNAL \WideAnd554~combout\ : std_logic;
SIGNAL \led_flash_cnt[555][0]~81195_combout\ : std_logic;
SIGNAL \led_flash_cnt[555][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[555][1]~34650_combout\ : std_logic;
SIGNAL \led_flash_cnt[555][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[555][1]~34651\ : std_logic;
SIGNAL \led_flash_cnt[555][2]~34652_combout\ : std_logic;
SIGNAL \led_flash_cnt[555][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[555][2]~34653\ : std_logic;
SIGNAL \led_flash_cnt[555][3]~34654_combout\ : std_logic;
SIGNAL \led_flash_cnt[555][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[555][3]~34655\ : std_logic;
SIGNAL \led_flash_cnt[555][4]~34656_combout\ : std_logic;
SIGNAL \led_flash_cnt[555][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[555][4]~34657\ : std_logic;
SIGNAL \led_flash_cnt[555][5]~34658_combout\ : std_logic;
SIGNAL \led_flash_cnt[555][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[555][5]~34659\ : std_logic;
SIGNAL \led_flash_cnt[555][6]~34660_combout\ : std_logic;
SIGNAL \led_flash_cnt[555][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[555][6]~34661\ : std_logic;
SIGNAL \led_flash_cnt[555][7]~34662_combout\ : std_logic;
SIGNAL \led_flash_cnt[555][7]~q\ : std_logic;
SIGNAL \WideAnd555~1_combout\ : std_logic;
SIGNAL \WideAnd555~0_combout\ : std_logic;
SIGNAL \WideAnd555~combout\ : std_logic;
SIGNAL \led_flash_cnt[553][0]~81193_combout\ : std_logic;
SIGNAL \led_flash_cnt[553][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[553][1]~34622_combout\ : std_logic;
SIGNAL \led_flash_cnt[553][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[553][1]~34623\ : std_logic;
SIGNAL \led_flash_cnt[553][2]~34624_combout\ : std_logic;
SIGNAL \led_flash_cnt[553][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[553][2]~34625\ : std_logic;
SIGNAL \led_flash_cnt[553][3]~34626_combout\ : std_logic;
SIGNAL \led_flash_cnt[553][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[553][3]~34627\ : std_logic;
SIGNAL \led_flash_cnt[553][4]~34628_combout\ : std_logic;
SIGNAL \led_flash_cnt[553][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[553][4]~34629\ : std_logic;
SIGNAL \led_flash_cnt[553][5]~34630_combout\ : std_logic;
SIGNAL \led_flash_cnt[553][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[553][5]~34631\ : std_logic;
SIGNAL \led_flash_cnt[553][6]~34632_combout\ : std_logic;
SIGNAL \led_flash_cnt[553][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[553][6]~34633\ : std_logic;
SIGNAL \led_flash_cnt[553][7]~34634_combout\ : std_logic;
SIGNAL \led_flash_cnt[553][7]~q\ : std_logic;
SIGNAL \WideAnd553~0_combout\ : std_logic;
SIGNAL \WideAnd553~1_combout\ : std_logic;
SIGNAL \WideAnd553~combout\ : std_logic;
SIGNAL \led_flash_cnt[552][0]~81192_combout\ : std_logic;
SIGNAL \led_flash_cnt[552][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[552][1]~34608_combout\ : std_logic;
SIGNAL \led_flash_cnt[552][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[552][1]~34609\ : std_logic;
SIGNAL \led_flash_cnt[552][2]~34610_combout\ : std_logic;
SIGNAL \led_flash_cnt[552][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[552][2]~34611\ : std_logic;
SIGNAL \led_flash_cnt[552][3]~34612_combout\ : std_logic;
SIGNAL \led_flash_cnt[552][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[552][3]~34613\ : std_logic;
SIGNAL \led_flash_cnt[552][4]~34614_combout\ : std_logic;
SIGNAL \led_flash_cnt[552][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[552][4]~34615\ : std_logic;
SIGNAL \led_flash_cnt[552][5]~34616_combout\ : std_logic;
SIGNAL \led_flash_cnt[552][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[552][5]~34617\ : std_logic;
SIGNAL \led_flash_cnt[552][6]~34618_combout\ : std_logic;
SIGNAL \led_flash_cnt[552][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[552][6]~34619\ : std_logic;
SIGNAL \led_flash_cnt[552][7]~34620_combout\ : std_logic;
SIGNAL \led_flash_cnt[552][7]~q\ : std_logic;
SIGNAL \WideAnd552~1_combout\ : std_logic;
SIGNAL \WideAnd552~0_combout\ : std_logic;
SIGNAL \WideAnd552~combout\ : std_logic;
SIGNAL \WideAnd3909~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][0]~81198_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[558][1]~34692_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[558][1]~34693\ : std_logic;
SIGNAL \led_flash_cnt[558][2]~34694_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[558][2]~34695\ : std_logic;
SIGNAL \led_flash_cnt[558][3]~34696_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[558][3]~34697\ : std_logic;
SIGNAL \led_flash_cnt[558][4]~34698_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][4]~q\ : std_logic;
SIGNAL \WideAnd558~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][4]~34699\ : std_logic;
SIGNAL \led_flash_cnt[558][5]~34700_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[558][5]~34701\ : std_logic;
SIGNAL \led_flash_cnt[558][6]~34702_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[558][6]~34703\ : std_logic;
SIGNAL \led_flash_cnt[558][7]~34704_combout\ : std_logic;
SIGNAL \led_flash_cnt[558][7]~q\ : std_logic;
SIGNAL \WideAnd558~1_combout\ : std_logic;
SIGNAL \WideAnd558~combout\ : std_logic;
SIGNAL \WideAnd3909~combout\ : std_logic;
SIGNAL \WideAnd4328~1_combout\ : std_logic;
SIGNAL \WideAnd4328~combout\ : std_logic;
SIGNAL \led_flash_cnt[749][0]~81389_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[749][1]~37366_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[749][1]~37367\ : std_logic;
SIGNAL \led_flash_cnt[749][2]~37368_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[749][2]~37369\ : std_logic;
SIGNAL \led_flash_cnt[749][3]~37370_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[749][3]~37371\ : std_logic;
SIGNAL \led_flash_cnt[749][4]~37372_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][4]~q\ : std_logic;
SIGNAL \WideAnd749~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][4]~37373\ : std_logic;
SIGNAL \led_flash_cnt[749][5]~37374_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[749][5]~37375\ : std_logic;
SIGNAL \led_flash_cnt[749][6]~37376_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][6]~q\ : std_logic;
SIGNAL \WideAnd749~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][6]~37377\ : std_logic;
SIGNAL \led_flash_cnt[749][7]~37378_combout\ : std_logic;
SIGNAL \led_flash_cnt[749][7]~q\ : std_logic;
SIGNAL \WideAnd749~combout\ : std_logic;
SIGNAL \led_flash_cnt[748][0]~81388_combout\ : std_logic;
SIGNAL \led_flash_cnt[748][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[748][1]~37352_combout\ : std_logic;
SIGNAL \led_flash_cnt[748][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[748][1]~37353\ : std_logic;
SIGNAL \led_flash_cnt[748][2]~37354_combout\ : std_logic;
SIGNAL \led_flash_cnt[748][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[748][2]~37355\ : std_logic;
SIGNAL \led_flash_cnt[748][3]~37356_combout\ : std_logic;
SIGNAL \led_flash_cnt[748][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[748][3]~37357\ : std_logic;
SIGNAL \led_flash_cnt[748][4]~37358_combout\ : std_logic;
SIGNAL \led_flash_cnt[748][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[748][4]~37359\ : std_logic;
SIGNAL \led_flash_cnt[748][5]~37360_combout\ : std_logic;
SIGNAL \led_flash_cnt[748][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[748][5]~37361\ : std_logic;
SIGNAL \led_flash_cnt[748][6]~37362_combout\ : std_logic;
SIGNAL \led_flash_cnt[748][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[748][6]~37363\ : std_logic;
SIGNAL \led_flash_cnt[748][7]~37364_combout\ : std_logic;
SIGNAL \led_flash_cnt[748][7]~q\ : std_logic;
SIGNAL \WideAnd748~0_combout\ : std_logic;
SIGNAL \WideAnd748~1_combout\ : std_logic;
SIGNAL \WideAnd748~combout\ : std_logic;
SIGNAL \WideAnd3933~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][0]~81387_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[747][1]~37338_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[747][1]~37339\ : std_logic;
SIGNAL \led_flash_cnt[747][2]~37340_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[747][2]~37341\ : std_logic;
SIGNAL \led_flash_cnt[747][3]~37342_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[747][3]~37343\ : std_logic;
SIGNAL \led_flash_cnt[747][4]~37344_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[747][4]~37345\ : std_logic;
SIGNAL \led_flash_cnt[747][5]~37346_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[747][5]~37347\ : std_logic;
SIGNAL \led_flash_cnt[747][6]~37348_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][6]~q\ : std_logic;
SIGNAL \WideAnd747~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][6]~37349\ : std_logic;
SIGNAL \led_flash_cnt[747][7]~37350_combout\ : std_logic;
SIGNAL \led_flash_cnt[747][7]~q\ : std_logic;
SIGNAL \WideAnd747~0_combout\ : std_logic;
SIGNAL \WideAnd747~combout\ : std_logic;
SIGNAL \led_flash_cnt[746][0]~81386_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[746][1]~37324_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[746][1]~37325\ : std_logic;
SIGNAL \led_flash_cnt[746][2]~37326_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[746][2]~37327\ : std_logic;
SIGNAL \led_flash_cnt[746][3]~37328_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[746][3]~37329\ : std_logic;
SIGNAL \led_flash_cnt[746][4]~37330_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][4]~q\ : std_logic;
SIGNAL \WideAnd746~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][4]~37331\ : std_logic;
SIGNAL \led_flash_cnt[746][5]~37332_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[746][5]~37333\ : std_logic;
SIGNAL \led_flash_cnt[746][6]~37334_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[746][6]~37335\ : std_logic;
SIGNAL \led_flash_cnt[746][7]~37336_combout\ : std_logic;
SIGNAL \led_flash_cnt[746][7]~q\ : std_logic;
SIGNAL \WideAnd746~1_combout\ : std_logic;
SIGNAL \WideAnd746~combout\ : std_logic;
SIGNAL \led_flash_cnt[745][0]~81385_combout\ : std_logic;
SIGNAL \led_flash_cnt[745][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[745][1]~37310_combout\ : std_logic;
SIGNAL \led_flash_cnt[745][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[745][1]~37311\ : std_logic;
SIGNAL \led_flash_cnt[745][2]~37312_combout\ : std_logic;
SIGNAL \led_flash_cnt[745][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[745][2]~37313\ : std_logic;
SIGNAL \led_flash_cnt[745][3]~37314_combout\ : std_logic;
SIGNAL \led_flash_cnt[745][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[745][3]~37315\ : std_logic;
SIGNAL \led_flash_cnt[745][4]~37316_combout\ : std_logic;
SIGNAL \led_flash_cnt[745][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[745][4]~37317\ : std_logic;
SIGNAL \led_flash_cnt[745][5]~37318_combout\ : std_logic;
SIGNAL \led_flash_cnt[745][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[745][5]~37319\ : std_logic;
SIGNAL \led_flash_cnt[745][6]~37320_combout\ : std_logic;
SIGNAL \led_flash_cnt[745][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[745][6]~37321\ : std_logic;
SIGNAL \led_flash_cnt[745][7]~37322_combout\ : std_logic;
SIGNAL \led_flash_cnt[745][7]~q\ : std_logic;
SIGNAL \WideAnd745~0_combout\ : std_logic;
SIGNAL \WideAnd745~1_combout\ : std_logic;
SIGNAL \WideAnd745~combout\ : std_logic;
SIGNAL \led_flash_cnt[744][0]~81384_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[744][1]~37296_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[744][1]~37297\ : std_logic;
SIGNAL \led_flash_cnt[744][2]~37298_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[744][2]~37299\ : std_logic;
SIGNAL \led_flash_cnt[744][3]~37300_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[744][3]~37301\ : std_logic;
SIGNAL \led_flash_cnt[744][4]~37302_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[744][4]~37303\ : std_logic;
SIGNAL \led_flash_cnt[744][5]~37304_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[744][5]~37305\ : std_logic;
SIGNAL \led_flash_cnt[744][6]~37306_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][6]~q\ : std_logic;
SIGNAL \WideAnd744~1_combout\ : std_logic;
SIGNAL \WideAnd744~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][6]~37307\ : std_logic;
SIGNAL \led_flash_cnt[744][7]~37308_combout\ : std_logic;
SIGNAL \led_flash_cnt[744][7]~q\ : std_logic;
SIGNAL \WideAnd744~combout\ : std_logic;
SIGNAL \WideAnd3933~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][0]~81390_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[750][1]~37380_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[750][1]~37381\ : std_logic;
SIGNAL \led_flash_cnt[750][2]~37382_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[750][2]~37383\ : std_logic;
SIGNAL \led_flash_cnt[750][3]~37384_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[750][3]~37385\ : std_logic;
SIGNAL \led_flash_cnt[750][4]~37386_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][4]~q\ : std_logic;
SIGNAL \WideAnd750~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][4]~37387\ : std_logic;
SIGNAL \led_flash_cnt[750][5]~37388_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[750][5]~37389\ : std_logic;
SIGNAL \led_flash_cnt[750][6]~37390_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[750][6]~37391\ : std_logic;
SIGNAL \led_flash_cnt[750][7]~37392_combout\ : std_logic;
SIGNAL \led_flash_cnt[750][7]~q\ : std_logic;
SIGNAL \WideAnd750~1_combout\ : std_logic;
SIGNAL \WideAnd750~combout\ : std_logic;
SIGNAL \led_flash_cnt[751][0]~81391_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[751][1]~37394_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[751][1]~37395\ : std_logic;
SIGNAL \led_flash_cnt[751][2]~37396_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[751][2]~37397\ : std_logic;
SIGNAL \led_flash_cnt[751][3]~37398_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[751][3]~37399\ : std_logic;
SIGNAL \led_flash_cnt[751][4]~37400_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][4]~q\ : std_logic;
SIGNAL \WideAnd751~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][4]~37401\ : std_logic;
SIGNAL \led_flash_cnt[751][5]~37402_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[751][5]~37403\ : std_logic;
SIGNAL \led_flash_cnt[751][6]~37404_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][6]~q\ : std_logic;
SIGNAL \WideAnd751~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][6]~37405\ : std_logic;
SIGNAL \led_flash_cnt[751][7]~37406_combout\ : std_logic;
SIGNAL \led_flash_cnt[751][7]~q\ : std_logic;
SIGNAL \WideAnd751~combout\ : std_logic;
SIGNAL \WideAnd3933~combout\ : std_logic;
SIGNAL \led_flash_cnt[741][0]~81381_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[741][1]~37254_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[741][1]~37255\ : std_logic;
SIGNAL \led_flash_cnt[741][2]~37256_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[741][2]~37257\ : std_logic;
SIGNAL \led_flash_cnt[741][3]~37258_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[741][3]~37259\ : std_logic;
SIGNAL \led_flash_cnt[741][4]~37260_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[741][4]~37261\ : std_logic;
SIGNAL \led_flash_cnt[741][5]~37262_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[741][5]~37263\ : std_logic;
SIGNAL \led_flash_cnt[741][6]~37264_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][6]~q\ : std_logic;
SIGNAL \WideAnd741~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][6]~37265\ : std_logic;
SIGNAL \led_flash_cnt[741][7]~37266_combout\ : std_logic;
SIGNAL \led_flash_cnt[741][7]~q\ : std_logic;
SIGNAL \WideAnd741~0_combout\ : std_logic;
SIGNAL \WideAnd741~combout\ : std_logic;
SIGNAL \led_flash_cnt[740][0]~81380_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[740][1]~37240_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[740][1]~37241\ : std_logic;
SIGNAL \led_flash_cnt[740][2]~37242_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[740][2]~37243\ : std_logic;
SIGNAL \led_flash_cnt[740][3]~37244_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[740][3]~37245\ : std_logic;
SIGNAL \led_flash_cnt[740][4]~37246_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[740][4]~37247\ : std_logic;
SIGNAL \led_flash_cnt[740][5]~37248_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[740][5]~37249\ : std_logic;
SIGNAL \led_flash_cnt[740][6]~37250_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][6]~q\ : std_logic;
SIGNAL \WideAnd740~1_combout\ : std_logic;
SIGNAL \WideAnd740~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][6]~37251\ : std_logic;
SIGNAL \led_flash_cnt[740][7]~37252_combout\ : std_logic;
SIGNAL \led_flash_cnt[740][7]~q\ : std_logic;
SIGNAL \WideAnd740~combout\ : std_logic;
SIGNAL \WideAnd3932~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][0]~81382_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[742][1]~37268_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[742][1]~37269\ : std_logic;
SIGNAL \led_flash_cnt[742][2]~37270_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[742][2]~37271\ : std_logic;
SIGNAL \led_flash_cnt[742][3]~37272_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[742][3]~37273\ : std_logic;
SIGNAL \led_flash_cnt[742][4]~37274_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[742][4]~37275\ : std_logic;
SIGNAL \led_flash_cnt[742][5]~37276_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[742][5]~37277\ : std_logic;
SIGNAL \led_flash_cnt[742][6]~37278_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][6]~q\ : std_logic;
SIGNAL \WideAnd742~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][6]~37279\ : std_logic;
SIGNAL \led_flash_cnt[742][7]~37280_combout\ : std_logic;
SIGNAL \led_flash_cnt[742][7]~q\ : std_logic;
SIGNAL \WideAnd742~0_combout\ : std_logic;
SIGNAL \WideAnd742~combout\ : std_logic;
SIGNAL \led_flash_cnt[743][0]~81383_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[743][1]~37282_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[743][1]~37283\ : std_logic;
SIGNAL \led_flash_cnt[743][2]~37284_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[743][2]~37285\ : std_logic;
SIGNAL \led_flash_cnt[743][3]~37286_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[743][3]~37287\ : std_logic;
SIGNAL \led_flash_cnt[743][4]~37288_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[743][4]~37289\ : std_logic;
SIGNAL \led_flash_cnt[743][5]~37290_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[743][5]~37291\ : std_logic;
SIGNAL \led_flash_cnt[743][6]~37292_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][6]~q\ : std_logic;
SIGNAL \WideAnd743~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][6]~37293\ : std_logic;
SIGNAL \led_flash_cnt[743][7]~37294_combout\ : std_logic;
SIGNAL \led_flash_cnt[743][7]~q\ : std_logic;
SIGNAL \WideAnd743~0_combout\ : std_logic;
SIGNAL \WideAnd743~combout\ : std_logic;
SIGNAL \led_flash_cnt[737][0]~81377_combout\ : std_logic;
SIGNAL \led_flash_cnt[737][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[737][1]~37198_combout\ : std_logic;
SIGNAL \led_flash_cnt[737][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[737][1]~37199\ : std_logic;
SIGNAL \led_flash_cnt[737][2]~37200_combout\ : std_logic;
SIGNAL \led_flash_cnt[737][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[737][2]~37201\ : std_logic;
SIGNAL \led_flash_cnt[737][3]~37202_combout\ : std_logic;
SIGNAL \led_flash_cnt[737][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[737][3]~37203\ : std_logic;
SIGNAL \led_flash_cnt[737][4]~37204_combout\ : std_logic;
SIGNAL \led_flash_cnt[737][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[737][4]~37205\ : std_logic;
SIGNAL \led_flash_cnt[737][5]~37206_combout\ : std_logic;
SIGNAL \led_flash_cnt[737][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[737][5]~37207\ : std_logic;
SIGNAL \led_flash_cnt[737][6]~37208_combout\ : std_logic;
SIGNAL \led_flash_cnt[737][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[737][6]~37209\ : std_logic;
SIGNAL \led_flash_cnt[737][7]~37210_combout\ : std_logic;
SIGNAL \led_flash_cnt[737][7]~q\ : std_logic;
SIGNAL \WideAnd737~1_combout\ : std_logic;
SIGNAL \WideAnd737~0_combout\ : std_logic;
SIGNAL \WideAnd737~combout\ : std_logic;
SIGNAL \led_flash_cnt[736][0]~81376_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[736][1]~37184_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[736][1]~37185\ : std_logic;
SIGNAL \led_flash_cnt[736][2]~37186_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[736][2]~37187\ : std_logic;
SIGNAL \led_flash_cnt[736][3]~37188_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[736][3]~37189\ : std_logic;
SIGNAL \led_flash_cnt[736][4]~37190_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][4]~q\ : std_logic;
SIGNAL \WideAnd736~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][4]~37191\ : std_logic;
SIGNAL \led_flash_cnt[736][5]~37192_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[736][5]~37193\ : std_logic;
SIGNAL \led_flash_cnt[736][6]~37194_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][6]~q\ : std_logic;
SIGNAL \WideAnd736~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][6]~37195\ : std_logic;
SIGNAL \led_flash_cnt[736][7]~37196_combout\ : std_logic;
SIGNAL \led_flash_cnt[736][7]~q\ : std_logic;
SIGNAL \WideAnd736~combout\ : std_logic;
SIGNAL \led_flash_cnt[738][0]~81378_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[738][1]~37212_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[738][1]~37213\ : std_logic;
SIGNAL \led_flash_cnt[738][2]~37214_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[738][2]~37215\ : std_logic;
SIGNAL \led_flash_cnt[738][3]~37216_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[738][3]~37217\ : std_logic;
SIGNAL \led_flash_cnt[738][4]~37218_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[738][4]~37219\ : std_logic;
SIGNAL \led_flash_cnt[738][5]~37220_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[738][5]~37221\ : std_logic;
SIGNAL \led_flash_cnt[738][6]~37222_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][6]~q\ : std_logic;
SIGNAL \WideAnd738~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][6]~37223\ : std_logic;
SIGNAL \led_flash_cnt[738][7]~37224_combout\ : std_logic;
SIGNAL \led_flash_cnt[738][7]~q\ : std_logic;
SIGNAL \WideAnd738~0_combout\ : std_logic;
SIGNAL \WideAnd738~combout\ : std_logic;
SIGNAL \led_flash_cnt[739][0]~81379_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[739][1]~37226_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[739][1]~37227\ : std_logic;
SIGNAL \led_flash_cnt[739][2]~37228_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[739][2]~37229\ : std_logic;
SIGNAL \led_flash_cnt[739][3]~37230_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[739][3]~37231\ : std_logic;
SIGNAL \led_flash_cnt[739][4]~37232_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[739][4]~37233\ : std_logic;
SIGNAL \led_flash_cnt[739][5]~37234_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[739][5]~37235\ : std_logic;
SIGNAL \led_flash_cnt[739][6]~37236_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][6]~q\ : std_logic;
SIGNAL \WideAnd739~1_combout\ : std_logic;
SIGNAL \WideAnd739~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][6]~37237\ : std_logic;
SIGNAL \led_flash_cnt[739][7]~37238_combout\ : std_logic;
SIGNAL \led_flash_cnt[739][7]~q\ : std_logic;
SIGNAL \WideAnd739~combout\ : std_logic;
SIGNAL \WideAnd3932~0_combout\ : std_logic;
SIGNAL \WideAnd3932~combout\ : std_logic;
SIGNAL \WideAnd4331~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][0]~81366_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[726][1]~37044_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[726][1]~37045\ : std_logic;
SIGNAL \led_flash_cnt[726][2]~37046_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[726][2]~37047\ : std_logic;
SIGNAL \led_flash_cnt[726][3]~37048_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[726][3]~37049\ : std_logic;
SIGNAL \led_flash_cnt[726][4]~37050_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[726][4]~37051\ : std_logic;
SIGNAL \led_flash_cnt[726][5]~37052_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[726][5]~37053\ : std_logic;
SIGNAL \led_flash_cnt[726][6]~37054_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][6]~q\ : std_logic;
SIGNAL \WideAnd726~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][6]~37055\ : std_logic;
SIGNAL \led_flash_cnt[726][7]~37056_combout\ : std_logic;
SIGNAL \led_flash_cnt[726][7]~q\ : std_logic;
SIGNAL \WideAnd726~0_combout\ : std_logic;
SIGNAL \WideAnd726~combout\ : std_logic;
SIGNAL \led_flash_cnt[727][0]~81367_combout\ : std_logic;
SIGNAL \led_flash_cnt[727][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[727][1]~37058_combout\ : std_logic;
SIGNAL \led_flash_cnt[727][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[727][1]~37059\ : std_logic;
SIGNAL \led_flash_cnt[727][2]~37060_combout\ : std_logic;
SIGNAL \led_flash_cnt[727][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[727][2]~37061\ : std_logic;
SIGNAL \led_flash_cnt[727][3]~37062_combout\ : std_logic;
SIGNAL \led_flash_cnt[727][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[727][3]~37063\ : std_logic;
SIGNAL \led_flash_cnt[727][4]~37064_combout\ : std_logic;
SIGNAL \led_flash_cnt[727][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[727][4]~37065\ : std_logic;
SIGNAL \led_flash_cnt[727][5]~37066_combout\ : std_logic;
SIGNAL \led_flash_cnt[727][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[727][5]~37067\ : std_logic;
SIGNAL \led_flash_cnt[727][6]~37068_combout\ : std_logic;
SIGNAL \led_flash_cnt[727][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[727][6]~37069\ : std_logic;
SIGNAL \led_flash_cnt[727][7]~37070_combout\ : std_logic;
SIGNAL \led_flash_cnt[727][7]~q\ : std_logic;
SIGNAL \WideAnd727~0_combout\ : std_logic;
SIGNAL \WideAnd727~1_combout\ : std_logic;
SIGNAL \WideAnd727~combout\ : std_logic;
SIGNAL \led_flash_cnt[723][0]~81363_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[723][1]~37002_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[723][1]~37003\ : std_logic;
SIGNAL \led_flash_cnt[723][2]~37004_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[723][2]~37005\ : std_logic;
SIGNAL \led_flash_cnt[723][3]~37006_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[723][3]~37007\ : std_logic;
SIGNAL \led_flash_cnt[723][4]~37008_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][4]~q\ : std_logic;
SIGNAL \WideAnd723~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][4]~37009\ : std_logic;
SIGNAL \led_flash_cnt[723][5]~37010_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[723][5]~37011\ : std_logic;
SIGNAL \led_flash_cnt[723][6]~37012_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][6]~q\ : std_logic;
SIGNAL \WideAnd723~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][6]~37013\ : std_logic;
SIGNAL \led_flash_cnt[723][7]~37014_combout\ : std_logic;
SIGNAL \led_flash_cnt[723][7]~q\ : std_logic;
SIGNAL \WideAnd723~combout\ : std_logic;
SIGNAL \led_flash_cnt[721][0]~81361_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[721][1]~36974_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[721][1]~36975\ : std_logic;
SIGNAL \led_flash_cnt[721][2]~36976_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[721][2]~36977\ : std_logic;
SIGNAL \led_flash_cnt[721][3]~36978_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[721][3]~36979\ : std_logic;
SIGNAL \led_flash_cnt[721][4]~36980_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][4]~q\ : std_logic;
SIGNAL \WideAnd721~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][4]~36981\ : std_logic;
SIGNAL \led_flash_cnt[721][5]~36982_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[721][5]~36983\ : std_logic;
SIGNAL \led_flash_cnt[721][6]~36984_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[721][6]~36985\ : std_logic;
SIGNAL \led_flash_cnt[721][7]~36986_combout\ : std_logic;
SIGNAL \led_flash_cnt[721][7]~q\ : std_logic;
SIGNAL \WideAnd721~1_combout\ : std_logic;
SIGNAL \WideAnd721~combout\ : std_logic;
SIGNAL \led_flash_cnt[720][0]~81360_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[720][1]~36960_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[720][1]~36961\ : std_logic;
SIGNAL \led_flash_cnt[720][2]~36962_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[720][2]~36963\ : std_logic;
SIGNAL \led_flash_cnt[720][3]~36964_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[720][3]~36965\ : std_logic;
SIGNAL \led_flash_cnt[720][4]~36966_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][4]~q\ : std_logic;
SIGNAL \WideAnd720~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][4]~36967\ : std_logic;
SIGNAL \led_flash_cnt[720][5]~36968_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[720][5]~36969\ : std_logic;
SIGNAL \led_flash_cnt[720][6]~36970_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][6]~q\ : std_logic;
SIGNAL \WideAnd720~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][6]~36971\ : std_logic;
SIGNAL \led_flash_cnt[720][7]~36972_combout\ : std_logic;
SIGNAL \led_flash_cnt[720][7]~q\ : std_logic;
SIGNAL \WideAnd720~combout\ : std_logic;
SIGNAL \led_flash_cnt[722][0]~81362_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[722][1]~36988_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[722][1]~36989\ : std_logic;
SIGNAL \led_flash_cnt[722][2]~36990_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[722][2]~36991\ : std_logic;
SIGNAL \led_flash_cnt[722][3]~36992_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[722][3]~36993\ : std_logic;
SIGNAL \led_flash_cnt[722][4]~36994_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[722][4]~36995\ : std_logic;
SIGNAL \led_flash_cnt[722][5]~36996_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[722][5]~36997\ : std_logic;
SIGNAL \led_flash_cnt[722][6]~36998_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][6]~q\ : std_logic;
SIGNAL \WideAnd722~1_combout\ : std_logic;
SIGNAL \WideAnd722~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][6]~36999\ : std_logic;
SIGNAL \led_flash_cnt[722][7]~37000_combout\ : std_logic;
SIGNAL \led_flash_cnt[722][7]~q\ : std_logic;
SIGNAL \WideAnd722~combout\ : std_logic;
SIGNAL \WideAnd3930~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][0]~81364_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[724][1]~37016_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[724][1]~37017\ : std_logic;
SIGNAL \led_flash_cnt[724][2]~37018_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[724][2]~37019\ : std_logic;
SIGNAL \led_flash_cnt[724][3]~37020_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[724][3]~37021\ : std_logic;
SIGNAL \led_flash_cnt[724][4]~37022_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[724][4]~37023\ : std_logic;
SIGNAL \led_flash_cnt[724][5]~37024_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[724][5]~37025\ : std_logic;
SIGNAL \led_flash_cnt[724][6]~37026_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[724][6]~37027\ : std_logic;
SIGNAL \led_flash_cnt[724][7]~37028_combout\ : std_logic;
SIGNAL \led_flash_cnt[724][7]~q\ : std_logic;
SIGNAL \WideAnd724~0_combout\ : std_logic;
SIGNAL \WideAnd724~1_combout\ : std_logic;
SIGNAL \WideAnd724~combout\ : std_logic;
SIGNAL \led_flash_cnt[725][0]~81365_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[725][1]~37030_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[725][1]~37031\ : std_logic;
SIGNAL \led_flash_cnt[725][2]~37032_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[725][2]~37033\ : std_logic;
SIGNAL \led_flash_cnt[725][3]~37034_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[725][3]~37035\ : std_logic;
SIGNAL \led_flash_cnt[725][4]~37036_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[725][4]~37037\ : std_logic;
SIGNAL \led_flash_cnt[725][5]~37038_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[725][5]~37039\ : std_logic;
SIGNAL \led_flash_cnt[725][6]~37040_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][6]~q\ : std_logic;
SIGNAL \WideAnd725~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][6]~37041\ : std_logic;
SIGNAL \led_flash_cnt[725][7]~37042_combout\ : std_logic;
SIGNAL \led_flash_cnt[725][7]~q\ : std_logic;
SIGNAL \WideAnd725~0_combout\ : std_logic;
SIGNAL \WideAnd725~combout\ : std_logic;
SIGNAL \WideAnd3930~1_combout\ : std_logic;
SIGNAL \WideAnd3930~combout\ : std_logic;
SIGNAL \led_flash_cnt[735][0]~81375_combout\ : std_logic;
SIGNAL \led_flash_cnt[735][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[735][1]~37170_combout\ : std_logic;
SIGNAL \led_flash_cnt[735][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[735][1]~37171\ : std_logic;
SIGNAL \led_flash_cnt[735][2]~37172_combout\ : std_logic;
SIGNAL \led_flash_cnt[735][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[735][2]~37173\ : std_logic;
SIGNAL \led_flash_cnt[735][3]~37174_combout\ : std_logic;
SIGNAL \led_flash_cnt[735][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[735][3]~37175\ : std_logic;
SIGNAL \led_flash_cnt[735][4]~37176_combout\ : std_logic;
SIGNAL \led_flash_cnt[735][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[735][4]~37177\ : std_logic;
SIGNAL \led_flash_cnt[735][5]~37178_combout\ : std_logic;
SIGNAL \led_flash_cnt[735][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[735][5]~37179\ : std_logic;
SIGNAL \led_flash_cnt[735][6]~37180_combout\ : std_logic;
SIGNAL \led_flash_cnt[735][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[735][6]~37181\ : std_logic;
SIGNAL \led_flash_cnt[735][7]~37182_combout\ : std_logic;
SIGNAL \led_flash_cnt[735][7]~q\ : std_logic;
SIGNAL \WideAnd735~1_combout\ : std_logic;
SIGNAL \WideAnd735~0_combout\ : std_logic;
SIGNAL \WideAnd735~combout\ : std_logic;
SIGNAL \led_flash_cnt[731][0]~81371_combout\ : std_logic;
SIGNAL \led_flash_cnt[731][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[731][1]~37114_combout\ : std_logic;
SIGNAL \led_flash_cnt[731][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[731][1]~37115\ : std_logic;
SIGNAL \led_flash_cnt[731][2]~37116_combout\ : std_logic;
SIGNAL \led_flash_cnt[731][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[731][2]~37117\ : std_logic;
SIGNAL \led_flash_cnt[731][3]~37118_combout\ : std_logic;
SIGNAL \led_flash_cnt[731][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[731][3]~37119\ : std_logic;
SIGNAL \led_flash_cnt[731][4]~37120_combout\ : std_logic;
SIGNAL \led_flash_cnt[731][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[731][4]~37121\ : std_logic;
SIGNAL \led_flash_cnt[731][5]~37122_combout\ : std_logic;
SIGNAL \led_flash_cnt[731][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[731][5]~37123\ : std_logic;
SIGNAL \led_flash_cnt[731][6]~37124_combout\ : std_logic;
SIGNAL \led_flash_cnt[731][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[731][6]~37125\ : std_logic;
SIGNAL \led_flash_cnt[731][7]~37126_combout\ : std_logic;
SIGNAL \led_flash_cnt[731][7]~q\ : std_logic;
SIGNAL \WideAnd731~0_combout\ : std_logic;
SIGNAL \WideAnd731~1_combout\ : std_logic;
SIGNAL \WideAnd731~combout\ : std_logic;
SIGNAL \led_flash_cnt[729][0]~81369_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[729][1]~37086_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[729][1]~37087\ : std_logic;
SIGNAL \led_flash_cnt[729][2]~37088_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[729][2]~37089\ : std_logic;
SIGNAL \led_flash_cnt[729][3]~37090_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[729][3]~37091\ : std_logic;
SIGNAL \led_flash_cnt[729][4]~37092_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[729][4]~37093\ : std_logic;
SIGNAL \led_flash_cnt[729][5]~37094_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[729][5]~37095\ : std_logic;
SIGNAL \led_flash_cnt[729][6]~37096_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][6]~q\ : std_logic;
SIGNAL \WideAnd729~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][6]~37097\ : std_logic;
SIGNAL \led_flash_cnt[729][7]~37098_combout\ : std_logic;
SIGNAL \led_flash_cnt[729][7]~q\ : std_logic;
SIGNAL \WideAnd729~0_combout\ : std_logic;
SIGNAL \WideAnd729~combout\ : std_logic;
SIGNAL \led_flash_cnt[730][0]~81370_combout\ : std_logic;
SIGNAL \led_flash_cnt[730][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[730][1]~37100_combout\ : std_logic;
SIGNAL \led_flash_cnt[730][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[730][1]~37101\ : std_logic;
SIGNAL \led_flash_cnt[730][2]~37102_combout\ : std_logic;
SIGNAL \led_flash_cnt[730][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[730][2]~37103\ : std_logic;
SIGNAL \led_flash_cnt[730][3]~37104_combout\ : std_logic;
SIGNAL \led_flash_cnt[730][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[730][3]~37105\ : std_logic;
SIGNAL \led_flash_cnt[730][4]~37106_combout\ : std_logic;
SIGNAL \led_flash_cnt[730][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[730][4]~37107\ : std_logic;
SIGNAL \led_flash_cnt[730][5]~37108_combout\ : std_logic;
SIGNAL \led_flash_cnt[730][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[730][5]~37109\ : std_logic;
SIGNAL \led_flash_cnt[730][6]~37110_combout\ : std_logic;
SIGNAL \led_flash_cnt[730][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[730][6]~37111\ : std_logic;
SIGNAL \led_flash_cnt[730][7]~37112_combout\ : std_logic;
SIGNAL \led_flash_cnt[730][7]~q\ : std_logic;
SIGNAL \WideAnd730~1_combout\ : std_logic;
SIGNAL \WideAnd730~0_combout\ : std_logic;
SIGNAL \WideAnd730~combout\ : std_logic;
SIGNAL \led_flash_cnt[728][0]~81368_combout\ : std_logic;
SIGNAL \led_flash_cnt[728][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[728][1]~37072_combout\ : std_logic;
SIGNAL \led_flash_cnt[728][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[728][1]~37073\ : std_logic;
SIGNAL \led_flash_cnt[728][2]~37074_combout\ : std_logic;
SIGNAL \led_flash_cnt[728][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[728][2]~37075\ : std_logic;
SIGNAL \led_flash_cnt[728][3]~37076_combout\ : std_logic;
SIGNAL \led_flash_cnt[728][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[728][3]~37077\ : std_logic;
SIGNAL \led_flash_cnt[728][4]~37078_combout\ : std_logic;
SIGNAL \led_flash_cnt[728][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[728][4]~37079\ : std_logic;
SIGNAL \led_flash_cnt[728][5]~37080_combout\ : std_logic;
SIGNAL \led_flash_cnt[728][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[728][5]~37081\ : std_logic;
SIGNAL \led_flash_cnt[728][6]~37082_combout\ : std_logic;
SIGNAL \led_flash_cnt[728][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[728][6]~37083\ : std_logic;
SIGNAL \led_flash_cnt[728][7]~37084_combout\ : std_logic;
SIGNAL \led_flash_cnt[728][7]~q\ : std_logic;
SIGNAL \WideAnd728~0_combout\ : std_logic;
SIGNAL \WideAnd728~1_combout\ : std_logic;
SIGNAL \WideAnd728~combout\ : std_logic;
SIGNAL \WideAnd3931~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][0]~81374_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[734][1]~37156_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[734][1]~37157\ : std_logic;
SIGNAL \led_flash_cnt[734][2]~37158_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[734][2]~37159\ : std_logic;
SIGNAL \led_flash_cnt[734][3]~37160_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[734][3]~37161\ : std_logic;
SIGNAL \led_flash_cnt[734][4]~37162_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[734][4]~37163\ : std_logic;
SIGNAL \led_flash_cnt[734][5]~37164_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[734][5]~37165\ : std_logic;
SIGNAL \led_flash_cnt[734][6]~37166_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[734][6]~37167\ : std_logic;
SIGNAL \led_flash_cnt[734][7]~37168_combout\ : std_logic;
SIGNAL \led_flash_cnt[734][7]~q\ : std_logic;
SIGNAL \WideAnd734~1_combout\ : std_logic;
SIGNAL \WideAnd734~0_combout\ : std_logic;
SIGNAL \WideAnd734~combout\ : std_logic;
SIGNAL \led_flash_cnt[733][0]~81373_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[733][1]~37142_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[733][1]~37143\ : std_logic;
SIGNAL \led_flash_cnt[733][2]~37144_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[733][2]~37145\ : std_logic;
SIGNAL \led_flash_cnt[733][3]~37146_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[733][3]~37147\ : std_logic;
SIGNAL \led_flash_cnt[733][4]~37148_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][4]~q\ : std_logic;
SIGNAL \WideAnd733~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][4]~37149\ : std_logic;
SIGNAL \led_flash_cnt[733][5]~37150_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[733][5]~37151\ : std_logic;
SIGNAL \led_flash_cnt[733][6]~37152_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][6]~q\ : std_logic;
SIGNAL \WideAnd733~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][6]~37153\ : std_logic;
SIGNAL \led_flash_cnt[733][7]~37154_combout\ : std_logic;
SIGNAL \led_flash_cnt[733][7]~q\ : std_logic;
SIGNAL \WideAnd733~combout\ : std_logic;
SIGNAL \led_flash_cnt[732][0]~81372_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[732][1]~37128_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[732][1]~37129\ : std_logic;
SIGNAL \led_flash_cnt[732][2]~37130_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[732][2]~37131\ : std_logic;
SIGNAL \led_flash_cnt[732][3]~37132_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[732][3]~37133\ : std_logic;
SIGNAL \led_flash_cnt[732][4]~37134_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[732][4]~37135\ : std_logic;
SIGNAL \led_flash_cnt[732][5]~37136_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[732][5]~37137\ : std_logic;
SIGNAL \led_flash_cnt[732][6]~37138_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][6]~q\ : std_logic;
SIGNAL \WideAnd732~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][6]~37139\ : std_logic;
SIGNAL \led_flash_cnt[732][7]~37140_combout\ : std_logic;
SIGNAL \led_flash_cnt[732][7]~q\ : std_logic;
SIGNAL \WideAnd732~0_combout\ : std_logic;
SIGNAL \WideAnd732~combout\ : std_logic;
SIGNAL \WideAnd3931~1_combout\ : std_logic;
SIGNAL \WideAnd3931~combout\ : std_logic;
SIGNAL \led_flash_cnt[715][0]~81355_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[715][1]~36890_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[715][1]~36891\ : std_logic;
SIGNAL \led_flash_cnt[715][2]~36892_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[715][2]~36893\ : std_logic;
SIGNAL \led_flash_cnt[715][3]~36894_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[715][3]~36895\ : std_logic;
SIGNAL \led_flash_cnt[715][4]~36896_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[715][4]~36897\ : std_logic;
SIGNAL \led_flash_cnt[715][5]~36898_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[715][5]~36899\ : std_logic;
SIGNAL \led_flash_cnt[715][6]~36900_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][6]~q\ : std_logic;
SIGNAL \WideAnd715~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][6]~36901\ : std_logic;
SIGNAL \led_flash_cnt[715][7]~36902_combout\ : std_logic;
SIGNAL \led_flash_cnt[715][7]~q\ : std_logic;
SIGNAL \WideAnd715~0_combout\ : std_logic;
SIGNAL \WideAnd715~combout\ : std_logic;
SIGNAL \led_flash_cnt[714][0]~81354_combout\ : std_logic;
SIGNAL \led_flash_cnt[714][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[714][1]~36876_combout\ : std_logic;
SIGNAL \led_flash_cnt[714][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[714][1]~36877\ : std_logic;
SIGNAL \led_flash_cnt[714][2]~36878_combout\ : std_logic;
SIGNAL \led_flash_cnt[714][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[714][2]~36879\ : std_logic;
SIGNAL \led_flash_cnt[714][3]~36880_combout\ : std_logic;
SIGNAL \led_flash_cnt[714][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[714][3]~36881\ : std_logic;
SIGNAL \led_flash_cnt[714][4]~36882_combout\ : std_logic;
SIGNAL \led_flash_cnt[714][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[714][4]~36883\ : std_logic;
SIGNAL \led_flash_cnt[714][5]~36884_combout\ : std_logic;
SIGNAL \led_flash_cnt[714][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[714][5]~36885\ : std_logic;
SIGNAL \led_flash_cnt[714][6]~36886_combout\ : std_logic;
SIGNAL \led_flash_cnt[714][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[714][6]~36887\ : std_logic;
SIGNAL \led_flash_cnt[714][7]~36888_combout\ : std_logic;
SIGNAL \led_flash_cnt[714][7]~q\ : std_logic;
SIGNAL \WideAnd714~1_combout\ : std_logic;
SIGNAL \WideAnd714~0_combout\ : std_logic;
SIGNAL \WideAnd714~combout\ : std_logic;
SIGNAL \led_flash_cnt[713][0]~81353_combout\ : std_logic;
SIGNAL \led_flash_cnt[713][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[713][1]~36862_combout\ : std_logic;
SIGNAL \led_flash_cnt[713][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[713][1]~36863\ : std_logic;
SIGNAL \led_flash_cnt[713][2]~36864_combout\ : std_logic;
SIGNAL \led_flash_cnt[713][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[713][2]~36865\ : std_logic;
SIGNAL \led_flash_cnt[713][3]~36866_combout\ : std_logic;
SIGNAL \led_flash_cnt[713][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[713][3]~36867\ : std_logic;
SIGNAL \led_flash_cnt[713][4]~36868_combout\ : std_logic;
SIGNAL \led_flash_cnt[713][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[713][4]~36869\ : std_logic;
SIGNAL \led_flash_cnt[713][5]~36870_combout\ : std_logic;
SIGNAL \led_flash_cnt[713][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[713][5]~36871\ : std_logic;
SIGNAL \led_flash_cnt[713][6]~36872_combout\ : std_logic;
SIGNAL \led_flash_cnt[713][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[713][6]~36873\ : std_logic;
SIGNAL \led_flash_cnt[713][7]~36874_combout\ : std_logic;
SIGNAL \led_flash_cnt[713][7]~q\ : std_logic;
SIGNAL \WideAnd713~0_combout\ : std_logic;
SIGNAL \WideAnd713~1_combout\ : std_logic;
SIGNAL \WideAnd713~combout\ : std_logic;
SIGNAL \led_flash_cnt[712][0]~81352_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[712][1]~36848_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[712][1]~36849\ : std_logic;
SIGNAL \led_flash_cnt[712][2]~36850_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[712][2]~36851\ : std_logic;
SIGNAL \led_flash_cnt[712][3]~36852_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[712][3]~36853\ : std_logic;
SIGNAL \led_flash_cnt[712][4]~36854_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][4]~q\ : std_logic;
SIGNAL \WideAnd712~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][4]~36855\ : std_logic;
SIGNAL \led_flash_cnt[712][5]~36856_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[712][5]~36857\ : std_logic;
SIGNAL \led_flash_cnt[712][6]~36858_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][6]~q\ : std_logic;
SIGNAL \WideAnd712~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][6]~36859\ : std_logic;
SIGNAL \led_flash_cnt[712][7]~36860_combout\ : std_logic;
SIGNAL \led_flash_cnt[712][7]~q\ : std_logic;
SIGNAL \WideAnd712~combout\ : std_logic;
SIGNAL \WideAnd3929~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][0]~81359_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[719][1]~36946_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[719][1]~36947\ : std_logic;
SIGNAL \led_flash_cnt[719][2]~36948_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[719][2]~36949\ : std_logic;
SIGNAL \led_flash_cnt[719][3]~36950_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[719][3]~36951\ : std_logic;
SIGNAL \led_flash_cnt[719][4]~36952_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[719][4]~36953\ : std_logic;
SIGNAL \led_flash_cnt[719][5]~36954_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[719][5]~36955\ : std_logic;
SIGNAL \led_flash_cnt[719][6]~36956_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[719][6]~36957\ : std_logic;
SIGNAL \led_flash_cnt[719][7]~36958_combout\ : std_logic;
SIGNAL \led_flash_cnt[719][7]~q\ : std_logic;
SIGNAL \WideAnd719~1_combout\ : std_logic;
SIGNAL \WideAnd719~0_combout\ : std_logic;
SIGNAL \WideAnd719~combout\ : std_logic;
SIGNAL \led_flash_cnt[717][0]~81357_combout\ : std_logic;
SIGNAL \led_flash_cnt[717][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[717][1]~36918_combout\ : std_logic;
SIGNAL \led_flash_cnt[717][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[717][1]~36919\ : std_logic;
SIGNAL \led_flash_cnt[717][2]~36920_combout\ : std_logic;
SIGNAL \led_flash_cnt[717][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[717][2]~36921\ : std_logic;
SIGNAL \led_flash_cnt[717][3]~36922_combout\ : std_logic;
SIGNAL \led_flash_cnt[717][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[717][3]~36923\ : std_logic;
SIGNAL \led_flash_cnt[717][4]~36924_combout\ : std_logic;
SIGNAL \led_flash_cnt[717][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[717][4]~36925\ : std_logic;
SIGNAL \led_flash_cnt[717][5]~36926_combout\ : std_logic;
SIGNAL \led_flash_cnt[717][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[717][5]~36927\ : std_logic;
SIGNAL \led_flash_cnt[717][6]~36928_combout\ : std_logic;
SIGNAL \led_flash_cnt[717][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[717][6]~36929\ : std_logic;
SIGNAL \led_flash_cnt[717][7]~36930_combout\ : std_logic;
SIGNAL \led_flash_cnt[717][7]~q\ : std_logic;
SIGNAL \WideAnd717~0_combout\ : std_logic;
SIGNAL \WideAnd717~1_combout\ : std_logic;
SIGNAL \WideAnd717~combout\ : std_logic;
SIGNAL \led_flash_cnt[716][0]~81356_combout\ : std_logic;
SIGNAL \led_flash_cnt[716][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[716][1]~36904_combout\ : std_logic;
SIGNAL \led_flash_cnt[716][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[716][1]~36905\ : std_logic;
SIGNAL \led_flash_cnt[716][2]~36906_combout\ : std_logic;
SIGNAL \led_flash_cnt[716][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[716][2]~36907\ : std_logic;
SIGNAL \led_flash_cnt[716][3]~36908_combout\ : std_logic;
SIGNAL \led_flash_cnt[716][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[716][3]~36909\ : std_logic;
SIGNAL \led_flash_cnt[716][4]~36910_combout\ : std_logic;
SIGNAL \led_flash_cnt[716][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[716][4]~36911\ : std_logic;
SIGNAL \led_flash_cnt[716][5]~36912_combout\ : std_logic;
SIGNAL \led_flash_cnt[716][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[716][5]~36913\ : std_logic;
SIGNAL \led_flash_cnt[716][6]~36914_combout\ : std_logic;
SIGNAL \led_flash_cnt[716][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[716][6]~36915\ : std_logic;
SIGNAL \led_flash_cnt[716][7]~36916_combout\ : std_logic;
SIGNAL \led_flash_cnt[716][7]~q\ : std_logic;
SIGNAL \WideAnd716~0_combout\ : std_logic;
SIGNAL \WideAnd716~1_combout\ : std_logic;
SIGNAL \WideAnd716~combout\ : std_logic;
SIGNAL \WideAnd3929~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][0]~81358_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[718][1]~36932_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[718][1]~36933\ : std_logic;
SIGNAL \led_flash_cnt[718][2]~36934_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[718][2]~36935\ : std_logic;
SIGNAL \led_flash_cnt[718][3]~36936_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[718][3]~36937\ : std_logic;
SIGNAL \led_flash_cnt[718][4]~36938_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][4]~q\ : std_logic;
SIGNAL \WideAnd718~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][4]~36939\ : std_logic;
SIGNAL \led_flash_cnt[718][5]~36940_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[718][5]~36941\ : std_logic;
SIGNAL \led_flash_cnt[718][6]~36942_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[718][6]~36943\ : std_logic;
SIGNAL \led_flash_cnt[718][7]~36944_combout\ : std_logic;
SIGNAL \led_flash_cnt[718][7]~q\ : std_logic;
SIGNAL \WideAnd718~1_combout\ : std_logic;
SIGNAL \WideAnd718~combout\ : std_logic;
SIGNAL \WideAnd3929~combout\ : std_logic;
SIGNAL \led_flash_cnt[709][0]~81349_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[709][1]~36806_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[709][1]~36807\ : std_logic;
SIGNAL \led_flash_cnt[709][2]~36808_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[709][2]~36809\ : std_logic;
SIGNAL \led_flash_cnt[709][3]~36810_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[709][3]~36811\ : std_logic;
SIGNAL \led_flash_cnt[709][4]~36812_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[709][4]~36813\ : std_logic;
SIGNAL \led_flash_cnt[709][5]~36814_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[709][5]~36815\ : std_logic;
SIGNAL \led_flash_cnt[709][6]~36816_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][6]~q\ : std_logic;
SIGNAL \WideAnd709~1_combout\ : std_logic;
SIGNAL \WideAnd709~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][6]~36817\ : std_logic;
SIGNAL \led_flash_cnt[709][7]~36818_combout\ : std_logic;
SIGNAL \led_flash_cnt[709][7]~q\ : std_logic;
SIGNAL \WideAnd709~combout\ : std_logic;
SIGNAL \led_flash_cnt[708][0]~81348_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[708][1]~36792_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[708][1]~36793\ : std_logic;
SIGNAL \led_flash_cnt[708][2]~36794_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[708][2]~36795\ : std_logic;
SIGNAL \led_flash_cnt[708][3]~36796_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[708][3]~36797\ : std_logic;
SIGNAL \led_flash_cnt[708][4]~36798_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[708][4]~36799\ : std_logic;
SIGNAL \led_flash_cnt[708][5]~36800_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[708][5]~36801\ : std_logic;
SIGNAL \led_flash_cnt[708][6]~36802_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][6]~q\ : std_logic;
SIGNAL \WideAnd708~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][6]~36803\ : std_logic;
SIGNAL \led_flash_cnt[708][7]~36804_combout\ : std_logic;
SIGNAL \led_flash_cnt[708][7]~q\ : std_logic;
SIGNAL \WideAnd708~0_combout\ : std_logic;
SIGNAL \WideAnd708~combout\ : std_logic;
SIGNAL \WideAnd3928~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][0]~81351_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[711][1]~36834_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[711][1]~36835\ : std_logic;
SIGNAL \led_flash_cnt[711][2]~36836_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[711][2]~36837\ : std_logic;
SIGNAL \led_flash_cnt[711][3]~36838_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[711][3]~36839\ : std_logic;
SIGNAL \led_flash_cnt[711][4]~36840_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[711][4]~36841\ : std_logic;
SIGNAL \led_flash_cnt[711][5]~36842_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[711][5]~36843\ : std_logic;
SIGNAL \led_flash_cnt[711][6]~36844_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][6]~q\ : std_logic;
SIGNAL \WideAnd711~1_combout\ : std_logic;
SIGNAL \WideAnd711~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][6]~36845\ : std_logic;
SIGNAL \led_flash_cnt[711][7]~36846_combout\ : std_logic;
SIGNAL \led_flash_cnt[711][7]~q\ : std_logic;
SIGNAL \WideAnd711~combout\ : std_logic;
SIGNAL \led_flash_cnt[707][0]~81347_combout\ : std_logic;
SIGNAL \led_flash_cnt[707][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[707][1]~36778_combout\ : std_logic;
SIGNAL \led_flash_cnt[707][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[707][1]~36779\ : std_logic;
SIGNAL \led_flash_cnt[707][2]~36780_combout\ : std_logic;
SIGNAL \led_flash_cnt[707][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[707][2]~36781\ : std_logic;
SIGNAL \led_flash_cnt[707][3]~36782_combout\ : std_logic;
SIGNAL \led_flash_cnt[707][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[707][3]~36783\ : std_logic;
SIGNAL \led_flash_cnt[707][4]~36784_combout\ : std_logic;
SIGNAL \led_flash_cnt[707][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[707][4]~36785\ : std_logic;
SIGNAL \led_flash_cnt[707][5]~36786_combout\ : std_logic;
SIGNAL \led_flash_cnt[707][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[707][5]~36787\ : std_logic;
SIGNAL \led_flash_cnt[707][6]~36788_combout\ : std_logic;
SIGNAL \led_flash_cnt[707][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[707][6]~36789\ : std_logic;
SIGNAL \led_flash_cnt[707][7]~36790_combout\ : std_logic;
SIGNAL \led_flash_cnt[707][7]~q\ : std_logic;
SIGNAL \WideAnd707~0_combout\ : std_logic;
SIGNAL \WideAnd707~1_combout\ : std_logic;
SIGNAL \WideAnd707~combout\ : std_logic;
SIGNAL \led_flash_cnt[705][0]~81345_combout\ : std_logic;
SIGNAL \led_flash_cnt[705][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[705][1]~36750_combout\ : std_logic;
SIGNAL \led_flash_cnt[705][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[705][1]~36751\ : std_logic;
SIGNAL \led_flash_cnt[705][2]~36752_combout\ : std_logic;
SIGNAL \led_flash_cnt[705][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[705][2]~36753\ : std_logic;
SIGNAL \led_flash_cnt[705][3]~36754_combout\ : std_logic;
SIGNAL \led_flash_cnt[705][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[705][3]~36755\ : std_logic;
SIGNAL \led_flash_cnt[705][4]~36756_combout\ : std_logic;
SIGNAL \led_flash_cnt[705][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[705][4]~36757\ : std_logic;
SIGNAL \led_flash_cnt[705][5]~36758_combout\ : std_logic;
SIGNAL \led_flash_cnt[705][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[705][5]~36759\ : std_logic;
SIGNAL \led_flash_cnt[705][6]~36760_combout\ : std_logic;
SIGNAL \led_flash_cnt[705][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[705][6]~36761\ : std_logic;
SIGNAL \led_flash_cnt[705][7]~36762_combout\ : std_logic;
SIGNAL \led_flash_cnt[705][7]~q\ : std_logic;
SIGNAL \WideAnd705~0_combout\ : std_logic;
SIGNAL \WideAnd705~1_combout\ : std_logic;
SIGNAL \WideAnd705~combout\ : std_logic;
SIGNAL \led_flash_cnt[706][0]~81346_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[706][1]~36764_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[706][1]~36765\ : std_logic;
SIGNAL \led_flash_cnt[706][2]~36766_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[706][2]~36767\ : std_logic;
SIGNAL \led_flash_cnt[706][3]~36768_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[706][3]~36769\ : std_logic;
SIGNAL \led_flash_cnt[706][4]~36770_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][4]~q\ : std_logic;
SIGNAL \WideAnd706~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][4]~36771\ : std_logic;
SIGNAL \led_flash_cnt[706][5]~36772_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[706][5]~36773\ : std_logic;
SIGNAL \led_flash_cnt[706][6]~36774_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][6]~q\ : std_logic;
SIGNAL \WideAnd706~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][6]~36775\ : std_logic;
SIGNAL \led_flash_cnt[706][7]~36776_combout\ : std_logic;
SIGNAL \led_flash_cnt[706][7]~q\ : std_logic;
SIGNAL \WideAnd706~combout\ : std_logic;
SIGNAL \led_flash_cnt[704][0]~81344_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[704][1]~36736_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[704][1]~36737\ : std_logic;
SIGNAL \led_flash_cnt[704][2]~36738_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[704][2]~36739\ : std_logic;
SIGNAL \led_flash_cnt[704][3]~36740_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[704][3]~36741\ : std_logic;
SIGNAL \led_flash_cnt[704][4]~36742_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[704][4]~36743\ : std_logic;
SIGNAL \led_flash_cnt[704][5]~36744_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[704][5]~36745\ : std_logic;
SIGNAL \led_flash_cnt[704][6]~36746_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][6]~q\ : std_logic;
SIGNAL \WideAnd704~1_combout\ : std_logic;
SIGNAL \WideAnd704~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][6]~36747\ : std_logic;
SIGNAL \led_flash_cnt[704][7]~36748_combout\ : std_logic;
SIGNAL \led_flash_cnt[704][7]~q\ : std_logic;
SIGNAL \WideAnd704~combout\ : std_logic;
SIGNAL \WideAnd3928~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][0]~81350_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[710][1]~36820_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[710][1]~36821\ : std_logic;
SIGNAL \led_flash_cnt[710][2]~36822_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[710][2]~36823\ : std_logic;
SIGNAL \led_flash_cnt[710][3]~36824_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[710][3]~36825\ : std_logic;
SIGNAL \led_flash_cnt[710][4]~36826_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[710][4]~36827\ : std_logic;
SIGNAL \led_flash_cnt[710][5]~36828_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[710][5]~36829\ : std_logic;
SIGNAL \led_flash_cnt[710][6]~36830_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][6]~q\ : std_logic;
SIGNAL \WideAnd710~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][6]~36831\ : std_logic;
SIGNAL \led_flash_cnt[710][7]~36832_combout\ : std_logic;
SIGNAL \led_flash_cnt[710][7]~q\ : std_logic;
SIGNAL \WideAnd710~0_combout\ : std_logic;
SIGNAL \WideAnd710~combout\ : std_logic;
SIGNAL \WideAnd3928~combout\ : std_logic;
SIGNAL \WideAnd4331~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][0]~81393_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[753][1]~37422_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[753][1]~37423\ : std_logic;
SIGNAL \led_flash_cnt[753][2]~37424_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[753][2]~37425\ : std_logic;
SIGNAL \led_flash_cnt[753][3]~37426_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[753][3]~37427\ : std_logic;
SIGNAL \led_flash_cnt[753][4]~37428_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][4]~q\ : std_logic;
SIGNAL \WideAnd753~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][4]~37429\ : std_logic;
SIGNAL \led_flash_cnt[753][5]~37430_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[753][5]~37431\ : std_logic;
SIGNAL \led_flash_cnt[753][6]~37432_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[753][6]~37433\ : std_logic;
SIGNAL \led_flash_cnt[753][7]~37434_combout\ : std_logic;
SIGNAL \led_flash_cnt[753][7]~q\ : std_logic;
SIGNAL \WideAnd753~1_combout\ : std_logic;
SIGNAL \WideAnd753~combout\ : std_logic;
SIGNAL \led_flash_cnt[752][0]~81392_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[752][1]~37408_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[752][1]~37409\ : std_logic;
SIGNAL \led_flash_cnt[752][2]~37410_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[752][2]~37411\ : std_logic;
SIGNAL \led_flash_cnt[752][3]~37412_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[752][3]~37413\ : std_logic;
SIGNAL \led_flash_cnt[752][4]~37414_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[752][4]~37415\ : std_logic;
SIGNAL \led_flash_cnt[752][5]~37416_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[752][5]~37417\ : std_logic;
SIGNAL \led_flash_cnt[752][6]~37418_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][6]~q\ : std_logic;
SIGNAL \WideAnd752~1_combout\ : std_logic;
SIGNAL \WideAnd752~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][6]~37419\ : std_logic;
SIGNAL \led_flash_cnt[752][7]~37420_combout\ : std_logic;
SIGNAL \led_flash_cnt[752][7]~q\ : std_logic;
SIGNAL \WideAnd752~combout\ : std_logic;
SIGNAL \led_flash_cnt[758][0]~81398_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[758][1]~37492_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[758][1]~37493\ : std_logic;
SIGNAL \led_flash_cnt[758][2]~37494_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[758][2]~37495\ : std_logic;
SIGNAL \led_flash_cnt[758][3]~37496_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[758][3]~37497\ : std_logic;
SIGNAL \led_flash_cnt[758][4]~37498_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][4]~q\ : std_logic;
SIGNAL \WideAnd758~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][4]~37499\ : std_logic;
SIGNAL \led_flash_cnt[758][5]~37500_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[758][5]~37501\ : std_logic;
SIGNAL \led_flash_cnt[758][6]~37502_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][6]~q\ : std_logic;
SIGNAL \WideAnd758~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][6]~37503\ : std_logic;
SIGNAL \led_flash_cnt[758][7]~37504_combout\ : std_logic;
SIGNAL \led_flash_cnt[758][7]~q\ : std_logic;
SIGNAL \WideAnd758~combout\ : std_logic;
SIGNAL \led_flash_cnt[759][0]~81399_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[759][1]~37506_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[759][1]~37507\ : std_logic;
SIGNAL \led_flash_cnt[759][2]~37508_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[759][2]~37509\ : std_logic;
SIGNAL \led_flash_cnt[759][3]~37510_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[759][3]~37511\ : std_logic;
SIGNAL \led_flash_cnt[759][4]~37512_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[759][4]~37513\ : std_logic;
SIGNAL \led_flash_cnt[759][5]~37514_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[759][5]~37515\ : std_logic;
SIGNAL \led_flash_cnt[759][6]~37516_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][6]~q\ : std_logic;
SIGNAL \WideAnd759~1_combout\ : std_logic;
SIGNAL \WideAnd759~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][6]~37517\ : std_logic;
SIGNAL \led_flash_cnt[759][7]~37518_combout\ : std_logic;
SIGNAL \led_flash_cnt[759][7]~q\ : std_logic;
SIGNAL \WideAnd759~combout\ : std_logic;
SIGNAL \WideAnd3934~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][0]~81395_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[755][1]~37450_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[755][1]~37451\ : std_logic;
SIGNAL \led_flash_cnt[755][2]~37452_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[755][2]~37453\ : std_logic;
SIGNAL \led_flash_cnt[755][3]~37454_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[755][3]~37455\ : std_logic;
SIGNAL \led_flash_cnt[755][4]~37456_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[755][4]~37457\ : std_logic;
SIGNAL \led_flash_cnt[755][5]~37458_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[755][5]~37459\ : std_logic;
SIGNAL \led_flash_cnt[755][6]~37460_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[755][6]~37461\ : std_logic;
SIGNAL \led_flash_cnt[755][7]~37462_combout\ : std_logic;
SIGNAL \led_flash_cnt[755][7]~q\ : std_logic;
SIGNAL \WideAnd755~0_combout\ : std_logic;
SIGNAL \WideAnd755~1_combout\ : std_logic;
SIGNAL \WideAnd755~combout\ : std_logic;
SIGNAL \led_flash_cnt[756][0]~81396_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[756][1]~37464_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[756][1]~37465\ : std_logic;
SIGNAL \led_flash_cnt[756][2]~37466_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[756][2]~37467\ : std_logic;
SIGNAL \led_flash_cnt[756][3]~37468_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[756][3]~37469\ : std_logic;
SIGNAL \led_flash_cnt[756][4]~37470_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][4]~q\ : std_logic;
SIGNAL \WideAnd756~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][4]~37471\ : std_logic;
SIGNAL \led_flash_cnt[756][5]~37472_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[756][5]~37473\ : std_logic;
SIGNAL \led_flash_cnt[756][6]~37474_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][6]~q\ : std_logic;
SIGNAL \WideAnd756~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][6]~37475\ : std_logic;
SIGNAL \led_flash_cnt[756][7]~37476_combout\ : std_logic;
SIGNAL \led_flash_cnt[756][7]~q\ : std_logic;
SIGNAL \WideAnd756~combout\ : std_logic;
SIGNAL \led_flash_cnt[757][0]~81397_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[757][1]~37478_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[757][1]~37479\ : std_logic;
SIGNAL \led_flash_cnt[757][2]~37480_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[757][2]~37481\ : std_logic;
SIGNAL \led_flash_cnt[757][3]~37482_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[757][3]~37483\ : std_logic;
SIGNAL \led_flash_cnt[757][4]~37484_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][4]~q\ : std_logic;
SIGNAL \WideAnd757~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][4]~37485\ : std_logic;
SIGNAL \led_flash_cnt[757][5]~37486_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[757][5]~37487\ : std_logic;
SIGNAL \led_flash_cnt[757][6]~37488_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[757][6]~37489\ : std_logic;
SIGNAL \led_flash_cnt[757][7]~37490_combout\ : std_logic;
SIGNAL \led_flash_cnt[757][7]~q\ : std_logic;
SIGNAL \WideAnd757~1_combout\ : std_logic;
SIGNAL \WideAnd757~combout\ : std_logic;
SIGNAL \led_flash_cnt[754][0]~81394_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[754][1]~37436_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[754][1]~37437\ : std_logic;
SIGNAL \led_flash_cnt[754][2]~37438_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[754][2]~37439\ : std_logic;
SIGNAL \led_flash_cnt[754][3]~37440_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[754][3]~37441\ : std_logic;
SIGNAL \led_flash_cnt[754][4]~37442_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][4]~q\ : std_logic;
SIGNAL \WideAnd754~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][4]~37443\ : std_logic;
SIGNAL \led_flash_cnt[754][5]~37444_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[754][5]~37445\ : std_logic;
SIGNAL \led_flash_cnt[754][6]~37446_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][6]~q\ : std_logic;
SIGNAL \WideAnd754~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][6]~37447\ : std_logic;
SIGNAL \led_flash_cnt[754][7]~37448_combout\ : std_logic;
SIGNAL \led_flash_cnt[754][7]~q\ : std_logic;
SIGNAL \WideAnd754~combout\ : std_logic;
SIGNAL \WideAnd3934~0_combout\ : std_logic;
SIGNAL \WideAnd3934~combout\ : std_logic;
SIGNAL \led_flash_cnt[763][0]~81403_combout\ : std_logic;
SIGNAL \led_flash_cnt[763][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[763][1]~37562_combout\ : std_logic;
SIGNAL \led_flash_cnt[763][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[763][1]~37563\ : std_logic;
SIGNAL \led_flash_cnt[763][2]~37564_combout\ : std_logic;
SIGNAL \led_flash_cnt[763][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[763][2]~37565\ : std_logic;
SIGNAL \led_flash_cnt[763][3]~37566_combout\ : std_logic;
SIGNAL \led_flash_cnt[763][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[763][3]~37567\ : std_logic;
SIGNAL \led_flash_cnt[763][4]~37568_combout\ : std_logic;
SIGNAL \led_flash_cnt[763][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[763][4]~37569\ : std_logic;
SIGNAL \led_flash_cnt[763][5]~37570_combout\ : std_logic;
SIGNAL \led_flash_cnt[763][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[763][5]~37571\ : std_logic;
SIGNAL \led_flash_cnt[763][6]~37572_combout\ : std_logic;
SIGNAL \led_flash_cnt[763][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[763][6]~37573\ : std_logic;
SIGNAL \led_flash_cnt[763][7]~37574_combout\ : std_logic;
SIGNAL \led_flash_cnt[763][7]~q\ : std_logic;
SIGNAL \WideAnd763~1_combout\ : std_logic;
SIGNAL \WideAnd763~0_combout\ : std_logic;
SIGNAL \WideAnd763~combout\ : std_logic;
SIGNAL \led_flash_cnt[760][0]~81400_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[760][1]~37520_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[760][1]~37521\ : std_logic;
SIGNAL \led_flash_cnt[760][2]~37522_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[760][2]~37523\ : std_logic;
SIGNAL \led_flash_cnt[760][3]~37524_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[760][3]~37525\ : std_logic;
SIGNAL \led_flash_cnt[760][4]~37526_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][4]~q\ : std_logic;
SIGNAL \WideAnd760~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][4]~37527\ : std_logic;
SIGNAL \led_flash_cnt[760][5]~37528_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[760][5]~37529\ : std_logic;
SIGNAL \led_flash_cnt[760][6]~37530_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[760][6]~37531\ : std_logic;
SIGNAL \led_flash_cnt[760][7]~37532_combout\ : std_logic;
SIGNAL \led_flash_cnt[760][7]~q\ : std_logic;
SIGNAL \WideAnd760~1_combout\ : std_logic;
SIGNAL \WideAnd760~combout\ : std_logic;
SIGNAL \led_flash_cnt[761][0]~81401_combout\ : std_logic;
SIGNAL \led_flash_cnt[761][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[761][1]~37534_combout\ : std_logic;
SIGNAL \led_flash_cnt[761][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[761][1]~37535\ : std_logic;
SIGNAL \led_flash_cnt[761][2]~37536_combout\ : std_logic;
SIGNAL \led_flash_cnt[761][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[761][2]~37537\ : std_logic;
SIGNAL \led_flash_cnt[761][3]~37538_combout\ : std_logic;
SIGNAL \led_flash_cnt[761][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[761][3]~37539\ : std_logic;
SIGNAL \led_flash_cnt[761][4]~37540_combout\ : std_logic;
SIGNAL \led_flash_cnt[761][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[761][4]~37541\ : std_logic;
SIGNAL \led_flash_cnt[761][5]~37542_combout\ : std_logic;
SIGNAL \led_flash_cnt[761][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[761][5]~37543\ : std_logic;
SIGNAL \led_flash_cnt[761][6]~37544_combout\ : std_logic;
SIGNAL \led_flash_cnt[761][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[761][6]~37545\ : std_logic;
SIGNAL \led_flash_cnt[761][7]~37546_combout\ : std_logic;
SIGNAL \led_flash_cnt[761][7]~q\ : std_logic;
SIGNAL \WideAnd761~1_combout\ : std_logic;
SIGNAL \WideAnd761~0_combout\ : std_logic;
SIGNAL \WideAnd761~combout\ : std_logic;
SIGNAL \led_flash_cnt[762][0]~81402_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[762][1]~37548_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[762][1]~37549\ : std_logic;
SIGNAL \led_flash_cnt[762][2]~37550_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[762][2]~37551\ : std_logic;
SIGNAL \led_flash_cnt[762][3]~37552_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[762][3]~37553\ : std_logic;
SIGNAL \led_flash_cnt[762][4]~37554_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][4]~q\ : std_logic;
SIGNAL \WideAnd762~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][4]~37555\ : std_logic;
SIGNAL \led_flash_cnt[762][5]~37556_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[762][5]~37557\ : std_logic;
SIGNAL \led_flash_cnt[762][6]~37558_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[762][6]~37559\ : std_logic;
SIGNAL \led_flash_cnt[762][7]~37560_combout\ : std_logic;
SIGNAL \led_flash_cnt[762][7]~q\ : std_logic;
SIGNAL \WideAnd762~1_combout\ : std_logic;
SIGNAL \WideAnd762~combout\ : std_logic;
SIGNAL \WideAnd3935~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][0]~81407_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[767][1]~37618_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[767][1]~37619\ : std_logic;
SIGNAL \led_flash_cnt[767][2]~37620_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[767][2]~37621\ : std_logic;
SIGNAL \led_flash_cnt[767][3]~37622_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[767][3]~37623\ : std_logic;
SIGNAL \led_flash_cnt[767][4]~37624_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[767][4]~37625\ : std_logic;
SIGNAL \led_flash_cnt[767][5]~37626_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[767][5]~37627\ : std_logic;
SIGNAL \led_flash_cnt[767][6]~37628_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][6]~q\ : std_logic;
SIGNAL \WideAnd767~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][6]~37629\ : std_logic;
SIGNAL \led_flash_cnt[767][7]~37630_combout\ : std_logic;
SIGNAL \led_flash_cnt[767][7]~q\ : std_logic;
SIGNAL \WideAnd767~0_combout\ : std_logic;
SIGNAL \WideAnd767~combout\ : std_logic;
SIGNAL \led_flash_cnt[764][0]~81404_combout\ : std_logic;
SIGNAL \led_flash_cnt[764][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[764][1]~37576_combout\ : std_logic;
SIGNAL \led_flash_cnt[764][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[764][1]~37577\ : std_logic;
SIGNAL \led_flash_cnt[764][2]~37578_combout\ : std_logic;
SIGNAL \led_flash_cnt[764][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[764][2]~37579\ : std_logic;
SIGNAL \led_flash_cnt[764][3]~37580_combout\ : std_logic;
SIGNAL \led_flash_cnt[764][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[764][3]~37581\ : std_logic;
SIGNAL \led_flash_cnt[764][4]~37582_combout\ : std_logic;
SIGNAL \led_flash_cnt[764][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[764][4]~37583\ : std_logic;
SIGNAL \led_flash_cnt[764][5]~37584_combout\ : std_logic;
SIGNAL \led_flash_cnt[764][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[764][5]~37585\ : std_logic;
SIGNAL \led_flash_cnt[764][6]~37586_combout\ : std_logic;
SIGNAL \led_flash_cnt[764][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[764][6]~37587\ : std_logic;
SIGNAL \led_flash_cnt[764][7]~37588_combout\ : std_logic;
SIGNAL \led_flash_cnt[764][7]~q\ : std_logic;
SIGNAL \WideAnd764~0_combout\ : std_logic;
SIGNAL \WideAnd764~1_combout\ : std_logic;
SIGNAL \WideAnd764~combout\ : std_logic;
SIGNAL \led_flash_cnt[765][0]~81405_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[765][1]~37590_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[765][1]~37591\ : std_logic;
SIGNAL \led_flash_cnt[765][2]~37592_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[765][2]~37593\ : std_logic;
SIGNAL \led_flash_cnt[765][3]~37594_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[765][3]~37595\ : std_logic;
SIGNAL \led_flash_cnt[765][4]~37596_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[765][4]~37597\ : std_logic;
SIGNAL \led_flash_cnt[765][5]~37598_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[765][5]~37599\ : std_logic;
SIGNAL \led_flash_cnt[765][6]~37600_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][6]~q\ : std_logic;
SIGNAL \WideAnd765~1_combout\ : std_logic;
SIGNAL \WideAnd765~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][6]~37601\ : std_logic;
SIGNAL \led_flash_cnt[765][7]~37602_combout\ : std_logic;
SIGNAL \led_flash_cnt[765][7]~q\ : std_logic;
SIGNAL \WideAnd765~combout\ : std_logic;
SIGNAL \WideAnd3935~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][0]~81406_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[766][1]~37604_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[766][1]~37605\ : std_logic;
SIGNAL \led_flash_cnt[766][2]~37606_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[766][2]~37607\ : std_logic;
SIGNAL \led_flash_cnt[766][3]~37608_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[766][3]~37609\ : std_logic;
SIGNAL \led_flash_cnt[766][4]~37610_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[766][4]~37611\ : std_logic;
SIGNAL \led_flash_cnt[766][5]~37612_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[766][5]~37613\ : std_logic;
SIGNAL \led_flash_cnt[766][6]~37614_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[766][6]~37615\ : std_logic;
SIGNAL \led_flash_cnt[766][7]~37616_combout\ : std_logic;
SIGNAL \led_flash_cnt[766][7]~q\ : std_logic;
SIGNAL \WideAnd766~0_combout\ : std_logic;
SIGNAL \WideAnd766~1_combout\ : std_logic;
SIGNAL \WideAnd766~combout\ : std_logic;
SIGNAL \WideAnd3935~combout\ : std_logic;
SIGNAL \WideAnd4331~combout\ : std_logic;
SIGNAL \led_flash_cnt[693][0]~81333_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[693][1]~36582_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[693][1]~36583\ : std_logic;
SIGNAL \led_flash_cnt[693][2]~36584_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[693][2]~36585\ : std_logic;
SIGNAL \led_flash_cnt[693][3]~36586_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[693][3]~36587\ : std_logic;
SIGNAL \led_flash_cnt[693][4]~36588_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[693][4]~36589\ : std_logic;
SIGNAL \led_flash_cnt[693][5]~36590_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[693][5]~36591\ : std_logic;
SIGNAL \led_flash_cnt[693][6]~36592_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][6]~q\ : std_logic;
SIGNAL \WideAnd693~1_combout\ : std_logic;
SIGNAL \WideAnd693~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][6]~36593\ : std_logic;
SIGNAL \led_flash_cnt[693][7]~36594_combout\ : std_logic;
SIGNAL \led_flash_cnt[693][7]~q\ : std_logic;
SIGNAL \WideAnd693~combout\ : std_logic;
SIGNAL \led_flash_cnt[692][0]~81332_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[692][1]~36568_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[692][1]~36569\ : std_logic;
SIGNAL \led_flash_cnt[692][2]~36570_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[692][2]~36571\ : std_logic;
SIGNAL \led_flash_cnt[692][3]~36572_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[692][3]~36573\ : std_logic;
SIGNAL \led_flash_cnt[692][4]~36574_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][4]~q\ : std_logic;
SIGNAL \WideAnd692~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][4]~36575\ : std_logic;
SIGNAL \led_flash_cnt[692][5]~36576_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[692][5]~36577\ : std_logic;
SIGNAL \led_flash_cnt[692][6]~36578_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[692][6]~36579\ : std_logic;
SIGNAL \led_flash_cnt[692][7]~36580_combout\ : std_logic;
SIGNAL \led_flash_cnt[692][7]~q\ : std_logic;
SIGNAL \WideAnd692~1_combout\ : std_logic;
SIGNAL \WideAnd692~combout\ : std_logic;
SIGNAL \WideAnd3926~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][0]~81335_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[695][1]~36610_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[695][1]~36611\ : std_logic;
SIGNAL \led_flash_cnt[695][2]~36612_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[695][2]~36613\ : std_logic;
SIGNAL \led_flash_cnt[695][3]~36614_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[695][3]~36615\ : std_logic;
SIGNAL \led_flash_cnt[695][4]~36616_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[695][4]~36617\ : std_logic;
SIGNAL \led_flash_cnt[695][5]~36618_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[695][5]~36619\ : std_logic;
SIGNAL \led_flash_cnt[695][6]~36620_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][6]~q\ : std_logic;
SIGNAL \WideAnd695~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][6]~36621\ : std_logic;
SIGNAL \led_flash_cnt[695][7]~36622_combout\ : std_logic;
SIGNAL \led_flash_cnt[695][7]~q\ : std_logic;
SIGNAL \WideAnd695~0_combout\ : std_logic;
SIGNAL \WideAnd695~combout\ : std_logic;
SIGNAL \led_flash_cnt[694][0]~81334_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[694][1]~36596_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[694][1]~36597\ : std_logic;
SIGNAL \led_flash_cnt[694][2]~36598_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[694][2]~36599\ : std_logic;
SIGNAL \led_flash_cnt[694][3]~36600_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[694][3]~36601\ : std_logic;
SIGNAL \led_flash_cnt[694][4]~36602_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[694][4]~36603\ : std_logic;
SIGNAL \led_flash_cnt[694][5]~36604_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[694][5]~36605\ : std_logic;
SIGNAL \led_flash_cnt[694][6]~36606_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][6]~q\ : std_logic;
SIGNAL \WideAnd694~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][6]~36607\ : std_logic;
SIGNAL \led_flash_cnt[694][7]~36608_combout\ : std_logic;
SIGNAL \led_flash_cnt[694][7]~q\ : std_logic;
SIGNAL \WideAnd694~0_combout\ : std_logic;
SIGNAL \WideAnd694~combout\ : std_logic;
SIGNAL \led_flash_cnt[691][0]~81331_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[691][1]~36554_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[691][1]~36555\ : std_logic;
SIGNAL \led_flash_cnt[691][2]~36556_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[691][2]~36557\ : std_logic;
SIGNAL \led_flash_cnt[691][3]~36558_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[691][3]~36559\ : std_logic;
SIGNAL \led_flash_cnt[691][4]~36560_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[691][4]~36561\ : std_logic;
SIGNAL \led_flash_cnt[691][5]~36562_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[691][5]~36563\ : std_logic;
SIGNAL \led_flash_cnt[691][6]~36564_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][6]~q\ : std_logic;
SIGNAL \WideAnd691~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][6]~36565\ : std_logic;
SIGNAL \led_flash_cnt[691][7]~36566_combout\ : std_logic;
SIGNAL \led_flash_cnt[691][7]~q\ : std_logic;
SIGNAL \WideAnd691~0_combout\ : std_logic;
SIGNAL \WideAnd691~combout\ : std_logic;
SIGNAL \led_flash_cnt[690][0]~81330_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[690][1]~36540_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[690][1]~36541\ : std_logic;
SIGNAL \led_flash_cnt[690][2]~36542_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[690][2]~36543\ : std_logic;
SIGNAL \led_flash_cnt[690][3]~36544_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[690][3]~36545\ : std_logic;
SIGNAL \led_flash_cnt[690][4]~36546_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[690][4]~36547\ : std_logic;
SIGNAL \led_flash_cnt[690][5]~36548_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[690][5]~36549\ : std_logic;
SIGNAL \led_flash_cnt[690][6]~36550_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][6]~q\ : std_logic;
SIGNAL \WideAnd690~1_combout\ : std_logic;
SIGNAL \WideAnd690~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][6]~36551\ : std_logic;
SIGNAL \led_flash_cnt[690][7]~36552_combout\ : std_logic;
SIGNAL \led_flash_cnt[690][7]~q\ : std_logic;
SIGNAL \WideAnd690~combout\ : std_logic;
SIGNAL \led_flash_cnt[688][0]~81328_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[688][1]~36512_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[688][1]~36513\ : std_logic;
SIGNAL \led_flash_cnt[688][2]~36514_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[688][2]~36515\ : std_logic;
SIGNAL \led_flash_cnt[688][3]~36516_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[688][3]~36517\ : std_logic;
SIGNAL \led_flash_cnt[688][4]~36518_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][4]~q\ : std_logic;
SIGNAL \WideAnd688~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][4]~36519\ : std_logic;
SIGNAL \led_flash_cnt[688][5]~36520_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[688][5]~36521\ : std_logic;
SIGNAL \led_flash_cnt[688][6]~36522_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[688][6]~36523\ : std_logic;
SIGNAL \led_flash_cnt[688][7]~36524_combout\ : std_logic;
SIGNAL \led_flash_cnt[688][7]~q\ : std_logic;
SIGNAL \WideAnd688~1_combout\ : std_logic;
SIGNAL \WideAnd688~combout\ : std_logic;
SIGNAL \led_flash_cnt[689][0]~81329_combout\ : std_logic;
SIGNAL \led_flash_cnt[689][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[689][1]~36526_combout\ : std_logic;
SIGNAL \led_flash_cnt[689][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[689][1]~36527\ : std_logic;
SIGNAL \led_flash_cnt[689][2]~36528_combout\ : std_logic;
SIGNAL \led_flash_cnt[689][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[689][2]~36529\ : std_logic;
SIGNAL \led_flash_cnt[689][3]~36530_combout\ : std_logic;
SIGNAL \led_flash_cnt[689][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[689][3]~36531\ : std_logic;
SIGNAL \led_flash_cnt[689][4]~36532_combout\ : std_logic;
SIGNAL \led_flash_cnt[689][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[689][4]~36533\ : std_logic;
SIGNAL \led_flash_cnt[689][5]~36534_combout\ : std_logic;
SIGNAL \led_flash_cnt[689][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[689][5]~36535\ : std_logic;
SIGNAL \led_flash_cnt[689][6]~36536_combout\ : std_logic;
SIGNAL \led_flash_cnt[689][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[689][6]~36537\ : std_logic;
SIGNAL \led_flash_cnt[689][7]~36538_combout\ : std_logic;
SIGNAL \led_flash_cnt[689][7]~q\ : std_logic;
SIGNAL \WideAnd689~1_combout\ : std_logic;
SIGNAL \WideAnd689~0_combout\ : std_logic;
SIGNAL \WideAnd689~combout\ : std_logic;
SIGNAL \WideAnd3926~0_combout\ : std_logic;
SIGNAL \WideAnd3926~combout\ : std_logic;
SIGNAL \led_flash_cnt[671][0]~81311_combout\ : std_logic;
SIGNAL \led_flash_cnt[671][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[671][1]~36274_combout\ : std_logic;
SIGNAL \led_flash_cnt[671][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[671][1]~36275\ : std_logic;
SIGNAL \led_flash_cnt[671][2]~36276_combout\ : std_logic;
SIGNAL \led_flash_cnt[671][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[671][2]~36277\ : std_logic;
SIGNAL \led_flash_cnt[671][3]~36278_combout\ : std_logic;
SIGNAL \led_flash_cnt[671][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[671][3]~36279\ : std_logic;
SIGNAL \led_flash_cnt[671][4]~36280_combout\ : std_logic;
SIGNAL \led_flash_cnt[671][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[671][4]~36281\ : std_logic;
SIGNAL \led_flash_cnt[671][5]~36282_combout\ : std_logic;
SIGNAL \led_flash_cnt[671][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[671][5]~36283\ : std_logic;
SIGNAL \led_flash_cnt[671][6]~36284_combout\ : std_logic;
SIGNAL \led_flash_cnt[671][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[671][6]~36285\ : std_logic;
SIGNAL \led_flash_cnt[671][7]~36286_combout\ : std_logic;
SIGNAL \led_flash_cnt[671][7]~q\ : std_logic;
SIGNAL \WideAnd671~1_combout\ : std_logic;
SIGNAL \WideAnd671~0_combout\ : std_logic;
SIGNAL \WideAnd671~combout\ : std_logic;
SIGNAL \led_flash_cnt[666][0]~81306_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[666][1]~36204_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[666][1]~36205\ : std_logic;
SIGNAL \led_flash_cnt[666][2]~36206_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[666][2]~36207\ : std_logic;
SIGNAL \led_flash_cnt[666][3]~36208_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[666][3]~36209\ : std_logic;
SIGNAL \led_flash_cnt[666][4]~36210_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[666][4]~36211\ : std_logic;
SIGNAL \led_flash_cnt[666][5]~36212_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[666][5]~36213\ : std_logic;
SIGNAL \led_flash_cnt[666][6]~36214_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][6]~q\ : std_logic;
SIGNAL \WideAnd666~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][6]~36215\ : std_logic;
SIGNAL \led_flash_cnt[666][7]~36216_combout\ : std_logic;
SIGNAL \led_flash_cnt[666][7]~q\ : std_logic;
SIGNAL \WideAnd666~0_combout\ : std_logic;
SIGNAL \WideAnd666~combout\ : std_logic;
SIGNAL \led_flash_cnt[667][0]~81307_combout\ : std_logic;
SIGNAL \led_flash_cnt[667][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[667][1]~36218_combout\ : std_logic;
SIGNAL \led_flash_cnt[667][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[667][1]~36219\ : std_logic;
SIGNAL \led_flash_cnt[667][2]~36220_combout\ : std_logic;
SIGNAL \led_flash_cnt[667][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[667][2]~36221\ : std_logic;
SIGNAL \led_flash_cnt[667][3]~36222_combout\ : std_logic;
SIGNAL \led_flash_cnt[667][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[667][3]~36223\ : std_logic;
SIGNAL \led_flash_cnt[667][4]~36224_combout\ : std_logic;
SIGNAL \led_flash_cnt[667][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[667][4]~36225\ : std_logic;
SIGNAL \led_flash_cnt[667][5]~36226_combout\ : std_logic;
SIGNAL \led_flash_cnt[667][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[667][5]~36227\ : std_logic;
SIGNAL \led_flash_cnt[667][6]~36228_combout\ : std_logic;
SIGNAL \led_flash_cnt[667][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[667][6]~36229\ : std_logic;
SIGNAL \led_flash_cnt[667][7]~36230_combout\ : std_logic;
SIGNAL \led_flash_cnt[667][7]~q\ : std_logic;
SIGNAL \WideAnd667~0_combout\ : std_logic;
SIGNAL \WideAnd667~1_combout\ : std_logic;
SIGNAL \WideAnd667~combout\ : std_logic;
SIGNAL \led_flash_cnt[664][0]~81304_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[664][1]~36176_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[664][1]~36177\ : std_logic;
SIGNAL \led_flash_cnt[664][2]~36178_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[664][2]~36179\ : std_logic;
SIGNAL \led_flash_cnt[664][3]~36180_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[664][3]~36181\ : std_logic;
SIGNAL \led_flash_cnt[664][4]~36182_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][4]~q\ : std_logic;
SIGNAL \WideAnd664~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][4]~36183\ : std_logic;
SIGNAL \led_flash_cnt[664][5]~36184_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[664][5]~36185\ : std_logic;
SIGNAL \led_flash_cnt[664][6]~36186_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[664][6]~36187\ : std_logic;
SIGNAL \led_flash_cnt[664][7]~36188_combout\ : std_logic;
SIGNAL \led_flash_cnt[664][7]~q\ : std_logic;
SIGNAL \WideAnd664~1_combout\ : std_logic;
SIGNAL \WideAnd664~combout\ : std_logic;
SIGNAL \led_flash_cnt[665][0]~81305_combout\ : std_logic;
SIGNAL \led_flash_cnt[665][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[665][1]~36190_combout\ : std_logic;
SIGNAL \led_flash_cnt[665][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[665][1]~36191\ : std_logic;
SIGNAL \led_flash_cnt[665][2]~36192_combout\ : std_logic;
SIGNAL \led_flash_cnt[665][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[665][2]~36193\ : std_logic;
SIGNAL \led_flash_cnt[665][3]~36194_combout\ : std_logic;
SIGNAL \led_flash_cnt[665][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[665][3]~36195\ : std_logic;
SIGNAL \led_flash_cnt[665][4]~36196_combout\ : std_logic;
SIGNAL \led_flash_cnt[665][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[665][4]~36197\ : std_logic;
SIGNAL \led_flash_cnt[665][5]~36198_combout\ : std_logic;
SIGNAL \led_flash_cnt[665][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[665][5]~36199\ : std_logic;
SIGNAL \led_flash_cnt[665][6]~36200_combout\ : std_logic;
SIGNAL \led_flash_cnt[665][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[665][6]~36201\ : std_logic;
SIGNAL \led_flash_cnt[665][7]~36202_combout\ : std_logic;
SIGNAL \led_flash_cnt[665][7]~q\ : std_logic;
SIGNAL \WideAnd665~1_combout\ : std_logic;
SIGNAL \WideAnd665~0_combout\ : std_logic;
SIGNAL \WideAnd665~combout\ : std_logic;
SIGNAL \WideAnd3923~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][0]~81310_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[670][1]~36260_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[670][1]~36261\ : std_logic;
SIGNAL \led_flash_cnt[670][2]~36262_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[670][2]~36263\ : std_logic;
SIGNAL \led_flash_cnt[670][3]~36264_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[670][3]~36265\ : std_logic;
SIGNAL \led_flash_cnt[670][4]~36266_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[670][4]~36267\ : std_logic;
SIGNAL \led_flash_cnt[670][5]~36268_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[670][5]~36269\ : std_logic;
SIGNAL \led_flash_cnt[670][6]~36270_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][6]~q\ : std_logic;
SIGNAL \WideAnd670~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][6]~36271\ : std_logic;
SIGNAL \led_flash_cnt[670][7]~36272_combout\ : std_logic;
SIGNAL \led_flash_cnt[670][7]~q\ : std_logic;
SIGNAL \WideAnd670~0_combout\ : std_logic;
SIGNAL \WideAnd670~combout\ : std_logic;
SIGNAL \led_flash_cnt[669][0]~81309_combout\ : std_logic;
SIGNAL \led_flash_cnt[669][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[669][1]~36246_combout\ : std_logic;
SIGNAL \led_flash_cnt[669][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[669][1]~36247\ : std_logic;
SIGNAL \led_flash_cnt[669][2]~36248_combout\ : std_logic;
SIGNAL \led_flash_cnt[669][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[669][2]~36249\ : std_logic;
SIGNAL \led_flash_cnt[669][3]~36250_combout\ : std_logic;
SIGNAL \led_flash_cnt[669][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[669][3]~36251\ : std_logic;
SIGNAL \led_flash_cnt[669][4]~36252_combout\ : std_logic;
SIGNAL \led_flash_cnt[669][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[669][4]~36253\ : std_logic;
SIGNAL \led_flash_cnt[669][5]~36254_combout\ : std_logic;
SIGNAL \led_flash_cnt[669][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[669][5]~36255\ : std_logic;
SIGNAL \led_flash_cnt[669][6]~36256_combout\ : std_logic;
SIGNAL \led_flash_cnt[669][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[669][6]~36257\ : std_logic;
SIGNAL \led_flash_cnt[669][7]~36258_combout\ : std_logic;
SIGNAL \led_flash_cnt[669][7]~q\ : std_logic;
SIGNAL \WideAnd669~0_combout\ : std_logic;
SIGNAL \WideAnd669~1_combout\ : std_logic;
SIGNAL \WideAnd669~combout\ : std_logic;
SIGNAL \led_flash_cnt[668][0]~81308_combout\ : std_logic;
SIGNAL \led_flash_cnt[668][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[668][1]~36232_combout\ : std_logic;
SIGNAL \led_flash_cnt[668][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[668][1]~36233\ : std_logic;
SIGNAL \led_flash_cnt[668][2]~36234_combout\ : std_logic;
SIGNAL \led_flash_cnt[668][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[668][2]~36235\ : std_logic;
SIGNAL \led_flash_cnt[668][3]~36236_combout\ : std_logic;
SIGNAL \led_flash_cnt[668][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[668][3]~36237\ : std_logic;
SIGNAL \led_flash_cnt[668][4]~36238_combout\ : std_logic;
SIGNAL \led_flash_cnt[668][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[668][4]~36239\ : std_logic;
SIGNAL \led_flash_cnt[668][5]~36240_combout\ : std_logic;
SIGNAL \led_flash_cnt[668][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[668][5]~36241\ : std_logic;
SIGNAL \led_flash_cnt[668][6]~36242_combout\ : std_logic;
SIGNAL \led_flash_cnt[668][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[668][6]~36243\ : std_logic;
SIGNAL \led_flash_cnt[668][7]~36244_combout\ : std_logic;
SIGNAL \led_flash_cnt[668][7]~q\ : std_logic;
SIGNAL \WideAnd668~1_combout\ : std_logic;
SIGNAL \WideAnd668~0_combout\ : std_logic;
SIGNAL \WideAnd668~combout\ : std_logic;
SIGNAL \WideAnd3923~1_combout\ : std_logic;
SIGNAL \WideAnd3923~combout\ : std_logic;
SIGNAL \led_flash_cnt[654][0]~81294_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[654][1]~36036_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[654][1]~36037\ : std_logic;
SIGNAL \led_flash_cnt[654][2]~36038_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[654][2]~36039\ : std_logic;
SIGNAL \led_flash_cnt[654][3]~36040_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[654][3]~36041\ : std_logic;
SIGNAL \led_flash_cnt[654][4]~36042_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][4]~q\ : std_logic;
SIGNAL \WideAnd654~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][4]~36043\ : std_logic;
SIGNAL \led_flash_cnt[654][5]~36044_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[654][5]~36045\ : std_logic;
SIGNAL \led_flash_cnt[654][6]~36046_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][6]~q\ : std_logic;
SIGNAL \WideAnd654~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][6]~36047\ : std_logic;
SIGNAL \led_flash_cnt[654][7]~36048_combout\ : std_logic;
SIGNAL \led_flash_cnt[654][7]~q\ : std_logic;
SIGNAL \WideAnd654~combout\ : std_logic;
SIGNAL \led_flash_cnt[653][0]~81293_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[653][1]~36022_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[653][1]~36023\ : std_logic;
SIGNAL \led_flash_cnt[653][2]~36024_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[653][2]~36025\ : std_logic;
SIGNAL \led_flash_cnt[653][3]~36026_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[653][3]~36027\ : std_logic;
SIGNAL \led_flash_cnt[653][4]~36028_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][4]~q\ : std_logic;
SIGNAL \WideAnd653~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][4]~36029\ : std_logic;
SIGNAL \led_flash_cnt[653][5]~36030_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[653][5]~36031\ : std_logic;
SIGNAL \led_flash_cnt[653][6]~36032_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][6]~q\ : std_logic;
SIGNAL \WideAnd653~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][6]~36033\ : std_logic;
SIGNAL \led_flash_cnt[653][7]~36034_combout\ : std_logic;
SIGNAL \led_flash_cnt[653][7]~q\ : std_logic;
SIGNAL \WideAnd653~combout\ : std_logic;
SIGNAL \led_flash_cnt[652][0]~81292_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[652][1]~36008_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[652][1]~36009\ : std_logic;
SIGNAL \led_flash_cnt[652][2]~36010_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[652][2]~36011\ : std_logic;
SIGNAL \led_flash_cnt[652][3]~36012_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[652][3]~36013\ : std_logic;
SIGNAL \led_flash_cnt[652][4]~36014_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[652][4]~36015\ : std_logic;
SIGNAL \led_flash_cnt[652][5]~36016_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[652][5]~36017\ : std_logic;
SIGNAL \led_flash_cnt[652][6]~36018_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][6]~q\ : std_logic;
SIGNAL \WideAnd652~1_combout\ : std_logic;
SIGNAL \WideAnd652~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][6]~36019\ : std_logic;
SIGNAL \led_flash_cnt[652][7]~36020_combout\ : std_logic;
SIGNAL \led_flash_cnt[652][7]~q\ : std_logic;
SIGNAL \WideAnd652~combout\ : std_logic;
SIGNAL \WideAnd3921~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][0]~81295_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[655][1]~36050_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[655][1]~36051\ : std_logic;
SIGNAL \led_flash_cnt[655][2]~36052_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[655][2]~36053\ : std_logic;
SIGNAL \led_flash_cnt[655][3]~36054_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[655][3]~36055\ : std_logic;
SIGNAL \led_flash_cnt[655][4]~36056_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][4]~q\ : std_logic;
SIGNAL \WideAnd655~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][4]~36057\ : std_logic;
SIGNAL \led_flash_cnt[655][5]~36058_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[655][5]~36059\ : std_logic;
SIGNAL \led_flash_cnt[655][6]~36060_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][6]~q\ : std_logic;
SIGNAL \WideAnd655~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][6]~36061\ : std_logic;
SIGNAL \led_flash_cnt[655][7]~36062_combout\ : std_logic;
SIGNAL \led_flash_cnt[655][7]~q\ : std_logic;
SIGNAL \WideAnd655~combout\ : std_logic;
SIGNAL \led_flash_cnt[649][0]~81289_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[649][1]~35966_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[649][1]~35967\ : std_logic;
SIGNAL \led_flash_cnt[649][2]~35968_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[649][2]~35969\ : std_logic;
SIGNAL \led_flash_cnt[649][3]~35970_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[649][3]~35971\ : std_logic;
SIGNAL \led_flash_cnt[649][4]~35972_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][4]~q\ : std_logic;
SIGNAL \WideAnd649~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][4]~35973\ : std_logic;
SIGNAL \led_flash_cnt[649][5]~35974_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[649][5]~35975\ : std_logic;
SIGNAL \led_flash_cnt[649][6]~35976_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][6]~q\ : std_logic;
SIGNAL \WideAnd649~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][6]~35977\ : std_logic;
SIGNAL \led_flash_cnt[649][7]~35978_combout\ : std_logic;
SIGNAL \led_flash_cnt[649][7]~q\ : std_logic;
SIGNAL \WideAnd649~combout\ : std_logic;
SIGNAL \led_flash_cnt[651][0]~81291_combout\ : std_logic;
SIGNAL \led_flash_cnt[651][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[651][1]~35994_combout\ : std_logic;
SIGNAL \led_flash_cnt[651][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[651][1]~35995\ : std_logic;
SIGNAL \led_flash_cnt[651][2]~35996_combout\ : std_logic;
SIGNAL \led_flash_cnt[651][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[651][2]~35997\ : std_logic;
SIGNAL \led_flash_cnt[651][3]~35998_combout\ : std_logic;
SIGNAL \led_flash_cnt[651][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[651][3]~35999\ : std_logic;
SIGNAL \led_flash_cnt[651][4]~36000_combout\ : std_logic;
SIGNAL \led_flash_cnt[651][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[651][4]~36001\ : std_logic;
SIGNAL \led_flash_cnt[651][5]~36002_combout\ : std_logic;
SIGNAL \led_flash_cnt[651][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[651][5]~36003\ : std_logic;
SIGNAL \led_flash_cnt[651][6]~36004_combout\ : std_logic;
SIGNAL \led_flash_cnt[651][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[651][6]~36005\ : std_logic;
SIGNAL \led_flash_cnt[651][7]~36006_combout\ : std_logic;
SIGNAL \led_flash_cnt[651][7]~q\ : std_logic;
SIGNAL \WideAnd651~1_combout\ : std_logic;
SIGNAL \WideAnd651~0_combout\ : std_logic;
SIGNAL \WideAnd651~combout\ : std_logic;
SIGNAL \led_flash_cnt[650][0]~81290_combout\ : std_logic;
SIGNAL \led_flash_cnt[650][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[650][1]~35980_combout\ : std_logic;
SIGNAL \led_flash_cnt[650][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[650][1]~35981\ : std_logic;
SIGNAL \led_flash_cnt[650][2]~35982_combout\ : std_logic;
SIGNAL \led_flash_cnt[650][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[650][2]~35983\ : std_logic;
SIGNAL \led_flash_cnt[650][3]~35984_combout\ : std_logic;
SIGNAL \led_flash_cnt[650][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[650][3]~35985\ : std_logic;
SIGNAL \led_flash_cnt[650][4]~35986_combout\ : std_logic;
SIGNAL \led_flash_cnt[650][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[650][4]~35987\ : std_logic;
SIGNAL \led_flash_cnt[650][5]~35988_combout\ : std_logic;
SIGNAL \led_flash_cnt[650][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[650][5]~35989\ : std_logic;
SIGNAL \led_flash_cnt[650][6]~35990_combout\ : std_logic;
SIGNAL \led_flash_cnt[650][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[650][6]~35991\ : std_logic;
SIGNAL \led_flash_cnt[650][7]~35992_combout\ : std_logic;
SIGNAL \led_flash_cnt[650][7]~q\ : std_logic;
SIGNAL \WideAnd650~0_combout\ : std_logic;
SIGNAL \WideAnd650~1_combout\ : std_logic;
SIGNAL \WideAnd650~combout\ : std_logic;
SIGNAL \led_flash_cnt[648][0]~81288_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[648][1]~35952_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[648][1]~35953\ : std_logic;
SIGNAL \led_flash_cnt[648][2]~35954_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[648][2]~35955\ : std_logic;
SIGNAL \led_flash_cnt[648][3]~35956_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[648][3]~35957\ : std_logic;
SIGNAL \led_flash_cnt[648][4]~35958_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][4]~q\ : std_logic;
SIGNAL \WideAnd648~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][4]~35959\ : std_logic;
SIGNAL \led_flash_cnt[648][5]~35960_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[648][5]~35961\ : std_logic;
SIGNAL \led_flash_cnt[648][6]~35962_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[648][6]~35963\ : std_logic;
SIGNAL \led_flash_cnt[648][7]~35964_combout\ : std_logic;
SIGNAL \led_flash_cnt[648][7]~q\ : std_logic;
SIGNAL \WideAnd648~1_combout\ : std_logic;
SIGNAL \WideAnd648~combout\ : std_logic;
SIGNAL \WideAnd3921~0_combout\ : std_logic;
SIGNAL \WideAnd3921~combout\ : std_logic;
SIGNAL \led_flash_cnt[645][0]~81285_combout\ : std_logic;
SIGNAL \led_flash_cnt[645][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[645][1]~35910_combout\ : std_logic;
SIGNAL \led_flash_cnt[645][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[645][1]~35911\ : std_logic;
SIGNAL \led_flash_cnt[645][2]~35912_combout\ : std_logic;
SIGNAL \led_flash_cnt[645][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[645][2]~35913\ : std_logic;
SIGNAL \led_flash_cnt[645][3]~35914_combout\ : std_logic;
SIGNAL \led_flash_cnt[645][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[645][3]~35915\ : std_logic;
SIGNAL \led_flash_cnt[645][4]~35916_combout\ : std_logic;
SIGNAL \led_flash_cnt[645][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[645][4]~35917\ : std_logic;
SIGNAL \led_flash_cnt[645][5]~35918_combout\ : std_logic;
SIGNAL \led_flash_cnt[645][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[645][5]~35919\ : std_logic;
SIGNAL \led_flash_cnt[645][6]~35920_combout\ : std_logic;
SIGNAL \led_flash_cnt[645][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[645][6]~35921\ : std_logic;
SIGNAL \led_flash_cnt[645][7]~35922_combout\ : std_logic;
SIGNAL \led_flash_cnt[645][7]~q\ : std_logic;
SIGNAL \WideAnd645~0_combout\ : std_logic;
SIGNAL \WideAnd645~1_combout\ : std_logic;
SIGNAL \WideAnd645~combout\ : std_logic;
SIGNAL \led_flash_cnt[644][0]~81284_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[644][1]~35896_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[644][1]~35897\ : std_logic;
SIGNAL \led_flash_cnt[644][2]~35898_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[644][2]~35899\ : std_logic;
SIGNAL \led_flash_cnt[644][3]~35900_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[644][3]~35901\ : std_logic;
SIGNAL \led_flash_cnt[644][4]~35902_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[644][4]~35903\ : std_logic;
SIGNAL \led_flash_cnt[644][5]~35904_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[644][5]~35905\ : std_logic;
SIGNAL \led_flash_cnt[644][6]~35906_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][6]~q\ : std_logic;
SIGNAL \WideAnd644~1_combout\ : std_logic;
SIGNAL \WideAnd644~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][6]~35907\ : std_logic;
SIGNAL \led_flash_cnt[644][7]~35908_combout\ : std_logic;
SIGNAL \led_flash_cnt[644][7]~q\ : std_logic;
SIGNAL \WideAnd644~combout\ : std_logic;
SIGNAL \WideAnd3920~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][0]~81286_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[646][1]~35924_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[646][1]~35925\ : std_logic;
SIGNAL \led_flash_cnt[646][2]~35926_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[646][2]~35927\ : std_logic;
SIGNAL \led_flash_cnt[646][3]~35928_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[646][3]~35929\ : std_logic;
SIGNAL \led_flash_cnt[646][4]~35930_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[646][4]~35931\ : std_logic;
SIGNAL \led_flash_cnt[646][5]~35932_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[646][5]~35933\ : std_logic;
SIGNAL \led_flash_cnt[646][6]~35934_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][6]~q\ : std_logic;
SIGNAL \WideAnd646~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][6]~35935\ : std_logic;
SIGNAL \led_flash_cnt[646][7]~35936_combout\ : std_logic;
SIGNAL \led_flash_cnt[646][7]~q\ : std_logic;
SIGNAL \WideAnd646~0_combout\ : std_logic;
SIGNAL \WideAnd646~combout\ : std_logic;
SIGNAL \led_flash_cnt[641][0]~81281_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[641][1]~35854_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[641][1]~35855\ : std_logic;
SIGNAL \led_flash_cnt[641][2]~35856_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[641][2]~35857\ : std_logic;
SIGNAL \led_flash_cnt[641][3]~35858_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[641][3]~35859\ : std_logic;
SIGNAL \led_flash_cnt[641][4]~35860_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[641][4]~35861\ : std_logic;
SIGNAL \led_flash_cnt[641][5]~35862_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[641][5]~35863\ : std_logic;
SIGNAL \led_flash_cnt[641][6]~35864_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][6]~q\ : std_logic;
SIGNAL \WideAnd641~1_combout\ : std_logic;
SIGNAL \WideAnd641~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][6]~35865\ : std_logic;
SIGNAL \led_flash_cnt[641][7]~35866_combout\ : std_logic;
SIGNAL \led_flash_cnt[641][7]~q\ : std_logic;
SIGNAL \WideAnd641~combout\ : std_logic;
SIGNAL \led_flash_cnt[640][0]~81280_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[640][1]~35840_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[640][1]~35841\ : std_logic;
SIGNAL \led_flash_cnt[640][2]~35842_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[640][2]~35843\ : std_logic;
SIGNAL \led_flash_cnt[640][3]~35844_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[640][3]~35845\ : std_logic;
SIGNAL \led_flash_cnt[640][4]~35846_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][4]~q\ : std_logic;
SIGNAL \WideAnd640~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][4]~35847\ : std_logic;
SIGNAL \led_flash_cnt[640][5]~35848_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[640][5]~35849\ : std_logic;
SIGNAL \led_flash_cnt[640][6]~35850_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[640][6]~35851\ : std_logic;
SIGNAL \led_flash_cnt[640][7]~35852_combout\ : std_logic;
SIGNAL \led_flash_cnt[640][7]~q\ : std_logic;
SIGNAL \WideAnd640~1_combout\ : std_logic;
SIGNAL \WideAnd640~combout\ : std_logic;
SIGNAL \led_flash_cnt[642][0]~81282_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[642][1]~35868_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[642][1]~35869\ : std_logic;
SIGNAL \led_flash_cnt[642][2]~35870_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[642][2]~35871\ : std_logic;
SIGNAL \led_flash_cnt[642][3]~35872_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[642][3]~35873\ : std_logic;
SIGNAL \led_flash_cnt[642][4]~35874_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][4]~q\ : std_logic;
SIGNAL \WideAnd642~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][4]~35875\ : std_logic;
SIGNAL \led_flash_cnt[642][5]~35876_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[642][5]~35877\ : std_logic;
SIGNAL \led_flash_cnt[642][6]~35878_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[642][6]~35879\ : std_logic;
SIGNAL \led_flash_cnt[642][7]~35880_combout\ : std_logic;
SIGNAL \led_flash_cnt[642][7]~q\ : std_logic;
SIGNAL \WideAnd642~1_combout\ : std_logic;
SIGNAL \WideAnd642~combout\ : std_logic;
SIGNAL \led_flash_cnt[643][0]~81283_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[643][1]~35882_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[643][1]~35883\ : std_logic;
SIGNAL \led_flash_cnt[643][2]~35884_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[643][2]~35885\ : std_logic;
SIGNAL \led_flash_cnt[643][3]~35886_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[643][3]~35887\ : std_logic;
SIGNAL \led_flash_cnt[643][4]~35888_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[643][4]~35889\ : std_logic;
SIGNAL \led_flash_cnt[643][5]~35890_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[643][5]~35891\ : std_logic;
SIGNAL \led_flash_cnt[643][6]~35892_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][6]~q\ : std_logic;
SIGNAL \WideAnd643~1_combout\ : std_logic;
SIGNAL \WideAnd643~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][6]~35893\ : std_logic;
SIGNAL \led_flash_cnt[643][7]~35894_combout\ : std_logic;
SIGNAL \led_flash_cnt[643][7]~q\ : std_logic;
SIGNAL \WideAnd643~combout\ : std_logic;
SIGNAL \WideAnd3920~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][0]~81287_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[647][1]~35938_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[647][1]~35939\ : std_logic;
SIGNAL \led_flash_cnt[647][2]~35940_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[647][2]~35941\ : std_logic;
SIGNAL \led_flash_cnt[647][3]~35942_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[647][3]~35943\ : std_logic;
SIGNAL \led_flash_cnt[647][4]~35944_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[647][4]~35945\ : std_logic;
SIGNAL \led_flash_cnt[647][5]~35946_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[647][5]~35947\ : std_logic;
SIGNAL \led_flash_cnt[647][6]~35948_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[647][6]~35949\ : std_logic;
SIGNAL \led_flash_cnt[647][7]~35950_combout\ : std_logic;
SIGNAL \led_flash_cnt[647][7]~q\ : std_logic;
SIGNAL \WideAnd647~1_combout\ : std_logic;
SIGNAL \WideAnd647~0_combout\ : std_logic;
SIGNAL \WideAnd647~combout\ : std_logic;
SIGNAL \WideAnd3920~combout\ : std_logic;
SIGNAL \led_flash_cnt[662][0]~81302_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[662][1]~36148_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[662][1]~36149\ : std_logic;
SIGNAL \led_flash_cnt[662][2]~36150_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[662][2]~36151\ : std_logic;
SIGNAL \led_flash_cnt[662][3]~36152_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[662][3]~36153\ : std_logic;
SIGNAL \led_flash_cnt[662][4]~36154_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][4]~q\ : std_logic;
SIGNAL \WideAnd662~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][4]~36155\ : std_logic;
SIGNAL \led_flash_cnt[662][5]~36156_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[662][5]~36157\ : std_logic;
SIGNAL \led_flash_cnt[662][6]~36158_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[662][6]~36159\ : std_logic;
SIGNAL \led_flash_cnt[662][7]~36160_combout\ : std_logic;
SIGNAL \led_flash_cnt[662][7]~q\ : std_logic;
SIGNAL \WideAnd662~1_combout\ : std_logic;
SIGNAL \WideAnd662~combout\ : std_logic;
SIGNAL \led_flash_cnt[661][0]~81301_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[661][1]~36134_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[661][1]~36135\ : std_logic;
SIGNAL \led_flash_cnt[661][2]~36136_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[661][2]~36137\ : std_logic;
SIGNAL \led_flash_cnt[661][3]~36138_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[661][3]~36139\ : std_logic;
SIGNAL \led_flash_cnt[661][4]~36140_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[661][4]~36141\ : std_logic;
SIGNAL \led_flash_cnt[661][5]~36142_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[661][5]~36143\ : std_logic;
SIGNAL \led_flash_cnt[661][6]~36144_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][6]~q\ : std_logic;
SIGNAL \WideAnd661~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][6]~36145\ : std_logic;
SIGNAL \led_flash_cnt[661][7]~36146_combout\ : std_logic;
SIGNAL \led_flash_cnt[661][7]~q\ : std_logic;
SIGNAL \WideAnd661~0_combout\ : std_logic;
SIGNAL \WideAnd661~combout\ : std_logic;
SIGNAL \led_flash_cnt[660][0]~81300_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[660][1]~36120_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[660][1]~36121\ : std_logic;
SIGNAL \led_flash_cnt[660][2]~36122_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[660][2]~36123\ : std_logic;
SIGNAL \led_flash_cnt[660][3]~36124_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[660][3]~36125\ : std_logic;
SIGNAL \led_flash_cnt[660][4]~36126_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[660][4]~36127\ : std_logic;
SIGNAL \led_flash_cnt[660][5]~36128_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[660][5]~36129\ : std_logic;
SIGNAL \led_flash_cnt[660][6]~36130_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][6]~q\ : std_logic;
SIGNAL \WideAnd660~1_combout\ : std_logic;
SIGNAL \WideAnd660~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][6]~36131\ : std_logic;
SIGNAL \led_flash_cnt[660][7]~36132_combout\ : std_logic;
SIGNAL \led_flash_cnt[660][7]~q\ : std_logic;
SIGNAL \WideAnd660~combout\ : std_logic;
SIGNAL \WideAnd3922~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][0]~81303_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[663][1]~36162_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[663][1]~36163\ : std_logic;
SIGNAL \led_flash_cnt[663][2]~36164_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[663][2]~36165\ : std_logic;
SIGNAL \led_flash_cnt[663][3]~36166_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[663][3]~36167\ : std_logic;
SIGNAL \led_flash_cnt[663][4]~36168_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][4]~q\ : std_logic;
SIGNAL \WideAnd663~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][4]~36169\ : std_logic;
SIGNAL \led_flash_cnt[663][5]~36170_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[663][5]~36171\ : std_logic;
SIGNAL \led_flash_cnt[663][6]~36172_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][6]~q\ : std_logic;
SIGNAL \WideAnd663~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][6]~36173\ : std_logic;
SIGNAL \led_flash_cnt[663][7]~36174_combout\ : std_logic;
SIGNAL \led_flash_cnt[663][7]~q\ : std_logic;
SIGNAL \WideAnd663~combout\ : std_logic;
SIGNAL \led_flash_cnt[658][0]~81298_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[658][1]~36092_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[658][1]~36093\ : std_logic;
SIGNAL \led_flash_cnt[658][2]~36094_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[658][2]~36095\ : std_logic;
SIGNAL \led_flash_cnt[658][3]~36096_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[658][3]~36097\ : std_logic;
SIGNAL \led_flash_cnt[658][4]~36098_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][4]~q\ : std_logic;
SIGNAL \WideAnd658~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][4]~36099\ : std_logic;
SIGNAL \led_flash_cnt[658][5]~36100_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[658][5]~36101\ : std_logic;
SIGNAL \led_flash_cnt[658][6]~36102_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[658][6]~36103\ : std_logic;
SIGNAL \led_flash_cnt[658][7]~36104_combout\ : std_logic;
SIGNAL \led_flash_cnt[658][7]~q\ : std_logic;
SIGNAL \WideAnd658~1_combout\ : std_logic;
SIGNAL \WideAnd658~combout\ : std_logic;
SIGNAL \led_flash_cnt[656][0]~81296_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[656][1]~36064_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[656][1]~36065\ : std_logic;
SIGNAL \led_flash_cnt[656][2]~36066_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[656][2]~36067\ : std_logic;
SIGNAL \led_flash_cnt[656][3]~36068_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[656][3]~36069\ : std_logic;
SIGNAL \led_flash_cnt[656][4]~36070_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[656][4]~36071\ : std_logic;
SIGNAL \led_flash_cnt[656][5]~36072_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[656][5]~36073\ : std_logic;
SIGNAL \led_flash_cnt[656][6]~36074_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][6]~q\ : std_logic;
SIGNAL \WideAnd656~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][6]~36075\ : std_logic;
SIGNAL \led_flash_cnt[656][7]~36076_combout\ : std_logic;
SIGNAL \led_flash_cnt[656][7]~q\ : std_logic;
SIGNAL \WideAnd656~0_combout\ : std_logic;
SIGNAL \WideAnd656~combout\ : std_logic;
SIGNAL \led_flash_cnt[657][0]~81297_combout\ : std_logic;
SIGNAL \led_flash_cnt[657][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[657][1]~36078_combout\ : std_logic;
SIGNAL \led_flash_cnt[657][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[657][1]~36079\ : std_logic;
SIGNAL \led_flash_cnt[657][2]~36080_combout\ : std_logic;
SIGNAL \led_flash_cnt[657][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[657][2]~36081\ : std_logic;
SIGNAL \led_flash_cnt[657][3]~36082_combout\ : std_logic;
SIGNAL \led_flash_cnt[657][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[657][3]~36083\ : std_logic;
SIGNAL \led_flash_cnt[657][4]~36084_combout\ : std_logic;
SIGNAL \led_flash_cnt[657][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[657][4]~36085\ : std_logic;
SIGNAL \led_flash_cnt[657][5]~36086_combout\ : std_logic;
SIGNAL \led_flash_cnt[657][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[657][5]~36087\ : std_logic;
SIGNAL \led_flash_cnt[657][6]~36088_combout\ : std_logic;
SIGNAL \led_flash_cnt[657][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[657][6]~36089\ : std_logic;
SIGNAL \led_flash_cnt[657][7]~36090_combout\ : std_logic;
SIGNAL \led_flash_cnt[657][7]~q\ : std_logic;
SIGNAL \WideAnd657~1_combout\ : std_logic;
SIGNAL \WideAnd657~0_combout\ : std_logic;
SIGNAL \WideAnd657~combout\ : std_logic;
SIGNAL \led_flash_cnt[659][0]~81299_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[659][1]~36106_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[659][1]~36107\ : std_logic;
SIGNAL \led_flash_cnt[659][2]~36108_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[659][2]~36109\ : std_logic;
SIGNAL \led_flash_cnt[659][3]~36110_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[659][3]~36111\ : std_logic;
SIGNAL \led_flash_cnt[659][4]~36112_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][4]~q\ : std_logic;
SIGNAL \WideAnd659~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][4]~36113\ : std_logic;
SIGNAL \led_flash_cnt[659][5]~36114_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[659][5]~36115\ : std_logic;
SIGNAL \led_flash_cnt[659][6]~36116_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[659][6]~36117\ : std_logic;
SIGNAL \led_flash_cnt[659][7]~36118_combout\ : std_logic;
SIGNAL \led_flash_cnt[659][7]~q\ : std_logic;
SIGNAL \WideAnd659~1_combout\ : std_logic;
SIGNAL \WideAnd659~combout\ : std_logic;
SIGNAL \WideAnd3922~0_combout\ : std_logic;
SIGNAL \WideAnd3922~combout\ : std_logic;
SIGNAL \WideAnd4330~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][0]~81337_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[701][1]~36638_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[701][1]~36639\ : std_logic;
SIGNAL \led_flash_cnt[701][2]~36640_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[701][2]~36641\ : std_logic;
SIGNAL \led_flash_cnt[701][3]~36642_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[701][3]~36643\ : std_logic;
SIGNAL \led_flash_cnt[701][4]~36644_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[701][4]~36645\ : std_logic;
SIGNAL \led_flash_cnt[701][5]~36646_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[701][5]~36647\ : std_logic;
SIGNAL \led_flash_cnt[701][6]~36648_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[701][6]~36649\ : std_logic;
SIGNAL \led_flash_cnt[701][7]~36650_combout\ : std_logic;
SIGNAL \led_flash_cnt[701][7]~q\ : std_logic;
SIGNAL \WideAnd701~1_combout\ : std_logic;
SIGNAL \WideAnd701~0_combout\ : std_logic;
SIGNAL \WideAnd701~combout\ : std_logic;
SIGNAL \led_flash_cnt[700][0]~81336_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[700][1]~36624_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[700][1]~36625\ : std_logic;
SIGNAL \led_flash_cnt[700][2]~36626_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[700][2]~36627\ : std_logic;
SIGNAL \led_flash_cnt[700][3]~36628_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[700][3]~36629\ : std_logic;
SIGNAL \led_flash_cnt[700][4]~36630_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][4]~q\ : std_logic;
SIGNAL \WideAnd700~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][4]~36631\ : std_logic;
SIGNAL \led_flash_cnt[700][5]~36632_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[700][5]~36633\ : std_logic;
SIGNAL \led_flash_cnt[700][6]~36634_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[700][6]~36635\ : std_logic;
SIGNAL \led_flash_cnt[700][7]~36636_combout\ : std_logic;
SIGNAL \led_flash_cnt[700][7]~q\ : std_logic;
SIGNAL \WideAnd700~1_combout\ : std_logic;
SIGNAL \WideAnd700~combout\ : std_logic;
SIGNAL \led_flash_cnt[699][0]~81341_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[699][1]~36694_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[699][1]~36695\ : std_logic;
SIGNAL \led_flash_cnt[699][2]~36696_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[699][2]~36697\ : std_logic;
SIGNAL \led_flash_cnt[699][3]~36698_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[699][3]~36699\ : std_logic;
SIGNAL \led_flash_cnt[699][4]~36700_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[699][4]~36701\ : std_logic;
SIGNAL \led_flash_cnt[699][5]~36702_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[699][5]~36703\ : std_logic;
SIGNAL \led_flash_cnt[699][6]~36704_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][6]~q\ : std_logic;
SIGNAL \WideAnd699~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][6]~36705\ : std_logic;
SIGNAL \led_flash_cnt[699][7]~36706_combout\ : std_logic;
SIGNAL \led_flash_cnt[699][7]~q\ : std_logic;
SIGNAL \WideAnd699~0_combout\ : std_logic;
SIGNAL \WideAnd699~combout\ : std_logic;
SIGNAL \led_flash_cnt[696][0]~81338_combout\ : std_logic;
SIGNAL \led_flash_cnt[696][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[696][1]~36652_combout\ : std_logic;
SIGNAL \led_flash_cnt[696][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[696][1]~36653\ : std_logic;
SIGNAL \led_flash_cnt[696][2]~36654_combout\ : std_logic;
SIGNAL \led_flash_cnt[696][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[696][2]~36655\ : std_logic;
SIGNAL \led_flash_cnt[696][3]~36656_combout\ : std_logic;
SIGNAL \led_flash_cnt[696][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[696][3]~36657\ : std_logic;
SIGNAL \led_flash_cnt[696][4]~36658_combout\ : std_logic;
SIGNAL \led_flash_cnt[696][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[696][4]~36659\ : std_logic;
SIGNAL \led_flash_cnt[696][5]~36660_combout\ : std_logic;
SIGNAL \led_flash_cnt[696][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[696][5]~36661\ : std_logic;
SIGNAL \led_flash_cnt[696][6]~36662_combout\ : std_logic;
SIGNAL \led_flash_cnt[696][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[696][6]~36663\ : std_logic;
SIGNAL \led_flash_cnt[696][7]~36664_combout\ : std_logic;
SIGNAL \led_flash_cnt[696][7]~q\ : std_logic;
SIGNAL \WideAnd696~1_combout\ : std_logic;
SIGNAL \WideAnd696~0_combout\ : std_logic;
SIGNAL \WideAnd696~combout\ : std_logic;
SIGNAL \led_flash_cnt[697][0]~81339_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[697][1]~36666_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[697][1]~36667\ : std_logic;
SIGNAL \led_flash_cnt[697][2]~36668_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[697][2]~36669\ : std_logic;
SIGNAL \led_flash_cnt[697][3]~36670_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[697][3]~36671\ : std_logic;
SIGNAL \led_flash_cnt[697][4]~36672_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[697][4]~36673\ : std_logic;
SIGNAL \led_flash_cnt[697][5]~36674_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[697][5]~36675\ : std_logic;
SIGNAL \led_flash_cnt[697][6]~36676_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][6]~q\ : std_logic;
SIGNAL \WideAnd697~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][6]~36677\ : std_logic;
SIGNAL \led_flash_cnt[697][7]~36678_combout\ : std_logic;
SIGNAL \led_flash_cnt[697][7]~q\ : std_logic;
SIGNAL \WideAnd697~0_combout\ : std_logic;
SIGNAL \WideAnd697~combout\ : std_logic;
SIGNAL \led_flash_cnt[698][0]~81340_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[698][1]~36680_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[698][1]~36681\ : std_logic;
SIGNAL \led_flash_cnt[698][2]~36682_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[698][2]~36683\ : std_logic;
SIGNAL \led_flash_cnt[698][3]~36684_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[698][3]~36685\ : std_logic;
SIGNAL \led_flash_cnt[698][4]~36686_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[698][4]~36687\ : std_logic;
SIGNAL \led_flash_cnt[698][5]~36688_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[698][5]~36689\ : std_logic;
SIGNAL \led_flash_cnt[698][6]~36690_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][6]~q\ : std_logic;
SIGNAL \WideAnd698~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][6]~36691\ : std_logic;
SIGNAL \led_flash_cnt[698][7]~36692_combout\ : std_logic;
SIGNAL \led_flash_cnt[698][7]~q\ : std_logic;
SIGNAL \WideAnd698~0_combout\ : std_logic;
SIGNAL \WideAnd698~combout\ : std_logic;
SIGNAL \WideAnd3927~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][0]~81343_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[703][1]~36722_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[703][1]~36723\ : std_logic;
SIGNAL \led_flash_cnt[703][2]~36724_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[703][2]~36725\ : std_logic;
SIGNAL \led_flash_cnt[703][3]~36726_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[703][3]~36727\ : std_logic;
SIGNAL \led_flash_cnt[703][4]~36728_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][4]~q\ : std_logic;
SIGNAL \WideAnd703~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][4]~36729\ : std_logic;
SIGNAL \led_flash_cnt[703][5]~36730_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[703][5]~36731\ : std_logic;
SIGNAL \led_flash_cnt[703][6]~36732_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[703][6]~36733\ : std_logic;
SIGNAL \led_flash_cnt[703][7]~36734_combout\ : std_logic;
SIGNAL \led_flash_cnt[703][7]~q\ : std_logic;
SIGNAL \WideAnd703~1_combout\ : std_logic;
SIGNAL \WideAnd703~combout\ : std_logic;
SIGNAL \led_flash_cnt[702][0]~81342_combout\ : std_logic;
SIGNAL \led_flash_cnt[702][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[702][1]~36708_combout\ : std_logic;
SIGNAL \led_flash_cnt[702][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[702][1]~36709\ : std_logic;
SIGNAL \led_flash_cnt[702][2]~36710_combout\ : std_logic;
SIGNAL \led_flash_cnt[702][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[702][2]~36711\ : std_logic;
SIGNAL \led_flash_cnt[702][3]~36712_combout\ : std_logic;
SIGNAL \led_flash_cnt[702][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[702][3]~36713\ : std_logic;
SIGNAL \led_flash_cnt[702][4]~36714_combout\ : std_logic;
SIGNAL \led_flash_cnt[702][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[702][4]~36715\ : std_logic;
SIGNAL \led_flash_cnt[702][5]~36716_combout\ : std_logic;
SIGNAL \led_flash_cnt[702][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[702][5]~36717\ : std_logic;
SIGNAL \led_flash_cnt[702][6]~36718_combout\ : std_logic;
SIGNAL \led_flash_cnt[702][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[702][6]~36719\ : std_logic;
SIGNAL \led_flash_cnt[702][7]~36720_combout\ : std_logic;
SIGNAL \led_flash_cnt[702][7]~q\ : std_logic;
SIGNAL \WideAnd702~1_combout\ : std_logic;
SIGNAL \WideAnd702~0_combout\ : std_logic;
SIGNAL \WideAnd702~combout\ : std_logic;
SIGNAL \WideAnd3927~1_combout\ : std_logic;
SIGNAL \WideAnd3927~combout\ : std_logic;
SIGNAL \led_flash_cnt[676][0]~81316_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[676][1]~36344_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[676][1]~36345\ : std_logic;
SIGNAL \led_flash_cnt[676][2]~36346_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[676][2]~36347\ : std_logic;
SIGNAL \led_flash_cnt[676][3]~36348_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[676][3]~36349\ : std_logic;
SIGNAL \led_flash_cnt[676][4]~36350_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][4]~q\ : std_logic;
SIGNAL \WideAnd676~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][4]~36351\ : std_logic;
SIGNAL \led_flash_cnt[676][5]~36352_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[676][5]~36353\ : std_logic;
SIGNAL \led_flash_cnt[676][6]~36354_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[676][6]~36355\ : std_logic;
SIGNAL \led_flash_cnt[676][7]~36356_combout\ : std_logic;
SIGNAL \led_flash_cnt[676][7]~q\ : std_logic;
SIGNAL \WideAnd676~1_combout\ : std_logic;
SIGNAL \WideAnd676~combout\ : std_logic;
SIGNAL \led_flash_cnt[677][0]~81317_combout\ : std_logic;
SIGNAL \led_flash_cnt[677][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[677][1]~36358_combout\ : std_logic;
SIGNAL \led_flash_cnt[677][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[677][1]~36359\ : std_logic;
SIGNAL \led_flash_cnt[677][2]~36360_combout\ : std_logic;
SIGNAL \led_flash_cnt[677][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[677][2]~36361\ : std_logic;
SIGNAL \led_flash_cnt[677][3]~36362_combout\ : std_logic;
SIGNAL \led_flash_cnt[677][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[677][3]~36363\ : std_logic;
SIGNAL \led_flash_cnt[677][4]~36364_combout\ : std_logic;
SIGNAL \led_flash_cnt[677][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[677][4]~36365\ : std_logic;
SIGNAL \led_flash_cnt[677][5]~36366_combout\ : std_logic;
SIGNAL \led_flash_cnt[677][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[677][5]~36367\ : std_logic;
SIGNAL \led_flash_cnt[677][6]~36368_combout\ : std_logic;
SIGNAL \led_flash_cnt[677][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[677][6]~36369\ : std_logic;
SIGNAL \led_flash_cnt[677][7]~36370_combout\ : std_logic;
SIGNAL \led_flash_cnt[677][7]~q\ : std_logic;
SIGNAL \WideAnd677~0_combout\ : std_logic;
SIGNAL \WideAnd677~1_combout\ : std_logic;
SIGNAL \WideAnd677~combout\ : std_logic;
SIGNAL \WideAnd3924~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][0]~81319_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[679][1]~36386_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[679][1]~36387\ : std_logic;
SIGNAL \led_flash_cnt[679][2]~36388_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[679][2]~36389\ : std_logic;
SIGNAL \led_flash_cnt[679][3]~36390_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[679][3]~36391\ : std_logic;
SIGNAL \led_flash_cnt[679][4]~36392_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[679][4]~36393\ : std_logic;
SIGNAL \led_flash_cnt[679][5]~36394_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[679][5]~36395\ : std_logic;
SIGNAL \led_flash_cnt[679][6]~36396_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[679][6]~36397\ : std_logic;
SIGNAL \led_flash_cnt[679][7]~36398_combout\ : std_logic;
SIGNAL \led_flash_cnt[679][7]~q\ : std_logic;
SIGNAL \WideAnd679~0_combout\ : std_logic;
SIGNAL \WideAnd679~1_combout\ : std_logic;
SIGNAL \WideAnd679~combout\ : std_logic;
SIGNAL \led_flash_cnt[678][0]~81318_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[678][1]~36372_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[678][1]~36373\ : std_logic;
SIGNAL \led_flash_cnt[678][2]~36374_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[678][2]~36375\ : std_logic;
SIGNAL \led_flash_cnt[678][3]~36376_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[678][3]~36377\ : std_logic;
SIGNAL \led_flash_cnt[678][4]~36378_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[678][4]~36379\ : std_logic;
SIGNAL \led_flash_cnt[678][5]~36380_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[678][5]~36381\ : std_logic;
SIGNAL \led_flash_cnt[678][6]~36382_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][6]~q\ : std_logic;
SIGNAL \WideAnd678~1_combout\ : std_logic;
SIGNAL \WideAnd678~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][6]~36383\ : std_logic;
SIGNAL \led_flash_cnt[678][7]~36384_combout\ : std_logic;
SIGNAL \led_flash_cnt[678][7]~q\ : std_logic;
SIGNAL \WideAnd678~combout\ : std_logic;
SIGNAL \led_flash_cnt[673][0]~81313_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[673][1]~36302_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[673][1]~36303\ : std_logic;
SIGNAL \led_flash_cnt[673][2]~36304_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[673][2]~36305\ : std_logic;
SIGNAL \led_flash_cnt[673][3]~36306_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[673][3]~36307\ : std_logic;
SIGNAL \led_flash_cnt[673][4]~36308_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][4]~q\ : std_logic;
SIGNAL \WideAnd673~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][4]~36309\ : std_logic;
SIGNAL \led_flash_cnt[673][5]~36310_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[673][5]~36311\ : std_logic;
SIGNAL \led_flash_cnt[673][6]~36312_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[673][6]~36313\ : std_logic;
SIGNAL \led_flash_cnt[673][7]~36314_combout\ : std_logic;
SIGNAL \led_flash_cnt[673][7]~q\ : std_logic;
SIGNAL \WideAnd673~1_combout\ : std_logic;
SIGNAL \WideAnd673~combout\ : std_logic;
SIGNAL \led_flash_cnt[675][0]~81315_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[675][1]~36330_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[675][1]~36331\ : std_logic;
SIGNAL \led_flash_cnt[675][2]~36332_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[675][2]~36333\ : std_logic;
SIGNAL \led_flash_cnt[675][3]~36334_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[675][3]~36335\ : std_logic;
SIGNAL \led_flash_cnt[675][4]~36336_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[675][4]~36337\ : std_logic;
SIGNAL \led_flash_cnt[675][5]~36338_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[675][5]~36339\ : std_logic;
SIGNAL \led_flash_cnt[675][6]~36340_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][6]~q\ : std_logic;
SIGNAL \WideAnd675~1_combout\ : std_logic;
SIGNAL \WideAnd675~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][6]~36341\ : std_logic;
SIGNAL \led_flash_cnt[675][7]~36342_combout\ : std_logic;
SIGNAL \led_flash_cnt[675][7]~q\ : std_logic;
SIGNAL \WideAnd675~combout\ : std_logic;
SIGNAL \led_flash_cnt[674][0]~81314_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[674][1]~36316_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[674][1]~36317\ : std_logic;
SIGNAL \led_flash_cnt[674][2]~36318_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[674][2]~36319\ : std_logic;
SIGNAL \led_flash_cnt[674][3]~36320_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[674][3]~36321\ : std_logic;
SIGNAL \led_flash_cnt[674][4]~36322_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[674][4]~36323\ : std_logic;
SIGNAL \led_flash_cnt[674][5]~36324_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[674][5]~36325\ : std_logic;
SIGNAL \led_flash_cnt[674][6]~36326_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][6]~q\ : std_logic;
SIGNAL \WideAnd674~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][6]~36327\ : std_logic;
SIGNAL \led_flash_cnt[674][7]~36328_combout\ : std_logic;
SIGNAL \led_flash_cnt[674][7]~q\ : std_logic;
SIGNAL \WideAnd674~0_combout\ : std_logic;
SIGNAL \WideAnd674~combout\ : std_logic;
SIGNAL \led_flash_cnt[672][0]~81312_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[672][1]~36288_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[672][1]~36289\ : std_logic;
SIGNAL \led_flash_cnt[672][2]~36290_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[672][2]~36291\ : std_logic;
SIGNAL \led_flash_cnt[672][3]~36292_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[672][3]~36293\ : std_logic;
SIGNAL \led_flash_cnt[672][4]~36294_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[672][4]~36295\ : std_logic;
SIGNAL \led_flash_cnt[672][5]~36296_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[672][5]~36297\ : std_logic;
SIGNAL \led_flash_cnt[672][6]~36298_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][6]~q\ : std_logic;
SIGNAL \WideAnd672~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][6]~36299\ : std_logic;
SIGNAL \led_flash_cnt[672][7]~36300_combout\ : std_logic;
SIGNAL \led_flash_cnt[672][7]~q\ : std_logic;
SIGNAL \WideAnd672~0_combout\ : std_logic;
SIGNAL \WideAnd672~combout\ : std_logic;
SIGNAL \WideAnd3924~0_combout\ : std_logic;
SIGNAL \WideAnd3924~combout\ : std_logic;
SIGNAL \led_flash_cnt[687][0]~81327_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[687][1]~36498_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[687][1]~36499\ : std_logic;
SIGNAL \led_flash_cnt[687][2]~36500_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[687][2]~36501\ : std_logic;
SIGNAL \led_flash_cnt[687][3]~36502_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[687][3]~36503\ : std_logic;
SIGNAL \led_flash_cnt[687][4]~36504_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[687][4]~36505\ : std_logic;
SIGNAL \led_flash_cnt[687][5]~36506_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[687][5]~36507\ : std_logic;
SIGNAL \led_flash_cnt[687][6]~36508_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][6]~q\ : std_logic;
SIGNAL \WideAnd687~1_combout\ : std_logic;
SIGNAL \WideAnd687~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][6]~36509\ : std_logic;
SIGNAL \led_flash_cnt[687][7]~36510_combout\ : std_logic;
SIGNAL \led_flash_cnt[687][7]~q\ : std_logic;
SIGNAL \WideAnd687~combout\ : std_logic;
SIGNAL \led_flash_cnt[682][0]~81322_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[682][1]~36428_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[682][1]~36429\ : std_logic;
SIGNAL \led_flash_cnt[682][2]~36430_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[682][2]~36431\ : std_logic;
SIGNAL \led_flash_cnt[682][3]~36432_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[682][3]~36433\ : std_logic;
SIGNAL \led_flash_cnt[682][4]~36434_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[682][4]~36435\ : std_logic;
SIGNAL \led_flash_cnt[682][5]~36436_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[682][5]~36437\ : std_logic;
SIGNAL \led_flash_cnt[682][6]~36438_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][6]~q\ : std_logic;
SIGNAL \WideAnd682~1_combout\ : std_logic;
SIGNAL \WideAnd682~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][6]~36439\ : std_logic;
SIGNAL \led_flash_cnt[682][7]~36440_combout\ : std_logic;
SIGNAL \led_flash_cnt[682][7]~q\ : std_logic;
SIGNAL \WideAnd682~combout\ : std_logic;
SIGNAL \led_flash_cnt[683][0]~81323_combout\ : std_logic;
SIGNAL \led_flash_cnt[683][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[683][1]~36442_combout\ : std_logic;
SIGNAL \led_flash_cnt[683][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[683][1]~36443\ : std_logic;
SIGNAL \led_flash_cnt[683][2]~36444_combout\ : std_logic;
SIGNAL \led_flash_cnt[683][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[683][2]~36445\ : std_logic;
SIGNAL \led_flash_cnt[683][3]~36446_combout\ : std_logic;
SIGNAL \led_flash_cnt[683][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[683][3]~36447\ : std_logic;
SIGNAL \led_flash_cnt[683][4]~36448_combout\ : std_logic;
SIGNAL \led_flash_cnt[683][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[683][4]~36449\ : std_logic;
SIGNAL \led_flash_cnt[683][5]~36450_combout\ : std_logic;
SIGNAL \led_flash_cnt[683][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[683][5]~36451\ : std_logic;
SIGNAL \led_flash_cnt[683][6]~36452_combout\ : std_logic;
SIGNAL \led_flash_cnt[683][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[683][6]~36453\ : std_logic;
SIGNAL \led_flash_cnt[683][7]~36454_combout\ : std_logic;
SIGNAL \led_flash_cnt[683][7]~q\ : std_logic;
SIGNAL \WideAnd683~1_combout\ : std_logic;
SIGNAL \WideAnd683~0_combout\ : std_logic;
SIGNAL \WideAnd683~combout\ : std_logic;
SIGNAL \led_flash_cnt[681][0]~81321_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[681][1]~36414_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[681][1]~36415\ : std_logic;
SIGNAL \led_flash_cnt[681][2]~36416_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[681][2]~36417\ : std_logic;
SIGNAL \led_flash_cnt[681][3]~36418_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[681][3]~36419\ : std_logic;
SIGNAL \led_flash_cnt[681][4]~36420_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[681][4]~36421\ : std_logic;
SIGNAL \led_flash_cnt[681][5]~36422_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[681][5]~36423\ : std_logic;
SIGNAL \led_flash_cnt[681][6]~36424_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][6]~q\ : std_logic;
SIGNAL \WideAnd681~1_combout\ : std_logic;
SIGNAL \WideAnd681~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][6]~36425\ : std_logic;
SIGNAL \led_flash_cnt[681][7]~36426_combout\ : std_logic;
SIGNAL \led_flash_cnt[681][7]~q\ : std_logic;
SIGNAL \WideAnd681~combout\ : std_logic;
SIGNAL \led_flash_cnt[680][0]~81320_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[680][1]~36400_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[680][1]~36401\ : std_logic;
SIGNAL \led_flash_cnt[680][2]~36402_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[680][2]~36403\ : std_logic;
SIGNAL \led_flash_cnt[680][3]~36404_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[680][3]~36405\ : std_logic;
SIGNAL \led_flash_cnt[680][4]~36406_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][4]~q\ : std_logic;
SIGNAL \WideAnd680~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][4]~36407\ : std_logic;
SIGNAL \led_flash_cnt[680][5]~36408_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[680][5]~36409\ : std_logic;
SIGNAL \led_flash_cnt[680][6]~36410_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[680][6]~36411\ : std_logic;
SIGNAL \led_flash_cnt[680][7]~36412_combout\ : std_logic;
SIGNAL \led_flash_cnt[680][7]~q\ : std_logic;
SIGNAL \WideAnd680~1_combout\ : std_logic;
SIGNAL \WideAnd680~combout\ : std_logic;
SIGNAL \WideAnd3925~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][0]~81325_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[685][1]~36470_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[685][1]~36471\ : std_logic;
SIGNAL \led_flash_cnt[685][2]~36472_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[685][2]~36473\ : std_logic;
SIGNAL \led_flash_cnt[685][3]~36474_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[685][3]~36475\ : std_logic;
SIGNAL \led_flash_cnt[685][4]~36476_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[685][4]~36477\ : std_logic;
SIGNAL \led_flash_cnt[685][5]~36478_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[685][5]~36479\ : std_logic;
SIGNAL \led_flash_cnt[685][6]~36480_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][6]~q\ : std_logic;
SIGNAL \WideAnd685~1_combout\ : std_logic;
SIGNAL \WideAnd685~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][6]~36481\ : std_logic;
SIGNAL \led_flash_cnt[685][7]~36482_combout\ : std_logic;
SIGNAL \led_flash_cnt[685][7]~q\ : std_logic;
SIGNAL \WideAnd685~combout\ : std_logic;
SIGNAL \led_flash_cnt[684][0]~81324_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[684][1]~36456_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[684][1]~36457\ : std_logic;
SIGNAL \led_flash_cnt[684][2]~36458_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[684][2]~36459\ : std_logic;
SIGNAL \led_flash_cnt[684][3]~36460_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[684][3]~36461\ : std_logic;
SIGNAL \led_flash_cnt[684][4]~36462_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[684][4]~36463\ : std_logic;
SIGNAL \led_flash_cnt[684][5]~36464_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[684][5]~36465\ : std_logic;
SIGNAL \led_flash_cnt[684][6]~36466_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][6]~q\ : std_logic;
SIGNAL \WideAnd684~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][6]~36467\ : std_logic;
SIGNAL \led_flash_cnt[684][7]~36468_combout\ : std_logic;
SIGNAL \led_flash_cnt[684][7]~q\ : std_logic;
SIGNAL \WideAnd684~0_combout\ : std_logic;
SIGNAL \WideAnd684~combout\ : std_logic;
SIGNAL \WideAnd3925~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][0]~81326_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[686][1]~36484_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[686][1]~36485\ : std_logic;
SIGNAL \led_flash_cnt[686][2]~36486_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[686][2]~36487\ : std_logic;
SIGNAL \led_flash_cnt[686][3]~36488_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[686][3]~36489\ : std_logic;
SIGNAL \led_flash_cnt[686][4]~36490_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[686][4]~36491\ : std_logic;
SIGNAL \led_flash_cnt[686][5]~36492_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[686][5]~36493\ : std_logic;
SIGNAL \led_flash_cnt[686][6]~36494_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[686][6]~36495\ : std_logic;
SIGNAL \led_flash_cnt[686][7]~36496_combout\ : std_logic;
SIGNAL \led_flash_cnt[686][7]~q\ : std_logic;
SIGNAL \WideAnd686~1_combout\ : std_logic;
SIGNAL \WideAnd686~0_combout\ : std_logic;
SIGNAL \WideAnd686~combout\ : std_logic;
SIGNAL \WideAnd3925~combout\ : std_logic;
SIGNAL \WideAnd4330~1_combout\ : std_logic;
SIGNAL \WideAnd4330~combout\ : std_logic;
SIGNAL \led_flash_cnt[639][0]~81279_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[639][1]~35826_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[639][1]~35827\ : std_logic;
SIGNAL \led_flash_cnt[639][2]~35828_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[639][2]~35829\ : std_logic;
SIGNAL \led_flash_cnt[639][3]~35830_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[639][3]~35831\ : std_logic;
SIGNAL \led_flash_cnt[639][4]~35832_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[639][4]~35833\ : std_logic;
SIGNAL \led_flash_cnt[639][5]~35834_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[639][5]~35835\ : std_logic;
SIGNAL \led_flash_cnt[639][6]~35836_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][6]~q\ : std_logic;
SIGNAL \WideAnd639~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][6]~35837\ : std_logic;
SIGNAL \led_flash_cnt[639][7]~35838_combout\ : std_logic;
SIGNAL \led_flash_cnt[639][7]~q\ : std_logic;
SIGNAL \WideAnd639~0_combout\ : std_logic;
SIGNAL \WideAnd639~combout\ : std_logic;
SIGNAL \led_flash_cnt[638][0]~81278_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[638][1]~35812_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[638][1]~35813\ : std_logic;
SIGNAL \led_flash_cnt[638][2]~35814_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[638][2]~35815\ : std_logic;
SIGNAL \led_flash_cnt[638][3]~35816_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[638][3]~35817\ : std_logic;
SIGNAL \led_flash_cnt[638][4]~35818_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[638][4]~35819\ : std_logic;
SIGNAL \led_flash_cnt[638][5]~35820_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[638][5]~35821\ : std_logic;
SIGNAL \led_flash_cnt[638][6]~35822_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][6]~q\ : std_logic;
SIGNAL \WideAnd638~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][6]~35823\ : std_logic;
SIGNAL \led_flash_cnt[638][7]~35824_combout\ : std_logic;
SIGNAL \led_flash_cnt[638][7]~q\ : std_logic;
SIGNAL \WideAnd638~0_combout\ : std_logic;
SIGNAL \WideAnd638~combout\ : std_logic;
SIGNAL \led_flash_cnt[636][0]~81276_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[636][1]~35784_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[636][1]~35785\ : std_logic;
SIGNAL \led_flash_cnt[636][2]~35786_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[636][2]~35787\ : std_logic;
SIGNAL \led_flash_cnt[636][3]~35788_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[636][3]~35789\ : std_logic;
SIGNAL \led_flash_cnt[636][4]~35790_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[636][4]~35791\ : std_logic;
SIGNAL \led_flash_cnt[636][5]~35792_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[636][5]~35793\ : std_logic;
SIGNAL \led_flash_cnt[636][6]~35794_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][6]~q\ : std_logic;
SIGNAL \WideAnd636~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][6]~35795\ : std_logic;
SIGNAL \led_flash_cnt[636][7]~35796_combout\ : std_logic;
SIGNAL \led_flash_cnt[636][7]~q\ : std_logic;
SIGNAL \WideAnd636~0_combout\ : std_logic;
SIGNAL \WideAnd636~combout\ : std_logic;
SIGNAL \led_flash_cnt[637][0]~81277_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[637][1]~35798_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[637][1]~35799\ : std_logic;
SIGNAL \led_flash_cnt[637][2]~35800_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[637][2]~35801\ : std_logic;
SIGNAL \led_flash_cnt[637][3]~35802_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[637][3]~35803\ : std_logic;
SIGNAL \led_flash_cnt[637][4]~35804_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[637][4]~35805\ : std_logic;
SIGNAL \led_flash_cnt[637][5]~35806_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[637][5]~35807\ : std_logic;
SIGNAL \led_flash_cnt[637][6]~35808_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][6]~q\ : std_logic;
SIGNAL \WideAnd637~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][6]~35809\ : std_logic;
SIGNAL \led_flash_cnt[637][7]~35810_combout\ : std_logic;
SIGNAL \led_flash_cnt[637][7]~q\ : std_logic;
SIGNAL \WideAnd637~0_combout\ : std_logic;
SIGNAL \WideAnd637~combout\ : std_logic;
SIGNAL \WideAnd3919~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][0]~81272_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[632][1]~35728_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[632][1]~35729\ : std_logic;
SIGNAL \led_flash_cnt[632][2]~35730_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[632][2]~35731\ : std_logic;
SIGNAL \led_flash_cnt[632][3]~35732_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[632][3]~35733\ : std_logic;
SIGNAL \led_flash_cnt[632][4]~35734_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][4]~q\ : std_logic;
SIGNAL \WideAnd632~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][4]~35735\ : std_logic;
SIGNAL \led_flash_cnt[632][5]~35736_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[632][5]~35737\ : std_logic;
SIGNAL \led_flash_cnt[632][6]~35738_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][6]~q\ : std_logic;
SIGNAL \WideAnd632~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][6]~35739\ : std_logic;
SIGNAL \led_flash_cnt[632][7]~35740_combout\ : std_logic;
SIGNAL \led_flash_cnt[632][7]~q\ : std_logic;
SIGNAL \WideAnd632~combout\ : std_logic;
SIGNAL \led_flash_cnt[633][0]~81273_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[633][1]~35742_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[633][1]~35743\ : std_logic;
SIGNAL \led_flash_cnt[633][2]~35744_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[633][2]~35745\ : std_logic;
SIGNAL \led_flash_cnt[633][3]~35746_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[633][3]~35747\ : std_logic;
SIGNAL \led_flash_cnt[633][4]~35748_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[633][4]~35749\ : std_logic;
SIGNAL \led_flash_cnt[633][5]~35750_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[633][5]~35751\ : std_logic;
SIGNAL \led_flash_cnt[633][6]~35752_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][6]~q\ : std_logic;
SIGNAL \WideAnd633~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][6]~35753\ : std_logic;
SIGNAL \led_flash_cnt[633][7]~35754_combout\ : std_logic;
SIGNAL \led_flash_cnt[633][7]~q\ : std_logic;
SIGNAL \WideAnd633~0_combout\ : std_logic;
SIGNAL \WideAnd633~combout\ : std_logic;
SIGNAL \led_flash_cnt[635][0]~81275_combout\ : std_logic;
SIGNAL \led_flash_cnt[635][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[635][1]~35770_combout\ : std_logic;
SIGNAL \led_flash_cnt[635][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[635][1]~35771\ : std_logic;
SIGNAL \led_flash_cnt[635][2]~35772_combout\ : std_logic;
SIGNAL \led_flash_cnt[635][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[635][2]~35773\ : std_logic;
SIGNAL \led_flash_cnt[635][3]~35774_combout\ : std_logic;
SIGNAL \led_flash_cnt[635][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[635][3]~35775\ : std_logic;
SIGNAL \led_flash_cnt[635][4]~35776_combout\ : std_logic;
SIGNAL \led_flash_cnt[635][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[635][4]~35777\ : std_logic;
SIGNAL \led_flash_cnt[635][5]~35778_combout\ : std_logic;
SIGNAL \led_flash_cnt[635][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[635][5]~35779\ : std_logic;
SIGNAL \led_flash_cnt[635][6]~35780_combout\ : std_logic;
SIGNAL \led_flash_cnt[635][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[635][6]~35781\ : std_logic;
SIGNAL \led_flash_cnt[635][7]~35782_combout\ : std_logic;
SIGNAL \led_flash_cnt[635][7]~q\ : std_logic;
SIGNAL \WideAnd635~0_combout\ : std_logic;
SIGNAL \WideAnd635~1_combout\ : std_logic;
SIGNAL \WideAnd635~combout\ : std_logic;
SIGNAL \led_flash_cnt[634][0]~81274_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[634][1]~35756_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[634][1]~35757\ : std_logic;
SIGNAL \led_flash_cnt[634][2]~35758_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[634][2]~35759\ : std_logic;
SIGNAL \led_flash_cnt[634][3]~35760_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[634][3]~35761\ : std_logic;
SIGNAL \led_flash_cnt[634][4]~35762_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[634][4]~35763\ : std_logic;
SIGNAL \led_flash_cnt[634][5]~35764_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[634][5]~35765\ : std_logic;
SIGNAL \led_flash_cnt[634][6]~35766_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][6]~q\ : std_logic;
SIGNAL \WideAnd634~1_combout\ : std_logic;
SIGNAL \WideAnd634~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][6]~35767\ : std_logic;
SIGNAL \led_flash_cnt[634][7]~35768_combout\ : std_logic;
SIGNAL \led_flash_cnt[634][7]~q\ : std_logic;
SIGNAL \WideAnd634~combout\ : std_logic;
SIGNAL \WideAnd3919~0_combout\ : std_logic;
SIGNAL \WideAnd3919~combout\ : std_logic;
SIGNAL \led_flash_cnt[607][0]~81247_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[607][1]~35378_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[607][1]~35379\ : std_logic;
SIGNAL \led_flash_cnt[607][2]~35380_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[607][2]~35381\ : std_logic;
SIGNAL \led_flash_cnt[607][3]~35382_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[607][3]~35383\ : std_logic;
SIGNAL \led_flash_cnt[607][4]~35384_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[607][4]~35385\ : std_logic;
SIGNAL \led_flash_cnt[607][5]~35386_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[607][5]~35387\ : std_logic;
SIGNAL \led_flash_cnt[607][6]~35388_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][6]~q\ : std_logic;
SIGNAL \WideAnd607~1_combout\ : std_logic;
SIGNAL \WideAnd607~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][6]~35389\ : std_logic;
SIGNAL \led_flash_cnt[607][7]~35390_combout\ : std_logic;
SIGNAL \led_flash_cnt[607][7]~q\ : std_logic;
SIGNAL \WideAnd607~combout\ : std_logic;
SIGNAL \led_flash_cnt[604][0]~81244_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[604][1]~35336_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[604][1]~35337\ : std_logic;
SIGNAL \led_flash_cnt[604][2]~35338_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[604][2]~35339\ : std_logic;
SIGNAL \led_flash_cnt[604][3]~35340_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[604][3]~35341\ : std_logic;
SIGNAL \led_flash_cnt[604][4]~35342_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[604][4]~35343\ : std_logic;
SIGNAL \led_flash_cnt[604][5]~35344_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[604][5]~35345\ : std_logic;
SIGNAL \led_flash_cnt[604][6]~35346_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][6]~q\ : std_logic;
SIGNAL \WideAnd604~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][6]~35347\ : std_logic;
SIGNAL \led_flash_cnt[604][7]~35348_combout\ : std_logic;
SIGNAL \led_flash_cnt[604][7]~q\ : std_logic;
SIGNAL \WideAnd604~0_combout\ : std_logic;
SIGNAL \WideAnd604~combout\ : std_logic;
SIGNAL \led_flash_cnt[605][0]~81245_combout\ : std_logic;
SIGNAL \led_flash_cnt[605][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[605][1]~35350_combout\ : std_logic;
SIGNAL \led_flash_cnt[605][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[605][1]~35351\ : std_logic;
SIGNAL \led_flash_cnt[605][2]~35352_combout\ : std_logic;
SIGNAL \led_flash_cnt[605][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[605][2]~35353\ : std_logic;
SIGNAL \led_flash_cnt[605][3]~35354_combout\ : std_logic;
SIGNAL \led_flash_cnt[605][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[605][3]~35355\ : std_logic;
SIGNAL \led_flash_cnt[605][4]~35356_combout\ : std_logic;
SIGNAL \led_flash_cnt[605][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[605][4]~35357\ : std_logic;
SIGNAL \led_flash_cnt[605][5]~35358_combout\ : std_logic;
SIGNAL \led_flash_cnt[605][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[605][5]~35359\ : std_logic;
SIGNAL \led_flash_cnt[605][6]~35360_combout\ : std_logic;
SIGNAL \led_flash_cnt[605][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[605][6]~35361\ : std_logic;
SIGNAL \led_flash_cnt[605][7]~35362_combout\ : std_logic;
SIGNAL \led_flash_cnt[605][7]~q\ : std_logic;
SIGNAL \WideAnd605~0_combout\ : std_logic;
SIGNAL \WideAnd605~1_combout\ : std_logic;
SIGNAL \WideAnd605~combout\ : std_logic;
SIGNAL \WideAnd3915~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][0]~81246_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[606][1]~35364_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[606][1]~35365\ : std_logic;
SIGNAL \led_flash_cnt[606][2]~35366_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[606][2]~35367\ : std_logic;
SIGNAL \led_flash_cnt[606][3]~35368_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[606][3]~35369\ : std_logic;
SIGNAL \led_flash_cnt[606][4]~35370_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[606][4]~35371\ : std_logic;
SIGNAL \led_flash_cnt[606][5]~35372_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[606][5]~35373\ : std_logic;
SIGNAL \led_flash_cnt[606][6]~35374_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[606][6]~35375\ : std_logic;
SIGNAL \led_flash_cnt[606][7]~35376_combout\ : std_logic;
SIGNAL \led_flash_cnt[606][7]~q\ : std_logic;
SIGNAL \WideAnd606~1_combout\ : std_logic;
SIGNAL \WideAnd606~0_combout\ : std_logic;
SIGNAL \WideAnd606~combout\ : std_logic;
SIGNAL \led_flash_cnt[602][0]~81242_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[602][1]~35308_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[602][1]~35309\ : std_logic;
SIGNAL \led_flash_cnt[602][2]~35310_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[602][2]~35311\ : std_logic;
SIGNAL \led_flash_cnt[602][3]~35312_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[602][3]~35313\ : std_logic;
SIGNAL \led_flash_cnt[602][4]~35314_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[602][4]~35315\ : std_logic;
SIGNAL \led_flash_cnt[602][5]~35316_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[602][5]~35317\ : std_logic;
SIGNAL \led_flash_cnt[602][6]~35318_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][6]~q\ : std_logic;
SIGNAL \WideAnd602~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][6]~35319\ : std_logic;
SIGNAL \led_flash_cnt[602][7]~35320_combout\ : std_logic;
SIGNAL \led_flash_cnt[602][7]~q\ : std_logic;
SIGNAL \WideAnd602~0_combout\ : std_logic;
SIGNAL \WideAnd602~combout\ : std_logic;
SIGNAL \led_flash_cnt[601][0]~81241_combout\ : std_logic;
SIGNAL \led_flash_cnt[601][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[601][1]~35294_combout\ : std_logic;
SIGNAL \led_flash_cnt[601][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[601][1]~35295\ : std_logic;
SIGNAL \led_flash_cnt[601][2]~35296_combout\ : std_logic;
SIGNAL \led_flash_cnt[601][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[601][2]~35297\ : std_logic;
SIGNAL \led_flash_cnt[601][3]~35298_combout\ : std_logic;
SIGNAL \led_flash_cnt[601][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[601][3]~35299\ : std_logic;
SIGNAL \led_flash_cnt[601][4]~35300_combout\ : std_logic;
SIGNAL \led_flash_cnt[601][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[601][4]~35301\ : std_logic;
SIGNAL \led_flash_cnt[601][5]~35302_combout\ : std_logic;
SIGNAL \led_flash_cnt[601][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[601][5]~35303\ : std_logic;
SIGNAL \led_flash_cnt[601][6]~35304_combout\ : std_logic;
SIGNAL \led_flash_cnt[601][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[601][6]~35305\ : std_logic;
SIGNAL \led_flash_cnt[601][7]~35306_combout\ : std_logic;
SIGNAL \led_flash_cnt[601][7]~q\ : std_logic;
SIGNAL \WideAnd601~1_combout\ : std_logic;
SIGNAL \WideAnd601~0_combout\ : std_logic;
SIGNAL \WideAnd601~combout\ : std_logic;
SIGNAL \led_flash_cnt[600][0]~81240_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[600][1]~35280_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[600][1]~35281\ : std_logic;
SIGNAL \led_flash_cnt[600][2]~35282_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[600][2]~35283\ : std_logic;
SIGNAL \led_flash_cnt[600][3]~35284_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[600][3]~35285\ : std_logic;
SIGNAL \led_flash_cnt[600][4]~35286_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[600][4]~35287\ : std_logic;
SIGNAL \led_flash_cnt[600][5]~35288_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[600][5]~35289\ : std_logic;
SIGNAL \led_flash_cnt[600][6]~35290_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][6]~q\ : std_logic;
SIGNAL \WideAnd600~1_combout\ : std_logic;
SIGNAL \WideAnd600~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][6]~35291\ : std_logic;
SIGNAL \led_flash_cnt[600][7]~35292_combout\ : std_logic;
SIGNAL \led_flash_cnt[600][7]~q\ : std_logic;
SIGNAL \WideAnd600~combout\ : std_logic;
SIGNAL \led_flash_cnt[603][0]~81243_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[603][1]~35322_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[603][1]~35323\ : std_logic;
SIGNAL \led_flash_cnt[603][2]~35324_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[603][2]~35325\ : std_logic;
SIGNAL \led_flash_cnt[603][3]~35326_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[603][3]~35327\ : std_logic;
SIGNAL \led_flash_cnt[603][4]~35328_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[603][4]~35329\ : std_logic;
SIGNAL \led_flash_cnt[603][5]~35330_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[603][5]~35331\ : std_logic;
SIGNAL \led_flash_cnt[603][6]~35332_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][6]~q\ : std_logic;
SIGNAL \WideAnd603~1_combout\ : std_logic;
SIGNAL \WideAnd603~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][6]~35333\ : std_logic;
SIGNAL \led_flash_cnt[603][7]~35334_combout\ : std_logic;
SIGNAL \led_flash_cnt[603][7]~q\ : std_logic;
SIGNAL \WideAnd603~combout\ : std_logic;
SIGNAL \WideAnd3915~0_combout\ : std_logic;
SIGNAL \WideAnd3915~combout\ : std_logic;
SIGNAL \led_flash_cnt[582][0]~81222_combout\ : std_logic;
SIGNAL \led_flash_cnt[582][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[582][1]~35028_combout\ : std_logic;
SIGNAL \led_flash_cnt[582][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[582][1]~35029\ : std_logic;
SIGNAL \led_flash_cnt[582][2]~35030_combout\ : std_logic;
SIGNAL \led_flash_cnt[582][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[582][2]~35031\ : std_logic;
SIGNAL \led_flash_cnt[582][3]~35032_combout\ : std_logic;
SIGNAL \led_flash_cnt[582][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[582][3]~35033\ : std_logic;
SIGNAL \led_flash_cnt[582][4]~35034_combout\ : std_logic;
SIGNAL \led_flash_cnt[582][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[582][4]~35035\ : std_logic;
SIGNAL \led_flash_cnt[582][5]~35036_combout\ : std_logic;
SIGNAL \led_flash_cnt[582][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[582][5]~35037\ : std_logic;
SIGNAL \led_flash_cnt[582][6]~35038_combout\ : std_logic;
SIGNAL \led_flash_cnt[582][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[582][6]~35039\ : std_logic;
SIGNAL \led_flash_cnt[582][7]~35040_combout\ : std_logic;
SIGNAL \led_flash_cnt[582][7]~q\ : std_logic;
SIGNAL \WideAnd582~1_combout\ : std_logic;
SIGNAL \WideAnd582~0_combout\ : std_logic;
SIGNAL \WideAnd582~combout\ : std_logic;
SIGNAL \led_flash_cnt[581][0]~81221_combout\ : std_logic;
SIGNAL \led_flash_cnt[581][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[581][1]~35014_combout\ : std_logic;
SIGNAL \led_flash_cnt[581][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[581][1]~35015\ : std_logic;
SIGNAL \led_flash_cnt[581][2]~35016_combout\ : std_logic;
SIGNAL \led_flash_cnt[581][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[581][2]~35017\ : std_logic;
SIGNAL \led_flash_cnt[581][3]~35018_combout\ : std_logic;
SIGNAL \led_flash_cnt[581][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[581][3]~35019\ : std_logic;
SIGNAL \led_flash_cnt[581][4]~35020_combout\ : std_logic;
SIGNAL \led_flash_cnt[581][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[581][4]~35021\ : std_logic;
SIGNAL \led_flash_cnt[581][5]~35022_combout\ : std_logic;
SIGNAL \led_flash_cnt[581][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[581][5]~35023\ : std_logic;
SIGNAL \led_flash_cnt[581][6]~35024_combout\ : std_logic;
SIGNAL \led_flash_cnt[581][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[581][6]~35025\ : std_logic;
SIGNAL \led_flash_cnt[581][7]~35026_combout\ : std_logic;
SIGNAL \led_flash_cnt[581][7]~q\ : std_logic;
SIGNAL \WideAnd581~1_combout\ : std_logic;
SIGNAL \WideAnd581~0_combout\ : std_logic;
SIGNAL \WideAnd581~combout\ : std_logic;
SIGNAL \led_flash_cnt[580][0]~81220_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[580][1]~35000_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[580][1]~35001\ : std_logic;
SIGNAL \led_flash_cnt[580][2]~35002_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[580][2]~35003\ : std_logic;
SIGNAL \led_flash_cnt[580][3]~35004_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[580][3]~35005\ : std_logic;
SIGNAL \led_flash_cnt[580][4]~35006_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][4]~q\ : std_logic;
SIGNAL \WideAnd580~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][4]~35007\ : std_logic;
SIGNAL \led_flash_cnt[580][5]~35008_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[580][5]~35009\ : std_logic;
SIGNAL \led_flash_cnt[580][6]~35010_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[580][6]~35011\ : std_logic;
SIGNAL \led_flash_cnt[580][7]~35012_combout\ : std_logic;
SIGNAL \led_flash_cnt[580][7]~q\ : std_logic;
SIGNAL \WideAnd580~1_combout\ : std_logic;
SIGNAL \WideAnd580~combout\ : std_logic;
SIGNAL \WideAnd3912~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][0]~81223_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[583][1]~35042_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[583][1]~35043\ : std_logic;
SIGNAL \led_flash_cnt[583][2]~35044_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[583][2]~35045\ : std_logic;
SIGNAL \led_flash_cnt[583][3]~35046_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[583][3]~35047\ : std_logic;
SIGNAL \led_flash_cnt[583][4]~35048_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][4]~q\ : std_logic;
SIGNAL \WideAnd583~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][4]~35049\ : std_logic;
SIGNAL \led_flash_cnt[583][5]~35050_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[583][5]~35051\ : std_logic;
SIGNAL \led_flash_cnt[583][6]~35052_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[583][6]~35053\ : std_logic;
SIGNAL \led_flash_cnt[583][7]~35054_combout\ : std_logic;
SIGNAL \led_flash_cnt[583][7]~q\ : std_logic;
SIGNAL \WideAnd583~1_combout\ : std_logic;
SIGNAL \WideAnd583~combout\ : std_logic;
SIGNAL \led_flash_cnt[576][0]~81216_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[576][1]~34944_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[576][1]~34945\ : std_logic;
SIGNAL \led_flash_cnt[576][2]~34946_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[576][2]~34947\ : std_logic;
SIGNAL \led_flash_cnt[576][3]~34948_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[576][3]~34949\ : std_logic;
SIGNAL \led_flash_cnt[576][4]~34950_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[576][4]~34951\ : std_logic;
SIGNAL \led_flash_cnt[576][5]~34952_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[576][5]~34953\ : std_logic;
SIGNAL \led_flash_cnt[576][6]~34954_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][6]~q\ : std_logic;
SIGNAL \WideAnd576~1_combout\ : std_logic;
SIGNAL \WideAnd576~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][6]~34955\ : std_logic;
SIGNAL \led_flash_cnt[576][7]~34956_combout\ : std_logic;
SIGNAL \led_flash_cnt[576][7]~q\ : std_logic;
SIGNAL \WideAnd576~combout\ : std_logic;
SIGNAL \led_flash_cnt[577][0]~81217_combout\ : std_logic;
SIGNAL \led_flash_cnt[577][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[577][1]~34958_combout\ : std_logic;
SIGNAL \led_flash_cnt[577][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[577][1]~34959\ : std_logic;
SIGNAL \led_flash_cnt[577][2]~34960_combout\ : std_logic;
SIGNAL \led_flash_cnt[577][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[577][2]~34961\ : std_logic;
SIGNAL \led_flash_cnt[577][3]~34962_combout\ : std_logic;
SIGNAL \led_flash_cnt[577][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[577][3]~34963\ : std_logic;
SIGNAL \led_flash_cnt[577][4]~34964_combout\ : std_logic;
SIGNAL \led_flash_cnt[577][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[577][4]~34965\ : std_logic;
SIGNAL \led_flash_cnt[577][5]~34966_combout\ : std_logic;
SIGNAL \led_flash_cnt[577][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[577][5]~34967\ : std_logic;
SIGNAL \led_flash_cnt[577][6]~34968_combout\ : std_logic;
SIGNAL \led_flash_cnt[577][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[577][6]~34969\ : std_logic;
SIGNAL \led_flash_cnt[577][7]~34970_combout\ : std_logic;
SIGNAL \led_flash_cnt[577][7]~q\ : std_logic;
SIGNAL \WideAnd577~1_combout\ : std_logic;
SIGNAL \WideAnd577~0_combout\ : std_logic;
SIGNAL \WideAnd577~combout\ : std_logic;
SIGNAL \led_flash_cnt[579][0]~81219_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[579][1]~34986_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[579][1]~34987\ : std_logic;
SIGNAL \led_flash_cnt[579][2]~34988_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[579][2]~34989\ : std_logic;
SIGNAL \led_flash_cnt[579][3]~34990_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[579][3]~34991\ : std_logic;
SIGNAL \led_flash_cnt[579][4]~34992_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[579][4]~34993\ : std_logic;
SIGNAL \led_flash_cnt[579][5]~34994_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[579][5]~34995\ : std_logic;
SIGNAL \led_flash_cnt[579][6]~34996_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][6]~q\ : std_logic;
SIGNAL \WideAnd579~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][6]~34997\ : std_logic;
SIGNAL \led_flash_cnt[579][7]~34998_combout\ : std_logic;
SIGNAL \led_flash_cnt[579][7]~q\ : std_logic;
SIGNAL \WideAnd579~0_combout\ : std_logic;
SIGNAL \WideAnd579~combout\ : std_logic;
SIGNAL \led_flash_cnt[578][0]~81218_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[578][1]~34972_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[578][1]~34973\ : std_logic;
SIGNAL \led_flash_cnt[578][2]~34974_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[578][2]~34975\ : std_logic;
SIGNAL \led_flash_cnt[578][3]~34976_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[578][3]~34977\ : std_logic;
SIGNAL \led_flash_cnt[578][4]~34978_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][4]~q\ : std_logic;
SIGNAL \WideAnd578~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][4]~34979\ : std_logic;
SIGNAL \led_flash_cnt[578][5]~34980_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[578][5]~34981\ : std_logic;
SIGNAL \led_flash_cnt[578][6]~34982_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][6]~q\ : std_logic;
SIGNAL \WideAnd578~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][6]~34983\ : std_logic;
SIGNAL \led_flash_cnt[578][7]~34984_combout\ : std_logic;
SIGNAL \led_flash_cnt[578][7]~q\ : std_logic;
SIGNAL \WideAnd578~combout\ : std_logic;
SIGNAL \WideAnd3912~0_combout\ : std_logic;
SIGNAL \WideAnd3912~combout\ : std_logic;
SIGNAL \led_flash_cnt[589][0]~81229_combout\ : std_logic;
SIGNAL \led_flash_cnt[589][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[589][1]~35126_combout\ : std_logic;
SIGNAL \led_flash_cnt[589][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[589][1]~35127\ : std_logic;
SIGNAL \led_flash_cnt[589][2]~35128_combout\ : std_logic;
SIGNAL \led_flash_cnt[589][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[589][2]~35129\ : std_logic;
SIGNAL \led_flash_cnt[589][3]~35130_combout\ : std_logic;
SIGNAL \led_flash_cnt[589][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[589][3]~35131\ : std_logic;
SIGNAL \led_flash_cnt[589][4]~35132_combout\ : std_logic;
SIGNAL \led_flash_cnt[589][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[589][4]~35133\ : std_logic;
SIGNAL \led_flash_cnt[589][5]~35134_combout\ : std_logic;
SIGNAL \led_flash_cnt[589][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[589][5]~35135\ : std_logic;
SIGNAL \led_flash_cnt[589][6]~35136_combout\ : std_logic;
SIGNAL \led_flash_cnt[589][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[589][6]~35137\ : std_logic;
SIGNAL \led_flash_cnt[589][7]~35138_combout\ : std_logic;
SIGNAL \led_flash_cnt[589][7]~q\ : std_logic;
SIGNAL \WideAnd589~0_combout\ : std_logic;
SIGNAL \WideAnd589~1_combout\ : std_logic;
SIGNAL \WideAnd589~combout\ : std_logic;
SIGNAL \led_flash_cnt[588][0]~81228_combout\ : std_logic;
SIGNAL \led_flash_cnt[588][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[588][1]~35112_combout\ : std_logic;
SIGNAL \led_flash_cnt[588][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[588][1]~35113\ : std_logic;
SIGNAL \led_flash_cnt[588][2]~35114_combout\ : std_logic;
SIGNAL \led_flash_cnt[588][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[588][2]~35115\ : std_logic;
SIGNAL \led_flash_cnt[588][3]~35116_combout\ : std_logic;
SIGNAL \led_flash_cnt[588][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[588][3]~35117\ : std_logic;
SIGNAL \led_flash_cnt[588][4]~35118_combout\ : std_logic;
SIGNAL \led_flash_cnt[588][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[588][4]~35119\ : std_logic;
SIGNAL \led_flash_cnt[588][5]~35120_combout\ : std_logic;
SIGNAL \led_flash_cnt[588][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[588][5]~35121\ : std_logic;
SIGNAL \led_flash_cnt[588][6]~35122_combout\ : std_logic;
SIGNAL \led_flash_cnt[588][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[588][6]~35123\ : std_logic;
SIGNAL \led_flash_cnt[588][7]~35124_combout\ : std_logic;
SIGNAL \led_flash_cnt[588][7]~q\ : std_logic;
SIGNAL \WideAnd588~0_combout\ : std_logic;
SIGNAL \WideAnd588~1_combout\ : std_logic;
SIGNAL \WideAnd588~combout\ : std_logic;
SIGNAL \WideAnd3913~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][0]~81231_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[591][1]~35154_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[591][1]~35155\ : std_logic;
SIGNAL \led_flash_cnt[591][2]~35156_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[591][2]~35157\ : std_logic;
SIGNAL \led_flash_cnt[591][3]~35158_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[591][3]~35159\ : std_logic;
SIGNAL \led_flash_cnt[591][4]~35160_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[591][4]~35161\ : std_logic;
SIGNAL \led_flash_cnt[591][5]~35162_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[591][5]~35163\ : std_logic;
SIGNAL \led_flash_cnt[591][6]~35164_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][6]~q\ : std_logic;
SIGNAL \WideAnd591~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][6]~35165\ : std_logic;
SIGNAL \led_flash_cnt[591][7]~35166_combout\ : std_logic;
SIGNAL \led_flash_cnt[591][7]~q\ : std_logic;
SIGNAL \WideAnd591~0_combout\ : std_logic;
SIGNAL \WideAnd591~combout\ : std_logic;
SIGNAL \led_flash_cnt[587][0]~81227_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[587][1]~35098_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[587][1]~35099\ : std_logic;
SIGNAL \led_flash_cnt[587][2]~35100_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[587][2]~35101\ : std_logic;
SIGNAL \led_flash_cnt[587][3]~35102_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[587][3]~35103\ : std_logic;
SIGNAL \led_flash_cnt[587][4]~35104_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][4]~q\ : std_logic;
SIGNAL \WideAnd587~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][4]~35105\ : std_logic;
SIGNAL \led_flash_cnt[587][5]~35106_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[587][5]~35107\ : std_logic;
SIGNAL \led_flash_cnt[587][6]~35108_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[587][6]~35109\ : std_logic;
SIGNAL \led_flash_cnt[587][7]~35110_combout\ : std_logic;
SIGNAL \led_flash_cnt[587][7]~q\ : std_logic;
SIGNAL \WideAnd587~1_combout\ : std_logic;
SIGNAL \WideAnd587~combout\ : std_logic;
SIGNAL \led_flash_cnt[586][0]~81226_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[586][1]~35084_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[586][1]~35085\ : std_logic;
SIGNAL \led_flash_cnt[586][2]~35086_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[586][2]~35087\ : std_logic;
SIGNAL \led_flash_cnt[586][3]~35088_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[586][3]~35089\ : std_logic;
SIGNAL \led_flash_cnt[586][4]~35090_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[586][4]~35091\ : std_logic;
SIGNAL \led_flash_cnt[586][5]~35092_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[586][5]~35093\ : std_logic;
SIGNAL \led_flash_cnt[586][6]~35094_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][6]~q\ : std_logic;
SIGNAL \WideAnd586~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][6]~35095\ : std_logic;
SIGNAL \led_flash_cnt[586][7]~35096_combout\ : std_logic;
SIGNAL \led_flash_cnt[586][7]~q\ : std_logic;
SIGNAL \WideAnd586~0_combout\ : std_logic;
SIGNAL \WideAnd586~combout\ : std_logic;
SIGNAL \led_flash_cnt[585][0]~81225_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[585][1]~35070_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[585][1]~35071\ : std_logic;
SIGNAL \led_flash_cnt[585][2]~35072_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[585][2]~35073\ : std_logic;
SIGNAL \led_flash_cnt[585][3]~35074_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[585][3]~35075\ : std_logic;
SIGNAL \led_flash_cnt[585][4]~35076_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][4]~q\ : std_logic;
SIGNAL \WideAnd585~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][4]~35077\ : std_logic;
SIGNAL \led_flash_cnt[585][5]~35078_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[585][5]~35079\ : std_logic;
SIGNAL \led_flash_cnt[585][6]~35080_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[585][6]~35081\ : std_logic;
SIGNAL \led_flash_cnt[585][7]~35082_combout\ : std_logic;
SIGNAL \led_flash_cnt[585][7]~q\ : std_logic;
SIGNAL \WideAnd585~1_combout\ : std_logic;
SIGNAL \WideAnd585~combout\ : std_logic;
SIGNAL \led_flash_cnt[584][0]~81224_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[584][1]~35056_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[584][1]~35057\ : std_logic;
SIGNAL \led_flash_cnt[584][2]~35058_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[584][2]~35059\ : std_logic;
SIGNAL \led_flash_cnt[584][3]~35060_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[584][3]~35061\ : std_logic;
SIGNAL \led_flash_cnt[584][4]~35062_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[584][4]~35063\ : std_logic;
SIGNAL \led_flash_cnt[584][5]~35064_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[584][5]~35065\ : std_logic;
SIGNAL \led_flash_cnt[584][6]~35066_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][6]~q\ : std_logic;
SIGNAL \WideAnd584~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][6]~35067\ : std_logic;
SIGNAL \led_flash_cnt[584][7]~35068_combout\ : std_logic;
SIGNAL \led_flash_cnt[584][7]~q\ : std_logic;
SIGNAL \WideAnd584~0_combout\ : std_logic;
SIGNAL \WideAnd584~combout\ : std_logic;
SIGNAL \WideAnd3913~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][0]~81230_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[590][1]~35140_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[590][1]~35141\ : std_logic;
SIGNAL \led_flash_cnt[590][2]~35142_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[590][2]~35143\ : std_logic;
SIGNAL \led_flash_cnt[590][3]~35144_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[590][3]~35145\ : std_logic;
SIGNAL \led_flash_cnt[590][4]~35146_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][4]~q\ : std_logic;
SIGNAL \WideAnd590~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][4]~35147\ : std_logic;
SIGNAL \led_flash_cnt[590][5]~35148_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[590][5]~35149\ : std_logic;
SIGNAL \led_flash_cnt[590][6]~35150_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[590][6]~35151\ : std_logic;
SIGNAL \led_flash_cnt[590][7]~35152_combout\ : std_logic;
SIGNAL \led_flash_cnt[590][7]~q\ : std_logic;
SIGNAL \WideAnd590~1_combout\ : std_logic;
SIGNAL \WideAnd590~combout\ : std_logic;
SIGNAL \WideAnd3913~combout\ : std_logic;
SIGNAL \led_flash_cnt[594][0]~81234_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[594][1]~35196_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[594][1]~35197\ : std_logic;
SIGNAL \led_flash_cnt[594][2]~35198_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[594][2]~35199\ : std_logic;
SIGNAL \led_flash_cnt[594][3]~35200_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[594][3]~35201\ : std_logic;
SIGNAL \led_flash_cnt[594][4]~35202_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[594][4]~35203\ : std_logic;
SIGNAL \led_flash_cnt[594][5]~35204_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[594][5]~35205\ : std_logic;
SIGNAL \led_flash_cnt[594][6]~35206_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][6]~q\ : std_logic;
SIGNAL \WideAnd594~1_combout\ : std_logic;
SIGNAL \WideAnd594~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][6]~35207\ : std_logic;
SIGNAL \led_flash_cnt[594][7]~35208_combout\ : std_logic;
SIGNAL \led_flash_cnt[594][7]~q\ : std_logic;
SIGNAL \WideAnd594~combout\ : std_logic;
SIGNAL \led_flash_cnt[593][0]~81233_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[593][1]~35182_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[593][1]~35183\ : std_logic;
SIGNAL \led_flash_cnt[593][2]~35184_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[593][2]~35185\ : std_logic;
SIGNAL \led_flash_cnt[593][3]~35186_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[593][3]~35187\ : std_logic;
SIGNAL \led_flash_cnt[593][4]~35188_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[593][4]~35189\ : std_logic;
SIGNAL \led_flash_cnt[593][5]~35190_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[593][5]~35191\ : std_logic;
SIGNAL \led_flash_cnt[593][6]~35192_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][6]~q\ : std_logic;
SIGNAL \WideAnd593~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][6]~35193\ : std_logic;
SIGNAL \led_flash_cnt[593][7]~35194_combout\ : std_logic;
SIGNAL \led_flash_cnt[593][7]~q\ : std_logic;
SIGNAL \WideAnd593~0_combout\ : std_logic;
SIGNAL \WideAnd593~combout\ : std_logic;
SIGNAL \led_flash_cnt[592][0]~81232_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[592][1]~35168_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[592][1]~35169\ : std_logic;
SIGNAL \led_flash_cnt[592][2]~35170_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[592][2]~35171\ : std_logic;
SIGNAL \led_flash_cnt[592][3]~35172_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[592][3]~35173\ : std_logic;
SIGNAL \led_flash_cnt[592][4]~35174_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[592][4]~35175\ : std_logic;
SIGNAL \led_flash_cnt[592][5]~35176_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[592][5]~35177\ : std_logic;
SIGNAL \led_flash_cnt[592][6]~35178_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][6]~q\ : std_logic;
SIGNAL \WideAnd592~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][6]~35179\ : std_logic;
SIGNAL \led_flash_cnt[592][7]~35180_combout\ : std_logic;
SIGNAL \led_flash_cnt[592][7]~q\ : std_logic;
SIGNAL \WideAnd592~0_combout\ : std_logic;
SIGNAL \WideAnd592~combout\ : std_logic;
SIGNAL \led_flash_cnt[595][0]~81235_combout\ : std_logic;
SIGNAL \led_flash_cnt[595][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[595][1]~35210_combout\ : std_logic;
SIGNAL \led_flash_cnt[595][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[595][1]~35211\ : std_logic;
SIGNAL \led_flash_cnt[595][2]~35212_combout\ : std_logic;
SIGNAL \led_flash_cnt[595][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[595][2]~35213\ : std_logic;
SIGNAL \led_flash_cnt[595][3]~35214_combout\ : std_logic;
SIGNAL \led_flash_cnt[595][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[595][3]~35215\ : std_logic;
SIGNAL \led_flash_cnt[595][4]~35216_combout\ : std_logic;
SIGNAL \led_flash_cnt[595][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[595][4]~35217\ : std_logic;
SIGNAL \led_flash_cnt[595][5]~35218_combout\ : std_logic;
SIGNAL \led_flash_cnt[595][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[595][5]~35219\ : std_logic;
SIGNAL \led_flash_cnt[595][6]~35220_combout\ : std_logic;
SIGNAL \led_flash_cnt[595][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[595][6]~35221\ : std_logic;
SIGNAL \led_flash_cnt[595][7]~35222_combout\ : std_logic;
SIGNAL \led_flash_cnt[595][7]~q\ : std_logic;
SIGNAL \WideAnd595~1_combout\ : std_logic;
SIGNAL \WideAnd595~0_combout\ : std_logic;
SIGNAL \WideAnd595~combout\ : std_logic;
SIGNAL \WideAnd3914~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][0]~81239_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[599][1]~35266_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[599][1]~35267\ : std_logic;
SIGNAL \led_flash_cnt[599][2]~35268_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[599][2]~35269\ : std_logic;
SIGNAL \led_flash_cnt[599][3]~35270_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[599][3]~35271\ : std_logic;
SIGNAL \led_flash_cnt[599][4]~35272_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][4]~q\ : std_logic;
SIGNAL \WideAnd599~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][4]~35273\ : std_logic;
SIGNAL \led_flash_cnt[599][5]~35274_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[599][5]~35275\ : std_logic;
SIGNAL \led_flash_cnt[599][6]~35276_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][6]~q\ : std_logic;
SIGNAL \WideAnd599~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][6]~35277\ : std_logic;
SIGNAL \led_flash_cnt[599][7]~35278_combout\ : std_logic;
SIGNAL \led_flash_cnt[599][7]~q\ : std_logic;
SIGNAL \WideAnd599~combout\ : std_logic;
SIGNAL \led_flash_cnt[597][0]~81237_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[597][1]~35238_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[597][1]~35239\ : std_logic;
SIGNAL \led_flash_cnt[597][2]~35240_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[597][2]~35241\ : std_logic;
SIGNAL \led_flash_cnt[597][3]~35242_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[597][3]~35243\ : std_logic;
SIGNAL \led_flash_cnt[597][4]~35244_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][4]~q\ : std_logic;
SIGNAL \WideAnd597~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][4]~35245\ : std_logic;
SIGNAL \led_flash_cnt[597][5]~35246_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[597][5]~35247\ : std_logic;
SIGNAL \led_flash_cnt[597][6]~35248_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[597][6]~35249\ : std_logic;
SIGNAL \led_flash_cnt[597][7]~35250_combout\ : std_logic;
SIGNAL \led_flash_cnt[597][7]~q\ : std_logic;
SIGNAL \WideAnd597~1_combout\ : std_logic;
SIGNAL \WideAnd597~combout\ : std_logic;
SIGNAL \led_flash_cnt[596][0]~81236_combout\ : std_logic;
SIGNAL \led_flash_cnt[596][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[596][1]~35224_combout\ : std_logic;
SIGNAL \led_flash_cnt[596][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[596][1]~35225\ : std_logic;
SIGNAL \led_flash_cnt[596][2]~35226_combout\ : std_logic;
SIGNAL \led_flash_cnt[596][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[596][2]~35227\ : std_logic;
SIGNAL \led_flash_cnt[596][3]~35228_combout\ : std_logic;
SIGNAL \led_flash_cnt[596][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[596][3]~35229\ : std_logic;
SIGNAL \led_flash_cnt[596][4]~35230_combout\ : std_logic;
SIGNAL \led_flash_cnt[596][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[596][4]~35231\ : std_logic;
SIGNAL \led_flash_cnt[596][5]~35232_combout\ : std_logic;
SIGNAL \led_flash_cnt[596][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[596][5]~35233\ : std_logic;
SIGNAL \led_flash_cnt[596][6]~35234_combout\ : std_logic;
SIGNAL \led_flash_cnt[596][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[596][6]~35235\ : std_logic;
SIGNAL \led_flash_cnt[596][7]~35236_combout\ : std_logic;
SIGNAL \led_flash_cnt[596][7]~q\ : std_logic;
SIGNAL \WideAnd596~0_combout\ : std_logic;
SIGNAL \WideAnd596~1_combout\ : std_logic;
SIGNAL \WideAnd596~combout\ : std_logic;
SIGNAL \WideAnd3914~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][0]~81238_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[598][1]~35252_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[598][1]~35253\ : std_logic;
SIGNAL \led_flash_cnt[598][2]~35254_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[598][2]~35255\ : std_logic;
SIGNAL \led_flash_cnt[598][3]~35256_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[598][3]~35257\ : std_logic;
SIGNAL \led_flash_cnt[598][4]~35258_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][4]~q\ : std_logic;
SIGNAL \WideAnd598~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][4]~35259\ : std_logic;
SIGNAL \led_flash_cnt[598][5]~35260_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[598][5]~35261\ : std_logic;
SIGNAL \led_flash_cnt[598][6]~35262_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[598][6]~35263\ : std_logic;
SIGNAL \led_flash_cnt[598][7]~35264_combout\ : std_logic;
SIGNAL \led_flash_cnt[598][7]~q\ : std_logic;
SIGNAL \WideAnd598~1_combout\ : std_logic;
SIGNAL \WideAnd598~combout\ : std_logic;
SIGNAL \WideAnd3914~combout\ : std_logic;
SIGNAL \WideAnd4329~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][0]~81251_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[611][1]~35434_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[611][1]~35435\ : std_logic;
SIGNAL \led_flash_cnt[611][2]~35436_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[611][2]~35437\ : std_logic;
SIGNAL \led_flash_cnt[611][3]~35438_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[611][3]~35439\ : std_logic;
SIGNAL \led_flash_cnt[611][4]~35440_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[611][4]~35441\ : std_logic;
SIGNAL \led_flash_cnt[611][5]~35442_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[611][5]~35443\ : std_logic;
SIGNAL \led_flash_cnt[611][6]~35444_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[611][6]~35445\ : std_logic;
SIGNAL \led_flash_cnt[611][7]~35446_combout\ : std_logic;
SIGNAL \led_flash_cnt[611][7]~q\ : std_logic;
SIGNAL \WideAnd611~1_combout\ : std_logic;
SIGNAL \WideAnd611~0_combout\ : std_logic;
SIGNAL \WideAnd611~combout\ : std_logic;
SIGNAL \led_flash_cnt[609][0]~81249_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[609][1]~35406_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[609][1]~35407\ : std_logic;
SIGNAL \led_flash_cnt[609][2]~35408_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[609][2]~35409\ : std_logic;
SIGNAL \led_flash_cnt[609][3]~35410_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[609][3]~35411\ : std_logic;
SIGNAL \led_flash_cnt[609][4]~35412_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[609][4]~35413\ : std_logic;
SIGNAL \led_flash_cnt[609][5]~35414_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[609][5]~35415\ : std_logic;
SIGNAL \led_flash_cnt[609][6]~35416_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][6]~q\ : std_logic;
SIGNAL \WideAnd609~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][6]~35417\ : std_logic;
SIGNAL \led_flash_cnt[609][7]~35418_combout\ : std_logic;
SIGNAL \led_flash_cnt[609][7]~q\ : std_logic;
SIGNAL \WideAnd609~0_combout\ : std_logic;
SIGNAL \WideAnd609~combout\ : std_logic;
SIGNAL \led_flash_cnt[610][0]~81250_combout\ : std_logic;
SIGNAL \led_flash_cnt[610][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[610][1]~35420_combout\ : std_logic;
SIGNAL \led_flash_cnt[610][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[610][1]~35421\ : std_logic;
SIGNAL \led_flash_cnt[610][2]~35422_combout\ : std_logic;
SIGNAL \led_flash_cnt[610][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[610][2]~35423\ : std_logic;
SIGNAL \led_flash_cnt[610][3]~35424_combout\ : std_logic;
SIGNAL \led_flash_cnt[610][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[610][3]~35425\ : std_logic;
SIGNAL \led_flash_cnt[610][4]~35426_combout\ : std_logic;
SIGNAL \led_flash_cnt[610][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[610][4]~35427\ : std_logic;
SIGNAL \led_flash_cnt[610][5]~35428_combout\ : std_logic;
SIGNAL \led_flash_cnt[610][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[610][5]~35429\ : std_logic;
SIGNAL \led_flash_cnt[610][6]~35430_combout\ : std_logic;
SIGNAL \led_flash_cnt[610][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[610][6]~35431\ : std_logic;
SIGNAL \led_flash_cnt[610][7]~35432_combout\ : std_logic;
SIGNAL \led_flash_cnt[610][7]~q\ : std_logic;
SIGNAL \WideAnd610~0_combout\ : std_logic;
SIGNAL \WideAnd610~1_combout\ : std_logic;
SIGNAL \WideAnd610~combout\ : std_logic;
SIGNAL \led_flash_cnt[608][0]~81248_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[608][1]~35392_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[608][1]~35393\ : std_logic;
SIGNAL \led_flash_cnt[608][2]~35394_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[608][2]~35395\ : std_logic;
SIGNAL \led_flash_cnt[608][3]~35396_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[608][3]~35397\ : std_logic;
SIGNAL \led_flash_cnt[608][4]~35398_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][4]~q\ : std_logic;
SIGNAL \WideAnd608~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][4]~35399\ : std_logic;
SIGNAL \led_flash_cnt[608][5]~35400_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[608][5]~35401\ : std_logic;
SIGNAL \led_flash_cnt[608][6]~35402_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[608][6]~35403\ : std_logic;
SIGNAL \led_flash_cnt[608][7]~35404_combout\ : std_logic;
SIGNAL \led_flash_cnt[608][7]~q\ : std_logic;
SIGNAL \WideAnd608~1_combout\ : std_logic;
SIGNAL \WideAnd608~combout\ : std_logic;
SIGNAL \WideAnd3916~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][0]~81252_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[612][1]~35448_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[612][1]~35449\ : std_logic;
SIGNAL \led_flash_cnt[612][2]~35450_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[612][2]~35451\ : std_logic;
SIGNAL \led_flash_cnt[612][3]~35452_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[612][3]~35453\ : std_logic;
SIGNAL \led_flash_cnt[612][4]~35454_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][4]~q\ : std_logic;
SIGNAL \WideAnd612~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][4]~35455\ : std_logic;
SIGNAL \led_flash_cnt[612][5]~35456_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[612][5]~35457\ : std_logic;
SIGNAL \led_flash_cnt[612][6]~35458_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[612][6]~35459\ : std_logic;
SIGNAL \led_flash_cnt[612][7]~35460_combout\ : std_logic;
SIGNAL \led_flash_cnt[612][7]~q\ : std_logic;
SIGNAL \WideAnd612~1_combout\ : std_logic;
SIGNAL \WideAnd612~combout\ : std_logic;
SIGNAL \led_flash_cnt[613][0]~81253_combout\ : std_logic;
SIGNAL \led_flash_cnt[613][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[613][1]~35462_combout\ : std_logic;
SIGNAL \led_flash_cnt[613][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[613][1]~35463\ : std_logic;
SIGNAL \led_flash_cnt[613][2]~35464_combout\ : std_logic;
SIGNAL \led_flash_cnt[613][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[613][2]~35465\ : std_logic;
SIGNAL \led_flash_cnt[613][3]~35466_combout\ : std_logic;
SIGNAL \led_flash_cnt[613][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[613][3]~35467\ : std_logic;
SIGNAL \led_flash_cnt[613][4]~35468_combout\ : std_logic;
SIGNAL \led_flash_cnt[613][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[613][4]~35469\ : std_logic;
SIGNAL \led_flash_cnt[613][5]~35470_combout\ : std_logic;
SIGNAL \led_flash_cnt[613][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[613][5]~35471\ : std_logic;
SIGNAL \led_flash_cnt[613][6]~35472_combout\ : std_logic;
SIGNAL \led_flash_cnt[613][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[613][6]~35473\ : std_logic;
SIGNAL \led_flash_cnt[613][7]~35474_combout\ : std_logic;
SIGNAL \led_flash_cnt[613][7]~q\ : std_logic;
SIGNAL \WideAnd613~0_combout\ : std_logic;
SIGNAL \WideAnd613~1_combout\ : std_logic;
SIGNAL \WideAnd613~combout\ : std_logic;
SIGNAL \WideAnd3916~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][0]~81255_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[615][1]~35490_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[615][1]~35491\ : std_logic;
SIGNAL \led_flash_cnt[615][2]~35492_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[615][2]~35493\ : std_logic;
SIGNAL \led_flash_cnt[615][3]~35494_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[615][3]~35495\ : std_logic;
SIGNAL \led_flash_cnt[615][4]~35496_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][4]~q\ : std_logic;
SIGNAL \WideAnd615~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][4]~35497\ : std_logic;
SIGNAL \led_flash_cnt[615][5]~35498_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[615][5]~35499\ : std_logic;
SIGNAL \led_flash_cnt[615][6]~35500_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][6]~q\ : std_logic;
SIGNAL \WideAnd615~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][6]~35501\ : std_logic;
SIGNAL \led_flash_cnt[615][7]~35502_combout\ : std_logic;
SIGNAL \led_flash_cnt[615][7]~q\ : std_logic;
SIGNAL \WideAnd615~combout\ : std_logic;
SIGNAL \led_flash_cnt[614][0]~81254_combout\ : std_logic;
SIGNAL \led_flash_cnt[614][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[614][1]~35476_combout\ : std_logic;
SIGNAL \led_flash_cnt[614][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[614][1]~35477\ : std_logic;
SIGNAL \led_flash_cnt[614][2]~35478_combout\ : std_logic;
SIGNAL \led_flash_cnt[614][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[614][2]~35479\ : std_logic;
SIGNAL \led_flash_cnt[614][3]~35480_combout\ : std_logic;
SIGNAL \led_flash_cnt[614][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[614][3]~35481\ : std_logic;
SIGNAL \led_flash_cnt[614][4]~35482_combout\ : std_logic;
SIGNAL \led_flash_cnt[614][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[614][4]~35483\ : std_logic;
SIGNAL \led_flash_cnt[614][5]~35484_combout\ : std_logic;
SIGNAL \led_flash_cnt[614][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[614][5]~35485\ : std_logic;
SIGNAL \led_flash_cnt[614][6]~35486_combout\ : std_logic;
SIGNAL \led_flash_cnt[614][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[614][6]~35487\ : std_logic;
SIGNAL \led_flash_cnt[614][7]~35488_combout\ : std_logic;
SIGNAL \led_flash_cnt[614][7]~q\ : std_logic;
SIGNAL \WideAnd614~1_combout\ : std_logic;
SIGNAL \WideAnd614~0_combout\ : std_logic;
SIGNAL \WideAnd614~combout\ : std_logic;
SIGNAL \WideAnd3916~combout\ : std_logic;
SIGNAL \led_flash_cnt[618][0]~81258_combout\ : std_logic;
SIGNAL \led_flash_cnt[618][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[618][1]~35532_combout\ : std_logic;
SIGNAL \led_flash_cnt[618][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[618][1]~35533\ : std_logic;
SIGNAL \led_flash_cnt[618][2]~35534_combout\ : std_logic;
SIGNAL \led_flash_cnt[618][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[618][2]~35535\ : std_logic;
SIGNAL \led_flash_cnt[618][3]~35536_combout\ : std_logic;
SIGNAL \led_flash_cnt[618][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[618][3]~35537\ : std_logic;
SIGNAL \led_flash_cnt[618][4]~35538_combout\ : std_logic;
SIGNAL \led_flash_cnt[618][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[618][4]~35539\ : std_logic;
SIGNAL \led_flash_cnt[618][5]~35540_combout\ : std_logic;
SIGNAL \led_flash_cnt[618][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[618][5]~35541\ : std_logic;
SIGNAL \led_flash_cnt[618][6]~35542_combout\ : std_logic;
SIGNAL \led_flash_cnt[618][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[618][6]~35543\ : std_logic;
SIGNAL \led_flash_cnt[618][7]~35544_combout\ : std_logic;
SIGNAL \led_flash_cnt[618][7]~q\ : std_logic;
SIGNAL \WideAnd618~1_combout\ : std_logic;
SIGNAL \WideAnd618~0_combout\ : std_logic;
SIGNAL \WideAnd618~combout\ : std_logic;
SIGNAL \led_flash_cnt[616][0]~81256_combout\ : std_logic;
SIGNAL \led_flash_cnt[616][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[616][1]~35504_combout\ : std_logic;
SIGNAL \led_flash_cnt[616][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[616][1]~35505\ : std_logic;
SIGNAL \led_flash_cnt[616][2]~35506_combout\ : std_logic;
SIGNAL \led_flash_cnt[616][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[616][2]~35507\ : std_logic;
SIGNAL \led_flash_cnt[616][3]~35508_combout\ : std_logic;
SIGNAL \led_flash_cnt[616][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[616][3]~35509\ : std_logic;
SIGNAL \led_flash_cnt[616][4]~35510_combout\ : std_logic;
SIGNAL \led_flash_cnt[616][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[616][4]~35511\ : std_logic;
SIGNAL \led_flash_cnt[616][5]~35512_combout\ : std_logic;
SIGNAL \led_flash_cnt[616][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[616][5]~35513\ : std_logic;
SIGNAL \led_flash_cnt[616][6]~35514_combout\ : std_logic;
SIGNAL \led_flash_cnt[616][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[616][6]~35515\ : std_logic;
SIGNAL \led_flash_cnt[616][7]~35516_combout\ : std_logic;
SIGNAL \led_flash_cnt[616][7]~q\ : std_logic;
SIGNAL \WideAnd616~1_combout\ : std_logic;
SIGNAL \WideAnd616~0_combout\ : std_logic;
SIGNAL \WideAnd616~combout\ : std_logic;
SIGNAL \led_flash_cnt[617][0]~81257_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[617][1]~35518_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[617][1]~35519\ : std_logic;
SIGNAL \led_flash_cnt[617][2]~35520_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[617][2]~35521\ : std_logic;
SIGNAL \led_flash_cnt[617][3]~35522_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[617][3]~35523\ : std_logic;
SIGNAL \led_flash_cnt[617][4]~35524_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][4]~q\ : std_logic;
SIGNAL \WideAnd617~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][4]~35525\ : std_logic;
SIGNAL \led_flash_cnt[617][5]~35526_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[617][5]~35527\ : std_logic;
SIGNAL \led_flash_cnt[617][6]~35528_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][6]~q\ : std_logic;
SIGNAL \WideAnd617~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][6]~35529\ : std_logic;
SIGNAL \led_flash_cnt[617][7]~35530_combout\ : std_logic;
SIGNAL \led_flash_cnt[617][7]~q\ : std_logic;
SIGNAL \WideAnd617~combout\ : std_logic;
SIGNAL \led_flash_cnt[619][0]~81259_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[619][1]~35546_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[619][1]~35547\ : std_logic;
SIGNAL \led_flash_cnt[619][2]~35548_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[619][2]~35549\ : std_logic;
SIGNAL \led_flash_cnt[619][3]~35550_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[619][3]~35551\ : std_logic;
SIGNAL \led_flash_cnt[619][4]~35552_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[619][4]~35553\ : std_logic;
SIGNAL \led_flash_cnt[619][5]~35554_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[619][5]~35555\ : std_logic;
SIGNAL \led_flash_cnt[619][6]~35556_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][6]~q\ : std_logic;
SIGNAL \WideAnd619~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][6]~35557\ : std_logic;
SIGNAL \led_flash_cnt[619][7]~35558_combout\ : std_logic;
SIGNAL \led_flash_cnt[619][7]~q\ : std_logic;
SIGNAL \WideAnd619~0_combout\ : std_logic;
SIGNAL \WideAnd619~combout\ : std_logic;
SIGNAL \WideAnd3917~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][0]~81261_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[621][1]~35574_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[621][1]~35575\ : std_logic;
SIGNAL \led_flash_cnt[621][2]~35576_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[621][2]~35577\ : std_logic;
SIGNAL \led_flash_cnt[621][3]~35578_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[621][3]~35579\ : std_logic;
SIGNAL \led_flash_cnt[621][4]~35580_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[621][4]~35581\ : std_logic;
SIGNAL \led_flash_cnt[621][5]~35582_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[621][5]~35583\ : std_logic;
SIGNAL \led_flash_cnt[621][6]~35584_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[621][6]~35585\ : std_logic;
SIGNAL \led_flash_cnt[621][7]~35586_combout\ : std_logic;
SIGNAL \led_flash_cnt[621][7]~q\ : std_logic;
SIGNAL \WideAnd621~0_combout\ : std_logic;
SIGNAL \WideAnd621~1_combout\ : std_logic;
SIGNAL \WideAnd621~combout\ : std_logic;
SIGNAL \led_flash_cnt[620][0]~81260_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[620][1]~35560_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[620][1]~35561\ : std_logic;
SIGNAL \led_flash_cnt[620][2]~35562_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[620][2]~35563\ : std_logic;
SIGNAL \led_flash_cnt[620][3]~35564_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[620][3]~35565\ : std_logic;
SIGNAL \led_flash_cnt[620][4]~35566_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][4]~q\ : std_logic;
SIGNAL \WideAnd620~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][4]~35567\ : std_logic;
SIGNAL \led_flash_cnt[620][5]~35568_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[620][5]~35569\ : std_logic;
SIGNAL \led_flash_cnt[620][6]~35570_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[620][6]~35571\ : std_logic;
SIGNAL \led_flash_cnt[620][7]~35572_combout\ : std_logic;
SIGNAL \led_flash_cnt[620][7]~q\ : std_logic;
SIGNAL \WideAnd620~1_combout\ : std_logic;
SIGNAL \WideAnd620~combout\ : std_logic;
SIGNAL \WideAnd3917~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][0]~81262_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[622][1]~35588_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[622][1]~35589\ : std_logic;
SIGNAL \led_flash_cnt[622][2]~35590_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[622][2]~35591\ : std_logic;
SIGNAL \led_flash_cnt[622][3]~35592_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[622][3]~35593\ : std_logic;
SIGNAL \led_flash_cnt[622][4]~35594_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][4]~q\ : std_logic;
SIGNAL \WideAnd622~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][4]~35595\ : std_logic;
SIGNAL \led_flash_cnt[622][5]~35596_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[622][5]~35597\ : std_logic;
SIGNAL \led_flash_cnt[622][6]~35598_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[622][6]~35599\ : std_logic;
SIGNAL \led_flash_cnt[622][7]~35600_combout\ : std_logic;
SIGNAL \led_flash_cnt[622][7]~q\ : std_logic;
SIGNAL \WideAnd622~1_combout\ : std_logic;
SIGNAL \WideAnd622~combout\ : std_logic;
SIGNAL \led_flash_cnt[623][0]~81263_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[623][1]~35602_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[623][1]~35603\ : std_logic;
SIGNAL \led_flash_cnt[623][2]~35604_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[623][2]~35605\ : std_logic;
SIGNAL \led_flash_cnt[623][3]~35606_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[623][3]~35607\ : std_logic;
SIGNAL \led_flash_cnt[623][4]~35608_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[623][4]~35609\ : std_logic;
SIGNAL \led_flash_cnt[623][5]~35610_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[623][5]~35611\ : std_logic;
SIGNAL \led_flash_cnt[623][6]~35612_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][6]~q\ : std_logic;
SIGNAL \WideAnd623~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][6]~35613\ : std_logic;
SIGNAL \led_flash_cnt[623][7]~35614_combout\ : std_logic;
SIGNAL \led_flash_cnt[623][7]~q\ : std_logic;
SIGNAL \WideAnd623~0_combout\ : std_logic;
SIGNAL \WideAnd623~combout\ : std_logic;
SIGNAL \WideAnd3917~combout\ : std_logic;
SIGNAL \WideAnd4329~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][0]~81268_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[628][1]~35672_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[628][1]~35673\ : std_logic;
SIGNAL \led_flash_cnt[628][2]~35674_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[628][2]~35675\ : std_logic;
SIGNAL \led_flash_cnt[628][3]~35676_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[628][3]~35677\ : std_logic;
SIGNAL \led_flash_cnt[628][4]~35678_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[628][4]~35679\ : std_logic;
SIGNAL \led_flash_cnt[628][5]~35680_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[628][5]~35681\ : std_logic;
SIGNAL \led_flash_cnt[628][6]~35682_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[628][6]~35683\ : std_logic;
SIGNAL \led_flash_cnt[628][7]~35684_combout\ : std_logic;
SIGNAL \led_flash_cnt[628][7]~q\ : std_logic;
SIGNAL \WideAnd628~0_combout\ : std_logic;
SIGNAL \WideAnd628~1_combout\ : std_logic;
SIGNAL \WideAnd628~combout\ : std_logic;
SIGNAL \led_flash_cnt[629][0]~81269_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[629][1]~35686_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[629][1]~35687\ : std_logic;
SIGNAL \led_flash_cnt[629][2]~35688_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[629][2]~35689\ : std_logic;
SIGNAL \led_flash_cnt[629][3]~35690_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[629][3]~35691\ : std_logic;
SIGNAL \led_flash_cnt[629][4]~35692_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][4]~q\ : std_logic;
SIGNAL \WideAnd629~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][4]~35693\ : std_logic;
SIGNAL \led_flash_cnt[629][5]~35694_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[629][5]~35695\ : std_logic;
SIGNAL \led_flash_cnt[629][6]~35696_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[629][6]~35697\ : std_logic;
SIGNAL \led_flash_cnt[629][7]~35698_combout\ : std_logic;
SIGNAL \led_flash_cnt[629][7]~q\ : std_logic;
SIGNAL \WideAnd629~1_combout\ : std_logic;
SIGNAL \WideAnd629~combout\ : std_logic;
SIGNAL \WideAnd3918~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][0]~81270_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[630][1]~35700_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[630][1]~35701\ : std_logic;
SIGNAL \led_flash_cnt[630][2]~35702_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[630][2]~35703\ : std_logic;
SIGNAL \led_flash_cnt[630][3]~35704_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[630][3]~35705\ : std_logic;
SIGNAL \led_flash_cnt[630][4]~35706_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][4]~q\ : std_logic;
SIGNAL \WideAnd630~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][4]~35707\ : std_logic;
SIGNAL \led_flash_cnt[630][5]~35708_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[630][5]~35709\ : std_logic;
SIGNAL \led_flash_cnt[630][6]~35710_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][6]~q\ : std_logic;
SIGNAL \WideAnd630~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][6]~35711\ : std_logic;
SIGNAL \led_flash_cnt[630][7]~35712_combout\ : std_logic;
SIGNAL \led_flash_cnt[630][7]~q\ : std_logic;
SIGNAL \WideAnd630~combout\ : std_logic;
SIGNAL \led_flash_cnt[624][0]~81264_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[624][1]~35616_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[624][1]~35617\ : std_logic;
SIGNAL \led_flash_cnt[624][2]~35618_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[624][2]~35619\ : std_logic;
SIGNAL \led_flash_cnt[624][3]~35620_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[624][3]~35621\ : std_logic;
SIGNAL \led_flash_cnt[624][4]~35622_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[624][4]~35623\ : std_logic;
SIGNAL \led_flash_cnt[624][5]~35624_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[624][5]~35625\ : std_logic;
SIGNAL \led_flash_cnt[624][6]~35626_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][6]~q\ : std_logic;
SIGNAL \WideAnd624~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][6]~35627\ : std_logic;
SIGNAL \led_flash_cnt[624][7]~35628_combout\ : std_logic;
SIGNAL \led_flash_cnt[624][7]~q\ : std_logic;
SIGNAL \WideAnd624~0_combout\ : std_logic;
SIGNAL \WideAnd624~combout\ : std_logic;
SIGNAL \led_flash_cnt[627][0]~81267_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[627][1]~35658_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[627][1]~35659\ : std_logic;
SIGNAL \led_flash_cnt[627][2]~35660_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[627][2]~35661\ : std_logic;
SIGNAL \led_flash_cnt[627][3]~35662_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[627][3]~35663\ : std_logic;
SIGNAL \led_flash_cnt[627][4]~35664_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][4]~q\ : std_logic;
SIGNAL \WideAnd627~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][4]~35665\ : std_logic;
SIGNAL \led_flash_cnt[627][5]~35666_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[627][5]~35667\ : std_logic;
SIGNAL \led_flash_cnt[627][6]~35668_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][6]~q\ : std_logic;
SIGNAL \WideAnd627~1_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][6]~35669\ : std_logic;
SIGNAL \led_flash_cnt[627][7]~35670_combout\ : std_logic;
SIGNAL \led_flash_cnt[627][7]~q\ : std_logic;
SIGNAL \WideAnd627~combout\ : std_logic;
SIGNAL \led_flash_cnt[625][0]~81265_combout\ : std_logic;
SIGNAL \led_flash_cnt[625][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[625][1]~35630_combout\ : std_logic;
SIGNAL \led_flash_cnt[625][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[625][1]~35631\ : std_logic;
SIGNAL \led_flash_cnt[625][2]~35632_combout\ : std_logic;
SIGNAL \led_flash_cnt[625][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[625][2]~35633\ : std_logic;
SIGNAL \led_flash_cnt[625][3]~35634_combout\ : std_logic;
SIGNAL \led_flash_cnt[625][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[625][3]~35635\ : std_logic;
SIGNAL \led_flash_cnt[625][4]~35636_combout\ : std_logic;
SIGNAL \led_flash_cnt[625][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[625][4]~35637\ : std_logic;
SIGNAL \led_flash_cnt[625][5]~35638_combout\ : std_logic;
SIGNAL \led_flash_cnt[625][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[625][5]~35639\ : std_logic;
SIGNAL \led_flash_cnt[625][6]~35640_combout\ : std_logic;
SIGNAL \led_flash_cnt[625][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[625][6]~35641\ : std_logic;
SIGNAL \led_flash_cnt[625][7]~35642_combout\ : std_logic;
SIGNAL \led_flash_cnt[625][7]~q\ : std_logic;
SIGNAL \WideAnd625~0_combout\ : std_logic;
SIGNAL \WideAnd625~1_combout\ : std_logic;
SIGNAL \WideAnd625~combout\ : std_logic;
SIGNAL \led_flash_cnt[626][0]~81266_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[626][1]~35644_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[626][1]~35645\ : std_logic;
SIGNAL \led_flash_cnt[626][2]~35646_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[626][2]~35647\ : std_logic;
SIGNAL \led_flash_cnt[626][3]~35648_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[626][3]~35649\ : std_logic;
SIGNAL \led_flash_cnt[626][4]~35650_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][4]~q\ : std_logic;
SIGNAL \WideAnd626~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][4]~35651\ : std_logic;
SIGNAL \led_flash_cnt[626][5]~35652_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[626][5]~35653\ : std_logic;
SIGNAL \led_flash_cnt[626][6]~35654_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[626][6]~35655\ : std_logic;
SIGNAL \led_flash_cnt[626][7]~35656_combout\ : std_logic;
SIGNAL \led_flash_cnt[626][7]~q\ : std_logic;
SIGNAL \WideAnd626~1_combout\ : std_logic;
SIGNAL \WideAnd626~combout\ : std_logic;
SIGNAL \WideAnd3918~0_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][0]~81271_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][0]~q\ : std_logic;
SIGNAL \led_flash_cnt[631][1]~35714_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][1]~q\ : std_logic;
SIGNAL \led_flash_cnt[631][1]~35715\ : std_logic;
SIGNAL \led_flash_cnt[631][2]~35716_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][2]~q\ : std_logic;
SIGNAL \led_flash_cnt[631][2]~35717\ : std_logic;
SIGNAL \led_flash_cnt[631][3]~35718_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][3]~q\ : std_logic;
SIGNAL \led_flash_cnt[631][3]~35719\ : std_logic;
SIGNAL \led_flash_cnt[631][4]~35720_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][4]~q\ : std_logic;
SIGNAL \led_flash_cnt[631][4]~35721\ : std_logic;
SIGNAL \led_flash_cnt[631][5]~35722_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][5]~q\ : std_logic;
SIGNAL \led_flash_cnt[631][5]~35723\ : std_logic;
SIGNAL \led_flash_cnt[631][6]~35724_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][6]~q\ : std_logic;
SIGNAL \led_flash_cnt[631][6]~35725\ : std_logic;
SIGNAL \led_flash_cnt[631][7]~35726_combout\ : std_logic;
SIGNAL \led_flash_cnt[631][7]~q\ : std_logic;
SIGNAL \WideAnd631~1_combout\ : std_logic;
SIGNAL \WideAnd631~0_combout\ : std_logic;
SIGNAL \WideAnd631~combout\ : std_logic;
SIGNAL \WideAnd3918~combout\ : std_logic;
SIGNAL \WideAnd4329~combout\ : std_logic;
SIGNAL \WideAnd4380~2_combout\ : std_logic;
SIGNAL \WideAnd4380~4_combout\ : std_logic;
SIGNAL \WideAnd4380~19_combout\ : std_logic;
SIGNAL \altera_internal_jtag~TDO\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|writedata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|pio_1|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\ : std_logic_vector(18 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\ : std_logic_vector(18 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\ : std_logic_vector(3 DOWNTO 0);
SIGNAL led_flash_cnt_ands_2 : std_logic_vector(59 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \filter_circuit_inst|fr_shifter\ : std_logic_vector(9 DOWNTO 0);
SIGNAL heart_beat_cnt : std_logic_vector(26 DOWNTO 0);
SIGNAL led_flash_cnt_ands : std_logic_vector(3839 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\ : std_logic_vector(7 DOWNTO 0);
SIGNAL led_flash_cnt_ands_1 : std_logic_vector(479 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|out_payload\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|out_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|command\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|p2b|stored_channel\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\ : std_logic_vector(23 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\ : std_logic_vector(25 DOWNTO 0);
SIGNAL \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|product_info_0|av_data_read\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|transacto|p2m|address\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|pio_0|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\ : std_logic;
SIGNAL \ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\ : std_logic;
SIGNAL \ALT_INV_fpga_resetn~input_o\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\ : std_logic;
SIGNAL \ALT_INV_altera_internal_jtag~TMSUTAP\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\ : std_logic;
SIGNAL \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\ : std_logic;

BEGIN

ww_altera_reserved_tms <= altera_reserved_tms;
ww_altera_reserved_tck <= altera_reserved_tck;
ww_altera_reserved_tdi <= altera_reserved_tdi;
altera_reserved_tdo <= ww_altera_reserved_tdo;
\ww_clk_ddr3_100_p(n)\ <= \clk_ddr3_100_p(n)\;
\ww_clk_lvds_125_p(n)\ <= \clk_lvds_125_p(n)\;
ww_clk_ddr3_100_p <= clk_ddr3_100_p;
ww_clk_50_max10 <= clk_50_max10;
ww_clk_25_max10 <= clk_25_max10;
ww_clk_10_adc <= clk_10_adc;
ww_fpga_resetn <= fpga_resetn;
ww_clk_lvds_125_p <= clk_lvds_125_p;
user_led <= ww_user_led;
ww_user_pb <= user_pb;
ww_user_dipsw <= user_dipsw;
pmodb_io <= ww_pmodb_io;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|clkctrl1_INCLK_bus\ <= (vcc & vcc & vcc & \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk\(0));

\clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|clkctrl1_CLKSELECT_bus\ <= (gnd & gnd);

\adc_pll_100m|altpll_component|auto_generated|pll1_INCLK_bus\ <= (gnd & \clk_50_max10~input_o\);

\adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk\(0) <= \adc_pll_100m|altpll_component|auto_generated|pll1_CLK_bus\(0);
\adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk\(1) <= \adc_pll_100m|altpll_component|auto_generated|pll1_CLK_bus\(1);
\adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk\(2) <= \adc_pll_100m|altpll_component|auto_generated|pll1_CLK_bus\(2);
\adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk\(3) <= \adc_pll_100m|altpll_component|auto_generated|pll1_CLK_bus\(3);
\adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk\(4) <= \adc_pll_100m|altpll_component|auto_generated|pll1_CLK_bus\(4);

\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
gnd & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(7) & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(6) & 
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(5) & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(4) & 
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(3) & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(2) & 
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(1) & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(0));

\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\ <= (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(5) & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4) & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(3) & 
\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2) & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1) & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0));

\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\ <= (\sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ & \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ & 
\sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ & \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ & \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ & \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\);

\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0~portbdataout\ <= \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(0);
\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a1\ <= \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(1);
\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a2\ <= \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(2);
\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a3\ <= \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(3);
\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a4\ <= \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(4);
\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a5\ <= \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(5);
\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a6\ <= \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(6);
\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a7\ <= \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(7);

\~QUARTUS_CREATED_ADC1~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\~QUARTUS_CREATED_ADC2~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\clk_50_max10~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clk_50_max10~input_o\);

\sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

\altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \altera_internal_jtag~TCKUTAP\);

\adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk\(1));
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\ <= NOT \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\;
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\ <= NOT \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\;
\ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\ <= NOT \altera_internal_jtag~TCKUTAPclkctrl_outclk\;
\ALT_INV_fpga_resetn~input_o\ <= NOT \fpga_resetn~input_o\;
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\ <= NOT \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\;
\ALT_INV_altera_internal_jtag~TMSUTAP\ <= NOT \altera_internal_jtag~TMSUTAP\;
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\ <= NOT \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\;
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\ <= NOT \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\;

-- Location: LCCOMB_X44_Y41_N0
\~QUARTUS_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QUARTUS_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QUARTUS_CREATED_GND~I_combout\);

-- Location: IOOBUF_X78_Y20_N9
\user_led[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \user_led~0_combout\,
	devoe => ww_devoe,
	o => ww_user_led(0));

-- Location: IOOBUF_X78_Y21_N16
\user_led[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \user_led~0_combout\,
	devoe => ww_devoe,
	o => ww_user_led(1));

-- Location: IOOBUF_X78_Y21_N23
\user_led[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => heart_beat_cnt(26),
	devoe => ww_devoe,
	o => ww_user_led(2));

-- Location: IOOBUF_X78_Y3_N9
\user_led[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => heart_beat_cnt(26),
	devoe => ww_devoe,
	o => ww_user_led(3));

-- Location: IOOBUF_X78_Y3_N2
\user_led[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => heart_beat_cnt(26),
	devoe => ww_devoe,
	o => ww_user_led(4));

-- Location: IOOBUF_X24_Y39_N9
\pmodb_io[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \WideAnd4380~19_combout\,
	devoe => ww_devoe,
	o => ww_pmodb_io(0));

-- Location: IOOBUF_X24_Y39_N30
\pmodb_io[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_pmodb_io(1));

-- Location: IOOBUF_X26_Y39_N30
\pmodb_io[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_pmodb_io(2));

-- Location: IOOBUF_X24_Y39_N2
\pmodb_io[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_pmodb_io(3));

-- Location: IOOBUF_X26_Y39_N2
\pmodb_io[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_pmodb_io(4));

-- Location: IOOBUF_X26_Y39_N9
\pmodb_io[5]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_pmodb_io(5));

-- Location: IOOBUF_X26_Y39_N23
\pmodb_io[6]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_pmodb_io(6));

-- Location: IOOBUF_X26_Y39_N16
\pmodb_io[7]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_pmodb_io(7));

-- Location: IOOBUF_X0_Y28_N23
\altera_reserved_tdo~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \altera_internal_jtag~TDO\,
	devoe => ww_devoe,
	o => ww_altera_reserved_tdo);

-- Location: IOIBUF_X0_Y18_N22
\clk_50_max10~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_50_max10,
	o => \clk_50_max10~input_o\);

-- Location: CLKCTRL_G4
\clk_50_max10~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk_50_max10~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk_50_max10~inputclkctrl_outclk\);

-- Location: IOIBUF_X0_Y29_N15
\altera_reserved_tms~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tms,
	o => \altera_reserved_tms~input_o\);

-- Location: IOIBUF_X0_Y29_N22
\altera_reserved_tck~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tck,
	o => \altera_reserved_tck~input_o\);

-- Location: IOIBUF_X0_Y28_N15
\altera_reserved_tdi~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tdi,
	o => \altera_reserved_tdi~input_o\);

-- Location: JTAG_X43_Y40_N0
altera_internal_jtag : fiftyfivenm_jtag
PORT MAP (
	tms => \altera_reserved_tms~input_o\,
	tck => \altera_reserved_tck~input_o\,
	tdi => \altera_reserved_tdi~input_o\,
	tdouser => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\,
	tdo => \altera_internal_jtag~TDO\,
	tmsutap => \altera_internal_jtag~TMSUTAP\,
	tckutap => \altera_internal_jtag~TCKUTAP\,
	tdiutap => \altera_internal_jtag~TDIUTAP\);

-- Location: LCCOMB_X70_Y45_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\);

-- Location: FF_X70_Y45_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8));

-- Location: LCCOMB_X74_Y44_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	datad => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\);

-- Location: FF_X74_Y44_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0));

-- Location: LCCOMB_X74_Y44_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\);

-- Location: FF_X74_Y44_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\,
	sclr => \ALT_INV_altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1));

-- Location: LCCOMB_X74_Y44_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\);

-- Location: FF_X74_Y44_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\,
	sclr => \ALT_INV_altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2));

-- Location: LCCOMB_X71_Y46_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\);

-- Location: FF_X71_Y46_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9));

-- Location: LCCOMB_X71_Y46_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001101110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2),
	datab => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\);

-- Location: FF_X71_Y46_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0));

-- Location: LCCOMB_X71_Y46_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\);

-- Location: FF_X71_Y46_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10));

-- Location: LCCOMB_X71_Y46_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\);

-- Location: FF_X71_Y46_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11));

-- Location: LCCOMB_X71_Y46_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10),
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\);

-- Location: FF_X71_Y46_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12));

-- Location: LCCOMB_X71_Y46_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\);

-- Location: FF_X71_Y46_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13));

-- Location: LCCOMB_X71_Y46_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\);

-- Location: FF_X71_Y46_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14));

-- Location: LCCOMB_X71_Y46_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\);

-- Location: FF_X71_Y46_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15));

-- Location: LCCOMB_X71_Y46_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\);

-- Location: FF_X71_Y46_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1));

-- Location: LCCOMB_X71_Y46_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\);

-- Location: FF_X71_Y46_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2));

-- Location: LCCOMB_X71_Y46_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\);

-- Location: FF_X71_Y46_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3));

-- Location: LCCOMB_X70_Y45_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\);

-- Location: FF_X70_Y45_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5));

-- Location: LCCOMB_X70_Y45_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\);

-- Location: FF_X70_Y45_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6));

-- Location: LCCOMB_X70_Y45_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\);

-- Location: FF_X70_Y45_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7));

-- Location: LCCOMB_X70_Y45_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\);

-- Location: FF_X70_Y45_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4));

-- Location: LCCOMB_X72_Y47_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~5_combout\);

-- Location: LCCOMB_X72_Y47_N22
\~QIC_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QIC_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QIC_CREATED_GND~I_combout\);

-- Location: LCCOMB_X71_Y45_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0_combout\);

-- Location: LCCOMB_X72_Y48_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\);

-- Location: FF_X72_Y48_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9));

-- Location: FF_X72_Y48_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8));

-- Location: LCCOMB_X72_Y48_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\);

-- Location: FF_X72_Y48_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7));

-- Location: LCCOMB_X72_Y48_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\);

-- Location: FF_X72_Y48_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6));

-- Location: FF_X72_Y48_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5));

-- Location: LCCOMB_X72_Y48_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\);

-- Location: FF_X72_Y48_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4));

-- Location: LCCOMB_X72_Y48_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\);

-- Location: FF_X72_Y48_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3));

-- Location: LCCOMB_X72_Y48_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\);

-- Location: FF_X72_Y48_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2));

-- Location: LCCOMB_X72_Y48_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\);

-- Location: FF_X72_Y48_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1));

-- Location: LCCOMB_X72_Y48_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\);

-- Location: LCCOMB_X72_Y48_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\);

-- Location: FF_X72_Y48_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0));

-- Location: LCCOMB_X72_Y48_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\);

-- Location: LCCOMB_X72_Y48_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\);

-- Location: FF_X72_Y48_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\);

-- Location: LCCOMB_X71_Y45_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\);

-- Location: LCCOMB_X71_Y45_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~2_combout\);

-- Location: LCCOMB_X71_Y45_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\);

-- Location: FF_X71_Y45_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1));

-- Location: LCCOMB_X71_Y45_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\);

-- Location: LCCOMB_X70_Y45_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\);

-- Location: FF_X70_Y45_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\);

-- Location: LCCOMB_X71_Y45_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\);

-- Location: FF_X71_Y45_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2));

-- Location: LCCOMB_X71_Y46_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\);

-- Location: FF_X71_Y46_N1
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\);

-- Location: FF_X72_Y47_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~5_combout\,
	asdata => \~QIC_CREATED_GND~I_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4));

-- Location: LCCOMB_X71_Y45_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\);

-- Location: LCCOMB_X71_Y45_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~7_combout\);

-- Location: FF_X71_Y45_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~7_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0));

-- Location: LCCOMB_X71_Y45_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~6_combout\);

-- Location: LCCOMB_X70_Y45_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~6_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~7_combout\);

-- Location: LCCOMB_X70_Y45_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~7_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~8_combout\);

-- Location: FF_X70_Y45_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]~8_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3));

-- Location: LCCOMB_X70_Y44_N16
\~GND\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~GND~combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~GND~combout\);

-- Location: LCCOMB_X70_Y45_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \~GND~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~4_combout\);

-- Location: LCCOMB_X71_Y45_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~1_combout\);

-- Location: LCCOMB_X70_Y45_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\);

-- Location: FF_X70_Y45_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~4_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2));

-- Location: LCCOMB_X70_Y45_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \~GND~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~3_combout\);

-- Location: FF_X70_Y45_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1));

-- Location: LCCOMB_X70_Y45_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \~GND~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\);

-- Location: FF_X70_Y45_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0));

-- Location: LCCOMB_X71_Y45_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\);

-- Location: LCCOMB_X75_Y48_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => VCC,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\);

-- Location: LCCOMB_X75_Y48_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal7~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal7~0_combout\);

-- Location: LCCOMB_X75_Y48_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal7~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\);

-- Location: LCCOMB_X72_Y48_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\);

-- Location: FF_X72_Y48_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\);

-- Location: LCCOMB_X75_Y48_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\);

-- Location: FF_X75_Y48_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0));

-- Location: LCCOMB_X75_Y48_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~9_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~10\);

-- Location: FF_X75_Y48_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~9_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1));

-- Location: LCCOMB_X75_Y48_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~10\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~11_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~12\);

-- Location: FF_X75_Y48_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~11_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2));

-- Location: LCCOMB_X75_Y48_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~12\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~13_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~14\);

-- Location: FF_X75_Y48_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~13_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3));

-- Location: LCCOMB_X75_Y48_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~14\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~15_combout\);

-- Location: FF_X75_Y48_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~15_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4));

-- Location: LCCOMB_X75_Y49_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\);

-- Location: LCCOMB_X71_Y45_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\);

-- Location: LCCOMB_X71_Y49_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\);

-- Location: FF_X75_Y49_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3));

-- Location: LCCOMB_X75_Y49_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\);

-- Location: FF_X75_Y49_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2));

-- Location: LCCOMB_X75_Y49_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\);

-- Location: FF_X75_Y49_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1));

-- Location: LCCOMB_X75_Y49_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\);

-- Location: FF_X75_Y49_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(0));

-- Location: LCCOMB_X71_Y49_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\);

-- Location: FF_X75_Y49_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(0));

-- Location: LCCOMB_X75_Y49_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\);

-- Location: LCCOMB_X75_Y49_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\);

-- Location: LCCOMB_X75_Y49_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\);

-- Location: LCCOMB_X74_Y49_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\);

-- Location: FF_X75_Y49_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(1));

-- Location: LCCOMB_X75_Y49_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\);

-- Location: LCCOMB_X74_Y49_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\);

-- Location: LCCOMB_X75_Y49_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000110000110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\);

-- Location: LCCOMB_X74_Y49_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\);

-- Location: LCCOMB_X75_Y49_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000111010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\);

-- Location: FF_X75_Y49_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(2));

-- Location: LCCOMB_X75_Y49_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\);

-- Location: LCCOMB_X75_Y49_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\);

-- Location: LCCOMB_X74_Y49_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\);

-- Location: FF_X75_Y49_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(3));

-- Location: LCCOMB_X75_Y49_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\);

-- Location: LCCOMB_X75_Y49_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001001100000110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\);

-- Location: LCCOMB_X75_Y49_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\);

-- Location: LCCOMB_X74_Y49_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\);

-- Location: LCCOMB_X75_Y49_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\);

-- Location: LCCOMB_X74_Y49_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\);

-- Location: FF_X74_Y49_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3));

-- Location: LCCOMB_X74_Y49_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\);

-- Location: FF_X74_Y49_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2));

-- Location: LCCOMB_X74_Y49_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\);

-- Location: FF_X74_Y49_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1));

-- Location: LCCOMB_X74_Y49_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\);

-- Location: FF_X74_Y49_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0));

-- Location: LCCOMB_X74_Y45_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\);

-- Location: LCCOMB_X74_Y44_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\);

-- Location: LCCOMB_X71_Y45_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\);

-- Location: FF_X71_Y45_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\);

-- Location: FF_X71_Y45_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\);

-- Location: FF_X71_Y45_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\);

-- Location: LCCOMB_X74_Y45_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\);

-- Location: LCCOMB_X70_Y46_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\);

-- Location: LCCOMB_X70_Y46_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\);

-- Location: LCCOMB_X70_Y46_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TMSUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \altera_internal_jtag~TDIUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\);

-- Location: LCCOMB_X70_Y46_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TMSUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\);

-- Location: LCCOMB_X70_Y46_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\);

-- Location: FF_X70_Y46_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3));

-- Location: LCCOMB_X75_Y45_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\);

-- Location: LCCOMB_X74_Y45_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\);

-- Location: LCCOMB_X74_Y45_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\);

-- Location: FF_X74_Y45_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\);

-- Location: FF_X74_Y44_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\);

-- Location: LCCOMB_X74_Y44_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X74_Y44_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0));

-- Location: LCCOMB_X74_Y44_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X74_Y44_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1));

-- Location: LCCOMB_X74_Y44_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\);

-- Location: FF_X74_Y44_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2));

-- Location: LCCOMB_X74_Y44_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X74_Y44_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3));

-- Location: LCCOMB_X74_Y44_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X74_Y44_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4));

-- Location: LCCOMB_X74_Y44_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X74_Y44_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5));

-- Location: LCCOMB_X74_Y44_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\);

-- Location: FF_X74_Y44_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(6));

-- Location: FF_X74_Y45_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(6),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\);

-- Location: LCCOMB_X74_Y45_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X74_Y45_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\);

-- Location: LCCOMB_X74_Y45_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X74_Y45_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0));

-- Location: LCCOMB_X74_Y45_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X74_Y45_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1));

-- Location: LCCOMB_X75_Y45_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\);

-- Location: LCCOMB_X74_Y44_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)) # 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\);

-- Location: LCCOMB_X74_Y45_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ 
-- & (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\);

-- Location: FF_X75_Y45_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2));

-- Location: LCCOMB_X77_Y41_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\ = 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\);

-- Location: LCCOMB_X77_Y41_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\);

-- Location: FF_X77_Y41_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\);

-- Location: LCCOMB_X77_Y41_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X77_Y41_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\);

-- Location: LCCOMB_X77_Y41_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X77_Y41_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0));

-- Location: LCCOMB_X77_Y41_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X77_Y41_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1));

-- Location: LCCOMB_X75_Y45_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1)))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\);

-- Location: FF_X75_Y45_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1));

-- Location: LCCOMB_X77_Y41_N8
\sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: IOIBUF_X31_Y39_N8
\fpga_resetn~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_fpga_resetn,
	o => \fpga_resetn~input_o\);

-- Location: FF_X77_Y41_N9
\sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X77_Y41_N26
\sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X77_Y41_N27
\sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X77_Y41_N20
\sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X77_Y41_N21
\sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: LCCOMB_X77_Y41_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X77_Y41_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\);

-- Location: LCCOMB_X77_Y41_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X77_Y41_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0));

-- Location: LCCOMB_X77_Y41_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X77_Y41_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1));

-- Location: LCCOMB_X75_Y45_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1)))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\);

-- Location: FF_X75_Y45_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0));

-- Location: LCCOMB_X74_Y48_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) $ (VCC)
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ = 
-- CARRY(\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => VCC,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\);

-- Location: LCCOMB_X72_Y48_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\);

-- Location: LCCOMB_X72_Y45_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\);

-- Location: LCCOMB_X76_Y45_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\);

-- Location: LCCOMB_X74_Y48_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\);

-- Location: LCCOMB_X74_Y48_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\);

-- Location: LCCOMB_X74_Y45_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\);

-- Location: FF_X74_Y48_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1));

-- Location: LCCOMB_X74_Y48_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\);

-- Location: LCCOMB_X74_Y44_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\);

-- Location: FF_X74_Y48_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2));

-- Location: LCCOMB_X74_Y48_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\);

-- Location: LCCOMB_X74_Y46_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & (\altera_internal_jtag~TDIUTAP\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\);

-- Location: LCCOMB_X74_Y45_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\);

-- Location: FF_X74_Y46_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8));

-- Location: LCCOMB_X74_Y46_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\);

-- Location: FF_X74_Y46_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7));

-- Location: LCCOMB_X74_Y46_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\);

-- Location: FF_X74_Y46_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6));

-- Location: LCCOMB_X74_Y46_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\);

-- Location: FF_X74_Y46_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5));

-- Location: LCCOMB_X74_Y46_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\);

-- Location: FF_X74_Y46_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4));

-- Location: LCCOMB_X74_Y46_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\);

-- Location: FF_X74_Y46_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3));

-- Location: LCCOMB_X74_Y46_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\);

-- Location: FF_X74_Y46_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2));

-- Location: LCCOMB_X72_Y46_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\);

-- Location: FF_X74_Y46_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1));

-- Location: LCCOMB_X72_Y46_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[1]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[1]~feeder_combout\);

-- Location: LCCOMB_X72_Y45_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\);

-- Location: LCCOMB_X72_Y45_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\);

-- Location: FF_X72_Y46_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[1]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1));

-- Location: LCCOMB_X74_Y46_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\);

-- Location: FF_X74_Y46_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0));

-- Location: FF_X72_Y45_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0));

-- Location: LCCOMB_X72_Y46_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[2]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[2]~feeder_combout\);

-- Location: FF_X72_Y46_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[2]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2));

-- Location: LCCOMB_X72_Y45_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0) & !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\);

-- Location: FF_X74_Y46_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3));

-- Location: LCCOMB_X74_Y46_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3) & VCC)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3) $ (VCC)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	datad => VCC,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\);

-- Location: LCCOMB_X74_Y48_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\);

-- Location: FF_X74_Y48_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3));

-- Location: LCCOMB_X74_Y48_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\);

-- Location: FF_X74_Y46_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4));

-- Location: LCCOMB_X74_Y46_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\);

-- Location: LCCOMB_X74_Y48_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4)))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\);

-- Location: FF_X74_Y48_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4));

-- Location: LCCOMB_X74_Y48_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\);

-- Location: FF_X74_Y46_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5));

-- Location: LCCOMB_X74_Y46_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ $ (GND))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ & VCC))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\);

-- Location: LCCOMB_X74_Y48_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\);

-- Location: FF_X74_Y48_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5));

-- Location: LCCOMB_X74_Y48_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\);

-- Location: FF_X74_Y46_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6));

-- Location: LCCOMB_X74_Y46_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\);

-- Location: LCCOMB_X74_Y48_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\);

-- Location: FF_X74_Y48_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6));

-- Location: LCCOMB_X75_Y48_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\);

-- Location: LCCOMB_X74_Y48_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\);

-- Location: FF_X74_Y46_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7));

-- Location: LCCOMB_X74_Y46_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ $ (GND))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ & VCC))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\);

-- Location: LCCOMB_X74_Y48_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\);

-- Location: FF_X74_Y48_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7));

-- Location: LCCOMB_X74_Y48_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8) $ 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\);

-- Location: LCCOMB_X74_Y46_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\);

-- Location: LCCOMB_X75_Y48_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\);

-- Location: FF_X74_Y48_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8));

-- Location: LCCOMB_X74_Y48_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) 
-- & !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\);

-- Location: LCCOMB_X75_Y48_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\);

-- Location: LCCOMB_X75_Y41_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\);

-- Location: LCCOMB_X75_Y45_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\);

-- Location: LCCOMB_X76_Y45_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\);

-- Location: FF_X76_Y45_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0));

-- Location: LCCOMB_X75_Y45_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1) $ 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\);

-- Location: LCCOMB_X75_Y45_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\) # 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\);

-- Location: FF_X75_Y45_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1));

-- Location: LCCOMB_X75_Y45_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) $ 
-- (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\);

-- Location: FF_X75_Y45_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2));

-- Location: LCCOMB_X75_Y45_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1)) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\);

-- Location: LCCOMB_X75_Y45_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) $ 
-- (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\);

-- Location: FF_X75_Y45_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3));

-- Location: LCCOMB_X75_Y45_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\);

-- Location: LCCOMB_X76_Y45_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001110100011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\);

-- Location: LCCOMB_X76_Y45_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\);

-- Location: LCCOMB_X75_Y45_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ 
-- & (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\);

-- Location: FF_X76_Y45_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\);

-- Location: LCCOMB_X77_Y46_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\);

-- Location: LCCOMB_X77_Y45_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\)))) 
-- # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001111100010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\);

-- Location: LCCOMB_X77_Y45_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\);

-- Location: LCCOMB_X76_Y45_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ & 
-- (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\);

-- Location: FF_X76_Y45_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\);

-- Location: LCCOMB_X75_Y45_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\ = 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\);

-- Location: LCCOMB_X75_Y45_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\ = 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\);

-- Location: FF_X74_Y48_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0));

-- Location: LCCOMB_X75_Y44_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\);

-- Location: LCCOMB_X74_Y46_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\);

-- Location: LCCOMB_X74_Y46_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3) & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\);

-- Location: LCCOMB_X75_Y46_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\);

-- Location: LCCOMB_X75_Y46_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\);

-- Location: LCCOMB_X75_Y46_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\);

-- Location: LCCOMB_X72_Y46_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0) $ (VCC)
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ = 
-- CARRY(\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0),
	datad => VCC,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\);

-- Location: LCCOMB_X72_Y46_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\) 
-- # (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\);

-- Location: LCCOMB_X75_Y46_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\);

-- Location: FF_X72_Y46_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0),
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0));

-- Location: LCCOMB_X72_Y46_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ 
-- & VCC)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\);

-- Location: FF_X72_Y46_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1),
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1));

-- Location: LCCOMB_X72_Y46_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\);

-- Location: FF_X72_Y46_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2),
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2));

-- Location: LCCOMB_X72_Y46_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\);

-- Location: FF_X72_Y46_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3));

-- Location: LCCOMB_X72_Y46_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0) 
-- & !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\);

-- Location: LCCOMB_X72_Y46_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\);

-- Location: FF_X72_Y46_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4));

-- Location: LCCOMB_X72_Y46_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\);

-- Location: FF_X72_Y46_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5));

-- Location: LCCOMB_X72_Y46_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\);

-- Location: LCCOMB_X72_Y46_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\);

-- Location: FF_X72_Y46_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6));

-- Location: LCCOMB_X72_Y46_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7) $ 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7),
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\);

-- Location: FF_X72_Y46_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7));

-- Location: LCCOMB_X72_Y46_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\);

-- Location: LCCOMB_X72_Y46_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\);

-- Location: LCCOMB_X77_Y46_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111101111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\);

-- Location: FF_X77_Y46_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0));

-- Location: LCCOMB_X77_Y46_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) $ 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\);

-- Location: FF_X77_Y46_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1));

-- Location: LCCOMB_X77_Y46_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\);

-- Location: LCCOMB_X77_Y46_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\ $ 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\);

-- Location: FF_X77_Y46_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2));

-- Location: LCCOMB_X77_Y46_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0)) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1)) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\);

-- Location: LCCOMB_X77_Y46_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\ $ (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3))))) 
-- # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\);

-- Location: FF_X77_Y46_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3));

-- Location: LCCOMB_X77_Y46_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\);

-- Location: LCCOMB_X77_Y46_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\);

-- Location: LCCOMB_X77_Y46_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100100011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\);

-- Location: LCCOMB_X75_Y46_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\);

-- Location: FF_X75_Y46_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\);

-- Location: LCCOMB_X77_Y46_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\);

-- Location: LCCOMB_X77_Y46_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\);

-- Location: LCCOMB_X77_Y46_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\ & ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\) 
-- # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\);

-- Location: FF_X77_Y46_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\);

-- Location: LCCOMB_X75_Y44_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\);

-- Location: LCCOMB_X75_Y46_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\);

-- Location: FF_X75_Y46_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\);

-- Location: LCCOMB_X75_Y46_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\);

-- Location: LCCOMB_X75_Y46_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\) # 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\);

-- Location: FF_X75_Y46_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\);

-- Location: LCCOMB_X76_Y46_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\);

-- Location: LCCOMB_X77_Y46_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\);

-- Location: LCCOMB_X77_Y46_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~2_combout\);

-- Location: FF_X77_Y46_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\);

-- Location: LCCOMB_X75_Y46_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\);

-- Location: LCCOMB_X75_Y46_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\);

-- Location: FF_X75_Y46_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15));

-- Location: LCCOMB_X75_Y46_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\);

-- Location: FF_X75_Y46_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14));

-- Location: LCCOMB_X76_Y46_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\);

-- Location: FF_X74_Y43_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0));

-- Location: FF_X74_Y43_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1));

-- Location: LCCOMB_X74_Y43_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\);

-- Location: FF_X74_Y43_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2));

-- Location: LCCOMB_X74_Y43_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\);

-- Location: LCCOMB_X75_Y43_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\);

-- Location: FF_X75_Y43_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\);

-- Location: LCCOMB_X75_Y18_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\);

-- Location: LCCOMB_X76_Y46_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\);

-- Location: FF_X75_Y18_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7));

-- Location: LCCOMB_X75_Y18_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\);

-- Location: FF_X75_Y18_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6));

-- Location: LCCOMB_X75_Y18_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\);

-- Location: FF_X75_Y18_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5));

-- Location: LCCOMB_X75_Y18_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\);

-- Location: FF_X75_Y18_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4));

-- Location: LCCOMB_X75_Y18_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\);

-- Location: FF_X75_Y18_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3));

-- Location: LCCOMB_X75_Y18_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\);

-- Location: FF_X75_Y18_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2));

-- Location: FF_X75_Y18_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1));

-- Location: LCCOMB_X75_Y18_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\);

-- Location: LCCOMB_X76_Y46_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\);

-- Location: LCCOMB_X76_Y46_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0) & 
-- (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\);

-- Location: FF_X76_Y46_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0));

-- Location: LCCOMB_X76_Y46_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1) $ 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000100101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\);

-- Location: FF_X76_Y46_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1));

-- Location: LCCOMB_X76_Y46_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1)) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\);

-- Location: LCCOMB_X76_Y46_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\ $ 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000111100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\);

-- Location: FF_X76_Y46_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2));

-- Location: LCCOMB_X72_Y47_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\);

-- Location: LCCOMB_X75_Y46_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\) # 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\);

-- Location: LCCOMB_X76_Y46_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\);

-- Location: LCCOMB_X75_Y46_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\);

-- Location: FF_X75_Y46_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\);

-- Location: LCCOMB_X76_Y46_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\);

-- Location: FF_X75_Y47_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1));

-- Location: FF_X75_Y47_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \altera_internal_jtag~TDIUTAP\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2));

-- Location: LCCOMB_X75_Y46_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\);

-- Location: FF_X75_Y46_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13));

-- Location: FF_X74_Y47_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12));

-- Location: LCCOMB_X74_Y47_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\);

-- Location: FF_X74_Y47_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11));

-- Location: LCCOMB_X74_Y47_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder_combout\);

-- Location: FF_X74_Y47_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10));

-- Location: LCCOMB_X74_Y47_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\);

-- Location: FF_X74_Y47_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9));

-- Location: FF_X74_Y47_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5));

-- Location: FF_X74_Y47_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8));

-- Location: FF_X74_Y47_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4));

-- Location: LCCOMB_X74_Y47_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder_combout\);

-- Location: FF_X74_Y47_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7));

-- Location: FF_X74_Y47_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3));

-- Location: LCCOMB_X74_Y47_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\);

-- Location: FF_X74_Y47_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6));

-- Location: FF_X74_Y47_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2));

-- Location: LCCOMB_X74_Y47_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder_combout\);

-- Location: FF_X74_Y47_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5));

-- Location: LCCOMB_X75_Y46_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\);

-- Location: FF_X75_Y46_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(4));

-- Location: LCCOMB_X75_Y47_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder_combout\);

-- Location: FF_X75_Y47_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0));

-- Location: FF_X75_Y47_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1));

-- Location: LCCOMB_X74_Y47_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1),
	datad => VCC,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\);

-- Location: LCCOMB_X74_Y47_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\);

-- Location: LCCOMB_X74_Y47_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ $ (GND))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ & VCC))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\);

-- Location: LCCOMB_X74_Y47_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\);

-- Location: LCCOMB_X74_Y47_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ $ (GND))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ & VCC))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\);

-- Location: FF_X75_Y47_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0));

-- Location: LCCOMB_X75_Y47_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\);

-- Location: LCCOMB_X75_Y47_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\);

-- Location: LCCOMB_X75_Y47_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\);

-- Location: LCCOMB_X75_Y47_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\);

-- Location: LCCOMB_X75_Y47_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\);

-- Location: LCCOMB_X75_Y47_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\);

-- Location: LCCOMB_X75_Y47_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\);

-- Location: LCCOMB_X75_Y47_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\);

-- Location: LCCOMB_X76_Y46_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\);

-- Location: LCCOMB_X75_Y47_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0) $ (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\);

-- Location: LCCOMB_X75_Y47_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1))))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\);

-- Location: LCCOMB_X76_Y48_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\);

-- Location: LCCOMB_X75_Y48_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\);

-- Location: LCCOMB_X75_Y48_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\);

-- Location: LCCOMB_X76_Y48_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\);

-- Location: LCCOMB_X77_Y48_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\);

-- Location: LCCOMB_X77_Y48_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\);

-- Location: FF_X77_Y48_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0));

-- Location: LCCOMB_X76_Y48_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ = 
-- CARRY(\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	datad => VCC,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\);

-- Location: LCCOMB_X76_Y48_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\);

-- Location: LCCOMB_X76_Y48_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\);

-- Location: LCCOMB_X75_Y48_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\);

-- Location: FF_X76_Y48_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1));

-- Location: LCCOMB_X76_Y48_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\);

-- Location: LCCOMB_X76_Y48_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\);

-- Location: LCCOMB_X75_Y48_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\);

-- Location: FF_X76_Y48_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2));

-- Location: LCCOMB_X76_Y48_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\);

-- Location: LCCOMB_X77_Y48_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\);

-- Location: LCCOMB_X77_Y48_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\);

-- Location: LCCOMB_X77_Y48_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\);

-- Location: FF_X77_Y48_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3));

-- Location: LCCOMB_X76_Y48_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\);

-- Location: LCCOMB_X77_Y48_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\);

-- Location: LCCOMB_X77_Y48_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\);

-- Location: LCCOMB_X77_Y48_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\);

-- Location: FF_X77_Y48_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4));

-- Location: LCCOMB_X76_Y48_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\);

-- Location: LCCOMB_X77_Y48_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\);

-- Location: LCCOMB_X77_Y48_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\);

-- Location: LCCOMB_X77_Y48_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\);

-- Location: FF_X77_Y48_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5));

-- Location: LCCOMB_X76_Y48_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\);

-- Location: LCCOMB_X77_Y48_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\);

-- Location: LCCOMB_X77_Y48_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\);

-- Location: LCCOMB_X77_Y48_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\);

-- Location: FF_X77_Y48_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6));

-- Location: LCCOMB_X76_Y48_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\);

-- Location: LCCOMB_X76_Y48_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\);

-- Location: LCCOMB_X77_Y48_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\);

-- Location: FF_X76_Y48_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7));

-- Location: LCCOMB_X76_Y48_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\);

-- Location: LCCOMB_X75_Y47_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\);

-- Location: LCCOMB_X75_Y47_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\);

-- Location: LCCOMB_X75_Y47_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\);

-- Location: LCCOMB_X76_Y48_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\);

-- Location: FF_X76_Y48_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8));

-- Location: LCCOMB_X76_Y47_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\);

-- Location: LCCOMB_X76_Y46_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\);

-- Location: FF_X76_Y46_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9));

-- Location: LCCOMB_X76_Y47_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\);

-- Location: LCCOMB_X76_Y46_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\);

-- Location: LCCOMB_X75_Y47_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\);

-- Location: LCCOMB_X75_Y46_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\);

-- Location: LCCOMB_X76_Y46_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\);

-- Location: FF_X76_Y46_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10));

-- Location: LCCOMB_X76_Y47_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\);

-- Location: LCCOMB_X76_Y47_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\);

-- Location: FF_X76_Y47_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11));

-- Location: LCCOMB_X76_Y47_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\);

-- Location: LCCOMB_X76_Y47_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\);

-- Location: FF_X76_Y47_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12));

-- Location: LCCOMB_X76_Y47_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\);

-- Location: LCCOMB_X76_Y47_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\);

-- Location: FF_X76_Y47_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13));

-- Location: LCCOMB_X76_Y47_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\);

-- Location: LCCOMB_X75_Y47_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\);

-- Location: LCCOMB_X77_Y47_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\);

-- Location: FF_X74_Y47_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6));

-- Location: LCCOMB_X74_Y47_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\);

-- Location: LCCOMB_X77_Y47_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\);

-- Location: LCCOMB_X77_Y47_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\);

-- Location: FF_X77_Y47_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14));

-- Location: LCCOMB_X76_Y47_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\);

-- Location: LCCOMB_X77_Y47_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\);

-- Location: FF_X74_Y47_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7));

-- Location: LCCOMB_X74_Y47_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ $ (GND))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ & VCC))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\);

-- Location: LCCOMB_X77_Y47_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\);

-- Location: LCCOMB_X77_Y47_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\);

-- Location: FF_X77_Y47_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15));

-- Location: LCCOMB_X76_Y47_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & ((GND) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ $ (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\);

-- Location: LCCOMB_X77_Y47_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\);

-- Location: FF_X74_Y47_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8));

-- Location: LCCOMB_X74_Y47_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\);

-- Location: LCCOMB_X77_Y47_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\);

-- Location: LCCOMB_X77_Y47_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\);

-- Location: FF_X77_Y47_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16));

-- Location: LCCOMB_X77_Y47_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\);

-- Location: FF_X74_Y47_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9));

-- Location: LCCOMB_X74_Y47_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ $ (GND))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ & VCC))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\);

-- Location: LCCOMB_X74_Y47_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\);

-- Location: LCCOMB_X77_Y47_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\);

-- Location: LCCOMB_X76_Y47_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ = 
-- CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\);

-- Location: LCCOMB_X77_Y47_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\);

-- Location: LCCOMB_X77_Y47_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\);

-- Location: LCCOMB_X77_Y47_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\);

-- Location: FF_X77_Y47_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17));

-- Location: LCCOMB_X76_Y47_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ $ 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\);

-- Location: LCCOMB_X77_Y47_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\);

-- Location: FF_X77_Y47_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18));

-- Location: LCCOMB_X76_Y47_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\);

-- Location: LCCOMB_X76_Y47_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\);

-- Location: LCCOMB_X77_Y48_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\);

-- Location: LCCOMB_X76_Y48_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\);

-- Location: LCCOMB_X77_Y47_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\);

-- Location: LCCOMB_X76_Y47_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16)) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18)) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\);

-- Location: FF_X76_Y47_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\);

-- Location: LCCOMB_X76_Y46_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\ 
-- & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\);

-- Location: LCCOMB_X76_Y46_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\);

-- Location: FF_X75_Y18_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0));

-- Location: LCCOMB_X74_Y18_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\);

-- Location: LCCOMB_X75_Y37_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\);

-- Location: CLKCTRL_G6
\sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\);

-- Location: FF_X75_Y37_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\);

-- Location: LCCOMB_X75_Y37_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X75_Y37_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0));

-- Location: LCCOMB_X75_Y37_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X75_Y37_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1));

-- Location: LCCOMB_X75_Y18_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\);

-- Location: FF_X75_Y18_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2));

-- Location: LCCOMB_X75_Y18_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\);

-- Location: FF_X75_Y18_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1));

-- Location: LCCOMB_X76_Y19_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~feeder_combout\);

-- Location: FF_X76_Y19_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\);

-- Location: LCCOMB_X75_Y18_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\);

-- Location: FF_X75_Y18_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6));

-- Location: LCCOMB_X75_Y18_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\);

-- Location: FF_X75_Y18_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4));

-- Location: FF_X75_Y18_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3));

-- Location: FF_X75_Y18_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5));

-- Location: LCCOMB_X75_Y18_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\);

-- Location: LCCOMB_X75_Y18_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\);

-- Location: FF_X75_Y18_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7));

-- Location: LCCOMB_X76_Y18_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\);

-- Location: LCCOMB_X75_Y18_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\);

-- Location: LCCOMB_X76_Y18_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\);

-- Location: LCCOMB_X76_Y18_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\);

-- Location: FF_X76_Y18_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\);

-- Location: LCCOMB_X75_Y18_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\ = 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1)) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\);

-- Location: LCCOMB_X76_Y18_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\);

-- Location: FF_X74_Y18_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0));

-- Location: LCCOMB_X74_Y18_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\);

-- Location: FF_X74_Y18_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(0));

-- Location: LCCOMB_X74_Y14_N12
\sleep_mode_qsys_u0|master_0|fifo|wr_ptr[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|wr_ptr[0]~0_combout\ = !\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0),
	combout => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr[0]~0_combout\);

-- Location: FF_X74_Y14_N13
\sleep_mode_qsys_u0|master_0|fifo|wr_ptr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr[0]~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0));

-- Location: LCCOMB_X74_Y14_N10
\sleep_mode_qsys_u0|master_0|fifo|Add0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add0~3_combout\ = \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1) $ (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add0~3_combout\);

-- Location: FF_X74_Y14_N11
\sleep_mode_qsys_u0|master_0|fifo|wr_ptr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|Add0~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1));

-- Location: LCCOMB_X74_Y14_N18
\sleep_mode_qsys_u0|master_0|fifo|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add0~4_combout\ = \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2) $ (((\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0) & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0),
	datac => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add0~4_combout\);

-- Location: FF_X74_Y14_N19
\sleep_mode_qsys_u0|master_0|fifo|wr_ptr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|Add0~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2));

-- Location: LCCOMB_X74_Y14_N2
\sleep_mode_qsys_u0|master_0|fifo|Add0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add0~1_combout\ = \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(3) $ (((\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0) & (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2) & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0),
	datab => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2),
	datac => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(3),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add0~1_combout\);

-- Location: FF_X74_Y14_N3
\sleep_mode_qsys_u0|master_0|fifo|wr_ptr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|Add0~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(3));

-- Location: LCCOMB_X74_Y14_N26
\sleep_mode_qsys_u0|master_0|fifo|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0) & (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(3) & (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2) & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0),
	datab => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(3),
	datac => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\);

-- Location: LCCOMB_X75_Y14_N30
\sleep_mode_qsys_u0|master_0|fifo|Add0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add0~5_combout\ = \sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\ $ (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add0~5_combout\);

-- Location: FF_X75_Y14_N31
\sleep_mode_qsys_u0|master_0|fifo|wr_ptr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|Add0~5_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4));

-- Location: LCCOMB_X75_Y14_N0
\sleep_mode_qsys_u0|master_0|fifo|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add0~2_combout\ = \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(5) $ (((\sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\ & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100001111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4),
	datac => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(5),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add0~2_combout\);

-- Location: FF_X75_Y14_N1
\sleep_mode_qsys_u0|master_0|fifo|wr_ptr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|Add0~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(5));

-- Location: FF_X75_Y14_N9
\sleep_mode_qsys_u0|master_0|fifo|rd_ptr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0));

-- Location: FF_X74_Y14_N15
\sleep_mode_qsys_u0|master_0|fifo|rd_ptr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2));

-- Location: LCCOMB_X75_Y14_N14
\sleep_mode_qsys_u0|master_0|fifo|out_valid_NEW68\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|out_valid_OTERM69\ = (\sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\ & (\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\)) # (!\sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|fifo|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|out_valid_OTERM69\);

-- Location: FF_X75_Y14_N15
\sleep_mode_qsys_u0|master_0|fifo|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|out_valid_OTERM69\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\);

-- Location: LCCOMB_X75_Y14_N28
\sleep_mode_qsys_u0|master_0|fifo|read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\) # (!\sleep_mode_qsys_u0|master_0|fifo|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\);

-- Location: LCCOMB_X74_Y14_N14
\sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2) $ (((\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1) & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0) & 
-- \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1),
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2),
	datad => \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\);

-- Location: FF_X74_Y14_N7
\sleep_mode_qsys_u0|master_0|fifo|rd_ptr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3));

-- Location: LCCOMB_X74_Y14_N6
\sleep_mode_qsys_u0|master_0|fifo|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add1~0_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1) & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0) & \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1),
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	datad => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add1~0_combout\);

-- Location: LCCOMB_X74_Y14_N28
\sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3) $ (((\sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\ & (\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\ & 
-- \sleep_mode_qsys_u0|master_0|fifo|Add1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3),
	datac => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|Add1~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\);

-- Location: FF_X74_Y14_N5
\sleep_mode_qsys_u0|master_0|fifo|rd_ptr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4));

-- Location: LCCOMB_X74_Y14_N4
\sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4) $ (((\sleep_mode_qsys_u0|master_0|fifo|Add1~0_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|read~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Add1~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4),
	datad => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3),
	combout => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\);

-- Location: FF_X75_Y14_N5
\sleep_mode_qsys_u0|master_0|fifo|rd_ptr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(5));

-- Location: LCCOMB_X75_Y14_N4
\sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(5) $ (((\sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4) & 
-- \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4),
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(5),
	datad => \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\);

-- Location: LCCOMB_X74_Y18_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\);

-- Location: FF_X74_Y18_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1));

-- Location: LCCOMB_X74_Y18_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\);

-- Location: FF_X74_Y18_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(1));

-- Location: LCCOMB_X74_Y18_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\);

-- Location: FF_X74_Y18_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2));

-- Location: LCCOMB_X74_Y18_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\);

-- Location: FF_X74_Y18_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(2));

-- Location: LCCOMB_X74_Y18_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\);

-- Location: FF_X74_Y18_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3));

-- Location: LCCOMB_X74_Y18_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\);

-- Location: FF_X74_Y18_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(3));

-- Location: LCCOMB_X74_Y18_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\);

-- Location: FF_X74_Y18_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4));

-- Location: LCCOMB_X74_Y18_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\);

-- Location: FF_X74_Y18_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(4));

-- Location: LCCOMB_X75_Y18_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5) $ 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\);

-- Location: LCCOMB_X74_Y18_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[5]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[5]~feeder_combout\);

-- Location: FF_X74_Y18_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[5]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5));

-- Location: LCCOMB_X74_Y18_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\);

-- Location: FF_X74_Y18_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(5));

-- Location: LCCOMB_X74_Y18_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\);

-- Location: FF_X74_Y18_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6));

-- Location: LCCOMB_X74_Y18_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\);

-- Location: FF_X74_Y18_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(6));

-- Location: LCCOMB_X74_Y18_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\);

-- Location: FF_X74_Y18_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7));

-- Location: LCCOMB_X74_Y18_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\);

-- Location: FF_X74_Y18_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(7));

-- Location: M9K_X73_Y14_N0
\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "sleep_mode_qsys:sleep_mode_qsys_u0|sleep_mode_qsys_master_0:master_0|altera_avalon_sc_fifo:fifo|altsyncram:mem_rtl_0|altsyncram_m4g1:auto_generated|ALTSYNCRAM",
	mixed_port_feed_through_mode => "old",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 6,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 63,
	port_a_logical_ram_depth => 64,
	port_a_logical_ram_width => 8,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "none",
	port_b_address_clock => "clock0",
	port_b_address_width => 6,
	port_b_data_out_clear => "none",
	port_b_data_out_clock => "none",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 63,
	port_b_logical_ram_depth => 64,
	port_b_logical_ram_width => 8,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock0",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \sleep_mode_qsys_u0|master_0|fifo|write~combout\,
	portbre => VCC,
	clk0 => \clk_50_max10~inputclkctrl_outclk\,
	portadatain => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\,
	portaaddr => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\,
	portbaddr => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\);

-- Location: LCCOMB_X74_Y10_N2
\sleep_mode_qsys_u0|master_0|fifo|out_payload[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload[0]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0~portbdataout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0~portbdataout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|out_payload[0]~feeder_combout\);

-- Location: FF_X74_Y10_N3
\sleep_mode_qsys_u0|master_0|fifo|out_payload[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|out_payload[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0));

-- Location: LCCOMB_X74_Y10_N16
\sleep_mode_qsys_u0|master_0|fifo|out_payload[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload[2]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a2\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a2\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|out_payload[2]~feeder_combout\);

-- Location: FF_X74_Y10_N17
\sleep_mode_qsys_u0|master_0|fifo|out_payload[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|out_payload[2]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2));

-- Location: LCCOMB_X74_Y10_N8
\sleep_mode_qsys_u0|master_0|fifo|out_payload[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload[1]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a1\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a1\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|out_payload[1]~feeder_combout\);

-- Location: FF_X74_Y10_N9
\sleep_mode_qsys_u0|master_0|fifo|out_payload[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|out_payload[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(1));

-- Location: LCCOMB_X74_Y10_N18
\sleep_mode_qsys_u0|master_0|fifo|out_payload[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload[3]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a3\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a3\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|out_payload[3]~feeder_combout\);

-- Location: FF_X74_Y10_N19
\sleep_mode_qsys_u0|master_0|fifo|out_payload[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|out_payload[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3));

-- Location: LCCOMB_X75_Y10_N20
\sleep_mode_qsys_u0|master_0|b2p|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|Equal2~0_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|Equal0~0_OTERM57\ & (\sleep_mode_qsys_u0|master_0|fifo|out_payload\(2) & (!\sleep_mode_qsys_u0|master_0|fifo|out_payload\(1) & 
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_OTERM57\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2),
	datac => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(1),
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3),
	combout => \sleep_mode_qsys_u0|master_0|b2p|Equal2~0_combout\);

-- Location: LCCOMB_X75_Y10_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\ & \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\);

-- Location: LCCOMB_X75_Y10_N16
\sleep_mode_qsys_u0|master_0|b2p|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|received_esc~0_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|received_esc~q\ & (((!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\)))) # (!\sleep_mode_qsys_u0|master_0|b2p|received_esc~q\ & 
-- (\sleep_mode_qsys_u0|master_0|fifo|out_payload\(0) & (\sleep_mode_qsys_u0|master_0|b2p|Equal2~0_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	datab => \sleep_mode_qsys_u0|master_0|b2p|Equal2~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|received_esc~0_combout\);

-- Location: FF_X75_Y10_N17
\sleep_mode_qsys_u0|master_0|b2p|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|b2p|received_esc~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\);

-- Location: LCCOMB_X75_Y10_N10
\sleep_mode_qsys_u0|master_0|b2p|received_channel~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|received_channel~2_combout\ = (!\sleep_mode_qsys_u0|master_0|fifo|out_payload\(0) & (!\sleep_mode_qsys_u0|master_0|b2p|received_channel~q\ & (!\sleep_mode_qsys_u0|master_0|b2p|received_esc~q\ & 
-- \sleep_mode_qsys_u0|master_0|b2p|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	datab => \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\,
	datac => \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|Equal2~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|received_channel~2_combout\);

-- Location: LCCOMB_X75_Y10_N18
\sleep_mode_qsys_u0|master_0|b2p|received_channel~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|received_channel~3_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|received_channel~2_combout\) # ((\sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\ & \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|received_channel~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|received_channel~3_combout\);

-- Location: FF_X75_Y10_N19
\sleep_mode_qsys_u0|master_0|b2p|received_channel\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|b2p|received_channel~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\);

-- Location: LCCOMB_X75_Y10_N30
\sleep_mode_qsys_u0|master_0|b2p|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|Equal0~1_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|Equal0~0_OTERM57\ & (!\sleep_mode_qsys_u0|master_0|fifo|out_payload\(2) & (\sleep_mode_qsys_u0|master_0|fifo|out_payload\(1) & 
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_OTERM57\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2),
	datac => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(1),
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3),
	combout => \sleep_mode_qsys_u0|master_0|b2p|Equal0~1_combout\);

-- Location: LCCOMB_X75_Y10_N8
\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~0_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\) # ((!\sleep_mode_qsys_u0|master_0|fifo|out_payload\(0) & (\sleep_mode_qsys_u0|master_0|b2p|Equal0~1_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|b2p|received_esc~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	datab => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|b2p|Equal0~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~0_combout\);

-- Location: LCCOMB_X75_Y10_N22
\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~1_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~0_combout\ & ((\sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\) # ((\sleep_mode_qsys_u0|master_0|b2p|received_channel~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\,
	datac => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~1_combout\);

-- Location: FF_X75_Y10_N23
\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\);

-- Location: LCCOMB_X71_Y7_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\);

-- Location: FF_X71_Y7_N17
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\);

-- Location: LCCOMB_X71_Y7_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~52_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\ & ((!\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~52_combout\);

-- Location: FF_X71_Y7_N21
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~52_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\);

-- Location: LCCOMB_X71_Y7_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~53_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (!\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~53_combout\);

-- Location: FF_X71_Y7_N5
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~53_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\);

-- Location: LCCOMB_X71_Y10_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~56_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & (!\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~56_combout\);

-- Location: FF_X71_Y10_N19
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~56_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\);

-- Location: LCCOMB_X71_Y10_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~57_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ & ((!\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~57_combout\);

-- Location: FF_X71_Y10_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~57_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\);

-- Location: LCCOMB_X71_Y10_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~58_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ & ((!\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~58_combout\);

-- Location: FF_X71_Y10_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~58_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\);

-- Location: LCCOMB_X75_Y10_N12
\sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~0_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\) # ((\sleep_mode_qsys_u0|master_0|fifo|out_payload\(0) & (!\sleep_mode_qsys_u0|master_0|b2p|received_esc~q\ & 
-- \sleep_mode_qsys_u0|master_0|b2p|Equal0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	datab => \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\,
	datac => \sleep_mode_qsys_u0|master_0|b2p|Equal0~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~0_combout\);

-- Location: LCCOMB_X75_Y10_N14
\sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~1_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~0_combout\ & ((\sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\) # ((\sleep_mode_qsys_u0|master_0|b2p|received_channel~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~1_combout\);

-- Location: FF_X75_Y10_N15
\sleep_mode_qsys_u0|master_0|b2p|out_endofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\);

-- Location: LCCOMB_X69_Y10_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & ((\sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\);

-- Location: LCCOMB_X69_Y10_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~1_combout\);

-- Location: FF_X69_Y10_N15
\sleep_mode_qsys_u0|master_0|transacto|p2m|write\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\);

-- Location: LCCOMB_X65_Y8_N14
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\);

-- Location: LCCOMB_X70_Y8_N30
\sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: FF_X70_Y8_N31
\sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X70_Y8_N20
\sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X70_Y8_N21
\sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X70_Y8_N28
\sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X70_Y8_N29
\sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: FF_X65_Y8_N15
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\);

-- Location: FF_X74_Y10_N31
\sleep_mode_qsys_u0|master_0|fifo|out_payload[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a5\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(5));

-- Location: LCCOMB_X74_Y10_N30
\sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\ = \sleep_mode_qsys_u0|master_0|fifo|out_payload\(5) $ (\sleep_mode_qsys_u0|master_0|b2p|received_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(5),
	datad => \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\);

-- Location: LCCOMB_X69_Y9_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5)) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & \sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\);

-- Location: LCCOMB_X69_Y9_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2)) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2))))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|fifo|out_payload\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\);

-- Location: LCCOMB_X71_Y10_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\);

-- Location: FF_X69_Y9_N15
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2));

-- Location: LCCOMB_X69_Y9_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2) $ 
-- (((!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\);

-- Location: FF_X71_Y8_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_NEW_REG4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\);

-- Location: FF_X71_Y10_N15
\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_NEW_REG98\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM99\);

-- Location: LCCOMB_X71_Y10_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~47_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~47_combout\);

-- Location: FF_X71_Y10_N5
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_NEW_REG112\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~47_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM113\);

-- Location: LCCOMB_X69_Y10_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector39~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector39~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\ & (((\sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector39~0_combout\);

-- Location: FF_X69_Y10_N29
\sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector39~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\);

-- Location: LCCOMB_X69_Y10_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\);

-- Location: FF_X70_Y10_N23
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_NEW_REG108\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM109\);

-- Location: FF_X70_Y10_N1
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_NEW_REG106\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM107\);

-- Location: LCCOMB_X71_Y10_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\);

-- Location: FF_X71_Y10_N21
\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_NEW_REG96\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM97\);

-- Location: LCCOMB_X69_Y10_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\);

-- Location: FF_X69_Y10_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_NEW_REG92\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM93\);

-- Location: LCCOMB_X71_Y8_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ $ 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\);

-- Location: LCCOMB_X70_Y10_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\);

-- Location: LCCOMB_X70_Y10_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ $ 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\);

-- Location: LCCOMB_X71_Y8_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\);

-- Location: FF_X71_Y8_N9
\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_NEW_REG94\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM95\);

-- Location: FF_X71_Y8_N19
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_NEW_REG36\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(1),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM37\);

-- Location: LCCOMB_X71_Y8_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM93\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM95\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM97\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM37\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM97\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM93\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM95\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM37\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\);

-- Location: LCCOMB_X70_Y10_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~46_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & (((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\)) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~46_combout\);

-- Location: FF_X70_Y10_N29
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_NEW_REG110\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~46_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM111\);

-- Location: LCCOMB_X70_Y10_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM107\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM113\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM109\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM111\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM113\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM109\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM107\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET_OTERM111\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\);

-- Location: FF_X72_Y10_N23
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_NEW_REG14\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(5),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM15\);

-- Location: LCCOMB_X74_Y10_N6
\sleep_mode_qsys_u0|master_0|fifo|out_payload[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload[4]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a4\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a4\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|out_payload[4]~feeder_combout\);

-- Location: FF_X74_Y10_N7
\sleep_mode_qsys_u0|master_0|fifo|out_payload[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|out_payload[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(4));

-- Location: LCCOMB_X70_Y9_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|command[4]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|out_payload\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(4),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|command[4]~feeder_combout\);

-- Location: FF_X70_Y9_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|command[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4));

-- Location: LCCOMB_X72_Y10_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4) & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\);

-- Location: FF_X72_Y10_N5
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_NEW_REG16\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM17\);

-- Location: FF_X72_Y10_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_NEW_REG12\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM13\);

-- Location: LCCOMB_X72_Y7_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~18_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~17\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ 
-- & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~17\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~19\ = CARRY((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~17\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~17\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~18_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~19\);

-- Location: LCCOMB_X72_Y7_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~20_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~19\ $ (GND))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~19\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~21\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~19\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~20_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~21\);

-- Location: LCCOMB_X71_Y8_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~20_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~20_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\);

-- Location: LCCOMB_X74_Y8_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\);

-- Location: LCCOMB_X74_Y8_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\);

-- Location: LCCOMB_X72_Y7_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ $ (VCC))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0) & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~1\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0) & \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => VCC,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~0_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~1\);

-- Location: LCCOMB_X72_Y8_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~0_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0) $ (VCC))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0) & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\ = CARRY((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0),
	datad => VCC,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~0_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\);

-- Location: LCCOMB_X71_Y8_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~0_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~0_combout\ 
-- & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\);

-- Location: LCCOMB_X74_Y8_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\);

-- Location: LCCOMB_X74_Y8_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\ & \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~2_combout\);

-- Location: FF_X74_Y8_N21
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector37~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0));

-- Location: LCCOMB_X72_Y7_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~1\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1) & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~1\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~3\ = CARRY((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~1\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~1\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~2_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~3\);

-- Location: LCCOMB_X72_Y8_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~2_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1) & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\) # (GND)))))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~3\ = CARRY((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\)) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~1\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~2_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~3\);

-- Location: LCCOMB_X74_Y8_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~2_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~2_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\);

-- Location: LCCOMB_X74_Y8_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\);

-- Location: LCCOMB_X74_Y8_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\ & \sleep_mode_qsys_u0|master_0|fifo|out_payload\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(1),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~2_combout\);

-- Location: FF_X74_Y8_N1
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector36~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1));

-- Location: LCCOMB_X72_Y7_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~3\ $ (GND))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2) & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~3\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~5\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~3\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~4_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~5\);

-- Location: LCCOMB_X72_Y8_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~4_combout\ = ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2) $ (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~3\)))) # (GND)
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\ = CARRY((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~3\))) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~3\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~4_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\);

-- Location: LCCOMB_X71_Y8_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~4_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~4_combout\ 
-- & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~4_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\);

-- Location: LCCOMB_X74_Y8_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\ & \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~2_combout\);

-- Location: FF_X74_Y8_N7
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector35~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2));

-- Location: LCCOMB_X72_Y7_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~5\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~5\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~7\ = CARRY((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~5\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~5\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~6_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~7\);

-- Location: LCCOMB_X72_Y8_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~6_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\) # (GND)))))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~7\ = CARRY((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\)) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~5\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~6_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~7\);

-- Location: LCCOMB_X74_Y8_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~6_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~6_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~6_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~1_combout\);

-- Location: FF_X74_Y8_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_NEW_REG142\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_OTERM143\);

-- Location: LCCOMB_X74_Y8_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61~feeder_combout\ = \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61~feeder_combout\);

-- Location: FF_X74_Y8_N5
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_NEW_REG60\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61\);

-- Location: FF_X74_Y8_N27
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_NEW_REG24\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM25\);

-- Location: LCCOMB_X74_Y8_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~0_combout\);

-- Location: FF_X74_Y8_N13
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_NEW_REG140\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_OTERM141\);

-- Location: LCCOMB_X74_Y8_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_OTERM143\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_OTERM141\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM25\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_OTERM143\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM25\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[3]_OTERM141\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\);

-- Location: LCCOMB_X72_Y8_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~8_combout\ = ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ $ (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~7\)))) # (GND)
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\ = CARRY((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~7\))) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~7\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~8_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\);

-- Location: LCCOMB_X72_Y7_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~8_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~7\ $ (GND))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~7\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~9\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~7\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~8_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~9\);

-- Location: LCCOMB_X74_Y8_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~8_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~8_combout\ 
-- & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~8_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~8_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~8_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~1_combout\);

-- Location: FF_X74_Y8_N11
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_NEW_REG130\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_OTERM131\);

-- Location: FF_X74_Y8_N19
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_NEW_REG20\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(4),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM21\);

-- Location: LCCOMB_X74_Y8_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~0_combout\);

-- Location: FF_X74_Y8_N17
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_NEW_REG128\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_OTERM129\);

-- Location: LCCOMB_X74_Y8_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_OTERM131\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_OTERM129\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM21\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_OTERM131\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM21\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[4]_OTERM129\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\);

-- Location: LCCOMB_X72_Y8_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~10_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\)) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\) # (GND)))))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~11\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ & (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ & ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~9\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~10_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~11\);

-- Location: LCCOMB_X72_Y7_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~10_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~9\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~9\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~11\ = CARRY((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~9\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~9\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~10_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~11\);

-- Location: LCCOMB_X71_Y7_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~10_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\);

-- Location: LCCOMB_X72_Y10_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~10_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~10_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\);

-- Location: FF_X72_Y10_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_NEW_REG62\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM63\);

-- Location: LCCOMB_X72_Y10_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM63\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM13\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM15\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM63\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM13\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM15\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[5]_OTERM61\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\);

-- Location: LCCOMB_X72_Y7_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~12_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~11\ $ (GND))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~11\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~13\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~11\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~12_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~13\);

-- Location: LCCOMB_X71_Y7_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~12_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~12_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\);

-- Location: LCCOMB_X72_Y8_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~12_combout\ = ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ $ (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~11\)))) # (GND)
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\ = CARRY((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~11\))) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~11\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~12_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\);

-- Location: LCCOMB_X71_Y7_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~12_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~12_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\);

-- Location: FF_X71_Y7_N13
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[6]_NEW_REG58\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[6]_OTERM59\);

-- Location: FF_X71_Y8_N21
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_NEW_REG2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\);

-- Location: FF_X71_Y7_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_NEW_REG44\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(6),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM45\);

-- Location: FF_X71_Y7_N19
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_NEW_REG50\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM51\);

-- Location: LCCOMB_X71_Y7_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[6]_OTERM59\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM45\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM51\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[6]_OTERM59\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM45\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM51\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\);

-- Location: LCCOMB_X72_Y8_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~14_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\)) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\) # (GND)))))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~15\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ & (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ & ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~13\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~14_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~15\);

-- Location: LCCOMB_X72_Y8_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~16_combout\ = ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ $ (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ $ (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~15\)))) # (GND)
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~15\))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~15\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~16_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\);

-- Location: LCCOMB_X72_Y8_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~18_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\)) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\) # (GND)))))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~19\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ & (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ & ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~17\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~18_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~19\);

-- Location: LCCOMB_X72_Y8_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~20_combout\ = ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ $ (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ $ (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~19\)))) # (GND)
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~19\))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~19\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~20_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\);

-- Location: LCCOMB_X71_Y8_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~20_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~20_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\);

-- Location: FF_X71_Y8_N17
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_NEW_REG30\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_OTERM31\);

-- Location: FF_X71_Y8_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_NEW_REG28\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_OTERM29\);

-- Location: LCCOMB_X71_Y8_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_OTERM31\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_OTERM29\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_OTERM31\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[10]_OTERM29\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\);

-- Location: LCCOMB_X72_Y8_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~22_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\)) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\) # (GND)))))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~23\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ & (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ & ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~21\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~22_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~23\);

-- Location: LCCOMB_X72_Y7_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~22_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~21\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ 
-- & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~21\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~23\ = CARRY((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~21\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~21\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~22_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~23\);

-- Location: LCCOMB_X71_Y7_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~22_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~22_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\);

-- Location: LCCOMB_X71_Y8_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~22_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~22_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\);

-- Location: FF_X71_Y8_N23
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_NEW_REG26\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM27\);

-- Location: LCCOMB_X71_Y8_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM27\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM25\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM27\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[11]_OTERM25\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\);

-- Location: LCCOMB_X72_Y7_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~24_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~23\ $ (GND))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~23\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~25\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~23\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~24_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~25\);

-- Location: LCCOMB_X71_Y7_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~24_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~24_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\);

-- Location: LCCOMB_X72_Y8_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~24_combout\ = ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ $ (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ $ (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~23\)))) # (GND)
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~23\))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~23\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~23\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~24_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\);

-- Location: LCCOMB_X71_Y8_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~24_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~24_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\);

-- Location: FF_X71_Y8_N5
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_NEW_REG22\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM23\);

-- Location: LCCOMB_X71_Y8_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM23\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM21\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM23\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[12]_OTERM21\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\);

-- Location: LCCOMB_X72_Y8_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~26_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\) # (GND)))))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~27\ = CARRY((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\)) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~25\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~26_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~27\);

-- Location: LCCOMB_X72_Y7_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~26_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~25\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ 
-- & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~25\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~27\ = CARRY((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~25\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~25\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~26_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~27\);

-- Location: LCCOMB_X72_Y10_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~26_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~26_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\);

-- Location: LCCOMB_X72_Y10_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~26_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~26_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\);

-- Location: FF_X72_Y10_N13
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_NEW_REG18\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM19\);

-- Location: LCCOMB_X72_Y10_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM19\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM17\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM15\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM13\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM15\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM17\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM13\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM19\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\);

-- Location: LCCOMB_X71_Y11_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\);

-- Location: LCCOMB_X70_Y11_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5))))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\);

-- Location: LCCOMB_X70_Y11_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\);

-- Location: FF_X71_Y9_N3
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(5));

-- Location: FF_X72_Y9_N29
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0));

-- Location: FF_X72_Y9_N11
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(1),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1));

-- Location: LCCOMB_X72_Y9_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ = ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0) & 
-- !\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\);

-- Location: LCCOMB_X70_Y11_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(5),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\);

-- Location: LCCOMB_X67_Y8_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ & (!\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\ & \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\);

-- Location: LCCOMB_X70_Y11_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(5)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(5),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\);

-- Location: LCCOMB_X70_Y8_N14
\sleep_mode_qsys_u0|product_info_0|Mux0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|Mux0~1_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) & \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \sleep_mode_qsys_u0|product_info_0|Mux0~1_combout\);

-- Location: LCCOMB_X65_Y8_N22
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\);

-- Location: LCCOMB_X71_Y10_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~49_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~49_combout\);

-- Location: LCCOMB_X69_Y10_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~50_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~49_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~49_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~50_combout\);

-- Location: FF_X69_Y10_N27
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~50_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\);

-- Location: LCCOMB_X67_Y8_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\);

-- Location: LCCOMB_X67_Y8_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~51_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~51_combout\);

-- Location: FF_X67_Y8_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~51_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\);

-- Location: LCCOMB_X67_Y8_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~1_combout\);

-- Location: FF_X67_Y8_N15
\sleep_mode_qsys_u0|master_0|transacto|p2m|read\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector83~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\);

-- Location: LCCOMB_X65_Y8_N2
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X65_Y8_N10
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ & 
-- !\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\);

-- Location: FF_X65_Y8_N11
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X65_Y8_N30
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\ & 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1)) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~2_combout\);

-- Location: FF_X65_Y8_N31
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~2_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X65_Y8_N0
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\ & 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1) & (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) $ 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X69_Y8_N20
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1)) # (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: LCCOMB_X69_Y8_N8
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~2_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ & (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~2_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X69_Y8_N9
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X69_Y8_N30
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & 
-- ((!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X69_Y8_N12
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & 
-- !\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0_combout\);

-- Location: LCCOMB_X69_Y8_N26
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ & (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X69_Y8_N27
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X69_Y8_N6
\sleep_mode_qsys_u0|product_info_0|process_0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\ & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	combout => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\);

-- Location: FF_X70_Y8_N15
\sleep_mode_qsys_u0|product_info_0|av_data_read[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|product_info_0|Mux0~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|product_info_0|av_data_read\(27));

-- Location: FF_X70_Y8_N7
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|product_info_0|av_data_read\(27),
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27));

-- Location: LCCOMB_X70_Y8_N6
\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(27),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\);

-- Location: FF_X70_Y11_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(18));

-- Location: LCCOMB_X70_Y11_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(18)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(18),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\);

-- Location: LCCOMB_X70_Y11_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ = ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\);

-- Location: LCCOMB_X70_Y11_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5) & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5) & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & (\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\);

-- Location: LCCOMB_X70_Y11_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\) # ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\);

-- Location: LCCOMB_X70_Y11_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\);

-- Location: FF_X70_Y11_N29
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5));

-- Location: LCCOMB_X71_Y11_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\);

-- Location: LCCOMB_X70_Y8_N22
\sleep_mode_qsys_u0|product_info_0|Mux0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|Mux0~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \sleep_mode_qsys_u0|product_info_0|Mux0~0_combout\);

-- Location: FF_X70_Y8_N23
\sleep_mode_qsys_u0|product_info_0|av_data_read[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|product_info_0|Mux0~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|product_info_0|av_data_read\(28));

-- Location: LCCOMB_X70_Y8_N2
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[28]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[28]~feeder_combout\ = \sleep_mode_qsys_u0|product_info_0|av_data_read\(28)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|product_info_0|av_data_read\(28),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[28]~feeder_combout\);

-- Location: FF_X70_Y8_N3
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[28]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(28));

-- Location: LCCOMB_X71_Y11_N22
\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(28) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(28),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\);

-- Location: FF_X71_Y11_N23
\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10));

-- Location: LCCOMB_X70_Y8_N10
\sleep_mode_qsys_u0|product_info_0|Mux0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|Mux0~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) & \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \sleep_mode_qsys_u0|product_info_0|Mux0~3_combout\);

-- Location: LCCOMB_X70_Y8_N8
\sleep_mode_qsys_u0|product_info_0|av_data_read[12]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|av_data_read[12]~3_combout\ = !\sleep_mode_qsys_u0|product_info_0|Mux0~3_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|product_info_0|Mux0~3_combout\,
	combout => \sleep_mode_qsys_u0|product_info_0|av_data_read[12]~3_combout\);

-- Location: FF_X70_Y8_N9
\sleep_mode_qsys_u0|product_info_0|av_data_read[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|product_info_0|av_data_read[12]~3_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|product_info_0|av_data_read\(12));

-- Location: FF_X70_Y8_N11
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|product_info_0|av_data_read\(12),
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12));

-- Location: LCCOMB_X71_Y11_N0
\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\);

-- Location: FF_X71_Y11_N1
\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(4));

-- Location: LCCOMB_X71_Y11_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(4))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(4),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\);

-- Location: LCCOMB_X70_Y11_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\);

-- Location: LCCOMB_X71_Y8_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\);

-- Location: LCCOMB_X70_Y11_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4) & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\);

-- Location: LCCOMB_X70_Y11_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ & (((\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4)) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\);

-- Location: LCCOMB_X70_Y11_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\);

-- Location: LCCOMB_X70_Y9_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\);

-- Location: LCCOMB_X70_Y9_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\);

-- Location: LCCOMB_X70_Y9_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\);

-- Location: FF_X70_Y9_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4));

-- Location: LCCOMB_X71_Y9_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ & 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\);

-- Location: LCCOMB_X70_Y9_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3))))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\);

-- Location: LCCOMB_X70_Y9_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\);

-- Location: LCCOMB_X70_Y9_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|command[3]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|command[3]~feeder_combout\);

-- Location: FF_X70_Y9_N15
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|command[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(3));

-- Location: LCCOMB_X70_Y9_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(3),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\);

-- Location: LCCOMB_X70_Y9_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(3)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(3),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\);

-- Location: LCCOMB_X70_Y8_N4
\sleep_mode_qsys_u0|product_info_0|av_data_read[19]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|av_data_read[19]~0_combout\ = !\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \sleep_mode_qsys_u0|product_info_0|av_data_read[19]~0_combout\);

-- Location: FF_X70_Y8_N5
\sleep_mode_qsys_u0|product_info_0|av_data_read[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|product_info_0|av_data_read[19]~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|product_info_0|av_data_read\(19));

-- Location: LCCOMB_X70_Y8_N18
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder_combout\ = \sleep_mode_qsys_u0|product_info_0|av_data_read\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|product_info_0|av_data_read\(19),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder_combout\);

-- Location: FF_X70_Y8_N19
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19));

-- Location: LCCOMB_X70_Y11_N24
\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\);

-- Location: FF_X71_Y11_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(11));

-- Location: LCCOMB_X71_Y11_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(18)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(11),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(18),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\);

-- Location: LCCOMB_X70_Y9_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3) & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\);

-- Location: LCCOMB_X69_Y8_N4
\sleep_mode_qsys_u0|product_info_0|av_data_read[3]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|av_data_read[3]~1_combout\ = !\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \sleep_mode_qsys_u0|product_info_0|av_data_read[3]~1_combout\);

-- Location: FF_X69_Y8_N5
\sleep_mode_qsys_u0|product_info_0|av_data_read[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|product_info_0|av_data_read[3]~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|product_info_0|av_data_read\(3));

-- Location: FF_X67_Y8_N27
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|product_info_0|av_data_read\(3),
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X67_Y8_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(3) & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\);

-- Location: LCCOMB_X70_Y9_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\);

-- Location: LCCOMB_X70_Y9_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\);

-- Location: FF_X70_Y9_N23
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3));

-- Location: LCCOMB_X70_Y10_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\);

-- Location: LCCOMB_X69_Y10_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector38~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector38~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\) # ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|first_trans~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|first_trans~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector38~0_combout\);

-- Location: FF_X69_Y10_N17
\sleep_mode_qsys_u0|master_0|transacto|p2m|first_trans\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector38~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|first_trans~q\);

-- Location: LCCOMB_X70_Y10_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|first_trans~q\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\ & !\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\ & ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|first_trans~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\);

-- Location: LCCOMB_X70_Y10_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\) # 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~2_combout\);

-- Location: FF_X70_Y10_N19
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector72~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\);

-- Location: LCCOMB_X70_Y9_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & 
-- !\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\);

-- Location: LCCOMB_X70_Y9_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\);

-- Location: LCCOMB_X70_Y10_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(7) & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & !\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(7),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\);

-- Location: LCCOMB_X72_Y7_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~28_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~27\ $ (GND))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~27\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~29\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~27\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~28_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~29\);

-- Location: LCCOMB_X72_Y8_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~28_combout\ = ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ $ (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~27\)))) # (GND)
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~29\ = CARRY((\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~27\))) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~27\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~27\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~28_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~29\);

-- Location: LCCOMB_X72_Y10_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~28_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~28_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~28_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~28_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~28_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_combout\);

-- Location: FF_X72_Y10_N11
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_NEW_REG144\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_OTERM145\);

-- Location: LCCOMB_X72_Y10_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~0_combout\);

-- Location: FF_X72_Y10_N27
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_NEW_REG46\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM47\);

-- Location: LCCOMB_X72_Y10_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_OTERM145\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM47\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM45\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM17\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~1_OTERM145\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM45\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM17\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[14]_OTERM47\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\);

-- Location: LCCOMB_X72_Y7_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~30_combout\ = \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~29\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~29\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~30_combout\);

-- Location: LCCOMB_X71_Y7_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~30_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~30_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\);

-- Location: LCCOMB_X72_Y8_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~30_combout\ = \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~29\ $ (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~29\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~30_combout\);

-- Location: LCCOMB_X71_Y7_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~30_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~30_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\);

-- Location: FF_X71_Y7_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_NEW_REG6\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM7\);

-- Location: LCCOMB_X74_Y10_N4
\sleep_mode_qsys_u0|master_0|fifo|out_payload[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload[7]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a7\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a7\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|out_payload[7]~feeder_combout\);

-- Location: FF_X74_Y10_N5
\sleep_mode_qsys_u0|master_0|fifo|out_payload[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|out_payload[7]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(7));

-- Location: FF_X71_Y7_N15
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_NEW_REG0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(7),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM1\);

-- Location: LCCOMB_X71_Y7_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM7\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM1\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM7\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM1\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\);

-- Location: LCCOMB_X71_Y9_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\);

-- Location: LCCOMB_X70_Y10_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\ & \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\);

-- Location: LCCOMB_X70_Y10_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\);

-- Location: FF_X70_Y10_N7
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(7));

-- Location: LCCOMB_X70_Y8_N12
\sleep_mode_qsys_u0|product_info_0|Mux3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|Mux3~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \sleep_mode_qsys_u0|product_info_0|Mux3~0_combout\);

-- Location: FF_X70_Y8_N13
\sleep_mode_qsys_u0|product_info_0|av_data_read[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|product_info_0|Mux3~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|product_info_0|av_data_read\(17));

-- Location: LCCOMB_X70_Y8_N26
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[17]~feeder_combout\ = \sleep_mode_qsys_u0|product_info_0|av_data_read\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|product_info_0|av_data_read\(17),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[17]~feeder_combout\);

-- Location: FF_X70_Y8_N27
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[17]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(17));

-- Location: LCCOMB_X71_Y11_N2
\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(17) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(17),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3_combout\);

-- Location: FF_X71_Y11_N3
\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(9));

-- Location: LCCOMB_X71_Y11_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(9)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(9),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\);

-- Location: LCCOMB_X71_Y11_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\);

-- Location: LCCOMB_X72_Y9_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\);

-- Location: LCCOMB_X72_Y9_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\);

-- Location: LCCOMB_X72_Y9_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\);

-- Location: LCCOMB_X72_Y9_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\) # 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\);

-- Location: LCCOMB_X72_Y9_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\);

-- Location: LCCOMB_X72_Y9_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\);

-- Location: FF_X72_Y9_N21
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_NEW_REG146\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\);

-- Location: LCCOMB_X72_Y11_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(6),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\);

-- Location: LCCOMB_X72_Y11_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(6))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(6),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\);

-- Location: LCCOMB_X72_Y11_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ & 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\);

-- Location: LCCOMB_X72_Y11_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6))))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\);

-- Location: LCCOMB_X71_Y11_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\) # 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6))))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\);

-- Location: LCCOMB_X71_Y11_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\);

-- Location: LCCOMB_X70_Y8_N16
\sleep_mode_qsys_u0|product_info_0|Mux0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|Mux0~2_combout\ = \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \sleep_mode_qsys_u0|product_info_0|Mux0~2_combout\);

-- Location: FF_X70_Y8_N17
\sleep_mode_qsys_u0|product_info_0|av_data_read[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|product_info_0|Mux0~2_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|product_info_0|av_data_read\(30));

-- Location: LCCOMB_X70_Y8_N24
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder_combout\ = \sleep_mode_qsys_u0|product_info_0|av_data_read\(30)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|product_info_0|av_data_read\(30),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder_combout\);

-- Location: FF_X70_Y8_N25
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30));

-- Location: LCCOMB_X71_Y11_N8
\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\);

-- Location: FF_X71_Y11_N9
\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(14));

-- Location: LCCOMB_X71_Y11_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(14)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(14),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\);

-- Location: LCCOMB_X72_Y11_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\);

-- Location: LCCOMB_X72_Y11_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\);

-- Location: FF_X72_Y11_N9
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6));

-- Location: LCCOMB_X71_Y11_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(18)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(10),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(18),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\);

-- Location: LCCOMB_X71_Y11_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\);

-- Location: LCCOMB_X71_Y11_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2) & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\);

-- Location: LCCOMB_X72_Y11_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2) & 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\);

-- Location: LCCOMB_X72_Y11_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2))))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\);

-- Location: LCCOMB_X72_Y11_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\);

-- Location: LCCOMB_X72_Y11_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\);

-- Location: LCCOMB_X72_Y11_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\);

-- Location: LCCOMB_X72_Y11_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\);

-- Location: FF_X72_Y11_N17
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2));

-- Location: LCCOMB_X71_Y15_N0
\sleep_mode_qsys_u0|master_0|p2b|in_ready~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(7)) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\ $ (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111110111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(7),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2),
	combout => \sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\);

-- Location: LCCOMB_X71_Y15_N4
\sleep_mode_qsys_u0|master_0|p2b|in_ready~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\) # (\sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\);

-- Location: LCCOMB_X71_Y15_N22
\sleep_mode_qsys_u0|master_0|p2b|in_ready~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ = (!\sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\) # (!\sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0),
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\);

-- Location: LCCOMB_X71_Y9_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\);

-- Location: LCCOMB_X71_Y9_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\);

-- Location: LCCOMB_X71_Y9_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~2_combout\);

-- Location: FF_X71_Y9_N9
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector82~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\);

-- Location: LCCOMB_X70_Y15_N6
\sleep_mode_qsys_u0|master_0|p2b|sent_sop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_sop~0_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\) # ((!\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~0_combout\);

-- Location: LCCOMB_X70_Y15_N28
\sleep_mode_qsys_u0|master_0|p2b|sent_sop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_sop~1_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_sop~0_combout\) # ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\ & (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & 
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~1_combout\);

-- Location: LCCOMB_X70_Y15_N0
\sleep_mode_qsys_u0|master_0|p2b|sent_sop~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_sop~2_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_sop~1_combout\) # ((\sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\ & ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~2_combout\);

-- Location: FF_X70_Y15_N1
\sleep_mode_qsys_u0|master_0|p2b|sent_sop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\);

-- Location: LCCOMB_X70_Y15_N22
\sleep_mode_qsys_u0|master_0|p2b|in_ready~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\);

-- Location: LCCOMB_X70_Y15_N2
\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~0_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\) # ((!\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\ & (\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~0_combout\);

-- Location: LCCOMB_X70_Y15_N18
\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~1_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~0_combout\) # ((\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\ & ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~1_combout\);

-- Location: FF_X70_Y15_N19
\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\);

-- Location: LCCOMB_X71_Y15_N6
\sleep_mode_qsys_u0|master_0|p2b|sent_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_channel~0_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\ & (!\sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0),
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~0_combout\);

-- Location: LCCOMB_X71_Y15_N18
\sleep_mode_qsys_u0|master_0|p2b|sent_channel~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_channel~1_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_channel~0_combout\) # ((\sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\ & ((\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~1_combout\);

-- Location: FF_X71_Y15_N19
\sleep_mode_qsys_u0|master_0|p2b|sent_channel\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\);

-- Location: LCCOMB_X71_Y15_N2
\sleep_mode_qsys_u0|master_0|p2b|stored_channel[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|stored_channel[0]~0_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0)) # (\sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0),
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|stored_channel[0]~0_combout\);

-- Location: FF_X71_Y15_N3
\sleep_mode_qsys_u0|master_0|p2b|stored_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|stored_channel[0]~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0));

-- Location: LCCOMB_X71_Y15_N14
\sleep_mode_qsys_u0|master_0|p2b|in_ready~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\ = (!\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\) # ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & 
-- \sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0),
	datac => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\);

-- Location: LCCOMB_X70_Y15_N20
\sleep_mode_qsys_u0|master_0|p2b|sent_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_esc~0_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\ & ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\ & (((\sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_esc~0_combout\);

-- Location: FF_X70_Y15_N21
\sleep_mode_qsys_u0|master_0|p2b|sent_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|sent_esc~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\);

-- Location: LCCOMB_X70_Y15_N14
\sleep_mode_qsys_u0|master_0|p2b|in_ready~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\ = (((\sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\);

-- Location: LCCOMB_X71_Y15_N26
\sleep_mode_qsys_u0|master_0|p2b|in_ready\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\) # 
-- (\sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\);

-- Location: LCCOMB_X72_Y7_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~14_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~13\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ 
-- & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~13\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~15\ = CARRY((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~13\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~13\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~14_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~15\);

-- Location: LCCOMB_X71_Y7_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~14_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~14_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\);

-- Location: LCCOMB_X71_Y7_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~14_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~14_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\);

-- Location: FF_X71_Y7_N7
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_NEW_REG52\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM53\);

-- Location: LCCOMB_X71_Y7_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM53\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM51\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM1\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM53\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[7]_OTERM51\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM1\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\);

-- Location: LCCOMB_X72_Y7_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~16_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~15\ $ (GND))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~15\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~17\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~15\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~16_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~17\);

-- Location: LCCOMB_X72_Y10_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~16_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~16_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~16_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~16_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~16_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~1_combout\);

-- Location: FF_X72_Y10_N19
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_NEW_REG118\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_OTERM119\);

-- Location: LCCOMB_X72_Y10_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~0_combout\);

-- Location: FF_X72_Y10_N3
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_NEW_REG116\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_OTERM117\);

-- Location: LCCOMB_X72_Y10_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_OTERM119\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_OTERM117\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM99\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM17\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM99\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_OTERM119\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[13]_OTERM17\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[8]_OTERM117\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\);

-- Location: LCCOMB_X71_Y8_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~18_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add0~18_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\);

-- Location: LCCOMB_X71_Y8_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~18_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add3~18_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\);

-- Location: FF_X71_Y8_N29
\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_NEW_REG38\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM39\);

-- Location: LCCOMB_X71_Y8_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM39\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM37\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM5\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM39\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[9]_OTERM37\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter[15]_OTERM3\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\);

-- Location: LCCOMB_X71_Y9_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\);

-- Location: LCCOMB_X72_Y9_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\);

-- Location: LCCOMB_X72_Y9_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\);

-- Location: LCCOMB_X74_Y9_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1) & 
-- !\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\);

-- Location: LCCOMB_X72_Y9_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\);

-- Location: LCCOMB_X71_Y9_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|address~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\);

-- Location: LCCOMB_X69_Y9_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\ = \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2) $ (((\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2) & \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\);

-- Location: LCCOMB_X69_Y9_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\);

-- Location: FF_X69_Y9_N31
\sleep_mode_qsys_u0|master_0|transacto|p2m|address[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2));

-- Location: LCCOMB_X69_Y9_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~1\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2) & \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(2),
	datad => VCC,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~1\);

-- Location: LCCOMB_X69_Y9_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~1\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~1\) # (GND)))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~3\ = CARRY((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~1\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~1\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~2_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~3\);

-- Location: LCCOMB_X69_Y9_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~2_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\);

-- Location: LCCOMB_X69_Y9_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3)))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~2_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\);

-- Location: LCCOMB_X69_Y9_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3)) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3))))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- (\sleep_mode_qsys_u0|master_0|fifo|out_payload\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\);

-- Location: LCCOMB_X69_Y9_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\);

-- Location: FF_X69_Y9_N3
\sleep_mode_qsys_u0|master_0|transacto|p2m|address[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3));

-- Location: LCCOMB_X69_Y9_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~3\ $ (GND))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~3\ & VCC))
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~5\ = CARRY((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~3\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~4_combout\,
	cout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~5\);

-- Location: LCCOMB_X69_Y9_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~6_combout\ = \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~5\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	cin => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~5\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~6_combout\);

-- Location: LCCOMB_X69_Y9_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~6_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\);

-- Location: LCCOMB_X69_Y9_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~6_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\);

-- Location: LCCOMB_X69_Y9_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~4_combout\);

-- Location: FF_X69_Y9_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|address[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5));

-- Location: LCCOMB_X64_Y8_N22
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5) & \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~0_combout\);

-- Location: LCCOMB_X64_Y8_N6
\sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5) & \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\);

-- Location: LCCOMB_X67_Y8_N2
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\ & 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\);

-- Location: FF_X65_Y8_N27
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0));

-- Location: LCCOMB_X64_Y8_N24
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1) & (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~0_combout\ & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0)) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~0_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X64_Y8_N26
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg~0_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\ & (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\ $ (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: FF_X64_Y8_N27
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X64_Y8_N18
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_waitrequest_generated~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_waitrequest_generated~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1)) # 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0) $ (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_waitrequest_generated~0_combout\);

-- Location: LCCOMB_X64_Y8_N0
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_waitrequest_generated~0_combout\ & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~0_combout\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0)) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_waitrequest_generated~0_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~0_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X64_Y8_N4
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1)) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: LCCOMB_X64_Y8_N28
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~3_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~2_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\ & !\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_waitrequest_generated~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_waitrequest_generated~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X64_Y8_N29
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X64_Y8_N8
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0) & (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0) & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~0_combout\) # (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1))))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X64_Y8_N9
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X64_Y8_N2
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\ & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\);

-- Location: LCCOMB_X64_Y8_N30
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~2_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1)) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~2_combout\);

-- Location: FF_X64_Y8_N31
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~2_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X64_Y8_N10
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0) & (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\ & !\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1))) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~1_combout\);

-- Location: FF_X64_Y8_N11
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X64_Y8_N14
\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1)) # 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\ $ (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent|m0_write~combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|wait_latency_counter\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\);

-- Location: LCCOMB_X67_Y8_N6
\sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5) & \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\);

-- Location: FF_X66_Y8_N29
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1));

-- Location: LCCOMB_X66_Y8_N28
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1)) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X66_Y8_N22
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~0_combout\ & (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\ & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X66_Y8_N24
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\) # ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1)) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\);

-- Location: LCCOMB_X66_Y8_N6
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\ & (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\ & 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\ & \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X66_Y8_N7
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X66_Y8_N10
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~1_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1)) # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg~1_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X66_Y8_N11
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X66_Y8_N20
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0) & (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0) & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\) # (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1))))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X66_Y8_N21
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X66_Y8_N0
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5) & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & !\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\);

-- Location: LCCOMB_X66_Y8_N4
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1) & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\ & \sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~1_combout\);

-- Location: LCCOMB_X66_Y8_N18
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\ & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X66_Y8_N12
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0) & (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~1_combout\ & !\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1))) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~1_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~1_combout\);

-- Location: FF_X66_Y8_N13
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X66_Y8_N8
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~2_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~0_combout\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1)) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~1_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~2_combout\);

-- Location: FF_X66_Y8_N9
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter~2_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X66_Y8_N26
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1)) # 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0) $ (((!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\);

-- Location: LCCOMB_X65_Y8_N18
\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_waitrequest_generated~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\);

-- Location: LCCOMB_X65_Y8_N16
\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ = ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1) & (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & 
-- !\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5)))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001110110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\);

-- Location: LCCOMB_X65_Y8_N20
\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\) # ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|router|always1~0_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\);

-- Location: LCCOMB_X65_Y8_N8
\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\) # ((\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ $ (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~5_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\);

-- Location: LCCOMB_X65_Y8_N6
\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1)) # 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\);

-- Location: LCCOMB_X65_Y8_N4
\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\) # ((\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\) # (\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~6_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\);

-- Location: LCCOMB_X67_Y8_N30
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\ & \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\);

-- Location: FF_X64_Y8_N21
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[1][105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[1][105]~q\);

-- Location: LCCOMB_X64_Y8_N20
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[1][105]~q\) # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[1][105]~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X64_Y8_N16
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0) & 
-- (((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem~0_combout\)))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~q\)) # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem_used\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~1_combout\);

-- Location: FF_X64_Y8_N17
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~q\);

-- Location: LCCOMB_X69_Y8_N18
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][105]~q\) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][105]~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~2_combout\);

-- Location: FF_X69_Y8_N19
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~2_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][105]~q\);

-- Location: LCCOMB_X69_Y8_N10
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0_combout\ & 
-- (((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~q\)))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0_combout\ & 
-- (((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][105]~q\)) # (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][105]~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~1_combout\);

-- Location: FF_X69_Y8_N11
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~q\);

-- Location: FF_X66_Y8_N17
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[1][105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[1][105]~q\);

-- Location: LCCOMB_X66_Y8_N16
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[1][105]~q\) # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[1][105]~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(1),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X66_Y8_N14
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0) & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem~0_combout\))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0) & (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~q\)))) 
-- # (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0) & (((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem_used\(0),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~1_combout\);

-- Location: FF_X66_Y8_N15
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~1_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~q\);

-- Location: LCCOMB_X67_Y8_N12
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~q\) # ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0) & 
-- \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~q\)))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][105]~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent_rsp_fifo|mem[0][105]~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\);

-- Location: LCCOMB_X67_Y8_N28
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0) & \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_agent_rsp_fifo|mem[0][105]~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\);

-- Location: LCCOMB_X67_Y8_N22
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0_combout\ = \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\ $ 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0) $ (((!\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\ & \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0_combout\);

-- Location: FF_X67_Y8_N23
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0));

-- Location: LCCOMB_X66_Y8_N2
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\ & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\) # ((!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0) & 
-- !\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\)))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\ & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ & ((!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\);

-- Location: FF_X66_Y8_N3
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\);

-- Location: LCCOMB_X65_Y8_N28
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\ & \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\);

-- Location: FF_X65_Y8_N13
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0));

-- Location: LCCOMB_X65_Y8_N24
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0)) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\);

-- Location: LCCOMB_X69_Y8_N14
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ & 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\);

-- Location: FF_X69_Y8_N15
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X67_Y8_N0
\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0)) # (\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\);

-- Location: LCCOMB_X67_Y8_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~61\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~61_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ & 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\ & \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~61_combout\);

-- Location: LCCOMB_X67_Y8_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~62_combout\ = (!\sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~61_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~61_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~62_combout\);

-- Location: FF_X67_Y8_N5
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~62_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\);

-- Location: LCCOMB_X67_Y8_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\);

-- Location: LCCOMB_X71_Y9_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~59_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~59_combout\);

-- Location: LCCOMB_X71_Y9_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~60_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~59_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~59_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~60_combout\);

-- Location: FF_X71_Y9_N27
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~60_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\);

-- Location: LCCOMB_X71_Y9_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~44_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & !\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~44_combout\);

-- Location: FF_X71_Y9_N1
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~44_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\);

-- Location: LCCOMB_X69_Y10_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\);

-- Location: LCCOMB_X69_Y10_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|fifo|out_payload\(4)) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4))))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(4),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\);

-- Location: LCCOMB_X69_Y10_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4))) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~4_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~4_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\);

-- Location: LCCOMB_X69_Y10_N18
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~4_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Add2~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\);

-- Location: LCCOMB_X69_Y10_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\);

-- Location: FF_X69_Y10_N11
\sleep_mode_qsys_u0|master_0|transacto|p2m|address[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4));

-- Location: LCCOMB_X65_Y8_N26
\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\);

-- Location: LCCOMB_X64_Y8_N12
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\ = \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0) $ (((!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4) & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5) & \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(4),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(5),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|read~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\);

-- Location: LCCOMB_X65_Y8_N12
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\ & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\) # (\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ $ (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|Equal0~0_combout\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\);

-- Location: LCCOMB_X67_Y8_N10
\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\) # (!\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~7_combout\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\);

-- Location: LCCOMB_X69_Y10_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~42_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~42_combout\);

-- Location: FF_X69_Y10_N1
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~42_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\);

-- Location: LCCOMB_X70_Y11_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\);

-- Location: LCCOMB_X70_Y10_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\);

-- Location: LCCOMB_X70_Y10_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\) # 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\ & !\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & 
-- (((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\ & \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101110001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\);

-- Location: LCCOMB_X71_Y10_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ $ (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~3_combout\);

-- Location: FF_X71_Y10_N11
\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_NEW_REG102\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM103\);

-- Location: LCCOMB_X69_Y10_N4
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\);

-- Location: FF_X69_Y10_N5
\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_NEW_REG100\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM101\);

-- Location: LCCOMB_X71_Y10_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM103\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM101\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM99\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM97\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM103\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM101\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[0]_OTERM99\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|current_byte[1]_OTERM97\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\);

-- Location: LCCOMB_X70_Y9_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\);

-- Location: LCCOMB_X71_Y9_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~54_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~54_combout\);

-- Location: LCCOMB_X71_Y9_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~55_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000~q\ & ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~54_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~54_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~55_combout\);

-- Location: FF_X71_Y9_N23
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~55_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000~q\);

-- Location: LCCOMB_X71_Y7_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\ = ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\);

-- Location: LCCOMB_X71_Y10_N6
\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\);

-- Location: LCCOMB_X71_Y10_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4))) 
-- # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\);

-- Location: LCCOMB_X69_Y10_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector14~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & (((!\sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\ & 
-- !\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|out_endofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector14~0_combout\);

-- Location: LCCOMB_X69_Y10_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector14~0_combout\ & (((\sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector14~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\);

-- Location: LCCOMB_X71_Y10_N22
\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\);

-- Location: FF_X71_Y10_N23
\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\);

-- Location: LCCOMB_X75_Y10_N4
\sleep_mode_qsys_u0|master_0|fifo|internal_out_ready\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\) # (!\sleep_mode_qsys_u0|master_0|fifo|out_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\);

-- Location: LCCOMB_X74_Y14_N24
\sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1) $ (((\sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\ & (\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\ & 
-- \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1),
	datad => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	combout => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\);

-- Location: FF_X74_Y14_N25
\sleep_mode_qsys_u0|master_0|fifo|rd_ptr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1));

-- Location: LCCOMB_X75_Y14_N26
\sleep_mode_qsys_u0|master_0|fifo|Add1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1) & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3) & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0) & \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1),
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3),
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	datad => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\);

-- Location: LCCOMB_X75_Y14_N10
\sleep_mode_qsys_u0|master_0|fifo|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Equal0~2_combout\ = \sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\ $ (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4) $ (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010101011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Equal0~2_combout\);

-- Location: LCCOMB_X74_Y14_N20
\sleep_mode_qsys_u0|master_0|fifo|Add1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Add1~2_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3) $ (((\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1) & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2) & \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1),
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2),
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	datad => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Add1~2_combout\);

-- Location: LCCOMB_X74_Y14_N30
\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~0_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0) & (!\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0) & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1) $ 
-- (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1))))) # (!\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0) & (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0) & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1) $ (!\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010010000011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1),
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	datac => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1),
	combout => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~0_combout\);

-- Location: LCCOMB_X74_Y14_N22
\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~1_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~0_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|read~0_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|Add1~2_combout\ $ 
-- (!\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Add1~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(3),
	datac => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~1_combout\);

-- Location: LCCOMB_X74_Y14_N0
\sleep_mode_qsys_u0|master_0|fifo|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Equal0~1_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2) $ (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2) $ (((\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1) & \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000011101111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1),
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Equal0~1_combout\);

-- Location: LCCOMB_X75_Y14_N24
\sleep_mode_qsys_u0|master_0|fifo|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Equal0~0_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(5) $ (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(5) $ (((\sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\ & \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000011101111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Add1~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4),
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(5),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(5),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Equal0~0_combout\);

-- Location: LCCOMB_X75_Y14_N16
\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~2_combout\ = (!\sleep_mode_qsys_u0|master_0|fifo|Equal0~2_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~1_combout\ & (!\sleep_mode_qsys_u0|master_0|fifo|Equal0~1_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|fifo|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Equal0~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|Equal0~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|Equal0~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~2_combout\);

-- Location: LCCOMB_X75_Y14_N22
\sleep_mode_qsys_u0|master_0|fifo|next_empty~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|next_empty~0_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|write~combout\ & (((\sleep_mode_qsys_u0|master_0|fifo|empty~q\) # (!\sleep_mode_qsys_u0|master_0|fifo|read~0_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|fifo|write~combout\ & (!\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~2_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|empty~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|write~combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|empty~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|read~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|next_empty~0_combout\);

-- Location: FF_X75_Y14_N23
\sleep_mode_qsys_u0|master_0|fifo|empty\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|next_empty~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|empty~q\);

-- Location: LCCOMB_X75_Y14_N12
\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~3_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|empty~q\ & !\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|empty~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~3_combout\);

-- Location: FF_X75_Y14_N13
\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\);

-- Location: LCCOMB_X75_Y14_N8
\sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\ = \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0) $ (((\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|fifo|out_valid~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\);

-- Location: LCCOMB_X74_Y10_N12
\sleep_mode_qsys_u0|master_0|b2p|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_combout\ = (!\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a7\ & (\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a5\ & 
-- (\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a4\ & \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a6\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a7\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a5\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a4\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a6\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_combout\);

-- Location: FF_X74_Y10_N13
\sleep_mode_qsys_u0|master_0|b2p|Equal0~0_NEW_REG56\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_OTERM57\);

-- Location: LCCOMB_X74_Y10_N22
\sleep_mode_qsys_u0|master_0|b2p|received_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|received_channel~0_combout\ = \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a1\ $ (\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a2\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a1\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a2\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|received_channel~0_combout\);

-- Location: FF_X74_Y10_N23
\sleep_mode_qsys_u0|master_0|b2p|received_channel~0_NEW_REG54\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|b2p|received_channel~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|b2p|received_channel~0_OTERM55\);

-- Location: LCCOMB_X74_Y10_N10
\sleep_mode_qsys_u0|master_0|b2p|received_channel~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|Equal0~0_OTERM57\ & (\sleep_mode_qsys_u0|master_0|fifo|out_payload\(3) & (\sleep_mode_qsys_u0|master_0|b2p|received_channel~0_OTERM55\ & 
-- !\sleep_mode_qsys_u0|master_0|b2p|received_esc~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|Equal0~0_OTERM57\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(3),
	datac => \sleep_mode_qsys_u0|master_0|b2p|received_channel~0_OTERM55\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|received_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\);

-- Location: LCCOMB_X74_Y10_N14
\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~1_RTM011\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~1_RTM011_combout\ = (\sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\) # ((\sleep_mode_qsys_u0|master_0|fifo|out_payload\(0)) # ((\sleep_mode_qsys_u0|master_0|fifo|out_payload\(6)) # 
-- (\sleep_mode_qsys_u0|master_0|fifo|out_payload\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	datac => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(6),
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(7),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~1_RTM011_combout\);

-- Location: LCCOMB_X74_Y10_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_RTM067\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_RTM067_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a4\) # (\sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a3\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a4\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a3\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_RTM067_combout\);

-- Location: FF_X74_Y10_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_NEW_REG64\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_RTM067_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_OTERM65\);

-- Location: LCCOMB_X74_Y10_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_RTM091\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_RTM091_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|out_payload\(1)) # ((\sleep_mode_qsys_u0|master_0|fifo|out_payload\(2)) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~1_RTM011_combout\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_OTERM65\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(1),
	datab => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(2),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~1_RTM011_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~2_OTERM65\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_RTM091_combout\);

-- Location: LCCOMB_X75_Y10_N28
\sleep_mode_qsys_u0|master_0|b2p|out_channel[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|b2p|out_channel[0]~0_combout\ = (!\sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\ & (\sleep_mode_qsys_u0|master_0|b2p|received_channel~q\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\ & 
-- \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|b2p|out_channel[0]~0_combout\);

-- Location: FF_X74_Y10_N27
\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_NEW_REG88\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_RTM091_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_OTERM89\);

-- Location: LCCOMB_X74_Y10_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|enable\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ = (!\sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\ & (!\sleep_mode_qsys_u0|master_0|b2p|received_channel~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_OTERM89\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|b2p|received_channel~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|b2p|received_channel~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~3_OTERM89\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\);

-- Location: LCCOMB_X71_Y10_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~43_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & ((!\sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~43_combout\);

-- Location: FF_X71_Y10_N1
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~43_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\);

-- Location: LCCOMB_X70_Y10_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & 
-- ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\);

-- Location: LCCOMB_X70_Y10_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000~q\) # 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.0000~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\);

-- Location: LCCOMB_X70_Y10_N26
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\) # ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\);

-- Location: LCCOMB_X70_Y10_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & !\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~45_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\);

-- Location: FF_X70_Y10_N17
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid~q\);

-- Location: LCCOMB_X70_Y18_N16
\sleep_mode_qsys_u0|master_0|p2b|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_valid~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid~q\) # ((\sleep_mode_qsys_u0|master_0|p2b|out_valid~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) $ 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datac => \sleep_mode_qsys_u0|master_0|p2b|out_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_valid~0_combout\);

-- Location: FF_X70_Y18_N17
\sleep_mode_qsys_u0|master_0|p2b|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_valid~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_valid~q\);

-- Location: LCCOMB_X70_Y18_N18
\sleep_mode_qsys_u0|master_0|p2b|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid~q\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) $ 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)) # (!\sleep_mode_qsys_u0|master_0|p2b|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_valid~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\);

-- Location: LCCOMB_X71_Y15_N28
\sleep_mode_qsys_u0|master_0|p2b|sent_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_eop~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & (((\sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\ & \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & ((\sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0)) # ((\sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0),
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~0_combout\);

-- Location: LCCOMB_X70_Y15_N26
\sleep_mode_qsys_u0|master_0|p2b|sent_eop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_eop~1_combout\ = (!\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|p2b|sent_eop~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~1_combout\);

-- Location: LCCOMB_X70_Y15_N16
\sleep_mode_qsys_u0|master_0|p2b|sent_eop~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_eop~2_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_eop~1_combout\) # ((\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\ & ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~2_combout\);

-- Location: LCCOMB_X70_Y15_N12
\sleep_mode_qsys_u0|master_0|p2b|sent_eop~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|sent_eop~3_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_eop~2_combout\) # ((\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\ & ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~3_combout\);

-- Location: FF_X70_Y15_N13
\sleep_mode_qsys_u0|master_0|p2b|sent_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\);

-- Location: LCCOMB_X70_Y15_N10
\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & !\sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & !\sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_sop~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\);

-- Location: LCCOMB_X70_Y15_N8
\sleep_mode_qsys_u0|master_0|p2b|out_data[3]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[3]~11_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & (((!\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[3]~11_combout\);

-- Location: FF_X70_Y15_N9
\sleep_mode_qsys_u0|master_0|p2b|out_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_data[3]~11_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_data\(3));

-- Location: LCCOMB_X70_Y18_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|p2b|out_data\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_data\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\);

-- Location: LCCOMB_X70_Y18_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\ = (\sleep_mode_qsys_u0|master_0|p2b|out_valid~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) $ 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\);

-- Location: FF_X70_Y18_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3));

-- Location: LCCOMB_X71_Y18_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\);

-- Location: FF_X71_Y18_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3));

-- Location: LCCOMB_X74_Y37_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\);

-- Location: FF_X74_Y37_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3));

-- Location: LCCOMB_X74_Y37_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\);

-- Location: LCCOMB_X75_Y45_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\);

-- Location: LCCOMB_X76_Y45_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\);

-- Location: FF_X76_Y45_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0));

-- Location: LCCOMB_X76_Y45_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) $ 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\);

-- Location: FF_X76_Y45_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1));

-- Location: LCCOMB_X76_Y45_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0)) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\);

-- Location: LCCOMB_X76_Y45_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ $ (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2))))) 
-- # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\);

-- Location: FF_X76_Y45_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2));

-- Location: LCCOMB_X76_Y45_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\);

-- Location: LCCOMB_X76_Y45_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\);

-- Location: LCCOMB_X76_Y45_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\);

-- Location: LCCOMB_X76_Y43_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18) & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\);

-- Location: LCCOMB_X77_Y44_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\);

-- Location: LCCOMB_X75_Y43_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\);

-- Location: LCCOMB_X76_Y43_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\);

-- Location: LCCOMB_X76_Y43_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\);

-- Location: LCCOMB_X75_Y43_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\);

-- Location: LCCOMB_X75_Y43_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\);

-- Location: LCCOMB_X75_Y43_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\);

-- Location: LCCOMB_X75_Y43_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\);

-- Location: LCCOMB_X75_Y43_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\);

-- Location: LCCOMB_X75_Y43_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\);

-- Location: LCCOMB_X75_Y43_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\);

-- Location: LCCOMB_X75_Y43_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\);

-- Location: LCCOMB_X75_Y43_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~6_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~6_combout\);

-- Location: LCCOMB_X75_Y43_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0) & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\);

-- Location: LCCOMB_X74_Y44_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\);

-- Location: FF_X75_Y43_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0));

-- Location: LCCOMB_X75_Y43_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\);

-- Location: LCCOMB_X76_Y44_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ = CARRY(\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	datad => VCC,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\);

-- Location: LCCOMB_X76_Y44_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ & VCC)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\);

-- Location: LCCOMB_X76_Y44_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\);

-- Location: FF_X76_Y44_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1));

-- Location: LCCOMB_X76_Y44_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) & 
-- ((GND) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ $ 
-- (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\);

-- Location: LCCOMB_X76_Y44_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\);

-- Location: FF_X76_Y44_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2));

-- Location: LCCOMB_X76_Y44_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ & VCC)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\);

-- Location: LCCOMB_X76_Y44_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\);

-- Location: FF_X76_Y44_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3));

-- Location: LCCOMB_X76_Y44_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & 
-- ((GND) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ $ 
-- (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\);

-- Location: LCCOMB_X76_Y44_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\);

-- Location: FF_X76_Y44_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4));

-- Location: LCCOMB_X76_Y44_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ & VCC)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\);

-- Location: LCCOMB_X76_Y44_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\);

-- Location: FF_X76_Y44_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5));

-- Location: LCCOMB_X76_Y44_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & 
-- ((GND) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ $ 
-- (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\);

-- Location: LCCOMB_X75_Y44_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\);

-- Location: FF_X75_Y44_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6));

-- Location: LCCOMB_X76_Y44_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\);

-- Location: LCCOMB_X75_Y44_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\);

-- Location: LCCOMB_X76_Y45_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\);

-- Location: LCCOMB_X75_Y43_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ & (((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\);

-- Location: LCCOMB_X76_Y44_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ & VCC)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\);

-- Location: LCCOMB_X76_Y44_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\);

-- Location: FF_X76_Y44_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7));

-- Location: LCCOMB_X76_Y44_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & 
-- ((GND) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ $ 
-- (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\);

-- Location: FF_X75_Y43_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8));

-- Location: LCCOMB_X76_Y43_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ & VCC)) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\);

-- Location: FF_X75_Y43_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9));

-- Location: LCCOMB_X76_Y43_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) 
-- & ((GND) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ $ 
-- (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\);

-- Location: FF_X75_Y43_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10));

-- Location: LCCOMB_X76_Y43_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\);

-- Location: FF_X75_Y43_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11));

-- Location: LCCOMB_X76_Y43_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) 
-- & ((GND) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ $ 
-- (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\);

-- Location: FF_X75_Y43_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12));

-- Location: LCCOMB_X76_Y43_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\);

-- Location: FF_X75_Y43_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13));

-- Location: LCCOMB_X76_Y43_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) 
-- & ((GND) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ $ 
-- (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\);

-- Location: FF_X75_Y43_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14));

-- Location: LCCOMB_X76_Y43_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\);

-- Location: FF_X76_Y43_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15));

-- Location: LCCOMB_X76_Y43_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16) 
-- & ((GND) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ $ 
-- (GND)))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ = CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\);

-- Location: FF_X76_Y43_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16));

-- Location: LCCOMB_X76_Y43_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ & VCC)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\))
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\ = CARRY((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\);

-- Location: FF_X75_Y43_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17));

-- Location: LCCOMB_X76_Y43_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18) $ 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\);

-- Location: LCCOMB_X76_Y43_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~22_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~22_combout\);

-- Location: FF_X76_Y43_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~22_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18));

-- Location: LCCOMB_X76_Y43_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18) 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\);

-- Location: LCCOMB_X74_Y43_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\);

-- Location: LCCOMB_X74_Y43_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\);

-- Location: LCCOMB_X74_Y43_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\);

-- Location: LCCOMB_X74_Y43_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\);

-- Location: LCCOMB_X74_Y43_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\);

-- Location: LCCOMB_X74_Y43_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\);

-- Location: LCCOMB_X74_Y43_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\ = CARRY(!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\,
	datad => VCC,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\);

-- Location: LCCOMB_X74_Y43_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\);

-- Location: LCCOMB_X74_Y43_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\);

-- Location: LCCOMB_X74_Y43_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\);

-- Location: LCCOMB_X74_Y43_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\);

-- Location: LCCOMB_X74_Y43_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\,
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\);

-- Location: LCCOMB_X74_Y43_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ = 
-- CARRY((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => VCC,
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\,
	cout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\);

-- Location: LCCOMB_X74_Y43_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010101010000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	cin => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\);

-- Location: LCCOMB_X75_Y43_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\) # ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\);

-- Location: LCCOMB_X76_Y45_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\);

-- Location: FF_X76_Y45_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\);

-- Location: LCCOMB_X75_Y43_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\);

-- Location: LCCOMB_X76_Y45_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\);

-- Location: LCCOMB_X76_Y45_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~6_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~6_combout\);

-- Location: LCCOMB_X75_Y41_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) 
-- & !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\);

-- Location: LCCOMB_X75_Y45_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\ = 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\);

-- Location: LCCOMB_X75_Y41_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~8_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\) # 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~8_combout\);

-- Location: LCCOMB_X75_Y41_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~8_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~8_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\);

-- Location: LCCOMB_X75_Y41_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~7_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\ & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~7_combout\);

-- Location: FF_X75_Y41_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\);

-- Location: LCCOMB_X75_Y37_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\ = 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\);

-- Location: FF_X74_Y37_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3));

-- Location: LCCOMB_X71_Y15_N10
\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~7_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & (!\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\)) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~7_combout\);

-- Location: FF_X71_Y15_N11
\sleep_mode_qsys_u0|master_0|p2b|out_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~7_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_data\(6));

-- Location: LCCOMB_X71_Y18_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|p2b|out_data\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|p2b|out_data\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\);

-- Location: FF_X71_Y18_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6));

-- Location: LCCOMB_X71_Y18_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\);

-- Location: FF_X71_Y18_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6));

-- Location: LCCOMB_X74_Y37_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\);

-- Location: FF_X74_Y37_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6));

-- Location: LCCOMB_X74_Y37_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\);

-- Location: FF_X74_Y37_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6));

-- Location: LCCOMB_X71_Y15_N24
\sleep_mode_qsys_u0|master_0|p2b|out_data[7]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[7]~8_combout\ = (!\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(7) & !\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(7),
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[7]~8_combout\);

-- Location: FF_X71_Y15_N25
\sleep_mode_qsys_u0|master_0|p2b|out_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_data[7]~8_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_data\(7));

-- Location: LCCOMB_X71_Y18_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|p2b|out_data\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_data\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\);

-- Location: FF_X71_Y18_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7));

-- Location: LCCOMB_X71_Y18_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\);

-- Location: FF_X71_Y18_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7));

-- Location: LCCOMB_X74_Y37_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\);

-- Location: FF_X74_Y37_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7));

-- Location: LCCOMB_X74_Y37_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\);

-- Location: FF_X74_Y37_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7));

-- Location: LCCOMB_X70_Y11_N4
\sleep_mode_qsys_u0|master_0|p2b|out_data[5]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~9_combout\ = \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5) $ (\sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~9_combout\);

-- Location: LCCOMB_X70_Y15_N4
\sleep_mode_qsys_u0|master_0|p2b|out_data[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~5_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\) # ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~5_combout\);

-- Location: LCCOMB_X70_Y15_N24
\sleep_mode_qsys_u0|master_0|p2b|out_data[5]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~10_combout\ = ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & ((!\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|p2b|out_data[5]~9_combout\))) # (!\sleep_mode_qsys_u0|master_0|p2b|out_data[5]~5_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~9_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~5_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~10_combout\);

-- Location: FF_X70_Y15_N25
\sleep_mode_qsys_u0|master_0|p2b|out_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~10_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_data\(5));

-- Location: LCCOMB_X70_Y18_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|p2b|out_data\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_data\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\);

-- Location: FF_X70_Y18_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5));

-- Location: LCCOMB_X71_Y18_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\);

-- Location: FF_X71_Y18_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5));

-- Location: LCCOMB_X74_Y37_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\);

-- Location: FF_X74_Y37_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5));

-- Location: LCCOMB_X74_Y37_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\);

-- Location: FF_X74_Y37_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5));

-- Location: LCCOMB_X75_Y37_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\))))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\);

-- Location: FF_X75_Y37_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\);

-- Location: LCCOMB_X75_Y37_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7) & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\);

-- Location: LCCOMB_X71_Y15_N12
\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~3_combout\ = (!\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\ & (!\sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|stored_channel\(0),
	datac => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_channel~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~3_combout\);

-- Location: LCCOMB_X71_Y15_N8
\sleep_mode_qsys_u0|master_0|p2b|out_data[2]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[2]~4_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~3_combout\) # ((\sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2)) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|in_ready~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(2),
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[2]~4_combout\);

-- Location: FF_X71_Y15_N9
\sleep_mode_qsys_u0|master_0|p2b|out_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_data[2]~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_data\(2));

-- Location: LCCOMB_X71_Y18_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|p2b|out_data\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_data\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\);

-- Location: FF_X71_Y18_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2));

-- Location: LCCOMB_X71_Y18_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\);

-- Location: FF_X71_Y18_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2));

-- Location: FF_X74_Y37_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2),
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2));

-- Location: LCCOMB_X74_Y37_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\);

-- Location: FF_X74_Y37_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2));

-- Location: LCCOMB_X71_Y15_N20
\sleep_mode_qsys_u0|master_0|p2b|out_data[1]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[1]~6_combout\ = ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & (\sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\))) # 
-- (!\sleep_mode_qsys_u0|master_0|p2b|out_data[5]~5_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|out_data[5]~5_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|in_ready~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector79~7_OTERM147\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[1]~6_combout\);

-- Location: FF_X71_Y15_N21
\sleep_mode_qsys_u0|master_0|p2b|out_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_data[1]~6_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_data\(1));

-- Location: LCCOMB_X71_Y18_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|p2b|out_data\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_data\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\);

-- Location: FF_X71_Y18_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1));

-- Location: LCCOMB_X71_Y18_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\);

-- Location: FF_X71_Y18_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1));

-- Location: LCCOMB_X74_Y37_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder_combout\);

-- Location: FF_X74_Y37_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1));

-- Location: LCCOMB_X74_Y37_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\);

-- Location: FF_X74_Y37_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1));

-- Location: LCCOMB_X69_Y8_N22
\sleep_mode_qsys_u0|pio_1|read_mux_out\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|pio_1|read_mux_out~combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2) & \clk_enable~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \clk_enable~q\,
	combout => \sleep_mode_qsys_u0|pio_1|read_mux_out~combout\);

-- Location: FF_X69_Y8_N23
\sleep_mode_qsys_u0|pio_1|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|pio_1|read_mux_out~combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|pio_1|readdata\(0));

-- Location: FF_X69_Y8_N1
\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|pio_1|readdata\(0),
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X70_Y8_N0
\sleep_mode_qsys_u0|product_info_0|av_data_read[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|product_info_0|av_data_read[0]~feeder_combout\ = \sleep_mode_qsys_u0|product_info_0|Mux0~3_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|product_info_0|Mux0~3_combout\,
	combout => \sleep_mode_qsys_u0|product_info_0|av_data_read[0]~feeder_combout\);

-- Location: FF_X70_Y8_N1
\sleep_mode_qsys_u0|product_info_0|av_data_read[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|product_info_0|av_data_read[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \sleep_mode_qsys_u0|product_info_0|process_0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|product_info_0|av_data_read\(0));

-- Location: FF_X69_Y8_N25
\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|product_info_0|av_data_read\(0),
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X69_Y8_N16
\sleep_mode_qsys_u0|pio_0|readdata[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|pio_0|readdata\(0) = (\sleep_mode_qsys_u0|pio_0|data_out~q\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|pio_0|data_out~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \sleep_mode_qsys_u0|pio_0|readdata\(0));

-- Location: FF_X69_Y8_N17
\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|pio_0|readdata\(0),
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X69_Y8_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0) & ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_readdata_pre\(0)) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0))))) # 
-- (!\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0) & (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (\sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|read_latency_shift_reg\(0),
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0),
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|av_readdata_pre\(0),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\);

-- Location: LCCOMB_X69_Y8_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\) # 
-- ((\sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0) & \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_readdata_pre\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|read_latency_shift_reg\(0),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_1_s1_translator|av_readdata_pre\(0),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\);

-- Location: LCCOMB_X71_Y9_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\) # ((!\sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\ & 
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|WideOr14~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\);

-- Location: FF_X71_Y9_N17
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_NEW_REG74\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM75\);

-- Location: LCCOMB_X72_Y9_N0
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110010000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|counter\(0),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\);

-- Location: LCCOMB_X72_Y9_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\);

-- Location: LCCOMB_X71_Y9_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (((\sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(14))))) # 
-- (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector71~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|read_data_buffer\(14),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\);

-- Location: LCCOMB_X71_Y9_N20
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\);

-- Location: FF_X71_Y9_N21
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_NEW_REG76\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM77\);

-- Location: LCCOMB_X72_Y9_N8
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\)) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\);

-- Location: FF_X72_Y9_N9
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_NEW_REG72\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM73\);

-- Location: LCCOMB_X72_Y9_N24
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\);

-- Location: FF_X72_Y9_N25
\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_NEW_REG70\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM71\);

-- Location: LCCOMB_X72_Y9_N30
\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM75\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM77\) # 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM73\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM71\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM75\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM77\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM73\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data[0]_OTERM71\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\);

-- Location: LCCOMB_X71_Y15_N30
\sleep_mode_qsys_u0|master_0|p2b|out_data[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[0]~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\ & !\sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~q\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[0]~1_combout\);

-- Location: LCCOMB_X71_Y15_N16
\sleep_mode_qsys_u0|master_0|p2b|out_data[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[0]~2_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|sent_eop~0_combout\ & ((\sleep_mode_qsys_u0|master_0|p2b|out_data[0]~1_combout\) # ((!\sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|in_ready~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_eop~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|p2b|out_data[0]~1_combout\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[0]~2_combout\);

-- Location: FF_X71_Y15_N17
\sleep_mode_qsys_u0|master_0|p2b|out_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_data[0]~2_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_data\(0));

-- Location: LCCOMB_X71_Y18_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|p2b|out_data\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_data\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\);

-- Location: FF_X71_Y18_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0));

-- Location: LCCOMB_X71_Y18_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\);

-- Location: FF_X71_Y18_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0));

-- Location: LCCOMB_X74_Y37_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder_combout\);

-- Location: FF_X74_Y37_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0));

-- Location: LCCOMB_X74_Y37_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\);

-- Location: FF_X74_Y37_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0));

-- Location: LCCOMB_X74_Y37_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2) & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1) & !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\);

-- Location: LCCOMB_X70_Y15_N30
\sleep_mode_qsys_u0|master_0|p2b|out_data[4]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|p2b|out_data[4]~12_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & (((!\sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\)))) # (!\sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\) # ((\sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|p2b|out_data[6]~0_RTM035_combout\,
	datab => \sleep_mode_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datad => \sleep_mode_qsys_u0|master_0|p2b|in_ready~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|p2b|out_data[4]~12_combout\);

-- Location: FF_X70_Y15_N31
\sleep_mode_qsys_u0|master_0|p2b|out_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|p2b|out_data[4]~12_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|p2b|in_ready~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|p2b|out_data\(4));

-- Location: LCCOMB_X70_Y18_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|p2b|out_data\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|p2b|out_data\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\);

-- Location: FF_X70_Y18_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4));

-- Location: LCCOMB_X71_Y18_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\);

-- Location: FF_X71_Y18_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4));

-- Location: LCCOMB_X74_Y37_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\);

-- Location: FF_X74_Y37_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4));

-- Location: LCCOMB_X74_Y37_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ 
-- & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\);

-- Location: FF_X74_Y37_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4));

-- Location: LCCOMB_X75_Y37_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\);

-- Location: LCCOMB_X75_Y37_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\);

-- Location: LCCOMB_X75_Y37_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\);

-- Location: FF_X75_Y37_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\);

-- Location: LCCOMB_X75_Y37_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\);

-- Location: LCCOMB_X75_Y37_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\);

-- Location: FF_X75_Y37_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\);

-- Location: LCCOMB_X70_Y18_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X70_Y18_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\);

-- Location: LCCOMB_X70_Y18_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X70_Y18_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X70_Y18_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X70_Y18_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(1));

-- Location: LCCOMB_X70_Y18_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder_combout\);

-- Location: FF_X70_Y18_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2));

-- Location: LCCOMB_X70_Y18_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X70_Y18_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3));

-- Location: LCCOMB_X70_Y18_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X70_Y18_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4));

-- Location: LCCOMB_X70_Y18_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X70_Y18_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5));

-- Location: LCCOMB_X70_Y18_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\);

-- Location: FF_X70_Y18_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6));

-- Location: LCCOMB_X70_Y18_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\ = (\sleep_mode_qsys_u0|master_0|p2b|out_valid~q\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6))) # (!\sleep_mode_qsys_u0|master_0|p2b|out_valid~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	datad => \sleep_mode_qsys_u0|master_0|p2b|out_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\);

-- Location: LCCOMB_X70_Y18_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\);

-- Location: FF_X70_Y18_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\);

-- Location: LCCOMB_X75_Y37_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X75_Y37_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\);

-- Location: LCCOMB_X75_Y37_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X75_Y37_N27
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(0));

-- Location: FF_X75_Y37_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(0),
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1));

-- Location: LCCOMB_X75_Y37_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1) $ 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\);

-- Location: LCCOMB_X75_Y37_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\) # ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\);

-- Location: FF_X75_Y37_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\);

-- Location: LCCOMB_X75_Y41_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\);

-- Location: LCCOMB_X74_Y41_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0)) 
-- # ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2)) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1)) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\);

-- Location: LCCOMB_X75_Y41_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ = (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\);

-- Location: LCCOMB_X75_Y37_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5) $ 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\);

-- Location: LCCOMB_X75_Y44_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~31_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~31_combout\);

-- Location: LCCOMB_X75_Y41_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ & 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\);

-- Location: LCCOMB_X75_Y41_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ 
-- & ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\);

-- Location: LCCOMB_X75_Y41_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~31_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\ & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~31_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\);

-- Location: LCCOMB_X74_Y45_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\);

-- Location: FF_X75_Y41_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7));

-- Location: LCCOMB_X76_Y41_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ 
-- & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\);

-- Location: LCCOMB_X76_Y41_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\ = ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7))))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\);

-- Location: LCCOMB_X76_Y41_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\);

-- Location: LCCOMB_X76_Y41_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6)) # 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\);

-- Location: FF_X76_Y41_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\,
	sclr => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6));

-- Location: LCCOMB_X76_Y41_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\);

-- Location: LCCOMB_X76_Y41_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\);

-- Location: LCCOMB_X76_Y41_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\);

-- Location: LCCOMB_X76_Y41_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\);

-- Location: FF_X76_Y41_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\,
	sclr => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5));

-- Location: LCCOMB_X76_Y41_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4)))) 
-- # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\);

-- Location: LCCOMB_X76_Y41_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\);

-- Location: LCCOMB_X76_Y41_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\);

-- Location: LCCOMB_X76_Y41_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4) & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\))) 
-- # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\);

-- Location: FF_X76_Y41_N29
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\,
	sclr => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4));

-- Location: LCCOMB_X76_Y41_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ 
-- & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\);

-- Location: LCCOMB_X76_Y41_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\ = ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4))))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\);

-- Location: LCCOMB_X76_Y41_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\);

-- Location: LCCOMB_X76_Y41_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ 
-- & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\);

-- Location: FF_X76_Y41_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\,
	sclr => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3));

-- Location: LCCOMB_X74_Y41_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2)) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\);

-- Location: LCCOMB_X74_Y41_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\);

-- Location: LCCOMB_X74_Y41_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~16_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ 
-- & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~16_combout\);

-- Location: LCCOMB_X74_Y41_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~16_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~16_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\);

-- Location: LCCOMB_X74_Y41_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ 
-- & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\);

-- Location: FF_X74_Y41_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\,
	sclr => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2));

-- Location: LCCOMB_X74_Y41_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\);

-- Location: LCCOMB_X74_Y41_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~12_combout\ = ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110101011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~12_combout\);

-- Location: LCCOMB_X74_Y41_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\)) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\))) # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ 
-- & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110001011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\);

-- Location: LCCOMB_X74_Y41_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~12_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~12_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\);

-- Location: LCCOMB_X74_Y41_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\) # 
-- ((!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\);

-- Location: FF_X74_Y41_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\,
	sclr => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1));

-- Location: LCCOMB_X75_Y41_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~4_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0)) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~4_combout\);

-- Location: LCCOMB_X74_Y41_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ 
-- & (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\);

-- Location: LCCOMB_X75_Y41_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~3_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\ & ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0)) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~3_combout\);

-- Location: LCCOMB_X75_Y41_N26
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~5_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~3_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~4_combout\ 
-- & !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~4_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~5_combout\);

-- Location: LCCOMB_X75_Y41_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\) # 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\);

-- Location: LCCOMB_X75_Y41_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\);

-- Location: LCCOMB_X75_Y41_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~5_combout\)) 
-- # (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~5_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\);

-- Location: FF_X75_Y41_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	sload => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0));

-- Location: LCCOMB_X74_Y44_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ = 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\);

-- Location: LCCOMB_X74_Y45_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\);

-- Location: LCCOMB_X74_Y45_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ & \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ & (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\);

-- Location: FF_X74_Y45_N19
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\);

-- Location: LCCOMB_X74_Y45_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\)))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\);

-- Location: LCCOMB_X72_Y45_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\ = !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\);

-- Location: LCCOMB_X74_Y45_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ 
-- & (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\);

-- Location: FF_X72_Y45_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8));

-- Location: LCCOMB_X72_Y45_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\);

-- Location: FF_X72_Y45_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7));

-- Location: LCCOMB_X72_Y45_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\);

-- Location: FF_X72_Y45_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6));

-- Location: LCCOMB_X72_Y45_N2
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\);

-- Location: FF_X72_Y45_N3
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5));

-- Location: LCCOMB_X72_Y45_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\);

-- Location: FF_X72_Y45_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4));

-- Location: LCCOMB_X72_Y45_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\);

-- Location: FF_X72_Y45_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3));

-- Location: LCCOMB_X72_Y45_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\);

-- Location: FF_X72_Y45_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2));

-- Location: LCCOMB_X72_Y45_N14
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\);

-- Location: FF_X72_Y45_N15
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1));

-- Location: LCCOMB_X72_Y45_N0
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\);

-- Location: FF_X72_Y45_N1
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\,
	ena => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0));

-- Location: LCCOMB_X72_Y45_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\)))) # 
-- (!\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\);

-- Location: LCCOMB_X72_Y45_N18
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0) & 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0),
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\);

-- Location: LCCOMB_X72_Y45_N28
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~2_combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\) # 
-- ((\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\,
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~2_combout\);

-- Location: LCCOMB_X71_Y45_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\);

-- Location: LCCOMB_X70_Y46_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\);

-- Location: LCCOMB_X69_Y46_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\);

-- Location: LCCOMB_X69_Y46_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\);

-- Location: LCCOMB_X69_Y46_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\);

-- Location: LCCOMB_X70_Y46_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\);

-- Location: FF_X69_Y46_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3));

-- Location: LCCOMB_X69_Y46_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\);

-- Location: LCCOMB_X69_Y46_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\);

-- Location: LCCOMB_X69_Y46_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\);

-- Location: FF_X69_Y46_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4));

-- Location: LCCOMB_X69_Y46_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => VCC,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\);

-- Location: LCCOMB_X69_Y46_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\);

-- Location: FF_X69_Y46_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0));

-- Location: LCCOMB_X69_Y46_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\);

-- Location: LCCOMB_X69_Y46_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\);

-- Location: FF_X69_Y46_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1));

-- Location: LCCOMB_X69_Y46_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\);

-- Location: FF_X69_Y46_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2));

-- Location: LCCOMB_X69_Y46_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\);

-- Location: LCCOMB_X70_Y46_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\);

-- Location: LCCOMB_X70_Y46_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\);

-- Location: FF_X70_Y46_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(3));

-- Location: LCCOMB_X69_Y46_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\);

-- Location: LCCOMB_X70_Y46_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\);

-- Location: LCCOMB_X70_Y46_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\);

-- Location: FF_X70_Y46_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(2));

-- Location: LCCOMB_X69_Y46_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\);

-- Location: LCCOMB_X70_Y46_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\);

-- Location: FF_X70_Y46_N1
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(1));

-- Location: LCCOMB_X70_Y46_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~0_combout\);

-- Location: FF_X70_Y46_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(0));

-- Location: LCCOMB_X71_Y45_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\);

-- Location: LCCOMB_X71_Y46_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\);

-- Location: LCCOMB_X70_Y46_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\);

-- Location: FF_X71_Y46_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(3));

-- Location: LCCOMB_X71_Y46_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\);

-- Location: FF_X71_Y46_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(2));

-- Location: LCCOMB_X71_Y46_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\);

-- Location: FF_X71_Y46_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(1));

-- Location: LCCOMB_X71_Y46_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\);

-- Location: FF_X71_Y46_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(0));

-- Location: LCCOMB_X70_Y45_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\);

-- Location: LCCOMB_X70_Y45_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\);

-- Location: LCCOMB_X70_Y46_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~0_combout\);

-- Location: FF_X70_Y46_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\);

-- Location: LCCOMB_X70_Y45_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\);

-- Location: LCCOMB_X70_Y45_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\);

-- Location: LCCOMB_X70_Y46_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\);

-- Location: LCCOMB_X69_Y45_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\);

-- Location: FF_X69_Y45_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\);

-- Location: CLKCTRL_G14
\altera_internal_jtag~TCKUTAPclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\);

-- Location: LCCOMB_X76_Y18_N16
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\);

-- Location: FF_X76_Y18_N17
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\);

-- Location: LCCOMB_X76_Y18_N6
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\);

-- Location: FF_X76_Y18_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\);

-- Location: LCCOMB_X76_Y18_N24
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X76_Y18_N25
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0));

-- Location: LCCOMB_X76_Y18_N30
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X76_Y18_N31
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1));

-- Location: LCCOMB_X76_Y18_N10
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\);

-- Location: FF_X76_Y18_N11
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2));

-- Location: LCCOMB_X76_Y18_N4
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X76_Y18_N5
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3));

-- Location: LCCOMB_X76_Y18_N8
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X76_Y18_N9
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4));

-- Location: LCCOMB_X76_Y18_N22
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X76_Y18_N23
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(5));

-- Location: FF_X76_Y18_N13
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(5),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6));

-- Location: LCCOMB_X76_Y18_N20
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\ = 
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6),
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\);

-- Location: FF_X76_Y18_N21
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\);

-- Location: LCCOMB_X76_Y18_N12
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\ = 
-- (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6) & 
-- !\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6),
	datad => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\,
	combout => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\);

-- Location: FF_X75_Y14_N7
\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\);

-- Location: LCCOMB_X74_Y14_N8
\sleep_mode_qsys_u0|master_0|fifo|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|Equal1~0_combout\ = \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2) $ (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2) $ (((\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0) & \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0),
	datab => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(2),
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(2),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1),
	combout => \sleep_mode_qsys_u0|master_0|fifo|Equal1~0_combout\);

-- Location: LCCOMB_X75_Y14_N18
\sleep_mode_qsys_u0|master_0|fifo|next_full~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|next_full~0_combout\ = (!\sleep_mode_qsys_u0|master_0|fifo|Equal1~0_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4) $ (\sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\ $ 
-- (!\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010001000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Equal1~0_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(4),
	datac => \sleep_mode_qsys_u0|master_0|fifo|Add0~0_combout\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(4),
	combout => \sleep_mode_qsys_u0|master_0|fifo|next_full~0_combout\);

-- Location: LCCOMB_X74_Y14_N16
\sleep_mode_qsys_u0|master_0|fifo|next_full~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|next_full~1_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0) & (!\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0) & (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1) $ (!\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1))))) # 
-- (!\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0) & (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0) & (\sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1) $ (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001010000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(1),
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(0),
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(1),
	datad => \sleep_mode_qsys_u0|master_0|fifo|wr_ptr\(0),
	combout => \sleep_mode_qsys_u0|master_0|fifo|next_full~1_combout\);

-- Location: LCCOMB_X75_Y14_N20
\sleep_mode_qsys_u0|master_0|fifo|next_full~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|next_full~2_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|next_full~1_combout\ & (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\ & 
-- (\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3) $ (!\sleep_mode_qsys_u0|master_0|fifo|Add0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|next_full~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(3),
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|Add0~1_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|next_full~2_combout\);

-- Location: LCCOMB_X76_Y14_N28
\sleep_mode_qsys_u0|master_0|fifo|next_full~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|next_full~3_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|next_full~0_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|next_full~2_combout\ & (\sleep_mode_qsys_u0|master_0|fifo|Add0~2_combout\ $ 
-- (!\sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|Add0~2_combout\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|next_full~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|rd_ptr\(5),
	datad => \sleep_mode_qsys_u0|master_0|fifo|next_full~2_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|next_full~3_combout\);

-- Location: LCCOMB_X75_Y14_N2
\sleep_mode_qsys_u0|master_0|fifo|next_full~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|next_full~4_combout\ = (\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\ & (!\sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\ & ((\sleep_mode_qsys_u0|master_0|fifo|full~q\) # 
-- (\sleep_mode_qsys_u0|master_0|fifo|next_full~3_combout\)))) # (!\sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\ & (((\sleep_mode_qsys_u0|master_0|fifo|full~q\) # (\sleep_mode_qsys_u0|master_0|fifo|next_full~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datab => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	datac => \sleep_mode_qsys_u0|master_0|fifo|full~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|next_full~3_combout\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|next_full~4_combout\);

-- Location: FF_X75_Y14_N3
\sleep_mode_qsys_u0|master_0|fifo|full\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|next_full~4_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|full~q\);

-- Location: LCCOMB_X75_Y14_N6
\sleep_mode_qsys_u0|master_0|fifo|write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|write~combout\ = (\sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\ & !\sleep_mode_qsys_u0|master_0|fifo|full~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\,
	datad => \sleep_mode_qsys_u0|master_0|fifo|full~q\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|write~combout\);

-- Location: LCCOMB_X74_Y10_N28
\sleep_mode_qsys_u0|master_0|fifo|out_payload[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|fifo|out_payload[6]~feeder_combout\ = \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a6\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \sleep_mode_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a6\,
	combout => \sleep_mode_qsys_u0|master_0|fifo|out_payload[6]~feeder_combout\);

-- Location: FF_X74_Y10_N29
\sleep_mode_qsys_u0|master_0|fifo|out_payload[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|fifo|out_payload[6]~feeder_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \sleep_mode_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(6));

-- Location: FF_X71_Y10_N29
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(6),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(6));

-- Location: FF_X71_Y9_N13
\sleep_mode_qsys_u0|master_0|transacto|p2m|command[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(7),
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \sleep_mode_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(7));

-- Location: LCCOMB_X71_Y9_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(6) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(5) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(7) & 
-- !\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(6),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(5),
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(7),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(3),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\);

-- Location: LCCOMB_X72_Y9_N10
\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1) & !\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(1),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(0),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\);

-- Location: LCCOMB_X71_Y10_N12
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~40_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4) & \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~40_combout\);

-- Location: FF_X71_Y10_N13
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_NEW_REG80\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~40_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM81\);

-- Location: LCCOMB_X71_Y10_N2
\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_RTM086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_RTM086_combout\ = !\sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_RTM086_combout\);

-- Location: FF_X71_Y10_N3
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_NEW_REG84\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|in_ready_0~0_RTM086_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM85\);

-- Location: FF_X71_Y10_N17
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_NEW_REG82\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|b2p|out_startofpacket~q\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM83\);

-- Location: FF_X71_Y10_N9
\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_NEW_REG78\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|master_0|transacto|p2m|enable~combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM79\);

-- Location: LCCOMB_X71_Y10_N16
\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM79\ & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM83\ & 
-- ((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM81\) # (\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM85\)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM79\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM85\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM81\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM85\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM83\,
	datad => \sleep_mode_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA_OTERM79\,
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\);

-- Location: LCCOMB_X70_Y9_N28
\sleep_mode_qsys_u0|master_0|transacto|p2m|writedata[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\ = (\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & ((\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ & 
-- ((\sleep_mode_qsys_u0|master_0|fifo|out_payload\(0)))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|writedata\(0))))) # (!\sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\ & 
-- (((\sleep_mode_qsys_u0|master_0|transacto|p2m|writedata\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|writedata\(0),
	datad => \sleep_mode_qsys_u0|master_0|fifo|out_payload\(0),
	combout => \sleep_mode_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\);

-- Location: FF_X70_Y9_N29
\sleep_mode_qsys_u0|master_0|transacto|p2m|writedata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	clrn => \sleep_mode_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|master_0|transacto|p2m|writedata\(0));

-- Location: LCCOMB_X66_Y8_N30
\sleep_mode_qsys_u0|pio_0|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|pio_0|always0~0_combout\ = (\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\ & 
-- !\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_agent|m0_write~0_combout\,
	datac => \sleep_mode_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(1),
	combout => \sleep_mode_qsys_u0|pio_0|always0~0_combout\);

-- Location: LCCOMB_X69_Y8_N2
\sleep_mode_qsys_u0|pio_0|always0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|pio_0|always0~1_combout\ = (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2) & (!\sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3) & !\sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(2),
	datab => \sleep_mode_qsys_u0|master_0|transacto|p2m|address\(3),
	datac => \sleep_mode_qsys_u0|mm_interconnect_0|pio_0_s1_translator|wait_latency_counter\(0),
	combout => \sleep_mode_qsys_u0|pio_0|always0~1_combout\);

-- Location: LCCOMB_X69_Y8_N28
\sleep_mode_qsys_u0|pio_0|data_out~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \sleep_mode_qsys_u0|pio_0|data_out~0_combout\ = (\sleep_mode_qsys_u0|pio_0|always0~0_combout\ & ((\sleep_mode_qsys_u0|pio_0|always0~1_combout\ & (\sleep_mode_qsys_u0|master_0|transacto|p2m|writedata\(0))) # (!\sleep_mode_qsys_u0|pio_0|always0~1_combout\ & 
-- ((\sleep_mode_qsys_u0|pio_0|data_out~q\))))) # (!\sleep_mode_qsys_u0|pio_0|always0~0_combout\ & (((\sleep_mode_qsys_u0|pio_0|data_out~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sleep_mode_qsys_u0|master_0|transacto|p2m|writedata\(0),
	datab => \sleep_mode_qsys_u0|pio_0|always0~0_combout\,
	datac => \sleep_mode_qsys_u0|pio_0|data_out~q\,
	datad => \sleep_mode_qsys_u0|pio_0|always0~1_combout\,
	combout => \sleep_mode_qsys_u0|pio_0|data_out~0_combout\);

-- Location: FF_X69_Y8_N29
\sleep_mode_qsys_u0|pio_0|data_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \sleep_mode_qsys_u0|pio_0|data_out~0_combout\,
	clrn => \sleep_mode_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \sleep_mode_qsys_u0|pio_0|data_out~q\);

-- Location: FF_X45_Y1_N19
clk_ctrl_gui_reg1 : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \sleep_mode_qsys_u0|pio_0|data_out~q\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clk_ctrl_gui_reg1~q\);

-- Location: LCCOMB_X45_Y1_N2
\clk_ctrl_gui_reg2~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \clk_ctrl_gui_reg2~feeder_combout\ = \clk_ctrl_gui_reg1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \clk_ctrl_gui_reg1~q\,
	combout => \clk_ctrl_gui_reg2~feeder_combout\);

-- Location: FF_X45_Y1_N3
clk_ctrl_gui_reg2 : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \clk_ctrl_gui_reg2~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clk_ctrl_gui_reg2~q\);

-- Location: PLL_1
\adc_pll_100m|altpll_component|auto_generated|pll1\ : fiftyfivenm_pll
-- pragma translate_off
GENERIC MAP (
	auto_settings => "false",
	bandwidth_type => "medium",
	c0_high => 3,
	c0_initial => 1,
	c0_low => 2,
	c0_mode => "odd",
	c0_ph => 0,
	c1_high => 250,
	c1_initial => 1,
	c1_low => 250,
	c1_mode => "even",
	c1_ph => 0,
	c1_use_casc_in => "off",
	c2_high => 0,
	c2_initial => 0,
	c2_low => 0,
	c2_mode => "bypass",
	c2_ph => 0,
	c2_use_casc_in => "off",
	c3_high => 0,
	c3_initial => 0,
	c3_low => 0,
	c3_mode => "bypass",
	c3_ph => 0,
	c3_use_casc_in => "off",
	c4_high => 0,
	c4_initial => 0,
	c4_low => 0,
	c4_mode => "bypass",
	c4_ph => 0,
	c4_use_casc_in => "off",
	charge_pump_current_bits => 1,
	clk0_counter => "c0",
	clk0_divide_by => 1,
	clk0_duty_cycle => 50,
	clk0_multiply_by => 2,
	clk0_phase_shift => "0",
	clk1_counter => "c1",
	clk1_divide_by => 50,
	clk1_duty_cycle => 50,
	clk1_multiply_by => 1,
	clk1_phase_shift => "0",
	clk2_counter => "unused",
	clk2_divide_by => 0,
	clk2_duty_cycle => 50,
	clk2_multiply_by => 0,
	clk2_phase_shift => "0",
	clk3_counter => "unused",
	clk3_divide_by => 0,
	clk3_duty_cycle => 50,
	clk3_multiply_by => 0,
	clk3_phase_shift => "0",
	clk4_counter => "unused",
	clk4_divide_by => 0,
	clk4_duty_cycle => 50,
	clk4_multiply_by => 0,
	clk4_phase_shift => "0",
	compensate_clock => "clock0",
	inclk0_input_frequency => 20000,
	inclk1_input_frequency => 0,
	loop_filter_c_bits => 0,
	loop_filter_r_bits => 27,
	m => 10,
	m_initial => 1,
	m_ph => 0,
	n => 1,
	operation_mode => "normal",
	pfd_max => 200000,
	pfd_min => 3076,
	self_reset_on_loss_lock => "off",
	simulation_type => "functional",
	switch_over_type => "auto",
	vco_center => 1538,
	vco_divide_by => 0,
	vco_frequency_control => "auto",
	vco_max => 3333,
	vco_min => 1538,
	vco_multiply_by => 0,
	vco_phase_shift_step => 250,
	vco_post_scale => 2)
-- pragma translate_on
PORT MAP (
	areset => \ALT_INV_fpga_resetn~input_o\,
	fbin => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_fbout\,
	inclk => \adc_pll_100m|altpll_component|auto_generated|pll1_INCLK_bus\,
	fbout => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_fbout\,
	clk => \adc_pll_100m|altpll_component|auto_generated|pll1_CLK_bus\);

-- Location: CLKCTRL_G19
\adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\);

-- Location: IOIBUF_X78_Y25_N15
\user_pb[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(0),
	o => \user_pb[0]~input_o\);

-- Location: LCCOMB_X75_Y9_N8
\filter_circuit_inst|fr_shifter[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_shifter[0]~feeder_combout\ = \user_pb[0]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \user_pb[0]~input_o\,
	combout => \filter_circuit_inst|fr_shifter[0]~feeder_combout\);

-- Location: FF_X75_Y9_N9
\filter_circuit_inst|fr_shifter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	d => \filter_circuit_inst|fr_shifter[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(0));

-- Location: LCCOMB_X45_Y1_N12
\filter_circuit_inst|fr_shifter[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_shifter[1]~feeder_combout\ = \filter_circuit_inst|fr_shifter\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \filter_circuit_inst|fr_shifter\(0),
	combout => \filter_circuit_inst|fr_shifter[1]~feeder_combout\);

-- Location: FF_X45_Y1_N13
\filter_circuit_inst|fr_shifter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	d => \filter_circuit_inst|fr_shifter[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(1));

-- Location: FF_X45_Y1_N7
\filter_circuit_inst|fr_shifter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	asdata => \filter_circuit_inst|fr_shifter\(1),
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(2));

-- Location: LCCOMB_X45_Y1_N22
\filter_circuit_inst|fr_shifter[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_shifter[3]~feeder_combout\ = \filter_circuit_inst|fr_shifter\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \filter_circuit_inst|fr_shifter\(2),
	combout => \filter_circuit_inst|fr_shifter[3]~feeder_combout\);

-- Location: FF_X45_Y1_N23
\filter_circuit_inst|fr_shifter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	d => \filter_circuit_inst|fr_shifter[3]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(3));

-- Location: FF_X45_Y1_N5
\filter_circuit_inst|fr_shifter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	asdata => \filter_circuit_inst|fr_shifter\(3),
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(4));

-- Location: LCCOMB_X45_Y1_N14
\filter_circuit_inst|fr_shifter[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_shifter[5]~feeder_combout\ = \filter_circuit_inst|fr_shifter\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \filter_circuit_inst|fr_shifter\(4),
	combout => \filter_circuit_inst|fr_shifter[5]~feeder_combout\);

-- Location: FF_X45_Y1_N15
\filter_circuit_inst|fr_shifter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	d => \filter_circuit_inst|fr_shifter[5]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(5));

-- Location: LCCOMB_X45_Y1_N4
\filter_circuit_inst|fr_negedge~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_negedge~1_combout\ = (!\filter_circuit_inst|fr_shifter\(3) & (!\filter_circuit_inst|fr_shifter\(2) & (!\filter_circuit_inst|fr_shifter\(4) & \filter_circuit_inst|fr_shifter\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \filter_circuit_inst|fr_shifter\(3),
	datab => \filter_circuit_inst|fr_shifter\(2),
	datac => \filter_circuit_inst|fr_shifter\(4),
	datad => \filter_circuit_inst|fr_shifter\(5),
	combout => \filter_circuit_inst|fr_negedge~1_combout\);

-- Location: FF_X45_Y1_N9
\filter_circuit_inst|fr_shifter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	asdata => \filter_circuit_inst|fr_shifter\(5),
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(6));

-- Location: FF_X45_Y1_N17
\filter_circuit_inst|fr_shifter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	asdata => \filter_circuit_inst|fr_shifter\(6),
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(7));

-- Location: LCCOMB_X45_Y1_N26
\filter_circuit_inst|fr_shifter[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_shifter[8]~feeder_combout\ = \filter_circuit_inst|fr_shifter\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \filter_circuit_inst|fr_shifter\(7),
	combout => \filter_circuit_inst|fr_shifter[8]~feeder_combout\);

-- Location: FF_X45_Y1_N27
\filter_circuit_inst|fr_shifter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	d => \filter_circuit_inst|fr_shifter[8]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(8));

-- Location: FF_X45_Y1_N29
\filter_circuit_inst|fr_shifter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	asdata => \filter_circuit_inst|fr_shifter\(8),
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|fr_shifter\(9));

-- Location: LCCOMB_X45_Y1_N16
\filter_circuit_inst|fr_negedge~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_negedge~0_combout\ = (\filter_circuit_inst|fr_shifter\(8) & (\filter_circuit_inst|fr_shifter\(6) & (\filter_circuit_inst|fr_shifter\(7) & \filter_circuit_inst|fr_shifter\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \filter_circuit_inst|fr_shifter\(8),
	datab => \filter_circuit_inst|fr_shifter\(6),
	datac => \filter_circuit_inst|fr_shifter\(7),
	datad => \filter_circuit_inst|fr_shifter\(9),
	combout => \filter_circuit_inst|fr_negedge~0_combout\);

-- Location: LCCOMB_X45_Y1_N10
\filter_circuit_inst|fr_negedge~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_negedge~2_combout\ = (!\filter_circuit_inst|fr_shifter\(1) & (!\filter_circuit_inst|fr_shifter\(0) & (\filter_circuit_inst|fr_negedge~1_combout\ & \filter_circuit_inst|fr_negedge~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \filter_circuit_inst|fr_shifter\(1),
	datab => \filter_circuit_inst|fr_shifter\(0),
	datac => \filter_circuit_inst|fr_negedge~1_combout\,
	datad => \filter_circuit_inst|fr_negedge~0_combout\,
	combout => \filter_circuit_inst|fr_negedge~2_combout\);

-- Location: LCCOMB_X45_Y1_N28
\filter_circuit_inst|fr_posedge~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_posedge~0_combout\ = (!\filter_circuit_inst|fr_shifter\(8) & (!\filter_circuit_inst|fr_shifter\(7) & (!\filter_circuit_inst|fr_shifter\(9) & !\filter_circuit_inst|fr_shifter\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \filter_circuit_inst|fr_shifter\(8),
	datab => \filter_circuit_inst|fr_shifter\(7),
	datac => \filter_circuit_inst|fr_shifter\(9),
	datad => \filter_circuit_inst|fr_shifter\(6),
	combout => \filter_circuit_inst|fr_posedge~0_combout\);

-- Location: LCCOMB_X45_Y1_N6
\filter_circuit_inst|fr_posedge~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_posedge~1_combout\ = (\filter_circuit_inst|fr_shifter\(3) & (!\filter_circuit_inst|fr_shifter\(5) & (\filter_circuit_inst|fr_shifter\(2) & \filter_circuit_inst|fr_shifter\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \filter_circuit_inst|fr_shifter\(3),
	datab => \filter_circuit_inst|fr_shifter\(5),
	datac => \filter_circuit_inst|fr_shifter\(2),
	datad => \filter_circuit_inst|fr_shifter\(4),
	combout => \filter_circuit_inst|fr_posedge~1_combout\);

-- Location: LCCOMB_X45_Y1_N18
\filter_circuit_inst|fr_posedge~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|fr_posedge~2_combout\ = (\filter_circuit_inst|fr_posedge~1_combout\ & (\filter_circuit_inst|fr_shifter\(1) & \filter_circuit_inst|fr_shifter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \filter_circuit_inst|fr_posedge~1_combout\,
	datab => \filter_circuit_inst|fr_shifter\(1),
	datad => \filter_circuit_inst|fr_shifter\(0),
	combout => \filter_circuit_inst|fr_posedge~2_combout\);

-- Location: LCCOMB_X45_Y1_N24
\filter_circuit_inst|frameout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \filter_circuit_inst|frameout~0_combout\ = (\filter_circuit_inst|fr_negedge~2_combout\ & (\filter_circuit_inst|fr_posedge~0_combout\ & ((\filter_circuit_inst|fr_posedge~2_combout\)))) # (!\filter_circuit_inst|fr_negedge~2_combout\ & 
-- ((\filter_circuit_inst|frameout~q\) # ((\filter_circuit_inst|fr_posedge~0_combout\ & \filter_circuit_inst|fr_posedge~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \filter_circuit_inst|fr_negedge~2_combout\,
	datab => \filter_circuit_inst|fr_posedge~0_combout\,
	datac => \filter_circuit_inst|frameout~q\,
	datad => \filter_circuit_inst|fr_posedge~2_combout\,
	combout => \filter_circuit_inst|frameout~0_combout\);

-- Location: FF_X45_Y1_N25
\filter_circuit_inst|frameout\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_100m|altpll_component|auto_generated|wire_pll1_clk[1]~clkctrl_outclk\,
	d => \filter_circuit_inst|frameout~0_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \filter_circuit_inst|frameout~q\);

-- Location: LCCOMB_X45_Y1_N30
\user_pb_filtered_reg1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \user_pb_filtered_reg1~feeder_combout\ = \filter_circuit_inst|frameout~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \filter_circuit_inst|frameout~q\,
	combout => \user_pb_filtered_reg1~feeder_combout\);

-- Location: FF_X45_Y1_N31
user_pb_filtered_reg1 : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \user_pb_filtered_reg1~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \user_pb_filtered_reg1~q\);

-- Location: FF_X45_Y1_N21
user_pb_filtered_reg2 : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \user_pb_filtered_reg1~q\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \user_pb_filtered_reg2~q\);

-- Location: LCCOMB_X45_Y1_N20
user_pb_filtered_pos : fiftyfivenm_lcell_comb
-- Equation(s):
-- \user_pb_filtered_pos~combout\ = (\user_pb_filtered_reg1~q\ & !\user_pb_filtered_reg2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \user_pb_filtered_reg1~q\,
	datac => \user_pb_filtered_reg2~q\,
	combout => \user_pb_filtered_pos~combout\);

-- Location: LCCOMB_X45_Y1_N0
\clk_enable~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \clk_enable~0_combout\ = \clk_enable~q\ $ (((\user_pb_filtered_pos~combout\) # (\clk_ctrl_gui_reg1~q\ $ (\clk_ctrl_gui_reg2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \clk_ctrl_gui_reg1~q\,
	datab => \clk_ctrl_gui_reg2~q\,
	datac => \clk_enable~q\,
	datad => \user_pb_filtered_pos~combout\,
	combout => \clk_enable~0_combout\);

-- Location: FF_X45_Y1_N1
clk_enable : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \clk_enable~0_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clk_enable~q\);

-- Location: LCCOMB_X77_Y9_N4
\heart_beat_cnt[0]~78\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[0]~78_combout\ = !heart_beat_cnt(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => heart_beat_cnt(0),
	combout => \heart_beat_cnt[0]~78_combout\);

-- Location: FF_X77_Y9_N5
\heart_beat_cnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[0]~78_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(0));

-- Location: LCCOMB_X77_Y9_N6
\heart_beat_cnt[1]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[1]~26_combout\ = (heart_beat_cnt(1) & (heart_beat_cnt(0) $ (VCC))) # (!heart_beat_cnt(1) & (heart_beat_cnt(0) & VCC))
-- \heart_beat_cnt[1]~27\ = CARRY((heart_beat_cnt(1) & heart_beat_cnt(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(1),
	datab => heart_beat_cnt(0),
	datad => VCC,
	combout => \heart_beat_cnt[1]~26_combout\,
	cout => \heart_beat_cnt[1]~27\);

-- Location: FF_X77_Y9_N7
\heart_beat_cnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[1]~26_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(1));

-- Location: LCCOMB_X77_Y9_N8
\heart_beat_cnt[2]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[2]~28_combout\ = (heart_beat_cnt(2) & (!\heart_beat_cnt[1]~27\)) # (!heart_beat_cnt(2) & ((\heart_beat_cnt[1]~27\) # (GND)))
-- \heart_beat_cnt[2]~29\ = CARRY((!\heart_beat_cnt[1]~27\) # (!heart_beat_cnt(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(2),
	datad => VCC,
	cin => \heart_beat_cnt[1]~27\,
	combout => \heart_beat_cnt[2]~28_combout\,
	cout => \heart_beat_cnt[2]~29\);

-- Location: FF_X77_Y9_N9
\heart_beat_cnt[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[2]~28_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(2));

-- Location: LCCOMB_X77_Y9_N10
\heart_beat_cnt[3]~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[3]~30_combout\ = (heart_beat_cnt(3) & (\heart_beat_cnt[2]~29\ $ (GND))) # (!heart_beat_cnt(3) & (!\heart_beat_cnt[2]~29\ & VCC))
-- \heart_beat_cnt[3]~31\ = CARRY((heart_beat_cnt(3) & !\heart_beat_cnt[2]~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(3),
	datad => VCC,
	cin => \heart_beat_cnt[2]~29\,
	combout => \heart_beat_cnt[3]~30_combout\,
	cout => \heart_beat_cnt[3]~31\);

-- Location: FF_X77_Y9_N11
\heart_beat_cnt[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[3]~30_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(3));

-- Location: LCCOMB_X77_Y9_N12
\heart_beat_cnt[4]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[4]~32_combout\ = (heart_beat_cnt(4) & (!\heart_beat_cnt[3]~31\)) # (!heart_beat_cnt(4) & ((\heart_beat_cnt[3]~31\) # (GND)))
-- \heart_beat_cnt[4]~33\ = CARRY((!\heart_beat_cnt[3]~31\) # (!heart_beat_cnt(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(4),
	datad => VCC,
	cin => \heart_beat_cnt[3]~31\,
	combout => \heart_beat_cnt[4]~32_combout\,
	cout => \heart_beat_cnt[4]~33\);

-- Location: FF_X77_Y9_N13
\heart_beat_cnt[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[4]~32_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(4));

-- Location: LCCOMB_X77_Y9_N14
\heart_beat_cnt[5]~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[5]~34_combout\ = (heart_beat_cnt(5) & (\heart_beat_cnt[4]~33\ $ (GND))) # (!heart_beat_cnt(5) & (!\heart_beat_cnt[4]~33\ & VCC))
-- \heart_beat_cnt[5]~35\ = CARRY((heart_beat_cnt(5) & !\heart_beat_cnt[4]~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(5),
	datad => VCC,
	cin => \heart_beat_cnt[4]~33\,
	combout => \heart_beat_cnt[5]~34_combout\,
	cout => \heart_beat_cnt[5]~35\);

-- Location: FF_X77_Y9_N15
\heart_beat_cnt[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[5]~34_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(5));

-- Location: LCCOMB_X77_Y9_N16
\heart_beat_cnt[6]~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[6]~36_combout\ = (heart_beat_cnt(6) & (!\heart_beat_cnt[5]~35\)) # (!heart_beat_cnt(6) & ((\heart_beat_cnt[5]~35\) # (GND)))
-- \heart_beat_cnt[6]~37\ = CARRY((!\heart_beat_cnt[5]~35\) # (!heart_beat_cnt(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(6),
	datad => VCC,
	cin => \heart_beat_cnt[5]~35\,
	combout => \heart_beat_cnt[6]~36_combout\,
	cout => \heart_beat_cnt[6]~37\);

-- Location: FF_X77_Y9_N17
\heart_beat_cnt[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[6]~36_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(6));

-- Location: LCCOMB_X77_Y9_N18
\heart_beat_cnt[7]~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[7]~38_combout\ = (heart_beat_cnt(7) & (\heart_beat_cnt[6]~37\ $ (GND))) # (!heart_beat_cnt(7) & (!\heart_beat_cnt[6]~37\ & VCC))
-- \heart_beat_cnt[7]~39\ = CARRY((heart_beat_cnt(7) & !\heart_beat_cnt[6]~37\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(7),
	datad => VCC,
	cin => \heart_beat_cnt[6]~37\,
	combout => \heart_beat_cnt[7]~38_combout\,
	cout => \heart_beat_cnt[7]~39\);

-- Location: FF_X77_Y9_N19
\heart_beat_cnt[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[7]~38_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(7));

-- Location: LCCOMB_X77_Y9_N20
\heart_beat_cnt[8]~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[8]~40_combout\ = (heart_beat_cnt(8) & (!\heart_beat_cnt[7]~39\)) # (!heart_beat_cnt(8) & ((\heart_beat_cnt[7]~39\) # (GND)))
-- \heart_beat_cnt[8]~41\ = CARRY((!\heart_beat_cnt[7]~39\) # (!heart_beat_cnt(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(8),
	datad => VCC,
	cin => \heart_beat_cnt[7]~39\,
	combout => \heart_beat_cnt[8]~40_combout\,
	cout => \heart_beat_cnt[8]~41\);

-- Location: FF_X77_Y9_N21
\heart_beat_cnt[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[8]~40_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(8));

-- Location: LCCOMB_X77_Y9_N22
\heart_beat_cnt[9]~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[9]~42_combout\ = (heart_beat_cnt(9) & (\heart_beat_cnt[8]~41\ $ (GND))) # (!heart_beat_cnt(9) & (!\heart_beat_cnt[8]~41\ & VCC))
-- \heart_beat_cnt[9]~43\ = CARRY((heart_beat_cnt(9) & !\heart_beat_cnt[8]~41\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(9),
	datad => VCC,
	cin => \heart_beat_cnt[8]~41\,
	combout => \heart_beat_cnt[9]~42_combout\,
	cout => \heart_beat_cnt[9]~43\);

-- Location: FF_X77_Y9_N23
\heart_beat_cnt[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[9]~42_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(9));

-- Location: LCCOMB_X77_Y9_N24
\heart_beat_cnt[10]~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[10]~44_combout\ = (heart_beat_cnt(10) & (!\heart_beat_cnt[9]~43\)) # (!heart_beat_cnt(10) & ((\heart_beat_cnt[9]~43\) # (GND)))
-- \heart_beat_cnt[10]~45\ = CARRY((!\heart_beat_cnt[9]~43\) # (!heart_beat_cnt(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(10),
	datad => VCC,
	cin => \heart_beat_cnt[9]~43\,
	combout => \heart_beat_cnt[10]~44_combout\,
	cout => \heart_beat_cnt[10]~45\);

-- Location: FF_X77_Y9_N25
\heart_beat_cnt[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[10]~44_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(10));

-- Location: LCCOMB_X77_Y9_N26
\heart_beat_cnt[11]~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[11]~46_combout\ = (heart_beat_cnt(11) & (\heart_beat_cnt[10]~45\ $ (GND))) # (!heart_beat_cnt(11) & (!\heart_beat_cnt[10]~45\ & VCC))
-- \heart_beat_cnt[11]~47\ = CARRY((heart_beat_cnt(11) & !\heart_beat_cnt[10]~45\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(11),
	datad => VCC,
	cin => \heart_beat_cnt[10]~45\,
	combout => \heart_beat_cnt[11]~46_combout\,
	cout => \heart_beat_cnt[11]~47\);

-- Location: FF_X77_Y9_N27
\heart_beat_cnt[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[11]~46_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(11));

-- Location: LCCOMB_X77_Y9_N28
\heart_beat_cnt[12]~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[12]~48_combout\ = (heart_beat_cnt(12) & (!\heart_beat_cnt[11]~47\)) # (!heart_beat_cnt(12) & ((\heart_beat_cnt[11]~47\) # (GND)))
-- \heart_beat_cnt[12]~49\ = CARRY((!\heart_beat_cnt[11]~47\) # (!heart_beat_cnt(12)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(12),
	datad => VCC,
	cin => \heart_beat_cnt[11]~47\,
	combout => \heart_beat_cnt[12]~48_combout\,
	cout => \heart_beat_cnt[12]~49\);

-- Location: FF_X77_Y9_N29
\heart_beat_cnt[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[12]~48_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(12));

-- Location: LCCOMB_X77_Y9_N30
\heart_beat_cnt[13]~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[13]~50_combout\ = (heart_beat_cnt(13) & (\heart_beat_cnt[12]~49\ $ (GND))) # (!heart_beat_cnt(13) & (!\heart_beat_cnt[12]~49\ & VCC))
-- \heart_beat_cnt[13]~51\ = CARRY((heart_beat_cnt(13) & !\heart_beat_cnt[12]~49\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(13),
	datad => VCC,
	cin => \heart_beat_cnt[12]~49\,
	combout => \heart_beat_cnt[13]~50_combout\,
	cout => \heart_beat_cnt[13]~51\);

-- Location: FF_X77_Y9_N31
\heart_beat_cnt[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[13]~50_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(13));

-- Location: LCCOMB_X77_Y8_N0
\heart_beat_cnt[14]~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[14]~52_combout\ = (heart_beat_cnt(14) & (!\heart_beat_cnt[13]~51\)) # (!heart_beat_cnt(14) & ((\heart_beat_cnt[13]~51\) # (GND)))
-- \heart_beat_cnt[14]~53\ = CARRY((!\heart_beat_cnt[13]~51\) # (!heart_beat_cnt(14)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(14),
	datad => VCC,
	cin => \heart_beat_cnt[13]~51\,
	combout => \heart_beat_cnt[14]~52_combout\,
	cout => \heart_beat_cnt[14]~53\);

-- Location: FF_X77_Y8_N1
\heart_beat_cnt[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[14]~52_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(14));

-- Location: LCCOMB_X77_Y8_N2
\heart_beat_cnt[15]~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[15]~54_combout\ = (heart_beat_cnt(15) & (\heart_beat_cnt[14]~53\ $ (GND))) # (!heart_beat_cnt(15) & (!\heart_beat_cnt[14]~53\ & VCC))
-- \heart_beat_cnt[15]~55\ = CARRY((heart_beat_cnt(15) & !\heart_beat_cnt[14]~53\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(15),
	datad => VCC,
	cin => \heart_beat_cnt[14]~53\,
	combout => \heart_beat_cnt[15]~54_combout\,
	cout => \heart_beat_cnt[15]~55\);

-- Location: FF_X77_Y8_N3
\heart_beat_cnt[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[15]~54_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(15));

-- Location: LCCOMB_X77_Y8_N4
\heart_beat_cnt[16]~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[16]~56_combout\ = (heart_beat_cnt(16) & (!\heart_beat_cnt[15]~55\)) # (!heart_beat_cnt(16) & ((\heart_beat_cnt[15]~55\) # (GND)))
-- \heart_beat_cnt[16]~57\ = CARRY((!\heart_beat_cnt[15]~55\) # (!heart_beat_cnt(16)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(16),
	datad => VCC,
	cin => \heart_beat_cnt[15]~55\,
	combout => \heart_beat_cnt[16]~56_combout\,
	cout => \heart_beat_cnt[16]~57\);

-- Location: FF_X77_Y8_N5
\heart_beat_cnt[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[16]~56_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(16));

-- Location: LCCOMB_X77_Y8_N6
\heart_beat_cnt[17]~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[17]~58_combout\ = (heart_beat_cnt(17) & (\heart_beat_cnt[16]~57\ $ (GND))) # (!heart_beat_cnt(17) & (!\heart_beat_cnt[16]~57\ & VCC))
-- \heart_beat_cnt[17]~59\ = CARRY((heart_beat_cnt(17) & !\heart_beat_cnt[16]~57\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(17),
	datad => VCC,
	cin => \heart_beat_cnt[16]~57\,
	combout => \heart_beat_cnt[17]~58_combout\,
	cout => \heart_beat_cnt[17]~59\);

-- Location: FF_X77_Y8_N7
\heart_beat_cnt[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[17]~58_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(17));

-- Location: LCCOMB_X77_Y8_N8
\heart_beat_cnt[18]~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[18]~60_combout\ = (heart_beat_cnt(18) & (!\heart_beat_cnt[17]~59\)) # (!heart_beat_cnt(18) & ((\heart_beat_cnt[17]~59\) # (GND)))
-- \heart_beat_cnt[18]~61\ = CARRY((!\heart_beat_cnt[17]~59\) # (!heart_beat_cnt(18)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(18),
	datad => VCC,
	cin => \heart_beat_cnt[17]~59\,
	combout => \heart_beat_cnt[18]~60_combout\,
	cout => \heart_beat_cnt[18]~61\);

-- Location: FF_X77_Y8_N9
\heart_beat_cnt[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[18]~60_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(18));

-- Location: LCCOMB_X77_Y8_N10
\heart_beat_cnt[19]~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[19]~62_combout\ = (heart_beat_cnt(19) & (\heart_beat_cnt[18]~61\ $ (GND))) # (!heart_beat_cnt(19) & (!\heart_beat_cnt[18]~61\ & VCC))
-- \heart_beat_cnt[19]~63\ = CARRY((heart_beat_cnt(19) & !\heart_beat_cnt[18]~61\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(19),
	datad => VCC,
	cin => \heart_beat_cnt[18]~61\,
	combout => \heart_beat_cnt[19]~62_combout\,
	cout => \heart_beat_cnt[19]~63\);

-- Location: FF_X77_Y8_N11
\heart_beat_cnt[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[19]~62_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(19));

-- Location: LCCOMB_X77_Y8_N12
\heart_beat_cnt[20]~64\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[20]~64_combout\ = (heart_beat_cnt(20) & (!\heart_beat_cnt[19]~63\)) # (!heart_beat_cnt(20) & ((\heart_beat_cnt[19]~63\) # (GND)))
-- \heart_beat_cnt[20]~65\ = CARRY((!\heart_beat_cnt[19]~63\) # (!heart_beat_cnt(20)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(20),
	datad => VCC,
	cin => \heart_beat_cnt[19]~63\,
	combout => \heart_beat_cnt[20]~64_combout\,
	cout => \heart_beat_cnt[20]~65\);

-- Location: FF_X77_Y8_N13
\heart_beat_cnt[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[20]~64_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(20));

-- Location: LCCOMB_X77_Y8_N14
\heart_beat_cnt[21]~66\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[21]~66_combout\ = (heart_beat_cnt(21) & (\heart_beat_cnt[20]~65\ $ (GND))) # (!heart_beat_cnt(21) & (!\heart_beat_cnt[20]~65\ & VCC))
-- \heart_beat_cnt[21]~67\ = CARRY((heart_beat_cnt(21) & !\heart_beat_cnt[20]~65\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(21),
	datad => VCC,
	cin => \heart_beat_cnt[20]~65\,
	combout => \heart_beat_cnt[21]~66_combout\,
	cout => \heart_beat_cnt[21]~67\);

-- Location: FF_X77_Y8_N15
\heart_beat_cnt[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[21]~66_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(21));

-- Location: LCCOMB_X77_Y8_N16
\heart_beat_cnt[22]~68\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[22]~68_combout\ = (heart_beat_cnt(22) & (!\heart_beat_cnt[21]~67\)) # (!heart_beat_cnt(22) & ((\heart_beat_cnt[21]~67\) # (GND)))
-- \heart_beat_cnt[22]~69\ = CARRY((!\heart_beat_cnt[21]~67\) # (!heart_beat_cnt(22)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(22),
	datad => VCC,
	cin => \heart_beat_cnt[21]~67\,
	combout => \heart_beat_cnt[22]~68_combout\,
	cout => \heart_beat_cnt[22]~69\);

-- Location: FF_X77_Y8_N17
\heart_beat_cnt[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[22]~68_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(22));

-- Location: LCCOMB_X77_Y8_N18
\heart_beat_cnt[23]~70\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[23]~70_combout\ = (heart_beat_cnt(23) & (\heart_beat_cnt[22]~69\ $ (GND))) # (!heart_beat_cnt(23) & (!\heart_beat_cnt[22]~69\ & VCC))
-- \heart_beat_cnt[23]~71\ = CARRY((heart_beat_cnt(23) & !\heart_beat_cnt[22]~69\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(23),
	datad => VCC,
	cin => \heart_beat_cnt[22]~69\,
	combout => \heart_beat_cnt[23]~70_combout\,
	cout => \heart_beat_cnt[23]~71\);

-- Location: FF_X77_Y8_N19
\heart_beat_cnt[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[23]~70_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(23));

-- Location: LCCOMB_X77_Y8_N20
\heart_beat_cnt[24]~72\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[24]~72_combout\ = (heart_beat_cnt(24) & (!\heart_beat_cnt[23]~71\)) # (!heart_beat_cnt(24) & ((\heart_beat_cnt[23]~71\) # (GND)))
-- \heart_beat_cnt[24]~73\ = CARRY((!\heart_beat_cnt[23]~71\) # (!heart_beat_cnt(24)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(24),
	datad => VCC,
	cin => \heart_beat_cnt[23]~71\,
	combout => \heart_beat_cnt[24]~72_combout\,
	cout => \heart_beat_cnt[24]~73\);

-- Location: FF_X77_Y8_N21
\heart_beat_cnt[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[24]~72_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(24));

-- Location: LCCOMB_X77_Y8_N28
\user_led~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \user_led~0_combout\ = (heart_beat_cnt(24)) # (!\clk_enable~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \clk_enable~q\,
	datad => heart_beat_cnt(24),
	combout => \user_led~0_combout\);

-- Location: LCCOMB_X77_Y8_N22
\heart_beat_cnt[25]~74\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[25]~74_combout\ = (heart_beat_cnt(25) & (\heart_beat_cnt[24]~73\ $ (GND))) # (!heart_beat_cnt(25) & (!\heart_beat_cnt[24]~73\ & VCC))
-- \heart_beat_cnt[25]~75\ = CARRY((heart_beat_cnt(25) & !\heart_beat_cnt[24]~73\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => heart_beat_cnt(25),
	datad => VCC,
	cin => \heart_beat_cnt[24]~73\,
	combout => \heart_beat_cnt[25]~74_combout\,
	cout => \heart_beat_cnt[25]~75\);

-- Location: FF_X77_Y8_N23
\heart_beat_cnt[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[25]~74_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(25));

-- Location: LCCOMB_X77_Y8_N24
\heart_beat_cnt[26]~76\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \heart_beat_cnt[26]~76_combout\ = heart_beat_cnt(26) $ (\heart_beat_cnt[25]~75\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => heart_beat_cnt(26),
	cin => \heart_beat_cnt[25]~75\,
	combout => \heart_beat_cnt[26]~76_combout\);

-- Location: FF_X77_Y8_N25
\heart_beat_cnt[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \heart_beat_cnt[26]~76_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => heart_beat_cnt(26));

-- Location: CLKCTRL_G18
\clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|clkctrl1\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	ena => \clk_enable~q\,
	inclk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|clkctrl1_INCLK_bus\,
	clkselect => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|clkctrl1_CLKSELECT_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\);

-- Location: LCCOMB_X38_Y2_N14
\led_flash_cnt[3430][0]~84070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3430][0]~84070_combout\ = !\led_flash_cnt[3430][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3430][0]~q\,
	combout => \led_flash_cnt[3430][0]~84070_combout\);

-- Location: FF_X38_Y2_N15
\led_flash_cnt[3430][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3430][0]~84070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3430][0]~q\);

-- Location: LCCOMB_X38_Y2_N18
\led_flash_cnt[3430][1]~74900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3430][1]~74900_combout\ = (\led_flash_cnt[3430][1]~q\ & (\led_flash_cnt[3430][0]~q\ $ (VCC))) # (!\led_flash_cnt[3430][1]~q\ & (\led_flash_cnt[3430][0]~q\ & VCC))
-- \led_flash_cnt[3430][1]~74901\ = CARRY((\led_flash_cnt[3430][1]~q\ & \led_flash_cnt[3430][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3430][1]~q\,
	datab => \led_flash_cnt[3430][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3430][1]~74900_combout\,
	cout => \led_flash_cnt[3430][1]~74901\);

-- Location: FF_X38_Y2_N19
\led_flash_cnt[3430][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3430][1]~74900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3430][1]~q\);

-- Location: LCCOMB_X38_Y2_N20
\led_flash_cnt[3430][2]~74902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3430][2]~74902_combout\ = (\led_flash_cnt[3430][2]~q\ & (!\led_flash_cnt[3430][1]~74901\)) # (!\led_flash_cnt[3430][2]~q\ & ((\led_flash_cnt[3430][1]~74901\) # (GND)))
-- \led_flash_cnt[3430][2]~74903\ = CARRY((!\led_flash_cnt[3430][1]~74901\) # (!\led_flash_cnt[3430][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3430][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3430][1]~74901\,
	combout => \led_flash_cnt[3430][2]~74902_combout\,
	cout => \led_flash_cnt[3430][2]~74903\);

-- Location: FF_X38_Y2_N21
\led_flash_cnt[3430][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3430][2]~74902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3430][2]~q\);

-- Location: LCCOMB_X38_Y2_N22
\led_flash_cnt[3430][3]~74904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3430][3]~74904_combout\ = (\led_flash_cnt[3430][3]~q\ & (\led_flash_cnt[3430][2]~74903\ $ (GND))) # (!\led_flash_cnt[3430][3]~q\ & (!\led_flash_cnt[3430][2]~74903\ & VCC))
-- \led_flash_cnt[3430][3]~74905\ = CARRY((\led_flash_cnt[3430][3]~q\ & !\led_flash_cnt[3430][2]~74903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3430][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3430][2]~74903\,
	combout => \led_flash_cnt[3430][3]~74904_combout\,
	cout => \led_flash_cnt[3430][3]~74905\);

-- Location: FF_X38_Y2_N23
\led_flash_cnt[3430][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3430][3]~74904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3430][3]~q\);

-- Location: LCCOMB_X38_Y2_N24
\led_flash_cnt[3430][4]~74906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3430][4]~74906_combout\ = (\led_flash_cnt[3430][4]~q\ & (!\led_flash_cnt[3430][3]~74905\)) # (!\led_flash_cnt[3430][4]~q\ & ((\led_flash_cnt[3430][3]~74905\) # (GND)))
-- \led_flash_cnt[3430][4]~74907\ = CARRY((!\led_flash_cnt[3430][3]~74905\) # (!\led_flash_cnt[3430][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3430][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3430][3]~74905\,
	combout => \led_flash_cnt[3430][4]~74906_combout\,
	cout => \led_flash_cnt[3430][4]~74907\);

-- Location: FF_X38_Y2_N25
\led_flash_cnt[3430][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3430][4]~74906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3430][4]~q\);

-- Location: LCCOMB_X38_Y2_N26
\led_flash_cnt[3430][5]~74908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3430][5]~74908_combout\ = (\led_flash_cnt[3430][5]~q\ & (\led_flash_cnt[3430][4]~74907\ $ (GND))) # (!\led_flash_cnt[3430][5]~q\ & (!\led_flash_cnt[3430][4]~74907\ & VCC))
-- \led_flash_cnt[3430][5]~74909\ = CARRY((\led_flash_cnt[3430][5]~q\ & !\led_flash_cnt[3430][4]~74907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3430][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3430][4]~74907\,
	combout => \led_flash_cnt[3430][5]~74908_combout\,
	cout => \led_flash_cnt[3430][5]~74909\);

-- Location: FF_X38_Y2_N27
\led_flash_cnt[3430][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3430][5]~74908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3430][5]~q\);

-- Location: LCCOMB_X38_Y2_N28
\led_flash_cnt[3430][6]~74910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3430][6]~74910_combout\ = (\led_flash_cnt[3430][6]~q\ & (!\led_flash_cnt[3430][5]~74909\)) # (!\led_flash_cnt[3430][6]~q\ & ((\led_flash_cnt[3430][5]~74909\) # (GND)))
-- \led_flash_cnt[3430][6]~74911\ = CARRY((!\led_flash_cnt[3430][5]~74909\) # (!\led_flash_cnt[3430][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3430][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3430][5]~74909\,
	combout => \led_flash_cnt[3430][6]~74910_combout\,
	cout => \led_flash_cnt[3430][6]~74911\);

-- Location: FF_X38_Y2_N29
\led_flash_cnt[3430][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3430][6]~74910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3430][6]~q\);

-- Location: LCCOMB_X38_Y2_N30
\led_flash_cnt[3430][7]~74912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3430][7]~74912_combout\ = \led_flash_cnt[3430][7]~q\ $ (!\led_flash_cnt[3430][6]~74911\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3430][7]~q\,
	cin => \led_flash_cnt[3430][6]~74911\,
	combout => \led_flash_cnt[3430][7]~74912_combout\);

-- Location: FF_X38_Y2_N31
\led_flash_cnt[3430][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3430][7]~74912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3430][7]~q\);

-- Location: LCCOMB_X38_Y2_N16
\WideAnd3430~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3430~0_combout\ = (\led_flash_cnt[3430][1]~q\ & (\led_flash_cnt[3430][4]~q\ & (\led_flash_cnt[3430][3]~q\ & \led_flash_cnt[3430][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3430][1]~q\,
	datab => \led_flash_cnt[3430][4]~q\,
	datac => \led_flash_cnt[3430][3]~q\,
	datad => \led_flash_cnt[3430][2]~q\,
	combout => \WideAnd3430~0_combout\);

-- Location: LCCOMB_X38_Y2_N10
\WideAnd3430~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3430~1_combout\ = (\led_flash_cnt[3430][5]~q\ & \led_flash_cnt[3430][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3430][5]~q\,
	datad => \led_flash_cnt[3430][6]~q\,
	combout => \WideAnd3430~1_combout\);

-- Location: LCCOMB_X38_Y2_N8
WideAnd3430 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3430~combout\ = (\led_flash_cnt[3430][7]~q\ & (\WideAnd3430~0_combout\ & (\led_flash_cnt[3430][0]~q\ & \WideAnd3430~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3430][7]~q\,
	datab => \WideAnd3430~0_combout\,
	datac => \led_flash_cnt[3430][0]~q\,
	datad => \WideAnd3430~1_combout\,
	combout => \WideAnd3430~combout\);

-- Location: LCCOMB_X39_Y1_N12
\led_flash_cnt_ands[3430]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt_ands[3430]~feeder_combout\ = \WideAnd3430~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \WideAnd3430~combout\,
	combout => \led_flash_cnt_ands[3430]~feeder_combout\);

-- Location: FF_X39_Y1_N13
\led_flash_cnt_ands[3430]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt_ands[3430]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3430));

-- Location: LCCOMB_X41_Y1_N28
\led_flash_cnt[3425][0]~84065\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3425][0]~84065_combout\ = !\led_flash_cnt[3425][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3425][0]~q\,
	combout => \led_flash_cnt[3425][0]~84065_combout\);

-- Location: FF_X41_Y1_N29
\led_flash_cnt[3425][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3425][0]~84065_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3425][0]~q\);

-- Location: LCCOMB_X42_Y1_N18
\led_flash_cnt[3425][1]~74830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3425][1]~74830_combout\ = (\led_flash_cnt[3425][0]~q\ & (\led_flash_cnt[3425][1]~q\ $ (VCC))) # (!\led_flash_cnt[3425][0]~q\ & (\led_flash_cnt[3425][1]~q\ & VCC))
-- \led_flash_cnt[3425][1]~74831\ = CARRY((\led_flash_cnt[3425][0]~q\ & \led_flash_cnt[3425][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3425][0]~q\,
	datab => \led_flash_cnt[3425][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3425][1]~74830_combout\,
	cout => \led_flash_cnt[3425][1]~74831\);

-- Location: FF_X42_Y1_N19
\led_flash_cnt[3425][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3425][1]~74830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3425][1]~q\);

-- Location: LCCOMB_X42_Y1_N20
\led_flash_cnt[3425][2]~74832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3425][2]~74832_combout\ = (\led_flash_cnt[3425][2]~q\ & (!\led_flash_cnt[3425][1]~74831\)) # (!\led_flash_cnt[3425][2]~q\ & ((\led_flash_cnt[3425][1]~74831\) # (GND)))
-- \led_flash_cnt[3425][2]~74833\ = CARRY((!\led_flash_cnt[3425][1]~74831\) # (!\led_flash_cnt[3425][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3425][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3425][1]~74831\,
	combout => \led_flash_cnt[3425][2]~74832_combout\,
	cout => \led_flash_cnt[3425][2]~74833\);

-- Location: FF_X42_Y1_N21
\led_flash_cnt[3425][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3425][2]~74832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3425][2]~q\);

-- Location: LCCOMB_X42_Y1_N22
\led_flash_cnt[3425][3]~74834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3425][3]~74834_combout\ = (\led_flash_cnt[3425][3]~q\ & (\led_flash_cnt[3425][2]~74833\ $ (GND))) # (!\led_flash_cnt[3425][3]~q\ & (!\led_flash_cnt[3425][2]~74833\ & VCC))
-- \led_flash_cnt[3425][3]~74835\ = CARRY((\led_flash_cnt[3425][3]~q\ & !\led_flash_cnt[3425][2]~74833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3425][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3425][2]~74833\,
	combout => \led_flash_cnt[3425][3]~74834_combout\,
	cout => \led_flash_cnt[3425][3]~74835\);

-- Location: FF_X42_Y1_N23
\led_flash_cnt[3425][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3425][3]~74834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3425][3]~q\);

-- Location: LCCOMB_X42_Y1_N24
\led_flash_cnt[3425][4]~74836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3425][4]~74836_combout\ = (\led_flash_cnt[3425][4]~q\ & (!\led_flash_cnt[3425][3]~74835\)) # (!\led_flash_cnt[3425][4]~q\ & ((\led_flash_cnt[3425][3]~74835\) # (GND)))
-- \led_flash_cnt[3425][4]~74837\ = CARRY((!\led_flash_cnt[3425][3]~74835\) # (!\led_flash_cnt[3425][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3425][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3425][3]~74835\,
	combout => \led_flash_cnt[3425][4]~74836_combout\,
	cout => \led_flash_cnt[3425][4]~74837\);

-- Location: FF_X42_Y1_N25
\led_flash_cnt[3425][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3425][4]~74836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3425][4]~q\);

-- Location: LCCOMB_X42_Y1_N26
\led_flash_cnt[3425][5]~74838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3425][5]~74838_combout\ = (\led_flash_cnt[3425][5]~q\ & (\led_flash_cnt[3425][4]~74837\ $ (GND))) # (!\led_flash_cnt[3425][5]~q\ & (!\led_flash_cnt[3425][4]~74837\ & VCC))
-- \led_flash_cnt[3425][5]~74839\ = CARRY((\led_flash_cnt[3425][5]~q\ & !\led_flash_cnt[3425][4]~74837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3425][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3425][4]~74837\,
	combout => \led_flash_cnt[3425][5]~74838_combout\,
	cout => \led_flash_cnt[3425][5]~74839\);

-- Location: FF_X42_Y1_N27
\led_flash_cnt[3425][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3425][5]~74838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3425][5]~q\);

-- Location: LCCOMB_X42_Y1_N28
\led_flash_cnt[3425][6]~74840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3425][6]~74840_combout\ = (\led_flash_cnt[3425][6]~q\ & (!\led_flash_cnt[3425][5]~74839\)) # (!\led_flash_cnt[3425][6]~q\ & ((\led_flash_cnt[3425][5]~74839\) # (GND)))
-- \led_flash_cnt[3425][6]~74841\ = CARRY((!\led_flash_cnt[3425][5]~74839\) # (!\led_flash_cnt[3425][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3425][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3425][5]~74839\,
	combout => \led_flash_cnt[3425][6]~74840_combout\,
	cout => \led_flash_cnt[3425][6]~74841\);

-- Location: FF_X42_Y1_N29
\led_flash_cnt[3425][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3425][6]~74840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3425][6]~q\);

-- Location: LCCOMB_X41_Y1_N26
\WideAnd3425~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3425~1_combout\ = (\led_flash_cnt[3425][6]~q\ & \led_flash_cnt[3425][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3425][6]~q\,
	datad => \led_flash_cnt[3425][5]~q\,
	combout => \WideAnd3425~1_combout\);

-- Location: LCCOMB_X42_Y1_N30
\led_flash_cnt[3425][7]~74842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3425][7]~74842_combout\ = \led_flash_cnt[3425][7]~q\ $ (!\led_flash_cnt[3425][6]~74841\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3425][7]~q\,
	cin => \led_flash_cnt[3425][6]~74841\,
	combout => \led_flash_cnt[3425][7]~74842_combout\);

-- Location: FF_X42_Y1_N31
\led_flash_cnt[3425][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3425][7]~74842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3425][7]~q\);

-- Location: LCCOMB_X42_Y1_N16
\WideAnd3425~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3425~0_combout\ = (\led_flash_cnt[3425][4]~q\ & (\led_flash_cnt[3425][2]~q\ & (\led_flash_cnt[3425][3]~q\ & \led_flash_cnt[3425][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3425][4]~q\,
	datab => \led_flash_cnt[3425][2]~q\,
	datac => \led_flash_cnt[3425][3]~q\,
	datad => \led_flash_cnt[3425][1]~q\,
	combout => \WideAnd3425~0_combout\);

-- Location: LCCOMB_X41_Y1_N22
WideAnd3425 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3425~combout\ = (\WideAnd3425~1_combout\ & (\led_flash_cnt[3425][0]~q\ & (\led_flash_cnt[3425][7]~q\ & \WideAnd3425~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3425~1_combout\,
	datab => \led_flash_cnt[3425][0]~q\,
	datac => \led_flash_cnt[3425][7]~q\,
	datad => \WideAnd3425~0_combout\,
	combout => \WideAnd3425~combout\);

-- Location: FF_X41_Y1_N23
\led_flash_cnt_ands[3425]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3425~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3425));

-- Location: LCCOMB_X52_Y1_N12
\led_flash_cnt[3427][0]~84067\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3427][0]~84067_combout\ = !\led_flash_cnt[3427][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3427][0]~q\,
	combout => \led_flash_cnt[3427][0]~84067_combout\);

-- Location: FF_X52_Y1_N13
\led_flash_cnt[3427][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3427][0]~84067_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3427][0]~q\);

-- Location: LCCOMB_X52_Y1_N18
\led_flash_cnt[3427][1]~74858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3427][1]~74858_combout\ = (\led_flash_cnt[3427][0]~q\ & (\led_flash_cnt[3427][1]~q\ $ (VCC))) # (!\led_flash_cnt[3427][0]~q\ & (\led_flash_cnt[3427][1]~q\ & VCC))
-- \led_flash_cnt[3427][1]~74859\ = CARRY((\led_flash_cnt[3427][0]~q\ & \led_flash_cnt[3427][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3427][0]~q\,
	datab => \led_flash_cnt[3427][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3427][1]~74858_combout\,
	cout => \led_flash_cnt[3427][1]~74859\);

-- Location: FF_X52_Y1_N19
\led_flash_cnt[3427][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3427][1]~74858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3427][1]~q\);

-- Location: LCCOMB_X52_Y1_N20
\led_flash_cnt[3427][2]~74860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3427][2]~74860_combout\ = (\led_flash_cnt[3427][2]~q\ & (!\led_flash_cnt[3427][1]~74859\)) # (!\led_flash_cnt[3427][2]~q\ & ((\led_flash_cnt[3427][1]~74859\) # (GND)))
-- \led_flash_cnt[3427][2]~74861\ = CARRY((!\led_flash_cnt[3427][1]~74859\) # (!\led_flash_cnt[3427][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3427][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3427][1]~74859\,
	combout => \led_flash_cnt[3427][2]~74860_combout\,
	cout => \led_flash_cnt[3427][2]~74861\);

-- Location: FF_X52_Y1_N21
\led_flash_cnt[3427][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3427][2]~74860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3427][2]~q\);

-- Location: LCCOMB_X52_Y1_N22
\led_flash_cnt[3427][3]~74862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3427][3]~74862_combout\ = (\led_flash_cnt[3427][3]~q\ & (\led_flash_cnt[3427][2]~74861\ $ (GND))) # (!\led_flash_cnt[3427][3]~q\ & (!\led_flash_cnt[3427][2]~74861\ & VCC))
-- \led_flash_cnt[3427][3]~74863\ = CARRY((\led_flash_cnt[3427][3]~q\ & !\led_flash_cnt[3427][2]~74861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3427][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3427][2]~74861\,
	combout => \led_flash_cnt[3427][3]~74862_combout\,
	cout => \led_flash_cnt[3427][3]~74863\);

-- Location: FF_X52_Y1_N23
\led_flash_cnt[3427][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3427][3]~74862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3427][3]~q\);

-- Location: LCCOMB_X52_Y1_N24
\led_flash_cnt[3427][4]~74864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3427][4]~74864_combout\ = (\led_flash_cnt[3427][4]~q\ & (!\led_flash_cnt[3427][3]~74863\)) # (!\led_flash_cnt[3427][4]~q\ & ((\led_flash_cnt[3427][3]~74863\) # (GND)))
-- \led_flash_cnt[3427][4]~74865\ = CARRY((!\led_flash_cnt[3427][3]~74863\) # (!\led_flash_cnt[3427][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3427][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3427][3]~74863\,
	combout => \led_flash_cnt[3427][4]~74864_combout\,
	cout => \led_flash_cnt[3427][4]~74865\);

-- Location: FF_X52_Y1_N25
\led_flash_cnt[3427][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3427][4]~74864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3427][4]~q\);

-- Location: LCCOMB_X52_Y1_N10
\WideAnd3427~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3427~0_combout\ = (\led_flash_cnt[3427][4]~q\ & (\led_flash_cnt[3427][1]~q\ & (\led_flash_cnt[3427][3]~q\ & \led_flash_cnt[3427][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3427][4]~q\,
	datab => \led_flash_cnt[3427][1]~q\,
	datac => \led_flash_cnt[3427][3]~q\,
	datad => \led_flash_cnt[3427][2]~q\,
	combout => \WideAnd3427~0_combout\);

-- Location: LCCOMB_X52_Y1_N26
\led_flash_cnt[3427][5]~74866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3427][5]~74866_combout\ = (\led_flash_cnt[3427][5]~q\ & (\led_flash_cnt[3427][4]~74865\ $ (GND))) # (!\led_flash_cnt[3427][5]~q\ & (!\led_flash_cnt[3427][4]~74865\ & VCC))
-- \led_flash_cnt[3427][5]~74867\ = CARRY((\led_flash_cnt[3427][5]~q\ & !\led_flash_cnt[3427][4]~74865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3427][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3427][4]~74865\,
	combout => \led_flash_cnt[3427][5]~74866_combout\,
	cout => \led_flash_cnt[3427][5]~74867\);

-- Location: FF_X52_Y1_N27
\led_flash_cnt[3427][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3427][5]~74866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3427][5]~q\);

-- Location: LCCOMB_X52_Y1_N28
\led_flash_cnt[3427][6]~74868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3427][6]~74868_combout\ = (\led_flash_cnt[3427][6]~q\ & (!\led_flash_cnt[3427][5]~74867\)) # (!\led_flash_cnt[3427][6]~q\ & ((\led_flash_cnt[3427][5]~74867\) # (GND)))
-- \led_flash_cnt[3427][6]~74869\ = CARRY((!\led_flash_cnt[3427][5]~74867\) # (!\led_flash_cnt[3427][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3427][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3427][5]~74867\,
	combout => \led_flash_cnt[3427][6]~74868_combout\,
	cout => \led_flash_cnt[3427][6]~74869\);

-- Location: FF_X52_Y1_N29
\led_flash_cnt[3427][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3427][6]~74868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3427][6]~q\);

-- Location: LCCOMB_X52_Y1_N4
\WideAnd3427~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3427~1_combout\ = (\led_flash_cnt[3427][5]~q\ & \led_flash_cnt[3427][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3427][5]~q\,
	datad => \led_flash_cnt[3427][6]~q\,
	combout => \WideAnd3427~1_combout\);

-- Location: LCCOMB_X52_Y1_N30
\led_flash_cnt[3427][7]~74870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3427][7]~74870_combout\ = \led_flash_cnt[3427][7]~q\ $ (!\led_flash_cnt[3427][6]~74869\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3427][7]~q\,
	cin => \led_flash_cnt[3427][6]~74869\,
	combout => \led_flash_cnt[3427][7]~74870_combout\);

-- Location: FF_X52_Y1_N31
\led_flash_cnt[3427][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3427][7]~74870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3427][7]~q\);

-- Location: LCCOMB_X52_Y1_N8
WideAnd3427 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3427~combout\ = (\WideAnd3427~0_combout\ & (\WideAnd3427~1_combout\ & (\led_flash_cnt[3427][7]~q\ & \led_flash_cnt[3427][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3427~0_combout\,
	datab => \WideAnd3427~1_combout\,
	datac => \led_flash_cnt[3427][7]~q\,
	datad => \led_flash_cnt[3427][0]~q\,
	combout => \WideAnd3427~combout\);

-- Location: FF_X52_Y1_N9
\led_flash_cnt_ands[3427]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3427~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3427));

-- Location: LCCOMB_X41_Y2_N10
\led_flash_cnt[3424][0]~84064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3424][0]~84064_combout\ = !\led_flash_cnt[3424][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3424][0]~q\,
	combout => \led_flash_cnt[3424][0]~84064_combout\);

-- Location: FF_X41_Y2_N11
\led_flash_cnt[3424][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3424][0]~84064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3424][0]~q\);

-- Location: LCCOMB_X41_Y2_N18
\led_flash_cnt[3424][1]~74816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3424][1]~74816_combout\ = (\led_flash_cnt[3424][0]~q\ & (\led_flash_cnt[3424][1]~q\ $ (VCC))) # (!\led_flash_cnt[3424][0]~q\ & (\led_flash_cnt[3424][1]~q\ & VCC))
-- \led_flash_cnt[3424][1]~74817\ = CARRY((\led_flash_cnt[3424][0]~q\ & \led_flash_cnt[3424][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3424][0]~q\,
	datab => \led_flash_cnt[3424][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3424][1]~74816_combout\,
	cout => \led_flash_cnt[3424][1]~74817\);

-- Location: FF_X41_Y2_N19
\led_flash_cnt[3424][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3424][1]~74816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3424][1]~q\);

-- Location: LCCOMB_X41_Y2_N20
\led_flash_cnt[3424][2]~74818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3424][2]~74818_combout\ = (\led_flash_cnt[3424][2]~q\ & (!\led_flash_cnt[3424][1]~74817\)) # (!\led_flash_cnt[3424][2]~q\ & ((\led_flash_cnt[3424][1]~74817\) # (GND)))
-- \led_flash_cnt[3424][2]~74819\ = CARRY((!\led_flash_cnt[3424][1]~74817\) # (!\led_flash_cnt[3424][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3424][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3424][1]~74817\,
	combout => \led_flash_cnt[3424][2]~74818_combout\,
	cout => \led_flash_cnt[3424][2]~74819\);

-- Location: FF_X41_Y2_N21
\led_flash_cnt[3424][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3424][2]~74818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3424][2]~q\);

-- Location: LCCOMB_X41_Y2_N22
\led_flash_cnt[3424][3]~74820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3424][3]~74820_combout\ = (\led_flash_cnt[3424][3]~q\ & (\led_flash_cnt[3424][2]~74819\ $ (GND))) # (!\led_flash_cnt[3424][3]~q\ & (!\led_flash_cnt[3424][2]~74819\ & VCC))
-- \led_flash_cnt[3424][3]~74821\ = CARRY((\led_flash_cnt[3424][3]~q\ & !\led_flash_cnt[3424][2]~74819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3424][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3424][2]~74819\,
	combout => \led_flash_cnt[3424][3]~74820_combout\,
	cout => \led_flash_cnt[3424][3]~74821\);

-- Location: FF_X41_Y2_N23
\led_flash_cnt[3424][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3424][3]~74820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3424][3]~q\);

-- Location: LCCOMB_X41_Y2_N24
\led_flash_cnt[3424][4]~74822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3424][4]~74822_combout\ = (\led_flash_cnt[3424][4]~q\ & (!\led_flash_cnt[3424][3]~74821\)) # (!\led_flash_cnt[3424][4]~q\ & ((\led_flash_cnt[3424][3]~74821\) # (GND)))
-- \led_flash_cnt[3424][4]~74823\ = CARRY((!\led_flash_cnt[3424][3]~74821\) # (!\led_flash_cnt[3424][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3424][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3424][3]~74821\,
	combout => \led_flash_cnt[3424][4]~74822_combout\,
	cout => \led_flash_cnt[3424][4]~74823\);

-- Location: FF_X41_Y2_N25
\led_flash_cnt[3424][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3424][4]~74822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3424][4]~q\);

-- Location: LCCOMB_X41_Y2_N16
\WideAnd3424~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3424~0_combout\ = (\led_flash_cnt[3424][2]~q\ & (\led_flash_cnt[3424][1]~q\ & (\led_flash_cnt[3424][3]~q\ & \led_flash_cnt[3424][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3424][2]~q\,
	datab => \led_flash_cnt[3424][1]~q\,
	datac => \led_flash_cnt[3424][3]~q\,
	datad => \led_flash_cnt[3424][4]~q\,
	combout => \WideAnd3424~0_combout\);

-- Location: LCCOMB_X41_Y2_N26
\led_flash_cnt[3424][5]~74824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3424][5]~74824_combout\ = (\led_flash_cnt[3424][5]~q\ & (\led_flash_cnt[3424][4]~74823\ $ (GND))) # (!\led_flash_cnt[3424][5]~q\ & (!\led_flash_cnt[3424][4]~74823\ & VCC))
-- \led_flash_cnt[3424][5]~74825\ = CARRY((\led_flash_cnt[3424][5]~q\ & !\led_flash_cnt[3424][4]~74823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3424][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3424][4]~74823\,
	combout => \led_flash_cnt[3424][5]~74824_combout\,
	cout => \led_flash_cnt[3424][5]~74825\);

-- Location: FF_X41_Y2_N27
\led_flash_cnt[3424][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3424][5]~74824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3424][5]~q\);

-- Location: LCCOMB_X41_Y2_N28
\led_flash_cnt[3424][6]~74826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3424][6]~74826_combout\ = (\led_flash_cnt[3424][6]~q\ & (!\led_flash_cnt[3424][5]~74825\)) # (!\led_flash_cnt[3424][6]~q\ & ((\led_flash_cnt[3424][5]~74825\) # (GND)))
-- \led_flash_cnt[3424][6]~74827\ = CARRY((!\led_flash_cnt[3424][5]~74825\) # (!\led_flash_cnt[3424][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3424][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3424][5]~74825\,
	combout => \led_flash_cnt[3424][6]~74826_combout\,
	cout => \led_flash_cnt[3424][6]~74827\);

-- Location: FF_X41_Y2_N29
\led_flash_cnt[3424][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3424][6]~74826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3424][6]~q\);

-- Location: LCCOMB_X41_Y2_N30
\led_flash_cnt[3424][7]~74828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3424][7]~74828_combout\ = \led_flash_cnt[3424][7]~q\ $ (!\led_flash_cnt[3424][6]~74827\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3424][7]~q\,
	cin => \led_flash_cnt[3424][6]~74827\,
	combout => \led_flash_cnt[3424][7]~74828_combout\);

-- Location: FF_X41_Y2_N31
\led_flash_cnt[3424][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3424][7]~74828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3424][7]~q\);

-- Location: LCCOMB_X41_Y2_N12
\WideAnd3424~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3424~1_combout\ = (\led_flash_cnt[3424][5]~q\ & \led_flash_cnt[3424][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3424][5]~q\,
	datad => \led_flash_cnt[3424][6]~q\,
	combout => \WideAnd3424~1_combout\);

-- Location: LCCOMB_X41_Y2_N14
WideAnd3424 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3424~combout\ = (\led_flash_cnt[3424][0]~q\ & (\WideAnd3424~0_combout\ & (\led_flash_cnt[3424][7]~q\ & \WideAnd3424~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3424][0]~q\,
	datab => \WideAnd3424~0_combout\,
	datac => \led_flash_cnt[3424][7]~q\,
	datad => \WideAnd3424~1_combout\,
	combout => \WideAnd3424~combout\);

-- Location: FF_X41_Y2_N15
\led_flash_cnt_ands[3424]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3424~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3424));

-- Location: LCCOMB_X41_Y1_N4
\led_flash_cnt[3426][0]~84066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3426][0]~84066_combout\ = !\led_flash_cnt[3426][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3426][0]~q\,
	combout => \led_flash_cnt[3426][0]~84066_combout\);

-- Location: FF_X41_Y1_N5
\led_flash_cnt[3426][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3426][0]~84066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3426][0]~q\);

-- Location: LCCOMB_X41_Y1_N6
\led_flash_cnt[3426][1]~74844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3426][1]~74844_combout\ = (\led_flash_cnt[3426][1]~q\ & (\led_flash_cnt[3426][0]~q\ $ (VCC))) # (!\led_flash_cnt[3426][1]~q\ & (\led_flash_cnt[3426][0]~q\ & VCC))
-- \led_flash_cnt[3426][1]~74845\ = CARRY((\led_flash_cnt[3426][1]~q\ & \led_flash_cnt[3426][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3426][1]~q\,
	datab => \led_flash_cnt[3426][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3426][1]~74844_combout\,
	cout => \led_flash_cnt[3426][1]~74845\);

-- Location: FF_X41_Y1_N7
\led_flash_cnt[3426][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3426][1]~74844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3426][1]~q\);

-- Location: LCCOMB_X41_Y1_N8
\led_flash_cnt[3426][2]~74846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3426][2]~74846_combout\ = (\led_flash_cnt[3426][2]~q\ & (!\led_flash_cnt[3426][1]~74845\)) # (!\led_flash_cnt[3426][2]~q\ & ((\led_flash_cnt[3426][1]~74845\) # (GND)))
-- \led_flash_cnt[3426][2]~74847\ = CARRY((!\led_flash_cnt[3426][1]~74845\) # (!\led_flash_cnt[3426][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3426][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3426][1]~74845\,
	combout => \led_flash_cnt[3426][2]~74846_combout\,
	cout => \led_flash_cnt[3426][2]~74847\);

-- Location: FF_X41_Y1_N9
\led_flash_cnt[3426][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3426][2]~74846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3426][2]~q\);

-- Location: LCCOMB_X41_Y1_N10
\led_flash_cnt[3426][3]~74848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3426][3]~74848_combout\ = (\led_flash_cnt[3426][3]~q\ & (\led_flash_cnt[3426][2]~74847\ $ (GND))) # (!\led_flash_cnt[3426][3]~q\ & (!\led_flash_cnt[3426][2]~74847\ & VCC))
-- \led_flash_cnt[3426][3]~74849\ = CARRY((\led_flash_cnt[3426][3]~q\ & !\led_flash_cnt[3426][2]~74847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3426][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3426][2]~74847\,
	combout => \led_flash_cnt[3426][3]~74848_combout\,
	cout => \led_flash_cnt[3426][3]~74849\);

-- Location: FF_X41_Y1_N11
\led_flash_cnt[3426][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3426][3]~74848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3426][3]~q\);

-- Location: LCCOMB_X41_Y1_N12
\led_flash_cnt[3426][4]~74850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3426][4]~74850_combout\ = (\led_flash_cnt[3426][4]~q\ & (!\led_flash_cnt[3426][3]~74849\)) # (!\led_flash_cnt[3426][4]~q\ & ((\led_flash_cnt[3426][3]~74849\) # (GND)))
-- \led_flash_cnt[3426][4]~74851\ = CARRY((!\led_flash_cnt[3426][3]~74849\) # (!\led_flash_cnt[3426][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3426][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3426][3]~74849\,
	combout => \led_flash_cnt[3426][4]~74850_combout\,
	cout => \led_flash_cnt[3426][4]~74851\);

-- Location: FF_X41_Y1_N13
\led_flash_cnt[3426][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3426][4]~74850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3426][4]~q\);

-- Location: LCCOMB_X41_Y1_N14
\led_flash_cnt[3426][5]~74852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3426][5]~74852_combout\ = (\led_flash_cnt[3426][5]~q\ & (\led_flash_cnt[3426][4]~74851\ $ (GND))) # (!\led_flash_cnt[3426][5]~q\ & (!\led_flash_cnt[3426][4]~74851\ & VCC))
-- \led_flash_cnt[3426][5]~74853\ = CARRY((\led_flash_cnt[3426][5]~q\ & !\led_flash_cnt[3426][4]~74851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3426][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3426][4]~74851\,
	combout => \led_flash_cnt[3426][5]~74852_combout\,
	cout => \led_flash_cnt[3426][5]~74853\);

-- Location: FF_X41_Y1_N15
\led_flash_cnt[3426][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3426][5]~74852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3426][5]~q\);

-- Location: LCCOMB_X41_Y1_N16
\led_flash_cnt[3426][6]~74854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3426][6]~74854_combout\ = (\led_flash_cnt[3426][6]~q\ & (!\led_flash_cnt[3426][5]~74853\)) # (!\led_flash_cnt[3426][6]~q\ & ((\led_flash_cnt[3426][5]~74853\) # (GND)))
-- \led_flash_cnt[3426][6]~74855\ = CARRY((!\led_flash_cnt[3426][5]~74853\) # (!\led_flash_cnt[3426][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3426][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3426][5]~74853\,
	combout => \led_flash_cnt[3426][6]~74854_combout\,
	cout => \led_flash_cnt[3426][6]~74855\);

-- Location: FF_X41_Y1_N17
\led_flash_cnt[3426][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3426][6]~74854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3426][6]~q\);

-- Location: LCCOMB_X41_Y1_N30
\WideAnd3426~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3426~1_combout\ = (\led_flash_cnt[3426][5]~q\ & \led_flash_cnt[3426][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3426][5]~q\,
	datad => \led_flash_cnt[3426][6]~q\,
	combout => \WideAnd3426~1_combout\);

-- Location: LCCOMB_X41_Y1_N20
\WideAnd3426~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3426~0_combout\ = (\led_flash_cnt[3426][4]~q\ & (\led_flash_cnt[3426][1]~q\ & (\led_flash_cnt[3426][2]~q\ & \led_flash_cnt[3426][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3426][4]~q\,
	datab => \led_flash_cnt[3426][1]~q\,
	datac => \led_flash_cnt[3426][2]~q\,
	datad => \led_flash_cnt[3426][3]~q\,
	combout => \WideAnd3426~0_combout\);

-- Location: LCCOMB_X41_Y1_N18
\led_flash_cnt[3426][7]~74856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3426][7]~74856_combout\ = \led_flash_cnt[3426][6]~74855\ $ (!\led_flash_cnt[3426][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3426][7]~q\,
	cin => \led_flash_cnt[3426][6]~74855\,
	combout => \led_flash_cnt[3426][7]~74856_combout\);

-- Location: FF_X41_Y1_N19
\led_flash_cnt[3426][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3426][7]~74856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3426][7]~q\);

-- Location: LCCOMB_X41_Y1_N2
WideAnd3426 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3426~combout\ = (\WideAnd3426~1_combout\ & (\WideAnd3426~0_combout\ & (\led_flash_cnt[3426][0]~q\ & \led_flash_cnt[3426][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3426~1_combout\,
	datab => \WideAnd3426~0_combout\,
	datac => \led_flash_cnt[3426][0]~q\,
	datad => \led_flash_cnt[3426][7]~q\,
	combout => \WideAnd3426~combout\);

-- Location: FF_X41_Y1_N3
\led_flash_cnt_ands[3426]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3426~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3426));

-- Location: LCCOMB_X41_Y1_N24
\WideAnd4268~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4268~0_combout\ = (led_flash_cnt_ands(3425) & (led_flash_cnt_ands(3427) & (led_flash_cnt_ands(3424) & led_flash_cnt_ands(3426))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3425),
	datab => led_flash_cnt_ands(3427),
	datac => led_flash_cnt_ands(3424),
	datad => led_flash_cnt_ands(3426),
	combout => \WideAnd4268~0_combout\);

-- Location: LCCOMB_X14_Y1_N6
\led_flash_cnt[3428][0]~84068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3428][0]~84068_combout\ = !\led_flash_cnt[3428][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3428][0]~q\,
	combout => \led_flash_cnt[3428][0]~84068_combout\);

-- Location: FF_X14_Y1_N7
\led_flash_cnt[3428][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3428][0]~84068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3428][0]~q\);

-- Location: LCCOMB_X14_Y1_N16
\led_flash_cnt[3428][1]~74872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3428][1]~74872_combout\ = (\led_flash_cnt[3428][0]~q\ & (\led_flash_cnt[3428][1]~q\ $ (VCC))) # (!\led_flash_cnt[3428][0]~q\ & (\led_flash_cnt[3428][1]~q\ & VCC))
-- \led_flash_cnt[3428][1]~74873\ = CARRY((\led_flash_cnt[3428][0]~q\ & \led_flash_cnt[3428][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3428][0]~q\,
	datab => \led_flash_cnt[3428][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3428][1]~74872_combout\,
	cout => \led_flash_cnt[3428][1]~74873\);

-- Location: FF_X14_Y1_N17
\led_flash_cnt[3428][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3428][1]~74872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3428][1]~q\);

-- Location: LCCOMB_X14_Y1_N18
\led_flash_cnt[3428][2]~74874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3428][2]~74874_combout\ = (\led_flash_cnt[3428][2]~q\ & (!\led_flash_cnt[3428][1]~74873\)) # (!\led_flash_cnt[3428][2]~q\ & ((\led_flash_cnt[3428][1]~74873\) # (GND)))
-- \led_flash_cnt[3428][2]~74875\ = CARRY((!\led_flash_cnt[3428][1]~74873\) # (!\led_flash_cnt[3428][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3428][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3428][1]~74873\,
	combout => \led_flash_cnt[3428][2]~74874_combout\,
	cout => \led_flash_cnt[3428][2]~74875\);

-- Location: FF_X14_Y1_N19
\led_flash_cnt[3428][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3428][2]~74874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3428][2]~q\);

-- Location: LCCOMB_X14_Y1_N20
\led_flash_cnt[3428][3]~74876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3428][3]~74876_combout\ = (\led_flash_cnt[3428][3]~q\ & (\led_flash_cnt[3428][2]~74875\ $ (GND))) # (!\led_flash_cnt[3428][3]~q\ & (!\led_flash_cnt[3428][2]~74875\ & VCC))
-- \led_flash_cnt[3428][3]~74877\ = CARRY((\led_flash_cnt[3428][3]~q\ & !\led_flash_cnt[3428][2]~74875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3428][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3428][2]~74875\,
	combout => \led_flash_cnt[3428][3]~74876_combout\,
	cout => \led_flash_cnt[3428][3]~74877\);

-- Location: FF_X14_Y1_N21
\led_flash_cnt[3428][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3428][3]~74876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3428][3]~q\);

-- Location: LCCOMB_X14_Y1_N22
\led_flash_cnt[3428][4]~74878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3428][4]~74878_combout\ = (\led_flash_cnt[3428][4]~q\ & (!\led_flash_cnt[3428][3]~74877\)) # (!\led_flash_cnt[3428][4]~q\ & ((\led_flash_cnt[3428][3]~74877\) # (GND)))
-- \led_flash_cnt[3428][4]~74879\ = CARRY((!\led_flash_cnt[3428][3]~74877\) # (!\led_flash_cnt[3428][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3428][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3428][3]~74877\,
	combout => \led_flash_cnt[3428][4]~74878_combout\,
	cout => \led_flash_cnt[3428][4]~74879\);

-- Location: FF_X14_Y1_N23
\led_flash_cnt[3428][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3428][4]~74878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3428][4]~q\);

-- Location: LCCOMB_X14_Y1_N24
\led_flash_cnt[3428][5]~74880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3428][5]~74880_combout\ = (\led_flash_cnt[3428][5]~q\ & (\led_flash_cnt[3428][4]~74879\ $ (GND))) # (!\led_flash_cnt[3428][5]~q\ & (!\led_flash_cnt[3428][4]~74879\ & VCC))
-- \led_flash_cnt[3428][5]~74881\ = CARRY((\led_flash_cnt[3428][5]~q\ & !\led_flash_cnt[3428][4]~74879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3428][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3428][4]~74879\,
	combout => \led_flash_cnt[3428][5]~74880_combout\,
	cout => \led_flash_cnt[3428][5]~74881\);

-- Location: FF_X14_Y1_N25
\led_flash_cnt[3428][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3428][5]~74880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3428][5]~q\);

-- Location: LCCOMB_X14_Y1_N26
\led_flash_cnt[3428][6]~74882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3428][6]~74882_combout\ = (\led_flash_cnt[3428][6]~q\ & (!\led_flash_cnt[3428][5]~74881\)) # (!\led_flash_cnt[3428][6]~q\ & ((\led_flash_cnt[3428][5]~74881\) # (GND)))
-- \led_flash_cnt[3428][6]~74883\ = CARRY((!\led_flash_cnt[3428][5]~74881\) # (!\led_flash_cnt[3428][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3428][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3428][5]~74881\,
	combout => \led_flash_cnt[3428][6]~74882_combout\,
	cout => \led_flash_cnt[3428][6]~74883\);

-- Location: FF_X14_Y1_N27
\led_flash_cnt[3428][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3428][6]~74882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3428][6]~q\);

-- Location: LCCOMB_X14_Y1_N14
\WideAnd3428~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3428~1_combout\ = (\led_flash_cnt[3428][6]~q\ & \led_flash_cnt[3428][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3428][6]~q\,
	datad => \led_flash_cnt[3428][5]~q\,
	combout => \WideAnd3428~1_combout\);

-- Location: LCCOMB_X14_Y1_N4
\WideAnd3428~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3428~0_combout\ = (\led_flash_cnt[3428][2]~q\ & (\led_flash_cnt[3428][1]~q\ & (\led_flash_cnt[3428][4]~q\ & \led_flash_cnt[3428][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3428][2]~q\,
	datab => \led_flash_cnt[3428][1]~q\,
	datac => \led_flash_cnt[3428][4]~q\,
	datad => \led_flash_cnt[3428][3]~q\,
	combout => \WideAnd3428~0_combout\);

-- Location: LCCOMB_X14_Y1_N28
\led_flash_cnt[3428][7]~74884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3428][7]~74884_combout\ = \led_flash_cnt[3428][6]~74883\ $ (!\led_flash_cnt[3428][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3428][7]~q\,
	cin => \led_flash_cnt[3428][6]~74883\,
	combout => \led_flash_cnt[3428][7]~74884_combout\);

-- Location: FF_X14_Y1_N29
\led_flash_cnt[3428][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3428][7]~74884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3428][7]~q\);

-- Location: LCCOMB_X14_Y1_N8
WideAnd3428 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3428~combout\ = (\led_flash_cnt[3428][0]~q\ & (\WideAnd3428~1_combout\ & (\WideAnd3428~0_combout\ & \led_flash_cnt[3428][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3428][0]~q\,
	datab => \WideAnd3428~1_combout\,
	datac => \WideAnd3428~0_combout\,
	datad => \led_flash_cnt[3428][7]~q\,
	combout => \WideAnd3428~combout\);

-- Location: FF_X14_Y1_N9
\led_flash_cnt_ands[3428]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3428~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3428));

-- Location: LCCOMB_X14_Y1_N2
\led_flash_cnt[3429][0]~84069\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3429][0]~84069_combout\ = !\led_flash_cnt[3429][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3429][0]~q\,
	combout => \led_flash_cnt[3429][0]~84069_combout\);

-- Location: FF_X14_Y1_N3
\led_flash_cnt[3429][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3429][0]~84069_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3429][0]~q\);

-- Location: LCCOMB_X13_Y1_N18
\led_flash_cnt[3429][1]~74886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3429][1]~74886_combout\ = (\led_flash_cnt[3429][0]~q\ & (\led_flash_cnt[3429][1]~q\ $ (VCC))) # (!\led_flash_cnt[3429][0]~q\ & (\led_flash_cnt[3429][1]~q\ & VCC))
-- \led_flash_cnt[3429][1]~74887\ = CARRY((\led_flash_cnt[3429][0]~q\ & \led_flash_cnt[3429][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3429][0]~q\,
	datab => \led_flash_cnt[3429][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3429][1]~74886_combout\,
	cout => \led_flash_cnt[3429][1]~74887\);

-- Location: FF_X13_Y1_N19
\led_flash_cnt[3429][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3429][1]~74886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3429][1]~q\);

-- Location: LCCOMB_X13_Y1_N20
\led_flash_cnt[3429][2]~74888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3429][2]~74888_combout\ = (\led_flash_cnt[3429][2]~q\ & (!\led_flash_cnt[3429][1]~74887\)) # (!\led_flash_cnt[3429][2]~q\ & ((\led_flash_cnt[3429][1]~74887\) # (GND)))
-- \led_flash_cnt[3429][2]~74889\ = CARRY((!\led_flash_cnt[3429][1]~74887\) # (!\led_flash_cnt[3429][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3429][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3429][1]~74887\,
	combout => \led_flash_cnt[3429][2]~74888_combout\,
	cout => \led_flash_cnt[3429][2]~74889\);

-- Location: FF_X13_Y1_N21
\led_flash_cnt[3429][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3429][2]~74888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3429][2]~q\);

-- Location: LCCOMB_X13_Y1_N22
\led_flash_cnt[3429][3]~74890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3429][3]~74890_combout\ = (\led_flash_cnt[3429][3]~q\ & (\led_flash_cnt[3429][2]~74889\ $ (GND))) # (!\led_flash_cnt[3429][3]~q\ & (!\led_flash_cnt[3429][2]~74889\ & VCC))
-- \led_flash_cnt[3429][3]~74891\ = CARRY((\led_flash_cnt[3429][3]~q\ & !\led_flash_cnt[3429][2]~74889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3429][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3429][2]~74889\,
	combout => \led_flash_cnt[3429][3]~74890_combout\,
	cout => \led_flash_cnt[3429][3]~74891\);

-- Location: FF_X13_Y1_N23
\led_flash_cnt[3429][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3429][3]~74890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3429][3]~q\);

-- Location: LCCOMB_X13_Y1_N24
\led_flash_cnt[3429][4]~74892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3429][4]~74892_combout\ = (\led_flash_cnt[3429][4]~q\ & (!\led_flash_cnt[3429][3]~74891\)) # (!\led_flash_cnt[3429][4]~q\ & ((\led_flash_cnt[3429][3]~74891\) # (GND)))
-- \led_flash_cnt[3429][4]~74893\ = CARRY((!\led_flash_cnt[3429][3]~74891\) # (!\led_flash_cnt[3429][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3429][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3429][3]~74891\,
	combout => \led_flash_cnt[3429][4]~74892_combout\,
	cout => \led_flash_cnt[3429][4]~74893\);

-- Location: FF_X13_Y1_N25
\led_flash_cnt[3429][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3429][4]~74892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3429][4]~q\);

-- Location: LCCOMB_X13_Y1_N0
\WideAnd3429~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3429~0_combout\ = (\led_flash_cnt[3429][2]~q\ & (\led_flash_cnt[3429][1]~q\ & (\led_flash_cnt[3429][3]~q\ & \led_flash_cnt[3429][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3429][2]~q\,
	datab => \led_flash_cnt[3429][1]~q\,
	datac => \led_flash_cnt[3429][3]~q\,
	datad => \led_flash_cnt[3429][4]~q\,
	combout => \WideAnd3429~0_combout\);

-- Location: LCCOMB_X13_Y1_N26
\led_flash_cnt[3429][5]~74894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3429][5]~74894_combout\ = (\led_flash_cnt[3429][5]~q\ & (\led_flash_cnt[3429][4]~74893\ $ (GND))) # (!\led_flash_cnt[3429][5]~q\ & (!\led_flash_cnt[3429][4]~74893\ & VCC))
-- \led_flash_cnt[3429][5]~74895\ = CARRY((\led_flash_cnt[3429][5]~q\ & !\led_flash_cnt[3429][4]~74893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3429][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3429][4]~74893\,
	combout => \led_flash_cnt[3429][5]~74894_combout\,
	cout => \led_flash_cnt[3429][5]~74895\);

-- Location: FF_X13_Y1_N27
\led_flash_cnt[3429][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3429][5]~74894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3429][5]~q\);

-- Location: LCCOMB_X13_Y1_N28
\led_flash_cnt[3429][6]~74896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3429][6]~74896_combout\ = (\led_flash_cnt[3429][6]~q\ & (!\led_flash_cnt[3429][5]~74895\)) # (!\led_flash_cnt[3429][6]~q\ & ((\led_flash_cnt[3429][5]~74895\) # (GND)))
-- \led_flash_cnt[3429][6]~74897\ = CARRY((!\led_flash_cnt[3429][5]~74895\) # (!\led_flash_cnt[3429][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3429][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3429][5]~74895\,
	combout => \led_flash_cnt[3429][6]~74896_combout\,
	cout => \led_flash_cnt[3429][6]~74897\);

-- Location: FF_X13_Y1_N29
\led_flash_cnt[3429][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3429][6]~74896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3429][6]~q\);

-- Location: LCCOMB_X13_Y1_N30
\led_flash_cnt[3429][7]~74898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3429][7]~74898_combout\ = \led_flash_cnt[3429][7]~q\ $ (!\led_flash_cnt[3429][6]~74897\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3429][7]~q\,
	cin => \led_flash_cnt[3429][6]~74897\,
	combout => \led_flash_cnt[3429][7]~74898_combout\);

-- Location: FF_X13_Y1_N31
\led_flash_cnt[3429][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3429][7]~74898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3429][7]~q\);

-- Location: LCCOMB_X14_Y1_N12
\WideAnd3429~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3429~1_combout\ = (\led_flash_cnt[3429][6]~q\ & \led_flash_cnt[3429][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3429][6]~q\,
	datad => \led_flash_cnt[3429][0]~q\,
	combout => \WideAnd3429~1_combout\);

-- Location: LCCOMB_X14_Y1_N10
WideAnd3429 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3429~combout\ = (\WideAnd3429~0_combout\ & (\led_flash_cnt[3429][7]~q\ & (\led_flash_cnt[3429][5]~q\ & \WideAnd3429~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3429~0_combout\,
	datab => \led_flash_cnt[3429][7]~q\,
	datac => \led_flash_cnt[3429][5]~q\,
	datad => \WideAnd3429~1_combout\,
	combout => \WideAnd3429~combout\);

-- Location: FF_X14_Y1_N11
\led_flash_cnt_ands[3429]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3429~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3429));

-- Location: LCCOMB_X14_Y1_N30
\WideAnd4268~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4268~1_combout\ = (led_flash_cnt_ands(3428) & led_flash_cnt_ands(3429))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3428),
	datad => led_flash_cnt_ands(3429),
	combout => \WideAnd4268~1_combout\);

-- Location: LCCOMB_X40_Y1_N4
\led_flash_cnt[3431][0]~84071\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3431][0]~84071_combout\ = !\led_flash_cnt[3431][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3431][0]~q\,
	combout => \led_flash_cnt[3431][0]~84071_combout\);

-- Location: FF_X40_Y1_N5
\led_flash_cnt[3431][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3431][0]~84071_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3431][0]~q\);

-- Location: LCCOMB_X40_Y1_N10
\led_flash_cnt[3431][1]~74914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3431][1]~74914_combout\ = (\led_flash_cnt[3431][1]~q\ & (\led_flash_cnt[3431][0]~q\ $ (VCC))) # (!\led_flash_cnt[3431][1]~q\ & (\led_flash_cnt[3431][0]~q\ & VCC))
-- \led_flash_cnt[3431][1]~74915\ = CARRY((\led_flash_cnt[3431][1]~q\ & \led_flash_cnt[3431][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3431][1]~q\,
	datab => \led_flash_cnt[3431][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3431][1]~74914_combout\,
	cout => \led_flash_cnt[3431][1]~74915\);

-- Location: FF_X40_Y1_N11
\led_flash_cnt[3431][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3431][1]~74914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3431][1]~q\);

-- Location: LCCOMB_X40_Y1_N12
\led_flash_cnt[3431][2]~74916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3431][2]~74916_combout\ = (\led_flash_cnt[3431][2]~q\ & (!\led_flash_cnt[3431][1]~74915\)) # (!\led_flash_cnt[3431][2]~q\ & ((\led_flash_cnt[3431][1]~74915\) # (GND)))
-- \led_flash_cnt[3431][2]~74917\ = CARRY((!\led_flash_cnt[3431][1]~74915\) # (!\led_flash_cnt[3431][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3431][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3431][1]~74915\,
	combout => \led_flash_cnt[3431][2]~74916_combout\,
	cout => \led_flash_cnt[3431][2]~74917\);

-- Location: FF_X40_Y1_N13
\led_flash_cnt[3431][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3431][2]~74916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3431][2]~q\);

-- Location: LCCOMB_X40_Y1_N14
\led_flash_cnt[3431][3]~74918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3431][3]~74918_combout\ = (\led_flash_cnt[3431][3]~q\ & (\led_flash_cnt[3431][2]~74917\ $ (GND))) # (!\led_flash_cnt[3431][3]~q\ & (!\led_flash_cnt[3431][2]~74917\ & VCC))
-- \led_flash_cnt[3431][3]~74919\ = CARRY((\led_flash_cnt[3431][3]~q\ & !\led_flash_cnt[3431][2]~74917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3431][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3431][2]~74917\,
	combout => \led_flash_cnt[3431][3]~74918_combout\,
	cout => \led_flash_cnt[3431][3]~74919\);

-- Location: FF_X40_Y1_N15
\led_flash_cnt[3431][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3431][3]~74918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3431][3]~q\);

-- Location: LCCOMB_X40_Y1_N16
\led_flash_cnt[3431][4]~74920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3431][4]~74920_combout\ = (\led_flash_cnt[3431][4]~q\ & (!\led_flash_cnt[3431][3]~74919\)) # (!\led_flash_cnt[3431][4]~q\ & ((\led_flash_cnt[3431][3]~74919\) # (GND)))
-- \led_flash_cnt[3431][4]~74921\ = CARRY((!\led_flash_cnt[3431][3]~74919\) # (!\led_flash_cnt[3431][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3431][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3431][3]~74919\,
	combout => \led_flash_cnt[3431][4]~74920_combout\,
	cout => \led_flash_cnt[3431][4]~74921\);

-- Location: FF_X40_Y1_N17
\led_flash_cnt[3431][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3431][4]~74920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3431][4]~q\);

-- Location: LCCOMB_X40_Y1_N18
\led_flash_cnt[3431][5]~74922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3431][5]~74922_combout\ = (\led_flash_cnt[3431][5]~q\ & (\led_flash_cnt[3431][4]~74921\ $ (GND))) # (!\led_flash_cnt[3431][5]~q\ & (!\led_flash_cnt[3431][4]~74921\ & VCC))
-- \led_flash_cnt[3431][5]~74923\ = CARRY((\led_flash_cnt[3431][5]~q\ & !\led_flash_cnt[3431][4]~74921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3431][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3431][4]~74921\,
	combout => \led_flash_cnt[3431][5]~74922_combout\,
	cout => \led_flash_cnt[3431][5]~74923\);

-- Location: FF_X40_Y1_N19
\led_flash_cnt[3431][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3431][5]~74922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3431][5]~q\);

-- Location: LCCOMB_X40_Y1_N20
\led_flash_cnt[3431][6]~74924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3431][6]~74924_combout\ = (\led_flash_cnt[3431][6]~q\ & (!\led_flash_cnt[3431][5]~74923\)) # (!\led_flash_cnt[3431][6]~q\ & ((\led_flash_cnt[3431][5]~74923\) # (GND)))
-- \led_flash_cnt[3431][6]~74925\ = CARRY((!\led_flash_cnt[3431][5]~74923\) # (!\led_flash_cnt[3431][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3431][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3431][5]~74923\,
	combout => \led_flash_cnt[3431][6]~74924_combout\,
	cout => \led_flash_cnt[3431][6]~74925\);

-- Location: FF_X40_Y1_N21
\led_flash_cnt[3431][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3431][6]~74924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3431][6]~q\);

-- Location: LCCOMB_X40_Y1_N22
\led_flash_cnt[3431][7]~74926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3431][7]~74926_combout\ = \led_flash_cnt[3431][7]~q\ $ (!\led_flash_cnt[3431][6]~74925\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3431][7]~q\,
	cin => \led_flash_cnt[3431][6]~74925\,
	combout => \led_flash_cnt[3431][7]~74926_combout\);

-- Location: FF_X40_Y1_N23
\led_flash_cnt[3431][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3431][7]~74926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3431][7]~q\);

-- Location: LCCOMB_X40_Y1_N24
\WideAnd3431~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3431~1_combout\ = (\led_flash_cnt[3431][6]~q\ & \led_flash_cnt[3431][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3431][6]~q\,
	datad => \led_flash_cnt[3431][5]~q\,
	combout => \WideAnd3431~1_combout\);

-- Location: LCCOMB_X40_Y1_N28
\WideAnd3431~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3431~0_combout\ = (\led_flash_cnt[3431][2]~q\ & (\led_flash_cnt[3431][4]~q\ & (\led_flash_cnt[3431][3]~q\ & \led_flash_cnt[3431][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3431][2]~q\,
	datab => \led_flash_cnt[3431][4]~q\,
	datac => \led_flash_cnt[3431][3]~q\,
	datad => \led_flash_cnt[3431][1]~q\,
	combout => \WideAnd3431~0_combout\);

-- Location: LCCOMB_X40_Y1_N0
WideAnd3431 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3431~combout\ = (\led_flash_cnt[3431][7]~q\ & (\WideAnd3431~1_combout\ & (\led_flash_cnt[3431][0]~q\ & \WideAnd3431~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3431][7]~q\,
	datab => \WideAnd3431~1_combout\,
	datac => \led_flash_cnt[3431][0]~q\,
	datad => \WideAnd3431~0_combout\,
	combout => \WideAnd3431~combout\);

-- Location: FF_X40_Y1_N1
\led_flash_cnt_ands[3431]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3431~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3431));

-- Location: LCCOMB_X40_Y1_N26
WideAnd4268 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4268~combout\ = (led_flash_cnt_ands(3430) & (\WideAnd4268~0_combout\ & (\WideAnd4268~1_combout\ & led_flash_cnt_ands(3431))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3430),
	datab => \WideAnd4268~0_combout\,
	datac => \WideAnd4268~1_combout\,
	datad => led_flash_cnt_ands(3431),
	combout => \WideAnd4268~combout\);

-- Location: FF_X40_Y1_N27
\led_flash_cnt_ands_1[428]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4268~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(428));

-- Location: LCCOMB_X63_Y41_N30
\led_flash_cnt[3438][0]~84078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3438][0]~84078_combout\ = !\led_flash_cnt[3438][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3438][0]~q\,
	combout => \led_flash_cnt[3438][0]~84078_combout\);

-- Location: FF_X63_Y41_N31
\led_flash_cnt[3438][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3438][0]~84078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3438][0]~q\);

-- Location: LCCOMB_X63_Y41_N0
\led_flash_cnt[3438][1]~75012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3438][1]~75012_combout\ = (\led_flash_cnt[3438][0]~q\ & (\led_flash_cnt[3438][1]~q\ $ (VCC))) # (!\led_flash_cnt[3438][0]~q\ & (\led_flash_cnt[3438][1]~q\ & VCC))
-- \led_flash_cnt[3438][1]~75013\ = CARRY((\led_flash_cnt[3438][0]~q\ & \led_flash_cnt[3438][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3438][0]~q\,
	datab => \led_flash_cnt[3438][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3438][1]~75012_combout\,
	cout => \led_flash_cnt[3438][1]~75013\);

-- Location: FF_X63_Y41_N1
\led_flash_cnt[3438][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3438][1]~75012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3438][1]~q\);

-- Location: LCCOMB_X63_Y41_N2
\led_flash_cnt[3438][2]~75014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3438][2]~75014_combout\ = (\led_flash_cnt[3438][2]~q\ & (!\led_flash_cnt[3438][1]~75013\)) # (!\led_flash_cnt[3438][2]~q\ & ((\led_flash_cnt[3438][1]~75013\) # (GND)))
-- \led_flash_cnt[3438][2]~75015\ = CARRY((!\led_flash_cnt[3438][1]~75013\) # (!\led_flash_cnt[3438][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3438][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3438][1]~75013\,
	combout => \led_flash_cnt[3438][2]~75014_combout\,
	cout => \led_flash_cnt[3438][2]~75015\);

-- Location: FF_X63_Y41_N3
\led_flash_cnt[3438][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3438][2]~75014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3438][2]~q\);

-- Location: LCCOMB_X63_Y41_N4
\led_flash_cnt[3438][3]~75016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3438][3]~75016_combout\ = (\led_flash_cnt[3438][3]~q\ & (\led_flash_cnt[3438][2]~75015\ $ (GND))) # (!\led_flash_cnt[3438][3]~q\ & (!\led_flash_cnt[3438][2]~75015\ & VCC))
-- \led_flash_cnt[3438][3]~75017\ = CARRY((\led_flash_cnt[3438][3]~q\ & !\led_flash_cnt[3438][2]~75015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3438][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3438][2]~75015\,
	combout => \led_flash_cnt[3438][3]~75016_combout\,
	cout => \led_flash_cnt[3438][3]~75017\);

-- Location: FF_X63_Y41_N5
\led_flash_cnt[3438][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3438][3]~75016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3438][3]~q\);

-- Location: LCCOMB_X63_Y41_N6
\led_flash_cnt[3438][4]~75018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3438][4]~75018_combout\ = (\led_flash_cnt[3438][4]~q\ & (!\led_flash_cnt[3438][3]~75017\)) # (!\led_flash_cnt[3438][4]~q\ & ((\led_flash_cnt[3438][3]~75017\) # (GND)))
-- \led_flash_cnt[3438][4]~75019\ = CARRY((!\led_flash_cnt[3438][3]~75017\) # (!\led_flash_cnt[3438][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3438][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3438][3]~75017\,
	combout => \led_flash_cnt[3438][4]~75018_combout\,
	cout => \led_flash_cnt[3438][4]~75019\);

-- Location: FF_X63_Y41_N7
\led_flash_cnt[3438][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3438][4]~75018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3438][4]~q\);

-- Location: LCCOMB_X63_Y41_N8
\led_flash_cnt[3438][5]~75020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3438][5]~75020_combout\ = (\led_flash_cnt[3438][5]~q\ & (\led_flash_cnt[3438][4]~75019\ $ (GND))) # (!\led_flash_cnt[3438][5]~q\ & (!\led_flash_cnt[3438][4]~75019\ & VCC))
-- \led_flash_cnt[3438][5]~75021\ = CARRY((\led_flash_cnt[3438][5]~q\ & !\led_flash_cnt[3438][4]~75019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3438][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3438][4]~75019\,
	combout => \led_flash_cnt[3438][5]~75020_combout\,
	cout => \led_flash_cnt[3438][5]~75021\);

-- Location: FF_X63_Y41_N9
\led_flash_cnt[3438][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3438][5]~75020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3438][5]~q\);

-- Location: LCCOMB_X63_Y41_N10
\led_flash_cnt[3438][6]~75022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3438][6]~75022_combout\ = (\led_flash_cnt[3438][6]~q\ & (!\led_flash_cnt[3438][5]~75021\)) # (!\led_flash_cnt[3438][6]~q\ & ((\led_flash_cnt[3438][5]~75021\) # (GND)))
-- \led_flash_cnt[3438][6]~75023\ = CARRY((!\led_flash_cnt[3438][5]~75021\) # (!\led_flash_cnt[3438][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3438][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3438][5]~75021\,
	combout => \led_flash_cnt[3438][6]~75022_combout\,
	cout => \led_flash_cnt[3438][6]~75023\);

-- Location: FF_X63_Y41_N11
\led_flash_cnt[3438][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3438][6]~75022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3438][6]~q\);

-- Location: LCCOMB_X63_Y41_N12
\led_flash_cnt[3438][7]~75024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3438][7]~75024_combout\ = \led_flash_cnt[3438][6]~75023\ $ (!\led_flash_cnt[3438][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3438][7]~q\,
	cin => \led_flash_cnt[3438][6]~75023\,
	combout => \led_flash_cnt[3438][7]~75024_combout\);

-- Location: FF_X63_Y41_N13
\led_flash_cnt[3438][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3438][7]~75024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3438][7]~q\);

-- Location: LCCOMB_X63_Y41_N20
\WideAnd3438~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3438~0_combout\ = (\led_flash_cnt[3438][4]~q\ & (\led_flash_cnt[3438][1]~q\ & (\led_flash_cnt[3438][3]~q\ & \led_flash_cnt[3438][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3438][4]~q\,
	datab => \led_flash_cnt[3438][1]~q\,
	datac => \led_flash_cnt[3438][3]~q\,
	datad => \led_flash_cnt[3438][2]~q\,
	combout => \WideAnd3438~0_combout\);

-- Location: LCCOMB_X63_Y41_N24
\WideAnd3438~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3438~1_combout\ = (\led_flash_cnt[3438][5]~q\ & \led_flash_cnt[3438][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3438][5]~q\,
	datad => \led_flash_cnt[3438][6]~q\,
	combout => \WideAnd3438~1_combout\);

-- Location: LCCOMB_X63_Y41_N26
WideAnd3438 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3438~combout\ = (\led_flash_cnt[3438][7]~q\ & (\WideAnd3438~0_combout\ & (\led_flash_cnt[3438][0]~q\ & \WideAnd3438~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3438][7]~q\,
	datab => \WideAnd3438~0_combout\,
	datac => \led_flash_cnt[3438][0]~q\,
	datad => \WideAnd3438~1_combout\,
	combout => \WideAnd3438~combout\);

-- Location: FF_X63_Y41_N27
\led_flash_cnt_ands[3438]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3438~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3438));

-- Location: LCCOMB_X61_Y38_N28
\led_flash_cnt[3437][0]~84077\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3437][0]~84077_combout\ = !\led_flash_cnt[3437][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3437][0]~q\,
	combout => \led_flash_cnt[3437][0]~84077_combout\);

-- Location: FF_X61_Y38_N29
\led_flash_cnt[3437][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3437][0]~84077_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3437][0]~q\);

-- Location: LCCOMB_X62_Y38_N0
\led_flash_cnt[3437][1]~74998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3437][1]~74998_combout\ = (\led_flash_cnt[3437][0]~q\ & (\led_flash_cnt[3437][1]~q\ $ (VCC))) # (!\led_flash_cnt[3437][0]~q\ & (\led_flash_cnt[3437][1]~q\ & VCC))
-- \led_flash_cnt[3437][1]~74999\ = CARRY((\led_flash_cnt[3437][0]~q\ & \led_flash_cnt[3437][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3437][0]~q\,
	datab => \led_flash_cnt[3437][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3437][1]~74998_combout\,
	cout => \led_flash_cnt[3437][1]~74999\);

-- Location: FF_X62_Y38_N1
\led_flash_cnt[3437][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3437][1]~74998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3437][1]~q\);

-- Location: LCCOMB_X62_Y38_N2
\led_flash_cnt[3437][2]~75000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3437][2]~75000_combout\ = (\led_flash_cnt[3437][2]~q\ & (!\led_flash_cnt[3437][1]~74999\)) # (!\led_flash_cnt[3437][2]~q\ & ((\led_flash_cnt[3437][1]~74999\) # (GND)))
-- \led_flash_cnt[3437][2]~75001\ = CARRY((!\led_flash_cnt[3437][1]~74999\) # (!\led_flash_cnt[3437][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3437][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3437][1]~74999\,
	combout => \led_flash_cnt[3437][2]~75000_combout\,
	cout => \led_flash_cnt[3437][2]~75001\);

-- Location: FF_X62_Y38_N3
\led_flash_cnt[3437][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3437][2]~75000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3437][2]~q\);

-- Location: LCCOMB_X62_Y38_N4
\led_flash_cnt[3437][3]~75002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3437][3]~75002_combout\ = (\led_flash_cnt[3437][3]~q\ & (\led_flash_cnt[3437][2]~75001\ $ (GND))) # (!\led_flash_cnt[3437][3]~q\ & (!\led_flash_cnt[3437][2]~75001\ & VCC))
-- \led_flash_cnt[3437][3]~75003\ = CARRY((\led_flash_cnt[3437][3]~q\ & !\led_flash_cnt[3437][2]~75001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3437][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3437][2]~75001\,
	combout => \led_flash_cnt[3437][3]~75002_combout\,
	cout => \led_flash_cnt[3437][3]~75003\);

-- Location: FF_X62_Y38_N5
\led_flash_cnt[3437][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3437][3]~75002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3437][3]~q\);

-- Location: LCCOMB_X62_Y38_N6
\led_flash_cnt[3437][4]~75004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3437][4]~75004_combout\ = (\led_flash_cnt[3437][4]~q\ & (!\led_flash_cnt[3437][3]~75003\)) # (!\led_flash_cnt[3437][4]~q\ & ((\led_flash_cnt[3437][3]~75003\) # (GND)))
-- \led_flash_cnt[3437][4]~75005\ = CARRY((!\led_flash_cnt[3437][3]~75003\) # (!\led_flash_cnt[3437][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3437][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3437][3]~75003\,
	combout => \led_flash_cnt[3437][4]~75004_combout\,
	cout => \led_flash_cnt[3437][4]~75005\);

-- Location: FF_X62_Y38_N7
\led_flash_cnt[3437][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3437][4]~75004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3437][4]~q\);

-- Location: LCCOMB_X62_Y38_N8
\led_flash_cnt[3437][5]~75006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3437][5]~75006_combout\ = (\led_flash_cnt[3437][5]~q\ & (\led_flash_cnt[3437][4]~75005\ $ (GND))) # (!\led_flash_cnt[3437][5]~q\ & (!\led_flash_cnt[3437][4]~75005\ & VCC))
-- \led_flash_cnt[3437][5]~75007\ = CARRY((\led_flash_cnt[3437][5]~q\ & !\led_flash_cnt[3437][4]~75005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3437][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3437][4]~75005\,
	combout => \led_flash_cnt[3437][5]~75006_combout\,
	cout => \led_flash_cnt[3437][5]~75007\);

-- Location: FF_X62_Y38_N9
\led_flash_cnt[3437][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3437][5]~75006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3437][5]~q\);

-- Location: LCCOMB_X62_Y38_N10
\led_flash_cnt[3437][6]~75008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3437][6]~75008_combout\ = (\led_flash_cnt[3437][6]~q\ & (!\led_flash_cnt[3437][5]~75007\)) # (!\led_flash_cnt[3437][6]~q\ & ((\led_flash_cnt[3437][5]~75007\) # (GND)))
-- \led_flash_cnt[3437][6]~75009\ = CARRY((!\led_flash_cnt[3437][5]~75007\) # (!\led_flash_cnt[3437][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3437][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3437][5]~75007\,
	combout => \led_flash_cnt[3437][6]~75008_combout\,
	cout => \led_flash_cnt[3437][6]~75009\);

-- Location: FF_X62_Y38_N11
\led_flash_cnt[3437][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3437][6]~75008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3437][6]~q\);

-- Location: LCCOMB_X61_Y38_N22
\WideAnd3437~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3437~1_combout\ = (\led_flash_cnt[3437][6]~q\ & \led_flash_cnt[3437][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3437][6]~q\,
	datac => \led_flash_cnt[3437][5]~q\,
	combout => \WideAnd3437~1_combout\);

-- Location: LCCOMB_X62_Y38_N12
\led_flash_cnt[3437][7]~75010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3437][7]~75010_combout\ = \led_flash_cnt[3437][6]~75009\ $ (!\led_flash_cnt[3437][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3437][7]~q\,
	cin => \led_flash_cnt[3437][6]~75009\,
	combout => \led_flash_cnt[3437][7]~75010_combout\);

-- Location: FF_X62_Y38_N13
\led_flash_cnt[3437][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3437][7]~75010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3437][7]~q\);

-- Location: LCCOMB_X62_Y38_N28
\WideAnd3437~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3437~0_combout\ = (\led_flash_cnt[3437][4]~q\ & (\led_flash_cnt[3437][1]~q\ & (\led_flash_cnt[3437][3]~q\ & \led_flash_cnt[3437][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3437][4]~q\,
	datab => \led_flash_cnt[3437][1]~q\,
	datac => \led_flash_cnt[3437][3]~q\,
	datad => \led_flash_cnt[3437][2]~q\,
	combout => \WideAnd3437~0_combout\);

-- Location: LCCOMB_X61_Y38_N4
WideAnd3437 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3437~combout\ = (\WideAnd3437~1_combout\ & (\led_flash_cnt[3437][0]~q\ & (\led_flash_cnt[3437][7]~q\ & \WideAnd3437~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3437~1_combout\,
	datab => \led_flash_cnt[3437][0]~q\,
	datac => \led_flash_cnt[3437][7]~q\,
	datad => \WideAnd3437~0_combout\,
	combout => \WideAnd3437~combout\);

-- Location: FF_X61_Y38_N5
\led_flash_cnt_ands[3437]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3437~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3437));

-- Location: LCCOMB_X61_Y38_N2
\led_flash_cnt[3436][0]~84076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3436][0]~84076_combout\ = !\led_flash_cnt[3436][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3436][0]~q\,
	combout => \led_flash_cnt[3436][0]~84076_combout\);

-- Location: FF_X61_Y38_N3
\led_flash_cnt[3436][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3436][0]~84076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3436][0]~q\);

-- Location: LCCOMB_X61_Y38_N6
\led_flash_cnt[3436][1]~74984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3436][1]~74984_combout\ = (\led_flash_cnt[3436][1]~q\ & (\led_flash_cnt[3436][0]~q\ $ (VCC))) # (!\led_flash_cnt[3436][1]~q\ & (\led_flash_cnt[3436][0]~q\ & VCC))
-- \led_flash_cnt[3436][1]~74985\ = CARRY((\led_flash_cnt[3436][1]~q\ & \led_flash_cnt[3436][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3436][1]~q\,
	datab => \led_flash_cnt[3436][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3436][1]~74984_combout\,
	cout => \led_flash_cnt[3436][1]~74985\);

-- Location: FF_X61_Y38_N7
\led_flash_cnt[3436][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3436][1]~74984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3436][1]~q\);

-- Location: LCCOMB_X61_Y38_N8
\led_flash_cnt[3436][2]~74986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3436][2]~74986_combout\ = (\led_flash_cnt[3436][2]~q\ & (!\led_flash_cnt[3436][1]~74985\)) # (!\led_flash_cnt[3436][2]~q\ & ((\led_flash_cnt[3436][1]~74985\) # (GND)))
-- \led_flash_cnt[3436][2]~74987\ = CARRY((!\led_flash_cnt[3436][1]~74985\) # (!\led_flash_cnt[3436][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3436][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3436][1]~74985\,
	combout => \led_flash_cnt[3436][2]~74986_combout\,
	cout => \led_flash_cnt[3436][2]~74987\);

-- Location: FF_X61_Y38_N9
\led_flash_cnt[3436][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3436][2]~74986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3436][2]~q\);

-- Location: LCCOMB_X61_Y38_N10
\led_flash_cnt[3436][3]~74988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3436][3]~74988_combout\ = (\led_flash_cnt[3436][3]~q\ & (\led_flash_cnt[3436][2]~74987\ $ (GND))) # (!\led_flash_cnt[3436][3]~q\ & (!\led_flash_cnt[3436][2]~74987\ & VCC))
-- \led_flash_cnt[3436][3]~74989\ = CARRY((\led_flash_cnt[3436][3]~q\ & !\led_flash_cnt[3436][2]~74987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3436][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3436][2]~74987\,
	combout => \led_flash_cnt[3436][3]~74988_combout\,
	cout => \led_flash_cnt[3436][3]~74989\);

-- Location: FF_X61_Y38_N11
\led_flash_cnt[3436][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3436][3]~74988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3436][3]~q\);

-- Location: LCCOMB_X61_Y38_N12
\led_flash_cnt[3436][4]~74990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3436][4]~74990_combout\ = (\led_flash_cnt[3436][4]~q\ & (!\led_flash_cnt[3436][3]~74989\)) # (!\led_flash_cnt[3436][4]~q\ & ((\led_flash_cnt[3436][3]~74989\) # (GND)))
-- \led_flash_cnt[3436][4]~74991\ = CARRY((!\led_flash_cnt[3436][3]~74989\) # (!\led_flash_cnt[3436][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3436][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3436][3]~74989\,
	combout => \led_flash_cnt[3436][4]~74990_combout\,
	cout => \led_flash_cnt[3436][4]~74991\);

-- Location: FF_X61_Y38_N13
\led_flash_cnt[3436][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3436][4]~74990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3436][4]~q\);

-- Location: LCCOMB_X61_Y38_N14
\led_flash_cnt[3436][5]~74992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3436][5]~74992_combout\ = (\led_flash_cnt[3436][5]~q\ & (\led_flash_cnt[3436][4]~74991\ $ (GND))) # (!\led_flash_cnt[3436][5]~q\ & (!\led_flash_cnt[3436][4]~74991\ & VCC))
-- \led_flash_cnt[3436][5]~74993\ = CARRY((\led_flash_cnt[3436][5]~q\ & !\led_flash_cnt[3436][4]~74991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3436][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3436][4]~74991\,
	combout => \led_flash_cnt[3436][5]~74992_combout\,
	cout => \led_flash_cnt[3436][5]~74993\);

-- Location: FF_X61_Y38_N15
\led_flash_cnt[3436][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3436][5]~74992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3436][5]~q\);

-- Location: LCCOMB_X61_Y38_N16
\led_flash_cnt[3436][6]~74994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3436][6]~74994_combout\ = (\led_flash_cnt[3436][6]~q\ & (!\led_flash_cnt[3436][5]~74993\)) # (!\led_flash_cnt[3436][6]~q\ & ((\led_flash_cnt[3436][5]~74993\) # (GND)))
-- \led_flash_cnt[3436][6]~74995\ = CARRY((!\led_flash_cnt[3436][5]~74993\) # (!\led_flash_cnt[3436][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3436][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3436][5]~74993\,
	combout => \led_flash_cnt[3436][6]~74994_combout\,
	cout => \led_flash_cnt[3436][6]~74995\);

-- Location: FF_X61_Y38_N17
\led_flash_cnt[3436][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3436][6]~74994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3436][6]~q\);

-- Location: LCCOMB_X61_Y38_N30
\WideAnd3436~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3436~1_combout\ = (\led_flash_cnt[3436][5]~q\ & \led_flash_cnt[3436][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3436][5]~q\,
	datad => \led_flash_cnt[3436][6]~q\,
	combout => \WideAnd3436~1_combout\);

-- Location: LCCOMB_X61_Y38_N18
\led_flash_cnt[3436][7]~74996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3436][7]~74996_combout\ = \led_flash_cnt[3436][7]~q\ $ (!\led_flash_cnt[3436][6]~74995\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3436][7]~q\,
	cin => \led_flash_cnt[3436][6]~74995\,
	combout => \led_flash_cnt[3436][7]~74996_combout\);

-- Location: FF_X61_Y38_N19
\led_flash_cnt[3436][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3436][7]~74996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3436][7]~q\);

-- Location: LCCOMB_X61_Y38_N24
\WideAnd3436~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3436~0_combout\ = (\led_flash_cnt[3436][4]~q\ & (\led_flash_cnt[3436][1]~q\ & (\led_flash_cnt[3436][2]~q\ & \led_flash_cnt[3436][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3436][4]~q\,
	datab => \led_flash_cnt[3436][1]~q\,
	datac => \led_flash_cnt[3436][2]~q\,
	datad => \led_flash_cnt[3436][3]~q\,
	combout => \WideAnd3436~0_combout\);

-- Location: LCCOMB_X61_Y38_N20
WideAnd3436 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3436~combout\ = (\WideAnd3436~1_combout\ & (\led_flash_cnt[3436][0]~q\ & (\led_flash_cnt[3436][7]~q\ & \WideAnd3436~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3436~1_combout\,
	datab => \led_flash_cnt[3436][0]~q\,
	datac => \led_flash_cnt[3436][7]~q\,
	datad => \WideAnd3436~0_combout\,
	combout => \WideAnd3436~combout\);

-- Location: FF_X61_Y38_N21
\led_flash_cnt_ands[3436]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3436~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3436));

-- Location: LCCOMB_X61_Y38_N26
\WideAnd4269~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4269~1_combout\ = (led_flash_cnt_ands(3437) & led_flash_cnt_ands(3436))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3437),
	datad => led_flash_cnt_ands(3436),
	combout => \WideAnd4269~1_combout\);

-- Location: LCCOMB_X65_Y53_N0
\led_flash_cnt[3433][0]~84073\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3433][0]~84073_combout\ = !\led_flash_cnt[3433][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3433][0]~q\,
	combout => \led_flash_cnt[3433][0]~84073_combout\);

-- Location: FF_X65_Y53_N1
\led_flash_cnt[3433][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3433][0]~84073_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3433][0]~q\);

-- Location: LCCOMB_X65_Y53_N12
\led_flash_cnt[3433][1]~74942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3433][1]~74942_combout\ = (\led_flash_cnt[3433][1]~q\ & (\led_flash_cnt[3433][0]~q\ $ (VCC))) # (!\led_flash_cnt[3433][1]~q\ & (\led_flash_cnt[3433][0]~q\ & VCC))
-- \led_flash_cnt[3433][1]~74943\ = CARRY((\led_flash_cnt[3433][1]~q\ & \led_flash_cnt[3433][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3433][1]~q\,
	datab => \led_flash_cnt[3433][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3433][1]~74942_combout\,
	cout => \led_flash_cnt[3433][1]~74943\);

-- Location: FF_X65_Y53_N13
\led_flash_cnt[3433][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3433][1]~74942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3433][1]~q\);

-- Location: LCCOMB_X65_Y53_N14
\led_flash_cnt[3433][2]~74944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3433][2]~74944_combout\ = (\led_flash_cnt[3433][2]~q\ & (!\led_flash_cnt[3433][1]~74943\)) # (!\led_flash_cnt[3433][2]~q\ & ((\led_flash_cnt[3433][1]~74943\) # (GND)))
-- \led_flash_cnt[3433][2]~74945\ = CARRY((!\led_flash_cnt[3433][1]~74943\) # (!\led_flash_cnt[3433][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3433][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3433][1]~74943\,
	combout => \led_flash_cnt[3433][2]~74944_combout\,
	cout => \led_flash_cnt[3433][2]~74945\);

-- Location: FF_X65_Y53_N15
\led_flash_cnt[3433][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3433][2]~74944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3433][2]~q\);

-- Location: LCCOMB_X65_Y53_N16
\led_flash_cnt[3433][3]~74946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3433][3]~74946_combout\ = (\led_flash_cnt[3433][3]~q\ & (\led_flash_cnt[3433][2]~74945\ $ (GND))) # (!\led_flash_cnt[3433][3]~q\ & (!\led_flash_cnt[3433][2]~74945\ & VCC))
-- \led_flash_cnt[3433][3]~74947\ = CARRY((\led_flash_cnt[3433][3]~q\ & !\led_flash_cnt[3433][2]~74945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3433][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3433][2]~74945\,
	combout => \led_flash_cnt[3433][3]~74946_combout\,
	cout => \led_flash_cnt[3433][3]~74947\);

-- Location: FF_X65_Y53_N17
\led_flash_cnt[3433][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3433][3]~74946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3433][3]~q\);

-- Location: LCCOMB_X65_Y53_N18
\led_flash_cnt[3433][4]~74948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3433][4]~74948_combout\ = (\led_flash_cnt[3433][4]~q\ & (!\led_flash_cnt[3433][3]~74947\)) # (!\led_flash_cnt[3433][4]~q\ & ((\led_flash_cnt[3433][3]~74947\) # (GND)))
-- \led_flash_cnt[3433][4]~74949\ = CARRY((!\led_flash_cnt[3433][3]~74947\) # (!\led_flash_cnt[3433][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3433][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3433][3]~74947\,
	combout => \led_flash_cnt[3433][4]~74948_combout\,
	cout => \led_flash_cnt[3433][4]~74949\);

-- Location: FF_X65_Y53_N19
\led_flash_cnt[3433][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3433][4]~74948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3433][4]~q\);

-- Location: LCCOMB_X65_Y53_N20
\led_flash_cnt[3433][5]~74950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3433][5]~74950_combout\ = (\led_flash_cnt[3433][5]~q\ & (\led_flash_cnt[3433][4]~74949\ $ (GND))) # (!\led_flash_cnt[3433][5]~q\ & (!\led_flash_cnt[3433][4]~74949\ & VCC))
-- \led_flash_cnt[3433][5]~74951\ = CARRY((\led_flash_cnt[3433][5]~q\ & !\led_flash_cnt[3433][4]~74949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3433][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3433][4]~74949\,
	combout => \led_flash_cnt[3433][5]~74950_combout\,
	cout => \led_flash_cnt[3433][5]~74951\);

-- Location: FF_X65_Y53_N21
\led_flash_cnt[3433][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3433][5]~74950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3433][5]~q\);

-- Location: LCCOMB_X65_Y53_N22
\led_flash_cnt[3433][6]~74952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3433][6]~74952_combout\ = (\led_flash_cnt[3433][6]~q\ & (!\led_flash_cnt[3433][5]~74951\)) # (!\led_flash_cnt[3433][6]~q\ & ((\led_flash_cnt[3433][5]~74951\) # (GND)))
-- \led_flash_cnt[3433][6]~74953\ = CARRY((!\led_flash_cnt[3433][5]~74951\) # (!\led_flash_cnt[3433][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3433][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3433][5]~74951\,
	combout => \led_flash_cnt[3433][6]~74952_combout\,
	cout => \led_flash_cnt[3433][6]~74953\);

-- Location: FF_X65_Y53_N23
\led_flash_cnt[3433][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3433][6]~74952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3433][6]~q\);

-- Location: LCCOMB_X65_Y53_N30
\WideAnd3433~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3433~1_combout\ = (\led_flash_cnt[3433][6]~q\ & \led_flash_cnt[3433][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3433][6]~q\,
	datad => \led_flash_cnt[3433][5]~q\,
	combout => \WideAnd3433~1_combout\);

-- Location: LCCOMB_X65_Y53_N4
\WideAnd3433~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3433~0_combout\ = (\led_flash_cnt[3433][1]~q\ & (\led_flash_cnt[3433][3]~q\ & (\led_flash_cnt[3433][2]~q\ & \led_flash_cnt[3433][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3433][1]~q\,
	datab => \led_flash_cnt[3433][3]~q\,
	datac => \led_flash_cnt[3433][2]~q\,
	datad => \led_flash_cnt[3433][4]~q\,
	combout => \WideAnd3433~0_combout\);

-- Location: LCCOMB_X65_Y53_N24
\led_flash_cnt[3433][7]~74954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3433][7]~74954_combout\ = \led_flash_cnt[3433][6]~74953\ $ (!\led_flash_cnt[3433][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3433][7]~q\,
	cin => \led_flash_cnt[3433][6]~74953\,
	combout => \led_flash_cnt[3433][7]~74954_combout\);

-- Location: FF_X65_Y53_N25
\led_flash_cnt[3433][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3433][7]~74954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3433][7]~q\);

-- Location: LCCOMB_X65_Y53_N8
WideAnd3433 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3433~combout\ = (\WideAnd3433~1_combout\ & (\led_flash_cnt[3433][0]~q\ & (\WideAnd3433~0_combout\ & \led_flash_cnt[3433][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3433~1_combout\,
	datab => \led_flash_cnt[3433][0]~q\,
	datac => \WideAnd3433~0_combout\,
	datad => \led_flash_cnt[3433][7]~q\,
	combout => \WideAnd3433~combout\);

-- Location: FF_X65_Y53_N9
\led_flash_cnt_ands[3433]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3433~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3433));

-- Location: LCCOMB_X61_Y53_N26
\led_flash_cnt[3435][0]~84075\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3435][0]~84075_combout\ = !\led_flash_cnt[3435][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3435][0]~q\,
	combout => \led_flash_cnt[3435][0]~84075_combout\);

-- Location: FF_X61_Y53_N27
\led_flash_cnt[3435][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3435][0]~84075_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3435][0]~q\);

-- Location: LCCOMB_X61_Y53_N2
\led_flash_cnt[3435][1]~74970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3435][1]~74970_combout\ = (\led_flash_cnt[3435][0]~q\ & (\led_flash_cnt[3435][1]~q\ $ (VCC))) # (!\led_flash_cnt[3435][0]~q\ & (\led_flash_cnt[3435][1]~q\ & VCC))
-- \led_flash_cnt[3435][1]~74971\ = CARRY((\led_flash_cnt[3435][0]~q\ & \led_flash_cnt[3435][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3435][0]~q\,
	datab => \led_flash_cnt[3435][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3435][1]~74970_combout\,
	cout => \led_flash_cnt[3435][1]~74971\);

-- Location: FF_X61_Y53_N3
\led_flash_cnt[3435][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3435][1]~74970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3435][1]~q\);

-- Location: LCCOMB_X61_Y53_N4
\led_flash_cnt[3435][2]~74972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3435][2]~74972_combout\ = (\led_flash_cnt[3435][2]~q\ & (!\led_flash_cnt[3435][1]~74971\)) # (!\led_flash_cnt[3435][2]~q\ & ((\led_flash_cnt[3435][1]~74971\) # (GND)))
-- \led_flash_cnt[3435][2]~74973\ = CARRY((!\led_flash_cnt[3435][1]~74971\) # (!\led_flash_cnt[3435][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3435][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3435][1]~74971\,
	combout => \led_flash_cnt[3435][2]~74972_combout\,
	cout => \led_flash_cnt[3435][2]~74973\);

-- Location: FF_X61_Y53_N5
\led_flash_cnt[3435][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3435][2]~74972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3435][2]~q\);

-- Location: LCCOMB_X61_Y53_N6
\led_flash_cnt[3435][3]~74974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3435][3]~74974_combout\ = (\led_flash_cnt[3435][3]~q\ & (\led_flash_cnt[3435][2]~74973\ $ (GND))) # (!\led_flash_cnt[3435][3]~q\ & (!\led_flash_cnt[3435][2]~74973\ & VCC))
-- \led_flash_cnt[3435][3]~74975\ = CARRY((\led_flash_cnt[3435][3]~q\ & !\led_flash_cnt[3435][2]~74973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3435][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3435][2]~74973\,
	combout => \led_flash_cnt[3435][3]~74974_combout\,
	cout => \led_flash_cnt[3435][3]~74975\);

-- Location: FF_X61_Y53_N7
\led_flash_cnt[3435][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3435][3]~74974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3435][3]~q\);

-- Location: LCCOMB_X61_Y53_N8
\led_flash_cnt[3435][4]~74976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3435][4]~74976_combout\ = (\led_flash_cnt[3435][4]~q\ & (!\led_flash_cnt[3435][3]~74975\)) # (!\led_flash_cnt[3435][4]~q\ & ((\led_flash_cnt[3435][3]~74975\) # (GND)))
-- \led_flash_cnt[3435][4]~74977\ = CARRY((!\led_flash_cnt[3435][3]~74975\) # (!\led_flash_cnt[3435][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3435][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3435][3]~74975\,
	combout => \led_flash_cnt[3435][4]~74976_combout\,
	cout => \led_flash_cnt[3435][4]~74977\);

-- Location: FF_X61_Y53_N9
\led_flash_cnt[3435][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3435][4]~74976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3435][4]~q\);

-- Location: LCCOMB_X61_Y53_N10
\led_flash_cnt[3435][5]~74978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3435][5]~74978_combout\ = (\led_flash_cnt[3435][5]~q\ & (\led_flash_cnt[3435][4]~74977\ $ (GND))) # (!\led_flash_cnt[3435][5]~q\ & (!\led_flash_cnt[3435][4]~74977\ & VCC))
-- \led_flash_cnt[3435][5]~74979\ = CARRY((\led_flash_cnt[3435][5]~q\ & !\led_flash_cnt[3435][4]~74977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3435][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3435][4]~74977\,
	combout => \led_flash_cnt[3435][5]~74978_combout\,
	cout => \led_flash_cnt[3435][5]~74979\);

-- Location: FF_X61_Y53_N11
\led_flash_cnt[3435][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3435][5]~74978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3435][5]~q\);

-- Location: LCCOMB_X61_Y53_N12
\led_flash_cnt[3435][6]~74980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3435][6]~74980_combout\ = (\led_flash_cnt[3435][6]~q\ & (!\led_flash_cnt[3435][5]~74979\)) # (!\led_flash_cnt[3435][6]~q\ & ((\led_flash_cnt[3435][5]~74979\) # (GND)))
-- \led_flash_cnt[3435][6]~74981\ = CARRY((!\led_flash_cnt[3435][5]~74979\) # (!\led_flash_cnt[3435][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3435][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3435][5]~74979\,
	combout => \led_flash_cnt[3435][6]~74980_combout\,
	cout => \led_flash_cnt[3435][6]~74981\);

-- Location: FF_X61_Y53_N13
\led_flash_cnt[3435][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3435][6]~74980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3435][6]~q\);

-- Location: LCCOMB_X61_Y53_N22
\WideAnd3435~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3435~1_combout\ = (\led_flash_cnt[3435][6]~q\ & \led_flash_cnt[3435][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3435][6]~q\,
	datad => \led_flash_cnt[3435][5]~q\,
	combout => \WideAnd3435~1_combout\);

-- Location: LCCOMB_X61_Y53_N14
\led_flash_cnt[3435][7]~74982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3435][7]~74982_combout\ = \led_flash_cnt[3435][7]~q\ $ (!\led_flash_cnt[3435][6]~74981\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3435][7]~q\,
	cin => \led_flash_cnt[3435][6]~74981\,
	combout => \led_flash_cnt[3435][7]~74982_combout\);

-- Location: FF_X61_Y53_N15
\led_flash_cnt[3435][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3435][7]~74982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3435][7]~q\);

-- Location: LCCOMB_X61_Y53_N18
\WideAnd3435~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3435~0_combout\ = (\led_flash_cnt[3435][3]~q\ & (\led_flash_cnt[3435][4]~q\ & (\led_flash_cnt[3435][2]~q\ & \led_flash_cnt[3435][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3435][3]~q\,
	datab => \led_flash_cnt[3435][4]~q\,
	datac => \led_flash_cnt[3435][2]~q\,
	datad => \led_flash_cnt[3435][1]~q\,
	combout => \WideAnd3435~0_combout\);

-- Location: LCCOMB_X61_Y53_N30
WideAnd3435 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3435~combout\ = (\WideAnd3435~1_combout\ & (\led_flash_cnt[3435][7]~q\ & (\led_flash_cnt[3435][0]~q\ & \WideAnd3435~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3435~1_combout\,
	datab => \led_flash_cnt[3435][7]~q\,
	datac => \led_flash_cnt[3435][0]~q\,
	datad => \WideAnd3435~0_combout\,
	combout => \WideAnd3435~combout\);

-- Location: FF_X61_Y53_N31
\led_flash_cnt_ands[3435]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3435~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3435));

-- Location: LCCOMB_X61_Y51_N12
\led_flash_cnt[3434][0]~84074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3434][0]~84074_combout\ = !\led_flash_cnt[3434][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3434][0]~q\,
	combout => \led_flash_cnt[3434][0]~84074_combout\);

-- Location: FF_X61_Y51_N13
\led_flash_cnt[3434][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3434][0]~84074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3434][0]~q\);

-- Location: LCCOMB_X61_Y51_N16
\led_flash_cnt[3434][1]~74956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3434][1]~74956_combout\ = (\led_flash_cnt[3434][0]~q\ & (\led_flash_cnt[3434][1]~q\ $ (VCC))) # (!\led_flash_cnt[3434][0]~q\ & (\led_flash_cnt[3434][1]~q\ & VCC))
-- \led_flash_cnt[3434][1]~74957\ = CARRY((\led_flash_cnt[3434][0]~q\ & \led_flash_cnt[3434][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3434][0]~q\,
	datab => \led_flash_cnt[3434][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3434][1]~74956_combout\,
	cout => \led_flash_cnt[3434][1]~74957\);

-- Location: FF_X61_Y51_N17
\led_flash_cnt[3434][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3434][1]~74956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3434][1]~q\);

-- Location: LCCOMB_X61_Y51_N18
\led_flash_cnt[3434][2]~74958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3434][2]~74958_combout\ = (\led_flash_cnt[3434][2]~q\ & (!\led_flash_cnt[3434][1]~74957\)) # (!\led_flash_cnt[3434][2]~q\ & ((\led_flash_cnt[3434][1]~74957\) # (GND)))
-- \led_flash_cnt[3434][2]~74959\ = CARRY((!\led_flash_cnt[3434][1]~74957\) # (!\led_flash_cnt[3434][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3434][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3434][1]~74957\,
	combout => \led_flash_cnt[3434][2]~74958_combout\,
	cout => \led_flash_cnt[3434][2]~74959\);

-- Location: FF_X61_Y51_N19
\led_flash_cnt[3434][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3434][2]~74958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3434][2]~q\);

-- Location: LCCOMB_X61_Y51_N20
\led_flash_cnt[3434][3]~74960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3434][3]~74960_combout\ = (\led_flash_cnt[3434][3]~q\ & (\led_flash_cnt[3434][2]~74959\ $ (GND))) # (!\led_flash_cnt[3434][3]~q\ & (!\led_flash_cnt[3434][2]~74959\ & VCC))
-- \led_flash_cnt[3434][3]~74961\ = CARRY((\led_flash_cnt[3434][3]~q\ & !\led_flash_cnt[3434][2]~74959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3434][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3434][2]~74959\,
	combout => \led_flash_cnt[3434][3]~74960_combout\,
	cout => \led_flash_cnt[3434][3]~74961\);

-- Location: FF_X61_Y51_N21
\led_flash_cnt[3434][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3434][3]~74960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3434][3]~q\);

-- Location: LCCOMB_X61_Y51_N22
\led_flash_cnt[3434][4]~74962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3434][4]~74962_combout\ = (\led_flash_cnt[3434][4]~q\ & (!\led_flash_cnt[3434][3]~74961\)) # (!\led_flash_cnt[3434][4]~q\ & ((\led_flash_cnt[3434][3]~74961\) # (GND)))
-- \led_flash_cnt[3434][4]~74963\ = CARRY((!\led_flash_cnt[3434][3]~74961\) # (!\led_flash_cnt[3434][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3434][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3434][3]~74961\,
	combout => \led_flash_cnt[3434][4]~74962_combout\,
	cout => \led_flash_cnt[3434][4]~74963\);

-- Location: FF_X61_Y51_N23
\led_flash_cnt[3434][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3434][4]~74962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3434][4]~q\);

-- Location: LCCOMB_X61_Y51_N10
\WideAnd3434~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3434~0_combout\ = (\led_flash_cnt[3434][3]~q\ & (\led_flash_cnt[3434][2]~q\ & (\led_flash_cnt[3434][4]~q\ & \led_flash_cnt[3434][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3434][3]~q\,
	datab => \led_flash_cnt[3434][2]~q\,
	datac => \led_flash_cnt[3434][4]~q\,
	datad => \led_flash_cnt[3434][1]~q\,
	combout => \WideAnd3434~0_combout\);

-- Location: LCCOMB_X61_Y51_N24
\led_flash_cnt[3434][5]~74964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3434][5]~74964_combout\ = (\led_flash_cnt[3434][5]~q\ & (\led_flash_cnt[3434][4]~74963\ $ (GND))) # (!\led_flash_cnt[3434][5]~q\ & (!\led_flash_cnt[3434][4]~74963\ & VCC))
-- \led_flash_cnt[3434][5]~74965\ = CARRY((\led_flash_cnt[3434][5]~q\ & !\led_flash_cnt[3434][4]~74963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3434][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3434][4]~74963\,
	combout => \led_flash_cnt[3434][5]~74964_combout\,
	cout => \led_flash_cnt[3434][5]~74965\);

-- Location: FF_X61_Y51_N25
\led_flash_cnt[3434][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3434][5]~74964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3434][5]~q\);

-- Location: LCCOMB_X61_Y51_N26
\led_flash_cnt[3434][6]~74966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3434][6]~74966_combout\ = (\led_flash_cnt[3434][6]~q\ & (!\led_flash_cnt[3434][5]~74965\)) # (!\led_flash_cnt[3434][6]~q\ & ((\led_flash_cnt[3434][5]~74965\) # (GND)))
-- \led_flash_cnt[3434][6]~74967\ = CARRY((!\led_flash_cnt[3434][5]~74965\) # (!\led_flash_cnt[3434][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3434][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3434][5]~74965\,
	combout => \led_flash_cnt[3434][6]~74966_combout\,
	cout => \led_flash_cnt[3434][6]~74967\);

-- Location: FF_X61_Y51_N27
\led_flash_cnt[3434][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3434][6]~74966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3434][6]~q\);

-- Location: LCCOMB_X61_Y51_N28
\led_flash_cnt[3434][7]~74968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3434][7]~74968_combout\ = \led_flash_cnt[3434][6]~74967\ $ (!\led_flash_cnt[3434][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3434][7]~q\,
	cin => \led_flash_cnt[3434][6]~74967\,
	combout => \led_flash_cnt[3434][7]~74968_combout\);

-- Location: FF_X61_Y51_N29
\led_flash_cnt[3434][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3434][7]~74968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3434][7]~q\);

-- Location: LCCOMB_X61_Y51_N4
\WideAnd3434~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3434~1_combout\ = (\led_flash_cnt[3434][6]~q\ & \led_flash_cnt[3434][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3434][6]~q\,
	datad => \led_flash_cnt[3434][5]~q\,
	combout => \WideAnd3434~1_combout\);

-- Location: LCCOMB_X61_Y51_N2
WideAnd3434 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3434~combout\ = (\WideAnd3434~0_combout\ & (\led_flash_cnt[3434][7]~q\ & (\WideAnd3434~1_combout\ & \led_flash_cnt[3434][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3434~0_combout\,
	datab => \led_flash_cnt[3434][7]~q\,
	datac => \WideAnd3434~1_combout\,
	datad => \led_flash_cnt[3434][0]~q\,
	combout => \WideAnd3434~combout\);

-- Location: FF_X61_Y51_N3
\led_flash_cnt_ands[3434]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3434~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3434));

-- Location: LCCOMB_X62_Y53_N24
\led_flash_cnt[3432][0]~84072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3432][0]~84072_combout\ = !\led_flash_cnt[3432][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3432][0]~q\,
	combout => \led_flash_cnt[3432][0]~84072_combout\);

-- Location: FF_X62_Y53_N25
\led_flash_cnt[3432][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3432][0]~84072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3432][0]~q\);

-- Location: LCCOMB_X62_Y53_N6
\led_flash_cnt[3432][1]~74928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3432][1]~74928_combout\ = (\led_flash_cnt[3432][1]~q\ & (\led_flash_cnt[3432][0]~q\ $ (VCC))) # (!\led_flash_cnt[3432][1]~q\ & (\led_flash_cnt[3432][0]~q\ & VCC))
-- \led_flash_cnt[3432][1]~74929\ = CARRY((\led_flash_cnt[3432][1]~q\ & \led_flash_cnt[3432][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3432][1]~q\,
	datab => \led_flash_cnt[3432][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3432][1]~74928_combout\,
	cout => \led_flash_cnt[3432][1]~74929\);

-- Location: FF_X62_Y53_N7
\led_flash_cnt[3432][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3432][1]~74928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3432][1]~q\);

-- Location: LCCOMB_X62_Y53_N8
\led_flash_cnt[3432][2]~74930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3432][2]~74930_combout\ = (\led_flash_cnt[3432][2]~q\ & (!\led_flash_cnt[3432][1]~74929\)) # (!\led_flash_cnt[3432][2]~q\ & ((\led_flash_cnt[3432][1]~74929\) # (GND)))
-- \led_flash_cnt[3432][2]~74931\ = CARRY((!\led_flash_cnt[3432][1]~74929\) # (!\led_flash_cnt[3432][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3432][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3432][1]~74929\,
	combout => \led_flash_cnt[3432][2]~74930_combout\,
	cout => \led_flash_cnt[3432][2]~74931\);

-- Location: FF_X62_Y53_N9
\led_flash_cnt[3432][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3432][2]~74930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3432][2]~q\);

-- Location: LCCOMB_X62_Y53_N10
\led_flash_cnt[3432][3]~74932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3432][3]~74932_combout\ = (\led_flash_cnt[3432][3]~q\ & (\led_flash_cnt[3432][2]~74931\ $ (GND))) # (!\led_flash_cnt[3432][3]~q\ & (!\led_flash_cnt[3432][2]~74931\ & VCC))
-- \led_flash_cnt[3432][3]~74933\ = CARRY((\led_flash_cnt[3432][3]~q\ & !\led_flash_cnt[3432][2]~74931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3432][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3432][2]~74931\,
	combout => \led_flash_cnt[3432][3]~74932_combout\,
	cout => \led_flash_cnt[3432][3]~74933\);

-- Location: FF_X62_Y53_N11
\led_flash_cnt[3432][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3432][3]~74932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3432][3]~q\);

-- Location: LCCOMB_X62_Y53_N12
\led_flash_cnt[3432][4]~74934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3432][4]~74934_combout\ = (\led_flash_cnt[3432][4]~q\ & (!\led_flash_cnt[3432][3]~74933\)) # (!\led_flash_cnt[3432][4]~q\ & ((\led_flash_cnt[3432][3]~74933\) # (GND)))
-- \led_flash_cnt[3432][4]~74935\ = CARRY((!\led_flash_cnt[3432][3]~74933\) # (!\led_flash_cnt[3432][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3432][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3432][3]~74933\,
	combout => \led_flash_cnt[3432][4]~74934_combout\,
	cout => \led_flash_cnt[3432][4]~74935\);

-- Location: FF_X62_Y53_N13
\led_flash_cnt[3432][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3432][4]~74934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3432][4]~q\);

-- Location: LCCOMB_X62_Y53_N14
\led_flash_cnt[3432][5]~74936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3432][5]~74936_combout\ = (\led_flash_cnt[3432][5]~q\ & (\led_flash_cnt[3432][4]~74935\ $ (GND))) # (!\led_flash_cnt[3432][5]~q\ & (!\led_flash_cnt[3432][4]~74935\ & VCC))
-- \led_flash_cnt[3432][5]~74937\ = CARRY((\led_flash_cnt[3432][5]~q\ & !\led_flash_cnt[3432][4]~74935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3432][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3432][4]~74935\,
	combout => \led_flash_cnt[3432][5]~74936_combout\,
	cout => \led_flash_cnt[3432][5]~74937\);

-- Location: FF_X62_Y53_N15
\led_flash_cnt[3432][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3432][5]~74936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3432][5]~q\);

-- Location: LCCOMB_X62_Y53_N16
\led_flash_cnt[3432][6]~74938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3432][6]~74938_combout\ = (\led_flash_cnt[3432][6]~q\ & (!\led_flash_cnt[3432][5]~74937\)) # (!\led_flash_cnt[3432][6]~q\ & ((\led_flash_cnt[3432][5]~74937\) # (GND)))
-- \led_flash_cnt[3432][6]~74939\ = CARRY((!\led_flash_cnt[3432][5]~74937\) # (!\led_flash_cnt[3432][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3432][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3432][5]~74937\,
	combout => \led_flash_cnt[3432][6]~74938_combout\,
	cout => \led_flash_cnt[3432][6]~74939\);

-- Location: FF_X62_Y53_N17
\led_flash_cnt[3432][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3432][6]~74938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3432][6]~q\);

-- Location: LCCOMB_X62_Y53_N26
\WideAnd3432~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3432~1_combout\ = (\led_flash_cnt[3432][5]~q\ & \led_flash_cnt[3432][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3432][5]~q\,
	datad => \led_flash_cnt[3432][6]~q\,
	combout => \WideAnd3432~1_combout\);

-- Location: LCCOMB_X62_Y53_N18
\led_flash_cnt[3432][7]~74940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3432][7]~74940_combout\ = \led_flash_cnt[3432][6]~74939\ $ (!\led_flash_cnt[3432][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3432][7]~q\,
	cin => \led_flash_cnt[3432][6]~74939\,
	combout => \led_flash_cnt[3432][7]~74940_combout\);

-- Location: FF_X62_Y53_N19
\led_flash_cnt[3432][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3432][7]~74940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3432][7]~q\);

-- Location: LCCOMB_X62_Y53_N22
\WideAnd3432~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3432~0_combout\ = (\led_flash_cnt[3432][4]~q\ & (\led_flash_cnt[3432][1]~q\ & (\led_flash_cnt[3432][2]~q\ & \led_flash_cnt[3432][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3432][4]~q\,
	datab => \led_flash_cnt[3432][1]~q\,
	datac => \led_flash_cnt[3432][2]~q\,
	datad => \led_flash_cnt[3432][3]~q\,
	combout => \WideAnd3432~0_combout\);

-- Location: LCCOMB_X62_Y53_N28
WideAnd3432 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3432~combout\ = (\WideAnd3432~1_combout\ & (\led_flash_cnt[3432][7]~q\ & (\WideAnd3432~0_combout\ & \led_flash_cnt[3432][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3432~1_combout\,
	datab => \led_flash_cnt[3432][7]~q\,
	datac => \WideAnd3432~0_combout\,
	datad => \led_flash_cnt[3432][0]~q\,
	combout => \WideAnd3432~combout\);

-- Location: FF_X62_Y53_N29
\led_flash_cnt_ands[3432]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3432~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3432));

-- Location: LCCOMB_X62_Y53_N4
\WideAnd4269~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4269~0_combout\ = (led_flash_cnt_ands(3433) & (led_flash_cnt_ands(3435) & (led_flash_cnt_ands(3434) & led_flash_cnt_ands(3432))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3433),
	datab => led_flash_cnt_ands(3435),
	datac => led_flash_cnt_ands(3434),
	datad => led_flash_cnt_ands(3432),
	combout => \WideAnd4269~0_combout\);

-- Location: LCCOMB_X63_Y41_N16
\led_flash_cnt[3439][0]~84079\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3439][0]~84079_combout\ = !\led_flash_cnt[3439][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3439][0]~q\,
	combout => \led_flash_cnt[3439][0]~84079_combout\);

-- Location: FF_X63_Y41_N17
\led_flash_cnt[3439][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3439][0]~84079_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3439][0]~q\);

-- Location: LCCOMB_X64_Y41_N16
\led_flash_cnt[3439][1]~75026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3439][1]~75026_combout\ = (\led_flash_cnt[3439][0]~q\ & (\led_flash_cnt[3439][1]~q\ $ (VCC))) # (!\led_flash_cnt[3439][0]~q\ & (\led_flash_cnt[3439][1]~q\ & VCC))
-- \led_flash_cnt[3439][1]~75027\ = CARRY((\led_flash_cnt[3439][0]~q\ & \led_flash_cnt[3439][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3439][0]~q\,
	datab => \led_flash_cnt[3439][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3439][1]~75026_combout\,
	cout => \led_flash_cnt[3439][1]~75027\);

-- Location: FF_X64_Y41_N17
\led_flash_cnt[3439][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3439][1]~75026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3439][1]~q\);

-- Location: LCCOMB_X64_Y41_N18
\led_flash_cnt[3439][2]~75028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3439][2]~75028_combout\ = (\led_flash_cnt[3439][2]~q\ & (!\led_flash_cnt[3439][1]~75027\)) # (!\led_flash_cnt[3439][2]~q\ & ((\led_flash_cnt[3439][1]~75027\) # (GND)))
-- \led_flash_cnt[3439][2]~75029\ = CARRY((!\led_flash_cnt[3439][1]~75027\) # (!\led_flash_cnt[3439][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3439][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3439][1]~75027\,
	combout => \led_flash_cnt[3439][2]~75028_combout\,
	cout => \led_flash_cnt[3439][2]~75029\);

-- Location: FF_X64_Y41_N19
\led_flash_cnt[3439][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3439][2]~75028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3439][2]~q\);

-- Location: LCCOMB_X64_Y41_N20
\led_flash_cnt[3439][3]~75030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3439][3]~75030_combout\ = (\led_flash_cnt[3439][3]~q\ & (\led_flash_cnt[3439][2]~75029\ $ (GND))) # (!\led_flash_cnt[3439][3]~q\ & (!\led_flash_cnt[3439][2]~75029\ & VCC))
-- \led_flash_cnt[3439][3]~75031\ = CARRY((\led_flash_cnt[3439][3]~q\ & !\led_flash_cnt[3439][2]~75029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3439][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3439][2]~75029\,
	combout => \led_flash_cnt[3439][3]~75030_combout\,
	cout => \led_flash_cnt[3439][3]~75031\);

-- Location: FF_X64_Y41_N21
\led_flash_cnt[3439][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3439][3]~75030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3439][3]~q\);

-- Location: LCCOMB_X64_Y41_N22
\led_flash_cnt[3439][4]~75032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3439][4]~75032_combout\ = (\led_flash_cnt[3439][4]~q\ & (!\led_flash_cnt[3439][3]~75031\)) # (!\led_flash_cnt[3439][4]~q\ & ((\led_flash_cnt[3439][3]~75031\) # (GND)))
-- \led_flash_cnt[3439][4]~75033\ = CARRY((!\led_flash_cnt[3439][3]~75031\) # (!\led_flash_cnt[3439][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3439][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3439][3]~75031\,
	combout => \led_flash_cnt[3439][4]~75032_combout\,
	cout => \led_flash_cnt[3439][4]~75033\);

-- Location: FF_X64_Y41_N23
\led_flash_cnt[3439][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3439][4]~75032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3439][4]~q\);

-- Location: LCCOMB_X64_Y41_N30
\WideAnd3439~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3439~0_combout\ = (\led_flash_cnt[3439][3]~q\ & (\led_flash_cnt[3439][2]~q\ & (\led_flash_cnt[3439][4]~q\ & \led_flash_cnt[3439][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3439][3]~q\,
	datab => \led_flash_cnt[3439][2]~q\,
	datac => \led_flash_cnt[3439][4]~q\,
	datad => \led_flash_cnt[3439][1]~q\,
	combout => \WideAnd3439~0_combout\);

-- Location: LCCOMB_X64_Y41_N24
\led_flash_cnt[3439][5]~75034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3439][5]~75034_combout\ = (\led_flash_cnt[3439][5]~q\ & (\led_flash_cnt[3439][4]~75033\ $ (GND))) # (!\led_flash_cnt[3439][5]~q\ & (!\led_flash_cnt[3439][4]~75033\ & VCC))
-- \led_flash_cnt[3439][5]~75035\ = CARRY((\led_flash_cnt[3439][5]~q\ & !\led_flash_cnt[3439][4]~75033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3439][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3439][4]~75033\,
	combout => \led_flash_cnt[3439][5]~75034_combout\,
	cout => \led_flash_cnt[3439][5]~75035\);

-- Location: FF_X64_Y41_N25
\led_flash_cnt[3439][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3439][5]~75034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3439][5]~q\);

-- Location: LCCOMB_X64_Y41_N26
\led_flash_cnt[3439][6]~75036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3439][6]~75036_combout\ = (\led_flash_cnt[3439][6]~q\ & (!\led_flash_cnt[3439][5]~75035\)) # (!\led_flash_cnt[3439][6]~q\ & ((\led_flash_cnt[3439][5]~75035\) # (GND)))
-- \led_flash_cnt[3439][6]~75037\ = CARRY((!\led_flash_cnt[3439][5]~75035\) # (!\led_flash_cnt[3439][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3439][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3439][5]~75035\,
	combout => \led_flash_cnt[3439][6]~75036_combout\,
	cout => \led_flash_cnt[3439][6]~75037\);

-- Location: FF_X64_Y41_N27
\led_flash_cnt[3439][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3439][6]~75036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3439][6]~q\);

-- Location: LCCOMB_X63_Y41_N22
\WideAnd3439~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3439~1_combout\ = (\led_flash_cnt[3439][5]~q\ & \led_flash_cnt[3439][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3439][5]~q\,
	datad => \led_flash_cnt[3439][6]~q\,
	combout => \WideAnd3439~1_combout\);

-- Location: LCCOMB_X64_Y41_N28
\led_flash_cnt[3439][7]~75038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3439][7]~75038_combout\ = \led_flash_cnt[3439][6]~75037\ $ (!\led_flash_cnt[3439][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3439][7]~q\,
	cin => \led_flash_cnt[3439][6]~75037\,
	combout => \led_flash_cnt[3439][7]~75038_combout\);

-- Location: FF_X64_Y41_N29
\led_flash_cnt[3439][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3439][7]~75038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3439][7]~q\);

-- Location: LCCOMB_X63_Y41_N18
WideAnd3439 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3439~combout\ = (\WideAnd3439~0_combout\ & (\led_flash_cnt[3439][0]~q\ & (\WideAnd3439~1_combout\ & \led_flash_cnt[3439][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3439~0_combout\,
	datab => \led_flash_cnt[3439][0]~q\,
	datac => \WideAnd3439~1_combout\,
	datad => \led_flash_cnt[3439][7]~q\,
	combout => \WideAnd3439~combout\);

-- Location: FF_X63_Y41_N19
\led_flash_cnt_ands[3439]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3439~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3439));

-- Location: LCCOMB_X63_Y41_N28
WideAnd4269 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4269~combout\ = (led_flash_cnt_ands(3438) & (\WideAnd4269~1_combout\ & (\WideAnd4269~0_combout\ & led_flash_cnt_ands(3439))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3438),
	datab => \WideAnd4269~1_combout\,
	datac => \WideAnd4269~0_combout\,
	datad => led_flash_cnt_ands(3439),
	combout => \WideAnd4269~combout\);

-- Location: FF_X63_Y41_N29
\led_flash_cnt_ands_1[429]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4269~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(429));

-- Location: LCCOMB_X64_Y40_N26
\WideAnd4373~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4373~1_combout\ = (led_flash_cnt_ands_1(428) & led_flash_cnt_ands_1(429))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(428),
	datad => led_flash_cnt_ands_1(429),
	combout => \WideAnd4373~1_combout\);

-- Location: LCCOMB_X60_Y39_N4
\led_flash_cnt[3454][0]~84094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3454][0]~84094_combout\ = !\led_flash_cnt[3454][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3454][0]~q\,
	combout => \led_flash_cnt[3454][0]~84094_combout\);

-- Location: FF_X60_Y39_N5
\led_flash_cnt[3454][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3454][0]~84094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3454][0]~q\);

-- Location: LCCOMB_X60_Y39_N10
\led_flash_cnt[3454][1]~75236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3454][1]~75236_combout\ = (\led_flash_cnt[3454][1]~q\ & (\led_flash_cnt[3454][0]~q\ $ (VCC))) # (!\led_flash_cnt[3454][1]~q\ & (\led_flash_cnt[3454][0]~q\ & VCC))
-- \led_flash_cnt[3454][1]~75237\ = CARRY((\led_flash_cnt[3454][1]~q\ & \led_flash_cnt[3454][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3454][1]~q\,
	datab => \led_flash_cnt[3454][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3454][1]~75236_combout\,
	cout => \led_flash_cnt[3454][1]~75237\);

-- Location: FF_X60_Y39_N11
\led_flash_cnt[3454][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3454][1]~75236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3454][1]~q\);

-- Location: LCCOMB_X60_Y39_N12
\led_flash_cnt[3454][2]~75238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3454][2]~75238_combout\ = (\led_flash_cnt[3454][2]~q\ & (!\led_flash_cnt[3454][1]~75237\)) # (!\led_flash_cnt[3454][2]~q\ & ((\led_flash_cnt[3454][1]~75237\) # (GND)))
-- \led_flash_cnt[3454][2]~75239\ = CARRY((!\led_flash_cnt[3454][1]~75237\) # (!\led_flash_cnt[3454][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3454][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3454][1]~75237\,
	combout => \led_flash_cnt[3454][2]~75238_combout\,
	cout => \led_flash_cnt[3454][2]~75239\);

-- Location: FF_X60_Y39_N13
\led_flash_cnt[3454][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3454][2]~75238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3454][2]~q\);

-- Location: LCCOMB_X60_Y39_N14
\led_flash_cnt[3454][3]~75240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3454][3]~75240_combout\ = (\led_flash_cnt[3454][3]~q\ & (\led_flash_cnt[3454][2]~75239\ $ (GND))) # (!\led_flash_cnt[3454][3]~q\ & (!\led_flash_cnt[3454][2]~75239\ & VCC))
-- \led_flash_cnt[3454][3]~75241\ = CARRY((\led_flash_cnt[3454][3]~q\ & !\led_flash_cnt[3454][2]~75239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3454][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3454][2]~75239\,
	combout => \led_flash_cnt[3454][3]~75240_combout\,
	cout => \led_flash_cnt[3454][3]~75241\);

-- Location: FF_X60_Y39_N15
\led_flash_cnt[3454][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3454][3]~75240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3454][3]~q\);

-- Location: LCCOMB_X60_Y39_N16
\led_flash_cnt[3454][4]~75242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3454][4]~75242_combout\ = (\led_flash_cnt[3454][4]~q\ & (!\led_flash_cnt[3454][3]~75241\)) # (!\led_flash_cnt[3454][4]~q\ & ((\led_flash_cnt[3454][3]~75241\) # (GND)))
-- \led_flash_cnt[3454][4]~75243\ = CARRY((!\led_flash_cnt[3454][3]~75241\) # (!\led_flash_cnt[3454][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3454][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3454][3]~75241\,
	combout => \led_flash_cnt[3454][4]~75242_combout\,
	cout => \led_flash_cnt[3454][4]~75243\);

-- Location: FF_X60_Y39_N17
\led_flash_cnt[3454][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3454][4]~75242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3454][4]~q\);

-- Location: LCCOMB_X60_Y39_N18
\led_flash_cnt[3454][5]~75244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3454][5]~75244_combout\ = (\led_flash_cnt[3454][5]~q\ & (\led_flash_cnt[3454][4]~75243\ $ (GND))) # (!\led_flash_cnt[3454][5]~q\ & (!\led_flash_cnt[3454][4]~75243\ & VCC))
-- \led_flash_cnt[3454][5]~75245\ = CARRY((\led_flash_cnt[3454][5]~q\ & !\led_flash_cnt[3454][4]~75243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3454][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3454][4]~75243\,
	combout => \led_flash_cnt[3454][5]~75244_combout\,
	cout => \led_flash_cnt[3454][5]~75245\);

-- Location: FF_X60_Y39_N19
\led_flash_cnt[3454][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3454][5]~75244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3454][5]~q\);

-- Location: LCCOMB_X60_Y39_N20
\led_flash_cnt[3454][6]~75246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3454][6]~75246_combout\ = (\led_flash_cnt[3454][6]~q\ & (!\led_flash_cnt[3454][5]~75245\)) # (!\led_flash_cnt[3454][6]~q\ & ((\led_flash_cnt[3454][5]~75245\) # (GND)))
-- \led_flash_cnt[3454][6]~75247\ = CARRY((!\led_flash_cnt[3454][5]~75245\) # (!\led_flash_cnt[3454][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3454][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3454][5]~75245\,
	combout => \led_flash_cnt[3454][6]~75246_combout\,
	cout => \led_flash_cnt[3454][6]~75247\);

-- Location: FF_X60_Y39_N21
\led_flash_cnt[3454][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3454][6]~75246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3454][6]~q\);

-- Location: LCCOMB_X60_Y39_N22
\led_flash_cnt[3454][7]~75248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3454][7]~75248_combout\ = \led_flash_cnt[3454][7]~q\ $ (!\led_flash_cnt[3454][6]~75247\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3454][7]~q\,
	cin => \led_flash_cnt[3454][6]~75247\,
	combout => \led_flash_cnt[3454][7]~75248_combout\);

-- Location: FF_X60_Y39_N23
\led_flash_cnt[3454][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3454][7]~75248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3454][7]~q\);

-- Location: LCCOMB_X60_Y39_N8
\WideAnd3454~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3454~0_combout\ = (\led_flash_cnt[3454][1]~q\ & (\led_flash_cnt[3454][4]~q\ & (\led_flash_cnt[3454][3]~q\ & \led_flash_cnt[3454][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3454][1]~q\,
	datab => \led_flash_cnt[3454][4]~q\,
	datac => \led_flash_cnt[3454][3]~q\,
	datad => \led_flash_cnt[3454][2]~q\,
	combout => \WideAnd3454~0_combout\);

-- Location: LCCOMB_X60_Y39_N2
\WideAnd3454~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3454~1_combout\ = (\led_flash_cnt[3454][6]~q\ & \led_flash_cnt[3454][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3454][6]~q\,
	datad => \led_flash_cnt[3454][5]~q\,
	combout => \WideAnd3454~1_combout\);

-- Location: LCCOMB_X60_Y39_N30
WideAnd3454 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3454~combout\ = (\led_flash_cnt[3454][7]~q\ & (\led_flash_cnt[3454][0]~q\ & (\WideAnd3454~0_combout\ & \WideAnd3454~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3454][7]~q\,
	datab => \led_flash_cnt[3454][0]~q\,
	datac => \WideAnd3454~0_combout\,
	datad => \WideAnd3454~1_combout\,
	combout => \WideAnd3454~combout\);

-- Location: FF_X60_Y39_N31
\led_flash_cnt_ands[3454]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3454~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3454));

-- Location: LCCOMB_X61_Y40_N2
\led_flash_cnt[3453][0]~84093\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3453][0]~84093_combout\ = !\led_flash_cnt[3453][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3453][0]~q\,
	combout => \led_flash_cnt[3453][0]~84093_combout\);

-- Location: FF_X61_Y40_N3
\led_flash_cnt[3453][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3453][0]~84093_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3453][0]~q\);

-- Location: LCCOMB_X60_Y40_N2
\led_flash_cnt[3453][1]~75222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3453][1]~75222_combout\ = (\led_flash_cnt[3453][0]~q\ & (\led_flash_cnt[3453][1]~q\ $ (VCC))) # (!\led_flash_cnt[3453][0]~q\ & (\led_flash_cnt[3453][1]~q\ & VCC))
-- \led_flash_cnt[3453][1]~75223\ = CARRY((\led_flash_cnt[3453][0]~q\ & \led_flash_cnt[3453][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3453][0]~q\,
	datab => \led_flash_cnt[3453][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3453][1]~75222_combout\,
	cout => \led_flash_cnt[3453][1]~75223\);

-- Location: FF_X60_Y40_N3
\led_flash_cnt[3453][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3453][1]~75222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3453][1]~q\);

-- Location: LCCOMB_X60_Y40_N4
\led_flash_cnt[3453][2]~75224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3453][2]~75224_combout\ = (\led_flash_cnt[3453][2]~q\ & (!\led_flash_cnt[3453][1]~75223\)) # (!\led_flash_cnt[3453][2]~q\ & ((\led_flash_cnt[3453][1]~75223\) # (GND)))
-- \led_flash_cnt[3453][2]~75225\ = CARRY((!\led_flash_cnt[3453][1]~75223\) # (!\led_flash_cnt[3453][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3453][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3453][1]~75223\,
	combout => \led_flash_cnt[3453][2]~75224_combout\,
	cout => \led_flash_cnt[3453][2]~75225\);

-- Location: FF_X60_Y40_N5
\led_flash_cnt[3453][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3453][2]~75224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3453][2]~q\);

-- Location: LCCOMB_X60_Y40_N6
\led_flash_cnt[3453][3]~75226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3453][3]~75226_combout\ = (\led_flash_cnt[3453][3]~q\ & (\led_flash_cnt[3453][2]~75225\ $ (GND))) # (!\led_flash_cnt[3453][3]~q\ & (!\led_flash_cnt[3453][2]~75225\ & VCC))
-- \led_flash_cnt[3453][3]~75227\ = CARRY((\led_flash_cnt[3453][3]~q\ & !\led_flash_cnt[3453][2]~75225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3453][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3453][2]~75225\,
	combout => \led_flash_cnt[3453][3]~75226_combout\,
	cout => \led_flash_cnt[3453][3]~75227\);

-- Location: FF_X60_Y40_N7
\led_flash_cnt[3453][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3453][3]~75226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3453][3]~q\);

-- Location: LCCOMB_X60_Y40_N8
\led_flash_cnt[3453][4]~75228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3453][4]~75228_combout\ = (\led_flash_cnt[3453][4]~q\ & (!\led_flash_cnt[3453][3]~75227\)) # (!\led_flash_cnt[3453][4]~q\ & ((\led_flash_cnt[3453][3]~75227\) # (GND)))
-- \led_flash_cnt[3453][4]~75229\ = CARRY((!\led_flash_cnt[3453][3]~75227\) # (!\led_flash_cnt[3453][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3453][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3453][3]~75227\,
	combout => \led_flash_cnt[3453][4]~75228_combout\,
	cout => \led_flash_cnt[3453][4]~75229\);

-- Location: FF_X60_Y40_N9
\led_flash_cnt[3453][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3453][4]~75228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3453][4]~q\);

-- Location: LCCOMB_X60_Y40_N10
\led_flash_cnt[3453][5]~75230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3453][5]~75230_combout\ = (\led_flash_cnt[3453][5]~q\ & (\led_flash_cnt[3453][4]~75229\ $ (GND))) # (!\led_flash_cnt[3453][5]~q\ & (!\led_flash_cnt[3453][4]~75229\ & VCC))
-- \led_flash_cnt[3453][5]~75231\ = CARRY((\led_flash_cnt[3453][5]~q\ & !\led_flash_cnt[3453][4]~75229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3453][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3453][4]~75229\,
	combout => \led_flash_cnt[3453][5]~75230_combout\,
	cout => \led_flash_cnt[3453][5]~75231\);

-- Location: FF_X60_Y40_N11
\led_flash_cnt[3453][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3453][5]~75230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3453][5]~q\);

-- Location: LCCOMB_X60_Y40_N12
\led_flash_cnt[3453][6]~75232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3453][6]~75232_combout\ = (\led_flash_cnt[3453][6]~q\ & (!\led_flash_cnt[3453][5]~75231\)) # (!\led_flash_cnt[3453][6]~q\ & ((\led_flash_cnt[3453][5]~75231\) # (GND)))
-- \led_flash_cnt[3453][6]~75233\ = CARRY((!\led_flash_cnt[3453][5]~75231\) # (!\led_flash_cnt[3453][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3453][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3453][5]~75231\,
	combout => \led_flash_cnt[3453][6]~75232_combout\,
	cout => \led_flash_cnt[3453][6]~75233\);

-- Location: FF_X60_Y40_N13
\led_flash_cnt[3453][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3453][6]~75232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3453][6]~q\);

-- Location: LCCOMB_X60_Y40_N14
\led_flash_cnt[3453][7]~75234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3453][7]~75234_combout\ = \led_flash_cnt[3453][7]~q\ $ (!\led_flash_cnt[3453][6]~75233\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3453][7]~q\,
	cin => \led_flash_cnt[3453][6]~75233\,
	combout => \led_flash_cnt[3453][7]~75234_combout\);

-- Location: FF_X60_Y40_N15
\led_flash_cnt[3453][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3453][7]~75234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3453][7]~q\);

-- Location: LCCOMB_X60_Y40_N30
\WideAnd3453~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3453~0_combout\ = (\led_flash_cnt[3453][3]~q\ & (\led_flash_cnt[3453][4]~q\ & (\led_flash_cnt[3453][2]~q\ & \led_flash_cnt[3453][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3453][3]~q\,
	datab => \led_flash_cnt[3453][4]~q\,
	datac => \led_flash_cnt[3453][2]~q\,
	datad => \led_flash_cnt[3453][1]~q\,
	combout => \WideAnd3453~0_combout\);

-- Location: LCCOMB_X61_Y40_N8
\WideAnd3453~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3453~1_combout\ = (\led_flash_cnt[3453][6]~q\ & \led_flash_cnt[3453][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3453][6]~q\,
	datad => \led_flash_cnt[3453][5]~q\,
	combout => \WideAnd3453~1_combout\);

-- Location: LCCOMB_X61_Y40_N30
WideAnd3453 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3453~combout\ = (\led_flash_cnt[3453][7]~q\ & (\WideAnd3453~0_combout\ & (\WideAnd3453~1_combout\ & \led_flash_cnt[3453][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3453][7]~q\,
	datab => \WideAnd3453~0_combout\,
	datac => \WideAnd3453~1_combout\,
	datad => \led_flash_cnt[3453][0]~q\,
	combout => \WideAnd3453~combout\);

-- Location: FF_X61_Y40_N31
\led_flash_cnt_ands[3453]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3453~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3453));

-- Location: LCCOMB_X61_Y40_N6
\led_flash_cnt[3452][0]~84092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3452][0]~84092_combout\ = !\led_flash_cnt[3452][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3452][0]~q\,
	combout => \led_flash_cnt[3452][0]~84092_combout\);

-- Location: FF_X61_Y40_N7
\led_flash_cnt[3452][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3452][0]~84092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3452][0]~q\);

-- Location: LCCOMB_X61_Y40_N14
\led_flash_cnt[3452][1]~75208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3452][1]~75208_combout\ = (\led_flash_cnt[3452][0]~q\ & (\led_flash_cnt[3452][1]~q\ $ (VCC))) # (!\led_flash_cnt[3452][0]~q\ & (\led_flash_cnt[3452][1]~q\ & VCC))
-- \led_flash_cnt[3452][1]~75209\ = CARRY((\led_flash_cnt[3452][0]~q\ & \led_flash_cnt[3452][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3452][0]~q\,
	datab => \led_flash_cnt[3452][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3452][1]~75208_combout\,
	cout => \led_flash_cnt[3452][1]~75209\);

-- Location: FF_X61_Y40_N15
\led_flash_cnt[3452][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3452][1]~75208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3452][1]~q\);

-- Location: LCCOMB_X61_Y40_N16
\led_flash_cnt[3452][2]~75210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3452][2]~75210_combout\ = (\led_flash_cnt[3452][2]~q\ & (!\led_flash_cnt[3452][1]~75209\)) # (!\led_flash_cnt[3452][2]~q\ & ((\led_flash_cnt[3452][1]~75209\) # (GND)))
-- \led_flash_cnt[3452][2]~75211\ = CARRY((!\led_flash_cnt[3452][1]~75209\) # (!\led_flash_cnt[3452][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3452][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3452][1]~75209\,
	combout => \led_flash_cnt[3452][2]~75210_combout\,
	cout => \led_flash_cnt[3452][2]~75211\);

-- Location: FF_X61_Y40_N17
\led_flash_cnt[3452][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3452][2]~75210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3452][2]~q\);

-- Location: LCCOMB_X61_Y40_N18
\led_flash_cnt[3452][3]~75212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3452][3]~75212_combout\ = (\led_flash_cnt[3452][3]~q\ & (\led_flash_cnt[3452][2]~75211\ $ (GND))) # (!\led_flash_cnt[3452][3]~q\ & (!\led_flash_cnt[3452][2]~75211\ & VCC))
-- \led_flash_cnt[3452][3]~75213\ = CARRY((\led_flash_cnt[3452][3]~q\ & !\led_flash_cnt[3452][2]~75211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3452][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3452][2]~75211\,
	combout => \led_flash_cnt[3452][3]~75212_combout\,
	cout => \led_flash_cnt[3452][3]~75213\);

-- Location: FF_X61_Y40_N19
\led_flash_cnt[3452][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3452][3]~75212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3452][3]~q\);

-- Location: LCCOMB_X61_Y40_N20
\led_flash_cnt[3452][4]~75214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3452][4]~75214_combout\ = (\led_flash_cnt[3452][4]~q\ & (!\led_flash_cnt[3452][3]~75213\)) # (!\led_flash_cnt[3452][4]~q\ & ((\led_flash_cnt[3452][3]~75213\) # (GND)))
-- \led_flash_cnt[3452][4]~75215\ = CARRY((!\led_flash_cnt[3452][3]~75213\) # (!\led_flash_cnt[3452][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3452][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3452][3]~75213\,
	combout => \led_flash_cnt[3452][4]~75214_combout\,
	cout => \led_flash_cnt[3452][4]~75215\);

-- Location: FF_X61_Y40_N21
\led_flash_cnt[3452][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3452][4]~75214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3452][4]~q\);

-- Location: LCCOMB_X61_Y40_N22
\led_flash_cnt[3452][5]~75216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3452][5]~75216_combout\ = (\led_flash_cnt[3452][5]~q\ & (\led_flash_cnt[3452][4]~75215\ $ (GND))) # (!\led_flash_cnt[3452][5]~q\ & (!\led_flash_cnt[3452][4]~75215\ & VCC))
-- \led_flash_cnt[3452][5]~75217\ = CARRY((\led_flash_cnt[3452][5]~q\ & !\led_flash_cnt[3452][4]~75215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3452][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3452][4]~75215\,
	combout => \led_flash_cnt[3452][5]~75216_combout\,
	cout => \led_flash_cnt[3452][5]~75217\);

-- Location: FF_X61_Y40_N23
\led_flash_cnt[3452][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3452][5]~75216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3452][5]~q\);

-- Location: LCCOMB_X61_Y40_N24
\led_flash_cnt[3452][6]~75218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3452][6]~75218_combout\ = (\led_flash_cnt[3452][6]~q\ & (!\led_flash_cnt[3452][5]~75217\)) # (!\led_flash_cnt[3452][6]~q\ & ((\led_flash_cnt[3452][5]~75217\) # (GND)))
-- \led_flash_cnt[3452][6]~75219\ = CARRY((!\led_flash_cnt[3452][5]~75217\) # (!\led_flash_cnt[3452][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3452][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3452][5]~75217\,
	combout => \led_flash_cnt[3452][6]~75218_combout\,
	cout => \led_flash_cnt[3452][6]~75219\);

-- Location: FF_X61_Y40_N25
\led_flash_cnt[3452][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3452][6]~75218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3452][6]~q\);

-- Location: LCCOMB_X61_Y40_N10
\WideAnd3452~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3452~1_combout\ = (\led_flash_cnt[3452][5]~q\ & \led_flash_cnt[3452][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3452][5]~q\,
	datad => \led_flash_cnt[3452][6]~q\,
	combout => \WideAnd3452~1_combout\);

-- Location: LCCOMB_X61_Y40_N28
\WideAnd3452~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3452~0_combout\ = (\led_flash_cnt[3452][3]~q\ & (\led_flash_cnt[3452][4]~q\ & (\led_flash_cnt[3452][1]~q\ & \led_flash_cnt[3452][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3452][3]~q\,
	datab => \led_flash_cnt[3452][4]~q\,
	datac => \led_flash_cnt[3452][1]~q\,
	datad => \led_flash_cnt[3452][2]~q\,
	combout => \WideAnd3452~0_combout\);

-- Location: LCCOMB_X61_Y40_N26
\led_flash_cnt[3452][7]~75220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3452][7]~75220_combout\ = \led_flash_cnt[3452][7]~q\ $ (!\led_flash_cnt[3452][6]~75219\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3452][7]~q\,
	cin => \led_flash_cnt[3452][6]~75219\,
	combout => \led_flash_cnt[3452][7]~75220_combout\);

-- Location: FF_X61_Y40_N27
\led_flash_cnt[3452][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3452][7]~75220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3452][7]~q\);

-- Location: LCCOMB_X61_Y40_N12
WideAnd3452 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3452~combout\ = (\WideAnd3452~1_combout\ & (\WideAnd3452~0_combout\ & (\led_flash_cnt[3452][7]~q\ & \led_flash_cnt[3452][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3452~1_combout\,
	datab => \WideAnd3452~0_combout\,
	datac => \led_flash_cnt[3452][7]~q\,
	datad => \led_flash_cnt[3452][0]~q\,
	combout => \WideAnd3452~combout\);

-- Location: FF_X61_Y40_N13
\led_flash_cnt_ands[3452]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3452~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3452));

-- Location: LCCOMB_X61_Y40_N0
\WideAnd4271~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4271~1_combout\ = (led_flash_cnt_ands(3453) & led_flash_cnt_ands(3452))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3453),
	datad => led_flash_cnt_ands(3452),
	combout => \WideAnd4271~1_combout\);

-- Location: LCCOMB_X60_Y39_N26
\led_flash_cnt[3455][0]~84095\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3455][0]~84095_combout\ = !\led_flash_cnt[3455][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3455][0]~q\,
	combout => \led_flash_cnt[3455][0]~84095_combout\);

-- Location: FF_X60_Y39_N27
\led_flash_cnt[3455][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3455][0]~84095_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3455][0]~q\);

-- Location: LCCOMB_X61_Y39_N0
\led_flash_cnt[3455][1]~75250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3455][1]~75250_combout\ = (\led_flash_cnt[3455][0]~q\ & (\led_flash_cnt[3455][1]~q\ $ (VCC))) # (!\led_flash_cnt[3455][0]~q\ & (\led_flash_cnt[3455][1]~q\ & VCC))
-- \led_flash_cnt[3455][1]~75251\ = CARRY((\led_flash_cnt[3455][0]~q\ & \led_flash_cnt[3455][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3455][0]~q\,
	datab => \led_flash_cnt[3455][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3455][1]~75250_combout\,
	cout => \led_flash_cnt[3455][1]~75251\);

-- Location: FF_X61_Y39_N1
\led_flash_cnt[3455][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3455][1]~75250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3455][1]~q\);

-- Location: LCCOMB_X61_Y39_N2
\led_flash_cnt[3455][2]~75252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3455][2]~75252_combout\ = (\led_flash_cnt[3455][2]~q\ & (!\led_flash_cnt[3455][1]~75251\)) # (!\led_flash_cnt[3455][2]~q\ & ((\led_flash_cnt[3455][1]~75251\) # (GND)))
-- \led_flash_cnt[3455][2]~75253\ = CARRY((!\led_flash_cnt[3455][1]~75251\) # (!\led_flash_cnt[3455][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3455][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3455][1]~75251\,
	combout => \led_flash_cnt[3455][2]~75252_combout\,
	cout => \led_flash_cnt[3455][2]~75253\);

-- Location: FF_X61_Y39_N3
\led_flash_cnt[3455][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3455][2]~75252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3455][2]~q\);

-- Location: LCCOMB_X61_Y39_N4
\led_flash_cnt[3455][3]~75254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3455][3]~75254_combout\ = (\led_flash_cnt[3455][3]~q\ & (\led_flash_cnt[3455][2]~75253\ $ (GND))) # (!\led_flash_cnt[3455][3]~q\ & (!\led_flash_cnt[3455][2]~75253\ & VCC))
-- \led_flash_cnt[3455][3]~75255\ = CARRY((\led_flash_cnt[3455][3]~q\ & !\led_flash_cnt[3455][2]~75253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3455][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3455][2]~75253\,
	combout => \led_flash_cnt[3455][3]~75254_combout\,
	cout => \led_flash_cnt[3455][3]~75255\);

-- Location: FF_X61_Y39_N5
\led_flash_cnt[3455][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3455][3]~75254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3455][3]~q\);

-- Location: LCCOMB_X61_Y39_N6
\led_flash_cnt[3455][4]~75256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3455][4]~75256_combout\ = (\led_flash_cnt[3455][4]~q\ & (!\led_flash_cnt[3455][3]~75255\)) # (!\led_flash_cnt[3455][4]~q\ & ((\led_flash_cnt[3455][3]~75255\) # (GND)))
-- \led_flash_cnt[3455][4]~75257\ = CARRY((!\led_flash_cnt[3455][3]~75255\) # (!\led_flash_cnt[3455][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3455][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3455][3]~75255\,
	combout => \led_flash_cnt[3455][4]~75256_combout\,
	cout => \led_flash_cnt[3455][4]~75257\);

-- Location: FF_X61_Y39_N7
\led_flash_cnt[3455][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3455][4]~75256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3455][4]~q\);

-- Location: LCCOMB_X61_Y39_N30
\WideAnd3455~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3455~0_combout\ = (\led_flash_cnt[3455][4]~q\ & (\led_flash_cnt[3455][1]~q\ & (\led_flash_cnt[3455][3]~q\ & \led_flash_cnt[3455][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3455][4]~q\,
	datab => \led_flash_cnt[3455][1]~q\,
	datac => \led_flash_cnt[3455][3]~q\,
	datad => \led_flash_cnt[3455][2]~q\,
	combout => \WideAnd3455~0_combout\);

-- Location: LCCOMB_X61_Y39_N8
\led_flash_cnt[3455][5]~75258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3455][5]~75258_combout\ = (\led_flash_cnt[3455][5]~q\ & (\led_flash_cnt[3455][4]~75257\ $ (GND))) # (!\led_flash_cnt[3455][5]~q\ & (!\led_flash_cnt[3455][4]~75257\ & VCC))
-- \led_flash_cnt[3455][5]~75259\ = CARRY((\led_flash_cnt[3455][5]~q\ & !\led_flash_cnt[3455][4]~75257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3455][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3455][4]~75257\,
	combout => \led_flash_cnt[3455][5]~75258_combout\,
	cout => \led_flash_cnt[3455][5]~75259\);

-- Location: FF_X61_Y39_N9
\led_flash_cnt[3455][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3455][5]~75258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3455][5]~q\);

-- Location: LCCOMB_X61_Y39_N10
\led_flash_cnt[3455][6]~75260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3455][6]~75260_combout\ = (\led_flash_cnt[3455][6]~q\ & (!\led_flash_cnt[3455][5]~75259\)) # (!\led_flash_cnt[3455][6]~q\ & ((\led_flash_cnt[3455][5]~75259\) # (GND)))
-- \led_flash_cnt[3455][6]~75261\ = CARRY((!\led_flash_cnt[3455][5]~75259\) # (!\led_flash_cnt[3455][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3455][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3455][5]~75259\,
	combout => \led_flash_cnt[3455][6]~75260_combout\,
	cout => \led_flash_cnt[3455][6]~75261\);

-- Location: FF_X61_Y39_N11
\led_flash_cnt[3455][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3455][6]~75260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3455][6]~q\);

-- Location: LCCOMB_X60_Y39_N28
\WideAnd3455~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3455~1_combout\ = (\led_flash_cnt[3455][6]~q\ & \led_flash_cnt[3455][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3455][6]~q\,
	datac => \led_flash_cnt[3455][5]~q\,
	combout => \WideAnd3455~1_combout\);

-- Location: LCCOMB_X61_Y39_N12
\led_flash_cnt[3455][7]~75262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3455][7]~75262_combout\ = \led_flash_cnt[3455][6]~75261\ $ (!\led_flash_cnt[3455][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3455][7]~q\,
	cin => \led_flash_cnt[3455][6]~75261\,
	combout => \led_flash_cnt[3455][7]~75262_combout\);

-- Location: FF_X61_Y39_N13
\led_flash_cnt[3455][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3455][7]~75262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3455][7]~q\);

-- Location: LCCOMB_X60_Y39_N6
WideAnd3455 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3455~combout\ = (\WideAnd3455~0_combout\ & (\WideAnd3455~1_combout\ & (\led_flash_cnt[3455][7]~q\ & \led_flash_cnt[3455][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3455~0_combout\,
	datab => \WideAnd3455~1_combout\,
	datac => \led_flash_cnt[3455][7]~q\,
	datad => \led_flash_cnt[3455][0]~q\,
	combout => \WideAnd3455~combout\);

-- Location: FF_X60_Y39_N7
\led_flash_cnt_ands[3455]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3455~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3455));

-- Location: LCCOMB_X64_Y43_N12
\led_flash_cnt[3449][0]~84089\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3449][0]~84089_combout\ = !\led_flash_cnt[3449][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3449][0]~q\,
	combout => \led_flash_cnt[3449][0]~84089_combout\);

-- Location: FF_X64_Y43_N13
\led_flash_cnt[3449][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3449][0]~84089_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3449][0]~q\);

-- Location: LCCOMB_X64_Y43_N18
\led_flash_cnt[3449][1]~75166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3449][1]~75166_combout\ = (\led_flash_cnt[3449][0]~q\ & (\led_flash_cnt[3449][1]~q\ $ (VCC))) # (!\led_flash_cnt[3449][0]~q\ & (\led_flash_cnt[3449][1]~q\ & VCC))
-- \led_flash_cnt[3449][1]~75167\ = CARRY((\led_flash_cnt[3449][0]~q\ & \led_flash_cnt[3449][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3449][0]~q\,
	datab => \led_flash_cnt[3449][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3449][1]~75166_combout\,
	cout => \led_flash_cnt[3449][1]~75167\);

-- Location: FF_X64_Y43_N19
\led_flash_cnt[3449][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3449][1]~75166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3449][1]~q\);

-- Location: LCCOMB_X64_Y43_N20
\led_flash_cnt[3449][2]~75168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3449][2]~75168_combout\ = (\led_flash_cnt[3449][2]~q\ & (!\led_flash_cnt[3449][1]~75167\)) # (!\led_flash_cnt[3449][2]~q\ & ((\led_flash_cnt[3449][1]~75167\) # (GND)))
-- \led_flash_cnt[3449][2]~75169\ = CARRY((!\led_flash_cnt[3449][1]~75167\) # (!\led_flash_cnt[3449][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3449][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3449][1]~75167\,
	combout => \led_flash_cnt[3449][2]~75168_combout\,
	cout => \led_flash_cnt[3449][2]~75169\);

-- Location: FF_X64_Y43_N21
\led_flash_cnt[3449][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3449][2]~75168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3449][2]~q\);

-- Location: LCCOMB_X64_Y43_N22
\led_flash_cnt[3449][3]~75170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3449][3]~75170_combout\ = (\led_flash_cnt[3449][3]~q\ & (\led_flash_cnt[3449][2]~75169\ $ (GND))) # (!\led_flash_cnt[3449][3]~q\ & (!\led_flash_cnt[3449][2]~75169\ & VCC))
-- \led_flash_cnt[3449][3]~75171\ = CARRY((\led_flash_cnt[3449][3]~q\ & !\led_flash_cnt[3449][2]~75169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3449][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3449][2]~75169\,
	combout => \led_flash_cnt[3449][3]~75170_combout\,
	cout => \led_flash_cnt[3449][3]~75171\);

-- Location: FF_X64_Y43_N23
\led_flash_cnt[3449][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3449][3]~75170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3449][3]~q\);

-- Location: LCCOMB_X64_Y43_N24
\led_flash_cnt[3449][4]~75172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3449][4]~75172_combout\ = (\led_flash_cnt[3449][4]~q\ & (!\led_flash_cnt[3449][3]~75171\)) # (!\led_flash_cnt[3449][4]~q\ & ((\led_flash_cnt[3449][3]~75171\) # (GND)))
-- \led_flash_cnt[3449][4]~75173\ = CARRY((!\led_flash_cnt[3449][3]~75171\) # (!\led_flash_cnt[3449][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3449][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3449][3]~75171\,
	combout => \led_flash_cnt[3449][4]~75172_combout\,
	cout => \led_flash_cnt[3449][4]~75173\);

-- Location: FF_X64_Y43_N25
\led_flash_cnt[3449][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3449][4]~75172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3449][4]~q\);

-- Location: LCCOMB_X64_Y43_N26
\led_flash_cnt[3449][5]~75174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3449][5]~75174_combout\ = (\led_flash_cnt[3449][5]~q\ & (\led_flash_cnt[3449][4]~75173\ $ (GND))) # (!\led_flash_cnt[3449][5]~q\ & (!\led_flash_cnt[3449][4]~75173\ & VCC))
-- \led_flash_cnt[3449][5]~75175\ = CARRY((\led_flash_cnt[3449][5]~q\ & !\led_flash_cnt[3449][4]~75173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3449][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3449][4]~75173\,
	combout => \led_flash_cnt[3449][5]~75174_combout\,
	cout => \led_flash_cnt[3449][5]~75175\);

-- Location: FF_X64_Y43_N27
\led_flash_cnt[3449][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3449][5]~75174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3449][5]~q\);

-- Location: LCCOMB_X64_Y43_N28
\led_flash_cnt[3449][6]~75176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3449][6]~75176_combout\ = (\led_flash_cnt[3449][6]~q\ & (!\led_flash_cnt[3449][5]~75175\)) # (!\led_flash_cnt[3449][6]~q\ & ((\led_flash_cnt[3449][5]~75175\) # (GND)))
-- \led_flash_cnt[3449][6]~75177\ = CARRY((!\led_flash_cnt[3449][5]~75175\) # (!\led_flash_cnt[3449][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3449][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3449][5]~75175\,
	combout => \led_flash_cnt[3449][6]~75176_combout\,
	cout => \led_flash_cnt[3449][6]~75177\);

-- Location: FF_X64_Y43_N29
\led_flash_cnt[3449][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3449][6]~75176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3449][6]~q\);

-- Location: LCCOMB_X64_Y43_N30
\led_flash_cnt[3449][7]~75178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3449][7]~75178_combout\ = \led_flash_cnt[3449][7]~q\ $ (!\led_flash_cnt[3449][6]~75177\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3449][7]~q\,
	cin => \led_flash_cnt[3449][6]~75177\,
	combout => \led_flash_cnt[3449][7]~75178_combout\);

-- Location: FF_X64_Y43_N31
\led_flash_cnt[3449][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3449][7]~75178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3449][7]~q\);

-- Location: LCCOMB_X64_Y43_N16
\WideAnd3449~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3449~1_combout\ = (\led_flash_cnt[3449][5]~q\ & \led_flash_cnt[3449][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3449][5]~q\,
	datad => \led_flash_cnt[3449][6]~q\,
	combout => \WideAnd3449~1_combout\);

-- Location: LCCOMB_X64_Y43_N14
\WideAnd3449~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3449~0_combout\ = (\led_flash_cnt[3449][2]~q\ & (\led_flash_cnt[3449][4]~q\ & (\led_flash_cnt[3449][3]~q\ & \led_flash_cnt[3449][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3449][2]~q\,
	datab => \led_flash_cnt[3449][4]~q\,
	datac => \led_flash_cnt[3449][3]~q\,
	datad => \led_flash_cnt[3449][1]~q\,
	combout => \WideAnd3449~0_combout\);

-- Location: LCCOMB_X64_Y43_N10
WideAnd3449 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3449~combout\ = (\led_flash_cnt[3449][7]~q\ & (\WideAnd3449~1_combout\ & (\WideAnd3449~0_combout\ & \led_flash_cnt[3449][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3449][7]~q\,
	datab => \WideAnd3449~1_combout\,
	datac => \WideAnd3449~0_combout\,
	datad => \led_flash_cnt[3449][0]~q\,
	combout => \WideAnd3449~combout\);

-- Location: FF_X64_Y43_N11
\led_flash_cnt_ands[3449]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3449~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3449));

-- Location: LCCOMB_X64_Y46_N10
\led_flash_cnt[3450][0]~84090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3450][0]~84090_combout\ = !\led_flash_cnt[3450][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3450][0]~q\,
	combout => \led_flash_cnt[3450][0]~84090_combout\);

-- Location: FF_X64_Y46_N11
\led_flash_cnt[3450][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3450][0]~84090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3450][0]~q\);

-- Location: LCCOMB_X64_Y46_N16
\led_flash_cnt[3450][1]~75180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3450][1]~75180_combout\ = (\led_flash_cnt[3450][0]~q\ & (\led_flash_cnt[3450][1]~q\ $ (VCC))) # (!\led_flash_cnt[3450][0]~q\ & (\led_flash_cnt[3450][1]~q\ & VCC))
-- \led_flash_cnt[3450][1]~75181\ = CARRY((\led_flash_cnt[3450][0]~q\ & \led_flash_cnt[3450][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3450][0]~q\,
	datab => \led_flash_cnt[3450][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3450][1]~75180_combout\,
	cout => \led_flash_cnt[3450][1]~75181\);

-- Location: FF_X64_Y46_N17
\led_flash_cnt[3450][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3450][1]~75180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3450][1]~q\);

-- Location: LCCOMB_X64_Y46_N18
\led_flash_cnt[3450][2]~75182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3450][2]~75182_combout\ = (\led_flash_cnt[3450][2]~q\ & (!\led_flash_cnt[3450][1]~75181\)) # (!\led_flash_cnt[3450][2]~q\ & ((\led_flash_cnt[3450][1]~75181\) # (GND)))
-- \led_flash_cnt[3450][2]~75183\ = CARRY((!\led_flash_cnt[3450][1]~75181\) # (!\led_flash_cnt[3450][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3450][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3450][1]~75181\,
	combout => \led_flash_cnt[3450][2]~75182_combout\,
	cout => \led_flash_cnt[3450][2]~75183\);

-- Location: FF_X64_Y46_N19
\led_flash_cnt[3450][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3450][2]~75182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3450][2]~q\);

-- Location: LCCOMB_X64_Y46_N20
\led_flash_cnt[3450][3]~75184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3450][3]~75184_combout\ = (\led_flash_cnt[3450][3]~q\ & (\led_flash_cnt[3450][2]~75183\ $ (GND))) # (!\led_flash_cnt[3450][3]~q\ & (!\led_flash_cnt[3450][2]~75183\ & VCC))
-- \led_flash_cnt[3450][3]~75185\ = CARRY((\led_flash_cnt[3450][3]~q\ & !\led_flash_cnt[3450][2]~75183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3450][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3450][2]~75183\,
	combout => \led_flash_cnt[3450][3]~75184_combout\,
	cout => \led_flash_cnt[3450][3]~75185\);

-- Location: FF_X64_Y46_N21
\led_flash_cnt[3450][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3450][3]~75184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3450][3]~q\);

-- Location: LCCOMB_X64_Y46_N22
\led_flash_cnt[3450][4]~75186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3450][4]~75186_combout\ = (\led_flash_cnt[3450][4]~q\ & (!\led_flash_cnt[3450][3]~75185\)) # (!\led_flash_cnt[3450][4]~q\ & ((\led_flash_cnt[3450][3]~75185\) # (GND)))
-- \led_flash_cnt[3450][4]~75187\ = CARRY((!\led_flash_cnt[3450][3]~75185\) # (!\led_flash_cnt[3450][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3450][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3450][3]~75185\,
	combout => \led_flash_cnt[3450][4]~75186_combout\,
	cout => \led_flash_cnt[3450][4]~75187\);

-- Location: FF_X64_Y46_N23
\led_flash_cnt[3450][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3450][4]~75186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3450][4]~q\);

-- Location: LCCOMB_X64_Y46_N24
\led_flash_cnt[3450][5]~75188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3450][5]~75188_combout\ = (\led_flash_cnt[3450][5]~q\ & (\led_flash_cnt[3450][4]~75187\ $ (GND))) # (!\led_flash_cnt[3450][5]~q\ & (!\led_flash_cnt[3450][4]~75187\ & VCC))
-- \led_flash_cnt[3450][5]~75189\ = CARRY((\led_flash_cnt[3450][5]~q\ & !\led_flash_cnt[3450][4]~75187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3450][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3450][4]~75187\,
	combout => \led_flash_cnt[3450][5]~75188_combout\,
	cout => \led_flash_cnt[3450][5]~75189\);

-- Location: FF_X64_Y46_N25
\led_flash_cnt[3450][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3450][5]~75188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3450][5]~q\);

-- Location: LCCOMB_X64_Y46_N26
\led_flash_cnt[3450][6]~75190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3450][6]~75190_combout\ = (\led_flash_cnt[3450][6]~q\ & (!\led_flash_cnt[3450][5]~75189\)) # (!\led_flash_cnt[3450][6]~q\ & ((\led_flash_cnt[3450][5]~75189\) # (GND)))
-- \led_flash_cnt[3450][6]~75191\ = CARRY((!\led_flash_cnt[3450][5]~75189\) # (!\led_flash_cnt[3450][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3450][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3450][5]~75189\,
	combout => \led_flash_cnt[3450][6]~75190_combout\,
	cout => \led_flash_cnt[3450][6]~75191\);

-- Location: FF_X64_Y46_N27
\led_flash_cnt[3450][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3450][6]~75190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3450][6]~q\);

-- Location: LCCOMB_X64_Y46_N28
\led_flash_cnt[3450][7]~75192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3450][7]~75192_combout\ = \led_flash_cnt[3450][6]~75191\ $ (!\led_flash_cnt[3450][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3450][7]~q\,
	cin => \led_flash_cnt[3450][6]~75191\,
	combout => \led_flash_cnt[3450][7]~75192_combout\);

-- Location: FF_X64_Y46_N29
\led_flash_cnt[3450][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3450][7]~75192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3450][7]~q\);

-- Location: LCCOMB_X64_Y46_N4
\WideAnd3450~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3450~1_combout\ = (\led_flash_cnt[3450][6]~q\ & \led_flash_cnt[3450][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3450][6]~q\,
	datad => \led_flash_cnt[3450][5]~q\,
	combout => \WideAnd3450~1_combout\);

-- Location: LCCOMB_X64_Y46_N12
\WideAnd3450~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3450~0_combout\ = (\led_flash_cnt[3450][3]~q\ & (\led_flash_cnt[3450][2]~q\ & (\led_flash_cnt[3450][4]~q\ & \led_flash_cnt[3450][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3450][3]~q\,
	datab => \led_flash_cnt[3450][2]~q\,
	datac => \led_flash_cnt[3450][4]~q\,
	datad => \led_flash_cnt[3450][1]~q\,
	combout => \WideAnd3450~0_combout\);

-- Location: LCCOMB_X64_Y46_N8
WideAnd3450 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3450~combout\ = (\led_flash_cnt[3450][0]~q\ & (\led_flash_cnt[3450][7]~q\ & (\WideAnd3450~1_combout\ & \WideAnd3450~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3450][0]~q\,
	datab => \led_flash_cnt[3450][7]~q\,
	datac => \WideAnd3450~1_combout\,
	datad => \WideAnd3450~0_combout\,
	combout => \WideAnd3450~combout\);

-- Location: FF_X64_Y46_N9
\led_flash_cnt_ands[3450]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3450~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3450));

-- Location: LCCOMB_X69_Y44_N24
\led_flash_cnt[3448][0]~84088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3448][0]~84088_combout\ = !\led_flash_cnt[3448][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3448][0]~q\,
	combout => \led_flash_cnt[3448][0]~84088_combout\);

-- Location: FF_X69_Y44_N25
\led_flash_cnt[3448][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3448][0]~84088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3448][0]~q\);

-- Location: LCCOMB_X69_Y44_N6
\led_flash_cnt[3448][1]~75152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3448][1]~75152_combout\ = (\led_flash_cnt[3448][1]~q\ & (\led_flash_cnt[3448][0]~q\ $ (VCC))) # (!\led_flash_cnt[3448][1]~q\ & (\led_flash_cnt[3448][0]~q\ & VCC))
-- \led_flash_cnt[3448][1]~75153\ = CARRY((\led_flash_cnt[3448][1]~q\ & \led_flash_cnt[3448][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3448][1]~q\,
	datab => \led_flash_cnt[3448][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3448][1]~75152_combout\,
	cout => \led_flash_cnt[3448][1]~75153\);

-- Location: FF_X69_Y44_N7
\led_flash_cnt[3448][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3448][1]~75152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3448][1]~q\);

-- Location: LCCOMB_X69_Y44_N8
\led_flash_cnt[3448][2]~75154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3448][2]~75154_combout\ = (\led_flash_cnt[3448][2]~q\ & (!\led_flash_cnt[3448][1]~75153\)) # (!\led_flash_cnt[3448][2]~q\ & ((\led_flash_cnt[3448][1]~75153\) # (GND)))
-- \led_flash_cnt[3448][2]~75155\ = CARRY((!\led_flash_cnt[3448][1]~75153\) # (!\led_flash_cnt[3448][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3448][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3448][1]~75153\,
	combout => \led_flash_cnt[3448][2]~75154_combout\,
	cout => \led_flash_cnt[3448][2]~75155\);

-- Location: FF_X69_Y44_N9
\led_flash_cnt[3448][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3448][2]~75154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3448][2]~q\);

-- Location: LCCOMB_X69_Y44_N10
\led_flash_cnt[3448][3]~75156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3448][3]~75156_combout\ = (\led_flash_cnt[3448][3]~q\ & (\led_flash_cnt[3448][2]~75155\ $ (GND))) # (!\led_flash_cnt[3448][3]~q\ & (!\led_flash_cnt[3448][2]~75155\ & VCC))
-- \led_flash_cnt[3448][3]~75157\ = CARRY((\led_flash_cnt[3448][3]~q\ & !\led_flash_cnt[3448][2]~75155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3448][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3448][2]~75155\,
	combout => \led_flash_cnt[3448][3]~75156_combout\,
	cout => \led_flash_cnt[3448][3]~75157\);

-- Location: FF_X69_Y44_N11
\led_flash_cnt[3448][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3448][3]~75156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3448][3]~q\);

-- Location: LCCOMB_X69_Y44_N12
\led_flash_cnt[3448][4]~75158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3448][4]~75158_combout\ = (\led_flash_cnt[3448][4]~q\ & (!\led_flash_cnt[3448][3]~75157\)) # (!\led_flash_cnt[3448][4]~q\ & ((\led_flash_cnt[3448][3]~75157\) # (GND)))
-- \led_flash_cnt[3448][4]~75159\ = CARRY((!\led_flash_cnt[3448][3]~75157\) # (!\led_flash_cnt[3448][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3448][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3448][3]~75157\,
	combout => \led_flash_cnt[3448][4]~75158_combout\,
	cout => \led_flash_cnt[3448][4]~75159\);

-- Location: FF_X69_Y44_N13
\led_flash_cnt[3448][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3448][4]~75158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3448][4]~q\);

-- Location: LCCOMB_X69_Y44_N26
\WideAnd3448~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3448~0_combout\ = (\led_flash_cnt[3448][4]~q\ & (\led_flash_cnt[3448][1]~q\ & (\led_flash_cnt[3448][2]~q\ & \led_flash_cnt[3448][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3448][4]~q\,
	datab => \led_flash_cnt[3448][1]~q\,
	datac => \led_flash_cnt[3448][2]~q\,
	datad => \led_flash_cnt[3448][3]~q\,
	combout => \WideAnd3448~0_combout\);

-- Location: LCCOMB_X69_Y44_N14
\led_flash_cnt[3448][5]~75160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3448][5]~75160_combout\ = (\led_flash_cnt[3448][5]~q\ & (\led_flash_cnt[3448][4]~75159\ $ (GND))) # (!\led_flash_cnt[3448][5]~q\ & (!\led_flash_cnt[3448][4]~75159\ & VCC))
-- \led_flash_cnt[3448][5]~75161\ = CARRY((\led_flash_cnt[3448][5]~q\ & !\led_flash_cnt[3448][4]~75159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3448][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3448][4]~75159\,
	combout => \led_flash_cnt[3448][5]~75160_combout\,
	cout => \led_flash_cnt[3448][5]~75161\);

-- Location: FF_X69_Y44_N15
\led_flash_cnt[3448][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3448][5]~75160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3448][5]~q\);

-- Location: LCCOMB_X69_Y44_N16
\led_flash_cnt[3448][6]~75162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3448][6]~75162_combout\ = (\led_flash_cnt[3448][6]~q\ & (!\led_flash_cnt[3448][5]~75161\)) # (!\led_flash_cnt[3448][6]~q\ & ((\led_flash_cnt[3448][5]~75161\) # (GND)))
-- \led_flash_cnt[3448][6]~75163\ = CARRY((!\led_flash_cnt[3448][5]~75161\) # (!\led_flash_cnt[3448][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3448][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3448][5]~75161\,
	combout => \led_flash_cnt[3448][6]~75162_combout\,
	cout => \led_flash_cnt[3448][6]~75163\);

-- Location: FF_X69_Y44_N17
\led_flash_cnt[3448][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3448][6]~75162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3448][6]~q\);

-- Location: LCCOMB_X69_Y44_N18
\led_flash_cnt[3448][7]~75164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3448][7]~75164_combout\ = \led_flash_cnt[3448][6]~75163\ $ (!\led_flash_cnt[3448][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3448][7]~q\,
	cin => \led_flash_cnt[3448][6]~75163\,
	combout => \led_flash_cnt[3448][7]~75164_combout\);

-- Location: FF_X69_Y44_N19
\led_flash_cnt[3448][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3448][7]~75164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3448][7]~q\);

-- Location: LCCOMB_X69_Y44_N22
\WideAnd3448~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3448~1_combout\ = (\led_flash_cnt[3448][5]~q\ & \led_flash_cnt[3448][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3448][5]~q\,
	datad => \led_flash_cnt[3448][6]~q\,
	combout => \WideAnd3448~1_combout\);

-- Location: LCCOMB_X69_Y44_N30
WideAnd3448 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3448~combout\ = (\WideAnd3448~0_combout\ & (\led_flash_cnt[3448][7]~q\ & (\WideAnd3448~1_combout\ & \led_flash_cnt[3448][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3448~0_combout\,
	datab => \led_flash_cnt[3448][7]~q\,
	datac => \WideAnd3448~1_combout\,
	datad => \led_flash_cnt[3448][0]~q\,
	combout => \WideAnd3448~combout\);

-- Location: FF_X69_Y44_N31
\led_flash_cnt_ands[3448]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3448~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3448));

-- Location: LCCOMB_X64_Y43_N6
\led_flash_cnt[3451][0]~84091\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3451][0]~84091_combout\ = !\led_flash_cnt[3451][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3451][0]~q\,
	combout => \led_flash_cnt[3451][0]~84091_combout\);

-- Location: FF_X64_Y43_N7
\led_flash_cnt[3451][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3451][0]~84091_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3451][0]~q\);

-- Location: LCCOMB_X65_Y43_N18
\led_flash_cnt[3451][1]~75194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3451][1]~75194_combout\ = (\led_flash_cnt[3451][0]~q\ & (\led_flash_cnt[3451][1]~q\ $ (VCC))) # (!\led_flash_cnt[3451][0]~q\ & (\led_flash_cnt[3451][1]~q\ & VCC))
-- \led_flash_cnt[3451][1]~75195\ = CARRY((\led_flash_cnt[3451][0]~q\ & \led_flash_cnt[3451][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3451][0]~q\,
	datab => \led_flash_cnt[3451][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3451][1]~75194_combout\,
	cout => \led_flash_cnt[3451][1]~75195\);

-- Location: FF_X65_Y43_N19
\led_flash_cnt[3451][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3451][1]~75194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3451][1]~q\);

-- Location: LCCOMB_X65_Y43_N20
\led_flash_cnt[3451][2]~75196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3451][2]~75196_combout\ = (\led_flash_cnt[3451][2]~q\ & (!\led_flash_cnt[3451][1]~75195\)) # (!\led_flash_cnt[3451][2]~q\ & ((\led_flash_cnt[3451][1]~75195\) # (GND)))
-- \led_flash_cnt[3451][2]~75197\ = CARRY((!\led_flash_cnt[3451][1]~75195\) # (!\led_flash_cnt[3451][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3451][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3451][1]~75195\,
	combout => \led_flash_cnt[3451][2]~75196_combout\,
	cout => \led_flash_cnt[3451][2]~75197\);

-- Location: FF_X65_Y43_N21
\led_flash_cnt[3451][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3451][2]~75196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3451][2]~q\);

-- Location: LCCOMB_X65_Y43_N22
\led_flash_cnt[3451][3]~75198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3451][3]~75198_combout\ = (\led_flash_cnt[3451][3]~q\ & (\led_flash_cnt[3451][2]~75197\ $ (GND))) # (!\led_flash_cnt[3451][3]~q\ & (!\led_flash_cnt[3451][2]~75197\ & VCC))
-- \led_flash_cnt[3451][3]~75199\ = CARRY((\led_flash_cnt[3451][3]~q\ & !\led_flash_cnt[3451][2]~75197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3451][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3451][2]~75197\,
	combout => \led_flash_cnt[3451][3]~75198_combout\,
	cout => \led_flash_cnt[3451][3]~75199\);

-- Location: FF_X65_Y43_N23
\led_flash_cnt[3451][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3451][3]~75198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3451][3]~q\);

-- Location: LCCOMB_X65_Y43_N24
\led_flash_cnt[3451][4]~75200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3451][4]~75200_combout\ = (\led_flash_cnt[3451][4]~q\ & (!\led_flash_cnt[3451][3]~75199\)) # (!\led_flash_cnt[3451][4]~q\ & ((\led_flash_cnt[3451][3]~75199\) # (GND)))
-- \led_flash_cnt[3451][4]~75201\ = CARRY((!\led_flash_cnt[3451][3]~75199\) # (!\led_flash_cnt[3451][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3451][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3451][3]~75199\,
	combout => \led_flash_cnt[3451][4]~75200_combout\,
	cout => \led_flash_cnt[3451][4]~75201\);

-- Location: FF_X65_Y43_N25
\led_flash_cnt[3451][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3451][4]~75200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3451][4]~q\);

-- Location: LCCOMB_X65_Y43_N26
\led_flash_cnt[3451][5]~75202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3451][5]~75202_combout\ = (\led_flash_cnt[3451][5]~q\ & (\led_flash_cnt[3451][4]~75201\ $ (GND))) # (!\led_flash_cnt[3451][5]~q\ & (!\led_flash_cnt[3451][4]~75201\ & VCC))
-- \led_flash_cnt[3451][5]~75203\ = CARRY((\led_flash_cnt[3451][5]~q\ & !\led_flash_cnt[3451][4]~75201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3451][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3451][4]~75201\,
	combout => \led_flash_cnt[3451][5]~75202_combout\,
	cout => \led_flash_cnt[3451][5]~75203\);

-- Location: FF_X65_Y43_N27
\led_flash_cnt[3451][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3451][5]~75202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3451][5]~q\);

-- Location: LCCOMB_X65_Y43_N28
\led_flash_cnt[3451][6]~75204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3451][6]~75204_combout\ = (\led_flash_cnt[3451][6]~q\ & (!\led_flash_cnt[3451][5]~75203\)) # (!\led_flash_cnt[3451][6]~q\ & ((\led_flash_cnt[3451][5]~75203\) # (GND)))
-- \led_flash_cnt[3451][6]~75205\ = CARRY((!\led_flash_cnt[3451][5]~75203\) # (!\led_flash_cnt[3451][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3451][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3451][5]~75203\,
	combout => \led_flash_cnt[3451][6]~75204_combout\,
	cout => \led_flash_cnt[3451][6]~75205\);

-- Location: FF_X65_Y43_N29
\led_flash_cnt[3451][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3451][6]~75204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3451][6]~q\);

-- Location: LCCOMB_X64_Y43_N4
\WideAnd3451~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3451~1_combout\ = (\led_flash_cnt[3451][6]~q\ & \led_flash_cnt[3451][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3451][6]~q\,
	datad => \led_flash_cnt[3451][5]~q\,
	combout => \WideAnd3451~1_combout\);

-- Location: LCCOMB_X65_Y43_N30
\led_flash_cnt[3451][7]~75206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3451][7]~75206_combout\ = \led_flash_cnt[3451][7]~q\ $ (!\led_flash_cnt[3451][6]~75205\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3451][7]~q\,
	cin => \led_flash_cnt[3451][6]~75205\,
	combout => \led_flash_cnt[3451][7]~75206_combout\);

-- Location: FF_X65_Y43_N31
\led_flash_cnt[3451][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3451][7]~75206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3451][7]~q\);

-- Location: LCCOMB_X65_Y43_N16
\WideAnd3451~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3451~0_combout\ = (\led_flash_cnt[3451][4]~q\ & (\led_flash_cnt[3451][2]~q\ & (\led_flash_cnt[3451][3]~q\ & \led_flash_cnt[3451][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3451][4]~q\,
	datab => \led_flash_cnt[3451][2]~q\,
	datac => \led_flash_cnt[3451][3]~q\,
	datad => \led_flash_cnt[3451][1]~q\,
	combout => \WideAnd3451~0_combout\);

-- Location: LCCOMB_X64_Y43_N2
WideAnd3451 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3451~combout\ = (\led_flash_cnt[3451][0]~q\ & (\WideAnd3451~1_combout\ & (\led_flash_cnt[3451][7]~q\ & \WideAnd3451~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3451][0]~q\,
	datab => \WideAnd3451~1_combout\,
	datac => \led_flash_cnt[3451][7]~q\,
	datad => \WideAnd3451~0_combout\,
	combout => \WideAnd3451~combout\);

-- Location: FF_X64_Y43_N3
\led_flash_cnt_ands[3451]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3451~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3451));

-- Location: LCCOMB_X64_Y43_N8
\WideAnd4271~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4271~0_combout\ = (led_flash_cnt_ands(3449) & (led_flash_cnt_ands(3450) & (led_flash_cnt_ands(3448) & led_flash_cnt_ands(3451))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3449),
	datab => led_flash_cnt_ands(3450),
	datac => led_flash_cnt_ands(3448),
	datad => led_flash_cnt_ands(3451),
	combout => \WideAnd4271~0_combout\);

-- Location: LCCOMB_X61_Y40_N4
WideAnd4271 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4271~combout\ = (led_flash_cnt_ands(3454) & (\WideAnd4271~1_combout\ & (led_flash_cnt_ands(3455) & \WideAnd4271~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3454),
	datab => \WideAnd4271~1_combout\,
	datac => led_flash_cnt_ands(3455),
	datad => \WideAnd4271~0_combout\,
	combout => \WideAnd4271~combout\);

-- Location: FF_X61_Y40_N5
\led_flash_cnt_ands_1[431]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4271~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(431));

-- Location: LCCOMB_X69_Y42_N26
\led_flash_cnt[3410][0]~84050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3410][0]~84050_combout\ = !\led_flash_cnt[3410][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3410][0]~q\,
	combout => \led_flash_cnt[3410][0]~84050_combout\);

-- Location: FF_X69_Y42_N27
\led_flash_cnt[3410][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3410][0]~84050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3410][0]~q\);

-- Location: LCCOMB_X69_Y42_N6
\led_flash_cnt[3410][1]~74620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3410][1]~74620_combout\ = (\led_flash_cnt[3410][0]~q\ & (\led_flash_cnt[3410][1]~q\ $ (VCC))) # (!\led_flash_cnt[3410][0]~q\ & (\led_flash_cnt[3410][1]~q\ & VCC))
-- \led_flash_cnt[3410][1]~74621\ = CARRY((\led_flash_cnt[3410][0]~q\ & \led_flash_cnt[3410][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3410][0]~q\,
	datab => \led_flash_cnt[3410][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3410][1]~74620_combout\,
	cout => \led_flash_cnt[3410][1]~74621\);

-- Location: FF_X69_Y42_N7
\led_flash_cnt[3410][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3410][1]~74620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3410][1]~q\);

-- Location: LCCOMB_X69_Y42_N8
\led_flash_cnt[3410][2]~74622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3410][2]~74622_combout\ = (\led_flash_cnt[3410][2]~q\ & (!\led_flash_cnt[3410][1]~74621\)) # (!\led_flash_cnt[3410][2]~q\ & ((\led_flash_cnt[3410][1]~74621\) # (GND)))
-- \led_flash_cnt[3410][2]~74623\ = CARRY((!\led_flash_cnt[3410][1]~74621\) # (!\led_flash_cnt[3410][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3410][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3410][1]~74621\,
	combout => \led_flash_cnt[3410][2]~74622_combout\,
	cout => \led_flash_cnt[3410][2]~74623\);

-- Location: FF_X69_Y42_N9
\led_flash_cnt[3410][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3410][2]~74622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3410][2]~q\);

-- Location: LCCOMB_X69_Y42_N10
\led_flash_cnt[3410][3]~74624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3410][3]~74624_combout\ = (\led_flash_cnt[3410][3]~q\ & (\led_flash_cnt[3410][2]~74623\ $ (GND))) # (!\led_flash_cnt[3410][3]~q\ & (!\led_flash_cnt[3410][2]~74623\ & VCC))
-- \led_flash_cnt[3410][3]~74625\ = CARRY((\led_flash_cnt[3410][3]~q\ & !\led_flash_cnt[3410][2]~74623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3410][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3410][2]~74623\,
	combout => \led_flash_cnt[3410][3]~74624_combout\,
	cout => \led_flash_cnt[3410][3]~74625\);

-- Location: FF_X69_Y42_N11
\led_flash_cnt[3410][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3410][3]~74624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3410][3]~q\);

-- Location: LCCOMB_X69_Y42_N12
\led_flash_cnt[3410][4]~74626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3410][4]~74626_combout\ = (\led_flash_cnt[3410][4]~q\ & (!\led_flash_cnt[3410][3]~74625\)) # (!\led_flash_cnt[3410][4]~q\ & ((\led_flash_cnt[3410][3]~74625\) # (GND)))
-- \led_flash_cnt[3410][4]~74627\ = CARRY((!\led_flash_cnt[3410][3]~74625\) # (!\led_flash_cnt[3410][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3410][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3410][3]~74625\,
	combout => \led_flash_cnt[3410][4]~74626_combout\,
	cout => \led_flash_cnt[3410][4]~74627\);

-- Location: FF_X69_Y42_N13
\led_flash_cnt[3410][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3410][4]~74626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3410][4]~q\);

-- Location: LCCOMB_X69_Y42_N14
\led_flash_cnt[3410][5]~74628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3410][5]~74628_combout\ = (\led_flash_cnt[3410][5]~q\ & (\led_flash_cnt[3410][4]~74627\ $ (GND))) # (!\led_flash_cnt[3410][5]~q\ & (!\led_flash_cnt[3410][4]~74627\ & VCC))
-- \led_flash_cnt[3410][5]~74629\ = CARRY((\led_flash_cnt[3410][5]~q\ & !\led_flash_cnt[3410][4]~74627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3410][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3410][4]~74627\,
	combout => \led_flash_cnt[3410][5]~74628_combout\,
	cout => \led_flash_cnt[3410][5]~74629\);

-- Location: FF_X69_Y42_N15
\led_flash_cnt[3410][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3410][5]~74628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3410][5]~q\);

-- Location: LCCOMB_X69_Y42_N16
\led_flash_cnt[3410][6]~74630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3410][6]~74630_combout\ = (\led_flash_cnt[3410][6]~q\ & (!\led_flash_cnt[3410][5]~74629\)) # (!\led_flash_cnt[3410][6]~q\ & ((\led_flash_cnt[3410][5]~74629\) # (GND)))
-- \led_flash_cnt[3410][6]~74631\ = CARRY((!\led_flash_cnt[3410][5]~74629\) # (!\led_flash_cnt[3410][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3410][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3410][5]~74629\,
	combout => \led_flash_cnt[3410][6]~74630_combout\,
	cout => \led_flash_cnt[3410][6]~74631\);

-- Location: FF_X69_Y42_N17
\led_flash_cnt[3410][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3410][6]~74630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3410][6]~q\);

-- Location: LCCOMB_X69_Y42_N22
\WideAnd3410~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3410~1_combout\ = (\led_flash_cnt[3410][2]~q\ & \led_flash_cnt[3410][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3410][2]~q\,
	datad => \led_flash_cnt[3410][6]~q\,
	combout => \WideAnd3410~1_combout\);

-- Location: LCCOMB_X69_Y42_N4
\WideAnd3410~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3410~0_combout\ = (\led_flash_cnt[3410][4]~q\ & (\led_flash_cnt[3410][1]~q\ & (\led_flash_cnt[3410][0]~q\ & \led_flash_cnt[3410][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3410][4]~q\,
	datab => \led_flash_cnt[3410][1]~q\,
	datac => \led_flash_cnt[3410][0]~q\,
	datad => \led_flash_cnt[3410][3]~q\,
	combout => \WideAnd3410~0_combout\);

-- Location: LCCOMB_X69_Y42_N18
\led_flash_cnt[3410][7]~74632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3410][7]~74632_combout\ = \led_flash_cnt[3410][6]~74631\ $ (!\led_flash_cnt[3410][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3410][7]~q\,
	cin => \led_flash_cnt[3410][6]~74631\,
	combout => \led_flash_cnt[3410][7]~74632_combout\);

-- Location: FF_X69_Y42_N19
\led_flash_cnt[3410][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3410][7]~74632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3410][7]~q\);

-- Location: LCCOMB_X69_Y42_N24
WideAnd3410 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3410~combout\ = (\WideAnd3410~1_combout\ & (\WideAnd3410~0_combout\ & (\led_flash_cnt[3410][5]~q\ & \led_flash_cnt[3410][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3410~1_combout\,
	datab => \WideAnd3410~0_combout\,
	datac => \led_flash_cnt[3410][5]~q\,
	datad => \led_flash_cnt[3410][7]~q\,
	combout => \WideAnd3410~combout\);

-- Location: FF_X69_Y42_N25
\led_flash_cnt_ands[3410]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3410~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3410));

-- Location: LCCOMB_X72_Y53_N24
\led_flash_cnt[3411][0]~84051\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3411][0]~84051_combout\ = !\led_flash_cnt[3411][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3411][0]~q\,
	combout => \led_flash_cnt[3411][0]~84051_combout\);

-- Location: FF_X72_Y53_N25
\led_flash_cnt[3411][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3411][0]~84051_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3411][0]~q\);

-- Location: LCCOMB_X72_Y53_N6
\led_flash_cnt[3411][1]~74634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3411][1]~74634_combout\ = (\led_flash_cnt[3411][1]~q\ & (\led_flash_cnt[3411][0]~q\ $ (VCC))) # (!\led_flash_cnt[3411][1]~q\ & (\led_flash_cnt[3411][0]~q\ & VCC))
-- \led_flash_cnt[3411][1]~74635\ = CARRY((\led_flash_cnt[3411][1]~q\ & \led_flash_cnt[3411][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3411][1]~q\,
	datab => \led_flash_cnt[3411][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3411][1]~74634_combout\,
	cout => \led_flash_cnt[3411][1]~74635\);

-- Location: FF_X72_Y53_N7
\led_flash_cnt[3411][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3411][1]~74634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3411][1]~q\);

-- Location: LCCOMB_X72_Y53_N8
\led_flash_cnt[3411][2]~74636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3411][2]~74636_combout\ = (\led_flash_cnt[3411][2]~q\ & (!\led_flash_cnt[3411][1]~74635\)) # (!\led_flash_cnt[3411][2]~q\ & ((\led_flash_cnt[3411][1]~74635\) # (GND)))
-- \led_flash_cnt[3411][2]~74637\ = CARRY((!\led_flash_cnt[3411][1]~74635\) # (!\led_flash_cnt[3411][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3411][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3411][1]~74635\,
	combout => \led_flash_cnt[3411][2]~74636_combout\,
	cout => \led_flash_cnt[3411][2]~74637\);

-- Location: FF_X72_Y53_N9
\led_flash_cnt[3411][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3411][2]~74636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3411][2]~q\);

-- Location: LCCOMB_X72_Y53_N10
\led_flash_cnt[3411][3]~74638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3411][3]~74638_combout\ = (\led_flash_cnt[3411][3]~q\ & (\led_flash_cnt[3411][2]~74637\ $ (GND))) # (!\led_flash_cnt[3411][3]~q\ & (!\led_flash_cnt[3411][2]~74637\ & VCC))
-- \led_flash_cnt[3411][3]~74639\ = CARRY((\led_flash_cnt[3411][3]~q\ & !\led_flash_cnt[3411][2]~74637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3411][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3411][2]~74637\,
	combout => \led_flash_cnt[3411][3]~74638_combout\,
	cout => \led_flash_cnt[3411][3]~74639\);

-- Location: FF_X72_Y53_N11
\led_flash_cnt[3411][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3411][3]~74638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3411][3]~q\);

-- Location: LCCOMB_X72_Y53_N12
\led_flash_cnt[3411][4]~74640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3411][4]~74640_combout\ = (\led_flash_cnt[3411][4]~q\ & (!\led_flash_cnt[3411][3]~74639\)) # (!\led_flash_cnt[3411][4]~q\ & ((\led_flash_cnt[3411][3]~74639\) # (GND)))
-- \led_flash_cnt[3411][4]~74641\ = CARRY((!\led_flash_cnt[3411][3]~74639\) # (!\led_flash_cnt[3411][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3411][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3411][3]~74639\,
	combout => \led_flash_cnt[3411][4]~74640_combout\,
	cout => \led_flash_cnt[3411][4]~74641\);

-- Location: FF_X72_Y53_N13
\led_flash_cnt[3411][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3411][4]~74640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3411][4]~q\);

-- Location: LCCOMB_X72_Y53_N22
\WideAnd3411~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3411~0_combout\ = (\led_flash_cnt[3411][3]~q\ & (\led_flash_cnt[3411][4]~q\ & (\led_flash_cnt[3411][2]~q\ & \led_flash_cnt[3411][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3411][3]~q\,
	datab => \led_flash_cnt[3411][4]~q\,
	datac => \led_flash_cnt[3411][2]~q\,
	datad => \led_flash_cnt[3411][1]~q\,
	combout => \WideAnd3411~0_combout\);

-- Location: LCCOMB_X72_Y53_N14
\led_flash_cnt[3411][5]~74642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3411][5]~74642_combout\ = (\led_flash_cnt[3411][5]~q\ & (\led_flash_cnt[3411][4]~74641\ $ (GND))) # (!\led_flash_cnt[3411][5]~q\ & (!\led_flash_cnt[3411][4]~74641\ & VCC))
-- \led_flash_cnt[3411][5]~74643\ = CARRY((\led_flash_cnt[3411][5]~q\ & !\led_flash_cnt[3411][4]~74641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3411][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3411][4]~74641\,
	combout => \led_flash_cnt[3411][5]~74642_combout\,
	cout => \led_flash_cnt[3411][5]~74643\);

-- Location: FF_X72_Y53_N15
\led_flash_cnt[3411][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3411][5]~74642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3411][5]~q\);

-- Location: LCCOMB_X72_Y53_N16
\led_flash_cnt[3411][6]~74644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3411][6]~74644_combout\ = (\led_flash_cnt[3411][6]~q\ & (!\led_flash_cnt[3411][5]~74643\)) # (!\led_flash_cnt[3411][6]~q\ & ((\led_flash_cnt[3411][5]~74643\) # (GND)))
-- \led_flash_cnt[3411][6]~74645\ = CARRY((!\led_flash_cnt[3411][5]~74643\) # (!\led_flash_cnt[3411][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3411][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3411][5]~74643\,
	combout => \led_flash_cnt[3411][6]~74644_combout\,
	cout => \led_flash_cnt[3411][6]~74645\);

-- Location: FF_X72_Y53_N17
\led_flash_cnt[3411][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3411][6]~74644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3411][6]~q\);

-- Location: LCCOMB_X72_Y53_N26
\WideAnd3411~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3411~1_combout\ = (\led_flash_cnt[3411][5]~q\ & \led_flash_cnt[3411][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3411][5]~q\,
	datad => \led_flash_cnt[3411][6]~q\,
	combout => \WideAnd3411~1_combout\);

-- Location: LCCOMB_X72_Y53_N18
\led_flash_cnt[3411][7]~74646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3411][7]~74646_combout\ = \led_flash_cnt[3411][6]~74645\ $ (!\led_flash_cnt[3411][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3411][7]~q\,
	cin => \led_flash_cnt[3411][6]~74645\,
	combout => \led_flash_cnt[3411][7]~74646_combout\);

-- Location: FF_X72_Y53_N19
\led_flash_cnt[3411][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3411][7]~74646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3411][7]~q\);

-- Location: LCCOMB_X72_Y53_N28
WideAnd3411 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3411~combout\ = (\WideAnd3411~0_combout\ & (\led_flash_cnt[3411][0]~q\ & (\WideAnd3411~1_combout\ & \led_flash_cnt[3411][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3411~0_combout\,
	datab => \led_flash_cnt[3411][0]~q\,
	datac => \WideAnd3411~1_combout\,
	datad => \led_flash_cnt[3411][7]~q\,
	combout => \WideAnd3411~combout\);

-- Location: FF_X72_Y53_N29
\led_flash_cnt_ands[3411]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3411~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3411));

-- Location: LCCOMB_X67_Y45_N30
\led_flash_cnt[3409][0]~84049\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3409][0]~84049_combout\ = !\led_flash_cnt[3409][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3409][0]~q\,
	combout => \led_flash_cnt[3409][0]~84049_combout\);

-- Location: FF_X67_Y45_N31
\led_flash_cnt[3409][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3409][0]~84049_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3409][0]~q\);

-- Location: LCCOMB_X67_Y45_N14
\led_flash_cnt[3409][1]~74606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3409][1]~74606_combout\ = (\led_flash_cnt[3409][0]~q\ & (\led_flash_cnt[3409][1]~q\ $ (VCC))) # (!\led_flash_cnt[3409][0]~q\ & (\led_flash_cnt[3409][1]~q\ & VCC))
-- \led_flash_cnt[3409][1]~74607\ = CARRY((\led_flash_cnt[3409][0]~q\ & \led_flash_cnt[3409][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3409][0]~q\,
	datab => \led_flash_cnt[3409][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3409][1]~74606_combout\,
	cout => \led_flash_cnt[3409][1]~74607\);

-- Location: FF_X67_Y45_N15
\led_flash_cnt[3409][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3409][1]~74606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3409][1]~q\);

-- Location: LCCOMB_X67_Y45_N16
\led_flash_cnt[3409][2]~74608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3409][2]~74608_combout\ = (\led_flash_cnt[3409][2]~q\ & (!\led_flash_cnt[3409][1]~74607\)) # (!\led_flash_cnt[3409][2]~q\ & ((\led_flash_cnt[3409][1]~74607\) # (GND)))
-- \led_flash_cnt[3409][2]~74609\ = CARRY((!\led_flash_cnt[3409][1]~74607\) # (!\led_flash_cnt[3409][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3409][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3409][1]~74607\,
	combout => \led_flash_cnt[3409][2]~74608_combout\,
	cout => \led_flash_cnt[3409][2]~74609\);

-- Location: FF_X67_Y45_N17
\led_flash_cnt[3409][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3409][2]~74608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3409][2]~q\);

-- Location: LCCOMB_X67_Y45_N18
\led_flash_cnt[3409][3]~74610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3409][3]~74610_combout\ = (\led_flash_cnt[3409][3]~q\ & (\led_flash_cnt[3409][2]~74609\ $ (GND))) # (!\led_flash_cnt[3409][3]~q\ & (!\led_flash_cnt[3409][2]~74609\ & VCC))
-- \led_flash_cnt[3409][3]~74611\ = CARRY((\led_flash_cnt[3409][3]~q\ & !\led_flash_cnt[3409][2]~74609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3409][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3409][2]~74609\,
	combout => \led_flash_cnt[3409][3]~74610_combout\,
	cout => \led_flash_cnt[3409][3]~74611\);

-- Location: FF_X67_Y45_N19
\led_flash_cnt[3409][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3409][3]~74610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3409][3]~q\);

-- Location: LCCOMB_X67_Y45_N20
\led_flash_cnt[3409][4]~74612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3409][4]~74612_combout\ = (\led_flash_cnt[3409][4]~q\ & (!\led_flash_cnt[3409][3]~74611\)) # (!\led_flash_cnt[3409][4]~q\ & ((\led_flash_cnt[3409][3]~74611\) # (GND)))
-- \led_flash_cnt[3409][4]~74613\ = CARRY((!\led_flash_cnt[3409][3]~74611\) # (!\led_flash_cnt[3409][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3409][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3409][3]~74611\,
	combout => \led_flash_cnt[3409][4]~74612_combout\,
	cout => \led_flash_cnt[3409][4]~74613\);

-- Location: FF_X67_Y45_N21
\led_flash_cnt[3409][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3409][4]~74612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3409][4]~q\);

-- Location: LCCOMB_X67_Y45_N22
\led_flash_cnt[3409][5]~74614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3409][5]~74614_combout\ = (\led_flash_cnt[3409][5]~q\ & (\led_flash_cnt[3409][4]~74613\ $ (GND))) # (!\led_flash_cnt[3409][5]~q\ & (!\led_flash_cnt[3409][4]~74613\ & VCC))
-- \led_flash_cnt[3409][5]~74615\ = CARRY((\led_flash_cnt[3409][5]~q\ & !\led_flash_cnt[3409][4]~74613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3409][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3409][4]~74613\,
	combout => \led_flash_cnt[3409][5]~74614_combout\,
	cout => \led_flash_cnt[3409][5]~74615\);

-- Location: FF_X67_Y45_N23
\led_flash_cnt[3409][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3409][5]~74614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3409][5]~q\);

-- Location: LCCOMB_X67_Y45_N24
\led_flash_cnt[3409][6]~74616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3409][6]~74616_combout\ = (\led_flash_cnt[3409][6]~q\ & (!\led_flash_cnt[3409][5]~74615\)) # (!\led_flash_cnt[3409][6]~q\ & ((\led_flash_cnt[3409][5]~74615\) # (GND)))
-- \led_flash_cnt[3409][6]~74617\ = CARRY((!\led_flash_cnt[3409][5]~74615\) # (!\led_flash_cnt[3409][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3409][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3409][5]~74615\,
	combout => \led_flash_cnt[3409][6]~74616_combout\,
	cout => \led_flash_cnt[3409][6]~74617\);

-- Location: FF_X67_Y45_N25
\led_flash_cnt[3409][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3409][6]~74616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3409][6]~q\);

-- Location: LCCOMB_X67_Y45_N26
\led_flash_cnt[3409][7]~74618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3409][7]~74618_combout\ = \led_flash_cnt[3409][7]~q\ $ (!\led_flash_cnt[3409][6]~74617\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3409][7]~q\,
	cin => \led_flash_cnt[3409][6]~74617\,
	combout => \led_flash_cnt[3409][7]~74618_combout\);

-- Location: FF_X67_Y45_N27
\led_flash_cnt[3409][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3409][7]~74618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3409][7]~q\);

-- Location: LCCOMB_X67_Y45_N2
\WideAnd3409~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3409~1_combout\ = (\led_flash_cnt[3409][5]~q\ & \led_flash_cnt[3409][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3409][5]~q\,
	datad => \led_flash_cnt[3409][6]~q\,
	combout => \WideAnd3409~1_combout\);

-- Location: LCCOMB_X67_Y45_N12
\WideAnd3409~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3409~0_combout\ = (\led_flash_cnt[3409][3]~q\ & (\led_flash_cnt[3409][4]~q\ & (\led_flash_cnt[3409][1]~q\ & \led_flash_cnt[3409][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3409][3]~q\,
	datab => \led_flash_cnt[3409][4]~q\,
	datac => \led_flash_cnt[3409][1]~q\,
	datad => \led_flash_cnt[3409][2]~q\,
	combout => \WideAnd3409~0_combout\);

-- Location: LCCOMB_X67_Y45_N28
WideAnd3409 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3409~combout\ = (\led_flash_cnt[3409][7]~q\ & (\WideAnd3409~1_combout\ & (\led_flash_cnt[3409][0]~q\ & \WideAnd3409~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3409][7]~q\,
	datab => \WideAnd3409~1_combout\,
	datac => \led_flash_cnt[3409][0]~q\,
	datad => \WideAnd3409~0_combout\,
	combout => \WideAnd3409~combout\);

-- Location: FF_X67_Y45_N29
\led_flash_cnt_ands[3409]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3409~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3409));

-- Location: LCCOMB_X69_Y45_N26
\led_flash_cnt[3408][0]~84048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3408][0]~84048_combout\ = !\led_flash_cnt[3408][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3408][0]~q\,
	combout => \led_flash_cnt[3408][0]~84048_combout\);

-- Location: FF_X69_Y45_N27
\led_flash_cnt[3408][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3408][0]~84048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3408][0]~q\);

-- Location: LCCOMB_X69_Y45_N8
\led_flash_cnt[3408][1]~74592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3408][1]~74592_combout\ = (\led_flash_cnt[3408][0]~q\ & (\led_flash_cnt[3408][1]~q\ $ (VCC))) # (!\led_flash_cnt[3408][0]~q\ & (\led_flash_cnt[3408][1]~q\ & VCC))
-- \led_flash_cnt[3408][1]~74593\ = CARRY((\led_flash_cnt[3408][0]~q\ & \led_flash_cnt[3408][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3408][0]~q\,
	datab => \led_flash_cnt[3408][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3408][1]~74592_combout\,
	cout => \led_flash_cnt[3408][1]~74593\);

-- Location: FF_X69_Y45_N9
\led_flash_cnt[3408][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3408][1]~74592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3408][1]~q\);

-- Location: LCCOMB_X69_Y45_N10
\led_flash_cnt[3408][2]~74594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3408][2]~74594_combout\ = (\led_flash_cnt[3408][2]~q\ & (!\led_flash_cnt[3408][1]~74593\)) # (!\led_flash_cnt[3408][2]~q\ & ((\led_flash_cnt[3408][1]~74593\) # (GND)))
-- \led_flash_cnt[3408][2]~74595\ = CARRY((!\led_flash_cnt[3408][1]~74593\) # (!\led_flash_cnt[3408][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3408][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3408][1]~74593\,
	combout => \led_flash_cnt[3408][2]~74594_combout\,
	cout => \led_flash_cnt[3408][2]~74595\);

-- Location: FF_X69_Y45_N11
\led_flash_cnt[3408][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3408][2]~74594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3408][2]~q\);

-- Location: LCCOMB_X69_Y45_N12
\led_flash_cnt[3408][3]~74596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3408][3]~74596_combout\ = (\led_flash_cnt[3408][3]~q\ & (\led_flash_cnt[3408][2]~74595\ $ (GND))) # (!\led_flash_cnt[3408][3]~q\ & (!\led_flash_cnt[3408][2]~74595\ & VCC))
-- \led_flash_cnt[3408][3]~74597\ = CARRY((\led_flash_cnt[3408][3]~q\ & !\led_flash_cnt[3408][2]~74595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3408][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3408][2]~74595\,
	combout => \led_flash_cnt[3408][3]~74596_combout\,
	cout => \led_flash_cnt[3408][3]~74597\);

-- Location: FF_X69_Y45_N13
\led_flash_cnt[3408][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3408][3]~74596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3408][3]~q\);

-- Location: LCCOMB_X69_Y45_N14
\led_flash_cnt[3408][4]~74598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3408][4]~74598_combout\ = (\led_flash_cnt[3408][4]~q\ & (!\led_flash_cnt[3408][3]~74597\)) # (!\led_flash_cnt[3408][4]~q\ & ((\led_flash_cnt[3408][3]~74597\) # (GND)))
-- \led_flash_cnt[3408][4]~74599\ = CARRY((!\led_flash_cnt[3408][3]~74597\) # (!\led_flash_cnt[3408][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3408][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3408][3]~74597\,
	combout => \led_flash_cnt[3408][4]~74598_combout\,
	cout => \led_flash_cnt[3408][4]~74599\);

-- Location: FF_X69_Y45_N15
\led_flash_cnt[3408][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3408][4]~74598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3408][4]~q\);

-- Location: LCCOMB_X69_Y45_N16
\led_flash_cnt[3408][5]~74600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3408][5]~74600_combout\ = (\led_flash_cnt[3408][5]~q\ & (\led_flash_cnt[3408][4]~74599\ $ (GND))) # (!\led_flash_cnt[3408][5]~q\ & (!\led_flash_cnt[3408][4]~74599\ & VCC))
-- \led_flash_cnt[3408][5]~74601\ = CARRY((\led_flash_cnt[3408][5]~q\ & !\led_flash_cnt[3408][4]~74599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3408][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3408][4]~74599\,
	combout => \led_flash_cnt[3408][5]~74600_combout\,
	cout => \led_flash_cnt[3408][5]~74601\);

-- Location: FF_X69_Y45_N17
\led_flash_cnt[3408][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3408][5]~74600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3408][5]~q\);

-- Location: LCCOMB_X69_Y45_N18
\led_flash_cnt[3408][6]~74602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3408][6]~74602_combout\ = (\led_flash_cnt[3408][6]~q\ & (!\led_flash_cnt[3408][5]~74601\)) # (!\led_flash_cnt[3408][6]~q\ & ((\led_flash_cnt[3408][5]~74601\) # (GND)))
-- \led_flash_cnt[3408][6]~74603\ = CARRY((!\led_flash_cnt[3408][5]~74601\) # (!\led_flash_cnt[3408][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3408][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3408][5]~74601\,
	combout => \led_flash_cnt[3408][6]~74602_combout\,
	cout => \led_flash_cnt[3408][6]~74603\);

-- Location: FF_X69_Y45_N19
\led_flash_cnt[3408][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3408][6]~74602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3408][6]~q\);

-- Location: LCCOMB_X69_Y45_N20
\led_flash_cnt[3408][7]~74604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3408][7]~74604_combout\ = \led_flash_cnt[3408][6]~74603\ $ (!\led_flash_cnt[3408][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3408][7]~q\,
	cin => \led_flash_cnt[3408][6]~74603\,
	combout => \led_flash_cnt[3408][7]~74604_combout\);

-- Location: FF_X69_Y45_N21
\led_flash_cnt[3408][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3408][7]~74604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3408][7]~q\);

-- Location: LCCOMB_X69_Y45_N30
\WideAnd3408~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3408~1_combout\ = (\led_flash_cnt[3408][6]~q\ & \led_flash_cnt[3408][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3408][6]~q\,
	datad => \led_flash_cnt[3408][5]~q\,
	combout => \WideAnd3408~1_combout\);

-- Location: LCCOMB_X69_Y45_N28
\WideAnd3408~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3408~0_combout\ = (\led_flash_cnt[3408][3]~q\ & (\led_flash_cnt[3408][4]~q\ & (\led_flash_cnt[3408][1]~q\ & \led_flash_cnt[3408][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3408][3]~q\,
	datab => \led_flash_cnt[3408][4]~q\,
	datac => \led_flash_cnt[3408][1]~q\,
	datad => \led_flash_cnt[3408][2]~q\,
	combout => \WideAnd3408~0_combout\);

-- Location: LCCOMB_X69_Y45_N24
WideAnd3408 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3408~combout\ = (\led_flash_cnt[3408][0]~q\ & (\led_flash_cnt[3408][7]~q\ & (\WideAnd3408~1_combout\ & \WideAnd3408~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3408][0]~q\,
	datab => \led_flash_cnt[3408][7]~q\,
	datac => \WideAnd3408~1_combout\,
	datad => \WideAnd3408~0_combout\,
	combout => \WideAnd3408~combout\);

-- Location: FF_X69_Y45_N25
\led_flash_cnt_ands[3408]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3408~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3408));

-- Location: LCCOMB_X69_Y45_N4
\WideAnd4266~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4266~0_combout\ = (led_flash_cnt_ands(3410) & (led_flash_cnt_ands(3411) & (led_flash_cnt_ands(3409) & led_flash_cnt_ands(3408))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3410),
	datab => led_flash_cnt_ands(3411),
	datac => led_flash_cnt_ands(3409),
	datad => led_flash_cnt_ands(3408),
	combout => \WideAnd4266~0_combout\);

-- Location: LCCOMB_X70_Y32_N6
\led_flash_cnt[3415][0]~84055\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3415][0]~84055_combout\ = !\led_flash_cnt[3415][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3415][0]~q\,
	combout => \led_flash_cnt[3415][0]~84055_combout\);

-- Location: FF_X70_Y32_N7
\led_flash_cnt[3415][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3415][0]~84055_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3415][0]~q\);

-- Location: LCCOMB_X70_Y32_N8
\led_flash_cnt[3415][1]~74690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3415][1]~74690_combout\ = (\led_flash_cnt[3415][0]~q\ & (\led_flash_cnt[3415][1]~q\ $ (VCC))) # (!\led_flash_cnt[3415][0]~q\ & (\led_flash_cnt[3415][1]~q\ & VCC))
-- \led_flash_cnt[3415][1]~74691\ = CARRY((\led_flash_cnt[3415][0]~q\ & \led_flash_cnt[3415][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3415][0]~q\,
	datab => \led_flash_cnt[3415][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3415][1]~74690_combout\,
	cout => \led_flash_cnt[3415][1]~74691\);

-- Location: FF_X70_Y32_N9
\led_flash_cnt[3415][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3415][1]~74690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3415][1]~q\);

-- Location: LCCOMB_X70_Y32_N10
\led_flash_cnt[3415][2]~74692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3415][2]~74692_combout\ = (\led_flash_cnt[3415][2]~q\ & (!\led_flash_cnt[3415][1]~74691\)) # (!\led_flash_cnt[3415][2]~q\ & ((\led_flash_cnt[3415][1]~74691\) # (GND)))
-- \led_flash_cnt[3415][2]~74693\ = CARRY((!\led_flash_cnt[3415][1]~74691\) # (!\led_flash_cnt[3415][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3415][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3415][1]~74691\,
	combout => \led_flash_cnt[3415][2]~74692_combout\,
	cout => \led_flash_cnt[3415][2]~74693\);

-- Location: FF_X70_Y32_N11
\led_flash_cnt[3415][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3415][2]~74692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3415][2]~q\);

-- Location: LCCOMB_X70_Y32_N12
\led_flash_cnt[3415][3]~74694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3415][3]~74694_combout\ = (\led_flash_cnt[3415][3]~q\ & (\led_flash_cnt[3415][2]~74693\ $ (GND))) # (!\led_flash_cnt[3415][3]~q\ & (!\led_flash_cnt[3415][2]~74693\ & VCC))
-- \led_flash_cnt[3415][3]~74695\ = CARRY((\led_flash_cnt[3415][3]~q\ & !\led_flash_cnt[3415][2]~74693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3415][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3415][2]~74693\,
	combout => \led_flash_cnt[3415][3]~74694_combout\,
	cout => \led_flash_cnt[3415][3]~74695\);

-- Location: FF_X70_Y32_N13
\led_flash_cnt[3415][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3415][3]~74694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3415][3]~q\);

-- Location: LCCOMB_X70_Y32_N14
\led_flash_cnt[3415][4]~74696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3415][4]~74696_combout\ = (\led_flash_cnt[3415][4]~q\ & (!\led_flash_cnt[3415][3]~74695\)) # (!\led_flash_cnt[3415][4]~q\ & ((\led_flash_cnt[3415][3]~74695\) # (GND)))
-- \led_flash_cnt[3415][4]~74697\ = CARRY((!\led_flash_cnt[3415][3]~74695\) # (!\led_flash_cnt[3415][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3415][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3415][3]~74695\,
	combout => \led_flash_cnt[3415][4]~74696_combout\,
	cout => \led_flash_cnt[3415][4]~74697\);

-- Location: FF_X70_Y32_N15
\led_flash_cnt[3415][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3415][4]~74696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3415][4]~q\);

-- Location: LCCOMB_X70_Y32_N16
\led_flash_cnt[3415][5]~74698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3415][5]~74698_combout\ = (\led_flash_cnt[3415][5]~q\ & (\led_flash_cnt[3415][4]~74697\ $ (GND))) # (!\led_flash_cnt[3415][5]~q\ & (!\led_flash_cnt[3415][4]~74697\ & VCC))
-- \led_flash_cnt[3415][5]~74699\ = CARRY((\led_flash_cnt[3415][5]~q\ & !\led_flash_cnt[3415][4]~74697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3415][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3415][4]~74697\,
	combout => \led_flash_cnt[3415][5]~74698_combout\,
	cout => \led_flash_cnt[3415][5]~74699\);

-- Location: FF_X70_Y32_N17
\led_flash_cnt[3415][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3415][5]~74698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3415][5]~q\);

-- Location: LCCOMB_X70_Y32_N18
\led_flash_cnt[3415][6]~74700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3415][6]~74700_combout\ = (\led_flash_cnt[3415][6]~q\ & (!\led_flash_cnt[3415][5]~74699\)) # (!\led_flash_cnt[3415][6]~q\ & ((\led_flash_cnt[3415][5]~74699\) # (GND)))
-- \led_flash_cnt[3415][6]~74701\ = CARRY((!\led_flash_cnt[3415][5]~74699\) # (!\led_flash_cnt[3415][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3415][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3415][5]~74699\,
	combout => \led_flash_cnt[3415][6]~74700_combout\,
	cout => \led_flash_cnt[3415][6]~74701\);

-- Location: FF_X70_Y32_N19
\led_flash_cnt[3415][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3415][6]~74700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3415][6]~q\);

-- Location: LCCOMB_X70_Y32_N20
\led_flash_cnt[3415][7]~74702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3415][7]~74702_combout\ = \led_flash_cnt[3415][6]~74701\ $ (!\led_flash_cnt[3415][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3415][7]~q\,
	cin => \led_flash_cnt[3415][6]~74701\,
	combout => \led_flash_cnt[3415][7]~74702_combout\);

-- Location: FF_X70_Y32_N21
\led_flash_cnt[3415][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3415][7]~74702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3415][7]~q\);

-- Location: LCCOMB_X70_Y32_N4
\WideAnd3415~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3415~1_combout\ = (\led_flash_cnt[3415][6]~q\ & \led_flash_cnt[3415][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3415][6]~q\,
	datad => \led_flash_cnt[3415][5]~q\,
	combout => \WideAnd3415~1_combout\);

-- Location: LCCOMB_X70_Y32_N24
\WideAnd3415~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3415~0_combout\ = (\led_flash_cnt[3415][3]~q\ & (\led_flash_cnt[3415][1]~q\ & (\led_flash_cnt[3415][4]~q\ & \led_flash_cnt[3415][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3415][3]~q\,
	datab => \led_flash_cnt[3415][1]~q\,
	datac => \led_flash_cnt[3415][4]~q\,
	datad => \led_flash_cnt[3415][2]~q\,
	combout => \WideAnd3415~0_combout\);

-- Location: LCCOMB_X70_Y32_N22
WideAnd3415 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3415~combout\ = (\led_flash_cnt[3415][0]~q\ & (\led_flash_cnt[3415][7]~q\ & (\WideAnd3415~1_combout\ & \WideAnd3415~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3415][0]~q\,
	datab => \led_flash_cnt[3415][7]~q\,
	datac => \WideAnd3415~1_combout\,
	datad => \WideAnd3415~0_combout\,
	combout => \WideAnd3415~combout\);

-- Location: FF_X70_Y32_N23
\led_flash_cnt_ands[3415]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3415~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3415));

-- Location: LCCOMB_X62_Y34_N26
\led_flash_cnt[3413][0]~84053\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3413][0]~84053_combout\ = !\led_flash_cnt[3413][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3413][0]~q\,
	combout => \led_flash_cnt[3413][0]~84053_combout\);

-- Location: FF_X62_Y34_N27
\led_flash_cnt[3413][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3413][0]~84053_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3413][0]~q\);

-- Location: LCCOMB_X62_Y34_N0
\led_flash_cnt[3413][1]~74662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3413][1]~74662_combout\ = (\led_flash_cnt[3413][0]~q\ & (\led_flash_cnt[3413][1]~q\ $ (VCC))) # (!\led_flash_cnt[3413][0]~q\ & (\led_flash_cnt[3413][1]~q\ & VCC))
-- \led_flash_cnt[3413][1]~74663\ = CARRY((\led_flash_cnt[3413][0]~q\ & \led_flash_cnt[3413][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3413][0]~q\,
	datab => \led_flash_cnt[3413][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3413][1]~74662_combout\,
	cout => \led_flash_cnt[3413][1]~74663\);

-- Location: FF_X62_Y34_N1
\led_flash_cnt[3413][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3413][1]~74662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3413][1]~q\);

-- Location: LCCOMB_X62_Y34_N2
\led_flash_cnt[3413][2]~74664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3413][2]~74664_combout\ = (\led_flash_cnt[3413][2]~q\ & (!\led_flash_cnt[3413][1]~74663\)) # (!\led_flash_cnt[3413][2]~q\ & ((\led_flash_cnt[3413][1]~74663\) # (GND)))
-- \led_flash_cnt[3413][2]~74665\ = CARRY((!\led_flash_cnt[3413][1]~74663\) # (!\led_flash_cnt[3413][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3413][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3413][1]~74663\,
	combout => \led_flash_cnt[3413][2]~74664_combout\,
	cout => \led_flash_cnt[3413][2]~74665\);

-- Location: FF_X62_Y34_N3
\led_flash_cnt[3413][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3413][2]~74664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3413][2]~q\);

-- Location: LCCOMB_X62_Y34_N4
\led_flash_cnt[3413][3]~74666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3413][3]~74666_combout\ = (\led_flash_cnt[3413][3]~q\ & (\led_flash_cnt[3413][2]~74665\ $ (GND))) # (!\led_flash_cnt[3413][3]~q\ & (!\led_flash_cnt[3413][2]~74665\ & VCC))
-- \led_flash_cnt[3413][3]~74667\ = CARRY((\led_flash_cnt[3413][3]~q\ & !\led_flash_cnt[3413][2]~74665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3413][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3413][2]~74665\,
	combout => \led_flash_cnt[3413][3]~74666_combout\,
	cout => \led_flash_cnt[3413][3]~74667\);

-- Location: FF_X62_Y34_N5
\led_flash_cnt[3413][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3413][3]~74666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3413][3]~q\);

-- Location: LCCOMB_X62_Y34_N6
\led_flash_cnt[3413][4]~74668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3413][4]~74668_combout\ = (\led_flash_cnt[3413][4]~q\ & (!\led_flash_cnt[3413][3]~74667\)) # (!\led_flash_cnt[3413][4]~q\ & ((\led_flash_cnt[3413][3]~74667\) # (GND)))
-- \led_flash_cnt[3413][4]~74669\ = CARRY((!\led_flash_cnt[3413][3]~74667\) # (!\led_flash_cnt[3413][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3413][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3413][3]~74667\,
	combout => \led_flash_cnt[3413][4]~74668_combout\,
	cout => \led_flash_cnt[3413][4]~74669\);

-- Location: FF_X62_Y34_N7
\led_flash_cnt[3413][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3413][4]~74668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3413][4]~q\);

-- Location: LCCOMB_X62_Y34_N30
\WideAnd3413~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3413~0_combout\ = (\led_flash_cnt[3413][4]~q\ & (\led_flash_cnt[3413][1]~q\ & (\led_flash_cnt[3413][3]~q\ & \led_flash_cnt[3413][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3413][4]~q\,
	datab => \led_flash_cnt[3413][1]~q\,
	datac => \led_flash_cnt[3413][3]~q\,
	datad => \led_flash_cnt[3413][2]~q\,
	combout => \WideAnd3413~0_combout\);

-- Location: LCCOMB_X62_Y34_N8
\led_flash_cnt[3413][5]~74670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3413][5]~74670_combout\ = (\led_flash_cnt[3413][5]~q\ & (\led_flash_cnt[3413][4]~74669\ $ (GND))) # (!\led_flash_cnt[3413][5]~q\ & (!\led_flash_cnt[3413][4]~74669\ & VCC))
-- \led_flash_cnt[3413][5]~74671\ = CARRY((\led_flash_cnt[3413][5]~q\ & !\led_flash_cnt[3413][4]~74669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3413][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3413][4]~74669\,
	combout => \led_flash_cnt[3413][5]~74670_combout\,
	cout => \led_flash_cnt[3413][5]~74671\);

-- Location: FF_X62_Y34_N9
\led_flash_cnt[3413][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3413][5]~74670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3413][5]~q\);

-- Location: LCCOMB_X62_Y34_N10
\led_flash_cnt[3413][6]~74672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3413][6]~74672_combout\ = (\led_flash_cnt[3413][6]~q\ & (!\led_flash_cnt[3413][5]~74671\)) # (!\led_flash_cnt[3413][6]~q\ & ((\led_flash_cnt[3413][5]~74671\) # (GND)))
-- \led_flash_cnt[3413][6]~74673\ = CARRY((!\led_flash_cnt[3413][5]~74671\) # (!\led_flash_cnt[3413][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3413][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3413][5]~74671\,
	combout => \led_flash_cnt[3413][6]~74672_combout\,
	cout => \led_flash_cnt[3413][6]~74673\);

-- Location: FF_X62_Y34_N11
\led_flash_cnt[3413][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3413][6]~74672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3413][6]~q\);

-- Location: LCCOMB_X62_Y34_N18
\WideAnd3413~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3413~1_combout\ = (\led_flash_cnt[3413][5]~q\ & \led_flash_cnt[3413][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3413][5]~q\,
	datad => \led_flash_cnt[3413][6]~q\,
	combout => \WideAnd3413~1_combout\);

-- Location: LCCOMB_X62_Y34_N12
\led_flash_cnt[3413][7]~74674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3413][7]~74674_combout\ = \led_flash_cnt[3413][6]~74673\ $ (!\led_flash_cnt[3413][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3413][7]~q\,
	cin => \led_flash_cnt[3413][6]~74673\,
	combout => \led_flash_cnt[3413][7]~74674_combout\);

-- Location: FF_X62_Y34_N13
\led_flash_cnt[3413][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3413][7]~74674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3413][7]~q\);

-- Location: LCCOMB_X62_Y34_N22
WideAnd3413 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3413~combout\ = (\WideAnd3413~0_combout\ & (\WideAnd3413~1_combout\ & (\led_flash_cnt[3413][0]~q\ & \led_flash_cnt[3413][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3413~0_combout\,
	datab => \WideAnd3413~1_combout\,
	datac => \led_flash_cnt[3413][0]~q\,
	datad => \led_flash_cnt[3413][7]~q\,
	combout => \WideAnd3413~combout\);

-- Location: FF_X62_Y34_N23
\led_flash_cnt_ands[3413]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3413~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3413));

-- Location: LCCOMB_X62_Y34_N14
\led_flash_cnt[3412][0]~84052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3412][0]~84052_combout\ = !\led_flash_cnt[3412][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3412][0]~q\,
	combout => \led_flash_cnt[3412][0]~84052_combout\);

-- Location: FF_X62_Y34_N15
\led_flash_cnt[3412][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3412][0]~84052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3412][0]~q\);

-- Location: LCCOMB_X63_Y34_N0
\led_flash_cnt[3412][1]~74648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3412][1]~74648_combout\ = (\led_flash_cnt[3412][0]~q\ & (\led_flash_cnt[3412][1]~q\ $ (VCC))) # (!\led_flash_cnt[3412][0]~q\ & (\led_flash_cnt[3412][1]~q\ & VCC))
-- \led_flash_cnt[3412][1]~74649\ = CARRY((\led_flash_cnt[3412][0]~q\ & \led_flash_cnt[3412][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3412][0]~q\,
	datab => \led_flash_cnt[3412][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3412][1]~74648_combout\,
	cout => \led_flash_cnt[3412][1]~74649\);

-- Location: FF_X63_Y34_N1
\led_flash_cnt[3412][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3412][1]~74648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3412][1]~q\);

-- Location: LCCOMB_X63_Y34_N2
\led_flash_cnt[3412][2]~74650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3412][2]~74650_combout\ = (\led_flash_cnt[3412][2]~q\ & (!\led_flash_cnt[3412][1]~74649\)) # (!\led_flash_cnt[3412][2]~q\ & ((\led_flash_cnt[3412][1]~74649\) # (GND)))
-- \led_flash_cnt[3412][2]~74651\ = CARRY((!\led_flash_cnt[3412][1]~74649\) # (!\led_flash_cnt[3412][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3412][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3412][1]~74649\,
	combout => \led_flash_cnt[3412][2]~74650_combout\,
	cout => \led_flash_cnt[3412][2]~74651\);

-- Location: FF_X63_Y34_N3
\led_flash_cnt[3412][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3412][2]~74650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3412][2]~q\);

-- Location: LCCOMB_X63_Y34_N4
\led_flash_cnt[3412][3]~74652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3412][3]~74652_combout\ = (\led_flash_cnt[3412][3]~q\ & (\led_flash_cnt[3412][2]~74651\ $ (GND))) # (!\led_flash_cnt[3412][3]~q\ & (!\led_flash_cnt[3412][2]~74651\ & VCC))
-- \led_flash_cnt[3412][3]~74653\ = CARRY((\led_flash_cnt[3412][3]~q\ & !\led_flash_cnt[3412][2]~74651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3412][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3412][2]~74651\,
	combout => \led_flash_cnt[3412][3]~74652_combout\,
	cout => \led_flash_cnt[3412][3]~74653\);

-- Location: FF_X63_Y34_N5
\led_flash_cnt[3412][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3412][3]~74652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3412][3]~q\);

-- Location: LCCOMB_X63_Y34_N6
\led_flash_cnt[3412][4]~74654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3412][4]~74654_combout\ = (\led_flash_cnt[3412][4]~q\ & (!\led_flash_cnt[3412][3]~74653\)) # (!\led_flash_cnt[3412][4]~q\ & ((\led_flash_cnt[3412][3]~74653\) # (GND)))
-- \led_flash_cnt[3412][4]~74655\ = CARRY((!\led_flash_cnt[3412][3]~74653\) # (!\led_flash_cnt[3412][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3412][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3412][3]~74653\,
	combout => \led_flash_cnt[3412][4]~74654_combout\,
	cout => \led_flash_cnt[3412][4]~74655\);

-- Location: FF_X63_Y34_N7
\led_flash_cnt[3412][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3412][4]~74654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3412][4]~q\);

-- Location: LCCOMB_X63_Y34_N14
\WideAnd3412~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3412~0_combout\ = (\led_flash_cnt[3412][4]~q\ & (\led_flash_cnt[3412][1]~q\ & (\led_flash_cnt[3412][3]~q\ & \led_flash_cnt[3412][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3412][4]~q\,
	datab => \led_flash_cnt[3412][1]~q\,
	datac => \led_flash_cnt[3412][3]~q\,
	datad => \led_flash_cnt[3412][2]~q\,
	combout => \WideAnd3412~0_combout\);

-- Location: LCCOMB_X63_Y34_N8
\led_flash_cnt[3412][5]~74656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3412][5]~74656_combout\ = (\led_flash_cnt[3412][5]~q\ & (\led_flash_cnt[3412][4]~74655\ $ (GND))) # (!\led_flash_cnt[3412][5]~q\ & (!\led_flash_cnt[3412][4]~74655\ & VCC))
-- \led_flash_cnt[3412][5]~74657\ = CARRY((\led_flash_cnt[3412][5]~q\ & !\led_flash_cnt[3412][4]~74655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3412][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3412][4]~74655\,
	combout => \led_flash_cnt[3412][5]~74656_combout\,
	cout => \led_flash_cnt[3412][5]~74657\);

-- Location: FF_X63_Y34_N9
\led_flash_cnt[3412][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3412][5]~74656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3412][5]~q\);

-- Location: LCCOMB_X63_Y34_N10
\led_flash_cnt[3412][6]~74658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3412][6]~74658_combout\ = (\led_flash_cnt[3412][6]~q\ & (!\led_flash_cnt[3412][5]~74657\)) # (!\led_flash_cnt[3412][6]~q\ & ((\led_flash_cnt[3412][5]~74657\) # (GND)))
-- \led_flash_cnt[3412][6]~74659\ = CARRY((!\led_flash_cnt[3412][5]~74657\) # (!\led_flash_cnt[3412][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3412][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3412][5]~74657\,
	combout => \led_flash_cnt[3412][6]~74658_combout\,
	cout => \led_flash_cnt[3412][6]~74659\);

-- Location: FF_X63_Y34_N11
\led_flash_cnt[3412][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3412][6]~74658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3412][6]~q\);

-- Location: LCCOMB_X63_Y34_N12
\led_flash_cnt[3412][7]~74660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3412][7]~74660_combout\ = \led_flash_cnt[3412][6]~74659\ $ (!\led_flash_cnt[3412][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3412][7]~q\,
	cin => \led_flash_cnt[3412][6]~74659\,
	combout => \led_flash_cnt[3412][7]~74660_combout\);

-- Location: FF_X63_Y34_N13
\led_flash_cnt[3412][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3412][7]~74660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3412][7]~q\);

-- Location: LCCOMB_X63_Y34_N16
\WideAnd3412~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3412~1_combout\ = (\led_flash_cnt[3412][5]~q\ & \led_flash_cnt[3412][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3412][5]~q\,
	datad => \led_flash_cnt[3412][6]~q\,
	combout => \WideAnd3412~1_combout\);

-- Location: LCCOMB_X62_Y34_N20
WideAnd3412 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3412~combout\ = (\led_flash_cnt[3412][0]~q\ & (\WideAnd3412~0_combout\ & (\led_flash_cnt[3412][7]~q\ & \WideAnd3412~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3412][0]~q\,
	datab => \WideAnd3412~0_combout\,
	datac => \led_flash_cnt[3412][7]~q\,
	datad => \WideAnd3412~1_combout\,
	combout => \WideAnd3412~combout\);

-- Location: FF_X62_Y34_N21
\led_flash_cnt_ands[3412]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3412~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3412));

-- Location: LCCOMB_X62_Y34_N24
\WideAnd4266~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4266~1_combout\ = (led_flash_cnt_ands(3413) & led_flash_cnt_ands(3412))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3413),
	datad => led_flash_cnt_ands(3412),
	combout => \WideAnd4266~1_combout\);

-- Location: LCCOMB_X70_Y32_N2
\led_flash_cnt[3414][0]~84054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3414][0]~84054_combout\ = !\led_flash_cnt[3414][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3414][0]~q\,
	combout => \led_flash_cnt[3414][0]~84054_combout\);

-- Location: FF_X70_Y32_N3
\led_flash_cnt[3414][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3414][0]~84054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3414][0]~q\);

-- Location: LCCOMB_X69_Y32_N0
\led_flash_cnt[3414][1]~74676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3414][1]~74676_combout\ = (\led_flash_cnt[3414][0]~q\ & (\led_flash_cnt[3414][1]~q\ $ (VCC))) # (!\led_flash_cnt[3414][0]~q\ & (\led_flash_cnt[3414][1]~q\ & VCC))
-- \led_flash_cnt[3414][1]~74677\ = CARRY((\led_flash_cnt[3414][0]~q\ & \led_flash_cnt[3414][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3414][0]~q\,
	datab => \led_flash_cnt[3414][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3414][1]~74676_combout\,
	cout => \led_flash_cnt[3414][1]~74677\);

-- Location: FF_X69_Y32_N1
\led_flash_cnt[3414][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3414][1]~74676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3414][1]~q\);

-- Location: LCCOMB_X69_Y32_N2
\led_flash_cnt[3414][2]~74678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3414][2]~74678_combout\ = (\led_flash_cnt[3414][2]~q\ & (!\led_flash_cnt[3414][1]~74677\)) # (!\led_flash_cnt[3414][2]~q\ & ((\led_flash_cnt[3414][1]~74677\) # (GND)))
-- \led_flash_cnt[3414][2]~74679\ = CARRY((!\led_flash_cnt[3414][1]~74677\) # (!\led_flash_cnt[3414][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3414][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3414][1]~74677\,
	combout => \led_flash_cnt[3414][2]~74678_combout\,
	cout => \led_flash_cnt[3414][2]~74679\);

-- Location: FF_X69_Y32_N3
\led_flash_cnt[3414][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3414][2]~74678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3414][2]~q\);

-- Location: LCCOMB_X69_Y32_N4
\led_flash_cnt[3414][3]~74680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3414][3]~74680_combout\ = (\led_flash_cnt[3414][3]~q\ & (\led_flash_cnt[3414][2]~74679\ $ (GND))) # (!\led_flash_cnt[3414][3]~q\ & (!\led_flash_cnt[3414][2]~74679\ & VCC))
-- \led_flash_cnt[3414][3]~74681\ = CARRY((\led_flash_cnt[3414][3]~q\ & !\led_flash_cnt[3414][2]~74679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3414][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3414][2]~74679\,
	combout => \led_flash_cnt[3414][3]~74680_combout\,
	cout => \led_flash_cnt[3414][3]~74681\);

-- Location: FF_X69_Y32_N5
\led_flash_cnt[3414][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3414][3]~74680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3414][3]~q\);

-- Location: LCCOMB_X69_Y32_N6
\led_flash_cnt[3414][4]~74682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3414][4]~74682_combout\ = (\led_flash_cnt[3414][4]~q\ & (!\led_flash_cnt[3414][3]~74681\)) # (!\led_flash_cnt[3414][4]~q\ & ((\led_flash_cnt[3414][3]~74681\) # (GND)))
-- \led_flash_cnt[3414][4]~74683\ = CARRY((!\led_flash_cnt[3414][3]~74681\) # (!\led_flash_cnt[3414][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3414][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3414][3]~74681\,
	combout => \led_flash_cnt[3414][4]~74682_combout\,
	cout => \led_flash_cnt[3414][4]~74683\);

-- Location: FF_X69_Y32_N7
\led_flash_cnt[3414][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3414][4]~74682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3414][4]~q\);

-- Location: LCCOMB_X69_Y32_N8
\led_flash_cnt[3414][5]~74684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3414][5]~74684_combout\ = (\led_flash_cnt[3414][5]~q\ & (\led_flash_cnt[3414][4]~74683\ $ (GND))) # (!\led_flash_cnt[3414][5]~q\ & (!\led_flash_cnt[3414][4]~74683\ & VCC))
-- \led_flash_cnt[3414][5]~74685\ = CARRY((\led_flash_cnt[3414][5]~q\ & !\led_flash_cnt[3414][4]~74683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3414][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3414][4]~74683\,
	combout => \led_flash_cnt[3414][5]~74684_combout\,
	cout => \led_flash_cnt[3414][5]~74685\);

-- Location: FF_X69_Y32_N9
\led_flash_cnt[3414][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3414][5]~74684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3414][5]~q\);

-- Location: LCCOMB_X69_Y32_N10
\led_flash_cnt[3414][6]~74686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3414][6]~74686_combout\ = (\led_flash_cnt[3414][6]~q\ & (!\led_flash_cnt[3414][5]~74685\)) # (!\led_flash_cnt[3414][6]~q\ & ((\led_flash_cnt[3414][5]~74685\) # (GND)))
-- \led_flash_cnt[3414][6]~74687\ = CARRY((!\led_flash_cnt[3414][5]~74685\) # (!\led_flash_cnt[3414][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3414][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3414][5]~74685\,
	combout => \led_flash_cnt[3414][6]~74686_combout\,
	cout => \led_flash_cnt[3414][6]~74687\);

-- Location: FF_X69_Y32_N11
\led_flash_cnt[3414][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3414][6]~74686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3414][6]~q\);

-- Location: LCCOMB_X70_Y32_N28
\WideAnd3414~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3414~0_combout\ = (\led_flash_cnt[3414][5]~q\ & (\led_flash_cnt[3414][4]~q\ & (\led_flash_cnt[3414][1]~q\ & \led_flash_cnt[3414][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3414][5]~q\,
	datab => \led_flash_cnt[3414][4]~q\,
	datac => \led_flash_cnt[3414][1]~q\,
	datad => \led_flash_cnt[3414][2]~q\,
	combout => \WideAnd3414~0_combout\);

-- Location: LCCOMB_X70_Y32_N30
\WideAnd3414~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3414~1_combout\ = (\led_flash_cnt[3414][3]~q\ & \led_flash_cnt[3414][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3414][3]~q\,
	datad => \led_flash_cnt[3414][0]~q\,
	combout => \WideAnd3414~1_combout\);

-- Location: LCCOMB_X69_Y32_N12
\led_flash_cnt[3414][7]~74688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3414][7]~74688_combout\ = \led_flash_cnt[3414][6]~74687\ $ (!\led_flash_cnt[3414][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3414][7]~q\,
	cin => \led_flash_cnt[3414][6]~74687\,
	combout => \led_flash_cnt[3414][7]~74688_combout\);

-- Location: FF_X69_Y32_N13
\led_flash_cnt[3414][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3414][7]~74688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3414][7]~q\);

-- Location: LCCOMB_X70_Y32_N0
WideAnd3414 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3414~combout\ = (\led_flash_cnt[3414][6]~q\ & (\WideAnd3414~0_combout\ & (\WideAnd3414~1_combout\ & \led_flash_cnt[3414][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3414][6]~q\,
	datab => \WideAnd3414~0_combout\,
	datac => \WideAnd3414~1_combout\,
	datad => \led_flash_cnt[3414][7]~q\,
	combout => \WideAnd3414~combout\);

-- Location: FF_X70_Y32_N1
\led_flash_cnt_ands[3414]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3414~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3414));

-- Location: LCCOMB_X69_Y36_N26
WideAnd4266 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4266~combout\ = (\WideAnd4266~0_combout\ & (led_flash_cnt_ands(3415) & (\WideAnd4266~1_combout\ & led_flash_cnt_ands(3414))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4266~0_combout\,
	datab => led_flash_cnt_ands(3415),
	datac => \WideAnd4266~1_combout\,
	datad => led_flash_cnt_ands(3414),
	combout => \WideAnd4266~combout\);

-- Location: FF_X69_Y36_N27
\led_flash_cnt_ands_1[426]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4266~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(426));

-- Location: LCCOMB_X72_Y44_N8
\led_flash_cnt[3402][0]~84042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3402][0]~84042_combout\ = !\led_flash_cnt[3402][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3402][0]~q\,
	combout => \led_flash_cnt[3402][0]~84042_combout\);

-- Location: FF_X72_Y44_N9
\led_flash_cnt[3402][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3402][0]~84042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3402][0]~q\);

-- Location: LCCOMB_X72_Y44_N10
\led_flash_cnt[3402][1]~74508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3402][1]~74508_combout\ = (\led_flash_cnt[3402][1]~q\ & (\led_flash_cnt[3402][0]~q\ $ (VCC))) # (!\led_flash_cnt[3402][1]~q\ & (\led_flash_cnt[3402][0]~q\ & VCC))
-- \led_flash_cnt[3402][1]~74509\ = CARRY((\led_flash_cnt[3402][1]~q\ & \led_flash_cnt[3402][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3402][1]~q\,
	datab => \led_flash_cnt[3402][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3402][1]~74508_combout\,
	cout => \led_flash_cnt[3402][1]~74509\);

-- Location: FF_X72_Y44_N11
\led_flash_cnt[3402][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3402][1]~74508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3402][1]~q\);

-- Location: LCCOMB_X72_Y44_N12
\led_flash_cnt[3402][2]~74510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3402][2]~74510_combout\ = (\led_flash_cnt[3402][2]~q\ & (!\led_flash_cnt[3402][1]~74509\)) # (!\led_flash_cnt[3402][2]~q\ & ((\led_flash_cnt[3402][1]~74509\) # (GND)))
-- \led_flash_cnt[3402][2]~74511\ = CARRY((!\led_flash_cnt[3402][1]~74509\) # (!\led_flash_cnt[3402][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3402][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3402][1]~74509\,
	combout => \led_flash_cnt[3402][2]~74510_combout\,
	cout => \led_flash_cnt[3402][2]~74511\);

-- Location: FF_X72_Y44_N13
\led_flash_cnt[3402][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3402][2]~74510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3402][2]~q\);

-- Location: LCCOMB_X72_Y44_N14
\led_flash_cnt[3402][3]~74512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3402][3]~74512_combout\ = (\led_flash_cnt[3402][3]~q\ & (\led_flash_cnt[3402][2]~74511\ $ (GND))) # (!\led_flash_cnt[3402][3]~q\ & (!\led_flash_cnt[3402][2]~74511\ & VCC))
-- \led_flash_cnt[3402][3]~74513\ = CARRY((\led_flash_cnt[3402][3]~q\ & !\led_flash_cnt[3402][2]~74511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3402][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3402][2]~74511\,
	combout => \led_flash_cnt[3402][3]~74512_combout\,
	cout => \led_flash_cnt[3402][3]~74513\);

-- Location: FF_X72_Y44_N15
\led_flash_cnt[3402][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3402][3]~74512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3402][3]~q\);

-- Location: LCCOMB_X72_Y44_N16
\led_flash_cnt[3402][4]~74514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3402][4]~74514_combout\ = (\led_flash_cnt[3402][4]~q\ & (!\led_flash_cnt[3402][3]~74513\)) # (!\led_flash_cnt[3402][4]~q\ & ((\led_flash_cnt[3402][3]~74513\) # (GND)))
-- \led_flash_cnt[3402][4]~74515\ = CARRY((!\led_flash_cnt[3402][3]~74513\) # (!\led_flash_cnt[3402][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3402][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3402][3]~74513\,
	combout => \led_flash_cnt[3402][4]~74514_combout\,
	cout => \led_flash_cnt[3402][4]~74515\);

-- Location: FF_X72_Y44_N17
\led_flash_cnt[3402][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3402][4]~74514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3402][4]~q\);

-- Location: LCCOMB_X72_Y44_N18
\led_flash_cnt[3402][5]~74516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3402][5]~74516_combout\ = (\led_flash_cnt[3402][5]~q\ & (\led_flash_cnt[3402][4]~74515\ $ (GND))) # (!\led_flash_cnt[3402][5]~q\ & (!\led_flash_cnt[3402][4]~74515\ & VCC))
-- \led_flash_cnt[3402][5]~74517\ = CARRY((\led_flash_cnt[3402][5]~q\ & !\led_flash_cnt[3402][4]~74515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3402][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3402][4]~74515\,
	combout => \led_flash_cnt[3402][5]~74516_combout\,
	cout => \led_flash_cnt[3402][5]~74517\);

-- Location: FF_X72_Y44_N19
\led_flash_cnt[3402][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3402][5]~74516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3402][5]~q\);

-- Location: LCCOMB_X72_Y44_N20
\led_flash_cnt[3402][6]~74518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3402][6]~74518_combout\ = (\led_flash_cnt[3402][6]~q\ & (!\led_flash_cnt[3402][5]~74517\)) # (!\led_flash_cnt[3402][6]~q\ & ((\led_flash_cnt[3402][5]~74517\) # (GND)))
-- \led_flash_cnt[3402][6]~74519\ = CARRY((!\led_flash_cnt[3402][5]~74517\) # (!\led_flash_cnt[3402][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3402][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3402][5]~74517\,
	combout => \led_flash_cnt[3402][6]~74518_combout\,
	cout => \led_flash_cnt[3402][6]~74519\);

-- Location: FF_X72_Y44_N21
\led_flash_cnt[3402][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3402][6]~74518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3402][6]~q\);

-- Location: LCCOMB_X72_Y44_N26
\WideAnd3402~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3402~1_combout\ = (\led_flash_cnt[3402][5]~q\ & \led_flash_cnt[3402][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3402][5]~q\,
	datad => \led_flash_cnt[3402][6]~q\,
	combout => \WideAnd3402~1_combout\);

-- Location: LCCOMB_X72_Y44_N22
\led_flash_cnt[3402][7]~74520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3402][7]~74520_combout\ = \led_flash_cnt[3402][7]~q\ $ (!\led_flash_cnt[3402][6]~74519\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3402][7]~q\,
	cin => \led_flash_cnt[3402][6]~74519\,
	combout => \led_flash_cnt[3402][7]~74520_combout\);

-- Location: FF_X72_Y44_N23
\led_flash_cnt[3402][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3402][7]~74520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3402][7]~q\);

-- Location: LCCOMB_X72_Y44_N28
\WideAnd3402~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3402~0_combout\ = (\led_flash_cnt[3402][1]~q\ & (\led_flash_cnt[3402][4]~q\ & (\led_flash_cnt[3402][3]~q\ & \led_flash_cnt[3402][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3402][1]~q\,
	datab => \led_flash_cnt[3402][4]~q\,
	datac => \led_flash_cnt[3402][3]~q\,
	datad => \led_flash_cnt[3402][2]~q\,
	combout => \WideAnd3402~0_combout\);

-- Location: LCCOMB_X72_Y44_N30
WideAnd3402 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3402~combout\ = (\WideAnd3402~1_combout\ & (\led_flash_cnt[3402][0]~q\ & (\led_flash_cnt[3402][7]~q\ & \WideAnd3402~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3402~1_combout\,
	datab => \led_flash_cnt[3402][0]~q\,
	datac => \led_flash_cnt[3402][7]~q\,
	datad => \WideAnd3402~0_combout\,
	combout => \WideAnd3402~combout\);

-- Location: FF_X72_Y44_N31
\led_flash_cnt_ands[3402]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3402~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3402));

-- Location: LCCOMB_X77_Y44_N24
\led_flash_cnt[3403][0]~84043\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3403][0]~84043_combout\ = !\led_flash_cnt[3403][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3403][0]~q\,
	combout => \led_flash_cnt[3403][0]~84043_combout\);

-- Location: FF_X77_Y44_N25
\led_flash_cnt[3403][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3403][0]~84043_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3403][0]~q\);

-- Location: LCCOMB_X77_Y44_N8
\led_flash_cnt[3403][1]~74522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3403][1]~74522_combout\ = (\led_flash_cnt[3403][0]~q\ & (\led_flash_cnt[3403][1]~q\ $ (VCC))) # (!\led_flash_cnt[3403][0]~q\ & (\led_flash_cnt[3403][1]~q\ & VCC))
-- \led_flash_cnt[3403][1]~74523\ = CARRY((\led_flash_cnt[3403][0]~q\ & \led_flash_cnt[3403][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3403][0]~q\,
	datab => \led_flash_cnt[3403][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3403][1]~74522_combout\,
	cout => \led_flash_cnt[3403][1]~74523\);

-- Location: FF_X77_Y44_N9
\led_flash_cnt[3403][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3403][1]~74522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3403][1]~q\);

-- Location: LCCOMB_X77_Y44_N10
\led_flash_cnt[3403][2]~74524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3403][2]~74524_combout\ = (\led_flash_cnt[3403][2]~q\ & (!\led_flash_cnt[3403][1]~74523\)) # (!\led_flash_cnt[3403][2]~q\ & ((\led_flash_cnt[3403][1]~74523\) # (GND)))
-- \led_flash_cnt[3403][2]~74525\ = CARRY((!\led_flash_cnt[3403][1]~74523\) # (!\led_flash_cnt[3403][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3403][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3403][1]~74523\,
	combout => \led_flash_cnt[3403][2]~74524_combout\,
	cout => \led_flash_cnt[3403][2]~74525\);

-- Location: FF_X77_Y44_N11
\led_flash_cnt[3403][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3403][2]~74524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3403][2]~q\);

-- Location: LCCOMB_X77_Y44_N12
\led_flash_cnt[3403][3]~74526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3403][3]~74526_combout\ = (\led_flash_cnt[3403][3]~q\ & (\led_flash_cnt[3403][2]~74525\ $ (GND))) # (!\led_flash_cnt[3403][3]~q\ & (!\led_flash_cnt[3403][2]~74525\ & VCC))
-- \led_flash_cnt[3403][3]~74527\ = CARRY((\led_flash_cnt[3403][3]~q\ & !\led_flash_cnt[3403][2]~74525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3403][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3403][2]~74525\,
	combout => \led_flash_cnt[3403][3]~74526_combout\,
	cout => \led_flash_cnt[3403][3]~74527\);

-- Location: FF_X77_Y44_N13
\led_flash_cnt[3403][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3403][3]~74526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3403][3]~q\);

-- Location: LCCOMB_X77_Y44_N14
\led_flash_cnt[3403][4]~74528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3403][4]~74528_combout\ = (\led_flash_cnt[3403][4]~q\ & (!\led_flash_cnt[3403][3]~74527\)) # (!\led_flash_cnt[3403][4]~q\ & ((\led_flash_cnt[3403][3]~74527\) # (GND)))
-- \led_flash_cnt[3403][4]~74529\ = CARRY((!\led_flash_cnt[3403][3]~74527\) # (!\led_flash_cnt[3403][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3403][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3403][3]~74527\,
	combout => \led_flash_cnt[3403][4]~74528_combout\,
	cout => \led_flash_cnt[3403][4]~74529\);

-- Location: FF_X77_Y44_N15
\led_flash_cnt[3403][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3403][4]~74528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3403][4]~q\);

-- Location: LCCOMB_X77_Y44_N6
\WideAnd3403~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3403~0_combout\ = (\led_flash_cnt[3403][3]~q\ & (\led_flash_cnt[3403][4]~q\ & (\led_flash_cnt[3403][1]~q\ & \led_flash_cnt[3403][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3403][3]~q\,
	datab => \led_flash_cnt[3403][4]~q\,
	datac => \led_flash_cnt[3403][1]~q\,
	datad => \led_flash_cnt[3403][2]~q\,
	combout => \WideAnd3403~0_combout\);

-- Location: LCCOMB_X77_Y44_N16
\led_flash_cnt[3403][5]~74530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3403][5]~74530_combout\ = (\led_flash_cnt[3403][5]~q\ & (\led_flash_cnt[3403][4]~74529\ $ (GND))) # (!\led_flash_cnt[3403][5]~q\ & (!\led_flash_cnt[3403][4]~74529\ & VCC))
-- \led_flash_cnt[3403][5]~74531\ = CARRY((\led_flash_cnt[3403][5]~q\ & !\led_flash_cnt[3403][4]~74529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3403][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3403][4]~74529\,
	combout => \led_flash_cnt[3403][5]~74530_combout\,
	cout => \led_flash_cnt[3403][5]~74531\);

-- Location: FF_X77_Y44_N17
\led_flash_cnt[3403][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3403][5]~74530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3403][5]~q\);

-- Location: LCCOMB_X77_Y44_N18
\led_flash_cnt[3403][6]~74532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3403][6]~74532_combout\ = (\led_flash_cnt[3403][6]~q\ & (!\led_flash_cnt[3403][5]~74531\)) # (!\led_flash_cnt[3403][6]~q\ & ((\led_flash_cnt[3403][5]~74531\) # (GND)))
-- \led_flash_cnt[3403][6]~74533\ = CARRY((!\led_flash_cnt[3403][5]~74531\) # (!\led_flash_cnt[3403][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3403][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3403][5]~74531\,
	combout => \led_flash_cnt[3403][6]~74532_combout\,
	cout => \led_flash_cnt[3403][6]~74533\);

-- Location: FF_X77_Y44_N19
\led_flash_cnt[3403][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3403][6]~74532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3403][6]~q\);

-- Location: LCCOMB_X77_Y44_N20
\led_flash_cnt[3403][7]~74534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3403][7]~74534_combout\ = \led_flash_cnt[3403][6]~74533\ $ (!\led_flash_cnt[3403][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3403][7]~q\,
	cin => \led_flash_cnt[3403][6]~74533\,
	combout => \led_flash_cnt[3403][7]~74534_combout\);

-- Location: FF_X77_Y44_N21
\led_flash_cnt[3403][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3403][7]~74534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3403][7]~q\);

-- Location: LCCOMB_X77_Y44_N22
\WideAnd3403~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3403~1_combout\ = (\led_flash_cnt[3403][6]~q\ & \led_flash_cnt[3403][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3403][6]~q\,
	datad => \led_flash_cnt[3403][5]~q\,
	combout => \WideAnd3403~1_combout\);

-- Location: LCCOMB_X77_Y44_N26
WideAnd3403 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3403~combout\ = (\WideAnd3403~0_combout\ & (\led_flash_cnt[3403][7]~q\ & (\WideAnd3403~1_combout\ & \led_flash_cnt[3403][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3403~0_combout\,
	datab => \led_flash_cnt[3403][7]~q\,
	datac => \WideAnd3403~1_combout\,
	datad => \led_flash_cnt[3403][0]~q\,
	combout => \WideAnd3403~combout\);

-- Location: FF_X77_Y44_N27
\led_flash_cnt_ands[3403]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3403~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3403));

-- Location: LCCOMB_X72_Y37_N24
\led_flash_cnt[3400][0]~84040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3400][0]~84040_combout\ = !\led_flash_cnt[3400][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3400][0]~q\,
	combout => \led_flash_cnt[3400][0]~84040_combout\);

-- Location: FF_X72_Y37_N25
\led_flash_cnt[3400][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3400][0]~84040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3400][0]~q\);

-- Location: LCCOMB_X72_Y37_N8
\led_flash_cnt[3400][1]~74480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3400][1]~74480_combout\ = (\led_flash_cnt[3400][1]~q\ & (\led_flash_cnt[3400][0]~q\ $ (VCC))) # (!\led_flash_cnt[3400][1]~q\ & (\led_flash_cnt[3400][0]~q\ & VCC))
-- \led_flash_cnt[3400][1]~74481\ = CARRY((\led_flash_cnt[3400][1]~q\ & \led_flash_cnt[3400][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3400][1]~q\,
	datab => \led_flash_cnt[3400][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3400][1]~74480_combout\,
	cout => \led_flash_cnt[3400][1]~74481\);

-- Location: FF_X72_Y37_N9
\led_flash_cnt[3400][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3400][1]~74480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3400][1]~q\);

-- Location: LCCOMB_X72_Y37_N10
\led_flash_cnt[3400][2]~74482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3400][2]~74482_combout\ = (\led_flash_cnt[3400][2]~q\ & (!\led_flash_cnt[3400][1]~74481\)) # (!\led_flash_cnt[3400][2]~q\ & ((\led_flash_cnt[3400][1]~74481\) # (GND)))
-- \led_flash_cnt[3400][2]~74483\ = CARRY((!\led_flash_cnt[3400][1]~74481\) # (!\led_flash_cnt[3400][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3400][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3400][1]~74481\,
	combout => \led_flash_cnt[3400][2]~74482_combout\,
	cout => \led_flash_cnt[3400][2]~74483\);

-- Location: FF_X72_Y37_N11
\led_flash_cnt[3400][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3400][2]~74482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3400][2]~q\);

-- Location: LCCOMB_X72_Y37_N12
\led_flash_cnt[3400][3]~74484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3400][3]~74484_combout\ = (\led_flash_cnt[3400][3]~q\ & (\led_flash_cnt[3400][2]~74483\ $ (GND))) # (!\led_flash_cnt[3400][3]~q\ & (!\led_flash_cnt[3400][2]~74483\ & VCC))
-- \led_flash_cnt[3400][3]~74485\ = CARRY((\led_flash_cnt[3400][3]~q\ & !\led_flash_cnt[3400][2]~74483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3400][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3400][2]~74483\,
	combout => \led_flash_cnt[3400][3]~74484_combout\,
	cout => \led_flash_cnt[3400][3]~74485\);

-- Location: FF_X72_Y37_N13
\led_flash_cnt[3400][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3400][3]~74484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3400][3]~q\);

-- Location: LCCOMB_X72_Y37_N14
\led_flash_cnt[3400][4]~74486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3400][4]~74486_combout\ = (\led_flash_cnt[3400][4]~q\ & (!\led_flash_cnt[3400][3]~74485\)) # (!\led_flash_cnt[3400][4]~q\ & ((\led_flash_cnt[3400][3]~74485\) # (GND)))
-- \led_flash_cnt[3400][4]~74487\ = CARRY((!\led_flash_cnt[3400][3]~74485\) # (!\led_flash_cnt[3400][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3400][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3400][3]~74485\,
	combout => \led_flash_cnt[3400][4]~74486_combout\,
	cout => \led_flash_cnt[3400][4]~74487\);

-- Location: FF_X72_Y37_N15
\led_flash_cnt[3400][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3400][4]~74486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3400][4]~q\);

-- Location: LCCOMB_X72_Y37_N16
\led_flash_cnt[3400][5]~74488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3400][5]~74488_combout\ = (\led_flash_cnt[3400][5]~q\ & (\led_flash_cnt[3400][4]~74487\ $ (GND))) # (!\led_flash_cnt[3400][5]~q\ & (!\led_flash_cnt[3400][4]~74487\ & VCC))
-- \led_flash_cnt[3400][5]~74489\ = CARRY((\led_flash_cnt[3400][5]~q\ & !\led_flash_cnt[3400][4]~74487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3400][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3400][4]~74487\,
	combout => \led_flash_cnt[3400][5]~74488_combout\,
	cout => \led_flash_cnt[3400][5]~74489\);

-- Location: FF_X72_Y37_N17
\led_flash_cnt[3400][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3400][5]~74488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3400][5]~q\);

-- Location: LCCOMB_X72_Y37_N18
\led_flash_cnt[3400][6]~74490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3400][6]~74490_combout\ = (\led_flash_cnt[3400][6]~q\ & (!\led_flash_cnt[3400][5]~74489\)) # (!\led_flash_cnt[3400][6]~q\ & ((\led_flash_cnt[3400][5]~74489\) # (GND)))
-- \led_flash_cnt[3400][6]~74491\ = CARRY((!\led_flash_cnt[3400][5]~74489\) # (!\led_flash_cnt[3400][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3400][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3400][5]~74489\,
	combout => \led_flash_cnt[3400][6]~74490_combout\,
	cout => \led_flash_cnt[3400][6]~74491\);

-- Location: FF_X72_Y37_N19
\led_flash_cnt[3400][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3400][6]~74490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3400][6]~q\);

-- Location: LCCOMB_X72_Y37_N26
\WideAnd3400~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3400~1_combout\ = (\led_flash_cnt[3400][6]~q\ & \led_flash_cnt[3400][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3400][6]~q\,
	datad => \led_flash_cnt[3400][5]~q\,
	combout => \WideAnd3400~1_combout\);

-- Location: LCCOMB_X72_Y37_N20
\led_flash_cnt[3400][7]~74492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3400][7]~74492_combout\ = \led_flash_cnt[3400][6]~74491\ $ (!\led_flash_cnt[3400][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3400][7]~q\,
	cin => \led_flash_cnt[3400][6]~74491\,
	combout => \led_flash_cnt[3400][7]~74492_combout\);

-- Location: FF_X72_Y37_N21
\led_flash_cnt[3400][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3400][7]~74492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3400][7]~q\);

-- Location: LCCOMB_X72_Y37_N4
\WideAnd3400~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3400~0_combout\ = (\led_flash_cnt[3400][3]~q\ & (\led_flash_cnt[3400][1]~q\ & (\led_flash_cnt[3400][4]~q\ & \led_flash_cnt[3400][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3400][3]~q\,
	datab => \led_flash_cnt[3400][1]~q\,
	datac => \led_flash_cnt[3400][4]~q\,
	datad => \led_flash_cnt[3400][2]~q\,
	combout => \WideAnd3400~0_combout\);

-- Location: LCCOMB_X72_Y37_N22
WideAnd3400 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3400~combout\ = (\WideAnd3400~1_combout\ & (\led_flash_cnt[3400][7]~q\ & (\WideAnd3400~0_combout\ & \led_flash_cnt[3400][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3400~1_combout\,
	datab => \led_flash_cnt[3400][7]~q\,
	datac => \WideAnd3400~0_combout\,
	datad => \led_flash_cnt[3400][0]~q\,
	combout => \WideAnd3400~combout\);

-- Location: FF_X72_Y37_N23
\led_flash_cnt_ands[3400]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3400~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3400));

-- Location: LCCOMB_X72_Y44_N2
\led_flash_cnt[3401][0]~84041\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3401][0]~84041_combout\ = !\led_flash_cnt[3401][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3401][0]~q\,
	combout => \led_flash_cnt[3401][0]~84041_combout\);

-- Location: FF_X72_Y44_N3
\led_flash_cnt[3401][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3401][0]~84041_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3401][0]~q\);

-- Location: LCCOMB_X71_Y44_N18
\led_flash_cnt[3401][1]~74494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3401][1]~74494_combout\ = (\led_flash_cnt[3401][0]~q\ & (\led_flash_cnt[3401][1]~q\ $ (VCC))) # (!\led_flash_cnt[3401][0]~q\ & (\led_flash_cnt[3401][1]~q\ & VCC))
-- \led_flash_cnt[3401][1]~74495\ = CARRY((\led_flash_cnt[3401][0]~q\ & \led_flash_cnt[3401][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3401][0]~q\,
	datab => \led_flash_cnt[3401][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3401][1]~74494_combout\,
	cout => \led_flash_cnt[3401][1]~74495\);

-- Location: FF_X71_Y44_N19
\led_flash_cnt[3401][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3401][1]~74494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3401][1]~q\);

-- Location: LCCOMB_X71_Y44_N20
\led_flash_cnt[3401][2]~74496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3401][2]~74496_combout\ = (\led_flash_cnt[3401][2]~q\ & (!\led_flash_cnt[3401][1]~74495\)) # (!\led_flash_cnt[3401][2]~q\ & ((\led_flash_cnt[3401][1]~74495\) # (GND)))
-- \led_flash_cnt[3401][2]~74497\ = CARRY((!\led_flash_cnt[3401][1]~74495\) # (!\led_flash_cnt[3401][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3401][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3401][1]~74495\,
	combout => \led_flash_cnt[3401][2]~74496_combout\,
	cout => \led_flash_cnt[3401][2]~74497\);

-- Location: FF_X71_Y44_N21
\led_flash_cnt[3401][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3401][2]~74496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3401][2]~q\);

-- Location: LCCOMB_X71_Y44_N22
\led_flash_cnt[3401][3]~74498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3401][3]~74498_combout\ = (\led_flash_cnt[3401][3]~q\ & (\led_flash_cnt[3401][2]~74497\ $ (GND))) # (!\led_flash_cnt[3401][3]~q\ & (!\led_flash_cnt[3401][2]~74497\ & VCC))
-- \led_flash_cnt[3401][3]~74499\ = CARRY((\led_flash_cnt[3401][3]~q\ & !\led_flash_cnt[3401][2]~74497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3401][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3401][2]~74497\,
	combout => \led_flash_cnt[3401][3]~74498_combout\,
	cout => \led_flash_cnt[3401][3]~74499\);

-- Location: FF_X71_Y44_N23
\led_flash_cnt[3401][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3401][3]~74498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3401][3]~q\);

-- Location: LCCOMB_X71_Y44_N24
\led_flash_cnt[3401][4]~74500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3401][4]~74500_combout\ = (\led_flash_cnt[3401][4]~q\ & (!\led_flash_cnt[3401][3]~74499\)) # (!\led_flash_cnt[3401][4]~q\ & ((\led_flash_cnt[3401][3]~74499\) # (GND)))
-- \led_flash_cnt[3401][4]~74501\ = CARRY((!\led_flash_cnt[3401][3]~74499\) # (!\led_flash_cnt[3401][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3401][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3401][3]~74499\,
	combout => \led_flash_cnt[3401][4]~74500_combout\,
	cout => \led_flash_cnt[3401][4]~74501\);

-- Location: FF_X71_Y44_N25
\led_flash_cnt[3401][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3401][4]~74500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3401][4]~q\);

-- Location: LCCOMB_X71_Y44_N26
\led_flash_cnt[3401][5]~74502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3401][5]~74502_combout\ = (\led_flash_cnt[3401][5]~q\ & (\led_flash_cnt[3401][4]~74501\ $ (GND))) # (!\led_flash_cnt[3401][5]~q\ & (!\led_flash_cnt[3401][4]~74501\ & VCC))
-- \led_flash_cnt[3401][5]~74503\ = CARRY((\led_flash_cnt[3401][5]~q\ & !\led_flash_cnt[3401][4]~74501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3401][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3401][4]~74501\,
	combout => \led_flash_cnt[3401][5]~74502_combout\,
	cout => \led_flash_cnt[3401][5]~74503\);

-- Location: FF_X71_Y44_N27
\led_flash_cnt[3401][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3401][5]~74502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3401][5]~q\);

-- Location: LCCOMB_X71_Y44_N28
\led_flash_cnt[3401][6]~74504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3401][6]~74504_combout\ = (\led_flash_cnt[3401][6]~q\ & (!\led_flash_cnt[3401][5]~74503\)) # (!\led_flash_cnt[3401][6]~q\ & ((\led_flash_cnt[3401][5]~74503\) # (GND)))
-- \led_flash_cnt[3401][6]~74505\ = CARRY((!\led_flash_cnt[3401][5]~74503\) # (!\led_flash_cnt[3401][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3401][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3401][5]~74503\,
	combout => \led_flash_cnt[3401][6]~74504_combout\,
	cout => \led_flash_cnt[3401][6]~74505\);

-- Location: FF_X71_Y44_N29
\led_flash_cnt[3401][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3401][6]~74504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3401][6]~q\);

-- Location: LCCOMB_X72_Y44_N6
\WideAnd3401~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3401~1_combout\ = (\led_flash_cnt[3401][5]~q\ & \led_flash_cnt[3401][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3401][5]~q\,
	datad => \led_flash_cnt[3401][6]~q\,
	combout => \WideAnd3401~1_combout\);

-- Location: LCCOMB_X71_Y44_N30
\led_flash_cnt[3401][7]~74506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3401][7]~74506_combout\ = \led_flash_cnt[3401][7]~q\ $ (!\led_flash_cnt[3401][6]~74505\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3401][7]~q\,
	cin => \led_flash_cnt[3401][6]~74505\,
	combout => \led_flash_cnt[3401][7]~74506_combout\);

-- Location: FF_X71_Y44_N31
\led_flash_cnt[3401][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3401][7]~74506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3401][7]~q\);

-- Location: LCCOMB_X71_Y44_N16
\WideAnd3401~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3401~0_combout\ = (\led_flash_cnt[3401][4]~q\ & (\led_flash_cnt[3401][2]~q\ & (\led_flash_cnt[3401][3]~q\ & \led_flash_cnt[3401][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3401][4]~q\,
	datab => \led_flash_cnt[3401][2]~q\,
	datac => \led_flash_cnt[3401][3]~q\,
	datad => \led_flash_cnt[3401][1]~q\,
	combout => \WideAnd3401~0_combout\);

-- Location: LCCOMB_X72_Y44_N0
WideAnd3401 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3401~combout\ = (\WideAnd3401~1_combout\ & (\led_flash_cnt[3401][7]~q\ & (\WideAnd3401~0_combout\ & \led_flash_cnt[3401][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3401~1_combout\,
	datab => \led_flash_cnt[3401][7]~q\,
	datac => \WideAnd3401~0_combout\,
	datad => \led_flash_cnt[3401][0]~q\,
	combout => \WideAnd3401~combout\);

-- Location: FF_X72_Y44_N1
\led_flash_cnt_ands[3401]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3401~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3401));

-- Location: LCCOMB_X72_Y44_N24
\WideAnd4265~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4265~0_combout\ = (led_flash_cnt_ands(3402) & (led_flash_cnt_ands(3403) & (led_flash_cnt_ands(3400) & led_flash_cnt_ands(3401))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3402),
	datab => led_flash_cnt_ands(3403),
	datac => led_flash_cnt_ands(3400),
	datad => led_flash_cnt_ands(3401),
	combout => \WideAnd4265~0_combout\);

-- Location: LCCOMB_X70_Y47_N28
\led_flash_cnt[3405][0]~84045\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3405][0]~84045_combout\ = !\led_flash_cnt[3405][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3405][0]~q\,
	combout => \led_flash_cnt[3405][0]~84045_combout\);

-- Location: FF_X70_Y47_N29
\led_flash_cnt[3405][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3405][0]~84045_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3405][0]~q\);

-- Location: LCCOMB_X69_Y47_N18
\led_flash_cnt[3405][1]~74550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3405][1]~74550_combout\ = (\led_flash_cnt[3405][1]~q\ & (\led_flash_cnt[3405][0]~q\ $ (VCC))) # (!\led_flash_cnt[3405][1]~q\ & (\led_flash_cnt[3405][0]~q\ & VCC))
-- \led_flash_cnt[3405][1]~74551\ = CARRY((\led_flash_cnt[3405][1]~q\ & \led_flash_cnt[3405][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3405][1]~q\,
	datab => \led_flash_cnt[3405][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3405][1]~74550_combout\,
	cout => \led_flash_cnt[3405][1]~74551\);

-- Location: FF_X69_Y47_N19
\led_flash_cnt[3405][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3405][1]~74550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3405][1]~q\);

-- Location: LCCOMB_X69_Y47_N20
\led_flash_cnt[3405][2]~74552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3405][2]~74552_combout\ = (\led_flash_cnt[3405][2]~q\ & (!\led_flash_cnt[3405][1]~74551\)) # (!\led_flash_cnt[3405][2]~q\ & ((\led_flash_cnt[3405][1]~74551\) # (GND)))
-- \led_flash_cnt[3405][2]~74553\ = CARRY((!\led_flash_cnt[3405][1]~74551\) # (!\led_flash_cnt[3405][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3405][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3405][1]~74551\,
	combout => \led_flash_cnt[3405][2]~74552_combout\,
	cout => \led_flash_cnt[3405][2]~74553\);

-- Location: FF_X69_Y47_N21
\led_flash_cnt[3405][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3405][2]~74552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3405][2]~q\);

-- Location: LCCOMB_X69_Y47_N22
\led_flash_cnt[3405][3]~74554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3405][3]~74554_combout\ = (\led_flash_cnt[3405][3]~q\ & (\led_flash_cnt[3405][2]~74553\ $ (GND))) # (!\led_flash_cnt[3405][3]~q\ & (!\led_flash_cnt[3405][2]~74553\ & VCC))
-- \led_flash_cnt[3405][3]~74555\ = CARRY((\led_flash_cnt[3405][3]~q\ & !\led_flash_cnt[3405][2]~74553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3405][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3405][2]~74553\,
	combout => \led_flash_cnt[3405][3]~74554_combout\,
	cout => \led_flash_cnt[3405][3]~74555\);

-- Location: FF_X69_Y47_N23
\led_flash_cnt[3405][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3405][3]~74554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3405][3]~q\);

-- Location: LCCOMB_X69_Y47_N24
\led_flash_cnt[3405][4]~74556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3405][4]~74556_combout\ = (\led_flash_cnt[3405][4]~q\ & (!\led_flash_cnt[3405][3]~74555\)) # (!\led_flash_cnt[3405][4]~q\ & ((\led_flash_cnt[3405][3]~74555\) # (GND)))
-- \led_flash_cnt[3405][4]~74557\ = CARRY((!\led_flash_cnt[3405][3]~74555\) # (!\led_flash_cnt[3405][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3405][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3405][3]~74555\,
	combout => \led_flash_cnt[3405][4]~74556_combout\,
	cout => \led_flash_cnt[3405][4]~74557\);

-- Location: FF_X69_Y47_N25
\led_flash_cnt[3405][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3405][4]~74556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3405][4]~q\);

-- Location: LCCOMB_X69_Y47_N14
\WideAnd3405~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3405~0_combout\ = (\led_flash_cnt[3405][1]~q\ & (\led_flash_cnt[3405][2]~q\ & (\led_flash_cnt[3405][3]~q\ & \led_flash_cnt[3405][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3405][1]~q\,
	datab => \led_flash_cnt[3405][2]~q\,
	datac => \led_flash_cnt[3405][3]~q\,
	datad => \led_flash_cnt[3405][4]~q\,
	combout => \WideAnd3405~0_combout\);

-- Location: LCCOMB_X69_Y47_N26
\led_flash_cnt[3405][5]~74558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3405][5]~74558_combout\ = (\led_flash_cnt[3405][5]~q\ & (\led_flash_cnt[3405][4]~74557\ $ (GND))) # (!\led_flash_cnt[3405][5]~q\ & (!\led_flash_cnt[3405][4]~74557\ & VCC))
-- \led_flash_cnt[3405][5]~74559\ = CARRY((\led_flash_cnt[3405][5]~q\ & !\led_flash_cnt[3405][4]~74557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3405][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3405][4]~74557\,
	combout => \led_flash_cnt[3405][5]~74558_combout\,
	cout => \led_flash_cnt[3405][5]~74559\);

-- Location: FF_X69_Y47_N27
\led_flash_cnt[3405][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3405][5]~74558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3405][5]~q\);

-- Location: LCCOMB_X69_Y47_N28
\led_flash_cnt[3405][6]~74560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3405][6]~74560_combout\ = (\led_flash_cnt[3405][6]~q\ & (!\led_flash_cnt[3405][5]~74559\)) # (!\led_flash_cnt[3405][6]~q\ & ((\led_flash_cnt[3405][5]~74559\) # (GND)))
-- \led_flash_cnt[3405][6]~74561\ = CARRY((!\led_flash_cnt[3405][5]~74559\) # (!\led_flash_cnt[3405][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3405][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3405][5]~74559\,
	combout => \led_flash_cnt[3405][6]~74560_combout\,
	cout => \led_flash_cnt[3405][6]~74561\);

-- Location: FF_X69_Y47_N29
\led_flash_cnt[3405][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3405][6]~74560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3405][6]~q\);

-- Location: LCCOMB_X69_Y47_N30
\led_flash_cnt[3405][7]~74562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3405][7]~74562_combout\ = \led_flash_cnt[3405][7]~q\ $ (!\led_flash_cnt[3405][6]~74561\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3405][7]~q\,
	cin => \led_flash_cnt[3405][6]~74561\,
	combout => \led_flash_cnt[3405][7]~74562_combout\);

-- Location: FF_X69_Y47_N31
\led_flash_cnt[3405][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3405][7]~74562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3405][7]~q\);

-- Location: LCCOMB_X70_Y47_N30
\WideAnd3405~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3405~1_combout\ = (\led_flash_cnt[3405][5]~q\ & \led_flash_cnt[3405][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3405][5]~q\,
	datad => \led_flash_cnt[3405][6]~q\,
	combout => \WideAnd3405~1_combout\);

-- Location: LCCOMB_X70_Y47_N22
WideAnd3405 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3405~combout\ = (\WideAnd3405~0_combout\ & (\led_flash_cnt[3405][7]~q\ & (\WideAnd3405~1_combout\ & \led_flash_cnt[3405][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3405~0_combout\,
	datab => \led_flash_cnt[3405][7]~q\,
	datac => \WideAnd3405~1_combout\,
	datad => \led_flash_cnt[3405][0]~q\,
	combout => \WideAnd3405~combout\);

-- Location: FF_X70_Y47_N23
\led_flash_cnt_ands[3405]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3405~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3405));

-- Location: LCCOMB_X70_Y47_N18
\led_flash_cnt[3404][0]~84044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3404][0]~84044_combout\ = !\led_flash_cnt[3404][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3404][0]~q\,
	combout => \led_flash_cnt[3404][0]~84044_combout\);

-- Location: FF_X70_Y47_N19
\led_flash_cnt[3404][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3404][0]~84044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3404][0]~q\);

-- Location: LCCOMB_X70_Y47_N2
\led_flash_cnt[3404][1]~74536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3404][1]~74536_combout\ = (\led_flash_cnt[3404][1]~q\ & (\led_flash_cnt[3404][0]~q\ $ (VCC))) # (!\led_flash_cnt[3404][1]~q\ & (\led_flash_cnt[3404][0]~q\ & VCC))
-- \led_flash_cnt[3404][1]~74537\ = CARRY((\led_flash_cnt[3404][1]~q\ & \led_flash_cnt[3404][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3404][1]~q\,
	datab => \led_flash_cnt[3404][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3404][1]~74536_combout\,
	cout => \led_flash_cnt[3404][1]~74537\);

-- Location: FF_X70_Y47_N3
\led_flash_cnt[3404][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3404][1]~74536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3404][1]~q\);

-- Location: LCCOMB_X70_Y47_N4
\led_flash_cnt[3404][2]~74538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3404][2]~74538_combout\ = (\led_flash_cnt[3404][2]~q\ & (!\led_flash_cnt[3404][1]~74537\)) # (!\led_flash_cnt[3404][2]~q\ & ((\led_flash_cnt[3404][1]~74537\) # (GND)))
-- \led_flash_cnt[3404][2]~74539\ = CARRY((!\led_flash_cnt[3404][1]~74537\) # (!\led_flash_cnt[3404][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3404][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3404][1]~74537\,
	combout => \led_flash_cnt[3404][2]~74538_combout\,
	cout => \led_flash_cnt[3404][2]~74539\);

-- Location: FF_X70_Y47_N5
\led_flash_cnt[3404][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3404][2]~74538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3404][2]~q\);

-- Location: LCCOMB_X70_Y47_N6
\led_flash_cnt[3404][3]~74540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3404][3]~74540_combout\ = (\led_flash_cnt[3404][3]~q\ & (\led_flash_cnt[3404][2]~74539\ $ (GND))) # (!\led_flash_cnt[3404][3]~q\ & (!\led_flash_cnt[3404][2]~74539\ & VCC))
-- \led_flash_cnt[3404][3]~74541\ = CARRY((\led_flash_cnt[3404][3]~q\ & !\led_flash_cnt[3404][2]~74539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3404][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3404][2]~74539\,
	combout => \led_flash_cnt[3404][3]~74540_combout\,
	cout => \led_flash_cnt[3404][3]~74541\);

-- Location: FF_X70_Y47_N7
\led_flash_cnt[3404][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3404][3]~74540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3404][3]~q\);

-- Location: LCCOMB_X70_Y47_N8
\led_flash_cnt[3404][4]~74542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3404][4]~74542_combout\ = (\led_flash_cnt[3404][4]~q\ & (!\led_flash_cnt[3404][3]~74541\)) # (!\led_flash_cnt[3404][4]~q\ & ((\led_flash_cnt[3404][3]~74541\) # (GND)))
-- \led_flash_cnt[3404][4]~74543\ = CARRY((!\led_flash_cnt[3404][3]~74541\) # (!\led_flash_cnt[3404][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3404][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3404][3]~74541\,
	combout => \led_flash_cnt[3404][4]~74542_combout\,
	cout => \led_flash_cnt[3404][4]~74543\);

-- Location: FF_X70_Y47_N9
\led_flash_cnt[3404][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3404][4]~74542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3404][4]~q\);

-- Location: LCCOMB_X70_Y47_N10
\led_flash_cnt[3404][5]~74544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3404][5]~74544_combout\ = (\led_flash_cnt[3404][5]~q\ & (\led_flash_cnt[3404][4]~74543\ $ (GND))) # (!\led_flash_cnt[3404][5]~q\ & (!\led_flash_cnt[3404][4]~74543\ & VCC))
-- \led_flash_cnt[3404][5]~74545\ = CARRY((\led_flash_cnt[3404][5]~q\ & !\led_flash_cnt[3404][4]~74543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3404][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3404][4]~74543\,
	combout => \led_flash_cnt[3404][5]~74544_combout\,
	cout => \led_flash_cnt[3404][5]~74545\);

-- Location: FF_X70_Y47_N11
\led_flash_cnt[3404][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3404][5]~74544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3404][5]~q\);

-- Location: LCCOMB_X70_Y47_N12
\led_flash_cnt[3404][6]~74546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3404][6]~74546_combout\ = (\led_flash_cnt[3404][6]~q\ & (!\led_flash_cnt[3404][5]~74545\)) # (!\led_flash_cnt[3404][6]~q\ & ((\led_flash_cnt[3404][5]~74545\) # (GND)))
-- \led_flash_cnt[3404][6]~74547\ = CARRY((!\led_flash_cnt[3404][5]~74545\) # (!\led_flash_cnt[3404][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3404][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3404][5]~74545\,
	combout => \led_flash_cnt[3404][6]~74546_combout\,
	cout => \led_flash_cnt[3404][6]~74547\);

-- Location: FF_X70_Y47_N13
\led_flash_cnt[3404][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3404][6]~74546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3404][6]~q\);

-- Location: LCCOMB_X70_Y47_N26
\WideAnd3404~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3404~1_combout\ = (\led_flash_cnt[3404][6]~q\ & \led_flash_cnt[3404][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3404][6]~q\,
	datad => \led_flash_cnt[3404][5]~q\,
	combout => \WideAnd3404~1_combout\);

-- Location: LCCOMB_X70_Y47_N24
\WideAnd3404~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3404~0_combout\ = (\led_flash_cnt[3404][1]~q\ & (\led_flash_cnt[3404][4]~q\ & (\led_flash_cnt[3404][2]~q\ & \led_flash_cnt[3404][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3404][1]~q\,
	datab => \led_flash_cnt[3404][4]~q\,
	datac => \led_flash_cnt[3404][2]~q\,
	datad => \led_flash_cnt[3404][3]~q\,
	combout => \WideAnd3404~0_combout\);

-- Location: LCCOMB_X70_Y47_N14
\led_flash_cnt[3404][7]~74548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3404][7]~74548_combout\ = \led_flash_cnt[3404][7]~q\ $ (!\led_flash_cnt[3404][6]~74547\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3404][7]~q\,
	cin => \led_flash_cnt[3404][6]~74547\,
	combout => \led_flash_cnt[3404][7]~74548_combout\);

-- Location: FF_X70_Y47_N15
\led_flash_cnt[3404][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3404][7]~74548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3404][7]~q\);

-- Location: LCCOMB_X70_Y47_N0
WideAnd3404 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3404~combout\ = (\WideAnd3404~1_combout\ & (\WideAnd3404~0_combout\ & (\led_flash_cnt[3404][7]~q\ & \led_flash_cnt[3404][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3404~1_combout\,
	datab => \WideAnd3404~0_combout\,
	datac => \led_flash_cnt[3404][7]~q\,
	datad => \led_flash_cnt[3404][0]~q\,
	combout => \WideAnd3404~combout\);

-- Location: FF_X70_Y47_N1
\led_flash_cnt_ands[3404]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3404~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3404));

-- Location: LCCOMB_X70_Y47_N20
\WideAnd4265~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4265~1_combout\ = (led_flash_cnt_ands(3405) & led_flash_cnt_ands(3404))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3405),
	datad => led_flash_cnt_ands(3404),
	combout => \WideAnd4265~1_combout\);

-- Location: LCCOMB_X71_Y47_N12
\led_flash_cnt[3407][0]~84047\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3407][0]~84047_combout\ = !\led_flash_cnt[3407][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3407][0]~q\,
	combout => \led_flash_cnt[3407][0]~84047_combout\);

-- Location: FF_X71_Y47_N13
\led_flash_cnt[3407][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3407][0]~84047_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3407][0]~q\);

-- Location: LCCOMB_X71_Y47_N18
\led_flash_cnt[3407][1]~74578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3407][1]~74578_combout\ = (\led_flash_cnt[3407][0]~q\ & (\led_flash_cnt[3407][1]~q\ $ (VCC))) # (!\led_flash_cnt[3407][0]~q\ & (\led_flash_cnt[3407][1]~q\ & VCC))
-- \led_flash_cnt[3407][1]~74579\ = CARRY((\led_flash_cnt[3407][0]~q\ & \led_flash_cnt[3407][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3407][0]~q\,
	datab => \led_flash_cnt[3407][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3407][1]~74578_combout\,
	cout => \led_flash_cnt[3407][1]~74579\);

-- Location: FF_X71_Y47_N19
\led_flash_cnt[3407][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3407][1]~74578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3407][1]~q\);

-- Location: LCCOMB_X71_Y47_N20
\led_flash_cnt[3407][2]~74580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3407][2]~74580_combout\ = (\led_flash_cnt[3407][2]~q\ & (!\led_flash_cnt[3407][1]~74579\)) # (!\led_flash_cnt[3407][2]~q\ & ((\led_flash_cnt[3407][1]~74579\) # (GND)))
-- \led_flash_cnt[3407][2]~74581\ = CARRY((!\led_flash_cnt[3407][1]~74579\) # (!\led_flash_cnt[3407][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3407][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3407][1]~74579\,
	combout => \led_flash_cnt[3407][2]~74580_combout\,
	cout => \led_flash_cnt[3407][2]~74581\);

-- Location: FF_X71_Y47_N21
\led_flash_cnt[3407][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3407][2]~74580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3407][2]~q\);

-- Location: LCCOMB_X71_Y47_N22
\led_flash_cnt[3407][3]~74582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3407][3]~74582_combout\ = (\led_flash_cnt[3407][3]~q\ & (\led_flash_cnt[3407][2]~74581\ $ (GND))) # (!\led_flash_cnt[3407][3]~q\ & (!\led_flash_cnt[3407][2]~74581\ & VCC))
-- \led_flash_cnt[3407][3]~74583\ = CARRY((\led_flash_cnt[3407][3]~q\ & !\led_flash_cnt[3407][2]~74581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3407][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3407][2]~74581\,
	combout => \led_flash_cnt[3407][3]~74582_combout\,
	cout => \led_flash_cnt[3407][3]~74583\);

-- Location: FF_X71_Y47_N23
\led_flash_cnt[3407][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3407][3]~74582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3407][3]~q\);

-- Location: LCCOMB_X71_Y47_N24
\led_flash_cnt[3407][4]~74584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3407][4]~74584_combout\ = (\led_flash_cnt[3407][4]~q\ & (!\led_flash_cnt[3407][3]~74583\)) # (!\led_flash_cnt[3407][4]~q\ & ((\led_flash_cnt[3407][3]~74583\) # (GND)))
-- \led_flash_cnt[3407][4]~74585\ = CARRY((!\led_flash_cnt[3407][3]~74583\) # (!\led_flash_cnt[3407][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3407][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3407][3]~74583\,
	combout => \led_flash_cnt[3407][4]~74584_combout\,
	cout => \led_flash_cnt[3407][4]~74585\);

-- Location: FF_X71_Y47_N25
\led_flash_cnt[3407][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3407][4]~74584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3407][4]~q\);

-- Location: LCCOMB_X71_Y47_N26
\led_flash_cnt[3407][5]~74586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3407][5]~74586_combout\ = (\led_flash_cnt[3407][5]~q\ & (\led_flash_cnt[3407][4]~74585\ $ (GND))) # (!\led_flash_cnt[3407][5]~q\ & (!\led_flash_cnt[3407][4]~74585\ & VCC))
-- \led_flash_cnt[3407][5]~74587\ = CARRY((\led_flash_cnt[3407][5]~q\ & !\led_flash_cnt[3407][4]~74585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3407][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3407][4]~74585\,
	combout => \led_flash_cnt[3407][5]~74586_combout\,
	cout => \led_flash_cnt[3407][5]~74587\);

-- Location: FF_X71_Y47_N27
\led_flash_cnt[3407][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3407][5]~74586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3407][5]~q\);

-- Location: LCCOMB_X71_Y47_N28
\led_flash_cnt[3407][6]~74588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3407][6]~74588_combout\ = (\led_flash_cnt[3407][6]~q\ & (!\led_flash_cnt[3407][5]~74587\)) # (!\led_flash_cnt[3407][6]~q\ & ((\led_flash_cnt[3407][5]~74587\) # (GND)))
-- \led_flash_cnt[3407][6]~74589\ = CARRY((!\led_flash_cnt[3407][5]~74587\) # (!\led_flash_cnt[3407][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3407][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3407][5]~74587\,
	combout => \led_flash_cnt[3407][6]~74588_combout\,
	cout => \led_flash_cnt[3407][6]~74589\);

-- Location: FF_X71_Y47_N29
\led_flash_cnt[3407][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3407][6]~74588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3407][6]~q\);

-- Location: LCCOMB_X71_Y47_N10
\WideAnd3407~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3407~1_combout\ = (\led_flash_cnt[3407][5]~q\ & \led_flash_cnt[3407][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3407][5]~q\,
	datad => \led_flash_cnt[3407][6]~q\,
	combout => \WideAnd3407~1_combout\);

-- Location: LCCOMB_X71_Y47_N4
\WideAnd3407~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3407~0_combout\ = (\led_flash_cnt[3407][4]~q\ & (\led_flash_cnt[3407][2]~q\ & (\led_flash_cnt[3407][3]~q\ & \led_flash_cnt[3407][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3407][4]~q\,
	datab => \led_flash_cnt[3407][2]~q\,
	datac => \led_flash_cnt[3407][3]~q\,
	datad => \led_flash_cnt[3407][1]~q\,
	combout => \WideAnd3407~0_combout\);

-- Location: LCCOMB_X71_Y47_N30
\led_flash_cnt[3407][7]~74590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3407][7]~74590_combout\ = \led_flash_cnt[3407][7]~q\ $ (!\led_flash_cnt[3407][6]~74589\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3407][7]~q\,
	cin => \led_flash_cnt[3407][6]~74589\,
	combout => \led_flash_cnt[3407][7]~74590_combout\);

-- Location: FF_X71_Y47_N31
\led_flash_cnt[3407][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3407][7]~74590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3407][7]~q\);

-- Location: LCCOMB_X71_Y47_N8
WideAnd3407 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3407~combout\ = (\WideAnd3407~1_combout\ & (\WideAnd3407~0_combout\ & (\led_flash_cnt[3407][7]~q\ & \led_flash_cnt[3407][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3407~1_combout\,
	datab => \WideAnd3407~0_combout\,
	datac => \led_flash_cnt[3407][7]~q\,
	datad => \led_flash_cnt[3407][0]~q\,
	combout => \WideAnd3407~combout\);

-- Location: FF_X71_Y47_N9
\led_flash_cnt_ands[3407]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3407~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3407));

-- Location: LCCOMB_X70_Y50_N22
\led_flash_cnt[3406][0]~84046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3406][0]~84046_combout\ = !\led_flash_cnt[3406][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3406][0]~q\,
	combout => \led_flash_cnt[3406][0]~84046_combout\);

-- Location: FF_X70_Y50_N23
\led_flash_cnt[3406][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3406][0]~84046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3406][0]~q\);

-- Location: LCCOMB_X70_Y50_N4
\led_flash_cnt[3406][1]~74564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3406][1]~74564_combout\ = (\led_flash_cnt[3406][0]~q\ & (\led_flash_cnt[3406][1]~q\ $ (VCC))) # (!\led_flash_cnt[3406][0]~q\ & (\led_flash_cnt[3406][1]~q\ & VCC))
-- \led_flash_cnt[3406][1]~74565\ = CARRY((\led_flash_cnt[3406][0]~q\ & \led_flash_cnt[3406][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3406][0]~q\,
	datab => \led_flash_cnt[3406][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3406][1]~74564_combout\,
	cout => \led_flash_cnt[3406][1]~74565\);

-- Location: FF_X70_Y50_N5
\led_flash_cnt[3406][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3406][1]~74564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3406][1]~q\);

-- Location: LCCOMB_X70_Y50_N6
\led_flash_cnt[3406][2]~74566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3406][2]~74566_combout\ = (\led_flash_cnt[3406][2]~q\ & (!\led_flash_cnt[3406][1]~74565\)) # (!\led_flash_cnt[3406][2]~q\ & ((\led_flash_cnt[3406][1]~74565\) # (GND)))
-- \led_flash_cnt[3406][2]~74567\ = CARRY((!\led_flash_cnt[3406][1]~74565\) # (!\led_flash_cnt[3406][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3406][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3406][1]~74565\,
	combout => \led_flash_cnt[3406][2]~74566_combout\,
	cout => \led_flash_cnt[3406][2]~74567\);

-- Location: FF_X70_Y50_N7
\led_flash_cnt[3406][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3406][2]~74566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3406][2]~q\);

-- Location: LCCOMB_X70_Y50_N8
\led_flash_cnt[3406][3]~74568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3406][3]~74568_combout\ = (\led_flash_cnt[3406][3]~q\ & (\led_flash_cnt[3406][2]~74567\ $ (GND))) # (!\led_flash_cnt[3406][3]~q\ & (!\led_flash_cnt[3406][2]~74567\ & VCC))
-- \led_flash_cnt[3406][3]~74569\ = CARRY((\led_flash_cnt[3406][3]~q\ & !\led_flash_cnt[3406][2]~74567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3406][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3406][2]~74567\,
	combout => \led_flash_cnt[3406][3]~74568_combout\,
	cout => \led_flash_cnt[3406][3]~74569\);

-- Location: FF_X70_Y50_N9
\led_flash_cnt[3406][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3406][3]~74568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3406][3]~q\);

-- Location: LCCOMB_X70_Y50_N10
\led_flash_cnt[3406][4]~74570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3406][4]~74570_combout\ = (\led_flash_cnt[3406][4]~q\ & (!\led_flash_cnt[3406][3]~74569\)) # (!\led_flash_cnt[3406][4]~q\ & ((\led_flash_cnt[3406][3]~74569\) # (GND)))
-- \led_flash_cnt[3406][4]~74571\ = CARRY((!\led_flash_cnt[3406][3]~74569\) # (!\led_flash_cnt[3406][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3406][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3406][3]~74569\,
	combout => \led_flash_cnt[3406][4]~74570_combout\,
	cout => \led_flash_cnt[3406][4]~74571\);

-- Location: FF_X70_Y50_N11
\led_flash_cnt[3406][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3406][4]~74570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3406][4]~q\);

-- Location: LCCOMB_X70_Y50_N12
\led_flash_cnt[3406][5]~74572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3406][5]~74572_combout\ = (\led_flash_cnt[3406][5]~q\ & (\led_flash_cnt[3406][4]~74571\ $ (GND))) # (!\led_flash_cnt[3406][5]~q\ & (!\led_flash_cnt[3406][4]~74571\ & VCC))
-- \led_flash_cnt[3406][5]~74573\ = CARRY((\led_flash_cnt[3406][5]~q\ & !\led_flash_cnt[3406][4]~74571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3406][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3406][4]~74571\,
	combout => \led_flash_cnt[3406][5]~74572_combout\,
	cout => \led_flash_cnt[3406][5]~74573\);

-- Location: FF_X70_Y50_N13
\led_flash_cnt[3406][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3406][5]~74572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3406][5]~q\);

-- Location: LCCOMB_X70_Y50_N14
\led_flash_cnt[3406][6]~74574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3406][6]~74574_combout\ = (\led_flash_cnt[3406][6]~q\ & (!\led_flash_cnt[3406][5]~74573\)) # (!\led_flash_cnt[3406][6]~q\ & ((\led_flash_cnt[3406][5]~74573\) # (GND)))
-- \led_flash_cnt[3406][6]~74575\ = CARRY((!\led_flash_cnt[3406][5]~74573\) # (!\led_flash_cnt[3406][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3406][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3406][5]~74573\,
	combout => \led_flash_cnt[3406][6]~74574_combout\,
	cout => \led_flash_cnt[3406][6]~74575\);

-- Location: FF_X70_Y50_N15
\led_flash_cnt[3406][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3406][6]~74574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3406][6]~q\);

-- Location: LCCOMB_X70_Y50_N16
\led_flash_cnt[3406][7]~74576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3406][7]~74576_combout\ = \led_flash_cnt[3406][6]~74575\ $ (!\led_flash_cnt[3406][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3406][7]~q\,
	cin => \led_flash_cnt[3406][6]~74575\,
	combout => \led_flash_cnt[3406][7]~74576_combout\);

-- Location: FF_X70_Y50_N17
\led_flash_cnt[3406][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3406][7]~74576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3406][7]~q\);

-- Location: LCCOMB_X70_Y50_N26
\WideAnd3406~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3406~1_combout\ = (\led_flash_cnt[3406][6]~q\ & \led_flash_cnt[3406][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3406][6]~q\,
	datad => \led_flash_cnt[3406][5]~q\,
	combout => \WideAnd3406~1_combout\);

-- Location: LCCOMB_X70_Y50_N18
\WideAnd3406~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3406~0_combout\ = (\led_flash_cnt[3406][2]~q\ & (\led_flash_cnt[3406][3]~q\ & (\led_flash_cnt[3406][1]~q\ & \led_flash_cnt[3406][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3406][2]~q\,
	datab => \led_flash_cnt[3406][3]~q\,
	datac => \led_flash_cnt[3406][1]~q\,
	datad => \led_flash_cnt[3406][4]~q\,
	combout => \WideAnd3406~0_combout\);

-- Location: LCCOMB_X70_Y50_N24
WideAnd3406 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3406~combout\ = (\led_flash_cnt[3406][0]~q\ & (\led_flash_cnt[3406][7]~q\ & (\WideAnd3406~1_combout\ & \WideAnd3406~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3406][0]~q\,
	datab => \led_flash_cnt[3406][7]~q\,
	datac => \WideAnd3406~1_combout\,
	datad => \WideAnd3406~0_combout\,
	combout => \WideAnd3406~combout\);

-- Location: FF_X70_Y50_N25
\led_flash_cnt_ands[3406]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3406~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3406));

-- Location: LCCOMB_X70_Y47_N16
WideAnd4265 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4265~combout\ = (\WideAnd4265~0_combout\ & (\WideAnd4265~1_combout\ & (led_flash_cnt_ands(3407) & led_flash_cnt_ands(3406))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4265~0_combout\,
	datab => \WideAnd4265~1_combout\,
	datac => led_flash_cnt_ands(3407),
	datad => led_flash_cnt_ands(3406),
	combout => \WideAnd4265~combout\);

-- Location: FF_X70_Y47_N17
\led_flash_cnt_ands_1[425]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4265~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(425));

-- Location: LCCOMB_X59_Y52_N28
\led_flash_cnt[3419][0]~84059\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3419][0]~84059_combout\ = !\led_flash_cnt[3419][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3419][0]~q\,
	combout => \led_flash_cnt[3419][0]~84059_combout\);

-- Location: FF_X59_Y52_N29
\led_flash_cnt[3419][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3419][0]~84059_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3419][0]~q\);

-- Location: LCCOMB_X59_Y52_N12
\led_flash_cnt[3419][1]~74746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3419][1]~74746_combout\ = (\led_flash_cnt[3419][1]~q\ & (\led_flash_cnt[3419][0]~q\ $ (VCC))) # (!\led_flash_cnt[3419][1]~q\ & (\led_flash_cnt[3419][0]~q\ & VCC))
-- \led_flash_cnt[3419][1]~74747\ = CARRY((\led_flash_cnt[3419][1]~q\ & \led_flash_cnt[3419][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3419][1]~q\,
	datab => \led_flash_cnt[3419][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3419][1]~74746_combout\,
	cout => \led_flash_cnt[3419][1]~74747\);

-- Location: FF_X59_Y52_N13
\led_flash_cnt[3419][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3419][1]~74746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3419][1]~q\);

-- Location: LCCOMB_X59_Y52_N14
\led_flash_cnt[3419][2]~74748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3419][2]~74748_combout\ = (\led_flash_cnt[3419][2]~q\ & (!\led_flash_cnt[3419][1]~74747\)) # (!\led_flash_cnt[3419][2]~q\ & ((\led_flash_cnt[3419][1]~74747\) # (GND)))
-- \led_flash_cnt[3419][2]~74749\ = CARRY((!\led_flash_cnt[3419][1]~74747\) # (!\led_flash_cnt[3419][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3419][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3419][1]~74747\,
	combout => \led_flash_cnt[3419][2]~74748_combout\,
	cout => \led_flash_cnt[3419][2]~74749\);

-- Location: FF_X59_Y52_N15
\led_flash_cnt[3419][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3419][2]~74748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3419][2]~q\);

-- Location: LCCOMB_X59_Y52_N16
\led_flash_cnt[3419][3]~74750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3419][3]~74750_combout\ = (\led_flash_cnt[3419][3]~q\ & (\led_flash_cnt[3419][2]~74749\ $ (GND))) # (!\led_flash_cnt[3419][3]~q\ & (!\led_flash_cnt[3419][2]~74749\ & VCC))
-- \led_flash_cnt[3419][3]~74751\ = CARRY((\led_flash_cnt[3419][3]~q\ & !\led_flash_cnt[3419][2]~74749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3419][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3419][2]~74749\,
	combout => \led_flash_cnt[3419][3]~74750_combout\,
	cout => \led_flash_cnt[3419][3]~74751\);

-- Location: FF_X59_Y52_N17
\led_flash_cnt[3419][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3419][3]~74750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3419][3]~q\);

-- Location: LCCOMB_X59_Y52_N18
\led_flash_cnt[3419][4]~74752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3419][4]~74752_combout\ = (\led_flash_cnt[3419][4]~q\ & (!\led_flash_cnt[3419][3]~74751\)) # (!\led_flash_cnt[3419][4]~q\ & ((\led_flash_cnt[3419][3]~74751\) # (GND)))
-- \led_flash_cnt[3419][4]~74753\ = CARRY((!\led_flash_cnt[3419][3]~74751\) # (!\led_flash_cnt[3419][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3419][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3419][3]~74751\,
	combout => \led_flash_cnt[3419][4]~74752_combout\,
	cout => \led_flash_cnt[3419][4]~74753\);

-- Location: FF_X59_Y52_N19
\led_flash_cnt[3419][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3419][4]~74752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3419][4]~q\);

-- Location: LCCOMB_X59_Y52_N6
\WideAnd3419~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3419~0_combout\ = (\led_flash_cnt[3419][1]~q\ & (\led_flash_cnt[3419][3]~q\ & (\led_flash_cnt[3419][2]~q\ & \led_flash_cnt[3419][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3419][1]~q\,
	datab => \led_flash_cnt[3419][3]~q\,
	datac => \led_flash_cnt[3419][2]~q\,
	datad => \led_flash_cnt[3419][4]~q\,
	combout => \WideAnd3419~0_combout\);

-- Location: LCCOMB_X59_Y52_N20
\led_flash_cnt[3419][5]~74754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3419][5]~74754_combout\ = (\led_flash_cnt[3419][5]~q\ & (\led_flash_cnt[3419][4]~74753\ $ (GND))) # (!\led_flash_cnt[3419][5]~q\ & (!\led_flash_cnt[3419][4]~74753\ & VCC))
-- \led_flash_cnt[3419][5]~74755\ = CARRY((\led_flash_cnt[3419][5]~q\ & !\led_flash_cnt[3419][4]~74753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3419][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3419][4]~74753\,
	combout => \led_flash_cnt[3419][5]~74754_combout\,
	cout => \led_flash_cnt[3419][5]~74755\);

-- Location: FF_X59_Y52_N21
\led_flash_cnt[3419][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3419][5]~74754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3419][5]~q\);

-- Location: LCCOMB_X59_Y52_N22
\led_flash_cnt[3419][6]~74756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3419][6]~74756_combout\ = (\led_flash_cnt[3419][6]~q\ & (!\led_flash_cnt[3419][5]~74755\)) # (!\led_flash_cnt[3419][6]~q\ & ((\led_flash_cnt[3419][5]~74755\) # (GND)))
-- \led_flash_cnt[3419][6]~74757\ = CARRY((!\led_flash_cnt[3419][5]~74755\) # (!\led_flash_cnt[3419][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3419][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3419][5]~74755\,
	combout => \led_flash_cnt[3419][6]~74756_combout\,
	cout => \led_flash_cnt[3419][6]~74757\);

-- Location: FF_X59_Y52_N23
\led_flash_cnt[3419][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3419][6]~74756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3419][6]~q\);

-- Location: LCCOMB_X59_Y52_N24
\led_flash_cnt[3419][7]~74758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3419][7]~74758_combout\ = \led_flash_cnt[3419][6]~74757\ $ (!\led_flash_cnt[3419][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3419][7]~q\,
	cin => \led_flash_cnt[3419][6]~74757\,
	combout => \led_flash_cnt[3419][7]~74758_combout\);

-- Location: FF_X59_Y52_N25
\led_flash_cnt[3419][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3419][7]~74758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3419][7]~q\);

-- Location: LCCOMB_X59_Y52_N4
\WideAnd3419~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3419~1_combout\ = (\led_flash_cnt[3419][6]~q\ & \led_flash_cnt[3419][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3419][6]~q\,
	datad => \led_flash_cnt[3419][5]~q\,
	combout => \WideAnd3419~1_combout\);

-- Location: LCCOMB_X59_Y52_N10
WideAnd3419 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3419~combout\ = (\WideAnd3419~0_combout\ & (\led_flash_cnt[3419][7]~q\ & (\WideAnd3419~1_combout\ & \led_flash_cnt[3419][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3419~0_combout\,
	datab => \led_flash_cnt[3419][7]~q\,
	datac => \WideAnd3419~1_combout\,
	datad => \led_flash_cnt[3419][0]~q\,
	combout => \WideAnd3419~combout\);

-- Location: FF_X59_Y52_N11
\led_flash_cnt_ands[3419]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3419~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3419));

-- Location: LCCOMB_X59_Y51_N10
\led_flash_cnt[3416][0]~84056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3416][0]~84056_combout\ = !\led_flash_cnt[3416][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3416][0]~q\,
	combout => \led_flash_cnt[3416][0]~84056_combout\);

-- Location: FF_X59_Y51_N11
\led_flash_cnt[3416][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3416][0]~84056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3416][0]~q\);

-- Location: LCCOMB_X59_Y51_N16
\led_flash_cnt[3416][1]~74704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3416][1]~74704_combout\ = (\led_flash_cnt[3416][0]~q\ & (\led_flash_cnt[3416][1]~q\ $ (VCC))) # (!\led_flash_cnt[3416][0]~q\ & (\led_flash_cnt[3416][1]~q\ & VCC))
-- \led_flash_cnt[3416][1]~74705\ = CARRY((\led_flash_cnt[3416][0]~q\ & \led_flash_cnt[3416][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3416][0]~q\,
	datab => \led_flash_cnt[3416][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3416][1]~74704_combout\,
	cout => \led_flash_cnt[3416][1]~74705\);

-- Location: FF_X59_Y51_N17
\led_flash_cnt[3416][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3416][1]~74704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3416][1]~q\);

-- Location: LCCOMB_X59_Y51_N18
\led_flash_cnt[3416][2]~74706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3416][2]~74706_combout\ = (\led_flash_cnt[3416][2]~q\ & (!\led_flash_cnt[3416][1]~74705\)) # (!\led_flash_cnt[3416][2]~q\ & ((\led_flash_cnt[3416][1]~74705\) # (GND)))
-- \led_flash_cnt[3416][2]~74707\ = CARRY((!\led_flash_cnt[3416][1]~74705\) # (!\led_flash_cnt[3416][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3416][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3416][1]~74705\,
	combout => \led_flash_cnt[3416][2]~74706_combout\,
	cout => \led_flash_cnt[3416][2]~74707\);

-- Location: FF_X59_Y51_N19
\led_flash_cnt[3416][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3416][2]~74706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3416][2]~q\);

-- Location: LCCOMB_X59_Y51_N20
\led_flash_cnt[3416][3]~74708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3416][3]~74708_combout\ = (\led_flash_cnt[3416][3]~q\ & (\led_flash_cnt[3416][2]~74707\ $ (GND))) # (!\led_flash_cnt[3416][3]~q\ & (!\led_flash_cnt[3416][2]~74707\ & VCC))
-- \led_flash_cnt[3416][3]~74709\ = CARRY((\led_flash_cnt[3416][3]~q\ & !\led_flash_cnt[3416][2]~74707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3416][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3416][2]~74707\,
	combout => \led_flash_cnt[3416][3]~74708_combout\,
	cout => \led_flash_cnt[3416][3]~74709\);

-- Location: FF_X59_Y51_N21
\led_flash_cnt[3416][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3416][3]~74708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3416][3]~q\);

-- Location: LCCOMB_X59_Y51_N22
\led_flash_cnt[3416][4]~74710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3416][4]~74710_combout\ = (\led_flash_cnt[3416][4]~q\ & (!\led_flash_cnt[3416][3]~74709\)) # (!\led_flash_cnt[3416][4]~q\ & ((\led_flash_cnt[3416][3]~74709\) # (GND)))
-- \led_flash_cnt[3416][4]~74711\ = CARRY((!\led_flash_cnt[3416][3]~74709\) # (!\led_flash_cnt[3416][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3416][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3416][3]~74709\,
	combout => \led_flash_cnt[3416][4]~74710_combout\,
	cout => \led_flash_cnt[3416][4]~74711\);

-- Location: FF_X59_Y51_N23
\led_flash_cnt[3416][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3416][4]~74710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3416][4]~q\);

-- Location: LCCOMB_X59_Y51_N24
\led_flash_cnt[3416][5]~74712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3416][5]~74712_combout\ = (\led_flash_cnt[3416][5]~q\ & (\led_flash_cnt[3416][4]~74711\ $ (GND))) # (!\led_flash_cnt[3416][5]~q\ & (!\led_flash_cnt[3416][4]~74711\ & VCC))
-- \led_flash_cnt[3416][5]~74713\ = CARRY((\led_flash_cnt[3416][5]~q\ & !\led_flash_cnt[3416][4]~74711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3416][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3416][4]~74711\,
	combout => \led_flash_cnt[3416][5]~74712_combout\,
	cout => \led_flash_cnt[3416][5]~74713\);

-- Location: FF_X59_Y51_N25
\led_flash_cnt[3416][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3416][5]~74712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3416][5]~q\);

-- Location: LCCOMB_X59_Y51_N26
\led_flash_cnt[3416][6]~74714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3416][6]~74714_combout\ = (\led_flash_cnt[3416][6]~q\ & (!\led_flash_cnt[3416][5]~74713\)) # (!\led_flash_cnt[3416][6]~q\ & ((\led_flash_cnt[3416][5]~74713\) # (GND)))
-- \led_flash_cnt[3416][6]~74715\ = CARRY((!\led_flash_cnt[3416][5]~74713\) # (!\led_flash_cnt[3416][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3416][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3416][5]~74713\,
	combout => \led_flash_cnt[3416][6]~74714_combout\,
	cout => \led_flash_cnt[3416][6]~74715\);

-- Location: FF_X59_Y51_N27
\led_flash_cnt[3416][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3416][6]~74714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3416][6]~q\);

-- Location: LCCOMB_X59_Y51_N28
\led_flash_cnt[3416][7]~74716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3416][7]~74716_combout\ = \led_flash_cnt[3416][6]~74715\ $ (!\led_flash_cnt[3416][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3416][7]~q\,
	cin => \led_flash_cnt[3416][6]~74715\,
	combout => \led_flash_cnt[3416][7]~74716_combout\);

-- Location: FF_X59_Y51_N29
\led_flash_cnt[3416][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3416][7]~74716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3416][7]~q\);

-- Location: LCCOMB_X59_Y51_N4
\WideAnd3416~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3416~1_combout\ = (\led_flash_cnt[3416][6]~q\ & \led_flash_cnt[3416][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3416][6]~q\,
	datad => \led_flash_cnt[3416][5]~q\,
	combout => \WideAnd3416~1_combout\);

-- Location: LCCOMB_X59_Y51_N12
\WideAnd3416~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3416~0_combout\ = (\led_flash_cnt[3416][3]~q\ & (\led_flash_cnt[3416][2]~q\ & (\led_flash_cnt[3416][4]~q\ & \led_flash_cnt[3416][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3416][3]~q\,
	datab => \led_flash_cnt[3416][2]~q\,
	datac => \led_flash_cnt[3416][4]~q\,
	datad => \led_flash_cnt[3416][1]~q\,
	combout => \WideAnd3416~0_combout\);

-- Location: LCCOMB_X59_Y51_N0
WideAnd3416 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3416~combout\ = (\led_flash_cnt[3416][0]~q\ & (\led_flash_cnt[3416][7]~q\ & (\WideAnd3416~1_combout\ & \WideAnd3416~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3416][0]~q\,
	datab => \led_flash_cnt[3416][7]~q\,
	datac => \WideAnd3416~1_combout\,
	datad => \WideAnd3416~0_combout\,
	combout => \WideAnd3416~combout\);

-- Location: FF_X59_Y51_N1
\led_flash_cnt_ands[3416]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3416~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3416));

-- Location: LCCOMB_X51_Y52_N4
\led_flash_cnt[3418][0]~84058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3418][0]~84058_combout\ = !\led_flash_cnt[3418][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3418][0]~q\,
	combout => \led_flash_cnt[3418][0]~84058_combout\);

-- Location: FF_X51_Y52_N5
\led_flash_cnt[3418][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3418][0]~84058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3418][0]~q\);

-- Location: LCCOMB_X51_Y52_N12
\led_flash_cnt[3418][1]~74732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3418][1]~74732_combout\ = (\led_flash_cnt[3418][1]~q\ & (\led_flash_cnt[3418][0]~q\ $ (VCC))) # (!\led_flash_cnt[3418][1]~q\ & (\led_flash_cnt[3418][0]~q\ & VCC))
-- \led_flash_cnt[3418][1]~74733\ = CARRY((\led_flash_cnt[3418][1]~q\ & \led_flash_cnt[3418][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3418][1]~q\,
	datab => \led_flash_cnt[3418][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3418][1]~74732_combout\,
	cout => \led_flash_cnt[3418][1]~74733\);

-- Location: FF_X51_Y52_N13
\led_flash_cnt[3418][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3418][1]~74732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3418][1]~q\);

-- Location: LCCOMB_X51_Y52_N14
\led_flash_cnt[3418][2]~74734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3418][2]~74734_combout\ = (\led_flash_cnt[3418][2]~q\ & (!\led_flash_cnt[3418][1]~74733\)) # (!\led_flash_cnt[3418][2]~q\ & ((\led_flash_cnt[3418][1]~74733\) # (GND)))
-- \led_flash_cnt[3418][2]~74735\ = CARRY((!\led_flash_cnt[3418][1]~74733\) # (!\led_flash_cnt[3418][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3418][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3418][1]~74733\,
	combout => \led_flash_cnt[3418][2]~74734_combout\,
	cout => \led_flash_cnt[3418][2]~74735\);

-- Location: FF_X51_Y52_N15
\led_flash_cnt[3418][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3418][2]~74734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3418][2]~q\);

-- Location: LCCOMB_X51_Y52_N16
\led_flash_cnt[3418][3]~74736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3418][3]~74736_combout\ = (\led_flash_cnt[3418][3]~q\ & (\led_flash_cnt[3418][2]~74735\ $ (GND))) # (!\led_flash_cnt[3418][3]~q\ & (!\led_flash_cnt[3418][2]~74735\ & VCC))
-- \led_flash_cnt[3418][3]~74737\ = CARRY((\led_flash_cnt[3418][3]~q\ & !\led_flash_cnt[3418][2]~74735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3418][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3418][2]~74735\,
	combout => \led_flash_cnt[3418][3]~74736_combout\,
	cout => \led_flash_cnt[3418][3]~74737\);

-- Location: FF_X51_Y52_N17
\led_flash_cnt[3418][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3418][3]~74736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3418][3]~q\);

-- Location: LCCOMB_X51_Y52_N18
\led_flash_cnt[3418][4]~74738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3418][4]~74738_combout\ = (\led_flash_cnt[3418][4]~q\ & (!\led_flash_cnt[3418][3]~74737\)) # (!\led_flash_cnt[3418][4]~q\ & ((\led_flash_cnt[3418][3]~74737\) # (GND)))
-- \led_flash_cnt[3418][4]~74739\ = CARRY((!\led_flash_cnt[3418][3]~74737\) # (!\led_flash_cnt[3418][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3418][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3418][3]~74737\,
	combout => \led_flash_cnt[3418][4]~74738_combout\,
	cout => \led_flash_cnt[3418][4]~74739\);

-- Location: FF_X51_Y52_N19
\led_flash_cnt[3418][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3418][4]~74738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3418][4]~q\);

-- Location: LCCOMB_X51_Y52_N26
\WideAnd3418~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3418~0_combout\ = (\led_flash_cnt[3418][4]~q\ & (\led_flash_cnt[3418][3]~q\ & (\led_flash_cnt[3418][2]~q\ & \led_flash_cnt[3418][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3418][4]~q\,
	datab => \led_flash_cnt[3418][3]~q\,
	datac => \led_flash_cnt[3418][2]~q\,
	datad => \led_flash_cnt[3418][1]~q\,
	combout => \WideAnd3418~0_combout\);

-- Location: LCCOMB_X51_Y52_N20
\led_flash_cnt[3418][5]~74740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3418][5]~74740_combout\ = (\led_flash_cnt[3418][5]~q\ & (\led_flash_cnt[3418][4]~74739\ $ (GND))) # (!\led_flash_cnt[3418][5]~q\ & (!\led_flash_cnt[3418][4]~74739\ & VCC))
-- \led_flash_cnt[3418][5]~74741\ = CARRY((\led_flash_cnt[3418][5]~q\ & !\led_flash_cnt[3418][4]~74739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3418][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3418][4]~74739\,
	combout => \led_flash_cnt[3418][5]~74740_combout\,
	cout => \led_flash_cnt[3418][5]~74741\);

-- Location: FF_X51_Y52_N21
\led_flash_cnt[3418][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3418][5]~74740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3418][5]~q\);

-- Location: LCCOMB_X51_Y52_N22
\led_flash_cnt[3418][6]~74742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3418][6]~74742_combout\ = (\led_flash_cnt[3418][6]~q\ & (!\led_flash_cnt[3418][5]~74741\)) # (!\led_flash_cnt[3418][6]~q\ & ((\led_flash_cnt[3418][5]~74741\) # (GND)))
-- \led_flash_cnt[3418][6]~74743\ = CARRY((!\led_flash_cnt[3418][5]~74741\) # (!\led_flash_cnt[3418][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3418][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3418][5]~74741\,
	combout => \led_flash_cnt[3418][6]~74742_combout\,
	cout => \led_flash_cnt[3418][6]~74743\);

-- Location: FF_X51_Y52_N23
\led_flash_cnt[3418][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3418][6]~74742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3418][6]~q\);

-- Location: LCCOMB_X51_Y52_N8
\WideAnd3418~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3418~1_combout\ = (\led_flash_cnt[3418][6]~q\ & \led_flash_cnt[3418][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3418][6]~q\,
	datad => \led_flash_cnt[3418][5]~q\,
	combout => \WideAnd3418~1_combout\);

-- Location: LCCOMB_X51_Y52_N24
\led_flash_cnt[3418][7]~74744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3418][7]~74744_combout\ = \led_flash_cnt[3418][6]~74743\ $ (!\led_flash_cnt[3418][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3418][7]~q\,
	cin => \led_flash_cnt[3418][6]~74743\,
	combout => \led_flash_cnt[3418][7]~74744_combout\);

-- Location: FF_X51_Y52_N25
\led_flash_cnt[3418][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3418][7]~74744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3418][7]~q\);

-- Location: LCCOMB_X51_Y52_N10
WideAnd3418 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3418~combout\ = (\WideAnd3418~0_combout\ & (\led_flash_cnt[3418][0]~q\ & (\WideAnd3418~1_combout\ & \led_flash_cnt[3418][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3418~0_combout\,
	datab => \led_flash_cnt[3418][0]~q\,
	datac => \WideAnd3418~1_combout\,
	datad => \led_flash_cnt[3418][7]~q\,
	combout => \WideAnd3418~combout\);

-- Location: FF_X51_Y52_N11
\led_flash_cnt_ands[3418]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3418~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3418));

-- Location: LCCOMB_X59_Y52_N2
\led_flash_cnt[3417][0]~84057\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3417][0]~84057_combout\ = !\led_flash_cnt[3417][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3417][0]~q\,
	combout => \led_flash_cnt[3417][0]~84057_combout\);

-- Location: FF_X59_Y52_N3
\led_flash_cnt[3417][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3417][0]~84057_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3417][0]~q\);

-- Location: LCCOMB_X58_Y52_N16
\led_flash_cnt[3417][1]~74718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3417][1]~74718_combout\ = (\led_flash_cnt[3417][0]~q\ & (\led_flash_cnt[3417][1]~q\ $ (VCC))) # (!\led_flash_cnt[3417][0]~q\ & (\led_flash_cnt[3417][1]~q\ & VCC))
-- \led_flash_cnt[3417][1]~74719\ = CARRY((\led_flash_cnt[3417][0]~q\ & \led_flash_cnt[3417][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3417][0]~q\,
	datab => \led_flash_cnt[3417][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3417][1]~74718_combout\,
	cout => \led_flash_cnt[3417][1]~74719\);

-- Location: FF_X58_Y52_N17
\led_flash_cnt[3417][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3417][1]~74718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3417][1]~q\);

-- Location: LCCOMB_X58_Y52_N18
\led_flash_cnt[3417][2]~74720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3417][2]~74720_combout\ = (\led_flash_cnt[3417][2]~q\ & (!\led_flash_cnt[3417][1]~74719\)) # (!\led_flash_cnt[3417][2]~q\ & ((\led_flash_cnt[3417][1]~74719\) # (GND)))
-- \led_flash_cnt[3417][2]~74721\ = CARRY((!\led_flash_cnt[3417][1]~74719\) # (!\led_flash_cnt[3417][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3417][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3417][1]~74719\,
	combout => \led_flash_cnt[3417][2]~74720_combout\,
	cout => \led_flash_cnt[3417][2]~74721\);

-- Location: FF_X58_Y52_N19
\led_flash_cnt[3417][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3417][2]~74720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3417][2]~q\);

-- Location: LCCOMB_X58_Y52_N20
\led_flash_cnt[3417][3]~74722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3417][3]~74722_combout\ = (\led_flash_cnt[3417][3]~q\ & (\led_flash_cnt[3417][2]~74721\ $ (GND))) # (!\led_flash_cnt[3417][3]~q\ & (!\led_flash_cnt[3417][2]~74721\ & VCC))
-- \led_flash_cnt[3417][3]~74723\ = CARRY((\led_flash_cnt[3417][3]~q\ & !\led_flash_cnt[3417][2]~74721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3417][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3417][2]~74721\,
	combout => \led_flash_cnt[3417][3]~74722_combout\,
	cout => \led_flash_cnt[3417][3]~74723\);

-- Location: FF_X58_Y52_N21
\led_flash_cnt[3417][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3417][3]~74722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3417][3]~q\);

-- Location: LCCOMB_X58_Y52_N22
\led_flash_cnt[3417][4]~74724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3417][4]~74724_combout\ = (\led_flash_cnt[3417][4]~q\ & (!\led_flash_cnt[3417][3]~74723\)) # (!\led_flash_cnt[3417][4]~q\ & ((\led_flash_cnt[3417][3]~74723\) # (GND)))
-- \led_flash_cnt[3417][4]~74725\ = CARRY((!\led_flash_cnt[3417][3]~74723\) # (!\led_flash_cnt[3417][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3417][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3417][3]~74723\,
	combout => \led_flash_cnt[3417][4]~74724_combout\,
	cout => \led_flash_cnt[3417][4]~74725\);

-- Location: FF_X58_Y52_N23
\led_flash_cnt[3417][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3417][4]~74724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3417][4]~q\);

-- Location: LCCOMB_X58_Y52_N14
\WideAnd3417~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3417~0_combout\ = (\led_flash_cnt[3417][1]~q\ & (\led_flash_cnt[3417][3]~q\ & (\led_flash_cnt[3417][4]~q\ & \led_flash_cnt[3417][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3417][1]~q\,
	datab => \led_flash_cnt[3417][3]~q\,
	datac => \led_flash_cnt[3417][4]~q\,
	datad => \led_flash_cnt[3417][2]~q\,
	combout => \WideAnd3417~0_combout\);

-- Location: LCCOMB_X58_Y52_N24
\led_flash_cnt[3417][5]~74726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3417][5]~74726_combout\ = (\led_flash_cnt[3417][5]~q\ & (\led_flash_cnt[3417][4]~74725\ $ (GND))) # (!\led_flash_cnt[3417][5]~q\ & (!\led_flash_cnt[3417][4]~74725\ & VCC))
-- \led_flash_cnt[3417][5]~74727\ = CARRY((\led_flash_cnt[3417][5]~q\ & !\led_flash_cnt[3417][4]~74725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3417][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3417][4]~74725\,
	combout => \led_flash_cnt[3417][5]~74726_combout\,
	cout => \led_flash_cnt[3417][5]~74727\);

-- Location: FF_X58_Y52_N25
\led_flash_cnt[3417][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3417][5]~74726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3417][5]~q\);

-- Location: LCCOMB_X58_Y52_N26
\led_flash_cnt[3417][6]~74728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3417][6]~74728_combout\ = (\led_flash_cnt[3417][6]~q\ & (!\led_flash_cnt[3417][5]~74727\)) # (!\led_flash_cnt[3417][6]~q\ & ((\led_flash_cnt[3417][5]~74727\) # (GND)))
-- \led_flash_cnt[3417][6]~74729\ = CARRY((!\led_flash_cnt[3417][5]~74727\) # (!\led_flash_cnt[3417][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3417][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3417][5]~74727\,
	combout => \led_flash_cnt[3417][6]~74728_combout\,
	cout => \led_flash_cnt[3417][6]~74729\);

-- Location: FF_X58_Y52_N27
\led_flash_cnt[3417][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3417][6]~74728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3417][6]~q\);

-- Location: LCCOMB_X58_Y52_N28
\led_flash_cnt[3417][7]~74730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3417][7]~74730_combout\ = \led_flash_cnt[3417][6]~74729\ $ (!\led_flash_cnt[3417][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3417][7]~q\,
	cin => \led_flash_cnt[3417][6]~74729\,
	combout => \led_flash_cnt[3417][7]~74730_combout\);

-- Location: FF_X58_Y52_N29
\led_flash_cnt[3417][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3417][7]~74730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3417][7]~q\);

-- Location: LCCOMB_X59_Y52_N30
\WideAnd3417~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3417~1_combout\ = (\led_flash_cnt[3417][6]~q\ & \led_flash_cnt[3417][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3417][6]~q\,
	datad => \led_flash_cnt[3417][5]~q\,
	combout => \WideAnd3417~1_combout\);

-- Location: LCCOMB_X59_Y52_N0
WideAnd3417 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3417~combout\ = (\WideAnd3417~0_combout\ & (\led_flash_cnt[3417][7]~q\ & (\WideAnd3417~1_combout\ & \led_flash_cnt[3417][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3417~0_combout\,
	datab => \led_flash_cnt[3417][7]~q\,
	datac => \WideAnd3417~1_combout\,
	datad => \led_flash_cnt[3417][0]~q\,
	combout => \WideAnd3417~combout\);

-- Location: FF_X59_Y52_N1
\led_flash_cnt_ands[3417]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3417~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3417));

-- Location: LCCOMB_X59_Y52_N8
\WideAnd4267~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4267~0_combout\ = (led_flash_cnt_ands(3419) & (led_flash_cnt_ands(3416) & (led_flash_cnt_ands(3418) & led_flash_cnt_ands(3417))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3419),
	datab => led_flash_cnt_ands(3416),
	datac => led_flash_cnt_ands(3418),
	datad => led_flash_cnt_ands(3417),
	combout => \WideAnd4267~0_combout\);

-- Location: LCCOMB_X65_Y38_N2
\led_flash_cnt[3422][0]~84062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3422][0]~84062_combout\ = !\led_flash_cnt[3422][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3422][0]~q\,
	combout => \led_flash_cnt[3422][0]~84062_combout\);

-- Location: FF_X65_Y38_N3
\led_flash_cnt[3422][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3422][0]~84062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3422][0]~q\);

-- Location: LCCOMB_X64_Y38_N18
\led_flash_cnt[3422][1]~74788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3422][1]~74788_combout\ = (\led_flash_cnt[3422][0]~q\ & (\led_flash_cnt[3422][1]~q\ $ (VCC))) # (!\led_flash_cnt[3422][0]~q\ & (\led_flash_cnt[3422][1]~q\ & VCC))
-- \led_flash_cnt[3422][1]~74789\ = CARRY((\led_flash_cnt[3422][0]~q\ & \led_flash_cnt[3422][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3422][0]~q\,
	datab => \led_flash_cnt[3422][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3422][1]~74788_combout\,
	cout => \led_flash_cnt[3422][1]~74789\);

-- Location: FF_X64_Y38_N19
\led_flash_cnt[3422][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3422][1]~74788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3422][1]~q\);

-- Location: LCCOMB_X64_Y38_N20
\led_flash_cnt[3422][2]~74790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3422][2]~74790_combout\ = (\led_flash_cnt[3422][2]~q\ & (!\led_flash_cnt[3422][1]~74789\)) # (!\led_flash_cnt[3422][2]~q\ & ((\led_flash_cnt[3422][1]~74789\) # (GND)))
-- \led_flash_cnt[3422][2]~74791\ = CARRY((!\led_flash_cnt[3422][1]~74789\) # (!\led_flash_cnt[3422][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3422][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3422][1]~74789\,
	combout => \led_flash_cnt[3422][2]~74790_combout\,
	cout => \led_flash_cnt[3422][2]~74791\);

-- Location: FF_X64_Y38_N21
\led_flash_cnt[3422][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3422][2]~74790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3422][2]~q\);

-- Location: LCCOMB_X64_Y38_N22
\led_flash_cnt[3422][3]~74792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3422][3]~74792_combout\ = (\led_flash_cnt[3422][3]~q\ & (\led_flash_cnt[3422][2]~74791\ $ (GND))) # (!\led_flash_cnt[3422][3]~q\ & (!\led_flash_cnt[3422][2]~74791\ & VCC))
-- \led_flash_cnt[3422][3]~74793\ = CARRY((\led_flash_cnt[3422][3]~q\ & !\led_flash_cnt[3422][2]~74791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3422][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3422][2]~74791\,
	combout => \led_flash_cnt[3422][3]~74792_combout\,
	cout => \led_flash_cnt[3422][3]~74793\);

-- Location: FF_X64_Y38_N23
\led_flash_cnt[3422][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3422][3]~74792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3422][3]~q\);

-- Location: LCCOMB_X64_Y38_N24
\led_flash_cnt[3422][4]~74794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3422][4]~74794_combout\ = (\led_flash_cnt[3422][4]~q\ & (!\led_flash_cnt[3422][3]~74793\)) # (!\led_flash_cnt[3422][4]~q\ & ((\led_flash_cnt[3422][3]~74793\) # (GND)))
-- \led_flash_cnt[3422][4]~74795\ = CARRY((!\led_flash_cnt[3422][3]~74793\) # (!\led_flash_cnt[3422][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3422][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3422][3]~74793\,
	combout => \led_flash_cnt[3422][4]~74794_combout\,
	cout => \led_flash_cnt[3422][4]~74795\);

-- Location: FF_X64_Y38_N25
\led_flash_cnt[3422][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3422][4]~74794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3422][4]~q\);

-- Location: LCCOMB_X65_Y38_N26
\WideAnd3422~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3422~0_combout\ = (\led_flash_cnt[3422][3]~q\ & (\led_flash_cnt[3422][4]~q\ & (\led_flash_cnt[3422][1]~q\ & \led_flash_cnt[3422][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3422][3]~q\,
	datab => \led_flash_cnt[3422][4]~q\,
	datac => \led_flash_cnt[3422][1]~q\,
	datad => \led_flash_cnt[3422][2]~q\,
	combout => \WideAnd3422~0_combout\);

-- Location: LCCOMB_X64_Y38_N26
\led_flash_cnt[3422][5]~74796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3422][5]~74796_combout\ = (\led_flash_cnt[3422][5]~q\ & (\led_flash_cnt[3422][4]~74795\ $ (GND))) # (!\led_flash_cnt[3422][5]~q\ & (!\led_flash_cnt[3422][4]~74795\ & VCC))
-- \led_flash_cnt[3422][5]~74797\ = CARRY((\led_flash_cnt[3422][5]~q\ & !\led_flash_cnt[3422][4]~74795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3422][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3422][4]~74795\,
	combout => \led_flash_cnt[3422][5]~74796_combout\,
	cout => \led_flash_cnt[3422][5]~74797\);

-- Location: FF_X64_Y38_N27
\led_flash_cnt[3422][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3422][5]~74796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3422][5]~q\);

-- Location: LCCOMB_X64_Y38_N28
\led_flash_cnt[3422][6]~74798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3422][6]~74798_combout\ = (\led_flash_cnt[3422][6]~q\ & (!\led_flash_cnt[3422][5]~74797\)) # (!\led_flash_cnt[3422][6]~q\ & ((\led_flash_cnt[3422][5]~74797\) # (GND)))
-- \led_flash_cnt[3422][6]~74799\ = CARRY((!\led_flash_cnt[3422][5]~74797\) # (!\led_flash_cnt[3422][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3422][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3422][5]~74797\,
	combout => \led_flash_cnt[3422][6]~74798_combout\,
	cout => \led_flash_cnt[3422][6]~74799\);

-- Location: FF_X64_Y38_N29
\led_flash_cnt[3422][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3422][6]~74798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3422][6]~q\);

-- Location: LCCOMB_X64_Y38_N30
\led_flash_cnt[3422][7]~74800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3422][7]~74800_combout\ = \led_flash_cnt[3422][7]~q\ $ (!\led_flash_cnt[3422][6]~74799\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3422][7]~q\,
	cin => \led_flash_cnt[3422][6]~74799\,
	combout => \led_flash_cnt[3422][7]~74800_combout\);

-- Location: FF_X64_Y38_N31
\led_flash_cnt[3422][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3422][7]~74800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3422][7]~q\);

-- Location: LCCOMB_X65_Y38_N4
\WideAnd3422~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3422~1_combout\ = (\led_flash_cnt[3422][5]~q\ & \led_flash_cnt[3422][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3422][5]~q\,
	datad => \led_flash_cnt[3422][6]~q\,
	combout => \WideAnd3422~1_combout\);

-- Location: LCCOMB_X65_Y38_N20
WideAnd3422 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3422~combout\ = (\WideAnd3422~0_combout\ & (\led_flash_cnt[3422][7]~q\ & (\WideAnd3422~1_combout\ & \led_flash_cnt[3422][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3422~0_combout\,
	datab => \led_flash_cnt[3422][7]~q\,
	datac => \WideAnd3422~1_combout\,
	datad => \led_flash_cnt[3422][0]~q\,
	combout => \WideAnd3422~combout\);

-- Location: FF_X65_Y38_N21
\led_flash_cnt_ands[3422]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3422~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3422));

-- Location: LCCOMB_X72_Y34_N2
\led_flash_cnt[3421][0]~84061\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3421][0]~84061_combout\ = !\led_flash_cnt[3421][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3421][0]~q\,
	combout => \led_flash_cnt[3421][0]~84061_combout\);

-- Location: FF_X72_Y34_N3
\led_flash_cnt[3421][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3421][0]~84061_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3421][0]~q\);

-- Location: LCCOMB_X71_Y34_N0
\led_flash_cnt[3421][1]~74774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3421][1]~74774_combout\ = (\led_flash_cnt[3421][0]~q\ & (\led_flash_cnt[3421][1]~q\ $ (VCC))) # (!\led_flash_cnt[3421][0]~q\ & (\led_flash_cnt[3421][1]~q\ & VCC))
-- \led_flash_cnt[3421][1]~74775\ = CARRY((\led_flash_cnt[3421][0]~q\ & \led_flash_cnt[3421][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3421][0]~q\,
	datab => \led_flash_cnt[3421][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3421][1]~74774_combout\,
	cout => \led_flash_cnt[3421][1]~74775\);

-- Location: FF_X71_Y34_N1
\led_flash_cnt[3421][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3421][1]~74774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3421][1]~q\);

-- Location: LCCOMB_X71_Y34_N2
\led_flash_cnt[3421][2]~74776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3421][2]~74776_combout\ = (\led_flash_cnt[3421][2]~q\ & (!\led_flash_cnt[3421][1]~74775\)) # (!\led_flash_cnt[3421][2]~q\ & ((\led_flash_cnt[3421][1]~74775\) # (GND)))
-- \led_flash_cnt[3421][2]~74777\ = CARRY((!\led_flash_cnt[3421][1]~74775\) # (!\led_flash_cnt[3421][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3421][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3421][1]~74775\,
	combout => \led_flash_cnt[3421][2]~74776_combout\,
	cout => \led_flash_cnt[3421][2]~74777\);

-- Location: FF_X71_Y34_N3
\led_flash_cnt[3421][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3421][2]~74776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3421][2]~q\);

-- Location: LCCOMB_X71_Y34_N4
\led_flash_cnt[3421][3]~74778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3421][3]~74778_combout\ = (\led_flash_cnt[3421][3]~q\ & (\led_flash_cnt[3421][2]~74777\ $ (GND))) # (!\led_flash_cnt[3421][3]~q\ & (!\led_flash_cnt[3421][2]~74777\ & VCC))
-- \led_flash_cnt[3421][3]~74779\ = CARRY((\led_flash_cnt[3421][3]~q\ & !\led_flash_cnt[3421][2]~74777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3421][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3421][2]~74777\,
	combout => \led_flash_cnt[3421][3]~74778_combout\,
	cout => \led_flash_cnt[3421][3]~74779\);

-- Location: FF_X71_Y34_N5
\led_flash_cnt[3421][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3421][3]~74778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3421][3]~q\);

-- Location: LCCOMB_X71_Y34_N6
\led_flash_cnt[3421][4]~74780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3421][4]~74780_combout\ = (\led_flash_cnt[3421][4]~q\ & (!\led_flash_cnt[3421][3]~74779\)) # (!\led_flash_cnt[3421][4]~q\ & ((\led_flash_cnt[3421][3]~74779\) # (GND)))
-- \led_flash_cnt[3421][4]~74781\ = CARRY((!\led_flash_cnt[3421][3]~74779\) # (!\led_flash_cnt[3421][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3421][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3421][3]~74779\,
	combout => \led_flash_cnt[3421][4]~74780_combout\,
	cout => \led_flash_cnt[3421][4]~74781\);

-- Location: FF_X71_Y34_N7
\led_flash_cnt[3421][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3421][4]~74780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3421][4]~q\);

-- Location: LCCOMB_X71_Y34_N8
\led_flash_cnt[3421][5]~74782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3421][5]~74782_combout\ = (\led_flash_cnt[3421][5]~q\ & (\led_flash_cnt[3421][4]~74781\ $ (GND))) # (!\led_flash_cnt[3421][5]~q\ & (!\led_flash_cnt[3421][4]~74781\ & VCC))
-- \led_flash_cnt[3421][5]~74783\ = CARRY((\led_flash_cnt[3421][5]~q\ & !\led_flash_cnt[3421][4]~74781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3421][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3421][4]~74781\,
	combout => \led_flash_cnt[3421][5]~74782_combout\,
	cout => \led_flash_cnt[3421][5]~74783\);

-- Location: FF_X71_Y34_N9
\led_flash_cnt[3421][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3421][5]~74782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3421][5]~q\);

-- Location: LCCOMB_X71_Y34_N10
\led_flash_cnt[3421][6]~74784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3421][6]~74784_combout\ = (\led_flash_cnt[3421][6]~q\ & (!\led_flash_cnt[3421][5]~74783\)) # (!\led_flash_cnt[3421][6]~q\ & ((\led_flash_cnt[3421][5]~74783\) # (GND)))
-- \led_flash_cnt[3421][6]~74785\ = CARRY((!\led_flash_cnt[3421][5]~74783\) # (!\led_flash_cnt[3421][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3421][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3421][5]~74783\,
	combout => \led_flash_cnt[3421][6]~74784_combout\,
	cout => \led_flash_cnt[3421][6]~74785\);

-- Location: FF_X71_Y34_N11
\led_flash_cnt[3421][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3421][6]~74784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3421][6]~q\);

-- Location: LCCOMB_X71_Y34_N12
\led_flash_cnt[3421][7]~74786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3421][7]~74786_combout\ = \led_flash_cnt[3421][6]~74785\ $ (!\led_flash_cnt[3421][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3421][7]~q\,
	cin => \led_flash_cnt[3421][6]~74785\,
	combout => \led_flash_cnt[3421][7]~74786_combout\);

-- Location: FF_X71_Y34_N13
\led_flash_cnt[3421][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3421][7]~74786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3421][7]~q\);

-- Location: LCCOMB_X72_Y34_N30
\WideAnd3421~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3421~1_combout\ = (\led_flash_cnt[3421][6]~q\ & \led_flash_cnt[3421][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3421][6]~q\,
	datad => \led_flash_cnt[3421][5]~q\,
	combout => \WideAnd3421~1_combout\);

-- Location: LCCOMB_X71_Y34_N14
\WideAnd3421~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3421~0_combout\ = (\led_flash_cnt[3421][4]~q\ & (\led_flash_cnt[3421][1]~q\ & (\led_flash_cnt[3421][3]~q\ & \led_flash_cnt[3421][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3421][4]~q\,
	datab => \led_flash_cnt[3421][1]~q\,
	datac => \led_flash_cnt[3421][3]~q\,
	datad => \led_flash_cnt[3421][2]~q\,
	combout => \WideAnd3421~0_combout\);

-- Location: LCCOMB_X72_Y34_N8
WideAnd3421 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3421~combout\ = (\led_flash_cnt[3421][7]~q\ & (\led_flash_cnt[3421][0]~q\ & (\WideAnd3421~1_combout\ & \WideAnd3421~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3421][7]~q\,
	datab => \led_flash_cnt[3421][0]~q\,
	datac => \WideAnd3421~1_combout\,
	datad => \WideAnd3421~0_combout\,
	combout => \WideAnd3421~combout\);

-- Location: FF_X72_Y34_N9
\led_flash_cnt_ands[3421]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3421~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3421));

-- Location: LCCOMB_X72_Y34_N28
\led_flash_cnt[3420][0]~84060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3420][0]~84060_combout\ = !\led_flash_cnt[3420][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3420][0]~q\,
	combout => \led_flash_cnt[3420][0]~84060_combout\);

-- Location: FF_X72_Y34_N29
\led_flash_cnt[3420][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3420][0]~84060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3420][0]~q\);

-- Location: LCCOMB_X72_Y34_N10
\led_flash_cnt[3420][1]~74760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3420][1]~74760_combout\ = (\led_flash_cnt[3420][1]~q\ & (\led_flash_cnt[3420][0]~q\ $ (VCC))) # (!\led_flash_cnt[3420][1]~q\ & (\led_flash_cnt[3420][0]~q\ & VCC))
-- \led_flash_cnt[3420][1]~74761\ = CARRY((\led_flash_cnt[3420][1]~q\ & \led_flash_cnt[3420][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3420][1]~q\,
	datab => \led_flash_cnt[3420][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3420][1]~74760_combout\,
	cout => \led_flash_cnt[3420][1]~74761\);

-- Location: FF_X72_Y34_N11
\led_flash_cnt[3420][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3420][1]~74760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3420][1]~q\);

-- Location: LCCOMB_X72_Y34_N12
\led_flash_cnt[3420][2]~74762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3420][2]~74762_combout\ = (\led_flash_cnt[3420][2]~q\ & (!\led_flash_cnt[3420][1]~74761\)) # (!\led_flash_cnt[3420][2]~q\ & ((\led_flash_cnt[3420][1]~74761\) # (GND)))
-- \led_flash_cnt[3420][2]~74763\ = CARRY((!\led_flash_cnt[3420][1]~74761\) # (!\led_flash_cnt[3420][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3420][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3420][1]~74761\,
	combout => \led_flash_cnt[3420][2]~74762_combout\,
	cout => \led_flash_cnt[3420][2]~74763\);

-- Location: FF_X72_Y34_N13
\led_flash_cnt[3420][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3420][2]~74762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3420][2]~q\);

-- Location: LCCOMB_X72_Y34_N14
\led_flash_cnt[3420][3]~74764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3420][3]~74764_combout\ = (\led_flash_cnt[3420][3]~q\ & (\led_flash_cnt[3420][2]~74763\ $ (GND))) # (!\led_flash_cnt[3420][3]~q\ & (!\led_flash_cnt[3420][2]~74763\ & VCC))
-- \led_flash_cnt[3420][3]~74765\ = CARRY((\led_flash_cnt[3420][3]~q\ & !\led_flash_cnt[3420][2]~74763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3420][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3420][2]~74763\,
	combout => \led_flash_cnt[3420][3]~74764_combout\,
	cout => \led_flash_cnt[3420][3]~74765\);

-- Location: FF_X72_Y34_N15
\led_flash_cnt[3420][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3420][3]~74764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3420][3]~q\);

-- Location: LCCOMB_X72_Y34_N16
\led_flash_cnt[3420][4]~74766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3420][4]~74766_combout\ = (\led_flash_cnt[3420][4]~q\ & (!\led_flash_cnt[3420][3]~74765\)) # (!\led_flash_cnt[3420][4]~q\ & ((\led_flash_cnt[3420][3]~74765\) # (GND)))
-- \led_flash_cnt[3420][4]~74767\ = CARRY((!\led_flash_cnt[3420][3]~74765\) # (!\led_flash_cnt[3420][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3420][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3420][3]~74765\,
	combout => \led_flash_cnt[3420][4]~74766_combout\,
	cout => \led_flash_cnt[3420][4]~74767\);

-- Location: FF_X72_Y34_N17
\led_flash_cnt[3420][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3420][4]~74766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3420][4]~q\);

-- Location: LCCOMB_X72_Y34_N26
\WideAnd3420~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3420~0_combout\ = (\led_flash_cnt[3420][2]~q\ & (\led_flash_cnt[3420][4]~q\ & (\led_flash_cnt[3420][3]~q\ & \led_flash_cnt[3420][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3420][2]~q\,
	datab => \led_flash_cnt[3420][4]~q\,
	datac => \led_flash_cnt[3420][3]~q\,
	datad => \led_flash_cnt[3420][1]~q\,
	combout => \WideAnd3420~0_combout\);

-- Location: LCCOMB_X72_Y34_N18
\led_flash_cnt[3420][5]~74768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3420][5]~74768_combout\ = (\led_flash_cnt[3420][5]~q\ & (\led_flash_cnt[3420][4]~74767\ $ (GND))) # (!\led_flash_cnt[3420][5]~q\ & (!\led_flash_cnt[3420][4]~74767\ & VCC))
-- \led_flash_cnt[3420][5]~74769\ = CARRY((\led_flash_cnt[3420][5]~q\ & !\led_flash_cnt[3420][4]~74767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3420][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3420][4]~74767\,
	combout => \led_flash_cnt[3420][5]~74768_combout\,
	cout => \led_flash_cnt[3420][5]~74769\);

-- Location: FF_X72_Y34_N19
\led_flash_cnt[3420][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3420][5]~74768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3420][5]~q\);

-- Location: LCCOMB_X72_Y34_N20
\led_flash_cnt[3420][6]~74770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3420][6]~74770_combout\ = (\led_flash_cnt[3420][6]~q\ & (!\led_flash_cnt[3420][5]~74769\)) # (!\led_flash_cnt[3420][6]~q\ & ((\led_flash_cnt[3420][5]~74769\) # (GND)))
-- \led_flash_cnt[3420][6]~74771\ = CARRY((!\led_flash_cnt[3420][5]~74769\) # (!\led_flash_cnt[3420][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3420][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3420][5]~74769\,
	combout => \led_flash_cnt[3420][6]~74770_combout\,
	cout => \led_flash_cnt[3420][6]~74771\);

-- Location: FF_X72_Y34_N21
\led_flash_cnt[3420][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3420][6]~74770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3420][6]~q\);

-- Location: LCCOMB_X72_Y34_N24
\WideAnd3420~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3420~1_combout\ = (\led_flash_cnt[3420][6]~q\ & \led_flash_cnt[3420][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3420][6]~q\,
	datad => \led_flash_cnt[3420][5]~q\,
	combout => \WideAnd3420~1_combout\);

-- Location: LCCOMB_X72_Y34_N22
\led_flash_cnt[3420][7]~74772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3420][7]~74772_combout\ = \led_flash_cnt[3420][7]~q\ $ (!\led_flash_cnt[3420][6]~74771\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3420][7]~q\,
	cin => \led_flash_cnt[3420][6]~74771\,
	combout => \led_flash_cnt[3420][7]~74772_combout\);

-- Location: FF_X72_Y34_N23
\led_flash_cnt[3420][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3420][7]~74772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3420][7]~q\);

-- Location: LCCOMB_X72_Y34_N6
WideAnd3420 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3420~combout\ = (\WideAnd3420~0_combout\ & (\WideAnd3420~1_combout\ & (\led_flash_cnt[3420][7]~q\ & \led_flash_cnt[3420][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3420~0_combout\,
	datab => \WideAnd3420~1_combout\,
	datac => \led_flash_cnt[3420][7]~q\,
	datad => \led_flash_cnt[3420][0]~q\,
	combout => \WideAnd3420~combout\);

-- Location: FF_X72_Y34_N7
\led_flash_cnt_ands[3420]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3420~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3420));

-- Location: LCCOMB_X72_Y34_N4
\WideAnd4267~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4267~1_combout\ = (led_flash_cnt_ands(3421) & led_flash_cnt_ands(3420))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3421),
	datad => led_flash_cnt_ands(3420),
	combout => \WideAnd4267~1_combout\);

-- Location: LCCOMB_X65_Y44_N10
\led_flash_cnt[3423][0]~84063\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3423][0]~84063_combout\ = !\led_flash_cnt[3423][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3423][0]~q\,
	combout => \led_flash_cnt[3423][0]~84063_combout\);

-- Location: FF_X65_Y44_N11
\led_flash_cnt[3423][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3423][0]~84063_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3423][0]~q\);

-- Location: LCCOMB_X65_Y44_N16
\led_flash_cnt[3423][1]~74802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3423][1]~74802_combout\ = (\led_flash_cnt[3423][0]~q\ & (\led_flash_cnt[3423][1]~q\ $ (VCC))) # (!\led_flash_cnt[3423][0]~q\ & (\led_flash_cnt[3423][1]~q\ & VCC))
-- \led_flash_cnt[3423][1]~74803\ = CARRY((\led_flash_cnt[3423][0]~q\ & \led_flash_cnt[3423][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3423][0]~q\,
	datab => \led_flash_cnt[3423][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3423][1]~74802_combout\,
	cout => \led_flash_cnt[3423][1]~74803\);

-- Location: FF_X65_Y44_N17
\led_flash_cnt[3423][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3423][1]~74802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3423][1]~q\);

-- Location: LCCOMB_X65_Y44_N18
\led_flash_cnt[3423][2]~74804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3423][2]~74804_combout\ = (\led_flash_cnt[3423][2]~q\ & (!\led_flash_cnt[3423][1]~74803\)) # (!\led_flash_cnt[3423][2]~q\ & ((\led_flash_cnt[3423][1]~74803\) # (GND)))
-- \led_flash_cnt[3423][2]~74805\ = CARRY((!\led_flash_cnt[3423][1]~74803\) # (!\led_flash_cnt[3423][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3423][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3423][1]~74803\,
	combout => \led_flash_cnt[3423][2]~74804_combout\,
	cout => \led_flash_cnt[3423][2]~74805\);

-- Location: FF_X65_Y44_N19
\led_flash_cnt[3423][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3423][2]~74804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3423][2]~q\);

-- Location: LCCOMB_X65_Y44_N20
\led_flash_cnt[3423][3]~74806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3423][3]~74806_combout\ = (\led_flash_cnt[3423][3]~q\ & (\led_flash_cnt[3423][2]~74805\ $ (GND))) # (!\led_flash_cnt[3423][3]~q\ & (!\led_flash_cnt[3423][2]~74805\ & VCC))
-- \led_flash_cnt[3423][3]~74807\ = CARRY((\led_flash_cnt[3423][3]~q\ & !\led_flash_cnt[3423][2]~74805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3423][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3423][2]~74805\,
	combout => \led_flash_cnt[3423][3]~74806_combout\,
	cout => \led_flash_cnt[3423][3]~74807\);

-- Location: FF_X65_Y44_N21
\led_flash_cnt[3423][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3423][3]~74806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3423][3]~q\);

-- Location: LCCOMB_X65_Y44_N22
\led_flash_cnt[3423][4]~74808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3423][4]~74808_combout\ = (\led_flash_cnt[3423][4]~q\ & (!\led_flash_cnt[3423][3]~74807\)) # (!\led_flash_cnt[3423][4]~q\ & ((\led_flash_cnt[3423][3]~74807\) # (GND)))
-- \led_flash_cnt[3423][4]~74809\ = CARRY((!\led_flash_cnt[3423][3]~74807\) # (!\led_flash_cnt[3423][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3423][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3423][3]~74807\,
	combout => \led_flash_cnt[3423][4]~74808_combout\,
	cout => \led_flash_cnt[3423][4]~74809\);

-- Location: FF_X65_Y44_N23
\led_flash_cnt[3423][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3423][4]~74808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3423][4]~q\);

-- Location: LCCOMB_X65_Y44_N24
\led_flash_cnt[3423][5]~74810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3423][5]~74810_combout\ = (\led_flash_cnt[3423][5]~q\ & (\led_flash_cnt[3423][4]~74809\ $ (GND))) # (!\led_flash_cnt[3423][5]~q\ & (!\led_flash_cnt[3423][4]~74809\ & VCC))
-- \led_flash_cnt[3423][5]~74811\ = CARRY((\led_flash_cnt[3423][5]~q\ & !\led_flash_cnt[3423][4]~74809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3423][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3423][4]~74809\,
	combout => \led_flash_cnt[3423][5]~74810_combout\,
	cout => \led_flash_cnt[3423][5]~74811\);

-- Location: FF_X65_Y44_N25
\led_flash_cnt[3423][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3423][5]~74810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3423][5]~q\);

-- Location: LCCOMB_X65_Y44_N26
\led_flash_cnt[3423][6]~74812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3423][6]~74812_combout\ = (\led_flash_cnt[3423][6]~q\ & (!\led_flash_cnt[3423][5]~74811\)) # (!\led_flash_cnt[3423][6]~q\ & ((\led_flash_cnt[3423][5]~74811\) # (GND)))
-- \led_flash_cnt[3423][6]~74813\ = CARRY((!\led_flash_cnt[3423][5]~74811\) # (!\led_flash_cnt[3423][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3423][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3423][5]~74811\,
	combout => \led_flash_cnt[3423][6]~74812_combout\,
	cout => \led_flash_cnt[3423][6]~74813\);

-- Location: FF_X65_Y44_N27
\led_flash_cnt[3423][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3423][6]~74812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3423][6]~q\);

-- Location: LCCOMB_X65_Y44_N28
\led_flash_cnt[3423][7]~74814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3423][7]~74814_combout\ = \led_flash_cnt[3423][6]~74813\ $ (!\led_flash_cnt[3423][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3423][7]~q\,
	cin => \led_flash_cnt[3423][6]~74813\,
	combout => \led_flash_cnt[3423][7]~74814_combout\);

-- Location: FF_X65_Y44_N29
\led_flash_cnt[3423][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3423][7]~74814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3423][7]~q\);

-- Location: LCCOMB_X65_Y44_N4
\WideAnd3423~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3423~1_combout\ = (\led_flash_cnt[3423][6]~q\ & \led_flash_cnt[3423][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3423][6]~q\,
	datad => \led_flash_cnt[3423][5]~q\,
	combout => \WideAnd3423~1_combout\);

-- Location: LCCOMB_X65_Y44_N12
\WideAnd3423~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3423~0_combout\ = (\led_flash_cnt[3423][2]~q\ & (\led_flash_cnt[3423][3]~q\ & (\led_flash_cnt[3423][4]~q\ & \led_flash_cnt[3423][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3423][2]~q\,
	datab => \led_flash_cnt[3423][3]~q\,
	datac => \led_flash_cnt[3423][4]~q\,
	datad => \led_flash_cnt[3423][1]~q\,
	combout => \WideAnd3423~0_combout\);

-- Location: LCCOMB_X65_Y44_N8
WideAnd3423 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3423~combout\ = (\led_flash_cnt[3423][0]~q\ & (\led_flash_cnt[3423][7]~q\ & (\WideAnd3423~1_combout\ & \WideAnd3423~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3423][0]~q\,
	datab => \led_flash_cnt[3423][7]~q\,
	datac => \WideAnd3423~1_combout\,
	datad => \WideAnd3423~0_combout\,
	combout => \WideAnd3423~combout\);

-- Location: FF_X65_Y44_N9
\led_flash_cnt_ands[3423]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3423~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3423));

-- Location: LCCOMB_X65_Y40_N10
WideAnd4267 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4267~combout\ = (\WideAnd4267~0_combout\ & (led_flash_cnt_ands(3422) & (\WideAnd4267~1_combout\ & led_flash_cnt_ands(3423))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4267~0_combout\,
	datab => led_flash_cnt_ands(3422),
	datac => \WideAnd4267~1_combout\,
	datad => led_flash_cnt_ands(3423),
	combout => \WideAnd4267~combout\);

-- Location: FF_X65_Y40_N11
\led_flash_cnt_ands_1[427]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4267~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(427));

-- Location: LCCOMB_X70_Y29_N26
\led_flash_cnt[3398][0]~84038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3398][0]~84038_combout\ = !\led_flash_cnt[3398][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3398][0]~q\,
	combout => \led_flash_cnt[3398][0]~84038_combout\);

-- Location: FF_X70_Y29_N27
\led_flash_cnt[3398][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3398][0]~84038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3398][0]~q\);

-- Location: LCCOMB_X70_Y29_N4
\led_flash_cnt[3398][1]~74452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3398][1]~74452_combout\ = (\led_flash_cnt[3398][0]~q\ & (\led_flash_cnt[3398][1]~q\ $ (VCC))) # (!\led_flash_cnt[3398][0]~q\ & (\led_flash_cnt[3398][1]~q\ & VCC))
-- \led_flash_cnt[3398][1]~74453\ = CARRY((\led_flash_cnt[3398][0]~q\ & \led_flash_cnt[3398][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3398][0]~q\,
	datab => \led_flash_cnt[3398][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3398][1]~74452_combout\,
	cout => \led_flash_cnt[3398][1]~74453\);

-- Location: FF_X70_Y29_N5
\led_flash_cnt[3398][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3398][1]~74452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3398][1]~q\);

-- Location: LCCOMB_X70_Y29_N6
\led_flash_cnt[3398][2]~74454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3398][2]~74454_combout\ = (\led_flash_cnt[3398][2]~q\ & (!\led_flash_cnt[3398][1]~74453\)) # (!\led_flash_cnt[3398][2]~q\ & ((\led_flash_cnt[3398][1]~74453\) # (GND)))
-- \led_flash_cnt[3398][2]~74455\ = CARRY((!\led_flash_cnt[3398][1]~74453\) # (!\led_flash_cnt[3398][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3398][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3398][1]~74453\,
	combout => \led_flash_cnt[3398][2]~74454_combout\,
	cout => \led_flash_cnt[3398][2]~74455\);

-- Location: FF_X70_Y29_N7
\led_flash_cnt[3398][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3398][2]~74454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3398][2]~q\);

-- Location: LCCOMB_X70_Y29_N8
\led_flash_cnt[3398][3]~74456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3398][3]~74456_combout\ = (\led_flash_cnt[3398][3]~q\ & (\led_flash_cnt[3398][2]~74455\ $ (GND))) # (!\led_flash_cnt[3398][3]~q\ & (!\led_flash_cnt[3398][2]~74455\ & VCC))
-- \led_flash_cnt[3398][3]~74457\ = CARRY((\led_flash_cnt[3398][3]~q\ & !\led_flash_cnt[3398][2]~74455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3398][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3398][2]~74455\,
	combout => \led_flash_cnt[3398][3]~74456_combout\,
	cout => \led_flash_cnt[3398][3]~74457\);

-- Location: FF_X70_Y29_N9
\led_flash_cnt[3398][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3398][3]~74456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3398][3]~q\);

-- Location: LCCOMB_X70_Y29_N10
\led_flash_cnt[3398][4]~74458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3398][4]~74458_combout\ = (\led_flash_cnt[3398][4]~q\ & (!\led_flash_cnt[3398][3]~74457\)) # (!\led_flash_cnt[3398][4]~q\ & ((\led_flash_cnt[3398][3]~74457\) # (GND)))
-- \led_flash_cnt[3398][4]~74459\ = CARRY((!\led_flash_cnt[3398][3]~74457\) # (!\led_flash_cnt[3398][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3398][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3398][3]~74457\,
	combout => \led_flash_cnt[3398][4]~74458_combout\,
	cout => \led_flash_cnt[3398][4]~74459\);

-- Location: FF_X70_Y29_N11
\led_flash_cnt[3398][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3398][4]~74458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3398][4]~q\);

-- Location: LCCOMB_X70_Y29_N12
\led_flash_cnt[3398][5]~74460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3398][5]~74460_combout\ = (\led_flash_cnt[3398][5]~q\ & (\led_flash_cnt[3398][4]~74459\ $ (GND))) # (!\led_flash_cnt[3398][5]~q\ & (!\led_flash_cnt[3398][4]~74459\ & VCC))
-- \led_flash_cnt[3398][5]~74461\ = CARRY((\led_flash_cnt[3398][5]~q\ & !\led_flash_cnt[3398][4]~74459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3398][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3398][4]~74459\,
	combout => \led_flash_cnt[3398][5]~74460_combout\,
	cout => \led_flash_cnt[3398][5]~74461\);

-- Location: FF_X70_Y29_N13
\led_flash_cnt[3398][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3398][5]~74460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3398][5]~q\);

-- Location: LCCOMB_X70_Y29_N14
\led_flash_cnt[3398][6]~74462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3398][6]~74462_combout\ = (\led_flash_cnt[3398][6]~q\ & (!\led_flash_cnt[3398][5]~74461\)) # (!\led_flash_cnt[3398][6]~q\ & ((\led_flash_cnt[3398][5]~74461\) # (GND)))
-- \led_flash_cnt[3398][6]~74463\ = CARRY((!\led_flash_cnt[3398][5]~74461\) # (!\led_flash_cnt[3398][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3398][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3398][5]~74461\,
	combout => \led_flash_cnt[3398][6]~74462_combout\,
	cout => \led_flash_cnt[3398][6]~74463\);

-- Location: FF_X70_Y29_N15
\led_flash_cnt[3398][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3398][6]~74462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3398][6]~q\);

-- Location: LCCOMB_X70_Y29_N16
\led_flash_cnt[3398][7]~74464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3398][7]~74464_combout\ = \led_flash_cnt[3398][6]~74463\ $ (!\led_flash_cnt[3398][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3398][7]~q\,
	cin => \led_flash_cnt[3398][6]~74463\,
	combout => \led_flash_cnt[3398][7]~74464_combout\);

-- Location: FF_X70_Y29_N17
\led_flash_cnt[3398][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3398][7]~74464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3398][7]~q\);

-- Location: LCCOMB_X70_Y29_N22
\WideAnd3398~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3398~1_combout\ = (\led_flash_cnt[3398][6]~q\ & \led_flash_cnt[3398][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3398][6]~q\,
	datad => \led_flash_cnt[3398][5]~q\,
	combout => \WideAnd3398~1_combout\);

-- Location: LCCOMB_X70_Y29_N18
\WideAnd3398~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3398~0_combout\ = (\led_flash_cnt[3398][4]~q\ & (\led_flash_cnt[3398][3]~q\ & (\led_flash_cnt[3398][1]~q\ & \led_flash_cnt[3398][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3398][4]~q\,
	datab => \led_flash_cnt[3398][3]~q\,
	datac => \led_flash_cnt[3398][1]~q\,
	datad => \led_flash_cnt[3398][2]~q\,
	combout => \WideAnd3398~0_combout\);

-- Location: LCCOMB_X70_Y29_N24
WideAnd3398 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3398~combout\ = (\led_flash_cnt[3398][0]~q\ & (\led_flash_cnt[3398][7]~q\ & (\WideAnd3398~1_combout\ & \WideAnd3398~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3398][0]~q\,
	datab => \led_flash_cnt[3398][7]~q\,
	datac => \WideAnd3398~1_combout\,
	datad => \WideAnd3398~0_combout\,
	combout => \WideAnd3398~combout\);

-- Location: FF_X70_Y29_N25
\led_flash_cnt_ands[3398]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3398~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3398));

-- Location: LCCOMB_X70_Y26_N18
\led_flash_cnt[3399][0]~84039\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3399][0]~84039_combout\ = !\led_flash_cnt[3399][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3399][0]~q\,
	combout => \led_flash_cnt[3399][0]~84039_combout\);

-- Location: FF_X70_Y26_N19
\led_flash_cnt[3399][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3399][0]~84039_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3399][0]~q\);

-- Location: LCCOMB_X70_Y26_N2
\led_flash_cnt[3399][1]~74466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3399][1]~74466_combout\ = (\led_flash_cnt[3399][1]~q\ & (\led_flash_cnt[3399][0]~q\ $ (VCC))) # (!\led_flash_cnt[3399][1]~q\ & (\led_flash_cnt[3399][0]~q\ & VCC))
-- \led_flash_cnt[3399][1]~74467\ = CARRY((\led_flash_cnt[3399][1]~q\ & \led_flash_cnt[3399][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3399][1]~q\,
	datab => \led_flash_cnt[3399][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3399][1]~74466_combout\,
	cout => \led_flash_cnt[3399][1]~74467\);

-- Location: FF_X70_Y26_N3
\led_flash_cnt[3399][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3399][1]~74466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3399][1]~q\);

-- Location: LCCOMB_X70_Y26_N4
\led_flash_cnt[3399][2]~74468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3399][2]~74468_combout\ = (\led_flash_cnt[3399][2]~q\ & (!\led_flash_cnt[3399][1]~74467\)) # (!\led_flash_cnt[3399][2]~q\ & ((\led_flash_cnt[3399][1]~74467\) # (GND)))
-- \led_flash_cnt[3399][2]~74469\ = CARRY((!\led_flash_cnt[3399][1]~74467\) # (!\led_flash_cnt[3399][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3399][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3399][1]~74467\,
	combout => \led_flash_cnt[3399][2]~74468_combout\,
	cout => \led_flash_cnt[3399][2]~74469\);

-- Location: FF_X70_Y26_N5
\led_flash_cnt[3399][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3399][2]~74468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3399][2]~q\);

-- Location: LCCOMB_X70_Y26_N6
\led_flash_cnt[3399][3]~74470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3399][3]~74470_combout\ = (\led_flash_cnt[3399][3]~q\ & (\led_flash_cnt[3399][2]~74469\ $ (GND))) # (!\led_flash_cnt[3399][3]~q\ & (!\led_flash_cnt[3399][2]~74469\ & VCC))
-- \led_flash_cnt[3399][3]~74471\ = CARRY((\led_flash_cnt[3399][3]~q\ & !\led_flash_cnt[3399][2]~74469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3399][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3399][2]~74469\,
	combout => \led_flash_cnt[3399][3]~74470_combout\,
	cout => \led_flash_cnt[3399][3]~74471\);

-- Location: FF_X70_Y26_N7
\led_flash_cnt[3399][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3399][3]~74470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3399][3]~q\);

-- Location: LCCOMB_X70_Y26_N8
\led_flash_cnt[3399][4]~74472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3399][4]~74472_combout\ = (\led_flash_cnt[3399][4]~q\ & (!\led_flash_cnt[3399][3]~74471\)) # (!\led_flash_cnt[3399][4]~q\ & ((\led_flash_cnt[3399][3]~74471\) # (GND)))
-- \led_flash_cnt[3399][4]~74473\ = CARRY((!\led_flash_cnt[3399][3]~74471\) # (!\led_flash_cnt[3399][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3399][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3399][3]~74471\,
	combout => \led_flash_cnt[3399][4]~74472_combout\,
	cout => \led_flash_cnt[3399][4]~74473\);

-- Location: FF_X70_Y26_N9
\led_flash_cnt[3399][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3399][4]~74472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3399][4]~q\);

-- Location: LCCOMB_X70_Y26_N10
\led_flash_cnt[3399][5]~74474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3399][5]~74474_combout\ = (\led_flash_cnt[3399][5]~q\ & (\led_flash_cnt[3399][4]~74473\ $ (GND))) # (!\led_flash_cnt[3399][5]~q\ & (!\led_flash_cnt[3399][4]~74473\ & VCC))
-- \led_flash_cnt[3399][5]~74475\ = CARRY((\led_flash_cnt[3399][5]~q\ & !\led_flash_cnt[3399][4]~74473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3399][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3399][4]~74473\,
	combout => \led_flash_cnt[3399][5]~74474_combout\,
	cout => \led_flash_cnt[3399][5]~74475\);

-- Location: FF_X70_Y26_N11
\led_flash_cnt[3399][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3399][5]~74474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3399][5]~q\);

-- Location: LCCOMB_X70_Y26_N12
\led_flash_cnt[3399][6]~74476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3399][6]~74476_combout\ = (\led_flash_cnt[3399][6]~q\ & (!\led_flash_cnt[3399][5]~74475\)) # (!\led_flash_cnt[3399][6]~q\ & ((\led_flash_cnt[3399][5]~74475\) # (GND)))
-- \led_flash_cnt[3399][6]~74477\ = CARRY((!\led_flash_cnt[3399][5]~74475\) # (!\led_flash_cnt[3399][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3399][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3399][5]~74475\,
	combout => \led_flash_cnt[3399][6]~74476_combout\,
	cout => \led_flash_cnt[3399][6]~74477\);

-- Location: FF_X70_Y26_N13
\led_flash_cnt[3399][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3399][6]~74476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3399][6]~q\);

-- Location: LCCOMB_X70_Y26_N22
\WideAnd3399~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3399~1_combout\ = (\led_flash_cnt[3399][6]~q\ & \led_flash_cnt[3399][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3399][6]~q\,
	datad => \led_flash_cnt[3399][5]~q\,
	combout => \WideAnd3399~1_combout\);

-- Location: LCCOMB_X70_Y26_N14
\led_flash_cnt[3399][7]~74478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3399][7]~74478_combout\ = \led_flash_cnt[3399][7]~q\ $ (!\led_flash_cnt[3399][6]~74477\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3399][7]~q\,
	cin => \led_flash_cnt[3399][6]~74477\,
	combout => \led_flash_cnt[3399][7]~74478_combout\);

-- Location: FF_X70_Y26_N15
\led_flash_cnt[3399][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3399][7]~74478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3399][7]~q\);

-- Location: LCCOMB_X70_Y26_N26
\WideAnd3399~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3399~0_combout\ = (\led_flash_cnt[3399][1]~q\ & (\led_flash_cnt[3399][4]~q\ & (\led_flash_cnt[3399][2]~q\ & \led_flash_cnt[3399][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3399][1]~q\,
	datab => \led_flash_cnt[3399][4]~q\,
	datac => \led_flash_cnt[3399][2]~q\,
	datad => \led_flash_cnt[3399][3]~q\,
	combout => \WideAnd3399~0_combout\);

-- Location: LCCOMB_X70_Y26_N28
WideAnd3399 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3399~combout\ = (\WideAnd3399~1_combout\ & (\led_flash_cnt[3399][7]~q\ & (\WideAnd3399~0_combout\ & \led_flash_cnt[3399][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3399~1_combout\,
	datab => \led_flash_cnt[3399][7]~q\,
	datac => \WideAnd3399~0_combout\,
	datad => \led_flash_cnt[3399][0]~q\,
	combout => \WideAnd3399~combout\);

-- Location: FF_X70_Y26_N29
\led_flash_cnt_ands[3399]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3399~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3399));

-- Location: LCCOMB_X71_Y20_N2
\led_flash_cnt[3397][0]~84037\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3397][0]~84037_combout\ = !\led_flash_cnt[3397][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3397][0]~q\,
	combout => \led_flash_cnt[3397][0]~84037_combout\);

-- Location: FF_X71_Y20_N3
\led_flash_cnt[3397][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3397][0]~84037_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3397][0]~q\);

-- Location: LCCOMB_X70_Y20_N2
\led_flash_cnt[3397][1]~74438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3397][1]~74438_combout\ = (\led_flash_cnt[3397][0]~q\ & (\led_flash_cnt[3397][1]~q\ $ (VCC))) # (!\led_flash_cnt[3397][0]~q\ & (\led_flash_cnt[3397][1]~q\ & VCC))
-- \led_flash_cnt[3397][1]~74439\ = CARRY((\led_flash_cnt[3397][0]~q\ & \led_flash_cnt[3397][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3397][0]~q\,
	datab => \led_flash_cnt[3397][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3397][1]~74438_combout\,
	cout => \led_flash_cnt[3397][1]~74439\);

-- Location: FF_X70_Y20_N3
\led_flash_cnt[3397][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3397][1]~74438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3397][1]~q\);

-- Location: LCCOMB_X70_Y20_N4
\led_flash_cnt[3397][2]~74440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3397][2]~74440_combout\ = (\led_flash_cnt[3397][2]~q\ & (!\led_flash_cnt[3397][1]~74439\)) # (!\led_flash_cnt[3397][2]~q\ & ((\led_flash_cnt[3397][1]~74439\) # (GND)))
-- \led_flash_cnt[3397][2]~74441\ = CARRY((!\led_flash_cnt[3397][1]~74439\) # (!\led_flash_cnt[3397][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3397][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3397][1]~74439\,
	combout => \led_flash_cnt[3397][2]~74440_combout\,
	cout => \led_flash_cnt[3397][2]~74441\);

-- Location: FF_X70_Y20_N5
\led_flash_cnt[3397][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3397][2]~74440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3397][2]~q\);

-- Location: LCCOMB_X70_Y20_N6
\led_flash_cnt[3397][3]~74442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3397][3]~74442_combout\ = (\led_flash_cnt[3397][3]~q\ & (\led_flash_cnt[3397][2]~74441\ $ (GND))) # (!\led_flash_cnt[3397][3]~q\ & (!\led_flash_cnt[3397][2]~74441\ & VCC))
-- \led_flash_cnt[3397][3]~74443\ = CARRY((\led_flash_cnt[3397][3]~q\ & !\led_flash_cnt[3397][2]~74441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3397][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3397][2]~74441\,
	combout => \led_flash_cnt[3397][3]~74442_combout\,
	cout => \led_flash_cnt[3397][3]~74443\);

-- Location: FF_X70_Y20_N7
\led_flash_cnt[3397][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3397][3]~74442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3397][3]~q\);

-- Location: LCCOMB_X70_Y20_N8
\led_flash_cnt[3397][4]~74444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3397][4]~74444_combout\ = (\led_flash_cnt[3397][4]~q\ & (!\led_flash_cnt[3397][3]~74443\)) # (!\led_flash_cnt[3397][4]~q\ & ((\led_flash_cnt[3397][3]~74443\) # (GND)))
-- \led_flash_cnt[3397][4]~74445\ = CARRY((!\led_flash_cnt[3397][3]~74443\) # (!\led_flash_cnt[3397][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3397][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3397][3]~74443\,
	combout => \led_flash_cnt[3397][4]~74444_combout\,
	cout => \led_flash_cnt[3397][4]~74445\);

-- Location: FF_X70_Y20_N9
\led_flash_cnt[3397][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3397][4]~74444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3397][4]~q\);

-- Location: LCCOMB_X70_Y20_N10
\led_flash_cnt[3397][5]~74446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3397][5]~74446_combout\ = (\led_flash_cnt[3397][5]~q\ & (\led_flash_cnt[3397][4]~74445\ $ (GND))) # (!\led_flash_cnt[3397][5]~q\ & (!\led_flash_cnt[3397][4]~74445\ & VCC))
-- \led_flash_cnt[3397][5]~74447\ = CARRY((\led_flash_cnt[3397][5]~q\ & !\led_flash_cnt[3397][4]~74445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3397][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3397][4]~74445\,
	combout => \led_flash_cnt[3397][5]~74446_combout\,
	cout => \led_flash_cnt[3397][5]~74447\);

-- Location: FF_X70_Y20_N11
\led_flash_cnt[3397][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3397][5]~74446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3397][5]~q\);

-- Location: LCCOMB_X70_Y20_N12
\led_flash_cnt[3397][6]~74448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3397][6]~74448_combout\ = (\led_flash_cnt[3397][6]~q\ & (!\led_flash_cnt[3397][5]~74447\)) # (!\led_flash_cnt[3397][6]~q\ & ((\led_flash_cnt[3397][5]~74447\) # (GND)))
-- \led_flash_cnt[3397][6]~74449\ = CARRY((!\led_flash_cnt[3397][5]~74447\) # (!\led_flash_cnt[3397][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3397][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3397][5]~74447\,
	combout => \led_flash_cnt[3397][6]~74448_combout\,
	cout => \led_flash_cnt[3397][6]~74449\);

-- Location: FF_X70_Y20_N13
\led_flash_cnt[3397][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3397][6]~74448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3397][6]~q\);

-- Location: LCCOMB_X70_Y20_N14
\led_flash_cnt[3397][7]~74450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3397][7]~74450_combout\ = \led_flash_cnt[3397][7]~q\ $ (!\led_flash_cnt[3397][6]~74449\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3397][7]~q\,
	cin => \led_flash_cnt[3397][6]~74449\,
	combout => \led_flash_cnt[3397][7]~74450_combout\);

-- Location: FF_X70_Y20_N15
\led_flash_cnt[3397][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3397][7]~74450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3397][7]~q\);

-- Location: LCCOMB_X71_Y20_N28
\WideAnd3397~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3397~1_combout\ = (\led_flash_cnt[3397][6]~q\ & \led_flash_cnt[3397][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3397][6]~q\,
	datad => \led_flash_cnt[3397][5]~q\,
	combout => \WideAnd3397~1_combout\);

-- Location: LCCOMB_X70_Y20_N0
\WideAnd3397~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3397~0_combout\ = (\led_flash_cnt[3397][3]~q\ & (\led_flash_cnt[3397][4]~q\ & (\led_flash_cnt[3397][2]~q\ & \led_flash_cnt[3397][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3397][3]~q\,
	datab => \led_flash_cnt[3397][4]~q\,
	datac => \led_flash_cnt[3397][2]~q\,
	datad => \led_flash_cnt[3397][1]~q\,
	combout => \WideAnd3397~0_combout\);

-- Location: LCCOMB_X71_Y20_N4
WideAnd3397 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3397~combout\ = (\led_flash_cnt[3397][7]~q\ & (\WideAnd3397~1_combout\ & (\WideAnd3397~0_combout\ & \led_flash_cnt[3397][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3397][7]~q\,
	datab => \WideAnd3397~1_combout\,
	datac => \WideAnd3397~0_combout\,
	datad => \led_flash_cnt[3397][0]~q\,
	combout => \WideAnd3397~combout\);

-- Location: FF_X71_Y20_N5
\led_flash_cnt_ands[3397]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3397~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3397));

-- Location: LCCOMB_X71_Y20_N6
\led_flash_cnt[3396][0]~84036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3396][0]~84036_combout\ = !\led_flash_cnt[3396][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3396][0]~q\,
	combout => \led_flash_cnt[3396][0]~84036_combout\);

-- Location: FF_X71_Y20_N7
\led_flash_cnt[3396][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3396][0]~84036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3396][0]~q\);

-- Location: LCCOMB_X71_Y20_N8
\led_flash_cnt[3396][1]~74424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3396][1]~74424_combout\ = (\led_flash_cnt[3396][0]~q\ & (\led_flash_cnt[3396][1]~q\ $ (VCC))) # (!\led_flash_cnt[3396][0]~q\ & (\led_flash_cnt[3396][1]~q\ & VCC))
-- \led_flash_cnt[3396][1]~74425\ = CARRY((\led_flash_cnt[3396][0]~q\ & \led_flash_cnt[3396][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3396][0]~q\,
	datab => \led_flash_cnt[3396][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3396][1]~74424_combout\,
	cout => \led_flash_cnt[3396][1]~74425\);

-- Location: FF_X71_Y20_N9
\led_flash_cnt[3396][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3396][1]~74424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3396][1]~q\);

-- Location: LCCOMB_X71_Y20_N10
\led_flash_cnt[3396][2]~74426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3396][2]~74426_combout\ = (\led_flash_cnt[3396][2]~q\ & (!\led_flash_cnt[3396][1]~74425\)) # (!\led_flash_cnt[3396][2]~q\ & ((\led_flash_cnt[3396][1]~74425\) # (GND)))
-- \led_flash_cnt[3396][2]~74427\ = CARRY((!\led_flash_cnt[3396][1]~74425\) # (!\led_flash_cnt[3396][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3396][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3396][1]~74425\,
	combout => \led_flash_cnt[3396][2]~74426_combout\,
	cout => \led_flash_cnt[3396][2]~74427\);

-- Location: FF_X71_Y20_N11
\led_flash_cnt[3396][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3396][2]~74426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3396][2]~q\);

-- Location: LCCOMB_X71_Y20_N12
\led_flash_cnt[3396][3]~74428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3396][3]~74428_combout\ = (\led_flash_cnt[3396][3]~q\ & (\led_flash_cnt[3396][2]~74427\ $ (GND))) # (!\led_flash_cnt[3396][3]~q\ & (!\led_flash_cnt[3396][2]~74427\ & VCC))
-- \led_flash_cnt[3396][3]~74429\ = CARRY((\led_flash_cnt[3396][3]~q\ & !\led_flash_cnt[3396][2]~74427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3396][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3396][2]~74427\,
	combout => \led_flash_cnt[3396][3]~74428_combout\,
	cout => \led_flash_cnt[3396][3]~74429\);

-- Location: FF_X71_Y20_N13
\led_flash_cnt[3396][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3396][3]~74428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3396][3]~q\);

-- Location: LCCOMB_X71_Y20_N14
\led_flash_cnt[3396][4]~74430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3396][4]~74430_combout\ = (\led_flash_cnt[3396][4]~q\ & (!\led_flash_cnt[3396][3]~74429\)) # (!\led_flash_cnt[3396][4]~q\ & ((\led_flash_cnt[3396][3]~74429\) # (GND)))
-- \led_flash_cnt[3396][4]~74431\ = CARRY((!\led_flash_cnt[3396][3]~74429\) # (!\led_flash_cnt[3396][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3396][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3396][3]~74429\,
	combout => \led_flash_cnt[3396][4]~74430_combout\,
	cout => \led_flash_cnt[3396][4]~74431\);

-- Location: FF_X71_Y20_N15
\led_flash_cnt[3396][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3396][4]~74430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3396][4]~q\);

-- Location: LCCOMB_X71_Y20_N16
\led_flash_cnt[3396][5]~74432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3396][5]~74432_combout\ = (\led_flash_cnt[3396][5]~q\ & (\led_flash_cnt[3396][4]~74431\ $ (GND))) # (!\led_flash_cnt[3396][5]~q\ & (!\led_flash_cnt[3396][4]~74431\ & VCC))
-- \led_flash_cnt[3396][5]~74433\ = CARRY((\led_flash_cnt[3396][5]~q\ & !\led_flash_cnt[3396][4]~74431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3396][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3396][4]~74431\,
	combout => \led_flash_cnt[3396][5]~74432_combout\,
	cout => \led_flash_cnt[3396][5]~74433\);

-- Location: FF_X71_Y20_N17
\led_flash_cnt[3396][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3396][5]~74432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3396][5]~q\);

-- Location: LCCOMB_X71_Y20_N18
\led_flash_cnt[3396][6]~74434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3396][6]~74434_combout\ = (\led_flash_cnt[3396][6]~q\ & (!\led_flash_cnt[3396][5]~74433\)) # (!\led_flash_cnt[3396][6]~q\ & ((\led_flash_cnt[3396][5]~74433\) # (GND)))
-- \led_flash_cnt[3396][6]~74435\ = CARRY((!\led_flash_cnt[3396][5]~74433\) # (!\led_flash_cnt[3396][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3396][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3396][5]~74433\,
	combout => \led_flash_cnt[3396][6]~74434_combout\,
	cout => \led_flash_cnt[3396][6]~74435\);

-- Location: FF_X71_Y20_N19
\led_flash_cnt[3396][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3396][6]~74434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3396][6]~q\);

-- Location: LCCOMB_X71_Y20_N20
\led_flash_cnt[3396][7]~74436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3396][7]~74436_combout\ = \led_flash_cnt[3396][6]~74435\ $ (!\led_flash_cnt[3396][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3396][7]~q\,
	cin => \led_flash_cnt[3396][6]~74435\,
	combout => \led_flash_cnt[3396][7]~74436_combout\);

-- Location: FF_X71_Y20_N21
\led_flash_cnt[3396][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3396][7]~74436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3396][7]~q\);

-- Location: LCCOMB_X71_Y20_N22
\WideAnd3396~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3396~0_combout\ = (\led_flash_cnt[3396][3]~q\ & (\led_flash_cnt[3396][4]~q\ & (\led_flash_cnt[3396][1]~q\ & \led_flash_cnt[3396][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3396][3]~q\,
	datab => \led_flash_cnt[3396][4]~q\,
	datac => \led_flash_cnt[3396][1]~q\,
	datad => \led_flash_cnt[3396][2]~q\,
	combout => \WideAnd3396~0_combout\);

-- Location: LCCOMB_X71_Y20_N0
\WideAnd3396~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3396~1_combout\ = (\led_flash_cnt[3396][6]~q\ & \led_flash_cnt[3396][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3396][6]~q\,
	datad => \led_flash_cnt[3396][5]~q\,
	combout => \WideAnd3396~1_combout\);

-- Location: LCCOMB_X71_Y20_N24
WideAnd3396 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3396~combout\ = (\led_flash_cnt[3396][0]~q\ & (\led_flash_cnt[3396][7]~q\ & (\WideAnd3396~0_combout\ & \WideAnd3396~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3396][0]~q\,
	datab => \led_flash_cnt[3396][7]~q\,
	datac => \WideAnd3396~0_combout\,
	datad => \WideAnd3396~1_combout\,
	combout => \WideAnd3396~combout\);

-- Location: FF_X71_Y20_N25
\led_flash_cnt_ands[3396]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3396~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3396));

-- Location: LCCOMB_X71_Y20_N26
\WideAnd4264~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4264~1_combout\ = (led_flash_cnt_ands(3397) & led_flash_cnt_ands(3396))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3397),
	datad => led_flash_cnt_ands(3396),
	combout => \WideAnd4264~1_combout\);

-- Location: LCCOMB_X49_Y5_N4
\led_flash_cnt[3395][0]~84035\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3395][0]~84035_combout\ = !\led_flash_cnt[3395][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3395][0]~q\,
	combout => \led_flash_cnt[3395][0]~84035_combout\);

-- Location: FF_X49_Y5_N5
\led_flash_cnt[3395][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3395][0]~84035_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3395][0]~q\);

-- Location: LCCOMB_X49_Y5_N6
\led_flash_cnt[3395][1]~74410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3395][1]~74410_combout\ = (\led_flash_cnt[3395][1]~q\ & (\led_flash_cnt[3395][0]~q\ $ (VCC))) # (!\led_flash_cnt[3395][1]~q\ & (\led_flash_cnt[3395][0]~q\ & VCC))
-- \led_flash_cnt[3395][1]~74411\ = CARRY((\led_flash_cnt[3395][1]~q\ & \led_flash_cnt[3395][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3395][1]~q\,
	datab => \led_flash_cnt[3395][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3395][1]~74410_combout\,
	cout => \led_flash_cnt[3395][1]~74411\);

-- Location: FF_X49_Y5_N7
\led_flash_cnt[3395][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3395][1]~74410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3395][1]~q\);

-- Location: LCCOMB_X49_Y5_N8
\led_flash_cnt[3395][2]~74412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3395][2]~74412_combout\ = (\led_flash_cnt[3395][2]~q\ & (!\led_flash_cnt[3395][1]~74411\)) # (!\led_flash_cnt[3395][2]~q\ & ((\led_flash_cnt[3395][1]~74411\) # (GND)))
-- \led_flash_cnt[3395][2]~74413\ = CARRY((!\led_flash_cnt[3395][1]~74411\) # (!\led_flash_cnt[3395][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3395][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3395][1]~74411\,
	combout => \led_flash_cnt[3395][2]~74412_combout\,
	cout => \led_flash_cnt[3395][2]~74413\);

-- Location: FF_X49_Y5_N9
\led_flash_cnt[3395][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3395][2]~74412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3395][2]~q\);

-- Location: LCCOMB_X49_Y5_N10
\led_flash_cnt[3395][3]~74414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3395][3]~74414_combout\ = (\led_flash_cnt[3395][3]~q\ & (\led_flash_cnt[3395][2]~74413\ $ (GND))) # (!\led_flash_cnt[3395][3]~q\ & (!\led_flash_cnt[3395][2]~74413\ & VCC))
-- \led_flash_cnt[3395][3]~74415\ = CARRY((\led_flash_cnt[3395][3]~q\ & !\led_flash_cnt[3395][2]~74413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3395][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3395][2]~74413\,
	combout => \led_flash_cnt[3395][3]~74414_combout\,
	cout => \led_flash_cnt[3395][3]~74415\);

-- Location: FF_X49_Y5_N11
\led_flash_cnt[3395][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3395][3]~74414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3395][3]~q\);

-- Location: LCCOMB_X49_Y5_N12
\led_flash_cnt[3395][4]~74416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3395][4]~74416_combout\ = (\led_flash_cnt[3395][4]~q\ & (!\led_flash_cnt[3395][3]~74415\)) # (!\led_flash_cnt[3395][4]~q\ & ((\led_flash_cnt[3395][3]~74415\) # (GND)))
-- \led_flash_cnt[3395][4]~74417\ = CARRY((!\led_flash_cnt[3395][3]~74415\) # (!\led_flash_cnt[3395][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3395][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3395][3]~74415\,
	combout => \led_flash_cnt[3395][4]~74416_combout\,
	cout => \led_flash_cnt[3395][4]~74417\);

-- Location: FF_X49_Y5_N13
\led_flash_cnt[3395][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3395][4]~74416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3395][4]~q\);

-- Location: LCCOMB_X49_Y5_N14
\led_flash_cnt[3395][5]~74418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3395][5]~74418_combout\ = (\led_flash_cnt[3395][5]~q\ & (\led_flash_cnt[3395][4]~74417\ $ (GND))) # (!\led_flash_cnt[3395][5]~q\ & (!\led_flash_cnt[3395][4]~74417\ & VCC))
-- \led_flash_cnt[3395][5]~74419\ = CARRY((\led_flash_cnt[3395][5]~q\ & !\led_flash_cnt[3395][4]~74417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3395][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3395][4]~74417\,
	combout => \led_flash_cnt[3395][5]~74418_combout\,
	cout => \led_flash_cnt[3395][5]~74419\);

-- Location: FF_X49_Y5_N15
\led_flash_cnt[3395][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3395][5]~74418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3395][5]~q\);

-- Location: LCCOMB_X49_Y5_N16
\led_flash_cnt[3395][6]~74420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3395][6]~74420_combout\ = (\led_flash_cnt[3395][6]~q\ & (!\led_flash_cnt[3395][5]~74419\)) # (!\led_flash_cnt[3395][6]~q\ & ((\led_flash_cnt[3395][5]~74419\) # (GND)))
-- \led_flash_cnt[3395][6]~74421\ = CARRY((!\led_flash_cnt[3395][5]~74419\) # (!\led_flash_cnt[3395][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3395][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3395][5]~74419\,
	combout => \led_flash_cnt[3395][6]~74420_combout\,
	cout => \led_flash_cnt[3395][6]~74421\);

-- Location: FF_X49_Y5_N17
\led_flash_cnt[3395][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3395][6]~74420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3395][6]~q\);

-- Location: LCCOMB_X49_Y5_N22
\WideAnd3395~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3395~1_combout\ = (\led_flash_cnt[3395][5]~q\ & \led_flash_cnt[3395][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3395][5]~q\,
	datad => \led_flash_cnt[3395][6]~q\,
	combout => \WideAnd3395~1_combout\);

-- Location: LCCOMB_X49_Y5_N26
\WideAnd3395~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3395~0_combout\ = (\led_flash_cnt[3395][4]~q\ & (\led_flash_cnt[3395][3]~q\ & (\led_flash_cnt[3395][2]~q\ & \led_flash_cnt[3395][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3395][4]~q\,
	datab => \led_flash_cnt[3395][3]~q\,
	datac => \led_flash_cnt[3395][2]~q\,
	datad => \led_flash_cnt[3395][1]~q\,
	combout => \WideAnd3395~0_combout\);

-- Location: LCCOMB_X49_Y5_N18
\led_flash_cnt[3395][7]~74422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3395][7]~74422_combout\ = \led_flash_cnt[3395][6]~74421\ $ (!\led_flash_cnt[3395][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3395][7]~q\,
	cin => \led_flash_cnt[3395][6]~74421\,
	combout => \led_flash_cnt[3395][7]~74422_combout\);

-- Location: FF_X49_Y5_N19
\led_flash_cnt[3395][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3395][7]~74422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3395][7]~q\);

-- Location: LCCOMB_X49_Y5_N30
WideAnd3395 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3395~combout\ = (\WideAnd3395~1_combout\ & (\led_flash_cnt[3395][0]~q\ & (\WideAnd3395~0_combout\ & \led_flash_cnt[3395][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3395~1_combout\,
	datab => \led_flash_cnt[3395][0]~q\,
	datac => \WideAnd3395~0_combout\,
	datad => \led_flash_cnt[3395][7]~q\,
	combout => \WideAnd3395~combout\);

-- Location: FF_X49_Y5_N31
\led_flash_cnt_ands[3395]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3395~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3395));

-- Location: LCCOMB_X49_Y4_N12
\led_flash_cnt[3392][0]~84032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3392][0]~84032_combout\ = !\led_flash_cnt[3392][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3392][0]~q\,
	combout => \led_flash_cnt[3392][0]~84032_combout\);

-- Location: FF_X49_Y4_N13
\led_flash_cnt[3392][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3392][0]~84032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3392][0]~q\);

-- Location: LCCOMB_X49_Y4_N16
\led_flash_cnt[3392][1]~74368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3392][1]~74368_combout\ = (\led_flash_cnt[3392][0]~q\ & (\led_flash_cnt[3392][1]~q\ $ (VCC))) # (!\led_flash_cnt[3392][0]~q\ & (\led_flash_cnt[3392][1]~q\ & VCC))
-- \led_flash_cnt[3392][1]~74369\ = CARRY((\led_flash_cnt[3392][0]~q\ & \led_flash_cnt[3392][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3392][0]~q\,
	datab => \led_flash_cnt[3392][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3392][1]~74368_combout\,
	cout => \led_flash_cnt[3392][1]~74369\);

-- Location: FF_X49_Y4_N17
\led_flash_cnt[3392][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3392][1]~74368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3392][1]~q\);

-- Location: LCCOMB_X49_Y4_N18
\led_flash_cnt[3392][2]~74370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3392][2]~74370_combout\ = (\led_flash_cnt[3392][2]~q\ & (!\led_flash_cnt[3392][1]~74369\)) # (!\led_flash_cnt[3392][2]~q\ & ((\led_flash_cnt[3392][1]~74369\) # (GND)))
-- \led_flash_cnt[3392][2]~74371\ = CARRY((!\led_flash_cnt[3392][1]~74369\) # (!\led_flash_cnt[3392][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3392][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3392][1]~74369\,
	combout => \led_flash_cnt[3392][2]~74370_combout\,
	cout => \led_flash_cnt[3392][2]~74371\);

-- Location: FF_X49_Y4_N19
\led_flash_cnt[3392][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3392][2]~74370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3392][2]~q\);

-- Location: LCCOMB_X49_Y4_N20
\led_flash_cnt[3392][3]~74372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3392][3]~74372_combout\ = (\led_flash_cnt[3392][3]~q\ & (\led_flash_cnt[3392][2]~74371\ $ (GND))) # (!\led_flash_cnt[3392][3]~q\ & (!\led_flash_cnt[3392][2]~74371\ & VCC))
-- \led_flash_cnt[3392][3]~74373\ = CARRY((\led_flash_cnt[3392][3]~q\ & !\led_flash_cnt[3392][2]~74371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3392][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3392][2]~74371\,
	combout => \led_flash_cnt[3392][3]~74372_combout\,
	cout => \led_flash_cnt[3392][3]~74373\);

-- Location: FF_X49_Y4_N21
\led_flash_cnt[3392][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3392][3]~74372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3392][3]~q\);

-- Location: LCCOMB_X49_Y4_N22
\led_flash_cnt[3392][4]~74374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3392][4]~74374_combout\ = (\led_flash_cnt[3392][4]~q\ & (!\led_flash_cnt[3392][3]~74373\)) # (!\led_flash_cnt[3392][4]~q\ & ((\led_flash_cnt[3392][3]~74373\) # (GND)))
-- \led_flash_cnt[3392][4]~74375\ = CARRY((!\led_flash_cnt[3392][3]~74373\) # (!\led_flash_cnt[3392][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3392][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3392][3]~74373\,
	combout => \led_flash_cnt[3392][4]~74374_combout\,
	cout => \led_flash_cnt[3392][4]~74375\);

-- Location: FF_X49_Y4_N23
\led_flash_cnt[3392][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3392][4]~74374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3392][4]~q\);

-- Location: LCCOMB_X49_Y4_N24
\led_flash_cnt[3392][5]~74376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3392][5]~74376_combout\ = (\led_flash_cnt[3392][5]~q\ & (\led_flash_cnt[3392][4]~74375\ $ (GND))) # (!\led_flash_cnt[3392][5]~q\ & (!\led_flash_cnt[3392][4]~74375\ & VCC))
-- \led_flash_cnt[3392][5]~74377\ = CARRY((\led_flash_cnt[3392][5]~q\ & !\led_flash_cnt[3392][4]~74375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3392][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3392][4]~74375\,
	combout => \led_flash_cnt[3392][5]~74376_combout\,
	cout => \led_flash_cnt[3392][5]~74377\);

-- Location: FF_X49_Y4_N25
\led_flash_cnt[3392][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3392][5]~74376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3392][5]~q\);

-- Location: LCCOMB_X49_Y4_N26
\led_flash_cnt[3392][6]~74378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3392][6]~74378_combout\ = (\led_flash_cnt[3392][6]~q\ & (!\led_flash_cnt[3392][5]~74377\)) # (!\led_flash_cnt[3392][6]~q\ & ((\led_flash_cnt[3392][5]~74377\) # (GND)))
-- \led_flash_cnt[3392][6]~74379\ = CARRY((!\led_flash_cnt[3392][5]~74377\) # (!\led_flash_cnt[3392][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3392][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3392][5]~74377\,
	combout => \led_flash_cnt[3392][6]~74378_combout\,
	cout => \led_flash_cnt[3392][6]~74379\);

-- Location: FF_X49_Y4_N27
\led_flash_cnt[3392][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3392][6]~74378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3392][6]~q\);

-- Location: LCCOMB_X49_Y4_N10
\WideAnd3392~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3392~1_combout\ = (\led_flash_cnt[3392][6]~q\ & \led_flash_cnt[3392][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3392][6]~q\,
	datad => \led_flash_cnt[3392][5]~q\,
	combout => \WideAnd3392~1_combout\);

-- Location: LCCOMB_X49_Y4_N28
\led_flash_cnt[3392][7]~74380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3392][7]~74380_combout\ = \led_flash_cnt[3392][6]~74379\ $ (!\led_flash_cnt[3392][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3392][7]~q\,
	cin => \led_flash_cnt[3392][6]~74379\,
	combout => \led_flash_cnt[3392][7]~74380_combout\);

-- Location: FF_X49_Y4_N29
\led_flash_cnt[3392][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3392][7]~74380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3392][7]~q\);

-- Location: LCCOMB_X49_Y4_N4
\WideAnd3392~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3392~0_combout\ = (\led_flash_cnt[3392][1]~q\ & (\led_flash_cnt[3392][2]~q\ & (\led_flash_cnt[3392][4]~q\ & \led_flash_cnt[3392][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3392][1]~q\,
	datab => \led_flash_cnt[3392][2]~q\,
	datac => \led_flash_cnt[3392][4]~q\,
	datad => \led_flash_cnt[3392][3]~q\,
	combout => \WideAnd3392~0_combout\);

-- Location: LCCOMB_X49_Y4_N0
WideAnd3392 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3392~combout\ = (\WideAnd3392~1_combout\ & (\led_flash_cnt[3392][7]~q\ & (\WideAnd3392~0_combout\ & \led_flash_cnt[3392][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3392~1_combout\,
	datab => \led_flash_cnt[3392][7]~q\,
	datac => \WideAnd3392~0_combout\,
	datad => \led_flash_cnt[3392][0]~q\,
	combout => \WideAnd3392~combout\);

-- Location: FF_X49_Y4_N1
\led_flash_cnt_ands[3392]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3392~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3392));

-- Location: LCCOMB_X49_Y3_N22
\led_flash_cnt[3394][0]~84034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3394][0]~84034_combout\ = !\led_flash_cnt[3394][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3394][0]~q\,
	combout => \led_flash_cnt[3394][0]~84034_combout\);

-- Location: FF_X49_Y3_N23
\led_flash_cnt[3394][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3394][0]~84034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3394][0]~q\);

-- Location: LCCOMB_X49_Y3_N4
\led_flash_cnt[3394][1]~74396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3394][1]~74396_combout\ = (\led_flash_cnt[3394][0]~q\ & (\led_flash_cnt[3394][1]~q\ $ (VCC))) # (!\led_flash_cnt[3394][0]~q\ & (\led_flash_cnt[3394][1]~q\ & VCC))
-- \led_flash_cnt[3394][1]~74397\ = CARRY((\led_flash_cnt[3394][0]~q\ & \led_flash_cnt[3394][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3394][0]~q\,
	datab => \led_flash_cnt[3394][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3394][1]~74396_combout\,
	cout => \led_flash_cnt[3394][1]~74397\);

-- Location: FF_X49_Y3_N5
\led_flash_cnt[3394][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3394][1]~74396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3394][1]~q\);

-- Location: LCCOMB_X49_Y3_N6
\led_flash_cnt[3394][2]~74398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3394][2]~74398_combout\ = (\led_flash_cnt[3394][2]~q\ & (!\led_flash_cnt[3394][1]~74397\)) # (!\led_flash_cnt[3394][2]~q\ & ((\led_flash_cnt[3394][1]~74397\) # (GND)))
-- \led_flash_cnt[3394][2]~74399\ = CARRY((!\led_flash_cnt[3394][1]~74397\) # (!\led_flash_cnt[3394][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3394][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3394][1]~74397\,
	combout => \led_flash_cnt[3394][2]~74398_combout\,
	cout => \led_flash_cnt[3394][2]~74399\);

-- Location: FF_X49_Y3_N7
\led_flash_cnt[3394][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3394][2]~74398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3394][2]~q\);

-- Location: LCCOMB_X49_Y3_N8
\led_flash_cnt[3394][3]~74400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3394][3]~74400_combout\ = (\led_flash_cnt[3394][3]~q\ & (\led_flash_cnt[3394][2]~74399\ $ (GND))) # (!\led_flash_cnt[3394][3]~q\ & (!\led_flash_cnt[3394][2]~74399\ & VCC))
-- \led_flash_cnt[3394][3]~74401\ = CARRY((\led_flash_cnt[3394][3]~q\ & !\led_flash_cnt[3394][2]~74399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3394][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3394][2]~74399\,
	combout => \led_flash_cnt[3394][3]~74400_combout\,
	cout => \led_flash_cnt[3394][3]~74401\);

-- Location: FF_X49_Y3_N9
\led_flash_cnt[3394][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3394][3]~74400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3394][3]~q\);

-- Location: LCCOMB_X49_Y3_N10
\led_flash_cnt[3394][4]~74402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3394][4]~74402_combout\ = (\led_flash_cnt[3394][4]~q\ & (!\led_flash_cnt[3394][3]~74401\)) # (!\led_flash_cnt[3394][4]~q\ & ((\led_flash_cnt[3394][3]~74401\) # (GND)))
-- \led_flash_cnt[3394][4]~74403\ = CARRY((!\led_flash_cnt[3394][3]~74401\) # (!\led_flash_cnt[3394][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3394][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3394][3]~74401\,
	combout => \led_flash_cnt[3394][4]~74402_combout\,
	cout => \led_flash_cnt[3394][4]~74403\);

-- Location: FF_X49_Y3_N11
\led_flash_cnt[3394][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3394][4]~74402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3394][4]~q\);

-- Location: LCCOMB_X49_Y3_N26
\WideAnd3394~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3394~0_combout\ = (\led_flash_cnt[3394][2]~q\ & (\led_flash_cnt[3394][3]~q\ & (\led_flash_cnt[3394][1]~q\ & \led_flash_cnt[3394][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3394][2]~q\,
	datab => \led_flash_cnt[3394][3]~q\,
	datac => \led_flash_cnt[3394][1]~q\,
	datad => \led_flash_cnt[3394][4]~q\,
	combout => \WideAnd3394~0_combout\);

-- Location: LCCOMB_X49_Y3_N12
\led_flash_cnt[3394][5]~74404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3394][5]~74404_combout\ = (\led_flash_cnt[3394][5]~q\ & (\led_flash_cnt[3394][4]~74403\ $ (GND))) # (!\led_flash_cnt[3394][5]~q\ & (!\led_flash_cnt[3394][4]~74403\ & VCC))
-- \led_flash_cnt[3394][5]~74405\ = CARRY((\led_flash_cnt[3394][5]~q\ & !\led_flash_cnt[3394][4]~74403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3394][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3394][4]~74403\,
	combout => \led_flash_cnt[3394][5]~74404_combout\,
	cout => \led_flash_cnt[3394][5]~74405\);

-- Location: FF_X49_Y3_N13
\led_flash_cnt[3394][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3394][5]~74404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3394][5]~q\);

-- Location: LCCOMB_X49_Y3_N14
\led_flash_cnt[3394][6]~74406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3394][6]~74406_combout\ = (\led_flash_cnt[3394][6]~q\ & (!\led_flash_cnt[3394][5]~74405\)) # (!\led_flash_cnt[3394][6]~q\ & ((\led_flash_cnt[3394][5]~74405\) # (GND)))
-- \led_flash_cnt[3394][6]~74407\ = CARRY((!\led_flash_cnt[3394][5]~74405\) # (!\led_flash_cnt[3394][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3394][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3394][5]~74405\,
	combout => \led_flash_cnt[3394][6]~74406_combout\,
	cout => \led_flash_cnt[3394][6]~74407\);

-- Location: FF_X49_Y3_N15
\led_flash_cnt[3394][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3394][6]~74406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3394][6]~q\);

-- Location: LCCOMB_X49_Y3_N18
\WideAnd3394~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3394~1_combout\ = (\led_flash_cnt[3394][6]~q\ & \led_flash_cnt[3394][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3394][6]~q\,
	datad => \led_flash_cnt[3394][5]~q\,
	combout => \WideAnd3394~1_combout\);

-- Location: LCCOMB_X49_Y3_N16
\led_flash_cnt[3394][7]~74408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3394][7]~74408_combout\ = \led_flash_cnt[3394][6]~74407\ $ (!\led_flash_cnt[3394][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3394][7]~q\,
	cin => \led_flash_cnt[3394][6]~74407\,
	combout => \led_flash_cnt[3394][7]~74408_combout\);

-- Location: FF_X49_Y3_N17
\led_flash_cnt[3394][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3394][7]~74408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3394][7]~q\);

-- Location: LCCOMB_X49_Y3_N24
WideAnd3394 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3394~combout\ = (\WideAnd3394~0_combout\ & (\WideAnd3394~1_combout\ & (\led_flash_cnt[3394][0]~q\ & \led_flash_cnt[3394][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3394~0_combout\,
	datab => \WideAnd3394~1_combout\,
	datac => \led_flash_cnt[3394][0]~q\,
	datad => \led_flash_cnt[3394][7]~q\,
	combout => \WideAnd3394~combout\);

-- Location: FF_X49_Y3_N25
\led_flash_cnt_ands[3394]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3394~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3394));

-- Location: LCCOMB_X49_Y5_N28
\led_flash_cnt[3393][0]~84033\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3393][0]~84033_combout\ = !\led_flash_cnt[3393][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3393][0]~q\,
	combout => \led_flash_cnt[3393][0]~84033_combout\);

-- Location: FF_X49_Y5_N29
\led_flash_cnt[3393][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3393][0]~84033_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3393][0]~q\);

-- Location: LCCOMB_X45_Y5_N4
\led_flash_cnt[3393][1]~74382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3393][1]~74382_combout\ = (\led_flash_cnt[3393][0]~q\ & (\led_flash_cnt[3393][1]~q\ $ (VCC))) # (!\led_flash_cnt[3393][0]~q\ & (\led_flash_cnt[3393][1]~q\ & VCC))
-- \led_flash_cnt[3393][1]~74383\ = CARRY((\led_flash_cnt[3393][0]~q\ & \led_flash_cnt[3393][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3393][0]~q\,
	datab => \led_flash_cnt[3393][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3393][1]~74382_combout\,
	cout => \led_flash_cnt[3393][1]~74383\);

-- Location: FF_X45_Y5_N5
\led_flash_cnt[3393][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3393][1]~74382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3393][1]~q\);

-- Location: LCCOMB_X45_Y5_N6
\led_flash_cnt[3393][2]~74384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3393][2]~74384_combout\ = (\led_flash_cnt[3393][2]~q\ & (!\led_flash_cnt[3393][1]~74383\)) # (!\led_flash_cnt[3393][2]~q\ & ((\led_flash_cnt[3393][1]~74383\) # (GND)))
-- \led_flash_cnt[3393][2]~74385\ = CARRY((!\led_flash_cnt[3393][1]~74383\) # (!\led_flash_cnt[3393][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3393][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3393][1]~74383\,
	combout => \led_flash_cnt[3393][2]~74384_combout\,
	cout => \led_flash_cnt[3393][2]~74385\);

-- Location: FF_X45_Y5_N7
\led_flash_cnt[3393][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3393][2]~74384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3393][2]~q\);

-- Location: LCCOMB_X45_Y5_N8
\led_flash_cnt[3393][3]~74386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3393][3]~74386_combout\ = (\led_flash_cnt[3393][3]~q\ & (\led_flash_cnt[3393][2]~74385\ $ (GND))) # (!\led_flash_cnt[3393][3]~q\ & (!\led_flash_cnt[3393][2]~74385\ & VCC))
-- \led_flash_cnt[3393][3]~74387\ = CARRY((\led_flash_cnt[3393][3]~q\ & !\led_flash_cnt[3393][2]~74385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3393][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3393][2]~74385\,
	combout => \led_flash_cnt[3393][3]~74386_combout\,
	cout => \led_flash_cnt[3393][3]~74387\);

-- Location: FF_X45_Y5_N9
\led_flash_cnt[3393][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3393][3]~74386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3393][3]~q\);

-- Location: LCCOMB_X45_Y5_N10
\led_flash_cnt[3393][4]~74388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3393][4]~74388_combout\ = (\led_flash_cnt[3393][4]~q\ & (!\led_flash_cnt[3393][3]~74387\)) # (!\led_flash_cnt[3393][4]~q\ & ((\led_flash_cnt[3393][3]~74387\) # (GND)))
-- \led_flash_cnt[3393][4]~74389\ = CARRY((!\led_flash_cnt[3393][3]~74387\) # (!\led_flash_cnt[3393][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3393][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3393][3]~74387\,
	combout => \led_flash_cnt[3393][4]~74388_combout\,
	cout => \led_flash_cnt[3393][4]~74389\);

-- Location: FF_X45_Y5_N11
\led_flash_cnt[3393][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3393][4]~74388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3393][4]~q\);

-- Location: LCCOMB_X46_Y5_N2
\WideAnd3393~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3393~0_combout\ = (\led_flash_cnt[3393][4]~q\ & (\led_flash_cnt[3393][1]~q\ & (\led_flash_cnt[3393][2]~q\ & \led_flash_cnt[3393][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3393][4]~q\,
	datab => \led_flash_cnt[3393][1]~q\,
	datac => \led_flash_cnt[3393][2]~q\,
	datad => \led_flash_cnt[3393][3]~q\,
	combout => \WideAnd3393~0_combout\);

-- Location: LCCOMB_X45_Y5_N12
\led_flash_cnt[3393][5]~74390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3393][5]~74390_combout\ = (\led_flash_cnt[3393][5]~q\ & (\led_flash_cnt[3393][4]~74389\ $ (GND))) # (!\led_flash_cnt[3393][5]~q\ & (!\led_flash_cnt[3393][4]~74389\ & VCC))
-- \led_flash_cnt[3393][5]~74391\ = CARRY((\led_flash_cnt[3393][5]~q\ & !\led_flash_cnt[3393][4]~74389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3393][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3393][4]~74389\,
	combout => \led_flash_cnt[3393][5]~74390_combout\,
	cout => \led_flash_cnt[3393][5]~74391\);

-- Location: FF_X45_Y5_N13
\led_flash_cnt[3393][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3393][5]~74390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3393][5]~q\);

-- Location: LCCOMB_X45_Y5_N14
\led_flash_cnt[3393][6]~74392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3393][6]~74392_combout\ = (\led_flash_cnt[3393][6]~q\ & (!\led_flash_cnt[3393][5]~74391\)) # (!\led_flash_cnt[3393][6]~q\ & ((\led_flash_cnt[3393][5]~74391\) # (GND)))
-- \led_flash_cnt[3393][6]~74393\ = CARRY((!\led_flash_cnt[3393][5]~74391\) # (!\led_flash_cnt[3393][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3393][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3393][5]~74391\,
	combout => \led_flash_cnt[3393][6]~74392_combout\,
	cout => \led_flash_cnt[3393][6]~74393\);

-- Location: FF_X45_Y5_N15
\led_flash_cnt[3393][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3393][6]~74392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3393][6]~q\);

-- Location: LCCOMB_X45_Y5_N16
\led_flash_cnt[3393][7]~74394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3393][7]~74394_combout\ = \led_flash_cnt[3393][6]~74393\ $ (!\led_flash_cnt[3393][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3393][7]~q\,
	cin => \led_flash_cnt[3393][6]~74393\,
	combout => \led_flash_cnt[3393][7]~74394_combout\);

-- Location: FF_X45_Y5_N17
\led_flash_cnt[3393][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3393][7]~74394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3393][7]~q\);

-- Location: LCCOMB_X49_Y5_N24
\WideAnd3393~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3393~1_combout\ = (\led_flash_cnt[3393][6]~q\ & \led_flash_cnt[3393][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3393][6]~q\,
	datad => \led_flash_cnt[3393][5]~q\,
	combout => \WideAnd3393~1_combout\);

-- Location: LCCOMB_X49_Y5_N20
WideAnd3393 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3393~combout\ = (\led_flash_cnt[3393][0]~q\ & (\WideAnd3393~0_combout\ & (\led_flash_cnt[3393][7]~q\ & \WideAnd3393~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3393][0]~q\,
	datab => \WideAnd3393~0_combout\,
	datac => \led_flash_cnt[3393][7]~q\,
	datad => \WideAnd3393~1_combout\,
	combout => \WideAnd3393~combout\);

-- Location: FF_X49_Y5_N21
\led_flash_cnt_ands[3393]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3393~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3393));

-- Location: LCCOMB_X49_Y5_N2
\WideAnd4264~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4264~0_combout\ = (led_flash_cnt_ands(3395) & (led_flash_cnt_ands(3392) & (led_flash_cnt_ands(3394) & led_flash_cnt_ands(3393))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3395),
	datab => led_flash_cnt_ands(3392),
	datac => led_flash_cnt_ands(3394),
	datad => led_flash_cnt_ands(3393),
	combout => \WideAnd4264~0_combout\);

-- Location: LCCOMB_X70_Y26_N24
WideAnd4264 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4264~combout\ = (led_flash_cnt_ands(3398) & (led_flash_cnt_ands(3399) & (\WideAnd4264~1_combout\ & \WideAnd4264~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3398),
	datab => led_flash_cnt_ands(3399),
	datac => \WideAnd4264~1_combout\,
	datad => \WideAnd4264~0_combout\,
	combout => \WideAnd4264~combout\);

-- Location: FF_X70_Y26_N25
\led_flash_cnt_ands_1[424]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4264~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(424));

-- Location: LCCOMB_X69_Y40_N8
\WideAnd4373~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4373~0_combout\ = (led_flash_cnt_ands_1(426) & (led_flash_cnt_ands_1(425) & (led_flash_cnt_ands_1(427) & led_flash_cnt_ands_1(424))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(426),
	datab => led_flash_cnt_ands_1(425),
	datac => led_flash_cnt_ands_1(427),
	datad => led_flash_cnt_ands_1(424),
	combout => \WideAnd4373~0_combout\);

-- Location: LCCOMB_X65_Y46_N24
\led_flash_cnt[3447][0]~84087\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3447][0]~84087_combout\ = !\led_flash_cnt[3447][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3447][0]~q\,
	combout => \led_flash_cnt[3447][0]~84087_combout\);

-- Location: FF_X65_Y46_N25
\led_flash_cnt[3447][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3447][0]~84087_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3447][0]~q\);

-- Location: LCCOMB_X65_Y46_N6
\led_flash_cnt[3447][1]~75138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3447][1]~75138_combout\ = (\led_flash_cnt[3447][1]~q\ & (\led_flash_cnt[3447][0]~q\ $ (VCC))) # (!\led_flash_cnt[3447][1]~q\ & (\led_flash_cnt[3447][0]~q\ & VCC))
-- \led_flash_cnt[3447][1]~75139\ = CARRY((\led_flash_cnt[3447][1]~q\ & \led_flash_cnt[3447][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3447][1]~q\,
	datab => \led_flash_cnt[3447][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3447][1]~75138_combout\,
	cout => \led_flash_cnt[3447][1]~75139\);

-- Location: FF_X65_Y46_N7
\led_flash_cnt[3447][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3447][1]~75138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3447][1]~q\);

-- Location: LCCOMB_X65_Y46_N8
\led_flash_cnt[3447][2]~75140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3447][2]~75140_combout\ = (\led_flash_cnt[3447][2]~q\ & (!\led_flash_cnt[3447][1]~75139\)) # (!\led_flash_cnt[3447][2]~q\ & ((\led_flash_cnt[3447][1]~75139\) # (GND)))
-- \led_flash_cnt[3447][2]~75141\ = CARRY((!\led_flash_cnt[3447][1]~75139\) # (!\led_flash_cnt[3447][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3447][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3447][1]~75139\,
	combout => \led_flash_cnt[3447][2]~75140_combout\,
	cout => \led_flash_cnt[3447][2]~75141\);

-- Location: FF_X65_Y46_N9
\led_flash_cnt[3447][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3447][2]~75140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3447][2]~q\);

-- Location: LCCOMB_X65_Y46_N10
\led_flash_cnt[3447][3]~75142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3447][3]~75142_combout\ = (\led_flash_cnt[3447][3]~q\ & (\led_flash_cnt[3447][2]~75141\ $ (GND))) # (!\led_flash_cnt[3447][3]~q\ & (!\led_flash_cnt[3447][2]~75141\ & VCC))
-- \led_flash_cnt[3447][3]~75143\ = CARRY((\led_flash_cnt[3447][3]~q\ & !\led_flash_cnt[3447][2]~75141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3447][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3447][2]~75141\,
	combout => \led_flash_cnt[3447][3]~75142_combout\,
	cout => \led_flash_cnt[3447][3]~75143\);

-- Location: FF_X65_Y46_N11
\led_flash_cnt[3447][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3447][3]~75142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3447][3]~q\);

-- Location: LCCOMB_X65_Y46_N12
\led_flash_cnt[3447][4]~75144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3447][4]~75144_combout\ = (\led_flash_cnt[3447][4]~q\ & (!\led_flash_cnt[3447][3]~75143\)) # (!\led_flash_cnt[3447][4]~q\ & ((\led_flash_cnt[3447][3]~75143\) # (GND)))
-- \led_flash_cnt[3447][4]~75145\ = CARRY((!\led_flash_cnt[3447][3]~75143\) # (!\led_flash_cnt[3447][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3447][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3447][3]~75143\,
	combout => \led_flash_cnt[3447][4]~75144_combout\,
	cout => \led_flash_cnt[3447][4]~75145\);

-- Location: FF_X65_Y46_N13
\led_flash_cnt[3447][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3447][4]~75144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3447][4]~q\);

-- Location: LCCOMB_X65_Y46_N22
\WideAnd3447~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3447~0_combout\ = (\led_flash_cnt[3447][4]~q\ & (\led_flash_cnt[3447][3]~q\ & (\led_flash_cnt[3447][2]~q\ & \led_flash_cnt[3447][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3447][4]~q\,
	datab => \led_flash_cnt[3447][3]~q\,
	datac => \led_flash_cnt[3447][2]~q\,
	datad => \led_flash_cnt[3447][1]~q\,
	combout => \WideAnd3447~0_combout\);

-- Location: LCCOMB_X65_Y46_N14
\led_flash_cnt[3447][5]~75146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3447][5]~75146_combout\ = (\led_flash_cnt[3447][5]~q\ & (\led_flash_cnt[3447][4]~75145\ $ (GND))) # (!\led_flash_cnt[3447][5]~q\ & (!\led_flash_cnt[3447][4]~75145\ & VCC))
-- \led_flash_cnt[3447][5]~75147\ = CARRY((\led_flash_cnt[3447][5]~q\ & !\led_flash_cnt[3447][4]~75145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3447][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3447][4]~75145\,
	combout => \led_flash_cnt[3447][5]~75146_combout\,
	cout => \led_flash_cnt[3447][5]~75147\);

-- Location: FF_X65_Y46_N15
\led_flash_cnt[3447][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3447][5]~75146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3447][5]~q\);

-- Location: LCCOMB_X65_Y46_N16
\led_flash_cnt[3447][6]~75148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3447][6]~75148_combout\ = (\led_flash_cnt[3447][6]~q\ & (!\led_flash_cnt[3447][5]~75147\)) # (!\led_flash_cnt[3447][6]~q\ & ((\led_flash_cnt[3447][5]~75147\) # (GND)))
-- \led_flash_cnt[3447][6]~75149\ = CARRY((!\led_flash_cnt[3447][5]~75147\) # (!\led_flash_cnt[3447][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3447][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3447][5]~75147\,
	combout => \led_flash_cnt[3447][6]~75148_combout\,
	cout => \led_flash_cnt[3447][6]~75149\);

-- Location: FF_X65_Y46_N17
\led_flash_cnt[3447][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3447][6]~75148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3447][6]~q\);

-- Location: LCCOMB_X65_Y46_N18
\led_flash_cnt[3447][7]~75150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3447][7]~75150_combout\ = \led_flash_cnt[3447][6]~75149\ $ (!\led_flash_cnt[3447][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3447][7]~q\,
	cin => \led_flash_cnt[3447][6]~75149\,
	combout => \led_flash_cnt[3447][7]~75150_combout\);

-- Location: FF_X65_Y46_N19
\led_flash_cnt[3447][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3447][7]~75150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3447][7]~q\);

-- Location: LCCOMB_X65_Y46_N4
\WideAnd3447~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3447~1_combout\ = (\led_flash_cnt[3447][5]~q\ & \led_flash_cnt[3447][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3447][5]~q\,
	datad => \led_flash_cnt[3447][6]~q\,
	combout => \WideAnd3447~1_combout\);

-- Location: LCCOMB_X65_Y46_N26
WideAnd3447 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3447~combout\ = (\WideAnd3447~0_combout\ & (\led_flash_cnt[3447][7]~q\ & (\WideAnd3447~1_combout\ & \led_flash_cnt[3447][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3447~0_combout\,
	datab => \led_flash_cnt[3447][7]~q\,
	datac => \WideAnd3447~1_combout\,
	datad => \led_flash_cnt[3447][0]~q\,
	combout => \WideAnd3447~combout\);

-- Location: FF_X65_Y46_N27
\led_flash_cnt_ands[3447]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3447~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3447));

-- Location: LCCOMB_X64_Y40_N22
\led_flash_cnt[3446][0]~84086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3446][0]~84086_combout\ = !\led_flash_cnt[3446][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3446][0]~q\,
	combout => \led_flash_cnt[3446][0]~84086_combout\);

-- Location: FF_X64_Y40_N23
\led_flash_cnt[3446][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3446][0]~84086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3446][0]~q\);

-- Location: LCCOMB_X64_Y40_N8
\led_flash_cnt[3446][1]~75124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3446][1]~75124_combout\ = (\led_flash_cnt[3446][0]~q\ & (\led_flash_cnt[3446][1]~q\ $ (VCC))) # (!\led_flash_cnt[3446][0]~q\ & (\led_flash_cnt[3446][1]~q\ & VCC))
-- \led_flash_cnt[3446][1]~75125\ = CARRY((\led_flash_cnt[3446][0]~q\ & \led_flash_cnt[3446][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3446][0]~q\,
	datab => \led_flash_cnt[3446][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3446][1]~75124_combout\,
	cout => \led_flash_cnt[3446][1]~75125\);

-- Location: FF_X64_Y40_N9
\led_flash_cnt[3446][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3446][1]~75124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3446][1]~q\);

-- Location: LCCOMB_X64_Y40_N10
\led_flash_cnt[3446][2]~75126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3446][2]~75126_combout\ = (\led_flash_cnt[3446][2]~q\ & (!\led_flash_cnt[3446][1]~75125\)) # (!\led_flash_cnt[3446][2]~q\ & ((\led_flash_cnt[3446][1]~75125\) # (GND)))
-- \led_flash_cnt[3446][2]~75127\ = CARRY((!\led_flash_cnt[3446][1]~75125\) # (!\led_flash_cnt[3446][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3446][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3446][1]~75125\,
	combout => \led_flash_cnt[3446][2]~75126_combout\,
	cout => \led_flash_cnt[3446][2]~75127\);

-- Location: FF_X64_Y40_N11
\led_flash_cnt[3446][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3446][2]~75126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3446][2]~q\);

-- Location: LCCOMB_X64_Y40_N12
\led_flash_cnt[3446][3]~75128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3446][3]~75128_combout\ = (\led_flash_cnt[3446][3]~q\ & (\led_flash_cnt[3446][2]~75127\ $ (GND))) # (!\led_flash_cnt[3446][3]~q\ & (!\led_flash_cnt[3446][2]~75127\ & VCC))
-- \led_flash_cnt[3446][3]~75129\ = CARRY((\led_flash_cnt[3446][3]~q\ & !\led_flash_cnt[3446][2]~75127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3446][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3446][2]~75127\,
	combout => \led_flash_cnt[3446][3]~75128_combout\,
	cout => \led_flash_cnt[3446][3]~75129\);

-- Location: FF_X64_Y40_N13
\led_flash_cnt[3446][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3446][3]~75128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3446][3]~q\);

-- Location: LCCOMB_X64_Y40_N14
\led_flash_cnt[3446][4]~75130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3446][4]~75130_combout\ = (\led_flash_cnt[3446][4]~q\ & (!\led_flash_cnt[3446][3]~75129\)) # (!\led_flash_cnt[3446][4]~q\ & ((\led_flash_cnt[3446][3]~75129\) # (GND)))
-- \led_flash_cnt[3446][4]~75131\ = CARRY((!\led_flash_cnt[3446][3]~75129\) # (!\led_flash_cnt[3446][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3446][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3446][3]~75129\,
	combout => \led_flash_cnt[3446][4]~75130_combout\,
	cout => \led_flash_cnt[3446][4]~75131\);

-- Location: FF_X64_Y40_N15
\led_flash_cnt[3446][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3446][4]~75130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3446][4]~q\);

-- Location: LCCOMB_X64_Y40_N16
\led_flash_cnt[3446][5]~75132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3446][5]~75132_combout\ = (\led_flash_cnt[3446][5]~q\ & (\led_flash_cnt[3446][4]~75131\ $ (GND))) # (!\led_flash_cnt[3446][5]~q\ & (!\led_flash_cnt[3446][4]~75131\ & VCC))
-- \led_flash_cnt[3446][5]~75133\ = CARRY((\led_flash_cnt[3446][5]~q\ & !\led_flash_cnt[3446][4]~75131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3446][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3446][4]~75131\,
	combout => \led_flash_cnt[3446][5]~75132_combout\,
	cout => \led_flash_cnt[3446][5]~75133\);

-- Location: FF_X64_Y40_N17
\led_flash_cnt[3446][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3446][5]~75132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3446][5]~q\);

-- Location: LCCOMB_X64_Y40_N18
\led_flash_cnt[3446][6]~75134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3446][6]~75134_combout\ = (\led_flash_cnt[3446][6]~q\ & (!\led_flash_cnt[3446][5]~75133\)) # (!\led_flash_cnt[3446][6]~q\ & ((\led_flash_cnt[3446][5]~75133\) # (GND)))
-- \led_flash_cnt[3446][6]~75135\ = CARRY((!\led_flash_cnt[3446][5]~75133\) # (!\led_flash_cnt[3446][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3446][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3446][5]~75133\,
	combout => \led_flash_cnt[3446][6]~75134_combout\,
	cout => \led_flash_cnt[3446][6]~75135\);

-- Location: FF_X64_Y40_N19
\led_flash_cnt[3446][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3446][6]~75134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3446][6]~q\);

-- Location: LCCOMB_X64_Y40_N20
\led_flash_cnt[3446][7]~75136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3446][7]~75136_combout\ = \led_flash_cnt[3446][6]~75135\ $ (!\led_flash_cnt[3446][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3446][7]~q\,
	cin => \led_flash_cnt[3446][6]~75135\,
	combout => \led_flash_cnt[3446][7]~75136_combout\);

-- Location: FF_X64_Y40_N21
\led_flash_cnt[3446][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3446][7]~75136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3446][7]~q\);

-- Location: LCCOMB_X64_Y40_N4
\WideAnd3446~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3446~1_combout\ = (\led_flash_cnt[3446][6]~q\ & \led_flash_cnt[3446][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3446][6]~q\,
	datad => \led_flash_cnt[3446][5]~q\,
	combout => \WideAnd3446~1_combout\);

-- Location: LCCOMB_X64_Y40_N24
\WideAnd3446~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3446~0_combout\ = (\led_flash_cnt[3446][3]~q\ & (\led_flash_cnt[3446][4]~q\ & (\led_flash_cnt[3446][1]~q\ & \led_flash_cnt[3446][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3446][3]~q\,
	datab => \led_flash_cnt[3446][4]~q\,
	datac => \led_flash_cnt[3446][1]~q\,
	datad => \led_flash_cnt[3446][2]~q\,
	combout => \WideAnd3446~0_combout\);

-- Location: LCCOMB_X64_Y40_N30
WideAnd3446 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3446~combout\ = (\led_flash_cnt[3446][0]~q\ & (\led_flash_cnt[3446][7]~q\ & (\WideAnd3446~1_combout\ & \WideAnd3446~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3446][0]~q\,
	datab => \led_flash_cnt[3446][7]~q\,
	datac => \WideAnd3446~1_combout\,
	datad => \WideAnd3446~0_combout\,
	combout => \WideAnd3446~combout\);

-- Location: FF_X64_Y40_N31
\led_flash_cnt_ands[3446]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3446~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3446));

-- Location: LCCOMB_X72_Y41_N22
\led_flash_cnt[3440][0]~84080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3440][0]~84080_combout\ = !\led_flash_cnt[3440][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3440][0]~q\,
	combout => \led_flash_cnt[3440][0]~84080_combout\);

-- Location: FF_X72_Y41_N23
\led_flash_cnt[3440][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3440][0]~84080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3440][0]~q\);

-- Location: LCCOMB_X72_Y41_N4
\led_flash_cnt[3440][1]~75040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3440][1]~75040_combout\ = (\led_flash_cnt[3440][0]~q\ & (\led_flash_cnt[3440][1]~q\ $ (VCC))) # (!\led_flash_cnt[3440][0]~q\ & (\led_flash_cnt[3440][1]~q\ & VCC))
-- \led_flash_cnt[3440][1]~75041\ = CARRY((\led_flash_cnt[3440][0]~q\ & \led_flash_cnt[3440][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3440][0]~q\,
	datab => \led_flash_cnt[3440][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3440][1]~75040_combout\,
	cout => \led_flash_cnt[3440][1]~75041\);

-- Location: FF_X72_Y41_N5
\led_flash_cnt[3440][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3440][1]~75040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3440][1]~q\);

-- Location: LCCOMB_X72_Y41_N6
\led_flash_cnt[3440][2]~75042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3440][2]~75042_combout\ = (\led_flash_cnt[3440][2]~q\ & (!\led_flash_cnt[3440][1]~75041\)) # (!\led_flash_cnt[3440][2]~q\ & ((\led_flash_cnt[3440][1]~75041\) # (GND)))
-- \led_flash_cnt[3440][2]~75043\ = CARRY((!\led_flash_cnt[3440][1]~75041\) # (!\led_flash_cnt[3440][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3440][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3440][1]~75041\,
	combout => \led_flash_cnt[3440][2]~75042_combout\,
	cout => \led_flash_cnt[3440][2]~75043\);

-- Location: FF_X72_Y41_N7
\led_flash_cnt[3440][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3440][2]~75042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3440][2]~q\);

-- Location: LCCOMB_X72_Y41_N8
\led_flash_cnt[3440][3]~75044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3440][3]~75044_combout\ = (\led_flash_cnt[3440][3]~q\ & (\led_flash_cnt[3440][2]~75043\ $ (GND))) # (!\led_flash_cnt[3440][3]~q\ & (!\led_flash_cnt[3440][2]~75043\ & VCC))
-- \led_flash_cnt[3440][3]~75045\ = CARRY((\led_flash_cnt[3440][3]~q\ & !\led_flash_cnt[3440][2]~75043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3440][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3440][2]~75043\,
	combout => \led_flash_cnt[3440][3]~75044_combout\,
	cout => \led_flash_cnt[3440][3]~75045\);

-- Location: FF_X72_Y41_N9
\led_flash_cnt[3440][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3440][3]~75044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3440][3]~q\);

-- Location: LCCOMB_X72_Y41_N10
\led_flash_cnt[3440][4]~75046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3440][4]~75046_combout\ = (\led_flash_cnt[3440][4]~q\ & (!\led_flash_cnt[3440][3]~75045\)) # (!\led_flash_cnt[3440][4]~q\ & ((\led_flash_cnt[3440][3]~75045\) # (GND)))
-- \led_flash_cnt[3440][4]~75047\ = CARRY((!\led_flash_cnt[3440][3]~75045\) # (!\led_flash_cnt[3440][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3440][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3440][3]~75045\,
	combout => \led_flash_cnt[3440][4]~75046_combout\,
	cout => \led_flash_cnt[3440][4]~75047\);

-- Location: FF_X72_Y41_N11
\led_flash_cnt[3440][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3440][4]~75046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3440][4]~q\);

-- Location: LCCOMB_X72_Y41_N12
\led_flash_cnt[3440][5]~75048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3440][5]~75048_combout\ = (\led_flash_cnt[3440][5]~q\ & (\led_flash_cnt[3440][4]~75047\ $ (GND))) # (!\led_flash_cnt[3440][5]~q\ & (!\led_flash_cnt[3440][4]~75047\ & VCC))
-- \led_flash_cnt[3440][5]~75049\ = CARRY((\led_flash_cnt[3440][5]~q\ & !\led_flash_cnt[3440][4]~75047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3440][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3440][4]~75047\,
	combout => \led_flash_cnt[3440][5]~75048_combout\,
	cout => \led_flash_cnt[3440][5]~75049\);

-- Location: FF_X72_Y41_N13
\led_flash_cnt[3440][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3440][5]~75048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3440][5]~q\);

-- Location: LCCOMB_X72_Y41_N14
\led_flash_cnt[3440][6]~75050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3440][6]~75050_combout\ = (\led_flash_cnt[3440][6]~q\ & (!\led_flash_cnt[3440][5]~75049\)) # (!\led_flash_cnt[3440][6]~q\ & ((\led_flash_cnt[3440][5]~75049\) # (GND)))
-- \led_flash_cnt[3440][6]~75051\ = CARRY((!\led_flash_cnt[3440][5]~75049\) # (!\led_flash_cnt[3440][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3440][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3440][5]~75049\,
	combout => \led_flash_cnt[3440][6]~75050_combout\,
	cout => \led_flash_cnt[3440][6]~75051\);

-- Location: FF_X72_Y41_N15
\led_flash_cnt[3440][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3440][6]~75050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3440][6]~q\);

-- Location: LCCOMB_X72_Y41_N16
\led_flash_cnt[3440][7]~75052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3440][7]~75052_combout\ = \led_flash_cnt[3440][6]~75051\ $ (!\led_flash_cnt[3440][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3440][7]~q\,
	cin => \led_flash_cnt[3440][6]~75051\,
	combout => \led_flash_cnt[3440][7]~75052_combout\);

-- Location: FF_X72_Y41_N17
\led_flash_cnt[3440][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3440][7]~75052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3440][7]~q\);

-- Location: LCCOMB_X72_Y41_N26
\WideAnd3440~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3440~1_combout\ = (\led_flash_cnt[3440][6]~q\ & \led_flash_cnt[3440][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3440][6]~q\,
	datad => \led_flash_cnt[3440][5]~q\,
	combout => \WideAnd3440~1_combout\);

-- Location: LCCOMB_X72_Y41_N18
\WideAnd3440~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3440~0_combout\ = (\led_flash_cnt[3440][4]~q\ & (\led_flash_cnt[3440][3]~q\ & (\led_flash_cnt[3440][1]~q\ & \led_flash_cnt[3440][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3440][4]~q\,
	datab => \led_flash_cnt[3440][3]~q\,
	datac => \led_flash_cnt[3440][1]~q\,
	datad => \led_flash_cnt[3440][2]~q\,
	combout => \WideAnd3440~0_combout\);

-- Location: LCCOMB_X72_Y41_N28
WideAnd3440 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3440~combout\ = (\led_flash_cnt[3440][0]~q\ & (\led_flash_cnt[3440][7]~q\ & (\WideAnd3440~1_combout\ & \WideAnd3440~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3440][0]~q\,
	datab => \led_flash_cnt[3440][7]~q\,
	datac => \WideAnd3440~1_combout\,
	datad => \WideAnd3440~0_combout\,
	combout => \WideAnd3440~combout\);

-- Location: FF_X72_Y41_N29
\led_flash_cnt_ands[3440]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3440~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3440));

-- Location: LCCOMB_X69_Y43_N2
\led_flash_cnt[3442][0]~84082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3442][0]~84082_combout\ = !\led_flash_cnt[3442][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3442][0]~q\,
	combout => \led_flash_cnt[3442][0]~84082_combout\);

-- Location: FF_X69_Y43_N3
\led_flash_cnt[3442][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3442][0]~84082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3442][0]~q\);

-- Location: LCCOMB_X69_Y43_N6
\led_flash_cnt[3442][1]~75068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3442][1]~75068_combout\ = (\led_flash_cnt[3442][1]~q\ & (\led_flash_cnt[3442][0]~q\ $ (VCC))) # (!\led_flash_cnt[3442][1]~q\ & (\led_flash_cnt[3442][0]~q\ & VCC))
-- \led_flash_cnt[3442][1]~75069\ = CARRY((\led_flash_cnt[3442][1]~q\ & \led_flash_cnt[3442][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3442][1]~q\,
	datab => \led_flash_cnt[3442][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3442][1]~75068_combout\,
	cout => \led_flash_cnt[3442][1]~75069\);

-- Location: FF_X69_Y43_N7
\led_flash_cnt[3442][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3442][1]~75068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3442][1]~q\);

-- Location: LCCOMB_X69_Y43_N8
\led_flash_cnt[3442][2]~75070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3442][2]~75070_combout\ = (\led_flash_cnt[3442][2]~q\ & (!\led_flash_cnt[3442][1]~75069\)) # (!\led_flash_cnt[3442][2]~q\ & ((\led_flash_cnt[3442][1]~75069\) # (GND)))
-- \led_flash_cnt[3442][2]~75071\ = CARRY((!\led_flash_cnt[3442][1]~75069\) # (!\led_flash_cnt[3442][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3442][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3442][1]~75069\,
	combout => \led_flash_cnt[3442][2]~75070_combout\,
	cout => \led_flash_cnt[3442][2]~75071\);

-- Location: FF_X69_Y43_N9
\led_flash_cnt[3442][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3442][2]~75070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3442][2]~q\);

-- Location: LCCOMB_X69_Y43_N10
\led_flash_cnt[3442][3]~75072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3442][3]~75072_combout\ = (\led_flash_cnt[3442][3]~q\ & (\led_flash_cnt[3442][2]~75071\ $ (GND))) # (!\led_flash_cnt[3442][3]~q\ & (!\led_flash_cnt[3442][2]~75071\ & VCC))
-- \led_flash_cnt[3442][3]~75073\ = CARRY((\led_flash_cnt[3442][3]~q\ & !\led_flash_cnt[3442][2]~75071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3442][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3442][2]~75071\,
	combout => \led_flash_cnt[3442][3]~75072_combout\,
	cout => \led_flash_cnt[3442][3]~75073\);

-- Location: FF_X69_Y43_N11
\led_flash_cnt[3442][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3442][3]~75072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3442][3]~q\);

-- Location: LCCOMB_X69_Y43_N12
\led_flash_cnt[3442][4]~75074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3442][4]~75074_combout\ = (\led_flash_cnt[3442][4]~q\ & (!\led_flash_cnt[3442][3]~75073\)) # (!\led_flash_cnt[3442][4]~q\ & ((\led_flash_cnt[3442][3]~75073\) # (GND)))
-- \led_flash_cnt[3442][4]~75075\ = CARRY((!\led_flash_cnt[3442][3]~75073\) # (!\led_flash_cnt[3442][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3442][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3442][3]~75073\,
	combout => \led_flash_cnt[3442][4]~75074_combout\,
	cout => \led_flash_cnt[3442][4]~75075\);

-- Location: FF_X69_Y43_N13
\led_flash_cnt[3442][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3442][4]~75074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3442][4]~q\);

-- Location: LCCOMB_X69_Y43_N22
\WideAnd3442~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3442~0_combout\ = (\led_flash_cnt[3442][4]~q\ & (\led_flash_cnt[3442][3]~q\ & (\led_flash_cnt[3442][2]~q\ & \led_flash_cnt[3442][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3442][4]~q\,
	datab => \led_flash_cnt[3442][3]~q\,
	datac => \led_flash_cnt[3442][2]~q\,
	datad => \led_flash_cnt[3442][1]~q\,
	combout => \WideAnd3442~0_combout\);

-- Location: LCCOMB_X69_Y43_N14
\led_flash_cnt[3442][5]~75076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3442][5]~75076_combout\ = (\led_flash_cnt[3442][5]~q\ & (\led_flash_cnt[3442][4]~75075\ $ (GND))) # (!\led_flash_cnt[3442][5]~q\ & (!\led_flash_cnt[3442][4]~75075\ & VCC))
-- \led_flash_cnt[3442][5]~75077\ = CARRY((\led_flash_cnt[3442][5]~q\ & !\led_flash_cnt[3442][4]~75075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3442][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3442][4]~75075\,
	combout => \led_flash_cnt[3442][5]~75076_combout\,
	cout => \led_flash_cnt[3442][5]~75077\);

-- Location: FF_X69_Y43_N15
\led_flash_cnt[3442][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3442][5]~75076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3442][5]~q\);

-- Location: LCCOMB_X69_Y43_N16
\led_flash_cnt[3442][6]~75078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3442][6]~75078_combout\ = (\led_flash_cnt[3442][6]~q\ & (!\led_flash_cnt[3442][5]~75077\)) # (!\led_flash_cnt[3442][6]~q\ & ((\led_flash_cnt[3442][5]~75077\) # (GND)))
-- \led_flash_cnt[3442][6]~75079\ = CARRY((!\led_flash_cnt[3442][5]~75077\) # (!\led_flash_cnt[3442][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3442][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3442][5]~75077\,
	combout => \led_flash_cnt[3442][6]~75078_combout\,
	cout => \led_flash_cnt[3442][6]~75079\);

-- Location: FF_X69_Y43_N17
\led_flash_cnt[3442][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3442][6]~75078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3442][6]~q\);

-- Location: LCCOMB_X69_Y43_N18
\led_flash_cnt[3442][7]~75080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3442][7]~75080_combout\ = \led_flash_cnt[3442][6]~75079\ $ (!\led_flash_cnt[3442][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3442][7]~q\,
	cin => \led_flash_cnt[3442][6]~75079\,
	combout => \led_flash_cnt[3442][7]~75080_combout\);

-- Location: FF_X69_Y43_N19
\led_flash_cnt[3442][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3442][7]~75080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3442][7]~q\);

-- Location: LCCOMB_X69_Y43_N30
\WideAnd3442~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3442~1_combout\ = (\led_flash_cnt[3442][5]~q\ & \led_flash_cnt[3442][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3442][5]~q\,
	datad => \led_flash_cnt[3442][6]~q\,
	combout => \WideAnd3442~1_combout\);

-- Location: LCCOMB_X69_Y43_N20
WideAnd3442 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3442~combout\ = (\WideAnd3442~0_combout\ & (\led_flash_cnt[3442][7]~q\ & (\WideAnd3442~1_combout\ & \led_flash_cnt[3442][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3442~0_combout\,
	datab => \led_flash_cnt[3442][7]~q\,
	datac => \WideAnd3442~1_combout\,
	datad => \led_flash_cnt[3442][0]~q\,
	combout => \WideAnd3442~combout\);

-- Location: FF_X69_Y43_N21
\led_flash_cnt_ands[3442]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3442~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3442));

-- Location: LCCOMB_X69_Y48_N4
\led_flash_cnt[3441][0]~84081\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3441][0]~84081_combout\ = !\led_flash_cnt[3441][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3441][0]~q\,
	combout => \led_flash_cnt[3441][0]~84081_combout\);

-- Location: FF_X69_Y48_N5
\led_flash_cnt[3441][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3441][0]~84081_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3441][0]~q\);

-- Location: LCCOMB_X69_Y48_N10
\led_flash_cnt[3441][1]~75054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3441][1]~75054_combout\ = (\led_flash_cnt[3441][1]~q\ & (\led_flash_cnt[3441][0]~q\ $ (VCC))) # (!\led_flash_cnt[3441][1]~q\ & (\led_flash_cnt[3441][0]~q\ & VCC))
-- \led_flash_cnt[3441][1]~75055\ = CARRY((\led_flash_cnt[3441][1]~q\ & \led_flash_cnt[3441][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3441][1]~q\,
	datab => \led_flash_cnt[3441][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3441][1]~75054_combout\,
	cout => \led_flash_cnt[3441][1]~75055\);

-- Location: FF_X69_Y48_N11
\led_flash_cnt[3441][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3441][1]~75054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3441][1]~q\);

-- Location: LCCOMB_X69_Y48_N12
\led_flash_cnt[3441][2]~75056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3441][2]~75056_combout\ = (\led_flash_cnt[3441][2]~q\ & (!\led_flash_cnt[3441][1]~75055\)) # (!\led_flash_cnt[3441][2]~q\ & ((\led_flash_cnt[3441][1]~75055\) # (GND)))
-- \led_flash_cnt[3441][2]~75057\ = CARRY((!\led_flash_cnt[3441][1]~75055\) # (!\led_flash_cnt[3441][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3441][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3441][1]~75055\,
	combout => \led_flash_cnt[3441][2]~75056_combout\,
	cout => \led_flash_cnt[3441][2]~75057\);

-- Location: FF_X69_Y48_N13
\led_flash_cnt[3441][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3441][2]~75056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3441][2]~q\);

-- Location: LCCOMB_X69_Y48_N14
\led_flash_cnt[3441][3]~75058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3441][3]~75058_combout\ = (\led_flash_cnt[3441][3]~q\ & (\led_flash_cnt[3441][2]~75057\ $ (GND))) # (!\led_flash_cnt[3441][3]~q\ & (!\led_flash_cnt[3441][2]~75057\ & VCC))
-- \led_flash_cnt[3441][3]~75059\ = CARRY((\led_flash_cnt[3441][3]~q\ & !\led_flash_cnt[3441][2]~75057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3441][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3441][2]~75057\,
	combout => \led_flash_cnt[3441][3]~75058_combout\,
	cout => \led_flash_cnt[3441][3]~75059\);

-- Location: FF_X69_Y48_N15
\led_flash_cnt[3441][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3441][3]~75058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3441][3]~q\);

-- Location: LCCOMB_X69_Y48_N16
\led_flash_cnt[3441][4]~75060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3441][4]~75060_combout\ = (\led_flash_cnt[3441][4]~q\ & (!\led_flash_cnt[3441][3]~75059\)) # (!\led_flash_cnt[3441][4]~q\ & ((\led_flash_cnt[3441][3]~75059\) # (GND)))
-- \led_flash_cnt[3441][4]~75061\ = CARRY((!\led_flash_cnt[3441][3]~75059\) # (!\led_flash_cnt[3441][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3441][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3441][3]~75059\,
	combout => \led_flash_cnt[3441][4]~75060_combout\,
	cout => \led_flash_cnt[3441][4]~75061\);

-- Location: FF_X69_Y48_N17
\led_flash_cnt[3441][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3441][4]~75060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3441][4]~q\);

-- Location: LCCOMB_X69_Y48_N18
\led_flash_cnt[3441][5]~75062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3441][5]~75062_combout\ = (\led_flash_cnt[3441][5]~q\ & (\led_flash_cnt[3441][4]~75061\ $ (GND))) # (!\led_flash_cnt[3441][5]~q\ & (!\led_flash_cnt[3441][4]~75061\ & VCC))
-- \led_flash_cnt[3441][5]~75063\ = CARRY((\led_flash_cnt[3441][5]~q\ & !\led_flash_cnt[3441][4]~75061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3441][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3441][4]~75061\,
	combout => \led_flash_cnt[3441][5]~75062_combout\,
	cout => \led_flash_cnt[3441][5]~75063\);

-- Location: FF_X69_Y48_N19
\led_flash_cnt[3441][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3441][5]~75062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3441][5]~q\);

-- Location: LCCOMB_X69_Y48_N20
\led_flash_cnt[3441][6]~75064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3441][6]~75064_combout\ = (\led_flash_cnt[3441][6]~q\ & (!\led_flash_cnt[3441][5]~75063\)) # (!\led_flash_cnt[3441][6]~q\ & ((\led_flash_cnt[3441][5]~75063\) # (GND)))
-- \led_flash_cnt[3441][6]~75065\ = CARRY((!\led_flash_cnt[3441][5]~75063\) # (!\led_flash_cnt[3441][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3441][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3441][5]~75063\,
	combout => \led_flash_cnt[3441][6]~75064_combout\,
	cout => \led_flash_cnt[3441][6]~75065\);

-- Location: FF_X69_Y48_N21
\led_flash_cnt[3441][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3441][6]~75064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3441][6]~q\);

-- Location: LCCOMB_X69_Y48_N26
\WideAnd3441~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3441~1_combout\ = (\led_flash_cnt[3441][6]~q\ & \led_flash_cnt[3441][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3441][6]~q\,
	datad => \led_flash_cnt[3441][5]~q\,
	combout => \WideAnd3441~1_combout\);

-- Location: LCCOMB_X69_Y48_N22
\led_flash_cnt[3441][7]~75066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3441][7]~75066_combout\ = \led_flash_cnt[3441][7]~q\ $ (!\led_flash_cnt[3441][6]~75065\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3441][7]~q\,
	cin => \led_flash_cnt[3441][6]~75065\,
	combout => \led_flash_cnt[3441][7]~75066_combout\);

-- Location: FF_X69_Y48_N23
\led_flash_cnt[3441][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3441][7]~75066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3441][7]~q\);

-- Location: LCCOMB_X69_Y48_N24
\WideAnd3441~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3441~0_combout\ = (\led_flash_cnt[3441][2]~q\ & (\led_flash_cnt[3441][4]~q\ & (\led_flash_cnt[3441][3]~q\ & \led_flash_cnt[3441][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3441][2]~q\,
	datab => \led_flash_cnt[3441][4]~q\,
	datac => \led_flash_cnt[3441][3]~q\,
	datad => \led_flash_cnt[3441][1]~q\,
	combout => \WideAnd3441~0_combout\);

-- Location: LCCOMB_X69_Y48_N30
WideAnd3441 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3441~combout\ = (\WideAnd3441~1_combout\ & (\led_flash_cnt[3441][0]~q\ & (\led_flash_cnt[3441][7]~q\ & \WideAnd3441~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3441~1_combout\,
	datab => \led_flash_cnt[3441][0]~q\,
	datac => \led_flash_cnt[3441][7]~q\,
	datad => \WideAnd3441~0_combout\,
	combout => \WideAnd3441~combout\);

-- Location: FF_X69_Y48_N31
\led_flash_cnt_ands[3441]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3441~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3441));

-- Location: LCCOMB_X69_Y43_N4
\led_flash_cnt[3443][0]~84083\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3443][0]~84083_combout\ = !\led_flash_cnt[3443][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3443][0]~q\,
	combout => \led_flash_cnt[3443][0]~84083_combout\);

-- Location: FF_X69_Y43_N5
\led_flash_cnt[3443][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3443][0]~84083_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3443][0]~q\);

-- Location: LCCOMB_X70_Y43_N2
\led_flash_cnt[3443][1]~75082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3443][1]~75082_combout\ = (\led_flash_cnt[3443][0]~q\ & (\led_flash_cnt[3443][1]~q\ $ (VCC))) # (!\led_flash_cnt[3443][0]~q\ & (\led_flash_cnt[3443][1]~q\ & VCC))
-- \led_flash_cnt[3443][1]~75083\ = CARRY((\led_flash_cnt[3443][0]~q\ & \led_flash_cnt[3443][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3443][0]~q\,
	datab => \led_flash_cnt[3443][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3443][1]~75082_combout\,
	cout => \led_flash_cnt[3443][1]~75083\);

-- Location: FF_X70_Y43_N3
\led_flash_cnt[3443][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3443][1]~75082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3443][1]~q\);

-- Location: LCCOMB_X70_Y43_N4
\led_flash_cnt[3443][2]~75084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3443][2]~75084_combout\ = (\led_flash_cnt[3443][2]~q\ & (!\led_flash_cnt[3443][1]~75083\)) # (!\led_flash_cnt[3443][2]~q\ & ((\led_flash_cnt[3443][1]~75083\) # (GND)))
-- \led_flash_cnt[3443][2]~75085\ = CARRY((!\led_flash_cnt[3443][1]~75083\) # (!\led_flash_cnt[3443][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3443][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3443][1]~75083\,
	combout => \led_flash_cnt[3443][2]~75084_combout\,
	cout => \led_flash_cnt[3443][2]~75085\);

-- Location: FF_X70_Y43_N5
\led_flash_cnt[3443][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3443][2]~75084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3443][2]~q\);

-- Location: LCCOMB_X70_Y43_N6
\led_flash_cnt[3443][3]~75086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3443][3]~75086_combout\ = (\led_flash_cnt[3443][3]~q\ & (\led_flash_cnt[3443][2]~75085\ $ (GND))) # (!\led_flash_cnt[3443][3]~q\ & (!\led_flash_cnt[3443][2]~75085\ & VCC))
-- \led_flash_cnt[3443][3]~75087\ = CARRY((\led_flash_cnt[3443][3]~q\ & !\led_flash_cnt[3443][2]~75085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3443][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3443][2]~75085\,
	combout => \led_flash_cnt[3443][3]~75086_combout\,
	cout => \led_flash_cnt[3443][3]~75087\);

-- Location: FF_X70_Y43_N7
\led_flash_cnt[3443][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3443][3]~75086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3443][3]~q\);

-- Location: LCCOMB_X70_Y43_N8
\led_flash_cnt[3443][4]~75088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3443][4]~75088_combout\ = (\led_flash_cnt[3443][4]~q\ & (!\led_flash_cnt[3443][3]~75087\)) # (!\led_flash_cnt[3443][4]~q\ & ((\led_flash_cnt[3443][3]~75087\) # (GND)))
-- \led_flash_cnt[3443][4]~75089\ = CARRY((!\led_flash_cnt[3443][3]~75087\) # (!\led_flash_cnt[3443][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3443][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3443][3]~75087\,
	combout => \led_flash_cnt[3443][4]~75088_combout\,
	cout => \led_flash_cnt[3443][4]~75089\);

-- Location: FF_X70_Y43_N9
\led_flash_cnt[3443][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3443][4]~75088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3443][4]~q\);

-- Location: LCCOMB_X70_Y43_N30
\WideAnd3443~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3443~0_combout\ = (\led_flash_cnt[3443][3]~q\ & (\led_flash_cnt[3443][2]~q\ & (\led_flash_cnt[3443][4]~q\ & \led_flash_cnt[3443][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3443][3]~q\,
	datab => \led_flash_cnt[3443][2]~q\,
	datac => \led_flash_cnt[3443][4]~q\,
	datad => \led_flash_cnt[3443][1]~q\,
	combout => \WideAnd3443~0_combout\);

-- Location: LCCOMB_X70_Y43_N10
\led_flash_cnt[3443][5]~75090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3443][5]~75090_combout\ = (\led_flash_cnt[3443][5]~q\ & (\led_flash_cnt[3443][4]~75089\ $ (GND))) # (!\led_flash_cnt[3443][5]~q\ & (!\led_flash_cnt[3443][4]~75089\ & VCC))
-- \led_flash_cnt[3443][5]~75091\ = CARRY((\led_flash_cnt[3443][5]~q\ & !\led_flash_cnt[3443][4]~75089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3443][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3443][4]~75089\,
	combout => \led_flash_cnt[3443][5]~75090_combout\,
	cout => \led_flash_cnt[3443][5]~75091\);

-- Location: FF_X70_Y43_N11
\led_flash_cnt[3443][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3443][5]~75090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3443][5]~q\);

-- Location: LCCOMB_X70_Y43_N12
\led_flash_cnt[3443][6]~75092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3443][6]~75092_combout\ = (\led_flash_cnt[3443][6]~q\ & (!\led_flash_cnt[3443][5]~75091\)) # (!\led_flash_cnt[3443][6]~q\ & ((\led_flash_cnt[3443][5]~75091\) # (GND)))
-- \led_flash_cnt[3443][6]~75093\ = CARRY((!\led_flash_cnt[3443][5]~75091\) # (!\led_flash_cnt[3443][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3443][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3443][5]~75091\,
	combout => \led_flash_cnt[3443][6]~75092_combout\,
	cout => \led_flash_cnt[3443][6]~75093\);

-- Location: FF_X70_Y43_N13
\led_flash_cnt[3443][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3443][6]~75092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3443][6]~q\);

-- Location: LCCOMB_X70_Y43_N14
\led_flash_cnt[3443][7]~75094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3443][7]~75094_combout\ = \led_flash_cnt[3443][7]~q\ $ (!\led_flash_cnt[3443][6]~75093\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3443][7]~q\,
	cin => \led_flash_cnt[3443][6]~75093\,
	combout => \led_flash_cnt[3443][7]~75094_combout\);

-- Location: FF_X70_Y43_N15
\led_flash_cnt[3443][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3443][7]~75094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3443][7]~q\);

-- Location: LCCOMB_X69_Y43_N24
\WideAnd3443~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3443~1_combout\ = (\led_flash_cnt[3443][6]~q\ & \led_flash_cnt[3443][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3443][6]~q\,
	datac => \led_flash_cnt[3443][5]~q\,
	combout => \WideAnd3443~1_combout\);

-- Location: LCCOMB_X69_Y43_N28
WideAnd3443 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3443~combout\ = (\WideAnd3443~0_combout\ & (\led_flash_cnt[3443][0]~q\ & (\led_flash_cnt[3443][7]~q\ & \WideAnd3443~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3443~0_combout\,
	datab => \led_flash_cnt[3443][0]~q\,
	datac => \led_flash_cnt[3443][7]~q\,
	datad => \WideAnd3443~1_combout\,
	combout => \WideAnd3443~combout\);

-- Location: FF_X69_Y43_N29
\led_flash_cnt_ands[3443]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3443~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3443));

-- Location: LCCOMB_X69_Y43_N26
\WideAnd4270~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4270~0_combout\ = (led_flash_cnt_ands(3440) & (led_flash_cnt_ands(3442) & (led_flash_cnt_ands(3441) & led_flash_cnt_ands(3443))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3440),
	datab => led_flash_cnt_ands(3442),
	datac => led_flash_cnt_ands(3441),
	datad => led_flash_cnt_ands(3443),
	combout => \WideAnd4270~0_combout\);

-- Location: LCCOMB_X70_Y42_N12
\led_flash_cnt[3445][0]~84085\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3445][0]~84085_combout\ = !\led_flash_cnt[3445][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3445][0]~q\,
	combout => \led_flash_cnt[3445][0]~84085_combout\);

-- Location: FF_X70_Y42_N13
\led_flash_cnt[3445][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3445][0]~84085_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3445][0]~q\);

-- Location: LCCOMB_X70_Y42_N16
\led_flash_cnt[3445][1]~75110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3445][1]~75110_combout\ = (\led_flash_cnt[3445][0]~q\ & (\led_flash_cnt[3445][1]~q\ $ (VCC))) # (!\led_flash_cnt[3445][0]~q\ & (\led_flash_cnt[3445][1]~q\ & VCC))
-- \led_flash_cnt[3445][1]~75111\ = CARRY((\led_flash_cnt[3445][0]~q\ & \led_flash_cnt[3445][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3445][0]~q\,
	datab => \led_flash_cnt[3445][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3445][1]~75110_combout\,
	cout => \led_flash_cnt[3445][1]~75111\);

-- Location: FF_X70_Y42_N17
\led_flash_cnt[3445][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3445][1]~75110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3445][1]~q\);

-- Location: LCCOMB_X70_Y42_N18
\led_flash_cnt[3445][2]~75112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3445][2]~75112_combout\ = (\led_flash_cnt[3445][2]~q\ & (!\led_flash_cnt[3445][1]~75111\)) # (!\led_flash_cnt[3445][2]~q\ & ((\led_flash_cnt[3445][1]~75111\) # (GND)))
-- \led_flash_cnt[3445][2]~75113\ = CARRY((!\led_flash_cnt[3445][1]~75111\) # (!\led_flash_cnt[3445][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3445][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3445][1]~75111\,
	combout => \led_flash_cnt[3445][2]~75112_combout\,
	cout => \led_flash_cnt[3445][2]~75113\);

-- Location: FF_X70_Y42_N19
\led_flash_cnt[3445][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3445][2]~75112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3445][2]~q\);

-- Location: LCCOMB_X70_Y42_N20
\led_flash_cnt[3445][3]~75114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3445][3]~75114_combout\ = (\led_flash_cnt[3445][3]~q\ & (\led_flash_cnt[3445][2]~75113\ $ (GND))) # (!\led_flash_cnt[3445][3]~q\ & (!\led_flash_cnt[3445][2]~75113\ & VCC))
-- \led_flash_cnt[3445][3]~75115\ = CARRY((\led_flash_cnt[3445][3]~q\ & !\led_flash_cnt[3445][2]~75113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3445][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3445][2]~75113\,
	combout => \led_flash_cnt[3445][3]~75114_combout\,
	cout => \led_flash_cnt[3445][3]~75115\);

-- Location: FF_X70_Y42_N21
\led_flash_cnt[3445][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3445][3]~75114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3445][3]~q\);

-- Location: LCCOMB_X70_Y42_N22
\led_flash_cnt[3445][4]~75116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3445][4]~75116_combout\ = (\led_flash_cnt[3445][4]~q\ & (!\led_flash_cnt[3445][3]~75115\)) # (!\led_flash_cnt[3445][4]~q\ & ((\led_flash_cnt[3445][3]~75115\) # (GND)))
-- \led_flash_cnt[3445][4]~75117\ = CARRY((!\led_flash_cnt[3445][3]~75115\) # (!\led_flash_cnt[3445][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3445][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3445][3]~75115\,
	combout => \led_flash_cnt[3445][4]~75116_combout\,
	cout => \led_flash_cnt[3445][4]~75117\);

-- Location: FF_X70_Y42_N23
\led_flash_cnt[3445][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3445][4]~75116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3445][4]~q\);

-- Location: LCCOMB_X70_Y42_N24
\led_flash_cnt[3445][5]~75118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3445][5]~75118_combout\ = (\led_flash_cnt[3445][5]~q\ & (\led_flash_cnt[3445][4]~75117\ $ (GND))) # (!\led_flash_cnt[3445][5]~q\ & (!\led_flash_cnt[3445][4]~75117\ & VCC))
-- \led_flash_cnt[3445][5]~75119\ = CARRY((\led_flash_cnt[3445][5]~q\ & !\led_flash_cnt[3445][4]~75117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3445][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3445][4]~75117\,
	combout => \led_flash_cnt[3445][5]~75118_combout\,
	cout => \led_flash_cnt[3445][5]~75119\);

-- Location: FF_X70_Y42_N25
\led_flash_cnt[3445][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3445][5]~75118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3445][5]~q\);

-- Location: LCCOMB_X70_Y42_N26
\led_flash_cnt[3445][6]~75120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3445][6]~75120_combout\ = (\led_flash_cnt[3445][6]~q\ & (!\led_flash_cnt[3445][5]~75119\)) # (!\led_flash_cnt[3445][6]~q\ & ((\led_flash_cnt[3445][5]~75119\) # (GND)))
-- \led_flash_cnt[3445][6]~75121\ = CARRY((!\led_flash_cnt[3445][5]~75119\) # (!\led_flash_cnt[3445][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3445][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3445][5]~75119\,
	combout => \led_flash_cnt[3445][6]~75120_combout\,
	cout => \led_flash_cnt[3445][6]~75121\);

-- Location: FF_X70_Y42_N27
\led_flash_cnt[3445][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3445][6]~75120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3445][6]~q\);

-- Location: LCCOMB_X70_Y42_N10
\WideAnd3445~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3445~1_combout\ = (\led_flash_cnt[3445][6]~q\ & \led_flash_cnt[3445][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3445][6]~q\,
	datad => \led_flash_cnt[3445][5]~q\,
	combout => \WideAnd3445~1_combout\);

-- Location: LCCOMB_X70_Y42_N28
\led_flash_cnt[3445][7]~75122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3445][7]~75122_combout\ = \led_flash_cnt[3445][6]~75121\ $ (!\led_flash_cnt[3445][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3445][7]~q\,
	cin => \led_flash_cnt[3445][6]~75121\,
	combout => \led_flash_cnt[3445][7]~75122_combout\);

-- Location: FF_X70_Y42_N29
\led_flash_cnt[3445][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3445][7]~75122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3445][7]~q\);

-- Location: LCCOMB_X70_Y42_N4
\WideAnd3445~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3445~0_combout\ = (\led_flash_cnt[3445][3]~q\ & (\led_flash_cnt[3445][2]~q\ & (\led_flash_cnt[3445][4]~q\ & \led_flash_cnt[3445][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3445][3]~q\,
	datab => \led_flash_cnt[3445][2]~q\,
	datac => \led_flash_cnt[3445][4]~q\,
	datad => \led_flash_cnt[3445][1]~q\,
	combout => \WideAnd3445~0_combout\);

-- Location: LCCOMB_X70_Y42_N14
WideAnd3445 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3445~combout\ = (\WideAnd3445~1_combout\ & (\led_flash_cnt[3445][7]~q\ & (\WideAnd3445~0_combout\ & \led_flash_cnt[3445][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3445~1_combout\,
	datab => \led_flash_cnt[3445][7]~q\,
	datac => \WideAnd3445~0_combout\,
	datad => \led_flash_cnt[3445][0]~q\,
	combout => \WideAnd3445~combout\);

-- Location: FF_X70_Y42_N15
\led_flash_cnt_ands[3445]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3445~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3445));

-- Location: LCCOMB_X67_Y42_N22
\led_flash_cnt[3444][0]~84084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3444][0]~84084_combout\ = !\led_flash_cnt[3444][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3444][0]~q\,
	combout => \led_flash_cnt[3444][0]~84084_combout\);

-- Location: FF_X67_Y42_N23
\led_flash_cnt[3444][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3444][0]~84084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3444][0]~q\);

-- Location: LCCOMB_X67_Y42_N8
\led_flash_cnt[3444][1]~75096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3444][1]~75096_combout\ = (\led_flash_cnt[3444][0]~q\ & (\led_flash_cnt[3444][1]~q\ $ (VCC))) # (!\led_flash_cnt[3444][0]~q\ & (\led_flash_cnt[3444][1]~q\ & VCC))
-- \led_flash_cnt[3444][1]~75097\ = CARRY((\led_flash_cnt[3444][0]~q\ & \led_flash_cnt[3444][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3444][0]~q\,
	datab => \led_flash_cnt[3444][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3444][1]~75096_combout\,
	cout => \led_flash_cnt[3444][1]~75097\);

-- Location: FF_X67_Y42_N9
\led_flash_cnt[3444][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3444][1]~75096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3444][1]~q\);

-- Location: LCCOMB_X67_Y42_N10
\led_flash_cnt[3444][2]~75098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3444][2]~75098_combout\ = (\led_flash_cnt[3444][2]~q\ & (!\led_flash_cnt[3444][1]~75097\)) # (!\led_flash_cnt[3444][2]~q\ & ((\led_flash_cnt[3444][1]~75097\) # (GND)))
-- \led_flash_cnt[3444][2]~75099\ = CARRY((!\led_flash_cnt[3444][1]~75097\) # (!\led_flash_cnt[3444][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3444][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3444][1]~75097\,
	combout => \led_flash_cnt[3444][2]~75098_combout\,
	cout => \led_flash_cnt[3444][2]~75099\);

-- Location: FF_X67_Y42_N11
\led_flash_cnt[3444][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3444][2]~75098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3444][2]~q\);

-- Location: LCCOMB_X67_Y42_N12
\led_flash_cnt[3444][3]~75100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3444][3]~75100_combout\ = (\led_flash_cnt[3444][3]~q\ & (\led_flash_cnt[3444][2]~75099\ $ (GND))) # (!\led_flash_cnt[3444][3]~q\ & (!\led_flash_cnt[3444][2]~75099\ & VCC))
-- \led_flash_cnt[3444][3]~75101\ = CARRY((\led_flash_cnt[3444][3]~q\ & !\led_flash_cnt[3444][2]~75099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3444][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3444][2]~75099\,
	combout => \led_flash_cnt[3444][3]~75100_combout\,
	cout => \led_flash_cnt[3444][3]~75101\);

-- Location: FF_X67_Y42_N13
\led_flash_cnt[3444][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3444][3]~75100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3444][3]~q\);

-- Location: LCCOMB_X67_Y42_N14
\led_flash_cnt[3444][4]~75102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3444][4]~75102_combout\ = (\led_flash_cnt[3444][4]~q\ & (!\led_flash_cnt[3444][3]~75101\)) # (!\led_flash_cnt[3444][4]~q\ & ((\led_flash_cnt[3444][3]~75101\) # (GND)))
-- \led_flash_cnt[3444][4]~75103\ = CARRY((!\led_flash_cnt[3444][3]~75101\) # (!\led_flash_cnt[3444][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3444][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3444][3]~75101\,
	combout => \led_flash_cnt[3444][4]~75102_combout\,
	cout => \led_flash_cnt[3444][4]~75103\);

-- Location: FF_X67_Y42_N15
\led_flash_cnt[3444][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3444][4]~75102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3444][4]~q\);

-- Location: LCCOMB_X67_Y42_N16
\led_flash_cnt[3444][5]~75104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3444][5]~75104_combout\ = (\led_flash_cnt[3444][5]~q\ & (\led_flash_cnt[3444][4]~75103\ $ (GND))) # (!\led_flash_cnt[3444][5]~q\ & (!\led_flash_cnt[3444][4]~75103\ & VCC))
-- \led_flash_cnt[3444][5]~75105\ = CARRY((\led_flash_cnt[3444][5]~q\ & !\led_flash_cnt[3444][4]~75103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3444][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3444][4]~75103\,
	combout => \led_flash_cnt[3444][5]~75104_combout\,
	cout => \led_flash_cnt[3444][5]~75105\);

-- Location: FF_X67_Y42_N17
\led_flash_cnt[3444][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3444][5]~75104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3444][5]~q\);

-- Location: LCCOMB_X67_Y42_N18
\led_flash_cnt[3444][6]~75106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3444][6]~75106_combout\ = (\led_flash_cnt[3444][6]~q\ & (!\led_flash_cnt[3444][5]~75105\)) # (!\led_flash_cnt[3444][6]~q\ & ((\led_flash_cnt[3444][5]~75105\) # (GND)))
-- \led_flash_cnt[3444][6]~75107\ = CARRY((!\led_flash_cnt[3444][5]~75105\) # (!\led_flash_cnt[3444][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3444][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3444][5]~75105\,
	combout => \led_flash_cnt[3444][6]~75106_combout\,
	cout => \led_flash_cnt[3444][6]~75107\);

-- Location: FF_X67_Y42_N19
\led_flash_cnt[3444][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3444][6]~75106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3444][6]~q\);

-- Location: LCCOMB_X67_Y42_N20
\led_flash_cnt[3444][7]~75108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3444][7]~75108_combout\ = \led_flash_cnt[3444][6]~75107\ $ (!\led_flash_cnt[3444][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3444][7]~q\,
	cin => \led_flash_cnt[3444][6]~75107\,
	combout => \led_flash_cnt[3444][7]~75108_combout\);

-- Location: FF_X67_Y42_N21
\led_flash_cnt[3444][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3444][7]~75108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3444][7]~q\);

-- Location: LCCOMB_X67_Y42_N30
\WideAnd3444~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3444~0_combout\ = (\led_flash_cnt[3444][2]~q\ & (\led_flash_cnt[3444][4]~q\ & (\led_flash_cnt[3444][1]~q\ & \led_flash_cnt[3444][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3444][2]~q\,
	datab => \led_flash_cnt[3444][4]~q\,
	datac => \led_flash_cnt[3444][1]~q\,
	datad => \led_flash_cnt[3444][3]~q\,
	combout => \WideAnd3444~0_combout\);

-- Location: LCCOMB_X67_Y42_N28
\WideAnd3444~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3444~1_combout\ = (\led_flash_cnt[3444][6]~q\ & \led_flash_cnt[3444][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3444][6]~q\,
	datad => \led_flash_cnt[3444][5]~q\,
	combout => \WideAnd3444~1_combout\);

-- Location: LCCOMB_X67_Y42_N24
WideAnd3444 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3444~combout\ = (\led_flash_cnt[3444][0]~q\ & (\led_flash_cnt[3444][7]~q\ & (\WideAnd3444~0_combout\ & \WideAnd3444~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3444][0]~q\,
	datab => \led_flash_cnt[3444][7]~q\,
	datac => \WideAnd3444~0_combout\,
	datad => \WideAnd3444~1_combout\,
	combout => \WideAnd3444~combout\);

-- Location: FF_X67_Y42_N25
\led_flash_cnt_ands[3444]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3444~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3444));

-- Location: LCCOMB_X67_Y42_N26
\WideAnd4270~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4270~1_combout\ = (led_flash_cnt_ands(3445) & led_flash_cnt_ands(3444))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3445),
	datad => led_flash_cnt_ands(3444),
	combout => \WideAnd4270~1_combout\);

-- Location: LCCOMB_X65_Y40_N2
WideAnd4270 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4270~combout\ = (led_flash_cnt_ands(3447) & (led_flash_cnt_ands(3446) & (\WideAnd4270~0_combout\ & \WideAnd4270~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3447),
	datab => led_flash_cnt_ands(3446),
	datac => \WideAnd4270~0_combout\,
	datad => \WideAnd4270~1_combout\,
	combout => \WideAnd4270~combout\);

-- Location: FF_X65_Y40_N3
\led_flash_cnt_ands_1[430]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4270~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(430));

-- Location: LCCOMB_X64_Y40_N28
WideAnd4373 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4373~combout\ = (\WideAnd4373~1_combout\ & (led_flash_cnt_ands_1(431) & (\WideAnd4373~0_combout\ & led_flash_cnt_ands_1(430))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4373~1_combout\,
	datab => led_flash_cnt_ands_1(431),
	datac => \WideAnd4373~0_combout\,
	datad => led_flash_cnt_ands_1(430),
	combout => \WideAnd4373~combout\);

-- Location: FF_X64_Y40_N29
\led_flash_cnt_ands_2[53]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4373~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(53));

-- Location: LCCOMB_X61_Y15_N6
\led_flash_cnt[3389][0]~84029\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3389][0]~84029_combout\ = !\led_flash_cnt[3389][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3389][0]~q\,
	combout => \led_flash_cnt[3389][0]~84029_combout\);

-- Location: FF_X61_Y15_N7
\led_flash_cnt[3389][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3389][0]~84029_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3389][0]~q\);

-- Location: LCCOMB_X60_Y15_N2
\led_flash_cnt[3389][1]~74326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3389][1]~74326_combout\ = (\led_flash_cnt[3389][0]~q\ & (\led_flash_cnt[3389][1]~q\ $ (VCC))) # (!\led_flash_cnt[3389][0]~q\ & (\led_flash_cnt[3389][1]~q\ & VCC))
-- \led_flash_cnt[3389][1]~74327\ = CARRY((\led_flash_cnt[3389][0]~q\ & \led_flash_cnt[3389][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3389][0]~q\,
	datab => \led_flash_cnt[3389][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3389][1]~74326_combout\,
	cout => \led_flash_cnt[3389][1]~74327\);

-- Location: FF_X60_Y15_N3
\led_flash_cnt[3389][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3389][1]~74326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3389][1]~q\);

-- Location: LCCOMB_X60_Y15_N4
\led_flash_cnt[3389][2]~74328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3389][2]~74328_combout\ = (\led_flash_cnt[3389][2]~q\ & (!\led_flash_cnt[3389][1]~74327\)) # (!\led_flash_cnt[3389][2]~q\ & ((\led_flash_cnt[3389][1]~74327\) # (GND)))
-- \led_flash_cnt[3389][2]~74329\ = CARRY((!\led_flash_cnt[3389][1]~74327\) # (!\led_flash_cnt[3389][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3389][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3389][1]~74327\,
	combout => \led_flash_cnt[3389][2]~74328_combout\,
	cout => \led_flash_cnt[3389][2]~74329\);

-- Location: FF_X60_Y15_N5
\led_flash_cnt[3389][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3389][2]~74328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3389][2]~q\);

-- Location: LCCOMB_X60_Y15_N6
\led_flash_cnt[3389][3]~74330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3389][3]~74330_combout\ = (\led_flash_cnt[3389][3]~q\ & (\led_flash_cnt[3389][2]~74329\ $ (GND))) # (!\led_flash_cnt[3389][3]~q\ & (!\led_flash_cnt[3389][2]~74329\ & VCC))
-- \led_flash_cnt[3389][3]~74331\ = CARRY((\led_flash_cnt[3389][3]~q\ & !\led_flash_cnt[3389][2]~74329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3389][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3389][2]~74329\,
	combout => \led_flash_cnt[3389][3]~74330_combout\,
	cout => \led_flash_cnt[3389][3]~74331\);

-- Location: FF_X60_Y15_N7
\led_flash_cnt[3389][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3389][3]~74330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3389][3]~q\);

-- Location: LCCOMB_X60_Y15_N8
\led_flash_cnt[3389][4]~74332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3389][4]~74332_combout\ = (\led_flash_cnt[3389][4]~q\ & (!\led_flash_cnt[3389][3]~74331\)) # (!\led_flash_cnt[3389][4]~q\ & ((\led_flash_cnt[3389][3]~74331\) # (GND)))
-- \led_flash_cnt[3389][4]~74333\ = CARRY((!\led_flash_cnt[3389][3]~74331\) # (!\led_flash_cnt[3389][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3389][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3389][3]~74331\,
	combout => \led_flash_cnt[3389][4]~74332_combout\,
	cout => \led_flash_cnt[3389][4]~74333\);

-- Location: FF_X60_Y15_N9
\led_flash_cnt[3389][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3389][4]~74332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3389][4]~q\);

-- Location: LCCOMB_X60_Y15_N10
\led_flash_cnt[3389][5]~74334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3389][5]~74334_combout\ = (\led_flash_cnt[3389][5]~q\ & (\led_flash_cnt[3389][4]~74333\ $ (GND))) # (!\led_flash_cnt[3389][5]~q\ & (!\led_flash_cnt[3389][4]~74333\ & VCC))
-- \led_flash_cnt[3389][5]~74335\ = CARRY((\led_flash_cnt[3389][5]~q\ & !\led_flash_cnt[3389][4]~74333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3389][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3389][4]~74333\,
	combout => \led_flash_cnt[3389][5]~74334_combout\,
	cout => \led_flash_cnt[3389][5]~74335\);

-- Location: FF_X60_Y15_N11
\led_flash_cnt[3389][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3389][5]~74334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3389][5]~q\);

-- Location: LCCOMB_X60_Y15_N12
\led_flash_cnt[3389][6]~74336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3389][6]~74336_combout\ = (\led_flash_cnt[3389][6]~q\ & (!\led_flash_cnt[3389][5]~74335\)) # (!\led_flash_cnt[3389][6]~q\ & ((\led_flash_cnt[3389][5]~74335\) # (GND)))
-- \led_flash_cnt[3389][6]~74337\ = CARRY((!\led_flash_cnt[3389][5]~74335\) # (!\led_flash_cnt[3389][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3389][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3389][5]~74335\,
	combout => \led_flash_cnt[3389][6]~74336_combout\,
	cout => \led_flash_cnt[3389][6]~74337\);

-- Location: FF_X60_Y15_N13
\led_flash_cnt[3389][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3389][6]~74336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3389][6]~q\);

-- Location: LCCOMB_X60_Y15_N14
\led_flash_cnt[3389][7]~74338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3389][7]~74338_combout\ = \led_flash_cnt[3389][7]~q\ $ (!\led_flash_cnt[3389][6]~74337\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3389][7]~q\,
	cin => \led_flash_cnt[3389][6]~74337\,
	combout => \led_flash_cnt[3389][7]~74338_combout\);

-- Location: FF_X60_Y15_N15
\led_flash_cnt[3389][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3389][7]~74338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3389][7]~q\);

-- Location: LCCOMB_X60_Y15_N20
\WideAnd3389~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3389~1_combout\ = (\led_flash_cnt[3389][7]~q\ & \led_flash_cnt[3389][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3389][7]~q\,
	datad => \led_flash_cnt[3389][5]~q\,
	combout => \WideAnd3389~1_combout\);

-- Location: LCCOMB_X60_Y15_N26
\WideAnd3389~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3389~0_combout\ = (\led_flash_cnt[3389][3]~q\ & (\led_flash_cnt[3389][2]~q\ & (\led_flash_cnt[3389][4]~q\ & \led_flash_cnt[3389][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3389][3]~q\,
	datab => \led_flash_cnt[3389][2]~q\,
	datac => \led_flash_cnt[3389][4]~q\,
	datad => \led_flash_cnt[3389][1]~q\,
	combout => \WideAnd3389~0_combout\);

-- Location: LCCOMB_X60_Y15_N24
WideAnd3389 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3389~combout\ = (\led_flash_cnt[3389][0]~q\ & (\WideAnd3389~1_combout\ & (\WideAnd3389~0_combout\ & \led_flash_cnt[3389][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3389][0]~q\,
	datab => \WideAnd3389~1_combout\,
	datac => \WideAnd3389~0_combout\,
	datad => \led_flash_cnt[3389][6]~q\,
	combout => \WideAnd3389~combout\);

-- Location: FF_X60_Y15_N25
\led_flash_cnt_ands[3389]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3389~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3389));

-- Location: LCCOMB_X61_Y15_N12
\led_flash_cnt[3388][0]~84028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3388][0]~84028_combout\ = !\led_flash_cnt[3388][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3388][0]~q\,
	combout => \led_flash_cnt[3388][0]~84028_combout\);

-- Location: FF_X61_Y15_N13
\led_flash_cnt[3388][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3388][0]~84028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3388][0]~q\);

-- Location: LCCOMB_X61_Y15_N14
\led_flash_cnt[3388][1]~74312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3388][1]~74312_combout\ = (\led_flash_cnt[3388][0]~q\ & (\led_flash_cnt[3388][1]~q\ $ (VCC))) # (!\led_flash_cnt[3388][0]~q\ & (\led_flash_cnt[3388][1]~q\ & VCC))
-- \led_flash_cnt[3388][1]~74313\ = CARRY((\led_flash_cnt[3388][0]~q\ & \led_flash_cnt[3388][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3388][0]~q\,
	datab => \led_flash_cnt[3388][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3388][1]~74312_combout\,
	cout => \led_flash_cnt[3388][1]~74313\);

-- Location: FF_X61_Y15_N15
\led_flash_cnt[3388][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3388][1]~74312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3388][1]~q\);

-- Location: LCCOMB_X61_Y15_N16
\led_flash_cnt[3388][2]~74314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3388][2]~74314_combout\ = (\led_flash_cnt[3388][2]~q\ & (!\led_flash_cnt[3388][1]~74313\)) # (!\led_flash_cnt[3388][2]~q\ & ((\led_flash_cnt[3388][1]~74313\) # (GND)))
-- \led_flash_cnt[3388][2]~74315\ = CARRY((!\led_flash_cnt[3388][1]~74313\) # (!\led_flash_cnt[3388][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3388][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3388][1]~74313\,
	combout => \led_flash_cnt[3388][2]~74314_combout\,
	cout => \led_flash_cnt[3388][2]~74315\);

-- Location: FF_X61_Y15_N17
\led_flash_cnt[3388][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3388][2]~74314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3388][2]~q\);

-- Location: LCCOMB_X61_Y15_N18
\led_flash_cnt[3388][3]~74316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3388][3]~74316_combout\ = (\led_flash_cnt[3388][3]~q\ & (\led_flash_cnt[3388][2]~74315\ $ (GND))) # (!\led_flash_cnt[3388][3]~q\ & (!\led_flash_cnt[3388][2]~74315\ & VCC))
-- \led_flash_cnt[3388][3]~74317\ = CARRY((\led_flash_cnt[3388][3]~q\ & !\led_flash_cnt[3388][2]~74315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3388][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3388][2]~74315\,
	combout => \led_flash_cnt[3388][3]~74316_combout\,
	cout => \led_flash_cnt[3388][3]~74317\);

-- Location: FF_X61_Y15_N19
\led_flash_cnt[3388][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3388][3]~74316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3388][3]~q\);

-- Location: LCCOMB_X61_Y15_N20
\led_flash_cnt[3388][4]~74318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3388][4]~74318_combout\ = (\led_flash_cnt[3388][4]~q\ & (!\led_flash_cnt[3388][3]~74317\)) # (!\led_flash_cnt[3388][4]~q\ & ((\led_flash_cnt[3388][3]~74317\) # (GND)))
-- \led_flash_cnt[3388][4]~74319\ = CARRY((!\led_flash_cnt[3388][3]~74317\) # (!\led_flash_cnt[3388][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3388][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3388][3]~74317\,
	combout => \led_flash_cnt[3388][4]~74318_combout\,
	cout => \led_flash_cnt[3388][4]~74319\);

-- Location: FF_X61_Y15_N21
\led_flash_cnt[3388][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3388][4]~74318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3388][4]~q\);

-- Location: LCCOMB_X61_Y15_N22
\led_flash_cnt[3388][5]~74320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3388][5]~74320_combout\ = (\led_flash_cnt[3388][5]~q\ & (\led_flash_cnt[3388][4]~74319\ $ (GND))) # (!\led_flash_cnt[3388][5]~q\ & (!\led_flash_cnt[3388][4]~74319\ & VCC))
-- \led_flash_cnt[3388][5]~74321\ = CARRY((\led_flash_cnt[3388][5]~q\ & !\led_flash_cnt[3388][4]~74319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3388][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3388][4]~74319\,
	combout => \led_flash_cnt[3388][5]~74320_combout\,
	cout => \led_flash_cnt[3388][5]~74321\);

-- Location: FF_X61_Y15_N23
\led_flash_cnt[3388][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3388][5]~74320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3388][5]~q\);

-- Location: LCCOMB_X61_Y15_N24
\led_flash_cnt[3388][6]~74322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3388][6]~74322_combout\ = (\led_flash_cnt[3388][6]~q\ & (!\led_flash_cnt[3388][5]~74321\)) # (!\led_flash_cnt[3388][6]~q\ & ((\led_flash_cnt[3388][5]~74321\) # (GND)))
-- \led_flash_cnt[3388][6]~74323\ = CARRY((!\led_flash_cnt[3388][5]~74321\) # (!\led_flash_cnt[3388][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3388][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3388][5]~74321\,
	combout => \led_flash_cnt[3388][6]~74322_combout\,
	cout => \led_flash_cnt[3388][6]~74323\);

-- Location: FF_X61_Y15_N25
\led_flash_cnt[3388][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3388][6]~74322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3388][6]~q\);

-- Location: LCCOMB_X61_Y15_N30
\WideAnd3388~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3388~1_combout\ = (\led_flash_cnt[3388][5]~q\ & \led_flash_cnt[3388][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3388][5]~q\,
	datad => \led_flash_cnt[3388][6]~q\,
	combout => \WideAnd3388~1_combout\);

-- Location: LCCOMB_X61_Y15_N4
\WideAnd3388~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3388~0_combout\ = (\led_flash_cnt[3388][3]~q\ & (\led_flash_cnt[3388][2]~q\ & (\led_flash_cnt[3388][1]~q\ & \led_flash_cnt[3388][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3388][3]~q\,
	datab => \led_flash_cnt[3388][2]~q\,
	datac => \led_flash_cnt[3388][1]~q\,
	datad => \led_flash_cnt[3388][4]~q\,
	combout => \WideAnd3388~0_combout\);

-- Location: LCCOMB_X61_Y15_N26
\led_flash_cnt[3388][7]~74324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3388][7]~74324_combout\ = \led_flash_cnt[3388][7]~q\ $ (!\led_flash_cnt[3388][6]~74323\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3388][7]~q\,
	cin => \led_flash_cnt[3388][6]~74323\,
	combout => \led_flash_cnt[3388][7]~74324_combout\);

-- Location: FF_X61_Y15_N27
\led_flash_cnt[3388][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3388][7]~74324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3388][7]~q\);

-- Location: LCCOMB_X61_Y15_N0
WideAnd3388 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3388~combout\ = (\WideAnd3388~1_combout\ & (\WideAnd3388~0_combout\ & (\led_flash_cnt[3388][7]~q\ & \led_flash_cnt[3388][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3388~1_combout\,
	datab => \WideAnd3388~0_combout\,
	datac => \led_flash_cnt[3388][7]~q\,
	datad => \led_flash_cnt[3388][0]~q\,
	combout => \WideAnd3388~combout\);

-- Location: FF_X61_Y15_N1
\led_flash_cnt_ands[3388]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3388~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3388));

-- Location: LCCOMB_X61_Y15_N10
\WideAnd4263~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4263~1_combout\ = (led_flash_cnt_ands(3389) & led_flash_cnt_ands(3388))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3389),
	datad => led_flash_cnt_ands(3388),
	combout => \WideAnd4263~1_combout\);

-- Location: LCCOMB_X63_Y15_N4
\led_flash_cnt[3390][0]~84030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3390][0]~84030_combout\ = !\led_flash_cnt[3390][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3390][0]~q\,
	combout => \led_flash_cnt[3390][0]~84030_combout\);

-- Location: FF_X63_Y15_N5
\led_flash_cnt[3390][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3390][0]~84030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3390][0]~q\);

-- Location: LCCOMB_X63_Y15_N10
\led_flash_cnt[3390][1]~74340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3390][1]~74340_combout\ = (\led_flash_cnt[3390][1]~q\ & (\led_flash_cnt[3390][0]~q\ $ (VCC))) # (!\led_flash_cnt[3390][1]~q\ & (\led_flash_cnt[3390][0]~q\ & VCC))
-- \led_flash_cnt[3390][1]~74341\ = CARRY((\led_flash_cnt[3390][1]~q\ & \led_flash_cnt[3390][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3390][1]~q\,
	datab => \led_flash_cnt[3390][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3390][1]~74340_combout\,
	cout => \led_flash_cnt[3390][1]~74341\);

-- Location: FF_X63_Y15_N11
\led_flash_cnt[3390][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3390][1]~74340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3390][1]~q\);

-- Location: LCCOMB_X63_Y15_N12
\led_flash_cnt[3390][2]~74342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3390][2]~74342_combout\ = (\led_flash_cnt[3390][2]~q\ & (!\led_flash_cnt[3390][1]~74341\)) # (!\led_flash_cnt[3390][2]~q\ & ((\led_flash_cnt[3390][1]~74341\) # (GND)))
-- \led_flash_cnt[3390][2]~74343\ = CARRY((!\led_flash_cnt[3390][1]~74341\) # (!\led_flash_cnt[3390][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3390][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3390][1]~74341\,
	combout => \led_flash_cnt[3390][2]~74342_combout\,
	cout => \led_flash_cnt[3390][2]~74343\);

-- Location: FF_X63_Y15_N13
\led_flash_cnt[3390][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3390][2]~74342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3390][2]~q\);

-- Location: LCCOMB_X63_Y15_N14
\led_flash_cnt[3390][3]~74344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3390][3]~74344_combout\ = (\led_flash_cnt[3390][3]~q\ & (\led_flash_cnt[3390][2]~74343\ $ (GND))) # (!\led_flash_cnt[3390][3]~q\ & (!\led_flash_cnt[3390][2]~74343\ & VCC))
-- \led_flash_cnt[3390][3]~74345\ = CARRY((\led_flash_cnt[3390][3]~q\ & !\led_flash_cnt[3390][2]~74343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3390][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3390][2]~74343\,
	combout => \led_flash_cnt[3390][3]~74344_combout\,
	cout => \led_flash_cnt[3390][3]~74345\);

-- Location: FF_X63_Y15_N15
\led_flash_cnt[3390][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3390][3]~74344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3390][3]~q\);

-- Location: LCCOMB_X63_Y15_N16
\led_flash_cnt[3390][4]~74346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3390][4]~74346_combout\ = (\led_flash_cnt[3390][4]~q\ & (!\led_flash_cnt[3390][3]~74345\)) # (!\led_flash_cnt[3390][4]~q\ & ((\led_flash_cnt[3390][3]~74345\) # (GND)))
-- \led_flash_cnt[3390][4]~74347\ = CARRY((!\led_flash_cnt[3390][3]~74345\) # (!\led_flash_cnt[3390][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3390][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3390][3]~74345\,
	combout => \led_flash_cnt[3390][4]~74346_combout\,
	cout => \led_flash_cnt[3390][4]~74347\);

-- Location: FF_X63_Y15_N17
\led_flash_cnt[3390][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3390][4]~74346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3390][4]~q\);

-- Location: LCCOMB_X63_Y15_N18
\led_flash_cnt[3390][5]~74348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3390][5]~74348_combout\ = (\led_flash_cnt[3390][5]~q\ & (\led_flash_cnt[3390][4]~74347\ $ (GND))) # (!\led_flash_cnt[3390][5]~q\ & (!\led_flash_cnt[3390][4]~74347\ & VCC))
-- \led_flash_cnt[3390][5]~74349\ = CARRY((\led_flash_cnt[3390][5]~q\ & !\led_flash_cnt[3390][4]~74347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3390][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3390][4]~74347\,
	combout => \led_flash_cnt[3390][5]~74348_combout\,
	cout => \led_flash_cnt[3390][5]~74349\);

-- Location: FF_X63_Y15_N19
\led_flash_cnt[3390][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3390][5]~74348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3390][5]~q\);

-- Location: LCCOMB_X63_Y15_N20
\led_flash_cnt[3390][6]~74350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3390][6]~74350_combout\ = (\led_flash_cnt[3390][6]~q\ & (!\led_flash_cnt[3390][5]~74349\)) # (!\led_flash_cnt[3390][6]~q\ & ((\led_flash_cnt[3390][5]~74349\) # (GND)))
-- \led_flash_cnt[3390][6]~74351\ = CARRY((!\led_flash_cnt[3390][5]~74349\) # (!\led_flash_cnt[3390][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3390][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3390][5]~74349\,
	combout => \led_flash_cnt[3390][6]~74350_combout\,
	cout => \led_flash_cnt[3390][6]~74351\);

-- Location: FF_X63_Y15_N21
\led_flash_cnt[3390][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3390][6]~74350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3390][6]~q\);

-- Location: LCCOMB_X63_Y15_N6
\WideAnd3390~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3390~1_combout\ = (\led_flash_cnt[3390][6]~q\ & \led_flash_cnt[3390][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3390][6]~q\,
	datad => \led_flash_cnt[3390][5]~q\,
	combout => \WideAnd3390~1_combout\);

-- Location: LCCOMB_X63_Y15_N22
\led_flash_cnt[3390][7]~74352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3390][7]~74352_combout\ = \led_flash_cnt[3390][7]~q\ $ (!\led_flash_cnt[3390][6]~74351\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3390][7]~q\,
	cin => \led_flash_cnt[3390][6]~74351\,
	combout => \led_flash_cnt[3390][7]~74352_combout\);

-- Location: FF_X63_Y15_N23
\led_flash_cnt[3390][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3390][7]~74352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3390][7]~q\);

-- Location: LCCOMB_X63_Y15_N0
\WideAnd3390~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3390~0_combout\ = (\led_flash_cnt[3390][1]~q\ & (\led_flash_cnt[3390][4]~q\ & (\led_flash_cnt[3390][3]~q\ & \led_flash_cnt[3390][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3390][1]~q\,
	datab => \led_flash_cnt[3390][4]~q\,
	datac => \led_flash_cnt[3390][3]~q\,
	datad => \led_flash_cnt[3390][2]~q\,
	combout => \WideAnd3390~0_combout\);

-- Location: LCCOMB_X63_Y15_N24
WideAnd3390 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3390~combout\ = (\WideAnd3390~1_combout\ & (\led_flash_cnt[3390][0]~q\ & (\led_flash_cnt[3390][7]~q\ & \WideAnd3390~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3390~1_combout\,
	datab => \led_flash_cnt[3390][0]~q\,
	datac => \led_flash_cnt[3390][7]~q\,
	datad => \WideAnd3390~0_combout\,
	combout => \WideAnd3390~combout\);

-- Location: FF_X63_Y15_N25
\led_flash_cnt_ands[3390]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3390~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3390));

-- Location: LCCOMB_X59_Y7_N18
\led_flash_cnt[3384][0]~84024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3384][0]~84024_combout\ = !\led_flash_cnt[3384][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3384][0]~q\,
	combout => \led_flash_cnt[3384][0]~84024_combout\);

-- Location: FF_X59_Y7_N19
\led_flash_cnt[3384][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3384][0]~84024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3384][0]~q\);

-- Location: LCCOMB_X59_Y7_N2
\led_flash_cnt[3384][1]~74256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3384][1]~74256_combout\ = (\led_flash_cnt[3384][1]~q\ & (\led_flash_cnt[3384][0]~q\ $ (VCC))) # (!\led_flash_cnt[3384][1]~q\ & (\led_flash_cnt[3384][0]~q\ & VCC))
-- \led_flash_cnt[3384][1]~74257\ = CARRY((\led_flash_cnt[3384][1]~q\ & \led_flash_cnt[3384][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3384][1]~q\,
	datab => \led_flash_cnt[3384][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3384][1]~74256_combout\,
	cout => \led_flash_cnt[3384][1]~74257\);

-- Location: FF_X59_Y7_N3
\led_flash_cnt[3384][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3384][1]~74256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3384][1]~q\);

-- Location: LCCOMB_X59_Y7_N4
\led_flash_cnt[3384][2]~74258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3384][2]~74258_combout\ = (\led_flash_cnt[3384][2]~q\ & (!\led_flash_cnt[3384][1]~74257\)) # (!\led_flash_cnt[3384][2]~q\ & ((\led_flash_cnt[3384][1]~74257\) # (GND)))
-- \led_flash_cnt[3384][2]~74259\ = CARRY((!\led_flash_cnt[3384][1]~74257\) # (!\led_flash_cnt[3384][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3384][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3384][1]~74257\,
	combout => \led_flash_cnt[3384][2]~74258_combout\,
	cout => \led_flash_cnt[3384][2]~74259\);

-- Location: FF_X59_Y7_N5
\led_flash_cnt[3384][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3384][2]~74258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3384][2]~q\);

-- Location: LCCOMB_X59_Y7_N6
\led_flash_cnt[3384][3]~74260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3384][3]~74260_combout\ = (\led_flash_cnt[3384][3]~q\ & (\led_flash_cnt[3384][2]~74259\ $ (GND))) # (!\led_flash_cnt[3384][3]~q\ & (!\led_flash_cnt[3384][2]~74259\ & VCC))
-- \led_flash_cnt[3384][3]~74261\ = CARRY((\led_flash_cnt[3384][3]~q\ & !\led_flash_cnt[3384][2]~74259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3384][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3384][2]~74259\,
	combout => \led_flash_cnt[3384][3]~74260_combout\,
	cout => \led_flash_cnt[3384][3]~74261\);

-- Location: FF_X59_Y7_N7
\led_flash_cnt[3384][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3384][3]~74260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3384][3]~q\);

-- Location: LCCOMB_X59_Y7_N8
\led_flash_cnt[3384][4]~74262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3384][4]~74262_combout\ = (\led_flash_cnt[3384][4]~q\ & (!\led_flash_cnt[3384][3]~74261\)) # (!\led_flash_cnt[3384][4]~q\ & ((\led_flash_cnt[3384][3]~74261\) # (GND)))
-- \led_flash_cnt[3384][4]~74263\ = CARRY((!\led_flash_cnt[3384][3]~74261\) # (!\led_flash_cnt[3384][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3384][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3384][3]~74261\,
	combout => \led_flash_cnt[3384][4]~74262_combout\,
	cout => \led_flash_cnt[3384][4]~74263\);

-- Location: FF_X59_Y7_N9
\led_flash_cnt[3384][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3384][4]~74262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3384][4]~q\);

-- Location: LCCOMB_X59_Y7_N10
\led_flash_cnt[3384][5]~74264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3384][5]~74264_combout\ = (\led_flash_cnt[3384][5]~q\ & (\led_flash_cnt[3384][4]~74263\ $ (GND))) # (!\led_flash_cnt[3384][5]~q\ & (!\led_flash_cnt[3384][4]~74263\ & VCC))
-- \led_flash_cnt[3384][5]~74265\ = CARRY((\led_flash_cnt[3384][5]~q\ & !\led_flash_cnt[3384][4]~74263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3384][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3384][4]~74263\,
	combout => \led_flash_cnt[3384][5]~74264_combout\,
	cout => \led_flash_cnt[3384][5]~74265\);

-- Location: FF_X59_Y7_N11
\led_flash_cnt[3384][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3384][5]~74264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3384][5]~q\);

-- Location: LCCOMB_X59_Y7_N12
\led_flash_cnt[3384][6]~74266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3384][6]~74266_combout\ = (\led_flash_cnt[3384][6]~q\ & (!\led_flash_cnt[3384][5]~74265\)) # (!\led_flash_cnt[3384][6]~q\ & ((\led_flash_cnt[3384][5]~74265\) # (GND)))
-- \led_flash_cnt[3384][6]~74267\ = CARRY((!\led_flash_cnt[3384][5]~74265\) # (!\led_flash_cnt[3384][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3384][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3384][5]~74265\,
	combout => \led_flash_cnt[3384][6]~74266_combout\,
	cout => \led_flash_cnt[3384][6]~74267\);

-- Location: FF_X59_Y7_N13
\led_flash_cnt[3384][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3384][6]~74266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3384][6]~q\);

-- Location: LCCOMB_X59_Y7_N22
\WideAnd3384~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3384~1_combout\ = (\led_flash_cnt[3384][5]~q\ & \led_flash_cnt[3384][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3384][5]~q\,
	datad => \led_flash_cnt[3384][6]~q\,
	combout => \WideAnd3384~1_combout\);

-- Location: LCCOMB_X59_Y7_N24
\WideAnd3384~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3384~0_combout\ = (\led_flash_cnt[3384][1]~q\ & (\led_flash_cnt[3384][2]~q\ & (\led_flash_cnt[3384][4]~q\ & \led_flash_cnt[3384][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3384][1]~q\,
	datab => \led_flash_cnt[3384][2]~q\,
	datac => \led_flash_cnt[3384][4]~q\,
	datad => \led_flash_cnt[3384][3]~q\,
	combout => \WideAnd3384~0_combout\);

-- Location: LCCOMB_X59_Y7_N14
\led_flash_cnt[3384][7]~74268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3384][7]~74268_combout\ = \led_flash_cnt[3384][7]~q\ $ (!\led_flash_cnt[3384][6]~74267\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3384][7]~q\,
	cin => \led_flash_cnt[3384][6]~74267\,
	combout => \led_flash_cnt[3384][7]~74268_combout\);

-- Location: FF_X59_Y7_N15
\led_flash_cnt[3384][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3384][7]~74268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3384][7]~q\);

-- Location: LCCOMB_X59_Y7_N26
WideAnd3384 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3384~combout\ = (\WideAnd3384~1_combout\ & (\WideAnd3384~0_combout\ & (\led_flash_cnt[3384][7]~q\ & \led_flash_cnt[3384][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3384~1_combout\,
	datab => \WideAnd3384~0_combout\,
	datac => \led_flash_cnt[3384][7]~q\,
	datad => \led_flash_cnt[3384][0]~q\,
	combout => \WideAnd3384~combout\);

-- Location: FF_X59_Y7_N27
\led_flash_cnt_ands[3384]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3384~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3384));

-- Location: LCCOMB_X59_Y5_N24
\led_flash_cnt[3387][0]~84027\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3387][0]~84027_combout\ = !\led_flash_cnt[3387][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3387][0]~q\,
	combout => \led_flash_cnt[3387][0]~84027_combout\);

-- Location: FF_X59_Y5_N25
\led_flash_cnt[3387][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3387][0]~84027_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3387][0]~q\);

-- Location: LCCOMB_X59_Y5_N6
\led_flash_cnt[3387][1]~74298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3387][1]~74298_combout\ = (\led_flash_cnt[3387][1]~q\ & (\led_flash_cnt[3387][0]~q\ $ (VCC))) # (!\led_flash_cnt[3387][1]~q\ & (\led_flash_cnt[3387][0]~q\ & VCC))
-- \led_flash_cnt[3387][1]~74299\ = CARRY((\led_flash_cnt[3387][1]~q\ & \led_flash_cnt[3387][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3387][1]~q\,
	datab => \led_flash_cnt[3387][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3387][1]~74298_combout\,
	cout => \led_flash_cnt[3387][1]~74299\);

-- Location: FF_X59_Y5_N7
\led_flash_cnt[3387][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3387][1]~74298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3387][1]~q\);

-- Location: LCCOMB_X59_Y5_N8
\led_flash_cnt[3387][2]~74300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3387][2]~74300_combout\ = (\led_flash_cnt[3387][2]~q\ & (!\led_flash_cnt[3387][1]~74299\)) # (!\led_flash_cnt[3387][2]~q\ & ((\led_flash_cnt[3387][1]~74299\) # (GND)))
-- \led_flash_cnt[3387][2]~74301\ = CARRY((!\led_flash_cnt[3387][1]~74299\) # (!\led_flash_cnt[3387][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3387][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3387][1]~74299\,
	combout => \led_flash_cnt[3387][2]~74300_combout\,
	cout => \led_flash_cnt[3387][2]~74301\);

-- Location: FF_X59_Y5_N9
\led_flash_cnt[3387][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3387][2]~74300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3387][2]~q\);

-- Location: LCCOMB_X59_Y5_N10
\led_flash_cnt[3387][3]~74302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3387][3]~74302_combout\ = (\led_flash_cnt[3387][3]~q\ & (\led_flash_cnt[3387][2]~74301\ $ (GND))) # (!\led_flash_cnt[3387][3]~q\ & (!\led_flash_cnt[3387][2]~74301\ & VCC))
-- \led_flash_cnt[3387][3]~74303\ = CARRY((\led_flash_cnt[3387][3]~q\ & !\led_flash_cnt[3387][2]~74301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3387][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3387][2]~74301\,
	combout => \led_flash_cnt[3387][3]~74302_combout\,
	cout => \led_flash_cnt[3387][3]~74303\);

-- Location: FF_X59_Y5_N11
\led_flash_cnt[3387][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3387][3]~74302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3387][3]~q\);

-- Location: LCCOMB_X59_Y5_N12
\led_flash_cnt[3387][4]~74304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3387][4]~74304_combout\ = (\led_flash_cnt[3387][4]~q\ & (!\led_flash_cnt[3387][3]~74303\)) # (!\led_flash_cnt[3387][4]~q\ & ((\led_flash_cnt[3387][3]~74303\) # (GND)))
-- \led_flash_cnt[3387][4]~74305\ = CARRY((!\led_flash_cnt[3387][3]~74303\) # (!\led_flash_cnt[3387][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3387][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3387][3]~74303\,
	combout => \led_flash_cnt[3387][4]~74304_combout\,
	cout => \led_flash_cnt[3387][4]~74305\);

-- Location: FF_X59_Y5_N13
\led_flash_cnt[3387][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3387][4]~74304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3387][4]~q\);

-- Location: LCCOMB_X59_Y5_N26
\WideAnd3387~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3387~0_combout\ = (\led_flash_cnt[3387][4]~q\ & (\led_flash_cnt[3387][1]~q\ & (\led_flash_cnt[3387][2]~q\ & \led_flash_cnt[3387][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3387][4]~q\,
	datab => \led_flash_cnt[3387][1]~q\,
	datac => \led_flash_cnt[3387][2]~q\,
	datad => \led_flash_cnt[3387][3]~q\,
	combout => \WideAnd3387~0_combout\);

-- Location: LCCOMB_X59_Y5_N14
\led_flash_cnt[3387][5]~74306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3387][5]~74306_combout\ = (\led_flash_cnt[3387][5]~q\ & (\led_flash_cnt[3387][4]~74305\ $ (GND))) # (!\led_flash_cnt[3387][5]~q\ & (!\led_flash_cnt[3387][4]~74305\ & VCC))
-- \led_flash_cnt[3387][5]~74307\ = CARRY((\led_flash_cnt[3387][5]~q\ & !\led_flash_cnt[3387][4]~74305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3387][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3387][4]~74305\,
	combout => \led_flash_cnt[3387][5]~74306_combout\,
	cout => \led_flash_cnt[3387][5]~74307\);

-- Location: FF_X59_Y5_N15
\led_flash_cnt[3387][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3387][5]~74306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3387][5]~q\);

-- Location: LCCOMB_X59_Y5_N16
\led_flash_cnt[3387][6]~74308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3387][6]~74308_combout\ = (\led_flash_cnt[3387][6]~q\ & (!\led_flash_cnt[3387][5]~74307\)) # (!\led_flash_cnt[3387][6]~q\ & ((\led_flash_cnt[3387][5]~74307\) # (GND)))
-- \led_flash_cnt[3387][6]~74309\ = CARRY((!\led_flash_cnt[3387][5]~74307\) # (!\led_flash_cnt[3387][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3387][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3387][5]~74307\,
	combout => \led_flash_cnt[3387][6]~74308_combout\,
	cout => \led_flash_cnt[3387][6]~74309\);

-- Location: FF_X59_Y5_N17
\led_flash_cnt[3387][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3387][6]~74308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3387][6]~q\);

-- Location: LCCOMB_X59_Y5_N18
\led_flash_cnt[3387][7]~74310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3387][7]~74310_combout\ = \led_flash_cnt[3387][6]~74309\ $ (!\led_flash_cnt[3387][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3387][7]~q\,
	cin => \led_flash_cnt[3387][6]~74309\,
	combout => \led_flash_cnt[3387][7]~74310_combout\);

-- Location: FF_X59_Y5_N19
\led_flash_cnt[3387][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3387][7]~74310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3387][7]~q\);

-- Location: LCCOMB_X59_Y5_N4
\WideAnd3387~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3387~1_combout\ = (\led_flash_cnt[3387][5]~q\ & \led_flash_cnt[3387][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3387][5]~q\,
	datad => \led_flash_cnt[3387][6]~q\,
	combout => \WideAnd3387~1_combout\);

-- Location: LCCOMB_X59_Y5_N22
WideAnd3387 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3387~combout\ = (\WideAnd3387~0_combout\ & (\led_flash_cnt[3387][7]~q\ & (\WideAnd3387~1_combout\ & \led_flash_cnt[3387][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3387~0_combout\,
	datab => \led_flash_cnt[3387][7]~q\,
	datac => \WideAnd3387~1_combout\,
	datad => \led_flash_cnt[3387][0]~q\,
	combout => \WideAnd3387~combout\);

-- Location: FF_X59_Y5_N23
\led_flash_cnt_ands[3387]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3387~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3387));

-- Location: LCCOMB_X59_Y9_N2
\led_flash_cnt[3386][0]~84026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3386][0]~84026_combout\ = !\led_flash_cnt[3386][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3386][0]~q\,
	combout => \led_flash_cnt[3386][0]~84026_combout\);

-- Location: FF_X59_Y9_N3
\led_flash_cnt[3386][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3386][0]~84026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3386][0]~q\);

-- Location: LCCOMB_X58_Y9_N2
\led_flash_cnt[3386][1]~74284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3386][1]~74284_combout\ = (\led_flash_cnt[3386][0]~q\ & (\led_flash_cnt[3386][1]~q\ $ (VCC))) # (!\led_flash_cnt[3386][0]~q\ & (\led_flash_cnt[3386][1]~q\ & VCC))
-- \led_flash_cnt[3386][1]~74285\ = CARRY((\led_flash_cnt[3386][0]~q\ & \led_flash_cnt[3386][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3386][0]~q\,
	datab => \led_flash_cnt[3386][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3386][1]~74284_combout\,
	cout => \led_flash_cnt[3386][1]~74285\);

-- Location: FF_X58_Y9_N3
\led_flash_cnt[3386][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3386][1]~74284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3386][1]~q\);

-- Location: LCCOMB_X58_Y9_N4
\led_flash_cnt[3386][2]~74286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3386][2]~74286_combout\ = (\led_flash_cnt[3386][2]~q\ & (!\led_flash_cnt[3386][1]~74285\)) # (!\led_flash_cnt[3386][2]~q\ & ((\led_flash_cnt[3386][1]~74285\) # (GND)))
-- \led_flash_cnt[3386][2]~74287\ = CARRY((!\led_flash_cnt[3386][1]~74285\) # (!\led_flash_cnt[3386][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3386][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3386][1]~74285\,
	combout => \led_flash_cnt[3386][2]~74286_combout\,
	cout => \led_flash_cnt[3386][2]~74287\);

-- Location: FF_X58_Y9_N5
\led_flash_cnt[3386][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3386][2]~74286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3386][2]~q\);

-- Location: LCCOMB_X58_Y9_N6
\led_flash_cnt[3386][3]~74288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3386][3]~74288_combout\ = (\led_flash_cnt[3386][3]~q\ & (\led_flash_cnt[3386][2]~74287\ $ (GND))) # (!\led_flash_cnt[3386][3]~q\ & (!\led_flash_cnt[3386][2]~74287\ & VCC))
-- \led_flash_cnt[3386][3]~74289\ = CARRY((\led_flash_cnt[3386][3]~q\ & !\led_flash_cnt[3386][2]~74287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3386][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3386][2]~74287\,
	combout => \led_flash_cnt[3386][3]~74288_combout\,
	cout => \led_flash_cnt[3386][3]~74289\);

-- Location: FF_X58_Y9_N7
\led_flash_cnt[3386][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3386][3]~74288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3386][3]~q\);

-- Location: LCCOMB_X58_Y9_N8
\led_flash_cnt[3386][4]~74290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3386][4]~74290_combout\ = (\led_flash_cnt[3386][4]~q\ & (!\led_flash_cnt[3386][3]~74289\)) # (!\led_flash_cnt[3386][4]~q\ & ((\led_flash_cnt[3386][3]~74289\) # (GND)))
-- \led_flash_cnt[3386][4]~74291\ = CARRY((!\led_flash_cnt[3386][3]~74289\) # (!\led_flash_cnt[3386][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3386][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3386][3]~74289\,
	combout => \led_flash_cnt[3386][4]~74290_combout\,
	cout => \led_flash_cnt[3386][4]~74291\);

-- Location: FF_X58_Y9_N9
\led_flash_cnt[3386][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3386][4]~74290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3386][4]~q\);

-- Location: LCCOMB_X58_Y9_N10
\led_flash_cnt[3386][5]~74292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3386][5]~74292_combout\ = (\led_flash_cnt[3386][5]~q\ & (\led_flash_cnt[3386][4]~74291\ $ (GND))) # (!\led_flash_cnt[3386][5]~q\ & (!\led_flash_cnt[3386][4]~74291\ & VCC))
-- \led_flash_cnt[3386][5]~74293\ = CARRY((\led_flash_cnt[3386][5]~q\ & !\led_flash_cnt[3386][4]~74291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3386][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3386][4]~74291\,
	combout => \led_flash_cnt[3386][5]~74292_combout\,
	cout => \led_flash_cnt[3386][5]~74293\);

-- Location: FF_X58_Y9_N11
\led_flash_cnt[3386][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3386][5]~74292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3386][5]~q\);

-- Location: LCCOMB_X58_Y9_N12
\led_flash_cnt[3386][6]~74294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3386][6]~74294_combout\ = (\led_flash_cnt[3386][6]~q\ & (!\led_flash_cnt[3386][5]~74293\)) # (!\led_flash_cnt[3386][6]~q\ & ((\led_flash_cnt[3386][5]~74293\) # (GND)))
-- \led_flash_cnt[3386][6]~74295\ = CARRY((!\led_flash_cnt[3386][5]~74293\) # (!\led_flash_cnt[3386][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3386][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3386][5]~74293\,
	combout => \led_flash_cnt[3386][6]~74294_combout\,
	cout => \led_flash_cnt[3386][6]~74295\);

-- Location: FF_X58_Y9_N13
\led_flash_cnt[3386][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3386][6]~74294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3386][6]~q\);

-- Location: LCCOMB_X58_Y9_N14
\led_flash_cnt[3386][7]~74296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3386][7]~74296_combout\ = \led_flash_cnt[3386][7]~q\ $ (!\led_flash_cnt[3386][6]~74295\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3386][7]~q\,
	cin => \led_flash_cnt[3386][6]~74295\,
	combout => \led_flash_cnt[3386][7]~74296_combout\);

-- Location: FF_X58_Y9_N15
\led_flash_cnt[3386][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3386][7]~74296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3386][7]~q\);

-- Location: LCCOMB_X59_Y9_N28
\WideAnd3386~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3386~0_combout\ = (\led_flash_cnt[3386][1]~q\ & (\led_flash_cnt[3386][3]~q\ & (\led_flash_cnt[3386][2]~q\ & \led_flash_cnt[3386][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3386][1]~q\,
	datab => \led_flash_cnt[3386][3]~q\,
	datac => \led_flash_cnt[3386][2]~q\,
	datad => \led_flash_cnt[3386][4]~q\,
	combout => \WideAnd3386~0_combout\);

-- Location: LCCOMB_X59_Y9_N8
\WideAnd3386~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3386~1_combout\ = (\led_flash_cnt[3386][6]~q\ & \led_flash_cnt[3386][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3386][6]~q\,
	datad => \led_flash_cnt[3386][5]~q\,
	combout => \WideAnd3386~1_combout\);

-- Location: LCCOMB_X59_Y9_N26
WideAnd3386 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3386~combout\ = (\led_flash_cnt[3386][7]~q\ & (\WideAnd3386~0_combout\ & (\WideAnd3386~1_combout\ & \led_flash_cnt[3386][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3386][7]~q\,
	datab => \WideAnd3386~0_combout\,
	datac => \WideAnd3386~1_combout\,
	datad => \led_flash_cnt[3386][0]~q\,
	combout => \WideAnd3386~combout\);

-- Location: FF_X59_Y9_N27
\led_flash_cnt_ands[3386]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3386~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3386));

-- Location: LCCOMB_X59_Y9_N0
\led_flash_cnt[3385][0]~84025\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3385][0]~84025_combout\ = !\led_flash_cnt[3385][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3385][0]~q\,
	combout => \led_flash_cnt[3385][0]~84025_combout\);

-- Location: FF_X59_Y9_N1
\led_flash_cnt[3385][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3385][0]~84025_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3385][0]~q\);

-- Location: LCCOMB_X59_Y9_N12
\led_flash_cnt[3385][1]~74270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3385][1]~74270_combout\ = (\led_flash_cnt[3385][1]~q\ & (\led_flash_cnt[3385][0]~q\ $ (VCC))) # (!\led_flash_cnt[3385][1]~q\ & (\led_flash_cnt[3385][0]~q\ & VCC))
-- \led_flash_cnt[3385][1]~74271\ = CARRY((\led_flash_cnt[3385][1]~q\ & \led_flash_cnt[3385][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3385][1]~q\,
	datab => \led_flash_cnt[3385][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3385][1]~74270_combout\,
	cout => \led_flash_cnt[3385][1]~74271\);

-- Location: FF_X59_Y9_N13
\led_flash_cnt[3385][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3385][1]~74270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3385][1]~q\);

-- Location: LCCOMB_X59_Y9_N14
\led_flash_cnt[3385][2]~74272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3385][2]~74272_combout\ = (\led_flash_cnt[3385][2]~q\ & (!\led_flash_cnt[3385][1]~74271\)) # (!\led_flash_cnt[3385][2]~q\ & ((\led_flash_cnt[3385][1]~74271\) # (GND)))
-- \led_flash_cnt[3385][2]~74273\ = CARRY((!\led_flash_cnt[3385][1]~74271\) # (!\led_flash_cnt[3385][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3385][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3385][1]~74271\,
	combout => \led_flash_cnt[3385][2]~74272_combout\,
	cout => \led_flash_cnt[3385][2]~74273\);

-- Location: FF_X59_Y9_N15
\led_flash_cnt[3385][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3385][2]~74272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3385][2]~q\);

-- Location: LCCOMB_X59_Y9_N16
\led_flash_cnt[3385][3]~74274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3385][3]~74274_combout\ = (\led_flash_cnt[3385][3]~q\ & (\led_flash_cnt[3385][2]~74273\ $ (GND))) # (!\led_flash_cnt[3385][3]~q\ & (!\led_flash_cnt[3385][2]~74273\ & VCC))
-- \led_flash_cnt[3385][3]~74275\ = CARRY((\led_flash_cnt[3385][3]~q\ & !\led_flash_cnt[3385][2]~74273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3385][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3385][2]~74273\,
	combout => \led_flash_cnt[3385][3]~74274_combout\,
	cout => \led_flash_cnt[3385][3]~74275\);

-- Location: FF_X59_Y9_N17
\led_flash_cnt[3385][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3385][3]~74274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3385][3]~q\);

-- Location: LCCOMB_X59_Y9_N18
\led_flash_cnt[3385][4]~74276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3385][4]~74276_combout\ = (\led_flash_cnt[3385][4]~q\ & (!\led_flash_cnt[3385][3]~74275\)) # (!\led_flash_cnt[3385][4]~q\ & ((\led_flash_cnt[3385][3]~74275\) # (GND)))
-- \led_flash_cnt[3385][4]~74277\ = CARRY((!\led_flash_cnt[3385][3]~74275\) # (!\led_flash_cnt[3385][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3385][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3385][3]~74275\,
	combout => \led_flash_cnt[3385][4]~74276_combout\,
	cout => \led_flash_cnt[3385][4]~74277\);

-- Location: FF_X59_Y9_N19
\led_flash_cnt[3385][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3385][4]~74276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3385][4]~q\);

-- Location: LCCOMB_X59_Y9_N6
\WideAnd3385~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3385~0_combout\ = (\led_flash_cnt[3385][4]~q\ & (\led_flash_cnt[3385][3]~q\ & (\led_flash_cnt[3385][2]~q\ & \led_flash_cnt[3385][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3385][4]~q\,
	datab => \led_flash_cnt[3385][3]~q\,
	datac => \led_flash_cnt[3385][2]~q\,
	datad => \led_flash_cnt[3385][1]~q\,
	combout => \WideAnd3385~0_combout\);

-- Location: LCCOMB_X59_Y9_N20
\led_flash_cnt[3385][5]~74278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3385][5]~74278_combout\ = (\led_flash_cnt[3385][5]~q\ & (\led_flash_cnt[3385][4]~74277\ $ (GND))) # (!\led_flash_cnt[3385][5]~q\ & (!\led_flash_cnt[3385][4]~74277\ & VCC))
-- \led_flash_cnt[3385][5]~74279\ = CARRY((\led_flash_cnt[3385][5]~q\ & !\led_flash_cnt[3385][4]~74277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3385][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3385][4]~74277\,
	combout => \led_flash_cnt[3385][5]~74278_combout\,
	cout => \led_flash_cnt[3385][5]~74279\);

-- Location: FF_X59_Y9_N21
\led_flash_cnt[3385][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3385][5]~74278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3385][5]~q\);

-- Location: LCCOMB_X59_Y9_N22
\led_flash_cnt[3385][6]~74280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3385][6]~74280_combout\ = (\led_flash_cnt[3385][6]~q\ & (!\led_flash_cnt[3385][5]~74279\)) # (!\led_flash_cnt[3385][6]~q\ & ((\led_flash_cnt[3385][5]~74279\) # (GND)))
-- \led_flash_cnt[3385][6]~74281\ = CARRY((!\led_flash_cnt[3385][5]~74279\) # (!\led_flash_cnt[3385][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3385][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3385][5]~74279\,
	combout => \led_flash_cnt[3385][6]~74280_combout\,
	cout => \led_flash_cnt[3385][6]~74281\);

-- Location: FF_X59_Y9_N23
\led_flash_cnt[3385][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3385][6]~74280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3385][6]~q\);

-- Location: LCCOMB_X59_Y9_N4
\WideAnd3385~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3385~1_combout\ = (\led_flash_cnt[3385][6]~q\ & \led_flash_cnt[3385][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3385][6]~q\,
	datad => \led_flash_cnt[3385][5]~q\,
	combout => \WideAnd3385~1_combout\);

-- Location: LCCOMB_X59_Y9_N24
\led_flash_cnt[3385][7]~74282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3385][7]~74282_combout\ = \led_flash_cnt[3385][6]~74281\ $ (!\led_flash_cnt[3385][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3385][7]~q\,
	cin => \led_flash_cnt[3385][6]~74281\,
	combout => \led_flash_cnt[3385][7]~74282_combout\);

-- Location: FF_X59_Y9_N25
\led_flash_cnt[3385][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3385][7]~74282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3385][7]~q\);

-- Location: LCCOMB_X59_Y9_N10
WideAnd3385 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3385~combout\ = (\WideAnd3385~0_combout\ & (\led_flash_cnt[3385][0]~q\ & (\WideAnd3385~1_combout\ & \led_flash_cnt[3385][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3385~0_combout\,
	datab => \led_flash_cnt[3385][0]~q\,
	datac => \WideAnd3385~1_combout\,
	datad => \led_flash_cnt[3385][7]~q\,
	combout => \WideAnd3385~combout\);

-- Location: FF_X59_Y9_N11
\led_flash_cnt_ands[3385]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3385~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3385));

-- Location: LCCOMB_X59_Y9_N30
\WideAnd4263~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4263~0_combout\ = (led_flash_cnt_ands(3384) & (led_flash_cnt_ands(3387) & (led_flash_cnt_ands(3386) & led_flash_cnt_ands(3385))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3384),
	datab => led_flash_cnt_ands(3387),
	datac => led_flash_cnt_ands(3386),
	datad => led_flash_cnt_ands(3385),
	combout => \WideAnd4263~0_combout\);

-- Location: LCCOMB_X63_Y15_N2
\led_flash_cnt[3391][0]~84031\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3391][0]~84031_combout\ = !\led_flash_cnt[3391][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3391][0]~q\,
	combout => \led_flash_cnt[3391][0]~84031_combout\);

-- Location: FF_X63_Y15_N3
\led_flash_cnt[3391][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3391][0]~84031_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3391][0]~q\);

-- Location: LCCOMB_X62_Y15_N18
\led_flash_cnt[3391][1]~74354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3391][1]~74354_combout\ = (\led_flash_cnt[3391][0]~q\ & (\led_flash_cnt[3391][1]~q\ $ (VCC))) # (!\led_flash_cnt[3391][0]~q\ & (\led_flash_cnt[3391][1]~q\ & VCC))
-- \led_flash_cnt[3391][1]~74355\ = CARRY((\led_flash_cnt[3391][0]~q\ & \led_flash_cnt[3391][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3391][0]~q\,
	datab => \led_flash_cnt[3391][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3391][1]~74354_combout\,
	cout => \led_flash_cnt[3391][1]~74355\);

-- Location: FF_X62_Y15_N19
\led_flash_cnt[3391][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3391][1]~74354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3391][1]~q\);

-- Location: LCCOMB_X62_Y15_N20
\led_flash_cnt[3391][2]~74356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3391][2]~74356_combout\ = (\led_flash_cnt[3391][2]~q\ & (!\led_flash_cnt[3391][1]~74355\)) # (!\led_flash_cnt[3391][2]~q\ & ((\led_flash_cnt[3391][1]~74355\) # (GND)))
-- \led_flash_cnt[3391][2]~74357\ = CARRY((!\led_flash_cnt[3391][1]~74355\) # (!\led_flash_cnt[3391][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3391][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3391][1]~74355\,
	combout => \led_flash_cnt[3391][2]~74356_combout\,
	cout => \led_flash_cnt[3391][2]~74357\);

-- Location: FF_X62_Y15_N21
\led_flash_cnt[3391][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3391][2]~74356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3391][2]~q\);

-- Location: LCCOMB_X62_Y15_N22
\led_flash_cnt[3391][3]~74358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3391][3]~74358_combout\ = (\led_flash_cnt[3391][3]~q\ & (\led_flash_cnt[3391][2]~74357\ $ (GND))) # (!\led_flash_cnt[3391][3]~q\ & (!\led_flash_cnt[3391][2]~74357\ & VCC))
-- \led_flash_cnt[3391][3]~74359\ = CARRY((\led_flash_cnt[3391][3]~q\ & !\led_flash_cnt[3391][2]~74357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3391][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3391][2]~74357\,
	combout => \led_flash_cnt[3391][3]~74358_combout\,
	cout => \led_flash_cnt[3391][3]~74359\);

-- Location: FF_X62_Y15_N23
\led_flash_cnt[3391][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3391][3]~74358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3391][3]~q\);

-- Location: LCCOMB_X62_Y15_N24
\led_flash_cnt[3391][4]~74360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3391][4]~74360_combout\ = (\led_flash_cnt[3391][4]~q\ & (!\led_flash_cnt[3391][3]~74359\)) # (!\led_flash_cnt[3391][4]~q\ & ((\led_flash_cnt[3391][3]~74359\) # (GND)))
-- \led_flash_cnt[3391][4]~74361\ = CARRY((!\led_flash_cnt[3391][3]~74359\) # (!\led_flash_cnt[3391][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3391][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3391][3]~74359\,
	combout => \led_flash_cnt[3391][4]~74360_combout\,
	cout => \led_flash_cnt[3391][4]~74361\);

-- Location: FF_X62_Y15_N25
\led_flash_cnt[3391][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3391][4]~74360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3391][4]~q\);

-- Location: LCCOMB_X62_Y15_N26
\led_flash_cnt[3391][5]~74362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3391][5]~74362_combout\ = (\led_flash_cnt[3391][5]~q\ & (\led_flash_cnt[3391][4]~74361\ $ (GND))) # (!\led_flash_cnt[3391][5]~q\ & (!\led_flash_cnt[3391][4]~74361\ & VCC))
-- \led_flash_cnt[3391][5]~74363\ = CARRY((\led_flash_cnt[3391][5]~q\ & !\led_flash_cnt[3391][4]~74361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3391][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3391][4]~74361\,
	combout => \led_flash_cnt[3391][5]~74362_combout\,
	cout => \led_flash_cnt[3391][5]~74363\);

-- Location: FF_X62_Y15_N27
\led_flash_cnt[3391][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3391][5]~74362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3391][5]~q\);

-- Location: LCCOMB_X62_Y15_N28
\led_flash_cnt[3391][6]~74364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3391][6]~74364_combout\ = (\led_flash_cnt[3391][6]~q\ & (!\led_flash_cnt[3391][5]~74363\)) # (!\led_flash_cnt[3391][6]~q\ & ((\led_flash_cnt[3391][5]~74363\) # (GND)))
-- \led_flash_cnt[3391][6]~74365\ = CARRY((!\led_flash_cnt[3391][5]~74363\) # (!\led_flash_cnt[3391][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3391][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3391][5]~74363\,
	combout => \led_flash_cnt[3391][6]~74364_combout\,
	cout => \led_flash_cnt[3391][6]~74365\);

-- Location: FF_X62_Y15_N29
\led_flash_cnt[3391][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3391][6]~74364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3391][6]~q\);

-- Location: LCCOMB_X63_Y15_N26
\WideAnd3391~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3391~1_combout\ = (\led_flash_cnt[3391][5]~q\ & \led_flash_cnt[3391][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3391][5]~q\,
	datad => \led_flash_cnt[3391][6]~q\,
	combout => \WideAnd3391~1_combout\);

-- Location: LCCOMB_X62_Y15_N30
\led_flash_cnt[3391][7]~74366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3391][7]~74366_combout\ = \led_flash_cnt[3391][7]~q\ $ (!\led_flash_cnt[3391][6]~74365\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3391][7]~q\,
	cin => \led_flash_cnt[3391][6]~74365\,
	combout => \led_flash_cnt[3391][7]~74366_combout\);

-- Location: FF_X62_Y15_N31
\led_flash_cnt[3391][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3391][7]~74366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3391][7]~q\);

-- Location: LCCOMB_X62_Y15_N0
\WideAnd3391~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3391~0_combout\ = (\led_flash_cnt[3391][4]~q\ & (\led_flash_cnt[3391][2]~q\ & (\led_flash_cnt[3391][3]~q\ & \led_flash_cnt[3391][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3391][4]~q\,
	datab => \led_flash_cnt[3391][2]~q\,
	datac => \led_flash_cnt[3391][3]~q\,
	datad => \led_flash_cnt[3391][1]~q\,
	combout => \WideAnd3391~0_combout\);

-- Location: LCCOMB_X63_Y15_N28
WideAnd3391 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3391~combout\ = (\WideAnd3391~1_combout\ & (\led_flash_cnt[3391][7]~q\ & (\WideAnd3391~0_combout\ & \led_flash_cnt[3391][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3391~1_combout\,
	datab => \led_flash_cnt[3391][7]~q\,
	datac => \WideAnd3391~0_combout\,
	datad => \led_flash_cnt[3391][0]~q\,
	combout => \WideAnd3391~combout\);

-- Location: FF_X63_Y15_N29
\led_flash_cnt_ands[3391]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3391~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3391));

-- Location: LCCOMB_X63_Y15_N30
WideAnd4263 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4263~combout\ = (\WideAnd4263~1_combout\ & (led_flash_cnt_ands(3390) & (\WideAnd4263~0_combout\ & led_flash_cnt_ands(3391))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4263~1_combout\,
	datab => led_flash_cnt_ands(3390),
	datac => \WideAnd4263~0_combout\,
	datad => led_flash_cnt_ands(3391),
	combout => \WideAnd4263~combout\);

-- Location: FF_X63_Y15_N31
\led_flash_cnt_ands_1[423]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4263~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(423));

-- Location: LCCOMB_X50_Y14_N22
\led_flash_cnt[3345][0]~83985\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3345][0]~83985_combout\ = !\led_flash_cnt[3345][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3345][0]~q\,
	combout => \led_flash_cnt[3345][0]~83985_combout\);

-- Location: FF_X50_Y14_N23
\led_flash_cnt[3345][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3345][0]~83985_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3345][0]~q\);

-- Location: LCCOMB_X50_Y14_N8
\led_flash_cnt[3345][1]~73710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3345][1]~73710_combout\ = (\led_flash_cnt[3345][0]~q\ & (\led_flash_cnt[3345][1]~q\ $ (VCC))) # (!\led_flash_cnt[3345][0]~q\ & (\led_flash_cnt[3345][1]~q\ & VCC))
-- \led_flash_cnt[3345][1]~73711\ = CARRY((\led_flash_cnt[3345][0]~q\ & \led_flash_cnt[3345][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3345][0]~q\,
	datab => \led_flash_cnt[3345][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3345][1]~73710_combout\,
	cout => \led_flash_cnt[3345][1]~73711\);

-- Location: FF_X50_Y14_N9
\led_flash_cnt[3345][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3345][1]~73710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3345][1]~q\);

-- Location: LCCOMB_X50_Y14_N10
\led_flash_cnt[3345][2]~73712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3345][2]~73712_combout\ = (\led_flash_cnt[3345][2]~q\ & (!\led_flash_cnt[3345][1]~73711\)) # (!\led_flash_cnt[3345][2]~q\ & ((\led_flash_cnt[3345][1]~73711\) # (GND)))
-- \led_flash_cnt[3345][2]~73713\ = CARRY((!\led_flash_cnt[3345][1]~73711\) # (!\led_flash_cnt[3345][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3345][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3345][1]~73711\,
	combout => \led_flash_cnt[3345][2]~73712_combout\,
	cout => \led_flash_cnt[3345][2]~73713\);

-- Location: FF_X50_Y14_N11
\led_flash_cnt[3345][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3345][2]~73712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3345][2]~q\);

-- Location: LCCOMB_X50_Y14_N12
\led_flash_cnt[3345][3]~73714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3345][3]~73714_combout\ = (\led_flash_cnt[3345][3]~q\ & (\led_flash_cnt[3345][2]~73713\ $ (GND))) # (!\led_flash_cnt[3345][3]~q\ & (!\led_flash_cnt[3345][2]~73713\ & VCC))
-- \led_flash_cnt[3345][3]~73715\ = CARRY((\led_flash_cnt[3345][3]~q\ & !\led_flash_cnt[3345][2]~73713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3345][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3345][2]~73713\,
	combout => \led_flash_cnt[3345][3]~73714_combout\,
	cout => \led_flash_cnt[3345][3]~73715\);

-- Location: FF_X50_Y14_N13
\led_flash_cnt[3345][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3345][3]~73714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3345][3]~q\);

-- Location: LCCOMB_X50_Y14_N14
\led_flash_cnt[3345][4]~73716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3345][4]~73716_combout\ = (\led_flash_cnt[3345][4]~q\ & (!\led_flash_cnt[3345][3]~73715\)) # (!\led_flash_cnt[3345][4]~q\ & ((\led_flash_cnt[3345][3]~73715\) # (GND)))
-- \led_flash_cnt[3345][4]~73717\ = CARRY((!\led_flash_cnt[3345][3]~73715\) # (!\led_flash_cnt[3345][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3345][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3345][3]~73715\,
	combout => \led_flash_cnt[3345][4]~73716_combout\,
	cout => \led_flash_cnt[3345][4]~73717\);

-- Location: FF_X50_Y14_N15
\led_flash_cnt[3345][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3345][4]~73716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3345][4]~q\);

-- Location: LCCOMB_X50_Y14_N16
\led_flash_cnt[3345][5]~73718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3345][5]~73718_combout\ = (\led_flash_cnt[3345][5]~q\ & (\led_flash_cnt[3345][4]~73717\ $ (GND))) # (!\led_flash_cnt[3345][5]~q\ & (!\led_flash_cnt[3345][4]~73717\ & VCC))
-- \led_flash_cnt[3345][5]~73719\ = CARRY((\led_flash_cnt[3345][5]~q\ & !\led_flash_cnt[3345][4]~73717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3345][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3345][4]~73717\,
	combout => \led_flash_cnt[3345][5]~73718_combout\,
	cout => \led_flash_cnt[3345][5]~73719\);

-- Location: FF_X50_Y14_N17
\led_flash_cnt[3345][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3345][5]~73718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3345][5]~q\);

-- Location: LCCOMB_X50_Y14_N18
\led_flash_cnt[3345][6]~73720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3345][6]~73720_combout\ = (\led_flash_cnt[3345][6]~q\ & (!\led_flash_cnt[3345][5]~73719\)) # (!\led_flash_cnt[3345][6]~q\ & ((\led_flash_cnt[3345][5]~73719\) # (GND)))
-- \led_flash_cnt[3345][6]~73721\ = CARRY((!\led_flash_cnt[3345][5]~73719\) # (!\led_flash_cnt[3345][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3345][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3345][5]~73719\,
	combout => \led_flash_cnt[3345][6]~73720_combout\,
	cout => \led_flash_cnt[3345][6]~73721\);

-- Location: FF_X50_Y14_N19
\led_flash_cnt[3345][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3345][6]~73720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3345][6]~q\);

-- Location: LCCOMB_X50_Y14_N26
\WideAnd3345~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3345~1_combout\ = (\led_flash_cnt[3345][6]~q\ & \led_flash_cnt[3345][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3345][6]~q\,
	datad => \led_flash_cnt[3345][5]~q\,
	combout => \WideAnd3345~1_combout\);

-- Location: LCCOMB_X50_Y14_N20
\led_flash_cnt[3345][7]~73722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3345][7]~73722_combout\ = \led_flash_cnt[3345][6]~73721\ $ (!\led_flash_cnt[3345][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3345][7]~q\,
	cin => \led_flash_cnt[3345][6]~73721\,
	combout => \led_flash_cnt[3345][7]~73722_combout\);

-- Location: FF_X50_Y14_N21
\led_flash_cnt[3345][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3345][7]~73722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3345][7]~q\);

-- Location: LCCOMB_X50_Y14_N24
\WideAnd3345~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3345~0_combout\ = (\led_flash_cnt[3345][3]~q\ & (\led_flash_cnt[3345][1]~q\ & (\led_flash_cnt[3345][4]~q\ & \led_flash_cnt[3345][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3345][3]~q\,
	datab => \led_flash_cnt[3345][1]~q\,
	datac => \led_flash_cnt[3345][4]~q\,
	datad => \led_flash_cnt[3345][2]~q\,
	combout => \WideAnd3345~0_combout\);

-- Location: LCCOMB_X50_Y14_N28
WideAnd3345 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3345~combout\ = (\WideAnd3345~1_combout\ & (\led_flash_cnt[3345][7]~q\ & (\led_flash_cnt[3345][0]~q\ & \WideAnd3345~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3345~1_combout\,
	datab => \led_flash_cnt[3345][7]~q\,
	datac => \led_flash_cnt[3345][0]~q\,
	datad => \WideAnd3345~0_combout\,
	combout => \WideAnd3345~combout\);

-- Location: FF_X50_Y14_N29
\led_flash_cnt_ands[3345]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3345~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3345));

-- Location: LCCOMB_X54_Y14_N22
\led_flash_cnt[3344][0]~83984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3344][0]~83984_combout\ = !\led_flash_cnt[3344][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3344][0]~q\,
	combout => \led_flash_cnt[3344][0]~83984_combout\);

-- Location: FF_X54_Y14_N23
\led_flash_cnt[3344][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3344][0]~83984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3344][0]~q\);

-- Location: LCCOMB_X54_Y14_N0
\led_flash_cnt[3344][1]~73696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3344][1]~73696_combout\ = (\led_flash_cnt[3344][0]~q\ & (\led_flash_cnt[3344][1]~q\ $ (VCC))) # (!\led_flash_cnt[3344][0]~q\ & (\led_flash_cnt[3344][1]~q\ & VCC))
-- \led_flash_cnt[3344][1]~73697\ = CARRY((\led_flash_cnt[3344][0]~q\ & \led_flash_cnt[3344][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3344][0]~q\,
	datab => \led_flash_cnt[3344][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3344][1]~73696_combout\,
	cout => \led_flash_cnt[3344][1]~73697\);

-- Location: FF_X54_Y14_N1
\led_flash_cnt[3344][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3344][1]~73696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3344][1]~q\);

-- Location: LCCOMB_X54_Y14_N2
\led_flash_cnt[3344][2]~73698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3344][2]~73698_combout\ = (\led_flash_cnt[3344][2]~q\ & (!\led_flash_cnt[3344][1]~73697\)) # (!\led_flash_cnt[3344][2]~q\ & ((\led_flash_cnt[3344][1]~73697\) # (GND)))
-- \led_flash_cnt[3344][2]~73699\ = CARRY((!\led_flash_cnt[3344][1]~73697\) # (!\led_flash_cnt[3344][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3344][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3344][1]~73697\,
	combout => \led_flash_cnt[3344][2]~73698_combout\,
	cout => \led_flash_cnt[3344][2]~73699\);

-- Location: FF_X54_Y14_N3
\led_flash_cnt[3344][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3344][2]~73698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3344][2]~q\);

-- Location: LCCOMB_X54_Y14_N4
\led_flash_cnt[3344][3]~73700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3344][3]~73700_combout\ = (\led_flash_cnt[3344][3]~q\ & (\led_flash_cnt[3344][2]~73699\ $ (GND))) # (!\led_flash_cnt[3344][3]~q\ & (!\led_flash_cnt[3344][2]~73699\ & VCC))
-- \led_flash_cnt[3344][3]~73701\ = CARRY((\led_flash_cnt[3344][3]~q\ & !\led_flash_cnt[3344][2]~73699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3344][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3344][2]~73699\,
	combout => \led_flash_cnt[3344][3]~73700_combout\,
	cout => \led_flash_cnt[3344][3]~73701\);

-- Location: FF_X54_Y14_N5
\led_flash_cnt[3344][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3344][3]~73700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3344][3]~q\);

-- Location: LCCOMB_X54_Y14_N6
\led_flash_cnt[3344][4]~73702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3344][4]~73702_combout\ = (\led_flash_cnt[3344][4]~q\ & (!\led_flash_cnt[3344][3]~73701\)) # (!\led_flash_cnt[3344][4]~q\ & ((\led_flash_cnt[3344][3]~73701\) # (GND)))
-- \led_flash_cnt[3344][4]~73703\ = CARRY((!\led_flash_cnt[3344][3]~73701\) # (!\led_flash_cnt[3344][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3344][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3344][3]~73701\,
	combout => \led_flash_cnt[3344][4]~73702_combout\,
	cout => \led_flash_cnt[3344][4]~73703\);

-- Location: FF_X54_Y14_N7
\led_flash_cnt[3344][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3344][4]~73702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3344][4]~q\);

-- Location: LCCOMB_X54_Y14_N8
\led_flash_cnt[3344][5]~73704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3344][5]~73704_combout\ = (\led_flash_cnt[3344][5]~q\ & (\led_flash_cnt[3344][4]~73703\ $ (GND))) # (!\led_flash_cnt[3344][5]~q\ & (!\led_flash_cnt[3344][4]~73703\ & VCC))
-- \led_flash_cnt[3344][5]~73705\ = CARRY((\led_flash_cnt[3344][5]~q\ & !\led_flash_cnt[3344][4]~73703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3344][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3344][4]~73703\,
	combout => \led_flash_cnt[3344][5]~73704_combout\,
	cout => \led_flash_cnt[3344][5]~73705\);

-- Location: FF_X54_Y14_N9
\led_flash_cnt[3344][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3344][5]~73704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3344][5]~q\);

-- Location: LCCOMB_X54_Y14_N10
\led_flash_cnt[3344][6]~73706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3344][6]~73706_combout\ = (\led_flash_cnt[3344][6]~q\ & (!\led_flash_cnt[3344][5]~73705\)) # (!\led_flash_cnt[3344][6]~q\ & ((\led_flash_cnt[3344][5]~73705\) # (GND)))
-- \led_flash_cnt[3344][6]~73707\ = CARRY((!\led_flash_cnt[3344][5]~73705\) # (!\led_flash_cnt[3344][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3344][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3344][5]~73705\,
	combout => \led_flash_cnt[3344][6]~73706_combout\,
	cout => \led_flash_cnt[3344][6]~73707\);

-- Location: FF_X54_Y14_N11
\led_flash_cnt[3344][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3344][6]~73706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3344][6]~q\);

-- Location: LCCOMB_X54_Y14_N18
\WideAnd3344~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3344~1_combout\ = (\led_flash_cnt[3344][5]~q\ & \led_flash_cnt[3344][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3344][5]~q\,
	datad => \led_flash_cnt[3344][6]~q\,
	combout => \WideAnd3344~1_combout\);

-- Location: LCCOMB_X54_Y14_N26
\WideAnd3344~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3344~0_combout\ = (\led_flash_cnt[3344][4]~q\ & (\led_flash_cnt[3344][2]~q\ & (\led_flash_cnt[3344][3]~q\ & \led_flash_cnt[3344][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3344][4]~q\,
	datab => \led_flash_cnt[3344][2]~q\,
	datac => \led_flash_cnt[3344][3]~q\,
	datad => \led_flash_cnt[3344][1]~q\,
	combout => \WideAnd3344~0_combout\);

-- Location: LCCOMB_X54_Y14_N12
\led_flash_cnt[3344][7]~73708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3344][7]~73708_combout\ = \led_flash_cnt[3344][6]~73707\ $ (!\led_flash_cnt[3344][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3344][7]~q\,
	cin => \led_flash_cnt[3344][6]~73707\,
	combout => \led_flash_cnt[3344][7]~73708_combout\);

-- Location: FF_X54_Y14_N13
\led_flash_cnt[3344][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3344][7]~73708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3344][7]~q\);

-- Location: LCCOMB_X54_Y14_N24
WideAnd3344 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3344~combout\ = (\led_flash_cnt[3344][0]~q\ & (\WideAnd3344~1_combout\ & (\WideAnd3344~0_combout\ & \led_flash_cnt[3344][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3344][0]~q\,
	datab => \WideAnd3344~1_combout\,
	datac => \WideAnd3344~0_combout\,
	datad => \led_flash_cnt[3344][7]~q\,
	combout => \WideAnd3344~combout\);

-- Location: FF_X54_Y14_N25
\led_flash_cnt_ands[3344]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3344~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3344));

-- Location: LCCOMB_X54_Y16_N24
\led_flash_cnt[3347][0]~83987\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3347][0]~83987_combout\ = !\led_flash_cnt[3347][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3347][0]~q\,
	combout => \led_flash_cnt[3347][0]~83987_combout\);

-- Location: FF_X54_Y16_N25
\led_flash_cnt[3347][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3347][0]~83987_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3347][0]~q\);

-- Location: LCCOMB_X54_Y16_N0
\led_flash_cnt[3347][1]~73738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3347][1]~73738_combout\ = (\led_flash_cnt[3347][1]~q\ & (\led_flash_cnt[3347][0]~q\ $ (VCC))) # (!\led_flash_cnt[3347][1]~q\ & (\led_flash_cnt[3347][0]~q\ & VCC))
-- \led_flash_cnt[3347][1]~73739\ = CARRY((\led_flash_cnt[3347][1]~q\ & \led_flash_cnt[3347][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3347][1]~q\,
	datab => \led_flash_cnt[3347][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3347][1]~73738_combout\,
	cout => \led_flash_cnt[3347][1]~73739\);

-- Location: FF_X54_Y16_N1
\led_flash_cnt[3347][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3347][1]~73738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3347][1]~q\);

-- Location: LCCOMB_X54_Y16_N2
\led_flash_cnt[3347][2]~73740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3347][2]~73740_combout\ = (\led_flash_cnt[3347][2]~q\ & (!\led_flash_cnt[3347][1]~73739\)) # (!\led_flash_cnt[3347][2]~q\ & ((\led_flash_cnt[3347][1]~73739\) # (GND)))
-- \led_flash_cnt[3347][2]~73741\ = CARRY((!\led_flash_cnt[3347][1]~73739\) # (!\led_flash_cnt[3347][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3347][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3347][1]~73739\,
	combout => \led_flash_cnt[3347][2]~73740_combout\,
	cout => \led_flash_cnt[3347][2]~73741\);

-- Location: FF_X54_Y16_N3
\led_flash_cnt[3347][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3347][2]~73740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3347][2]~q\);

-- Location: LCCOMB_X54_Y16_N4
\led_flash_cnt[3347][3]~73742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3347][3]~73742_combout\ = (\led_flash_cnt[3347][3]~q\ & (\led_flash_cnt[3347][2]~73741\ $ (GND))) # (!\led_flash_cnt[3347][3]~q\ & (!\led_flash_cnt[3347][2]~73741\ & VCC))
-- \led_flash_cnt[3347][3]~73743\ = CARRY((\led_flash_cnt[3347][3]~q\ & !\led_flash_cnt[3347][2]~73741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3347][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3347][2]~73741\,
	combout => \led_flash_cnt[3347][3]~73742_combout\,
	cout => \led_flash_cnt[3347][3]~73743\);

-- Location: FF_X54_Y16_N5
\led_flash_cnt[3347][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3347][3]~73742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3347][3]~q\);

-- Location: LCCOMB_X54_Y16_N6
\led_flash_cnt[3347][4]~73744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3347][4]~73744_combout\ = (\led_flash_cnt[3347][4]~q\ & (!\led_flash_cnt[3347][3]~73743\)) # (!\led_flash_cnt[3347][4]~q\ & ((\led_flash_cnt[3347][3]~73743\) # (GND)))
-- \led_flash_cnt[3347][4]~73745\ = CARRY((!\led_flash_cnt[3347][3]~73743\) # (!\led_flash_cnt[3347][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3347][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3347][3]~73743\,
	combout => \led_flash_cnt[3347][4]~73744_combout\,
	cout => \led_flash_cnt[3347][4]~73745\);

-- Location: FF_X54_Y16_N7
\led_flash_cnt[3347][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3347][4]~73744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3347][4]~q\);

-- Location: LCCOMB_X54_Y16_N26
\WideAnd3347~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3347~0_combout\ = (\led_flash_cnt[3347][4]~q\ & (\led_flash_cnt[3347][1]~q\ & (\led_flash_cnt[3347][3]~q\ & \led_flash_cnt[3347][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3347][4]~q\,
	datab => \led_flash_cnt[3347][1]~q\,
	datac => \led_flash_cnt[3347][3]~q\,
	datad => \led_flash_cnt[3347][2]~q\,
	combout => \WideAnd3347~0_combout\);

-- Location: LCCOMB_X54_Y16_N8
\led_flash_cnt[3347][5]~73746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3347][5]~73746_combout\ = (\led_flash_cnt[3347][5]~q\ & (\led_flash_cnt[3347][4]~73745\ $ (GND))) # (!\led_flash_cnt[3347][5]~q\ & (!\led_flash_cnt[3347][4]~73745\ & VCC))
-- \led_flash_cnt[3347][5]~73747\ = CARRY((\led_flash_cnt[3347][5]~q\ & !\led_flash_cnt[3347][4]~73745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3347][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3347][4]~73745\,
	combout => \led_flash_cnt[3347][5]~73746_combout\,
	cout => \led_flash_cnt[3347][5]~73747\);

-- Location: FF_X54_Y16_N9
\led_flash_cnt[3347][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3347][5]~73746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3347][5]~q\);

-- Location: LCCOMB_X54_Y16_N10
\led_flash_cnt[3347][6]~73748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3347][6]~73748_combout\ = (\led_flash_cnt[3347][6]~q\ & (!\led_flash_cnt[3347][5]~73747\)) # (!\led_flash_cnt[3347][6]~q\ & ((\led_flash_cnt[3347][5]~73747\) # (GND)))
-- \led_flash_cnt[3347][6]~73749\ = CARRY((!\led_flash_cnt[3347][5]~73747\) # (!\led_flash_cnt[3347][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3347][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3347][5]~73747\,
	combout => \led_flash_cnt[3347][6]~73748_combout\,
	cout => \led_flash_cnt[3347][6]~73749\);

-- Location: FF_X54_Y16_N11
\led_flash_cnt[3347][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3347][6]~73748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3347][6]~q\);

-- Location: LCCOMB_X54_Y16_N22
\WideAnd3347~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3347~1_combout\ = (\led_flash_cnt[3347][5]~q\ & \led_flash_cnt[3347][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3347][5]~q\,
	datad => \led_flash_cnt[3347][6]~q\,
	combout => \WideAnd3347~1_combout\);

-- Location: LCCOMB_X54_Y16_N12
\led_flash_cnt[3347][7]~73750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3347][7]~73750_combout\ = \led_flash_cnt[3347][6]~73749\ $ (!\led_flash_cnt[3347][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3347][7]~q\,
	cin => \led_flash_cnt[3347][6]~73749\,
	combout => \led_flash_cnt[3347][7]~73750_combout\);

-- Location: FF_X54_Y16_N13
\led_flash_cnt[3347][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3347][7]~73750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3347][7]~q\);

-- Location: LCCOMB_X54_Y16_N30
WideAnd3347 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3347~combout\ = (\WideAnd3347~0_combout\ & (\led_flash_cnt[3347][0]~q\ & (\WideAnd3347~1_combout\ & \led_flash_cnt[3347][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3347~0_combout\,
	datab => \led_flash_cnt[3347][0]~q\,
	datac => \WideAnd3347~1_combout\,
	datad => \led_flash_cnt[3347][7]~q\,
	combout => \WideAnd3347~combout\);

-- Location: FF_X54_Y16_N31
\led_flash_cnt_ands[3347]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3347~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3347));

-- Location: LCCOMB_X45_Y8_N8
\led_flash_cnt[3346][0]~83986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3346][0]~83986_combout\ = !\led_flash_cnt[3346][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3346][0]~q\,
	combout => \led_flash_cnt[3346][0]~83986_combout\);

-- Location: FF_X45_Y8_N9
\led_flash_cnt[3346][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3346][0]~83986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3346][0]~q\);

-- Location: LCCOMB_X45_Y8_N12
\led_flash_cnt[3346][1]~73724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3346][1]~73724_combout\ = (\led_flash_cnt[3346][1]~q\ & (\led_flash_cnt[3346][0]~q\ $ (VCC))) # (!\led_flash_cnt[3346][1]~q\ & (\led_flash_cnt[3346][0]~q\ & VCC))
-- \led_flash_cnt[3346][1]~73725\ = CARRY((\led_flash_cnt[3346][1]~q\ & \led_flash_cnt[3346][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3346][1]~q\,
	datab => \led_flash_cnt[3346][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3346][1]~73724_combout\,
	cout => \led_flash_cnt[3346][1]~73725\);

-- Location: FF_X45_Y8_N13
\led_flash_cnt[3346][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3346][1]~73724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3346][1]~q\);

-- Location: LCCOMB_X45_Y8_N14
\led_flash_cnt[3346][2]~73726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3346][2]~73726_combout\ = (\led_flash_cnt[3346][2]~q\ & (!\led_flash_cnt[3346][1]~73725\)) # (!\led_flash_cnt[3346][2]~q\ & ((\led_flash_cnt[3346][1]~73725\) # (GND)))
-- \led_flash_cnt[3346][2]~73727\ = CARRY((!\led_flash_cnt[3346][1]~73725\) # (!\led_flash_cnt[3346][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3346][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3346][1]~73725\,
	combout => \led_flash_cnt[3346][2]~73726_combout\,
	cout => \led_flash_cnt[3346][2]~73727\);

-- Location: FF_X45_Y8_N15
\led_flash_cnt[3346][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3346][2]~73726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3346][2]~q\);

-- Location: LCCOMB_X45_Y8_N16
\led_flash_cnt[3346][3]~73728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3346][3]~73728_combout\ = (\led_flash_cnt[3346][3]~q\ & (\led_flash_cnt[3346][2]~73727\ $ (GND))) # (!\led_flash_cnt[3346][3]~q\ & (!\led_flash_cnt[3346][2]~73727\ & VCC))
-- \led_flash_cnt[3346][3]~73729\ = CARRY((\led_flash_cnt[3346][3]~q\ & !\led_flash_cnt[3346][2]~73727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3346][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3346][2]~73727\,
	combout => \led_flash_cnt[3346][3]~73728_combout\,
	cout => \led_flash_cnt[3346][3]~73729\);

-- Location: FF_X45_Y8_N17
\led_flash_cnt[3346][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3346][3]~73728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3346][3]~q\);

-- Location: LCCOMB_X45_Y8_N18
\led_flash_cnt[3346][4]~73730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3346][4]~73730_combout\ = (\led_flash_cnt[3346][4]~q\ & (!\led_flash_cnt[3346][3]~73729\)) # (!\led_flash_cnt[3346][4]~q\ & ((\led_flash_cnt[3346][3]~73729\) # (GND)))
-- \led_flash_cnt[3346][4]~73731\ = CARRY((!\led_flash_cnt[3346][3]~73729\) # (!\led_flash_cnt[3346][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3346][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3346][3]~73729\,
	combout => \led_flash_cnt[3346][4]~73730_combout\,
	cout => \led_flash_cnt[3346][4]~73731\);

-- Location: FF_X45_Y8_N19
\led_flash_cnt[3346][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3346][4]~73730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3346][4]~q\);

-- Location: LCCOMB_X45_Y8_N26
\WideAnd3346~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3346~0_combout\ = (\led_flash_cnt[3346][1]~q\ & (\led_flash_cnt[3346][3]~q\ & (\led_flash_cnt[3346][2]~q\ & \led_flash_cnt[3346][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3346][1]~q\,
	datab => \led_flash_cnt[3346][3]~q\,
	datac => \led_flash_cnt[3346][2]~q\,
	datad => \led_flash_cnt[3346][4]~q\,
	combout => \WideAnd3346~0_combout\);

-- Location: LCCOMB_X45_Y8_N20
\led_flash_cnt[3346][5]~73732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3346][5]~73732_combout\ = (\led_flash_cnt[3346][5]~q\ & (\led_flash_cnt[3346][4]~73731\ $ (GND))) # (!\led_flash_cnt[3346][5]~q\ & (!\led_flash_cnt[3346][4]~73731\ & VCC))
-- \led_flash_cnt[3346][5]~73733\ = CARRY((\led_flash_cnt[3346][5]~q\ & !\led_flash_cnt[3346][4]~73731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3346][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3346][4]~73731\,
	combout => \led_flash_cnt[3346][5]~73732_combout\,
	cout => \led_flash_cnt[3346][5]~73733\);

-- Location: FF_X45_Y8_N21
\led_flash_cnt[3346][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3346][5]~73732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3346][5]~q\);

-- Location: LCCOMB_X45_Y8_N22
\led_flash_cnt[3346][6]~73734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3346][6]~73734_combout\ = (\led_flash_cnt[3346][6]~q\ & (!\led_flash_cnt[3346][5]~73733\)) # (!\led_flash_cnt[3346][6]~q\ & ((\led_flash_cnt[3346][5]~73733\) # (GND)))
-- \led_flash_cnt[3346][6]~73735\ = CARRY((!\led_flash_cnt[3346][5]~73733\) # (!\led_flash_cnt[3346][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3346][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3346][5]~73733\,
	combout => \led_flash_cnt[3346][6]~73734_combout\,
	cout => \led_flash_cnt[3346][6]~73735\);

-- Location: FF_X45_Y8_N23
\led_flash_cnt[3346][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3346][6]~73734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3346][6]~q\);

-- Location: LCCOMB_X45_Y8_N24
\led_flash_cnt[3346][7]~73736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3346][7]~73736_combout\ = \led_flash_cnt[3346][6]~73735\ $ (!\led_flash_cnt[3346][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3346][7]~q\,
	cin => \led_flash_cnt[3346][6]~73735\,
	combout => \led_flash_cnt[3346][7]~73736_combout\);

-- Location: FF_X45_Y8_N25
\led_flash_cnt[3346][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3346][7]~73736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3346][7]~q\);

-- Location: LCCOMB_X45_Y8_N10
\WideAnd3346~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3346~1_combout\ = (\led_flash_cnt[3346][6]~q\ & \led_flash_cnt[3346][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3346][6]~q\,
	datad => \led_flash_cnt[3346][5]~q\,
	combout => \WideAnd3346~1_combout\);

-- Location: LCCOMB_X45_Y8_N4
WideAnd3346 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3346~combout\ = (\WideAnd3346~0_combout\ & (\led_flash_cnt[3346][7]~q\ & (\led_flash_cnt[3346][0]~q\ & \WideAnd3346~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3346~0_combout\,
	datab => \led_flash_cnt[3346][7]~q\,
	datac => \led_flash_cnt[3346][0]~q\,
	datad => \WideAnd3346~1_combout\,
	combout => \WideAnd3346~combout\);

-- Location: FF_X45_Y8_N5
\led_flash_cnt_ands[3346]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3346~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3346));

-- Location: LCCOMB_X54_Y14_N30
\WideAnd4258~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4258~0_combout\ = (led_flash_cnt_ands(3345) & (led_flash_cnt_ands(3344) & (led_flash_cnt_ands(3347) & led_flash_cnt_ands(3346))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3345),
	datab => led_flash_cnt_ands(3344),
	datac => led_flash_cnt_ands(3347),
	datad => led_flash_cnt_ands(3346),
	combout => \WideAnd4258~0_combout\);

-- Location: LCCOMB_X58_Y13_N22
\led_flash_cnt[3351][0]~83991\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3351][0]~83991_combout\ = !\led_flash_cnt[3351][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3351][0]~q\,
	combout => \led_flash_cnt[3351][0]~83991_combout\);

-- Location: FF_X58_Y13_N23
\led_flash_cnt[3351][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3351][0]~83991_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3351][0]~q\);

-- Location: LCCOMB_X58_Y13_N8
\led_flash_cnt[3351][1]~73794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3351][1]~73794_combout\ = (\led_flash_cnt[3351][0]~q\ & (\led_flash_cnt[3351][1]~q\ $ (VCC))) # (!\led_flash_cnt[3351][0]~q\ & (\led_flash_cnt[3351][1]~q\ & VCC))
-- \led_flash_cnt[3351][1]~73795\ = CARRY((\led_flash_cnt[3351][0]~q\ & \led_flash_cnt[3351][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3351][0]~q\,
	datab => \led_flash_cnt[3351][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3351][1]~73794_combout\,
	cout => \led_flash_cnt[3351][1]~73795\);

-- Location: FF_X58_Y13_N9
\led_flash_cnt[3351][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3351][1]~73794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3351][1]~q\);

-- Location: LCCOMB_X58_Y13_N10
\led_flash_cnt[3351][2]~73796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3351][2]~73796_combout\ = (\led_flash_cnt[3351][2]~q\ & (!\led_flash_cnt[3351][1]~73795\)) # (!\led_flash_cnt[3351][2]~q\ & ((\led_flash_cnt[3351][1]~73795\) # (GND)))
-- \led_flash_cnt[3351][2]~73797\ = CARRY((!\led_flash_cnt[3351][1]~73795\) # (!\led_flash_cnt[3351][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3351][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3351][1]~73795\,
	combout => \led_flash_cnt[3351][2]~73796_combout\,
	cout => \led_flash_cnt[3351][2]~73797\);

-- Location: FF_X58_Y13_N11
\led_flash_cnt[3351][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3351][2]~73796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3351][2]~q\);

-- Location: LCCOMB_X58_Y13_N12
\led_flash_cnt[3351][3]~73798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3351][3]~73798_combout\ = (\led_flash_cnt[3351][3]~q\ & (\led_flash_cnt[3351][2]~73797\ $ (GND))) # (!\led_flash_cnt[3351][3]~q\ & (!\led_flash_cnt[3351][2]~73797\ & VCC))
-- \led_flash_cnt[3351][3]~73799\ = CARRY((\led_flash_cnt[3351][3]~q\ & !\led_flash_cnt[3351][2]~73797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3351][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3351][2]~73797\,
	combout => \led_flash_cnt[3351][3]~73798_combout\,
	cout => \led_flash_cnt[3351][3]~73799\);

-- Location: FF_X58_Y13_N13
\led_flash_cnt[3351][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3351][3]~73798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3351][3]~q\);

-- Location: LCCOMB_X58_Y13_N14
\led_flash_cnt[3351][4]~73800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3351][4]~73800_combout\ = (\led_flash_cnt[3351][4]~q\ & (!\led_flash_cnt[3351][3]~73799\)) # (!\led_flash_cnt[3351][4]~q\ & ((\led_flash_cnt[3351][3]~73799\) # (GND)))
-- \led_flash_cnt[3351][4]~73801\ = CARRY((!\led_flash_cnt[3351][3]~73799\) # (!\led_flash_cnt[3351][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3351][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3351][3]~73799\,
	combout => \led_flash_cnt[3351][4]~73800_combout\,
	cout => \led_flash_cnt[3351][4]~73801\);

-- Location: FF_X58_Y13_N15
\led_flash_cnt[3351][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3351][4]~73800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3351][4]~q\);

-- Location: LCCOMB_X58_Y13_N16
\led_flash_cnt[3351][5]~73802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3351][5]~73802_combout\ = (\led_flash_cnt[3351][5]~q\ & (\led_flash_cnt[3351][4]~73801\ $ (GND))) # (!\led_flash_cnt[3351][5]~q\ & (!\led_flash_cnt[3351][4]~73801\ & VCC))
-- \led_flash_cnt[3351][5]~73803\ = CARRY((\led_flash_cnt[3351][5]~q\ & !\led_flash_cnt[3351][4]~73801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3351][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3351][4]~73801\,
	combout => \led_flash_cnt[3351][5]~73802_combout\,
	cout => \led_flash_cnt[3351][5]~73803\);

-- Location: FF_X58_Y13_N17
\led_flash_cnt[3351][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3351][5]~73802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3351][5]~q\);

-- Location: LCCOMB_X58_Y13_N18
\led_flash_cnt[3351][6]~73804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3351][6]~73804_combout\ = (\led_flash_cnt[3351][6]~q\ & (!\led_flash_cnt[3351][5]~73803\)) # (!\led_flash_cnt[3351][6]~q\ & ((\led_flash_cnt[3351][5]~73803\) # (GND)))
-- \led_flash_cnt[3351][6]~73805\ = CARRY((!\led_flash_cnt[3351][5]~73803\) # (!\led_flash_cnt[3351][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3351][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3351][5]~73803\,
	combout => \led_flash_cnt[3351][6]~73804_combout\,
	cout => \led_flash_cnt[3351][6]~73805\);

-- Location: FF_X58_Y13_N19
\led_flash_cnt[3351][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3351][6]~73804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3351][6]~q\);

-- Location: LCCOMB_X58_Y13_N20
\led_flash_cnt[3351][7]~73806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3351][7]~73806_combout\ = \led_flash_cnt[3351][6]~73805\ $ (!\led_flash_cnt[3351][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3351][7]~q\,
	cin => \led_flash_cnt[3351][6]~73805\,
	combout => \led_flash_cnt[3351][7]~73806_combout\);

-- Location: FF_X58_Y13_N21
\led_flash_cnt[3351][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3351][7]~73806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3351][7]~q\);

-- Location: LCCOMB_X58_Y13_N4
\WideAnd3351~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3351~0_combout\ = (\led_flash_cnt[3351][3]~q\ & (\led_flash_cnt[3351][1]~q\ & (\led_flash_cnt[3351][4]~q\ & \led_flash_cnt[3351][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3351][3]~q\,
	datab => \led_flash_cnt[3351][1]~q\,
	datac => \led_flash_cnt[3351][4]~q\,
	datad => \led_flash_cnt[3351][2]~q\,
	combout => \WideAnd3351~0_combout\);

-- Location: LCCOMB_X58_Y13_N2
\WideAnd3351~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3351~1_combout\ = (\led_flash_cnt[3351][6]~q\ & \led_flash_cnt[3351][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3351][6]~q\,
	datad => \led_flash_cnt[3351][5]~q\,
	combout => \WideAnd3351~1_combout\);

-- Location: LCCOMB_X58_Y13_N24
WideAnd3351 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3351~combout\ = (\led_flash_cnt[3351][0]~q\ & (\led_flash_cnt[3351][7]~q\ & (\WideAnd3351~0_combout\ & \WideAnd3351~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3351][0]~q\,
	datab => \led_flash_cnt[3351][7]~q\,
	datac => \WideAnd3351~0_combout\,
	datad => \WideAnd3351~1_combout\,
	combout => \WideAnd3351~combout\);

-- Location: FF_X58_Y13_N25
\led_flash_cnt_ands[3351]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3351~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3351));

-- Location: LCCOMB_X32_Y1_N22
\led_flash_cnt[3348][0]~83988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3348][0]~83988_combout\ = !\led_flash_cnt[3348][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3348][0]~q\,
	combout => \led_flash_cnt[3348][0]~83988_combout\);

-- Location: FF_X32_Y1_N23
\led_flash_cnt[3348][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3348][0]~83988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3348][0]~q\);

-- Location: LCCOMB_X32_Y1_N4
\led_flash_cnt[3348][1]~73752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3348][1]~73752_combout\ = (\led_flash_cnt[3348][0]~q\ & (\led_flash_cnt[3348][1]~q\ $ (VCC))) # (!\led_flash_cnt[3348][0]~q\ & (\led_flash_cnt[3348][1]~q\ & VCC))
-- \led_flash_cnt[3348][1]~73753\ = CARRY((\led_flash_cnt[3348][0]~q\ & \led_flash_cnt[3348][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3348][0]~q\,
	datab => \led_flash_cnt[3348][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3348][1]~73752_combout\,
	cout => \led_flash_cnt[3348][1]~73753\);

-- Location: FF_X32_Y1_N5
\led_flash_cnt[3348][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3348][1]~73752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3348][1]~q\);

-- Location: LCCOMB_X32_Y1_N6
\led_flash_cnt[3348][2]~73754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3348][2]~73754_combout\ = (\led_flash_cnt[3348][2]~q\ & (!\led_flash_cnt[3348][1]~73753\)) # (!\led_flash_cnt[3348][2]~q\ & ((\led_flash_cnt[3348][1]~73753\) # (GND)))
-- \led_flash_cnt[3348][2]~73755\ = CARRY((!\led_flash_cnt[3348][1]~73753\) # (!\led_flash_cnt[3348][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3348][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3348][1]~73753\,
	combout => \led_flash_cnt[3348][2]~73754_combout\,
	cout => \led_flash_cnt[3348][2]~73755\);

-- Location: FF_X32_Y1_N7
\led_flash_cnt[3348][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3348][2]~73754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3348][2]~q\);

-- Location: LCCOMB_X32_Y1_N8
\led_flash_cnt[3348][3]~73756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3348][3]~73756_combout\ = (\led_flash_cnt[3348][3]~q\ & (\led_flash_cnt[3348][2]~73755\ $ (GND))) # (!\led_flash_cnt[3348][3]~q\ & (!\led_flash_cnt[3348][2]~73755\ & VCC))
-- \led_flash_cnt[3348][3]~73757\ = CARRY((\led_flash_cnt[3348][3]~q\ & !\led_flash_cnt[3348][2]~73755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3348][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3348][2]~73755\,
	combout => \led_flash_cnt[3348][3]~73756_combout\,
	cout => \led_flash_cnt[3348][3]~73757\);

-- Location: FF_X32_Y1_N9
\led_flash_cnt[3348][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3348][3]~73756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3348][3]~q\);

-- Location: LCCOMB_X32_Y1_N10
\led_flash_cnt[3348][4]~73758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3348][4]~73758_combout\ = (\led_flash_cnt[3348][4]~q\ & (!\led_flash_cnt[3348][3]~73757\)) # (!\led_flash_cnt[3348][4]~q\ & ((\led_flash_cnt[3348][3]~73757\) # (GND)))
-- \led_flash_cnt[3348][4]~73759\ = CARRY((!\led_flash_cnt[3348][3]~73757\) # (!\led_flash_cnt[3348][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3348][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3348][3]~73757\,
	combout => \led_flash_cnt[3348][4]~73758_combout\,
	cout => \led_flash_cnt[3348][4]~73759\);

-- Location: FF_X32_Y1_N11
\led_flash_cnt[3348][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3348][4]~73758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3348][4]~q\);

-- Location: LCCOMB_X32_Y1_N12
\led_flash_cnt[3348][5]~73760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3348][5]~73760_combout\ = (\led_flash_cnt[3348][5]~q\ & (\led_flash_cnt[3348][4]~73759\ $ (GND))) # (!\led_flash_cnt[3348][5]~q\ & (!\led_flash_cnt[3348][4]~73759\ & VCC))
-- \led_flash_cnt[3348][5]~73761\ = CARRY((\led_flash_cnt[3348][5]~q\ & !\led_flash_cnt[3348][4]~73759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3348][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3348][4]~73759\,
	combout => \led_flash_cnt[3348][5]~73760_combout\,
	cout => \led_flash_cnt[3348][5]~73761\);

-- Location: FF_X32_Y1_N13
\led_flash_cnt[3348][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3348][5]~73760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3348][5]~q\);

-- Location: LCCOMB_X32_Y1_N14
\led_flash_cnt[3348][6]~73762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3348][6]~73762_combout\ = (\led_flash_cnt[3348][6]~q\ & (!\led_flash_cnt[3348][5]~73761\)) # (!\led_flash_cnt[3348][6]~q\ & ((\led_flash_cnt[3348][5]~73761\) # (GND)))
-- \led_flash_cnt[3348][6]~73763\ = CARRY((!\led_flash_cnt[3348][5]~73761\) # (!\led_flash_cnt[3348][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3348][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3348][5]~73761\,
	combout => \led_flash_cnt[3348][6]~73762_combout\,
	cout => \led_flash_cnt[3348][6]~73763\);

-- Location: FF_X32_Y1_N15
\led_flash_cnt[3348][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3348][6]~73762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3348][6]~q\);

-- Location: LCCOMB_X32_Y1_N16
\led_flash_cnt[3348][7]~73764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3348][7]~73764_combout\ = \led_flash_cnt[3348][6]~73763\ $ (!\led_flash_cnt[3348][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3348][7]~q\,
	cin => \led_flash_cnt[3348][6]~73763\,
	combout => \led_flash_cnt[3348][7]~73764_combout\);

-- Location: FF_X32_Y1_N17
\led_flash_cnt[3348][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3348][7]~73764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3348][7]~q\);

-- Location: LCCOMB_X32_Y1_N26
\WideAnd3348~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3348~1_combout\ = (\led_flash_cnt[3348][6]~q\ & \led_flash_cnt[3348][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3348][6]~q\,
	datad => \led_flash_cnt[3348][5]~q\,
	combout => \WideAnd3348~1_combout\);

-- Location: LCCOMB_X32_Y1_N0
\WideAnd3348~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3348~0_combout\ = (\led_flash_cnt[3348][4]~q\ & (\led_flash_cnt[3348][3]~q\ & (\led_flash_cnt[3348][1]~q\ & \led_flash_cnt[3348][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3348][4]~q\,
	datab => \led_flash_cnt[3348][3]~q\,
	datac => \led_flash_cnt[3348][1]~q\,
	datad => \led_flash_cnt[3348][2]~q\,
	combout => \WideAnd3348~0_combout\);

-- Location: LCCOMB_X32_Y1_N18
WideAnd3348 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3348~combout\ = (\led_flash_cnt[3348][0]~q\ & (\led_flash_cnt[3348][7]~q\ & (\WideAnd3348~1_combout\ & \WideAnd3348~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3348][0]~q\,
	datab => \led_flash_cnt[3348][7]~q\,
	datac => \WideAnd3348~1_combout\,
	datad => \WideAnd3348~0_combout\,
	combout => \WideAnd3348~combout\);

-- Location: FF_X32_Y1_N19
\led_flash_cnt_ands[3348]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3348~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3348));

-- Location: LCCOMB_X32_Y3_N2
\led_flash_cnt[3349][0]~83989\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3349][0]~83989_combout\ = !\led_flash_cnt[3349][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3349][0]~q\,
	combout => \led_flash_cnt[3349][0]~83989_combout\);

-- Location: FF_X32_Y3_N3
\led_flash_cnt[3349][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3349][0]~83989_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3349][0]~q\);

-- Location: LCCOMB_X31_Y3_N2
\led_flash_cnt[3349][1]~73766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3349][1]~73766_combout\ = (\led_flash_cnt[3349][0]~q\ & (\led_flash_cnt[3349][1]~q\ $ (VCC))) # (!\led_flash_cnt[3349][0]~q\ & (\led_flash_cnt[3349][1]~q\ & VCC))
-- \led_flash_cnt[3349][1]~73767\ = CARRY((\led_flash_cnt[3349][0]~q\ & \led_flash_cnt[3349][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3349][0]~q\,
	datab => \led_flash_cnt[3349][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3349][1]~73766_combout\,
	cout => \led_flash_cnt[3349][1]~73767\);

-- Location: FF_X31_Y3_N3
\led_flash_cnt[3349][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3349][1]~73766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3349][1]~q\);

-- Location: LCCOMB_X31_Y3_N4
\led_flash_cnt[3349][2]~73768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3349][2]~73768_combout\ = (\led_flash_cnt[3349][2]~q\ & (!\led_flash_cnt[3349][1]~73767\)) # (!\led_flash_cnt[3349][2]~q\ & ((\led_flash_cnt[3349][1]~73767\) # (GND)))
-- \led_flash_cnt[3349][2]~73769\ = CARRY((!\led_flash_cnt[3349][1]~73767\) # (!\led_flash_cnt[3349][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3349][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3349][1]~73767\,
	combout => \led_flash_cnt[3349][2]~73768_combout\,
	cout => \led_flash_cnt[3349][2]~73769\);

-- Location: FF_X31_Y3_N5
\led_flash_cnt[3349][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3349][2]~73768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3349][2]~q\);

-- Location: LCCOMB_X31_Y3_N6
\led_flash_cnt[3349][3]~73770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3349][3]~73770_combout\ = (\led_flash_cnt[3349][3]~q\ & (\led_flash_cnt[3349][2]~73769\ $ (GND))) # (!\led_flash_cnt[3349][3]~q\ & (!\led_flash_cnt[3349][2]~73769\ & VCC))
-- \led_flash_cnt[3349][3]~73771\ = CARRY((\led_flash_cnt[3349][3]~q\ & !\led_flash_cnt[3349][2]~73769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3349][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3349][2]~73769\,
	combout => \led_flash_cnt[3349][3]~73770_combout\,
	cout => \led_flash_cnt[3349][3]~73771\);

-- Location: FF_X31_Y3_N7
\led_flash_cnt[3349][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3349][3]~73770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3349][3]~q\);

-- Location: LCCOMB_X31_Y3_N8
\led_flash_cnt[3349][4]~73772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3349][4]~73772_combout\ = (\led_flash_cnt[3349][4]~q\ & (!\led_flash_cnt[3349][3]~73771\)) # (!\led_flash_cnt[3349][4]~q\ & ((\led_flash_cnt[3349][3]~73771\) # (GND)))
-- \led_flash_cnt[3349][4]~73773\ = CARRY((!\led_flash_cnt[3349][3]~73771\) # (!\led_flash_cnt[3349][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3349][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3349][3]~73771\,
	combout => \led_flash_cnt[3349][4]~73772_combout\,
	cout => \led_flash_cnt[3349][4]~73773\);

-- Location: FF_X31_Y3_N9
\led_flash_cnt[3349][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3349][4]~73772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3349][4]~q\);

-- Location: LCCOMB_X31_Y3_N10
\led_flash_cnt[3349][5]~73774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3349][5]~73774_combout\ = (\led_flash_cnt[3349][5]~q\ & (\led_flash_cnt[3349][4]~73773\ $ (GND))) # (!\led_flash_cnt[3349][5]~q\ & (!\led_flash_cnt[3349][4]~73773\ & VCC))
-- \led_flash_cnt[3349][5]~73775\ = CARRY((\led_flash_cnt[3349][5]~q\ & !\led_flash_cnt[3349][4]~73773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3349][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3349][4]~73773\,
	combout => \led_flash_cnt[3349][5]~73774_combout\,
	cout => \led_flash_cnt[3349][5]~73775\);

-- Location: FF_X31_Y3_N11
\led_flash_cnt[3349][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3349][5]~73774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3349][5]~q\);

-- Location: LCCOMB_X31_Y3_N12
\led_flash_cnt[3349][6]~73776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3349][6]~73776_combout\ = (\led_flash_cnt[3349][6]~q\ & (!\led_flash_cnt[3349][5]~73775\)) # (!\led_flash_cnt[3349][6]~q\ & ((\led_flash_cnt[3349][5]~73775\) # (GND)))
-- \led_flash_cnt[3349][6]~73777\ = CARRY((!\led_flash_cnt[3349][5]~73775\) # (!\led_flash_cnt[3349][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3349][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3349][5]~73775\,
	combout => \led_flash_cnt[3349][6]~73776_combout\,
	cout => \led_flash_cnt[3349][6]~73777\);

-- Location: FF_X31_Y3_N13
\led_flash_cnt[3349][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3349][6]~73776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3349][6]~q\);

-- Location: LCCOMB_X31_Y3_N14
\led_flash_cnt[3349][7]~73778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3349][7]~73778_combout\ = \led_flash_cnt[3349][7]~q\ $ (!\led_flash_cnt[3349][6]~73777\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3349][7]~q\,
	cin => \led_flash_cnt[3349][6]~73777\,
	combout => \led_flash_cnt[3349][7]~73778_combout\);

-- Location: FF_X31_Y3_N15
\led_flash_cnt[3349][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3349][7]~73778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3349][7]~q\);

-- Location: LCCOMB_X32_Y3_N4
\WideAnd3349~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3349~1_combout\ = (\led_flash_cnt[3349][6]~q\ & \led_flash_cnt[3349][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3349][6]~q\,
	datad => \led_flash_cnt[3349][5]~q\,
	combout => \WideAnd3349~1_combout\);

-- Location: LCCOMB_X31_Y3_N16
\WideAnd3349~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3349~0_combout\ = (\led_flash_cnt[3349][3]~q\ & (\led_flash_cnt[3349][4]~q\ & (\led_flash_cnt[3349][2]~q\ & \led_flash_cnt[3349][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3349][3]~q\,
	datab => \led_flash_cnt[3349][4]~q\,
	datac => \led_flash_cnt[3349][2]~q\,
	datad => \led_flash_cnt[3349][1]~q\,
	combout => \WideAnd3349~0_combout\);

-- Location: LCCOMB_X32_Y3_N6
WideAnd3349 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3349~combout\ = (\led_flash_cnt[3349][7]~q\ & (\WideAnd3349~1_combout\ & (\WideAnd3349~0_combout\ & \led_flash_cnt[3349][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3349][7]~q\,
	datab => \WideAnd3349~1_combout\,
	datac => \WideAnd3349~0_combout\,
	datad => \led_flash_cnt[3349][0]~q\,
	combout => \WideAnd3349~combout\);

-- Location: FF_X32_Y3_N7
\led_flash_cnt_ands[3349]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3349~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3349));

-- Location: LCCOMB_X32_Y3_N8
\WideAnd4258~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4258~1_combout\ = (led_flash_cnt_ands(3348) & led_flash_cnt_ands(3349))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3348),
	datad => led_flash_cnt_ands(3349),
	combout => \WideAnd4258~1_combout\);

-- Location: LCCOMB_X59_Y13_N4
\led_flash_cnt[3350][0]~83990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3350][0]~83990_combout\ = !\led_flash_cnt[3350][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3350][0]~q\,
	combout => \led_flash_cnt[3350][0]~83990_combout\);

-- Location: FF_X59_Y13_N5
\led_flash_cnt[3350][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3350][0]~83990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3350][0]~q\);

-- Location: LCCOMB_X59_Y13_N10
\led_flash_cnt[3350][1]~73780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3350][1]~73780_combout\ = (\led_flash_cnt[3350][1]~q\ & (\led_flash_cnt[3350][0]~q\ $ (VCC))) # (!\led_flash_cnt[3350][1]~q\ & (\led_flash_cnt[3350][0]~q\ & VCC))
-- \led_flash_cnt[3350][1]~73781\ = CARRY((\led_flash_cnt[3350][1]~q\ & \led_flash_cnt[3350][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3350][1]~q\,
	datab => \led_flash_cnt[3350][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3350][1]~73780_combout\,
	cout => \led_flash_cnt[3350][1]~73781\);

-- Location: FF_X59_Y13_N11
\led_flash_cnt[3350][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3350][1]~73780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3350][1]~q\);

-- Location: LCCOMB_X59_Y13_N12
\led_flash_cnt[3350][2]~73782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3350][2]~73782_combout\ = (\led_flash_cnt[3350][2]~q\ & (!\led_flash_cnt[3350][1]~73781\)) # (!\led_flash_cnt[3350][2]~q\ & ((\led_flash_cnt[3350][1]~73781\) # (GND)))
-- \led_flash_cnt[3350][2]~73783\ = CARRY((!\led_flash_cnt[3350][1]~73781\) # (!\led_flash_cnt[3350][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3350][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3350][1]~73781\,
	combout => \led_flash_cnt[3350][2]~73782_combout\,
	cout => \led_flash_cnt[3350][2]~73783\);

-- Location: FF_X59_Y13_N13
\led_flash_cnt[3350][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3350][2]~73782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3350][2]~q\);

-- Location: LCCOMB_X59_Y13_N14
\led_flash_cnt[3350][3]~73784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3350][3]~73784_combout\ = (\led_flash_cnt[3350][3]~q\ & (\led_flash_cnt[3350][2]~73783\ $ (GND))) # (!\led_flash_cnt[3350][3]~q\ & (!\led_flash_cnt[3350][2]~73783\ & VCC))
-- \led_flash_cnt[3350][3]~73785\ = CARRY((\led_flash_cnt[3350][3]~q\ & !\led_flash_cnt[3350][2]~73783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3350][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3350][2]~73783\,
	combout => \led_flash_cnt[3350][3]~73784_combout\,
	cout => \led_flash_cnt[3350][3]~73785\);

-- Location: FF_X59_Y13_N15
\led_flash_cnt[3350][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3350][3]~73784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3350][3]~q\);

-- Location: LCCOMB_X59_Y13_N16
\led_flash_cnt[3350][4]~73786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3350][4]~73786_combout\ = (\led_flash_cnt[3350][4]~q\ & (!\led_flash_cnt[3350][3]~73785\)) # (!\led_flash_cnt[3350][4]~q\ & ((\led_flash_cnt[3350][3]~73785\) # (GND)))
-- \led_flash_cnt[3350][4]~73787\ = CARRY((!\led_flash_cnt[3350][3]~73785\) # (!\led_flash_cnt[3350][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3350][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3350][3]~73785\,
	combout => \led_flash_cnt[3350][4]~73786_combout\,
	cout => \led_flash_cnt[3350][4]~73787\);

-- Location: FF_X59_Y13_N17
\led_flash_cnt[3350][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3350][4]~73786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3350][4]~q\);

-- Location: LCCOMB_X59_Y13_N18
\led_flash_cnt[3350][5]~73788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3350][5]~73788_combout\ = (\led_flash_cnt[3350][5]~q\ & (\led_flash_cnt[3350][4]~73787\ $ (GND))) # (!\led_flash_cnt[3350][5]~q\ & (!\led_flash_cnt[3350][4]~73787\ & VCC))
-- \led_flash_cnt[3350][5]~73789\ = CARRY((\led_flash_cnt[3350][5]~q\ & !\led_flash_cnt[3350][4]~73787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3350][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3350][4]~73787\,
	combout => \led_flash_cnt[3350][5]~73788_combout\,
	cout => \led_flash_cnt[3350][5]~73789\);

-- Location: FF_X59_Y13_N19
\led_flash_cnt[3350][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3350][5]~73788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3350][5]~q\);

-- Location: LCCOMB_X59_Y13_N20
\led_flash_cnt[3350][6]~73790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3350][6]~73790_combout\ = (\led_flash_cnt[3350][6]~q\ & (!\led_flash_cnt[3350][5]~73789\)) # (!\led_flash_cnt[3350][6]~q\ & ((\led_flash_cnt[3350][5]~73789\) # (GND)))
-- \led_flash_cnt[3350][6]~73791\ = CARRY((!\led_flash_cnt[3350][5]~73789\) # (!\led_flash_cnt[3350][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3350][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3350][5]~73789\,
	combout => \led_flash_cnt[3350][6]~73790_combout\,
	cout => \led_flash_cnt[3350][6]~73791\);

-- Location: FF_X59_Y13_N21
\led_flash_cnt[3350][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3350][6]~73790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3350][6]~q\);

-- Location: LCCOMB_X59_Y13_N26
\WideAnd3350~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3350~1_combout\ = (\led_flash_cnt[3350][6]~q\ & \led_flash_cnt[3350][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3350][6]~q\,
	datad => \led_flash_cnt[3350][5]~q\,
	combout => \WideAnd3350~1_combout\);

-- Location: LCCOMB_X59_Y13_N22
\led_flash_cnt[3350][7]~73792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3350][7]~73792_combout\ = \led_flash_cnt[3350][7]~q\ $ (!\led_flash_cnt[3350][6]~73791\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3350][7]~q\,
	cin => \led_flash_cnt[3350][6]~73791\,
	combout => \led_flash_cnt[3350][7]~73792_combout\);

-- Location: FF_X59_Y13_N23
\led_flash_cnt[3350][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3350][7]~73792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3350][7]~q\);

-- Location: LCCOMB_X59_Y13_N24
\WideAnd3350~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3350~0_combout\ = (\led_flash_cnt[3350][2]~q\ & (\led_flash_cnt[3350][4]~q\ & (\led_flash_cnt[3350][3]~q\ & \led_flash_cnt[3350][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3350][2]~q\,
	datab => \led_flash_cnt[3350][4]~q\,
	datac => \led_flash_cnt[3350][3]~q\,
	datad => \led_flash_cnt[3350][1]~q\,
	combout => \WideAnd3350~0_combout\);

-- Location: LCCOMB_X59_Y13_N28
WideAnd3350 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3350~combout\ = (\WideAnd3350~1_combout\ & (\led_flash_cnt[3350][0]~q\ & (\led_flash_cnt[3350][7]~q\ & \WideAnd3350~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3350~1_combout\,
	datab => \led_flash_cnt[3350][0]~q\,
	datac => \led_flash_cnt[3350][7]~q\,
	datad => \WideAnd3350~0_combout\,
	combout => \WideAnd3350~combout\);

-- Location: FF_X59_Y13_N29
\led_flash_cnt_ands[3350]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3350~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3350));

-- Location: LCCOMB_X58_Y13_N0
WideAnd4258 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4258~combout\ = (\WideAnd4258~0_combout\ & (led_flash_cnt_ands(3351) & (\WideAnd4258~1_combout\ & led_flash_cnt_ands(3350))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4258~0_combout\,
	datab => led_flash_cnt_ands(3351),
	datac => \WideAnd4258~1_combout\,
	datad => led_flash_cnt_ands(3350),
	combout => \WideAnd4258~combout\);

-- Location: FF_X58_Y13_N1
\led_flash_cnt_ands_1[418]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4258~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(418));

-- Location: LCCOMB_X63_Y10_N8
\led_flash_cnt[3340][0]~83980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3340][0]~83980_combout\ = !\led_flash_cnt[3340][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3340][0]~q\,
	combout => \led_flash_cnt[3340][0]~83980_combout\);

-- Location: FF_X63_Y10_N9
\led_flash_cnt[3340][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3340][0]~83980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3340][0]~q\);

-- Location: LCCOMB_X63_Y10_N18
\led_flash_cnt[3340][1]~73640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3340][1]~73640_combout\ = (\led_flash_cnt[3340][1]~q\ & (\led_flash_cnt[3340][0]~q\ $ (VCC))) # (!\led_flash_cnt[3340][1]~q\ & (\led_flash_cnt[3340][0]~q\ & VCC))
-- \led_flash_cnt[3340][1]~73641\ = CARRY((\led_flash_cnt[3340][1]~q\ & \led_flash_cnt[3340][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3340][1]~q\,
	datab => \led_flash_cnt[3340][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3340][1]~73640_combout\,
	cout => \led_flash_cnt[3340][1]~73641\);

-- Location: FF_X63_Y10_N19
\led_flash_cnt[3340][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3340][1]~73640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3340][1]~q\);

-- Location: LCCOMB_X63_Y10_N20
\led_flash_cnt[3340][2]~73642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3340][2]~73642_combout\ = (\led_flash_cnt[3340][2]~q\ & (!\led_flash_cnt[3340][1]~73641\)) # (!\led_flash_cnt[3340][2]~q\ & ((\led_flash_cnt[3340][1]~73641\) # (GND)))
-- \led_flash_cnt[3340][2]~73643\ = CARRY((!\led_flash_cnt[3340][1]~73641\) # (!\led_flash_cnt[3340][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3340][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3340][1]~73641\,
	combout => \led_flash_cnt[3340][2]~73642_combout\,
	cout => \led_flash_cnt[3340][2]~73643\);

-- Location: FF_X63_Y10_N21
\led_flash_cnt[3340][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3340][2]~73642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3340][2]~q\);

-- Location: LCCOMB_X63_Y10_N22
\led_flash_cnt[3340][3]~73644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3340][3]~73644_combout\ = (\led_flash_cnt[3340][3]~q\ & (\led_flash_cnt[3340][2]~73643\ $ (GND))) # (!\led_flash_cnt[3340][3]~q\ & (!\led_flash_cnt[3340][2]~73643\ & VCC))
-- \led_flash_cnt[3340][3]~73645\ = CARRY((\led_flash_cnt[3340][3]~q\ & !\led_flash_cnt[3340][2]~73643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3340][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3340][2]~73643\,
	combout => \led_flash_cnt[3340][3]~73644_combout\,
	cout => \led_flash_cnt[3340][3]~73645\);

-- Location: FF_X63_Y10_N23
\led_flash_cnt[3340][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3340][3]~73644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3340][3]~q\);

-- Location: LCCOMB_X63_Y10_N24
\led_flash_cnt[3340][4]~73646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3340][4]~73646_combout\ = (\led_flash_cnt[3340][4]~q\ & (!\led_flash_cnt[3340][3]~73645\)) # (!\led_flash_cnt[3340][4]~q\ & ((\led_flash_cnt[3340][3]~73645\) # (GND)))
-- \led_flash_cnt[3340][4]~73647\ = CARRY((!\led_flash_cnt[3340][3]~73645\) # (!\led_flash_cnt[3340][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3340][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3340][3]~73645\,
	combout => \led_flash_cnt[3340][4]~73646_combout\,
	cout => \led_flash_cnt[3340][4]~73647\);

-- Location: FF_X63_Y10_N25
\led_flash_cnt[3340][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3340][4]~73646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3340][4]~q\);

-- Location: LCCOMB_X63_Y10_N26
\led_flash_cnt[3340][5]~73648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3340][5]~73648_combout\ = (\led_flash_cnt[3340][5]~q\ & (\led_flash_cnt[3340][4]~73647\ $ (GND))) # (!\led_flash_cnt[3340][5]~q\ & (!\led_flash_cnt[3340][4]~73647\ & VCC))
-- \led_flash_cnt[3340][5]~73649\ = CARRY((\led_flash_cnt[3340][5]~q\ & !\led_flash_cnt[3340][4]~73647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3340][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3340][4]~73647\,
	combout => \led_flash_cnt[3340][5]~73648_combout\,
	cout => \led_flash_cnt[3340][5]~73649\);

-- Location: FF_X63_Y10_N27
\led_flash_cnt[3340][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3340][5]~73648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3340][5]~q\);

-- Location: LCCOMB_X63_Y10_N28
\led_flash_cnt[3340][6]~73650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3340][6]~73650_combout\ = (\led_flash_cnt[3340][6]~q\ & (!\led_flash_cnt[3340][5]~73649\)) # (!\led_flash_cnt[3340][6]~q\ & ((\led_flash_cnt[3340][5]~73649\) # (GND)))
-- \led_flash_cnt[3340][6]~73651\ = CARRY((!\led_flash_cnt[3340][5]~73649\) # (!\led_flash_cnt[3340][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3340][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3340][5]~73649\,
	combout => \led_flash_cnt[3340][6]~73650_combout\,
	cout => \led_flash_cnt[3340][6]~73651\);

-- Location: FF_X63_Y10_N29
\led_flash_cnt[3340][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3340][6]~73650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3340][6]~q\);

-- Location: LCCOMB_X63_Y10_N30
\led_flash_cnt[3340][7]~73652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3340][7]~73652_combout\ = \led_flash_cnt[3340][7]~q\ $ (!\led_flash_cnt[3340][6]~73651\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3340][7]~q\,
	cin => \led_flash_cnt[3340][6]~73651\,
	combout => \led_flash_cnt[3340][7]~73652_combout\);

-- Location: FF_X63_Y10_N31
\led_flash_cnt[3340][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3340][7]~73652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3340][7]~q\);

-- Location: LCCOMB_X63_Y10_N0
\WideAnd3340~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3340~1_combout\ = (\led_flash_cnt[3340][5]~q\ & \led_flash_cnt[3340][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3340][5]~q\,
	datad => \led_flash_cnt[3340][6]~q\,
	combout => \WideAnd3340~1_combout\);

-- Location: LCCOMB_X63_Y10_N12
\WideAnd3340~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3340~0_combout\ = (\led_flash_cnt[3340][1]~q\ & (\led_flash_cnt[3340][2]~q\ & (\led_flash_cnt[3340][3]~q\ & \led_flash_cnt[3340][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3340][1]~q\,
	datab => \led_flash_cnt[3340][2]~q\,
	datac => \led_flash_cnt[3340][3]~q\,
	datad => \led_flash_cnt[3340][4]~q\,
	combout => \WideAnd3340~0_combout\);

-- Location: LCCOMB_X63_Y10_N14
WideAnd3340 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3340~combout\ = (\led_flash_cnt[3340][7]~q\ & (\WideAnd3340~1_combout\ & (\led_flash_cnt[3340][0]~q\ & \WideAnd3340~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3340][7]~q\,
	datab => \WideAnd3340~1_combout\,
	datac => \led_flash_cnt[3340][0]~q\,
	datad => \WideAnd3340~0_combout\,
	combout => \WideAnd3340~combout\);

-- Location: FF_X63_Y10_N15
\led_flash_cnt_ands[3340]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3340~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3340));

-- Location: LCCOMB_X63_Y10_N6
\led_flash_cnt[3341][0]~83981\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3341][0]~83981_combout\ = !\led_flash_cnt[3341][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3341][0]~q\,
	combout => \led_flash_cnt[3341][0]~83981_combout\);

-- Location: FF_X63_Y10_N7
\led_flash_cnt[3341][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3341][0]~83981_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3341][0]~q\);

-- Location: LCCOMB_X64_Y10_N16
\led_flash_cnt[3341][1]~73654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3341][1]~73654_combout\ = (\led_flash_cnt[3341][0]~q\ & (\led_flash_cnt[3341][1]~q\ $ (VCC))) # (!\led_flash_cnt[3341][0]~q\ & (\led_flash_cnt[3341][1]~q\ & VCC))
-- \led_flash_cnt[3341][1]~73655\ = CARRY((\led_flash_cnt[3341][0]~q\ & \led_flash_cnt[3341][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3341][0]~q\,
	datab => \led_flash_cnt[3341][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3341][1]~73654_combout\,
	cout => \led_flash_cnt[3341][1]~73655\);

-- Location: FF_X64_Y10_N17
\led_flash_cnt[3341][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3341][1]~73654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3341][1]~q\);

-- Location: LCCOMB_X64_Y10_N18
\led_flash_cnt[3341][2]~73656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3341][2]~73656_combout\ = (\led_flash_cnt[3341][2]~q\ & (!\led_flash_cnt[3341][1]~73655\)) # (!\led_flash_cnt[3341][2]~q\ & ((\led_flash_cnt[3341][1]~73655\) # (GND)))
-- \led_flash_cnt[3341][2]~73657\ = CARRY((!\led_flash_cnt[3341][1]~73655\) # (!\led_flash_cnt[3341][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3341][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3341][1]~73655\,
	combout => \led_flash_cnt[3341][2]~73656_combout\,
	cout => \led_flash_cnt[3341][2]~73657\);

-- Location: FF_X64_Y10_N19
\led_flash_cnt[3341][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3341][2]~73656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3341][2]~q\);

-- Location: LCCOMB_X64_Y10_N20
\led_flash_cnt[3341][3]~73658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3341][3]~73658_combout\ = (\led_flash_cnt[3341][3]~q\ & (\led_flash_cnt[3341][2]~73657\ $ (GND))) # (!\led_flash_cnt[3341][3]~q\ & (!\led_flash_cnt[3341][2]~73657\ & VCC))
-- \led_flash_cnt[3341][3]~73659\ = CARRY((\led_flash_cnt[3341][3]~q\ & !\led_flash_cnt[3341][2]~73657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3341][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3341][2]~73657\,
	combout => \led_flash_cnt[3341][3]~73658_combout\,
	cout => \led_flash_cnt[3341][3]~73659\);

-- Location: FF_X64_Y10_N21
\led_flash_cnt[3341][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3341][3]~73658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3341][3]~q\);

-- Location: LCCOMB_X64_Y10_N22
\led_flash_cnt[3341][4]~73660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3341][4]~73660_combout\ = (\led_flash_cnt[3341][4]~q\ & (!\led_flash_cnt[3341][3]~73659\)) # (!\led_flash_cnt[3341][4]~q\ & ((\led_flash_cnt[3341][3]~73659\) # (GND)))
-- \led_flash_cnt[3341][4]~73661\ = CARRY((!\led_flash_cnt[3341][3]~73659\) # (!\led_flash_cnt[3341][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3341][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3341][3]~73659\,
	combout => \led_flash_cnt[3341][4]~73660_combout\,
	cout => \led_flash_cnt[3341][4]~73661\);

-- Location: FF_X64_Y10_N23
\led_flash_cnt[3341][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3341][4]~73660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3341][4]~q\);

-- Location: LCCOMB_X64_Y10_N0
\WideAnd3341~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3341~0_combout\ = (\led_flash_cnt[3341][1]~q\ & (\led_flash_cnt[3341][3]~q\ & (\led_flash_cnt[3341][4]~q\ & \led_flash_cnt[3341][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3341][1]~q\,
	datab => \led_flash_cnt[3341][3]~q\,
	datac => \led_flash_cnt[3341][4]~q\,
	datad => \led_flash_cnt[3341][2]~q\,
	combout => \WideAnd3341~0_combout\);

-- Location: LCCOMB_X64_Y10_N24
\led_flash_cnt[3341][5]~73662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3341][5]~73662_combout\ = (\led_flash_cnt[3341][5]~q\ & (\led_flash_cnt[3341][4]~73661\ $ (GND))) # (!\led_flash_cnt[3341][5]~q\ & (!\led_flash_cnt[3341][4]~73661\ & VCC))
-- \led_flash_cnt[3341][5]~73663\ = CARRY((\led_flash_cnt[3341][5]~q\ & !\led_flash_cnt[3341][4]~73661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3341][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3341][4]~73661\,
	combout => \led_flash_cnt[3341][5]~73662_combout\,
	cout => \led_flash_cnt[3341][5]~73663\);

-- Location: FF_X64_Y10_N25
\led_flash_cnt[3341][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3341][5]~73662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3341][5]~q\);

-- Location: LCCOMB_X64_Y10_N26
\led_flash_cnt[3341][6]~73664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3341][6]~73664_combout\ = (\led_flash_cnt[3341][6]~q\ & (!\led_flash_cnt[3341][5]~73663\)) # (!\led_flash_cnt[3341][6]~q\ & ((\led_flash_cnt[3341][5]~73663\) # (GND)))
-- \led_flash_cnt[3341][6]~73665\ = CARRY((!\led_flash_cnt[3341][5]~73663\) # (!\led_flash_cnt[3341][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3341][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3341][5]~73663\,
	combout => \led_flash_cnt[3341][6]~73664_combout\,
	cout => \led_flash_cnt[3341][6]~73665\);

-- Location: FF_X64_Y10_N27
\led_flash_cnt[3341][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3341][6]~73664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3341][6]~q\);

-- Location: LCCOMB_X63_Y10_N4
\WideAnd3341~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3341~1_combout\ = (\led_flash_cnt[3341][6]~q\ & \led_flash_cnt[3341][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3341][6]~q\,
	datad => \led_flash_cnt[3341][5]~q\,
	combout => \WideAnd3341~1_combout\);

-- Location: LCCOMB_X64_Y10_N28
\led_flash_cnt[3341][7]~73666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3341][7]~73666_combout\ = \led_flash_cnt[3341][6]~73665\ $ (!\led_flash_cnt[3341][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3341][7]~q\,
	cin => \led_flash_cnt[3341][6]~73665\,
	combout => \led_flash_cnt[3341][7]~73666_combout\);

-- Location: FF_X64_Y10_N29
\led_flash_cnt[3341][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3341][7]~73666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3341][7]~q\);

-- Location: LCCOMB_X63_Y10_N2
WideAnd3341 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3341~combout\ = (\led_flash_cnt[3341][0]~q\ & (\WideAnd3341~0_combout\ & (\WideAnd3341~1_combout\ & \led_flash_cnt[3341][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3341][0]~q\,
	datab => \WideAnd3341~0_combout\,
	datac => \WideAnd3341~1_combout\,
	datad => \led_flash_cnt[3341][7]~q\,
	combout => \WideAnd3341~combout\);

-- Location: FF_X63_Y10_N3
\led_flash_cnt_ands[3341]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3341~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3341));

-- Location: LCCOMB_X63_Y10_N10
\WideAnd4257~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4257~1_combout\ = (led_flash_cnt_ands(3340) & led_flash_cnt_ands(3341))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3340),
	datad => led_flash_cnt_ands(3341),
	combout => \WideAnd4257~1_combout\);

-- Location: LCCOMB_X63_Y6_N10
\led_flash_cnt[3343][0]~83983\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3343][0]~83983_combout\ = !\led_flash_cnt[3343][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3343][0]~q\,
	combout => \led_flash_cnt[3343][0]~83983_combout\);

-- Location: FF_X63_Y6_N11
\led_flash_cnt[3343][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3343][0]~83983_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3343][0]~q\);

-- Location: LCCOMB_X63_Y6_N12
\led_flash_cnt[3343][1]~73682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3343][1]~73682_combout\ = (\led_flash_cnt[3343][1]~q\ & (\led_flash_cnt[3343][0]~q\ $ (VCC))) # (!\led_flash_cnt[3343][1]~q\ & (\led_flash_cnt[3343][0]~q\ & VCC))
-- \led_flash_cnt[3343][1]~73683\ = CARRY((\led_flash_cnt[3343][1]~q\ & \led_flash_cnt[3343][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3343][1]~q\,
	datab => \led_flash_cnt[3343][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3343][1]~73682_combout\,
	cout => \led_flash_cnt[3343][1]~73683\);

-- Location: FF_X63_Y6_N13
\led_flash_cnt[3343][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3343][1]~73682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3343][1]~q\);

-- Location: LCCOMB_X63_Y6_N14
\led_flash_cnt[3343][2]~73684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3343][2]~73684_combout\ = (\led_flash_cnt[3343][2]~q\ & (!\led_flash_cnt[3343][1]~73683\)) # (!\led_flash_cnt[3343][2]~q\ & ((\led_flash_cnt[3343][1]~73683\) # (GND)))
-- \led_flash_cnt[3343][2]~73685\ = CARRY((!\led_flash_cnt[3343][1]~73683\) # (!\led_flash_cnt[3343][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3343][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3343][1]~73683\,
	combout => \led_flash_cnt[3343][2]~73684_combout\,
	cout => \led_flash_cnt[3343][2]~73685\);

-- Location: FF_X63_Y6_N15
\led_flash_cnt[3343][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3343][2]~73684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3343][2]~q\);

-- Location: LCCOMB_X63_Y6_N16
\led_flash_cnt[3343][3]~73686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3343][3]~73686_combout\ = (\led_flash_cnt[3343][3]~q\ & (\led_flash_cnt[3343][2]~73685\ $ (GND))) # (!\led_flash_cnt[3343][3]~q\ & (!\led_flash_cnt[3343][2]~73685\ & VCC))
-- \led_flash_cnt[3343][3]~73687\ = CARRY((\led_flash_cnt[3343][3]~q\ & !\led_flash_cnt[3343][2]~73685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3343][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3343][2]~73685\,
	combout => \led_flash_cnt[3343][3]~73686_combout\,
	cout => \led_flash_cnt[3343][3]~73687\);

-- Location: FF_X63_Y6_N17
\led_flash_cnt[3343][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3343][3]~73686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3343][3]~q\);

-- Location: LCCOMB_X63_Y6_N18
\led_flash_cnt[3343][4]~73688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3343][4]~73688_combout\ = (\led_flash_cnt[3343][4]~q\ & (!\led_flash_cnt[3343][3]~73687\)) # (!\led_flash_cnt[3343][4]~q\ & ((\led_flash_cnt[3343][3]~73687\) # (GND)))
-- \led_flash_cnt[3343][4]~73689\ = CARRY((!\led_flash_cnt[3343][3]~73687\) # (!\led_flash_cnt[3343][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3343][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3343][3]~73687\,
	combout => \led_flash_cnt[3343][4]~73688_combout\,
	cout => \led_flash_cnt[3343][4]~73689\);

-- Location: FF_X63_Y6_N19
\led_flash_cnt[3343][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3343][4]~73688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3343][4]~q\);

-- Location: LCCOMB_X63_Y6_N20
\led_flash_cnt[3343][5]~73690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3343][5]~73690_combout\ = (\led_flash_cnt[3343][5]~q\ & (\led_flash_cnt[3343][4]~73689\ $ (GND))) # (!\led_flash_cnt[3343][5]~q\ & (!\led_flash_cnt[3343][4]~73689\ & VCC))
-- \led_flash_cnt[3343][5]~73691\ = CARRY((\led_flash_cnt[3343][5]~q\ & !\led_flash_cnt[3343][4]~73689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3343][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3343][4]~73689\,
	combout => \led_flash_cnt[3343][5]~73690_combout\,
	cout => \led_flash_cnt[3343][5]~73691\);

-- Location: FF_X63_Y6_N21
\led_flash_cnt[3343][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3343][5]~73690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3343][5]~q\);

-- Location: LCCOMB_X63_Y6_N22
\led_flash_cnt[3343][6]~73692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3343][6]~73692_combout\ = (\led_flash_cnt[3343][6]~q\ & (!\led_flash_cnt[3343][5]~73691\)) # (!\led_flash_cnt[3343][6]~q\ & ((\led_flash_cnt[3343][5]~73691\) # (GND)))
-- \led_flash_cnt[3343][6]~73693\ = CARRY((!\led_flash_cnt[3343][5]~73691\) # (!\led_flash_cnt[3343][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3343][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3343][5]~73691\,
	combout => \led_flash_cnt[3343][6]~73692_combout\,
	cout => \led_flash_cnt[3343][6]~73693\);

-- Location: FF_X63_Y6_N23
\led_flash_cnt[3343][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3343][6]~73692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3343][6]~q\);

-- Location: LCCOMB_X63_Y6_N24
\led_flash_cnt[3343][7]~73694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3343][7]~73694_combout\ = \led_flash_cnt[3343][6]~73693\ $ (!\led_flash_cnt[3343][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3343][7]~q\,
	cin => \led_flash_cnt[3343][6]~73693\,
	combout => \led_flash_cnt[3343][7]~73694_combout\);

-- Location: FF_X63_Y6_N25
\led_flash_cnt[3343][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3343][7]~73694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3343][7]~q\);

-- Location: LCCOMB_X63_Y6_N26
\WideAnd3343~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3343~0_combout\ = (\led_flash_cnt[3343][1]~q\ & (\led_flash_cnt[3343][4]~q\ & (\led_flash_cnt[3343][2]~q\ & \led_flash_cnt[3343][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3343][1]~q\,
	datab => \led_flash_cnt[3343][4]~q\,
	datac => \led_flash_cnt[3343][2]~q\,
	datad => \led_flash_cnt[3343][3]~q\,
	combout => \WideAnd3343~0_combout\);

-- Location: LCCOMB_X63_Y6_N0
\WideAnd3343~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3343~1_combout\ = (\led_flash_cnt[3343][6]~q\ & \led_flash_cnt[3343][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3343][6]~q\,
	datad => \led_flash_cnt[3343][5]~q\,
	combout => \WideAnd3343~1_combout\);

-- Location: LCCOMB_X63_Y6_N8
WideAnd3343 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3343~combout\ = (\led_flash_cnt[3343][0]~q\ & (\led_flash_cnt[3343][7]~q\ & (\WideAnd3343~0_combout\ & \WideAnd3343~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3343][0]~q\,
	datab => \led_flash_cnt[3343][7]~q\,
	datac => \WideAnd3343~0_combout\,
	datad => \WideAnd3343~1_combout\,
	combout => \WideAnd3343~combout\);

-- Location: FF_X63_Y6_N9
\led_flash_cnt_ands[3343]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3343~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3343));

-- Location: LCCOMB_X65_Y10_N22
\led_flash_cnt[3342][0]~83982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3342][0]~83982_combout\ = !\led_flash_cnt[3342][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3342][0]~q\,
	combout => \led_flash_cnt[3342][0]~83982_combout\);

-- Location: FF_X65_Y10_N23
\led_flash_cnt[3342][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3342][0]~83982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3342][0]~q\);

-- Location: LCCOMB_X65_Y10_N4
\led_flash_cnt[3342][1]~73668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3342][1]~73668_combout\ = (\led_flash_cnt[3342][0]~q\ & (\led_flash_cnt[3342][1]~q\ $ (VCC))) # (!\led_flash_cnt[3342][0]~q\ & (\led_flash_cnt[3342][1]~q\ & VCC))
-- \led_flash_cnt[3342][1]~73669\ = CARRY((\led_flash_cnt[3342][0]~q\ & \led_flash_cnt[3342][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3342][0]~q\,
	datab => \led_flash_cnt[3342][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3342][1]~73668_combout\,
	cout => \led_flash_cnt[3342][1]~73669\);

-- Location: FF_X65_Y10_N5
\led_flash_cnt[3342][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3342][1]~73668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3342][1]~q\);

-- Location: LCCOMB_X65_Y10_N6
\led_flash_cnt[3342][2]~73670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3342][2]~73670_combout\ = (\led_flash_cnt[3342][2]~q\ & (!\led_flash_cnt[3342][1]~73669\)) # (!\led_flash_cnt[3342][2]~q\ & ((\led_flash_cnt[3342][1]~73669\) # (GND)))
-- \led_flash_cnt[3342][2]~73671\ = CARRY((!\led_flash_cnt[3342][1]~73669\) # (!\led_flash_cnt[3342][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3342][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3342][1]~73669\,
	combout => \led_flash_cnt[3342][2]~73670_combout\,
	cout => \led_flash_cnt[3342][2]~73671\);

-- Location: FF_X65_Y10_N7
\led_flash_cnt[3342][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3342][2]~73670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3342][2]~q\);

-- Location: LCCOMB_X65_Y10_N8
\led_flash_cnt[3342][3]~73672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3342][3]~73672_combout\ = (\led_flash_cnt[3342][3]~q\ & (\led_flash_cnt[3342][2]~73671\ $ (GND))) # (!\led_flash_cnt[3342][3]~q\ & (!\led_flash_cnt[3342][2]~73671\ & VCC))
-- \led_flash_cnt[3342][3]~73673\ = CARRY((\led_flash_cnt[3342][3]~q\ & !\led_flash_cnt[3342][2]~73671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3342][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3342][2]~73671\,
	combout => \led_flash_cnt[3342][3]~73672_combout\,
	cout => \led_flash_cnt[3342][3]~73673\);

-- Location: FF_X65_Y10_N9
\led_flash_cnt[3342][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3342][3]~73672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3342][3]~q\);

-- Location: LCCOMB_X65_Y10_N10
\led_flash_cnt[3342][4]~73674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3342][4]~73674_combout\ = (\led_flash_cnt[3342][4]~q\ & (!\led_flash_cnt[3342][3]~73673\)) # (!\led_flash_cnt[3342][4]~q\ & ((\led_flash_cnt[3342][3]~73673\) # (GND)))
-- \led_flash_cnt[3342][4]~73675\ = CARRY((!\led_flash_cnt[3342][3]~73673\) # (!\led_flash_cnt[3342][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3342][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3342][3]~73673\,
	combout => \led_flash_cnt[3342][4]~73674_combout\,
	cout => \led_flash_cnt[3342][4]~73675\);

-- Location: FF_X65_Y10_N11
\led_flash_cnt[3342][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3342][4]~73674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3342][4]~q\);

-- Location: LCCOMB_X65_Y10_N12
\led_flash_cnt[3342][5]~73676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3342][5]~73676_combout\ = (\led_flash_cnt[3342][5]~q\ & (\led_flash_cnt[3342][4]~73675\ $ (GND))) # (!\led_flash_cnt[3342][5]~q\ & (!\led_flash_cnt[3342][4]~73675\ & VCC))
-- \led_flash_cnt[3342][5]~73677\ = CARRY((\led_flash_cnt[3342][5]~q\ & !\led_flash_cnt[3342][4]~73675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3342][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3342][4]~73675\,
	combout => \led_flash_cnt[3342][5]~73676_combout\,
	cout => \led_flash_cnt[3342][5]~73677\);

-- Location: FF_X65_Y10_N13
\led_flash_cnt[3342][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3342][5]~73676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3342][5]~q\);

-- Location: LCCOMB_X65_Y10_N14
\led_flash_cnt[3342][6]~73678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3342][6]~73678_combout\ = (\led_flash_cnt[3342][6]~q\ & (!\led_flash_cnt[3342][5]~73677\)) # (!\led_flash_cnt[3342][6]~q\ & ((\led_flash_cnt[3342][5]~73677\) # (GND)))
-- \led_flash_cnt[3342][6]~73679\ = CARRY((!\led_flash_cnt[3342][5]~73677\) # (!\led_flash_cnt[3342][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3342][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3342][5]~73677\,
	combout => \led_flash_cnt[3342][6]~73678_combout\,
	cout => \led_flash_cnt[3342][6]~73679\);

-- Location: FF_X65_Y10_N15
\led_flash_cnt[3342][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3342][6]~73678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3342][6]~q\);

-- Location: LCCOMB_X65_Y10_N16
\led_flash_cnt[3342][7]~73680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3342][7]~73680_combout\ = \led_flash_cnt[3342][6]~73679\ $ (!\led_flash_cnt[3342][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3342][7]~q\,
	cin => \led_flash_cnt[3342][6]~73679\,
	combout => \led_flash_cnt[3342][7]~73680_combout\);

-- Location: FF_X65_Y10_N17
\led_flash_cnt[3342][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3342][7]~73680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3342][7]~q\);

-- Location: LCCOMB_X65_Y10_N26
\WideAnd3342~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3342~1_combout\ = (\led_flash_cnt[3342][6]~q\ & \led_flash_cnt[3342][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3342][6]~q\,
	datad => \led_flash_cnt[3342][5]~q\,
	combout => \WideAnd3342~1_combout\);

-- Location: LCCOMB_X65_Y10_N18
\WideAnd3342~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3342~0_combout\ = (\led_flash_cnt[3342][4]~q\ & (\led_flash_cnt[3342][3]~q\ & (\led_flash_cnt[3342][1]~q\ & \led_flash_cnt[3342][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3342][4]~q\,
	datab => \led_flash_cnt[3342][3]~q\,
	datac => \led_flash_cnt[3342][1]~q\,
	datad => \led_flash_cnt[3342][2]~q\,
	combout => \WideAnd3342~0_combout\);

-- Location: LCCOMB_X65_Y10_N24
WideAnd3342 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3342~combout\ = (\led_flash_cnt[3342][0]~q\ & (\led_flash_cnt[3342][7]~q\ & (\WideAnd3342~1_combout\ & \WideAnd3342~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3342][0]~q\,
	datab => \led_flash_cnt[3342][7]~q\,
	datac => \WideAnd3342~1_combout\,
	datad => \WideAnd3342~0_combout\,
	combout => \WideAnd3342~combout\);

-- Location: FF_X65_Y10_N25
\led_flash_cnt_ands[3342]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3342~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3342));

-- Location: LCCOMB_X69_Y4_N18
\led_flash_cnt[3339][0]~83979\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3339][0]~83979_combout\ = !\led_flash_cnt[3339][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3339][0]~q\,
	combout => \led_flash_cnt[3339][0]~83979_combout\);

-- Location: FF_X69_Y4_N19
\led_flash_cnt[3339][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3339][0]~83979_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3339][0]~q\);

-- Location: LCCOMB_X69_Y4_N0
\led_flash_cnt[3339][1]~73626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3339][1]~73626_combout\ = (\led_flash_cnt[3339][1]~q\ & (\led_flash_cnt[3339][0]~q\ $ (VCC))) # (!\led_flash_cnt[3339][1]~q\ & (\led_flash_cnt[3339][0]~q\ & VCC))
-- \led_flash_cnt[3339][1]~73627\ = CARRY((\led_flash_cnt[3339][1]~q\ & \led_flash_cnt[3339][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3339][1]~q\,
	datab => \led_flash_cnt[3339][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3339][1]~73626_combout\,
	cout => \led_flash_cnt[3339][1]~73627\);

-- Location: FF_X69_Y4_N1
\led_flash_cnt[3339][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3339][1]~73626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3339][1]~q\);

-- Location: LCCOMB_X69_Y4_N2
\led_flash_cnt[3339][2]~73628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3339][2]~73628_combout\ = (\led_flash_cnt[3339][2]~q\ & (!\led_flash_cnt[3339][1]~73627\)) # (!\led_flash_cnt[3339][2]~q\ & ((\led_flash_cnt[3339][1]~73627\) # (GND)))
-- \led_flash_cnt[3339][2]~73629\ = CARRY((!\led_flash_cnt[3339][1]~73627\) # (!\led_flash_cnt[3339][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3339][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3339][1]~73627\,
	combout => \led_flash_cnt[3339][2]~73628_combout\,
	cout => \led_flash_cnt[3339][2]~73629\);

-- Location: FF_X69_Y4_N3
\led_flash_cnt[3339][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3339][2]~73628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3339][2]~q\);

-- Location: LCCOMB_X69_Y4_N4
\led_flash_cnt[3339][3]~73630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3339][3]~73630_combout\ = (\led_flash_cnt[3339][3]~q\ & (\led_flash_cnt[3339][2]~73629\ $ (GND))) # (!\led_flash_cnt[3339][3]~q\ & (!\led_flash_cnt[3339][2]~73629\ & VCC))
-- \led_flash_cnt[3339][3]~73631\ = CARRY((\led_flash_cnt[3339][3]~q\ & !\led_flash_cnt[3339][2]~73629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3339][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3339][2]~73629\,
	combout => \led_flash_cnt[3339][3]~73630_combout\,
	cout => \led_flash_cnt[3339][3]~73631\);

-- Location: FF_X69_Y4_N5
\led_flash_cnt[3339][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3339][3]~73630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3339][3]~q\);

-- Location: LCCOMB_X69_Y4_N6
\led_flash_cnt[3339][4]~73632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3339][4]~73632_combout\ = (\led_flash_cnt[3339][4]~q\ & (!\led_flash_cnt[3339][3]~73631\)) # (!\led_flash_cnt[3339][4]~q\ & ((\led_flash_cnt[3339][3]~73631\) # (GND)))
-- \led_flash_cnt[3339][4]~73633\ = CARRY((!\led_flash_cnt[3339][3]~73631\) # (!\led_flash_cnt[3339][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3339][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3339][3]~73631\,
	combout => \led_flash_cnt[3339][4]~73632_combout\,
	cout => \led_flash_cnt[3339][4]~73633\);

-- Location: FF_X69_Y4_N7
\led_flash_cnt[3339][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3339][4]~73632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3339][4]~q\);

-- Location: LCCOMB_X69_Y4_N8
\led_flash_cnt[3339][5]~73634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3339][5]~73634_combout\ = (\led_flash_cnt[3339][5]~q\ & (\led_flash_cnt[3339][4]~73633\ $ (GND))) # (!\led_flash_cnt[3339][5]~q\ & (!\led_flash_cnt[3339][4]~73633\ & VCC))
-- \led_flash_cnt[3339][5]~73635\ = CARRY((\led_flash_cnt[3339][5]~q\ & !\led_flash_cnt[3339][4]~73633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3339][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3339][4]~73633\,
	combout => \led_flash_cnt[3339][5]~73634_combout\,
	cout => \led_flash_cnt[3339][5]~73635\);

-- Location: FF_X69_Y4_N9
\led_flash_cnt[3339][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3339][5]~73634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3339][5]~q\);

-- Location: LCCOMB_X69_Y4_N10
\led_flash_cnt[3339][6]~73636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3339][6]~73636_combout\ = (\led_flash_cnt[3339][6]~q\ & (!\led_flash_cnt[3339][5]~73635\)) # (!\led_flash_cnt[3339][6]~q\ & ((\led_flash_cnt[3339][5]~73635\) # (GND)))
-- \led_flash_cnt[3339][6]~73637\ = CARRY((!\led_flash_cnt[3339][5]~73635\) # (!\led_flash_cnt[3339][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3339][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3339][5]~73635\,
	combout => \led_flash_cnt[3339][6]~73636_combout\,
	cout => \led_flash_cnt[3339][6]~73637\);

-- Location: FF_X69_Y4_N11
\led_flash_cnt[3339][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3339][6]~73636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3339][6]~q\);

-- Location: LCCOMB_X69_Y4_N12
\led_flash_cnt[3339][7]~73638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3339][7]~73638_combout\ = \led_flash_cnt[3339][6]~73637\ $ (!\led_flash_cnt[3339][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3339][7]~q\,
	cin => \led_flash_cnt[3339][6]~73637\,
	combout => \led_flash_cnt[3339][7]~73638_combout\);

-- Location: FF_X69_Y4_N13
\led_flash_cnt[3339][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3339][7]~73638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3339][7]~q\);

-- Location: LCCOMB_X69_Y4_N24
\WideAnd3339~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3339~0_combout\ = (\led_flash_cnt[3339][4]~q\ & (\led_flash_cnt[3339][1]~q\ & (\led_flash_cnt[3339][3]~q\ & \led_flash_cnt[3339][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3339][4]~q\,
	datab => \led_flash_cnt[3339][1]~q\,
	datac => \led_flash_cnt[3339][3]~q\,
	datad => \led_flash_cnt[3339][2]~q\,
	combout => \WideAnd3339~0_combout\);

-- Location: LCCOMB_X69_Y4_N26
\WideAnd3339~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3339~1_combout\ = (\led_flash_cnt[3339][5]~q\ & \led_flash_cnt[3339][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3339][5]~q\,
	datad => \led_flash_cnt[3339][6]~q\,
	combout => \WideAnd3339~1_combout\);

-- Location: LCCOMB_X69_Y4_N14
WideAnd3339 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3339~combout\ = (\led_flash_cnt[3339][7]~q\ & (\WideAnd3339~0_combout\ & (\WideAnd3339~1_combout\ & \led_flash_cnt[3339][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3339][7]~q\,
	datab => \WideAnd3339~0_combout\,
	datac => \WideAnd3339~1_combout\,
	datad => \led_flash_cnt[3339][0]~q\,
	combout => \WideAnd3339~combout\);

-- Location: FF_X69_Y4_N15
\led_flash_cnt_ands[3339]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3339~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3339));

-- Location: LCCOMB_X70_Y4_N18
\led_flash_cnt[3337][0]~83977\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3337][0]~83977_combout\ = !\led_flash_cnt[3337][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3337][0]~q\,
	combout => \led_flash_cnt[3337][0]~83977_combout\);

-- Location: FF_X70_Y4_N19
\led_flash_cnt[3337][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3337][0]~83977_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3337][0]~q\);

-- Location: LCCOMB_X71_Y4_N2
\led_flash_cnt[3337][1]~73598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3337][1]~73598_combout\ = (\led_flash_cnt[3337][1]~q\ & (\led_flash_cnt[3337][0]~q\ $ (VCC))) # (!\led_flash_cnt[3337][1]~q\ & (\led_flash_cnt[3337][0]~q\ & VCC))
-- \led_flash_cnt[3337][1]~73599\ = CARRY((\led_flash_cnt[3337][1]~q\ & \led_flash_cnt[3337][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3337][1]~q\,
	datab => \led_flash_cnt[3337][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3337][1]~73598_combout\,
	cout => \led_flash_cnt[3337][1]~73599\);

-- Location: FF_X71_Y4_N3
\led_flash_cnt[3337][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3337][1]~73598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3337][1]~q\);

-- Location: LCCOMB_X71_Y4_N4
\led_flash_cnt[3337][2]~73600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3337][2]~73600_combout\ = (\led_flash_cnt[3337][2]~q\ & (!\led_flash_cnt[3337][1]~73599\)) # (!\led_flash_cnt[3337][2]~q\ & ((\led_flash_cnt[3337][1]~73599\) # (GND)))
-- \led_flash_cnt[3337][2]~73601\ = CARRY((!\led_flash_cnt[3337][1]~73599\) # (!\led_flash_cnt[3337][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3337][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3337][1]~73599\,
	combout => \led_flash_cnt[3337][2]~73600_combout\,
	cout => \led_flash_cnt[3337][2]~73601\);

-- Location: FF_X71_Y4_N5
\led_flash_cnt[3337][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3337][2]~73600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3337][2]~q\);

-- Location: LCCOMB_X71_Y4_N6
\led_flash_cnt[3337][3]~73602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3337][3]~73602_combout\ = (\led_flash_cnt[3337][3]~q\ & (\led_flash_cnt[3337][2]~73601\ $ (GND))) # (!\led_flash_cnt[3337][3]~q\ & (!\led_flash_cnt[3337][2]~73601\ & VCC))
-- \led_flash_cnt[3337][3]~73603\ = CARRY((\led_flash_cnt[3337][3]~q\ & !\led_flash_cnt[3337][2]~73601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3337][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3337][2]~73601\,
	combout => \led_flash_cnt[3337][3]~73602_combout\,
	cout => \led_flash_cnt[3337][3]~73603\);

-- Location: FF_X71_Y4_N7
\led_flash_cnt[3337][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3337][3]~73602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3337][3]~q\);

-- Location: LCCOMB_X71_Y4_N8
\led_flash_cnt[3337][4]~73604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3337][4]~73604_combout\ = (\led_flash_cnt[3337][4]~q\ & (!\led_flash_cnt[3337][3]~73603\)) # (!\led_flash_cnt[3337][4]~q\ & ((\led_flash_cnt[3337][3]~73603\) # (GND)))
-- \led_flash_cnt[3337][4]~73605\ = CARRY((!\led_flash_cnt[3337][3]~73603\) # (!\led_flash_cnt[3337][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3337][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3337][3]~73603\,
	combout => \led_flash_cnt[3337][4]~73604_combout\,
	cout => \led_flash_cnt[3337][4]~73605\);

-- Location: FF_X71_Y4_N9
\led_flash_cnt[3337][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3337][4]~73604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3337][4]~q\);

-- Location: LCCOMB_X71_Y4_N10
\led_flash_cnt[3337][5]~73606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3337][5]~73606_combout\ = (\led_flash_cnt[3337][5]~q\ & (\led_flash_cnt[3337][4]~73605\ $ (GND))) # (!\led_flash_cnt[3337][5]~q\ & (!\led_flash_cnt[3337][4]~73605\ & VCC))
-- \led_flash_cnt[3337][5]~73607\ = CARRY((\led_flash_cnt[3337][5]~q\ & !\led_flash_cnt[3337][4]~73605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3337][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3337][4]~73605\,
	combout => \led_flash_cnt[3337][5]~73606_combout\,
	cout => \led_flash_cnt[3337][5]~73607\);

-- Location: FF_X71_Y4_N11
\led_flash_cnt[3337][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3337][5]~73606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3337][5]~q\);

-- Location: LCCOMB_X71_Y4_N12
\led_flash_cnt[3337][6]~73608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3337][6]~73608_combout\ = (\led_flash_cnt[3337][6]~q\ & (!\led_flash_cnt[3337][5]~73607\)) # (!\led_flash_cnt[3337][6]~q\ & ((\led_flash_cnt[3337][5]~73607\) # (GND)))
-- \led_flash_cnt[3337][6]~73609\ = CARRY((!\led_flash_cnt[3337][5]~73607\) # (!\led_flash_cnt[3337][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3337][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3337][5]~73607\,
	combout => \led_flash_cnt[3337][6]~73608_combout\,
	cout => \led_flash_cnt[3337][6]~73609\);

-- Location: FF_X71_Y4_N13
\led_flash_cnt[3337][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3337][6]~73608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3337][6]~q\);

-- Location: LCCOMB_X70_Y4_N22
\WideAnd3337~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3337~1_combout\ = (\led_flash_cnt[3337][6]~q\ & \led_flash_cnt[3337][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3337][6]~q\,
	datac => \led_flash_cnt[3337][5]~q\,
	combout => \WideAnd3337~1_combout\);

-- Location: LCCOMB_X70_Y4_N24
\WideAnd3337~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3337~0_combout\ = (\led_flash_cnt[3337][2]~q\ & (\led_flash_cnt[3337][3]~q\ & (\led_flash_cnt[3337][4]~q\ & \led_flash_cnt[3337][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3337][2]~q\,
	datab => \led_flash_cnt[3337][3]~q\,
	datac => \led_flash_cnt[3337][4]~q\,
	datad => \led_flash_cnt[3337][1]~q\,
	combout => \WideAnd3337~0_combout\);

-- Location: LCCOMB_X71_Y4_N14
\led_flash_cnt[3337][7]~73610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3337][7]~73610_combout\ = \led_flash_cnt[3337][7]~q\ $ (!\led_flash_cnt[3337][6]~73609\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3337][7]~q\,
	cin => \led_flash_cnt[3337][6]~73609\,
	combout => \led_flash_cnt[3337][7]~73610_combout\);

-- Location: FF_X71_Y4_N15
\led_flash_cnt[3337][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3337][7]~73610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3337][7]~q\);

-- Location: LCCOMB_X70_Y4_N0
WideAnd3337 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3337~combout\ = (\WideAnd3337~1_combout\ & (\WideAnd3337~0_combout\ & (\led_flash_cnt[3337][7]~q\ & \led_flash_cnt[3337][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3337~1_combout\,
	datab => \WideAnd3337~0_combout\,
	datac => \led_flash_cnt[3337][7]~q\,
	datad => \led_flash_cnt[3337][0]~q\,
	combout => \WideAnd3337~combout\);

-- Location: FF_X70_Y4_N1
\led_flash_cnt_ands[3337]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3337~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3337));

-- Location: LCCOMB_X70_Y4_N16
\led_flash_cnt[3338][0]~83978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3338][0]~83978_combout\ = !\led_flash_cnt[3338][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3338][0]~q\,
	combout => \led_flash_cnt[3338][0]~83978_combout\);

-- Location: FF_X70_Y4_N17
\led_flash_cnt[3338][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3338][0]~83978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3338][0]~q\);

-- Location: LCCOMB_X70_Y4_N2
\led_flash_cnt[3338][1]~73612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3338][1]~73612_combout\ = (\led_flash_cnt[3338][1]~q\ & (\led_flash_cnt[3338][0]~q\ $ (VCC))) # (!\led_flash_cnt[3338][1]~q\ & (\led_flash_cnt[3338][0]~q\ & VCC))
-- \led_flash_cnt[3338][1]~73613\ = CARRY((\led_flash_cnt[3338][1]~q\ & \led_flash_cnt[3338][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3338][1]~q\,
	datab => \led_flash_cnt[3338][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3338][1]~73612_combout\,
	cout => \led_flash_cnt[3338][1]~73613\);

-- Location: FF_X70_Y4_N3
\led_flash_cnt[3338][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3338][1]~73612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3338][1]~q\);

-- Location: LCCOMB_X70_Y4_N4
\led_flash_cnt[3338][2]~73614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3338][2]~73614_combout\ = (\led_flash_cnt[3338][2]~q\ & (!\led_flash_cnt[3338][1]~73613\)) # (!\led_flash_cnt[3338][2]~q\ & ((\led_flash_cnt[3338][1]~73613\) # (GND)))
-- \led_flash_cnt[3338][2]~73615\ = CARRY((!\led_flash_cnt[3338][1]~73613\) # (!\led_flash_cnt[3338][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3338][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3338][1]~73613\,
	combout => \led_flash_cnt[3338][2]~73614_combout\,
	cout => \led_flash_cnt[3338][2]~73615\);

-- Location: FF_X70_Y4_N5
\led_flash_cnt[3338][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3338][2]~73614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3338][2]~q\);

-- Location: LCCOMB_X70_Y4_N6
\led_flash_cnt[3338][3]~73616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3338][3]~73616_combout\ = (\led_flash_cnt[3338][3]~q\ & (\led_flash_cnt[3338][2]~73615\ $ (GND))) # (!\led_flash_cnt[3338][3]~q\ & (!\led_flash_cnt[3338][2]~73615\ & VCC))
-- \led_flash_cnt[3338][3]~73617\ = CARRY((\led_flash_cnt[3338][3]~q\ & !\led_flash_cnt[3338][2]~73615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3338][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3338][2]~73615\,
	combout => \led_flash_cnt[3338][3]~73616_combout\,
	cout => \led_flash_cnt[3338][3]~73617\);

-- Location: FF_X70_Y4_N7
\led_flash_cnt[3338][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3338][3]~73616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3338][3]~q\);

-- Location: LCCOMB_X70_Y4_N8
\led_flash_cnt[3338][4]~73618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3338][4]~73618_combout\ = (\led_flash_cnt[3338][4]~q\ & (!\led_flash_cnt[3338][3]~73617\)) # (!\led_flash_cnt[3338][4]~q\ & ((\led_flash_cnt[3338][3]~73617\) # (GND)))
-- \led_flash_cnt[3338][4]~73619\ = CARRY((!\led_flash_cnt[3338][3]~73617\) # (!\led_flash_cnt[3338][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3338][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3338][3]~73617\,
	combout => \led_flash_cnt[3338][4]~73618_combout\,
	cout => \led_flash_cnt[3338][4]~73619\);

-- Location: FF_X70_Y4_N9
\led_flash_cnt[3338][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3338][4]~73618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3338][4]~q\);

-- Location: LCCOMB_X70_Y4_N10
\led_flash_cnt[3338][5]~73620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3338][5]~73620_combout\ = (\led_flash_cnt[3338][5]~q\ & (\led_flash_cnt[3338][4]~73619\ $ (GND))) # (!\led_flash_cnt[3338][5]~q\ & (!\led_flash_cnt[3338][4]~73619\ & VCC))
-- \led_flash_cnt[3338][5]~73621\ = CARRY((\led_flash_cnt[3338][5]~q\ & !\led_flash_cnt[3338][4]~73619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3338][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3338][4]~73619\,
	combout => \led_flash_cnt[3338][5]~73620_combout\,
	cout => \led_flash_cnt[3338][5]~73621\);

-- Location: FF_X70_Y4_N11
\led_flash_cnt[3338][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3338][5]~73620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3338][5]~q\);

-- Location: LCCOMB_X70_Y4_N12
\led_flash_cnt[3338][6]~73622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3338][6]~73622_combout\ = (\led_flash_cnt[3338][6]~q\ & (!\led_flash_cnt[3338][5]~73621\)) # (!\led_flash_cnt[3338][6]~q\ & ((\led_flash_cnt[3338][5]~73621\) # (GND)))
-- \led_flash_cnt[3338][6]~73623\ = CARRY((!\led_flash_cnt[3338][5]~73621\) # (!\led_flash_cnt[3338][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3338][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3338][5]~73621\,
	combout => \led_flash_cnt[3338][6]~73622_combout\,
	cout => \led_flash_cnt[3338][6]~73623\);

-- Location: FF_X70_Y4_N13
\led_flash_cnt[3338][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3338][6]~73622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3338][6]~q\);

-- Location: LCCOMB_X70_Y4_N26
\WideAnd3338~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3338~1_combout\ = (\led_flash_cnt[3338][6]~q\ & \led_flash_cnt[3338][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3338][6]~q\,
	datad => \led_flash_cnt[3338][5]~q\,
	combout => \WideAnd3338~1_combout\);

-- Location: LCCOMB_X70_Y4_N20
\WideAnd3338~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3338~0_combout\ = (\led_flash_cnt[3338][1]~q\ & (\led_flash_cnt[3338][4]~q\ & (\led_flash_cnt[3338][2]~q\ & \led_flash_cnt[3338][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3338][1]~q\,
	datab => \led_flash_cnt[3338][4]~q\,
	datac => \led_flash_cnt[3338][2]~q\,
	datad => \led_flash_cnt[3338][3]~q\,
	combout => \WideAnd3338~0_combout\);

-- Location: LCCOMB_X70_Y4_N14
\led_flash_cnt[3338][7]~73624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3338][7]~73624_combout\ = \led_flash_cnt[3338][7]~q\ $ (!\led_flash_cnt[3338][6]~73623\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3338][7]~q\,
	cin => \led_flash_cnt[3338][6]~73623\,
	combout => \led_flash_cnt[3338][7]~73624_combout\);

-- Location: FF_X70_Y4_N15
\led_flash_cnt[3338][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3338][7]~73624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3338][7]~q\);

-- Location: LCCOMB_X70_Y4_N30
WideAnd3338 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3338~combout\ = (\WideAnd3338~1_combout\ & (\WideAnd3338~0_combout\ & (\led_flash_cnt[3338][7]~q\ & \led_flash_cnt[3338][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3338~1_combout\,
	datab => \WideAnd3338~0_combout\,
	datac => \led_flash_cnt[3338][7]~q\,
	datad => \led_flash_cnt[3338][0]~q\,
	combout => \WideAnd3338~combout\);

-- Location: FF_X70_Y4_N31
\led_flash_cnt_ands[3338]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3338~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3338));

-- Location: LCCOMB_X74_Y4_N18
\led_flash_cnt[3336][0]~83976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3336][0]~83976_combout\ = !\led_flash_cnt[3336][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3336][0]~q\,
	combout => \led_flash_cnt[3336][0]~83976_combout\);

-- Location: FF_X74_Y4_N19
\led_flash_cnt[3336][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3336][0]~83976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3336][0]~q\);

-- Location: LCCOMB_X74_Y4_N4
\led_flash_cnt[3336][1]~73584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3336][1]~73584_combout\ = (\led_flash_cnt[3336][0]~q\ & (\led_flash_cnt[3336][1]~q\ $ (VCC))) # (!\led_flash_cnt[3336][0]~q\ & (\led_flash_cnt[3336][1]~q\ & VCC))
-- \led_flash_cnt[3336][1]~73585\ = CARRY((\led_flash_cnt[3336][0]~q\ & \led_flash_cnt[3336][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3336][0]~q\,
	datab => \led_flash_cnt[3336][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3336][1]~73584_combout\,
	cout => \led_flash_cnt[3336][1]~73585\);

-- Location: FF_X74_Y4_N5
\led_flash_cnt[3336][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3336][1]~73584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3336][1]~q\);

-- Location: LCCOMB_X74_Y4_N6
\led_flash_cnt[3336][2]~73586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3336][2]~73586_combout\ = (\led_flash_cnt[3336][2]~q\ & (!\led_flash_cnt[3336][1]~73585\)) # (!\led_flash_cnt[3336][2]~q\ & ((\led_flash_cnt[3336][1]~73585\) # (GND)))
-- \led_flash_cnt[3336][2]~73587\ = CARRY((!\led_flash_cnt[3336][1]~73585\) # (!\led_flash_cnt[3336][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3336][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3336][1]~73585\,
	combout => \led_flash_cnt[3336][2]~73586_combout\,
	cout => \led_flash_cnt[3336][2]~73587\);

-- Location: FF_X74_Y4_N7
\led_flash_cnt[3336][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3336][2]~73586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3336][2]~q\);

-- Location: LCCOMB_X74_Y4_N8
\led_flash_cnt[3336][3]~73588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3336][3]~73588_combout\ = (\led_flash_cnt[3336][3]~q\ & (\led_flash_cnt[3336][2]~73587\ $ (GND))) # (!\led_flash_cnt[3336][3]~q\ & (!\led_flash_cnt[3336][2]~73587\ & VCC))
-- \led_flash_cnt[3336][3]~73589\ = CARRY((\led_flash_cnt[3336][3]~q\ & !\led_flash_cnt[3336][2]~73587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3336][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3336][2]~73587\,
	combout => \led_flash_cnt[3336][3]~73588_combout\,
	cout => \led_flash_cnt[3336][3]~73589\);

-- Location: FF_X74_Y4_N9
\led_flash_cnt[3336][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3336][3]~73588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3336][3]~q\);

-- Location: LCCOMB_X74_Y4_N10
\led_flash_cnt[3336][4]~73590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3336][4]~73590_combout\ = (\led_flash_cnt[3336][4]~q\ & (!\led_flash_cnt[3336][3]~73589\)) # (!\led_flash_cnt[3336][4]~q\ & ((\led_flash_cnt[3336][3]~73589\) # (GND)))
-- \led_flash_cnt[3336][4]~73591\ = CARRY((!\led_flash_cnt[3336][3]~73589\) # (!\led_flash_cnt[3336][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3336][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3336][3]~73589\,
	combout => \led_flash_cnt[3336][4]~73590_combout\,
	cout => \led_flash_cnt[3336][4]~73591\);

-- Location: FF_X74_Y4_N11
\led_flash_cnt[3336][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3336][4]~73590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3336][4]~q\);

-- Location: LCCOMB_X74_Y4_N26
\WideAnd3336~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3336~0_combout\ = (\led_flash_cnt[3336][4]~q\ & (\led_flash_cnt[3336][3]~q\ & (\led_flash_cnt[3336][1]~q\ & \led_flash_cnt[3336][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3336][4]~q\,
	datab => \led_flash_cnt[3336][3]~q\,
	datac => \led_flash_cnt[3336][1]~q\,
	datad => \led_flash_cnt[3336][2]~q\,
	combout => \WideAnd3336~0_combout\);

-- Location: LCCOMB_X74_Y4_N12
\led_flash_cnt[3336][5]~73592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3336][5]~73592_combout\ = (\led_flash_cnt[3336][5]~q\ & (\led_flash_cnt[3336][4]~73591\ $ (GND))) # (!\led_flash_cnt[3336][5]~q\ & (!\led_flash_cnt[3336][4]~73591\ & VCC))
-- \led_flash_cnt[3336][5]~73593\ = CARRY((\led_flash_cnt[3336][5]~q\ & !\led_flash_cnt[3336][4]~73591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3336][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3336][4]~73591\,
	combout => \led_flash_cnt[3336][5]~73592_combout\,
	cout => \led_flash_cnt[3336][5]~73593\);

-- Location: FF_X74_Y4_N13
\led_flash_cnt[3336][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3336][5]~73592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3336][5]~q\);

-- Location: LCCOMB_X74_Y4_N14
\led_flash_cnt[3336][6]~73594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3336][6]~73594_combout\ = (\led_flash_cnt[3336][6]~q\ & (!\led_flash_cnt[3336][5]~73593\)) # (!\led_flash_cnt[3336][6]~q\ & ((\led_flash_cnt[3336][5]~73593\) # (GND)))
-- \led_flash_cnt[3336][6]~73595\ = CARRY((!\led_flash_cnt[3336][5]~73593\) # (!\led_flash_cnt[3336][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3336][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3336][5]~73593\,
	combout => \led_flash_cnt[3336][6]~73594_combout\,
	cout => \led_flash_cnt[3336][6]~73595\);

-- Location: FF_X74_Y4_N15
\led_flash_cnt[3336][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3336][6]~73594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3336][6]~q\);

-- Location: LCCOMB_X74_Y4_N16
\led_flash_cnt[3336][7]~73596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3336][7]~73596_combout\ = \led_flash_cnt[3336][6]~73595\ $ (!\led_flash_cnt[3336][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3336][7]~q\,
	cin => \led_flash_cnt[3336][6]~73595\,
	combout => \led_flash_cnt[3336][7]~73596_combout\);

-- Location: FF_X74_Y4_N17
\led_flash_cnt[3336][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3336][7]~73596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3336][7]~q\);

-- Location: LCCOMB_X74_Y4_N22
\WideAnd3336~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3336~1_combout\ = (\led_flash_cnt[3336][6]~q\ & \led_flash_cnt[3336][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3336][6]~q\,
	datad => \led_flash_cnt[3336][5]~q\,
	combout => \WideAnd3336~1_combout\);

-- Location: LCCOMB_X74_Y4_N24
WideAnd3336 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3336~combout\ = (\WideAnd3336~0_combout\ & (\led_flash_cnt[3336][7]~q\ & (\WideAnd3336~1_combout\ & \led_flash_cnt[3336][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3336~0_combout\,
	datab => \led_flash_cnt[3336][7]~q\,
	datac => \WideAnd3336~1_combout\,
	datad => \led_flash_cnt[3336][0]~q\,
	combout => \WideAnd3336~combout\);

-- Location: FF_X74_Y4_N25
\led_flash_cnt_ands[3336]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3336~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3336));

-- Location: LCCOMB_X70_Y4_N28
\WideAnd4257~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4257~0_combout\ = (led_flash_cnt_ands(3339) & (led_flash_cnt_ands(3337) & (led_flash_cnt_ands(3338) & led_flash_cnt_ands(3336))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3339),
	datab => led_flash_cnt_ands(3337),
	datac => led_flash_cnt_ands(3338),
	datad => led_flash_cnt_ands(3336),
	combout => \WideAnd4257~0_combout\);

-- Location: LCCOMB_X63_Y10_N16
WideAnd4257 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4257~combout\ = (\WideAnd4257~1_combout\ & (led_flash_cnt_ands(3343) & (led_flash_cnt_ands(3342) & \WideAnd4257~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4257~1_combout\,
	datab => led_flash_cnt_ands(3343),
	datac => led_flash_cnt_ands(3342),
	datad => \WideAnd4257~0_combout\,
	combout => \WideAnd4257~combout\);

-- Location: FF_X63_Y10_N17
\led_flash_cnt_ands_1[417]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4257~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(417));

-- Location: LCCOMB_X46_Y16_N6
\led_flash_cnt[3357][0]~83997\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3357][0]~83997_combout\ = !\led_flash_cnt[3357][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3357][0]~q\,
	combout => \led_flash_cnt[3357][0]~83997_combout\);

-- Location: FF_X46_Y16_N7
\led_flash_cnt[3357][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3357][0]~83997_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3357][0]~q\);

-- Location: LCCOMB_X47_Y16_N0
\led_flash_cnt[3357][1]~73878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3357][1]~73878_combout\ = (\led_flash_cnt[3357][1]~q\ & (\led_flash_cnt[3357][0]~q\ $ (VCC))) # (!\led_flash_cnt[3357][1]~q\ & (\led_flash_cnt[3357][0]~q\ & VCC))
-- \led_flash_cnt[3357][1]~73879\ = CARRY((\led_flash_cnt[3357][1]~q\ & \led_flash_cnt[3357][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3357][1]~q\,
	datab => \led_flash_cnt[3357][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3357][1]~73878_combout\,
	cout => \led_flash_cnt[3357][1]~73879\);

-- Location: FF_X47_Y16_N1
\led_flash_cnt[3357][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3357][1]~73878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3357][1]~q\);

-- Location: LCCOMB_X47_Y16_N2
\led_flash_cnt[3357][2]~73880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3357][2]~73880_combout\ = (\led_flash_cnt[3357][2]~q\ & (!\led_flash_cnt[3357][1]~73879\)) # (!\led_flash_cnt[3357][2]~q\ & ((\led_flash_cnt[3357][1]~73879\) # (GND)))
-- \led_flash_cnt[3357][2]~73881\ = CARRY((!\led_flash_cnt[3357][1]~73879\) # (!\led_flash_cnt[3357][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3357][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3357][1]~73879\,
	combout => \led_flash_cnt[3357][2]~73880_combout\,
	cout => \led_flash_cnt[3357][2]~73881\);

-- Location: FF_X47_Y16_N3
\led_flash_cnt[3357][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3357][2]~73880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3357][2]~q\);

-- Location: LCCOMB_X47_Y16_N4
\led_flash_cnt[3357][3]~73882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3357][3]~73882_combout\ = (\led_flash_cnt[3357][3]~q\ & (\led_flash_cnt[3357][2]~73881\ $ (GND))) # (!\led_flash_cnt[3357][3]~q\ & (!\led_flash_cnt[3357][2]~73881\ & VCC))
-- \led_flash_cnt[3357][3]~73883\ = CARRY((\led_flash_cnt[3357][3]~q\ & !\led_flash_cnt[3357][2]~73881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3357][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3357][2]~73881\,
	combout => \led_flash_cnt[3357][3]~73882_combout\,
	cout => \led_flash_cnt[3357][3]~73883\);

-- Location: FF_X47_Y16_N5
\led_flash_cnt[3357][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3357][3]~73882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3357][3]~q\);

-- Location: LCCOMB_X47_Y16_N6
\led_flash_cnt[3357][4]~73884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3357][4]~73884_combout\ = (\led_flash_cnt[3357][4]~q\ & (!\led_flash_cnt[3357][3]~73883\)) # (!\led_flash_cnt[3357][4]~q\ & ((\led_flash_cnt[3357][3]~73883\) # (GND)))
-- \led_flash_cnt[3357][4]~73885\ = CARRY((!\led_flash_cnt[3357][3]~73883\) # (!\led_flash_cnt[3357][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3357][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3357][3]~73883\,
	combout => \led_flash_cnt[3357][4]~73884_combout\,
	cout => \led_flash_cnt[3357][4]~73885\);

-- Location: FF_X47_Y16_N7
\led_flash_cnt[3357][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3357][4]~73884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3357][4]~q\);

-- Location: LCCOMB_X47_Y16_N8
\led_flash_cnt[3357][5]~73886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3357][5]~73886_combout\ = (\led_flash_cnt[3357][5]~q\ & (\led_flash_cnt[3357][4]~73885\ $ (GND))) # (!\led_flash_cnt[3357][5]~q\ & (!\led_flash_cnt[3357][4]~73885\ & VCC))
-- \led_flash_cnt[3357][5]~73887\ = CARRY((\led_flash_cnt[3357][5]~q\ & !\led_flash_cnt[3357][4]~73885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3357][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3357][4]~73885\,
	combout => \led_flash_cnt[3357][5]~73886_combout\,
	cout => \led_flash_cnt[3357][5]~73887\);

-- Location: FF_X47_Y16_N9
\led_flash_cnt[3357][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3357][5]~73886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3357][5]~q\);

-- Location: LCCOMB_X47_Y16_N10
\led_flash_cnt[3357][6]~73888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3357][6]~73888_combout\ = (\led_flash_cnt[3357][6]~q\ & (!\led_flash_cnt[3357][5]~73887\)) # (!\led_flash_cnt[3357][6]~q\ & ((\led_flash_cnt[3357][5]~73887\) # (GND)))
-- \led_flash_cnt[3357][6]~73889\ = CARRY((!\led_flash_cnt[3357][5]~73887\) # (!\led_flash_cnt[3357][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3357][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3357][5]~73887\,
	combout => \led_flash_cnt[3357][6]~73888_combout\,
	cout => \led_flash_cnt[3357][6]~73889\);

-- Location: FF_X47_Y16_N11
\led_flash_cnt[3357][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3357][6]~73888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3357][6]~q\);

-- Location: LCCOMB_X46_Y16_N12
\WideAnd3357~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3357~1_combout\ = (\led_flash_cnt[3357][6]~q\ & \led_flash_cnt[3357][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3357][6]~q\,
	datac => \led_flash_cnt[3357][5]~q\,
	combout => \WideAnd3357~1_combout\);

-- Location: LCCOMB_X46_Y16_N14
\WideAnd3357~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3357~0_combout\ = (\led_flash_cnt[3357][3]~q\ & (\led_flash_cnt[3357][4]~q\ & (\led_flash_cnt[3357][1]~q\ & \led_flash_cnt[3357][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3357][3]~q\,
	datab => \led_flash_cnt[3357][4]~q\,
	datac => \led_flash_cnt[3357][1]~q\,
	datad => \led_flash_cnt[3357][2]~q\,
	combout => \WideAnd3357~0_combout\);

-- Location: LCCOMB_X47_Y16_N12
\led_flash_cnt[3357][7]~73890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3357][7]~73890_combout\ = \led_flash_cnt[3357][6]~73889\ $ (!\led_flash_cnt[3357][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3357][7]~q\,
	cin => \led_flash_cnt[3357][6]~73889\,
	combout => \led_flash_cnt[3357][7]~73890_combout\);

-- Location: FF_X47_Y16_N13
\led_flash_cnt[3357][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3357][7]~73890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3357][7]~q\);

-- Location: LCCOMB_X46_Y16_N4
WideAnd3357 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3357~combout\ = (\WideAnd3357~1_combout\ & (\WideAnd3357~0_combout\ & (\led_flash_cnt[3357][7]~q\ & \led_flash_cnt[3357][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3357~1_combout\,
	datab => \WideAnd3357~0_combout\,
	datac => \led_flash_cnt[3357][7]~q\,
	datad => \led_flash_cnt[3357][0]~q\,
	combout => \WideAnd3357~combout\);

-- Location: FF_X46_Y16_N5
\led_flash_cnt_ands[3357]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3357~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3357));

-- Location: LCCOMB_X46_Y16_N10
\led_flash_cnt[3356][0]~83996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3356][0]~83996_combout\ = !\led_flash_cnt[3356][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3356][0]~q\,
	combout => \led_flash_cnt[3356][0]~83996_combout\);

-- Location: FF_X46_Y16_N11
\led_flash_cnt[3356][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3356][0]~83996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3356][0]~q\);

-- Location: LCCOMB_X46_Y16_N18
\led_flash_cnt[3356][1]~73864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3356][1]~73864_combout\ = (\led_flash_cnt[3356][0]~q\ & (\led_flash_cnt[3356][1]~q\ $ (VCC))) # (!\led_flash_cnt[3356][0]~q\ & (\led_flash_cnt[3356][1]~q\ & VCC))
-- \led_flash_cnt[3356][1]~73865\ = CARRY((\led_flash_cnt[3356][0]~q\ & \led_flash_cnt[3356][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3356][0]~q\,
	datab => \led_flash_cnt[3356][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3356][1]~73864_combout\,
	cout => \led_flash_cnt[3356][1]~73865\);

-- Location: FF_X46_Y16_N19
\led_flash_cnt[3356][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3356][1]~73864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3356][1]~q\);

-- Location: LCCOMB_X46_Y16_N20
\led_flash_cnt[3356][2]~73866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3356][2]~73866_combout\ = (\led_flash_cnt[3356][2]~q\ & (!\led_flash_cnt[3356][1]~73865\)) # (!\led_flash_cnt[3356][2]~q\ & ((\led_flash_cnt[3356][1]~73865\) # (GND)))
-- \led_flash_cnt[3356][2]~73867\ = CARRY((!\led_flash_cnt[3356][1]~73865\) # (!\led_flash_cnt[3356][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3356][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3356][1]~73865\,
	combout => \led_flash_cnt[3356][2]~73866_combout\,
	cout => \led_flash_cnt[3356][2]~73867\);

-- Location: FF_X46_Y16_N21
\led_flash_cnt[3356][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3356][2]~73866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3356][2]~q\);

-- Location: LCCOMB_X46_Y16_N22
\led_flash_cnt[3356][3]~73868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3356][3]~73868_combout\ = (\led_flash_cnt[3356][3]~q\ & (\led_flash_cnt[3356][2]~73867\ $ (GND))) # (!\led_flash_cnt[3356][3]~q\ & (!\led_flash_cnt[3356][2]~73867\ & VCC))
-- \led_flash_cnt[3356][3]~73869\ = CARRY((\led_flash_cnt[3356][3]~q\ & !\led_flash_cnt[3356][2]~73867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3356][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3356][2]~73867\,
	combout => \led_flash_cnt[3356][3]~73868_combout\,
	cout => \led_flash_cnt[3356][3]~73869\);

-- Location: FF_X46_Y16_N23
\led_flash_cnt[3356][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3356][3]~73868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3356][3]~q\);

-- Location: LCCOMB_X46_Y16_N24
\led_flash_cnt[3356][4]~73870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3356][4]~73870_combout\ = (\led_flash_cnt[3356][4]~q\ & (!\led_flash_cnt[3356][3]~73869\)) # (!\led_flash_cnt[3356][4]~q\ & ((\led_flash_cnt[3356][3]~73869\) # (GND)))
-- \led_flash_cnt[3356][4]~73871\ = CARRY((!\led_flash_cnt[3356][3]~73869\) # (!\led_flash_cnt[3356][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3356][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3356][3]~73869\,
	combout => \led_flash_cnt[3356][4]~73870_combout\,
	cout => \led_flash_cnt[3356][4]~73871\);

-- Location: FF_X46_Y16_N25
\led_flash_cnt[3356][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3356][4]~73870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3356][4]~q\);

-- Location: LCCOMB_X46_Y16_N26
\led_flash_cnt[3356][5]~73872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3356][5]~73872_combout\ = (\led_flash_cnt[3356][5]~q\ & (\led_flash_cnt[3356][4]~73871\ $ (GND))) # (!\led_flash_cnt[3356][5]~q\ & (!\led_flash_cnt[3356][4]~73871\ & VCC))
-- \led_flash_cnt[3356][5]~73873\ = CARRY((\led_flash_cnt[3356][5]~q\ & !\led_flash_cnt[3356][4]~73871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3356][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3356][4]~73871\,
	combout => \led_flash_cnt[3356][5]~73872_combout\,
	cout => \led_flash_cnt[3356][5]~73873\);

-- Location: FF_X46_Y16_N27
\led_flash_cnt[3356][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3356][5]~73872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3356][5]~q\);

-- Location: LCCOMB_X46_Y16_N28
\led_flash_cnt[3356][6]~73874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3356][6]~73874_combout\ = (\led_flash_cnt[3356][6]~q\ & (!\led_flash_cnt[3356][5]~73873\)) # (!\led_flash_cnt[3356][6]~q\ & ((\led_flash_cnt[3356][5]~73873\) # (GND)))
-- \led_flash_cnt[3356][6]~73875\ = CARRY((!\led_flash_cnt[3356][5]~73873\) # (!\led_flash_cnt[3356][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3356][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3356][5]~73873\,
	combout => \led_flash_cnt[3356][6]~73874_combout\,
	cout => \led_flash_cnt[3356][6]~73875\);

-- Location: FF_X46_Y16_N29
\led_flash_cnt[3356][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3356][6]~73874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3356][6]~q\);

-- Location: LCCOMB_X46_Y16_N16
\WideAnd3356~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3356~1_combout\ = (\led_flash_cnt[3356][5]~q\ & \led_flash_cnt[3356][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3356][5]~q\,
	datad => \led_flash_cnt[3356][6]~q\,
	combout => \WideAnd3356~1_combout\);

-- Location: LCCOMB_X46_Y16_N30
\led_flash_cnt[3356][7]~73876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3356][7]~73876_combout\ = \led_flash_cnt[3356][7]~q\ $ (!\led_flash_cnt[3356][6]~73875\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3356][7]~q\,
	cin => \led_flash_cnt[3356][6]~73875\,
	combout => \led_flash_cnt[3356][7]~73876_combout\);

-- Location: FF_X46_Y16_N31
\led_flash_cnt[3356][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3356][7]~73876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3356][7]~q\);

-- Location: LCCOMB_X46_Y16_N2
\WideAnd3356~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3356~0_combout\ = (\led_flash_cnt[3356][1]~q\ & (\led_flash_cnt[3356][4]~q\ & (\led_flash_cnt[3356][3]~q\ & \led_flash_cnt[3356][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3356][1]~q\,
	datab => \led_flash_cnt[3356][4]~q\,
	datac => \led_flash_cnt[3356][3]~q\,
	datad => \led_flash_cnt[3356][2]~q\,
	combout => \WideAnd3356~0_combout\);

-- Location: LCCOMB_X46_Y16_N8
WideAnd3356 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3356~combout\ = (\led_flash_cnt[3356][0]~q\ & (\WideAnd3356~1_combout\ & (\led_flash_cnt[3356][7]~q\ & \WideAnd3356~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3356][0]~q\,
	datab => \WideAnd3356~1_combout\,
	datac => \led_flash_cnt[3356][7]~q\,
	datad => \WideAnd3356~0_combout\,
	combout => \WideAnd3356~combout\);

-- Location: FF_X46_Y16_N9
\led_flash_cnt_ands[3356]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3356~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3356));

-- Location: LCCOMB_X46_Y16_N0
\WideAnd4259~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4259~1_combout\ = (led_flash_cnt_ands(3357) & led_flash_cnt_ands(3356))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3357),
	datac => led_flash_cnt_ands(3356),
	combout => \WideAnd4259~1_combout\);

-- Location: LCCOMB_X49_Y17_N6
\led_flash_cnt[3359][0]~83999\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3359][0]~83999_combout\ = !\led_flash_cnt[3359][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3359][0]~q\,
	combout => \led_flash_cnt[3359][0]~83999_combout\);

-- Location: FF_X49_Y17_N7
\led_flash_cnt[3359][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3359][0]~83999_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3359][0]~q\);

-- Location: LCCOMB_X50_Y17_N16
\led_flash_cnt[3359][1]~73906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3359][1]~73906_combout\ = (\led_flash_cnt[3359][1]~q\ & (\led_flash_cnt[3359][0]~q\ $ (VCC))) # (!\led_flash_cnt[3359][1]~q\ & (\led_flash_cnt[3359][0]~q\ & VCC))
-- \led_flash_cnt[3359][1]~73907\ = CARRY((\led_flash_cnt[3359][1]~q\ & \led_flash_cnt[3359][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3359][1]~q\,
	datab => \led_flash_cnt[3359][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3359][1]~73906_combout\,
	cout => \led_flash_cnt[3359][1]~73907\);

-- Location: FF_X50_Y17_N17
\led_flash_cnt[3359][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3359][1]~73906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3359][1]~q\);

-- Location: LCCOMB_X50_Y17_N18
\led_flash_cnt[3359][2]~73908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3359][2]~73908_combout\ = (\led_flash_cnt[3359][2]~q\ & (!\led_flash_cnt[3359][1]~73907\)) # (!\led_flash_cnt[3359][2]~q\ & ((\led_flash_cnt[3359][1]~73907\) # (GND)))
-- \led_flash_cnt[3359][2]~73909\ = CARRY((!\led_flash_cnt[3359][1]~73907\) # (!\led_flash_cnt[3359][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3359][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3359][1]~73907\,
	combout => \led_flash_cnt[3359][2]~73908_combout\,
	cout => \led_flash_cnt[3359][2]~73909\);

-- Location: FF_X50_Y17_N19
\led_flash_cnt[3359][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3359][2]~73908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3359][2]~q\);

-- Location: LCCOMB_X50_Y17_N20
\led_flash_cnt[3359][3]~73910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3359][3]~73910_combout\ = (\led_flash_cnt[3359][3]~q\ & (\led_flash_cnt[3359][2]~73909\ $ (GND))) # (!\led_flash_cnt[3359][3]~q\ & (!\led_flash_cnt[3359][2]~73909\ & VCC))
-- \led_flash_cnt[3359][3]~73911\ = CARRY((\led_flash_cnt[3359][3]~q\ & !\led_flash_cnt[3359][2]~73909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3359][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3359][2]~73909\,
	combout => \led_flash_cnt[3359][3]~73910_combout\,
	cout => \led_flash_cnt[3359][3]~73911\);

-- Location: FF_X50_Y17_N21
\led_flash_cnt[3359][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3359][3]~73910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3359][3]~q\);

-- Location: LCCOMB_X50_Y17_N22
\led_flash_cnt[3359][4]~73912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3359][4]~73912_combout\ = (\led_flash_cnt[3359][4]~q\ & (!\led_flash_cnt[3359][3]~73911\)) # (!\led_flash_cnt[3359][4]~q\ & ((\led_flash_cnt[3359][3]~73911\) # (GND)))
-- \led_flash_cnt[3359][4]~73913\ = CARRY((!\led_flash_cnt[3359][3]~73911\) # (!\led_flash_cnt[3359][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3359][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3359][3]~73911\,
	combout => \led_flash_cnt[3359][4]~73912_combout\,
	cout => \led_flash_cnt[3359][4]~73913\);

-- Location: FF_X50_Y17_N23
\led_flash_cnt[3359][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3359][4]~73912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3359][4]~q\);

-- Location: LCCOMB_X49_Y17_N10
\WideAnd3359~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3359~0_combout\ = (\led_flash_cnt[3359][2]~q\ & (\led_flash_cnt[3359][4]~q\ & (\led_flash_cnt[3359][3]~q\ & \led_flash_cnt[3359][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3359][2]~q\,
	datab => \led_flash_cnt[3359][4]~q\,
	datac => \led_flash_cnt[3359][3]~q\,
	datad => \led_flash_cnt[3359][1]~q\,
	combout => \WideAnd3359~0_combout\);

-- Location: LCCOMB_X50_Y17_N24
\led_flash_cnt[3359][5]~73914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3359][5]~73914_combout\ = (\led_flash_cnt[3359][5]~q\ & (\led_flash_cnt[3359][4]~73913\ $ (GND))) # (!\led_flash_cnt[3359][5]~q\ & (!\led_flash_cnt[3359][4]~73913\ & VCC))
-- \led_flash_cnt[3359][5]~73915\ = CARRY((\led_flash_cnt[3359][5]~q\ & !\led_flash_cnt[3359][4]~73913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3359][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3359][4]~73913\,
	combout => \led_flash_cnt[3359][5]~73914_combout\,
	cout => \led_flash_cnt[3359][5]~73915\);

-- Location: FF_X50_Y17_N25
\led_flash_cnt[3359][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3359][5]~73914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3359][5]~q\);

-- Location: LCCOMB_X50_Y17_N26
\led_flash_cnt[3359][6]~73916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3359][6]~73916_combout\ = (\led_flash_cnt[3359][6]~q\ & (!\led_flash_cnt[3359][5]~73915\)) # (!\led_flash_cnt[3359][6]~q\ & ((\led_flash_cnt[3359][5]~73915\) # (GND)))
-- \led_flash_cnt[3359][6]~73917\ = CARRY((!\led_flash_cnt[3359][5]~73915\) # (!\led_flash_cnt[3359][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3359][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3359][5]~73915\,
	combout => \led_flash_cnt[3359][6]~73916_combout\,
	cout => \led_flash_cnt[3359][6]~73917\);

-- Location: FF_X50_Y17_N27
\led_flash_cnt[3359][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3359][6]~73916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3359][6]~q\);

-- Location: LCCOMB_X50_Y17_N28
\led_flash_cnt[3359][7]~73918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3359][7]~73918_combout\ = \led_flash_cnt[3359][6]~73917\ $ (!\led_flash_cnt[3359][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3359][7]~q\,
	cin => \led_flash_cnt[3359][6]~73917\,
	combout => \led_flash_cnt[3359][7]~73918_combout\);

-- Location: FF_X50_Y17_N29
\led_flash_cnt[3359][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3359][7]~73918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3359][7]~q\);

-- Location: LCCOMB_X49_Y17_N8
\WideAnd3359~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3359~1_combout\ = (\led_flash_cnt[3359][6]~q\ & \led_flash_cnt[3359][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3359][6]~q\,
	datad => \led_flash_cnt[3359][5]~q\,
	combout => \WideAnd3359~1_combout\);

-- Location: LCCOMB_X49_Y17_N0
WideAnd3359 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3359~combout\ = (\WideAnd3359~0_combout\ & (\led_flash_cnt[3359][7]~q\ & (\WideAnd3359~1_combout\ & \led_flash_cnt[3359][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3359~0_combout\,
	datab => \led_flash_cnt[3359][7]~q\,
	datac => \WideAnd3359~1_combout\,
	datad => \led_flash_cnt[3359][0]~q\,
	combout => \WideAnd3359~combout\);

-- Location: FF_X49_Y17_N1
\led_flash_cnt_ands[3359]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3359~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3359));

-- Location: LCCOMB_X50_Y8_N24
\led_flash_cnt[3352][0]~83992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3352][0]~83992_combout\ = !\led_flash_cnt[3352][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3352][0]~q\,
	combout => \led_flash_cnt[3352][0]~83992_combout\);

-- Location: FF_X50_Y8_N25
\led_flash_cnt[3352][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3352][0]~83992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3352][0]~q\);

-- Location: LCCOMB_X47_Y8_N12
\led_flash_cnt[3352][1]~73808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3352][1]~73808_combout\ = (\led_flash_cnt[3352][1]~q\ & (\led_flash_cnt[3352][0]~q\ $ (VCC))) # (!\led_flash_cnt[3352][1]~q\ & (\led_flash_cnt[3352][0]~q\ & VCC))
-- \led_flash_cnt[3352][1]~73809\ = CARRY((\led_flash_cnt[3352][1]~q\ & \led_flash_cnt[3352][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3352][1]~q\,
	datab => \led_flash_cnt[3352][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3352][1]~73808_combout\,
	cout => \led_flash_cnt[3352][1]~73809\);

-- Location: FF_X47_Y8_N13
\led_flash_cnt[3352][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3352][1]~73808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3352][1]~q\);

-- Location: LCCOMB_X47_Y8_N14
\led_flash_cnt[3352][2]~73810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3352][2]~73810_combout\ = (\led_flash_cnt[3352][2]~q\ & (!\led_flash_cnt[3352][1]~73809\)) # (!\led_flash_cnt[3352][2]~q\ & ((\led_flash_cnt[3352][1]~73809\) # (GND)))
-- \led_flash_cnt[3352][2]~73811\ = CARRY((!\led_flash_cnt[3352][1]~73809\) # (!\led_flash_cnt[3352][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3352][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3352][1]~73809\,
	combout => \led_flash_cnt[3352][2]~73810_combout\,
	cout => \led_flash_cnt[3352][2]~73811\);

-- Location: FF_X47_Y8_N15
\led_flash_cnt[3352][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3352][2]~73810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3352][2]~q\);

-- Location: LCCOMB_X47_Y8_N16
\led_flash_cnt[3352][3]~73812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3352][3]~73812_combout\ = (\led_flash_cnt[3352][3]~q\ & (\led_flash_cnt[3352][2]~73811\ $ (GND))) # (!\led_flash_cnt[3352][3]~q\ & (!\led_flash_cnt[3352][2]~73811\ & VCC))
-- \led_flash_cnt[3352][3]~73813\ = CARRY((\led_flash_cnt[3352][3]~q\ & !\led_flash_cnt[3352][2]~73811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3352][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3352][2]~73811\,
	combout => \led_flash_cnt[3352][3]~73812_combout\,
	cout => \led_flash_cnt[3352][3]~73813\);

-- Location: FF_X47_Y8_N17
\led_flash_cnt[3352][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3352][3]~73812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3352][3]~q\);

-- Location: LCCOMB_X47_Y8_N18
\led_flash_cnt[3352][4]~73814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3352][4]~73814_combout\ = (\led_flash_cnt[3352][4]~q\ & (!\led_flash_cnt[3352][3]~73813\)) # (!\led_flash_cnt[3352][4]~q\ & ((\led_flash_cnt[3352][3]~73813\) # (GND)))
-- \led_flash_cnt[3352][4]~73815\ = CARRY((!\led_flash_cnt[3352][3]~73813\) # (!\led_flash_cnt[3352][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3352][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3352][3]~73813\,
	combout => \led_flash_cnt[3352][4]~73814_combout\,
	cout => \led_flash_cnt[3352][4]~73815\);

-- Location: FF_X47_Y8_N19
\led_flash_cnt[3352][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3352][4]~73814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3352][4]~q\);

-- Location: LCCOMB_X47_Y8_N20
\led_flash_cnt[3352][5]~73816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3352][5]~73816_combout\ = (\led_flash_cnt[3352][5]~q\ & (\led_flash_cnt[3352][4]~73815\ $ (GND))) # (!\led_flash_cnt[3352][5]~q\ & (!\led_flash_cnt[3352][4]~73815\ & VCC))
-- \led_flash_cnt[3352][5]~73817\ = CARRY((\led_flash_cnt[3352][5]~q\ & !\led_flash_cnt[3352][4]~73815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3352][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3352][4]~73815\,
	combout => \led_flash_cnt[3352][5]~73816_combout\,
	cout => \led_flash_cnt[3352][5]~73817\);

-- Location: FF_X47_Y8_N21
\led_flash_cnt[3352][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3352][5]~73816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3352][5]~q\);

-- Location: LCCOMB_X47_Y8_N22
\led_flash_cnt[3352][6]~73818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3352][6]~73818_combout\ = (\led_flash_cnt[3352][6]~q\ & (!\led_flash_cnt[3352][5]~73817\)) # (!\led_flash_cnt[3352][6]~q\ & ((\led_flash_cnt[3352][5]~73817\) # (GND)))
-- \led_flash_cnt[3352][6]~73819\ = CARRY((!\led_flash_cnt[3352][5]~73817\) # (!\led_flash_cnt[3352][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3352][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3352][5]~73817\,
	combout => \led_flash_cnt[3352][6]~73818_combout\,
	cout => \led_flash_cnt[3352][6]~73819\);

-- Location: FF_X47_Y8_N23
\led_flash_cnt[3352][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3352][6]~73818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3352][6]~q\);

-- Location: LCCOMB_X47_Y8_N6
\WideAnd3352~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3352~1_combout\ = (\led_flash_cnt[3352][6]~q\ & \led_flash_cnt[3352][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3352][6]~q\,
	datad => \led_flash_cnt[3352][5]~q\,
	combout => \WideAnd3352~1_combout\);

-- Location: LCCOMB_X47_Y8_N24
\led_flash_cnt[3352][7]~73820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3352][7]~73820_combout\ = \led_flash_cnt[3352][6]~73819\ $ (!\led_flash_cnt[3352][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3352][7]~q\,
	cin => \led_flash_cnt[3352][6]~73819\,
	combout => \led_flash_cnt[3352][7]~73820_combout\);

-- Location: FF_X47_Y8_N25
\led_flash_cnt[3352][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3352][7]~73820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3352][7]~q\);

-- Location: LCCOMB_X47_Y8_N8
\WideAnd3352~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3352~0_combout\ = (\led_flash_cnt[3352][1]~q\ & (\led_flash_cnt[3352][3]~q\ & (\led_flash_cnt[3352][2]~q\ & \led_flash_cnt[3352][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3352][1]~q\,
	datab => \led_flash_cnt[3352][3]~q\,
	datac => \led_flash_cnt[3352][2]~q\,
	datad => \led_flash_cnt[3352][4]~q\,
	combout => \WideAnd3352~0_combout\);

-- Location: LCCOMB_X47_Y8_N0
WideAnd3352 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3352~combout\ = (\WideAnd3352~1_combout\ & (\led_flash_cnt[3352][7]~q\ & (\WideAnd3352~0_combout\ & \led_flash_cnt[3352][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3352~1_combout\,
	datab => \led_flash_cnt[3352][7]~q\,
	datac => \WideAnd3352~0_combout\,
	datad => \led_flash_cnt[3352][0]~q\,
	combout => \WideAnd3352~combout\);

-- Location: FF_X47_Y8_N1
\led_flash_cnt_ands[3352]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3352~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3352));

-- Location: LCCOMB_X24_Y30_N2
\led_flash_cnt[3355][0]~83995\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3355][0]~83995_combout\ = !\led_flash_cnt[3355][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3355][0]~q\,
	combout => \led_flash_cnt[3355][0]~83995_combout\);

-- Location: FF_X24_Y30_N3
\led_flash_cnt[3355][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3355][0]~83995_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3355][0]~q\);

-- Location: LCCOMB_X24_Y30_N12
\led_flash_cnt[3355][1]~73850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3355][1]~73850_combout\ = (\led_flash_cnt[3355][1]~q\ & (\led_flash_cnt[3355][0]~q\ $ (VCC))) # (!\led_flash_cnt[3355][1]~q\ & (\led_flash_cnt[3355][0]~q\ & VCC))
-- \led_flash_cnt[3355][1]~73851\ = CARRY((\led_flash_cnt[3355][1]~q\ & \led_flash_cnt[3355][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3355][1]~q\,
	datab => \led_flash_cnt[3355][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3355][1]~73850_combout\,
	cout => \led_flash_cnt[3355][1]~73851\);

-- Location: FF_X24_Y30_N13
\led_flash_cnt[3355][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3355][1]~73850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3355][1]~q\);

-- Location: LCCOMB_X24_Y30_N14
\led_flash_cnt[3355][2]~73852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3355][2]~73852_combout\ = (\led_flash_cnt[3355][2]~q\ & (!\led_flash_cnt[3355][1]~73851\)) # (!\led_flash_cnt[3355][2]~q\ & ((\led_flash_cnt[3355][1]~73851\) # (GND)))
-- \led_flash_cnt[3355][2]~73853\ = CARRY((!\led_flash_cnt[3355][1]~73851\) # (!\led_flash_cnt[3355][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3355][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3355][1]~73851\,
	combout => \led_flash_cnt[3355][2]~73852_combout\,
	cout => \led_flash_cnt[3355][2]~73853\);

-- Location: FF_X24_Y30_N15
\led_flash_cnt[3355][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3355][2]~73852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3355][2]~q\);

-- Location: LCCOMB_X24_Y30_N16
\led_flash_cnt[3355][3]~73854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3355][3]~73854_combout\ = (\led_flash_cnt[3355][3]~q\ & (\led_flash_cnt[3355][2]~73853\ $ (GND))) # (!\led_flash_cnt[3355][3]~q\ & (!\led_flash_cnt[3355][2]~73853\ & VCC))
-- \led_flash_cnt[3355][3]~73855\ = CARRY((\led_flash_cnt[3355][3]~q\ & !\led_flash_cnt[3355][2]~73853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3355][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3355][2]~73853\,
	combout => \led_flash_cnt[3355][3]~73854_combout\,
	cout => \led_flash_cnt[3355][3]~73855\);

-- Location: FF_X24_Y30_N17
\led_flash_cnt[3355][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3355][3]~73854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3355][3]~q\);

-- Location: LCCOMB_X24_Y30_N18
\led_flash_cnt[3355][4]~73856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3355][4]~73856_combout\ = (\led_flash_cnt[3355][4]~q\ & (!\led_flash_cnt[3355][3]~73855\)) # (!\led_flash_cnt[3355][4]~q\ & ((\led_flash_cnt[3355][3]~73855\) # (GND)))
-- \led_flash_cnt[3355][4]~73857\ = CARRY((!\led_flash_cnt[3355][3]~73855\) # (!\led_flash_cnt[3355][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3355][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3355][3]~73855\,
	combout => \led_flash_cnt[3355][4]~73856_combout\,
	cout => \led_flash_cnt[3355][4]~73857\);

-- Location: FF_X24_Y30_N19
\led_flash_cnt[3355][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3355][4]~73856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3355][4]~q\);

-- Location: LCCOMB_X24_Y30_N10
\WideAnd3355~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3355~0_combout\ = (\led_flash_cnt[3355][1]~q\ & (\led_flash_cnt[3355][3]~q\ & (\led_flash_cnt[3355][2]~q\ & \led_flash_cnt[3355][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3355][1]~q\,
	datab => \led_flash_cnt[3355][3]~q\,
	datac => \led_flash_cnt[3355][2]~q\,
	datad => \led_flash_cnt[3355][4]~q\,
	combout => \WideAnd3355~0_combout\);

-- Location: LCCOMB_X24_Y30_N20
\led_flash_cnt[3355][5]~73858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3355][5]~73858_combout\ = (\led_flash_cnt[3355][5]~q\ & (\led_flash_cnt[3355][4]~73857\ $ (GND))) # (!\led_flash_cnt[3355][5]~q\ & (!\led_flash_cnt[3355][4]~73857\ & VCC))
-- \led_flash_cnt[3355][5]~73859\ = CARRY((\led_flash_cnt[3355][5]~q\ & !\led_flash_cnt[3355][4]~73857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3355][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3355][4]~73857\,
	combout => \led_flash_cnt[3355][5]~73858_combout\,
	cout => \led_flash_cnt[3355][5]~73859\);

-- Location: FF_X24_Y30_N21
\led_flash_cnt[3355][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3355][5]~73858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3355][5]~q\);

-- Location: LCCOMB_X24_Y30_N22
\led_flash_cnt[3355][6]~73860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3355][6]~73860_combout\ = (\led_flash_cnt[3355][6]~q\ & (!\led_flash_cnt[3355][5]~73859\)) # (!\led_flash_cnt[3355][6]~q\ & ((\led_flash_cnt[3355][5]~73859\) # (GND)))
-- \led_flash_cnt[3355][6]~73861\ = CARRY((!\led_flash_cnt[3355][5]~73859\) # (!\led_flash_cnt[3355][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3355][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3355][5]~73859\,
	combout => \led_flash_cnt[3355][6]~73860_combout\,
	cout => \led_flash_cnt[3355][6]~73861\);

-- Location: FF_X24_Y30_N23
\led_flash_cnt[3355][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3355][6]~73860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3355][6]~q\);

-- Location: LCCOMB_X24_Y30_N24
\led_flash_cnt[3355][7]~73862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3355][7]~73862_combout\ = \led_flash_cnt[3355][6]~73861\ $ (!\led_flash_cnt[3355][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3355][7]~q\,
	cin => \led_flash_cnt[3355][6]~73861\,
	combout => \led_flash_cnt[3355][7]~73862_combout\);

-- Location: FF_X24_Y30_N25
\led_flash_cnt[3355][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3355][7]~73862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3355][7]~q\);

-- Location: LCCOMB_X24_Y30_N30
\WideAnd3355~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3355~1_combout\ = (\led_flash_cnt[3355][6]~q\ & \led_flash_cnt[3355][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3355][6]~q\,
	datad => \led_flash_cnt[3355][5]~q\,
	combout => \WideAnd3355~1_combout\);

-- Location: LCCOMB_X24_Y30_N0
WideAnd3355 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3355~combout\ = (\WideAnd3355~0_combout\ & (\led_flash_cnt[3355][7]~q\ & (\WideAnd3355~1_combout\ & \led_flash_cnt[3355][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3355~0_combout\,
	datab => \led_flash_cnt[3355][7]~q\,
	datac => \WideAnd3355~1_combout\,
	datad => \led_flash_cnt[3355][0]~q\,
	combout => \WideAnd3355~combout\);

-- Location: FF_X24_Y30_N1
\led_flash_cnt_ands[3355]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3355~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3355));

-- Location: LCCOMB_X19_Y31_N10
\led_flash_cnt[3354][0]~83994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3354][0]~83994_combout\ = !\led_flash_cnt[3354][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3354][0]~q\,
	combout => \led_flash_cnt[3354][0]~83994_combout\);

-- Location: FF_X19_Y31_N11
\led_flash_cnt[3354][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3354][0]~83994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3354][0]~q\);

-- Location: LCCOMB_X19_Y31_N12
\led_flash_cnt[3354][1]~73836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3354][1]~73836_combout\ = (\led_flash_cnt[3354][1]~q\ & (\led_flash_cnt[3354][0]~q\ $ (VCC))) # (!\led_flash_cnt[3354][1]~q\ & (\led_flash_cnt[3354][0]~q\ & VCC))
-- \led_flash_cnt[3354][1]~73837\ = CARRY((\led_flash_cnt[3354][1]~q\ & \led_flash_cnt[3354][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3354][1]~q\,
	datab => \led_flash_cnt[3354][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3354][1]~73836_combout\,
	cout => \led_flash_cnt[3354][1]~73837\);

-- Location: FF_X19_Y31_N13
\led_flash_cnt[3354][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3354][1]~73836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3354][1]~q\);

-- Location: LCCOMB_X19_Y31_N14
\led_flash_cnt[3354][2]~73838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3354][2]~73838_combout\ = (\led_flash_cnt[3354][2]~q\ & (!\led_flash_cnt[3354][1]~73837\)) # (!\led_flash_cnt[3354][2]~q\ & ((\led_flash_cnt[3354][1]~73837\) # (GND)))
-- \led_flash_cnt[3354][2]~73839\ = CARRY((!\led_flash_cnt[3354][1]~73837\) # (!\led_flash_cnt[3354][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3354][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3354][1]~73837\,
	combout => \led_flash_cnt[3354][2]~73838_combout\,
	cout => \led_flash_cnt[3354][2]~73839\);

-- Location: FF_X19_Y31_N15
\led_flash_cnt[3354][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3354][2]~73838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3354][2]~q\);

-- Location: LCCOMB_X19_Y31_N16
\led_flash_cnt[3354][3]~73840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3354][3]~73840_combout\ = (\led_flash_cnt[3354][3]~q\ & (\led_flash_cnt[3354][2]~73839\ $ (GND))) # (!\led_flash_cnt[3354][3]~q\ & (!\led_flash_cnt[3354][2]~73839\ & VCC))
-- \led_flash_cnt[3354][3]~73841\ = CARRY((\led_flash_cnt[3354][3]~q\ & !\led_flash_cnt[3354][2]~73839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3354][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3354][2]~73839\,
	combout => \led_flash_cnt[3354][3]~73840_combout\,
	cout => \led_flash_cnt[3354][3]~73841\);

-- Location: FF_X19_Y31_N17
\led_flash_cnt[3354][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3354][3]~73840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3354][3]~q\);

-- Location: LCCOMB_X19_Y31_N18
\led_flash_cnt[3354][4]~73842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3354][4]~73842_combout\ = (\led_flash_cnt[3354][4]~q\ & (!\led_flash_cnt[3354][3]~73841\)) # (!\led_flash_cnt[3354][4]~q\ & ((\led_flash_cnt[3354][3]~73841\) # (GND)))
-- \led_flash_cnt[3354][4]~73843\ = CARRY((!\led_flash_cnt[3354][3]~73841\) # (!\led_flash_cnt[3354][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3354][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3354][3]~73841\,
	combout => \led_flash_cnt[3354][4]~73842_combout\,
	cout => \led_flash_cnt[3354][4]~73843\);

-- Location: FF_X19_Y31_N19
\led_flash_cnt[3354][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3354][4]~73842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3354][4]~q\);

-- Location: LCCOMB_X19_Y31_N20
\led_flash_cnt[3354][5]~73844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3354][5]~73844_combout\ = (\led_flash_cnt[3354][5]~q\ & (\led_flash_cnt[3354][4]~73843\ $ (GND))) # (!\led_flash_cnt[3354][5]~q\ & (!\led_flash_cnt[3354][4]~73843\ & VCC))
-- \led_flash_cnt[3354][5]~73845\ = CARRY((\led_flash_cnt[3354][5]~q\ & !\led_flash_cnt[3354][4]~73843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3354][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3354][4]~73843\,
	combout => \led_flash_cnt[3354][5]~73844_combout\,
	cout => \led_flash_cnt[3354][5]~73845\);

-- Location: FF_X19_Y31_N21
\led_flash_cnt[3354][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3354][5]~73844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3354][5]~q\);

-- Location: LCCOMB_X19_Y31_N22
\led_flash_cnt[3354][6]~73846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3354][6]~73846_combout\ = (\led_flash_cnt[3354][6]~q\ & (!\led_flash_cnt[3354][5]~73845\)) # (!\led_flash_cnt[3354][6]~q\ & ((\led_flash_cnt[3354][5]~73845\) # (GND)))
-- \led_flash_cnt[3354][6]~73847\ = CARRY((!\led_flash_cnt[3354][5]~73845\) # (!\led_flash_cnt[3354][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3354][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3354][5]~73845\,
	combout => \led_flash_cnt[3354][6]~73846_combout\,
	cout => \led_flash_cnt[3354][6]~73847\);

-- Location: FF_X19_Y31_N23
\led_flash_cnt[3354][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3354][6]~73846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3354][6]~q\);

-- Location: LCCOMB_X19_Y31_N24
\led_flash_cnt[3354][7]~73848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3354][7]~73848_combout\ = \led_flash_cnt[3354][6]~73847\ $ (!\led_flash_cnt[3354][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3354][7]~q\,
	cin => \led_flash_cnt[3354][6]~73847\,
	combout => \led_flash_cnt[3354][7]~73848_combout\);

-- Location: FF_X19_Y31_N25
\led_flash_cnt[3354][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3354][7]~73848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3354][7]~q\);

-- Location: LCCOMB_X19_Y31_N26
\WideAnd3354~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3354~1_combout\ = (\led_flash_cnt[3354][6]~q\ & \led_flash_cnt[3354][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3354][6]~q\,
	datad => \led_flash_cnt[3354][5]~q\,
	combout => \WideAnd3354~1_combout\);

-- Location: LCCOMB_X19_Y31_N0
\WideAnd3354~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3354~0_combout\ = (\led_flash_cnt[3354][1]~q\ & (\led_flash_cnt[3354][4]~q\ & (\led_flash_cnt[3354][2]~q\ & \led_flash_cnt[3354][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3354][1]~q\,
	datab => \led_flash_cnt[3354][4]~q\,
	datac => \led_flash_cnt[3354][2]~q\,
	datad => \led_flash_cnt[3354][3]~q\,
	combout => \WideAnd3354~0_combout\);

-- Location: LCCOMB_X19_Y31_N30
WideAnd3354 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3354~combout\ = (\led_flash_cnt[3354][0]~q\ & (\led_flash_cnt[3354][7]~q\ & (\WideAnd3354~1_combout\ & \WideAnd3354~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3354][0]~q\,
	datab => \led_flash_cnt[3354][7]~q\,
	datac => \WideAnd3354~1_combout\,
	datad => \WideAnd3354~0_combout\,
	combout => \WideAnd3354~combout\);

-- Location: FF_X19_Y31_N31
\led_flash_cnt_ands[3354]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3354~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3354));

-- Location: LCCOMB_X24_Y36_N30
\led_flash_cnt[3353][0]~83993\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3353][0]~83993_combout\ = !\led_flash_cnt[3353][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3353][0]~q\,
	combout => \led_flash_cnt[3353][0]~83993_combout\);

-- Location: FF_X24_Y36_N31
\led_flash_cnt[3353][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3353][0]~83993_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3353][0]~q\);

-- Location: LCCOMB_X24_Y36_N8
\led_flash_cnt[3353][1]~73822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3353][1]~73822_combout\ = (\led_flash_cnt[3353][0]~q\ & (\led_flash_cnt[3353][1]~q\ $ (VCC))) # (!\led_flash_cnt[3353][0]~q\ & (\led_flash_cnt[3353][1]~q\ & VCC))
-- \led_flash_cnt[3353][1]~73823\ = CARRY((\led_flash_cnt[3353][0]~q\ & \led_flash_cnt[3353][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3353][0]~q\,
	datab => \led_flash_cnt[3353][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3353][1]~73822_combout\,
	cout => \led_flash_cnt[3353][1]~73823\);

-- Location: FF_X24_Y36_N9
\led_flash_cnt[3353][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3353][1]~73822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3353][1]~q\);

-- Location: LCCOMB_X24_Y36_N10
\led_flash_cnt[3353][2]~73824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3353][2]~73824_combout\ = (\led_flash_cnt[3353][2]~q\ & (!\led_flash_cnt[3353][1]~73823\)) # (!\led_flash_cnt[3353][2]~q\ & ((\led_flash_cnt[3353][1]~73823\) # (GND)))
-- \led_flash_cnt[3353][2]~73825\ = CARRY((!\led_flash_cnt[3353][1]~73823\) # (!\led_flash_cnt[3353][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3353][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3353][1]~73823\,
	combout => \led_flash_cnt[3353][2]~73824_combout\,
	cout => \led_flash_cnt[3353][2]~73825\);

-- Location: FF_X24_Y36_N11
\led_flash_cnt[3353][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3353][2]~73824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3353][2]~q\);

-- Location: LCCOMB_X24_Y36_N12
\led_flash_cnt[3353][3]~73826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3353][3]~73826_combout\ = (\led_flash_cnt[3353][3]~q\ & (\led_flash_cnt[3353][2]~73825\ $ (GND))) # (!\led_flash_cnt[3353][3]~q\ & (!\led_flash_cnt[3353][2]~73825\ & VCC))
-- \led_flash_cnt[3353][3]~73827\ = CARRY((\led_flash_cnt[3353][3]~q\ & !\led_flash_cnt[3353][2]~73825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3353][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3353][2]~73825\,
	combout => \led_flash_cnt[3353][3]~73826_combout\,
	cout => \led_flash_cnt[3353][3]~73827\);

-- Location: FF_X24_Y36_N13
\led_flash_cnt[3353][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3353][3]~73826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3353][3]~q\);

-- Location: LCCOMB_X24_Y36_N14
\led_flash_cnt[3353][4]~73828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3353][4]~73828_combout\ = (\led_flash_cnt[3353][4]~q\ & (!\led_flash_cnt[3353][3]~73827\)) # (!\led_flash_cnt[3353][4]~q\ & ((\led_flash_cnt[3353][3]~73827\) # (GND)))
-- \led_flash_cnt[3353][4]~73829\ = CARRY((!\led_flash_cnt[3353][3]~73827\) # (!\led_flash_cnt[3353][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3353][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3353][3]~73827\,
	combout => \led_flash_cnt[3353][4]~73828_combout\,
	cout => \led_flash_cnt[3353][4]~73829\);

-- Location: FF_X24_Y36_N15
\led_flash_cnt[3353][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3353][4]~73828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3353][4]~q\);

-- Location: LCCOMB_X24_Y36_N16
\led_flash_cnt[3353][5]~73830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3353][5]~73830_combout\ = (\led_flash_cnt[3353][5]~q\ & (\led_flash_cnt[3353][4]~73829\ $ (GND))) # (!\led_flash_cnt[3353][5]~q\ & (!\led_flash_cnt[3353][4]~73829\ & VCC))
-- \led_flash_cnt[3353][5]~73831\ = CARRY((\led_flash_cnt[3353][5]~q\ & !\led_flash_cnt[3353][4]~73829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3353][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3353][4]~73829\,
	combout => \led_flash_cnt[3353][5]~73830_combout\,
	cout => \led_flash_cnt[3353][5]~73831\);

-- Location: FF_X24_Y36_N17
\led_flash_cnt[3353][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3353][5]~73830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3353][5]~q\);

-- Location: LCCOMB_X24_Y36_N18
\led_flash_cnt[3353][6]~73832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3353][6]~73832_combout\ = (\led_flash_cnt[3353][6]~q\ & (!\led_flash_cnt[3353][5]~73831\)) # (!\led_flash_cnt[3353][6]~q\ & ((\led_flash_cnt[3353][5]~73831\) # (GND)))
-- \led_flash_cnt[3353][6]~73833\ = CARRY((!\led_flash_cnt[3353][5]~73831\) # (!\led_flash_cnt[3353][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3353][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3353][5]~73831\,
	combout => \led_flash_cnt[3353][6]~73832_combout\,
	cout => \led_flash_cnt[3353][6]~73833\);

-- Location: FF_X24_Y36_N19
\led_flash_cnt[3353][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3353][6]~73832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3353][6]~q\);

-- Location: LCCOMB_X24_Y36_N20
\led_flash_cnt[3353][7]~73834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3353][7]~73834_combout\ = \led_flash_cnt[3353][6]~73833\ $ (!\led_flash_cnt[3353][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3353][7]~q\,
	cin => \led_flash_cnt[3353][6]~73833\,
	combout => \led_flash_cnt[3353][7]~73834_combout\);

-- Location: FF_X24_Y36_N21
\led_flash_cnt[3353][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3353][7]~73834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3353][7]~q\);

-- Location: LCCOMB_X24_Y36_N26
\WideAnd3353~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3353~1_combout\ = (\led_flash_cnt[3353][6]~q\ & \led_flash_cnt[3353][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3353][6]~q\,
	datad => \led_flash_cnt[3353][5]~q\,
	combout => \WideAnd3353~1_combout\);

-- Location: LCCOMB_X24_Y36_N28
\WideAnd3353~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3353~0_combout\ = (\led_flash_cnt[3353][2]~q\ & (\led_flash_cnt[3353][4]~q\ & (\led_flash_cnt[3353][1]~q\ & \led_flash_cnt[3353][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3353][2]~q\,
	datab => \led_flash_cnt[3353][4]~q\,
	datac => \led_flash_cnt[3353][1]~q\,
	datad => \led_flash_cnt[3353][3]~q\,
	combout => \WideAnd3353~0_combout\);

-- Location: LCCOMB_X24_Y36_N22
WideAnd3353 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3353~combout\ = (\led_flash_cnt[3353][0]~q\ & (\led_flash_cnt[3353][7]~q\ & (\WideAnd3353~1_combout\ & \WideAnd3353~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3353][0]~q\,
	datab => \led_flash_cnt[3353][7]~q\,
	datac => \WideAnd3353~1_combout\,
	datad => \WideAnd3353~0_combout\,
	combout => \WideAnd3353~combout\);

-- Location: FF_X24_Y36_N23
\led_flash_cnt_ands[3353]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3353~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3353));

-- Location: LCCOMB_X24_Y30_N8
\WideAnd4259~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4259~0_combout\ = (led_flash_cnt_ands(3352) & (led_flash_cnt_ands(3355) & (led_flash_cnt_ands(3354) & led_flash_cnt_ands(3353))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3352),
	datab => led_flash_cnt_ands(3355),
	datac => led_flash_cnt_ands(3354),
	datad => led_flash_cnt_ands(3353),
	combout => \WideAnd4259~0_combout\);

-- Location: LCCOMB_X49_Y17_N30
\led_flash_cnt[3358][0]~83998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3358][0]~83998_combout\ = !\led_flash_cnt[3358][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3358][0]~q\,
	combout => \led_flash_cnt[3358][0]~83998_combout\);

-- Location: FF_X49_Y17_N31
\led_flash_cnt[3358][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3358][0]~83998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3358][0]~q\);

-- Location: LCCOMB_X49_Y17_N12
\led_flash_cnt[3358][1]~73892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3358][1]~73892_combout\ = (\led_flash_cnt[3358][1]~q\ & (\led_flash_cnt[3358][0]~q\ $ (VCC))) # (!\led_flash_cnt[3358][1]~q\ & (\led_flash_cnt[3358][0]~q\ & VCC))
-- \led_flash_cnt[3358][1]~73893\ = CARRY((\led_flash_cnt[3358][1]~q\ & \led_flash_cnt[3358][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3358][1]~q\,
	datab => \led_flash_cnt[3358][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3358][1]~73892_combout\,
	cout => \led_flash_cnt[3358][1]~73893\);

-- Location: FF_X49_Y17_N13
\led_flash_cnt[3358][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3358][1]~73892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3358][1]~q\);

-- Location: LCCOMB_X49_Y17_N14
\led_flash_cnt[3358][2]~73894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3358][2]~73894_combout\ = (\led_flash_cnt[3358][2]~q\ & (!\led_flash_cnt[3358][1]~73893\)) # (!\led_flash_cnt[3358][2]~q\ & ((\led_flash_cnt[3358][1]~73893\) # (GND)))
-- \led_flash_cnt[3358][2]~73895\ = CARRY((!\led_flash_cnt[3358][1]~73893\) # (!\led_flash_cnt[3358][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3358][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3358][1]~73893\,
	combout => \led_flash_cnt[3358][2]~73894_combout\,
	cout => \led_flash_cnt[3358][2]~73895\);

-- Location: FF_X49_Y17_N15
\led_flash_cnt[3358][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3358][2]~73894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3358][2]~q\);

-- Location: LCCOMB_X49_Y17_N16
\led_flash_cnt[3358][3]~73896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3358][3]~73896_combout\ = (\led_flash_cnt[3358][3]~q\ & (\led_flash_cnt[3358][2]~73895\ $ (GND))) # (!\led_flash_cnt[3358][3]~q\ & (!\led_flash_cnt[3358][2]~73895\ & VCC))
-- \led_flash_cnt[3358][3]~73897\ = CARRY((\led_flash_cnt[3358][3]~q\ & !\led_flash_cnt[3358][2]~73895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3358][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3358][2]~73895\,
	combout => \led_flash_cnt[3358][3]~73896_combout\,
	cout => \led_flash_cnt[3358][3]~73897\);

-- Location: FF_X49_Y17_N17
\led_flash_cnt[3358][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3358][3]~73896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3358][3]~q\);

-- Location: LCCOMB_X49_Y17_N18
\led_flash_cnt[3358][4]~73898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3358][4]~73898_combout\ = (\led_flash_cnt[3358][4]~q\ & (!\led_flash_cnt[3358][3]~73897\)) # (!\led_flash_cnt[3358][4]~q\ & ((\led_flash_cnt[3358][3]~73897\) # (GND)))
-- \led_flash_cnt[3358][4]~73899\ = CARRY((!\led_flash_cnt[3358][3]~73897\) # (!\led_flash_cnt[3358][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3358][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3358][3]~73897\,
	combout => \led_flash_cnt[3358][4]~73898_combout\,
	cout => \led_flash_cnt[3358][4]~73899\);

-- Location: FF_X49_Y17_N19
\led_flash_cnt[3358][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3358][4]~73898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3358][4]~q\);

-- Location: LCCOMB_X49_Y17_N20
\led_flash_cnt[3358][5]~73900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3358][5]~73900_combout\ = (\led_flash_cnt[3358][5]~q\ & (\led_flash_cnt[3358][4]~73899\ $ (GND))) # (!\led_flash_cnt[3358][5]~q\ & (!\led_flash_cnt[3358][4]~73899\ & VCC))
-- \led_flash_cnt[3358][5]~73901\ = CARRY((\led_flash_cnt[3358][5]~q\ & !\led_flash_cnt[3358][4]~73899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3358][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3358][4]~73899\,
	combout => \led_flash_cnt[3358][5]~73900_combout\,
	cout => \led_flash_cnt[3358][5]~73901\);

-- Location: FF_X49_Y17_N21
\led_flash_cnt[3358][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3358][5]~73900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3358][5]~q\);

-- Location: LCCOMB_X49_Y17_N22
\led_flash_cnt[3358][6]~73902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3358][6]~73902_combout\ = (\led_flash_cnt[3358][6]~q\ & (!\led_flash_cnt[3358][5]~73901\)) # (!\led_flash_cnt[3358][6]~q\ & ((\led_flash_cnt[3358][5]~73901\) # (GND)))
-- \led_flash_cnt[3358][6]~73903\ = CARRY((!\led_flash_cnt[3358][5]~73901\) # (!\led_flash_cnt[3358][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3358][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3358][5]~73901\,
	combout => \led_flash_cnt[3358][6]~73902_combout\,
	cout => \led_flash_cnt[3358][6]~73903\);

-- Location: FF_X49_Y17_N23
\led_flash_cnt[3358][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3358][6]~73902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3358][6]~q\);

-- Location: LCCOMB_X49_Y17_N24
\led_flash_cnt[3358][7]~73904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3358][7]~73904_combout\ = \led_flash_cnt[3358][6]~73903\ $ (!\led_flash_cnt[3358][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3358][7]~q\,
	cin => \led_flash_cnt[3358][6]~73903\,
	combout => \led_flash_cnt[3358][7]~73904_combout\);

-- Location: FF_X49_Y17_N25
\led_flash_cnt[3358][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3358][7]~73904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3358][7]~q\);

-- Location: LCCOMB_X49_Y17_N26
\WideAnd3358~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3358~0_combout\ = (\led_flash_cnt[3358][1]~q\ & (\led_flash_cnt[3358][4]~q\ & (\led_flash_cnt[3358][2]~q\ & \led_flash_cnt[3358][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3358][1]~q\,
	datab => \led_flash_cnt[3358][4]~q\,
	datac => \led_flash_cnt[3358][2]~q\,
	datad => \led_flash_cnt[3358][3]~q\,
	combout => \WideAnd3358~0_combout\);

-- Location: LCCOMB_X49_Y17_N28
\WideAnd3358~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3358~1_combout\ = (\led_flash_cnt[3358][6]~q\ & \led_flash_cnt[3358][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3358][6]~q\,
	datad => \led_flash_cnt[3358][5]~q\,
	combout => \WideAnd3358~1_combout\);

-- Location: LCCOMB_X49_Y17_N2
WideAnd3358 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3358~combout\ = (\led_flash_cnt[3358][0]~q\ & (\led_flash_cnt[3358][7]~q\ & (\WideAnd3358~0_combout\ & \WideAnd3358~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3358][0]~q\,
	datab => \led_flash_cnt[3358][7]~q\,
	datac => \WideAnd3358~0_combout\,
	datad => \WideAnd3358~1_combout\,
	combout => \WideAnd3358~combout\);

-- Location: FF_X49_Y17_N3
\led_flash_cnt_ands[3358]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3358~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3358));

-- Location: LCCOMB_X49_Y17_N4
WideAnd4259 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4259~combout\ = (\WideAnd4259~1_combout\ & (led_flash_cnt_ands(3359) & (\WideAnd4259~0_combout\ & led_flash_cnt_ands(3358))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4259~1_combout\,
	datab => led_flash_cnt_ands(3359),
	datac => \WideAnd4259~0_combout\,
	datad => led_flash_cnt_ands(3358),
	combout => \WideAnd4259~combout\);

-- Location: FF_X49_Y17_N5
\led_flash_cnt_ands_1[419]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4259~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(419));

-- Location: LCCOMB_X67_Y10_N4
\led_flash_cnt[3335][0]~83975\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3335][0]~83975_combout\ = !\led_flash_cnt[3335][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3335][0]~q\,
	combout => \led_flash_cnt[3335][0]~83975_combout\);

-- Location: FF_X67_Y10_N5
\led_flash_cnt[3335][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3335][0]~83975_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3335][0]~q\);

-- Location: LCCOMB_X67_Y10_N12
\led_flash_cnt[3335][1]~73570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3335][1]~73570_combout\ = (\led_flash_cnt[3335][1]~q\ & (\led_flash_cnt[3335][0]~q\ $ (VCC))) # (!\led_flash_cnt[3335][1]~q\ & (\led_flash_cnt[3335][0]~q\ & VCC))
-- \led_flash_cnt[3335][1]~73571\ = CARRY((\led_flash_cnt[3335][1]~q\ & \led_flash_cnt[3335][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3335][1]~q\,
	datab => \led_flash_cnt[3335][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3335][1]~73570_combout\,
	cout => \led_flash_cnt[3335][1]~73571\);

-- Location: FF_X67_Y10_N13
\led_flash_cnt[3335][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3335][1]~73570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3335][1]~q\);

-- Location: LCCOMB_X67_Y10_N14
\led_flash_cnt[3335][2]~73572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3335][2]~73572_combout\ = (\led_flash_cnt[3335][2]~q\ & (!\led_flash_cnt[3335][1]~73571\)) # (!\led_flash_cnt[3335][2]~q\ & ((\led_flash_cnt[3335][1]~73571\) # (GND)))
-- \led_flash_cnt[3335][2]~73573\ = CARRY((!\led_flash_cnt[3335][1]~73571\) # (!\led_flash_cnt[3335][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3335][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3335][1]~73571\,
	combout => \led_flash_cnt[3335][2]~73572_combout\,
	cout => \led_flash_cnt[3335][2]~73573\);

-- Location: FF_X67_Y10_N15
\led_flash_cnt[3335][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3335][2]~73572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3335][2]~q\);

-- Location: LCCOMB_X67_Y10_N16
\led_flash_cnt[3335][3]~73574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3335][3]~73574_combout\ = (\led_flash_cnt[3335][3]~q\ & (\led_flash_cnt[3335][2]~73573\ $ (GND))) # (!\led_flash_cnt[3335][3]~q\ & (!\led_flash_cnt[3335][2]~73573\ & VCC))
-- \led_flash_cnt[3335][3]~73575\ = CARRY((\led_flash_cnt[3335][3]~q\ & !\led_flash_cnt[3335][2]~73573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3335][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3335][2]~73573\,
	combout => \led_flash_cnt[3335][3]~73574_combout\,
	cout => \led_flash_cnt[3335][3]~73575\);

-- Location: FF_X67_Y10_N17
\led_flash_cnt[3335][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3335][3]~73574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3335][3]~q\);

-- Location: LCCOMB_X67_Y10_N18
\led_flash_cnt[3335][4]~73576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3335][4]~73576_combout\ = (\led_flash_cnt[3335][4]~q\ & (!\led_flash_cnt[3335][3]~73575\)) # (!\led_flash_cnt[3335][4]~q\ & ((\led_flash_cnt[3335][3]~73575\) # (GND)))
-- \led_flash_cnt[3335][4]~73577\ = CARRY((!\led_flash_cnt[3335][3]~73575\) # (!\led_flash_cnt[3335][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3335][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3335][3]~73575\,
	combout => \led_flash_cnt[3335][4]~73576_combout\,
	cout => \led_flash_cnt[3335][4]~73577\);

-- Location: FF_X67_Y10_N19
\led_flash_cnt[3335][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3335][4]~73576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3335][4]~q\);

-- Location: LCCOMB_X67_Y10_N10
\WideAnd3335~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3335~0_combout\ = (\led_flash_cnt[3335][1]~q\ & (\led_flash_cnt[3335][3]~q\ & (\led_flash_cnt[3335][2]~q\ & \led_flash_cnt[3335][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3335][1]~q\,
	datab => \led_flash_cnt[3335][3]~q\,
	datac => \led_flash_cnt[3335][2]~q\,
	datad => \led_flash_cnt[3335][4]~q\,
	combout => \WideAnd3335~0_combout\);

-- Location: LCCOMB_X67_Y10_N20
\led_flash_cnt[3335][5]~73578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3335][5]~73578_combout\ = (\led_flash_cnt[3335][5]~q\ & (\led_flash_cnt[3335][4]~73577\ $ (GND))) # (!\led_flash_cnt[3335][5]~q\ & (!\led_flash_cnt[3335][4]~73577\ & VCC))
-- \led_flash_cnt[3335][5]~73579\ = CARRY((\led_flash_cnt[3335][5]~q\ & !\led_flash_cnt[3335][4]~73577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3335][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3335][4]~73577\,
	combout => \led_flash_cnt[3335][5]~73578_combout\,
	cout => \led_flash_cnt[3335][5]~73579\);

-- Location: FF_X67_Y10_N21
\led_flash_cnt[3335][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3335][5]~73578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3335][5]~q\);

-- Location: LCCOMB_X67_Y10_N22
\led_flash_cnt[3335][6]~73580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3335][6]~73580_combout\ = (\led_flash_cnt[3335][6]~q\ & (!\led_flash_cnt[3335][5]~73579\)) # (!\led_flash_cnt[3335][6]~q\ & ((\led_flash_cnt[3335][5]~73579\) # (GND)))
-- \led_flash_cnt[3335][6]~73581\ = CARRY((!\led_flash_cnt[3335][5]~73579\) # (!\led_flash_cnt[3335][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3335][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3335][5]~73579\,
	combout => \led_flash_cnt[3335][6]~73580_combout\,
	cout => \led_flash_cnt[3335][6]~73581\);

-- Location: FF_X67_Y10_N23
\led_flash_cnt[3335][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3335][6]~73580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3335][6]~q\);

-- Location: LCCOMB_X67_Y10_N8
\WideAnd3335~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3335~1_combout\ = (\led_flash_cnt[3335][6]~q\ & \led_flash_cnt[3335][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3335][6]~q\,
	datad => \led_flash_cnt[3335][5]~q\,
	combout => \WideAnd3335~1_combout\);

-- Location: LCCOMB_X67_Y10_N24
\led_flash_cnt[3335][7]~73582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3335][7]~73582_combout\ = \led_flash_cnt[3335][6]~73581\ $ (!\led_flash_cnt[3335][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3335][7]~q\,
	cin => \led_flash_cnt[3335][6]~73581\,
	combout => \led_flash_cnt[3335][7]~73582_combout\);

-- Location: FF_X67_Y10_N25
\led_flash_cnt[3335][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3335][7]~73582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3335][7]~q\);

-- Location: LCCOMB_X67_Y10_N26
WideAnd3335 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3335~combout\ = (\WideAnd3335~0_combout\ & (\led_flash_cnt[3335][0]~q\ & (\WideAnd3335~1_combout\ & \led_flash_cnt[3335][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3335~0_combout\,
	datab => \led_flash_cnt[3335][0]~q\,
	datac => \WideAnd3335~1_combout\,
	datad => \led_flash_cnt[3335][7]~q\,
	combout => \WideAnd3335~combout\);

-- Location: FF_X67_Y10_N27
\led_flash_cnt_ands[3335]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3335~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3335));

-- Location: LCCOMB_X71_Y14_N10
\led_flash_cnt[3334][0]~83974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3334][0]~83974_combout\ = !\led_flash_cnt[3334][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3334][0]~q\,
	combout => \led_flash_cnt[3334][0]~83974_combout\);

-- Location: FF_X71_Y14_N11
\led_flash_cnt[3334][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3334][0]~83974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3334][0]~q\);

-- Location: LCCOMB_X71_Y14_N16
\led_flash_cnt[3334][1]~73556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3334][1]~73556_combout\ = (\led_flash_cnt[3334][0]~q\ & (\led_flash_cnt[3334][1]~q\ $ (VCC))) # (!\led_flash_cnt[3334][0]~q\ & (\led_flash_cnt[3334][1]~q\ & VCC))
-- \led_flash_cnt[3334][1]~73557\ = CARRY((\led_flash_cnt[3334][0]~q\ & \led_flash_cnt[3334][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3334][0]~q\,
	datab => \led_flash_cnt[3334][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3334][1]~73556_combout\,
	cout => \led_flash_cnt[3334][1]~73557\);

-- Location: FF_X71_Y14_N17
\led_flash_cnt[3334][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3334][1]~73556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3334][1]~q\);

-- Location: LCCOMB_X71_Y14_N18
\led_flash_cnt[3334][2]~73558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3334][2]~73558_combout\ = (\led_flash_cnt[3334][2]~q\ & (!\led_flash_cnt[3334][1]~73557\)) # (!\led_flash_cnt[3334][2]~q\ & ((\led_flash_cnt[3334][1]~73557\) # (GND)))
-- \led_flash_cnt[3334][2]~73559\ = CARRY((!\led_flash_cnt[3334][1]~73557\) # (!\led_flash_cnt[3334][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3334][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3334][1]~73557\,
	combout => \led_flash_cnt[3334][2]~73558_combout\,
	cout => \led_flash_cnt[3334][2]~73559\);

-- Location: FF_X71_Y14_N19
\led_flash_cnt[3334][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3334][2]~73558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3334][2]~q\);

-- Location: LCCOMB_X71_Y14_N20
\led_flash_cnt[3334][3]~73560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3334][3]~73560_combout\ = (\led_flash_cnt[3334][3]~q\ & (\led_flash_cnt[3334][2]~73559\ $ (GND))) # (!\led_flash_cnt[3334][3]~q\ & (!\led_flash_cnt[3334][2]~73559\ & VCC))
-- \led_flash_cnt[3334][3]~73561\ = CARRY((\led_flash_cnt[3334][3]~q\ & !\led_flash_cnt[3334][2]~73559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3334][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3334][2]~73559\,
	combout => \led_flash_cnt[3334][3]~73560_combout\,
	cout => \led_flash_cnt[3334][3]~73561\);

-- Location: FF_X71_Y14_N21
\led_flash_cnt[3334][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3334][3]~73560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3334][3]~q\);

-- Location: LCCOMB_X71_Y14_N22
\led_flash_cnt[3334][4]~73562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3334][4]~73562_combout\ = (\led_flash_cnt[3334][4]~q\ & (!\led_flash_cnt[3334][3]~73561\)) # (!\led_flash_cnt[3334][4]~q\ & ((\led_flash_cnt[3334][3]~73561\) # (GND)))
-- \led_flash_cnt[3334][4]~73563\ = CARRY((!\led_flash_cnt[3334][3]~73561\) # (!\led_flash_cnt[3334][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3334][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3334][3]~73561\,
	combout => \led_flash_cnt[3334][4]~73562_combout\,
	cout => \led_flash_cnt[3334][4]~73563\);

-- Location: FF_X71_Y14_N23
\led_flash_cnt[3334][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3334][4]~73562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3334][4]~q\);

-- Location: LCCOMB_X71_Y14_N24
\led_flash_cnt[3334][5]~73564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3334][5]~73564_combout\ = (\led_flash_cnt[3334][5]~q\ & (\led_flash_cnt[3334][4]~73563\ $ (GND))) # (!\led_flash_cnt[3334][5]~q\ & (!\led_flash_cnt[3334][4]~73563\ & VCC))
-- \led_flash_cnt[3334][5]~73565\ = CARRY((\led_flash_cnt[3334][5]~q\ & !\led_flash_cnt[3334][4]~73563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3334][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3334][4]~73563\,
	combout => \led_flash_cnt[3334][5]~73564_combout\,
	cout => \led_flash_cnt[3334][5]~73565\);

-- Location: FF_X71_Y14_N25
\led_flash_cnt[3334][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3334][5]~73564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3334][5]~q\);

-- Location: LCCOMB_X71_Y14_N26
\led_flash_cnt[3334][6]~73566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3334][6]~73566_combout\ = (\led_flash_cnt[3334][6]~q\ & (!\led_flash_cnt[3334][5]~73565\)) # (!\led_flash_cnt[3334][6]~q\ & ((\led_flash_cnt[3334][5]~73565\) # (GND)))
-- \led_flash_cnt[3334][6]~73567\ = CARRY((!\led_flash_cnt[3334][5]~73565\) # (!\led_flash_cnt[3334][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3334][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3334][5]~73565\,
	combout => \led_flash_cnt[3334][6]~73566_combout\,
	cout => \led_flash_cnt[3334][6]~73567\);

-- Location: FF_X71_Y14_N27
\led_flash_cnt[3334][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3334][6]~73566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3334][6]~q\);

-- Location: LCCOMB_X71_Y14_N28
\led_flash_cnt[3334][7]~73568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3334][7]~73568_combout\ = \led_flash_cnt[3334][6]~73567\ $ (!\led_flash_cnt[3334][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3334][7]~q\,
	cin => \led_flash_cnt[3334][6]~73567\,
	combout => \led_flash_cnt[3334][7]~73568_combout\);

-- Location: FF_X71_Y14_N29
\led_flash_cnt[3334][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3334][7]~73568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3334][7]~q\);

-- Location: LCCOMB_X71_Y14_N14
\WideAnd3334~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3334~1_combout\ = (\led_flash_cnt[3334][6]~q\ & \led_flash_cnt[3334][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3334][6]~q\,
	datad => \led_flash_cnt[3334][5]~q\,
	combout => \WideAnd3334~1_combout\);

-- Location: LCCOMB_X71_Y14_N12
\WideAnd3334~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3334~0_combout\ = (\led_flash_cnt[3334][3]~q\ & (\led_flash_cnt[3334][2]~q\ & (\led_flash_cnt[3334][4]~q\ & \led_flash_cnt[3334][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3334][3]~q\,
	datab => \led_flash_cnt[3334][2]~q\,
	datac => \led_flash_cnt[3334][4]~q\,
	datad => \led_flash_cnt[3334][1]~q\,
	combout => \WideAnd3334~0_combout\);

-- Location: LCCOMB_X71_Y14_N4
WideAnd3334 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3334~combout\ = (\led_flash_cnt[3334][0]~q\ & (\led_flash_cnt[3334][7]~q\ & (\WideAnd3334~1_combout\ & \WideAnd3334~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3334][0]~q\,
	datab => \led_flash_cnt[3334][7]~q\,
	datac => \WideAnd3334~1_combout\,
	datad => \WideAnd3334~0_combout\,
	combout => \WideAnd3334~combout\);

-- Location: FF_X71_Y14_N5
\led_flash_cnt_ands[3334]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3334~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3334));

-- Location: LCCOMB_X6_Y37_N4
\led_flash_cnt[3328][0]~83968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3328][0]~83968_combout\ = !\led_flash_cnt[3328][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3328][0]~q\,
	combout => \led_flash_cnt[3328][0]~83968_combout\);

-- Location: FF_X6_Y37_N5
\led_flash_cnt[3328][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3328][0]~83968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3328][0]~q\);

-- Location: LCCOMB_X6_Y37_N6
\led_flash_cnt[3328][1]~73472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3328][1]~73472_combout\ = (\led_flash_cnt[3328][1]~q\ & (\led_flash_cnt[3328][0]~q\ $ (VCC))) # (!\led_flash_cnt[3328][1]~q\ & (\led_flash_cnt[3328][0]~q\ & VCC))
-- \led_flash_cnt[3328][1]~73473\ = CARRY((\led_flash_cnt[3328][1]~q\ & \led_flash_cnt[3328][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3328][1]~q\,
	datab => \led_flash_cnt[3328][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3328][1]~73472_combout\,
	cout => \led_flash_cnt[3328][1]~73473\);

-- Location: FF_X6_Y37_N7
\led_flash_cnt[3328][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3328][1]~73472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3328][1]~q\);

-- Location: LCCOMB_X6_Y37_N8
\led_flash_cnt[3328][2]~73474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3328][2]~73474_combout\ = (\led_flash_cnt[3328][2]~q\ & (!\led_flash_cnt[3328][1]~73473\)) # (!\led_flash_cnt[3328][2]~q\ & ((\led_flash_cnt[3328][1]~73473\) # (GND)))
-- \led_flash_cnt[3328][2]~73475\ = CARRY((!\led_flash_cnt[3328][1]~73473\) # (!\led_flash_cnt[3328][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3328][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3328][1]~73473\,
	combout => \led_flash_cnt[3328][2]~73474_combout\,
	cout => \led_flash_cnt[3328][2]~73475\);

-- Location: FF_X6_Y37_N9
\led_flash_cnt[3328][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3328][2]~73474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3328][2]~q\);

-- Location: LCCOMB_X6_Y37_N10
\led_flash_cnt[3328][3]~73476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3328][3]~73476_combout\ = (\led_flash_cnt[3328][3]~q\ & (\led_flash_cnt[3328][2]~73475\ $ (GND))) # (!\led_flash_cnt[3328][3]~q\ & (!\led_flash_cnt[3328][2]~73475\ & VCC))
-- \led_flash_cnt[3328][3]~73477\ = CARRY((\led_flash_cnt[3328][3]~q\ & !\led_flash_cnt[3328][2]~73475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3328][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3328][2]~73475\,
	combout => \led_flash_cnt[3328][3]~73476_combout\,
	cout => \led_flash_cnt[3328][3]~73477\);

-- Location: FF_X6_Y37_N11
\led_flash_cnt[3328][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3328][3]~73476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3328][3]~q\);

-- Location: LCCOMB_X6_Y37_N12
\led_flash_cnt[3328][4]~73478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3328][4]~73478_combout\ = (\led_flash_cnt[3328][4]~q\ & (!\led_flash_cnt[3328][3]~73477\)) # (!\led_flash_cnt[3328][4]~q\ & ((\led_flash_cnt[3328][3]~73477\) # (GND)))
-- \led_flash_cnt[3328][4]~73479\ = CARRY((!\led_flash_cnt[3328][3]~73477\) # (!\led_flash_cnt[3328][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3328][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3328][3]~73477\,
	combout => \led_flash_cnt[3328][4]~73478_combout\,
	cout => \led_flash_cnt[3328][4]~73479\);

-- Location: FF_X6_Y37_N13
\led_flash_cnt[3328][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3328][4]~73478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3328][4]~q\);

-- Location: LCCOMB_X6_Y37_N14
\led_flash_cnt[3328][5]~73480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3328][5]~73480_combout\ = (\led_flash_cnt[3328][5]~q\ & (\led_flash_cnt[3328][4]~73479\ $ (GND))) # (!\led_flash_cnt[3328][5]~q\ & (!\led_flash_cnt[3328][4]~73479\ & VCC))
-- \led_flash_cnt[3328][5]~73481\ = CARRY((\led_flash_cnt[3328][5]~q\ & !\led_flash_cnt[3328][4]~73479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3328][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3328][4]~73479\,
	combout => \led_flash_cnt[3328][5]~73480_combout\,
	cout => \led_flash_cnt[3328][5]~73481\);

-- Location: FF_X6_Y37_N15
\led_flash_cnt[3328][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3328][5]~73480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3328][5]~q\);

-- Location: LCCOMB_X6_Y37_N16
\led_flash_cnt[3328][6]~73482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3328][6]~73482_combout\ = (\led_flash_cnt[3328][6]~q\ & (!\led_flash_cnt[3328][5]~73481\)) # (!\led_flash_cnt[3328][6]~q\ & ((\led_flash_cnt[3328][5]~73481\) # (GND)))
-- \led_flash_cnt[3328][6]~73483\ = CARRY((!\led_flash_cnt[3328][5]~73481\) # (!\led_flash_cnt[3328][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3328][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3328][5]~73481\,
	combout => \led_flash_cnt[3328][6]~73482_combout\,
	cout => \led_flash_cnt[3328][6]~73483\);

-- Location: FF_X6_Y37_N17
\led_flash_cnt[3328][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3328][6]~73482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3328][6]~q\);

-- Location: LCCOMB_X6_Y37_N22
\WideAnd3328~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3328~1_combout\ = (\led_flash_cnt[3328][5]~q\ & \led_flash_cnt[3328][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3328][5]~q\,
	datad => \led_flash_cnt[3328][6]~q\,
	combout => \WideAnd3328~1_combout\);

-- Location: LCCOMB_X6_Y37_N18
\led_flash_cnt[3328][7]~73484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3328][7]~73484_combout\ = \led_flash_cnt[3328][7]~q\ $ (!\led_flash_cnt[3328][6]~73483\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3328][7]~q\,
	cin => \led_flash_cnt[3328][6]~73483\,
	combout => \led_flash_cnt[3328][7]~73484_combout\);

-- Location: FF_X6_Y37_N19
\led_flash_cnt[3328][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3328][7]~73484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3328][7]~q\);

-- Location: LCCOMB_X6_Y37_N24
\WideAnd3328~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3328~0_combout\ = (\led_flash_cnt[3328][1]~q\ & (\led_flash_cnt[3328][4]~q\ & (\led_flash_cnt[3328][2]~q\ & \led_flash_cnt[3328][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3328][1]~q\,
	datab => \led_flash_cnt[3328][4]~q\,
	datac => \led_flash_cnt[3328][2]~q\,
	datad => \led_flash_cnt[3328][3]~q\,
	combout => \WideAnd3328~0_combout\);

-- Location: LCCOMB_X6_Y37_N26
WideAnd3328 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3328~combout\ = (\WideAnd3328~1_combout\ & (\led_flash_cnt[3328][0]~q\ & (\led_flash_cnt[3328][7]~q\ & \WideAnd3328~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3328~1_combout\,
	datab => \led_flash_cnt[3328][0]~q\,
	datac => \led_flash_cnt[3328][7]~q\,
	datad => \WideAnd3328~0_combout\,
	combout => \WideAnd3328~combout\);

-- Location: FF_X6_Y37_N27
\led_flash_cnt_ands[3328]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3328~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3328));

-- Location: LCCOMB_X7_Y37_N16
\led_flash_cnt[3331][0]~83971\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3331][0]~83971_combout\ = !\led_flash_cnt[3331][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3331][0]~q\,
	combout => \led_flash_cnt[3331][0]~83971_combout\);

-- Location: FF_X7_Y37_N17
\led_flash_cnt[3331][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3331][0]~83971_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3331][0]~q\);

-- Location: LCCOMB_X8_Y37_N0
\led_flash_cnt[3331][1]~73514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3331][1]~73514_combout\ = (\led_flash_cnt[3331][0]~q\ & (\led_flash_cnt[3331][1]~q\ $ (VCC))) # (!\led_flash_cnt[3331][0]~q\ & (\led_flash_cnt[3331][1]~q\ & VCC))
-- \led_flash_cnt[3331][1]~73515\ = CARRY((\led_flash_cnt[3331][0]~q\ & \led_flash_cnt[3331][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3331][0]~q\,
	datab => \led_flash_cnt[3331][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3331][1]~73514_combout\,
	cout => \led_flash_cnt[3331][1]~73515\);

-- Location: FF_X8_Y37_N1
\led_flash_cnt[3331][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3331][1]~73514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3331][1]~q\);

-- Location: LCCOMB_X8_Y37_N2
\led_flash_cnt[3331][2]~73516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3331][2]~73516_combout\ = (\led_flash_cnt[3331][2]~q\ & (!\led_flash_cnt[3331][1]~73515\)) # (!\led_flash_cnt[3331][2]~q\ & ((\led_flash_cnt[3331][1]~73515\) # (GND)))
-- \led_flash_cnt[3331][2]~73517\ = CARRY((!\led_flash_cnt[3331][1]~73515\) # (!\led_flash_cnt[3331][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3331][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3331][1]~73515\,
	combout => \led_flash_cnt[3331][2]~73516_combout\,
	cout => \led_flash_cnt[3331][2]~73517\);

-- Location: FF_X8_Y37_N3
\led_flash_cnt[3331][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3331][2]~73516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3331][2]~q\);

-- Location: LCCOMB_X8_Y37_N4
\led_flash_cnt[3331][3]~73518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3331][3]~73518_combout\ = (\led_flash_cnt[3331][3]~q\ & (\led_flash_cnt[3331][2]~73517\ $ (GND))) # (!\led_flash_cnt[3331][3]~q\ & (!\led_flash_cnt[3331][2]~73517\ & VCC))
-- \led_flash_cnt[3331][3]~73519\ = CARRY((\led_flash_cnt[3331][3]~q\ & !\led_flash_cnt[3331][2]~73517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3331][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3331][2]~73517\,
	combout => \led_flash_cnt[3331][3]~73518_combout\,
	cout => \led_flash_cnt[3331][3]~73519\);

-- Location: FF_X8_Y37_N5
\led_flash_cnt[3331][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3331][3]~73518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3331][3]~q\);

-- Location: LCCOMB_X8_Y37_N6
\led_flash_cnt[3331][4]~73520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3331][4]~73520_combout\ = (\led_flash_cnt[3331][4]~q\ & (!\led_flash_cnt[3331][3]~73519\)) # (!\led_flash_cnt[3331][4]~q\ & ((\led_flash_cnt[3331][3]~73519\) # (GND)))
-- \led_flash_cnt[3331][4]~73521\ = CARRY((!\led_flash_cnt[3331][3]~73519\) # (!\led_flash_cnt[3331][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3331][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3331][3]~73519\,
	combout => \led_flash_cnt[3331][4]~73520_combout\,
	cout => \led_flash_cnt[3331][4]~73521\);

-- Location: FF_X8_Y37_N7
\led_flash_cnt[3331][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3331][4]~73520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3331][4]~q\);

-- Location: LCCOMB_X8_Y37_N30
\WideAnd3331~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3331~0_combout\ = (\led_flash_cnt[3331][4]~q\ & (\led_flash_cnt[3331][2]~q\ & (\led_flash_cnt[3331][3]~q\ & \led_flash_cnt[3331][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3331][4]~q\,
	datab => \led_flash_cnt[3331][2]~q\,
	datac => \led_flash_cnt[3331][3]~q\,
	datad => \led_flash_cnt[3331][1]~q\,
	combout => \WideAnd3331~0_combout\);

-- Location: LCCOMB_X8_Y37_N8
\led_flash_cnt[3331][5]~73522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3331][5]~73522_combout\ = (\led_flash_cnt[3331][5]~q\ & (\led_flash_cnt[3331][4]~73521\ $ (GND))) # (!\led_flash_cnt[3331][5]~q\ & (!\led_flash_cnt[3331][4]~73521\ & VCC))
-- \led_flash_cnt[3331][5]~73523\ = CARRY((\led_flash_cnt[3331][5]~q\ & !\led_flash_cnt[3331][4]~73521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3331][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3331][4]~73521\,
	combout => \led_flash_cnt[3331][5]~73522_combout\,
	cout => \led_flash_cnt[3331][5]~73523\);

-- Location: FF_X8_Y37_N9
\led_flash_cnt[3331][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3331][5]~73522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3331][5]~q\);

-- Location: LCCOMB_X8_Y37_N10
\led_flash_cnt[3331][6]~73524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3331][6]~73524_combout\ = (\led_flash_cnt[3331][6]~q\ & (!\led_flash_cnt[3331][5]~73523\)) # (!\led_flash_cnt[3331][6]~q\ & ((\led_flash_cnt[3331][5]~73523\) # (GND)))
-- \led_flash_cnt[3331][6]~73525\ = CARRY((!\led_flash_cnt[3331][5]~73523\) # (!\led_flash_cnt[3331][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3331][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3331][5]~73523\,
	combout => \led_flash_cnt[3331][6]~73524_combout\,
	cout => \led_flash_cnt[3331][6]~73525\);

-- Location: FF_X8_Y37_N11
\led_flash_cnt[3331][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3331][6]~73524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3331][6]~q\);

-- Location: LCCOMB_X8_Y37_N12
\led_flash_cnt[3331][7]~73526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3331][7]~73526_combout\ = \led_flash_cnt[3331][6]~73525\ $ (!\led_flash_cnt[3331][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3331][7]~q\,
	cin => \led_flash_cnt[3331][6]~73525\,
	combout => \led_flash_cnt[3331][7]~73526_combout\);

-- Location: FF_X8_Y37_N13
\led_flash_cnt[3331][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3331][7]~73526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3331][7]~q\);

-- Location: LCCOMB_X7_Y37_N18
\WideAnd3331~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3331~1_combout\ = (\led_flash_cnt[3331][5]~q\ & \led_flash_cnt[3331][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3331][5]~q\,
	datac => \led_flash_cnt[3331][6]~q\,
	combout => \WideAnd3331~1_combout\);

-- Location: LCCOMB_X7_Y37_N24
WideAnd3331 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3331~combout\ = (\WideAnd3331~0_combout\ & (\led_flash_cnt[3331][0]~q\ & (\led_flash_cnt[3331][7]~q\ & \WideAnd3331~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3331~0_combout\,
	datab => \led_flash_cnt[3331][0]~q\,
	datac => \led_flash_cnt[3331][7]~q\,
	datad => \WideAnd3331~1_combout\,
	combout => \WideAnd3331~combout\);

-- Location: FF_X7_Y37_N25
\led_flash_cnt_ands[3331]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3331~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3331));

-- Location: LCCOMB_X3_Y37_N18
\led_flash_cnt[3330][0]~83970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3330][0]~83970_combout\ = !\led_flash_cnt[3330][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3330][0]~q\,
	combout => \led_flash_cnt[3330][0]~83970_combout\);

-- Location: FF_X3_Y37_N19
\led_flash_cnt[3330][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3330][0]~83970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3330][0]~q\);

-- Location: LCCOMB_X3_Y37_N0
\led_flash_cnt[3330][1]~73500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3330][1]~73500_combout\ = (\led_flash_cnt[3330][0]~q\ & (\led_flash_cnt[3330][1]~q\ $ (VCC))) # (!\led_flash_cnt[3330][0]~q\ & (\led_flash_cnt[3330][1]~q\ & VCC))
-- \led_flash_cnt[3330][1]~73501\ = CARRY((\led_flash_cnt[3330][0]~q\ & \led_flash_cnt[3330][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3330][0]~q\,
	datab => \led_flash_cnt[3330][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3330][1]~73500_combout\,
	cout => \led_flash_cnt[3330][1]~73501\);

-- Location: FF_X3_Y37_N1
\led_flash_cnt[3330][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3330][1]~73500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3330][1]~q\);

-- Location: LCCOMB_X3_Y37_N2
\led_flash_cnt[3330][2]~73502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3330][2]~73502_combout\ = (\led_flash_cnt[3330][2]~q\ & (!\led_flash_cnt[3330][1]~73501\)) # (!\led_flash_cnt[3330][2]~q\ & ((\led_flash_cnt[3330][1]~73501\) # (GND)))
-- \led_flash_cnt[3330][2]~73503\ = CARRY((!\led_flash_cnt[3330][1]~73501\) # (!\led_flash_cnt[3330][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3330][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3330][1]~73501\,
	combout => \led_flash_cnt[3330][2]~73502_combout\,
	cout => \led_flash_cnt[3330][2]~73503\);

-- Location: FF_X3_Y37_N3
\led_flash_cnt[3330][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3330][2]~73502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3330][2]~q\);

-- Location: LCCOMB_X3_Y37_N4
\led_flash_cnt[3330][3]~73504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3330][3]~73504_combout\ = (\led_flash_cnt[3330][3]~q\ & (\led_flash_cnt[3330][2]~73503\ $ (GND))) # (!\led_flash_cnt[3330][3]~q\ & (!\led_flash_cnt[3330][2]~73503\ & VCC))
-- \led_flash_cnt[3330][3]~73505\ = CARRY((\led_flash_cnt[3330][3]~q\ & !\led_flash_cnt[3330][2]~73503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3330][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3330][2]~73503\,
	combout => \led_flash_cnt[3330][3]~73504_combout\,
	cout => \led_flash_cnt[3330][3]~73505\);

-- Location: FF_X3_Y37_N5
\led_flash_cnt[3330][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3330][3]~73504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3330][3]~q\);

-- Location: LCCOMB_X3_Y37_N6
\led_flash_cnt[3330][4]~73506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3330][4]~73506_combout\ = (\led_flash_cnt[3330][4]~q\ & (!\led_flash_cnt[3330][3]~73505\)) # (!\led_flash_cnt[3330][4]~q\ & ((\led_flash_cnt[3330][3]~73505\) # (GND)))
-- \led_flash_cnt[3330][4]~73507\ = CARRY((!\led_flash_cnt[3330][3]~73505\) # (!\led_flash_cnt[3330][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3330][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3330][3]~73505\,
	combout => \led_flash_cnt[3330][4]~73506_combout\,
	cout => \led_flash_cnt[3330][4]~73507\);

-- Location: FF_X3_Y37_N7
\led_flash_cnt[3330][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3330][4]~73506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3330][4]~q\);

-- Location: LCCOMB_X3_Y37_N8
\led_flash_cnt[3330][5]~73508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3330][5]~73508_combout\ = (\led_flash_cnt[3330][5]~q\ & (\led_flash_cnt[3330][4]~73507\ $ (GND))) # (!\led_flash_cnt[3330][5]~q\ & (!\led_flash_cnt[3330][4]~73507\ & VCC))
-- \led_flash_cnt[3330][5]~73509\ = CARRY((\led_flash_cnt[3330][5]~q\ & !\led_flash_cnt[3330][4]~73507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3330][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3330][4]~73507\,
	combout => \led_flash_cnt[3330][5]~73508_combout\,
	cout => \led_flash_cnt[3330][5]~73509\);

-- Location: FF_X3_Y37_N9
\led_flash_cnt[3330][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3330][5]~73508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3330][5]~q\);

-- Location: LCCOMB_X3_Y37_N10
\led_flash_cnt[3330][6]~73510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3330][6]~73510_combout\ = (\led_flash_cnt[3330][6]~q\ & (!\led_flash_cnt[3330][5]~73509\)) # (!\led_flash_cnt[3330][6]~q\ & ((\led_flash_cnt[3330][5]~73509\) # (GND)))
-- \led_flash_cnt[3330][6]~73511\ = CARRY((!\led_flash_cnt[3330][5]~73509\) # (!\led_flash_cnt[3330][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3330][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3330][5]~73509\,
	combout => \led_flash_cnt[3330][6]~73510_combout\,
	cout => \led_flash_cnt[3330][6]~73511\);

-- Location: FF_X3_Y37_N11
\led_flash_cnt[3330][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3330][6]~73510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3330][6]~q\);

-- Location: LCCOMB_X3_Y37_N12
\led_flash_cnt[3330][7]~73512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3330][7]~73512_combout\ = \led_flash_cnt[3330][6]~73511\ $ (!\led_flash_cnt[3330][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3330][7]~q\,
	cin => \led_flash_cnt[3330][6]~73511\,
	combout => \led_flash_cnt[3330][7]~73512_combout\);

-- Location: FF_X3_Y37_N13
\led_flash_cnt[3330][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3330][7]~73512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3330][7]~q\);

-- Location: LCCOMB_X3_Y37_N24
\WideAnd3330~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3330~1_combout\ = (\led_flash_cnt[3330][5]~q\ & \led_flash_cnt[3330][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3330][5]~q\,
	datad => \led_flash_cnt[3330][6]~q\,
	combout => \WideAnd3330~1_combout\);

-- Location: LCCOMB_X3_Y37_N26
\WideAnd3330~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3330~0_combout\ = (\led_flash_cnt[3330][4]~q\ & (\led_flash_cnt[3330][2]~q\ & (\led_flash_cnt[3330][3]~q\ & \led_flash_cnt[3330][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3330][4]~q\,
	datab => \led_flash_cnt[3330][2]~q\,
	datac => \led_flash_cnt[3330][3]~q\,
	datad => \led_flash_cnt[3330][1]~q\,
	combout => \WideAnd3330~0_combout\);

-- Location: LCCOMB_X3_Y37_N28
WideAnd3330 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3330~combout\ = (\led_flash_cnt[3330][7]~q\ & (\WideAnd3330~1_combout\ & (\WideAnd3330~0_combout\ & \led_flash_cnt[3330][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3330][7]~q\,
	datab => \WideAnd3330~1_combout\,
	datac => \WideAnd3330~0_combout\,
	datad => \led_flash_cnt[3330][0]~q\,
	combout => \WideAnd3330~combout\);

-- Location: FF_X3_Y37_N29
\led_flash_cnt_ands[3330]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3330~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3330));

-- Location: LCCOMB_X7_Y37_N22
\led_flash_cnt[3329][0]~83969\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3329][0]~83969_combout\ = !\led_flash_cnt[3329][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3329][0]~q\,
	combout => \led_flash_cnt[3329][0]~83969_combout\);

-- Location: FF_X7_Y37_N23
\led_flash_cnt[3329][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3329][0]~83969_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3329][0]~q\);

-- Location: LCCOMB_X7_Y37_N2
\led_flash_cnt[3329][1]~73486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3329][1]~73486_combout\ = (\led_flash_cnt[3329][0]~q\ & (\led_flash_cnt[3329][1]~q\ $ (VCC))) # (!\led_flash_cnt[3329][0]~q\ & (\led_flash_cnt[3329][1]~q\ & VCC))
-- \led_flash_cnt[3329][1]~73487\ = CARRY((\led_flash_cnt[3329][0]~q\ & \led_flash_cnt[3329][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3329][0]~q\,
	datab => \led_flash_cnt[3329][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3329][1]~73486_combout\,
	cout => \led_flash_cnt[3329][1]~73487\);

-- Location: FF_X7_Y37_N3
\led_flash_cnt[3329][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3329][1]~73486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3329][1]~q\);

-- Location: LCCOMB_X7_Y37_N4
\led_flash_cnt[3329][2]~73488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3329][2]~73488_combout\ = (\led_flash_cnt[3329][2]~q\ & (!\led_flash_cnt[3329][1]~73487\)) # (!\led_flash_cnt[3329][2]~q\ & ((\led_flash_cnt[3329][1]~73487\) # (GND)))
-- \led_flash_cnt[3329][2]~73489\ = CARRY((!\led_flash_cnt[3329][1]~73487\) # (!\led_flash_cnt[3329][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3329][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3329][1]~73487\,
	combout => \led_flash_cnt[3329][2]~73488_combout\,
	cout => \led_flash_cnt[3329][2]~73489\);

-- Location: FF_X7_Y37_N5
\led_flash_cnt[3329][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3329][2]~73488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3329][2]~q\);

-- Location: LCCOMB_X7_Y37_N6
\led_flash_cnt[3329][3]~73490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3329][3]~73490_combout\ = (\led_flash_cnt[3329][3]~q\ & (\led_flash_cnt[3329][2]~73489\ $ (GND))) # (!\led_flash_cnt[3329][3]~q\ & (!\led_flash_cnt[3329][2]~73489\ & VCC))
-- \led_flash_cnt[3329][3]~73491\ = CARRY((\led_flash_cnt[3329][3]~q\ & !\led_flash_cnt[3329][2]~73489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3329][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3329][2]~73489\,
	combout => \led_flash_cnt[3329][3]~73490_combout\,
	cout => \led_flash_cnt[3329][3]~73491\);

-- Location: FF_X7_Y37_N7
\led_flash_cnt[3329][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3329][3]~73490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3329][3]~q\);

-- Location: LCCOMB_X7_Y37_N8
\led_flash_cnt[3329][4]~73492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3329][4]~73492_combout\ = (\led_flash_cnt[3329][4]~q\ & (!\led_flash_cnt[3329][3]~73491\)) # (!\led_flash_cnt[3329][4]~q\ & ((\led_flash_cnt[3329][3]~73491\) # (GND)))
-- \led_flash_cnt[3329][4]~73493\ = CARRY((!\led_flash_cnt[3329][3]~73491\) # (!\led_flash_cnt[3329][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3329][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3329][3]~73491\,
	combout => \led_flash_cnt[3329][4]~73492_combout\,
	cout => \led_flash_cnt[3329][4]~73493\);

-- Location: FF_X7_Y37_N9
\led_flash_cnt[3329][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3329][4]~73492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3329][4]~q\);

-- Location: LCCOMB_X7_Y37_N10
\led_flash_cnt[3329][5]~73494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3329][5]~73494_combout\ = (\led_flash_cnt[3329][5]~q\ & (\led_flash_cnt[3329][4]~73493\ $ (GND))) # (!\led_flash_cnt[3329][5]~q\ & (!\led_flash_cnt[3329][4]~73493\ & VCC))
-- \led_flash_cnt[3329][5]~73495\ = CARRY((\led_flash_cnt[3329][5]~q\ & !\led_flash_cnt[3329][4]~73493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3329][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3329][4]~73493\,
	combout => \led_flash_cnt[3329][5]~73494_combout\,
	cout => \led_flash_cnt[3329][5]~73495\);

-- Location: FF_X7_Y37_N11
\led_flash_cnt[3329][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3329][5]~73494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3329][5]~q\);

-- Location: LCCOMB_X7_Y37_N12
\led_flash_cnt[3329][6]~73496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3329][6]~73496_combout\ = (\led_flash_cnt[3329][6]~q\ & (!\led_flash_cnt[3329][5]~73495\)) # (!\led_flash_cnt[3329][6]~q\ & ((\led_flash_cnt[3329][5]~73495\) # (GND)))
-- \led_flash_cnt[3329][6]~73497\ = CARRY((!\led_flash_cnt[3329][5]~73495\) # (!\led_flash_cnt[3329][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3329][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3329][5]~73495\,
	combout => \led_flash_cnt[3329][6]~73496_combout\,
	cout => \led_flash_cnt[3329][6]~73497\);

-- Location: FF_X7_Y37_N13
\led_flash_cnt[3329][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3329][6]~73496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3329][6]~q\);

-- Location: LCCOMB_X7_Y37_N26
\WideAnd3329~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3329~1_combout\ = (\led_flash_cnt[3329][6]~q\ & \led_flash_cnt[3329][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3329][6]~q\,
	datad => \led_flash_cnt[3329][5]~q\,
	combout => \WideAnd3329~1_combout\);

-- Location: LCCOMB_X7_Y37_N14
\led_flash_cnt[3329][7]~73498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3329][7]~73498_combout\ = \led_flash_cnt[3329][7]~q\ $ (!\led_flash_cnt[3329][6]~73497\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3329][7]~q\,
	cin => \led_flash_cnt[3329][6]~73497\,
	combout => \led_flash_cnt[3329][7]~73498_combout\);

-- Location: FF_X7_Y37_N15
\led_flash_cnt[3329][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3329][7]~73498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3329][7]~q\);

-- Location: LCCOMB_X7_Y37_N20
\WideAnd3329~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3329~0_combout\ = (\led_flash_cnt[3329][3]~q\ & (\led_flash_cnt[3329][4]~q\ & (\led_flash_cnt[3329][2]~q\ & \led_flash_cnt[3329][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3329][3]~q\,
	datab => \led_flash_cnt[3329][4]~q\,
	datac => \led_flash_cnt[3329][2]~q\,
	datad => \led_flash_cnt[3329][1]~q\,
	combout => \WideAnd3329~0_combout\);

-- Location: LCCOMB_X7_Y37_N28
WideAnd3329 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3329~combout\ = (\WideAnd3329~1_combout\ & (\led_flash_cnt[3329][7]~q\ & (\led_flash_cnt[3329][0]~q\ & \WideAnd3329~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3329~1_combout\,
	datab => \led_flash_cnt[3329][7]~q\,
	datac => \led_flash_cnt[3329][0]~q\,
	datad => \WideAnd3329~0_combout\,
	combout => \WideAnd3329~combout\);

-- Location: FF_X7_Y37_N29
\led_flash_cnt_ands[3329]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3329~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3329));

-- Location: LCCOMB_X7_Y37_N30
\WideAnd4256~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4256~0_combout\ = (led_flash_cnt_ands(3328) & (led_flash_cnt_ands(3331) & (led_flash_cnt_ands(3330) & led_flash_cnt_ands(3329))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3328),
	datab => led_flash_cnt_ands(3331),
	datac => led_flash_cnt_ands(3330),
	datad => led_flash_cnt_ands(3329),
	combout => \WideAnd4256~0_combout\);

-- Location: LCCOMB_X67_Y14_N2
\led_flash_cnt[3333][0]~83973\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3333][0]~83973_combout\ = !\led_flash_cnt[3333][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3333][0]~q\,
	combout => \led_flash_cnt[3333][0]~83973_combout\);

-- Location: FF_X67_Y14_N3
\led_flash_cnt[3333][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3333][0]~83973_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3333][0]~q\);

-- Location: LCCOMB_X66_Y14_N16
\led_flash_cnt[3333][1]~73542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3333][1]~73542_combout\ = (\led_flash_cnt[3333][0]~q\ & (\led_flash_cnt[3333][1]~q\ $ (VCC))) # (!\led_flash_cnt[3333][0]~q\ & (\led_flash_cnt[3333][1]~q\ & VCC))
-- \led_flash_cnt[3333][1]~73543\ = CARRY((\led_flash_cnt[3333][0]~q\ & \led_flash_cnt[3333][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3333][0]~q\,
	datab => \led_flash_cnt[3333][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3333][1]~73542_combout\,
	cout => \led_flash_cnt[3333][1]~73543\);

-- Location: FF_X66_Y14_N17
\led_flash_cnt[3333][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3333][1]~73542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3333][1]~q\);

-- Location: LCCOMB_X66_Y14_N18
\led_flash_cnt[3333][2]~73544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3333][2]~73544_combout\ = (\led_flash_cnt[3333][2]~q\ & (!\led_flash_cnt[3333][1]~73543\)) # (!\led_flash_cnt[3333][2]~q\ & ((\led_flash_cnt[3333][1]~73543\) # (GND)))
-- \led_flash_cnt[3333][2]~73545\ = CARRY((!\led_flash_cnt[3333][1]~73543\) # (!\led_flash_cnt[3333][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3333][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3333][1]~73543\,
	combout => \led_flash_cnt[3333][2]~73544_combout\,
	cout => \led_flash_cnt[3333][2]~73545\);

-- Location: FF_X66_Y14_N19
\led_flash_cnt[3333][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3333][2]~73544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3333][2]~q\);

-- Location: LCCOMB_X66_Y14_N20
\led_flash_cnt[3333][3]~73546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3333][3]~73546_combout\ = (\led_flash_cnt[3333][3]~q\ & (\led_flash_cnt[3333][2]~73545\ $ (GND))) # (!\led_flash_cnt[3333][3]~q\ & (!\led_flash_cnt[3333][2]~73545\ & VCC))
-- \led_flash_cnt[3333][3]~73547\ = CARRY((\led_flash_cnt[3333][3]~q\ & !\led_flash_cnt[3333][2]~73545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3333][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3333][2]~73545\,
	combout => \led_flash_cnt[3333][3]~73546_combout\,
	cout => \led_flash_cnt[3333][3]~73547\);

-- Location: FF_X66_Y14_N21
\led_flash_cnt[3333][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3333][3]~73546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3333][3]~q\);

-- Location: LCCOMB_X66_Y14_N22
\led_flash_cnt[3333][4]~73548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3333][4]~73548_combout\ = (\led_flash_cnt[3333][4]~q\ & (!\led_flash_cnt[3333][3]~73547\)) # (!\led_flash_cnt[3333][4]~q\ & ((\led_flash_cnt[3333][3]~73547\) # (GND)))
-- \led_flash_cnt[3333][4]~73549\ = CARRY((!\led_flash_cnt[3333][3]~73547\) # (!\led_flash_cnt[3333][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3333][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3333][3]~73547\,
	combout => \led_flash_cnt[3333][4]~73548_combout\,
	cout => \led_flash_cnt[3333][4]~73549\);

-- Location: FF_X66_Y14_N23
\led_flash_cnt[3333][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3333][4]~73548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3333][4]~q\);

-- Location: LCCOMB_X66_Y14_N24
\led_flash_cnt[3333][5]~73550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3333][5]~73550_combout\ = (\led_flash_cnt[3333][5]~q\ & (\led_flash_cnt[3333][4]~73549\ $ (GND))) # (!\led_flash_cnt[3333][5]~q\ & (!\led_flash_cnt[3333][4]~73549\ & VCC))
-- \led_flash_cnt[3333][5]~73551\ = CARRY((\led_flash_cnt[3333][5]~q\ & !\led_flash_cnt[3333][4]~73549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3333][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3333][4]~73549\,
	combout => \led_flash_cnt[3333][5]~73550_combout\,
	cout => \led_flash_cnt[3333][5]~73551\);

-- Location: FF_X66_Y14_N25
\led_flash_cnt[3333][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3333][5]~73550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3333][5]~q\);

-- Location: LCCOMB_X66_Y14_N26
\led_flash_cnt[3333][6]~73552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3333][6]~73552_combout\ = (\led_flash_cnt[3333][6]~q\ & (!\led_flash_cnt[3333][5]~73551\)) # (!\led_flash_cnt[3333][6]~q\ & ((\led_flash_cnt[3333][5]~73551\) # (GND)))
-- \led_flash_cnt[3333][6]~73553\ = CARRY((!\led_flash_cnt[3333][5]~73551\) # (!\led_flash_cnt[3333][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3333][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3333][5]~73551\,
	combout => \led_flash_cnt[3333][6]~73552_combout\,
	cout => \led_flash_cnt[3333][6]~73553\);

-- Location: FF_X66_Y14_N27
\led_flash_cnt[3333][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3333][6]~73552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3333][6]~q\);

-- Location: LCCOMB_X67_Y14_N26
\WideAnd3333~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3333~1_combout\ = (\led_flash_cnt[3333][6]~q\ & \led_flash_cnt[3333][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3333][6]~q\,
	datad => \led_flash_cnt[3333][5]~q\,
	combout => \WideAnd3333~1_combout\);

-- Location: LCCOMB_X66_Y14_N28
\led_flash_cnt[3333][7]~73554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3333][7]~73554_combout\ = \led_flash_cnt[3333][6]~73553\ $ (!\led_flash_cnt[3333][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3333][7]~q\,
	cin => \led_flash_cnt[3333][6]~73553\,
	combout => \led_flash_cnt[3333][7]~73554_combout\);

-- Location: FF_X66_Y14_N29
\led_flash_cnt[3333][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3333][7]~73554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3333][7]~q\);

-- Location: LCCOMB_X66_Y14_N0
\WideAnd3333~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3333~0_combout\ = (\led_flash_cnt[3333][1]~q\ & (\led_flash_cnt[3333][3]~q\ & (\led_flash_cnt[3333][4]~q\ & \led_flash_cnt[3333][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3333][1]~q\,
	datab => \led_flash_cnt[3333][3]~q\,
	datac => \led_flash_cnt[3333][4]~q\,
	datad => \led_flash_cnt[3333][2]~q\,
	combout => \WideAnd3333~0_combout\);

-- Location: LCCOMB_X67_Y14_N30
WideAnd3333 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3333~combout\ = (\WideAnd3333~1_combout\ & (\led_flash_cnt[3333][7]~q\ & (\WideAnd3333~0_combout\ & \led_flash_cnt[3333][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3333~1_combout\,
	datab => \led_flash_cnt[3333][7]~q\,
	datac => \WideAnd3333~0_combout\,
	datad => \led_flash_cnt[3333][0]~q\,
	combout => \WideAnd3333~combout\);

-- Location: FF_X67_Y14_N31
\led_flash_cnt_ands[3333]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3333~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3333));

-- Location: LCCOMB_X67_Y14_N22
\led_flash_cnt[3332][0]~83972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3332][0]~83972_combout\ = !\led_flash_cnt[3332][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3332][0]~q\,
	combout => \led_flash_cnt[3332][0]~83972_combout\);

-- Location: FF_X67_Y14_N23
\led_flash_cnt[3332][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3332][0]~83972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3332][0]~q\);

-- Location: LCCOMB_X67_Y14_N4
\led_flash_cnt[3332][1]~73528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3332][1]~73528_combout\ = (\led_flash_cnt[3332][0]~q\ & (\led_flash_cnt[3332][1]~q\ $ (VCC))) # (!\led_flash_cnt[3332][0]~q\ & (\led_flash_cnt[3332][1]~q\ & VCC))
-- \led_flash_cnt[3332][1]~73529\ = CARRY((\led_flash_cnt[3332][0]~q\ & \led_flash_cnt[3332][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3332][0]~q\,
	datab => \led_flash_cnt[3332][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3332][1]~73528_combout\,
	cout => \led_flash_cnt[3332][1]~73529\);

-- Location: FF_X67_Y14_N5
\led_flash_cnt[3332][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3332][1]~73528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3332][1]~q\);

-- Location: LCCOMB_X67_Y14_N6
\led_flash_cnt[3332][2]~73530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3332][2]~73530_combout\ = (\led_flash_cnt[3332][2]~q\ & (!\led_flash_cnt[3332][1]~73529\)) # (!\led_flash_cnt[3332][2]~q\ & ((\led_flash_cnt[3332][1]~73529\) # (GND)))
-- \led_flash_cnt[3332][2]~73531\ = CARRY((!\led_flash_cnt[3332][1]~73529\) # (!\led_flash_cnt[3332][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3332][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3332][1]~73529\,
	combout => \led_flash_cnt[3332][2]~73530_combout\,
	cout => \led_flash_cnt[3332][2]~73531\);

-- Location: FF_X67_Y14_N7
\led_flash_cnt[3332][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3332][2]~73530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3332][2]~q\);

-- Location: LCCOMB_X67_Y14_N8
\led_flash_cnt[3332][3]~73532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3332][3]~73532_combout\ = (\led_flash_cnt[3332][3]~q\ & (\led_flash_cnt[3332][2]~73531\ $ (GND))) # (!\led_flash_cnt[3332][3]~q\ & (!\led_flash_cnt[3332][2]~73531\ & VCC))
-- \led_flash_cnt[3332][3]~73533\ = CARRY((\led_flash_cnt[3332][3]~q\ & !\led_flash_cnt[3332][2]~73531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3332][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3332][2]~73531\,
	combout => \led_flash_cnt[3332][3]~73532_combout\,
	cout => \led_flash_cnt[3332][3]~73533\);

-- Location: FF_X67_Y14_N9
\led_flash_cnt[3332][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3332][3]~73532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3332][3]~q\);

-- Location: LCCOMB_X67_Y14_N10
\led_flash_cnt[3332][4]~73534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3332][4]~73534_combout\ = (\led_flash_cnt[3332][4]~q\ & (!\led_flash_cnt[3332][3]~73533\)) # (!\led_flash_cnt[3332][4]~q\ & ((\led_flash_cnt[3332][3]~73533\) # (GND)))
-- \led_flash_cnt[3332][4]~73535\ = CARRY((!\led_flash_cnt[3332][3]~73533\) # (!\led_flash_cnt[3332][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3332][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3332][3]~73533\,
	combout => \led_flash_cnt[3332][4]~73534_combout\,
	cout => \led_flash_cnt[3332][4]~73535\);

-- Location: FF_X67_Y14_N11
\led_flash_cnt[3332][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3332][4]~73534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3332][4]~q\);

-- Location: LCCOMB_X67_Y14_N12
\led_flash_cnt[3332][5]~73536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3332][5]~73536_combout\ = (\led_flash_cnt[3332][5]~q\ & (\led_flash_cnt[3332][4]~73535\ $ (GND))) # (!\led_flash_cnt[3332][5]~q\ & (!\led_flash_cnt[3332][4]~73535\ & VCC))
-- \led_flash_cnt[3332][5]~73537\ = CARRY((\led_flash_cnt[3332][5]~q\ & !\led_flash_cnt[3332][4]~73535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3332][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3332][4]~73535\,
	combout => \led_flash_cnt[3332][5]~73536_combout\,
	cout => \led_flash_cnt[3332][5]~73537\);

-- Location: FF_X67_Y14_N13
\led_flash_cnt[3332][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3332][5]~73536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3332][5]~q\);

-- Location: LCCOMB_X67_Y14_N14
\led_flash_cnt[3332][6]~73538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3332][6]~73538_combout\ = (\led_flash_cnt[3332][6]~q\ & (!\led_flash_cnt[3332][5]~73537\)) # (!\led_flash_cnt[3332][6]~q\ & ((\led_flash_cnt[3332][5]~73537\) # (GND)))
-- \led_flash_cnt[3332][6]~73539\ = CARRY((!\led_flash_cnt[3332][5]~73537\) # (!\led_flash_cnt[3332][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3332][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3332][5]~73537\,
	combout => \led_flash_cnt[3332][6]~73538_combout\,
	cout => \led_flash_cnt[3332][6]~73539\);

-- Location: FF_X67_Y14_N15
\led_flash_cnt[3332][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3332][6]~73538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3332][6]~q\);

-- Location: LCCOMB_X67_Y14_N16
\led_flash_cnt[3332][7]~73540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3332][7]~73540_combout\ = \led_flash_cnt[3332][6]~73539\ $ (!\led_flash_cnt[3332][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3332][7]~q\,
	cin => \led_flash_cnt[3332][6]~73539\,
	combout => \led_flash_cnt[3332][7]~73540_combout\);

-- Location: FF_X67_Y14_N17
\led_flash_cnt[3332][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3332][7]~73540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3332][7]~q\);

-- Location: LCCOMB_X67_Y14_N28
\WideAnd3332~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3332~1_combout\ = (\led_flash_cnt[3332][7]~q\ & \led_flash_cnt[3332][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3332][7]~q\,
	datac => \led_flash_cnt[3332][0]~q\,
	combout => \WideAnd3332~1_combout\);

-- Location: LCCOMB_X67_Y14_N18
\WideAnd3332~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3332~0_combout\ = (\led_flash_cnt[3332][5]~q\ & (\led_flash_cnt[3332][1]~q\ & (\led_flash_cnt[3332][6]~q\ & \led_flash_cnt[3332][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3332][5]~q\,
	datab => \led_flash_cnt[3332][1]~q\,
	datac => \led_flash_cnt[3332][6]~q\,
	datad => \led_flash_cnt[3332][4]~q\,
	combout => \WideAnd3332~0_combout\);

-- Location: LCCOMB_X67_Y14_N0
WideAnd3332 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3332~combout\ = (\led_flash_cnt[3332][2]~q\ & (\WideAnd3332~1_combout\ & (\led_flash_cnt[3332][3]~q\ & \WideAnd3332~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3332][2]~q\,
	datab => \WideAnd3332~1_combout\,
	datac => \led_flash_cnt[3332][3]~q\,
	datad => \WideAnd3332~0_combout\,
	combout => \WideAnd3332~combout\);

-- Location: FF_X67_Y14_N1
\led_flash_cnt_ands[3332]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3332~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3332));

-- Location: LCCOMB_X67_Y14_N20
\WideAnd4256~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4256~1_combout\ = (led_flash_cnt_ands(3333) & led_flash_cnt_ands(3332))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3333),
	datad => led_flash_cnt_ands(3332),
	combout => \WideAnd4256~1_combout\);

-- Location: LCCOMB_X67_Y14_N24
WideAnd4256 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4256~combout\ = (led_flash_cnt_ands(3335) & (led_flash_cnt_ands(3334) & (\WideAnd4256~0_combout\ & \WideAnd4256~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3335),
	datab => led_flash_cnt_ands(3334),
	datac => \WideAnd4256~0_combout\,
	datad => \WideAnd4256~1_combout\,
	combout => \WideAnd4256~combout\);

-- Location: FF_X67_Y14_N25
\led_flash_cnt_ands_1[416]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4256~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(416));

-- Location: LCCOMB_X63_Y14_N16
\WideAnd4372~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4372~0_combout\ = (led_flash_cnt_ands_1(418) & (led_flash_cnt_ands_1(417) & (led_flash_cnt_ands_1(419) & led_flash_cnt_ands_1(416))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(418),
	datab => led_flash_cnt_ands_1(417),
	datac => led_flash_cnt_ands_1(419),
	datad => led_flash_cnt_ands_1(416),
	combout => \WideAnd4372~0_combout\);

-- Location: LCCOMB_X58_Y12_N12
\led_flash_cnt[3382][0]~84022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3382][0]~84022_combout\ = !\led_flash_cnt[3382][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3382][0]~q\,
	combout => \led_flash_cnt[3382][0]~84022_combout\);

-- Location: FF_X58_Y12_N13
\led_flash_cnt[3382][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3382][0]~84022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3382][0]~q\);

-- Location: LCCOMB_X58_Y12_N18
\led_flash_cnt[3382][1]~74228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3382][1]~74228_combout\ = (\led_flash_cnt[3382][0]~q\ & (\led_flash_cnt[3382][1]~q\ $ (VCC))) # (!\led_flash_cnt[3382][0]~q\ & (\led_flash_cnt[3382][1]~q\ & VCC))
-- \led_flash_cnt[3382][1]~74229\ = CARRY((\led_flash_cnt[3382][0]~q\ & \led_flash_cnt[3382][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3382][0]~q\,
	datab => \led_flash_cnt[3382][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3382][1]~74228_combout\,
	cout => \led_flash_cnt[3382][1]~74229\);

-- Location: FF_X58_Y12_N19
\led_flash_cnt[3382][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3382][1]~74228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3382][1]~q\);

-- Location: LCCOMB_X58_Y12_N20
\led_flash_cnt[3382][2]~74230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3382][2]~74230_combout\ = (\led_flash_cnt[3382][2]~q\ & (!\led_flash_cnt[3382][1]~74229\)) # (!\led_flash_cnt[3382][2]~q\ & ((\led_flash_cnt[3382][1]~74229\) # (GND)))
-- \led_flash_cnt[3382][2]~74231\ = CARRY((!\led_flash_cnt[3382][1]~74229\) # (!\led_flash_cnt[3382][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3382][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3382][1]~74229\,
	combout => \led_flash_cnt[3382][2]~74230_combout\,
	cout => \led_flash_cnt[3382][2]~74231\);

-- Location: FF_X58_Y12_N21
\led_flash_cnt[3382][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3382][2]~74230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3382][2]~q\);

-- Location: LCCOMB_X58_Y12_N22
\led_flash_cnt[3382][3]~74232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3382][3]~74232_combout\ = (\led_flash_cnt[3382][3]~q\ & (\led_flash_cnt[3382][2]~74231\ $ (GND))) # (!\led_flash_cnt[3382][3]~q\ & (!\led_flash_cnt[3382][2]~74231\ & VCC))
-- \led_flash_cnt[3382][3]~74233\ = CARRY((\led_flash_cnt[3382][3]~q\ & !\led_flash_cnt[3382][2]~74231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3382][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3382][2]~74231\,
	combout => \led_flash_cnt[3382][3]~74232_combout\,
	cout => \led_flash_cnt[3382][3]~74233\);

-- Location: FF_X58_Y12_N23
\led_flash_cnt[3382][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3382][3]~74232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3382][3]~q\);

-- Location: LCCOMB_X58_Y12_N24
\led_flash_cnt[3382][4]~74234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3382][4]~74234_combout\ = (\led_flash_cnt[3382][4]~q\ & (!\led_flash_cnt[3382][3]~74233\)) # (!\led_flash_cnt[3382][4]~q\ & ((\led_flash_cnt[3382][3]~74233\) # (GND)))
-- \led_flash_cnt[3382][4]~74235\ = CARRY((!\led_flash_cnt[3382][3]~74233\) # (!\led_flash_cnt[3382][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3382][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3382][3]~74233\,
	combout => \led_flash_cnt[3382][4]~74234_combout\,
	cout => \led_flash_cnt[3382][4]~74235\);

-- Location: FF_X58_Y12_N25
\led_flash_cnt[3382][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3382][4]~74234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3382][4]~q\);

-- Location: LCCOMB_X58_Y12_N26
\led_flash_cnt[3382][5]~74236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3382][5]~74236_combout\ = (\led_flash_cnt[3382][5]~q\ & (\led_flash_cnt[3382][4]~74235\ $ (GND))) # (!\led_flash_cnt[3382][5]~q\ & (!\led_flash_cnt[3382][4]~74235\ & VCC))
-- \led_flash_cnt[3382][5]~74237\ = CARRY((\led_flash_cnt[3382][5]~q\ & !\led_flash_cnt[3382][4]~74235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3382][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3382][4]~74235\,
	combout => \led_flash_cnt[3382][5]~74236_combout\,
	cout => \led_flash_cnt[3382][5]~74237\);

-- Location: FF_X58_Y12_N27
\led_flash_cnt[3382][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3382][5]~74236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3382][5]~q\);

-- Location: LCCOMB_X58_Y12_N28
\led_flash_cnt[3382][6]~74238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3382][6]~74238_combout\ = (\led_flash_cnt[3382][6]~q\ & (!\led_flash_cnt[3382][5]~74237\)) # (!\led_flash_cnt[3382][6]~q\ & ((\led_flash_cnt[3382][5]~74237\) # (GND)))
-- \led_flash_cnt[3382][6]~74239\ = CARRY((!\led_flash_cnt[3382][5]~74237\) # (!\led_flash_cnt[3382][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3382][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3382][5]~74237\,
	combout => \led_flash_cnt[3382][6]~74238_combout\,
	cout => \led_flash_cnt[3382][6]~74239\);

-- Location: FF_X58_Y12_N29
\led_flash_cnt[3382][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3382][6]~74238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3382][6]~q\);

-- Location: LCCOMB_X58_Y12_N10
\WideAnd3382~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3382~1_combout\ = (\led_flash_cnt[3382][5]~q\ & \led_flash_cnt[3382][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3382][5]~q\,
	datad => \led_flash_cnt[3382][6]~q\,
	combout => \WideAnd3382~1_combout\);

-- Location: LCCOMB_X58_Y12_N14
\WideAnd3382~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3382~0_combout\ = (\led_flash_cnt[3382][4]~q\ & (\led_flash_cnt[3382][2]~q\ & (\led_flash_cnt[3382][3]~q\ & \led_flash_cnt[3382][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3382][4]~q\,
	datab => \led_flash_cnt[3382][2]~q\,
	datac => \led_flash_cnt[3382][3]~q\,
	datad => \led_flash_cnt[3382][1]~q\,
	combout => \WideAnd3382~0_combout\);

-- Location: LCCOMB_X58_Y12_N30
\led_flash_cnt[3382][7]~74240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3382][7]~74240_combout\ = \led_flash_cnt[3382][7]~q\ $ (!\led_flash_cnt[3382][6]~74239\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3382][7]~q\,
	cin => \led_flash_cnt[3382][6]~74239\,
	combout => \led_flash_cnt[3382][7]~74240_combout\);

-- Location: FF_X58_Y12_N31
\led_flash_cnt[3382][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3382][7]~74240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3382][7]~q\);

-- Location: LCCOMB_X58_Y12_N16
WideAnd3382 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3382~combout\ = (\WideAnd3382~1_combout\ & (\WideAnd3382~0_combout\ & (\led_flash_cnt[3382][7]~q\ & \led_flash_cnt[3382][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3382~1_combout\,
	datab => \WideAnd3382~0_combout\,
	datac => \led_flash_cnt[3382][7]~q\,
	datad => \led_flash_cnt[3382][0]~q\,
	combout => \WideAnd3382~combout\);

-- Location: FF_X58_Y12_N17
\led_flash_cnt_ands[3382]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3382~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3382));

-- Location: LCCOMB_X58_Y15_N22
\led_flash_cnt[3383][0]~84023\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3383][0]~84023_combout\ = !\led_flash_cnt[3383][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3383][0]~q\,
	combout => \led_flash_cnt[3383][0]~84023_combout\);

-- Location: FF_X58_Y15_N23
\led_flash_cnt[3383][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3383][0]~84023_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3383][0]~q\);

-- Location: LCCOMB_X58_Y15_N4
\led_flash_cnt[3383][1]~74242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3383][1]~74242_combout\ = (\led_flash_cnt[3383][0]~q\ & (\led_flash_cnt[3383][1]~q\ $ (VCC))) # (!\led_flash_cnt[3383][0]~q\ & (\led_flash_cnt[3383][1]~q\ & VCC))
-- \led_flash_cnt[3383][1]~74243\ = CARRY((\led_flash_cnt[3383][0]~q\ & \led_flash_cnt[3383][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3383][0]~q\,
	datab => \led_flash_cnt[3383][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3383][1]~74242_combout\,
	cout => \led_flash_cnt[3383][1]~74243\);

-- Location: FF_X58_Y15_N5
\led_flash_cnt[3383][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3383][1]~74242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3383][1]~q\);

-- Location: LCCOMB_X58_Y15_N6
\led_flash_cnt[3383][2]~74244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3383][2]~74244_combout\ = (\led_flash_cnt[3383][2]~q\ & (!\led_flash_cnt[3383][1]~74243\)) # (!\led_flash_cnt[3383][2]~q\ & ((\led_flash_cnt[3383][1]~74243\) # (GND)))
-- \led_flash_cnt[3383][2]~74245\ = CARRY((!\led_flash_cnt[3383][1]~74243\) # (!\led_flash_cnt[3383][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3383][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3383][1]~74243\,
	combout => \led_flash_cnt[3383][2]~74244_combout\,
	cout => \led_flash_cnt[3383][2]~74245\);

-- Location: FF_X58_Y15_N7
\led_flash_cnt[3383][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3383][2]~74244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3383][2]~q\);

-- Location: LCCOMB_X58_Y15_N8
\led_flash_cnt[3383][3]~74246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3383][3]~74246_combout\ = (\led_flash_cnt[3383][3]~q\ & (\led_flash_cnt[3383][2]~74245\ $ (GND))) # (!\led_flash_cnt[3383][3]~q\ & (!\led_flash_cnt[3383][2]~74245\ & VCC))
-- \led_flash_cnt[3383][3]~74247\ = CARRY((\led_flash_cnt[3383][3]~q\ & !\led_flash_cnt[3383][2]~74245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3383][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3383][2]~74245\,
	combout => \led_flash_cnt[3383][3]~74246_combout\,
	cout => \led_flash_cnt[3383][3]~74247\);

-- Location: FF_X58_Y15_N9
\led_flash_cnt[3383][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3383][3]~74246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3383][3]~q\);

-- Location: LCCOMB_X58_Y15_N10
\led_flash_cnt[3383][4]~74248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3383][4]~74248_combout\ = (\led_flash_cnt[3383][4]~q\ & (!\led_flash_cnt[3383][3]~74247\)) # (!\led_flash_cnt[3383][4]~q\ & ((\led_flash_cnt[3383][3]~74247\) # (GND)))
-- \led_flash_cnt[3383][4]~74249\ = CARRY((!\led_flash_cnt[3383][3]~74247\) # (!\led_flash_cnt[3383][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3383][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3383][3]~74247\,
	combout => \led_flash_cnt[3383][4]~74248_combout\,
	cout => \led_flash_cnt[3383][4]~74249\);

-- Location: FF_X58_Y15_N11
\led_flash_cnt[3383][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3383][4]~74248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3383][4]~q\);

-- Location: LCCOMB_X58_Y15_N12
\led_flash_cnt[3383][5]~74250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3383][5]~74250_combout\ = (\led_flash_cnt[3383][5]~q\ & (\led_flash_cnt[3383][4]~74249\ $ (GND))) # (!\led_flash_cnt[3383][5]~q\ & (!\led_flash_cnt[3383][4]~74249\ & VCC))
-- \led_flash_cnt[3383][5]~74251\ = CARRY((\led_flash_cnt[3383][5]~q\ & !\led_flash_cnt[3383][4]~74249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3383][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3383][4]~74249\,
	combout => \led_flash_cnt[3383][5]~74250_combout\,
	cout => \led_flash_cnt[3383][5]~74251\);

-- Location: FF_X58_Y15_N13
\led_flash_cnt[3383][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3383][5]~74250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3383][5]~q\);

-- Location: LCCOMB_X58_Y15_N14
\led_flash_cnt[3383][6]~74252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3383][6]~74252_combout\ = (\led_flash_cnt[3383][6]~q\ & (!\led_flash_cnt[3383][5]~74251\)) # (!\led_flash_cnt[3383][6]~q\ & ((\led_flash_cnt[3383][5]~74251\) # (GND)))
-- \led_flash_cnt[3383][6]~74253\ = CARRY((!\led_flash_cnt[3383][5]~74251\) # (!\led_flash_cnt[3383][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3383][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3383][5]~74251\,
	combout => \led_flash_cnt[3383][6]~74252_combout\,
	cout => \led_flash_cnt[3383][6]~74253\);

-- Location: FF_X58_Y15_N15
\led_flash_cnt[3383][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3383][6]~74252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3383][6]~q\);

-- Location: LCCOMB_X58_Y15_N26
\WideAnd3383~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3383~1_combout\ = (\led_flash_cnt[3383][6]~q\ & \led_flash_cnt[3383][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3383][6]~q\,
	datad => \led_flash_cnt[3383][5]~q\,
	combout => \WideAnd3383~1_combout\);

-- Location: LCCOMB_X58_Y15_N24
\WideAnd3383~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3383~0_combout\ = (\led_flash_cnt[3383][4]~q\ & (\led_flash_cnt[3383][1]~q\ & (\led_flash_cnt[3383][3]~q\ & \led_flash_cnt[3383][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3383][4]~q\,
	datab => \led_flash_cnt[3383][1]~q\,
	datac => \led_flash_cnt[3383][3]~q\,
	datad => \led_flash_cnt[3383][2]~q\,
	combout => \WideAnd3383~0_combout\);

-- Location: LCCOMB_X58_Y15_N16
\led_flash_cnt[3383][7]~74254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3383][7]~74254_combout\ = \led_flash_cnt[3383][6]~74253\ $ (!\led_flash_cnt[3383][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3383][7]~q\,
	cin => \led_flash_cnt[3383][6]~74253\,
	combout => \led_flash_cnt[3383][7]~74254_combout\);

-- Location: FF_X58_Y15_N17
\led_flash_cnt[3383][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3383][7]~74254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3383][7]~q\);

-- Location: LCCOMB_X58_Y15_N20
WideAnd3383 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3383~combout\ = (\WideAnd3383~1_combout\ & (\WideAnd3383~0_combout\ & (\led_flash_cnt[3383][0]~q\ & \led_flash_cnt[3383][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3383~1_combout\,
	datab => \WideAnd3383~0_combout\,
	datac => \led_flash_cnt[3383][0]~q\,
	datad => \led_flash_cnt[3383][7]~q\,
	combout => \WideAnd3383~combout\);

-- Location: FF_X58_Y15_N21
\led_flash_cnt_ands[3383]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3383~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3383));

-- Location: LCCOMB_X69_Y6_N18
\led_flash_cnt[3380][0]~84020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3380][0]~84020_combout\ = !\led_flash_cnt[3380][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3380][0]~q\,
	combout => \led_flash_cnt[3380][0]~84020_combout\);

-- Location: FF_X69_Y6_N19
\led_flash_cnt[3380][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3380][0]~84020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3380][0]~q\);

-- Location: LCCOMB_X69_Y6_N0
\led_flash_cnt[3380][1]~74200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3380][1]~74200_combout\ = (\led_flash_cnt[3380][1]~q\ & (\led_flash_cnt[3380][0]~q\ $ (VCC))) # (!\led_flash_cnt[3380][1]~q\ & (\led_flash_cnt[3380][0]~q\ & VCC))
-- \led_flash_cnt[3380][1]~74201\ = CARRY((\led_flash_cnt[3380][1]~q\ & \led_flash_cnt[3380][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3380][1]~q\,
	datab => \led_flash_cnt[3380][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3380][1]~74200_combout\,
	cout => \led_flash_cnt[3380][1]~74201\);

-- Location: FF_X69_Y6_N1
\led_flash_cnt[3380][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3380][1]~74200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3380][1]~q\);

-- Location: LCCOMB_X69_Y6_N2
\led_flash_cnt[3380][2]~74202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3380][2]~74202_combout\ = (\led_flash_cnt[3380][2]~q\ & (!\led_flash_cnt[3380][1]~74201\)) # (!\led_flash_cnt[3380][2]~q\ & ((\led_flash_cnt[3380][1]~74201\) # (GND)))
-- \led_flash_cnt[3380][2]~74203\ = CARRY((!\led_flash_cnt[3380][1]~74201\) # (!\led_flash_cnt[3380][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3380][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3380][1]~74201\,
	combout => \led_flash_cnt[3380][2]~74202_combout\,
	cout => \led_flash_cnt[3380][2]~74203\);

-- Location: FF_X69_Y6_N3
\led_flash_cnt[3380][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3380][2]~74202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3380][2]~q\);

-- Location: LCCOMB_X69_Y6_N4
\led_flash_cnt[3380][3]~74204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3380][3]~74204_combout\ = (\led_flash_cnt[3380][3]~q\ & (\led_flash_cnt[3380][2]~74203\ $ (GND))) # (!\led_flash_cnt[3380][3]~q\ & (!\led_flash_cnt[3380][2]~74203\ & VCC))
-- \led_flash_cnt[3380][3]~74205\ = CARRY((\led_flash_cnt[3380][3]~q\ & !\led_flash_cnt[3380][2]~74203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3380][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3380][2]~74203\,
	combout => \led_flash_cnt[3380][3]~74204_combout\,
	cout => \led_flash_cnt[3380][3]~74205\);

-- Location: FF_X69_Y6_N5
\led_flash_cnt[3380][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3380][3]~74204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3380][3]~q\);

-- Location: LCCOMB_X69_Y6_N6
\led_flash_cnt[3380][4]~74206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3380][4]~74206_combout\ = (\led_flash_cnt[3380][4]~q\ & (!\led_flash_cnt[3380][3]~74205\)) # (!\led_flash_cnt[3380][4]~q\ & ((\led_flash_cnt[3380][3]~74205\) # (GND)))
-- \led_flash_cnt[3380][4]~74207\ = CARRY((!\led_flash_cnt[3380][3]~74205\) # (!\led_flash_cnt[3380][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3380][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3380][3]~74205\,
	combout => \led_flash_cnt[3380][4]~74206_combout\,
	cout => \led_flash_cnt[3380][4]~74207\);

-- Location: FF_X69_Y6_N7
\led_flash_cnt[3380][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3380][4]~74206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3380][4]~q\);

-- Location: LCCOMB_X69_Y6_N8
\led_flash_cnt[3380][5]~74208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3380][5]~74208_combout\ = (\led_flash_cnt[3380][5]~q\ & (\led_flash_cnt[3380][4]~74207\ $ (GND))) # (!\led_flash_cnt[3380][5]~q\ & (!\led_flash_cnt[3380][4]~74207\ & VCC))
-- \led_flash_cnt[3380][5]~74209\ = CARRY((\led_flash_cnt[3380][5]~q\ & !\led_flash_cnt[3380][4]~74207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3380][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3380][4]~74207\,
	combout => \led_flash_cnt[3380][5]~74208_combout\,
	cout => \led_flash_cnt[3380][5]~74209\);

-- Location: FF_X69_Y6_N9
\led_flash_cnt[3380][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3380][5]~74208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3380][5]~q\);

-- Location: LCCOMB_X69_Y6_N10
\led_flash_cnt[3380][6]~74210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3380][6]~74210_combout\ = (\led_flash_cnt[3380][6]~q\ & (!\led_flash_cnt[3380][5]~74209\)) # (!\led_flash_cnt[3380][6]~q\ & ((\led_flash_cnt[3380][5]~74209\) # (GND)))
-- \led_flash_cnt[3380][6]~74211\ = CARRY((!\led_flash_cnt[3380][5]~74209\) # (!\led_flash_cnt[3380][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3380][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3380][5]~74209\,
	combout => \led_flash_cnt[3380][6]~74210_combout\,
	cout => \led_flash_cnt[3380][6]~74211\);

-- Location: FF_X69_Y6_N11
\led_flash_cnt[3380][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3380][6]~74210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3380][6]~q\);

-- Location: LCCOMB_X69_Y6_N26
\WideAnd3380~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3380~0_combout\ = (\led_flash_cnt[3380][1]~q\ & (\led_flash_cnt[3380][5]~q\ & (\led_flash_cnt[3380][3]~q\ & \led_flash_cnt[3380][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3380][1]~q\,
	datab => \led_flash_cnt[3380][5]~q\,
	datac => \led_flash_cnt[3380][3]~q\,
	datad => \led_flash_cnt[3380][6]~q\,
	combout => \WideAnd3380~0_combout\);

-- Location: LCCOMB_X69_Y6_N12
\led_flash_cnt[3380][7]~74212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3380][7]~74212_combout\ = \led_flash_cnt[3380][6]~74211\ $ (!\led_flash_cnt[3380][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3380][7]~q\,
	cin => \led_flash_cnt[3380][6]~74211\,
	combout => \led_flash_cnt[3380][7]~74212_combout\);

-- Location: FF_X69_Y6_N13
\led_flash_cnt[3380][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3380][7]~74212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3380][7]~q\);

-- Location: LCCOMB_X69_Y6_N22
\WideAnd3380~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3380~1_combout\ = (\led_flash_cnt[3380][7]~q\ & \led_flash_cnt[3380][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3380][7]~q\,
	datad => \led_flash_cnt[3380][0]~q\,
	combout => \WideAnd3380~1_combout\);

-- Location: LCCOMB_X69_Y6_N24
WideAnd3380 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3380~combout\ = (\WideAnd3380~0_combout\ & (\led_flash_cnt[3380][2]~q\ & (\WideAnd3380~1_combout\ & \led_flash_cnt[3380][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3380~0_combout\,
	datab => \led_flash_cnt[3380][2]~q\,
	datac => \WideAnd3380~1_combout\,
	datad => \led_flash_cnt[3380][4]~q\,
	combout => \WideAnd3380~combout\);

-- Location: FF_X69_Y6_N25
\led_flash_cnt_ands[3380]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3380~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3380));

-- Location: LCCOMB_X66_Y7_N18
\led_flash_cnt[3381][0]~84021\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3381][0]~84021_combout\ = !\led_flash_cnt[3381][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3381][0]~q\,
	combout => \led_flash_cnt[3381][0]~84021_combout\);

-- Location: FF_X66_Y7_N19
\led_flash_cnt[3381][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3381][0]~84021_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3381][0]~q\);

-- Location: LCCOMB_X66_Y7_N0
\led_flash_cnt[3381][1]~74214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3381][1]~74214_combout\ = (\led_flash_cnt[3381][1]~q\ & (\led_flash_cnt[3381][0]~q\ $ (VCC))) # (!\led_flash_cnt[3381][1]~q\ & (\led_flash_cnt[3381][0]~q\ & VCC))
-- \led_flash_cnt[3381][1]~74215\ = CARRY((\led_flash_cnt[3381][1]~q\ & \led_flash_cnt[3381][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3381][1]~q\,
	datab => \led_flash_cnt[3381][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3381][1]~74214_combout\,
	cout => \led_flash_cnt[3381][1]~74215\);

-- Location: FF_X66_Y7_N1
\led_flash_cnt[3381][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3381][1]~74214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3381][1]~q\);

-- Location: LCCOMB_X66_Y7_N2
\led_flash_cnt[3381][2]~74216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3381][2]~74216_combout\ = (\led_flash_cnt[3381][2]~q\ & (!\led_flash_cnt[3381][1]~74215\)) # (!\led_flash_cnt[3381][2]~q\ & ((\led_flash_cnt[3381][1]~74215\) # (GND)))
-- \led_flash_cnt[3381][2]~74217\ = CARRY((!\led_flash_cnt[3381][1]~74215\) # (!\led_flash_cnt[3381][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3381][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3381][1]~74215\,
	combout => \led_flash_cnt[3381][2]~74216_combout\,
	cout => \led_flash_cnt[3381][2]~74217\);

-- Location: FF_X66_Y7_N3
\led_flash_cnt[3381][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3381][2]~74216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3381][2]~q\);

-- Location: LCCOMB_X66_Y7_N4
\led_flash_cnt[3381][3]~74218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3381][3]~74218_combout\ = (\led_flash_cnt[3381][3]~q\ & (\led_flash_cnt[3381][2]~74217\ $ (GND))) # (!\led_flash_cnt[3381][3]~q\ & (!\led_flash_cnt[3381][2]~74217\ & VCC))
-- \led_flash_cnt[3381][3]~74219\ = CARRY((\led_flash_cnt[3381][3]~q\ & !\led_flash_cnt[3381][2]~74217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3381][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3381][2]~74217\,
	combout => \led_flash_cnt[3381][3]~74218_combout\,
	cout => \led_flash_cnt[3381][3]~74219\);

-- Location: FF_X66_Y7_N5
\led_flash_cnt[3381][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3381][3]~74218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3381][3]~q\);

-- Location: LCCOMB_X66_Y7_N6
\led_flash_cnt[3381][4]~74220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3381][4]~74220_combout\ = (\led_flash_cnt[3381][4]~q\ & (!\led_flash_cnt[3381][3]~74219\)) # (!\led_flash_cnt[3381][4]~q\ & ((\led_flash_cnt[3381][3]~74219\) # (GND)))
-- \led_flash_cnt[3381][4]~74221\ = CARRY((!\led_flash_cnt[3381][3]~74219\) # (!\led_flash_cnt[3381][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3381][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3381][3]~74219\,
	combout => \led_flash_cnt[3381][4]~74220_combout\,
	cout => \led_flash_cnt[3381][4]~74221\);

-- Location: FF_X66_Y7_N7
\led_flash_cnt[3381][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3381][4]~74220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3381][4]~q\);

-- Location: LCCOMB_X66_Y7_N26
\WideAnd3381~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3381~0_combout\ = (\led_flash_cnt[3381][4]~q\ & (\led_flash_cnt[3381][1]~q\ & (\led_flash_cnt[3381][3]~q\ & \led_flash_cnt[3381][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3381][4]~q\,
	datab => \led_flash_cnt[3381][1]~q\,
	datac => \led_flash_cnt[3381][3]~q\,
	datad => \led_flash_cnt[3381][2]~q\,
	combout => \WideAnd3381~0_combout\);

-- Location: LCCOMB_X66_Y7_N8
\led_flash_cnt[3381][5]~74222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3381][5]~74222_combout\ = (\led_flash_cnt[3381][5]~q\ & (\led_flash_cnt[3381][4]~74221\ $ (GND))) # (!\led_flash_cnt[3381][5]~q\ & (!\led_flash_cnt[3381][4]~74221\ & VCC))
-- \led_flash_cnt[3381][5]~74223\ = CARRY((\led_flash_cnt[3381][5]~q\ & !\led_flash_cnt[3381][4]~74221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3381][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3381][4]~74221\,
	combout => \led_flash_cnt[3381][5]~74222_combout\,
	cout => \led_flash_cnt[3381][5]~74223\);

-- Location: FF_X66_Y7_N9
\led_flash_cnt[3381][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3381][5]~74222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3381][5]~q\);

-- Location: LCCOMB_X66_Y7_N10
\led_flash_cnt[3381][6]~74224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3381][6]~74224_combout\ = (\led_flash_cnt[3381][6]~q\ & (!\led_flash_cnt[3381][5]~74223\)) # (!\led_flash_cnt[3381][6]~q\ & ((\led_flash_cnt[3381][5]~74223\) # (GND)))
-- \led_flash_cnt[3381][6]~74225\ = CARRY((!\led_flash_cnt[3381][5]~74223\) # (!\led_flash_cnt[3381][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3381][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3381][5]~74223\,
	combout => \led_flash_cnt[3381][6]~74224_combout\,
	cout => \led_flash_cnt[3381][6]~74225\);

-- Location: FF_X66_Y7_N11
\led_flash_cnt[3381][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3381][6]~74224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3381][6]~q\);

-- Location: LCCOMB_X66_Y7_N22
\WideAnd3381~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3381~1_combout\ = (\led_flash_cnt[3381][5]~q\ & \led_flash_cnt[3381][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3381][5]~q\,
	datad => \led_flash_cnt[3381][6]~q\,
	combout => \WideAnd3381~1_combout\);

-- Location: LCCOMB_X66_Y7_N12
\led_flash_cnt[3381][7]~74226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3381][7]~74226_combout\ = \led_flash_cnt[3381][6]~74225\ $ (!\led_flash_cnt[3381][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3381][7]~q\,
	cin => \led_flash_cnt[3381][6]~74225\,
	combout => \led_flash_cnt[3381][7]~74226_combout\);

-- Location: FF_X66_Y7_N13
\led_flash_cnt[3381][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3381][7]~74226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3381][7]~q\);

-- Location: LCCOMB_X66_Y7_N24
WideAnd3381 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3381~combout\ = (\WideAnd3381~0_combout\ & (\led_flash_cnt[3381][0]~q\ & (\WideAnd3381~1_combout\ & \led_flash_cnt[3381][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3381~0_combout\,
	datab => \led_flash_cnt[3381][0]~q\,
	datac => \WideAnd3381~1_combout\,
	datad => \led_flash_cnt[3381][7]~q\,
	combout => \WideAnd3381~combout\);

-- Location: FF_X66_Y7_N25
\led_flash_cnt_ands[3381]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3381~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3381));

-- Location: LCCOMB_X66_Y7_N28
\WideAnd4262~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4262~1_combout\ = (led_flash_cnt_ands(3380) & led_flash_cnt_ands(3381))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3380),
	datad => led_flash_cnt_ands(3381),
	combout => \WideAnd4262~1_combout\);

-- Location: LCCOMB_X62_Y8_N18
\led_flash_cnt[3378][0]~84018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3378][0]~84018_combout\ = !\led_flash_cnt[3378][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3378][0]~q\,
	combout => \led_flash_cnt[3378][0]~84018_combout\);

-- Location: FF_X62_Y8_N19
\led_flash_cnt[3378][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3378][0]~84018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3378][0]~q\);

-- Location: LCCOMB_X61_Y8_N2
\led_flash_cnt[3378][1]~74172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3378][1]~74172_combout\ = (\led_flash_cnt[3378][1]~q\ & (\led_flash_cnt[3378][0]~q\ $ (VCC))) # (!\led_flash_cnt[3378][1]~q\ & (\led_flash_cnt[3378][0]~q\ & VCC))
-- \led_flash_cnt[3378][1]~74173\ = CARRY((\led_flash_cnt[3378][1]~q\ & \led_flash_cnt[3378][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3378][1]~q\,
	datab => \led_flash_cnt[3378][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3378][1]~74172_combout\,
	cout => \led_flash_cnt[3378][1]~74173\);

-- Location: FF_X61_Y8_N3
\led_flash_cnt[3378][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3378][1]~74172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3378][1]~q\);

-- Location: LCCOMB_X61_Y8_N4
\led_flash_cnt[3378][2]~74174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3378][2]~74174_combout\ = (\led_flash_cnt[3378][2]~q\ & (!\led_flash_cnt[3378][1]~74173\)) # (!\led_flash_cnt[3378][2]~q\ & ((\led_flash_cnt[3378][1]~74173\) # (GND)))
-- \led_flash_cnt[3378][2]~74175\ = CARRY((!\led_flash_cnt[3378][1]~74173\) # (!\led_flash_cnt[3378][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3378][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3378][1]~74173\,
	combout => \led_flash_cnt[3378][2]~74174_combout\,
	cout => \led_flash_cnt[3378][2]~74175\);

-- Location: FF_X61_Y8_N5
\led_flash_cnt[3378][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3378][2]~74174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3378][2]~q\);

-- Location: LCCOMB_X61_Y8_N6
\led_flash_cnt[3378][3]~74176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3378][3]~74176_combout\ = (\led_flash_cnt[3378][3]~q\ & (\led_flash_cnt[3378][2]~74175\ $ (GND))) # (!\led_flash_cnt[3378][3]~q\ & (!\led_flash_cnt[3378][2]~74175\ & VCC))
-- \led_flash_cnt[3378][3]~74177\ = CARRY((\led_flash_cnt[3378][3]~q\ & !\led_flash_cnt[3378][2]~74175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3378][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3378][2]~74175\,
	combout => \led_flash_cnt[3378][3]~74176_combout\,
	cout => \led_flash_cnt[3378][3]~74177\);

-- Location: FF_X61_Y8_N7
\led_flash_cnt[3378][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3378][3]~74176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3378][3]~q\);

-- Location: LCCOMB_X61_Y8_N8
\led_flash_cnt[3378][4]~74178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3378][4]~74178_combout\ = (\led_flash_cnt[3378][4]~q\ & (!\led_flash_cnt[3378][3]~74177\)) # (!\led_flash_cnt[3378][4]~q\ & ((\led_flash_cnt[3378][3]~74177\) # (GND)))
-- \led_flash_cnt[3378][4]~74179\ = CARRY((!\led_flash_cnt[3378][3]~74177\) # (!\led_flash_cnt[3378][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3378][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3378][3]~74177\,
	combout => \led_flash_cnt[3378][4]~74178_combout\,
	cout => \led_flash_cnt[3378][4]~74179\);

-- Location: FF_X61_Y8_N9
\led_flash_cnt[3378][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3378][4]~74178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3378][4]~q\);

-- Location: LCCOMB_X61_Y8_N10
\led_flash_cnt[3378][5]~74180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3378][5]~74180_combout\ = (\led_flash_cnt[3378][5]~q\ & (\led_flash_cnt[3378][4]~74179\ $ (GND))) # (!\led_flash_cnt[3378][5]~q\ & (!\led_flash_cnt[3378][4]~74179\ & VCC))
-- \led_flash_cnt[3378][5]~74181\ = CARRY((\led_flash_cnt[3378][5]~q\ & !\led_flash_cnt[3378][4]~74179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3378][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3378][4]~74179\,
	combout => \led_flash_cnt[3378][5]~74180_combout\,
	cout => \led_flash_cnt[3378][5]~74181\);

-- Location: FF_X61_Y8_N11
\led_flash_cnt[3378][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3378][5]~74180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3378][5]~q\);

-- Location: LCCOMB_X61_Y8_N12
\led_flash_cnt[3378][6]~74182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3378][6]~74182_combout\ = (\led_flash_cnt[3378][6]~q\ & (!\led_flash_cnt[3378][5]~74181\)) # (!\led_flash_cnt[3378][6]~q\ & ((\led_flash_cnt[3378][5]~74181\) # (GND)))
-- \led_flash_cnt[3378][6]~74183\ = CARRY((!\led_flash_cnt[3378][5]~74181\) # (!\led_flash_cnt[3378][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3378][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3378][5]~74181\,
	combout => \led_flash_cnt[3378][6]~74182_combout\,
	cout => \led_flash_cnt[3378][6]~74183\);

-- Location: FF_X61_Y8_N13
\led_flash_cnt[3378][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3378][6]~74182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3378][6]~q\);

-- Location: LCCOMB_X61_Y8_N14
\led_flash_cnt[3378][7]~74184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3378][7]~74184_combout\ = \led_flash_cnt[3378][7]~q\ $ (!\led_flash_cnt[3378][6]~74183\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3378][7]~q\,
	cin => \led_flash_cnt[3378][6]~74183\,
	combout => \led_flash_cnt[3378][7]~74184_combout\);

-- Location: FF_X61_Y8_N15
\led_flash_cnt[3378][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3378][7]~74184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3378][7]~q\);

-- Location: LCCOMB_X62_Y8_N24
\WideAnd3378~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3378~1_combout\ = (\led_flash_cnt[3378][6]~q\ & \led_flash_cnt[3378][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3378][6]~q\,
	datad => \led_flash_cnt[3378][5]~q\,
	combout => \WideAnd3378~1_combout\);

-- Location: LCCOMB_X61_Y8_N0
\WideAnd3378~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3378~0_combout\ = (\led_flash_cnt[3378][1]~q\ & (\led_flash_cnt[3378][4]~q\ & (\led_flash_cnt[3378][2]~q\ & \led_flash_cnt[3378][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3378][1]~q\,
	datab => \led_flash_cnt[3378][4]~q\,
	datac => \led_flash_cnt[3378][2]~q\,
	datad => \led_flash_cnt[3378][3]~q\,
	combout => \WideAnd3378~0_combout\);

-- Location: LCCOMB_X62_Y8_N22
WideAnd3378 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3378~combout\ = (\led_flash_cnt[3378][7]~q\ & (\WideAnd3378~1_combout\ & (\WideAnd3378~0_combout\ & \led_flash_cnt[3378][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3378][7]~q\,
	datab => \WideAnd3378~1_combout\,
	datac => \WideAnd3378~0_combout\,
	datad => \led_flash_cnt[3378][0]~q\,
	combout => \WideAnd3378~combout\);

-- Location: FF_X62_Y8_N23
\led_flash_cnt_ands[3378]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3378~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3378));

-- Location: LCCOMB_X62_Y8_N26
\led_flash_cnt[3379][0]~84019\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3379][0]~84019_combout\ = !\led_flash_cnt[3379][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3379][0]~q\,
	combout => \led_flash_cnt[3379][0]~84019_combout\);

-- Location: FF_X62_Y8_N27
\led_flash_cnt[3379][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3379][0]~84019_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3379][0]~q\);

-- Location: LCCOMB_X62_Y8_N2
\led_flash_cnt[3379][1]~74186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3379][1]~74186_combout\ = (\led_flash_cnt[3379][0]~q\ & (\led_flash_cnt[3379][1]~q\ $ (VCC))) # (!\led_flash_cnt[3379][0]~q\ & (\led_flash_cnt[3379][1]~q\ & VCC))
-- \led_flash_cnt[3379][1]~74187\ = CARRY((\led_flash_cnt[3379][0]~q\ & \led_flash_cnt[3379][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3379][0]~q\,
	datab => \led_flash_cnt[3379][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3379][1]~74186_combout\,
	cout => \led_flash_cnt[3379][1]~74187\);

-- Location: FF_X62_Y8_N3
\led_flash_cnt[3379][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3379][1]~74186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3379][1]~q\);

-- Location: LCCOMB_X62_Y8_N4
\led_flash_cnt[3379][2]~74188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3379][2]~74188_combout\ = (\led_flash_cnt[3379][2]~q\ & (!\led_flash_cnt[3379][1]~74187\)) # (!\led_flash_cnt[3379][2]~q\ & ((\led_flash_cnt[3379][1]~74187\) # (GND)))
-- \led_flash_cnt[3379][2]~74189\ = CARRY((!\led_flash_cnt[3379][1]~74187\) # (!\led_flash_cnt[3379][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3379][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3379][1]~74187\,
	combout => \led_flash_cnt[3379][2]~74188_combout\,
	cout => \led_flash_cnt[3379][2]~74189\);

-- Location: FF_X62_Y8_N5
\led_flash_cnt[3379][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3379][2]~74188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3379][2]~q\);

-- Location: LCCOMB_X62_Y8_N6
\led_flash_cnt[3379][3]~74190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3379][3]~74190_combout\ = (\led_flash_cnt[3379][3]~q\ & (\led_flash_cnt[3379][2]~74189\ $ (GND))) # (!\led_flash_cnt[3379][3]~q\ & (!\led_flash_cnt[3379][2]~74189\ & VCC))
-- \led_flash_cnt[3379][3]~74191\ = CARRY((\led_flash_cnt[3379][3]~q\ & !\led_flash_cnt[3379][2]~74189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3379][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3379][2]~74189\,
	combout => \led_flash_cnt[3379][3]~74190_combout\,
	cout => \led_flash_cnt[3379][3]~74191\);

-- Location: FF_X62_Y8_N7
\led_flash_cnt[3379][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3379][3]~74190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3379][3]~q\);

-- Location: LCCOMB_X62_Y8_N8
\led_flash_cnt[3379][4]~74192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3379][4]~74192_combout\ = (\led_flash_cnt[3379][4]~q\ & (!\led_flash_cnt[3379][3]~74191\)) # (!\led_flash_cnt[3379][4]~q\ & ((\led_flash_cnt[3379][3]~74191\) # (GND)))
-- \led_flash_cnt[3379][4]~74193\ = CARRY((!\led_flash_cnt[3379][3]~74191\) # (!\led_flash_cnt[3379][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3379][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3379][3]~74191\,
	combout => \led_flash_cnt[3379][4]~74192_combout\,
	cout => \led_flash_cnt[3379][4]~74193\);

-- Location: FF_X62_Y8_N9
\led_flash_cnt[3379][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3379][4]~74192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3379][4]~q\);

-- Location: LCCOMB_X62_Y8_N30
\WideAnd3379~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3379~0_combout\ = (\led_flash_cnt[3379][3]~q\ & (\led_flash_cnt[3379][4]~q\ & (\led_flash_cnt[3379][2]~q\ & \led_flash_cnt[3379][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3379][3]~q\,
	datab => \led_flash_cnt[3379][4]~q\,
	datac => \led_flash_cnt[3379][2]~q\,
	datad => \led_flash_cnt[3379][1]~q\,
	combout => \WideAnd3379~0_combout\);

-- Location: LCCOMB_X62_Y8_N10
\led_flash_cnt[3379][5]~74194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3379][5]~74194_combout\ = (\led_flash_cnt[3379][5]~q\ & (\led_flash_cnt[3379][4]~74193\ $ (GND))) # (!\led_flash_cnt[3379][5]~q\ & (!\led_flash_cnt[3379][4]~74193\ & VCC))
-- \led_flash_cnt[3379][5]~74195\ = CARRY((\led_flash_cnt[3379][5]~q\ & !\led_flash_cnt[3379][4]~74193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3379][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3379][4]~74193\,
	combout => \led_flash_cnt[3379][5]~74194_combout\,
	cout => \led_flash_cnt[3379][5]~74195\);

-- Location: FF_X62_Y8_N11
\led_flash_cnt[3379][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3379][5]~74194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3379][5]~q\);

-- Location: LCCOMB_X62_Y8_N12
\led_flash_cnt[3379][6]~74196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3379][6]~74196_combout\ = (\led_flash_cnt[3379][6]~q\ & (!\led_flash_cnt[3379][5]~74195\)) # (!\led_flash_cnt[3379][6]~q\ & ((\led_flash_cnt[3379][5]~74195\) # (GND)))
-- \led_flash_cnt[3379][6]~74197\ = CARRY((!\led_flash_cnt[3379][5]~74195\) # (!\led_flash_cnt[3379][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3379][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3379][5]~74195\,
	combout => \led_flash_cnt[3379][6]~74196_combout\,
	cout => \led_flash_cnt[3379][6]~74197\);

-- Location: FF_X62_Y8_N13
\led_flash_cnt[3379][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3379][6]~74196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3379][6]~q\);

-- Location: LCCOMB_X62_Y8_N14
\led_flash_cnt[3379][7]~74198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3379][7]~74198_combout\ = \led_flash_cnt[3379][7]~q\ $ (!\led_flash_cnt[3379][6]~74197\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3379][7]~q\,
	cin => \led_flash_cnt[3379][6]~74197\,
	combout => \led_flash_cnt[3379][7]~74198_combout\);

-- Location: FF_X62_Y8_N15
\led_flash_cnt[3379][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3379][7]~74198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3379][7]~q\);

-- Location: LCCOMB_X62_Y8_N28
\WideAnd3379~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3379~1_combout\ = (\led_flash_cnt[3379][6]~q\ & \led_flash_cnt[3379][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3379][6]~q\,
	datad => \led_flash_cnt[3379][5]~q\,
	combout => \WideAnd3379~1_combout\);

-- Location: LCCOMB_X62_Y8_N20
WideAnd3379 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3379~combout\ = (\WideAnd3379~0_combout\ & (\led_flash_cnt[3379][7]~q\ & (\led_flash_cnt[3379][0]~q\ & \WideAnd3379~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3379~0_combout\,
	datab => \led_flash_cnt[3379][7]~q\,
	datac => \led_flash_cnt[3379][0]~q\,
	datad => \WideAnd3379~1_combout\,
	combout => \WideAnd3379~combout\);

-- Location: FF_X62_Y8_N21
\led_flash_cnt_ands[3379]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3379~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3379));

-- Location: LCCOMB_X61_Y5_N4
\led_flash_cnt[3376][0]~84016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3376][0]~84016_combout\ = !\led_flash_cnt[3376][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3376][0]~q\,
	combout => \led_flash_cnt[3376][0]~84016_combout\);

-- Location: FF_X61_Y5_N5
\led_flash_cnt[3376][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3376][0]~84016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3376][0]~q\);

-- Location: LCCOMB_X61_Y5_N10
\led_flash_cnt[3376][1]~74144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3376][1]~74144_combout\ = (\led_flash_cnt[3376][1]~q\ & (\led_flash_cnt[3376][0]~q\ $ (VCC))) # (!\led_flash_cnt[3376][1]~q\ & (\led_flash_cnt[3376][0]~q\ & VCC))
-- \led_flash_cnt[3376][1]~74145\ = CARRY((\led_flash_cnt[3376][1]~q\ & \led_flash_cnt[3376][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3376][1]~q\,
	datab => \led_flash_cnt[3376][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3376][1]~74144_combout\,
	cout => \led_flash_cnt[3376][1]~74145\);

-- Location: FF_X61_Y5_N11
\led_flash_cnt[3376][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3376][1]~74144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3376][1]~q\);

-- Location: LCCOMB_X61_Y5_N12
\led_flash_cnt[3376][2]~74146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3376][2]~74146_combout\ = (\led_flash_cnt[3376][2]~q\ & (!\led_flash_cnt[3376][1]~74145\)) # (!\led_flash_cnt[3376][2]~q\ & ((\led_flash_cnt[3376][1]~74145\) # (GND)))
-- \led_flash_cnt[3376][2]~74147\ = CARRY((!\led_flash_cnt[3376][1]~74145\) # (!\led_flash_cnt[3376][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3376][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3376][1]~74145\,
	combout => \led_flash_cnt[3376][2]~74146_combout\,
	cout => \led_flash_cnt[3376][2]~74147\);

-- Location: FF_X61_Y5_N13
\led_flash_cnt[3376][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3376][2]~74146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3376][2]~q\);

-- Location: LCCOMB_X61_Y5_N14
\led_flash_cnt[3376][3]~74148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3376][3]~74148_combout\ = (\led_flash_cnt[3376][3]~q\ & (\led_flash_cnt[3376][2]~74147\ $ (GND))) # (!\led_flash_cnt[3376][3]~q\ & (!\led_flash_cnt[3376][2]~74147\ & VCC))
-- \led_flash_cnt[3376][3]~74149\ = CARRY((\led_flash_cnt[3376][3]~q\ & !\led_flash_cnt[3376][2]~74147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3376][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3376][2]~74147\,
	combout => \led_flash_cnt[3376][3]~74148_combout\,
	cout => \led_flash_cnt[3376][3]~74149\);

-- Location: FF_X61_Y5_N15
\led_flash_cnt[3376][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3376][3]~74148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3376][3]~q\);

-- Location: LCCOMB_X61_Y5_N16
\led_flash_cnt[3376][4]~74150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3376][4]~74150_combout\ = (\led_flash_cnt[3376][4]~q\ & (!\led_flash_cnt[3376][3]~74149\)) # (!\led_flash_cnt[3376][4]~q\ & ((\led_flash_cnt[3376][3]~74149\) # (GND)))
-- \led_flash_cnt[3376][4]~74151\ = CARRY((!\led_flash_cnt[3376][3]~74149\) # (!\led_flash_cnt[3376][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3376][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3376][3]~74149\,
	combout => \led_flash_cnt[3376][4]~74150_combout\,
	cout => \led_flash_cnt[3376][4]~74151\);

-- Location: FF_X61_Y5_N17
\led_flash_cnt[3376][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3376][4]~74150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3376][4]~q\);

-- Location: LCCOMB_X61_Y5_N18
\led_flash_cnt[3376][5]~74152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3376][5]~74152_combout\ = (\led_flash_cnt[3376][5]~q\ & (\led_flash_cnt[3376][4]~74151\ $ (GND))) # (!\led_flash_cnt[3376][5]~q\ & (!\led_flash_cnt[3376][4]~74151\ & VCC))
-- \led_flash_cnt[3376][5]~74153\ = CARRY((\led_flash_cnt[3376][5]~q\ & !\led_flash_cnt[3376][4]~74151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3376][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3376][4]~74151\,
	combout => \led_flash_cnt[3376][5]~74152_combout\,
	cout => \led_flash_cnt[3376][5]~74153\);

-- Location: FF_X61_Y5_N19
\led_flash_cnt[3376][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3376][5]~74152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3376][5]~q\);

-- Location: LCCOMB_X61_Y5_N20
\led_flash_cnt[3376][6]~74154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3376][6]~74154_combout\ = (\led_flash_cnt[3376][6]~q\ & (!\led_flash_cnt[3376][5]~74153\)) # (!\led_flash_cnt[3376][6]~q\ & ((\led_flash_cnt[3376][5]~74153\) # (GND)))
-- \led_flash_cnt[3376][6]~74155\ = CARRY((!\led_flash_cnt[3376][5]~74153\) # (!\led_flash_cnt[3376][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3376][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3376][5]~74153\,
	combout => \led_flash_cnt[3376][6]~74154_combout\,
	cout => \led_flash_cnt[3376][6]~74155\);

-- Location: FF_X61_Y5_N21
\led_flash_cnt[3376][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3376][6]~74154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3376][6]~q\);

-- Location: LCCOMB_X61_Y5_N22
\led_flash_cnt[3376][7]~74156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3376][7]~74156_combout\ = \led_flash_cnt[3376][7]~q\ $ (!\led_flash_cnt[3376][6]~74155\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3376][7]~q\,
	cin => \led_flash_cnt[3376][6]~74155\,
	combout => \led_flash_cnt[3376][7]~74156_combout\);

-- Location: FF_X61_Y5_N23
\led_flash_cnt[3376][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3376][7]~74156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3376][7]~q\);

-- Location: LCCOMB_X61_Y5_N8
\WideAnd3376~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3376~1_combout\ = (\led_flash_cnt[3376][5]~q\ & \led_flash_cnt[3376][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3376][5]~q\,
	datad => \led_flash_cnt[3376][6]~q\,
	combout => \WideAnd3376~1_combout\);

-- Location: LCCOMB_X61_Y5_N24
\WideAnd3376~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3376~0_combout\ = (\led_flash_cnt[3376][1]~q\ & (\led_flash_cnt[3376][4]~q\ & (\led_flash_cnt[3376][3]~q\ & \led_flash_cnt[3376][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3376][1]~q\,
	datab => \led_flash_cnt[3376][4]~q\,
	datac => \led_flash_cnt[3376][3]~q\,
	datad => \led_flash_cnt[3376][2]~q\,
	combout => \WideAnd3376~0_combout\);

-- Location: LCCOMB_X61_Y5_N26
WideAnd3376 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3376~combout\ = (\led_flash_cnt[3376][7]~q\ & (\led_flash_cnt[3376][0]~q\ & (\WideAnd3376~1_combout\ & \WideAnd3376~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3376][7]~q\,
	datab => \led_flash_cnt[3376][0]~q\,
	datac => \WideAnd3376~1_combout\,
	datad => \WideAnd3376~0_combout\,
	combout => \WideAnd3376~combout\);

-- Location: FF_X61_Y5_N27
\led_flash_cnt_ands[3376]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3376~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3376));

-- Location: LCCOMB_X63_Y8_N24
\led_flash_cnt[3377][0]~84017\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3377][0]~84017_combout\ = !\led_flash_cnt[3377][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3377][0]~q\,
	combout => \led_flash_cnt[3377][0]~84017_combout\);

-- Location: FF_X63_Y8_N25
\led_flash_cnt[3377][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3377][0]~84017_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3377][0]~q\);

-- Location: LCCOMB_X63_Y8_N10
\led_flash_cnt[3377][1]~74158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3377][1]~74158_combout\ = (\led_flash_cnt[3377][1]~q\ & (\led_flash_cnt[3377][0]~q\ $ (VCC))) # (!\led_flash_cnt[3377][1]~q\ & (\led_flash_cnt[3377][0]~q\ & VCC))
-- \led_flash_cnt[3377][1]~74159\ = CARRY((\led_flash_cnt[3377][1]~q\ & \led_flash_cnt[3377][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3377][1]~q\,
	datab => \led_flash_cnt[3377][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3377][1]~74158_combout\,
	cout => \led_flash_cnt[3377][1]~74159\);

-- Location: FF_X63_Y8_N11
\led_flash_cnt[3377][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3377][1]~74158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3377][1]~q\);

-- Location: LCCOMB_X63_Y8_N12
\led_flash_cnt[3377][2]~74160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3377][2]~74160_combout\ = (\led_flash_cnt[3377][2]~q\ & (!\led_flash_cnt[3377][1]~74159\)) # (!\led_flash_cnt[3377][2]~q\ & ((\led_flash_cnt[3377][1]~74159\) # (GND)))
-- \led_flash_cnt[3377][2]~74161\ = CARRY((!\led_flash_cnt[3377][1]~74159\) # (!\led_flash_cnt[3377][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3377][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3377][1]~74159\,
	combout => \led_flash_cnt[3377][2]~74160_combout\,
	cout => \led_flash_cnt[3377][2]~74161\);

-- Location: FF_X63_Y8_N13
\led_flash_cnt[3377][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3377][2]~74160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3377][2]~q\);

-- Location: LCCOMB_X63_Y8_N14
\led_flash_cnt[3377][3]~74162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3377][3]~74162_combout\ = (\led_flash_cnt[3377][3]~q\ & (\led_flash_cnt[3377][2]~74161\ $ (GND))) # (!\led_flash_cnt[3377][3]~q\ & (!\led_flash_cnt[3377][2]~74161\ & VCC))
-- \led_flash_cnt[3377][3]~74163\ = CARRY((\led_flash_cnt[3377][3]~q\ & !\led_flash_cnt[3377][2]~74161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3377][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3377][2]~74161\,
	combout => \led_flash_cnt[3377][3]~74162_combout\,
	cout => \led_flash_cnt[3377][3]~74163\);

-- Location: FF_X63_Y8_N15
\led_flash_cnt[3377][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3377][3]~74162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3377][3]~q\);

-- Location: LCCOMB_X63_Y8_N16
\led_flash_cnt[3377][4]~74164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3377][4]~74164_combout\ = (\led_flash_cnt[3377][4]~q\ & (!\led_flash_cnt[3377][3]~74163\)) # (!\led_flash_cnt[3377][4]~q\ & ((\led_flash_cnt[3377][3]~74163\) # (GND)))
-- \led_flash_cnt[3377][4]~74165\ = CARRY((!\led_flash_cnt[3377][3]~74163\) # (!\led_flash_cnt[3377][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3377][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3377][3]~74163\,
	combout => \led_flash_cnt[3377][4]~74164_combout\,
	cout => \led_flash_cnt[3377][4]~74165\);

-- Location: FF_X63_Y8_N17
\led_flash_cnt[3377][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3377][4]~74164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3377][4]~q\);

-- Location: LCCOMB_X63_Y8_N26
\WideAnd3377~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3377~0_combout\ = (\led_flash_cnt[3377][1]~q\ & (\led_flash_cnt[3377][4]~q\ & (\led_flash_cnt[3377][3]~q\ & \led_flash_cnt[3377][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3377][1]~q\,
	datab => \led_flash_cnt[3377][4]~q\,
	datac => \led_flash_cnt[3377][3]~q\,
	datad => \led_flash_cnt[3377][2]~q\,
	combout => \WideAnd3377~0_combout\);

-- Location: LCCOMB_X63_Y8_N18
\led_flash_cnt[3377][5]~74166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3377][5]~74166_combout\ = (\led_flash_cnt[3377][5]~q\ & (\led_flash_cnt[3377][4]~74165\ $ (GND))) # (!\led_flash_cnt[3377][5]~q\ & (!\led_flash_cnt[3377][4]~74165\ & VCC))
-- \led_flash_cnt[3377][5]~74167\ = CARRY((\led_flash_cnt[3377][5]~q\ & !\led_flash_cnt[3377][4]~74165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3377][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3377][4]~74165\,
	combout => \led_flash_cnt[3377][5]~74166_combout\,
	cout => \led_flash_cnt[3377][5]~74167\);

-- Location: FF_X63_Y8_N19
\led_flash_cnt[3377][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3377][5]~74166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3377][5]~q\);

-- Location: LCCOMB_X63_Y8_N20
\led_flash_cnt[3377][6]~74168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3377][6]~74168_combout\ = (\led_flash_cnt[3377][6]~q\ & (!\led_flash_cnt[3377][5]~74167\)) # (!\led_flash_cnt[3377][6]~q\ & ((\led_flash_cnt[3377][5]~74167\) # (GND)))
-- \led_flash_cnt[3377][6]~74169\ = CARRY((!\led_flash_cnt[3377][5]~74167\) # (!\led_flash_cnt[3377][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3377][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3377][5]~74167\,
	combout => \led_flash_cnt[3377][6]~74168_combout\,
	cout => \led_flash_cnt[3377][6]~74169\);

-- Location: FF_X63_Y8_N21
\led_flash_cnt[3377][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3377][6]~74168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3377][6]~q\);

-- Location: LCCOMB_X63_Y8_N22
\led_flash_cnt[3377][7]~74170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3377][7]~74170_combout\ = \led_flash_cnt[3377][7]~q\ $ (!\led_flash_cnt[3377][6]~74169\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3377][7]~q\,
	cin => \led_flash_cnt[3377][6]~74169\,
	combout => \led_flash_cnt[3377][7]~74170_combout\);

-- Location: FF_X63_Y8_N23
\led_flash_cnt[3377][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3377][7]~74170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3377][7]~q\);

-- Location: LCCOMB_X63_Y8_N28
\WideAnd3377~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3377~1_combout\ = (\led_flash_cnt[3377][6]~q\ & \led_flash_cnt[3377][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3377][6]~q\,
	datad => \led_flash_cnt[3377][5]~q\,
	combout => \WideAnd3377~1_combout\);

-- Location: LCCOMB_X63_Y8_N4
WideAnd3377 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3377~combout\ = (\WideAnd3377~0_combout\ & (\led_flash_cnt[3377][0]~q\ & (\led_flash_cnt[3377][7]~q\ & \WideAnd3377~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3377~0_combout\,
	datab => \led_flash_cnt[3377][0]~q\,
	datac => \led_flash_cnt[3377][7]~q\,
	datad => \WideAnd3377~1_combout\,
	combout => \WideAnd3377~combout\);

-- Location: FF_X63_Y8_N5
\led_flash_cnt_ands[3377]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3377~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3377));

-- Location: LCCOMB_X62_Y8_N16
\WideAnd4262~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4262~0_combout\ = (led_flash_cnt_ands(3378) & (led_flash_cnt_ands(3379) & (led_flash_cnt_ands(3376) & led_flash_cnt_ands(3377))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3378),
	datab => led_flash_cnt_ands(3379),
	datac => led_flash_cnt_ands(3376),
	datad => led_flash_cnt_ands(3377),
	combout => \WideAnd4262~0_combout\);

-- Location: LCCOMB_X62_Y12_N8
WideAnd4262 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4262~combout\ = (led_flash_cnt_ands(3382) & (led_flash_cnt_ands(3383) & (\WideAnd4262~1_combout\ & \WideAnd4262~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3382),
	datab => led_flash_cnt_ands(3383),
	datac => \WideAnd4262~1_combout\,
	datad => \WideAnd4262~0_combout\,
	combout => \WideAnd4262~combout\);

-- Location: FF_X62_Y12_N9
\led_flash_cnt_ands_1[422]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4262~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(422));

-- Location: LCCOMB_X63_Y14_N12
\led_flash_cnt[3367][0]~84007\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3367][0]~84007_combout\ = !\led_flash_cnt[3367][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3367][0]~q\,
	combout => \led_flash_cnt[3367][0]~84007_combout\);

-- Location: FF_X63_Y14_N13
\led_flash_cnt[3367][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3367][0]~84007_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3367][0]~q\);

-- Location: LCCOMB_X63_Y14_N18
\led_flash_cnt[3367][1]~74018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3367][1]~74018_combout\ = (\led_flash_cnt[3367][0]~q\ & (\led_flash_cnt[3367][1]~q\ $ (VCC))) # (!\led_flash_cnt[3367][0]~q\ & (\led_flash_cnt[3367][1]~q\ & VCC))
-- \led_flash_cnt[3367][1]~74019\ = CARRY((\led_flash_cnt[3367][0]~q\ & \led_flash_cnt[3367][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3367][0]~q\,
	datab => \led_flash_cnt[3367][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3367][1]~74018_combout\,
	cout => \led_flash_cnt[3367][1]~74019\);

-- Location: FF_X63_Y14_N19
\led_flash_cnt[3367][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3367][1]~74018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3367][1]~q\);

-- Location: LCCOMB_X63_Y14_N20
\led_flash_cnt[3367][2]~74020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3367][2]~74020_combout\ = (\led_flash_cnt[3367][2]~q\ & (!\led_flash_cnt[3367][1]~74019\)) # (!\led_flash_cnt[3367][2]~q\ & ((\led_flash_cnt[3367][1]~74019\) # (GND)))
-- \led_flash_cnt[3367][2]~74021\ = CARRY((!\led_flash_cnt[3367][1]~74019\) # (!\led_flash_cnt[3367][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3367][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3367][1]~74019\,
	combout => \led_flash_cnt[3367][2]~74020_combout\,
	cout => \led_flash_cnt[3367][2]~74021\);

-- Location: FF_X63_Y14_N21
\led_flash_cnt[3367][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3367][2]~74020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3367][2]~q\);

-- Location: LCCOMB_X63_Y14_N22
\led_flash_cnt[3367][3]~74022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3367][3]~74022_combout\ = (\led_flash_cnt[3367][3]~q\ & (\led_flash_cnt[3367][2]~74021\ $ (GND))) # (!\led_flash_cnt[3367][3]~q\ & (!\led_flash_cnt[3367][2]~74021\ & VCC))
-- \led_flash_cnt[3367][3]~74023\ = CARRY((\led_flash_cnt[3367][3]~q\ & !\led_flash_cnt[3367][2]~74021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3367][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3367][2]~74021\,
	combout => \led_flash_cnt[3367][3]~74022_combout\,
	cout => \led_flash_cnt[3367][3]~74023\);

-- Location: FF_X63_Y14_N23
\led_flash_cnt[3367][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3367][3]~74022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3367][3]~q\);

-- Location: LCCOMB_X63_Y14_N24
\led_flash_cnt[3367][4]~74024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3367][4]~74024_combout\ = (\led_flash_cnt[3367][4]~q\ & (!\led_flash_cnt[3367][3]~74023\)) # (!\led_flash_cnt[3367][4]~q\ & ((\led_flash_cnt[3367][3]~74023\) # (GND)))
-- \led_flash_cnt[3367][4]~74025\ = CARRY((!\led_flash_cnt[3367][3]~74023\) # (!\led_flash_cnt[3367][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3367][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3367][3]~74023\,
	combout => \led_flash_cnt[3367][4]~74024_combout\,
	cout => \led_flash_cnt[3367][4]~74025\);

-- Location: FF_X63_Y14_N25
\led_flash_cnt[3367][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3367][4]~74024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3367][4]~q\);

-- Location: LCCOMB_X63_Y14_N10
\WideAnd3367~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3367~0_combout\ = (\led_flash_cnt[3367][4]~q\ & (\led_flash_cnt[3367][2]~q\ & (\led_flash_cnt[3367][3]~q\ & \led_flash_cnt[3367][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3367][4]~q\,
	datab => \led_flash_cnt[3367][2]~q\,
	datac => \led_flash_cnt[3367][3]~q\,
	datad => \led_flash_cnt[3367][1]~q\,
	combout => \WideAnd3367~0_combout\);

-- Location: LCCOMB_X63_Y14_N26
\led_flash_cnt[3367][5]~74026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3367][5]~74026_combout\ = (\led_flash_cnt[3367][5]~q\ & (\led_flash_cnt[3367][4]~74025\ $ (GND))) # (!\led_flash_cnt[3367][5]~q\ & (!\led_flash_cnt[3367][4]~74025\ & VCC))
-- \led_flash_cnt[3367][5]~74027\ = CARRY((\led_flash_cnt[3367][5]~q\ & !\led_flash_cnt[3367][4]~74025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3367][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3367][4]~74025\,
	combout => \led_flash_cnt[3367][5]~74026_combout\,
	cout => \led_flash_cnt[3367][5]~74027\);

-- Location: FF_X63_Y14_N27
\led_flash_cnt[3367][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3367][5]~74026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3367][5]~q\);

-- Location: LCCOMB_X63_Y14_N28
\led_flash_cnt[3367][6]~74028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3367][6]~74028_combout\ = (\led_flash_cnt[3367][6]~q\ & (!\led_flash_cnt[3367][5]~74027\)) # (!\led_flash_cnt[3367][6]~q\ & ((\led_flash_cnt[3367][5]~74027\) # (GND)))
-- \led_flash_cnt[3367][6]~74029\ = CARRY((!\led_flash_cnt[3367][5]~74027\) # (!\led_flash_cnt[3367][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3367][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3367][5]~74027\,
	combout => \led_flash_cnt[3367][6]~74028_combout\,
	cout => \led_flash_cnt[3367][6]~74029\);

-- Location: FF_X63_Y14_N29
\led_flash_cnt[3367][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3367][6]~74028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3367][6]~q\);

-- Location: LCCOMB_X63_Y14_N8
\WideAnd3367~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3367~1_combout\ = (\led_flash_cnt[3367][5]~q\ & \led_flash_cnt[3367][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3367][5]~q\,
	datad => \led_flash_cnt[3367][6]~q\,
	combout => \WideAnd3367~1_combout\);

-- Location: LCCOMB_X63_Y14_N30
\led_flash_cnt[3367][7]~74030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3367][7]~74030_combout\ = \led_flash_cnt[3367][7]~q\ $ (!\led_flash_cnt[3367][6]~74029\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3367][7]~q\,
	cin => \led_flash_cnt[3367][6]~74029\,
	combout => \led_flash_cnt[3367][7]~74030_combout\);

-- Location: FF_X63_Y14_N31
\led_flash_cnt[3367][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3367][7]~74030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3367][7]~q\);

-- Location: LCCOMB_X63_Y14_N14
WideAnd3367 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3367~combout\ = (\WideAnd3367~0_combout\ & (\WideAnd3367~1_combout\ & (\led_flash_cnt[3367][7]~q\ & \led_flash_cnt[3367][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3367~0_combout\,
	datab => \WideAnd3367~1_combout\,
	datac => \led_flash_cnt[3367][7]~q\,
	datad => \led_flash_cnt[3367][0]~q\,
	combout => \WideAnd3367~combout\);

-- Location: FF_X63_Y14_N15
\led_flash_cnt_ands[3367]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3367~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3367));

-- Location: LCCOMB_X64_Y14_N4
\led_flash_cnt[3366][0]~84006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3366][0]~84006_combout\ = !\led_flash_cnt[3366][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3366][0]~q\,
	combout => \led_flash_cnt[3366][0]~84006_combout\);

-- Location: FF_X64_Y14_N5
\led_flash_cnt[3366][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3366][0]~84006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3366][0]~q\);

-- Location: LCCOMB_X64_Y14_N6
\led_flash_cnt[3366][1]~74004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3366][1]~74004_combout\ = (\led_flash_cnt[3366][1]~q\ & (\led_flash_cnt[3366][0]~q\ $ (VCC))) # (!\led_flash_cnt[3366][1]~q\ & (\led_flash_cnt[3366][0]~q\ & VCC))
-- \led_flash_cnt[3366][1]~74005\ = CARRY((\led_flash_cnt[3366][1]~q\ & \led_flash_cnt[3366][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3366][1]~q\,
	datab => \led_flash_cnt[3366][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3366][1]~74004_combout\,
	cout => \led_flash_cnt[3366][1]~74005\);

-- Location: FF_X64_Y14_N7
\led_flash_cnt[3366][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3366][1]~74004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3366][1]~q\);

-- Location: LCCOMB_X64_Y14_N8
\led_flash_cnt[3366][2]~74006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3366][2]~74006_combout\ = (\led_flash_cnt[3366][2]~q\ & (!\led_flash_cnt[3366][1]~74005\)) # (!\led_flash_cnt[3366][2]~q\ & ((\led_flash_cnt[3366][1]~74005\) # (GND)))
-- \led_flash_cnt[3366][2]~74007\ = CARRY((!\led_flash_cnt[3366][1]~74005\) # (!\led_flash_cnt[3366][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3366][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3366][1]~74005\,
	combout => \led_flash_cnt[3366][2]~74006_combout\,
	cout => \led_flash_cnt[3366][2]~74007\);

-- Location: FF_X64_Y14_N9
\led_flash_cnt[3366][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3366][2]~74006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3366][2]~q\);

-- Location: LCCOMB_X64_Y14_N10
\led_flash_cnt[3366][3]~74008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3366][3]~74008_combout\ = (\led_flash_cnt[3366][3]~q\ & (\led_flash_cnt[3366][2]~74007\ $ (GND))) # (!\led_flash_cnt[3366][3]~q\ & (!\led_flash_cnt[3366][2]~74007\ & VCC))
-- \led_flash_cnt[3366][3]~74009\ = CARRY((\led_flash_cnt[3366][3]~q\ & !\led_flash_cnt[3366][2]~74007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3366][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3366][2]~74007\,
	combout => \led_flash_cnt[3366][3]~74008_combout\,
	cout => \led_flash_cnt[3366][3]~74009\);

-- Location: FF_X64_Y14_N11
\led_flash_cnt[3366][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3366][3]~74008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3366][3]~q\);

-- Location: LCCOMB_X64_Y14_N12
\led_flash_cnt[3366][4]~74010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3366][4]~74010_combout\ = (\led_flash_cnt[3366][4]~q\ & (!\led_flash_cnt[3366][3]~74009\)) # (!\led_flash_cnt[3366][4]~q\ & ((\led_flash_cnt[3366][3]~74009\) # (GND)))
-- \led_flash_cnt[3366][4]~74011\ = CARRY((!\led_flash_cnt[3366][3]~74009\) # (!\led_flash_cnt[3366][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3366][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3366][3]~74009\,
	combout => \led_flash_cnt[3366][4]~74010_combout\,
	cout => \led_flash_cnt[3366][4]~74011\);

-- Location: FF_X64_Y14_N13
\led_flash_cnt[3366][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3366][4]~74010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3366][4]~q\);

-- Location: LCCOMB_X64_Y14_N14
\led_flash_cnt[3366][5]~74012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3366][5]~74012_combout\ = (\led_flash_cnt[3366][5]~q\ & (\led_flash_cnt[3366][4]~74011\ $ (GND))) # (!\led_flash_cnt[3366][5]~q\ & (!\led_flash_cnt[3366][4]~74011\ & VCC))
-- \led_flash_cnt[3366][5]~74013\ = CARRY((\led_flash_cnt[3366][5]~q\ & !\led_flash_cnt[3366][4]~74011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3366][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3366][4]~74011\,
	combout => \led_flash_cnt[3366][5]~74012_combout\,
	cout => \led_flash_cnt[3366][5]~74013\);

-- Location: FF_X64_Y14_N15
\led_flash_cnt[3366][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3366][5]~74012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3366][5]~q\);

-- Location: LCCOMB_X64_Y14_N16
\led_flash_cnt[3366][6]~74014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3366][6]~74014_combout\ = (\led_flash_cnt[3366][6]~q\ & (!\led_flash_cnt[3366][5]~74013\)) # (!\led_flash_cnt[3366][6]~q\ & ((\led_flash_cnt[3366][5]~74013\) # (GND)))
-- \led_flash_cnt[3366][6]~74015\ = CARRY((!\led_flash_cnt[3366][5]~74013\) # (!\led_flash_cnt[3366][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3366][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3366][5]~74013\,
	combout => \led_flash_cnt[3366][6]~74014_combout\,
	cout => \led_flash_cnt[3366][6]~74015\);

-- Location: FF_X64_Y14_N17
\led_flash_cnt[3366][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3366][6]~74014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3366][6]~q\);

-- Location: LCCOMB_X64_Y14_N18
\led_flash_cnt[3366][7]~74016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3366][7]~74016_combout\ = \led_flash_cnt[3366][7]~q\ $ (!\led_flash_cnt[3366][6]~74015\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3366][7]~q\,
	cin => \led_flash_cnt[3366][6]~74015\,
	combout => \led_flash_cnt[3366][7]~74016_combout\);

-- Location: FF_X64_Y14_N19
\led_flash_cnt[3366][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3366][7]~74016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3366][7]~q\);

-- Location: LCCOMB_X64_Y14_N22
\WideAnd3366~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3366~0_combout\ = (\led_flash_cnt[3366][1]~q\ & (\led_flash_cnt[3366][3]~q\ & (\led_flash_cnt[3366][2]~q\ & \led_flash_cnt[3366][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3366][1]~q\,
	datab => \led_flash_cnt[3366][3]~q\,
	datac => \led_flash_cnt[3366][2]~q\,
	datad => \led_flash_cnt[3366][4]~q\,
	combout => \WideAnd3366~0_combout\);

-- Location: LCCOMB_X64_Y14_N24
\WideAnd3366~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3366~1_combout\ = (\led_flash_cnt[3366][5]~q\ & \led_flash_cnt[3366][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3366][5]~q\,
	datad => \led_flash_cnt[3366][6]~q\,
	combout => \WideAnd3366~1_combout\);

-- Location: LCCOMB_X64_Y14_N20
WideAnd3366 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3366~combout\ = (\led_flash_cnt[3366][7]~q\ & (\led_flash_cnt[3366][0]~q\ & (\WideAnd3366~0_combout\ & \WideAnd3366~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3366][7]~q\,
	datab => \led_flash_cnt[3366][0]~q\,
	datac => \WideAnd3366~0_combout\,
	datad => \WideAnd3366~1_combout\,
	combout => \WideAnd3366~combout\);

-- Location: FF_X64_Y14_N21
\led_flash_cnt_ands[3366]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3366~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3366));

-- Location: LCCOMB_X66_Y12_N24
\led_flash_cnt[3362][0]~84002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3362][0]~84002_combout\ = !\led_flash_cnt[3362][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3362][0]~q\,
	combout => \led_flash_cnt[3362][0]~84002_combout\);

-- Location: FF_X66_Y12_N25
\led_flash_cnt[3362][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3362][0]~84002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3362][0]~q\);

-- Location: LCCOMB_X66_Y12_N6
\led_flash_cnt[3362][1]~73948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3362][1]~73948_combout\ = (\led_flash_cnt[3362][1]~q\ & (\led_flash_cnt[3362][0]~q\ $ (VCC))) # (!\led_flash_cnt[3362][1]~q\ & (\led_flash_cnt[3362][0]~q\ & VCC))
-- \led_flash_cnt[3362][1]~73949\ = CARRY((\led_flash_cnt[3362][1]~q\ & \led_flash_cnt[3362][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3362][1]~q\,
	datab => \led_flash_cnt[3362][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3362][1]~73948_combout\,
	cout => \led_flash_cnt[3362][1]~73949\);

-- Location: FF_X66_Y12_N7
\led_flash_cnt[3362][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3362][1]~73948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3362][1]~q\);

-- Location: LCCOMB_X66_Y12_N8
\led_flash_cnt[3362][2]~73950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3362][2]~73950_combout\ = (\led_flash_cnt[3362][2]~q\ & (!\led_flash_cnt[3362][1]~73949\)) # (!\led_flash_cnt[3362][2]~q\ & ((\led_flash_cnt[3362][1]~73949\) # (GND)))
-- \led_flash_cnt[3362][2]~73951\ = CARRY((!\led_flash_cnt[3362][1]~73949\) # (!\led_flash_cnt[3362][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3362][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3362][1]~73949\,
	combout => \led_flash_cnt[3362][2]~73950_combout\,
	cout => \led_flash_cnt[3362][2]~73951\);

-- Location: FF_X66_Y12_N9
\led_flash_cnt[3362][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3362][2]~73950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3362][2]~q\);

-- Location: LCCOMB_X66_Y12_N10
\led_flash_cnt[3362][3]~73952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3362][3]~73952_combout\ = (\led_flash_cnt[3362][3]~q\ & (\led_flash_cnt[3362][2]~73951\ $ (GND))) # (!\led_flash_cnt[3362][3]~q\ & (!\led_flash_cnt[3362][2]~73951\ & VCC))
-- \led_flash_cnt[3362][3]~73953\ = CARRY((\led_flash_cnt[3362][3]~q\ & !\led_flash_cnt[3362][2]~73951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3362][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3362][2]~73951\,
	combout => \led_flash_cnt[3362][3]~73952_combout\,
	cout => \led_flash_cnt[3362][3]~73953\);

-- Location: FF_X66_Y12_N11
\led_flash_cnt[3362][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3362][3]~73952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3362][3]~q\);

-- Location: LCCOMB_X66_Y12_N12
\led_flash_cnt[3362][4]~73954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3362][4]~73954_combout\ = (\led_flash_cnt[3362][4]~q\ & (!\led_flash_cnt[3362][3]~73953\)) # (!\led_flash_cnt[3362][4]~q\ & ((\led_flash_cnt[3362][3]~73953\) # (GND)))
-- \led_flash_cnt[3362][4]~73955\ = CARRY((!\led_flash_cnt[3362][3]~73953\) # (!\led_flash_cnt[3362][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3362][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3362][3]~73953\,
	combout => \led_flash_cnt[3362][4]~73954_combout\,
	cout => \led_flash_cnt[3362][4]~73955\);

-- Location: FF_X66_Y12_N13
\led_flash_cnt[3362][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3362][4]~73954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3362][4]~q\);

-- Location: LCCOMB_X66_Y12_N22
\WideAnd3362~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3362~0_combout\ = (\led_flash_cnt[3362][3]~q\ & (\led_flash_cnt[3362][4]~q\ & (\led_flash_cnt[3362][2]~q\ & \led_flash_cnt[3362][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3362][3]~q\,
	datab => \led_flash_cnt[3362][4]~q\,
	datac => \led_flash_cnt[3362][2]~q\,
	datad => \led_flash_cnt[3362][1]~q\,
	combout => \WideAnd3362~0_combout\);

-- Location: LCCOMB_X66_Y12_N14
\led_flash_cnt[3362][5]~73956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3362][5]~73956_combout\ = (\led_flash_cnt[3362][5]~q\ & (\led_flash_cnt[3362][4]~73955\ $ (GND))) # (!\led_flash_cnt[3362][5]~q\ & (!\led_flash_cnt[3362][4]~73955\ & VCC))
-- \led_flash_cnt[3362][5]~73957\ = CARRY((\led_flash_cnt[3362][5]~q\ & !\led_flash_cnt[3362][4]~73955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3362][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3362][4]~73955\,
	combout => \led_flash_cnt[3362][5]~73956_combout\,
	cout => \led_flash_cnt[3362][5]~73957\);

-- Location: FF_X66_Y12_N15
\led_flash_cnt[3362][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3362][5]~73956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3362][5]~q\);

-- Location: LCCOMB_X66_Y12_N16
\led_flash_cnt[3362][6]~73958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3362][6]~73958_combout\ = (\led_flash_cnt[3362][6]~q\ & (!\led_flash_cnt[3362][5]~73957\)) # (!\led_flash_cnt[3362][6]~q\ & ((\led_flash_cnt[3362][5]~73957\) # (GND)))
-- \led_flash_cnt[3362][6]~73959\ = CARRY((!\led_flash_cnt[3362][5]~73957\) # (!\led_flash_cnt[3362][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3362][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3362][5]~73957\,
	combout => \led_flash_cnt[3362][6]~73958_combout\,
	cout => \led_flash_cnt[3362][6]~73959\);

-- Location: FF_X66_Y12_N17
\led_flash_cnt[3362][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3362][6]~73958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3362][6]~q\);

-- Location: LCCOMB_X66_Y12_N18
\led_flash_cnt[3362][7]~73960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3362][7]~73960_combout\ = \led_flash_cnt[3362][6]~73959\ $ (!\led_flash_cnt[3362][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3362][7]~q\,
	cin => \led_flash_cnt[3362][6]~73959\,
	combout => \led_flash_cnt[3362][7]~73960_combout\);

-- Location: FF_X66_Y12_N19
\led_flash_cnt[3362][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3362][7]~73960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3362][7]~q\);

-- Location: LCCOMB_X66_Y12_N4
\WideAnd3362~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3362~1_combout\ = (\led_flash_cnt[3362][5]~q\ & \led_flash_cnt[3362][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3362][5]~q\,
	datad => \led_flash_cnt[3362][6]~q\,
	combout => \WideAnd3362~1_combout\);

-- Location: LCCOMB_X66_Y12_N26
WideAnd3362 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3362~combout\ = (\WideAnd3362~0_combout\ & (\led_flash_cnt[3362][7]~q\ & (\WideAnd3362~1_combout\ & \led_flash_cnt[3362][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3362~0_combout\,
	datab => \led_flash_cnt[3362][7]~q\,
	datac => \WideAnd3362~1_combout\,
	datad => \led_flash_cnt[3362][0]~q\,
	combout => \WideAnd3362~combout\);

-- Location: FF_X66_Y12_N27
\led_flash_cnt_ands[3362]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3362~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3362));

-- Location: LCCOMB_X71_Y12_N12
\led_flash_cnt[3363][0]~84003\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3363][0]~84003_combout\ = !\led_flash_cnt[3363][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3363][0]~q\,
	combout => \led_flash_cnt[3363][0]~84003_combout\);

-- Location: FF_X71_Y12_N13
\led_flash_cnt[3363][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3363][0]~84003_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3363][0]~q\);

-- Location: LCCOMB_X71_Y12_N14
\led_flash_cnt[3363][1]~73962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3363][1]~73962_combout\ = (\led_flash_cnt[3363][0]~q\ & (\led_flash_cnt[3363][1]~q\ $ (VCC))) # (!\led_flash_cnt[3363][0]~q\ & (\led_flash_cnt[3363][1]~q\ & VCC))
-- \led_flash_cnt[3363][1]~73963\ = CARRY((\led_flash_cnt[3363][0]~q\ & \led_flash_cnt[3363][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3363][0]~q\,
	datab => \led_flash_cnt[3363][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3363][1]~73962_combout\,
	cout => \led_flash_cnt[3363][1]~73963\);

-- Location: FF_X71_Y12_N15
\led_flash_cnt[3363][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3363][1]~73962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3363][1]~q\);

-- Location: LCCOMB_X71_Y12_N16
\led_flash_cnt[3363][2]~73964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3363][2]~73964_combout\ = (\led_flash_cnt[3363][2]~q\ & (!\led_flash_cnt[3363][1]~73963\)) # (!\led_flash_cnt[3363][2]~q\ & ((\led_flash_cnt[3363][1]~73963\) # (GND)))
-- \led_flash_cnt[3363][2]~73965\ = CARRY((!\led_flash_cnt[3363][1]~73963\) # (!\led_flash_cnt[3363][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3363][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3363][1]~73963\,
	combout => \led_flash_cnt[3363][2]~73964_combout\,
	cout => \led_flash_cnt[3363][2]~73965\);

-- Location: FF_X71_Y12_N17
\led_flash_cnt[3363][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3363][2]~73964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3363][2]~q\);

-- Location: LCCOMB_X71_Y12_N18
\led_flash_cnt[3363][3]~73966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3363][3]~73966_combout\ = (\led_flash_cnt[3363][3]~q\ & (\led_flash_cnt[3363][2]~73965\ $ (GND))) # (!\led_flash_cnt[3363][3]~q\ & (!\led_flash_cnt[3363][2]~73965\ & VCC))
-- \led_flash_cnt[3363][3]~73967\ = CARRY((\led_flash_cnt[3363][3]~q\ & !\led_flash_cnt[3363][2]~73965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3363][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3363][2]~73965\,
	combout => \led_flash_cnt[3363][3]~73966_combout\,
	cout => \led_flash_cnt[3363][3]~73967\);

-- Location: FF_X71_Y12_N19
\led_flash_cnt[3363][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3363][3]~73966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3363][3]~q\);

-- Location: LCCOMB_X71_Y12_N20
\led_flash_cnt[3363][4]~73968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3363][4]~73968_combout\ = (\led_flash_cnt[3363][4]~q\ & (!\led_flash_cnt[3363][3]~73967\)) # (!\led_flash_cnt[3363][4]~q\ & ((\led_flash_cnt[3363][3]~73967\) # (GND)))
-- \led_flash_cnt[3363][4]~73969\ = CARRY((!\led_flash_cnt[3363][3]~73967\) # (!\led_flash_cnt[3363][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3363][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3363][3]~73967\,
	combout => \led_flash_cnt[3363][4]~73968_combout\,
	cout => \led_flash_cnt[3363][4]~73969\);

-- Location: FF_X71_Y12_N21
\led_flash_cnt[3363][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3363][4]~73968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3363][4]~q\);

-- Location: LCCOMB_X71_Y12_N22
\led_flash_cnt[3363][5]~73970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3363][5]~73970_combout\ = (\led_flash_cnt[3363][5]~q\ & (\led_flash_cnt[3363][4]~73969\ $ (GND))) # (!\led_flash_cnt[3363][5]~q\ & (!\led_flash_cnt[3363][4]~73969\ & VCC))
-- \led_flash_cnt[3363][5]~73971\ = CARRY((\led_flash_cnt[3363][5]~q\ & !\led_flash_cnt[3363][4]~73969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3363][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3363][4]~73969\,
	combout => \led_flash_cnt[3363][5]~73970_combout\,
	cout => \led_flash_cnt[3363][5]~73971\);

-- Location: FF_X71_Y12_N23
\led_flash_cnt[3363][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3363][5]~73970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3363][5]~q\);

-- Location: LCCOMB_X71_Y12_N24
\led_flash_cnt[3363][6]~73972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3363][6]~73972_combout\ = (\led_flash_cnt[3363][6]~q\ & (!\led_flash_cnt[3363][5]~73971\)) # (!\led_flash_cnt[3363][6]~q\ & ((\led_flash_cnt[3363][5]~73971\) # (GND)))
-- \led_flash_cnt[3363][6]~73973\ = CARRY((!\led_flash_cnt[3363][5]~73971\) # (!\led_flash_cnt[3363][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3363][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3363][5]~73971\,
	combout => \led_flash_cnt[3363][6]~73972_combout\,
	cout => \led_flash_cnt[3363][6]~73973\);

-- Location: FF_X71_Y12_N25
\led_flash_cnt[3363][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3363][6]~73972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3363][6]~q\);

-- Location: LCCOMB_X71_Y12_N10
\WideAnd3363~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3363~1_combout\ = (\led_flash_cnt[3363][5]~q\ & \led_flash_cnt[3363][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3363][5]~q\,
	datad => \led_flash_cnt[3363][6]~q\,
	combout => \WideAnd3363~1_combout\);

-- Location: LCCOMB_X71_Y12_N28
\WideAnd3363~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3363~0_combout\ = (\led_flash_cnt[3363][2]~q\ & (\led_flash_cnt[3363][3]~q\ & (\led_flash_cnt[3363][1]~q\ & \led_flash_cnt[3363][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3363][2]~q\,
	datab => \led_flash_cnt[3363][3]~q\,
	datac => \led_flash_cnt[3363][1]~q\,
	datad => \led_flash_cnt[3363][4]~q\,
	combout => \WideAnd3363~0_combout\);

-- Location: LCCOMB_X71_Y12_N26
\led_flash_cnt[3363][7]~73974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3363][7]~73974_combout\ = \led_flash_cnt[3363][7]~q\ $ (!\led_flash_cnt[3363][6]~73973\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3363][7]~q\,
	cin => \led_flash_cnt[3363][6]~73973\,
	combout => \led_flash_cnt[3363][7]~73974_combout\);

-- Location: FF_X71_Y12_N27
\led_flash_cnt[3363][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3363][7]~73974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3363][7]~q\);

-- Location: LCCOMB_X71_Y12_N2
WideAnd3363 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3363~combout\ = (\WideAnd3363~1_combout\ & (\WideAnd3363~0_combout\ & (\led_flash_cnt[3363][7]~q\ & \led_flash_cnt[3363][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3363~1_combout\,
	datab => \WideAnd3363~0_combout\,
	datac => \led_flash_cnt[3363][7]~q\,
	datad => \led_flash_cnt[3363][0]~q\,
	combout => \WideAnd3363~combout\);

-- Location: FF_X71_Y12_N3
\led_flash_cnt_ands[3363]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3363~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3363));

-- Location: LCCOMB_X67_Y5_N12
\led_flash_cnt[3360][0]~84000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3360][0]~84000_combout\ = !\led_flash_cnt[3360][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3360][0]~q\,
	combout => \led_flash_cnt[3360][0]~84000_combout\);

-- Location: FF_X67_Y5_N13
\led_flash_cnt[3360][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3360][0]~84000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3360][0]~q\);

-- Location: LCCOMB_X67_Y5_N14
\led_flash_cnt[3360][1]~73920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3360][1]~73920_combout\ = (\led_flash_cnt[3360][0]~q\ & (\led_flash_cnt[3360][1]~q\ $ (VCC))) # (!\led_flash_cnt[3360][0]~q\ & (\led_flash_cnt[3360][1]~q\ & VCC))
-- \led_flash_cnt[3360][1]~73921\ = CARRY((\led_flash_cnt[3360][0]~q\ & \led_flash_cnt[3360][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3360][0]~q\,
	datab => \led_flash_cnt[3360][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3360][1]~73920_combout\,
	cout => \led_flash_cnt[3360][1]~73921\);

-- Location: FF_X67_Y5_N15
\led_flash_cnt[3360][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3360][1]~73920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3360][1]~q\);

-- Location: LCCOMB_X67_Y5_N16
\led_flash_cnt[3360][2]~73922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3360][2]~73922_combout\ = (\led_flash_cnt[3360][2]~q\ & (!\led_flash_cnt[3360][1]~73921\)) # (!\led_flash_cnt[3360][2]~q\ & ((\led_flash_cnt[3360][1]~73921\) # (GND)))
-- \led_flash_cnt[3360][2]~73923\ = CARRY((!\led_flash_cnt[3360][1]~73921\) # (!\led_flash_cnt[3360][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3360][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3360][1]~73921\,
	combout => \led_flash_cnt[3360][2]~73922_combout\,
	cout => \led_flash_cnt[3360][2]~73923\);

-- Location: FF_X67_Y5_N17
\led_flash_cnt[3360][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3360][2]~73922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3360][2]~q\);

-- Location: LCCOMB_X67_Y5_N18
\led_flash_cnt[3360][3]~73924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3360][3]~73924_combout\ = (\led_flash_cnt[3360][3]~q\ & (\led_flash_cnt[3360][2]~73923\ $ (GND))) # (!\led_flash_cnt[3360][3]~q\ & (!\led_flash_cnt[3360][2]~73923\ & VCC))
-- \led_flash_cnt[3360][3]~73925\ = CARRY((\led_flash_cnt[3360][3]~q\ & !\led_flash_cnt[3360][2]~73923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3360][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3360][2]~73923\,
	combout => \led_flash_cnt[3360][3]~73924_combout\,
	cout => \led_flash_cnt[3360][3]~73925\);

-- Location: FF_X67_Y5_N19
\led_flash_cnt[3360][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3360][3]~73924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3360][3]~q\);

-- Location: LCCOMB_X67_Y5_N20
\led_flash_cnt[3360][4]~73926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3360][4]~73926_combout\ = (\led_flash_cnt[3360][4]~q\ & (!\led_flash_cnt[3360][3]~73925\)) # (!\led_flash_cnt[3360][4]~q\ & ((\led_flash_cnt[3360][3]~73925\) # (GND)))
-- \led_flash_cnt[3360][4]~73927\ = CARRY((!\led_flash_cnt[3360][3]~73925\) # (!\led_flash_cnt[3360][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3360][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3360][3]~73925\,
	combout => \led_flash_cnt[3360][4]~73926_combout\,
	cout => \led_flash_cnt[3360][4]~73927\);

-- Location: FF_X67_Y5_N21
\led_flash_cnt[3360][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3360][4]~73926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3360][4]~q\);

-- Location: LCCOMB_X67_Y5_N22
\led_flash_cnt[3360][5]~73928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3360][5]~73928_combout\ = (\led_flash_cnt[3360][5]~q\ & (\led_flash_cnt[3360][4]~73927\ $ (GND))) # (!\led_flash_cnt[3360][5]~q\ & (!\led_flash_cnt[3360][4]~73927\ & VCC))
-- \led_flash_cnt[3360][5]~73929\ = CARRY((\led_flash_cnt[3360][5]~q\ & !\led_flash_cnt[3360][4]~73927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3360][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3360][4]~73927\,
	combout => \led_flash_cnt[3360][5]~73928_combout\,
	cout => \led_flash_cnt[3360][5]~73929\);

-- Location: FF_X67_Y5_N23
\led_flash_cnt[3360][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3360][5]~73928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3360][5]~q\);

-- Location: LCCOMB_X67_Y5_N24
\led_flash_cnt[3360][6]~73930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3360][6]~73930_combout\ = (\led_flash_cnt[3360][6]~q\ & (!\led_flash_cnt[3360][5]~73929\)) # (!\led_flash_cnt[3360][6]~q\ & ((\led_flash_cnt[3360][5]~73929\) # (GND)))
-- \led_flash_cnt[3360][6]~73931\ = CARRY((!\led_flash_cnt[3360][5]~73929\) # (!\led_flash_cnt[3360][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3360][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3360][5]~73929\,
	combout => \led_flash_cnt[3360][6]~73930_combout\,
	cout => \led_flash_cnt[3360][6]~73931\);

-- Location: FF_X67_Y5_N25
\led_flash_cnt[3360][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3360][6]~73930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3360][6]~q\);

-- Location: LCCOMB_X67_Y5_N26
\led_flash_cnt[3360][7]~73932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3360][7]~73932_combout\ = \led_flash_cnt[3360][7]~q\ $ (!\led_flash_cnt[3360][6]~73931\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3360][7]~q\,
	cin => \led_flash_cnt[3360][6]~73931\,
	combout => \led_flash_cnt[3360][7]~73932_combout\);

-- Location: FF_X67_Y5_N27
\led_flash_cnt[3360][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3360][7]~73932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3360][7]~q\);

-- Location: LCCOMB_X67_Y5_N28
\WideAnd3360~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3360~1_combout\ = (\led_flash_cnt[3360][5]~q\ & \led_flash_cnt[3360][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3360][5]~q\,
	datad => \led_flash_cnt[3360][6]~q\,
	combout => \WideAnd3360~1_combout\);

-- Location: LCCOMB_X67_Y5_N4
\WideAnd3360~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3360~0_combout\ = (\led_flash_cnt[3360][4]~q\ & (\led_flash_cnt[3360][3]~q\ & (\led_flash_cnt[3360][1]~q\ & \led_flash_cnt[3360][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3360][4]~q\,
	datab => \led_flash_cnt[3360][3]~q\,
	datac => \led_flash_cnt[3360][1]~q\,
	datad => \led_flash_cnt[3360][2]~q\,
	combout => \WideAnd3360~0_combout\);

-- Location: LCCOMB_X67_Y5_N10
WideAnd3360 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3360~combout\ = (\led_flash_cnt[3360][7]~q\ & (\WideAnd3360~1_combout\ & (\WideAnd3360~0_combout\ & \led_flash_cnt[3360][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3360][7]~q\,
	datab => \WideAnd3360~1_combout\,
	datac => \WideAnd3360~0_combout\,
	datad => \led_flash_cnt[3360][0]~q\,
	combout => \WideAnd3360~combout\);

-- Location: FF_X67_Y5_N11
\led_flash_cnt_ands[3360]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3360~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3360));

-- Location: LCCOMB_X67_Y12_N26
\led_flash_cnt[3361][0]~84001\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3361][0]~84001_combout\ = !\led_flash_cnt[3361][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3361][0]~q\,
	combout => \led_flash_cnt[3361][0]~84001_combout\);

-- Location: FF_X67_Y12_N27
\led_flash_cnt[3361][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3361][0]~84001_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3361][0]~q\);

-- Location: LCCOMB_X67_Y12_N4
\led_flash_cnt[3361][1]~73934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3361][1]~73934_combout\ = (\led_flash_cnt[3361][0]~q\ & (\led_flash_cnt[3361][1]~q\ $ (VCC))) # (!\led_flash_cnt[3361][0]~q\ & (\led_flash_cnt[3361][1]~q\ & VCC))
-- \led_flash_cnt[3361][1]~73935\ = CARRY((\led_flash_cnt[3361][0]~q\ & \led_flash_cnt[3361][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3361][0]~q\,
	datab => \led_flash_cnt[3361][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3361][1]~73934_combout\,
	cout => \led_flash_cnt[3361][1]~73935\);

-- Location: FF_X67_Y12_N5
\led_flash_cnt[3361][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3361][1]~73934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3361][1]~q\);

-- Location: LCCOMB_X67_Y12_N6
\led_flash_cnt[3361][2]~73936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3361][2]~73936_combout\ = (\led_flash_cnt[3361][2]~q\ & (!\led_flash_cnt[3361][1]~73935\)) # (!\led_flash_cnt[3361][2]~q\ & ((\led_flash_cnt[3361][1]~73935\) # (GND)))
-- \led_flash_cnt[3361][2]~73937\ = CARRY((!\led_flash_cnt[3361][1]~73935\) # (!\led_flash_cnt[3361][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3361][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3361][1]~73935\,
	combout => \led_flash_cnt[3361][2]~73936_combout\,
	cout => \led_flash_cnt[3361][2]~73937\);

-- Location: FF_X67_Y12_N7
\led_flash_cnt[3361][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3361][2]~73936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3361][2]~q\);

-- Location: LCCOMB_X67_Y12_N8
\led_flash_cnt[3361][3]~73938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3361][3]~73938_combout\ = (\led_flash_cnt[3361][3]~q\ & (\led_flash_cnt[3361][2]~73937\ $ (GND))) # (!\led_flash_cnt[3361][3]~q\ & (!\led_flash_cnt[3361][2]~73937\ & VCC))
-- \led_flash_cnt[3361][3]~73939\ = CARRY((\led_flash_cnt[3361][3]~q\ & !\led_flash_cnt[3361][2]~73937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3361][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3361][2]~73937\,
	combout => \led_flash_cnt[3361][3]~73938_combout\,
	cout => \led_flash_cnt[3361][3]~73939\);

-- Location: FF_X67_Y12_N9
\led_flash_cnt[3361][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3361][3]~73938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3361][3]~q\);

-- Location: LCCOMB_X67_Y12_N10
\led_flash_cnt[3361][4]~73940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3361][4]~73940_combout\ = (\led_flash_cnt[3361][4]~q\ & (!\led_flash_cnt[3361][3]~73939\)) # (!\led_flash_cnt[3361][4]~q\ & ((\led_flash_cnt[3361][3]~73939\) # (GND)))
-- \led_flash_cnt[3361][4]~73941\ = CARRY((!\led_flash_cnt[3361][3]~73939\) # (!\led_flash_cnt[3361][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3361][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3361][3]~73939\,
	combout => \led_flash_cnt[3361][4]~73940_combout\,
	cout => \led_flash_cnt[3361][4]~73941\);

-- Location: FF_X67_Y12_N11
\led_flash_cnt[3361][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3361][4]~73940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3361][4]~q\);

-- Location: LCCOMB_X67_Y12_N12
\led_flash_cnt[3361][5]~73942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3361][5]~73942_combout\ = (\led_flash_cnt[3361][5]~q\ & (\led_flash_cnt[3361][4]~73941\ $ (GND))) # (!\led_flash_cnt[3361][5]~q\ & (!\led_flash_cnt[3361][4]~73941\ & VCC))
-- \led_flash_cnt[3361][5]~73943\ = CARRY((\led_flash_cnt[3361][5]~q\ & !\led_flash_cnt[3361][4]~73941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3361][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3361][4]~73941\,
	combout => \led_flash_cnt[3361][5]~73942_combout\,
	cout => \led_flash_cnt[3361][5]~73943\);

-- Location: FF_X67_Y12_N13
\led_flash_cnt[3361][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3361][5]~73942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3361][5]~q\);

-- Location: LCCOMB_X67_Y12_N14
\led_flash_cnt[3361][6]~73944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3361][6]~73944_combout\ = (\led_flash_cnt[3361][6]~q\ & (!\led_flash_cnt[3361][5]~73943\)) # (!\led_flash_cnt[3361][6]~q\ & ((\led_flash_cnt[3361][5]~73943\) # (GND)))
-- \led_flash_cnt[3361][6]~73945\ = CARRY((!\led_flash_cnt[3361][5]~73943\) # (!\led_flash_cnt[3361][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3361][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3361][5]~73943\,
	combout => \led_flash_cnt[3361][6]~73944_combout\,
	cout => \led_flash_cnt[3361][6]~73945\);

-- Location: FF_X67_Y12_N15
\led_flash_cnt[3361][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3361][6]~73944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3361][6]~q\);

-- Location: LCCOMB_X67_Y12_N16
\led_flash_cnt[3361][7]~73946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3361][7]~73946_combout\ = \led_flash_cnt[3361][6]~73945\ $ (!\led_flash_cnt[3361][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3361][7]~q\,
	cin => \led_flash_cnt[3361][6]~73945\,
	combout => \led_flash_cnt[3361][7]~73946_combout\);

-- Location: FF_X67_Y12_N17
\led_flash_cnt[3361][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3361][7]~73946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3361][7]~q\);

-- Location: LCCOMB_X67_Y12_N22
\WideAnd3361~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3361~1_combout\ = (\led_flash_cnt[3361][6]~q\ & \led_flash_cnt[3361][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3361][6]~q\,
	datad => \led_flash_cnt[3361][5]~q\,
	combout => \WideAnd3361~1_combout\);

-- Location: LCCOMB_X67_Y12_N18
\WideAnd3361~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3361~0_combout\ = (\led_flash_cnt[3361][4]~q\ & (\led_flash_cnt[3361][1]~q\ & (\led_flash_cnt[3361][3]~q\ & \led_flash_cnt[3361][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3361][4]~q\,
	datab => \led_flash_cnt[3361][1]~q\,
	datac => \led_flash_cnt[3361][3]~q\,
	datad => \led_flash_cnt[3361][2]~q\,
	combout => \WideAnd3361~0_combout\);

-- Location: LCCOMB_X67_Y12_N24
WideAnd3361 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3361~combout\ = (\led_flash_cnt[3361][0]~q\ & (\led_flash_cnt[3361][7]~q\ & (\WideAnd3361~1_combout\ & \WideAnd3361~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3361][0]~q\,
	datab => \led_flash_cnt[3361][7]~q\,
	datac => \WideAnd3361~1_combout\,
	datad => \WideAnd3361~0_combout\,
	combout => \WideAnd3361~combout\);

-- Location: FF_X67_Y12_N25
\led_flash_cnt_ands[3361]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3361~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3361));

-- Location: LCCOMB_X67_Y12_N2
\WideAnd4260~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4260~0_combout\ = (led_flash_cnt_ands(3362) & (led_flash_cnt_ands(3363) & (led_flash_cnt_ands(3360) & led_flash_cnt_ands(3361))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3362),
	datab => led_flash_cnt_ands(3363),
	datac => led_flash_cnt_ands(3360),
	datad => led_flash_cnt_ands(3361),
	combout => \WideAnd4260~0_combout\);

-- Location: LCCOMB_X22_Y16_N2
\led_flash_cnt[3365][0]~84005\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3365][0]~84005_combout\ = !\led_flash_cnt[3365][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3365][0]~q\,
	combout => \led_flash_cnt[3365][0]~84005_combout\);

-- Location: FF_X22_Y16_N3
\led_flash_cnt[3365][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3365][0]~84005_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3365][0]~q\);

-- Location: LCCOMB_X21_Y16_N16
\led_flash_cnt[3365][1]~73990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3365][1]~73990_combout\ = (\led_flash_cnt[3365][0]~q\ & (\led_flash_cnt[3365][1]~q\ $ (VCC))) # (!\led_flash_cnt[3365][0]~q\ & (\led_flash_cnt[3365][1]~q\ & VCC))
-- \led_flash_cnt[3365][1]~73991\ = CARRY((\led_flash_cnt[3365][0]~q\ & \led_flash_cnt[3365][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3365][0]~q\,
	datab => \led_flash_cnt[3365][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3365][1]~73990_combout\,
	cout => \led_flash_cnt[3365][1]~73991\);

-- Location: FF_X21_Y16_N17
\led_flash_cnt[3365][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3365][1]~73990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3365][1]~q\);

-- Location: LCCOMB_X21_Y16_N18
\led_flash_cnt[3365][2]~73992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3365][2]~73992_combout\ = (\led_flash_cnt[3365][2]~q\ & (!\led_flash_cnt[3365][1]~73991\)) # (!\led_flash_cnt[3365][2]~q\ & ((\led_flash_cnt[3365][1]~73991\) # (GND)))
-- \led_flash_cnt[3365][2]~73993\ = CARRY((!\led_flash_cnt[3365][1]~73991\) # (!\led_flash_cnt[3365][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3365][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3365][1]~73991\,
	combout => \led_flash_cnt[3365][2]~73992_combout\,
	cout => \led_flash_cnt[3365][2]~73993\);

-- Location: FF_X21_Y16_N19
\led_flash_cnt[3365][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3365][2]~73992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3365][2]~q\);

-- Location: LCCOMB_X21_Y16_N20
\led_flash_cnt[3365][3]~73994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3365][3]~73994_combout\ = (\led_flash_cnt[3365][3]~q\ & (\led_flash_cnt[3365][2]~73993\ $ (GND))) # (!\led_flash_cnt[3365][3]~q\ & (!\led_flash_cnt[3365][2]~73993\ & VCC))
-- \led_flash_cnt[3365][3]~73995\ = CARRY((\led_flash_cnt[3365][3]~q\ & !\led_flash_cnt[3365][2]~73993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3365][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3365][2]~73993\,
	combout => \led_flash_cnt[3365][3]~73994_combout\,
	cout => \led_flash_cnt[3365][3]~73995\);

-- Location: FF_X21_Y16_N21
\led_flash_cnt[3365][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3365][3]~73994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3365][3]~q\);

-- Location: LCCOMB_X21_Y16_N22
\led_flash_cnt[3365][4]~73996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3365][4]~73996_combout\ = (\led_flash_cnt[3365][4]~q\ & (!\led_flash_cnt[3365][3]~73995\)) # (!\led_flash_cnt[3365][4]~q\ & ((\led_flash_cnt[3365][3]~73995\) # (GND)))
-- \led_flash_cnt[3365][4]~73997\ = CARRY((!\led_flash_cnt[3365][3]~73995\) # (!\led_flash_cnt[3365][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3365][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3365][3]~73995\,
	combout => \led_flash_cnt[3365][4]~73996_combout\,
	cout => \led_flash_cnt[3365][4]~73997\);

-- Location: FF_X21_Y16_N23
\led_flash_cnt[3365][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3365][4]~73996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3365][4]~q\);

-- Location: LCCOMB_X21_Y16_N24
\led_flash_cnt[3365][5]~73998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3365][5]~73998_combout\ = (\led_flash_cnt[3365][5]~q\ & (\led_flash_cnt[3365][4]~73997\ $ (GND))) # (!\led_flash_cnt[3365][5]~q\ & (!\led_flash_cnt[3365][4]~73997\ & VCC))
-- \led_flash_cnt[3365][5]~73999\ = CARRY((\led_flash_cnt[3365][5]~q\ & !\led_flash_cnt[3365][4]~73997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3365][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3365][4]~73997\,
	combout => \led_flash_cnt[3365][5]~73998_combout\,
	cout => \led_flash_cnt[3365][5]~73999\);

-- Location: FF_X21_Y16_N25
\led_flash_cnt[3365][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3365][5]~73998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3365][5]~q\);

-- Location: LCCOMB_X21_Y16_N26
\led_flash_cnt[3365][6]~74000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3365][6]~74000_combout\ = (\led_flash_cnt[3365][6]~q\ & (!\led_flash_cnt[3365][5]~73999\)) # (!\led_flash_cnt[3365][6]~q\ & ((\led_flash_cnt[3365][5]~73999\) # (GND)))
-- \led_flash_cnt[3365][6]~74001\ = CARRY((!\led_flash_cnt[3365][5]~73999\) # (!\led_flash_cnt[3365][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3365][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3365][5]~73999\,
	combout => \led_flash_cnt[3365][6]~74000_combout\,
	cout => \led_flash_cnt[3365][6]~74001\);

-- Location: FF_X21_Y16_N27
\led_flash_cnt[3365][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3365][6]~74000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3365][6]~q\);

-- Location: LCCOMB_X21_Y16_N28
\led_flash_cnt[3365][7]~74002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3365][7]~74002_combout\ = \led_flash_cnt[3365][6]~74001\ $ (!\led_flash_cnt[3365][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3365][7]~q\,
	cin => \led_flash_cnt[3365][6]~74001\,
	combout => \led_flash_cnt[3365][7]~74002_combout\);

-- Location: FF_X21_Y16_N29
\led_flash_cnt[3365][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3365][7]~74002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3365][7]~q\);

-- Location: LCCOMB_X22_Y16_N30
\WideAnd3365~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3365~0_combout\ = (\led_flash_cnt[3365][3]~q\ & (\led_flash_cnt[3365][2]~q\ & (\led_flash_cnt[3365][1]~q\ & \led_flash_cnt[3365][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3365][3]~q\,
	datab => \led_flash_cnt[3365][2]~q\,
	datac => \led_flash_cnt[3365][1]~q\,
	datad => \led_flash_cnt[3365][4]~q\,
	combout => \WideAnd3365~0_combout\);

-- Location: LCCOMB_X22_Y16_N24
\WideAnd3365~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3365~1_combout\ = (\led_flash_cnt[3365][6]~q\ & \led_flash_cnt[3365][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3365][6]~q\,
	datad => \led_flash_cnt[3365][5]~q\,
	combout => \WideAnd3365~1_combout\);

-- Location: LCCOMB_X22_Y16_N26
WideAnd3365 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3365~combout\ = (\led_flash_cnt[3365][0]~q\ & (\led_flash_cnt[3365][7]~q\ & (\WideAnd3365~0_combout\ & \WideAnd3365~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3365][0]~q\,
	datab => \led_flash_cnt[3365][7]~q\,
	datac => \WideAnd3365~0_combout\,
	datad => \WideAnd3365~1_combout\,
	combout => \WideAnd3365~combout\);

-- Location: FF_X22_Y16_N27
\led_flash_cnt_ands[3365]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3365~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3365));

-- Location: LCCOMB_X22_Y16_N0
\led_flash_cnt[3364][0]~84004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3364][0]~84004_combout\ = !\led_flash_cnt[3364][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3364][0]~q\,
	combout => \led_flash_cnt[3364][0]~84004_combout\);

-- Location: FF_X22_Y16_N1
\led_flash_cnt[3364][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3364][0]~84004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3364][0]~q\);

-- Location: LCCOMB_X22_Y16_N8
\led_flash_cnt[3364][1]~73976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3364][1]~73976_combout\ = (\led_flash_cnt[3364][1]~q\ & (\led_flash_cnt[3364][0]~q\ $ (VCC))) # (!\led_flash_cnt[3364][1]~q\ & (\led_flash_cnt[3364][0]~q\ & VCC))
-- \led_flash_cnt[3364][1]~73977\ = CARRY((\led_flash_cnt[3364][1]~q\ & \led_flash_cnt[3364][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3364][1]~q\,
	datab => \led_flash_cnt[3364][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3364][1]~73976_combout\,
	cout => \led_flash_cnt[3364][1]~73977\);

-- Location: FF_X22_Y16_N9
\led_flash_cnt[3364][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3364][1]~73976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3364][1]~q\);

-- Location: LCCOMB_X22_Y16_N10
\led_flash_cnt[3364][2]~73978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3364][2]~73978_combout\ = (\led_flash_cnt[3364][2]~q\ & (!\led_flash_cnt[3364][1]~73977\)) # (!\led_flash_cnt[3364][2]~q\ & ((\led_flash_cnt[3364][1]~73977\) # (GND)))
-- \led_flash_cnt[3364][2]~73979\ = CARRY((!\led_flash_cnt[3364][1]~73977\) # (!\led_flash_cnt[3364][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3364][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3364][1]~73977\,
	combout => \led_flash_cnt[3364][2]~73978_combout\,
	cout => \led_flash_cnt[3364][2]~73979\);

-- Location: FF_X22_Y16_N11
\led_flash_cnt[3364][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3364][2]~73978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3364][2]~q\);

-- Location: LCCOMB_X22_Y16_N12
\led_flash_cnt[3364][3]~73980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3364][3]~73980_combout\ = (\led_flash_cnt[3364][3]~q\ & (\led_flash_cnt[3364][2]~73979\ $ (GND))) # (!\led_flash_cnt[3364][3]~q\ & (!\led_flash_cnt[3364][2]~73979\ & VCC))
-- \led_flash_cnt[3364][3]~73981\ = CARRY((\led_flash_cnt[3364][3]~q\ & !\led_flash_cnt[3364][2]~73979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3364][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3364][2]~73979\,
	combout => \led_flash_cnt[3364][3]~73980_combout\,
	cout => \led_flash_cnt[3364][3]~73981\);

-- Location: FF_X22_Y16_N13
\led_flash_cnt[3364][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3364][3]~73980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3364][3]~q\);

-- Location: LCCOMB_X22_Y16_N14
\led_flash_cnt[3364][4]~73982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3364][4]~73982_combout\ = (\led_flash_cnt[3364][4]~q\ & (!\led_flash_cnt[3364][3]~73981\)) # (!\led_flash_cnt[3364][4]~q\ & ((\led_flash_cnt[3364][3]~73981\) # (GND)))
-- \led_flash_cnt[3364][4]~73983\ = CARRY((!\led_flash_cnt[3364][3]~73981\) # (!\led_flash_cnt[3364][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3364][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3364][3]~73981\,
	combout => \led_flash_cnt[3364][4]~73982_combout\,
	cout => \led_flash_cnt[3364][4]~73983\);

-- Location: FF_X22_Y16_N15
\led_flash_cnt[3364][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3364][4]~73982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3364][4]~q\);

-- Location: LCCOMB_X22_Y16_N16
\led_flash_cnt[3364][5]~73984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3364][5]~73984_combout\ = (\led_flash_cnt[3364][5]~q\ & (\led_flash_cnt[3364][4]~73983\ $ (GND))) # (!\led_flash_cnt[3364][5]~q\ & (!\led_flash_cnt[3364][4]~73983\ & VCC))
-- \led_flash_cnt[3364][5]~73985\ = CARRY((\led_flash_cnt[3364][5]~q\ & !\led_flash_cnt[3364][4]~73983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3364][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3364][4]~73983\,
	combout => \led_flash_cnt[3364][5]~73984_combout\,
	cout => \led_flash_cnt[3364][5]~73985\);

-- Location: FF_X22_Y16_N17
\led_flash_cnt[3364][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3364][5]~73984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3364][5]~q\);

-- Location: LCCOMB_X22_Y16_N18
\led_flash_cnt[3364][6]~73986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3364][6]~73986_combout\ = (\led_flash_cnt[3364][6]~q\ & (!\led_flash_cnt[3364][5]~73985\)) # (!\led_flash_cnt[3364][6]~q\ & ((\led_flash_cnt[3364][5]~73985\) # (GND)))
-- \led_flash_cnt[3364][6]~73987\ = CARRY((!\led_flash_cnt[3364][5]~73985\) # (!\led_flash_cnt[3364][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3364][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3364][5]~73985\,
	combout => \led_flash_cnt[3364][6]~73986_combout\,
	cout => \led_flash_cnt[3364][6]~73987\);

-- Location: FF_X22_Y16_N19
\led_flash_cnt[3364][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3364][6]~73986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3364][6]~q\);

-- Location: LCCOMB_X22_Y16_N6
\WideAnd3364~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3364~1_combout\ = (\led_flash_cnt[3364][6]~q\ & \led_flash_cnt[3364][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3364][6]~q\,
	datad => \led_flash_cnt[3364][5]~q\,
	combout => \WideAnd3364~1_combout\);

-- Location: LCCOMB_X22_Y16_N20
\led_flash_cnt[3364][7]~73988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3364][7]~73988_combout\ = \led_flash_cnt[3364][6]~73987\ $ (!\led_flash_cnt[3364][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3364][7]~q\,
	cin => \led_flash_cnt[3364][6]~73987\,
	combout => \led_flash_cnt[3364][7]~73988_combout\);

-- Location: FF_X22_Y16_N21
\led_flash_cnt[3364][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3364][7]~73988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3364][7]~q\);

-- Location: LCCOMB_X22_Y16_N22
\WideAnd3364~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3364~0_combout\ = (\led_flash_cnt[3364][3]~q\ & (\led_flash_cnt[3364][4]~q\ & (\led_flash_cnt[3364][1]~q\ & \led_flash_cnt[3364][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3364][3]~q\,
	datab => \led_flash_cnt[3364][4]~q\,
	datac => \led_flash_cnt[3364][1]~q\,
	datad => \led_flash_cnt[3364][2]~q\,
	combout => \WideAnd3364~0_combout\);

-- Location: LCCOMB_X22_Y16_N28
WideAnd3364 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3364~combout\ = (\WideAnd3364~1_combout\ & (\led_flash_cnt[3364][7]~q\ & (\WideAnd3364~0_combout\ & \led_flash_cnt[3364][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3364~1_combout\,
	datab => \led_flash_cnt[3364][7]~q\,
	datac => \WideAnd3364~0_combout\,
	datad => \led_flash_cnt[3364][0]~q\,
	combout => \WideAnd3364~combout\);

-- Location: FF_X22_Y16_N29
\led_flash_cnt_ands[3364]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3364~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3364));

-- Location: LCCOMB_X22_Y16_N4
\WideAnd4260~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4260~1_combout\ = (led_flash_cnt_ands(3365) & led_flash_cnt_ands(3364))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3365),
	datad => led_flash_cnt_ands(3364),
	combout => \WideAnd4260~1_combout\);

-- Location: LCCOMB_X64_Y14_N30
WideAnd4260 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4260~combout\ = (led_flash_cnt_ands(3367) & (led_flash_cnt_ands(3366) & (\WideAnd4260~0_combout\ & \WideAnd4260~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3367),
	datab => led_flash_cnt_ands(3366),
	datac => \WideAnd4260~0_combout\,
	datad => \WideAnd4260~1_combout\,
	combout => \WideAnd4260~combout\);

-- Location: FF_X64_Y14_N31
\led_flash_cnt_ands_1[420]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4260~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(420));

-- Location: LCCOMB_X72_Y13_N8
\led_flash_cnt[3370][0]~84010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3370][0]~84010_combout\ = !\led_flash_cnt[3370][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3370][0]~q\,
	combout => \led_flash_cnt[3370][0]~84010_combout\);

-- Location: FF_X72_Y13_N9
\led_flash_cnt[3370][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3370][0]~84010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3370][0]~q\);

-- Location: LCCOMB_X74_Y13_N16
\led_flash_cnt[3370][1]~74060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3370][1]~74060_combout\ = (\led_flash_cnt[3370][0]~q\ & (\led_flash_cnt[3370][1]~q\ $ (VCC))) # (!\led_flash_cnt[3370][0]~q\ & (\led_flash_cnt[3370][1]~q\ & VCC))
-- \led_flash_cnt[3370][1]~74061\ = CARRY((\led_flash_cnt[3370][0]~q\ & \led_flash_cnt[3370][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3370][0]~q\,
	datab => \led_flash_cnt[3370][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3370][1]~74060_combout\,
	cout => \led_flash_cnt[3370][1]~74061\);

-- Location: FF_X74_Y13_N17
\led_flash_cnt[3370][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3370][1]~74060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3370][1]~q\);

-- Location: LCCOMB_X74_Y13_N18
\led_flash_cnt[3370][2]~74062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3370][2]~74062_combout\ = (\led_flash_cnt[3370][2]~q\ & (!\led_flash_cnt[3370][1]~74061\)) # (!\led_flash_cnt[3370][2]~q\ & ((\led_flash_cnt[3370][1]~74061\) # (GND)))
-- \led_flash_cnt[3370][2]~74063\ = CARRY((!\led_flash_cnt[3370][1]~74061\) # (!\led_flash_cnt[3370][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3370][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3370][1]~74061\,
	combout => \led_flash_cnt[3370][2]~74062_combout\,
	cout => \led_flash_cnt[3370][2]~74063\);

-- Location: FF_X74_Y13_N19
\led_flash_cnt[3370][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3370][2]~74062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3370][2]~q\);

-- Location: LCCOMB_X74_Y13_N20
\led_flash_cnt[3370][3]~74064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3370][3]~74064_combout\ = (\led_flash_cnt[3370][3]~q\ & (\led_flash_cnt[3370][2]~74063\ $ (GND))) # (!\led_flash_cnt[3370][3]~q\ & (!\led_flash_cnt[3370][2]~74063\ & VCC))
-- \led_flash_cnt[3370][3]~74065\ = CARRY((\led_flash_cnt[3370][3]~q\ & !\led_flash_cnt[3370][2]~74063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3370][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3370][2]~74063\,
	combout => \led_flash_cnt[3370][3]~74064_combout\,
	cout => \led_flash_cnt[3370][3]~74065\);

-- Location: FF_X74_Y13_N21
\led_flash_cnt[3370][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3370][3]~74064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3370][3]~q\);

-- Location: LCCOMB_X74_Y13_N22
\led_flash_cnt[3370][4]~74066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3370][4]~74066_combout\ = (\led_flash_cnt[3370][4]~q\ & (!\led_flash_cnt[3370][3]~74065\)) # (!\led_flash_cnt[3370][4]~q\ & ((\led_flash_cnt[3370][3]~74065\) # (GND)))
-- \led_flash_cnt[3370][4]~74067\ = CARRY((!\led_flash_cnt[3370][3]~74065\) # (!\led_flash_cnt[3370][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3370][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3370][3]~74065\,
	combout => \led_flash_cnt[3370][4]~74066_combout\,
	cout => \led_flash_cnt[3370][4]~74067\);

-- Location: FF_X74_Y13_N23
\led_flash_cnt[3370][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3370][4]~74066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3370][4]~q\);

-- Location: LCCOMB_X74_Y13_N30
\WideAnd3370~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3370~0_combout\ = (\led_flash_cnt[3370][1]~q\ & (\led_flash_cnt[3370][2]~q\ & (\led_flash_cnt[3370][4]~q\ & \led_flash_cnt[3370][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3370][1]~q\,
	datab => \led_flash_cnt[3370][2]~q\,
	datac => \led_flash_cnt[3370][4]~q\,
	datad => \led_flash_cnt[3370][3]~q\,
	combout => \WideAnd3370~0_combout\);

-- Location: LCCOMB_X74_Y13_N24
\led_flash_cnt[3370][5]~74068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3370][5]~74068_combout\ = (\led_flash_cnt[3370][5]~q\ & (\led_flash_cnt[3370][4]~74067\ $ (GND))) # (!\led_flash_cnt[3370][5]~q\ & (!\led_flash_cnt[3370][4]~74067\ & VCC))
-- \led_flash_cnt[3370][5]~74069\ = CARRY((\led_flash_cnt[3370][5]~q\ & !\led_flash_cnt[3370][4]~74067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3370][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3370][4]~74067\,
	combout => \led_flash_cnt[3370][5]~74068_combout\,
	cout => \led_flash_cnt[3370][5]~74069\);

-- Location: FF_X74_Y13_N25
\led_flash_cnt[3370][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3370][5]~74068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3370][5]~q\);

-- Location: LCCOMB_X74_Y13_N26
\led_flash_cnt[3370][6]~74070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3370][6]~74070_combout\ = (\led_flash_cnt[3370][6]~q\ & (!\led_flash_cnt[3370][5]~74069\)) # (!\led_flash_cnt[3370][6]~q\ & ((\led_flash_cnt[3370][5]~74069\) # (GND)))
-- \led_flash_cnt[3370][6]~74071\ = CARRY((!\led_flash_cnt[3370][5]~74069\) # (!\led_flash_cnt[3370][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3370][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3370][5]~74069\,
	combout => \led_flash_cnt[3370][6]~74070_combout\,
	cout => \led_flash_cnt[3370][6]~74071\);

-- Location: FF_X74_Y13_N27
\led_flash_cnt[3370][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3370][6]~74070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3370][6]~q\);

-- Location: LCCOMB_X72_Y13_N24
\WideAnd3370~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3370~1_combout\ = (\led_flash_cnt[3370][6]~q\ & \led_flash_cnt[3370][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3370][6]~q\,
	datac => \led_flash_cnt[3370][5]~q\,
	combout => \WideAnd3370~1_combout\);

-- Location: LCCOMB_X74_Y13_N28
\led_flash_cnt[3370][7]~74072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3370][7]~74072_combout\ = \led_flash_cnt[3370][6]~74071\ $ (!\led_flash_cnt[3370][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3370][7]~q\,
	cin => \led_flash_cnt[3370][6]~74071\,
	combout => \led_flash_cnt[3370][7]~74072_combout\);

-- Location: FF_X74_Y13_N29
\led_flash_cnt[3370][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3370][7]~74072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3370][7]~q\);

-- Location: LCCOMB_X72_Y13_N6
WideAnd3370 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3370~combout\ = (\WideAnd3370~0_combout\ & (\WideAnd3370~1_combout\ & (\led_flash_cnt[3370][7]~q\ & \led_flash_cnt[3370][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3370~0_combout\,
	datab => \WideAnd3370~1_combout\,
	datac => \led_flash_cnt[3370][7]~q\,
	datad => \led_flash_cnt[3370][0]~q\,
	combout => \WideAnd3370~combout\);

-- Location: FF_X72_Y13_N7
\led_flash_cnt_ands[3370]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3370~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3370));

-- Location: LCCOMB_X72_Y12_N18
\led_flash_cnt[3369][0]~84009\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3369][0]~84009_combout\ = !\led_flash_cnt[3369][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3369][0]~q\,
	combout => \led_flash_cnt[3369][0]~84009_combout\);

-- Location: FF_X72_Y12_N19
\led_flash_cnt[3369][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3369][0]~84009_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3369][0]~q\);

-- Location: LCCOMB_X72_Y12_N0
\led_flash_cnt[3369][1]~74046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3369][1]~74046_combout\ = (\led_flash_cnt[3369][1]~q\ & (\led_flash_cnt[3369][0]~q\ $ (VCC))) # (!\led_flash_cnt[3369][1]~q\ & (\led_flash_cnt[3369][0]~q\ & VCC))
-- \led_flash_cnt[3369][1]~74047\ = CARRY((\led_flash_cnt[3369][1]~q\ & \led_flash_cnt[3369][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3369][1]~q\,
	datab => \led_flash_cnt[3369][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3369][1]~74046_combout\,
	cout => \led_flash_cnt[3369][1]~74047\);

-- Location: FF_X72_Y12_N1
\led_flash_cnt[3369][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3369][1]~74046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3369][1]~q\);

-- Location: LCCOMB_X72_Y12_N2
\led_flash_cnt[3369][2]~74048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3369][2]~74048_combout\ = (\led_flash_cnt[3369][2]~q\ & (!\led_flash_cnt[3369][1]~74047\)) # (!\led_flash_cnt[3369][2]~q\ & ((\led_flash_cnt[3369][1]~74047\) # (GND)))
-- \led_flash_cnt[3369][2]~74049\ = CARRY((!\led_flash_cnt[3369][1]~74047\) # (!\led_flash_cnt[3369][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3369][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3369][1]~74047\,
	combout => \led_flash_cnt[3369][2]~74048_combout\,
	cout => \led_flash_cnt[3369][2]~74049\);

-- Location: FF_X72_Y12_N3
\led_flash_cnt[3369][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3369][2]~74048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3369][2]~q\);

-- Location: LCCOMB_X72_Y12_N4
\led_flash_cnt[3369][3]~74050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3369][3]~74050_combout\ = (\led_flash_cnt[3369][3]~q\ & (\led_flash_cnt[3369][2]~74049\ $ (GND))) # (!\led_flash_cnt[3369][3]~q\ & (!\led_flash_cnt[3369][2]~74049\ & VCC))
-- \led_flash_cnt[3369][3]~74051\ = CARRY((\led_flash_cnt[3369][3]~q\ & !\led_flash_cnt[3369][2]~74049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3369][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3369][2]~74049\,
	combout => \led_flash_cnt[3369][3]~74050_combout\,
	cout => \led_flash_cnt[3369][3]~74051\);

-- Location: FF_X72_Y12_N5
\led_flash_cnt[3369][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3369][3]~74050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3369][3]~q\);

-- Location: LCCOMB_X72_Y12_N6
\led_flash_cnt[3369][4]~74052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3369][4]~74052_combout\ = (\led_flash_cnt[3369][4]~q\ & (!\led_flash_cnt[3369][3]~74051\)) # (!\led_flash_cnt[3369][4]~q\ & ((\led_flash_cnt[3369][3]~74051\) # (GND)))
-- \led_flash_cnt[3369][4]~74053\ = CARRY((!\led_flash_cnt[3369][3]~74051\) # (!\led_flash_cnt[3369][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3369][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3369][3]~74051\,
	combout => \led_flash_cnt[3369][4]~74052_combout\,
	cout => \led_flash_cnt[3369][4]~74053\);

-- Location: FF_X72_Y12_N7
\led_flash_cnt[3369][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3369][4]~74052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3369][4]~q\);

-- Location: LCCOMB_X72_Y12_N26
\WideAnd3369~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3369~0_combout\ = (\led_flash_cnt[3369][4]~q\ & (\led_flash_cnt[3369][1]~q\ & (\led_flash_cnt[3369][3]~q\ & \led_flash_cnt[3369][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3369][4]~q\,
	datab => \led_flash_cnt[3369][1]~q\,
	datac => \led_flash_cnt[3369][3]~q\,
	datad => \led_flash_cnt[3369][2]~q\,
	combout => \WideAnd3369~0_combout\);

-- Location: LCCOMB_X72_Y12_N8
\led_flash_cnt[3369][5]~74054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3369][5]~74054_combout\ = (\led_flash_cnt[3369][5]~q\ & (\led_flash_cnt[3369][4]~74053\ $ (GND))) # (!\led_flash_cnt[3369][5]~q\ & (!\led_flash_cnt[3369][4]~74053\ & VCC))
-- \led_flash_cnt[3369][5]~74055\ = CARRY((\led_flash_cnt[3369][5]~q\ & !\led_flash_cnt[3369][4]~74053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3369][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3369][4]~74053\,
	combout => \led_flash_cnt[3369][5]~74054_combout\,
	cout => \led_flash_cnt[3369][5]~74055\);

-- Location: FF_X72_Y12_N9
\led_flash_cnt[3369][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3369][5]~74054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3369][5]~q\);

-- Location: LCCOMB_X72_Y12_N10
\led_flash_cnt[3369][6]~74056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3369][6]~74056_combout\ = (\led_flash_cnt[3369][6]~q\ & (!\led_flash_cnt[3369][5]~74055\)) # (!\led_flash_cnt[3369][6]~q\ & ((\led_flash_cnt[3369][5]~74055\) # (GND)))
-- \led_flash_cnt[3369][6]~74057\ = CARRY((!\led_flash_cnt[3369][5]~74055\) # (!\led_flash_cnt[3369][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3369][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3369][5]~74055\,
	combout => \led_flash_cnt[3369][6]~74056_combout\,
	cout => \led_flash_cnt[3369][6]~74057\);

-- Location: FF_X72_Y12_N11
\led_flash_cnt[3369][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3369][6]~74056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3369][6]~q\);

-- Location: LCCOMB_X72_Y12_N22
\WideAnd3369~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3369~1_combout\ = (\led_flash_cnt[3369][5]~q\ & \led_flash_cnt[3369][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3369][5]~q\,
	datad => \led_flash_cnt[3369][6]~q\,
	combout => \WideAnd3369~1_combout\);

-- Location: LCCOMB_X72_Y12_N12
\led_flash_cnt[3369][7]~74058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3369][7]~74058_combout\ = \led_flash_cnt[3369][6]~74057\ $ (!\led_flash_cnt[3369][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3369][7]~q\,
	cin => \led_flash_cnt[3369][6]~74057\,
	combout => \led_flash_cnt[3369][7]~74058_combout\);

-- Location: FF_X72_Y12_N13
\led_flash_cnt[3369][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3369][7]~74058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3369][7]~q\);

-- Location: LCCOMB_X72_Y12_N24
WideAnd3369 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3369~combout\ = (\WideAnd3369~0_combout\ & (\led_flash_cnt[3369][0]~q\ & (\WideAnd3369~1_combout\ & \led_flash_cnt[3369][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3369~0_combout\,
	datab => \led_flash_cnt[3369][0]~q\,
	datac => \WideAnd3369~1_combout\,
	datad => \led_flash_cnt[3369][7]~q\,
	combout => \WideAnd3369~combout\);

-- Location: FF_X72_Y12_N25
\led_flash_cnt_ands[3369]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3369~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3369));

-- Location: LCCOMB_X72_Y13_N28
\led_flash_cnt[3371][0]~84011\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3371][0]~84011_combout\ = !\led_flash_cnt[3371][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3371][0]~q\,
	combout => \led_flash_cnt[3371][0]~84011_combout\);

-- Location: FF_X72_Y13_N29
\led_flash_cnt[3371][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3371][0]~84011_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3371][0]~q\);

-- Location: LCCOMB_X72_Y13_N10
\led_flash_cnt[3371][1]~74074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3371][1]~74074_combout\ = (\led_flash_cnt[3371][1]~q\ & (\led_flash_cnt[3371][0]~q\ $ (VCC))) # (!\led_flash_cnt[3371][1]~q\ & (\led_flash_cnt[3371][0]~q\ & VCC))
-- \led_flash_cnt[3371][1]~74075\ = CARRY((\led_flash_cnt[3371][1]~q\ & \led_flash_cnt[3371][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3371][1]~q\,
	datab => \led_flash_cnt[3371][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3371][1]~74074_combout\,
	cout => \led_flash_cnt[3371][1]~74075\);

-- Location: FF_X72_Y13_N11
\led_flash_cnt[3371][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3371][1]~74074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3371][1]~q\);

-- Location: LCCOMB_X72_Y13_N12
\led_flash_cnt[3371][2]~74076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3371][2]~74076_combout\ = (\led_flash_cnt[3371][2]~q\ & (!\led_flash_cnt[3371][1]~74075\)) # (!\led_flash_cnt[3371][2]~q\ & ((\led_flash_cnt[3371][1]~74075\) # (GND)))
-- \led_flash_cnt[3371][2]~74077\ = CARRY((!\led_flash_cnt[3371][1]~74075\) # (!\led_flash_cnt[3371][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3371][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3371][1]~74075\,
	combout => \led_flash_cnt[3371][2]~74076_combout\,
	cout => \led_flash_cnt[3371][2]~74077\);

-- Location: FF_X72_Y13_N13
\led_flash_cnt[3371][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3371][2]~74076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3371][2]~q\);

-- Location: LCCOMB_X72_Y13_N14
\led_flash_cnt[3371][3]~74078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3371][3]~74078_combout\ = (\led_flash_cnt[3371][3]~q\ & (\led_flash_cnt[3371][2]~74077\ $ (GND))) # (!\led_flash_cnt[3371][3]~q\ & (!\led_flash_cnt[3371][2]~74077\ & VCC))
-- \led_flash_cnt[3371][3]~74079\ = CARRY((\led_flash_cnt[3371][3]~q\ & !\led_flash_cnt[3371][2]~74077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3371][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3371][2]~74077\,
	combout => \led_flash_cnt[3371][3]~74078_combout\,
	cout => \led_flash_cnt[3371][3]~74079\);

-- Location: FF_X72_Y13_N15
\led_flash_cnt[3371][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3371][3]~74078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3371][3]~q\);

-- Location: LCCOMB_X72_Y13_N16
\led_flash_cnt[3371][4]~74080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3371][4]~74080_combout\ = (\led_flash_cnt[3371][4]~q\ & (!\led_flash_cnt[3371][3]~74079\)) # (!\led_flash_cnt[3371][4]~q\ & ((\led_flash_cnt[3371][3]~74079\) # (GND)))
-- \led_flash_cnt[3371][4]~74081\ = CARRY((!\led_flash_cnt[3371][3]~74079\) # (!\led_flash_cnt[3371][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3371][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3371][3]~74079\,
	combout => \led_flash_cnt[3371][4]~74080_combout\,
	cout => \led_flash_cnt[3371][4]~74081\);

-- Location: FF_X72_Y13_N17
\led_flash_cnt[3371][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3371][4]~74080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3371][4]~q\);

-- Location: LCCOMB_X72_Y13_N18
\led_flash_cnt[3371][5]~74082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3371][5]~74082_combout\ = (\led_flash_cnt[3371][5]~q\ & (\led_flash_cnt[3371][4]~74081\ $ (GND))) # (!\led_flash_cnt[3371][5]~q\ & (!\led_flash_cnt[3371][4]~74081\ & VCC))
-- \led_flash_cnt[3371][5]~74083\ = CARRY((\led_flash_cnt[3371][5]~q\ & !\led_flash_cnt[3371][4]~74081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3371][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3371][4]~74081\,
	combout => \led_flash_cnt[3371][5]~74082_combout\,
	cout => \led_flash_cnt[3371][5]~74083\);

-- Location: FF_X72_Y13_N19
\led_flash_cnt[3371][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3371][5]~74082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3371][5]~q\);

-- Location: LCCOMB_X72_Y13_N20
\led_flash_cnt[3371][6]~74084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3371][6]~74084_combout\ = (\led_flash_cnt[3371][6]~q\ & (!\led_flash_cnt[3371][5]~74083\)) # (!\led_flash_cnt[3371][6]~q\ & ((\led_flash_cnt[3371][5]~74083\) # (GND)))
-- \led_flash_cnt[3371][6]~74085\ = CARRY((!\led_flash_cnt[3371][5]~74083\) # (!\led_flash_cnt[3371][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3371][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3371][5]~74083\,
	combout => \led_flash_cnt[3371][6]~74084_combout\,
	cout => \led_flash_cnt[3371][6]~74085\);

-- Location: FF_X72_Y13_N21
\led_flash_cnt[3371][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3371][6]~74084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3371][6]~q\);

-- Location: LCCOMB_X72_Y13_N26
\WideAnd3371~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3371~1_combout\ = (\led_flash_cnt[3371][6]~q\ & \led_flash_cnt[3371][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3371][6]~q\,
	datad => \led_flash_cnt[3371][5]~q\,
	combout => \WideAnd3371~1_combout\);

-- Location: LCCOMB_X72_Y13_N22
\led_flash_cnt[3371][7]~74086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3371][7]~74086_combout\ = \led_flash_cnt[3371][7]~q\ $ (!\led_flash_cnt[3371][6]~74085\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3371][7]~q\,
	cin => \led_flash_cnt[3371][6]~74085\,
	combout => \led_flash_cnt[3371][7]~74086_combout\);

-- Location: FF_X72_Y13_N23
\led_flash_cnt[3371][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3371][7]~74086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3371][7]~q\);

-- Location: LCCOMB_X72_Y13_N0
\WideAnd3371~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3371~0_combout\ = (\led_flash_cnt[3371][1]~q\ & (\led_flash_cnt[3371][4]~q\ & (\led_flash_cnt[3371][3]~q\ & \led_flash_cnt[3371][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3371][1]~q\,
	datab => \led_flash_cnt[3371][4]~q\,
	datac => \led_flash_cnt[3371][3]~q\,
	datad => \led_flash_cnt[3371][2]~q\,
	combout => \WideAnd3371~0_combout\);

-- Location: LCCOMB_X72_Y13_N30
WideAnd3371 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3371~combout\ = (\WideAnd3371~1_combout\ & (\led_flash_cnt[3371][0]~q\ & (\led_flash_cnt[3371][7]~q\ & \WideAnd3371~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3371~1_combout\,
	datab => \led_flash_cnt[3371][0]~q\,
	datac => \led_flash_cnt[3371][7]~q\,
	datad => \WideAnd3371~0_combout\,
	combout => \WideAnd3371~combout\);

-- Location: FF_X72_Y13_N31
\led_flash_cnt_ands[3371]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3371~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3371));

-- Location: LCCOMB_X76_Y13_N12
\led_flash_cnt[3368][0]~84008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3368][0]~84008_combout\ = !\led_flash_cnt[3368][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3368][0]~q\,
	combout => \led_flash_cnt[3368][0]~84008_combout\);

-- Location: FF_X76_Y13_N13
\led_flash_cnt[3368][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3368][0]~84008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3368][0]~q\);

-- Location: LCCOMB_X76_Y13_N14
\led_flash_cnt[3368][1]~74032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3368][1]~74032_combout\ = (\led_flash_cnt[3368][0]~q\ & (\led_flash_cnt[3368][1]~q\ $ (VCC))) # (!\led_flash_cnt[3368][0]~q\ & (\led_flash_cnt[3368][1]~q\ & VCC))
-- \led_flash_cnt[3368][1]~74033\ = CARRY((\led_flash_cnt[3368][0]~q\ & \led_flash_cnt[3368][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3368][0]~q\,
	datab => \led_flash_cnt[3368][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3368][1]~74032_combout\,
	cout => \led_flash_cnt[3368][1]~74033\);

-- Location: FF_X76_Y13_N15
\led_flash_cnt[3368][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3368][1]~74032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3368][1]~q\);

-- Location: LCCOMB_X76_Y13_N16
\led_flash_cnt[3368][2]~74034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3368][2]~74034_combout\ = (\led_flash_cnt[3368][2]~q\ & (!\led_flash_cnt[3368][1]~74033\)) # (!\led_flash_cnt[3368][2]~q\ & ((\led_flash_cnt[3368][1]~74033\) # (GND)))
-- \led_flash_cnt[3368][2]~74035\ = CARRY((!\led_flash_cnt[3368][1]~74033\) # (!\led_flash_cnt[3368][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3368][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3368][1]~74033\,
	combout => \led_flash_cnt[3368][2]~74034_combout\,
	cout => \led_flash_cnt[3368][2]~74035\);

-- Location: FF_X76_Y13_N17
\led_flash_cnt[3368][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3368][2]~74034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3368][2]~q\);

-- Location: LCCOMB_X76_Y13_N18
\led_flash_cnt[3368][3]~74036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3368][3]~74036_combout\ = (\led_flash_cnt[3368][3]~q\ & (\led_flash_cnt[3368][2]~74035\ $ (GND))) # (!\led_flash_cnt[3368][3]~q\ & (!\led_flash_cnt[3368][2]~74035\ & VCC))
-- \led_flash_cnt[3368][3]~74037\ = CARRY((\led_flash_cnt[3368][3]~q\ & !\led_flash_cnt[3368][2]~74035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3368][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3368][2]~74035\,
	combout => \led_flash_cnt[3368][3]~74036_combout\,
	cout => \led_flash_cnt[3368][3]~74037\);

-- Location: FF_X76_Y13_N19
\led_flash_cnt[3368][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3368][3]~74036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3368][3]~q\);

-- Location: LCCOMB_X76_Y13_N20
\led_flash_cnt[3368][4]~74038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3368][4]~74038_combout\ = (\led_flash_cnt[3368][4]~q\ & (!\led_flash_cnt[3368][3]~74037\)) # (!\led_flash_cnt[3368][4]~q\ & ((\led_flash_cnt[3368][3]~74037\) # (GND)))
-- \led_flash_cnt[3368][4]~74039\ = CARRY((!\led_flash_cnt[3368][3]~74037\) # (!\led_flash_cnt[3368][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3368][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3368][3]~74037\,
	combout => \led_flash_cnt[3368][4]~74038_combout\,
	cout => \led_flash_cnt[3368][4]~74039\);

-- Location: FF_X76_Y13_N21
\led_flash_cnt[3368][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3368][4]~74038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3368][4]~q\);

-- Location: LCCOMB_X76_Y13_N22
\led_flash_cnt[3368][5]~74040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3368][5]~74040_combout\ = (\led_flash_cnt[3368][5]~q\ & (\led_flash_cnt[3368][4]~74039\ $ (GND))) # (!\led_flash_cnt[3368][5]~q\ & (!\led_flash_cnt[3368][4]~74039\ & VCC))
-- \led_flash_cnt[3368][5]~74041\ = CARRY((\led_flash_cnt[3368][5]~q\ & !\led_flash_cnt[3368][4]~74039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3368][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3368][4]~74039\,
	combout => \led_flash_cnt[3368][5]~74040_combout\,
	cout => \led_flash_cnt[3368][5]~74041\);

-- Location: FF_X76_Y13_N23
\led_flash_cnt[3368][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3368][5]~74040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3368][5]~q\);

-- Location: LCCOMB_X76_Y13_N24
\led_flash_cnt[3368][6]~74042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3368][6]~74042_combout\ = (\led_flash_cnt[3368][6]~q\ & (!\led_flash_cnt[3368][5]~74041\)) # (!\led_flash_cnt[3368][6]~q\ & ((\led_flash_cnt[3368][5]~74041\) # (GND)))
-- \led_flash_cnt[3368][6]~74043\ = CARRY((!\led_flash_cnt[3368][5]~74041\) # (!\led_flash_cnt[3368][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3368][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3368][5]~74041\,
	combout => \led_flash_cnt[3368][6]~74042_combout\,
	cout => \led_flash_cnt[3368][6]~74043\);

-- Location: FF_X76_Y13_N25
\led_flash_cnt[3368][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3368][6]~74042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3368][6]~q\);

-- Location: LCCOMB_X76_Y13_N10
\WideAnd3368~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3368~1_combout\ = (\led_flash_cnt[3368][5]~q\ & \led_flash_cnt[3368][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3368][5]~q\,
	datad => \led_flash_cnt[3368][6]~q\,
	combout => \WideAnd3368~1_combout\);

-- Location: LCCOMB_X76_Y13_N28
\WideAnd3368~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3368~0_combout\ = (\led_flash_cnt[3368][4]~q\ & (\led_flash_cnt[3368][3]~q\ & (\led_flash_cnt[3368][1]~q\ & \led_flash_cnt[3368][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3368][4]~q\,
	datab => \led_flash_cnt[3368][3]~q\,
	datac => \led_flash_cnt[3368][1]~q\,
	datad => \led_flash_cnt[3368][2]~q\,
	combout => \WideAnd3368~0_combout\);

-- Location: LCCOMB_X76_Y13_N26
\led_flash_cnt[3368][7]~74044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3368][7]~74044_combout\ = \led_flash_cnt[3368][7]~q\ $ (!\led_flash_cnt[3368][6]~74043\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3368][7]~q\,
	cin => \led_flash_cnt[3368][6]~74043\,
	combout => \led_flash_cnt[3368][7]~74044_combout\);

-- Location: FF_X76_Y13_N27
\led_flash_cnt[3368][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3368][7]~74044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3368][7]~q\);

-- Location: LCCOMB_X76_Y13_N2
WideAnd3368 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3368~combout\ = (\WideAnd3368~1_combout\ & (\WideAnd3368~0_combout\ & (\led_flash_cnt[3368][7]~q\ & \led_flash_cnt[3368][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3368~1_combout\,
	datab => \WideAnd3368~0_combout\,
	datac => \led_flash_cnt[3368][7]~q\,
	datad => \led_flash_cnt[3368][0]~q\,
	combout => \WideAnd3368~combout\);

-- Location: FF_X76_Y13_N3
\led_flash_cnt_ands[3368]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3368~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3368));

-- Location: LCCOMB_X72_Y13_N2
\WideAnd4261~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4261~0_combout\ = (led_flash_cnt_ands(3370) & (led_flash_cnt_ands(3369) & (led_flash_cnt_ands(3371) & led_flash_cnt_ands(3368))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3370),
	datab => led_flash_cnt_ands(3369),
	datac => led_flash_cnt_ands(3371),
	datad => led_flash_cnt_ands(3368),
	combout => \WideAnd4261~0_combout\);

-- Location: LCCOMB_X65_Y7_N10
\led_flash_cnt[3375][0]~84015\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3375][0]~84015_combout\ = !\led_flash_cnt[3375][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3375][0]~q\,
	combout => \led_flash_cnt[3375][0]~84015_combout\);

-- Location: FF_X65_Y7_N11
\led_flash_cnt[3375][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3375][0]~84015_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3375][0]~q\);

-- Location: LCCOMB_X65_Y7_N12
\led_flash_cnt[3375][1]~74130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3375][1]~74130_combout\ = (\led_flash_cnt[3375][1]~q\ & (\led_flash_cnt[3375][0]~q\ $ (VCC))) # (!\led_flash_cnt[3375][1]~q\ & (\led_flash_cnt[3375][0]~q\ & VCC))
-- \led_flash_cnt[3375][1]~74131\ = CARRY((\led_flash_cnt[3375][1]~q\ & \led_flash_cnt[3375][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3375][1]~q\,
	datab => \led_flash_cnt[3375][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3375][1]~74130_combout\,
	cout => \led_flash_cnt[3375][1]~74131\);

-- Location: FF_X65_Y7_N13
\led_flash_cnt[3375][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3375][1]~74130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3375][1]~q\);

-- Location: LCCOMB_X65_Y7_N14
\led_flash_cnt[3375][2]~74132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3375][2]~74132_combout\ = (\led_flash_cnt[3375][2]~q\ & (!\led_flash_cnt[3375][1]~74131\)) # (!\led_flash_cnt[3375][2]~q\ & ((\led_flash_cnt[3375][1]~74131\) # (GND)))
-- \led_flash_cnt[3375][2]~74133\ = CARRY((!\led_flash_cnt[3375][1]~74131\) # (!\led_flash_cnt[3375][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3375][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3375][1]~74131\,
	combout => \led_flash_cnt[3375][2]~74132_combout\,
	cout => \led_flash_cnt[3375][2]~74133\);

-- Location: FF_X65_Y7_N15
\led_flash_cnt[3375][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3375][2]~74132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3375][2]~q\);

-- Location: LCCOMB_X65_Y7_N16
\led_flash_cnt[3375][3]~74134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3375][3]~74134_combout\ = (\led_flash_cnt[3375][3]~q\ & (\led_flash_cnt[3375][2]~74133\ $ (GND))) # (!\led_flash_cnt[3375][3]~q\ & (!\led_flash_cnt[3375][2]~74133\ & VCC))
-- \led_flash_cnt[3375][3]~74135\ = CARRY((\led_flash_cnt[3375][3]~q\ & !\led_flash_cnt[3375][2]~74133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3375][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3375][2]~74133\,
	combout => \led_flash_cnt[3375][3]~74134_combout\,
	cout => \led_flash_cnt[3375][3]~74135\);

-- Location: FF_X65_Y7_N17
\led_flash_cnt[3375][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3375][3]~74134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3375][3]~q\);

-- Location: LCCOMB_X65_Y7_N18
\led_flash_cnt[3375][4]~74136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3375][4]~74136_combout\ = (\led_flash_cnt[3375][4]~q\ & (!\led_flash_cnt[3375][3]~74135\)) # (!\led_flash_cnt[3375][4]~q\ & ((\led_flash_cnt[3375][3]~74135\) # (GND)))
-- \led_flash_cnt[3375][4]~74137\ = CARRY((!\led_flash_cnt[3375][3]~74135\) # (!\led_flash_cnt[3375][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3375][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3375][3]~74135\,
	combout => \led_flash_cnt[3375][4]~74136_combout\,
	cout => \led_flash_cnt[3375][4]~74137\);

-- Location: FF_X65_Y7_N19
\led_flash_cnt[3375][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3375][4]~74136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3375][4]~q\);

-- Location: LCCOMB_X65_Y7_N20
\led_flash_cnt[3375][5]~74138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3375][5]~74138_combout\ = (\led_flash_cnt[3375][5]~q\ & (\led_flash_cnt[3375][4]~74137\ $ (GND))) # (!\led_flash_cnt[3375][5]~q\ & (!\led_flash_cnt[3375][4]~74137\ & VCC))
-- \led_flash_cnt[3375][5]~74139\ = CARRY((\led_flash_cnt[3375][5]~q\ & !\led_flash_cnt[3375][4]~74137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3375][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3375][4]~74137\,
	combout => \led_flash_cnt[3375][5]~74138_combout\,
	cout => \led_flash_cnt[3375][5]~74139\);

-- Location: FF_X65_Y7_N21
\led_flash_cnt[3375][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3375][5]~74138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3375][5]~q\);

-- Location: LCCOMB_X65_Y7_N22
\led_flash_cnt[3375][6]~74140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3375][6]~74140_combout\ = (\led_flash_cnt[3375][6]~q\ & (!\led_flash_cnt[3375][5]~74139\)) # (!\led_flash_cnt[3375][6]~q\ & ((\led_flash_cnt[3375][5]~74139\) # (GND)))
-- \led_flash_cnt[3375][6]~74141\ = CARRY((!\led_flash_cnt[3375][5]~74139\) # (!\led_flash_cnt[3375][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3375][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3375][5]~74139\,
	combout => \led_flash_cnt[3375][6]~74140_combout\,
	cout => \led_flash_cnt[3375][6]~74141\);

-- Location: FF_X65_Y7_N23
\led_flash_cnt[3375][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3375][6]~74140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3375][6]~q\);

-- Location: LCCOMB_X65_Y7_N4
\WideAnd3375~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3375~1_combout\ = (\led_flash_cnt[3375][6]~q\ & \led_flash_cnt[3375][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3375][6]~q\,
	datad => \led_flash_cnt[3375][5]~q\,
	combout => \WideAnd3375~1_combout\);

-- Location: LCCOMB_X65_Y7_N26
\WideAnd3375~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3375~0_combout\ = (\led_flash_cnt[3375][4]~q\ & (\led_flash_cnt[3375][3]~q\ & (\led_flash_cnt[3375][2]~q\ & \led_flash_cnt[3375][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3375][4]~q\,
	datab => \led_flash_cnt[3375][3]~q\,
	datac => \led_flash_cnt[3375][2]~q\,
	datad => \led_flash_cnt[3375][1]~q\,
	combout => \WideAnd3375~0_combout\);

-- Location: LCCOMB_X65_Y7_N24
\led_flash_cnt[3375][7]~74142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3375][7]~74142_combout\ = \led_flash_cnt[3375][6]~74141\ $ (!\led_flash_cnt[3375][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3375][7]~q\,
	cin => \led_flash_cnt[3375][6]~74141\,
	combout => \led_flash_cnt[3375][7]~74142_combout\);

-- Location: FF_X65_Y7_N25
\led_flash_cnt[3375][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3375][7]~74142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3375][7]~q\);

-- Location: LCCOMB_X65_Y7_N8
WideAnd3375 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3375~combout\ = (\led_flash_cnt[3375][0]~q\ & (\WideAnd3375~1_combout\ & (\WideAnd3375~0_combout\ & \led_flash_cnt[3375][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3375][0]~q\,
	datab => \WideAnd3375~1_combout\,
	datac => \WideAnd3375~0_combout\,
	datad => \led_flash_cnt[3375][7]~q\,
	combout => \WideAnd3375~combout\);

-- Location: FF_X65_Y7_N9
\led_flash_cnt_ands[3375]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3375~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3375));

-- Location: LCCOMB_X64_Y6_N12
\led_flash_cnt[3374][0]~84014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3374][0]~84014_combout\ = !\led_flash_cnt[3374][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3374][0]~q\,
	combout => \led_flash_cnt[3374][0]~84014_combout\);

-- Location: FF_X64_Y6_N13
\led_flash_cnt[3374][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3374][0]~84014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3374][0]~q\);

-- Location: LCCOMB_X64_Y6_N18
\led_flash_cnt[3374][1]~74116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3374][1]~74116_combout\ = (\led_flash_cnt[3374][0]~q\ & (\led_flash_cnt[3374][1]~q\ $ (VCC))) # (!\led_flash_cnt[3374][0]~q\ & (\led_flash_cnt[3374][1]~q\ & VCC))
-- \led_flash_cnt[3374][1]~74117\ = CARRY((\led_flash_cnt[3374][0]~q\ & \led_flash_cnt[3374][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3374][0]~q\,
	datab => \led_flash_cnt[3374][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3374][1]~74116_combout\,
	cout => \led_flash_cnt[3374][1]~74117\);

-- Location: FF_X64_Y6_N19
\led_flash_cnt[3374][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3374][1]~74116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3374][1]~q\);

-- Location: LCCOMB_X64_Y6_N20
\led_flash_cnt[3374][2]~74118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3374][2]~74118_combout\ = (\led_flash_cnt[3374][2]~q\ & (!\led_flash_cnt[3374][1]~74117\)) # (!\led_flash_cnt[3374][2]~q\ & ((\led_flash_cnt[3374][1]~74117\) # (GND)))
-- \led_flash_cnt[3374][2]~74119\ = CARRY((!\led_flash_cnt[3374][1]~74117\) # (!\led_flash_cnt[3374][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3374][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3374][1]~74117\,
	combout => \led_flash_cnt[3374][2]~74118_combout\,
	cout => \led_flash_cnt[3374][2]~74119\);

-- Location: FF_X64_Y6_N21
\led_flash_cnt[3374][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3374][2]~74118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3374][2]~q\);

-- Location: LCCOMB_X64_Y6_N22
\led_flash_cnt[3374][3]~74120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3374][3]~74120_combout\ = (\led_flash_cnt[3374][3]~q\ & (\led_flash_cnt[3374][2]~74119\ $ (GND))) # (!\led_flash_cnt[3374][3]~q\ & (!\led_flash_cnt[3374][2]~74119\ & VCC))
-- \led_flash_cnt[3374][3]~74121\ = CARRY((\led_flash_cnt[3374][3]~q\ & !\led_flash_cnt[3374][2]~74119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3374][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3374][2]~74119\,
	combout => \led_flash_cnt[3374][3]~74120_combout\,
	cout => \led_flash_cnt[3374][3]~74121\);

-- Location: FF_X64_Y6_N23
\led_flash_cnt[3374][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3374][3]~74120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3374][3]~q\);

-- Location: LCCOMB_X64_Y6_N24
\led_flash_cnt[3374][4]~74122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3374][4]~74122_combout\ = (\led_flash_cnt[3374][4]~q\ & (!\led_flash_cnt[3374][3]~74121\)) # (!\led_flash_cnt[3374][4]~q\ & ((\led_flash_cnt[3374][3]~74121\) # (GND)))
-- \led_flash_cnt[3374][4]~74123\ = CARRY((!\led_flash_cnt[3374][3]~74121\) # (!\led_flash_cnt[3374][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3374][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3374][3]~74121\,
	combout => \led_flash_cnt[3374][4]~74122_combout\,
	cout => \led_flash_cnt[3374][4]~74123\);

-- Location: FF_X64_Y6_N25
\led_flash_cnt[3374][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3374][4]~74122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3374][4]~q\);

-- Location: LCCOMB_X64_Y6_N26
\led_flash_cnt[3374][5]~74124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3374][5]~74124_combout\ = (\led_flash_cnt[3374][5]~q\ & (\led_flash_cnt[3374][4]~74123\ $ (GND))) # (!\led_flash_cnt[3374][5]~q\ & (!\led_flash_cnt[3374][4]~74123\ & VCC))
-- \led_flash_cnt[3374][5]~74125\ = CARRY((\led_flash_cnt[3374][5]~q\ & !\led_flash_cnt[3374][4]~74123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3374][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3374][4]~74123\,
	combout => \led_flash_cnt[3374][5]~74124_combout\,
	cout => \led_flash_cnt[3374][5]~74125\);

-- Location: FF_X64_Y6_N27
\led_flash_cnt[3374][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3374][5]~74124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3374][5]~q\);

-- Location: LCCOMB_X64_Y6_N28
\led_flash_cnt[3374][6]~74126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3374][6]~74126_combout\ = (\led_flash_cnt[3374][6]~q\ & (!\led_flash_cnt[3374][5]~74125\)) # (!\led_flash_cnt[3374][6]~q\ & ((\led_flash_cnt[3374][5]~74125\) # (GND)))
-- \led_flash_cnt[3374][6]~74127\ = CARRY((!\led_flash_cnt[3374][5]~74125\) # (!\led_flash_cnt[3374][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3374][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3374][5]~74125\,
	combout => \led_flash_cnt[3374][6]~74126_combout\,
	cout => \led_flash_cnt[3374][6]~74127\);

-- Location: FF_X64_Y6_N29
\led_flash_cnt[3374][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3374][6]~74126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3374][6]~q\);

-- Location: LCCOMB_X64_Y6_N30
\led_flash_cnt[3374][7]~74128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3374][7]~74128_combout\ = \led_flash_cnt[3374][7]~q\ $ (!\led_flash_cnt[3374][6]~74127\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3374][7]~q\,
	cin => \led_flash_cnt[3374][6]~74127\,
	combout => \led_flash_cnt[3374][7]~74128_combout\);

-- Location: FF_X64_Y6_N31
\led_flash_cnt[3374][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3374][7]~74128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3374][7]~q\);

-- Location: LCCOMB_X64_Y6_N2
\WideAnd3374~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3374~1_combout\ = (\led_flash_cnt[3374][5]~q\ & \led_flash_cnt[3374][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3374][5]~q\,
	datad => \led_flash_cnt[3374][6]~q\,
	combout => \WideAnd3374~1_combout\);

-- Location: LCCOMB_X64_Y6_N4
\WideAnd3374~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3374~0_combout\ = (\led_flash_cnt[3374][1]~q\ & (\led_flash_cnt[3374][4]~q\ & (\led_flash_cnt[3374][3]~q\ & \led_flash_cnt[3374][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3374][1]~q\,
	datab => \led_flash_cnt[3374][4]~q\,
	datac => \led_flash_cnt[3374][3]~q\,
	datad => \led_flash_cnt[3374][2]~q\,
	combout => \WideAnd3374~0_combout\);

-- Location: LCCOMB_X64_Y6_N10
WideAnd3374 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3374~combout\ = (\led_flash_cnt[3374][7]~q\ & (\WideAnd3374~1_combout\ & (\WideAnd3374~0_combout\ & \led_flash_cnt[3374][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3374][7]~q\,
	datab => \WideAnd3374~1_combout\,
	datac => \WideAnd3374~0_combout\,
	datad => \led_flash_cnt[3374][0]~q\,
	combout => \WideAnd3374~combout\);

-- Location: FF_X64_Y6_N11
\led_flash_cnt_ands[3374]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3374~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3374));

-- Location: LCCOMB_X65_Y18_N2
\led_flash_cnt[3372][0]~84012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3372][0]~84012_combout\ = !\led_flash_cnt[3372][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3372][0]~q\,
	combout => \led_flash_cnt[3372][0]~84012_combout\);

-- Location: FF_X65_Y18_N3
\led_flash_cnt[3372][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3372][0]~84012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3372][0]~q\);

-- Location: LCCOMB_X65_Y18_N10
\led_flash_cnt[3372][1]~74088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3372][1]~74088_combout\ = (\led_flash_cnt[3372][1]~q\ & (\led_flash_cnt[3372][0]~q\ $ (VCC))) # (!\led_flash_cnt[3372][1]~q\ & (\led_flash_cnt[3372][0]~q\ & VCC))
-- \led_flash_cnt[3372][1]~74089\ = CARRY((\led_flash_cnt[3372][1]~q\ & \led_flash_cnt[3372][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3372][1]~q\,
	datab => \led_flash_cnt[3372][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3372][1]~74088_combout\,
	cout => \led_flash_cnt[3372][1]~74089\);

-- Location: FF_X65_Y18_N11
\led_flash_cnt[3372][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3372][1]~74088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3372][1]~q\);

-- Location: LCCOMB_X65_Y18_N12
\led_flash_cnt[3372][2]~74090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3372][2]~74090_combout\ = (\led_flash_cnt[3372][2]~q\ & (!\led_flash_cnt[3372][1]~74089\)) # (!\led_flash_cnt[3372][2]~q\ & ((\led_flash_cnt[3372][1]~74089\) # (GND)))
-- \led_flash_cnt[3372][2]~74091\ = CARRY((!\led_flash_cnt[3372][1]~74089\) # (!\led_flash_cnt[3372][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3372][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3372][1]~74089\,
	combout => \led_flash_cnt[3372][2]~74090_combout\,
	cout => \led_flash_cnt[3372][2]~74091\);

-- Location: FF_X65_Y18_N13
\led_flash_cnt[3372][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3372][2]~74090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3372][2]~q\);

-- Location: LCCOMB_X65_Y18_N14
\led_flash_cnt[3372][3]~74092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3372][3]~74092_combout\ = (\led_flash_cnt[3372][3]~q\ & (\led_flash_cnt[3372][2]~74091\ $ (GND))) # (!\led_flash_cnt[3372][3]~q\ & (!\led_flash_cnt[3372][2]~74091\ & VCC))
-- \led_flash_cnt[3372][3]~74093\ = CARRY((\led_flash_cnt[3372][3]~q\ & !\led_flash_cnt[3372][2]~74091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3372][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3372][2]~74091\,
	combout => \led_flash_cnt[3372][3]~74092_combout\,
	cout => \led_flash_cnt[3372][3]~74093\);

-- Location: FF_X65_Y18_N15
\led_flash_cnt[3372][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3372][3]~74092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3372][3]~q\);

-- Location: LCCOMB_X65_Y18_N16
\led_flash_cnt[3372][4]~74094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3372][4]~74094_combout\ = (\led_flash_cnt[3372][4]~q\ & (!\led_flash_cnt[3372][3]~74093\)) # (!\led_flash_cnt[3372][4]~q\ & ((\led_flash_cnt[3372][3]~74093\) # (GND)))
-- \led_flash_cnt[3372][4]~74095\ = CARRY((!\led_flash_cnt[3372][3]~74093\) # (!\led_flash_cnt[3372][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3372][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3372][3]~74093\,
	combout => \led_flash_cnt[3372][4]~74094_combout\,
	cout => \led_flash_cnt[3372][4]~74095\);

-- Location: FF_X65_Y18_N17
\led_flash_cnt[3372][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3372][4]~74094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3372][4]~q\);

-- Location: LCCOMB_X65_Y18_N18
\led_flash_cnt[3372][5]~74096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3372][5]~74096_combout\ = (\led_flash_cnt[3372][5]~q\ & (\led_flash_cnt[3372][4]~74095\ $ (GND))) # (!\led_flash_cnt[3372][5]~q\ & (!\led_flash_cnt[3372][4]~74095\ & VCC))
-- \led_flash_cnt[3372][5]~74097\ = CARRY((\led_flash_cnt[3372][5]~q\ & !\led_flash_cnt[3372][4]~74095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3372][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3372][4]~74095\,
	combout => \led_flash_cnt[3372][5]~74096_combout\,
	cout => \led_flash_cnt[3372][5]~74097\);

-- Location: FF_X65_Y18_N19
\led_flash_cnt[3372][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3372][5]~74096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3372][5]~q\);

-- Location: LCCOMB_X65_Y18_N20
\led_flash_cnt[3372][6]~74098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3372][6]~74098_combout\ = (\led_flash_cnt[3372][6]~q\ & (!\led_flash_cnt[3372][5]~74097\)) # (!\led_flash_cnt[3372][6]~q\ & ((\led_flash_cnt[3372][5]~74097\) # (GND)))
-- \led_flash_cnt[3372][6]~74099\ = CARRY((!\led_flash_cnt[3372][5]~74097\) # (!\led_flash_cnt[3372][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3372][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3372][5]~74097\,
	combout => \led_flash_cnt[3372][6]~74098_combout\,
	cout => \led_flash_cnt[3372][6]~74099\);

-- Location: FF_X65_Y18_N21
\led_flash_cnt[3372][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3372][6]~74098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3372][6]~q\);

-- Location: LCCOMB_X65_Y18_N26
\WideAnd3372~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3372~1_combout\ = (\led_flash_cnt[3372][6]~q\ & \led_flash_cnt[3372][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3372][6]~q\,
	datad => \led_flash_cnt[3372][5]~q\,
	combout => \WideAnd3372~1_combout\);

-- Location: LCCOMB_X65_Y18_N22
\led_flash_cnt[3372][7]~74100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3372][7]~74100_combout\ = \led_flash_cnt[3372][7]~q\ $ (!\led_flash_cnt[3372][6]~74099\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3372][7]~q\,
	cin => \led_flash_cnt[3372][6]~74099\,
	combout => \led_flash_cnt[3372][7]~74100_combout\);

-- Location: FF_X65_Y18_N23
\led_flash_cnt[3372][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3372][7]~74100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3372][7]~q\);

-- Location: LCCOMB_X65_Y18_N24
\WideAnd3372~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3372~0_combout\ = (\led_flash_cnt[3372][2]~q\ & (\led_flash_cnt[3372][4]~q\ & (\led_flash_cnt[3372][3]~q\ & \led_flash_cnt[3372][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3372][2]~q\,
	datab => \led_flash_cnt[3372][4]~q\,
	datac => \led_flash_cnt[3372][3]~q\,
	datad => \led_flash_cnt[3372][1]~q\,
	combout => \WideAnd3372~0_combout\);

-- Location: LCCOMB_X65_Y18_N30
WideAnd3372 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3372~combout\ = (\WideAnd3372~1_combout\ & (\led_flash_cnt[3372][0]~q\ & (\led_flash_cnt[3372][7]~q\ & \WideAnd3372~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3372~1_combout\,
	datab => \led_flash_cnt[3372][0]~q\,
	datac => \led_flash_cnt[3372][7]~q\,
	datad => \WideAnd3372~0_combout\,
	combout => \WideAnd3372~combout\);

-- Location: FF_X65_Y18_N31
\led_flash_cnt_ands[3372]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3372~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3372));

-- Location: LCCOMB_X65_Y18_N6
\led_flash_cnt[3373][0]~84013\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3373][0]~84013_combout\ = !\led_flash_cnt[3373][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3373][0]~q\,
	combout => \led_flash_cnt[3373][0]~84013_combout\);

-- Location: FF_X65_Y18_N7
\led_flash_cnt[3373][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3373][0]~84013_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3373][0]~q\);

-- Location: LCCOMB_X66_Y18_N14
\led_flash_cnt[3373][1]~74102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3373][1]~74102_combout\ = (\led_flash_cnt[3373][0]~q\ & (\led_flash_cnt[3373][1]~q\ $ (VCC))) # (!\led_flash_cnt[3373][0]~q\ & (\led_flash_cnt[3373][1]~q\ & VCC))
-- \led_flash_cnt[3373][1]~74103\ = CARRY((\led_flash_cnt[3373][0]~q\ & \led_flash_cnt[3373][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3373][0]~q\,
	datab => \led_flash_cnt[3373][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3373][1]~74102_combout\,
	cout => \led_flash_cnt[3373][1]~74103\);

-- Location: FF_X66_Y18_N15
\led_flash_cnt[3373][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3373][1]~74102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3373][1]~q\);

-- Location: LCCOMB_X66_Y18_N16
\led_flash_cnt[3373][2]~74104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3373][2]~74104_combout\ = (\led_flash_cnt[3373][2]~q\ & (!\led_flash_cnt[3373][1]~74103\)) # (!\led_flash_cnt[3373][2]~q\ & ((\led_flash_cnt[3373][1]~74103\) # (GND)))
-- \led_flash_cnt[3373][2]~74105\ = CARRY((!\led_flash_cnt[3373][1]~74103\) # (!\led_flash_cnt[3373][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3373][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3373][1]~74103\,
	combout => \led_flash_cnt[3373][2]~74104_combout\,
	cout => \led_flash_cnt[3373][2]~74105\);

-- Location: FF_X66_Y18_N17
\led_flash_cnt[3373][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3373][2]~74104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3373][2]~q\);

-- Location: LCCOMB_X66_Y18_N18
\led_flash_cnt[3373][3]~74106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3373][3]~74106_combout\ = (\led_flash_cnt[3373][3]~q\ & (\led_flash_cnt[3373][2]~74105\ $ (GND))) # (!\led_flash_cnt[3373][3]~q\ & (!\led_flash_cnt[3373][2]~74105\ & VCC))
-- \led_flash_cnt[3373][3]~74107\ = CARRY((\led_flash_cnt[3373][3]~q\ & !\led_flash_cnt[3373][2]~74105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3373][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3373][2]~74105\,
	combout => \led_flash_cnt[3373][3]~74106_combout\,
	cout => \led_flash_cnt[3373][3]~74107\);

-- Location: FF_X66_Y18_N19
\led_flash_cnt[3373][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3373][3]~74106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3373][3]~q\);

-- Location: LCCOMB_X66_Y18_N20
\led_flash_cnt[3373][4]~74108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3373][4]~74108_combout\ = (\led_flash_cnt[3373][4]~q\ & (!\led_flash_cnt[3373][3]~74107\)) # (!\led_flash_cnt[3373][4]~q\ & ((\led_flash_cnt[3373][3]~74107\) # (GND)))
-- \led_flash_cnt[3373][4]~74109\ = CARRY((!\led_flash_cnt[3373][3]~74107\) # (!\led_flash_cnt[3373][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3373][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3373][3]~74107\,
	combout => \led_flash_cnt[3373][4]~74108_combout\,
	cout => \led_flash_cnt[3373][4]~74109\);

-- Location: FF_X66_Y18_N21
\led_flash_cnt[3373][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3373][4]~74108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3373][4]~q\);

-- Location: LCCOMB_X66_Y18_N28
\WideAnd3373~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3373~0_combout\ = (\led_flash_cnt[3373][4]~q\ & (\led_flash_cnt[3373][3]~q\ & (\led_flash_cnt[3373][1]~q\ & \led_flash_cnt[3373][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3373][4]~q\,
	datab => \led_flash_cnt[3373][3]~q\,
	datac => \led_flash_cnt[3373][1]~q\,
	datad => \led_flash_cnt[3373][2]~q\,
	combout => \WideAnd3373~0_combout\);

-- Location: LCCOMB_X66_Y18_N22
\led_flash_cnt[3373][5]~74110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3373][5]~74110_combout\ = (\led_flash_cnt[3373][5]~q\ & (\led_flash_cnt[3373][4]~74109\ $ (GND))) # (!\led_flash_cnt[3373][5]~q\ & (!\led_flash_cnt[3373][4]~74109\ & VCC))
-- \led_flash_cnt[3373][5]~74111\ = CARRY((\led_flash_cnt[3373][5]~q\ & !\led_flash_cnt[3373][4]~74109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3373][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3373][4]~74109\,
	combout => \led_flash_cnt[3373][5]~74110_combout\,
	cout => \led_flash_cnt[3373][5]~74111\);

-- Location: FF_X66_Y18_N23
\led_flash_cnt[3373][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3373][5]~74110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3373][5]~q\);

-- Location: LCCOMB_X66_Y18_N24
\led_flash_cnt[3373][6]~74112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3373][6]~74112_combout\ = (\led_flash_cnt[3373][6]~q\ & (!\led_flash_cnt[3373][5]~74111\)) # (!\led_flash_cnt[3373][6]~q\ & ((\led_flash_cnt[3373][5]~74111\) # (GND)))
-- \led_flash_cnt[3373][6]~74113\ = CARRY((!\led_flash_cnt[3373][5]~74111\) # (!\led_flash_cnt[3373][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3373][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3373][5]~74111\,
	combout => \led_flash_cnt[3373][6]~74112_combout\,
	cout => \led_flash_cnt[3373][6]~74113\);

-- Location: FF_X66_Y18_N25
\led_flash_cnt[3373][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3373][6]~74112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3373][6]~q\);

-- Location: LCCOMB_X65_Y18_N8
\WideAnd3373~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3373~1_combout\ = (\led_flash_cnt[3373][6]~q\ & \led_flash_cnt[3373][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3373][6]~q\,
	datad => \led_flash_cnt[3373][5]~q\,
	combout => \WideAnd3373~1_combout\);

-- Location: LCCOMB_X66_Y18_N26
\led_flash_cnt[3373][7]~74114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3373][7]~74114_combout\ = \led_flash_cnt[3373][7]~q\ $ (!\led_flash_cnt[3373][6]~74113\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3373][7]~q\,
	cin => \led_flash_cnt[3373][6]~74113\,
	combout => \led_flash_cnt[3373][7]~74114_combout\);

-- Location: FF_X66_Y18_N27
\led_flash_cnt[3373][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3373][7]~74114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3373][7]~q\);

-- Location: LCCOMB_X65_Y18_N28
WideAnd3373 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3373~combout\ = (\led_flash_cnt[3373][0]~q\ & (\WideAnd3373~0_combout\ & (\WideAnd3373~1_combout\ & \led_flash_cnt[3373][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3373][0]~q\,
	datab => \WideAnd3373~0_combout\,
	datac => \WideAnd3373~1_combout\,
	datad => \led_flash_cnt[3373][7]~q\,
	combout => \WideAnd3373~combout\);

-- Location: FF_X65_Y18_N29
\led_flash_cnt_ands[3373]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3373~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3373));

-- Location: LCCOMB_X65_Y18_N4
\WideAnd4261~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4261~1_combout\ = (led_flash_cnt_ands(3372) & led_flash_cnt_ands(3373))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3372),
	datad => led_flash_cnt_ands(3373),
	combout => \WideAnd4261~1_combout\);

-- Location: LCCOMB_X65_Y14_N28
WideAnd4261 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4261~combout\ = (\WideAnd4261~0_combout\ & (led_flash_cnt_ands(3375) & (led_flash_cnt_ands(3374) & \WideAnd4261~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4261~0_combout\,
	datab => led_flash_cnt_ands(3375),
	datac => led_flash_cnt_ands(3374),
	datad => \WideAnd4261~1_combout\,
	combout => \WideAnd4261~combout\);

-- Location: FF_X65_Y14_N29
\led_flash_cnt_ands_1[421]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4261~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(421));

-- Location: LCCOMB_X64_Y14_N28
\WideAnd4372~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4372~1_combout\ = (led_flash_cnt_ands_1(420) & led_flash_cnt_ands_1(421))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(420),
	datad => led_flash_cnt_ands_1(421),
	combout => \WideAnd4372~1_combout\);

-- Location: LCCOMB_X63_Y14_N4
WideAnd4372 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4372~combout\ = (led_flash_cnt_ands_1(423) & (\WideAnd4372~0_combout\ & (led_flash_cnt_ands_1(422) & \WideAnd4372~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(423),
	datab => \WideAnd4372~0_combout\,
	datac => led_flash_cnt_ands_1(422),
	datad => \WideAnd4372~1_combout\,
	combout => \WideAnd4372~combout\);

-- Location: FF_X63_Y14_N5
\led_flash_cnt_ands_2[52]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4372~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(52));

-- Location: LCCOMB_X67_Y44_N12
\led_flash_cnt[3488][0]~84128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3488][0]~84128_combout\ = !\led_flash_cnt[3488][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3488][0]~q\,
	combout => \led_flash_cnt[3488][0]~84128_combout\);

-- Location: FF_X67_Y44_N13
\led_flash_cnt[3488][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3488][0]~84128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3488][0]~q\);

-- Location: LCCOMB_X67_Y44_N16
\led_flash_cnt[3488][1]~75712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3488][1]~75712_combout\ = (\led_flash_cnt[3488][0]~q\ & (\led_flash_cnt[3488][1]~q\ $ (VCC))) # (!\led_flash_cnt[3488][0]~q\ & (\led_flash_cnt[3488][1]~q\ & VCC))
-- \led_flash_cnt[3488][1]~75713\ = CARRY((\led_flash_cnt[3488][0]~q\ & \led_flash_cnt[3488][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3488][0]~q\,
	datab => \led_flash_cnt[3488][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3488][1]~75712_combout\,
	cout => \led_flash_cnt[3488][1]~75713\);

-- Location: FF_X67_Y44_N17
\led_flash_cnt[3488][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3488][1]~75712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3488][1]~q\);

-- Location: LCCOMB_X67_Y44_N18
\led_flash_cnt[3488][2]~75714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3488][2]~75714_combout\ = (\led_flash_cnt[3488][2]~q\ & (!\led_flash_cnt[3488][1]~75713\)) # (!\led_flash_cnt[3488][2]~q\ & ((\led_flash_cnt[3488][1]~75713\) # (GND)))
-- \led_flash_cnt[3488][2]~75715\ = CARRY((!\led_flash_cnt[3488][1]~75713\) # (!\led_flash_cnt[3488][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3488][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3488][1]~75713\,
	combout => \led_flash_cnt[3488][2]~75714_combout\,
	cout => \led_flash_cnt[3488][2]~75715\);

-- Location: FF_X67_Y44_N19
\led_flash_cnt[3488][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3488][2]~75714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3488][2]~q\);

-- Location: LCCOMB_X67_Y44_N20
\led_flash_cnt[3488][3]~75716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3488][3]~75716_combout\ = (\led_flash_cnt[3488][3]~q\ & (\led_flash_cnt[3488][2]~75715\ $ (GND))) # (!\led_flash_cnt[3488][3]~q\ & (!\led_flash_cnt[3488][2]~75715\ & VCC))
-- \led_flash_cnt[3488][3]~75717\ = CARRY((\led_flash_cnt[3488][3]~q\ & !\led_flash_cnt[3488][2]~75715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3488][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3488][2]~75715\,
	combout => \led_flash_cnt[3488][3]~75716_combout\,
	cout => \led_flash_cnt[3488][3]~75717\);

-- Location: FF_X67_Y44_N21
\led_flash_cnt[3488][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3488][3]~75716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3488][3]~q\);

-- Location: LCCOMB_X67_Y44_N22
\led_flash_cnt[3488][4]~75718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3488][4]~75718_combout\ = (\led_flash_cnt[3488][4]~q\ & (!\led_flash_cnt[3488][3]~75717\)) # (!\led_flash_cnt[3488][4]~q\ & ((\led_flash_cnt[3488][3]~75717\) # (GND)))
-- \led_flash_cnt[3488][4]~75719\ = CARRY((!\led_flash_cnt[3488][3]~75717\) # (!\led_flash_cnt[3488][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3488][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3488][3]~75717\,
	combout => \led_flash_cnt[3488][4]~75718_combout\,
	cout => \led_flash_cnt[3488][4]~75719\);

-- Location: FF_X67_Y44_N23
\led_flash_cnt[3488][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3488][4]~75718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3488][4]~q\);

-- Location: LCCOMB_X67_Y44_N24
\led_flash_cnt[3488][5]~75720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3488][5]~75720_combout\ = (\led_flash_cnt[3488][5]~q\ & (\led_flash_cnt[3488][4]~75719\ $ (GND))) # (!\led_flash_cnt[3488][5]~q\ & (!\led_flash_cnt[3488][4]~75719\ & VCC))
-- \led_flash_cnt[3488][5]~75721\ = CARRY((\led_flash_cnt[3488][5]~q\ & !\led_flash_cnt[3488][4]~75719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3488][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3488][4]~75719\,
	combout => \led_flash_cnt[3488][5]~75720_combout\,
	cout => \led_flash_cnt[3488][5]~75721\);

-- Location: FF_X67_Y44_N25
\led_flash_cnt[3488][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3488][5]~75720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3488][5]~q\);

-- Location: LCCOMB_X67_Y44_N26
\led_flash_cnt[3488][6]~75722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3488][6]~75722_combout\ = (\led_flash_cnt[3488][6]~q\ & (!\led_flash_cnt[3488][5]~75721\)) # (!\led_flash_cnt[3488][6]~q\ & ((\led_flash_cnt[3488][5]~75721\) # (GND)))
-- \led_flash_cnt[3488][6]~75723\ = CARRY((!\led_flash_cnt[3488][5]~75721\) # (!\led_flash_cnt[3488][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3488][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3488][5]~75721\,
	combout => \led_flash_cnt[3488][6]~75722_combout\,
	cout => \led_flash_cnt[3488][6]~75723\);

-- Location: FF_X67_Y44_N27
\led_flash_cnt[3488][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3488][6]~75722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3488][6]~q\);

-- Location: LCCOMB_X67_Y44_N28
\led_flash_cnt[3488][7]~75724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3488][7]~75724_combout\ = \led_flash_cnt[3488][6]~75723\ $ (!\led_flash_cnt[3488][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3488][7]~q\,
	cin => \led_flash_cnt[3488][6]~75723\,
	combout => \led_flash_cnt[3488][7]~75724_combout\);

-- Location: FF_X67_Y44_N29
\led_flash_cnt[3488][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3488][7]~75724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3488][7]~q\);

-- Location: LCCOMB_X67_Y44_N30
\WideAnd3488~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3488~0_combout\ = (\led_flash_cnt[3488][3]~q\ & (\led_flash_cnt[3488][2]~q\ & (\led_flash_cnt[3488][4]~q\ & \led_flash_cnt[3488][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3488][3]~q\,
	datab => \led_flash_cnt[3488][2]~q\,
	datac => \led_flash_cnt[3488][4]~q\,
	datad => \led_flash_cnt[3488][1]~q\,
	combout => \WideAnd3488~0_combout\);

-- Location: LCCOMB_X67_Y44_N0
\WideAnd3488~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3488~1_combout\ = (\led_flash_cnt[3488][6]~q\ & \led_flash_cnt[3488][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3488][6]~q\,
	datad => \led_flash_cnt[3488][5]~q\,
	combout => \WideAnd3488~1_combout\);

-- Location: LCCOMB_X67_Y44_N8
WideAnd3488 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3488~combout\ = (\led_flash_cnt[3488][0]~q\ & (\led_flash_cnt[3488][7]~q\ & (\WideAnd3488~0_combout\ & \WideAnd3488~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3488][0]~q\,
	datab => \led_flash_cnt[3488][7]~q\,
	datac => \WideAnd3488~0_combout\,
	datad => \WideAnd3488~1_combout\,
	combout => \WideAnd3488~combout\);

-- Location: FF_X67_Y44_N9
\led_flash_cnt_ands[3488]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3488~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3488));

-- Location: LCCOMB_X60_Y51_N24
\led_flash_cnt[3491][0]~84131\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3491][0]~84131_combout\ = !\led_flash_cnt[3491][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3491][0]~q\,
	combout => \led_flash_cnt[3491][0]~84131_combout\);

-- Location: FF_X60_Y51_N25
\led_flash_cnt[3491][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3491][0]~84131_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3491][0]~q\);

-- Location: LCCOMB_X60_Y51_N6
\led_flash_cnt[3491][1]~75754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3491][1]~75754_combout\ = (\led_flash_cnt[3491][1]~q\ & (\led_flash_cnt[3491][0]~q\ $ (VCC))) # (!\led_flash_cnt[3491][1]~q\ & (\led_flash_cnt[3491][0]~q\ & VCC))
-- \led_flash_cnt[3491][1]~75755\ = CARRY((\led_flash_cnt[3491][1]~q\ & \led_flash_cnt[3491][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3491][1]~q\,
	datab => \led_flash_cnt[3491][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3491][1]~75754_combout\,
	cout => \led_flash_cnt[3491][1]~75755\);

-- Location: FF_X60_Y51_N7
\led_flash_cnt[3491][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3491][1]~75754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3491][1]~q\);

-- Location: LCCOMB_X60_Y51_N8
\led_flash_cnt[3491][2]~75756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3491][2]~75756_combout\ = (\led_flash_cnt[3491][2]~q\ & (!\led_flash_cnt[3491][1]~75755\)) # (!\led_flash_cnt[3491][2]~q\ & ((\led_flash_cnt[3491][1]~75755\) # (GND)))
-- \led_flash_cnt[3491][2]~75757\ = CARRY((!\led_flash_cnt[3491][1]~75755\) # (!\led_flash_cnt[3491][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3491][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3491][1]~75755\,
	combout => \led_flash_cnt[3491][2]~75756_combout\,
	cout => \led_flash_cnt[3491][2]~75757\);

-- Location: FF_X60_Y51_N9
\led_flash_cnt[3491][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3491][2]~75756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3491][2]~q\);

-- Location: LCCOMB_X60_Y51_N10
\led_flash_cnt[3491][3]~75758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3491][3]~75758_combout\ = (\led_flash_cnt[3491][3]~q\ & (\led_flash_cnt[3491][2]~75757\ $ (GND))) # (!\led_flash_cnt[3491][3]~q\ & (!\led_flash_cnt[3491][2]~75757\ & VCC))
-- \led_flash_cnt[3491][3]~75759\ = CARRY((\led_flash_cnt[3491][3]~q\ & !\led_flash_cnt[3491][2]~75757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3491][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3491][2]~75757\,
	combout => \led_flash_cnt[3491][3]~75758_combout\,
	cout => \led_flash_cnt[3491][3]~75759\);

-- Location: FF_X60_Y51_N11
\led_flash_cnt[3491][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3491][3]~75758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3491][3]~q\);

-- Location: LCCOMB_X60_Y51_N12
\led_flash_cnt[3491][4]~75760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3491][4]~75760_combout\ = (\led_flash_cnt[3491][4]~q\ & (!\led_flash_cnt[3491][3]~75759\)) # (!\led_flash_cnt[3491][4]~q\ & ((\led_flash_cnt[3491][3]~75759\) # (GND)))
-- \led_flash_cnt[3491][4]~75761\ = CARRY((!\led_flash_cnt[3491][3]~75759\) # (!\led_flash_cnt[3491][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3491][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3491][3]~75759\,
	combout => \led_flash_cnt[3491][4]~75760_combout\,
	cout => \led_flash_cnt[3491][4]~75761\);

-- Location: FF_X60_Y51_N13
\led_flash_cnt[3491][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3491][4]~75760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3491][4]~q\);

-- Location: LCCOMB_X60_Y51_N26
\WideAnd3491~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3491~0_combout\ = (\led_flash_cnt[3491][3]~q\ & (\led_flash_cnt[3491][4]~q\ & (\led_flash_cnt[3491][2]~q\ & \led_flash_cnt[3491][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3491][3]~q\,
	datab => \led_flash_cnt[3491][4]~q\,
	datac => \led_flash_cnt[3491][2]~q\,
	datad => \led_flash_cnt[3491][1]~q\,
	combout => \WideAnd3491~0_combout\);

-- Location: LCCOMB_X60_Y51_N14
\led_flash_cnt[3491][5]~75762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3491][5]~75762_combout\ = (\led_flash_cnt[3491][5]~q\ & (\led_flash_cnt[3491][4]~75761\ $ (GND))) # (!\led_flash_cnt[3491][5]~q\ & (!\led_flash_cnt[3491][4]~75761\ & VCC))
-- \led_flash_cnt[3491][5]~75763\ = CARRY((\led_flash_cnt[3491][5]~q\ & !\led_flash_cnt[3491][4]~75761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3491][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3491][4]~75761\,
	combout => \led_flash_cnt[3491][5]~75762_combout\,
	cout => \led_flash_cnt[3491][5]~75763\);

-- Location: FF_X60_Y51_N15
\led_flash_cnt[3491][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3491][5]~75762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3491][5]~q\);

-- Location: LCCOMB_X60_Y51_N16
\led_flash_cnt[3491][6]~75764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3491][6]~75764_combout\ = (\led_flash_cnt[3491][6]~q\ & (!\led_flash_cnt[3491][5]~75763\)) # (!\led_flash_cnt[3491][6]~q\ & ((\led_flash_cnt[3491][5]~75763\) # (GND)))
-- \led_flash_cnt[3491][6]~75765\ = CARRY((!\led_flash_cnt[3491][5]~75763\) # (!\led_flash_cnt[3491][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3491][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3491][5]~75763\,
	combout => \led_flash_cnt[3491][6]~75764_combout\,
	cout => \led_flash_cnt[3491][6]~75765\);

-- Location: FF_X60_Y51_N17
\led_flash_cnt[3491][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3491][6]~75764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3491][6]~q\);

-- Location: LCCOMB_X60_Y51_N18
\led_flash_cnt[3491][7]~75766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3491][7]~75766_combout\ = \led_flash_cnt[3491][6]~75765\ $ (!\led_flash_cnt[3491][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3491][7]~q\,
	cin => \led_flash_cnt[3491][6]~75765\,
	combout => \led_flash_cnt[3491][7]~75766_combout\);

-- Location: FF_X60_Y51_N19
\led_flash_cnt[3491][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3491][7]~75766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3491][7]~q\);

-- Location: LCCOMB_X60_Y51_N22
\WideAnd3491~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3491~1_combout\ = (\led_flash_cnt[3491][5]~q\ & \led_flash_cnt[3491][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3491][5]~q\,
	datad => \led_flash_cnt[3491][6]~q\,
	combout => \WideAnd3491~1_combout\);

-- Location: LCCOMB_X60_Y51_N4
WideAnd3491 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3491~combout\ = (\WideAnd3491~0_combout\ & (\led_flash_cnt[3491][7]~q\ & (\WideAnd3491~1_combout\ & \led_flash_cnt[3491][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3491~0_combout\,
	datab => \led_flash_cnt[3491][7]~q\,
	datac => \WideAnd3491~1_combout\,
	datad => \led_flash_cnt[3491][0]~q\,
	combout => \WideAnd3491~combout\);

-- Location: FF_X60_Y51_N5
\led_flash_cnt_ands[3491]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3491~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3491));

-- Location: LCCOMB_X65_Y47_N26
\led_flash_cnt[3490][0]~84130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3490][0]~84130_combout\ = !\led_flash_cnt[3490][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3490][0]~q\,
	combout => \led_flash_cnt[3490][0]~84130_combout\);

-- Location: FF_X65_Y47_N27
\led_flash_cnt[3490][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3490][0]~84130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3490][0]~q\);

-- Location: LCCOMB_X65_Y47_N8
\led_flash_cnt[3490][1]~75740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3490][1]~75740_combout\ = (\led_flash_cnt[3490][0]~q\ & (\led_flash_cnt[3490][1]~q\ $ (VCC))) # (!\led_flash_cnt[3490][0]~q\ & (\led_flash_cnt[3490][1]~q\ & VCC))
-- \led_flash_cnt[3490][1]~75741\ = CARRY((\led_flash_cnt[3490][0]~q\ & \led_flash_cnt[3490][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3490][0]~q\,
	datab => \led_flash_cnt[3490][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3490][1]~75740_combout\,
	cout => \led_flash_cnt[3490][1]~75741\);

-- Location: FF_X65_Y47_N9
\led_flash_cnt[3490][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3490][1]~75740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3490][1]~q\);

-- Location: LCCOMB_X65_Y47_N10
\led_flash_cnt[3490][2]~75742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3490][2]~75742_combout\ = (\led_flash_cnt[3490][2]~q\ & (!\led_flash_cnt[3490][1]~75741\)) # (!\led_flash_cnt[3490][2]~q\ & ((\led_flash_cnt[3490][1]~75741\) # (GND)))
-- \led_flash_cnt[3490][2]~75743\ = CARRY((!\led_flash_cnt[3490][1]~75741\) # (!\led_flash_cnt[3490][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3490][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3490][1]~75741\,
	combout => \led_flash_cnt[3490][2]~75742_combout\,
	cout => \led_flash_cnt[3490][2]~75743\);

-- Location: FF_X65_Y47_N11
\led_flash_cnt[3490][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3490][2]~75742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3490][2]~q\);

-- Location: LCCOMB_X65_Y47_N12
\led_flash_cnt[3490][3]~75744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3490][3]~75744_combout\ = (\led_flash_cnt[3490][3]~q\ & (\led_flash_cnt[3490][2]~75743\ $ (GND))) # (!\led_flash_cnt[3490][3]~q\ & (!\led_flash_cnt[3490][2]~75743\ & VCC))
-- \led_flash_cnt[3490][3]~75745\ = CARRY((\led_flash_cnt[3490][3]~q\ & !\led_flash_cnt[3490][2]~75743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3490][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3490][2]~75743\,
	combout => \led_flash_cnt[3490][3]~75744_combout\,
	cout => \led_flash_cnt[3490][3]~75745\);

-- Location: FF_X65_Y47_N13
\led_flash_cnt[3490][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3490][3]~75744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3490][3]~q\);

-- Location: LCCOMB_X65_Y47_N14
\led_flash_cnt[3490][4]~75746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3490][4]~75746_combout\ = (\led_flash_cnt[3490][4]~q\ & (!\led_flash_cnt[3490][3]~75745\)) # (!\led_flash_cnt[3490][4]~q\ & ((\led_flash_cnt[3490][3]~75745\) # (GND)))
-- \led_flash_cnt[3490][4]~75747\ = CARRY((!\led_flash_cnt[3490][3]~75745\) # (!\led_flash_cnt[3490][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3490][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3490][3]~75745\,
	combout => \led_flash_cnt[3490][4]~75746_combout\,
	cout => \led_flash_cnt[3490][4]~75747\);

-- Location: FF_X65_Y47_N15
\led_flash_cnt[3490][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3490][4]~75746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3490][4]~q\);

-- Location: LCCOMB_X65_Y47_N16
\led_flash_cnt[3490][5]~75748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3490][5]~75748_combout\ = (\led_flash_cnt[3490][5]~q\ & (\led_flash_cnt[3490][4]~75747\ $ (GND))) # (!\led_flash_cnt[3490][5]~q\ & (!\led_flash_cnt[3490][4]~75747\ & VCC))
-- \led_flash_cnt[3490][5]~75749\ = CARRY((\led_flash_cnt[3490][5]~q\ & !\led_flash_cnt[3490][4]~75747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3490][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3490][4]~75747\,
	combout => \led_flash_cnt[3490][5]~75748_combout\,
	cout => \led_flash_cnt[3490][5]~75749\);

-- Location: FF_X65_Y47_N17
\led_flash_cnt[3490][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3490][5]~75748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3490][5]~q\);

-- Location: LCCOMB_X65_Y47_N18
\led_flash_cnt[3490][6]~75750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3490][6]~75750_combout\ = (\led_flash_cnt[3490][6]~q\ & (!\led_flash_cnt[3490][5]~75749\)) # (!\led_flash_cnt[3490][6]~q\ & ((\led_flash_cnt[3490][5]~75749\) # (GND)))
-- \led_flash_cnt[3490][6]~75751\ = CARRY((!\led_flash_cnt[3490][5]~75749\) # (!\led_flash_cnt[3490][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3490][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3490][5]~75749\,
	combout => \led_flash_cnt[3490][6]~75750_combout\,
	cout => \led_flash_cnt[3490][6]~75751\);

-- Location: FF_X65_Y47_N19
\led_flash_cnt[3490][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3490][6]~75750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3490][6]~q\);

-- Location: LCCOMB_X65_Y47_N20
\led_flash_cnt[3490][7]~75752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3490][7]~75752_combout\ = \led_flash_cnt[3490][6]~75751\ $ (!\led_flash_cnt[3490][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3490][7]~q\,
	cin => \led_flash_cnt[3490][6]~75751\,
	combout => \led_flash_cnt[3490][7]~75752_combout\);

-- Location: FF_X65_Y47_N21
\led_flash_cnt[3490][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3490][7]~75752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3490][7]~q\);

-- Location: LCCOMB_X65_Y47_N22
\WideAnd3490~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3490~1_combout\ = (\led_flash_cnt[3490][6]~q\ & \led_flash_cnt[3490][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3490][6]~q\,
	datad => \led_flash_cnt[3490][5]~q\,
	combout => \WideAnd3490~1_combout\);

-- Location: LCCOMB_X65_Y47_N24
\WideAnd3490~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3490~0_combout\ = (\led_flash_cnt[3490][2]~q\ & (\led_flash_cnt[3490][4]~q\ & (\led_flash_cnt[3490][1]~q\ & \led_flash_cnt[3490][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3490][2]~q\,
	datab => \led_flash_cnt[3490][4]~q\,
	datac => \led_flash_cnt[3490][1]~q\,
	datad => \led_flash_cnt[3490][3]~q\,
	combout => \WideAnd3490~0_combout\);

-- Location: LCCOMB_X65_Y47_N4
WideAnd3490 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3490~combout\ = (\led_flash_cnt[3490][0]~q\ & (\led_flash_cnt[3490][7]~q\ & (\WideAnd3490~1_combout\ & \WideAnd3490~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3490][0]~q\,
	datab => \led_flash_cnt[3490][7]~q\,
	datac => \WideAnd3490~1_combout\,
	datad => \WideAnd3490~0_combout\,
	combout => \WideAnd3490~combout\);

-- Location: FF_X65_Y47_N5
\led_flash_cnt_ands[3490]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3490~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3490));

-- Location: LCCOMB_X61_Y44_N12
\led_flash_cnt[3489][0]~84129\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3489][0]~84129_combout\ = !\led_flash_cnt[3489][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3489][0]~q\,
	combout => \led_flash_cnt[3489][0]~84129_combout\);

-- Location: FF_X61_Y44_N13
\led_flash_cnt[3489][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3489][0]~84129_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3489][0]~q\);

-- Location: LCCOMB_X61_Y44_N18
\led_flash_cnt[3489][1]~75726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3489][1]~75726_combout\ = (\led_flash_cnt[3489][0]~q\ & (\led_flash_cnt[3489][1]~q\ $ (VCC))) # (!\led_flash_cnt[3489][0]~q\ & (\led_flash_cnt[3489][1]~q\ & VCC))
-- \led_flash_cnt[3489][1]~75727\ = CARRY((\led_flash_cnt[3489][0]~q\ & \led_flash_cnt[3489][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3489][0]~q\,
	datab => \led_flash_cnt[3489][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3489][1]~75726_combout\,
	cout => \led_flash_cnt[3489][1]~75727\);

-- Location: FF_X61_Y44_N19
\led_flash_cnt[3489][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3489][1]~75726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3489][1]~q\);

-- Location: LCCOMB_X61_Y44_N20
\led_flash_cnt[3489][2]~75728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3489][2]~75728_combout\ = (\led_flash_cnt[3489][2]~q\ & (!\led_flash_cnt[3489][1]~75727\)) # (!\led_flash_cnt[3489][2]~q\ & ((\led_flash_cnt[3489][1]~75727\) # (GND)))
-- \led_flash_cnt[3489][2]~75729\ = CARRY((!\led_flash_cnt[3489][1]~75727\) # (!\led_flash_cnt[3489][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3489][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3489][1]~75727\,
	combout => \led_flash_cnt[3489][2]~75728_combout\,
	cout => \led_flash_cnt[3489][2]~75729\);

-- Location: FF_X61_Y44_N21
\led_flash_cnt[3489][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3489][2]~75728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3489][2]~q\);

-- Location: LCCOMB_X61_Y44_N22
\led_flash_cnt[3489][3]~75730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3489][3]~75730_combout\ = (\led_flash_cnt[3489][3]~q\ & (\led_flash_cnt[3489][2]~75729\ $ (GND))) # (!\led_flash_cnt[3489][3]~q\ & (!\led_flash_cnt[3489][2]~75729\ & VCC))
-- \led_flash_cnt[3489][3]~75731\ = CARRY((\led_flash_cnt[3489][3]~q\ & !\led_flash_cnt[3489][2]~75729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3489][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3489][2]~75729\,
	combout => \led_flash_cnt[3489][3]~75730_combout\,
	cout => \led_flash_cnt[3489][3]~75731\);

-- Location: FF_X61_Y44_N23
\led_flash_cnt[3489][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3489][3]~75730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3489][3]~q\);

-- Location: LCCOMB_X61_Y44_N24
\led_flash_cnt[3489][4]~75732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3489][4]~75732_combout\ = (\led_flash_cnt[3489][4]~q\ & (!\led_flash_cnt[3489][3]~75731\)) # (!\led_flash_cnt[3489][4]~q\ & ((\led_flash_cnt[3489][3]~75731\) # (GND)))
-- \led_flash_cnt[3489][4]~75733\ = CARRY((!\led_flash_cnt[3489][3]~75731\) # (!\led_flash_cnt[3489][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3489][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3489][3]~75731\,
	combout => \led_flash_cnt[3489][4]~75732_combout\,
	cout => \led_flash_cnt[3489][4]~75733\);

-- Location: FF_X61_Y44_N25
\led_flash_cnt[3489][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3489][4]~75732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3489][4]~q\);

-- Location: LCCOMB_X61_Y44_N26
\led_flash_cnt[3489][5]~75734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3489][5]~75734_combout\ = (\led_flash_cnt[3489][5]~q\ & (\led_flash_cnt[3489][4]~75733\ $ (GND))) # (!\led_flash_cnt[3489][5]~q\ & (!\led_flash_cnt[3489][4]~75733\ & VCC))
-- \led_flash_cnt[3489][5]~75735\ = CARRY((\led_flash_cnt[3489][5]~q\ & !\led_flash_cnt[3489][4]~75733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3489][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3489][4]~75733\,
	combout => \led_flash_cnt[3489][5]~75734_combout\,
	cout => \led_flash_cnt[3489][5]~75735\);

-- Location: FF_X61_Y44_N27
\led_flash_cnt[3489][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3489][5]~75734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3489][5]~q\);

-- Location: LCCOMB_X61_Y44_N28
\led_flash_cnt[3489][6]~75736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3489][6]~75736_combout\ = (\led_flash_cnt[3489][6]~q\ & (!\led_flash_cnt[3489][5]~75735\)) # (!\led_flash_cnt[3489][6]~q\ & ((\led_flash_cnt[3489][5]~75735\) # (GND)))
-- \led_flash_cnt[3489][6]~75737\ = CARRY((!\led_flash_cnt[3489][5]~75735\) # (!\led_flash_cnt[3489][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3489][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3489][5]~75735\,
	combout => \led_flash_cnt[3489][6]~75736_combout\,
	cout => \led_flash_cnt[3489][6]~75737\);

-- Location: FF_X61_Y44_N29
\led_flash_cnt[3489][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3489][6]~75736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3489][6]~q\);

-- Location: LCCOMB_X61_Y44_N10
\WideAnd3489~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3489~1_combout\ = (\led_flash_cnt[3489][5]~q\ & \led_flash_cnt[3489][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3489][5]~q\,
	datad => \led_flash_cnt[3489][6]~q\,
	combout => \WideAnd3489~1_combout\);

-- Location: LCCOMB_X61_Y44_N8
\WideAnd3489~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3489~0_combout\ = (\led_flash_cnt[3489][4]~q\ & (\led_flash_cnt[3489][2]~q\ & (\led_flash_cnt[3489][3]~q\ & \led_flash_cnt[3489][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3489][4]~q\,
	datab => \led_flash_cnt[3489][2]~q\,
	datac => \led_flash_cnt[3489][3]~q\,
	datad => \led_flash_cnt[3489][1]~q\,
	combout => \WideAnd3489~0_combout\);

-- Location: LCCOMB_X61_Y44_N30
\led_flash_cnt[3489][7]~75738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3489][7]~75738_combout\ = \led_flash_cnt[3489][7]~q\ $ (!\led_flash_cnt[3489][6]~75737\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3489][7]~q\,
	cin => \led_flash_cnt[3489][6]~75737\,
	combout => \led_flash_cnt[3489][7]~75738_combout\);

-- Location: FF_X61_Y44_N31
\led_flash_cnt[3489][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3489][7]~75738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3489][7]~q\);

-- Location: LCCOMB_X61_Y44_N16
WideAnd3489 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3489~combout\ = (\WideAnd3489~1_combout\ & (\WideAnd3489~0_combout\ & (\led_flash_cnt[3489][7]~q\ & \led_flash_cnt[3489][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3489~1_combout\,
	datab => \WideAnd3489~0_combout\,
	datac => \led_flash_cnt[3489][7]~q\,
	datad => \led_flash_cnt[3489][0]~q\,
	combout => \WideAnd3489~combout\);

-- Location: FF_X61_Y44_N17
\led_flash_cnt_ands[3489]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3489~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3489));

-- Location: LCCOMB_X61_Y44_N4
\WideAnd4276~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4276~0_combout\ = (led_flash_cnt_ands(3488) & (led_flash_cnt_ands(3491) & (led_flash_cnt_ands(3490) & led_flash_cnt_ands(3489))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3488),
	datab => led_flash_cnt_ands(3491),
	datac => led_flash_cnt_ands(3490),
	datad => led_flash_cnt_ands(3489),
	combout => \WideAnd4276~0_combout\);

-- Location: LCCOMB_X64_Y39_N6
\led_flash_cnt[3493][0]~84133\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3493][0]~84133_combout\ = !\led_flash_cnt[3493][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3493][0]~q\,
	combout => \led_flash_cnt[3493][0]~84133_combout\);

-- Location: FF_X64_Y39_N7
\led_flash_cnt[3493][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3493][0]~84133_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3493][0]~q\);

-- Location: LCCOMB_X65_Y39_N18
\led_flash_cnt[3493][1]~75782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3493][1]~75782_combout\ = (\led_flash_cnt[3493][0]~q\ & (\led_flash_cnt[3493][1]~q\ $ (VCC))) # (!\led_flash_cnt[3493][0]~q\ & (\led_flash_cnt[3493][1]~q\ & VCC))
-- \led_flash_cnt[3493][1]~75783\ = CARRY((\led_flash_cnt[3493][0]~q\ & \led_flash_cnt[3493][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3493][0]~q\,
	datab => \led_flash_cnt[3493][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3493][1]~75782_combout\,
	cout => \led_flash_cnt[3493][1]~75783\);

-- Location: FF_X65_Y39_N19
\led_flash_cnt[3493][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3493][1]~75782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3493][1]~q\);

-- Location: LCCOMB_X65_Y39_N20
\led_flash_cnt[3493][2]~75784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3493][2]~75784_combout\ = (\led_flash_cnt[3493][2]~q\ & (!\led_flash_cnt[3493][1]~75783\)) # (!\led_flash_cnt[3493][2]~q\ & ((\led_flash_cnt[3493][1]~75783\) # (GND)))
-- \led_flash_cnt[3493][2]~75785\ = CARRY((!\led_flash_cnt[3493][1]~75783\) # (!\led_flash_cnt[3493][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3493][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3493][1]~75783\,
	combout => \led_flash_cnt[3493][2]~75784_combout\,
	cout => \led_flash_cnt[3493][2]~75785\);

-- Location: FF_X65_Y39_N21
\led_flash_cnt[3493][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3493][2]~75784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3493][2]~q\);

-- Location: LCCOMB_X65_Y39_N22
\led_flash_cnt[3493][3]~75786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3493][3]~75786_combout\ = (\led_flash_cnt[3493][3]~q\ & (\led_flash_cnt[3493][2]~75785\ $ (GND))) # (!\led_flash_cnt[3493][3]~q\ & (!\led_flash_cnt[3493][2]~75785\ & VCC))
-- \led_flash_cnt[3493][3]~75787\ = CARRY((\led_flash_cnt[3493][3]~q\ & !\led_flash_cnt[3493][2]~75785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3493][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3493][2]~75785\,
	combout => \led_flash_cnt[3493][3]~75786_combout\,
	cout => \led_flash_cnt[3493][3]~75787\);

-- Location: FF_X65_Y39_N23
\led_flash_cnt[3493][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3493][3]~75786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3493][3]~q\);

-- Location: LCCOMB_X65_Y39_N24
\led_flash_cnt[3493][4]~75788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3493][4]~75788_combout\ = (\led_flash_cnt[3493][4]~q\ & (!\led_flash_cnt[3493][3]~75787\)) # (!\led_flash_cnt[3493][4]~q\ & ((\led_flash_cnt[3493][3]~75787\) # (GND)))
-- \led_flash_cnt[3493][4]~75789\ = CARRY((!\led_flash_cnt[3493][3]~75787\) # (!\led_flash_cnt[3493][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3493][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3493][3]~75787\,
	combout => \led_flash_cnt[3493][4]~75788_combout\,
	cout => \led_flash_cnt[3493][4]~75789\);

-- Location: FF_X65_Y39_N25
\led_flash_cnt[3493][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3493][4]~75788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3493][4]~q\);

-- Location: LCCOMB_X65_Y39_N2
\WideAnd3493~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3493~0_combout\ = (\led_flash_cnt[3493][4]~q\ & (\led_flash_cnt[3493][2]~q\ & (\led_flash_cnt[3493][3]~q\ & \led_flash_cnt[3493][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3493][4]~q\,
	datab => \led_flash_cnt[3493][2]~q\,
	datac => \led_flash_cnt[3493][3]~q\,
	datad => \led_flash_cnt[3493][1]~q\,
	combout => \WideAnd3493~0_combout\);

-- Location: LCCOMB_X65_Y39_N26
\led_flash_cnt[3493][5]~75790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3493][5]~75790_combout\ = (\led_flash_cnt[3493][5]~q\ & (\led_flash_cnt[3493][4]~75789\ $ (GND))) # (!\led_flash_cnt[3493][5]~q\ & (!\led_flash_cnt[3493][4]~75789\ & VCC))
-- \led_flash_cnt[3493][5]~75791\ = CARRY((\led_flash_cnt[3493][5]~q\ & !\led_flash_cnt[3493][4]~75789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3493][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3493][4]~75789\,
	combout => \led_flash_cnt[3493][5]~75790_combout\,
	cout => \led_flash_cnt[3493][5]~75791\);

-- Location: FF_X65_Y39_N27
\led_flash_cnt[3493][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3493][5]~75790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3493][5]~q\);

-- Location: LCCOMB_X65_Y39_N28
\led_flash_cnt[3493][6]~75792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3493][6]~75792_combout\ = (\led_flash_cnt[3493][6]~q\ & (!\led_flash_cnt[3493][5]~75791\)) # (!\led_flash_cnt[3493][6]~q\ & ((\led_flash_cnt[3493][5]~75791\) # (GND)))
-- \led_flash_cnt[3493][6]~75793\ = CARRY((!\led_flash_cnt[3493][5]~75791\) # (!\led_flash_cnt[3493][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3493][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3493][5]~75791\,
	combout => \led_flash_cnt[3493][6]~75792_combout\,
	cout => \led_flash_cnt[3493][6]~75793\);

-- Location: FF_X65_Y39_N29
\led_flash_cnt[3493][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3493][6]~75792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3493][6]~q\);

-- Location: LCCOMB_X65_Y39_N30
\led_flash_cnt[3493][7]~75794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3493][7]~75794_combout\ = \led_flash_cnt[3493][7]~q\ $ (!\led_flash_cnt[3493][6]~75793\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3493][7]~q\,
	cin => \led_flash_cnt[3493][6]~75793\,
	combout => \led_flash_cnt[3493][7]~75794_combout\);

-- Location: FF_X65_Y39_N31
\led_flash_cnt[3493][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3493][7]~75794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3493][7]~q\);

-- Location: LCCOMB_X64_Y39_N8
\WideAnd3493~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3493~1_combout\ = (\led_flash_cnt[3493][7]~q\ & \led_flash_cnt[3493][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3493][7]~q\,
	datad => \led_flash_cnt[3493][0]~q\,
	combout => \WideAnd3493~1_combout\);

-- Location: LCCOMB_X64_Y39_N30
WideAnd3493 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3493~combout\ = (\WideAnd3493~0_combout\ & (\led_flash_cnt[3493][6]~q\ & (\WideAnd3493~1_combout\ & \led_flash_cnt[3493][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3493~0_combout\,
	datab => \led_flash_cnt[3493][6]~q\,
	datac => \WideAnd3493~1_combout\,
	datad => \led_flash_cnt[3493][5]~q\,
	combout => \WideAnd3493~combout\);

-- Location: FF_X64_Y39_N31
\led_flash_cnt_ands[3493]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3493~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3493));

-- Location: LCCOMB_X64_Y39_N4
\led_flash_cnt[3492][0]~84132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3492][0]~84132_combout\ = !\led_flash_cnt[3492][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3492][0]~q\,
	combout => \led_flash_cnt[3492][0]~84132_combout\);

-- Location: FF_X64_Y39_N5
\led_flash_cnt[3492][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3492][0]~84132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3492][0]~q\);

-- Location: LCCOMB_X64_Y39_N10
\led_flash_cnt[3492][1]~75768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3492][1]~75768_combout\ = (\led_flash_cnt[3492][1]~q\ & (\led_flash_cnt[3492][0]~q\ $ (VCC))) # (!\led_flash_cnt[3492][1]~q\ & (\led_flash_cnt[3492][0]~q\ & VCC))
-- \led_flash_cnt[3492][1]~75769\ = CARRY((\led_flash_cnt[3492][1]~q\ & \led_flash_cnt[3492][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3492][1]~q\,
	datab => \led_flash_cnt[3492][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3492][1]~75768_combout\,
	cout => \led_flash_cnt[3492][1]~75769\);

-- Location: FF_X64_Y39_N11
\led_flash_cnt[3492][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3492][1]~75768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3492][1]~q\);

-- Location: LCCOMB_X64_Y39_N12
\led_flash_cnt[3492][2]~75770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3492][2]~75770_combout\ = (\led_flash_cnt[3492][2]~q\ & (!\led_flash_cnt[3492][1]~75769\)) # (!\led_flash_cnt[3492][2]~q\ & ((\led_flash_cnt[3492][1]~75769\) # (GND)))
-- \led_flash_cnt[3492][2]~75771\ = CARRY((!\led_flash_cnt[3492][1]~75769\) # (!\led_flash_cnt[3492][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3492][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3492][1]~75769\,
	combout => \led_flash_cnt[3492][2]~75770_combout\,
	cout => \led_flash_cnt[3492][2]~75771\);

-- Location: FF_X64_Y39_N13
\led_flash_cnt[3492][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3492][2]~75770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3492][2]~q\);

-- Location: LCCOMB_X64_Y39_N14
\led_flash_cnt[3492][3]~75772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3492][3]~75772_combout\ = (\led_flash_cnt[3492][3]~q\ & (\led_flash_cnt[3492][2]~75771\ $ (GND))) # (!\led_flash_cnt[3492][3]~q\ & (!\led_flash_cnt[3492][2]~75771\ & VCC))
-- \led_flash_cnt[3492][3]~75773\ = CARRY((\led_flash_cnt[3492][3]~q\ & !\led_flash_cnt[3492][2]~75771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3492][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3492][2]~75771\,
	combout => \led_flash_cnt[3492][3]~75772_combout\,
	cout => \led_flash_cnt[3492][3]~75773\);

-- Location: FF_X64_Y39_N15
\led_flash_cnt[3492][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3492][3]~75772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3492][3]~q\);

-- Location: LCCOMB_X64_Y39_N16
\led_flash_cnt[3492][4]~75774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3492][4]~75774_combout\ = (\led_flash_cnt[3492][4]~q\ & (!\led_flash_cnt[3492][3]~75773\)) # (!\led_flash_cnt[3492][4]~q\ & ((\led_flash_cnt[3492][3]~75773\) # (GND)))
-- \led_flash_cnt[3492][4]~75775\ = CARRY((!\led_flash_cnt[3492][3]~75773\) # (!\led_flash_cnt[3492][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3492][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3492][3]~75773\,
	combout => \led_flash_cnt[3492][4]~75774_combout\,
	cout => \led_flash_cnt[3492][4]~75775\);

-- Location: FF_X64_Y39_N17
\led_flash_cnt[3492][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3492][4]~75774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3492][4]~q\);

-- Location: LCCOMB_X64_Y39_N18
\led_flash_cnt[3492][5]~75776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3492][5]~75776_combout\ = (\led_flash_cnt[3492][5]~q\ & (\led_flash_cnt[3492][4]~75775\ $ (GND))) # (!\led_flash_cnt[3492][5]~q\ & (!\led_flash_cnt[3492][4]~75775\ & VCC))
-- \led_flash_cnt[3492][5]~75777\ = CARRY((\led_flash_cnt[3492][5]~q\ & !\led_flash_cnt[3492][4]~75775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3492][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3492][4]~75775\,
	combout => \led_flash_cnt[3492][5]~75776_combout\,
	cout => \led_flash_cnt[3492][5]~75777\);

-- Location: FF_X64_Y39_N19
\led_flash_cnt[3492][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3492][5]~75776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3492][5]~q\);

-- Location: LCCOMB_X64_Y39_N20
\led_flash_cnt[3492][6]~75778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3492][6]~75778_combout\ = (\led_flash_cnt[3492][6]~q\ & (!\led_flash_cnt[3492][5]~75777\)) # (!\led_flash_cnt[3492][6]~q\ & ((\led_flash_cnt[3492][5]~75777\) # (GND)))
-- \led_flash_cnt[3492][6]~75779\ = CARRY((!\led_flash_cnt[3492][5]~75777\) # (!\led_flash_cnt[3492][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3492][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3492][5]~75777\,
	combout => \led_flash_cnt[3492][6]~75778_combout\,
	cout => \led_flash_cnt[3492][6]~75779\);

-- Location: FF_X64_Y39_N21
\led_flash_cnt[3492][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3492][6]~75778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3492][6]~q\);

-- Location: LCCOMB_X64_Y39_N26
\WideAnd3492~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3492~1_combout\ = (\led_flash_cnt[3492][6]~q\ & \led_flash_cnt[3492][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3492][6]~q\,
	datad => \led_flash_cnt[3492][5]~q\,
	combout => \WideAnd3492~1_combout\);

-- Location: LCCOMB_X64_Y39_N22
\led_flash_cnt[3492][7]~75780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3492][7]~75780_combout\ = \led_flash_cnt[3492][7]~q\ $ (!\led_flash_cnt[3492][6]~75779\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3492][7]~q\,
	cin => \led_flash_cnt[3492][6]~75779\,
	combout => \led_flash_cnt[3492][7]~75780_combout\);

-- Location: FF_X64_Y39_N23
\led_flash_cnt[3492][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3492][7]~75780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3492][7]~q\);

-- Location: LCCOMB_X64_Y39_N28
\WideAnd3492~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3492~0_combout\ = (\led_flash_cnt[3492][2]~q\ & (\led_flash_cnt[3492][4]~q\ & (\led_flash_cnt[3492][3]~q\ & \led_flash_cnt[3492][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3492][2]~q\,
	datab => \led_flash_cnt[3492][4]~q\,
	datac => \led_flash_cnt[3492][3]~q\,
	datad => \led_flash_cnt[3492][1]~q\,
	combout => \WideAnd3492~0_combout\);

-- Location: LCCOMB_X64_Y39_N24
WideAnd3492 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3492~combout\ = (\WideAnd3492~1_combout\ & (\led_flash_cnt[3492][0]~q\ & (\led_flash_cnt[3492][7]~q\ & \WideAnd3492~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3492~1_combout\,
	datab => \led_flash_cnt[3492][0]~q\,
	datac => \led_flash_cnt[3492][7]~q\,
	datad => \WideAnd3492~0_combout\,
	combout => \WideAnd3492~combout\);

-- Location: FF_X64_Y39_N25
\led_flash_cnt_ands[3492]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3492~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3492));

-- Location: LCCOMB_X64_Y39_N2
\WideAnd4276~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4276~1_combout\ = (led_flash_cnt_ands(3493) & led_flash_cnt_ands(3492))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3493),
	datad => led_flash_cnt_ands(3492),
	combout => \WideAnd4276~1_combout\);

-- Location: LCCOMB_X47_Y39_N30
\led_flash_cnt[3495][0]~84135\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3495][0]~84135_combout\ = !\led_flash_cnt[3495][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3495][0]~q\,
	combout => \led_flash_cnt[3495][0]~84135_combout\);

-- Location: FF_X47_Y39_N31
\led_flash_cnt[3495][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3495][0]~84135_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3495][0]~q\);

-- Location: LCCOMB_X47_Y39_N16
\led_flash_cnt[3495][1]~75810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3495][1]~75810_combout\ = (\led_flash_cnt[3495][0]~q\ & (\led_flash_cnt[3495][1]~q\ $ (VCC))) # (!\led_flash_cnt[3495][0]~q\ & (\led_flash_cnt[3495][1]~q\ & VCC))
-- \led_flash_cnt[3495][1]~75811\ = CARRY((\led_flash_cnt[3495][0]~q\ & \led_flash_cnt[3495][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3495][0]~q\,
	datab => \led_flash_cnt[3495][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3495][1]~75810_combout\,
	cout => \led_flash_cnt[3495][1]~75811\);

-- Location: FF_X47_Y39_N17
\led_flash_cnt[3495][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3495][1]~75810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3495][1]~q\);

-- Location: LCCOMB_X47_Y39_N18
\led_flash_cnt[3495][2]~75812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3495][2]~75812_combout\ = (\led_flash_cnt[3495][2]~q\ & (!\led_flash_cnt[3495][1]~75811\)) # (!\led_flash_cnt[3495][2]~q\ & ((\led_flash_cnt[3495][1]~75811\) # (GND)))
-- \led_flash_cnt[3495][2]~75813\ = CARRY((!\led_flash_cnt[3495][1]~75811\) # (!\led_flash_cnt[3495][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3495][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3495][1]~75811\,
	combout => \led_flash_cnt[3495][2]~75812_combout\,
	cout => \led_flash_cnt[3495][2]~75813\);

-- Location: FF_X47_Y39_N19
\led_flash_cnt[3495][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3495][2]~75812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3495][2]~q\);

-- Location: LCCOMB_X47_Y39_N20
\led_flash_cnt[3495][3]~75814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3495][3]~75814_combout\ = (\led_flash_cnt[3495][3]~q\ & (\led_flash_cnt[3495][2]~75813\ $ (GND))) # (!\led_flash_cnt[3495][3]~q\ & (!\led_flash_cnt[3495][2]~75813\ & VCC))
-- \led_flash_cnt[3495][3]~75815\ = CARRY((\led_flash_cnt[3495][3]~q\ & !\led_flash_cnt[3495][2]~75813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3495][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3495][2]~75813\,
	combout => \led_flash_cnt[3495][3]~75814_combout\,
	cout => \led_flash_cnt[3495][3]~75815\);

-- Location: FF_X47_Y39_N21
\led_flash_cnt[3495][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3495][3]~75814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3495][3]~q\);

-- Location: LCCOMB_X47_Y39_N22
\led_flash_cnt[3495][4]~75816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3495][4]~75816_combout\ = (\led_flash_cnt[3495][4]~q\ & (!\led_flash_cnt[3495][3]~75815\)) # (!\led_flash_cnt[3495][4]~q\ & ((\led_flash_cnt[3495][3]~75815\) # (GND)))
-- \led_flash_cnt[3495][4]~75817\ = CARRY((!\led_flash_cnt[3495][3]~75815\) # (!\led_flash_cnt[3495][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3495][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3495][3]~75815\,
	combout => \led_flash_cnt[3495][4]~75816_combout\,
	cout => \led_flash_cnt[3495][4]~75817\);

-- Location: FF_X47_Y39_N23
\led_flash_cnt[3495][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3495][4]~75816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3495][4]~q\);

-- Location: LCCOMB_X47_Y39_N24
\led_flash_cnt[3495][5]~75818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3495][5]~75818_combout\ = (\led_flash_cnt[3495][5]~q\ & (\led_flash_cnt[3495][4]~75817\ $ (GND))) # (!\led_flash_cnt[3495][5]~q\ & (!\led_flash_cnt[3495][4]~75817\ & VCC))
-- \led_flash_cnt[3495][5]~75819\ = CARRY((\led_flash_cnt[3495][5]~q\ & !\led_flash_cnt[3495][4]~75817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3495][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3495][4]~75817\,
	combout => \led_flash_cnt[3495][5]~75818_combout\,
	cout => \led_flash_cnt[3495][5]~75819\);

-- Location: FF_X47_Y39_N25
\led_flash_cnt[3495][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3495][5]~75818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3495][5]~q\);

-- Location: LCCOMB_X47_Y39_N26
\led_flash_cnt[3495][6]~75820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3495][6]~75820_combout\ = (\led_flash_cnt[3495][6]~q\ & (!\led_flash_cnt[3495][5]~75819\)) # (!\led_flash_cnt[3495][6]~q\ & ((\led_flash_cnt[3495][5]~75819\) # (GND)))
-- \led_flash_cnt[3495][6]~75821\ = CARRY((!\led_flash_cnt[3495][5]~75819\) # (!\led_flash_cnt[3495][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3495][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3495][5]~75819\,
	combout => \led_flash_cnt[3495][6]~75820_combout\,
	cout => \led_flash_cnt[3495][6]~75821\);

-- Location: FF_X47_Y39_N27
\led_flash_cnt[3495][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3495][6]~75820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3495][6]~q\);

-- Location: LCCOMB_X47_Y39_N28
\led_flash_cnt[3495][7]~75822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3495][7]~75822_combout\ = \led_flash_cnt[3495][6]~75821\ $ (!\led_flash_cnt[3495][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3495][7]~q\,
	cin => \led_flash_cnt[3495][6]~75821\,
	combout => \led_flash_cnt[3495][7]~75822_combout\);

-- Location: FF_X47_Y39_N29
\led_flash_cnt[3495][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3495][7]~75822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3495][7]~q\);

-- Location: LCCOMB_X47_Y39_N8
\WideAnd3495~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3495~0_combout\ = (\led_flash_cnt[3495][1]~q\ & (\led_flash_cnt[3495][3]~q\ & (\led_flash_cnt[3495][4]~q\ & \led_flash_cnt[3495][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3495][1]~q\,
	datab => \led_flash_cnt[3495][3]~q\,
	datac => \led_flash_cnt[3495][4]~q\,
	datad => \led_flash_cnt[3495][2]~q\,
	combout => \WideAnd3495~0_combout\);

-- Location: LCCOMB_X47_Y39_N12
\WideAnd3495~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3495~1_combout\ = (\led_flash_cnt[3495][6]~q\ & \led_flash_cnt[3495][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3495][6]~q\,
	datad => \led_flash_cnt[3495][5]~q\,
	combout => \WideAnd3495~1_combout\);

-- Location: LCCOMB_X47_Y39_N10
WideAnd3495 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3495~combout\ = (\led_flash_cnt[3495][0]~q\ & (\led_flash_cnt[3495][7]~q\ & (\WideAnd3495~0_combout\ & \WideAnd3495~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3495][0]~q\,
	datab => \led_flash_cnt[3495][7]~q\,
	datac => \WideAnd3495~0_combout\,
	datad => \WideAnd3495~1_combout\,
	combout => \WideAnd3495~combout\);

-- Location: FF_X47_Y39_N11
\led_flash_cnt_ands[3495]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3495~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3495));

-- Location: LCCOMB_X56_Y39_N22
\led_flash_cnt[3494][0]~84134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3494][0]~84134_combout\ = !\led_flash_cnt[3494][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3494][0]~q\,
	combout => \led_flash_cnt[3494][0]~84134_combout\);

-- Location: FF_X56_Y39_N23
\led_flash_cnt[3494][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3494][0]~84134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3494][0]~q\);

-- Location: LCCOMB_X56_Y39_N8
\led_flash_cnt[3494][1]~75796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3494][1]~75796_combout\ = (\led_flash_cnt[3494][0]~q\ & (\led_flash_cnt[3494][1]~q\ $ (VCC))) # (!\led_flash_cnt[3494][0]~q\ & (\led_flash_cnt[3494][1]~q\ & VCC))
-- \led_flash_cnt[3494][1]~75797\ = CARRY((\led_flash_cnt[3494][0]~q\ & \led_flash_cnt[3494][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3494][0]~q\,
	datab => \led_flash_cnt[3494][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3494][1]~75796_combout\,
	cout => \led_flash_cnt[3494][1]~75797\);

-- Location: FF_X56_Y39_N9
\led_flash_cnt[3494][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3494][1]~75796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3494][1]~q\);

-- Location: LCCOMB_X56_Y39_N10
\led_flash_cnt[3494][2]~75798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3494][2]~75798_combout\ = (\led_flash_cnt[3494][2]~q\ & (!\led_flash_cnt[3494][1]~75797\)) # (!\led_flash_cnt[3494][2]~q\ & ((\led_flash_cnt[3494][1]~75797\) # (GND)))
-- \led_flash_cnt[3494][2]~75799\ = CARRY((!\led_flash_cnt[3494][1]~75797\) # (!\led_flash_cnt[3494][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3494][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3494][1]~75797\,
	combout => \led_flash_cnt[3494][2]~75798_combout\,
	cout => \led_flash_cnt[3494][2]~75799\);

-- Location: FF_X56_Y39_N11
\led_flash_cnt[3494][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3494][2]~75798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3494][2]~q\);

-- Location: LCCOMB_X56_Y39_N12
\led_flash_cnt[3494][3]~75800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3494][3]~75800_combout\ = (\led_flash_cnt[3494][3]~q\ & (\led_flash_cnt[3494][2]~75799\ $ (GND))) # (!\led_flash_cnt[3494][3]~q\ & (!\led_flash_cnt[3494][2]~75799\ & VCC))
-- \led_flash_cnt[3494][3]~75801\ = CARRY((\led_flash_cnt[3494][3]~q\ & !\led_flash_cnt[3494][2]~75799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3494][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3494][2]~75799\,
	combout => \led_flash_cnt[3494][3]~75800_combout\,
	cout => \led_flash_cnt[3494][3]~75801\);

-- Location: FF_X56_Y39_N13
\led_flash_cnt[3494][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3494][3]~75800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3494][3]~q\);

-- Location: LCCOMB_X56_Y39_N14
\led_flash_cnt[3494][4]~75802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3494][4]~75802_combout\ = (\led_flash_cnt[3494][4]~q\ & (!\led_flash_cnt[3494][3]~75801\)) # (!\led_flash_cnt[3494][4]~q\ & ((\led_flash_cnt[3494][3]~75801\) # (GND)))
-- \led_flash_cnt[3494][4]~75803\ = CARRY((!\led_flash_cnt[3494][3]~75801\) # (!\led_flash_cnt[3494][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3494][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3494][3]~75801\,
	combout => \led_flash_cnt[3494][4]~75802_combout\,
	cout => \led_flash_cnt[3494][4]~75803\);

-- Location: FF_X56_Y39_N15
\led_flash_cnt[3494][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3494][4]~75802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3494][4]~q\);

-- Location: LCCOMB_X56_Y39_N16
\led_flash_cnt[3494][5]~75804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3494][5]~75804_combout\ = (\led_flash_cnt[3494][5]~q\ & (\led_flash_cnt[3494][4]~75803\ $ (GND))) # (!\led_flash_cnt[3494][5]~q\ & (!\led_flash_cnt[3494][4]~75803\ & VCC))
-- \led_flash_cnt[3494][5]~75805\ = CARRY((\led_flash_cnt[3494][5]~q\ & !\led_flash_cnt[3494][4]~75803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3494][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3494][4]~75803\,
	combout => \led_flash_cnt[3494][5]~75804_combout\,
	cout => \led_flash_cnt[3494][5]~75805\);

-- Location: FF_X56_Y39_N17
\led_flash_cnt[3494][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3494][5]~75804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3494][5]~q\);

-- Location: LCCOMB_X56_Y39_N18
\led_flash_cnt[3494][6]~75806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3494][6]~75806_combout\ = (\led_flash_cnt[3494][6]~q\ & (!\led_flash_cnt[3494][5]~75805\)) # (!\led_flash_cnt[3494][6]~q\ & ((\led_flash_cnt[3494][5]~75805\) # (GND)))
-- \led_flash_cnt[3494][6]~75807\ = CARRY((!\led_flash_cnt[3494][5]~75805\) # (!\led_flash_cnt[3494][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3494][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3494][5]~75805\,
	combout => \led_flash_cnt[3494][6]~75806_combout\,
	cout => \led_flash_cnt[3494][6]~75807\);

-- Location: FF_X56_Y39_N19
\led_flash_cnt[3494][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3494][6]~75806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3494][6]~q\);

-- Location: LCCOMB_X56_Y39_N20
\led_flash_cnt[3494][7]~75808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3494][7]~75808_combout\ = \led_flash_cnt[3494][6]~75807\ $ (!\led_flash_cnt[3494][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3494][7]~q\,
	cin => \led_flash_cnt[3494][6]~75807\,
	combout => \led_flash_cnt[3494][7]~75808_combout\);

-- Location: FF_X56_Y39_N21
\led_flash_cnt[3494][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3494][7]~75808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3494][7]~q\);

-- Location: LCCOMB_X56_Y39_N4
\WideAnd3494~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3494~1_combout\ = (\led_flash_cnt[3494][6]~q\ & \led_flash_cnt[3494][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3494][6]~q\,
	datad => \led_flash_cnt[3494][5]~q\,
	combout => \WideAnd3494~1_combout\);

-- Location: LCCOMB_X56_Y39_N28
\WideAnd3494~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3494~0_combout\ = (\led_flash_cnt[3494][3]~q\ & (\led_flash_cnt[3494][1]~q\ & (\led_flash_cnt[3494][4]~q\ & \led_flash_cnt[3494][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3494][3]~q\,
	datab => \led_flash_cnt[3494][1]~q\,
	datac => \led_flash_cnt[3494][4]~q\,
	datad => \led_flash_cnt[3494][2]~q\,
	combout => \WideAnd3494~0_combout\);

-- Location: LCCOMB_X56_Y39_N24
WideAnd3494 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3494~combout\ = (\led_flash_cnt[3494][0]~q\ & (\led_flash_cnt[3494][7]~q\ & (\WideAnd3494~1_combout\ & \WideAnd3494~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3494][0]~q\,
	datab => \led_flash_cnt[3494][7]~q\,
	datac => \WideAnd3494~1_combout\,
	datad => \WideAnd3494~0_combout\,
	combout => \WideAnd3494~combout\);

-- Location: FF_X56_Y39_N25
\led_flash_cnt_ands[3494]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3494~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3494));

-- Location: LCCOMB_X56_Y39_N30
WideAnd4276 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4276~combout\ = (\WideAnd4276~0_combout\ & (\WideAnd4276~1_combout\ & (led_flash_cnt_ands(3495) & led_flash_cnt_ands(3494))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4276~0_combout\,
	datab => \WideAnd4276~1_combout\,
	datac => led_flash_cnt_ands(3495),
	datad => led_flash_cnt_ands(3494),
	combout => \WideAnd4276~combout\);

-- Location: FF_X56_Y39_N31
\led_flash_cnt_ands_1[436]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4276~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(436));

-- Location: LCCOMB_X52_Y47_N2
\led_flash_cnt[3502][0]~84142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3502][0]~84142_combout\ = !\led_flash_cnt[3502][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3502][0]~q\,
	combout => \led_flash_cnt[3502][0]~84142_combout\);

-- Location: FF_X52_Y47_N3
\led_flash_cnt[3502][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3502][0]~84142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3502][0]~q\);

-- Location: LCCOMB_X52_Y47_N12
\led_flash_cnt[3502][1]~75908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3502][1]~75908_combout\ = (\led_flash_cnt[3502][1]~q\ & (\led_flash_cnt[3502][0]~q\ $ (VCC))) # (!\led_flash_cnt[3502][1]~q\ & (\led_flash_cnt[3502][0]~q\ & VCC))
-- \led_flash_cnt[3502][1]~75909\ = CARRY((\led_flash_cnt[3502][1]~q\ & \led_flash_cnt[3502][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3502][1]~q\,
	datab => \led_flash_cnt[3502][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3502][1]~75908_combout\,
	cout => \led_flash_cnt[3502][1]~75909\);

-- Location: FF_X52_Y47_N13
\led_flash_cnt[3502][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3502][1]~75908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3502][1]~q\);

-- Location: LCCOMB_X52_Y47_N14
\led_flash_cnt[3502][2]~75910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3502][2]~75910_combout\ = (\led_flash_cnt[3502][2]~q\ & (!\led_flash_cnt[3502][1]~75909\)) # (!\led_flash_cnt[3502][2]~q\ & ((\led_flash_cnt[3502][1]~75909\) # (GND)))
-- \led_flash_cnt[3502][2]~75911\ = CARRY((!\led_flash_cnt[3502][1]~75909\) # (!\led_flash_cnt[3502][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3502][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3502][1]~75909\,
	combout => \led_flash_cnt[3502][2]~75910_combout\,
	cout => \led_flash_cnt[3502][2]~75911\);

-- Location: FF_X52_Y47_N15
\led_flash_cnt[3502][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3502][2]~75910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3502][2]~q\);

-- Location: LCCOMB_X52_Y47_N16
\led_flash_cnt[3502][3]~75912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3502][3]~75912_combout\ = (\led_flash_cnt[3502][3]~q\ & (\led_flash_cnt[3502][2]~75911\ $ (GND))) # (!\led_flash_cnt[3502][3]~q\ & (!\led_flash_cnt[3502][2]~75911\ & VCC))
-- \led_flash_cnt[3502][3]~75913\ = CARRY((\led_flash_cnt[3502][3]~q\ & !\led_flash_cnt[3502][2]~75911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3502][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3502][2]~75911\,
	combout => \led_flash_cnt[3502][3]~75912_combout\,
	cout => \led_flash_cnt[3502][3]~75913\);

-- Location: FF_X52_Y47_N17
\led_flash_cnt[3502][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3502][3]~75912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3502][3]~q\);

-- Location: LCCOMB_X52_Y47_N18
\led_flash_cnt[3502][4]~75914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3502][4]~75914_combout\ = (\led_flash_cnt[3502][4]~q\ & (!\led_flash_cnt[3502][3]~75913\)) # (!\led_flash_cnt[3502][4]~q\ & ((\led_flash_cnt[3502][3]~75913\) # (GND)))
-- \led_flash_cnt[3502][4]~75915\ = CARRY((!\led_flash_cnt[3502][3]~75913\) # (!\led_flash_cnt[3502][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3502][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3502][3]~75913\,
	combout => \led_flash_cnt[3502][4]~75914_combout\,
	cout => \led_flash_cnt[3502][4]~75915\);

-- Location: FF_X52_Y47_N19
\led_flash_cnt[3502][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3502][4]~75914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3502][4]~q\);

-- Location: LCCOMB_X52_Y47_N20
\led_flash_cnt[3502][5]~75916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3502][5]~75916_combout\ = (\led_flash_cnt[3502][5]~q\ & (\led_flash_cnt[3502][4]~75915\ $ (GND))) # (!\led_flash_cnt[3502][5]~q\ & (!\led_flash_cnt[3502][4]~75915\ & VCC))
-- \led_flash_cnt[3502][5]~75917\ = CARRY((\led_flash_cnt[3502][5]~q\ & !\led_flash_cnt[3502][4]~75915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3502][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3502][4]~75915\,
	combout => \led_flash_cnt[3502][5]~75916_combout\,
	cout => \led_flash_cnt[3502][5]~75917\);

-- Location: FF_X52_Y47_N21
\led_flash_cnt[3502][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3502][5]~75916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3502][5]~q\);

-- Location: LCCOMB_X52_Y47_N22
\led_flash_cnt[3502][6]~75918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3502][6]~75918_combout\ = (\led_flash_cnt[3502][6]~q\ & (!\led_flash_cnt[3502][5]~75917\)) # (!\led_flash_cnt[3502][6]~q\ & ((\led_flash_cnt[3502][5]~75917\) # (GND)))
-- \led_flash_cnt[3502][6]~75919\ = CARRY((!\led_flash_cnt[3502][5]~75917\) # (!\led_flash_cnt[3502][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3502][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3502][5]~75917\,
	combout => \led_flash_cnt[3502][6]~75918_combout\,
	cout => \led_flash_cnt[3502][6]~75919\);

-- Location: FF_X52_Y47_N23
\led_flash_cnt[3502][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3502][6]~75918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3502][6]~q\);

-- Location: LCCOMB_X52_Y47_N30
\WideAnd3502~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3502~1_combout\ = (\led_flash_cnt[3502][6]~q\ & \led_flash_cnt[3502][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3502][6]~q\,
	datad => \led_flash_cnt[3502][5]~q\,
	combout => \WideAnd3502~1_combout\);

-- Location: LCCOMB_X52_Y47_N24
\led_flash_cnt[3502][7]~75920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3502][7]~75920_combout\ = \led_flash_cnt[3502][6]~75919\ $ (!\led_flash_cnt[3502][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3502][7]~q\,
	cin => \led_flash_cnt[3502][6]~75919\,
	combout => \led_flash_cnt[3502][7]~75920_combout\);

-- Location: FF_X52_Y47_N25
\led_flash_cnt[3502][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3502][7]~75920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3502][7]~q\);

-- Location: LCCOMB_X52_Y47_N4
\WideAnd3502~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3502~0_combout\ = (\led_flash_cnt[3502][1]~q\ & (\led_flash_cnt[3502][4]~q\ & (\led_flash_cnt[3502][2]~q\ & \led_flash_cnt[3502][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3502][1]~q\,
	datab => \led_flash_cnt[3502][4]~q\,
	datac => \led_flash_cnt[3502][2]~q\,
	datad => \led_flash_cnt[3502][3]~q\,
	combout => \WideAnd3502~0_combout\);

-- Location: LCCOMB_X52_Y47_N10
WideAnd3502 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3502~combout\ = (\WideAnd3502~1_combout\ & (\led_flash_cnt[3502][7]~q\ & (\WideAnd3502~0_combout\ & \led_flash_cnt[3502][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3502~1_combout\,
	datab => \led_flash_cnt[3502][7]~q\,
	datac => \WideAnd3502~0_combout\,
	datad => \led_flash_cnt[3502][0]~q\,
	combout => \WideAnd3502~combout\);

-- Location: FF_X52_Y47_N11
\led_flash_cnt_ands[3502]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3502~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3502));

-- Location: LCCOMB_X54_Y47_N8
\led_flash_cnt[3498][0]~84138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3498][0]~84138_combout\ = !\led_flash_cnt[3498][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3498][0]~q\,
	combout => \led_flash_cnt[3498][0]~84138_combout\);

-- Location: FF_X54_Y47_N9
\led_flash_cnt[3498][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3498][0]~84138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3498][0]~q\);

-- Location: LCCOMB_X54_Y47_N12
\led_flash_cnt[3498][1]~75852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3498][1]~75852_combout\ = (\led_flash_cnt[3498][1]~q\ & (\led_flash_cnt[3498][0]~q\ $ (VCC))) # (!\led_flash_cnt[3498][1]~q\ & (\led_flash_cnt[3498][0]~q\ & VCC))
-- \led_flash_cnt[3498][1]~75853\ = CARRY((\led_flash_cnt[3498][1]~q\ & \led_flash_cnt[3498][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3498][1]~q\,
	datab => \led_flash_cnt[3498][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3498][1]~75852_combout\,
	cout => \led_flash_cnt[3498][1]~75853\);

-- Location: FF_X54_Y47_N13
\led_flash_cnt[3498][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3498][1]~75852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3498][1]~q\);

-- Location: LCCOMB_X54_Y47_N14
\led_flash_cnt[3498][2]~75854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3498][2]~75854_combout\ = (\led_flash_cnt[3498][2]~q\ & (!\led_flash_cnt[3498][1]~75853\)) # (!\led_flash_cnt[3498][2]~q\ & ((\led_flash_cnt[3498][1]~75853\) # (GND)))
-- \led_flash_cnt[3498][2]~75855\ = CARRY((!\led_flash_cnt[3498][1]~75853\) # (!\led_flash_cnt[3498][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3498][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3498][1]~75853\,
	combout => \led_flash_cnt[3498][2]~75854_combout\,
	cout => \led_flash_cnt[3498][2]~75855\);

-- Location: FF_X54_Y47_N15
\led_flash_cnt[3498][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3498][2]~75854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3498][2]~q\);

-- Location: LCCOMB_X54_Y47_N16
\led_flash_cnt[3498][3]~75856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3498][3]~75856_combout\ = (\led_flash_cnt[3498][3]~q\ & (\led_flash_cnt[3498][2]~75855\ $ (GND))) # (!\led_flash_cnt[3498][3]~q\ & (!\led_flash_cnt[3498][2]~75855\ & VCC))
-- \led_flash_cnt[3498][3]~75857\ = CARRY((\led_flash_cnt[3498][3]~q\ & !\led_flash_cnt[3498][2]~75855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3498][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3498][2]~75855\,
	combout => \led_flash_cnt[3498][3]~75856_combout\,
	cout => \led_flash_cnt[3498][3]~75857\);

-- Location: FF_X54_Y47_N17
\led_flash_cnt[3498][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3498][3]~75856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3498][3]~q\);

-- Location: LCCOMB_X54_Y47_N18
\led_flash_cnt[3498][4]~75858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3498][4]~75858_combout\ = (\led_flash_cnt[3498][4]~q\ & (!\led_flash_cnt[3498][3]~75857\)) # (!\led_flash_cnt[3498][4]~q\ & ((\led_flash_cnt[3498][3]~75857\) # (GND)))
-- \led_flash_cnt[3498][4]~75859\ = CARRY((!\led_flash_cnt[3498][3]~75857\) # (!\led_flash_cnt[3498][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3498][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3498][3]~75857\,
	combout => \led_flash_cnt[3498][4]~75858_combout\,
	cout => \led_flash_cnt[3498][4]~75859\);

-- Location: FF_X54_Y47_N19
\led_flash_cnt[3498][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3498][4]~75858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3498][4]~q\);

-- Location: LCCOMB_X54_Y47_N30
\WideAnd3498~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3498~0_combout\ = (\led_flash_cnt[3498][1]~q\ & (\led_flash_cnt[3498][3]~q\ & (\led_flash_cnt[3498][2]~q\ & \led_flash_cnt[3498][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3498][1]~q\,
	datab => \led_flash_cnt[3498][3]~q\,
	datac => \led_flash_cnt[3498][2]~q\,
	datad => \led_flash_cnt[3498][4]~q\,
	combout => \WideAnd3498~0_combout\);

-- Location: LCCOMB_X54_Y47_N20
\led_flash_cnt[3498][5]~75860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3498][5]~75860_combout\ = (\led_flash_cnt[3498][5]~q\ & (\led_flash_cnt[3498][4]~75859\ $ (GND))) # (!\led_flash_cnt[3498][5]~q\ & (!\led_flash_cnt[3498][4]~75859\ & VCC))
-- \led_flash_cnt[3498][5]~75861\ = CARRY((\led_flash_cnt[3498][5]~q\ & !\led_flash_cnt[3498][4]~75859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3498][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3498][4]~75859\,
	combout => \led_flash_cnt[3498][5]~75860_combout\,
	cout => \led_flash_cnt[3498][5]~75861\);

-- Location: FF_X54_Y47_N21
\led_flash_cnt[3498][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3498][5]~75860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3498][5]~q\);

-- Location: LCCOMB_X54_Y47_N22
\led_flash_cnt[3498][6]~75862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3498][6]~75862_combout\ = (\led_flash_cnt[3498][6]~q\ & (!\led_flash_cnt[3498][5]~75861\)) # (!\led_flash_cnt[3498][6]~q\ & ((\led_flash_cnt[3498][5]~75861\) # (GND)))
-- \led_flash_cnt[3498][6]~75863\ = CARRY((!\led_flash_cnt[3498][5]~75861\) # (!\led_flash_cnt[3498][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3498][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3498][5]~75861\,
	combout => \led_flash_cnt[3498][6]~75862_combout\,
	cout => \led_flash_cnt[3498][6]~75863\);

-- Location: FF_X54_Y47_N23
\led_flash_cnt[3498][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3498][6]~75862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3498][6]~q\);

-- Location: LCCOMB_X54_Y47_N24
\led_flash_cnt[3498][7]~75864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3498][7]~75864_combout\ = \led_flash_cnt[3498][6]~75863\ $ (!\led_flash_cnt[3498][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3498][7]~q\,
	cin => \led_flash_cnt[3498][6]~75863\,
	combout => \led_flash_cnt[3498][7]~75864_combout\);

-- Location: FF_X54_Y47_N25
\led_flash_cnt[3498][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3498][7]~75864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3498][7]~q\);

-- Location: LCCOMB_X54_Y47_N0
\WideAnd3498~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3498~1_combout\ = (\led_flash_cnt[3498][6]~q\ & \led_flash_cnt[3498][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3498][6]~q\,
	datad => \led_flash_cnt[3498][5]~q\,
	combout => \WideAnd3498~1_combout\);

-- Location: LCCOMB_X54_Y47_N6
WideAnd3498 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3498~combout\ = (\WideAnd3498~0_combout\ & (\led_flash_cnt[3498][7]~q\ & (\led_flash_cnt[3498][0]~q\ & \WideAnd3498~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3498~0_combout\,
	datab => \led_flash_cnt[3498][7]~q\,
	datac => \led_flash_cnt[3498][0]~q\,
	datad => \WideAnd3498~1_combout\,
	combout => \WideAnd3498~combout\);

-- Location: FF_X54_Y47_N7
\led_flash_cnt_ands[3498]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3498~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3498));

-- Location: LCCOMB_X59_Y45_N24
\led_flash_cnt[3499][0]~84139\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3499][0]~84139_combout\ = !\led_flash_cnt[3499][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3499][0]~q\,
	combout => \led_flash_cnt[3499][0]~84139_combout\);

-- Location: FF_X59_Y45_N25
\led_flash_cnt[3499][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3499][0]~84139_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3499][0]~q\);

-- Location: LCCOMB_X59_Y45_N10
\led_flash_cnt[3499][1]~75866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3499][1]~75866_combout\ = (\led_flash_cnt[3499][1]~q\ & (\led_flash_cnt[3499][0]~q\ $ (VCC))) # (!\led_flash_cnt[3499][1]~q\ & (\led_flash_cnt[3499][0]~q\ & VCC))
-- \led_flash_cnt[3499][1]~75867\ = CARRY((\led_flash_cnt[3499][1]~q\ & \led_flash_cnt[3499][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3499][1]~q\,
	datab => \led_flash_cnt[3499][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3499][1]~75866_combout\,
	cout => \led_flash_cnt[3499][1]~75867\);

-- Location: FF_X59_Y45_N11
\led_flash_cnt[3499][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3499][1]~75866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3499][1]~q\);

-- Location: LCCOMB_X59_Y45_N12
\led_flash_cnt[3499][2]~75868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3499][2]~75868_combout\ = (\led_flash_cnt[3499][2]~q\ & (!\led_flash_cnt[3499][1]~75867\)) # (!\led_flash_cnt[3499][2]~q\ & ((\led_flash_cnt[3499][1]~75867\) # (GND)))
-- \led_flash_cnt[3499][2]~75869\ = CARRY((!\led_flash_cnt[3499][1]~75867\) # (!\led_flash_cnt[3499][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3499][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3499][1]~75867\,
	combout => \led_flash_cnt[3499][2]~75868_combout\,
	cout => \led_flash_cnt[3499][2]~75869\);

-- Location: FF_X59_Y45_N13
\led_flash_cnt[3499][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3499][2]~75868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3499][2]~q\);

-- Location: LCCOMB_X59_Y45_N14
\led_flash_cnt[3499][3]~75870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3499][3]~75870_combout\ = (\led_flash_cnt[3499][3]~q\ & (\led_flash_cnt[3499][2]~75869\ $ (GND))) # (!\led_flash_cnt[3499][3]~q\ & (!\led_flash_cnt[3499][2]~75869\ & VCC))
-- \led_flash_cnt[3499][3]~75871\ = CARRY((\led_flash_cnt[3499][3]~q\ & !\led_flash_cnt[3499][2]~75869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3499][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3499][2]~75869\,
	combout => \led_flash_cnt[3499][3]~75870_combout\,
	cout => \led_flash_cnt[3499][3]~75871\);

-- Location: FF_X59_Y45_N15
\led_flash_cnt[3499][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3499][3]~75870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3499][3]~q\);

-- Location: LCCOMB_X59_Y45_N16
\led_flash_cnt[3499][4]~75872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3499][4]~75872_combout\ = (\led_flash_cnt[3499][4]~q\ & (!\led_flash_cnt[3499][3]~75871\)) # (!\led_flash_cnt[3499][4]~q\ & ((\led_flash_cnt[3499][3]~75871\) # (GND)))
-- \led_flash_cnt[3499][4]~75873\ = CARRY((!\led_flash_cnt[3499][3]~75871\) # (!\led_flash_cnt[3499][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3499][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3499][3]~75871\,
	combout => \led_flash_cnt[3499][4]~75872_combout\,
	cout => \led_flash_cnt[3499][4]~75873\);

-- Location: FF_X59_Y45_N17
\led_flash_cnt[3499][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3499][4]~75872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3499][4]~q\);

-- Location: LCCOMB_X59_Y45_N18
\led_flash_cnt[3499][5]~75874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3499][5]~75874_combout\ = (\led_flash_cnt[3499][5]~q\ & (\led_flash_cnt[3499][4]~75873\ $ (GND))) # (!\led_flash_cnt[3499][5]~q\ & (!\led_flash_cnt[3499][4]~75873\ & VCC))
-- \led_flash_cnt[3499][5]~75875\ = CARRY((\led_flash_cnt[3499][5]~q\ & !\led_flash_cnt[3499][4]~75873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3499][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3499][4]~75873\,
	combout => \led_flash_cnt[3499][5]~75874_combout\,
	cout => \led_flash_cnt[3499][5]~75875\);

-- Location: FF_X59_Y45_N19
\led_flash_cnt[3499][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3499][5]~75874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3499][5]~q\);

-- Location: LCCOMB_X59_Y45_N20
\led_flash_cnt[3499][6]~75876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3499][6]~75876_combout\ = (\led_flash_cnt[3499][6]~q\ & (!\led_flash_cnt[3499][5]~75875\)) # (!\led_flash_cnt[3499][6]~q\ & ((\led_flash_cnt[3499][5]~75875\) # (GND)))
-- \led_flash_cnt[3499][6]~75877\ = CARRY((!\led_flash_cnt[3499][5]~75875\) # (!\led_flash_cnt[3499][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3499][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3499][5]~75875\,
	combout => \led_flash_cnt[3499][6]~75876_combout\,
	cout => \led_flash_cnt[3499][6]~75877\);

-- Location: FF_X59_Y45_N21
\led_flash_cnt[3499][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3499][6]~75876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3499][6]~q\);

-- Location: LCCOMB_X59_Y45_N6
\WideAnd3499~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3499~1_combout\ = (\led_flash_cnt[3499][6]~q\ & \led_flash_cnt[3499][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3499][6]~q\,
	datad => \led_flash_cnt[3499][5]~q\,
	combout => \WideAnd3499~1_combout\);

-- Location: LCCOMB_X59_Y45_N22
\led_flash_cnt[3499][7]~75878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3499][7]~75878_combout\ = \led_flash_cnt[3499][7]~q\ $ (!\led_flash_cnt[3499][6]~75877\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3499][7]~q\,
	cin => \led_flash_cnt[3499][6]~75877\,
	combout => \led_flash_cnt[3499][7]~75878_combout\);

-- Location: FF_X59_Y45_N23
\led_flash_cnt[3499][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3499][7]~75878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3499][7]~q\);

-- Location: LCCOMB_X59_Y45_N28
\WideAnd3499~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3499~0_combout\ = (\led_flash_cnt[3499][2]~q\ & (\led_flash_cnt[3499][4]~q\ & (\led_flash_cnt[3499][3]~q\ & \led_flash_cnt[3499][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3499][2]~q\,
	datab => \led_flash_cnt[3499][4]~q\,
	datac => \led_flash_cnt[3499][3]~q\,
	datad => \led_flash_cnt[3499][1]~q\,
	combout => \WideAnd3499~0_combout\);

-- Location: LCCOMB_X59_Y45_N4
WideAnd3499 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3499~combout\ = (\WideAnd3499~1_combout\ & (\led_flash_cnt[3499][0]~q\ & (\led_flash_cnt[3499][7]~q\ & \WideAnd3499~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3499~1_combout\,
	datab => \led_flash_cnt[3499][0]~q\,
	datac => \led_flash_cnt[3499][7]~q\,
	datad => \WideAnd3499~0_combout\,
	combout => \WideAnd3499~combout\);

-- Location: FF_X59_Y45_N5
\led_flash_cnt_ands[3499]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3499~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3499));

-- Location: LCCOMB_X58_Y48_N4
\led_flash_cnt[3496][0]~84136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3496][0]~84136_combout\ = !\led_flash_cnt[3496][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3496][0]~q\,
	combout => \led_flash_cnt[3496][0]~84136_combout\);

-- Location: FF_X58_Y48_N5
\led_flash_cnt[3496][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3496][0]~84136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3496][0]~q\);

-- Location: LCCOMB_X58_Y48_N10
\led_flash_cnt[3496][1]~75824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3496][1]~75824_combout\ = (\led_flash_cnt[3496][1]~q\ & (\led_flash_cnt[3496][0]~q\ $ (VCC))) # (!\led_flash_cnt[3496][1]~q\ & (\led_flash_cnt[3496][0]~q\ & VCC))
-- \led_flash_cnt[3496][1]~75825\ = CARRY((\led_flash_cnt[3496][1]~q\ & \led_flash_cnt[3496][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3496][1]~q\,
	datab => \led_flash_cnt[3496][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3496][1]~75824_combout\,
	cout => \led_flash_cnt[3496][1]~75825\);

-- Location: FF_X58_Y48_N11
\led_flash_cnt[3496][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3496][1]~75824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3496][1]~q\);

-- Location: LCCOMB_X58_Y48_N12
\led_flash_cnt[3496][2]~75826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3496][2]~75826_combout\ = (\led_flash_cnt[3496][2]~q\ & (!\led_flash_cnt[3496][1]~75825\)) # (!\led_flash_cnt[3496][2]~q\ & ((\led_flash_cnt[3496][1]~75825\) # (GND)))
-- \led_flash_cnt[3496][2]~75827\ = CARRY((!\led_flash_cnt[3496][1]~75825\) # (!\led_flash_cnt[3496][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3496][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3496][1]~75825\,
	combout => \led_flash_cnt[3496][2]~75826_combout\,
	cout => \led_flash_cnt[3496][2]~75827\);

-- Location: FF_X58_Y48_N13
\led_flash_cnt[3496][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3496][2]~75826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3496][2]~q\);

-- Location: LCCOMB_X58_Y48_N14
\led_flash_cnt[3496][3]~75828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3496][3]~75828_combout\ = (\led_flash_cnt[3496][3]~q\ & (\led_flash_cnt[3496][2]~75827\ $ (GND))) # (!\led_flash_cnt[3496][3]~q\ & (!\led_flash_cnt[3496][2]~75827\ & VCC))
-- \led_flash_cnt[3496][3]~75829\ = CARRY((\led_flash_cnt[3496][3]~q\ & !\led_flash_cnt[3496][2]~75827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3496][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3496][2]~75827\,
	combout => \led_flash_cnt[3496][3]~75828_combout\,
	cout => \led_flash_cnt[3496][3]~75829\);

-- Location: FF_X58_Y48_N15
\led_flash_cnt[3496][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3496][3]~75828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3496][3]~q\);

-- Location: LCCOMB_X58_Y48_N16
\led_flash_cnt[3496][4]~75830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3496][4]~75830_combout\ = (\led_flash_cnt[3496][4]~q\ & (!\led_flash_cnt[3496][3]~75829\)) # (!\led_flash_cnt[3496][4]~q\ & ((\led_flash_cnt[3496][3]~75829\) # (GND)))
-- \led_flash_cnt[3496][4]~75831\ = CARRY((!\led_flash_cnt[3496][3]~75829\) # (!\led_flash_cnt[3496][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3496][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3496][3]~75829\,
	combout => \led_flash_cnt[3496][4]~75830_combout\,
	cout => \led_flash_cnt[3496][4]~75831\);

-- Location: FF_X58_Y48_N17
\led_flash_cnt[3496][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3496][4]~75830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3496][4]~q\);

-- Location: LCCOMB_X58_Y48_N18
\led_flash_cnt[3496][5]~75832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3496][5]~75832_combout\ = (\led_flash_cnt[3496][5]~q\ & (\led_flash_cnt[3496][4]~75831\ $ (GND))) # (!\led_flash_cnt[3496][5]~q\ & (!\led_flash_cnt[3496][4]~75831\ & VCC))
-- \led_flash_cnt[3496][5]~75833\ = CARRY((\led_flash_cnt[3496][5]~q\ & !\led_flash_cnt[3496][4]~75831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3496][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3496][4]~75831\,
	combout => \led_flash_cnt[3496][5]~75832_combout\,
	cout => \led_flash_cnt[3496][5]~75833\);

-- Location: FF_X58_Y48_N19
\led_flash_cnt[3496][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3496][5]~75832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3496][5]~q\);

-- Location: LCCOMB_X58_Y48_N20
\led_flash_cnt[3496][6]~75834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3496][6]~75834_combout\ = (\led_flash_cnt[3496][6]~q\ & (!\led_flash_cnt[3496][5]~75833\)) # (!\led_flash_cnt[3496][6]~q\ & ((\led_flash_cnt[3496][5]~75833\) # (GND)))
-- \led_flash_cnt[3496][6]~75835\ = CARRY((!\led_flash_cnt[3496][5]~75833\) # (!\led_flash_cnt[3496][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3496][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3496][5]~75833\,
	combout => \led_flash_cnt[3496][6]~75834_combout\,
	cout => \led_flash_cnt[3496][6]~75835\);

-- Location: FF_X58_Y48_N21
\led_flash_cnt[3496][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3496][6]~75834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3496][6]~q\);

-- Location: LCCOMB_X58_Y48_N22
\led_flash_cnt[3496][7]~75836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3496][7]~75836_combout\ = \led_flash_cnt[3496][7]~q\ $ (!\led_flash_cnt[3496][6]~75835\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3496][7]~q\,
	cin => \led_flash_cnt[3496][6]~75835\,
	combout => \led_flash_cnt[3496][7]~75836_combout\);

-- Location: FF_X58_Y48_N23
\led_flash_cnt[3496][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3496][7]~75836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3496][7]~q\);

-- Location: LCCOMB_X58_Y48_N0
\WideAnd3496~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3496~1_combout\ = (\led_flash_cnt[3496][5]~q\ & \led_flash_cnt[3496][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3496][5]~q\,
	datad => \led_flash_cnt[3496][6]~q\,
	combout => \WideAnd3496~1_combout\);

-- Location: LCCOMB_X58_Y48_N6
\WideAnd3496~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3496~0_combout\ = (\led_flash_cnt[3496][2]~q\ & (\led_flash_cnt[3496][4]~q\ & (\led_flash_cnt[3496][3]~q\ & \led_flash_cnt[3496][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3496][2]~q\,
	datab => \led_flash_cnt[3496][4]~q\,
	datac => \led_flash_cnt[3496][3]~q\,
	datad => \led_flash_cnt[3496][1]~q\,
	combout => \WideAnd3496~0_combout\);

-- Location: LCCOMB_X58_Y48_N30
WideAnd3496 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3496~combout\ = (\led_flash_cnt[3496][7]~q\ & (\WideAnd3496~1_combout\ & (\led_flash_cnt[3496][0]~q\ & \WideAnd3496~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3496][7]~q\,
	datab => \WideAnd3496~1_combout\,
	datac => \led_flash_cnt[3496][0]~q\,
	datad => \WideAnd3496~0_combout\,
	combout => \WideAnd3496~combout\);

-- Location: FF_X58_Y48_N31
\led_flash_cnt_ands[3496]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3496~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3496));

-- Location: LCCOMB_X54_Y46_N12
\led_flash_cnt[3497][0]~84137\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3497][0]~84137_combout\ = !\led_flash_cnt[3497][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3497][0]~q\,
	combout => \led_flash_cnt[3497][0]~84137_combout\);

-- Location: FF_X54_Y46_N13
\led_flash_cnt[3497][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3497][0]~84137_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3497][0]~q\);

-- Location: LCCOMB_X54_Y46_N14
\led_flash_cnt[3497][1]~75838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3497][1]~75838_combout\ = (\led_flash_cnt[3497][0]~q\ & (\led_flash_cnt[3497][1]~q\ $ (VCC))) # (!\led_flash_cnt[3497][0]~q\ & (\led_flash_cnt[3497][1]~q\ & VCC))
-- \led_flash_cnt[3497][1]~75839\ = CARRY((\led_flash_cnt[3497][0]~q\ & \led_flash_cnt[3497][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3497][0]~q\,
	datab => \led_flash_cnt[3497][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3497][1]~75838_combout\,
	cout => \led_flash_cnt[3497][1]~75839\);

-- Location: FF_X54_Y46_N15
\led_flash_cnt[3497][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3497][1]~75838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3497][1]~q\);

-- Location: LCCOMB_X54_Y46_N16
\led_flash_cnt[3497][2]~75840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3497][2]~75840_combout\ = (\led_flash_cnt[3497][2]~q\ & (!\led_flash_cnt[3497][1]~75839\)) # (!\led_flash_cnt[3497][2]~q\ & ((\led_flash_cnt[3497][1]~75839\) # (GND)))
-- \led_flash_cnt[3497][2]~75841\ = CARRY((!\led_flash_cnt[3497][1]~75839\) # (!\led_flash_cnt[3497][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3497][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3497][1]~75839\,
	combout => \led_flash_cnt[3497][2]~75840_combout\,
	cout => \led_flash_cnt[3497][2]~75841\);

-- Location: FF_X54_Y46_N17
\led_flash_cnt[3497][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3497][2]~75840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3497][2]~q\);

-- Location: LCCOMB_X54_Y46_N18
\led_flash_cnt[3497][3]~75842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3497][3]~75842_combout\ = (\led_flash_cnt[3497][3]~q\ & (\led_flash_cnt[3497][2]~75841\ $ (GND))) # (!\led_flash_cnt[3497][3]~q\ & (!\led_flash_cnt[3497][2]~75841\ & VCC))
-- \led_flash_cnt[3497][3]~75843\ = CARRY((\led_flash_cnt[3497][3]~q\ & !\led_flash_cnt[3497][2]~75841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3497][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3497][2]~75841\,
	combout => \led_flash_cnt[3497][3]~75842_combout\,
	cout => \led_flash_cnt[3497][3]~75843\);

-- Location: FF_X54_Y46_N19
\led_flash_cnt[3497][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3497][3]~75842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3497][3]~q\);

-- Location: LCCOMB_X54_Y46_N20
\led_flash_cnt[3497][4]~75844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3497][4]~75844_combout\ = (\led_flash_cnt[3497][4]~q\ & (!\led_flash_cnt[3497][3]~75843\)) # (!\led_flash_cnt[3497][4]~q\ & ((\led_flash_cnt[3497][3]~75843\) # (GND)))
-- \led_flash_cnt[3497][4]~75845\ = CARRY((!\led_flash_cnt[3497][3]~75843\) # (!\led_flash_cnt[3497][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3497][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3497][3]~75843\,
	combout => \led_flash_cnt[3497][4]~75844_combout\,
	cout => \led_flash_cnt[3497][4]~75845\);

-- Location: FF_X54_Y46_N21
\led_flash_cnt[3497][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3497][4]~75844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3497][4]~q\);

-- Location: LCCOMB_X54_Y46_N22
\led_flash_cnt[3497][5]~75846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3497][5]~75846_combout\ = (\led_flash_cnt[3497][5]~q\ & (\led_flash_cnt[3497][4]~75845\ $ (GND))) # (!\led_flash_cnt[3497][5]~q\ & (!\led_flash_cnt[3497][4]~75845\ & VCC))
-- \led_flash_cnt[3497][5]~75847\ = CARRY((\led_flash_cnt[3497][5]~q\ & !\led_flash_cnt[3497][4]~75845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3497][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3497][4]~75845\,
	combout => \led_flash_cnt[3497][5]~75846_combout\,
	cout => \led_flash_cnt[3497][5]~75847\);

-- Location: FF_X54_Y46_N23
\led_flash_cnt[3497][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3497][5]~75846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3497][5]~q\);

-- Location: LCCOMB_X54_Y46_N24
\led_flash_cnt[3497][6]~75848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3497][6]~75848_combout\ = (\led_flash_cnt[3497][6]~q\ & (!\led_flash_cnt[3497][5]~75847\)) # (!\led_flash_cnt[3497][6]~q\ & ((\led_flash_cnt[3497][5]~75847\) # (GND)))
-- \led_flash_cnt[3497][6]~75849\ = CARRY((!\led_flash_cnt[3497][5]~75847\) # (!\led_flash_cnt[3497][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3497][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3497][5]~75847\,
	combout => \led_flash_cnt[3497][6]~75848_combout\,
	cout => \led_flash_cnt[3497][6]~75849\);

-- Location: FF_X54_Y46_N25
\led_flash_cnt[3497][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3497][6]~75848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3497][6]~q\);

-- Location: LCCOMB_X54_Y46_N10
\WideAnd3497~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3497~1_combout\ = (\led_flash_cnt[3497][5]~q\ & \led_flash_cnt[3497][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3497][5]~q\,
	datad => \led_flash_cnt[3497][6]~q\,
	combout => \WideAnd3497~1_combout\);

-- Location: LCCOMB_X54_Y46_N28
\WideAnd3497~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3497~0_combout\ = (\led_flash_cnt[3497][3]~q\ & (\led_flash_cnt[3497][4]~q\ & (\led_flash_cnt[3497][1]~q\ & \led_flash_cnt[3497][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3497][3]~q\,
	datab => \led_flash_cnt[3497][4]~q\,
	datac => \led_flash_cnt[3497][1]~q\,
	datad => \led_flash_cnt[3497][2]~q\,
	combout => \WideAnd3497~0_combout\);

-- Location: LCCOMB_X54_Y46_N26
\led_flash_cnt[3497][7]~75850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3497][7]~75850_combout\ = \led_flash_cnt[3497][7]~q\ $ (!\led_flash_cnt[3497][6]~75849\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3497][7]~q\,
	cin => \led_flash_cnt[3497][6]~75849\,
	combout => \led_flash_cnt[3497][7]~75850_combout\);

-- Location: FF_X54_Y46_N27
\led_flash_cnt[3497][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3497][7]~75850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3497][7]~q\);

-- Location: LCCOMB_X54_Y46_N0
WideAnd3497 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3497~combout\ = (\WideAnd3497~1_combout\ & (\WideAnd3497~0_combout\ & (\led_flash_cnt[3497][7]~q\ & \led_flash_cnt[3497][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3497~1_combout\,
	datab => \WideAnd3497~0_combout\,
	datac => \led_flash_cnt[3497][7]~q\,
	datad => \led_flash_cnt[3497][0]~q\,
	combout => \WideAnd3497~combout\);

-- Location: FF_X54_Y46_N1
\led_flash_cnt_ands[3497]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3497~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3497));

-- Location: LCCOMB_X54_Y47_N10
\WideAnd4277~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4277~0_combout\ = (led_flash_cnt_ands(3498) & (led_flash_cnt_ands(3499) & (led_flash_cnt_ands(3496) & led_flash_cnt_ands(3497))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3498),
	datab => led_flash_cnt_ands(3499),
	datac => led_flash_cnt_ands(3496),
	datad => led_flash_cnt_ands(3497),
	combout => \WideAnd4277~0_combout\);

-- Location: LCCOMB_X45_Y45_N12
\led_flash_cnt[3500][0]~84140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3500][0]~84140_combout\ = !\led_flash_cnt[3500][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3500][0]~q\,
	combout => \led_flash_cnt[3500][0]~84140_combout\);

-- Location: FF_X45_Y45_N13
\led_flash_cnt[3500][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3500][0]~84140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3500][0]~q\);

-- Location: LCCOMB_X45_Y45_N16
\led_flash_cnt[3500][1]~75880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3500][1]~75880_combout\ = (\led_flash_cnt[3500][0]~q\ & (\led_flash_cnt[3500][1]~q\ $ (VCC))) # (!\led_flash_cnt[3500][0]~q\ & (\led_flash_cnt[3500][1]~q\ & VCC))
-- \led_flash_cnt[3500][1]~75881\ = CARRY((\led_flash_cnt[3500][0]~q\ & \led_flash_cnt[3500][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3500][0]~q\,
	datab => \led_flash_cnt[3500][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3500][1]~75880_combout\,
	cout => \led_flash_cnt[3500][1]~75881\);

-- Location: FF_X45_Y45_N17
\led_flash_cnt[3500][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3500][1]~75880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3500][1]~q\);

-- Location: LCCOMB_X45_Y45_N18
\led_flash_cnt[3500][2]~75882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3500][2]~75882_combout\ = (\led_flash_cnt[3500][2]~q\ & (!\led_flash_cnt[3500][1]~75881\)) # (!\led_flash_cnt[3500][2]~q\ & ((\led_flash_cnt[3500][1]~75881\) # (GND)))
-- \led_flash_cnt[3500][2]~75883\ = CARRY((!\led_flash_cnt[3500][1]~75881\) # (!\led_flash_cnt[3500][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3500][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3500][1]~75881\,
	combout => \led_flash_cnt[3500][2]~75882_combout\,
	cout => \led_flash_cnt[3500][2]~75883\);

-- Location: FF_X45_Y45_N19
\led_flash_cnt[3500][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3500][2]~75882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3500][2]~q\);

-- Location: LCCOMB_X45_Y45_N20
\led_flash_cnt[3500][3]~75884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3500][3]~75884_combout\ = (\led_flash_cnt[3500][3]~q\ & (\led_flash_cnt[3500][2]~75883\ $ (GND))) # (!\led_flash_cnt[3500][3]~q\ & (!\led_flash_cnt[3500][2]~75883\ & VCC))
-- \led_flash_cnt[3500][3]~75885\ = CARRY((\led_flash_cnt[3500][3]~q\ & !\led_flash_cnt[3500][2]~75883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3500][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3500][2]~75883\,
	combout => \led_flash_cnt[3500][3]~75884_combout\,
	cout => \led_flash_cnt[3500][3]~75885\);

-- Location: FF_X45_Y45_N21
\led_flash_cnt[3500][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3500][3]~75884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3500][3]~q\);

-- Location: LCCOMB_X45_Y45_N22
\led_flash_cnt[3500][4]~75886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3500][4]~75886_combout\ = (\led_flash_cnt[3500][4]~q\ & (!\led_flash_cnt[3500][3]~75885\)) # (!\led_flash_cnt[3500][4]~q\ & ((\led_flash_cnt[3500][3]~75885\) # (GND)))
-- \led_flash_cnt[3500][4]~75887\ = CARRY((!\led_flash_cnt[3500][3]~75885\) # (!\led_flash_cnt[3500][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3500][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3500][3]~75885\,
	combout => \led_flash_cnt[3500][4]~75886_combout\,
	cout => \led_flash_cnt[3500][4]~75887\);

-- Location: FF_X45_Y45_N23
\led_flash_cnt[3500][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3500][4]~75886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3500][4]~q\);

-- Location: LCCOMB_X45_Y45_N24
\led_flash_cnt[3500][5]~75888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3500][5]~75888_combout\ = (\led_flash_cnt[3500][5]~q\ & (\led_flash_cnt[3500][4]~75887\ $ (GND))) # (!\led_flash_cnt[3500][5]~q\ & (!\led_flash_cnt[3500][4]~75887\ & VCC))
-- \led_flash_cnt[3500][5]~75889\ = CARRY((\led_flash_cnt[3500][5]~q\ & !\led_flash_cnt[3500][4]~75887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3500][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3500][4]~75887\,
	combout => \led_flash_cnt[3500][5]~75888_combout\,
	cout => \led_flash_cnt[3500][5]~75889\);

-- Location: FF_X45_Y45_N25
\led_flash_cnt[3500][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3500][5]~75888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3500][5]~q\);

-- Location: LCCOMB_X45_Y45_N26
\led_flash_cnt[3500][6]~75890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3500][6]~75890_combout\ = (\led_flash_cnt[3500][6]~q\ & (!\led_flash_cnt[3500][5]~75889\)) # (!\led_flash_cnt[3500][6]~q\ & ((\led_flash_cnt[3500][5]~75889\) # (GND)))
-- \led_flash_cnt[3500][6]~75891\ = CARRY((!\led_flash_cnt[3500][5]~75889\) # (!\led_flash_cnt[3500][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3500][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3500][5]~75889\,
	combout => \led_flash_cnt[3500][6]~75890_combout\,
	cout => \led_flash_cnt[3500][6]~75891\);

-- Location: FF_X45_Y45_N27
\led_flash_cnt[3500][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3500][6]~75890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3500][6]~q\);

-- Location: LCCOMB_X45_Y45_N28
\led_flash_cnt[3500][7]~75892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3500][7]~75892_combout\ = \led_flash_cnt[3500][6]~75891\ $ (!\led_flash_cnt[3500][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3500][7]~q\,
	cin => \led_flash_cnt[3500][6]~75891\,
	combout => \led_flash_cnt[3500][7]~75892_combout\);

-- Location: FF_X45_Y45_N29
\led_flash_cnt[3500][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3500][7]~75892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3500][7]~q\);

-- Location: LCCOMB_X45_Y45_N30
\WideAnd3500~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3500~0_combout\ = (\led_flash_cnt[3500][1]~q\ & (\led_flash_cnt[3500][2]~q\ & (\led_flash_cnt[3500][4]~q\ & \led_flash_cnt[3500][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3500][1]~q\,
	datab => \led_flash_cnt[3500][2]~q\,
	datac => \led_flash_cnt[3500][4]~q\,
	datad => \led_flash_cnt[3500][3]~q\,
	combout => \WideAnd3500~0_combout\);

-- Location: LCCOMB_X45_Y45_N6
\WideAnd3500~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3500~1_combout\ = (\led_flash_cnt[3500][6]~q\ & \led_flash_cnt[3500][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3500][6]~q\,
	datad => \led_flash_cnt[3500][5]~q\,
	combout => \WideAnd3500~1_combout\);

-- Location: LCCOMB_X45_Y45_N10
WideAnd3500 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3500~combout\ = (\led_flash_cnt[3500][0]~q\ & (\led_flash_cnt[3500][7]~q\ & (\WideAnd3500~0_combout\ & \WideAnd3500~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3500][0]~q\,
	datab => \led_flash_cnt[3500][7]~q\,
	datac => \WideAnd3500~0_combout\,
	datad => \WideAnd3500~1_combout\,
	combout => \WideAnd3500~combout\);

-- Location: FF_X45_Y45_N11
\led_flash_cnt_ands[3500]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3500~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3500));

-- Location: LCCOMB_X45_Y45_N14
\led_flash_cnt[3501][0]~84141\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3501][0]~84141_combout\ = !\led_flash_cnt[3501][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3501][0]~q\,
	combout => \led_flash_cnt[3501][0]~84141_combout\);

-- Location: FF_X45_Y45_N15
\led_flash_cnt[3501][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3501][0]~84141_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3501][0]~q\);

-- Location: LCCOMB_X46_Y45_N14
\led_flash_cnt[3501][1]~75894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3501][1]~75894_combout\ = (\led_flash_cnt[3501][0]~q\ & (\led_flash_cnt[3501][1]~q\ $ (VCC))) # (!\led_flash_cnt[3501][0]~q\ & (\led_flash_cnt[3501][1]~q\ & VCC))
-- \led_flash_cnt[3501][1]~75895\ = CARRY((\led_flash_cnt[3501][0]~q\ & \led_flash_cnt[3501][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3501][0]~q\,
	datab => \led_flash_cnt[3501][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3501][1]~75894_combout\,
	cout => \led_flash_cnt[3501][1]~75895\);

-- Location: FF_X46_Y45_N15
\led_flash_cnt[3501][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3501][1]~75894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3501][1]~q\);

-- Location: LCCOMB_X46_Y45_N16
\led_flash_cnt[3501][2]~75896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3501][2]~75896_combout\ = (\led_flash_cnt[3501][2]~q\ & (!\led_flash_cnt[3501][1]~75895\)) # (!\led_flash_cnt[3501][2]~q\ & ((\led_flash_cnt[3501][1]~75895\) # (GND)))
-- \led_flash_cnt[3501][2]~75897\ = CARRY((!\led_flash_cnt[3501][1]~75895\) # (!\led_flash_cnt[3501][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3501][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3501][1]~75895\,
	combout => \led_flash_cnt[3501][2]~75896_combout\,
	cout => \led_flash_cnt[3501][2]~75897\);

-- Location: FF_X46_Y45_N17
\led_flash_cnt[3501][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3501][2]~75896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3501][2]~q\);

-- Location: LCCOMB_X46_Y45_N18
\led_flash_cnt[3501][3]~75898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3501][3]~75898_combout\ = (\led_flash_cnt[3501][3]~q\ & (\led_flash_cnt[3501][2]~75897\ $ (GND))) # (!\led_flash_cnt[3501][3]~q\ & (!\led_flash_cnt[3501][2]~75897\ & VCC))
-- \led_flash_cnt[3501][3]~75899\ = CARRY((\led_flash_cnt[3501][3]~q\ & !\led_flash_cnt[3501][2]~75897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3501][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3501][2]~75897\,
	combout => \led_flash_cnt[3501][3]~75898_combout\,
	cout => \led_flash_cnt[3501][3]~75899\);

-- Location: FF_X46_Y45_N19
\led_flash_cnt[3501][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3501][3]~75898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3501][3]~q\);

-- Location: LCCOMB_X46_Y45_N20
\led_flash_cnt[3501][4]~75900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3501][4]~75900_combout\ = (\led_flash_cnt[3501][4]~q\ & (!\led_flash_cnt[3501][3]~75899\)) # (!\led_flash_cnt[3501][4]~q\ & ((\led_flash_cnt[3501][3]~75899\) # (GND)))
-- \led_flash_cnt[3501][4]~75901\ = CARRY((!\led_flash_cnt[3501][3]~75899\) # (!\led_flash_cnt[3501][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3501][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3501][3]~75899\,
	combout => \led_flash_cnt[3501][4]~75900_combout\,
	cout => \led_flash_cnt[3501][4]~75901\);

-- Location: FF_X46_Y45_N21
\led_flash_cnt[3501][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3501][4]~75900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3501][4]~q\);

-- Location: LCCOMB_X46_Y45_N22
\led_flash_cnt[3501][5]~75902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3501][5]~75902_combout\ = (\led_flash_cnt[3501][5]~q\ & (\led_flash_cnt[3501][4]~75901\ $ (GND))) # (!\led_flash_cnt[3501][5]~q\ & (!\led_flash_cnt[3501][4]~75901\ & VCC))
-- \led_flash_cnt[3501][5]~75903\ = CARRY((\led_flash_cnt[3501][5]~q\ & !\led_flash_cnt[3501][4]~75901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3501][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3501][4]~75901\,
	combout => \led_flash_cnt[3501][5]~75902_combout\,
	cout => \led_flash_cnt[3501][5]~75903\);

-- Location: FF_X46_Y45_N23
\led_flash_cnt[3501][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3501][5]~75902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3501][5]~q\);

-- Location: LCCOMB_X46_Y45_N24
\led_flash_cnt[3501][6]~75904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3501][6]~75904_combout\ = (\led_flash_cnt[3501][6]~q\ & (!\led_flash_cnt[3501][5]~75903\)) # (!\led_flash_cnt[3501][6]~q\ & ((\led_flash_cnt[3501][5]~75903\) # (GND)))
-- \led_flash_cnt[3501][6]~75905\ = CARRY((!\led_flash_cnt[3501][5]~75903\) # (!\led_flash_cnt[3501][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3501][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3501][5]~75903\,
	combout => \led_flash_cnt[3501][6]~75904_combout\,
	cout => \led_flash_cnt[3501][6]~75905\);

-- Location: FF_X46_Y45_N25
\led_flash_cnt[3501][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3501][6]~75904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3501][6]~q\);

-- Location: LCCOMB_X46_Y45_N26
\led_flash_cnt[3501][7]~75906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3501][7]~75906_combout\ = \led_flash_cnt[3501][7]~q\ $ (!\led_flash_cnt[3501][6]~75905\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3501][7]~q\,
	cin => \led_flash_cnt[3501][6]~75905\,
	combout => \led_flash_cnt[3501][7]~75906_combout\);

-- Location: FF_X46_Y45_N27
\led_flash_cnt[3501][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3501][7]~75906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3501][7]~q\);

-- Location: LCCOMB_X45_Y45_N4
\WideAnd3501~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3501~1_combout\ = (\led_flash_cnt[3501][6]~q\ & \led_flash_cnt[3501][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3501][6]~q\,
	datad => \led_flash_cnt[3501][5]~q\,
	combout => \WideAnd3501~1_combout\);

-- Location: LCCOMB_X46_Y45_N28
\WideAnd3501~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3501~0_combout\ = (\led_flash_cnt[3501][4]~q\ & (\led_flash_cnt[3501][3]~q\ & (\led_flash_cnt[3501][1]~q\ & \led_flash_cnt[3501][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3501][4]~q\,
	datab => \led_flash_cnt[3501][3]~q\,
	datac => \led_flash_cnt[3501][1]~q\,
	datad => \led_flash_cnt[3501][2]~q\,
	combout => \WideAnd3501~0_combout\);

-- Location: LCCOMB_X45_Y45_N2
WideAnd3501 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3501~combout\ = (\led_flash_cnt[3501][7]~q\ & (\WideAnd3501~1_combout\ & (\led_flash_cnt[3501][0]~q\ & \WideAnd3501~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3501][7]~q\,
	datab => \WideAnd3501~1_combout\,
	datac => \led_flash_cnt[3501][0]~q\,
	datad => \WideAnd3501~0_combout\,
	combout => \WideAnd3501~combout\);

-- Location: FF_X45_Y45_N3
\led_flash_cnt_ands[3501]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3501~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3501));

-- Location: LCCOMB_X45_Y45_N8
\WideAnd4277~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4277~1_combout\ = (led_flash_cnt_ands(3500) & led_flash_cnt_ands(3501))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3500),
	datad => led_flash_cnt_ands(3501),
	combout => \WideAnd4277~1_combout\);

-- Location: LCCOMB_X54_Y47_N28
\led_flash_cnt[3503][0]~84143\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3503][0]~84143_combout\ = !\led_flash_cnt[3503][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3503][0]~q\,
	combout => \led_flash_cnt[3503][0]~84143_combout\);

-- Location: FF_X54_Y47_N29
\led_flash_cnt[3503][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3503][0]~84143_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3503][0]~q\);

-- Location: LCCOMB_X51_Y47_N18
\led_flash_cnt[3503][1]~75922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3503][1]~75922_combout\ = (\led_flash_cnt[3503][0]~q\ & (\led_flash_cnt[3503][1]~q\ $ (VCC))) # (!\led_flash_cnt[3503][0]~q\ & (\led_flash_cnt[3503][1]~q\ & VCC))
-- \led_flash_cnt[3503][1]~75923\ = CARRY((\led_flash_cnt[3503][0]~q\ & \led_flash_cnt[3503][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3503][0]~q\,
	datab => \led_flash_cnt[3503][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3503][1]~75922_combout\,
	cout => \led_flash_cnt[3503][1]~75923\);

-- Location: FF_X51_Y47_N19
\led_flash_cnt[3503][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3503][1]~75922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3503][1]~q\);

-- Location: LCCOMB_X51_Y47_N20
\led_flash_cnt[3503][2]~75924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3503][2]~75924_combout\ = (\led_flash_cnt[3503][2]~q\ & (!\led_flash_cnt[3503][1]~75923\)) # (!\led_flash_cnt[3503][2]~q\ & ((\led_flash_cnt[3503][1]~75923\) # (GND)))
-- \led_flash_cnt[3503][2]~75925\ = CARRY((!\led_flash_cnt[3503][1]~75923\) # (!\led_flash_cnt[3503][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3503][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3503][1]~75923\,
	combout => \led_flash_cnt[3503][2]~75924_combout\,
	cout => \led_flash_cnt[3503][2]~75925\);

-- Location: FF_X51_Y47_N21
\led_flash_cnt[3503][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3503][2]~75924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3503][2]~q\);

-- Location: LCCOMB_X51_Y47_N22
\led_flash_cnt[3503][3]~75926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3503][3]~75926_combout\ = (\led_flash_cnt[3503][3]~q\ & (\led_flash_cnt[3503][2]~75925\ $ (GND))) # (!\led_flash_cnt[3503][3]~q\ & (!\led_flash_cnt[3503][2]~75925\ & VCC))
-- \led_flash_cnt[3503][3]~75927\ = CARRY((\led_flash_cnt[3503][3]~q\ & !\led_flash_cnt[3503][2]~75925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3503][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3503][2]~75925\,
	combout => \led_flash_cnt[3503][3]~75926_combout\,
	cout => \led_flash_cnt[3503][3]~75927\);

-- Location: FF_X51_Y47_N23
\led_flash_cnt[3503][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3503][3]~75926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3503][3]~q\);

-- Location: LCCOMB_X51_Y47_N24
\led_flash_cnt[3503][4]~75928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3503][4]~75928_combout\ = (\led_flash_cnt[3503][4]~q\ & (!\led_flash_cnt[3503][3]~75927\)) # (!\led_flash_cnt[3503][4]~q\ & ((\led_flash_cnt[3503][3]~75927\) # (GND)))
-- \led_flash_cnt[3503][4]~75929\ = CARRY((!\led_flash_cnt[3503][3]~75927\) # (!\led_flash_cnt[3503][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3503][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3503][3]~75927\,
	combout => \led_flash_cnt[3503][4]~75928_combout\,
	cout => \led_flash_cnt[3503][4]~75929\);

-- Location: FF_X51_Y47_N25
\led_flash_cnt[3503][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3503][4]~75928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3503][4]~q\);

-- Location: LCCOMB_X51_Y47_N26
\led_flash_cnt[3503][5]~75930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3503][5]~75930_combout\ = (\led_flash_cnt[3503][5]~q\ & (\led_flash_cnt[3503][4]~75929\ $ (GND))) # (!\led_flash_cnt[3503][5]~q\ & (!\led_flash_cnt[3503][4]~75929\ & VCC))
-- \led_flash_cnt[3503][5]~75931\ = CARRY((\led_flash_cnt[3503][5]~q\ & !\led_flash_cnt[3503][4]~75929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3503][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3503][4]~75929\,
	combout => \led_flash_cnt[3503][5]~75930_combout\,
	cout => \led_flash_cnt[3503][5]~75931\);

-- Location: FF_X51_Y47_N27
\led_flash_cnt[3503][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3503][5]~75930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3503][5]~q\);

-- Location: LCCOMB_X51_Y47_N28
\led_flash_cnt[3503][6]~75932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3503][6]~75932_combout\ = (\led_flash_cnt[3503][6]~q\ & (!\led_flash_cnt[3503][5]~75931\)) # (!\led_flash_cnt[3503][6]~q\ & ((\led_flash_cnt[3503][5]~75931\) # (GND)))
-- \led_flash_cnt[3503][6]~75933\ = CARRY((!\led_flash_cnt[3503][5]~75931\) # (!\led_flash_cnt[3503][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3503][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3503][5]~75931\,
	combout => \led_flash_cnt[3503][6]~75932_combout\,
	cout => \led_flash_cnt[3503][6]~75933\);

-- Location: FF_X51_Y47_N29
\led_flash_cnt[3503][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3503][6]~75932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3503][6]~q\);

-- Location: LCCOMB_X52_Y47_N6
\WideAnd3503~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3503~1_combout\ = (\led_flash_cnt[3503][5]~q\ & \led_flash_cnt[3503][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3503][5]~q\,
	datad => \led_flash_cnt[3503][6]~q\,
	combout => \WideAnd3503~1_combout\);

-- Location: LCCOMB_X51_Y47_N0
\WideAnd3503~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3503~0_combout\ = (\led_flash_cnt[3503][1]~q\ & (\led_flash_cnt[3503][2]~q\ & (\led_flash_cnt[3503][3]~q\ & \led_flash_cnt[3503][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3503][1]~q\,
	datab => \led_flash_cnt[3503][2]~q\,
	datac => \led_flash_cnt[3503][3]~q\,
	datad => \led_flash_cnt[3503][4]~q\,
	combout => \WideAnd3503~0_combout\);

-- Location: LCCOMB_X51_Y47_N30
\led_flash_cnt[3503][7]~75934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3503][7]~75934_combout\ = \led_flash_cnt[3503][7]~q\ $ (!\led_flash_cnt[3503][6]~75933\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3503][7]~q\,
	cin => \led_flash_cnt[3503][6]~75933\,
	combout => \led_flash_cnt[3503][7]~75934_combout\);

-- Location: FF_X51_Y47_N31
\led_flash_cnt[3503][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3503][7]~75934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3503][7]~q\);

-- Location: LCCOMB_X52_Y47_N0
WideAnd3503 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3503~combout\ = (\WideAnd3503~1_combout\ & (\led_flash_cnt[3503][0]~q\ & (\WideAnd3503~0_combout\ & \led_flash_cnt[3503][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3503~1_combout\,
	datab => \led_flash_cnt[3503][0]~q\,
	datac => \WideAnd3503~0_combout\,
	datad => \led_flash_cnt[3503][7]~q\,
	combout => \WideAnd3503~combout\);

-- Location: FF_X52_Y47_N1
\led_flash_cnt_ands[3503]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3503~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3503));

-- Location: LCCOMB_X52_Y47_N26
WideAnd4277 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4277~combout\ = (led_flash_cnt_ands(3502) & (\WideAnd4277~0_combout\ & (\WideAnd4277~1_combout\ & led_flash_cnt_ands(3503))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3502),
	datab => \WideAnd4277~0_combout\,
	datac => \WideAnd4277~1_combout\,
	datad => led_flash_cnt_ands(3503),
	combout => \WideAnd4277~combout\);

-- Location: FF_X52_Y47_N27
\led_flash_cnt_ands_1[437]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4277~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(437));

-- Location: LCCOMB_X56_Y39_N26
\WideAnd4374~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4374~1_combout\ = (led_flash_cnt_ands_1(436) & led_flash_cnt_ands_1(437))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(436),
	datac => led_flash_cnt_ands_1(437),
	combout => \WideAnd4374~1_combout\);

-- Location: LCCOMB_X24_Y37_N12
\led_flash_cnt[3508][0]~84148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3508][0]~84148_combout\ = !\led_flash_cnt[3508][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3508][0]~q\,
	combout => \led_flash_cnt[3508][0]~84148_combout\);

-- Location: FF_X24_Y37_N13
\led_flash_cnt[3508][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3508][0]~84148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3508][0]~q\);

-- Location: LCCOMB_X24_Y37_N16
\led_flash_cnt[3508][1]~75992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3508][1]~75992_combout\ = (\led_flash_cnt[3508][0]~q\ & (\led_flash_cnt[3508][1]~q\ $ (VCC))) # (!\led_flash_cnt[3508][0]~q\ & (\led_flash_cnt[3508][1]~q\ & VCC))
-- \led_flash_cnt[3508][1]~75993\ = CARRY((\led_flash_cnt[3508][0]~q\ & \led_flash_cnt[3508][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3508][0]~q\,
	datab => \led_flash_cnt[3508][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3508][1]~75992_combout\,
	cout => \led_flash_cnt[3508][1]~75993\);

-- Location: FF_X24_Y37_N17
\led_flash_cnt[3508][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3508][1]~75992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3508][1]~q\);

-- Location: LCCOMB_X24_Y37_N18
\led_flash_cnt[3508][2]~75994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3508][2]~75994_combout\ = (\led_flash_cnt[3508][2]~q\ & (!\led_flash_cnt[3508][1]~75993\)) # (!\led_flash_cnt[3508][2]~q\ & ((\led_flash_cnt[3508][1]~75993\) # (GND)))
-- \led_flash_cnt[3508][2]~75995\ = CARRY((!\led_flash_cnt[3508][1]~75993\) # (!\led_flash_cnt[3508][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3508][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3508][1]~75993\,
	combout => \led_flash_cnt[3508][2]~75994_combout\,
	cout => \led_flash_cnt[3508][2]~75995\);

-- Location: FF_X24_Y37_N19
\led_flash_cnt[3508][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3508][2]~75994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3508][2]~q\);

-- Location: LCCOMB_X24_Y37_N20
\led_flash_cnt[3508][3]~75996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3508][3]~75996_combout\ = (\led_flash_cnt[3508][3]~q\ & (\led_flash_cnt[3508][2]~75995\ $ (GND))) # (!\led_flash_cnt[3508][3]~q\ & (!\led_flash_cnt[3508][2]~75995\ & VCC))
-- \led_flash_cnt[3508][3]~75997\ = CARRY((\led_flash_cnt[3508][3]~q\ & !\led_flash_cnt[3508][2]~75995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3508][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3508][2]~75995\,
	combout => \led_flash_cnt[3508][3]~75996_combout\,
	cout => \led_flash_cnt[3508][3]~75997\);

-- Location: FF_X24_Y37_N21
\led_flash_cnt[3508][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3508][3]~75996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3508][3]~q\);

-- Location: LCCOMB_X24_Y37_N22
\led_flash_cnt[3508][4]~75998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3508][4]~75998_combout\ = (\led_flash_cnt[3508][4]~q\ & (!\led_flash_cnt[3508][3]~75997\)) # (!\led_flash_cnt[3508][4]~q\ & ((\led_flash_cnt[3508][3]~75997\) # (GND)))
-- \led_flash_cnt[3508][4]~75999\ = CARRY((!\led_flash_cnt[3508][3]~75997\) # (!\led_flash_cnt[3508][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3508][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3508][3]~75997\,
	combout => \led_flash_cnt[3508][4]~75998_combout\,
	cout => \led_flash_cnt[3508][4]~75999\);

-- Location: FF_X24_Y37_N23
\led_flash_cnt[3508][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3508][4]~75998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3508][4]~q\);

-- Location: LCCOMB_X24_Y37_N24
\led_flash_cnt[3508][5]~76000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3508][5]~76000_combout\ = (\led_flash_cnt[3508][5]~q\ & (\led_flash_cnt[3508][4]~75999\ $ (GND))) # (!\led_flash_cnt[3508][5]~q\ & (!\led_flash_cnt[3508][4]~75999\ & VCC))
-- \led_flash_cnt[3508][5]~76001\ = CARRY((\led_flash_cnt[3508][5]~q\ & !\led_flash_cnt[3508][4]~75999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3508][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3508][4]~75999\,
	combout => \led_flash_cnt[3508][5]~76000_combout\,
	cout => \led_flash_cnt[3508][5]~76001\);

-- Location: FF_X24_Y37_N25
\led_flash_cnt[3508][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3508][5]~76000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3508][5]~q\);

-- Location: LCCOMB_X24_Y37_N26
\led_flash_cnt[3508][6]~76002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3508][6]~76002_combout\ = (\led_flash_cnt[3508][6]~q\ & (!\led_flash_cnt[3508][5]~76001\)) # (!\led_flash_cnt[3508][6]~q\ & ((\led_flash_cnt[3508][5]~76001\) # (GND)))
-- \led_flash_cnt[3508][6]~76003\ = CARRY((!\led_flash_cnt[3508][5]~76001\) # (!\led_flash_cnt[3508][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3508][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3508][5]~76001\,
	combout => \led_flash_cnt[3508][6]~76002_combout\,
	cout => \led_flash_cnt[3508][6]~76003\);

-- Location: FF_X24_Y37_N27
\led_flash_cnt[3508][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3508][6]~76002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3508][6]~q\);

-- Location: LCCOMB_X24_Y37_N28
\led_flash_cnt[3508][7]~76004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3508][7]~76004_combout\ = \led_flash_cnt[3508][6]~76003\ $ (!\led_flash_cnt[3508][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3508][7]~q\,
	cin => \led_flash_cnt[3508][6]~76003\,
	combout => \led_flash_cnt[3508][7]~76004_combout\);

-- Location: FF_X24_Y37_N29
\led_flash_cnt[3508][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3508][7]~76004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3508][7]~q\);

-- Location: LCCOMB_X24_Y37_N14
\WideAnd3508~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3508~0_combout\ = (\led_flash_cnt[3508][2]~q\ & (\led_flash_cnt[3508][3]~q\ & (\led_flash_cnt[3508][4]~q\ & \led_flash_cnt[3508][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3508][2]~q\,
	datab => \led_flash_cnt[3508][3]~q\,
	datac => \led_flash_cnt[3508][4]~q\,
	datad => \led_flash_cnt[3508][1]~q\,
	combout => \WideAnd3508~0_combout\);

-- Location: LCCOMB_X24_Y37_N0
\WideAnd3508~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3508~1_combout\ = (\led_flash_cnt[3508][6]~q\ & \led_flash_cnt[3508][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3508][6]~q\,
	datad => \led_flash_cnt[3508][5]~q\,
	combout => \WideAnd3508~1_combout\);

-- Location: LCCOMB_X24_Y37_N2
WideAnd3508 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3508~combout\ = (\led_flash_cnt[3508][0]~q\ & (\led_flash_cnt[3508][7]~q\ & (\WideAnd3508~0_combout\ & \WideAnd3508~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3508][0]~q\,
	datab => \led_flash_cnt[3508][7]~q\,
	datac => \WideAnd3508~0_combout\,
	datad => \WideAnd3508~1_combout\,
	combout => \WideAnd3508~combout\);

-- Location: FF_X24_Y37_N3
\led_flash_cnt_ands[3508]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3508~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3508));

-- Location: LCCOMB_X13_Y34_N24
\led_flash_cnt[3509][0]~84149\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3509][0]~84149_combout\ = !\led_flash_cnt[3509][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3509][0]~q\,
	combout => \led_flash_cnt[3509][0]~84149_combout\);

-- Location: FF_X13_Y34_N25
\led_flash_cnt[3509][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3509][0]~84149_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3509][0]~q\);

-- Location: LCCOMB_X13_Y34_N6
\led_flash_cnt[3509][1]~76006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3509][1]~76006_combout\ = (\led_flash_cnt[3509][1]~q\ & (\led_flash_cnt[3509][0]~q\ $ (VCC))) # (!\led_flash_cnt[3509][1]~q\ & (\led_flash_cnt[3509][0]~q\ & VCC))
-- \led_flash_cnt[3509][1]~76007\ = CARRY((\led_flash_cnt[3509][1]~q\ & \led_flash_cnt[3509][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3509][1]~q\,
	datab => \led_flash_cnt[3509][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3509][1]~76006_combout\,
	cout => \led_flash_cnt[3509][1]~76007\);

-- Location: FF_X13_Y34_N7
\led_flash_cnt[3509][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3509][1]~76006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3509][1]~q\);

-- Location: LCCOMB_X13_Y34_N8
\led_flash_cnt[3509][2]~76008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3509][2]~76008_combout\ = (\led_flash_cnt[3509][2]~q\ & (!\led_flash_cnt[3509][1]~76007\)) # (!\led_flash_cnt[3509][2]~q\ & ((\led_flash_cnt[3509][1]~76007\) # (GND)))
-- \led_flash_cnt[3509][2]~76009\ = CARRY((!\led_flash_cnt[3509][1]~76007\) # (!\led_flash_cnt[3509][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3509][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3509][1]~76007\,
	combout => \led_flash_cnt[3509][2]~76008_combout\,
	cout => \led_flash_cnt[3509][2]~76009\);

-- Location: FF_X13_Y34_N9
\led_flash_cnt[3509][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3509][2]~76008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3509][2]~q\);

-- Location: LCCOMB_X13_Y34_N10
\led_flash_cnt[3509][3]~76010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3509][3]~76010_combout\ = (\led_flash_cnt[3509][3]~q\ & (\led_flash_cnt[3509][2]~76009\ $ (GND))) # (!\led_flash_cnt[3509][3]~q\ & (!\led_flash_cnt[3509][2]~76009\ & VCC))
-- \led_flash_cnt[3509][3]~76011\ = CARRY((\led_flash_cnt[3509][3]~q\ & !\led_flash_cnt[3509][2]~76009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3509][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3509][2]~76009\,
	combout => \led_flash_cnt[3509][3]~76010_combout\,
	cout => \led_flash_cnt[3509][3]~76011\);

-- Location: FF_X13_Y34_N11
\led_flash_cnt[3509][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3509][3]~76010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3509][3]~q\);

-- Location: LCCOMB_X13_Y34_N12
\led_flash_cnt[3509][4]~76012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3509][4]~76012_combout\ = (\led_flash_cnt[3509][4]~q\ & (!\led_flash_cnt[3509][3]~76011\)) # (!\led_flash_cnt[3509][4]~q\ & ((\led_flash_cnt[3509][3]~76011\) # (GND)))
-- \led_flash_cnt[3509][4]~76013\ = CARRY((!\led_flash_cnt[3509][3]~76011\) # (!\led_flash_cnt[3509][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3509][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3509][3]~76011\,
	combout => \led_flash_cnt[3509][4]~76012_combout\,
	cout => \led_flash_cnt[3509][4]~76013\);

-- Location: FF_X13_Y34_N13
\led_flash_cnt[3509][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3509][4]~76012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3509][4]~q\);

-- Location: LCCOMB_X13_Y34_N22
\WideAnd3509~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3509~0_combout\ = (\led_flash_cnt[3509][3]~q\ & (\led_flash_cnt[3509][1]~q\ & (\led_flash_cnt[3509][2]~q\ & \led_flash_cnt[3509][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3509][3]~q\,
	datab => \led_flash_cnt[3509][1]~q\,
	datac => \led_flash_cnt[3509][2]~q\,
	datad => \led_flash_cnt[3509][4]~q\,
	combout => \WideAnd3509~0_combout\);

-- Location: LCCOMB_X13_Y34_N14
\led_flash_cnt[3509][5]~76014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3509][5]~76014_combout\ = (\led_flash_cnt[3509][5]~q\ & (\led_flash_cnt[3509][4]~76013\ $ (GND))) # (!\led_flash_cnt[3509][5]~q\ & (!\led_flash_cnt[3509][4]~76013\ & VCC))
-- \led_flash_cnt[3509][5]~76015\ = CARRY((\led_flash_cnt[3509][5]~q\ & !\led_flash_cnt[3509][4]~76013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3509][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3509][4]~76013\,
	combout => \led_flash_cnt[3509][5]~76014_combout\,
	cout => \led_flash_cnt[3509][5]~76015\);

-- Location: FF_X13_Y34_N15
\led_flash_cnt[3509][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3509][5]~76014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3509][5]~q\);

-- Location: LCCOMB_X13_Y34_N16
\led_flash_cnt[3509][6]~76016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3509][6]~76016_combout\ = (\led_flash_cnt[3509][6]~q\ & (!\led_flash_cnt[3509][5]~76015\)) # (!\led_flash_cnt[3509][6]~q\ & ((\led_flash_cnt[3509][5]~76015\) # (GND)))
-- \led_flash_cnt[3509][6]~76017\ = CARRY((!\led_flash_cnt[3509][5]~76015\) # (!\led_flash_cnt[3509][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3509][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3509][5]~76015\,
	combout => \led_flash_cnt[3509][6]~76016_combout\,
	cout => \led_flash_cnt[3509][6]~76017\);

-- Location: FF_X13_Y34_N17
\led_flash_cnt[3509][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3509][6]~76016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3509][6]~q\);

-- Location: LCCOMB_X13_Y34_N30
\WideAnd3509~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3509~1_combout\ = (\led_flash_cnt[3509][5]~q\ & \led_flash_cnt[3509][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3509][5]~q\,
	datad => \led_flash_cnt[3509][6]~q\,
	combout => \WideAnd3509~1_combout\);

-- Location: LCCOMB_X13_Y34_N18
\led_flash_cnt[3509][7]~76018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3509][7]~76018_combout\ = \led_flash_cnt[3509][6]~76017\ $ (!\led_flash_cnt[3509][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3509][7]~q\,
	cin => \led_flash_cnt[3509][6]~76017\,
	combout => \led_flash_cnt[3509][7]~76018_combout\);

-- Location: FF_X13_Y34_N19
\led_flash_cnt[3509][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3509][7]~76018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3509][7]~q\);

-- Location: LCCOMB_X13_Y34_N2
WideAnd3509 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3509~combout\ = (\WideAnd3509~0_combout\ & (\led_flash_cnt[3509][0]~q\ & (\WideAnd3509~1_combout\ & \led_flash_cnt[3509][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3509~0_combout\,
	datab => \led_flash_cnt[3509][0]~q\,
	datac => \WideAnd3509~1_combout\,
	datad => \led_flash_cnt[3509][7]~q\,
	combout => \WideAnd3509~combout\);

-- Location: FF_X13_Y34_N3
\led_flash_cnt_ands[3509]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3509~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3509));

-- Location: LCCOMB_X25_Y38_N24
\WideAnd4278~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4278~1_combout\ = (led_flash_cnt_ands(3508) & led_flash_cnt_ands(3509))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3508),
	datad => led_flash_cnt_ands(3509),
	combout => \WideAnd4278~1_combout\);

-- Location: LCCOMB_X29_Y38_N16
\led_flash_cnt[3511][0]~84151\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3511][0]~84151_combout\ = !\led_flash_cnt[3511][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3511][0]~q\,
	combout => \led_flash_cnt[3511][0]~84151_combout\);

-- Location: FF_X29_Y38_N17
\led_flash_cnt[3511][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3511][0]~84151_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3511][0]~q\);

-- Location: LCCOMB_X29_Y35_N0
\led_flash_cnt[3511][1]~76034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3511][1]~76034_combout\ = (\led_flash_cnt[3511][0]~q\ & (\led_flash_cnt[3511][1]~q\ $ (VCC))) # (!\led_flash_cnt[3511][0]~q\ & (\led_flash_cnt[3511][1]~q\ & VCC))
-- \led_flash_cnt[3511][1]~76035\ = CARRY((\led_flash_cnt[3511][0]~q\ & \led_flash_cnt[3511][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3511][0]~q\,
	datab => \led_flash_cnt[3511][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3511][1]~76034_combout\,
	cout => \led_flash_cnt[3511][1]~76035\);

-- Location: FF_X29_Y35_N1
\led_flash_cnt[3511][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3511][1]~76034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3511][1]~q\);

-- Location: LCCOMB_X29_Y35_N2
\led_flash_cnt[3511][2]~76036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3511][2]~76036_combout\ = (\led_flash_cnt[3511][2]~q\ & (!\led_flash_cnt[3511][1]~76035\)) # (!\led_flash_cnt[3511][2]~q\ & ((\led_flash_cnt[3511][1]~76035\) # (GND)))
-- \led_flash_cnt[3511][2]~76037\ = CARRY((!\led_flash_cnt[3511][1]~76035\) # (!\led_flash_cnt[3511][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3511][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3511][1]~76035\,
	combout => \led_flash_cnt[3511][2]~76036_combout\,
	cout => \led_flash_cnt[3511][2]~76037\);

-- Location: FF_X29_Y35_N3
\led_flash_cnt[3511][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3511][2]~76036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3511][2]~q\);

-- Location: LCCOMB_X29_Y35_N4
\led_flash_cnt[3511][3]~76038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3511][3]~76038_combout\ = (\led_flash_cnt[3511][3]~q\ & (\led_flash_cnt[3511][2]~76037\ $ (GND))) # (!\led_flash_cnt[3511][3]~q\ & (!\led_flash_cnt[3511][2]~76037\ & VCC))
-- \led_flash_cnt[3511][3]~76039\ = CARRY((\led_flash_cnt[3511][3]~q\ & !\led_flash_cnt[3511][2]~76037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3511][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3511][2]~76037\,
	combout => \led_flash_cnt[3511][3]~76038_combout\,
	cout => \led_flash_cnt[3511][3]~76039\);

-- Location: FF_X29_Y35_N5
\led_flash_cnt[3511][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3511][3]~76038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3511][3]~q\);

-- Location: LCCOMB_X29_Y35_N6
\led_flash_cnt[3511][4]~76040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3511][4]~76040_combout\ = (\led_flash_cnt[3511][4]~q\ & (!\led_flash_cnt[3511][3]~76039\)) # (!\led_flash_cnt[3511][4]~q\ & ((\led_flash_cnt[3511][3]~76039\) # (GND)))
-- \led_flash_cnt[3511][4]~76041\ = CARRY((!\led_flash_cnt[3511][3]~76039\) # (!\led_flash_cnt[3511][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3511][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3511][3]~76039\,
	combout => \led_flash_cnt[3511][4]~76040_combout\,
	cout => \led_flash_cnt[3511][4]~76041\);

-- Location: FF_X29_Y35_N7
\led_flash_cnt[3511][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3511][4]~76040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3511][4]~q\);

-- Location: LCCOMB_X29_Y35_N14
\WideAnd3511~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3511~0_combout\ = (\led_flash_cnt[3511][4]~q\ & (\led_flash_cnt[3511][1]~q\ & (\led_flash_cnt[3511][3]~q\ & \led_flash_cnt[3511][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3511][4]~q\,
	datab => \led_flash_cnt[3511][1]~q\,
	datac => \led_flash_cnt[3511][3]~q\,
	datad => \led_flash_cnt[3511][2]~q\,
	combout => \WideAnd3511~0_combout\);

-- Location: LCCOMB_X29_Y35_N8
\led_flash_cnt[3511][5]~76042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3511][5]~76042_combout\ = (\led_flash_cnt[3511][5]~q\ & (\led_flash_cnt[3511][4]~76041\ $ (GND))) # (!\led_flash_cnt[3511][5]~q\ & (!\led_flash_cnt[3511][4]~76041\ & VCC))
-- \led_flash_cnt[3511][5]~76043\ = CARRY((\led_flash_cnt[3511][5]~q\ & !\led_flash_cnt[3511][4]~76041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3511][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3511][4]~76041\,
	combout => \led_flash_cnt[3511][5]~76042_combout\,
	cout => \led_flash_cnt[3511][5]~76043\);

-- Location: FF_X29_Y35_N9
\led_flash_cnt[3511][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3511][5]~76042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3511][5]~q\);

-- Location: LCCOMB_X29_Y35_N10
\led_flash_cnt[3511][6]~76044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3511][6]~76044_combout\ = (\led_flash_cnt[3511][6]~q\ & (!\led_flash_cnt[3511][5]~76043\)) # (!\led_flash_cnt[3511][6]~q\ & ((\led_flash_cnt[3511][5]~76043\) # (GND)))
-- \led_flash_cnt[3511][6]~76045\ = CARRY((!\led_flash_cnt[3511][5]~76043\) # (!\led_flash_cnt[3511][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3511][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3511][5]~76043\,
	combout => \led_flash_cnt[3511][6]~76044_combout\,
	cout => \led_flash_cnt[3511][6]~76045\);

-- Location: FF_X29_Y35_N11
\led_flash_cnt[3511][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3511][6]~76044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3511][6]~q\);

-- Location: LCCOMB_X29_Y35_N16
\WideAnd3511~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3511~1_combout\ = (\led_flash_cnt[3511][5]~q\ & \led_flash_cnt[3511][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3511][5]~q\,
	datad => \led_flash_cnt[3511][6]~q\,
	combout => \WideAnd3511~1_combout\);

-- Location: LCCOMB_X29_Y35_N12
\led_flash_cnt[3511][7]~76046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3511][7]~76046_combout\ = \led_flash_cnt[3511][6]~76045\ $ (!\led_flash_cnt[3511][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3511][7]~q\,
	cin => \led_flash_cnt[3511][6]~76045\,
	combout => \led_flash_cnt[3511][7]~76046_combout\);

-- Location: FF_X29_Y35_N13
\led_flash_cnt[3511][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3511][7]~76046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3511][7]~q\);

-- Location: LCCOMB_X29_Y38_N24
WideAnd3511 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3511~combout\ = (\WideAnd3511~0_combout\ & (\WideAnd3511~1_combout\ & (\led_flash_cnt[3511][7]~q\ & \led_flash_cnt[3511][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3511~0_combout\,
	datab => \WideAnd3511~1_combout\,
	datac => \led_flash_cnt[3511][7]~q\,
	datad => \led_flash_cnt[3511][0]~q\,
	combout => \WideAnd3511~combout\);

-- Location: FF_X29_Y38_N25
\led_flash_cnt_ands[3511]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3511~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3511));

-- Location: LCCOMB_X29_Y38_N30
\led_flash_cnt[3510][0]~84150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3510][0]~84150_combout\ = !\led_flash_cnt[3510][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3510][0]~q\,
	combout => \led_flash_cnt[3510][0]~84150_combout\);

-- Location: FF_X29_Y38_N31
\led_flash_cnt[3510][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3510][0]~84150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3510][0]~q\);

-- Location: LCCOMB_X29_Y38_N0
\led_flash_cnt[3510][1]~76020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3510][1]~76020_combout\ = (\led_flash_cnt[3510][0]~q\ & (\led_flash_cnt[3510][1]~q\ $ (VCC))) # (!\led_flash_cnt[3510][0]~q\ & (\led_flash_cnt[3510][1]~q\ & VCC))
-- \led_flash_cnt[3510][1]~76021\ = CARRY((\led_flash_cnt[3510][0]~q\ & \led_flash_cnt[3510][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3510][0]~q\,
	datab => \led_flash_cnt[3510][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3510][1]~76020_combout\,
	cout => \led_flash_cnt[3510][1]~76021\);

-- Location: FF_X29_Y38_N1
\led_flash_cnt[3510][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3510][1]~76020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3510][1]~q\);

-- Location: LCCOMB_X29_Y38_N2
\led_flash_cnt[3510][2]~76022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3510][2]~76022_combout\ = (\led_flash_cnt[3510][2]~q\ & (!\led_flash_cnt[3510][1]~76021\)) # (!\led_flash_cnt[3510][2]~q\ & ((\led_flash_cnt[3510][1]~76021\) # (GND)))
-- \led_flash_cnt[3510][2]~76023\ = CARRY((!\led_flash_cnt[3510][1]~76021\) # (!\led_flash_cnt[3510][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3510][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3510][1]~76021\,
	combout => \led_flash_cnt[3510][2]~76022_combout\,
	cout => \led_flash_cnt[3510][2]~76023\);

-- Location: FF_X29_Y38_N3
\led_flash_cnt[3510][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3510][2]~76022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3510][2]~q\);

-- Location: LCCOMB_X29_Y38_N4
\led_flash_cnt[3510][3]~76024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3510][3]~76024_combout\ = (\led_flash_cnt[3510][3]~q\ & (\led_flash_cnt[3510][2]~76023\ $ (GND))) # (!\led_flash_cnt[3510][3]~q\ & (!\led_flash_cnt[3510][2]~76023\ & VCC))
-- \led_flash_cnt[3510][3]~76025\ = CARRY((\led_flash_cnt[3510][3]~q\ & !\led_flash_cnt[3510][2]~76023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3510][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3510][2]~76023\,
	combout => \led_flash_cnt[3510][3]~76024_combout\,
	cout => \led_flash_cnt[3510][3]~76025\);

-- Location: FF_X29_Y38_N5
\led_flash_cnt[3510][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3510][3]~76024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3510][3]~q\);

-- Location: LCCOMB_X29_Y38_N6
\led_flash_cnt[3510][4]~76026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3510][4]~76026_combout\ = (\led_flash_cnt[3510][4]~q\ & (!\led_flash_cnt[3510][3]~76025\)) # (!\led_flash_cnt[3510][4]~q\ & ((\led_flash_cnt[3510][3]~76025\) # (GND)))
-- \led_flash_cnt[3510][4]~76027\ = CARRY((!\led_flash_cnt[3510][3]~76025\) # (!\led_flash_cnt[3510][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3510][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3510][3]~76025\,
	combout => \led_flash_cnt[3510][4]~76026_combout\,
	cout => \led_flash_cnt[3510][4]~76027\);

-- Location: FF_X29_Y38_N7
\led_flash_cnt[3510][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3510][4]~76026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3510][4]~q\);

-- Location: LCCOMB_X29_Y38_N22
\WideAnd3510~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3510~0_combout\ = (\led_flash_cnt[3510][4]~q\ & (\led_flash_cnt[3510][2]~q\ & (\led_flash_cnt[3510][3]~q\ & \led_flash_cnt[3510][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3510][4]~q\,
	datab => \led_flash_cnt[3510][2]~q\,
	datac => \led_flash_cnt[3510][3]~q\,
	datad => \led_flash_cnt[3510][1]~q\,
	combout => \WideAnd3510~0_combout\);

-- Location: LCCOMB_X29_Y38_N8
\led_flash_cnt[3510][5]~76028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3510][5]~76028_combout\ = (\led_flash_cnt[3510][5]~q\ & (\led_flash_cnt[3510][4]~76027\ $ (GND))) # (!\led_flash_cnt[3510][5]~q\ & (!\led_flash_cnt[3510][4]~76027\ & VCC))
-- \led_flash_cnt[3510][5]~76029\ = CARRY((\led_flash_cnt[3510][5]~q\ & !\led_flash_cnt[3510][4]~76027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3510][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3510][4]~76027\,
	combout => \led_flash_cnt[3510][5]~76028_combout\,
	cout => \led_flash_cnt[3510][5]~76029\);

-- Location: FF_X29_Y38_N9
\led_flash_cnt[3510][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3510][5]~76028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3510][5]~q\);

-- Location: LCCOMB_X29_Y38_N10
\led_flash_cnt[3510][6]~76030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3510][6]~76030_combout\ = (\led_flash_cnt[3510][6]~q\ & (!\led_flash_cnt[3510][5]~76029\)) # (!\led_flash_cnt[3510][6]~q\ & ((\led_flash_cnt[3510][5]~76029\) # (GND)))
-- \led_flash_cnt[3510][6]~76031\ = CARRY((!\led_flash_cnt[3510][5]~76029\) # (!\led_flash_cnt[3510][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3510][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3510][5]~76029\,
	combout => \led_flash_cnt[3510][6]~76030_combout\,
	cout => \led_flash_cnt[3510][6]~76031\);

-- Location: FF_X29_Y38_N11
\led_flash_cnt[3510][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3510][6]~76030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3510][6]~q\);

-- Location: LCCOMB_X29_Y38_N18
\WideAnd3510~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3510~1_combout\ = (\led_flash_cnt[3510][5]~q\ & \led_flash_cnt[3510][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3510][5]~q\,
	datad => \led_flash_cnt[3510][6]~q\,
	combout => \WideAnd3510~1_combout\);

-- Location: LCCOMB_X29_Y38_N12
\led_flash_cnt[3510][7]~76032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3510][7]~76032_combout\ = \led_flash_cnt[3510][6]~76031\ $ (!\led_flash_cnt[3510][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3510][7]~q\,
	cin => \led_flash_cnt[3510][6]~76031\,
	combout => \led_flash_cnt[3510][7]~76032_combout\);

-- Location: FF_X29_Y38_N13
\led_flash_cnt[3510][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3510][7]~76032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3510][7]~q\);

-- Location: LCCOMB_X29_Y38_N26
WideAnd3510 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3510~combout\ = (\WideAnd3510~0_combout\ & (\WideAnd3510~1_combout\ & (\led_flash_cnt[3510][0]~q\ & \led_flash_cnt[3510][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3510~0_combout\,
	datab => \WideAnd3510~1_combout\,
	datac => \led_flash_cnt[3510][0]~q\,
	datad => \led_flash_cnt[3510][7]~q\,
	combout => \WideAnd3510~combout\);

-- Location: FF_X29_Y38_N27
\led_flash_cnt_ands[3510]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3510~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3510));

-- Location: LCCOMB_X58_Y48_N26
\led_flash_cnt[3506][0]~84146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3506][0]~84146_combout\ = !\led_flash_cnt[3506][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3506][0]~q\,
	combout => \led_flash_cnt[3506][0]~84146_combout\);

-- Location: FF_X58_Y48_N27
\led_flash_cnt[3506][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3506][0]~84146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3506][0]~q\);

-- Location: LCCOMB_X59_Y48_N0
\led_flash_cnt[3506][1]~75964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3506][1]~75964_combout\ = (\led_flash_cnt[3506][0]~q\ & (\led_flash_cnt[3506][1]~q\ $ (VCC))) # (!\led_flash_cnt[3506][0]~q\ & (\led_flash_cnt[3506][1]~q\ & VCC))
-- \led_flash_cnt[3506][1]~75965\ = CARRY((\led_flash_cnt[3506][0]~q\ & \led_flash_cnt[3506][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3506][0]~q\,
	datab => \led_flash_cnt[3506][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3506][1]~75964_combout\,
	cout => \led_flash_cnt[3506][1]~75965\);

-- Location: FF_X59_Y48_N1
\led_flash_cnt[3506][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3506][1]~75964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3506][1]~q\);

-- Location: LCCOMB_X59_Y48_N2
\led_flash_cnt[3506][2]~75966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3506][2]~75966_combout\ = (\led_flash_cnt[3506][2]~q\ & (!\led_flash_cnt[3506][1]~75965\)) # (!\led_flash_cnt[3506][2]~q\ & ((\led_flash_cnt[3506][1]~75965\) # (GND)))
-- \led_flash_cnt[3506][2]~75967\ = CARRY((!\led_flash_cnt[3506][1]~75965\) # (!\led_flash_cnt[3506][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3506][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3506][1]~75965\,
	combout => \led_flash_cnt[3506][2]~75966_combout\,
	cout => \led_flash_cnt[3506][2]~75967\);

-- Location: FF_X59_Y48_N3
\led_flash_cnt[3506][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3506][2]~75966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3506][2]~q\);

-- Location: LCCOMB_X59_Y48_N4
\led_flash_cnt[3506][3]~75968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3506][3]~75968_combout\ = (\led_flash_cnt[3506][3]~q\ & (\led_flash_cnt[3506][2]~75967\ $ (GND))) # (!\led_flash_cnt[3506][3]~q\ & (!\led_flash_cnt[3506][2]~75967\ & VCC))
-- \led_flash_cnt[3506][3]~75969\ = CARRY((\led_flash_cnt[3506][3]~q\ & !\led_flash_cnt[3506][2]~75967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3506][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3506][2]~75967\,
	combout => \led_flash_cnt[3506][3]~75968_combout\,
	cout => \led_flash_cnt[3506][3]~75969\);

-- Location: FF_X59_Y48_N5
\led_flash_cnt[3506][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3506][3]~75968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3506][3]~q\);

-- Location: LCCOMB_X59_Y48_N6
\led_flash_cnt[3506][4]~75970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3506][4]~75970_combout\ = (\led_flash_cnt[3506][4]~q\ & (!\led_flash_cnt[3506][3]~75969\)) # (!\led_flash_cnt[3506][4]~q\ & ((\led_flash_cnt[3506][3]~75969\) # (GND)))
-- \led_flash_cnt[3506][4]~75971\ = CARRY((!\led_flash_cnt[3506][3]~75969\) # (!\led_flash_cnt[3506][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3506][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3506][3]~75969\,
	combout => \led_flash_cnt[3506][4]~75970_combout\,
	cout => \led_flash_cnt[3506][4]~75971\);

-- Location: FF_X59_Y48_N7
\led_flash_cnt[3506][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3506][4]~75970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3506][4]~q\);

-- Location: LCCOMB_X59_Y48_N16
\WideAnd3506~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3506~0_combout\ = (\led_flash_cnt[3506][4]~q\ & (\led_flash_cnt[3506][1]~q\ & (\led_flash_cnt[3506][3]~q\ & \led_flash_cnt[3506][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3506][4]~q\,
	datab => \led_flash_cnt[3506][1]~q\,
	datac => \led_flash_cnt[3506][3]~q\,
	datad => \led_flash_cnt[3506][2]~q\,
	combout => \WideAnd3506~0_combout\);

-- Location: LCCOMB_X59_Y48_N8
\led_flash_cnt[3506][5]~75972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3506][5]~75972_combout\ = (\led_flash_cnt[3506][5]~q\ & (\led_flash_cnt[3506][4]~75971\ $ (GND))) # (!\led_flash_cnt[3506][5]~q\ & (!\led_flash_cnt[3506][4]~75971\ & VCC))
-- \led_flash_cnt[3506][5]~75973\ = CARRY((\led_flash_cnt[3506][5]~q\ & !\led_flash_cnt[3506][4]~75971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3506][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3506][4]~75971\,
	combout => \led_flash_cnt[3506][5]~75972_combout\,
	cout => \led_flash_cnt[3506][5]~75973\);

-- Location: FF_X59_Y48_N9
\led_flash_cnt[3506][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3506][5]~75972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3506][5]~q\);

-- Location: LCCOMB_X59_Y48_N10
\led_flash_cnt[3506][6]~75974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3506][6]~75974_combout\ = (\led_flash_cnt[3506][6]~q\ & (!\led_flash_cnt[3506][5]~75973\)) # (!\led_flash_cnt[3506][6]~q\ & ((\led_flash_cnt[3506][5]~75973\) # (GND)))
-- \led_flash_cnt[3506][6]~75975\ = CARRY((!\led_flash_cnt[3506][5]~75973\) # (!\led_flash_cnt[3506][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3506][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3506][5]~75973\,
	combout => \led_flash_cnt[3506][6]~75974_combout\,
	cout => \led_flash_cnt[3506][6]~75975\);

-- Location: FF_X59_Y48_N11
\led_flash_cnt[3506][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3506][6]~75974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3506][6]~q\);

-- Location: LCCOMB_X59_Y48_N12
\led_flash_cnt[3506][7]~75976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3506][7]~75976_combout\ = \led_flash_cnt[3506][6]~75975\ $ (!\led_flash_cnt[3506][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3506][7]~q\,
	cin => \led_flash_cnt[3506][6]~75975\,
	combout => \led_flash_cnt[3506][7]~75976_combout\);

-- Location: FF_X59_Y48_N13
\led_flash_cnt[3506][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3506][7]~75976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3506][7]~q\);

-- Location: LCCOMB_X58_Y48_N24
\WideAnd3506~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3506~1_combout\ = (\led_flash_cnt[3506][6]~q\ & \led_flash_cnt[3506][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3506][6]~q\,
	datac => \led_flash_cnt[3506][5]~q\,
	combout => \WideAnd3506~1_combout\);

-- Location: LCCOMB_X58_Y48_N28
WideAnd3506 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3506~combout\ = (\led_flash_cnt[3506][0]~q\ & (\WideAnd3506~0_combout\ & (\led_flash_cnt[3506][7]~q\ & \WideAnd3506~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3506][0]~q\,
	datab => \WideAnd3506~0_combout\,
	datac => \led_flash_cnt[3506][7]~q\,
	datad => \WideAnd3506~1_combout\,
	combout => \WideAnd3506~combout\);

-- Location: FF_X58_Y48_N29
\led_flash_cnt_ands[3506]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3506~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3506));

-- Location: LCCOMB_X58_Y49_N4
\led_flash_cnt[3504][0]~84144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3504][0]~84144_combout\ = !\led_flash_cnt[3504][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3504][0]~q\,
	combout => \led_flash_cnt[3504][0]~84144_combout\);

-- Location: FF_X58_Y49_N5
\led_flash_cnt[3504][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3504][0]~84144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3504][0]~q\);

-- Location: LCCOMB_X58_Y49_N10
\led_flash_cnt[3504][1]~75936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3504][1]~75936_combout\ = (\led_flash_cnt[3504][1]~q\ & (\led_flash_cnt[3504][0]~q\ $ (VCC))) # (!\led_flash_cnt[3504][1]~q\ & (\led_flash_cnt[3504][0]~q\ & VCC))
-- \led_flash_cnt[3504][1]~75937\ = CARRY((\led_flash_cnt[3504][1]~q\ & \led_flash_cnt[3504][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3504][1]~q\,
	datab => \led_flash_cnt[3504][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3504][1]~75936_combout\,
	cout => \led_flash_cnt[3504][1]~75937\);

-- Location: FF_X58_Y49_N11
\led_flash_cnt[3504][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3504][1]~75936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3504][1]~q\);

-- Location: LCCOMB_X58_Y49_N12
\led_flash_cnt[3504][2]~75938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3504][2]~75938_combout\ = (\led_flash_cnt[3504][2]~q\ & (!\led_flash_cnt[3504][1]~75937\)) # (!\led_flash_cnt[3504][2]~q\ & ((\led_flash_cnt[3504][1]~75937\) # (GND)))
-- \led_flash_cnt[3504][2]~75939\ = CARRY((!\led_flash_cnt[3504][1]~75937\) # (!\led_flash_cnt[3504][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3504][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3504][1]~75937\,
	combout => \led_flash_cnt[3504][2]~75938_combout\,
	cout => \led_flash_cnt[3504][2]~75939\);

-- Location: FF_X58_Y49_N13
\led_flash_cnt[3504][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3504][2]~75938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3504][2]~q\);

-- Location: LCCOMB_X58_Y49_N14
\led_flash_cnt[3504][3]~75940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3504][3]~75940_combout\ = (\led_flash_cnt[3504][3]~q\ & (\led_flash_cnt[3504][2]~75939\ $ (GND))) # (!\led_flash_cnt[3504][3]~q\ & (!\led_flash_cnt[3504][2]~75939\ & VCC))
-- \led_flash_cnt[3504][3]~75941\ = CARRY((\led_flash_cnt[3504][3]~q\ & !\led_flash_cnt[3504][2]~75939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3504][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3504][2]~75939\,
	combout => \led_flash_cnt[3504][3]~75940_combout\,
	cout => \led_flash_cnt[3504][3]~75941\);

-- Location: FF_X58_Y49_N15
\led_flash_cnt[3504][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3504][3]~75940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3504][3]~q\);

-- Location: LCCOMB_X58_Y49_N16
\led_flash_cnt[3504][4]~75942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3504][4]~75942_combout\ = (\led_flash_cnt[3504][4]~q\ & (!\led_flash_cnt[3504][3]~75941\)) # (!\led_flash_cnt[3504][4]~q\ & ((\led_flash_cnt[3504][3]~75941\) # (GND)))
-- \led_flash_cnt[3504][4]~75943\ = CARRY((!\led_flash_cnt[3504][3]~75941\) # (!\led_flash_cnt[3504][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3504][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3504][3]~75941\,
	combout => \led_flash_cnt[3504][4]~75942_combout\,
	cout => \led_flash_cnt[3504][4]~75943\);

-- Location: FF_X58_Y49_N17
\led_flash_cnt[3504][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3504][4]~75942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3504][4]~q\);

-- Location: LCCOMB_X58_Y49_N18
\led_flash_cnt[3504][5]~75944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3504][5]~75944_combout\ = (\led_flash_cnt[3504][5]~q\ & (\led_flash_cnt[3504][4]~75943\ $ (GND))) # (!\led_flash_cnt[3504][5]~q\ & (!\led_flash_cnt[3504][4]~75943\ & VCC))
-- \led_flash_cnt[3504][5]~75945\ = CARRY((\led_flash_cnt[3504][5]~q\ & !\led_flash_cnt[3504][4]~75943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3504][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3504][4]~75943\,
	combout => \led_flash_cnt[3504][5]~75944_combout\,
	cout => \led_flash_cnt[3504][5]~75945\);

-- Location: FF_X58_Y49_N19
\led_flash_cnt[3504][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3504][5]~75944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3504][5]~q\);

-- Location: LCCOMB_X58_Y49_N20
\led_flash_cnt[3504][6]~75946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3504][6]~75946_combout\ = (\led_flash_cnt[3504][6]~q\ & (!\led_flash_cnt[3504][5]~75945\)) # (!\led_flash_cnt[3504][6]~q\ & ((\led_flash_cnt[3504][5]~75945\) # (GND)))
-- \led_flash_cnt[3504][6]~75947\ = CARRY((!\led_flash_cnt[3504][5]~75945\) # (!\led_flash_cnt[3504][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3504][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3504][5]~75945\,
	combout => \led_flash_cnt[3504][6]~75946_combout\,
	cout => \led_flash_cnt[3504][6]~75947\);

-- Location: FF_X58_Y49_N21
\led_flash_cnt[3504][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3504][6]~75946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3504][6]~q\);

-- Location: LCCOMB_X58_Y49_N26
\WideAnd3504~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3504~1_combout\ = (\led_flash_cnt[3504][6]~q\ & \led_flash_cnt[3504][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3504][6]~q\,
	datad => \led_flash_cnt[3504][5]~q\,
	combout => \WideAnd3504~1_combout\);

-- Location: LCCOMB_X58_Y49_N22
\led_flash_cnt[3504][7]~75948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3504][7]~75948_combout\ = \led_flash_cnt[3504][7]~q\ $ (!\led_flash_cnt[3504][6]~75947\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3504][7]~q\,
	cin => \led_flash_cnt[3504][6]~75947\,
	combout => \led_flash_cnt[3504][7]~75948_combout\);

-- Location: FF_X58_Y49_N23
\led_flash_cnt[3504][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3504][7]~75948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3504][7]~q\);

-- Location: LCCOMB_X58_Y49_N6
\WideAnd3504~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3504~0_combout\ = (\led_flash_cnt[3504][2]~q\ & (\led_flash_cnt[3504][4]~q\ & (\led_flash_cnt[3504][3]~q\ & \led_flash_cnt[3504][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3504][2]~q\,
	datab => \led_flash_cnt[3504][4]~q\,
	datac => \led_flash_cnt[3504][3]~q\,
	datad => \led_flash_cnt[3504][1]~q\,
	combout => \WideAnd3504~0_combout\);

-- Location: LCCOMB_X58_Y49_N28
WideAnd3504 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3504~combout\ = (\WideAnd3504~1_combout\ & (\led_flash_cnt[3504][0]~q\ & (\led_flash_cnt[3504][7]~q\ & \WideAnd3504~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3504~1_combout\,
	datab => \led_flash_cnt[3504][0]~q\,
	datac => \led_flash_cnt[3504][7]~q\,
	datad => \WideAnd3504~0_combout\,
	combout => \WideAnd3504~combout\);

-- Location: FF_X58_Y49_N29
\led_flash_cnt_ands[3504]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3504~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3504));

-- Location: LCCOMB_X58_Y49_N8
\led_flash_cnt[3507][0]~84147\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3507][0]~84147_combout\ = !\led_flash_cnt[3507][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3507][0]~q\,
	combout => \led_flash_cnt[3507][0]~84147_combout\);

-- Location: FF_X58_Y49_N9
\led_flash_cnt[3507][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3507][0]~84147_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3507][0]~q\);

-- Location: LCCOMB_X59_Y49_N18
\led_flash_cnt[3507][1]~75978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3507][1]~75978_combout\ = (\led_flash_cnt[3507][0]~q\ & (\led_flash_cnt[3507][1]~q\ $ (VCC))) # (!\led_flash_cnt[3507][0]~q\ & (\led_flash_cnt[3507][1]~q\ & VCC))
-- \led_flash_cnt[3507][1]~75979\ = CARRY((\led_flash_cnt[3507][0]~q\ & \led_flash_cnt[3507][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3507][0]~q\,
	datab => \led_flash_cnt[3507][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3507][1]~75978_combout\,
	cout => \led_flash_cnt[3507][1]~75979\);

-- Location: FF_X59_Y49_N19
\led_flash_cnt[3507][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3507][1]~75978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3507][1]~q\);

-- Location: LCCOMB_X59_Y49_N20
\led_flash_cnt[3507][2]~75980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3507][2]~75980_combout\ = (\led_flash_cnt[3507][2]~q\ & (!\led_flash_cnt[3507][1]~75979\)) # (!\led_flash_cnt[3507][2]~q\ & ((\led_flash_cnt[3507][1]~75979\) # (GND)))
-- \led_flash_cnt[3507][2]~75981\ = CARRY((!\led_flash_cnt[3507][1]~75979\) # (!\led_flash_cnt[3507][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3507][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3507][1]~75979\,
	combout => \led_flash_cnt[3507][2]~75980_combout\,
	cout => \led_flash_cnt[3507][2]~75981\);

-- Location: FF_X59_Y49_N21
\led_flash_cnt[3507][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3507][2]~75980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3507][2]~q\);

-- Location: LCCOMB_X59_Y49_N22
\led_flash_cnt[3507][3]~75982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3507][3]~75982_combout\ = (\led_flash_cnt[3507][3]~q\ & (\led_flash_cnt[3507][2]~75981\ $ (GND))) # (!\led_flash_cnt[3507][3]~q\ & (!\led_flash_cnt[3507][2]~75981\ & VCC))
-- \led_flash_cnt[3507][3]~75983\ = CARRY((\led_flash_cnt[3507][3]~q\ & !\led_flash_cnt[3507][2]~75981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3507][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3507][2]~75981\,
	combout => \led_flash_cnt[3507][3]~75982_combout\,
	cout => \led_flash_cnt[3507][3]~75983\);

-- Location: FF_X59_Y49_N23
\led_flash_cnt[3507][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3507][3]~75982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3507][3]~q\);

-- Location: LCCOMB_X59_Y49_N24
\led_flash_cnt[3507][4]~75984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3507][4]~75984_combout\ = (\led_flash_cnt[3507][4]~q\ & (!\led_flash_cnt[3507][3]~75983\)) # (!\led_flash_cnt[3507][4]~q\ & ((\led_flash_cnt[3507][3]~75983\) # (GND)))
-- \led_flash_cnt[3507][4]~75985\ = CARRY((!\led_flash_cnt[3507][3]~75983\) # (!\led_flash_cnt[3507][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3507][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3507][3]~75983\,
	combout => \led_flash_cnt[3507][4]~75984_combout\,
	cout => \led_flash_cnt[3507][4]~75985\);

-- Location: FF_X59_Y49_N25
\led_flash_cnt[3507][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3507][4]~75984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3507][4]~q\);

-- Location: LCCOMB_X59_Y49_N2
\WideAnd3507~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3507~0_combout\ = (\led_flash_cnt[3507][4]~q\ & (\led_flash_cnt[3507][2]~q\ & (\led_flash_cnt[3507][3]~q\ & \led_flash_cnt[3507][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3507][4]~q\,
	datab => \led_flash_cnt[3507][2]~q\,
	datac => \led_flash_cnt[3507][3]~q\,
	datad => \led_flash_cnt[3507][1]~q\,
	combout => \WideAnd3507~0_combout\);

-- Location: LCCOMB_X59_Y49_N26
\led_flash_cnt[3507][5]~75986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3507][5]~75986_combout\ = (\led_flash_cnt[3507][5]~q\ & (\led_flash_cnt[3507][4]~75985\ $ (GND))) # (!\led_flash_cnt[3507][5]~q\ & (!\led_flash_cnt[3507][4]~75985\ & VCC))
-- \led_flash_cnt[3507][5]~75987\ = CARRY((\led_flash_cnt[3507][5]~q\ & !\led_flash_cnt[3507][4]~75985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3507][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3507][4]~75985\,
	combout => \led_flash_cnt[3507][5]~75986_combout\,
	cout => \led_flash_cnt[3507][5]~75987\);

-- Location: FF_X59_Y49_N27
\led_flash_cnt[3507][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3507][5]~75986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3507][5]~q\);

-- Location: LCCOMB_X59_Y49_N28
\led_flash_cnt[3507][6]~75988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3507][6]~75988_combout\ = (\led_flash_cnt[3507][6]~q\ & (!\led_flash_cnt[3507][5]~75987\)) # (!\led_flash_cnt[3507][6]~q\ & ((\led_flash_cnt[3507][5]~75987\) # (GND)))
-- \led_flash_cnt[3507][6]~75989\ = CARRY((!\led_flash_cnt[3507][5]~75987\) # (!\led_flash_cnt[3507][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3507][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3507][5]~75987\,
	combout => \led_flash_cnt[3507][6]~75988_combout\,
	cout => \led_flash_cnt[3507][6]~75989\);

-- Location: FF_X59_Y49_N29
\led_flash_cnt[3507][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3507][6]~75988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3507][6]~q\);

-- Location: LCCOMB_X59_Y49_N30
\led_flash_cnt[3507][7]~75990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3507][7]~75990_combout\ = \led_flash_cnt[3507][7]~q\ $ (!\led_flash_cnt[3507][6]~75989\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3507][7]~q\,
	cin => \led_flash_cnt[3507][6]~75989\,
	combout => \led_flash_cnt[3507][7]~75990_combout\);

-- Location: FF_X59_Y49_N31
\led_flash_cnt[3507][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3507][7]~75990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3507][7]~q\);

-- Location: LCCOMB_X58_Y49_N24
\WideAnd3507~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3507~1_combout\ = (\led_flash_cnt[3507][6]~q\ & \led_flash_cnt[3507][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3507][6]~q\,
	datad => \led_flash_cnt[3507][5]~q\,
	combout => \WideAnd3507~1_combout\);

-- Location: LCCOMB_X58_Y49_N30
WideAnd3507 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3507~combout\ = (\WideAnd3507~0_combout\ & (\led_flash_cnt[3507][0]~q\ & (\led_flash_cnt[3507][7]~q\ & \WideAnd3507~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3507~0_combout\,
	datab => \led_flash_cnt[3507][0]~q\,
	datac => \led_flash_cnt[3507][7]~q\,
	datad => \WideAnd3507~1_combout\,
	combout => \WideAnd3507~combout\);

-- Location: FF_X58_Y49_N31
\led_flash_cnt_ands[3507]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3507~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3507));

-- Location: LCCOMB_X24_Y37_N8
\led_flash_cnt[3505][0]~84145\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3505][0]~84145_combout\ = !\led_flash_cnt[3505][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3505][0]~q\,
	combout => \led_flash_cnt[3505][0]~84145_combout\);

-- Location: FF_X24_Y37_N9
\led_flash_cnt[3505][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3505][0]~84145_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3505][0]~q\);

-- Location: LCCOMB_X25_Y37_N2
\led_flash_cnt[3505][1]~75950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3505][1]~75950_combout\ = (\led_flash_cnt[3505][0]~q\ & (\led_flash_cnt[3505][1]~q\ $ (VCC))) # (!\led_flash_cnt[3505][0]~q\ & (\led_flash_cnt[3505][1]~q\ & VCC))
-- \led_flash_cnt[3505][1]~75951\ = CARRY((\led_flash_cnt[3505][0]~q\ & \led_flash_cnt[3505][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3505][0]~q\,
	datab => \led_flash_cnt[3505][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3505][1]~75950_combout\,
	cout => \led_flash_cnt[3505][1]~75951\);

-- Location: FF_X25_Y37_N3
\led_flash_cnt[3505][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3505][1]~75950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3505][1]~q\);

-- Location: LCCOMB_X25_Y37_N4
\led_flash_cnt[3505][2]~75952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3505][2]~75952_combout\ = (\led_flash_cnt[3505][2]~q\ & (!\led_flash_cnt[3505][1]~75951\)) # (!\led_flash_cnt[3505][2]~q\ & ((\led_flash_cnt[3505][1]~75951\) # (GND)))
-- \led_flash_cnt[3505][2]~75953\ = CARRY((!\led_flash_cnt[3505][1]~75951\) # (!\led_flash_cnt[3505][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3505][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3505][1]~75951\,
	combout => \led_flash_cnt[3505][2]~75952_combout\,
	cout => \led_flash_cnt[3505][2]~75953\);

-- Location: FF_X25_Y37_N5
\led_flash_cnt[3505][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3505][2]~75952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3505][2]~q\);

-- Location: LCCOMB_X25_Y37_N6
\led_flash_cnt[3505][3]~75954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3505][3]~75954_combout\ = (\led_flash_cnt[3505][3]~q\ & (\led_flash_cnt[3505][2]~75953\ $ (GND))) # (!\led_flash_cnt[3505][3]~q\ & (!\led_flash_cnt[3505][2]~75953\ & VCC))
-- \led_flash_cnt[3505][3]~75955\ = CARRY((\led_flash_cnt[3505][3]~q\ & !\led_flash_cnt[3505][2]~75953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3505][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3505][2]~75953\,
	combout => \led_flash_cnt[3505][3]~75954_combout\,
	cout => \led_flash_cnt[3505][3]~75955\);

-- Location: FF_X25_Y37_N7
\led_flash_cnt[3505][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3505][3]~75954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3505][3]~q\);

-- Location: LCCOMB_X25_Y37_N8
\led_flash_cnt[3505][4]~75956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3505][4]~75956_combout\ = (\led_flash_cnt[3505][4]~q\ & (!\led_flash_cnt[3505][3]~75955\)) # (!\led_flash_cnt[3505][4]~q\ & ((\led_flash_cnt[3505][3]~75955\) # (GND)))
-- \led_flash_cnt[3505][4]~75957\ = CARRY((!\led_flash_cnt[3505][3]~75955\) # (!\led_flash_cnt[3505][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3505][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3505][3]~75955\,
	combout => \led_flash_cnt[3505][4]~75956_combout\,
	cout => \led_flash_cnt[3505][4]~75957\);

-- Location: FF_X25_Y37_N9
\led_flash_cnt[3505][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3505][4]~75956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3505][4]~q\);

-- Location: LCCOMB_X25_Y37_N10
\led_flash_cnt[3505][5]~75958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3505][5]~75958_combout\ = (\led_flash_cnt[3505][5]~q\ & (\led_flash_cnt[3505][4]~75957\ $ (GND))) # (!\led_flash_cnt[3505][5]~q\ & (!\led_flash_cnt[3505][4]~75957\ & VCC))
-- \led_flash_cnt[3505][5]~75959\ = CARRY((\led_flash_cnt[3505][5]~q\ & !\led_flash_cnt[3505][4]~75957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3505][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3505][4]~75957\,
	combout => \led_flash_cnt[3505][5]~75958_combout\,
	cout => \led_flash_cnt[3505][5]~75959\);

-- Location: FF_X25_Y37_N11
\led_flash_cnt[3505][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3505][5]~75958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3505][5]~q\);

-- Location: LCCOMB_X25_Y37_N12
\led_flash_cnt[3505][6]~75960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3505][6]~75960_combout\ = (\led_flash_cnt[3505][6]~q\ & (!\led_flash_cnt[3505][5]~75959\)) # (!\led_flash_cnt[3505][6]~q\ & ((\led_flash_cnt[3505][5]~75959\) # (GND)))
-- \led_flash_cnt[3505][6]~75961\ = CARRY((!\led_flash_cnt[3505][5]~75959\) # (!\led_flash_cnt[3505][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3505][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3505][5]~75959\,
	combout => \led_flash_cnt[3505][6]~75960_combout\,
	cout => \led_flash_cnt[3505][6]~75961\);

-- Location: FF_X25_Y37_N13
\led_flash_cnt[3505][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3505][6]~75960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3505][6]~q\);

-- Location: LCCOMB_X24_Y37_N30
\WideAnd3505~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3505~1_combout\ = (\led_flash_cnt[3505][5]~q\ & \led_flash_cnt[3505][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3505][5]~q\,
	datac => \led_flash_cnt[3505][6]~q\,
	combout => \WideAnd3505~1_combout\);

-- Location: LCCOMB_X25_Y37_N14
\led_flash_cnt[3505][7]~75962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3505][7]~75962_combout\ = \led_flash_cnt[3505][7]~q\ $ (!\led_flash_cnt[3505][6]~75961\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3505][7]~q\,
	cin => \led_flash_cnt[3505][6]~75961\,
	combout => \led_flash_cnt[3505][7]~75962_combout\);

-- Location: FF_X25_Y37_N15
\led_flash_cnt[3505][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3505][7]~75962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3505][7]~q\);

-- Location: LCCOMB_X25_Y37_N16
\WideAnd3505~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3505~0_combout\ = (\led_flash_cnt[3505][3]~q\ & (\led_flash_cnt[3505][2]~q\ & (\led_flash_cnt[3505][4]~q\ & \led_flash_cnt[3505][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3505][3]~q\,
	datab => \led_flash_cnt[3505][2]~q\,
	datac => \led_flash_cnt[3505][4]~q\,
	datad => \led_flash_cnt[3505][1]~q\,
	combout => \WideAnd3505~0_combout\);

-- Location: LCCOMB_X24_Y37_N10
WideAnd3505 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3505~combout\ = (\WideAnd3505~1_combout\ & (\led_flash_cnt[3505][0]~q\ & (\led_flash_cnt[3505][7]~q\ & \WideAnd3505~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3505~1_combout\,
	datab => \led_flash_cnt[3505][0]~q\,
	datac => \led_flash_cnt[3505][7]~q\,
	datad => \WideAnd3505~0_combout\,
	combout => \WideAnd3505~combout\);

-- Location: FF_X24_Y37_N11
\led_flash_cnt_ands[3505]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3505~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3505));

-- Location: LCCOMB_X57_Y49_N26
\WideAnd4278~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4278~0_combout\ = (led_flash_cnt_ands(3506) & (led_flash_cnt_ands(3504) & (led_flash_cnt_ands(3507) & led_flash_cnt_ands(3505))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3506),
	datab => led_flash_cnt_ands(3504),
	datac => led_flash_cnt_ands(3507),
	datad => led_flash_cnt_ands(3505),
	combout => \WideAnd4278~0_combout\);

-- Location: LCCOMB_X29_Y38_N28
WideAnd4278 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4278~combout\ = (\WideAnd4278~1_combout\ & (led_flash_cnt_ands(3511) & (led_flash_cnt_ands(3510) & \WideAnd4278~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4278~1_combout\,
	datab => led_flash_cnt_ands(3511),
	datac => led_flash_cnt_ands(3510),
	datad => \WideAnd4278~0_combout\,
	combout => \WideAnd4278~combout\);

-- Location: FF_X29_Y38_N29
\led_flash_cnt_ands_1[438]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4278~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(438));

-- Location: LCCOMB_X64_Y16_N2
\led_flash_cnt[3485][0]~84125\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3485][0]~84125_combout\ = !\led_flash_cnt[3485][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3485][0]~q\,
	combout => \led_flash_cnt[3485][0]~84125_combout\);

-- Location: FF_X64_Y16_N3
\led_flash_cnt[3485][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3485][0]~84125_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3485][0]~q\);

-- Location: LCCOMB_X63_Y16_N2
\led_flash_cnt[3485][1]~75670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3485][1]~75670_combout\ = (\led_flash_cnt[3485][0]~q\ & (\led_flash_cnt[3485][1]~q\ $ (VCC))) # (!\led_flash_cnt[3485][0]~q\ & (\led_flash_cnt[3485][1]~q\ & VCC))
-- \led_flash_cnt[3485][1]~75671\ = CARRY((\led_flash_cnt[3485][0]~q\ & \led_flash_cnt[3485][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3485][0]~q\,
	datab => \led_flash_cnt[3485][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3485][1]~75670_combout\,
	cout => \led_flash_cnt[3485][1]~75671\);

-- Location: FF_X63_Y16_N3
\led_flash_cnt[3485][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3485][1]~75670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3485][1]~q\);

-- Location: LCCOMB_X63_Y16_N4
\led_flash_cnt[3485][2]~75672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3485][2]~75672_combout\ = (\led_flash_cnt[3485][2]~q\ & (!\led_flash_cnt[3485][1]~75671\)) # (!\led_flash_cnt[3485][2]~q\ & ((\led_flash_cnt[3485][1]~75671\) # (GND)))
-- \led_flash_cnt[3485][2]~75673\ = CARRY((!\led_flash_cnt[3485][1]~75671\) # (!\led_flash_cnt[3485][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3485][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3485][1]~75671\,
	combout => \led_flash_cnt[3485][2]~75672_combout\,
	cout => \led_flash_cnt[3485][2]~75673\);

-- Location: FF_X63_Y16_N5
\led_flash_cnt[3485][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3485][2]~75672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3485][2]~q\);

-- Location: LCCOMB_X63_Y16_N6
\led_flash_cnt[3485][3]~75674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3485][3]~75674_combout\ = (\led_flash_cnt[3485][3]~q\ & (\led_flash_cnt[3485][2]~75673\ $ (GND))) # (!\led_flash_cnt[3485][3]~q\ & (!\led_flash_cnt[3485][2]~75673\ & VCC))
-- \led_flash_cnt[3485][3]~75675\ = CARRY((\led_flash_cnt[3485][3]~q\ & !\led_flash_cnt[3485][2]~75673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3485][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3485][2]~75673\,
	combout => \led_flash_cnt[3485][3]~75674_combout\,
	cout => \led_flash_cnt[3485][3]~75675\);

-- Location: FF_X63_Y16_N7
\led_flash_cnt[3485][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3485][3]~75674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3485][3]~q\);

-- Location: LCCOMB_X63_Y16_N8
\led_flash_cnt[3485][4]~75676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3485][4]~75676_combout\ = (\led_flash_cnt[3485][4]~q\ & (!\led_flash_cnt[3485][3]~75675\)) # (!\led_flash_cnt[3485][4]~q\ & ((\led_flash_cnt[3485][3]~75675\) # (GND)))
-- \led_flash_cnt[3485][4]~75677\ = CARRY((!\led_flash_cnt[3485][3]~75675\) # (!\led_flash_cnt[3485][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3485][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3485][3]~75675\,
	combout => \led_flash_cnt[3485][4]~75676_combout\,
	cout => \led_flash_cnt[3485][4]~75677\);

-- Location: FF_X63_Y16_N9
\led_flash_cnt[3485][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3485][4]~75676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3485][4]~q\);

-- Location: LCCOMB_X63_Y16_N10
\led_flash_cnt[3485][5]~75678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3485][5]~75678_combout\ = (\led_flash_cnt[3485][5]~q\ & (\led_flash_cnt[3485][4]~75677\ $ (GND))) # (!\led_flash_cnt[3485][5]~q\ & (!\led_flash_cnt[3485][4]~75677\ & VCC))
-- \led_flash_cnt[3485][5]~75679\ = CARRY((\led_flash_cnt[3485][5]~q\ & !\led_flash_cnt[3485][4]~75677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3485][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3485][4]~75677\,
	combout => \led_flash_cnt[3485][5]~75678_combout\,
	cout => \led_flash_cnt[3485][5]~75679\);

-- Location: FF_X63_Y16_N11
\led_flash_cnt[3485][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3485][5]~75678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3485][5]~q\);

-- Location: LCCOMB_X63_Y16_N12
\led_flash_cnt[3485][6]~75680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3485][6]~75680_combout\ = (\led_flash_cnt[3485][6]~q\ & (!\led_flash_cnt[3485][5]~75679\)) # (!\led_flash_cnt[3485][6]~q\ & ((\led_flash_cnt[3485][5]~75679\) # (GND)))
-- \led_flash_cnt[3485][6]~75681\ = CARRY((!\led_flash_cnt[3485][5]~75679\) # (!\led_flash_cnt[3485][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3485][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3485][5]~75679\,
	combout => \led_flash_cnt[3485][6]~75680_combout\,
	cout => \led_flash_cnt[3485][6]~75681\);

-- Location: FF_X63_Y16_N13
\led_flash_cnt[3485][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3485][6]~75680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3485][6]~q\);

-- Location: LCCOMB_X63_Y16_N16
\WideAnd3485~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3485~1_combout\ = (\led_flash_cnt[3485][6]~q\ & \led_flash_cnt[3485][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3485][6]~q\,
	datad => \led_flash_cnt[3485][5]~q\,
	combout => \WideAnd3485~1_combout\);

-- Location: LCCOMB_X63_Y16_N0
\WideAnd3485~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3485~0_combout\ = (\led_flash_cnt[3485][3]~q\ & (\led_flash_cnt[3485][4]~q\ & (\led_flash_cnt[3485][2]~q\ & \led_flash_cnt[3485][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3485][3]~q\,
	datab => \led_flash_cnt[3485][4]~q\,
	datac => \led_flash_cnt[3485][2]~q\,
	datad => \led_flash_cnt[3485][1]~q\,
	combout => \WideAnd3485~0_combout\);

-- Location: LCCOMB_X63_Y16_N14
\led_flash_cnt[3485][7]~75682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3485][7]~75682_combout\ = \led_flash_cnt[3485][7]~q\ $ (!\led_flash_cnt[3485][6]~75681\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3485][7]~q\,
	cin => \led_flash_cnt[3485][6]~75681\,
	combout => \led_flash_cnt[3485][7]~75682_combout\);

-- Location: FF_X63_Y16_N15
\led_flash_cnt[3485][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3485][7]~75682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3485][7]~q\);

-- Location: LCCOMB_X64_Y16_N4
WideAnd3485 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3485~combout\ = (\WideAnd3485~1_combout\ & (\led_flash_cnt[3485][0]~q\ & (\WideAnd3485~0_combout\ & \led_flash_cnt[3485][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3485~1_combout\,
	datab => \led_flash_cnt[3485][0]~q\,
	datac => \WideAnd3485~0_combout\,
	datad => \led_flash_cnt[3485][7]~q\,
	combout => \WideAnd3485~combout\);

-- Location: FF_X64_Y16_N5
\led_flash_cnt_ands[3485]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3485~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3485));

-- Location: LCCOMB_X64_Y16_N8
\led_flash_cnt[3484][0]~84124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3484][0]~84124_combout\ = !\led_flash_cnt[3484][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3484][0]~q\,
	combout => \led_flash_cnt[3484][0]~84124_combout\);

-- Location: FF_X64_Y16_N9
\led_flash_cnt[3484][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3484][0]~84124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3484][0]~q\);

-- Location: LCCOMB_X64_Y16_N10
\led_flash_cnt[3484][1]~75656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3484][1]~75656_combout\ = (\led_flash_cnt[3484][1]~q\ & (\led_flash_cnt[3484][0]~q\ $ (VCC))) # (!\led_flash_cnt[3484][1]~q\ & (\led_flash_cnt[3484][0]~q\ & VCC))
-- \led_flash_cnt[3484][1]~75657\ = CARRY((\led_flash_cnt[3484][1]~q\ & \led_flash_cnt[3484][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3484][1]~q\,
	datab => \led_flash_cnt[3484][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3484][1]~75656_combout\,
	cout => \led_flash_cnt[3484][1]~75657\);

-- Location: FF_X64_Y16_N11
\led_flash_cnt[3484][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3484][1]~75656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3484][1]~q\);

-- Location: LCCOMB_X64_Y16_N12
\led_flash_cnt[3484][2]~75658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3484][2]~75658_combout\ = (\led_flash_cnt[3484][2]~q\ & (!\led_flash_cnt[3484][1]~75657\)) # (!\led_flash_cnt[3484][2]~q\ & ((\led_flash_cnt[3484][1]~75657\) # (GND)))
-- \led_flash_cnt[3484][2]~75659\ = CARRY((!\led_flash_cnt[3484][1]~75657\) # (!\led_flash_cnt[3484][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3484][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3484][1]~75657\,
	combout => \led_flash_cnt[3484][2]~75658_combout\,
	cout => \led_flash_cnt[3484][2]~75659\);

-- Location: FF_X64_Y16_N13
\led_flash_cnt[3484][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3484][2]~75658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3484][2]~q\);

-- Location: LCCOMB_X64_Y16_N14
\led_flash_cnt[3484][3]~75660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3484][3]~75660_combout\ = (\led_flash_cnt[3484][3]~q\ & (\led_flash_cnt[3484][2]~75659\ $ (GND))) # (!\led_flash_cnt[3484][3]~q\ & (!\led_flash_cnt[3484][2]~75659\ & VCC))
-- \led_flash_cnt[3484][3]~75661\ = CARRY((\led_flash_cnt[3484][3]~q\ & !\led_flash_cnt[3484][2]~75659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3484][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3484][2]~75659\,
	combout => \led_flash_cnt[3484][3]~75660_combout\,
	cout => \led_flash_cnt[3484][3]~75661\);

-- Location: FF_X64_Y16_N15
\led_flash_cnt[3484][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3484][3]~75660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3484][3]~q\);

-- Location: LCCOMB_X64_Y16_N16
\led_flash_cnt[3484][4]~75662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3484][4]~75662_combout\ = (\led_flash_cnt[3484][4]~q\ & (!\led_flash_cnt[3484][3]~75661\)) # (!\led_flash_cnt[3484][4]~q\ & ((\led_flash_cnt[3484][3]~75661\) # (GND)))
-- \led_flash_cnt[3484][4]~75663\ = CARRY((!\led_flash_cnt[3484][3]~75661\) # (!\led_flash_cnt[3484][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3484][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3484][3]~75661\,
	combout => \led_flash_cnt[3484][4]~75662_combout\,
	cout => \led_flash_cnt[3484][4]~75663\);

-- Location: FF_X64_Y16_N17
\led_flash_cnt[3484][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3484][4]~75662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3484][4]~q\);

-- Location: LCCOMB_X64_Y16_N18
\led_flash_cnt[3484][5]~75664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3484][5]~75664_combout\ = (\led_flash_cnt[3484][5]~q\ & (\led_flash_cnt[3484][4]~75663\ $ (GND))) # (!\led_flash_cnt[3484][5]~q\ & (!\led_flash_cnt[3484][4]~75663\ & VCC))
-- \led_flash_cnt[3484][5]~75665\ = CARRY((\led_flash_cnt[3484][5]~q\ & !\led_flash_cnt[3484][4]~75663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3484][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3484][4]~75663\,
	combout => \led_flash_cnt[3484][5]~75664_combout\,
	cout => \led_flash_cnt[3484][5]~75665\);

-- Location: FF_X64_Y16_N19
\led_flash_cnt[3484][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3484][5]~75664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3484][5]~q\);

-- Location: LCCOMB_X64_Y16_N20
\led_flash_cnt[3484][6]~75666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3484][6]~75666_combout\ = (\led_flash_cnt[3484][6]~q\ & (!\led_flash_cnt[3484][5]~75665\)) # (!\led_flash_cnt[3484][6]~q\ & ((\led_flash_cnt[3484][5]~75665\) # (GND)))
-- \led_flash_cnt[3484][6]~75667\ = CARRY((!\led_flash_cnt[3484][5]~75665\) # (!\led_flash_cnt[3484][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3484][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3484][5]~75665\,
	combout => \led_flash_cnt[3484][6]~75666_combout\,
	cout => \led_flash_cnt[3484][6]~75667\);

-- Location: FF_X64_Y16_N21
\led_flash_cnt[3484][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3484][6]~75666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3484][6]~q\);

-- Location: LCCOMB_X64_Y16_N22
\led_flash_cnt[3484][7]~75668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3484][7]~75668_combout\ = \led_flash_cnt[3484][7]~q\ $ (!\led_flash_cnt[3484][6]~75667\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3484][7]~q\,
	cin => \led_flash_cnt[3484][6]~75667\,
	combout => \led_flash_cnt[3484][7]~75668_combout\);

-- Location: FF_X64_Y16_N23
\led_flash_cnt[3484][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3484][7]~75668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3484][7]~q\);

-- Location: LCCOMB_X64_Y16_N24
\WideAnd3484~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3484~1_combout\ = (\led_flash_cnt[3484][6]~q\ & \led_flash_cnt[3484][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3484][6]~q\,
	datad => \led_flash_cnt[3484][5]~q\,
	combout => \WideAnd3484~1_combout\);

-- Location: LCCOMB_X64_Y16_N6
\WideAnd3484~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3484~0_combout\ = (\led_flash_cnt[3484][1]~q\ & (\led_flash_cnt[3484][4]~q\ & (\led_flash_cnt[3484][3]~q\ & \led_flash_cnt[3484][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3484][1]~q\,
	datab => \led_flash_cnt[3484][4]~q\,
	datac => \led_flash_cnt[3484][3]~q\,
	datad => \led_flash_cnt[3484][2]~q\,
	combout => \WideAnd3484~0_combout\);

-- Location: LCCOMB_X64_Y16_N28
WideAnd3484 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3484~combout\ = (\led_flash_cnt[3484][7]~q\ & (\WideAnd3484~1_combout\ & (\led_flash_cnt[3484][0]~q\ & \WideAnd3484~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3484][7]~q\,
	datab => \WideAnd3484~1_combout\,
	datac => \led_flash_cnt[3484][0]~q\,
	datad => \WideAnd3484~0_combout\,
	combout => \WideAnd3484~combout\);

-- Location: FF_X64_Y16_N29
\led_flash_cnt_ands[3484]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3484~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3484));

-- Location: LCCOMB_X64_Y16_N30
\WideAnd4275~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4275~1_combout\ = (led_flash_cnt_ands(3485) & led_flash_cnt_ands(3484))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3485),
	datad => led_flash_cnt_ands(3484),
	combout => \WideAnd4275~1_combout\);

-- Location: LCCOMB_X58_Y1_N10
\led_flash_cnt[3480][0]~84120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3480][0]~84120_combout\ = !\led_flash_cnt[3480][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3480][0]~q\,
	combout => \led_flash_cnt[3480][0]~84120_combout\);

-- Location: FF_X58_Y1_N11
\led_flash_cnt[3480][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3480][0]~84120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3480][0]~q\);

-- Location: LCCOMB_X58_Y1_N16
\led_flash_cnt[3480][1]~75600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3480][1]~75600_combout\ = (\led_flash_cnt[3480][0]~q\ & (\led_flash_cnt[3480][1]~q\ $ (VCC))) # (!\led_flash_cnt[3480][0]~q\ & (\led_flash_cnt[3480][1]~q\ & VCC))
-- \led_flash_cnt[3480][1]~75601\ = CARRY((\led_flash_cnt[3480][0]~q\ & \led_flash_cnt[3480][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3480][0]~q\,
	datab => \led_flash_cnt[3480][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3480][1]~75600_combout\,
	cout => \led_flash_cnt[3480][1]~75601\);

-- Location: FF_X58_Y1_N17
\led_flash_cnt[3480][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3480][1]~75600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3480][1]~q\);

-- Location: LCCOMB_X58_Y1_N18
\led_flash_cnt[3480][2]~75602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3480][2]~75602_combout\ = (\led_flash_cnt[3480][2]~q\ & (!\led_flash_cnt[3480][1]~75601\)) # (!\led_flash_cnt[3480][2]~q\ & ((\led_flash_cnt[3480][1]~75601\) # (GND)))
-- \led_flash_cnt[3480][2]~75603\ = CARRY((!\led_flash_cnt[3480][1]~75601\) # (!\led_flash_cnt[3480][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3480][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3480][1]~75601\,
	combout => \led_flash_cnt[3480][2]~75602_combout\,
	cout => \led_flash_cnt[3480][2]~75603\);

-- Location: FF_X58_Y1_N19
\led_flash_cnt[3480][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3480][2]~75602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3480][2]~q\);

-- Location: LCCOMB_X58_Y1_N20
\led_flash_cnt[3480][3]~75604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3480][3]~75604_combout\ = (\led_flash_cnt[3480][3]~q\ & (\led_flash_cnt[3480][2]~75603\ $ (GND))) # (!\led_flash_cnt[3480][3]~q\ & (!\led_flash_cnt[3480][2]~75603\ & VCC))
-- \led_flash_cnt[3480][3]~75605\ = CARRY((\led_flash_cnt[3480][3]~q\ & !\led_flash_cnt[3480][2]~75603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3480][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3480][2]~75603\,
	combout => \led_flash_cnt[3480][3]~75604_combout\,
	cout => \led_flash_cnt[3480][3]~75605\);

-- Location: FF_X58_Y1_N21
\led_flash_cnt[3480][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3480][3]~75604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3480][3]~q\);

-- Location: LCCOMB_X58_Y1_N22
\led_flash_cnt[3480][4]~75606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3480][4]~75606_combout\ = (\led_flash_cnt[3480][4]~q\ & (!\led_flash_cnt[3480][3]~75605\)) # (!\led_flash_cnt[3480][4]~q\ & ((\led_flash_cnt[3480][3]~75605\) # (GND)))
-- \led_flash_cnt[3480][4]~75607\ = CARRY((!\led_flash_cnt[3480][3]~75605\) # (!\led_flash_cnt[3480][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3480][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3480][3]~75605\,
	combout => \led_flash_cnt[3480][4]~75606_combout\,
	cout => \led_flash_cnt[3480][4]~75607\);

-- Location: FF_X58_Y1_N23
\led_flash_cnt[3480][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3480][4]~75606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3480][4]~q\);

-- Location: LCCOMB_X58_Y1_N24
\led_flash_cnt[3480][5]~75608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3480][5]~75608_combout\ = (\led_flash_cnt[3480][5]~q\ & (\led_flash_cnt[3480][4]~75607\ $ (GND))) # (!\led_flash_cnt[3480][5]~q\ & (!\led_flash_cnt[3480][4]~75607\ & VCC))
-- \led_flash_cnt[3480][5]~75609\ = CARRY((\led_flash_cnt[3480][5]~q\ & !\led_flash_cnt[3480][4]~75607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3480][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3480][4]~75607\,
	combout => \led_flash_cnt[3480][5]~75608_combout\,
	cout => \led_flash_cnt[3480][5]~75609\);

-- Location: FF_X58_Y1_N25
\led_flash_cnt[3480][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3480][5]~75608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3480][5]~q\);

-- Location: LCCOMB_X58_Y1_N26
\led_flash_cnt[3480][6]~75610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3480][6]~75610_combout\ = (\led_flash_cnt[3480][6]~q\ & (!\led_flash_cnt[3480][5]~75609\)) # (!\led_flash_cnt[3480][6]~q\ & ((\led_flash_cnt[3480][5]~75609\) # (GND)))
-- \led_flash_cnt[3480][6]~75611\ = CARRY((!\led_flash_cnt[3480][5]~75609\) # (!\led_flash_cnt[3480][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3480][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3480][5]~75609\,
	combout => \led_flash_cnt[3480][6]~75610_combout\,
	cout => \led_flash_cnt[3480][6]~75611\);

-- Location: FF_X58_Y1_N27
\led_flash_cnt[3480][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3480][6]~75610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3480][6]~q\);

-- Location: LCCOMB_X58_Y1_N28
\led_flash_cnt[3480][7]~75612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3480][7]~75612_combout\ = \led_flash_cnt[3480][6]~75611\ $ (!\led_flash_cnt[3480][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3480][7]~q\,
	cin => \led_flash_cnt[3480][6]~75611\,
	combout => \led_flash_cnt[3480][7]~75612_combout\);

-- Location: FF_X58_Y1_N29
\led_flash_cnt[3480][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3480][7]~75612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3480][7]~q\);

-- Location: LCCOMB_X58_Y1_N8
\WideAnd3480~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3480~1_combout\ = (\led_flash_cnt[3480][6]~q\ & \led_flash_cnt[3480][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3480][6]~q\,
	datad => \led_flash_cnt[3480][5]~q\,
	combout => \WideAnd3480~1_combout\);

-- Location: LCCOMB_X58_Y1_N12
\WideAnd3480~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3480~0_combout\ = (\led_flash_cnt[3480][2]~q\ & (\led_flash_cnt[3480][3]~q\ & (\led_flash_cnt[3480][4]~q\ & \led_flash_cnt[3480][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3480][2]~q\,
	datab => \led_flash_cnt[3480][3]~q\,
	datac => \led_flash_cnt[3480][4]~q\,
	datad => \led_flash_cnt[3480][1]~q\,
	combout => \WideAnd3480~0_combout\);

-- Location: LCCOMB_X58_Y1_N4
WideAnd3480 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3480~combout\ = (\led_flash_cnt[3480][0]~q\ & (\led_flash_cnt[3480][7]~q\ & (\WideAnd3480~1_combout\ & \WideAnd3480~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3480][0]~q\,
	datab => \led_flash_cnt[3480][7]~q\,
	datac => \WideAnd3480~1_combout\,
	datad => \WideAnd3480~0_combout\,
	combout => \WideAnd3480~combout\);

-- Location: FF_X58_Y1_N5
\led_flash_cnt_ands[3480]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3480~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3480));

-- Location: LCCOMB_X58_Y4_N2
\led_flash_cnt[3481][0]~84121\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3481][0]~84121_combout\ = !\led_flash_cnt[3481][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3481][0]~q\,
	combout => \led_flash_cnt[3481][0]~84121_combout\);

-- Location: FF_X58_Y4_N3
\led_flash_cnt[3481][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3481][0]~84121_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3481][0]~q\);

-- Location: LCCOMB_X58_Y4_N12
\led_flash_cnt[3481][1]~75614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3481][1]~75614_combout\ = (\led_flash_cnt[3481][1]~q\ & (\led_flash_cnt[3481][0]~q\ $ (VCC))) # (!\led_flash_cnt[3481][1]~q\ & (\led_flash_cnt[3481][0]~q\ & VCC))
-- \led_flash_cnt[3481][1]~75615\ = CARRY((\led_flash_cnt[3481][1]~q\ & \led_flash_cnt[3481][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3481][1]~q\,
	datab => \led_flash_cnt[3481][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3481][1]~75614_combout\,
	cout => \led_flash_cnt[3481][1]~75615\);

-- Location: FF_X58_Y4_N13
\led_flash_cnt[3481][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3481][1]~75614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3481][1]~q\);

-- Location: LCCOMB_X58_Y4_N14
\led_flash_cnt[3481][2]~75616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3481][2]~75616_combout\ = (\led_flash_cnt[3481][2]~q\ & (!\led_flash_cnt[3481][1]~75615\)) # (!\led_flash_cnt[3481][2]~q\ & ((\led_flash_cnt[3481][1]~75615\) # (GND)))
-- \led_flash_cnt[3481][2]~75617\ = CARRY((!\led_flash_cnt[3481][1]~75615\) # (!\led_flash_cnt[3481][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3481][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3481][1]~75615\,
	combout => \led_flash_cnt[3481][2]~75616_combout\,
	cout => \led_flash_cnt[3481][2]~75617\);

-- Location: FF_X58_Y4_N15
\led_flash_cnt[3481][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3481][2]~75616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3481][2]~q\);

-- Location: LCCOMB_X58_Y4_N16
\led_flash_cnt[3481][3]~75618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3481][3]~75618_combout\ = (\led_flash_cnt[3481][3]~q\ & (\led_flash_cnt[3481][2]~75617\ $ (GND))) # (!\led_flash_cnt[3481][3]~q\ & (!\led_flash_cnt[3481][2]~75617\ & VCC))
-- \led_flash_cnt[3481][3]~75619\ = CARRY((\led_flash_cnt[3481][3]~q\ & !\led_flash_cnt[3481][2]~75617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3481][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3481][2]~75617\,
	combout => \led_flash_cnt[3481][3]~75618_combout\,
	cout => \led_flash_cnt[3481][3]~75619\);

-- Location: FF_X58_Y4_N17
\led_flash_cnt[3481][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3481][3]~75618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3481][3]~q\);

-- Location: LCCOMB_X58_Y4_N18
\led_flash_cnt[3481][4]~75620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3481][4]~75620_combout\ = (\led_flash_cnt[3481][4]~q\ & (!\led_flash_cnt[3481][3]~75619\)) # (!\led_flash_cnt[3481][4]~q\ & ((\led_flash_cnt[3481][3]~75619\) # (GND)))
-- \led_flash_cnt[3481][4]~75621\ = CARRY((!\led_flash_cnt[3481][3]~75619\) # (!\led_flash_cnt[3481][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3481][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3481][3]~75619\,
	combout => \led_flash_cnt[3481][4]~75620_combout\,
	cout => \led_flash_cnt[3481][4]~75621\);

-- Location: FF_X58_Y4_N19
\led_flash_cnt[3481][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3481][4]~75620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3481][4]~q\);

-- Location: LCCOMB_X58_Y4_N20
\led_flash_cnt[3481][5]~75622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3481][5]~75622_combout\ = (\led_flash_cnt[3481][5]~q\ & (\led_flash_cnt[3481][4]~75621\ $ (GND))) # (!\led_flash_cnt[3481][5]~q\ & (!\led_flash_cnt[3481][4]~75621\ & VCC))
-- \led_flash_cnt[3481][5]~75623\ = CARRY((\led_flash_cnt[3481][5]~q\ & !\led_flash_cnt[3481][4]~75621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3481][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3481][4]~75621\,
	combout => \led_flash_cnt[3481][5]~75622_combout\,
	cout => \led_flash_cnt[3481][5]~75623\);

-- Location: FF_X58_Y4_N21
\led_flash_cnt[3481][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3481][5]~75622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3481][5]~q\);

-- Location: LCCOMB_X58_Y4_N22
\led_flash_cnt[3481][6]~75624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3481][6]~75624_combout\ = (\led_flash_cnt[3481][6]~q\ & (!\led_flash_cnt[3481][5]~75623\)) # (!\led_flash_cnt[3481][6]~q\ & ((\led_flash_cnt[3481][5]~75623\) # (GND)))
-- \led_flash_cnt[3481][6]~75625\ = CARRY((!\led_flash_cnt[3481][5]~75623\) # (!\led_flash_cnt[3481][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3481][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3481][5]~75623\,
	combout => \led_flash_cnt[3481][6]~75624_combout\,
	cout => \led_flash_cnt[3481][6]~75625\);

-- Location: FF_X58_Y4_N23
\led_flash_cnt[3481][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3481][6]~75624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3481][6]~q\);

-- Location: LCCOMB_X58_Y4_N10
\WideAnd3481~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3481~1_combout\ = (\led_flash_cnt[3481][6]~q\ & \led_flash_cnt[3481][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3481][6]~q\,
	datad => \led_flash_cnt[3481][5]~q\,
	combout => \WideAnd3481~1_combout\);

-- Location: LCCOMB_X58_Y4_N8
\WideAnd3481~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3481~0_combout\ = (\led_flash_cnt[3481][1]~q\ & (\led_flash_cnt[3481][4]~q\ & (\led_flash_cnt[3481][2]~q\ & \led_flash_cnt[3481][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3481][1]~q\,
	datab => \led_flash_cnt[3481][4]~q\,
	datac => \led_flash_cnt[3481][2]~q\,
	datad => \led_flash_cnt[3481][3]~q\,
	combout => \WideAnd3481~0_combout\);

-- Location: LCCOMB_X58_Y4_N24
\led_flash_cnt[3481][7]~75626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3481][7]~75626_combout\ = \led_flash_cnt[3481][6]~75625\ $ (!\led_flash_cnt[3481][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3481][7]~q\,
	cin => \led_flash_cnt[3481][6]~75625\,
	combout => \led_flash_cnt[3481][7]~75626_combout\);

-- Location: FF_X58_Y4_N25
\led_flash_cnt[3481][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3481][7]~75626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3481][7]~q\);

-- Location: LCCOMB_X58_Y4_N28
WideAnd3481 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3481~combout\ = (\WideAnd3481~1_combout\ & (\led_flash_cnt[3481][0]~q\ & (\WideAnd3481~0_combout\ & \led_flash_cnt[3481][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3481~1_combout\,
	datab => \led_flash_cnt[3481][0]~q\,
	datac => \WideAnd3481~0_combout\,
	datad => \led_flash_cnt[3481][7]~q\,
	combout => \WideAnd3481~combout\);

-- Location: FF_X58_Y4_N29
\led_flash_cnt_ands[3481]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3481~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3481));

-- Location: LCCOMB_X59_Y3_N4
\led_flash_cnt[3482][0]~84122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3482][0]~84122_combout\ = !\led_flash_cnt[3482][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3482][0]~q\,
	combout => \led_flash_cnt[3482][0]~84122_combout\);

-- Location: FF_X59_Y3_N5
\led_flash_cnt[3482][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3482][0]~84122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3482][0]~q\);

-- Location: LCCOMB_X59_Y3_N10
\led_flash_cnt[3482][1]~75628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3482][1]~75628_combout\ = (\led_flash_cnt[3482][1]~q\ & (\led_flash_cnt[3482][0]~q\ $ (VCC))) # (!\led_flash_cnt[3482][1]~q\ & (\led_flash_cnt[3482][0]~q\ & VCC))
-- \led_flash_cnt[3482][1]~75629\ = CARRY((\led_flash_cnt[3482][1]~q\ & \led_flash_cnt[3482][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3482][1]~q\,
	datab => \led_flash_cnt[3482][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3482][1]~75628_combout\,
	cout => \led_flash_cnt[3482][1]~75629\);

-- Location: FF_X59_Y3_N11
\led_flash_cnt[3482][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3482][1]~75628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3482][1]~q\);

-- Location: LCCOMB_X59_Y3_N12
\led_flash_cnt[3482][2]~75630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3482][2]~75630_combout\ = (\led_flash_cnt[3482][2]~q\ & (!\led_flash_cnt[3482][1]~75629\)) # (!\led_flash_cnt[3482][2]~q\ & ((\led_flash_cnt[3482][1]~75629\) # (GND)))
-- \led_flash_cnt[3482][2]~75631\ = CARRY((!\led_flash_cnt[3482][1]~75629\) # (!\led_flash_cnt[3482][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3482][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3482][1]~75629\,
	combout => \led_flash_cnt[3482][2]~75630_combout\,
	cout => \led_flash_cnt[3482][2]~75631\);

-- Location: FF_X59_Y3_N13
\led_flash_cnt[3482][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3482][2]~75630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3482][2]~q\);

-- Location: LCCOMB_X59_Y3_N14
\led_flash_cnt[3482][3]~75632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3482][3]~75632_combout\ = (\led_flash_cnt[3482][3]~q\ & (\led_flash_cnt[3482][2]~75631\ $ (GND))) # (!\led_flash_cnt[3482][3]~q\ & (!\led_flash_cnt[3482][2]~75631\ & VCC))
-- \led_flash_cnt[3482][3]~75633\ = CARRY((\led_flash_cnt[3482][3]~q\ & !\led_flash_cnt[3482][2]~75631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3482][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3482][2]~75631\,
	combout => \led_flash_cnt[3482][3]~75632_combout\,
	cout => \led_flash_cnt[3482][3]~75633\);

-- Location: FF_X59_Y3_N15
\led_flash_cnt[3482][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3482][3]~75632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3482][3]~q\);

-- Location: LCCOMB_X59_Y3_N16
\led_flash_cnt[3482][4]~75634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3482][4]~75634_combout\ = (\led_flash_cnt[3482][4]~q\ & (!\led_flash_cnt[3482][3]~75633\)) # (!\led_flash_cnt[3482][4]~q\ & ((\led_flash_cnt[3482][3]~75633\) # (GND)))
-- \led_flash_cnt[3482][4]~75635\ = CARRY((!\led_flash_cnt[3482][3]~75633\) # (!\led_flash_cnt[3482][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3482][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3482][3]~75633\,
	combout => \led_flash_cnt[3482][4]~75634_combout\,
	cout => \led_flash_cnt[3482][4]~75635\);

-- Location: FF_X59_Y3_N17
\led_flash_cnt[3482][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3482][4]~75634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3482][4]~q\);

-- Location: LCCOMB_X59_Y3_N26
\WideAnd3482~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3482~0_combout\ = (\led_flash_cnt[3482][2]~q\ & (\led_flash_cnt[3482][4]~q\ & (\led_flash_cnt[3482][3]~q\ & \led_flash_cnt[3482][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3482][2]~q\,
	datab => \led_flash_cnt[3482][4]~q\,
	datac => \led_flash_cnt[3482][3]~q\,
	datad => \led_flash_cnt[3482][1]~q\,
	combout => \WideAnd3482~0_combout\);

-- Location: LCCOMB_X59_Y3_N18
\led_flash_cnt[3482][5]~75636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3482][5]~75636_combout\ = (\led_flash_cnt[3482][5]~q\ & (\led_flash_cnt[3482][4]~75635\ $ (GND))) # (!\led_flash_cnt[3482][5]~q\ & (!\led_flash_cnt[3482][4]~75635\ & VCC))
-- \led_flash_cnt[3482][5]~75637\ = CARRY((\led_flash_cnt[3482][5]~q\ & !\led_flash_cnt[3482][4]~75635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3482][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3482][4]~75635\,
	combout => \led_flash_cnt[3482][5]~75636_combout\,
	cout => \led_flash_cnt[3482][5]~75637\);

-- Location: FF_X59_Y3_N19
\led_flash_cnt[3482][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3482][5]~75636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3482][5]~q\);

-- Location: LCCOMB_X59_Y3_N20
\led_flash_cnt[3482][6]~75638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3482][6]~75638_combout\ = (\led_flash_cnt[3482][6]~q\ & (!\led_flash_cnt[3482][5]~75637\)) # (!\led_flash_cnt[3482][6]~q\ & ((\led_flash_cnt[3482][5]~75637\) # (GND)))
-- \led_flash_cnt[3482][6]~75639\ = CARRY((!\led_flash_cnt[3482][5]~75637\) # (!\led_flash_cnt[3482][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3482][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3482][5]~75637\,
	combout => \led_flash_cnt[3482][6]~75638_combout\,
	cout => \led_flash_cnt[3482][6]~75639\);

-- Location: FF_X59_Y3_N21
\led_flash_cnt[3482][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3482][6]~75638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3482][6]~q\);

-- Location: LCCOMB_X59_Y3_N22
\led_flash_cnt[3482][7]~75640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3482][7]~75640_combout\ = \led_flash_cnt[3482][7]~q\ $ (!\led_flash_cnt[3482][6]~75639\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3482][7]~q\,
	cin => \led_flash_cnt[3482][6]~75639\,
	combout => \led_flash_cnt[3482][7]~75640_combout\);

-- Location: FF_X59_Y3_N23
\led_flash_cnt[3482][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3482][7]~75640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3482][7]~q\);

-- Location: LCCOMB_X59_Y3_N24
\WideAnd3482~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3482~1_combout\ = (\led_flash_cnt[3482][6]~q\ & \led_flash_cnt[3482][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3482][6]~q\,
	datad => \led_flash_cnt[3482][5]~q\,
	combout => \WideAnd3482~1_combout\);

-- Location: LCCOMB_X59_Y3_N0
WideAnd3482 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3482~combout\ = (\WideAnd3482~0_combout\ & (\led_flash_cnt[3482][0]~q\ & (\led_flash_cnt[3482][7]~q\ & \WideAnd3482~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3482~0_combout\,
	datab => \led_flash_cnt[3482][0]~q\,
	datac => \led_flash_cnt[3482][7]~q\,
	datad => \WideAnd3482~1_combout\,
	combout => \WideAnd3482~combout\);

-- Location: FF_X59_Y3_N1
\led_flash_cnt_ands[3482]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3482~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3482));

-- Location: LCCOMB_X58_Y4_N6
\led_flash_cnt[3483][0]~84123\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3483][0]~84123_combout\ = !\led_flash_cnt[3483][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3483][0]~q\,
	combout => \led_flash_cnt[3483][0]~84123_combout\);

-- Location: FF_X58_Y4_N7
\led_flash_cnt[3483][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3483][0]~84123_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3483][0]~q\);

-- Location: LCCOMB_X59_Y4_N2
\led_flash_cnt[3483][1]~75642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3483][1]~75642_combout\ = (\led_flash_cnt[3483][0]~q\ & (\led_flash_cnt[3483][1]~q\ $ (VCC))) # (!\led_flash_cnt[3483][0]~q\ & (\led_flash_cnt[3483][1]~q\ & VCC))
-- \led_flash_cnt[3483][1]~75643\ = CARRY((\led_flash_cnt[3483][0]~q\ & \led_flash_cnt[3483][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3483][0]~q\,
	datab => \led_flash_cnt[3483][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3483][1]~75642_combout\,
	cout => \led_flash_cnt[3483][1]~75643\);

-- Location: FF_X59_Y4_N3
\led_flash_cnt[3483][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3483][1]~75642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3483][1]~q\);

-- Location: LCCOMB_X59_Y4_N4
\led_flash_cnt[3483][2]~75644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3483][2]~75644_combout\ = (\led_flash_cnt[3483][2]~q\ & (!\led_flash_cnt[3483][1]~75643\)) # (!\led_flash_cnt[3483][2]~q\ & ((\led_flash_cnt[3483][1]~75643\) # (GND)))
-- \led_flash_cnt[3483][2]~75645\ = CARRY((!\led_flash_cnt[3483][1]~75643\) # (!\led_flash_cnt[3483][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3483][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3483][1]~75643\,
	combout => \led_flash_cnt[3483][2]~75644_combout\,
	cout => \led_flash_cnt[3483][2]~75645\);

-- Location: FF_X59_Y4_N5
\led_flash_cnt[3483][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3483][2]~75644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3483][2]~q\);

-- Location: LCCOMB_X59_Y4_N6
\led_flash_cnt[3483][3]~75646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3483][3]~75646_combout\ = (\led_flash_cnt[3483][3]~q\ & (\led_flash_cnt[3483][2]~75645\ $ (GND))) # (!\led_flash_cnt[3483][3]~q\ & (!\led_flash_cnt[3483][2]~75645\ & VCC))
-- \led_flash_cnt[3483][3]~75647\ = CARRY((\led_flash_cnt[3483][3]~q\ & !\led_flash_cnt[3483][2]~75645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3483][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3483][2]~75645\,
	combout => \led_flash_cnt[3483][3]~75646_combout\,
	cout => \led_flash_cnt[3483][3]~75647\);

-- Location: FF_X59_Y4_N7
\led_flash_cnt[3483][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3483][3]~75646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3483][3]~q\);

-- Location: LCCOMB_X59_Y4_N8
\led_flash_cnt[3483][4]~75648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3483][4]~75648_combout\ = (\led_flash_cnt[3483][4]~q\ & (!\led_flash_cnt[3483][3]~75647\)) # (!\led_flash_cnt[3483][4]~q\ & ((\led_flash_cnt[3483][3]~75647\) # (GND)))
-- \led_flash_cnt[3483][4]~75649\ = CARRY((!\led_flash_cnt[3483][3]~75647\) # (!\led_flash_cnt[3483][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3483][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3483][3]~75647\,
	combout => \led_flash_cnt[3483][4]~75648_combout\,
	cout => \led_flash_cnt[3483][4]~75649\);

-- Location: FF_X59_Y4_N9
\led_flash_cnt[3483][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3483][4]~75648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3483][4]~q\);

-- Location: LCCOMB_X59_Y4_N10
\led_flash_cnt[3483][5]~75650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3483][5]~75650_combout\ = (\led_flash_cnt[3483][5]~q\ & (\led_flash_cnt[3483][4]~75649\ $ (GND))) # (!\led_flash_cnt[3483][5]~q\ & (!\led_flash_cnt[3483][4]~75649\ & VCC))
-- \led_flash_cnt[3483][5]~75651\ = CARRY((\led_flash_cnt[3483][5]~q\ & !\led_flash_cnt[3483][4]~75649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3483][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3483][4]~75649\,
	combout => \led_flash_cnt[3483][5]~75650_combout\,
	cout => \led_flash_cnt[3483][5]~75651\);

-- Location: FF_X59_Y4_N11
\led_flash_cnt[3483][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3483][5]~75650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3483][5]~q\);

-- Location: LCCOMB_X59_Y4_N12
\led_flash_cnt[3483][6]~75652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3483][6]~75652_combout\ = (\led_flash_cnt[3483][6]~q\ & (!\led_flash_cnt[3483][5]~75651\)) # (!\led_flash_cnt[3483][6]~q\ & ((\led_flash_cnt[3483][5]~75651\) # (GND)))
-- \led_flash_cnt[3483][6]~75653\ = CARRY((!\led_flash_cnt[3483][5]~75651\) # (!\led_flash_cnt[3483][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3483][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3483][5]~75651\,
	combout => \led_flash_cnt[3483][6]~75652_combout\,
	cout => \led_flash_cnt[3483][6]~75653\);

-- Location: FF_X59_Y4_N13
\led_flash_cnt[3483][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3483][6]~75652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3483][6]~q\);

-- Location: LCCOMB_X58_Y4_N26
\WideAnd3483~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3483~1_combout\ = (\led_flash_cnt[3483][6]~q\ & \led_flash_cnt[3483][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3483][6]~q\,
	datac => \led_flash_cnt[3483][5]~q\,
	combout => \WideAnd3483~1_combout\);

-- Location: LCCOMB_X59_Y4_N0
\WideAnd3483~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3483~0_combout\ = (\led_flash_cnt[3483][3]~q\ & (\led_flash_cnt[3483][4]~q\ & (\led_flash_cnt[3483][2]~q\ & \led_flash_cnt[3483][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3483][3]~q\,
	datab => \led_flash_cnt[3483][4]~q\,
	datac => \led_flash_cnt[3483][2]~q\,
	datad => \led_flash_cnt[3483][1]~q\,
	combout => \WideAnd3483~0_combout\);

-- Location: LCCOMB_X59_Y4_N14
\led_flash_cnt[3483][7]~75654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3483][7]~75654_combout\ = \led_flash_cnt[3483][7]~q\ $ (!\led_flash_cnt[3483][6]~75653\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3483][7]~q\,
	cin => \led_flash_cnt[3483][6]~75653\,
	combout => \led_flash_cnt[3483][7]~75654_combout\);

-- Location: FF_X59_Y4_N15
\led_flash_cnt[3483][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3483][7]~75654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3483][7]~q\);

-- Location: LCCOMB_X58_Y4_N0
WideAnd3483 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3483~combout\ = (\WideAnd3483~1_combout\ & (\WideAnd3483~0_combout\ & (\led_flash_cnt[3483][7]~q\ & \led_flash_cnt[3483][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3483~1_combout\,
	datab => \WideAnd3483~0_combout\,
	datac => \led_flash_cnt[3483][7]~q\,
	datad => \led_flash_cnt[3483][0]~q\,
	combout => \WideAnd3483~combout\);

-- Location: FF_X58_Y4_N1
\led_flash_cnt_ands[3483]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3483~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3483));

-- Location: LCCOMB_X58_Y4_N4
\WideAnd4275~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4275~0_combout\ = (led_flash_cnt_ands(3480) & (led_flash_cnt_ands(3481) & (led_flash_cnt_ands(3482) & led_flash_cnt_ands(3483))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3480),
	datab => led_flash_cnt_ands(3481),
	datac => led_flash_cnt_ands(3482),
	datad => led_flash_cnt_ands(3483),
	combout => \WideAnd4275~0_combout\);

-- Location: LCCOMB_X65_Y9_N12
\led_flash_cnt[3486][0]~84126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3486][0]~84126_combout\ = !\led_flash_cnt[3486][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3486][0]~q\,
	combout => \led_flash_cnt[3486][0]~84126_combout\);

-- Location: FF_X65_Y9_N13
\led_flash_cnt[3486][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3486][0]~84126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3486][0]~q\);

-- Location: LCCOMB_X65_Y9_N14
\led_flash_cnt[3486][1]~75684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3486][1]~75684_combout\ = (\led_flash_cnt[3486][0]~q\ & (\led_flash_cnt[3486][1]~q\ $ (VCC))) # (!\led_flash_cnt[3486][0]~q\ & (\led_flash_cnt[3486][1]~q\ & VCC))
-- \led_flash_cnt[3486][1]~75685\ = CARRY((\led_flash_cnt[3486][0]~q\ & \led_flash_cnt[3486][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3486][0]~q\,
	datab => \led_flash_cnt[3486][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3486][1]~75684_combout\,
	cout => \led_flash_cnt[3486][1]~75685\);

-- Location: FF_X65_Y9_N15
\led_flash_cnt[3486][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3486][1]~75684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3486][1]~q\);

-- Location: LCCOMB_X65_Y9_N16
\led_flash_cnt[3486][2]~75686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3486][2]~75686_combout\ = (\led_flash_cnt[3486][2]~q\ & (!\led_flash_cnt[3486][1]~75685\)) # (!\led_flash_cnt[3486][2]~q\ & ((\led_flash_cnt[3486][1]~75685\) # (GND)))
-- \led_flash_cnt[3486][2]~75687\ = CARRY((!\led_flash_cnt[3486][1]~75685\) # (!\led_flash_cnt[3486][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3486][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3486][1]~75685\,
	combout => \led_flash_cnt[3486][2]~75686_combout\,
	cout => \led_flash_cnt[3486][2]~75687\);

-- Location: FF_X65_Y9_N17
\led_flash_cnt[3486][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3486][2]~75686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3486][2]~q\);

-- Location: LCCOMB_X65_Y9_N18
\led_flash_cnt[3486][3]~75688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3486][3]~75688_combout\ = (\led_flash_cnt[3486][3]~q\ & (\led_flash_cnt[3486][2]~75687\ $ (GND))) # (!\led_flash_cnt[3486][3]~q\ & (!\led_flash_cnt[3486][2]~75687\ & VCC))
-- \led_flash_cnt[3486][3]~75689\ = CARRY((\led_flash_cnt[3486][3]~q\ & !\led_flash_cnt[3486][2]~75687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3486][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3486][2]~75687\,
	combout => \led_flash_cnt[3486][3]~75688_combout\,
	cout => \led_flash_cnt[3486][3]~75689\);

-- Location: FF_X65_Y9_N19
\led_flash_cnt[3486][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3486][3]~75688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3486][3]~q\);

-- Location: LCCOMB_X65_Y9_N20
\led_flash_cnt[3486][4]~75690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3486][4]~75690_combout\ = (\led_flash_cnt[3486][4]~q\ & (!\led_flash_cnt[3486][3]~75689\)) # (!\led_flash_cnt[3486][4]~q\ & ((\led_flash_cnt[3486][3]~75689\) # (GND)))
-- \led_flash_cnt[3486][4]~75691\ = CARRY((!\led_flash_cnt[3486][3]~75689\) # (!\led_flash_cnt[3486][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3486][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3486][3]~75689\,
	combout => \led_flash_cnt[3486][4]~75690_combout\,
	cout => \led_flash_cnt[3486][4]~75691\);

-- Location: FF_X65_Y9_N21
\led_flash_cnt[3486][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3486][4]~75690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3486][4]~q\);

-- Location: LCCOMB_X65_Y9_N22
\led_flash_cnt[3486][5]~75692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3486][5]~75692_combout\ = (\led_flash_cnt[3486][5]~q\ & (\led_flash_cnt[3486][4]~75691\ $ (GND))) # (!\led_flash_cnt[3486][5]~q\ & (!\led_flash_cnt[3486][4]~75691\ & VCC))
-- \led_flash_cnt[3486][5]~75693\ = CARRY((\led_flash_cnt[3486][5]~q\ & !\led_flash_cnt[3486][4]~75691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3486][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3486][4]~75691\,
	combout => \led_flash_cnt[3486][5]~75692_combout\,
	cout => \led_flash_cnt[3486][5]~75693\);

-- Location: FF_X65_Y9_N23
\led_flash_cnt[3486][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3486][5]~75692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3486][5]~q\);

-- Location: LCCOMB_X65_Y9_N24
\led_flash_cnt[3486][6]~75694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3486][6]~75694_combout\ = (\led_flash_cnt[3486][6]~q\ & (!\led_flash_cnt[3486][5]~75693\)) # (!\led_flash_cnt[3486][6]~q\ & ((\led_flash_cnt[3486][5]~75693\) # (GND)))
-- \led_flash_cnt[3486][6]~75695\ = CARRY((!\led_flash_cnt[3486][5]~75693\) # (!\led_flash_cnt[3486][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3486][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3486][5]~75693\,
	combout => \led_flash_cnt[3486][6]~75694_combout\,
	cout => \led_flash_cnt[3486][6]~75695\);

-- Location: FF_X65_Y9_N25
\led_flash_cnt[3486][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3486][6]~75694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3486][6]~q\);

-- Location: LCCOMB_X65_Y9_N26
\led_flash_cnt[3486][7]~75696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3486][7]~75696_combout\ = \led_flash_cnt[3486][7]~q\ $ (!\led_flash_cnt[3486][6]~75695\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3486][7]~q\,
	cin => \led_flash_cnt[3486][6]~75695\,
	combout => \led_flash_cnt[3486][7]~75696_combout\);

-- Location: FF_X65_Y9_N27
\led_flash_cnt[3486][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3486][7]~75696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3486][7]~q\);

-- Location: LCCOMB_X65_Y9_N28
\WideAnd3486~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3486~0_combout\ = (\led_flash_cnt[3486][3]~q\ & (\led_flash_cnt[3486][4]~q\ & (\led_flash_cnt[3486][1]~q\ & \led_flash_cnt[3486][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3486][3]~q\,
	datab => \led_flash_cnt[3486][4]~q\,
	datac => \led_flash_cnt[3486][1]~q\,
	datad => \led_flash_cnt[3486][2]~q\,
	combout => \WideAnd3486~0_combout\);

-- Location: LCCOMB_X65_Y9_N4
\WideAnd3486~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3486~1_combout\ = (\led_flash_cnt[3486][5]~q\ & \led_flash_cnt[3486][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3486][5]~q\,
	datad => \led_flash_cnt[3486][6]~q\,
	combout => \WideAnd3486~1_combout\);

-- Location: LCCOMB_X65_Y9_N10
WideAnd3486 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3486~combout\ = (\led_flash_cnt[3486][7]~q\ & (\WideAnd3486~0_combout\ & (\WideAnd3486~1_combout\ & \led_flash_cnt[3486][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3486][7]~q\,
	datab => \WideAnd3486~0_combout\,
	datac => \WideAnd3486~1_combout\,
	datad => \led_flash_cnt[3486][0]~q\,
	combout => \WideAnd3486~combout\);

-- Location: FF_X65_Y9_N11
\led_flash_cnt_ands[3486]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3486~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3486));

-- Location: LCCOMB_X65_Y16_N24
\led_flash_cnt[3487][0]~84127\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3487][0]~84127_combout\ = !\led_flash_cnt[3487][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3487][0]~q\,
	combout => \led_flash_cnt[3487][0]~84127_combout\);

-- Location: FF_X65_Y16_N25
\led_flash_cnt[3487][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3487][0]~84127_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3487][0]~q\);

-- Location: LCCOMB_X65_Y16_N0
\led_flash_cnt[3487][1]~75698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3487][1]~75698_combout\ = (\led_flash_cnt[3487][0]~q\ & (\led_flash_cnt[3487][1]~q\ $ (VCC))) # (!\led_flash_cnt[3487][0]~q\ & (\led_flash_cnt[3487][1]~q\ & VCC))
-- \led_flash_cnt[3487][1]~75699\ = CARRY((\led_flash_cnt[3487][0]~q\ & \led_flash_cnt[3487][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3487][0]~q\,
	datab => \led_flash_cnt[3487][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3487][1]~75698_combout\,
	cout => \led_flash_cnt[3487][1]~75699\);

-- Location: FF_X65_Y16_N1
\led_flash_cnt[3487][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3487][1]~75698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3487][1]~q\);

-- Location: LCCOMB_X65_Y16_N2
\led_flash_cnt[3487][2]~75700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3487][2]~75700_combout\ = (\led_flash_cnt[3487][2]~q\ & (!\led_flash_cnt[3487][1]~75699\)) # (!\led_flash_cnt[3487][2]~q\ & ((\led_flash_cnt[3487][1]~75699\) # (GND)))
-- \led_flash_cnt[3487][2]~75701\ = CARRY((!\led_flash_cnt[3487][1]~75699\) # (!\led_flash_cnt[3487][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3487][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3487][1]~75699\,
	combout => \led_flash_cnt[3487][2]~75700_combout\,
	cout => \led_flash_cnt[3487][2]~75701\);

-- Location: FF_X65_Y16_N3
\led_flash_cnt[3487][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3487][2]~75700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3487][2]~q\);

-- Location: LCCOMB_X65_Y16_N4
\led_flash_cnt[3487][3]~75702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3487][3]~75702_combout\ = (\led_flash_cnt[3487][3]~q\ & (\led_flash_cnt[3487][2]~75701\ $ (GND))) # (!\led_flash_cnt[3487][3]~q\ & (!\led_flash_cnt[3487][2]~75701\ & VCC))
-- \led_flash_cnt[3487][3]~75703\ = CARRY((\led_flash_cnt[3487][3]~q\ & !\led_flash_cnt[3487][2]~75701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3487][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3487][2]~75701\,
	combout => \led_flash_cnt[3487][3]~75702_combout\,
	cout => \led_flash_cnt[3487][3]~75703\);

-- Location: FF_X65_Y16_N5
\led_flash_cnt[3487][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3487][3]~75702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3487][3]~q\);

-- Location: LCCOMB_X65_Y16_N6
\led_flash_cnt[3487][4]~75704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3487][4]~75704_combout\ = (\led_flash_cnt[3487][4]~q\ & (!\led_flash_cnt[3487][3]~75703\)) # (!\led_flash_cnt[3487][4]~q\ & ((\led_flash_cnt[3487][3]~75703\) # (GND)))
-- \led_flash_cnt[3487][4]~75705\ = CARRY((!\led_flash_cnt[3487][3]~75703\) # (!\led_flash_cnt[3487][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3487][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3487][3]~75703\,
	combout => \led_flash_cnt[3487][4]~75704_combout\,
	cout => \led_flash_cnt[3487][4]~75705\);

-- Location: FF_X65_Y16_N7
\led_flash_cnt[3487][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3487][4]~75704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3487][4]~q\);

-- Location: LCCOMB_X65_Y16_N8
\led_flash_cnt[3487][5]~75706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3487][5]~75706_combout\ = (\led_flash_cnt[3487][5]~q\ & (\led_flash_cnt[3487][4]~75705\ $ (GND))) # (!\led_flash_cnt[3487][5]~q\ & (!\led_flash_cnt[3487][4]~75705\ & VCC))
-- \led_flash_cnt[3487][5]~75707\ = CARRY((\led_flash_cnt[3487][5]~q\ & !\led_flash_cnt[3487][4]~75705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3487][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3487][4]~75705\,
	combout => \led_flash_cnt[3487][5]~75706_combout\,
	cout => \led_flash_cnt[3487][5]~75707\);

-- Location: FF_X65_Y16_N9
\led_flash_cnt[3487][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3487][5]~75706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3487][5]~q\);

-- Location: LCCOMB_X65_Y16_N10
\led_flash_cnt[3487][6]~75708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3487][6]~75708_combout\ = (\led_flash_cnt[3487][6]~q\ & (!\led_flash_cnt[3487][5]~75707\)) # (!\led_flash_cnt[3487][6]~q\ & ((\led_flash_cnt[3487][5]~75707\) # (GND)))
-- \led_flash_cnt[3487][6]~75709\ = CARRY((!\led_flash_cnt[3487][5]~75707\) # (!\led_flash_cnt[3487][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3487][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3487][5]~75707\,
	combout => \led_flash_cnt[3487][6]~75708_combout\,
	cout => \led_flash_cnt[3487][6]~75709\);

-- Location: FF_X65_Y16_N11
\led_flash_cnt[3487][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3487][6]~75708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3487][6]~q\);

-- Location: LCCOMB_X65_Y16_N12
\led_flash_cnt[3487][7]~75710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3487][7]~75710_combout\ = \led_flash_cnt[3487][6]~75709\ $ (!\led_flash_cnt[3487][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3487][7]~q\,
	cin => \led_flash_cnt[3487][6]~75709\,
	combout => \led_flash_cnt[3487][7]~75710_combout\);

-- Location: FF_X65_Y16_N13
\led_flash_cnt[3487][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3487][7]~75710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3487][7]~q\);

-- Location: LCCOMB_X65_Y16_N26
\WideAnd3487~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3487~1_combout\ = (\led_flash_cnt[3487][5]~q\ & \led_flash_cnt[3487][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3487][5]~q\,
	datad => \led_flash_cnt[3487][6]~q\,
	combout => \WideAnd3487~1_combout\);

-- Location: LCCOMB_X65_Y16_N18
\WideAnd3487~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3487~0_combout\ = (\led_flash_cnt[3487][4]~q\ & (\led_flash_cnt[3487][2]~q\ & (\led_flash_cnt[3487][3]~q\ & \led_flash_cnt[3487][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3487][4]~q\,
	datab => \led_flash_cnt[3487][2]~q\,
	datac => \led_flash_cnt[3487][3]~q\,
	datad => \led_flash_cnt[3487][1]~q\,
	combout => \WideAnd3487~0_combout\);

-- Location: LCCOMB_X65_Y16_N28
WideAnd3487 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3487~combout\ = (\led_flash_cnt[3487][7]~q\ & (\led_flash_cnt[3487][0]~q\ & (\WideAnd3487~1_combout\ & \WideAnd3487~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3487][7]~q\,
	datab => \led_flash_cnt[3487][0]~q\,
	datac => \WideAnd3487~1_combout\,
	datad => \WideAnd3487~0_combout\,
	combout => \WideAnd3487~combout\);

-- Location: FF_X65_Y16_N29
\led_flash_cnt_ands[3487]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3487~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3487));

-- Location: LCCOMB_X64_Y16_N26
WideAnd4275 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4275~combout\ = (\WideAnd4275~1_combout\ & (\WideAnd4275~0_combout\ & (led_flash_cnt_ands(3486) & led_flash_cnt_ands(3487))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4275~1_combout\,
	datab => \WideAnd4275~0_combout\,
	datac => led_flash_cnt_ands(3486),
	datad => led_flash_cnt_ands(3487),
	combout => \WideAnd4275~combout\);

-- Location: FF_X64_Y16_N27
\led_flash_cnt_ands_1[435]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4275~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(435));

-- Location: LCCOMB_X76_Y27_N28
\led_flash_cnt[3476][0]~84116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3476][0]~84116_combout\ = !\led_flash_cnt[3476][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3476][0]~q\,
	combout => \led_flash_cnt[3476][0]~84116_combout\);

-- Location: FF_X76_Y27_N29
\led_flash_cnt[3476][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3476][0]~84116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3476][0]~q\);

-- Location: LCCOMB_X76_Y27_N12
\led_flash_cnt[3476][1]~75544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3476][1]~75544_combout\ = (\led_flash_cnt[3476][1]~q\ & (\led_flash_cnt[3476][0]~q\ $ (VCC))) # (!\led_flash_cnt[3476][1]~q\ & (\led_flash_cnt[3476][0]~q\ & VCC))
-- \led_flash_cnt[3476][1]~75545\ = CARRY((\led_flash_cnt[3476][1]~q\ & \led_flash_cnt[3476][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3476][1]~q\,
	datab => \led_flash_cnt[3476][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3476][1]~75544_combout\,
	cout => \led_flash_cnt[3476][1]~75545\);

-- Location: FF_X76_Y27_N13
\led_flash_cnt[3476][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3476][1]~75544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3476][1]~q\);

-- Location: LCCOMB_X76_Y27_N14
\led_flash_cnt[3476][2]~75546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3476][2]~75546_combout\ = (\led_flash_cnt[3476][2]~q\ & (!\led_flash_cnt[3476][1]~75545\)) # (!\led_flash_cnt[3476][2]~q\ & ((\led_flash_cnt[3476][1]~75545\) # (GND)))
-- \led_flash_cnt[3476][2]~75547\ = CARRY((!\led_flash_cnt[3476][1]~75545\) # (!\led_flash_cnt[3476][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3476][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3476][1]~75545\,
	combout => \led_flash_cnt[3476][2]~75546_combout\,
	cout => \led_flash_cnt[3476][2]~75547\);

-- Location: FF_X76_Y27_N15
\led_flash_cnt[3476][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3476][2]~75546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3476][2]~q\);

-- Location: LCCOMB_X76_Y27_N16
\led_flash_cnt[3476][3]~75548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3476][3]~75548_combout\ = (\led_flash_cnt[3476][3]~q\ & (\led_flash_cnt[3476][2]~75547\ $ (GND))) # (!\led_flash_cnt[3476][3]~q\ & (!\led_flash_cnt[3476][2]~75547\ & VCC))
-- \led_flash_cnt[3476][3]~75549\ = CARRY((\led_flash_cnt[3476][3]~q\ & !\led_flash_cnt[3476][2]~75547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3476][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3476][2]~75547\,
	combout => \led_flash_cnt[3476][3]~75548_combout\,
	cout => \led_flash_cnt[3476][3]~75549\);

-- Location: FF_X76_Y27_N17
\led_flash_cnt[3476][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3476][3]~75548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3476][3]~q\);

-- Location: LCCOMB_X76_Y27_N18
\led_flash_cnt[3476][4]~75550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3476][4]~75550_combout\ = (\led_flash_cnt[3476][4]~q\ & (!\led_flash_cnt[3476][3]~75549\)) # (!\led_flash_cnt[3476][4]~q\ & ((\led_flash_cnt[3476][3]~75549\) # (GND)))
-- \led_flash_cnt[3476][4]~75551\ = CARRY((!\led_flash_cnt[3476][3]~75549\) # (!\led_flash_cnt[3476][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3476][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3476][3]~75549\,
	combout => \led_flash_cnt[3476][4]~75550_combout\,
	cout => \led_flash_cnt[3476][4]~75551\);

-- Location: FF_X76_Y27_N19
\led_flash_cnt[3476][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3476][4]~75550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3476][4]~q\);

-- Location: LCCOMB_X76_Y27_N20
\led_flash_cnt[3476][5]~75552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3476][5]~75552_combout\ = (\led_flash_cnt[3476][5]~q\ & (\led_flash_cnt[3476][4]~75551\ $ (GND))) # (!\led_flash_cnt[3476][5]~q\ & (!\led_flash_cnt[3476][4]~75551\ & VCC))
-- \led_flash_cnt[3476][5]~75553\ = CARRY((\led_flash_cnt[3476][5]~q\ & !\led_flash_cnt[3476][4]~75551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3476][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3476][4]~75551\,
	combout => \led_flash_cnt[3476][5]~75552_combout\,
	cout => \led_flash_cnt[3476][5]~75553\);

-- Location: FF_X76_Y27_N21
\led_flash_cnt[3476][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3476][5]~75552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3476][5]~q\);

-- Location: LCCOMB_X76_Y27_N22
\led_flash_cnt[3476][6]~75554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3476][6]~75554_combout\ = (\led_flash_cnt[3476][6]~q\ & (!\led_flash_cnt[3476][5]~75553\)) # (!\led_flash_cnt[3476][6]~q\ & ((\led_flash_cnt[3476][5]~75553\) # (GND)))
-- \led_flash_cnt[3476][6]~75555\ = CARRY((!\led_flash_cnt[3476][5]~75553\) # (!\led_flash_cnt[3476][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3476][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3476][5]~75553\,
	combout => \led_flash_cnt[3476][6]~75554_combout\,
	cout => \led_flash_cnt[3476][6]~75555\);

-- Location: FF_X76_Y27_N23
\led_flash_cnt[3476][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3476][6]~75554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3476][6]~q\);

-- Location: LCCOMB_X76_Y27_N10
\WideAnd3476~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3476~1_combout\ = (\led_flash_cnt[3476][6]~q\ & \led_flash_cnt[3476][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3476][6]~q\,
	datad => \led_flash_cnt[3476][5]~q\,
	combout => \WideAnd3476~1_combout\);

-- Location: LCCOMB_X76_Y27_N24
\led_flash_cnt[3476][7]~75556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3476][7]~75556_combout\ = \led_flash_cnt[3476][6]~75555\ $ (!\led_flash_cnt[3476][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3476][7]~q\,
	cin => \led_flash_cnt[3476][6]~75555\,
	combout => \led_flash_cnt[3476][7]~75556_combout\);

-- Location: FF_X76_Y27_N25
\led_flash_cnt[3476][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3476][7]~75556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3476][7]~q\);

-- Location: LCCOMB_X76_Y27_N4
\WideAnd3476~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3476~0_combout\ = (\led_flash_cnt[3476][1]~q\ & (\led_flash_cnt[3476][4]~q\ & (\led_flash_cnt[3476][2]~q\ & \led_flash_cnt[3476][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3476][1]~q\,
	datab => \led_flash_cnt[3476][4]~q\,
	datac => \led_flash_cnt[3476][2]~q\,
	datad => \led_flash_cnt[3476][3]~q\,
	combout => \WideAnd3476~0_combout\);

-- Location: LCCOMB_X76_Y27_N30
WideAnd3476 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3476~combout\ = (\WideAnd3476~1_combout\ & (\led_flash_cnt[3476][7]~q\ & (\WideAnd3476~0_combout\ & \led_flash_cnt[3476][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3476~1_combout\,
	datab => \led_flash_cnt[3476][7]~q\,
	datac => \WideAnd3476~0_combout\,
	datad => \led_flash_cnt[3476][0]~q\,
	combout => \WideAnd3476~combout\);

-- Location: FF_X76_Y27_N31
\led_flash_cnt_ands[3476]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3476~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3476));

-- Location: LCCOMB_X76_Y27_N2
\led_flash_cnt[3477][0]~84117\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3477][0]~84117_combout\ = !\led_flash_cnt[3477][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3477][0]~q\,
	combout => \led_flash_cnt[3477][0]~84117_combout\);

-- Location: FF_X76_Y27_N3
\led_flash_cnt[3477][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3477][0]~84117_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3477][0]~q\);

-- Location: LCCOMB_X75_Y27_N18
\led_flash_cnt[3477][1]~75558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3477][1]~75558_combout\ = (\led_flash_cnt[3477][0]~q\ & (\led_flash_cnt[3477][1]~q\ $ (VCC))) # (!\led_flash_cnt[3477][0]~q\ & (\led_flash_cnt[3477][1]~q\ & VCC))
-- \led_flash_cnt[3477][1]~75559\ = CARRY((\led_flash_cnt[3477][0]~q\ & \led_flash_cnt[3477][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3477][0]~q\,
	datab => \led_flash_cnt[3477][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3477][1]~75558_combout\,
	cout => \led_flash_cnt[3477][1]~75559\);

-- Location: FF_X75_Y27_N19
\led_flash_cnt[3477][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3477][1]~75558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3477][1]~q\);

-- Location: LCCOMB_X75_Y27_N20
\led_flash_cnt[3477][2]~75560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3477][2]~75560_combout\ = (\led_flash_cnt[3477][2]~q\ & (!\led_flash_cnt[3477][1]~75559\)) # (!\led_flash_cnt[3477][2]~q\ & ((\led_flash_cnt[3477][1]~75559\) # (GND)))
-- \led_flash_cnt[3477][2]~75561\ = CARRY((!\led_flash_cnt[3477][1]~75559\) # (!\led_flash_cnt[3477][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3477][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3477][1]~75559\,
	combout => \led_flash_cnt[3477][2]~75560_combout\,
	cout => \led_flash_cnt[3477][2]~75561\);

-- Location: FF_X75_Y27_N21
\led_flash_cnt[3477][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3477][2]~75560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3477][2]~q\);

-- Location: LCCOMB_X75_Y27_N22
\led_flash_cnt[3477][3]~75562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3477][3]~75562_combout\ = (\led_flash_cnt[3477][3]~q\ & (\led_flash_cnt[3477][2]~75561\ $ (GND))) # (!\led_flash_cnt[3477][3]~q\ & (!\led_flash_cnt[3477][2]~75561\ & VCC))
-- \led_flash_cnt[3477][3]~75563\ = CARRY((\led_flash_cnt[3477][3]~q\ & !\led_flash_cnt[3477][2]~75561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3477][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3477][2]~75561\,
	combout => \led_flash_cnt[3477][3]~75562_combout\,
	cout => \led_flash_cnt[3477][3]~75563\);

-- Location: FF_X75_Y27_N23
\led_flash_cnt[3477][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3477][3]~75562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3477][3]~q\);

-- Location: LCCOMB_X75_Y27_N24
\led_flash_cnt[3477][4]~75564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3477][4]~75564_combout\ = (\led_flash_cnt[3477][4]~q\ & (!\led_flash_cnt[3477][3]~75563\)) # (!\led_flash_cnt[3477][4]~q\ & ((\led_flash_cnt[3477][3]~75563\) # (GND)))
-- \led_flash_cnt[3477][4]~75565\ = CARRY((!\led_flash_cnt[3477][3]~75563\) # (!\led_flash_cnt[3477][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3477][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3477][3]~75563\,
	combout => \led_flash_cnt[3477][4]~75564_combout\,
	cout => \led_flash_cnt[3477][4]~75565\);

-- Location: FF_X75_Y27_N25
\led_flash_cnt[3477][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3477][4]~75564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3477][4]~q\);

-- Location: LCCOMB_X75_Y27_N26
\led_flash_cnt[3477][5]~75566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3477][5]~75566_combout\ = (\led_flash_cnt[3477][5]~q\ & (\led_flash_cnt[3477][4]~75565\ $ (GND))) # (!\led_flash_cnt[3477][5]~q\ & (!\led_flash_cnt[3477][4]~75565\ & VCC))
-- \led_flash_cnt[3477][5]~75567\ = CARRY((\led_flash_cnt[3477][5]~q\ & !\led_flash_cnt[3477][4]~75565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3477][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3477][4]~75565\,
	combout => \led_flash_cnt[3477][5]~75566_combout\,
	cout => \led_flash_cnt[3477][5]~75567\);

-- Location: FF_X75_Y27_N27
\led_flash_cnt[3477][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3477][5]~75566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3477][5]~q\);

-- Location: LCCOMB_X75_Y27_N28
\led_flash_cnt[3477][6]~75568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3477][6]~75568_combout\ = (\led_flash_cnt[3477][6]~q\ & (!\led_flash_cnt[3477][5]~75567\)) # (!\led_flash_cnt[3477][6]~q\ & ((\led_flash_cnt[3477][5]~75567\) # (GND)))
-- \led_flash_cnt[3477][6]~75569\ = CARRY((!\led_flash_cnt[3477][5]~75567\) # (!\led_flash_cnt[3477][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3477][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3477][5]~75567\,
	combout => \led_flash_cnt[3477][6]~75568_combout\,
	cout => \led_flash_cnt[3477][6]~75569\);

-- Location: FF_X75_Y27_N29
\led_flash_cnt[3477][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3477][6]~75568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3477][6]~q\);

-- Location: LCCOMB_X76_Y27_N26
\WideAnd3477~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3477~1_combout\ = (\led_flash_cnt[3477][5]~q\ & \led_flash_cnt[3477][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3477][5]~q\,
	datad => \led_flash_cnt[3477][6]~q\,
	combout => \WideAnd3477~1_combout\);

-- Location: LCCOMB_X75_Y27_N30
\led_flash_cnt[3477][7]~75570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3477][7]~75570_combout\ = \led_flash_cnt[3477][7]~q\ $ (!\led_flash_cnt[3477][6]~75569\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3477][7]~q\,
	cin => \led_flash_cnt[3477][6]~75569\,
	combout => \led_flash_cnt[3477][7]~75570_combout\);

-- Location: FF_X75_Y27_N31
\led_flash_cnt[3477][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3477][7]~75570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3477][7]~q\);

-- Location: LCCOMB_X75_Y27_N0
\WideAnd3477~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3477~0_combout\ = (\led_flash_cnt[3477][4]~q\ & (\led_flash_cnt[3477][2]~q\ & (\led_flash_cnt[3477][3]~q\ & \led_flash_cnt[3477][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3477][4]~q\,
	datab => \led_flash_cnt[3477][2]~q\,
	datac => \led_flash_cnt[3477][3]~q\,
	datad => \led_flash_cnt[3477][1]~q\,
	combout => \WideAnd3477~0_combout\);

-- Location: LCCOMB_X76_Y27_N6
WideAnd3477 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3477~combout\ = (\WideAnd3477~1_combout\ & (\led_flash_cnt[3477][7]~q\ & (\WideAnd3477~0_combout\ & \led_flash_cnt[3477][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3477~1_combout\,
	datab => \led_flash_cnt[3477][7]~q\,
	datac => \WideAnd3477~0_combout\,
	datad => \led_flash_cnt[3477][0]~q\,
	combout => \WideAnd3477~combout\);

-- Location: FF_X76_Y27_N7
\led_flash_cnt_ands[3477]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3477~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3477));

-- Location: LCCOMB_X76_Y27_N8
\WideAnd4274~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4274~1_combout\ = (led_flash_cnt_ands(3476) & led_flash_cnt_ands(3477))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3476),
	datad => led_flash_cnt_ands(3477),
	combout => \WideAnd4274~1_combout\);

-- Location: LCCOMB_X76_Y29_N12
\led_flash_cnt[3479][0]~84119\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3479][0]~84119_combout\ = !\led_flash_cnt[3479][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3479][0]~q\,
	combout => \led_flash_cnt[3479][0]~84119_combout\);

-- Location: FF_X76_Y29_N13
\led_flash_cnt[3479][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3479][0]~84119_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3479][0]~q\);

-- Location: LCCOMB_X76_Y29_N14
\led_flash_cnt[3479][1]~75586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3479][1]~75586_combout\ = (\led_flash_cnt[3479][0]~q\ & (\led_flash_cnt[3479][1]~q\ $ (VCC))) # (!\led_flash_cnt[3479][0]~q\ & (\led_flash_cnt[3479][1]~q\ & VCC))
-- \led_flash_cnt[3479][1]~75587\ = CARRY((\led_flash_cnt[3479][0]~q\ & \led_flash_cnt[3479][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3479][0]~q\,
	datab => \led_flash_cnt[3479][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3479][1]~75586_combout\,
	cout => \led_flash_cnt[3479][1]~75587\);

-- Location: FF_X76_Y29_N15
\led_flash_cnt[3479][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3479][1]~75586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3479][1]~q\);

-- Location: LCCOMB_X76_Y29_N16
\led_flash_cnt[3479][2]~75588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3479][2]~75588_combout\ = (\led_flash_cnt[3479][2]~q\ & (!\led_flash_cnt[3479][1]~75587\)) # (!\led_flash_cnt[3479][2]~q\ & ((\led_flash_cnt[3479][1]~75587\) # (GND)))
-- \led_flash_cnt[3479][2]~75589\ = CARRY((!\led_flash_cnt[3479][1]~75587\) # (!\led_flash_cnt[3479][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3479][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3479][1]~75587\,
	combout => \led_flash_cnt[3479][2]~75588_combout\,
	cout => \led_flash_cnt[3479][2]~75589\);

-- Location: FF_X76_Y29_N17
\led_flash_cnt[3479][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3479][2]~75588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3479][2]~q\);

-- Location: LCCOMB_X76_Y29_N18
\led_flash_cnt[3479][3]~75590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3479][3]~75590_combout\ = (\led_flash_cnt[3479][3]~q\ & (\led_flash_cnt[3479][2]~75589\ $ (GND))) # (!\led_flash_cnt[3479][3]~q\ & (!\led_flash_cnt[3479][2]~75589\ & VCC))
-- \led_flash_cnt[3479][3]~75591\ = CARRY((\led_flash_cnt[3479][3]~q\ & !\led_flash_cnt[3479][2]~75589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3479][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3479][2]~75589\,
	combout => \led_flash_cnt[3479][3]~75590_combout\,
	cout => \led_flash_cnt[3479][3]~75591\);

-- Location: FF_X76_Y29_N19
\led_flash_cnt[3479][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3479][3]~75590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3479][3]~q\);

-- Location: LCCOMB_X76_Y29_N20
\led_flash_cnt[3479][4]~75592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3479][4]~75592_combout\ = (\led_flash_cnt[3479][4]~q\ & (!\led_flash_cnt[3479][3]~75591\)) # (!\led_flash_cnt[3479][4]~q\ & ((\led_flash_cnt[3479][3]~75591\) # (GND)))
-- \led_flash_cnt[3479][4]~75593\ = CARRY((!\led_flash_cnt[3479][3]~75591\) # (!\led_flash_cnt[3479][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3479][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3479][3]~75591\,
	combout => \led_flash_cnt[3479][4]~75592_combout\,
	cout => \led_flash_cnt[3479][4]~75593\);

-- Location: FF_X76_Y29_N21
\led_flash_cnt[3479][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3479][4]~75592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3479][4]~q\);

-- Location: LCCOMB_X76_Y29_N22
\led_flash_cnt[3479][5]~75594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3479][5]~75594_combout\ = (\led_flash_cnt[3479][5]~q\ & (\led_flash_cnt[3479][4]~75593\ $ (GND))) # (!\led_flash_cnt[3479][5]~q\ & (!\led_flash_cnt[3479][4]~75593\ & VCC))
-- \led_flash_cnt[3479][5]~75595\ = CARRY((\led_flash_cnt[3479][5]~q\ & !\led_flash_cnt[3479][4]~75593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3479][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3479][4]~75593\,
	combout => \led_flash_cnt[3479][5]~75594_combout\,
	cout => \led_flash_cnt[3479][5]~75595\);

-- Location: FF_X76_Y29_N23
\led_flash_cnt[3479][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3479][5]~75594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3479][5]~q\);

-- Location: LCCOMB_X76_Y29_N24
\led_flash_cnt[3479][6]~75596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3479][6]~75596_combout\ = (\led_flash_cnt[3479][6]~q\ & (!\led_flash_cnt[3479][5]~75595\)) # (!\led_flash_cnt[3479][6]~q\ & ((\led_flash_cnt[3479][5]~75595\) # (GND)))
-- \led_flash_cnt[3479][6]~75597\ = CARRY((!\led_flash_cnt[3479][5]~75595\) # (!\led_flash_cnt[3479][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3479][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3479][5]~75595\,
	combout => \led_flash_cnt[3479][6]~75596_combout\,
	cout => \led_flash_cnt[3479][6]~75597\);

-- Location: FF_X76_Y29_N25
\led_flash_cnt[3479][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3479][6]~75596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3479][6]~q\);

-- Location: LCCOMB_X76_Y29_N10
\WideAnd3479~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3479~1_combout\ = (\led_flash_cnt[3479][5]~q\ & \led_flash_cnt[3479][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3479][5]~q\,
	datad => \led_flash_cnt[3479][6]~q\,
	combout => \WideAnd3479~1_combout\);

-- Location: LCCOMB_X76_Y29_N28
\WideAnd3479~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3479~0_combout\ = (\led_flash_cnt[3479][4]~q\ & (\led_flash_cnt[3479][3]~q\ & (\led_flash_cnt[3479][1]~q\ & \led_flash_cnt[3479][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3479][4]~q\,
	datab => \led_flash_cnt[3479][3]~q\,
	datac => \led_flash_cnt[3479][1]~q\,
	datad => \led_flash_cnt[3479][2]~q\,
	combout => \WideAnd3479~0_combout\);

-- Location: LCCOMB_X76_Y29_N26
\led_flash_cnt[3479][7]~75598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3479][7]~75598_combout\ = \led_flash_cnt[3479][7]~q\ $ (!\led_flash_cnt[3479][6]~75597\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3479][7]~q\,
	cin => \led_flash_cnt[3479][6]~75597\,
	combout => \led_flash_cnt[3479][7]~75598_combout\);

-- Location: FF_X76_Y29_N27
\led_flash_cnt[3479][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3479][7]~75598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3479][7]~q\);

-- Location: LCCOMB_X76_Y29_N8
WideAnd3479 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3479~combout\ = (\WideAnd3479~1_combout\ & (\WideAnd3479~0_combout\ & (\led_flash_cnt[3479][7]~q\ & \led_flash_cnt[3479][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3479~1_combout\,
	datab => \WideAnd3479~0_combout\,
	datac => \led_flash_cnt[3479][7]~q\,
	datad => \led_flash_cnt[3479][0]~q\,
	combout => \WideAnd3479~combout\);

-- Location: FF_X76_Y29_N9
\led_flash_cnt_ands[3479]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3479~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3479));

-- Location: LCCOMB_X72_Y19_N26
\led_flash_cnt[3474][0]~84114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3474][0]~84114_combout\ = !\led_flash_cnt[3474][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3474][0]~q\,
	combout => \led_flash_cnt[3474][0]~84114_combout\);

-- Location: FF_X72_Y19_N27
\led_flash_cnt[3474][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3474][0]~84114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3474][0]~q\);

-- Location: LCCOMB_X72_Y19_N8
\led_flash_cnt[3474][1]~75516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3474][1]~75516_combout\ = (\led_flash_cnt[3474][0]~q\ & (\led_flash_cnt[3474][1]~q\ $ (VCC))) # (!\led_flash_cnt[3474][0]~q\ & (\led_flash_cnt[3474][1]~q\ & VCC))
-- \led_flash_cnt[3474][1]~75517\ = CARRY((\led_flash_cnt[3474][0]~q\ & \led_flash_cnt[3474][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3474][0]~q\,
	datab => \led_flash_cnt[3474][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3474][1]~75516_combout\,
	cout => \led_flash_cnt[3474][1]~75517\);

-- Location: FF_X72_Y19_N9
\led_flash_cnt[3474][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3474][1]~75516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3474][1]~q\);

-- Location: LCCOMB_X72_Y19_N10
\led_flash_cnt[3474][2]~75518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3474][2]~75518_combout\ = (\led_flash_cnt[3474][2]~q\ & (!\led_flash_cnt[3474][1]~75517\)) # (!\led_flash_cnt[3474][2]~q\ & ((\led_flash_cnt[3474][1]~75517\) # (GND)))
-- \led_flash_cnt[3474][2]~75519\ = CARRY((!\led_flash_cnt[3474][1]~75517\) # (!\led_flash_cnt[3474][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3474][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3474][1]~75517\,
	combout => \led_flash_cnt[3474][2]~75518_combout\,
	cout => \led_flash_cnt[3474][2]~75519\);

-- Location: FF_X72_Y19_N11
\led_flash_cnt[3474][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3474][2]~75518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3474][2]~q\);

-- Location: LCCOMB_X72_Y19_N12
\led_flash_cnt[3474][3]~75520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3474][3]~75520_combout\ = (\led_flash_cnt[3474][3]~q\ & (\led_flash_cnt[3474][2]~75519\ $ (GND))) # (!\led_flash_cnt[3474][3]~q\ & (!\led_flash_cnt[3474][2]~75519\ & VCC))
-- \led_flash_cnt[3474][3]~75521\ = CARRY((\led_flash_cnt[3474][3]~q\ & !\led_flash_cnt[3474][2]~75519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3474][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3474][2]~75519\,
	combout => \led_flash_cnt[3474][3]~75520_combout\,
	cout => \led_flash_cnt[3474][3]~75521\);

-- Location: FF_X72_Y19_N13
\led_flash_cnt[3474][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3474][3]~75520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3474][3]~q\);

-- Location: LCCOMB_X72_Y19_N14
\led_flash_cnt[3474][4]~75522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3474][4]~75522_combout\ = (\led_flash_cnt[3474][4]~q\ & (!\led_flash_cnt[3474][3]~75521\)) # (!\led_flash_cnt[3474][4]~q\ & ((\led_flash_cnt[3474][3]~75521\) # (GND)))
-- \led_flash_cnt[3474][4]~75523\ = CARRY((!\led_flash_cnt[3474][3]~75521\) # (!\led_flash_cnt[3474][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3474][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3474][3]~75521\,
	combout => \led_flash_cnt[3474][4]~75522_combout\,
	cout => \led_flash_cnt[3474][4]~75523\);

-- Location: FF_X72_Y19_N15
\led_flash_cnt[3474][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3474][4]~75522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3474][4]~q\);

-- Location: LCCOMB_X72_Y19_N16
\led_flash_cnt[3474][5]~75524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3474][5]~75524_combout\ = (\led_flash_cnt[3474][5]~q\ & (\led_flash_cnt[3474][4]~75523\ $ (GND))) # (!\led_flash_cnt[3474][5]~q\ & (!\led_flash_cnt[3474][4]~75523\ & VCC))
-- \led_flash_cnt[3474][5]~75525\ = CARRY((\led_flash_cnt[3474][5]~q\ & !\led_flash_cnt[3474][4]~75523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3474][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3474][4]~75523\,
	combout => \led_flash_cnt[3474][5]~75524_combout\,
	cout => \led_flash_cnt[3474][5]~75525\);

-- Location: FF_X72_Y19_N17
\led_flash_cnt[3474][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3474][5]~75524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3474][5]~q\);

-- Location: LCCOMB_X72_Y19_N18
\led_flash_cnt[3474][6]~75526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3474][6]~75526_combout\ = (\led_flash_cnt[3474][6]~q\ & (!\led_flash_cnt[3474][5]~75525\)) # (!\led_flash_cnt[3474][6]~q\ & ((\led_flash_cnt[3474][5]~75525\) # (GND)))
-- \led_flash_cnt[3474][6]~75527\ = CARRY((!\led_flash_cnt[3474][5]~75525\) # (!\led_flash_cnt[3474][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3474][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3474][5]~75525\,
	combout => \led_flash_cnt[3474][6]~75526_combout\,
	cout => \led_flash_cnt[3474][6]~75527\);

-- Location: FF_X72_Y19_N19
\led_flash_cnt[3474][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3474][6]~75526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3474][6]~q\);

-- Location: LCCOMB_X72_Y19_N20
\led_flash_cnt[3474][7]~75528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3474][7]~75528_combout\ = \led_flash_cnt[3474][6]~75527\ $ (!\led_flash_cnt[3474][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3474][7]~q\,
	cin => \led_flash_cnt[3474][6]~75527\,
	combout => \led_flash_cnt[3474][7]~75528_combout\);

-- Location: FF_X72_Y19_N21
\led_flash_cnt[3474][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3474][7]~75528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3474][7]~q\);

-- Location: LCCOMB_X72_Y19_N30
\WideAnd3474~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3474~0_combout\ = (\led_flash_cnt[3474][3]~q\ & (\led_flash_cnt[3474][4]~q\ & (\led_flash_cnt[3474][1]~q\ & \led_flash_cnt[3474][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3474][3]~q\,
	datab => \led_flash_cnt[3474][4]~q\,
	datac => \led_flash_cnt[3474][1]~q\,
	datad => \led_flash_cnt[3474][2]~q\,
	combout => \WideAnd3474~0_combout\);

-- Location: LCCOMB_X72_Y19_N0
\WideAnd3474~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3474~1_combout\ = (\led_flash_cnt[3474][6]~q\ & \led_flash_cnt[3474][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3474][6]~q\,
	datad => \led_flash_cnt[3474][5]~q\,
	combout => \WideAnd3474~1_combout\);

-- Location: LCCOMB_X72_Y19_N6
WideAnd3474 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3474~combout\ = (\led_flash_cnt[3474][0]~q\ & (\led_flash_cnt[3474][7]~q\ & (\WideAnd3474~0_combout\ & \WideAnd3474~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3474][0]~q\,
	datab => \led_flash_cnt[3474][7]~q\,
	datac => \WideAnd3474~0_combout\,
	datad => \WideAnd3474~1_combout\,
	combout => \WideAnd3474~combout\);

-- Location: FF_X72_Y19_N7
\led_flash_cnt_ands[3474]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3474~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3474));

-- Location: LCCOMB_X72_Y19_N2
\led_flash_cnt[3475][0]~84115\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3475][0]~84115_combout\ = !\led_flash_cnt[3475][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3475][0]~q\,
	combout => \led_flash_cnt[3475][0]~84115_combout\);

-- Location: FF_X72_Y19_N3
\led_flash_cnt[3475][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3475][0]~84115_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3475][0]~q\);

-- Location: LCCOMB_X71_Y19_N0
\led_flash_cnt[3475][1]~75530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3475][1]~75530_combout\ = (\led_flash_cnt[3475][0]~q\ & (\led_flash_cnt[3475][1]~q\ $ (VCC))) # (!\led_flash_cnt[3475][0]~q\ & (\led_flash_cnt[3475][1]~q\ & VCC))
-- \led_flash_cnt[3475][1]~75531\ = CARRY((\led_flash_cnt[3475][0]~q\ & \led_flash_cnt[3475][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3475][0]~q\,
	datab => \led_flash_cnt[3475][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3475][1]~75530_combout\,
	cout => \led_flash_cnt[3475][1]~75531\);

-- Location: FF_X71_Y19_N1
\led_flash_cnt[3475][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3475][1]~75530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3475][1]~q\);

-- Location: LCCOMB_X71_Y19_N2
\led_flash_cnt[3475][2]~75532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3475][2]~75532_combout\ = (\led_flash_cnt[3475][2]~q\ & (!\led_flash_cnt[3475][1]~75531\)) # (!\led_flash_cnt[3475][2]~q\ & ((\led_flash_cnt[3475][1]~75531\) # (GND)))
-- \led_flash_cnt[3475][2]~75533\ = CARRY((!\led_flash_cnt[3475][1]~75531\) # (!\led_flash_cnt[3475][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3475][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3475][1]~75531\,
	combout => \led_flash_cnt[3475][2]~75532_combout\,
	cout => \led_flash_cnt[3475][2]~75533\);

-- Location: FF_X71_Y19_N3
\led_flash_cnt[3475][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3475][2]~75532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3475][2]~q\);

-- Location: LCCOMB_X71_Y19_N4
\led_flash_cnt[3475][3]~75534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3475][3]~75534_combout\ = (\led_flash_cnt[3475][3]~q\ & (\led_flash_cnt[3475][2]~75533\ $ (GND))) # (!\led_flash_cnt[3475][3]~q\ & (!\led_flash_cnt[3475][2]~75533\ & VCC))
-- \led_flash_cnt[3475][3]~75535\ = CARRY((\led_flash_cnt[3475][3]~q\ & !\led_flash_cnt[3475][2]~75533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3475][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3475][2]~75533\,
	combout => \led_flash_cnt[3475][3]~75534_combout\,
	cout => \led_flash_cnt[3475][3]~75535\);

-- Location: FF_X71_Y19_N5
\led_flash_cnt[3475][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3475][3]~75534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3475][3]~q\);

-- Location: LCCOMB_X71_Y19_N6
\led_flash_cnt[3475][4]~75536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3475][4]~75536_combout\ = (\led_flash_cnt[3475][4]~q\ & (!\led_flash_cnt[3475][3]~75535\)) # (!\led_flash_cnt[3475][4]~q\ & ((\led_flash_cnt[3475][3]~75535\) # (GND)))
-- \led_flash_cnt[3475][4]~75537\ = CARRY((!\led_flash_cnt[3475][3]~75535\) # (!\led_flash_cnt[3475][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3475][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3475][3]~75535\,
	combout => \led_flash_cnt[3475][4]~75536_combout\,
	cout => \led_flash_cnt[3475][4]~75537\);

-- Location: FF_X71_Y19_N7
\led_flash_cnt[3475][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3475][4]~75536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3475][4]~q\);

-- Location: LCCOMB_X71_Y19_N8
\led_flash_cnt[3475][5]~75538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3475][5]~75538_combout\ = (\led_flash_cnt[3475][5]~q\ & (\led_flash_cnt[3475][4]~75537\ $ (GND))) # (!\led_flash_cnt[3475][5]~q\ & (!\led_flash_cnt[3475][4]~75537\ & VCC))
-- \led_flash_cnt[3475][5]~75539\ = CARRY((\led_flash_cnt[3475][5]~q\ & !\led_flash_cnt[3475][4]~75537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3475][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3475][4]~75537\,
	combout => \led_flash_cnt[3475][5]~75538_combout\,
	cout => \led_flash_cnt[3475][5]~75539\);

-- Location: FF_X71_Y19_N9
\led_flash_cnt[3475][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3475][5]~75538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3475][5]~q\);

-- Location: LCCOMB_X71_Y19_N10
\led_flash_cnt[3475][6]~75540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3475][6]~75540_combout\ = (\led_flash_cnt[3475][6]~q\ & (!\led_flash_cnt[3475][5]~75539\)) # (!\led_flash_cnt[3475][6]~q\ & ((\led_flash_cnt[3475][5]~75539\) # (GND)))
-- \led_flash_cnt[3475][6]~75541\ = CARRY((!\led_flash_cnt[3475][5]~75539\) # (!\led_flash_cnt[3475][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3475][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3475][5]~75539\,
	combout => \led_flash_cnt[3475][6]~75540_combout\,
	cout => \led_flash_cnt[3475][6]~75541\);

-- Location: FF_X71_Y19_N11
\led_flash_cnt[3475][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3475][6]~75540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3475][6]~q\);

-- Location: LCCOMB_X71_Y19_N12
\led_flash_cnt[3475][7]~75542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3475][7]~75542_combout\ = \led_flash_cnt[3475][6]~75541\ $ (!\led_flash_cnt[3475][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3475][7]~q\,
	cin => \led_flash_cnt[3475][6]~75541\,
	combout => \led_flash_cnt[3475][7]~75542_combout\);

-- Location: FF_X71_Y19_N13
\led_flash_cnt[3475][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3475][7]~75542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3475][7]~q\);

-- Location: LCCOMB_X72_Y19_N24
\WideAnd3475~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3475~1_combout\ = (\led_flash_cnt[3475][6]~q\ & \led_flash_cnt[3475][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3475][6]~q\,
	datad => \led_flash_cnt[3475][5]~q\,
	combout => \WideAnd3475~1_combout\);

-- Location: LCCOMB_X71_Y19_N16
\WideAnd3475~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3475~0_combout\ = (\led_flash_cnt[3475][4]~q\ & (\led_flash_cnt[3475][1]~q\ & (\led_flash_cnt[3475][3]~q\ & \led_flash_cnt[3475][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3475][4]~q\,
	datab => \led_flash_cnt[3475][1]~q\,
	datac => \led_flash_cnt[3475][3]~q\,
	datad => \led_flash_cnt[3475][2]~q\,
	combout => \WideAnd3475~0_combout\);

-- Location: LCCOMB_X72_Y19_N28
WideAnd3475 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3475~combout\ = (\led_flash_cnt[3475][7]~q\ & (\WideAnd3475~1_combout\ & (\WideAnd3475~0_combout\ & \led_flash_cnt[3475][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3475][7]~q\,
	datab => \WideAnd3475~1_combout\,
	datac => \WideAnd3475~0_combout\,
	datad => \led_flash_cnt[3475][0]~q\,
	combout => \WideAnd3475~combout\);

-- Location: FF_X72_Y19_N29
\led_flash_cnt_ands[3475]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3475~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3475));

-- Location: LCCOMB_X72_Y35_N18
\led_flash_cnt[3472][0]~84112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3472][0]~84112_combout\ = !\led_flash_cnt[3472][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3472][0]~q\,
	combout => \led_flash_cnt[3472][0]~84112_combout\);

-- Location: FF_X72_Y35_N19
\led_flash_cnt[3472][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3472][0]~84112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3472][0]~q\);

-- Location: LCCOMB_X72_Y35_N2
\led_flash_cnt[3472][1]~75488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3472][1]~75488_combout\ = (\led_flash_cnt[3472][1]~q\ & (\led_flash_cnt[3472][0]~q\ $ (VCC))) # (!\led_flash_cnt[3472][1]~q\ & (\led_flash_cnt[3472][0]~q\ & VCC))
-- \led_flash_cnt[3472][1]~75489\ = CARRY((\led_flash_cnt[3472][1]~q\ & \led_flash_cnt[3472][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3472][1]~q\,
	datab => \led_flash_cnt[3472][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3472][1]~75488_combout\,
	cout => \led_flash_cnt[3472][1]~75489\);

-- Location: FF_X72_Y35_N3
\led_flash_cnt[3472][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3472][1]~75488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3472][1]~q\);

-- Location: LCCOMB_X72_Y35_N4
\led_flash_cnt[3472][2]~75490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3472][2]~75490_combout\ = (\led_flash_cnt[3472][2]~q\ & (!\led_flash_cnt[3472][1]~75489\)) # (!\led_flash_cnt[3472][2]~q\ & ((\led_flash_cnt[3472][1]~75489\) # (GND)))
-- \led_flash_cnt[3472][2]~75491\ = CARRY((!\led_flash_cnt[3472][1]~75489\) # (!\led_flash_cnt[3472][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3472][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3472][1]~75489\,
	combout => \led_flash_cnt[3472][2]~75490_combout\,
	cout => \led_flash_cnt[3472][2]~75491\);

-- Location: FF_X72_Y35_N5
\led_flash_cnt[3472][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3472][2]~75490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3472][2]~q\);

-- Location: LCCOMB_X72_Y35_N6
\led_flash_cnt[3472][3]~75492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3472][3]~75492_combout\ = (\led_flash_cnt[3472][3]~q\ & (\led_flash_cnt[3472][2]~75491\ $ (GND))) # (!\led_flash_cnt[3472][3]~q\ & (!\led_flash_cnt[3472][2]~75491\ & VCC))
-- \led_flash_cnt[3472][3]~75493\ = CARRY((\led_flash_cnt[3472][3]~q\ & !\led_flash_cnt[3472][2]~75491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3472][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3472][2]~75491\,
	combout => \led_flash_cnt[3472][3]~75492_combout\,
	cout => \led_flash_cnt[3472][3]~75493\);

-- Location: FF_X72_Y35_N7
\led_flash_cnt[3472][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3472][3]~75492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3472][3]~q\);

-- Location: LCCOMB_X72_Y35_N8
\led_flash_cnt[3472][4]~75494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3472][4]~75494_combout\ = (\led_flash_cnt[3472][4]~q\ & (!\led_flash_cnt[3472][3]~75493\)) # (!\led_flash_cnt[3472][4]~q\ & ((\led_flash_cnt[3472][3]~75493\) # (GND)))
-- \led_flash_cnt[3472][4]~75495\ = CARRY((!\led_flash_cnt[3472][3]~75493\) # (!\led_flash_cnt[3472][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3472][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3472][3]~75493\,
	combout => \led_flash_cnt[3472][4]~75494_combout\,
	cout => \led_flash_cnt[3472][4]~75495\);

-- Location: FF_X72_Y35_N9
\led_flash_cnt[3472][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3472][4]~75494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3472][4]~q\);

-- Location: LCCOMB_X72_Y35_N10
\led_flash_cnt[3472][5]~75496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3472][5]~75496_combout\ = (\led_flash_cnt[3472][5]~q\ & (\led_flash_cnt[3472][4]~75495\ $ (GND))) # (!\led_flash_cnt[3472][5]~q\ & (!\led_flash_cnt[3472][4]~75495\ & VCC))
-- \led_flash_cnt[3472][5]~75497\ = CARRY((\led_flash_cnt[3472][5]~q\ & !\led_flash_cnt[3472][4]~75495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3472][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3472][4]~75495\,
	combout => \led_flash_cnt[3472][5]~75496_combout\,
	cout => \led_flash_cnt[3472][5]~75497\);

-- Location: FF_X72_Y35_N11
\led_flash_cnt[3472][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3472][5]~75496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3472][5]~q\);

-- Location: LCCOMB_X72_Y35_N12
\led_flash_cnt[3472][6]~75498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3472][6]~75498_combout\ = (\led_flash_cnt[3472][6]~q\ & (!\led_flash_cnt[3472][5]~75497\)) # (!\led_flash_cnt[3472][6]~q\ & ((\led_flash_cnt[3472][5]~75497\) # (GND)))
-- \led_flash_cnt[3472][6]~75499\ = CARRY((!\led_flash_cnt[3472][5]~75497\) # (!\led_flash_cnt[3472][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3472][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3472][5]~75497\,
	combout => \led_flash_cnt[3472][6]~75498_combout\,
	cout => \led_flash_cnt[3472][6]~75499\);

-- Location: FF_X72_Y35_N13
\led_flash_cnt[3472][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3472][6]~75498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3472][6]~q\);

-- Location: LCCOMB_X72_Y35_N26
\WideAnd3472~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3472~1_combout\ = (\led_flash_cnt[3472][6]~q\ & \led_flash_cnt[3472][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3472][6]~q\,
	datad => \led_flash_cnt[3472][5]~q\,
	combout => \WideAnd3472~1_combout\);

-- Location: LCCOMB_X72_Y35_N24
\WideAnd3472~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3472~0_combout\ = (\led_flash_cnt[3472][1]~q\ & (\led_flash_cnt[3472][4]~q\ & (\led_flash_cnt[3472][2]~q\ & \led_flash_cnt[3472][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3472][1]~q\,
	datab => \led_flash_cnt[3472][4]~q\,
	datac => \led_flash_cnt[3472][2]~q\,
	datad => \led_flash_cnt[3472][3]~q\,
	combout => \WideAnd3472~0_combout\);

-- Location: LCCOMB_X72_Y35_N14
\led_flash_cnt[3472][7]~75500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3472][7]~75500_combout\ = \led_flash_cnt[3472][7]~q\ $ (!\led_flash_cnt[3472][6]~75499\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3472][7]~q\,
	cin => \led_flash_cnt[3472][6]~75499\,
	combout => \led_flash_cnt[3472][7]~75500_combout\);

-- Location: FF_X72_Y35_N15
\led_flash_cnt[3472][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3472][7]~75500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3472][7]~q\);

-- Location: LCCOMB_X72_Y35_N28
WideAnd3472 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3472~combout\ = (\WideAnd3472~1_combout\ & (\WideAnd3472~0_combout\ & (\led_flash_cnt[3472][7]~q\ & \led_flash_cnt[3472][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3472~1_combout\,
	datab => \WideAnd3472~0_combout\,
	datac => \led_flash_cnt[3472][7]~q\,
	datad => \led_flash_cnt[3472][0]~q\,
	combout => \WideAnd3472~combout\);

-- Location: FF_X72_Y35_N29
\led_flash_cnt_ands[3472]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3472~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3472));

-- Location: LCCOMB_X75_Y19_N18
\led_flash_cnt[3473][0]~84113\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3473][0]~84113_combout\ = !\led_flash_cnt[3473][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3473][0]~q\,
	combout => \led_flash_cnt[3473][0]~84113_combout\);

-- Location: FF_X75_Y19_N19
\led_flash_cnt[3473][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3473][0]~84113_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3473][0]~q\);

-- Location: LCCOMB_X75_Y19_N2
\led_flash_cnt[3473][1]~75502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3473][1]~75502_combout\ = (\led_flash_cnt[3473][1]~q\ & (\led_flash_cnt[3473][0]~q\ $ (VCC))) # (!\led_flash_cnt[3473][1]~q\ & (\led_flash_cnt[3473][0]~q\ & VCC))
-- \led_flash_cnt[3473][1]~75503\ = CARRY((\led_flash_cnt[3473][1]~q\ & \led_flash_cnt[3473][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3473][1]~q\,
	datab => \led_flash_cnt[3473][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3473][1]~75502_combout\,
	cout => \led_flash_cnt[3473][1]~75503\);

-- Location: FF_X75_Y19_N3
\led_flash_cnt[3473][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3473][1]~75502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3473][1]~q\);

-- Location: LCCOMB_X75_Y19_N4
\led_flash_cnt[3473][2]~75504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3473][2]~75504_combout\ = (\led_flash_cnt[3473][2]~q\ & (!\led_flash_cnt[3473][1]~75503\)) # (!\led_flash_cnt[3473][2]~q\ & ((\led_flash_cnt[3473][1]~75503\) # (GND)))
-- \led_flash_cnt[3473][2]~75505\ = CARRY((!\led_flash_cnt[3473][1]~75503\) # (!\led_flash_cnt[3473][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3473][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3473][1]~75503\,
	combout => \led_flash_cnt[3473][2]~75504_combout\,
	cout => \led_flash_cnt[3473][2]~75505\);

-- Location: FF_X75_Y19_N5
\led_flash_cnt[3473][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3473][2]~75504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3473][2]~q\);

-- Location: LCCOMB_X75_Y19_N6
\led_flash_cnt[3473][3]~75506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3473][3]~75506_combout\ = (\led_flash_cnt[3473][3]~q\ & (\led_flash_cnt[3473][2]~75505\ $ (GND))) # (!\led_flash_cnt[3473][3]~q\ & (!\led_flash_cnt[3473][2]~75505\ & VCC))
-- \led_flash_cnt[3473][3]~75507\ = CARRY((\led_flash_cnt[3473][3]~q\ & !\led_flash_cnt[3473][2]~75505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3473][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3473][2]~75505\,
	combout => \led_flash_cnt[3473][3]~75506_combout\,
	cout => \led_flash_cnt[3473][3]~75507\);

-- Location: FF_X75_Y19_N7
\led_flash_cnt[3473][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3473][3]~75506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3473][3]~q\);

-- Location: LCCOMB_X75_Y19_N8
\led_flash_cnt[3473][4]~75508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3473][4]~75508_combout\ = (\led_flash_cnt[3473][4]~q\ & (!\led_flash_cnt[3473][3]~75507\)) # (!\led_flash_cnt[3473][4]~q\ & ((\led_flash_cnt[3473][3]~75507\) # (GND)))
-- \led_flash_cnt[3473][4]~75509\ = CARRY((!\led_flash_cnt[3473][3]~75507\) # (!\led_flash_cnt[3473][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3473][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3473][3]~75507\,
	combout => \led_flash_cnt[3473][4]~75508_combout\,
	cout => \led_flash_cnt[3473][4]~75509\);

-- Location: FF_X75_Y19_N9
\led_flash_cnt[3473][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3473][4]~75508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3473][4]~q\);

-- Location: LCCOMB_X75_Y19_N26
\WideAnd3473~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3473~0_combout\ = (\led_flash_cnt[3473][3]~q\ & (\led_flash_cnt[3473][2]~q\ & (\led_flash_cnt[3473][4]~q\ & \led_flash_cnt[3473][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3473][3]~q\,
	datab => \led_flash_cnt[3473][2]~q\,
	datac => \led_flash_cnt[3473][4]~q\,
	datad => \led_flash_cnt[3473][1]~q\,
	combout => \WideAnd3473~0_combout\);

-- Location: LCCOMB_X75_Y19_N10
\led_flash_cnt[3473][5]~75510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3473][5]~75510_combout\ = (\led_flash_cnt[3473][5]~q\ & (\led_flash_cnt[3473][4]~75509\ $ (GND))) # (!\led_flash_cnt[3473][5]~q\ & (!\led_flash_cnt[3473][4]~75509\ & VCC))
-- \led_flash_cnt[3473][5]~75511\ = CARRY((\led_flash_cnt[3473][5]~q\ & !\led_flash_cnt[3473][4]~75509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3473][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3473][4]~75509\,
	combout => \led_flash_cnt[3473][5]~75510_combout\,
	cout => \led_flash_cnt[3473][5]~75511\);

-- Location: FF_X75_Y19_N11
\led_flash_cnt[3473][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3473][5]~75510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3473][5]~q\);

-- Location: LCCOMB_X75_Y19_N12
\led_flash_cnt[3473][6]~75512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3473][6]~75512_combout\ = (\led_flash_cnt[3473][6]~q\ & (!\led_flash_cnt[3473][5]~75511\)) # (!\led_flash_cnt[3473][6]~q\ & ((\led_flash_cnt[3473][5]~75511\) # (GND)))
-- \led_flash_cnt[3473][6]~75513\ = CARRY((!\led_flash_cnt[3473][5]~75511\) # (!\led_flash_cnt[3473][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3473][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3473][5]~75511\,
	combout => \led_flash_cnt[3473][6]~75512_combout\,
	cout => \led_flash_cnt[3473][6]~75513\);

-- Location: FF_X75_Y19_N13
\led_flash_cnt[3473][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3473][6]~75512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3473][6]~q\);

-- Location: LCCOMB_X75_Y19_N24
\WideAnd3473~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3473~1_combout\ = (\led_flash_cnt[3473][6]~q\ & \led_flash_cnt[3473][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3473][6]~q\,
	datad => \led_flash_cnt[3473][5]~q\,
	combout => \WideAnd3473~1_combout\);

-- Location: LCCOMB_X75_Y19_N14
\led_flash_cnt[3473][7]~75514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3473][7]~75514_combout\ = \led_flash_cnt[3473][7]~q\ $ (!\led_flash_cnt[3473][6]~75513\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3473][7]~q\,
	cin => \led_flash_cnt[3473][6]~75513\,
	combout => \led_flash_cnt[3473][7]~75514_combout\);

-- Location: FF_X75_Y19_N15
\led_flash_cnt[3473][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3473][7]~75514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3473][7]~q\);

-- Location: LCCOMB_X75_Y19_N0
WideAnd3473 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3473~combout\ = (\WideAnd3473~0_combout\ & (\WideAnd3473~1_combout\ & (\led_flash_cnt[3473][7]~q\ & \led_flash_cnt[3473][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3473~0_combout\,
	datab => \WideAnd3473~1_combout\,
	datac => \led_flash_cnt[3473][7]~q\,
	datad => \led_flash_cnt[3473][0]~q\,
	combout => \WideAnd3473~combout\);

-- Location: FF_X75_Y19_N1
\led_flash_cnt_ands[3473]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3473~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3473));

-- Location: LCCOMB_X72_Y19_N22
\WideAnd4274~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4274~0_combout\ = (led_flash_cnt_ands(3474) & (led_flash_cnt_ands(3475) & (led_flash_cnt_ands(3472) & led_flash_cnt_ands(3473))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3474),
	datab => led_flash_cnt_ands(3475),
	datac => led_flash_cnt_ands(3472),
	datad => led_flash_cnt_ands(3473),
	combout => \WideAnd4274~0_combout\);

-- Location: LCCOMB_X72_Y27_N4
\led_flash_cnt[3478][0]~84118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3478][0]~84118_combout\ = !\led_flash_cnt[3478][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3478][0]~q\,
	combout => \led_flash_cnt[3478][0]~84118_combout\);

-- Location: FF_X72_Y27_N5
\led_flash_cnt[3478][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3478][0]~84118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3478][0]~q\);

-- Location: LCCOMB_X72_Y27_N10
\led_flash_cnt[3478][1]~75572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3478][1]~75572_combout\ = (\led_flash_cnt[3478][1]~q\ & (\led_flash_cnt[3478][0]~q\ $ (VCC))) # (!\led_flash_cnt[3478][1]~q\ & (\led_flash_cnt[3478][0]~q\ & VCC))
-- \led_flash_cnt[3478][1]~75573\ = CARRY((\led_flash_cnt[3478][1]~q\ & \led_flash_cnt[3478][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3478][1]~q\,
	datab => \led_flash_cnt[3478][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3478][1]~75572_combout\,
	cout => \led_flash_cnt[3478][1]~75573\);

-- Location: FF_X72_Y27_N11
\led_flash_cnt[3478][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3478][1]~75572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3478][1]~q\);

-- Location: LCCOMB_X72_Y27_N12
\led_flash_cnt[3478][2]~75574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3478][2]~75574_combout\ = (\led_flash_cnt[3478][2]~q\ & (!\led_flash_cnt[3478][1]~75573\)) # (!\led_flash_cnt[3478][2]~q\ & ((\led_flash_cnt[3478][1]~75573\) # (GND)))
-- \led_flash_cnt[3478][2]~75575\ = CARRY((!\led_flash_cnt[3478][1]~75573\) # (!\led_flash_cnt[3478][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3478][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3478][1]~75573\,
	combout => \led_flash_cnt[3478][2]~75574_combout\,
	cout => \led_flash_cnt[3478][2]~75575\);

-- Location: FF_X72_Y27_N13
\led_flash_cnt[3478][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3478][2]~75574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3478][2]~q\);

-- Location: LCCOMB_X72_Y27_N14
\led_flash_cnt[3478][3]~75576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3478][3]~75576_combout\ = (\led_flash_cnt[3478][3]~q\ & (\led_flash_cnt[3478][2]~75575\ $ (GND))) # (!\led_flash_cnt[3478][3]~q\ & (!\led_flash_cnt[3478][2]~75575\ & VCC))
-- \led_flash_cnt[3478][3]~75577\ = CARRY((\led_flash_cnt[3478][3]~q\ & !\led_flash_cnt[3478][2]~75575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3478][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3478][2]~75575\,
	combout => \led_flash_cnt[3478][3]~75576_combout\,
	cout => \led_flash_cnt[3478][3]~75577\);

-- Location: FF_X72_Y27_N15
\led_flash_cnt[3478][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3478][3]~75576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3478][3]~q\);

-- Location: LCCOMB_X72_Y27_N16
\led_flash_cnt[3478][4]~75578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3478][4]~75578_combout\ = (\led_flash_cnt[3478][4]~q\ & (!\led_flash_cnt[3478][3]~75577\)) # (!\led_flash_cnt[3478][4]~q\ & ((\led_flash_cnt[3478][3]~75577\) # (GND)))
-- \led_flash_cnt[3478][4]~75579\ = CARRY((!\led_flash_cnt[3478][3]~75577\) # (!\led_flash_cnt[3478][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3478][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3478][3]~75577\,
	combout => \led_flash_cnt[3478][4]~75578_combout\,
	cout => \led_flash_cnt[3478][4]~75579\);

-- Location: FF_X72_Y27_N17
\led_flash_cnt[3478][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3478][4]~75578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3478][4]~q\);

-- Location: LCCOMB_X72_Y27_N18
\led_flash_cnt[3478][5]~75580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3478][5]~75580_combout\ = (\led_flash_cnt[3478][5]~q\ & (\led_flash_cnt[3478][4]~75579\ $ (GND))) # (!\led_flash_cnt[3478][5]~q\ & (!\led_flash_cnt[3478][4]~75579\ & VCC))
-- \led_flash_cnt[3478][5]~75581\ = CARRY((\led_flash_cnt[3478][5]~q\ & !\led_flash_cnt[3478][4]~75579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3478][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3478][4]~75579\,
	combout => \led_flash_cnt[3478][5]~75580_combout\,
	cout => \led_flash_cnt[3478][5]~75581\);

-- Location: FF_X72_Y27_N19
\led_flash_cnt[3478][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3478][5]~75580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3478][5]~q\);

-- Location: LCCOMB_X72_Y27_N20
\led_flash_cnt[3478][6]~75582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3478][6]~75582_combout\ = (\led_flash_cnt[3478][6]~q\ & (!\led_flash_cnt[3478][5]~75581\)) # (!\led_flash_cnt[3478][6]~q\ & ((\led_flash_cnt[3478][5]~75581\) # (GND)))
-- \led_flash_cnt[3478][6]~75583\ = CARRY((!\led_flash_cnt[3478][5]~75581\) # (!\led_flash_cnt[3478][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3478][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3478][5]~75581\,
	combout => \led_flash_cnt[3478][6]~75582_combout\,
	cout => \led_flash_cnt[3478][6]~75583\);

-- Location: FF_X72_Y27_N21
\led_flash_cnt[3478][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3478][6]~75582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3478][6]~q\);

-- Location: LCCOMB_X72_Y27_N22
\led_flash_cnt[3478][7]~75584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3478][7]~75584_combout\ = \led_flash_cnt[3478][7]~q\ $ (!\led_flash_cnt[3478][6]~75583\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3478][7]~q\,
	cin => \led_flash_cnt[3478][6]~75583\,
	combout => \led_flash_cnt[3478][7]~75584_combout\);

-- Location: FF_X72_Y27_N23
\led_flash_cnt[3478][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3478][7]~75584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3478][7]~q\);

-- Location: LCCOMB_X72_Y27_N8
\WideAnd3478~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3478~0_combout\ = (\led_flash_cnt[3478][2]~q\ & (\led_flash_cnt[3478][4]~q\ & (\led_flash_cnt[3478][3]~q\ & \led_flash_cnt[3478][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3478][2]~q\,
	datab => \led_flash_cnt[3478][4]~q\,
	datac => \led_flash_cnt[3478][3]~q\,
	datad => \led_flash_cnt[3478][1]~q\,
	combout => \WideAnd3478~0_combout\);

-- Location: LCCOMB_X72_Y27_N2
\WideAnd3478~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3478~1_combout\ = (\led_flash_cnt[3478][6]~q\ & \led_flash_cnt[3478][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3478][6]~q\,
	datad => \led_flash_cnt[3478][5]~q\,
	combout => \WideAnd3478~1_combout\);

-- Location: LCCOMB_X72_Y27_N24
WideAnd3478 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3478~combout\ = (\led_flash_cnt[3478][7]~q\ & (\led_flash_cnt[3478][0]~q\ & (\WideAnd3478~0_combout\ & \WideAnd3478~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3478][7]~q\,
	datab => \led_flash_cnt[3478][0]~q\,
	datac => \WideAnd3478~0_combout\,
	datad => \WideAnd3478~1_combout\,
	combout => \WideAnd3478~combout\);

-- Location: FF_X72_Y27_N25
\led_flash_cnt_ands[3478]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3478~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3478));

-- Location: LCCOMB_X72_Y27_N28
WideAnd4274 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4274~combout\ = (\WideAnd4274~1_combout\ & (led_flash_cnt_ands(3479) & (\WideAnd4274~0_combout\ & led_flash_cnt_ands(3478))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4274~1_combout\,
	datab => led_flash_cnt_ands(3479),
	datac => \WideAnd4274~0_combout\,
	datad => led_flash_cnt_ands(3478),
	combout => \WideAnd4274~combout\);

-- Location: FF_X72_Y27_N29
\led_flash_cnt_ands_1[434]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4274~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(434));

-- Location: LCCOMB_X74_Y17_N12
\led_flash_cnt[3460][0]~84100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3460][0]~84100_combout\ = !\led_flash_cnt[3460][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3460][0]~q\,
	combout => \led_flash_cnt[3460][0]~84100_combout\);

-- Location: FF_X74_Y17_N13
\led_flash_cnt[3460][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3460][0]~84100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3460][0]~q\);

-- Location: LCCOMB_X74_Y17_N18
\led_flash_cnt[3460][1]~75320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3460][1]~75320_combout\ = (\led_flash_cnt[3460][0]~q\ & (\led_flash_cnt[3460][1]~q\ $ (VCC))) # (!\led_flash_cnt[3460][0]~q\ & (\led_flash_cnt[3460][1]~q\ & VCC))
-- \led_flash_cnt[3460][1]~75321\ = CARRY((\led_flash_cnt[3460][0]~q\ & \led_flash_cnt[3460][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3460][0]~q\,
	datab => \led_flash_cnt[3460][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3460][1]~75320_combout\,
	cout => \led_flash_cnt[3460][1]~75321\);

-- Location: FF_X74_Y17_N19
\led_flash_cnt[3460][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3460][1]~75320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3460][1]~q\);

-- Location: LCCOMB_X74_Y17_N20
\led_flash_cnt[3460][2]~75322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3460][2]~75322_combout\ = (\led_flash_cnt[3460][2]~q\ & (!\led_flash_cnt[3460][1]~75321\)) # (!\led_flash_cnt[3460][2]~q\ & ((\led_flash_cnt[3460][1]~75321\) # (GND)))
-- \led_flash_cnt[3460][2]~75323\ = CARRY((!\led_flash_cnt[3460][1]~75321\) # (!\led_flash_cnt[3460][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3460][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3460][1]~75321\,
	combout => \led_flash_cnt[3460][2]~75322_combout\,
	cout => \led_flash_cnt[3460][2]~75323\);

-- Location: FF_X74_Y17_N21
\led_flash_cnt[3460][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3460][2]~75322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3460][2]~q\);

-- Location: LCCOMB_X74_Y17_N22
\led_flash_cnt[3460][3]~75324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3460][3]~75324_combout\ = (\led_flash_cnt[3460][3]~q\ & (\led_flash_cnt[3460][2]~75323\ $ (GND))) # (!\led_flash_cnt[3460][3]~q\ & (!\led_flash_cnt[3460][2]~75323\ & VCC))
-- \led_flash_cnt[3460][3]~75325\ = CARRY((\led_flash_cnt[3460][3]~q\ & !\led_flash_cnt[3460][2]~75323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3460][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3460][2]~75323\,
	combout => \led_flash_cnt[3460][3]~75324_combout\,
	cout => \led_flash_cnt[3460][3]~75325\);

-- Location: FF_X74_Y17_N23
\led_flash_cnt[3460][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3460][3]~75324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3460][3]~q\);

-- Location: LCCOMB_X74_Y17_N24
\led_flash_cnt[3460][4]~75326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3460][4]~75326_combout\ = (\led_flash_cnt[3460][4]~q\ & (!\led_flash_cnt[3460][3]~75325\)) # (!\led_flash_cnt[3460][4]~q\ & ((\led_flash_cnt[3460][3]~75325\) # (GND)))
-- \led_flash_cnt[3460][4]~75327\ = CARRY((!\led_flash_cnt[3460][3]~75325\) # (!\led_flash_cnt[3460][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3460][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3460][3]~75325\,
	combout => \led_flash_cnt[3460][4]~75326_combout\,
	cout => \led_flash_cnt[3460][4]~75327\);

-- Location: FF_X74_Y17_N25
\led_flash_cnt[3460][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3460][4]~75326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3460][4]~q\);

-- Location: LCCOMB_X74_Y17_N26
\led_flash_cnt[3460][5]~75328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3460][5]~75328_combout\ = (\led_flash_cnt[3460][5]~q\ & (\led_flash_cnt[3460][4]~75327\ $ (GND))) # (!\led_flash_cnt[3460][5]~q\ & (!\led_flash_cnt[3460][4]~75327\ & VCC))
-- \led_flash_cnt[3460][5]~75329\ = CARRY((\led_flash_cnt[3460][5]~q\ & !\led_flash_cnt[3460][4]~75327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3460][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3460][4]~75327\,
	combout => \led_flash_cnt[3460][5]~75328_combout\,
	cout => \led_flash_cnt[3460][5]~75329\);

-- Location: FF_X74_Y17_N27
\led_flash_cnt[3460][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3460][5]~75328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3460][5]~q\);

-- Location: LCCOMB_X74_Y17_N28
\led_flash_cnt[3460][6]~75330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3460][6]~75330_combout\ = (\led_flash_cnt[3460][6]~q\ & (!\led_flash_cnt[3460][5]~75329\)) # (!\led_flash_cnt[3460][6]~q\ & ((\led_flash_cnt[3460][5]~75329\) # (GND)))
-- \led_flash_cnt[3460][6]~75331\ = CARRY((!\led_flash_cnt[3460][5]~75329\) # (!\led_flash_cnt[3460][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3460][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3460][5]~75329\,
	combout => \led_flash_cnt[3460][6]~75330_combout\,
	cout => \led_flash_cnt[3460][6]~75331\);

-- Location: FF_X74_Y17_N29
\led_flash_cnt[3460][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3460][6]~75330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3460][6]~q\);

-- Location: LCCOMB_X74_Y17_N10
\WideAnd3460~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3460~1_combout\ = (\led_flash_cnt[3460][5]~q\ & \led_flash_cnt[3460][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3460][5]~q\,
	datad => \led_flash_cnt[3460][6]~q\,
	combout => \WideAnd3460~1_combout\);

-- Location: LCCOMB_X74_Y17_N8
\WideAnd3460~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3460~0_combout\ = (\led_flash_cnt[3460][1]~q\ & (\led_flash_cnt[3460][4]~q\ & (\led_flash_cnt[3460][3]~q\ & \led_flash_cnt[3460][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3460][1]~q\,
	datab => \led_flash_cnt[3460][4]~q\,
	datac => \led_flash_cnt[3460][3]~q\,
	datad => \led_flash_cnt[3460][2]~q\,
	combout => \WideAnd3460~0_combout\);

-- Location: LCCOMB_X74_Y17_N30
\led_flash_cnt[3460][7]~75332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3460][7]~75332_combout\ = \led_flash_cnt[3460][7]~q\ $ (!\led_flash_cnt[3460][6]~75331\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3460][7]~q\,
	cin => \led_flash_cnt[3460][6]~75331\,
	combout => \led_flash_cnt[3460][7]~75332_combout\);

-- Location: FF_X74_Y17_N31
\led_flash_cnt[3460][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3460][7]~75332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3460][7]~q\);

-- Location: LCCOMB_X74_Y17_N4
WideAnd3460 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3460~combout\ = (\WideAnd3460~1_combout\ & (\WideAnd3460~0_combout\ & (\led_flash_cnt[3460][7]~q\ & \led_flash_cnt[3460][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3460~1_combout\,
	datab => \WideAnd3460~0_combout\,
	datac => \led_flash_cnt[3460][7]~q\,
	datad => \led_flash_cnt[3460][0]~q\,
	combout => \WideAnd3460~combout\);

-- Location: FF_X74_Y17_N5
\led_flash_cnt_ands[3460]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3460~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3460));

-- Location: LCCOMB_X75_Y17_N12
\led_flash_cnt[3461][0]~84101\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3461][0]~84101_combout\ = !\led_flash_cnt[3461][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3461][0]~q\,
	combout => \led_flash_cnt[3461][0]~84101_combout\);

-- Location: FF_X75_Y17_N13
\led_flash_cnt[3461][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3461][0]~84101_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3461][0]~q\);

-- Location: LCCOMB_X75_Y17_N14
\led_flash_cnt[3461][1]~75334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3461][1]~75334_combout\ = (\led_flash_cnt[3461][0]~q\ & (\led_flash_cnt[3461][1]~q\ $ (VCC))) # (!\led_flash_cnt[3461][0]~q\ & (\led_flash_cnt[3461][1]~q\ & VCC))
-- \led_flash_cnt[3461][1]~75335\ = CARRY((\led_flash_cnt[3461][0]~q\ & \led_flash_cnt[3461][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3461][0]~q\,
	datab => \led_flash_cnt[3461][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3461][1]~75334_combout\,
	cout => \led_flash_cnt[3461][1]~75335\);

-- Location: FF_X75_Y17_N15
\led_flash_cnt[3461][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3461][1]~75334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3461][1]~q\);

-- Location: LCCOMB_X75_Y17_N16
\led_flash_cnt[3461][2]~75336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3461][2]~75336_combout\ = (\led_flash_cnt[3461][2]~q\ & (!\led_flash_cnt[3461][1]~75335\)) # (!\led_flash_cnt[3461][2]~q\ & ((\led_flash_cnt[3461][1]~75335\) # (GND)))
-- \led_flash_cnt[3461][2]~75337\ = CARRY((!\led_flash_cnt[3461][1]~75335\) # (!\led_flash_cnt[3461][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3461][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3461][1]~75335\,
	combout => \led_flash_cnt[3461][2]~75336_combout\,
	cout => \led_flash_cnt[3461][2]~75337\);

-- Location: FF_X75_Y17_N17
\led_flash_cnt[3461][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3461][2]~75336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3461][2]~q\);

-- Location: LCCOMB_X75_Y17_N18
\led_flash_cnt[3461][3]~75338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3461][3]~75338_combout\ = (\led_flash_cnt[3461][3]~q\ & (\led_flash_cnt[3461][2]~75337\ $ (GND))) # (!\led_flash_cnt[3461][3]~q\ & (!\led_flash_cnt[3461][2]~75337\ & VCC))
-- \led_flash_cnt[3461][3]~75339\ = CARRY((\led_flash_cnt[3461][3]~q\ & !\led_flash_cnt[3461][2]~75337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3461][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3461][2]~75337\,
	combout => \led_flash_cnt[3461][3]~75338_combout\,
	cout => \led_flash_cnt[3461][3]~75339\);

-- Location: FF_X75_Y17_N19
\led_flash_cnt[3461][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3461][3]~75338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3461][3]~q\);

-- Location: LCCOMB_X75_Y17_N20
\led_flash_cnt[3461][4]~75340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3461][4]~75340_combout\ = (\led_flash_cnt[3461][4]~q\ & (!\led_flash_cnt[3461][3]~75339\)) # (!\led_flash_cnt[3461][4]~q\ & ((\led_flash_cnt[3461][3]~75339\) # (GND)))
-- \led_flash_cnt[3461][4]~75341\ = CARRY((!\led_flash_cnt[3461][3]~75339\) # (!\led_flash_cnt[3461][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3461][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3461][3]~75339\,
	combout => \led_flash_cnt[3461][4]~75340_combout\,
	cout => \led_flash_cnt[3461][4]~75341\);

-- Location: FF_X75_Y17_N21
\led_flash_cnt[3461][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3461][4]~75340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3461][4]~q\);

-- Location: LCCOMB_X75_Y17_N22
\led_flash_cnt[3461][5]~75342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3461][5]~75342_combout\ = (\led_flash_cnt[3461][5]~q\ & (\led_flash_cnt[3461][4]~75341\ $ (GND))) # (!\led_flash_cnt[3461][5]~q\ & (!\led_flash_cnt[3461][4]~75341\ & VCC))
-- \led_flash_cnt[3461][5]~75343\ = CARRY((\led_flash_cnt[3461][5]~q\ & !\led_flash_cnt[3461][4]~75341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3461][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3461][4]~75341\,
	combout => \led_flash_cnt[3461][5]~75342_combout\,
	cout => \led_flash_cnt[3461][5]~75343\);

-- Location: FF_X75_Y17_N23
\led_flash_cnt[3461][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3461][5]~75342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3461][5]~q\);

-- Location: LCCOMB_X75_Y17_N24
\led_flash_cnt[3461][6]~75344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3461][6]~75344_combout\ = (\led_flash_cnt[3461][6]~q\ & (!\led_flash_cnt[3461][5]~75343\)) # (!\led_flash_cnt[3461][6]~q\ & ((\led_flash_cnt[3461][5]~75343\) # (GND)))
-- \led_flash_cnt[3461][6]~75345\ = CARRY((!\led_flash_cnt[3461][5]~75343\) # (!\led_flash_cnt[3461][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3461][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3461][5]~75343\,
	combout => \led_flash_cnt[3461][6]~75344_combout\,
	cout => \led_flash_cnt[3461][6]~75345\);

-- Location: FF_X75_Y17_N25
\led_flash_cnt[3461][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3461][6]~75344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3461][6]~q\);

-- Location: LCCOMB_X75_Y17_N10
\WideAnd3461~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3461~1_combout\ = (\led_flash_cnt[3461][5]~q\ & \led_flash_cnt[3461][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3461][5]~q\,
	datad => \led_flash_cnt[3461][6]~q\,
	combout => \WideAnd3461~1_combout\);

-- Location: LCCOMB_X75_Y17_N4
\WideAnd3461~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3461~0_combout\ = (\led_flash_cnt[3461][4]~q\ & (\led_flash_cnt[3461][3]~q\ & (\led_flash_cnt[3461][1]~q\ & \led_flash_cnt[3461][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3461][4]~q\,
	datab => \led_flash_cnt[3461][3]~q\,
	datac => \led_flash_cnt[3461][1]~q\,
	datad => \led_flash_cnt[3461][2]~q\,
	combout => \WideAnd3461~0_combout\);

-- Location: LCCOMB_X75_Y17_N26
\led_flash_cnt[3461][7]~75346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3461][7]~75346_combout\ = \led_flash_cnt[3461][7]~q\ $ (!\led_flash_cnt[3461][6]~75345\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3461][7]~q\,
	cin => \led_flash_cnt[3461][6]~75345\,
	combout => \led_flash_cnt[3461][7]~75346_combout\);

-- Location: FF_X75_Y17_N27
\led_flash_cnt[3461][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3461][7]~75346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3461][7]~q\);

-- Location: LCCOMB_X75_Y17_N28
WideAnd3461 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3461~combout\ = (\WideAnd3461~1_combout\ & (\WideAnd3461~0_combout\ & (\led_flash_cnt[3461][7]~q\ & \led_flash_cnt[3461][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3461~1_combout\,
	datab => \WideAnd3461~0_combout\,
	datac => \led_flash_cnt[3461][7]~q\,
	datad => \led_flash_cnt[3461][0]~q\,
	combout => \WideAnd3461~combout\);

-- Location: FF_X75_Y17_N29
\led_flash_cnt_ands[3461]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3461~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3461));

-- Location: LCCOMB_X74_Y17_N2
\WideAnd4272~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4272~1_combout\ = (led_flash_cnt_ands(3460) & led_flash_cnt_ands(3461))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3460),
	datad => led_flash_cnt_ands(3461),
	combout => \WideAnd4272~1_combout\);

-- Location: LCCOMB_X74_Y9_N26
\led_flash_cnt[3463][0]~84103\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3463][0]~84103_combout\ = !\led_flash_cnt[3463][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3463][0]~q\,
	combout => \led_flash_cnt[3463][0]~84103_combout\);

-- Location: FF_X74_Y9_N27
\led_flash_cnt[3463][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3463][0]~84103_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3463][0]~q\);

-- Location: LCCOMB_X74_Y9_N2
\led_flash_cnt[3463][1]~75362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3463][1]~75362_combout\ = (\led_flash_cnt[3463][0]~q\ & (\led_flash_cnt[3463][1]~q\ $ (VCC))) # (!\led_flash_cnt[3463][0]~q\ & (\led_flash_cnt[3463][1]~q\ & VCC))
-- \led_flash_cnt[3463][1]~75363\ = CARRY((\led_flash_cnt[3463][0]~q\ & \led_flash_cnt[3463][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3463][0]~q\,
	datab => \led_flash_cnt[3463][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3463][1]~75362_combout\,
	cout => \led_flash_cnt[3463][1]~75363\);

-- Location: FF_X74_Y9_N3
\led_flash_cnt[3463][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3463][1]~75362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3463][1]~q\);

-- Location: LCCOMB_X74_Y9_N4
\led_flash_cnt[3463][2]~75364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3463][2]~75364_combout\ = (\led_flash_cnt[3463][2]~q\ & (!\led_flash_cnt[3463][1]~75363\)) # (!\led_flash_cnt[3463][2]~q\ & ((\led_flash_cnt[3463][1]~75363\) # (GND)))
-- \led_flash_cnt[3463][2]~75365\ = CARRY((!\led_flash_cnt[3463][1]~75363\) # (!\led_flash_cnt[3463][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3463][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3463][1]~75363\,
	combout => \led_flash_cnt[3463][2]~75364_combout\,
	cout => \led_flash_cnt[3463][2]~75365\);

-- Location: FF_X74_Y9_N5
\led_flash_cnt[3463][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3463][2]~75364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3463][2]~q\);

-- Location: LCCOMB_X74_Y9_N6
\led_flash_cnt[3463][3]~75366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3463][3]~75366_combout\ = (\led_flash_cnt[3463][3]~q\ & (\led_flash_cnt[3463][2]~75365\ $ (GND))) # (!\led_flash_cnt[3463][3]~q\ & (!\led_flash_cnt[3463][2]~75365\ & VCC))
-- \led_flash_cnt[3463][3]~75367\ = CARRY((\led_flash_cnt[3463][3]~q\ & !\led_flash_cnt[3463][2]~75365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3463][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3463][2]~75365\,
	combout => \led_flash_cnt[3463][3]~75366_combout\,
	cout => \led_flash_cnt[3463][3]~75367\);

-- Location: FF_X74_Y9_N7
\led_flash_cnt[3463][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3463][3]~75366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3463][3]~q\);

-- Location: LCCOMB_X74_Y9_N8
\led_flash_cnt[3463][4]~75368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3463][4]~75368_combout\ = (\led_flash_cnt[3463][4]~q\ & (!\led_flash_cnt[3463][3]~75367\)) # (!\led_flash_cnt[3463][4]~q\ & ((\led_flash_cnt[3463][3]~75367\) # (GND)))
-- \led_flash_cnt[3463][4]~75369\ = CARRY((!\led_flash_cnt[3463][3]~75367\) # (!\led_flash_cnt[3463][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3463][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3463][3]~75367\,
	combout => \led_flash_cnt[3463][4]~75368_combout\,
	cout => \led_flash_cnt[3463][4]~75369\);

-- Location: FF_X74_Y9_N9
\led_flash_cnt[3463][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3463][4]~75368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3463][4]~q\);

-- Location: LCCOMB_X74_Y9_N22
\WideAnd3463~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3463~0_combout\ = (\led_flash_cnt[3463][3]~q\ & (\led_flash_cnt[3463][4]~q\ & (\led_flash_cnt[3463][2]~q\ & \led_flash_cnt[3463][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3463][3]~q\,
	datab => \led_flash_cnt[3463][4]~q\,
	datac => \led_flash_cnt[3463][2]~q\,
	datad => \led_flash_cnt[3463][1]~q\,
	combout => \WideAnd3463~0_combout\);

-- Location: LCCOMB_X74_Y9_N10
\led_flash_cnt[3463][5]~75370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3463][5]~75370_combout\ = (\led_flash_cnt[3463][5]~q\ & (\led_flash_cnt[3463][4]~75369\ $ (GND))) # (!\led_flash_cnt[3463][5]~q\ & (!\led_flash_cnt[3463][4]~75369\ & VCC))
-- \led_flash_cnt[3463][5]~75371\ = CARRY((\led_flash_cnt[3463][5]~q\ & !\led_flash_cnt[3463][4]~75369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3463][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3463][4]~75369\,
	combout => \led_flash_cnt[3463][5]~75370_combout\,
	cout => \led_flash_cnt[3463][5]~75371\);

-- Location: FF_X74_Y9_N11
\led_flash_cnt[3463][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3463][5]~75370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3463][5]~q\);

-- Location: LCCOMB_X74_Y9_N12
\led_flash_cnt[3463][6]~75372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3463][6]~75372_combout\ = (\led_flash_cnt[3463][6]~q\ & (!\led_flash_cnt[3463][5]~75371\)) # (!\led_flash_cnt[3463][6]~q\ & ((\led_flash_cnt[3463][5]~75371\) # (GND)))
-- \led_flash_cnt[3463][6]~75373\ = CARRY((!\led_flash_cnt[3463][5]~75371\) # (!\led_flash_cnt[3463][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3463][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3463][5]~75371\,
	combout => \led_flash_cnt[3463][6]~75372_combout\,
	cout => \led_flash_cnt[3463][6]~75373\);

-- Location: FF_X74_Y9_N13
\led_flash_cnt[3463][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3463][6]~75372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3463][6]~q\);

-- Location: LCCOMB_X74_Y9_N14
\led_flash_cnt[3463][7]~75374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3463][7]~75374_combout\ = \led_flash_cnt[3463][7]~q\ $ (!\led_flash_cnt[3463][6]~75373\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3463][7]~q\,
	cin => \led_flash_cnt[3463][6]~75373\,
	combout => \led_flash_cnt[3463][7]~75374_combout\);

-- Location: FF_X74_Y9_N15
\led_flash_cnt[3463][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3463][7]~75374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3463][7]~q\);

-- Location: LCCOMB_X74_Y9_N28
\WideAnd3463~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3463~1_combout\ = (\led_flash_cnt[3463][6]~q\ & \led_flash_cnt[3463][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3463][6]~q\,
	datad => \led_flash_cnt[3463][5]~q\,
	combout => \WideAnd3463~1_combout\);

-- Location: LCCOMB_X74_Y9_N24
WideAnd3463 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3463~combout\ = (\WideAnd3463~0_combout\ & (\led_flash_cnt[3463][7]~q\ & (\led_flash_cnt[3463][0]~q\ & \WideAnd3463~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3463~0_combout\,
	datab => \led_flash_cnt[3463][7]~q\,
	datac => \led_flash_cnt[3463][0]~q\,
	datad => \WideAnd3463~1_combout\,
	combout => \WideAnd3463~combout\);

-- Location: FF_X74_Y9_N25
\led_flash_cnt_ands[3463]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3463~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3463));

-- Location: LCCOMB_X70_Y53_N22
\led_flash_cnt[3456][0]~84096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3456][0]~84096_combout\ = !\led_flash_cnt[3456][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3456][0]~q\,
	combout => \led_flash_cnt[3456][0]~84096_combout\);

-- Location: FF_X70_Y53_N23
\led_flash_cnt[3456][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3456][0]~84096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3456][0]~q\);

-- Location: LCCOMB_X70_Y53_N0
\led_flash_cnt[3456][1]~75264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3456][1]~75264_combout\ = (\led_flash_cnt[3456][0]~q\ & (\led_flash_cnt[3456][1]~q\ $ (VCC))) # (!\led_flash_cnt[3456][0]~q\ & (\led_flash_cnt[3456][1]~q\ & VCC))
-- \led_flash_cnt[3456][1]~75265\ = CARRY((\led_flash_cnt[3456][0]~q\ & \led_flash_cnt[3456][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3456][0]~q\,
	datab => \led_flash_cnt[3456][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3456][1]~75264_combout\,
	cout => \led_flash_cnt[3456][1]~75265\);

-- Location: FF_X70_Y53_N1
\led_flash_cnt[3456][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3456][1]~75264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3456][1]~q\);

-- Location: LCCOMB_X70_Y53_N2
\led_flash_cnt[3456][2]~75266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3456][2]~75266_combout\ = (\led_flash_cnt[3456][2]~q\ & (!\led_flash_cnt[3456][1]~75265\)) # (!\led_flash_cnt[3456][2]~q\ & ((\led_flash_cnt[3456][1]~75265\) # (GND)))
-- \led_flash_cnt[3456][2]~75267\ = CARRY((!\led_flash_cnt[3456][1]~75265\) # (!\led_flash_cnt[3456][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3456][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3456][1]~75265\,
	combout => \led_flash_cnt[3456][2]~75266_combout\,
	cout => \led_flash_cnt[3456][2]~75267\);

-- Location: FF_X70_Y53_N3
\led_flash_cnt[3456][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3456][2]~75266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3456][2]~q\);

-- Location: LCCOMB_X70_Y53_N4
\led_flash_cnt[3456][3]~75268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3456][3]~75268_combout\ = (\led_flash_cnt[3456][3]~q\ & (\led_flash_cnt[3456][2]~75267\ $ (GND))) # (!\led_flash_cnt[3456][3]~q\ & (!\led_flash_cnt[3456][2]~75267\ & VCC))
-- \led_flash_cnt[3456][3]~75269\ = CARRY((\led_flash_cnt[3456][3]~q\ & !\led_flash_cnt[3456][2]~75267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3456][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3456][2]~75267\,
	combout => \led_flash_cnt[3456][3]~75268_combout\,
	cout => \led_flash_cnt[3456][3]~75269\);

-- Location: FF_X70_Y53_N5
\led_flash_cnt[3456][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3456][3]~75268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3456][3]~q\);

-- Location: LCCOMB_X70_Y53_N6
\led_flash_cnt[3456][4]~75270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3456][4]~75270_combout\ = (\led_flash_cnt[3456][4]~q\ & (!\led_flash_cnt[3456][3]~75269\)) # (!\led_flash_cnt[3456][4]~q\ & ((\led_flash_cnt[3456][3]~75269\) # (GND)))
-- \led_flash_cnt[3456][4]~75271\ = CARRY((!\led_flash_cnt[3456][3]~75269\) # (!\led_flash_cnt[3456][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3456][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3456][3]~75269\,
	combout => \led_flash_cnt[3456][4]~75270_combout\,
	cout => \led_flash_cnt[3456][4]~75271\);

-- Location: FF_X70_Y53_N7
\led_flash_cnt[3456][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3456][4]~75270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3456][4]~q\);

-- Location: LCCOMB_X70_Y53_N8
\led_flash_cnt[3456][5]~75272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3456][5]~75272_combout\ = (\led_flash_cnt[3456][5]~q\ & (\led_flash_cnt[3456][4]~75271\ $ (GND))) # (!\led_flash_cnt[3456][5]~q\ & (!\led_flash_cnt[3456][4]~75271\ & VCC))
-- \led_flash_cnt[3456][5]~75273\ = CARRY((\led_flash_cnt[3456][5]~q\ & !\led_flash_cnt[3456][4]~75271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3456][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3456][4]~75271\,
	combout => \led_flash_cnt[3456][5]~75272_combout\,
	cout => \led_flash_cnt[3456][5]~75273\);

-- Location: FF_X70_Y53_N9
\led_flash_cnt[3456][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3456][5]~75272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3456][5]~q\);

-- Location: LCCOMB_X70_Y53_N10
\led_flash_cnt[3456][6]~75274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3456][6]~75274_combout\ = (\led_flash_cnt[3456][6]~q\ & (!\led_flash_cnt[3456][5]~75273\)) # (!\led_flash_cnt[3456][6]~q\ & ((\led_flash_cnt[3456][5]~75273\) # (GND)))
-- \led_flash_cnt[3456][6]~75275\ = CARRY((!\led_flash_cnt[3456][5]~75273\) # (!\led_flash_cnt[3456][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3456][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3456][5]~75273\,
	combout => \led_flash_cnt[3456][6]~75274_combout\,
	cout => \led_flash_cnt[3456][6]~75275\);

-- Location: FF_X70_Y53_N11
\led_flash_cnt[3456][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3456][6]~75274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3456][6]~q\);

-- Location: LCCOMB_X70_Y53_N26
\WideAnd3456~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3456~1_combout\ = (\led_flash_cnt[3456][5]~q\ & \led_flash_cnt[3456][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3456][5]~q\,
	datad => \led_flash_cnt[3456][6]~q\,
	combout => \WideAnd3456~1_combout\);

-- Location: LCCOMB_X70_Y53_N24
\WideAnd3456~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3456~0_combout\ = (\led_flash_cnt[3456][4]~q\ & (\led_flash_cnt[3456][2]~q\ & (\led_flash_cnt[3456][3]~q\ & \led_flash_cnt[3456][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3456][4]~q\,
	datab => \led_flash_cnt[3456][2]~q\,
	datac => \led_flash_cnt[3456][3]~q\,
	datad => \led_flash_cnt[3456][1]~q\,
	combout => \WideAnd3456~0_combout\);

-- Location: LCCOMB_X70_Y53_N12
\led_flash_cnt[3456][7]~75276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3456][7]~75276_combout\ = \led_flash_cnt[3456][6]~75275\ $ (!\led_flash_cnt[3456][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3456][7]~q\,
	cin => \led_flash_cnt[3456][6]~75275\,
	combout => \led_flash_cnt[3456][7]~75276_combout\);

-- Location: FF_X70_Y53_N13
\led_flash_cnt[3456][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3456][7]~75276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3456][7]~q\);

-- Location: LCCOMB_X70_Y53_N18
WideAnd3456 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3456~combout\ = (\WideAnd3456~1_combout\ & (\WideAnd3456~0_combout\ & (\led_flash_cnt[3456][0]~q\ & \led_flash_cnt[3456][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3456~1_combout\,
	datab => \WideAnd3456~0_combout\,
	datac => \led_flash_cnt[3456][0]~q\,
	datad => \led_flash_cnt[3456][7]~q\,
	combout => \WideAnd3456~combout\);

-- Location: FF_X70_Y53_N19
\led_flash_cnt_ands[3456]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3456~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3456));

-- Location: LCCOMB_X70_Y51_N12
\led_flash_cnt[3459][0]~84099\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3459][0]~84099_combout\ = !\led_flash_cnt[3459][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3459][0]~q\,
	combout => \led_flash_cnt[3459][0]~84099_combout\);

-- Location: FF_X70_Y51_N13
\led_flash_cnt[3459][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3459][0]~84099_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3459][0]~q\);

-- Location: LCCOMB_X70_Y51_N16
\led_flash_cnt[3459][1]~75306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3459][1]~75306_combout\ = (\led_flash_cnt[3459][0]~q\ & (\led_flash_cnt[3459][1]~q\ $ (VCC))) # (!\led_flash_cnt[3459][0]~q\ & (\led_flash_cnt[3459][1]~q\ & VCC))
-- \led_flash_cnt[3459][1]~75307\ = CARRY((\led_flash_cnt[3459][0]~q\ & \led_flash_cnt[3459][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3459][0]~q\,
	datab => \led_flash_cnt[3459][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3459][1]~75306_combout\,
	cout => \led_flash_cnt[3459][1]~75307\);

-- Location: FF_X70_Y51_N17
\led_flash_cnt[3459][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3459][1]~75306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3459][1]~q\);

-- Location: LCCOMB_X70_Y51_N18
\led_flash_cnt[3459][2]~75308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3459][2]~75308_combout\ = (\led_flash_cnt[3459][2]~q\ & (!\led_flash_cnt[3459][1]~75307\)) # (!\led_flash_cnt[3459][2]~q\ & ((\led_flash_cnt[3459][1]~75307\) # (GND)))
-- \led_flash_cnt[3459][2]~75309\ = CARRY((!\led_flash_cnt[3459][1]~75307\) # (!\led_flash_cnt[3459][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3459][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3459][1]~75307\,
	combout => \led_flash_cnt[3459][2]~75308_combout\,
	cout => \led_flash_cnt[3459][2]~75309\);

-- Location: FF_X70_Y51_N19
\led_flash_cnt[3459][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3459][2]~75308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3459][2]~q\);

-- Location: LCCOMB_X70_Y51_N20
\led_flash_cnt[3459][3]~75310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3459][3]~75310_combout\ = (\led_flash_cnt[3459][3]~q\ & (\led_flash_cnt[3459][2]~75309\ $ (GND))) # (!\led_flash_cnt[3459][3]~q\ & (!\led_flash_cnt[3459][2]~75309\ & VCC))
-- \led_flash_cnt[3459][3]~75311\ = CARRY((\led_flash_cnt[3459][3]~q\ & !\led_flash_cnt[3459][2]~75309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3459][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3459][2]~75309\,
	combout => \led_flash_cnt[3459][3]~75310_combout\,
	cout => \led_flash_cnt[3459][3]~75311\);

-- Location: FF_X70_Y51_N21
\led_flash_cnt[3459][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3459][3]~75310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3459][3]~q\);

-- Location: LCCOMB_X70_Y51_N22
\led_flash_cnt[3459][4]~75312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3459][4]~75312_combout\ = (\led_flash_cnt[3459][4]~q\ & (!\led_flash_cnt[3459][3]~75311\)) # (!\led_flash_cnt[3459][4]~q\ & ((\led_flash_cnt[3459][3]~75311\) # (GND)))
-- \led_flash_cnt[3459][4]~75313\ = CARRY((!\led_flash_cnt[3459][3]~75311\) # (!\led_flash_cnt[3459][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3459][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3459][3]~75311\,
	combout => \led_flash_cnt[3459][4]~75312_combout\,
	cout => \led_flash_cnt[3459][4]~75313\);

-- Location: FF_X70_Y51_N23
\led_flash_cnt[3459][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3459][4]~75312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3459][4]~q\);

-- Location: LCCOMB_X70_Y51_N24
\led_flash_cnt[3459][5]~75314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3459][5]~75314_combout\ = (\led_flash_cnt[3459][5]~q\ & (\led_flash_cnt[3459][4]~75313\ $ (GND))) # (!\led_flash_cnt[3459][5]~q\ & (!\led_flash_cnt[3459][4]~75313\ & VCC))
-- \led_flash_cnt[3459][5]~75315\ = CARRY((\led_flash_cnt[3459][5]~q\ & !\led_flash_cnt[3459][4]~75313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3459][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3459][4]~75313\,
	combout => \led_flash_cnt[3459][5]~75314_combout\,
	cout => \led_flash_cnt[3459][5]~75315\);

-- Location: FF_X70_Y51_N25
\led_flash_cnt[3459][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3459][5]~75314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3459][5]~q\);

-- Location: LCCOMB_X70_Y51_N26
\led_flash_cnt[3459][6]~75316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3459][6]~75316_combout\ = (\led_flash_cnt[3459][6]~q\ & (!\led_flash_cnt[3459][5]~75315\)) # (!\led_flash_cnt[3459][6]~q\ & ((\led_flash_cnt[3459][5]~75315\) # (GND)))
-- \led_flash_cnt[3459][6]~75317\ = CARRY((!\led_flash_cnt[3459][5]~75315\) # (!\led_flash_cnt[3459][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3459][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3459][5]~75315\,
	combout => \led_flash_cnt[3459][6]~75316_combout\,
	cout => \led_flash_cnt[3459][6]~75317\);

-- Location: FF_X70_Y51_N27
\led_flash_cnt[3459][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3459][6]~75316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3459][6]~q\);

-- Location: LCCOMB_X70_Y51_N28
\led_flash_cnt[3459][7]~75318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3459][7]~75318_combout\ = \led_flash_cnt[3459][6]~75317\ $ (!\led_flash_cnt[3459][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3459][7]~q\,
	cin => \led_flash_cnt[3459][6]~75317\,
	combout => \led_flash_cnt[3459][7]~75318_combout\);

-- Location: FF_X70_Y51_N29
\led_flash_cnt[3459][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3459][7]~75318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3459][7]~q\);

-- Location: LCCOMB_X70_Y51_N4
\WideAnd3459~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3459~0_combout\ = (\led_flash_cnt[3459][3]~q\ & (\led_flash_cnt[3459][2]~q\ & (\led_flash_cnt[3459][4]~q\ & \led_flash_cnt[3459][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3459][3]~q\,
	datab => \led_flash_cnt[3459][2]~q\,
	datac => \led_flash_cnt[3459][4]~q\,
	datad => \led_flash_cnt[3459][1]~q\,
	combout => \WideAnd3459~0_combout\);

-- Location: LCCOMB_X70_Y51_N0
\WideAnd3459~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3459~1_combout\ = (\led_flash_cnt[3459][6]~q\ & \led_flash_cnt[3459][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3459][6]~q\,
	datad => \led_flash_cnt[3459][5]~q\,
	combout => \WideAnd3459~1_combout\);

-- Location: LCCOMB_X70_Y51_N14
WideAnd3459 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3459~combout\ = (\led_flash_cnt[3459][0]~q\ & (\led_flash_cnt[3459][7]~q\ & (\WideAnd3459~0_combout\ & \WideAnd3459~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3459][0]~q\,
	datab => \led_flash_cnt[3459][7]~q\,
	datac => \WideAnd3459~0_combout\,
	datad => \WideAnd3459~1_combout\,
	combout => \WideAnd3459~combout\);

-- Location: FF_X70_Y51_N15
\led_flash_cnt_ands[3459]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3459~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3459));

-- Location: LCCOMB_X70_Y51_N6
\led_flash_cnt[3458][0]~84098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3458][0]~84098_combout\ = !\led_flash_cnt[3458][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3458][0]~q\,
	combout => \led_flash_cnt[3458][0]~84098_combout\);

-- Location: FF_X70_Y51_N7
\led_flash_cnt[3458][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3458][0]~84098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3458][0]~q\);

-- Location: LCCOMB_X71_Y51_N18
\led_flash_cnt[3458][1]~75292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3458][1]~75292_combout\ = (\led_flash_cnt[3458][0]~q\ & (\led_flash_cnt[3458][1]~q\ $ (VCC))) # (!\led_flash_cnt[3458][0]~q\ & (\led_flash_cnt[3458][1]~q\ & VCC))
-- \led_flash_cnt[3458][1]~75293\ = CARRY((\led_flash_cnt[3458][0]~q\ & \led_flash_cnt[3458][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3458][0]~q\,
	datab => \led_flash_cnt[3458][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3458][1]~75292_combout\,
	cout => \led_flash_cnt[3458][1]~75293\);

-- Location: FF_X71_Y51_N19
\led_flash_cnt[3458][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3458][1]~75292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3458][1]~q\);

-- Location: LCCOMB_X71_Y51_N20
\led_flash_cnt[3458][2]~75294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3458][2]~75294_combout\ = (\led_flash_cnt[3458][2]~q\ & (!\led_flash_cnt[3458][1]~75293\)) # (!\led_flash_cnt[3458][2]~q\ & ((\led_flash_cnt[3458][1]~75293\) # (GND)))
-- \led_flash_cnt[3458][2]~75295\ = CARRY((!\led_flash_cnt[3458][1]~75293\) # (!\led_flash_cnt[3458][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3458][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3458][1]~75293\,
	combout => \led_flash_cnt[3458][2]~75294_combout\,
	cout => \led_flash_cnt[3458][2]~75295\);

-- Location: FF_X71_Y51_N21
\led_flash_cnt[3458][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3458][2]~75294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3458][2]~q\);

-- Location: LCCOMB_X71_Y51_N22
\led_flash_cnt[3458][3]~75296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3458][3]~75296_combout\ = (\led_flash_cnt[3458][3]~q\ & (\led_flash_cnt[3458][2]~75295\ $ (GND))) # (!\led_flash_cnt[3458][3]~q\ & (!\led_flash_cnt[3458][2]~75295\ & VCC))
-- \led_flash_cnt[3458][3]~75297\ = CARRY((\led_flash_cnt[3458][3]~q\ & !\led_flash_cnt[3458][2]~75295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3458][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3458][2]~75295\,
	combout => \led_flash_cnt[3458][3]~75296_combout\,
	cout => \led_flash_cnt[3458][3]~75297\);

-- Location: FF_X71_Y51_N23
\led_flash_cnt[3458][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3458][3]~75296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3458][3]~q\);

-- Location: LCCOMB_X71_Y51_N24
\led_flash_cnt[3458][4]~75298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3458][4]~75298_combout\ = (\led_flash_cnt[3458][4]~q\ & (!\led_flash_cnt[3458][3]~75297\)) # (!\led_flash_cnt[3458][4]~q\ & ((\led_flash_cnt[3458][3]~75297\) # (GND)))
-- \led_flash_cnt[3458][4]~75299\ = CARRY((!\led_flash_cnt[3458][3]~75297\) # (!\led_flash_cnt[3458][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3458][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3458][3]~75297\,
	combout => \led_flash_cnt[3458][4]~75298_combout\,
	cout => \led_flash_cnt[3458][4]~75299\);

-- Location: FF_X71_Y51_N25
\led_flash_cnt[3458][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3458][4]~75298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3458][4]~q\);

-- Location: LCCOMB_X71_Y51_N0
\WideAnd3458~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3458~0_combout\ = (\led_flash_cnt[3458][1]~q\ & (\led_flash_cnt[3458][4]~q\ & (\led_flash_cnt[3458][3]~q\ & \led_flash_cnt[3458][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3458][1]~q\,
	datab => \led_flash_cnt[3458][4]~q\,
	datac => \led_flash_cnt[3458][3]~q\,
	datad => \led_flash_cnt[3458][2]~q\,
	combout => \WideAnd3458~0_combout\);

-- Location: LCCOMB_X71_Y51_N26
\led_flash_cnt[3458][5]~75300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3458][5]~75300_combout\ = (\led_flash_cnt[3458][5]~q\ & (\led_flash_cnt[3458][4]~75299\ $ (GND))) # (!\led_flash_cnt[3458][5]~q\ & (!\led_flash_cnt[3458][4]~75299\ & VCC))
-- \led_flash_cnt[3458][5]~75301\ = CARRY((\led_flash_cnt[3458][5]~q\ & !\led_flash_cnt[3458][4]~75299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3458][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3458][4]~75299\,
	combout => \led_flash_cnt[3458][5]~75300_combout\,
	cout => \led_flash_cnt[3458][5]~75301\);

-- Location: FF_X71_Y51_N27
\led_flash_cnt[3458][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3458][5]~75300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3458][5]~q\);

-- Location: LCCOMB_X71_Y51_N28
\led_flash_cnt[3458][6]~75302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3458][6]~75302_combout\ = (\led_flash_cnt[3458][6]~q\ & (!\led_flash_cnt[3458][5]~75301\)) # (!\led_flash_cnt[3458][6]~q\ & ((\led_flash_cnt[3458][5]~75301\) # (GND)))
-- \led_flash_cnt[3458][6]~75303\ = CARRY((!\led_flash_cnt[3458][5]~75301\) # (!\led_flash_cnt[3458][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3458][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3458][5]~75301\,
	combout => \led_flash_cnt[3458][6]~75302_combout\,
	cout => \led_flash_cnt[3458][6]~75303\);

-- Location: FF_X71_Y51_N29
\led_flash_cnt[3458][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3458][6]~75302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3458][6]~q\);

-- Location: LCCOMB_X71_Y51_N30
\led_flash_cnt[3458][7]~75304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3458][7]~75304_combout\ = \led_flash_cnt[3458][7]~q\ $ (!\led_flash_cnt[3458][6]~75303\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3458][7]~q\,
	cin => \led_flash_cnt[3458][6]~75303\,
	combout => \led_flash_cnt[3458][7]~75304_combout\);

-- Location: FF_X71_Y51_N31
\led_flash_cnt[3458][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3458][7]~75304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3458][7]~q\);

-- Location: LCCOMB_X70_Y51_N2
\WideAnd3458~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3458~1_combout\ = (\led_flash_cnt[3458][6]~q\ & \led_flash_cnt[3458][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3458][6]~q\,
	datad => \led_flash_cnt[3458][5]~q\,
	combout => \WideAnd3458~1_combout\);

-- Location: LCCOMB_X70_Y51_N30
WideAnd3458 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3458~combout\ = (\led_flash_cnt[3458][0]~q\ & (\WideAnd3458~0_combout\ & (\led_flash_cnt[3458][7]~q\ & \WideAnd3458~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3458][0]~q\,
	datab => \WideAnd3458~0_combout\,
	datac => \led_flash_cnt[3458][7]~q\,
	datad => \WideAnd3458~1_combout\,
	combout => \WideAnd3458~combout\);

-- Location: FF_X70_Y51_N31
\led_flash_cnt_ands[3458]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3458~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3458));

-- Location: LCCOMB_X71_Y53_N26
\led_flash_cnt[3457][0]~84097\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3457][0]~84097_combout\ = !\led_flash_cnt[3457][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3457][0]~q\,
	combout => \led_flash_cnt[3457][0]~84097_combout\);

-- Location: FF_X71_Y53_N27
\led_flash_cnt[3457][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3457][0]~84097_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3457][0]~q\);

-- Location: LCCOMB_X71_Y53_N4
\led_flash_cnt[3457][1]~75278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3457][1]~75278_combout\ = (\led_flash_cnt[3457][0]~q\ & (\led_flash_cnt[3457][1]~q\ $ (VCC))) # (!\led_flash_cnt[3457][0]~q\ & (\led_flash_cnt[3457][1]~q\ & VCC))
-- \led_flash_cnt[3457][1]~75279\ = CARRY((\led_flash_cnt[3457][0]~q\ & \led_flash_cnt[3457][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3457][0]~q\,
	datab => \led_flash_cnt[3457][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3457][1]~75278_combout\,
	cout => \led_flash_cnt[3457][1]~75279\);

-- Location: FF_X71_Y53_N5
\led_flash_cnt[3457][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3457][1]~75278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3457][1]~q\);

-- Location: LCCOMB_X71_Y53_N6
\led_flash_cnt[3457][2]~75280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3457][2]~75280_combout\ = (\led_flash_cnt[3457][2]~q\ & (!\led_flash_cnt[3457][1]~75279\)) # (!\led_flash_cnt[3457][2]~q\ & ((\led_flash_cnt[3457][1]~75279\) # (GND)))
-- \led_flash_cnt[3457][2]~75281\ = CARRY((!\led_flash_cnt[3457][1]~75279\) # (!\led_flash_cnt[3457][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3457][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3457][1]~75279\,
	combout => \led_flash_cnt[3457][2]~75280_combout\,
	cout => \led_flash_cnt[3457][2]~75281\);

-- Location: FF_X71_Y53_N7
\led_flash_cnt[3457][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3457][2]~75280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3457][2]~q\);

-- Location: LCCOMB_X71_Y53_N8
\led_flash_cnt[3457][3]~75282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3457][3]~75282_combout\ = (\led_flash_cnt[3457][3]~q\ & (\led_flash_cnt[3457][2]~75281\ $ (GND))) # (!\led_flash_cnt[3457][3]~q\ & (!\led_flash_cnt[3457][2]~75281\ & VCC))
-- \led_flash_cnt[3457][3]~75283\ = CARRY((\led_flash_cnt[3457][3]~q\ & !\led_flash_cnt[3457][2]~75281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3457][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3457][2]~75281\,
	combout => \led_flash_cnt[3457][3]~75282_combout\,
	cout => \led_flash_cnt[3457][3]~75283\);

-- Location: FF_X71_Y53_N9
\led_flash_cnt[3457][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3457][3]~75282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3457][3]~q\);

-- Location: LCCOMB_X71_Y53_N10
\led_flash_cnt[3457][4]~75284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3457][4]~75284_combout\ = (\led_flash_cnt[3457][4]~q\ & (!\led_flash_cnt[3457][3]~75283\)) # (!\led_flash_cnt[3457][4]~q\ & ((\led_flash_cnt[3457][3]~75283\) # (GND)))
-- \led_flash_cnt[3457][4]~75285\ = CARRY((!\led_flash_cnt[3457][3]~75283\) # (!\led_flash_cnt[3457][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3457][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3457][3]~75283\,
	combout => \led_flash_cnt[3457][4]~75284_combout\,
	cout => \led_flash_cnt[3457][4]~75285\);

-- Location: FF_X71_Y53_N11
\led_flash_cnt[3457][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3457][4]~75284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3457][4]~q\);

-- Location: LCCOMB_X71_Y53_N12
\led_flash_cnt[3457][5]~75286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3457][5]~75286_combout\ = (\led_flash_cnt[3457][5]~q\ & (\led_flash_cnt[3457][4]~75285\ $ (GND))) # (!\led_flash_cnt[3457][5]~q\ & (!\led_flash_cnt[3457][4]~75285\ & VCC))
-- \led_flash_cnt[3457][5]~75287\ = CARRY((\led_flash_cnt[3457][5]~q\ & !\led_flash_cnt[3457][4]~75285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3457][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3457][4]~75285\,
	combout => \led_flash_cnt[3457][5]~75286_combout\,
	cout => \led_flash_cnt[3457][5]~75287\);

-- Location: FF_X71_Y53_N13
\led_flash_cnt[3457][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3457][5]~75286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3457][5]~q\);

-- Location: LCCOMB_X71_Y53_N14
\led_flash_cnt[3457][6]~75288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3457][6]~75288_combout\ = (\led_flash_cnt[3457][6]~q\ & (!\led_flash_cnt[3457][5]~75287\)) # (!\led_flash_cnt[3457][6]~q\ & ((\led_flash_cnt[3457][5]~75287\) # (GND)))
-- \led_flash_cnt[3457][6]~75289\ = CARRY((!\led_flash_cnt[3457][5]~75287\) # (!\led_flash_cnt[3457][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3457][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3457][5]~75287\,
	combout => \led_flash_cnt[3457][6]~75288_combout\,
	cout => \led_flash_cnt[3457][6]~75289\);

-- Location: FF_X71_Y53_N15
\led_flash_cnt[3457][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3457][6]~75288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3457][6]~q\);

-- Location: LCCOMB_X71_Y53_N16
\led_flash_cnt[3457][7]~75290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3457][7]~75290_combout\ = \led_flash_cnt[3457][6]~75289\ $ (!\led_flash_cnt[3457][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3457][7]~q\,
	cin => \led_flash_cnt[3457][6]~75289\,
	combout => \led_flash_cnt[3457][7]~75290_combout\);

-- Location: FF_X71_Y53_N17
\led_flash_cnt[3457][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3457][7]~75290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3457][7]~q\);

-- Location: LCCOMB_X71_Y53_N22
\WideAnd3457~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3457~1_combout\ = (\led_flash_cnt[3457][6]~q\ & \led_flash_cnt[3457][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3457][6]~q\,
	datad => \led_flash_cnt[3457][5]~q\,
	combout => \WideAnd3457~1_combout\);

-- Location: LCCOMB_X71_Y53_N24
\WideAnd3457~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3457~0_combout\ = (\led_flash_cnt[3457][4]~q\ & (\led_flash_cnt[3457][3]~q\ & (\led_flash_cnt[3457][1]~q\ & \led_flash_cnt[3457][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3457][4]~q\,
	datab => \led_flash_cnt[3457][3]~q\,
	datac => \led_flash_cnt[3457][1]~q\,
	datad => \led_flash_cnt[3457][2]~q\,
	combout => \WideAnd3457~0_combout\);

-- Location: LCCOMB_X71_Y53_N18
WideAnd3457 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3457~combout\ = (\led_flash_cnt[3457][0]~q\ & (\led_flash_cnt[3457][7]~q\ & (\WideAnd3457~1_combout\ & \WideAnd3457~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3457][0]~q\,
	datab => \led_flash_cnt[3457][7]~q\,
	datac => \WideAnd3457~1_combout\,
	datad => \WideAnd3457~0_combout\,
	combout => \WideAnd3457~combout\);

-- Location: FF_X71_Y53_N19
\led_flash_cnt_ands[3457]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3457~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3457));

-- Location: LCCOMB_X70_Y51_N8
\WideAnd4272~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4272~0_combout\ = (led_flash_cnt_ands(3456) & (led_flash_cnt_ands(3459) & (led_flash_cnt_ands(3458) & led_flash_cnt_ands(3457))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3456),
	datab => led_flash_cnt_ands(3459),
	datac => led_flash_cnt_ands(3458),
	datad => led_flash_cnt_ands(3457),
	combout => \WideAnd4272~0_combout\);

-- Location: LCCOMB_X72_Y14_N26
\led_flash_cnt[3462][0]~84102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3462][0]~84102_combout\ = !\led_flash_cnt[3462][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3462][0]~q\,
	combout => \led_flash_cnt[3462][0]~84102_combout\);

-- Location: FF_X72_Y14_N27
\led_flash_cnt[3462][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3462][0]~84102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3462][0]~q\);

-- Location: LCCOMB_X72_Y14_N4
\led_flash_cnt[3462][1]~75348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3462][1]~75348_combout\ = (\led_flash_cnt[3462][0]~q\ & (\led_flash_cnt[3462][1]~q\ $ (VCC))) # (!\led_flash_cnt[3462][0]~q\ & (\led_flash_cnt[3462][1]~q\ & VCC))
-- \led_flash_cnt[3462][1]~75349\ = CARRY((\led_flash_cnt[3462][0]~q\ & \led_flash_cnt[3462][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3462][0]~q\,
	datab => \led_flash_cnt[3462][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3462][1]~75348_combout\,
	cout => \led_flash_cnt[3462][1]~75349\);

-- Location: FF_X72_Y14_N5
\led_flash_cnt[3462][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3462][1]~75348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3462][1]~q\);

-- Location: LCCOMB_X72_Y14_N6
\led_flash_cnt[3462][2]~75350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3462][2]~75350_combout\ = (\led_flash_cnt[3462][2]~q\ & (!\led_flash_cnt[3462][1]~75349\)) # (!\led_flash_cnt[3462][2]~q\ & ((\led_flash_cnt[3462][1]~75349\) # (GND)))
-- \led_flash_cnt[3462][2]~75351\ = CARRY((!\led_flash_cnt[3462][1]~75349\) # (!\led_flash_cnt[3462][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3462][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3462][1]~75349\,
	combout => \led_flash_cnt[3462][2]~75350_combout\,
	cout => \led_flash_cnt[3462][2]~75351\);

-- Location: FF_X72_Y14_N7
\led_flash_cnt[3462][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3462][2]~75350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3462][2]~q\);

-- Location: LCCOMB_X72_Y14_N8
\led_flash_cnt[3462][3]~75352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3462][3]~75352_combout\ = (\led_flash_cnt[3462][3]~q\ & (\led_flash_cnt[3462][2]~75351\ $ (GND))) # (!\led_flash_cnt[3462][3]~q\ & (!\led_flash_cnt[3462][2]~75351\ & VCC))
-- \led_flash_cnt[3462][3]~75353\ = CARRY((\led_flash_cnt[3462][3]~q\ & !\led_flash_cnt[3462][2]~75351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3462][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3462][2]~75351\,
	combout => \led_flash_cnt[3462][3]~75352_combout\,
	cout => \led_flash_cnt[3462][3]~75353\);

-- Location: FF_X72_Y14_N9
\led_flash_cnt[3462][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3462][3]~75352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3462][3]~q\);

-- Location: LCCOMB_X72_Y14_N10
\led_flash_cnt[3462][4]~75354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3462][4]~75354_combout\ = (\led_flash_cnt[3462][4]~q\ & (!\led_flash_cnt[3462][3]~75353\)) # (!\led_flash_cnt[3462][4]~q\ & ((\led_flash_cnt[3462][3]~75353\) # (GND)))
-- \led_flash_cnt[3462][4]~75355\ = CARRY((!\led_flash_cnt[3462][3]~75353\) # (!\led_flash_cnt[3462][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3462][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3462][3]~75353\,
	combout => \led_flash_cnt[3462][4]~75354_combout\,
	cout => \led_flash_cnt[3462][4]~75355\);

-- Location: FF_X72_Y14_N11
\led_flash_cnt[3462][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3462][4]~75354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3462][4]~q\);

-- Location: LCCOMB_X72_Y14_N12
\led_flash_cnt[3462][5]~75356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3462][5]~75356_combout\ = (\led_flash_cnt[3462][5]~q\ & (\led_flash_cnt[3462][4]~75355\ $ (GND))) # (!\led_flash_cnt[3462][5]~q\ & (!\led_flash_cnt[3462][4]~75355\ & VCC))
-- \led_flash_cnt[3462][5]~75357\ = CARRY((\led_flash_cnt[3462][5]~q\ & !\led_flash_cnt[3462][4]~75355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3462][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3462][4]~75355\,
	combout => \led_flash_cnt[3462][5]~75356_combout\,
	cout => \led_flash_cnt[3462][5]~75357\);

-- Location: FF_X72_Y14_N13
\led_flash_cnt[3462][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3462][5]~75356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3462][5]~q\);

-- Location: LCCOMB_X72_Y14_N14
\led_flash_cnt[3462][6]~75358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3462][6]~75358_combout\ = (\led_flash_cnt[3462][6]~q\ & (!\led_flash_cnt[3462][5]~75357\)) # (!\led_flash_cnt[3462][6]~q\ & ((\led_flash_cnt[3462][5]~75357\) # (GND)))
-- \led_flash_cnt[3462][6]~75359\ = CARRY((!\led_flash_cnt[3462][5]~75357\) # (!\led_flash_cnt[3462][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3462][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3462][5]~75357\,
	combout => \led_flash_cnt[3462][6]~75358_combout\,
	cout => \led_flash_cnt[3462][6]~75359\);

-- Location: FF_X72_Y14_N15
\led_flash_cnt[3462][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3462][6]~75358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3462][6]~q\);

-- Location: LCCOMB_X72_Y14_N16
\led_flash_cnt[3462][7]~75360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3462][7]~75360_combout\ = \led_flash_cnt[3462][6]~75359\ $ (!\led_flash_cnt[3462][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3462][7]~q\,
	cin => \led_flash_cnt[3462][6]~75359\,
	combout => \led_flash_cnt[3462][7]~75360_combout\);

-- Location: FF_X72_Y14_N17
\led_flash_cnt[3462][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3462][7]~75360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3462][7]~q\);

-- Location: LCCOMB_X72_Y14_N22
\WideAnd3462~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3462~1_combout\ = (\led_flash_cnt[3462][6]~q\ & \led_flash_cnt[3462][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3462][6]~q\,
	datad => \led_flash_cnt[3462][5]~q\,
	combout => \WideAnd3462~1_combout\);

-- Location: LCCOMB_X72_Y14_N18
\WideAnd3462~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3462~0_combout\ = (\led_flash_cnt[3462][4]~q\ & (\led_flash_cnt[3462][3]~q\ & (\led_flash_cnt[3462][1]~q\ & \led_flash_cnt[3462][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3462][4]~q\,
	datab => \led_flash_cnt[3462][3]~q\,
	datac => \led_flash_cnt[3462][1]~q\,
	datad => \led_flash_cnt[3462][2]~q\,
	combout => \WideAnd3462~0_combout\);

-- Location: LCCOMB_X72_Y14_N24
WideAnd3462 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3462~combout\ = (\led_flash_cnt[3462][0]~q\ & (\led_flash_cnt[3462][7]~q\ & (\WideAnd3462~1_combout\ & \WideAnd3462~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3462][0]~q\,
	datab => \led_flash_cnt[3462][7]~q\,
	datac => \WideAnd3462~1_combout\,
	datad => \WideAnd3462~0_combout\,
	combout => \WideAnd3462~combout\);

-- Location: FF_X72_Y14_N25
\led_flash_cnt_ands[3462]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3462~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3462));

-- Location: LCCOMB_X71_Y17_N24
WideAnd4272 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4272~combout\ = (\WideAnd4272~1_combout\ & (led_flash_cnt_ands(3463) & (\WideAnd4272~0_combout\ & led_flash_cnt_ands(3462))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4272~1_combout\,
	datab => led_flash_cnt_ands(3463),
	datac => \WideAnd4272~0_combout\,
	datad => led_flash_cnt_ands(3462),
	combout => \WideAnd4272~combout\);

-- Location: FF_X71_Y17_N25
\led_flash_cnt_ands_1[432]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4272~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(432));

-- Location: LCCOMB_X69_Y18_N12
\led_flash_cnt[3471][0]~84111\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3471][0]~84111_combout\ = !\led_flash_cnt[3471][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3471][0]~q\,
	combout => \led_flash_cnt[3471][0]~84111_combout\);

-- Location: FF_X69_Y18_N13
\led_flash_cnt[3471][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3471][0]~84111_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3471][0]~q\);

-- Location: LCCOMB_X69_Y18_N14
\led_flash_cnt[3471][1]~75474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3471][1]~75474_combout\ = (\led_flash_cnt[3471][0]~q\ & (\led_flash_cnt[3471][1]~q\ $ (VCC))) # (!\led_flash_cnt[3471][0]~q\ & (\led_flash_cnt[3471][1]~q\ & VCC))
-- \led_flash_cnt[3471][1]~75475\ = CARRY((\led_flash_cnt[3471][0]~q\ & \led_flash_cnt[3471][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3471][0]~q\,
	datab => \led_flash_cnt[3471][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3471][1]~75474_combout\,
	cout => \led_flash_cnt[3471][1]~75475\);

-- Location: FF_X69_Y18_N15
\led_flash_cnt[3471][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3471][1]~75474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3471][1]~q\);

-- Location: LCCOMB_X69_Y18_N16
\led_flash_cnt[3471][2]~75476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3471][2]~75476_combout\ = (\led_flash_cnt[3471][2]~q\ & (!\led_flash_cnt[3471][1]~75475\)) # (!\led_flash_cnt[3471][2]~q\ & ((\led_flash_cnt[3471][1]~75475\) # (GND)))
-- \led_flash_cnt[3471][2]~75477\ = CARRY((!\led_flash_cnt[3471][1]~75475\) # (!\led_flash_cnt[3471][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3471][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3471][1]~75475\,
	combout => \led_flash_cnt[3471][2]~75476_combout\,
	cout => \led_flash_cnt[3471][2]~75477\);

-- Location: FF_X69_Y18_N17
\led_flash_cnt[3471][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3471][2]~75476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3471][2]~q\);

-- Location: LCCOMB_X69_Y18_N18
\led_flash_cnt[3471][3]~75478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3471][3]~75478_combout\ = (\led_flash_cnt[3471][3]~q\ & (\led_flash_cnt[3471][2]~75477\ $ (GND))) # (!\led_flash_cnt[3471][3]~q\ & (!\led_flash_cnt[3471][2]~75477\ & VCC))
-- \led_flash_cnt[3471][3]~75479\ = CARRY((\led_flash_cnt[3471][3]~q\ & !\led_flash_cnt[3471][2]~75477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3471][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3471][2]~75477\,
	combout => \led_flash_cnt[3471][3]~75478_combout\,
	cout => \led_flash_cnt[3471][3]~75479\);

-- Location: FF_X69_Y18_N19
\led_flash_cnt[3471][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3471][3]~75478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3471][3]~q\);

-- Location: LCCOMB_X69_Y18_N20
\led_flash_cnt[3471][4]~75480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3471][4]~75480_combout\ = (\led_flash_cnt[3471][4]~q\ & (!\led_flash_cnt[3471][3]~75479\)) # (!\led_flash_cnt[3471][4]~q\ & ((\led_flash_cnt[3471][3]~75479\) # (GND)))
-- \led_flash_cnt[3471][4]~75481\ = CARRY((!\led_flash_cnt[3471][3]~75479\) # (!\led_flash_cnt[3471][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3471][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3471][3]~75479\,
	combout => \led_flash_cnt[3471][4]~75480_combout\,
	cout => \led_flash_cnt[3471][4]~75481\);

-- Location: FF_X69_Y18_N21
\led_flash_cnt[3471][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3471][4]~75480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3471][4]~q\);

-- Location: LCCOMB_X69_Y18_N10
\WideAnd3471~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3471~0_combout\ = (\led_flash_cnt[3471][4]~q\ & (\led_flash_cnt[3471][3]~q\ & (\led_flash_cnt[3471][1]~q\ & \led_flash_cnt[3471][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3471][4]~q\,
	datab => \led_flash_cnt[3471][3]~q\,
	datac => \led_flash_cnt[3471][1]~q\,
	datad => \led_flash_cnt[3471][2]~q\,
	combout => \WideAnd3471~0_combout\);

-- Location: LCCOMB_X69_Y18_N22
\led_flash_cnt[3471][5]~75482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3471][5]~75482_combout\ = (\led_flash_cnt[3471][5]~q\ & (\led_flash_cnt[3471][4]~75481\ $ (GND))) # (!\led_flash_cnt[3471][5]~q\ & (!\led_flash_cnt[3471][4]~75481\ & VCC))
-- \led_flash_cnt[3471][5]~75483\ = CARRY((\led_flash_cnt[3471][5]~q\ & !\led_flash_cnt[3471][4]~75481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3471][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3471][4]~75481\,
	combout => \led_flash_cnt[3471][5]~75482_combout\,
	cout => \led_flash_cnt[3471][5]~75483\);

-- Location: FF_X69_Y18_N23
\led_flash_cnt[3471][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3471][5]~75482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3471][5]~q\);

-- Location: LCCOMB_X69_Y18_N24
\led_flash_cnt[3471][6]~75484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3471][6]~75484_combout\ = (\led_flash_cnt[3471][6]~q\ & (!\led_flash_cnt[3471][5]~75483\)) # (!\led_flash_cnt[3471][6]~q\ & ((\led_flash_cnt[3471][5]~75483\) # (GND)))
-- \led_flash_cnt[3471][6]~75485\ = CARRY((!\led_flash_cnt[3471][5]~75483\) # (!\led_flash_cnt[3471][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3471][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3471][5]~75483\,
	combout => \led_flash_cnt[3471][6]~75484_combout\,
	cout => \led_flash_cnt[3471][6]~75485\);

-- Location: FF_X69_Y18_N25
\led_flash_cnt[3471][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3471][6]~75484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3471][6]~q\);

-- Location: LCCOMB_X69_Y18_N28
\WideAnd3471~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3471~1_combout\ = (\led_flash_cnt[3471][5]~q\ & \led_flash_cnt[3471][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3471][5]~q\,
	datad => \led_flash_cnt[3471][6]~q\,
	combout => \WideAnd3471~1_combout\);

-- Location: LCCOMB_X69_Y18_N26
\led_flash_cnt[3471][7]~75486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3471][7]~75486_combout\ = \led_flash_cnt[3471][7]~q\ $ (!\led_flash_cnt[3471][6]~75485\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3471][7]~q\,
	cin => \led_flash_cnt[3471][6]~75485\,
	combout => \led_flash_cnt[3471][7]~75486_combout\);

-- Location: FF_X69_Y18_N27
\led_flash_cnt[3471][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3471][7]~75486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3471][7]~q\);

-- Location: LCCOMB_X69_Y18_N0
WideAnd3471 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3471~combout\ = (\WideAnd3471~0_combout\ & (\WideAnd3471~1_combout\ & (\led_flash_cnt[3471][7]~q\ & \led_flash_cnt[3471][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3471~0_combout\,
	datab => \WideAnd3471~1_combout\,
	datac => \led_flash_cnt[3471][7]~q\,
	datad => \led_flash_cnt[3471][0]~q\,
	combout => \WideAnd3471~combout\);

-- Location: FF_X69_Y18_N1
\led_flash_cnt_ands[3471]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3471~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3471));

-- Location: LCCOMB_X58_Y30_N2
\led_flash_cnt[3469][0]~84109\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3469][0]~84109_combout\ = !\led_flash_cnt[3469][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3469][0]~q\,
	combout => \led_flash_cnt[3469][0]~84109_combout\);

-- Location: FF_X58_Y30_N3
\led_flash_cnt[3469][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3469][0]~84109_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3469][0]~q\);

-- Location: LCCOMB_X57_Y30_N14
\led_flash_cnt[3469][1]~75446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3469][1]~75446_combout\ = (\led_flash_cnt[3469][0]~q\ & (\led_flash_cnt[3469][1]~q\ $ (VCC))) # (!\led_flash_cnt[3469][0]~q\ & (\led_flash_cnt[3469][1]~q\ & VCC))
-- \led_flash_cnt[3469][1]~75447\ = CARRY((\led_flash_cnt[3469][0]~q\ & \led_flash_cnt[3469][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3469][0]~q\,
	datab => \led_flash_cnt[3469][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3469][1]~75446_combout\,
	cout => \led_flash_cnt[3469][1]~75447\);

-- Location: FF_X57_Y30_N15
\led_flash_cnt[3469][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3469][1]~75446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3469][1]~q\);

-- Location: LCCOMB_X57_Y30_N16
\led_flash_cnt[3469][2]~75448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3469][2]~75448_combout\ = (\led_flash_cnt[3469][2]~q\ & (!\led_flash_cnt[3469][1]~75447\)) # (!\led_flash_cnt[3469][2]~q\ & ((\led_flash_cnt[3469][1]~75447\) # (GND)))
-- \led_flash_cnt[3469][2]~75449\ = CARRY((!\led_flash_cnt[3469][1]~75447\) # (!\led_flash_cnt[3469][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3469][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3469][1]~75447\,
	combout => \led_flash_cnt[3469][2]~75448_combout\,
	cout => \led_flash_cnt[3469][2]~75449\);

-- Location: FF_X57_Y30_N17
\led_flash_cnt[3469][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3469][2]~75448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3469][2]~q\);

-- Location: LCCOMB_X57_Y30_N18
\led_flash_cnt[3469][3]~75450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3469][3]~75450_combout\ = (\led_flash_cnt[3469][3]~q\ & (\led_flash_cnt[3469][2]~75449\ $ (GND))) # (!\led_flash_cnt[3469][3]~q\ & (!\led_flash_cnt[3469][2]~75449\ & VCC))
-- \led_flash_cnt[3469][3]~75451\ = CARRY((\led_flash_cnt[3469][3]~q\ & !\led_flash_cnt[3469][2]~75449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3469][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3469][2]~75449\,
	combout => \led_flash_cnt[3469][3]~75450_combout\,
	cout => \led_flash_cnt[3469][3]~75451\);

-- Location: FF_X57_Y30_N19
\led_flash_cnt[3469][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3469][3]~75450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3469][3]~q\);

-- Location: LCCOMB_X57_Y30_N20
\led_flash_cnt[3469][4]~75452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3469][4]~75452_combout\ = (\led_flash_cnt[3469][4]~q\ & (!\led_flash_cnt[3469][3]~75451\)) # (!\led_flash_cnt[3469][4]~q\ & ((\led_flash_cnt[3469][3]~75451\) # (GND)))
-- \led_flash_cnt[3469][4]~75453\ = CARRY((!\led_flash_cnt[3469][3]~75451\) # (!\led_flash_cnt[3469][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3469][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3469][3]~75451\,
	combout => \led_flash_cnt[3469][4]~75452_combout\,
	cout => \led_flash_cnt[3469][4]~75453\);

-- Location: FF_X57_Y30_N21
\led_flash_cnt[3469][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3469][4]~75452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3469][4]~q\);

-- Location: LCCOMB_X57_Y30_N30
\WideAnd3469~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3469~0_combout\ = (\led_flash_cnt[3469][4]~q\ & (\led_flash_cnt[3469][3]~q\ & (\led_flash_cnt[3469][1]~q\ & \led_flash_cnt[3469][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3469][4]~q\,
	datab => \led_flash_cnt[3469][3]~q\,
	datac => \led_flash_cnt[3469][1]~q\,
	datad => \led_flash_cnt[3469][2]~q\,
	combout => \WideAnd3469~0_combout\);

-- Location: LCCOMB_X57_Y30_N22
\led_flash_cnt[3469][5]~75454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3469][5]~75454_combout\ = (\led_flash_cnt[3469][5]~q\ & (\led_flash_cnt[3469][4]~75453\ $ (GND))) # (!\led_flash_cnt[3469][5]~q\ & (!\led_flash_cnt[3469][4]~75453\ & VCC))
-- \led_flash_cnt[3469][5]~75455\ = CARRY((\led_flash_cnt[3469][5]~q\ & !\led_flash_cnt[3469][4]~75453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3469][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3469][4]~75453\,
	combout => \led_flash_cnt[3469][5]~75454_combout\,
	cout => \led_flash_cnt[3469][5]~75455\);

-- Location: FF_X57_Y30_N23
\led_flash_cnt[3469][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3469][5]~75454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3469][5]~q\);

-- Location: LCCOMB_X57_Y30_N24
\led_flash_cnt[3469][6]~75456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3469][6]~75456_combout\ = (\led_flash_cnt[3469][6]~q\ & (!\led_flash_cnt[3469][5]~75455\)) # (!\led_flash_cnt[3469][6]~q\ & ((\led_flash_cnt[3469][5]~75455\) # (GND)))
-- \led_flash_cnt[3469][6]~75457\ = CARRY((!\led_flash_cnt[3469][5]~75455\) # (!\led_flash_cnt[3469][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3469][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3469][5]~75455\,
	combout => \led_flash_cnt[3469][6]~75456_combout\,
	cout => \led_flash_cnt[3469][6]~75457\);

-- Location: FF_X57_Y30_N25
\led_flash_cnt[3469][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3469][6]~75456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3469][6]~q\);

-- Location: LCCOMB_X57_Y30_N26
\led_flash_cnt[3469][7]~75458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3469][7]~75458_combout\ = \led_flash_cnt[3469][7]~q\ $ (!\led_flash_cnt[3469][6]~75457\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3469][7]~q\,
	cin => \led_flash_cnt[3469][6]~75457\,
	combout => \led_flash_cnt[3469][7]~75458_combout\);

-- Location: FF_X57_Y30_N27
\led_flash_cnt[3469][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3469][7]~75458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3469][7]~q\);

-- Location: LCCOMB_X58_Y30_N6
\WideAnd3469~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3469~1_combout\ = (\led_flash_cnt[3469][6]~q\ & \led_flash_cnt[3469][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3469][6]~q\,
	datad => \led_flash_cnt[3469][5]~q\,
	combout => \WideAnd3469~1_combout\);

-- Location: LCCOMB_X58_Y30_N30
WideAnd3469 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3469~combout\ = (\led_flash_cnt[3469][0]~q\ & (\WideAnd3469~0_combout\ & (\led_flash_cnt[3469][7]~q\ & \WideAnd3469~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3469][0]~q\,
	datab => \WideAnd3469~0_combout\,
	datac => \led_flash_cnt[3469][7]~q\,
	datad => \WideAnd3469~1_combout\,
	combout => \WideAnd3469~combout\);

-- Location: FF_X58_Y30_N31
\led_flash_cnt_ands[3469]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3469~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3469));

-- Location: LCCOMB_X58_Y30_N4
\led_flash_cnt[3468][0]~84108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3468][0]~84108_combout\ = !\led_flash_cnt[3468][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3468][0]~q\,
	combout => \led_flash_cnt[3468][0]~84108_combout\);

-- Location: FF_X58_Y30_N5
\led_flash_cnt[3468][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3468][0]~84108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3468][0]~q\);

-- Location: LCCOMB_X58_Y30_N10
\led_flash_cnt[3468][1]~75432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3468][1]~75432_combout\ = (\led_flash_cnt[3468][1]~q\ & (\led_flash_cnt[3468][0]~q\ $ (VCC))) # (!\led_flash_cnt[3468][1]~q\ & (\led_flash_cnt[3468][0]~q\ & VCC))
-- \led_flash_cnt[3468][1]~75433\ = CARRY((\led_flash_cnt[3468][1]~q\ & \led_flash_cnt[3468][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3468][1]~q\,
	datab => \led_flash_cnt[3468][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3468][1]~75432_combout\,
	cout => \led_flash_cnt[3468][1]~75433\);

-- Location: FF_X58_Y30_N11
\led_flash_cnt[3468][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3468][1]~75432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3468][1]~q\);

-- Location: LCCOMB_X58_Y30_N12
\led_flash_cnt[3468][2]~75434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3468][2]~75434_combout\ = (\led_flash_cnt[3468][2]~q\ & (!\led_flash_cnt[3468][1]~75433\)) # (!\led_flash_cnt[3468][2]~q\ & ((\led_flash_cnt[3468][1]~75433\) # (GND)))
-- \led_flash_cnt[3468][2]~75435\ = CARRY((!\led_flash_cnt[3468][1]~75433\) # (!\led_flash_cnt[3468][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3468][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3468][1]~75433\,
	combout => \led_flash_cnt[3468][2]~75434_combout\,
	cout => \led_flash_cnt[3468][2]~75435\);

-- Location: FF_X58_Y30_N13
\led_flash_cnt[3468][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3468][2]~75434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3468][2]~q\);

-- Location: LCCOMB_X58_Y30_N14
\led_flash_cnt[3468][3]~75436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3468][3]~75436_combout\ = (\led_flash_cnt[3468][3]~q\ & (\led_flash_cnt[3468][2]~75435\ $ (GND))) # (!\led_flash_cnt[3468][3]~q\ & (!\led_flash_cnt[3468][2]~75435\ & VCC))
-- \led_flash_cnt[3468][3]~75437\ = CARRY((\led_flash_cnt[3468][3]~q\ & !\led_flash_cnt[3468][2]~75435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3468][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3468][2]~75435\,
	combout => \led_flash_cnt[3468][3]~75436_combout\,
	cout => \led_flash_cnt[3468][3]~75437\);

-- Location: FF_X58_Y30_N15
\led_flash_cnt[3468][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3468][3]~75436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3468][3]~q\);

-- Location: LCCOMB_X58_Y30_N16
\led_flash_cnt[3468][4]~75438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3468][4]~75438_combout\ = (\led_flash_cnt[3468][4]~q\ & (!\led_flash_cnt[3468][3]~75437\)) # (!\led_flash_cnt[3468][4]~q\ & ((\led_flash_cnt[3468][3]~75437\) # (GND)))
-- \led_flash_cnt[3468][4]~75439\ = CARRY((!\led_flash_cnt[3468][3]~75437\) # (!\led_flash_cnt[3468][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3468][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3468][3]~75437\,
	combout => \led_flash_cnt[3468][4]~75438_combout\,
	cout => \led_flash_cnt[3468][4]~75439\);

-- Location: FF_X58_Y30_N17
\led_flash_cnt[3468][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3468][4]~75438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3468][4]~q\);

-- Location: LCCOMB_X58_Y30_N26
\WideAnd3468~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3468~0_combout\ = (\led_flash_cnt[3468][2]~q\ & (\led_flash_cnt[3468][4]~q\ & (\led_flash_cnt[3468][3]~q\ & \led_flash_cnt[3468][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3468][2]~q\,
	datab => \led_flash_cnt[3468][4]~q\,
	datac => \led_flash_cnt[3468][3]~q\,
	datad => \led_flash_cnt[3468][1]~q\,
	combout => \WideAnd3468~0_combout\);

-- Location: LCCOMB_X58_Y30_N18
\led_flash_cnt[3468][5]~75440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3468][5]~75440_combout\ = (\led_flash_cnt[3468][5]~q\ & (\led_flash_cnt[3468][4]~75439\ $ (GND))) # (!\led_flash_cnt[3468][5]~q\ & (!\led_flash_cnt[3468][4]~75439\ & VCC))
-- \led_flash_cnt[3468][5]~75441\ = CARRY((\led_flash_cnt[3468][5]~q\ & !\led_flash_cnt[3468][4]~75439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3468][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3468][4]~75439\,
	combout => \led_flash_cnt[3468][5]~75440_combout\,
	cout => \led_flash_cnt[3468][5]~75441\);

-- Location: FF_X58_Y30_N19
\led_flash_cnt[3468][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3468][5]~75440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3468][5]~q\);

-- Location: LCCOMB_X58_Y30_N20
\led_flash_cnt[3468][6]~75442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3468][6]~75442_combout\ = (\led_flash_cnt[3468][6]~q\ & (!\led_flash_cnt[3468][5]~75441\)) # (!\led_flash_cnt[3468][6]~q\ & ((\led_flash_cnt[3468][5]~75441\) # (GND)))
-- \led_flash_cnt[3468][6]~75443\ = CARRY((!\led_flash_cnt[3468][5]~75441\) # (!\led_flash_cnt[3468][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3468][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3468][5]~75441\,
	combout => \led_flash_cnt[3468][6]~75442_combout\,
	cout => \led_flash_cnt[3468][6]~75443\);

-- Location: FF_X58_Y30_N21
\led_flash_cnt[3468][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3468][6]~75442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3468][6]~q\);

-- Location: LCCOMB_X58_Y30_N22
\led_flash_cnt[3468][7]~75444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3468][7]~75444_combout\ = \led_flash_cnt[3468][7]~q\ $ (!\led_flash_cnt[3468][6]~75443\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3468][7]~q\,
	cin => \led_flash_cnt[3468][6]~75443\,
	combout => \led_flash_cnt[3468][7]~75444_combout\);

-- Location: FF_X58_Y30_N23
\led_flash_cnt[3468][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3468][7]~75444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3468][7]~q\);

-- Location: LCCOMB_X58_Y30_N28
\WideAnd3468~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3468~1_combout\ = (\led_flash_cnt[3468][5]~q\ & \led_flash_cnt[3468][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3468][5]~q\,
	datad => \led_flash_cnt[3468][6]~q\,
	combout => \WideAnd3468~1_combout\);

-- Location: LCCOMB_X58_Y30_N24
WideAnd3468 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3468~combout\ = (\WideAnd3468~0_combout\ & (\led_flash_cnt[3468][0]~q\ & (\led_flash_cnt[3468][7]~q\ & \WideAnd3468~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3468~0_combout\,
	datab => \led_flash_cnt[3468][0]~q\,
	datac => \led_flash_cnt[3468][7]~q\,
	datad => \WideAnd3468~1_combout\,
	combout => \WideAnd3468~combout\);

-- Location: FF_X58_Y30_N25
\led_flash_cnt_ands[3468]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3468~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3468));

-- Location: LCCOMB_X58_Y30_N8
\WideAnd4273~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4273~1_combout\ = (led_flash_cnt_ands(3469) & led_flash_cnt_ands(3468))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3469),
	datad => led_flash_cnt_ands(3468),
	combout => \WideAnd4273~1_combout\);

-- Location: LCCOMB_X4_Y35_N12
\led_flash_cnt[3467][0]~84107\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3467][0]~84107_combout\ = !\led_flash_cnt[3467][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3467][0]~q\,
	combout => \led_flash_cnt[3467][0]~84107_combout\);

-- Location: FF_X4_Y35_N13
\led_flash_cnt[3467][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3467][0]~84107_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3467][0]~q\);

-- Location: LCCOMB_X4_Y35_N14
\led_flash_cnt[3467][1]~75418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3467][1]~75418_combout\ = (\led_flash_cnt[3467][0]~q\ & (\led_flash_cnt[3467][1]~q\ $ (VCC))) # (!\led_flash_cnt[3467][0]~q\ & (\led_flash_cnt[3467][1]~q\ & VCC))
-- \led_flash_cnt[3467][1]~75419\ = CARRY((\led_flash_cnt[3467][0]~q\ & \led_flash_cnt[3467][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3467][0]~q\,
	datab => \led_flash_cnt[3467][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3467][1]~75418_combout\,
	cout => \led_flash_cnt[3467][1]~75419\);

-- Location: FF_X4_Y35_N15
\led_flash_cnt[3467][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3467][1]~75418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3467][1]~q\);

-- Location: LCCOMB_X4_Y35_N16
\led_flash_cnt[3467][2]~75420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3467][2]~75420_combout\ = (\led_flash_cnt[3467][2]~q\ & (!\led_flash_cnt[3467][1]~75419\)) # (!\led_flash_cnt[3467][2]~q\ & ((\led_flash_cnt[3467][1]~75419\) # (GND)))
-- \led_flash_cnt[3467][2]~75421\ = CARRY((!\led_flash_cnt[3467][1]~75419\) # (!\led_flash_cnt[3467][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3467][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3467][1]~75419\,
	combout => \led_flash_cnt[3467][2]~75420_combout\,
	cout => \led_flash_cnt[3467][2]~75421\);

-- Location: FF_X4_Y35_N17
\led_flash_cnt[3467][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3467][2]~75420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3467][2]~q\);

-- Location: LCCOMB_X4_Y35_N18
\led_flash_cnt[3467][3]~75422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3467][3]~75422_combout\ = (\led_flash_cnt[3467][3]~q\ & (\led_flash_cnt[3467][2]~75421\ $ (GND))) # (!\led_flash_cnt[3467][3]~q\ & (!\led_flash_cnt[3467][2]~75421\ & VCC))
-- \led_flash_cnt[3467][3]~75423\ = CARRY((\led_flash_cnt[3467][3]~q\ & !\led_flash_cnt[3467][2]~75421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3467][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3467][2]~75421\,
	combout => \led_flash_cnt[3467][3]~75422_combout\,
	cout => \led_flash_cnt[3467][3]~75423\);

-- Location: FF_X4_Y35_N19
\led_flash_cnt[3467][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3467][3]~75422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3467][3]~q\);

-- Location: LCCOMB_X4_Y35_N20
\led_flash_cnt[3467][4]~75424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3467][4]~75424_combout\ = (\led_flash_cnt[3467][4]~q\ & (!\led_flash_cnt[3467][3]~75423\)) # (!\led_flash_cnt[3467][4]~q\ & ((\led_flash_cnt[3467][3]~75423\) # (GND)))
-- \led_flash_cnt[3467][4]~75425\ = CARRY((!\led_flash_cnt[3467][3]~75423\) # (!\led_flash_cnt[3467][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3467][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3467][3]~75423\,
	combout => \led_flash_cnt[3467][4]~75424_combout\,
	cout => \led_flash_cnt[3467][4]~75425\);

-- Location: FF_X4_Y35_N21
\led_flash_cnt[3467][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3467][4]~75424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3467][4]~q\);

-- Location: LCCOMB_X4_Y35_N22
\led_flash_cnt[3467][5]~75426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3467][5]~75426_combout\ = (\led_flash_cnt[3467][5]~q\ & (\led_flash_cnt[3467][4]~75425\ $ (GND))) # (!\led_flash_cnt[3467][5]~q\ & (!\led_flash_cnt[3467][4]~75425\ & VCC))
-- \led_flash_cnt[3467][5]~75427\ = CARRY((\led_flash_cnt[3467][5]~q\ & !\led_flash_cnt[3467][4]~75425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3467][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3467][4]~75425\,
	combout => \led_flash_cnt[3467][5]~75426_combout\,
	cout => \led_flash_cnt[3467][5]~75427\);

-- Location: FF_X4_Y35_N23
\led_flash_cnt[3467][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3467][5]~75426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3467][5]~q\);

-- Location: LCCOMB_X4_Y35_N24
\led_flash_cnt[3467][6]~75428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3467][6]~75428_combout\ = (\led_flash_cnt[3467][6]~q\ & (!\led_flash_cnt[3467][5]~75427\)) # (!\led_flash_cnt[3467][6]~q\ & ((\led_flash_cnt[3467][5]~75427\) # (GND)))
-- \led_flash_cnt[3467][6]~75429\ = CARRY((!\led_flash_cnt[3467][5]~75427\) # (!\led_flash_cnt[3467][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3467][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3467][5]~75427\,
	combout => \led_flash_cnt[3467][6]~75428_combout\,
	cout => \led_flash_cnt[3467][6]~75429\);

-- Location: FF_X4_Y35_N25
\led_flash_cnt[3467][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3467][6]~75428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3467][6]~q\);

-- Location: LCCOMB_X4_Y35_N30
\WideAnd3467~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3467~1_combout\ = (\led_flash_cnt[3467][5]~q\ & \led_flash_cnt[3467][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3467][5]~q\,
	datad => \led_flash_cnt[3467][6]~q\,
	combout => \WideAnd3467~1_combout\);

-- Location: LCCOMB_X4_Y35_N28
\WideAnd3467~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3467~0_combout\ = (\led_flash_cnt[3467][3]~q\ & (\led_flash_cnt[3467][2]~q\ & (\led_flash_cnt[3467][1]~q\ & \led_flash_cnt[3467][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3467][3]~q\,
	datab => \led_flash_cnt[3467][2]~q\,
	datac => \led_flash_cnt[3467][1]~q\,
	datad => \led_flash_cnt[3467][4]~q\,
	combout => \WideAnd3467~0_combout\);

-- Location: LCCOMB_X4_Y35_N26
\led_flash_cnt[3467][7]~75430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3467][7]~75430_combout\ = \led_flash_cnt[3467][7]~q\ $ (!\led_flash_cnt[3467][6]~75429\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3467][7]~q\,
	cin => \led_flash_cnt[3467][6]~75429\,
	combout => \led_flash_cnt[3467][7]~75430_combout\);

-- Location: FF_X4_Y35_N27
\led_flash_cnt[3467][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3467][7]~75430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3467][7]~q\);

-- Location: LCCOMB_X4_Y35_N10
WideAnd3467 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3467~combout\ = (\WideAnd3467~1_combout\ & (\WideAnd3467~0_combout\ & (\led_flash_cnt[3467][7]~q\ & \led_flash_cnt[3467][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3467~1_combout\,
	datab => \WideAnd3467~0_combout\,
	datac => \led_flash_cnt[3467][7]~q\,
	datad => \led_flash_cnt[3467][0]~q\,
	combout => \WideAnd3467~combout\);

-- Location: FF_X4_Y35_N11
\led_flash_cnt_ands[3467]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3467~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3467));

-- Location: LCCOMB_X4_Y35_N8
\led_flash_cnt[3465][0]~84105\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3465][0]~84105_combout\ = !\led_flash_cnt[3465][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3465][0]~q\,
	combout => \led_flash_cnt[3465][0]~84105_combout\);

-- Location: FF_X4_Y35_N9
\led_flash_cnt[3465][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3465][0]~84105_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3465][0]~q\);

-- Location: LCCOMB_X6_Y35_N16
\led_flash_cnt[3465][1]~75390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3465][1]~75390_combout\ = (\led_flash_cnt[3465][0]~q\ & (\led_flash_cnt[3465][1]~q\ $ (VCC))) # (!\led_flash_cnt[3465][0]~q\ & (\led_flash_cnt[3465][1]~q\ & VCC))
-- \led_flash_cnt[3465][1]~75391\ = CARRY((\led_flash_cnt[3465][0]~q\ & \led_flash_cnt[3465][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3465][0]~q\,
	datab => \led_flash_cnt[3465][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3465][1]~75390_combout\,
	cout => \led_flash_cnt[3465][1]~75391\);

-- Location: FF_X6_Y35_N17
\led_flash_cnt[3465][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3465][1]~75390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3465][1]~q\);

-- Location: LCCOMB_X6_Y35_N18
\led_flash_cnt[3465][2]~75392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3465][2]~75392_combout\ = (\led_flash_cnt[3465][2]~q\ & (!\led_flash_cnt[3465][1]~75391\)) # (!\led_flash_cnt[3465][2]~q\ & ((\led_flash_cnt[3465][1]~75391\) # (GND)))
-- \led_flash_cnt[3465][2]~75393\ = CARRY((!\led_flash_cnt[3465][1]~75391\) # (!\led_flash_cnt[3465][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3465][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3465][1]~75391\,
	combout => \led_flash_cnt[3465][2]~75392_combout\,
	cout => \led_flash_cnt[3465][2]~75393\);

-- Location: FF_X6_Y35_N19
\led_flash_cnt[3465][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3465][2]~75392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3465][2]~q\);

-- Location: LCCOMB_X6_Y35_N20
\led_flash_cnt[3465][3]~75394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3465][3]~75394_combout\ = (\led_flash_cnt[3465][3]~q\ & (\led_flash_cnt[3465][2]~75393\ $ (GND))) # (!\led_flash_cnt[3465][3]~q\ & (!\led_flash_cnt[3465][2]~75393\ & VCC))
-- \led_flash_cnt[3465][3]~75395\ = CARRY((\led_flash_cnt[3465][3]~q\ & !\led_flash_cnt[3465][2]~75393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3465][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3465][2]~75393\,
	combout => \led_flash_cnt[3465][3]~75394_combout\,
	cout => \led_flash_cnt[3465][3]~75395\);

-- Location: FF_X6_Y35_N21
\led_flash_cnt[3465][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3465][3]~75394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3465][3]~q\);

-- Location: LCCOMB_X6_Y35_N22
\led_flash_cnt[3465][4]~75396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3465][4]~75396_combout\ = (\led_flash_cnt[3465][4]~q\ & (!\led_flash_cnt[3465][3]~75395\)) # (!\led_flash_cnt[3465][4]~q\ & ((\led_flash_cnt[3465][3]~75395\) # (GND)))
-- \led_flash_cnt[3465][4]~75397\ = CARRY((!\led_flash_cnt[3465][3]~75395\) # (!\led_flash_cnt[3465][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3465][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3465][3]~75395\,
	combout => \led_flash_cnt[3465][4]~75396_combout\,
	cout => \led_flash_cnt[3465][4]~75397\);

-- Location: FF_X6_Y35_N23
\led_flash_cnt[3465][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3465][4]~75396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3465][4]~q\);

-- Location: LCCOMB_X6_Y35_N24
\led_flash_cnt[3465][5]~75398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3465][5]~75398_combout\ = (\led_flash_cnt[3465][5]~q\ & (\led_flash_cnt[3465][4]~75397\ $ (GND))) # (!\led_flash_cnt[3465][5]~q\ & (!\led_flash_cnt[3465][4]~75397\ & VCC))
-- \led_flash_cnt[3465][5]~75399\ = CARRY((\led_flash_cnt[3465][5]~q\ & !\led_flash_cnt[3465][4]~75397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3465][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3465][4]~75397\,
	combout => \led_flash_cnt[3465][5]~75398_combout\,
	cout => \led_flash_cnt[3465][5]~75399\);

-- Location: FF_X6_Y35_N25
\led_flash_cnt[3465][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3465][5]~75398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3465][5]~q\);

-- Location: LCCOMB_X6_Y35_N26
\led_flash_cnt[3465][6]~75400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3465][6]~75400_combout\ = (\led_flash_cnt[3465][6]~q\ & (!\led_flash_cnt[3465][5]~75399\)) # (!\led_flash_cnt[3465][6]~q\ & ((\led_flash_cnt[3465][5]~75399\) # (GND)))
-- \led_flash_cnt[3465][6]~75401\ = CARRY((!\led_flash_cnt[3465][5]~75399\) # (!\led_flash_cnt[3465][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3465][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3465][5]~75399\,
	combout => \led_flash_cnt[3465][6]~75400_combout\,
	cout => \led_flash_cnt[3465][6]~75401\);

-- Location: FF_X6_Y35_N27
\led_flash_cnt[3465][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3465][6]~75400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3465][6]~q\);

-- Location: LCCOMB_X7_Y35_N26
\WideAnd3465~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3465~1_combout\ = (\led_flash_cnt[3465][6]~q\ & \led_flash_cnt[3465][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3465][6]~q\,
	datad => \led_flash_cnt[3465][5]~q\,
	combout => \WideAnd3465~1_combout\);

-- Location: LCCOMB_X6_Y35_N30
\WideAnd3465~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3465~0_combout\ = (\led_flash_cnt[3465][2]~q\ & (\led_flash_cnt[3465][3]~q\ & (\led_flash_cnt[3465][4]~q\ & \led_flash_cnt[3465][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3465][2]~q\,
	datab => \led_flash_cnt[3465][3]~q\,
	datac => \led_flash_cnt[3465][4]~q\,
	datad => \led_flash_cnt[3465][1]~q\,
	combout => \WideAnd3465~0_combout\);

-- Location: LCCOMB_X6_Y35_N28
\led_flash_cnt[3465][7]~75402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3465][7]~75402_combout\ = \led_flash_cnt[3465][6]~75401\ $ (!\led_flash_cnt[3465][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3465][7]~q\,
	cin => \led_flash_cnt[3465][6]~75401\,
	combout => \led_flash_cnt[3465][7]~75402_combout\);

-- Location: FF_X6_Y35_N29
\led_flash_cnt[3465][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3465][7]~75402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3465][7]~q\);

-- Location: LCCOMB_X7_Y35_N0
WideAnd3465 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3465~combout\ = (\WideAnd3465~1_combout\ & (\WideAnd3465~0_combout\ & (\led_flash_cnt[3465][0]~q\ & \led_flash_cnt[3465][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3465~1_combout\,
	datab => \WideAnd3465~0_combout\,
	datac => \led_flash_cnt[3465][0]~q\,
	datad => \led_flash_cnt[3465][7]~q\,
	combout => \WideAnd3465~combout\);

-- Location: FF_X7_Y35_N1
\led_flash_cnt_ands[3465]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3465~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3465));

-- Location: LCCOMB_X4_Y37_N26
\led_flash_cnt[3464][0]~84104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3464][0]~84104_combout\ = !\led_flash_cnt[3464][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3464][0]~q\,
	combout => \led_flash_cnt[3464][0]~84104_combout\);

-- Location: FF_X4_Y37_N27
\led_flash_cnt[3464][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3464][0]~84104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3464][0]~q\);

-- Location: LCCOMB_X4_Y37_N8
\led_flash_cnt[3464][1]~75376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3464][1]~75376_combout\ = (\led_flash_cnt[3464][0]~q\ & (\led_flash_cnt[3464][1]~q\ $ (VCC))) # (!\led_flash_cnt[3464][0]~q\ & (\led_flash_cnt[3464][1]~q\ & VCC))
-- \led_flash_cnt[3464][1]~75377\ = CARRY((\led_flash_cnt[3464][0]~q\ & \led_flash_cnt[3464][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3464][0]~q\,
	datab => \led_flash_cnt[3464][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3464][1]~75376_combout\,
	cout => \led_flash_cnt[3464][1]~75377\);

-- Location: FF_X4_Y37_N9
\led_flash_cnt[3464][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3464][1]~75376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3464][1]~q\);

-- Location: LCCOMB_X4_Y37_N10
\led_flash_cnt[3464][2]~75378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3464][2]~75378_combout\ = (\led_flash_cnt[3464][2]~q\ & (!\led_flash_cnt[3464][1]~75377\)) # (!\led_flash_cnt[3464][2]~q\ & ((\led_flash_cnt[3464][1]~75377\) # (GND)))
-- \led_flash_cnt[3464][2]~75379\ = CARRY((!\led_flash_cnt[3464][1]~75377\) # (!\led_flash_cnt[3464][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3464][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3464][1]~75377\,
	combout => \led_flash_cnt[3464][2]~75378_combout\,
	cout => \led_flash_cnt[3464][2]~75379\);

-- Location: FF_X4_Y37_N11
\led_flash_cnt[3464][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3464][2]~75378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3464][2]~q\);

-- Location: LCCOMB_X4_Y37_N12
\led_flash_cnt[3464][3]~75380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3464][3]~75380_combout\ = (\led_flash_cnt[3464][3]~q\ & (\led_flash_cnt[3464][2]~75379\ $ (GND))) # (!\led_flash_cnt[3464][3]~q\ & (!\led_flash_cnt[3464][2]~75379\ & VCC))
-- \led_flash_cnt[3464][3]~75381\ = CARRY((\led_flash_cnt[3464][3]~q\ & !\led_flash_cnt[3464][2]~75379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3464][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3464][2]~75379\,
	combout => \led_flash_cnt[3464][3]~75380_combout\,
	cout => \led_flash_cnt[3464][3]~75381\);

-- Location: FF_X4_Y37_N13
\led_flash_cnt[3464][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3464][3]~75380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3464][3]~q\);

-- Location: LCCOMB_X4_Y37_N14
\led_flash_cnt[3464][4]~75382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3464][4]~75382_combout\ = (\led_flash_cnt[3464][4]~q\ & (!\led_flash_cnt[3464][3]~75381\)) # (!\led_flash_cnt[3464][4]~q\ & ((\led_flash_cnt[3464][3]~75381\) # (GND)))
-- \led_flash_cnt[3464][4]~75383\ = CARRY((!\led_flash_cnt[3464][3]~75381\) # (!\led_flash_cnt[3464][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3464][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3464][3]~75381\,
	combout => \led_flash_cnt[3464][4]~75382_combout\,
	cout => \led_flash_cnt[3464][4]~75383\);

-- Location: FF_X4_Y37_N15
\led_flash_cnt[3464][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3464][4]~75382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3464][4]~q\);

-- Location: LCCOMB_X4_Y37_N22
\WideAnd3464~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3464~0_combout\ = (\led_flash_cnt[3464][3]~q\ & (\led_flash_cnt[3464][1]~q\ & (\led_flash_cnt[3464][4]~q\ & \led_flash_cnt[3464][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3464][3]~q\,
	datab => \led_flash_cnt[3464][1]~q\,
	datac => \led_flash_cnt[3464][4]~q\,
	datad => \led_flash_cnt[3464][2]~q\,
	combout => \WideAnd3464~0_combout\);

-- Location: LCCOMB_X4_Y37_N16
\led_flash_cnt[3464][5]~75384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3464][5]~75384_combout\ = (\led_flash_cnt[3464][5]~q\ & (\led_flash_cnt[3464][4]~75383\ $ (GND))) # (!\led_flash_cnt[3464][5]~q\ & (!\led_flash_cnt[3464][4]~75383\ & VCC))
-- \led_flash_cnt[3464][5]~75385\ = CARRY((\led_flash_cnt[3464][5]~q\ & !\led_flash_cnt[3464][4]~75383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3464][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3464][4]~75383\,
	combout => \led_flash_cnt[3464][5]~75384_combout\,
	cout => \led_flash_cnt[3464][5]~75385\);

-- Location: FF_X4_Y37_N17
\led_flash_cnt[3464][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3464][5]~75384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3464][5]~q\);

-- Location: LCCOMB_X4_Y37_N18
\led_flash_cnt[3464][6]~75386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3464][6]~75386_combout\ = (\led_flash_cnt[3464][6]~q\ & (!\led_flash_cnt[3464][5]~75385\)) # (!\led_flash_cnt[3464][6]~q\ & ((\led_flash_cnt[3464][5]~75385\) # (GND)))
-- \led_flash_cnt[3464][6]~75387\ = CARRY((!\led_flash_cnt[3464][5]~75385\) # (!\led_flash_cnt[3464][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3464][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3464][5]~75385\,
	combout => \led_flash_cnt[3464][6]~75386_combout\,
	cout => \led_flash_cnt[3464][6]~75387\);

-- Location: FF_X4_Y37_N19
\led_flash_cnt[3464][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3464][6]~75386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3464][6]~q\);

-- Location: LCCOMB_X4_Y37_N20
\led_flash_cnt[3464][7]~75388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3464][7]~75388_combout\ = \led_flash_cnt[3464][6]~75387\ $ (!\led_flash_cnt[3464][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3464][7]~q\,
	cin => \led_flash_cnt[3464][6]~75387\,
	combout => \led_flash_cnt[3464][7]~75388_combout\);

-- Location: FF_X4_Y37_N21
\led_flash_cnt[3464][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3464][7]~75388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3464][7]~q\);

-- Location: LCCOMB_X4_Y37_N0
\WideAnd3464~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3464~1_combout\ = (\led_flash_cnt[3464][6]~q\ & \led_flash_cnt[3464][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3464][6]~q\,
	datad => \led_flash_cnt[3464][5]~q\,
	combout => \WideAnd3464~1_combout\);

-- Location: LCCOMB_X4_Y37_N24
WideAnd3464 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3464~combout\ = (\WideAnd3464~0_combout\ & (\led_flash_cnt[3464][7]~q\ & (\led_flash_cnt[3464][0]~q\ & \WideAnd3464~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3464~0_combout\,
	datab => \led_flash_cnt[3464][7]~q\,
	datac => \led_flash_cnt[3464][0]~q\,
	datad => \WideAnd3464~1_combout\,
	combout => \WideAnd3464~combout\);

-- Location: FF_X4_Y37_N25
\led_flash_cnt_ands[3464]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3464~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3464));

-- Location: LCCOMB_X4_Y34_N12
\led_flash_cnt[3466][0]~84106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3466][0]~84106_combout\ = !\led_flash_cnt[3466][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3466][0]~q\,
	combout => \led_flash_cnt[3466][0]~84106_combout\);

-- Location: FF_X4_Y34_N13
\led_flash_cnt[3466][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3466][0]~84106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3466][0]~q\);

-- Location: LCCOMB_X4_Y34_N18
\led_flash_cnt[3466][1]~75404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3466][1]~75404_combout\ = (\led_flash_cnt[3466][0]~q\ & (\led_flash_cnt[3466][1]~q\ $ (VCC))) # (!\led_flash_cnt[3466][0]~q\ & (\led_flash_cnt[3466][1]~q\ & VCC))
-- \led_flash_cnt[3466][1]~75405\ = CARRY((\led_flash_cnt[3466][0]~q\ & \led_flash_cnt[3466][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3466][0]~q\,
	datab => \led_flash_cnt[3466][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3466][1]~75404_combout\,
	cout => \led_flash_cnt[3466][1]~75405\);

-- Location: FF_X4_Y34_N19
\led_flash_cnt[3466][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3466][1]~75404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3466][1]~q\);

-- Location: LCCOMB_X4_Y34_N20
\led_flash_cnt[3466][2]~75406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3466][2]~75406_combout\ = (\led_flash_cnt[3466][2]~q\ & (!\led_flash_cnt[3466][1]~75405\)) # (!\led_flash_cnt[3466][2]~q\ & ((\led_flash_cnt[3466][1]~75405\) # (GND)))
-- \led_flash_cnt[3466][2]~75407\ = CARRY((!\led_flash_cnt[3466][1]~75405\) # (!\led_flash_cnt[3466][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3466][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3466][1]~75405\,
	combout => \led_flash_cnt[3466][2]~75406_combout\,
	cout => \led_flash_cnt[3466][2]~75407\);

-- Location: FF_X4_Y34_N21
\led_flash_cnt[3466][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3466][2]~75406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3466][2]~q\);

-- Location: LCCOMB_X4_Y34_N22
\led_flash_cnt[3466][3]~75408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3466][3]~75408_combout\ = (\led_flash_cnt[3466][3]~q\ & (\led_flash_cnt[3466][2]~75407\ $ (GND))) # (!\led_flash_cnt[3466][3]~q\ & (!\led_flash_cnt[3466][2]~75407\ & VCC))
-- \led_flash_cnt[3466][3]~75409\ = CARRY((\led_flash_cnt[3466][3]~q\ & !\led_flash_cnt[3466][2]~75407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3466][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3466][2]~75407\,
	combout => \led_flash_cnt[3466][3]~75408_combout\,
	cout => \led_flash_cnt[3466][3]~75409\);

-- Location: FF_X4_Y34_N23
\led_flash_cnt[3466][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3466][3]~75408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3466][3]~q\);

-- Location: LCCOMB_X4_Y34_N24
\led_flash_cnt[3466][4]~75410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3466][4]~75410_combout\ = (\led_flash_cnt[3466][4]~q\ & (!\led_flash_cnt[3466][3]~75409\)) # (!\led_flash_cnt[3466][4]~q\ & ((\led_flash_cnt[3466][3]~75409\) # (GND)))
-- \led_flash_cnt[3466][4]~75411\ = CARRY((!\led_flash_cnt[3466][3]~75409\) # (!\led_flash_cnt[3466][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3466][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3466][3]~75409\,
	combout => \led_flash_cnt[3466][4]~75410_combout\,
	cout => \led_flash_cnt[3466][4]~75411\);

-- Location: FF_X4_Y34_N25
\led_flash_cnt[3466][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3466][4]~75410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3466][4]~q\);

-- Location: LCCOMB_X4_Y34_N26
\led_flash_cnt[3466][5]~75412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3466][5]~75412_combout\ = (\led_flash_cnt[3466][5]~q\ & (\led_flash_cnt[3466][4]~75411\ $ (GND))) # (!\led_flash_cnt[3466][5]~q\ & (!\led_flash_cnt[3466][4]~75411\ & VCC))
-- \led_flash_cnt[3466][5]~75413\ = CARRY((\led_flash_cnt[3466][5]~q\ & !\led_flash_cnt[3466][4]~75411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3466][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3466][4]~75411\,
	combout => \led_flash_cnt[3466][5]~75412_combout\,
	cout => \led_flash_cnt[3466][5]~75413\);

-- Location: FF_X4_Y34_N27
\led_flash_cnt[3466][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3466][5]~75412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3466][5]~q\);

-- Location: LCCOMB_X4_Y34_N28
\led_flash_cnt[3466][6]~75414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3466][6]~75414_combout\ = (\led_flash_cnt[3466][6]~q\ & (!\led_flash_cnt[3466][5]~75413\)) # (!\led_flash_cnt[3466][6]~q\ & ((\led_flash_cnt[3466][5]~75413\) # (GND)))
-- \led_flash_cnt[3466][6]~75415\ = CARRY((!\led_flash_cnt[3466][5]~75413\) # (!\led_flash_cnt[3466][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3466][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3466][5]~75413\,
	combout => \led_flash_cnt[3466][6]~75414_combout\,
	cout => \led_flash_cnt[3466][6]~75415\);

-- Location: FF_X4_Y34_N29
\led_flash_cnt[3466][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3466][6]~75414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3466][6]~q\);

-- Location: LCCOMB_X4_Y34_N10
\WideAnd3466~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3466~1_combout\ = (\led_flash_cnt[3466][5]~q\ & \led_flash_cnt[3466][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3466][5]~q\,
	datad => \led_flash_cnt[3466][6]~q\,
	combout => \WideAnd3466~1_combout\);

-- Location: LCCOMB_X4_Y34_N4
\WideAnd3466~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3466~0_combout\ = (\led_flash_cnt[3466][1]~q\ & (\led_flash_cnt[3466][4]~q\ & (\led_flash_cnt[3466][3]~q\ & \led_flash_cnt[3466][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3466][1]~q\,
	datab => \led_flash_cnt[3466][4]~q\,
	datac => \led_flash_cnt[3466][3]~q\,
	datad => \led_flash_cnt[3466][2]~q\,
	combout => \WideAnd3466~0_combout\);

-- Location: LCCOMB_X4_Y34_N30
\led_flash_cnt[3466][7]~75416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3466][7]~75416_combout\ = \led_flash_cnt[3466][7]~q\ $ (!\led_flash_cnt[3466][6]~75415\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3466][7]~q\,
	cin => \led_flash_cnt[3466][6]~75415\,
	combout => \led_flash_cnt[3466][7]~75416_combout\);

-- Location: FF_X4_Y34_N31
\led_flash_cnt[3466][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3466][7]~75416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3466][7]~q\);

-- Location: LCCOMB_X4_Y34_N0
WideAnd3466 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3466~combout\ = (\WideAnd3466~1_combout\ & (\WideAnd3466~0_combout\ & (\led_flash_cnt[3466][7]~q\ & \led_flash_cnt[3466][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3466~1_combout\,
	datab => \WideAnd3466~0_combout\,
	datac => \led_flash_cnt[3466][7]~q\,
	datad => \led_flash_cnt[3466][0]~q\,
	combout => \WideAnd3466~combout\);

-- Location: FF_X4_Y34_N1
\led_flash_cnt_ands[3466]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3466~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3466));

-- Location: LCCOMB_X4_Y35_N4
\WideAnd4273~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4273~0_combout\ = (led_flash_cnt_ands(3467) & (led_flash_cnt_ands(3465) & (led_flash_cnt_ands(3464) & led_flash_cnt_ands(3466))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3467),
	datab => led_flash_cnt_ands(3465),
	datac => led_flash_cnt_ands(3464),
	datad => led_flash_cnt_ands(3466),
	combout => \WideAnd4273~0_combout\);

-- Location: LCCOMB_X64_Y27_N12
\led_flash_cnt[3470][0]~84110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3470][0]~84110_combout\ = !\led_flash_cnt[3470][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3470][0]~q\,
	combout => \led_flash_cnt[3470][0]~84110_combout\);

-- Location: FF_X64_Y27_N13
\led_flash_cnt[3470][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3470][0]~84110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3470][0]~q\);

-- Location: LCCOMB_X64_Y27_N16
\led_flash_cnt[3470][1]~75460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3470][1]~75460_combout\ = (\led_flash_cnt[3470][0]~q\ & (\led_flash_cnt[3470][1]~q\ $ (VCC))) # (!\led_flash_cnt[3470][0]~q\ & (\led_flash_cnt[3470][1]~q\ & VCC))
-- \led_flash_cnt[3470][1]~75461\ = CARRY((\led_flash_cnt[3470][0]~q\ & \led_flash_cnt[3470][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3470][0]~q\,
	datab => \led_flash_cnt[3470][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3470][1]~75460_combout\,
	cout => \led_flash_cnt[3470][1]~75461\);

-- Location: FF_X64_Y27_N17
\led_flash_cnt[3470][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3470][1]~75460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3470][1]~q\);

-- Location: LCCOMB_X64_Y27_N18
\led_flash_cnt[3470][2]~75462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3470][2]~75462_combout\ = (\led_flash_cnt[3470][2]~q\ & (!\led_flash_cnt[3470][1]~75461\)) # (!\led_flash_cnt[3470][2]~q\ & ((\led_flash_cnt[3470][1]~75461\) # (GND)))
-- \led_flash_cnt[3470][2]~75463\ = CARRY((!\led_flash_cnt[3470][1]~75461\) # (!\led_flash_cnt[3470][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3470][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3470][1]~75461\,
	combout => \led_flash_cnt[3470][2]~75462_combout\,
	cout => \led_flash_cnt[3470][2]~75463\);

-- Location: FF_X64_Y27_N19
\led_flash_cnt[3470][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3470][2]~75462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3470][2]~q\);

-- Location: LCCOMB_X64_Y27_N20
\led_flash_cnt[3470][3]~75464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3470][3]~75464_combout\ = (\led_flash_cnt[3470][3]~q\ & (\led_flash_cnt[3470][2]~75463\ $ (GND))) # (!\led_flash_cnt[3470][3]~q\ & (!\led_flash_cnt[3470][2]~75463\ & VCC))
-- \led_flash_cnt[3470][3]~75465\ = CARRY((\led_flash_cnt[3470][3]~q\ & !\led_flash_cnt[3470][2]~75463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3470][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3470][2]~75463\,
	combout => \led_flash_cnt[3470][3]~75464_combout\,
	cout => \led_flash_cnt[3470][3]~75465\);

-- Location: FF_X64_Y27_N21
\led_flash_cnt[3470][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3470][3]~75464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3470][3]~q\);

-- Location: LCCOMB_X64_Y27_N22
\led_flash_cnt[3470][4]~75466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3470][4]~75466_combout\ = (\led_flash_cnt[3470][4]~q\ & (!\led_flash_cnt[3470][3]~75465\)) # (!\led_flash_cnt[3470][4]~q\ & ((\led_flash_cnt[3470][3]~75465\) # (GND)))
-- \led_flash_cnt[3470][4]~75467\ = CARRY((!\led_flash_cnt[3470][3]~75465\) # (!\led_flash_cnt[3470][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3470][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3470][3]~75465\,
	combout => \led_flash_cnt[3470][4]~75466_combout\,
	cout => \led_flash_cnt[3470][4]~75467\);

-- Location: FF_X64_Y27_N23
\led_flash_cnt[3470][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3470][4]~75466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3470][4]~q\);

-- Location: LCCOMB_X64_Y27_N24
\led_flash_cnt[3470][5]~75468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3470][5]~75468_combout\ = (\led_flash_cnt[3470][5]~q\ & (\led_flash_cnt[3470][4]~75467\ $ (GND))) # (!\led_flash_cnt[3470][5]~q\ & (!\led_flash_cnt[3470][4]~75467\ & VCC))
-- \led_flash_cnt[3470][5]~75469\ = CARRY((\led_flash_cnt[3470][5]~q\ & !\led_flash_cnt[3470][4]~75467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3470][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3470][4]~75467\,
	combout => \led_flash_cnt[3470][5]~75468_combout\,
	cout => \led_flash_cnt[3470][5]~75469\);

-- Location: FF_X64_Y27_N25
\led_flash_cnt[3470][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3470][5]~75468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3470][5]~q\);

-- Location: LCCOMB_X64_Y27_N26
\led_flash_cnt[3470][6]~75470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3470][6]~75470_combout\ = (\led_flash_cnt[3470][6]~q\ & (!\led_flash_cnt[3470][5]~75469\)) # (!\led_flash_cnt[3470][6]~q\ & ((\led_flash_cnt[3470][5]~75469\) # (GND)))
-- \led_flash_cnt[3470][6]~75471\ = CARRY((!\led_flash_cnt[3470][5]~75469\) # (!\led_flash_cnt[3470][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3470][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3470][5]~75469\,
	combout => \led_flash_cnt[3470][6]~75470_combout\,
	cout => \led_flash_cnt[3470][6]~75471\);

-- Location: FF_X64_Y27_N27
\led_flash_cnt[3470][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3470][6]~75470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3470][6]~q\);

-- Location: LCCOMB_X64_Y27_N28
\led_flash_cnt[3470][7]~75472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3470][7]~75472_combout\ = \led_flash_cnt[3470][6]~75471\ $ (!\led_flash_cnt[3470][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3470][7]~q\,
	cin => \led_flash_cnt[3470][6]~75471\,
	combout => \led_flash_cnt[3470][7]~75472_combout\);

-- Location: FF_X64_Y27_N29
\led_flash_cnt[3470][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3470][7]~75472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3470][7]~q\);

-- Location: LCCOMB_X64_Y27_N14
\WideAnd3470~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3470~0_combout\ = (\led_flash_cnt[3470][1]~q\ & (\led_flash_cnt[3470][3]~q\ & (\led_flash_cnt[3470][4]~q\ & \led_flash_cnt[3470][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3470][1]~q\,
	datab => \led_flash_cnt[3470][3]~q\,
	datac => \led_flash_cnt[3470][4]~q\,
	datad => \led_flash_cnt[3470][2]~q\,
	combout => \WideAnd3470~0_combout\);

-- Location: LCCOMB_X64_Y27_N6
\WideAnd3470~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3470~1_combout\ = (\led_flash_cnt[3470][6]~q\ & \led_flash_cnt[3470][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3470][6]~q\,
	datad => \led_flash_cnt[3470][5]~q\,
	combout => \WideAnd3470~1_combout\);

-- Location: LCCOMB_X64_Y27_N10
WideAnd3470 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3470~combout\ = (\led_flash_cnt[3470][0]~q\ & (\led_flash_cnt[3470][7]~q\ & (\WideAnd3470~0_combout\ & \WideAnd3470~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3470][0]~q\,
	datab => \led_flash_cnt[3470][7]~q\,
	datac => \WideAnd3470~0_combout\,
	datad => \WideAnd3470~1_combout\,
	combout => \WideAnd3470~combout\);

-- Location: FF_X64_Y27_N11
\led_flash_cnt_ands[3470]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3470~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3470));

-- Location: LCCOMB_X64_Y27_N2
WideAnd4273 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4273~combout\ = (led_flash_cnt_ands(3471) & (\WideAnd4273~1_combout\ & (\WideAnd4273~0_combout\ & led_flash_cnt_ands(3470))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3471),
	datab => \WideAnd4273~1_combout\,
	datac => \WideAnd4273~0_combout\,
	datad => led_flash_cnt_ands(3470),
	combout => \WideAnd4273~combout\);

-- Location: FF_X64_Y27_N3
\led_flash_cnt_ands_1[433]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4273~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(433));

-- Location: LCCOMB_X64_Y27_N4
\WideAnd4374~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4374~0_combout\ = (led_flash_cnt_ands_1(435) & (led_flash_cnt_ands_1(434) & (led_flash_cnt_ands_1(432) & led_flash_cnt_ands_1(433))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(435),
	datab => led_flash_cnt_ands_1(434),
	datac => led_flash_cnt_ands_1(432),
	datad => led_flash_cnt_ands_1(433),
	combout => \WideAnd4374~0_combout\);

-- Location: LCCOMB_X54_Y34_N24
\led_flash_cnt[3519][0]~84159\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3519][0]~84159_combout\ = !\led_flash_cnt[3519][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3519][0]~q\,
	combout => \led_flash_cnt[3519][0]~84159_combout\);

-- Location: FF_X54_Y34_N25
\led_flash_cnt[3519][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3519][0]~84159_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3519][0]~q\);

-- Location: LCCOMB_X55_Y34_N0
\led_flash_cnt[3519][1]~76146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3519][1]~76146_combout\ = (\led_flash_cnt[3519][0]~q\ & (\led_flash_cnt[3519][1]~q\ $ (VCC))) # (!\led_flash_cnt[3519][0]~q\ & (\led_flash_cnt[3519][1]~q\ & VCC))
-- \led_flash_cnt[3519][1]~76147\ = CARRY((\led_flash_cnt[3519][0]~q\ & \led_flash_cnt[3519][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3519][0]~q\,
	datab => \led_flash_cnt[3519][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3519][1]~76146_combout\,
	cout => \led_flash_cnt[3519][1]~76147\);

-- Location: FF_X55_Y34_N1
\led_flash_cnt[3519][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3519][1]~76146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3519][1]~q\);

-- Location: LCCOMB_X55_Y34_N2
\led_flash_cnt[3519][2]~76148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3519][2]~76148_combout\ = (\led_flash_cnt[3519][2]~q\ & (!\led_flash_cnt[3519][1]~76147\)) # (!\led_flash_cnt[3519][2]~q\ & ((\led_flash_cnt[3519][1]~76147\) # (GND)))
-- \led_flash_cnt[3519][2]~76149\ = CARRY((!\led_flash_cnt[3519][1]~76147\) # (!\led_flash_cnt[3519][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3519][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3519][1]~76147\,
	combout => \led_flash_cnt[3519][2]~76148_combout\,
	cout => \led_flash_cnt[3519][2]~76149\);

-- Location: FF_X55_Y34_N3
\led_flash_cnt[3519][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3519][2]~76148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3519][2]~q\);

-- Location: LCCOMB_X55_Y34_N4
\led_flash_cnt[3519][3]~76150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3519][3]~76150_combout\ = (\led_flash_cnt[3519][3]~q\ & (\led_flash_cnt[3519][2]~76149\ $ (GND))) # (!\led_flash_cnt[3519][3]~q\ & (!\led_flash_cnt[3519][2]~76149\ & VCC))
-- \led_flash_cnt[3519][3]~76151\ = CARRY((\led_flash_cnt[3519][3]~q\ & !\led_flash_cnt[3519][2]~76149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3519][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3519][2]~76149\,
	combout => \led_flash_cnt[3519][3]~76150_combout\,
	cout => \led_flash_cnt[3519][3]~76151\);

-- Location: FF_X55_Y34_N5
\led_flash_cnt[3519][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3519][3]~76150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3519][3]~q\);

-- Location: LCCOMB_X55_Y34_N6
\led_flash_cnt[3519][4]~76152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3519][4]~76152_combout\ = (\led_flash_cnt[3519][4]~q\ & (!\led_flash_cnt[3519][3]~76151\)) # (!\led_flash_cnt[3519][4]~q\ & ((\led_flash_cnt[3519][3]~76151\) # (GND)))
-- \led_flash_cnt[3519][4]~76153\ = CARRY((!\led_flash_cnt[3519][3]~76151\) # (!\led_flash_cnt[3519][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3519][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3519][3]~76151\,
	combout => \led_flash_cnt[3519][4]~76152_combout\,
	cout => \led_flash_cnt[3519][4]~76153\);

-- Location: FF_X55_Y34_N7
\led_flash_cnt[3519][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3519][4]~76152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3519][4]~q\);

-- Location: LCCOMB_X55_Y34_N30
\WideAnd3519~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3519~0_combout\ = (\led_flash_cnt[3519][4]~q\ & (\led_flash_cnt[3519][1]~q\ & (\led_flash_cnt[3519][3]~q\ & \led_flash_cnt[3519][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3519][4]~q\,
	datab => \led_flash_cnt[3519][1]~q\,
	datac => \led_flash_cnt[3519][3]~q\,
	datad => \led_flash_cnt[3519][2]~q\,
	combout => \WideAnd3519~0_combout\);

-- Location: LCCOMB_X55_Y34_N8
\led_flash_cnt[3519][5]~76154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3519][5]~76154_combout\ = (\led_flash_cnt[3519][5]~q\ & (\led_flash_cnt[3519][4]~76153\ $ (GND))) # (!\led_flash_cnt[3519][5]~q\ & (!\led_flash_cnt[3519][4]~76153\ & VCC))
-- \led_flash_cnt[3519][5]~76155\ = CARRY((\led_flash_cnt[3519][5]~q\ & !\led_flash_cnt[3519][4]~76153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3519][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3519][4]~76153\,
	combout => \led_flash_cnt[3519][5]~76154_combout\,
	cout => \led_flash_cnt[3519][5]~76155\);

-- Location: FF_X55_Y34_N9
\led_flash_cnt[3519][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3519][5]~76154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3519][5]~q\);

-- Location: LCCOMB_X55_Y34_N10
\led_flash_cnt[3519][6]~76156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3519][6]~76156_combout\ = (\led_flash_cnt[3519][6]~q\ & (!\led_flash_cnt[3519][5]~76155\)) # (!\led_flash_cnt[3519][6]~q\ & ((\led_flash_cnt[3519][5]~76155\) # (GND)))
-- \led_flash_cnt[3519][6]~76157\ = CARRY((!\led_flash_cnt[3519][5]~76155\) # (!\led_flash_cnt[3519][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3519][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3519][5]~76155\,
	combout => \led_flash_cnt[3519][6]~76156_combout\,
	cout => \led_flash_cnt[3519][6]~76157\);

-- Location: FF_X55_Y34_N11
\led_flash_cnt[3519][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3519][6]~76156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3519][6]~q\);

-- Location: LCCOMB_X55_Y34_N12
\led_flash_cnt[3519][7]~76158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3519][7]~76158_combout\ = \led_flash_cnt[3519][6]~76157\ $ (!\led_flash_cnt[3519][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3519][7]~q\,
	cin => \led_flash_cnt[3519][6]~76157\,
	combout => \led_flash_cnt[3519][7]~76158_combout\);

-- Location: FF_X55_Y34_N13
\led_flash_cnt[3519][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3519][7]~76158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3519][7]~q\);

-- Location: LCCOMB_X54_Y34_N20
\WideAnd3519~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3519~1_combout\ = (\led_flash_cnt[3519][6]~q\ & \led_flash_cnt[3519][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3519][6]~q\,
	datac => \led_flash_cnt[3519][5]~q\,
	combout => \WideAnd3519~1_combout\);

-- Location: LCCOMB_X54_Y34_N28
WideAnd3519 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3519~combout\ = (\WideAnd3519~0_combout\ & (\led_flash_cnt[3519][0]~q\ & (\led_flash_cnt[3519][7]~q\ & \WideAnd3519~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3519~0_combout\,
	datab => \led_flash_cnt[3519][0]~q\,
	datac => \led_flash_cnt[3519][7]~q\,
	datad => \WideAnd3519~1_combout\,
	combout => \WideAnd3519~combout\);

-- Location: FF_X54_Y34_N29
\led_flash_cnt_ands[3519]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3519~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3519));

-- Location: LCCOMB_X52_Y35_N24
\led_flash_cnt[3518][0]~84158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3518][0]~84158_combout\ = !\led_flash_cnt[3518][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3518][0]~q\,
	combout => \led_flash_cnt[3518][0]~84158_combout\);

-- Location: FF_X52_Y35_N25
\led_flash_cnt[3518][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3518][0]~84158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3518][0]~q\);

-- Location: LCCOMB_X52_Y35_N6
\led_flash_cnt[3518][1]~76132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3518][1]~76132_combout\ = (\led_flash_cnt[3518][1]~q\ & (\led_flash_cnt[3518][0]~q\ $ (VCC))) # (!\led_flash_cnt[3518][1]~q\ & (\led_flash_cnt[3518][0]~q\ & VCC))
-- \led_flash_cnt[3518][1]~76133\ = CARRY((\led_flash_cnt[3518][1]~q\ & \led_flash_cnt[3518][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3518][1]~q\,
	datab => \led_flash_cnt[3518][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3518][1]~76132_combout\,
	cout => \led_flash_cnt[3518][1]~76133\);

-- Location: FF_X52_Y35_N7
\led_flash_cnt[3518][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3518][1]~76132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3518][1]~q\);

-- Location: LCCOMB_X52_Y35_N8
\led_flash_cnt[3518][2]~76134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3518][2]~76134_combout\ = (\led_flash_cnt[3518][2]~q\ & (!\led_flash_cnt[3518][1]~76133\)) # (!\led_flash_cnt[3518][2]~q\ & ((\led_flash_cnt[3518][1]~76133\) # (GND)))
-- \led_flash_cnt[3518][2]~76135\ = CARRY((!\led_flash_cnt[3518][1]~76133\) # (!\led_flash_cnt[3518][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3518][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3518][1]~76133\,
	combout => \led_flash_cnt[3518][2]~76134_combout\,
	cout => \led_flash_cnt[3518][2]~76135\);

-- Location: FF_X52_Y35_N9
\led_flash_cnt[3518][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3518][2]~76134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3518][2]~q\);

-- Location: LCCOMB_X52_Y35_N10
\led_flash_cnt[3518][3]~76136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3518][3]~76136_combout\ = (\led_flash_cnt[3518][3]~q\ & (\led_flash_cnt[3518][2]~76135\ $ (GND))) # (!\led_flash_cnt[3518][3]~q\ & (!\led_flash_cnt[3518][2]~76135\ & VCC))
-- \led_flash_cnt[3518][3]~76137\ = CARRY((\led_flash_cnt[3518][3]~q\ & !\led_flash_cnt[3518][2]~76135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3518][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3518][2]~76135\,
	combout => \led_flash_cnt[3518][3]~76136_combout\,
	cout => \led_flash_cnt[3518][3]~76137\);

-- Location: FF_X52_Y35_N11
\led_flash_cnt[3518][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3518][3]~76136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3518][3]~q\);

-- Location: LCCOMB_X52_Y35_N12
\led_flash_cnt[3518][4]~76138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3518][4]~76138_combout\ = (\led_flash_cnt[3518][4]~q\ & (!\led_flash_cnt[3518][3]~76137\)) # (!\led_flash_cnt[3518][4]~q\ & ((\led_flash_cnt[3518][3]~76137\) # (GND)))
-- \led_flash_cnt[3518][4]~76139\ = CARRY((!\led_flash_cnt[3518][3]~76137\) # (!\led_flash_cnt[3518][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3518][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3518][3]~76137\,
	combout => \led_flash_cnt[3518][4]~76138_combout\,
	cout => \led_flash_cnt[3518][4]~76139\);

-- Location: FF_X52_Y35_N13
\led_flash_cnt[3518][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3518][4]~76138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3518][4]~q\);

-- Location: LCCOMB_X52_Y35_N14
\led_flash_cnt[3518][5]~76140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3518][5]~76140_combout\ = (\led_flash_cnt[3518][5]~q\ & (\led_flash_cnt[3518][4]~76139\ $ (GND))) # (!\led_flash_cnt[3518][5]~q\ & (!\led_flash_cnt[3518][4]~76139\ & VCC))
-- \led_flash_cnt[3518][5]~76141\ = CARRY((\led_flash_cnt[3518][5]~q\ & !\led_flash_cnt[3518][4]~76139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3518][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3518][4]~76139\,
	combout => \led_flash_cnt[3518][5]~76140_combout\,
	cout => \led_flash_cnt[3518][5]~76141\);

-- Location: FF_X52_Y35_N15
\led_flash_cnt[3518][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3518][5]~76140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3518][5]~q\);

-- Location: LCCOMB_X52_Y35_N16
\led_flash_cnt[3518][6]~76142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3518][6]~76142_combout\ = (\led_flash_cnt[3518][6]~q\ & (!\led_flash_cnt[3518][5]~76141\)) # (!\led_flash_cnt[3518][6]~q\ & ((\led_flash_cnt[3518][5]~76141\) # (GND)))
-- \led_flash_cnt[3518][6]~76143\ = CARRY((!\led_flash_cnt[3518][5]~76141\) # (!\led_flash_cnt[3518][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3518][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3518][5]~76141\,
	combout => \led_flash_cnt[3518][6]~76142_combout\,
	cout => \led_flash_cnt[3518][6]~76143\);

-- Location: FF_X52_Y35_N17
\led_flash_cnt[3518][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3518][6]~76142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3518][6]~q\);

-- Location: LCCOMB_X52_Y35_N26
\WideAnd3518~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3518~1_combout\ = (\led_flash_cnt[3518][5]~q\ & \led_flash_cnt[3518][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3518][5]~q\,
	datad => \led_flash_cnt[3518][6]~q\,
	combout => \WideAnd3518~1_combout\);

-- Location: LCCOMB_X52_Y35_N22
\WideAnd3518~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3518~0_combout\ = (\led_flash_cnt[3518][4]~q\ & (\led_flash_cnt[3518][3]~q\ & (\led_flash_cnt[3518][2]~q\ & \led_flash_cnt[3518][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3518][4]~q\,
	datab => \led_flash_cnt[3518][3]~q\,
	datac => \led_flash_cnt[3518][2]~q\,
	datad => \led_flash_cnt[3518][1]~q\,
	combout => \WideAnd3518~0_combout\);

-- Location: LCCOMB_X52_Y35_N18
\led_flash_cnt[3518][7]~76144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3518][7]~76144_combout\ = \led_flash_cnt[3518][6]~76143\ $ (!\led_flash_cnt[3518][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3518][7]~q\,
	cin => \led_flash_cnt[3518][6]~76143\,
	combout => \led_flash_cnt[3518][7]~76144_combout\);

-- Location: FF_X52_Y35_N19
\led_flash_cnt[3518][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3518][7]~76144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3518][7]~q\);

-- Location: LCCOMB_X52_Y35_N4
WideAnd3518 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3518~combout\ = (\WideAnd3518~1_combout\ & (\led_flash_cnt[3518][0]~q\ & (\WideAnd3518~0_combout\ & \led_flash_cnt[3518][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3518~1_combout\,
	datab => \led_flash_cnt[3518][0]~q\,
	datac => \WideAnd3518~0_combout\,
	datad => \led_flash_cnt[3518][7]~q\,
	combout => \WideAnd3518~combout\);

-- Location: FF_X52_Y35_N5
\led_flash_cnt_ands[3518]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3518~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3518));

-- Location: LCCOMB_X26_Y37_N22
\led_flash_cnt[3515][0]~84155\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3515][0]~84155_combout\ = !\led_flash_cnt[3515][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3515][0]~q\,
	combout => \led_flash_cnt[3515][0]~84155_combout\);

-- Location: FF_X26_Y37_N23
\led_flash_cnt[3515][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3515][0]~84155_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3515][0]~q\);

-- Location: LCCOMB_X26_Y37_N4
\led_flash_cnt[3515][1]~76090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3515][1]~76090_combout\ = (\led_flash_cnt[3515][0]~q\ & (\led_flash_cnt[3515][1]~q\ $ (VCC))) # (!\led_flash_cnt[3515][0]~q\ & (\led_flash_cnt[3515][1]~q\ & VCC))
-- \led_flash_cnt[3515][1]~76091\ = CARRY((\led_flash_cnt[3515][0]~q\ & \led_flash_cnt[3515][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3515][0]~q\,
	datab => \led_flash_cnt[3515][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3515][1]~76090_combout\,
	cout => \led_flash_cnt[3515][1]~76091\);

-- Location: FF_X26_Y37_N5
\led_flash_cnt[3515][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3515][1]~76090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3515][1]~q\);

-- Location: LCCOMB_X26_Y37_N6
\led_flash_cnt[3515][2]~76092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3515][2]~76092_combout\ = (\led_flash_cnt[3515][2]~q\ & (!\led_flash_cnt[3515][1]~76091\)) # (!\led_flash_cnt[3515][2]~q\ & ((\led_flash_cnt[3515][1]~76091\) # (GND)))
-- \led_flash_cnt[3515][2]~76093\ = CARRY((!\led_flash_cnt[3515][1]~76091\) # (!\led_flash_cnt[3515][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3515][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3515][1]~76091\,
	combout => \led_flash_cnt[3515][2]~76092_combout\,
	cout => \led_flash_cnt[3515][2]~76093\);

-- Location: FF_X26_Y37_N7
\led_flash_cnt[3515][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3515][2]~76092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3515][2]~q\);

-- Location: LCCOMB_X26_Y37_N8
\led_flash_cnt[3515][3]~76094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3515][3]~76094_combout\ = (\led_flash_cnt[3515][3]~q\ & (\led_flash_cnt[3515][2]~76093\ $ (GND))) # (!\led_flash_cnt[3515][3]~q\ & (!\led_flash_cnt[3515][2]~76093\ & VCC))
-- \led_flash_cnt[3515][3]~76095\ = CARRY((\led_flash_cnt[3515][3]~q\ & !\led_flash_cnt[3515][2]~76093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3515][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3515][2]~76093\,
	combout => \led_flash_cnt[3515][3]~76094_combout\,
	cout => \led_flash_cnt[3515][3]~76095\);

-- Location: FF_X26_Y37_N9
\led_flash_cnt[3515][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3515][3]~76094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3515][3]~q\);

-- Location: LCCOMB_X26_Y37_N10
\led_flash_cnt[3515][4]~76096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3515][4]~76096_combout\ = (\led_flash_cnt[3515][4]~q\ & (!\led_flash_cnt[3515][3]~76095\)) # (!\led_flash_cnt[3515][4]~q\ & ((\led_flash_cnt[3515][3]~76095\) # (GND)))
-- \led_flash_cnt[3515][4]~76097\ = CARRY((!\led_flash_cnt[3515][3]~76095\) # (!\led_flash_cnt[3515][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3515][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3515][3]~76095\,
	combout => \led_flash_cnt[3515][4]~76096_combout\,
	cout => \led_flash_cnt[3515][4]~76097\);

-- Location: FF_X26_Y37_N11
\led_flash_cnt[3515][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3515][4]~76096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3515][4]~q\);

-- Location: LCCOMB_X26_Y37_N12
\led_flash_cnt[3515][5]~76098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3515][5]~76098_combout\ = (\led_flash_cnt[3515][5]~q\ & (\led_flash_cnt[3515][4]~76097\ $ (GND))) # (!\led_flash_cnt[3515][5]~q\ & (!\led_flash_cnt[3515][4]~76097\ & VCC))
-- \led_flash_cnt[3515][5]~76099\ = CARRY((\led_flash_cnt[3515][5]~q\ & !\led_flash_cnt[3515][4]~76097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3515][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3515][4]~76097\,
	combout => \led_flash_cnt[3515][5]~76098_combout\,
	cout => \led_flash_cnt[3515][5]~76099\);

-- Location: FF_X26_Y37_N13
\led_flash_cnt[3515][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3515][5]~76098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3515][5]~q\);

-- Location: LCCOMB_X26_Y37_N14
\led_flash_cnt[3515][6]~76100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3515][6]~76100_combout\ = (\led_flash_cnt[3515][6]~q\ & (!\led_flash_cnt[3515][5]~76099\)) # (!\led_flash_cnt[3515][6]~q\ & ((\led_flash_cnt[3515][5]~76099\) # (GND)))
-- \led_flash_cnt[3515][6]~76101\ = CARRY((!\led_flash_cnt[3515][5]~76099\) # (!\led_flash_cnt[3515][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3515][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3515][5]~76099\,
	combout => \led_flash_cnt[3515][6]~76100_combout\,
	cout => \led_flash_cnt[3515][6]~76101\);

-- Location: FF_X26_Y37_N15
\led_flash_cnt[3515][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3515][6]~76100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3515][6]~q\);

-- Location: LCCOMB_X26_Y37_N16
\led_flash_cnt[3515][7]~76102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3515][7]~76102_combout\ = \led_flash_cnt[3515][6]~76101\ $ (!\led_flash_cnt[3515][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3515][7]~q\,
	cin => \led_flash_cnt[3515][6]~76101\,
	combout => \led_flash_cnt[3515][7]~76102_combout\);

-- Location: FF_X26_Y37_N17
\led_flash_cnt[3515][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3515][7]~76102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3515][7]~q\);

-- Location: LCCOMB_X26_Y37_N30
\WideAnd3515~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3515~0_combout\ = (\led_flash_cnt[3515][4]~q\ & (\led_flash_cnt[3515][3]~q\ & (\led_flash_cnt[3515][1]~q\ & \led_flash_cnt[3515][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3515][4]~q\,
	datab => \led_flash_cnt[3515][3]~q\,
	datac => \led_flash_cnt[3515][1]~q\,
	datad => \led_flash_cnt[3515][2]~q\,
	combout => \WideAnd3515~0_combout\);

-- Location: LCCOMB_X26_Y37_N18
\WideAnd3515~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3515~1_combout\ = (\led_flash_cnt[3515][6]~q\ & \led_flash_cnt[3515][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3515][6]~q\,
	datad => \led_flash_cnt[3515][5]~q\,
	combout => \WideAnd3515~1_combout\);

-- Location: LCCOMB_X26_Y37_N24
WideAnd3515 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3515~combout\ = (\led_flash_cnt[3515][0]~q\ & (\led_flash_cnt[3515][7]~q\ & (\WideAnd3515~0_combout\ & \WideAnd3515~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3515][0]~q\,
	datab => \led_flash_cnt[3515][7]~q\,
	datac => \WideAnd3515~0_combout\,
	datad => \WideAnd3515~1_combout\,
	combout => \WideAnd3515~combout\);

-- Location: FF_X26_Y37_N25
\led_flash_cnt_ands[3515]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3515~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3515));

-- Location: LCCOMB_X20_Y37_N0
\led_flash_cnt[3514][0]~84154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3514][0]~84154_combout\ = !\led_flash_cnt[3514][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3514][0]~q\,
	combout => \led_flash_cnt[3514][0]~84154_combout\);

-- Location: FF_X20_Y37_N1
\led_flash_cnt[3514][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3514][0]~84154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3514][0]~q\);

-- Location: LCCOMB_X20_Y38_N2
\led_flash_cnt[3514][1]~76076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3514][1]~76076_combout\ = (\led_flash_cnt[3514][0]~q\ & (\led_flash_cnt[3514][1]~q\ $ (VCC))) # (!\led_flash_cnt[3514][0]~q\ & (\led_flash_cnt[3514][1]~q\ & VCC))
-- \led_flash_cnt[3514][1]~76077\ = CARRY((\led_flash_cnt[3514][0]~q\ & \led_flash_cnt[3514][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3514][0]~q\,
	datab => \led_flash_cnt[3514][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3514][1]~76076_combout\,
	cout => \led_flash_cnt[3514][1]~76077\);

-- Location: FF_X20_Y38_N3
\led_flash_cnt[3514][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3514][1]~76076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3514][1]~q\);

-- Location: LCCOMB_X20_Y38_N4
\led_flash_cnt[3514][2]~76078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3514][2]~76078_combout\ = (\led_flash_cnt[3514][2]~q\ & (!\led_flash_cnt[3514][1]~76077\)) # (!\led_flash_cnt[3514][2]~q\ & ((\led_flash_cnt[3514][1]~76077\) # (GND)))
-- \led_flash_cnt[3514][2]~76079\ = CARRY((!\led_flash_cnt[3514][1]~76077\) # (!\led_flash_cnt[3514][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3514][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3514][1]~76077\,
	combout => \led_flash_cnt[3514][2]~76078_combout\,
	cout => \led_flash_cnt[3514][2]~76079\);

-- Location: FF_X20_Y38_N5
\led_flash_cnt[3514][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3514][2]~76078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3514][2]~q\);

-- Location: LCCOMB_X20_Y38_N6
\led_flash_cnt[3514][3]~76080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3514][3]~76080_combout\ = (\led_flash_cnt[3514][3]~q\ & (\led_flash_cnt[3514][2]~76079\ $ (GND))) # (!\led_flash_cnt[3514][3]~q\ & (!\led_flash_cnt[3514][2]~76079\ & VCC))
-- \led_flash_cnt[3514][3]~76081\ = CARRY((\led_flash_cnt[3514][3]~q\ & !\led_flash_cnt[3514][2]~76079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3514][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3514][2]~76079\,
	combout => \led_flash_cnt[3514][3]~76080_combout\,
	cout => \led_flash_cnt[3514][3]~76081\);

-- Location: FF_X20_Y38_N7
\led_flash_cnt[3514][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3514][3]~76080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3514][3]~q\);

-- Location: LCCOMB_X20_Y38_N8
\led_flash_cnt[3514][4]~76082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3514][4]~76082_combout\ = (\led_flash_cnt[3514][4]~q\ & (!\led_flash_cnt[3514][3]~76081\)) # (!\led_flash_cnt[3514][4]~q\ & ((\led_flash_cnt[3514][3]~76081\) # (GND)))
-- \led_flash_cnt[3514][4]~76083\ = CARRY((!\led_flash_cnt[3514][3]~76081\) # (!\led_flash_cnt[3514][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3514][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3514][3]~76081\,
	combout => \led_flash_cnt[3514][4]~76082_combout\,
	cout => \led_flash_cnt[3514][4]~76083\);

-- Location: FF_X20_Y38_N9
\led_flash_cnt[3514][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3514][4]~76082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3514][4]~q\);

-- Location: LCCOMB_X20_Y38_N10
\led_flash_cnt[3514][5]~76084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3514][5]~76084_combout\ = (\led_flash_cnt[3514][5]~q\ & (\led_flash_cnt[3514][4]~76083\ $ (GND))) # (!\led_flash_cnt[3514][5]~q\ & (!\led_flash_cnt[3514][4]~76083\ & VCC))
-- \led_flash_cnt[3514][5]~76085\ = CARRY((\led_flash_cnt[3514][5]~q\ & !\led_flash_cnt[3514][4]~76083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3514][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3514][4]~76083\,
	combout => \led_flash_cnt[3514][5]~76084_combout\,
	cout => \led_flash_cnt[3514][5]~76085\);

-- Location: FF_X20_Y38_N11
\led_flash_cnt[3514][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3514][5]~76084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3514][5]~q\);

-- Location: LCCOMB_X20_Y38_N12
\led_flash_cnt[3514][6]~76086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3514][6]~76086_combout\ = (\led_flash_cnt[3514][6]~q\ & (!\led_flash_cnt[3514][5]~76085\)) # (!\led_flash_cnt[3514][6]~q\ & ((\led_flash_cnt[3514][5]~76085\) # (GND)))
-- \led_flash_cnt[3514][6]~76087\ = CARRY((!\led_flash_cnt[3514][5]~76085\) # (!\led_flash_cnt[3514][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3514][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3514][5]~76085\,
	combout => \led_flash_cnt[3514][6]~76086_combout\,
	cout => \led_flash_cnt[3514][6]~76087\);

-- Location: FF_X20_Y38_N13
\led_flash_cnt[3514][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3514][6]~76086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3514][6]~q\);

-- Location: LCCOMB_X20_Y37_N6
\WideAnd3514~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3514~1_combout\ = (\led_flash_cnt[3514][6]~q\ & \led_flash_cnt[3514][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3514][6]~q\,
	datad => \led_flash_cnt[3514][5]~q\,
	combout => \WideAnd3514~1_combout\);

-- Location: LCCOMB_X20_Y38_N14
\led_flash_cnt[3514][7]~76088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3514][7]~76088_combout\ = \led_flash_cnt[3514][7]~q\ $ (!\led_flash_cnt[3514][6]~76087\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3514][7]~q\,
	cin => \led_flash_cnt[3514][6]~76087\,
	combout => \led_flash_cnt[3514][7]~76088_combout\);

-- Location: FF_X20_Y38_N15
\led_flash_cnt[3514][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3514][7]~76088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3514][7]~q\);

-- Location: LCCOMB_X20_Y38_N30
\WideAnd3514~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3514~0_combout\ = (\led_flash_cnt[3514][3]~q\ & (\led_flash_cnt[3514][2]~q\ & (\led_flash_cnt[3514][4]~q\ & \led_flash_cnt[3514][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3514][3]~q\,
	datab => \led_flash_cnt[3514][2]~q\,
	datac => \led_flash_cnt[3514][4]~q\,
	datad => \led_flash_cnt[3514][1]~q\,
	combout => \WideAnd3514~0_combout\);

-- Location: LCCOMB_X20_Y37_N8
WideAnd3514 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3514~combout\ = (\WideAnd3514~1_combout\ & (\led_flash_cnt[3514][7]~q\ & (\WideAnd3514~0_combout\ & \led_flash_cnt[3514][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3514~1_combout\,
	datab => \led_flash_cnt[3514][7]~q\,
	datac => \WideAnd3514~0_combout\,
	datad => \led_flash_cnt[3514][0]~q\,
	combout => \WideAnd3514~combout\);

-- Location: FF_X20_Y37_N9
\led_flash_cnt_ands[3514]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3514~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3514));

-- Location: LCCOMB_X26_Y37_N28
\led_flash_cnt[3513][0]~84153\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3513][0]~84153_combout\ = !\led_flash_cnt[3513][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3513][0]~q\,
	combout => \led_flash_cnt[3513][0]~84153_combout\);

-- Location: FF_X26_Y37_N29
\led_flash_cnt[3513][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3513][0]~84153_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3513][0]~q\);

-- Location: LCCOMB_X27_Y37_N18
\led_flash_cnt[3513][1]~76062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3513][1]~76062_combout\ = (\led_flash_cnt[3513][0]~q\ & (\led_flash_cnt[3513][1]~q\ $ (VCC))) # (!\led_flash_cnt[3513][0]~q\ & (\led_flash_cnt[3513][1]~q\ & VCC))
-- \led_flash_cnt[3513][1]~76063\ = CARRY((\led_flash_cnt[3513][0]~q\ & \led_flash_cnt[3513][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3513][0]~q\,
	datab => \led_flash_cnt[3513][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3513][1]~76062_combout\,
	cout => \led_flash_cnt[3513][1]~76063\);

-- Location: FF_X27_Y37_N19
\led_flash_cnt[3513][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3513][1]~76062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3513][1]~q\);

-- Location: LCCOMB_X27_Y37_N20
\led_flash_cnt[3513][2]~76064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3513][2]~76064_combout\ = (\led_flash_cnt[3513][2]~q\ & (!\led_flash_cnt[3513][1]~76063\)) # (!\led_flash_cnt[3513][2]~q\ & ((\led_flash_cnt[3513][1]~76063\) # (GND)))
-- \led_flash_cnt[3513][2]~76065\ = CARRY((!\led_flash_cnt[3513][1]~76063\) # (!\led_flash_cnt[3513][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3513][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3513][1]~76063\,
	combout => \led_flash_cnt[3513][2]~76064_combout\,
	cout => \led_flash_cnt[3513][2]~76065\);

-- Location: FF_X27_Y37_N21
\led_flash_cnt[3513][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3513][2]~76064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3513][2]~q\);

-- Location: LCCOMB_X27_Y37_N22
\led_flash_cnt[3513][3]~76066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3513][3]~76066_combout\ = (\led_flash_cnt[3513][3]~q\ & (\led_flash_cnt[3513][2]~76065\ $ (GND))) # (!\led_flash_cnt[3513][3]~q\ & (!\led_flash_cnt[3513][2]~76065\ & VCC))
-- \led_flash_cnt[3513][3]~76067\ = CARRY((\led_flash_cnt[3513][3]~q\ & !\led_flash_cnt[3513][2]~76065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3513][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3513][2]~76065\,
	combout => \led_flash_cnt[3513][3]~76066_combout\,
	cout => \led_flash_cnt[3513][3]~76067\);

-- Location: FF_X27_Y37_N23
\led_flash_cnt[3513][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3513][3]~76066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3513][3]~q\);

-- Location: LCCOMB_X27_Y37_N24
\led_flash_cnt[3513][4]~76068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3513][4]~76068_combout\ = (\led_flash_cnt[3513][4]~q\ & (!\led_flash_cnt[3513][3]~76067\)) # (!\led_flash_cnt[3513][4]~q\ & ((\led_flash_cnt[3513][3]~76067\) # (GND)))
-- \led_flash_cnt[3513][4]~76069\ = CARRY((!\led_flash_cnt[3513][3]~76067\) # (!\led_flash_cnt[3513][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3513][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3513][3]~76067\,
	combout => \led_flash_cnt[3513][4]~76068_combout\,
	cout => \led_flash_cnt[3513][4]~76069\);

-- Location: FF_X27_Y37_N25
\led_flash_cnt[3513][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3513][4]~76068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3513][4]~q\);

-- Location: LCCOMB_X27_Y37_N26
\led_flash_cnt[3513][5]~76070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3513][5]~76070_combout\ = (\led_flash_cnt[3513][5]~q\ & (\led_flash_cnt[3513][4]~76069\ $ (GND))) # (!\led_flash_cnt[3513][5]~q\ & (!\led_flash_cnt[3513][4]~76069\ & VCC))
-- \led_flash_cnt[3513][5]~76071\ = CARRY((\led_flash_cnt[3513][5]~q\ & !\led_flash_cnt[3513][4]~76069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3513][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3513][4]~76069\,
	combout => \led_flash_cnt[3513][5]~76070_combout\,
	cout => \led_flash_cnt[3513][5]~76071\);

-- Location: FF_X27_Y37_N27
\led_flash_cnt[3513][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3513][5]~76070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3513][5]~q\);

-- Location: LCCOMB_X27_Y37_N28
\led_flash_cnt[3513][6]~76072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3513][6]~76072_combout\ = (\led_flash_cnt[3513][6]~q\ & (!\led_flash_cnt[3513][5]~76071\)) # (!\led_flash_cnt[3513][6]~q\ & ((\led_flash_cnt[3513][5]~76071\) # (GND)))
-- \led_flash_cnt[3513][6]~76073\ = CARRY((!\led_flash_cnt[3513][5]~76071\) # (!\led_flash_cnt[3513][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3513][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3513][5]~76071\,
	combout => \led_flash_cnt[3513][6]~76072_combout\,
	cout => \led_flash_cnt[3513][6]~76073\);

-- Location: FF_X27_Y37_N29
\led_flash_cnt[3513][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3513][6]~76072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3513][6]~q\);

-- Location: LCCOMB_X26_Y37_N26
\WideAnd3513~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3513~1_combout\ = (\led_flash_cnt[3513][6]~q\ & \led_flash_cnt[3513][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3513][6]~q\,
	datad => \led_flash_cnt[3513][5]~q\,
	combout => \WideAnd3513~1_combout\);

-- Location: LCCOMB_X27_Y37_N30
\led_flash_cnt[3513][7]~76074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3513][7]~76074_combout\ = \led_flash_cnt[3513][7]~q\ $ (!\led_flash_cnt[3513][6]~76073\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3513][7]~q\,
	cin => \led_flash_cnt[3513][6]~76073\,
	combout => \led_flash_cnt[3513][7]~76074_combout\);

-- Location: FF_X27_Y37_N31
\led_flash_cnt[3513][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3513][7]~76074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3513][7]~q\);

-- Location: LCCOMB_X27_Y37_N16
\WideAnd3513~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3513~0_combout\ = (\led_flash_cnt[3513][2]~q\ & (\led_flash_cnt[3513][1]~q\ & (\led_flash_cnt[3513][3]~q\ & \led_flash_cnt[3513][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3513][2]~q\,
	datab => \led_flash_cnt[3513][1]~q\,
	datac => \led_flash_cnt[3513][3]~q\,
	datad => \led_flash_cnt[3513][4]~q\,
	combout => \WideAnd3513~0_combout\);

-- Location: LCCOMB_X26_Y37_N2
WideAnd3513 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3513~combout\ = (\WideAnd3513~1_combout\ & (\led_flash_cnt[3513][0]~q\ & (\led_flash_cnt[3513][7]~q\ & \WideAnd3513~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3513~1_combout\,
	datab => \led_flash_cnt[3513][0]~q\,
	datac => \led_flash_cnt[3513][7]~q\,
	datad => \WideAnd3513~0_combout\,
	combout => \WideAnd3513~combout\);

-- Location: FF_X26_Y37_N3
\led_flash_cnt_ands[3513]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3513~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3513));

-- Location: LCCOMB_X20_Y37_N30
\led_flash_cnt[3512][0]~84152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3512][0]~84152_combout\ = !\led_flash_cnt[3512][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3512][0]~q\,
	combout => \led_flash_cnt[3512][0]~84152_combout\);

-- Location: FF_X20_Y37_N31
\led_flash_cnt[3512][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3512][0]~84152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3512][0]~q\);

-- Location: LCCOMB_X20_Y37_N16
\led_flash_cnt[3512][1]~76048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3512][1]~76048_combout\ = (\led_flash_cnt[3512][0]~q\ & (\led_flash_cnt[3512][1]~q\ $ (VCC))) # (!\led_flash_cnt[3512][0]~q\ & (\led_flash_cnt[3512][1]~q\ & VCC))
-- \led_flash_cnt[3512][1]~76049\ = CARRY((\led_flash_cnt[3512][0]~q\ & \led_flash_cnt[3512][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3512][0]~q\,
	datab => \led_flash_cnt[3512][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3512][1]~76048_combout\,
	cout => \led_flash_cnt[3512][1]~76049\);

-- Location: FF_X20_Y37_N17
\led_flash_cnt[3512][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3512][1]~76048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3512][1]~q\);

-- Location: LCCOMB_X20_Y37_N18
\led_flash_cnt[3512][2]~76050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3512][2]~76050_combout\ = (\led_flash_cnt[3512][2]~q\ & (!\led_flash_cnt[3512][1]~76049\)) # (!\led_flash_cnt[3512][2]~q\ & ((\led_flash_cnt[3512][1]~76049\) # (GND)))
-- \led_flash_cnt[3512][2]~76051\ = CARRY((!\led_flash_cnt[3512][1]~76049\) # (!\led_flash_cnt[3512][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3512][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3512][1]~76049\,
	combout => \led_flash_cnt[3512][2]~76050_combout\,
	cout => \led_flash_cnt[3512][2]~76051\);

-- Location: FF_X20_Y37_N19
\led_flash_cnt[3512][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3512][2]~76050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3512][2]~q\);

-- Location: LCCOMB_X20_Y37_N20
\led_flash_cnt[3512][3]~76052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3512][3]~76052_combout\ = (\led_flash_cnt[3512][3]~q\ & (\led_flash_cnt[3512][2]~76051\ $ (GND))) # (!\led_flash_cnt[3512][3]~q\ & (!\led_flash_cnt[3512][2]~76051\ & VCC))
-- \led_flash_cnt[3512][3]~76053\ = CARRY((\led_flash_cnt[3512][3]~q\ & !\led_flash_cnt[3512][2]~76051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3512][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3512][2]~76051\,
	combout => \led_flash_cnt[3512][3]~76052_combout\,
	cout => \led_flash_cnt[3512][3]~76053\);

-- Location: FF_X20_Y37_N21
\led_flash_cnt[3512][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3512][3]~76052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3512][3]~q\);

-- Location: LCCOMB_X20_Y37_N22
\led_flash_cnt[3512][4]~76054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3512][4]~76054_combout\ = (\led_flash_cnt[3512][4]~q\ & (!\led_flash_cnt[3512][3]~76053\)) # (!\led_flash_cnt[3512][4]~q\ & ((\led_flash_cnt[3512][3]~76053\) # (GND)))
-- \led_flash_cnt[3512][4]~76055\ = CARRY((!\led_flash_cnt[3512][3]~76053\) # (!\led_flash_cnt[3512][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3512][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3512][3]~76053\,
	combout => \led_flash_cnt[3512][4]~76054_combout\,
	cout => \led_flash_cnt[3512][4]~76055\);

-- Location: FF_X20_Y37_N23
\led_flash_cnt[3512][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3512][4]~76054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3512][4]~q\);

-- Location: LCCOMB_X20_Y37_N24
\led_flash_cnt[3512][5]~76056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3512][5]~76056_combout\ = (\led_flash_cnt[3512][5]~q\ & (\led_flash_cnt[3512][4]~76055\ $ (GND))) # (!\led_flash_cnt[3512][5]~q\ & (!\led_flash_cnt[3512][4]~76055\ & VCC))
-- \led_flash_cnt[3512][5]~76057\ = CARRY((\led_flash_cnt[3512][5]~q\ & !\led_flash_cnt[3512][4]~76055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3512][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3512][4]~76055\,
	combout => \led_flash_cnt[3512][5]~76056_combout\,
	cout => \led_flash_cnt[3512][5]~76057\);

-- Location: FF_X20_Y37_N25
\led_flash_cnt[3512][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3512][5]~76056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3512][5]~q\);

-- Location: LCCOMB_X20_Y37_N26
\led_flash_cnt[3512][6]~76058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3512][6]~76058_combout\ = (\led_flash_cnt[3512][6]~q\ & (!\led_flash_cnt[3512][5]~76057\)) # (!\led_flash_cnt[3512][6]~q\ & ((\led_flash_cnt[3512][5]~76057\) # (GND)))
-- \led_flash_cnt[3512][6]~76059\ = CARRY((!\led_flash_cnt[3512][5]~76057\) # (!\led_flash_cnt[3512][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3512][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3512][5]~76057\,
	combout => \led_flash_cnt[3512][6]~76058_combout\,
	cout => \led_flash_cnt[3512][6]~76059\);

-- Location: FF_X20_Y37_N27
\led_flash_cnt[3512][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3512][6]~76058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3512][6]~q\);

-- Location: LCCOMB_X20_Y37_N28
\led_flash_cnt[3512][7]~76060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3512][7]~76060_combout\ = \led_flash_cnt[3512][6]~76059\ $ (!\led_flash_cnt[3512][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3512][7]~q\,
	cin => \led_flash_cnt[3512][6]~76059\,
	combout => \led_flash_cnt[3512][7]~76060_combout\);

-- Location: FF_X20_Y37_N29
\led_flash_cnt[3512][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3512][7]~76060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3512][7]~q\);

-- Location: LCCOMB_X20_Y37_N4
\WideAnd3512~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3512~1_combout\ = (\led_flash_cnt[3512][6]~q\ & \led_flash_cnt[3512][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3512][6]~q\,
	datad => \led_flash_cnt[3512][5]~q\,
	combout => \WideAnd3512~1_combout\);

-- Location: LCCOMB_X20_Y37_N12
\WideAnd3512~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3512~0_combout\ = (\led_flash_cnt[3512][3]~q\ & (\led_flash_cnt[3512][1]~q\ & (\led_flash_cnt[3512][4]~q\ & \led_flash_cnt[3512][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3512][3]~q\,
	datab => \led_flash_cnt[3512][1]~q\,
	datac => \led_flash_cnt[3512][4]~q\,
	datad => \led_flash_cnt[3512][2]~q\,
	combout => \WideAnd3512~0_combout\);

-- Location: LCCOMB_X20_Y37_N14
WideAnd3512 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3512~combout\ = (\led_flash_cnt[3512][0]~q\ & (\led_flash_cnt[3512][7]~q\ & (\WideAnd3512~1_combout\ & \WideAnd3512~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3512][0]~q\,
	datab => \led_flash_cnt[3512][7]~q\,
	datac => \WideAnd3512~1_combout\,
	datad => \WideAnd3512~0_combout\,
	combout => \WideAnd3512~combout\);

-- Location: FF_X20_Y37_N15
\led_flash_cnt_ands[3512]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3512~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3512));

-- Location: LCCOMB_X24_Y37_N4
\WideAnd4279~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4279~0_combout\ = (led_flash_cnt_ands(3515) & (led_flash_cnt_ands(3514) & (led_flash_cnt_ands(3513) & led_flash_cnt_ands(3512))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3515),
	datab => led_flash_cnt_ands(3514),
	datac => led_flash_cnt_ands(3513),
	datad => led_flash_cnt_ands(3512),
	combout => \WideAnd4279~0_combout\);

-- Location: LCCOMB_X49_Y22_N6
\led_flash_cnt[3517][0]~84157\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3517][0]~84157_combout\ = !\led_flash_cnt[3517][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3517][0]~q\,
	combout => \led_flash_cnt[3517][0]~84157_combout\);

-- Location: FF_X49_Y22_N7
\led_flash_cnt[3517][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3517][0]~84157_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3517][0]~q\);

-- Location: LCCOMB_X50_Y22_N4
\led_flash_cnt[3517][1]~76118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3517][1]~76118_combout\ = (\led_flash_cnt[3517][0]~q\ & (\led_flash_cnt[3517][1]~q\ $ (VCC))) # (!\led_flash_cnt[3517][0]~q\ & (\led_flash_cnt[3517][1]~q\ & VCC))
-- \led_flash_cnt[3517][1]~76119\ = CARRY((\led_flash_cnt[3517][0]~q\ & \led_flash_cnt[3517][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3517][0]~q\,
	datab => \led_flash_cnt[3517][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3517][1]~76118_combout\,
	cout => \led_flash_cnt[3517][1]~76119\);

-- Location: FF_X50_Y22_N5
\led_flash_cnt[3517][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3517][1]~76118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3517][1]~q\);

-- Location: LCCOMB_X50_Y22_N6
\led_flash_cnt[3517][2]~76120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3517][2]~76120_combout\ = (\led_flash_cnt[3517][2]~q\ & (!\led_flash_cnt[3517][1]~76119\)) # (!\led_flash_cnt[3517][2]~q\ & ((\led_flash_cnt[3517][1]~76119\) # (GND)))
-- \led_flash_cnt[3517][2]~76121\ = CARRY((!\led_flash_cnt[3517][1]~76119\) # (!\led_flash_cnt[3517][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3517][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3517][1]~76119\,
	combout => \led_flash_cnt[3517][2]~76120_combout\,
	cout => \led_flash_cnt[3517][2]~76121\);

-- Location: FF_X50_Y22_N7
\led_flash_cnt[3517][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3517][2]~76120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3517][2]~q\);

-- Location: LCCOMB_X50_Y22_N8
\led_flash_cnt[3517][3]~76122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3517][3]~76122_combout\ = (\led_flash_cnt[3517][3]~q\ & (\led_flash_cnt[3517][2]~76121\ $ (GND))) # (!\led_flash_cnt[3517][3]~q\ & (!\led_flash_cnt[3517][2]~76121\ & VCC))
-- \led_flash_cnt[3517][3]~76123\ = CARRY((\led_flash_cnt[3517][3]~q\ & !\led_flash_cnt[3517][2]~76121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3517][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3517][2]~76121\,
	combout => \led_flash_cnt[3517][3]~76122_combout\,
	cout => \led_flash_cnt[3517][3]~76123\);

-- Location: FF_X50_Y22_N9
\led_flash_cnt[3517][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3517][3]~76122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3517][3]~q\);

-- Location: LCCOMB_X50_Y22_N10
\led_flash_cnt[3517][4]~76124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3517][4]~76124_combout\ = (\led_flash_cnt[3517][4]~q\ & (!\led_flash_cnt[3517][3]~76123\)) # (!\led_flash_cnt[3517][4]~q\ & ((\led_flash_cnt[3517][3]~76123\) # (GND)))
-- \led_flash_cnt[3517][4]~76125\ = CARRY((!\led_flash_cnt[3517][3]~76123\) # (!\led_flash_cnt[3517][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3517][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3517][3]~76123\,
	combout => \led_flash_cnt[3517][4]~76124_combout\,
	cout => \led_flash_cnt[3517][4]~76125\);

-- Location: FF_X50_Y22_N11
\led_flash_cnt[3517][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3517][4]~76124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3517][4]~q\);

-- Location: LCCOMB_X50_Y22_N12
\led_flash_cnt[3517][5]~76126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3517][5]~76126_combout\ = (\led_flash_cnt[3517][5]~q\ & (\led_flash_cnt[3517][4]~76125\ $ (GND))) # (!\led_flash_cnt[3517][5]~q\ & (!\led_flash_cnt[3517][4]~76125\ & VCC))
-- \led_flash_cnt[3517][5]~76127\ = CARRY((\led_flash_cnt[3517][5]~q\ & !\led_flash_cnt[3517][4]~76125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3517][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3517][4]~76125\,
	combout => \led_flash_cnt[3517][5]~76126_combout\,
	cout => \led_flash_cnt[3517][5]~76127\);

-- Location: FF_X50_Y22_N13
\led_flash_cnt[3517][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3517][5]~76126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3517][5]~q\);

-- Location: LCCOMB_X50_Y22_N14
\led_flash_cnt[3517][6]~76128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3517][6]~76128_combout\ = (\led_flash_cnt[3517][6]~q\ & (!\led_flash_cnt[3517][5]~76127\)) # (!\led_flash_cnt[3517][6]~q\ & ((\led_flash_cnt[3517][5]~76127\) # (GND)))
-- \led_flash_cnt[3517][6]~76129\ = CARRY((!\led_flash_cnt[3517][5]~76127\) # (!\led_flash_cnt[3517][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3517][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3517][5]~76127\,
	combout => \led_flash_cnt[3517][6]~76128_combout\,
	cout => \led_flash_cnt[3517][6]~76129\);

-- Location: FF_X50_Y22_N15
\led_flash_cnt[3517][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3517][6]~76128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3517][6]~q\);

-- Location: LCCOMB_X50_Y22_N16
\led_flash_cnt[3517][7]~76130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3517][7]~76130_combout\ = \led_flash_cnt[3517][6]~76129\ $ (!\led_flash_cnt[3517][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3517][7]~q\,
	cin => \led_flash_cnt[3517][6]~76129\,
	combout => \led_flash_cnt[3517][7]~76130_combout\);

-- Location: FF_X50_Y22_N17
\led_flash_cnt[3517][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3517][7]~76130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3517][7]~q\);

-- Location: LCCOMB_X49_Y22_N4
\WideAnd3517~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3517~1_combout\ = (\led_flash_cnt[3517][6]~q\ & \led_flash_cnt[3517][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3517][6]~q\,
	datac => \led_flash_cnt[3517][5]~q\,
	combout => \WideAnd3517~1_combout\);

-- Location: LCCOMB_X50_Y22_N2
\WideAnd3517~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3517~0_combout\ = (\led_flash_cnt[3517][4]~q\ & (\led_flash_cnt[3517][3]~q\ & (\led_flash_cnt[3517][1]~q\ & \led_flash_cnt[3517][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3517][4]~q\,
	datab => \led_flash_cnt[3517][3]~q\,
	datac => \led_flash_cnt[3517][1]~q\,
	datad => \led_flash_cnt[3517][2]~q\,
	combout => \WideAnd3517~0_combout\);

-- Location: LCCOMB_X49_Y22_N0
WideAnd3517 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3517~combout\ = (\led_flash_cnt[3517][0]~q\ & (\led_flash_cnt[3517][7]~q\ & (\WideAnd3517~1_combout\ & \WideAnd3517~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3517][0]~q\,
	datab => \led_flash_cnt[3517][7]~q\,
	datac => \WideAnd3517~1_combout\,
	datad => \WideAnd3517~0_combout\,
	combout => \WideAnd3517~combout\);

-- Location: FF_X49_Y22_N1
\led_flash_cnt_ands[3517]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3517~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3517));

-- Location: LCCOMB_X55_Y45_N24
\led_flash_cnt[3516][0]~84156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3516][0]~84156_combout\ = !\led_flash_cnt[3516][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3516][0]~q\,
	combout => \led_flash_cnt[3516][0]~84156_combout\);

-- Location: FF_X55_Y45_N25
\led_flash_cnt[3516][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3516][0]~84156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3516][0]~q\);

-- Location: LCCOMB_X55_Y45_N10
\led_flash_cnt[3516][1]~76104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3516][1]~76104_combout\ = (\led_flash_cnt[3516][1]~q\ & (\led_flash_cnt[3516][0]~q\ $ (VCC))) # (!\led_flash_cnt[3516][1]~q\ & (\led_flash_cnt[3516][0]~q\ & VCC))
-- \led_flash_cnt[3516][1]~76105\ = CARRY((\led_flash_cnt[3516][1]~q\ & \led_flash_cnt[3516][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3516][1]~q\,
	datab => \led_flash_cnt[3516][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3516][1]~76104_combout\,
	cout => \led_flash_cnt[3516][1]~76105\);

-- Location: FF_X55_Y45_N11
\led_flash_cnt[3516][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3516][1]~76104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3516][1]~q\);

-- Location: LCCOMB_X55_Y45_N12
\led_flash_cnt[3516][2]~76106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3516][2]~76106_combout\ = (\led_flash_cnt[3516][2]~q\ & (!\led_flash_cnt[3516][1]~76105\)) # (!\led_flash_cnt[3516][2]~q\ & ((\led_flash_cnt[3516][1]~76105\) # (GND)))
-- \led_flash_cnt[3516][2]~76107\ = CARRY((!\led_flash_cnt[3516][1]~76105\) # (!\led_flash_cnt[3516][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3516][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3516][1]~76105\,
	combout => \led_flash_cnt[3516][2]~76106_combout\,
	cout => \led_flash_cnt[3516][2]~76107\);

-- Location: FF_X55_Y45_N13
\led_flash_cnt[3516][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3516][2]~76106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3516][2]~q\);

-- Location: LCCOMB_X55_Y45_N14
\led_flash_cnt[3516][3]~76108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3516][3]~76108_combout\ = (\led_flash_cnt[3516][3]~q\ & (\led_flash_cnt[3516][2]~76107\ $ (GND))) # (!\led_flash_cnt[3516][3]~q\ & (!\led_flash_cnt[3516][2]~76107\ & VCC))
-- \led_flash_cnt[3516][3]~76109\ = CARRY((\led_flash_cnt[3516][3]~q\ & !\led_flash_cnt[3516][2]~76107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3516][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3516][2]~76107\,
	combout => \led_flash_cnt[3516][3]~76108_combout\,
	cout => \led_flash_cnt[3516][3]~76109\);

-- Location: FF_X55_Y45_N15
\led_flash_cnt[3516][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3516][3]~76108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3516][3]~q\);

-- Location: LCCOMB_X55_Y45_N16
\led_flash_cnt[3516][4]~76110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3516][4]~76110_combout\ = (\led_flash_cnt[3516][4]~q\ & (!\led_flash_cnt[3516][3]~76109\)) # (!\led_flash_cnt[3516][4]~q\ & ((\led_flash_cnt[3516][3]~76109\) # (GND)))
-- \led_flash_cnt[3516][4]~76111\ = CARRY((!\led_flash_cnt[3516][3]~76109\) # (!\led_flash_cnt[3516][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3516][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3516][3]~76109\,
	combout => \led_flash_cnt[3516][4]~76110_combout\,
	cout => \led_flash_cnt[3516][4]~76111\);

-- Location: FF_X55_Y45_N17
\led_flash_cnt[3516][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3516][4]~76110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3516][4]~q\);

-- Location: LCCOMB_X55_Y45_N26
\WideAnd3516~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3516~0_combout\ = (\led_flash_cnt[3516][2]~q\ & (\led_flash_cnt[3516][4]~q\ & (\led_flash_cnt[3516][3]~q\ & \led_flash_cnt[3516][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3516][2]~q\,
	datab => \led_flash_cnt[3516][4]~q\,
	datac => \led_flash_cnt[3516][3]~q\,
	datad => \led_flash_cnt[3516][1]~q\,
	combout => \WideAnd3516~0_combout\);

-- Location: LCCOMB_X55_Y45_N18
\led_flash_cnt[3516][5]~76112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3516][5]~76112_combout\ = (\led_flash_cnt[3516][5]~q\ & (\led_flash_cnt[3516][4]~76111\ $ (GND))) # (!\led_flash_cnt[3516][5]~q\ & (!\led_flash_cnt[3516][4]~76111\ & VCC))
-- \led_flash_cnt[3516][5]~76113\ = CARRY((\led_flash_cnt[3516][5]~q\ & !\led_flash_cnt[3516][4]~76111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3516][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3516][4]~76111\,
	combout => \led_flash_cnt[3516][5]~76112_combout\,
	cout => \led_flash_cnt[3516][5]~76113\);

-- Location: FF_X55_Y45_N19
\led_flash_cnt[3516][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3516][5]~76112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3516][5]~q\);

-- Location: LCCOMB_X55_Y45_N20
\led_flash_cnt[3516][6]~76114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3516][6]~76114_combout\ = (\led_flash_cnt[3516][6]~q\ & (!\led_flash_cnt[3516][5]~76113\)) # (!\led_flash_cnt[3516][6]~q\ & ((\led_flash_cnt[3516][5]~76113\) # (GND)))
-- \led_flash_cnt[3516][6]~76115\ = CARRY((!\led_flash_cnt[3516][5]~76113\) # (!\led_flash_cnt[3516][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3516][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3516][5]~76113\,
	combout => \led_flash_cnt[3516][6]~76114_combout\,
	cout => \led_flash_cnt[3516][6]~76115\);

-- Location: FF_X55_Y45_N21
\led_flash_cnt[3516][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3516][6]~76114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3516][6]~q\);

-- Location: LCCOMB_X55_Y45_N22
\led_flash_cnt[3516][7]~76116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3516][7]~76116_combout\ = \led_flash_cnt[3516][7]~q\ $ (!\led_flash_cnt[3516][6]~76115\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3516][7]~q\,
	cin => \led_flash_cnt[3516][6]~76115\,
	combout => \led_flash_cnt[3516][7]~76116_combout\);

-- Location: FF_X55_Y45_N23
\led_flash_cnt[3516][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3516][7]~76116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3516][7]~q\);

-- Location: LCCOMB_X55_Y45_N28
\WideAnd3516~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3516~1_combout\ = (\led_flash_cnt[3516][6]~q\ & \led_flash_cnt[3516][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3516][6]~q\,
	datad => \led_flash_cnt[3516][5]~q\,
	combout => \WideAnd3516~1_combout\);

-- Location: LCCOMB_X55_Y45_N8
WideAnd3516 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3516~combout\ = (\WideAnd3516~0_combout\ & (\led_flash_cnt[3516][0]~q\ & (\led_flash_cnt[3516][7]~q\ & \WideAnd3516~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3516~0_combout\,
	datab => \led_flash_cnt[3516][0]~q\,
	datac => \led_flash_cnt[3516][7]~q\,
	datad => \WideAnd3516~1_combout\,
	combout => \WideAnd3516~combout\);

-- Location: FF_X55_Y45_N9
\led_flash_cnt_ands[3516]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3516~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3516));

-- Location: LCCOMB_X52_Y35_N2
\WideAnd4279~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4279~1_combout\ = (led_flash_cnt_ands(3517) & led_flash_cnt_ands(3516))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3517),
	datad => led_flash_cnt_ands(3516),
	combout => \WideAnd4279~1_combout\);

-- Location: LCCOMB_X52_Y35_N0
WideAnd4279 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4279~combout\ = (led_flash_cnt_ands(3519) & (led_flash_cnt_ands(3518) & (\WideAnd4279~0_combout\ & \WideAnd4279~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3519),
	datab => led_flash_cnt_ands(3518),
	datac => \WideAnd4279~0_combout\,
	datad => \WideAnd4279~1_combout\,
	combout => \WideAnd4279~combout\);

-- Location: FF_X52_Y35_N1
\led_flash_cnt_ands_1[439]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4279~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(439));

-- Location: LCCOMB_X52_Y35_N20
WideAnd4374 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4374~combout\ = (\WideAnd4374~1_combout\ & (led_flash_cnt_ands_1(438) & (\WideAnd4374~0_combout\ & led_flash_cnt_ands_1(439))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4374~1_combout\,
	datab => led_flash_cnt_ands_1(438),
	datac => \WideAnd4374~0_combout\,
	datad => led_flash_cnt_ands_1(439),
	combout => \WideAnd4374~combout\);

-- Location: FF_X52_Y35_N21
\led_flash_cnt_ands_2[54]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4374~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(54));

-- Location: LCCOMB_X13_Y34_N26
\led_flash_cnt[3575][0]~84215\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3575][0]~84215_combout\ = !\led_flash_cnt[3575][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3575][0]~q\,
	combout => \led_flash_cnt[3575][0]~84215_combout\);

-- Location: FF_X13_Y34_N27
\led_flash_cnt[3575][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3575][0]~84215_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3575][0]~q\);

-- Location: LCCOMB_X14_Y34_N18
\led_flash_cnt[3575][1]~76930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3575][1]~76930_combout\ = (\led_flash_cnt[3575][0]~q\ & (\led_flash_cnt[3575][1]~q\ $ (VCC))) # (!\led_flash_cnt[3575][0]~q\ & (\led_flash_cnt[3575][1]~q\ & VCC))
-- \led_flash_cnt[3575][1]~76931\ = CARRY((\led_flash_cnt[3575][0]~q\ & \led_flash_cnt[3575][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3575][0]~q\,
	datab => \led_flash_cnt[3575][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3575][1]~76930_combout\,
	cout => \led_flash_cnt[3575][1]~76931\);

-- Location: FF_X14_Y34_N19
\led_flash_cnt[3575][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3575][1]~76930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3575][1]~q\);

-- Location: LCCOMB_X14_Y34_N20
\led_flash_cnt[3575][2]~76932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3575][2]~76932_combout\ = (\led_flash_cnt[3575][2]~q\ & (!\led_flash_cnt[3575][1]~76931\)) # (!\led_flash_cnt[3575][2]~q\ & ((\led_flash_cnt[3575][1]~76931\) # (GND)))
-- \led_flash_cnt[3575][2]~76933\ = CARRY((!\led_flash_cnt[3575][1]~76931\) # (!\led_flash_cnt[3575][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3575][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3575][1]~76931\,
	combout => \led_flash_cnt[3575][2]~76932_combout\,
	cout => \led_flash_cnt[3575][2]~76933\);

-- Location: FF_X14_Y34_N21
\led_flash_cnt[3575][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3575][2]~76932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3575][2]~q\);

-- Location: LCCOMB_X14_Y34_N22
\led_flash_cnt[3575][3]~76934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3575][3]~76934_combout\ = (\led_flash_cnt[3575][3]~q\ & (\led_flash_cnt[3575][2]~76933\ $ (GND))) # (!\led_flash_cnt[3575][3]~q\ & (!\led_flash_cnt[3575][2]~76933\ & VCC))
-- \led_flash_cnt[3575][3]~76935\ = CARRY((\led_flash_cnt[3575][3]~q\ & !\led_flash_cnt[3575][2]~76933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3575][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3575][2]~76933\,
	combout => \led_flash_cnt[3575][3]~76934_combout\,
	cout => \led_flash_cnt[3575][3]~76935\);

-- Location: FF_X14_Y34_N23
\led_flash_cnt[3575][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3575][3]~76934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3575][3]~q\);

-- Location: LCCOMB_X14_Y34_N24
\led_flash_cnt[3575][4]~76936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3575][4]~76936_combout\ = (\led_flash_cnt[3575][4]~q\ & (!\led_flash_cnt[3575][3]~76935\)) # (!\led_flash_cnt[3575][4]~q\ & ((\led_flash_cnt[3575][3]~76935\) # (GND)))
-- \led_flash_cnt[3575][4]~76937\ = CARRY((!\led_flash_cnt[3575][3]~76935\) # (!\led_flash_cnt[3575][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3575][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3575][3]~76935\,
	combout => \led_flash_cnt[3575][4]~76936_combout\,
	cout => \led_flash_cnt[3575][4]~76937\);

-- Location: FF_X14_Y34_N25
\led_flash_cnt[3575][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3575][4]~76936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3575][4]~q\);

-- Location: LCCOMB_X14_Y34_N0
\WideAnd3575~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3575~0_combout\ = (\led_flash_cnt[3575][1]~q\ & (\led_flash_cnt[3575][4]~q\ & (\led_flash_cnt[3575][3]~q\ & \led_flash_cnt[3575][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3575][1]~q\,
	datab => \led_flash_cnt[3575][4]~q\,
	datac => \led_flash_cnt[3575][3]~q\,
	datad => \led_flash_cnt[3575][2]~q\,
	combout => \WideAnd3575~0_combout\);

-- Location: LCCOMB_X14_Y34_N26
\led_flash_cnt[3575][5]~76938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3575][5]~76938_combout\ = (\led_flash_cnt[3575][5]~q\ & (\led_flash_cnt[3575][4]~76937\ $ (GND))) # (!\led_flash_cnt[3575][5]~q\ & (!\led_flash_cnt[3575][4]~76937\ & VCC))
-- \led_flash_cnt[3575][5]~76939\ = CARRY((\led_flash_cnt[3575][5]~q\ & !\led_flash_cnt[3575][4]~76937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3575][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3575][4]~76937\,
	combout => \led_flash_cnt[3575][5]~76938_combout\,
	cout => \led_flash_cnt[3575][5]~76939\);

-- Location: FF_X14_Y34_N27
\led_flash_cnt[3575][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3575][5]~76938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3575][5]~q\);

-- Location: LCCOMB_X14_Y34_N28
\led_flash_cnt[3575][6]~76940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3575][6]~76940_combout\ = (\led_flash_cnt[3575][6]~q\ & (!\led_flash_cnt[3575][5]~76939\)) # (!\led_flash_cnt[3575][6]~q\ & ((\led_flash_cnt[3575][5]~76939\) # (GND)))
-- \led_flash_cnt[3575][6]~76941\ = CARRY((!\led_flash_cnt[3575][5]~76939\) # (!\led_flash_cnt[3575][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3575][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3575][5]~76939\,
	combout => \led_flash_cnt[3575][6]~76940_combout\,
	cout => \led_flash_cnt[3575][6]~76941\);

-- Location: FF_X14_Y34_N29
\led_flash_cnt[3575][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3575][6]~76940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3575][6]~q\);

-- Location: LCCOMB_X14_Y34_N30
\led_flash_cnt[3575][7]~76942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3575][7]~76942_combout\ = \led_flash_cnt[3575][7]~q\ $ (!\led_flash_cnt[3575][6]~76941\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3575][7]~q\,
	cin => \led_flash_cnt[3575][6]~76941\,
	combout => \led_flash_cnt[3575][7]~76942_combout\);

-- Location: FF_X14_Y34_N31
\led_flash_cnt[3575][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3575][7]~76942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3575][7]~q\);

-- Location: LCCOMB_X13_Y34_N28
\WideAnd3575~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3575~1_combout\ = (\led_flash_cnt[3575][5]~q\ & \led_flash_cnt[3575][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3575][5]~q\,
	datad => \led_flash_cnt[3575][6]~q\,
	combout => \WideAnd3575~1_combout\);

-- Location: LCCOMB_X13_Y34_N4
WideAnd3575 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3575~combout\ = (\led_flash_cnt[3575][0]~q\ & (\WideAnd3575~0_combout\ & (\led_flash_cnt[3575][7]~q\ & \WideAnd3575~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3575][0]~q\,
	datab => \WideAnd3575~0_combout\,
	datac => \led_flash_cnt[3575][7]~q\,
	datad => \WideAnd3575~1_combout\,
	combout => \WideAnd3575~combout\);

-- Location: FF_X13_Y34_N5
\led_flash_cnt_ands[3575]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3575~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3575));

-- Location: LCCOMB_X8_Y25_N18
\led_flash_cnt[3572][0]~84212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3572][0]~84212_combout\ = !\led_flash_cnt[3572][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3572][0]~q\,
	combout => \led_flash_cnt[3572][0]~84212_combout\);

-- Location: FF_X8_Y25_N19
\led_flash_cnt[3572][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3572][0]~84212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3572][0]~q\);

-- Location: LCCOMB_X8_Y25_N4
\led_flash_cnt[3572][1]~76888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3572][1]~76888_combout\ = (\led_flash_cnt[3572][1]~q\ & (\led_flash_cnt[3572][0]~q\ $ (VCC))) # (!\led_flash_cnt[3572][1]~q\ & (\led_flash_cnt[3572][0]~q\ & VCC))
-- \led_flash_cnt[3572][1]~76889\ = CARRY((\led_flash_cnt[3572][1]~q\ & \led_flash_cnt[3572][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3572][1]~q\,
	datab => \led_flash_cnt[3572][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3572][1]~76888_combout\,
	cout => \led_flash_cnt[3572][1]~76889\);

-- Location: FF_X8_Y25_N5
\led_flash_cnt[3572][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3572][1]~76888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3572][1]~q\);

-- Location: LCCOMB_X8_Y25_N6
\led_flash_cnt[3572][2]~76890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3572][2]~76890_combout\ = (\led_flash_cnt[3572][2]~q\ & (!\led_flash_cnt[3572][1]~76889\)) # (!\led_flash_cnt[3572][2]~q\ & ((\led_flash_cnt[3572][1]~76889\) # (GND)))
-- \led_flash_cnt[3572][2]~76891\ = CARRY((!\led_flash_cnt[3572][1]~76889\) # (!\led_flash_cnt[3572][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3572][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3572][1]~76889\,
	combout => \led_flash_cnt[3572][2]~76890_combout\,
	cout => \led_flash_cnt[3572][2]~76891\);

-- Location: FF_X8_Y25_N7
\led_flash_cnt[3572][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3572][2]~76890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3572][2]~q\);

-- Location: LCCOMB_X8_Y25_N8
\led_flash_cnt[3572][3]~76892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3572][3]~76892_combout\ = (\led_flash_cnt[3572][3]~q\ & (\led_flash_cnt[3572][2]~76891\ $ (GND))) # (!\led_flash_cnt[3572][3]~q\ & (!\led_flash_cnt[3572][2]~76891\ & VCC))
-- \led_flash_cnt[3572][3]~76893\ = CARRY((\led_flash_cnt[3572][3]~q\ & !\led_flash_cnt[3572][2]~76891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3572][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3572][2]~76891\,
	combout => \led_flash_cnt[3572][3]~76892_combout\,
	cout => \led_flash_cnt[3572][3]~76893\);

-- Location: FF_X8_Y25_N9
\led_flash_cnt[3572][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3572][3]~76892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3572][3]~q\);

-- Location: LCCOMB_X8_Y25_N10
\led_flash_cnt[3572][4]~76894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3572][4]~76894_combout\ = (\led_flash_cnt[3572][4]~q\ & (!\led_flash_cnt[3572][3]~76893\)) # (!\led_flash_cnt[3572][4]~q\ & ((\led_flash_cnt[3572][3]~76893\) # (GND)))
-- \led_flash_cnt[3572][4]~76895\ = CARRY((!\led_flash_cnt[3572][3]~76893\) # (!\led_flash_cnt[3572][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3572][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3572][3]~76893\,
	combout => \led_flash_cnt[3572][4]~76894_combout\,
	cout => \led_flash_cnt[3572][4]~76895\);

-- Location: FF_X8_Y25_N11
\led_flash_cnt[3572][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3572][4]~76894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3572][4]~q\);

-- Location: LCCOMB_X8_Y25_N12
\led_flash_cnt[3572][5]~76896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3572][5]~76896_combout\ = (\led_flash_cnt[3572][5]~q\ & (\led_flash_cnt[3572][4]~76895\ $ (GND))) # (!\led_flash_cnt[3572][5]~q\ & (!\led_flash_cnt[3572][4]~76895\ & VCC))
-- \led_flash_cnt[3572][5]~76897\ = CARRY((\led_flash_cnt[3572][5]~q\ & !\led_flash_cnt[3572][4]~76895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3572][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3572][4]~76895\,
	combout => \led_flash_cnt[3572][5]~76896_combout\,
	cout => \led_flash_cnt[3572][5]~76897\);

-- Location: FF_X8_Y25_N13
\led_flash_cnt[3572][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3572][5]~76896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3572][5]~q\);

-- Location: LCCOMB_X8_Y25_N14
\led_flash_cnt[3572][6]~76898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3572][6]~76898_combout\ = (\led_flash_cnt[3572][6]~q\ & (!\led_flash_cnt[3572][5]~76897\)) # (!\led_flash_cnt[3572][6]~q\ & ((\led_flash_cnt[3572][5]~76897\) # (GND)))
-- \led_flash_cnt[3572][6]~76899\ = CARRY((!\led_flash_cnt[3572][5]~76897\) # (!\led_flash_cnt[3572][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3572][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3572][5]~76897\,
	combout => \led_flash_cnt[3572][6]~76898_combout\,
	cout => \led_flash_cnt[3572][6]~76899\);

-- Location: FF_X8_Y25_N15
\led_flash_cnt[3572][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3572][6]~76898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3572][6]~q\);

-- Location: LCCOMB_X8_Y25_N22
\WideAnd3572~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3572~1_combout\ = (\led_flash_cnt[3572][6]~q\ & \led_flash_cnt[3572][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3572][6]~q\,
	datad => \led_flash_cnt[3572][5]~q\,
	combout => \WideAnd3572~1_combout\);

-- Location: LCCOMB_X8_Y25_N16
\led_flash_cnt[3572][7]~76900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3572][7]~76900_combout\ = \led_flash_cnt[3572][6]~76899\ $ (!\led_flash_cnt[3572][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3572][7]~q\,
	cin => \led_flash_cnt[3572][6]~76899\,
	combout => \led_flash_cnt[3572][7]~76900_combout\);

-- Location: FF_X8_Y25_N17
\led_flash_cnt[3572][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3572][7]~76900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3572][7]~q\);

-- Location: LCCOMB_X8_Y25_N26
\WideAnd3572~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3572~0_combout\ = (\led_flash_cnt[3572][2]~q\ & (\led_flash_cnt[3572][3]~q\ & (\led_flash_cnt[3572][1]~q\ & \led_flash_cnt[3572][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3572][2]~q\,
	datab => \led_flash_cnt[3572][3]~q\,
	datac => \led_flash_cnt[3572][1]~q\,
	datad => \led_flash_cnt[3572][4]~q\,
	combout => \WideAnd3572~0_combout\);

-- Location: LCCOMB_X8_Y25_N30
WideAnd3572 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3572~combout\ = (\WideAnd3572~1_combout\ & (\led_flash_cnt[3572][7]~q\ & (\WideAnd3572~0_combout\ & \led_flash_cnt[3572][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3572~1_combout\,
	datab => \led_flash_cnt[3572][7]~q\,
	datac => \WideAnd3572~0_combout\,
	datad => \led_flash_cnt[3572][0]~q\,
	combout => \WideAnd3572~combout\);

-- Location: FF_X8_Y25_N31
\led_flash_cnt_ands[3572]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3572~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3572));

-- Location: LCCOMB_X8_Y32_N12
\led_flash_cnt[3573][0]~84213\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3573][0]~84213_combout\ = !\led_flash_cnt[3573][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3573][0]~q\,
	combout => \led_flash_cnt[3573][0]~84213_combout\);

-- Location: FF_X8_Y32_N13
\led_flash_cnt[3573][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3573][0]~84213_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3573][0]~q\);

-- Location: LCCOMB_X8_Y32_N18
\led_flash_cnt[3573][1]~76902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3573][1]~76902_combout\ = (\led_flash_cnt[3573][0]~q\ & (\led_flash_cnt[3573][1]~q\ $ (VCC))) # (!\led_flash_cnt[3573][0]~q\ & (\led_flash_cnt[3573][1]~q\ & VCC))
-- \led_flash_cnt[3573][1]~76903\ = CARRY((\led_flash_cnt[3573][0]~q\ & \led_flash_cnt[3573][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3573][0]~q\,
	datab => \led_flash_cnt[3573][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3573][1]~76902_combout\,
	cout => \led_flash_cnt[3573][1]~76903\);

-- Location: FF_X8_Y32_N19
\led_flash_cnt[3573][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3573][1]~76902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3573][1]~q\);

-- Location: LCCOMB_X8_Y32_N20
\led_flash_cnt[3573][2]~76904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3573][2]~76904_combout\ = (\led_flash_cnt[3573][2]~q\ & (!\led_flash_cnt[3573][1]~76903\)) # (!\led_flash_cnt[3573][2]~q\ & ((\led_flash_cnt[3573][1]~76903\) # (GND)))
-- \led_flash_cnt[3573][2]~76905\ = CARRY((!\led_flash_cnt[3573][1]~76903\) # (!\led_flash_cnt[3573][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3573][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3573][1]~76903\,
	combout => \led_flash_cnt[3573][2]~76904_combout\,
	cout => \led_flash_cnt[3573][2]~76905\);

-- Location: FF_X8_Y32_N21
\led_flash_cnt[3573][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3573][2]~76904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3573][2]~q\);

-- Location: LCCOMB_X8_Y32_N22
\led_flash_cnt[3573][3]~76906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3573][3]~76906_combout\ = (\led_flash_cnt[3573][3]~q\ & (\led_flash_cnt[3573][2]~76905\ $ (GND))) # (!\led_flash_cnt[3573][3]~q\ & (!\led_flash_cnt[3573][2]~76905\ & VCC))
-- \led_flash_cnt[3573][3]~76907\ = CARRY((\led_flash_cnt[3573][3]~q\ & !\led_flash_cnt[3573][2]~76905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3573][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3573][2]~76905\,
	combout => \led_flash_cnt[3573][3]~76906_combout\,
	cout => \led_flash_cnt[3573][3]~76907\);

-- Location: FF_X8_Y32_N23
\led_flash_cnt[3573][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3573][3]~76906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3573][3]~q\);

-- Location: LCCOMB_X8_Y32_N24
\led_flash_cnt[3573][4]~76908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3573][4]~76908_combout\ = (\led_flash_cnt[3573][4]~q\ & (!\led_flash_cnt[3573][3]~76907\)) # (!\led_flash_cnt[3573][4]~q\ & ((\led_flash_cnt[3573][3]~76907\) # (GND)))
-- \led_flash_cnt[3573][4]~76909\ = CARRY((!\led_flash_cnt[3573][3]~76907\) # (!\led_flash_cnt[3573][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3573][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3573][3]~76907\,
	combout => \led_flash_cnt[3573][4]~76908_combout\,
	cout => \led_flash_cnt[3573][4]~76909\);

-- Location: FF_X8_Y32_N25
\led_flash_cnt[3573][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3573][4]~76908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3573][4]~q\);

-- Location: LCCOMB_X8_Y32_N10
\WideAnd3573~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3573~0_combout\ = (\led_flash_cnt[3573][2]~q\ & (\led_flash_cnt[3573][4]~q\ & (\led_flash_cnt[3573][3]~q\ & \led_flash_cnt[3573][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3573][2]~q\,
	datab => \led_flash_cnt[3573][4]~q\,
	datac => \led_flash_cnt[3573][3]~q\,
	datad => \led_flash_cnt[3573][1]~q\,
	combout => \WideAnd3573~0_combout\);

-- Location: LCCOMB_X8_Y32_N26
\led_flash_cnt[3573][5]~76910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3573][5]~76910_combout\ = (\led_flash_cnt[3573][5]~q\ & (\led_flash_cnt[3573][4]~76909\ $ (GND))) # (!\led_flash_cnt[3573][5]~q\ & (!\led_flash_cnt[3573][4]~76909\ & VCC))
-- \led_flash_cnt[3573][5]~76911\ = CARRY((\led_flash_cnt[3573][5]~q\ & !\led_flash_cnt[3573][4]~76909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3573][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3573][4]~76909\,
	combout => \led_flash_cnt[3573][5]~76910_combout\,
	cout => \led_flash_cnt[3573][5]~76911\);

-- Location: FF_X8_Y32_N27
\led_flash_cnt[3573][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3573][5]~76910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3573][5]~q\);

-- Location: LCCOMB_X8_Y32_N28
\led_flash_cnt[3573][6]~76912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3573][6]~76912_combout\ = (\led_flash_cnt[3573][6]~q\ & (!\led_flash_cnt[3573][5]~76911\)) # (!\led_flash_cnt[3573][6]~q\ & ((\led_flash_cnt[3573][5]~76911\) # (GND)))
-- \led_flash_cnt[3573][6]~76913\ = CARRY((!\led_flash_cnt[3573][5]~76911\) # (!\led_flash_cnt[3573][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3573][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3573][5]~76911\,
	combout => \led_flash_cnt[3573][6]~76912_combout\,
	cout => \led_flash_cnt[3573][6]~76913\);

-- Location: FF_X8_Y32_N29
\led_flash_cnt[3573][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3573][6]~76912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3573][6]~q\);

-- Location: LCCOMB_X8_Y32_N16
\WideAnd3573~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3573~1_combout\ = (\led_flash_cnt[3573][5]~q\ & \led_flash_cnt[3573][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3573][5]~q\,
	datad => \led_flash_cnt[3573][6]~q\,
	combout => \WideAnd3573~1_combout\);

-- Location: LCCOMB_X8_Y32_N30
\led_flash_cnt[3573][7]~76914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3573][7]~76914_combout\ = \led_flash_cnt[3573][7]~q\ $ (!\led_flash_cnt[3573][6]~76913\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3573][7]~q\,
	cin => \led_flash_cnt[3573][6]~76913\,
	combout => \led_flash_cnt[3573][7]~76914_combout\);

-- Location: FF_X8_Y32_N31
\led_flash_cnt[3573][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3573][7]~76914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3573][7]~q\);

-- Location: LCCOMB_X8_Y32_N0
WideAnd3573 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3573~combout\ = (\WideAnd3573~0_combout\ & (\WideAnd3573~1_combout\ & (\led_flash_cnt[3573][7]~q\ & \led_flash_cnt[3573][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3573~0_combout\,
	datab => \WideAnd3573~1_combout\,
	datac => \led_flash_cnt[3573][7]~q\,
	datad => \led_flash_cnt[3573][0]~q\,
	combout => \WideAnd3573~combout\);

-- Location: FF_X8_Y32_N1
\led_flash_cnt_ands[3573]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3573~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3573));

-- Location: LCCOMB_X8_Y32_N2
\WideAnd4286~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4286~1_combout\ = (led_flash_cnt_ands(3572) & led_flash_cnt_ands(3573))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3572),
	datad => led_flash_cnt_ands(3573),
	combout => \WideAnd4286~1_combout\);

-- Location: LCCOMB_X21_Y37_N10
\led_flash_cnt[3569][0]~84209\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3569][0]~84209_combout\ = !\led_flash_cnt[3569][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3569][0]~q\,
	combout => \led_flash_cnt[3569][0]~84209_combout\);

-- Location: FF_X21_Y37_N11
\led_flash_cnt[3569][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3569][0]~84209_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3569][0]~q\);

-- Location: LCCOMB_X21_Y37_N18
\led_flash_cnt[3569][1]~76846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3569][1]~76846_combout\ = (\led_flash_cnt[3569][0]~q\ & (\led_flash_cnt[3569][1]~q\ $ (VCC))) # (!\led_flash_cnt[3569][0]~q\ & (\led_flash_cnt[3569][1]~q\ & VCC))
-- \led_flash_cnt[3569][1]~76847\ = CARRY((\led_flash_cnt[3569][0]~q\ & \led_flash_cnt[3569][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3569][0]~q\,
	datab => \led_flash_cnt[3569][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3569][1]~76846_combout\,
	cout => \led_flash_cnt[3569][1]~76847\);

-- Location: FF_X21_Y37_N19
\led_flash_cnt[3569][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3569][1]~76846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3569][1]~q\);

-- Location: LCCOMB_X21_Y37_N20
\led_flash_cnt[3569][2]~76848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3569][2]~76848_combout\ = (\led_flash_cnt[3569][2]~q\ & (!\led_flash_cnt[3569][1]~76847\)) # (!\led_flash_cnt[3569][2]~q\ & ((\led_flash_cnt[3569][1]~76847\) # (GND)))
-- \led_flash_cnt[3569][2]~76849\ = CARRY((!\led_flash_cnt[3569][1]~76847\) # (!\led_flash_cnt[3569][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3569][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3569][1]~76847\,
	combout => \led_flash_cnt[3569][2]~76848_combout\,
	cout => \led_flash_cnt[3569][2]~76849\);

-- Location: FF_X21_Y37_N21
\led_flash_cnt[3569][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3569][2]~76848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3569][2]~q\);

-- Location: LCCOMB_X21_Y37_N22
\led_flash_cnt[3569][3]~76850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3569][3]~76850_combout\ = (\led_flash_cnt[3569][3]~q\ & (\led_flash_cnt[3569][2]~76849\ $ (GND))) # (!\led_flash_cnt[3569][3]~q\ & (!\led_flash_cnt[3569][2]~76849\ & VCC))
-- \led_flash_cnt[3569][3]~76851\ = CARRY((\led_flash_cnt[3569][3]~q\ & !\led_flash_cnt[3569][2]~76849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3569][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3569][2]~76849\,
	combout => \led_flash_cnt[3569][3]~76850_combout\,
	cout => \led_flash_cnt[3569][3]~76851\);

-- Location: FF_X21_Y37_N23
\led_flash_cnt[3569][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3569][3]~76850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3569][3]~q\);

-- Location: LCCOMB_X21_Y37_N24
\led_flash_cnt[3569][4]~76852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3569][4]~76852_combout\ = (\led_flash_cnt[3569][4]~q\ & (!\led_flash_cnt[3569][3]~76851\)) # (!\led_flash_cnt[3569][4]~q\ & ((\led_flash_cnt[3569][3]~76851\) # (GND)))
-- \led_flash_cnt[3569][4]~76853\ = CARRY((!\led_flash_cnt[3569][3]~76851\) # (!\led_flash_cnt[3569][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3569][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3569][3]~76851\,
	combout => \led_flash_cnt[3569][4]~76852_combout\,
	cout => \led_flash_cnt[3569][4]~76853\);

-- Location: FF_X21_Y37_N25
\led_flash_cnt[3569][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3569][4]~76852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3569][4]~q\);

-- Location: LCCOMB_X21_Y37_N14
\WideAnd3569~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3569~0_combout\ = (\led_flash_cnt[3569][1]~q\ & (\led_flash_cnt[3569][4]~q\ & (\led_flash_cnt[3569][3]~q\ & \led_flash_cnt[3569][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3569][1]~q\,
	datab => \led_flash_cnt[3569][4]~q\,
	datac => \led_flash_cnt[3569][3]~q\,
	datad => \led_flash_cnt[3569][2]~q\,
	combout => \WideAnd3569~0_combout\);

-- Location: LCCOMB_X21_Y37_N26
\led_flash_cnt[3569][5]~76854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3569][5]~76854_combout\ = (\led_flash_cnt[3569][5]~q\ & (\led_flash_cnt[3569][4]~76853\ $ (GND))) # (!\led_flash_cnt[3569][5]~q\ & (!\led_flash_cnt[3569][4]~76853\ & VCC))
-- \led_flash_cnt[3569][5]~76855\ = CARRY((\led_flash_cnt[3569][5]~q\ & !\led_flash_cnt[3569][4]~76853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3569][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3569][4]~76853\,
	combout => \led_flash_cnt[3569][5]~76854_combout\,
	cout => \led_flash_cnt[3569][5]~76855\);

-- Location: FF_X21_Y37_N27
\led_flash_cnt[3569][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3569][5]~76854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3569][5]~q\);

-- Location: LCCOMB_X21_Y37_N28
\led_flash_cnt[3569][6]~76856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3569][6]~76856_combout\ = (\led_flash_cnt[3569][6]~q\ & (!\led_flash_cnt[3569][5]~76855\)) # (!\led_flash_cnt[3569][6]~q\ & ((\led_flash_cnt[3569][5]~76855\) # (GND)))
-- \led_flash_cnt[3569][6]~76857\ = CARRY((!\led_flash_cnt[3569][5]~76855\) # (!\led_flash_cnt[3569][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3569][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3569][5]~76855\,
	combout => \led_flash_cnt[3569][6]~76856_combout\,
	cout => \led_flash_cnt[3569][6]~76857\);

-- Location: FF_X21_Y37_N29
\led_flash_cnt[3569][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3569][6]~76856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3569][6]~q\);

-- Location: LCCOMB_X21_Y37_N30
\led_flash_cnt[3569][7]~76858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3569][7]~76858_combout\ = \led_flash_cnt[3569][7]~q\ $ (!\led_flash_cnt[3569][6]~76857\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3569][7]~q\,
	cin => \led_flash_cnt[3569][6]~76857\,
	combout => \led_flash_cnt[3569][7]~76858_combout\);

-- Location: FF_X21_Y37_N31
\led_flash_cnt[3569][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3569][7]~76858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3569][7]~q\);

-- Location: LCCOMB_X21_Y37_N2
\WideAnd3569~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3569~1_combout\ = (\led_flash_cnt[3569][5]~q\ & \led_flash_cnt[3569][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3569][5]~q\,
	datad => \led_flash_cnt[3569][6]~q\,
	combout => \WideAnd3569~1_combout\);

-- Location: LCCOMB_X21_Y37_N12
WideAnd3569 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3569~combout\ = (\led_flash_cnt[3569][0]~q\ & (\WideAnd3569~0_combout\ & (\led_flash_cnt[3569][7]~q\ & \WideAnd3569~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3569][0]~q\,
	datab => \WideAnd3569~0_combout\,
	datac => \led_flash_cnt[3569][7]~q\,
	datad => \WideAnd3569~1_combout\,
	combout => \WideAnd3569~combout\);

-- Location: FF_X21_Y37_N13
\led_flash_cnt_ands[3569]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3569~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3569));

-- Location: LCCOMB_X16_Y33_N24
\led_flash_cnt[3570][0]~84210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3570][0]~84210_combout\ = !\led_flash_cnt[3570][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3570][0]~q\,
	combout => \led_flash_cnt[3570][0]~84210_combout\);

-- Location: FF_X16_Y33_N25
\led_flash_cnt[3570][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3570][0]~84210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3570][0]~q\);

-- Location: LCCOMB_X16_Y33_N8
\led_flash_cnt[3570][1]~76860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3570][1]~76860_combout\ = (\led_flash_cnt[3570][1]~q\ & (\led_flash_cnt[3570][0]~q\ $ (VCC))) # (!\led_flash_cnt[3570][1]~q\ & (\led_flash_cnt[3570][0]~q\ & VCC))
-- \led_flash_cnt[3570][1]~76861\ = CARRY((\led_flash_cnt[3570][1]~q\ & \led_flash_cnt[3570][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3570][1]~q\,
	datab => \led_flash_cnt[3570][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3570][1]~76860_combout\,
	cout => \led_flash_cnt[3570][1]~76861\);

-- Location: FF_X16_Y33_N9
\led_flash_cnt[3570][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3570][1]~76860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3570][1]~q\);

-- Location: LCCOMB_X16_Y33_N10
\led_flash_cnt[3570][2]~76862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3570][2]~76862_combout\ = (\led_flash_cnt[3570][2]~q\ & (!\led_flash_cnt[3570][1]~76861\)) # (!\led_flash_cnt[3570][2]~q\ & ((\led_flash_cnt[3570][1]~76861\) # (GND)))
-- \led_flash_cnt[3570][2]~76863\ = CARRY((!\led_flash_cnt[3570][1]~76861\) # (!\led_flash_cnt[3570][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3570][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3570][1]~76861\,
	combout => \led_flash_cnt[3570][2]~76862_combout\,
	cout => \led_flash_cnt[3570][2]~76863\);

-- Location: FF_X16_Y33_N11
\led_flash_cnt[3570][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3570][2]~76862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3570][2]~q\);

-- Location: LCCOMB_X16_Y33_N12
\led_flash_cnt[3570][3]~76864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3570][3]~76864_combout\ = (\led_flash_cnt[3570][3]~q\ & (\led_flash_cnt[3570][2]~76863\ $ (GND))) # (!\led_flash_cnt[3570][3]~q\ & (!\led_flash_cnt[3570][2]~76863\ & VCC))
-- \led_flash_cnt[3570][3]~76865\ = CARRY((\led_flash_cnt[3570][3]~q\ & !\led_flash_cnt[3570][2]~76863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3570][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3570][2]~76863\,
	combout => \led_flash_cnt[3570][3]~76864_combout\,
	cout => \led_flash_cnt[3570][3]~76865\);

-- Location: FF_X16_Y33_N13
\led_flash_cnt[3570][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3570][3]~76864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3570][3]~q\);

-- Location: LCCOMB_X16_Y33_N14
\led_flash_cnt[3570][4]~76866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3570][4]~76866_combout\ = (\led_flash_cnt[3570][4]~q\ & (!\led_flash_cnt[3570][3]~76865\)) # (!\led_flash_cnt[3570][4]~q\ & ((\led_flash_cnt[3570][3]~76865\) # (GND)))
-- \led_flash_cnt[3570][4]~76867\ = CARRY((!\led_flash_cnt[3570][3]~76865\) # (!\led_flash_cnt[3570][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3570][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3570][3]~76865\,
	combout => \led_flash_cnt[3570][4]~76866_combout\,
	cout => \led_flash_cnt[3570][4]~76867\);

-- Location: FF_X16_Y33_N15
\led_flash_cnt[3570][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3570][4]~76866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3570][4]~q\);

-- Location: LCCOMB_X16_Y33_N26
\WideAnd3570~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3570~0_combout\ = (\led_flash_cnt[3570][3]~q\ & (\led_flash_cnt[3570][1]~q\ & (\led_flash_cnt[3570][4]~q\ & \led_flash_cnt[3570][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3570][3]~q\,
	datab => \led_flash_cnt[3570][1]~q\,
	datac => \led_flash_cnt[3570][4]~q\,
	datad => \led_flash_cnt[3570][2]~q\,
	combout => \WideAnd3570~0_combout\);

-- Location: LCCOMB_X16_Y33_N16
\led_flash_cnt[3570][5]~76868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3570][5]~76868_combout\ = (\led_flash_cnt[3570][5]~q\ & (\led_flash_cnt[3570][4]~76867\ $ (GND))) # (!\led_flash_cnt[3570][5]~q\ & (!\led_flash_cnt[3570][4]~76867\ & VCC))
-- \led_flash_cnt[3570][5]~76869\ = CARRY((\led_flash_cnt[3570][5]~q\ & !\led_flash_cnt[3570][4]~76867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3570][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3570][4]~76867\,
	combout => \led_flash_cnt[3570][5]~76868_combout\,
	cout => \led_flash_cnt[3570][5]~76869\);

-- Location: FF_X16_Y33_N17
\led_flash_cnt[3570][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3570][5]~76868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3570][5]~q\);

-- Location: LCCOMB_X16_Y33_N18
\led_flash_cnt[3570][6]~76870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3570][6]~76870_combout\ = (\led_flash_cnt[3570][6]~q\ & (!\led_flash_cnt[3570][5]~76869\)) # (!\led_flash_cnt[3570][6]~q\ & ((\led_flash_cnt[3570][5]~76869\) # (GND)))
-- \led_flash_cnt[3570][6]~76871\ = CARRY((!\led_flash_cnt[3570][5]~76869\) # (!\led_flash_cnt[3570][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3570][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3570][5]~76869\,
	combout => \led_flash_cnt[3570][6]~76870_combout\,
	cout => \led_flash_cnt[3570][6]~76871\);

-- Location: FF_X16_Y33_N19
\led_flash_cnt[3570][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3570][6]~76870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3570][6]~q\);

-- Location: LCCOMB_X16_Y33_N20
\led_flash_cnt[3570][7]~76872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3570][7]~76872_combout\ = \led_flash_cnt[3570][6]~76871\ $ (!\led_flash_cnt[3570][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3570][7]~q\,
	cin => \led_flash_cnt[3570][6]~76871\,
	combout => \led_flash_cnt[3570][7]~76872_combout\);

-- Location: FF_X16_Y33_N21
\led_flash_cnt[3570][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3570][7]~76872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3570][7]~q\);

-- Location: LCCOMB_X16_Y33_N30
\WideAnd3570~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3570~1_combout\ = (\led_flash_cnt[3570][5]~q\ & \led_flash_cnt[3570][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3570][5]~q\,
	datac => \led_flash_cnt[3570][6]~q\,
	combout => \WideAnd3570~1_combout\);

-- Location: LCCOMB_X16_Y33_N22
WideAnd3570 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3570~combout\ = (\WideAnd3570~0_combout\ & (\led_flash_cnt[3570][7]~q\ & (\WideAnd3570~1_combout\ & \led_flash_cnt[3570][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3570~0_combout\,
	datab => \led_flash_cnt[3570][7]~q\,
	datac => \WideAnd3570~1_combout\,
	datad => \led_flash_cnt[3570][0]~q\,
	combout => \WideAnd3570~combout\);

-- Location: FF_X16_Y33_N23
\led_flash_cnt_ands[3570]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3570~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3570));

-- Location: LCCOMB_X21_Y37_N6
\led_flash_cnt[3571][0]~84211\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3571][0]~84211_combout\ = !\led_flash_cnt[3571][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3571][0]~q\,
	combout => \led_flash_cnt[3571][0]~84211_combout\);

-- Location: FF_X21_Y37_N7
\led_flash_cnt[3571][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3571][0]~84211_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3571][0]~q\);

-- Location: LCCOMB_X22_Y37_N0
\led_flash_cnt[3571][1]~76874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3571][1]~76874_combout\ = (\led_flash_cnt[3571][0]~q\ & (\led_flash_cnt[3571][1]~q\ $ (VCC))) # (!\led_flash_cnt[3571][0]~q\ & (\led_flash_cnt[3571][1]~q\ & VCC))
-- \led_flash_cnt[3571][1]~76875\ = CARRY((\led_flash_cnt[3571][0]~q\ & \led_flash_cnt[3571][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3571][0]~q\,
	datab => \led_flash_cnt[3571][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3571][1]~76874_combout\,
	cout => \led_flash_cnt[3571][1]~76875\);

-- Location: FF_X22_Y37_N1
\led_flash_cnt[3571][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3571][1]~76874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3571][1]~q\);

-- Location: LCCOMB_X22_Y37_N2
\led_flash_cnt[3571][2]~76876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3571][2]~76876_combout\ = (\led_flash_cnt[3571][2]~q\ & (!\led_flash_cnt[3571][1]~76875\)) # (!\led_flash_cnt[3571][2]~q\ & ((\led_flash_cnt[3571][1]~76875\) # (GND)))
-- \led_flash_cnt[3571][2]~76877\ = CARRY((!\led_flash_cnt[3571][1]~76875\) # (!\led_flash_cnt[3571][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3571][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3571][1]~76875\,
	combout => \led_flash_cnt[3571][2]~76876_combout\,
	cout => \led_flash_cnt[3571][2]~76877\);

-- Location: FF_X22_Y37_N3
\led_flash_cnt[3571][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3571][2]~76876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3571][2]~q\);

-- Location: LCCOMB_X22_Y37_N4
\led_flash_cnt[3571][3]~76878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3571][3]~76878_combout\ = (\led_flash_cnt[3571][3]~q\ & (\led_flash_cnt[3571][2]~76877\ $ (GND))) # (!\led_flash_cnt[3571][3]~q\ & (!\led_flash_cnt[3571][2]~76877\ & VCC))
-- \led_flash_cnt[3571][3]~76879\ = CARRY((\led_flash_cnt[3571][3]~q\ & !\led_flash_cnt[3571][2]~76877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3571][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3571][2]~76877\,
	combout => \led_flash_cnt[3571][3]~76878_combout\,
	cout => \led_flash_cnt[3571][3]~76879\);

-- Location: FF_X22_Y37_N5
\led_flash_cnt[3571][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3571][3]~76878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3571][3]~q\);

-- Location: LCCOMB_X22_Y37_N6
\led_flash_cnt[3571][4]~76880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3571][4]~76880_combout\ = (\led_flash_cnt[3571][4]~q\ & (!\led_flash_cnt[3571][3]~76879\)) # (!\led_flash_cnt[3571][4]~q\ & ((\led_flash_cnt[3571][3]~76879\) # (GND)))
-- \led_flash_cnt[3571][4]~76881\ = CARRY((!\led_flash_cnt[3571][3]~76879\) # (!\led_flash_cnt[3571][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3571][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3571][3]~76879\,
	combout => \led_flash_cnt[3571][4]~76880_combout\,
	cout => \led_flash_cnt[3571][4]~76881\);

-- Location: FF_X22_Y37_N7
\led_flash_cnt[3571][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3571][4]~76880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3571][4]~q\);

-- Location: LCCOMB_X22_Y37_N30
\WideAnd3571~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3571~0_combout\ = (\led_flash_cnt[3571][4]~q\ & (\led_flash_cnt[3571][1]~q\ & (\led_flash_cnt[3571][3]~q\ & \led_flash_cnt[3571][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3571][4]~q\,
	datab => \led_flash_cnt[3571][1]~q\,
	datac => \led_flash_cnt[3571][3]~q\,
	datad => \led_flash_cnt[3571][2]~q\,
	combout => \WideAnd3571~0_combout\);

-- Location: LCCOMB_X22_Y37_N8
\led_flash_cnt[3571][5]~76882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3571][5]~76882_combout\ = (\led_flash_cnt[3571][5]~q\ & (\led_flash_cnt[3571][4]~76881\ $ (GND))) # (!\led_flash_cnt[3571][5]~q\ & (!\led_flash_cnt[3571][4]~76881\ & VCC))
-- \led_flash_cnt[3571][5]~76883\ = CARRY((\led_flash_cnt[3571][5]~q\ & !\led_flash_cnt[3571][4]~76881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3571][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3571][4]~76881\,
	combout => \led_flash_cnt[3571][5]~76882_combout\,
	cout => \led_flash_cnt[3571][5]~76883\);

-- Location: FF_X22_Y37_N9
\led_flash_cnt[3571][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3571][5]~76882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3571][5]~q\);

-- Location: LCCOMB_X22_Y37_N10
\led_flash_cnt[3571][6]~76884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3571][6]~76884_combout\ = (\led_flash_cnt[3571][6]~q\ & (!\led_flash_cnt[3571][5]~76883\)) # (!\led_flash_cnt[3571][6]~q\ & ((\led_flash_cnt[3571][5]~76883\) # (GND)))
-- \led_flash_cnt[3571][6]~76885\ = CARRY((!\led_flash_cnt[3571][5]~76883\) # (!\led_flash_cnt[3571][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3571][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3571][5]~76883\,
	combout => \led_flash_cnt[3571][6]~76884_combout\,
	cout => \led_flash_cnt[3571][6]~76885\);

-- Location: FF_X22_Y37_N11
\led_flash_cnt[3571][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3571][6]~76884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3571][6]~q\);

-- Location: LCCOMB_X22_Y37_N12
\led_flash_cnt[3571][7]~76886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3571][7]~76886_combout\ = \led_flash_cnt[3571][6]~76885\ $ (!\led_flash_cnt[3571][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3571][7]~q\,
	cin => \led_flash_cnt[3571][6]~76885\,
	combout => \led_flash_cnt[3571][7]~76886_combout\);

-- Location: FF_X22_Y37_N13
\led_flash_cnt[3571][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3571][7]~76886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3571][7]~q\);

-- Location: LCCOMB_X21_Y37_N16
\WideAnd3571~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3571~1_combout\ = (\led_flash_cnt[3571][6]~q\ & \led_flash_cnt[3571][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3571][6]~q\,
	datad => \led_flash_cnt[3571][0]~q\,
	combout => \WideAnd3571~1_combout\);

-- Location: LCCOMB_X21_Y37_N4
WideAnd3571 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3571~combout\ = (\WideAnd3571~0_combout\ & (\led_flash_cnt[3571][7]~q\ & (\led_flash_cnt[3571][5]~q\ & \WideAnd3571~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3571~0_combout\,
	datab => \led_flash_cnt[3571][7]~q\,
	datac => \led_flash_cnt[3571][5]~q\,
	datad => \WideAnd3571~1_combout\,
	combout => \WideAnd3571~combout\);

-- Location: FF_X21_Y37_N5
\led_flash_cnt_ands[3571]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3571~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3571));

-- Location: LCCOMB_X30_Y38_N12
\led_flash_cnt[3568][0]~84208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3568][0]~84208_combout\ = !\led_flash_cnt[3568][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3568][0]~q\,
	combout => \led_flash_cnt[3568][0]~84208_combout\);

-- Location: FF_X30_Y38_N13
\led_flash_cnt[3568][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3568][0]~84208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3568][0]~q\);

-- Location: LCCOMB_X30_Y38_N16
\led_flash_cnt[3568][1]~76832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3568][1]~76832_combout\ = (\led_flash_cnt[3568][0]~q\ & (\led_flash_cnt[3568][1]~q\ $ (VCC))) # (!\led_flash_cnt[3568][0]~q\ & (\led_flash_cnt[3568][1]~q\ & VCC))
-- \led_flash_cnt[3568][1]~76833\ = CARRY((\led_flash_cnt[3568][0]~q\ & \led_flash_cnt[3568][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3568][0]~q\,
	datab => \led_flash_cnt[3568][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3568][1]~76832_combout\,
	cout => \led_flash_cnt[3568][1]~76833\);

-- Location: FF_X30_Y38_N17
\led_flash_cnt[3568][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3568][1]~76832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3568][1]~q\);

-- Location: LCCOMB_X30_Y38_N18
\led_flash_cnt[3568][2]~76834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3568][2]~76834_combout\ = (\led_flash_cnt[3568][2]~q\ & (!\led_flash_cnt[3568][1]~76833\)) # (!\led_flash_cnt[3568][2]~q\ & ((\led_flash_cnt[3568][1]~76833\) # (GND)))
-- \led_flash_cnt[3568][2]~76835\ = CARRY((!\led_flash_cnt[3568][1]~76833\) # (!\led_flash_cnt[3568][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3568][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3568][1]~76833\,
	combout => \led_flash_cnt[3568][2]~76834_combout\,
	cout => \led_flash_cnt[3568][2]~76835\);

-- Location: FF_X30_Y38_N19
\led_flash_cnt[3568][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3568][2]~76834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3568][2]~q\);

-- Location: LCCOMB_X30_Y38_N20
\led_flash_cnt[3568][3]~76836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3568][3]~76836_combout\ = (\led_flash_cnt[3568][3]~q\ & (\led_flash_cnt[3568][2]~76835\ $ (GND))) # (!\led_flash_cnt[3568][3]~q\ & (!\led_flash_cnt[3568][2]~76835\ & VCC))
-- \led_flash_cnt[3568][3]~76837\ = CARRY((\led_flash_cnt[3568][3]~q\ & !\led_flash_cnt[3568][2]~76835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3568][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3568][2]~76835\,
	combout => \led_flash_cnt[3568][3]~76836_combout\,
	cout => \led_flash_cnt[3568][3]~76837\);

-- Location: FF_X30_Y38_N21
\led_flash_cnt[3568][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3568][3]~76836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3568][3]~q\);

-- Location: LCCOMB_X30_Y38_N22
\led_flash_cnt[3568][4]~76838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3568][4]~76838_combout\ = (\led_flash_cnt[3568][4]~q\ & (!\led_flash_cnt[3568][3]~76837\)) # (!\led_flash_cnt[3568][4]~q\ & ((\led_flash_cnt[3568][3]~76837\) # (GND)))
-- \led_flash_cnt[3568][4]~76839\ = CARRY((!\led_flash_cnt[3568][3]~76837\) # (!\led_flash_cnt[3568][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3568][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3568][3]~76837\,
	combout => \led_flash_cnt[3568][4]~76838_combout\,
	cout => \led_flash_cnt[3568][4]~76839\);

-- Location: FF_X30_Y38_N23
\led_flash_cnt[3568][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3568][4]~76838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3568][4]~q\);

-- Location: LCCOMB_X30_Y38_N24
\led_flash_cnt[3568][5]~76840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3568][5]~76840_combout\ = (\led_flash_cnt[3568][5]~q\ & (\led_flash_cnt[3568][4]~76839\ $ (GND))) # (!\led_flash_cnt[3568][5]~q\ & (!\led_flash_cnt[3568][4]~76839\ & VCC))
-- \led_flash_cnt[3568][5]~76841\ = CARRY((\led_flash_cnt[3568][5]~q\ & !\led_flash_cnt[3568][4]~76839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3568][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3568][4]~76839\,
	combout => \led_flash_cnt[3568][5]~76840_combout\,
	cout => \led_flash_cnt[3568][5]~76841\);

-- Location: FF_X30_Y38_N25
\led_flash_cnt[3568][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3568][5]~76840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3568][5]~q\);

-- Location: LCCOMB_X30_Y38_N26
\led_flash_cnt[3568][6]~76842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3568][6]~76842_combout\ = (\led_flash_cnt[3568][6]~q\ & (!\led_flash_cnt[3568][5]~76841\)) # (!\led_flash_cnt[3568][6]~q\ & ((\led_flash_cnt[3568][5]~76841\) # (GND)))
-- \led_flash_cnt[3568][6]~76843\ = CARRY((!\led_flash_cnt[3568][5]~76841\) # (!\led_flash_cnt[3568][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3568][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3568][5]~76841\,
	combout => \led_flash_cnt[3568][6]~76842_combout\,
	cout => \led_flash_cnt[3568][6]~76843\);

-- Location: FF_X30_Y38_N27
\led_flash_cnt[3568][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3568][6]~76842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3568][6]~q\);

-- Location: LCCOMB_X30_Y38_N28
\led_flash_cnt[3568][7]~76844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3568][7]~76844_combout\ = \led_flash_cnt[3568][6]~76843\ $ (!\led_flash_cnt[3568][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3568][7]~q\,
	cin => \led_flash_cnt[3568][6]~76843\,
	combout => \led_flash_cnt[3568][7]~76844_combout\);

-- Location: FF_X30_Y38_N29
\led_flash_cnt[3568][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3568][7]~76844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3568][7]~q\);

-- Location: LCCOMB_X30_Y38_N4
\WideAnd3568~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3568~1_combout\ = (\led_flash_cnt[3568][6]~q\ & \led_flash_cnt[3568][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3568][6]~q\,
	datad => \led_flash_cnt[3568][5]~q\,
	combout => \WideAnd3568~1_combout\);

-- Location: LCCOMB_X30_Y38_N6
\WideAnd3568~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3568~0_combout\ = (\led_flash_cnt[3568][1]~q\ & (\led_flash_cnt[3568][3]~q\ & (\led_flash_cnt[3568][4]~q\ & \led_flash_cnt[3568][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3568][1]~q\,
	datab => \led_flash_cnt[3568][3]~q\,
	datac => \led_flash_cnt[3568][4]~q\,
	datad => \led_flash_cnt[3568][2]~q\,
	combout => \WideAnd3568~0_combout\);

-- Location: LCCOMB_X30_Y38_N14
WideAnd3568 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3568~combout\ = (\led_flash_cnt[3568][0]~q\ & (\led_flash_cnt[3568][7]~q\ & (\WideAnd3568~1_combout\ & \WideAnd3568~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3568][0]~q\,
	datab => \led_flash_cnt[3568][7]~q\,
	datac => \WideAnd3568~1_combout\,
	datad => \WideAnd3568~0_combout\,
	combout => \WideAnd3568~combout\);

-- Location: FF_X30_Y38_N15
\led_flash_cnt_ands[3568]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3568~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3568));

-- Location: LCCOMB_X21_Y37_N8
\WideAnd4286~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4286~0_combout\ = (led_flash_cnt_ands(3569) & (led_flash_cnt_ands(3570) & (led_flash_cnt_ands(3571) & led_flash_cnt_ands(3568))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3569),
	datab => led_flash_cnt_ands(3570),
	datac => led_flash_cnt_ands(3571),
	datad => led_flash_cnt_ands(3568),
	combout => \WideAnd4286~0_combout\);

-- Location: LCCOMB_X12_Y30_N12
\led_flash_cnt[3574][0]~84214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3574][0]~84214_combout\ = !\led_flash_cnt[3574][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3574][0]~q\,
	combout => \led_flash_cnt[3574][0]~84214_combout\);

-- Location: FF_X12_Y30_N13
\led_flash_cnt[3574][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3574][0]~84214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3574][0]~q\);

-- Location: LCCOMB_X12_Y30_N14
\led_flash_cnt[3574][1]~76916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3574][1]~76916_combout\ = (\led_flash_cnt[3574][0]~q\ & (\led_flash_cnt[3574][1]~q\ $ (VCC))) # (!\led_flash_cnt[3574][0]~q\ & (\led_flash_cnt[3574][1]~q\ & VCC))
-- \led_flash_cnt[3574][1]~76917\ = CARRY((\led_flash_cnt[3574][0]~q\ & \led_flash_cnt[3574][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3574][0]~q\,
	datab => \led_flash_cnt[3574][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3574][1]~76916_combout\,
	cout => \led_flash_cnt[3574][1]~76917\);

-- Location: FF_X12_Y30_N15
\led_flash_cnt[3574][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3574][1]~76916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3574][1]~q\);

-- Location: LCCOMB_X12_Y30_N16
\led_flash_cnt[3574][2]~76918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3574][2]~76918_combout\ = (\led_flash_cnt[3574][2]~q\ & (!\led_flash_cnt[3574][1]~76917\)) # (!\led_flash_cnt[3574][2]~q\ & ((\led_flash_cnt[3574][1]~76917\) # (GND)))
-- \led_flash_cnt[3574][2]~76919\ = CARRY((!\led_flash_cnt[3574][1]~76917\) # (!\led_flash_cnt[3574][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3574][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3574][1]~76917\,
	combout => \led_flash_cnt[3574][2]~76918_combout\,
	cout => \led_flash_cnt[3574][2]~76919\);

-- Location: FF_X12_Y30_N17
\led_flash_cnt[3574][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3574][2]~76918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3574][2]~q\);

-- Location: LCCOMB_X12_Y30_N18
\led_flash_cnt[3574][3]~76920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3574][3]~76920_combout\ = (\led_flash_cnt[3574][3]~q\ & (\led_flash_cnt[3574][2]~76919\ $ (GND))) # (!\led_flash_cnt[3574][3]~q\ & (!\led_flash_cnt[3574][2]~76919\ & VCC))
-- \led_flash_cnt[3574][3]~76921\ = CARRY((\led_flash_cnt[3574][3]~q\ & !\led_flash_cnt[3574][2]~76919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3574][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3574][2]~76919\,
	combout => \led_flash_cnt[3574][3]~76920_combout\,
	cout => \led_flash_cnt[3574][3]~76921\);

-- Location: FF_X12_Y30_N19
\led_flash_cnt[3574][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3574][3]~76920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3574][3]~q\);

-- Location: LCCOMB_X12_Y30_N20
\led_flash_cnt[3574][4]~76922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3574][4]~76922_combout\ = (\led_flash_cnt[3574][4]~q\ & (!\led_flash_cnt[3574][3]~76921\)) # (!\led_flash_cnt[3574][4]~q\ & ((\led_flash_cnt[3574][3]~76921\) # (GND)))
-- \led_flash_cnt[3574][4]~76923\ = CARRY((!\led_flash_cnt[3574][3]~76921\) # (!\led_flash_cnt[3574][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3574][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3574][3]~76921\,
	combout => \led_flash_cnt[3574][4]~76922_combout\,
	cout => \led_flash_cnt[3574][4]~76923\);

-- Location: FF_X12_Y30_N21
\led_flash_cnt[3574][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3574][4]~76922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3574][4]~q\);

-- Location: LCCOMB_X12_Y30_N22
\led_flash_cnt[3574][5]~76924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3574][5]~76924_combout\ = (\led_flash_cnt[3574][5]~q\ & (\led_flash_cnt[3574][4]~76923\ $ (GND))) # (!\led_flash_cnt[3574][5]~q\ & (!\led_flash_cnt[3574][4]~76923\ & VCC))
-- \led_flash_cnt[3574][5]~76925\ = CARRY((\led_flash_cnt[3574][5]~q\ & !\led_flash_cnt[3574][4]~76923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3574][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3574][4]~76923\,
	combout => \led_flash_cnt[3574][5]~76924_combout\,
	cout => \led_flash_cnt[3574][5]~76925\);

-- Location: FF_X12_Y30_N23
\led_flash_cnt[3574][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3574][5]~76924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3574][5]~q\);

-- Location: LCCOMB_X12_Y30_N24
\led_flash_cnt[3574][6]~76926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3574][6]~76926_combout\ = (\led_flash_cnt[3574][6]~q\ & (!\led_flash_cnt[3574][5]~76925\)) # (!\led_flash_cnt[3574][6]~q\ & ((\led_flash_cnt[3574][5]~76925\) # (GND)))
-- \led_flash_cnt[3574][6]~76927\ = CARRY((!\led_flash_cnt[3574][5]~76925\) # (!\led_flash_cnt[3574][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3574][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3574][5]~76925\,
	combout => \led_flash_cnt[3574][6]~76926_combout\,
	cout => \led_flash_cnt[3574][6]~76927\);

-- Location: FF_X12_Y30_N25
\led_flash_cnt[3574][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3574][6]~76926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3574][6]~q\);

-- Location: LCCOMB_X12_Y30_N10
\WideAnd3574~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3574~1_combout\ = (\led_flash_cnt[3574][5]~q\ & \led_flash_cnt[3574][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3574][5]~q\,
	datad => \led_flash_cnt[3574][6]~q\,
	combout => \WideAnd3574~1_combout\);

-- Location: LCCOMB_X12_Y30_N28
\WideAnd3574~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3574~0_combout\ = (\led_flash_cnt[3574][2]~q\ & (\led_flash_cnt[3574][3]~q\ & (\led_flash_cnt[3574][1]~q\ & \led_flash_cnt[3574][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3574][2]~q\,
	datab => \led_flash_cnt[3574][3]~q\,
	datac => \led_flash_cnt[3574][1]~q\,
	datad => \led_flash_cnt[3574][4]~q\,
	combout => \WideAnd3574~0_combout\);

-- Location: LCCOMB_X12_Y30_N26
\led_flash_cnt[3574][7]~76928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3574][7]~76928_combout\ = \led_flash_cnt[3574][7]~q\ $ (!\led_flash_cnt[3574][6]~76927\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3574][7]~q\,
	cin => \led_flash_cnt[3574][6]~76927\,
	combout => \led_flash_cnt[3574][7]~76928_combout\);

-- Location: FF_X12_Y30_N27
\led_flash_cnt[3574][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3574][7]~76928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3574][7]~q\);

-- Location: LCCOMB_X12_Y30_N0
WideAnd3574 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3574~combout\ = (\WideAnd3574~1_combout\ & (\WideAnd3574~0_combout\ & (\led_flash_cnt[3574][7]~q\ & \led_flash_cnt[3574][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3574~1_combout\,
	datab => \WideAnd3574~0_combout\,
	datac => \led_flash_cnt[3574][7]~q\,
	datad => \led_flash_cnt[3574][0]~q\,
	combout => \WideAnd3574~combout\);

-- Location: FF_X12_Y30_N1
\led_flash_cnt_ands[3574]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3574~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3574));

-- Location: LCCOMB_X12_Y30_N8
WideAnd4286 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4286~combout\ = (led_flash_cnt_ands(3575) & (\WideAnd4286~1_combout\ & (\WideAnd4286~0_combout\ & led_flash_cnt_ands(3574))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3575),
	datab => \WideAnd4286~1_combout\,
	datac => \WideAnd4286~0_combout\,
	datad => led_flash_cnt_ands(3574),
	combout => \WideAnd4286~combout\);

-- Location: FF_X12_Y30_N9
\led_flash_cnt_ands_1[446]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4286~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(446));

-- Location: LCCOMB_X43_Y28_N0
\led_flash_cnt[3550][0]~84190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3550][0]~84190_combout\ = !\led_flash_cnt[3550][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3550][0]~q\,
	combout => \led_flash_cnt[3550][0]~84190_combout\);

-- Location: FF_X43_Y28_N1
\led_flash_cnt[3550][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3550][0]~84190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3550][0]~q\);

-- Location: LCCOMB_X44_Y29_N14
\led_flash_cnt[3550][1]~76580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3550][1]~76580_combout\ = (\led_flash_cnt[3550][0]~q\ & (\led_flash_cnt[3550][1]~q\ $ (VCC))) # (!\led_flash_cnt[3550][0]~q\ & (\led_flash_cnt[3550][1]~q\ & VCC))
-- \led_flash_cnt[3550][1]~76581\ = CARRY((\led_flash_cnt[3550][0]~q\ & \led_flash_cnt[3550][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3550][0]~q\,
	datab => \led_flash_cnt[3550][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3550][1]~76580_combout\,
	cout => \led_flash_cnt[3550][1]~76581\);

-- Location: FF_X44_Y29_N15
\led_flash_cnt[3550][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3550][1]~76580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3550][1]~q\);

-- Location: LCCOMB_X44_Y29_N16
\led_flash_cnt[3550][2]~76582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3550][2]~76582_combout\ = (\led_flash_cnt[3550][2]~q\ & (!\led_flash_cnt[3550][1]~76581\)) # (!\led_flash_cnt[3550][2]~q\ & ((\led_flash_cnt[3550][1]~76581\) # (GND)))
-- \led_flash_cnt[3550][2]~76583\ = CARRY((!\led_flash_cnt[3550][1]~76581\) # (!\led_flash_cnt[3550][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3550][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3550][1]~76581\,
	combout => \led_flash_cnt[3550][2]~76582_combout\,
	cout => \led_flash_cnt[3550][2]~76583\);

-- Location: FF_X44_Y29_N17
\led_flash_cnt[3550][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3550][2]~76582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3550][2]~q\);

-- Location: LCCOMB_X44_Y29_N18
\led_flash_cnt[3550][3]~76584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3550][3]~76584_combout\ = (\led_flash_cnt[3550][3]~q\ & (\led_flash_cnt[3550][2]~76583\ $ (GND))) # (!\led_flash_cnt[3550][3]~q\ & (!\led_flash_cnt[3550][2]~76583\ & VCC))
-- \led_flash_cnt[3550][3]~76585\ = CARRY((\led_flash_cnt[3550][3]~q\ & !\led_flash_cnt[3550][2]~76583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3550][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3550][2]~76583\,
	combout => \led_flash_cnt[3550][3]~76584_combout\,
	cout => \led_flash_cnt[3550][3]~76585\);

-- Location: FF_X44_Y29_N19
\led_flash_cnt[3550][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3550][3]~76584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3550][3]~q\);

-- Location: LCCOMB_X44_Y29_N20
\led_flash_cnt[3550][4]~76586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3550][4]~76586_combout\ = (\led_flash_cnt[3550][4]~q\ & (!\led_flash_cnt[3550][3]~76585\)) # (!\led_flash_cnt[3550][4]~q\ & ((\led_flash_cnt[3550][3]~76585\) # (GND)))
-- \led_flash_cnt[3550][4]~76587\ = CARRY((!\led_flash_cnt[3550][3]~76585\) # (!\led_flash_cnt[3550][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3550][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3550][3]~76585\,
	combout => \led_flash_cnt[3550][4]~76586_combout\,
	cout => \led_flash_cnt[3550][4]~76587\);

-- Location: FF_X44_Y29_N21
\led_flash_cnt[3550][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3550][4]~76586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3550][4]~q\);

-- Location: LCCOMB_X44_Y29_N22
\led_flash_cnt[3550][5]~76588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3550][5]~76588_combout\ = (\led_flash_cnt[3550][5]~q\ & (\led_flash_cnt[3550][4]~76587\ $ (GND))) # (!\led_flash_cnt[3550][5]~q\ & (!\led_flash_cnt[3550][4]~76587\ & VCC))
-- \led_flash_cnt[3550][5]~76589\ = CARRY((\led_flash_cnt[3550][5]~q\ & !\led_flash_cnt[3550][4]~76587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3550][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3550][4]~76587\,
	combout => \led_flash_cnt[3550][5]~76588_combout\,
	cout => \led_flash_cnt[3550][5]~76589\);

-- Location: FF_X44_Y29_N23
\led_flash_cnt[3550][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3550][5]~76588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3550][5]~q\);

-- Location: LCCOMB_X44_Y29_N24
\led_flash_cnt[3550][6]~76590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3550][6]~76590_combout\ = (\led_flash_cnt[3550][6]~q\ & (!\led_flash_cnt[3550][5]~76589\)) # (!\led_flash_cnt[3550][6]~q\ & ((\led_flash_cnt[3550][5]~76589\) # (GND)))
-- \led_flash_cnt[3550][6]~76591\ = CARRY((!\led_flash_cnt[3550][5]~76589\) # (!\led_flash_cnt[3550][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3550][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3550][5]~76589\,
	combout => \led_flash_cnt[3550][6]~76590_combout\,
	cout => \led_flash_cnt[3550][6]~76591\);

-- Location: FF_X44_Y29_N25
\led_flash_cnt[3550][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3550][6]~76590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3550][6]~q\);

-- Location: LCCOMB_X44_Y29_N28
\WideAnd3550~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3550~1_combout\ = (\led_flash_cnt[3550][5]~q\ & \led_flash_cnt[3550][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3550][5]~q\,
	datad => \led_flash_cnt[3550][6]~q\,
	combout => \WideAnd3550~1_combout\);

-- Location: LCCOMB_X44_Y29_N26
\led_flash_cnt[3550][7]~76592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3550][7]~76592_combout\ = \led_flash_cnt[3550][7]~q\ $ (!\led_flash_cnt[3550][6]~76591\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3550][7]~q\,
	cin => \led_flash_cnt[3550][6]~76591\,
	combout => \led_flash_cnt[3550][7]~76592_combout\);

-- Location: FF_X44_Y29_N27
\led_flash_cnt[3550][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3550][7]~76592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3550][7]~q\);

-- Location: LCCOMB_X44_Y29_N10
\WideAnd3550~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3550~0_combout\ = (\led_flash_cnt[3550][4]~q\ & (\led_flash_cnt[3550][2]~q\ & (\led_flash_cnt[3550][1]~q\ & \led_flash_cnt[3550][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3550][4]~q\,
	datab => \led_flash_cnt[3550][2]~q\,
	datac => \led_flash_cnt[3550][1]~q\,
	datad => \led_flash_cnt[3550][3]~q\,
	combout => \WideAnd3550~0_combout\);

-- Location: LCCOMB_X44_Y29_N4
WideAnd3550 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3550~combout\ = (\led_flash_cnt[3550][0]~q\ & (\WideAnd3550~1_combout\ & (\led_flash_cnt[3550][7]~q\ & \WideAnd3550~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3550][0]~q\,
	datab => \WideAnd3550~1_combout\,
	datac => \led_flash_cnt[3550][7]~q\,
	datad => \WideAnd3550~0_combout\,
	combout => \WideAnd3550~combout\);

-- Location: FF_X44_Y29_N5
\led_flash_cnt_ands[3550]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3550~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3550));

-- Location: LCCOMB_X43_Y26_N28
\led_flash_cnt[3551][0]~84191\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3551][0]~84191_combout\ = !\led_flash_cnt[3551][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3551][0]~q\,
	combout => \led_flash_cnt[3551][0]~84191_combout\);

-- Location: FF_X43_Y26_N29
\led_flash_cnt[3551][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3551][0]~84191_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3551][0]~q\);

-- Location: LCCOMB_X43_Y30_N4
\led_flash_cnt[3551][1]~76594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3551][1]~76594_combout\ = (\led_flash_cnt[3551][0]~q\ & (\led_flash_cnt[3551][1]~q\ $ (VCC))) # (!\led_flash_cnt[3551][0]~q\ & (\led_flash_cnt[3551][1]~q\ & VCC))
-- \led_flash_cnt[3551][1]~76595\ = CARRY((\led_flash_cnt[3551][0]~q\ & \led_flash_cnt[3551][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3551][0]~q\,
	datab => \led_flash_cnt[3551][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3551][1]~76594_combout\,
	cout => \led_flash_cnt[3551][1]~76595\);

-- Location: FF_X43_Y30_N5
\led_flash_cnt[3551][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3551][1]~76594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3551][1]~q\);

-- Location: LCCOMB_X43_Y30_N6
\led_flash_cnt[3551][2]~76596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3551][2]~76596_combout\ = (\led_flash_cnt[3551][2]~q\ & (!\led_flash_cnt[3551][1]~76595\)) # (!\led_flash_cnt[3551][2]~q\ & ((\led_flash_cnt[3551][1]~76595\) # (GND)))
-- \led_flash_cnt[3551][2]~76597\ = CARRY((!\led_flash_cnt[3551][1]~76595\) # (!\led_flash_cnt[3551][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3551][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3551][1]~76595\,
	combout => \led_flash_cnt[3551][2]~76596_combout\,
	cout => \led_flash_cnt[3551][2]~76597\);

-- Location: FF_X43_Y30_N7
\led_flash_cnt[3551][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3551][2]~76596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3551][2]~q\);

-- Location: LCCOMB_X43_Y30_N8
\led_flash_cnt[3551][3]~76598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3551][3]~76598_combout\ = (\led_flash_cnt[3551][3]~q\ & (\led_flash_cnt[3551][2]~76597\ $ (GND))) # (!\led_flash_cnt[3551][3]~q\ & (!\led_flash_cnt[3551][2]~76597\ & VCC))
-- \led_flash_cnt[3551][3]~76599\ = CARRY((\led_flash_cnt[3551][3]~q\ & !\led_flash_cnt[3551][2]~76597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3551][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3551][2]~76597\,
	combout => \led_flash_cnt[3551][3]~76598_combout\,
	cout => \led_flash_cnt[3551][3]~76599\);

-- Location: FF_X43_Y30_N9
\led_flash_cnt[3551][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3551][3]~76598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3551][3]~q\);

-- Location: LCCOMB_X43_Y30_N10
\led_flash_cnt[3551][4]~76600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3551][4]~76600_combout\ = (\led_flash_cnt[3551][4]~q\ & (!\led_flash_cnt[3551][3]~76599\)) # (!\led_flash_cnt[3551][4]~q\ & ((\led_flash_cnt[3551][3]~76599\) # (GND)))
-- \led_flash_cnt[3551][4]~76601\ = CARRY((!\led_flash_cnt[3551][3]~76599\) # (!\led_flash_cnt[3551][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3551][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3551][3]~76599\,
	combout => \led_flash_cnt[3551][4]~76600_combout\,
	cout => \led_flash_cnt[3551][4]~76601\);

-- Location: FF_X43_Y30_N11
\led_flash_cnt[3551][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3551][4]~76600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3551][4]~q\);

-- Location: LCCOMB_X43_Y30_N12
\led_flash_cnt[3551][5]~76602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3551][5]~76602_combout\ = (\led_flash_cnt[3551][5]~q\ & (\led_flash_cnt[3551][4]~76601\ $ (GND))) # (!\led_flash_cnt[3551][5]~q\ & (!\led_flash_cnt[3551][4]~76601\ & VCC))
-- \led_flash_cnt[3551][5]~76603\ = CARRY((\led_flash_cnt[3551][5]~q\ & !\led_flash_cnt[3551][4]~76601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3551][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3551][4]~76601\,
	combout => \led_flash_cnt[3551][5]~76602_combout\,
	cout => \led_flash_cnt[3551][5]~76603\);

-- Location: FF_X43_Y30_N13
\led_flash_cnt[3551][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3551][5]~76602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3551][5]~q\);

-- Location: LCCOMB_X43_Y30_N14
\led_flash_cnt[3551][6]~76604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3551][6]~76604_combout\ = (\led_flash_cnt[3551][6]~q\ & (!\led_flash_cnt[3551][5]~76603\)) # (!\led_flash_cnt[3551][6]~q\ & ((\led_flash_cnt[3551][5]~76603\) # (GND)))
-- \led_flash_cnt[3551][6]~76605\ = CARRY((!\led_flash_cnt[3551][5]~76603\) # (!\led_flash_cnt[3551][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3551][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3551][5]~76603\,
	combout => \led_flash_cnt[3551][6]~76604_combout\,
	cout => \led_flash_cnt[3551][6]~76605\);

-- Location: FF_X43_Y30_N15
\led_flash_cnt[3551][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3551][6]~76604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3551][6]~q\);

-- Location: LCCOMB_X43_Y26_N30
\WideAnd3551~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3551~1_combout\ = (\led_flash_cnt[3551][5]~q\ & \led_flash_cnt[3551][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3551][5]~q\,
	datad => \led_flash_cnt[3551][6]~q\,
	combout => \WideAnd3551~1_combout\);

-- Location: LCCOMB_X43_Y30_N0
\WideAnd3551~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3551~0_combout\ = (\led_flash_cnt[3551][4]~q\ & (\led_flash_cnt[3551][3]~q\ & (\led_flash_cnt[3551][1]~q\ & \led_flash_cnt[3551][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3551][4]~q\,
	datab => \led_flash_cnt[3551][3]~q\,
	datac => \led_flash_cnt[3551][1]~q\,
	datad => \led_flash_cnt[3551][2]~q\,
	combout => \WideAnd3551~0_combout\);

-- Location: LCCOMB_X43_Y30_N16
\led_flash_cnt[3551][7]~76606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3551][7]~76606_combout\ = \led_flash_cnt[3551][6]~76605\ $ (!\led_flash_cnt[3551][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3551][7]~q\,
	cin => \led_flash_cnt[3551][6]~76605\,
	combout => \led_flash_cnt[3551][7]~76606_combout\);

-- Location: FF_X43_Y30_N17
\led_flash_cnt[3551][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3551][7]~76606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3551][7]~q\);

-- Location: LCCOMB_X43_Y26_N2
WideAnd3551 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3551~combout\ = (\WideAnd3551~1_combout\ & (\led_flash_cnt[3551][0]~q\ & (\WideAnd3551~0_combout\ & \led_flash_cnt[3551][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3551~1_combout\,
	datab => \led_flash_cnt[3551][0]~q\,
	datac => \WideAnd3551~0_combout\,
	datad => \led_flash_cnt[3551][7]~q\,
	combout => \WideAnd3551~combout\);

-- Location: FF_X43_Y26_N3
\led_flash_cnt_ands[3551]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3551~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3551));

-- Location: LCCOMB_X47_Y29_N4
\led_flash_cnt[3547][0]~84187\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3547][0]~84187_combout\ = !\led_flash_cnt[3547][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3547][0]~q\,
	combout => \led_flash_cnt[3547][0]~84187_combout\);

-- Location: FF_X47_Y29_N5
\led_flash_cnt[3547][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3547][0]~84187_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3547][0]~q\);

-- Location: LCCOMB_X47_Y29_N18
\led_flash_cnt[3547][1]~76538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3547][1]~76538_combout\ = (\led_flash_cnt[3547][1]~q\ & (\led_flash_cnt[3547][0]~q\ $ (VCC))) # (!\led_flash_cnt[3547][1]~q\ & (\led_flash_cnt[3547][0]~q\ & VCC))
-- \led_flash_cnt[3547][1]~76539\ = CARRY((\led_flash_cnt[3547][1]~q\ & \led_flash_cnt[3547][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3547][1]~q\,
	datab => \led_flash_cnt[3547][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3547][1]~76538_combout\,
	cout => \led_flash_cnt[3547][1]~76539\);

-- Location: FF_X47_Y29_N19
\led_flash_cnt[3547][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3547][1]~76538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3547][1]~q\);

-- Location: LCCOMB_X47_Y29_N20
\led_flash_cnt[3547][2]~76540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3547][2]~76540_combout\ = (\led_flash_cnt[3547][2]~q\ & (!\led_flash_cnt[3547][1]~76539\)) # (!\led_flash_cnt[3547][2]~q\ & ((\led_flash_cnt[3547][1]~76539\) # (GND)))
-- \led_flash_cnt[3547][2]~76541\ = CARRY((!\led_flash_cnt[3547][1]~76539\) # (!\led_flash_cnt[3547][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3547][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3547][1]~76539\,
	combout => \led_flash_cnt[3547][2]~76540_combout\,
	cout => \led_flash_cnt[3547][2]~76541\);

-- Location: FF_X47_Y29_N21
\led_flash_cnt[3547][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3547][2]~76540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3547][2]~q\);

-- Location: LCCOMB_X47_Y29_N22
\led_flash_cnt[3547][3]~76542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3547][3]~76542_combout\ = (\led_flash_cnt[3547][3]~q\ & (\led_flash_cnt[3547][2]~76541\ $ (GND))) # (!\led_flash_cnt[3547][3]~q\ & (!\led_flash_cnt[3547][2]~76541\ & VCC))
-- \led_flash_cnt[3547][3]~76543\ = CARRY((\led_flash_cnt[3547][3]~q\ & !\led_flash_cnt[3547][2]~76541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3547][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3547][2]~76541\,
	combout => \led_flash_cnt[3547][3]~76542_combout\,
	cout => \led_flash_cnt[3547][3]~76543\);

-- Location: FF_X47_Y29_N23
\led_flash_cnt[3547][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3547][3]~76542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3547][3]~q\);

-- Location: LCCOMB_X47_Y29_N24
\led_flash_cnt[3547][4]~76544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3547][4]~76544_combout\ = (\led_flash_cnt[3547][4]~q\ & (!\led_flash_cnt[3547][3]~76543\)) # (!\led_flash_cnt[3547][4]~q\ & ((\led_flash_cnt[3547][3]~76543\) # (GND)))
-- \led_flash_cnt[3547][4]~76545\ = CARRY((!\led_flash_cnt[3547][3]~76543\) # (!\led_flash_cnt[3547][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3547][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3547][3]~76543\,
	combout => \led_flash_cnt[3547][4]~76544_combout\,
	cout => \led_flash_cnt[3547][4]~76545\);

-- Location: FF_X47_Y29_N25
\led_flash_cnt[3547][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3547][4]~76544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3547][4]~q\);

-- Location: LCCOMB_X47_Y29_N26
\led_flash_cnt[3547][5]~76546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3547][5]~76546_combout\ = (\led_flash_cnt[3547][5]~q\ & (\led_flash_cnt[3547][4]~76545\ $ (GND))) # (!\led_flash_cnt[3547][5]~q\ & (!\led_flash_cnt[3547][4]~76545\ & VCC))
-- \led_flash_cnt[3547][5]~76547\ = CARRY((\led_flash_cnt[3547][5]~q\ & !\led_flash_cnt[3547][4]~76545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3547][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3547][4]~76545\,
	combout => \led_flash_cnt[3547][5]~76546_combout\,
	cout => \led_flash_cnt[3547][5]~76547\);

-- Location: FF_X47_Y29_N27
\led_flash_cnt[3547][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3547][5]~76546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3547][5]~q\);

-- Location: LCCOMB_X47_Y29_N28
\led_flash_cnt[3547][6]~76548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3547][6]~76548_combout\ = (\led_flash_cnt[3547][6]~q\ & (!\led_flash_cnt[3547][5]~76547\)) # (!\led_flash_cnt[3547][6]~q\ & ((\led_flash_cnt[3547][5]~76547\) # (GND)))
-- \led_flash_cnt[3547][6]~76549\ = CARRY((!\led_flash_cnt[3547][5]~76547\) # (!\led_flash_cnt[3547][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3547][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3547][5]~76547\,
	combout => \led_flash_cnt[3547][6]~76548_combout\,
	cout => \led_flash_cnt[3547][6]~76549\);

-- Location: FF_X47_Y29_N29
\led_flash_cnt[3547][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3547][6]~76548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3547][6]~q\);

-- Location: LCCOMB_X47_Y29_N10
\WideAnd3547~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3547~1_combout\ = (\led_flash_cnt[3547][5]~q\ & \led_flash_cnt[3547][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3547][5]~q\,
	datad => \led_flash_cnt[3547][6]~q\,
	combout => \WideAnd3547~1_combout\);

-- Location: LCCOMB_X47_Y29_N30
\led_flash_cnt[3547][7]~76550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3547][7]~76550_combout\ = \led_flash_cnt[3547][7]~q\ $ (!\led_flash_cnt[3547][6]~76549\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3547][7]~q\,
	cin => \led_flash_cnt[3547][6]~76549\,
	combout => \led_flash_cnt[3547][7]~76550_combout\);

-- Location: FF_X47_Y29_N31
\led_flash_cnt[3547][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3547][7]~76550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3547][7]~q\);

-- Location: LCCOMB_X47_Y29_N12
\WideAnd3547~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3547~0_combout\ = (\led_flash_cnt[3547][1]~q\ & (\led_flash_cnt[3547][4]~q\ & (\led_flash_cnt[3547][3]~q\ & \led_flash_cnt[3547][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3547][1]~q\,
	datab => \led_flash_cnt[3547][4]~q\,
	datac => \led_flash_cnt[3547][3]~q\,
	datad => \led_flash_cnt[3547][2]~q\,
	combout => \WideAnd3547~0_combout\);

-- Location: LCCOMB_X47_Y29_N14
WideAnd3547 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3547~combout\ = (\WideAnd3547~1_combout\ & (\led_flash_cnt[3547][0]~q\ & (\led_flash_cnt[3547][7]~q\ & \WideAnd3547~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3547~1_combout\,
	datab => \led_flash_cnt[3547][0]~q\,
	datac => \led_flash_cnt[3547][7]~q\,
	datad => \WideAnd3547~0_combout\,
	combout => \WideAnd3547~combout\);

-- Location: FF_X47_Y29_N15
\led_flash_cnt_ands[3547]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3547~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3547));

-- Location: LCCOMB_X59_Y25_N2
\led_flash_cnt[3546][0]~84186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3546][0]~84186_combout\ = !\led_flash_cnt[3546][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3546][0]~q\,
	combout => \led_flash_cnt[3546][0]~84186_combout\);

-- Location: FF_X59_Y25_N3
\led_flash_cnt[3546][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3546][0]~84186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3546][0]~q\);

-- Location: LCCOMB_X58_Y25_N16
\led_flash_cnt[3546][1]~76524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3546][1]~76524_combout\ = (\led_flash_cnt[3546][0]~q\ & (\led_flash_cnt[3546][1]~q\ $ (VCC))) # (!\led_flash_cnt[3546][0]~q\ & (\led_flash_cnt[3546][1]~q\ & VCC))
-- \led_flash_cnt[3546][1]~76525\ = CARRY((\led_flash_cnt[3546][0]~q\ & \led_flash_cnt[3546][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3546][0]~q\,
	datab => \led_flash_cnt[3546][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3546][1]~76524_combout\,
	cout => \led_flash_cnt[3546][1]~76525\);

-- Location: FF_X58_Y25_N17
\led_flash_cnt[3546][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3546][1]~76524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3546][1]~q\);

-- Location: LCCOMB_X58_Y25_N18
\led_flash_cnt[3546][2]~76526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3546][2]~76526_combout\ = (\led_flash_cnt[3546][2]~q\ & (!\led_flash_cnt[3546][1]~76525\)) # (!\led_flash_cnt[3546][2]~q\ & ((\led_flash_cnt[3546][1]~76525\) # (GND)))
-- \led_flash_cnt[3546][2]~76527\ = CARRY((!\led_flash_cnt[3546][1]~76525\) # (!\led_flash_cnt[3546][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3546][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3546][1]~76525\,
	combout => \led_flash_cnt[3546][2]~76526_combout\,
	cout => \led_flash_cnt[3546][2]~76527\);

-- Location: FF_X58_Y25_N19
\led_flash_cnt[3546][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3546][2]~76526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3546][2]~q\);

-- Location: LCCOMB_X58_Y25_N20
\led_flash_cnt[3546][3]~76528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3546][3]~76528_combout\ = (\led_flash_cnt[3546][3]~q\ & (\led_flash_cnt[3546][2]~76527\ $ (GND))) # (!\led_flash_cnt[3546][3]~q\ & (!\led_flash_cnt[3546][2]~76527\ & VCC))
-- \led_flash_cnt[3546][3]~76529\ = CARRY((\led_flash_cnt[3546][3]~q\ & !\led_flash_cnt[3546][2]~76527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3546][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3546][2]~76527\,
	combout => \led_flash_cnt[3546][3]~76528_combout\,
	cout => \led_flash_cnt[3546][3]~76529\);

-- Location: FF_X58_Y25_N21
\led_flash_cnt[3546][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3546][3]~76528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3546][3]~q\);

-- Location: LCCOMB_X58_Y25_N22
\led_flash_cnt[3546][4]~76530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3546][4]~76530_combout\ = (\led_flash_cnt[3546][4]~q\ & (!\led_flash_cnt[3546][3]~76529\)) # (!\led_flash_cnt[3546][4]~q\ & ((\led_flash_cnt[3546][3]~76529\) # (GND)))
-- \led_flash_cnt[3546][4]~76531\ = CARRY((!\led_flash_cnt[3546][3]~76529\) # (!\led_flash_cnt[3546][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3546][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3546][3]~76529\,
	combout => \led_flash_cnt[3546][4]~76530_combout\,
	cout => \led_flash_cnt[3546][4]~76531\);

-- Location: FF_X58_Y25_N23
\led_flash_cnt[3546][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3546][4]~76530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3546][4]~q\);

-- Location: LCCOMB_X58_Y25_N24
\led_flash_cnt[3546][5]~76532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3546][5]~76532_combout\ = (\led_flash_cnt[3546][5]~q\ & (\led_flash_cnt[3546][4]~76531\ $ (GND))) # (!\led_flash_cnt[3546][5]~q\ & (!\led_flash_cnt[3546][4]~76531\ & VCC))
-- \led_flash_cnt[3546][5]~76533\ = CARRY((\led_flash_cnt[3546][5]~q\ & !\led_flash_cnt[3546][4]~76531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3546][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3546][4]~76531\,
	combout => \led_flash_cnt[3546][5]~76532_combout\,
	cout => \led_flash_cnt[3546][5]~76533\);

-- Location: FF_X58_Y25_N25
\led_flash_cnt[3546][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3546][5]~76532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3546][5]~q\);

-- Location: LCCOMB_X58_Y25_N26
\led_flash_cnt[3546][6]~76534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3546][6]~76534_combout\ = (\led_flash_cnt[3546][6]~q\ & (!\led_flash_cnt[3546][5]~76533\)) # (!\led_flash_cnt[3546][6]~q\ & ((\led_flash_cnt[3546][5]~76533\) # (GND)))
-- \led_flash_cnt[3546][6]~76535\ = CARRY((!\led_flash_cnt[3546][5]~76533\) # (!\led_flash_cnt[3546][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3546][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3546][5]~76533\,
	combout => \led_flash_cnt[3546][6]~76534_combout\,
	cout => \led_flash_cnt[3546][6]~76535\);

-- Location: FF_X58_Y25_N27
\led_flash_cnt[3546][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3546][6]~76534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3546][6]~q\);

-- Location: LCCOMB_X59_Y25_N26
\WideAnd3546~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3546~1_combout\ = (\led_flash_cnt[3546][6]~q\ & \led_flash_cnt[3546][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3546][6]~q\,
	datad => \led_flash_cnt[3546][5]~q\,
	combout => \WideAnd3546~1_combout\);

-- Location: LCCOMB_X58_Y25_N28
\led_flash_cnt[3546][7]~76536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3546][7]~76536_combout\ = \led_flash_cnt[3546][6]~76535\ $ (!\led_flash_cnt[3546][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3546][7]~q\,
	cin => \led_flash_cnt[3546][6]~76535\,
	combout => \led_flash_cnt[3546][7]~76536_combout\);

-- Location: FF_X58_Y25_N29
\led_flash_cnt[3546][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3546][7]~76536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3546][7]~q\);

-- Location: LCCOMB_X59_Y25_N22
\WideAnd3546~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3546~0_combout\ = (\led_flash_cnt[3546][2]~q\ & (\led_flash_cnt[3546][3]~q\ & (\led_flash_cnt[3546][1]~q\ & \led_flash_cnt[3546][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3546][2]~q\,
	datab => \led_flash_cnt[3546][3]~q\,
	datac => \led_flash_cnt[3546][1]~q\,
	datad => \led_flash_cnt[3546][4]~q\,
	combout => \WideAnd3546~0_combout\);

-- Location: LCCOMB_X59_Y25_N24
WideAnd3546 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3546~combout\ = (\WideAnd3546~1_combout\ & (\led_flash_cnt[3546][7]~q\ & (\WideAnd3546~0_combout\ & \led_flash_cnt[3546][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3546~1_combout\,
	datab => \led_flash_cnt[3546][7]~q\,
	datac => \WideAnd3546~0_combout\,
	datad => \led_flash_cnt[3546][0]~q\,
	combout => \WideAnd3546~combout\);

-- Location: FF_X59_Y25_N25
\led_flash_cnt_ands[3546]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3546~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3546));

-- Location: LCCOMB_X60_Y35_N28
\led_flash_cnt[3545][0]~84185\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3545][0]~84185_combout\ = !\led_flash_cnt[3545][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3545][0]~q\,
	combout => \led_flash_cnt[3545][0]~84185_combout\);

-- Location: FF_X60_Y35_N29
\led_flash_cnt[3545][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3545][0]~84185_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3545][0]~q\);

-- Location: LCCOMB_X60_Y35_N12
\led_flash_cnt[3545][1]~76510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3545][1]~76510_combout\ = (\led_flash_cnt[3545][1]~q\ & (\led_flash_cnt[3545][0]~q\ $ (VCC))) # (!\led_flash_cnt[3545][1]~q\ & (\led_flash_cnt[3545][0]~q\ & VCC))
-- \led_flash_cnt[3545][1]~76511\ = CARRY((\led_flash_cnt[3545][1]~q\ & \led_flash_cnt[3545][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3545][1]~q\,
	datab => \led_flash_cnt[3545][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3545][1]~76510_combout\,
	cout => \led_flash_cnt[3545][1]~76511\);

-- Location: FF_X60_Y35_N13
\led_flash_cnt[3545][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3545][1]~76510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3545][1]~q\);

-- Location: LCCOMB_X60_Y35_N14
\led_flash_cnt[3545][2]~76512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3545][2]~76512_combout\ = (\led_flash_cnt[3545][2]~q\ & (!\led_flash_cnt[3545][1]~76511\)) # (!\led_flash_cnt[3545][2]~q\ & ((\led_flash_cnt[3545][1]~76511\) # (GND)))
-- \led_flash_cnt[3545][2]~76513\ = CARRY((!\led_flash_cnt[3545][1]~76511\) # (!\led_flash_cnt[3545][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3545][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3545][1]~76511\,
	combout => \led_flash_cnt[3545][2]~76512_combout\,
	cout => \led_flash_cnt[3545][2]~76513\);

-- Location: FF_X60_Y35_N15
\led_flash_cnt[3545][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3545][2]~76512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3545][2]~q\);

-- Location: LCCOMB_X60_Y35_N16
\led_flash_cnt[3545][3]~76514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3545][3]~76514_combout\ = (\led_flash_cnt[3545][3]~q\ & (\led_flash_cnt[3545][2]~76513\ $ (GND))) # (!\led_flash_cnt[3545][3]~q\ & (!\led_flash_cnt[3545][2]~76513\ & VCC))
-- \led_flash_cnt[3545][3]~76515\ = CARRY((\led_flash_cnt[3545][3]~q\ & !\led_flash_cnt[3545][2]~76513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3545][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3545][2]~76513\,
	combout => \led_flash_cnt[3545][3]~76514_combout\,
	cout => \led_flash_cnt[3545][3]~76515\);

-- Location: FF_X60_Y35_N17
\led_flash_cnt[3545][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3545][3]~76514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3545][3]~q\);

-- Location: LCCOMB_X60_Y35_N18
\led_flash_cnt[3545][4]~76516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3545][4]~76516_combout\ = (\led_flash_cnt[3545][4]~q\ & (!\led_flash_cnt[3545][3]~76515\)) # (!\led_flash_cnt[3545][4]~q\ & ((\led_flash_cnt[3545][3]~76515\) # (GND)))
-- \led_flash_cnt[3545][4]~76517\ = CARRY((!\led_flash_cnt[3545][3]~76515\) # (!\led_flash_cnt[3545][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3545][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3545][3]~76515\,
	combout => \led_flash_cnt[3545][4]~76516_combout\,
	cout => \led_flash_cnt[3545][4]~76517\);

-- Location: FF_X60_Y35_N19
\led_flash_cnt[3545][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3545][4]~76516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3545][4]~q\);

-- Location: LCCOMB_X60_Y35_N30
\WideAnd3545~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3545~0_combout\ = (\led_flash_cnt[3545][1]~q\ & (\led_flash_cnt[3545][4]~q\ & (\led_flash_cnt[3545][2]~q\ & \led_flash_cnt[3545][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3545][1]~q\,
	datab => \led_flash_cnt[3545][4]~q\,
	datac => \led_flash_cnt[3545][2]~q\,
	datad => \led_flash_cnt[3545][3]~q\,
	combout => \WideAnd3545~0_combout\);

-- Location: LCCOMB_X60_Y35_N20
\led_flash_cnt[3545][5]~76518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3545][5]~76518_combout\ = (\led_flash_cnt[3545][5]~q\ & (\led_flash_cnt[3545][4]~76517\ $ (GND))) # (!\led_flash_cnt[3545][5]~q\ & (!\led_flash_cnt[3545][4]~76517\ & VCC))
-- \led_flash_cnt[3545][5]~76519\ = CARRY((\led_flash_cnt[3545][5]~q\ & !\led_flash_cnt[3545][4]~76517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3545][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3545][4]~76517\,
	combout => \led_flash_cnt[3545][5]~76518_combout\,
	cout => \led_flash_cnt[3545][5]~76519\);

-- Location: FF_X60_Y35_N21
\led_flash_cnt[3545][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3545][5]~76518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3545][5]~q\);

-- Location: LCCOMB_X60_Y35_N22
\led_flash_cnt[3545][6]~76520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3545][6]~76520_combout\ = (\led_flash_cnt[3545][6]~q\ & (!\led_flash_cnt[3545][5]~76519\)) # (!\led_flash_cnt[3545][6]~q\ & ((\led_flash_cnt[3545][5]~76519\) # (GND)))
-- \led_flash_cnt[3545][6]~76521\ = CARRY((!\led_flash_cnt[3545][5]~76519\) # (!\led_flash_cnt[3545][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3545][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3545][5]~76519\,
	combout => \led_flash_cnt[3545][6]~76520_combout\,
	cout => \led_flash_cnt[3545][6]~76521\);

-- Location: FF_X60_Y35_N23
\led_flash_cnt[3545][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3545][6]~76520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3545][6]~q\);

-- Location: LCCOMB_X60_Y35_N24
\led_flash_cnt[3545][7]~76522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3545][7]~76522_combout\ = \led_flash_cnt[3545][6]~76521\ $ (!\led_flash_cnt[3545][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3545][7]~q\,
	cin => \led_flash_cnt[3545][6]~76521\,
	combout => \led_flash_cnt[3545][7]~76522_combout\);

-- Location: FF_X60_Y35_N25
\led_flash_cnt[3545][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3545][7]~76522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3545][7]~q\);

-- Location: LCCOMB_X60_Y35_N8
\WideAnd3545~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3545~1_combout\ = (\led_flash_cnt[3545][6]~q\ & \led_flash_cnt[3545][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3545][6]~q\,
	datad => \led_flash_cnt[3545][5]~q\,
	combout => \WideAnd3545~1_combout\);

-- Location: LCCOMB_X60_Y35_N26
WideAnd3545 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3545~combout\ = (\WideAnd3545~0_combout\ & (\led_flash_cnt[3545][7]~q\ & (\WideAnd3545~1_combout\ & \led_flash_cnt[3545][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3545~0_combout\,
	datab => \led_flash_cnt[3545][7]~q\,
	datac => \WideAnd3545~1_combout\,
	datad => \led_flash_cnt[3545][0]~q\,
	combout => \WideAnd3545~combout\);

-- Location: FF_X60_Y35_N27
\led_flash_cnt_ands[3545]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3545~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3545));

-- Location: LCCOMB_X59_Y25_N4
\led_flash_cnt[3544][0]~84184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3544][0]~84184_combout\ = !\led_flash_cnt[3544][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3544][0]~q\,
	combout => \led_flash_cnt[3544][0]~84184_combout\);

-- Location: FF_X59_Y25_N5
\led_flash_cnt[3544][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3544][0]~84184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3544][0]~q\);

-- Location: LCCOMB_X59_Y25_N6
\led_flash_cnt[3544][1]~76496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3544][1]~76496_combout\ = (\led_flash_cnt[3544][1]~q\ & (\led_flash_cnt[3544][0]~q\ $ (VCC))) # (!\led_flash_cnt[3544][1]~q\ & (\led_flash_cnt[3544][0]~q\ & VCC))
-- \led_flash_cnt[3544][1]~76497\ = CARRY((\led_flash_cnt[3544][1]~q\ & \led_flash_cnt[3544][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3544][1]~q\,
	datab => \led_flash_cnt[3544][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3544][1]~76496_combout\,
	cout => \led_flash_cnt[3544][1]~76497\);

-- Location: FF_X59_Y25_N7
\led_flash_cnt[3544][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3544][1]~76496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3544][1]~q\);

-- Location: LCCOMB_X59_Y25_N8
\led_flash_cnt[3544][2]~76498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3544][2]~76498_combout\ = (\led_flash_cnt[3544][2]~q\ & (!\led_flash_cnt[3544][1]~76497\)) # (!\led_flash_cnt[3544][2]~q\ & ((\led_flash_cnt[3544][1]~76497\) # (GND)))
-- \led_flash_cnt[3544][2]~76499\ = CARRY((!\led_flash_cnt[3544][1]~76497\) # (!\led_flash_cnt[3544][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3544][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3544][1]~76497\,
	combout => \led_flash_cnt[3544][2]~76498_combout\,
	cout => \led_flash_cnt[3544][2]~76499\);

-- Location: FF_X59_Y25_N9
\led_flash_cnt[3544][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3544][2]~76498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3544][2]~q\);

-- Location: LCCOMB_X59_Y25_N10
\led_flash_cnt[3544][3]~76500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3544][3]~76500_combout\ = (\led_flash_cnt[3544][3]~q\ & (\led_flash_cnt[3544][2]~76499\ $ (GND))) # (!\led_flash_cnt[3544][3]~q\ & (!\led_flash_cnt[3544][2]~76499\ & VCC))
-- \led_flash_cnt[3544][3]~76501\ = CARRY((\led_flash_cnt[3544][3]~q\ & !\led_flash_cnt[3544][2]~76499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3544][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3544][2]~76499\,
	combout => \led_flash_cnt[3544][3]~76500_combout\,
	cout => \led_flash_cnt[3544][3]~76501\);

-- Location: FF_X59_Y25_N11
\led_flash_cnt[3544][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3544][3]~76500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3544][3]~q\);

-- Location: LCCOMB_X59_Y25_N12
\led_flash_cnt[3544][4]~76502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3544][4]~76502_combout\ = (\led_flash_cnt[3544][4]~q\ & (!\led_flash_cnt[3544][3]~76501\)) # (!\led_flash_cnt[3544][4]~q\ & ((\led_flash_cnt[3544][3]~76501\) # (GND)))
-- \led_flash_cnt[3544][4]~76503\ = CARRY((!\led_flash_cnt[3544][3]~76501\) # (!\led_flash_cnt[3544][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3544][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3544][3]~76501\,
	combout => \led_flash_cnt[3544][4]~76502_combout\,
	cout => \led_flash_cnt[3544][4]~76503\);

-- Location: FF_X59_Y25_N13
\led_flash_cnt[3544][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3544][4]~76502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3544][4]~q\);

-- Location: LCCOMB_X59_Y25_N14
\led_flash_cnt[3544][5]~76504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3544][5]~76504_combout\ = (\led_flash_cnt[3544][5]~q\ & (\led_flash_cnt[3544][4]~76503\ $ (GND))) # (!\led_flash_cnt[3544][5]~q\ & (!\led_flash_cnt[3544][4]~76503\ & VCC))
-- \led_flash_cnt[3544][5]~76505\ = CARRY((\led_flash_cnt[3544][5]~q\ & !\led_flash_cnt[3544][4]~76503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3544][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3544][4]~76503\,
	combout => \led_flash_cnt[3544][5]~76504_combout\,
	cout => \led_flash_cnt[3544][5]~76505\);

-- Location: FF_X59_Y25_N15
\led_flash_cnt[3544][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3544][5]~76504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3544][5]~q\);

-- Location: LCCOMB_X59_Y25_N16
\led_flash_cnt[3544][6]~76506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3544][6]~76506_combout\ = (\led_flash_cnt[3544][6]~q\ & (!\led_flash_cnt[3544][5]~76505\)) # (!\led_flash_cnt[3544][6]~q\ & ((\led_flash_cnt[3544][5]~76505\) # (GND)))
-- \led_flash_cnt[3544][6]~76507\ = CARRY((!\led_flash_cnt[3544][5]~76505\) # (!\led_flash_cnt[3544][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3544][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3544][5]~76505\,
	combout => \led_flash_cnt[3544][6]~76506_combout\,
	cout => \led_flash_cnt[3544][6]~76507\);

-- Location: FF_X59_Y25_N17
\led_flash_cnt[3544][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3544][6]~76506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3544][6]~q\);

-- Location: LCCOMB_X59_Y25_N30
\WideAnd3544~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3544~1_combout\ = (\led_flash_cnt[3544][5]~q\ & \led_flash_cnt[3544][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3544][5]~q\,
	datad => \led_flash_cnt[3544][6]~q\,
	combout => \WideAnd3544~1_combout\);

-- Location: LCCOMB_X59_Y25_N20
\WideAnd3544~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3544~0_combout\ = (\led_flash_cnt[3544][4]~q\ & (\led_flash_cnt[3544][3]~q\ & (\led_flash_cnt[3544][2]~q\ & \led_flash_cnt[3544][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3544][4]~q\,
	datab => \led_flash_cnt[3544][3]~q\,
	datac => \led_flash_cnt[3544][2]~q\,
	datad => \led_flash_cnt[3544][1]~q\,
	combout => \WideAnd3544~0_combout\);

-- Location: LCCOMB_X59_Y25_N18
\led_flash_cnt[3544][7]~76508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3544][7]~76508_combout\ = \led_flash_cnt[3544][6]~76507\ $ (!\led_flash_cnt[3544][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3544][7]~q\,
	cin => \led_flash_cnt[3544][6]~76507\,
	combout => \led_flash_cnt[3544][7]~76508_combout\);

-- Location: FF_X59_Y25_N19
\led_flash_cnt[3544][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3544][7]~76508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3544][7]~q\);

-- Location: LCCOMB_X59_Y25_N28
WideAnd3544 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3544~combout\ = (\WideAnd3544~1_combout\ & (\WideAnd3544~0_combout\ & (\led_flash_cnt[3544][0]~q\ & \led_flash_cnt[3544][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3544~1_combout\,
	datab => \WideAnd3544~0_combout\,
	datac => \led_flash_cnt[3544][0]~q\,
	datad => \led_flash_cnt[3544][7]~q\,
	combout => \WideAnd3544~combout\);

-- Location: FF_X59_Y25_N29
\led_flash_cnt_ands[3544]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3544~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3544));

-- Location: LCCOMB_X59_Y25_N0
\WideAnd4283~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4283~0_combout\ = (led_flash_cnt_ands(3547) & (led_flash_cnt_ands(3546) & (led_flash_cnt_ands(3545) & led_flash_cnt_ands(3544))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3547),
	datab => led_flash_cnt_ands(3546),
	datac => led_flash_cnt_ands(3545),
	datad => led_flash_cnt_ands(3544),
	combout => \WideAnd4283~0_combout\);

-- Location: LCCOMB_X38_Y11_N30
\led_flash_cnt[3549][0]~84189\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3549][0]~84189_combout\ = !\led_flash_cnt[3549][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3549][0]~q\,
	combout => \led_flash_cnt[3549][0]~84189_combout\);

-- Location: FF_X38_Y11_N31
\led_flash_cnt[3549][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3549][0]~84189_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3549][0]~q\);

-- Location: LCCOMB_X38_Y11_N4
\led_flash_cnt[3549][1]~76566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3549][1]~76566_combout\ = (\led_flash_cnt[3549][0]~q\ & (\led_flash_cnt[3549][1]~q\ $ (VCC))) # (!\led_flash_cnt[3549][0]~q\ & (\led_flash_cnt[3549][1]~q\ & VCC))
-- \led_flash_cnt[3549][1]~76567\ = CARRY((\led_flash_cnt[3549][0]~q\ & \led_flash_cnt[3549][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3549][0]~q\,
	datab => \led_flash_cnt[3549][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3549][1]~76566_combout\,
	cout => \led_flash_cnt[3549][1]~76567\);

-- Location: FF_X38_Y11_N5
\led_flash_cnt[3549][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3549][1]~76566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3549][1]~q\);

-- Location: LCCOMB_X38_Y11_N6
\led_flash_cnt[3549][2]~76568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3549][2]~76568_combout\ = (\led_flash_cnt[3549][2]~q\ & (!\led_flash_cnt[3549][1]~76567\)) # (!\led_flash_cnt[3549][2]~q\ & ((\led_flash_cnt[3549][1]~76567\) # (GND)))
-- \led_flash_cnt[3549][2]~76569\ = CARRY((!\led_flash_cnt[3549][1]~76567\) # (!\led_flash_cnt[3549][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3549][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3549][1]~76567\,
	combout => \led_flash_cnt[3549][2]~76568_combout\,
	cout => \led_flash_cnt[3549][2]~76569\);

-- Location: FF_X38_Y11_N7
\led_flash_cnt[3549][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3549][2]~76568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3549][2]~q\);

-- Location: LCCOMB_X38_Y11_N8
\led_flash_cnt[3549][3]~76570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3549][3]~76570_combout\ = (\led_flash_cnt[3549][3]~q\ & (\led_flash_cnt[3549][2]~76569\ $ (GND))) # (!\led_flash_cnt[3549][3]~q\ & (!\led_flash_cnt[3549][2]~76569\ & VCC))
-- \led_flash_cnt[3549][3]~76571\ = CARRY((\led_flash_cnt[3549][3]~q\ & !\led_flash_cnt[3549][2]~76569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3549][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3549][2]~76569\,
	combout => \led_flash_cnt[3549][3]~76570_combout\,
	cout => \led_flash_cnt[3549][3]~76571\);

-- Location: FF_X38_Y11_N9
\led_flash_cnt[3549][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3549][3]~76570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3549][3]~q\);

-- Location: LCCOMB_X38_Y11_N10
\led_flash_cnt[3549][4]~76572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3549][4]~76572_combout\ = (\led_flash_cnt[3549][4]~q\ & (!\led_flash_cnt[3549][3]~76571\)) # (!\led_flash_cnt[3549][4]~q\ & ((\led_flash_cnt[3549][3]~76571\) # (GND)))
-- \led_flash_cnt[3549][4]~76573\ = CARRY((!\led_flash_cnt[3549][3]~76571\) # (!\led_flash_cnt[3549][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3549][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3549][3]~76571\,
	combout => \led_flash_cnt[3549][4]~76572_combout\,
	cout => \led_flash_cnt[3549][4]~76573\);

-- Location: FF_X38_Y11_N11
\led_flash_cnt[3549][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3549][4]~76572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3549][4]~q\);

-- Location: LCCOMB_X38_Y11_N26
\WideAnd3549~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3549~0_combout\ = (\led_flash_cnt[3549][4]~q\ & (\led_flash_cnt[3549][3]~q\ & (\led_flash_cnt[3549][1]~q\ & \led_flash_cnt[3549][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3549][4]~q\,
	datab => \led_flash_cnt[3549][3]~q\,
	datac => \led_flash_cnt[3549][1]~q\,
	datad => \led_flash_cnt[3549][2]~q\,
	combout => \WideAnd3549~0_combout\);

-- Location: LCCOMB_X38_Y11_N12
\led_flash_cnt[3549][5]~76574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3549][5]~76574_combout\ = (\led_flash_cnt[3549][5]~q\ & (\led_flash_cnt[3549][4]~76573\ $ (GND))) # (!\led_flash_cnt[3549][5]~q\ & (!\led_flash_cnt[3549][4]~76573\ & VCC))
-- \led_flash_cnt[3549][5]~76575\ = CARRY((\led_flash_cnt[3549][5]~q\ & !\led_flash_cnt[3549][4]~76573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3549][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3549][4]~76573\,
	combout => \led_flash_cnt[3549][5]~76574_combout\,
	cout => \led_flash_cnt[3549][5]~76575\);

-- Location: FF_X38_Y11_N13
\led_flash_cnt[3549][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3549][5]~76574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3549][5]~q\);

-- Location: LCCOMB_X38_Y11_N14
\led_flash_cnt[3549][6]~76576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3549][6]~76576_combout\ = (\led_flash_cnt[3549][6]~q\ & (!\led_flash_cnt[3549][5]~76575\)) # (!\led_flash_cnt[3549][6]~q\ & ((\led_flash_cnt[3549][5]~76575\) # (GND)))
-- \led_flash_cnt[3549][6]~76577\ = CARRY((!\led_flash_cnt[3549][5]~76575\) # (!\led_flash_cnt[3549][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3549][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3549][5]~76575\,
	combout => \led_flash_cnt[3549][6]~76576_combout\,
	cout => \led_flash_cnt[3549][6]~76577\);

-- Location: FF_X38_Y11_N15
\led_flash_cnt[3549][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3549][6]~76576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3549][6]~q\);

-- Location: LCCOMB_X38_Y11_N16
\led_flash_cnt[3549][7]~76578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3549][7]~76578_combout\ = \led_flash_cnt[3549][6]~76577\ $ (!\led_flash_cnt[3549][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3549][7]~q\,
	cin => \led_flash_cnt[3549][6]~76577\,
	combout => \led_flash_cnt[3549][7]~76578_combout\);

-- Location: FF_X38_Y11_N17
\led_flash_cnt[3549][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3549][7]~76578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3549][7]~q\);

-- Location: LCCOMB_X38_Y11_N24
\WideAnd3549~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3549~1_combout\ = (\led_flash_cnt[3549][6]~q\ & \led_flash_cnt[3549][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3549][6]~q\,
	datad => \led_flash_cnt[3549][5]~q\,
	combout => \WideAnd3549~1_combout\);

-- Location: LCCOMB_X38_Y11_N22
WideAnd3549 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3549~combout\ = (\WideAnd3549~0_combout\ & (\led_flash_cnt[3549][7]~q\ & (\led_flash_cnt[3549][0]~q\ & \WideAnd3549~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3549~0_combout\,
	datab => \led_flash_cnt[3549][7]~q\,
	datac => \led_flash_cnt[3549][0]~q\,
	datad => \WideAnd3549~1_combout\,
	combout => \WideAnd3549~combout\);

-- Location: FF_X38_Y11_N23
\led_flash_cnt_ands[3549]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3549~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3549));

-- Location: LCCOMB_X43_Y26_N4
\led_flash_cnt[3548][0]~84188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3548][0]~84188_combout\ = !\led_flash_cnt[3548][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3548][0]~q\,
	combout => \led_flash_cnt[3548][0]~84188_combout\);

-- Location: FF_X43_Y26_N5
\led_flash_cnt[3548][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3548][0]~84188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3548][0]~q\);

-- Location: LCCOMB_X43_Y26_N10
\led_flash_cnt[3548][1]~76552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3548][1]~76552_combout\ = (\led_flash_cnt[3548][1]~q\ & (\led_flash_cnt[3548][0]~q\ $ (VCC))) # (!\led_flash_cnt[3548][1]~q\ & (\led_flash_cnt[3548][0]~q\ & VCC))
-- \led_flash_cnt[3548][1]~76553\ = CARRY((\led_flash_cnt[3548][1]~q\ & \led_flash_cnt[3548][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3548][1]~q\,
	datab => \led_flash_cnt[3548][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3548][1]~76552_combout\,
	cout => \led_flash_cnt[3548][1]~76553\);

-- Location: FF_X43_Y26_N11
\led_flash_cnt[3548][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3548][1]~76552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3548][1]~q\);

-- Location: LCCOMB_X43_Y26_N12
\led_flash_cnt[3548][2]~76554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3548][2]~76554_combout\ = (\led_flash_cnt[3548][2]~q\ & (!\led_flash_cnt[3548][1]~76553\)) # (!\led_flash_cnt[3548][2]~q\ & ((\led_flash_cnt[3548][1]~76553\) # (GND)))
-- \led_flash_cnt[3548][2]~76555\ = CARRY((!\led_flash_cnt[3548][1]~76553\) # (!\led_flash_cnt[3548][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3548][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3548][1]~76553\,
	combout => \led_flash_cnt[3548][2]~76554_combout\,
	cout => \led_flash_cnt[3548][2]~76555\);

-- Location: FF_X43_Y26_N13
\led_flash_cnt[3548][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3548][2]~76554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3548][2]~q\);

-- Location: LCCOMB_X43_Y26_N14
\led_flash_cnt[3548][3]~76556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3548][3]~76556_combout\ = (\led_flash_cnt[3548][3]~q\ & (\led_flash_cnt[3548][2]~76555\ $ (GND))) # (!\led_flash_cnt[3548][3]~q\ & (!\led_flash_cnt[3548][2]~76555\ & VCC))
-- \led_flash_cnt[3548][3]~76557\ = CARRY((\led_flash_cnt[3548][3]~q\ & !\led_flash_cnt[3548][2]~76555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3548][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3548][2]~76555\,
	combout => \led_flash_cnt[3548][3]~76556_combout\,
	cout => \led_flash_cnt[3548][3]~76557\);

-- Location: FF_X43_Y26_N15
\led_flash_cnt[3548][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3548][3]~76556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3548][3]~q\);

-- Location: LCCOMB_X43_Y26_N16
\led_flash_cnt[3548][4]~76558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3548][4]~76558_combout\ = (\led_flash_cnt[3548][4]~q\ & (!\led_flash_cnt[3548][3]~76557\)) # (!\led_flash_cnt[3548][4]~q\ & ((\led_flash_cnt[3548][3]~76557\) # (GND)))
-- \led_flash_cnt[3548][4]~76559\ = CARRY((!\led_flash_cnt[3548][3]~76557\) # (!\led_flash_cnt[3548][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3548][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3548][3]~76557\,
	combout => \led_flash_cnt[3548][4]~76558_combout\,
	cout => \led_flash_cnt[3548][4]~76559\);

-- Location: FF_X43_Y26_N17
\led_flash_cnt[3548][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3548][4]~76558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3548][4]~q\);

-- Location: LCCOMB_X43_Y26_N18
\led_flash_cnt[3548][5]~76560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3548][5]~76560_combout\ = (\led_flash_cnt[3548][5]~q\ & (\led_flash_cnt[3548][4]~76559\ $ (GND))) # (!\led_flash_cnt[3548][5]~q\ & (!\led_flash_cnt[3548][4]~76559\ & VCC))
-- \led_flash_cnt[3548][5]~76561\ = CARRY((\led_flash_cnt[3548][5]~q\ & !\led_flash_cnt[3548][4]~76559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3548][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3548][4]~76559\,
	combout => \led_flash_cnt[3548][5]~76560_combout\,
	cout => \led_flash_cnt[3548][5]~76561\);

-- Location: FF_X43_Y26_N19
\led_flash_cnt[3548][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3548][5]~76560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3548][5]~q\);

-- Location: LCCOMB_X43_Y26_N20
\led_flash_cnt[3548][6]~76562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3548][6]~76562_combout\ = (\led_flash_cnt[3548][6]~q\ & (!\led_flash_cnt[3548][5]~76561\)) # (!\led_flash_cnt[3548][6]~q\ & ((\led_flash_cnt[3548][5]~76561\) # (GND)))
-- \led_flash_cnt[3548][6]~76563\ = CARRY((!\led_flash_cnt[3548][5]~76561\) # (!\led_flash_cnt[3548][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3548][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3548][5]~76561\,
	combout => \led_flash_cnt[3548][6]~76562_combout\,
	cout => \led_flash_cnt[3548][6]~76563\);

-- Location: FF_X43_Y26_N21
\led_flash_cnt[3548][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3548][6]~76562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3548][6]~q\);

-- Location: LCCOMB_X43_Y26_N22
\led_flash_cnt[3548][7]~76564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3548][7]~76564_combout\ = \led_flash_cnt[3548][7]~q\ $ (!\led_flash_cnt[3548][6]~76563\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3548][7]~q\,
	cin => \led_flash_cnt[3548][6]~76563\,
	combout => \led_flash_cnt[3548][7]~76564_combout\);

-- Location: FF_X43_Y26_N23
\led_flash_cnt[3548][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3548][7]~76564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3548][7]~q\);

-- Location: LCCOMB_X43_Y26_N8
\WideAnd3548~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3548~0_combout\ = (\led_flash_cnt[3548][2]~q\ & (\led_flash_cnt[3548][4]~q\ & (\led_flash_cnt[3548][3]~q\ & \led_flash_cnt[3548][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3548][2]~q\,
	datab => \led_flash_cnt[3548][4]~q\,
	datac => \led_flash_cnt[3548][3]~q\,
	datad => \led_flash_cnt[3548][1]~q\,
	combout => \WideAnd3548~0_combout\);

-- Location: LCCOMB_X43_Y26_N26
\WideAnd3548~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3548~1_combout\ = (\led_flash_cnt[3548][6]~q\ & \led_flash_cnt[3548][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3548][6]~q\,
	datad => \led_flash_cnt[3548][5]~q\,
	combout => \WideAnd3548~1_combout\);

-- Location: LCCOMB_X43_Y26_N0
WideAnd3548 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3548~combout\ = (\led_flash_cnt[3548][7]~q\ & (\WideAnd3548~0_combout\ & (\led_flash_cnt[3548][0]~q\ & \WideAnd3548~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3548][7]~q\,
	datab => \WideAnd3548~0_combout\,
	datac => \led_flash_cnt[3548][0]~q\,
	datad => \WideAnd3548~1_combout\,
	combout => \WideAnd3548~combout\);

-- Location: FF_X43_Y26_N1
\led_flash_cnt_ands[3548]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3548~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3548));

-- Location: LCCOMB_X43_Y26_N6
\WideAnd4283~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4283~1_combout\ = (led_flash_cnt_ands(3549) & led_flash_cnt_ands(3548))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3549),
	datad => led_flash_cnt_ands(3548),
	combout => \WideAnd4283~1_combout\);

-- Location: LCCOMB_X43_Y26_N24
WideAnd4283 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4283~combout\ = (led_flash_cnt_ands(3550) & (led_flash_cnt_ands(3551) & (\WideAnd4283~0_combout\ & \WideAnd4283~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3550),
	datab => led_flash_cnt_ands(3551),
	datac => \WideAnd4283~0_combout\,
	datad => \WideAnd4283~1_combout\,
	combout => \WideAnd4283~combout\);

-- Location: FF_X43_Y26_N25
\led_flash_cnt_ands_1[443]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4283~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(443));

-- Location: LCCOMB_X36_Y28_N22
\led_flash_cnt[3534][0]~84174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3534][0]~84174_combout\ = !\led_flash_cnt[3534][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3534][0]~q\,
	combout => \led_flash_cnt[3534][0]~84174_combout\);

-- Location: FF_X36_Y28_N23
\led_flash_cnt[3534][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3534][0]~84174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3534][0]~q\);

-- Location: LCCOMB_X36_Y28_N0
\led_flash_cnt[3534][1]~76356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3534][1]~76356_combout\ = (\led_flash_cnt[3534][0]~q\ & (\led_flash_cnt[3534][1]~q\ $ (VCC))) # (!\led_flash_cnt[3534][0]~q\ & (\led_flash_cnt[3534][1]~q\ & VCC))
-- \led_flash_cnt[3534][1]~76357\ = CARRY((\led_flash_cnt[3534][0]~q\ & \led_flash_cnt[3534][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3534][0]~q\,
	datab => \led_flash_cnt[3534][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3534][1]~76356_combout\,
	cout => \led_flash_cnt[3534][1]~76357\);

-- Location: FF_X36_Y28_N1
\led_flash_cnt[3534][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3534][1]~76356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3534][1]~q\);

-- Location: LCCOMB_X36_Y28_N2
\led_flash_cnt[3534][2]~76358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3534][2]~76358_combout\ = (\led_flash_cnt[3534][2]~q\ & (!\led_flash_cnt[3534][1]~76357\)) # (!\led_flash_cnt[3534][2]~q\ & ((\led_flash_cnt[3534][1]~76357\) # (GND)))
-- \led_flash_cnt[3534][2]~76359\ = CARRY((!\led_flash_cnt[3534][1]~76357\) # (!\led_flash_cnt[3534][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3534][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3534][1]~76357\,
	combout => \led_flash_cnt[3534][2]~76358_combout\,
	cout => \led_flash_cnt[3534][2]~76359\);

-- Location: FF_X36_Y28_N3
\led_flash_cnt[3534][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3534][2]~76358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3534][2]~q\);

-- Location: LCCOMB_X36_Y28_N4
\led_flash_cnt[3534][3]~76360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3534][3]~76360_combout\ = (\led_flash_cnt[3534][3]~q\ & (\led_flash_cnt[3534][2]~76359\ $ (GND))) # (!\led_flash_cnt[3534][3]~q\ & (!\led_flash_cnt[3534][2]~76359\ & VCC))
-- \led_flash_cnt[3534][3]~76361\ = CARRY((\led_flash_cnt[3534][3]~q\ & !\led_flash_cnt[3534][2]~76359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3534][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3534][2]~76359\,
	combout => \led_flash_cnt[3534][3]~76360_combout\,
	cout => \led_flash_cnt[3534][3]~76361\);

-- Location: FF_X36_Y28_N5
\led_flash_cnt[3534][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3534][3]~76360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3534][3]~q\);

-- Location: LCCOMB_X36_Y28_N6
\led_flash_cnt[3534][4]~76362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3534][4]~76362_combout\ = (\led_flash_cnt[3534][4]~q\ & (!\led_flash_cnt[3534][3]~76361\)) # (!\led_flash_cnt[3534][4]~q\ & ((\led_flash_cnt[3534][3]~76361\) # (GND)))
-- \led_flash_cnt[3534][4]~76363\ = CARRY((!\led_flash_cnt[3534][3]~76361\) # (!\led_flash_cnt[3534][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3534][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3534][3]~76361\,
	combout => \led_flash_cnt[3534][4]~76362_combout\,
	cout => \led_flash_cnt[3534][4]~76363\);

-- Location: FF_X36_Y28_N7
\led_flash_cnt[3534][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3534][4]~76362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3534][4]~q\);

-- Location: LCCOMB_X36_Y28_N8
\led_flash_cnt[3534][5]~76364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3534][5]~76364_combout\ = (\led_flash_cnt[3534][5]~q\ & (\led_flash_cnt[3534][4]~76363\ $ (GND))) # (!\led_flash_cnt[3534][5]~q\ & (!\led_flash_cnt[3534][4]~76363\ & VCC))
-- \led_flash_cnt[3534][5]~76365\ = CARRY((\led_flash_cnt[3534][5]~q\ & !\led_flash_cnt[3534][4]~76363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3534][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3534][4]~76363\,
	combout => \led_flash_cnt[3534][5]~76364_combout\,
	cout => \led_flash_cnt[3534][5]~76365\);

-- Location: FF_X36_Y28_N9
\led_flash_cnt[3534][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3534][5]~76364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3534][5]~q\);

-- Location: LCCOMB_X36_Y28_N10
\led_flash_cnt[3534][6]~76366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3534][6]~76366_combout\ = (\led_flash_cnt[3534][6]~q\ & (!\led_flash_cnt[3534][5]~76365\)) # (!\led_flash_cnt[3534][6]~q\ & ((\led_flash_cnt[3534][5]~76365\) # (GND)))
-- \led_flash_cnt[3534][6]~76367\ = CARRY((!\led_flash_cnt[3534][5]~76365\) # (!\led_flash_cnt[3534][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3534][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3534][5]~76365\,
	combout => \led_flash_cnt[3534][6]~76366_combout\,
	cout => \led_flash_cnt[3534][6]~76367\);

-- Location: FF_X36_Y28_N11
\led_flash_cnt[3534][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3534][6]~76366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3534][6]~q\);

-- Location: LCCOMB_X36_Y28_N30
\WideAnd3534~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3534~1_combout\ = (\led_flash_cnt[3534][5]~q\ & \led_flash_cnt[3534][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3534][5]~q\,
	datad => \led_flash_cnt[3534][6]~q\,
	combout => \WideAnd3534~1_combout\);

-- Location: LCCOMB_X36_Y28_N18
\WideAnd3534~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3534~0_combout\ = (\led_flash_cnt[3534][4]~q\ & (\led_flash_cnt[3534][1]~q\ & (\led_flash_cnt[3534][3]~q\ & \led_flash_cnt[3534][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3534][4]~q\,
	datab => \led_flash_cnt[3534][1]~q\,
	datac => \led_flash_cnt[3534][3]~q\,
	datad => \led_flash_cnt[3534][2]~q\,
	combout => \WideAnd3534~0_combout\);

-- Location: LCCOMB_X36_Y28_N12
\led_flash_cnt[3534][7]~76368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3534][7]~76368_combout\ = \led_flash_cnt[3534][6]~76367\ $ (!\led_flash_cnt[3534][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3534][7]~q\,
	cin => \led_flash_cnt[3534][6]~76367\,
	combout => \led_flash_cnt[3534][7]~76368_combout\);

-- Location: FF_X36_Y28_N13
\led_flash_cnt[3534][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3534][7]~76368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3534][7]~q\);

-- Location: LCCOMB_X36_Y28_N26
WideAnd3534 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3534~combout\ = (\WideAnd3534~1_combout\ & (\WideAnd3534~0_combout\ & (\led_flash_cnt[3534][0]~q\ & \led_flash_cnt[3534][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3534~1_combout\,
	datab => \WideAnd3534~0_combout\,
	datac => \led_flash_cnt[3534][0]~q\,
	datad => \led_flash_cnt[3534][7]~q\,
	combout => \WideAnd3534~combout\);

-- Location: FF_X36_Y28_N27
\led_flash_cnt_ands[3534]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3534~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3534));

-- Location: LCCOMB_X40_Y38_N6
\led_flash_cnt[3529][0]~84169\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3529][0]~84169_combout\ = !\led_flash_cnt[3529][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3529][0]~q\,
	combout => \led_flash_cnt[3529][0]~84169_combout\);

-- Location: FF_X40_Y38_N7
\led_flash_cnt[3529][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3529][0]~84169_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3529][0]~q\);

-- Location: LCCOMB_X41_Y38_N18
\led_flash_cnt[3529][1]~76286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3529][1]~76286_combout\ = (\led_flash_cnt[3529][0]~q\ & (\led_flash_cnt[3529][1]~q\ $ (VCC))) # (!\led_flash_cnt[3529][0]~q\ & (\led_flash_cnt[3529][1]~q\ & VCC))
-- \led_flash_cnt[3529][1]~76287\ = CARRY((\led_flash_cnt[3529][0]~q\ & \led_flash_cnt[3529][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3529][0]~q\,
	datab => \led_flash_cnt[3529][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3529][1]~76286_combout\,
	cout => \led_flash_cnt[3529][1]~76287\);

-- Location: FF_X41_Y38_N19
\led_flash_cnt[3529][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3529][1]~76286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3529][1]~q\);

-- Location: LCCOMB_X41_Y38_N20
\led_flash_cnt[3529][2]~76288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3529][2]~76288_combout\ = (\led_flash_cnt[3529][2]~q\ & (!\led_flash_cnt[3529][1]~76287\)) # (!\led_flash_cnt[3529][2]~q\ & ((\led_flash_cnt[3529][1]~76287\) # (GND)))
-- \led_flash_cnt[3529][2]~76289\ = CARRY((!\led_flash_cnt[3529][1]~76287\) # (!\led_flash_cnt[3529][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3529][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3529][1]~76287\,
	combout => \led_flash_cnt[3529][2]~76288_combout\,
	cout => \led_flash_cnt[3529][2]~76289\);

-- Location: FF_X41_Y38_N21
\led_flash_cnt[3529][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3529][2]~76288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3529][2]~q\);

-- Location: LCCOMB_X41_Y38_N22
\led_flash_cnt[3529][3]~76290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3529][3]~76290_combout\ = (\led_flash_cnt[3529][3]~q\ & (\led_flash_cnt[3529][2]~76289\ $ (GND))) # (!\led_flash_cnt[3529][3]~q\ & (!\led_flash_cnt[3529][2]~76289\ & VCC))
-- \led_flash_cnt[3529][3]~76291\ = CARRY((\led_flash_cnt[3529][3]~q\ & !\led_flash_cnt[3529][2]~76289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3529][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3529][2]~76289\,
	combout => \led_flash_cnt[3529][3]~76290_combout\,
	cout => \led_flash_cnt[3529][3]~76291\);

-- Location: FF_X41_Y38_N23
\led_flash_cnt[3529][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3529][3]~76290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3529][3]~q\);

-- Location: LCCOMB_X41_Y38_N24
\led_flash_cnt[3529][4]~76292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3529][4]~76292_combout\ = (\led_flash_cnt[3529][4]~q\ & (!\led_flash_cnt[3529][3]~76291\)) # (!\led_flash_cnt[3529][4]~q\ & ((\led_flash_cnt[3529][3]~76291\) # (GND)))
-- \led_flash_cnt[3529][4]~76293\ = CARRY((!\led_flash_cnt[3529][3]~76291\) # (!\led_flash_cnt[3529][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3529][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3529][3]~76291\,
	combout => \led_flash_cnt[3529][4]~76292_combout\,
	cout => \led_flash_cnt[3529][4]~76293\);

-- Location: FF_X41_Y38_N25
\led_flash_cnt[3529][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3529][4]~76292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3529][4]~q\);

-- Location: LCCOMB_X41_Y38_N26
\led_flash_cnt[3529][5]~76294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3529][5]~76294_combout\ = (\led_flash_cnt[3529][5]~q\ & (\led_flash_cnt[3529][4]~76293\ $ (GND))) # (!\led_flash_cnt[3529][5]~q\ & (!\led_flash_cnt[3529][4]~76293\ & VCC))
-- \led_flash_cnt[3529][5]~76295\ = CARRY((\led_flash_cnt[3529][5]~q\ & !\led_flash_cnt[3529][4]~76293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3529][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3529][4]~76293\,
	combout => \led_flash_cnt[3529][5]~76294_combout\,
	cout => \led_flash_cnt[3529][5]~76295\);

-- Location: FF_X41_Y38_N27
\led_flash_cnt[3529][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3529][5]~76294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3529][5]~q\);

-- Location: LCCOMB_X41_Y38_N28
\led_flash_cnt[3529][6]~76296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3529][6]~76296_combout\ = (\led_flash_cnt[3529][6]~q\ & (!\led_flash_cnt[3529][5]~76295\)) # (!\led_flash_cnt[3529][6]~q\ & ((\led_flash_cnt[3529][5]~76295\) # (GND)))
-- \led_flash_cnt[3529][6]~76297\ = CARRY((!\led_flash_cnt[3529][5]~76295\) # (!\led_flash_cnt[3529][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3529][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3529][5]~76295\,
	combout => \led_flash_cnt[3529][6]~76296_combout\,
	cout => \led_flash_cnt[3529][6]~76297\);

-- Location: FF_X41_Y38_N29
\led_flash_cnt[3529][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3529][6]~76296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3529][6]~q\);

-- Location: LCCOMB_X40_Y38_N10
\WideAnd3529~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3529~1_combout\ = (\led_flash_cnt[3529][6]~q\ & \led_flash_cnt[3529][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3529][6]~q\,
	datad => \led_flash_cnt[3529][5]~q\,
	combout => \WideAnd3529~1_combout\);

-- Location: LCCOMB_X41_Y38_N0
\WideAnd3529~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3529~0_combout\ = (\led_flash_cnt[3529][1]~q\ & (\led_flash_cnt[3529][4]~q\ & (\led_flash_cnt[3529][3]~q\ & \led_flash_cnt[3529][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3529][1]~q\,
	datab => \led_flash_cnt[3529][4]~q\,
	datac => \led_flash_cnt[3529][3]~q\,
	datad => \led_flash_cnt[3529][2]~q\,
	combout => \WideAnd3529~0_combout\);

-- Location: LCCOMB_X41_Y38_N30
\led_flash_cnt[3529][7]~76298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3529][7]~76298_combout\ = \led_flash_cnt[3529][7]~q\ $ (!\led_flash_cnt[3529][6]~76297\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3529][7]~q\,
	cin => \led_flash_cnt[3529][6]~76297\,
	combout => \led_flash_cnt[3529][7]~76298_combout\);

-- Location: FF_X41_Y38_N31
\led_flash_cnt[3529][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3529][7]~76298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3529][7]~q\);

-- Location: LCCOMB_X40_Y38_N28
WideAnd3529 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3529~combout\ = (\WideAnd3529~1_combout\ & (\WideAnd3529~0_combout\ & (\led_flash_cnt[3529][7]~q\ & \led_flash_cnt[3529][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3529~1_combout\,
	datab => \WideAnd3529~0_combout\,
	datac => \led_flash_cnt[3529][7]~q\,
	datad => \led_flash_cnt[3529][0]~q\,
	combout => \WideAnd3529~combout\);

-- Location: FF_X40_Y38_N29
\led_flash_cnt_ands[3529]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3529~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3529));

-- Location: LCCOMB_X47_Y37_N4
\led_flash_cnt[3531][0]~84171\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3531][0]~84171_combout\ = !\led_flash_cnt[3531][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3531][0]~q\,
	combout => \led_flash_cnt[3531][0]~84171_combout\);

-- Location: FF_X47_Y37_N5
\led_flash_cnt[3531][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3531][0]~84171_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3531][0]~q\);

-- Location: LCCOMB_X49_Y37_N4
\led_flash_cnt[3531][1]~76314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3531][1]~76314_combout\ = (\led_flash_cnt[3531][0]~q\ & (\led_flash_cnt[3531][1]~q\ $ (VCC))) # (!\led_flash_cnt[3531][0]~q\ & (\led_flash_cnt[3531][1]~q\ & VCC))
-- \led_flash_cnt[3531][1]~76315\ = CARRY((\led_flash_cnt[3531][0]~q\ & \led_flash_cnt[3531][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3531][0]~q\,
	datab => \led_flash_cnt[3531][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3531][1]~76314_combout\,
	cout => \led_flash_cnt[3531][1]~76315\);

-- Location: FF_X49_Y37_N5
\led_flash_cnt[3531][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3531][1]~76314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3531][1]~q\);

-- Location: LCCOMB_X49_Y37_N6
\led_flash_cnt[3531][2]~76316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3531][2]~76316_combout\ = (\led_flash_cnt[3531][2]~q\ & (!\led_flash_cnt[3531][1]~76315\)) # (!\led_flash_cnt[3531][2]~q\ & ((\led_flash_cnt[3531][1]~76315\) # (GND)))
-- \led_flash_cnt[3531][2]~76317\ = CARRY((!\led_flash_cnt[3531][1]~76315\) # (!\led_flash_cnt[3531][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3531][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3531][1]~76315\,
	combout => \led_flash_cnt[3531][2]~76316_combout\,
	cout => \led_flash_cnt[3531][2]~76317\);

-- Location: FF_X49_Y37_N7
\led_flash_cnt[3531][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3531][2]~76316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3531][2]~q\);

-- Location: LCCOMB_X49_Y37_N8
\led_flash_cnt[3531][3]~76318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3531][3]~76318_combout\ = (\led_flash_cnt[3531][3]~q\ & (\led_flash_cnt[3531][2]~76317\ $ (GND))) # (!\led_flash_cnt[3531][3]~q\ & (!\led_flash_cnt[3531][2]~76317\ & VCC))
-- \led_flash_cnt[3531][3]~76319\ = CARRY((\led_flash_cnt[3531][3]~q\ & !\led_flash_cnt[3531][2]~76317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3531][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3531][2]~76317\,
	combout => \led_flash_cnt[3531][3]~76318_combout\,
	cout => \led_flash_cnt[3531][3]~76319\);

-- Location: FF_X49_Y37_N9
\led_flash_cnt[3531][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3531][3]~76318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3531][3]~q\);

-- Location: LCCOMB_X49_Y37_N10
\led_flash_cnt[3531][4]~76320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3531][4]~76320_combout\ = (\led_flash_cnt[3531][4]~q\ & (!\led_flash_cnt[3531][3]~76319\)) # (!\led_flash_cnt[3531][4]~q\ & ((\led_flash_cnt[3531][3]~76319\) # (GND)))
-- \led_flash_cnt[3531][4]~76321\ = CARRY((!\led_flash_cnt[3531][3]~76319\) # (!\led_flash_cnt[3531][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3531][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3531][3]~76319\,
	combout => \led_flash_cnt[3531][4]~76320_combout\,
	cout => \led_flash_cnt[3531][4]~76321\);

-- Location: FF_X49_Y37_N11
\led_flash_cnt[3531][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3531][4]~76320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3531][4]~q\);

-- Location: LCCOMB_X49_Y37_N12
\led_flash_cnt[3531][5]~76322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3531][5]~76322_combout\ = (\led_flash_cnt[3531][5]~q\ & (\led_flash_cnt[3531][4]~76321\ $ (GND))) # (!\led_flash_cnt[3531][5]~q\ & (!\led_flash_cnt[3531][4]~76321\ & VCC))
-- \led_flash_cnt[3531][5]~76323\ = CARRY((\led_flash_cnt[3531][5]~q\ & !\led_flash_cnt[3531][4]~76321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3531][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3531][4]~76321\,
	combout => \led_flash_cnt[3531][5]~76322_combout\,
	cout => \led_flash_cnt[3531][5]~76323\);

-- Location: FF_X49_Y37_N13
\led_flash_cnt[3531][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3531][5]~76322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3531][5]~q\);

-- Location: LCCOMB_X49_Y37_N14
\led_flash_cnt[3531][6]~76324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3531][6]~76324_combout\ = (\led_flash_cnt[3531][6]~q\ & (!\led_flash_cnt[3531][5]~76323\)) # (!\led_flash_cnt[3531][6]~q\ & ((\led_flash_cnt[3531][5]~76323\) # (GND)))
-- \led_flash_cnt[3531][6]~76325\ = CARRY((!\led_flash_cnt[3531][5]~76323\) # (!\led_flash_cnt[3531][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3531][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3531][5]~76323\,
	combout => \led_flash_cnt[3531][6]~76324_combout\,
	cout => \led_flash_cnt[3531][6]~76325\);

-- Location: FF_X49_Y37_N15
\led_flash_cnt[3531][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3531][6]~76324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3531][6]~q\);

-- Location: LCCOMB_X49_Y37_N16
\led_flash_cnt[3531][7]~76326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3531][7]~76326_combout\ = \led_flash_cnt[3531][6]~76325\ $ (!\led_flash_cnt[3531][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3531][7]~q\,
	cin => \led_flash_cnt[3531][6]~76325\,
	combout => \led_flash_cnt[3531][7]~76326_combout\);

-- Location: FF_X49_Y37_N17
\led_flash_cnt[3531][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3531][7]~76326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3531][7]~q\);

-- Location: LCCOMB_X49_Y37_N2
\WideAnd3531~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3531~0_combout\ = (\led_flash_cnt[3531][4]~q\ & (\led_flash_cnt[3531][3]~q\ & (\led_flash_cnt[3531][1]~q\ & \led_flash_cnt[3531][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3531][4]~q\,
	datab => \led_flash_cnt[3531][3]~q\,
	datac => \led_flash_cnt[3531][1]~q\,
	datad => \led_flash_cnt[3531][2]~q\,
	combout => \WideAnd3531~0_combout\);

-- Location: LCCOMB_X47_Y37_N6
\WideAnd3531~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3531~1_combout\ = (\led_flash_cnt[3531][6]~q\ & \led_flash_cnt[3531][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3531][6]~q\,
	datad => \led_flash_cnt[3531][5]~q\,
	combout => \WideAnd3531~1_combout\);

-- Location: LCCOMB_X47_Y37_N8
WideAnd3531 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3531~combout\ = (\led_flash_cnt[3531][7]~q\ & (\WideAnd3531~0_combout\ & (\led_flash_cnt[3531][0]~q\ & \WideAnd3531~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3531][7]~q\,
	datab => \WideAnd3531~0_combout\,
	datac => \led_flash_cnt[3531][0]~q\,
	datad => \WideAnd3531~1_combout\,
	combout => \WideAnd3531~combout\);

-- Location: FF_X47_Y37_N9
\led_flash_cnt_ands[3531]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3531~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3531));

-- Location: LCCOMB_X50_Y37_N4
\led_flash_cnt[3530][0]~84170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3530][0]~84170_combout\ = !\led_flash_cnt[3530][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3530][0]~q\,
	combout => \led_flash_cnt[3530][0]~84170_combout\);

-- Location: FF_X50_Y37_N5
\led_flash_cnt[3530][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3530][0]~84170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3530][0]~q\);

-- Location: LCCOMB_X50_Y37_N10
\led_flash_cnt[3530][1]~76300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3530][1]~76300_combout\ = (\led_flash_cnt[3530][1]~q\ & (\led_flash_cnt[3530][0]~q\ $ (VCC))) # (!\led_flash_cnt[3530][1]~q\ & (\led_flash_cnt[3530][0]~q\ & VCC))
-- \led_flash_cnt[3530][1]~76301\ = CARRY((\led_flash_cnt[3530][1]~q\ & \led_flash_cnt[3530][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3530][1]~q\,
	datab => \led_flash_cnt[3530][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3530][1]~76300_combout\,
	cout => \led_flash_cnt[3530][1]~76301\);

-- Location: FF_X50_Y37_N11
\led_flash_cnt[3530][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3530][1]~76300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3530][1]~q\);

-- Location: LCCOMB_X50_Y37_N12
\led_flash_cnt[3530][2]~76302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3530][2]~76302_combout\ = (\led_flash_cnt[3530][2]~q\ & (!\led_flash_cnt[3530][1]~76301\)) # (!\led_flash_cnt[3530][2]~q\ & ((\led_flash_cnt[3530][1]~76301\) # (GND)))
-- \led_flash_cnt[3530][2]~76303\ = CARRY((!\led_flash_cnt[3530][1]~76301\) # (!\led_flash_cnt[3530][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3530][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3530][1]~76301\,
	combout => \led_flash_cnt[3530][2]~76302_combout\,
	cout => \led_flash_cnt[3530][2]~76303\);

-- Location: FF_X50_Y37_N13
\led_flash_cnt[3530][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3530][2]~76302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3530][2]~q\);

-- Location: LCCOMB_X50_Y37_N14
\led_flash_cnt[3530][3]~76304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3530][3]~76304_combout\ = (\led_flash_cnt[3530][3]~q\ & (\led_flash_cnt[3530][2]~76303\ $ (GND))) # (!\led_flash_cnt[3530][3]~q\ & (!\led_flash_cnt[3530][2]~76303\ & VCC))
-- \led_flash_cnt[3530][3]~76305\ = CARRY((\led_flash_cnt[3530][3]~q\ & !\led_flash_cnt[3530][2]~76303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3530][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3530][2]~76303\,
	combout => \led_flash_cnt[3530][3]~76304_combout\,
	cout => \led_flash_cnt[3530][3]~76305\);

-- Location: FF_X50_Y37_N15
\led_flash_cnt[3530][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3530][3]~76304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3530][3]~q\);

-- Location: LCCOMB_X50_Y37_N16
\led_flash_cnt[3530][4]~76306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3530][4]~76306_combout\ = (\led_flash_cnt[3530][4]~q\ & (!\led_flash_cnt[3530][3]~76305\)) # (!\led_flash_cnt[3530][4]~q\ & ((\led_flash_cnt[3530][3]~76305\) # (GND)))
-- \led_flash_cnt[3530][4]~76307\ = CARRY((!\led_flash_cnt[3530][3]~76305\) # (!\led_flash_cnt[3530][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3530][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3530][3]~76305\,
	combout => \led_flash_cnt[3530][4]~76306_combout\,
	cout => \led_flash_cnt[3530][4]~76307\);

-- Location: FF_X50_Y37_N17
\led_flash_cnt[3530][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3530][4]~76306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3530][4]~q\);

-- Location: LCCOMB_X50_Y37_N18
\led_flash_cnt[3530][5]~76308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3530][5]~76308_combout\ = (\led_flash_cnt[3530][5]~q\ & (\led_flash_cnt[3530][4]~76307\ $ (GND))) # (!\led_flash_cnt[3530][5]~q\ & (!\led_flash_cnt[3530][4]~76307\ & VCC))
-- \led_flash_cnt[3530][5]~76309\ = CARRY((\led_flash_cnt[3530][5]~q\ & !\led_flash_cnt[3530][4]~76307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3530][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3530][4]~76307\,
	combout => \led_flash_cnt[3530][5]~76308_combout\,
	cout => \led_flash_cnt[3530][5]~76309\);

-- Location: FF_X50_Y37_N19
\led_flash_cnt[3530][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3530][5]~76308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3530][5]~q\);

-- Location: LCCOMB_X50_Y37_N20
\led_flash_cnt[3530][6]~76310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3530][6]~76310_combout\ = (\led_flash_cnt[3530][6]~q\ & (!\led_flash_cnt[3530][5]~76309\)) # (!\led_flash_cnt[3530][6]~q\ & ((\led_flash_cnt[3530][5]~76309\) # (GND)))
-- \led_flash_cnt[3530][6]~76311\ = CARRY((!\led_flash_cnt[3530][5]~76309\) # (!\led_flash_cnt[3530][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3530][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3530][5]~76309\,
	combout => \led_flash_cnt[3530][6]~76310_combout\,
	cout => \led_flash_cnt[3530][6]~76311\);

-- Location: FF_X50_Y37_N21
\led_flash_cnt[3530][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3530][6]~76310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3530][6]~q\);

-- Location: LCCOMB_X50_Y37_N6
\WideAnd3530~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3530~1_combout\ = (\led_flash_cnt[3530][6]~q\ & \led_flash_cnt[3530][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3530][6]~q\,
	datad => \led_flash_cnt[3530][5]~q\,
	combout => \WideAnd3530~1_combout\);

-- Location: LCCOMB_X50_Y37_N22
\led_flash_cnt[3530][7]~76312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3530][7]~76312_combout\ = \led_flash_cnt[3530][7]~q\ $ (!\led_flash_cnt[3530][6]~76311\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3530][7]~q\,
	cin => \led_flash_cnt[3530][6]~76311\,
	combout => \led_flash_cnt[3530][7]~76312_combout\);

-- Location: FF_X50_Y37_N23
\led_flash_cnt[3530][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3530][7]~76312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3530][7]~q\);

-- Location: LCCOMB_X50_Y37_N24
\WideAnd3530~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3530~0_combout\ = (\led_flash_cnt[3530][2]~q\ & (\led_flash_cnt[3530][4]~q\ & (\led_flash_cnt[3530][3]~q\ & \led_flash_cnt[3530][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3530][2]~q\,
	datab => \led_flash_cnt[3530][4]~q\,
	datac => \led_flash_cnt[3530][3]~q\,
	datad => \led_flash_cnt[3530][1]~q\,
	combout => \WideAnd3530~0_combout\);

-- Location: LCCOMB_X50_Y37_N28
WideAnd3530 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3530~combout\ = (\WideAnd3530~1_combout\ & (\led_flash_cnt[3530][0]~q\ & (\led_flash_cnt[3530][7]~q\ & \WideAnd3530~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3530~1_combout\,
	datab => \led_flash_cnt[3530][0]~q\,
	datac => \led_flash_cnt[3530][7]~q\,
	datad => \WideAnd3530~0_combout\,
	combout => \WideAnd3530~combout\);

-- Location: FF_X50_Y37_N29
\led_flash_cnt_ands[3530]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3530~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3530));

-- Location: LCCOMB_X40_Y38_N8
\led_flash_cnt[3528][0]~84168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3528][0]~84168_combout\ = !\led_flash_cnt[3528][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3528][0]~q\,
	combout => \led_flash_cnt[3528][0]~84168_combout\);

-- Location: FF_X40_Y38_N9
\led_flash_cnt[3528][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3528][0]~84168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3528][0]~q\);

-- Location: LCCOMB_X40_Y38_N12
\led_flash_cnt[3528][1]~76272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3528][1]~76272_combout\ = (\led_flash_cnt[3528][1]~q\ & (\led_flash_cnt[3528][0]~q\ $ (VCC))) # (!\led_flash_cnt[3528][1]~q\ & (\led_flash_cnt[3528][0]~q\ & VCC))
-- \led_flash_cnt[3528][1]~76273\ = CARRY((\led_flash_cnt[3528][1]~q\ & \led_flash_cnt[3528][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3528][1]~q\,
	datab => \led_flash_cnt[3528][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3528][1]~76272_combout\,
	cout => \led_flash_cnt[3528][1]~76273\);

-- Location: FF_X40_Y38_N13
\led_flash_cnt[3528][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3528][1]~76272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3528][1]~q\);

-- Location: LCCOMB_X40_Y38_N14
\led_flash_cnt[3528][2]~76274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3528][2]~76274_combout\ = (\led_flash_cnt[3528][2]~q\ & (!\led_flash_cnt[3528][1]~76273\)) # (!\led_flash_cnt[3528][2]~q\ & ((\led_flash_cnt[3528][1]~76273\) # (GND)))
-- \led_flash_cnt[3528][2]~76275\ = CARRY((!\led_flash_cnt[3528][1]~76273\) # (!\led_flash_cnt[3528][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3528][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3528][1]~76273\,
	combout => \led_flash_cnt[3528][2]~76274_combout\,
	cout => \led_flash_cnt[3528][2]~76275\);

-- Location: FF_X40_Y38_N15
\led_flash_cnt[3528][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3528][2]~76274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3528][2]~q\);

-- Location: LCCOMB_X40_Y38_N16
\led_flash_cnt[3528][3]~76276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3528][3]~76276_combout\ = (\led_flash_cnt[3528][3]~q\ & (\led_flash_cnt[3528][2]~76275\ $ (GND))) # (!\led_flash_cnt[3528][3]~q\ & (!\led_flash_cnt[3528][2]~76275\ & VCC))
-- \led_flash_cnt[3528][3]~76277\ = CARRY((\led_flash_cnt[3528][3]~q\ & !\led_flash_cnt[3528][2]~76275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3528][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3528][2]~76275\,
	combout => \led_flash_cnt[3528][3]~76276_combout\,
	cout => \led_flash_cnt[3528][3]~76277\);

-- Location: FF_X40_Y38_N17
\led_flash_cnt[3528][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3528][3]~76276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3528][3]~q\);

-- Location: LCCOMB_X40_Y38_N18
\led_flash_cnt[3528][4]~76278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3528][4]~76278_combout\ = (\led_flash_cnt[3528][4]~q\ & (!\led_flash_cnt[3528][3]~76277\)) # (!\led_flash_cnt[3528][4]~q\ & ((\led_flash_cnt[3528][3]~76277\) # (GND)))
-- \led_flash_cnt[3528][4]~76279\ = CARRY((!\led_flash_cnt[3528][3]~76277\) # (!\led_flash_cnt[3528][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3528][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3528][3]~76277\,
	combout => \led_flash_cnt[3528][4]~76278_combout\,
	cout => \led_flash_cnt[3528][4]~76279\);

-- Location: FF_X40_Y38_N19
\led_flash_cnt[3528][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3528][4]~76278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3528][4]~q\);

-- Location: LCCOMB_X40_Y38_N20
\led_flash_cnt[3528][5]~76280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3528][5]~76280_combout\ = (\led_flash_cnt[3528][5]~q\ & (\led_flash_cnt[3528][4]~76279\ $ (GND))) # (!\led_flash_cnt[3528][5]~q\ & (!\led_flash_cnt[3528][4]~76279\ & VCC))
-- \led_flash_cnt[3528][5]~76281\ = CARRY((\led_flash_cnt[3528][5]~q\ & !\led_flash_cnt[3528][4]~76279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3528][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3528][4]~76279\,
	combout => \led_flash_cnt[3528][5]~76280_combout\,
	cout => \led_flash_cnt[3528][5]~76281\);

-- Location: FF_X40_Y38_N21
\led_flash_cnt[3528][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3528][5]~76280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3528][5]~q\);

-- Location: LCCOMB_X40_Y38_N22
\led_flash_cnt[3528][6]~76282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3528][6]~76282_combout\ = (\led_flash_cnt[3528][6]~q\ & (!\led_flash_cnt[3528][5]~76281\)) # (!\led_flash_cnt[3528][6]~q\ & ((\led_flash_cnt[3528][5]~76281\) # (GND)))
-- \led_flash_cnt[3528][6]~76283\ = CARRY((!\led_flash_cnt[3528][5]~76281\) # (!\led_flash_cnt[3528][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3528][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3528][5]~76281\,
	combout => \led_flash_cnt[3528][6]~76282_combout\,
	cout => \led_flash_cnt[3528][6]~76283\);

-- Location: FF_X40_Y38_N23
\led_flash_cnt[3528][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3528][6]~76282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3528][6]~q\);

-- Location: LCCOMB_X40_Y38_N26
\WideAnd3528~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3528~1_combout\ = (\led_flash_cnt[3528][6]~q\ & \led_flash_cnt[3528][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3528][6]~q\,
	datad => \led_flash_cnt[3528][5]~q\,
	combout => \WideAnd3528~1_combout\);

-- Location: LCCOMB_X40_Y38_N24
\led_flash_cnt[3528][7]~76284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3528][7]~76284_combout\ = \led_flash_cnt[3528][6]~76283\ $ (!\led_flash_cnt[3528][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3528][7]~q\,
	cin => \led_flash_cnt[3528][6]~76283\,
	combout => \led_flash_cnt[3528][7]~76284_combout\);

-- Location: FF_X40_Y38_N25
\led_flash_cnt[3528][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3528][7]~76284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3528][7]~q\);

-- Location: LCCOMB_X40_Y38_N0
\WideAnd3528~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3528~0_combout\ = (\led_flash_cnt[3528][1]~q\ & (\led_flash_cnt[3528][3]~q\ & (\led_flash_cnt[3528][2]~q\ & \led_flash_cnt[3528][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3528][1]~q\,
	datab => \led_flash_cnt[3528][3]~q\,
	datac => \led_flash_cnt[3528][2]~q\,
	datad => \led_flash_cnt[3528][4]~q\,
	combout => \WideAnd3528~0_combout\);

-- Location: LCCOMB_X40_Y38_N30
WideAnd3528 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3528~combout\ = (\WideAnd3528~1_combout\ & (\led_flash_cnt[3528][7]~q\ & (\led_flash_cnt[3528][0]~q\ & \WideAnd3528~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3528~1_combout\,
	datab => \led_flash_cnt[3528][7]~q\,
	datac => \led_flash_cnt[3528][0]~q\,
	datad => \WideAnd3528~0_combout\,
	combout => \WideAnd3528~combout\);

-- Location: FF_X40_Y38_N31
\led_flash_cnt_ands[3528]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3528~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3528));

-- Location: LCCOMB_X41_Y37_N8
\WideAnd4281~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4281~0_combout\ = (led_flash_cnt_ands(3529) & (led_flash_cnt_ands(3531) & (led_flash_cnt_ands(3530) & led_flash_cnt_ands(3528))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3529),
	datab => led_flash_cnt_ands(3531),
	datac => led_flash_cnt_ands(3530),
	datad => led_flash_cnt_ands(3528),
	combout => \WideAnd4281~0_combout\);

-- Location: LCCOMB_X50_Y40_N6
\led_flash_cnt[3533][0]~84173\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3533][0]~84173_combout\ = !\led_flash_cnt[3533][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3533][0]~q\,
	combout => \led_flash_cnt[3533][0]~84173_combout\);

-- Location: FF_X50_Y40_N7
\led_flash_cnt[3533][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3533][0]~84173_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3533][0]~q\);

-- Location: LCCOMB_X51_Y40_N18
\led_flash_cnt[3533][1]~76342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3533][1]~76342_combout\ = (\led_flash_cnt[3533][0]~q\ & (\led_flash_cnt[3533][1]~q\ $ (VCC))) # (!\led_flash_cnt[3533][0]~q\ & (\led_flash_cnt[3533][1]~q\ & VCC))
-- \led_flash_cnt[3533][1]~76343\ = CARRY((\led_flash_cnt[3533][0]~q\ & \led_flash_cnt[3533][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3533][0]~q\,
	datab => \led_flash_cnt[3533][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3533][1]~76342_combout\,
	cout => \led_flash_cnt[3533][1]~76343\);

-- Location: FF_X51_Y40_N19
\led_flash_cnt[3533][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3533][1]~76342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3533][1]~q\);

-- Location: LCCOMB_X51_Y40_N20
\led_flash_cnt[3533][2]~76344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3533][2]~76344_combout\ = (\led_flash_cnt[3533][2]~q\ & (!\led_flash_cnt[3533][1]~76343\)) # (!\led_flash_cnt[3533][2]~q\ & ((\led_flash_cnt[3533][1]~76343\) # (GND)))
-- \led_flash_cnt[3533][2]~76345\ = CARRY((!\led_flash_cnt[3533][1]~76343\) # (!\led_flash_cnt[3533][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3533][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3533][1]~76343\,
	combout => \led_flash_cnt[3533][2]~76344_combout\,
	cout => \led_flash_cnt[3533][2]~76345\);

-- Location: FF_X51_Y40_N21
\led_flash_cnt[3533][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3533][2]~76344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3533][2]~q\);

-- Location: LCCOMB_X51_Y40_N22
\led_flash_cnt[3533][3]~76346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3533][3]~76346_combout\ = (\led_flash_cnt[3533][3]~q\ & (\led_flash_cnt[3533][2]~76345\ $ (GND))) # (!\led_flash_cnt[3533][3]~q\ & (!\led_flash_cnt[3533][2]~76345\ & VCC))
-- \led_flash_cnt[3533][3]~76347\ = CARRY((\led_flash_cnt[3533][3]~q\ & !\led_flash_cnt[3533][2]~76345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3533][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3533][2]~76345\,
	combout => \led_flash_cnt[3533][3]~76346_combout\,
	cout => \led_flash_cnt[3533][3]~76347\);

-- Location: FF_X51_Y40_N23
\led_flash_cnt[3533][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3533][3]~76346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3533][3]~q\);

-- Location: LCCOMB_X51_Y40_N24
\led_flash_cnt[3533][4]~76348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3533][4]~76348_combout\ = (\led_flash_cnt[3533][4]~q\ & (!\led_flash_cnt[3533][3]~76347\)) # (!\led_flash_cnt[3533][4]~q\ & ((\led_flash_cnt[3533][3]~76347\) # (GND)))
-- \led_flash_cnt[3533][4]~76349\ = CARRY((!\led_flash_cnt[3533][3]~76347\) # (!\led_flash_cnt[3533][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3533][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3533][3]~76347\,
	combout => \led_flash_cnt[3533][4]~76348_combout\,
	cout => \led_flash_cnt[3533][4]~76349\);

-- Location: FF_X51_Y40_N25
\led_flash_cnt[3533][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3533][4]~76348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3533][4]~q\);

-- Location: LCCOMB_X51_Y40_N26
\led_flash_cnt[3533][5]~76350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3533][5]~76350_combout\ = (\led_flash_cnt[3533][5]~q\ & (\led_flash_cnt[3533][4]~76349\ $ (GND))) # (!\led_flash_cnt[3533][5]~q\ & (!\led_flash_cnt[3533][4]~76349\ & VCC))
-- \led_flash_cnt[3533][5]~76351\ = CARRY((\led_flash_cnt[3533][5]~q\ & !\led_flash_cnt[3533][4]~76349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3533][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3533][4]~76349\,
	combout => \led_flash_cnt[3533][5]~76350_combout\,
	cout => \led_flash_cnt[3533][5]~76351\);

-- Location: FF_X51_Y40_N27
\led_flash_cnt[3533][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3533][5]~76350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3533][5]~q\);

-- Location: LCCOMB_X51_Y40_N28
\led_flash_cnt[3533][6]~76352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3533][6]~76352_combout\ = (\led_flash_cnt[3533][6]~q\ & (!\led_flash_cnt[3533][5]~76351\)) # (!\led_flash_cnt[3533][6]~q\ & ((\led_flash_cnt[3533][5]~76351\) # (GND)))
-- \led_flash_cnt[3533][6]~76353\ = CARRY((!\led_flash_cnt[3533][5]~76351\) # (!\led_flash_cnt[3533][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3533][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3533][5]~76351\,
	combout => \led_flash_cnt[3533][6]~76352_combout\,
	cout => \led_flash_cnt[3533][6]~76353\);

-- Location: FF_X51_Y40_N29
\led_flash_cnt[3533][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3533][6]~76352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3533][6]~q\);

-- Location: LCCOMB_X50_Y40_N26
\WideAnd3533~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3533~1_combout\ = (\led_flash_cnt[3533][6]~q\ & \led_flash_cnt[3533][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3533][6]~q\,
	datad => \led_flash_cnt[3533][5]~q\,
	combout => \WideAnd3533~1_combout\);

-- Location: LCCOMB_X51_Y40_N16
\WideAnd3533~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3533~0_combout\ = (\led_flash_cnt[3533][4]~q\ & (\led_flash_cnt[3533][2]~q\ & (\led_flash_cnt[3533][3]~q\ & \led_flash_cnt[3533][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3533][4]~q\,
	datab => \led_flash_cnt[3533][2]~q\,
	datac => \led_flash_cnt[3533][3]~q\,
	datad => \led_flash_cnt[3533][1]~q\,
	combout => \WideAnd3533~0_combout\);

-- Location: LCCOMB_X51_Y40_N30
\led_flash_cnt[3533][7]~76354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3533][7]~76354_combout\ = \led_flash_cnt[3533][7]~q\ $ (!\led_flash_cnt[3533][6]~76353\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3533][7]~q\,
	cin => \led_flash_cnt[3533][6]~76353\,
	combout => \led_flash_cnt[3533][7]~76354_combout\);

-- Location: FF_X51_Y40_N31
\led_flash_cnt[3533][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3533][7]~76354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3533][7]~q\);

-- Location: LCCOMB_X50_Y40_N30
WideAnd3533 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3533~combout\ = (\WideAnd3533~1_combout\ & (\WideAnd3533~0_combout\ & (\led_flash_cnt[3533][7]~q\ & \led_flash_cnt[3533][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3533~1_combout\,
	datab => \WideAnd3533~0_combout\,
	datac => \led_flash_cnt[3533][7]~q\,
	datad => \led_flash_cnt[3533][0]~q\,
	combout => \WideAnd3533~combout\);

-- Location: FF_X50_Y40_N31
\led_flash_cnt_ands[3533]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3533~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3533));

-- Location: LCCOMB_X50_Y40_N22
\led_flash_cnt[3532][0]~84172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3532][0]~84172_combout\ = !\led_flash_cnt[3532][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3532][0]~q\,
	combout => \led_flash_cnt[3532][0]~84172_combout\);

-- Location: FF_X50_Y40_N23
\led_flash_cnt[3532][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3532][0]~84172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3532][0]~q\);

-- Location: LCCOMB_X50_Y40_N8
\led_flash_cnt[3532][1]~76328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3532][1]~76328_combout\ = (\led_flash_cnt[3532][0]~q\ & (\led_flash_cnt[3532][1]~q\ $ (VCC))) # (!\led_flash_cnt[3532][0]~q\ & (\led_flash_cnt[3532][1]~q\ & VCC))
-- \led_flash_cnt[3532][1]~76329\ = CARRY((\led_flash_cnt[3532][0]~q\ & \led_flash_cnt[3532][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3532][0]~q\,
	datab => \led_flash_cnt[3532][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3532][1]~76328_combout\,
	cout => \led_flash_cnt[3532][1]~76329\);

-- Location: FF_X50_Y40_N9
\led_flash_cnt[3532][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3532][1]~76328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3532][1]~q\);

-- Location: LCCOMB_X50_Y40_N10
\led_flash_cnt[3532][2]~76330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3532][2]~76330_combout\ = (\led_flash_cnt[3532][2]~q\ & (!\led_flash_cnt[3532][1]~76329\)) # (!\led_flash_cnt[3532][2]~q\ & ((\led_flash_cnt[3532][1]~76329\) # (GND)))
-- \led_flash_cnt[3532][2]~76331\ = CARRY((!\led_flash_cnt[3532][1]~76329\) # (!\led_flash_cnt[3532][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3532][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3532][1]~76329\,
	combout => \led_flash_cnt[3532][2]~76330_combout\,
	cout => \led_flash_cnt[3532][2]~76331\);

-- Location: FF_X50_Y40_N11
\led_flash_cnt[3532][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3532][2]~76330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3532][2]~q\);

-- Location: LCCOMB_X50_Y40_N12
\led_flash_cnt[3532][3]~76332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3532][3]~76332_combout\ = (\led_flash_cnt[3532][3]~q\ & (\led_flash_cnt[3532][2]~76331\ $ (GND))) # (!\led_flash_cnt[3532][3]~q\ & (!\led_flash_cnt[3532][2]~76331\ & VCC))
-- \led_flash_cnt[3532][3]~76333\ = CARRY((\led_flash_cnt[3532][3]~q\ & !\led_flash_cnt[3532][2]~76331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3532][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3532][2]~76331\,
	combout => \led_flash_cnt[3532][3]~76332_combout\,
	cout => \led_flash_cnt[3532][3]~76333\);

-- Location: FF_X50_Y40_N13
\led_flash_cnt[3532][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3532][3]~76332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3532][3]~q\);

-- Location: LCCOMB_X50_Y40_N14
\led_flash_cnt[3532][4]~76334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3532][4]~76334_combout\ = (\led_flash_cnt[3532][4]~q\ & (!\led_flash_cnt[3532][3]~76333\)) # (!\led_flash_cnt[3532][4]~q\ & ((\led_flash_cnt[3532][3]~76333\) # (GND)))
-- \led_flash_cnt[3532][4]~76335\ = CARRY((!\led_flash_cnt[3532][3]~76333\) # (!\led_flash_cnt[3532][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3532][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3532][3]~76333\,
	combout => \led_flash_cnt[3532][4]~76334_combout\,
	cout => \led_flash_cnt[3532][4]~76335\);

-- Location: FF_X50_Y40_N15
\led_flash_cnt[3532][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3532][4]~76334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3532][4]~q\);

-- Location: LCCOMB_X50_Y40_N16
\led_flash_cnt[3532][5]~76336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3532][5]~76336_combout\ = (\led_flash_cnt[3532][5]~q\ & (\led_flash_cnt[3532][4]~76335\ $ (GND))) # (!\led_flash_cnt[3532][5]~q\ & (!\led_flash_cnt[3532][4]~76335\ & VCC))
-- \led_flash_cnt[3532][5]~76337\ = CARRY((\led_flash_cnt[3532][5]~q\ & !\led_flash_cnt[3532][4]~76335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3532][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3532][4]~76335\,
	combout => \led_flash_cnt[3532][5]~76336_combout\,
	cout => \led_flash_cnt[3532][5]~76337\);

-- Location: FF_X50_Y40_N17
\led_flash_cnt[3532][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3532][5]~76336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3532][5]~q\);

-- Location: LCCOMB_X50_Y40_N18
\led_flash_cnt[3532][6]~76338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3532][6]~76338_combout\ = (\led_flash_cnt[3532][6]~q\ & (!\led_flash_cnt[3532][5]~76337\)) # (!\led_flash_cnt[3532][6]~q\ & ((\led_flash_cnt[3532][5]~76337\) # (GND)))
-- \led_flash_cnt[3532][6]~76339\ = CARRY((!\led_flash_cnt[3532][5]~76337\) # (!\led_flash_cnt[3532][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3532][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3532][5]~76337\,
	combout => \led_flash_cnt[3532][6]~76338_combout\,
	cout => \led_flash_cnt[3532][6]~76339\);

-- Location: FF_X50_Y40_N19
\led_flash_cnt[3532][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3532][6]~76338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3532][6]~q\);

-- Location: LCCOMB_X50_Y40_N20
\led_flash_cnt[3532][7]~76340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3532][7]~76340_combout\ = \led_flash_cnt[3532][6]~76339\ $ (!\led_flash_cnt[3532][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3532][7]~q\,
	cin => \led_flash_cnt[3532][6]~76339\,
	combout => \led_flash_cnt[3532][7]~76340_combout\);

-- Location: FF_X50_Y40_N21
\led_flash_cnt[3532][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3532][7]~76340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3532][7]~q\);

-- Location: LCCOMB_X50_Y40_N4
\WideAnd3532~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3532~1_combout\ = (\led_flash_cnt[3532][6]~q\ & \led_flash_cnt[3532][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3532][6]~q\,
	datad => \led_flash_cnt[3532][5]~q\,
	combout => \WideAnd3532~1_combout\);

-- Location: LCCOMB_X50_Y40_N24
\WideAnd3532~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3532~0_combout\ = (\led_flash_cnt[3532][3]~q\ & (\led_flash_cnt[3532][4]~q\ & (\led_flash_cnt[3532][1]~q\ & \led_flash_cnt[3532][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3532][3]~q\,
	datab => \led_flash_cnt[3532][4]~q\,
	datac => \led_flash_cnt[3532][1]~q\,
	datad => \led_flash_cnt[3532][2]~q\,
	combout => \WideAnd3532~0_combout\);

-- Location: LCCOMB_X50_Y40_N2
WideAnd3532 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3532~combout\ = (\led_flash_cnt[3532][0]~q\ & (\led_flash_cnt[3532][7]~q\ & (\WideAnd3532~1_combout\ & \WideAnd3532~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3532][0]~q\,
	datab => \led_flash_cnt[3532][7]~q\,
	datac => \WideAnd3532~1_combout\,
	datad => \WideAnd3532~0_combout\,
	combout => \WideAnd3532~combout\);

-- Location: FF_X50_Y40_N3
\led_flash_cnt_ands[3532]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3532~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3532));

-- Location: LCCOMB_X50_Y40_N28
\WideAnd4281~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4281~1_combout\ = (led_flash_cnt_ands(3533) & led_flash_cnt_ands(3532))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3533),
	datad => led_flash_cnt_ands(3532),
	combout => \WideAnd4281~1_combout\);

-- Location: LCCOMB_X36_Y28_N24
\led_flash_cnt[3535][0]~84175\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3535][0]~84175_combout\ = !\led_flash_cnt[3535][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3535][0]~q\,
	combout => \led_flash_cnt[3535][0]~84175_combout\);

-- Location: FF_X36_Y28_N25
\led_flash_cnt[3535][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3535][0]~84175_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3535][0]~q\);

-- Location: LCCOMB_X35_Y28_N16
\led_flash_cnt[3535][1]~76370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3535][1]~76370_combout\ = (\led_flash_cnt[3535][1]~q\ & (\led_flash_cnt[3535][0]~q\ $ (VCC))) # (!\led_flash_cnt[3535][1]~q\ & (\led_flash_cnt[3535][0]~q\ & VCC))
-- \led_flash_cnt[3535][1]~76371\ = CARRY((\led_flash_cnt[3535][1]~q\ & \led_flash_cnt[3535][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3535][1]~q\,
	datab => \led_flash_cnt[3535][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3535][1]~76370_combout\,
	cout => \led_flash_cnt[3535][1]~76371\);

-- Location: FF_X35_Y28_N17
\led_flash_cnt[3535][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3535][1]~76370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3535][1]~q\);

-- Location: LCCOMB_X35_Y28_N18
\led_flash_cnt[3535][2]~76372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3535][2]~76372_combout\ = (\led_flash_cnt[3535][2]~q\ & (!\led_flash_cnt[3535][1]~76371\)) # (!\led_flash_cnt[3535][2]~q\ & ((\led_flash_cnt[3535][1]~76371\) # (GND)))
-- \led_flash_cnt[3535][2]~76373\ = CARRY((!\led_flash_cnt[3535][1]~76371\) # (!\led_flash_cnt[3535][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3535][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3535][1]~76371\,
	combout => \led_flash_cnt[3535][2]~76372_combout\,
	cout => \led_flash_cnt[3535][2]~76373\);

-- Location: FF_X35_Y28_N19
\led_flash_cnt[3535][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3535][2]~76372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3535][2]~q\);

-- Location: LCCOMB_X35_Y28_N20
\led_flash_cnt[3535][3]~76374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3535][3]~76374_combout\ = (\led_flash_cnt[3535][3]~q\ & (\led_flash_cnt[3535][2]~76373\ $ (GND))) # (!\led_flash_cnt[3535][3]~q\ & (!\led_flash_cnt[3535][2]~76373\ & VCC))
-- \led_flash_cnt[3535][3]~76375\ = CARRY((\led_flash_cnt[3535][3]~q\ & !\led_flash_cnt[3535][2]~76373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3535][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3535][2]~76373\,
	combout => \led_flash_cnt[3535][3]~76374_combout\,
	cout => \led_flash_cnt[3535][3]~76375\);

-- Location: FF_X35_Y28_N21
\led_flash_cnt[3535][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3535][3]~76374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3535][3]~q\);

-- Location: LCCOMB_X35_Y28_N22
\led_flash_cnt[3535][4]~76376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3535][4]~76376_combout\ = (\led_flash_cnt[3535][4]~q\ & (!\led_flash_cnt[3535][3]~76375\)) # (!\led_flash_cnt[3535][4]~q\ & ((\led_flash_cnt[3535][3]~76375\) # (GND)))
-- \led_flash_cnt[3535][4]~76377\ = CARRY((!\led_flash_cnt[3535][3]~76375\) # (!\led_flash_cnt[3535][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3535][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3535][3]~76375\,
	combout => \led_flash_cnt[3535][4]~76376_combout\,
	cout => \led_flash_cnt[3535][4]~76377\);

-- Location: FF_X35_Y28_N23
\led_flash_cnt[3535][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3535][4]~76376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3535][4]~q\);

-- Location: LCCOMB_X35_Y28_N24
\led_flash_cnt[3535][5]~76378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3535][5]~76378_combout\ = (\led_flash_cnt[3535][5]~q\ & (\led_flash_cnt[3535][4]~76377\ $ (GND))) # (!\led_flash_cnt[3535][5]~q\ & (!\led_flash_cnt[3535][4]~76377\ & VCC))
-- \led_flash_cnt[3535][5]~76379\ = CARRY((\led_flash_cnt[3535][5]~q\ & !\led_flash_cnt[3535][4]~76377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3535][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3535][4]~76377\,
	combout => \led_flash_cnt[3535][5]~76378_combout\,
	cout => \led_flash_cnt[3535][5]~76379\);

-- Location: FF_X35_Y28_N25
\led_flash_cnt[3535][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3535][5]~76378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3535][5]~q\);

-- Location: LCCOMB_X35_Y28_N26
\led_flash_cnt[3535][6]~76380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3535][6]~76380_combout\ = (\led_flash_cnt[3535][6]~q\ & (!\led_flash_cnt[3535][5]~76379\)) # (!\led_flash_cnt[3535][6]~q\ & ((\led_flash_cnt[3535][5]~76379\) # (GND)))
-- \led_flash_cnt[3535][6]~76381\ = CARRY((!\led_flash_cnt[3535][5]~76379\) # (!\led_flash_cnt[3535][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3535][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3535][5]~76379\,
	combout => \led_flash_cnt[3535][6]~76380_combout\,
	cout => \led_flash_cnt[3535][6]~76381\);

-- Location: FF_X35_Y28_N27
\led_flash_cnt[3535][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3535][6]~76380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3535][6]~q\);

-- Location: LCCOMB_X35_Y28_N28
\led_flash_cnt[3535][7]~76382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3535][7]~76382_combout\ = \led_flash_cnt[3535][6]~76381\ $ (!\led_flash_cnt[3535][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3535][7]~q\,
	cin => \led_flash_cnt[3535][6]~76381\,
	combout => \led_flash_cnt[3535][7]~76382_combout\);

-- Location: FF_X35_Y28_N29
\led_flash_cnt[3535][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3535][7]~76382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3535][7]~q\);

-- Location: LCCOMB_X36_Y28_N14
\WideAnd3535~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3535~0_combout\ = (\led_flash_cnt[3535][2]~q\ & (\led_flash_cnt[3535][4]~q\ & (\led_flash_cnt[3535][1]~q\ & \led_flash_cnt[3535][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3535][2]~q\,
	datab => \led_flash_cnt[3535][4]~q\,
	datac => \led_flash_cnt[3535][1]~q\,
	datad => \led_flash_cnt[3535][3]~q\,
	combout => \WideAnd3535~0_combout\);

-- Location: LCCOMB_X36_Y28_N20
\WideAnd3535~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3535~1_combout\ = (\led_flash_cnt[3535][6]~q\ & \led_flash_cnt[3535][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3535][6]~q\,
	datad => \led_flash_cnt[3535][5]~q\,
	combout => \WideAnd3535~1_combout\);

-- Location: LCCOMB_X36_Y28_N16
WideAnd3535 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3535~combout\ = (\led_flash_cnt[3535][0]~q\ & (\led_flash_cnt[3535][7]~q\ & (\WideAnd3535~0_combout\ & \WideAnd3535~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3535][0]~q\,
	datab => \led_flash_cnt[3535][7]~q\,
	datac => \WideAnd3535~0_combout\,
	datad => \WideAnd3535~1_combout\,
	combout => \WideAnd3535~combout\);

-- Location: FF_X36_Y28_N17
\led_flash_cnt_ands[3535]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3535~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3535));

-- Location: LCCOMB_X44_Y30_N24
WideAnd4281 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4281~combout\ = (led_flash_cnt_ands(3534) & (\WideAnd4281~0_combout\ & (\WideAnd4281~1_combout\ & led_flash_cnt_ands(3535))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3534),
	datab => \WideAnd4281~0_combout\,
	datac => \WideAnd4281~1_combout\,
	datad => led_flash_cnt_ands(3535),
	combout => \WideAnd4281~combout\);

-- Location: FF_X44_Y30_N25
\led_flash_cnt_ands_1[441]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4281~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(441));

-- Location: LCCOMB_X52_Y39_N6
\led_flash_cnt[3526][0]~84166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3526][0]~84166_combout\ = !\led_flash_cnt[3526][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3526][0]~q\,
	combout => \led_flash_cnt[3526][0]~84166_combout\);

-- Location: FF_X52_Y39_N7
\led_flash_cnt[3526][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3526][0]~84166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3526][0]~q\);

-- Location: LCCOMB_X51_Y39_N14
\led_flash_cnt[3526][1]~76244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3526][1]~76244_combout\ = (\led_flash_cnt[3526][0]~q\ & (\led_flash_cnt[3526][1]~q\ $ (VCC))) # (!\led_flash_cnt[3526][0]~q\ & (\led_flash_cnt[3526][1]~q\ & VCC))
-- \led_flash_cnt[3526][1]~76245\ = CARRY((\led_flash_cnt[3526][0]~q\ & \led_flash_cnt[3526][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3526][0]~q\,
	datab => \led_flash_cnt[3526][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3526][1]~76244_combout\,
	cout => \led_flash_cnt[3526][1]~76245\);

-- Location: FF_X51_Y39_N15
\led_flash_cnt[3526][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3526][1]~76244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3526][1]~q\);

-- Location: LCCOMB_X51_Y39_N16
\led_flash_cnt[3526][2]~76246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3526][2]~76246_combout\ = (\led_flash_cnt[3526][2]~q\ & (!\led_flash_cnt[3526][1]~76245\)) # (!\led_flash_cnt[3526][2]~q\ & ((\led_flash_cnt[3526][1]~76245\) # (GND)))
-- \led_flash_cnt[3526][2]~76247\ = CARRY((!\led_flash_cnt[3526][1]~76245\) # (!\led_flash_cnt[3526][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3526][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3526][1]~76245\,
	combout => \led_flash_cnt[3526][2]~76246_combout\,
	cout => \led_flash_cnt[3526][2]~76247\);

-- Location: FF_X51_Y39_N17
\led_flash_cnt[3526][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3526][2]~76246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3526][2]~q\);

-- Location: LCCOMB_X51_Y39_N18
\led_flash_cnt[3526][3]~76248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3526][3]~76248_combout\ = (\led_flash_cnt[3526][3]~q\ & (\led_flash_cnt[3526][2]~76247\ $ (GND))) # (!\led_flash_cnt[3526][3]~q\ & (!\led_flash_cnt[3526][2]~76247\ & VCC))
-- \led_flash_cnt[3526][3]~76249\ = CARRY((\led_flash_cnt[3526][3]~q\ & !\led_flash_cnt[3526][2]~76247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3526][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3526][2]~76247\,
	combout => \led_flash_cnt[3526][3]~76248_combout\,
	cout => \led_flash_cnt[3526][3]~76249\);

-- Location: FF_X51_Y39_N19
\led_flash_cnt[3526][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3526][3]~76248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3526][3]~q\);

-- Location: LCCOMB_X51_Y39_N20
\led_flash_cnt[3526][4]~76250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3526][4]~76250_combout\ = (\led_flash_cnt[3526][4]~q\ & (!\led_flash_cnt[3526][3]~76249\)) # (!\led_flash_cnt[3526][4]~q\ & ((\led_flash_cnt[3526][3]~76249\) # (GND)))
-- \led_flash_cnt[3526][4]~76251\ = CARRY((!\led_flash_cnt[3526][3]~76249\) # (!\led_flash_cnt[3526][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3526][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3526][3]~76249\,
	combout => \led_flash_cnt[3526][4]~76250_combout\,
	cout => \led_flash_cnt[3526][4]~76251\);

-- Location: FF_X51_Y39_N21
\led_flash_cnt[3526][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3526][4]~76250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3526][4]~q\);

-- Location: LCCOMB_X51_Y39_N22
\led_flash_cnt[3526][5]~76252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3526][5]~76252_combout\ = (\led_flash_cnt[3526][5]~q\ & (\led_flash_cnt[3526][4]~76251\ $ (GND))) # (!\led_flash_cnt[3526][5]~q\ & (!\led_flash_cnt[3526][4]~76251\ & VCC))
-- \led_flash_cnt[3526][5]~76253\ = CARRY((\led_flash_cnt[3526][5]~q\ & !\led_flash_cnt[3526][4]~76251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3526][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3526][4]~76251\,
	combout => \led_flash_cnt[3526][5]~76252_combout\,
	cout => \led_flash_cnt[3526][5]~76253\);

-- Location: FF_X51_Y39_N23
\led_flash_cnt[3526][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3526][5]~76252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3526][5]~q\);

-- Location: LCCOMB_X51_Y39_N24
\led_flash_cnt[3526][6]~76254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3526][6]~76254_combout\ = (\led_flash_cnt[3526][6]~q\ & (!\led_flash_cnt[3526][5]~76253\)) # (!\led_flash_cnt[3526][6]~q\ & ((\led_flash_cnt[3526][5]~76253\) # (GND)))
-- \led_flash_cnt[3526][6]~76255\ = CARRY((!\led_flash_cnt[3526][5]~76253\) # (!\led_flash_cnt[3526][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3526][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3526][5]~76253\,
	combout => \led_flash_cnt[3526][6]~76254_combout\,
	cout => \led_flash_cnt[3526][6]~76255\);

-- Location: FF_X51_Y39_N25
\led_flash_cnt[3526][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3526][6]~76254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3526][6]~q\);

-- Location: LCCOMB_X51_Y39_N6
\WideAnd3526~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3526~1_combout\ = (\led_flash_cnt[3526][5]~q\ & \led_flash_cnt[3526][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3526][5]~q\,
	datad => \led_flash_cnt[3526][6]~q\,
	combout => \WideAnd3526~1_combout\);

-- Location: LCCOMB_X51_Y39_N2
\WideAnd3526~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3526~0_combout\ = (\led_flash_cnt[3526][2]~q\ & (\led_flash_cnt[3526][4]~q\ & (\led_flash_cnt[3526][1]~q\ & \led_flash_cnt[3526][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3526][2]~q\,
	datab => \led_flash_cnt[3526][4]~q\,
	datac => \led_flash_cnt[3526][1]~q\,
	datad => \led_flash_cnt[3526][3]~q\,
	combout => \WideAnd3526~0_combout\);

-- Location: LCCOMB_X51_Y39_N26
\led_flash_cnt[3526][7]~76256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3526][7]~76256_combout\ = \led_flash_cnt[3526][7]~q\ $ (!\led_flash_cnt[3526][6]~76255\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3526][7]~q\,
	cin => \led_flash_cnt[3526][6]~76255\,
	combout => \led_flash_cnt[3526][7]~76256_combout\);

-- Location: FF_X51_Y39_N27
\led_flash_cnt[3526][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3526][7]~76256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3526][7]~q\);

-- Location: LCCOMB_X51_Y39_N30
WideAnd3526 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3526~combout\ = (\WideAnd3526~1_combout\ & (\WideAnd3526~0_combout\ & (\led_flash_cnt[3526][7]~q\ & \led_flash_cnt[3526][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3526~1_combout\,
	datab => \WideAnd3526~0_combout\,
	datac => \led_flash_cnt[3526][7]~q\,
	datad => \led_flash_cnt[3526][0]~q\,
	combout => \WideAnd3526~combout\);

-- Location: FF_X51_Y39_N31
\led_flash_cnt_ands[3526]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3526~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3526));

-- Location: LCCOMB_X71_Y27_N24
\led_flash_cnt[3525][0]~84165\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3525][0]~84165_combout\ = !\led_flash_cnt[3525][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3525][0]~q\,
	combout => \led_flash_cnt[3525][0]~84165_combout\);

-- Location: FF_X71_Y27_N25
\led_flash_cnt[3525][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3525][0]~84165_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3525][0]~q\);

-- Location: LCCOMB_X71_Y27_N2
\led_flash_cnt[3525][1]~76230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3525][1]~76230_combout\ = (\led_flash_cnt[3525][1]~q\ & (\led_flash_cnt[3525][0]~q\ $ (VCC))) # (!\led_flash_cnt[3525][1]~q\ & (\led_flash_cnt[3525][0]~q\ & VCC))
-- \led_flash_cnt[3525][1]~76231\ = CARRY((\led_flash_cnt[3525][1]~q\ & \led_flash_cnt[3525][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3525][1]~q\,
	datab => \led_flash_cnt[3525][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3525][1]~76230_combout\,
	cout => \led_flash_cnt[3525][1]~76231\);

-- Location: FF_X71_Y27_N3
\led_flash_cnt[3525][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3525][1]~76230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3525][1]~q\);

-- Location: LCCOMB_X71_Y27_N4
\led_flash_cnt[3525][2]~76232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3525][2]~76232_combout\ = (\led_flash_cnt[3525][2]~q\ & (!\led_flash_cnt[3525][1]~76231\)) # (!\led_flash_cnt[3525][2]~q\ & ((\led_flash_cnt[3525][1]~76231\) # (GND)))
-- \led_flash_cnt[3525][2]~76233\ = CARRY((!\led_flash_cnt[3525][1]~76231\) # (!\led_flash_cnt[3525][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3525][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3525][1]~76231\,
	combout => \led_flash_cnt[3525][2]~76232_combout\,
	cout => \led_flash_cnt[3525][2]~76233\);

-- Location: FF_X71_Y27_N5
\led_flash_cnt[3525][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3525][2]~76232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3525][2]~q\);

-- Location: LCCOMB_X71_Y27_N6
\led_flash_cnt[3525][3]~76234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3525][3]~76234_combout\ = (\led_flash_cnt[3525][3]~q\ & (\led_flash_cnt[3525][2]~76233\ $ (GND))) # (!\led_flash_cnt[3525][3]~q\ & (!\led_flash_cnt[3525][2]~76233\ & VCC))
-- \led_flash_cnt[3525][3]~76235\ = CARRY((\led_flash_cnt[3525][3]~q\ & !\led_flash_cnt[3525][2]~76233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3525][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3525][2]~76233\,
	combout => \led_flash_cnt[3525][3]~76234_combout\,
	cout => \led_flash_cnt[3525][3]~76235\);

-- Location: FF_X71_Y27_N7
\led_flash_cnt[3525][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3525][3]~76234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3525][3]~q\);

-- Location: LCCOMB_X71_Y27_N8
\led_flash_cnt[3525][4]~76236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3525][4]~76236_combout\ = (\led_flash_cnt[3525][4]~q\ & (!\led_flash_cnt[3525][3]~76235\)) # (!\led_flash_cnt[3525][4]~q\ & ((\led_flash_cnt[3525][3]~76235\) # (GND)))
-- \led_flash_cnt[3525][4]~76237\ = CARRY((!\led_flash_cnt[3525][3]~76235\) # (!\led_flash_cnt[3525][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3525][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3525][3]~76235\,
	combout => \led_flash_cnt[3525][4]~76236_combout\,
	cout => \led_flash_cnt[3525][4]~76237\);

-- Location: FF_X71_Y27_N9
\led_flash_cnt[3525][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3525][4]~76236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3525][4]~q\);

-- Location: LCCOMB_X71_Y27_N26
\WideAnd3525~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3525~0_combout\ = (\led_flash_cnt[3525][1]~q\ & (\led_flash_cnt[3525][4]~q\ & (\led_flash_cnt[3525][2]~q\ & \led_flash_cnt[3525][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3525][1]~q\,
	datab => \led_flash_cnt[3525][4]~q\,
	datac => \led_flash_cnt[3525][2]~q\,
	datad => \led_flash_cnt[3525][3]~q\,
	combout => \WideAnd3525~0_combout\);

-- Location: LCCOMB_X71_Y27_N10
\led_flash_cnt[3525][5]~76238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3525][5]~76238_combout\ = (\led_flash_cnt[3525][5]~q\ & (\led_flash_cnt[3525][4]~76237\ $ (GND))) # (!\led_flash_cnt[3525][5]~q\ & (!\led_flash_cnt[3525][4]~76237\ & VCC))
-- \led_flash_cnt[3525][5]~76239\ = CARRY((\led_flash_cnt[3525][5]~q\ & !\led_flash_cnt[3525][4]~76237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3525][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3525][4]~76237\,
	combout => \led_flash_cnt[3525][5]~76238_combout\,
	cout => \led_flash_cnt[3525][5]~76239\);

-- Location: FF_X71_Y27_N11
\led_flash_cnt[3525][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3525][5]~76238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3525][5]~q\);

-- Location: LCCOMB_X71_Y27_N12
\led_flash_cnt[3525][6]~76240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3525][6]~76240_combout\ = (\led_flash_cnt[3525][6]~q\ & (!\led_flash_cnt[3525][5]~76239\)) # (!\led_flash_cnt[3525][6]~q\ & ((\led_flash_cnt[3525][5]~76239\) # (GND)))
-- \led_flash_cnt[3525][6]~76241\ = CARRY((!\led_flash_cnt[3525][5]~76239\) # (!\led_flash_cnt[3525][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3525][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3525][5]~76239\,
	combout => \led_flash_cnt[3525][6]~76240_combout\,
	cout => \led_flash_cnt[3525][6]~76241\);

-- Location: FF_X71_Y27_N13
\led_flash_cnt[3525][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3525][6]~76240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3525][6]~q\);

-- Location: LCCOMB_X71_Y27_N14
\led_flash_cnt[3525][7]~76242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3525][7]~76242_combout\ = \led_flash_cnt[3525][7]~q\ $ (!\led_flash_cnt[3525][6]~76241\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3525][7]~q\,
	cin => \led_flash_cnt[3525][6]~76241\,
	combout => \led_flash_cnt[3525][7]~76242_combout\);

-- Location: FF_X71_Y27_N15
\led_flash_cnt[3525][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3525][7]~76242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3525][7]~q\);

-- Location: LCCOMB_X71_Y27_N18
\WideAnd3525~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3525~1_combout\ = (\led_flash_cnt[3525][6]~q\ & \led_flash_cnt[3525][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3525][6]~q\,
	datad => \led_flash_cnt[3525][5]~q\,
	combout => \WideAnd3525~1_combout\);

-- Location: LCCOMB_X71_Y27_N0
WideAnd3525 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3525~combout\ = (\WideAnd3525~0_combout\ & (\led_flash_cnt[3525][0]~q\ & (\led_flash_cnt[3525][7]~q\ & \WideAnd3525~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3525~0_combout\,
	datab => \led_flash_cnt[3525][0]~q\,
	datac => \led_flash_cnt[3525][7]~q\,
	datad => \WideAnd3525~1_combout\,
	combout => \WideAnd3525~combout\);

-- Location: FF_X71_Y27_N1
\led_flash_cnt_ands[3525]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3525~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3525));

-- Location: LCCOMB_X63_Y43_N18
\led_flash_cnt[3524][0]~84164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3524][0]~84164_combout\ = !\led_flash_cnt[3524][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3524][0]~q\,
	combout => \led_flash_cnt[3524][0]~84164_combout\);

-- Location: FF_X63_Y43_N19
\led_flash_cnt[3524][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3524][0]~84164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3524][0]~q\);

-- Location: LCCOMB_X63_Y43_N0
\led_flash_cnt[3524][1]~76216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3524][1]~76216_combout\ = (\led_flash_cnt[3524][1]~q\ & (\led_flash_cnt[3524][0]~q\ $ (VCC))) # (!\led_flash_cnt[3524][1]~q\ & (\led_flash_cnt[3524][0]~q\ & VCC))
-- \led_flash_cnt[3524][1]~76217\ = CARRY((\led_flash_cnt[3524][1]~q\ & \led_flash_cnt[3524][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3524][1]~q\,
	datab => \led_flash_cnt[3524][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3524][1]~76216_combout\,
	cout => \led_flash_cnt[3524][1]~76217\);

-- Location: FF_X63_Y43_N1
\led_flash_cnt[3524][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3524][1]~76216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3524][1]~q\);

-- Location: LCCOMB_X63_Y43_N2
\led_flash_cnt[3524][2]~76218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3524][2]~76218_combout\ = (\led_flash_cnt[3524][2]~q\ & (!\led_flash_cnt[3524][1]~76217\)) # (!\led_flash_cnt[3524][2]~q\ & ((\led_flash_cnt[3524][1]~76217\) # (GND)))
-- \led_flash_cnt[3524][2]~76219\ = CARRY((!\led_flash_cnt[3524][1]~76217\) # (!\led_flash_cnt[3524][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3524][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3524][1]~76217\,
	combout => \led_flash_cnt[3524][2]~76218_combout\,
	cout => \led_flash_cnt[3524][2]~76219\);

-- Location: FF_X63_Y43_N3
\led_flash_cnt[3524][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3524][2]~76218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3524][2]~q\);

-- Location: LCCOMB_X63_Y43_N4
\led_flash_cnt[3524][3]~76220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3524][3]~76220_combout\ = (\led_flash_cnt[3524][3]~q\ & (\led_flash_cnt[3524][2]~76219\ $ (GND))) # (!\led_flash_cnt[3524][3]~q\ & (!\led_flash_cnt[3524][2]~76219\ & VCC))
-- \led_flash_cnt[3524][3]~76221\ = CARRY((\led_flash_cnt[3524][3]~q\ & !\led_flash_cnt[3524][2]~76219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3524][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3524][2]~76219\,
	combout => \led_flash_cnt[3524][3]~76220_combout\,
	cout => \led_flash_cnt[3524][3]~76221\);

-- Location: FF_X63_Y43_N5
\led_flash_cnt[3524][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3524][3]~76220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3524][3]~q\);

-- Location: LCCOMB_X63_Y43_N6
\led_flash_cnt[3524][4]~76222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3524][4]~76222_combout\ = (\led_flash_cnt[3524][4]~q\ & (!\led_flash_cnt[3524][3]~76221\)) # (!\led_flash_cnt[3524][4]~q\ & ((\led_flash_cnt[3524][3]~76221\) # (GND)))
-- \led_flash_cnt[3524][4]~76223\ = CARRY((!\led_flash_cnt[3524][3]~76221\) # (!\led_flash_cnt[3524][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3524][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3524][3]~76221\,
	combout => \led_flash_cnt[3524][4]~76222_combout\,
	cout => \led_flash_cnt[3524][4]~76223\);

-- Location: FF_X63_Y43_N7
\led_flash_cnt[3524][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3524][4]~76222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3524][4]~q\);

-- Location: LCCOMB_X63_Y43_N26
\WideAnd3524~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3524~0_combout\ = (\led_flash_cnt[3524][4]~q\ & (\led_flash_cnt[3524][1]~q\ & (\led_flash_cnt[3524][3]~q\ & \led_flash_cnt[3524][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3524][4]~q\,
	datab => \led_flash_cnt[3524][1]~q\,
	datac => \led_flash_cnt[3524][3]~q\,
	datad => \led_flash_cnt[3524][2]~q\,
	combout => \WideAnd3524~0_combout\);

-- Location: LCCOMB_X63_Y43_N8
\led_flash_cnt[3524][5]~76224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3524][5]~76224_combout\ = (\led_flash_cnt[3524][5]~q\ & (\led_flash_cnt[3524][4]~76223\ $ (GND))) # (!\led_flash_cnt[3524][5]~q\ & (!\led_flash_cnt[3524][4]~76223\ & VCC))
-- \led_flash_cnt[3524][5]~76225\ = CARRY((\led_flash_cnt[3524][5]~q\ & !\led_flash_cnt[3524][4]~76223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3524][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3524][4]~76223\,
	combout => \led_flash_cnt[3524][5]~76224_combout\,
	cout => \led_flash_cnt[3524][5]~76225\);

-- Location: FF_X63_Y43_N9
\led_flash_cnt[3524][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3524][5]~76224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3524][5]~q\);

-- Location: LCCOMB_X63_Y43_N10
\led_flash_cnt[3524][6]~76226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3524][6]~76226_combout\ = (\led_flash_cnt[3524][6]~q\ & (!\led_flash_cnt[3524][5]~76225\)) # (!\led_flash_cnt[3524][6]~q\ & ((\led_flash_cnt[3524][5]~76225\) # (GND)))
-- \led_flash_cnt[3524][6]~76227\ = CARRY((!\led_flash_cnt[3524][5]~76225\) # (!\led_flash_cnt[3524][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3524][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3524][5]~76225\,
	combout => \led_flash_cnt[3524][6]~76226_combout\,
	cout => \led_flash_cnt[3524][6]~76227\);

-- Location: FF_X63_Y43_N11
\led_flash_cnt[3524][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3524][6]~76226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3524][6]~q\);

-- Location: LCCOMB_X63_Y43_N22
\WideAnd3524~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3524~1_combout\ = (\led_flash_cnt[3524][5]~q\ & \led_flash_cnt[3524][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3524][5]~q\,
	datad => \led_flash_cnt[3524][6]~q\,
	combout => \WideAnd3524~1_combout\);

-- Location: LCCOMB_X63_Y43_N12
\led_flash_cnt[3524][7]~76228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3524][7]~76228_combout\ = \led_flash_cnt[3524][6]~76227\ $ (!\led_flash_cnt[3524][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3524][7]~q\,
	cin => \led_flash_cnt[3524][6]~76227\,
	combout => \led_flash_cnt[3524][7]~76228_combout\);

-- Location: FF_X63_Y43_N13
\led_flash_cnt[3524][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3524][7]~76228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3524][7]~q\);

-- Location: LCCOMB_X63_Y43_N16
WideAnd3524 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3524~combout\ = (\WideAnd3524~0_combout\ & (\led_flash_cnt[3524][0]~q\ & (\WideAnd3524~1_combout\ & \led_flash_cnt[3524][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3524~0_combout\,
	datab => \led_flash_cnt[3524][0]~q\,
	datac => \WideAnd3524~1_combout\,
	datad => \led_flash_cnt[3524][7]~q\,
	combout => \WideAnd3524~combout\);

-- Location: FF_X63_Y43_N17
\led_flash_cnt_ands[3524]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3524~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3524));

-- Location: LCCOMB_X63_Y39_N24
\WideAnd4280~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4280~1_combout\ = (led_flash_cnt_ands(3525) & led_flash_cnt_ands(3524))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3525),
	datad => led_flash_cnt_ands(3524),
	combout => \WideAnd4280~1_combout\);

-- Location: LCCOMB_X52_Y40_N6
\led_flash_cnt[3527][0]~84167\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3527][0]~84167_combout\ = !\led_flash_cnt[3527][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3527][0]~q\,
	combout => \led_flash_cnt[3527][0]~84167_combout\);

-- Location: FF_X52_Y40_N7
\led_flash_cnt[3527][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3527][0]~84167_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3527][0]~q\);

-- Location: LCCOMB_X52_Y40_N8
\led_flash_cnt[3527][1]~76258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3527][1]~76258_combout\ = (\led_flash_cnt[3527][0]~q\ & (\led_flash_cnt[3527][1]~q\ $ (VCC))) # (!\led_flash_cnt[3527][0]~q\ & (\led_flash_cnt[3527][1]~q\ & VCC))
-- \led_flash_cnt[3527][1]~76259\ = CARRY((\led_flash_cnt[3527][0]~q\ & \led_flash_cnt[3527][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3527][0]~q\,
	datab => \led_flash_cnt[3527][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3527][1]~76258_combout\,
	cout => \led_flash_cnt[3527][1]~76259\);

-- Location: FF_X52_Y40_N9
\led_flash_cnt[3527][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3527][1]~76258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3527][1]~q\);

-- Location: LCCOMB_X52_Y40_N10
\led_flash_cnt[3527][2]~76260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3527][2]~76260_combout\ = (\led_flash_cnt[3527][2]~q\ & (!\led_flash_cnt[3527][1]~76259\)) # (!\led_flash_cnt[3527][2]~q\ & ((\led_flash_cnt[3527][1]~76259\) # (GND)))
-- \led_flash_cnt[3527][2]~76261\ = CARRY((!\led_flash_cnt[3527][1]~76259\) # (!\led_flash_cnt[3527][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3527][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3527][1]~76259\,
	combout => \led_flash_cnt[3527][2]~76260_combout\,
	cout => \led_flash_cnt[3527][2]~76261\);

-- Location: FF_X52_Y40_N11
\led_flash_cnt[3527][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3527][2]~76260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3527][2]~q\);

-- Location: LCCOMB_X52_Y40_N12
\led_flash_cnt[3527][3]~76262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3527][3]~76262_combout\ = (\led_flash_cnt[3527][3]~q\ & (\led_flash_cnt[3527][2]~76261\ $ (GND))) # (!\led_flash_cnt[3527][3]~q\ & (!\led_flash_cnt[3527][2]~76261\ & VCC))
-- \led_flash_cnt[3527][3]~76263\ = CARRY((\led_flash_cnt[3527][3]~q\ & !\led_flash_cnt[3527][2]~76261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3527][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3527][2]~76261\,
	combout => \led_flash_cnt[3527][3]~76262_combout\,
	cout => \led_flash_cnt[3527][3]~76263\);

-- Location: FF_X52_Y40_N13
\led_flash_cnt[3527][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3527][3]~76262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3527][3]~q\);

-- Location: LCCOMB_X52_Y40_N14
\led_flash_cnt[3527][4]~76264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3527][4]~76264_combout\ = (\led_flash_cnt[3527][4]~q\ & (!\led_flash_cnt[3527][3]~76263\)) # (!\led_flash_cnt[3527][4]~q\ & ((\led_flash_cnt[3527][3]~76263\) # (GND)))
-- \led_flash_cnt[3527][4]~76265\ = CARRY((!\led_flash_cnt[3527][3]~76263\) # (!\led_flash_cnt[3527][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3527][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3527][3]~76263\,
	combout => \led_flash_cnt[3527][4]~76264_combout\,
	cout => \led_flash_cnt[3527][4]~76265\);

-- Location: FF_X52_Y40_N15
\led_flash_cnt[3527][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3527][4]~76264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3527][4]~q\);

-- Location: LCCOMB_X52_Y40_N16
\led_flash_cnt[3527][5]~76266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3527][5]~76266_combout\ = (\led_flash_cnt[3527][5]~q\ & (\led_flash_cnt[3527][4]~76265\ $ (GND))) # (!\led_flash_cnt[3527][5]~q\ & (!\led_flash_cnt[3527][4]~76265\ & VCC))
-- \led_flash_cnt[3527][5]~76267\ = CARRY((\led_flash_cnt[3527][5]~q\ & !\led_flash_cnt[3527][4]~76265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3527][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3527][4]~76265\,
	combout => \led_flash_cnt[3527][5]~76266_combout\,
	cout => \led_flash_cnt[3527][5]~76267\);

-- Location: FF_X52_Y40_N17
\led_flash_cnt[3527][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3527][5]~76266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3527][5]~q\);

-- Location: LCCOMB_X52_Y40_N18
\led_flash_cnt[3527][6]~76268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3527][6]~76268_combout\ = (\led_flash_cnt[3527][6]~q\ & (!\led_flash_cnt[3527][5]~76267\)) # (!\led_flash_cnt[3527][6]~q\ & ((\led_flash_cnt[3527][5]~76267\) # (GND)))
-- \led_flash_cnt[3527][6]~76269\ = CARRY((!\led_flash_cnt[3527][5]~76267\) # (!\led_flash_cnt[3527][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3527][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3527][5]~76267\,
	combout => \led_flash_cnt[3527][6]~76268_combout\,
	cout => \led_flash_cnt[3527][6]~76269\);

-- Location: FF_X52_Y40_N19
\led_flash_cnt[3527][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3527][6]~76268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3527][6]~q\);

-- Location: LCCOMB_X52_Y40_N20
\led_flash_cnt[3527][7]~76270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3527][7]~76270_combout\ = \led_flash_cnt[3527][6]~76269\ $ (!\led_flash_cnt[3527][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3527][7]~q\,
	cin => \led_flash_cnt[3527][6]~76269\,
	combout => \led_flash_cnt[3527][7]~76270_combout\);

-- Location: FF_X52_Y40_N21
\led_flash_cnt[3527][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3527][7]~76270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3527][7]~q\);

-- Location: LCCOMB_X52_Y40_N22
\WideAnd3527~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3527~1_combout\ = (\led_flash_cnt[3527][6]~q\ & \led_flash_cnt[3527][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3527][6]~q\,
	datad => \led_flash_cnt[3527][5]~q\,
	combout => \WideAnd3527~1_combout\);

-- Location: LCCOMB_X52_Y40_N28
\WideAnd3527~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3527~0_combout\ = (\led_flash_cnt[3527][3]~q\ & (\led_flash_cnt[3527][4]~q\ & (\led_flash_cnt[3527][1]~q\ & \led_flash_cnt[3527][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3527][3]~q\,
	datab => \led_flash_cnt[3527][4]~q\,
	datac => \led_flash_cnt[3527][1]~q\,
	datad => \led_flash_cnt[3527][2]~q\,
	combout => \WideAnd3527~0_combout\);

-- Location: LCCOMB_X52_Y40_N30
WideAnd3527 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3527~combout\ = (\led_flash_cnt[3527][0]~q\ & (\led_flash_cnt[3527][7]~q\ & (\WideAnd3527~1_combout\ & \WideAnd3527~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3527][0]~q\,
	datab => \led_flash_cnt[3527][7]~q\,
	datac => \WideAnd3527~1_combout\,
	datad => \WideAnd3527~0_combout\,
	combout => \WideAnd3527~combout\);

-- Location: FF_X52_Y40_N31
\led_flash_cnt_ands[3527]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3527~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3527));

-- Location: LCCOMB_X42_Y37_N18
\led_flash_cnt[3520][0]~84160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3520][0]~84160_combout\ = !\led_flash_cnt[3520][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3520][0]~q\,
	combout => \led_flash_cnt[3520][0]~84160_combout\);

-- Location: FF_X42_Y37_N19
\led_flash_cnt[3520][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3520][0]~84160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3520][0]~q\);

-- Location: LCCOMB_X42_Y37_N2
\led_flash_cnt[3520][1]~76160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3520][1]~76160_combout\ = (\led_flash_cnt[3520][1]~q\ & (\led_flash_cnt[3520][0]~q\ $ (VCC))) # (!\led_flash_cnt[3520][1]~q\ & (\led_flash_cnt[3520][0]~q\ & VCC))
-- \led_flash_cnt[3520][1]~76161\ = CARRY((\led_flash_cnt[3520][1]~q\ & \led_flash_cnt[3520][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3520][1]~q\,
	datab => \led_flash_cnt[3520][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3520][1]~76160_combout\,
	cout => \led_flash_cnt[3520][1]~76161\);

-- Location: FF_X42_Y37_N3
\led_flash_cnt[3520][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3520][1]~76160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3520][1]~q\);

-- Location: LCCOMB_X42_Y37_N4
\led_flash_cnt[3520][2]~76162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3520][2]~76162_combout\ = (\led_flash_cnt[3520][2]~q\ & (!\led_flash_cnt[3520][1]~76161\)) # (!\led_flash_cnt[3520][2]~q\ & ((\led_flash_cnt[3520][1]~76161\) # (GND)))
-- \led_flash_cnt[3520][2]~76163\ = CARRY((!\led_flash_cnt[3520][1]~76161\) # (!\led_flash_cnt[3520][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3520][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3520][1]~76161\,
	combout => \led_flash_cnt[3520][2]~76162_combout\,
	cout => \led_flash_cnt[3520][2]~76163\);

-- Location: FF_X42_Y37_N5
\led_flash_cnt[3520][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3520][2]~76162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3520][2]~q\);

-- Location: LCCOMB_X42_Y37_N6
\led_flash_cnt[3520][3]~76164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3520][3]~76164_combout\ = (\led_flash_cnt[3520][3]~q\ & (\led_flash_cnt[3520][2]~76163\ $ (GND))) # (!\led_flash_cnt[3520][3]~q\ & (!\led_flash_cnt[3520][2]~76163\ & VCC))
-- \led_flash_cnt[3520][3]~76165\ = CARRY((\led_flash_cnt[3520][3]~q\ & !\led_flash_cnt[3520][2]~76163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3520][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3520][2]~76163\,
	combout => \led_flash_cnt[3520][3]~76164_combout\,
	cout => \led_flash_cnt[3520][3]~76165\);

-- Location: FF_X42_Y37_N7
\led_flash_cnt[3520][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3520][3]~76164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3520][3]~q\);

-- Location: LCCOMB_X42_Y37_N8
\led_flash_cnt[3520][4]~76166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3520][4]~76166_combout\ = (\led_flash_cnt[3520][4]~q\ & (!\led_flash_cnt[3520][3]~76165\)) # (!\led_flash_cnt[3520][4]~q\ & ((\led_flash_cnt[3520][3]~76165\) # (GND)))
-- \led_flash_cnt[3520][4]~76167\ = CARRY((!\led_flash_cnt[3520][3]~76165\) # (!\led_flash_cnt[3520][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3520][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3520][3]~76165\,
	combout => \led_flash_cnt[3520][4]~76166_combout\,
	cout => \led_flash_cnt[3520][4]~76167\);

-- Location: FF_X42_Y37_N9
\led_flash_cnt[3520][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3520][4]~76166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3520][4]~q\);

-- Location: LCCOMB_X42_Y37_N10
\led_flash_cnt[3520][5]~76168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3520][5]~76168_combout\ = (\led_flash_cnt[3520][5]~q\ & (\led_flash_cnt[3520][4]~76167\ $ (GND))) # (!\led_flash_cnt[3520][5]~q\ & (!\led_flash_cnt[3520][4]~76167\ & VCC))
-- \led_flash_cnt[3520][5]~76169\ = CARRY((\led_flash_cnt[3520][5]~q\ & !\led_flash_cnt[3520][4]~76167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3520][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3520][4]~76167\,
	combout => \led_flash_cnt[3520][5]~76168_combout\,
	cout => \led_flash_cnt[3520][5]~76169\);

-- Location: FF_X42_Y37_N11
\led_flash_cnt[3520][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3520][5]~76168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3520][5]~q\);

-- Location: LCCOMB_X42_Y37_N12
\led_flash_cnt[3520][6]~76170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3520][6]~76170_combout\ = (\led_flash_cnt[3520][6]~q\ & (!\led_flash_cnt[3520][5]~76169\)) # (!\led_flash_cnt[3520][6]~q\ & ((\led_flash_cnt[3520][5]~76169\) # (GND)))
-- \led_flash_cnt[3520][6]~76171\ = CARRY((!\led_flash_cnt[3520][5]~76169\) # (!\led_flash_cnt[3520][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3520][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3520][5]~76169\,
	combout => \led_flash_cnt[3520][6]~76170_combout\,
	cout => \led_flash_cnt[3520][6]~76171\);

-- Location: FF_X42_Y37_N13
\led_flash_cnt[3520][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3520][6]~76170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3520][6]~q\);

-- Location: LCCOMB_X42_Y37_N26
\WideAnd3520~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3520~1_combout\ = (\led_flash_cnt[3520][6]~q\ & \led_flash_cnt[3520][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3520][6]~q\,
	datad => \led_flash_cnt[3520][5]~q\,
	combout => \WideAnd3520~1_combout\);

-- Location: LCCOMB_X42_Y37_N20
\WideAnd3520~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3520~0_combout\ = (\led_flash_cnt[3520][3]~q\ & (\led_flash_cnt[3520][4]~q\ & (\led_flash_cnt[3520][2]~q\ & \led_flash_cnt[3520][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3520][3]~q\,
	datab => \led_flash_cnt[3520][4]~q\,
	datac => \led_flash_cnt[3520][2]~q\,
	datad => \led_flash_cnt[3520][1]~q\,
	combout => \WideAnd3520~0_combout\);

-- Location: LCCOMB_X42_Y37_N14
\led_flash_cnt[3520][7]~76172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3520][7]~76172_combout\ = \led_flash_cnt[3520][7]~q\ $ (!\led_flash_cnt[3520][6]~76171\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3520][7]~q\,
	cin => \led_flash_cnt[3520][6]~76171\,
	combout => \led_flash_cnt[3520][7]~76172_combout\);

-- Location: FF_X42_Y37_N15
\led_flash_cnt[3520][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3520][7]~76172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3520][7]~q\);

-- Location: LCCOMB_X42_Y37_N30
WideAnd3520 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3520~combout\ = (\WideAnd3520~1_combout\ & (\WideAnd3520~0_combout\ & (\led_flash_cnt[3520][7]~q\ & \led_flash_cnt[3520][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3520~1_combout\,
	datab => \WideAnd3520~0_combout\,
	datac => \led_flash_cnt[3520][7]~q\,
	datad => \led_flash_cnt[3520][0]~q\,
	combout => \WideAnd3520~combout\);

-- Location: FF_X42_Y37_N31
\led_flash_cnt_ands[3520]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3520~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3520));

-- Location: LCCOMB_X50_Y41_N30
\led_flash_cnt[3521][0]~84161\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3521][0]~84161_combout\ = !\led_flash_cnt[3521][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3521][0]~q\,
	combout => \led_flash_cnt[3521][0]~84161_combout\);

-- Location: FF_X50_Y41_N31
\led_flash_cnt[3521][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3521][0]~84161_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3521][0]~q\);

-- Location: LCCOMB_X50_Y41_N14
\led_flash_cnt[3521][1]~76174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3521][1]~76174_combout\ = (\led_flash_cnt[3521][0]~q\ & (\led_flash_cnt[3521][1]~q\ $ (VCC))) # (!\led_flash_cnt[3521][0]~q\ & (\led_flash_cnt[3521][1]~q\ & VCC))
-- \led_flash_cnt[3521][1]~76175\ = CARRY((\led_flash_cnt[3521][0]~q\ & \led_flash_cnt[3521][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3521][0]~q\,
	datab => \led_flash_cnt[3521][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3521][1]~76174_combout\,
	cout => \led_flash_cnt[3521][1]~76175\);

-- Location: FF_X50_Y41_N15
\led_flash_cnt[3521][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3521][1]~76174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3521][1]~q\);

-- Location: LCCOMB_X50_Y41_N16
\led_flash_cnt[3521][2]~76176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3521][2]~76176_combout\ = (\led_flash_cnt[3521][2]~q\ & (!\led_flash_cnt[3521][1]~76175\)) # (!\led_flash_cnt[3521][2]~q\ & ((\led_flash_cnt[3521][1]~76175\) # (GND)))
-- \led_flash_cnt[3521][2]~76177\ = CARRY((!\led_flash_cnt[3521][1]~76175\) # (!\led_flash_cnt[3521][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3521][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3521][1]~76175\,
	combout => \led_flash_cnt[3521][2]~76176_combout\,
	cout => \led_flash_cnt[3521][2]~76177\);

-- Location: FF_X50_Y41_N17
\led_flash_cnt[3521][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3521][2]~76176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3521][2]~q\);

-- Location: LCCOMB_X50_Y41_N18
\led_flash_cnt[3521][3]~76178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3521][3]~76178_combout\ = (\led_flash_cnt[3521][3]~q\ & (\led_flash_cnt[3521][2]~76177\ $ (GND))) # (!\led_flash_cnt[3521][3]~q\ & (!\led_flash_cnt[3521][2]~76177\ & VCC))
-- \led_flash_cnt[3521][3]~76179\ = CARRY((\led_flash_cnt[3521][3]~q\ & !\led_flash_cnt[3521][2]~76177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3521][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3521][2]~76177\,
	combout => \led_flash_cnt[3521][3]~76178_combout\,
	cout => \led_flash_cnt[3521][3]~76179\);

-- Location: FF_X50_Y41_N19
\led_flash_cnt[3521][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3521][3]~76178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3521][3]~q\);

-- Location: LCCOMB_X50_Y41_N20
\led_flash_cnt[3521][4]~76180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3521][4]~76180_combout\ = (\led_flash_cnt[3521][4]~q\ & (!\led_flash_cnt[3521][3]~76179\)) # (!\led_flash_cnt[3521][4]~q\ & ((\led_flash_cnt[3521][3]~76179\) # (GND)))
-- \led_flash_cnt[3521][4]~76181\ = CARRY((!\led_flash_cnt[3521][3]~76179\) # (!\led_flash_cnt[3521][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3521][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3521][3]~76179\,
	combout => \led_flash_cnt[3521][4]~76180_combout\,
	cout => \led_flash_cnt[3521][4]~76181\);

-- Location: FF_X50_Y41_N21
\led_flash_cnt[3521][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3521][4]~76180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3521][4]~q\);

-- Location: LCCOMB_X50_Y41_N22
\led_flash_cnt[3521][5]~76182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3521][5]~76182_combout\ = (\led_flash_cnt[3521][5]~q\ & (\led_flash_cnt[3521][4]~76181\ $ (GND))) # (!\led_flash_cnt[3521][5]~q\ & (!\led_flash_cnt[3521][4]~76181\ & VCC))
-- \led_flash_cnt[3521][5]~76183\ = CARRY((\led_flash_cnt[3521][5]~q\ & !\led_flash_cnt[3521][4]~76181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3521][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3521][4]~76181\,
	combout => \led_flash_cnt[3521][5]~76182_combout\,
	cout => \led_flash_cnt[3521][5]~76183\);

-- Location: FF_X50_Y41_N23
\led_flash_cnt[3521][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3521][5]~76182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3521][5]~q\);

-- Location: LCCOMB_X50_Y41_N24
\led_flash_cnt[3521][6]~76184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3521][6]~76184_combout\ = (\led_flash_cnt[3521][6]~q\ & (!\led_flash_cnt[3521][5]~76183\)) # (!\led_flash_cnt[3521][6]~q\ & ((\led_flash_cnt[3521][5]~76183\) # (GND)))
-- \led_flash_cnt[3521][6]~76185\ = CARRY((!\led_flash_cnt[3521][5]~76183\) # (!\led_flash_cnt[3521][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3521][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3521][5]~76183\,
	combout => \led_flash_cnt[3521][6]~76184_combout\,
	cout => \led_flash_cnt[3521][6]~76185\);

-- Location: FF_X50_Y41_N25
\led_flash_cnt[3521][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3521][6]~76184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3521][6]~q\);

-- Location: LCCOMB_X50_Y41_N26
\led_flash_cnt[3521][7]~76186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3521][7]~76186_combout\ = \led_flash_cnt[3521][7]~q\ $ (!\led_flash_cnt[3521][6]~76185\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3521][7]~q\,
	cin => \led_flash_cnt[3521][6]~76185\,
	combout => \led_flash_cnt[3521][7]~76186_combout\);

-- Location: FF_X50_Y41_N27
\led_flash_cnt[3521][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3521][7]~76186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3521][7]~q\);

-- Location: LCCOMB_X50_Y41_N28
\WideAnd3521~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3521~1_combout\ = (\led_flash_cnt[3521][5]~q\ & \led_flash_cnt[3521][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3521][5]~q\,
	datad => \led_flash_cnt[3521][6]~q\,
	combout => \WideAnd3521~1_combout\);

-- Location: LCCOMB_X50_Y41_N12
\WideAnd3521~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3521~0_combout\ = (\led_flash_cnt[3521][3]~q\ & (\led_flash_cnt[3521][4]~q\ & (\led_flash_cnt[3521][1]~q\ & \led_flash_cnt[3521][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3521][3]~q\,
	datab => \led_flash_cnt[3521][4]~q\,
	datac => \led_flash_cnt[3521][1]~q\,
	datad => \led_flash_cnt[3521][2]~q\,
	combout => \WideAnd3521~0_combout\);

-- Location: LCCOMB_X50_Y41_N0
WideAnd3521 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3521~combout\ = (\led_flash_cnt[3521][7]~q\ & (\WideAnd3521~1_combout\ & (\led_flash_cnt[3521][0]~q\ & \WideAnd3521~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3521][7]~q\,
	datab => \WideAnd3521~1_combout\,
	datac => \led_flash_cnt[3521][0]~q\,
	datad => \WideAnd3521~0_combout\,
	combout => \WideAnd3521~combout\);

-- Location: FF_X50_Y41_N1
\led_flash_cnt_ands[3521]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3521~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3521));

-- Location: LCCOMB_X50_Y41_N2
\led_flash_cnt[3522][0]~84162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3522][0]~84162_combout\ = !\led_flash_cnt[3522][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3522][0]~q\,
	combout => \led_flash_cnt[3522][0]~84162_combout\);

-- Location: FF_X50_Y41_N3
\led_flash_cnt[3522][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3522][0]~84162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3522][0]~q\);

-- Location: LCCOMB_X49_Y41_N14
\led_flash_cnt[3522][1]~76188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3522][1]~76188_combout\ = (\led_flash_cnt[3522][0]~q\ & (\led_flash_cnt[3522][1]~q\ $ (VCC))) # (!\led_flash_cnt[3522][0]~q\ & (\led_flash_cnt[3522][1]~q\ & VCC))
-- \led_flash_cnt[3522][1]~76189\ = CARRY((\led_flash_cnt[3522][0]~q\ & \led_flash_cnt[3522][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3522][0]~q\,
	datab => \led_flash_cnt[3522][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3522][1]~76188_combout\,
	cout => \led_flash_cnt[3522][1]~76189\);

-- Location: FF_X49_Y41_N15
\led_flash_cnt[3522][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3522][1]~76188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3522][1]~q\);

-- Location: LCCOMB_X49_Y41_N16
\led_flash_cnt[3522][2]~76190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3522][2]~76190_combout\ = (\led_flash_cnt[3522][2]~q\ & (!\led_flash_cnt[3522][1]~76189\)) # (!\led_flash_cnt[3522][2]~q\ & ((\led_flash_cnt[3522][1]~76189\) # (GND)))
-- \led_flash_cnt[3522][2]~76191\ = CARRY((!\led_flash_cnt[3522][1]~76189\) # (!\led_flash_cnt[3522][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3522][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3522][1]~76189\,
	combout => \led_flash_cnt[3522][2]~76190_combout\,
	cout => \led_flash_cnt[3522][2]~76191\);

-- Location: FF_X49_Y41_N17
\led_flash_cnt[3522][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3522][2]~76190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3522][2]~q\);

-- Location: LCCOMB_X49_Y41_N18
\led_flash_cnt[3522][3]~76192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3522][3]~76192_combout\ = (\led_flash_cnt[3522][3]~q\ & (\led_flash_cnt[3522][2]~76191\ $ (GND))) # (!\led_flash_cnt[3522][3]~q\ & (!\led_flash_cnt[3522][2]~76191\ & VCC))
-- \led_flash_cnt[3522][3]~76193\ = CARRY((\led_flash_cnt[3522][3]~q\ & !\led_flash_cnt[3522][2]~76191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3522][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3522][2]~76191\,
	combout => \led_flash_cnt[3522][3]~76192_combout\,
	cout => \led_flash_cnt[3522][3]~76193\);

-- Location: FF_X49_Y41_N19
\led_flash_cnt[3522][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3522][3]~76192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3522][3]~q\);

-- Location: LCCOMB_X49_Y41_N20
\led_flash_cnt[3522][4]~76194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3522][4]~76194_combout\ = (\led_flash_cnt[3522][4]~q\ & (!\led_flash_cnt[3522][3]~76193\)) # (!\led_flash_cnt[3522][4]~q\ & ((\led_flash_cnt[3522][3]~76193\) # (GND)))
-- \led_flash_cnt[3522][4]~76195\ = CARRY((!\led_flash_cnt[3522][3]~76193\) # (!\led_flash_cnt[3522][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3522][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3522][3]~76193\,
	combout => \led_flash_cnt[3522][4]~76194_combout\,
	cout => \led_flash_cnt[3522][4]~76195\);

-- Location: FF_X49_Y41_N21
\led_flash_cnt[3522][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3522][4]~76194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3522][4]~q\);

-- Location: LCCOMB_X49_Y41_N22
\led_flash_cnt[3522][5]~76196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3522][5]~76196_combout\ = (\led_flash_cnt[3522][5]~q\ & (\led_flash_cnt[3522][4]~76195\ $ (GND))) # (!\led_flash_cnt[3522][5]~q\ & (!\led_flash_cnt[3522][4]~76195\ & VCC))
-- \led_flash_cnt[3522][5]~76197\ = CARRY((\led_flash_cnt[3522][5]~q\ & !\led_flash_cnt[3522][4]~76195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3522][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3522][4]~76195\,
	combout => \led_flash_cnt[3522][5]~76196_combout\,
	cout => \led_flash_cnt[3522][5]~76197\);

-- Location: FF_X49_Y41_N23
\led_flash_cnt[3522][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3522][5]~76196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3522][5]~q\);

-- Location: LCCOMB_X49_Y41_N24
\led_flash_cnt[3522][6]~76198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3522][6]~76198_combout\ = (\led_flash_cnt[3522][6]~q\ & (!\led_flash_cnt[3522][5]~76197\)) # (!\led_flash_cnt[3522][6]~q\ & ((\led_flash_cnt[3522][5]~76197\) # (GND)))
-- \led_flash_cnt[3522][6]~76199\ = CARRY((!\led_flash_cnt[3522][5]~76197\) # (!\led_flash_cnt[3522][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3522][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3522][5]~76197\,
	combout => \led_flash_cnt[3522][6]~76198_combout\,
	cout => \led_flash_cnt[3522][6]~76199\);

-- Location: FF_X49_Y41_N25
\led_flash_cnt[3522][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3522][6]~76198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3522][6]~q\);

-- Location: LCCOMB_X50_Y41_N10
\WideAnd3522~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3522~1_combout\ = (\led_flash_cnt[3522][6]~q\ & \led_flash_cnt[3522][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3522][6]~q\,
	datad => \led_flash_cnt[3522][5]~q\,
	combout => \WideAnd3522~1_combout\);

-- Location: LCCOMB_X49_Y41_N30
\WideAnd3522~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3522~0_combout\ = (\led_flash_cnt[3522][4]~q\ & (\led_flash_cnt[3522][3]~q\ & (\led_flash_cnt[3522][1]~q\ & \led_flash_cnt[3522][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3522][4]~q\,
	datab => \led_flash_cnt[3522][3]~q\,
	datac => \led_flash_cnt[3522][1]~q\,
	datad => \led_flash_cnt[3522][2]~q\,
	combout => \WideAnd3522~0_combout\);

-- Location: LCCOMB_X49_Y41_N26
\led_flash_cnt[3522][7]~76200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3522][7]~76200_combout\ = \led_flash_cnt[3522][7]~q\ $ (!\led_flash_cnt[3522][6]~76199\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3522][7]~q\,
	cin => \led_flash_cnt[3522][6]~76199\,
	combout => \led_flash_cnt[3522][7]~76200_combout\);

-- Location: FF_X49_Y41_N27
\led_flash_cnt[3522][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3522][7]~76200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3522][7]~q\);

-- Location: LCCOMB_X50_Y41_N4
WideAnd3522 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3522~combout\ = (\WideAnd3522~1_combout\ & (\WideAnd3522~0_combout\ & (\led_flash_cnt[3522][7]~q\ & \led_flash_cnt[3522][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3522~1_combout\,
	datab => \WideAnd3522~0_combout\,
	datac => \led_flash_cnt[3522][7]~q\,
	datad => \led_flash_cnt[3522][0]~q\,
	combout => \WideAnd3522~combout\);

-- Location: FF_X50_Y41_N5
\led_flash_cnt_ands[3522]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3522~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3522));

-- Location: LCCOMB_X61_Y29_N8
\led_flash_cnt[3523][0]~84163\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3523][0]~84163_combout\ = !\led_flash_cnt[3523][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3523][0]~q\,
	combout => \led_flash_cnt[3523][0]~84163_combout\);

-- Location: FF_X61_Y29_N9
\led_flash_cnt[3523][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3523][0]~84163_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3523][0]~q\);

-- Location: LCCOMB_X61_Y29_N10
\led_flash_cnt[3523][1]~76202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3523][1]~76202_combout\ = (\led_flash_cnt[3523][1]~q\ & (\led_flash_cnt[3523][0]~q\ $ (VCC))) # (!\led_flash_cnt[3523][1]~q\ & (\led_flash_cnt[3523][0]~q\ & VCC))
-- \led_flash_cnt[3523][1]~76203\ = CARRY((\led_flash_cnt[3523][1]~q\ & \led_flash_cnt[3523][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3523][1]~q\,
	datab => \led_flash_cnt[3523][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3523][1]~76202_combout\,
	cout => \led_flash_cnt[3523][1]~76203\);

-- Location: FF_X61_Y29_N11
\led_flash_cnt[3523][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3523][1]~76202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3523][1]~q\);

-- Location: LCCOMB_X61_Y29_N12
\led_flash_cnt[3523][2]~76204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3523][2]~76204_combout\ = (\led_flash_cnt[3523][2]~q\ & (!\led_flash_cnt[3523][1]~76203\)) # (!\led_flash_cnt[3523][2]~q\ & ((\led_flash_cnt[3523][1]~76203\) # (GND)))
-- \led_flash_cnt[3523][2]~76205\ = CARRY((!\led_flash_cnt[3523][1]~76203\) # (!\led_flash_cnt[3523][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3523][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3523][1]~76203\,
	combout => \led_flash_cnt[3523][2]~76204_combout\,
	cout => \led_flash_cnt[3523][2]~76205\);

-- Location: FF_X61_Y29_N13
\led_flash_cnt[3523][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3523][2]~76204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3523][2]~q\);

-- Location: LCCOMB_X61_Y29_N14
\led_flash_cnt[3523][3]~76206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3523][3]~76206_combout\ = (\led_flash_cnt[3523][3]~q\ & (\led_flash_cnt[3523][2]~76205\ $ (GND))) # (!\led_flash_cnt[3523][3]~q\ & (!\led_flash_cnt[3523][2]~76205\ & VCC))
-- \led_flash_cnt[3523][3]~76207\ = CARRY((\led_flash_cnt[3523][3]~q\ & !\led_flash_cnt[3523][2]~76205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3523][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3523][2]~76205\,
	combout => \led_flash_cnt[3523][3]~76206_combout\,
	cout => \led_flash_cnt[3523][3]~76207\);

-- Location: FF_X61_Y29_N15
\led_flash_cnt[3523][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3523][3]~76206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3523][3]~q\);

-- Location: LCCOMB_X61_Y29_N16
\led_flash_cnt[3523][4]~76208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3523][4]~76208_combout\ = (\led_flash_cnt[3523][4]~q\ & (!\led_flash_cnt[3523][3]~76207\)) # (!\led_flash_cnt[3523][4]~q\ & ((\led_flash_cnt[3523][3]~76207\) # (GND)))
-- \led_flash_cnt[3523][4]~76209\ = CARRY((!\led_flash_cnt[3523][3]~76207\) # (!\led_flash_cnt[3523][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3523][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3523][3]~76207\,
	combout => \led_flash_cnt[3523][4]~76208_combout\,
	cout => \led_flash_cnt[3523][4]~76209\);

-- Location: FF_X61_Y29_N17
\led_flash_cnt[3523][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3523][4]~76208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3523][4]~q\);

-- Location: LCCOMB_X61_Y29_N18
\led_flash_cnt[3523][5]~76210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3523][5]~76210_combout\ = (\led_flash_cnt[3523][5]~q\ & (\led_flash_cnt[3523][4]~76209\ $ (GND))) # (!\led_flash_cnt[3523][5]~q\ & (!\led_flash_cnt[3523][4]~76209\ & VCC))
-- \led_flash_cnt[3523][5]~76211\ = CARRY((\led_flash_cnt[3523][5]~q\ & !\led_flash_cnt[3523][4]~76209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3523][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3523][4]~76209\,
	combout => \led_flash_cnt[3523][5]~76210_combout\,
	cout => \led_flash_cnt[3523][5]~76211\);

-- Location: FF_X61_Y29_N19
\led_flash_cnt[3523][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3523][5]~76210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3523][5]~q\);

-- Location: LCCOMB_X61_Y29_N20
\led_flash_cnt[3523][6]~76212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3523][6]~76212_combout\ = (\led_flash_cnt[3523][6]~q\ & (!\led_flash_cnt[3523][5]~76211\)) # (!\led_flash_cnt[3523][6]~q\ & ((\led_flash_cnt[3523][5]~76211\) # (GND)))
-- \led_flash_cnt[3523][6]~76213\ = CARRY((!\led_flash_cnt[3523][5]~76211\) # (!\led_flash_cnt[3523][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3523][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3523][5]~76211\,
	combout => \led_flash_cnt[3523][6]~76212_combout\,
	cout => \led_flash_cnt[3523][6]~76213\);

-- Location: FF_X61_Y29_N21
\led_flash_cnt[3523][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3523][6]~76212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3523][6]~q\);

-- Location: LCCOMB_X61_Y29_N30
\WideAnd3523~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3523~1_combout\ = (\led_flash_cnt[3523][5]~q\ & \led_flash_cnt[3523][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3523][5]~q\,
	datad => \led_flash_cnt[3523][6]~q\,
	combout => \WideAnd3523~1_combout\);

-- Location: LCCOMB_X61_Y29_N22
\led_flash_cnt[3523][7]~76214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3523][7]~76214_combout\ = \led_flash_cnt[3523][7]~q\ $ (!\led_flash_cnt[3523][6]~76213\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3523][7]~q\,
	cin => \led_flash_cnt[3523][6]~76213\,
	combout => \led_flash_cnt[3523][7]~76214_combout\);

-- Location: FF_X61_Y29_N23
\led_flash_cnt[3523][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3523][7]~76214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3523][7]~q\);

-- Location: LCCOMB_X61_Y29_N28
\WideAnd3523~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3523~0_combout\ = (\led_flash_cnt[3523][1]~q\ & (\led_flash_cnt[3523][4]~q\ & (\led_flash_cnt[3523][3]~q\ & \led_flash_cnt[3523][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3523][1]~q\,
	datab => \led_flash_cnt[3523][4]~q\,
	datac => \led_flash_cnt[3523][3]~q\,
	datad => \led_flash_cnt[3523][2]~q\,
	combout => \WideAnd3523~0_combout\);

-- Location: LCCOMB_X61_Y29_N26
WideAnd3523 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3523~combout\ = (\WideAnd3523~1_combout\ & (\led_flash_cnt[3523][0]~q\ & (\led_flash_cnt[3523][7]~q\ & \WideAnd3523~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3523~1_combout\,
	datab => \led_flash_cnt[3523][0]~q\,
	datac => \led_flash_cnt[3523][7]~q\,
	datad => \WideAnd3523~0_combout\,
	combout => \WideAnd3523~combout\);

-- Location: FF_X61_Y29_N27
\led_flash_cnt_ands[3523]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3523~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3523));

-- Location: LCCOMB_X50_Y41_N8
\WideAnd4280~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4280~0_combout\ = (led_flash_cnt_ands(3520) & (led_flash_cnt_ands(3521) & (led_flash_cnt_ands(3522) & led_flash_cnt_ands(3523))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3520),
	datab => led_flash_cnt_ands(3521),
	datac => led_flash_cnt_ands(3522),
	datad => led_flash_cnt_ands(3523),
	combout => \WideAnd4280~0_combout\);

-- Location: LCCOMB_X51_Y39_N12
WideAnd4280 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4280~combout\ = (led_flash_cnt_ands(3526) & (\WideAnd4280~1_combout\ & (led_flash_cnt_ands(3527) & \WideAnd4280~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3526),
	datab => \WideAnd4280~1_combout\,
	datac => led_flash_cnt_ands(3527),
	datad => \WideAnd4280~0_combout\,
	combout => \WideAnd4280~combout\);

-- Location: FF_X51_Y39_N13
\led_flash_cnt_ands_1[440]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4280~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(440));

-- Location: LCCOMB_X61_Y33_N2
\led_flash_cnt[3542][0]~84182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3542][0]~84182_combout\ = !\led_flash_cnt[3542][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3542][0]~q\,
	combout => \led_flash_cnt[3542][0]~84182_combout\);

-- Location: FF_X61_Y33_N3
\led_flash_cnt[3542][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3542][0]~84182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3542][0]~q\);

-- Location: LCCOMB_X60_Y33_N0
\led_flash_cnt[3542][1]~76468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3542][1]~76468_combout\ = (\led_flash_cnt[3542][0]~q\ & (\led_flash_cnt[3542][1]~q\ $ (VCC))) # (!\led_flash_cnt[3542][0]~q\ & (\led_flash_cnt[3542][1]~q\ & VCC))
-- \led_flash_cnt[3542][1]~76469\ = CARRY((\led_flash_cnt[3542][0]~q\ & \led_flash_cnt[3542][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3542][0]~q\,
	datab => \led_flash_cnt[3542][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3542][1]~76468_combout\,
	cout => \led_flash_cnt[3542][1]~76469\);

-- Location: FF_X60_Y33_N1
\led_flash_cnt[3542][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3542][1]~76468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3542][1]~q\);

-- Location: LCCOMB_X60_Y33_N2
\led_flash_cnt[3542][2]~76470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3542][2]~76470_combout\ = (\led_flash_cnt[3542][2]~q\ & (!\led_flash_cnt[3542][1]~76469\)) # (!\led_flash_cnt[3542][2]~q\ & ((\led_flash_cnt[3542][1]~76469\) # (GND)))
-- \led_flash_cnt[3542][2]~76471\ = CARRY((!\led_flash_cnt[3542][1]~76469\) # (!\led_flash_cnt[3542][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3542][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3542][1]~76469\,
	combout => \led_flash_cnt[3542][2]~76470_combout\,
	cout => \led_flash_cnt[3542][2]~76471\);

-- Location: FF_X60_Y33_N3
\led_flash_cnt[3542][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3542][2]~76470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3542][2]~q\);

-- Location: LCCOMB_X60_Y33_N4
\led_flash_cnt[3542][3]~76472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3542][3]~76472_combout\ = (\led_flash_cnt[3542][3]~q\ & (\led_flash_cnt[3542][2]~76471\ $ (GND))) # (!\led_flash_cnt[3542][3]~q\ & (!\led_flash_cnt[3542][2]~76471\ & VCC))
-- \led_flash_cnt[3542][3]~76473\ = CARRY((\led_flash_cnt[3542][3]~q\ & !\led_flash_cnt[3542][2]~76471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3542][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3542][2]~76471\,
	combout => \led_flash_cnt[3542][3]~76472_combout\,
	cout => \led_flash_cnt[3542][3]~76473\);

-- Location: FF_X60_Y33_N5
\led_flash_cnt[3542][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3542][3]~76472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3542][3]~q\);

-- Location: LCCOMB_X60_Y33_N6
\led_flash_cnt[3542][4]~76474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3542][4]~76474_combout\ = (\led_flash_cnt[3542][4]~q\ & (!\led_flash_cnt[3542][3]~76473\)) # (!\led_flash_cnt[3542][4]~q\ & ((\led_flash_cnt[3542][3]~76473\) # (GND)))
-- \led_flash_cnt[3542][4]~76475\ = CARRY((!\led_flash_cnt[3542][3]~76473\) # (!\led_flash_cnt[3542][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3542][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3542][3]~76473\,
	combout => \led_flash_cnt[3542][4]~76474_combout\,
	cout => \led_flash_cnt[3542][4]~76475\);

-- Location: FF_X60_Y33_N7
\led_flash_cnt[3542][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3542][4]~76474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3542][4]~q\);

-- Location: LCCOMB_X60_Y33_N8
\led_flash_cnt[3542][5]~76476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3542][5]~76476_combout\ = (\led_flash_cnt[3542][5]~q\ & (\led_flash_cnt[3542][4]~76475\ $ (GND))) # (!\led_flash_cnt[3542][5]~q\ & (!\led_flash_cnt[3542][4]~76475\ & VCC))
-- \led_flash_cnt[3542][5]~76477\ = CARRY((\led_flash_cnt[3542][5]~q\ & !\led_flash_cnt[3542][4]~76475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3542][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3542][4]~76475\,
	combout => \led_flash_cnt[3542][5]~76476_combout\,
	cout => \led_flash_cnt[3542][5]~76477\);

-- Location: FF_X60_Y33_N9
\led_flash_cnt[3542][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3542][5]~76476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3542][5]~q\);

-- Location: LCCOMB_X60_Y33_N10
\led_flash_cnt[3542][6]~76478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3542][6]~76478_combout\ = (\led_flash_cnt[3542][6]~q\ & (!\led_flash_cnt[3542][5]~76477\)) # (!\led_flash_cnt[3542][6]~q\ & ((\led_flash_cnt[3542][5]~76477\) # (GND)))
-- \led_flash_cnt[3542][6]~76479\ = CARRY((!\led_flash_cnt[3542][5]~76477\) # (!\led_flash_cnt[3542][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3542][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3542][5]~76477\,
	combout => \led_flash_cnt[3542][6]~76478_combout\,
	cout => \led_flash_cnt[3542][6]~76479\);

-- Location: FF_X60_Y33_N11
\led_flash_cnt[3542][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3542][6]~76478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3542][6]~q\);

-- Location: LCCOMB_X60_Y33_N12
\led_flash_cnt[3542][7]~76480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3542][7]~76480_combout\ = \led_flash_cnt[3542][6]~76479\ $ (!\led_flash_cnt[3542][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3542][7]~q\,
	cin => \led_flash_cnt[3542][6]~76479\,
	combout => \led_flash_cnt[3542][7]~76480_combout\);

-- Location: FF_X60_Y33_N13
\led_flash_cnt[3542][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3542][7]~76480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3542][7]~q\);

-- Location: LCCOMB_X61_Y33_N8
\WideAnd3542~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3542~1_combout\ = (\led_flash_cnt[3542][6]~q\ & \led_flash_cnt[3542][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3542][6]~q\,
	datad => \led_flash_cnt[3542][5]~q\,
	combout => \WideAnd3542~1_combout\);

-- Location: LCCOMB_X60_Y33_N14
\WideAnd3542~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3542~0_combout\ = (\led_flash_cnt[3542][4]~q\ & (\led_flash_cnt[3542][1]~q\ & (\led_flash_cnt[3542][3]~q\ & \led_flash_cnt[3542][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3542][4]~q\,
	datab => \led_flash_cnt[3542][1]~q\,
	datac => \led_flash_cnt[3542][3]~q\,
	datad => \led_flash_cnt[3542][2]~q\,
	combout => \WideAnd3542~0_combout\);

-- Location: LCCOMB_X61_Y33_N30
WideAnd3542 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3542~combout\ = (\led_flash_cnt[3542][7]~q\ & (\led_flash_cnt[3542][0]~q\ & (\WideAnd3542~1_combout\ & \WideAnd3542~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3542][7]~q\,
	datab => \led_flash_cnt[3542][0]~q\,
	datac => \WideAnd3542~1_combout\,
	datad => \WideAnd3542~0_combout\,
	combout => \WideAnd3542~combout\);

-- Location: FF_X61_Y33_N31
\led_flash_cnt_ands[3542]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3542~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3542));

-- Location: LCCOMB_X58_Y32_N20
\led_flash_cnt[3543][0]~84183\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3543][0]~84183_combout\ = !\led_flash_cnt[3543][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3543][0]~q\,
	combout => \led_flash_cnt[3543][0]~84183_combout\);

-- Location: FF_X58_Y32_N21
\led_flash_cnt[3543][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3543][0]~84183_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3543][0]~q\);

-- Location: LCCOMB_X57_Y32_N18
\led_flash_cnt[3543][1]~76482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3543][1]~76482_combout\ = (\led_flash_cnt[3543][0]~q\ & (\led_flash_cnt[3543][1]~q\ $ (VCC))) # (!\led_flash_cnt[3543][0]~q\ & (\led_flash_cnt[3543][1]~q\ & VCC))
-- \led_flash_cnt[3543][1]~76483\ = CARRY((\led_flash_cnt[3543][0]~q\ & \led_flash_cnt[3543][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3543][0]~q\,
	datab => \led_flash_cnt[3543][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3543][1]~76482_combout\,
	cout => \led_flash_cnt[3543][1]~76483\);

-- Location: FF_X57_Y32_N19
\led_flash_cnt[3543][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3543][1]~76482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3543][1]~q\);

-- Location: LCCOMB_X57_Y32_N20
\led_flash_cnt[3543][2]~76484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3543][2]~76484_combout\ = (\led_flash_cnt[3543][2]~q\ & (!\led_flash_cnt[3543][1]~76483\)) # (!\led_flash_cnt[3543][2]~q\ & ((\led_flash_cnt[3543][1]~76483\) # (GND)))
-- \led_flash_cnt[3543][2]~76485\ = CARRY((!\led_flash_cnt[3543][1]~76483\) # (!\led_flash_cnt[3543][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3543][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3543][1]~76483\,
	combout => \led_flash_cnt[3543][2]~76484_combout\,
	cout => \led_flash_cnt[3543][2]~76485\);

-- Location: FF_X57_Y32_N21
\led_flash_cnt[3543][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3543][2]~76484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3543][2]~q\);

-- Location: LCCOMB_X57_Y32_N22
\led_flash_cnt[3543][3]~76486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3543][3]~76486_combout\ = (\led_flash_cnt[3543][3]~q\ & (\led_flash_cnt[3543][2]~76485\ $ (GND))) # (!\led_flash_cnt[3543][3]~q\ & (!\led_flash_cnt[3543][2]~76485\ & VCC))
-- \led_flash_cnt[3543][3]~76487\ = CARRY((\led_flash_cnt[3543][3]~q\ & !\led_flash_cnt[3543][2]~76485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3543][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3543][2]~76485\,
	combout => \led_flash_cnt[3543][3]~76486_combout\,
	cout => \led_flash_cnt[3543][3]~76487\);

-- Location: FF_X57_Y32_N23
\led_flash_cnt[3543][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3543][3]~76486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3543][3]~q\);

-- Location: LCCOMB_X57_Y32_N24
\led_flash_cnt[3543][4]~76488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3543][4]~76488_combout\ = (\led_flash_cnt[3543][4]~q\ & (!\led_flash_cnt[3543][3]~76487\)) # (!\led_flash_cnt[3543][4]~q\ & ((\led_flash_cnt[3543][3]~76487\) # (GND)))
-- \led_flash_cnt[3543][4]~76489\ = CARRY((!\led_flash_cnt[3543][3]~76487\) # (!\led_flash_cnt[3543][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3543][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3543][3]~76487\,
	combout => \led_flash_cnt[3543][4]~76488_combout\,
	cout => \led_flash_cnt[3543][4]~76489\);

-- Location: FF_X57_Y32_N25
\led_flash_cnt[3543][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3543][4]~76488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3543][4]~q\);

-- Location: LCCOMB_X57_Y32_N26
\led_flash_cnt[3543][5]~76490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3543][5]~76490_combout\ = (\led_flash_cnt[3543][5]~q\ & (\led_flash_cnt[3543][4]~76489\ $ (GND))) # (!\led_flash_cnt[3543][5]~q\ & (!\led_flash_cnt[3543][4]~76489\ & VCC))
-- \led_flash_cnt[3543][5]~76491\ = CARRY((\led_flash_cnt[3543][5]~q\ & !\led_flash_cnt[3543][4]~76489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3543][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3543][4]~76489\,
	combout => \led_flash_cnt[3543][5]~76490_combout\,
	cout => \led_flash_cnt[3543][5]~76491\);

-- Location: FF_X57_Y32_N27
\led_flash_cnt[3543][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3543][5]~76490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3543][5]~q\);

-- Location: LCCOMB_X57_Y32_N28
\led_flash_cnt[3543][6]~76492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3543][6]~76492_combout\ = (\led_flash_cnt[3543][6]~q\ & (!\led_flash_cnt[3543][5]~76491\)) # (!\led_flash_cnt[3543][6]~q\ & ((\led_flash_cnt[3543][5]~76491\) # (GND)))
-- \led_flash_cnt[3543][6]~76493\ = CARRY((!\led_flash_cnt[3543][5]~76491\) # (!\led_flash_cnt[3543][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3543][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3543][5]~76491\,
	combout => \led_flash_cnt[3543][6]~76492_combout\,
	cout => \led_flash_cnt[3543][6]~76493\);

-- Location: FF_X57_Y32_N29
\led_flash_cnt[3543][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3543][6]~76492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3543][6]~q\);

-- Location: LCCOMB_X57_Y32_N30
\led_flash_cnt[3543][7]~76494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3543][7]~76494_combout\ = \led_flash_cnt[3543][7]~q\ $ (!\led_flash_cnt[3543][6]~76493\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3543][7]~q\,
	cin => \led_flash_cnt[3543][6]~76493\,
	combout => \led_flash_cnt[3543][7]~76494_combout\);

-- Location: FF_X57_Y32_N31
\led_flash_cnt[3543][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3543][7]~76494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3543][7]~q\);

-- Location: LCCOMB_X57_Y32_N0
\WideAnd3543~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3543~0_combout\ = (\led_flash_cnt[3543][4]~q\ & (\led_flash_cnt[3543][2]~q\ & (\led_flash_cnt[3543][3]~q\ & \led_flash_cnt[3543][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3543][4]~q\,
	datab => \led_flash_cnt[3543][2]~q\,
	datac => \led_flash_cnt[3543][3]~q\,
	datad => \led_flash_cnt[3543][1]~q\,
	combout => \WideAnd3543~0_combout\);

-- Location: LCCOMB_X58_Y32_N24
\WideAnd3543~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3543~1_combout\ = (\led_flash_cnt[3543][5]~q\ & \led_flash_cnt[3543][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3543][5]~q\,
	datad => \led_flash_cnt[3543][6]~q\,
	combout => \WideAnd3543~1_combout\);

-- Location: LCCOMB_X58_Y32_N22
WideAnd3543 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3543~combout\ = (\led_flash_cnt[3543][0]~q\ & (\led_flash_cnt[3543][7]~q\ & (\WideAnd3543~0_combout\ & \WideAnd3543~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3543][0]~q\,
	datab => \led_flash_cnt[3543][7]~q\,
	datac => \WideAnd3543~0_combout\,
	datad => \WideAnd3543~1_combout\,
	combout => \WideAnd3543~combout\);

-- Location: FF_X58_Y32_N23
\led_flash_cnt_ands[3543]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3543~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3543));

-- Location: LCCOMB_X55_Y37_N2
\led_flash_cnt[3541][0]~84181\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3541][0]~84181_combout\ = !\led_flash_cnt[3541][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3541][0]~q\,
	combout => \led_flash_cnt[3541][0]~84181_combout\);

-- Location: FF_X55_Y37_N3
\led_flash_cnt[3541][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3541][0]~84181_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3541][0]~q\);

-- Location: LCCOMB_X54_Y37_N2
\led_flash_cnt[3541][1]~76454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3541][1]~76454_combout\ = (\led_flash_cnt[3541][0]~q\ & (\led_flash_cnt[3541][1]~q\ $ (VCC))) # (!\led_flash_cnt[3541][0]~q\ & (\led_flash_cnt[3541][1]~q\ & VCC))
-- \led_flash_cnt[3541][1]~76455\ = CARRY((\led_flash_cnt[3541][0]~q\ & \led_flash_cnt[3541][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3541][0]~q\,
	datab => \led_flash_cnt[3541][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3541][1]~76454_combout\,
	cout => \led_flash_cnt[3541][1]~76455\);

-- Location: FF_X54_Y37_N3
\led_flash_cnt[3541][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3541][1]~76454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3541][1]~q\);

-- Location: LCCOMB_X54_Y37_N4
\led_flash_cnt[3541][2]~76456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3541][2]~76456_combout\ = (\led_flash_cnt[3541][2]~q\ & (!\led_flash_cnt[3541][1]~76455\)) # (!\led_flash_cnt[3541][2]~q\ & ((\led_flash_cnt[3541][1]~76455\) # (GND)))
-- \led_flash_cnt[3541][2]~76457\ = CARRY((!\led_flash_cnt[3541][1]~76455\) # (!\led_flash_cnt[3541][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3541][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3541][1]~76455\,
	combout => \led_flash_cnt[3541][2]~76456_combout\,
	cout => \led_flash_cnt[3541][2]~76457\);

-- Location: FF_X54_Y37_N5
\led_flash_cnt[3541][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3541][2]~76456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3541][2]~q\);

-- Location: LCCOMB_X54_Y37_N6
\led_flash_cnt[3541][3]~76458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3541][3]~76458_combout\ = (\led_flash_cnt[3541][3]~q\ & (\led_flash_cnt[3541][2]~76457\ $ (GND))) # (!\led_flash_cnt[3541][3]~q\ & (!\led_flash_cnt[3541][2]~76457\ & VCC))
-- \led_flash_cnt[3541][3]~76459\ = CARRY((\led_flash_cnt[3541][3]~q\ & !\led_flash_cnt[3541][2]~76457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3541][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3541][2]~76457\,
	combout => \led_flash_cnt[3541][3]~76458_combout\,
	cout => \led_flash_cnt[3541][3]~76459\);

-- Location: FF_X54_Y37_N7
\led_flash_cnt[3541][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3541][3]~76458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3541][3]~q\);

-- Location: LCCOMB_X54_Y37_N8
\led_flash_cnt[3541][4]~76460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3541][4]~76460_combout\ = (\led_flash_cnt[3541][4]~q\ & (!\led_flash_cnt[3541][3]~76459\)) # (!\led_flash_cnt[3541][4]~q\ & ((\led_flash_cnt[3541][3]~76459\) # (GND)))
-- \led_flash_cnt[3541][4]~76461\ = CARRY((!\led_flash_cnt[3541][3]~76459\) # (!\led_flash_cnt[3541][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3541][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3541][3]~76459\,
	combout => \led_flash_cnt[3541][4]~76460_combout\,
	cout => \led_flash_cnt[3541][4]~76461\);

-- Location: FF_X54_Y37_N9
\led_flash_cnt[3541][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3541][4]~76460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3541][4]~q\);

-- Location: LCCOMB_X54_Y37_N10
\led_flash_cnt[3541][5]~76462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3541][5]~76462_combout\ = (\led_flash_cnt[3541][5]~q\ & (\led_flash_cnt[3541][4]~76461\ $ (GND))) # (!\led_flash_cnt[3541][5]~q\ & (!\led_flash_cnt[3541][4]~76461\ & VCC))
-- \led_flash_cnt[3541][5]~76463\ = CARRY((\led_flash_cnt[3541][5]~q\ & !\led_flash_cnt[3541][4]~76461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3541][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3541][4]~76461\,
	combout => \led_flash_cnt[3541][5]~76462_combout\,
	cout => \led_flash_cnt[3541][5]~76463\);

-- Location: FF_X54_Y37_N11
\led_flash_cnt[3541][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3541][5]~76462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3541][5]~q\);

-- Location: LCCOMB_X54_Y37_N12
\led_flash_cnt[3541][6]~76464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3541][6]~76464_combout\ = (\led_flash_cnt[3541][6]~q\ & (!\led_flash_cnt[3541][5]~76463\)) # (!\led_flash_cnt[3541][6]~q\ & ((\led_flash_cnt[3541][5]~76463\) # (GND)))
-- \led_flash_cnt[3541][6]~76465\ = CARRY((!\led_flash_cnt[3541][5]~76463\) # (!\led_flash_cnt[3541][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3541][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3541][5]~76463\,
	combout => \led_flash_cnt[3541][6]~76464_combout\,
	cout => \led_flash_cnt[3541][6]~76465\);

-- Location: FF_X54_Y37_N13
\led_flash_cnt[3541][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3541][6]~76464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3541][6]~q\);

-- Location: LCCOMB_X54_Y37_N14
\led_flash_cnt[3541][7]~76466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3541][7]~76466_combout\ = \led_flash_cnt[3541][7]~q\ $ (!\led_flash_cnt[3541][6]~76465\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3541][7]~q\,
	cin => \led_flash_cnt[3541][6]~76465\,
	combout => \led_flash_cnt[3541][7]~76466_combout\);

-- Location: FF_X54_Y37_N15
\led_flash_cnt[3541][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3541][7]~76466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3541][7]~q\);

-- Location: LCCOMB_X55_Y37_N14
\WideAnd3541~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3541~1_combout\ = (\led_flash_cnt[3541][6]~q\ & \led_flash_cnt[3541][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3541][6]~q\,
	datad => \led_flash_cnt[3541][5]~q\,
	combout => \WideAnd3541~1_combout\);

-- Location: LCCOMB_X54_Y37_N30
\WideAnd3541~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3541~0_combout\ = (\led_flash_cnt[3541][3]~q\ & (\led_flash_cnt[3541][2]~q\ & (\led_flash_cnt[3541][4]~q\ & \led_flash_cnt[3541][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3541][3]~q\,
	datab => \led_flash_cnt[3541][2]~q\,
	datac => \led_flash_cnt[3541][4]~q\,
	datad => \led_flash_cnt[3541][1]~q\,
	combout => \WideAnd3541~0_combout\);

-- Location: LCCOMB_X55_Y37_N8
WideAnd3541 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3541~combout\ = (\led_flash_cnt[3541][7]~q\ & (\WideAnd3541~1_combout\ & (\led_flash_cnt[3541][0]~q\ & \WideAnd3541~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3541][7]~q\,
	datab => \WideAnd3541~1_combout\,
	datac => \led_flash_cnt[3541][0]~q\,
	datad => \WideAnd3541~0_combout\,
	combout => \WideAnd3541~combout\);

-- Location: FF_X55_Y37_N9
\led_flash_cnt_ands[3541]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3541~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3541));

-- Location: LCCOMB_X55_Y37_N6
\led_flash_cnt[3540][0]~84180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3540][0]~84180_combout\ = !\led_flash_cnt[3540][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3540][0]~q\,
	combout => \led_flash_cnt[3540][0]~84180_combout\);

-- Location: FF_X55_Y37_N7
\led_flash_cnt[3540][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3540][0]~84180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3540][0]~q\);

-- Location: LCCOMB_X55_Y37_N18
\led_flash_cnt[3540][1]~76440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3540][1]~76440_combout\ = (\led_flash_cnt[3540][0]~q\ & (\led_flash_cnt[3540][1]~q\ $ (VCC))) # (!\led_flash_cnt[3540][0]~q\ & (\led_flash_cnt[3540][1]~q\ & VCC))
-- \led_flash_cnt[3540][1]~76441\ = CARRY((\led_flash_cnt[3540][0]~q\ & \led_flash_cnt[3540][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3540][0]~q\,
	datab => \led_flash_cnt[3540][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3540][1]~76440_combout\,
	cout => \led_flash_cnt[3540][1]~76441\);

-- Location: FF_X55_Y37_N19
\led_flash_cnt[3540][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3540][1]~76440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3540][1]~q\);

-- Location: LCCOMB_X55_Y37_N20
\led_flash_cnt[3540][2]~76442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3540][2]~76442_combout\ = (\led_flash_cnt[3540][2]~q\ & (!\led_flash_cnt[3540][1]~76441\)) # (!\led_flash_cnt[3540][2]~q\ & ((\led_flash_cnt[3540][1]~76441\) # (GND)))
-- \led_flash_cnt[3540][2]~76443\ = CARRY((!\led_flash_cnt[3540][1]~76441\) # (!\led_flash_cnt[3540][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3540][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3540][1]~76441\,
	combout => \led_flash_cnt[3540][2]~76442_combout\,
	cout => \led_flash_cnt[3540][2]~76443\);

-- Location: FF_X55_Y37_N21
\led_flash_cnt[3540][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3540][2]~76442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3540][2]~q\);

-- Location: LCCOMB_X55_Y37_N22
\led_flash_cnt[3540][3]~76444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3540][3]~76444_combout\ = (\led_flash_cnt[3540][3]~q\ & (\led_flash_cnt[3540][2]~76443\ $ (GND))) # (!\led_flash_cnt[3540][3]~q\ & (!\led_flash_cnt[3540][2]~76443\ & VCC))
-- \led_flash_cnt[3540][3]~76445\ = CARRY((\led_flash_cnt[3540][3]~q\ & !\led_flash_cnt[3540][2]~76443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3540][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3540][2]~76443\,
	combout => \led_flash_cnt[3540][3]~76444_combout\,
	cout => \led_flash_cnt[3540][3]~76445\);

-- Location: FF_X55_Y37_N23
\led_flash_cnt[3540][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3540][3]~76444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3540][3]~q\);

-- Location: LCCOMB_X55_Y37_N24
\led_flash_cnt[3540][4]~76446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3540][4]~76446_combout\ = (\led_flash_cnt[3540][4]~q\ & (!\led_flash_cnt[3540][3]~76445\)) # (!\led_flash_cnt[3540][4]~q\ & ((\led_flash_cnt[3540][3]~76445\) # (GND)))
-- \led_flash_cnt[3540][4]~76447\ = CARRY((!\led_flash_cnt[3540][3]~76445\) # (!\led_flash_cnt[3540][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3540][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3540][3]~76445\,
	combout => \led_flash_cnt[3540][4]~76446_combout\,
	cout => \led_flash_cnt[3540][4]~76447\);

-- Location: FF_X55_Y37_N25
\led_flash_cnt[3540][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3540][4]~76446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3540][4]~q\);

-- Location: LCCOMB_X55_Y37_N26
\led_flash_cnt[3540][5]~76448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3540][5]~76448_combout\ = (\led_flash_cnt[3540][5]~q\ & (\led_flash_cnt[3540][4]~76447\ $ (GND))) # (!\led_flash_cnt[3540][5]~q\ & (!\led_flash_cnt[3540][4]~76447\ & VCC))
-- \led_flash_cnt[3540][5]~76449\ = CARRY((\led_flash_cnt[3540][5]~q\ & !\led_flash_cnt[3540][4]~76447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3540][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3540][4]~76447\,
	combout => \led_flash_cnt[3540][5]~76448_combout\,
	cout => \led_flash_cnt[3540][5]~76449\);

-- Location: FF_X55_Y37_N27
\led_flash_cnt[3540][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3540][5]~76448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3540][5]~q\);

-- Location: LCCOMB_X55_Y37_N28
\led_flash_cnt[3540][6]~76450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3540][6]~76450_combout\ = (\led_flash_cnt[3540][6]~q\ & (!\led_flash_cnt[3540][5]~76449\)) # (!\led_flash_cnt[3540][6]~q\ & ((\led_flash_cnt[3540][5]~76449\) # (GND)))
-- \led_flash_cnt[3540][6]~76451\ = CARRY((!\led_flash_cnt[3540][5]~76449\) # (!\led_flash_cnt[3540][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3540][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3540][5]~76449\,
	combout => \led_flash_cnt[3540][6]~76450_combout\,
	cout => \led_flash_cnt[3540][6]~76451\);

-- Location: FF_X55_Y37_N29
\led_flash_cnt[3540][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3540][6]~76450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3540][6]~q\);

-- Location: LCCOMB_X55_Y37_N10
\WideAnd3540~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3540~1_combout\ = (\led_flash_cnt[3540][5]~q\ & \led_flash_cnt[3540][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3540][5]~q\,
	datad => \led_flash_cnt[3540][6]~q\,
	combout => \WideAnd3540~1_combout\);

-- Location: LCCOMB_X55_Y37_N16
\WideAnd3540~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3540~0_combout\ = (\led_flash_cnt[3540][4]~q\ & (\led_flash_cnt[3540][2]~q\ & (\led_flash_cnt[3540][3]~q\ & \led_flash_cnt[3540][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3540][4]~q\,
	datab => \led_flash_cnt[3540][2]~q\,
	datac => \led_flash_cnt[3540][3]~q\,
	datad => \led_flash_cnt[3540][1]~q\,
	combout => \WideAnd3540~0_combout\);

-- Location: LCCOMB_X55_Y37_N30
\led_flash_cnt[3540][7]~76452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3540][7]~76452_combout\ = \led_flash_cnt[3540][7]~q\ $ (!\led_flash_cnt[3540][6]~76451\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3540][7]~q\,
	cin => \led_flash_cnt[3540][6]~76451\,
	combout => \led_flash_cnt[3540][7]~76452_combout\);

-- Location: FF_X55_Y37_N31
\led_flash_cnt[3540][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3540][7]~76452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3540][7]~q\);

-- Location: LCCOMB_X55_Y37_N12
WideAnd3540 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3540~combout\ = (\WideAnd3540~1_combout\ & (\WideAnd3540~0_combout\ & (\led_flash_cnt[3540][7]~q\ & \led_flash_cnt[3540][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3540~1_combout\,
	datab => \WideAnd3540~0_combout\,
	datac => \led_flash_cnt[3540][7]~q\,
	datad => \led_flash_cnt[3540][0]~q\,
	combout => \WideAnd3540~combout\);

-- Location: FF_X55_Y37_N13
\led_flash_cnt_ands[3540]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3540~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3540));

-- Location: LCCOMB_X55_Y37_N4
\WideAnd4282~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4282~1_combout\ = (led_flash_cnt_ands(3541) & led_flash_cnt_ands(3540))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3541),
	datad => led_flash_cnt_ands(3540),
	combout => \WideAnd4282~1_combout\);

-- Location: LCCOMB_X57_Y37_N22
\led_flash_cnt[3537][0]~84177\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3537][0]~84177_combout\ = !\led_flash_cnt[3537][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3537][0]~q\,
	combout => \led_flash_cnt[3537][0]~84177_combout\);

-- Location: FF_X57_Y37_N23
\led_flash_cnt[3537][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3537][0]~84177_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3537][0]~q\);

-- Location: LCCOMB_X57_Y37_N0
\led_flash_cnt[3537][1]~76398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3537][1]~76398_combout\ = (\led_flash_cnt[3537][0]~q\ & (\led_flash_cnt[3537][1]~q\ $ (VCC))) # (!\led_flash_cnt[3537][0]~q\ & (\led_flash_cnt[3537][1]~q\ & VCC))
-- \led_flash_cnt[3537][1]~76399\ = CARRY((\led_flash_cnt[3537][0]~q\ & \led_flash_cnt[3537][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3537][0]~q\,
	datab => \led_flash_cnt[3537][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3537][1]~76398_combout\,
	cout => \led_flash_cnt[3537][1]~76399\);

-- Location: FF_X57_Y37_N1
\led_flash_cnt[3537][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3537][1]~76398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3537][1]~q\);

-- Location: LCCOMB_X57_Y37_N2
\led_flash_cnt[3537][2]~76400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3537][2]~76400_combout\ = (\led_flash_cnt[3537][2]~q\ & (!\led_flash_cnt[3537][1]~76399\)) # (!\led_flash_cnt[3537][2]~q\ & ((\led_flash_cnt[3537][1]~76399\) # (GND)))
-- \led_flash_cnt[3537][2]~76401\ = CARRY((!\led_flash_cnt[3537][1]~76399\) # (!\led_flash_cnt[3537][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3537][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3537][1]~76399\,
	combout => \led_flash_cnt[3537][2]~76400_combout\,
	cout => \led_flash_cnt[3537][2]~76401\);

-- Location: FF_X57_Y37_N3
\led_flash_cnt[3537][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3537][2]~76400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3537][2]~q\);

-- Location: LCCOMB_X57_Y37_N4
\led_flash_cnt[3537][3]~76402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3537][3]~76402_combout\ = (\led_flash_cnt[3537][3]~q\ & (\led_flash_cnt[3537][2]~76401\ $ (GND))) # (!\led_flash_cnt[3537][3]~q\ & (!\led_flash_cnt[3537][2]~76401\ & VCC))
-- \led_flash_cnt[3537][3]~76403\ = CARRY((\led_flash_cnt[3537][3]~q\ & !\led_flash_cnt[3537][2]~76401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3537][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3537][2]~76401\,
	combout => \led_flash_cnt[3537][3]~76402_combout\,
	cout => \led_flash_cnt[3537][3]~76403\);

-- Location: FF_X57_Y37_N5
\led_flash_cnt[3537][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3537][3]~76402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3537][3]~q\);

-- Location: LCCOMB_X57_Y37_N6
\led_flash_cnt[3537][4]~76404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3537][4]~76404_combout\ = (\led_flash_cnt[3537][4]~q\ & (!\led_flash_cnt[3537][3]~76403\)) # (!\led_flash_cnt[3537][4]~q\ & ((\led_flash_cnt[3537][3]~76403\) # (GND)))
-- \led_flash_cnt[3537][4]~76405\ = CARRY((!\led_flash_cnt[3537][3]~76403\) # (!\led_flash_cnt[3537][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3537][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3537][3]~76403\,
	combout => \led_flash_cnt[3537][4]~76404_combout\,
	cout => \led_flash_cnt[3537][4]~76405\);

-- Location: FF_X57_Y37_N7
\led_flash_cnt[3537][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3537][4]~76404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3537][4]~q\);

-- Location: LCCOMB_X57_Y37_N24
\WideAnd3537~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3537~0_combout\ = (\led_flash_cnt[3537][4]~q\ & (\led_flash_cnt[3537][1]~q\ & (\led_flash_cnt[3537][3]~q\ & \led_flash_cnt[3537][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3537][4]~q\,
	datab => \led_flash_cnt[3537][1]~q\,
	datac => \led_flash_cnt[3537][3]~q\,
	datad => \led_flash_cnt[3537][2]~q\,
	combout => \WideAnd3537~0_combout\);

-- Location: LCCOMB_X57_Y37_N8
\led_flash_cnt[3537][5]~76406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3537][5]~76406_combout\ = (\led_flash_cnt[3537][5]~q\ & (\led_flash_cnt[3537][4]~76405\ $ (GND))) # (!\led_flash_cnt[3537][5]~q\ & (!\led_flash_cnt[3537][4]~76405\ & VCC))
-- \led_flash_cnt[3537][5]~76407\ = CARRY((\led_flash_cnt[3537][5]~q\ & !\led_flash_cnt[3537][4]~76405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3537][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3537][4]~76405\,
	combout => \led_flash_cnt[3537][5]~76406_combout\,
	cout => \led_flash_cnt[3537][5]~76407\);

-- Location: FF_X57_Y37_N9
\led_flash_cnt[3537][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3537][5]~76406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3537][5]~q\);

-- Location: LCCOMB_X57_Y37_N10
\led_flash_cnt[3537][6]~76408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3537][6]~76408_combout\ = (\led_flash_cnt[3537][6]~q\ & (!\led_flash_cnt[3537][5]~76407\)) # (!\led_flash_cnt[3537][6]~q\ & ((\led_flash_cnt[3537][5]~76407\) # (GND)))
-- \led_flash_cnt[3537][6]~76409\ = CARRY((!\led_flash_cnt[3537][5]~76407\) # (!\led_flash_cnt[3537][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3537][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3537][5]~76407\,
	combout => \led_flash_cnt[3537][6]~76408_combout\,
	cout => \led_flash_cnt[3537][6]~76409\);

-- Location: FF_X57_Y37_N11
\led_flash_cnt[3537][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3537][6]~76408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3537][6]~q\);

-- Location: LCCOMB_X57_Y37_N14
\WideAnd3537~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3537~1_combout\ = (\led_flash_cnt[3537][5]~q\ & \led_flash_cnt[3537][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3537][5]~q\,
	datad => \led_flash_cnt[3537][6]~q\,
	combout => \WideAnd3537~1_combout\);

-- Location: LCCOMB_X57_Y37_N12
\led_flash_cnt[3537][7]~76410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3537][7]~76410_combout\ = \led_flash_cnt[3537][6]~76409\ $ (!\led_flash_cnt[3537][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3537][7]~q\,
	cin => \led_flash_cnt[3537][6]~76409\,
	combout => \led_flash_cnt[3537][7]~76410_combout\);

-- Location: FF_X57_Y37_N13
\led_flash_cnt[3537][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3537][7]~76410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3537][7]~q\);

-- Location: LCCOMB_X57_Y37_N26
WideAnd3537 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3537~combout\ = (\led_flash_cnt[3537][0]~q\ & (\WideAnd3537~0_combout\ & (\WideAnd3537~1_combout\ & \led_flash_cnt[3537][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3537][0]~q\,
	datab => \WideAnd3537~0_combout\,
	datac => \WideAnd3537~1_combout\,
	datad => \led_flash_cnt[3537][7]~q\,
	combout => \WideAnd3537~combout\);

-- Location: FF_X57_Y37_N27
\led_flash_cnt_ands[3537]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3537~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3537));

-- Location: LCCOMB_X52_Y42_N2
\led_flash_cnt[3538][0]~84178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3538][0]~84178_combout\ = !\led_flash_cnt[3538][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3538][0]~q\,
	combout => \led_flash_cnt[3538][0]~84178_combout\);

-- Location: FF_X52_Y42_N3
\led_flash_cnt[3538][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3538][0]~84178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3538][0]~q\);

-- Location: LCCOMB_X51_Y42_N4
\led_flash_cnt[3538][1]~76412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3538][1]~76412_combout\ = (\led_flash_cnt[3538][0]~q\ & (\led_flash_cnt[3538][1]~q\ $ (VCC))) # (!\led_flash_cnt[3538][0]~q\ & (\led_flash_cnt[3538][1]~q\ & VCC))
-- \led_flash_cnt[3538][1]~76413\ = CARRY((\led_flash_cnt[3538][0]~q\ & \led_flash_cnt[3538][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3538][0]~q\,
	datab => \led_flash_cnt[3538][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3538][1]~76412_combout\,
	cout => \led_flash_cnt[3538][1]~76413\);

-- Location: FF_X51_Y42_N5
\led_flash_cnt[3538][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3538][1]~76412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3538][1]~q\);

-- Location: LCCOMB_X51_Y42_N6
\led_flash_cnt[3538][2]~76414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3538][2]~76414_combout\ = (\led_flash_cnt[3538][2]~q\ & (!\led_flash_cnt[3538][1]~76413\)) # (!\led_flash_cnt[3538][2]~q\ & ((\led_flash_cnt[3538][1]~76413\) # (GND)))
-- \led_flash_cnt[3538][2]~76415\ = CARRY((!\led_flash_cnt[3538][1]~76413\) # (!\led_flash_cnt[3538][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3538][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3538][1]~76413\,
	combout => \led_flash_cnt[3538][2]~76414_combout\,
	cout => \led_flash_cnt[3538][2]~76415\);

-- Location: FF_X51_Y42_N7
\led_flash_cnt[3538][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3538][2]~76414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3538][2]~q\);

-- Location: LCCOMB_X51_Y42_N8
\led_flash_cnt[3538][3]~76416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3538][3]~76416_combout\ = (\led_flash_cnt[3538][3]~q\ & (\led_flash_cnt[3538][2]~76415\ $ (GND))) # (!\led_flash_cnt[3538][3]~q\ & (!\led_flash_cnt[3538][2]~76415\ & VCC))
-- \led_flash_cnt[3538][3]~76417\ = CARRY((\led_flash_cnt[3538][3]~q\ & !\led_flash_cnt[3538][2]~76415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3538][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3538][2]~76415\,
	combout => \led_flash_cnt[3538][3]~76416_combout\,
	cout => \led_flash_cnt[3538][3]~76417\);

-- Location: FF_X51_Y42_N9
\led_flash_cnt[3538][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3538][3]~76416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3538][3]~q\);

-- Location: LCCOMB_X51_Y42_N10
\led_flash_cnt[3538][4]~76418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3538][4]~76418_combout\ = (\led_flash_cnt[3538][4]~q\ & (!\led_flash_cnt[3538][3]~76417\)) # (!\led_flash_cnt[3538][4]~q\ & ((\led_flash_cnt[3538][3]~76417\) # (GND)))
-- \led_flash_cnt[3538][4]~76419\ = CARRY((!\led_flash_cnt[3538][3]~76417\) # (!\led_flash_cnt[3538][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3538][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3538][3]~76417\,
	combout => \led_flash_cnt[3538][4]~76418_combout\,
	cout => \led_flash_cnt[3538][4]~76419\);

-- Location: FF_X51_Y42_N11
\led_flash_cnt[3538][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3538][4]~76418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3538][4]~q\);

-- Location: LCCOMB_X51_Y42_N0
\WideAnd3538~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3538~0_combout\ = (\led_flash_cnt[3538][2]~q\ & (\led_flash_cnt[3538][3]~q\ & (\led_flash_cnt[3538][1]~q\ & \led_flash_cnt[3538][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3538][2]~q\,
	datab => \led_flash_cnt[3538][3]~q\,
	datac => \led_flash_cnt[3538][1]~q\,
	datad => \led_flash_cnt[3538][4]~q\,
	combout => \WideAnd3538~0_combout\);

-- Location: LCCOMB_X51_Y42_N12
\led_flash_cnt[3538][5]~76420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3538][5]~76420_combout\ = (\led_flash_cnt[3538][5]~q\ & (\led_flash_cnt[3538][4]~76419\ $ (GND))) # (!\led_flash_cnt[3538][5]~q\ & (!\led_flash_cnt[3538][4]~76419\ & VCC))
-- \led_flash_cnt[3538][5]~76421\ = CARRY((\led_flash_cnt[3538][5]~q\ & !\led_flash_cnt[3538][4]~76419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3538][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3538][4]~76419\,
	combout => \led_flash_cnt[3538][5]~76420_combout\,
	cout => \led_flash_cnt[3538][5]~76421\);

-- Location: FF_X51_Y42_N13
\led_flash_cnt[3538][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3538][5]~76420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3538][5]~q\);

-- Location: LCCOMB_X51_Y42_N14
\led_flash_cnt[3538][6]~76422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3538][6]~76422_combout\ = (\led_flash_cnt[3538][6]~q\ & (!\led_flash_cnt[3538][5]~76421\)) # (!\led_flash_cnt[3538][6]~q\ & ((\led_flash_cnt[3538][5]~76421\) # (GND)))
-- \led_flash_cnt[3538][6]~76423\ = CARRY((!\led_flash_cnt[3538][5]~76421\) # (!\led_flash_cnt[3538][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3538][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3538][5]~76421\,
	combout => \led_flash_cnt[3538][6]~76422_combout\,
	cout => \led_flash_cnt[3538][6]~76423\);

-- Location: FF_X51_Y42_N15
\led_flash_cnt[3538][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3538][6]~76422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3538][6]~q\);

-- Location: LCCOMB_X52_Y42_N28
\WideAnd3538~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3538~1_combout\ = (\led_flash_cnt[3538][5]~q\ & \led_flash_cnt[3538][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3538][5]~q\,
	datad => \led_flash_cnt[3538][6]~q\,
	combout => \WideAnd3538~1_combout\);

-- Location: LCCOMB_X51_Y42_N16
\led_flash_cnt[3538][7]~76424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3538][7]~76424_combout\ = \led_flash_cnt[3538][6]~76423\ $ (!\led_flash_cnt[3538][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3538][7]~q\,
	cin => \led_flash_cnt[3538][6]~76423\,
	combout => \led_flash_cnt[3538][7]~76424_combout\);

-- Location: FF_X51_Y42_N17
\led_flash_cnt[3538][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3538][7]~76424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3538][7]~q\);

-- Location: LCCOMB_X52_Y42_N30
WideAnd3538 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3538~combout\ = (\WideAnd3538~0_combout\ & (\WideAnd3538~1_combout\ & (\led_flash_cnt[3538][7]~q\ & \led_flash_cnt[3538][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3538~0_combout\,
	datab => \WideAnd3538~1_combout\,
	datac => \led_flash_cnt[3538][7]~q\,
	datad => \led_flash_cnt[3538][0]~q\,
	combout => \WideAnd3538~combout\);

-- Location: FF_X52_Y42_N31
\led_flash_cnt_ands[3538]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3538~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3538));

-- Location: LCCOMB_X51_Y39_N28
\led_flash_cnt[3539][0]~84179\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3539][0]~84179_combout\ = !\led_flash_cnt[3539][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3539][0]~q\,
	combout => \led_flash_cnt[3539][0]~84179_combout\);

-- Location: FF_X51_Y39_N29
\led_flash_cnt[3539][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3539][0]~84179_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3539][0]~q\);

-- Location: LCCOMB_X51_Y42_N18
\led_flash_cnt[3539][1]~76426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3539][1]~76426_combout\ = (\led_flash_cnt[3539][0]~q\ & (\led_flash_cnt[3539][1]~q\ $ (VCC))) # (!\led_flash_cnt[3539][0]~q\ & (\led_flash_cnt[3539][1]~q\ & VCC))
-- \led_flash_cnt[3539][1]~76427\ = CARRY((\led_flash_cnt[3539][0]~q\ & \led_flash_cnt[3539][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3539][0]~q\,
	datab => \led_flash_cnt[3539][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3539][1]~76426_combout\,
	cout => \led_flash_cnt[3539][1]~76427\);

-- Location: FF_X51_Y42_N19
\led_flash_cnt[3539][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3539][1]~76426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3539][1]~q\);

-- Location: LCCOMB_X51_Y42_N20
\led_flash_cnt[3539][2]~76428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3539][2]~76428_combout\ = (\led_flash_cnt[3539][2]~q\ & (!\led_flash_cnt[3539][1]~76427\)) # (!\led_flash_cnt[3539][2]~q\ & ((\led_flash_cnt[3539][1]~76427\) # (GND)))
-- \led_flash_cnt[3539][2]~76429\ = CARRY((!\led_flash_cnt[3539][1]~76427\) # (!\led_flash_cnt[3539][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3539][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3539][1]~76427\,
	combout => \led_flash_cnt[3539][2]~76428_combout\,
	cout => \led_flash_cnt[3539][2]~76429\);

-- Location: FF_X51_Y42_N21
\led_flash_cnt[3539][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3539][2]~76428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3539][2]~q\);

-- Location: LCCOMB_X51_Y42_N22
\led_flash_cnt[3539][3]~76430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3539][3]~76430_combout\ = (\led_flash_cnt[3539][3]~q\ & (\led_flash_cnt[3539][2]~76429\ $ (GND))) # (!\led_flash_cnt[3539][3]~q\ & (!\led_flash_cnt[3539][2]~76429\ & VCC))
-- \led_flash_cnt[3539][3]~76431\ = CARRY((\led_flash_cnt[3539][3]~q\ & !\led_flash_cnt[3539][2]~76429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3539][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3539][2]~76429\,
	combout => \led_flash_cnt[3539][3]~76430_combout\,
	cout => \led_flash_cnt[3539][3]~76431\);

-- Location: FF_X51_Y42_N23
\led_flash_cnt[3539][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3539][3]~76430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3539][3]~q\);

-- Location: LCCOMB_X51_Y42_N24
\led_flash_cnt[3539][4]~76432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3539][4]~76432_combout\ = (\led_flash_cnt[3539][4]~q\ & (!\led_flash_cnt[3539][3]~76431\)) # (!\led_flash_cnt[3539][4]~q\ & ((\led_flash_cnt[3539][3]~76431\) # (GND)))
-- \led_flash_cnt[3539][4]~76433\ = CARRY((!\led_flash_cnt[3539][3]~76431\) # (!\led_flash_cnt[3539][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3539][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3539][3]~76431\,
	combout => \led_flash_cnt[3539][4]~76432_combout\,
	cout => \led_flash_cnt[3539][4]~76433\);

-- Location: FF_X51_Y42_N25
\led_flash_cnt[3539][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3539][4]~76432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3539][4]~q\);

-- Location: LCCOMB_X51_Y42_N26
\led_flash_cnt[3539][5]~76434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3539][5]~76434_combout\ = (\led_flash_cnt[3539][5]~q\ & (\led_flash_cnt[3539][4]~76433\ $ (GND))) # (!\led_flash_cnt[3539][5]~q\ & (!\led_flash_cnt[3539][4]~76433\ & VCC))
-- \led_flash_cnt[3539][5]~76435\ = CARRY((\led_flash_cnt[3539][5]~q\ & !\led_flash_cnt[3539][4]~76433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3539][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3539][4]~76433\,
	combout => \led_flash_cnt[3539][5]~76434_combout\,
	cout => \led_flash_cnt[3539][5]~76435\);

-- Location: FF_X51_Y42_N27
\led_flash_cnt[3539][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3539][5]~76434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3539][5]~q\);

-- Location: LCCOMB_X51_Y42_N28
\led_flash_cnt[3539][6]~76436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3539][6]~76436_combout\ = (\led_flash_cnt[3539][6]~q\ & (!\led_flash_cnt[3539][5]~76435\)) # (!\led_flash_cnt[3539][6]~q\ & ((\led_flash_cnt[3539][5]~76435\) # (GND)))
-- \led_flash_cnt[3539][6]~76437\ = CARRY((!\led_flash_cnt[3539][5]~76435\) # (!\led_flash_cnt[3539][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3539][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3539][5]~76435\,
	combout => \led_flash_cnt[3539][6]~76436_combout\,
	cout => \led_flash_cnt[3539][6]~76437\);

-- Location: FF_X51_Y42_N29
\led_flash_cnt[3539][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3539][6]~76436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3539][6]~q\);

-- Location: LCCOMB_X51_Y42_N30
\led_flash_cnt[3539][7]~76438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3539][7]~76438_combout\ = \led_flash_cnt[3539][7]~q\ $ (!\led_flash_cnt[3539][6]~76437\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3539][7]~q\,
	cin => \led_flash_cnt[3539][6]~76437\,
	combout => \led_flash_cnt[3539][7]~76438_combout\);

-- Location: FF_X51_Y42_N31
\led_flash_cnt[3539][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3539][7]~76438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3539][7]~q\);

-- Location: LCCOMB_X51_Y42_N2
\WideAnd3539~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3539~0_combout\ = (\led_flash_cnt[3539][4]~q\ & (\led_flash_cnt[3539][2]~q\ & (\led_flash_cnt[3539][3]~q\ & \led_flash_cnt[3539][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3539][4]~q\,
	datab => \led_flash_cnt[3539][2]~q\,
	datac => \led_flash_cnt[3539][3]~q\,
	datad => \led_flash_cnt[3539][1]~q\,
	combout => \WideAnd3539~0_combout\);

-- Location: LCCOMB_X51_Y39_N10
\WideAnd3539~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3539~1_combout\ = (\led_flash_cnt[3539][6]~q\ & \led_flash_cnt[3539][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3539][6]~q\,
	datac => \led_flash_cnt[3539][5]~q\,
	combout => \WideAnd3539~1_combout\);

-- Location: LCCOMB_X51_Y39_N8
WideAnd3539 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3539~combout\ = (\led_flash_cnt[3539][7]~q\ & (\led_flash_cnt[3539][0]~q\ & (\WideAnd3539~0_combout\ & \WideAnd3539~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3539][7]~q\,
	datab => \led_flash_cnt[3539][0]~q\,
	datac => \WideAnd3539~0_combout\,
	datad => \WideAnd3539~1_combout\,
	combout => \WideAnd3539~combout\);

-- Location: FF_X51_Y39_N9
\led_flash_cnt_ands[3539]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3539~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3539));

-- Location: LCCOMB_X57_Y37_N28
\led_flash_cnt[3536][0]~84176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3536][0]~84176_combout\ = !\led_flash_cnt[3536][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3536][0]~q\,
	combout => \led_flash_cnt[3536][0]~84176_combout\);

-- Location: FF_X57_Y37_N29
\led_flash_cnt[3536][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3536][0]~84176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3536][0]~q\);

-- Location: LCCOMB_X56_Y37_N18
\led_flash_cnt[3536][1]~76384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3536][1]~76384_combout\ = (\led_flash_cnt[3536][1]~q\ & (\led_flash_cnt[3536][0]~q\ $ (VCC))) # (!\led_flash_cnt[3536][1]~q\ & (\led_flash_cnt[3536][0]~q\ & VCC))
-- \led_flash_cnt[3536][1]~76385\ = CARRY((\led_flash_cnt[3536][1]~q\ & \led_flash_cnt[3536][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3536][1]~q\,
	datab => \led_flash_cnt[3536][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3536][1]~76384_combout\,
	cout => \led_flash_cnt[3536][1]~76385\);

-- Location: FF_X56_Y37_N19
\led_flash_cnt[3536][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3536][1]~76384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3536][1]~q\);

-- Location: LCCOMB_X56_Y37_N20
\led_flash_cnt[3536][2]~76386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3536][2]~76386_combout\ = (\led_flash_cnt[3536][2]~q\ & (!\led_flash_cnt[3536][1]~76385\)) # (!\led_flash_cnt[3536][2]~q\ & ((\led_flash_cnt[3536][1]~76385\) # (GND)))
-- \led_flash_cnt[3536][2]~76387\ = CARRY((!\led_flash_cnt[3536][1]~76385\) # (!\led_flash_cnt[3536][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3536][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3536][1]~76385\,
	combout => \led_flash_cnt[3536][2]~76386_combout\,
	cout => \led_flash_cnt[3536][2]~76387\);

-- Location: FF_X56_Y37_N21
\led_flash_cnt[3536][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3536][2]~76386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3536][2]~q\);

-- Location: LCCOMB_X56_Y37_N22
\led_flash_cnt[3536][3]~76388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3536][3]~76388_combout\ = (\led_flash_cnt[3536][3]~q\ & (\led_flash_cnt[3536][2]~76387\ $ (GND))) # (!\led_flash_cnt[3536][3]~q\ & (!\led_flash_cnt[3536][2]~76387\ & VCC))
-- \led_flash_cnt[3536][3]~76389\ = CARRY((\led_flash_cnt[3536][3]~q\ & !\led_flash_cnt[3536][2]~76387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3536][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3536][2]~76387\,
	combout => \led_flash_cnt[3536][3]~76388_combout\,
	cout => \led_flash_cnt[3536][3]~76389\);

-- Location: FF_X56_Y37_N23
\led_flash_cnt[3536][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3536][3]~76388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3536][3]~q\);

-- Location: LCCOMB_X56_Y37_N24
\led_flash_cnt[3536][4]~76390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3536][4]~76390_combout\ = (\led_flash_cnt[3536][4]~q\ & (!\led_flash_cnt[3536][3]~76389\)) # (!\led_flash_cnt[3536][4]~q\ & ((\led_flash_cnt[3536][3]~76389\) # (GND)))
-- \led_flash_cnt[3536][4]~76391\ = CARRY((!\led_flash_cnt[3536][3]~76389\) # (!\led_flash_cnt[3536][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3536][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3536][3]~76389\,
	combout => \led_flash_cnt[3536][4]~76390_combout\,
	cout => \led_flash_cnt[3536][4]~76391\);

-- Location: FF_X56_Y37_N25
\led_flash_cnt[3536][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3536][4]~76390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3536][4]~q\);

-- Location: LCCOMB_X57_Y37_N20
\WideAnd3536~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3536~0_combout\ = (\led_flash_cnt[3536][4]~q\ & (\led_flash_cnt[3536][3]~q\ & (\led_flash_cnt[3536][1]~q\ & \led_flash_cnt[3536][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3536][4]~q\,
	datab => \led_flash_cnt[3536][3]~q\,
	datac => \led_flash_cnt[3536][1]~q\,
	datad => \led_flash_cnt[3536][2]~q\,
	combout => \WideAnd3536~0_combout\);

-- Location: LCCOMB_X56_Y37_N26
\led_flash_cnt[3536][5]~76392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3536][5]~76392_combout\ = (\led_flash_cnt[3536][5]~q\ & (\led_flash_cnt[3536][4]~76391\ $ (GND))) # (!\led_flash_cnt[3536][5]~q\ & (!\led_flash_cnt[3536][4]~76391\ & VCC))
-- \led_flash_cnt[3536][5]~76393\ = CARRY((\led_flash_cnt[3536][5]~q\ & !\led_flash_cnt[3536][4]~76391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3536][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3536][4]~76391\,
	combout => \led_flash_cnt[3536][5]~76392_combout\,
	cout => \led_flash_cnt[3536][5]~76393\);

-- Location: FF_X56_Y37_N27
\led_flash_cnt[3536][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3536][5]~76392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3536][5]~q\);

-- Location: LCCOMB_X56_Y37_N28
\led_flash_cnt[3536][6]~76394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3536][6]~76394_combout\ = (\led_flash_cnt[3536][6]~q\ & (!\led_flash_cnt[3536][5]~76393\)) # (!\led_flash_cnt[3536][6]~q\ & ((\led_flash_cnt[3536][5]~76393\) # (GND)))
-- \led_flash_cnt[3536][6]~76395\ = CARRY((!\led_flash_cnt[3536][5]~76393\) # (!\led_flash_cnt[3536][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3536][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3536][5]~76393\,
	combout => \led_flash_cnt[3536][6]~76394_combout\,
	cout => \led_flash_cnt[3536][6]~76395\);

-- Location: FF_X56_Y37_N29
\led_flash_cnt[3536][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3536][6]~76394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3536][6]~q\);

-- Location: LCCOMB_X57_Y37_N30
\WideAnd3536~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3536~1_combout\ = (\led_flash_cnt[3536][5]~q\ & \led_flash_cnt[3536][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3536][5]~q\,
	datad => \led_flash_cnt[3536][6]~q\,
	combout => \WideAnd3536~1_combout\);

-- Location: LCCOMB_X56_Y37_N30
\led_flash_cnt[3536][7]~76396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3536][7]~76396_combout\ = \led_flash_cnt[3536][7]~q\ $ (!\led_flash_cnt[3536][6]~76395\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3536][7]~q\,
	cin => \led_flash_cnt[3536][6]~76395\,
	combout => \led_flash_cnt[3536][7]~76396_combout\);

-- Location: FF_X56_Y37_N31
\led_flash_cnt[3536][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3536][7]~76396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3536][7]~q\);

-- Location: LCCOMB_X57_Y37_N16
WideAnd3536 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3536~combout\ = (\led_flash_cnt[3536][0]~q\ & (\WideAnd3536~0_combout\ & (\WideAnd3536~1_combout\ & \led_flash_cnt[3536][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3536][0]~q\,
	datab => \WideAnd3536~0_combout\,
	datac => \WideAnd3536~1_combout\,
	datad => \led_flash_cnt[3536][7]~q\,
	combout => \WideAnd3536~combout\);

-- Location: FF_X57_Y37_N17
\led_flash_cnt_ands[3536]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3536~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3536));

-- Location: LCCOMB_X57_Y37_N18
\WideAnd4282~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4282~0_combout\ = (led_flash_cnt_ands(3537) & (led_flash_cnt_ands(3538) & (led_flash_cnt_ands(3539) & led_flash_cnt_ands(3536))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3537),
	datab => led_flash_cnt_ands(3538),
	datac => led_flash_cnt_ands(3539),
	datad => led_flash_cnt_ands(3536),
	combout => \WideAnd4282~0_combout\);

-- Location: LCCOMB_X57_Y33_N10
WideAnd4282 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4282~combout\ = (led_flash_cnt_ands(3542) & (led_flash_cnt_ands(3543) & (\WideAnd4282~1_combout\ & \WideAnd4282~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3542),
	datab => led_flash_cnt_ands(3543),
	datac => \WideAnd4282~1_combout\,
	datad => \WideAnd4282~0_combout\,
	combout => \WideAnd4282~combout\);

-- Location: FF_X57_Y33_N11
\led_flash_cnt_ands_1[442]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4282~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(442));

-- Location: LCCOMB_X44_Y30_N22
\WideAnd4375~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4375~0_combout\ = (led_flash_cnt_ands_1(443) & (led_flash_cnt_ands_1(441) & (led_flash_cnt_ands_1(440) & led_flash_cnt_ands_1(442))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(443),
	datab => led_flash_cnt_ands_1(441),
	datac => led_flash_cnt_ands_1(440),
	datad => led_flash_cnt_ands_1(442),
	combout => \WideAnd4375~0_combout\);

-- Location: LCCOMB_X13_Y36_N6
\led_flash_cnt[3581][0]~84221\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3581][0]~84221_combout\ = !\led_flash_cnt[3581][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3581][0]~q\,
	combout => \led_flash_cnt[3581][0]~84221_combout\);

-- Location: FF_X13_Y36_N7
\led_flash_cnt[3581][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3581][0]~84221_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3581][0]~q\);

-- Location: LCCOMB_X13_Y36_N14
\led_flash_cnt[3581][1]~77014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3581][1]~77014_combout\ = (\led_flash_cnt[3581][0]~q\ & (\led_flash_cnt[3581][1]~q\ $ (VCC))) # (!\led_flash_cnt[3581][0]~q\ & (\led_flash_cnt[3581][1]~q\ & VCC))
-- \led_flash_cnt[3581][1]~77015\ = CARRY((\led_flash_cnt[3581][0]~q\ & \led_flash_cnt[3581][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3581][0]~q\,
	datab => \led_flash_cnt[3581][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3581][1]~77014_combout\,
	cout => \led_flash_cnt[3581][1]~77015\);

-- Location: FF_X13_Y36_N15
\led_flash_cnt[3581][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3581][1]~77014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3581][1]~q\);

-- Location: LCCOMB_X13_Y36_N16
\led_flash_cnt[3581][2]~77016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3581][2]~77016_combout\ = (\led_flash_cnt[3581][2]~q\ & (!\led_flash_cnt[3581][1]~77015\)) # (!\led_flash_cnt[3581][2]~q\ & ((\led_flash_cnt[3581][1]~77015\) # (GND)))
-- \led_flash_cnt[3581][2]~77017\ = CARRY((!\led_flash_cnt[3581][1]~77015\) # (!\led_flash_cnt[3581][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3581][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3581][1]~77015\,
	combout => \led_flash_cnt[3581][2]~77016_combout\,
	cout => \led_flash_cnt[3581][2]~77017\);

-- Location: FF_X13_Y36_N17
\led_flash_cnt[3581][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3581][2]~77016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3581][2]~q\);

-- Location: LCCOMB_X13_Y36_N18
\led_flash_cnt[3581][3]~77018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3581][3]~77018_combout\ = (\led_flash_cnt[3581][3]~q\ & (\led_flash_cnt[3581][2]~77017\ $ (GND))) # (!\led_flash_cnt[3581][3]~q\ & (!\led_flash_cnt[3581][2]~77017\ & VCC))
-- \led_flash_cnt[3581][3]~77019\ = CARRY((\led_flash_cnt[3581][3]~q\ & !\led_flash_cnt[3581][2]~77017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3581][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3581][2]~77017\,
	combout => \led_flash_cnt[3581][3]~77018_combout\,
	cout => \led_flash_cnt[3581][3]~77019\);

-- Location: FF_X13_Y36_N19
\led_flash_cnt[3581][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3581][3]~77018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3581][3]~q\);

-- Location: LCCOMB_X13_Y36_N20
\led_flash_cnt[3581][4]~77020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3581][4]~77020_combout\ = (\led_flash_cnt[3581][4]~q\ & (!\led_flash_cnt[3581][3]~77019\)) # (!\led_flash_cnt[3581][4]~q\ & ((\led_flash_cnt[3581][3]~77019\) # (GND)))
-- \led_flash_cnt[3581][4]~77021\ = CARRY((!\led_flash_cnt[3581][3]~77019\) # (!\led_flash_cnt[3581][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3581][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3581][3]~77019\,
	combout => \led_flash_cnt[3581][4]~77020_combout\,
	cout => \led_flash_cnt[3581][4]~77021\);

-- Location: FF_X13_Y36_N21
\led_flash_cnt[3581][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3581][4]~77020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3581][4]~q\);

-- Location: LCCOMB_X13_Y36_N22
\led_flash_cnt[3581][5]~77022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3581][5]~77022_combout\ = (\led_flash_cnt[3581][5]~q\ & (\led_flash_cnt[3581][4]~77021\ $ (GND))) # (!\led_flash_cnt[3581][5]~q\ & (!\led_flash_cnt[3581][4]~77021\ & VCC))
-- \led_flash_cnt[3581][5]~77023\ = CARRY((\led_flash_cnt[3581][5]~q\ & !\led_flash_cnt[3581][4]~77021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3581][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3581][4]~77021\,
	combout => \led_flash_cnt[3581][5]~77022_combout\,
	cout => \led_flash_cnt[3581][5]~77023\);

-- Location: FF_X13_Y36_N23
\led_flash_cnt[3581][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3581][5]~77022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3581][5]~q\);

-- Location: LCCOMB_X13_Y36_N24
\led_flash_cnt[3581][6]~77024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3581][6]~77024_combout\ = (\led_flash_cnt[3581][6]~q\ & (!\led_flash_cnt[3581][5]~77023\)) # (!\led_flash_cnt[3581][6]~q\ & ((\led_flash_cnt[3581][5]~77023\) # (GND)))
-- \led_flash_cnt[3581][6]~77025\ = CARRY((!\led_flash_cnt[3581][5]~77023\) # (!\led_flash_cnt[3581][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3581][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3581][5]~77023\,
	combout => \led_flash_cnt[3581][6]~77024_combout\,
	cout => \led_flash_cnt[3581][6]~77025\);

-- Location: FF_X13_Y36_N25
\led_flash_cnt[3581][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3581][6]~77024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3581][6]~q\);

-- Location: LCCOMB_X13_Y36_N26
\led_flash_cnt[3581][7]~77026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3581][7]~77026_combout\ = \led_flash_cnt[3581][7]~q\ $ (!\led_flash_cnt[3581][6]~77025\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3581][7]~q\,
	cin => \led_flash_cnt[3581][6]~77025\,
	combout => \led_flash_cnt[3581][7]~77026_combout\);

-- Location: FF_X13_Y36_N27
\led_flash_cnt[3581][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3581][7]~77026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3581][7]~q\);

-- Location: LCCOMB_X13_Y36_N8
\WideAnd3581~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3581~1_combout\ = (\led_flash_cnt[3581][5]~q\ & \led_flash_cnt[3581][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3581][5]~q\,
	datad => \led_flash_cnt[3581][6]~q\,
	combout => \WideAnd3581~1_combout\);

-- Location: LCCOMB_X13_Y36_N30
\WideAnd3581~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3581~0_combout\ = (\led_flash_cnt[3581][4]~q\ & (\led_flash_cnt[3581][3]~q\ & (\led_flash_cnt[3581][1]~q\ & \led_flash_cnt[3581][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3581][4]~q\,
	datab => \led_flash_cnt[3581][3]~q\,
	datac => \led_flash_cnt[3581][1]~q\,
	datad => \led_flash_cnt[3581][2]~q\,
	combout => \WideAnd3581~0_combout\);

-- Location: LCCOMB_X13_Y36_N4
WideAnd3581 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3581~combout\ = (\led_flash_cnt[3581][7]~q\ & (\WideAnd3581~1_combout\ & (\WideAnd3581~0_combout\ & \led_flash_cnt[3581][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3581][7]~q\,
	datab => \WideAnd3581~1_combout\,
	datac => \WideAnd3581~0_combout\,
	datad => \led_flash_cnt[3581][0]~q\,
	combout => \WideAnd3581~combout\);

-- Location: FF_X13_Y36_N5
\led_flash_cnt_ands[3581]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3581~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3581));

-- Location: LCCOMB_X13_Y36_N2
\led_flash_cnt[3580][0]~84220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3580][0]~84220_combout\ = !\led_flash_cnt[3580][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3580][0]~q\,
	combout => \led_flash_cnt[3580][0]~84220_combout\);

-- Location: FF_X13_Y36_N3
\led_flash_cnt[3580][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3580][0]~84220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3580][0]~q\);

-- Location: LCCOMB_X12_Y36_N16
\led_flash_cnt[3580][1]~77000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3580][1]~77000_combout\ = (\led_flash_cnt[3580][0]~q\ & (\led_flash_cnt[3580][1]~q\ $ (VCC))) # (!\led_flash_cnt[3580][0]~q\ & (\led_flash_cnt[3580][1]~q\ & VCC))
-- \led_flash_cnt[3580][1]~77001\ = CARRY((\led_flash_cnt[3580][0]~q\ & \led_flash_cnt[3580][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3580][0]~q\,
	datab => \led_flash_cnt[3580][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3580][1]~77000_combout\,
	cout => \led_flash_cnt[3580][1]~77001\);

-- Location: FF_X12_Y36_N17
\led_flash_cnt[3580][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3580][1]~77000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3580][1]~q\);

-- Location: LCCOMB_X12_Y36_N18
\led_flash_cnt[3580][2]~77002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3580][2]~77002_combout\ = (\led_flash_cnt[3580][2]~q\ & (!\led_flash_cnt[3580][1]~77001\)) # (!\led_flash_cnt[3580][2]~q\ & ((\led_flash_cnt[3580][1]~77001\) # (GND)))
-- \led_flash_cnt[3580][2]~77003\ = CARRY((!\led_flash_cnt[3580][1]~77001\) # (!\led_flash_cnt[3580][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3580][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3580][1]~77001\,
	combout => \led_flash_cnt[3580][2]~77002_combout\,
	cout => \led_flash_cnt[3580][2]~77003\);

-- Location: FF_X12_Y36_N19
\led_flash_cnt[3580][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3580][2]~77002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3580][2]~q\);

-- Location: LCCOMB_X12_Y36_N20
\led_flash_cnt[3580][3]~77004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3580][3]~77004_combout\ = (\led_flash_cnt[3580][3]~q\ & (\led_flash_cnt[3580][2]~77003\ $ (GND))) # (!\led_flash_cnt[3580][3]~q\ & (!\led_flash_cnt[3580][2]~77003\ & VCC))
-- \led_flash_cnt[3580][3]~77005\ = CARRY((\led_flash_cnt[3580][3]~q\ & !\led_flash_cnt[3580][2]~77003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3580][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3580][2]~77003\,
	combout => \led_flash_cnt[3580][3]~77004_combout\,
	cout => \led_flash_cnt[3580][3]~77005\);

-- Location: FF_X12_Y36_N21
\led_flash_cnt[3580][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3580][3]~77004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3580][3]~q\);

-- Location: LCCOMB_X12_Y36_N22
\led_flash_cnt[3580][4]~77006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3580][4]~77006_combout\ = (\led_flash_cnt[3580][4]~q\ & (!\led_flash_cnt[3580][3]~77005\)) # (!\led_flash_cnt[3580][4]~q\ & ((\led_flash_cnt[3580][3]~77005\) # (GND)))
-- \led_flash_cnt[3580][4]~77007\ = CARRY((!\led_flash_cnt[3580][3]~77005\) # (!\led_flash_cnt[3580][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3580][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3580][3]~77005\,
	combout => \led_flash_cnt[3580][4]~77006_combout\,
	cout => \led_flash_cnt[3580][4]~77007\);

-- Location: FF_X12_Y36_N23
\led_flash_cnt[3580][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3580][4]~77006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3580][4]~q\);

-- Location: LCCOMB_X12_Y36_N24
\led_flash_cnt[3580][5]~77008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3580][5]~77008_combout\ = (\led_flash_cnt[3580][5]~q\ & (\led_flash_cnt[3580][4]~77007\ $ (GND))) # (!\led_flash_cnt[3580][5]~q\ & (!\led_flash_cnt[3580][4]~77007\ & VCC))
-- \led_flash_cnt[3580][5]~77009\ = CARRY((\led_flash_cnt[3580][5]~q\ & !\led_flash_cnt[3580][4]~77007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3580][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3580][4]~77007\,
	combout => \led_flash_cnt[3580][5]~77008_combout\,
	cout => \led_flash_cnt[3580][5]~77009\);

-- Location: FF_X12_Y36_N25
\led_flash_cnt[3580][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3580][5]~77008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3580][5]~q\);

-- Location: LCCOMB_X12_Y36_N26
\led_flash_cnt[3580][6]~77010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3580][6]~77010_combout\ = (\led_flash_cnt[3580][6]~q\ & (!\led_flash_cnt[3580][5]~77009\)) # (!\led_flash_cnt[3580][6]~q\ & ((\led_flash_cnt[3580][5]~77009\) # (GND)))
-- \led_flash_cnt[3580][6]~77011\ = CARRY((!\led_flash_cnt[3580][5]~77009\) # (!\led_flash_cnt[3580][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3580][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3580][5]~77009\,
	combout => \led_flash_cnt[3580][6]~77010_combout\,
	cout => \led_flash_cnt[3580][6]~77011\);

-- Location: FF_X12_Y36_N27
\led_flash_cnt[3580][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3580][6]~77010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3580][6]~q\);

-- Location: LCCOMB_X13_Y36_N10
\WideAnd3580~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3580~1_combout\ = (\led_flash_cnt[3580][6]~q\ & \led_flash_cnt[3580][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3580][6]~q\,
	datad => \led_flash_cnt[3580][5]~q\,
	combout => \WideAnd3580~1_combout\);

-- Location: LCCOMB_X12_Y36_N28
\led_flash_cnt[3580][7]~77012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3580][7]~77012_combout\ = \led_flash_cnt[3580][6]~77011\ $ (!\led_flash_cnt[3580][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3580][7]~q\,
	cin => \led_flash_cnt[3580][6]~77011\,
	combout => \led_flash_cnt[3580][7]~77012_combout\);

-- Location: FF_X12_Y36_N29
\led_flash_cnt[3580][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3580][7]~77012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3580][7]~q\);

-- Location: LCCOMB_X12_Y36_N0
\WideAnd3580~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3580~0_combout\ = (\led_flash_cnt[3580][2]~q\ & (\led_flash_cnt[3580][3]~q\ & (\led_flash_cnt[3580][4]~q\ & \led_flash_cnt[3580][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3580][2]~q\,
	datab => \led_flash_cnt[3580][3]~q\,
	datac => \led_flash_cnt[3580][4]~q\,
	datad => \led_flash_cnt[3580][1]~q\,
	combout => \WideAnd3580~0_combout\);

-- Location: LCCOMB_X13_Y36_N12
WideAnd3580 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3580~combout\ = (\WideAnd3580~1_combout\ & (\led_flash_cnt[3580][7]~q\ & (\WideAnd3580~0_combout\ & \led_flash_cnt[3580][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3580~1_combout\,
	datab => \led_flash_cnt[3580][7]~q\,
	datac => \WideAnd3580~0_combout\,
	datad => \led_flash_cnt[3580][0]~q\,
	combout => \WideAnd3580~combout\);

-- Location: FF_X13_Y36_N13
\led_flash_cnt_ands[3580]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3580~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3580));

-- Location: LCCOMB_X13_Y36_N28
\WideAnd4287~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4287~1_combout\ = (led_flash_cnt_ands(3581) & led_flash_cnt_ands(3580))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3581),
	datad => led_flash_cnt_ands(3580),
	combout => \WideAnd4287~1_combout\);

-- Location: LCCOMB_X14_Y32_N28
\led_flash_cnt[3583][0]~84223\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3583][0]~84223_combout\ = !\led_flash_cnt[3583][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3583][0]~q\,
	combout => \led_flash_cnt[3583][0]~84223_combout\);

-- Location: FF_X14_Y32_N29
\led_flash_cnt[3583][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3583][0]~84223_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3583][0]~q\);

-- Location: LCCOMB_X10_Y32_N0
\led_flash_cnt[3583][1]~77042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3583][1]~77042_combout\ = (\led_flash_cnt[3583][0]~q\ & (\led_flash_cnt[3583][1]~q\ $ (VCC))) # (!\led_flash_cnt[3583][0]~q\ & (\led_flash_cnt[3583][1]~q\ & VCC))
-- \led_flash_cnt[3583][1]~77043\ = CARRY((\led_flash_cnt[3583][0]~q\ & \led_flash_cnt[3583][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3583][0]~q\,
	datab => \led_flash_cnt[3583][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3583][1]~77042_combout\,
	cout => \led_flash_cnt[3583][1]~77043\);

-- Location: FF_X10_Y32_N1
\led_flash_cnt[3583][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3583][1]~77042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3583][1]~q\);

-- Location: LCCOMB_X10_Y32_N2
\led_flash_cnt[3583][2]~77044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3583][2]~77044_combout\ = (\led_flash_cnt[3583][2]~q\ & (!\led_flash_cnt[3583][1]~77043\)) # (!\led_flash_cnt[3583][2]~q\ & ((\led_flash_cnt[3583][1]~77043\) # (GND)))
-- \led_flash_cnt[3583][2]~77045\ = CARRY((!\led_flash_cnt[3583][1]~77043\) # (!\led_flash_cnt[3583][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3583][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3583][1]~77043\,
	combout => \led_flash_cnt[3583][2]~77044_combout\,
	cout => \led_flash_cnt[3583][2]~77045\);

-- Location: FF_X10_Y32_N3
\led_flash_cnt[3583][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3583][2]~77044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3583][2]~q\);

-- Location: LCCOMB_X10_Y32_N4
\led_flash_cnt[3583][3]~77046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3583][3]~77046_combout\ = (\led_flash_cnt[3583][3]~q\ & (\led_flash_cnt[3583][2]~77045\ $ (GND))) # (!\led_flash_cnt[3583][3]~q\ & (!\led_flash_cnt[3583][2]~77045\ & VCC))
-- \led_flash_cnt[3583][3]~77047\ = CARRY((\led_flash_cnt[3583][3]~q\ & !\led_flash_cnt[3583][2]~77045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3583][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3583][2]~77045\,
	combout => \led_flash_cnt[3583][3]~77046_combout\,
	cout => \led_flash_cnt[3583][3]~77047\);

-- Location: FF_X10_Y32_N5
\led_flash_cnt[3583][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3583][3]~77046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3583][3]~q\);

-- Location: LCCOMB_X10_Y32_N6
\led_flash_cnt[3583][4]~77048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3583][4]~77048_combout\ = (\led_flash_cnt[3583][4]~q\ & (!\led_flash_cnt[3583][3]~77047\)) # (!\led_flash_cnt[3583][4]~q\ & ((\led_flash_cnt[3583][3]~77047\) # (GND)))
-- \led_flash_cnt[3583][4]~77049\ = CARRY((!\led_flash_cnt[3583][3]~77047\) # (!\led_flash_cnt[3583][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3583][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3583][3]~77047\,
	combout => \led_flash_cnt[3583][4]~77048_combout\,
	cout => \led_flash_cnt[3583][4]~77049\);

-- Location: FF_X10_Y32_N7
\led_flash_cnt[3583][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3583][4]~77048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3583][4]~q\);

-- Location: LCCOMB_X10_Y32_N16
\WideAnd3583~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3583~0_combout\ = (\led_flash_cnt[3583][4]~q\ & (\led_flash_cnt[3583][2]~q\ & (\led_flash_cnt[3583][3]~q\ & \led_flash_cnt[3583][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3583][4]~q\,
	datab => \led_flash_cnt[3583][2]~q\,
	datac => \led_flash_cnt[3583][3]~q\,
	datad => \led_flash_cnt[3583][1]~q\,
	combout => \WideAnd3583~0_combout\);

-- Location: LCCOMB_X10_Y32_N8
\led_flash_cnt[3583][5]~77050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3583][5]~77050_combout\ = (\led_flash_cnt[3583][5]~q\ & (\led_flash_cnt[3583][4]~77049\ $ (GND))) # (!\led_flash_cnt[3583][5]~q\ & (!\led_flash_cnt[3583][4]~77049\ & VCC))
-- \led_flash_cnt[3583][5]~77051\ = CARRY((\led_flash_cnt[3583][5]~q\ & !\led_flash_cnt[3583][4]~77049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3583][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3583][4]~77049\,
	combout => \led_flash_cnt[3583][5]~77050_combout\,
	cout => \led_flash_cnt[3583][5]~77051\);

-- Location: FF_X10_Y32_N9
\led_flash_cnt[3583][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3583][5]~77050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3583][5]~q\);

-- Location: LCCOMB_X10_Y32_N10
\led_flash_cnt[3583][6]~77052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3583][6]~77052_combout\ = (\led_flash_cnt[3583][6]~q\ & (!\led_flash_cnt[3583][5]~77051\)) # (!\led_flash_cnt[3583][6]~q\ & ((\led_flash_cnt[3583][5]~77051\) # (GND)))
-- \led_flash_cnt[3583][6]~77053\ = CARRY((!\led_flash_cnt[3583][5]~77051\) # (!\led_flash_cnt[3583][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3583][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3583][5]~77051\,
	combout => \led_flash_cnt[3583][6]~77052_combout\,
	cout => \led_flash_cnt[3583][6]~77053\);

-- Location: FF_X10_Y32_N11
\led_flash_cnt[3583][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3583][6]~77052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3583][6]~q\);

-- Location: LCCOMB_X10_Y32_N30
\WideAnd3583~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3583~1_combout\ = (\led_flash_cnt[3583][5]~q\ & \led_flash_cnt[3583][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3583][5]~q\,
	datad => \led_flash_cnt[3583][6]~q\,
	combout => \WideAnd3583~1_combout\);

-- Location: LCCOMB_X10_Y32_N12
\led_flash_cnt[3583][7]~77054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3583][7]~77054_combout\ = \led_flash_cnt[3583][6]~77053\ $ (!\led_flash_cnt[3583][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3583][7]~q\,
	cin => \led_flash_cnt[3583][6]~77053\,
	combout => \led_flash_cnt[3583][7]~77054_combout\);

-- Location: FF_X10_Y32_N13
\led_flash_cnt[3583][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3583][7]~77054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3583][7]~q\);

-- Location: LCCOMB_X10_Y32_N24
WideAnd3583 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3583~combout\ = (\led_flash_cnt[3583][0]~q\ & (\WideAnd3583~0_combout\ & (\WideAnd3583~1_combout\ & \led_flash_cnt[3583][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3583][0]~q\,
	datab => \WideAnd3583~0_combout\,
	datac => \WideAnd3583~1_combout\,
	datad => \led_flash_cnt[3583][7]~q\,
	combout => \WideAnd3583~combout\);

-- Location: FF_X10_Y32_N25
\led_flash_cnt_ands[3583]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3583~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3583));

-- Location: LCCOMB_X11_Y33_N6
\led_flash_cnt[3582][0]~84222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3582][0]~84222_combout\ = !\led_flash_cnt[3582][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3582][0]~q\,
	combout => \led_flash_cnt[3582][0]~84222_combout\);

-- Location: FF_X11_Y33_N7
\led_flash_cnt[3582][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3582][0]~84222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3582][0]~q\);

-- Location: LCCOMB_X12_Y33_N18
\led_flash_cnt[3582][1]~77028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3582][1]~77028_combout\ = (\led_flash_cnt[3582][0]~q\ & (\led_flash_cnt[3582][1]~q\ $ (VCC))) # (!\led_flash_cnt[3582][0]~q\ & (\led_flash_cnt[3582][1]~q\ & VCC))
-- \led_flash_cnt[3582][1]~77029\ = CARRY((\led_flash_cnt[3582][0]~q\ & \led_flash_cnt[3582][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3582][0]~q\,
	datab => \led_flash_cnt[3582][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3582][1]~77028_combout\,
	cout => \led_flash_cnt[3582][1]~77029\);

-- Location: FF_X12_Y33_N19
\led_flash_cnt[3582][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3582][1]~77028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3582][1]~q\);

-- Location: LCCOMB_X12_Y33_N20
\led_flash_cnt[3582][2]~77030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3582][2]~77030_combout\ = (\led_flash_cnt[3582][2]~q\ & (!\led_flash_cnt[3582][1]~77029\)) # (!\led_flash_cnt[3582][2]~q\ & ((\led_flash_cnt[3582][1]~77029\) # (GND)))
-- \led_flash_cnt[3582][2]~77031\ = CARRY((!\led_flash_cnt[3582][1]~77029\) # (!\led_flash_cnt[3582][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3582][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3582][1]~77029\,
	combout => \led_flash_cnt[3582][2]~77030_combout\,
	cout => \led_flash_cnt[3582][2]~77031\);

-- Location: FF_X12_Y33_N21
\led_flash_cnt[3582][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3582][2]~77030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3582][2]~q\);

-- Location: LCCOMB_X12_Y33_N22
\led_flash_cnt[3582][3]~77032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3582][3]~77032_combout\ = (\led_flash_cnt[3582][3]~q\ & (\led_flash_cnt[3582][2]~77031\ $ (GND))) # (!\led_flash_cnt[3582][3]~q\ & (!\led_flash_cnt[3582][2]~77031\ & VCC))
-- \led_flash_cnt[3582][3]~77033\ = CARRY((\led_flash_cnt[3582][3]~q\ & !\led_flash_cnt[3582][2]~77031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3582][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3582][2]~77031\,
	combout => \led_flash_cnt[3582][3]~77032_combout\,
	cout => \led_flash_cnt[3582][3]~77033\);

-- Location: FF_X12_Y33_N23
\led_flash_cnt[3582][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3582][3]~77032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3582][3]~q\);

-- Location: LCCOMB_X12_Y33_N24
\led_flash_cnt[3582][4]~77034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3582][4]~77034_combout\ = (\led_flash_cnt[3582][4]~q\ & (!\led_flash_cnt[3582][3]~77033\)) # (!\led_flash_cnt[3582][4]~q\ & ((\led_flash_cnt[3582][3]~77033\) # (GND)))
-- \led_flash_cnt[3582][4]~77035\ = CARRY((!\led_flash_cnt[3582][3]~77033\) # (!\led_flash_cnt[3582][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3582][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3582][3]~77033\,
	combout => \led_flash_cnt[3582][4]~77034_combout\,
	cout => \led_flash_cnt[3582][4]~77035\);

-- Location: FF_X12_Y33_N25
\led_flash_cnt[3582][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3582][4]~77034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3582][4]~q\);

-- Location: LCCOMB_X12_Y33_N26
\led_flash_cnt[3582][5]~77036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3582][5]~77036_combout\ = (\led_flash_cnt[3582][5]~q\ & (\led_flash_cnt[3582][4]~77035\ $ (GND))) # (!\led_flash_cnt[3582][5]~q\ & (!\led_flash_cnt[3582][4]~77035\ & VCC))
-- \led_flash_cnt[3582][5]~77037\ = CARRY((\led_flash_cnt[3582][5]~q\ & !\led_flash_cnt[3582][4]~77035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3582][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3582][4]~77035\,
	combout => \led_flash_cnt[3582][5]~77036_combout\,
	cout => \led_flash_cnt[3582][5]~77037\);

-- Location: FF_X12_Y33_N27
\led_flash_cnt[3582][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3582][5]~77036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3582][5]~q\);

-- Location: LCCOMB_X12_Y33_N28
\led_flash_cnt[3582][6]~77038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3582][6]~77038_combout\ = (\led_flash_cnt[3582][6]~q\ & (!\led_flash_cnt[3582][5]~77037\)) # (!\led_flash_cnt[3582][6]~q\ & ((\led_flash_cnt[3582][5]~77037\) # (GND)))
-- \led_flash_cnt[3582][6]~77039\ = CARRY((!\led_flash_cnt[3582][5]~77037\) # (!\led_flash_cnt[3582][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3582][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3582][5]~77037\,
	combout => \led_flash_cnt[3582][6]~77038_combout\,
	cout => \led_flash_cnt[3582][6]~77039\);

-- Location: FF_X12_Y33_N29
\led_flash_cnt[3582][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3582][6]~77038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3582][6]~q\);

-- Location: LCCOMB_X11_Y33_N24
\WideAnd3582~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3582~1_combout\ = (\led_flash_cnt[3582][6]~q\ & \led_flash_cnt[3582][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3582][6]~q\,
	datad => \led_flash_cnt[3582][5]~q\,
	combout => \WideAnd3582~1_combout\);

-- Location: LCCOMB_X12_Y33_N30
\led_flash_cnt[3582][7]~77040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3582][7]~77040_combout\ = \led_flash_cnt[3582][7]~q\ $ (!\led_flash_cnt[3582][6]~77039\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3582][7]~q\,
	cin => \led_flash_cnt[3582][6]~77039\,
	combout => \led_flash_cnt[3582][7]~77040_combout\);

-- Location: FF_X12_Y33_N31
\led_flash_cnt[3582][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3582][7]~77040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3582][7]~q\);

-- Location: LCCOMB_X12_Y33_N16
\WideAnd3582~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3582~0_combout\ = (\led_flash_cnt[3582][1]~q\ & (\led_flash_cnt[3582][4]~q\ & (\led_flash_cnt[3582][3]~q\ & \led_flash_cnt[3582][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3582][1]~q\,
	datab => \led_flash_cnt[3582][4]~q\,
	datac => \led_flash_cnt[3582][3]~q\,
	datad => \led_flash_cnt[3582][2]~q\,
	combout => \WideAnd3582~0_combout\);

-- Location: LCCOMB_X11_Y33_N30
WideAnd3582 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3582~combout\ = (\led_flash_cnt[3582][0]~q\ & (\WideAnd3582~1_combout\ & (\led_flash_cnt[3582][7]~q\ & \WideAnd3582~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3582][0]~q\,
	datab => \WideAnd3582~1_combout\,
	datac => \led_flash_cnt[3582][7]~q\,
	datad => \WideAnd3582~0_combout\,
	combout => \WideAnd3582~combout\);

-- Location: FF_X11_Y33_N31
\led_flash_cnt_ands[3582]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3582~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3582));

-- Location: LCCOMB_X16_Y30_N22
\led_flash_cnt[3576][0]~84216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3576][0]~84216_combout\ = !\led_flash_cnt[3576][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3576][0]~q\,
	combout => \led_flash_cnt[3576][0]~84216_combout\);

-- Location: FF_X16_Y30_N23
\led_flash_cnt[3576][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3576][0]~84216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3576][0]~q\);

-- Location: LCCOMB_X16_Y30_N8
\led_flash_cnt[3576][1]~76944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3576][1]~76944_combout\ = (\led_flash_cnt[3576][0]~q\ & (\led_flash_cnt[3576][1]~q\ $ (VCC))) # (!\led_flash_cnt[3576][0]~q\ & (\led_flash_cnt[3576][1]~q\ & VCC))
-- \led_flash_cnt[3576][1]~76945\ = CARRY((\led_flash_cnt[3576][0]~q\ & \led_flash_cnt[3576][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3576][0]~q\,
	datab => \led_flash_cnt[3576][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3576][1]~76944_combout\,
	cout => \led_flash_cnt[3576][1]~76945\);

-- Location: FF_X16_Y30_N9
\led_flash_cnt[3576][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3576][1]~76944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3576][1]~q\);

-- Location: LCCOMB_X16_Y30_N10
\led_flash_cnt[3576][2]~76946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3576][2]~76946_combout\ = (\led_flash_cnt[3576][2]~q\ & (!\led_flash_cnt[3576][1]~76945\)) # (!\led_flash_cnt[3576][2]~q\ & ((\led_flash_cnt[3576][1]~76945\) # (GND)))
-- \led_flash_cnt[3576][2]~76947\ = CARRY((!\led_flash_cnt[3576][1]~76945\) # (!\led_flash_cnt[3576][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3576][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3576][1]~76945\,
	combout => \led_flash_cnt[3576][2]~76946_combout\,
	cout => \led_flash_cnt[3576][2]~76947\);

-- Location: FF_X16_Y30_N11
\led_flash_cnt[3576][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3576][2]~76946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3576][2]~q\);

-- Location: LCCOMB_X16_Y30_N12
\led_flash_cnt[3576][3]~76948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3576][3]~76948_combout\ = (\led_flash_cnt[3576][3]~q\ & (\led_flash_cnt[3576][2]~76947\ $ (GND))) # (!\led_flash_cnt[3576][3]~q\ & (!\led_flash_cnt[3576][2]~76947\ & VCC))
-- \led_flash_cnt[3576][3]~76949\ = CARRY((\led_flash_cnt[3576][3]~q\ & !\led_flash_cnt[3576][2]~76947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3576][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3576][2]~76947\,
	combout => \led_flash_cnt[3576][3]~76948_combout\,
	cout => \led_flash_cnt[3576][3]~76949\);

-- Location: FF_X16_Y30_N13
\led_flash_cnt[3576][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3576][3]~76948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3576][3]~q\);

-- Location: LCCOMB_X16_Y30_N14
\led_flash_cnt[3576][4]~76950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3576][4]~76950_combout\ = (\led_flash_cnt[3576][4]~q\ & (!\led_flash_cnt[3576][3]~76949\)) # (!\led_flash_cnt[3576][4]~q\ & ((\led_flash_cnt[3576][3]~76949\) # (GND)))
-- \led_flash_cnt[3576][4]~76951\ = CARRY((!\led_flash_cnt[3576][3]~76949\) # (!\led_flash_cnt[3576][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3576][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3576][3]~76949\,
	combout => \led_flash_cnt[3576][4]~76950_combout\,
	cout => \led_flash_cnt[3576][4]~76951\);

-- Location: FF_X16_Y30_N15
\led_flash_cnt[3576][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3576][4]~76950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3576][4]~q\);

-- Location: LCCOMB_X16_Y30_N30
\WideAnd3576~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3576~0_combout\ = (\led_flash_cnt[3576][2]~q\ & (\led_flash_cnt[3576][1]~q\ & (\led_flash_cnt[3576][4]~q\ & \led_flash_cnt[3576][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3576][2]~q\,
	datab => \led_flash_cnt[3576][1]~q\,
	datac => \led_flash_cnt[3576][4]~q\,
	datad => \led_flash_cnt[3576][3]~q\,
	combout => \WideAnd3576~0_combout\);

-- Location: LCCOMB_X16_Y30_N16
\led_flash_cnt[3576][5]~76952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3576][5]~76952_combout\ = (\led_flash_cnt[3576][5]~q\ & (\led_flash_cnt[3576][4]~76951\ $ (GND))) # (!\led_flash_cnt[3576][5]~q\ & (!\led_flash_cnt[3576][4]~76951\ & VCC))
-- \led_flash_cnt[3576][5]~76953\ = CARRY((\led_flash_cnt[3576][5]~q\ & !\led_flash_cnt[3576][4]~76951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3576][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3576][4]~76951\,
	combout => \led_flash_cnt[3576][5]~76952_combout\,
	cout => \led_flash_cnt[3576][5]~76953\);

-- Location: FF_X16_Y30_N17
\led_flash_cnt[3576][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3576][5]~76952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3576][5]~q\);

-- Location: LCCOMB_X16_Y30_N18
\led_flash_cnt[3576][6]~76954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3576][6]~76954_combout\ = (\led_flash_cnt[3576][6]~q\ & (!\led_flash_cnt[3576][5]~76953\)) # (!\led_flash_cnt[3576][6]~q\ & ((\led_flash_cnt[3576][5]~76953\) # (GND)))
-- \led_flash_cnt[3576][6]~76955\ = CARRY((!\led_flash_cnt[3576][5]~76953\) # (!\led_flash_cnt[3576][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3576][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3576][5]~76953\,
	combout => \led_flash_cnt[3576][6]~76954_combout\,
	cout => \led_flash_cnt[3576][6]~76955\);

-- Location: FF_X16_Y30_N19
\led_flash_cnt[3576][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3576][6]~76954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3576][6]~q\);

-- Location: LCCOMB_X16_Y30_N20
\led_flash_cnt[3576][7]~76956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3576][7]~76956_combout\ = \led_flash_cnt[3576][6]~76955\ $ (!\led_flash_cnt[3576][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3576][7]~q\,
	cin => \led_flash_cnt[3576][6]~76955\,
	combout => \led_flash_cnt[3576][7]~76956_combout\);

-- Location: FF_X16_Y30_N21
\led_flash_cnt[3576][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3576][7]~76956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3576][7]~q\);

-- Location: LCCOMB_X16_Y30_N24
\WideAnd3576~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3576~1_combout\ = (\led_flash_cnt[3576][5]~q\ & \led_flash_cnt[3576][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3576][5]~q\,
	datad => \led_flash_cnt[3576][6]~q\,
	combout => \WideAnd3576~1_combout\);

-- Location: LCCOMB_X16_Y30_N0
WideAnd3576 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3576~combout\ = (\WideAnd3576~0_combout\ & (\led_flash_cnt[3576][7]~q\ & (\led_flash_cnt[3576][0]~q\ & \WideAnd3576~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3576~0_combout\,
	datab => \led_flash_cnt[3576][7]~q\,
	datac => \led_flash_cnt[3576][0]~q\,
	datad => \WideAnd3576~1_combout\,
	combout => \WideAnd3576~combout\);

-- Location: FF_X16_Y30_N1
\led_flash_cnt_ands[3576]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3576~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3576));

-- Location: LCCOMB_X11_Y32_N24
\led_flash_cnt[3579][0]~84219\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3579][0]~84219_combout\ = !\led_flash_cnt[3579][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3579][0]~q\,
	combout => \led_flash_cnt[3579][0]~84219_combout\);

-- Location: FF_X11_Y32_N25
\led_flash_cnt[3579][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3579][0]~84219_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3579][0]~q\);

-- Location: LCCOMB_X12_Y32_N0
\led_flash_cnt[3579][1]~76986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3579][1]~76986_combout\ = (\led_flash_cnt[3579][0]~q\ & (\led_flash_cnt[3579][1]~q\ $ (VCC))) # (!\led_flash_cnt[3579][0]~q\ & (\led_flash_cnt[3579][1]~q\ & VCC))
-- \led_flash_cnt[3579][1]~76987\ = CARRY((\led_flash_cnt[3579][0]~q\ & \led_flash_cnt[3579][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3579][0]~q\,
	datab => \led_flash_cnt[3579][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3579][1]~76986_combout\,
	cout => \led_flash_cnt[3579][1]~76987\);

-- Location: FF_X12_Y32_N1
\led_flash_cnt[3579][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3579][1]~76986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3579][1]~q\);

-- Location: LCCOMB_X12_Y32_N2
\led_flash_cnt[3579][2]~76988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3579][2]~76988_combout\ = (\led_flash_cnt[3579][2]~q\ & (!\led_flash_cnt[3579][1]~76987\)) # (!\led_flash_cnt[3579][2]~q\ & ((\led_flash_cnt[3579][1]~76987\) # (GND)))
-- \led_flash_cnt[3579][2]~76989\ = CARRY((!\led_flash_cnt[3579][1]~76987\) # (!\led_flash_cnt[3579][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3579][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3579][1]~76987\,
	combout => \led_flash_cnt[3579][2]~76988_combout\,
	cout => \led_flash_cnt[3579][2]~76989\);

-- Location: FF_X12_Y32_N3
\led_flash_cnt[3579][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3579][2]~76988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3579][2]~q\);

-- Location: LCCOMB_X12_Y32_N4
\led_flash_cnt[3579][3]~76990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3579][3]~76990_combout\ = (\led_flash_cnt[3579][3]~q\ & (\led_flash_cnt[3579][2]~76989\ $ (GND))) # (!\led_flash_cnt[3579][3]~q\ & (!\led_flash_cnt[3579][2]~76989\ & VCC))
-- \led_flash_cnt[3579][3]~76991\ = CARRY((\led_flash_cnt[3579][3]~q\ & !\led_flash_cnt[3579][2]~76989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3579][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3579][2]~76989\,
	combout => \led_flash_cnt[3579][3]~76990_combout\,
	cout => \led_flash_cnt[3579][3]~76991\);

-- Location: FF_X12_Y32_N5
\led_flash_cnt[3579][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3579][3]~76990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3579][3]~q\);

-- Location: LCCOMB_X12_Y32_N6
\led_flash_cnt[3579][4]~76992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3579][4]~76992_combout\ = (\led_flash_cnt[3579][4]~q\ & (!\led_flash_cnt[3579][3]~76991\)) # (!\led_flash_cnt[3579][4]~q\ & ((\led_flash_cnt[3579][3]~76991\) # (GND)))
-- \led_flash_cnt[3579][4]~76993\ = CARRY((!\led_flash_cnt[3579][3]~76991\) # (!\led_flash_cnt[3579][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3579][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3579][3]~76991\,
	combout => \led_flash_cnt[3579][4]~76992_combout\,
	cout => \led_flash_cnt[3579][4]~76993\);

-- Location: FF_X12_Y32_N7
\led_flash_cnt[3579][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3579][4]~76992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3579][4]~q\);

-- Location: LCCOMB_X12_Y32_N8
\led_flash_cnt[3579][5]~76994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3579][5]~76994_combout\ = (\led_flash_cnt[3579][5]~q\ & (\led_flash_cnt[3579][4]~76993\ $ (GND))) # (!\led_flash_cnt[3579][5]~q\ & (!\led_flash_cnt[3579][4]~76993\ & VCC))
-- \led_flash_cnt[3579][5]~76995\ = CARRY((\led_flash_cnt[3579][5]~q\ & !\led_flash_cnt[3579][4]~76993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3579][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3579][4]~76993\,
	combout => \led_flash_cnt[3579][5]~76994_combout\,
	cout => \led_flash_cnt[3579][5]~76995\);

-- Location: FF_X12_Y32_N9
\led_flash_cnt[3579][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3579][5]~76994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3579][5]~q\);

-- Location: LCCOMB_X12_Y32_N10
\led_flash_cnt[3579][6]~76996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3579][6]~76996_combout\ = (\led_flash_cnt[3579][6]~q\ & (!\led_flash_cnt[3579][5]~76995\)) # (!\led_flash_cnt[3579][6]~q\ & ((\led_flash_cnt[3579][5]~76995\) # (GND)))
-- \led_flash_cnt[3579][6]~76997\ = CARRY((!\led_flash_cnt[3579][5]~76995\) # (!\led_flash_cnt[3579][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3579][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3579][5]~76995\,
	combout => \led_flash_cnt[3579][6]~76996_combout\,
	cout => \led_flash_cnt[3579][6]~76997\);

-- Location: FF_X12_Y32_N11
\led_flash_cnt[3579][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3579][6]~76996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3579][6]~q\);

-- Location: LCCOMB_X11_Y32_N22
\WideAnd3579~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3579~1_combout\ = (\led_flash_cnt[3579][6]~q\ & \led_flash_cnt[3579][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3579][6]~q\,
	datac => \led_flash_cnt[3579][5]~q\,
	combout => \WideAnd3579~1_combout\);

-- Location: LCCOMB_X12_Y32_N12
\led_flash_cnt[3579][7]~76998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3579][7]~76998_combout\ = \led_flash_cnt[3579][6]~76997\ $ (!\led_flash_cnt[3579][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3579][7]~q\,
	cin => \led_flash_cnt[3579][6]~76997\,
	combout => \led_flash_cnt[3579][7]~76998_combout\);

-- Location: FF_X12_Y32_N13
\led_flash_cnt[3579][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3579][7]~76998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3579][7]~q\);

-- Location: LCCOMB_X12_Y32_N16
\WideAnd3579~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3579~0_combout\ = (\led_flash_cnt[3579][4]~q\ & (\led_flash_cnt[3579][1]~q\ & (\led_flash_cnt[3579][3]~q\ & \led_flash_cnt[3579][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3579][4]~q\,
	datab => \led_flash_cnt[3579][1]~q\,
	datac => \led_flash_cnt[3579][3]~q\,
	datad => \led_flash_cnt[3579][2]~q\,
	combout => \WideAnd3579~0_combout\);

-- Location: LCCOMB_X11_Y32_N28
WideAnd3579 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3579~combout\ = (\WideAnd3579~1_combout\ & (\led_flash_cnt[3579][0]~q\ & (\led_flash_cnt[3579][7]~q\ & \WideAnd3579~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3579~1_combout\,
	datab => \led_flash_cnt[3579][0]~q\,
	datac => \led_flash_cnt[3579][7]~q\,
	datad => \WideAnd3579~0_combout\,
	combout => \WideAnd3579~combout\);

-- Location: FF_X11_Y32_N29
\led_flash_cnt_ands[3579]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3579~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3579));

-- Location: LCCOMB_X11_Y33_N26
\led_flash_cnt[3577][0]~84217\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3577][0]~84217_combout\ = !\led_flash_cnt[3577][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3577][0]~q\,
	combout => \led_flash_cnt[3577][0]~84217_combout\);

-- Location: FF_X11_Y33_N27
\led_flash_cnt[3577][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3577][0]~84217_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3577][0]~q\);

-- Location: LCCOMB_X11_Y33_N8
\led_flash_cnt[3577][1]~76958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3577][1]~76958_combout\ = (\led_flash_cnt[3577][0]~q\ & (\led_flash_cnt[3577][1]~q\ $ (VCC))) # (!\led_flash_cnt[3577][0]~q\ & (\led_flash_cnt[3577][1]~q\ & VCC))
-- \led_flash_cnt[3577][1]~76959\ = CARRY((\led_flash_cnt[3577][0]~q\ & \led_flash_cnt[3577][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3577][0]~q\,
	datab => \led_flash_cnt[3577][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3577][1]~76958_combout\,
	cout => \led_flash_cnt[3577][1]~76959\);

-- Location: FF_X11_Y33_N9
\led_flash_cnt[3577][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3577][1]~76958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3577][1]~q\);

-- Location: LCCOMB_X11_Y33_N10
\led_flash_cnt[3577][2]~76960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3577][2]~76960_combout\ = (\led_flash_cnt[3577][2]~q\ & (!\led_flash_cnt[3577][1]~76959\)) # (!\led_flash_cnt[3577][2]~q\ & ((\led_flash_cnt[3577][1]~76959\) # (GND)))
-- \led_flash_cnt[3577][2]~76961\ = CARRY((!\led_flash_cnt[3577][1]~76959\) # (!\led_flash_cnt[3577][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3577][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3577][1]~76959\,
	combout => \led_flash_cnt[3577][2]~76960_combout\,
	cout => \led_flash_cnt[3577][2]~76961\);

-- Location: FF_X11_Y33_N11
\led_flash_cnt[3577][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3577][2]~76960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3577][2]~q\);

-- Location: LCCOMB_X11_Y33_N12
\led_flash_cnt[3577][3]~76962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3577][3]~76962_combout\ = (\led_flash_cnt[3577][3]~q\ & (\led_flash_cnt[3577][2]~76961\ $ (GND))) # (!\led_flash_cnt[3577][3]~q\ & (!\led_flash_cnt[3577][2]~76961\ & VCC))
-- \led_flash_cnt[3577][3]~76963\ = CARRY((\led_flash_cnt[3577][3]~q\ & !\led_flash_cnt[3577][2]~76961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3577][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3577][2]~76961\,
	combout => \led_flash_cnt[3577][3]~76962_combout\,
	cout => \led_flash_cnt[3577][3]~76963\);

-- Location: FF_X11_Y33_N13
\led_flash_cnt[3577][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3577][3]~76962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3577][3]~q\);

-- Location: LCCOMB_X11_Y33_N14
\led_flash_cnt[3577][4]~76964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3577][4]~76964_combout\ = (\led_flash_cnt[3577][4]~q\ & (!\led_flash_cnt[3577][3]~76963\)) # (!\led_flash_cnt[3577][4]~q\ & ((\led_flash_cnt[3577][3]~76963\) # (GND)))
-- \led_flash_cnt[3577][4]~76965\ = CARRY((!\led_flash_cnt[3577][3]~76963\) # (!\led_flash_cnt[3577][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3577][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3577][3]~76963\,
	combout => \led_flash_cnt[3577][4]~76964_combout\,
	cout => \led_flash_cnt[3577][4]~76965\);

-- Location: FF_X11_Y33_N15
\led_flash_cnt[3577][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3577][4]~76964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3577][4]~q\);

-- Location: LCCOMB_X11_Y33_N22
\WideAnd3577~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3577~0_combout\ = (\led_flash_cnt[3577][2]~q\ & (\led_flash_cnt[3577][4]~q\ & (\led_flash_cnt[3577][1]~q\ & \led_flash_cnt[3577][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3577][2]~q\,
	datab => \led_flash_cnt[3577][4]~q\,
	datac => \led_flash_cnt[3577][1]~q\,
	datad => \led_flash_cnt[3577][3]~q\,
	combout => \WideAnd3577~0_combout\);

-- Location: LCCOMB_X11_Y33_N16
\led_flash_cnt[3577][5]~76966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3577][5]~76966_combout\ = (\led_flash_cnt[3577][5]~q\ & (\led_flash_cnt[3577][4]~76965\ $ (GND))) # (!\led_flash_cnt[3577][5]~q\ & (!\led_flash_cnt[3577][4]~76965\ & VCC))
-- \led_flash_cnt[3577][5]~76967\ = CARRY((\led_flash_cnt[3577][5]~q\ & !\led_flash_cnt[3577][4]~76965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3577][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3577][4]~76965\,
	combout => \led_flash_cnt[3577][5]~76966_combout\,
	cout => \led_flash_cnt[3577][5]~76967\);

-- Location: FF_X11_Y33_N17
\led_flash_cnt[3577][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3577][5]~76966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3577][5]~q\);

-- Location: LCCOMB_X11_Y33_N18
\led_flash_cnt[3577][6]~76968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3577][6]~76968_combout\ = (\led_flash_cnt[3577][6]~q\ & (!\led_flash_cnt[3577][5]~76967\)) # (!\led_flash_cnt[3577][6]~q\ & ((\led_flash_cnt[3577][5]~76967\) # (GND)))
-- \led_flash_cnt[3577][6]~76969\ = CARRY((!\led_flash_cnt[3577][5]~76967\) # (!\led_flash_cnt[3577][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3577][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3577][5]~76967\,
	combout => \led_flash_cnt[3577][6]~76968_combout\,
	cout => \led_flash_cnt[3577][6]~76969\);

-- Location: FF_X11_Y33_N19
\led_flash_cnt[3577][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3577][6]~76968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3577][6]~q\);

-- Location: LCCOMB_X11_Y33_N20
\led_flash_cnt[3577][7]~76970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3577][7]~76970_combout\ = \led_flash_cnt[3577][6]~76969\ $ (!\led_flash_cnt[3577][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3577][7]~q\,
	cin => \led_flash_cnt[3577][6]~76969\,
	combout => \led_flash_cnt[3577][7]~76970_combout\);

-- Location: FF_X11_Y33_N21
\led_flash_cnt[3577][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3577][7]~76970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3577][7]~q\);

-- Location: LCCOMB_X11_Y33_N2
\WideAnd3577~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3577~1_combout\ = (\led_flash_cnt[3577][6]~q\ & \led_flash_cnt[3577][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3577][6]~q\,
	datad => \led_flash_cnt[3577][5]~q\,
	combout => \WideAnd3577~1_combout\);

-- Location: LCCOMB_X11_Y33_N4
WideAnd3577 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3577~combout\ = (\WideAnd3577~0_combout\ & (\led_flash_cnt[3577][7]~q\ & (\led_flash_cnt[3577][0]~q\ & \WideAnd3577~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3577~0_combout\,
	datab => \led_flash_cnt[3577][7]~q\,
	datac => \led_flash_cnt[3577][0]~q\,
	datad => \WideAnd3577~1_combout\,
	combout => \WideAnd3577~combout\);

-- Location: FF_X11_Y33_N5
\led_flash_cnt_ands[3577]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3577~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3577));

-- Location: LCCOMB_X11_Y32_N30
\led_flash_cnt[3578][0]~84218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3578][0]~84218_combout\ = !\led_flash_cnt[3578][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3578][0]~q\,
	combout => \led_flash_cnt[3578][0]~84218_combout\);

-- Location: FF_X11_Y32_N31
\led_flash_cnt[3578][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3578][0]~84218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3578][0]~q\);

-- Location: LCCOMB_X11_Y32_N0
\led_flash_cnt[3578][1]~76972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3578][1]~76972_combout\ = (\led_flash_cnt[3578][0]~q\ & (\led_flash_cnt[3578][1]~q\ $ (VCC))) # (!\led_flash_cnt[3578][0]~q\ & (\led_flash_cnt[3578][1]~q\ & VCC))
-- \led_flash_cnt[3578][1]~76973\ = CARRY((\led_flash_cnt[3578][0]~q\ & \led_flash_cnt[3578][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3578][0]~q\,
	datab => \led_flash_cnt[3578][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3578][1]~76972_combout\,
	cout => \led_flash_cnt[3578][1]~76973\);

-- Location: FF_X11_Y32_N1
\led_flash_cnt[3578][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3578][1]~76972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3578][1]~q\);

-- Location: LCCOMB_X11_Y32_N2
\led_flash_cnt[3578][2]~76974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3578][2]~76974_combout\ = (\led_flash_cnt[3578][2]~q\ & (!\led_flash_cnt[3578][1]~76973\)) # (!\led_flash_cnt[3578][2]~q\ & ((\led_flash_cnt[3578][1]~76973\) # (GND)))
-- \led_flash_cnt[3578][2]~76975\ = CARRY((!\led_flash_cnt[3578][1]~76973\) # (!\led_flash_cnt[3578][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3578][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3578][1]~76973\,
	combout => \led_flash_cnt[3578][2]~76974_combout\,
	cout => \led_flash_cnt[3578][2]~76975\);

-- Location: FF_X11_Y32_N3
\led_flash_cnt[3578][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3578][2]~76974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3578][2]~q\);

-- Location: LCCOMB_X11_Y32_N4
\led_flash_cnt[3578][3]~76976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3578][3]~76976_combout\ = (\led_flash_cnt[3578][3]~q\ & (\led_flash_cnt[3578][2]~76975\ $ (GND))) # (!\led_flash_cnt[3578][3]~q\ & (!\led_flash_cnt[3578][2]~76975\ & VCC))
-- \led_flash_cnt[3578][3]~76977\ = CARRY((\led_flash_cnt[3578][3]~q\ & !\led_flash_cnt[3578][2]~76975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3578][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3578][2]~76975\,
	combout => \led_flash_cnt[3578][3]~76976_combout\,
	cout => \led_flash_cnt[3578][3]~76977\);

-- Location: FF_X11_Y32_N5
\led_flash_cnt[3578][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3578][3]~76976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3578][3]~q\);

-- Location: LCCOMB_X11_Y32_N6
\led_flash_cnt[3578][4]~76978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3578][4]~76978_combout\ = (\led_flash_cnt[3578][4]~q\ & (!\led_flash_cnt[3578][3]~76977\)) # (!\led_flash_cnt[3578][4]~q\ & ((\led_flash_cnt[3578][3]~76977\) # (GND)))
-- \led_flash_cnt[3578][4]~76979\ = CARRY((!\led_flash_cnt[3578][3]~76977\) # (!\led_flash_cnt[3578][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3578][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3578][3]~76977\,
	combout => \led_flash_cnt[3578][4]~76978_combout\,
	cout => \led_flash_cnt[3578][4]~76979\);

-- Location: FF_X11_Y32_N7
\led_flash_cnt[3578][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3578][4]~76978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3578][4]~q\);

-- Location: LCCOMB_X11_Y32_N26
\WideAnd3578~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3578~0_combout\ = (\led_flash_cnt[3578][4]~q\ & (\led_flash_cnt[3578][2]~q\ & (\led_flash_cnt[3578][3]~q\ & \led_flash_cnt[3578][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3578][4]~q\,
	datab => \led_flash_cnt[3578][2]~q\,
	datac => \led_flash_cnt[3578][3]~q\,
	datad => \led_flash_cnt[3578][1]~q\,
	combout => \WideAnd3578~0_combout\);

-- Location: LCCOMB_X11_Y32_N8
\led_flash_cnt[3578][5]~76980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3578][5]~76980_combout\ = (\led_flash_cnt[3578][5]~q\ & (\led_flash_cnt[3578][4]~76979\ $ (GND))) # (!\led_flash_cnt[3578][5]~q\ & (!\led_flash_cnt[3578][4]~76979\ & VCC))
-- \led_flash_cnt[3578][5]~76981\ = CARRY((\led_flash_cnt[3578][5]~q\ & !\led_flash_cnt[3578][4]~76979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3578][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3578][4]~76979\,
	combout => \led_flash_cnt[3578][5]~76980_combout\,
	cout => \led_flash_cnt[3578][5]~76981\);

-- Location: FF_X11_Y32_N9
\led_flash_cnt[3578][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3578][5]~76980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3578][5]~q\);

-- Location: LCCOMB_X11_Y32_N10
\led_flash_cnt[3578][6]~76982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3578][6]~76982_combout\ = (\led_flash_cnt[3578][6]~q\ & (!\led_flash_cnt[3578][5]~76981\)) # (!\led_flash_cnt[3578][6]~q\ & ((\led_flash_cnt[3578][5]~76981\) # (GND)))
-- \led_flash_cnt[3578][6]~76983\ = CARRY((!\led_flash_cnt[3578][5]~76981\) # (!\led_flash_cnt[3578][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3578][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3578][5]~76981\,
	combout => \led_flash_cnt[3578][6]~76982_combout\,
	cout => \led_flash_cnt[3578][6]~76983\);

-- Location: FF_X11_Y32_N11
\led_flash_cnt[3578][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3578][6]~76982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3578][6]~q\);

-- Location: LCCOMB_X11_Y32_N16
\WideAnd3578~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3578~1_combout\ = (\led_flash_cnt[3578][5]~q\ & \led_flash_cnt[3578][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3578][5]~q\,
	datad => \led_flash_cnt[3578][6]~q\,
	combout => \WideAnd3578~1_combout\);

-- Location: LCCOMB_X11_Y32_N12
\led_flash_cnt[3578][7]~76984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3578][7]~76984_combout\ = \led_flash_cnt[3578][6]~76983\ $ (!\led_flash_cnt[3578][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3578][7]~q\,
	cin => \led_flash_cnt[3578][6]~76983\,
	combout => \led_flash_cnt[3578][7]~76984_combout\);

-- Location: FF_X11_Y32_N13
\led_flash_cnt[3578][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3578][7]~76984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3578][7]~q\);

-- Location: LCCOMB_X11_Y32_N18
WideAnd3578 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3578~combout\ = (\WideAnd3578~0_combout\ & (\WideAnd3578~1_combout\ & (\led_flash_cnt[3578][0]~q\ & \led_flash_cnt[3578][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3578~0_combout\,
	datab => \WideAnd3578~1_combout\,
	datac => \led_flash_cnt[3578][0]~q\,
	datad => \led_flash_cnt[3578][7]~q\,
	combout => \WideAnd3578~combout\);

-- Location: FF_X11_Y32_N19
\led_flash_cnt_ands[3578]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3578~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3578));

-- Location: LCCOMB_X11_Y32_N20
\WideAnd4287~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4287~0_combout\ = (led_flash_cnt_ands(3576) & (led_flash_cnt_ands(3579) & (led_flash_cnt_ands(3577) & led_flash_cnt_ands(3578))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3576),
	datab => led_flash_cnt_ands(3579),
	datac => led_flash_cnt_ands(3577),
	datad => led_flash_cnt_ands(3578),
	combout => \WideAnd4287~0_combout\);

-- Location: LCCOMB_X11_Y32_N14
WideAnd4287 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4287~combout\ = (\WideAnd4287~1_combout\ & (led_flash_cnt_ands(3583) & (led_flash_cnt_ands(3582) & \WideAnd4287~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4287~1_combout\,
	datab => led_flash_cnt_ands(3583),
	datac => led_flash_cnt_ands(3582),
	datad => \WideAnd4287~0_combout\,
	combout => \WideAnd4287~combout\);

-- Location: FF_X11_Y32_N15
\led_flash_cnt_ands_1[447]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4287~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(447));

-- Location: LCCOMB_X30_Y32_N22
\led_flash_cnt[3559][0]~84199\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3559][0]~84199_combout\ = !\led_flash_cnt[3559][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3559][0]~q\,
	combout => \led_flash_cnt[3559][0]~84199_combout\);

-- Location: FF_X30_Y32_N23
\led_flash_cnt[3559][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3559][0]~84199_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3559][0]~q\);

-- Location: LCCOMB_X30_Y32_N4
\led_flash_cnt[3559][1]~76706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3559][1]~76706_combout\ = (\led_flash_cnt[3559][0]~q\ & (\led_flash_cnt[3559][1]~q\ $ (VCC))) # (!\led_flash_cnt[3559][0]~q\ & (\led_flash_cnt[3559][1]~q\ & VCC))
-- \led_flash_cnt[3559][1]~76707\ = CARRY((\led_flash_cnt[3559][0]~q\ & \led_flash_cnt[3559][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3559][0]~q\,
	datab => \led_flash_cnt[3559][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3559][1]~76706_combout\,
	cout => \led_flash_cnt[3559][1]~76707\);

-- Location: FF_X30_Y32_N5
\led_flash_cnt[3559][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3559][1]~76706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3559][1]~q\);

-- Location: LCCOMB_X30_Y32_N6
\led_flash_cnt[3559][2]~76708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3559][2]~76708_combout\ = (\led_flash_cnt[3559][2]~q\ & (!\led_flash_cnt[3559][1]~76707\)) # (!\led_flash_cnt[3559][2]~q\ & ((\led_flash_cnt[3559][1]~76707\) # (GND)))
-- \led_flash_cnt[3559][2]~76709\ = CARRY((!\led_flash_cnt[3559][1]~76707\) # (!\led_flash_cnt[3559][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3559][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3559][1]~76707\,
	combout => \led_flash_cnt[3559][2]~76708_combout\,
	cout => \led_flash_cnt[3559][2]~76709\);

-- Location: FF_X30_Y32_N7
\led_flash_cnt[3559][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3559][2]~76708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3559][2]~q\);

-- Location: LCCOMB_X30_Y32_N8
\led_flash_cnt[3559][3]~76710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3559][3]~76710_combout\ = (\led_flash_cnt[3559][3]~q\ & (\led_flash_cnt[3559][2]~76709\ $ (GND))) # (!\led_flash_cnt[3559][3]~q\ & (!\led_flash_cnt[3559][2]~76709\ & VCC))
-- \led_flash_cnt[3559][3]~76711\ = CARRY((\led_flash_cnt[3559][3]~q\ & !\led_flash_cnt[3559][2]~76709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3559][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3559][2]~76709\,
	combout => \led_flash_cnt[3559][3]~76710_combout\,
	cout => \led_flash_cnt[3559][3]~76711\);

-- Location: FF_X30_Y32_N9
\led_flash_cnt[3559][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3559][3]~76710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3559][3]~q\);

-- Location: LCCOMB_X30_Y32_N10
\led_flash_cnt[3559][4]~76712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3559][4]~76712_combout\ = (\led_flash_cnt[3559][4]~q\ & (!\led_flash_cnt[3559][3]~76711\)) # (!\led_flash_cnt[3559][4]~q\ & ((\led_flash_cnt[3559][3]~76711\) # (GND)))
-- \led_flash_cnt[3559][4]~76713\ = CARRY((!\led_flash_cnt[3559][3]~76711\) # (!\led_flash_cnt[3559][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3559][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3559][3]~76711\,
	combout => \led_flash_cnt[3559][4]~76712_combout\,
	cout => \led_flash_cnt[3559][4]~76713\);

-- Location: FF_X30_Y32_N11
\led_flash_cnt[3559][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3559][4]~76712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3559][4]~q\);

-- Location: LCCOMB_X30_Y32_N12
\led_flash_cnt[3559][5]~76714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3559][5]~76714_combout\ = (\led_flash_cnt[3559][5]~q\ & (\led_flash_cnt[3559][4]~76713\ $ (GND))) # (!\led_flash_cnt[3559][5]~q\ & (!\led_flash_cnt[3559][4]~76713\ & VCC))
-- \led_flash_cnt[3559][5]~76715\ = CARRY((\led_flash_cnt[3559][5]~q\ & !\led_flash_cnt[3559][4]~76713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3559][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3559][4]~76713\,
	combout => \led_flash_cnt[3559][5]~76714_combout\,
	cout => \led_flash_cnt[3559][5]~76715\);

-- Location: FF_X30_Y32_N13
\led_flash_cnt[3559][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3559][5]~76714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3559][5]~q\);

-- Location: LCCOMB_X30_Y32_N14
\led_flash_cnt[3559][6]~76716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3559][6]~76716_combout\ = (\led_flash_cnt[3559][6]~q\ & (!\led_flash_cnt[3559][5]~76715\)) # (!\led_flash_cnt[3559][6]~q\ & ((\led_flash_cnt[3559][5]~76715\) # (GND)))
-- \led_flash_cnt[3559][6]~76717\ = CARRY((!\led_flash_cnt[3559][5]~76715\) # (!\led_flash_cnt[3559][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3559][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3559][5]~76715\,
	combout => \led_flash_cnt[3559][6]~76716_combout\,
	cout => \led_flash_cnt[3559][6]~76717\);

-- Location: FF_X30_Y32_N15
\led_flash_cnt[3559][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3559][6]~76716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3559][6]~q\);

-- Location: LCCOMB_X30_Y32_N16
\led_flash_cnt[3559][7]~76718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3559][7]~76718_combout\ = \led_flash_cnt[3559][6]~76717\ $ (!\led_flash_cnt[3559][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3559][7]~q\,
	cin => \led_flash_cnt[3559][6]~76717\,
	combout => \led_flash_cnt[3559][7]~76718_combout\);

-- Location: FF_X30_Y32_N17
\led_flash_cnt[3559][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3559][7]~76718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3559][7]~q\);

-- Location: LCCOMB_X30_Y32_N30
\WideAnd3559~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3559~1_combout\ = (\led_flash_cnt[3559][6]~q\ & \led_flash_cnt[3559][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3559][6]~q\,
	datad => \led_flash_cnt[3559][5]~q\,
	combout => \WideAnd3559~1_combout\);

-- Location: LCCOMB_X30_Y32_N2
\WideAnd3559~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3559~0_combout\ = (\led_flash_cnt[3559][4]~q\ & (\led_flash_cnt[3559][1]~q\ & (\led_flash_cnt[3559][3]~q\ & \led_flash_cnt[3559][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3559][4]~q\,
	datab => \led_flash_cnt[3559][1]~q\,
	datac => \led_flash_cnt[3559][3]~q\,
	datad => \led_flash_cnt[3559][2]~q\,
	combout => \WideAnd3559~0_combout\);

-- Location: LCCOMB_X30_Y32_N20
WideAnd3559 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3559~combout\ = (\led_flash_cnt[3559][0]~q\ & (\led_flash_cnt[3559][7]~q\ & (\WideAnd3559~1_combout\ & \WideAnd3559~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3559][0]~q\,
	datab => \led_flash_cnt[3559][7]~q\,
	datac => \WideAnd3559~1_combout\,
	datad => \WideAnd3559~0_combout\,
	combout => \WideAnd3559~combout\);

-- Location: FF_X30_Y32_N21
\led_flash_cnt_ands[3559]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3559~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3559));

-- Location: LCCOMB_X21_Y34_N18
\led_flash_cnt[3553][0]~84193\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3553][0]~84193_combout\ = !\led_flash_cnt[3553][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3553][0]~q\,
	combout => \led_flash_cnt[3553][0]~84193_combout\);

-- Location: FF_X21_Y34_N19
\led_flash_cnt[3553][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3553][0]~84193_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3553][0]~q\);

-- Location: LCCOMB_X20_Y34_N16
\led_flash_cnt[3553][1]~76622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3553][1]~76622_combout\ = (\led_flash_cnt[3553][0]~q\ & (\led_flash_cnt[3553][1]~q\ $ (VCC))) # (!\led_flash_cnt[3553][0]~q\ & (\led_flash_cnt[3553][1]~q\ & VCC))
-- \led_flash_cnt[3553][1]~76623\ = CARRY((\led_flash_cnt[3553][0]~q\ & \led_flash_cnt[3553][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3553][0]~q\,
	datab => \led_flash_cnt[3553][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3553][1]~76622_combout\,
	cout => \led_flash_cnt[3553][1]~76623\);

-- Location: FF_X20_Y34_N1
\led_flash_cnt[3553][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \led_flash_cnt[3553][1]~76622_combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3553][1]~q\);

-- Location: LCCOMB_X20_Y34_N18
\led_flash_cnt[3553][2]~76624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3553][2]~76624_combout\ = (\led_flash_cnt[3553][2]~q\ & (!\led_flash_cnt[3553][1]~76623\)) # (!\led_flash_cnt[3553][2]~q\ & ((\led_flash_cnt[3553][1]~76623\) # (GND)))
-- \led_flash_cnt[3553][2]~76625\ = CARRY((!\led_flash_cnt[3553][1]~76623\) # (!\led_flash_cnt[3553][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3553][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3553][1]~76623\,
	combout => \led_flash_cnt[3553][2]~76624_combout\,
	cout => \led_flash_cnt[3553][2]~76625\);

-- Location: FF_X20_Y34_N19
\led_flash_cnt[3553][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3553][2]~76624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3553][2]~q\);

-- Location: LCCOMB_X20_Y34_N20
\led_flash_cnt[3553][3]~76626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3553][3]~76626_combout\ = (\led_flash_cnt[3553][3]~q\ & (\led_flash_cnt[3553][2]~76625\ $ (GND))) # (!\led_flash_cnt[3553][3]~q\ & (!\led_flash_cnt[3553][2]~76625\ & VCC))
-- \led_flash_cnt[3553][3]~76627\ = CARRY((\led_flash_cnt[3553][3]~q\ & !\led_flash_cnt[3553][2]~76625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3553][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3553][2]~76625\,
	combout => \led_flash_cnt[3553][3]~76626_combout\,
	cout => \led_flash_cnt[3553][3]~76627\);

-- Location: FF_X20_Y34_N21
\led_flash_cnt[3553][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3553][3]~76626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3553][3]~q\);

-- Location: LCCOMB_X20_Y34_N22
\led_flash_cnt[3553][4]~76628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3553][4]~76628_combout\ = (\led_flash_cnt[3553][4]~q\ & (!\led_flash_cnt[3553][3]~76627\)) # (!\led_flash_cnt[3553][4]~q\ & ((\led_flash_cnt[3553][3]~76627\) # (GND)))
-- \led_flash_cnt[3553][4]~76629\ = CARRY((!\led_flash_cnt[3553][3]~76627\) # (!\led_flash_cnt[3553][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3553][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3553][3]~76627\,
	combout => \led_flash_cnt[3553][4]~76628_combout\,
	cout => \led_flash_cnt[3553][4]~76629\);

-- Location: FF_X20_Y34_N23
\led_flash_cnt[3553][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3553][4]~76628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3553][4]~q\);

-- Location: LCCOMB_X20_Y34_N24
\led_flash_cnt[3553][5]~76630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3553][5]~76630_combout\ = (\led_flash_cnt[3553][5]~q\ & (\led_flash_cnt[3553][4]~76629\ $ (GND))) # (!\led_flash_cnt[3553][5]~q\ & (!\led_flash_cnt[3553][4]~76629\ & VCC))
-- \led_flash_cnt[3553][5]~76631\ = CARRY((\led_flash_cnt[3553][5]~q\ & !\led_flash_cnt[3553][4]~76629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3553][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3553][4]~76629\,
	combout => \led_flash_cnt[3553][5]~76630_combout\,
	cout => \led_flash_cnt[3553][5]~76631\);

-- Location: FF_X20_Y34_N25
\led_flash_cnt[3553][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3553][5]~76630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3553][5]~q\);

-- Location: LCCOMB_X20_Y34_N26
\led_flash_cnt[3553][6]~76632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3553][6]~76632_combout\ = (\led_flash_cnt[3553][6]~q\ & (!\led_flash_cnt[3553][5]~76631\)) # (!\led_flash_cnt[3553][6]~q\ & ((\led_flash_cnt[3553][5]~76631\) # (GND)))
-- \led_flash_cnt[3553][6]~76633\ = CARRY((!\led_flash_cnt[3553][5]~76631\) # (!\led_flash_cnt[3553][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3553][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3553][5]~76631\,
	combout => \led_flash_cnt[3553][6]~76632_combout\,
	cout => \led_flash_cnt[3553][6]~76633\);

-- Location: FF_X20_Y34_N27
\led_flash_cnt[3553][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3553][6]~76632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3553][6]~q\);

-- Location: LCCOMB_X21_Y34_N22
\WideAnd3553~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3553~1_combout\ = (\led_flash_cnt[3553][6]~q\ & \led_flash_cnt[3553][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3553][6]~q\,
	datad => \led_flash_cnt[3553][5]~q\,
	combout => \WideAnd3553~1_combout\);

-- Location: LCCOMB_X20_Y34_N28
\led_flash_cnt[3553][7]~76634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3553][7]~76634_combout\ = \led_flash_cnt[3553][6]~76633\ $ (!\led_flash_cnt[3553][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3553][7]~q\,
	cin => \led_flash_cnt[3553][6]~76633\,
	combout => \led_flash_cnt[3553][7]~76634_combout\);

-- Location: FF_X20_Y34_N29
\led_flash_cnt[3553][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3553][7]~76634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3553][7]~q\);

-- Location: LCCOMB_X20_Y34_N0
\WideAnd3553~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3553~0_combout\ = (\led_flash_cnt[3553][4]~q\ & (\led_flash_cnt[3553][3]~q\ & (\led_flash_cnt[3553][1]~q\ & \led_flash_cnt[3553][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3553][4]~q\,
	datab => \led_flash_cnt[3553][3]~q\,
	datac => \led_flash_cnt[3553][1]~q\,
	datad => \led_flash_cnt[3553][2]~q\,
	combout => \WideAnd3553~0_combout\);

-- Location: LCCOMB_X21_Y34_N28
WideAnd3553 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3553~combout\ = (\WideAnd3553~1_combout\ & (\led_flash_cnt[3553][7]~q\ & (\WideAnd3553~0_combout\ & \led_flash_cnt[3553][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3553~1_combout\,
	datab => \led_flash_cnt[3553][7]~q\,
	datac => \WideAnd3553~0_combout\,
	datad => \led_flash_cnt[3553][0]~q\,
	combout => \WideAnd3553~combout\);

-- Location: FF_X21_Y34_N29
\led_flash_cnt_ands[3553]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3553~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3553));

-- Location: LCCOMB_X21_Y34_N26
\led_flash_cnt[3555][0]~84195\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3555][0]~84195_combout\ = !\led_flash_cnt[3555][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3555][0]~q\,
	combout => \led_flash_cnt[3555][0]~84195_combout\);

-- Location: FF_X21_Y34_N27
\led_flash_cnt[3555][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3555][0]~84195_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3555][0]~q\);

-- Location: LCCOMB_X21_Y34_N2
\led_flash_cnt[3555][1]~76650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3555][1]~76650_combout\ = (\led_flash_cnt[3555][0]~q\ & (\led_flash_cnt[3555][1]~q\ $ (VCC))) # (!\led_flash_cnt[3555][0]~q\ & (\led_flash_cnt[3555][1]~q\ & VCC))
-- \led_flash_cnt[3555][1]~76651\ = CARRY((\led_flash_cnt[3555][0]~q\ & \led_flash_cnt[3555][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3555][0]~q\,
	datab => \led_flash_cnt[3555][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3555][1]~76650_combout\,
	cout => \led_flash_cnt[3555][1]~76651\);

-- Location: FF_X21_Y34_N3
\led_flash_cnt[3555][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3555][1]~76650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3555][1]~q\);

-- Location: LCCOMB_X21_Y34_N4
\led_flash_cnt[3555][2]~76652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3555][2]~76652_combout\ = (\led_flash_cnt[3555][2]~q\ & (!\led_flash_cnt[3555][1]~76651\)) # (!\led_flash_cnt[3555][2]~q\ & ((\led_flash_cnt[3555][1]~76651\) # (GND)))
-- \led_flash_cnt[3555][2]~76653\ = CARRY((!\led_flash_cnt[3555][1]~76651\) # (!\led_flash_cnt[3555][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3555][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3555][1]~76651\,
	combout => \led_flash_cnt[3555][2]~76652_combout\,
	cout => \led_flash_cnt[3555][2]~76653\);

-- Location: FF_X21_Y34_N5
\led_flash_cnt[3555][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3555][2]~76652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3555][2]~q\);

-- Location: LCCOMB_X21_Y34_N6
\led_flash_cnt[3555][3]~76654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3555][3]~76654_combout\ = (\led_flash_cnt[3555][3]~q\ & (\led_flash_cnt[3555][2]~76653\ $ (GND))) # (!\led_flash_cnt[3555][3]~q\ & (!\led_flash_cnt[3555][2]~76653\ & VCC))
-- \led_flash_cnt[3555][3]~76655\ = CARRY((\led_flash_cnt[3555][3]~q\ & !\led_flash_cnt[3555][2]~76653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3555][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3555][2]~76653\,
	combout => \led_flash_cnt[3555][3]~76654_combout\,
	cout => \led_flash_cnt[3555][3]~76655\);

-- Location: FF_X21_Y34_N7
\led_flash_cnt[3555][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3555][3]~76654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3555][3]~q\);

-- Location: LCCOMB_X21_Y34_N8
\led_flash_cnt[3555][4]~76656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3555][4]~76656_combout\ = (\led_flash_cnt[3555][4]~q\ & (!\led_flash_cnt[3555][3]~76655\)) # (!\led_flash_cnt[3555][4]~q\ & ((\led_flash_cnt[3555][3]~76655\) # (GND)))
-- \led_flash_cnt[3555][4]~76657\ = CARRY((!\led_flash_cnt[3555][3]~76655\) # (!\led_flash_cnt[3555][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3555][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3555][3]~76655\,
	combout => \led_flash_cnt[3555][4]~76656_combout\,
	cout => \led_flash_cnt[3555][4]~76657\);

-- Location: FF_X21_Y34_N9
\led_flash_cnt[3555][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3555][4]~76656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3555][4]~q\);

-- Location: LCCOMB_X21_Y34_N10
\led_flash_cnt[3555][5]~76658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3555][5]~76658_combout\ = (\led_flash_cnt[3555][5]~q\ & (\led_flash_cnt[3555][4]~76657\ $ (GND))) # (!\led_flash_cnt[3555][5]~q\ & (!\led_flash_cnt[3555][4]~76657\ & VCC))
-- \led_flash_cnt[3555][5]~76659\ = CARRY((\led_flash_cnt[3555][5]~q\ & !\led_flash_cnt[3555][4]~76657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3555][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3555][4]~76657\,
	combout => \led_flash_cnt[3555][5]~76658_combout\,
	cout => \led_flash_cnt[3555][5]~76659\);

-- Location: FF_X21_Y34_N11
\led_flash_cnt[3555][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3555][5]~76658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3555][5]~q\);

-- Location: LCCOMB_X21_Y34_N12
\led_flash_cnt[3555][6]~76660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3555][6]~76660_combout\ = (\led_flash_cnt[3555][6]~q\ & (!\led_flash_cnt[3555][5]~76659\)) # (!\led_flash_cnt[3555][6]~q\ & ((\led_flash_cnt[3555][5]~76659\) # (GND)))
-- \led_flash_cnt[3555][6]~76661\ = CARRY((!\led_flash_cnt[3555][5]~76659\) # (!\led_flash_cnt[3555][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3555][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3555][5]~76659\,
	combout => \led_flash_cnt[3555][6]~76660_combout\,
	cout => \led_flash_cnt[3555][6]~76661\);

-- Location: FF_X21_Y34_N13
\led_flash_cnt[3555][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3555][6]~76660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3555][6]~q\);

-- Location: LCCOMB_X21_Y34_N30
\WideAnd3555~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3555~1_combout\ = (\led_flash_cnt[3555][5]~q\ & \led_flash_cnt[3555][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3555][5]~q\,
	datad => \led_flash_cnt[3555][6]~q\,
	combout => \WideAnd3555~1_combout\);

-- Location: LCCOMB_X21_Y34_N14
\led_flash_cnt[3555][7]~76662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3555][7]~76662_combout\ = \led_flash_cnt[3555][7]~q\ $ (!\led_flash_cnt[3555][6]~76661\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3555][7]~q\,
	cin => \led_flash_cnt[3555][6]~76661\,
	combout => \led_flash_cnt[3555][7]~76662_combout\);

-- Location: FF_X21_Y34_N15
\led_flash_cnt[3555][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3555][7]~76662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3555][7]~q\);

-- Location: LCCOMB_X21_Y34_N20
\WideAnd3555~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3555~0_combout\ = (\led_flash_cnt[3555][3]~q\ & (\led_flash_cnt[3555][4]~q\ & (\led_flash_cnt[3555][2]~q\ & \led_flash_cnt[3555][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3555][3]~q\,
	datab => \led_flash_cnt[3555][4]~q\,
	datac => \led_flash_cnt[3555][2]~q\,
	datad => \led_flash_cnt[3555][1]~q\,
	combout => \WideAnd3555~0_combout\);

-- Location: LCCOMB_X21_Y34_N16
WideAnd3555 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3555~combout\ = (\WideAnd3555~1_combout\ & (\led_flash_cnt[3555][7]~q\ & (\led_flash_cnt[3555][0]~q\ & \WideAnd3555~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3555~1_combout\,
	datab => \led_flash_cnt[3555][7]~q\,
	datac => \led_flash_cnt[3555][0]~q\,
	datad => \WideAnd3555~0_combout\,
	combout => \WideAnd3555~combout\);

-- Location: FF_X21_Y34_N17
\led_flash_cnt_ands[3555]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3555~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3555));

-- Location: LCCOMB_X34_Y34_N10
\led_flash_cnt[3552][0]~84192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3552][0]~84192_combout\ = !\led_flash_cnt[3552][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3552][0]~q\,
	combout => \led_flash_cnt[3552][0]~84192_combout\);

-- Location: FF_X34_Y34_N11
\led_flash_cnt[3552][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3552][0]~84192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3552][0]~q\);

-- Location: LCCOMB_X34_Y34_N14
\led_flash_cnt[3552][1]~76608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3552][1]~76608_combout\ = (\led_flash_cnt[3552][0]~q\ & (\led_flash_cnt[3552][1]~q\ $ (VCC))) # (!\led_flash_cnt[3552][0]~q\ & (\led_flash_cnt[3552][1]~q\ & VCC))
-- \led_flash_cnt[3552][1]~76609\ = CARRY((\led_flash_cnt[3552][0]~q\ & \led_flash_cnt[3552][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3552][0]~q\,
	datab => \led_flash_cnt[3552][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3552][1]~76608_combout\,
	cout => \led_flash_cnt[3552][1]~76609\);

-- Location: FF_X34_Y34_N15
\led_flash_cnt[3552][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3552][1]~76608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3552][1]~q\);

-- Location: LCCOMB_X34_Y34_N16
\led_flash_cnt[3552][2]~76610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3552][2]~76610_combout\ = (\led_flash_cnt[3552][2]~q\ & (!\led_flash_cnt[3552][1]~76609\)) # (!\led_flash_cnt[3552][2]~q\ & ((\led_flash_cnt[3552][1]~76609\) # (GND)))
-- \led_flash_cnt[3552][2]~76611\ = CARRY((!\led_flash_cnt[3552][1]~76609\) # (!\led_flash_cnt[3552][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3552][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3552][1]~76609\,
	combout => \led_flash_cnt[3552][2]~76610_combout\,
	cout => \led_flash_cnt[3552][2]~76611\);

-- Location: FF_X34_Y34_N17
\led_flash_cnt[3552][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3552][2]~76610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3552][2]~q\);

-- Location: LCCOMB_X34_Y34_N18
\led_flash_cnt[3552][3]~76612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3552][3]~76612_combout\ = (\led_flash_cnt[3552][3]~q\ & (\led_flash_cnt[3552][2]~76611\ $ (GND))) # (!\led_flash_cnt[3552][3]~q\ & (!\led_flash_cnt[3552][2]~76611\ & VCC))
-- \led_flash_cnt[3552][3]~76613\ = CARRY((\led_flash_cnt[3552][3]~q\ & !\led_flash_cnt[3552][2]~76611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3552][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3552][2]~76611\,
	combout => \led_flash_cnt[3552][3]~76612_combout\,
	cout => \led_flash_cnt[3552][3]~76613\);

-- Location: FF_X34_Y34_N19
\led_flash_cnt[3552][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3552][3]~76612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3552][3]~q\);

-- Location: LCCOMB_X34_Y34_N20
\led_flash_cnt[3552][4]~76614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3552][4]~76614_combout\ = (\led_flash_cnt[3552][4]~q\ & (!\led_flash_cnt[3552][3]~76613\)) # (!\led_flash_cnt[3552][4]~q\ & ((\led_flash_cnt[3552][3]~76613\) # (GND)))
-- \led_flash_cnt[3552][4]~76615\ = CARRY((!\led_flash_cnt[3552][3]~76613\) # (!\led_flash_cnt[3552][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3552][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3552][3]~76613\,
	combout => \led_flash_cnt[3552][4]~76614_combout\,
	cout => \led_flash_cnt[3552][4]~76615\);

-- Location: FF_X34_Y34_N21
\led_flash_cnt[3552][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3552][4]~76614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3552][4]~q\);

-- Location: LCCOMB_X34_Y34_N22
\led_flash_cnt[3552][5]~76616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3552][5]~76616_combout\ = (\led_flash_cnt[3552][5]~q\ & (\led_flash_cnt[3552][4]~76615\ $ (GND))) # (!\led_flash_cnt[3552][5]~q\ & (!\led_flash_cnt[3552][4]~76615\ & VCC))
-- \led_flash_cnt[3552][5]~76617\ = CARRY((\led_flash_cnt[3552][5]~q\ & !\led_flash_cnt[3552][4]~76615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3552][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3552][4]~76615\,
	combout => \led_flash_cnt[3552][5]~76616_combout\,
	cout => \led_flash_cnt[3552][5]~76617\);

-- Location: FF_X34_Y34_N23
\led_flash_cnt[3552][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3552][5]~76616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3552][5]~q\);

-- Location: LCCOMB_X34_Y34_N24
\led_flash_cnt[3552][6]~76618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3552][6]~76618_combout\ = (\led_flash_cnt[3552][6]~q\ & (!\led_flash_cnt[3552][5]~76617\)) # (!\led_flash_cnt[3552][6]~q\ & ((\led_flash_cnt[3552][5]~76617\) # (GND)))
-- \led_flash_cnt[3552][6]~76619\ = CARRY((!\led_flash_cnt[3552][5]~76617\) # (!\led_flash_cnt[3552][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3552][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3552][5]~76617\,
	combout => \led_flash_cnt[3552][6]~76618_combout\,
	cout => \led_flash_cnt[3552][6]~76619\);

-- Location: FF_X34_Y34_N25
\led_flash_cnt[3552][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3552][6]~76618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3552][6]~q\);

-- Location: LCCOMB_X34_Y34_N30
\WideAnd3552~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3552~1_combout\ = (\led_flash_cnt[3552][5]~q\ & \led_flash_cnt[3552][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3552][5]~q\,
	datad => \led_flash_cnt[3552][6]~q\,
	combout => \WideAnd3552~1_combout\);

-- Location: LCCOMB_X34_Y34_N8
\WideAnd3552~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3552~0_combout\ = (\led_flash_cnt[3552][3]~q\ & (\led_flash_cnt[3552][2]~q\ & (\led_flash_cnt[3552][1]~q\ & \led_flash_cnt[3552][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3552][3]~q\,
	datab => \led_flash_cnt[3552][2]~q\,
	datac => \led_flash_cnt[3552][1]~q\,
	datad => \led_flash_cnt[3552][4]~q\,
	combout => \WideAnd3552~0_combout\);

-- Location: LCCOMB_X34_Y34_N26
\led_flash_cnt[3552][7]~76620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3552][7]~76620_combout\ = \led_flash_cnt[3552][7]~q\ $ (!\led_flash_cnt[3552][6]~76619\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3552][7]~q\,
	cin => \led_flash_cnt[3552][6]~76619\,
	combout => \led_flash_cnt[3552][7]~76620_combout\);

-- Location: FF_X34_Y34_N27
\led_flash_cnt[3552][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3552][7]~76620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3552][7]~q\);

-- Location: LCCOMB_X34_Y34_N4
WideAnd3552 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3552~combout\ = (\WideAnd3552~1_combout\ & (\WideAnd3552~0_combout\ & (\led_flash_cnt[3552][7]~q\ & \led_flash_cnt[3552][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3552~1_combout\,
	datab => \WideAnd3552~0_combout\,
	datac => \led_flash_cnt[3552][7]~q\,
	datad => \led_flash_cnt[3552][0]~q\,
	combout => \WideAnd3552~combout\);

-- Location: FF_X34_Y34_N5
\led_flash_cnt_ands[3552]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3552~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3552));

-- Location: LCCOMB_X30_Y32_N18
\led_flash_cnt[3554][0]~84194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3554][0]~84194_combout\ = !\led_flash_cnt[3554][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3554][0]~q\,
	combout => \led_flash_cnt[3554][0]~84194_combout\);

-- Location: FF_X30_Y32_N19
\led_flash_cnt[3554][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3554][0]~84194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3554][0]~q\);

-- Location: LCCOMB_X31_Y32_N0
\led_flash_cnt[3554][1]~76636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3554][1]~76636_combout\ = (\led_flash_cnt[3554][1]~q\ & (\led_flash_cnt[3554][0]~q\ $ (VCC))) # (!\led_flash_cnt[3554][1]~q\ & (\led_flash_cnt[3554][0]~q\ & VCC))
-- \led_flash_cnt[3554][1]~76637\ = CARRY((\led_flash_cnt[3554][1]~q\ & \led_flash_cnt[3554][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3554][1]~q\,
	datab => \led_flash_cnt[3554][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3554][1]~76636_combout\,
	cout => \led_flash_cnt[3554][1]~76637\);

-- Location: FF_X31_Y32_N1
\led_flash_cnt[3554][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3554][1]~76636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3554][1]~q\);

-- Location: LCCOMB_X31_Y32_N2
\led_flash_cnt[3554][2]~76638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3554][2]~76638_combout\ = (\led_flash_cnt[3554][2]~q\ & (!\led_flash_cnt[3554][1]~76637\)) # (!\led_flash_cnt[3554][2]~q\ & ((\led_flash_cnt[3554][1]~76637\) # (GND)))
-- \led_flash_cnt[3554][2]~76639\ = CARRY((!\led_flash_cnt[3554][1]~76637\) # (!\led_flash_cnt[3554][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3554][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3554][1]~76637\,
	combout => \led_flash_cnt[3554][2]~76638_combout\,
	cout => \led_flash_cnt[3554][2]~76639\);

-- Location: FF_X31_Y32_N3
\led_flash_cnt[3554][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3554][2]~76638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3554][2]~q\);

-- Location: LCCOMB_X31_Y32_N4
\led_flash_cnt[3554][3]~76640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3554][3]~76640_combout\ = (\led_flash_cnt[3554][3]~q\ & (\led_flash_cnt[3554][2]~76639\ $ (GND))) # (!\led_flash_cnt[3554][3]~q\ & (!\led_flash_cnt[3554][2]~76639\ & VCC))
-- \led_flash_cnt[3554][3]~76641\ = CARRY((\led_flash_cnt[3554][3]~q\ & !\led_flash_cnt[3554][2]~76639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3554][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3554][2]~76639\,
	combout => \led_flash_cnt[3554][3]~76640_combout\,
	cout => \led_flash_cnt[3554][3]~76641\);

-- Location: FF_X31_Y32_N5
\led_flash_cnt[3554][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3554][3]~76640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3554][3]~q\);

-- Location: LCCOMB_X31_Y32_N6
\led_flash_cnt[3554][4]~76642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3554][4]~76642_combout\ = (\led_flash_cnt[3554][4]~q\ & (!\led_flash_cnt[3554][3]~76641\)) # (!\led_flash_cnt[3554][4]~q\ & ((\led_flash_cnt[3554][3]~76641\) # (GND)))
-- \led_flash_cnt[3554][4]~76643\ = CARRY((!\led_flash_cnt[3554][3]~76641\) # (!\led_flash_cnt[3554][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3554][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3554][3]~76641\,
	combout => \led_flash_cnt[3554][4]~76642_combout\,
	cout => \led_flash_cnt[3554][4]~76643\);

-- Location: FF_X31_Y32_N7
\led_flash_cnt[3554][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3554][4]~76642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3554][4]~q\);

-- Location: LCCOMB_X31_Y32_N8
\led_flash_cnt[3554][5]~76644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3554][5]~76644_combout\ = (\led_flash_cnt[3554][5]~q\ & (\led_flash_cnt[3554][4]~76643\ $ (GND))) # (!\led_flash_cnt[3554][5]~q\ & (!\led_flash_cnt[3554][4]~76643\ & VCC))
-- \led_flash_cnt[3554][5]~76645\ = CARRY((\led_flash_cnt[3554][5]~q\ & !\led_flash_cnt[3554][4]~76643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3554][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3554][4]~76643\,
	combout => \led_flash_cnt[3554][5]~76644_combout\,
	cout => \led_flash_cnt[3554][5]~76645\);

-- Location: FF_X31_Y32_N9
\led_flash_cnt[3554][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3554][5]~76644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3554][5]~q\);

-- Location: LCCOMB_X31_Y32_N10
\led_flash_cnt[3554][6]~76646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3554][6]~76646_combout\ = (\led_flash_cnt[3554][6]~q\ & (!\led_flash_cnt[3554][5]~76645\)) # (!\led_flash_cnt[3554][6]~q\ & ((\led_flash_cnt[3554][5]~76645\) # (GND)))
-- \led_flash_cnt[3554][6]~76647\ = CARRY((!\led_flash_cnt[3554][5]~76645\) # (!\led_flash_cnt[3554][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3554][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3554][5]~76645\,
	combout => \led_flash_cnt[3554][6]~76646_combout\,
	cout => \led_flash_cnt[3554][6]~76647\);

-- Location: FF_X31_Y32_N11
\led_flash_cnt[3554][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3554][6]~76646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3554][6]~q\);

-- Location: LCCOMB_X30_Y32_N26
\WideAnd3554~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3554~1_combout\ = (\led_flash_cnt[3554][5]~q\ & \led_flash_cnt[3554][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3554][5]~q\,
	datac => \led_flash_cnt[3554][6]~q\,
	combout => \WideAnd3554~1_combout\);

-- Location: LCCOMB_X30_Y32_N24
\WideAnd3554~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3554~0_combout\ = (\led_flash_cnt[3554][3]~q\ & (\led_flash_cnt[3554][4]~q\ & (\led_flash_cnt[3554][1]~q\ & \led_flash_cnt[3554][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3554][3]~q\,
	datab => \led_flash_cnt[3554][4]~q\,
	datac => \led_flash_cnt[3554][1]~q\,
	datad => \led_flash_cnt[3554][2]~q\,
	combout => \WideAnd3554~0_combout\);

-- Location: LCCOMB_X31_Y32_N12
\led_flash_cnt[3554][7]~76648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3554][7]~76648_combout\ = \led_flash_cnt[3554][6]~76647\ $ (!\led_flash_cnt[3554][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3554][7]~q\,
	cin => \led_flash_cnt[3554][6]~76647\,
	combout => \led_flash_cnt[3554][7]~76648_combout\);

-- Location: FF_X31_Y32_N13
\led_flash_cnt[3554][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3554][7]~76648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3554][7]~q\);

-- Location: LCCOMB_X30_Y32_N28
WideAnd3554 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3554~combout\ = (\WideAnd3554~1_combout\ & (\WideAnd3554~0_combout\ & (\led_flash_cnt[3554][7]~q\ & \led_flash_cnt[3554][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3554~1_combout\,
	datab => \WideAnd3554~0_combout\,
	datac => \led_flash_cnt[3554][7]~q\,
	datad => \led_flash_cnt[3554][0]~q\,
	combout => \WideAnd3554~combout\);

-- Location: FF_X30_Y32_N29
\led_flash_cnt_ands[3554]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3554~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3554));

-- Location: LCCOMB_X27_Y34_N20
\WideAnd4284~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4284~0_combout\ = (led_flash_cnt_ands(3553) & (led_flash_cnt_ands(3555) & (led_flash_cnt_ands(3552) & led_flash_cnt_ands(3554))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3553),
	datab => led_flash_cnt_ands(3555),
	datac => led_flash_cnt_ands(3552),
	datad => led_flash_cnt_ands(3554),
	combout => \WideAnd4284~0_combout\);

-- Location: LCCOMB_X41_Y14_N0
\led_flash_cnt[3557][0]~84197\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3557][0]~84197_combout\ = !\led_flash_cnt[3557][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3557][0]~q\,
	combout => \led_flash_cnt[3557][0]~84197_combout\);

-- Location: FF_X41_Y14_N1
\led_flash_cnt[3557][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3557][0]~84197_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3557][0]~q\);

-- Location: LCCOMB_X41_Y15_N18
\led_flash_cnt[3557][1]~76678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3557][1]~76678_combout\ = (\led_flash_cnt[3557][0]~q\ & (\led_flash_cnt[3557][1]~q\ $ (VCC))) # (!\led_flash_cnt[3557][0]~q\ & (\led_flash_cnt[3557][1]~q\ & VCC))
-- \led_flash_cnt[3557][1]~76679\ = CARRY((\led_flash_cnt[3557][0]~q\ & \led_flash_cnt[3557][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3557][0]~q\,
	datab => \led_flash_cnt[3557][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3557][1]~76678_combout\,
	cout => \led_flash_cnt[3557][1]~76679\);

-- Location: FF_X41_Y15_N19
\led_flash_cnt[3557][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3557][1]~76678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3557][1]~q\);

-- Location: LCCOMB_X41_Y15_N20
\led_flash_cnt[3557][2]~76680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3557][2]~76680_combout\ = (\led_flash_cnt[3557][2]~q\ & (!\led_flash_cnt[3557][1]~76679\)) # (!\led_flash_cnt[3557][2]~q\ & ((\led_flash_cnt[3557][1]~76679\) # (GND)))
-- \led_flash_cnt[3557][2]~76681\ = CARRY((!\led_flash_cnt[3557][1]~76679\) # (!\led_flash_cnt[3557][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3557][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3557][1]~76679\,
	combout => \led_flash_cnt[3557][2]~76680_combout\,
	cout => \led_flash_cnt[3557][2]~76681\);

-- Location: FF_X41_Y15_N21
\led_flash_cnt[3557][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3557][2]~76680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3557][2]~q\);

-- Location: LCCOMB_X41_Y15_N22
\led_flash_cnt[3557][3]~76682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3557][3]~76682_combout\ = (\led_flash_cnt[3557][3]~q\ & (\led_flash_cnt[3557][2]~76681\ $ (GND))) # (!\led_flash_cnt[3557][3]~q\ & (!\led_flash_cnt[3557][2]~76681\ & VCC))
-- \led_flash_cnt[3557][3]~76683\ = CARRY((\led_flash_cnt[3557][3]~q\ & !\led_flash_cnt[3557][2]~76681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3557][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3557][2]~76681\,
	combout => \led_flash_cnt[3557][3]~76682_combout\,
	cout => \led_flash_cnt[3557][3]~76683\);

-- Location: FF_X41_Y15_N23
\led_flash_cnt[3557][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3557][3]~76682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3557][3]~q\);

-- Location: LCCOMB_X41_Y15_N24
\led_flash_cnt[3557][4]~76684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3557][4]~76684_combout\ = (\led_flash_cnt[3557][4]~q\ & (!\led_flash_cnt[3557][3]~76683\)) # (!\led_flash_cnt[3557][4]~q\ & ((\led_flash_cnt[3557][3]~76683\) # (GND)))
-- \led_flash_cnt[3557][4]~76685\ = CARRY((!\led_flash_cnt[3557][3]~76683\) # (!\led_flash_cnt[3557][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3557][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3557][3]~76683\,
	combout => \led_flash_cnt[3557][4]~76684_combout\,
	cout => \led_flash_cnt[3557][4]~76685\);

-- Location: FF_X41_Y15_N25
\led_flash_cnt[3557][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3557][4]~76684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3557][4]~q\);

-- Location: LCCOMB_X41_Y15_N0
\WideAnd3557~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3557~0_combout\ = (\led_flash_cnt[3557][4]~q\ & (\led_flash_cnt[3557][2]~q\ & (\led_flash_cnt[3557][3]~q\ & \led_flash_cnt[3557][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3557][4]~q\,
	datab => \led_flash_cnt[3557][2]~q\,
	datac => \led_flash_cnt[3557][3]~q\,
	datad => \led_flash_cnt[3557][1]~q\,
	combout => \WideAnd3557~0_combout\);

-- Location: LCCOMB_X41_Y15_N26
\led_flash_cnt[3557][5]~76686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3557][5]~76686_combout\ = (\led_flash_cnt[3557][5]~q\ & (\led_flash_cnt[3557][4]~76685\ $ (GND))) # (!\led_flash_cnt[3557][5]~q\ & (!\led_flash_cnt[3557][4]~76685\ & VCC))
-- \led_flash_cnt[3557][5]~76687\ = CARRY((\led_flash_cnt[3557][5]~q\ & !\led_flash_cnt[3557][4]~76685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3557][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3557][4]~76685\,
	combout => \led_flash_cnt[3557][5]~76686_combout\,
	cout => \led_flash_cnt[3557][5]~76687\);

-- Location: FF_X41_Y15_N27
\led_flash_cnt[3557][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3557][5]~76686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3557][5]~q\);

-- Location: LCCOMB_X41_Y15_N28
\led_flash_cnt[3557][6]~76688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3557][6]~76688_combout\ = (\led_flash_cnt[3557][6]~q\ & (!\led_flash_cnt[3557][5]~76687\)) # (!\led_flash_cnt[3557][6]~q\ & ((\led_flash_cnt[3557][5]~76687\) # (GND)))
-- \led_flash_cnt[3557][6]~76689\ = CARRY((!\led_flash_cnt[3557][5]~76687\) # (!\led_flash_cnt[3557][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3557][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3557][5]~76687\,
	combout => \led_flash_cnt[3557][6]~76688_combout\,
	cout => \led_flash_cnt[3557][6]~76689\);

-- Location: FF_X41_Y15_N29
\led_flash_cnt[3557][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3557][6]~76688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3557][6]~q\);

-- Location: LCCOMB_X41_Y15_N30
\led_flash_cnt[3557][7]~76690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3557][7]~76690_combout\ = \led_flash_cnt[3557][7]~q\ $ (!\led_flash_cnt[3557][6]~76689\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3557][7]~q\,
	cin => \led_flash_cnt[3557][6]~76689\,
	combout => \led_flash_cnt[3557][7]~76690_combout\);

-- Location: FF_X41_Y15_N31
\led_flash_cnt[3557][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3557][7]~76690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3557][7]~q\);

-- Location: LCCOMB_X41_Y14_N6
\WideAnd3557~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3557~1_combout\ = (\led_flash_cnt[3557][6]~q\ & \led_flash_cnt[3557][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3557][6]~q\,
	datad => \led_flash_cnt[3557][5]~q\,
	combout => \WideAnd3557~1_combout\);

-- Location: LCCOMB_X41_Y14_N4
WideAnd3557 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3557~combout\ = (\WideAnd3557~0_combout\ & (\led_flash_cnt[3557][0]~q\ & (\led_flash_cnt[3557][7]~q\ & \WideAnd3557~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3557~0_combout\,
	datab => \led_flash_cnt[3557][0]~q\,
	datac => \led_flash_cnt[3557][7]~q\,
	datad => \WideAnd3557~1_combout\,
	combout => \WideAnd3557~combout\);

-- Location: FF_X41_Y14_N5
\led_flash_cnt_ands[3557]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3557~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3557));

-- Location: LCCOMB_X41_Y14_N12
\led_flash_cnt[3556][0]~84196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3556][0]~84196_combout\ = !\led_flash_cnt[3556][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3556][0]~q\,
	combout => \led_flash_cnt[3556][0]~84196_combout\);

-- Location: FF_X41_Y14_N13
\led_flash_cnt[3556][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3556][0]~84196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3556][0]~q\);

-- Location: LCCOMB_X41_Y14_N14
\led_flash_cnt[3556][1]~76664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3556][1]~76664_combout\ = (\led_flash_cnt[3556][0]~q\ & (\led_flash_cnt[3556][1]~q\ $ (VCC))) # (!\led_flash_cnt[3556][0]~q\ & (\led_flash_cnt[3556][1]~q\ & VCC))
-- \led_flash_cnt[3556][1]~76665\ = CARRY((\led_flash_cnt[3556][0]~q\ & \led_flash_cnt[3556][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3556][0]~q\,
	datab => \led_flash_cnt[3556][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3556][1]~76664_combout\,
	cout => \led_flash_cnt[3556][1]~76665\);

-- Location: FF_X41_Y14_N15
\led_flash_cnt[3556][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3556][1]~76664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3556][1]~q\);

-- Location: LCCOMB_X41_Y14_N16
\led_flash_cnt[3556][2]~76666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3556][2]~76666_combout\ = (\led_flash_cnt[3556][2]~q\ & (!\led_flash_cnt[3556][1]~76665\)) # (!\led_flash_cnt[3556][2]~q\ & ((\led_flash_cnt[3556][1]~76665\) # (GND)))
-- \led_flash_cnt[3556][2]~76667\ = CARRY((!\led_flash_cnt[3556][1]~76665\) # (!\led_flash_cnt[3556][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3556][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3556][1]~76665\,
	combout => \led_flash_cnt[3556][2]~76666_combout\,
	cout => \led_flash_cnt[3556][2]~76667\);

-- Location: FF_X41_Y14_N17
\led_flash_cnt[3556][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3556][2]~76666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3556][2]~q\);

-- Location: LCCOMB_X41_Y14_N18
\led_flash_cnt[3556][3]~76668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3556][3]~76668_combout\ = (\led_flash_cnt[3556][3]~q\ & (\led_flash_cnt[3556][2]~76667\ $ (GND))) # (!\led_flash_cnt[3556][3]~q\ & (!\led_flash_cnt[3556][2]~76667\ & VCC))
-- \led_flash_cnt[3556][3]~76669\ = CARRY((\led_flash_cnt[3556][3]~q\ & !\led_flash_cnt[3556][2]~76667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3556][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3556][2]~76667\,
	combout => \led_flash_cnt[3556][3]~76668_combout\,
	cout => \led_flash_cnt[3556][3]~76669\);

-- Location: FF_X41_Y14_N19
\led_flash_cnt[3556][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3556][3]~76668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3556][3]~q\);

-- Location: LCCOMB_X41_Y14_N20
\led_flash_cnt[3556][4]~76670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3556][4]~76670_combout\ = (\led_flash_cnt[3556][4]~q\ & (!\led_flash_cnt[3556][3]~76669\)) # (!\led_flash_cnt[3556][4]~q\ & ((\led_flash_cnt[3556][3]~76669\) # (GND)))
-- \led_flash_cnt[3556][4]~76671\ = CARRY((!\led_flash_cnt[3556][3]~76669\) # (!\led_flash_cnt[3556][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3556][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3556][3]~76669\,
	combout => \led_flash_cnt[3556][4]~76670_combout\,
	cout => \led_flash_cnt[3556][4]~76671\);

-- Location: FF_X41_Y14_N21
\led_flash_cnt[3556][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3556][4]~76670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3556][4]~q\);

-- Location: LCCOMB_X41_Y14_N22
\led_flash_cnt[3556][5]~76672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3556][5]~76672_combout\ = (\led_flash_cnt[3556][5]~q\ & (\led_flash_cnt[3556][4]~76671\ $ (GND))) # (!\led_flash_cnt[3556][5]~q\ & (!\led_flash_cnt[3556][4]~76671\ & VCC))
-- \led_flash_cnt[3556][5]~76673\ = CARRY((\led_flash_cnt[3556][5]~q\ & !\led_flash_cnt[3556][4]~76671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3556][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3556][4]~76671\,
	combout => \led_flash_cnt[3556][5]~76672_combout\,
	cout => \led_flash_cnt[3556][5]~76673\);

-- Location: FF_X41_Y14_N23
\led_flash_cnt[3556][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3556][5]~76672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3556][5]~q\);

-- Location: LCCOMB_X41_Y14_N24
\led_flash_cnt[3556][6]~76674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3556][6]~76674_combout\ = (\led_flash_cnt[3556][6]~q\ & (!\led_flash_cnt[3556][5]~76673\)) # (!\led_flash_cnt[3556][6]~q\ & ((\led_flash_cnt[3556][5]~76673\) # (GND)))
-- \led_flash_cnt[3556][6]~76675\ = CARRY((!\led_flash_cnt[3556][5]~76673\) # (!\led_flash_cnt[3556][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3556][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3556][5]~76673\,
	combout => \led_flash_cnt[3556][6]~76674_combout\,
	cout => \led_flash_cnt[3556][6]~76675\);

-- Location: FF_X41_Y14_N25
\led_flash_cnt[3556][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3556][6]~76674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3556][6]~q\);

-- Location: LCCOMB_X41_Y14_N10
\WideAnd3556~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3556~1_combout\ = (\led_flash_cnt[3556][5]~q\ & \led_flash_cnt[3556][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3556][5]~q\,
	datad => \led_flash_cnt[3556][6]~q\,
	combout => \WideAnd3556~1_combout\);

-- Location: LCCOMB_X41_Y14_N2
\WideAnd3556~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3556~0_combout\ = (\led_flash_cnt[3556][4]~q\ & (\led_flash_cnt[3556][3]~q\ & (\led_flash_cnt[3556][1]~q\ & \led_flash_cnt[3556][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3556][4]~q\,
	datab => \led_flash_cnt[3556][3]~q\,
	datac => \led_flash_cnt[3556][1]~q\,
	datad => \led_flash_cnt[3556][2]~q\,
	combout => \WideAnd3556~0_combout\);

-- Location: LCCOMB_X41_Y14_N26
\led_flash_cnt[3556][7]~76676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3556][7]~76676_combout\ = \led_flash_cnt[3556][7]~q\ $ (!\led_flash_cnt[3556][6]~76675\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3556][7]~q\,
	cin => \led_flash_cnt[3556][6]~76675\,
	combout => \led_flash_cnt[3556][7]~76676_combout\);

-- Location: FF_X41_Y14_N27
\led_flash_cnt[3556][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3556][7]~76676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3556][7]~q\);

-- Location: LCCOMB_X41_Y14_N28
WideAnd3556 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3556~combout\ = (\WideAnd3556~1_combout\ & (\WideAnd3556~0_combout\ & (\led_flash_cnt[3556][7]~q\ & \led_flash_cnt[3556][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3556~1_combout\,
	datab => \WideAnd3556~0_combout\,
	datac => \led_flash_cnt[3556][7]~q\,
	datad => \led_flash_cnt[3556][0]~q\,
	combout => \WideAnd3556~combout\);

-- Location: FF_X41_Y14_N29
\led_flash_cnt_ands[3556]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3556~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3556));

-- Location: LCCOMB_X41_Y14_N8
\WideAnd4284~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4284~1_combout\ = (led_flash_cnt_ands(3557) & led_flash_cnt_ands(3556))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3557),
	datad => led_flash_cnt_ands(3556),
	combout => \WideAnd4284~1_combout\);

-- Location: LCCOMB_X31_Y26_N6
\led_flash_cnt[3558][0]~84198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3558][0]~84198_combout\ = !\led_flash_cnt[3558][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3558][0]~q\,
	combout => \led_flash_cnt[3558][0]~84198_combout\);

-- Location: FF_X31_Y26_N7
\led_flash_cnt[3558][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3558][0]~84198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3558][0]~q\);

-- Location: LCCOMB_X31_Y26_N8
\led_flash_cnt[3558][1]~76692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3558][1]~76692_combout\ = (\led_flash_cnt[3558][0]~q\ & (\led_flash_cnt[3558][1]~q\ $ (VCC))) # (!\led_flash_cnt[3558][0]~q\ & (\led_flash_cnt[3558][1]~q\ & VCC))
-- \led_flash_cnt[3558][1]~76693\ = CARRY((\led_flash_cnt[3558][0]~q\ & \led_flash_cnt[3558][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3558][0]~q\,
	datab => \led_flash_cnt[3558][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3558][1]~76692_combout\,
	cout => \led_flash_cnt[3558][1]~76693\);

-- Location: FF_X31_Y26_N9
\led_flash_cnt[3558][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3558][1]~76692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3558][1]~q\);

-- Location: LCCOMB_X31_Y26_N10
\led_flash_cnt[3558][2]~76694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3558][2]~76694_combout\ = (\led_flash_cnt[3558][2]~q\ & (!\led_flash_cnt[3558][1]~76693\)) # (!\led_flash_cnt[3558][2]~q\ & ((\led_flash_cnt[3558][1]~76693\) # (GND)))
-- \led_flash_cnt[3558][2]~76695\ = CARRY((!\led_flash_cnt[3558][1]~76693\) # (!\led_flash_cnt[3558][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3558][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3558][1]~76693\,
	combout => \led_flash_cnt[3558][2]~76694_combout\,
	cout => \led_flash_cnt[3558][2]~76695\);

-- Location: FF_X31_Y26_N11
\led_flash_cnt[3558][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3558][2]~76694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3558][2]~q\);

-- Location: LCCOMB_X31_Y26_N12
\led_flash_cnt[3558][3]~76696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3558][3]~76696_combout\ = (\led_flash_cnt[3558][3]~q\ & (\led_flash_cnt[3558][2]~76695\ $ (GND))) # (!\led_flash_cnt[3558][3]~q\ & (!\led_flash_cnt[3558][2]~76695\ & VCC))
-- \led_flash_cnt[3558][3]~76697\ = CARRY((\led_flash_cnt[3558][3]~q\ & !\led_flash_cnt[3558][2]~76695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3558][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3558][2]~76695\,
	combout => \led_flash_cnt[3558][3]~76696_combout\,
	cout => \led_flash_cnt[3558][3]~76697\);

-- Location: FF_X31_Y26_N13
\led_flash_cnt[3558][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3558][3]~76696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3558][3]~q\);

-- Location: LCCOMB_X31_Y26_N14
\led_flash_cnt[3558][4]~76698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3558][4]~76698_combout\ = (\led_flash_cnt[3558][4]~q\ & (!\led_flash_cnt[3558][3]~76697\)) # (!\led_flash_cnt[3558][4]~q\ & ((\led_flash_cnt[3558][3]~76697\) # (GND)))
-- \led_flash_cnt[3558][4]~76699\ = CARRY((!\led_flash_cnt[3558][3]~76697\) # (!\led_flash_cnt[3558][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3558][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3558][3]~76697\,
	combout => \led_flash_cnt[3558][4]~76698_combout\,
	cout => \led_flash_cnt[3558][4]~76699\);

-- Location: FF_X31_Y26_N15
\led_flash_cnt[3558][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3558][4]~76698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3558][4]~q\);

-- Location: LCCOMB_X31_Y26_N16
\led_flash_cnt[3558][5]~76700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3558][5]~76700_combout\ = (\led_flash_cnt[3558][5]~q\ & (\led_flash_cnt[3558][4]~76699\ $ (GND))) # (!\led_flash_cnt[3558][5]~q\ & (!\led_flash_cnt[3558][4]~76699\ & VCC))
-- \led_flash_cnt[3558][5]~76701\ = CARRY((\led_flash_cnt[3558][5]~q\ & !\led_flash_cnt[3558][4]~76699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3558][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3558][4]~76699\,
	combout => \led_flash_cnt[3558][5]~76700_combout\,
	cout => \led_flash_cnt[3558][5]~76701\);

-- Location: FF_X31_Y26_N17
\led_flash_cnt[3558][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3558][5]~76700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3558][5]~q\);

-- Location: LCCOMB_X31_Y26_N18
\led_flash_cnt[3558][6]~76702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3558][6]~76702_combout\ = (\led_flash_cnt[3558][6]~q\ & (!\led_flash_cnt[3558][5]~76701\)) # (!\led_flash_cnt[3558][6]~q\ & ((\led_flash_cnt[3558][5]~76701\) # (GND)))
-- \led_flash_cnt[3558][6]~76703\ = CARRY((!\led_flash_cnt[3558][5]~76701\) # (!\led_flash_cnt[3558][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3558][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3558][5]~76701\,
	combout => \led_flash_cnt[3558][6]~76702_combout\,
	cout => \led_flash_cnt[3558][6]~76703\);

-- Location: FF_X31_Y26_N19
\led_flash_cnt[3558][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3558][6]~76702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3558][6]~q\);

-- Location: LCCOMB_X31_Y26_N20
\led_flash_cnt[3558][7]~76704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3558][7]~76704_combout\ = \led_flash_cnt[3558][6]~76703\ $ (!\led_flash_cnt[3558][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3558][7]~q\,
	cin => \led_flash_cnt[3558][6]~76703\,
	combout => \led_flash_cnt[3558][7]~76704_combout\);

-- Location: FF_X31_Y26_N21
\led_flash_cnt[3558][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3558][7]~76704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3558][7]~q\);

-- Location: LCCOMB_X31_Y26_N4
\WideAnd3558~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3558~1_combout\ = (\led_flash_cnt[3558][5]~q\ & \led_flash_cnt[3558][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3558][5]~q\,
	datad => \led_flash_cnt[3558][6]~q\,
	combout => \WideAnd3558~1_combout\);

-- Location: LCCOMB_X31_Y26_N28
\WideAnd3558~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3558~0_combout\ = (\led_flash_cnt[3558][3]~q\ & (\led_flash_cnt[3558][4]~q\ & (\led_flash_cnt[3558][1]~q\ & \led_flash_cnt[3558][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3558][3]~q\,
	datab => \led_flash_cnt[3558][4]~q\,
	datac => \led_flash_cnt[3558][1]~q\,
	datad => \led_flash_cnt[3558][2]~q\,
	combout => \WideAnd3558~0_combout\);

-- Location: LCCOMB_X31_Y26_N24
WideAnd3558 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3558~combout\ = (\led_flash_cnt[3558][0]~q\ & (\led_flash_cnt[3558][7]~q\ & (\WideAnd3558~1_combout\ & \WideAnd3558~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3558][0]~q\,
	datab => \led_flash_cnt[3558][7]~q\,
	datac => \WideAnd3558~1_combout\,
	datad => \WideAnd3558~0_combout\,
	combout => \WideAnd3558~combout\);

-- Location: FF_X31_Y26_N25
\led_flash_cnt_ands[3558]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3558~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3558));

-- Location: LCCOMB_X31_Y26_N2
WideAnd4284 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4284~combout\ = (led_flash_cnt_ands(3559) & (\WideAnd4284~0_combout\ & (\WideAnd4284~1_combout\ & led_flash_cnt_ands(3558))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3559),
	datab => \WideAnd4284~0_combout\,
	datac => \WideAnd4284~1_combout\,
	datad => led_flash_cnt_ands(3558),
	combout => \WideAnd4284~combout\);

-- Location: FF_X31_Y26_N3
\led_flash_cnt_ands_1[444]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4284~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(444));

-- Location: LCCOMB_X44_Y29_N2
\led_flash_cnt[3566][0]~84206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3566][0]~84206_combout\ = !\led_flash_cnt[3566][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3566][0]~q\,
	combout => \led_flash_cnt[3566][0]~84206_combout\);

-- Location: FF_X44_Y29_N3
\led_flash_cnt[3566][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3566][0]~84206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3566][0]~q\);

-- Location: LCCOMB_X43_Y29_N16
\led_flash_cnt[3566][1]~76804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3566][1]~76804_combout\ = (\led_flash_cnt[3566][0]~q\ & (\led_flash_cnt[3566][1]~q\ $ (VCC))) # (!\led_flash_cnt[3566][0]~q\ & (\led_flash_cnt[3566][1]~q\ & VCC))
-- \led_flash_cnt[3566][1]~76805\ = CARRY((\led_flash_cnt[3566][0]~q\ & \led_flash_cnt[3566][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3566][0]~q\,
	datab => \led_flash_cnt[3566][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3566][1]~76804_combout\,
	cout => \led_flash_cnt[3566][1]~76805\);

-- Location: FF_X43_Y29_N17
\led_flash_cnt[3566][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3566][1]~76804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3566][1]~q\);

-- Location: LCCOMB_X43_Y29_N18
\led_flash_cnt[3566][2]~76806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3566][2]~76806_combout\ = (\led_flash_cnt[3566][2]~q\ & (!\led_flash_cnt[3566][1]~76805\)) # (!\led_flash_cnt[3566][2]~q\ & ((\led_flash_cnt[3566][1]~76805\) # (GND)))
-- \led_flash_cnt[3566][2]~76807\ = CARRY((!\led_flash_cnt[3566][1]~76805\) # (!\led_flash_cnt[3566][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3566][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3566][1]~76805\,
	combout => \led_flash_cnt[3566][2]~76806_combout\,
	cout => \led_flash_cnt[3566][2]~76807\);

-- Location: FF_X43_Y29_N19
\led_flash_cnt[3566][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3566][2]~76806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3566][2]~q\);

-- Location: LCCOMB_X43_Y29_N20
\led_flash_cnt[3566][3]~76808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3566][3]~76808_combout\ = (\led_flash_cnt[3566][3]~q\ & (\led_flash_cnt[3566][2]~76807\ $ (GND))) # (!\led_flash_cnt[3566][3]~q\ & (!\led_flash_cnt[3566][2]~76807\ & VCC))
-- \led_flash_cnt[3566][3]~76809\ = CARRY((\led_flash_cnt[3566][3]~q\ & !\led_flash_cnt[3566][2]~76807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3566][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3566][2]~76807\,
	combout => \led_flash_cnt[3566][3]~76808_combout\,
	cout => \led_flash_cnt[3566][3]~76809\);

-- Location: FF_X43_Y29_N21
\led_flash_cnt[3566][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3566][3]~76808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3566][3]~q\);

-- Location: LCCOMB_X43_Y29_N22
\led_flash_cnt[3566][4]~76810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3566][4]~76810_combout\ = (\led_flash_cnt[3566][4]~q\ & (!\led_flash_cnt[3566][3]~76809\)) # (!\led_flash_cnt[3566][4]~q\ & ((\led_flash_cnt[3566][3]~76809\) # (GND)))
-- \led_flash_cnt[3566][4]~76811\ = CARRY((!\led_flash_cnt[3566][3]~76809\) # (!\led_flash_cnt[3566][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3566][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3566][3]~76809\,
	combout => \led_flash_cnt[3566][4]~76810_combout\,
	cout => \led_flash_cnt[3566][4]~76811\);

-- Location: FF_X43_Y29_N23
\led_flash_cnt[3566][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3566][4]~76810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3566][4]~q\);

-- Location: LCCOMB_X43_Y29_N24
\led_flash_cnt[3566][5]~76812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3566][5]~76812_combout\ = (\led_flash_cnt[3566][5]~q\ & (\led_flash_cnt[3566][4]~76811\ $ (GND))) # (!\led_flash_cnt[3566][5]~q\ & (!\led_flash_cnt[3566][4]~76811\ & VCC))
-- \led_flash_cnt[3566][5]~76813\ = CARRY((\led_flash_cnt[3566][5]~q\ & !\led_flash_cnt[3566][4]~76811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3566][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3566][4]~76811\,
	combout => \led_flash_cnt[3566][5]~76812_combout\,
	cout => \led_flash_cnt[3566][5]~76813\);

-- Location: FF_X43_Y29_N25
\led_flash_cnt[3566][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3566][5]~76812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3566][5]~q\);

-- Location: LCCOMB_X43_Y29_N26
\led_flash_cnt[3566][6]~76814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3566][6]~76814_combout\ = (\led_flash_cnt[3566][6]~q\ & (!\led_flash_cnt[3566][5]~76813\)) # (!\led_flash_cnt[3566][6]~q\ & ((\led_flash_cnt[3566][5]~76813\) # (GND)))
-- \led_flash_cnt[3566][6]~76815\ = CARRY((!\led_flash_cnt[3566][5]~76813\) # (!\led_flash_cnt[3566][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3566][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3566][5]~76813\,
	combout => \led_flash_cnt[3566][6]~76814_combout\,
	cout => \led_flash_cnt[3566][6]~76815\);

-- Location: FF_X43_Y29_N27
\led_flash_cnt[3566][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3566][6]~76814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3566][6]~q\);

-- Location: LCCOMB_X43_Y29_N28
\led_flash_cnt[3566][7]~76816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3566][7]~76816_combout\ = \led_flash_cnt[3566][6]~76815\ $ (!\led_flash_cnt[3566][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3566][7]~q\,
	cin => \led_flash_cnt[3566][6]~76815\,
	combout => \led_flash_cnt[3566][7]~76816_combout\);

-- Location: FF_X43_Y29_N29
\led_flash_cnt[3566][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3566][7]~76816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3566][7]~q\);

-- Location: LCCOMB_X44_Y29_N8
\WideAnd3566~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3566~0_combout\ = (\led_flash_cnt[3566][4]~q\ & (\led_flash_cnt[3566][3]~q\ & (\led_flash_cnt[3566][1]~q\ & \led_flash_cnt[3566][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3566][4]~q\,
	datab => \led_flash_cnt[3566][3]~q\,
	datac => \led_flash_cnt[3566][1]~q\,
	datad => \led_flash_cnt[3566][2]~q\,
	combout => \WideAnd3566~0_combout\);

-- Location: LCCOMB_X43_Y29_N30
\WideAnd3566~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3566~1_combout\ = (\led_flash_cnt[3566][6]~q\ & \led_flash_cnt[3566][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3566][6]~q\,
	datad => \led_flash_cnt[3566][5]~q\,
	combout => \WideAnd3566~1_combout\);

-- Location: LCCOMB_X44_Y29_N12
WideAnd3566 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3566~combout\ = (\led_flash_cnt[3566][0]~q\ & (\led_flash_cnt[3566][7]~q\ & (\WideAnd3566~0_combout\ & \WideAnd3566~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3566][0]~q\,
	datab => \led_flash_cnt[3566][7]~q\,
	datac => \WideAnd3566~0_combout\,
	datad => \WideAnd3566~1_combout\,
	combout => \WideAnd3566~combout\);

-- Location: FF_X43_Y29_N31
\led_flash_cnt_ands[3566]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd3566~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3566));

-- Location: LCCOMB_X44_Y29_N6
\led_flash_cnt[3563][0]~84203\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3563][0]~84203_combout\ = !\led_flash_cnt[3563][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3563][0]~q\,
	combout => \led_flash_cnt[3563][0]~84203_combout\);

-- Location: FF_X44_Y29_N7
\led_flash_cnt[3563][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3563][0]~84203_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3563][0]~q\);

-- Location: LCCOMB_X45_Y29_N2
\led_flash_cnt[3563][1]~76762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3563][1]~76762_combout\ = (\led_flash_cnt[3563][0]~q\ & (\led_flash_cnt[3563][1]~q\ $ (VCC))) # (!\led_flash_cnt[3563][0]~q\ & (\led_flash_cnt[3563][1]~q\ & VCC))
-- \led_flash_cnt[3563][1]~76763\ = CARRY((\led_flash_cnt[3563][0]~q\ & \led_flash_cnt[3563][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3563][0]~q\,
	datab => \led_flash_cnt[3563][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3563][1]~76762_combout\,
	cout => \led_flash_cnt[3563][1]~76763\);

-- Location: FF_X45_Y29_N3
\led_flash_cnt[3563][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3563][1]~76762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3563][1]~q\);

-- Location: LCCOMB_X45_Y29_N4
\led_flash_cnt[3563][2]~76764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3563][2]~76764_combout\ = (\led_flash_cnt[3563][2]~q\ & (!\led_flash_cnt[3563][1]~76763\)) # (!\led_flash_cnt[3563][2]~q\ & ((\led_flash_cnt[3563][1]~76763\) # (GND)))
-- \led_flash_cnt[3563][2]~76765\ = CARRY((!\led_flash_cnt[3563][1]~76763\) # (!\led_flash_cnt[3563][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3563][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3563][1]~76763\,
	combout => \led_flash_cnt[3563][2]~76764_combout\,
	cout => \led_flash_cnt[3563][2]~76765\);

-- Location: FF_X45_Y29_N5
\led_flash_cnt[3563][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3563][2]~76764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3563][2]~q\);

-- Location: LCCOMB_X45_Y29_N6
\led_flash_cnt[3563][3]~76766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3563][3]~76766_combout\ = (\led_flash_cnt[3563][3]~q\ & (\led_flash_cnt[3563][2]~76765\ $ (GND))) # (!\led_flash_cnt[3563][3]~q\ & (!\led_flash_cnt[3563][2]~76765\ & VCC))
-- \led_flash_cnt[3563][3]~76767\ = CARRY((\led_flash_cnt[3563][3]~q\ & !\led_flash_cnt[3563][2]~76765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3563][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3563][2]~76765\,
	combout => \led_flash_cnt[3563][3]~76766_combout\,
	cout => \led_flash_cnt[3563][3]~76767\);

-- Location: FF_X45_Y29_N7
\led_flash_cnt[3563][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3563][3]~76766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3563][3]~q\);

-- Location: LCCOMB_X45_Y29_N8
\led_flash_cnt[3563][4]~76768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3563][4]~76768_combout\ = (\led_flash_cnt[3563][4]~q\ & (!\led_flash_cnt[3563][3]~76767\)) # (!\led_flash_cnt[3563][4]~q\ & ((\led_flash_cnt[3563][3]~76767\) # (GND)))
-- \led_flash_cnt[3563][4]~76769\ = CARRY((!\led_flash_cnt[3563][3]~76767\) # (!\led_flash_cnt[3563][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3563][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3563][3]~76767\,
	combout => \led_flash_cnt[3563][4]~76768_combout\,
	cout => \led_flash_cnt[3563][4]~76769\);

-- Location: FF_X45_Y29_N9
\led_flash_cnt[3563][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3563][4]~76768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3563][4]~q\);

-- Location: LCCOMB_X45_Y29_N10
\led_flash_cnt[3563][5]~76770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3563][5]~76770_combout\ = (\led_flash_cnt[3563][5]~q\ & (\led_flash_cnt[3563][4]~76769\ $ (GND))) # (!\led_flash_cnt[3563][5]~q\ & (!\led_flash_cnt[3563][4]~76769\ & VCC))
-- \led_flash_cnt[3563][5]~76771\ = CARRY((\led_flash_cnt[3563][5]~q\ & !\led_flash_cnt[3563][4]~76769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3563][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3563][4]~76769\,
	combout => \led_flash_cnt[3563][5]~76770_combout\,
	cout => \led_flash_cnt[3563][5]~76771\);

-- Location: FF_X45_Y29_N11
\led_flash_cnt[3563][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3563][5]~76770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3563][5]~q\);

-- Location: LCCOMB_X45_Y29_N12
\led_flash_cnt[3563][6]~76772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3563][6]~76772_combout\ = (\led_flash_cnt[3563][6]~q\ & (!\led_flash_cnt[3563][5]~76771\)) # (!\led_flash_cnt[3563][6]~q\ & ((\led_flash_cnt[3563][5]~76771\) # (GND)))
-- \led_flash_cnt[3563][6]~76773\ = CARRY((!\led_flash_cnt[3563][5]~76771\) # (!\led_flash_cnt[3563][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3563][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3563][5]~76771\,
	combout => \led_flash_cnt[3563][6]~76772_combout\,
	cout => \led_flash_cnt[3563][6]~76773\);

-- Location: FF_X45_Y29_N13
\led_flash_cnt[3563][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3563][6]~76772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3563][6]~q\);

-- Location: LCCOMB_X44_Y29_N30
\WideAnd3563~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3563~1_combout\ = (\led_flash_cnt[3563][6]~q\ & \led_flash_cnt[3563][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3563][6]~q\,
	datac => \led_flash_cnt[3563][5]~q\,
	combout => \WideAnd3563~1_combout\);

-- Location: LCCOMB_X45_Y29_N0
\WideAnd3563~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3563~0_combout\ = (\led_flash_cnt[3563][3]~q\ & (\led_flash_cnt[3563][4]~q\ & (\led_flash_cnt[3563][2]~q\ & \led_flash_cnt[3563][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3563][3]~q\,
	datab => \led_flash_cnt[3563][4]~q\,
	datac => \led_flash_cnt[3563][2]~q\,
	datad => \led_flash_cnt[3563][1]~q\,
	combout => \WideAnd3563~0_combout\);

-- Location: LCCOMB_X45_Y29_N14
\led_flash_cnt[3563][7]~76774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3563][7]~76774_combout\ = \led_flash_cnt[3563][7]~q\ $ (!\led_flash_cnt[3563][6]~76773\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3563][7]~q\,
	cin => \led_flash_cnt[3563][6]~76773\,
	combout => \led_flash_cnt[3563][7]~76774_combout\);

-- Location: FF_X45_Y29_N15
\led_flash_cnt[3563][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3563][7]~76774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3563][7]~q\);

-- Location: LCCOMB_X44_Y29_N0
WideAnd3563 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3563~combout\ = (\WideAnd3563~1_combout\ & (\WideAnd3563~0_combout\ & (\led_flash_cnt[3563][7]~q\ & \led_flash_cnt[3563][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3563~1_combout\,
	datab => \WideAnd3563~0_combout\,
	datac => \led_flash_cnt[3563][7]~q\,
	datad => \led_flash_cnt[3563][0]~q\,
	combout => \WideAnd3563~combout\);

-- Location: FF_X44_Y29_N1
\led_flash_cnt_ands[3563]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3563~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3563));

-- Location: LCCOMB_X36_Y33_N6
\led_flash_cnt[3562][0]~84202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3562][0]~84202_combout\ = !\led_flash_cnt[3562][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3562][0]~q\,
	combout => \led_flash_cnt[3562][0]~84202_combout\);

-- Location: FF_X36_Y33_N7
\led_flash_cnt[3562][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3562][0]~84202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3562][0]~q\);

-- Location: LCCOMB_X37_Y33_N0
\led_flash_cnt[3562][1]~76748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3562][1]~76748_combout\ = (\led_flash_cnt[3562][0]~q\ & (\led_flash_cnt[3562][1]~q\ $ (VCC))) # (!\led_flash_cnt[3562][0]~q\ & (\led_flash_cnt[3562][1]~q\ & VCC))
-- \led_flash_cnt[3562][1]~76749\ = CARRY((\led_flash_cnt[3562][0]~q\ & \led_flash_cnt[3562][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3562][0]~q\,
	datab => \led_flash_cnt[3562][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3562][1]~76748_combout\,
	cout => \led_flash_cnt[3562][1]~76749\);

-- Location: FF_X37_Y33_N1
\led_flash_cnt[3562][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3562][1]~76748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3562][1]~q\);

-- Location: LCCOMB_X37_Y33_N2
\led_flash_cnt[3562][2]~76750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3562][2]~76750_combout\ = (\led_flash_cnt[3562][2]~q\ & (!\led_flash_cnt[3562][1]~76749\)) # (!\led_flash_cnt[3562][2]~q\ & ((\led_flash_cnt[3562][1]~76749\) # (GND)))
-- \led_flash_cnt[3562][2]~76751\ = CARRY((!\led_flash_cnt[3562][1]~76749\) # (!\led_flash_cnt[3562][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3562][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3562][1]~76749\,
	combout => \led_flash_cnt[3562][2]~76750_combout\,
	cout => \led_flash_cnt[3562][2]~76751\);

-- Location: FF_X37_Y33_N3
\led_flash_cnt[3562][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3562][2]~76750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3562][2]~q\);

-- Location: LCCOMB_X37_Y33_N4
\led_flash_cnt[3562][3]~76752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3562][3]~76752_combout\ = (\led_flash_cnt[3562][3]~q\ & (\led_flash_cnt[3562][2]~76751\ $ (GND))) # (!\led_flash_cnt[3562][3]~q\ & (!\led_flash_cnt[3562][2]~76751\ & VCC))
-- \led_flash_cnt[3562][3]~76753\ = CARRY((\led_flash_cnt[3562][3]~q\ & !\led_flash_cnt[3562][2]~76751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3562][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3562][2]~76751\,
	combout => \led_flash_cnt[3562][3]~76752_combout\,
	cout => \led_flash_cnt[3562][3]~76753\);

-- Location: FF_X37_Y33_N5
\led_flash_cnt[3562][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3562][3]~76752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3562][3]~q\);

-- Location: LCCOMB_X37_Y33_N6
\led_flash_cnt[3562][4]~76754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3562][4]~76754_combout\ = (\led_flash_cnt[3562][4]~q\ & (!\led_flash_cnt[3562][3]~76753\)) # (!\led_flash_cnt[3562][4]~q\ & ((\led_flash_cnt[3562][3]~76753\) # (GND)))
-- \led_flash_cnt[3562][4]~76755\ = CARRY((!\led_flash_cnt[3562][3]~76753\) # (!\led_flash_cnt[3562][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3562][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3562][3]~76753\,
	combout => \led_flash_cnt[3562][4]~76754_combout\,
	cout => \led_flash_cnt[3562][4]~76755\);

-- Location: FF_X37_Y33_N7
\led_flash_cnt[3562][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3562][4]~76754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3562][4]~q\);

-- Location: LCCOMB_X37_Y33_N8
\led_flash_cnt[3562][5]~76756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3562][5]~76756_combout\ = (\led_flash_cnt[3562][5]~q\ & (\led_flash_cnt[3562][4]~76755\ $ (GND))) # (!\led_flash_cnt[3562][5]~q\ & (!\led_flash_cnt[3562][4]~76755\ & VCC))
-- \led_flash_cnt[3562][5]~76757\ = CARRY((\led_flash_cnt[3562][5]~q\ & !\led_flash_cnt[3562][4]~76755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3562][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3562][4]~76755\,
	combout => \led_flash_cnt[3562][5]~76756_combout\,
	cout => \led_flash_cnt[3562][5]~76757\);

-- Location: FF_X37_Y33_N9
\led_flash_cnt[3562][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3562][5]~76756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3562][5]~q\);

-- Location: LCCOMB_X37_Y33_N10
\led_flash_cnt[3562][6]~76758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3562][6]~76758_combout\ = (\led_flash_cnt[3562][6]~q\ & (!\led_flash_cnt[3562][5]~76757\)) # (!\led_flash_cnt[3562][6]~q\ & ((\led_flash_cnt[3562][5]~76757\) # (GND)))
-- \led_flash_cnt[3562][6]~76759\ = CARRY((!\led_flash_cnt[3562][5]~76757\) # (!\led_flash_cnt[3562][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3562][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3562][5]~76757\,
	combout => \led_flash_cnt[3562][6]~76758_combout\,
	cout => \led_flash_cnt[3562][6]~76759\);

-- Location: FF_X37_Y33_N11
\led_flash_cnt[3562][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3562][6]~76758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3562][6]~q\);

-- Location: LCCOMB_X36_Y33_N2
\WideAnd3562~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3562~1_combout\ = (\led_flash_cnt[3562][6]~q\ & \led_flash_cnt[3562][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3562][6]~q\,
	datac => \led_flash_cnt[3562][5]~q\,
	combout => \WideAnd3562~1_combout\);

-- Location: LCCOMB_X37_Y33_N12
\led_flash_cnt[3562][7]~76760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3562][7]~76760_combout\ = \led_flash_cnt[3562][6]~76759\ $ (!\led_flash_cnt[3562][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3562][7]~q\,
	cin => \led_flash_cnt[3562][6]~76759\,
	combout => \led_flash_cnt[3562][7]~76760_combout\);

-- Location: FF_X37_Y33_N13
\led_flash_cnt[3562][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3562][7]~76760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3562][7]~q\);

-- Location: LCCOMB_X37_Y33_N16
\WideAnd3562~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3562~0_combout\ = (\led_flash_cnt[3562][4]~q\ & (\led_flash_cnt[3562][2]~q\ & (\led_flash_cnt[3562][3]~q\ & \led_flash_cnt[3562][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3562][4]~q\,
	datab => \led_flash_cnt[3562][2]~q\,
	datac => \led_flash_cnt[3562][3]~q\,
	datad => \led_flash_cnt[3562][1]~q\,
	combout => \WideAnd3562~0_combout\);

-- Location: LCCOMB_X36_Y33_N10
WideAnd3562 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3562~combout\ = (\led_flash_cnt[3562][0]~q\ & (\WideAnd3562~1_combout\ & (\led_flash_cnt[3562][7]~q\ & \WideAnd3562~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3562][0]~q\,
	datab => \WideAnd3562~1_combout\,
	datac => \led_flash_cnt[3562][7]~q\,
	datad => \WideAnd3562~0_combout\,
	combout => \WideAnd3562~combout\);

-- Location: FF_X36_Y33_N11
\led_flash_cnt_ands[3562]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3562~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3562));

-- Location: LCCOMB_X27_Y22_N26
\led_flash_cnt[3560][0]~84200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3560][0]~84200_combout\ = !\led_flash_cnt[3560][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3560][0]~q\,
	combout => \led_flash_cnt[3560][0]~84200_combout\);

-- Location: FF_X27_Y22_N27
\led_flash_cnt[3560][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3560][0]~84200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3560][0]~q\);

-- Location: LCCOMB_X27_Y22_N0
\led_flash_cnt[3560][1]~76720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3560][1]~76720_combout\ = (\led_flash_cnt[3560][0]~q\ & (\led_flash_cnt[3560][1]~q\ $ (VCC))) # (!\led_flash_cnt[3560][0]~q\ & (\led_flash_cnt[3560][1]~q\ & VCC))
-- \led_flash_cnt[3560][1]~76721\ = CARRY((\led_flash_cnt[3560][0]~q\ & \led_flash_cnt[3560][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3560][0]~q\,
	datab => \led_flash_cnt[3560][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3560][1]~76720_combout\,
	cout => \led_flash_cnt[3560][1]~76721\);

-- Location: FF_X27_Y22_N1
\led_flash_cnt[3560][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3560][1]~76720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3560][1]~q\);

-- Location: LCCOMB_X27_Y22_N2
\led_flash_cnt[3560][2]~76722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3560][2]~76722_combout\ = (\led_flash_cnt[3560][2]~q\ & (!\led_flash_cnt[3560][1]~76721\)) # (!\led_flash_cnt[3560][2]~q\ & ((\led_flash_cnt[3560][1]~76721\) # (GND)))
-- \led_flash_cnt[3560][2]~76723\ = CARRY((!\led_flash_cnt[3560][1]~76721\) # (!\led_flash_cnt[3560][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3560][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3560][1]~76721\,
	combout => \led_flash_cnt[3560][2]~76722_combout\,
	cout => \led_flash_cnt[3560][2]~76723\);

-- Location: FF_X27_Y22_N3
\led_flash_cnt[3560][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3560][2]~76722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3560][2]~q\);

-- Location: LCCOMB_X27_Y22_N4
\led_flash_cnt[3560][3]~76724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3560][3]~76724_combout\ = (\led_flash_cnt[3560][3]~q\ & (\led_flash_cnt[3560][2]~76723\ $ (GND))) # (!\led_flash_cnt[3560][3]~q\ & (!\led_flash_cnt[3560][2]~76723\ & VCC))
-- \led_flash_cnt[3560][3]~76725\ = CARRY((\led_flash_cnt[3560][3]~q\ & !\led_flash_cnt[3560][2]~76723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3560][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3560][2]~76723\,
	combout => \led_flash_cnt[3560][3]~76724_combout\,
	cout => \led_flash_cnt[3560][3]~76725\);

-- Location: FF_X27_Y22_N5
\led_flash_cnt[3560][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3560][3]~76724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3560][3]~q\);

-- Location: LCCOMB_X27_Y22_N6
\led_flash_cnt[3560][4]~76726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3560][4]~76726_combout\ = (\led_flash_cnt[3560][4]~q\ & (!\led_flash_cnt[3560][3]~76725\)) # (!\led_flash_cnt[3560][4]~q\ & ((\led_flash_cnt[3560][3]~76725\) # (GND)))
-- \led_flash_cnt[3560][4]~76727\ = CARRY((!\led_flash_cnt[3560][3]~76725\) # (!\led_flash_cnt[3560][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3560][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3560][3]~76725\,
	combout => \led_flash_cnt[3560][4]~76726_combout\,
	cout => \led_flash_cnt[3560][4]~76727\);

-- Location: FF_X27_Y22_N7
\led_flash_cnt[3560][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3560][4]~76726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3560][4]~q\);

-- Location: LCCOMB_X27_Y22_N22
\WideAnd3560~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3560~0_combout\ = (\led_flash_cnt[3560][4]~q\ & (\led_flash_cnt[3560][2]~q\ & (\led_flash_cnt[3560][3]~q\ & \led_flash_cnt[3560][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3560][4]~q\,
	datab => \led_flash_cnt[3560][2]~q\,
	datac => \led_flash_cnt[3560][3]~q\,
	datad => \led_flash_cnt[3560][1]~q\,
	combout => \WideAnd3560~0_combout\);

-- Location: LCCOMB_X27_Y22_N8
\led_flash_cnt[3560][5]~76728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3560][5]~76728_combout\ = (\led_flash_cnt[3560][5]~q\ & (\led_flash_cnt[3560][4]~76727\ $ (GND))) # (!\led_flash_cnt[3560][5]~q\ & (!\led_flash_cnt[3560][4]~76727\ & VCC))
-- \led_flash_cnt[3560][5]~76729\ = CARRY((\led_flash_cnt[3560][5]~q\ & !\led_flash_cnt[3560][4]~76727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3560][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3560][4]~76727\,
	combout => \led_flash_cnt[3560][5]~76728_combout\,
	cout => \led_flash_cnt[3560][5]~76729\);

-- Location: FF_X27_Y22_N9
\led_flash_cnt[3560][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3560][5]~76728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3560][5]~q\);

-- Location: LCCOMB_X27_Y22_N10
\led_flash_cnt[3560][6]~76730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3560][6]~76730_combout\ = (\led_flash_cnt[3560][6]~q\ & (!\led_flash_cnt[3560][5]~76729\)) # (!\led_flash_cnt[3560][6]~q\ & ((\led_flash_cnt[3560][5]~76729\) # (GND)))
-- \led_flash_cnt[3560][6]~76731\ = CARRY((!\led_flash_cnt[3560][5]~76729\) # (!\led_flash_cnt[3560][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3560][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3560][5]~76729\,
	combout => \led_flash_cnt[3560][6]~76730_combout\,
	cout => \led_flash_cnt[3560][6]~76731\);

-- Location: FF_X27_Y22_N11
\led_flash_cnt[3560][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3560][6]~76730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3560][6]~q\);

-- Location: LCCOMB_X27_Y22_N14
\WideAnd3560~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3560~1_combout\ = (\led_flash_cnt[3560][5]~q\ & \led_flash_cnt[3560][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3560][5]~q\,
	datad => \led_flash_cnt[3560][6]~q\,
	combout => \WideAnd3560~1_combout\);

-- Location: LCCOMB_X27_Y22_N12
\led_flash_cnt[3560][7]~76732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3560][7]~76732_combout\ = \led_flash_cnt[3560][6]~76731\ $ (!\led_flash_cnt[3560][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3560][7]~q\,
	cin => \led_flash_cnt[3560][6]~76731\,
	combout => \led_flash_cnt[3560][7]~76732_combout\);

-- Location: FF_X27_Y22_N13
\led_flash_cnt[3560][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3560][7]~76732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3560][7]~q\);

-- Location: LCCOMB_X27_Y22_N16
WideAnd3560 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3560~combout\ = (\WideAnd3560~0_combout\ & (\WideAnd3560~1_combout\ & (\led_flash_cnt[3560][0]~q\ & \led_flash_cnt[3560][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3560~0_combout\,
	datab => \WideAnd3560~1_combout\,
	datac => \led_flash_cnt[3560][0]~q\,
	datad => \led_flash_cnt[3560][7]~q\,
	combout => \WideAnd3560~combout\);

-- Location: FF_X27_Y22_N17
\led_flash_cnt_ands[3560]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3560~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3560));

-- Location: LCCOMB_X36_Y33_N12
\led_flash_cnt[3561][0]~84201\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3561][0]~84201_combout\ = !\led_flash_cnt[3561][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3561][0]~q\,
	combout => \led_flash_cnt[3561][0]~84201_combout\);

-- Location: FF_X36_Y33_N13
\led_flash_cnt[3561][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3561][0]~84201_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3561][0]~q\);

-- Location: LCCOMB_X36_Y33_N14
\led_flash_cnt[3561][1]~76734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3561][1]~76734_combout\ = (\led_flash_cnt[3561][0]~q\ & (\led_flash_cnt[3561][1]~q\ $ (VCC))) # (!\led_flash_cnt[3561][0]~q\ & (\led_flash_cnt[3561][1]~q\ & VCC))
-- \led_flash_cnt[3561][1]~76735\ = CARRY((\led_flash_cnt[3561][0]~q\ & \led_flash_cnt[3561][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3561][0]~q\,
	datab => \led_flash_cnt[3561][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3561][1]~76734_combout\,
	cout => \led_flash_cnt[3561][1]~76735\);

-- Location: FF_X36_Y33_N15
\led_flash_cnt[3561][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3561][1]~76734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3561][1]~q\);

-- Location: LCCOMB_X36_Y33_N16
\led_flash_cnt[3561][2]~76736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3561][2]~76736_combout\ = (\led_flash_cnt[3561][2]~q\ & (!\led_flash_cnt[3561][1]~76735\)) # (!\led_flash_cnt[3561][2]~q\ & ((\led_flash_cnt[3561][1]~76735\) # (GND)))
-- \led_flash_cnt[3561][2]~76737\ = CARRY((!\led_flash_cnt[3561][1]~76735\) # (!\led_flash_cnt[3561][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3561][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3561][1]~76735\,
	combout => \led_flash_cnt[3561][2]~76736_combout\,
	cout => \led_flash_cnt[3561][2]~76737\);

-- Location: FF_X36_Y33_N17
\led_flash_cnt[3561][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3561][2]~76736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3561][2]~q\);

-- Location: LCCOMB_X36_Y33_N18
\led_flash_cnt[3561][3]~76738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3561][3]~76738_combout\ = (\led_flash_cnt[3561][3]~q\ & (\led_flash_cnt[3561][2]~76737\ $ (GND))) # (!\led_flash_cnt[3561][3]~q\ & (!\led_flash_cnt[3561][2]~76737\ & VCC))
-- \led_flash_cnt[3561][3]~76739\ = CARRY((\led_flash_cnt[3561][3]~q\ & !\led_flash_cnt[3561][2]~76737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3561][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3561][2]~76737\,
	combout => \led_flash_cnt[3561][3]~76738_combout\,
	cout => \led_flash_cnt[3561][3]~76739\);

-- Location: FF_X36_Y33_N19
\led_flash_cnt[3561][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3561][3]~76738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3561][3]~q\);

-- Location: LCCOMB_X36_Y33_N20
\led_flash_cnt[3561][4]~76740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3561][4]~76740_combout\ = (\led_flash_cnt[3561][4]~q\ & (!\led_flash_cnt[3561][3]~76739\)) # (!\led_flash_cnt[3561][4]~q\ & ((\led_flash_cnt[3561][3]~76739\) # (GND)))
-- \led_flash_cnt[3561][4]~76741\ = CARRY((!\led_flash_cnt[3561][3]~76739\) # (!\led_flash_cnt[3561][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3561][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3561][3]~76739\,
	combout => \led_flash_cnt[3561][4]~76740_combout\,
	cout => \led_flash_cnt[3561][4]~76741\);

-- Location: FF_X36_Y33_N21
\led_flash_cnt[3561][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3561][4]~76740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3561][4]~q\);

-- Location: LCCOMB_X36_Y33_N22
\led_flash_cnt[3561][5]~76742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3561][5]~76742_combout\ = (\led_flash_cnt[3561][5]~q\ & (\led_flash_cnt[3561][4]~76741\ $ (GND))) # (!\led_flash_cnt[3561][5]~q\ & (!\led_flash_cnt[3561][4]~76741\ & VCC))
-- \led_flash_cnt[3561][5]~76743\ = CARRY((\led_flash_cnt[3561][5]~q\ & !\led_flash_cnt[3561][4]~76741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3561][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3561][4]~76741\,
	combout => \led_flash_cnt[3561][5]~76742_combout\,
	cout => \led_flash_cnt[3561][5]~76743\);

-- Location: FF_X36_Y33_N23
\led_flash_cnt[3561][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3561][5]~76742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3561][5]~q\);

-- Location: LCCOMB_X36_Y33_N24
\led_flash_cnt[3561][6]~76744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3561][6]~76744_combout\ = (\led_flash_cnt[3561][6]~q\ & (!\led_flash_cnt[3561][5]~76743\)) # (!\led_flash_cnt[3561][6]~q\ & ((\led_flash_cnt[3561][5]~76743\) # (GND)))
-- \led_flash_cnt[3561][6]~76745\ = CARRY((!\led_flash_cnt[3561][5]~76743\) # (!\led_flash_cnt[3561][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3561][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3561][5]~76743\,
	combout => \led_flash_cnt[3561][6]~76744_combout\,
	cout => \led_flash_cnt[3561][6]~76745\);

-- Location: FF_X36_Y33_N25
\led_flash_cnt[3561][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3561][6]~76744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3561][6]~q\);

-- Location: LCCOMB_X36_Y33_N30
\WideAnd3561~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3561~1_combout\ = (\led_flash_cnt[3561][5]~q\ & \led_flash_cnt[3561][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3561][5]~q\,
	datad => \led_flash_cnt[3561][6]~q\,
	combout => \WideAnd3561~1_combout\);

-- Location: LCCOMB_X36_Y33_N4
\WideAnd3561~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3561~0_combout\ = (\led_flash_cnt[3561][3]~q\ & (\led_flash_cnt[3561][2]~q\ & (\led_flash_cnt[3561][1]~q\ & \led_flash_cnt[3561][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3561][3]~q\,
	datab => \led_flash_cnt[3561][2]~q\,
	datac => \led_flash_cnt[3561][1]~q\,
	datad => \led_flash_cnt[3561][4]~q\,
	combout => \WideAnd3561~0_combout\);

-- Location: LCCOMB_X36_Y33_N26
\led_flash_cnt[3561][7]~76746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3561][7]~76746_combout\ = \led_flash_cnt[3561][7]~q\ $ (!\led_flash_cnt[3561][6]~76745\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3561][7]~q\,
	cin => \led_flash_cnt[3561][6]~76745\,
	combout => \led_flash_cnt[3561][7]~76746_combout\);

-- Location: FF_X36_Y33_N27
\led_flash_cnt[3561][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3561][7]~76746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3561][7]~q\);

-- Location: LCCOMB_X36_Y33_N8
WideAnd3561 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3561~combout\ = (\WideAnd3561~1_combout\ & (\WideAnd3561~0_combout\ & (\led_flash_cnt[3561][7]~q\ & \led_flash_cnt[3561][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3561~1_combout\,
	datab => \WideAnd3561~0_combout\,
	datac => \led_flash_cnt[3561][7]~q\,
	datad => \led_flash_cnt[3561][0]~q\,
	combout => \WideAnd3561~combout\);

-- Location: FF_X36_Y33_N9
\led_flash_cnt_ands[3561]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3561~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3561));

-- Location: LCCOMB_X36_Y29_N4
\WideAnd4285~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4285~0_combout\ = (led_flash_cnt_ands(3563) & (led_flash_cnt_ands(3562) & (led_flash_cnt_ands(3560) & led_flash_cnt_ands(3561))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3563),
	datab => led_flash_cnt_ands(3562),
	datac => led_flash_cnt_ands(3560),
	datad => led_flash_cnt_ands(3561),
	combout => \WideAnd4285~0_combout\);

-- Location: LCCOMB_X30_Y30_N14
\led_flash_cnt[3565][0]~84205\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3565][0]~84205_combout\ = !\led_flash_cnt[3565][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3565][0]~q\,
	combout => \led_flash_cnt[3565][0]~84205_combout\);

-- Location: FF_X30_Y30_N15
\led_flash_cnt[3565][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3565][0]~84205_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3565][0]~q\);

-- Location: LCCOMB_X31_Y30_N4
\led_flash_cnt[3565][1]~76790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3565][1]~76790_combout\ = (\led_flash_cnt[3565][0]~q\ & (\led_flash_cnt[3565][1]~q\ $ (VCC))) # (!\led_flash_cnt[3565][0]~q\ & (\led_flash_cnt[3565][1]~q\ & VCC))
-- \led_flash_cnt[3565][1]~76791\ = CARRY((\led_flash_cnt[3565][0]~q\ & \led_flash_cnt[3565][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3565][0]~q\,
	datab => \led_flash_cnt[3565][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3565][1]~76790_combout\,
	cout => \led_flash_cnt[3565][1]~76791\);

-- Location: FF_X31_Y30_N5
\led_flash_cnt[3565][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3565][1]~76790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3565][1]~q\);

-- Location: LCCOMB_X31_Y30_N6
\led_flash_cnt[3565][2]~76792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3565][2]~76792_combout\ = (\led_flash_cnt[3565][2]~q\ & (!\led_flash_cnt[3565][1]~76791\)) # (!\led_flash_cnt[3565][2]~q\ & ((\led_flash_cnt[3565][1]~76791\) # (GND)))
-- \led_flash_cnt[3565][2]~76793\ = CARRY((!\led_flash_cnt[3565][1]~76791\) # (!\led_flash_cnt[3565][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3565][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3565][1]~76791\,
	combout => \led_flash_cnt[3565][2]~76792_combout\,
	cout => \led_flash_cnt[3565][2]~76793\);

-- Location: FF_X31_Y30_N7
\led_flash_cnt[3565][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3565][2]~76792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3565][2]~q\);

-- Location: LCCOMB_X31_Y30_N8
\led_flash_cnt[3565][3]~76794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3565][3]~76794_combout\ = (\led_flash_cnt[3565][3]~q\ & (\led_flash_cnt[3565][2]~76793\ $ (GND))) # (!\led_flash_cnt[3565][3]~q\ & (!\led_flash_cnt[3565][2]~76793\ & VCC))
-- \led_flash_cnt[3565][3]~76795\ = CARRY((\led_flash_cnt[3565][3]~q\ & !\led_flash_cnt[3565][2]~76793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3565][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3565][2]~76793\,
	combout => \led_flash_cnt[3565][3]~76794_combout\,
	cout => \led_flash_cnt[3565][3]~76795\);

-- Location: FF_X31_Y30_N9
\led_flash_cnt[3565][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3565][3]~76794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3565][3]~q\);

-- Location: LCCOMB_X31_Y30_N10
\led_flash_cnt[3565][4]~76796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3565][4]~76796_combout\ = (\led_flash_cnt[3565][4]~q\ & (!\led_flash_cnt[3565][3]~76795\)) # (!\led_flash_cnt[3565][4]~q\ & ((\led_flash_cnt[3565][3]~76795\) # (GND)))
-- \led_flash_cnt[3565][4]~76797\ = CARRY((!\led_flash_cnt[3565][3]~76795\) # (!\led_flash_cnt[3565][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3565][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3565][3]~76795\,
	combout => \led_flash_cnt[3565][4]~76796_combout\,
	cout => \led_flash_cnt[3565][4]~76797\);

-- Location: FF_X31_Y30_N11
\led_flash_cnt[3565][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3565][4]~76796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3565][4]~q\);

-- Location: LCCOMB_X31_Y30_N20
\WideAnd3565~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3565~0_combout\ = (\led_flash_cnt[3565][4]~q\ & (\led_flash_cnt[3565][1]~q\ & (\led_flash_cnt[3565][3]~q\ & \led_flash_cnt[3565][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3565][4]~q\,
	datab => \led_flash_cnt[3565][1]~q\,
	datac => \led_flash_cnt[3565][3]~q\,
	datad => \led_flash_cnt[3565][2]~q\,
	combout => \WideAnd3565~0_combout\);

-- Location: LCCOMB_X31_Y30_N12
\led_flash_cnt[3565][5]~76798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3565][5]~76798_combout\ = (\led_flash_cnt[3565][5]~q\ & (\led_flash_cnt[3565][4]~76797\ $ (GND))) # (!\led_flash_cnt[3565][5]~q\ & (!\led_flash_cnt[3565][4]~76797\ & VCC))
-- \led_flash_cnt[3565][5]~76799\ = CARRY((\led_flash_cnt[3565][5]~q\ & !\led_flash_cnt[3565][4]~76797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3565][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3565][4]~76797\,
	combout => \led_flash_cnt[3565][5]~76798_combout\,
	cout => \led_flash_cnt[3565][5]~76799\);

-- Location: FF_X31_Y30_N13
\led_flash_cnt[3565][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3565][5]~76798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3565][5]~q\);

-- Location: LCCOMB_X31_Y30_N14
\led_flash_cnt[3565][6]~76800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3565][6]~76800_combout\ = (\led_flash_cnt[3565][6]~q\ & (!\led_flash_cnt[3565][5]~76799\)) # (!\led_flash_cnt[3565][6]~q\ & ((\led_flash_cnt[3565][5]~76799\) # (GND)))
-- \led_flash_cnt[3565][6]~76801\ = CARRY((!\led_flash_cnt[3565][5]~76799\) # (!\led_flash_cnt[3565][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3565][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3565][5]~76799\,
	combout => \led_flash_cnt[3565][6]~76800_combout\,
	cout => \led_flash_cnt[3565][6]~76801\);

-- Location: FF_X31_Y30_N15
\led_flash_cnt[3565][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3565][6]~76800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3565][6]~q\);

-- Location: LCCOMB_X31_Y30_N26
\WideAnd3565~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3565~1_combout\ = (\led_flash_cnt[3565][6]~q\ & \led_flash_cnt[3565][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3565][6]~q\,
	datad => \led_flash_cnt[3565][5]~q\,
	combout => \WideAnd3565~1_combout\);

-- Location: LCCOMB_X31_Y30_N16
\led_flash_cnt[3565][7]~76802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3565][7]~76802_combout\ = \led_flash_cnt[3565][6]~76801\ $ (!\led_flash_cnt[3565][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3565][7]~q\,
	cin => \led_flash_cnt[3565][6]~76801\,
	combout => \led_flash_cnt[3565][7]~76802_combout\);

-- Location: FF_X31_Y30_N17
\led_flash_cnt[3565][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3565][7]~76802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3565][7]~q\);

-- Location: LCCOMB_X31_Y30_N24
WideAnd3565 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3565~combout\ = (\led_flash_cnt[3565][0]~q\ & (\WideAnd3565~0_combout\ & (\WideAnd3565~1_combout\ & \led_flash_cnt[3565][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3565][0]~q\,
	datab => \WideAnd3565~0_combout\,
	datac => \WideAnd3565~1_combout\,
	datad => \led_flash_cnt[3565][7]~q\,
	combout => \WideAnd3565~combout\);

-- Location: FF_X31_Y30_N25
\led_flash_cnt_ands[3565]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3565~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3565));

-- Location: LCCOMB_X31_Y30_N28
\led_flash_cnt[3564][0]~84204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3564][0]~84204_combout\ = !\led_flash_cnt[3564][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3564][0]~q\,
	combout => \led_flash_cnt[3564][0]~84204_combout\);

-- Location: FF_X31_Y30_N29
\led_flash_cnt[3564][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3564][0]~84204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3564][0]~q\);

-- Location: LCCOMB_X32_Y30_N18
\led_flash_cnt[3564][1]~76776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3564][1]~76776_combout\ = (\led_flash_cnt[3564][0]~q\ & (\led_flash_cnt[3564][1]~q\ $ (VCC))) # (!\led_flash_cnt[3564][0]~q\ & (\led_flash_cnt[3564][1]~q\ & VCC))
-- \led_flash_cnt[3564][1]~76777\ = CARRY((\led_flash_cnt[3564][0]~q\ & \led_flash_cnt[3564][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3564][0]~q\,
	datab => \led_flash_cnt[3564][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3564][1]~76776_combout\,
	cout => \led_flash_cnt[3564][1]~76777\);

-- Location: FF_X32_Y30_N19
\led_flash_cnt[3564][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3564][1]~76776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3564][1]~q\);

-- Location: LCCOMB_X32_Y30_N20
\led_flash_cnt[3564][2]~76778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3564][2]~76778_combout\ = (\led_flash_cnt[3564][2]~q\ & (!\led_flash_cnt[3564][1]~76777\)) # (!\led_flash_cnt[3564][2]~q\ & ((\led_flash_cnt[3564][1]~76777\) # (GND)))
-- \led_flash_cnt[3564][2]~76779\ = CARRY((!\led_flash_cnt[3564][1]~76777\) # (!\led_flash_cnt[3564][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3564][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3564][1]~76777\,
	combout => \led_flash_cnt[3564][2]~76778_combout\,
	cout => \led_flash_cnt[3564][2]~76779\);

-- Location: FF_X32_Y30_N21
\led_flash_cnt[3564][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3564][2]~76778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3564][2]~q\);

-- Location: LCCOMB_X32_Y30_N22
\led_flash_cnt[3564][3]~76780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3564][3]~76780_combout\ = (\led_flash_cnt[3564][3]~q\ & (\led_flash_cnt[3564][2]~76779\ $ (GND))) # (!\led_flash_cnt[3564][3]~q\ & (!\led_flash_cnt[3564][2]~76779\ & VCC))
-- \led_flash_cnt[3564][3]~76781\ = CARRY((\led_flash_cnt[3564][3]~q\ & !\led_flash_cnt[3564][2]~76779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3564][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3564][2]~76779\,
	combout => \led_flash_cnt[3564][3]~76780_combout\,
	cout => \led_flash_cnt[3564][3]~76781\);

-- Location: FF_X32_Y30_N23
\led_flash_cnt[3564][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3564][3]~76780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3564][3]~q\);

-- Location: LCCOMB_X32_Y30_N24
\led_flash_cnt[3564][4]~76782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3564][4]~76782_combout\ = (\led_flash_cnt[3564][4]~q\ & (!\led_flash_cnt[3564][3]~76781\)) # (!\led_flash_cnt[3564][4]~q\ & ((\led_flash_cnt[3564][3]~76781\) # (GND)))
-- \led_flash_cnt[3564][4]~76783\ = CARRY((!\led_flash_cnt[3564][3]~76781\) # (!\led_flash_cnt[3564][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3564][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3564][3]~76781\,
	combout => \led_flash_cnt[3564][4]~76782_combout\,
	cout => \led_flash_cnt[3564][4]~76783\);

-- Location: FF_X32_Y30_N25
\led_flash_cnt[3564][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3564][4]~76782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3564][4]~q\);

-- Location: LCCOMB_X32_Y30_N26
\led_flash_cnt[3564][5]~76784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3564][5]~76784_combout\ = (\led_flash_cnt[3564][5]~q\ & (\led_flash_cnt[3564][4]~76783\ $ (GND))) # (!\led_flash_cnt[3564][5]~q\ & (!\led_flash_cnt[3564][4]~76783\ & VCC))
-- \led_flash_cnt[3564][5]~76785\ = CARRY((\led_flash_cnt[3564][5]~q\ & !\led_flash_cnt[3564][4]~76783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3564][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3564][4]~76783\,
	combout => \led_flash_cnt[3564][5]~76784_combout\,
	cout => \led_flash_cnt[3564][5]~76785\);

-- Location: FF_X32_Y30_N27
\led_flash_cnt[3564][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3564][5]~76784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3564][5]~q\);

-- Location: LCCOMB_X32_Y30_N28
\led_flash_cnt[3564][6]~76786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3564][6]~76786_combout\ = (\led_flash_cnt[3564][6]~q\ & (!\led_flash_cnt[3564][5]~76785\)) # (!\led_flash_cnt[3564][6]~q\ & ((\led_flash_cnt[3564][5]~76785\) # (GND)))
-- \led_flash_cnt[3564][6]~76787\ = CARRY((!\led_flash_cnt[3564][5]~76785\) # (!\led_flash_cnt[3564][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3564][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3564][5]~76785\,
	combout => \led_flash_cnt[3564][6]~76786_combout\,
	cout => \led_flash_cnt[3564][6]~76787\);

-- Location: FF_X32_Y30_N29
\led_flash_cnt[3564][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3564][6]~76786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3564][6]~q\);

-- Location: LCCOMB_X31_Y30_N22
\WideAnd3564~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3564~1_combout\ = (\led_flash_cnt[3564][6]~q\ & \led_flash_cnt[3564][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3564][6]~q\,
	datad => \led_flash_cnt[3564][5]~q\,
	combout => \WideAnd3564~1_combout\);

-- Location: LCCOMB_X31_Y30_N18
\WideAnd3564~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3564~0_combout\ = (\led_flash_cnt[3564][4]~q\ & (\led_flash_cnt[3564][1]~q\ & (\led_flash_cnt[3564][2]~q\ & \led_flash_cnt[3564][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3564][4]~q\,
	datab => \led_flash_cnt[3564][1]~q\,
	datac => \led_flash_cnt[3564][2]~q\,
	datad => \led_flash_cnt[3564][3]~q\,
	combout => \WideAnd3564~0_combout\);

-- Location: LCCOMB_X32_Y30_N30
\led_flash_cnt[3564][7]~76788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3564][7]~76788_combout\ = \led_flash_cnt[3564][7]~q\ $ (!\led_flash_cnt[3564][6]~76787\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3564][7]~q\,
	cin => \led_flash_cnt[3564][6]~76787\,
	combout => \led_flash_cnt[3564][7]~76788_combout\);

-- Location: FF_X32_Y30_N31
\led_flash_cnt[3564][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3564][7]~76788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3564][7]~q\);

-- Location: LCCOMB_X31_Y30_N0
WideAnd3564 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3564~combout\ = (\WideAnd3564~1_combout\ & (\WideAnd3564~0_combout\ & (\led_flash_cnt[3564][7]~q\ & \led_flash_cnt[3564][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3564~1_combout\,
	datab => \WideAnd3564~0_combout\,
	datac => \led_flash_cnt[3564][7]~q\,
	datad => \led_flash_cnt[3564][0]~q\,
	combout => \WideAnd3564~combout\);

-- Location: FF_X31_Y30_N1
\led_flash_cnt_ands[3564]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3564~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3564));

-- Location: LCCOMB_X31_Y30_N30
\WideAnd4285~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4285~1_combout\ = (led_flash_cnt_ands(3565) & led_flash_cnt_ands(3564))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3565),
	datad => led_flash_cnt_ands(3564),
	combout => \WideAnd4285~1_combout\);

-- Location: LCCOMB_X31_Y26_N30
\led_flash_cnt[3567][0]~84207\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3567][0]~84207_combout\ = !\led_flash_cnt[3567][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3567][0]~q\,
	combout => \led_flash_cnt[3567][0]~84207_combout\);

-- Location: FF_X31_Y26_N31
\led_flash_cnt[3567][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3567][0]~84207_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3567][0]~q\);

-- Location: LCCOMB_X30_Y26_N16
\led_flash_cnt[3567][1]~76818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3567][1]~76818_combout\ = (\led_flash_cnt[3567][0]~q\ & (\led_flash_cnt[3567][1]~q\ $ (VCC))) # (!\led_flash_cnt[3567][0]~q\ & (\led_flash_cnt[3567][1]~q\ & VCC))
-- \led_flash_cnt[3567][1]~76819\ = CARRY((\led_flash_cnt[3567][0]~q\ & \led_flash_cnt[3567][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3567][0]~q\,
	datab => \led_flash_cnt[3567][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3567][1]~76818_combout\,
	cout => \led_flash_cnt[3567][1]~76819\);

-- Location: FF_X30_Y26_N17
\led_flash_cnt[3567][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3567][1]~76818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3567][1]~q\);

-- Location: LCCOMB_X30_Y26_N18
\led_flash_cnt[3567][2]~76820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3567][2]~76820_combout\ = (\led_flash_cnt[3567][2]~q\ & (!\led_flash_cnt[3567][1]~76819\)) # (!\led_flash_cnt[3567][2]~q\ & ((\led_flash_cnt[3567][1]~76819\) # (GND)))
-- \led_flash_cnt[3567][2]~76821\ = CARRY((!\led_flash_cnt[3567][1]~76819\) # (!\led_flash_cnt[3567][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3567][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3567][1]~76819\,
	combout => \led_flash_cnt[3567][2]~76820_combout\,
	cout => \led_flash_cnt[3567][2]~76821\);

-- Location: FF_X30_Y26_N19
\led_flash_cnt[3567][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3567][2]~76820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3567][2]~q\);

-- Location: LCCOMB_X30_Y26_N20
\led_flash_cnt[3567][3]~76822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3567][3]~76822_combout\ = (\led_flash_cnt[3567][3]~q\ & (\led_flash_cnt[3567][2]~76821\ $ (GND))) # (!\led_flash_cnt[3567][3]~q\ & (!\led_flash_cnt[3567][2]~76821\ & VCC))
-- \led_flash_cnt[3567][3]~76823\ = CARRY((\led_flash_cnt[3567][3]~q\ & !\led_flash_cnt[3567][2]~76821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3567][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3567][2]~76821\,
	combout => \led_flash_cnt[3567][3]~76822_combout\,
	cout => \led_flash_cnt[3567][3]~76823\);

-- Location: FF_X30_Y26_N21
\led_flash_cnt[3567][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3567][3]~76822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3567][3]~q\);

-- Location: LCCOMB_X30_Y26_N22
\led_flash_cnt[3567][4]~76824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3567][4]~76824_combout\ = (\led_flash_cnt[3567][4]~q\ & (!\led_flash_cnt[3567][3]~76823\)) # (!\led_flash_cnt[3567][4]~q\ & ((\led_flash_cnt[3567][3]~76823\) # (GND)))
-- \led_flash_cnt[3567][4]~76825\ = CARRY((!\led_flash_cnt[3567][3]~76823\) # (!\led_flash_cnt[3567][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3567][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3567][3]~76823\,
	combout => \led_flash_cnt[3567][4]~76824_combout\,
	cout => \led_flash_cnt[3567][4]~76825\);

-- Location: FF_X30_Y26_N23
\led_flash_cnt[3567][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3567][4]~76824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3567][4]~q\);

-- Location: LCCOMB_X30_Y26_N14
\WideAnd3567~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3567~0_combout\ = (\led_flash_cnt[3567][1]~q\ & (\led_flash_cnt[3567][3]~q\ & (\led_flash_cnt[3567][4]~q\ & \led_flash_cnt[3567][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3567][1]~q\,
	datab => \led_flash_cnt[3567][3]~q\,
	datac => \led_flash_cnt[3567][4]~q\,
	datad => \led_flash_cnt[3567][2]~q\,
	combout => \WideAnd3567~0_combout\);

-- Location: LCCOMB_X30_Y26_N24
\led_flash_cnt[3567][5]~76826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3567][5]~76826_combout\ = (\led_flash_cnt[3567][5]~q\ & (\led_flash_cnt[3567][4]~76825\ $ (GND))) # (!\led_flash_cnt[3567][5]~q\ & (!\led_flash_cnt[3567][4]~76825\ & VCC))
-- \led_flash_cnt[3567][5]~76827\ = CARRY((\led_flash_cnt[3567][5]~q\ & !\led_flash_cnt[3567][4]~76825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3567][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3567][4]~76825\,
	combout => \led_flash_cnt[3567][5]~76826_combout\,
	cout => \led_flash_cnt[3567][5]~76827\);

-- Location: FF_X30_Y26_N25
\led_flash_cnt[3567][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3567][5]~76826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3567][5]~q\);

-- Location: LCCOMB_X30_Y26_N26
\led_flash_cnt[3567][6]~76828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3567][6]~76828_combout\ = (\led_flash_cnt[3567][6]~q\ & (!\led_flash_cnt[3567][5]~76827\)) # (!\led_flash_cnt[3567][6]~q\ & ((\led_flash_cnt[3567][5]~76827\) # (GND)))
-- \led_flash_cnt[3567][6]~76829\ = CARRY((!\led_flash_cnt[3567][5]~76827\) # (!\led_flash_cnt[3567][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3567][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3567][5]~76827\,
	combout => \led_flash_cnt[3567][6]~76828_combout\,
	cout => \led_flash_cnt[3567][6]~76829\);

-- Location: FF_X30_Y26_N27
\led_flash_cnt[3567][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3567][6]~76828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3567][6]~q\);

-- Location: LCCOMB_X30_Y26_N28
\led_flash_cnt[3567][7]~76830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3567][7]~76830_combout\ = \led_flash_cnt[3567][6]~76829\ $ (!\led_flash_cnt[3567][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3567][7]~q\,
	cin => \led_flash_cnt[3567][6]~76829\,
	combout => \led_flash_cnt[3567][7]~76830_combout\);

-- Location: FF_X30_Y26_N29
\led_flash_cnt[3567][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3567][7]~76830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3567][7]~q\);

-- Location: LCCOMB_X31_Y26_N22
\WideAnd3567~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3567~1_combout\ = (\led_flash_cnt[3567][6]~q\ & \led_flash_cnt[3567][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3567][6]~q\,
	datad => \led_flash_cnt[3567][5]~q\,
	combout => \WideAnd3567~1_combout\);

-- Location: LCCOMB_X31_Y26_N26
WideAnd3567 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3567~combout\ = (\WideAnd3567~0_combout\ & (\led_flash_cnt[3567][7]~q\ & (\WideAnd3567~1_combout\ & \led_flash_cnt[3567][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3567~0_combout\,
	datab => \led_flash_cnt[3567][7]~q\,
	datac => \WideAnd3567~1_combout\,
	datad => \led_flash_cnt[3567][0]~q\,
	combout => \WideAnd3567~combout\);

-- Location: FF_X31_Y26_N27
\led_flash_cnt_ands[3567]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3567~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3567));

-- Location: LCCOMB_X31_Y29_N0
WideAnd4285 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4285~combout\ = (led_flash_cnt_ands(3566) & (\WideAnd4285~0_combout\ & (\WideAnd4285~1_combout\ & led_flash_cnt_ands(3567))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3566),
	datab => \WideAnd4285~0_combout\,
	datac => \WideAnd4285~1_combout\,
	datad => led_flash_cnt_ands(3567),
	combout => \WideAnd4285~combout\);

-- Location: FF_X31_Y29_N1
\led_flash_cnt_ands_1[445]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4285~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(445));

-- Location: LCCOMB_X31_Y30_N2
\WideAnd4375~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4375~1_combout\ = (led_flash_cnt_ands_1(444) & led_flash_cnt_ands_1(445))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(444),
	datad => led_flash_cnt_ands_1(445),
	combout => \WideAnd4375~1_combout\);

-- Location: LCCOMB_X32_Y30_N14
WideAnd4375 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4375~combout\ = (led_flash_cnt_ands_1(446) & (\WideAnd4375~0_combout\ & (led_flash_cnt_ands_1(447) & \WideAnd4375~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(446),
	datab => \WideAnd4375~0_combout\,
	datac => led_flash_cnt_ands_1(447),
	datad => \WideAnd4375~1_combout\,
	combout => \WideAnd4375~combout\);

-- Location: FF_X32_Y30_N15
\led_flash_cnt_ands_2[55]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4375~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(55));

-- Location: LCCOMB_X52_Y30_N0
\WideAnd4380~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~16_combout\ = (led_flash_cnt_ands_2(53) & (led_flash_cnt_ands_2(52) & (led_flash_cnt_ands_2(54) & led_flash_cnt_ands_2(55))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(53),
	datab => led_flash_cnt_ands_2(52),
	datac => led_flash_cnt_ands_2(54),
	datad => led_flash_cnt_ands_2(55),
	combout => \WideAnd4380~16_combout\);

-- Location: LCCOMB_X16_Y8_N0
\led_flash_cnt[3078][0]~83718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3078][0]~83718_combout\ = !\led_flash_cnt[3078][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3078][0]~q\,
	combout => \led_flash_cnt[3078][0]~83718_combout\);

-- Location: FF_X16_Y8_N1
\led_flash_cnt[3078][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3078][0]~83718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3078][0]~q\);

-- Location: LCCOMB_X15_Y8_N2
\led_flash_cnt[3078][1]~69972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3078][1]~69972_combout\ = (\led_flash_cnt[3078][0]~q\ & (\led_flash_cnt[3078][1]~q\ $ (VCC))) # (!\led_flash_cnt[3078][0]~q\ & (\led_flash_cnt[3078][1]~q\ & VCC))
-- \led_flash_cnt[3078][1]~69973\ = CARRY((\led_flash_cnt[3078][0]~q\ & \led_flash_cnt[3078][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3078][0]~q\,
	datab => \led_flash_cnt[3078][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3078][1]~69972_combout\,
	cout => \led_flash_cnt[3078][1]~69973\);

-- Location: FF_X15_Y8_N3
\led_flash_cnt[3078][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3078][1]~69972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3078][1]~q\);

-- Location: LCCOMB_X15_Y8_N4
\led_flash_cnt[3078][2]~69974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3078][2]~69974_combout\ = (\led_flash_cnt[3078][2]~q\ & (!\led_flash_cnt[3078][1]~69973\)) # (!\led_flash_cnt[3078][2]~q\ & ((\led_flash_cnt[3078][1]~69973\) # (GND)))
-- \led_flash_cnt[3078][2]~69975\ = CARRY((!\led_flash_cnt[3078][1]~69973\) # (!\led_flash_cnt[3078][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3078][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3078][1]~69973\,
	combout => \led_flash_cnt[3078][2]~69974_combout\,
	cout => \led_flash_cnt[3078][2]~69975\);

-- Location: FF_X15_Y8_N5
\led_flash_cnt[3078][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3078][2]~69974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3078][2]~q\);

-- Location: LCCOMB_X15_Y8_N6
\led_flash_cnt[3078][3]~69976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3078][3]~69976_combout\ = (\led_flash_cnt[3078][3]~q\ & (\led_flash_cnt[3078][2]~69975\ $ (GND))) # (!\led_flash_cnt[3078][3]~q\ & (!\led_flash_cnt[3078][2]~69975\ & VCC))
-- \led_flash_cnt[3078][3]~69977\ = CARRY((\led_flash_cnt[3078][3]~q\ & !\led_flash_cnt[3078][2]~69975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3078][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3078][2]~69975\,
	combout => \led_flash_cnt[3078][3]~69976_combout\,
	cout => \led_flash_cnt[3078][3]~69977\);

-- Location: FF_X15_Y8_N7
\led_flash_cnt[3078][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3078][3]~69976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3078][3]~q\);

-- Location: LCCOMB_X15_Y8_N8
\led_flash_cnt[3078][4]~69978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3078][4]~69978_combout\ = (\led_flash_cnt[3078][4]~q\ & (!\led_flash_cnt[3078][3]~69977\)) # (!\led_flash_cnt[3078][4]~q\ & ((\led_flash_cnt[3078][3]~69977\) # (GND)))
-- \led_flash_cnt[3078][4]~69979\ = CARRY((!\led_flash_cnt[3078][3]~69977\) # (!\led_flash_cnt[3078][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3078][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3078][3]~69977\,
	combout => \led_flash_cnt[3078][4]~69978_combout\,
	cout => \led_flash_cnt[3078][4]~69979\);

-- Location: FF_X15_Y8_N9
\led_flash_cnt[3078][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3078][4]~69978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3078][4]~q\);

-- Location: LCCOMB_X15_Y8_N10
\led_flash_cnt[3078][5]~69980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3078][5]~69980_combout\ = (\led_flash_cnt[3078][5]~q\ & (\led_flash_cnt[3078][4]~69979\ $ (GND))) # (!\led_flash_cnt[3078][5]~q\ & (!\led_flash_cnt[3078][4]~69979\ & VCC))
-- \led_flash_cnt[3078][5]~69981\ = CARRY((\led_flash_cnt[3078][5]~q\ & !\led_flash_cnt[3078][4]~69979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3078][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3078][4]~69979\,
	combout => \led_flash_cnt[3078][5]~69980_combout\,
	cout => \led_flash_cnt[3078][5]~69981\);

-- Location: FF_X15_Y8_N11
\led_flash_cnt[3078][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3078][5]~69980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3078][5]~q\);

-- Location: LCCOMB_X15_Y8_N12
\led_flash_cnt[3078][6]~69982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3078][6]~69982_combout\ = (\led_flash_cnt[3078][6]~q\ & (!\led_flash_cnt[3078][5]~69981\)) # (!\led_flash_cnt[3078][6]~q\ & ((\led_flash_cnt[3078][5]~69981\) # (GND)))
-- \led_flash_cnt[3078][6]~69983\ = CARRY((!\led_flash_cnt[3078][5]~69981\) # (!\led_flash_cnt[3078][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3078][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3078][5]~69981\,
	combout => \led_flash_cnt[3078][6]~69982_combout\,
	cout => \led_flash_cnt[3078][6]~69983\);

-- Location: FF_X15_Y8_N13
\led_flash_cnt[3078][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3078][6]~69982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3078][6]~q\);

-- Location: LCCOMB_X15_Y8_N14
\led_flash_cnt[3078][7]~69984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3078][7]~69984_combout\ = \led_flash_cnt[3078][7]~q\ $ (!\led_flash_cnt[3078][6]~69983\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3078][7]~q\,
	cin => \led_flash_cnt[3078][6]~69983\,
	combout => \led_flash_cnt[3078][7]~69984_combout\);

-- Location: FF_X15_Y8_N15
\led_flash_cnt[3078][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3078][7]~69984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3078][7]~q\);

-- Location: LCCOMB_X16_Y8_N16
\WideAnd3078~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3078~1_combout\ = (\led_flash_cnt[3078][6]~q\ & \led_flash_cnt[3078][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3078][6]~q\,
	datad => \led_flash_cnt[3078][5]~q\,
	combout => \WideAnd3078~1_combout\);

-- Location: LCCOMB_X15_Y8_N0
\WideAnd3078~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3078~0_combout\ = (\led_flash_cnt[3078][3]~q\ & (\led_flash_cnt[3078][2]~q\ & (\led_flash_cnt[3078][4]~q\ & \led_flash_cnt[3078][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3078][3]~q\,
	datab => \led_flash_cnt[3078][2]~q\,
	datac => \led_flash_cnt[3078][4]~q\,
	datad => \led_flash_cnt[3078][1]~q\,
	combout => \WideAnd3078~0_combout\);

-- Location: LCCOMB_X16_Y8_N22
WideAnd3078 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3078~combout\ = (\led_flash_cnt[3078][7]~q\ & (\WideAnd3078~1_combout\ & (\WideAnd3078~0_combout\ & \led_flash_cnt[3078][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3078][7]~q\,
	datab => \WideAnd3078~1_combout\,
	datac => \WideAnd3078~0_combout\,
	datad => \led_flash_cnt[3078][0]~q\,
	combout => \WideAnd3078~combout\);

-- Location: FF_X16_Y8_N23
\led_flash_cnt_ands[3078]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3078~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3078));

-- Location: LCCOMB_X12_Y5_N6
\led_flash_cnt[3079][0]~83719\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3079][0]~83719_combout\ = !\led_flash_cnt[3079][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3079][0]~q\,
	combout => \led_flash_cnt[3079][0]~83719_combout\);

-- Location: FF_X12_Y5_N7
\led_flash_cnt[3079][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3079][0]~83719_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3079][0]~q\);

-- Location: LCCOMB_X13_Y5_N2
\led_flash_cnt[3079][1]~69986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3079][1]~69986_combout\ = (\led_flash_cnt[3079][0]~q\ & (\led_flash_cnt[3079][1]~q\ $ (VCC))) # (!\led_flash_cnt[3079][0]~q\ & (\led_flash_cnt[3079][1]~q\ & VCC))
-- \led_flash_cnt[3079][1]~69987\ = CARRY((\led_flash_cnt[3079][0]~q\ & \led_flash_cnt[3079][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3079][0]~q\,
	datab => \led_flash_cnt[3079][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3079][1]~69986_combout\,
	cout => \led_flash_cnt[3079][1]~69987\);

-- Location: FF_X13_Y5_N3
\led_flash_cnt[3079][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3079][1]~69986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3079][1]~q\);

-- Location: LCCOMB_X13_Y5_N4
\led_flash_cnt[3079][2]~69988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3079][2]~69988_combout\ = (\led_flash_cnt[3079][2]~q\ & (!\led_flash_cnt[3079][1]~69987\)) # (!\led_flash_cnt[3079][2]~q\ & ((\led_flash_cnt[3079][1]~69987\) # (GND)))
-- \led_flash_cnt[3079][2]~69989\ = CARRY((!\led_flash_cnt[3079][1]~69987\) # (!\led_flash_cnt[3079][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3079][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3079][1]~69987\,
	combout => \led_flash_cnt[3079][2]~69988_combout\,
	cout => \led_flash_cnt[3079][2]~69989\);

-- Location: FF_X13_Y5_N5
\led_flash_cnt[3079][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3079][2]~69988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3079][2]~q\);

-- Location: LCCOMB_X13_Y5_N6
\led_flash_cnt[3079][3]~69990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3079][3]~69990_combout\ = (\led_flash_cnt[3079][3]~q\ & (\led_flash_cnt[3079][2]~69989\ $ (GND))) # (!\led_flash_cnt[3079][3]~q\ & (!\led_flash_cnt[3079][2]~69989\ & VCC))
-- \led_flash_cnt[3079][3]~69991\ = CARRY((\led_flash_cnt[3079][3]~q\ & !\led_flash_cnt[3079][2]~69989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3079][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3079][2]~69989\,
	combout => \led_flash_cnt[3079][3]~69990_combout\,
	cout => \led_flash_cnt[3079][3]~69991\);

-- Location: FF_X13_Y5_N7
\led_flash_cnt[3079][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3079][3]~69990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3079][3]~q\);

-- Location: LCCOMB_X13_Y5_N8
\led_flash_cnt[3079][4]~69992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3079][4]~69992_combout\ = (\led_flash_cnt[3079][4]~q\ & (!\led_flash_cnt[3079][3]~69991\)) # (!\led_flash_cnt[3079][4]~q\ & ((\led_flash_cnt[3079][3]~69991\) # (GND)))
-- \led_flash_cnt[3079][4]~69993\ = CARRY((!\led_flash_cnt[3079][3]~69991\) # (!\led_flash_cnt[3079][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3079][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3079][3]~69991\,
	combout => \led_flash_cnt[3079][4]~69992_combout\,
	cout => \led_flash_cnt[3079][4]~69993\);

-- Location: FF_X13_Y5_N9
\led_flash_cnt[3079][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3079][4]~69992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3079][4]~q\);

-- Location: LCCOMB_X13_Y5_N10
\led_flash_cnt[3079][5]~69994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3079][5]~69994_combout\ = (\led_flash_cnt[3079][5]~q\ & (\led_flash_cnt[3079][4]~69993\ $ (GND))) # (!\led_flash_cnt[3079][5]~q\ & (!\led_flash_cnt[3079][4]~69993\ & VCC))
-- \led_flash_cnt[3079][5]~69995\ = CARRY((\led_flash_cnt[3079][5]~q\ & !\led_flash_cnt[3079][4]~69993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3079][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3079][4]~69993\,
	combout => \led_flash_cnt[3079][5]~69994_combout\,
	cout => \led_flash_cnt[3079][5]~69995\);

-- Location: FF_X13_Y5_N11
\led_flash_cnt[3079][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3079][5]~69994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3079][5]~q\);

-- Location: LCCOMB_X13_Y5_N12
\led_flash_cnt[3079][6]~69996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3079][6]~69996_combout\ = (\led_flash_cnt[3079][6]~q\ & (!\led_flash_cnt[3079][5]~69995\)) # (!\led_flash_cnt[3079][6]~q\ & ((\led_flash_cnt[3079][5]~69995\) # (GND)))
-- \led_flash_cnt[3079][6]~69997\ = CARRY((!\led_flash_cnt[3079][5]~69995\) # (!\led_flash_cnt[3079][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3079][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3079][5]~69995\,
	combout => \led_flash_cnt[3079][6]~69996_combout\,
	cout => \led_flash_cnt[3079][6]~69997\);

-- Location: FF_X13_Y5_N13
\led_flash_cnt[3079][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3079][6]~69996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3079][6]~q\);

-- Location: LCCOMB_X12_Y5_N10
\WideAnd3079~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3079~1_combout\ = (\led_flash_cnt[3079][6]~q\ & \led_flash_cnt[3079][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3079][6]~q\,
	datac => \led_flash_cnt[3079][5]~q\,
	combout => \WideAnd3079~1_combout\);

-- Location: LCCOMB_X13_Y5_N0
\WideAnd3079~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3079~0_combout\ = (\led_flash_cnt[3079][3]~q\ & (\led_flash_cnt[3079][4]~q\ & (\led_flash_cnt[3079][2]~q\ & \led_flash_cnt[3079][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3079][3]~q\,
	datab => \led_flash_cnt[3079][4]~q\,
	datac => \led_flash_cnt[3079][2]~q\,
	datad => \led_flash_cnt[3079][1]~q\,
	combout => \WideAnd3079~0_combout\);

-- Location: LCCOMB_X13_Y5_N14
\led_flash_cnt[3079][7]~69998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3079][7]~69998_combout\ = \led_flash_cnt[3079][7]~q\ $ (!\led_flash_cnt[3079][6]~69997\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3079][7]~q\,
	cin => \led_flash_cnt[3079][6]~69997\,
	combout => \led_flash_cnt[3079][7]~69998_combout\);

-- Location: FF_X13_Y5_N15
\led_flash_cnt[3079][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3079][7]~69998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3079][7]~q\);

-- Location: LCCOMB_X12_Y5_N8
WideAnd3079 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3079~combout\ = (\WideAnd3079~1_combout\ & (\WideAnd3079~0_combout\ & (\led_flash_cnt[3079][7]~q\ & \led_flash_cnt[3079][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3079~1_combout\,
	datab => \WideAnd3079~0_combout\,
	datac => \led_flash_cnt[3079][7]~q\,
	datad => \led_flash_cnt[3079][0]~q\,
	combout => \WideAnd3079~combout\);

-- Location: FF_X12_Y5_N9
\led_flash_cnt_ands[3079]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3079~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3079));

-- Location: LCCOMB_X19_Y9_N2
\led_flash_cnt[3077][0]~83717\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3077][0]~83717_combout\ = !\led_flash_cnt[3077][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3077][0]~q\,
	combout => \led_flash_cnt[3077][0]~83717_combout\);

-- Location: FF_X19_Y9_N3
\led_flash_cnt[3077][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3077][0]~83717_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3077][0]~q\);

-- Location: LCCOMB_X16_Y9_N2
\led_flash_cnt[3077][1]~69958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3077][1]~69958_combout\ = (\led_flash_cnt[3077][1]~q\ & (\led_flash_cnt[3077][0]~q\ $ (VCC))) # (!\led_flash_cnt[3077][1]~q\ & (\led_flash_cnt[3077][0]~q\ & VCC))
-- \led_flash_cnt[3077][1]~69959\ = CARRY((\led_flash_cnt[3077][1]~q\ & \led_flash_cnt[3077][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3077][1]~q\,
	datab => \led_flash_cnt[3077][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3077][1]~69958_combout\,
	cout => \led_flash_cnt[3077][1]~69959\);

-- Location: FF_X16_Y9_N3
\led_flash_cnt[3077][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3077][1]~69958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3077][1]~q\);

-- Location: LCCOMB_X16_Y9_N4
\led_flash_cnt[3077][2]~69960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3077][2]~69960_combout\ = (\led_flash_cnt[3077][2]~q\ & (!\led_flash_cnt[3077][1]~69959\)) # (!\led_flash_cnt[3077][2]~q\ & ((\led_flash_cnt[3077][1]~69959\) # (GND)))
-- \led_flash_cnt[3077][2]~69961\ = CARRY((!\led_flash_cnt[3077][1]~69959\) # (!\led_flash_cnt[3077][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3077][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3077][1]~69959\,
	combout => \led_flash_cnt[3077][2]~69960_combout\,
	cout => \led_flash_cnt[3077][2]~69961\);

-- Location: FF_X16_Y9_N5
\led_flash_cnt[3077][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3077][2]~69960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3077][2]~q\);

-- Location: LCCOMB_X16_Y9_N6
\led_flash_cnt[3077][3]~69962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3077][3]~69962_combout\ = (\led_flash_cnt[3077][3]~q\ & (\led_flash_cnt[3077][2]~69961\ $ (GND))) # (!\led_flash_cnt[3077][3]~q\ & (!\led_flash_cnt[3077][2]~69961\ & VCC))
-- \led_flash_cnt[3077][3]~69963\ = CARRY((\led_flash_cnt[3077][3]~q\ & !\led_flash_cnt[3077][2]~69961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3077][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3077][2]~69961\,
	combout => \led_flash_cnt[3077][3]~69962_combout\,
	cout => \led_flash_cnt[3077][3]~69963\);

-- Location: FF_X16_Y9_N7
\led_flash_cnt[3077][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3077][3]~69962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3077][3]~q\);

-- Location: LCCOMB_X16_Y9_N8
\led_flash_cnt[3077][4]~69964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3077][4]~69964_combout\ = (\led_flash_cnt[3077][4]~q\ & (!\led_flash_cnt[3077][3]~69963\)) # (!\led_flash_cnt[3077][4]~q\ & ((\led_flash_cnt[3077][3]~69963\) # (GND)))
-- \led_flash_cnt[3077][4]~69965\ = CARRY((!\led_flash_cnt[3077][3]~69963\) # (!\led_flash_cnt[3077][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3077][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3077][3]~69963\,
	combout => \led_flash_cnt[3077][4]~69964_combout\,
	cout => \led_flash_cnt[3077][4]~69965\);

-- Location: FF_X16_Y9_N9
\led_flash_cnt[3077][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3077][4]~69964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3077][4]~q\);

-- Location: LCCOMB_X16_Y9_N10
\led_flash_cnt[3077][5]~69966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3077][5]~69966_combout\ = (\led_flash_cnt[3077][5]~q\ & (\led_flash_cnt[3077][4]~69965\ $ (GND))) # (!\led_flash_cnt[3077][5]~q\ & (!\led_flash_cnt[3077][4]~69965\ & VCC))
-- \led_flash_cnt[3077][5]~69967\ = CARRY((\led_flash_cnt[3077][5]~q\ & !\led_flash_cnt[3077][4]~69965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3077][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3077][4]~69965\,
	combout => \led_flash_cnt[3077][5]~69966_combout\,
	cout => \led_flash_cnt[3077][5]~69967\);

-- Location: FF_X16_Y9_N11
\led_flash_cnt[3077][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3077][5]~69966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3077][5]~q\);

-- Location: LCCOMB_X16_Y9_N12
\led_flash_cnt[3077][6]~69968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3077][6]~69968_combout\ = (\led_flash_cnt[3077][6]~q\ & (!\led_flash_cnt[3077][5]~69967\)) # (!\led_flash_cnt[3077][6]~q\ & ((\led_flash_cnt[3077][5]~69967\) # (GND)))
-- \led_flash_cnt[3077][6]~69969\ = CARRY((!\led_flash_cnt[3077][5]~69967\) # (!\led_flash_cnt[3077][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3077][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3077][5]~69967\,
	combout => \led_flash_cnt[3077][6]~69968_combout\,
	cout => \led_flash_cnt[3077][6]~69969\);

-- Location: FF_X16_Y9_N13
\led_flash_cnt[3077][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3077][6]~69968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3077][6]~q\);

-- Location: LCCOMB_X15_Y9_N2
\WideAnd3077~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3077~1_combout\ = (\led_flash_cnt[3077][6]~q\ & \led_flash_cnt[3077][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3077][6]~q\,
	datac => \led_flash_cnt[3077][5]~q\,
	combout => \WideAnd3077~1_combout\);

-- Location: LCCOMB_X16_Y9_N14
\led_flash_cnt[3077][7]~69970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3077][7]~69970_combout\ = \led_flash_cnt[3077][7]~q\ $ (!\led_flash_cnt[3077][6]~69969\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3077][7]~q\,
	cin => \led_flash_cnt[3077][6]~69969\,
	combout => \led_flash_cnt[3077][7]~69970_combout\);

-- Location: FF_X16_Y9_N15
\led_flash_cnt[3077][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3077][7]~69970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3077][7]~q\);

-- Location: LCCOMB_X15_Y9_N30
\WideAnd3077~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3077~0_combout\ = (\led_flash_cnt[3077][1]~q\ & (\led_flash_cnt[3077][3]~q\ & (\led_flash_cnt[3077][4]~q\ & \led_flash_cnt[3077][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3077][1]~q\,
	datab => \led_flash_cnt[3077][3]~q\,
	datac => \led_flash_cnt[3077][4]~q\,
	datad => \led_flash_cnt[3077][2]~q\,
	combout => \WideAnd3077~0_combout\);

-- Location: LCCOMB_X16_Y9_N30
WideAnd3077 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3077~combout\ = (\WideAnd3077~1_combout\ & (\led_flash_cnt[3077][0]~q\ & (\led_flash_cnt[3077][7]~q\ & \WideAnd3077~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3077~1_combout\,
	datab => \led_flash_cnt[3077][0]~q\,
	datac => \led_flash_cnt[3077][7]~q\,
	datad => \WideAnd3077~0_combout\,
	combout => \WideAnd3077~combout\);

-- Location: FF_X16_Y9_N31
\led_flash_cnt_ands[3077]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3077~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3077));

-- Location: LCCOMB_X15_Y7_N6
\led_flash_cnt[3076][0]~83716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3076][0]~83716_combout\ = !\led_flash_cnt[3076][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3076][0]~q\,
	combout => \led_flash_cnt[3076][0]~83716_combout\);

-- Location: FF_X15_Y7_N7
\led_flash_cnt[3076][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3076][0]~83716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3076][0]~q\);

-- Location: LCCOMB_X16_Y7_N14
\led_flash_cnt[3076][1]~69944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3076][1]~69944_combout\ = (\led_flash_cnt[3076][1]~q\ & (\led_flash_cnt[3076][0]~q\ $ (VCC))) # (!\led_flash_cnt[3076][1]~q\ & (\led_flash_cnt[3076][0]~q\ & VCC))
-- \led_flash_cnt[3076][1]~69945\ = CARRY((\led_flash_cnt[3076][1]~q\ & \led_flash_cnt[3076][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3076][1]~q\,
	datab => \led_flash_cnt[3076][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3076][1]~69944_combout\,
	cout => \led_flash_cnt[3076][1]~69945\);

-- Location: FF_X16_Y7_N15
\led_flash_cnt[3076][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3076][1]~69944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3076][1]~q\);

-- Location: LCCOMB_X16_Y7_N16
\led_flash_cnt[3076][2]~69946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3076][2]~69946_combout\ = (\led_flash_cnt[3076][2]~q\ & (!\led_flash_cnt[3076][1]~69945\)) # (!\led_flash_cnt[3076][2]~q\ & ((\led_flash_cnt[3076][1]~69945\) # (GND)))
-- \led_flash_cnt[3076][2]~69947\ = CARRY((!\led_flash_cnt[3076][1]~69945\) # (!\led_flash_cnt[3076][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3076][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3076][1]~69945\,
	combout => \led_flash_cnt[3076][2]~69946_combout\,
	cout => \led_flash_cnt[3076][2]~69947\);

-- Location: FF_X16_Y7_N17
\led_flash_cnt[3076][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3076][2]~69946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3076][2]~q\);

-- Location: LCCOMB_X16_Y7_N18
\led_flash_cnt[3076][3]~69948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3076][3]~69948_combout\ = (\led_flash_cnt[3076][3]~q\ & (\led_flash_cnt[3076][2]~69947\ $ (GND))) # (!\led_flash_cnt[3076][3]~q\ & (!\led_flash_cnt[3076][2]~69947\ & VCC))
-- \led_flash_cnt[3076][3]~69949\ = CARRY((\led_flash_cnt[3076][3]~q\ & !\led_flash_cnt[3076][2]~69947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3076][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3076][2]~69947\,
	combout => \led_flash_cnt[3076][3]~69948_combout\,
	cout => \led_flash_cnt[3076][3]~69949\);

-- Location: FF_X16_Y7_N19
\led_flash_cnt[3076][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3076][3]~69948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3076][3]~q\);

-- Location: LCCOMB_X16_Y7_N20
\led_flash_cnt[3076][4]~69950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3076][4]~69950_combout\ = (\led_flash_cnt[3076][4]~q\ & (!\led_flash_cnt[3076][3]~69949\)) # (!\led_flash_cnt[3076][4]~q\ & ((\led_flash_cnt[3076][3]~69949\) # (GND)))
-- \led_flash_cnt[3076][4]~69951\ = CARRY((!\led_flash_cnt[3076][3]~69949\) # (!\led_flash_cnt[3076][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3076][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3076][3]~69949\,
	combout => \led_flash_cnt[3076][4]~69950_combout\,
	cout => \led_flash_cnt[3076][4]~69951\);

-- Location: FF_X16_Y7_N21
\led_flash_cnt[3076][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3076][4]~69950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3076][4]~q\);

-- Location: LCCOMB_X16_Y7_N6
\WideAnd3076~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3076~0_combout\ = (\led_flash_cnt[3076][4]~q\ & (\led_flash_cnt[3076][2]~q\ & (\led_flash_cnt[3076][1]~q\ & \led_flash_cnt[3076][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3076][4]~q\,
	datab => \led_flash_cnt[3076][2]~q\,
	datac => \led_flash_cnt[3076][1]~q\,
	datad => \led_flash_cnt[3076][3]~q\,
	combout => \WideAnd3076~0_combout\);

-- Location: LCCOMB_X16_Y7_N22
\led_flash_cnt[3076][5]~69952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3076][5]~69952_combout\ = (\led_flash_cnt[3076][5]~q\ & (\led_flash_cnt[3076][4]~69951\ $ (GND))) # (!\led_flash_cnt[3076][5]~q\ & (!\led_flash_cnt[3076][4]~69951\ & VCC))
-- \led_flash_cnt[3076][5]~69953\ = CARRY((\led_flash_cnt[3076][5]~q\ & !\led_flash_cnt[3076][4]~69951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3076][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3076][4]~69951\,
	combout => \led_flash_cnt[3076][5]~69952_combout\,
	cout => \led_flash_cnt[3076][5]~69953\);

-- Location: FF_X16_Y7_N23
\led_flash_cnt[3076][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3076][5]~69952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3076][5]~q\);

-- Location: LCCOMB_X16_Y7_N24
\led_flash_cnt[3076][6]~69954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3076][6]~69954_combout\ = (\led_flash_cnt[3076][6]~q\ & (!\led_flash_cnt[3076][5]~69953\)) # (!\led_flash_cnt[3076][6]~q\ & ((\led_flash_cnt[3076][5]~69953\) # (GND)))
-- \led_flash_cnt[3076][6]~69955\ = CARRY((!\led_flash_cnt[3076][5]~69953\) # (!\led_flash_cnt[3076][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3076][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3076][5]~69953\,
	combout => \led_flash_cnt[3076][6]~69954_combout\,
	cout => \led_flash_cnt[3076][6]~69955\);

-- Location: FF_X16_Y7_N25
\led_flash_cnt[3076][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3076][6]~69954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3076][6]~q\);

-- Location: LCCOMB_X16_Y7_N26
\led_flash_cnt[3076][7]~69956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3076][7]~69956_combout\ = \led_flash_cnt[3076][7]~q\ $ (!\led_flash_cnt[3076][6]~69955\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3076][7]~q\,
	cin => \led_flash_cnt[3076][6]~69955\,
	combout => \led_flash_cnt[3076][7]~69956_combout\);

-- Location: FF_X16_Y7_N27
\led_flash_cnt[3076][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3076][7]~69956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3076][7]~q\);

-- Location: LCCOMB_X16_Y7_N10
\WideAnd3076~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3076~1_combout\ = (\led_flash_cnt[3076][5]~q\ & \led_flash_cnt[3076][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3076][5]~q\,
	datad => \led_flash_cnt[3076][6]~q\,
	combout => \WideAnd3076~1_combout\);

-- Location: LCCOMB_X16_Y7_N12
WideAnd3076 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3076~combout\ = (\WideAnd3076~0_combout\ & (\led_flash_cnt[3076][0]~q\ & (\led_flash_cnt[3076][7]~q\ & \WideAnd3076~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3076~0_combout\,
	datab => \led_flash_cnt[3076][0]~q\,
	datac => \led_flash_cnt[3076][7]~q\,
	datad => \WideAnd3076~1_combout\,
	combout => \WideAnd3076~combout\);

-- Location: FF_X16_Y7_N13
\led_flash_cnt_ands[3076]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3076~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3076));

-- Location: LCCOMB_X16_Y7_N8
\WideAnd4224~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4224~1_combout\ = (led_flash_cnt_ands(3077) & led_flash_cnt_ands(3076))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3077),
	datad => led_flash_cnt_ands(3076),
	combout => \WideAnd4224~1_combout\);

-- Location: LCCOMB_X24_Y11_N24
\led_flash_cnt[3072][0]~83712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3072][0]~83712_combout\ = !\led_flash_cnt[3072][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3072][0]~q\,
	combout => \led_flash_cnt[3072][0]~83712_combout\);

-- Location: FF_X24_Y11_N25
\led_flash_cnt[3072][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3072][0]~83712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3072][0]~q\);

-- Location: LCCOMB_X20_Y7_N8
\led_flash_cnt[3072][1]~69888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3072][1]~69888_combout\ = (\led_flash_cnt[3072][0]~q\ & (\led_flash_cnt[3072][1]~q\ $ (VCC))) # (!\led_flash_cnt[3072][0]~q\ & (\led_flash_cnt[3072][1]~q\ & VCC))
-- \led_flash_cnt[3072][1]~69889\ = CARRY((\led_flash_cnt[3072][0]~q\ & \led_flash_cnt[3072][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3072][0]~q\,
	datab => \led_flash_cnt[3072][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3072][1]~69888_combout\,
	cout => \led_flash_cnt[3072][1]~69889\);

-- Location: FF_X20_Y7_N9
\led_flash_cnt[3072][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3072][1]~69888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3072][1]~q\);

-- Location: LCCOMB_X20_Y7_N10
\led_flash_cnt[3072][2]~69890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3072][2]~69890_combout\ = (\led_flash_cnt[3072][2]~q\ & (!\led_flash_cnt[3072][1]~69889\)) # (!\led_flash_cnt[3072][2]~q\ & ((\led_flash_cnt[3072][1]~69889\) # (GND)))
-- \led_flash_cnt[3072][2]~69891\ = CARRY((!\led_flash_cnt[3072][1]~69889\) # (!\led_flash_cnt[3072][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3072][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3072][1]~69889\,
	combout => \led_flash_cnt[3072][2]~69890_combout\,
	cout => \led_flash_cnt[3072][2]~69891\);

-- Location: FF_X20_Y7_N11
\led_flash_cnt[3072][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3072][2]~69890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3072][2]~q\);

-- Location: LCCOMB_X20_Y7_N12
\led_flash_cnt[3072][3]~69892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3072][3]~69892_combout\ = (\led_flash_cnt[3072][3]~q\ & (\led_flash_cnt[3072][2]~69891\ $ (GND))) # (!\led_flash_cnt[3072][3]~q\ & (!\led_flash_cnt[3072][2]~69891\ & VCC))
-- \led_flash_cnt[3072][3]~69893\ = CARRY((\led_flash_cnt[3072][3]~q\ & !\led_flash_cnt[3072][2]~69891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3072][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3072][2]~69891\,
	combout => \led_flash_cnt[3072][3]~69892_combout\,
	cout => \led_flash_cnt[3072][3]~69893\);

-- Location: FF_X20_Y7_N13
\led_flash_cnt[3072][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3072][3]~69892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3072][3]~q\);

-- Location: LCCOMB_X20_Y7_N14
\led_flash_cnt[3072][4]~69894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3072][4]~69894_combout\ = (\led_flash_cnt[3072][4]~q\ & (!\led_flash_cnt[3072][3]~69893\)) # (!\led_flash_cnt[3072][4]~q\ & ((\led_flash_cnt[3072][3]~69893\) # (GND)))
-- \led_flash_cnt[3072][4]~69895\ = CARRY((!\led_flash_cnt[3072][3]~69893\) # (!\led_flash_cnt[3072][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3072][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3072][3]~69893\,
	combout => \led_flash_cnt[3072][4]~69894_combout\,
	cout => \led_flash_cnt[3072][4]~69895\);

-- Location: FF_X20_Y7_N15
\led_flash_cnt[3072][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3072][4]~69894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3072][4]~q\);

-- Location: LCCOMB_X20_Y7_N30
\WideAnd3072~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3072~0_combout\ = (\led_flash_cnt[3072][3]~q\ & (\led_flash_cnt[3072][1]~q\ & (\led_flash_cnt[3072][4]~q\ & \led_flash_cnt[3072][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3072][3]~q\,
	datab => \led_flash_cnt[3072][1]~q\,
	datac => \led_flash_cnt[3072][4]~q\,
	datad => \led_flash_cnt[3072][2]~q\,
	combout => \WideAnd3072~0_combout\);

-- Location: LCCOMB_X20_Y7_N16
\led_flash_cnt[3072][5]~69896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3072][5]~69896_combout\ = (\led_flash_cnt[3072][5]~q\ & (\led_flash_cnt[3072][4]~69895\ $ (GND))) # (!\led_flash_cnt[3072][5]~q\ & (!\led_flash_cnt[3072][4]~69895\ & VCC))
-- \led_flash_cnt[3072][5]~69897\ = CARRY((\led_flash_cnt[3072][5]~q\ & !\led_flash_cnt[3072][4]~69895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3072][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3072][4]~69895\,
	combout => \led_flash_cnt[3072][5]~69896_combout\,
	cout => \led_flash_cnt[3072][5]~69897\);

-- Location: FF_X20_Y7_N17
\led_flash_cnt[3072][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3072][5]~69896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3072][5]~q\);

-- Location: LCCOMB_X20_Y7_N18
\led_flash_cnt[3072][6]~69898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3072][6]~69898_combout\ = (\led_flash_cnt[3072][6]~q\ & (!\led_flash_cnt[3072][5]~69897\)) # (!\led_flash_cnt[3072][6]~q\ & ((\led_flash_cnt[3072][5]~69897\) # (GND)))
-- \led_flash_cnt[3072][6]~69899\ = CARRY((!\led_flash_cnt[3072][5]~69897\) # (!\led_flash_cnt[3072][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3072][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3072][5]~69897\,
	combout => \led_flash_cnt[3072][6]~69898_combout\,
	cout => \led_flash_cnt[3072][6]~69899\);

-- Location: FF_X20_Y7_N19
\led_flash_cnt[3072][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3072][6]~69898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3072][6]~q\);

-- Location: LCCOMB_X20_Y7_N20
\led_flash_cnt[3072][7]~69900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3072][7]~69900_combout\ = \led_flash_cnt[3072][6]~69899\ $ (!\led_flash_cnt[3072][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3072][7]~q\,
	cin => \led_flash_cnt[3072][6]~69899\,
	combout => \led_flash_cnt[3072][7]~69900_combout\);

-- Location: FF_X20_Y7_N21
\led_flash_cnt[3072][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3072][7]~69900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3072][7]~q\);

-- Location: LCCOMB_X20_Y7_N24
\WideAnd3072~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3072~1_combout\ = (\led_flash_cnt[3072][6]~q\ & \led_flash_cnt[3072][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3072][6]~q\,
	datad => \led_flash_cnt[3072][5]~q\,
	combout => \WideAnd3072~1_combout\);

-- Location: LCCOMB_X20_Y7_N22
WideAnd3072 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3072~combout\ = (\WideAnd3072~0_combout\ & (\led_flash_cnt[3072][7]~q\ & (\led_flash_cnt[3072][0]~q\ & \WideAnd3072~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3072~0_combout\,
	datab => \led_flash_cnt[3072][7]~q\,
	datac => \led_flash_cnt[3072][0]~q\,
	datad => \WideAnd3072~1_combout\,
	combout => \WideAnd3072~combout\);

-- Location: FF_X20_Y7_N23
\led_flash_cnt_ands[3072]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3072~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3072));

-- Location: LCCOMB_X16_Y8_N30
\led_flash_cnt[3073][0]~83713\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3073][0]~83713_combout\ = !\led_flash_cnt[3073][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3073][0]~q\,
	combout => \led_flash_cnt[3073][0]~83713_combout\);

-- Location: FF_X16_Y8_N31
\led_flash_cnt[3073][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3073][0]~83713_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3073][0]~q\);

-- Location: LCCOMB_X15_Y8_N16
\led_flash_cnt[3073][1]~69902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3073][1]~69902_combout\ = (\led_flash_cnt[3073][0]~q\ & (\led_flash_cnt[3073][1]~q\ $ (VCC))) # (!\led_flash_cnt[3073][0]~q\ & (\led_flash_cnt[3073][1]~q\ & VCC))
-- \led_flash_cnt[3073][1]~69903\ = CARRY((\led_flash_cnt[3073][0]~q\ & \led_flash_cnt[3073][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3073][0]~q\,
	datab => \led_flash_cnt[3073][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3073][1]~69902_combout\,
	cout => \led_flash_cnt[3073][1]~69903\);

-- Location: FF_X15_Y8_N17
\led_flash_cnt[3073][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3073][1]~69902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3073][1]~q\);

-- Location: LCCOMB_X15_Y8_N18
\led_flash_cnt[3073][2]~69904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3073][2]~69904_combout\ = (\led_flash_cnt[3073][2]~q\ & (!\led_flash_cnt[3073][1]~69903\)) # (!\led_flash_cnt[3073][2]~q\ & ((\led_flash_cnt[3073][1]~69903\) # (GND)))
-- \led_flash_cnt[3073][2]~69905\ = CARRY((!\led_flash_cnt[3073][1]~69903\) # (!\led_flash_cnt[3073][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3073][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3073][1]~69903\,
	combout => \led_flash_cnt[3073][2]~69904_combout\,
	cout => \led_flash_cnt[3073][2]~69905\);

-- Location: FF_X15_Y8_N19
\led_flash_cnt[3073][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3073][2]~69904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3073][2]~q\);

-- Location: LCCOMB_X15_Y8_N20
\led_flash_cnt[3073][3]~69906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3073][3]~69906_combout\ = (\led_flash_cnt[3073][3]~q\ & (\led_flash_cnt[3073][2]~69905\ $ (GND))) # (!\led_flash_cnt[3073][3]~q\ & (!\led_flash_cnt[3073][2]~69905\ & VCC))
-- \led_flash_cnt[3073][3]~69907\ = CARRY((\led_flash_cnt[3073][3]~q\ & !\led_flash_cnt[3073][2]~69905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3073][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3073][2]~69905\,
	combout => \led_flash_cnt[3073][3]~69906_combout\,
	cout => \led_flash_cnt[3073][3]~69907\);

-- Location: FF_X15_Y8_N21
\led_flash_cnt[3073][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3073][3]~69906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3073][3]~q\);

-- Location: LCCOMB_X15_Y8_N22
\led_flash_cnt[3073][4]~69908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3073][4]~69908_combout\ = (\led_flash_cnt[3073][4]~q\ & (!\led_flash_cnt[3073][3]~69907\)) # (!\led_flash_cnt[3073][4]~q\ & ((\led_flash_cnt[3073][3]~69907\) # (GND)))
-- \led_flash_cnt[3073][4]~69909\ = CARRY((!\led_flash_cnt[3073][3]~69907\) # (!\led_flash_cnt[3073][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3073][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3073][3]~69907\,
	combout => \led_flash_cnt[3073][4]~69908_combout\,
	cout => \led_flash_cnt[3073][4]~69909\);

-- Location: FF_X15_Y8_N23
\led_flash_cnt[3073][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3073][4]~69908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3073][4]~q\);

-- Location: LCCOMB_X15_Y8_N24
\led_flash_cnt[3073][5]~69910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3073][5]~69910_combout\ = (\led_flash_cnt[3073][5]~q\ & (\led_flash_cnt[3073][4]~69909\ $ (GND))) # (!\led_flash_cnt[3073][5]~q\ & (!\led_flash_cnt[3073][4]~69909\ & VCC))
-- \led_flash_cnt[3073][5]~69911\ = CARRY((\led_flash_cnt[3073][5]~q\ & !\led_flash_cnt[3073][4]~69909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3073][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3073][4]~69909\,
	combout => \led_flash_cnt[3073][5]~69910_combout\,
	cout => \led_flash_cnt[3073][5]~69911\);

-- Location: FF_X15_Y8_N25
\led_flash_cnt[3073][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3073][5]~69910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3073][5]~q\);

-- Location: LCCOMB_X15_Y8_N26
\led_flash_cnt[3073][6]~69912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3073][6]~69912_combout\ = (\led_flash_cnt[3073][6]~q\ & (!\led_flash_cnt[3073][5]~69911\)) # (!\led_flash_cnt[3073][6]~q\ & ((\led_flash_cnt[3073][5]~69911\) # (GND)))
-- \led_flash_cnt[3073][6]~69913\ = CARRY((!\led_flash_cnt[3073][5]~69911\) # (!\led_flash_cnt[3073][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3073][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3073][5]~69911\,
	combout => \led_flash_cnt[3073][6]~69912_combout\,
	cout => \led_flash_cnt[3073][6]~69913\);

-- Location: FF_X15_Y8_N27
\led_flash_cnt[3073][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3073][6]~69912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3073][6]~q\);

-- Location: LCCOMB_X15_Y8_N28
\led_flash_cnt[3073][7]~69914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3073][7]~69914_combout\ = \led_flash_cnt[3073][6]~69913\ $ (!\led_flash_cnt[3073][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3073][7]~q\,
	cin => \led_flash_cnt[3073][6]~69913\,
	combout => \led_flash_cnt[3073][7]~69914_combout\);

-- Location: FF_X15_Y8_N29
\led_flash_cnt[3073][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3073][7]~69914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3073][7]~q\);

-- Location: LCCOMB_X15_Y8_N30
\WideAnd3073~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3073~0_combout\ = (\led_flash_cnt[3073][2]~q\ & (\led_flash_cnt[3073][1]~q\ & (\led_flash_cnt[3073][4]~q\ & \led_flash_cnt[3073][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3073][2]~q\,
	datab => \led_flash_cnt[3073][1]~q\,
	datac => \led_flash_cnt[3073][4]~q\,
	datad => \led_flash_cnt[3073][3]~q\,
	combout => \WideAnd3073~0_combout\);

-- Location: LCCOMB_X16_Y8_N18
\WideAnd3073~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3073~1_combout\ = (\led_flash_cnt[3073][6]~q\ & \led_flash_cnt[3073][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3073][6]~q\,
	datad => \led_flash_cnt[3073][5]~q\,
	combout => \WideAnd3073~1_combout\);

-- Location: LCCOMB_X16_Y8_N24
WideAnd3073 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3073~combout\ = (\led_flash_cnt[3073][7]~q\ & (\WideAnd3073~0_combout\ & (\led_flash_cnt[3073][0]~q\ & \WideAnd3073~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3073][7]~q\,
	datab => \WideAnd3073~0_combout\,
	datac => \led_flash_cnt[3073][0]~q\,
	datad => \WideAnd3073~1_combout\,
	combout => \WideAnd3073~combout\);

-- Location: FF_X16_Y8_N25
\led_flash_cnt_ands[3073]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3073~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3073));

-- Location: LCCOMB_X12_Y5_N12
\led_flash_cnt[3074][0]~83714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3074][0]~83714_combout\ = !\led_flash_cnt[3074][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3074][0]~q\,
	combout => \led_flash_cnt[3074][0]~83714_combout\);

-- Location: FF_X12_Y5_N13
\led_flash_cnt[3074][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3074][0]~83714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3074][0]~q\);

-- Location: LCCOMB_X12_Y5_N14
\led_flash_cnt[3074][1]~69916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3074][1]~69916_combout\ = (\led_flash_cnt[3074][0]~q\ & (\led_flash_cnt[3074][1]~q\ $ (VCC))) # (!\led_flash_cnt[3074][0]~q\ & (\led_flash_cnt[3074][1]~q\ & VCC))
-- \led_flash_cnt[3074][1]~69917\ = CARRY((\led_flash_cnt[3074][0]~q\ & \led_flash_cnt[3074][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3074][0]~q\,
	datab => \led_flash_cnt[3074][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3074][1]~69916_combout\,
	cout => \led_flash_cnt[3074][1]~69917\);

-- Location: FF_X12_Y5_N15
\led_flash_cnt[3074][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3074][1]~69916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3074][1]~q\);

-- Location: LCCOMB_X12_Y5_N16
\led_flash_cnt[3074][2]~69918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3074][2]~69918_combout\ = (\led_flash_cnt[3074][2]~q\ & (!\led_flash_cnt[3074][1]~69917\)) # (!\led_flash_cnt[3074][2]~q\ & ((\led_flash_cnt[3074][1]~69917\) # (GND)))
-- \led_flash_cnt[3074][2]~69919\ = CARRY((!\led_flash_cnt[3074][1]~69917\) # (!\led_flash_cnt[3074][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3074][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3074][1]~69917\,
	combout => \led_flash_cnt[3074][2]~69918_combout\,
	cout => \led_flash_cnt[3074][2]~69919\);

-- Location: FF_X12_Y5_N17
\led_flash_cnt[3074][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3074][2]~69918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3074][2]~q\);

-- Location: LCCOMB_X12_Y5_N18
\led_flash_cnt[3074][3]~69920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3074][3]~69920_combout\ = (\led_flash_cnt[3074][3]~q\ & (\led_flash_cnt[3074][2]~69919\ $ (GND))) # (!\led_flash_cnt[3074][3]~q\ & (!\led_flash_cnt[3074][2]~69919\ & VCC))
-- \led_flash_cnt[3074][3]~69921\ = CARRY((\led_flash_cnt[3074][3]~q\ & !\led_flash_cnt[3074][2]~69919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3074][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3074][2]~69919\,
	combout => \led_flash_cnt[3074][3]~69920_combout\,
	cout => \led_flash_cnt[3074][3]~69921\);

-- Location: FF_X12_Y5_N19
\led_flash_cnt[3074][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3074][3]~69920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3074][3]~q\);

-- Location: LCCOMB_X12_Y5_N20
\led_flash_cnt[3074][4]~69922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3074][4]~69922_combout\ = (\led_flash_cnt[3074][4]~q\ & (!\led_flash_cnt[3074][3]~69921\)) # (!\led_flash_cnt[3074][4]~q\ & ((\led_flash_cnt[3074][3]~69921\) # (GND)))
-- \led_flash_cnt[3074][4]~69923\ = CARRY((!\led_flash_cnt[3074][3]~69921\) # (!\led_flash_cnt[3074][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3074][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3074][3]~69921\,
	combout => \led_flash_cnt[3074][4]~69922_combout\,
	cout => \led_flash_cnt[3074][4]~69923\);

-- Location: FF_X12_Y5_N21
\led_flash_cnt[3074][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3074][4]~69922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3074][4]~q\);

-- Location: LCCOMB_X11_Y5_N26
\WideAnd3074~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3074~0_combout\ = (\led_flash_cnt[3074][4]~q\ & (\led_flash_cnt[3074][2]~q\ & (\led_flash_cnt[3074][1]~q\ & \led_flash_cnt[3074][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3074][4]~q\,
	datab => \led_flash_cnt[3074][2]~q\,
	datac => \led_flash_cnt[3074][1]~q\,
	datad => \led_flash_cnt[3074][3]~q\,
	combout => \WideAnd3074~0_combout\);

-- Location: LCCOMB_X12_Y5_N22
\led_flash_cnt[3074][5]~69924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3074][5]~69924_combout\ = (\led_flash_cnt[3074][5]~q\ & (\led_flash_cnt[3074][4]~69923\ $ (GND))) # (!\led_flash_cnt[3074][5]~q\ & (!\led_flash_cnt[3074][4]~69923\ & VCC))
-- \led_flash_cnt[3074][5]~69925\ = CARRY((\led_flash_cnt[3074][5]~q\ & !\led_flash_cnt[3074][4]~69923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3074][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3074][4]~69923\,
	combout => \led_flash_cnt[3074][5]~69924_combout\,
	cout => \led_flash_cnt[3074][5]~69925\);

-- Location: FF_X12_Y5_N23
\led_flash_cnt[3074][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3074][5]~69924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3074][5]~q\);

-- Location: LCCOMB_X12_Y5_N24
\led_flash_cnt[3074][6]~69926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3074][6]~69926_combout\ = (\led_flash_cnt[3074][6]~q\ & (!\led_flash_cnt[3074][5]~69925\)) # (!\led_flash_cnt[3074][6]~q\ & ((\led_flash_cnt[3074][5]~69925\) # (GND)))
-- \led_flash_cnt[3074][6]~69927\ = CARRY((!\led_flash_cnt[3074][5]~69925\) # (!\led_flash_cnt[3074][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3074][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3074][5]~69925\,
	combout => \led_flash_cnt[3074][6]~69926_combout\,
	cout => \led_flash_cnt[3074][6]~69927\);

-- Location: FF_X12_Y5_N25
\led_flash_cnt[3074][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3074][6]~69926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3074][6]~q\);

-- Location: LCCOMB_X12_Y5_N28
\WideAnd3074~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3074~1_combout\ = (\led_flash_cnt[3074][5]~q\ & \led_flash_cnt[3074][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3074][5]~q\,
	datad => \led_flash_cnt[3074][6]~q\,
	combout => \WideAnd3074~1_combout\);

-- Location: LCCOMB_X12_Y5_N26
\led_flash_cnt[3074][7]~69928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3074][7]~69928_combout\ = \led_flash_cnt[3074][7]~q\ $ (!\led_flash_cnt[3074][6]~69927\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3074][7]~q\,
	cin => \led_flash_cnt[3074][6]~69927\,
	combout => \led_flash_cnt[3074][7]~69928_combout\);

-- Location: FF_X12_Y5_N27
\led_flash_cnt[3074][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3074][7]~69928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3074][7]~q\);

-- Location: LCCOMB_X12_Y5_N30
WideAnd3074 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3074~combout\ = (\WideAnd3074~0_combout\ & (\WideAnd3074~1_combout\ & (\led_flash_cnt[3074][7]~q\ & \led_flash_cnt[3074][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3074~0_combout\,
	datab => \WideAnd3074~1_combout\,
	datac => \led_flash_cnt[3074][7]~q\,
	datad => \led_flash_cnt[3074][0]~q\,
	combout => \WideAnd3074~combout\);

-- Location: FF_X12_Y5_N31
\led_flash_cnt_ands[3074]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3074~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3074));

-- Location: LCCOMB_X15_Y17_N20
\led_flash_cnt[3075][0]~83715\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3075][0]~83715_combout\ = !\led_flash_cnt[3075][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3075][0]~q\,
	combout => \led_flash_cnt[3075][0]~83715_combout\);

-- Location: FF_X15_Y17_N21
\led_flash_cnt[3075][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3075][0]~83715_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3075][0]~q\);

-- Location: LCCOMB_X15_Y17_N6
\led_flash_cnt[3075][1]~69930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3075][1]~69930_combout\ = (\led_flash_cnt[3075][1]~q\ & (\led_flash_cnt[3075][0]~q\ $ (VCC))) # (!\led_flash_cnt[3075][1]~q\ & (\led_flash_cnt[3075][0]~q\ & VCC))
-- \led_flash_cnt[3075][1]~69931\ = CARRY((\led_flash_cnt[3075][1]~q\ & \led_flash_cnt[3075][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3075][1]~q\,
	datab => \led_flash_cnt[3075][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3075][1]~69930_combout\,
	cout => \led_flash_cnt[3075][1]~69931\);

-- Location: FF_X15_Y17_N7
\led_flash_cnt[3075][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3075][1]~69930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3075][1]~q\);

-- Location: LCCOMB_X15_Y17_N8
\led_flash_cnt[3075][2]~69932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3075][2]~69932_combout\ = (\led_flash_cnt[3075][2]~q\ & (!\led_flash_cnt[3075][1]~69931\)) # (!\led_flash_cnt[3075][2]~q\ & ((\led_flash_cnt[3075][1]~69931\) # (GND)))
-- \led_flash_cnt[3075][2]~69933\ = CARRY((!\led_flash_cnt[3075][1]~69931\) # (!\led_flash_cnt[3075][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3075][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3075][1]~69931\,
	combout => \led_flash_cnt[3075][2]~69932_combout\,
	cout => \led_flash_cnt[3075][2]~69933\);

-- Location: FF_X15_Y17_N9
\led_flash_cnt[3075][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3075][2]~69932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3075][2]~q\);

-- Location: LCCOMB_X15_Y17_N10
\led_flash_cnt[3075][3]~69934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3075][3]~69934_combout\ = (\led_flash_cnt[3075][3]~q\ & (\led_flash_cnt[3075][2]~69933\ $ (GND))) # (!\led_flash_cnt[3075][3]~q\ & (!\led_flash_cnt[3075][2]~69933\ & VCC))
-- \led_flash_cnt[3075][3]~69935\ = CARRY((\led_flash_cnt[3075][3]~q\ & !\led_flash_cnt[3075][2]~69933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3075][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3075][2]~69933\,
	combout => \led_flash_cnt[3075][3]~69934_combout\,
	cout => \led_flash_cnt[3075][3]~69935\);

-- Location: FF_X15_Y17_N11
\led_flash_cnt[3075][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3075][3]~69934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3075][3]~q\);

-- Location: LCCOMB_X15_Y17_N12
\led_flash_cnt[3075][4]~69936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3075][4]~69936_combout\ = (\led_flash_cnt[3075][4]~q\ & (!\led_flash_cnt[3075][3]~69935\)) # (!\led_flash_cnt[3075][4]~q\ & ((\led_flash_cnt[3075][3]~69935\) # (GND)))
-- \led_flash_cnt[3075][4]~69937\ = CARRY((!\led_flash_cnt[3075][3]~69935\) # (!\led_flash_cnt[3075][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3075][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3075][3]~69935\,
	combout => \led_flash_cnt[3075][4]~69936_combout\,
	cout => \led_flash_cnt[3075][4]~69937\);

-- Location: FF_X15_Y17_N13
\led_flash_cnt[3075][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3075][4]~69936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3075][4]~q\);

-- Location: LCCOMB_X15_Y17_N14
\led_flash_cnt[3075][5]~69938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3075][5]~69938_combout\ = (\led_flash_cnt[3075][5]~q\ & (\led_flash_cnt[3075][4]~69937\ $ (GND))) # (!\led_flash_cnt[3075][5]~q\ & (!\led_flash_cnt[3075][4]~69937\ & VCC))
-- \led_flash_cnt[3075][5]~69939\ = CARRY((\led_flash_cnt[3075][5]~q\ & !\led_flash_cnt[3075][4]~69937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3075][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3075][4]~69937\,
	combout => \led_flash_cnt[3075][5]~69938_combout\,
	cout => \led_flash_cnt[3075][5]~69939\);

-- Location: FF_X15_Y17_N15
\led_flash_cnt[3075][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3075][5]~69938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3075][5]~q\);

-- Location: LCCOMB_X15_Y17_N16
\led_flash_cnt[3075][6]~69940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3075][6]~69940_combout\ = (\led_flash_cnt[3075][6]~q\ & (!\led_flash_cnt[3075][5]~69939\)) # (!\led_flash_cnt[3075][6]~q\ & ((\led_flash_cnt[3075][5]~69939\) # (GND)))
-- \led_flash_cnt[3075][6]~69941\ = CARRY((!\led_flash_cnt[3075][5]~69939\) # (!\led_flash_cnt[3075][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3075][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3075][5]~69939\,
	combout => \led_flash_cnt[3075][6]~69940_combout\,
	cout => \led_flash_cnt[3075][6]~69941\);

-- Location: FF_X15_Y17_N17
\led_flash_cnt[3075][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3075][6]~69940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3075][6]~q\);

-- Location: LCCOMB_X15_Y17_N30
\WideAnd3075~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3075~1_combout\ = (\led_flash_cnt[3075][5]~q\ & \led_flash_cnt[3075][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3075][5]~q\,
	datad => \led_flash_cnt[3075][6]~q\,
	combout => \WideAnd3075~1_combout\);

-- Location: LCCOMB_X15_Y17_N18
\led_flash_cnt[3075][7]~69942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3075][7]~69942_combout\ = \led_flash_cnt[3075][7]~q\ $ (!\led_flash_cnt[3075][6]~69941\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3075][7]~q\,
	cin => \led_flash_cnt[3075][6]~69941\,
	combout => \led_flash_cnt[3075][7]~69942_combout\);

-- Location: FF_X15_Y17_N19
\led_flash_cnt[3075][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3075][7]~69942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3075][7]~q\);

-- Location: LCCOMB_X15_Y17_N24
\WideAnd3075~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3075~0_combout\ = (\led_flash_cnt[3075][4]~q\ & (\led_flash_cnt[3075][1]~q\ & (\led_flash_cnt[3075][2]~q\ & \led_flash_cnt[3075][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3075][4]~q\,
	datab => \led_flash_cnt[3075][1]~q\,
	datac => \led_flash_cnt[3075][2]~q\,
	datad => \led_flash_cnt[3075][3]~q\,
	combout => \WideAnd3075~0_combout\);

-- Location: LCCOMB_X15_Y17_N2
WideAnd3075 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3075~combout\ = (\WideAnd3075~1_combout\ & (\led_flash_cnt[3075][0]~q\ & (\led_flash_cnt[3075][7]~q\ & \WideAnd3075~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3075~1_combout\,
	datab => \led_flash_cnt[3075][0]~q\,
	datac => \led_flash_cnt[3075][7]~q\,
	datad => \WideAnd3075~0_combout\,
	combout => \WideAnd3075~combout\);

-- Location: FF_X15_Y17_N3
\led_flash_cnt_ands[3075]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3075~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3075));

-- Location: LCCOMB_X12_Y5_N0
\WideAnd4224~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4224~0_combout\ = (led_flash_cnt_ands(3072) & (led_flash_cnt_ands(3073) & (led_flash_cnt_ands(3074) & led_flash_cnt_ands(3075))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3072),
	datab => led_flash_cnt_ands(3073),
	datac => led_flash_cnt_ands(3074),
	datad => led_flash_cnt_ands(3075),
	combout => \WideAnd4224~0_combout\);

-- Location: LCCOMB_X12_Y5_N2
WideAnd4224 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4224~combout\ = (led_flash_cnt_ands(3078) & (led_flash_cnt_ands(3079) & (\WideAnd4224~1_combout\ & \WideAnd4224~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3078),
	datab => led_flash_cnt_ands(3079),
	datac => \WideAnd4224~1_combout\,
	datad => \WideAnd4224~0_combout\,
	combout => \WideAnd4224~combout\);

-- Location: FF_X12_Y5_N3
\led_flash_cnt_ands_1[384]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4224~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(384));

-- Location: LCCOMB_X22_Y2_N2
\led_flash_cnt[3092][0]~83732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3092][0]~83732_combout\ = !\led_flash_cnt[3092][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3092][0]~q\,
	combout => \led_flash_cnt[3092][0]~83732_combout\);

-- Location: FF_X22_Y2_N3
\led_flash_cnt[3092][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3092][0]~83732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3092][0]~q\);

-- Location: LCCOMB_X21_Y2_N2
\led_flash_cnt[3092][1]~70168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3092][1]~70168_combout\ = (\led_flash_cnt[3092][0]~q\ & (\led_flash_cnt[3092][1]~q\ $ (VCC))) # (!\led_flash_cnt[3092][0]~q\ & (\led_flash_cnt[3092][1]~q\ & VCC))
-- \led_flash_cnt[3092][1]~70169\ = CARRY((\led_flash_cnt[3092][0]~q\ & \led_flash_cnt[3092][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3092][0]~q\,
	datab => \led_flash_cnt[3092][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3092][1]~70168_combout\,
	cout => \led_flash_cnt[3092][1]~70169\);

-- Location: FF_X21_Y2_N3
\led_flash_cnt[3092][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3092][1]~70168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3092][1]~q\);

-- Location: LCCOMB_X21_Y2_N4
\led_flash_cnt[3092][2]~70170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3092][2]~70170_combout\ = (\led_flash_cnt[3092][2]~q\ & (!\led_flash_cnt[3092][1]~70169\)) # (!\led_flash_cnt[3092][2]~q\ & ((\led_flash_cnt[3092][1]~70169\) # (GND)))
-- \led_flash_cnt[3092][2]~70171\ = CARRY((!\led_flash_cnt[3092][1]~70169\) # (!\led_flash_cnt[3092][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3092][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3092][1]~70169\,
	combout => \led_flash_cnt[3092][2]~70170_combout\,
	cout => \led_flash_cnt[3092][2]~70171\);

-- Location: FF_X21_Y2_N5
\led_flash_cnt[3092][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3092][2]~70170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3092][2]~q\);

-- Location: LCCOMB_X21_Y2_N6
\led_flash_cnt[3092][3]~70172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3092][3]~70172_combout\ = (\led_flash_cnt[3092][3]~q\ & (\led_flash_cnt[3092][2]~70171\ $ (GND))) # (!\led_flash_cnt[3092][3]~q\ & (!\led_flash_cnt[3092][2]~70171\ & VCC))
-- \led_flash_cnt[3092][3]~70173\ = CARRY((\led_flash_cnt[3092][3]~q\ & !\led_flash_cnt[3092][2]~70171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3092][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3092][2]~70171\,
	combout => \led_flash_cnt[3092][3]~70172_combout\,
	cout => \led_flash_cnt[3092][3]~70173\);

-- Location: FF_X21_Y2_N7
\led_flash_cnt[3092][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3092][3]~70172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3092][3]~q\);

-- Location: LCCOMB_X21_Y2_N8
\led_flash_cnt[3092][4]~70174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3092][4]~70174_combout\ = (\led_flash_cnt[3092][4]~q\ & (!\led_flash_cnt[3092][3]~70173\)) # (!\led_flash_cnt[3092][4]~q\ & ((\led_flash_cnt[3092][3]~70173\) # (GND)))
-- \led_flash_cnt[3092][4]~70175\ = CARRY((!\led_flash_cnt[3092][3]~70173\) # (!\led_flash_cnt[3092][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3092][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3092][3]~70173\,
	combout => \led_flash_cnt[3092][4]~70174_combout\,
	cout => \led_flash_cnt[3092][4]~70175\);

-- Location: FF_X21_Y2_N9
\led_flash_cnt[3092][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3092][4]~70174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3092][4]~q\);

-- Location: LCCOMB_X21_Y2_N10
\led_flash_cnt[3092][5]~70176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3092][5]~70176_combout\ = (\led_flash_cnt[3092][5]~q\ & (\led_flash_cnt[3092][4]~70175\ $ (GND))) # (!\led_flash_cnt[3092][5]~q\ & (!\led_flash_cnt[3092][4]~70175\ & VCC))
-- \led_flash_cnt[3092][5]~70177\ = CARRY((\led_flash_cnt[3092][5]~q\ & !\led_flash_cnt[3092][4]~70175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3092][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3092][4]~70175\,
	combout => \led_flash_cnt[3092][5]~70176_combout\,
	cout => \led_flash_cnt[3092][5]~70177\);

-- Location: FF_X21_Y2_N11
\led_flash_cnt[3092][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3092][5]~70176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3092][5]~q\);

-- Location: LCCOMB_X21_Y2_N12
\led_flash_cnt[3092][6]~70178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3092][6]~70178_combout\ = (\led_flash_cnt[3092][6]~q\ & (!\led_flash_cnt[3092][5]~70177\)) # (!\led_flash_cnt[3092][6]~q\ & ((\led_flash_cnt[3092][5]~70177\) # (GND)))
-- \led_flash_cnt[3092][6]~70179\ = CARRY((!\led_flash_cnt[3092][5]~70177\) # (!\led_flash_cnt[3092][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3092][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3092][5]~70177\,
	combout => \led_flash_cnt[3092][6]~70178_combout\,
	cout => \led_flash_cnt[3092][6]~70179\);

-- Location: FF_X21_Y2_N13
\led_flash_cnt[3092][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3092][6]~70178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3092][6]~q\);

-- Location: LCCOMB_X21_Y2_N14
\led_flash_cnt[3092][7]~70180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3092][7]~70180_combout\ = \led_flash_cnt[3092][7]~q\ $ (!\led_flash_cnt[3092][6]~70179\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3092][7]~q\,
	cin => \led_flash_cnt[3092][6]~70179\,
	combout => \led_flash_cnt[3092][7]~70180_combout\);

-- Location: FF_X21_Y2_N15
\led_flash_cnt[3092][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3092][7]~70180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3092][7]~q\);

-- Location: LCCOMB_X22_Y2_N28
\WideAnd3092~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3092~1_combout\ = (\led_flash_cnt[3092][5]~q\ & \led_flash_cnt[3092][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3092][5]~q\,
	datad => \led_flash_cnt[3092][6]~q\,
	combout => \WideAnd3092~1_combout\);

-- Location: LCCOMB_X21_Y2_N16
\WideAnd3092~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3092~0_combout\ = (\led_flash_cnt[3092][3]~q\ & (\led_flash_cnt[3092][2]~q\ & (\led_flash_cnt[3092][4]~q\ & \led_flash_cnt[3092][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3092][3]~q\,
	datab => \led_flash_cnt[3092][2]~q\,
	datac => \led_flash_cnt[3092][4]~q\,
	datad => \led_flash_cnt[3092][1]~q\,
	combout => \WideAnd3092~0_combout\);

-- Location: LCCOMB_X22_Y2_N30
WideAnd3092 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3092~combout\ = (\led_flash_cnt[3092][7]~q\ & (\WideAnd3092~1_combout\ & (\WideAnd3092~0_combout\ & \led_flash_cnt[3092][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3092][7]~q\,
	datab => \WideAnd3092~1_combout\,
	datac => \WideAnd3092~0_combout\,
	datad => \led_flash_cnt[3092][0]~q\,
	combout => \WideAnd3092~combout\);

-- Location: FF_X22_Y2_N31
\led_flash_cnt_ands[3092]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3092~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3092));

-- Location: LCCOMB_X22_Y2_N4
\led_flash_cnt[3093][0]~83733\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3093][0]~83733_combout\ = !\led_flash_cnt[3093][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3093][0]~q\,
	combout => \led_flash_cnt[3093][0]~83733_combout\);

-- Location: FF_X22_Y2_N5
\led_flash_cnt[3093][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3093][0]~83733_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3093][0]~q\);

-- Location: LCCOMB_X22_Y2_N12
\led_flash_cnt[3093][1]~70182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3093][1]~70182_combout\ = (\led_flash_cnt[3093][1]~q\ & (\led_flash_cnt[3093][0]~q\ $ (VCC))) # (!\led_flash_cnt[3093][1]~q\ & (\led_flash_cnt[3093][0]~q\ & VCC))
-- \led_flash_cnt[3093][1]~70183\ = CARRY((\led_flash_cnt[3093][1]~q\ & \led_flash_cnt[3093][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3093][1]~q\,
	datab => \led_flash_cnt[3093][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3093][1]~70182_combout\,
	cout => \led_flash_cnt[3093][1]~70183\);

-- Location: FF_X22_Y2_N13
\led_flash_cnt[3093][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3093][1]~70182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3093][1]~q\);

-- Location: LCCOMB_X22_Y2_N14
\led_flash_cnt[3093][2]~70184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3093][2]~70184_combout\ = (\led_flash_cnt[3093][2]~q\ & (!\led_flash_cnt[3093][1]~70183\)) # (!\led_flash_cnt[3093][2]~q\ & ((\led_flash_cnt[3093][1]~70183\) # (GND)))
-- \led_flash_cnt[3093][2]~70185\ = CARRY((!\led_flash_cnt[3093][1]~70183\) # (!\led_flash_cnt[3093][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3093][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3093][1]~70183\,
	combout => \led_flash_cnt[3093][2]~70184_combout\,
	cout => \led_flash_cnt[3093][2]~70185\);

-- Location: FF_X22_Y2_N15
\led_flash_cnt[3093][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3093][2]~70184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3093][2]~q\);

-- Location: LCCOMB_X22_Y2_N16
\led_flash_cnt[3093][3]~70186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3093][3]~70186_combout\ = (\led_flash_cnt[3093][3]~q\ & (\led_flash_cnt[3093][2]~70185\ $ (GND))) # (!\led_flash_cnt[3093][3]~q\ & (!\led_flash_cnt[3093][2]~70185\ & VCC))
-- \led_flash_cnt[3093][3]~70187\ = CARRY((\led_flash_cnt[3093][3]~q\ & !\led_flash_cnt[3093][2]~70185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3093][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3093][2]~70185\,
	combout => \led_flash_cnt[3093][3]~70186_combout\,
	cout => \led_flash_cnt[3093][3]~70187\);

-- Location: FF_X22_Y2_N17
\led_flash_cnt[3093][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3093][3]~70186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3093][3]~q\);

-- Location: LCCOMB_X22_Y2_N18
\led_flash_cnt[3093][4]~70188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3093][4]~70188_combout\ = (\led_flash_cnt[3093][4]~q\ & (!\led_flash_cnt[3093][3]~70187\)) # (!\led_flash_cnt[3093][4]~q\ & ((\led_flash_cnt[3093][3]~70187\) # (GND)))
-- \led_flash_cnt[3093][4]~70189\ = CARRY((!\led_flash_cnt[3093][3]~70187\) # (!\led_flash_cnt[3093][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3093][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3093][3]~70187\,
	combout => \led_flash_cnt[3093][4]~70188_combout\,
	cout => \led_flash_cnt[3093][4]~70189\);

-- Location: FF_X22_Y2_N19
\led_flash_cnt[3093][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3093][4]~70188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3093][4]~q\);

-- Location: LCCOMB_X22_Y2_N20
\led_flash_cnt[3093][5]~70190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3093][5]~70190_combout\ = (\led_flash_cnt[3093][5]~q\ & (\led_flash_cnt[3093][4]~70189\ $ (GND))) # (!\led_flash_cnt[3093][5]~q\ & (!\led_flash_cnt[3093][4]~70189\ & VCC))
-- \led_flash_cnt[3093][5]~70191\ = CARRY((\led_flash_cnt[3093][5]~q\ & !\led_flash_cnt[3093][4]~70189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3093][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3093][4]~70189\,
	combout => \led_flash_cnt[3093][5]~70190_combout\,
	cout => \led_flash_cnt[3093][5]~70191\);

-- Location: FF_X22_Y2_N21
\led_flash_cnt[3093][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3093][5]~70190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3093][5]~q\);

-- Location: LCCOMB_X22_Y2_N22
\led_flash_cnt[3093][6]~70192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3093][6]~70192_combout\ = (\led_flash_cnt[3093][6]~q\ & (!\led_flash_cnt[3093][5]~70191\)) # (!\led_flash_cnt[3093][6]~q\ & ((\led_flash_cnt[3093][5]~70191\) # (GND)))
-- \led_flash_cnt[3093][6]~70193\ = CARRY((!\led_flash_cnt[3093][5]~70191\) # (!\led_flash_cnt[3093][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3093][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3093][5]~70191\,
	combout => \led_flash_cnt[3093][6]~70192_combout\,
	cout => \led_flash_cnt[3093][6]~70193\);

-- Location: FF_X22_Y2_N23
\led_flash_cnt[3093][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3093][6]~70192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3093][6]~q\);

-- Location: LCCOMB_X22_Y2_N10
\WideAnd3093~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3093~1_combout\ = (\led_flash_cnt[3093][6]~q\ & \led_flash_cnt[3093][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3093][6]~q\,
	datad => \led_flash_cnt[3093][5]~q\,
	combout => \WideAnd3093~1_combout\);

-- Location: LCCOMB_X22_Y2_N26
\WideAnd3093~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3093~0_combout\ = (\led_flash_cnt[3093][1]~q\ & (\led_flash_cnt[3093][3]~q\ & (\led_flash_cnt[3093][2]~q\ & \led_flash_cnt[3093][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3093][1]~q\,
	datab => \led_flash_cnt[3093][3]~q\,
	datac => \led_flash_cnt[3093][2]~q\,
	datad => \led_flash_cnt[3093][4]~q\,
	combout => \WideAnd3093~0_combout\);

-- Location: LCCOMB_X22_Y2_N24
\led_flash_cnt[3093][7]~70194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3093][7]~70194_combout\ = \led_flash_cnt[3093][6]~70193\ $ (!\led_flash_cnt[3093][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3093][7]~q\,
	cin => \led_flash_cnt[3093][6]~70193\,
	combout => \led_flash_cnt[3093][7]~70194_combout\);

-- Location: FF_X22_Y2_N25
\led_flash_cnt[3093][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3093][7]~70194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3093][7]~q\);

-- Location: LCCOMB_X22_Y2_N6
WideAnd3093 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3093~combout\ = (\WideAnd3093~1_combout\ & (\led_flash_cnt[3093][0]~q\ & (\WideAnd3093~0_combout\ & \led_flash_cnt[3093][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3093~1_combout\,
	datab => \led_flash_cnt[3093][0]~q\,
	datac => \WideAnd3093~0_combout\,
	datad => \led_flash_cnt[3093][7]~q\,
	combout => \WideAnd3093~combout\);

-- Location: FF_X22_Y2_N7
\led_flash_cnt_ands[3093]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3093~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3093));

-- Location: LCCOMB_X22_Y2_N8
\WideAnd4226~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4226~1_combout\ = (led_flash_cnt_ands(3092) & led_flash_cnt_ands(3093))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3092),
	datad => led_flash_cnt_ands(3093),
	combout => \WideAnd4226~1_combout\);

-- Location: LCCOMB_X18_Y6_N26
\led_flash_cnt[3094][0]~83734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3094][0]~83734_combout\ = !\led_flash_cnt[3094][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3094][0]~q\,
	combout => \led_flash_cnt[3094][0]~83734_combout\);

-- Location: FF_X18_Y6_N27
\led_flash_cnt[3094][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3094][0]~83734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3094][0]~q\);

-- Location: LCCOMB_X18_Y6_N0
\led_flash_cnt[3094][1]~70196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3094][1]~70196_combout\ = (\led_flash_cnt[3094][0]~q\ & (\led_flash_cnt[3094][1]~q\ $ (VCC))) # (!\led_flash_cnt[3094][0]~q\ & (\led_flash_cnt[3094][1]~q\ & VCC))
-- \led_flash_cnt[3094][1]~70197\ = CARRY((\led_flash_cnt[3094][0]~q\ & \led_flash_cnt[3094][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3094][0]~q\,
	datab => \led_flash_cnt[3094][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3094][1]~70196_combout\,
	cout => \led_flash_cnt[3094][1]~70197\);

-- Location: FF_X18_Y6_N1
\led_flash_cnt[3094][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3094][1]~70196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3094][1]~q\);

-- Location: LCCOMB_X18_Y6_N2
\led_flash_cnt[3094][2]~70198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3094][2]~70198_combout\ = (\led_flash_cnt[3094][2]~q\ & (!\led_flash_cnt[3094][1]~70197\)) # (!\led_flash_cnt[3094][2]~q\ & ((\led_flash_cnt[3094][1]~70197\) # (GND)))
-- \led_flash_cnt[3094][2]~70199\ = CARRY((!\led_flash_cnt[3094][1]~70197\) # (!\led_flash_cnt[3094][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3094][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3094][1]~70197\,
	combout => \led_flash_cnt[3094][2]~70198_combout\,
	cout => \led_flash_cnt[3094][2]~70199\);

-- Location: FF_X18_Y6_N3
\led_flash_cnt[3094][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3094][2]~70198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3094][2]~q\);

-- Location: LCCOMB_X18_Y6_N4
\led_flash_cnt[3094][3]~70200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3094][3]~70200_combout\ = (\led_flash_cnt[3094][3]~q\ & (\led_flash_cnt[3094][2]~70199\ $ (GND))) # (!\led_flash_cnt[3094][3]~q\ & (!\led_flash_cnt[3094][2]~70199\ & VCC))
-- \led_flash_cnt[3094][3]~70201\ = CARRY((\led_flash_cnt[3094][3]~q\ & !\led_flash_cnt[3094][2]~70199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3094][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3094][2]~70199\,
	combout => \led_flash_cnt[3094][3]~70200_combout\,
	cout => \led_flash_cnt[3094][3]~70201\);

-- Location: FF_X18_Y6_N5
\led_flash_cnt[3094][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3094][3]~70200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3094][3]~q\);

-- Location: LCCOMB_X18_Y6_N6
\led_flash_cnt[3094][4]~70202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3094][4]~70202_combout\ = (\led_flash_cnt[3094][4]~q\ & (!\led_flash_cnt[3094][3]~70201\)) # (!\led_flash_cnt[3094][4]~q\ & ((\led_flash_cnt[3094][3]~70201\) # (GND)))
-- \led_flash_cnt[3094][4]~70203\ = CARRY((!\led_flash_cnt[3094][3]~70201\) # (!\led_flash_cnt[3094][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3094][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3094][3]~70201\,
	combout => \led_flash_cnt[3094][4]~70202_combout\,
	cout => \led_flash_cnt[3094][4]~70203\);

-- Location: FF_X18_Y6_N7
\led_flash_cnt[3094][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3094][4]~70202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3094][4]~q\);

-- Location: LCCOMB_X18_Y6_N8
\led_flash_cnt[3094][5]~70204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3094][5]~70204_combout\ = (\led_flash_cnt[3094][5]~q\ & (\led_flash_cnt[3094][4]~70203\ $ (GND))) # (!\led_flash_cnt[3094][5]~q\ & (!\led_flash_cnt[3094][4]~70203\ & VCC))
-- \led_flash_cnt[3094][5]~70205\ = CARRY((\led_flash_cnt[3094][5]~q\ & !\led_flash_cnt[3094][4]~70203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3094][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3094][4]~70203\,
	combout => \led_flash_cnt[3094][5]~70204_combout\,
	cout => \led_flash_cnt[3094][5]~70205\);

-- Location: FF_X18_Y6_N9
\led_flash_cnt[3094][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3094][5]~70204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3094][5]~q\);

-- Location: LCCOMB_X18_Y6_N10
\led_flash_cnt[3094][6]~70206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3094][6]~70206_combout\ = (\led_flash_cnt[3094][6]~q\ & (!\led_flash_cnt[3094][5]~70205\)) # (!\led_flash_cnt[3094][6]~q\ & ((\led_flash_cnt[3094][5]~70205\) # (GND)))
-- \led_flash_cnt[3094][6]~70207\ = CARRY((!\led_flash_cnt[3094][5]~70205\) # (!\led_flash_cnt[3094][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3094][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3094][5]~70205\,
	combout => \led_flash_cnt[3094][6]~70206_combout\,
	cout => \led_flash_cnt[3094][6]~70207\);

-- Location: FF_X18_Y6_N11
\led_flash_cnt[3094][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3094][6]~70206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3094][6]~q\);

-- Location: LCCOMB_X18_Y6_N22
\WideAnd3094~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3094~1_combout\ = (\led_flash_cnt[3094][5]~q\ & \led_flash_cnt[3094][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3094][5]~q\,
	datad => \led_flash_cnt[3094][6]~q\,
	combout => \WideAnd3094~1_combout\);

-- Location: LCCOMB_X18_Y6_N20
\WideAnd3094~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3094~0_combout\ = (\led_flash_cnt[3094][4]~q\ & (\led_flash_cnt[3094][1]~q\ & (\led_flash_cnt[3094][3]~q\ & \led_flash_cnt[3094][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3094][4]~q\,
	datab => \led_flash_cnt[3094][1]~q\,
	datac => \led_flash_cnt[3094][3]~q\,
	datad => \led_flash_cnt[3094][2]~q\,
	combout => \WideAnd3094~0_combout\);

-- Location: LCCOMB_X18_Y6_N12
\led_flash_cnt[3094][7]~70208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3094][7]~70208_combout\ = \led_flash_cnt[3094][6]~70207\ $ (!\led_flash_cnt[3094][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3094][7]~q\,
	cin => \led_flash_cnt[3094][6]~70207\,
	combout => \led_flash_cnt[3094][7]~70208_combout\);

-- Location: FF_X18_Y6_N13
\led_flash_cnt[3094][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3094][7]~70208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3094][7]~q\);

-- Location: LCCOMB_X18_Y6_N28
WideAnd3094 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3094~combout\ = (\WideAnd3094~1_combout\ & (\WideAnd3094~0_combout\ & (\led_flash_cnt[3094][0]~q\ & \led_flash_cnt[3094][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3094~1_combout\,
	datab => \WideAnd3094~0_combout\,
	datac => \led_flash_cnt[3094][0]~q\,
	datad => \led_flash_cnt[3094][7]~q\,
	combout => \WideAnd3094~combout\);

-- Location: FF_X18_Y6_N29
\led_flash_cnt_ands[3094]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3094~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3094));

-- Location: LCCOMB_X16_Y3_N6
\led_flash_cnt[3091][0]~83731\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3091][0]~83731_combout\ = !\led_flash_cnt[3091][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3091][0]~q\,
	combout => \led_flash_cnt[3091][0]~83731_combout\);

-- Location: FF_X16_Y3_N7
\led_flash_cnt[3091][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3091][0]~83731_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3091][0]~q\);

-- Location: LCCOMB_X16_Y1_N16
\led_flash_cnt[3091][1]~70154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3091][1]~70154_combout\ = (\led_flash_cnt[3091][0]~q\ & (\led_flash_cnt[3091][1]~q\ $ (VCC))) # (!\led_flash_cnt[3091][0]~q\ & (\led_flash_cnt[3091][1]~q\ & VCC))
-- \led_flash_cnt[3091][1]~70155\ = CARRY((\led_flash_cnt[3091][0]~q\ & \led_flash_cnt[3091][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3091][0]~q\,
	datab => \led_flash_cnt[3091][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3091][1]~70154_combout\,
	cout => \led_flash_cnt[3091][1]~70155\);

-- Location: FF_X16_Y1_N17
\led_flash_cnt[3091][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3091][1]~70154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3091][1]~q\);

-- Location: LCCOMB_X16_Y1_N18
\led_flash_cnt[3091][2]~70156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3091][2]~70156_combout\ = (\led_flash_cnt[3091][2]~q\ & (!\led_flash_cnt[3091][1]~70155\)) # (!\led_flash_cnt[3091][2]~q\ & ((\led_flash_cnt[3091][1]~70155\) # (GND)))
-- \led_flash_cnt[3091][2]~70157\ = CARRY((!\led_flash_cnt[3091][1]~70155\) # (!\led_flash_cnt[3091][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3091][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3091][1]~70155\,
	combout => \led_flash_cnt[3091][2]~70156_combout\,
	cout => \led_flash_cnt[3091][2]~70157\);

-- Location: FF_X16_Y1_N19
\led_flash_cnt[3091][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3091][2]~70156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3091][2]~q\);

-- Location: LCCOMB_X16_Y1_N20
\led_flash_cnt[3091][3]~70158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3091][3]~70158_combout\ = (\led_flash_cnt[3091][3]~q\ & (\led_flash_cnt[3091][2]~70157\ $ (GND))) # (!\led_flash_cnt[3091][3]~q\ & (!\led_flash_cnt[3091][2]~70157\ & VCC))
-- \led_flash_cnt[3091][3]~70159\ = CARRY((\led_flash_cnt[3091][3]~q\ & !\led_flash_cnt[3091][2]~70157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3091][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3091][2]~70157\,
	combout => \led_flash_cnt[3091][3]~70158_combout\,
	cout => \led_flash_cnt[3091][3]~70159\);

-- Location: FF_X16_Y1_N21
\led_flash_cnt[3091][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3091][3]~70158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3091][3]~q\);

-- Location: LCCOMB_X16_Y1_N22
\led_flash_cnt[3091][4]~70160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3091][4]~70160_combout\ = (\led_flash_cnt[3091][4]~q\ & (!\led_flash_cnt[3091][3]~70159\)) # (!\led_flash_cnt[3091][4]~q\ & ((\led_flash_cnt[3091][3]~70159\) # (GND)))
-- \led_flash_cnt[3091][4]~70161\ = CARRY((!\led_flash_cnt[3091][3]~70159\) # (!\led_flash_cnt[3091][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3091][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3091][3]~70159\,
	combout => \led_flash_cnt[3091][4]~70160_combout\,
	cout => \led_flash_cnt[3091][4]~70161\);

-- Location: FF_X16_Y1_N23
\led_flash_cnt[3091][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3091][4]~70160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3091][4]~q\);

-- Location: LCCOMB_X17_Y1_N26
\WideAnd3091~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3091~0_combout\ = (\led_flash_cnt[3091][4]~q\ & (\led_flash_cnt[3091][2]~q\ & (\led_flash_cnt[3091][1]~q\ & \led_flash_cnt[3091][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3091][4]~q\,
	datab => \led_flash_cnt[3091][2]~q\,
	datac => \led_flash_cnt[3091][1]~q\,
	datad => \led_flash_cnt[3091][3]~q\,
	combout => \WideAnd3091~0_combout\);

-- Location: LCCOMB_X16_Y1_N24
\led_flash_cnt[3091][5]~70162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3091][5]~70162_combout\ = (\led_flash_cnt[3091][5]~q\ & (\led_flash_cnt[3091][4]~70161\ $ (GND))) # (!\led_flash_cnt[3091][5]~q\ & (!\led_flash_cnt[3091][4]~70161\ & VCC))
-- \led_flash_cnt[3091][5]~70163\ = CARRY((\led_flash_cnt[3091][5]~q\ & !\led_flash_cnt[3091][4]~70161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3091][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3091][4]~70161\,
	combout => \led_flash_cnt[3091][5]~70162_combout\,
	cout => \led_flash_cnt[3091][5]~70163\);

-- Location: FF_X16_Y1_N25
\led_flash_cnt[3091][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3091][5]~70162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3091][5]~q\);

-- Location: LCCOMB_X16_Y1_N26
\led_flash_cnt[3091][6]~70164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3091][6]~70164_combout\ = (\led_flash_cnt[3091][6]~q\ & (!\led_flash_cnt[3091][5]~70163\)) # (!\led_flash_cnt[3091][6]~q\ & ((\led_flash_cnt[3091][5]~70163\) # (GND)))
-- \led_flash_cnt[3091][6]~70165\ = CARRY((!\led_flash_cnt[3091][5]~70163\) # (!\led_flash_cnt[3091][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3091][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3091][5]~70163\,
	combout => \led_flash_cnt[3091][6]~70164_combout\,
	cout => \led_flash_cnt[3091][6]~70165\);

-- Location: FF_X16_Y1_N27
\led_flash_cnt[3091][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3091][6]~70164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3091][6]~q\);

-- Location: LCCOMB_X16_Y1_N28
\led_flash_cnt[3091][7]~70166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3091][7]~70166_combout\ = \led_flash_cnt[3091][6]~70165\ $ (!\led_flash_cnt[3091][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3091][7]~q\,
	cin => \led_flash_cnt[3091][6]~70165\,
	combout => \led_flash_cnt[3091][7]~70166_combout\);

-- Location: FF_X16_Y1_N29
\led_flash_cnt[3091][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3091][7]~70166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3091][7]~q\);

-- Location: LCCOMB_X17_Y1_N6
\WideAnd3091~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3091~1_combout\ = (\led_flash_cnt[3091][6]~q\ & \led_flash_cnt[3091][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3091][6]~q\,
	datad => \led_flash_cnt[3091][5]~q\,
	combout => \WideAnd3091~1_combout\);

-- Location: LCCOMB_X17_Y1_N4
WideAnd3091 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3091~combout\ = (\WideAnd3091~0_combout\ & (\led_flash_cnt[3091][7]~q\ & (\led_flash_cnt[3091][0]~q\ & \WideAnd3091~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3091~0_combout\,
	datab => \led_flash_cnt[3091][7]~q\,
	datac => \led_flash_cnt[3091][0]~q\,
	datad => \WideAnd3091~1_combout\,
	combout => \WideAnd3091~combout\);

-- Location: FF_X17_Y1_N5
\led_flash_cnt_ands[3091]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3091~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3091));

-- Location: LCCOMB_X17_Y8_N6
\led_flash_cnt[3089][0]~83729\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3089][0]~83729_combout\ = !\led_flash_cnt[3089][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3089][0]~q\,
	combout => \led_flash_cnt[3089][0]~83729_combout\);

-- Location: FF_X17_Y8_N7
\led_flash_cnt[3089][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3089][0]~83729_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3089][0]~q\);

-- Location: LCCOMB_X18_Y8_N18
\led_flash_cnt[3089][1]~70126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3089][1]~70126_combout\ = (\led_flash_cnt[3089][0]~q\ & (\led_flash_cnt[3089][1]~q\ $ (VCC))) # (!\led_flash_cnt[3089][0]~q\ & (\led_flash_cnt[3089][1]~q\ & VCC))
-- \led_flash_cnt[3089][1]~70127\ = CARRY((\led_flash_cnt[3089][0]~q\ & \led_flash_cnt[3089][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3089][0]~q\,
	datab => \led_flash_cnt[3089][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3089][1]~70126_combout\,
	cout => \led_flash_cnt[3089][1]~70127\);

-- Location: FF_X18_Y8_N19
\led_flash_cnt[3089][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3089][1]~70126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3089][1]~q\);

-- Location: LCCOMB_X18_Y8_N20
\led_flash_cnt[3089][2]~70128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3089][2]~70128_combout\ = (\led_flash_cnt[3089][2]~q\ & (!\led_flash_cnt[3089][1]~70127\)) # (!\led_flash_cnt[3089][2]~q\ & ((\led_flash_cnt[3089][1]~70127\) # (GND)))
-- \led_flash_cnt[3089][2]~70129\ = CARRY((!\led_flash_cnt[3089][1]~70127\) # (!\led_flash_cnt[3089][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3089][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3089][1]~70127\,
	combout => \led_flash_cnt[3089][2]~70128_combout\,
	cout => \led_flash_cnt[3089][2]~70129\);

-- Location: FF_X18_Y8_N21
\led_flash_cnt[3089][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3089][2]~70128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3089][2]~q\);

-- Location: LCCOMB_X18_Y8_N22
\led_flash_cnt[3089][3]~70130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3089][3]~70130_combout\ = (\led_flash_cnt[3089][3]~q\ & (\led_flash_cnt[3089][2]~70129\ $ (GND))) # (!\led_flash_cnt[3089][3]~q\ & (!\led_flash_cnt[3089][2]~70129\ & VCC))
-- \led_flash_cnt[3089][3]~70131\ = CARRY((\led_flash_cnt[3089][3]~q\ & !\led_flash_cnt[3089][2]~70129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3089][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3089][2]~70129\,
	combout => \led_flash_cnt[3089][3]~70130_combout\,
	cout => \led_flash_cnt[3089][3]~70131\);

-- Location: FF_X18_Y8_N23
\led_flash_cnt[3089][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3089][3]~70130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3089][3]~q\);

-- Location: LCCOMB_X18_Y8_N24
\led_flash_cnt[3089][4]~70132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3089][4]~70132_combout\ = (\led_flash_cnt[3089][4]~q\ & (!\led_flash_cnt[3089][3]~70131\)) # (!\led_flash_cnt[3089][4]~q\ & ((\led_flash_cnt[3089][3]~70131\) # (GND)))
-- \led_flash_cnt[3089][4]~70133\ = CARRY((!\led_flash_cnt[3089][3]~70131\) # (!\led_flash_cnt[3089][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3089][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3089][3]~70131\,
	combout => \led_flash_cnt[3089][4]~70132_combout\,
	cout => \led_flash_cnt[3089][4]~70133\);

-- Location: FF_X18_Y8_N25
\led_flash_cnt[3089][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3089][4]~70132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3089][4]~q\);

-- Location: LCCOMB_X18_Y8_N26
\led_flash_cnt[3089][5]~70134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3089][5]~70134_combout\ = (\led_flash_cnt[3089][5]~q\ & (\led_flash_cnt[3089][4]~70133\ $ (GND))) # (!\led_flash_cnt[3089][5]~q\ & (!\led_flash_cnt[3089][4]~70133\ & VCC))
-- \led_flash_cnt[3089][5]~70135\ = CARRY((\led_flash_cnt[3089][5]~q\ & !\led_flash_cnt[3089][4]~70133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3089][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3089][4]~70133\,
	combout => \led_flash_cnt[3089][5]~70134_combout\,
	cout => \led_flash_cnt[3089][5]~70135\);

-- Location: FF_X18_Y8_N27
\led_flash_cnt[3089][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3089][5]~70134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3089][5]~q\);

-- Location: LCCOMB_X18_Y8_N28
\led_flash_cnt[3089][6]~70136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3089][6]~70136_combout\ = (\led_flash_cnt[3089][6]~q\ & (!\led_flash_cnt[3089][5]~70135\)) # (!\led_flash_cnt[3089][6]~q\ & ((\led_flash_cnt[3089][5]~70135\) # (GND)))
-- \led_flash_cnt[3089][6]~70137\ = CARRY((!\led_flash_cnt[3089][5]~70135\) # (!\led_flash_cnt[3089][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3089][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3089][5]~70135\,
	combout => \led_flash_cnt[3089][6]~70136_combout\,
	cout => \led_flash_cnt[3089][6]~70137\);

-- Location: FF_X18_Y8_N29
\led_flash_cnt[3089][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3089][6]~70136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3089][6]~q\);

-- Location: LCCOMB_X17_Y8_N26
\WideAnd3089~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3089~1_combout\ = (\led_flash_cnt[3089][6]~q\ & \led_flash_cnt[3089][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3089][6]~q\,
	datad => \led_flash_cnt[3089][5]~q\,
	combout => \WideAnd3089~1_combout\);

-- Location: LCCOMB_X18_Y8_N16
\WideAnd3089~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3089~0_combout\ = (\led_flash_cnt[3089][1]~q\ & (\led_flash_cnt[3089][4]~q\ & (\led_flash_cnt[3089][3]~q\ & \led_flash_cnt[3089][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3089][1]~q\,
	datab => \led_flash_cnt[3089][4]~q\,
	datac => \led_flash_cnt[3089][3]~q\,
	datad => \led_flash_cnt[3089][2]~q\,
	combout => \WideAnd3089~0_combout\);

-- Location: LCCOMB_X18_Y8_N30
\led_flash_cnt[3089][7]~70138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3089][7]~70138_combout\ = \led_flash_cnt[3089][7]~q\ $ (!\led_flash_cnt[3089][6]~70137\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3089][7]~q\,
	cin => \led_flash_cnt[3089][6]~70137\,
	combout => \led_flash_cnt[3089][7]~70138_combout\);

-- Location: FF_X18_Y8_N31
\led_flash_cnt[3089][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3089][7]~70138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3089][7]~q\);

-- Location: LCCOMB_X17_Y8_N28
WideAnd3089 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3089~combout\ = (\WideAnd3089~1_combout\ & (\WideAnd3089~0_combout\ & (\led_flash_cnt[3089][7]~q\ & \led_flash_cnt[3089][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3089~1_combout\,
	datab => \WideAnd3089~0_combout\,
	datac => \led_flash_cnt[3089][7]~q\,
	datad => \led_flash_cnt[3089][0]~q\,
	combout => \WideAnd3089~combout\);

-- Location: FF_X17_Y8_N29
\led_flash_cnt_ands[3089]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3089~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3089));

-- Location: LCCOMB_X39_Y18_N30
\led_flash_cnt[3090][0]~83730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3090][0]~83730_combout\ = !\led_flash_cnt[3090][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3090][0]~q\,
	combout => \led_flash_cnt[3090][0]~83730_combout\);

-- Location: FF_X39_Y18_N31
\led_flash_cnt[3090][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3090][0]~83730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3090][0]~q\);

-- Location: LCCOMB_X39_Y18_N10
\led_flash_cnt[3090][1]~70140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3090][1]~70140_combout\ = (\led_flash_cnt[3090][1]~q\ & (\led_flash_cnt[3090][0]~q\ $ (VCC))) # (!\led_flash_cnt[3090][1]~q\ & (\led_flash_cnt[3090][0]~q\ & VCC))
-- \led_flash_cnt[3090][1]~70141\ = CARRY((\led_flash_cnt[3090][1]~q\ & \led_flash_cnt[3090][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3090][1]~q\,
	datab => \led_flash_cnt[3090][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3090][1]~70140_combout\,
	cout => \led_flash_cnt[3090][1]~70141\);

-- Location: FF_X39_Y18_N11
\led_flash_cnt[3090][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3090][1]~70140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3090][1]~q\);

-- Location: LCCOMB_X39_Y18_N12
\led_flash_cnt[3090][2]~70142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3090][2]~70142_combout\ = (\led_flash_cnt[3090][2]~q\ & (!\led_flash_cnt[3090][1]~70141\)) # (!\led_flash_cnt[3090][2]~q\ & ((\led_flash_cnt[3090][1]~70141\) # (GND)))
-- \led_flash_cnt[3090][2]~70143\ = CARRY((!\led_flash_cnt[3090][1]~70141\) # (!\led_flash_cnt[3090][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3090][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3090][1]~70141\,
	combout => \led_flash_cnt[3090][2]~70142_combout\,
	cout => \led_flash_cnt[3090][2]~70143\);

-- Location: FF_X39_Y18_N13
\led_flash_cnt[3090][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3090][2]~70142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3090][2]~q\);

-- Location: LCCOMB_X39_Y18_N14
\led_flash_cnt[3090][3]~70144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3090][3]~70144_combout\ = (\led_flash_cnt[3090][3]~q\ & (\led_flash_cnt[3090][2]~70143\ $ (GND))) # (!\led_flash_cnt[3090][3]~q\ & (!\led_flash_cnt[3090][2]~70143\ & VCC))
-- \led_flash_cnt[3090][3]~70145\ = CARRY((\led_flash_cnt[3090][3]~q\ & !\led_flash_cnt[3090][2]~70143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3090][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3090][2]~70143\,
	combout => \led_flash_cnt[3090][3]~70144_combout\,
	cout => \led_flash_cnt[3090][3]~70145\);

-- Location: FF_X39_Y18_N15
\led_flash_cnt[3090][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3090][3]~70144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3090][3]~q\);

-- Location: LCCOMB_X39_Y18_N16
\led_flash_cnt[3090][4]~70146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3090][4]~70146_combout\ = (\led_flash_cnt[3090][4]~q\ & (!\led_flash_cnt[3090][3]~70145\)) # (!\led_flash_cnt[3090][4]~q\ & ((\led_flash_cnt[3090][3]~70145\) # (GND)))
-- \led_flash_cnt[3090][4]~70147\ = CARRY((!\led_flash_cnt[3090][3]~70145\) # (!\led_flash_cnt[3090][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3090][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3090][3]~70145\,
	combout => \led_flash_cnt[3090][4]~70146_combout\,
	cout => \led_flash_cnt[3090][4]~70147\);

-- Location: FF_X39_Y18_N17
\led_flash_cnt[3090][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3090][4]~70146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3090][4]~q\);

-- Location: LCCOMB_X39_Y18_N18
\led_flash_cnt[3090][5]~70148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3090][5]~70148_combout\ = (\led_flash_cnt[3090][5]~q\ & (\led_flash_cnt[3090][4]~70147\ $ (GND))) # (!\led_flash_cnt[3090][5]~q\ & (!\led_flash_cnt[3090][4]~70147\ & VCC))
-- \led_flash_cnt[3090][5]~70149\ = CARRY((\led_flash_cnt[3090][5]~q\ & !\led_flash_cnt[3090][4]~70147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3090][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3090][4]~70147\,
	combout => \led_flash_cnt[3090][5]~70148_combout\,
	cout => \led_flash_cnt[3090][5]~70149\);

-- Location: FF_X39_Y18_N19
\led_flash_cnt[3090][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3090][5]~70148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3090][5]~q\);

-- Location: LCCOMB_X39_Y18_N20
\led_flash_cnt[3090][6]~70150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3090][6]~70150_combout\ = (\led_flash_cnt[3090][6]~q\ & (!\led_flash_cnt[3090][5]~70149\)) # (!\led_flash_cnt[3090][6]~q\ & ((\led_flash_cnt[3090][5]~70149\) # (GND)))
-- \led_flash_cnt[3090][6]~70151\ = CARRY((!\led_flash_cnt[3090][5]~70149\) # (!\led_flash_cnt[3090][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3090][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3090][5]~70149\,
	combout => \led_flash_cnt[3090][6]~70150_combout\,
	cout => \led_flash_cnt[3090][6]~70151\);

-- Location: FF_X39_Y18_N21
\led_flash_cnt[3090][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3090][6]~70150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3090][6]~q\);

-- Location: LCCOMB_X39_Y18_N22
\led_flash_cnt[3090][7]~70152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3090][7]~70152_combout\ = \led_flash_cnt[3090][7]~q\ $ (!\led_flash_cnt[3090][6]~70151\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3090][7]~q\,
	cin => \led_flash_cnt[3090][6]~70151\,
	combout => \led_flash_cnt[3090][7]~70152_combout\);

-- Location: FF_X39_Y18_N23
\led_flash_cnt[3090][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3090][7]~70152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3090][7]~q\);

-- Location: LCCOMB_X39_Y18_N8
\WideAnd3090~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3090~0_combout\ = (\led_flash_cnt[3090][1]~q\ & (\led_flash_cnt[3090][4]~q\ & (\led_flash_cnt[3090][3]~q\ & \led_flash_cnt[3090][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3090][1]~q\,
	datab => \led_flash_cnt[3090][4]~q\,
	datac => \led_flash_cnt[3090][3]~q\,
	datad => \led_flash_cnt[3090][2]~q\,
	combout => \WideAnd3090~0_combout\);

-- Location: LCCOMB_X39_Y18_N6
\WideAnd3090~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3090~1_combout\ = (\led_flash_cnt[3090][6]~q\ & \led_flash_cnt[3090][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3090][6]~q\,
	datad => \led_flash_cnt[3090][5]~q\,
	combout => \WideAnd3090~1_combout\);

-- Location: LCCOMB_X39_Y18_N4
WideAnd3090 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3090~combout\ = (\led_flash_cnt[3090][7]~q\ & (\WideAnd3090~0_combout\ & (\led_flash_cnt[3090][0]~q\ & \WideAnd3090~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3090][7]~q\,
	datab => \WideAnd3090~0_combout\,
	datac => \led_flash_cnt[3090][0]~q\,
	datad => \WideAnd3090~1_combout\,
	combout => \WideAnd3090~combout\);

-- Location: FF_X39_Y18_N5
\led_flash_cnt_ands[3090]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3090~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3090));

-- Location: LCCOMB_X17_Y4_N22
\led_flash_cnt[3088][0]~83728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3088][0]~83728_combout\ = !\led_flash_cnt[3088][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3088][0]~q\,
	combout => \led_flash_cnt[3088][0]~83728_combout\);

-- Location: FF_X17_Y4_N23
\led_flash_cnt[3088][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3088][0]~83728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3088][0]~q\);

-- Location: LCCOMB_X17_Y4_N0
\led_flash_cnt[3088][1]~70112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3088][1]~70112_combout\ = (\led_flash_cnt[3088][0]~q\ & (\led_flash_cnt[3088][1]~q\ $ (VCC))) # (!\led_flash_cnt[3088][0]~q\ & (\led_flash_cnt[3088][1]~q\ & VCC))
-- \led_flash_cnt[3088][1]~70113\ = CARRY((\led_flash_cnt[3088][0]~q\ & \led_flash_cnt[3088][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3088][0]~q\,
	datab => \led_flash_cnt[3088][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3088][1]~70112_combout\,
	cout => \led_flash_cnt[3088][1]~70113\);

-- Location: FF_X17_Y4_N1
\led_flash_cnt[3088][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3088][1]~70112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3088][1]~q\);

-- Location: LCCOMB_X17_Y4_N2
\led_flash_cnt[3088][2]~70114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3088][2]~70114_combout\ = (\led_flash_cnt[3088][2]~q\ & (!\led_flash_cnt[3088][1]~70113\)) # (!\led_flash_cnt[3088][2]~q\ & ((\led_flash_cnt[3088][1]~70113\) # (GND)))
-- \led_flash_cnt[3088][2]~70115\ = CARRY((!\led_flash_cnt[3088][1]~70113\) # (!\led_flash_cnt[3088][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3088][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3088][1]~70113\,
	combout => \led_flash_cnt[3088][2]~70114_combout\,
	cout => \led_flash_cnt[3088][2]~70115\);

-- Location: FF_X17_Y4_N3
\led_flash_cnt[3088][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3088][2]~70114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3088][2]~q\);

-- Location: LCCOMB_X17_Y4_N4
\led_flash_cnt[3088][3]~70116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3088][3]~70116_combout\ = (\led_flash_cnt[3088][3]~q\ & (\led_flash_cnt[3088][2]~70115\ $ (GND))) # (!\led_flash_cnt[3088][3]~q\ & (!\led_flash_cnt[3088][2]~70115\ & VCC))
-- \led_flash_cnt[3088][3]~70117\ = CARRY((\led_flash_cnt[3088][3]~q\ & !\led_flash_cnt[3088][2]~70115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3088][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3088][2]~70115\,
	combout => \led_flash_cnt[3088][3]~70116_combout\,
	cout => \led_flash_cnt[3088][3]~70117\);

-- Location: FF_X17_Y4_N5
\led_flash_cnt[3088][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3088][3]~70116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3088][3]~q\);

-- Location: LCCOMB_X17_Y4_N6
\led_flash_cnt[3088][4]~70118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3088][4]~70118_combout\ = (\led_flash_cnt[3088][4]~q\ & (!\led_flash_cnt[3088][3]~70117\)) # (!\led_flash_cnt[3088][4]~q\ & ((\led_flash_cnt[3088][3]~70117\) # (GND)))
-- \led_flash_cnt[3088][4]~70119\ = CARRY((!\led_flash_cnt[3088][3]~70117\) # (!\led_flash_cnt[3088][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3088][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3088][3]~70117\,
	combout => \led_flash_cnt[3088][4]~70118_combout\,
	cout => \led_flash_cnt[3088][4]~70119\);

-- Location: FF_X17_Y4_N7
\led_flash_cnt[3088][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3088][4]~70118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3088][4]~q\);

-- Location: LCCOMB_X17_Y4_N26
\WideAnd3088~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3088~0_combout\ = (\led_flash_cnt[3088][4]~q\ & (\led_flash_cnt[3088][1]~q\ & (\led_flash_cnt[3088][3]~q\ & \led_flash_cnt[3088][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3088][4]~q\,
	datab => \led_flash_cnt[3088][1]~q\,
	datac => \led_flash_cnt[3088][3]~q\,
	datad => \led_flash_cnt[3088][2]~q\,
	combout => \WideAnd3088~0_combout\);

-- Location: LCCOMB_X17_Y4_N8
\led_flash_cnt[3088][5]~70120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3088][5]~70120_combout\ = (\led_flash_cnt[3088][5]~q\ & (\led_flash_cnt[3088][4]~70119\ $ (GND))) # (!\led_flash_cnt[3088][5]~q\ & (!\led_flash_cnt[3088][4]~70119\ & VCC))
-- \led_flash_cnt[3088][5]~70121\ = CARRY((\led_flash_cnt[3088][5]~q\ & !\led_flash_cnt[3088][4]~70119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3088][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3088][4]~70119\,
	combout => \led_flash_cnt[3088][5]~70120_combout\,
	cout => \led_flash_cnt[3088][5]~70121\);

-- Location: FF_X17_Y4_N9
\led_flash_cnt[3088][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3088][5]~70120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3088][5]~q\);

-- Location: LCCOMB_X17_Y4_N10
\led_flash_cnt[3088][6]~70122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3088][6]~70122_combout\ = (\led_flash_cnt[3088][6]~q\ & (!\led_flash_cnt[3088][5]~70121\)) # (!\led_flash_cnt[3088][6]~q\ & ((\led_flash_cnt[3088][5]~70121\) # (GND)))
-- \led_flash_cnt[3088][6]~70123\ = CARRY((!\led_flash_cnt[3088][5]~70121\) # (!\led_flash_cnt[3088][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3088][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3088][5]~70121\,
	combout => \led_flash_cnt[3088][6]~70122_combout\,
	cout => \led_flash_cnt[3088][6]~70123\);

-- Location: FF_X17_Y4_N11
\led_flash_cnt[3088][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3088][6]~70122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3088][6]~q\);

-- Location: LCCOMB_X17_Y4_N18
\WideAnd3088~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3088~1_combout\ = (\led_flash_cnt[3088][5]~q\ & \led_flash_cnt[3088][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3088][5]~q\,
	datad => \led_flash_cnt[3088][6]~q\,
	combout => \WideAnd3088~1_combout\);

-- Location: LCCOMB_X17_Y4_N12
\led_flash_cnt[3088][7]~70124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3088][7]~70124_combout\ = \led_flash_cnt[3088][6]~70123\ $ (!\led_flash_cnt[3088][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3088][7]~q\,
	cin => \led_flash_cnt[3088][6]~70123\,
	combout => \led_flash_cnt[3088][7]~70124_combout\);

-- Location: FF_X17_Y4_N13
\led_flash_cnt[3088][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3088][7]~70124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3088][7]~q\);

-- Location: LCCOMB_X17_Y4_N28
WideAnd3088 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3088~combout\ = (\WideAnd3088~0_combout\ & (\WideAnd3088~1_combout\ & (\led_flash_cnt[3088][0]~q\ & \led_flash_cnt[3088][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3088~0_combout\,
	datab => \WideAnd3088~1_combout\,
	datac => \led_flash_cnt[3088][0]~q\,
	datad => \led_flash_cnt[3088][7]~q\,
	combout => \WideAnd3088~combout\);

-- Location: FF_X17_Y4_N29
\led_flash_cnt_ands[3088]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3088~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3088));

-- Location: LCCOMB_X17_Y4_N16
\WideAnd4226~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4226~0_combout\ = (led_flash_cnt_ands(3091) & (led_flash_cnt_ands(3089) & (led_flash_cnt_ands(3090) & led_flash_cnt_ands(3088))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3091),
	datab => led_flash_cnt_ands(3089),
	datac => led_flash_cnt_ands(3090),
	datad => led_flash_cnt_ands(3088),
	combout => \WideAnd4226~0_combout\);

-- Location: LCCOMB_X17_Y10_N14
\led_flash_cnt[3095][0]~83735\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3095][0]~83735_combout\ = !\led_flash_cnt[3095][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3095][0]~q\,
	combout => \led_flash_cnt[3095][0]~83735_combout\);

-- Location: FF_X17_Y10_N15
\led_flash_cnt[3095][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3095][0]~83735_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3095][0]~q\);

-- Location: LCCOMB_X17_Y6_N18
\led_flash_cnt[3095][1]~70210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3095][1]~70210_combout\ = (\led_flash_cnt[3095][0]~q\ & (\led_flash_cnt[3095][1]~q\ $ (VCC))) # (!\led_flash_cnt[3095][0]~q\ & (\led_flash_cnt[3095][1]~q\ & VCC))
-- \led_flash_cnt[3095][1]~70211\ = CARRY((\led_flash_cnt[3095][0]~q\ & \led_flash_cnt[3095][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3095][0]~q\,
	datab => \led_flash_cnt[3095][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3095][1]~70210_combout\,
	cout => \led_flash_cnt[3095][1]~70211\);

-- Location: FF_X17_Y6_N19
\led_flash_cnt[3095][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3095][1]~70210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3095][1]~q\);

-- Location: LCCOMB_X17_Y6_N20
\led_flash_cnt[3095][2]~70212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3095][2]~70212_combout\ = (\led_flash_cnt[3095][2]~q\ & (!\led_flash_cnt[3095][1]~70211\)) # (!\led_flash_cnt[3095][2]~q\ & ((\led_flash_cnt[3095][1]~70211\) # (GND)))
-- \led_flash_cnt[3095][2]~70213\ = CARRY((!\led_flash_cnt[3095][1]~70211\) # (!\led_flash_cnt[3095][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3095][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3095][1]~70211\,
	combout => \led_flash_cnt[3095][2]~70212_combout\,
	cout => \led_flash_cnt[3095][2]~70213\);

-- Location: FF_X17_Y6_N21
\led_flash_cnt[3095][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3095][2]~70212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3095][2]~q\);

-- Location: LCCOMB_X17_Y6_N22
\led_flash_cnt[3095][3]~70214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3095][3]~70214_combout\ = (\led_flash_cnt[3095][3]~q\ & (\led_flash_cnt[3095][2]~70213\ $ (GND))) # (!\led_flash_cnt[3095][3]~q\ & (!\led_flash_cnt[3095][2]~70213\ & VCC))
-- \led_flash_cnt[3095][3]~70215\ = CARRY((\led_flash_cnt[3095][3]~q\ & !\led_flash_cnt[3095][2]~70213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3095][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3095][2]~70213\,
	combout => \led_flash_cnt[3095][3]~70214_combout\,
	cout => \led_flash_cnt[3095][3]~70215\);

-- Location: FF_X17_Y6_N23
\led_flash_cnt[3095][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3095][3]~70214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3095][3]~q\);

-- Location: LCCOMB_X17_Y6_N24
\led_flash_cnt[3095][4]~70216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3095][4]~70216_combout\ = (\led_flash_cnt[3095][4]~q\ & (!\led_flash_cnt[3095][3]~70215\)) # (!\led_flash_cnt[3095][4]~q\ & ((\led_flash_cnt[3095][3]~70215\) # (GND)))
-- \led_flash_cnt[3095][4]~70217\ = CARRY((!\led_flash_cnt[3095][3]~70215\) # (!\led_flash_cnt[3095][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3095][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3095][3]~70215\,
	combout => \led_flash_cnt[3095][4]~70216_combout\,
	cout => \led_flash_cnt[3095][4]~70217\);

-- Location: FF_X17_Y6_N25
\led_flash_cnt[3095][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3095][4]~70216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3095][4]~q\);

-- Location: LCCOMB_X17_Y6_N26
\led_flash_cnt[3095][5]~70218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3095][5]~70218_combout\ = (\led_flash_cnt[3095][5]~q\ & (\led_flash_cnt[3095][4]~70217\ $ (GND))) # (!\led_flash_cnt[3095][5]~q\ & (!\led_flash_cnt[3095][4]~70217\ & VCC))
-- \led_flash_cnt[3095][5]~70219\ = CARRY((\led_flash_cnt[3095][5]~q\ & !\led_flash_cnt[3095][4]~70217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3095][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3095][4]~70217\,
	combout => \led_flash_cnt[3095][5]~70218_combout\,
	cout => \led_flash_cnt[3095][5]~70219\);

-- Location: FF_X17_Y6_N27
\led_flash_cnt[3095][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3095][5]~70218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3095][5]~q\);

-- Location: LCCOMB_X17_Y6_N28
\led_flash_cnt[3095][6]~70220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3095][6]~70220_combout\ = (\led_flash_cnt[3095][6]~q\ & (!\led_flash_cnt[3095][5]~70219\)) # (!\led_flash_cnt[3095][6]~q\ & ((\led_flash_cnt[3095][5]~70219\) # (GND)))
-- \led_flash_cnt[3095][6]~70221\ = CARRY((!\led_flash_cnt[3095][5]~70219\) # (!\led_flash_cnt[3095][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3095][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3095][5]~70219\,
	combout => \led_flash_cnt[3095][6]~70220_combout\,
	cout => \led_flash_cnt[3095][6]~70221\);

-- Location: FF_X17_Y6_N29
\led_flash_cnt[3095][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3095][6]~70220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3095][6]~q\);

-- Location: LCCOMB_X17_Y6_N30
\led_flash_cnt[3095][7]~70222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3095][7]~70222_combout\ = \led_flash_cnt[3095][7]~q\ $ (!\led_flash_cnt[3095][6]~70221\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3095][7]~q\,
	cin => \led_flash_cnt[3095][6]~70221\,
	combout => \led_flash_cnt[3095][7]~70222_combout\);

-- Location: FF_X17_Y6_N31
\led_flash_cnt[3095][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3095][7]~70222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3095][7]~q\);

-- Location: LCCOMB_X17_Y6_N0
\WideAnd3095~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3095~0_combout\ = (\led_flash_cnt[3095][2]~q\ & (\led_flash_cnt[3095][1]~q\ & (\led_flash_cnt[3095][3]~q\ & \led_flash_cnt[3095][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3095][2]~q\,
	datab => \led_flash_cnt[3095][1]~q\,
	datac => \led_flash_cnt[3095][3]~q\,
	datad => \led_flash_cnt[3095][4]~q\,
	combout => \WideAnd3095~0_combout\);

-- Location: LCCOMB_X18_Y6_N16
\WideAnd3095~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3095~1_combout\ = (\led_flash_cnt[3095][5]~q\ & \led_flash_cnt[3095][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3095][5]~q\,
	datad => \led_flash_cnt[3095][6]~q\,
	combout => \WideAnd3095~1_combout\);

-- Location: LCCOMB_X18_Y6_N18
WideAnd3095 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3095~combout\ = (\led_flash_cnt[3095][0]~q\ & (\led_flash_cnt[3095][7]~q\ & (\WideAnd3095~0_combout\ & \WideAnd3095~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3095][0]~q\,
	datab => \led_flash_cnt[3095][7]~q\,
	datac => \WideAnd3095~0_combout\,
	datad => \WideAnd3095~1_combout\,
	combout => \WideAnd3095~combout\);

-- Location: FF_X18_Y6_N19
\led_flash_cnt_ands[3095]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3095~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3095));

-- Location: LCCOMB_X18_Y6_N30
WideAnd4226 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4226~combout\ = (\WideAnd4226~1_combout\ & (led_flash_cnt_ands(3094) & (\WideAnd4226~0_combout\ & led_flash_cnt_ands(3095))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4226~1_combout\,
	datab => led_flash_cnt_ands(3094),
	datac => \WideAnd4226~0_combout\,
	datad => led_flash_cnt_ands(3095),
	combout => \WideAnd4226~combout\);

-- Location: FF_X18_Y6_N31
\led_flash_cnt_ands_1[386]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4226~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(386));

-- Location: LCCOMB_X19_Y3_N6
\led_flash_cnt[3086][0]~83726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3086][0]~83726_combout\ = !\led_flash_cnt[3086][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3086][0]~q\,
	combout => \led_flash_cnt[3086][0]~83726_combout\);

-- Location: FF_X19_Y3_N7
\led_flash_cnt[3086][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3086][0]~83726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3086][0]~q\);

-- Location: LCCOMB_X20_Y3_N2
\led_flash_cnt[3086][1]~70084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3086][1]~70084_combout\ = (\led_flash_cnt[3086][0]~q\ & (\led_flash_cnt[3086][1]~q\ $ (VCC))) # (!\led_flash_cnt[3086][0]~q\ & (\led_flash_cnt[3086][1]~q\ & VCC))
-- \led_flash_cnt[3086][1]~70085\ = CARRY((\led_flash_cnt[3086][0]~q\ & \led_flash_cnt[3086][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3086][0]~q\,
	datab => \led_flash_cnt[3086][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3086][1]~70084_combout\,
	cout => \led_flash_cnt[3086][1]~70085\);

-- Location: FF_X20_Y3_N3
\led_flash_cnt[3086][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3086][1]~70084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3086][1]~q\);

-- Location: LCCOMB_X20_Y3_N4
\led_flash_cnt[3086][2]~70086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3086][2]~70086_combout\ = (\led_flash_cnt[3086][2]~q\ & (!\led_flash_cnt[3086][1]~70085\)) # (!\led_flash_cnt[3086][2]~q\ & ((\led_flash_cnt[3086][1]~70085\) # (GND)))
-- \led_flash_cnt[3086][2]~70087\ = CARRY((!\led_flash_cnt[3086][1]~70085\) # (!\led_flash_cnt[3086][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3086][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3086][1]~70085\,
	combout => \led_flash_cnt[3086][2]~70086_combout\,
	cout => \led_flash_cnt[3086][2]~70087\);

-- Location: FF_X20_Y3_N5
\led_flash_cnt[3086][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3086][2]~70086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3086][2]~q\);

-- Location: LCCOMB_X20_Y3_N6
\led_flash_cnt[3086][3]~70088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3086][3]~70088_combout\ = (\led_flash_cnt[3086][3]~q\ & (\led_flash_cnt[3086][2]~70087\ $ (GND))) # (!\led_flash_cnt[3086][3]~q\ & (!\led_flash_cnt[3086][2]~70087\ & VCC))
-- \led_flash_cnt[3086][3]~70089\ = CARRY((\led_flash_cnt[3086][3]~q\ & !\led_flash_cnt[3086][2]~70087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3086][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3086][2]~70087\,
	combout => \led_flash_cnt[3086][3]~70088_combout\,
	cout => \led_flash_cnt[3086][3]~70089\);

-- Location: FF_X20_Y3_N7
\led_flash_cnt[3086][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3086][3]~70088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3086][3]~q\);

-- Location: LCCOMB_X20_Y3_N8
\led_flash_cnt[3086][4]~70090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3086][4]~70090_combout\ = (\led_flash_cnt[3086][4]~q\ & (!\led_flash_cnt[3086][3]~70089\)) # (!\led_flash_cnt[3086][4]~q\ & ((\led_flash_cnt[3086][3]~70089\) # (GND)))
-- \led_flash_cnt[3086][4]~70091\ = CARRY((!\led_flash_cnt[3086][3]~70089\) # (!\led_flash_cnt[3086][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3086][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3086][3]~70089\,
	combout => \led_flash_cnt[3086][4]~70090_combout\,
	cout => \led_flash_cnt[3086][4]~70091\);

-- Location: FF_X20_Y3_N9
\led_flash_cnt[3086][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3086][4]~70090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3086][4]~q\);

-- Location: LCCOMB_X20_Y3_N10
\led_flash_cnt[3086][5]~70092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3086][5]~70092_combout\ = (\led_flash_cnt[3086][5]~q\ & (\led_flash_cnt[3086][4]~70091\ $ (GND))) # (!\led_flash_cnt[3086][5]~q\ & (!\led_flash_cnt[3086][4]~70091\ & VCC))
-- \led_flash_cnt[3086][5]~70093\ = CARRY((\led_flash_cnt[3086][5]~q\ & !\led_flash_cnt[3086][4]~70091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3086][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3086][4]~70091\,
	combout => \led_flash_cnt[3086][5]~70092_combout\,
	cout => \led_flash_cnt[3086][5]~70093\);

-- Location: FF_X20_Y3_N11
\led_flash_cnt[3086][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3086][5]~70092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3086][5]~q\);

-- Location: LCCOMB_X20_Y3_N12
\led_flash_cnt[3086][6]~70094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3086][6]~70094_combout\ = (\led_flash_cnt[3086][6]~q\ & (!\led_flash_cnt[3086][5]~70093\)) # (!\led_flash_cnt[3086][6]~q\ & ((\led_flash_cnt[3086][5]~70093\) # (GND)))
-- \led_flash_cnt[3086][6]~70095\ = CARRY((!\led_flash_cnt[3086][5]~70093\) # (!\led_flash_cnt[3086][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3086][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3086][5]~70093\,
	combout => \led_flash_cnt[3086][6]~70094_combout\,
	cout => \led_flash_cnt[3086][6]~70095\);

-- Location: FF_X20_Y3_N13
\led_flash_cnt[3086][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3086][6]~70094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3086][6]~q\);

-- Location: LCCOMB_X19_Y3_N8
\WideAnd3086~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3086~1_combout\ = (\led_flash_cnt[3086][5]~q\ & \led_flash_cnt[3086][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3086][5]~q\,
	datac => \led_flash_cnt[3086][6]~q\,
	combout => \WideAnd3086~1_combout\);

-- Location: LCCOMB_X20_Y3_N14
\led_flash_cnt[3086][7]~70096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3086][7]~70096_combout\ = \led_flash_cnt[3086][7]~q\ $ (!\led_flash_cnt[3086][6]~70095\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3086][7]~q\,
	cin => \led_flash_cnt[3086][6]~70095\,
	combout => \led_flash_cnt[3086][7]~70096_combout\);

-- Location: FF_X20_Y3_N15
\led_flash_cnt[3086][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3086][7]~70096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3086][7]~q\);

-- Location: LCCOMB_X20_Y3_N16
\WideAnd3086~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3086~0_combout\ = (\led_flash_cnt[3086][3]~q\ & (\led_flash_cnt[3086][2]~q\ & (\led_flash_cnt[3086][4]~q\ & \led_flash_cnt[3086][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3086][3]~q\,
	datab => \led_flash_cnt[3086][2]~q\,
	datac => \led_flash_cnt[3086][4]~q\,
	datad => \led_flash_cnt[3086][1]~q\,
	combout => \WideAnd3086~0_combout\);

-- Location: LCCOMB_X19_Y3_N0
WideAnd3086 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3086~combout\ = (\led_flash_cnt[3086][0]~q\ & (\WideAnd3086~1_combout\ & (\led_flash_cnt[3086][7]~q\ & \WideAnd3086~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3086][0]~q\,
	datab => \WideAnd3086~1_combout\,
	datac => \led_flash_cnt[3086][7]~q\,
	datad => \WideAnd3086~0_combout\,
	combout => \WideAnd3086~combout\);

-- Location: FF_X19_Y3_N1
\led_flash_cnt_ands[3086]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3086~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3086));

-- Location: LCCOMB_X16_Y5_N20
\led_flash_cnt[3080][0]~83720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3080][0]~83720_combout\ = !\led_flash_cnt[3080][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3080][0]~q\,
	combout => \led_flash_cnt[3080][0]~83720_combout\);

-- Location: FF_X16_Y5_N21
\led_flash_cnt[3080][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3080][0]~83720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3080][0]~q\);

-- Location: LCCOMB_X16_Y5_N6
\led_flash_cnt[3080][1]~70000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3080][1]~70000_combout\ = (\led_flash_cnt[3080][1]~q\ & (\led_flash_cnt[3080][0]~q\ $ (VCC))) # (!\led_flash_cnt[3080][1]~q\ & (\led_flash_cnt[3080][0]~q\ & VCC))
-- \led_flash_cnt[3080][1]~70001\ = CARRY((\led_flash_cnt[3080][1]~q\ & \led_flash_cnt[3080][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3080][1]~q\,
	datab => \led_flash_cnt[3080][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3080][1]~70000_combout\,
	cout => \led_flash_cnt[3080][1]~70001\);

-- Location: FF_X16_Y5_N7
\led_flash_cnt[3080][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3080][1]~70000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3080][1]~q\);

-- Location: LCCOMB_X16_Y5_N8
\led_flash_cnt[3080][2]~70002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3080][2]~70002_combout\ = (\led_flash_cnt[3080][2]~q\ & (!\led_flash_cnt[3080][1]~70001\)) # (!\led_flash_cnt[3080][2]~q\ & ((\led_flash_cnt[3080][1]~70001\) # (GND)))
-- \led_flash_cnt[3080][2]~70003\ = CARRY((!\led_flash_cnt[3080][1]~70001\) # (!\led_flash_cnt[3080][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3080][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3080][1]~70001\,
	combout => \led_flash_cnt[3080][2]~70002_combout\,
	cout => \led_flash_cnt[3080][2]~70003\);

-- Location: FF_X16_Y5_N9
\led_flash_cnt[3080][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3080][2]~70002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3080][2]~q\);

-- Location: LCCOMB_X16_Y5_N10
\led_flash_cnt[3080][3]~70004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3080][3]~70004_combout\ = (\led_flash_cnt[3080][3]~q\ & (\led_flash_cnt[3080][2]~70003\ $ (GND))) # (!\led_flash_cnt[3080][3]~q\ & (!\led_flash_cnt[3080][2]~70003\ & VCC))
-- \led_flash_cnt[3080][3]~70005\ = CARRY((\led_flash_cnt[3080][3]~q\ & !\led_flash_cnt[3080][2]~70003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3080][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3080][2]~70003\,
	combout => \led_flash_cnt[3080][3]~70004_combout\,
	cout => \led_flash_cnt[3080][3]~70005\);

-- Location: FF_X16_Y5_N11
\led_flash_cnt[3080][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3080][3]~70004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3080][3]~q\);

-- Location: LCCOMB_X16_Y5_N12
\led_flash_cnt[3080][4]~70006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3080][4]~70006_combout\ = (\led_flash_cnt[3080][4]~q\ & (!\led_flash_cnt[3080][3]~70005\)) # (!\led_flash_cnt[3080][4]~q\ & ((\led_flash_cnt[3080][3]~70005\) # (GND)))
-- \led_flash_cnt[3080][4]~70007\ = CARRY((!\led_flash_cnt[3080][3]~70005\) # (!\led_flash_cnt[3080][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3080][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3080][3]~70005\,
	combout => \led_flash_cnt[3080][4]~70006_combout\,
	cout => \led_flash_cnt[3080][4]~70007\);

-- Location: FF_X16_Y5_N13
\led_flash_cnt[3080][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3080][4]~70006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3080][4]~q\);

-- Location: LCCOMB_X16_Y5_N22
\WideAnd3080~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3080~0_combout\ = (\led_flash_cnt[3080][3]~q\ & (\led_flash_cnt[3080][1]~q\ & (\led_flash_cnt[3080][2]~q\ & \led_flash_cnt[3080][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3080][3]~q\,
	datab => \led_flash_cnt[3080][1]~q\,
	datac => \led_flash_cnt[3080][2]~q\,
	datad => \led_flash_cnt[3080][4]~q\,
	combout => \WideAnd3080~0_combout\);

-- Location: LCCOMB_X16_Y5_N14
\led_flash_cnt[3080][5]~70008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3080][5]~70008_combout\ = (\led_flash_cnt[3080][5]~q\ & (\led_flash_cnt[3080][4]~70007\ $ (GND))) # (!\led_flash_cnt[3080][5]~q\ & (!\led_flash_cnt[3080][4]~70007\ & VCC))
-- \led_flash_cnt[3080][5]~70009\ = CARRY((\led_flash_cnt[3080][5]~q\ & !\led_flash_cnt[3080][4]~70007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3080][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3080][4]~70007\,
	combout => \led_flash_cnt[3080][5]~70008_combout\,
	cout => \led_flash_cnt[3080][5]~70009\);

-- Location: FF_X16_Y5_N15
\led_flash_cnt[3080][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3080][5]~70008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3080][5]~q\);

-- Location: LCCOMB_X16_Y5_N16
\led_flash_cnt[3080][6]~70010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3080][6]~70010_combout\ = (\led_flash_cnt[3080][6]~q\ & (!\led_flash_cnt[3080][5]~70009\)) # (!\led_flash_cnt[3080][6]~q\ & ((\led_flash_cnt[3080][5]~70009\) # (GND)))
-- \led_flash_cnt[3080][6]~70011\ = CARRY((!\led_flash_cnt[3080][5]~70009\) # (!\led_flash_cnt[3080][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3080][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3080][5]~70009\,
	combout => \led_flash_cnt[3080][6]~70010_combout\,
	cout => \led_flash_cnt[3080][6]~70011\);

-- Location: FF_X16_Y5_N17
\led_flash_cnt[3080][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3080][6]~70010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3080][6]~q\);

-- Location: LCCOMB_X16_Y5_N18
\led_flash_cnt[3080][7]~70012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3080][7]~70012_combout\ = \led_flash_cnt[3080][7]~q\ $ (!\led_flash_cnt[3080][6]~70011\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3080][7]~q\,
	cin => \led_flash_cnt[3080][6]~70011\,
	combout => \led_flash_cnt[3080][7]~70012_combout\);

-- Location: FF_X16_Y5_N19
\led_flash_cnt[3080][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3080][7]~70012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3080][7]~q\);

-- Location: LCCOMB_X16_Y5_N24
\WideAnd3080~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3080~1_combout\ = (\led_flash_cnt[3080][5]~q\ & \led_flash_cnt[3080][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3080][5]~q\,
	datad => \led_flash_cnt[3080][6]~q\,
	combout => \WideAnd3080~1_combout\);

-- Location: LCCOMB_X16_Y5_N30
WideAnd3080 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3080~combout\ = (\WideAnd3080~0_combout\ & (\led_flash_cnt[3080][0]~q\ & (\led_flash_cnt[3080][7]~q\ & \WideAnd3080~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3080~0_combout\,
	datab => \led_flash_cnt[3080][0]~q\,
	datac => \led_flash_cnt[3080][7]~q\,
	datad => \WideAnd3080~1_combout\,
	combout => \WideAnd3080~combout\);

-- Location: FF_X16_Y5_N31
\led_flash_cnt_ands[3080]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3080~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3080));

-- Location: LCCOMB_X17_Y5_N20
\led_flash_cnt[3081][0]~83721\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3081][0]~83721_combout\ = !\led_flash_cnt[3081][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3081][0]~q\,
	combout => \led_flash_cnt[3081][0]~83721_combout\);

-- Location: FF_X17_Y5_N21
\led_flash_cnt[3081][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3081][0]~83721_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3081][0]~q\);

-- Location: LCCOMB_X18_Y5_N0
\led_flash_cnt[3081][1]~70014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3081][1]~70014_combout\ = (\led_flash_cnt[3081][0]~q\ & (\led_flash_cnt[3081][1]~q\ $ (VCC))) # (!\led_flash_cnt[3081][0]~q\ & (\led_flash_cnt[3081][1]~q\ & VCC))
-- \led_flash_cnt[3081][1]~70015\ = CARRY((\led_flash_cnt[3081][0]~q\ & \led_flash_cnt[3081][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3081][0]~q\,
	datab => \led_flash_cnt[3081][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3081][1]~70014_combout\,
	cout => \led_flash_cnt[3081][1]~70015\);

-- Location: FF_X18_Y5_N1
\led_flash_cnt[3081][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3081][1]~70014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3081][1]~q\);

-- Location: LCCOMB_X18_Y5_N2
\led_flash_cnt[3081][2]~70016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3081][2]~70016_combout\ = (\led_flash_cnt[3081][2]~q\ & (!\led_flash_cnt[3081][1]~70015\)) # (!\led_flash_cnt[3081][2]~q\ & ((\led_flash_cnt[3081][1]~70015\) # (GND)))
-- \led_flash_cnt[3081][2]~70017\ = CARRY((!\led_flash_cnt[3081][1]~70015\) # (!\led_flash_cnt[3081][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3081][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3081][1]~70015\,
	combout => \led_flash_cnt[3081][2]~70016_combout\,
	cout => \led_flash_cnt[3081][2]~70017\);

-- Location: FF_X18_Y5_N3
\led_flash_cnt[3081][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3081][2]~70016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3081][2]~q\);

-- Location: LCCOMB_X18_Y5_N4
\led_flash_cnt[3081][3]~70018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3081][3]~70018_combout\ = (\led_flash_cnt[3081][3]~q\ & (\led_flash_cnt[3081][2]~70017\ $ (GND))) # (!\led_flash_cnt[3081][3]~q\ & (!\led_flash_cnt[3081][2]~70017\ & VCC))
-- \led_flash_cnt[3081][3]~70019\ = CARRY((\led_flash_cnt[3081][3]~q\ & !\led_flash_cnt[3081][2]~70017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3081][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3081][2]~70017\,
	combout => \led_flash_cnt[3081][3]~70018_combout\,
	cout => \led_flash_cnt[3081][3]~70019\);

-- Location: FF_X18_Y5_N5
\led_flash_cnt[3081][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3081][3]~70018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3081][3]~q\);

-- Location: LCCOMB_X18_Y5_N6
\led_flash_cnt[3081][4]~70020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3081][4]~70020_combout\ = (\led_flash_cnt[3081][4]~q\ & (!\led_flash_cnt[3081][3]~70019\)) # (!\led_flash_cnt[3081][4]~q\ & ((\led_flash_cnt[3081][3]~70019\) # (GND)))
-- \led_flash_cnt[3081][4]~70021\ = CARRY((!\led_flash_cnt[3081][3]~70019\) # (!\led_flash_cnt[3081][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3081][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3081][3]~70019\,
	combout => \led_flash_cnt[3081][4]~70020_combout\,
	cout => \led_flash_cnt[3081][4]~70021\);

-- Location: FF_X18_Y5_N7
\led_flash_cnt[3081][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3081][4]~70020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3081][4]~q\);

-- Location: LCCOMB_X18_Y5_N8
\led_flash_cnt[3081][5]~70022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3081][5]~70022_combout\ = (\led_flash_cnt[3081][5]~q\ & (\led_flash_cnt[3081][4]~70021\ $ (GND))) # (!\led_flash_cnt[3081][5]~q\ & (!\led_flash_cnt[3081][4]~70021\ & VCC))
-- \led_flash_cnt[3081][5]~70023\ = CARRY((\led_flash_cnt[3081][5]~q\ & !\led_flash_cnt[3081][4]~70021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3081][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3081][4]~70021\,
	combout => \led_flash_cnt[3081][5]~70022_combout\,
	cout => \led_flash_cnt[3081][5]~70023\);

-- Location: FF_X18_Y5_N9
\led_flash_cnt[3081][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3081][5]~70022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3081][5]~q\);

-- Location: LCCOMB_X18_Y5_N10
\led_flash_cnt[3081][6]~70024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3081][6]~70024_combout\ = (\led_flash_cnt[3081][6]~q\ & (!\led_flash_cnt[3081][5]~70023\)) # (!\led_flash_cnt[3081][6]~q\ & ((\led_flash_cnt[3081][5]~70023\) # (GND)))
-- \led_flash_cnt[3081][6]~70025\ = CARRY((!\led_flash_cnt[3081][5]~70023\) # (!\led_flash_cnt[3081][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3081][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3081][5]~70023\,
	combout => \led_flash_cnt[3081][6]~70024_combout\,
	cout => \led_flash_cnt[3081][6]~70025\);

-- Location: FF_X18_Y5_N11
\led_flash_cnt[3081][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3081][6]~70024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3081][6]~q\);

-- Location: LCCOMB_X17_Y5_N26
\WideAnd3081~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3081~1_combout\ = (\led_flash_cnt[3081][6]~q\ & \led_flash_cnt[3081][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3081][6]~q\,
	datac => \led_flash_cnt[3081][5]~q\,
	combout => \WideAnd3081~1_combout\);

-- Location: LCCOMB_X18_Y5_N12
\led_flash_cnt[3081][7]~70026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3081][7]~70026_combout\ = \led_flash_cnt[3081][6]~70025\ $ (!\led_flash_cnt[3081][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3081][7]~q\,
	cin => \led_flash_cnt[3081][6]~70025\,
	combout => \led_flash_cnt[3081][7]~70026_combout\);

-- Location: FF_X18_Y5_N13
\led_flash_cnt[3081][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3081][7]~70026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3081][7]~q\);

-- Location: LCCOMB_X18_Y5_N28
\WideAnd3081~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3081~0_combout\ = (\led_flash_cnt[3081][4]~q\ & (\led_flash_cnt[3081][1]~q\ & (\led_flash_cnt[3081][3]~q\ & \led_flash_cnt[3081][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3081][4]~q\,
	datab => \led_flash_cnt[3081][1]~q\,
	datac => \led_flash_cnt[3081][3]~q\,
	datad => \led_flash_cnt[3081][2]~q\,
	combout => \WideAnd3081~0_combout\);

-- Location: LCCOMB_X17_Y5_N22
WideAnd3081 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3081~combout\ = (\WideAnd3081~1_combout\ & (\led_flash_cnt[3081][0]~q\ & (\led_flash_cnt[3081][7]~q\ & \WideAnd3081~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3081~1_combout\,
	datab => \led_flash_cnt[3081][0]~q\,
	datac => \led_flash_cnt[3081][7]~q\,
	datad => \WideAnd3081~0_combout\,
	combout => \WideAnd3081~combout\);

-- Location: FF_X17_Y5_N23
\led_flash_cnt_ands[3081]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3081~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3081));

-- Location: LCCOMB_X19_Y3_N12
\led_flash_cnt[3082][0]~83722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3082][0]~83722_combout\ = !\led_flash_cnt[3082][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3082][0]~q\,
	combout => \led_flash_cnt[3082][0]~83722_combout\);

-- Location: FF_X19_Y3_N13
\led_flash_cnt[3082][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3082][0]~83722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3082][0]~q\);

-- Location: LCCOMB_X19_Y3_N14
\led_flash_cnt[3082][1]~70028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3082][1]~70028_combout\ = (\led_flash_cnt[3082][0]~q\ & (\led_flash_cnt[3082][1]~q\ $ (VCC))) # (!\led_flash_cnt[3082][0]~q\ & (\led_flash_cnt[3082][1]~q\ & VCC))
-- \led_flash_cnt[3082][1]~70029\ = CARRY((\led_flash_cnt[3082][0]~q\ & \led_flash_cnt[3082][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3082][0]~q\,
	datab => \led_flash_cnt[3082][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3082][1]~70028_combout\,
	cout => \led_flash_cnt[3082][1]~70029\);

-- Location: FF_X19_Y3_N15
\led_flash_cnt[3082][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3082][1]~70028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3082][1]~q\);

-- Location: LCCOMB_X19_Y3_N16
\led_flash_cnt[3082][2]~70030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3082][2]~70030_combout\ = (\led_flash_cnt[3082][2]~q\ & (!\led_flash_cnt[3082][1]~70029\)) # (!\led_flash_cnt[3082][2]~q\ & ((\led_flash_cnt[3082][1]~70029\) # (GND)))
-- \led_flash_cnt[3082][2]~70031\ = CARRY((!\led_flash_cnt[3082][1]~70029\) # (!\led_flash_cnt[3082][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3082][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3082][1]~70029\,
	combout => \led_flash_cnt[3082][2]~70030_combout\,
	cout => \led_flash_cnt[3082][2]~70031\);

-- Location: FF_X19_Y3_N17
\led_flash_cnt[3082][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3082][2]~70030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3082][2]~q\);

-- Location: LCCOMB_X19_Y3_N18
\led_flash_cnt[3082][3]~70032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3082][3]~70032_combout\ = (\led_flash_cnt[3082][3]~q\ & (\led_flash_cnt[3082][2]~70031\ $ (GND))) # (!\led_flash_cnt[3082][3]~q\ & (!\led_flash_cnt[3082][2]~70031\ & VCC))
-- \led_flash_cnt[3082][3]~70033\ = CARRY((\led_flash_cnt[3082][3]~q\ & !\led_flash_cnt[3082][2]~70031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3082][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3082][2]~70031\,
	combout => \led_flash_cnt[3082][3]~70032_combout\,
	cout => \led_flash_cnt[3082][3]~70033\);

-- Location: FF_X19_Y3_N19
\led_flash_cnt[3082][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3082][3]~70032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3082][3]~q\);

-- Location: LCCOMB_X19_Y3_N20
\led_flash_cnt[3082][4]~70034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3082][4]~70034_combout\ = (\led_flash_cnt[3082][4]~q\ & (!\led_flash_cnt[3082][3]~70033\)) # (!\led_flash_cnt[3082][4]~q\ & ((\led_flash_cnt[3082][3]~70033\) # (GND)))
-- \led_flash_cnt[3082][4]~70035\ = CARRY((!\led_flash_cnt[3082][3]~70033\) # (!\led_flash_cnt[3082][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3082][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3082][3]~70033\,
	combout => \led_flash_cnt[3082][4]~70034_combout\,
	cout => \led_flash_cnt[3082][4]~70035\);

-- Location: FF_X19_Y3_N21
\led_flash_cnt[3082][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3082][4]~70034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3082][4]~q\);

-- Location: LCCOMB_X19_Y3_N4
\WideAnd3082~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3082~0_combout\ = (\led_flash_cnt[3082][3]~q\ & (\led_flash_cnt[3082][2]~q\ & (\led_flash_cnt[3082][1]~q\ & \led_flash_cnt[3082][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3082][3]~q\,
	datab => \led_flash_cnt[3082][2]~q\,
	datac => \led_flash_cnt[3082][1]~q\,
	datad => \led_flash_cnt[3082][4]~q\,
	combout => \WideAnd3082~0_combout\);

-- Location: LCCOMB_X19_Y3_N22
\led_flash_cnt[3082][5]~70036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3082][5]~70036_combout\ = (\led_flash_cnt[3082][5]~q\ & (\led_flash_cnt[3082][4]~70035\ $ (GND))) # (!\led_flash_cnt[3082][5]~q\ & (!\led_flash_cnt[3082][4]~70035\ & VCC))
-- \led_flash_cnt[3082][5]~70037\ = CARRY((\led_flash_cnt[3082][5]~q\ & !\led_flash_cnt[3082][4]~70035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3082][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3082][4]~70035\,
	combout => \led_flash_cnt[3082][5]~70036_combout\,
	cout => \led_flash_cnt[3082][5]~70037\);

-- Location: FF_X19_Y3_N23
\led_flash_cnt[3082][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3082][5]~70036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3082][5]~q\);

-- Location: LCCOMB_X19_Y3_N24
\led_flash_cnt[3082][6]~70038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3082][6]~70038_combout\ = (\led_flash_cnt[3082][6]~q\ & (!\led_flash_cnt[3082][5]~70037\)) # (!\led_flash_cnt[3082][6]~q\ & ((\led_flash_cnt[3082][5]~70037\) # (GND)))
-- \led_flash_cnt[3082][6]~70039\ = CARRY((!\led_flash_cnt[3082][5]~70037\) # (!\led_flash_cnt[3082][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3082][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3082][5]~70037\,
	combout => \led_flash_cnt[3082][6]~70038_combout\,
	cout => \led_flash_cnt[3082][6]~70039\);

-- Location: FF_X19_Y3_N25
\led_flash_cnt[3082][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3082][6]~70038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3082][6]~q\);

-- Location: LCCOMB_X19_Y3_N26
\led_flash_cnt[3082][7]~70040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3082][7]~70040_combout\ = \led_flash_cnt[3082][7]~q\ $ (!\led_flash_cnt[3082][6]~70039\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3082][7]~q\,
	cin => \led_flash_cnt[3082][6]~70039\,
	combout => \led_flash_cnt[3082][7]~70040_combout\);

-- Location: FF_X19_Y3_N27
\led_flash_cnt[3082][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3082][7]~70040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3082][7]~q\);

-- Location: LCCOMB_X19_Y3_N28
\WideAnd3082~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3082~1_combout\ = (\led_flash_cnt[3082][5]~q\ & \led_flash_cnt[3082][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3082][5]~q\,
	datad => \led_flash_cnt[3082][6]~q\,
	combout => \WideAnd3082~1_combout\);

-- Location: LCCOMB_X19_Y3_N10
WideAnd3082 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3082~combout\ = (\led_flash_cnt[3082][0]~q\ & (\WideAnd3082~0_combout\ & (\led_flash_cnt[3082][7]~q\ & \WideAnd3082~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3082][0]~q\,
	datab => \WideAnd3082~0_combout\,
	datac => \led_flash_cnt[3082][7]~q\,
	datad => \WideAnd3082~1_combout\,
	combout => \WideAnd3082~combout\);

-- Location: FF_X19_Y3_N11
\led_flash_cnt_ands[3082]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3082~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3082));

-- Location: LCCOMB_X17_Y5_N30
\led_flash_cnt[3083][0]~83723\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3083][0]~83723_combout\ = !\led_flash_cnt[3083][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3083][0]~q\,
	combout => \led_flash_cnt[3083][0]~83723_combout\);

-- Location: FF_X17_Y5_N31
\led_flash_cnt[3083][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3083][0]~83723_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3083][0]~q\);

-- Location: LCCOMB_X17_Y5_N0
\led_flash_cnt[3083][1]~70042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3083][1]~70042_combout\ = (\led_flash_cnt[3083][0]~q\ & (\led_flash_cnt[3083][1]~q\ $ (VCC))) # (!\led_flash_cnt[3083][0]~q\ & (\led_flash_cnt[3083][1]~q\ & VCC))
-- \led_flash_cnt[3083][1]~70043\ = CARRY((\led_flash_cnt[3083][0]~q\ & \led_flash_cnt[3083][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3083][0]~q\,
	datab => \led_flash_cnt[3083][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3083][1]~70042_combout\,
	cout => \led_flash_cnt[3083][1]~70043\);

-- Location: FF_X17_Y5_N1
\led_flash_cnt[3083][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3083][1]~70042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3083][1]~q\);

-- Location: LCCOMB_X17_Y5_N2
\led_flash_cnt[3083][2]~70044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3083][2]~70044_combout\ = (\led_flash_cnt[3083][2]~q\ & (!\led_flash_cnt[3083][1]~70043\)) # (!\led_flash_cnt[3083][2]~q\ & ((\led_flash_cnt[3083][1]~70043\) # (GND)))
-- \led_flash_cnt[3083][2]~70045\ = CARRY((!\led_flash_cnt[3083][1]~70043\) # (!\led_flash_cnt[3083][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3083][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3083][1]~70043\,
	combout => \led_flash_cnt[3083][2]~70044_combout\,
	cout => \led_flash_cnt[3083][2]~70045\);

-- Location: FF_X17_Y5_N3
\led_flash_cnt[3083][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3083][2]~70044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3083][2]~q\);

-- Location: LCCOMB_X17_Y5_N4
\led_flash_cnt[3083][3]~70046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3083][3]~70046_combout\ = (\led_flash_cnt[3083][3]~q\ & (\led_flash_cnt[3083][2]~70045\ $ (GND))) # (!\led_flash_cnt[3083][3]~q\ & (!\led_flash_cnt[3083][2]~70045\ & VCC))
-- \led_flash_cnt[3083][3]~70047\ = CARRY((\led_flash_cnt[3083][3]~q\ & !\led_flash_cnt[3083][2]~70045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3083][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3083][2]~70045\,
	combout => \led_flash_cnt[3083][3]~70046_combout\,
	cout => \led_flash_cnt[3083][3]~70047\);

-- Location: FF_X17_Y5_N5
\led_flash_cnt[3083][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3083][3]~70046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3083][3]~q\);

-- Location: LCCOMB_X17_Y5_N6
\led_flash_cnt[3083][4]~70048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3083][4]~70048_combout\ = (\led_flash_cnt[3083][4]~q\ & (!\led_flash_cnt[3083][3]~70047\)) # (!\led_flash_cnt[3083][4]~q\ & ((\led_flash_cnt[3083][3]~70047\) # (GND)))
-- \led_flash_cnt[3083][4]~70049\ = CARRY((!\led_flash_cnt[3083][3]~70047\) # (!\led_flash_cnt[3083][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3083][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3083][3]~70047\,
	combout => \led_flash_cnt[3083][4]~70048_combout\,
	cout => \led_flash_cnt[3083][4]~70049\);

-- Location: FF_X17_Y5_N7
\led_flash_cnt[3083][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3083][4]~70048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3083][4]~q\);

-- Location: LCCOMB_X17_Y5_N8
\led_flash_cnt[3083][5]~70050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3083][5]~70050_combout\ = (\led_flash_cnt[3083][5]~q\ & (\led_flash_cnt[3083][4]~70049\ $ (GND))) # (!\led_flash_cnt[3083][5]~q\ & (!\led_flash_cnt[3083][4]~70049\ & VCC))
-- \led_flash_cnt[3083][5]~70051\ = CARRY((\led_flash_cnt[3083][5]~q\ & !\led_flash_cnt[3083][4]~70049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3083][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3083][4]~70049\,
	combout => \led_flash_cnt[3083][5]~70050_combout\,
	cout => \led_flash_cnt[3083][5]~70051\);

-- Location: FF_X17_Y5_N9
\led_flash_cnt[3083][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3083][5]~70050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3083][5]~q\);

-- Location: LCCOMB_X17_Y5_N10
\led_flash_cnt[3083][6]~70052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3083][6]~70052_combout\ = (\led_flash_cnt[3083][6]~q\ & (!\led_flash_cnt[3083][5]~70051\)) # (!\led_flash_cnt[3083][6]~q\ & ((\led_flash_cnt[3083][5]~70051\) # (GND)))
-- \led_flash_cnt[3083][6]~70053\ = CARRY((!\led_flash_cnt[3083][5]~70051\) # (!\led_flash_cnt[3083][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3083][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3083][5]~70051\,
	combout => \led_flash_cnt[3083][6]~70052_combout\,
	cout => \led_flash_cnt[3083][6]~70053\);

-- Location: FF_X17_Y5_N11
\led_flash_cnt[3083][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3083][6]~70052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3083][6]~q\);

-- Location: LCCOMB_X17_Y5_N12
\led_flash_cnt[3083][7]~70054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3083][7]~70054_combout\ = \led_flash_cnt[3083][6]~70053\ $ (!\led_flash_cnt[3083][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3083][7]~q\,
	cin => \led_flash_cnt[3083][6]~70053\,
	combout => \led_flash_cnt[3083][7]~70054_combout\);

-- Location: FF_X17_Y5_N13
\led_flash_cnt[3083][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3083][7]~70054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3083][7]~q\);

-- Location: LCCOMB_X17_Y5_N24
\WideAnd3083~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3083~0_combout\ = (\led_flash_cnt[3083][4]~q\ & (\led_flash_cnt[3083][1]~q\ & (\led_flash_cnt[3083][3]~q\ & \led_flash_cnt[3083][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3083][4]~q\,
	datab => \led_flash_cnt[3083][1]~q\,
	datac => \led_flash_cnt[3083][3]~q\,
	datad => \led_flash_cnt[3083][2]~q\,
	combout => \WideAnd3083~0_combout\);

-- Location: LCCOMB_X17_Y5_N16
\WideAnd3083~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3083~1_combout\ = (\led_flash_cnt[3083][5]~q\ & \led_flash_cnt[3083][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3083][5]~q\,
	datad => \led_flash_cnt[3083][6]~q\,
	combout => \WideAnd3083~1_combout\);

-- Location: LCCOMB_X17_Y5_N28
WideAnd3083 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3083~combout\ = (\led_flash_cnt[3083][7]~q\ & (\WideAnd3083~0_combout\ & (\led_flash_cnt[3083][0]~q\ & \WideAnd3083~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3083][7]~q\,
	datab => \WideAnd3083~0_combout\,
	datac => \led_flash_cnt[3083][0]~q\,
	datad => \WideAnd3083~1_combout\,
	combout => \WideAnd3083~combout\);

-- Location: FF_X17_Y5_N29
\led_flash_cnt_ands[3083]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3083~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3083));

-- Location: LCCOMB_X16_Y5_N28
\WideAnd4225~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4225~0_combout\ = (led_flash_cnt_ands(3080) & (led_flash_cnt_ands(3081) & (led_flash_cnt_ands(3082) & led_flash_cnt_ands(3083))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3080),
	datab => led_flash_cnt_ands(3081),
	datac => led_flash_cnt_ands(3082),
	datad => led_flash_cnt_ands(3083),
	combout => \WideAnd4225~0_combout\);

-- Location: LCCOMB_X14_Y12_N30
\led_flash_cnt[3085][0]~83725\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3085][0]~83725_combout\ = !\led_flash_cnt[3085][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3085][0]~q\,
	combout => \led_flash_cnt[3085][0]~83725_combout\);

-- Location: FF_X14_Y12_N31
\led_flash_cnt[3085][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3085][0]~83725_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3085][0]~q\);

-- Location: LCCOMB_X13_Y14_N4
\led_flash_cnt[3085][1]~70070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3085][1]~70070_combout\ = (\led_flash_cnt[3085][0]~q\ & (\led_flash_cnt[3085][1]~q\ $ (VCC))) # (!\led_flash_cnt[3085][0]~q\ & (\led_flash_cnt[3085][1]~q\ & VCC))
-- \led_flash_cnt[3085][1]~70071\ = CARRY((\led_flash_cnt[3085][0]~q\ & \led_flash_cnt[3085][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3085][0]~q\,
	datab => \led_flash_cnt[3085][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3085][1]~70070_combout\,
	cout => \led_flash_cnt[3085][1]~70071\);

-- Location: FF_X13_Y14_N5
\led_flash_cnt[3085][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3085][1]~70070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3085][1]~q\);

-- Location: LCCOMB_X13_Y14_N6
\led_flash_cnt[3085][2]~70072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3085][2]~70072_combout\ = (\led_flash_cnt[3085][2]~q\ & (!\led_flash_cnt[3085][1]~70071\)) # (!\led_flash_cnt[3085][2]~q\ & ((\led_flash_cnt[3085][1]~70071\) # (GND)))
-- \led_flash_cnt[3085][2]~70073\ = CARRY((!\led_flash_cnt[3085][1]~70071\) # (!\led_flash_cnt[3085][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3085][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3085][1]~70071\,
	combout => \led_flash_cnt[3085][2]~70072_combout\,
	cout => \led_flash_cnt[3085][2]~70073\);

-- Location: FF_X13_Y14_N7
\led_flash_cnt[3085][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3085][2]~70072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3085][2]~q\);

-- Location: LCCOMB_X13_Y14_N8
\led_flash_cnt[3085][3]~70074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3085][3]~70074_combout\ = (\led_flash_cnt[3085][3]~q\ & (\led_flash_cnt[3085][2]~70073\ $ (GND))) # (!\led_flash_cnt[3085][3]~q\ & (!\led_flash_cnt[3085][2]~70073\ & VCC))
-- \led_flash_cnt[3085][3]~70075\ = CARRY((\led_flash_cnt[3085][3]~q\ & !\led_flash_cnt[3085][2]~70073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3085][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3085][2]~70073\,
	combout => \led_flash_cnt[3085][3]~70074_combout\,
	cout => \led_flash_cnt[3085][3]~70075\);

-- Location: FF_X13_Y14_N9
\led_flash_cnt[3085][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3085][3]~70074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3085][3]~q\);

-- Location: LCCOMB_X13_Y14_N10
\led_flash_cnt[3085][4]~70076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3085][4]~70076_combout\ = (\led_flash_cnt[3085][4]~q\ & (!\led_flash_cnt[3085][3]~70075\)) # (!\led_flash_cnt[3085][4]~q\ & ((\led_flash_cnt[3085][3]~70075\) # (GND)))
-- \led_flash_cnt[3085][4]~70077\ = CARRY((!\led_flash_cnt[3085][3]~70075\) # (!\led_flash_cnt[3085][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3085][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3085][3]~70075\,
	combout => \led_flash_cnt[3085][4]~70076_combout\,
	cout => \led_flash_cnt[3085][4]~70077\);

-- Location: FF_X13_Y14_N11
\led_flash_cnt[3085][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3085][4]~70076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3085][4]~q\);

-- Location: LCCOMB_X13_Y14_N12
\led_flash_cnt[3085][5]~70078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3085][5]~70078_combout\ = (\led_flash_cnt[3085][5]~q\ & (\led_flash_cnt[3085][4]~70077\ $ (GND))) # (!\led_flash_cnt[3085][5]~q\ & (!\led_flash_cnt[3085][4]~70077\ & VCC))
-- \led_flash_cnt[3085][5]~70079\ = CARRY((\led_flash_cnt[3085][5]~q\ & !\led_flash_cnt[3085][4]~70077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3085][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3085][4]~70077\,
	combout => \led_flash_cnt[3085][5]~70078_combout\,
	cout => \led_flash_cnt[3085][5]~70079\);

-- Location: FF_X13_Y14_N13
\led_flash_cnt[3085][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3085][5]~70078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3085][5]~q\);

-- Location: LCCOMB_X13_Y14_N14
\led_flash_cnt[3085][6]~70080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3085][6]~70080_combout\ = (\led_flash_cnt[3085][6]~q\ & (!\led_flash_cnt[3085][5]~70079\)) # (!\led_flash_cnt[3085][6]~q\ & ((\led_flash_cnt[3085][5]~70079\) # (GND)))
-- \led_flash_cnt[3085][6]~70081\ = CARRY((!\led_flash_cnt[3085][5]~70079\) # (!\led_flash_cnt[3085][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3085][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3085][5]~70079\,
	combout => \led_flash_cnt[3085][6]~70080_combout\,
	cout => \led_flash_cnt[3085][6]~70081\);

-- Location: FF_X13_Y14_N15
\led_flash_cnt[3085][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3085][6]~70080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3085][6]~q\);

-- Location: LCCOMB_X13_Y14_N16
\led_flash_cnt[3085][7]~70082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3085][7]~70082_combout\ = \led_flash_cnt[3085][6]~70081\ $ (!\led_flash_cnt[3085][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3085][7]~q\,
	cin => \led_flash_cnt[3085][6]~70081\,
	combout => \led_flash_cnt[3085][7]~70082_combout\);

-- Location: FF_X13_Y14_N17
\led_flash_cnt[3085][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3085][7]~70082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3085][7]~q\);

-- Location: LCCOMB_X13_Y14_N22
\WideAnd3085~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3085~1_combout\ = (\led_flash_cnt[3085][6]~q\ & \led_flash_cnt[3085][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3085][6]~q\,
	datad => \led_flash_cnt[3085][5]~q\,
	combout => \WideAnd3085~1_combout\);

-- Location: LCCOMB_X13_Y14_N18
\WideAnd3085~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3085~0_combout\ = (\led_flash_cnt[3085][4]~q\ & (\led_flash_cnt[3085][1]~q\ & (\led_flash_cnt[3085][3]~q\ & \led_flash_cnt[3085][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3085][4]~q\,
	datab => \led_flash_cnt[3085][1]~q\,
	datac => \led_flash_cnt[3085][3]~q\,
	datad => \led_flash_cnt[3085][2]~q\,
	combout => \WideAnd3085~0_combout\);

-- Location: LCCOMB_X13_Y14_N20
WideAnd3085 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3085~combout\ = (\led_flash_cnt[3085][0]~q\ & (\led_flash_cnt[3085][7]~q\ & (\WideAnd3085~1_combout\ & \WideAnd3085~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3085][0]~q\,
	datab => \led_flash_cnt[3085][7]~q\,
	datac => \WideAnd3085~1_combout\,
	datad => \WideAnd3085~0_combout\,
	combout => \WideAnd3085~combout\);

-- Location: FF_X13_Y14_N21
\led_flash_cnt_ands[3085]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3085~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3085));

-- Location: LCCOMB_X17_Y15_N20
\led_flash_cnt[3084][0]~83724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3084][0]~83724_combout\ = !\led_flash_cnt[3084][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3084][0]~q\,
	combout => \led_flash_cnt[3084][0]~83724_combout\);

-- Location: FF_X17_Y15_N21
\led_flash_cnt[3084][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3084][0]~83724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3084][0]~q\);

-- Location: LCCOMB_X17_Y15_N2
\led_flash_cnt[3084][1]~70056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3084][1]~70056_combout\ = (\led_flash_cnt[3084][1]~q\ & (\led_flash_cnt[3084][0]~q\ $ (VCC))) # (!\led_flash_cnt[3084][1]~q\ & (\led_flash_cnt[3084][0]~q\ & VCC))
-- \led_flash_cnt[3084][1]~70057\ = CARRY((\led_flash_cnt[3084][1]~q\ & \led_flash_cnt[3084][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3084][1]~q\,
	datab => \led_flash_cnt[3084][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3084][1]~70056_combout\,
	cout => \led_flash_cnt[3084][1]~70057\);

-- Location: FF_X17_Y15_N3
\led_flash_cnt[3084][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3084][1]~70056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3084][1]~q\);

-- Location: LCCOMB_X17_Y15_N4
\led_flash_cnt[3084][2]~70058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3084][2]~70058_combout\ = (\led_flash_cnt[3084][2]~q\ & (!\led_flash_cnt[3084][1]~70057\)) # (!\led_flash_cnt[3084][2]~q\ & ((\led_flash_cnt[3084][1]~70057\) # (GND)))
-- \led_flash_cnt[3084][2]~70059\ = CARRY((!\led_flash_cnt[3084][1]~70057\) # (!\led_flash_cnt[3084][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3084][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3084][1]~70057\,
	combout => \led_flash_cnt[3084][2]~70058_combout\,
	cout => \led_flash_cnt[3084][2]~70059\);

-- Location: FF_X17_Y15_N5
\led_flash_cnt[3084][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3084][2]~70058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3084][2]~q\);

-- Location: LCCOMB_X17_Y15_N6
\led_flash_cnt[3084][3]~70060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3084][3]~70060_combout\ = (\led_flash_cnt[3084][3]~q\ & (\led_flash_cnt[3084][2]~70059\ $ (GND))) # (!\led_flash_cnt[3084][3]~q\ & (!\led_flash_cnt[3084][2]~70059\ & VCC))
-- \led_flash_cnt[3084][3]~70061\ = CARRY((\led_flash_cnt[3084][3]~q\ & !\led_flash_cnt[3084][2]~70059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3084][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3084][2]~70059\,
	combout => \led_flash_cnt[3084][3]~70060_combout\,
	cout => \led_flash_cnt[3084][3]~70061\);

-- Location: FF_X17_Y15_N7
\led_flash_cnt[3084][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3084][3]~70060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3084][3]~q\);

-- Location: LCCOMB_X17_Y15_N8
\led_flash_cnt[3084][4]~70062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3084][4]~70062_combout\ = (\led_flash_cnt[3084][4]~q\ & (!\led_flash_cnt[3084][3]~70061\)) # (!\led_flash_cnt[3084][4]~q\ & ((\led_flash_cnt[3084][3]~70061\) # (GND)))
-- \led_flash_cnt[3084][4]~70063\ = CARRY((!\led_flash_cnt[3084][3]~70061\) # (!\led_flash_cnt[3084][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3084][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3084][3]~70061\,
	combout => \led_flash_cnt[3084][4]~70062_combout\,
	cout => \led_flash_cnt[3084][4]~70063\);

-- Location: FF_X17_Y15_N9
\led_flash_cnt[3084][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3084][4]~70062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3084][4]~q\);

-- Location: LCCOMB_X17_Y15_N22
\WideAnd3084~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3084~0_combout\ = (\led_flash_cnt[3084][3]~q\ & (\led_flash_cnt[3084][2]~q\ & (\led_flash_cnt[3084][4]~q\ & \led_flash_cnt[3084][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3084][3]~q\,
	datab => \led_flash_cnt[3084][2]~q\,
	datac => \led_flash_cnt[3084][4]~q\,
	datad => \led_flash_cnt[3084][1]~q\,
	combout => \WideAnd3084~0_combout\);

-- Location: LCCOMB_X17_Y15_N10
\led_flash_cnt[3084][5]~70064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3084][5]~70064_combout\ = (\led_flash_cnt[3084][5]~q\ & (\led_flash_cnt[3084][4]~70063\ $ (GND))) # (!\led_flash_cnt[3084][5]~q\ & (!\led_flash_cnt[3084][4]~70063\ & VCC))
-- \led_flash_cnt[3084][5]~70065\ = CARRY((\led_flash_cnt[3084][5]~q\ & !\led_flash_cnt[3084][4]~70063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3084][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3084][4]~70063\,
	combout => \led_flash_cnt[3084][5]~70064_combout\,
	cout => \led_flash_cnt[3084][5]~70065\);

-- Location: FF_X17_Y15_N11
\led_flash_cnt[3084][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3084][5]~70064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3084][5]~q\);

-- Location: LCCOMB_X17_Y15_N12
\led_flash_cnt[3084][6]~70066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3084][6]~70066_combout\ = (\led_flash_cnt[3084][6]~q\ & (!\led_flash_cnt[3084][5]~70065\)) # (!\led_flash_cnt[3084][6]~q\ & ((\led_flash_cnt[3084][5]~70065\) # (GND)))
-- \led_flash_cnt[3084][6]~70067\ = CARRY((!\led_flash_cnt[3084][5]~70065\) # (!\led_flash_cnt[3084][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3084][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3084][5]~70065\,
	combout => \led_flash_cnt[3084][6]~70066_combout\,
	cout => \led_flash_cnt[3084][6]~70067\);

-- Location: FF_X17_Y15_N13
\led_flash_cnt[3084][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3084][6]~70066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3084][6]~q\);

-- Location: LCCOMB_X17_Y15_N14
\led_flash_cnt[3084][7]~70068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3084][7]~70068_combout\ = \led_flash_cnt[3084][7]~q\ $ (!\led_flash_cnt[3084][6]~70067\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3084][7]~q\,
	cin => \led_flash_cnt[3084][6]~70067\,
	combout => \led_flash_cnt[3084][7]~70068_combout\);

-- Location: FF_X17_Y15_N15
\led_flash_cnt[3084][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3084][7]~70068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3084][7]~q\);

-- Location: LCCOMB_X17_Y15_N16
\WideAnd3084~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3084~1_combout\ = (\led_flash_cnt[3084][5]~q\ & \led_flash_cnt[3084][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3084][5]~q\,
	datac => \led_flash_cnt[3084][6]~q\,
	combout => \WideAnd3084~1_combout\);

-- Location: LCCOMB_X17_Y15_N30
WideAnd3084 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3084~combout\ = (\WideAnd3084~0_combout\ & (\led_flash_cnt[3084][0]~q\ & (\led_flash_cnt[3084][7]~q\ & \WideAnd3084~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3084~0_combout\,
	datab => \led_flash_cnt[3084][0]~q\,
	datac => \led_flash_cnt[3084][7]~q\,
	datad => \WideAnd3084~1_combout\,
	combout => \WideAnd3084~combout\);

-- Location: FF_X17_Y15_N31
\led_flash_cnt_ands[3084]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3084~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3084));

-- Location: LCCOMB_X16_Y14_N28
\WideAnd4225~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4225~1_combout\ = (led_flash_cnt_ands(3085) & led_flash_cnt_ands(3084))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3085),
	datad => led_flash_cnt_ands(3084),
	combout => \WideAnd4225~1_combout\);

-- Location: LCCOMB_X22_Y7_N30
\led_flash_cnt[3087][0]~83727\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3087][0]~83727_combout\ = !\led_flash_cnt[3087][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3087][0]~q\,
	combout => \led_flash_cnt[3087][0]~83727_combout\);

-- Location: FF_X22_Y7_N31
\led_flash_cnt[3087][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3087][0]~83727_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3087][0]~q\);

-- Location: LCCOMB_X19_Y6_N18
\led_flash_cnt[3087][1]~70098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3087][1]~70098_combout\ = (\led_flash_cnt[3087][0]~q\ & (\led_flash_cnt[3087][1]~q\ $ (VCC))) # (!\led_flash_cnt[3087][0]~q\ & (\led_flash_cnt[3087][1]~q\ & VCC))
-- \led_flash_cnt[3087][1]~70099\ = CARRY((\led_flash_cnt[3087][0]~q\ & \led_flash_cnt[3087][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3087][0]~q\,
	datab => \led_flash_cnt[3087][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3087][1]~70098_combout\,
	cout => \led_flash_cnt[3087][1]~70099\);

-- Location: FF_X19_Y6_N19
\led_flash_cnt[3087][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3087][1]~70098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3087][1]~q\);

-- Location: LCCOMB_X19_Y6_N20
\led_flash_cnt[3087][2]~70100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3087][2]~70100_combout\ = (\led_flash_cnt[3087][2]~q\ & (!\led_flash_cnt[3087][1]~70099\)) # (!\led_flash_cnt[3087][2]~q\ & ((\led_flash_cnt[3087][1]~70099\) # (GND)))
-- \led_flash_cnt[3087][2]~70101\ = CARRY((!\led_flash_cnt[3087][1]~70099\) # (!\led_flash_cnt[3087][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3087][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3087][1]~70099\,
	combout => \led_flash_cnt[3087][2]~70100_combout\,
	cout => \led_flash_cnt[3087][2]~70101\);

-- Location: FF_X19_Y6_N21
\led_flash_cnt[3087][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3087][2]~70100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3087][2]~q\);

-- Location: LCCOMB_X19_Y6_N22
\led_flash_cnt[3087][3]~70102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3087][3]~70102_combout\ = (\led_flash_cnt[3087][3]~q\ & (\led_flash_cnt[3087][2]~70101\ $ (GND))) # (!\led_flash_cnt[3087][3]~q\ & (!\led_flash_cnt[3087][2]~70101\ & VCC))
-- \led_flash_cnt[3087][3]~70103\ = CARRY((\led_flash_cnt[3087][3]~q\ & !\led_flash_cnt[3087][2]~70101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3087][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3087][2]~70101\,
	combout => \led_flash_cnt[3087][3]~70102_combout\,
	cout => \led_flash_cnt[3087][3]~70103\);

-- Location: FF_X19_Y6_N23
\led_flash_cnt[3087][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3087][3]~70102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3087][3]~q\);

-- Location: LCCOMB_X19_Y6_N24
\led_flash_cnt[3087][4]~70104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3087][4]~70104_combout\ = (\led_flash_cnt[3087][4]~q\ & (!\led_flash_cnt[3087][3]~70103\)) # (!\led_flash_cnt[3087][4]~q\ & ((\led_flash_cnt[3087][3]~70103\) # (GND)))
-- \led_flash_cnt[3087][4]~70105\ = CARRY((!\led_flash_cnt[3087][3]~70103\) # (!\led_flash_cnt[3087][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3087][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3087][3]~70103\,
	combout => \led_flash_cnt[3087][4]~70104_combout\,
	cout => \led_flash_cnt[3087][4]~70105\);

-- Location: FF_X19_Y6_N25
\led_flash_cnt[3087][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3087][4]~70104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3087][4]~q\);

-- Location: LCCOMB_X19_Y6_N26
\led_flash_cnt[3087][5]~70106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3087][5]~70106_combout\ = (\led_flash_cnt[3087][5]~q\ & (\led_flash_cnt[3087][4]~70105\ $ (GND))) # (!\led_flash_cnt[3087][5]~q\ & (!\led_flash_cnt[3087][4]~70105\ & VCC))
-- \led_flash_cnt[3087][5]~70107\ = CARRY((\led_flash_cnt[3087][5]~q\ & !\led_flash_cnt[3087][4]~70105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3087][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3087][4]~70105\,
	combout => \led_flash_cnt[3087][5]~70106_combout\,
	cout => \led_flash_cnt[3087][5]~70107\);

-- Location: FF_X19_Y6_N27
\led_flash_cnt[3087][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3087][5]~70106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3087][5]~q\);

-- Location: LCCOMB_X19_Y6_N28
\led_flash_cnt[3087][6]~70108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3087][6]~70108_combout\ = (\led_flash_cnt[3087][6]~q\ & (!\led_flash_cnt[3087][5]~70107\)) # (!\led_flash_cnt[3087][6]~q\ & ((\led_flash_cnt[3087][5]~70107\) # (GND)))
-- \led_flash_cnt[3087][6]~70109\ = CARRY((!\led_flash_cnt[3087][5]~70107\) # (!\led_flash_cnt[3087][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3087][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3087][5]~70107\,
	combout => \led_flash_cnt[3087][6]~70108_combout\,
	cout => \led_flash_cnt[3087][6]~70109\);

-- Location: FF_X19_Y6_N29
\led_flash_cnt[3087][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3087][6]~70108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3087][6]~q\);

-- Location: LCCOMB_X20_Y6_N26
\WideAnd3087~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3087~1_combout\ = (\led_flash_cnt[3087][5]~q\ & \led_flash_cnt[3087][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3087][5]~q\,
	datad => \led_flash_cnt[3087][6]~q\,
	combout => \WideAnd3087~1_combout\);

-- Location: LCCOMB_X19_Y6_N30
\led_flash_cnt[3087][7]~70110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3087][7]~70110_combout\ = \led_flash_cnt[3087][7]~q\ $ (!\led_flash_cnt[3087][6]~70109\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3087][7]~q\,
	cin => \led_flash_cnt[3087][6]~70109\,
	combout => \led_flash_cnt[3087][7]~70110_combout\);

-- Location: FF_X19_Y6_N31
\led_flash_cnt[3087][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3087][7]~70110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3087][7]~q\);

-- Location: LCCOMB_X18_Y6_N24
\WideAnd3087~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3087~0_combout\ = (\led_flash_cnt[3087][1]~q\ & (\led_flash_cnt[3087][4]~q\ & (\led_flash_cnt[3087][2]~q\ & \led_flash_cnt[3087][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3087][1]~q\,
	datab => \led_flash_cnt[3087][4]~q\,
	datac => \led_flash_cnt[3087][2]~q\,
	datad => \led_flash_cnt[3087][3]~q\,
	combout => \WideAnd3087~0_combout\);

-- Location: LCCOMB_X17_Y5_N18
WideAnd3087 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3087~combout\ = (\WideAnd3087~1_combout\ & (\led_flash_cnt[3087][7]~q\ & (\WideAnd3087~0_combout\ & \led_flash_cnt[3087][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3087~1_combout\,
	datab => \led_flash_cnt[3087][7]~q\,
	datac => \WideAnd3087~0_combout\,
	datad => \led_flash_cnt[3087][0]~q\,
	combout => \WideAnd3087~combout\);

-- Location: FF_X17_Y5_N19
\led_flash_cnt_ands[3087]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3087~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3087));

-- Location: LCCOMB_X16_Y7_N2
WideAnd4225 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4225~combout\ = (led_flash_cnt_ands(3086) & (\WideAnd4225~0_combout\ & (\WideAnd4225~1_combout\ & led_flash_cnt_ands(3087))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3086),
	datab => \WideAnd4225~0_combout\,
	datac => \WideAnd4225~1_combout\,
	datad => led_flash_cnt_ands(3087),
	combout => \WideAnd4225~combout\);

-- Location: FF_X16_Y7_N3
\led_flash_cnt_ands_1[385]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4225~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(385));

-- Location: LCCOMB_X14_Y28_N2
\led_flash_cnt[3101][0]~83741\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3101][0]~83741_combout\ = !\led_flash_cnt[3101][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3101][0]~q\,
	combout => \led_flash_cnt[3101][0]~83741_combout\);

-- Location: FF_X14_Y28_N3
\led_flash_cnt[3101][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3101][0]~83741_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3101][0]~q\);

-- Location: LCCOMB_X13_Y28_N4
\led_flash_cnt[3101][1]~70294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3101][1]~70294_combout\ = (\led_flash_cnt[3101][0]~q\ & (\led_flash_cnt[3101][1]~q\ $ (VCC))) # (!\led_flash_cnt[3101][0]~q\ & (\led_flash_cnt[3101][1]~q\ & VCC))
-- \led_flash_cnt[3101][1]~70295\ = CARRY((\led_flash_cnt[3101][0]~q\ & \led_flash_cnt[3101][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3101][0]~q\,
	datab => \led_flash_cnt[3101][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3101][1]~70294_combout\,
	cout => \led_flash_cnt[3101][1]~70295\);

-- Location: FF_X13_Y28_N5
\led_flash_cnt[3101][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3101][1]~70294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3101][1]~q\);

-- Location: LCCOMB_X13_Y28_N6
\led_flash_cnt[3101][2]~70296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3101][2]~70296_combout\ = (\led_flash_cnt[3101][2]~q\ & (!\led_flash_cnt[3101][1]~70295\)) # (!\led_flash_cnt[3101][2]~q\ & ((\led_flash_cnt[3101][1]~70295\) # (GND)))
-- \led_flash_cnt[3101][2]~70297\ = CARRY((!\led_flash_cnt[3101][1]~70295\) # (!\led_flash_cnt[3101][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3101][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3101][1]~70295\,
	combout => \led_flash_cnt[3101][2]~70296_combout\,
	cout => \led_flash_cnt[3101][2]~70297\);

-- Location: FF_X13_Y28_N7
\led_flash_cnt[3101][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3101][2]~70296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3101][2]~q\);

-- Location: LCCOMB_X13_Y28_N8
\led_flash_cnt[3101][3]~70298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3101][3]~70298_combout\ = (\led_flash_cnt[3101][3]~q\ & (\led_flash_cnt[3101][2]~70297\ $ (GND))) # (!\led_flash_cnt[3101][3]~q\ & (!\led_flash_cnt[3101][2]~70297\ & VCC))
-- \led_flash_cnt[3101][3]~70299\ = CARRY((\led_flash_cnt[3101][3]~q\ & !\led_flash_cnt[3101][2]~70297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3101][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3101][2]~70297\,
	combout => \led_flash_cnt[3101][3]~70298_combout\,
	cout => \led_flash_cnt[3101][3]~70299\);

-- Location: FF_X13_Y28_N9
\led_flash_cnt[3101][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3101][3]~70298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3101][3]~q\);

-- Location: LCCOMB_X13_Y28_N10
\led_flash_cnt[3101][4]~70300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3101][4]~70300_combout\ = (\led_flash_cnt[3101][4]~q\ & (!\led_flash_cnt[3101][3]~70299\)) # (!\led_flash_cnt[3101][4]~q\ & ((\led_flash_cnt[3101][3]~70299\) # (GND)))
-- \led_flash_cnt[3101][4]~70301\ = CARRY((!\led_flash_cnt[3101][3]~70299\) # (!\led_flash_cnt[3101][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3101][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3101][3]~70299\,
	combout => \led_flash_cnt[3101][4]~70300_combout\,
	cout => \led_flash_cnt[3101][4]~70301\);

-- Location: FF_X13_Y28_N11
\led_flash_cnt[3101][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3101][4]~70300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3101][4]~q\);

-- Location: LCCOMB_X13_Y28_N0
\WideAnd3101~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3101~0_combout\ = (\led_flash_cnt[3101][4]~q\ & (\led_flash_cnt[3101][1]~q\ & (\led_flash_cnt[3101][3]~q\ & \led_flash_cnt[3101][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3101][4]~q\,
	datab => \led_flash_cnt[3101][1]~q\,
	datac => \led_flash_cnt[3101][3]~q\,
	datad => \led_flash_cnt[3101][2]~q\,
	combout => \WideAnd3101~0_combout\);

-- Location: LCCOMB_X13_Y28_N12
\led_flash_cnt[3101][5]~70302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3101][5]~70302_combout\ = (\led_flash_cnt[3101][5]~q\ & (\led_flash_cnt[3101][4]~70301\ $ (GND))) # (!\led_flash_cnt[3101][5]~q\ & (!\led_flash_cnt[3101][4]~70301\ & VCC))
-- \led_flash_cnt[3101][5]~70303\ = CARRY((\led_flash_cnt[3101][5]~q\ & !\led_flash_cnt[3101][4]~70301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3101][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3101][4]~70301\,
	combout => \led_flash_cnt[3101][5]~70302_combout\,
	cout => \led_flash_cnt[3101][5]~70303\);

-- Location: FF_X13_Y28_N13
\led_flash_cnt[3101][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3101][5]~70302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3101][5]~q\);

-- Location: LCCOMB_X13_Y28_N14
\led_flash_cnt[3101][6]~70304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3101][6]~70304_combout\ = (\led_flash_cnt[3101][6]~q\ & (!\led_flash_cnt[3101][5]~70303\)) # (!\led_flash_cnt[3101][6]~q\ & ((\led_flash_cnt[3101][5]~70303\) # (GND)))
-- \led_flash_cnt[3101][6]~70305\ = CARRY((!\led_flash_cnt[3101][5]~70303\) # (!\led_flash_cnt[3101][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3101][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3101][5]~70303\,
	combout => \led_flash_cnt[3101][6]~70304_combout\,
	cout => \led_flash_cnt[3101][6]~70305\);

-- Location: FF_X13_Y28_N15
\led_flash_cnt[3101][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3101][6]~70304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3101][6]~q\);

-- Location: LCCOMB_X14_Y28_N20
\WideAnd3101~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3101~1_combout\ = (\led_flash_cnt[3101][5]~q\ & \led_flash_cnt[3101][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3101][5]~q\,
	datad => \led_flash_cnt[3101][6]~q\,
	combout => \WideAnd3101~1_combout\);

-- Location: LCCOMB_X13_Y28_N16
\led_flash_cnt[3101][7]~70306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3101][7]~70306_combout\ = \led_flash_cnt[3101][6]~70305\ $ (!\led_flash_cnt[3101][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3101][7]~q\,
	cin => \led_flash_cnt[3101][6]~70305\,
	combout => \led_flash_cnt[3101][7]~70306_combout\);

-- Location: FF_X13_Y28_N17
\led_flash_cnt[3101][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3101][7]~70306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3101][7]~q\);

-- Location: LCCOMB_X14_Y28_N26
WideAnd3101 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3101~combout\ = (\WideAnd3101~0_combout\ & (\WideAnd3101~1_combout\ & (\led_flash_cnt[3101][7]~q\ & \led_flash_cnt[3101][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3101~0_combout\,
	datab => \WideAnd3101~1_combout\,
	datac => \led_flash_cnt[3101][7]~q\,
	datad => \led_flash_cnt[3101][0]~q\,
	combout => \WideAnd3101~combout\);

-- Location: FF_X14_Y28_N27
\led_flash_cnt_ands[3101]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3101~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3101));

-- Location: LCCOMB_X14_Y28_N0
\led_flash_cnt[3100][0]~83740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3100][0]~83740_combout\ = !\led_flash_cnt[3100][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3100][0]~q\,
	combout => \led_flash_cnt[3100][0]~83740_combout\);

-- Location: FF_X14_Y28_N1
\led_flash_cnt[3100][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3100][0]~83740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3100][0]~q\);

-- Location: LCCOMB_X14_Y28_N6
\led_flash_cnt[3100][1]~70280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3100][1]~70280_combout\ = (\led_flash_cnt[3100][1]~q\ & (\led_flash_cnt[3100][0]~q\ $ (VCC))) # (!\led_flash_cnt[3100][1]~q\ & (\led_flash_cnt[3100][0]~q\ & VCC))
-- \led_flash_cnt[3100][1]~70281\ = CARRY((\led_flash_cnt[3100][1]~q\ & \led_flash_cnt[3100][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3100][1]~q\,
	datab => \led_flash_cnt[3100][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3100][1]~70280_combout\,
	cout => \led_flash_cnt[3100][1]~70281\);

-- Location: FF_X14_Y28_N7
\led_flash_cnt[3100][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3100][1]~70280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3100][1]~q\);

-- Location: LCCOMB_X14_Y28_N8
\led_flash_cnt[3100][2]~70282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3100][2]~70282_combout\ = (\led_flash_cnt[3100][2]~q\ & (!\led_flash_cnt[3100][1]~70281\)) # (!\led_flash_cnt[3100][2]~q\ & ((\led_flash_cnt[3100][1]~70281\) # (GND)))
-- \led_flash_cnt[3100][2]~70283\ = CARRY((!\led_flash_cnt[3100][1]~70281\) # (!\led_flash_cnt[3100][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3100][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3100][1]~70281\,
	combout => \led_flash_cnt[3100][2]~70282_combout\,
	cout => \led_flash_cnt[3100][2]~70283\);

-- Location: FF_X14_Y28_N9
\led_flash_cnt[3100][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3100][2]~70282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3100][2]~q\);

-- Location: LCCOMB_X14_Y28_N10
\led_flash_cnt[3100][3]~70284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3100][3]~70284_combout\ = (\led_flash_cnt[3100][3]~q\ & (\led_flash_cnt[3100][2]~70283\ $ (GND))) # (!\led_flash_cnt[3100][3]~q\ & (!\led_flash_cnt[3100][2]~70283\ & VCC))
-- \led_flash_cnt[3100][3]~70285\ = CARRY((\led_flash_cnt[3100][3]~q\ & !\led_flash_cnt[3100][2]~70283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3100][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3100][2]~70283\,
	combout => \led_flash_cnt[3100][3]~70284_combout\,
	cout => \led_flash_cnt[3100][3]~70285\);

-- Location: FF_X14_Y28_N11
\led_flash_cnt[3100][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3100][3]~70284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3100][3]~q\);

-- Location: LCCOMB_X14_Y28_N12
\led_flash_cnt[3100][4]~70286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3100][4]~70286_combout\ = (\led_flash_cnt[3100][4]~q\ & (!\led_flash_cnt[3100][3]~70285\)) # (!\led_flash_cnt[3100][4]~q\ & ((\led_flash_cnt[3100][3]~70285\) # (GND)))
-- \led_flash_cnt[3100][4]~70287\ = CARRY((!\led_flash_cnt[3100][3]~70285\) # (!\led_flash_cnt[3100][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3100][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3100][3]~70285\,
	combout => \led_flash_cnt[3100][4]~70286_combout\,
	cout => \led_flash_cnt[3100][4]~70287\);

-- Location: FF_X14_Y28_N13
\led_flash_cnt[3100][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3100][4]~70286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3100][4]~q\);

-- Location: LCCOMB_X14_Y28_N14
\led_flash_cnt[3100][5]~70288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3100][5]~70288_combout\ = (\led_flash_cnt[3100][5]~q\ & (\led_flash_cnt[3100][4]~70287\ $ (GND))) # (!\led_flash_cnt[3100][5]~q\ & (!\led_flash_cnt[3100][4]~70287\ & VCC))
-- \led_flash_cnt[3100][5]~70289\ = CARRY((\led_flash_cnt[3100][5]~q\ & !\led_flash_cnt[3100][4]~70287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3100][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3100][4]~70287\,
	combout => \led_flash_cnt[3100][5]~70288_combout\,
	cout => \led_flash_cnt[3100][5]~70289\);

-- Location: FF_X14_Y28_N15
\led_flash_cnt[3100][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3100][5]~70288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3100][5]~q\);

-- Location: LCCOMB_X14_Y28_N16
\led_flash_cnt[3100][6]~70290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3100][6]~70290_combout\ = (\led_flash_cnt[3100][6]~q\ & (!\led_flash_cnt[3100][5]~70289\)) # (!\led_flash_cnt[3100][6]~q\ & ((\led_flash_cnt[3100][5]~70289\) # (GND)))
-- \led_flash_cnt[3100][6]~70291\ = CARRY((!\led_flash_cnt[3100][5]~70289\) # (!\led_flash_cnt[3100][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3100][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3100][5]~70289\,
	combout => \led_flash_cnt[3100][6]~70290_combout\,
	cout => \led_flash_cnt[3100][6]~70291\);

-- Location: FF_X14_Y28_N17
\led_flash_cnt[3100][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3100][6]~70290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3100][6]~q\);

-- Location: LCCOMB_X14_Y28_N22
\WideAnd3100~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3100~1_combout\ = (\led_flash_cnt[3100][5]~q\ & \led_flash_cnt[3100][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3100][5]~q\,
	datad => \led_flash_cnt[3100][6]~q\,
	combout => \WideAnd3100~1_combout\);

-- Location: LCCOMB_X14_Y28_N4
\WideAnd3100~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3100~0_combout\ = (\led_flash_cnt[3100][4]~q\ & (\led_flash_cnt[3100][3]~q\ & (\led_flash_cnt[3100][2]~q\ & \led_flash_cnt[3100][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3100][4]~q\,
	datab => \led_flash_cnt[3100][3]~q\,
	datac => \led_flash_cnt[3100][2]~q\,
	datad => \led_flash_cnt[3100][1]~q\,
	combout => \WideAnd3100~0_combout\);

-- Location: LCCOMB_X14_Y28_N18
\led_flash_cnt[3100][7]~70292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3100][7]~70292_combout\ = \led_flash_cnt[3100][6]~70291\ $ (!\led_flash_cnt[3100][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3100][7]~q\,
	cin => \led_flash_cnt[3100][6]~70291\,
	combout => \led_flash_cnt[3100][7]~70292_combout\);

-- Location: FF_X14_Y28_N19
\led_flash_cnt[3100][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3100][7]~70292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3100][7]~q\);

-- Location: LCCOMB_X14_Y28_N24
WideAnd3100 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3100~combout\ = (\WideAnd3100~1_combout\ & (\led_flash_cnt[3100][0]~q\ & (\WideAnd3100~0_combout\ & \led_flash_cnt[3100][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3100~1_combout\,
	datab => \led_flash_cnt[3100][0]~q\,
	datac => \WideAnd3100~0_combout\,
	datad => \led_flash_cnt[3100][7]~q\,
	combout => \WideAnd3100~combout\);

-- Location: FF_X14_Y28_N25
\led_flash_cnt_ands[3100]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3100~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3100));

-- Location: LCCOMB_X14_Y28_N30
\WideAnd4227~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4227~1_combout\ = (led_flash_cnt_ands(3101) & led_flash_cnt_ands(3100))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3101),
	datad => led_flash_cnt_ands(3100),
	combout => \WideAnd4227~1_combout\);

-- Location: LCCOMB_X13_Y7_N18
\led_flash_cnt[3103][0]~83743\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3103][0]~83743_combout\ = !\led_flash_cnt[3103][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3103][0]~q\,
	combout => \led_flash_cnt[3103][0]~83743_combout\);

-- Location: FF_X13_Y7_N19
\led_flash_cnt[3103][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3103][0]~83743_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3103][0]~q\);

-- Location: LCCOMB_X12_Y7_N2
\led_flash_cnt[3103][1]~70322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3103][1]~70322_combout\ = (\led_flash_cnt[3103][0]~q\ & (\led_flash_cnt[3103][1]~q\ $ (VCC))) # (!\led_flash_cnt[3103][0]~q\ & (\led_flash_cnt[3103][1]~q\ & VCC))
-- \led_flash_cnt[3103][1]~70323\ = CARRY((\led_flash_cnt[3103][0]~q\ & \led_flash_cnt[3103][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3103][0]~q\,
	datab => \led_flash_cnt[3103][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3103][1]~70322_combout\,
	cout => \led_flash_cnt[3103][1]~70323\);

-- Location: FF_X12_Y7_N3
\led_flash_cnt[3103][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3103][1]~70322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3103][1]~q\);

-- Location: LCCOMB_X12_Y7_N4
\led_flash_cnt[3103][2]~70324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3103][2]~70324_combout\ = (\led_flash_cnt[3103][2]~q\ & (!\led_flash_cnt[3103][1]~70323\)) # (!\led_flash_cnt[3103][2]~q\ & ((\led_flash_cnt[3103][1]~70323\) # (GND)))
-- \led_flash_cnt[3103][2]~70325\ = CARRY((!\led_flash_cnt[3103][1]~70323\) # (!\led_flash_cnt[3103][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3103][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3103][1]~70323\,
	combout => \led_flash_cnt[3103][2]~70324_combout\,
	cout => \led_flash_cnt[3103][2]~70325\);

-- Location: FF_X12_Y7_N5
\led_flash_cnt[3103][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3103][2]~70324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3103][2]~q\);

-- Location: LCCOMB_X12_Y7_N6
\led_flash_cnt[3103][3]~70326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3103][3]~70326_combout\ = (\led_flash_cnt[3103][3]~q\ & (\led_flash_cnt[3103][2]~70325\ $ (GND))) # (!\led_flash_cnt[3103][3]~q\ & (!\led_flash_cnt[3103][2]~70325\ & VCC))
-- \led_flash_cnt[3103][3]~70327\ = CARRY((\led_flash_cnt[3103][3]~q\ & !\led_flash_cnt[3103][2]~70325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3103][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3103][2]~70325\,
	combout => \led_flash_cnt[3103][3]~70326_combout\,
	cout => \led_flash_cnt[3103][3]~70327\);

-- Location: FF_X12_Y7_N7
\led_flash_cnt[3103][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3103][3]~70326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3103][3]~q\);

-- Location: LCCOMB_X12_Y7_N8
\led_flash_cnt[3103][4]~70328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3103][4]~70328_combout\ = (\led_flash_cnt[3103][4]~q\ & (!\led_flash_cnt[3103][3]~70327\)) # (!\led_flash_cnt[3103][4]~q\ & ((\led_flash_cnt[3103][3]~70327\) # (GND)))
-- \led_flash_cnt[3103][4]~70329\ = CARRY((!\led_flash_cnt[3103][3]~70327\) # (!\led_flash_cnt[3103][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3103][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3103][3]~70327\,
	combout => \led_flash_cnt[3103][4]~70328_combout\,
	cout => \led_flash_cnt[3103][4]~70329\);

-- Location: FF_X12_Y7_N9
\led_flash_cnt[3103][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3103][4]~70328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3103][4]~q\);

-- Location: LCCOMB_X12_Y7_N10
\led_flash_cnt[3103][5]~70330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3103][5]~70330_combout\ = (\led_flash_cnt[3103][5]~q\ & (\led_flash_cnt[3103][4]~70329\ $ (GND))) # (!\led_flash_cnt[3103][5]~q\ & (!\led_flash_cnt[3103][4]~70329\ & VCC))
-- \led_flash_cnt[3103][5]~70331\ = CARRY((\led_flash_cnt[3103][5]~q\ & !\led_flash_cnt[3103][4]~70329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3103][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3103][4]~70329\,
	combout => \led_flash_cnt[3103][5]~70330_combout\,
	cout => \led_flash_cnt[3103][5]~70331\);

-- Location: FF_X12_Y7_N11
\led_flash_cnt[3103][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3103][5]~70330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3103][5]~q\);

-- Location: LCCOMB_X12_Y7_N12
\led_flash_cnt[3103][6]~70332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3103][6]~70332_combout\ = (\led_flash_cnt[3103][6]~q\ & (!\led_flash_cnt[3103][5]~70331\)) # (!\led_flash_cnt[3103][6]~q\ & ((\led_flash_cnt[3103][5]~70331\) # (GND)))
-- \led_flash_cnt[3103][6]~70333\ = CARRY((!\led_flash_cnt[3103][5]~70331\) # (!\led_flash_cnt[3103][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3103][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3103][5]~70331\,
	combout => \led_flash_cnt[3103][6]~70332_combout\,
	cout => \led_flash_cnt[3103][6]~70333\);

-- Location: FF_X12_Y7_N13
\led_flash_cnt[3103][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3103][6]~70332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3103][6]~q\);

-- Location: LCCOMB_X12_Y7_N14
\led_flash_cnt[3103][7]~70334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3103][7]~70334_combout\ = \led_flash_cnt[3103][7]~q\ $ (!\led_flash_cnt[3103][6]~70333\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3103][7]~q\,
	cin => \led_flash_cnt[3103][6]~70333\,
	combout => \led_flash_cnt[3103][7]~70334_combout\);

-- Location: FF_X12_Y7_N15
\led_flash_cnt[3103][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3103][7]~70334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3103][7]~q\);

-- Location: LCCOMB_X13_Y7_N0
\WideAnd3103~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3103~1_combout\ = (\led_flash_cnt[3103][6]~q\ & \led_flash_cnt[3103][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3103][6]~q\,
	datad => \led_flash_cnt[3103][5]~q\,
	combout => \WideAnd3103~1_combout\);

-- Location: LCCOMB_X12_Y7_N16
\WideAnd3103~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3103~0_combout\ = (\led_flash_cnt[3103][3]~q\ & (\led_flash_cnt[3103][4]~q\ & (\led_flash_cnt[3103][2]~q\ & \led_flash_cnt[3103][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3103][3]~q\,
	datab => \led_flash_cnt[3103][4]~q\,
	datac => \led_flash_cnt[3103][2]~q\,
	datad => \led_flash_cnt[3103][1]~q\,
	combout => \WideAnd3103~0_combout\);

-- Location: LCCOMB_X13_Y7_N28
WideAnd3103 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3103~combout\ = (\led_flash_cnt[3103][7]~q\ & (\WideAnd3103~1_combout\ & (\WideAnd3103~0_combout\ & \led_flash_cnt[3103][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3103][7]~q\,
	datab => \WideAnd3103~1_combout\,
	datac => \WideAnd3103~0_combout\,
	datad => \led_flash_cnt[3103][0]~q\,
	combout => \WideAnd3103~combout\);

-- Location: FF_X13_Y7_N29
\led_flash_cnt_ands[3103]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3103~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3103));

-- Location: LCCOMB_X24_Y6_N28
\led_flash_cnt[3099][0]~83739\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3099][0]~83739_combout\ = !\led_flash_cnt[3099][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3099][0]~q\,
	combout => \led_flash_cnt[3099][0]~83739_combout\);

-- Location: FF_X24_Y6_N29
\led_flash_cnt[3099][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3099][0]~83739_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3099][0]~q\);

-- Location: LCCOMB_X21_Y6_N18
\led_flash_cnt[3099][1]~70266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3099][1]~70266_combout\ = (\led_flash_cnt[3099][0]~q\ & (\led_flash_cnt[3099][1]~q\ $ (VCC))) # (!\led_flash_cnt[3099][0]~q\ & (\led_flash_cnt[3099][1]~q\ & VCC))
-- \led_flash_cnt[3099][1]~70267\ = CARRY((\led_flash_cnt[3099][0]~q\ & \led_flash_cnt[3099][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3099][0]~q\,
	datab => \led_flash_cnt[3099][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3099][1]~70266_combout\,
	cout => \led_flash_cnt[3099][1]~70267\);

-- Location: FF_X21_Y6_N19
\led_flash_cnt[3099][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3099][1]~70266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3099][1]~q\);

-- Location: LCCOMB_X21_Y6_N20
\led_flash_cnt[3099][2]~70268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3099][2]~70268_combout\ = (\led_flash_cnt[3099][2]~q\ & (!\led_flash_cnt[3099][1]~70267\)) # (!\led_flash_cnt[3099][2]~q\ & ((\led_flash_cnt[3099][1]~70267\) # (GND)))
-- \led_flash_cnt[3099][2]~70269\ = CARRY((!\led_flash_cnt[3099][1]~70267\) # (!\led_flash_cnt[3099][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3099][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3099][1]~70267\,
	combout => \led_flash_cnt[3099][2]~70268_combout\,
	cout => \led_flash_cnt[3099][2]~70269\);

-- Location: FF_X21_Y6_N21
\led_flash_cnt[3099][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3099][2]~70268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3099][2]~q\);

-- Location: LCCOMB_X21_Y6_N22
\led_flash_cnt[3099][3]~70270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3099][3]~70270_combout\ = (\led_flash_cnt[3099][3]~q\ & (\led_flash_cnt[3099][2]~70269\ $ (GND))) # (!\led_flash_cnt[3099][3]~q\ & (!\led_flash_cnt[3099][2]~70269\ & VCC))
-- \led_flash_cnt[3099][3]~70271\ = CARRY((\led_flash_cnt[3099][3]~q\ & !\led_flash_cnt[3099][2]~70269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3099][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3099][2]~70269\,
	combout => \led_flash_cnt[3099][3]~70270_combout\,
	cout => \led_flash_cnt[3099][3]~70271\);

-- Location: FF_X21_Y6_N23
\led_flash_cnt[3099][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3099][3]~70270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3099][3]~q\);

-- Location: LCCOMB_X21_Y6_N24
\led_flash_cnt[3099][4]~70272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3099][4]~70272_combout\ = (\led_flash_cnt[3099][4]~q\ & (!\led_flash_cnt[3099][3]~70271\)) # (!\led_flash_cnt[3099][4]~q\ & ((\led_flash_cnt[3099][3]~70271\) # (GND)))
-- \led_flash_cnt[3099][4]~70273\ = CARRY((!\led_flash_cnt[3099][3]~70271\) # (!\led_flash_cnt[3099][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3099][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3099][3]~70271\,
	combout => \led_flash_cnt[3099][4]~70272_combout\,
	cout => \led_flash_cnt[3099][4]~70273\);

-- Location: FF_X21_Y6_N25
\led_flash_cnt[3099][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3099][4]~70272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3099][4]~q\);

-- Location: LCCOMB_X21_Y6_N14
\WideAnd3099~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3099~0_combout\ = (\led_flash_cnt[3099][1]~q\ & (\led_flash_cnt[3099][2]~q\ & (\led_flash_cnt[3099][3]~q\ & \led_flash_cnt[3099][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3099][1]~q\,
	datab => \led_flash_cnt[3099][2]~q\,
	datac => \led_flash_cnt[3099][3]~q\,
	datad => \led_flash_cnt[3099][4]~q\,
	combout => \WideAnd3099~0_combout\);

-- Location: LCCOMB_X21_Y6_N26
\led_flash_cnt[3099][5]~70274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3099][5]~70274_combout\ = (\led_flash_cnt[3099][5]~q\ & (\led_flash_cnt[3099][4]~70273\ $ (GND))) # (!\led_flash_cnt[3099][5]~q\ & (!\led_flash_cnt[3099][4]~70273\ & VCC))
-- \led_flash_cnt[3099][5]~70275\ = CARRY((\led_flash_cnt[3099][5]~q\ & !\led_flash_cnt[3099][4]~70273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3099][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3099][4]~70273\,
	combout => \led_flash_cnt[3099][5]~70274_combout\,
	cout => \led_flash_cnt[3099][5]~70275\);

-- Location: FF_X21_Y6_N27
\led_flash_cnt[3099][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3099][5]~70274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3099][5]~q\);

-- Location: LCCOMB_X21_Y6_N28
\led_flash_cnt[3099][6]~70276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3099][6]~70276_combout\ = (\led_flash_cnt[3099][6]~q\ & (!\led_flash_cnt[3099][5]~70275\)) # (!\led_flash_cnt[3099][6]~q\ & ((\led_flash_cnt[3099][5]~70275\) # (GND)))
-- \led_flash_cnt[3099][6]~70277\ = CARRY((!\led_flash_cnt[3099][5]~70275\) # (!\led_flash_cnt[3099][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3099][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3099][5]~70275\,
	combout => \led_flash_cnt[3099][6]~70276_combout\,
	cout => \led_flash_cnt[3099][6]~70277\);

-- Location: FF_X21_Y6_N29
\led_flash_cnt[3099][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3099][6]~70276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3099][6]~q\);

-- Location: LCCOMB_X21_Y6_N30
\led_flash_cnt[3099][7]~70278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3099][7]~70278_combout\ = \led_flash_cnt[3099][7]~q\ $ (!\led_flash_cnt[3099][6]~70277\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3099][7]~q\,
	cin => \led_flash_cnt[3099][6]~70277\,
	combout => \led_flash_cnt[3099][7]~70278_combout\);

-- Location: FF_X21_Y6_N31
\led_flash_cnt[3099][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3099][7]~70278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3099][7]~q\);

-- Location: LCCOMB_X22_Y6_N0
\WideAnd3099~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3099~1_combout\ = (\led_flash_cnt[3099][5]~q\ & \led_flash_cnt[3099][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3099][5]~q\,
	datad => \led_flash_cnt[3099][6]~q\,
	combout => \WideAnd3099~1_combout\);

-- Location: LCCOMB_X22_Y6_N4
WideAnd3099 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3099~combout\ = (\WideAnd3099~0_combout\ & (\led_flash_cnt[3099][7]~q\ & (\led_flash_cnt[3099][0]~q\ & \WideAnd3099~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3099~0_combout\,
	datab => \led_flash_cnt[3099][7]~q\,
	datac => \led_flash_cnt[3099][0]~q\,
	datad => \WideAnd3099~1_combout\,
	combout => \WideAnd3099~combout\);

-- Location: FF_X22_Y6_N5
\led_flash_cnt_ands[3099]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3099~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3099));

-- Location: LCCOMB_X25_Y16_N30
\led_flash_cnt[3098][0]~83738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3098][0]~83738_combout\ = !\led_flash_cnt[3098][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3098][0]~q\,
	combout => \led_flash_cnt[3098][0]~83738_combout\);

-- Location: FF_X25_Y16_N31
\led_flash_cnt[3098][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3098][0]~83738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3098][0]~q\);

-- Location: LCCOMB_X22_Y14_N0
\led_flash_cnt[3098][1]~70252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3098][1]~70252_combout\ = (\led_flash_cnt[3098][0]~q\ & (\led_flash_cnt[3098][1]~q\ $ (VCC))) # (!\led_flash_cnt[3098][0]~q\ & (\led_flash_cnt[3098][1]~q\ & VCC))
-- \led_flash_cnt[3098][1]~70253\ = CARRY((\led_flash_cnt[3098][0]~q\ & \led_flash_cnt[3098][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3098][0]~q\,
	datab => \led_flash_cnt[3098][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3098][1]~70252_combout\,
	cout => \led_flash_cnt[3098][1]~70253\);

-- Location: FF_X22_Y14_N1
\led_flash_cnt[3098][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3098][1]~70252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3098][1]~q\);

-- Location: LCCOMB_X22_Y14_N2
\led_flash_cnt[3098][2]~70254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3098][2]~70254_combout\ = (\led_flash_cnt[3098][2]~q\ & (!\led_flash_cnt[3098][1]~70253\)) # (!\led_flash_cnt[3098][2]~q\ & ((\led_flash_cnt[3098][1]~70253\) # (GND)))
-- \led_flash_cnt[3098][2]~70255\ = CARRY((!\led_flash_cnt[3098][1]~70253\) # (!\led_flash_cnt[3098][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3098][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3098][1]~70253\,
	combout => \led_flash_cnt[3098][2]~70254_combout\,
	cout => \led_flash_cnt[3098][2]~70255\);

-- Location: FF_X22_Y14_N3
\led_flash_cnt[3098][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3098][2]~70254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3098][2]~q\);

-- Location: LCCOMB_X22_Y14_N4
\led_flash_cnt[3098][3]~70256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3098][3]~70256_combout\ = (\led_flash_cnt[3098][3]~q\ & (\led_flash_cnt[3098][2]~70255\ $ (GND))) # (!\led_flash_cnt[3098][3]~q\ & (!\led_flash_cnt[3098][2]~70255\ & VCC))
-- \led_flash_cnt[3098][3]~70257\ = CARRY((\led_flash_cnt[3098][3]~q\ & !\led_flash_cnt[3098][2]~70255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3098][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3098][2]~70255\,
	combout => \led_flash_cnt[3098][3]~70256_combout\,
	cout => \led_flash_cnt[3098][3]~70257\);

-- Location: FF_X22_Y14_N5
\led_flash_cnt[3098][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3098][3]~70256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3098][3]~q\);

-- Location: LCCOMB_X22_Y14_N6
\led_flash_cnt[3098][4]~70258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3098][4]~70258_combout\ = (\led_flash_cnt[3098][4]~q\ & (!\led_flash_cnt[3098][3]~70257\)) # (!\led_flash_cnt[3098][4]~q\ & ((\led_flash_cnt[3098][3]~70257\) # (GND)))
-- \led_flash_cnt[3098][4]~70259\ = CARRY((!\led_flash_cnt[3098][3]~70257\) # (!\led_flash_cnt[3098][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3098][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3098][3]~70257\,
	combout => \led_flash_cnt[3098][4]~70258_combout\,
	cout => \led_flash_cnt[3098][4]~70259\);

-- Location: FF_X22_Y14_N7
\led_flash_cnt[3098][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3098][4]~70258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3098][4]~q\);

-- Location: LCCOMB_X23_Y14_N10
\WideAnd3098~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3098~0_combout\ = (\led_flash_cnt[3098][1]~q\ & (\led_flash_cnt[3098][3]~q\ & (\led_flash_cnt[3098][4]~q\ & \led_flash_cnt[3098][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3098][1]~q\,
	datab => \led_flash_cnt[3098][3]~q\,
	datac => \led_flash_cnt[3098][4]~q\,
	datad => \led_flash_cnt[3098][2]~q\,
	combout => \WideAnd3098~0_combout\);

-- Location: LCCOMB_X22_Y14_N8
\led_flash_cnt[3098][5]~70260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3098][5]~70260_combout\ = (\led_flash_cnt[3098][5]~q\ & (\led_flash_cnt[3098][4]~70259\ $ (GND))) # (!\led_flash_cnt[3098][5]~q\ & (!\led_flash_cnt[3098][4]~70259\ & VCC))
-- \led_flash_cnt[3098][5]~70261\ = CARRY((\led_flash_cnt[3098][5]~q\ & !\led_flash_cnt[3098][4]~70259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3098][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3098][4]~70259\,
	combout => \led_flash_cnt[3098][5]~70260_combout\,
	cout => \led_flash_cnt[3098][5]~70261\);

-- Location: FF_X22_Y14_N9
\led_flash_cnt[3098][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3098][5]~70260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3098][5]~q\);

-- Location: LCCOMB_X22_Y14_N10
\led_flash_cnt[3098][6]~70262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3098][6]~70262_combout\ = (\led_flash_cnt[3098][6]~q\ & (!\led_flash_cnt[3098][5]~70261\)) # (!\led_flash_cnt[3098][6]~q\ & ((\led_flash_cnt[3098][5]~70261\) # (GND)))
-- \led_flash_cnt[3098][6]~70263\ = CARRY((!\led_flash_cnt[3098][5]~70261\) # (!\led_flash_cnt[3098][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3098][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3098][5]~70261\,
	combout => \led_flash_cnt[3098][6]~70262_combout\,
	cout => \led_flash_cnt[3098][6]~70263\);

-- Location: FF_X22_Y14_N11
\led_flash_cnt[3098][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3098][6]~70262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3098][6]~q\);

-- Location: LCCOMB_X23_Y14_N30
\WideAnd3098~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3098~1_combout\ = (\led_flash_cnt[3098][5]~q\ & \led_flash_cnt[3098][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3098][5]~q\,
	datad => \led_flash_cnt[3098][6]~q\,
	combout => \WideAnd3098~1_combout\);

-- Location: LCCOMB_X22_Y14_N12
\led_flash_cnt[3098][7]~70264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3098][7]~70264_combout\ = \led_flash_cnt[3098][6]~70263\ $ (!\led_flash_cnt[3098][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3098][7]~q\,
	cin => \led_flash_cnt[3098][6]~70263\,
	combout => \led_flash_cnt[3098][7]~70264_combout\);

-- Location: FF_X22_Y14_N13
\led_flash_cnt[3098][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3098][7]~70264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3098][7]~q\);

-- Location: LCCOMB_X22_Y14_N14
WideAnd3098 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3098~combout\ = (\led_flash_cnt[3098][0]~q\ & (\WideAnd3098~0_combout\ & (\WideAnd3098~1_combout\ & \led_flash_cnt[3098][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3098][0]~q\,
	datab => \WideAnd3098~0_combout\,
	datac => \WideAnd3098~1_combout\,
	datad => \led_flash_cnt[3098][7]~q\,
	combout => \WideAnd3098~combout\);

-- Location: FF_X22_Y14_N15
\led_flash_cnt_ands[3098]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3098~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3098));

-- Location: LCCOMB_X22_Y10_N22
\led_flash_cnt[3096][0]~83736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3096][0]~83736_combout\ = !\led_flash_cnt[3096][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3096][0]~q\,
	combout => \led_flash_cnt[3096][0]~83736_combout\);

-- Location: FF_X22_Y10_N23
\led_flash_cnt[3096][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3096][0]~83736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3096][0]~q\);

-- Location: LCCOMB_X22_Y10_N4
\led_flash_cnt[3096][1]~70224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3096][1]~70224_combout\ = (\led_flash_cnt[3096][0]~q\ & (\led_flash_cnt[3096][1]~q\ $ (VCC))) # (!\led_flash_cnt[3096][0]~q\ & (\led_flash_cnt[3096][1]~q\ & VCC))
-- \led_flash_cnt[3096][1]~70225\ = CARRY((\led_flash_cnt[3096][0]~q\ & \led_flash_cnt[3096][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3096][0]~q\,
	datab => \led_flash_cnt[3096][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3096][1]~70224_combout\,
	cout => \led_flash_cnt[3096][1]~70225\);

-- Location: FF_X22_Y10_N5
\led_flash_cnt[3096][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3096][1]~70224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3096][1]~q\);

-- Location: LCCOMB_X22_Y10_N6
\led_flash_cnt[3096][2]~70226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3096][2]~70226_combout\ = (\led_flash_cnt[3096][2]~q\ & (!\led_flash_cnt[3096][1]~70225\)) # (!\led_flash_cnt[3096][2]~q\ & ((\led_flash_cnt[3096][1]~70225\) # (GND)))
-- \led_flash_cnt[3096][2]~70227\ = CARRY((!\led_flash_cnt[3096][1]~70225\) # (!\led_flash_cnt[3096][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3096][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3096][1]~70225\,
	combout => \led_flash_cnt[3096][2]~70226_combout\,
	cout => \led_flash_cnt[3096][2]~70227\);

-- Location: FF_X22_Y10_N7
\led_flash_cnt[3096][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3096][2]~70226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3096][2]~q\);

-- Location: LCCOMB_X22_Y10_N8
\led_flash_cnt[3096][3]~70228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3096][3]~70228_combout\ = (\led_flash_cnt[3096][3]~q\ & (\led_flash_cnt[3096][2]~70227\ $ (GND))) # (!\led_flash_cnt[3096][3]~q\ & (!\led_flash_cnt[3096][2]~70227\ & VCC))
-- \led_flash_cnt[3096][3]~70229\ = CARRY((\led_flash_cnt[3096][3]~q\ & !\led_flash_cnt[3096][2]~70227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3096][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3096][2]~70227\,
	combout => \led_flash_cnt[3096][3]~70228_combout\,
	cout => \led_flash_cnt[3096][3]~70229\);

-- Location: FF_X22_Y10_N9
\led_flash_cnt[3096][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3096][3]~70228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3096][3]~q\);

-- Location: LCCOMB_X22_Y10_N10
\led_flash_cnt[3096][4]~70230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3096][4]~70230_combout\ = (\led_flash_cnt[3096][4]~q\ & (!\led_flash_cnt[3096][3]~70229\)) # (!\led_flash_cnt[3096][4]~q\ & ((\led_flash_cnt[3096][3]~70229\) # (GND)))
-- \led_flash_cnt[3096][4]~70231\ = CARRY((!\led_flash_cnt[3096][3]~70229\) # (!\led_flash_cnt[3096][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3096][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3096][3]~70229\,
	combout => \led_flash_cnt[3096][4]~70230_combout\,
	cout => \led_flash_cnt[3096][4]~70231\);

-- Location: FF_X22_Y10_N11
\led_flash_cnt[3096][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3096][4]~70230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3096][4]~q\);

-- Location: LCCOMB_X22_Y10_N26
\WideAnd3096~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3096~0_combout\ = (\led_flash_cnt[3096][2]~q\ & (\led_flash_cnt[3096][3]~q\ & (\led_flash_cnt[3096][1]~q\ & \led_flash_cnt[3096][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3096][2]~q\,
	datab => \led_flash_cnt[3096][3]~q\,
	datac => \led_flash_cnt[3096][1]~q\,
	datad => \led_flash_cnt[3096][4]~q\,
	combout => \WideAnd3096~0_combout\);

-- Location: LCCOMB_X22_Y10_N12
\led_flash_cnt[3096][5]~70232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3096][5]~70232_combout\ = (\led_flash_cnt[3096][5]~q\ & (\led_flash_cnt[3096][4]~70231\ $ (GND))) # (!\led_flash_cnt[3096][5]~q\ & (!\led_flash_cnt[3096][4]~70231\ & VCC))
-- \led_flash_cnt[3096][5]~70233\ = CARRY((\led_flash_cnt[3096][5]~q\ & !\led_flash_cnt[3096][4]~70231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3096][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3096][4]~70231\,
	combout => \led_flash_cnt[3096][5]~70232_combout\,
	cout => \led_flash_cnt[3096][5]~70233\);

-- Location: FF_X22_Y10_N13
\led_flash_cnt[3096][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3096][5]~70232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3096][5]~q\);

-- Location: LCCOMB_X22_Y10_N14
\led_flash_cnt[3096][6]~70234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3096][6]~70234_combout\ = (\led_flash_cnt[3096][6]~q\ & (!\led_flash_cnt[3096][5]~70233\)) # (!\led_flash_cnt[3096][6]~q\ & ((\led_flash_cnt[3096][5]~70233\) # (GND)))
-- \led_flash_cnt[3096][6]~70235\ = CARRY((!\led_flash_cnt[3096][5]~70233\) # (!\led_flash_cnt[3096][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3096][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3096][5]~70233\,
	combout => \led_flash_cnt[3096][6]~70234_combout\,
	cout => \led_flash_cnt[3096][6]~70235\);

-- Location: FF_X22_Y10_N15
\led_flash_cnt[3096][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3096][6]~70234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3096][6]~q\);

-- Location: LCCOMB_X22_Y10_N16
\led_flash_cnt[3096][7]~70236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3096][7]~70236_combout\ = \led_flash_cnt[3096][6]~70235\ $ (!\led_flash_cnt[3096][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3096][7]~q\,
	cin => \led_flash_cnt[3096][6]~70235\,
	combout => \led_flash_cnt[3096][7]~70236_combout\);

-- Location: FF_X22_Y10_N17
\led_flash_cnt[3096][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3096][7]~70236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3096][7]~q\);

-- Location: LCCOMB_X22_Y10_N18
\WideAnd3096~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3096~1_combout\ = (\led_flash_cnt[3096][6]~q\ & \led_flash_cnt[3096][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3096][6]~q\,
	datad => \led_flash_cnt[3096][5]~q\,
	combout => \WideAnd3096~1_combout\);

-- Location: LCCOMB_X22_Y10_N30
WideAnd3096 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3096~combout\ = (\WideAnd3096~0_combout\ & (\led_flash_cnt[3096][7]~q\ & (\led_flash_cnt[3096][0]~q\ & \WideAnd3096~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3096~0_combout\,
	datab => \led_flash_cnt[3096][7]~q\,
	datac => \led_flash_cnt[3096][0]~q\,
	datad => \WideAnd3096~1_combout\,
	combout => \WideAnd3096~combout\);

-- Location: FF_X22_Y10_N31
\led_flash_cnt_ands[3096]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3096~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3096));

-- Location: LCCOMB_X52_Y22_N22
\led_flash_cnt[3097][0]~83737\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3097][0]~83737_combout\ = !\led_flash_cnt[3097][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3097][0]~q\,
	combout => \led_flash_cnt[3097][0]~83737_combout\);

-- Location: FF_X52_Y22_N23
\led_flash_cnt[3097][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3097][0]~83737_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3097][0]~q\);

-- Location: LCCOMB_X52_Y22_N8
\led_flash_cnt[3097][1]~70238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3097][1]~70238_combout\ = (\led_flash_cnt[3097][0]~q\ & (\led_flash_cnt[3097][1]~q\ $ (VCC))) # (!\led_flash_cnt[3097][0]~q\ & (\led_flash_cnt[3097][1]~q\ & VCC))
-- \led_flash_cnt[3097][1]~70239\ = CARRY((\led_flash_cnt[3097][0]~q\ & \led_flash_cnt[3097][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3097][0]~q\,
	datab => \led_flash_cnt[3097][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3097][1]~70238_combout\,
	cout => \led_flash_cnt[3097][1]~70239\);

-- Location: FF_X52_Y22_N9
\led_flash_cnt[3097][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3097][1]~70238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3097][1]~q\);

-- Location: LCCOMB_X52_Y22_N10
\led_flash_cnt[3097][2]~70240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3097][2]~70240_combout\ = (\led_flash_cnt[3097][2]~q\ & (!\led_flash_cnt[3097][1]~70239\)) # (!\led_flash_cnt[3097][2]~q\ & ((\led_flash_cnt[3097][1]~70239\) # (GND)))
-- \led_flash_cnt[3097][2]~70241\ = CARRY((!\led_flash_cnt[3097][1]~70239\) # (!\led_flash_cnt[3097][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3097][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3097][1]~70239\,
	combout => \led_flash_cnt[3097][2]~70240_combout\,
	cout => \led_flash_cnt[3097][2]~70241\);

-- Location: FF_X52_Y22_N11
\led_flash_cnt[3097][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3097][2]~70240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3097][2]~q\);

-- Location: LCCOMB_X52_Y22_N12
\led_flash_cnt[3097][3]~70242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3097][3]~70242_combout\ = (\led_flash_cnt[3097][3]~q\ & (\led_flash_cnt[3097][2]~70241\ $ (GND))) # (!\led_flash_cnt[3097][3]~q\ & (!\led_flash_cnt[3097][2]~70241\ & VCC))
-- \led_flash_cnt[3097][3]~70243\ = CARRY((\led_flash_cnt[3097][3]~q\ & !\led_flash_cnt[3097][2]~70241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3097][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3097][2]~70241\,
	combout => \led_flash_cnt[3097][3]~70242_combout\,
	cout => \led_flash_cnt[3097][3]~70243\);

-- Location: FF_X52_Y22_N13
\led_flash_cnt[3097][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3097][3]~70242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3097][3]~q\);

-- Location: LCCOMB_X52_Y22_N14
\led_flash_cnt[3097][4]~70244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3097][4]~70244_combout\ = (\led_flash_cnt[3097][4]~q\ & (!\led_flash_cnt[3097][3]~70243\)) # (!\led_flash_cnt[3097][4]~q\ & ((\led_flash_cnt[3097][3]~70243\) # (GND)))
-- \led_flash_cnt[3097][4]~70245\ = CARRY((!\led_flash_cnt[3097][3]~70243\) # (!\led_flash_cnt[3097][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3097][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3097][3]~70243\,
	combout => \led_flash_cnt[3097][4]~70244_combout\,
	cout => \led_flash_cnt[3097][4]~70245\);

-- Location: FF_X52_Y22_N15
\led_flash_cnt[3097][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3097][4]~70244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3097][4]~q\);

-- Location: LCCOMB_X52_Y22_N16
\led_flash_cnt[3097][5]~70246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3097][5]~70246_combout\ = (\led_flash_cnt[3097][5]~q\ & (\led_flash_cnt[3097][4]~70245\ $ (GND))) # (!\led_flash_cnt[3097][5]~q\ & (!\led_flash_cnt[3097][4]~70245\ & VCC))
-- \led_flash_cnt[3097][5]~70247\ = CARRY((\led_flash_cnt[3097][5]~q\ & !\led_flash_cnt[3097][4]~70245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3097][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3097][4]~70245\,
	combout => \led_flash_cnt[3097][5]~70246_combout\,
	cout => \led_flash_cnt[3097][5]~70247\);

-- Location: FF_X52_Y22_N17
\led_flash_cnt[3097][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3097][5]~70246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3097][5]~q\);

-- Location: LCCOMB_X52_Y22_N18
\led_flash_cnt[3097][6]~70248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3097][6]~70248_combout\ = (\led_flash_cnt[3097][6]~q\ & (!\led_flash_cnt[3097][5]~70247\)) # (!\led_flash_cnt[3097][6]~q\ & ((\led_flash_cnt[3097][5]~70247\) # (GND)))
-- \led_flash_cnt[3097][6]~70249\ = CARRY((!\led_flash_cnt[3097][5]~70247\) # (!\led_flash_cnt[3097][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3097][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3097][5]~70247\,
	combout => \led_flash_cnt[3097][6]~70248_combout\,
	cout => \led_flash_cnt[3097][6]~70249\);

-- Location: FF_X52_Y22_N19
\led_flash_cnt[3097][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3097][6]~70248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3097][6]~q\);

-- Location: LCCOMB_X52_Y22_N2
\WideAnd3097~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3097~1_combout\ = (\led_flash_cnt[3097][6]~q\ & \led_flash_cnt[3097][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3097][6]~q\,
	datad => \led_flash_cnt[3097][5]~q\,
	combout => \WideAnd3097~1_combout\);

-- Location: LCCOMB_X52_Y22_N26
\WideAnd3097~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3097~0_combout\ = (\led_flash_cnt[3097][3]~q\ & (\led_flash_cnt[3097][4]~q\ & (\led_flash_cnt[3097][1]~q\ & \led_flash_cnt[3097][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3097][3]~q\,
	datab => \led_flash_cnt[3097][4]~q\,
	datac => \led_flash_cnt[3097][1]~q\,
	datad => \led_flash_cnt[3097][2]~q\,
	combout => \WideAnd3097~0_combout\);

-- Location: LCCOMB_X52_Y22_N20
\led_flash_cnt[3097][7]~70250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3097][7]~70250_combout\ = \led_flash_cnt[3097][6]~70249\ $ (!\led_flash_cnt[3097][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3097][7]~q\,
	cin => \led_flash_cnt[3097][6]~70249\,
	combout => \led_flash_cnt[3097][7]~70250_combout\);

-- Location: FF_X52_Y22_N21
\led_flash_cnt[3097][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3097][7]~70250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3097][7]~q\);

-- Location: LCCOMB_X52_Y22_N30
WideAnd3097 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3097~combout\ = (\led_flash_cnt[3097][0]~q\ & (\WideAnd3097~1_combout\ & (\WideAnd3097~0_combout\ & \led_flash_cnt[3097][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3097][0]~q\,
	datab => \WideAnd3097~1_combout\,
	datac => \WideAnd3097~0_combout\,
	datad => \led_flash_cnt[3097][7]~q\,
	combout => \WideAnd3097~combout\);

-- Location: FF_X51_Y22_N31
\led_flash_cnt_ands[3097]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd3097~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3097));

-- Location: LCCOMB_X22_Y10_N24
\WideAnd4227~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4227~0_combout\ = (led_flash_cnt_ands(3099) & (led_flash_cnt_ands(3098) & (led_flash_cnt_ands(3096) & led_flash_cnt_ands(3097))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3099),
	datab => led_flash_cnt_ands(3098),
	datac => led_flash_cnt_ands(3096),
	datad => led_flash_cnt_ands(3097),
	combout => \WideAnd4227~0_combout\);

-- Location: LCCOMB_X13_Y7_N22
\led_flash_cnt[3102][0]~83742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3102][0]~83742_combout\ = !\led_flash_cnt[3102][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3102][0]~q\,
	combout => \led_flash_cnt[3102][0]~83742_combout\);

-- Location: FF_X13_Y7_N23
\led_flash_cnt[3102][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3102][0]~83742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3102][0]~q\);

-- Location: LCCOMB_X13_Y7_N2
\led_flash_cnt[3102][1]~70308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3102][1]~70308_combout\ = (\led_flash_cnt[3102][0]~q\ & (\led_flash_cnt[3102][1]~q\ $ (VCC))) # (!\led_flash_cnt[3102][0]~q\ & (\led_flash_cnt[3102][1]~q\ & VCC))
-- \led_flash_cnt[3102][1]~70309\ = CARRY((\led_flash_cnt[3102][0]~q\ & \led_flash_cnt[3102][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3102][0]~q\,
	datab => \led_flash_cnt[3102][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3102][1]~70308_combout\,
	cout => \led_flash_cnt[3102][1]~70309\);

-- Location: FF_X13_Y7_N3
\led_flash_cnt[3102][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3102][1]~70308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3102][1]~q\);

-- Location: LCCOMB_X13_Y7_N4
\led_flash_cnt[3102][2]~70310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3102][2]~70310_combout\ = (\led_flash_cnt[3102][2]~q\ & (!\led_flash_cnt[3102][1]~70309\)) # (!\led_flash_cnt[3102][2]~q\ & ((\led_flash_cnt[3102][1]~70309\) # (GND)))
-- \led_flash_cnt[3102][2]~70311\ = CARRY((!\led_flash_cnt[3102][1]~70309\) # (!\led_flash_cnt[3102][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3102][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3102][1]~70309\,
	combout => \led_flash_cnt[3102][2]~70310_combout\,
	cout => \led_flash_cnt[3102][2]~70311\);

-- Location: FF_X13_Y7_N5
\led_flash_cnt[3102][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3102][2]~70310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3102][2]~q\);

-- Location: LCCOMB_X13_Y7_N6
\led_flash_cnt[3102][3]~70312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3102][3]~70312_combout\ = (\led_flash_cnt[3102][3]~q\ & (\led_flash_cnt[3102][2]~70311\ $ (GND))) # (!\led_flash_cnt[3102][3]~q\ & (!\led_flash_cnt[3102][2]~70311\ & VCC))
-- \led_flash_cnt[3102][3]~70313\ = CARRY((\led_flash_cnt[3102][3]~q\ & !\led_flash_cnt[3102][2]~70311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3102][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3102][2]~70311\,
	combout => \led_flash_cnt[3102][3]~70312_combout\,
	cout => \led_flash_cnt[3102][3]~70313\);

-- Location: FF_X13_Y7_N7
\led_flash_cnt[3102][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3102][3]~70312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3102][3]~q\);

-- Location: LCCOMB_X13_Y7_N8
\led_flash_cnt[3102][4]~70314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3102][4]~70314_combout\ = (\led_flash_cnt[3102][4]~q\ & (!\led_flash_cnt[3102][3]~70313\)) # (!\led_flash_cnt[3102][4]~q\ & ((\led_flash_cnt[3102][3]~70313\) # (GND)))
-- \led_flash_cnt[3102][4]~70315\ = CARRY((!\led_flash_cnt[3102][3]~70313\) # (!\led_flash_cnt[3102][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3102][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3102][3]~70313\,
	combout => \led_flash_cnt[3102][4]~70314_combout\,
	cout => \led_flash_cnt[3102][4]~70315\);

-- Location: FF_X13_Y7_N9
\led_flash_cnt[3102][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3102][4]~70314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3102][4]~q\);

-- Location: LCCOMB_X13_Y7_N10
\led_flash_cnt[3102][5]~70316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3102][5]~70316_combout\ = (\led_flash_cnt[3102][5]~q\ & (\led_flash_cnt[3102][4]~70315\ $ (GND))) # (!\led_flash_cnt[3102][5]~q\ & (!\led_flash_cnt[3102][4]~70315\ & VCC))
-- \led_flash_cnt[3102][5]~70317\ = CARRY((\led_flash_cnt[3102][5]~q\ & !\led_flash_cnt[3102][4]~70315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3102][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3102][4]~70315\,
	combout => \led_flash_cnt[3102][5]~70316_combout\,
	cout => \led_flash_cnt[3102][5]~70317\);

-- Location: FF_X13_Y7_N11
\led_flash_cnt[3102][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3102][5]~70316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3102][5]~q\);

-- Location: LCCOMB_X13_Y7_N12
\led_flash_cnt[3102][6]~70318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3102][6]~70318_combout\ = (\led_flash_cnt[3102][6]~q\ & (!\led_flash_cnt[3102][5]~70317\)) # (!\led_flash_cnt[3102][6]~q\ & ((\led_flash_cnt[3102][5]~70317\) # (GND)))
-- \led_flash_cnt[3102][6]~70319\ = CARRY((!\led_flash_cnt[3102][5]~70317\) # (!\led_flash_cnt[3102][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3102][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3102][5]~70317\,
	combout => \led_flash_cnt[3102][6]~70318_combout\,
	cout => \led_flash_cnt[3102][6]~70319\);

-- Location: FF_X13_Y7_N13
\led_flash_cnt[3102][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3102][6]~70318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3102][6]~q\);

-- Location: LCCOMB_X13_Y7_N30
\WideAnd3102~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3102~1_combout\ = (\led_flash_cnt[3102][6]~q\ & \led_flash_cnt[3102][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3102][6]~q\,
	datad => \led_flash_cnt[3102][5]~q\,
	combout => \WideAnd3102~1_combout\);

-- Location: LCCOMB_X13_Y7_N14
\led_flash_cnt[3102][7]~70320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3102][7]~70320_combout\ = \led_flash_cnt[3102][7]~q\ $ (!\led_flash_cnt[3102][6]~70319\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3102][7]~q\,
	cin => \led_flash_cnt[3102][6]~70319\,
	combout => \led_flash_cnt[3102][7]~70320_combout\);

-- Location: FF_X13_Y7_N15
\led_flash_cnt[3102][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3102][7]~70320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3102][7]~q\);

-- Location: LCCOMB_X13_Y7_N24
\WideAnd3102~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3102~0_combout\ = (\led_flash_cnt[3102][3]~q\ & (\led_flash_cnt[3102][4]~q\ & (\led_flash_cnt[3102][2]~q\ & \led_flash_cnt[3102][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3102][3]~q\,
	datab => \led_flash_cnt[3102][4]~q\,
	datac => \led_flash_cnt[3102][2]~q\,
	datad => \led_flash_cnt[3102][1]~q\,
	combout => \WideAnd3102~0_combout\);

-- Location: LCCOMB_X13_Y7_N16
WideAnd3102 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3102~combout\ = (\WideAnd3102~1_combout\ & (\led_flash_cnt[3102][7]~q\ & (\led_flash_cnt[3102][0]~q\ & \WideAnd3102~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3102~1_combout\,
	datab => \led_flash_cnt[3102][7]~q\,
	datac => \led_flash_cnt[3102][0]~q\,
	datad => \WideAnd3102~0_combout\,
	combout => \WideAnd3102~combout\);

-- Location: FF_X13_Y7_N17
\led_flash_cnt_ands[3102]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3102~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3102));

-- Location: LCCOMB_X13_Y7_N20
WideAnd4227 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4227~combout\ = (\WideAnd4227~1_combout\ & (led_flash_cnt_ands(3103) & (\WideAnd4227~0_combout\ & led_flash_cnt_ands(3102))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4227~1_combout\,
	datab => led_flash_cnt_ands(3103),
	datac => \WideAnd4227~0_combout\,
	datad => led_flash_cnt_ands(3102),
	combout => \WideAnd4227~combout\);

-- Location: FF_X13_Y7_N21
\led_flash_cnt_ands_1[387]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4227~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(387));

-- Location: LCCOMB_X13_Y7_N26
\WideAnd4368~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4368~0_combout\ = (led_flash_cnt_ands_1(384) & (led_flash_cnt_ands_1(386) & (led_flash_cnt_ands_1(385) & led_flash_cnt_ands_1(387))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(384),
	datab => led_flash_cnt_ands_1(386),
	datac => led_flash_cnt_ands_1(385),
	datad => led_flash_cnt_ands_1(387),
	combout => \WideAnd4368~0_combout\);

-- Location: LCCOMB_X26_Y14_N6
\led_flash_cnt[3122][0]~83762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3122][0]~83762_combout\ = !\led_flash_cnt[3122][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3122][0]~q\,
	combout => \led_flash_cnt[3122][0]~83762_combout\);

-- Location: FF_X26_Y14_N7
\led_flash_cnt[3122][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3122][0]~83762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3122][0]~q\);

-- Location: LCCOMB_X26_Y14_N16
\led_flash_cnt[3122][1]~70588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3122][1]~70588_combout\ = (\led_flash_cnt[3122][0]~q\ & (\led_flash_cnt[3122][1]~q\ $ (VCC))) # (!\led_flash_cnt[3122][0]~q\ & (\led_flash_cnt[3122][1]~q\ & VCC))
-- \led_flash_cnt[3122][1]~70589\ = CARRY((\led_flash_cnt[3122][0]~q\ & \led_flash_cnt[3122][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3122][0]~q\,
	datab => \led_flash_cnt[3122][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3122][1]~70588_combout\,
	cout => \led_flash_cnt[3122][1]~70589\);

-- Location: FF_X26_Y14_N17
\led_flash_cnt[3122][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3122][1]~70588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3122][1]~q\);

-- Location: LCCOMB_X26_Y14_N18
\led_flash_cnt[3122][2]~70590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3122][2]~70590_combout\ = (\led_flash_cnt[3122][2]~q\ & (!\led_flash_cnt[3122][1]~70589\)) # (!\led_flash_cnt[3122][2]~q\ & ((\led_flash_cnt[3122][1]~70589\) # (GND)))
-- \led_flash_cnt[3122][2]~70591\ = CARRY((!\led_flash_cnt[3122][1]~70589\) # (!\led_flash_cnt[3122][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3122][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3122][1]~70589\,
	combout => \led_flash_cnt[3122][2]~70590_combout\,
	cout => \led_flash_cnt[3122][2]~70591\);

-- Location: FF_X26_Y14_N19
\led_flash_cnt[3122][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3122][2]~70590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3122][2]~q\);

-- Location: LCCOMB_X26_Y14_N20
\led_flash_cnt[3122][3]~70592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3122][3]~70592_combout\ = (\led_flash_cnt[3122][3]~q\ & (\led_flash_cnt[3122][2]~70591\ $ (GND))) # (!\led_flash_cnt[3122][3]~q\ & (!\led_flash_cnt[3122][2]~70591\ & VCC))
-- \led_flash_cnt[3122][3]~70593\ = CARRY((\led_flash_cnt[3122][3]~q\ & !\led_flash_cnt[3122][2]~70591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3122][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3122][2]~70591\,
	combout => \led_flash_cnt[3122][3]~70592_combout\,
	cout => \led_flash_cnt[3122][3]~70593\);

-- Location: FF_X26_Y14_N21
\led_flash_cnt[3122][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3122][3]~70592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3122][3]~q\);

-- Location: LCCOMB_X26_Y14_N22
\led_flash_cnt[3122][4]~70594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3122][4]~70594_combout\ = (\led_flash_cnt[3122][4]~q\ & (!\led_flash_cnt[3122][3]~70593\)) # (!\led_flash_cnt[3122][4]~q\ & ((\led_flash_cnt[3122][3]~70593\) # (GND)))
-- \led_flash_cnt[3122][4]~70595\ = CARRY((!\led_flash_cnt[3122][3]~70593\) # (!\led_flash_cnt[3122][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3122][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3122][3]~70593\,
	combout => \led_flash_cnt[3122][4]~70594_combout\,
	cout => \led_flash_cnt[3122][4]~70595\);

-- Location: FF_X26_Y14_N23
\led_flash_cnt[3122][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3122][4]~70594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3122][4]~q\);

-- Location: LCCOMB_X26_Y14_N24
\led_flash_cnt[3122][5]~70596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3122][5]~70596_combout\ = (\led_flash_cnt[3122][5]~q\ & (\led_flash_cnt[3122][4]~70595\ $ (GND))) # (!\led_flash_cnt[3122][5]~q\ & (!\led_flash_cnt[3122][4]~70595\ & VCC))
-- \led_flash_cnt[3122][5]~70597\ = CARRY((\led_flash_cnt[3122][5]~q\ & !\led_flash_cnt[3122][4]~70595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3122][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3122][4]~70595\,
	combout => \led_flash_cnt[3122][5]~70596_combout\,
	cout => \led_flash_cnt[3122][5]~70597\);

-- Location: FF_X26_Y14_N25
\led_flash_cnt[3122][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3122][5]~70596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3122][5]~q\);

-- Location: LCCOMB_X26_Y14_N26
\led_flash_cnt[3122][6]~70598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3122][6]~70598_combout\ = (\led_flash_cnt[3122][6]~q\ & (!\led_flash_cnt[3122][5]~70597\)) # (!\led_flash_cnt[3122][6]~q\ & ((\led_flash_cnt[3122][5]~70597\) # (GND)))
-- \led_flash_cnt[3122][6]~70599\ = CARRY((!\led_flash_cnt[3122][5]~70597\) # (!\led_flash_cnt[3122][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3122][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3122][5]~70597\,
	combout => \led_flash_cnt[3122][6]~70598_combout\,
	cout => \led_flash_cnt[3122][6]~70599\);

-- Location: FF_X26_Y14_N27
\led_flash_cnt[3122][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3122][6]~70598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3122][6]~q\);

-- Location: LCCOMB_X26_Y14_N28
\led_flash_cnt[3122][7]~70600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3122][7]~70600_combout\ = \led_flash_cnt[3122][6]~70599\ $ (!\led_flash_cnt[3122][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3122][7]~q\,
	cin => \led_flash_cnt[3122][6]~70599\,
	combout => \led_flash_cnt[3122][7]~70600_combout\);

-- Location: FF_X26_Y14_N29
\led_flash_cnt[3122][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3122][7]~70600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3122][7]~q\);

-- Location: LCCOMB_X26_Y14_N14
\WideAnd3122~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3122~1_combout\ = (\led_flash_cnt[3122][6]~q\ & \led_flash_cnt[3122][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3122][6]~q\,
	datad => \led_flash_cnt[3122][5]~q\,
	combout => \WideAnd3122~1_combout\);

-- Location: LCCOMB_X26_Y14_N0
\WideAnd3122~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3122~0_combout\ = (\led_flash_cnt[3122][2]~q\ & (\led_flash_cnt[3122][3]~q\ & (\led_flash_cnt[3122][4]~q\ & \led_flash_cnt[3122][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3122][2]~q\,
	datab => \led_flash_cnt[3122][3]~q\,
	datac => \led_flash_cnt[3122][4]~q\,
	datad => \led_flash_cnt[3122][1]~q\,
	combout => \WideAnd3122~0_combout\);

-- Location: LCCOMB_X26_Y14_N10
WideAnd3122 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3122~combout\ = (\led_flash_cnt[3122][0]~q\ & (\led_flash_cnt[3122][7]~q\ & (\WideAnd3122~1_combout\ & \WideAnd3122~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3122][0]~q\,
	datab => \led_flash_cnt[3122][7]~q\,
	datac => \WideAnd3122~1_combout\,
	datad => \WideAnd3122~0_combout\,
	combout => \WideAnd3122~combout\);

-- Location: FF_X26_Y14_N11
\led_flash_cnt_ands[3122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3122~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3122));

-- Location: LCCOMB_X26_Y20_N30
\led_flash_cnt[3123][0]~83763\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3123][0]~83763_combout\ = !\led_flash_cnt[3123][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3123][0]~q\,
	combout => \led_flash_cnt[3123][0]~83763_combout\);

-- Location: FF_X26_Y20_N31
\led_flash_cnt[3123][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3123][0]~83763_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3123][0]~q\);

-- Location: LCCOMB_X26_Y20_N2
\led_flash_cnt[3123][1]~70602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3123][1]~70602_combout\ = (\led_flash_cnt[3123][0]~q\ & (\led_flash_cnt[3123][1]~q\ $ (VCC))) # (!\led_flash_cnt[3123][0]~q\ & (\led_flash_cnt[3123][1]~q\ & VCC))
-- \led_flash_cnt[3123][1]~70603\ = CARRY((\led_flash_cnt[3123][0]~q\ & \led_flash_cnt[3123][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3123][0]~q\,
	datab => \led_flash_cnt[3123][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3123][1]~70602_combout\,
	cout => \led_flash_cnt[3123][1]~70603\);

-- Location: FF_X26_Y20_N3
\led_flash_cnt[3123][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3123][1]~70602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3123][1]~q\);

-- Location: LCCOMB_X26_Y20_N4
\led_flash_cnt[3123][2]~70604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3123][2]~70604_combout\ = (\led_flash_cnt[3123][2]~q\ & (!\led_flash_cnt[3123][1]~70603\)) # (!\led_flash_cnt[3123][2]~q\ & ((\led_flash_cnt[3123][1]~70603\) # (GND)))
-- \led_flash_cnt[3123][2]~70605\ = CARRY((!\led_flash_cnt[3123][1]~70603\) # (!\led_flash_cnt[3123][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3123][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3123][1]~70603\,
	combout => \led_flash_cnt[3123][2]~70604_combout\,
	cout => \led_flash_cnt[3123][2]~70605\);

-- Location: FF_X26_Y20_N5
\led_flash_cnt[3123][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3123][2]~70604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3123][2]~q\);

-- Location: LCCOMB_X26_Y20_N6
\led_flash_cnt[3123][3]~70606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3123][3]~70606_combout\ = (\led_flash_cnt[3123][3]~q\ & (\led_flash_cnt[3123][2]~70605\ $ (GND))) # (!\led_flash_cnt[3123][3]~q\ & (!\led_flash_cnt[3123][2]~70605\ & VCC))
-- \led_flash_cnt[3123][3]~70607\ = CARRY((\led_flash_cnt[3123][3]~q\ & !\led_flash_cnt[3123][2]~70605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3123][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3123][2]~70605\,
	combout => \led_flash_cnt[3123][3]~70606_combout\,
	cout => \led_flash_cnt[3123][3]~70607\);

-- Location: FF_X26_Y20_N7
\led_flash_cnt[3123][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3123][3]~70606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3123][3]~q\);

-- Location: LCCOMB_X26_Y20_N8
\led_flash_cnt[3123][4]~70608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3123][4]~70608_combout\ = (\led_flash_cnt[3123][4]~q\ & (!\led_flash_cnt[3123][3]~70607\)) # (!\led_flash_cnt[3123][4]~q\ & ((\led_flash_cnt[3123][3]~70607\) # (GND)))
-- \led_flash_cnt[3123][4]~70609\ = CARRY((!\led_flash_cnt[3123][3]~70607\) # (!\led_flash_cnt[3123][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3123][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3123][3]~70607\,
	combout => \led_flash_cnt[3123][4]~70608_combout\,
	cout => \led_flash_cnt[3123][4]~70609\);

-- Location: FF_X26_Y20_N9
\led_flash_cnt[3123][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3123][4]~70608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3123][4]~q\);

-- Location: LCCOMB_X26_Y20_N26
\WideAnd3123~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3123~0_combout\ = (\led_flash_cnt[3123][3]~q\ & (\led_flash_cnt[3123][2]~q\ & (\led_flash_cnt[3123][4]~q\ & \led_flash_cnt[3123][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3123][3]~q\,
	datab => \led_flash_cnt[3123][2]~q\,
	datac => \led_flash_cnt[3123][4]~q\,
	datad => \led_flash_cnt[3123][1]~q\,
	combout => \WideAnd3123~0_combout\);

-- Location: LCCOMB_X26_Y20_N10
\led_flash_cnt[3123][5]~70610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3123][5]~70610_combout\ = (\led_flash_cnt[3123][5]~q\ & (\led_flash_cnt[3123][4]~70609\ $ (GND))) # (!\led_flash_cnt[3123][5]~q\ & (!\led_flash_cnt[3123][4]~70609\ & VCC))
-- \led_flash_cnt[3123][5]~70611\ = CARRY((\led_flash_cnt[3123][5]~q\ & !\led_flash_cnt[3123][4]~70609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3123][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3123][4]~70609\,
	combout => \led_flash_cnt[3123][5]~70610_combout\,
	cout => \led_flash_cnt[3123][5]~70611\);

-- Location: FF_X26_Y20_N11
\led_flash_cnt[3123][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3123][5]~70610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3123][5]~q\);

-- Location: LCCOMB_X26_Y20_N12
\led_flash_cnt[3123][6]~70612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3123][6]~70612_combout\ = (\led_flash_cnt[3123][6]~q\ & (!\led_flash_cnt[3123][5]~70611\)) # (!\led_flash_cnt[3123][6]~q\ & ((\led_flash_cnt[3123][5]~70611\) # (GND)))
-- \led_flash_cnt[3123][6]~70613\ = CARRY((!\led_flash_cnt[3123][5]~70611\) # (!\led_flash_cnt[3123][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3123][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3123][5]~70611\,
	combout => \led_flash_cnt[3123][6]~70612_combout\,
	cout => \led_flash_cnt[3123][6]~70613\);

-- Location: FF_X26_Y20_N13
\led_flash_cnt[3123][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3123][6]~70612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3123][6]~q\);

-- Location: LCCOMB_X26_Y20_N14
\led_flash_cnt[3123][7]~70614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3123][7]~70614_combout\ = \led_flash_cnt[3123][7]~q\ $ (!\led_flash_cnt[3123][6]~70613\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3123][7]~q\,
	cin => \led_flash_cnt[3123][6]~70613\,
	combout => \led_flash_cnt[3123][7]~70614_combout\);

-- Location: FF_X26_Y20_N15
\led_flash_cnt[3123][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3123][7]~70614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3123][7]~q\);

-- Location: LCCOMB_X26_Y20_N16
\WideAnd3123~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3123~1_combout\ = (\led_flash_cnt[3123][5]~q\ & \led_flash_cnt[3123][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3123][5]~q\,
	datad => \led_flash_cnt[3123][6]~q\,
	combout => \WideAnd3123~1_combout\);

-- Location: LCCOMB_X26_Y20_N20
WideAnd3123 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3123~combout\ = (\WideAnd3123~0_combout\ & (\led_flash_cnt[3123][7]~q\ & (\led_flash_cnt[3123][0]~q\ & \WideAnd3123~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3123~0_combout\,
	datab => \led_flash_cnt[3123][7]~q\,
	datac => \led_flash_cnt[3123][0]~q\,
	datad => \WideAnd3123~1_combout\,
	combout => \WideAnd3123~combout\);

-- Location: FF_X26_Y20_N21
\led_flash_cnt_ands[3123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3123~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3123));

-- Location: LCCOMB_X15_Y1_N30
\led_flash_cnt[3120][0]~83760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3120][0]~83760_combout\ = !\led_flash_cnt[3120][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3120][0]~q\,
	combout => \led_flash_cnt[3120][0]~83760_combout\);

-- Location: FF_X15_Y1_N31
\led_flash_cnt[3120][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3120][0]~83760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3120][0]~q\);

-- Location: LCCOMB_X15_Y1_N4
\led_flash_cnt[3120][1]~70560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3120][1]~70560_combout\ = (\led_flash_cnt[3120][0]~q\ & (\led_flash_cnt[3120][1]~q\ $ (VCC))) # (!\led_flash_cnt[3120][0]~q\ & (\led_flash_cnt[3120][1]~q\ & VCC))
-- \led_flash_cnt[3120][1]~70561\ = CARRY((\led_flash_cnt[3120][0]~q\ & \led_flash_cnt[3120][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3120][0]~q\,
	datab => \led_flash_cnt[3120][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3120][1]~70560_combout\,
	cout => \led_flash_cnt[3120][1]~70561\);

-- Location: FF_X15_Y1_N5
\led_flash_cnt[3120][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3120][1]~70560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3120][1]~q\);

-- Location: LCCOMB_X15_Y1_N6
\led_flash_cnt[3120][2]~70562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3120][2]~70562_combout\ = (\led_flash_cnt[3120][2]~q\ & (!\led_flash_cnt[3120][1]~70561\)) # (!\led_flash_cnt[3120][2]~q\ & ((\led_flash_cnt[3120][1]~70561\) # (GND)))
-- \led_flash_cnt[3120][2]~70563\ = CARRY((!\led_flash_cnt[3120][1]~70561\) # (!\led_flash_cnt[3120][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3120][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3120][1]~70561\,
	combout => \led_flash_cnt[3120][2]~70562_combout\,
	cout => \led_flash_cnt[3120][2]~70563\);

-- Location: FF_X15_Y1_N7
\led_flash_cnt[3120][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3120][2]~70562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3120][2]~q\);

-- Location: LCCOMB_X15_Y1_N8
\led_flash_cnt[3120][3]~70564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3120][3]~70564_combout\ = (\led_flash_cnt[3120][3]~q\ & (\led_flash_cnt[3120][2]~70563\ $ (GND))) # (!\led_flash_cnt[3120][3]~q\ & (!\led_flash_cnt[3120][2]~70563\ & VCC))
-- \led_flash_cnt[3120][3]~70565\ = CARRY((\led_flash_cnt[3120][3]~q\ & !\led_flash_cnt[3120][2]~70563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3120][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3120][2]~70563\,
	combout => \led_flash_cnt[3120][3]~70564_combout\,
	cout => \led_flash_cnt[3120][3]~70565\);

-- Location: FF_X15_Y1_N9
\led_flash_cnt[3120][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3120][3]~70564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3120][3]~q\);

-- Location: LCCOMB_X15_Y1_N10
\led_flash_cnt[3120][4]~70566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3120][4]~70566_combout\ = (\led_flash_cnt[3120][4]~q\ & (!\led_flash_cnt[3120][3]~70565\)) # (!\led_flash_cnt[3120][4]~q\ & ((\led_flash_cnt[3120][3]~70565\) # (GND)))
-- \led_flash_cnt[3120][4]~70567\ = CARRY((!\led_flash_cnt[3120][3]~70565\) # (!\led_flash_cnt[3120][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3120][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3120][3]~70565\,
	combout => \led_flash_cnt[3120][4]~70566_combout\,
	cout => \led_flash_cnt[3120][4]~70567\);

-- Location: FF_X15_Y1_N11
\led_flash_cnt[3120][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3120][4]~70566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3120][4]~q\);

-- Location: LCCOMB_X15_Y1_N12
\led_flash_cnt[3120][5]~70568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3120][5]~70568_combout\ = (\led_flash_cnt[3120][5]~q\ & (\led_flash_cnt[3120][4]~70567\ $ (GND))) # (!\led_flash_cnt[3120][5]~q\ & (!\led_flash_cnt[3120][4]~70567\ & VCC))
-- \led_flash_cnt[3120][5]~70569\ = CARRY((\led_flash_cnt[3120][5]~q\ & !\led_flash_cnt[3120][4]~70567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3120][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3120][4]~70567\,
	combout => \led_flash_cnt[3120][5]~70568_combout\,
	cout => \led_flash_cnt[3120][5]~70569\);

-- Location: FF_X15_Y1_N13
\led_flash_cnt[3120][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3120][5]~70568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3120][5]~q\);

-- Location: LCCOMB_X15_Y1_N14
\led_flash_cnt[3120][6]~70570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3120][6]~70570_combout\ = (\led_flash_cnt[3120][6]~q\ & (!\led_flash_cnt[3120][5]~70569\)) # (!\led_flash_cnt[3120][6]~q\ & ((\led_flash_cnt[3120][5]~70569\) # (GND)))
-- \led_flash_cnt[3120][6]~70571\ = CARRY((!\led_flash_cnt[3120][5]~70569\) # (!\led_flash_cnt[3120][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3120][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3120][5]~70569\,
	combout => \led_flash_cnt[3120][6]~70570_combout\,
	cout => \led_flash_cnt[3120][6]~70571\);

-- Location: FF_X15_Y1_N15
\led_flash_cnt[3120][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3120][6]~70570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3120][6]~q\);

-- Location: LCCOMB_X15_Y1_N16
\led_flash_cnt[3120][7]~70572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3120][7]~70572_combout\ = \led_flash_cnt[3120][6]~70571\ $ (!\led_flash_cnt[3120][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3120][7]~q\,
	cin => \led_flash_cnt[3120][6]~70571\,
	combout => \led_flash_cnt[3120][7]~70572_combout\);

-- Location: FF_X15_Y1_N17
\led_flash_cnt[3120][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3120][7]~70572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3120][7]~q\);

-- Location: LCCOMB_X15_Y1_N22
\WideAnd3120~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3120~0_combout\ = (\led_flash_cnt[3120][4]~q\ & (\led_flash_cnt[3120][1]~q\ & (\led_flash_cnt[3120][3]~q\ & \led_flash_cnt[3120][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3120][4]~q\,
	datab => \led_flash_cnt[3120][1]~q\,
	datac => \led_flash_cnt[3120][3]~q\,
	datad => \led_flash_cnt[3120][2]~q\,
	combout => \WideAnd3120~0_combout\);

-- Location: LCCOMB_X15_Y1_N18
\WideAnd3120~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3120~1_combout\ = (\led_flash_cnt[3120][6]~q\ & \led_flash_cnt[3120][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3120][6]~q\,
	datad => \led_flash_cnt[3120][5]~q\,
	combout => \WideAnd3120~1_combout\);

-- Location: LCCOMB_X15_Y1_N0
WideAnd3120 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3120~combout\ = (\led_flash_cnt[3120][0]~q\ & (\led_flash_cnt[3120][7]~q\ & (\WideAnd3120~0_combout\ & \WideAnd3120~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3120][0]~q\,
	datab => \led_flash_cnt[3120][7]~q\,
	datac => \WideAnd3120~0_combout\,
	datad => \WideAnd3120~1_combout\,
	combout => \WideAnd3120~combout\);

-- Location: FF_X15_Y1_N1
\led_flash_cnt_ands[3120]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3120~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3120));

-- Location: LCCOMB_X26_Y20_N18
\led_flash_cnt[3121][0]~83761\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3121][0]~83761_combout\ = !\led_flash_cnt[3121][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3121][0]~q\,
	combout => \led_flash_cnt[3121][0]~83761_combout\);

-- Location: FF_X26_Y20_N19
\led_flash_cnt[3121][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3121][0]~83761_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3121][0]~q\);

-- Location: LCCOMB_X27_Y20_N18
\led_flash_cnt[3121][1]~70574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3121][1]~70574_combout\ = (\led_flash_cnt[3121][0]~q\ & (\led_flash_cnt[3121][1]~q\ $ (VCC))) # (!\led_flash_cnt[3121][0]~q\ & (\led_flash_cnt[3121][1]~q\ & VCC))
-- \led_flash_cnt[3121][1]~70575\ = CARRY((\led_flash_cnt[3121][0]~q\ & \led_flash_cnt[3121][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3121][0]~q\,
	datab => \led_flash_cnt[3121][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3121][1]~70574_combout\,
	cout => \led_flash_cnt[3121][1]~70575\);

-- Location: FF_X27_Y20_N19
\led_flash_cnt[3121][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3121][1]~70574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3121][1]~q\);

-- Location: LCCOMB_X27_Y20_N20
\led_flash_cnt[3121][2]~70576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3121][2]~70576_combout\ = (\led_flash_cnt[3121][2]~q\ & (!\led_flash_cnt[3121][1]~70575\)) # (!\led_flash_cnt[3121][2]~q\ & ((\led_flash_cnt[3121][1]~70575\) # (GND)))
-- \led_flash_cnt[3121][2]~70577\ = CARRY((!\led_flash_cnt[3121][1]~70575\) # (!\led_flash_cnt[3121][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3121][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3121][1]~70575\,
	combout => \led_flash_cnt[3121][2]~70576_combout\,
	cout => \led_flash_cnt[3121][2]~70577\);

-- Location: FF_X27_Y20_N21
\led_flash_cnt[3121][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3121][2]~70576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3121][2]~q\);

-- Location: LCCOMB_X27_Y20_N22
\led_flash_cnt[3121][3]~70578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3121][3]~70578_combout\ = (\led_flash_cnt[3121][3]~q\ & (\led_flash_cnt[3121][2]~70577\ $ (GND))) # (!\led_flash_cnt[3121][3]~q\ & (!\led_flash_cnt[3121][2]~70577\ & VCC))
-- \led_flash_cnt[3121][3]~70579\ = CARRY((\led_flash_cnt[3121][3]~q\ & !\led_flash_cnt[3121][2]~70577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3121][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3121][2]~70577\,
	combout => \led_flash_cnt[3121][3]~70578_combout\,
	cout => \led_flash_cnt[3121][3]~70579\);

-- Location: FF_X27_Y20_N23
\led_flash_cnt[3121][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3121][3]~70578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3121][3]~q\);

-- Location: LCCOMB_X27_Y20_N24
\led_flash_cnt[3121][4]~70580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3121][4]~70580_combout\ = (\led_flash_cnt[3121][4]~q\ & (!\led_flash_cnt[3121][3]~70579\)) # (!\led_flash_cnt[3121][4]~q\ & ((\led_flash_cnt[3121][3]~70579\) # (GND)))
-- \led_flash_cnt[3121][4]~70581\ = CARRY((!\led_flash_cnt[3121][3]~70579\) # (!\led_flash_cnt[3121][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3121][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3121][3]~70579\,
	combout => \led_flash_cnt[3121][4]~70580_combout\,
	cout => \led_flash_cnt[3121][4]~70581\);

-- Location: FF_X27_Y20_N25
\led_flash_cnt[3121][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3121][4]~70580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3121][4]~q\);

-- Location: LCCOMB_X27_Y20_N26
\led_flash_cnt[3121][5]~70582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3121][5]~70582_combout\ = (\led_flash_cnt[3121][5]~q\ & (\led_flash_cnt[3121][4]~70581\ $ (GND))) # (!\led_flash_cnt[3121][5]~q\ & (!\led_flash_cnt[3121][4]~70581\ & VCC))
-- \led_flash_cnt[3121][5]~70583\ = CARRY((\led_flash_cnt[3121][5]~q\ & !\led_flash_cnt[3121][4]~70581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3121][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3121][4]~70581\,
	combout => \led_flash_cnt[3121][5]~70582_combout\,
	cout => \led_flash_cnt[3121][5]~70583\);

-- Location: FF_X27_Y20_N27
\led_flash_cnt[3121][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3121][5]~70582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3121][5]~q\);

-- Location: LCCOMB_X27_Y20_N28
\led_flash_cnt[3121][6]~70584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3121][6]~70584_combout\ = (\led_flash_cnt[3121][6]~q\ & (!\led_flash_cnt[3121][5]~70583\)) # (!\led_flash_cnt[3121][6]~q\ & ((\led_flash_cnt[3121][5]~70583\) # (GND)))
-- \led_flash_cnt[3121][6]~70585\ = CARRY((!\led_flash_cnt[3121][5]~70583\) # (!\led_flash_cnt[3121][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3121][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3121][5]~70583\,
	combout => \led_flash_cnt[3121][6]~70584_combout\,
	cout => \led_flash_cnt[3121][6]~70585\);

-- Location: FF_X27_Y20_N29
\led_flash_cnt[3121][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3121][6]~70584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3121][6]~q\);

-- Location: LCCOMB_X26_Y20_N22
\WideAnd3121~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3121~1_combout\ = (\led_flash_cnt[3121][5]~q\ & \led_flash_cnt[3121][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3121][5]~q\,
	datad => \led_flash_cnt[3121][6]~q\,
	combout => \WideAnd3121~1_combout\);

-- Location: LCCOMB_X27_Y20_N30
\led_flash_cnt[3121][7]~70586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3121][7]~70586_combout\ = \led_flash_cnt[3121][7]~q\ $ (!\led_flash_cnt[3121][6]~70585\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3121][7]~q\,
	cin => \led_flash_cnt[3121][6]~70585\,
	combout => \led_flash_cnt[3121][7]~70586_combout\);

-- Location: FF_X27_Y20_N31
\led_flash_cnt[3121][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3121][7]~70586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3121][7]~q\);

-- Location: LCCOMB_X27_Y20_N16
\WideAnd3121~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3121~0_combout\ = (\led_flash_cnt[3121][4]~q\ & (\led_flash_cnt[3121][1]~q\ & (\led_flash_cnt[3121][3]~q\ & \led_flash_cnt[3121][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3121][4]~q\,
	datab => \led_flash_cnt[3121][1]~q\,
	datac => \led_flash_cnt[3121][3]~q\,
	datad => \led_flash_cnt[3121][2]~q\,
	combout => \WideAnd3121~0_combout\);

-- Location: LCCOMB_X26_Y20_N24
WideAnd3121 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3121~combout\ = (\WideAnd3121~1_combout\ & (\led_flash_cnt[3121][0]~q\ & (\led_flash_cnt[3121][7]~q\ & \WideAnd3121~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3121~1_combout\,
	datab => \led_flash_cnt[3121][0]~q\,
	datac => \led_flash_cnt[3121][7]~q\,
	datad => \WideAnd3121~0_combout\,
	combout => \WideAnd3121~combout\);

-- Location: FF_X26_Y20_N25
\led_flash_cnt_ands[3121]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3121~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3121));

-- Location: LCCOMB_X26_Y14_N12
\WideAnd4230~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4230~0_combout\ = (led_flash_cnt_ands(3122) & (led_flash_cnt_ands(3123) & (led_flash_cnt_ands(3120) & led_flash_cnt_ands(3121))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3122),
	datab => led_flash_cnt_ands(3123),
	datac => led_flash_cnt_ands(3120),
	datad => led_flash_cnt_ands(3121),
	combout => \WideAnd4230~0_combout\);

-- Location: LCCOMB_X37_Y18_N28
\led_flash_cnt[3124][0]~83764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3124][0]~83764_combout\ = !\led_flash_cnt[3124][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3124][0]~q\,
	combout => \led_flash_cnt[3124][0]~83764_combout\);

-- Location: FF_X37_Y18_N29
\led_flash_cnt[3124][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3124][0]~83764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3124][0]~q\);

-- Location: LCCOMB_X37_Y18_N2
\led_flash_cnt[3124][1]~70616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3124][1]~70616_combout\ = (\led_flash_cnt[3124][1]~q\ & (\led_flash_cnt[3124][0]~q\ $ (VCC))) # (!\led_flash_cnt[3124][1]~q\ & (\led_flash_cnt[3124][0]~q\ & VCC))
-- \led_flash_cnt[3124][1]~70617\ = CARRY((\led_flash_cnt[3124][1]~q\ & \led_flash_cnt[3124][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3124][1]~q\,
	datab => \led_flash_cnt[3124][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3124][1]~70616_combout\,
	cout => \led_flash_cnt[3124][1]~70617\);

-- Location: FF_X37_Y18_N3
\led_flash_cnt[3124][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3124][1]~70616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3124][1]~q\);

-- Location: LCCOMB_X37_Y18_N4
\led_flash_cnt[3124][2]~70618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3124][2]~70618_combout\ = (\led_flash_cnt[3124][2]~q\ & (!\led_flash_cnt[3124][1]~70617\)) # (!\led_flash_cnt[3124][2]~q\ & ((\led_flash_cnt[3124][1]~70617\) # (GND)))
-- \led_flash_cnt[3124][2]~70619\ = CARRY((!\led_flash_cnt[3124][1]~70617\) # (!\led_flash_cnt[3124][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3124][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3124][1]~70617\,
	combout => \led_flash_cnt[3124][2]~70618_combout\,
	cout => \led_flash_cnt[3124][2]~70619\);

-- Location: FF_X37_Y18_N5
\led_flash_cnt[3124][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3124][2]~70618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3124][2]~q\);

-- Location: LCCOMB_X37_Y18_N6
\led_flash_cnt[3124][3]~70620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3124][3]~70620_combout\ = (\led_flash_cnt[3124][3]~q\ & (\led_flash_cnt[3124][2]~70619\ $ (GND))) # (!\led_flash_cnt[3124][3]~q\ & (!\led_flash_cnt[3124][2]~70619\ & VCC))
-- \led_flash_cnt[3124][3]~70621\ = CARRY((\led_flash_cnt[3124][3]~q\ & !\led_flash_cnt[3124][2]~70619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3124][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3124][2]~70619\,
	combout => \led_flash_cnt[3124][3]~70620_combout\,
	cout => \led_flash_cnt[3124][3]~70621\);

-- Location: FF_X37_Y18_N7
\led_flash_cnt[3124][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3124][3]~70620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3124][3]~q\);

-- Location: LCCOMB_X37_Y18_N8
\led_flash_cnt[3124][4]~70622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3124][4]~70622_combout\ = (\led_flash_cnt[3124][4]~q\ & (!\led_flash_cnt[3124][3]~70621\)) # (!\led_flash_cnt[3124][4]~q\ & ((\led_flash_cnt[3124][3]~70621\) # (GND)))
-- \led_flash_cnt[3124][4]~70623\ = CARRY((!\led_flash_cnt[3124][3]~70621\) # (!\led_flash_cnt[3124][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3124][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3124][3]~70621\,
	combout => \led_flash_cnt[3124][4]~70622_combout\,
	cout => \led_flash_cnt[3124][4]~70623\);

-- Location: FF_X37_Y18_N9
\led_flash_cnt[3124][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3124][4]~70622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3124][4]~q\);

-- Location: LCCOMB_X37_Y18_N10
\led_flash_cnt[3124][5]~70624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3124][5]~70624_combout\ = (\led_flash_cnt[3124][5]~q\ & (\led_flash_cnt[3124][4]~70623\ $ (GND))) # (!\led_flash_cnt[3124][5]~q\ & (!\led_flash_cnt[3124][4]~70623\ & VCC))
-- \led_flash_cnt[3124][5]~70625\ = CARRY((\led_flash_cnt[3124][5]~q\ & !\led_flash_cnt[3124][4]~70623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3124][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3124][4]~70623\,
	combout => \led_flash_cnt[3124][5]~70624_combout\,
	cout => \led_flash_cnt[3124][5]~70625\);

-- Location: FF_X37_Y18_N11
\led_flash_cnt[3124][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3124][5]~70624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3124][5]~q\);

-- Location: LCCOMB_X37_Y18_N12
\led_flash_cnt[3124][6]~70626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3124][6]~70626_combout\ = (\led_flash_cnt[3124][6]~q\ & (!\led_flash_cnt[3124][5]~70625\)) # (!\led_flash_cnt[3124][6]~q\ & ((\led_flash_cnt[3124][5]~70625\) # (GND)))
-- \led_flash_cnt[3124][6]~70627\ = CARRY((!\led_flash_cnt[3124][5]~70625\) # (!\led_flash_cnt[3124][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3124][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3124][5]~70625\,
	combout => \led_flash_cnt[3124][6]~70626_combout\,
	cout => \led_flash_cnt[3124][6]~70627\);

-- Location: FF_X37_Y18_N13
\led_flash_cnt[3124][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3124][6]~70626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3124][6]~q\);

-- Location: LCCOMB_X37_Y18_N22
\WideAnd3124~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3124~1_combout\ = (\led_flash_cnt[3124][6]~q\ & \led_flash_cnt[3124][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3124][6]~q\,
	datad => \led_flash_cnt[3124][5]~q\,
	combout => \WideAnd3124~1_combout\);

-- Location: LCCOMB_X37_Y18_N20
\WideAnd3124~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3124~0_combout\ = (\led_flash_cnt[3124][3]~q\ & (\led_flash_cnt[3124][4]~q\ & (\led_flash_cnt[3124][2]~q\ & \led_flash_cnt[3124][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3124][3]~q\,
	datab => \led_flash_cnt[3124][4]~q\,
	datac => \led_flash_cnt[3124][2]~q\,
	datad => \led_flash_cnt[3124][1]~q\,
	combout => \WideAnd3124~0_combout\);

-- Location: LCCOMB_X37_Y18_N14
\led_flash_cnt[3124][7]~70628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3124][7]~70628_combout\ = \led_flash_cnt[3124][7]~q\ $ (!\led_flash_cnt[3124][6]~70627\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3124][7]~q\,
	cin => \led_flash_cnt[3124][6]~70627\,
	combout => \led_flash_cnt[3124][7]~70628_combout\);

-- Location: FF_X37_Y18_N15
\led_flash_cnt[3124][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3124][7]~70628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3124][7]~q\);

-- Location: LCCOMB_X37_Y18_N30
WideAnd3124 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3124~combout\ = (\WideAnd3124~1_combout\ & (\WideAnd3124~0_combout\ & (\led_flash_cnt[3124][7]~q\ & \led_flash_cnt[3124][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3124~1_combout\,
	datab => \WideAnd3124~0_combout\,
	datac => \led_flash_cnt[3124][7]~q\,
	datad => \led_flash_cnt[3124][0]~q\,
	combout => \WideAnd3124~combout\);

-- Location: FF_X37_Y18_N31
\led_flash_cnt_ands[3124]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3124~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3124));

-- Location: LCCOMB_X39_Y18_N26
\led_flash_cnt[3125][0]~83765\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3125][0]~83765_combout\ = !\led_flash_cnt[3125][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3125][0]~q\,
	combout => \led_flash_cnt[3125][0]~83765_combout\);

-- Location: FF_X39_Y18_N27
\led_flash_cnt[3125][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3125][0]~83765_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3125][0]~q\);

-- Location: LCCOMB_X38_Y18_N0
\led_flash_cnt[3125][1]~70630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3125][1]~70630_combout\ = (\led_flash_cnt[3125][0]~q\ & (\led_flash_cnt[3125][1]~q\ $ (VCC))) # (!\led_flash_cnt[3125][0]~q\ & (\led_flash_cnt[3125][1]~q\ & VCC))
-- \led_flash_cnt[3125][1]~70631\ = CARRY((\led_flash_cnt[3125][0]~q\ & \led_flash_cnt[3125][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3125][0]~q\,
	datab => \led_flash_cnt[3125][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3125][1]~70630_combout\,
	cout => \led_flash_cnt[3125][1]~70631\);

-- Location: FF_X38_Y18_N1
\led_flash_cnt[3125][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3125][1]~70630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3125][1]~q\);

-- Location: LCCOMB_X38_Y18_N2
\led_flash_cnt[3125][2]~70632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3125][2]~70632_combout\ = (\led_flash_cnt[3125][2]~q\ & (!\led_flash_cnt[3125][1]~70631\)) # (!\led_flash_cnt[3125][2]~q\ & ((\led_flash_cnt[3125][1]~70631\) # (GND)))
-- \led_flash_cnt[3125][2]~70633\ = CARRY((!\led_flash_cnt[3125][1]~70631\) # (!\led_flash_cnt[3125][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3125][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3125][1]~70631\,
	combout => \led_flash_cnt[3125][2]~70632_combout\,
	cout => \led_flash_cnt[3125][2]~70633\);

-- Location: FF_X38_Y18_N3
\led_flash_cnt[3125][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3125][2]~70632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3125][2]~q\);

-- Location: LCCOMB_X38_Y18_N4
\led_flash_cnt[3125][3]~70634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3125][3]~70634_combout\ = (\led_flash_cnt[3125][3]~q\ & (\led_flash_cnt[3125][2]~70633\ $ (GND))) # (!\led_flash_cnt[3125][3]~q\ & (!\led_flash_cnt[3125][2]~70633\ & VCC))
-- \led_flash_cnt[3125][3]~70635\ = CARRY((\led_flash_cnt[3125][3]~q\ & !\led_flash_cnt[3125][2]~70633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3125][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3125][2]~70633\,
	combout => \led_flash_cnt[3125][3]~70634_combout\,
	cout => \led_flash_cnt[3125][3]~70635\);

-- Location: FF_X38_Y18_N5
\led_flash_cnt[3125][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3125][3]~70634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3125][3]~q\);

-- Location: LCCOMB_X38_Y18_N6
\led_flash_cnt[3125][4]~70636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3125][4]~70636_combout\ = (\led_flash_cnt[3125][4]~q\ & (!\led_flash_cnt[3125][3]~70635\)) # (!\led_flash_cnt[3125][4]~q\ & ((\led_flash_cnt[3125][3]~70635\) # (GND)))
-- \led_flash_cnt[3125][4]~70637\ = CARRY((!\led_flash_cnt[3125][3]~70635\) # (!\led_flash_cnt[3125][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3125][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3125][3]~70635\,
	combout => \led_flash_cnt[3125][4]~70636_combout\,
	cout => \led_flash_cnt[3125][4]~70637\);

-- Location: FF_X38_Y18_N7
\led_flash_cnt[3125][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3125][4]~70636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3125][4]~q\);

-- Location: LCCOMB_X38_Y18_N30
\WideAnd3125~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3125~0_combout\ = (\led_flash_cnt[3125][4]~q\ & (\led_flash_cnt[3125][2]~q\ & (\led_flash_cnt[3125][3]~q\ & \led_flash_cnt[3125][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3125][4]~q\,
	datab => \led_flash_cnt[3125][2]~q\,
	datac => \led_flash_cnt[3125][3]~q\,
	datad => \led_flash_cnt[3125][1]~q\,
	combout => \WideAnd3125~0_combout\);

-- Location: LCCOMB_X38_Y18_N8
\led_flash_cnt[3125][5]~70638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3125][5]~70638_combout\ = (\led_flash_cnt[3125][5]~q\ & (\led_flash_cnt[3125][4]~70637\ $ (GND))) # (!\led_flash_cnt[3125][5]~q\ & (!\led_flash_cnt[3125][4]~70637\ & VCC))
-- \led_flash_cnt[3125][5]~70639\ = CARRY((\led_flash_cnt[3125][5]~q\ & !\led_flash_cnt[3125][4]~70637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3125][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3125][4]~70637\,
	combout => \led_flash_cnt[3125][5]~70638_combout\,
	cout => \led_flash_cnt[3125][5]~70639\);

-- Location: FF_X38_Y18_N9
\led_flash_cnt[3125][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3125][5]~70638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3125][5]~q\);

-- Location: LCCOMB_X38_Y18_N10
\led_flash_cnt[3125][6]~70640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3125][6]~70640_combout\ = (\led_flash_cnt[3125][6]~q\ & (!\led_flash_cnt[3125][5]~70639\)) # (!\led_flash_cnt[3125][6]~q\ & ((\led_flash_cnt[3125][5]~70639\) # (GND)))
-- \led_flash_cnt[3125][6]~70641\ = CARRY((!\led_flash_cnt[3125][5]~70639\) # (!\led_flash_cnt[3125][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3125][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3125][5]~70639\,
	combout => \led_flash_cnt[3125][6]~70640_combout\,
	cout => \led_flash_cnt[3125][6]~70641\);

-- Location: FF_X38_Y18_N11
\led_flash_cnt[3125][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3125][6]~70640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3125][6]~q\);

-- Location: LCCOMB_X38_Y18_N12
\led_flash_cnt[3125][7]~70642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3125][7]~70642_combout\ = \led_flash_cnt[3125][6]~70641\ $ (!\led_flash_cnt[3125][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3125][7]~q\,
	cin => \led_flash_cnt[3125][6]~70641\,
	combout => \led_flash_cnt[3125][7]~70642_combout\);

-- Location: FF_X38_Y18_N13
\led_flash_cnt[3125][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3125][7]~70642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3125][7]~q\);

-- Location: LCCOMB_X37_Y18_N18
\WideAnd3125~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3125~1_combout\ = (\led_flash_cnt[3125][6]~q\ & \led_flash_cnt[3125][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3125][6]~q\,
	datac => \led_flash_cnt[3125][5]~q\,
	combout => \WideAnd3125~1_combout\);

-- Location: LCCOMB_X37_Y18_N0
WideAnd3125 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3125~combout\ = (\WideAnd3125~0_combout\ & (\led_flash_cnt[3125][7]~q\ & (\led_flash_cnt[3125][0]~q\ & \WideAnd3125~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3125~0_combout\,
	datab => \led_flash_cnt[3125][7]~q\,
	datac => \led_flash_cnt[3125][0]~q\,
	datad => \WideAnd3125~1_combout\,
	combout => \WideAnd3125~combout\);

-- Location: FF_X37_Y18_N1
\led_flash_cnt_ands[3125]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3125~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3125));

-- Location: LCCOMB_X37_Y18_N24
\WideAnd4230~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4230~1_combout\ = (led_flash_cnt_ands(3124) & led_flash_cnt_ands(3125))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3124),
	datad => led_flash_cnt_ands(3125),
	combout => \WideAnd4230~1_combout\);

-- Location: LCCOMB_X26_Y14_N2
\led_flash_cnt[3126][0]~83766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3126][0]~83766_combout\ = !\led_flash_cnt[3126][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3126][0]~q\,
	combout => \led_flash_cnt[3126][0]~83766_combout\);

-- Location: FF_X26_Y14_N3
\led_flash_cnt[3126][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3126][0]~83766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3126][0]~q\);

-- Location: LCCOMB_X25_Y14_N16
\led_flash_cnt[3126][1]~70644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3126][1]~70644_combout\ = (\led_flash_cnt[3126][0]~q\ & (\led_flash_cnt[3126][1]~q\ $ (VCC))) # (!\led_flash_cnt[3126][0]~q\ & (\led_flash_cnt[3126][1]~q\ & VCC))
-- \led_flash_cnt[3126][1]~70645\ = CARRY((\led_flash_cnt[3126][0]~q\ & \led_flash_cnt[3126][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3126][0]~q\,
	datab => \led_flash_cnt[3126][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3126][1]~70644_combout\,
	cout => \led_flash_cnt[3126][1]~70645\);

-- Location: FF_X25_Y14_N17
\led_flash_cnt[3126][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3126][1]~70644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3126][1]~q\);

-- Location: LCCOMB_X25_Y14_N18
\led_flash_cnt[3126][2]~70646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3126][2]~70646_combout\ = (\led_flash_cnt[3126][2]~q\ & (!\led_flash_cnt[3126][1]~70645\)) # (!\led_flash_cnt[3126][2]~q\ & ((\led_flash_cnt[3126][1]~70645\) # (GND)))
-- \led_flash_cnt[3126][2]~70647\ = CARRY((!\led_flash_cnt[3126][1]~70645\) # (!\led_flash_cnt[3126][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3126][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3126][1]~70645\,
	combout => \led_flash_cnt[3126][2]~70646_combout\,
	cout => \led_flash_cnt[3126][2]~70647\);

-- Location: FF_X25_Y14_N19
\led_flash_cnt[3126][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3126][2]~70646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3126][2]~q\);

-- Location: LCCOMB_X25_Y14_N20
\led_flash_cnt[3126][3]~70648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3126][3]~70648_combout\ = (\led_flash_cnt[3126][3]~q\ & (\led_flash_cnt[3126][2]~70647\ $ (GND))) # (!\led_flash_cnt[3126][3]~q\ & (!\led_flash_cnt[3126][2]~70647\ & VCC))
-- \led_flash_cnt[3126][3]~70649\ = CARRY((\led_flash_cnt[3126][3]~q\ & !\led_flash_cnt[3126][2]~70647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3126][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3126][2]~70647\,
	combout => \led_flash_cnt[3126][3]~70648_combout\,
	cout => \led_flash_cnt[3126][3]~70649\);

-- Location: FF_X25_Y14_N21
\led_flash_cnt[3126][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3126][3]~70648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3126][3]~q\);

-- Location: LCCOMB_X25_Y14_N22
\led_flash_cnt[3126][4]~70650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3126][4]~70650_combout\ = (\led_flash_cnt[3126][4]~q\ & (!\led_flash_cnt[3126][3]~70649\)) # (!\led_flash_cnt[3126][4]~q\ & ((\led_flash_cnt[3126][3]~70649\) # (GND)))
-- \led_flash_cnt[3126][4]~70651\ = CARRY((!\led_flash_cnt[3126][3]~70649\) # (!\led_flash_cnt[3126][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3126][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3126][3]~70649\,
	combout => \led_flash_cnt[3126][4]~70650_combout\,
	cout => \led_flash_cnt[3126][4]~70651\);

-- Location: FF_X25_Y14_N23
\led_flash_cnt[3126][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3126][4]~70650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3126][4]~q\);

-- Location: LCCOMB_X25_Y14_N14
\WideAnd3126~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3126~0_combout\ = (\led_flash_cnt[3126][3]~q\ & (\led_flash_cnt[3126][2]~q\ & (\led_flash_cnt[3126][4]~q\ & \led_flash_cnt[3126][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3126][3]~q\,
	datab => \led_flash_cnt[3126][2]~q\,
	datac => \led_flash_cnt[3126][4]~q\,
	datad => \led_flash_cnt[3126][1]~q\,
	combout => \WideAnd3126~0_combout\);

-- Location: LCCOMB_X25_Y14_N24
\led_flash_cnt[3126][5]~70652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3126][5]~70652_combout\ = (\led_flash_cnt[3126][5]~q\ & (\led_flash_cnt[3126][4]~70651\ $ (GND))) # (!\led_flash_cnt[3126][5]~q\ & (!\led_flash_cnt[3126][4]~70651\ & VCC))
-- \led_flash_cnt[3126][5]~70653\ = CARRY((\led_flash_cnt[3126][5]~q\ & !\led_flash_cnt[3126][4]~70651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3126][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3126][4]~70651\,
	combout => \led_flash_cnt[3126][5]~70652_combout\,
	cout => \led_flash_cnt[3126][5]~70653\);

-- Location: FF_X25_Y14_N25
\led_flash_cnt[3126][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3126][5]~70652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3126][5]~q\);

-- Location: LCCOMB_X25_Y14_N26
\led_flash_cnt[3126][6]~70654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3126][6]~70654_combout\ = (\led_flash_cnt[3126][6]~q\ & (!\led_flash_cnt[3126][5]~70653\)) # (!\led_flash_cnt[3126][6]~q\ & ((\led_flash_cnt[3126][5]~70653\) # (GND)))
-- \led_flash_cnt[3126][6]~70655\ = CARRY((!\led_flash_cnt[3126][5]~70653\) # (!\led_flash_cnt[3126][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3126][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3126][5]~70653\,
	combout => \led_flash_cnt[3126][6]~70654_combout\,
	cout => \led_flash_cnt[3126][6]~70655\);

-- Location: FF_X25_Y14_N27
\led_flash_cnt[3126][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3126][6]~70654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3126][6]~q\);

-- Location: LCCOMB_X25_Y14_N28
\led_flash_cnt[3126][7]~70656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3126][7]~70656_combout\ = \led_flash_cnt[3126][6]~70655\ $ (!\led_flash_cnt[3126][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3126][7]~q\,
	cin => \led_flash_cnt[3126][6]~70655\,
	combout => \led_flash_cnt[3126][7]~70656_combout\);

-- Location: FF_X25_Y14_N29
\led_flash_cnt[3126][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3126][7]~70656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3126][7]~q\);

-- Location: LCCOMB_X26_Y14_N4
\WideAnd3126~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3126~1_combout\ = (\led_flash_cnt[3126][6]~q\ & \led_flash_cnt[3126][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3126][6]~q\,
	datad => \led_flash_cnt[3126][5]~q\,
	combout => \WideAnd3126~1_combout\);

-- Location: LCCOMB_X26_Y14_N30
WideAnd3126 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3126~combout\ = (\WideAnd3126~0_combout\ & (\led_flash_cnt[3126][7]~q\ & (\WideAnd3126~1_combout\ & \led_flash_cnt[3126][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3126~0_combout\,
	datab => \led_flash_cnt[3126][7]~q\,
	datac => \WideAnd3126~1_combout\,
	datad => \led_flash_cnt[3126][0]~q\,
	combout => \WideAnd3126~combout\);

-- Location: FF_X26_Y14_N31
\led_flash_cnt_ands[3126]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3126~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3126));

-- Location: LCCOMB_X20_Y7_N6
\led_flash_cnt[3127][0]~83767\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3127][0]~83767_combout\ = !\led_flash_cnt[3127][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3127][0]~q\,
	combout => \led_flash_cnt[3127][0]~83767_combout\);

-- Location: FF_X20_Y7_N7
\led_flash_cnt[3127][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3127][0]~83767_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3127][0]~q\);

-- Location: LCCOMB_X21_Y7_N8
\led_flash_cnt[3127][1]~70658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3127][1]~70658_combout\ = (\led_flash_cnt[3127][0]~q\ & (\led_flash_cnt[3127][1]~q\ $ (VCC))) # (!\led_flash_cnt[3127][0]~q\ & (\led_flash_cnt[3127][1]~q\ & VCC))
-- \led_flash_cnt[3127][1]~70659\ = CARRY((\led_flash_cnt[3127][0]~q\ & \led_flash_cnt[3127][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3127][0]~q\,
	datab => \led_flash_cnt[3127][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3127][1]~70658_combout\,
	cout => \led_flash_cnt[3127][1]~70659\);

-- Location: FF_X21_Y7_N9
\led_flash_cnt[3127][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3127][1]~70658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3127][1]~q\);

-- Location: LCCOMB_X21_Y7_N10
\led_flash_cnt[3127][2]~70660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3127][2]~70660_combout\ = (\led_flash_cnt[3127][2]~q\ & (!\led_flash_cnt[3127][1]~70659\)) # (!\led_flash_cnt[3127][2]~q\ & ((\led_flash_cnt[3127][1]~70659\) # (GND)))
-- \led_flash_cnt[3127][2]~70661\ = CARRY((!\led_flash_cnt[3127][1]~70659\) # (!\led_flash_cnt[3127][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3127][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3127][1]~70659\,
	combout => \led_flash_cnt[3127][2]~70660_combout\,
	cout => \led_flash_cnt[3127][2]~70661\);

-- Location: FF_X21_Y7_N11
\led_flash_cnt[3127][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3127][2]~70660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3127][2]~q\);

-- Location: LCCOMB_X21_Y7_N12
\led_flash_cnt[3127][3]~70662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3127][3]~70662_combout\ = (\led_flash_cnt[3127][3]~q\ & (\led_flash_cnt[3127][2]~70661\ $ (GND))) # (!\led_flash_cnt[3127][3]~q\ & (!\led_flash_cnt[3127][2]~70661\ & VCC))
-- \led_flash_cnt[3127][3]~70663\ = CARRY((\led_flash_cnt[3127][3]~q\ & !\led_flash_cnt[3127][2]~70661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3127][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3127][2]~70661\,
	combout => \led_flash_cnt[3127][3]~70662_combout\,
	cout => \led_flash_cnt[3127][3]~70663\);

-- Location: FF_X21_Y7_N13
\led_flash_cnt[3127][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3127][3]~70662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3127][3]~q\);

-- Location: LCCOMB_X21_Y7_N14
\led_flash_cnt[3127][4]~70664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3127][4]~70664_combout\ = (\led_flash_cnt[3127][4]~q\ & (!\led_flash_cnt[3127][3]~70663\)) # (!\led_flash_cnt[3127][4]~q\ & ((\led_flash_cnt[3127][3]~70663\) # (GND)))
-- \led_flash_cnt[3127][4]~70665\ = CARRY((!\led_flash_cnt[3127][3]~70663\) # (!\led_flash_cnt[3127][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3127][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3127][3]~70663\,
	combout => \led_flash_cnt[3127][4]~70664_combout\,
	cout => \led_flash_cnt[3127][4]~70665\);

-- Location: FF_X21_Y7_N15
\led_flash_cnt[3127][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3127][4]~70664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3127][4]~q\);

-- Location: LCCOMB_X21_Y7_N16
\led_flash_cnt[3127][5]~70666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3127][5]~70666_combout\ = (\led_flash_cnt[3127][5]~q\ & (\led_flash_cnt[3127][4]~70665\ $ (GND))) # (!\led_flash_cnt[3127][5]~q\ & (!\led_flash_cnt[3127][4]~70665\ & VCC))
-- \led_flash_cnt[3127][5]~70667\ = CARRY((\led_flash_cnt[3127][5]~q\ & !\led_flash_cnt[3127][4]~70665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3127][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3127][4]~70665\,
	combout => \led_flash_cnt[3127][5]~70666_combout\,
	cout => \led_flash_cnt[3127][5]~70667\);

-- Location: FF_X21_Y7_N17
\led_flash_cnt[3127][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3127][5]~70666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3127][5]~q\);

-- Location: LCCOMB_X21_Y7_N18
\led_flash_cnt[3127][6]~70668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3127][6]~70668_combout\ = (\led_flash_cnt[3127][6]~q\ & (!\led_flash_cnt[3127][5]~70667\)) # (!\led_flash_cnt[3127][6]~q\ & ((\led_flash_cnt[3127][5]~70667\) # (GND)))
-- \led_flash_cnt[3127][6]~70669\ = CARRY((!\led_flash_cnt[3127][5]~70667\) # (!\led_flash_cnt[3127][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3127][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3127][5]~70667\,
	combout => \led_flash_cnt[3127][6]~70668_combout\,
	cout => \led_flash_cnt[3127][6]~70669\);

-- Location: FF_X21_Y7_N19
\led_flash_cnt[3127][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3127][6]~70668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3127][6]~q\);

-- Location: LCCOMB_X20_Y7_N26
\WideAnd3127~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3127~1_combout\ = (\led_flash_cnt[3127][5]~q\ & \led_flash_cnt[3127][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3127][5]~q\,
	datad => \led_flash_cnt[3127][6]~q\,
	combout => \WideAnd3127~1_combout\);

-- Location: LCCOMB_X21_Y7_N28
\WideAnd3127~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3127~0_combout\ = (\led_flash_cnt[3127][2]~q\ & (\led_flash_cnt[3127][4]~q\ & (\led_flash_cnt[3127][1]~q\ & \led_flash_cnt[3127][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3127][2]~q\,
	datab => \led_flash_cnt[3127][4]~q\,
	datac => \led_flash_cnt[3127][1]~q\,
	datad => \led_flash_cnt[3127][3]~q\,
	combout => \WideAnd3127~0_combout\);

-- Location: LCCOMB_X21_Y7_N20
\led_flash_cnt[3127][7]~70670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3127][7]~70670_combout\ = \led_flash_cnt[3127][6]~70669\ $ (!\led_flash_cnt[3127][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3127][7]~q\,
	cin => \led_flash_cnt[3127][6]~70669\,
	combout => \led_flash_cnt[3127][7]~70670_combout\);

-- Location: FF_X21_Y7_N21
\led_flash_cnt[3127][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3127][7]~70670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3127][7]~q\);

-- Location: LCCOMB_X20_Y7_N0
WideAnd3127 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3127~combout\ = (\WideAnd3127~1_combout\ & (\WideAnd3127~0_combout\ & (\led_flash_cnt[3127][7]~q\ & \led_flash_cnt[3127][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3127~1_combout\,
	datab => \WideAnd3127~0_combout\,
	datac => \led_flash_cnt[3127][7]~q\,
	datad => \led_flash_cnt[3127][0]~q\,
	combout => \WideAnd3127~combout\);

-- Location: FF_X20_Y7_N1
\led_flash_cnt_ands[3127]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3127~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3127));

-- Location: LCCOMB_X26_Y14_N8
WideAnd4230 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4230~combout\ = (\WideAnd4230~0_combout\ & (\WideAnd4230~1_combout\ & (led_flash_cnt_ands(3126) & led_flash_cnt_ands(3127))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4230~0_combout\,
	datab => \WideAnd4230~1_combout\,
	datac => led_flash_cnt_ands(3126),
	datad => led_flash_cnt_ands(3127),
	combout => \WideAnd4230~combout\);

-- Location: FF_X26_Y14_N9
\led_flash_cnt_ands_1[390]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4230~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(390));

-- Location: LCCOMB_X7_Y21_N24
\led_flash_cnt[3115][0]~83755\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3115][0]~83755_combout\ = !\led_flash_cnt[3115][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3115][0]~q\,
	combout => \led_flash_cnt[3115][0]~83755_combout\);

-- Location: FF_X7_Y21_N25
\led_flash_cnt[3115][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3115][0]~83755_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3115][0]~q\);

-- Location: LCCOMB_X10_Y21_N0
\led_flash_cnt[3115][1]~70490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3115][1]~70490_combout\ = (\led_flash_cnt[3115][0]~q\ & (\led_flash_cnt[3115][1]~q\ $ (VCC))) # (!\led_flash_cnt[3115][0]~q\ & (\led_flash_cnt[3115][1]~q\ & VCC))
-- \led_flash_cnt[3115][1]~70491\ = CARRY((\led_flash_cnt[3115][0]~q\ & \led_flash_cnt[3115][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3115][0]~q\,
	datab => \led_flash_cnt[3115][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3115][1]~70490_combout\,
	cout => \led_flash_cnt[3115][1]~70491\);

-- Location: FF_X10_Y21_N1
\led_flash_cnt[3115][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3115][1]~70490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3115][1]~q\);

-- Location: LCCOMB_X10_Y21_N2
\led_flash_cnt[3115][2]~70492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3115][2]~70492_combout\ = (\led_flash_cnt[3115][2]~q\ & (!\led_flash_cnt[3115][1]~70491\)) # (!\led_flash_cnt[3115][2]~q\ & ((\led_flash_cnt[3115][1]~70491\) # (GND)))
-- \led_flash_cnt[3115][2]~70493\ = CARRY((!\led_flash_cnt[3115][1]~70491\) # (!\led_flash_cnt[3115][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3115][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3115][1]~70491\,
	combout => \led_flash_cnt[3115][2]~70492_combout\,
	cout => \led_flash_cnt[3115][2]~70493\);

-- Location: FF_X10_Y21_N3
\led_flash_cnt[3115][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3115][2]~70492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3115][2]~q\);

-- Location: LCCOMB_X10_Y21_N4
\led_flash_cnt[3115][3]~70494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3115][3]~70494_combout\ = (\led_flash_cnt[3115][3]~q\ & (\led_flash_cnt[3115][2]~70493\ $ (GND))) # (!\led_flash_cnt[3115][3]~q\ & (!\led_flash_cnt[3115][2]~70493\ & VCC))
-- \led_flash_cnt[3115][3]~70495\ = CARRY((\led_flash_cnt[3115][3]~q\ & !\led_flash_cnt[3115][2]~70493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3115][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3115][2]~70493\,
	combout => \led_flash_cnt[3115][3]~70494_combout\,
	cout => \led_flash_cnt[3115][3]~70495\);

-- Location: FF_X10_Y21_N5
\led_flash_cnt[3115][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3115][3]~70494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3115][3]~q\);

-- Location: LCCOMB_X10_Y21_N6
\led_flash_cnt[3115][4]~70496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3115][4]~70496_combout\ = (\led_flash_cnt[3115][4]~q\ & (!\led_flash_cnt[3115][3]~70495\)) # (!\led_flash_cnt[3115][4]~q\ & ((\led_flash_cnt[3115][3]~70495\) # (GND)))
-- \led_flash_cnt[3115][4]~70497\ = CARRY((!\led_flash_cnt[3115][3]~70495\) # (!\led_flash_cnt[3115][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3115][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3115][3]~70495\,
	combout => \led_flash_cnt[3115][4]~70496_combout\,
	cout => \led_flash_cnt[3115][4]~70497\);

-- Location: FF_X10_Y21_N7
\led_flash_cnt[3115][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3115][4]~70496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3115][4]~q\);

-- Location: LCCOMB_X10_Y21_N8
\led_flash_cnt[3115][5]~70498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3115][5]~70498_combout\ = (\led_flash_cnt[3115][5]~q\ & (\led_flash_cnt[3115][4]~70497\ $ (GND))) # (!\led_flash_cnt[3115][5]~q\ & (!\led_flash_cnt[3115][4]~70497\ & VCC))
-- \led_flash_cnt[3115][5]~70499\ = CARRY((\led_flash_cnt[3115][5]~q\ & !\led_flash_cnt[3115][4]~70497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3115][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3115][4]~70497\,
	combout => \led_flash_cnt[3115][5]~70498_combout\,
	cout => \led_flash_cnt[3115][5]~70499\);

-- Location: FF_X10_Y21_N9
\led_flash_cnt[3115][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3115][5]~70498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3115][5]~q\);

-- Location: LCCOMB_X10_Y21_N10
\led_flash_cnt[3115][6]~70500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3115][6]~70500_combout\ = (\led_flash_cnt[3115][6]~q\ & (!\led_flash_cnt[3115][5]~70499\)) # (!\led_flash_cnt[3115][6]~q\ & ((\led_flash_cnt[3115][5]~70499\) # (GND)))
-- \led_flash_cnt[3115][6]~70501\ = CARRY((!\led_flash_cnt[3115][5]~70499\) # (!\led_flash_cnt[3115][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3115][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3115][5]~70499\,
	combout => \led_flash_cnt[3115][6]~70500_combout\,
	cout => \led_flash_cnt[3115][6]~70501\);

-- Location: FF_X10_Y21_N11
\led_flash_cnt[3115][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3115][6]~70500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3115][6]~q\);

-- Location: LCCOMB_X10_Y21_N12
\led_flash_cnt[3115][7]~70502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3115][7]~70502_combout\ = \led_flash_cnt[3115][6]~70501\ $ (!\led_flash_cnt[3115][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3115][7]~q\,
	cin => \led_flash_cnt[3115][6]~70501\,
	combout => \led_flash_cnt[3115][7]~70502_combout\);

-- Location: FF_X10_Y21_N13
\led_flash_cnt[3115][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3115][7]~70502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3115][7]~q\);

-- Location: LCCOMB_X11_Y21_N8
\WideAnd3115~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3115~0_combout\ = (\led_flash_cnt[3115][1]~q\ & (\led_flash_cnt[3115][4]~q\ & (\led_flash_cnt[3115][3]~q\ & \led_flash_cnt[3115][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3115][1]~q\,
	datab => \led_flash_cnt[3115][4]~q\,
	datac => \led_flash_cnt[3115][3]~q\,
	datad => \led_flash_cnt[3115][2]~q\,
	combout => \WideAnd3115~0_combout\);

-- Location: LCCOMB_X11_Y21_N28
\WideAnd3115~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3115~1_combout\ = (\led_flash_cnt[3115][6]~q\ & \led_flash_cnt[3115][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3115][6]~q\,
	datad => \led_flash_cnt[3115][5]~q\,
	combout => \WideAnd3115~1_combout\);

-- Location: LCCOMB_X10_Y21_N14
WideAnd3115 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3115~combout\ = (\led_flash_cnt[3115][7]~q\ & (\WideAnd3115~0_combout\ & (\led_flash_cnt[3115][0]~q\ & \WideAnd3115~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3115][7]~q\,
	datab => \WideAnd3115~0_combout\,
	datac => \led_flash_cnt[3115][0]~q\,
	datad => \WideAnd3115~1_combout\,
	combout => \WideAnd3115~combout\);

-- Location: FF_X10_Y21_N15
\led_flash_cnt_ands[3115]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3115~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3115));

-- Location: LCCOMB_X9_Y22_N4
\led_flash_cnt[3113][0]~83753\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3113][0]~83753_combout\ = !\led_flash_cnt[3113][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3113][0]~q\,
	combout => \led_flash_cnt[3113][0]~83753_combout\);

-- Location: FF_X9_Y22_N5
\led_flash_cnt[3113][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3113][0]~83753_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3113][0]~q\);

-- Location: LCCOMB_X8_Y22_N0
\led_flash_cnt[3113][1]~70462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3113][1]~70462_combout\ = (\led_flash_cnt[3113][0]~q\ & (\led_flash_cnt[3113][1]~q\ $ (VCC))) # (!\led_flash_cnt[3113][0]~q\ & (\led_flash_cnt[3113][1]~q\ & VCC))
-- \led_flash_cnt[3113][1]~70463\ = CARRY((\led_flash_cnt[3113][0]~q\ & \led_flash_cnt[3113][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3113][0]~q\,
	datab => \led_flash_cnt[3113][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3113][1]~70462_combout\,
	cout => \led_flash_cnt[3113][1]~70463\);

-- Location: FF_X8_Y22_N1
\led_flash_cnt[3113][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3113][1]~70462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3113][1]~q\);

-- Location: LCCOMB_X8_Y22_N2
\led_flash_cnt[3113][2]~70464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3113][2]~70464_combout\ = (\led_flash_cnt[3113][2]~q\ & (!\led_flash_cnt[3113][1]~70463\)) # (!\led_flash_cnt[3113][2]~q\ & ((\led_flash_cnt[3113][1]~70463\) # (GND)))
-- \led_flash_cnt[3113][2]~70465\ = CARRY((!\led_flash_cnt[3113][1]~70463\) # (!\led_flash_cnt[3113][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3113][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3113][1]~70463\,
	combout => \led_flash_cnt[3113][2]~70464_combout\,
	cout => \led_flash_cnt[3113][2]~70465\);

-- Location: FF_X8_Y22_N3
\led_flash_cnt[3113][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3113][2]~70464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3113][2]~q\);

-- Location: LCCOMB_X8_Y22_N4
\led_flash_cnt[3113][3]~70466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3113][3]~70466_combout\ = (\led_flash_cnt[3113][3]~q\ & (\led_flash_cnt[3113][2]~70465\ $ (GND))) # (!\led_flash_cnt[3113][3]~q\ & (!\led_flash_cnt[3113][2]~70465\ & VCC))
-- \led_flash_cnt[3113][3]~70467\ = CARRY((\led_flash_cnt[3113][3]~q\ & !\led_flash_cnt[3113][2]~70465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3113][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3113][2]~70465\,
	combout => \led_flash_cnt[3113][3]~70466_combout\,
	cout => \led_flash_cnt[3113][3]~70467\);

-- Location: FF_X8_Y22_N5
\led_flash_cnt[3113][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3113][3]~70466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3113][3]~q\);

-- Location: LCCOMB_X8_Y22_N6
\led_flash_cnt[3113][4]~70468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3113][4]~70468_combout\ = (\led_flash_cnt[3113][4]~q\ & (!\led_flash_cnt[3113][3]~70467\)) # (!\led_flash_cnt[3113][4]~q\ & ((\led_flash_cnt[3113][3]~70467\) # (GND)))
-- \led_flash_cnt[3113][4]~70469\ = CARRY((!\led_flash_cnt[3113][3]~70467\) # (!\led_flash_cnt[3113][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3113][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3113][3]~70467\,
	combout => \led_flash_cnt[3113][4]~70468_combout\,
	cout => \led_flash_cnt[3113][4]~70469\);

-- Location: FF_X8_Y22_N7
\led_flash_cnt[3113][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3113][4]~70468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3113][4]~q\);

-- Location: LCCOMB_X8_Y22_N8
\led_flash_cnt[3113][5]~70470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3113][5]~70470_combout\ = (\led_flash_cnt[3113][5]~q\ & (\led_flash_cnt[3113][4]~70469\ $ (GND))) # (!\led_flash_cnt[3113][5]~q\ & (!\led_flash_cnt[3113][4]~70469\ & VCC))
-- \led_flash_cnt[3113][5]~70471\ = CARRY((\led_flash_cnt[3113][5]~q\ & !\led_flash_cnt[3113][4]~70469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3113][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3113][4]~70469\,
	combout => \led_flash_cnt[3113][5]~70470_combout\,
	cout => \led_flash_cnt[3113][5]~70471\);

-- Location: FF_X8_Y22_N9
\led_flash_cnt[3113][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3113][5]~70470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3113][5]~q\);

-- Location: LCCOMB_X8_Y22_N10
\led_flash_cnt[3113][6]~70472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3113][6]~70472_combout\ = (\led_flash_cnt[3113][6]~q\ & (!\led_flash_cnt[3113][5]~70471\)) # (!\led_flash_cnt[3113][6]~q\ & ((\led_flash_cnt[3113][5]~70471\) # (GND)))
-- \led_flash_cnt[3113][6]~70473\ = CARRY((!\led_flash_cnt[3113][5]~70471\) # (!\led_flash_cnt[3113][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3113][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3113][5]~70471\,
	combout => \led_flash_cnt[3113][6]~70472_combout\,
	cout => \led_flash_cnt[3113][6]~70473\);

-- Location: FF_X8_Y22_N11
\led_flash_cnt[3113][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3113][6]~70472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3113][6]~q\);

-- Location: LCCOMB_X8_Y22_N12
\led_flash_cnt[3113][7]~70474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3113][7]~70474_combout\ = \led_flash_cnt[3113][6]~70473\ $ (!\led_flash_cnt[3113][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3113][7]~q\,
	cin => \led_flash_cnt[3113][6]~70473\,
	combout => \led_flash_cnt[3113][7]~70474_combout\);

-- Location: FF_X8_Y22_N13
\led_flash_cnt[3113][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3113][7]~70474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3113][7]~q\);

-- Location: LCCOMB_X9_Y22_N24
\WideAnd3113~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3113~1_combout\ = (\led_flash_cnt[3113][6]~q\ & \led_flash_cnt[3113][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3113][6]~q\,
	datad => \led_flash_cnt[3113][5]~q\,
	combout => \WideAnd3113~1_combout\);

-- Location: LCCOMB_X8_Y22_N14
\WideAnd3113~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3113~0_combout\ = (\led_flash_cnt[3113][4]~q\ & (\led_flash_cnt[3113][2]~q\ & (\led_flash_cnt[3113][3]~q\ & \led_flash_cnt[3113][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3113][4]~q\,
	datab => \led_flash_cnt[3113][2]~q\,
	datac => \led_flash_cnt[3113][3]~q\,
	datad => \led_flash_cnt[3113][1]~q\,
	combout => \WideAnd3113~0_combout\);

-- Location: LCCOMB_X9_Y22_N28
WideAnd3113 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3113~combout\ = (\led_flash_cnt[3113][7]~q\ & (\WideAnd3113~1_combout\ & (\led_flash_cnt[3113][0]~q\ & \WideAnd3113~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3113][7]~q\,
	datab => \WideAnd3113~1_combout\,
	datac => \led_flash_cnt[3113][0]~q\,
	datad => \WideAnd3113~0_combout\,
	combout => \WideAnd3113~combout\);

-- Location: FF_X9_Y22_N29
\led_flash_cnt_ands[3113]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3113~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3113));

-- Location: LCCOMB_X9_Y24_N6
\led_flash_cnt[3114][0]~83754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3114][0]~83754_combout\ = !\led_flash_cnt[3114][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3114][0]~q\,
	combout => \led_flash_cnt[3114][0]~83754_combout\);

-- Location: FF_X9_Y24_N7
\led_flash_cnt[3114][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3114][0]~83754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3114][0]~q\);

-- Location: LCCOMB_X10_Y24_N16
\led_flash_cnt[3114][1]~70476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3114][1]~70476_combout\ = (\led_flash_cnt[3114][0]~q\ & (\led_flash_cnt[3114][1]~q\ $ (VCC))) # (!\led_flash_cnt[3114][0]~q\ & (\led_flash_cnt[3114][1]~q\ & VCC))
-- \led_flash_cnt[3114][1]~70477\ = CARRY((\led_flash_cnt[3114][0]~q\ & \led_flash_cnt[3114][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3114][0]~q\,
	datab => \led_flash_cnt[3114][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3114][1]~70476_combout\,
	cout => \led_flash_cnt[3114][1]~70477\);

-- Location: FF_X10_Y24_N17
\led_flash_cnt[3114][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3114][1]~70476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3114][1]~q\);

-- Location: LCCOMB_X10_Y24_N18
\led_flash_cnt[3114][2]~70478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3114][2]~70478_combout\ = (\led_flash_cnt[3114][2]~q\ & (!\led_flash_cnt[3114][1]~70477\)) # (!\led_flash_cnt[3114][2]~q\ & ((\led_flash_cnt[3114][1]~70477\) # (GND)))
-- \led_flash_cnt[3114][2]~70479\ = CARRY((!\led_flash_cnt[3114][1]~70477\) # (!\led_flash_cnt[3114][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3114][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3114][1]~70477\,
	combout => \led_flash_cnt[3114][2]~70478_combout\,
	cout => \led_flash_cnt[3114][2]~70479\);

-- Location: FF_X10_Y24_N19
\led_flash_cnt[3114][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3114][2]~70478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3114][2]~q\);

-- Location: LCCOMB_X10_Y24_N20
\led_flash_cnt[3114][3]~70480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3114][3]~70480_combout\ = (\led_flash_cnt[3114][3]~q\ & (\led_flash_cnt[3114][2]~70479\ $ (GND))) # (!\led_flash_cnt[3114][3]~q\ & (!\led_flash_cnt[3114][2]~70479\ & VCC))
-- \led_flash_cnt[3114][3]~70481\ = CARRY((\led_flash_cnt[3114][3]~q\ & !\led_flash_cnt[3114][2]~70479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3114][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3114][2]~70479\,
	combout => \led_flash_cnt[3114][3]~70480_combout\,
	cout => \led_flash_cnt[3114][3]~70481\);

-- Location: FF_X10_Y24_N21
\led_flash_cnt[3114][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3114][3]~70480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3114][3]~q\);

-- Location: LCCOMB_X10_Y24_N22
\led_flash_cnt[3114][4]~70482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3114][4]~70482_combout\ = (\led_flash_cnt[3114][4]~q\ & (!\led_flash_cnt[3114][3]~70481\)) # (!\led_flash_cnt[3114][4]~q\ & ((\led_flash_cnt[3114][3]~70481\) # (GND)))
-- \led_flash_cnt[3114][4]~70483\ = CARRY((!\led_flash_cnt[3114][3]~70481\) # (!\led_flash_cnt[3114][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3114][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3114][3]~70481\,
	combout => \led_flash_cnt[3114][4]~70482_combout\,
	cout => \led_flash_cnt[3114][4]~70483\);

-- Location: FF_X10_Y24_N23
\led_flash_cnt[3114][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3114][4]~70482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3114][4]~q\);

-- Location: LCCOMB_X10_Y24_N24
\led_flash_cnt[3114][5]~70484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3114][5]~70484_combout\ = (\led_flash_cnt[3114][5]~q\ & (\led_flash_cnt[3114][4]~70483\ $ (GND))) # (!\led_flash_cnt[3114][5]~q\ & (!\led_flash_cnt[3114][4]~70483\ & VCC))
-- \led_flash_cnt[3114][5]~70485\ = CARRY((\led_flash_cnt[3114][5]~q\ & !\led_flash_cnt[3114][4]~70483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3114][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3114][4]~70483\,
	combout => \led_flash_cnt[3114][5]~70484_combout\,
	cout => \led_flash_cnt[3114][5]~70485\);

-- Location: FF_X10_Y24_N25
\led_flash_cnt[3114][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3114][5]~70484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3114][5]~q\);

-- Location: LCCOMB_X10_Y24_N26
\led_flash_cnt[3114][6]~70486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3114][6]~70486_combout\ = (\led_flash_cnt[3114][6]~q\ & (!\led_flash_cnt[3114][5]~70485\)) # (!\led_flash_cnt[3114][6]~q\ & ((\led_flash_cnt[3114][5]~70485\) # (GND)))
-- \led_flash_cnt[3114][6]~70487\ = CARRY((!\led_flash_cnt[3114][5]~70485\) # (!\led_flash_cnt[3114][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3114][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3114][5]~70485\,
	combout => \led_flash_cnt[3114][6]~70486_combout\,
	cout => \led_flash_cnt[3114][6]~70487\);

-- Location: FF_X10_Y24_N27
\led_flash_cnt[3114][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3114][6]~70486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3114][6]~q\);

-- Location: LCCOMB_X10_Y24_N28
\led_flash_cnt[3114][7]~70488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3114][7]~70488_combout\ = \led_flash_cnt[3114][6]~70487\ $ (!\led_flash_cnt[3114][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3114][7]~q\,
	cin => \led_flash_cnt[3114][6]~70487\,
	combout => \led_flash_cnt[3114][7]~70488_combout\);

-- Location: FF_X10_Y24_N29
\led_flash_cnt[3114][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3114][7]~70488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3114][7]~q\);

-- Location: LCCOMB_X10_Y24_N30
\WideAnd3114~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3114~0_combout\ = (\led_flash_cnt[3114][3]~q\ & (\led_flash_cnt[3114][2]~q\ & (\led_flash_cnt[3114][4]~q\ & \led_flash_cnt[3114][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3114][3]~q\,
	datab => \led_flash_cnt[3114][2]~q\,
	datac => \led_flash_cnt[3114][4]~q\,
	datad => \led_flash_cnt[3114][1]~q\,
	combout => \WideAnd3114~0_combout\);

-- Location: LCCOMB_X9_Y24_N28
\WideAnd3114~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3114~1_combout\ = (\led_flash_cnt[3114][5]~q\ & \led_flash_cnt[3114][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3114][5]~q\,
	datac => \led_flash_cnt[3114][6]~q\,
	combout => \WideAnd3114~1_combout\);

-- Location: LCCOMB_X9_Y24_N4
WideAnd3114 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3114~combout\ = (\led_flash_cnt[3114][0]~q\ & (\led_flash_cnt[3114][7]~q\ & (\WideAnd3114~0_combout\ & \WideAnd3114~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3114][0]~q\,
	datab => \led_flash_cnt[3114][7]~q\,
	datac => \WideAnd3114~0_combout\,
	datad => \WideAnd3114~1_combout\,
	combout => \WideAnd3114~combout\);

-- Location: FF_X9_Y24_N5
\led_flash_cnt_ands[3114]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3114~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3114));

-- Location: LCCOMB_X9_Y22_N22
\led_flash_cnt[3112][0]~83752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3112][0]~83752_combout\ = !\led_flash_cnt[3112][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3112][0]~q\,
	combout => \led_flash_cnt[3112][0]~83752_combout\);

-- Location: FF_X9_Y22_N23
\led_flash_cnt[3112][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3112][0]~83752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3112][0]~q\);

-- Location: LCCOMB_X9_Y22_N8
\led_flash_cnt[3112][1]~70448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3112][1]~70448_combout\ = (\led_flash_cnt[3112][0]~q\ & (\led_flash_cnt[3112][1]~q\ $ (VCC))) # (!\led_flash_cnt[3112][0]~q\ & (\led_flash_cnt[3112][1]~q\ & VCC))
-- \led_flash_cnt[3112][1]~70449\ = CARRY((\led_flash_cnt[3112][0]~q\ & \led_flash_cnt[3112][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3112][0]~q\,
	datab => \led_flash_cnt[3112][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3112][1]~70448_combout\,
	cout => \led_flash_cnt[3112][1]~70449\);

-- Location: FF_X9_Y22_N9
\led_flash_cnt[3112][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3112][1]~70448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3112][1]~q\);

-- Location: LCCOMB_X9_Y22_N10
\led_flash_cnt[3112][2]~70450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3112][2]~70450_combout\ = (\led_flash_cnt[3112][2]~q\ & (!\led_flash_cnt[3112][1]~70449\)) # (!\led_flash_cnt[3112][2]~q\ & ((\led_flash_cnt[3112][1]~70449\) # (GND)))
-- \led_flash_cnt[3112][2]~70451\ = CARRY((!\led_flash_cnt[3112][1]~70449\) # (!\led_flash_cnt[3112][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3112][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3112][1]~70449\,
	combout => \led_flash_cnt[3112][2]~70450_combout\,
	cout => \led_flash_cnt[3112][2]~70451\);

-- Location: FF_X9_Y22_N11
\led_flash_cnt[3112][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3112][2]~70450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3112][2]~q\);

-- Location: LCCOMB_X9_Y22_N12
\led_flash_cnt[3112][3]~70452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3112][3]~70452_combout\ = (\led_flash_cnt[3112][3]~q\ & (\led_flash_cnt[3112][2]~70451\ $ (GND))) # (!\led_flash_cnt[3112][3]~q\ & (!\led_flash_cnt[3112][2]~70451\ & VCC))
-- \led_flash_cnt[3112][3]~70453\ = CARRY((\led_flash_cnt[3112][3]~q\ & !\led_flash_cnt[3112][2]~70451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3112][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3112][2]~70451\,
	combout => \led_flash_cnt[3112][3]~70452_combout\,
	cout => \led_flash_cnt[3112][3]~70453\);

-- Location: FF_X9_Y22_N13
\led_flash_cnt[3112][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3112][3]~70452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3112][3]~q\);

-- Location: LCCOMB_X9_Y22_N14
\led_flash_cnt[3112][4]~70454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3112][4]~70454_combout\ = (\led_flash_cnt[3112][4]~q\ & (!\led_flash_cnt[3112][3]~70453\)) # (!\led_flash_cnt[3112][4]~q\ & ((\led_flash_cnt[3112][3]~70453\) # (GND)))
-- \led_flash_cnt[3112][4]~70455\ = CARRY((!\led_flash_cnt[3112][3]~70453\) # (!\led_flash_cnt[3112][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3112][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3112][3]~70453\,
	combout => \led_flash_cnt[3112][4]~70454_combout\,
	cout => \led_flash_cnt[3112][4]~70455\);

-- Location: FF_X9_Y22_N15
\led_flash_cnt[3112][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3112][4]~70454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3112][4]~q\);

-- Location: LCCOMB_X9_Y22_N16
\led_flash_cnt[3112][5]~70456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3112][5]~70456_combout\ = (\led_flash_cnt[3112][5]~q\ & (\led_flash_cnt[3112][4]~70455\ $ (GND))) # (!\led_flash_cnt[3112][5]~q\ & (!\led_flash_cnt[3112][4]~70455\ & VCC))
-- \led_flash_cnt[3112][5]~70457\ = CARRY((\led_flash_cnt[3112][5]~q\ & !\led_flash_cnt[3112][4]~70455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3112][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3112][4]~70455\,
	combout => \led_flash_cnt[3112][5]~70456_combout\,
	cout => \led_flash_cnt[3112][5]~70457\);

-- Location: FF_X9_Y22_N17
\led_flash_cnt[3112][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3112][5]~70456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3112][5]~q\);

-- Location: LCCOMB_X9_Y22_N18
\led_flash_cnt[3112][6]~70458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3112][6]~70458_combout\ = (\led_flash_cnt[3112][6]~q\ & (!\led_flash_cnt[3112][5]~70457\)) # (!\led_flash_cnt[3112][6]~q\ & ((\led_flash_cnt[3112][5]~70457\) # (GND)))
-- \led_flash_cnt[3112][6]~70459\ = CARRY((!\led_flash_cnt[3112][5]~70457\) # (!\led_flash_cnt[3112][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3112][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3112][5]~70457\,
	combout => \led_flash_cnt[3112][6]~70458_combout\,
	cout => \led_flash_cnt[3112][6]~70459\);

-- Location: FF_X9_Y22_N19
\led_flash_cnt[3112][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3112][6]~70458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3112][6]~q\);

-- Location: LCCOMB_X9_Y22_N20
\led_flash_cnt[3112][7]~70460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3112][7]~70460_combout\ = \led_flash_cnt[3112][6]~70459\ $ (!\led_flash_cnt[3112][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3112][7]~q\,
	cin => \led_flash_cnt[3112][6]~70459\,
	combout => \led_flash_cnt[3112][7]~70460_combout\);

-- Location: FF_X9_Y22_N21
\led_flash_cnt[3112][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3112][7]~70460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3112][7]~q\);

-- Location: LCCOMB_X9_Y22_N26
\WideAnd3112~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3112~0_combout\ = (\led_flash_cnt[3112][2]~q\ & (\led_flash_cnt[3112][4]~q\ & (\led_flash_cnt[3112][1]~q\ & \led_flash_cnt[3112][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3112][2]~q\,
	datab => \led_flash_cnt[3112][4]~q\,
	datac => \led_flash_cnt[3112][1]~q\,
	datad => \led_flash_cnt[3112][3]~q\,
	combout => \WideAnd3112~0_combout\);

-- Location: LCCOMB_X9_Y22_N2
\WideAnd3112~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3112~1_combout\ = (\led_flash_cnt[3112][5]~q\ & \led_flash_cnt[3112][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3112][5]~q\,
	datad => \led_flash_cnt[3112][6]~q\,
	combout => \WideAnd3112~1_combout\);

-- Location: LCCOMB_X9_Y22_N6
WideAnd3112 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3112~combout\ = (\led_flash_cnt[3112][0]~q\ & (\led_flash_cnt[3112][7]~q\ & (\WideAnd3112~0_combout\ & \WideAnd3112~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3112][0]~q\,
	datab => \led_flash_cnt[3112][7]~q\,
	datac => \WideAnd3112~0_combout\,
	datad => \WideAnd3112~1_combout\,
	combout => \WideAnd3112~combout\);

-- Location: FF_X9_Y22_N7
\led_flash_cnt_ands[3112]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3112~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3112));

-- Location: LCCOMB_X9_Y22_N30
\WideAnd4229~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4229~0_combout\ = (led_flash_cnt_ands(3115) & (led_flash_cnt_ands(3113) & (led_flash_cnt_ands(3114) & led_flash_cnt_ands(3112))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3115),
	datab => led_flash_cnt_ands(3113),
	datac => led_flash_cnt_ands(3114),
	datad => led_flash_cnt_ands(3112),
	combout => \WideAnd4229~0_combout\);

-- Location: LCCOMB_X15_Y17_N4
\led_flash_cnt[3116][0]~83756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3116][0]~83756_combout\ = !\led_flash_cnt[3116][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3116][0]~q\,
	combout => \led_flash_cnt[3116][0]~83756_combout\);

-- Location: FF_X15_Y17_N5
\led_flash_cnt[3116][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3116][0]~83756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3116][0]~q\);

-- Location: LCCOMB_X14_Y21_N0
\led_flash_cnt[3116][1]~70504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3116][1]~70504_combout\ = (\led_flash_cnt[3116][0]~q\ & (\led_flash_cnt[3116][1]~q\ $ (VCC))) # (!\led_flash_cnt[3116][0]~q\ & (\led_flash_cnt[3116][1]~q\ & VCC))
-- \led_flash_cnt[3116][1]~70505\ = CARRY((\led_flash_cnt[3116][0]~q\ & \led_flash_cnt[3116][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3116][0]~q\,
	datab => \led_flash_cnt[3116][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3116][1]~70504_combout\,
	cout => \led_flash_cnt[3116][1]~70505\);

-- Location: FF_X14_Y21_N1
\led_flash_cnt[3116][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3116][1]~70504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3116][1]~q\);

-- Location: LCCOMB_X14_Y21_N2
\led_flash_cnt[3116][2]~70506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3116][2]~70506_combout\ = (\led_flash_cnt[3116][2]~q\ & (!\led_flash_cnt[3116][1]~70505\)) # (!\led_flash_cnt[3116][2]~q\ & ((\led_flash_cnt[3116][1]~70505\) # (GND)))
-- \led_flash_cnt[3116][2]~70507\ = CARRY((!\led_flash_cnt[3116][1]~70505\) # (!\led_flash_cnt[3116][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3116][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3116][1]~70505\,
	combout => \led_flash_cnt[3116][2]~70506_combout\,
	cout => \led_flash_cnt[3116][2]~70507\);

-- Location: FF_X14_Y21_N3
\led_flash_cnt[3116][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3116][2]~70506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3116][2]~q\);

-- Location: LCCOMB_X14_Y21_N4
\led_flash_cnt[3116][3]~70508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3116][3]~70508_combout\ = (\led_flash_cnt[3116][3]~q\ & (\led_flash_cnt[3116][2]~70507\ $ (GND))) # (!\led_flash_cnt[3116][3]~q\ & (!\led_flash_cnt[3116][2]~70507\ & VCC))
-- \led_flash_cnt[3116][3]~70509\ = CARRY((\led_flash_cnt[3116][3]~q\ & !\led_flash_cnt[3116][2]~70507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3116][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3116][2]~70507\,
	combout => \led_flash_cnt[3116][3]~70508_combout\,
	cout => \led_flash_cnt[3116][3]~70509\);

-- Location: FF_X14_Y21_N5
\led_flash_cnt[3116][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3116][3]~70508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3116][3]~q\);

-- Location: LCCOMB_X14_Y21_N6
\led_flash_cnt[3116][4]~70510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3116][4]~70510_combout\ = (\led_flash_cnt[3116][4]~q\ & (!\led_flash_cnt[3116][3]~70509\)) # (!\led_flash_cnt[3116][4]~q\ & ((\led_flash_cnt[3116][3]~70509\) # (GND)))
-- \led_flash_cnt[3116][4]~70511\ = CARRY((!\led_flash_cnt[3116][3]~70509\) # (!\led_flash_cnt[3116][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3116][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3116][3]~70509\,
	combout => \led_flash_cnt[3116][4]~70510_combout\,
	cout => \led_flash_cnt[3116][4]~70511\);

-- Location: FF_X14_Y21_N7
\led_flash_cnt[3116][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3116][4]~70510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3116][4]~q\);

-- Location: LCCOMB_X14_Y21_N8
\led_flash_cnt[3116][5]~70512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3116][5]~70512_combout\ = (\led_flash_cnt[3116][5]~q\ & (\led_flash_cnt[3116][4]~70511\ $ (GND))) # (!\led_flash_cnt[3116][5]~q\ & (!\led_flash_cnt[3116][4]~70511\ & VCC))
-- \led_flash_cnt[3116][5]~70513\ = CARRY((\led_flash_cnt[3116][5]~q\ & !\led_flash_cnt[3116][4]~70511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3116][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3116][4]~70511\,
	combout => \led_flash_cnt[3116][5]~70512_combout\,
	cout => \led_flash_cnt[3116][5]~70513\);

-- Location: FF_X14_Y21_N9
\led_flash_cnt[3116][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3116][5]~70512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3116][5]~q\);

-- Location: LCCOMB_X14_Y21_N10
\led_flash_cnt[3116][6]~70514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3116][6]~70514_combout\ = (\led_flash_cnt[3116][6]~q\ & (!\led_flash_cnt[3116][5]~70513\)) # (!\led_flash_cnt[3116][6]~q\ & ((\led_flash_cnt[3116][5]~70513\) # (GND)))
-- \led_flash_cnt[3116][6]~70515\ = CARRY((!\led_flash_cnt[3116][5]~70513\) # (!\led_flash_cnt[3116][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3116][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3116][5]~70513\,
	combout => \led_flash_cnt[3116][6]~70514_combout\,
	cout => \led_flash_cnt[3116][6]~70515\);

-- Location: FF_X14_Y21_N11
\led_flash_cnt[3116][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3116][6]~70514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3116][6]~q\);

-- Location: LCCOMB_X14_Y21_N12
\led_flash_cnt[3116][7]~70516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3116][7]~70516_combout\ = \led_flash_cnt[3116][6]~70515\ $ (!\led_flash_cnt[3116][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3116][7]~q\,
	cin => \led_flash_cnt[3116][6]~70515\,
	combout => \led_flash_cnt[3116][7]~70516_combout\);

-- Location: FF_X14_Y21_N13
\led_flash_cnt[3116][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3116][7]~70516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3116][7]~q\);

-- Location: LCCOMB_X14_Y21_N28
\WideAnd3116~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3116~0_combout\ = (\led_flash_cnt[3116][4]~q\ & (\led_flash_cnt[3116][1]~q\ & (\led_flash_cnt[3116][3]~q\ & \led_flash_cnt[3116][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3116][4]~q\,
	datab => \led_flash_cnt[3116][1]~q\,
	datac => \led_flash_cnt[3116][3]~q\,
	datad => \led_flash_cnt[3116][2]~q\,
	combout => \WideAnd3116~0_combout\);

-- Location: LCCOMB_X15_Y21_N22
\WideAnd3116~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3116~1_combout\ = (\led_flash_cnt[3116][5]~q\ & \led_flash_cnt[3116][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3116][5]~q\,
	datad => \led_flash_cnt[3116][6]~q\,
	combout => \WideAnd3116~1_combout\);

-- Location: LCCOMB_X15_Y17_N22
WideAnd3116 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3116~combout\ = (\led_flash_cnt[3116][7]~q\ & (\WideAnd3116~0_combout\ & (\led_flash_cnt[3116][0]~q\ & \WideAnd3116~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3116][7]~q\,
	datab => \WideAnd3116~0_combout\,
	datac => \led_flash_cnt[3116][0]~q\,
	datad => \WideAnd3116~1_combout\,
	combout => \WideAnd3116~combout\);

-- Location: FF_X15_Y17_N23
\led_flash_cnt_ands[3116]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3116~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3116));

-- Location: LCCOMB_X17_Y17_N6
\led_flash_cnt[3117][0]~83757\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3117][0]~83757_combout\ = !\led_flash_cnt[3117][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3117][0]~q\,
	combout => \led_flash_cnt[3117][0]~83757_combout\);

-- Location: FF_X17_Y17_N7
\led_flash_cnt[3117][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3117][0]~83757_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3117][0]~q\);

-- Location: LCCOMB_X19_Y17_N4
\led_flash_cnt[3117][1]~70518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3117][1]~70518_combout\ = (\led_flash_cnt[3117][0]~q\ & (\led_flash_cnt[3117][1]~q\ $ (VCC))) # (!\led_flash_cnt[3117][0]~q\ & (\led_flash_cnt[3117][1]~q\ & VCC))
-- \led_flash_cnt[3117][1]~70519\ = CARRY((\led_flash_cnt[3117][0]~q\ & \led_flash_cnt[3117][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3117][0]~q\,
	datab => \led_flash_cnt[3117][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3117][1]~70518_combout\,
	cout => \led_flash_cnt[3117][1]~70519\);

-- Location: FF_X19_Y17_N5
\led_flash_cnt[3117][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3117][1]~70518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3117][1]~q\);

-- Location: LCCOMB_X19_Y17_N6
\led_flash_cnt[3117][2]~70520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3117][2]~70520_combout\ = (\led_flash_cnt[3117][2]~q\ & (!\led_flash_cnt[3117][1]~70519\)) # (!\led_flash_cnt[3117][2]~q\ & ((\led_flash_cnt[3117][1]~70519\) # (GND)))
-- \led_flash_cnt[3117][2]~70521\ = CARRY((!\led_flash_cnt[3117][1]~70519\) # (!\led_flash_cnt[3117][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3117][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3117][1]~70519\,
	combout => \led_flash_cnt[3117][2]~70520_combout\,
	cout => \led_flash_cnt[3117][2]~70521\);

-- Location: FF_X19_Y17_N7
\led_flash_cnt[3117][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3117][2]~70520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3117][2]~q\);

-- Location: LCCOMB_X19_Y17_N8
\led_flash_cnt[3117][3]~70522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3117][3]~70522_combout\ = (\led_flash_cnt[3117][3]~q\ & (\led_flash_cnt[3117][2]~70521\ $ (GND))) # (!\led_flash_cnt[3117][3]~q\ & (!\led_flash_cnt[3117][2]~70521\ & VCC))
-- \led_flash_cnt[3117][3]~70523\ = CARRY((\led_flash_cnt[3117][3]~q\ & !\led_flash_cnt[3117][2]~70521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3117][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3117][2]~70521\,
	combout => \led_flash_cnt[3117][3]~70522_combout\,
	cout => \led_flash_cnt[3117][3]~70523\);

-- Location: FF_X19_Y17_N9
\led_flash_cnt[3117][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3117][3]~70522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3117][3]~q\);

-- Location: LCCOMB_X19_Y17_N10
\led_flash_cnt[3117][4]~70524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3117][4]~70524_combout\ = (\led_flash_cnt[3117][4]~q\ & (!\led_flash_cnt[3117][3]~70523\)) # (!\led_flash_cnt[3117][4]~q\ & ((\led_flash_cnt[3117][3]~70523\) # (GND)))
-- \led_flash_cnt[3117][4]~70525\ = CARRY((!\led_flash_cnt[3117][3]~70523\) # (!\led_flash_cnt[3117][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3117][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3117][3]~70523\,
	combout => \led_flash_cnt[3117][4]~70524_combout\,
	cout => \led_flash_cnt[3117][4]~70525\);

-- Location: FF_X19_Y17_N11
\led_flash_cnt[3117][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3117][4]~70524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3117][4]~q\);

-- Location: LCCOMB_X19_Y17_N12
\led_flash_cnt[3117][5]~70526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3117][5]~70526_combout\ = (\led_flash_cnt[3117][5]~q\ & (\led_flash_cnt[3117][4]~70525\ $ (GND))) # (!\led_flash_cnt[3117][5]~q\ & (!\led_flash_cnt[3117][4]~70525\ & VCC))
-- \led_flash_cnt[3117][5]~70527\ = CARRY((\led_flash_cnt[3117][5]~q\ & !\led_flash_cnt[3117][4]~70525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3117][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3117][4]~70525\,
	combout => \led_flash_cnt[3117][5]~70526_combout\,
	cout => \led_flash_cnt[3117][5]~70527\);

-- Location: FF_X19_Y17_N13
\led_flash_cnt[3117][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3117][5]~70526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3117][5]~q\);

-- Location: LCCOMB_X19_Y17_N14
\led_flash_cnt[3117][6]~70528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3117][6]~70528_combout\ = (\led_flash_cnt[3117][6]~q\ & (!\led_flash_cnt[3117][5]~70527\)) # (!\led_flash_cnt[3117][6]~q\ & ((\led_flash_cnt[3117][5]~70527\) # (GND)))
-- \led_flash_cnt[3117][6]~70529\ = CARRY((!\led_flash_cnt[3117][5]~70527\) # (!\led_flash_cnt[3117][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3117][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3117][5]~70527\,
	combout => \led_flash_cnt[3117][6]~70528_combout\,
	cout => \led_flash_cnt[3117][6]~70529\);

-- Location: FF_X19_Y17_N15
\led_flash_cnt[3117][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3117][6]~70528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3117][6]~q\);

-- Location: LCCOMB_X18_Y17_N26
\WideAnd3117~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3117~1_combout\ = (\led_flash_cnt[3117][6]~q\ & \led_flash_cnt[3117][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3117][6]~q\,
	datac => \led_flash_cnt[3117][5]~q\,
	combout => \WideAnd3117~1_combout\);

-- Location: LCCOMB_X19_Y17_N0
\WideAnd3117~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3117~0_combout\ = (\led_flash_cnt[3117][2]~q\ & (\led_flash_cnt[3117][3]~q\ & (\led_flash_cnt[3117][1]~q\ & \led_flash_cnt[3117][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3117][2]~q\,
	datab => \led_flash_cnt[3117][3]~q\,
	datac => \led_flash_cnt[3117][1]~q\,
	datad => \led_flash_cnt[3117][4]~q\,
	combout => \WideAnd3117~0_combout\);

-- Location: LCCOMB_X19_Y17_N16
\led_flash_cnt[3117][7]~70530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3117][7]~70530_combout\ = \led_flash_cnt[3117][6]~70529\ $ (!\led_flash_cnt[3117][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3117][7]~q\,
	cin => \led_flash_cnt[3117][6]~70529\,
	combout => \led_flash_cnt[3117][7]~70530_combout\);

-- Location: FF_X19_Y17_N17
\led_flash_cnt[3117][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3117][7]~70530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3117][7]~q\);

-- Location: LCCOMB_X18_Y17_N30
WideAnd3117 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3117~combout\ = (\WideAnd3117~1_combout\ & (\led_flash_cnt[3117][0]~q\ & (\WideAnd3117~0_combout\ & \led_flash_cnt[3117][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3117~1_combout\,
	datab => \led_flash_cnt[3117][0]~q\,
	datac => \WideAnd3117~0_combout\,
	datad => \led_flash_cnt[3117][7]~q\,
	combout => \WideAnd3117~combout\);

-- Location: FF_X18_Y17_N31
\led_flash_cnt_ands[3117]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3117~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3117));

-- Location: LCCOMB_X15_Y17_N28
\WideAnd4229~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4229~1_combout\ = (led_flash_cnt_ands(3116) & led_flash_cnt_ands(3117))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3116),
	datad => led_flash_cnt_ands(3117),
	combout => \WideAnd4229~1_combout\);

-- Location: LCCOMB_X9_Y24_N12
\led_flash_cnt[3118][0]~83758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3118][0]~83758_combout\ = !\led_flash_cnt[3118][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3118][0]~q\,
	combout => \led_flash_cnt[3118][0]~83758_combout\);

-- Location: FF_X9_Y24_N13
\led_flash_cnt[3118][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3118][0]~83758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3118][0]~q\);

-- Location: LCCOMB_X9_Y24_N14
\led_flash_cnt[3118][1]~70532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3118][1]~70532_combout\ = (\led_flash_cnt[3118][0]~q\ & (\led_flash_cnt[3118][1]~q\ $ (VCC))) # (!\led_flash_cnt[3118][0]~q\ & (\led_flash_cnt[3118][1]~q\ & VCC))
-- \led_flash_cnt[3118][1]~70533\ = CARRY((\led_flash_cnt[3118][0]~q\ & \led_flash_cnt[3118][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3118][0]~q\,
	datab => \led_flash_cnt[3118][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3118][1]~70532_combout\,
	cout => \led_flash_cnt[3118][1]~70533\);

-- Location: FF_X9_Y24_N15
\led_flash_cnt[3118][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3118][1]~70532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3118][1]~q\);

-- Location: LCCOMB_X9_Y24_N16
\led_flash_cnt[3118][2]~70534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3118][2]~70534_combout\ = (\led_flash_cnt[3118][2]~q\ & (!\led_flash_cnt[3118][1]~70533\)) # (!\led_flash_cnt[3118][2]~q\ & ((\led_flash_cnt[3118][1]~70533\) # (GND)))
-- \led_flash_cnt[3118][2]~70535\ = CARRY((!\led_flash_cnt[3118][1]~70533\) # (!\led_flash_cnt[3118][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3118][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3118][1]~70533\,
	combout => \led_flash_cnt[3118][2]~70534_combout\,
	cout => \led_flash_cnt[3118][2]~70535\);

-- Location: FF_X9_Y24_N17
\led_flash_cnt[3118][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3118][2]~70534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3118][2]~q\);

-- Location: LCCOMB_X9_Y24_N18
\led_flash_cnt[3118][3]~70536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3118][3]~70536_combout\ = (\led_flash_cnt[3118][3]~q\ & (\led_flash_cnt[3118][2]~70535\ $ (GND))) # (!\led_flash_cnt[3118][3]~q\ & (!\led_flash_cnt[3118][2]~70535\ & VCC))
-- \led_flash_cnt[3118][3]~70537\ = CARRY((\led_flash_cnt[3118][3]~q\ & !\led_flash_cnt[3118][2]~70535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3118][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3118][2]~70535\,
	combout => \led_flash_cnt[3118][3]~70536_combout\,
	cout => \led_flash_cnt[3118][3]~70537\);

-- Location: FF_X9_Y24_N19
\led_flash_cnt[3118][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3118][3]~70536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3118][3]~q\);

-- Location: LCCOMB_X9_Y24_N20
\led_flash_cnt[3118][4]~70538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3118][4]~70538_combout\ = (\led_flash_cnt[3118][4]~q\ & (!\led_flash_cnt[3118][3]~70537\)) # (!\led_flash_cnt[3118][4]~q\ & ((\led_flash_cnt[3118][3]~70537\) # (GND)))
-- \led_flash_cnt[3118][4]~70539\ = CARRY((!\led_flash_cnt[3118][3]~70537\) # (!\led_flash_cnt[3118][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3118][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3118][3]~70537\,
	combout => \led_flash_cnt[3118][4]~70538_combout\,
	cout => \led_flash_cnt[3118][4]~70539\);

-- Location: FF_X9_Y24_N21
\led_flash_cnt[3118][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3118][4]~70538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3118][4]~q\);

-- Location: LCCOMB_X9_Y24_N10
\WideAnd3118~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3118~0_combout\ = (\led_flash_cnt[3118][2]~q\ & (\led_flash_cnt[3118][4]~q\ & (\led_flash_cnt[3118][1]~q\ & \led_flash_cnt[3118][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3118][2]~q\,
	datab => \led_flash_cnt[3118][4]~q\,
	datac => \led_flash_cnt[3118][1]~q\,
	datad => \led_flash_cnt[3118][3]~q\,
	combout => \WideAnd3118~0_combout\);

-- Location: LCCOMB_X9_Y24_N22
\led_flash_cnt[3118][5]~70540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3118][5]~70540_combout\ = (\led_flash_cnt[3118][5]~q\ & (\led_flash_cnt[3118][4]~70539\ $ (GND))) # (!\led_flash_cnt[3118][5]~q\ & (!\led_flash_cnt[3118][4]~70539\ & VCC))
-- \led_flash_cnt[3118][5]~70541\ = CARRY((\led_flash_cnt[3118][5]~q\ & !\led_flash_cnt[3118][4]~70539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3118][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3118][4]~70539\,
	combout => \led_flash_cnt[3118][5]~70540_combout\,
	cout => \led_flash_cnt[3118][5]~70541\);

-- Location: FF_X9_Y24_N23
\led_flash_cnt[3118][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3118][5]~70540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3118][5]~q\);

-- Location: LCCOMB_X9_Y24_N24
\led_flash_cnt[3118][6]~70542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3118][6]~70542_combout\ = (\led_flash_cnt[3118][6]~q\ & (!\led_flash_cnt[3118][5]~70541\)) # (!\led_flash_cnt[3118][6]~q\ & ((\led_flash_cnt[3118][5]~70541\) # (GND)))
-- \led_flash_cnt[3118][6]~70543\ = CARRY((!\led_flash_cnt[3118][5]~70541\) # (!\led_flash_cnt[3118][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3118][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3118][5]~70541\,
	combout => \led_flash_cnt[3118][6]~70542_combout\,
	cout => \led_flash_cnt[3118][6]~70543\);

-- Location: FF_X9_Y24_N25
\led_flash_cnt[3118][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3118][6]~70542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3118][6]~q\);

-- Location: LCCOMB_X9_Y24_N2
\WideAnd3118~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3118~1_combout\ = (\led_flash_cnt[3118][5]~q\ & \led_flash_cnt[3118][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3118][5]~q\,
	datad => \led_flash_cnt[3118][6]~q\,
	combout => \WideAnd3118~1_combout\);

-- Location: LCCOMB_X9_Y24_N26
\led_flash_cnt[3118][7]~70544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3118][7]~70544_combout\ = \led_flash_cnt[3118][7]~q\ $ (!\led_flash_cnt[3118][6]~70543\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3118][7]~q\,
	cin => \led_flash_cnt[3118][6]~70543\,
	combout => \led_flash_cnt[3118][7]~70544_combout\);

-- Location: FF_X9_Y24_N27
\led_flash_cnt[3118][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3118][7]~70544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3118][7]~q\);

-- Location: LCCOMB_X9_Y24_N0
WideAnd3118 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3118~combout\ = (\WideAnd3118~0_combout\ & (\WideAnd3118~1_combout\ & (\led_flash_cnt[3118][7]~q\ & \led_flash_cnt[3118][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3118~0_combout\,
	datab => \WideAnd3118~1_combout\,
	datac => \led_flash_cnt[3118][7]~q\,
	datad => \led_flash_cnt[3118][0]~q\,
	combout => \WideAnd3118~combout\);

-- Location: FF_X9_Y24_N1
\led_flash_cnt_ands[3118]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3118~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3118));

-- Location: LCCOMB_X16_Y17_N22
\led_flash_cnt[3119][0]~83759\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3119][0]~83759_combout\ = !\led_flash_cnt[3119][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3119][0]~q\,
	combout => \led_flash_cnt[3119][0]~83759_combout\);

-- Location: FF_X16_Y17_N23
\led_flash_cnt[3119][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3119][0]~83759_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3119][0]~q\);

-- Location: LCCOMB_X16_Y17_N8
\led_flash_cnt[3119][1]~70546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3119][1]~70546_combout\ = (\led_flash_cnt[3119][0]~q\ & (\led_flash_cnt[3119][1]~q\ $ (VCC))) # (!\led_flash_cnt[3119][0]~q\ & (\led_flash_cnt[3119][1]~q\ & VCC))
-- \led_flash_cnt[3119][1]~70547\ = CARRY((\led_flash_cnt[3119][0]~q\ & \led_flash_cnt[3119][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3119][0]~q\,
	datab => \led_flash_cnt[3119][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3119][1]~70546_combout\,
	cout => \led_flash_cnt[3119][1]~70547\);

-- Location: FF_X16_Y17_N9
\led_flash_cnt[3119][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3119][1]~70546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3119][1]~q\);

-- Location: LCCOMB_X16_Y17_N10
\led_flash_cnt[3119][2]~70548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3119][2]~70548_combout\ = (\led_flash_cnt[3119][2]~q\ & (!\led_flash_cnt[3119][1]~70547\)) # (!\led_flash_cnt[3119][2]~q\ & ((\led_flash_cnt[3119][1]~70547\) # (GND)))
-- \led_flash_cnt[3119][2]~70549\ = CARRY((!\led_flash_cnt[3119][1]~70547\) # (!\led_flash_cnt[3119][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3119][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3119][1]~70547\,
	combout => \led_flash_cnt[3119][2]~70548_combout\,
	cout => \led_flash_cnt[3119][2]~70549\);

-- Location: FF_X16_Y17_N11
\led_flash_cnt[3119][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3119][2]~70548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3119][2]~q\);

-- Location: LCCOMB_X16_Y17_N12
\led_flash_cnt[3119][3]~70550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3119][3]~70550_combout\ = (\led_flash_cnt[3119][3]~q\ & (\led_flash_cnt[3119][2]~70549\ $ (GND))) # (!\led_flash_cnt[3119][3]~q\ & (!\led_flash_cnt[3119][2]~70549\ & VCC))
-- \led_flash_cnt[3119][3]~70551\ = CARRY((\led_flash_cnt[3119][3]~q\ & !\led_flash_cnt[3119][2]~70549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3119][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3119][2]~70549\,
	combout => \led_flash_cnt[3119][3]~70550_combout\,
	cout => \led_flash_cnt[3119][3]~70551\);

-- Location: FF_X16_Y17_N13
\led_flash_cnt[3119][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3119][3]~70550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3119][3]~q\);

-- Location: LCCOMB_X16_Y17_N14
\led_flash_cnt[3119][4]~70552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3119][4]~70552_combout\ = (\led_flash_cnt[3119][4]~q\ & (!\led_flash_cnt[3119][3]~70551\)) # (!\led_flash_cnt[3119][4]~q\ & ((\led_flash_cnt[3119][3]~70551\) # (GND)))
-- \led_flash_cnt[3119][4]~70553\ = CARRY((!\led_flash_cnt[3119][3]~70551\) # (!\led_flash_cnt[3119][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3119][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3119][3]~70551\,
	combout => \led_flash_cnt[3119][4]~70552_combout\,
	cout => \led_flash_cnt[3119][4]~70553\);

-- Location: FF_X16_Y17_N15
\led_flash_cnt[3119][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3119][4]~70552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3119][4]~q\);

-- Location: LCCOMB_X16_Y17_N16
\led_flash_cnt[3119][5]~70554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3119][5]~70554_combout\ = (\led_flash_cnt[3119][5]~q\ & (\led_flash_cnt[3119][4]~70553\ $ (GND))) # (!\led_flash_cnt[3119][5]~q\ & (!\led_flash_cnt[3119][4]~70553\ & VCC))
-- \led_flash_cnt[3119][5]~70555\ = CARRY((\led_flash_cnt[3119][5]~q\ & !\led_flash_cnt[3119][4]~70553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3119][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3119][4]~70553\,
	combout => \led_flash_cnt[3119][5]~70554_combout\,
	cout => \led_flash_cnt[3119][5]~70555\);

-- Location: FF_X16_Y17_N17
\led_flash_cnt[3119][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3119][5]~70554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3119][5]~q\);

-- Location: LCCOMB_X16_Y17_N18
\led_flash_cnt[3119][6]~70556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3119][6]~70556_combout\ = (\led_flash_cnt[3119][6]~q\ & (!\led_flash_cnt[3119][5]~70555\)) # (!\led_flash_cnt[3119][6]~q\ & ((\led_flash_cnt[3119][5]~70555\) # (GND)))
-- \led_flash_cnt[3119][6]~70557\ = CARRY((!\led_flash_cnt[3119][5]~70555\) # (!\led_flash_cnt[3119][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3119][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3119][5]~70555\,
	combout => \led_flash_cnt[3119][6]~70556_combout\,
	cout => \led_flash_cnt[3119][6]~70557\);

-- Location: FF_X16_Y17_N19
\led_flash_cnt[3119][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3119][6]~70556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3119][6]~q\);

-- Location: LCCOMB_X16_Y17_N20
\led_flash_cnt[3119][7]~70558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3119][7]~70558_combout\ = \led_flash_cnt[3119][6]~70557\ $ (!\led_flash_cnt[3119][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3119][7]~q\,
	cin => \led_flash_cnt[3119][6]~70557\,
	combout => \led_flash_cnt[3119][7]~70558_combout\);

-- Location: FF_X16_Y17_N21
\led_flash_cnt[3119][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3119][7]~70558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3119][7]~q\);

-- Location: LCCOMB_X16_Y17_N4
\WideAnd3119~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3119~1_combout\ = (\led_flash_cnt[3119][5]~q\ & \led_flash_cnt[3119][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3119][5]~q\,
	datad => \led_flash_cnt[3119][6]~q\,
	combout => \WideAnd3119~1_combout\);

-- Location: LCCOMB_X16_Y17_N24
\WideAnd3119~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3119~0_combout\ = (\led_flash_cnt[3119][3]~q\ & (\led_flash_cnt[3119][1]~q\ & (\led_flash_cnt[3119][4]~q\ & \led_flash_cnt[3119][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3119][3]~q\,
	datab => \led_flash_cnt[3119][1]~q\,
	datac => \led_flash_cnt[3119][4]~q\,
	datad => \led_flash_cnt[3119][2]~q\,
	combout => \WideAnd3119~0_combout\);

-- Location: LCCOMB_X16_Y17_N28
WideAnd3119 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3119~combout\ = (\led_flash_cnt[3119][0]~q\ & (\led_flash_cnt[3119][7]~q\ & (\WideAnd3119~1_combout\ & \WideAnd3119~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3119][0]~q\,
	datab => \led_flash_cnt[3119][7]~q\,
	datac => \WideAnd3119~1_combout\,
	datad => \WideAnd3119~0_combout\,
	combout => \WideAnd3119~combout\);

-- Location: FF_X16_Y17_N29
\led_flash_cnt_ands[3119]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3119~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3119));

-- Location: LCCOMB_X15_Y17_N26
WideAnd4229 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4229~combout\ = (\WideAnd4229~0_combout\ & (\WideAnd4229~1_combout\ & (led_flash_cnt_ands(3118) & led_flash_cnt_ands(3119))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4229~0_combout\,
	datab => \WideAnd4229~1_combout\,
	datac => led_flash_cnt_ands(3118),
	datad => led_flash_cnt_ands(3119),
	combout => \WideAnd4229~combout\);

-- Location: FF_X15_Y17_N27
\led_flash_cnt_ands_1[389]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4229~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(389));

-- Location: LCCOMB_X11_Y26_N28
\led_flash_cnt[3106][0]~83746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3106][0]~83746_combout\ = !\led_flash_cnt[3106][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3106][0]~q\,
	combout => \led_flash_cnt[3106][0]~83746_combout\);

-- Location: FF_X11_Y26_N29
\led_flash_cnt[3106][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3106][0]~83746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3106][0]~q\);

-- Location: LCCOMB_X11_Y26_N10
\led_flash_cnt[3106][1]~70364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3106][1]~70364_combout\ = (\led_flash_cnt[3106][1]~q\ & (\led_flash_cnt[3106][0]~q\ $ (VCC))) # (!\led_flash_cnt[3106][1]~q\ & (\led_flash_cnt[3106][0]~q\ & VCC))
-- \led_flash_cnt[3106][1]~70365\ = CARRY((\led_flash_cnt[3106][1]~q\ & \led_flash_cnt[3106][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3106][1]~q\,
	datab => \led_flash_cnt[3106][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3106][1]~70364_combout\,
	cout => \led_flash_cnt[3106][1]~70365\);

-- Location: FF_X11_Y26_N11
\led_flash_cnt[3106][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3106][1]~70364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3106][1]~q\);

-- Location: LCCOMB_X11_Y26_N12
\led_flash_cnt[3106][2]~70366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3106][2]~70366_combout\ = (\led_flash_cnt[3106][2]~q\ & (!\led_flash_cnt[3106][1]~70365\)) # (!\led_flash_cnt[3106][2]~q\ & ((\led_flash_cnt[3106][1]~70365\) # (GND)))
-- \led_flash_cnt[3106][2]~70367\ = CARRY((!\led_flash_cnt[3106][1]~70365\) # (!\led_flash_cnt[3106][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3106][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3106][1]~70365\,
	combout => \led_flash_cnt[3106][2]~70366_combout\,
	cout => \led_flash_cnt[3106][2]~70367\);

-- Location: FF_X11_Y26_N13
\led_flash_cnt[3106][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3106][2]~70366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3106][2]~q\);

-- Location: LCCOMB_X11_Y26_N14
\led_flash_cnt[3106][3]~70368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3106][3]~70368_combout\ = (\led_flash_cnt[3106][3]~q\ & (\led_flash_cnt[3106][2]~70367\ $ (GND))) # (!\led_flash_cnt[3106][3]~q\ & (!\led_flash_cnt[3106][2]~70367\ & VCC))
-- \led_flash_cnt[3106][3]~70369\ = CARRY((\led_flash_cnt[3106][3]~q\ & !\led_flash_cnt[3106][2]~70367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3106][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3106][2]~70367\,
	combout => \led_flash_cnt[3106][3]~70368_combout\,
	cout => \led_flash_cnt[3106][3]~70369\);

-- Location: FF_X11_Y26_N15
\led_flash_cnt[3106][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3106][3]~70368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3106][3]~q\);

-- Location: LCCOMB_X11_Y26_N16
\led_flash_cnt[3106][4]~70370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3106][4]~70370_combout\ = (\led_flash_cnt[3106][4]~q\ & (!\led_flash_cnt[3106][3]~70369\)) # (!\led_flash_cnt[3106][4]~q\ & ((\led_flash_cnt[3106][3]~70369\) # (GND)))
-- \led_flash_cnt[3106][4]~70371\ = CARRY((!\led_flash_cnt[3106][3]~70369\) # (!\led_flash_cnt[3106][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3106][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3106][3]~70369\,
	combout => \led_flash_cnt[3106][4]~70370_combout\,
	cout => \led_flash_cnt[3106][4]~70371\);

-- Location: FF_X11_Y26_N17
\led_flash_cnt[3106][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3106][4]~70370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3106][4]~q\);

-- Location: LCCOMB_X11_Y26_N26
\WideAnd3106~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3106~0_combout\ = (\led_flash_cnt[3106][1]~q\ & (\led_flash_cnt[3106][4]~q\ & (\led_flash_cnt[3106][3]~q\ & \led_flash_cnt[3106][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3106][1]~q\,
	datab => \led_flash_cnt[3106][4]~q\,
	datac => \led_flash_cnt[3106][3]~q\,
	datad => \led_flash_cnt[3106][2]~q\,
	combout => \WideAnd3106~0_combout\);

-- Location: LCCOMB_X11_Y26_N18
\led_flash_cnt[3106][5]~70372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3106][5]~70372_combout\ = (\led_flash_cnt[3106][5]~q\ & (\led_flash_cnt[3106][4]~70371\ $ (GND))) # (!\led_flash_cnt[3106][5]~q\ & (!\led_flash_cnt[3106][4]~70371\ & VCC))
-- \led_flash_cnt[3106][5]~70373\ = CARRY((\led_flash_cnt[3106][5]~q\ & !\led_flash_cnt[3106][4]~70371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3106][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3106][4]~70371\,
	combout => \led_flash_cnt[3106][5]~70372_combout\,
	cout => \led_flash_cnt[3106][5]~70373\);

-- Location: FF_X11_Y26_N19
\led_flash_cnt[3106][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3106][5]~70372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3106][5]~q\);

-- Location: LCCOMB_X11_Y26_N20
\led_flash_cnt[3106][6]~70374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3106][6]~70374_combout\ = (\led_flash_cnt[3106][6]~q\ & (!\led_flash_cnt[3106][5]~70373\)) # (!\led_flash_cnt[3106][6]~q\ & ((\led_flash_cnt[3106][5]~70373\) # (GND)))
-- \led_flash_cnt[3106][6]~70375\ = CARRY((!\led_flash_cnt[3106][5]~70373\) # (!\led_flash_cnt[3106][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3106][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3106][5]~70373\,
	combout => \led_flash_cnt[3106][6]~70374_combout\,
	cout => \led_flash_cnt[3106][6]~70375\);

-- Location: FF_X11_Y26_N21
\led_flash_cnt[3106][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3106][6]~70374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3106][6]~q\);

-- Location: LCCOMB_X11_Y26_N24
\WideAnd3106~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3106~1_combout\ = (\led_flash_cnt[3106][5]~q\ & \led_flash_cnt[3106][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3106][5]~q\,
	datad => \led_flash_cnt[3106][6]~q\,
	combout => \WideAnd3106~1_combout\);

-- Location: LCCOMB_X11_Y26_N22
\led_flash_cnt[3106][7]~70376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3106][7]~70376_combout\ = \led_flash_cnt[3106][7]~q\ $ (!\led_flash_cnt[3106][6]~70375\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3106][7]~q\,
	cin => \led_flash_cnt[3106][6]~70375\,
	combout => \led_flash_cnt[3106][7]~70376_combout\);

-- Location: FF_X11_Y26_N23
\led_flash_cnt[3106][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3106][7]~70376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3106][7]~q\);

-- Location: LCCOMB_X11_Y26_N30
WideAnd3106 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3106~combout\ = (\WideAnd3106~0_combout\ & (\WideAnd3106~1_combout\ & (\led_flash_cnt[3106][7]~q\ & \led_flash_cnt[3106][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3106~0_combout\,
	datab => \WideAnd3106~1_combout\,
	datac => \led_flash_cnt[3106][7]~q\,
	datad => \led_flash_cnt[3106][0]~q\,
	combout => \WideAnd3106~combout\);

-- Location: FF_X11_Y26_N31
\led_flash_cnt_ands[3106]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3106~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3106));

-- Location: LCCOMB_X10_Y20_N4
\led_flash_cnt[3105][0]~83745\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3105][0]~83745_combout\ = !\led_flash_cnt[3105][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3105][0]~q\,
	combout => \led_flash_cnt[3105][0]~83745_combout\);

-- Location: FF_X10_Y20_N5
\led_flash_cnt[3105][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3105][0]~83745_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3105][0]~q\);

-- Location: LCCOMB_X10_Y20_N10
\led_flash_cnt[3105][1]~70350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3105][1]~70350_combout\ = (\led_flash_cnt[3105][1]~q\ & (\led_flash_cnt[3105][0]~q\ $ (VCC))) # (!\led_flash_cnt[3105][1]~q\ & (\led_flash_cnt[3105][0]~q\ & VCC))
-- \led_flash_cnt[3105][1]~70351\ = CARRY((\led_flash_cnt[3105][1]~q\ & \led_flash_cnt[3105][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3105][1]~q\,
	datab => \led_flash_cnt[3105][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3105][1]~70350_combout\,
	cout => \led_flash_cnt[3105][1]~70351\);

-- Location: FF_X10_Y20_N11
\led_flash_cnt[3105][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3105][1]~70350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3105][1]~q\);

-- Location: LCCOMB_X10_Y20_N12
\led_flash_cnt[3105][2]~70352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3105][2]~70352_combout\ = (\led_flash_cnt[3105][2]~q\ & (!\led_flash_cnt[3105][1]~70351\)) # (!\led_flash_cnt[3105][2]~q\ & ((\led_flash_cnt[3105][1]~70351\) # (GND)))
-- \led_flash_cnt[3105][2]~70353\ = CARRY((!\led_flash_cnt[3105][1]~70351\) # (!\led_flash_cnt[3105][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3105][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3105][1]~70351\,
	combout => \led_flash_cnt[3105][2]~70352_combout\,
	cout => \led_flash_cnt[3105][2]~70353\);

-- Location: FF_X10_Y20_N13
\led_flash_cnt[3105][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3105][2]~70352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3105][2]~q\);

-- Location: LCCOMB_X10_Y20_N14
\led_flash_cnt[3105][3]~70354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3105][3]~70354_combout\ = (\led_flash_cnt[3105][3]~q\ & (\led_flash_cnt[3105][2]~70353\ $ (GND))) # (!\led_flash_cnt[3105][3]~q\ & (!\led_flash_cnt[3105][2]~70353\ & VCC))
-- \led_flash_cnt[3105][3]~70355\ = CARRY((\led_flash_cnt[3105][3]~q\ & !\led_flash_cnt[3105][2]~70353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3105][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3105][2]~70353\,
	combout => \led_flash_cnt[3105][3]~70354_combout\,
	cout => \led_flash_cnt[3105][3]~70355\);

-- Location: FF_X10_Y20_N15
\led_flash_cnt[3105][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3105][3]~70354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3105][3]~q\);

-- Location: LCCOMB_X10_Y20_N16
\led_flash_cnt[3105][4]~70356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3105][4]~70356_combout\ = (\led_flash_cnt[3105][4]~q\ & (!\led_flash_cnt[3105][3]~70355\)) # (!\led_flash_cnt[3105][4]~q\ & ((\led_flash_cnt[3105][3]~70355\) # (GND)))
-- \led_flash_cnt[3105][4]~70357\ = CARRY((!\led_flash_cnt[3105][3]~70355\) # (!\led_flash_cnt[3105][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3105][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3105][3]~70355\,
	combout => \led_flash_cnt[3105][4]~70356_combout\,
	cout => \led_flash_cnt[3105][4]~70357\);

-- Location: FF_X10_Y20_N17
\led_flash_cnt[3105][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3105][4]~70356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3105][4]~q\);

-- Location: LCCOMB_X10_Y20_N18
\led_flash_cnt[3105][5]~70358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3105][5]~70358_combout\ = (\led_flash_cnt[3105][5]~q\ & (\led_flash_cnt[3105][4]~70357\ $ (GND))) # (!\led_flash_cnt[3105][5]~q\ & (!\led_flash_cnt[3105][4]~70357\ & VCC))
-- \led_flash_cnt[3105][5]~70359\ = CARRY((\led_flash_cnt[3105][5]~q\ & !\led_flash_cnt[3105][4]~70357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3105][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3105][4]~70357\,
	combout => \led_flash_cnt[3105][5]~70358_combout\,
	cout => \led_flash_cnt[3105][5]~70359\);

-- Location: FF_X10_Y20_N19
\led_flash_cnt[3105][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3105][5]~70358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3105][5]~q\);

-- Location: LCCOMB_X10_Y20_N20
\led_flash_cnt[3105][6]~70360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3105][6]~70360_combout\ = (\led_flash_cnt[3105][6]~q\ & (!\led_flash_cnt[3105][5]~70359\)) # (!\led_flash_cnt[3105][6]~q\ & ((\led_flash_cnt[3105][5]~70359\) # (GND)))
-- \led_flash_cnt[3105][6]~70361\ = CARRY((!\led_flash_cnt[3105][5]~70359\) # (!\led_flash_cnt[3105][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3105][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3105][5]~70359\,
	combout => \led_flash_cnt[3105][6]~70360_combout\,
	cout => \led_flash_cnt[3105][6]~70361\);

-- Location: FF_X10_Y20_N21
\led_flash_cnt[3105][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3105][6]~70360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3105][6]~q\);

-- Location: LCCOMB_X10_Y20_N26
\WideAnd3105~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3105~1_combout\ = (\led_flash_cnt[3105][6]~q\ & \led_flash_cnt[3105][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3105][6]~q\,
	datad => \led_flash_cnt[3105][5]~q\,
	combout => \WideAnd3105~1_combout\);

-- Location: LCCOMB_X10_Y20_N22
\led_flash_cnt[3105][7]~70362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3105][7]~70362_combout\ = \led_flash_cnt[3105][7]~q\ $ (!\led_flash_cnt[3105][6]~70361\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3105][7]~q\,
	cin => \led_flash_cnt[3105][6]~70361\,
	combout => \led_flash_cnt[3105][7]~70362_combout\);

-- Location: FF_X10_Y20_N23
\led_flash_cnt[3105][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3105][7]~70362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3105][7]~q\);

-- Location: LCCOMB_X10_Y20_N2
\WideAnd3105~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3105~0_combout\ = (\led_flash_cnt[3105][2]~q\ & (\led_flash_cnt[3105][4]~q\ & (\led_flash_cnt[3105][3]~q\ & \led_flash_cnt[3105][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3105][2]~q\,
	datab => \led_flash_cnt[3105][4]~q\,
	datac => \led_flash_cnt[3105][3]~q\,
	datad => \led_flash_cnt[3105][1]~q\,
	combout => \WideAnd3105~0_combout\);

-- Location: LCCOMB_X10_Y20_N28
WideAnd3105 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3105~combout\ = (\WideAnd3105~1_combout\ & (\led_flash_cnt[3105][0]~q\ & (\led_flash_cnt[3105][7]~q\ & \WideAnd3105~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3105~1_combout\,
	datab => \led_flash_cnt[3105][0]~q\,
	datac => \led_flash_cnt[3105][7]~q\,
	datad => \WideAnd3105~0_combout\,
	combout => \WideAnd3105~combout\);

-- Location: FF_X10_Y20_N29
\led_flash_cnt_ands[3105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3105~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3105));

-- Location: LCCOMB_X10_Y20_N8
\led_flash_cnt[3107][0]~83747\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3107][0]~83747_combout\ = !\led_flash_cnt[3107][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3107][0]~q\,
	combout => \led_flash_cnt[3107][0]~83747_combout\);

-- Location: FF_X10_Y20_N9
\led_flash_cnt[3107][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3107][0]~83747_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3107][0]~q\);

-- Location: LCCOMB_X11_Y20_N2
\led_flash_cnt[3107][1]~70378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3107][1]~70378_combout\ = (\led_flash_cnt[3107][0]~q\ & (\led_flash_cnt[3107][1]~q\ $ (VCC))) # (!\led_flash_cnt[3107][0]~q\ & (\led_flash_cnt[3107][1]~q\ & VCC))
-- \led_flash_cnt[3107][1]~70379\ = CARRY((\led_flash_cnt[3107][0]~q\ & \led_flash_cnt[3107][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3107][0]~q\,
	datab => \led_flash_cnt[3107][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3107][1]~70378_combout\,
	cout => \led_flash_cnt[3107][1]~70379\);

-- Location: FF_X11_Y20_N3
\led_flash_cnt[3107][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3107][1]~70378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3107][1]~q\);

-- Location: LCCOMB_X11_Y20_N4
\led_flash_cnt[3107][2]~70380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3107][2]~70380_combout\ = (\led_flash_cnt[3107][2]~q\ & (!\led_flash_cnt[3107][1]~70379\)) # (!\led_flash_cnt[3107][2]~q\ & ((\led_flash_cnt[3107][1]~70379\) # (GND)))
-- \led_flash_cnt[3107][2]~70381\ = CARRY((!\led_flash_cnt[3107][1]~70379\) # (!\led_flash_cnt[3107][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3107][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3107][1]~70379\,
	combout => \led_flash_cnt[3107][2]~70380_combout\,
	cout => \led_flash_cnt[3107][2]~70381\);

-- Location: FF_X11_Y20_N5
\led_flash_cnt[3107][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3107][2]~70380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3107][2]~q\);

-- Location: LCCOMB_X11_Y20_N6
\led_flash_cnt[3107][3]~70382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3107][3]~70382_combout\ = (\led_flash_cnt[3107][3]~q\ & (\led_flash_cnt[3107][2]~70381\ $ (GND))) # (!\led_flash_cnt[3107][3]~q\ & (!\led_flash_cnt[3107][2]~70381\ & VCC))
-- \led_flash_cnt[3107][3]~70383\ = CARRY((\led_flash_cnt[3107][3]~q\ & !\led_flash_cnt[3107][2]~70381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3107][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3107][2]~70381\,
	combout => \led_flash_cnt[3107][3]~70382_combout\,
	cout => \led_flash_cnt[3107][3]~70383\);

-- Location: FF_X11_Y20_N7
\led_flash_cnt[3107][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3107][3]~70382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3107][3]~q\);

-- Location: LCCOMB_X11_Y20_N8
\led_flash_cnt[3107][4]~70384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3107][4]~70384_combout\ = (\led_flash_cnt[3107][4]~q\ & (!\led_flash_cnt[3107][3]~70383\)) # (!\led_flash_cnt[3107][4]~q\ & ((\led_flash_cnt[3107][3]~70383\) # (GND)))
-- \led_flash_cnt[3107][4]~70385\ = CARRY((!\led_flash_cnt[3107][3]~70383\) # (!\led_flash_cnt[3107][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3107][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3107][3]~70383\,
	combout => \led_flash_cnt[3107][4]~70384_combout\,
	cout => \led_flash_cnt[3107][4]~70385\);

-- Location: FF_X11_Y20_N9
\led_flash_cnt[3107][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3107][4]~70384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3107][4]~q\);

-- Location: LCCOMB_X11_Y20_N10
\led_flash_cnt[3107][5]~70386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3107][5]~70386_combout\ = (\led_flash_cnt[3107][5]~q\ & (\led_flash_cnt[3107][4]~70385\ $ (GND))) # (!\led_flash_cnt[3107][5]~q\ & (!\led_flash_cnt[3107][4]~70385\ & VCC))
-- \led_flash_cnt[3107][5]~70387\ = CARRY((\led_flash_cnt[3107][5]~q\ & !\led_flash_cnt[3107][4]~70385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3107][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3107][4]~70385\,
	combout => \led_flash_cnt[3107][5]~70386_combout\,
	cout => \led_flash_cnt[3107][5]~70387\);

-- Location: FF_X11_Y20_N11
\led_flash_cnt[3107][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3107][5]~70386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3107][5]~q\);

-- Location: LCCOMB_X11_Y20_N12
\led_flash_cnt[3107][6]~70388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3107][6]~70388_combout\ = (\led_flash_cnt[3107][6]~q\ & (!\led_flash_cnt[3107][5]~70387\)) # (!\led_flash_cnt[3107][6]~q\ & ((\led_flash_cnt[3107][5]~70387\) # (GND)))
-- \led_flash_cnt[3107][6]~70389\ = CARRY((!\led_flash_cnt[3107][5]~70387\) # (!\led_flash_cnt[3107][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3107][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3107][5]~70387\,
	combout => \led_flash_cnt[3107][6]~70388_combout\,
	cout => \led_flash_cnt[3107][6]~70389\);

-- Location: FF_X11_Y20_N13
\led_flash_cnt[3107][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3107][6]~70388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3107][6]~q\);

-- Location: LCCOMB_X10_Y20_N6
\WideAnd3107~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3107~1_combout\ = (\led_flash_cnt[3107][5]~q\ & \led_flash_cnt[3107][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3107][5]~q\,
	datac => \led_flash_cnt[3107][6]~q\,
	combout => \WideAnd3107~1_combout\);

-- Location: LCCOMB_X11_Y20_N0
\WideAnd3107~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3107~0_combout\ = (\led_flash_cnt[3107][3]~q\ & (\led_flash_cnt[3107][2]~q\ & (\led_flash_cnt[3107][4]~q\ & \led_flash_cnt[3107][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3107][3]~q\,
	datab => \led_flash_cnt[3107][2]~q\,
	datac => \led_flash_cnt[3107][4]~q\,
	datad => \led_flash_cnt[3107][1]~q\,
	combout => \WideAnd3107~0_combout\);

-- Location: LCCOMB_X11_Y20_N14
\led_flash_cnt[3107][7]~70390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3107][7]~70390_combout\ = \led_flash_cnt[3107][7]~q\ $ (!\led_flash_cnt[3107][6]~70389\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3107][7]~q\,
	cin => \led_flash_cnt[3107][6]~70389\,
	combout => \led_flash_cnt[3107][7]~70390_combout\);

-- Location: FF_X11_Y20_N15
\led_flash_cnt[3107][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3107][7]~70390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3107][7]~q\);

-- Location: LCCOMB_X10_Y20_N30
WideAnd3107 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3107~combout\ = (\WideAnd3107~1_combout\ & (\WideAnd3107~0_combout\ & (\led_flash_cnt[3107][7]~q\ & \led_flash_cnt[3107][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3107~1_combout\,
	datab => \WideAnd3107~0_combout\,
	datac => \led_flash_cnt[3107][7]~q\,
	datad => \led_flash_cnt[3107][0]~q\,
	combout => \WideAnd3107~combout\);

-- Location: FF_X10_Y20_N31
\led_flash_cnt_ands[3107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3107~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3107));

-- Location: LCCOMB_X15_Y21_N28
\led_flash_cnt[3104][0]~83744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3104][0]~83744_combout\ = !\led_flash_cnt[3104][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3104][0]~q\,
	combout => \led_flash_cnt[3104][0]~83744_combout\);

-- Location: FF_X15_Y21_N29
\led_flash_cnt[3104][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3104][0]~83744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3104][0]~q\);

-- Location: LCCOMB_X11_Y21_N10
\led_flash_cnt[3104][1]~70336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3104][1]~70336_combout\ = (\led_flash_cnt[3104][1]~q\ & (\led_flash_cnt[3104][0]~q\ $ (VCC))) # (!\led_flash_cnt[3104][1]~q\ & (\led_flash_cnt[3104][0]~q\ & VCC))
-- \led_flash_cnt[3104][1]~70337\ = CARRY((\led_flash_cnt[3104][1]~q\ & \led_flash_cnt[3104][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3104][1]~q\,
	datab => \led_flash_cnt[3104][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3104][1]~70336_combout\,
	cout => \led_flash_cnt[3104][1]~70337\);

-- Location: FF_X11_Y21_N11
\led_flash_cnt[3104][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3104][1]~70336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3104][1]~q\);

-- Location: LCCOMB_X11_Y21_N12
\led_flash_cnt[3104][2]~70338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3104][2]~70338_combout\ = (\led_flash_cnt[3104][2]~q\ & (!\led_flash_cnt[3104][1]~70337\)) # (!\led_flash_cnt[3104][2]~q\ & ((\led_flash_cnt[3104][1]~70337\) # (GND)))
-- \led_flash_cnt[3104][2]~70339\ = CARRY((!\led_flash_cnt[3104][1]~70337\) # (!\led_flash_cnt[3104][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3104][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3104][1]~70337\,
	combout => \led_flash_cnt[3104][2]~70338_combout\,
	cout => \led_flash_cnt[3104][2]~70339\);

-- Location: FF_X11_Y21_N13
\led_flash_cnt[3104][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3104][2]~70338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3104][2]~q\);

-- Location: LCCOMB_X11_Y21_N14
\led_flash_cnt[3104][3]~70340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3104][3]~70340_combout\ = (\led_flash_cnt[3104][3]~q\ & (\led_flash_cnt[3104][2]~70339\ $ (GND))) # (!\led_flash_cnt[3104][3]~q\ & (!\led_flash_cnt[3104][2]~70339\ & VCC))
-- \led_flash_cnt[3104][3]~70341\ = CARRY((\led_flash_cnt[3104][3]~q\ & !\led_flash_cnt[3104][2]~70339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3104][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3104][2]~70339\,
	combout => \led_flash_cnt[3104][3]~70340_combout\,
	cout => \led_flash_cnt[3104][3]~70341\);

-- Location: FF_X11_Y21_N15
\led_flash_cnt[3104][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3104][3]~70340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3104][3]~q\);

-- Location: LCCOMB_X11_Y21_N16
\led_flash_cnt[3104][4]~70342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3104][4]~70342_combout\ = (\led_flash_cnt[3104][4]~q\ & (!\led_flash_cnt[3104][3]~70341\)) # (!\led_flash_cnt[3104][4]~q\ & ((\led_flash_cnt[3104][3]~70341\) # (GND)))
-- \led_flash_cnt[3104][4]~70343\ = CARRY((!\led_flash_cnt[3104][3]~70341\) # (!\led_flash_cnt[3104][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3104][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3104][3]~70341\,
	combout => \led_flash_cnt[3104][4]~70342_combout\,
	cout => \led_flash_cnt[3104][4]~70343\);

-- Location: FF_X11_Y21_N17
\led_flash_cnt[3104][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3104][4]~70342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3104][4]~q\);

-- Location: LCCOMB_X11_Y21_N18
\led_flash_cnt[3104][5]~70344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3104][5]~70344_combout\ = (\led_flash_cnt[3104][5]~q\ & (\led_flash_cnt[3104][4]~70343\ $ (GND))) # (!\led_flash_cnt[3104][5]~q\ & (!\led_flash_cnt[3104][4]~70343\ & VCC))
-- \led_flash_cnt[3104][5]~70345\ = CARRY((\led_flash_cnt[3104][5]~q\ & !\led_flash_cnt[3104][4]~70343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3104][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3104][4]~70343\,
	combout => \led_flash_cnt[3104][5]~70344_combout\,
	cout => \led_flash_cnt[3104][5]~70345\);

-- Location: FF_X11_Y21_N19
\led_flash_cnt[3104][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3104][5]~70344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3104][5]~q\);

-- Location: LCCOMB_X11_Y21_N20
\led_flash_cnt[3104][6]~70346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3104][6]~70346_combout\ = (\led_flash_cnt[3104][6]~q\ & (!\led_flash_cnt[3104][5]~70345\)) # (!\led_flash_cnt[3104][6]~q\ & ((\led_flash_cnt[3104][5]~70345\) # (GND)))
-- \led_flash_cnt[3104][6]~70347\ = CARRY((!\led_flash_cnt[3104][5]~70345\) # (!\led_flash_cnt[3104][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3104][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3104][5]~70345\,
	combout => \led_flash_cnt[3104][6]~70346_combout\,
	cout => \led_flash_cnt[3104][6]~70347\);

-- Location: FF_X11_Y21_N21
\led_flash_cnt[3104][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3104][6]~70346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3104][6]~q\);

-- Location: LCCOMB_X11_Y21_N26
\WideAnd3104~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3104~1_combout\ = (\led_flash_cnt[3104][5]~q\ & \led_flash_cnt[3104][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3104][5]~q\,
	datad => \led_flash_cnt[3104][6]~q\,
	combout => \WideAnd3104~1_combout\);

-- Location: LCCOMB_X11_Y21_N22
\led_flash_cnt[3104][7]~70348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3104][7]~70348_combout\ = \led_flash_cnt[3104][7]~q\ $ (!\led_flash_cnt[3104][6]~70347\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3104][7]~q\,
	cin => \led_flash_cnt[3104][6]~70347\,
	combout => \led_flash_cnt[3104][7]~70348_combout\);

-- Location: FF_X11_Y21_N23
\led_flash_cnt[3104][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3104][7]~70348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3104][7]~q\);

-- Location: LCCOMB_X11_Y21_N0
\WideAnd3104~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3104~0_combout\ = (\led_flash_cnt[3104][1]~q\ & (\led_flash_cnt[3104][4]~q\ & (\led_flash_cnt[3104][3]~q\ & \led_flash_cnt[3104][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3104][1]~q\,
	datab => \led_flash_cnt[3104][4]~q\,
	datac => \led_flash_cnt[3104][3]~q\,
	datad => \led_flash_cnt[3104][2]~q\,
	combout => \WideAnd3104~0_combout\);

-- Location: LCCOMB_X11_Y21_N30
WideAnd3104 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3104~combout\ = (\WideAnd3104~1_combout\ & (\led_flash_cnt[3104][0]~q\ & (\led_flash_cnt[3104][7]~q\ & \WideAnd3104~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3104~1_combout\,
	datab => \led_flash_cnt[3104][0]~q\,
	datac => \led_flash_cnt[3104][7]~q\,
	datad => \WideAnd3104~0_combout\,
	combout => \WideAnd3104~combout\);

-- Location: FF_X11_Y21_N31
\led_flash_cnt_ands[3104]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3104~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3104));

-- Location: LCCOMB_X10_Y20_N24
\WideAnd4228~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4228~0_combout\ = (led_flash_cnt_ands(3106) & (led_flash_cnt_ands(3105) & (led_flash_cnt_ands(3107) & led_flash_cnt_ands(3104))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3106),
	datab => led_flash_cnt_ands(3105),
	datac => led_flash_cnt_ands(3107),
	datad => led_flash_cnt_ands(3104),
	combout => \WideAnd4228~0_combout\);

-- Location: LCCOMB_X8_Y17_N12
\led_flash_cnt[3110][0]~83750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3110][0]~83750_combout\ = !\led_flash_cnt[3110][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3110][0]~q\,
	combout => \led_flash_cnt[3110][0]~83750_combout\);

-- Location: FF_X8_Y17_N13
\led_flash_cnt[3110][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3110][0]~83750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3110][0]~q\);

-- Location: LCCOMB_X8_Y17_N18
\led_flash_cnt[3110][1]~70420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3110][1]~70420_combout\ = (\led_flash_cnt[3110][0]~q\ & (\led_flash_cnt[3110][1]~q\ $ (VCC))) # (!\led_flash_cnt[3110][0]~q\ & (\led_flash_cnt[3110][1]~q\ & VCC))
-- \led_flash_cnt[3110][1]~70421\ = CARRY((\led_flash_cnt[3110][0]~q\ & \led_flash_cnt[3110][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3110][0]~q\,
	datab => \led_flash_cnt[3110][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3110][1]~70420_combout\,
	cout => \led_flash_cnt[3110][1]~70421\);

-- Location: FF_X8_Y17_N19
\led_flash_cnt[3110][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3110][1]~70420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3110][1]~q\);

-- Location: LCCOMB_X8_Y17_N20
\led_flash_cnt[3110][2]~70422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3110][2]~70422_combout\ = (\led_flash_cnt[3110][2]~q\ & (!\led_flash_cnt[3110][1]~70421\)) # (!\led_flash_cnt[3110][2]~q\ & ((\led_flash_cnt[3110][1]~70421\) # (GND)))
-- \led_flash_cnt[3110][2]~70423\ = CARRY((!\led_flash_cnt[3110][1]~70421\) # (!\led_flash_cnt[3110][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3110][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3110][1]~70421\,
	combout => \led_flash_cnt[3110][2]~70422_combout\,
	cout => \led_flash_cnt[3110][2]~70423\);

-- Location: FF_X8_Y17_N21
\led_flash_cnt[3110][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3110][2]~70422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3110][2]~q\);

-- Location: LCCOMB_X8_Y17_N22
\led_flash_cnt[3110][3]~70424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3110][3]~70424_combout\ = (\led_flash_cnt[3110][3]~q\ & (\led_flash_cnt[3110][2]~70423\ $ (GND))) # (!\led_flash_cnt[3110][3]~q\ & (!\led_flash_cnt[3110][2]~70423\ & VCC))
-- \led_flash_cnt[3110][3]~70425\ = CARRY((\led_flash_cnt[3110][3]~q\ & !\led_flash_cnt[3110][2]~70423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3110][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3110][2]~70423\,
	combout => \led_flash_cnt[3110][3]~70424_combout\,
	cout => \led_flash_cnt[3110][3]~70425\);

-- Location: FF_X8_Y17_N23
\led_flash_cnt[3110][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3110][3]~70424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3110][3]~q\);

-- Location: LCCOMB_X8_Y17_N24
\led_flash_cnt[3110][4]~70426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3110][4]~70426_combout\ = (\led_flash_cnt[3110][4]~q\ & (!\led_flash_cnt[3110][3]~70425\)) # (!\led_flash_cnt[3110][4]~q\ & ((\led_flash_cnt[3110][3]~70425\) # (GND)))
-- \led_flash_cnt[3110][4]~70427\ = CARRY((!\led_flash_cnt[3110][3]~70425\) # (!\led_flash_cnt[3110][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3110][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3110][3]~70425\,
	combout => \led_flash_cnt[3110][4]~70426_combout\,
	cout => \led_flash_cnt[3110][4]~70427\);

-- Location: FF_X8_Y17_N25
\led_flash_cnt[3110][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3110][4]~70426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3110][4]~q\);

-- Location: LCCOMB_X8_Y17_N26
\led_flash_cnt[3110][5]~70428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3110][5]~70428_combout\ = (\led_flash_cnt[3110][5]~q\ & (\led_flash_cnt[3110][4]~70427\ $ (GND))) # (!\led_flash_cnt[3110][5]~q\ & (!\led_flash_cnt[3110][4]~70427\ & VCC))
-- \led_flash_cnt[3110][5]~70429\ = CARRY((\led_flash_cnt[3110][5]~q\ & !\led_flash_cnt[3110][4]~70427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3110][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3110][4]~70427\,
	combout => \led_flash_cnt[3110][5]~70428_combout\,
	cout => \led_flash_cnt[3110][5]~70429\);

-- Location: FF_X8_Y17_N27
\led_flash_cnt[3110][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3110][5]~70428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3110][5]~q\);

-- Location: LCCOMB_X8_Y17_N28
\led_flash_cnt[3110][6]~70430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3110][6]~70430_combout\ = (\led_flash_cnt[3110][6]~q\ & (!\led_flash_cnt[3110][5]~70429\)) # (!\led_flash_cnt[3110][6]~q\ & ((\led_flash_cnt[3110][5]~70429\) # (GND)))
-- \led_flash_cnt[3110][6]~70431\ = CARRY((!\led_flash_cnt[3110][5]~70429\) # (!\led_flash_cnt[3110][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3110][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3110][5]~70429\,
	combout => \led_flash_cnt[3110][6]~70430_combout\,
	cout => \led_flash_cnt[3110][6]~70431\);

-- Location: FF_X8_Y17_N29
\led_flash_cnt[3110][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3110][6]~70430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3110][6]~q\);

-- Location: LCCOMB_X8_Y17_N0
\WideAnd3110~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3110~1_combout\ = (\led_flash_cnt[3110][5]~q\ & \led_flash_cnt[3110][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3110][5]~q\,
	datad => \led_flash_cnt[3110][6]~q\,
	combout => \WideAnd3110~1_combout\);

-- Location: LCCOMB_X8_Y17_N30
\led_flash_cnt[3110][7]~70432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3110][7]~70432_combout\ = \led_flash_cnt[3110][7]~q\ $ (!\led_flash_cnt[3110][6]~70431\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3110][7]~q\,
	cin => \led_flash_cnt[3110][6]~70431\,
	combout => \led_flash_cnt[3110][7]~70432_combout\);

-- Location: FF_X8_Y17_N31
\led_flash_cnt[3110][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3110][7]~70432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3110][7]~q\);

-- Location: LCCOMB_X8_Y17_N6
\WideAnd3110~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3110~0_combout\ = (\led_flash_cnt[3110][1]~q\ & (\led_flash_cnt[3110][4]~q\ & (\led_flash_cnt[3110][3]~q\ & \led_flash_cnt[3110][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3110][1]~q\,
	datab => \led_flash_cnt[3110][4]~q\,
	datac => \led_flash_cnt[3110][3]~q\,
	datad => \led_flash_cnt[3110][2]~q\,
	combout => \WideAnd3110~0_combout\);

-- Location: LCCOMB_X8_Y17_N16
WideAnd3110 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3110~combout\ = (\led_flash_cnt[3110][0]~q\ & (\WideAnd3110~1_combout\ & (\led_flash_cnt[3110][7]~q\ & \WideAnd3110~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3110][0]~q\,
	datab => \WideAnd3110~1_combout\,
	datac => \led_flash_cnt[3110][7]~q\,
	datad => \WideAnd3110~0_combout\,
	combout => \WideAnd3110~combout\);

-- Location: FF_X8_Y17_N17
\led_flash_cnt_ands[3110]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3110~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3110));

-- Location: LCCOMB_X8_Y19_N6
\led_flash_cnt[3108][0]~83748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3108][0]~83748_combout\ = !\led_flash_cnt[3108][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3108][0]~q\,
	combout => \led_flash_cnt[3108][0]~83748_combout\);

-- Location: FF_X8_Y19_N7
\led_flash_cnt[3108][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3108][0]~83748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3108][0]~q\);

-- Location: LCCOMB_X9_Y19_N18
\led_flash_cnt[3108][1]~70392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3108][1]~70392_combout\ = (\led_flash_cnt[3108][0]~q\ & (\led_flash_cnt[3108][1]~q\ $ (VCC))) # (!\led_flash_cnt[3108][0]~q\ & (\led_flash_cnt[3108][1]~q\ & VCC))
-- \led_flash_cnt[3108][1]~70393\ = CARRY((\led_flash_cnt[3108][0]~q\ & \led_flash_cnt[3108][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3108][0]~q\,
	datab => \led_flash_cnt[3108][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3108][1]~70392_combout\,
	cout => \led_flash_cnt[3108][1]~70393\);

-- Location: FF_X9_Y19_N19
\led_flash_cnt[3108][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3108][1]~70392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3108][1]~q\);

-- Location: LCCOMB_X9_Y19_N20
\led_flash_cnt[3108][2]~70394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3108][2]~70394_combout\ = (\led_flash_cnt[3108][2]~q\ & (!\led_flash_cnt[3108][1]~70393\)) # (!\led_flash_cnt[3108][2]~q\ & ((\led_flash_cnt[3108][1]~70393\) # (GND)))
-- \led_flash_cnt[3108][2]~70395\ = CARRY((!\led_flash_cnt[3108][1]~70393\) # (!\led_flash_cnt[3108][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3108][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3108][1]~70393\,
	combout => \led_flash_cnt[3108][2]~70394_combout\,
	cout => \led_flash_cnt[3108][2]~70395\);

-- Location: FF_X9_Y19_N21
\led_flash_cnt[3108][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3108][2]~70394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3108][2]~q\);

-- Location: LCCOMB_X9_Y19_N22
\led_flash_cnt[3108][3]~70396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3108][3]~70396_combout\ = (\led_flash_cnt[3108][3]~q\ & (\led_flash_cnt[3108][2]~70395\ $ (GND))) # (!\led_flash_cnt[3108][3]~q\ & (!\led_flash_cnt[3108][2]~70395\ & VCC))
-- \led_flash_cnt[3108][3]~70397\ = CARRY((\led_flash_cnt[3108][3]~q\ & !\led_flash_cnt[3108][2]~70395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3108][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3108][2]~70395\,
	combout => \led_flash_cnt[3108][3]~70396_combout\,
	cout => \led_flash_cnt[3108][3]~70397\);

-- Location: FF_X9_Y19_N23
\led_flash_cnt[3108][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3108][3]~70396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3108][3]~q\);

-- Location: LCCOMB_X9_Y19_N24
\led_flash_cnt[3108][4]~70398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3108][4]~70398_combout\ = (\led_flash_cnt[3108][4]~q\ & (!\led_flash_cnt[3108][3]~70397\)) # (!\led_flash_cnt[3108][4]~q\ & ((\led_flash_cnt[3108][3]~70397\) # (GND)))
-- \led_flash_cnt[3108][4]~70399\ = CARRY((!\led_flash_cnt[3108][3]~70397\) # (!\led_flash_cnt[3108][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3108][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3108][3]~70397\,
	combout => \led_flash_cnt[3108][4]~70398_combout\,
	cout => \led_flash_cnt[3108][4]~70399\);

-- Location: FF_X9_Y19_N25
\led_flash_cnt[3108][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3108][4]~70398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3108][4]~q\);

-- Location: LCCOMB_X9_Y19_N26
\led_flash_cnt[3108][5]~70400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3108][5]~70400_combout\ = (\led_flash_cnt[3108][5]~q\ & (\led_flash_cnt[3108][4]~70399\ $ (GND))) # (!\led_flash_cnt[3108][5]~q\ & (!\led_flash_cnt[3108][4]~70399\ & VCC))
-- \led_flash_cnt[3108][5]~70401\ = CARRY((\led_flash_cnt[3108][5]~q\ & !\led_flash_cnt[3108][4]~70399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3108][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3108][4]~70399\,
	combout => \led_flash_cnt[3108][5]~70400_combout\,
	cout => \led_flash_cnt[3108][5]~70401\);

-- Location: FF_X9_Y19_N27
\led_flash_cnt[3108][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3108][5]~70400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3108][5]~q\);

-- Location: LCCOMB_X9_Y19_N28
\led_flash_cnt[3108][6]~70402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3108][6]~70402_combout\ = (\led_flash_cnt[3108][6]~q\ & (!\led_flash_cnt[3108][5]~70401\)) # (!\led_flash_cnt[3108][6]~q\ & ((\led_flash_cnt[3108][5]~70401\) # (GND)))
-- \led_flash_cnt[3108][6]~70403\ = CARRY((!\led_flash_cnt[3108][5]~70401\) # (!\led_flash_cnt[3108][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3108][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3108][5]~70401\,
	combout => \led_flash_cnt[3108][6]~70402_combout\,
	cout => \led_flash_cnt[3108][6]~70403\);

-- Location: FF_X9_Y19_N29
\led_flash_cnt[3108][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3108][6]~70402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3108][6]~q\);

-- Location: LCCOMB_X8_Y19_N26
\WideAnd3108~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3108~1_combout\ = (\led_flash_cnt[3108][5]~q\ & \led_flash_cnt[3108][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3108][5]~q\,
	datad => \led_flash_cnt[3108][6]~q\,
	combout => \WideAnd3108~1_combout\);

-- Location: LCCOMB_X9_Y19_N0
\WideAnd3108~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3108~0_combout\ = (\led_flash_cnt[3108][1]~q\ & (\led_flash_cnt[3108][4]~q\ & (\led_flash_cnt[3108][3]~q\ & \led_flash_cnt[3108][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3108][1]~q\,
	datab => \led_flash_cnt[3108][4]~q\,
	datac => \led_flash_cnt[3108][3]~q\,
	datad => \led_flash_cnt[3108][2]~q\,
	combout => \WideAnd3108~0_combout\);

-- Location: LCCOMB_X9_Y19_N30
\led_flash_cnt[3108][7]~70404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3108][7]~70404_combout\ = \led_flash_cnt[3108][7]~q\ $ (!\led_flash_cnt[3108][6]~70403\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3108][7]~q\,
	cin => \led_flash_cnt[3108][6]~70403\,
	combout => \led_flash_cnt[3108][7]~70404_combout\);

-- Location: FF_X9_Y19_N31
\led_flash_cnt[3108][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3108][7]~70404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3108][7]~q\);

-- Location: LCCOMB_X8_Y19_N28
WideAnd3108 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3108~combout\ = (\WideAnd3108~1_combout\ & (\WideAnd3108~0_combout\ & (\led_flash_cnt[3108][7]~q\ & \led_flash_cnt[3108][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3108~1_combout\,
	datab => \WideAnd3108~0_combout\,
	datac => \led_flash_cnt[3108][7]~q\,
	datad => \led_flash_cnt[3108][0]~q\,
	combout => \WideAnd3108~combout\);

-- Location: FF_X8_Y19_N29
\led_flash_cnt_ands[3108]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3108~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3108));

-- Location: LCCOMB_X7_Y15_N28
\led_flash_cnt[3109][0]~83749\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3109][0]~83749_combout\ = !\led_flash_cnt[3109][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3109][0]~q\,
	combout => \led_flash_cnt[3109][0]~83749_combout\);

-- Location: FF_X7_Y15_N29
\led_flash_cnt[3109][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3109][0]~83749_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3109][0]~q\);

-- Location: LCCOMB_X7_Y15_N12
\led_flash_cnt[3109][1]~70406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3109][1]~70406_combout\ = (\led_flash_cnt[3109][1]~q\ & (\led_flash_cnt[3109][0]~q\ $ (VCC))) # (!\led_flash_cnt[3109][1]~q\ & (\led_flash_cnt[3109][0]~q\ & VCC))
-- \led_flash_cnt[3109][1]~70407\ = CARRY((\led_flash_cnt[3109][1]~q\ & \led_flash_cnt[3109][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3109][1]~q\,
	datab => \led_flash_cnt[3109][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3109][1]~70406_combout\,
	cout => \led_flash_cnt[3109][1]~70407\);

-- Location: FF_X7_Y15_N13
\led_flash_cnt[3109][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3109][1]~70406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3109][1]~q\);

-- Location: LCCOMB_X7_Y15_N14
\led_flash_cnt[3109][2]~70408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3109][2]~70408_combout\ = (\led_flash_cnt[3109][2]~q\ & (!\led_flash_cnt[3109][1]~70407\)) # (!\led_flash_cnt[3109][2]~q\ & ((\led_flash_cnt[3109][1]~70407\) # (GND)))
-- \led_flash_cnt[3109][2]~70409\ = CARRY((!\led_flash_cnt[3109][1]~70407\) # (!\led_flash_cnt[3109][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3109][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3109][1]~70407\,
	combout => \led_flash_cnt[3109][2]~70408_combout\,
	cout => \led_flash_cnt[3109][2]~70409\);

-- Location: FF_X7_Y15_N15
\led_flash_cnt[3109][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3109][2]~70408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3109][2]~q\);

-- Location: LCCOMB_X7_Y15_N16
\led_flash_cnt[3109][3]~70410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3109][3]~70410_combout\ = (\led_flash_cnt[3109][3]~q\ & (\led_flash_cnt[3109][2]~70409\ $ (GND))) # (!\led_flash_cnt[3109][3]~q\ & (!\led_flash_cnt[3109][2]~70409\ & VCC))
-- \led_flash_cnt[3109][3]~70411\ = CARRY((\led_flash_cnt[3109][3]~q\ & !\led_flash_cnt[3109][2]~70409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3109][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3109][2]~70409\,
	combout => \led_flash_cnt[3109][3]~70410_combout\,
	cout => \led_flash_cnt[3109][3]~70411\);

-- Location: FF_X7_Y15_N17
\led_flash_cnt[3109][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3109][3]~70410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3109][3]~q\);

-- Location: LCCOMB_X7_Y15_N18
\led_flash_cnt[3109][4]~70412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3109][4]~70412_combout\ = (\led_flash_cnt[3109][4]~q\ & (!\led_flash_cnt[3109][3]~70411\)) # (!\led_flash_cnt[3109][4]~q\ & ((\led_flash_cnt[3109][3]~70411\) # (GND)))
-- \led_flash_cnt[3109][4]~70413\ = CARRY((!\led_flash_cnt[3109][3]~70411\) # (!\led_flash_cnt[3109][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3109][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3109][3]~70411\,
	combout => \led_flash_cnt[3109][4]~70412_combout\,
	cout => \led_flash_cnt[3109][4]~70413\);

-- Location: FF_X7_Y15_N19
\led_flash_cnt[3109][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3109][4]~70412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3109][4]~q\);

-- Location: LCCOMB_X7_Y15_N20
\led_flash_cnt[3109][5]~70414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3109][5]~70414_combout\ = (\led_flash_cnt[3109][5]~q\ & (\led_flash_cnt[3109][4]~70413\ $ (GND))) # (!\led_flash_cnt[3109][5]~q\ & (!\led_flash_cnt[3109][4]~70413\ & VCC))
-- \led_flash_cnt[3109][5]~70415\ = CARRY((\led_flash_cnt[3109][5]~q\ & !\led_flash_cnt[3109][4]~70413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3109][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3109][4]~70413\,
	combout => \led_flash_cnt[3109][5]~70414_combout\,
	cout => \led_flash_cnt[3109][5]~70415\);

-- Location: FF_X7_Y15_N21
\led_flash_cnt[3109][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3109][5]~70414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3109][5]~q\);

-- Location: LCCOMB_X7_Y15_N22
\led_flash_cnt[3109][6]~70416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3109][6]~70416_combout\ = (\led_flash_cnt[3109][6]~q\ & (!\led_flash_cnt[3109][5]~70415\)) # (!\led_flash_cnt[3109][6]~q\ & ((\led_flash_cnt[3109][5]~70415\) # (GND)))
-- \led_flash_cnt[3109][6]~70417\ = CARRY((!\led_flash_cnt[3109][5]~70415\) # (!\led_flash_cnt[3109][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3109][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3109][5]~70415\,
	combout => \led_flash_cnt[3109][6]~70416_combout\,
	cout => \led_flash_cnt[3109][6]~70417\);

-- Location: FF_X7_Y15_N23
\led_flash_cnt[3109][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3109][6]~70416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3109][6]~q\);

-- Location: LCCOMB_X7_Y15_N26
\WideAnd3109~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3109~1_combout\ = (\led_flash_cnt[3109][6]~q\ & \led_flash_cnt[3109][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3109][6]~q\,
	datad => \led_flash_cnt[3109][5]~q\,
	combout => \WideAnd3109~1_combout\);

-- Location: LCCOMB_X7_Y15_N24
\led_flash_cnt[3109][7]~70418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3109][7]~70418_combout\ = \led_flash_cnt[3109][6]~70417\ $ (!\led_flash_cnt[3109][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3109][7]~q\,
	cin => \led_flash_cnt[3109][6]~70417\,
	combout => \led_flash_cnt[3109][7]~70418_combout\);

-- Location: FF_X7_Y15_N25
\led_flash_cnt[3109][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3109][7]~70418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3109][7]~q\);

-- Location: LCCOMB_X7_Y15_N4
\WideAnd3109~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3109~0_combout\ = (\led_flash_cnt[3109][4]~q\ & (\led_flash_cnt[3109][3]~q\ & (\led_flash_cnt[3109][2]~q\ & \led_flash_cnt[3109][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3109][4]~q\,
	datab => \led_flash_cnt[3109][3]~q\,
	datac => \led_flash_cnt[3109][2]~q\,
	datad => \led_flash_cnt[3109][1]~q\,
	combout => \WideAnd3109~0_combout\);

-- Location: LCCOMB_X7_Y15_N8
WideAnd3109 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3109~combout\ = (\WideAnd3109~1_combout\ & (\led_flash_cnt[3109][7]~q\ & (\WideAnd3109~0_combout\ & \led_flash_cnt[3109][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3109~1_combout\,
	datab => \led_flash_cnt[3109][7]~q\,
	datac => \WideAnd3109~0_combout\,
	datad => \led_flash_cnt[3109][0]~q\,
	combout => \WideAnd3109~combout\);

-- Location: FF_X7_Y15_N9
\led_flash_cnt_ands[3109]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3109~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3109));

-- Location: LCCOMB_X8_Y15_N14
\WideAnd4228~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4228~1_combout\ = (led_flash_cnt_ands(3108) & led_flash_cnt_ands(3109))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3108),
	datad => led_flash_cnt_ands(3109),
	combout => \WideAnd4228~1_combout\);

-- Location: LCCOMB_X13_Y14_N2
\led_flash_cnt[3111][0]~83751\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3111][0]~83751_combout\ = !\led_flash_cnt[3111][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3111][0]~q\,
	combout => \led_flash_cnt[3111][0]~83751_combout\);

-- Location: FF_X13_Y14_N3
\led_flash_cnt[3111][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3111][0]~83751_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3111][0]~q\);

-- Location: LCCOMB_X12_Y14_N18
\led_flash_cnt[3111][1]~70434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3111][1]~70434_combout\ = (\led_flash_cnt[3111][0]~q\ & (\led_flash_cnt[3111][1]~q\ $ (VCC))) # (!\led_flash_cnt[3111][0]~q\ & (\led_flash_cnt[3111][1]~q\ & VCC))
-- \led_flash_cnt[3111][1]~70435\ = CARRY((\led_flash_cnt[3111][0]~q\ & \led_flash_cnt[3111][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3111][0]~q\,
	datab => \led_flash_cnt[3111][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3111][1]~70434_combout\,
	cout => \led_flash_cnt[3111][1]~70435\);

-- Location: FF_X12_Y14_N19
\led_flash_cnt[3111][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3111][1]~70434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3111][1]~q\);

-- Location: LCCOMB_X12_Y14_N20
\led_flash_cnt[3111][2]~70436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3111][2]~70436_combout\ = (\led_flash_cnt[3111][2]~q\ & (!\led_flash_cnt[3111][1]~70435\)) # (!\led_flash_cnt[3111][2]~q\ & ((\led_flash_cnt[3111][1]~70435\) # (GND)))
-- \led_flash_cnt[3111][2]~70437\ = CARRY((!\led_flash_cnt[3111][1]~70435\) # (!\led_flash_cnt[3111][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3111][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3111][1]~70435\,
	combout => \led_flash_cnt[3111][2]~70436_combout\,
	cout => \led_flash_cnt[3111][2]~70437\);

-- Location: FF_X12_Y14_N21
\led_flash_cnt[3111][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3111][2]~70436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3111][2]~q\);

-- Location: LCCOMB_X12_Y14_N22
\led_flash_cnt[3111][3]~70438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3111][3]~70438_combout\ = (\led_flash_cnt[3111][3]~q\ & (\led_flash_cnt[3111][2]~70437\ $ (GND))) # (!\led_flash_cnt[3111][3]~q\ & (!\led_flash_cnt[3111][2]~70437\ & VCC))
-- \led_flash_cnt[3111][3]~70439\ = CARRY((\led_flash_cnt[3111][3]~q\ & !\led_flash_cnt[3111][2]~70437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3111][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3111][2]~70437\,
	combout => \led_flash_cnt[3111][3]~70438_combout\,
	cout => \led_flash_cnt[3111][3]~70439\);

-- Location: FF_X12_Y14_N23
\led_flash_cnt[3111][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3111][3]~70438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3111][3]~q\);

-- Location: LCCOMB_X12_Y14_N24
\led_flash_cnt[3111][4]~70440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3111][4]~70440_combout\ = (\led_flash_cnt[3111][4]~q\ & (!\led_flash_cnt[3111][3]~70439\)) # (!\led_flash_cnt[3111][4]~q\ & ((\led_flash_cnt[3111][3]~70439\) # (GND)))
-- \led_flash_cnt[3111][4]~70441\ = CARRY((!\led_flash_cnt[3111][3]~70439\) # (!\led_flash_cnt[3111][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3111][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3111][3]~70439\,
	combout => \led_flash_cnt[3111][4]~70440_combout\,
	cout => \led_flash_cnt[3111][4]~70441\);

-- Location: FF_X12_Y14_N25
\led_flash_cnt[3111][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3111][4]~70440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3111][4]~q\);

-- Location: LCCOMB_X12_Y14_N26
\led_flash_cnt[3111][5]~70442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3111][5]~70442_combout\ = (\led_flash_cnt[3111][5]~q\ & (\led_flash_cnt[3111][4]~70441\ $ (GND))) # (!\led_flash_cnt[3111][5]~q\ & (!\led_flash_cnt[3111][4]~70441\ & VCC))
-- \led_flash_cnt[3111][5]~70443\ = CARRY((\led_flash_cnt[3111][5]~q\ & !\led_flash_cnt[3111][4]~70441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3111][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3111][4]~70441\,
	combout => \led_flash_cnt[3111][5]~70442_combout\,
	cout => \led_flash_cnt[3111][5]~70443\);

-- Location: FF_X12_Y14_N27
\led_flash_cnt[3111][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3111][5]~70442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3111][5]~q\);

-- Location: LCCOMB_X12_Y14_N28
\led_flash_cnt[3111][6]~70444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3111][6]~70444_combout\ = (\led_flash_cnt[3111][6]~q\ & (!\led_flash_cnt[3111][5]~70443\)) # (!\led_flash_cnt[3111][6]~q\ & ((\led_flash_cnt[3111][5]~70443\) # (GND)))
-- \led_flash_cnt[3111][6]~70445\ = CARRY((!\led_flash_cnt[3111][5]~70443\) # (!\led_flash_cnt[3111][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3111][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3111][5]~70443\,
	combout => \led_flash_cnt[3111][6]~70444_combout\,
	cout => \led_flash_cnt[3111][6]~70445\);

-- Location: FF_X12_Y14_N29
\led_flash_cnt[3111][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3111][6]~70444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3111][6]~q\);

-- Location: LCCOMB_X13_Y14_N30
\WideAnd3111~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3111~1_combout\ = (\led_flash_cnt[3111][5]~q\ & \led_flash_cnt[3111][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3111][5]~q\,
	datad => \led_flash_cnt[3111][6]~q\,
	combout => \WideAnd3111~1_combout\);

-- Location: LCCOMB_X12_Y14_N30
\led_flash_cnt[3111][7]~70446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3111][7]~70446_combout\ = \led_flash_cnt[3111][7]~q\ $ (!\led_flash_cnt[3111][6]~70445\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3111][7]~q\,
	cin => \led_flash_cnt[3111][6]~70445\,
	combout => \led_flash_cnt[3111][7]~70446_combout\);

-- Location: FF_X12_Y14_N31
\led_flash_cnt[3111][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3111][7]~70446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3111][7]~q\);

-- Location: LCCOMB_X12_Y14_N0
\WideAnd3111~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3111~0_combout\ = (\led_flash_cnt[3111][4]~q\ & (\led_flash_cnt[3111][2]~q\ & (\led_flash_cnt[3111][3]~q\ & \led_flash_cnt[3111][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3111][4]~q\,
	datab => \led_flash_cnt[3111][2]~q\,
	datac => \led_flash_cnt[3111][3]~q\,
	datad => \led_flash_cnt[3111][1]~q\,
	combout => \WideAnd3111~0_combout\);

-- Location: LCCOMB_X13_Y14_N0
WideAnd3111 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3111~combout\ = (\WideAnd3111~1_combout\ & (\led_flash_cnt[3111][7]~q\ & (\WideAnd3111~0_combout\ & \led_flash_cnt[3111][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3111~1_combout\,
	datab => \led_flash_cnt[3111][7]~q\,
	datac => \WideAnd3111~0_combout\,
	datad => \led_flash_cnt[3111][0]~q\,
	combout => \WideAnd3111~combout\);

-- Location: FF_X13_Y14_N1
\led_flash_cnt_ands[3111]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3111~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3111));

-- Location: LCCOMB_X8_Y17_N8
WideAnd4228 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4228~combout\ = (\WideAnd4228~0_combout\ & (led_flash_cnt_ands(3110) & (\WideAnd4228~1_combout\ & led_flash_cnt_ands(3111))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4228~0_combout\,
	datab => led_flash_cnt_ands(3110),
	datac => \WideAnd4228~1_combout\,
	datad => led_flash_cnt_ands(3111),
	combout => \WideAnd4228~combout\);

-- Location: FF_X8_Y17_N9
\led_flash_cnt_ands_1[388]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4228~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(388));

-- Location: LCCOMB_X16_Y17_N26
\WideAnd4368~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4368~1_combout\ = (led_flash_cnt_ands_1(389) & led_flash_cnt_ands_1(388))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(389),
	datac => led_flash_cnt_ands_1(388),
	combout => \WideAnd4368~1_combout\);

-- Location: LCCOMB_X16_Y27_N14
\led_flash_cnt[3132][0]~83772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3132][0]~83772_combout\ = !\led_flash_cnt[3132][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3132][0]~q\,
	combout => \led_flash_cnt[3132][0]~83772_combout\);

-- Location: FF_X16_Y27_N15
\led_flash_cnt[3132][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3132][0]~83772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3132][0]~q\);

-- Location: LCCOMB_X18_Y27_N16
\led_flash_cnt[3132][1]~70728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3132][1]~70728_combout\ = (\led_flash_cnt[3132][0]~q\ & (\led_flash_cnt[3132][1]~q\ $ (VCC))) # (!\led_flash_cnt[3132][0]~q\ & (\led_flash_cnt[3132][1]~q\ & VCC))
-- \led_flash_cnt[3132][1]~70729\ = CARRY((\led_flash_cnt[3132][0]~q\ & \led_flash_cnt[3132][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3132][0]~q\,
	datab => \led_flash_cnt[3132][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3132][1]~70728_combout\,
	cout => \led_flash_cnt[3132][1]~70729\);

-- Location: FF_X18_Y27_N17
\led_flash_cnt[3132][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3132][1]~70728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3132][1]~q\);

-- Location: LCCOMB_X18_Y27_N18
\led_flash_cnt[3132][2]~70730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3132][2]~70730_combout\ = (\led_flash_cnt[3132][2]~q\ & (!\led_flash_cnt[3132][1]~70729\)) # (!\led_flash_cnt[3132][2]~q\ & ((\led_flash_cnt[3132][1]~70729\) # (GND)))
-- \led_flash_cnt[3132][2]~70731\ = CARRY((!\led_flash_cnt[3132][1]~70729\) # (!\led_flash_cnt[3132][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3132][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3132][1]~70729\,
	combout => \led_flash_cnt[3132][2]~70730_combout\,
	cout => \led_flash_cnt[3132][2]~70731\);

-- Location: FF_X18_Y27_N19
\led_flash_cnt[3132][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3132][2]~70730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3132][2]~q\);

-- Location: LCCOMB_X18_Y27_N20
\led_flash_cnt[3132][3]~70732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3132][3]~70732_combout\ = (\led_flash_cnt[3132][3]~q\ & (\led_flash_cnt[3132][2]~70731\ $ (GND))) # (!\led_flash_cnt[3132][3]~q\ & (!\led_flash_cnt[3132][2]~70731\ & VCC))
-- \led_flash_cnt[3132][3]~70733\ = CARRY((\led_flash_cnt[3132][3]~q\ & !\led_flash_cnt[3132][2]~70731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3132][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3132][2]~70731\,
	combout => \led_flash_cnt[3132][3]~70732_combout\,
	cout => \led_flash_cnt[3132][3]~70733\);

-- Location: FF_X18_Y27_N21
\led_flash_cnt[3132][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3132][3]~70732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3132][3]~q\);

-- Location: LCCOMB_X18_Y27_N22
\led_flash_cnt[3132][4]~70734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3132][4]~70734_combout\ = (\led_flash_cnt[3132][4]~q\ & (!\led_flash_cnt[3132][3]~70733\)) # (!\led_flash_cnt[3132][4]~q\ & ((\led_flash_cnt[3132][3]~70733\) # (GND)))
-- \led_flash_cnt[3132][4]~70735\ = CARRY((!\led_flash_cnt[3132][3]~70733\) # (!\led_flash_cnt[3132][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3132][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3132][3]~70733\,
	combout => \led_flash_cnt[3132][4]~70734_combout\,
	cout => \led_flash_cnt[3132][4]~70735\);

-- Location: FF_X18_Y27_N23
\led_flash_cnt[3132][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3132][4]~70734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3132][4]~q\);

-- Location: LCCOMB_X18_Y27_N24
\led_flash_cnt[3132][5]~70736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3132][5]~70736_combout\ = (\led_flash_cnt[3132][5]~q\ & (\led_flash_cnt[3132][4]~70735\ $ (GND))) # (!\led_flash_cnt[3132][5]~q\ & (!\led_flash_cnt[3132][4]~70735\ & VCC))
-- \led_flash_cnt[3132][5]~70737\ = CARRY((\led_flash_cnt[3132][5]~q\ & !\led_flash_cnt[3132][4]~70735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3132][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3132][4]~70735\,
	combout => \led_flash_cnt[3132][5]~70736_combout\,
	cout => \led_flash_cnt[3132][5]~70737\);

-- Location: FF_X18_Y27_N25
\led_flash_cnt[3132][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3132][5]~70736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3132][5]~q\);

-- Location: LCCOMB_X18_Y27_N26
\led_flash_cnt[3132][6]~70738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3132][6]~70738_combout\ = (\led_flash_cnt[3132][6]~q\ & (!\led_flash_cnt[3132][5]~70737\)) # (!\led_flash_cnt[3132][6]~q\ & ((\led_flash_cnt[3132][5]~70737\) # (GND)))
-- \led_flash_cnt[3132][6]~70739\ = CARRY((!\led_flash_cnt[3132][5]~70737\) # (!\led_flash_cnt[3132][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3132][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3132][5]~70737\,
	combout => \led_flash_cnt[3132][6]~70738_combout\,
	cout => \led_flash_cnt[3132][6]~70739\);

-- Location: FF_X18_Y27_N27
\led_flash_cnt[3132][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3132][6]~70738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3132][6]~q\);

-- Location: LCCOMB_X17_Y27_N0
\WideAnd3132~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3132~1_combout\ = (\led_flash_cnt[3132][6]~q\ & \led_flash_cnt[3132][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3132][6]~q\,
	datad => \led_flash_cnt[3132][5]~q\,
	combout => \WideAnd3132~1_combout\);

-- Location: LCCOMB_X17_Y27_N30
\WideAnd3132~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3132~0_combout\ = (\led_flash_cnt[3132][1]~q\ & (\led_flash_cnt[3132][4]~q\ & (\led_flash_cnt[3132][3]~q\ & \led_flash_cnt[3132][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3132][1]~q\,
	datab => \led_flash_cnt[3132][4]~q\,
	datac => \led_flash_cnt[3132][3]~q\,
	datad => \led_flash_cnt[3132][2]~q\,
	combout => \WideAnd3132~0_combout\);

-- Location: LCCOMB_X18_Y27_N28
\led_flash_cnt[3132][7]~70740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3132][7]~70740_combout\ = \led_flash_cnt[3132][6]~70739\ $ (!\led_flash_cnt[3132][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3132][7]~q\,
	cin => \led_flash_cnt[3132][6]~70739\,
	combout => \led_flash_cnt[3132][7]~70740_combout\);

-- Location: FF_X18_Y27_N29
\led_flash_cnt[3132][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3132][7]~70740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3132][7]~q\);

-- Location: LCCOMB_X17_Y27_N16
WideAnd3132 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3132~combout\ = (\led_flash_cnt[3132][0]~q\ & (\WideAnd3132~1_combout\ & (\WideAnd3132~0_combout\ & \led_flash_cnt[3132][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3132][0]~q\,
	datab => \WideAnd3132~1_combout\,
	datac => \WideAnd3132~0_combout\,
	datad => \led_flash_cnt[3132][7]~q\,
	combout => \WideAnd3132~combout\);

-- Location: FF_X18_Y27_N31
\led_flash_cnt_ands[3132]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd3132~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3132));

-- Location: LCCOMB_X18_Y23_N16
\led_flash_cnt[3133][0]~83773\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3133][0]~83773_combout\ = !\led_flash_cnt[3133][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3133][0]~q\,
	combout => \led_flash_cnt[3133][0]~83773_combout\);

-- Location: FF_X18_Y23_N17
\led_flash_cnt[3133][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3133][0]~83773_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3133][0]~q\);

-- Location: LCCOMB_X18_Y23_N0
\led_flash_cnt[3133][1]~70742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3133][1]~70742_combout\ = (\led_flash_cnt[3133][0]~q\ & (\led_flash_cnt[3133][1]~q\ $ (VCC))) # (!\led_flash_cnt[3133][0]~q\ & (\led_flash_cnt[3133][1]~q\ & VCC))
-- \led_flash_cnt[3133][1]~70743\ = CARRY((\led_flash_cnt[3133][0]~q\ & \led_flash_cnt[3133][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3133][0]~q\,
	datab => \led_flash_cnt[3133][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3133][1]~70742_combout\,
	cout => \led_flash_cnt[3133][1]~70743\);

-- Location: FF_X18_Y23_N1
\led_flash_cnt[3133][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3133][1]~70742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3133][1]~q\);

-- Location: LCCOMB_X18_Y23_N2
\led_flash_cnt[3133][2]~70744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3133][2]~70744_combout\ = (\led_flash_cnt[3133][2]~q\ & (!\led_flash_cnt[3133][1]~70743\)) # (!\led_flash_cnt[3133][2]~q\ & ((\led_flash_cnt[3133][1]~70743\) # (GND)))
-- \led_flash_cnt[3133][2]~70745\ = CARRY((!\led_flash_cnt[3133][1]~70743\) # (!\led_flash_cnt[3133][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3133][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3133][1]~70743\,
	combout => \led_flash_cnt[3133][2]~70744_combout\,
	cout => \led_flash_cnt[3133][2]~70745\);

-- Location: FF_X18_Y23_N3
\led_flash_cnt[3133][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3133][2]~70744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3133][2]~q\);

-- Location: LCCOMB_X18_Y23_N4
\led_flash_cnt[3133][3]~70746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3133][3]~70746_combout\ = (\led_flash_cnt[3133][3]~q\ & (\led_flash_cnt[3133][2]~70745\ $ (GND))) # (!\led_flash_cnt[3133][3]~q\ & (!\led_flash_cnt[3133][2]~70745\ & VCC))
-- \led_flash_cnt[3133][3]~70747\ = CARRY((\led_flash_cnt[3133][3]~q\ & !\led_flash_cnt[3133][2]~70745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3133][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3133][2]~70745\,
	combout => \led_flash_cnt[3133][3]~70746_combout\,
	cout => \led_flash_cnt[3133][3]~70747\);

-- Location: FF_X18_Y23_N5
\led_flash_cnt[3133][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3133][3]~70746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3133][3]~q\);

-- Location: LCCOMB_X18_Y23_N6
\led_flash_cnt[3133][4]~70748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3133][4]~70748_combout\ = (\led_flash_cnt[3133][4]~q\ & (!\led_flash_cnt[3133][3]~70747\)) # (!\led_flash_cnt[3133][4]~q\ & ((\led_flash_cnt[3133][3]~70747\) # (GND)))
-- \led_flash_cnt[3133][4]~70749\ = CARRY((!\led_flash_cnt[3133][3]~70747\) # (!\led_flash_cnt[3133][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3133][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3133][3]~70747\,
	combout => \led_flash_cnt[3133][4]~70748_combout\,
	cout => \led_flash_cnt[3133][4]~70749\);

-- Location: FF_X18_Y23_N7
\led_flash_cnt[3133][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3133][4]~70748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3133][4]~q\);

-- Location: LCCOMB_X18_Y23_N8
\led_flash_cnt[3133][5]~70750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3133][5]~70750_combout\ = (\led_flash_cnt[3133][5]~q\ & (\led_flash_cnt[3133][4]~70749\ $ (GND))) # (!\led_flash_cnt[3133][5]~q\ & (!\led_flash_cnt[3133][4]~70749\ & VCC))
-- \led_flash_cnt[3133][5]~70751\ = CARRY((\led_flash_cnt[3133][5]~q\ & !\led_flash_cnt[3133][4]~70749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3133][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3133][4]~70749\,
	combout => \led_flash_cnt[3133][5]~70750_combout\,
	cout => \led_flash_cnt[3133][5]~70751\);

-- Location: FF_X18_Y23_N9
\led_flash_cnt[3133][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3133][5]~70750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3133][5]~q\);

-- Location: LCCOMB_X18_Y23_N10
\led_flash_cnt[3133][6]~70752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3133][6]~70752_combout\ = (\led_flash_cnt[3133][6]~q\ & (!\led_flash_cnt[3133][5]~70751\)) # (!\led_flash_cnt[3133][6]~q\ & ((\led_flash_cnt[3133][5]~70751\) # (GND)))
-- \led_flash_cnt[3133][6]~70753\ = CARRY((!\led_flash_cnt[3133][5]~70751\) # (!\led_flash_cnt[3133][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3133][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3133][5]~70751\,
	combout => \led_flash_cnt[3133][6]~70752_combout\,
	cout => \led_flash_cnt[3133][6]~70753\);

-- Location: FF_X18_Y23_N11
\led_flash_cnt[3133][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3133][6]~70752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3133][6]~q\);

-- Location: LCCOMB_X18_Y23_N12
\led_flash_cnt[3133][7]~70754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3133][7]~70754_combout\ = \led_flash_cnt[3133][6]~70753\ $ (!\led_flash_cnt[3133][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3133][7]~q\,
	cin => \led_flash_cnt[3133][6]~70753\,
	combout => \led_flash_cnt[3133][7]~70754_combout\);

-- Location: FF_X18_Y23_N13
\led_flash_cnt[3133][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3133][7]~70754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3133][7]~q\);

-- Location: LCCOMB_X19_Y23_N30
\WideAnd3133~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3133~1_combout\ = (\led_flash_cnt[3133][6]~q\ & \led_flash_cnt[3133][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3133][6]~q\,
	datad => \led_flash_cnt[3133][5]~q\,
	combout => \WideAnd3133~1_combout\);

-- Location: LCCOMB_X19_Y23_N0
\WideAnd3133~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3133~0_combout\ = (\led_flash_cnt[3133][1]~q\ & (\led_flash_cnt[3133][4]~q\ & (\led_flash_cnt[3133][3]~q\ & \led_flash_cnt[3133][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3133][1]~q\,
	datab => \led_flash_cnt[3133][4]~q\,
	datac => \led_flash_cnt[3133][3]~q\,
	datad => \led_flash_cnt[3133][2]~q\,
	combout => \WideAnd3133~0_combout\);

-- Location: LCCOMB_X19_Y23_N6
WideAnd3133 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3133~combout\ = (\led_flash_cnt[3133][7]~q\ & (\led_flash_cnt[3133][0]~q\ & (\WideAnd3133~1_combout\ & \WideAnd3133~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3133][7]~q\,
	datab => \led_flash_cnt[3133][0]~q\,
	datac => \WideAnd3133~1_combout\,
	datad => \WideAnd3133~0_combout\,
	combout => \WideAnd3133~combout\);

-- Location: FF_X19_Y23_N7
\led_flash_cnt_ands[3133]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3133~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3133));

-- Location: LCCOMB_X19_Y23_N2
\WideAnd4231~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4231~1_combout\ = (led_flash_cnt_ands(3132) & led_flash_cnt_ands(3133))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3132),
	datad => led_flash_cnt_ands(3133),
	combout => \WideAnd4231~1_combout\);

-- Location: LCCOMB_X20_Y19_N6
\led_flash_cnt[3135][0]~83775\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3135][0]~83775_combout\ = !\led_flash_cnt[3135][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3135][0]~q\,
	combout => \led_flash_cnt[3135][0]~83775_combout\);

-- Location: FF_X20_Y19_N7
\led_flash_cnt[3135][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3135][0]~83775_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3135][0]~q\);

-- Location: LCCOMB_X19_Y15_N16
\led_flash_cnt[3135][1]~70770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3135][1]~70770_combout\ = (\led_flash_cnt[3135][0]~q\ & (\led_flash_cnt[3135][1]~q\ $ (VCC))) # (!\led_flash_cnt[3135][0]~q\ & (\led_flash_cnt[3135][1]~q\ & VCC))
-- \led_flash_cnt[3135][1]~70771\ = CARRY((\led_flash_cnt[3135][0]~q\ & \led_flash_cnt[3135][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3135][0]~q\,
	datab => \led_flash_cnt[3135][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3135][1]~70770_combout\,
	cout => \led_flash_cnt[3135][1]~70771\);

-- Location: FF_X19_Y15_N17
\led_flash_cnt[3135][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3135][1]~70770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3135][1]~q\);

-- Location: LCCOMB_X19_Y15_N18
\led_flash_cnt[3135][2]~70772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3135][2]~70772_combout\ = (\led_flash_cnt[3135][2]~q\ & (!\led_flash_cnt[3135][1]~70771\)) # (!\led_flash_cnt[3135][2]~q\ & ((\led_flash_cnt[3135][1]~70771\) # (GND)))
-- \led_flash_cnt[3135][2]~70773\ = CARRY((!\led_flash_cnt[3135][1]~70771\) # (!\led_flash_cnt[3135][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3135][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3135][1]~70771\,
	combout => \led_flash_cnt[3135][2]~70772_combout\,
	cout => \led_flash_cnt[3135][2]~70773\);

-- Location: FF_X19_Y15_N19
\led_flash_cnt[3135][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3135][2]~70772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3135][2]~q\);

-- Location: LCCOMB_X19_Y15_N20
\led_flash_cnt[3135][3]~70774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3135][3]~70774_combout\ = (\led_flash_cnt[3135][3]~q\ & (\led_flash_cnt[3135][2]~70773\ $ (GND))) # (!\led_flash_cnt[3135][3]~q\ & (!\led_flash_cnt[3135][2]~70773\ & VCC))
-- \led_flash_cnt[3135][3]~70775\ = CARRY((\led_flash_cnt[3135][3]~q\ & !\led_flash_cnt[3135][2]~70773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3135][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3135][2]~70773\,
	combout => \led_flash_cnt[3135][3]~70774_combout\,
	cout => \led_flash_cnt[3135][3]~70775\);

-- Location: FF_X19_Y15_N21
\led_flash_cnt[3135][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3135][3]~70774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3135][3]~q\);

-- Location: LCCOMB_X19_Y15_N22
\led_flash_cnt[3135][4]~70776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3135][4]~70776_combout\ = (\led_flash_cnt[3135][4]~q\ & (!\led_flash_cnt[3135][3]~70775\)) # (!\led_flash_cnt[3135][4]~q\ & ((\led_flash_cnt[3135][3]~70775\) # (GND)))
-- \led_flash_cnt[3135][4]~70777\ = CARRY((!\led_flash_cnt[3135][3]~70775\) # (!\led_flash_cnt[3135][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3135][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3135][3]~70775\,
	combout => \led_flash_cnt[3135][4]~70776_combout\,
	cout => \led_flash_cnt[3135][4]~70777\);

-- Location: FF_X19_Y15_N23
\led_flash_cnt[3135][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3135][4]~70776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3135][4]~q\);

-- Location: LCCOMB_X19_Y15_N24
\led_flash_cnt[3135][5]~70778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3135][5]~70778_combout\ = (\led_flash_cnt[3135][5]~q\ & (\led_flash_cnt[3135][4]~70777\ $ (GND))) # (!\led_flash_cnt[3135][5]~q\ & (!\led_flash_cnt[3135][4]~70777\ & VCC))
-- \led_flash_cnt[3135][5]~70779\ = CARRY((\led_flash_cnt[3135][5]~q\ & !\led_flash_cnt[3135][4]~70777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3135][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3135][4]~70777\,
	combout => \led_flash_cnt[3135][5]~70778_combout\,
	cout => \led_flash_cnt[3135][5]~70779\);

-- Location: FF_X19_Y15_N25
\led_flash_cnt[3135][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3135][5]~70778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3135][5]~q\);

-- Location: LCCOMB_X19_Y15_N26
\led_flash_cnt[3135][6]~70780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3135][6]~70780_combout\ = (\led_flash_cnt[3135][6]~q\ & (!\led_flash_cnt[3135][5]~70779\)) # (!\led_flash_cnt[3135][6]~q\ & ((\led_flash_cnt[3135][5]~70779\) # (GND)))
-- \led_flash_cnt[3135][6]~70781\ = CARRY((!\led_flash_cnt[3135][5]~70779\) # (!\led_flash_cnt[3135][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3135][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3135][5]~70779\,
	combout => \led_flash_cnt[3135][6]~70780_combout\,
	cout => \led_flash_cnt[3135][6]~70781\);

-- Location: FF_X19_Y15_N27
\led_flash_cnt[3135][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3135][6]~70780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3135][6]~q\);

-- Location: LCCOMB_X19_Y15_N28
\led_flash_cnt[3135][7]~70782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3135][7]~70782_combout\ = \led_flash_cnt[3135][6]~70781\ $ (!\led_flash_cnt[3135][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3135][7]~q\,
	cin => \led_flash_cnt[3135][6]~70781\,
	combout => \led_flash_cnt[3135][7]~70782_combout\);

-- Location: FF_X19_Y15_N29
\led_flash_cnt[3135][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3135][7]~70782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3135][7]~q\);

-- Location: LCCOMB_X19_Y15_N0
\WideAnd3135~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3135~0_combout\ = (\led_flash_cnt[3135][3]~q\ & (\led_flash_cnt[3135][2]~q\ & (\led_flash_cnt[3135][4]~q\ & \led_flash_cnt[3135][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3135][3]~q\,
	datab => \led_flash_cnt[3135][2]~q\,
	datac => \led_flash_cnt[3135][4]~q\,
	datad => \led_flash_cnt[3135][1]~q\,
	combout => \WideAnd3135~0_combout\);

-- Location: LCCOMB_X19_Y19_N14
\WideAnd3135~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3135~1_combout\ = (\led_flash_cnt[3135][5]~q\ & \led_flash_cnt[3135][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3135][5]~q\,
	datad => \led_flash_cnt[3135][6]~q\,
	combout => \WideAnd3135~1_combout\);

-- Location: LCCOMB_X20_Y19_N2
WideAnd3135 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3135~combout\ = (\led_flash_cnt[3135][0]~q\ & (\led_flash_cnt[3135][7]~q\ & (\WideAnd3135~0_combout\ & \WideAnd3135~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3135][0]~q\,
	datab => \led_flash_cnt[3135][7]~q\,
	datac => \WideAnd3135~0_combout\,
	datad => \WideAnd3135~1_combout\,
	combout => \WideAnd3135~combout\);

-- Location: FF_X20_Y19_N3
\led_flash_cnt_ands[3135]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3135~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3135));

-- Location: LCCOMB_X24_Y19_N0
\led_flash_cnt[3128][0]~83768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3128][0]~83768_combout\ = !\led_flash_cnt[3128][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3128][0]~q\,
	combout => \led_flash_cnt[3128][0]~83768_combout\);

-- Location: FF_X24_Y19_N1
\led_flash_cnt[3128][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3128][0]~83768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3128][0]~q\);

-- Location: LCCOMB_X25_Y19_N16
\led_flash_cnt[3128][1]~70672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3128][1]~70672_combout\ = (\led_flash_cnt[3128][0]~q\ & (\led_flash_cnt[3128][1]~q\ $ (VCC))) # (!\led_flash_cnt[3128][0]~q\ & (\led_flash_cnt[3128][1]~q\ & VCC))
-- \led_flash_cnt[3128][1]~70673\ = CARRY((\led_flash_cnt[3128][0]~q\ & \led_flash_cnt[3128][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3128][0]~q\,
	datab => \led_flash_cnt[3128][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3128][1]~70672_combout\,
	cout => \led_flash_cnt[3128][1]~70673\);

-- Location: FF_X25_Y19_N17
\led_flash_cnt[3128][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3128][1]~70672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3128][1]~q\);

-- Location: LCCOMB_X25_Y19_N18
\led_flash_cnt[3128][2]~70674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3128][2]~70674_combout\ = (\led_flash_cnt[3128][2]~q\ & (!\led_flash_cnt[3128][1]~70673\)) # (!\led_flash_cnt[3128][2]~q\ & ((\led_flash_cnt[3128][1]~70673\) # (GND)))
-- \led_flash_cnt[3128][2]~70675\ = CARRY((!\led_flash_cnt[3128][1]~70673\) # (!\led_flash_cnt[3128][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3128][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3128][1]~70673\,
	combout => \led_flash_cnt[3128][2]~70674_combout\,
	cout => \led_flash_cnt[3128][2]~70675\);

-- Location: FF_X25_Y19_N19
\led_flash_cnt[3128][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3128][2]~70674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3128][2]~q\);

-- Location: LCCOMB_X25_Y19_N20
\led_flash_cnt[3128][3]~70676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3128][3]~70676_combout\ = (\led_flash_cnt[3128][3]~q\ & (\led_flash_cnt[3128][2]~70675\ $ (GND))) # (!\led_flash_cnt[3128][3]~q\ & (!\led_flash_cnt[3128][2]~70675\ & VCC))
-- \led_flash_cnt[3128][3]~70677\ = CARRY((\led_flash_cnt[3128][3]~q\ & !\led_flash_cnt[3128][2]~70675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3128][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3128][2]~70675\,
	combout => \led_flash_cnt[3128][3]~70676_combout\,
	cout => \led_flash_cnt[3128][3]~70677\);

-- Location: FF_X25_Y19_N21
\led_flash_cnt[3128][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3128][3]~70676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3128][3]~q\);

-- Location: LCCOMB_X25_Y19_N22
\led_flash_cnt[3128][4]~70678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3128][4]~70678_combout\ = (\led_flash_cnt[3128][4]~q\ & (!\led_flash_cnt[3128][3]~70677\)) # (!\led_flash_cnt[3128][4]~q\ & ((\led_flash_cnt[3128][3]~70677\) # (GND)))
-- \led_flash_cnt[3128][4]~70679\ = CARRY((!\led_flash_cnt[3128][3]~70677\) # (!\led_flash_cnt[3128][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3128][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3128][3]~70677\,
	combout => \led_flash_cnt[3128][4]~70678_combout\,
	cout => \led_flash_cnt[3128][4]~70679\);

-- Location: FF_X25_Y19_N23
\led_flash_cnt[3128][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3128][4]~70678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3128][4]~q\);

-- Location: LCCOMB_X24_Y19_N26
\WideAnd3128~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3128~0_combout\ = (\led_flash_cnt[3128][1]~q\ & (\led_flash_cnt[3128][4]~q\ & (\led_flash_cnt[3128][3]~q\ & \led_flash_cnt[3128][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3128][1]~q\,
	datab => \led_flash_cnt[3128][4]~q\,
	datac => \led_flash_cnt[3128][3]~q\,
	datad => \led_flash_cnt[3128][2]~q\,
	combout => \WideAnd3128~0_combout\);

-- Location: LCCOMB_X25_Y19_N24
\led_flash_cnt[3128][5]~70680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3128][5]~70680_combout\ = (\led_flash_cnt[3128][5]~q\ & (\led_flash_cnt[3128][4]~70679\ $ (GND))) # (!\led_flash_cnt[3128][5]~q\ & (!\led_flash_cnt[3128][4]~70679\ & VCC))
-- \led_flash_cnt[3128][5]~70681\ = CARRY((\led_flash_cnt[3128][5]~q\ & !\led_flash_cnt[3128][4]~70679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3128][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3128][4]~70679\,
	combout => \led_flash_cnt[3128][5]~70680_combout\,
	cout => \led_flash_cnt[3128][5]~70681\);

-- Location: FF_X25_Y19_N25
\led_flash_cnt[3128][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3128][5]~70680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3128][5]~q\);

-- Location: LCCOMB_X25_Y19_N26
\led_flash_cnt[3128][6]~70682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3128][6]~70682_combout\ = (\led_flash_cnt[3128][6]~q\ & (!\led_flash_cnt[3128][5]~70681\)) # (!\led_flash_cnt[3128][6]~q\ & ((\led_flash_cnt[3128][5]~70681\) # (GND)))
-- \led_flash_cnt[3128][6]~70683\ = CARRY((!\led_flash_cnt[3128][5]~70681\) # (!\led_flash_cnt[3128][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3128][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3128][5]~70681\,
	combout => \led_flash_cnt[3128][6]~70682_combout\,
	cout => \led_flash_cnt[3128][6]~70683\);

-- Location: FF_X25_Y19_N27
\led_flash_cnt[3128][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3128][6]~70682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3128][6]~q\);

-- Location: LCCOMB_X24_Y19_N22
\WideAnd3128~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3128~1_combout\ = (\led_flash_cnt[3128][5]~q\ & \led_flash_cnt[3128][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3128][5]~q\,
	datad => \led_flash_cnt[3128][6]~q\,
	combout => \WideAnd3128~1_combout\);

-- Location: LCCOMB_X25_Y19_N28
\led_flash_cnt[3128][7]~70684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3128][7]~70684_combout\ = \led_flash_cnt[3128][6]~70683\ $ (!\led_flash_cnt[3128][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3128][7]~q\,
	cin => \led_flash_cnt[3128][6]~70683\,
	combout => \led_flash_cnt[3128][7]~70684_combout\);

-- Location: FF_X25_Y19_N29
\led_flash_cnt[3128][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3128][7]~70684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3128][7]~q\);

-- Location: LCCOMB_X24_Y19_N24
WideAnd3128 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3128~combout\ = (\WideAnd3128~0_combout\ & (\led_flash_cnt[3128][0]~q\ & (\WideAnd3128~1_combout\ & \led_flash_cnt[3128][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3128~0_combout\,
	datab => \led_flash_cnt[3128][0]~q\,
	datac => \WideAnd3128~1_combout\,
	datad => \led_flash_cnt[3128][7]~q\,
	combout => \WideAnd3128~combout\);

-- Location: FF_X24_Y19_N25
\led_flash_cnt_ands[3128]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3128~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3128));

-- Location: LCCOMB_X20_Y15_N24
\led_flash_cnt[3131][0]~83771\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3131][0]~83771_combout\ = !\led_flash_cnt[3131][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3131][0]~q\,
	combout => \led_flash_cnt[3131][0]~83771_combout\);

-- Location: FF_X20_Y15_N25
\led_flash_cnt[3131][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3131][0]~83771_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3131][0]~q\);

-- Location: LCCOMB_X21_Y15_N0
\led_flash_cnt[3131][1]~70714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3131][1]~70714_combout\ = (\led_flash_cnt[3131][0]~q\ & (\led_flash_cnt[3131][1]~q\ $ (VCC))) # (!\led_flash_cnt[3131][0]~q\ & (\led_flash_cnt[3131][1]~q\ & VCC))
-- \led_flash_cnt[3131][1]~70715\ = CARRY((\led_flash_cnt[3131][0]~q\ & \led_flash_cnt[3131][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3131][0]~q\,
	datab => \led_flash_cnt[3131][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3131][1]~70714_combout\,
	cout => \led_flash_cnt[3131][1]~70715\);

-- Location: FF_X21_Y15_N1
\led_flash_cnt[3131][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3131][1]~70714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3131][1]~q\);

-- Location: LCCOMB_X21_Y15_N2
\led_flash_cnt[3131][2]~70716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3131][2]~70716_combout\ = (\led_flash_cnt[3131][2]~q\ & (!\led_flash_cnt[3131][1]~70715\)) # (!\led_flash_cnt[3131][2]~q\ & ((\led_flash_cnt[3131][1]~70715\) # (GND)))
-- \led_flash_cnt[3131][2]~70717\ = CARRY((!\led_flash_cnt[3131][1]~70715\) # (!\led_flash_cnt[3131][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3131][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3131][1]~70715\,
	combout => \led_flash_cnt[3131][2]~70716_combout\,
	cout => \led_flash_cnt[3131][2]~70717\);

-- Location: FF_X21_Y15_N3
\led_flash_cnt[3131][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3131][2]~70716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3131][2]~q\);

-- Location: LCCOMB_X21_Y15_N4
\led_flash_cnt[3131][3]~70718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3131][3]~70718_combout\ = (\led_flash_cnt[3131][3]~q\ & (\led_flash_cnt[3131][2]~70717\ $ (GND))) # (!\led_flash_cnt[3131][3]~q\ & (!\led_flash_cnt[3131][2]~70717\ & VCC))
-- \led_flash_cnt[3131][3]~70719\ = CARRY((\led_flash_cnt[3131][3]~q\ & !\led_flash_cnt[3131][2]~70717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3131][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3131][2]~70717\,
	combout => \led_flash_cnt[3131][3]~70718_combout\,
	cout => \led_flash_cnt[3131][3]~70719\);

-- Location: FF_X21_Y15_N5
\led_flash_cnt[3131][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3131][3]~70718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3131][3]~q\);

-- Location: LCCOMB_X21_Y15_N6
\led_flash_cnt[3131][4]~70720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3131][4]~70720_combout\ = (\led_flash_cnt[3131][4]~q\ & (!\led_flash_cnt[3131][3]~70719\)) # (!\led_flash_cnt[3131][4]~q\ & ((\led_flash_cnt[3131][3]~70719\) # (GND)))
-- \led_flash_cnt[3131][4]~70721\ = CARRY((!\led_flash_cnt[3131][3]~70719\) # (!\led_flash_cnt[3131][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3131][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3131][3]~70719\,
	combout => \led_flash_cnt[3131][4]~70720_combout\,
	cout => \led_flash_cnt[3131][4]~70721\);

-- Location: FF_X21_Y15_N7
\led_flash_cnt[3131][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3131][4]~70720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3131][4]~q\);

-- Location: LCCOMB_X21_Y15_N30
\WideAnd3131~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3131~0_combout\ = (\led_flash_cnt[3131][4]~q\ & (\led_flash_cnt[3131][1]~q\ & (\led_flash_cnt[3131][3]~q\ & \led_flash_cnt[3131][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3131][4]~q\,
	datab => \led_flash_cnt[3131][1]~q\,
	datac => \led_flash_cnt[3131][3]~q\,
	datad => \led_flash_cnt[3131][2]~q\,
	combout => \WideAnd3131~0_combout\);

-- Location: LCCOMB_X21_Y15_N8
\led_flash_cnt[3131][5]~70722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3131][5]~70722_combout\ = (\led_flash_cnt[3131][5]~q\ & (\led_flash_cnt[3131][4]~70721\ $ (GND))) # (!\led_flash_cnt[3131][5]~q\ & (!\led_flash_cnt[3131][4]~70721\ & VCC))
-- \led_flash_cnt[3131][5]~70723\ = CARRY((\led_flash_cnt[3131][5]~q\ & !\led_flash_cnt[3131][4]~70721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3131][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3131][4]~70721\,
	combout => \led_flash_cnt[3131][5]~70722_combout\,
	cout => \led_flash_cnt[3131][5]~70723\);

-- Location: FF_X21_Y15_N9
\led_flash_cnt[3131][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3131][5]~70722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3131][5]~q\);

-- Location: LCCOMB_X21_Y15_N10
\led_flash_cnt[3131][6]~70724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3131][6]~70724_combout\ = (\led_flash_cnt[3131][6]~q\ & (!\led_flash_cnt[3131][5]~70723\)) # (!\led_flash_cnt[3131][6]~q\ & ((\led_flash_cnt[3131][5]~70723\) # (GND)))
-- \led_flash_cnt[3131][6]~70725\ = CARRY((!\led_flash_cnt[3131][5]~70723\) # (!\led_flash_cnt[3131][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3131][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3131][5]~70723\,
	combout => \led_flash_cnt[3131][6]~70724_combout\,
	cout => \led_flash_cnt[3131][6]~70725\);

-- Location: FF_X21_Y15_N11
\led_flash_cnt[3131][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3131][6]~70724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3131][6]~q\);

-- Location: LCCOMB_X20_Y15_N28
\WideAnd3131~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3131~1_combout\ = (\led_flash_cnt[3131][5]~q\ & \led_flash_cnt[3131][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3131][5]~q\,
	datad => \led_flash_cnt[3131][6]~q\,
	combout => \WideAnd3131~1_combout\);

-- Location: LCCOMB_X21_Y15_N12
\led_flash_cnt[3131][7]~70726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3131][7]~70726_combout\ = \led_flash_cnt[3131][6]~70725\ $ (!\led_flash_cnt[3131][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3131][7]~q\,
	cin => \led_flash_cnt[3131][6]~70725\,
	combout => \led_flash_cnt[3131][7]~70726_combout\);

-- Location: FF_X21_Y15_N13
\led_flash_cnt[3131][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3131][7]~70726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3131][7]~q\);

-- Location: LCCOMB_X20_Y15_N2
WideAnd3131 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3131~combout\ = (\WideAnd3131~0_combout\ & (\WideAnd3131~1_combout\ & (\led_flash_cnt[3131][7]~q\ & \led_flash_cnt[3131][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3131~0_combout\,
	datab => \WideAnd3131~1_combout\,
	datac => \led_flash_cnt[3131][7]~q\,
	datad => \led_flash_cnt[3131][0]~q\,
	combout => \WideAnd3131~combout\);

-- Location: FF_X20_Y15_N3
\led_flash_cnt_ands[3131]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3131~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3131));

-- Location: LCCOMB_X24_Y19_N28
\led_flash_cnt[3129][0]~83769\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3129][0]~83769_combout\ = !\led_flash_cnt[3129][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3129][0]~q\,
	combout => \led_flash_cnt[3129][0]~83769_combout\);

-- Location: FF_X24_Y19_N29
\led_flash_cnt[3129][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3129][0]~83769_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3129][0]~q\);

-- Location: LCCOMB_X24_Y19_N4
\led_flash_cnt[3129][1]~70686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3129][1]~70686_combout\ = (\led_flash_cnt[3129][0]~q\ & (\led_flash_cnt[3129][1]~q\ $ (VCC))) # (!\led_flash_cnt[3129][0]~q\ & (\led_flash_cnt[3129][1]~q\ & VCC))
-- \led_flash_cnt[3129][1]~70687\ = CARRY((\led_flash_cnt[3129][0]~q\ & \led_flash_cnt[3129][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3129][0]~q\,
	datab => \led_flash_cnt[3129][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3129][1]~70686_combout\,
	cout => \led_flash_cnt[3129][1]~70687\);

-- Location: FF_X24_Y19_N5
\led_flash_cnt[3129][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3129][1]~70686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3129][1]~q\);

-- Location: LCCOMB_X24_Y19_N6
\led_flash_cnt[3129][2]~70688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3129][2]~70688_combout\ = (\led_flash_cnt[3129][2]~q\ & (!\led_flash_cnt[3129][1]~70687\)) # (!\led_flash_cnt[3129][2]~q\ & ((\led_flash_cnt[3129][1]~70687\) # (GND)))
-- \led_flash_cnt[3129][2]~70689\ = CARRY((!\led_flash_cnt[3129][1]~70687\) # (!\led_flash_cnt[3129][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3129][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3129][1]~70687\,
	combout => \led_flash_cnt[3129][2]~70688_combout\,
	cout => \led_flash_cnt[3129][2]~70689\);

-- Location: FF_X24_Y19_N7
\led_flash_cnt[3129][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3129][2]~70688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3129][2]~q\);

-- Location: LCCOMB_X24_Y19_N8
\led_flash_cnt[3129][3]~70690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3129][3]~70690_combout\ = (\led_flash_cnt[3129][3]~q\ & (\led_flash_cnt[3129][2]~70689\ $ (GND))) # (!\led_flash_cnt[3129][3]~q\ & (!\led_flash_cnt[3129][2]~70689\ & VCC))
-- \led_flash_cnt[3129][3]~70691\ = CARRY((\led_flash_cnt[3129][3]~q\ & !\led_flash_cnt[3129][2]~70689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3129][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3129][2]~70689\,
	combout => \led_flash_cnt[3129][3]~70690_combout\,
	cout => \led_flash_cnt[3129][3]~70691\);

-- Location: FF_X24_Y19_N9
\led_flash_cnt[3129][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3129][3]~70690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3129][3]~q\);

-- Location: LCCOMB_X24_Y19_N10
\led_flash_cnt[3129][4]~70692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3129][4]~70692_combout\ = (\led_flash_cnt[3129][4]~q\ & (!\led_flash_cnt[3129][3]~70691\)) # (!\led_flash_cnt[3129][4]~q\ & ((\led_flash_cnt[3129][3]~70691\) # (GND)))
-- \led_flash_cnt[3129][4]~70693\ = CARRY((!\led_flash_cnt[3129][3]~70691\) # (!\led_flash_cnt[3129][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3129][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3129][3]~70691\,
	combout => \led_flash_cnt[3129][4]~70692_combout\,
	cout => \led_flash_cnt[3129][4]~70693\);

-- Location: FF_X24_Y19_N11
\led_flash_cnt[3129][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3129][4]~70692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3129][4]~q\);

-- Location: LCCOMB_X24_Y19_N12
\led_flash_cnt[3129][5]~70694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3129][5]~70694_combout\ = (\led_flash_cnt[3129][5]~q\ & (\led_flash_cnt[3129][4]~70693\ $ (GND))) # (!\led_flash_cnt[3129][5]~q\ & (!\led_flash_cnt[3129][4]~70693\ & VCC))
-- \led_flash_cnt[3129][5]~70695\ = CARRY((\led_flash_cnt[3129][5]~q\ & !\led_flash_cnt[3129][4]~70693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3129][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3129][4]~70693\,
	combout => \led_flash_cnt[3129][5]~70694_combout\,
	cout => \led_flash_cnt[3129][5]~70695\);

-- Location: FF_X24_Y19_N13
\led_flash_cnt[3129][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3129][5]~70694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3129][5]~q\);

-- Location: LCCOMB_X24_Y19_N14
\led_flash_cnt[3129][6]~70696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3129][6]~70696_combout\ = (\led_flash_cnt[3129][6]~q\ & (!\led_flash_cnt[3129][5]~70695\)) # (!\led_flash_cnt[3129][6]~q\ & ((\led_flash_cnt[3129][5]~70695\) # (GND)))
-- \led_flash_cnt[3129][6]~70697\ = CARRY((!\led_flash_cnt[3129][5]~70695\) # (!\led_flash_cnt[3129][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3129][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3129][5]~70695\,
	combout => \led_flash_cnt[3129][6]~70696_combout\,
	cout => \led_flash_cnt[3129][6]~70697\);

-- Location: FF_X24_Y19_N15
\led_flash_cnt[3129][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3129][6]~70696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3129][6]~q\);

-- Location: LCCOMB_X24_Y19_N16
\led_flash_cnt[3129][7]~70698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3129][7]~70698_combout\ = \led_flash_cnt[3129][6]~70697\ $ (!\led_flash_cnt[3129][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3129][7]~q\,
	cin => \led_flash_cnt[3129][6]~70697\,
	combout => \led_flash_cnt[3129][7]~70698_combout\);

-- Location: FF_X24_Y19_N17
\led_flash_cnt[3129][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3129][7]~70698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3129][7]~q\);

-- Location: LCCOMB_X24_Y19_N30
\WideAnd3129~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3129~0_combout\ = (\led_flash_cnt[3129][4]~q\ & (\led_flash_cnt[3129][3]~q\ & (\led_flash_cnt[3129][1]~q\ & \led_flash_cnt[3129][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3129][4]~q\,
	datab => \led_flash_cnt[3129][3]~q\,
	datac => \led_flash_cnt[3129][1]~q\,
	datad => \led_flash_cnt[3129][2]~q\,
	combout => \WideAnd3129~0_combout\);

-- Location: LCCOMB_X24_Y19_N20
\WideAnd3129~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3129~1_combout\ = (\led_flash_cnt[3129][5]~q\ & \led_flash_cnt[3129][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3129][5]~q\,
	datac => \led_flash_cnt[3129][6]~q\,
	combout => \WideAnd3129~1_combout\);

-- Location: LCCOMB_X24_Y19_N2
WideAnd3129 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3129~combout\ = (\led_flash_cnt[3129][0]~q\ & (\led_flash_cnt[3129][7]~q\ & (\WideAnd3129~0_combout\ & \WideAnd3129~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3129][0]~q\,
	datab => \led_flash_cnt[3129][7]~q\,
	datac => \WideAnd3129~0_combout\,
	datad => \WideAnd3129~1_combout\,
	combout => \WideAnd3129~combout\);

-- Location: FF_X24_Y19_N3
\led_flash_cnt_ands[3129]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3129~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3129));

-- Location: LCCOMB_X20_Y15_N20
\led_flash_cnt[3130][0]~83770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3130][0]~83770_combout\ = !\led_flash_cnt[3130][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3130][0]~q\,
	combout => \led_flash_cnt[3130][0]~83770_combout\);

-- Location: FF_X20_Y15_N21
\led_flash_cnt[3130][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3130][0]~83770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3130][0]~q\);

-- Location: LCCOMB_X20_Y15_N6
\led_flash_cnt[3130][1]~70700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3130][1]~70700_combout\ = (\led_flash_cnt[3130][1]~q\ & (\led_flash_cnt[3130][0]~q\ $ (VCC))) # (!\led_flash_cnt[3130][1]~q\ & (\led_flash_cnt[3130][0]~q\ & VCC))
-- \led_flash_cnt[3130][1]~70701\ = CARRY((\led_flash_cnt[3130][1]~q\ & \led_flash_cnt[3130][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3130][1]~q\,
	datab => \led_flash_cnt[3130][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3130][1]~70700_combout\,
	cout => \led_flash_cnt[3130][1]~70701\);

-- Location: FF_X20_Y15_N7
\led_flash_cnt[3130][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3130][1]~70700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3130][1]~q\);

-- Location: LCCOMB_X20_Y15_N8
\led_flash_cnt[3130][2]~70702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3130][2]~70702_combout\ = (\led_flash_cnt[3130][2]~q\ & (!\led_flash_cnt[3130][1]~70701\)) # (!\led_flash_cnt[3130][2]~q\ & ((\led_flash_cnt[3130][1]~70701\) # (GND)))
-- \led_flash_cnt[3130][2]~70703\ = CARRY((!\led_flash_cnt[3130][1]~70701\) # (!\led_flash_cnt[3130][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3130][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3130][1]~70701\,
	combout => \led_flash_cnt[3130][2]~70702_combout\,
	cout => \led_flash_cnt[3130][2]~70703\);

-- Location: FF_X20_Y15_N9
\led_flash_cnt[3130][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3130][2]~70702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3130][2]~q\);

-- Location: LCCOMB_X20_Y15_N10
\led_flash_cnt[3130][3]~70704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3130][3]~70704_combout\ = (\led_flash_cnt[3130][3]~q\ & (\led_flash_cnt[3130][2]~70703\ $ (GND))) # (!\led_flash_cnt[3130][3]~q\ & (!\led_flash_cnt[3130][2]~70703\ & VCC))
-- \led_flash_cnt[3130][3]~70705\ = CARRY((\led_flash_cnt[3130][3]~q\ & !\led_flash_cnt[3130][2]~70703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3130][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3130][2]~70703\,
	combout => \led_flash_cnt[3130][3]~70704_combout\,
	cout => \led_flash_cnt[3130][3]~70705\);

-- Location: FF_X20_Y15_N11
\led_flash_cnt[3130][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3130][3]~70704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3130][3]~q\);

-- Location: LCCOMB_X20_Y15_N12
\led_flash_cnt[3130][4]~70706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3130][4]~70706_combout\ = (\led_flash_cnt[3130][4]~q\ & (!\led_flash_cnt[3130][3]~70705\)) # (!\led_flash_cnt[3130][4]~q\ & ((\led_flash_cnt[3130][3]~70705\) # (GND)))
-- \led_flash_cnt[3130][4]~70707\ = CARRY((!\led_flash_cnt[3130][3]~70705\) # (!\led_flash_cnt[3130][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3130][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3130][3]~70705\,
	combout => \led_flash_cnt[3130][4]~70706_combout\,
	cout => \led_flash_cnt[3130][4]~70707\);

-- Location: FF_X20_Y15_N13
\led_flash_cnt[3130][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3130][4]~70706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3130][4]~q\);

-- Location: LCCOMB_X20_Y15_N26
\WideAnd3130~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3130~0_combout\ = (\led_flash_cnt[3130][1]~q\ & (\led_flash_cnt[3130][4]~q\ & (\led_flash_cnt[3130][2]~q\ & \led_flash_cnt[3130][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3130][1]~q\,
	datab => \led_flash_cnt[3130][4]~q\,
	datac => \led_flash_cnt[3130][2]~q\,
	datad => \led_flash_cnt[3130][3]~q\,
	combout => \WideAnd3130~0_combout\);

-- Location: LCCOMB_X20_Y15_N14
\led_flash_cnt[3130][5]~70708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3130][5]~70708_combout\ = (\led_flash_cnt[3130][5]~q\ & (\led_flash_cnt[3130][4]~70707\ $ (GND))) # (!\led_flash_cnt[3130][5]~q\ & (!\led_flash_cnt[3130][4]~70707\ & VCC))
-- \led_flash_cnt[3130][5]~70709\ = CARRY((\led_flash_cnt[3130][5]~q\ & !\led_flash_cnt[3130][4]~70707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3130][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3130][4]~70707\,
	combout => \led_flash_cnt[3130][5]~70708_combout\,
	cout => \led_flash_cnt[3130][5]~70709\);

-- Location: FF_X20_Y15_N15
\led_flash_cnt[3130][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3130][5]~70708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3130][5]~q\);

-- Location: LCCOMB_X20_Y15_N16
\led_flash_cnt[3130][6]~70710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3130][6]~70710_combout\ = (\led_flash_cnt[3130][6]~q\ & (!\led_flash_cnt[3130][5]~70709\)) # (!\led_flash_cnt[3130][6]~q\ & ((\led_flash_cnt[3130][5]~70709\) # (GND)))
-- \led_flash_cnt[3130][6]~70711\ = CARRY((!\led_flash_cnt[3130][5]~70709\) # (!\led_flash_cnt[3130][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3130][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3130][5]~70709\,
	combout => \led_flash_cnt[3130][6]~70710_combout\,
	cout => \led_flash_cnt[3130][6]~70711\);

-- Location: FF_X20_Y15_N17
\led_flash_cnt[3130][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3130][6]~70710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3130][6]~q\);

-- Location: LCCOMB_X20_Y15_N22
\WideAnd3130~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3130~1_combout\ = (\led_flash_cnt[3130][5]~q\ & \led_flash_cnt[3130][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3130][5]~q\,
	datad => \led_flash_cnt[3130][6]~q\,
	combout => \WideAnd3130~1_combout\);

-- Location: LCCOMB_X20_Y15_N18
\led_flash_cnt[3130][7]~70712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3130][7]~70712_combout\ = \led_flash_cnt[3130][6]~70711\ $ (!\led_flash_cnt[3130][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3130][7]~q\,
	cin => \led_flash_cnt[3130][6]~70711\,
	combout => \led_flash_cnt[3130][7]~70712_combout\);

-- Location: FF_X20_Y15_N19
\led_flash_cnt[3130][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3130][7]~70712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3130][7]~q\);

-- Location: LCCOMB_X20_Y15_N4
WideAnd3130 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3130~combout\ = (\WideAnd3130~0_combout\ & (\led_flash_cnt[3130][0]~q\ & (\WideAnd3130~1_combout\ & \led_flash_cnt[3130][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3130~0_combout\,
	datab => \led_flash_cnt[3130][0]~q\,
	datac => \WideAnd3130~1_combout\,
	datad => \led_flash_cnt[3130][7]~q\,
	combout => \WideAnd3130~combout\);

-- Location: FF_X20_Y15_N5
\led_flash_cnt_ands[3130]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3130~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3130));

-- Location: LCCOMB_X20_Y19_N8
\WideAnd4231~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4231~0_combout\ = (led_flash_cnt_ands(3128) & (led_flash_cnt_ands(3131) & (led_flash_cnt_ands(3129) & led_flash_cnt_ands(3130))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3128),
	datab => led_flash_cnt_ands(3131),
	datac => led_flash_cnt_ands(3129),
	datad => led_flash_cnt_ands(3130),
	combout => \WideAnd4231~0_combout\);

-- Location: LCCOMB_X20_Y19_N12
\led_flash_cnt[3134][0]~83774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3134][0]~83774_combout\ = !\led_flash_cnt[3134][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3134][0]~q\,
	combout => \led_flash_cnt[3134][0]~83774_combout\);

-- Location: FF_X20_Y19_N13
\led_flash_cnt[3134][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3134][0]~83774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3134][0]~q\);

-- Location: LCCOMB_X20_Y19_N14
\led_flash_cnt[3134][1]~70756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3134][1]~70756_combout\ = (\led_flash_cnt[3134][0]~q\ & (\led_flash_cnt[3134][1]~q\ $ (VCC))) # (!\led_flash_cnt[3134][0]~q\ & (\led_flash_cnt[3134][1]~q\ & VCC))
-- \led_flash_cnt[3134][1]~70757\ = CARRY((\led_flash_cnt[3134][0]~q\ & \led_flash_cnt[3134][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3134][0]~q\,
	datab => \led_flash_cnt[3134][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3134][1]~70756_combout\,
	cout => \led_flash_cnt[3134][1]~70757\);

-- Location: FF_X20_Y19_N15
\led_flash_cnt[3134][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3134][1]~70756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3134][1]~q\);

-- Location: LCCOMB_X20_Y19_N16
\led_flash_cnt[3134][2]~70758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3134][2]~70758_combout\ = (\led_flash_cnt[3134][2]~q\ & (!\led_flash_cnt[3134][1]~70757\)) # (!\led_flash_cnt[3134][2]~q\ & ((\led_flash_cnt[3134][1]~70757\) # (GND)))
-- \led_flash_cnt[3134][2]~70759\ = CARRY((!\led_flash_cnt[3134][1]~70757\) # (!\led_flash_cnt[3134][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3134][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3134][1]~70757\,
	combout => \led_flash_cnt[3134][2]~70758_combout\,
	cout => \led_flash_cnt[3134][2]~70759\);

-- Location: FF_X20_Y19_N17
\led_flash_cnt[3134][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3134][2]~70758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3134][2]~q\);

-- Location: LCCOMB_X20_Y19_N18
\led_flash_cnt[3134][3]~70760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3134][3]~70760_combout\ = (\led_flash_cnt[3134][3]~q\ & (\led_flash_cnt[3134][2]~70759\ $ (GND))) # (!\led_flash_cnt[3134][3]~q\ & (!\led_flash_cnt[3134][2]~70759\ & VCC))
-- \led_flash_cnt[3134][3]~70761\ = CARRY((\led_flash_cnt[3134][3]~q\ & !\led_flash_cnt[3134][2]~70759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3134][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3134][2]~70759\,
	combout => \led_flash_cnt[3134][3]~70760_combout\,
	cout => \led_flash_cnt[3134][3]~70761\);

-- Location: FF_X20_Y19_N19
\led_flash_cnt[3134][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3134][3]~70760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3134][3]~q\);

-- Location: LCCOMB_X20_Y19_N20
\led_flash_cnt[3134][4]~70762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3134][4]~70762_combout\ = (\led_flash_cnt[3134][4]~q\ & (!\led_flash_cnt[3134][3]~70761\)) # (!\led_flash_cnt[3134][4]~q\ & ((\led_flash_cnt[3134][3]~70761\) # (GND)))
-- \led_flash_cnt[3134][4]~70763\ = CARRY((!\led_flash_cnt[3134][3]~70761\) # (!\led_flash_cnt[3134][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3134][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3134][3]~70761\,
	combout => \led_flash_cnt[3134][4]~70762_combout\,
	cout => \led_flash_cnt[3134][4]~70763\);

-- Location: FF_X20_Y19_N21
\led_flash_cnt[3134][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3134][4]~70762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3134][4]~q\);

-- Location: LCCOMB_X20_Y19_N22
\led_flash_cnt[3134][5]~70764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3134][5]~70764_combout\ = (\led_flash_cnt[3134][5]~q\ & (\led_flash_cnt[3134][4]~70763\ $ (GND))) # (!\led_flash_cnt[3134][5]~q\ & (!\led_flash_cnt[3134][4]~70763\ & VCC))
-- \led_flash_cnt[3134][5]~70765\ = CARRY((\led_flash_cnt[3134][5]~q\ & !\led_flash_cnt[3134][4]~70763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3134][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3134][4]~70763\,
	combout => \led_flash_cnt[3134][5]~70764_combout\,
	cout => \led_flash_cnt[3134][5]~70765\);

-- Location: FF_X20_Y19_N23
\led_flash_cnt[3134][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3134][5]~70764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3134][5]~q\);

-- Location: LCCOMB_X20_Y19_N24
\led_flash_cnt[3134][6]~70766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3134][6]~70766_combout\ = (\led_flash_cnt[3134][6]~q\ & (!\led_flash_cnt[3134][5]~70765\)) # (!\led_flash_cnt[3134][6]~q\ & ((\led_flash_cnt[3134][5]~70765\) # (GND)))
-- \led_flash_cnt[3134][6]~70767\ = CARRY((!\led_flash_cnt[3134][5]~70765\) # (!\led_flash_cnt[3134][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3134][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3134][5]~70765\,
	combout => \led_flash_cnt[3134][6]~70766_combout\,
	cout => \led_flash_cnt[3134][6]~70767\);

-- Location: FF_X20_Y19_N25
\led_flash_cnt[3134][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3134][6]~70766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3134][6]~q\);

-- Location: LCCOMB_X20_Y19_N30
\WideAnd3134~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3134~1_combout\ = (\led_flash_cnt[3134][5]~q\ & \led_flash_cnt[3134][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3134][5]~q\,
	datad => \led_flash_cnt[3134][6]~q\,
	combout => \WideAnd3134~1_combout\);

-- Location: LCCOMB_X20_Y19_N28
\WideAnd3134~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3134~0_combout\ = (\led_flash_cnt[3134][2]~q\ & (\led_flash_cnt[3134][3]~q\ & (\led_flash_cnt[3134][1]~q\ & \led_flash_cnt[3134][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3134][2]~q\,
	datab => \led_flash_cnt[3134][3]~q\,
	datac => \led_flash_cnt[3134][1]~q\,
	datad => \led_flash_cnt[3134][4]~q\,
	combout => \WideAnd3134~0_combout\);

-- Location: LCCOMB_X20_Y19_N26
\led_flash_cnt[3134][7]~70768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3134][7]~70768_combout\ = \led_flash_cnt[3134][7]~q\ $ (!\led_flash_cnt[3134][6]~70767\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3134][7]~q\,
	cin => \led_flash_cnt[3134][6]~70767\,
	combout => \led_flash_cnt[3134][7]~70768_combout\);

-- Location: FF_X20_Y19_N27
\led_flash_cnt[3134][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3134][7]~70768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3134][7]~q\);

-- Location: LCCOMB_X20_Y19_N0
WideAnd3134 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3134~combout\ = (\WideAnd3134~1_combout\ & (\WideAnd3134~0_combout\ & (\led_flash_cnt[3134][7]~q\ & \led_flash_cnt[3134][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3134~1_combout\,
	datab => \WideAnd3134~0_combout\,
	datac => \led_flash_cnt[3134][7]~q\,
	datad => \led_flash_cnt[3134][0]~q\,
	combout => \WideAnd3134~combout\);

-- Location: FF_X20_Y19_N1
\led_flash_cnt_ands[3134]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3134~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3134));

-- Location: LCCOMB_X20_Y19_N10
WideAnd4231 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4231~combout\ = (\WideAnd4231~1_combout\ & (led_flash_cnt_ands(3135) & (\WideAnd4231~0_combout\ & led_flash_cnt_ands(3134))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4231~1_combout\,
	datab => led_flash_cnt_ands(3135),
	datac => \WideAnd4231~0_combout\,
	datad => led_flash_cnt_ands(3134),
	combout => \WideAnd4231~combout\);

-- Location: FF_X20_Y19_N11
\led_flash_cnt_ands_1[391]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4231~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(391));

-- Location: LCCOMB_X17_Y17_N10
WideAnd4368 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4368~combout\ = (\WideAnd4368~0_combout\ & (led_flash_cnt_ands_1(390) & (\WideAnd4368~1_combout\ & led_flash_cnt_ands_1(391))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4368~0_combout\,
	datab => led_flash_cnt_ands_1(390),
	datac => \WideAnd4368~1_combout\,
	datad => led_flash_cnt_ands_1(391),
	combout => \WideAnd4368~combout\);

-- Location: FF_X17_Y17_N11
\led_flash_cnt_ands_2[48]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4368~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(48));

-- Location: LCCOMB_X46_Y10_N20
\led_flash_cnt[3145][0]~83785\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3145][0]~83785_combout\ = !\led_flash_cnt[3145][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3145][0]~q\,
	combout => \led_flash_cnt[3145][0]~83785_combout\);

-- Location: FF_X46_Y10_N21
\led_flash_cnt[3145][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3145][0]~83785_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3145][0]~q\);

-- Location: LCCOMB_X47_Y10_N18
\led_flash_cnt[3145][1]~70910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3145][1]~70910_combout\ = (\led_flash_cnt[3145][0]~q\ & (\led_flash_cnt[3145][1]~q\ $ (VCC))) # (!\led_flash_cnt[3145][0]~q\ & (\led_flash_cnt[3145][1]~q\ & VCC))
-- \led_flash_cnt[3145][1]~70911\ = CARRY((\led_flash_cnt[3145][0]~q\ & \led_flash_cnt[3145][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3145][0]~q\,
	datab => \led_flash_cnt[3145][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3145][1]~70910_combout\,
	cout => \led_flash_cnt[3145][1]~70911\);

-- Location: FF_X47_Y10_N19
\led_flash_cnt[3145][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3145][1]~70910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3145][1]~q\);

-- Location: LCCOMB_X47_Y10_N20
\led_flash_cnt[3145][2]~70912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3145][2]~70912_combout\ = (\led_flash_cnt[3145][2]~q\ & (!\led_flash_cnt[3145][1]~70911\)) # (!\led_flash_cnt[3145][2]~q\ & ((\led_flash_cnt[3145][1]~70911\) # (GND)))
-- \led_flash_cnt[3145][2]~70913\ = CARRY((!\led_flash_cnt[3145][1]~70911\) # (!\led_flash_cnt[3145][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3145][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3145][1]~70911\,
	combout => \led_flash_cnt[3145][2]~70912_combout\,
	cout => \led_flash_cnt[3145][2]~70913\);

-- Location: FF_X47_Y10_N21
\led_flash_cnt[3145][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3145][2]~70912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3145][2]~q\);

-- Location: LCCOMB_X47_Y10_N22
\led_flash_cnt[3145][3]~70914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3145][3]~70914_combout\ = (\led_flash_cnt[3145][3]~q\ & (\led_flash_cnt[3145][2]~70913\ $ (GND))) # (!\led_flash_cnt[3145][3]~q\ & (!\led_flash_cnt[3145][2]~70913\ & VCC))
-- \led_flash_cnt[3145][3]~70915\ = CARRY((\led_flash_cnt[3145][3]~q\ & !\led_flash_cnt[3145][2]~70913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3145][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3145][2]~70913\,
	combout => \led_flash_cnt[3145][3]~70914_combout\,
	cout => \led_flash_cnt[3145][3]~70915\);

-- Location: FF_X47_Y10_N23
\led_flash_cnt[3145][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3145][3]~70914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3145][3]~q\);

-- Location: LCCOMB_X47_Y10_N24
\led_flash_cnt[3145][4]~70916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3145][4]~70916_combout\ = (\led_flash_cnt[3145][4]~q\ & (!\led_flash_cnt[3145][3]~70915\)) # (!\led_flash_cnt[3145][4]~q\ & ((\led_flash_cnt[3145][3]~70915\) # (GND)))
-- \led_flash_cnt[3145][4]~70917\ = CARRY((!\led_flash_cnt[3145][3]~70915\) # (!\led_flash_cnt[3145][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3145][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3145][3]~70915\,
	combout => \led_flash_cnt[3145][4]~70916_combout\,
	cout => \led_flash_cnt[3145][4]~70917\);

-- Location: FF_X47_Y10_N25
\led_flash_cnt[3145][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3145][4]~70916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3145][4]~q\);

-- Location: LCCOMB_X47_Y10_N26
\led_flash_cnt[3145][5]~70918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3145][5]~70918_combout\ = (\led_flash_cnt[3145][5]~q\ & (\led_flash_cnt[3145][4]~70917\ $ (GND))) # (!\led_flash_cnt[3145][5]~q\ & (!\led_flash_cnt[3145][4]~70917\ & VCC))
-- \led_flash_cnt[3145][5]~70919\ = CARRY((\led_flash_cnt[3145][5]~q\ & !\led_flash_cnt[3145][4]~70917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3145][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3145][4]~70917\,
	combout => \led_flash_cnt[3145][5]~70918_combout\,
	cout => \led_flash_cnt[3145][5]~70919\);

-- Location: FF_X47_Y10_N27
\led_flash_cnt[3145][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3145][5]~70918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3145][5]~q\);

-- Location: LCCOMB_X47_Y10_N28
\led_flash_cnt[3145][6]~70920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3145][6]~70920_combout\ = (\led_flash_cnt[3145][6]~q\ & (!\led_flash_cnt[3145][5]~70919\)) # (!\led_flash_cnt[3145][6]~q\ & ((\led_flash_cnt[3145][5]~70919\) # (GND)))
-- \led_flash_cnt[3145][6]~70921\ = CARRY((!\led_flash_cnt[3145][5]~70919\) # (!\led_flash_cnt[3145][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3145][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3145][5]~70919\,
	combout => \led_flash_cnt[3145][6]~70920_combout\,
	cout => \led_flash_cnt[3145][6]~70921\);

-- Location: FF_X47_Y10_N29
\led_flash_cnt[3145][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3145][6]~70920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3145][6]~q\);

-- Location: LCCOMB_X46_Y10_N26
\WideAnd3145~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3145~1_combout\ = (\led_flash_cnt[3145][6]~q\ & \led_flash_cnt[3145][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3145][6]~q\,
	datad => \led_flash_cnt[3145][5]~q\,
	combout => \WideAnd3145~1_combout\);

-- Location: LCCOMB_X47_Y10_N30
\led_flash_cnt[3145][7]~70922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3145][7]~70922_combout\ = \led_flash_cnt[3145][7]~q\ $ (!\led_flash_cnt[3145][6]~70921\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3145][7]~q\,
	cin => \led_flash_cnt[3145][6]~70921\,
	combout => \led_flash_cnt[3145][7]~70922_combout\);

-- Location: FF_X47_Y10_N31
\led_flash_cnt[3145][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3145][7]~70922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3145][7]~q\);

-- Location: LCCOMB_X47_Y10_N16
\WideAnd3145~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3145~0_combout\ = (\led_flash_cnt[3145][4]~q\ & (\led_flash_cnt[3145][2]~q\ & (\led_flash_cnt[3145][3]~q\ & \led_flash_cnt[3145][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3145][4]~q\,
	datab => \led_flash_cnt[3145][2]~q\,
	datac => \led_flash_cnt[3145][3]~q\,
	datad => \led_flash_cnt[3145][1]~q\,
	combout => \WideAnd3145~0_combout\);

-- Location: LCCOMB_X46_Y10_N30
WideAnd3145 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3145~combout\ = (\WideAnd3145~1_combout\ & (\led_flash_cnt[3145][0]~q\ & (\led_flash_cnt[3145][7]~q\ & \WideAnd3145~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3145~1_combout\,
	datab => \led_flash_cnt[3145][0]~q\,
	datac => \led_flash_cnt[3145][7]~q\,
	datad => \WideAnd3145~0_combout\,
	combout => \WideAnd3145~combout\);

-- Location: FF_X46_Y10_N31
\led_flash_cnt_ands[3145]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3145~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3145));

-- Location: LCCOMB_X46_Y10_N22
\led_flash_cnt[3144][0]~83784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3144][0]~83784_combout\ = !\led_flash_cnt[3144][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3144][0]~q\,
	combout => \led_flash_cnt[3144][0]~83784_combout\);

-- Location: FF_X46_Y10_N23
\led_flash_cnt[3144][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3144][0]~83784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3144][0]~q\);

-- Location: LCCOMB_X46_Y10_N4
\led_flash_cnt[3144][1]~70896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3144][1]~70896_combout\ = (\led_flash_cnt[3144][0]~q\ & (\led_flash_cnt[3144][1]~q\ $ (VCC))) # (!\led_flash_cnt[3144][0]~q\ & (\led_flash_cnt[3144][1]~q\ & VCC))
-- \led_flash_cnt[3144][1]~70897\ = CARRY((\led_flash_cnt[3144][0]~q\ & \led_flash_cnt[3144][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3144][0]~q\,
	datab => \led_flash_cnt[3144][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3144][1]~70896_combout\,
	cout => \led_flash_cnt[3144][1]~70897\);

-- Location: FF_X46_Y10_N5
\led_flash_cnt[3144][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3144][1]~70896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3144][1]~q\);

-- Location: LCCOMB_X46_Y10_N6
\led_flash_cnt[3144][2]~70898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3144][2]~70898_combout\ = (\led_flash_cnt[3144][2]~q\ & (!\led_flash_cnt[3144][1]~70897\)) # (!\led_flash_cnt[3144][2]~q\ & ((\led_flash_cnt[3144][1]~70897\) # (GND)))
-- \led_flash_cnt[3144][2]~70899\ = CARRY((!\led_flash_cnt[3144][1]~70897\) # (!\led_flash_cnt[3144][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3144][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3144][1]~70897\,
	combout => \led_flash_cnt[3144][2]~70898_combout\,
	cout => \led_flash_cnt[3144][2]~70899\);

-- Location: FF_X46_Y10_N7
\led_flash_cnt[3144][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3144][2]~70898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3144][2]~q\);

-- Location: LCCOMB_X46_Y10_N8
\led_flash_cnt[3144][3]~70900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3144][3]~70900_combout\ = (\led_flash_cnt[3144][3]~q\ & (\led_flash_cnt[3144][2]~70899\ $ (GND))) # (!\led_flash_cnt[3144][3]~q\ & (!\led_flash_cnt[3144][2]~70899\ & VCC))
-- \led_flash_cnt[3144][3]~70901\ = CARRY((\led_flash_cnt[3144][3]~q\ & !\led_flash_cnt[3144][2]~70899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3144][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3144][2]~70899\,
	combout => \led_flash_cnt[3144][3]~70900_combout\,
	cout => \led_flash_cnt[3144][3]~70901\);

-- Location: FF_X46_Y10_N9
\led_flash_cnt[3144][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3144][3]~70900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3144][3]~q\);

-- Location: LCCOMB_X46_Y10_N10
\led_flash_cnt[3144][4]~70902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3144][4]~70902_combout\ = (\led_flash_cnt[3144][4]~q\ & (!\led_flash_cnt[3144][3]~70901\)) # (!\led_flash_cnt[3144][4]~q\ & ((\led_flash_cnt[3144][3]~70901\) # (GND)))
-- \led_flash_cnt[3144][4]~70903\ = CARRY((!\led_flash_cnt[3144][3]~70901\) # (!\led_flash_cnt[3144][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3144][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3144][3]~70901\,
	combout => \led_flash_cnt[3144][4]~70902_combout\,
	cout => \led_flash_cnt[3144][4]~70903\);

-- Location: FF_X46_Y10_N11
\led_flash_cnt[3144][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3144][4]~70902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3144][4]~q\);

-- Location: LCCOMB_X46_Y10_N12
\led_flash_cnt[3144][5]~70904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3144][5]~70904_combout\ = (\led_flash_cnt[3144][5]~q\ & (\led_flash_cnt[3144][4]~70903\ $ (GND))) # (!\led_flash_cnt[3144][5]~q\ & (!\led_flash_cnt[3144][4]~70903\ & VCC))
-- \led_flash_cnt[3144][5]~70905\ = CARRY((\led_flash_cnt[3144][5]~q\ & !\led_flash_cnt[3144][4]~70903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3144][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3144][4]~70903\,
	combout => \led_flash_cnt[3144][5]~70904_combout\,
	cout => \led_flash_cnt[3144][5]~70905\);

-- Location: FF_X46_Y10_N13
\led_flash_cnt[3144][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3144][5]~70904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3144][5]~q\);

-- Location: LCCOMB_X46_Y10_N14
\led_flash_cnt[3144][6]~70906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3144][6]~70906_combout\ = (\led_flash_cnt[3144][6]~q\ & (!\led_flash_cnt[3144][5]~70905\)) # (!\led_flash_cnt[3144][6]~q\ & ((\led_flash_cnt[3144][5]~70905\) # (GND)))
-- \led_flash_cnt[3144][6]~70907\ = CARRY((!\led_flash_cnt[3144][5]~70905\) # (!\led_flash_cnt[3144][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3144][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3144][5]~70905\,
	combout => \led_flash_cnt[3144][6]~70906_combout\,
	cout => \led_flash_cnt[3144][6]~70907\);

-- Location: FF_X46_Y10_N15
\led_flash_cnt[3144][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3144][6]~70906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3144][6]~q\);

-- Location: LCCOMB_X46_Y10_N24
\WideAnd3144~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3144~1_combout\ = (\led_flash_cnt[3144][6]~q\ & \led_flash_cnt[3144][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3144][6]~q\,
	datad => \led_flash_cnt[3144][5]~q\,
	combout => \WideAnd3144~1_combout\);

-- Location: LCCOMB_X46_Y10_N18
\WideAnd3144~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3144~0_combout\ = (\led_flash_cnt[3144][2]~q\ & (\led_flash_cnt[3144][3]~q\ & (\led_flash_cnt[3144][1]~q\ & \led_flash_cnt[3144][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3144][2]~q\,
	datab => \led_flash_cnt[3144][3]~q\,
	datac => \led_flash_cnt[3144][1]~q\,
	datad => \led_flash_cnt[3144][4]~q\,
	combout => \WideAnd3144~0_combout\);

-- Location: LCCOMB_X46_Y10_N16
\led_flash_cnt[3144][7]~70908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3144][7]~70908_combout\ = \led_flash_cnt[3144][6]~70907\ $ (!\led_flash_cnt[3144][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3144][7]~q\,
	cin => \led_flash_cnt[3144][6]~70907\,
	combout => \led_flash_cnt[3144][7]~70908_combout\);

-- Location: FF_X46_Y10_N17
\led_flash_cnt[3144][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3144][7]~70908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3144][7]~q\);

-- Location: LCCOMB_X46_Y10_N28
WideAnd3144 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3144~combout\ = (\led_flash_cnt[3144][0]~q\ & (\WideAnd3144~1_combout\ & (\WideAnd3144~0_combout\ & \led_flash_cnt[3144][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3144][0]~q\,
	datab => \WideAnd3144~1_combout\,
	datac => \WideAnd3144~0_combout\,
	datad => \led_flash_cnt[3144][7]~q\,
	combout => \WideAnd3144~combout\);

-- Location: FF_X46_Y10_N29
\led_flash_cnt_ands[3144]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3144~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3144));

-- Location: LCCOMB_X43_Y8_N10
\led_flash_cnt[3147][0]~83787\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3147][0]~83787_combout\ = !\led_flash_cnt[3147][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3147][0]~q\,
	combout => \led_flash_cnt[3147][0]~83787_combout\);

-- Location: FF_X43_Y8_N11
\led_flash_cnt[3147][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3147][0]~83787_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3147][0]~q\);

-- Location: LCCOMB_X43_Y8_N14
\led_flash_cnt[3147][1]~70938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3147][1]~70938_combout\ = (\led_flash_cnt[3147][0]~q\ & (\led_flash_cnt[3147][1]~q\ $ (VCC))) # (!\led_flash_cnt[3147][0]~q\ & (\led_flash_cnt[3147][1]~q\ & VCC))
-- \led_flash_cnt[3147][1]~70939\ = CARRY((\led_flash_cnt[3147][0]~q\ & \led_flash_cnt[3147][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3147][0]~q\,
	datab => \led_flash_cnt[3147][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3147][1]~70938_combout\,
	cout => \led_flash_cnt[3147][1]~70939\);

-- Location: FF_X43_Y8_N15
\led_flash_cnt[3147][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3147][1]~70938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3147][1]~q\);

-- Location: LCCOMB_X43_Y8_N16
\led_flash_cnt[3147][2]~70940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3147][2]~70940_combout\ = (\led_flash_cnt[3147][2]~q\ & (!\led_flash_cnt[3147][1]~70939\)) # (!\led_flash_cnt[3147][2]~q\ & ((\led_flash_cnt[3147][1]~70939\) # (GND)))
-- \led_flash_cnt[3147][2]~70941\ = CARRY((!\led_flash_cnt[3147][1]~70939\) # (!\led_flash_cnt[3147][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3147][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3147][1]~70939\,
	combout => \led_flash_cnt[3147][2]~70940_combout\,
	cout => \led_flash_cnt[3147][2]~70941\);

-- Location: FF_X43_Y8_N17
\led_flash_cnt[3147][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3147][2]~70940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3147][2]~q\);

-- Location: LCCOMB_X43_Y8_N18
\led_flash_cnt[3147][3]~70942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3147][3]~70942_combout\ = (\led_flash_cnt[3147][3]~q\ & (\led_flash_cnt[3147][2]~70941\ $ (GND))) # (!\led_flash_cnt[3147][3]~q\ & (!\led_flash_cnt[3147][2]~70941\ & VCC))
-- \led_flash_cnt[3147][3]~70943\ = CARRY((\led_flash_cnt[3147][3]~q\ & !\led_flash_cnt[3147][2]~70941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3147][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3147][2]~70941\,
	combout => \led_flash_cnt[3147][3]~70942_combout\,
	cout => \led_flash_cnt[3147][3]~70943\);

-- Location: FF_X43_Y8_N19
\led_flash_cnt[3147][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3147][3]~70942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3147][3]~q\);

-- Location: LCCOMB_X43_Y8_N20
\led_flash_cnt[3147][4]~70944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3147][4]~70944_combout\ = (\led_flash_cnt[3147][4]~q\ & (!\led_flash_cnt[3147][3]~70943\)) # (!\led_flash_cnt[3147][4]~q\ & ((\led_flash_cnt[3147][3]~70943\) # (GND)))
-- \led_flash_cnt[3147][4]~70945\ = CARRY((!\led_flash_cnt[3147][3]~70943\) # (!\led_flash_cnt[3147][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3147][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3147][3]~70943\,
	combout => \led_flash_cnt[3147][4]~70944_combout\,
	cout => \led_flash_cnt[3147][4]~70945\);

-- Location: FF_X43_Y8_N21
\led_flash_cnt[3147][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3147][4]~70944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3147][4]~q\);

-- Location: LCCOMB_X43_Y8_N22
\led_flash_cnt[3147][5]~70946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3147][5]~70946_combout\ = (\led_flash_cnt[3147][5]~q\ & (\led_flash_cnt[3147][4]~70945\ $ (GND))) # (!\led_flash_cnt[3147][5]~q\ & (!\led_flash_cnt[3147][4]~70945\ & VCC))
-- \led_flash_cnt[3147][5]~70947\ = CARRY((\led_flash_cnt[3147][5]~q\ & !\led_flash_cnt[3147][4]~70945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3147][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3147][4]~70945\,
	combout => \led_flash_cnt[3147][5]~70946_combout\,
	cout => \led_flash_cnt[3147][5]~70947\);

-- Location: FF_X43_Y8_N23
\led_flash_cnt[3147][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3147][5]~70946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3147][5]~q\);

-- Location: LCCOMB_X43_Y8_N24
\led_flash_cnt[3147][6]~70948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3147][6]~70948_combout\ = (\led_flash_cnt[3147][6]~q\ & (!\led_flash_cnt[3147][5]~70947\)) # (!\led_flash_cnt[3147][6]~q\ & ((\led_flash_cnt[3147][5]~70947\) # (GND)))
-- \led_flash_cnt[3147][6]~70949\ = CARRY((!\led_flash_cnt[3147][5]~70947\) # (!\led_flash_cnt[3147][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3147][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3147][5]~70947\,
	combout => \led_flash_cnt[3147][6]~70948_combout\,
	cout => \led_flash_cnt[3147][6]~70949\);

-- Location: FF_X43_Y8_N25
\led_flash_cnt[3147][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3147][6]~70948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3147][6]~q\);

-- Location: LCCOMB_X43_Y8_N30
\WideAnd3147~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3147~0_combout\ = (\led_flash_cnt[3147][0]~q\ & (\led_flash_cnt[3147][6]~q\ & (\led_flash_cnt[3147][5]~q\ & \led_flash_cnt[3147][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3147][0]~q\,
	datab => \led_flash_cnt[3147][6]~q\,
	datac => \led_flash_cnt[3147][5]~q\,
	datad => \led_flash_cnt[3147][2]~q\,
	combout => \WideAnd3147~0_combout\);

-- Location: LCCOMB_X43_Y8_N26
\led_flash_cnt[3147][7]~70950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3147][7]~70950_combout\ = \led_flash_cnt[3147][7]~q\ $ (!\led_flash_cnt[3147][6]~70949\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3147][7]~q\,
	cin => \led_flash_cnt[3147][6]~70949\,
	combout => \led_flash_cnt[3147][7]~70950_combout\);

-- Location: FF_X43_Y8_N27
\led_flash_cnt[3147][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3147][7]~70950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3147][7]~q\);

-- Location: LCCOMB_X43_Y8_N2
\WideAnd3147~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3147~1_combout\ = (\led_flash_cnt[3147][7]~q\ & \led_flash_cnt[3147][4]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3147][7]~q\,
	datad => \led_flash_cnt[3147][4]~q\,
	combout => \WideAnd3147~1_combout\);

-- Location: LCCOMB_X43_Y8_N0
WideAnd3147 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3147~combout\ = (\WideAnd3147~0_combout\ & (\WideAnd3147~1_combout\ & (\led_flash_cnt[3147][1]~q\ & \led_flash_cnt[3147][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3147~0_combout\,
	datab => \WideAnd3147~1_combout\,
	datac => \led_flash_cnt[3147][1]~q\,
	datad => \led_flash_cnt[3147][3]~q\,
	combout => \WideAnd3147~combout\);

-- Location: FF_X43_Y8_N1
\led_flash_cnt_ands[3147]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3147~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3147));

-- Location: LCCOMB_X36_Y23_N2
\led_flash_cnt[3146][0]~83786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3146][0]~83786_combout\ = !\led_flash_cnt[3146][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3146][0]~q\,
	combout => \led_flash_cnt[3146][0]~83786_combout\);

-- Location: FF_X36_Y23_N3
\led_flash_cnt[3146][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3146][0]~83786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3146][0]~q\);

-- Location: LCCOMB_X34_Y23_N18
\led_flash_cnt[3146][1]~70924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3146][1]~70924_combout\ = (\led_flash_cnt[3146][0]~q\ & (\led_flash_cnt[3146][1]~q\ $ (VCC))) # (!\led_flash_cnt[3146][0]~q\ & (\led_flash_cnt[3146][1]~q\ & VCC))
-- \led_flash_cnt[3146][1]~70925\ = CARRY((\led_flash_cnt[3146][0]~q\ & \led_flash_cnt[3146][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3146][0]~q\,
	datab => \led_flash_cnt[3146][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3146][1]~70924_combout\,
	cout => \led_flash_cnt[3146][1]~70925\);

-- Location: FF_X34_Y23_N19
\led_flash_cnt[3146][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3146][1]~70924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3146][1]~q\);

-- Location: LCCOMB_X34_Y23_N20
\led_flash_cnt[3146][2]~70926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3146][2]~70926_combout\ = (\led_flash_cnt[3146][2]~q\ & (!\led_flash_cnt[3146][1]~70925\)) # (!\led_flash_cnt[3146][2]~q\ & ((\led_flash_cnt[3146][1]~70925\) # (GND)))
-- \led_flash_cnt[3146][2]~70927\ = CARRY((!\led_flash_cnt[3146][1]~70925\) # (!\led_flash_cnt[3146][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3146][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3146][1]~70925\,
	combout => \led_flash_cnt[3146][2]~70926_combout\,
	cout => \led_flash_cnt[3146][2]~70927\);

-- Location: FF_X34_Y23_N21
\led_flash_cnt[3146][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3146][2]~70926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3146][2]~q\);

-- Location: LCCOMB_X34_Y23_N22
\led_flash_cnt[3146][3]~70928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3146][3]~70928_combout\ = (\led_flash_cnt[3146][3]~q\ & (\led_flash_cnt[3146][2]~70927\ $ (GND))) # (!\led_flash_cnt[3146][3]~q\ & (!\led_flash_cnt[3146][2]~70927\ & VCC))
-- \led_flash_cnt[3146][3]~70929\ = CARRY((\led_flash_cnt[3146][3]~q\ & !\led_flash_cnt[3146][2]~70927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3146][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3146][2]~70927\,
	combout => \led_flash_cnt[3146][3]~70928_combout\,
	cout => \led_flash_cnt[3146][3]~70929\);

-- Location: FF_X34_Y23_N23
\led_flash_cnt[3146][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3146][3]~70928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3146][3]~q\);

-- Location: LCCOMB_X34_Y23_N24
\led_flash_cnt[3146][4]~70930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3146][4]~70930_combout\ = (\led_flash_cnt[3146][4]~q\ & (!\led_flash_cnt[3146][3]~70929\)) # (!\led_flash_cnt[3146][4]~q\ & ((\led_flash_cnt[3146][3]~70929\) # (GND)))
-- \led_flash_cnt[3146][4]~70931\ = CARRY((!\led_flash_cnt[3146][3]~70929\) # (!\led_flash_cnt[3146][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3146][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3146][3]~70929\,
	combout => \led_flash_cnt[3146][4]~70930_combout\,
	cout => \led_flash_cnt[3146][4]~70931\);

-- Location: FF_X34_Y23_N25
\led_flash_cnt[3146][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3146][4]~70930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3146][4]~q\);

-- Location: LCCOMB_X34_Y23_N14
\WideAnd3146~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3146~0_combout\ = (\led_flash_cnt[3146][2]~q\ & (\led_flash_cnt[3146][1]~q\ & (\led_flash_cnt[3146][3]~q\ & \led_flash_cnt[3146][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3146][2]~q\,
	datab => \led_flash_cnt[3146][1]~q\,
	datac => \led_flash_cnt[3146][3]~q\,
	datad => \led_flash_cnt[3146][4]~q\,
	combout => \WideAnd3146~0_combout\);

-- Location: LCCOMB_X34_Y23_N26
\led_flash_cnt[3146][5]~70932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3146][5]~70932_combout\ = (\led_flash_cnt[3146][5]~q\ & (\led_flash_cnt[3146][4]~70931\ $ (GND))) # (!\led_flash_cnt[3146][5]~q\ & (!\led_flash_cnt[3146][4]~70931\ & VCC))
-- \led_flash_cnt[3146][5]~70933\ = CARRY((\led_flash_cnt[3146][5]~q\ & !\led_flash_cnt[3146][4]~70931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3146][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3146][4]~70931\,
	combout => \led_flash_cnt[3146][5]~70932_combout\,
	cout => \led_flash_cnt[3146][5]~70933\);

-- Location: FF_X34_Y23_N27
\led_flash_cnt[3146][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3146][5]~70932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3146][5]~q\);

-- Location: LCCOMB_X34_Y23_N28
\led_flash_cnt[3146][6]~70934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3146][6]~70934_combout\ = (\led_flash_cnt[3146][6]~q\ & (!\led_flash_cnt[3146][5]~70933\)) # (!\led_flash_cnt[3146][6]~q\ & ((\led_flash_cnt[3146][5]~70933\) # (GND)))
-- \led_flash_cnt[3146][6]~70935\ = CARRY((!\led_flash_cnt[3146][5]~70933\) # (!\led_flash_cnt[3146][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3146][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3146][5]~70933\,
	combout => \led_flash_cnt[3146][6]~70934_combout\,
	cout => \led_flash_cnt[3146][6]~70935\);

-- Location: FF_X34_Y23_N29
\led_flash_cnt[3146][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3146][6]~70934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3146][6]~q\);

-- Location: LCCOMB_X34_Y23_N30
\led_flash_cnt[3146][7]~70936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3146][7]~70936_combout\ = \led_flash_cnt[3146][7]~q\ $ (!\led_flash_cnt[3146][6]~70935\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3146][7]~q\,
	cin => \led_flash_cnt[3146][6]~70935\,
	combout => \led_flash_cnt[3146][7]~70936_combout\);

-- Location: FF_X34_Y23_N31
\led_flash_cnt[3146][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3146][7]~70936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3146][7]~q\);

-- Location: LCCOMB_X35_Y23_N0
\WideAnd3146~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3146~1_combout\ = (\led_flash_cnt[3146][5]~q\ & \led_flash_cnt[3146][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3146][5]~q\,
	datad => \led_flash_cnt[3146][6]~q\,
	combout => \WideAnd3146~1_combout\);

-- Location: LCCOMB_X35_Y23_N2
WideAnd3146 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3146~combout\ = (\WideAnd3146~0_combout\ & (\led_flash_cnt[3146][7]~q\ & (\led_flash_cnt[3146][0]~q\ & \WideAnd3146~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3146~0_combout\,
	datab => \led_flash_cnt[3146][7]~q\,
	datac => \led_flash_cnt[3146][0]~q\,
	datad => \WideAnd3146~1_combout\,
	combout => \WideAnd3146~combout\);

-- Location: FF_X35_Y23_N3
\led_flash_cnt_ands[3146]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3146~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3146));

-- Location: LCCOMB_X45_Y10_N2
\WideAnd4233~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4233~0_combout\ = (led_flash_cnt_ands(3145) & (led_flash_cnt_ands(3144) & (led_flash_cnt_ands(3147) & led_flash_cnt_ands(3146))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3145),
	datab => led_flash_cnt_ands(3144),
	datac => led_flash_cnt_ands(3147),
	datad => led_flash_cnt_ands(3146),
	combout => \WideAnd4233~0_combout\);

-- Location: LCCOMB_X41_Y8_N2
\led_flash_cnt[3150][0]~83790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3150][0]~83790_combout\ = !\led_flash_cnt[3150][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3150][0]~q\,
	combout => \led_flash_cnt[3150][0]~83790_combout\);

-- Location: FF_X41_Y8_N3
\led_flash_cnt[3150][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3150][0]~83790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3150][0]~q\);

-- Location: LCCOMB_X41_Y8_N6
\led_flash_cnt[3150][1]~70980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3150][1]~70980_combout\ = (\led_flash_cnt[3150][1]~q\ & (\led_flash_cnt[3150][0]~q\ $ (VCC))) # (!\led_flash_cnt[3150][1]~q\ & (\led_flash_cnt[3150][0]~q\ & VCC))
-- \led_flash_cnt[3150][1]~70981\ = CARRY((\led_flash_cnt[3150][1]~q\ & \led_flash_cnt[3150][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3150][1]~q\,
	datab => \led_flash_cnt[3150][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3150][1]~70980_combout\,
	cout => \led_flash_cnt[3150][1]~70981\);

-- Location: FF_X41_Y8_N7
\led_flash_cnt[3150][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3150][1]~70980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3150][1]~q\);

-- Location: LCCOMB_X41_Y8_N8
\led_flash_cnt[3150][2]~70982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3150][2]~70982_combout\ = (\led_flash_cnt[3150][2]~q\ & (!\led_flash_cnt[3150][1]~70981\)) # (!\led_flash_cnt[3150][2]~q\ & ((\led_flash_cnt[3150][1]~70981\) # (GND)))
-- \led_flash_cnt[3150][2]~70983\ = CARRY((!\led_flash_cnt[3150][1]~70981\) # (!\led_flash_cnt[3150][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3150][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3150][1]~70981\,
	combout => \led_flash_cnt[3150][2]~70982_combout\,
	cout => \led_flash_cnt[3150][2]~70983\);

-- Location: FF_X41_Y8_N9
\led_flash_cnt[3150][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3150][2]~70982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3150][2]~q\);

-- Location: LCCOMB_X41_Y8_N10
\led_flash_cnt[3150][3]~70984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3150][3]~70984_combout\ = (\led_flash_cnt[3150][3]~q\ & (\led_flash_cnt[3150][2]~70983\ $ (GND))) # (!\led_flash_cnt[3150][3]~q\ & (!\led_flash_cnt[3150][2]~70983\ & VCC))
-- \led_flash_cnt[3150][3]~70985\ = CARRY((\led_flash_cnt[3150][3]~q\ & !\led_flash_cnt[3150][2]~70983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3150][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3150][2]~70983\,
	combout => \led_flash_cnt[3150][3]~70984_combout\,
	cout => \led_flash_cnt[3150][3]~70985\);

-- Location: FF_X41_Y8_N11
\led_flash_cnt[3150][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3150][3]~70984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3150][3]~q\);

-- Location: LCCOMB_X41_Y8_N12
\led_flash_cnt[3150][4]~70986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3150][4]~70986_combout\ = (\led_flash_cnt[3150][4]~q\ & (!\led_flash_cnt[3150][3]~70985\)) # (!\led_flash_cnt[3150][4]~q\ & ((\led_flash_cnt[3150][3]~70985\) # (GND)))
-- \led_flash_cnt[3150][4]~70987\ = CARRY((!\led_flash_cnt[3150][3]~70985\) # (!\led_flash_cnt[3150][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3150][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3150][3]~70985\,
	combout => \led_flash_cnt[3150][4]~70986_combout\,
	cout => \led_flash_cnt[3150][4]~70987\);

-- Location: FF_X41_Y8_N13
\led_flash_cnt[3150][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3150][4]~70986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3150][4]~q\);

-- Location: LCCOMB_X41_Y8_N14
\led_flash_cnt[3150][5]~70988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3150][5]~70988_combout\ = (\led_flash_cnt[3150][5]~q\ & (\led_flash_cnt[3150][4]~70987\ $ (GND))) # (!\led_flash_cnt[3150][5]~q\ & (!\led_flash_cnt[3150][4]~70987\ & VCC))
-- \led_flash_cnt[3150][5]~70989\ = CARRY((\led_flash_cnt[3150][5]~q\ & !\led_flash_cnt[3150][4]~70987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3150][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3150][4]~70987\,
	combout => \led_flash_cnt[3150][5]~70988_combout\,
	cout => \led_flash_cnt[3150][5]~70989\);

-- Location: FF_X41_Y8_N15
\led_flash_cnt[3150][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3150][5]~70988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3150][5]~q\);

-- Location: LCCOMB_X41_Y8_N16
\led_flash_cnt[3150][6]~70990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3150][6]~70990_combout\ = (\led_flash_cnt[3150][6]~q\ & (!\led_flash_cnt[3150][5]~70989\)) # (!\led_flash_cnt[3150][6]~q\ & ((\led_flash_cnt[3150][5]~70989\) # (GND)))
-- \led_flash_cnt[3150][6]~70991\ = CARRY((!\led_flash_cnt[3150][5]~70989\) # (!\led_flash_cnt[3150][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3150][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3150][5]~70989\,
	combout => \led_flash_cnt[3150][6]~70990_combout\,
	cout => \led_flash_cnt[3150][6]~70991\);

-- Location: FF_X41_Y8_N17
\led_flash_cnt[3150][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3150][6]~70990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3150][6]~q\);

-- Location: LCCOMB_X41_Y8_N26
\WideAnd3150~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3150~1_combout\ = (\led_flash_cnt[3150][5]~q\ & \led_flash_cnt[3150][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3150][5]~q\,
	datad => \led_flash_cnt[3150][6]~q\,
	combout => \WideAnd3150~1_combout\);

-- Location: LCCOMB_X41_Y8_N18
\led_flash_cnt[3150][7]~70992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3150][7]~70992_combout\ = \led_flash_cnt[3150][7]~q\ $ (!\led_flash_cnt[3150][6]~70991\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3150][7]~q\,
	cin => \led_flash_cnt[3150][6]~70991\,
	combout => \led_flash_cnt[3150][7]~70992_combout\);

-- Location: FF_X41_Y8_N19
\led_flash_cnt[3150][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3150][7]~70992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3150][7]~q\);

-- Location: LCCOMB_X41_Y8_N24
\WideAnd3150~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3150~0_combout\ = (\led_flash_cnt[3150][1]~q\ & (\led_flash_cnt[3150][3]~q\ & (\led_flash_cnt[3150][2]~q\ & \led_flash_cnt[3150][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3150][1]~q\,
	datab => \led_flash_cnt[3150][3]~q\,
	datac => \led_flash_cnt[3150][2]~q\,
	datad => \led_flash_cnt[3150][4]~q\,
	combout => \WideAnd3150~0_combout\);

-- Location: LCCOMB_X41_Y8_N0
WideAnd3150 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3150~combout\ = (\WideAnd3150~1_combout\ & (\led_flash_cnt[3150][0]~q\ & (\led_flash_cnt[3150][7]~q\ & \WideAnd3150~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3150~1_combout\,
	datab => \led_flash_cnt[3150][0]~q\,
	datac => \led_flash_cnt[3150][7]~q\,
	datad => \WideAnd3150~0_combout\,
	combout => \WideAnd3150~combout\);

-- Location: FF_X41_Y8_N1
\led_flash_cnt_ands[3150]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3150~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3150));

-- Location: LCCOMB_X19_Y1_N24
\led_flash_cnt[3148][0]~83788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3148][0]~83788_combout\ = !\led_flash_cnt[3148][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3148][0]~q\,
	combout => \led_flash_cnt[3148][0]~83788_combout\);

-- Location: FF_X19_Y1_N25
\led_flash_cnt[3148][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3148][0]~83788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3148][0]~q\);

-- Location: LCCOMB_X18_Y1_N18
\led_flash_cnt[3148][1]~70952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3148][1]~70952_combout\ = (\led_flash_cnt[3148][0]~q\ & (\led_flash_cnt[3148][1]~q\ $ (VCC))) # (!\led_flash_cnt[3148][0]~q\ & (\led_flash_cnt[3148][1]~q\ & VCC))
-- \led_flash_cnt[3148][1]~70953\ = CARRY((\led_flash_cnt[3148][0]~q\ & \led_flash_cnt[3148][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3148][0]~q\,
	datab => \led_flash_cnt[3148][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3148][1]~70952_combout\,
	cout => \led_flash_cnt[3148][1]~70953\);

-- Location: FF_X18_Y1_N19
\led_flash_cnt[3148][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3148][1]~70952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3148][1]~q\);

-- Location: LCCOMB_X18_Y1_N20
\led_flash_cnt[3148][2]~70954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3148][2]~70954_combout\ = (\led_flash_cnt[3148][2]~q\ & (!\led_flash_cnt[3148][1]~70953\)) # (!\led_flash_cnt[3148][2]~q\ & ((\led_flash_cnt[3148][1]~70953\) # (GND)))
-- \led_flash_cnt[3148][2]~70955\ = CARRY((!\led_flash_cnt[3148][1]~70953\) # (!\led_flash_cnt[3148][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3148][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3148][1]~70953\,
	combout => \led_flash_cnt[3148][2]~70954_combout\,
	cout => \led_flash_cnt[3148][2]~70955\);

-- Location: FF_X18_Y1_N21
\led_flash_cnt[3148][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3148][2]~70954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3148][2]~q\);

-- Location: LCCOMB_X18_Y1_N22
\led_flash_cnt[3148][3]~70956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3148][3]~70956_combout\ = (\led_flash_cnt[3148][3]~q\ & (\led_flash_cnt[3148][2]~70955\ $ (GND))) # (!\led_flash_cnt[3148][3]~q\ & (!\led_flash_cnt[3148][2]~70955\ & VCC))
-- \led_flash_cnt[3148][3]~70957\ = CARRY((\led_flash_cnt[3148][3]~q\ & !\led_flash_cnt[3148][2]~70955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3148][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3148][2]~70955\,
	combout => \led_flash_cnt[3148][3]~70956_combout\,
	cout => \led_flash_cnt[3148][3]~70957\);

-- Location: FF_X18_Y1_N23
\led_flash_cnt[3148][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3148][3]~70956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3148][3]~q\);

-- Location: LCCOMB_X18_Y1_N24
\led_flash_cnt[3148][4]~70958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3148][4]~70958_combout\ = (\led_flash_cnt[3148][4]~q\ & (!\led_flash_cnt[3148][3]~70957\)) # (!\led_flash_cnt[3148][4]~q\ & ((\led_flash_cnt[3148][3]~70957\) # (GND)))
-- \led_flash_cnt[3148][4]~70959\ = CARRY((!\led_flash_cnt[3148][3]~70957\) # (!\led_flash_cnt[3148][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3148][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3148][3]~70957\,
	combout => \led_flash_cnt[3148][4]~70958_combout\,
	cout => \led_flash_cnt[3148][4]~70959\);

-- Location: FF_X18_Y1_N25
\led_flash_cnt[3148][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3148][4]~70958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3148][4]~q\);

-- Location: LCCOMB_X18_Y1_N14
\WideAnd3148~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3148~0_combout\ = (\led_flash_cnt[3148][2]~q\ & (\led_flash_cnt[3148][1]~q\ & (\led_flash_cnt[3148][3]~q\ & \led_flash_cnt[3148][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3148][2]~q\,
	datab => \led_flash_cnt[3148][1]~q\,
	datac => \led_flash_cnt[3148][3]~q\,
	datad => \led_flash_cnt[3148][4]~q\,
	combout => \WideAnd3148~0_combout\);

-- Location: LCCOMB_X18_Y1_N26
\led_flash_cnt[3148][5]~70960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3148][5]~70960_combout\ = (\led_flash_cnt[3148][5]~q\ & (\led_flash_cnt[3148][4]~70959\ $ (GND))) # (!\led_flash_cnt[3148][5]~q\ & (!\led_flash_cnt[3148][4]~70959\ & VCC))
-- \led_flash_cnt[3148][5]~70961\ = CARRY((\led_flash_cnt[3148][5]~q\ & !\led_flash_cnt[3148][4]~70959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3148][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3148][4]~70959\,
	combout => \led_flash_cnt[3148][5]~70960_combout\,
	cout => \led_flash_cnt[3148][5]~70961\);

-- Location: FF_X18_Y1_N27
\led_flash_cnt[3148][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3148][5]~70960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3148][5]~q\);

-- Location: LCCOMB_X18_Y1_N28
\led_flash_cnt[3148][6]~70962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3148][6]~70962_combout\ = (\led_flash_cnt[3148][6]~q\ & (!\led_flash_cnt[3148][5]~70961\)) # (!\led_flash_cnt[3148][6]~q\ & ((\led_flash_cnt[3148][5]~70961\) # (GND)))
-- \led_flash_cnt[3148][6]~70963\ = CARRY((!\led_flash_cnt[3148][5]~70961\) # (!\led_flash_cnt[3148][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3148][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3148][5]~70961\,
	combout => \led_flash_cnt[3148][6]~70962_combout\,
	cout => \led_flash_cnt[3148][6]~70963\);

-- Location: FF_X18_Y1_N29
\led_flash_cnt[3148][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3148][6]~70962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3148][6]~q\);

-- Location: LCCOMB_X18_Y1_N30
\led_flash_cnt[3148][7]~70964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3148][7]~70964_combout\ = \led_flash_cnt[3148][7]~q\ $ (!\led_flash_cnt[3148][6]~70963\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3148][7]~q\,
	cin => \led_flash_cnt[3148][6]~70963\,
	combout => \led_flash_cnt[3148][7]~70964_combout\);

-- Location: FF_X18_Y1_N31
\led_flash_cnt[3148][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3148][7]~70964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3148][7]~q\);

-- Location: LCCOMB_X19_Y1_N30
\WideAnd3148~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3148~1_combout\ = (\led_flash_cnt[3148][5]~q\ & \led_flash_cnt[3148][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3148][5]~q\,
	datad => \led_flash_cnt[3148][6]~q\,
	combout => \WideAnd3148~1_combout\);

-- Location: LCCOMB_X19_Y1_N14
WideAnd3148 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3148~combout\ = (\WideAnd3148~0_combout\ & (\led_flash_cnt[3148][7]~q\ & (\WideAnd3148~1_combout\ & \led_flash_cnt[3148][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3148~0_combout\,
	datab => \led_flash_cnt[3148][7]~q\,
	datac => \WideAnd3148~1_combout\,
	datad => \led_flash_cnt[3148][0]~q\,
	combout => \WideAnd3148~combout\);

-- Location: FF_X19_Y1_N15
\led_flash_cnt_ands[3148]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3148~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3148));

-- Location: LCCOMB_X19_Y1_N16
\led_flash_cnt[3149][0]~83789\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3149][0]~83789_combout\ = !\led_flash_cnt[3149][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3149][0]~q\,
	combout => \led_flash_cnt[3149][0]~83789_combout\);

-- Location: FF_X19_Y1_N17
\led_flash_cnt[3149][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3149][0]~83789_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3149][0]~q\);

-- Location: LCCOMB_X19_Y1_N0
\led_flash_cnt[3149][1]~70966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3149][1]~70966_combout\ = (\led_flash_cnt[3149][1]~q\ & (\led_flash_cnt[3149][0]~q\ $ (VCC))) # (!\led_flash_cnt[3149][1]~q\ & (\led_flash_cnt[3149][0]~q\ & VCC))
-- \led_flash_cnt[3149][1]~70967\ = CARRY((\led_flash_cnt[3149][1]~q\ & \led_flash_cnt[3149][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3149][1]~q\,
	datab => \led_flash_cnt[3149][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3149][1]~70966_combout\,
	cout => \led_flash_cnt[3149][1]~70967\);

-- Location: FF_X19_Y1_N1
\led_flash_cnt[3149][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3149][1]~70966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3149][1]~q\);

-- Location: LCCOMB_X19_Y1_N2
\led_flash_cnt[3149][2]~70968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3149][2]~70968_combout\ = (\led_flash_cnt[3149][2]~q\ & (!\led_flash_cnt[3149][1]~70967\)) # (!\led_flash_cnt[3149][2]~q\ & ((\led_flash_cnt[3149][1]~70967\) # (GND)))
-- \led_flash_cnt[3149][2]~70969\ = CARRY((!\led_flash_cnt[3149][1]~70967\) # (!\led_flash_cnt[3149][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3149][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3149][1]~70967\,
	combout => \led_flash_cnt[3149][2]~70968_combout\,
	cout => \led_flash_cnt[3149][2]~70969\);

-- Location: FF_X19_Y1_N3
\led_flash_cnt[3149][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3149][2]~70968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3149][2]~q\);

-- Location: LCCOMB_X19_Y1_N4
\led_flash_cnt[3149][3]~70970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3149][3]~70970_combout\ = (\led_flash_cnt[3149][3]~q\ & (\led_flash_cnt[3149][2]~70969\ $ (GND))) # (!\led_flash_cnt[3149][3]~q\ & (!\led_flash_cnt[3149][2]~70969\ & VCC))
-- \led_flash_cnt[3149][3]~70971\ = CARRY((\led_flash_cnt[3149][3]~q\ & !\led_flash_cnt[3149][2]~70969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3149][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3149][2]~70969\,
	combout => \led_flash_cnt[3149][3]~70970_combout\,
	cout => \led_flash_cnt[3149][3]~70971\);

-- Location: FF_X19_Y1_N5
\led_flash_cnt[3149][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3149][3]~70970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3149][3]~q\);

-- Location: LCCOMB_X19_Y1_N6
\led_flash_cnt[3149][4]~70972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3149][4]~70972_combout\ = (\led_flash_cnt[3149][4]~q\ & (!\led_flash_cnt[3149][3]~70971\)) # (!\led_flash_cnt[3149][4]~q\ & ((\led_flash_cnt[3149][3]~70971\) # (GND)))
-- \led_flash_cnt[3149][4]~70973\ = CARRY((!\led_flash_cnt[3149][3]~70971\) # (!\led_flash_cnt[3149][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3149][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3149][3]~70971\,
	combout => \led_flash_cnt[3149][4]~70972_combout\,
	cout => \led_flash_cnt[3149][4]~70973\);

-- Location: FF_X19_Y1_N7
\led_flash_cnt[3149][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3149][4]~70972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3149][4]~q\);

-- Location: LCCOMB_X19_Y1_N8
\led_flash_cnt[3149][5]~70974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3149][5]~70974_combout\ = (\led_flash_cnt[3149][5]~q\ & (\led_flash_cnt[3149][4]~70973\ $ (GND))) # (!\led_flash_cnt[3149][5]~q\ & (!\led_flash_cnt[3149][4]~70973\ & VCC))
-- \led_flash_cnt[3149][5]~70975\ = CARRY((\led_flash_cnt[3149][5]~q\ & !\led_flash_cnt[3149][4]~70973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3149][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3149][4]~70973\,
	combout => \led_flash_cnt[3149][5]~70974_combout\,
	cout => \led_flash_cnt[3149][5]~70975\);

-- Location: FF_X19_Y1_N9
\led_flash_cnt[3149][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3149][5]~70974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3149][5]~q\);

-- Location: LCCOMB_X19_Y1_N10
\led_flash_cnt[3149][6]~70976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3149][6]~70976_combout\ = (\led_flash_cnt[3149][6]~q\ & (!\led_flash_cnt[3149][5]~70975\)) # (!\led_flash_cnt[3149][6]~q\ & ((\led_flash_cnt[3149][5]~70975\) # (GND)))
-- \led_flash_cnt[3149][6]~70977\ = CARRY((!\led_flash_cnt[3149][5]~70975\) # (!\led_flash_cnt[3149][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3149][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3149][5]~70975\,
	combout => \led_flash_cnt[3149][6]~70976_combout\,
	cout => \led_flash_cnt[3149][6]~70977\);

-- Location: FF_X19_Y1_N11
\led_flash_cnt[3149][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3149][6]~70976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3149][6]~q\);

-- Location: LCCOMB_X19_Y1_N12
\led_flash_cnt[3149][7]~70978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3149][7]~70978_combout\ = \led_flash_cnt[3149][6]~70977\ $ (!\led_flash_cnt[3149][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3149][7]~q\,
	cin => \led_flash_cnt[3149][6]~70977\,
	combout => \led_flash_cnt[3149][7]~70978_combout\);

-- Location: FF_X19_Y1_N13
\led_flash_cnt[3149][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3149][7]~70978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3149][7]~q\);

-- Location: LCCOMB_X19_Y1_N26
\WideAnd3149~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3149~1_combout\ = (\led_flash_cnt[3149][5]~q\ & \led_flash_cnt[3149][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3149][5]~q\,
	datad => \led_flash_cnt[3149][6]~q\,
	combout => \WideAnd3149~1_combout\);

-- Location: LCCOMB_X19_Y1_N18
\WideAnd3149~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3149~0_combout\ = (\led_flash_cnt[3149][4]~q\ & (\led_flash_cnt[3149][1]~q\ & (\led_flash_cnt[3149][3]~q\ & \led_flash_cnt[3149][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3149][4]~q\,
	datab => \led_flash_cnt[3149][1]~q\,
	datac => \led_flash_cnt[3149][3]~q\,
	datad => \led_flash_cnt[3149][2]~q\,
	combout => \WideAnd3149~0_combout\);

-- Location: LCCOMB_X19_Y1_N20
WideAnd3149 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3149~combout\ = (\led_flash_cnt[3149][7]~q\ & (\led_flash_cnt[3149][0]~q\ & (\WideAnd3149~1_combout\ & \WideAnd3149~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3149][7]~q\,
	datab => \led_flash_cnt[3149][0]~q\,
	datac => \WideAnd3149~1_combout\,
	datad => \WideAnd3149~0_combout\,
	combout => \WideAnd3149~combout\);

-- Location: FF_X19_Y1_N21
\led_flash_cnt_ands[3149]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3149~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3149));

-- Location: LCCOMB_X19_Y1_N28
\WideAnd4233~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4233~1_combout\ = (led_flash_cnt_ands(3148) & led_flash_cnt_ands(3149))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3148),
	datad => led_flash_cnt_ands(3149),
	combout => \WideAnd4233~1_combout\);

-- Location: LCCOMB_X41_Y8_N30
\led_flash_cnt[3151][0]~83791\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3151][0]~83791_combout\ = !\led_flash_cnt[3151][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3151][0]~q\,
	combout => \led_flash_cnt[3151][0]~83791_combout\);

-- Location: FF_X41_Y8_N31
\led_flash_cnt[3151][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3151][0]~83791_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3151][0]~q\);

-- Location: LCCOMB_X42_Y8_N14
\led_flash_cnt[3151][1]~70994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3151][1]~70994_combout\ = (\led_flash_cnt[3151][0]~q\ & (\led_flash_cnt[3151][1]~q\ $ (VCC))) # (!\led_flash_cnt[3151][0]~q\ & (\led_flash_cnt[3151][1]~q\ & VCC))
-- \led_flash_cnt[3151][1]~70995\ = CARRY((\led_flash_cnt[3151][0]~q\ & \led_flash_cnt[3151][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3151][0]~q\,
	datab => \led_flash_cnt[3151][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3151][1]~70994_combout\,
	cout => \led_flash_cnt[3151][1]~70995\);

-- Location: FF_X42_Y8_N15
\led_flash_cnt[3151][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3151][1]~70994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3151][1]~q\);

-- Location: LCCOMB_X42_Y8_N16
\led_flash_cnt[3151][2]~70996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3151][2]~70996_combout\ = (\led_flash_cnt[3151][2]~q\ & (!\led_flash_cnt[3151][1]~70995\)) # (!\led_flash_cnt[3151][2]~q\ & ((\led_flash_cnt[3151][1]~70995\) # (GND)))
-- \led_flash_cnt[3151][2]~70997\ = CARRY((!\led_flash_cnt[3151][1]~70995\) # (!\led_flash_cnt[3151][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3151][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3151][1]~70995\,
	combout => \led_flash_cnt[3151][2]~70996_combout\,
	cout => \led_flash_cnt[3151][2]~70997\);

-- Location: FF_X42_Y8_N17
\led_flash_cnt[3151][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3151][2]~70996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3151][2]~q\);

-- Location: LCCOMB_X42_Y8_N18
\led_flash_cnt[3151][3]~70998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3151][3]~70998_combout\ = (\led_flash_cnt[3151][3]~q\ & (\led_flash_cnt[3151][2]~70997\ $ (GND))) # (!\led_flash_cnt[3151][3]~q\ & (!\led_flash_cnt[3151][2]~70997\ & VCC))
-- \led_flash_cnt[3151][3]~70999\ = CARRY((\led_flash_cnt[3151][3]~q\ & !\led_flash_cnt[3151][2]~70997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3151][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3151][2]~70997\,
	combout => \led_flash_cnt[3151][3]~70998_combout\,
	cout => \led_flash_cnt[3151][3]~70999\);

-- Location: FF_X42_Y8_N19
\led_flash_cnt[3151][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3151][3]~70998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3151][3]~q\);

-- Location: LCCOMB_X42_Y8_N20
\led_flash_cnt[3151][4]~71000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3151][4]~71000_combout\ = (\led_flash_cnt[3151][4]~q\ & (!\led_flash_cnt[3151][3]~70999\)) # (!\led_flash_cnt[3151][4]~q\ & ((\led_flash_cnt[3151][3]~70999\) # (GND)))
-- \led_flash_cnt[3151][4]~71001\ = CARRY((!\led_flash_cnt[3151][3]~70999\) # (!\led_flash_cnt[3151][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3151][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3151][3]~70999\,
	combout => \led_flash_cnt[3151][4]~71000_combout\,
	cout => \led_flash_cnt[3151][4]~71001\);

-- Location: FF_X42_Y8_N21
\led_flash_cnt[3151][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3151][4]~71000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3151][4]~q\);

-- Location: LCCOMB_X42_Y8_N22
\led_flash_cnt[3151][5]~71002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3151][5]~71002_combout\ = (\led_flash_cnt[3151][5]~q\ & (\led_flash_cnt[3151][4]~71001\ $ (GND))) # (!\led_flash_cnt[3151][5]~q\ & (!\led_flash_cnt[3151][4]~71001\ & VCC))
-- \led_flash_cnt[3151][5]~71003\ = CARRY((\led_flash_cnt[3151][5]~q\ & !\led_flash_cnt[3151][4]~71001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3151][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3151][4]~71001\,
	combout => \led_flash_cnt[3151][5]~71002_combout\,
	cout => \led_flash_cnt[3151][5]~71003\);

-- Location: FF_X42_Y8_N23
\led_flash_cnt[3151][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3151][5]~71002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3151][5]~q\);

-- Location: LCCOMB_X42_Y8_N24
\led_flash_cnt[3151][6]~71004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3151][6]~71004_combout\ = (\led_flash_cnt[3151][6]~q\ & (!\led_flash_cnt[3151][5]~71003\)) # (!\led_flash_cnt[3151][6]~q\ & ((\led_flash_cnt[3151][5]~71003\) # (GND)))
-- \led_flash_cnt[3151][6]~71005\ = CARRY((!\led_flash_cnt[3151][5]~71003\) # (!\led_flash_cnt[3151][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3151][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3151][5]~71003\,
	combout => \led_flash_cnt[3151][6]~71004_combout\,
	cout => \led_flash_cnt[3151][6]~71005\);

-- Location: FF_X42_Y8_N25
\led_flash_cnt[3151][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3151][6]~71004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3151][6]~q\);

-- Location: LCCOMB_X42_Y8_N26
\led_flash_cnt[3151][7]~71006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3151][7]~71006_combout\ = \led_flash_cnt[3151][7]~q\ $ (!\led_flash_cnt[3151][6]~71005\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3151][7]~q\,
	cin => \led_flash_cnt[3151][6]~71005\,
	combout => \led_flash_cnt[3151][7]~71006_combout\);

-- Location: FF_X42_Y8_N27
\led_flash_cnt[3151][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3151][7]~71006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3151][7]~q\);

-- Location: LCCOMB_X41_Y8_N4
\WideAnd3151~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3151~1_combout\ = (\led_flash_cnt[3151][6]~q\ & \led_flash_cnt[3151][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3151][6]~q\,
	datad => \led_flash_cnt[3151][5]~q\,
	combout => \WideAnd3151~1_combout\);

-- Location: LCCOMB_X42_Y8_N28
\WideAnd3151~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3151~0_combout\ = (\led_flash_cnt[3151][3]~q\ & (\led_flash_cnt[3151][4]~q\ & (\led_flash_cnt[3151][1]~q\ & \led_flash_cnt[3151][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3151][3]~q\,
	datab => \led_flash_cnt[3151][4]~q\,
	datac => \led_flash_cnt[3151][1]~q\,
	datad => \led_flash_cnt[3151][2]~q\,
	combout => \WideAnd3151~0_combout\);

-- Location: LCCOMB_X41_Y8_N20
WideAnd3151 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3151~combout\ = (\led_flash_cnt[3151][0]~q\ & (\led_flash_cnt[3151][7]~q\ & (\WideAnd3151~1_combout\ & \WideAnd3151~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3151][0]~q\,
	datab => \led_flash_cnt[3151][7]~q\,
	datac => \WideAnd3151~1_combout\,
	datad => \WideAnd3151~0_combout\,
	combout => \WideAnd3151~combout\);

-- Location: FF_X41_Y8_N21
\led_flash_cnt_ands[3151]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3151~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3151));

-- Location: LCCOMB_X41_Y8_N22
WideAnd4233 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4233~combout\ = (\WideAnd4233~0_combout\ & (led_flash_cnt_ands(3150) & (\WideAnd4233~1_combout\ & led_flash_cnt_ands(3151))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4233~0_combout\,
	datab => led_flash_cnt_ands(3150),
	datac => \WideAnd4233~1_combout\,
	datad => led_flash_cnt_ands(3151),
	combout => \WideAnd4233~combout\);

-- Location: FF_X41_Y8_N23
\led_flash_cnt_ands_1[393]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4233~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(393));

-- Location: LCCOMB_X31_Y5_N28
\led_flash_cnt[3142][0]~83782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3142][0]~83782_combout\ = !\led_flash_cnt[3142][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3142][0]~q\,
	combout => \led_flash_cnt[3142][0]~83782_combout\);

-- Location: FF_X31_Y5_N29
\led_flash_cnt[3142][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3142][0]~83782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3142][0]~q\);

-- Location: LCCOMB_X27_Y5_N0
\led_flash_cnt[3142][1]~70868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3142][1]~70868_combout\ = (\led_flash_cnt[3142][0]~q\ & (\led_flash_cnt[3142][1]~q\ $ (VCC))) # (!\led_flash_cnt[3142][0]~q\ & (\led_flash_cnt[3142][1]~q\ & VCC))
-- \led_flash_cnt[3142][1]~70869\ = CARRY((\led_flash_cnt[3142][0]~q\ & \led_flash_cnt[3142][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3142][0]~q\,
	datab => \led_flash_cnt[3142][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3142][1]~70868_combout\,
	cout => \led_flash_cnt[3142][1]~70869\);

-- Location: FF_X27_Y5_N1
\led_flash_cnt[3142][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3142][1]~70868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3142][1]~q\);

-- Location: LCCOMB_X27_Y5_N2
\led_flash_cnt[3142][2]~70870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3142][2]~70870_combout\ = (\led_flash_cnt[3142][2]~q\ & (!\led_flash_cnt[3142][1]~70869\)) # (!\led_flash_cnt[3142][2]~q\ & ((\led_flash_cnt[3142][1]~70869\) # (GND)))
-- \led_flash_cnt[3142][2]~70871\ = CARRY((!\led_flash_cnt[3142][1]~70869\) # (!\led_flash_cnt[3142][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3142][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3142][1]~70869\,
	combout => \led_flash_cnt[3142][2]~70870_combout\,
	cout => \led_flash_cnt[3142][2]~70871\);

-- Location: FF_X27_Y5_N3
\led_flash_cnt[3142][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3142][2]~70870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3142][2]~q\);

-- Location: LCCOMB_X27_Y5_N4
\led_flash_cnt[3142][3]~70872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3142][3]~70872_combout\ = (\led_flash_cnt[3142][3]~q\ & (\led_flash_cnt[3142][2]~70871\ $ (GND))) # (!\led_flash_cnt[3142][3]~q\ & (!\led_flash_cnt[3142][2]~70871\ & VCC))
-- \led_flash_cnt[3142][3]~70873\ = CARRY((\led_flash_cnt[3142][3]~q\ & !\led_flash_cnt[3142][2]~70871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3142][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3142][2]~70871\,
	combout => \led_flash_cnt[3142][3]~70872_combout\,
	cout => \led_flash_cnt[3142][3]~70873\);

-- Location: FF_X27_Y5_N5
\led_flash_cnt[3142][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3142][3]~70872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3142][3]~q\);

-- Location: LCCOMB_X27_Y5_N6
\led_flash_cnt[3142][4]~70874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3142][4]~70874_combout\ = (\led_flash_cnt[3142][4]~q\ & (!\led_flash_cnt[3142][3]~70873\)) # (!\led_flash_cnt[3142][4]~q\ & ((\led_flash_cnt[3142][3]~70873\) # (GND)))
-- \led_flash_cnt[3142][4]~70875\ = CARRY((!\led_flash_cnt[3142][3]~70873\) # (!\led_flash_cnt[3142][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3142][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3142][3]~70873\,
	combout => \led_flash_cnt[3142][4]~70874_combout\,
	cout => \led_flash_cnt[3142][4]~70875\);

-- Location: FF_X27_Y5_N7
\led_flash_cnt[3142][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3142][4]~70874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3142][4]~q\);

-- Location: LCCOMB_X27_Y5_N16
\WideAnd3142~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3142~0_combout\ = (\led_flash_cnt[3142][4]~q\ & (\led_flash_cnt[3142][1]~q\ & (\led_flash_cnt[3142][3]~q\ & \led_flash_cnt[3142][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3142][4]~q\,
	datab => \led_flash_cnt[3142][1]~q\,
	datac => \led_flash_cnt[3142][3]~q\,
	datad => \led_flash_cnt[3142][2]~q\,
	combout => \WideAnd3142~0_combout\);

-- Location: LCCOMB_X27_Y5_N8
\led_flash_cnt[3142][5]~70876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3142][5]~70876_combout\ = (\led_flash_cnt[3142][5]~q\ & (\led_flash_cnt[3142][4]~70875\ $ (GND))) # (!\led_flash_cnt[3142][5]~q\ & (!\led_flash_cnt[3142][4]~70875\ & VCC))
-- \led_flash_cnt[3142][5]~70877\ = CARRY((\led_flash_cnt[3142][5]~q\ & !\led_flash_cnt[3142][4]~70875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3142][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3142][4]~70875\,
	combout => \led_flash_cnt[3142][5]~70876_combout\,
	cout => \led_flash_cnt[3142][5]~70877\);

-- Location: FF_X27_Y5_N9
\led_flash_cnt[3142][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3142][5]~70876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3142][5]~q\);

-- Location: LCCOMB_X27_Y5_N10
\led_flash_cnt[3142][6]~70878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3142][6]~70878_combout\ = (\led_flash_cnt[3142][6]~q\ & (!\led_flash_cnt[3142][5]~70877\)) # (!\led_flash_cnt[3142][6]~q\ & ((\led_flash_cnt[3142][5]~70877\) # (GND)))
-- \led_flash_cnt[3142][6]~70879\ = CARRY((!\led_flash_cnt[3142][5]~70877\) # (!\led_flash_cnt[3142][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3142][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3142][5]~70877\,
	combout => \led_flash_cnt[3142][6]~70878_combout\,
	cout => \led_flash_cnt[3142][6]~70879\);

-- Location: FF_X27_Y5_N11
\led_flash_cnt[3142][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3142][6]~70878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3142][6]~q\);

-- Location: LCCOMB_X31_Y5_N30
\WideAnd3142~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3142~1_combout\ = (\led_flash_cnt[3142][6]~q\ & \led_flash_cnt[3142][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3142][6]~q\,
	datad => \led_flash_cnt[3142][5]~q\,
	combout => \WideAnd3142~1_combout\);

-- Location: LCCOMB_X27_Y5_N12
\led_flash_cnt[3142][7]~70880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3142][7]~70880_combout\ = \led_flash_cnt[3142][6]~70879\ $ (!\led_flash_cnt[3142][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3142][7]~q\,
	cin => \led_flash_cnt[3142][6]~70879\,
	combout => \led_flash_cnt[3142][7]~70880_combout\);

-- Location: FF_X27_Y5_N13
\led_flash_cnt[3142][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3142][7]~70880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3142][7]~q\);

-- Location: LCCOMB_X31_Y5_N26
WideAnd3142 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3142~combout\ = (\WideAnd3142~0_combout\ & (\led_flash_cnt[3142][0]~q\ & (\WideAnd3142~1_combout\ & \led_flash_cnt[3142][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3142~0_combout\,
	datab => \led_flash_cnt[3142][0]~q\,
	datac => \WideAnd3142~1_combout\,
	datad => \led_flash_cnt[3142][7]~q\,
	combout => \WideAnd3142~combout\);

-- Location: FF_X31_Y5_N27
\led_flash_cnt_ands[3142]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3142~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3142));

-- Location: LCCOMB_X38_Y3_N14
\led_flash_cnt[3143][0]~83783\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3143][0]~83783_combout\ = !\led_flash_cnt[3143][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3143][0]~q\,
	combout => \led_flash_cnt[3143][0]~83783_combout\);

-- Location: FF_X38_Y3_N15
\led_flash_cnt[3143][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3143][0]~83783_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3143][0]~q\);

-- Location: LCCOMB_X39_Y3_N2
\led_flash_cnt[3143][1]~70882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3143][1]~70882_combout\ = (\led_flash_cnt[3143][0]~q\ & (\led_flash_cnt[3143][1]~q\ $ (VCC))) # (!\led_flash_cnt[3143][0]~q\ & (\led_flash_cnt[3143][1]~q\ & VCC))
-- \led_flash_cnt[3143][1]~70883\ = CARRY((\led_flash_cnt[3143][0]~q\ & \led_flash_cnt[3143][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3143][0]~q\,
	datab => \led_flash_cnt[3143][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3143][1]~70882_combout\,
	cout => \led_flash_cnt[3143][1]~70883\);

-- Location: FF_X39_Y3_N3
\led_flash_cnt[3143][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3143][1]~70882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3143][1]~q\);

-- Location: LCCOMB_X39_Y3_N4
\led_flash_cnt[3143][2]~70884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3143][2]~70884_combout\ = (\led_flash_cnt[3143][2]~q\ & (!\led_flash_cnt[3143][1]~70883\)) # (!\led_flash_cnt[3143][2]~q\ & ((\led_flash_cnt[3143][1]~70883\) # (GND)))
-- \led_flash_cnt[3143][2]~70885\ = CARRY((!\led_flash_cnt[3143][1]~70883\) # (!\led_flash_cnt[3143][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3143][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3143][1]~70883\,
	combout => \led_flash_cnt[3143][2]~70884_combout\,
	cout => \led_flash_cnt[3143][2]~70885\);

-- Location: FF_X39_Y3_N5
\led_flash_cnt[3143][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3143][2]~70884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3143][2]~q\);

-- Location: LCCOMB_X39_Y3_N6
\led_flash_cnt[3143][3]~70886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3143][3]~70886_combout\ = (\led_flash_cnt[3143][3]~q\ & (\led_flash_cnt[3143][2]~70885\ $ (GND))) # (!\led_flash_cnt[3143][3]~q\ & (!\led_flash_cnt[3143][2]~70885\ & VCC))
-- \led_flash_cnt[3143][3]~70887\ = CARRY((\led_flash_cnt[3143][3]~q\ & !\led_flash_cnt[3143][2]~70885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3143][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3143][2]~70885\,
	combout => \led_flash_cnt[3143][3]~70886_combout\,
	cout => \led_flash_cnt[3143][3]~70887\);

-- Location: FF_X39_Y3_N7
\led_flash_cnt[3143][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3143][3]~70886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3143][3]~q\);

-- Location: LCCOMB_X39_Y3_N8
\led_flash_cnt[3143][4]~70888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3143][4]~70888_combout\ = (\led_flash_cnt[3143][4]~q\ & (!\led_flash_cnt[3143][3]~70887\)) # (!\led_flash_cnt[3143][4]~q\ & ((\led_flash_cnt[3143][3]~70887\) # (GND)))
-- \led_flash_cnt[3143][4]~70889\ = CARRY((!\led_flash_cnt[3143][3]~70887\) # (!\led_flash_cnt[3143][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3143][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3143][3]~70887\,
	combout => \led_flash_cnt[3143][4]~70888_combout\,
	cout => \led_flash_cnt[3143][4]~70889\);

-- Location: FF_X39_Y3_N9
\led_flash_cnt[3143][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3143][4]~70888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3143][4]~q\);

-- Location: LCCOMB_X39_Y3_N30
\WideAnd3143~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3143~0_combout\ = (\led_flash_cnt[3143][3]~q\ & (\led_flash_cnt[3143][2]~q\ & (\led_flash_cnt[3143][4]~q\ & \led_flash_cnt[3143][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3143][3]~q\,
	datab => \led_flash_cnt[3143][2]~q\,
	datac => \led_flash_cnt[3143][4]~q\,
	datad => \led_flash_cnt[3143][1]~q\,
	combout => \WideAnd3143~0_combout\);

-- Location: LCCOMB_X39_Y3_N10
\led_flash_cnt[3143][5]~70890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3143][5]~70890_combout\ = (\led_flash_cnt[3143][5]~q\ & (\led_flash_cnt[3143][4]~70889\ $ (GND))) # (!\led_flash_cnt[3143][5]~q\ & (!\led_flash_cnt[3143][4]~70889\ & VCC))
-- \led_flash_cnt[3143][5]~70891\ = CARRY((\led_flash_cnt[3143][5]~q\ & !\led_flash_cnt[3143][4]~70889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3143][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3143][4]~70889\,
	combout => \led_flash_cnt[3143][5]~70890_combout\,
	cout => \led_flash_cnt[3143][5]~70891\);

-- Location: FF_X39_Y3_N11
\led_flash_cnt[3143][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3143][5]~70890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3143][5]~q\);

-- Location: LCCOMB_X39_Y3_N12
\led_flash_cnt[3143][6]~70892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3143][6]~70892_combout\ = (\led_flash_cnt[3143][6]~q\ & (!\led_flash_cnt[3143][5]~70891\)) # (!\led_flash_cnt[3143][6]~q\ & ((\led_flash_cnt[3143][5]~70891\) # (GND)))
-- \led_flash_cnt[3143][6]~70893\ = CARRY((!\led_flash_cnt[3143][5]~70891\) # (!\led_flash_cnt[3143][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3143][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3143][5]~70891\,
	combout => \led_flash_cnt[3143][6]~70892_combout\,
	cout => \led_flash_cnt[3143][6]~70893\);

-- Location: FF_X39_Y3_N13
\led_flash_cnt[3143][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3143][6]~70892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3143][6]~q\);

-- Location: LCCOMB_X39_Y3_N14
\led_flash_cnt[3143][7]~70894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3143][7]~70894_combout\ = \led_flash_cnt[3143][7]~q\ $ (!\led_flash_cnt[3143][6]~70893\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3143][7]~q\,
	cin => \led_flash_cnt[3143][6]~70893\,
	combout => \led_flash_cnt[3143][7]~70894_combout\);

-- Location: FF_X39_Y3_N15
\led_flash_cnt[3143][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3143][7]~70894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3143][7]~q\);

-- Location: LCCOMB_X38_Y3_N12
\WideAnd3143~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3143~1_combout\ = (\led_flash_cnt[3143][6]~q\ & \led_flash_cnt[3143][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3143][6]~q\,
	datac => \led_flash_cnt[3143][5]~q\,
	combout => \WideAnd3143~1_combout\);

-- Location: LCCOMB_X38_Y3_N16
WideAnd3143 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3143~combout\ = (\WideAnd3143~0_combout\ & (\led_flash_cnt[3143][0]~q\ & (\led_flash_cnt[3143][7]~q\ & \WideAnd3143~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3143~0_combout\,
	datab => \led_flash_cnt[3143][0]~q\,
	datac => \led_flash_cnt[3143][7]~q\,
	datad => \WideAnd3143~1_combout\,
	combout => \WideAnd3143~combout\);

-- Location: FF_X38_Y3_N17
\led_flash_cnt_ands[3143]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3143~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3143));

-- Location: LCCOMB_X34_Y21_N12
\led_flash_cnt[3141][0]~83781\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3141][0]~83781_combout\ = !\led_flash_cnt[3141][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3141][0]~q\,
	combout => \led_flash_cnt[3141][0]~83781_combout\);

-- Location: FF_X34_Y21_N13
\led_flash_cnt[3141][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3141][0]~83781_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3141][0]~q\);

-- Location: LCCOMB_X32_Y21_N2
\led_flash_cnt[3141][1]~70854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3141][1]~70854_combout\ = (\led_flash_cnt[3141][0]~q\ & (\led_flash_cnt[3141][1]~q\ $ (VCC))) # (!\led_flash_cnt[3141][0]~q\ & (\led_flash_cnt[3141][1]~q\ & VCC))
-- \led_flash_cnt[3141][1]~70855\ = CARRY((\led_flash_cnt[3141][0]~q\ & \led_flash_cnt[3141][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3141][0]~q\,
	datab => \led_flash_cnt[3141][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3141][1]~70854_combout\,
	cout => \led_flash_cnt[3141][1]~70855\);

-- Location: FF_X32_Y21_N3
\led_flash_cnt[3141][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3141][1]~70854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3141][1]~q\);

-- Location: LCCOMB_X32_Y21_N4
\led_flash_cnt[3141][2]~70856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3141][2]~70856_combout\ = (\led_flash_cnt[3141][2]~q\ & (!\led_flash_cnt[3141][1]~70855\)) # (!\led_flash_cnt[3141][2]~q\ & ((\led_flash_cnt[3141][1]~70855\) # (GND)))
-- \led_flash_cnt[3141][2]~70857\ = CARRY((!\led_flash_cnt[3141][1]~70855\) # (!\led_flash_cnt[3141][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3141][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3141][1]~70855\,
	combout => \led_flash_cnt[3141][2]~70856_combout\,
	cout => \led_flash_cnt[3141][2]~70857\);

-- Location: FF_X32_Y21_N5
\led_flash_cnt[3141][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3141][2]~70856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3141][2]~q\);

-- Location: LCCOMB_X32_Y21_N6
\led_flash_cnt[3141][3]~70858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3141][3]~70858_combout\ = (\led_flash_cnt[3141][3]~q\ & (\led_flash_cnt[3141][2]~70857\ $ (GND))) # (!\led_flash_cnt[3141][3]~q\ & (!\led_flash_cnt[3141][2]~70857\ & VCC))
-- \led_flash_cnt[3141][3]~70859\ = CARRY((\led_flash_cnt[3141][3]~q\ & !\led_flash_cnt[3141][2]~70857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3141][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3141][2]~70857\,
	combout => \led_flash_cnt[3141][3]~70858_combout\,
	cout => \led_flash_cnt[3141][3]~70859\);

-- Location: FF_X32_Y21_N7
\led_flash_cnt[3141][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3141][3]~70858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3141][3]~q\);

-- Location: LCCOMB_X32_Y21_N8
\led_flash_cnt[3141][4]~70860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3141][4]~70860_combout\ = (\led_flash_cnt[3141][4]~q\ & (!\led_flash_cnt[3141][3]~70859\)) # (!\led_flash_cnt[3141][4]~q\ & ((\led_flash_cnt[3141][3]~70859\) # (GND)))
-- \led_flash_cnt[3141][4]~70861\ = CARRY((!\led_flash_cnt[3141][3]~70859\) # (!\led_flash_cnt[3141][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3141][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3141][3]~70859\,
	combout => \led_flash_cnt[3141][4]~70860_combout\,
	cout => \led_flash_cnt[3141][4]~70861\);

-- Location: FF_X32_Y21_N9
\led_flash_cnt[3141][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3141][4]~70860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3141][4]~q\);

-- Location: LCCOMB_X32_Y21_N30
\WideAnd3141~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3141~0_combout\ = (\led_flash_cnt[3141][3]~q\ & (\led_flash_cnt[3141][4]~q\ & (\led_flash_cnt[3141][2]~q\ & \led_flash_cnt[3141][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3141][3]~q\,
	datab => \led_flash_cnt[3141][4]~q\,
	datac => \led_flash_cnt[3141][2]~q\,
	datad => \led_flash_cnt[3141][1]~q\,
	combout => \WideAnd3141~0_combout\);

-- Location: LCCOMB_X32_Y21_N10
\led_flash_cnt[3141][5]~70862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3141][5]~70862_combout\ = (\led_flash_cnt[3141][5]~q\ & (\led_flash_cnt[3141][4]~70861\ $ (GND))) # (!\led_flash_cnt[3141][5]~q\ & (!\led_flash_cnt[3141][4]~70861\ & VCC))
-- \led_flash_cnt[3141][5]~70863\ = CARRY((\led_flash_cnt[3141][5]~q\ & !\led_flash_cnt[3141][4]~70861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3141][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3141][4]~70861\,
	combout => \led_flash_cnt[3141][5]~70862_combout\,
	cout => \led_flash_cnt[3141][5]~70863\);

-- Location: FF_X32_Y21_N11
\led_flash_cnt[3141][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3141][5]~70862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3141][5]~q\);

-- Location: LCCOMB_X32_Y21_N12
\led_flash_cnt[3141][6]~70864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3141][6]~70864_combout\ = (\led_flash_cnt[3141][6]~q\ & (!\led_flash_cnt[3141][5]~70863\)) # (!\led_flash_cnt[3141][6]~q\ & ((\led_flash_cnt[3141][5]~70863\) # (GND)))
-- \led_flash_cnt[3141][6]~70865\ = CARRY((!\led_flash_cnt[3141][5]~70863\) # (!\led_flash_cnt[3141][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3141][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3141][5]~70863\,
	combout => \led_flash_cnt[3141][6]~70864_combout\,
	cout => \led_flash_cnt[3141][6]~70865\);

-- Location: FF_X32_Y21_N13
\led_flash_cnt[3141][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3141][6]~70864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3141][6]~q\);

-- Location: LCCOMB_X32_Y21_N14
\led_flash_cnt[3141][7]~70866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3141][7]~70866_combout\ = \led_flash_cnt[3141][7]~q\ $ (!\led_flash_cnt[3141][6]~70865\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3141][7]~q\,
	cin => \led_flash_cnt[3141][6]~70865\,
	combout => \led_flash_cnt[3141][7]~70866_combout\);

-- Location: FF_X32_Y21_N15
\led_flash_cnt[3141][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3141][7]~70866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3141][7]~q\);

-- Location: LCCOMB_X34_Y21_N0
\WideAnd3141~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3141~1_combout\ = (\led_flash_cnt[3141][6]~q\ & \led_flash_cnt[3141][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3141][6]~q\,
	datad => \led_flash_cnt[3141][5]~q\,
	combout => \WideAnd3141~1_combout\);

-- Location: LCCOMB_X34_Y21_N6
WideAnd3141 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3141~combout\ = (\WideAnd3141~0_combout\ & (\led_flash_cnt[3141][0]~q\ & (\led_flash_cnt[3141][7]~q\ & \WideAnd3141~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3141~0_combout\,
	datab => \led_flash_cnt[3141][0]~q\,
	datac => \led_flash_cnt[3141][7]~q\,
	datad => \WideAnd3141~1_combout\,
	combout => \WideAnd3141~combout\);

-- Location: FF_X34_Y21_N7
\led_flash_cnt_ands[3141]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3141~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3141));

-- Location: LCCOMB_X34_Y19_N4
\led_flash_cnt[3140][0]~83780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3140][0]~83780_combout\ = !\led_flash_cnt[3140][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3140][0]~q\,
	combout => \led_flash_cnt[3140][0]~83780_combout\);

-- Location: FF_X34_Y19_N5
\led_flash_cnt[3140][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3140][0]~83780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3140][0]~q\);

-- Location: LCCOMB_X34_Y19_N10
\led_flash_cnt[3140][1]~70840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3140][1]~70840_combout\ = (\led_flash_cnt[3140][1]~q\ & (\led_flash_cnt[3140][0]~q\ $ (VCC))) # (!\led_flash_cnt[3140][1]~q\ & (\led_flash_cnt[3140][0]~q\ & VCC))
-- \led_flash_cnt[3140][1]~70841\ = CARRY((\led_flash_cnt[3140][1]~q\ & \led_flash_cnt[3140][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3140][1]~q\,
	datab => \led_flash_cnt[3140][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3140][1]~70840_combout\,
	cout => \led_flash_cnt[3140][1]~70841\);

-- Location: FF_X34_Y19_N11
\led_flash_cnt[3140][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3140][1]~70840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3140][1]~q\);

-- Location: LCCOMB_X34_Y19_N12
\led_flash_cnt[3140][2]~70842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3140][2]~70842_combout\ = (\led_flash_cnt[3140][2]~q\ & (!\led_flash_cnt[3140][1]~70841\)) # (!\led_flash_cnt[3140][2]~q\ & ((\led_flash_cnt[3140][1]~70841\) # (GND)))
-- \led_flash_cnt[3140][2]~70843\ = CARRY((!\led_flash_cnt[3140][1]~70841\) # (!\led_flash_cnt[3140][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3140][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3140][1]~70841\,
	combout => \led_flash_cnt[3140][2]~70842_combout\,
	cout => \led_flash_cnt[3140][2]~70843\);

-- Location: FF_X34_Y19_N13
\led_flash_cnt[3140][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3140][2]~70842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3140][2]~q\);

-- Location: LCCOMB_X34_Y19_N14
\led_flash_cnt[3140][3]~70844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3140][3]~70844_combout\ = (\led_flash_cnt[3140][3]~q\ & (\led_flash_cnt[3140][2]~70843\ $ (GND))) # (!\led_flash_cnt[3140][3]~q\ & (!\led_flash_cnt[3140][2]~70843\ & VCC))
-- \led_flash_cnt[3140][3]~70845\ = CARRY((\led_flash_cnt[3140][3]~q\ & !\led_flash_cnt[3140][2]~70843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3140][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3140][2]~70843\,
	combout => \led_flash_cnt[3140][3]~70844_combout\,
	cout => \led_flash_cnt[3140][3]~70845\);

-- Location: FF_X34_Y19_N15
\led_flash_cnt[3140][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3140][3]~70844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3140][3]~q\);

-- Location: LCCOMB_X34_Y19_N16
\led_flash_cnt[3140][4]~70846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3140][4]~70846_combout\ = (\led_flash_cnt[3140][4]~q\ & (!\led_flash_cnt[3140][3]~70845\)) # (!\led_flash_cnt[3140][4]~q\ & ((\led_flash_cnt[3140][3]~70845\) # (GND)))
-- \led_flash_cnt[3140][4]~70847\ = CARRY((!\led_flash_cnt[3140][3]~70845\) # (!\led_flash_cnt[3140][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3140][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3140][3]~70845\,
	combout => \led_flash_cnt[3140][4]~70846_combout\,
	cout => \led_flash_cnt[3140][4]~70847\);

-- Location: FF_X34_Y19_N17
\led_flash_cnt[3140][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3140][4]~70846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3140][4]~q\);

-- Location: LCCOMB_X34_Y19_N18
\led_flash_cnt[3140][5]~70848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3140][5]~70848_combout\ = (\led_flash_cnt[3140][5]~q\ & (\led_flash_cnt[3140][4]~70847\ $ (GND))) # (!\led_flash_cnt[3140][5]~q\ & (!\led_flash_cnt[3140][4]~70847\ & VCC))
-- \led_flash_cnt[3140][5]~70849\ = CARRY((\led_flash_cnt[3140][5]~q\ & !\led_flash_cnt[3140][4]~70847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3140][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3140][4]~70847\,
	combout => \led_flash_cnt[3140][5]~70848_combout\,
	cout => \led_flash_cnt[3140][5]~70849\);

-- Location: FF_X34_Y19_N19
\led_flash_cnt[3140][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3140][5]~70848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3140][5]~q\);

-- Location: LCCOMB_X34_Y19_N20
\led_flash_cnt[3140][6]~70850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3140][6]~70850_combout\ = (\led_flash_cnt[3140][6]~q\ & (!\led_flash_cnt[3140][5]~70849\)) # (!\led_flash_cnt[3140][6]~q\ & ((\led_flash_cnt[3140][5]~70849\) # (GND)))
-- \led_flash_cnt[3140][6]~70851\ = CARRY((!\led_flash_cnt[3140][5]~70849\) # (!\led_flash_cnt[3140][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3140][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3140][5]~70849\,
	combout => \led_flash_cnt[3140][6]~70850_combout\,
	cout => \led_flash_cnt[3140][6]~70851\);

-- Location: FF_X34_Y19_N21
\led_flash_cnt[3140][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3140][6]~70850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3140][6]~q\);

-- Location: LCCOMB_X34_Y19_N26
\WideAnd3140~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3140~1_combout\ = (\led_flash_cnt[3140][6]~q\ & \led_flash_cnt[3140][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3140][6]~q\,
	datad => \led_flash_cnt[3140][5]~q\,
	combout => \WideAnd3140~1_combout\);

-- Location: LCCOMB_X34_Y19_N22
\led_flash_cnt[3140][7]~70852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3140][7]~70852_combout\ = \led_flash_cnt[3140][7]~q\ $ (!\led_flash_cnt[3140][6]~70851\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3140][7]~q\,
	cin => \led_flash_cnt[3140][6]~70851\,
	combout => \led_flash_cnt[3140][7]~70852_combout\);

-- Location: FF_X34_Y19_N23
\led_flash_cnt[3140][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3140][7]~70852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3140][7]~q\);

-- Location: LCCOMB_X34_Y19_N28
\WideAnd3140~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3140~0_combout\ = (\led_flash_cnt[3140][2]~q\ & (\led_flash_cnt[3140][4]~q\ & (\led_flash_cnt[3140][3]~q\ & \led_flash_cnt[3140][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3140][2]~q\,
	datab => \led_flash_cnt[3140][4]~q\,
	datac => \led_flash_cnt[3140][3]~q\,
	datad => \led_flash_cnt[3140][1]~q\,
	combout => \WideAnd3140~0_combout\);

-- Location: LCCOMB_X34_Y19_N24
WideAnd3140 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3140~combout\ = (\WideAnd3140~1_combout\ & (\led_flash_cnt[3140][0]~q\ & (\led_flash_cnt[3140][7]~q\ & \WideAnd3140~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3140~1_combout\,
	datab => \led_flash_cnt[3140][0]~q\,
	datac => \led_flash_cnt[3140][7]~q\,
	datad => \WideAnd3140~0_combout\,
	combout => \WideAnd3140~combout\);

-- Location: FF_X34_Y19_N25
\led_flash_cnt_ands[3140]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3140~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3140));

-- Location: LCCOMB_X34_Y19_N8
\WideAnd4232~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4232~1_combout\ = (led_flash_cnt_ands(3141) & led_flash_cnt_ands(3140))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3141),
	datad => led_flash_cnt_ands(3140),
	combout => \WideAnd4232~1_combout\);

-- Location: LCCOMB_X26_Y2_N22
\led_flash_cnt[3136][0]~83776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3136][0]~83776_combout\ = !\led_flash_cnt[3136][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3136][0]~q\,
	combout => \led_flash_cnt[3136][0]~83776_combout\);

-- Location: FF_X26_Y2_N23
\led_flash_cnt[3136][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3136][0]~83776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3136][0]~q\);

-- Location: LCCOMB_X26_Y2_N0
\led_flash_cnt[3136][1]~70784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3136][1]~70784_combout\ = (\led_flash_cnt[3136][0]~q\ & (\led_flash_cnt[3136][1]~q\ $ (VCC))) # (!\led_flash_cnt[3136][0]~q\ & (\led_flash_cnt[3136][1]~q\ & VCC))
-- \led_flash_cnt[3136][1]~70785\ = CARRY((\led_flash_cnt[3136][0]~q\ & \led_flash_cnt[3136][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3136][0]~q\,
	datab => \led_flash_cnt[3136][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3136][1]~70784_combout\,
	cout => \led_flash_cnt[3136][1]~70785\);

-- Location: FF_X26_Y2_N1
\led_flash_cnt[3136][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3136][1]~70784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3136][1]~q\);

-- Location: LCCOMB_X26_Y2_N2
\led_flash_cnt[3136][2]~70786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3136][2]~70786_combout\ = (\led_flash_cnt[3136][2]~q\ & (!\led_flash_cnt[3136][1]~70785\)) # (!\led_flash_cnt[3136][2]~q\ & ((\led_flash_cnt[3136][1]~70785\) # (GND)))
-- \led_flash_cnt[3136][2]~70787\ = CARRY((!\led_flash_cnt[3136][1]~70785\) # (!\led_flash_cnt[3136][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3136][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3136][1]~70785\,
	combout => \led_flash_cnt[3136][2]~70786_combout\,
	cout => \led_flash_cnt[3136][2]~70787\);

-- Location: FF_X26_Y2_N3
\led_flash_cnt[3136][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3136][2]~70786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3136][2]~q\);

-- Location: LCCOMB_X26_Y2_N4
\led_flash_cnt[3136][3]~70788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3136][3]~70788_combout\ = (\led_flash_cnt[3136][3]~q\ & (\led_flash_cnt[3136][2]~70787\ $ (GND))) # (!\led_flash_cnt[3136][3]~q\ & (!\led_flash_cnt[3136][2]~70787\ & VCC))
-- \led_flash_cnt[3136][3]~70789\ = CARRY((\led_flash_cnt[3136][3]~q\ & !\led_flash_cnt[3136][2]~70787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3136][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3136][2]~70787\,
	combout => \led_flash_cnt[3136][3]~70788_combout\,
	cout => \led_flash_cnt[3136][3]~70789\);

-- Location: FF_X26_Y2_N5
\led_flash_cnt[3136][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3136][3]~70788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3136][3]~q\);

-- Location: LCCOMB_X26_Y2_N6
\led_flash_cnt[3136][4]~70790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3136][4]~70790_combout\ = (\led_flash_cnt[3136][4]~q\ & (!\led_flash_cnt[3136][3]~70789\)) # (!\led_flash_cnt[3136][4]~q\ & ((\led_flash_cnt[3136][3]~70789\) # (GND)))
-- \led_flash_cnt[3136][4]~70791\ = CARRY((!\led_flash_cnt[3136][3]~70789\) # (!\led_flash_cnt[3136][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3136][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3136][3]~70789\,
	combout => \led_flash_cnt[3136][4]~70790_combout\,
	cout => \led_flash_cnt[3136][4]~70791\);

-- Location: FF_X26_Y2_N7
\led_flash_cnt[3136][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3136][4]~70790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3136][4]~q\);

-- Location: LCCOMB_X26_Y2_N26
\WideAnd3136~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3136~0_combout\ = (\led_flash_cnt[3136][4]~q\ & (\led_flash_cnt[3136][1]~q\ & (\led_flash_cnt[3136][3]~q\ & \led_flash_cnt[3136][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3136][4]~q\,
	datab => \led_flash_cnt[3136][1]~q\,
	datac => \led_flash_cnt[3136][3]~q\,
	datad => \led_flash_cnt[3136][2]~q\,
	combout => \WideAnd3136~0_combout\);

-- Location: LCCOMB_X26_Y2_N8
\led_flash_cnt[3136][5]~70792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3136][5]~70792_combout\ = (\led_flash_cnt[3136][5]~q\ & (\led_flash_cnt[3136][4]~70791\ $ (GND))) # (!\led_flash_cnt[3136][5]~q\ & (!\led_flash_cnt[3136][4]~70791\ & VCC))
-- \led_flash_cnt[3136][5]~70793\ = CARRY((\led_flash_cnt[3136][5]~q\ & !\led_flash_cnt[3136][4]~70791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3136][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3136][4]~70791\,
	combout => \led_flash_cnt[3136][5]~70792_combout\,
	cout => \led_flash_cnt[3136][5]~70793\);

-- Location: FF_X26_Y2_N9
\led_flash_cnt[3136][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3136][5]~70792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3136][5]~q\);

-- Location: LCCOMB_X26_Y2_N10
\led_flash_cnt[3136][6]~70794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3136][6]~70794_combout\ = (\led_flash_cnt[3136][6]~q\ & (!\led_flash_cnt[3136][5]~70793\)) # (!\led_flash_cnt[3136][6]~q\ & ((\led_flash_cnt[3136][5]~70793\) # (GND)))
-- \led_flash_cnt[3136][6]~70795\ = CARRY((!\led_flash_cnt[3136][5]~70793\) # (!\led_flash_cnt[3136][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3136][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3136][5]~70793\,
	combout => \led_flash_cnt[3136][6]~70794_combout\,
	cout => \led_flash_cnt[3136][6]~70795\);

-- Location: FF_X26_Y2_N11
\led_flash_cnt[3136][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3136][6]~70794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3136][6]~q\);

-- Location: LCCOMB_X26_Y2_N24
\WideAnd3136~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3136~1_combout\ = (\led_flash_cnt[3136][5]~q\ & \led_flash_cnt[3136][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3136][5]~q\,
	datad => \led_flash_cnt[3136][6]~q\,
	combout => \WideAnd3136~1_combout\);

-- Location: LCCOMB_X26_Y2_N12
\led_flash_cnt[3136][7]~70796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3136][7]~70796_combout\ = \led_flash_cnt[3136][6]~70795\ $ (!\led_flash_cnt[3136][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3136][7]~q\,
	cin => \led_flash_cnt[3136][6]~70795\,
	combout => \led_flash_cnt[3136][7]~70796_combout\);

-- Location: FF_X26_Y2_N13
\led_flash_cnt[3136][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3136][7]~70796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3136][7]~q\);

-- Location: LCCOMB_X26_Y2_N18
WideAnd3136 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3136~combout\ = (\WideAnd3136~0_combout\ & (\WideAnd3136~1_combout\ & (\led_flash_cnt[3136][0]~q\ & \led_flash_cnt[3136][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3136~0_combout\,
	datab => \WideAnd3136~1_combout\,
	datac => \led_flash_cnt[3136][0]~q\,
	datad => \led_flash_cnt[3136][7]~q\,
	combout => \WideAnd3136~combout\);

-- Location: FF_X26_Y2_N19
\led_flash_cnt_ands[3136]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3136~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3136));

-- Location: LCCOMB_X31_Y5_N18
\led_flash_cnt[3139][0]~83779\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3139][0]~83779_combout\ = !\led_flash_cnt[3139][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3139][0]~q\,
	combout => \led_flash_cnt[3139][0]~83779_combout\);

-- Location: FF_X31_Y5_N19
\led_flash_cnt[3139][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3139][0]~83779_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3139][0]~q\);

-- Location: LCCOMB_X31_Y5_N2
\led_flash_cnt[3139][1]~70826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3139][1]~70826_combout\ = (\led_flash_cnt[3139][1]~q\ & (\led_flash_cnt[3139][0]~q\ $ (VCC))) # (!\led_flash_cnt[3139][1]~q\ & (\led_flash_cnt[3139][0]~q\ & VCC))
-- \led_flash_cnt[3139][1]~70827\ = CARRY((\led_flash_cnt[3139][1]~q\ & \led_flash_cnt[3139][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3139][1]~q\,
	datab => \led_flash_cnt[3139][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3139][1]~70826_combout\,
	cout => \led_flash_cnt[3139][1]~70827\);

-- Location: FF_X31_Y5_N3
\led_flash_cnt[3139][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3139][1]~70826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3139][1]~q\);

-- Location: LCCOMB_X31_Y5_N4
\led_flash_cnt[3139][2]~70828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3139][2]~70828_combout\ = (\led_flash_cnt[3139][2]~q\ & (!\led_flash_cnt[3139][1]~70827\)) # (!\led_flash_cnt[3139][2]~q\ & ((\led_flash_cnt[3139][1]~70827\) # (GND)))
-- \led_flash_cnt[3139][2]~70829\ = CARRY((!\led_flash_cnt[3139][1]~70827\) # (!\led_flash_cnt[3139][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3139][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3139][1]~70827\,
	combout => \led_flash_cnt[3139][2]~70828_combout\,
	cout => \led_flash_cnt[3139][2]~70829\);

-- Location: FF_X31_Y5_N5
\led_flash_cnt[3139][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3139][2]~70828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3139][2]~q\);

-- Location: LCCOMB_X31_Y5_N6
\led_flash_cnt[3139][3]~70830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3139][3]~70830_combout\ = (\led_flash_cnt[3139][3]~q\ & (\led_flash_cnt[3139][2]~70829\ $ (GND))) # (!\led_flash_cnt[3139][3]~q\ & (!\led_flash_cnt[3139][2]~70829\ & VCC))
-- \led_flash_cnt[3139][3]~70831\ = CARRY((\led_flash_cnt[3139][3]~q\ & !\led_flash_cnt[3139][2]~70829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3139][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3139][2]~70829\,
	combout => \led_flash_cnt[3139][3]~70830_combout\,
	cout => \led_flash_cnt[3139][3]~70831\);

-- Location: FF_X31_Y5_N7
\led_flash_cnt[3139][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3139][3]~70830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3139][3]~q\);

-- Location: LCCOMB_X31_Y5_N8
\led_flash_cnt[3139][4]~70832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3139][4]~70832_combout\ = (\led_flash_cnt[3139][4]~q\ & (!\led_flash_cnt[3139][3]~70831\)) # (!\led_flash_cnt[3139][4]~q\ & ((\led_flash_cnt[3139][3]~70831\) # (GND)))
-- \led_flash_cnt[3139][4]~70833\ = CARRY((!\led_flash_cnt[3139][3]~70831\) # (!\led_flash_cnt[3139][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3139][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3139][3]~70831\,
	combout => \led_flash_cnt[3139][4]~70832_combout\,
	cout => \led_flash_cnt[3139][4]~70833\);

-- Location: FF_X31_Y5_N9
\led_flash_cnt[3139][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3139][4]~70832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3139][4]~q\);

-- Location: LCCOMB_X31_Y5_N22
\WideAnd3139~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3139~0_combout\ = (\led_flash_cnt[3139][1]~q\ & (\led_flash_cnt[3139][2]~q\ & (\led_flash_cnt[3139][4]~q\ & \led_flash_cnt[3139][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3139][1]~q\,
	datab => \led_flash_cnt[3139][2]~q\,
	datac => \led_flash_cnt[3139][4]~q\,
	datad => \led_flash_cnt[3139][3]~q\,
	combout => \WideAnd3139~0_combout\);

-- Location: LCCOMB_X31_Y5_N10
\led_flash_cnt[3139][5]~70834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3139][5]~70834_combout\ = (\led_flash_cnt[3139][5]~q\ & (\led_flash_cnt[3139][4]~70833\ $ (GND))) # (!\led_flash_cnt[3139][5]~q\ & (!\led_flash_cnt[3139][4]~70833\ & VCC))
-- \led_flash_cnt[3139][5]~70835\ = CARRY((\led_flash_cnt[3139][5]~q\ & !\led_flash_cnt[3139][4]~70833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3139][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3139][4]~70833\,
	combout => \led_flash_cnt[3139][5]~70834_combout\,
	cout => \led_flash_cnt[3139][5]~70835\);

-- Location: FF_X31_Y5_N11
\led_flash_cnt[3139][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3139][5]~70834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3139][5]~q\);

-- Location: LCCOMB_X31_Y5_N12
\led_flash_cnt[3139][6]~70836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3139][6]~70836_combout\ = (\led_flash_cnt[3139][6]~q\ & (!\led_flash_cnt[3139][5]~70835\)) # (!\led_flash_cnt[3139][6]~q\ & ((\led_flash_cnt[3139][5]~70835\) # (GND)))
-- \led_flash_cnt[3139][6]~70837\ = CARRY((!\led_flash_cnt[3139][5]~70835\) # (!\led_flash_cnt[3139][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3139][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3139][5]~70835\,
	combout => \led_flash_cnt[3139][6]~70836_combout\,
	cout => \led_flash_cnt[3139][6]~70837\);

-- Location: FF_X31_Y5_N13
\led_flash_cnt[3139][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3139][6]~70836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3139][6]~q\);

-- Location: LCCOMB_X31_Y5_N24
\WideAnd3139~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3139~1_combout\ = (\led_flash_cnt[3139][6]~q\ & \led_flash_cnt[3139][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3139][6]~q\,
	datad => \led_flash_cnt[3139][5]~q\,
	combout => \WideAnd3139~1_combout\);

-- Location: LCCOMB_X31_Y5_N14
\led_flash_cnt[3139][7]~70838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3139][7]~70838_combout\ = \led_flash_cnt[3139][7]~q\ $ (!\led_flash_cnt[3139][6]~70837\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3139][7]~q\,
	cin => \led_flash_cnt[3139][6]~70837\,
	combout => \led_flash_cnt[3139][7]~70838_combout\);

-- Location: FF_X31_Y5_N15
\led_flash_cnt[3139][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3139][7]~70838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3139][7]~q\);

-- Location: LCCOMB_X31_Y5_N0
WideAnd3139 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3139~combout\ = (\WideAnd3139~0_combout\ & (\WideAnd3139~1_combout\ & (\led_flash_cnt[3139][7]~q\ & \led_flash_cnt[3139][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3139~0_combout\,
	datab => \WideAnd3139~1_combout\,
	datac => \led_flash_cnt[3139][7]~q\,
	datad => \led_flash_cnt[3139][0]~q\,
	combout => \WideAnd3139~combout\);

-- Location: FF_X31_Y5_N1
\led_flash_cnt_ands[3139]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3139~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3139));

-- Location: LCCOMB_X39_Y34_N6
\led_flash_cnt[3137][0]~83777\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3137][0]~83777_combout\ = !\led_flash_cnt[3137][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3137][0]~q\,
	combout => \led_flash_cnt[3137][0]~83777_combout\);

-- Location: FF_X39_Y34_N7
\led_flash_cnt[3137][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3137][0]~83777_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3137][0]~q\);

-- Location: LCCOMB_X38_Y34_N16
\led_flash_cnt[3137][1]~70798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3137][1]~70798_combout\ = (\led_flash_cnt[3137][0]~q\ & (\led_flash_cnt[3137][1]~q\ $ (VCC))) # (!\led_flash_cnt[3137][0]~q\ & (\led_flash_cnt[3137][1]~q\ & VCC))
-- \led_flash_cnt[3137][1]~70799\ = CARRY((\led_flash_cnt[3137][0]~q\ & \led_flash_cnt[3137][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3137][0]~q\,
	datab => \led_flash_cnt[3137][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3137][1]~70798_combout\,
	cout => \led_flash_cnt[3137][1]~70799\);

-- Location: FF_X38_Y34_N17
\led_flash_cnt[3137][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3137][1]~70798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3137][1]~q\);

-- Location: LCCOMB_X38_Y34_N18
\led_flash_cnt[3137][2]~70800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3137][2]~70800_combout\ = (\led_flash_cnt[3137][2]~q\ & (!\led_flash_cnt[3137][1]~70799\)) # (!\led_flash_cnt[3137][2]~q\ & ((\led_flash_cnt[3137][1]~70799\) # (GND)))
-- \led_flash_cnt[3137][2]~70801\ = CARRY((!\led_flash_cnt[3137][1]~70799\) # (!\led_flash_cnt[3137][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3137][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3137][1]~70799\,
	combout => \led_flash_cnt[3137][2]~70800_combout\,
	cout => \led_flash_cnt[3137][2]~70801\);

-- Location: FF_X38_Y34_N19
\led_flash_cnt[3137][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3137][2]~70800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3137][2]~q\);

-- Location: LCCOMB_X38_Y34_N20
\led_flash_cnt[3137][3]~70802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3137][3]~70802_combout\ = (\led_flash_cnt[3137][3]~q\ & (\led_flash_cnt[3137][2]~70801\ $ (GND))) # (!\led_flash_cnt[3137][3]~q\ & (!\led_flash_cnt[3137][2]~70801\ & VCC))
-- \led_flash_cnt[3137][3]~70803\ = CARRY((\led_flash_cnt[3137][3]~q\ & !\led_flash_cnt[3137][2]~70801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3137][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3137][2]~70801\,
	combout => \led_flash_cnt[3137][3]~70802_combout\,
	cout => \led_flash_cnt[3137][3]~70803\);

-- Location: FF_X38_Y34_N21
\led_flash_cnt[3137][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3137][3]~70802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3137][3]~q\);

-- Location: LCCOMB_X38_Y34_N22
\led_flash_cnt[3137][4]~70804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3137][4]~70804_combout\ = (\led_flash_cnt[3137][4]~q\ & (!\led_flash_cnt[3137][3]~70803\)) # (!\led_flash_cnt[3137][4]~q\ & ((\led_flash_cnt[3137][3]~70803\) # (GND)))
-- \led_flash_cnt[3137][4]~70805\ = CARRY((!\led_flash_cnt[3137][3]~70803\) # (!\led_flash_cnt[3137][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3137][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3137][3]~70803\,
	combout => \led_flash_cnt[3137][4]~70804_combout\,
	cout => \led_flash_cnt[3137][4]~70805\);

-- Location: FF_X38_Y34_N23
\led_flash_cnt[3137][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3137][4]~70804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3137][4]~q\);

-- Location: LCCOMB_X38_Y34_N10
\WideAnd3137~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3137~0_combout\ = (\led_flash_cnt[3137][2]~q\ & (\led_flash_cnt[3137][3]~q\ & (\led_flash_cnt[3137][4]~q\ & \led_flash_cnt[3137][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3137][2]~q\,
	datab => \led_flash_cnt[3137][3]~q\,
	datac => \led_flash_cnt[3137][4]~q\,
	datad => \led_flash_cnt[3137][1]~q\,
	combout => \WideAnd3137~0_combout\);

-- Location: LCCOMB_X38_Y34_N24
\led_flash_cnt[3137][5]~70806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3137][5]~70806_combout\ = (\led_flash_cnt[3137][5]~q\ & (\led_flash_cnt[3137][4]~70805\ $ (GND))) # (!\led_flash_cnt[3137][5]~q\ & (!\led_flash_cnt[3137][4]~70805\ & VCC))
-- \led_flash_cnt[3137][5]~70807\ = CARRY((\led_flash_cnt[3137][5]~q\ & !\led_flash_cnt[3137][4]~70805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3137][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3137][4]~70805\,
	combout => \led_flash_cnt[3137][5]~70806_combout\,
	cout => \led_flash_cnt[3137][5]~70807\);

-- Location: FF_X38_Y34_N25
\led_flash_cnt[3137][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3137][5]~70806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3137][5]~q\);

-- Location: LCCOMB_X38_Y34_N26
\led_flash_cnt[3137][6]~70808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3137][6]~70808_combout\ = (\led_flash_cnt[3137][6]~q\ & (!\led_flash_cnt[3137][5]~70807\)) # (!\led_flash_cnt[3137][6]~q\ & ((\led_flash_cnt[3137][5]~70807\) # (GND)))
-- \led_flash_cnt[3137][6]~70809\ = CARRY((!\led_flash_cnt[3137][5]~70807\) # (!\led_flash_cnt[3137][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3137][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3137][5]~70807\,
	combout => \led_flash_cnt[3137][6]~70808_combout\,
	cout => \led_flash_cnt[3137][6]~70809\);

-- Location: FF_X38_Y34_N27
\led_flash_cnt[3137][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3137][6]~70808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3137][6]~q\);

-- Location: LCCOMB_X38_Y34_N28
\led_flash_cnt[3137][7]~70810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3137][7]~70810_combout\ = \led_flash_cnt[3137][6]~70809\ $ (!\led_flash_cnt[3137][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3137][7]~q\,
	cin => \led_flash_cnt[3137][6]~70809\,
	combout => \led_flash_cnt[3137][7]~70810_combout\);

-- Location: FF_X38_Y34_N29
\led_flash_cnt[3137][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3137][7]~70810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3137][7]~q\);

-- Location: LCCOMB_X38_Y34_N4
\WideAnd3137~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3137~1_combout\ = (\led_flash_cnt[3137][6]~q\ & \led_flash_cnt[3137][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3137][6]~q\,
	datad => \led_flash_cnt[3137][5]~q\,
	combout => \WideAnd3137~1_combout\);

-- Location: LCCOMB_X38_Y34_N12
WideAnd3137 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3137~combout\ = (\WideAnd3137~0_combout\ & (\led_flash_cnt[3137][7]~q\ & (\WideAnd3137~1_combout\ & \led_flash_cnt[3137][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3137~0_combout\,
	datab => \led_flash_cnt[3137][7]~q\,
	datac => \WideAnd3137~1_combout\,
	datad => \led_flash_cnt[3137][0]~q\,
	combout => \WideAnd3137~combout\);

-- Location: FF_X38_Y34_N13
\led_flash_cnt_ands[3137]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3137~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3137));

-- Location: LCCOMB_X38_Y3_N8
\led_flash_cnt[3138][0]~83778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3138][0]~83778_combout\ = !\led_flash_cnt[3138][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3138][0]~q\,
	combout => \led_flash_cnt[3138][0]~83778_combout\);

-- Location: FF_X38_Y3_N9
\led_flash_cnt[3138][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3138][0]~83778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3138][0]~q\);

-- Location: LCCOMB_X38_Y3_N18
\led_flash_cnt[3138][1]~70812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3138][1]~70812_combout\ = (\led_flash_cnt[3138][0]~q\ & (\led_flash_cnt[3138][1]~q\ $ (VCC))) # (!\led_flash_cnt[3138][0]~q\ & (\led_flash_cnt[3138][1]~q\ & VCC))
-- \led_flash_cnt[3138][1]~70813\ = CARRY((\led_flash_cnt[3138][0]~q\ & \led_flash_cnt[3138][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3138][0]~q\,
	datab => \led_flash_cnt[3138][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3138][1]~70812_combout\,
	cout => \led_flash_cnt[3138][1]~70813\);

-- Location: FF_X38_Y3_N19
\led_flash_cnt[3138][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3138][1]~70812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3138][1]~q\);

-- Location: LCCOMB_X38_Y3_N20
\led_flash_cnt[3138][2]~70814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3138][2]~70814_combout\ = (\led_flash_cnt[3138][2]~q\ & (!\led_flash_cnt[3138][1]~70813\)) # (!\led_flash_cnt[3138][2]~q\ & ((\led_flash_cnt[3138][1]~70813\) # (GND)))
-- \led_flash_cnt[3138][2]~70815\ = CARRY((!\led_flash_cnt[3138][1]~70813\) # (!\led_flash_cnt[3138][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3138][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3138][1]~70813\,
	combout => \led_flash_cnt[3138][2]~70814_combout\,
	cout => \led_flash_cnt[3138][2]~70815\);

-- Location: FF_X38_Y3_N21
\led_flash_cnt[3138][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3138][2]~70814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3138][2]~q\);

-- Location: LCCOMB_X38_Y3_N22
\led_flash_cnt[3138][3]~70816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3138][3]~70816_combout\ = (\led_flash_cnt[3138][3]~q\ & (\led_flash_cnt[3138][2]~70815\ $ (GND))) # (!\led_flash_cnt[3138][3]~q\ & (!\led_flash_cnt[3138][2]~70815\ & VCC))
-- \led_flash_cnt[3138][3]~70817\ = CARRY((\led_flash_cnt[3138][3]~q\ & !\led_flash_cnt[3138][2]~70815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3138][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3138][2]~70815\,
	combout => \led_flash_cnt[3138][3]~70816_combout\,
	cout => \led_flash_cnt[3138][3]~70817\);

-- Location: FF_X38_Y3_N23
\led_flash_cnt[3138][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3138][3]~70816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3138][3]~q\);

-- Location: LCCOMB_X38_Y3_N24
\led_flash_cnt[3138][4]~70818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3138][4]~70818_combout\ = (\led_flash_cnt[3138][4]~q\ & (!\led_flash_cnt[3138][3]~70817\)) # (!\led_flash_cnt[3138][4]~q\ & ((\led_flash_cnt[3138][3]~70817\) # (GND)))
-- \led_flash_cnt[3138][4]~70819\ = CARRY((!\led_flash_cnt[3138][3]~70817\) # (!\led_flash_cnt[3138][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3138][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3138][3]~70817\,
	combout => \led_flash_cnt[3138][4]~70818_combout\,
	cout => \led_flash_cnt[3138][4]~70819\);

-- Location: FF_X38_Y3_N25
\led_flash_cnt[3138][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3138][4]~70818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3138][4]~q\);

-- Location: LCCOMB_X38_Y3_N26
\led_flash_cnt[3138][5]~70820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3138][5]~70820_combout\ = (\led_flash_cnt[3138][5]~q\ & (\led_flash_cnt[3138][4]~70819\ $ (GND))) # (!\led_flash_cnt[3138][5]~q\ & (!\led_flash_cnt[3138][4]~70819\ & VCC))
-- \led_flash_cnt[3138][5]~70821\ = CARRY((\led_flash_cnt[3138][5]~q\ & !\led_flash_cnt[3138][4]~70819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3138][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3138][4]~70819\,
	combout => \led_flash_cnt[3138][5]~70820_combout\,
	cout => \led_flash_cnt[3138][5]~70821\);

-- Location: FF_X38_Y3_N27
\led_flash_cnt[3138][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3138][5]~70820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3138][5]~q\);

-- Location: LCCOMB_X38_Y3_N28
\led_flash_cnt[3138][6]~70822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3138][6]~70822_combout\ = (\led_flash_cnt[3138][6]~q\ & (!\led_flash_cnt[3138][5]~70821\)) # (!\led_flash_cnt[3138][6]~q\ & ((\led_flash_cnt[3138][5]~70821\) # (GND)))
-- \led_flash_cnt[3138][6]~70823\ = CARRY((!\led_flash_cnt[3138][5]~70821\) # (!\led_flash_cnt[3138][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3138][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3138][5]~70821\,
	combout => \led_flash_cnt[3138][6]~70822_combout\,
	cout => \led_flash_cnt[3138][6]~70823\);

-- Location: FF_X38_Y3_N29
\led_flash_cnt[3138][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3138][6]~70822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3138][6]~q\);

-- Location: LCCOMB_X38_Y3_N30
\led_flash_cnt[3138][7]~70824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3138][7]~70824_combout\ = \led_flash_cnt[3138][7]~q\ $ (!\led_flash_cnt[3138][6]~70823\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3138][7]~q\,
	cin => \led_flash_cnt[3138][6]~70823\,
	combout => \led_flash_cnt[3138][7]~70824_combout\);

-- Location: FF_X38_Y3_N31
\led_flash_cnt[3138][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3138][7]~70824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3138][7]~q\);

-- Location: LCCOMB_X38_Y3_N4
\WideAnd3138~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3138~1_combout\ = (\led_flash_cnt[3138][5]~q\ & \led_flash_cnt[3138][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3138][5]~q\,
	datad => \led_flash_cnt[3138][6]~q\,
	combout => \WideAnd3138~1_combout\);

-- Location: LCCOMB_X38_Y3_N2
\WideAnd3138~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3138~0_combout\ = (\led_flash_cnt[3138][4]~q\ & (\led_flash_cnt[3138][2]~q\ & (\led_flash_cnt[3138][3]~q\ & \led_flash_cnt[3138][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3138][4]~q\,
	datab => \led_flash_cnt[3138][2]~q\,
	datac => \led_flash_cnt[3138][3]~q\,
	datad => \led_flash_cnt[3138][1]~q\,
	combout => \WideAnd3138~0_combout\);

-- Location: LCCOMB_X38_Y3_N0
WideAnd3138 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3138~combout\ = (\led_flash_cnt[3138][7]~q\ & (\WideAnd3138~1_combout\ & (\led_flash_cnt[3138][0]~q\ & \WideAnd3138~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3138][7]~q\,
	datab => \WideAnd3138~1_combout\,
	datac => \led_flash_cnt[3138][0]~q\,
	datad => \WideAnd3138~0_combout\,
	combout => \WideAnd3138~combout\);

-- Location: FF_X38_Y3_N1
\led_flash_cnt_ands[3138]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3138~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3138));

-- Location: LCCOMB_X38_Y3_N6
\WideAnd4232~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4232~0_combout\ = (led_flash_cnt_ands(3136) & (led_flash_cnt_ands(3139) & (led_flash_cnt_ands(3137) & led_flash_cnt_ands(3138))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3136),
	datab => led_flash_cnt_ands(3139),
	datac => led_flash_cnt_ands(3137),
	datad => led_flash_cnt_ands(3138),
	combout => \WideAnd4232~0_combout\);

-- Location: LCCOMB_X38_Y3_N10
WideAnd4232 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4232~combout\ = (led_flash_cnt_ands(3142) & (led_flash_cnt_ands(3143) & (\WideAnd4232~1_combout\ & \WideAnd4232~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3142),
	datab => led_flash_cnt_ands(3143),
	datac => \WideAnd4232~1_combout\,
	datad => \WideAnd4232~0_combout\,
	combout => \WideAnd4232~combout\);

-- Location: FF_X38_Y3_N11
\led_flash_cnt_ands_1[392]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4232~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(392));

-- Location: LCCOMB_X42_Y2_N2
\led_flash_cnt[3157][0]~83797\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3157][0]~83797_combout\ = !\led_flash_cnt[3157][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3157][0]~q\,
	combout => \led_flash_cnt[3157][0]~83797_combout\);

-- Location: FF_X42_Y2_N3
\led_flash_cnt[3157][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3157][0]~83797_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3157][0]~q\);

-- Location: LCCOMB_X42_Y2_N10
\led_flash_cnt[3157][1]~71078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3157][1]~71078_combout\ = (\led_flash_cnt[3157][1]~q\ & (\led_flash_cnt[3157][0]~q\ $ (VCC))) # (!\led_flash_cnt[3157][1]~q\ & (\led_flash_cnt[3157][0]~q\ & VCC))
-- \led_flash_cnt[3157][1]~71079\ = CARRY((\led_flash_cnt[3157][1]~q\ & \led_flash_cnt[3157][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3157][1]~q\,
	datab => \led_flash_cnt[3157][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3157][1]~71078_combout\,
	cout => \led_flash_cnt[3157][1]~71079\);

-- Location: FF_X42_Y2_N11
\led_flash_cnt[3157][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3157][1]~71078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3157][1]~q\);

-- Location: LCCOMB_X42_Y2_N12
\led_flash_cnt[3157][2]~71080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3157][2]~71080_combout\ = (\led_flash_cnt[3157][2]~q\ & (!\led_flash_cnt[3157][1]~71079\)) # (!\led_flash_cnt[3157][2]~q\ & ((\led_flash_cnt[3157][1]~71079\) # (GND)))
-- \led_flash_cnt[3157][2]~71081\ = CARRY((!\led_flash_cnt[3157][1]~71079\) # (!\led_flash_cnt[3157][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3157][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3157][1]~71079\,
	combout => \led_flash_cnt[3157][2]~71080_combout\,
	cout => \led_flash_cnt[3157][2]~71081\);

-- Location: FF_X42_Y2_N13
\led_flash_cnt[3157][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3157][2]~71080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3157][2]~q\);

-- Location: LCCOMB_X42_Y2_N14
\led_flash_cnt[3157][3]~71082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3157][3]~71082_combout\ = (\led_flash_cnt[3157][3]~q\ & (\led_flash_cnt[3157][2]~71081\ $ (GND))) # (!\led_flash_cnt[3157][3]~q\ & (!\led_flash_cnt[3157][2]~71081\ & VCC))
-- \led_flash_cnt[3157][3]~71083\ = CARRY((\led_flash_cnt[3157][3]~q\ & !\led_flash_cnt[3157][2]~71081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3157][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3157][2]~71081\,
	combout => \led_flash_cnt[3157][3]~71082_combout\,
	cout => \led_flash_cnt[3157][3]~71083\);

-- Location: FF_X42_Y2_N15
\led_flash_cnt[3157][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3157][3]~71082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3157][3]~q\);

-- Location: LCCOMB_X42_Y2_N16
\led_flash_cnt[3157][4]~71084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3157][4]~71084_combout\ = (\led_flash_cnt[3157][4]~q\ & (!\led_flash_cnt[3157][3]~71083\)) # (!\led_flash_cnt[3157][4]~q\ & ((\led_flash_cnt[3157][3]~71083\) # (GND)))
-- \led_flash_cnt[3157][4]~71085\ = CARRY((!\led_flash_cnt[3157][3]~71083\) # (!\led_flash_cnt[3157][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3157][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3157][3]~71083\,
	combout => \led_flash_cnt[3157][4]~71084_combout\,
	cout => \led_flash_cnt[3157][4]~71085\);

-- Location: FF_X42_Y2_N17
\led_flash_cnt[3157][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3157][4]~71084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3157][4]~q\);

-- Location: LCCOMB_X42_Y2_N18
\led_flash_cnt[3157][5]~71086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3157][5]~71086_combout\ = (\led_flash_cnt[3157][5]~q\ & (\led_flash_cnt[3157][4]~71085\ $ (GND))) # (!\led_flash_cnt[3157][5]~q\ & (!\led_flash_cnt[3157][4]~71085\ & VCC))
-- \led_flash_cnt[3157][5]~71087\ = CARRY((\led_flash_cnt[3157][5]~q\ & !\led_flash_cnt[3157][4]~71085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3157][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3157][4]~71085\,
	combout => \led_flash_cnt[3157][5]~71086_combout\,
	cout => \led_flash_cnt[3157][5]~71087\);

-- Location: FF_X42_Y2_N19
\led_flash_cnt[3157][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3157][5]~71086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3157][5]~q\);

-- Location: LCCOMB_X42_Y2_N20
\led_flash_cnt[3157][6]~71088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3157][6]~71088_combout\ = (\led_flash_cnt[3157][6]~q\ & (!\led_flash_cnt[3157][5]~71087\)) # (!\led_flash_cnt[3157][6]~q\ & ((\led_flash_cnt[3157][5]~71087\) # (GND)))
-- \led_flash_cnt[3157][6]~71089\ = CARRY((!\led_flash_cnt[3157][5]~71087\) # (!\led_flash_cnt[3157][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3157][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3157][5]~71087\,
	combout => \led_flash_cnt[3157][6]~71088_combout\,
	cout => \led_flash_cnt[3157][6]~71089\);

-- Location: FF_X42_Y2_N21
\led_flash_cnt[3157][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3157][6]~71088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3157][6]~q\);

-- Location: LCCOMB_X42_Y2_N30
\WideAnd3157~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3157~1_combout\ = (\led_flash_cnt[3157][5]~q\ & \led_flash_cnt[3157][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3157][5]~q\,
	datad => \led_flash_cnt[3157][6]~q\,
	combout => \WideAnd3157~1_combout\);

-- Location: LCCOMB_X42_Y2_N22
\led_flash_cnt[3157][7]~71090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3157][7]~71090_combout\ = \led_flash_cnt[3157][7]~q\ $ (!\led_flash_cnt[3157][6]~71089\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3157][7]~q\,
	cin => \led_flash_cnt[3157][6]~71089\,
	combout => \led_flash_cnt[3157][7]~71090_combout\);

-- Location: FF_X42_Y2_N23
\led_flash_cnt[3157][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3157][7]~71090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3157][7]~q\);

-- Location: LCCOMB_X42_Y2_N28
\WideAnd3157~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3157~0_combout\ = (\led_flash_cnt[3157][1]~q\ & (\led_flash_cnt[3157][4]~q\ & (\led_flash_cnt[3157][3]~q\ & \led_flash_cnt[3157][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3157][1]~q\,
	datab => \led_flash_cnt[3157][4]~q\,
	datac => \led_flash_cnt[3157][3]~q\,
	datad => \led_flash_cnt[3157][2]~q\,
	combout => \WideAnd3157~0_combout\);

-- Location: LCCOMB_X42_Y2_N4
WideAnd3157 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3157~combout\ = (\WideAnd3157~1_combout\ & (\led_flash_cnt[3157][0]~q\ & (\led_flash_cnt[3157][7]~q\ & \WideAnd3157~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3157~1_combout\,
	datab => \led_flash_cnt[3157][0]~q\,
	datac => \led_flash_cnt[3157][7]~q\,
	datad => \WideAnd3157~0_combout\,
	combout => \WideAnd3157~combout\);

-- Location: FF_X42_Y2_N5
\led_flash_cnt_ands[3157]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3157~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3157));

-- Location: LCCOMB_X42_Y2_N6
\led_flash_cnt[3156][0]~83796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3156][0]~83796_combout\ = !\led_flash_cnt[3156][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3156][0]~q\,
	combout => \led_flash_cnt[3156][0]~83796_combout\);

-- Location: FF_X42_Y2_N7
\led_flash_cnt[3156][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3156][0]~83796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3156][0]~q\);

-- Location: LCCOMB_X43_Y2_N18
\led_flash_cnt[3156][1]~71064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3156][1]~71064_combout\ = (\led_flash_cnt[3156][0]~q\ & (\led_flash_cnt[3156][1]~q\ $ (VCC))) # (!\led_flash_cnt[3156][0]~q\ & (\led_flash_cnt[3156][1]~q\ & VCC))
-- \led_flash_cnt[3156][1]~71065\ = CARRY((\led_flash_cnt[3156][0]~q\ & \led_flash_cnt[3156][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3156][0]~q\,
	datab => \led_flash_cnt[3156][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3156][1]~71064_combout\,
	cout => \led_flash_cnt[3156][1]~71065\);

-- Location: FF_X43_Y2_N19
\led_flash_cnt[3156][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3156][1]~71064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3156][1]~q\);

-- Location: LCCOMB_X43_Y2_N20
\led_flash_cnt[3156][2]~71066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3156][2]~71066_combout\ = (\led_flash_cnt[3156][2]~q\ & (!\led_flash_cnt[3156][1]~71065\)) # (!\led_flash_cnt[3156][2]~q\ & ((\led_flash_cnt[3156][1]~71065\) # (GND)))
-- \led_flash_cnt[3156][2]~71067\ = CARRY((!\led_flash_cnt[3156][1]~71065\) # (!\led_flash_cnt[3156][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3156][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3156][1]~71065\,
	combout => \led_flash_cnt[3156][2]~71066_combout\,
	cout => \led_flash_cnt[3156][2]~71067\);

-- Location: FF_X43_Y2_N21
\led_flash_cnt[3156][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3156][2]~71066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3156][2]~q\);

-- Location: LCCOMB_X43_Y2_N22
\led_flash_cnt[3156][3]~71068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3156][3]~71068_combout\ = (\led_flash_cnt[3156][3]~q\ & (\led_flash_cnt[3156][2]~71067\ $ (GND))) # (!\led_flash_cnt[3156][3]~q\ & (!\led_flash_cnt[3156][2]~71067\ & VCC))
-- \led_flash_cnt[3156][3]~71069\ = CARRY((\led_flash_cnt[3156][3]~q\ & !\led_flash_cnt[3156][2]~71067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3156][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3156][2]~71067\,
	combout => \led_flash_cnt[3156][3]~71068_combout\,
	cout => \led_flash_cnt[3156][3]~71069\);

-- Location: FF_X43_Y2_N23
\led_flash_cnt[3156][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3156][3]~71068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3156][3]~q\);

-- Location: LCCOMB_X43_Y2_N24
\led_flash_cnt[3156][4]~71070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3156][4]~71070_combout\ = (\led_flash_cnt[3156][4]~q\ & (!\led_flash_cnt[3156][3]~71069\)) # (!\led_flash_cnt[3156][4]~q\ & ((\led_flash_cnt[3156][3]~71069\) # (GND)))
-- \led_flash_cnt[3156][4]~71071\ = CARRY((!\led_flash_cnt[3156][3]~71069\) # (!\led_flash_cnt[3156][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3156][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3156][3]~71069\,
	combout => \led_flash_cnt[3156][4]~71070_combout\,
	cout => \led_flash_cnt[3156][4]~71071\);

-- Location: FF_X43_Y2_N25
\led_flash_cnt[3156][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3156][4]~71070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3156][4]~q\);

-- Location: LCCOMB_X43_Y2_N26
\led_flash_cnt[3156][5]~71072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3156][5]~71072_combout\ = (\led_flash_cnt[3156][5]~q\ & (\led_flash_cnt[3156][4]~71071\ $ (GND))) # (!\led_flash_cnt[3156][5]~q\ & (!\led_flash_cnt[3156][4]~71071\ & VCC))
-- \led_flash_cnt[3156][5]~71073\ = CARRY((\led_flash_cnt[3156][5]~q\ & !\led_flash_cnt[3156][4]~71071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3156][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3156][4]~71071\,
	combout => \led_flash_cnt[3156][5]~71072_combout\,
	cout => \led_flash_cnt[3156][5]~71073\);

-- Location: FF_X43_Y2_N27
\led_flash_cnt[3156][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3156][5]~71072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3156][5]~q\);

-- Location: LCCOMB_X43_Y2_N28
\led_flash_cnt[3156][6]~71074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3156][6]~71074_combout\ = (\led_flash_cnt[3156][6]~q\ & (!\led_flash_cnt[3156][5]~71073\)) # (!\led_flash_cnt[3156][6]~q\ & ((\led_flash_cnt[3156][5]~71073\) # (GND)))
-- \led_flash_cnt[3156][6]~71075\ = CARRY((!\led_flash_cnt[3156][5]~71073\) # (!\led_flash_cnt[3156][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3156][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3156][5]~71073\,
	combout => \led_flash_cnt[3156][6]~71074_combout\,
	cout => \led_flash_cnt[3156][6]~71075\);

-- Location: FF_X43_Y2_N29
\led_flash_cnt[3156][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3156][6]~71074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3156][6]~q\);

-- Location: LCCOMB_X42_Y2_N26
\WideAnd3156~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3156~1_combout\ = (\led_flash_cnt[3156][6]~q\ & \led_flash_cnt[3156][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3156][6]~q\,
	datad => \led_flash_cnt[3156][5]~q\,
	combout => \WideAnd3156~1_combout\);

-- Location: LCCOMB_X42_Y2_N8
\WideAnd3156~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3156~0_combout\ = (\led_flash_cnt[3156][1]~q\ & (\led_flash_cnt[3156][4]~q\ & (\led_flash_cnt[3156][2]~q\ & \led_flash_cnt[3156][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3156][1]~q\,
	datab => \led_flash_cnt[3156][4]~q\,
	datac => \led_flash_cnt[3156][2]~q\,
	datad => \led_flash_cnt[3156][3]~q\,
	combout => \WideAnd3156~0_combout\);

-- Location: LCCOMB_X43_Y2_N30
\led_flash_cnt[3156][7]~71076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3156][7]~71076_combout\ = \led_flash_cnt[3156][7]~q\ $ (!\led_flash_cnt[3156][6]~71075\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3156][7]~q\,
	cin => \led_flash_cnt[3156][6]~71075\,
	combout => \led_flash_cnt[3156][7]~71076_combout\);

-- Location: FF_X43_Y2_N31
\led_flash_cnt[3156][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3156][7]~71076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3156][7]~q\);

-- Location: LCCOMB_X42_Y2_N24
WideAnd3156 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3156~combout\ = (\WideAnd3156~1_combout\ & (\WideAnd3156~0_combout\ & (\led_flash_cnt[3156][7]~q\ & \led_flash_cnt[3156][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3156~1_combout\,
	datab => \WideAnd3156~0_combout\,
	datac => \led_flash_cnt[3156][7]~q\,
	datad => \led_flash_cnt[3156][0]~q\,
	combout => \WideAnd3156~combout\);

-- Location: FF_X42_Y2_N25
\led_flash_cnt_ands[3156]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3156~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3156));

-- Location: LCCOMB_X42_Y2_N0
\WideAnd4234~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4234~1_combout\ = (led_flash_cnt_ands(3157) & led_flash_cnt_ands(3156))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3157),
	datad => led_flash_cnt_ands(3156),
	combout => \WideAnd4234~1_combout\);

-- Location: LCCOMB_X43_Y8_N12
\led_flash_cnt[3158][0]~83798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3158][0]~83798_combout\ = !\led_flash_cnt[3158][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3158][0]~q\,
	combout => \led_flash_cnt[3158][0]~83798_combout\);

-- Location: FF_X43_Y8_N13
\led_flash_cnt[3158][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3158][0]~83798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3158][0]~q\);

-- Location: LCCOMB_X44_Y8_N0
\led_flash_cnt[3158][1]~71092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3158][1]~71092_combout\ = (\led_flash_cnt[3158][0]~q\ & (\led_flash_cnt[3158][1]~q\ $ (VCC))) # (!\led_flash_cnt[3158][0]~q\ & (\led_flash_cnt[3158][1]~q\ & VCC))
-- \led_flash_cnt[3158][1]~71093\ = CARRY((\led_flash_cnt[3158][0]~q\ & \led_flash_cnt[3158][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3158][0]~q\,
	datab => \led_flash_cnt[3158][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3158][1]~71092_combout\,
	cout => \led_flash_cnt[3158][1]~71093\);

-- Location: FF_X44_Y8_N1
\led_flash_cnt[3158][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3158][1]~71092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3158][1]~q\);

-- Location: LCCOMB_X44_Y8_N2
\led_flash_cnt[3158][2]~71094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3158][2]~71094_combout\ = (\led_flash_cnt[3158][2]~q\ & (!\led_flash_cnt[3158][1]~71093\)) # (!\led_flash_cnt[3158][2]~q\ & ((\led_flash_cnt[3158][1]~71093\) # (GND)))
-- \led_flash_cnt[3158][2]~71095\ = CARRY((!\led_flash_cnt[3158][1]~71093\) # (!\led_flash_cnt[3158][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3158][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3158][1]~71093\,
	combout => \led_flash_cnt[3158][2]~71094_combout\,
	cout => \led_flash_cnt[3158][2]~71095\);

-- Location: FF_X44_Y8_N3
\led_flash_cnt[3158][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3158][2]~71094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3158][2]~q\);

-- Location: LCCOMB_X44_Y8_N4
\led_flash_cnt[3158][3]~71096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3158][3]~71096_combout\ = (\led_flash_cnt[3158][3]~q\ & (\led_flash_cnt[3158][2]~71095\ $ (GND))) # (!\led_flash_cnt[3158][3]~q\ & (!\led_flash_cnt[3158][2]~71095\ & VCC))
-- \led_flash_cnt[3158][3]~71097\ = CARRY((\led_flash_cnt[3158][3]~q\ & !\led_flash_cnt[3158][2]~71095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3158][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3158][2]~71095\,
	combout => \led_flash_cnt[3158][3]~71096_combout\,
	cout => \led_flash_cnt[3158][3]~71097\);

-- Location: FF_X44_Y8_N5
\led_flash_cnt[3158][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3158][3]~71096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3158][3]~q\);

-- Location: LCCOMB_X44_Y8_N6
\led_flash_cnt[3158][4]~71098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3158][4]~71098_combout\ = (\led_flash_cnt[3158][4]~q\ & (!\led_flash_cnt[3158][3]~71097\)) # (!\led_flash_cnt[3158][4]~q\ & ((\led_flash_cnt[3158][3]~71097\) # (GND)))
-- \led_flash_cnt[3158][4]~71099\ = CARRY((!\led_flash_cnt[3158][3]~71097\) # (!\led_flash_cnt[3158][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3158][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3158][3]~71097\,
	combout => \led_flash_cnt[3158][4]~71098_combout\,
	cout => \led_flash_cnt[3158][4]~71099\);

-- Location: FF_X44_Y8_N7
\led_flash_cnt[3158][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3158][4]~71098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3158][4]~q\);

-- Location: LCCOMB_X44_Y8_N8
\led_flash_cnt[3158][5]~71100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3158][5]~71100_combout\ = (\led_flash_cnt[3158][5]~q\ & (\led_flash_cnt[3158][4]~71099\ $ (GND))) # (!\led_flash_cnt[3158][5]~q\ & (!\led_flash_cnt[3158][4]~71099\ & VCC))
-- \led_flash_cnt[3158][5]~71101\ = CARRY((\led_flash_cnt[3158][5]~q\ & !\led_flash_cnt[3158][4]~71099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3158][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3158][4]~71099\,
	combout => \led_flash_cnt[3158][5]~71100_combout\,
	cout => \led_flash_cnt[3158][5]~71101\);

-- Location: FF_X44_Y8_N9
\led_flash_cnt[3158][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3158][5]~71100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3158][5]~q\);

-- Location: LCCOMB_X44_Y8_N10
\led_flash_cnt[3158][6]~71102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3158][6]~71102_combout\ = (\led_flash_cnt[3158][6]~q\ & (!\led_flash_cnt[3158][5]~71101\)) # (!\led_flash_cnt[3158][6]~q\ & ((\led_flash_cnt[3158][5]~71101\) # (GND)))
-- \led_flash_cnt[3158][6]~71103\ = CARRY((!\led_flash_cnt[3158][5]~71101\) # (!\led_flash_cnt[3158][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3158][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3158][5]~71101\,
	combout => \led_flash_cnt[3158][6]~71102_combout\,
	cout => \led_flash_cnt[3158][6]~71103\);

-- Location: FF_X44_Y8_N11
\led_flash_cnt[3158][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3158][6]~71102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3158][6]~q\);

-- Location: LCCOMB_X43_Y8_N6
\WideAnd3158~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3158~1_combout\ = (\led_flash_cnt[3158][6]~q\ & \led_flash_cnt[3158][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3158][6]~q\,
	datac => \led_flash_cnt[3158][5]~q\,
	combout => \WideAnd3158~1_combout\);

-- Location: LCCOMB_X44_Y8_N28
\WideAnd3158~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3158~0_combout\ = (\led_flash_cnt[3158][4]~q\ & (\led_flash_cnt[3158][1]~q\ & (\led_flash_cnt[3158][3]~q\ & \led_flash_cnt[3158][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3158][4]~q\,
	datab => \led_flash_cnt[3158][1]~q\,
	datac => \led_flash_cnt[3158][3]~q\,
	datad => \led_flash_cnt[3158][2]~q\,
	combout => \WideAnd3158~0_combout\);

-- Location: LCCOMB_X44_Y8_N12
\led_flash_cnt[3158][7]~71104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3158][7]~71104_combout\ = \led_flash_cnt[3158][6]~71103\ $ (!\led_flash_cnt[3158][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3158][7]~q\,
	cin => \led_flash_cnt[3158][6]~71103\,
	combout => \led_flash_cnt[3158][7]~71104_combout\);

-- Location: FF_X44_Y8_N13
\led_flash_cnt[3158][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3158][7]~71104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3158][7]~q\);

-- Location: LCCOMB_X43_Y8_N28
WideAnd3158 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3158~combout\ = (\WideAnd3158~1_combout\ & (\WideAnd3158~0_combout\ & (\led_flash_cnt[3158][7]~q\ & \led_flash_cnt[3158][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3158~1_combout\,
	datab => \WideAnd3158~0_combout\,
	datac => \led_flash_cnt[3158][7]~q\,
	datad => \led_flash_cnt[3158][0]~q\,
	combout => \WideAnd3158~combout\);

-- Location: FF_X43_Y8_N29
\led_flash_cnt_ands[3158]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3158~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3158));

-- Location: LCCOMB_X50_Y8_N2
\led_flash_cnt[3159][0]~83799\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3159][0]~83799_combout\ = !\led_flash_cnt[3159][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3159][0]~q\,
	combout => \led_flash_cnt[3159][0]~83799_combout\);

-- Location: FF_X50_Y8_N3
\led_flash_cnt[3159][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3159][0]~83799_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3159][0]~q\);

-- Location: LCCOMB_X49_Y8_N0
\led_flash_cnt[3159][1]~71106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3159][1]~71106_combout\ = (\led_flash_cnt[3159][0]~q\ & (\led_flash_cnt[3159][1]~q\ $ (VCC))) # (!\led_flash_cnt[3159][0]~q\ & (\led_flash_cnt[3159][1]~q\ & VCC))
-- \led_flash_cnt[3159][1]~71107\ = CARRY((\led_flash_cnt[3159][0]~q\ & \led_flash_cnt[3159][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3159][0]~q\,
	datab => \led_flash_cnt[3159][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3159][1]~71106_combout\,
	cout => \led_flash_cnt[3159][1]~71107\);

-- Location: FF_X49_Y8_N1
\led_flash_cnt[3159][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3159][1]~71106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3159][1]~q\);

-- Location: LCCOMB_X49_Y8_N2
\led_flash_cnt[3159][2]~71108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3159][2]~71108_combout\ = (\led_flash_cnt[3159][2]~q\ & (!\led_flash_cnt[3159][1]~71107\)) # (!\led_flash_cnt[3159][2]~q\ & ((\led_flash_cnt[3159][1]~71107\) # (GND)))
-- \led_flash_cnt[3159][2]~71109\ = CARRY((!\led_flash_cnt[3159][1]~71107\) # (!\led_flash_cnt[3159][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3159][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3159][1]~71107\,
	combout => \led_flash_cnt[3159][2]~71108_combout\,
	cout => \led_flash_cnt[3159][2]~71109\);

-- Location: FF_X49_Y8_N3
\led_flash_cnt[3159][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3159][2]~71108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3159][2]~q\);

-- Location: LCCOMB_X49_Y8_N4
\led_flash_cnt[3159][3]~71110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3159][3]~71110_combout\ = (\led_flash_cnt[3159][3]~q\ & (\led_flash_cnt[3159][2]~71109\ $ (GND))) # (!\led_flash_cnt[3159][3]~q\ & (!\led_flash_cnt[3159][2]~71109\ & VCC))
-- \led_flash_cnt[3159][3]~71111\ = CARRY((\led_flash_cnt[3159][3]~q\ & !\led_flash_cnt[3159][2]~71109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3159][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3159][2]~71109\,
	combout => \led_flash_cnt[3159][3]~71110_combout\,
	cout => \led_flash_cnt[3159][3]~71111\);

-- Location: FF_X49_Y8_N5
\led_flash_cnt[3159][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3159][3]~71110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3159][3]~q\);

-- Location: LCCOMB_X49_Y8_N6
\led_flash_cnt[3159][4]~71112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3159][4]~71112_combout\ = (\led_flash_cnt[3159][4]~q\ & (!\led_flash_cnt[3159][3]~71111\)) # (!\led_flash_cnt[3159][4]~q\ & ((\led_flash_cnt[3159][3]~71111\) # (GND)))
-- \led_flash_cnt[3159][4]~71113\ = CARRY((!\led_flash_cnt[3159][3]~71111\) # (!\led_flash_cnt[3159][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3159][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3159][3]~71111\,
	combout => \led_flash_cnt[3159][4]~71112_combout\,
	cout => \led_flash_cnt[3159][4]~71113\);

-- Location: FF_X49_Y8_N7
\led_flash_cnt[3159][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3159][4]~71112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3159][4]~q\);

-- Location: LCCOMB_X49_Y8_N8
\led_flash_cnt[3159][5]~71114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3159][5]~71114_combout\ = (\led_flash_cnt[3159][5]~q\ & (\led_flash_cnt[3159][4]~71113\ $ (GND))) # (!\led_flash_cnt[3159][5]~q\ & (!\led_flash_cnt[3159][4]~71113\ & VCC))
-- \led_flash_cnt[3159][5]~71115\ = CARRY((\led_flash_cnt[3159][5]~q\ & !\led_flash_cnt[3159][4]~71113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3159][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3159][4]~71113\,
	combout => \led_flash_cnt[3159][5]~71114_combout\,
	cout => \led_flash_cnt[3159][5]~71115\);

-- Location: FF_X49_Y8_N9
\led_flash_cnt[3159][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3159][5]~71114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3159][5]~q\);

-- Location: LCCOMB_X49_Y8_N10
\led_flash_cnt[3159][6]~71116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3159][6]~71116_combout\ = (\led_flash_cnt[3159][6]~q\ & (!\led_flash_cnt[3159][5]~71115\)) # (!\led_flash_cnt[3159][6]~q\ & ((\led_flash_cnt[3159][5]~71115\) # (GND)))
-- \led_flash_cnt[3159][6]~71117\ = CARRY((!\led_flash_cnt[3159][5]~71115\) # (!\led_flash_cnt[3159][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3159][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3159][5]~71115\,
	combout => \led_flash_cnt[3159][6]~71116_combout\,
	cout => \led_flash_cnt[3159][6]~71117\);

-- Location: FF_X49_Y8_N11
\led_flash_cnt[3159][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3159][6]~71116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3159][6]~q\);

-- Location: LCCOMB_X49_Y8_N12
\led_flash_cnt[3159][7]~71118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3159][7]~71118_combout\ = \led_flash_cnt[3159][6]~71117\ $ (!\led_flash_cnt[3159][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3159][7]~q\,
	cin => \led_flash_cnt[3159][6]~71117\,
	combout => \led_flash_cnt[3159][7]~71118_combout\);

-- Location: FF_X49_Y8_N13
\led_flash_cnt[3159][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3159][7]~71118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3159][7]~q\);

-- Location: LCCOMB_X49_Y8_N14
\WideAnd3159~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3159~0_combout\ = (\led_flash_cnt[3159][4]~q\ & (\led_flash_cnt[3159][1]~q\ & (\led_flash_cnt[3159][3]~q\ & \led_flash_cnt[3159][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3159][4]~q\,
	datab => \led_flash_cnt[3159][1]~q\,
	datac => \led_flash_cnt[3159][3]~q\,
	datad => \led_flash_cnt[3159][2]~q\,
	combout => \WideAnd3159~0_combout\);

-- Location: LCCOMB_X50_Y8_N28
\WideAnd3159~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3159~1_combout\ = (\led_flash_cnt[3159][6]~q\ & \led_flash_cnt[3159][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3159][6]~q\,
	datad => \led_flash_cnt[3159][5]~q\,
	combout => \WideAnd3159~1_combout\);

-- Location: LCCOMB_X50_Y8_N20
WideAnd3159 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3159~combout\ = (\led_flash_cnt[3159][7]~q\ & (\led_flash_cnt[3159][0]~q\ & (\WideAnd3159~0_combout\ & \WideAnd3159~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3159][7]~q\,
	datab => \led_flash_cnt[3159][0]~q\,
	datac => \WideAnd3159~0_combout\,
	datad => \WideAnd3159~1_combout\,
	combout => \WideAnd3159~combout\);

-- Location: FF_X50_Y8_N21
\led_flash_cnt_ands[3159]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3159~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3159));

-- Location: LCCOMB_X39_Y6_N26
\led_flash_cnt[3152][0]~83792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3152][0]~83792_combout\ = !\led_flash_cnt[3152][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3152][0]~q\,
	combout => \led_flash_cnt[3152][0]~83792_combout\);

-- Location: FF_X39_Y6_N27
\led_flash_cnt[3152][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3152][0]~83792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3152][0]~q\);

-- Location: LCCOMB_X39_Y6_N0
\led_flash_cnt[3152][1]~71008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3152][1]~71008_combout\ = (\led_flash_cnt[3152][0]~q\ & (\led_flash_cnt[3152][1]~q\ $ (VCC))) # (!\led_flash_cnt[3152][0]~q\ & (\led_flash_cnt[3152][1]~q\ & VCC))
-- \led_flash_cnt[3152][1]~71009\ = CARRY((\led_flash_cnt[3152][0]~q\ & \led_flash_cnt[3152][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3152][0]~q\,
	datab => \led_flash_cnt[3152][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3152][1]~71008_combout\,
	cout => \led_flash_cnt[3152][1]~71009\);

-- Location: FF_X39_Y6_N1
\led_flash_cnt[3152][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3152][1]~71008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3152][1]~q\);

-- Location: LCCOMB_X39_Y6_N2
\led_flash_cnt[3152][2]~71010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3152][2]~71010_combout\ = (\led_flash_cnt[3152][2]~q\ & (!\led_flash_cnt[3152][1]~71009\)) # (!\led_flash_cnt[3152][2]~q\ & ((\led_flash_cnt[3152][1]~71009\) # (GND)))
-- \led_flash_cnt[3152][2]~71011\ = CARRY((!\led_flash_cnt[3152][1]~71009\) # (!\led_flash_cnt[3152][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3152][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3152][1]~71009\,
	combout => \led_flash_cnt[3152][2]~71010_combout\,
	cout => \led_flash_cnt[3152][2]~71011\);

-- Location: FF_X39_Y6_N3
\led_flash_cnt[3152][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3152][2]~71010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3152][2]~q\);

-- Location: LCCOMB_X39_Y6_N4
\led_flash_cnt[3152][3]~71012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3152][3]~71012_combout\ = (\led_flash_cnt[3152][3]~q\ & (\led_flash_cnt[3152][2]~71011\ $ (GND))) # (!\led_flash_cnt[3152][3]~q\ & (!\led_flash_cnt[3152][2]~71011\ & VCC))
-- \led_flash_cnt[3152][3]~71013\ = CARRY((\led_flash_cnt[3152][3]~q\ & !\led_flash_cnt[3152][2]~71011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3152][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3152][2]~71011\,
	combout => \led_flash_cnt[3152][3]~71012_combout\,
	cout => \led_flash_cnt[3152][3]~71013\);

-- Location: FF_X39_Y6_N5
\led_flash_cnt[3152][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3152][3]~71012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3152][3]~q\);

-- Location: LCCOMB_X39_Y6_N6
\led_flash_cnt[3152][4]~71014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3152][4]~71014_combout\ = (\led_flash_cnt[3152][4]~q\ & (!\led_flash_cnt[3152][3]~71013\)) # (!\led_flash_cnt[3152][4]~q\ & ((\led_flash_cnt[3152][3]~71013\) # (GND)))
-- \led_flash_cnt[3152][4]~71015\ = CARRY((!\led_flash_cnt[3152][3]~71013\) # (!\led_flash_cnt[3152][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3152][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3152][3]~71013\,
	combout => \led_flash_cnt[3152][4]~71014_combout\,
	cout => \led_flash_cnt[3152][4]~71015\);

-- Location: FF_X39_Y6_N7
\led_flash_cnt[3152][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3152][4]~71014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3152][4]~q\);

-- Location: LCCOMB_X39_Y6_N30
\WideAnd3152~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3152~0_combout\ = (\led_flash_cnt[3152][4]~q\ & (\led_flash_cnt[3152][2]~q\ & (\led_flash_cnt[3152][3]~q\ & \led_flash_cnt[3152][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3152][4]~q\,
	datab => \led_flash_cnt[3152][2]~q\,
	datac => \led_flash_cnt[3152][3]~q\,
	datad => \led_flash_cnt[3152][1]~q\,
	combout => \WideAnd3152~0_combout\);

-- Location: LCCOMB_X39_Y6_N8
\led_flash_cnt[3152][5]~71016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3152][5]~71016_combout\ = (\led_flash_cnt[3152][5]~q\ & (\led_flash_cnt[3152][4]~71015\ $ (GND))) # (!\led_flash_cnt[3152][5]~q\ & (!\led_flash_cnt[3152][4]~71015\ & VCC))
-- \led_flash_cnt[3152][5]~71017\ = CARRY((\led_flash_cnt[3152][5]~q\ & !\led_flash_cnt[3152][4]~71015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3152][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3152][4]~71015\,
	combout => \led_flash_cnt[3152][5]~71016_combout\,
	cout => \led_flash_cnt[3152][5]~71017\);

-- Location: FF_X39_Y6_N9
\led_flash_cnt[3152][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3152][5]~71016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3152][5]~q\);

-- Location: LCCOMB_X39_Y6_N10
\led_flash_cnt[3152][6]~71018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3152][6]~71018_combout\ = (\led_flash_cnt[3152][6]~q\ & (!\led_flash_cnt[3152][5]~71017\)) # (!\led_flash_cnt[3152][6]~q\ & ((\led_flash_cnt[3152][5]~71017\) # (GND)))
-- \led_flash_cnt[3152][6]~71019\ = CARRY((!\led_flash_cnt[3152][5]~71017\) # (!\led_flash_cnt[3152][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3152][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3152][5]~71017\,
	combout => \led_flash_cnt[3152][6]~71018_combout\,
	cout => \led_flash_cnt[3152][6]~71019\);

-- Location: FF_X39_Y6_N11
\led_flash_cnt[3152][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3152][6]~71018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3152][6]~q\);

-- Location: LCCOMB_X39_Y6_N18
\WideAnd3152~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3152~1_combout\ = (\led_flash_cnt[3152][5]~q\ & \led_flash_cnt[3152][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3152][5]~q\,
	datad => \led_flash_cnt[3152][6]~q\,
	combout => \WideAnd3152~1_combout\);

-- Location: LCCOMB_X39_Y6_N12
\led_flash_cnt[3152][7]~71020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3152][7]~71020_combout\ = \led_flash_cnt[3152][6]~71019\ $ (!\led_flash_cnt[3152][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3152][7]~q\,
	cin => \led_flash_cnt[3152][6]~71019\,
	combout => \led_flash_cnt[3152][7]~71020_combout\);

-- Location: FF_X39_Y6_N13
\led_flash_cnt[3152][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3152][7]~71020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3152][7]~q\);

-- Location: LCCOMB_X39_Y6_N24
WideAnd3152 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3152~combout\ = (\WideAnd3152~0_combout\ & (\WideAnd3152~1_combout\ & (\led_flash_cnt[3152][0]~q\ & \led_flash_cnt[3152][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3152~0_combout\,
	datab => \WideAnd3152~1_combout\,
	datac => \led_flash_cnt[3152][0]~q\,
	datad => \led_flash_cnt[3152][7]~q\,
	combout => \WideAnd3152~combout\);

-- Location: FF_X39_Y6_N25
\led_flash_cnt_ands[3152]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3152~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3152));

-- Location: LCCOMB_X43_Y10_N26
\led_flash_cnt[3155][0]~83795\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3155][0]~83795_combout\ = !\led_flash_cnt[3155][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3155][0]~q\,
	combout => \led_flash_cnt[3155][0]~83795_combout\);

-- Location: FF_X43_Y10_N27
\led_flash_cnt[3155][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3155][0]~83795_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3155][0]~q\);

-- Location: LCCOMB_X43_Y10_N8
\led_flash_cnt[3155][1]~71050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3155][1]~71050_combout\ = (\led_flash_cnt[3155][0]~q\ & (\led_flash_cnt[3155][1]~q\ $ (VCC))) # (!\led_flash_cnt[3155][0]~q\ & (\led_flash_cnt[3155][1]~q\ & VCC))
-- \led_flash_cnt[3155][1]~71051\ = CARRY((\led_flash_cnt[3155][0]~q\ & \led_flash_cnt[3155][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3155][0]~q\,
	datab => \led_flash_cnt[3155][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3155][1]~71050_combout\,
	cout => \led_flash_cnt[3155][1]~71051\);

-- Location: FF_X43_Y10_N9
\led_flash_cnt[3155][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3155][1]~71050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3155][1]~q\);

-- Location: LCCOMB_X43_Y10_N10
\led_flash_cnt[3155][2]~71052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3155][2]~71052_combout\ = (\led_flash_cnt[3155][2]~q\ & (!\led_flash_cnt[3155][1]~71051\)) # (!\led_flash_cnt[3155][2]~q\ & ((\led_flash_cnt[3155][1]~71051\) # (GND)))
-- \led_flash_cnt[3155][2]~71053\ = CARRY((!\led_flash_cnt[3155][1]~71051\) # (!\led_flash_cnt[3155][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3155][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3155][1]~71051\,
	combout => \led_flash_cnt[3155][2]~71052_combout\,
	cout => \led_flash_cnt[3155][2]~71053\);

-- Location: FF_X43_Y10_N11
\led_flash_cnt[3155][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3155][2]~71052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3155][2]~q\);

-- Location: LCCOMB_X43_Y10_N12
\led_flash_cnt[3155][3]~71054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3155][3]~71054_combout\ = (\led_flash_cnt[3155][3]~q\ & (\led_flash_cnt[3155][2]~71053\ $ (GND))) # (!\led_flash_cnt[3155][3]~q\ & (!\led_flash_cnt[3155][2]~71053\ & VCC))
-- \led_flash_cnt[3155][3]~71055\ = CARRY((\led_flash_cnt[3155][3]~q\ & !\led_flash_cnt[3155][2]~71053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3155][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3155][2]~71053\,
	combout => \led_flash_cnt[3155][3]~71054_combout\,
	cout => \led_flash_cnt[3155][3]~71055\);

-- Location: FF_X43_Y10_N13
\led_flash_cnt[3155][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3155][3]~71054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3155][3]~q\);

-- Location: LCCOMB_X43_Y10_N14
\led_flash_cnt[3155][4]~71056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3155][4]~71056_combout\ = (\led_flash_cnt[3155][4]~q\ & (!\led_flash_cnt[3155][3]~71055\)) # (!\led_flash_cnt[3155][4]~q\ & ((\led_flash_cnt[3155][3]~71055\) # (GND)))
-- \led_flash_cnt[3155][4]~71057\ = CARRY((!\led_flash_cnt[3155][3]~71055\) # (!\led_flash_cnt[3155][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3155][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3155][3]~71055\,
	combout => \led_flash_cnt[3155][4]~71056_combout\,
	cout => \led_flash_cnt[3155][4]~71057\);

-- Location: FF_X43_Y10_N15
\led_flash_cnt[3155][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3155][4]~71056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3155][4]~q\);

-- Location: LCCOMB_X43_Y10_N16
\led_flash_cnt[3155][5]~71058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3155][5]~71058_combout\ = (\led_flash_cnt[3155][5]~q\ & (\led_flash_cnt[3155][4]~71057\ $ (GND))) # (!\led_flash_cnt[3155][5]~q\ & (!\led_flash_cnt[3155][4]~71057\ & VCC))
-- \led_flash_cnt[3155][5]~71059\ = CARRY((\led_flash_cnt[3155][5]~q\ & !\led_flash_cnt[3155][4]~71057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3155][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3155][4]~71057\,
	combout => \led_flash_cnt[3155][5]~71058_combout\,
	cout => \led_flash_cnt[3155][5]~71059\);

-- Location: FF_X43_Y10_N17
\led_flash_cnt[3155][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3155][5]~71058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3155][5]~q\);

-- Location: LCCOMB_X43_Y10_N18
\led_flash_cnt[3155][6]~71060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3155][6]~71060_combout\ = (\led_flash_cnt[3155][6]~q\ & (!\led_flash_cnt[3155][5]~71059\)) # (!\led_flash_cnt[3155][6]~q\ & ((\led_flash_cnt[3155][5]~71059\) # (GND)))
-- \led_flash_cnt[3155][6]~71061\ = CARRY((!\led_flash_cnt[3155][5]~71059\) # (!\led_flash_cnt[3155][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3155][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3155][5]~71059\,
	combout => \led_flash_cnt[3155][6]~71060_combout\,
	cout => \led_flash_cnt[3155][6]~71061\);

-- Location: FF_X43_Y10_N19
\led_flash_cnt[3155][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3155][6]~71060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3155][6]~q\);

-- Location: LCCOMB_X43_Y10_N20
\led_flash_cnt[3155][7]~71062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3155][7]~71062_combout\ = \led_flash_cnt[3155][6]~71061\ $ (!\led_flash_cnt[3155][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3155][7]~q\,
	cin => \led_flash_cnt[3155][6]~71061\,
	combout => \led_flash_cnt[3155][7]~71062_combout\);

-- Location: FF_X43_Y10_N21
\led_flash_cnt[3155][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3155][7]~71062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3155][7]~q\);

-- Location: LCCOMB_X43_Y10_N30
\WideAnd3155~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3155~1_combout\ = (\led_flash_cnt[3155][6]~q\ & \led_flash_cnt[3155][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3155][6]~q\,
	datad => \led_flash_cnt[3155][5]~q\,
	combout => \WideAnd3155~1_combout\);

-- Location: LCCOMB_X43_Y10_N2
\WideAnd3155~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3155~0_combout\ = (\led_flash_cnt[3155][3]~q\ & (\led_flash_cnt[3155][1]~q\ & (\led_flash_cnt[3155][4]~q\ & \led_flash_cnt[3155][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3155][3]~q\,
	datab => \led_flash_cnt[3155][1]~q\,
	datac => \led_flash_cnt[3155][4]~q\,
	datad => \led_flash_cnt[3155][2]~q\,
	combout => \WideAnd3155~0_combout\);

-- Location: LCCOMB_X43_Y10_N4
WideAnd3155 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3155~combout\ = (\led_flash_cnt[3155][0]~q\ & (\led_flash_cnt[3155][7]~q\ & (\WideAnd3155~1_combout\ & \WideAnd3155~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3155][0]~q\,
	datab => \led_flash_cnt[3155][7]~q\,
	datac => \WideAnd3155~1_combout\,
	datad => \WideAnd3155~0_combout\,
	combout => \WideAnd3155~combout\);

-- Location: FF_X43_Y10_N5
\led_flash_cnt_ands[3155]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3155~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3155));

-- Location: LCCOMB_X50_Y9_N2
\led_flash_cnt[3153][0]~83793\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3153][0]~83793_combout\ = !\led_flash_cnt[3153][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3153][0]~q\,
	combout => \led_flash_cnt[3153][0]~83793_combout\);

-- Location: FF_X50_Y9_N3
\led_flash_cnt[3153][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3153][0]~83793_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3153][0]~q\);

-- Location: LCCOMB_X47_Y9_N2
\led_flash_cnt[3153][1]~71022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3153][1]~71022_combout\ = (\led_flash_cnt[3153][0]~q\ & (\led_flash_cnt[3153][1]~q\ $ (VCC))) # (!\led_flash_cnt[3153][0]~q\ & (\led_flash_cnt[3153][1]~q\ & VCC))
-- \led_flash_cnt[3153][1]~71023\ = CARRY((\led_flash_cnt[3153][0]~q\ & \led_flash_cnt[3153][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3153][0]~q\,
	datab => \led_flash_cnt[3153][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3153][1]~71022_combout\,
	cout => \led_flash_cnt[3153][1]~71023\);

-- Location: FF_X47_Y9_N3
\led_flash_cnt[3153][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3153][1]~71022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3153][1]~q\);

-- Location: LCCOMB_X47_Y9_N4
\led_flash_cnt[3153][2]~71024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3153][2]~71024_combout\ = (\led_flash_cnt[3153][2]~q\ & (!\led_flash_cnt[3153][1]~71023\)) # (!\led_flash_cnt[3153][2]~q\ & ((\led_flash_cnt[3153][1]~71023\) # (GND)))
-- \led_flash_cnt[3153][2]~71025\ = CARRY((!\led_flash_cnt[3153][1]~71023\) # (!\led_flash_cnt[3153][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3153][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3153][1]~71023\,
	combout => \led_flash_cnt[3153][2]~71024_combout\,
	cout => \led_flash_cnt[3153][2]~71025\);

-- Location: FF_X47_Y9_N5
\led_flash_cnt[3153][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3153][2]~71024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3153][2]~q\);

-- Location: LCCOMB_X47_Y9_N6
\led_flash_cnt[3153][3]~71026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3153][3]~71026_combout\ = (\led_flash_cnt[3153][3]~q\ & (\led_flash_cnt[3153][2]~71025\ $ (GND))) # (!\led_flash_cnt[3153][3]~q\ & (!\led_flash_cnt[3153][2]~71025\ & VCC))
-- \led_flash_cnt[3153][3]~71027\ = CARRY((\led_flash_cnt[3153][3]~q\ & !\led_flash_cnt[3153][2]~71025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3153][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3153][2]~71025\,
	combout => \led_flash_cnt[3153][3]~71026_combout\,
	cout => \led_flash_cnt[3153][3]~71027\);

-- Location: FF_X47_Y9_N7
\led_flash_cnt[3153][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3153][3]~71026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3153][3]~q\);

-- Location: LCCOMB_X47_Y9_N8
\led_flash_cnt[3153][4]~71028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3153][4]~71028_combout\ = (\led_flash_cnt[3153][4]~q\ & (!\led_flash_cnt[3153][3]~71027\)) # (!\led_flash_cnt[3153][4]~q\ & ((\led_flash_cnt[3153][3]~71027\) # (GND)))
-- \led_flash_cnt[3153][4]~71029\ = CARRY((!\led_flash_cnt[3153][3]~71027\) # (!\led_flash_cnt[3153][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3153][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3153][3]~71027\,
	combout => \led_flash_cnt[3153][4]~71028_combout\,
	cout => \led_flash_cnt[3153][4]~71029\);

-- Location: FF_X47_Y9_N9
\led_flash_cnt[3153][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3153][4]~71028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3153][4]~q\);

-- Location: LCCOMB_X47_Y9_N10
\led_flash_cnt[3153][5]~71030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3153][5]~71030_combout\ = (\led_flash_cnt[3153][5]~q\ & (\led_flash_cnt[3153][4]~71029\ $ (GND))) # (!\led_flash_cnt[3153][5]~q\ & (!\led_flash_cnt[3153][4]~71029\ & VCC))
-- \led_flash_cnt[3153][5]~71031\ = CARRY((\led_flash_cnt[3153][5]~q\ & !\led_flash_cnt[3153][4]~71029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3153][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3153][4]~71029\,
	combout => \led_flash_cnt[3153][5]~71030_combout\,
	cout => \led_flash_cnt[3153][5]~71031\);

-- Location: FF_X47_Y9_N11
\led_flash_cnt[3153][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3153][5]~71030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3153][5]~q\);

-- Location: LCCOMB_X47_Y9_N12
\led_flash_cnt[3153][6]~71032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3153][6]~71032_combout\ = (\led_flash_cnt[3153][6]~q\ & (!\led_flash_cnt[3153][5]~71031\)) # (!\led_flash_cnt[3153][6]~q\ & ((\led_flash_cnt[3153][5]~71031\) # (GND)))
-- \led_flash_cnt[3153][6]~71033\ = CARRY((!\led_flash_cnt[3153][5]~71031\) # (!\led_flash_cnt[3153][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3153][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3153][5]~71031\,
	combout => \led_flash_cnt[3153][6]~71032_combout\,
	cout => \led_flash_cnt[3153][6]~71033\);

-- Location: FF_X47_Y9_N13
\led_flash_cnt[3153][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3153][6]~71032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3153][6]~q\);

-- Location: LCCOMB_X47_Y9_N14
\led_flash_cnt[3153][7]~71034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3153][7]~71034_combout\ = \led_flash_cnt[3153][7]~q\ $ (!\led_flash_cnt[3153][6]~71033\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3153][7]~q\,
	cin => \led_flash_cnt[3153][6]~71033\,
	combout => \led_flash_cnt[3153][7]~71034_combout\);

-- Location: FF_X47_Y9_N15
\led_flash_cnt[3153][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3153][7]~71034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3153][7]~q\);

-- Location: LCCOMB_X47_Y9_N0
\WideAnd3153~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3153~0_combout\ = (\led_flash_cnt[3153][3]~q\ & (\led_flash_cnt[3153][4]~q\ & (\led_flash_cnt[3153][2]~q\ & \led_flash_cnt[3153][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3153][3]~q\,
	datab => \led_flash_cnt[3153][4]~q\,
	datac => \led_flash_cnt[3153][2]~q\,
	datad => \led_flash_cnt[3153][1]~q\,
	combout => \WideAnd3153~0_combout\);

-- Location: LCCOMB_X50_Y9_N20
\WideAnd3153~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3153~1_combout\ = (\led_flash_cnt[3153][6]~q\ & \led_flash_cnt[3153][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3153][6]~q\,
	datad => \led_flash_cnt[3153][5]~q\,
	combout => \WideAnd3153~1_combout\);

-- Location: LCCOMB_X50_Y9_N24
WideAnd3153 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3153~combout\ = (\led_flash_cnt[3153][0]~q\ & (\led_flash_cnt[3153][7]~q\ & (\WideAnd3153~0_combout\ & \WideAnd3153~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3153][0]~q\,
	datab => \led_flash_cnt[3153][7]~q\,
	datac => \WideAnd3153~0_combout\,
	datad => \WideAnd3153~1_combout\,
	combout => \WideAnd3153~combout\);

-- Location: FF_X50_Y9_N25
\led_flash_cnt_ands[3153]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3153~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3153));

-- Location: LCCOMB_X39_Y6_N28
\led_flash_cnt[3154][0]~83794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3154][0]~83794_combout\ = !\led_flash_cnt[3154][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3154][0]~q\,
	combout => \led_flash_cnt[3154][0]~83794_combout\);

-- Location: FF_X39_Y6_N29
\led_flash_cnt[3154][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3154][0]~83794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3154][0]~q\);

-- Location: LCCOMB_X38_Y6_N0
\led_flash_cnt[3154][1]~71036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3154][1]~71036_combout\ = (\led_flash_cnt[3154][0]~q\ & (\led_flash_cnt[3154][1]~q\ $ (VCC))) # (!\led_flash_cnt[3154][0]~q\ & (\led_flash_cnt[3154][1]~q\ & VCC))
-- \led_flash_cnt[3154][1]~71037\ = CARRY((\led_flash_cnt[3154][0]~q\ & \led_flash_cnt[3154][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3154][0]~q\,
	datab => \led_flash_cnt[3154][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3154][1]~71036_combout\,
	cout => \led_flash_cnt[3154][1]~71037\);

-- Location: FF_X38_Y6_N1
\led_flash_cnt[3154][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3154][1]~71036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3154][1]~q\);

-- Location: LCCOMB_X38_Y6_N2
\led_flash_cnt[3154][2]~71038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3154][2]~71038_combout\ = (\led_flash_cnt[3154][2]~q\ & (!\led_flash_cnt[3154][1]~71037\)) # (!\led_flash_cnt[3154][2]~q\ & ((\led_flash_cnt[3154][1]~71037\) # (GND)))
-- \led_flash_cnt[3154][2]~71039\ = CARRY((!\led_flash_cnt[3154][1]~71037\) # (!\led_flash_cnt[3154][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3154][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3154][1]~71037\,
	combout => \led_flash_cnt[3154][2]~71038_combout\,
	cout => \led_flash_cnt[3154][2]~71039\);

-- Location: FF_X38_Y6_N3
\led_flash_cnt[3154][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3154][2]~71038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3154][2]~q\);

-- Location: LCCOMB_X38_Y6_N4
\led_flash_cnt[3154][3]~71040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3154][3]~71040_combout\ = (\led_flash_cnt[3154][3]~q\ & (\led_flash_cnt[3154][2]~71039\ $ (GND))) # (!\led_flash_cnt[3154][3]~q\ & (!\led_flash_cnt[3154][2]~71039\ & VCC))
-- \led_flash_cnt[3154][3]~71041\ = CARRY((\led_flash_cnt[3154][3]~q\ & !\led_flash_cnt[3154][2]~71039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3154][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3154][2]~71039\,
	combout => \led_flash_cnt[3154][3]~71040_combout\,
	cout => \led_flash_cnt[3154][3]~71041\);

-- Location: FF_X38_Y6_N5
\led_flash_cnt[3154][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3154][3]~71040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3154][3]~q\);

-- Location: LCCOMB_X38_Y6_N6
\led_flash_cnt[3154][4]~71042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3154][4]~71042_combout\ = (\led_flash_cnt[3154][4]~q\ & (!\led_flash_cnt[3154][3]~71041\)) # (!\led_flash_cnt[3154][4]~q\ & ((\led_flash_cnt[3154][3]~71041\) # (GND)))
-- \led_flash_cnt[3154][4]~71043\ = CARRY((!\led_flash_cnt[3154][3]~71041\) # (!\led_flash_cnt[3154][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3154][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3154][3]~71041\,
	combout => \led_flash_cnt[3154][4]~71042_combout\,
	cout => \led_flash_cnt[3154][4]~71043\);

-- Location: FF_X38_Y6_N7
\led_flash_cnt[3154][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3154][4]~71042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3154][4]~q\);

-- Location: LCCOMB_X38_Y6_N8
\led_flash_cnt[3154][5]~71044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3154][5]~71044_combout\ = (\led_flash_cnt[3154][5]~q\ & (\led_flash_cnt[3154][4]~71043\ $ (GND))) # (!\led_flash_cnt[3154][5]~q\ & (!\led_flash_cnt[3154][4]~71043\ & VCC))
-- \led_flash_cnt[3154][5]~71045\ = CARRY((\led_flash_cnt[3154][5]~q\ & !\led_flash_cnt[3154][4]~71043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3154][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3154][4]~71043\,
	combout => \led_flash_cnt[3154][5]~71044_combout\,
	cout => \led_flash_cnt[3154][5]~71045\);

-- Location: FF_X38_Y6_N9
\led_flash_cnt[3154][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3154][5]~71044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3154][5]~q\);

-- Location: LCCOMB_X38_Y6_N10
\led_flash_cnt[3154][6]~71046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3154][6]~71046_combout\ = (\led_flash_cnt[3154][6]~q\ & (!\led_flash_cnt[3154][5]~71045\)) # (!\led_flash_cnt[3154][6]~q\ & ((\led_flash_cnt[3154][5]~71045\) # (GND)))
-- \led_flash_cnt[3154][6]~71047\ = CARRY((!\led_flash_cnt[3154][5]~71045\) # (!\led_flash_cnt[3154][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3154][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3154][5]~71045\,
	combout => \led_flash_cnt[3154][6]~71046_combout\,
	cout => \led_flash_cnt[3154][6]~71047\);

-- Location: FF_X38_Y6_N11
\led_flash_cnt[3154][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3154][6]~71046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3154][6]~q\);

-- Location: LCCOMB_X38_Y6_N12
\led_flash_cnt[3154][7]~71048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3154][7]~71048_combout\ = \led_flash_cnt[3154][6]~71047\ $ (!\led_flash_cnt[3154][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3154][7]~q\,
	cin => \led_flash_cnt[3154][6]~71047\,
	combout => \led_flash_cnt[3154][7]~71048_combout\);

-- Location: FF_X38_Y6_N13
\led_flash_cnt[3154][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3154][7]~71048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3154][7]~q\);

-- Location: LCCOMB_X39_Y6_N20
\WideAnd3154~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3154~1_combout\ = (\led_flash_cnt[3154][6]~q\ & \led_flash_cnt[3154][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3154][6]~q\,
	datad => \led_flash_cnt[3154][5]~q\,
	combout => \WideAnd3154~1_combout\);

-- Location: LCCOMB_X38_Y6_N16
\WideAnd3154~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3154~0_combout\ = (\led_flash_cnt[3154][4]~q\ & (\led_flash_cnt[3154][1]~q\ & (\led_flash_cnt[3154][3]~q\ & \led_flash_cnt[3154][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3154][4]~q\,
	datab => \led_flash_cnt[3154][1]~q\,
	datac => \led_flash_cnt[3154][3]~q\,
	datad => \led_flash_cnt[3154][2]~q\,
	combout => \WideAnd3154~0_combout\);

-- Location: LCCOMB_X39_Y6_N14
WideAnd3154 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3154~combout\ = (\led_flash_cnt[3154][7]~q\ & (\WideAnd3154~1_combout\ & (\WideAnd3154~0_combout\ & \led_flash_cnt[3154][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3154][7]~q\,
	datab => \WideAnd3154~1_combout\,
	datac => \WideAnd3154~0_combout\,
	datad => \led_flash_cnt[3154][0]~q\,
	combout => \WideAnd3154~combout\);

-- Location: FF_X39_Y6_N15
\led_flash_cnt_ands[3154]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3154~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3154));

-- Location: LCCOMB_X43_Y6_N20
\WideAnd4234~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4234~0_combout\ = (led_flash_cnt_ands(3152) & (led_flash_cnt_ands(3155) & (led_flash_cnt_ands(3153) & led_flash_cnt_ands(3154))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3152),
	datab => led_flash_cnt_ands(3155),
	datac => led_flash_cnt_ands(3153),
	datad => led_flash_cnt_ands(3154),
	combout => \WideAnd4234~0_combout\);

-- Location: LCCOMB_X43_Y6_N0
WideAnd4234 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4234~combout\ = (\WideAnd4234~1_combout\ & (led_flash_cnt_ands(3158) & (led_flash_cnt_ands(3159) & \WideAnd4234~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4234~1_combout\,
	datab => led_flash_cnt_ands(3158),
	datac => led_flash_cnt_ands(3159),
	datad => \WideAnd4234~0_combout\,
	combout => \WideAnd4234~combout\);

-- Location: FF_X42_Y6_N21
\led_flash_cnt_ands_1[394]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd4234~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(394));

-- Location: LCCOMB_X41_Y5_N2
\led_flash_cnt[3166][0]~83806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3166][0]~83806_combout\ = !\led_flash_cnt[3166][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3166][0]~q\,
	combout => \led_flash_cnt[3166][0]~83806_combout\);

-- Location: FF_X41_Y5_N3
\led_flash_cnt[3166][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3166][0]~83806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3166][0]~q\);

-- Location: LCCOMB_X37_Y5_N16
\led_flash_cnt[3166][1]~71204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3166][1]~71204_combout\ = (\led_flash_cnt[3166][0]~q\ & (\led_flash_cnt[3166][1]~q\ $ (VCC))) # (!\led_flash_cnt[3166][0]~q\ & (\led_flash_cnt[3166][1]~q\ & VCC))
-- \led_flash_cnt[3166][1]~71205\ = CARRY((\led_flash_cnt[3166][0]~q\ & \led_flash_cnt[3166][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3166][0]~q\,
	datab => \led_flash_cnt[3166][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3166][1]~71204_combout\,
	cout => \led_flash_cnt[3166][1]~71205\);

-- Location: FF_X37_Y5_N17
\led_flash_cnt[3166][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3166][1]~71204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3166][1]~q\);

-- Location: LCCOMB_X37_Y5_N18
\led_flash_cnt[3166][2]~71206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3166][2]~71206_combout\ = (\led_flash_cnt[3166][2]~q\ & (!\led_flash_cnt[3166][1]~71205\)) # (!\led_flash_cnt[3166][2]~q\ & ((\led_flash_cnt[3166][1]~71205\) # (GND)))
-- \led_flash_cnt[3166][2]~71207\ = CARRY((!\led_flash_cnt[3166][1]~71205\) # (!\led_flash_cnt[3166][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3166][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3166][1]~71205\,
	combout => \led_flash_cnt[3166][2]~71206_combout\,
	cout => \led_flash_cnt[3166][2]~71207\);

-- Location: FF_X37_Y5_N19
\led_flash_cnt[3166][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3166][2]~71206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3166][2]~q\);

-- Location: LCCOMB_X37_Y5_N20
\led_flash_cnt[3166][3]~71208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3166][3]~71208_combout\ = (\led_flash_cnt[3166][3]~q\ & (\led_flash_cnt[3166][2]~71207\ $ (GND))) # (!\led_flash_cnt[3166][3]~q\ & (!\led_flash_cnt[3166][2]~71207\ & VCC))
-- \led_flash_cnt[3166][3]~71209\ = CARRY((\led_flash_cnt[3166][3]~q\ & !\led_flash_cnt[3166][2]~71207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3166][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3166][2]~71207\,
	combout => \led_flash_cnt[3166][3]~71208_combout\,
	cout => \led_flash_cnt[3166][3]~71209\);

-- Location: FF_X37_Y5_N21
\led_flash_cnt[3166][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3166][3]~71208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3166][3]~q\);

-- Location: LCCOMB_X37_Y5_N22
\led_flash_cnt[3166][4]~71210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3166][4]~71210_combout\ = (\led_flash_cnt[3166][4]~q\ & (!\led_flash_cnt[3166][3]~71209\)) # (!\led_flash_cnt[3166][4]~q\ & ((\led_flash_cnt[3166][3]~71209\) # (GND)))
-- \led_flash_cnt[3166][4]~71211\ = CARRY((!\led_flash_cnt[3166][3]~71209\) # (!\led_flash_cnt[3166][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3166][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3166][3]~71209\,
	combout => \led_flash_cnt[3166][4]~71210_combout\,
	cout => \led_flash_cnt[3166][4]~71211\);

-- Location: FF_X37_Y5_N23
\led_flash_cnt[3166][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3166][4]~71210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3166][4]~q\);

-- Location: LCCOMB_X37_Y5_N14
\WideAnd3166~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3166~0_combout\ = (\led_flash_cnt[3166][2]~q\ & (\led_flash_cnt[3166][3]~q\ & (\led_flash_cnt[3166][4]~q\ & \led_flash_cnt[3166][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3166][2]~q\,
	datab => \led_flash_cnt[3166][3]~q\,
	datac => \led_flash_cnt[3166][4]~q\,
	datad => \led_flash_cnt[3166][1]~q\,
	combout => \WideAnd3166~0_combout\);

-- Location: LCCOMB_X37_Y5_N24
\led_flash_cnt[3166][5]~71212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3166][5]~71212_combout\ = (\led_flash_cnt[3166][5]~q\ & (\led_flash_cnt[3166][4]~71211\ $ (GND))) # (!\led_flash_cnt[3166][5]~q\ & (!\led_flash_cnt[3166][4]~71211\ & VCC))
-- \led_flash_cnt[3166][5]~71213\ = CARRY((\led_flash_cnt[3166][5]~q\ & !\led_flash_cnt[3166][4]~71211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3166][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3166][4]~71211\,
	combout => \led_flash_cnt[3166][5]~71212_combout\,
	cout => \led_flash_cnt[3166][5]~71213\);

-- Location: FF_X37_Y5_N25
\led_flash_cnt[3166][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3166][5]~71212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3166][5]~q\);

-- Location: LCCOMB_X37_Y5_N26
\led_flash_cnt[3166][6]~71214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3166][6]~71214_combout\ = (\led_flash_cnt[3166][6]~q\ & (!\led_flash_cnt[3166][5]~71213\)) # (!\led_flash_cnt[3166][6]~q\ & ((\led_flash_cnt[3166][5]~71213\) # (GND)))
-- \led_flash_cnt[3166][6]~71215\ = CARRY((!\led_flash_cnt[3166][5]~71213\) # (!\led_flash_cnt[3166][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3166][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3166][5]~71213\,
	combout => \led_flash_cnt[3166][6]~71214_combout\,
	cout => \led_flash_cnt[3166][6]~71215\);

-- Location: FF_X37_Y5_N27
\led_flash_cnt[3166][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3166][6]~71214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3166][6]~q\);

-- Location: LCCOMB_X37_Y5_N28
\led_flash_cnt[3166][7]~71216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3166][7]~71216_combout\ = \led_flash_cnt[3166][6]~71215\ $ (!\led_flash_cnt[3166][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3166][7]~q\,
	cin => \led_flash_cnt[3166][6]~71215\,
	combout => \led_flash_cnt[3166][7]~71216_combout\);

-- Location: FF_X37_Y5_N29
\led_flash_cnt[3166][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3166][7]~71216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3166][7]~q\);

-- Location: LCCOMB_X38_Y5_N2
\WideAnd3166~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3166~1_combout\ = (\led_flash_cnt[3166][6]~q\ & \led_flash_cnt[3166][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3166][6]~q\,
	datad => \led_flash_cnt[3166][5]~q\,
	combout => \WideAnd3166~1_combout\);

-- Location: LCCOMB_X38_Y5_N10
WideAnd3166 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3166~combout\ = (\WideAnd3166~0_combout\ & (\led_flash_cnt[3166][7]~q\ & (\led_flash_cnt[3166][0]~q\ & \WideAnd3166~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3166~0_combout\,
	datab => \led_flash_cnt[3166][7]~q\,
	datac => \led_flash_cnt[3166][0]~q\,
	datad => \WideAnd3166~1_combout\,
	combout => \WideAnd3166~combout\);

-- Location: FF_X38_Y5_N11
\led_flash_cnt_ands[3166]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3166~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3166));

-- Location: LCCOMB_X38_Y5_N0
\led_flash_cnt[3167][0]~83807\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3167][0]~83807_combout\ = !\led_flash_cnt[3167][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3167][0]~q\,
	combout => \led_flash_cnt[3167][0]~83807_combout\);

-- Location: FF_X38_Y5_N1
\led_flash_cnt[3167][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3167][0]~83807_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3167][0]~q\);

-- Location: LCCOMB_X38_Y5_N12
\led_flash_cnt[3167][1]~71218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3167][1]~71218_combout\ = (\led_flash_cnt[3167][1]~q\ & (\led_flash_cnt[3167][0]~q\ $ (VCC))) # (!\led_flash_cnt[3167][1]~q\ & (\led_flash_cnt[3167][0]~q\ & VCC))
-- \led_flash_cnt[3167][1]~71219\ = CARRY((\led_flash_cnt[3167][1]~q\ & \led_flash_cnt[3167][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3167][1]~q\,
	datab => \led_flash_cnt[3167][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3167][1]~71218_combout\,
	cout => \led_flash_cnt[3167][1]~71219\);

-- Location: FF_X38_Y5_N13
\led_flash_cnt[3167][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3167][1]~71218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3167][1]~q\);

-- Location: LCCOMB_X38_Y5_N14
\led_flash_cnt[3167][2]~71220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3167][2]~71220_combout\ = (\led_flash_cnt[3167][2]~q\ & (!\led_flash_cnt[3167][1]~71219\)) # (!\led_flash_cnt[3167][2]~q\ & ((\led_flash_cnt[3167][1]~71219\) # (GND)))
-- \led_flash_cnt[3167][2]~71221\ = CARRY((!\led_flash_cnt[3167][1]~71219\) # (!\led_flash_cnt[3167][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3167][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3167][1]~71219\,
	combout => \led_flash_cnt[3167][2]~71220_combout\,
	cout => \led_flash_cnt[3167][2]~71221\);

-- Location: FF_X38_Y5_N15
\led_flash_cnt[3167][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3167][2]~71220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3167][2]~q\);

-- Location: LCCOMB_X38_Y5_N16
\led_flash_cnt[3167][3]~71222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3167][3]~71222_combout\ = (\led_flash_cnt[3167][3]~q\ & (\led_flash_cnt[3167][2]~71221\ $ (GND))) # (!\led_flash_cnt[3167][3]~q\ & (!\led_flash_cnt[3167][2]~71221\ & VCC))
-- \led_flash_cnt[3167][3]~71223\ = CARRY((\led_flash_cnt[3167][3]~q\ & !\led_flash_cnt[3167][2]~71221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3167][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3167][2]~71221\,
	combout => \led_flash_cnt[3167][3]~71222_combout\,
	cout => \led_flash_cnt[3167][3]~71223\);

-- Location: FF_X38_Y5_N17
\led_flash_cnt[3167][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3167][3]~71222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3167][3]~q\);

-- Location: LCCOMB_X38_Y5_N18
\led_flash_cnt[3167][4]~71224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3167][4]~71224_combout\ = (\led_flash_cnt[3167][4]~q\ & (!\led_flash_cnt[3167][3]~71223\)) # (!\led_flash_cnt[3167][4]~q\ & ((\led_flash_cnt[3167][3]~71223\) # (GND)))
-- \led_flash_cnt[3167][4]~71225\ = CARRY((!\led_flash_cnt[3167][3]~71223\) # (!\led_flash_cnt[3167][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3167][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3167][3]~71223\,
	combout => \led_flash_cnt[3167][4]~71224_combout\,
	cout => \led_flash_cnt[3167][4]~71225\);

-- Location: FF_X38_Y5_N19
\led_flash_cnt[3167][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3167][4]~71224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3167][4]~q\);

-- Location: LCCOMB_X38_Y5_N26
\WideAnd3167~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3167~0_combout\ = (\led_flash_cnt[3167][1]~q\ & (\led_flash_cnt[3167][4]~q\ & (\led_flash_cnt[3167][2]~q\ & \led_flash_cnt[3167][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3167][1]~q\,
	datab => \led_flash_cnt[3167][4]~q\,
	datac => \led_flash_cnt[3167][2]~q\,
	datad => \led_flash_cnt[3167][3]~q\,
	combout => \WideAnd3167~0_combout\);

-- Location: LCCOMB_X38_Y5_N20
\led_flash_cnt[3167][5]~71226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3167][5]~71226_combout\ = (\led_flash_cnt[3167][5]~q\ & (\led_flash_cnt[3167][4]~71225\ $ (GND))) # (!\led_flash_cnt[3167][5]~q\ & (!\led_flash_cnt[3167][4]~71225\ & VCC))
-- \led_flash_cnt[3167][5]~71227\ = CARRY((\led_flash_cnt[3167][5]~q\ & !\led_flash_cnt[3167][4]~71225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3167][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3167][4]~71225\,
	combout => \led_flash_cnt[3167][5]~71226_combout\,
	cout => \led_flash_cnt[3167][5]~71227\);

-- Location: FF_X38_Y5_N21
\led_flash_cnt[3167][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3167][5]~71226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3167][5]~q\);

-- Location: LCCOMB_X38_Y5_N22
\led_flash_cnt[3167][6]~71228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3167][6]~71228_combout\ = (\led_flash_cnt[3167][6]~q\ & (!\led_flash_cnt[3167][5]~71227\)) # (!\led_flash_cnt[3167][6]~q\ & ((\led_flash_cnt[3167][5]~71227\) # (GND)))
-- \led_flash_cnt[3167][6]~71229\ = CARRY((!\led_flash_cnt[3167][5]~71227\) # (!\led_flash_cnt[3167][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3167][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3167][5]~71227\,
	combout => \led_flash_cnt[3167][6]~71228_combout\,
	cout => \led_flash_cnt[3167][6]~71229\);

-- Location: FF_X38_Y5_N23
\led_flash_cnt[3167][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3167][6]~71228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3167][6]~q\);

-- Location: LCCOMB_X38_Y5_N4
\WideAnd3167~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3167~1_combout\ = (\led_flash_cnt[3167][6]~q\ & \led_flash_cnt[3167][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3167][6]~q\,
	datad => \led_flash_cnt[3167][5]~q\,
	combout => \WideAnd3167~1_combout\);

-- Location: LCCOMB_X38_Y5_N24
\led_flash_cnt[3167][7]~71230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3167][7]~71230_combout\ = \led_flash_cnt[3167][6]~71229\ $ (!\led_flash_cnt[3167][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3167][7]~q\,
	cin => \led_flash_cnt[3167][6]~71229\,
	combout => \led_flash_cnt[3167][7]~71230_combout\);

-- Location: FF_X38_Y5_N25
\led_flash_cnt[3167][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3167][7]~71230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3167][7]~q\);

-- Location: LCCOMB_X38_Y5_N8
WideAnd3167 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3167~combout\ = (\WideAnd3167~0_combout\ & (\led_flash_cnt[3167][0]~q\ & (\WideAnd3167~1_combout\ & \led_flash_cnt[3167][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3167~0_combout\,
	datab => \led_flash_cnt[3167][0]~q\,
	datac => \WideAnd3167~1_combout\,
	datad => \led_flash_cnt[3167][7]~q\,
	combout => \WideAnd3167~combout\);

-- Location: FF_X38_Y5_N9
\led_flash_cnt_ands[3167]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3167~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3167));

-- Location: LCCOMB_X41_Y5_N4
\led_flash_cnt[3165][0]~83805\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3165][0]~83805_combout\ = !\led_flash_cnt[3165][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3165][0]~q\,
	combout => \led_flash_cnt[3165][0]~83805_combout\);

-- Location: FF_X41_Y5_N5
\led_flash_cnt[3165][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3165][0]~83805_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3165][0]~q\);

-- Location: LCCOMB_X41_Y5_N6
\led_flash_cnt[3165][1]~71190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3165][1]~71190_combout\ = (\led_flash_cnt[3165][1]~q\ & (\led_flash_cnt[3165][0]~q\ $ (VCC))) # (!\led_flash_cnt[3165][1]~q\ & (\led_flash_cnt[3165][0]~q\ & VCC))
-- \led_flash_cnt[3165][1]~71191\ = CARRY((\led_flash_cnt[3165][1]~q\ & \led_flash_cnt[3165][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3165][1]~q\,
	datab => \led_flash_cnt[3165][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3165][1]~71190_combout\,
	cout => \led_flash_cnt[3165][1]~71191\);

-- Location: FF_X41_Y5_N7
\led_flash_cnt[3165][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3165][1]~71190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3165][1]~q\);

-- Location: LCCOMB_X41_Y5_N8
\led_flash_cnt[3165][2]~71192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3165][2]~71192_combout\ = (\led_flash_cnt[3165][2]~q\ & (!\led_flash_cnt[3165][1]~71191\)) # (!\led_flash_cnt[3165][2]~q\ & ((\led_flash_cnt[3165][1]~71191\) # (GND)))
-- \led_flash_cnt[3165][2]~71193\ = CARRY((!\led_flash_cnt[3165][1]~71191\) # (!\led_flash_cnt[3165][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3165][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3165][1]~71191\,
	combout => \led_flash_cnt[3165][2]~71192_combout\,
	cout => \led_flash_cnt[3165][2]~71193\);

-- Location: FF_X41_Y5_N9
\led_flash_cnt[3165][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3165][2]~71192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3165][2]~q\);

-- Location: LCCOMB_X41_Y5_N10
\led_flash_cnt[3165][3]~71194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3165][3]~71194_combout\ = (\led_flash_cnt[3165][3]~q\ & (\led_flash_cnt[3165][2]~71193\ $ (GND))) # (!\led_flash_cnt[3165][3]~q\ & (!\led_flash_cnt[3165][2]~71193\ & VCC))
-- \led_flash_cnt[3165][3]~71195\ = CARRY((\led_flash_cnt[3165][3]~q\ & !\led_flash_cnt[3165][2]~71193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3165][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3165][2]~71193\,
	combout => \led_flash_cnt[3165][3]~71194_combout\,
	cout => \led_flash_cnt[3165][3]~71195\);

-- Location: FF_X41_Y5_N11
\led_flash_cnt[3165][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3165][3]~71194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3165][3]~q\);

-- Location: LCCOMB_X41_Y5_N12
\led_flash_cnt[3165][4]~71196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3165][4]~71196_combout\ = (\led_flash_cnt[3165][4]~q\ & (!\led_flash_cnt[3165][3]~71195\)) # (!\led_flash_cnt[3165][4]~q\ & ((\led_flash_cnt[3165][3]~71195\) # (GND)))
-- \led_flash_cnt[3165][4]~71197\ = CARRY((!\led_flash_cnt[3165][3]~71195\) # (!\led_flash_cnt[3165][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3165][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3165][3]~71195\,
	combout => \led_flash_cnt[3165][4]~71196_combout\,
	cout => \led_flash_cnt[3165][4]~71197\);

-- Location: FF_X41_Y5_N13
\led_flash_cnt[3165][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3165][4]~71196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3165][4]~q\);

-- Location: LCCOMB_X41_Y5_N22
\WideAnd3165~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3165~0_combout\ = (\led_flash_cnt[3165][1]~q\ & (\led_flash_cnt[3165][3]~q\ & (\led_flash_cnt[3165][2]~q\ & \led_flash_cnt[3165][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3165][1]~q\,
	datab => \led_flash_cnt[3165][3]~q\,
	datac => \led_flash_cnt[3165][2]~q\,
	datad => \led_flash_cnt[3165][4]~q\,
	combout => \WideAnd3165~0_combout\);

-- Location: LCCOMB_X41_Y5_N14
\led_flash_cnt[3165][5]~71198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3165][5]~71198_combout\ = (\led_flash_cnt[3165][5]~q\ & (\led_flash_cnt[3165][4]~71197\ $ (GND))) # (!\led_flash_cnt[3165][5]~q\ & (!\led_flash_cnt[3165][4]~71197\ & VCC))
-- \led_flash_cnt[3165][5]~71199\ = CARRY((\led_flash_cnt[3165][5]~q\ & !\led_flash_cnt[3165][4]~71197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3165][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3165][4]~71197\,
	combout => \led_flash_cnt[3165][5]~71198_combout\,
	cout => \led_flash_cnt[3165][5]~71199\);

-- Location: FF_X41_Y5_N15
\led_flash_cnt[3165][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3165][5]~71198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3165][5]~q\);

-- Location: LCCOMB_X41_Y5_N16
\led_flash_cnt[3165][6]~71200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3165][6]~71200_combout\ = (\led_flash_cnt[3165][6]~q\ & (!\led_flash_cnt[3165][5]~71199\)) # (!\led_flash_cnt[3165][6]~q\ & ((\led_flash_cnt[3165][5]~71199\) # (GND)))
-- \led_flash_cnt[3165][6]~71201\ = CARRY((!\led_flash_cnt[3165][5]~71199\) # (!\led_flash_cnt[3165][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3165][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3165][5]~71199\,
	combout => \led_flash_cnt[3165][6]~71200_combout\,
	cout => \led_flash_cnt[3165][6]~71201\);

-- Location: FF_X41_Y5_N17
\led_flash_cnt[3165][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3165][6]~71200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3165][6]~q\);

-- Location: LCCOMB_X41_Y5_N30
\WideAnd3165~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3165~1_combout\ = (\led_flash_cnt[3165][5]~q\ & \led_flash_cnt[3165][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3165][5]~q\,
	datad => \led_flash_cnt[3165][6]~q\,
	combout => \WideAnd3165~1_combout\);

-- Location: LCCOMB_X41_Y5_N18
\led_flash_cnt[3165][7]~71202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3165][7]~71202_combout\ = \led_flash_cnt[3165][6]~71201\ $ (!\led_flash_cnt[3165][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3165][7]~q\,
	cin => \led_flash_cnt[3165][6]~71201\,
	combout => \led_flash_cnt[3165][7]~71202_combout\);

-- Location: FF_X41_Y5_N19
\led_flash_cnt[3165][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3165][7]~71202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3165][7]~q\);

-- Location: LCCOMB_X41_Y5_N0
WideAnd3165 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3165~combout\ = (\WideAnd3165~0_combout\ & (\led_flash_cnt[3165][0]~q\ & (\WideAnd3165~1_combout\ & \led_flash_cnt[3165][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3165~0_combout\,
	datab => \led_flash_cnt[3165][0]~q\,
	datac => \WideAnd3165~1_combout\,
	datad => \led_flash_cnt[3165][7]~q\,
	combout => \WideAnd3165~combout\);

-- Location: FF_X41_Y5_N1
\led_flash_cnt_ands[3165]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3165~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3165));

-- Location: LCCOMB_X41_Y5_N26
\led_flash_cnt[3164][0]~83804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3164][0]~83804_combout\ = !\led_flash_cnt[3164][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3164][0]~q\,
	combout => \led_flash_cnt[3164][0]~83804_combout\);

-- Location: FF_X41_Y5_N27
\led_flash_cnt[3164][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3164][0]~83804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3164][0]~q\);

-- Location: LCCOMB_X42_Y5_N0
\led_flash_cnt[3164][1]~71176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3164][1]~71176_combout\ = (\led_flash_cnt[3164][0]~q\ & (\led_flash_cnt[3164][1]~q\ $ (VCC))) # (!\led_flash_cnt[3164][0]~q\ & (\led_flash_cnt[3164][1]~q\ & VCC))
-- \led_flash_cnt[3164][1]~71177\ = CARRY((\led_flash_cnt[3164][0]~q\ & \led_flash_cnt[3164][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3164][0]~q\,
	datab => \led_flash_cnt[3164][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3164][1]~71176_combout\,
	cout => \led_flash_cnt[3164][1]~71177\);

-- Location: FF_X42_Y5_N1
\led_flash_cnt[3164][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3164][1]~71176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3164][1]~q\);

-- Location: LCCOMB_X42_Y5_N2
\led_flash_cnt[3164][2]~71178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3164][2]~71178_combout\ = (\led_flash_cnt[3164][2]~q\ & (!\led_flash_cnt[3164][1]~71177\)) # (!\led_flash_cnt[3164][2]~q\ & ((\led_flash_cnt[3164][1]~71177\) # (GND)))
-- \led_flash_cnt[3164][2]~71179\ = CARRY((!\led_flash_cnt[3164][1]~71177\) # (!\led_flash_cnt[3164][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3164][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3164][1]~71177\,
	combout => \led_flash_cnt[3164][2]~71178_combout\,
	cout => \led_flash_cnt[3164][2]~71179\);

-- Location: FF_X42_Y5_N3
\led_flash_cnt[3164][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3164][2]~71178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3164][2]~q\);

-- Location: LCCOMB_X42_Y5_N4
\led_flash_cnt[3164][3]~71180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3164][3]~71180_combout\ = (\led_flash_cnt[3164][3]~q\ & (\led_flash_cnt[3164][2]~71179\ $ (GND))) # (!\led_flash_cnt[3164][3]~q\ & (!\led_flash_cnt[3164][2]~71179\ & VCC))
-- \led_flash_cnt[3164][3]~71181\ = CARRY((\led_flash_cnt[3164][3]~q\ & !\led_flash_cnt[3164][2]~71179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3164][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3164][2]~71179\,
	combout => \led_flash_cnt[3164][3]~71180_combout\,
	cout => \led_flash_cnt[3164][3]~71181\);

-- Location: FF_X42_Y5_N5
\led_flash_cnt[3164][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3164][3]~71180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3164][3]~q\);

-- Location: LCCOMB_X42_Y5_N6
\led_flash_cnt[3164][4]~71182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3164][4]~71182_combout\ = (\led_flash_cnt[3164][4]~q\ & (!\led_flash_cnt[3164][3]~71181\)) # (!\led_flash_cnt[3164][4]~q\ & ((\led_flash_cnt[3164][3]~71181\) # (GND)))
-- \led_flash_cnt[3164][4]~71183\ = CARRY((!\led_flash_cnt[3164][3]~71181\) # (!\led_flash_cnt[3164][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3164][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3164][3]~71181\,
	combout => \led_flash_cnt[3164][4]~71182_combout\,
	cout => \led_flash_cnt[3164][4]~71183\);

-- Location: FF_X42_Y5_N7
\led_flash_cnt[3164][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3164][4]~71182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3164][4]~q\);

-- Location: LCCOMB_X42_Y5_N30
\WideAnd3164~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3164~0_combout\ = (\led_flash_cnt[3164][4]~q\ & (\led_flash_cnt[3164][1]~q\ & (\led_flash_cnt[3164][3]~q\ & \led_flash_cnt[3164][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3164][4]~q\,
	datab => \led_flash_cnt[3164][1]~q\,
	datac => \led_flash_cnt[3164][3]~q\,
	datad => \led_flash_cnt[3164][2]~q\,
	combout => \WideAnd3164~0_combout\);

-- Location: LCCOMB_X42_Y5_N8
\led_flash_cnt[3164][5]~71184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3164][5]~71184_combout\ = (\led_flash_cnt[3164][5]~q\ & (\led_flash_cnt[3164][4]~71183\ $ (GND))) # (!\led_flash_cnt[3164][5]~q\ & (!\led_flash_cnt[3164][4]~71183\ & VCC))
-- \led_flash_cnt[3164][5]~71185\ = CARRY((\led_flash_cnt[3164][5]~q\ & !\led_flash_cnt[3164][4]~71183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3164][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3164][4]~71183\,
	combout => \led_flash_cnt[3164][5]~71184_combout\,
	cout => \led_flash_cnt[3164][5]~71185\);

-- Location: FF_X42_Y5_N9
\led_flash_cnt[3164][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3164][5]~71184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3164][5]~q\);

-- Location: LCCOMB_X42_Y5_N10
\led_flash_cnt[3164][6]~71186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3164][6]~71186_combout\ = (\led_flash_cnt[3164][6]~q\ & (!\led_flash_cnt[3164][5]~71185\)) # (!\led_flash_cnt[3164][6]~q\ & ((\led_flash_cnt[3164][5]~71185\) # (GND)))
-- \led_flash_cnt[3164][6]~71187\ = CARRY((!\led_flash_cnt[3164][5]~71185\) # (!\led_flash_cnt[3164][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3164][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3164][5]~71185\,
	combout => \led_flash_cnt[3164][6]~71186_combout\,
	cout => \led_flash_cnt[3164][6]~71187\);

-- Location: FF_X42_Y5_N11
\led_flash_cnt[3164][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3164][6]~71186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3164][6]~q\);

-- Location: LCCOMB_X42_Y5_N12
\led_flash_cnt[3164][7]~71188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3164][7]~71188_combout\ = \led_flash_cnt[3164][6]~71187\ $ (!\led_flash_cnt[3164][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3164][7]~q\,
	cin => \led_flash_cnt[3164][6]~71187\,
	combout => \led_flash_cnt[3164][7]~71188_combout\);

-- Location: FF_X42_Y5_N13
\led_flash_cnt[3164][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3164][7]~71188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3164][7]~q\);

-- Location: LCCOMB_X41_Y5_N20
\WideAnd3164~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3164~1_combout\ = (\led_flash_cnt[3164][6]~q\ & \led_flash_cnt[3164][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3164][6]~q\,
	datac => \led_flash_cnt[3164][5]~q\,
	combout => \WideAnd3164~1_combout\);

-- Location: LCCOMB_X41_Y5_N24
WideAnd3164 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3164~combout\ = (\WideAnd3164~0_combout\ & (\led_flash_cnt[3164][0]~q\ & (\led_flash_cnt[3164][7]~q\ & \WideAnd3164~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3164~0_combout\,
	datab => \led_flash_cnt[3164][0]~q\,
	datac => \led_flash_cnt[3164][7]~q\,
	datad => \WideAnd3164~1_combout\,
	combout => \WideAnd3164~combout\);

-- Location: FF_X41_Y5_N25
\led_flash_cnt_ands[3164]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3164~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3164));

-- Location: LCCOMB_X41_Y5_N28
\WideAnd4235~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4235~1_combout\ = (led_flash_cnt_ands(3165) & led_flash_cnt_ands(3164))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3165),
	datad => led_flash_cnt_ands(3164),
	combout => \WideAnd4235~1_combout\);

-- Location: LCCOMB_X37_Y1_N26
\led_flash_cnt[3162][0]~83802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3162][0]~83802_combout\ = !\led_flash_cnt[3162][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3162][0]~q\,
	combout => \led_flash_cnt[3162][0]~83802_combout\);

-- Location: FF_X37_Y1_N27
\led_flash_cnt[3162][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3162][0]~83802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3162][0]~q\);

-- Location: LCCOMB_X38_Y1_N16
\led_flash_cnt[3162][1]~71148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3162][1]~71148_combout\ = (\led_flash_cnt[3162][0]~q\ & (\led_flash_cnt[3162][1]~q\ $ (VCC))) # (!\led_flash_cnt[3162][0]~q\ & (\led_flash_cnt[3162][1]~q\ & VCC))
-- \led_flash_cnt[3162][1]~71149\ = CARRY((\led_flash_cnt[3162][0]~q\ & \led_flash_cnt[3162][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3162][0]~q\,
	datab => \led_flash_cnt[3162][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3162][1]~71148_combout\,
	cout => \led_flash_cnt[3162][1]~71149\);

-- Location: FF_X38_Y1_N17
\led_flash_cnt[3162][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3162][1]~71148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3162][1]~q\);

-- Location: LCCOMB_X38_Y1_N18
\led_flash_cnt[3162][2]~71150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3162][2]~71150_combout\ = (\led_flash_cnt[3162][2]~q\ & (!\led_flash_cnt[3162][1]~71149\)) # (!\led_flash_cnt[3162][2]~q\ & ((\led_flash_cnt[3162][1]~71149\) # (GND)))
-- \led_flash_cnt[3162][2]~71151\ = CARRY((!\led_flash_cnt[3162][1]~71149\) # (!\led_flash_cnt[3162][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3162][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3162][1]~71149\,
	combout => \led_flash_cnt[3162][2]~71150_combout\,
	cout => \led_flash_cnt[3162][2]~71151\);

-- Location: FF_X38_Y1_N19
\led_flash_cnt[3162][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3162][2]~71150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3162][2]~q\);

-- Location: LCCOMB_X38_Y1_N20
\led_flash_cnt[3162][3]~71152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3162][3]~71152_combout\ = (\led_flash_cnt[3162][3]~q\ & (\led_flash_cnt[3162][2]~71151\ $ (GND))) # (!\led_flash_cnt[3162][3]~q\ & (!\led_flash_cnt[3162][2]~71151\ & VCC))
-- \led_flash_cnt[3162][3]~71153\ = CARRY((\led_flash_cnt[3162][3]~q\ & !\led_flash_cnt[3162][2]~71151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3162][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3162][2]~71151\,
	combout => \led_flash_cnt[3162][3]~71152_combout\,
	cout => \led_flash_cnt[3162][3]~71153\);

-- Location: FF_X38_Y1_N21
\led_flash_cnt[3162][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3162][3]~71152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3162][3]~q\);

-- Location: LCCOMB_X38_Y1_N22
\led_flash_cnt[3162][4]~71154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3162][4]~71154_combout\ = (\led_flash_cnt[3162][4]~q\ & (!\led_flash_cnt[3162][3]~71153\)) # (!\led_flash_cnt[3162][4]~q\ & ((\led_flash_cnt[3162][3]~71153\) # (GND)))
-- \led_flash_cnt[3162][4]~71155\ = CARRY((!\led_flash_cnt[3162][3]~71153\) # (!\led_flash_cnt[3162][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3162][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3162][3]~71153\,
	combout => \led_flash_cnt[3162][4]~71154_combout\,
	cout => \led_flash_cnt[3162][4]~71155\);

-- Location: FF_X38_Y1_N23
\led_flash_cnt[3162][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3162][4]~71154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3162][4]~q\);

-- Location: LCCOMB_X38_Y1_N0
\WideAnd3162~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3162~0_combout\ = (\led_flash_cnt[3162][1]~q\ & (\led_flash_cnt[3162][3]~q\ & (\led_flash_cnt[3162][4]~q\ & \led_flash_cnt[3162][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3162][1]~q\,
	datab => \led_flash_cnt[3162][3]~q\,
	datac => \led_flash_cnt[3162][4]~q\,
	datad => \led_flash_cnt[3162][2]~q\,
	combout => \WideAnd3162~0_combout\);

-- Location: LCCOMB_X38_Y1_N24
\led_flash_cnt[3162][5]~71156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3162][5]~71156_combout\ = (\led_flash_cnt[3162][5]~q\ & (\led_flash_cnt[3162][4]~71155\ $ (GND))) # (!\led_flash_cnt[3162][5]~q\ & (!\led_flash_cnt[3162][4]~71155\ & VCC))
-- \led_flash_cnt[3162][5]~71157\ = CARRY((\led_flash_cnt[3162][5]~q\ & !\led_flash_cnt[3162][4]~71155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3162][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3162][4]~71155\,
	combout => \led_flash_cnt[3162][5]~71156_combout\,
	cout => \led_flash_cnt[3162][5]~71157\);

-- Location: FF_X38_Y1_N25
\led_flash_cnt[3162][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3162][5]~71156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3162][5]~q\);

-- Location: LCCOMB_X38_Y1_N26
\led_flash_cnt[3162][6]~71158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3162][6]~71158_combout\ = (\led_flash_cnt[3162][6]~q\ & (!\led_flash_cnt[3162][5]~71157\)) # (!\led_flash_cnt[3162][6]~q\ & ((\led_flash_cnt[3162][5]~71157\) # (GND)))
-- \led_flash_cnt[3162][6]~71159\ = CARRY((!\led_flash_cnt[3162][5]~71157\) # (!\led_flash_cnt[3162][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3162][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3162][5]~71157\,
	combout => \led_flash_cnt[3162][6]~71158_combout\,
	cout => \led_flash_cnt[3162][6]~71159\);

-- Location: FF_X38_Y1_N27
\led_flash_cnt[3162][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3162][6]~71158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3162][6]~q\);

-- Location: LCCOMB_X37_Y1_N8
\WideAnd3162~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3162~1_combout\ = (\led_flash_cnt[3162][5]~q\ & \led_flash_cnt[3162][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3162][5]~q\,
	datad => \led_flash_cnt[3162][6]~q\,
	combout => \WideAnd3162~1_combout\);

-- Location: LCCOMB_X38_Y1_N28
\led_flash_cnt[3162][7]~71160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3162][7]~71160_combout\ = \led_flash_cnt[3162][6]~71159\ $ (!\led_flash_cnt[3162][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3162][7]~q\,
	cin => \led_flash_cnt[3162][6]~71159\,
	combout => \led_flash_cnt[3162][7]~71160_combout\);

-- Location: FF_X38_Y1_N29
\led_flash_cnt[3162][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3162][7]~71160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3162][7]~q\);

-- Location: LCCOMB_X37_Y1_N2
WideAnd3162 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3162~combout\ = (\led_flash_cnt[3162][0]~q\ & (\WideAnd3162~0_combout\ & (\WideAnd3162~1_combout\ & \led_flash_cnt[3162][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3162][0]~q\,
	datab => \WideAnd3162~0_combout\,
	datac => \WideAnd3162~1_combout\,
	datad => \led_flash_cnt[3162][7]~q\,
	combout => \WideAnd3162~combout\);

-- Location: FF_X37_Y1_N3
\led_flash_cnt_ands[3162]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3162~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3162));

-- Location: LCCOMB_X37_Y1_N0
\led_flash_cnt[3163][0]~83803\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3163][0]~83803_combout\ = !\led_flash_cnt[3163][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3163][0]~q\,
	combout => \led_flash_cnt[3163][0]~83803_combout\);

-- Location: FF_X37_Y1_N1
\led_flash_cnt[3163][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3163][0]~83803_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3163][0]~q\);

-- Location: LCCOMB_X37_Y1_N12
\led_flash_cnt[3163][1]~71162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3163][1]~71162_combout\ = (\led_flash_cnt[3163][1]~q\ & (\led_flash_cnt[3163][0]~q\ $ (VCC))) # (!\led_flash_cnt[3163][1]~q\ & (\led_flash_cnt[3163][0]~q\ & VCC))
-- \led_flash_cnt[3163][1]~71163\ = CARRY((\led_flash_cnt[3163][1]~q\ & \led_flash_cnt[3163][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3163][1]~q\,
	datab => \led_flash_cnt[3163][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3163][1]~71162_combout\,
	cout => \led_flash_cnt[3163][1]~71163\);

-- Location: FF_X37_Y1_N13
\led_flash_cnt[3163][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3163][1]~71162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3163][1]~q\);

-- Location: LCCOMB_X37_Y1_N14
\led_flash_cnt[3163][2]~71164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3163][2]~71164_combout\ = (\led_flash_cnt[3163][2]~q\ & (!\led_flash_cnt[3163][1]~71163\)) # (!\led_flash_cnt[3163][2]~q\ & ((\led_flash_cnt[3163][1]~71163\) # (GND)))
-- \led_flash_cnt[3163][2]~71165\ = CARRY((!\led_flash_cnt[3163][1]~71163\) # (!\led_flash_cnt[3163][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3163][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3163][1]~71163\,
	combout => \led_flash_cnt[3163][2]~71164_combout\,
	cout => \led_flash_cnt[3163][2]~71165\);

-- Location: FF_X37_Y1_N15
\led_flash_cnt[3163][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3163][2]~71164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3163][2]~q\);

-- Location: LCCOMB_X37_Y1_N16
\led_flash_cnt[3163][3]~71166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3163][3]~71166_combout\ = (\led_flash_cnt[3163][3]~q\ & (\led_flash_cnt[3163][2]~71165\ $ (GND))) # (!\led_flash_cnt[3163][3]~q\ & (!\led_flash_cnt[3163][2]~71165\ & VCC))
-- \led_flash_cnt[3163][3]~71167\ = CARRY((\led_flash_cnt[3163][3]~q\ & !\led_flash_cnt[3163][2]~71165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3163][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3163][2]~71165\,
	combout => \led_flash_cnt[3163][3]~71166_combout\,
	cout => \led_flash_cnt[3163][3]~71167\);

-- Location: FF_X37_Y1_N17
\led_flash_cnt[3163][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3163][3]~71166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3163][3]~q\);

-- Location: LCCOMB_X37_Y1_N18
\led_flash_cnt[3163][4]~71168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3163][4]~71168_combout\ = (\led_flash_cnt[3163][4]~q\ & (!\led_flash_cnt[3163][3]~71167\)) # (!\led_flash_cnt[3163][4]~q\ & ((\led_flash_cnt[3163][3]~71167\) # (GND)))
-- \led_flash_cnt[3163][4]~71169\ = CARRY((!\led_flash_cnt[3163][3]~71167\) # (!\led_flash_cnt[3163][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3163][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3163][3]~71167\,
	combout => \led_flash_cnt[3163][4]~71168_combout\,
	cout => \led_flash_cnt[3163][4]~71169\);

-- Location: FF_X37_Y1_N19
\led_flash_cnt[3163][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3163][4]~71168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3163][4]~q\);

-- Location: LCCOMB_X37_Y1_N20
\led_flash_cnt[3163][5]~71170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3163][5]~71170_combout\ = (\led_flash_cnt[3163][5]~q\ & (\led_flash_cnt[3163][4]~71169\ $ (GND))) # (!\led_flash_cnt[3163][5]~q\ & (!\led_flash_cnt[3163][4]~71169\ & VCC))
-- \led_flash_cnt[3163][5]~71171\ = CARRY((\led_flash_cnt[3163][5]~q\ & !\led_flash_cnt[3163][4]~71169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3163][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3163][4]~71169\,
	combout => \led_flash_cnt[3163][5]~71170_combout\,
	cout => \led_flash_cnt[3163][5]~71171\);

-- Location: FF_X37_Y1_N21
\led_flash_cnt[3163][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3163][5]~71170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3163][5]~q\);

-- Location: LCCOMB_X37_Y1_N22
\led_flash_cnt[3163][6]~71172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3163][6]~71172_combout\ = (\led_flash_cnt[3163][6]~q\ & (!\led_flash_cnt[3163][5]~71171\)) # (!\led_flash_cnt[3163][6]~q\ & ((\led_flash_cnt[3163][5]~71171\) # (GND)))
-- \led_flash_cnt[3163][6]~71173\ = CARRY((!\led_flash_cnt[3163][5]~71171\) # (!\led_flash_cnt[3163][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3163][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3163][5]~71171\,
	combout => \led_flash_cnt[3163][6]~71172_combout\,
	cout => \led_flash_cnt[3163][6]~71173\);

-- Location: FF_X37_Y1_N23
\led_flash_cnt[3163][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3163][6]~71172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3163][6]~q\);

-- Location: LCCOMB_X37_Y1_N10
\WideAnd3163~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3163~1_combout\ = (\led_flash_cnt[3163][6]~q\ & \led_flash_cnt[3163][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3163][6]~q\,
	datad => \led_flash_cnt[3163][5]~q\,
	combout => \WideAnd3163~1_combout\);

-- Location: LCCOMB_X37_Y1_N24
\led_flash_cnt[3163][7]~71174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3163][7]~71174_combout\ = \led_flash_cnt[3163][6]~71173\ $ (!\led_flash_cnt[3163][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3163][7]~q\,
	cin => \led_flash_cnt[3163][6]~71173\,
	combout => \led_flash_cnt[3163][7]~71174_combout\);

-- Location: FF_X37_Y1_N25
\led_flash_cnt[3163][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3163][7]~71174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3163][7]~q\);

-- Location: LCCOMB_X37_Y1_N30
\WideAnd3163~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3163~0_combout\ = (\led_flash_cnt[3163][4]~q\ & (\led_flash_cnt[3163][3]~q\ & (\led_flash_cnt[3163][2]~q\ & \led_flash_cnt[3163][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3163][4]~q\,
	datab => \led_flash_cnt[3163][3]~q\,
	datac => \led_flash_cnt[3163][2]~q\,
	datad => \led_flash_cnt[3163][1]~q\,
	combout => \WideAnd3163~0_combout\);

-- Location: LCCOMB_X37_Y1_N6
WideAnd3163 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3163~combout\ = (\WideAnd3163~1_combout\ & (\led_flash_cnt[3163][7]~q\ & (\WideAnd3163~0_combout\ & \led_flash_cnt[3163][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3163~1_combout\,
	datab => \led_flash_cnt[3163][7]~q\,
	datac => \WideAnd3163~0_combout\,
	datad => \led_flash_cnt[3163][0]~q\,
	combout => \WideAnd3163~combout\);

-- Location: FF_X37_Y1_N7
\led_flash_cnt_ands[3163]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3163~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3163));

-- Location: LCCOMB_X35_Y7_N6
\led_flash_cnt[3161][0]~83801\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3161][0]~83801_combout\ = !\led_flash_cnt[3161][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3161][0]~q\,
	combout => \led_flash_cnt[3161][0]~83801_combout\);

-- Location: FF_X35_Y7_N7
\led_flash_cnt[3161][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3161][0]~83801_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3161][0]~q\);

-- Location: LCCOMB_X36_Y7_N0
\led_flash_cnt[3161][1]~71134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3161][1]~71134_combout\ = (\led_flash_cnt[3161][0]~q\ & (\led_flash_cnt[3161][1]~q\ $ (VCC))) # (!\led_flash_cnt[3161][0]~q\ & (\led_flash_cnt[3161][1]~q\ & VCC))
-- \led_flash_cnt[3161][1]~71135\ = CARRY((\led_flash_cnt[3161][0]~q\ & \led_flash_cnt[3161][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3161][0]~q\,
	datab => \led_flash_cnt[3161][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3161][1]~71134_combout\,
	cout => \led_flash_cnt[3161][1]~71135\);

-- Location: FF_X36_Y7_N1
\led_flash_cnt[3161][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3161][1]~71134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3161][1]~q\);

-- Location: LCCOMB_X36_Y7_N2
\led_flash_cnt[3161][2]~71136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3161][2]~71136_combout\ = (\led_flash_cnt[3161][2]~q\ & (!\led_flash_cnt[3161][1]~71135\)) # (!\led_flash_cnt[3161][2]~q\ & ((\led_flash_cnt[3161][1]~71135\) # (GND)))
-- \led_flash_cnt[3161][2]~71137\ = CARRY((!\led_flash_cnt[3161][1]~71135\) # (!\led_flash_cnt[3161][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3161][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3161][1]~71135\,
	combout => \led_flash_cnt[3161][2]~71136_combout\,
	cout => \led_flash_cnt[3161][2]~71137\);

-- Location: FF_X36_Y7_N3
\led_flash_cnt[3161][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3161][2]~71136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3161][2]~q\);

-- Location: LCCOMB_X36_Y7_N4
\led_flash_cnt[3161][3]~71138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3161][3]~71138_combout\ = (\led_flash_cnt[3161][3]~q\ & (\led_flash_cnt[3161][2]~71137\ $ (GND))) # (!\led_flash_cnt[3161][3]~q\ & (!\led_flash_cnt[3161][2]~71137\ & VCC))
-- \led_flash_cnt[3161][3]~71139\ = CARRY((\led_flash_cnt[3161][3]~q\ & !\led_flash_cnt[3161][2]~71137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3161][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3161][2]~71137\,
	combout => \led_flash_cnt[3161][3]~71138_combout\,
	cout => \led_flash_cnt[3161][3]~71139\);

-- Location: FF_X36_Y7_N5
\led_flash_cnt[3161][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3161][3]~71138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3161][3]~q\);

-- Location: LCCOMB_X36_Y7_N6
\led_flash_cnt[3161][4]~71140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3161][4]~71140_combout\ = (\led_flash_cnt[3161][4]~q\ & (!\led_flash_cnt[3161][3]~71139\)) # (!\led_flash_cnt[3161][4]~q\ & ((\led_flash_cnt[3161][3]~71139\) # (GND)))
-- \led_flash_cnt[3161][4]~71141\ = CARRY((!\led_flash_cnt[3161][3]~71139\) # (!\led_flash_cnt[3161][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3161][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3161][3]~71139\,
	combout => \led_flash_cnt[3161][4]~71140_combout\,
	cout => \led_flash_cnt[3161][4]~71141\);

-- Location: FF_X36_Y7_N7
\led_flash_cnt[3161][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3161][4]~71140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3161][4]~q\);

-- Location: LCCOMB_X36_Y7_N8
\led_flash_cnt[3161][5]~71142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3161][5]~71142_combout\ = (\led_flash_cnt[3161][5]~q\ & (\led_flash_cnt[3161][4]~71141\ $ (GND))) # (!\led_flash_cnt[3161][5]~q\ & (!\led_flash_cnt[3161][4]~71141\ & VCC))
-- \led_flash_cnt[3161][5]~71143\ = CARRY((\led_flash_cnt[3161][5]~q\ & !\led_flash_cnt[3161][4]~71141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3161][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3161][4]~71141\,
	combout => \led_flash_cnt[3161][5]~71142_combout\,
	cout => \led_flash_cnt[3161][5]~71143\);

-- Location: FF_X36_Y7_N9
\led_flash_cnt[3161][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3161][5]~71142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3161][5]~q\);

-- Location: LCCOMB_X36_Y7_N10
\led_flash_cnt[3161][6]~71144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3161][6]~71144_combout\ = (\led_flash_cnt[3161][6]~q\ & (!\led_flash_cnt[3161][5]~71143\)) # (!\led_flash_cnt[3161][6]~q\ & ((\led_flash_cnt[3161][5]~71143\) # (GND)))
-- \led_flash_cnt[3161][6]~71145\ = CARRY((!\led_flash_cnt[3161][5]~71143\) # (!\led_flash_cnt[3161][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3161][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3161][5]~71143\,
	combout => \led_flash_cnt[3161][6]~71144_combout\,
	cout => \led_flash_cnt[3161][6]~71145\);

-- Location: FF_X36_Y7_N11
\led_flash_cnt[3161][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3161][6]~71144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3161][6]~q\);

-- Location: LCCOMB_X35_Y7_N30
\WideAnd3161~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3161~1_combout\ = (\led_flash_cnt[3161][5]~q\ & \led_flash_cnt[3161][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3161][5]~q\,
	datac => \led_flash_cnt[3161][6]~q\,
	combout => \WideAnd3161~1_combout\);

-- Location: LCCOMB_X35_Y7_N28
\WideAnd3161~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3161~0_combout\ = (\led_flash_cnt[3161][3]~q\ & (\led_flash_cnt[3161][4]~q\ & (\led_flash_cnt[3161][1]~q\ & \led_flash_cnt[3161][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3161][3]~q\,
	datab => \led_flash_cnt[3161][4]~q\,
	datac => \led_flash_cnt[3161][1]~q\,
	datad => \led_flash_cnt[3161][2]~q\,
	combout => \WideAnd3161~0_combout\);

-- Location: LCCOMB_X36_Y7_N12
\led_flash_cnt[3161][7]~71146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3161][7]~71146_combout\ = \led_flash_cnt[3161][6]~71145\ $ (!\led_flash_cnt[3161][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3161][7]~q\,
	cin => \led_flash_cnt[3161][6]~71145\,
	combout => \led_flash_cnt[3161][7]~71146_combout\);

-- Location: FF_X36_Y7_N13
\led_flash_cnt[3161][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3161][7]~71146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3161][7]~q\);

-- Location: LCCOMB_X35_Y7_N8
WideAnd3161 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3161~combout\ = (\WideAnd3161~1_combout\ & (\WideAnd3161~0_combout\ & (\led_flash_cnt[3161][7]~q\ & \led_flash_cnt[3161][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3161~1_combout\,
	datab => \WideAnd3161~0_combout\,
	datac => \led_flash_cnt[3161][7]~q\,
	datad => \led_flash_cnt[3161][0]~q\,
	combout => \WideAnd3161~combout\);

-- Location: FF_X35_Y7_N9
\led_flash_cnt_ands[3161]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3161~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3161));

-- Location: LCCOMB_X35_Y7_N12
\led_flash_cnt[3160][0]~83800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3160][0]~83800_combout\ = !\led_flash_cnt[3160][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3160][0]~q\,
	combout => \led_flash_cnt[3160][0]~83800_combout\);

-- Location: FF_X35_Y7_N13
\led_flash_cnt[3160][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3160][0]~83800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3160][0]~q\);

-- Location: LCCOMB_X39_Y7_N18
\led_flash_cnt[3160][1]~71120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3160][1]~71120_combout\ = (\led_flash_cnt[3160][0]~q\ & (\led_flash_cnt[3160][1]~q\ $ (VCC))) # (!\led_flash_cnt[3160][0]~q\ & (\led_flash_cnt[3160][1]~q\ & VCC))
-- \led_flash_cnt[3160][1]~71121\ = CARRY((\led_flash_cnt[3160][0]~q\ & \led_flash_cnt[3160][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3160][0]~q\,
	datab => \led_flash_cnt[3160][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3160][1]~71120_combout\,
	cout => \led_flash_cnt[3160][1]~71121\);

-- Location: FF_X39_Y7_N19
\led_flash_cnt[3160][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3160][1]~71120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3160][1]~q\);

-- Location: LCCOMB_X39_Y7_N20
\led_flash_cnt[3160][2]~71122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3160][2]~71122_combout\ = (\led_flash_cnt[3160][2]~q\ & (!\led_flash_cnt[3160][1]~71121\)) # (!\led_flash_cnt[3160][2]~q\ & ((\led_flash_cnt[3160][1]~71121\) # (GND)))
-- \led_flash_cnt[3160][2]~71123\ = CARRY((!\led_flash_cnt[3160][1]~71121\) # (!\led_flash_cnt[3160][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3160][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3160][1]~71121\,
	combout => \led_flash_cnt[3160][2]~71122_combout\,
	cout => \led_flash_cnt[3160][2]~71123\);

-- Location: FF_X39_Y7_N21
\led_flash_cnt[3160][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3160][2]~71122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3160][2]~q\);

-- Location: LCCOMB_X39_Y7_N22
\led_flash_cnt[3160][3]~71124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3160][3]~71124_combout\ = (\led_flash_cnt[3160][3]~q\ & (\led_flash_cnt[3160][2]~71123\ $ (GND))) # (!\led_flash_cnt[3160][3]~q\ & (!\led_flash_cnt[3160][2]~71123\ & VCC))
-- \led_flash_cnt[3160][3]~71125\ = CARRY((\led_flash_cnt[3160][3]~q\ & !\led_flash_cnt[3160][2]~71123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3160][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3160][2]~71123\,
	combout => \led_flash_cnt[3160][3]~71124_combout\,
	cout => \led_flash_cnt[3160][3]~71125\);

-- Location: FF_X39_Y7_N23
\led_flash_cnt[3160][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3160][3]~71124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3160][3]~q\);

-- Location: LCCOMB_X39_Y7_N24
\led_flash_cnt[3160][4]~71126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3160][4]~71126_combout\ = (\led_flash_cnt[3160][4]~q\ & (!\led_flash_cnt[3160][3]~71125\)) # (!\led_flash_cnt[3160][4]~q\ & ((\led_flash_cnt[3160][3]~71125\) # (GND)))
-- \led_flash_cnt[3160][4]~71127\ = CARRY((!\led_flash_cnt[3160][3]~71125\) # (!\led_flash_cnt[3160][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3160][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3160][3]~71125\,
	combout => \led_flash_cnt[3160][4]~71126_combout\,
	cout => \led_flash_cnt[3160][4]~71127\);

-- Location: FF_X39_Y7_N25
\led_flash_cnt[3160][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3160][4]~71126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3160][4]~q\);

-- Location: LCCOMB_X39_Y7_N26
\led_flash_cnt[3160][5]~71128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3160][5]~71128_combout\ = (\led_flash_cnt[3160][5]~q\ & (\led_flash_cnt[3160][4]~71127\ $ (GND))) # (!\led_flash_cnt[3160][5]~q\ & (!\led_flash_cnt[3160][4]~71127\ & VCC))
-- \led_flash_cnt[3160][5]~71129\ = CARRY((\led_flash_cnt[3160][5]~q\ & !\led_flash_cnt[3160][4]~71127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3160][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3160][4]~71127\,
	combout => \led_flash_cnt[3160][5]~71128_combout\,
	cout => \led_flash_cnt[3160][5]~71129\);

-- Location: FF_X39_Y7_N27
\led_flash_cnt[3160][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3160][5]~71128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3160][5]~q\);

-- Location: LCCOMB_X39_Y7_N28
\led_flash_cnt[3160][6]~71130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3160][6]~71130_combout\ = (\led_flash_cnt[3160][6]~q\ & (!\led_flash_cnt[3160][5]~71129\)) # (!\led_flash_cnt[3160][6]~q\ & ((\led_flash_cnt[3160][5]~71129\) # (GND)))
-- \led_flash_cnt[3160][6]~71131\ = CARRY((!\led_flash_cnt[3160][5]~71129\) # (!\led_flash_cnt[3160][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3160][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3160][5]~71129\,
	combout => \led_flash_cnt[3160][6]~71130_combout\,
	cout => \led_flash_cnt[3160][6]~71131\);

-- Location: FF_X39_Y7_N29
\led_flash_cnt[3160][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3160][6]~71130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3160][6]~q\);

-- Location: LCCOMB_X39_Y7_N8
\WideAnd3160~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3160~1_combout\ = (\led_flash_cnt[3160][5]~q\ & \led_flash_cnt[3160][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3160][5]~q\,
	datad => \led_flash_cnt[3160][6]~q\,
	combout => \WideAnd3160~1_combout\);

-- Location: LCCOMB_X39_Y7_N30
\led_flash_cnt[3160][7]~71132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3160][7]~71132_combout\ = \led_flash_cnt[3160][7]~q\ $ (!\led_flash_cnt[3160][6]~71131\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3160][7]~q\,
	cin => \led_flash_cnt[3160][6]~71131\,
	combout => \led_flash_cnt[3160][7]~71132_combout\);

-- Location: FF_X39_Y7_N31
\led_flash_cnt[3160][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3160][7]~71132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3160][7]~q\);

-- Location: LCCOMB_X39_Y7_N10
\WideAnd3160~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3160~0_combout\ = (\led_flash_cnt[3160][1]~q\ & (\led_flash_cnt[3160][4]~q\ & (\led_flash_cnt[3160][3]~q\ & \led_flash_cnt[3160][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3160][1]~q\,
	datab => \led_flash_cnt[3160][4]~q\,
	datac => \led_flash_cnt[3160][3]~q\,
	datad => \led_flash_cnt[3160][2]~q\,
	combout => \WideAnd3160~0_combout\);

-- Location: LCCOMB_X39_Y7_N16
WideAnd3160 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3160~combout\ = (\led_flash_cnt[3160][0]~q\ & (\WideAnd3160~1_combout\ & (\led_flash_cnt[3160][7]~q\ & \WideAnd3160~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3160][0]~q\,
	datab => \WideAnd3160~1_combout\,
	datac => \led_flash_cnt[3160][7]~q\,
	datad => \WideAnd3160~0_combout\,
	combout => \WideAnd3160~combout\);

-- Location: FF_X39_Y7_N17
\led_flash_cnt_ands[3160]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3160~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3160));

-- Location: LCCOMB_X38_Y5_N28
\WideAnd4235~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4235~0_combout\ = (led_flash_cnt_ands(3162) & (led_flash_cnt_ands(3163) & (led_flash_cnt_ands(3161) & led_flash_cnt_ands(3160))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3162),
	datab => led_flash_cnt_ands(3163),
	datac => led_flash_cnt_ands(3161),
	datad => led_flash_cnt_ands(3160),
	combout => \WideAnd4235~0_combout\);

-- Location: LCCOMB_X38_Y5_N6
WideAnd4235 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4235~combout\ = (led_flash_cnt_ands(3166) & (led_flash_cnt_ands(3167) & (\WideAnd4235~1_combout\ & \WideAnd4235~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3166),
	datab => led_flash_cnt_ands(3167),
	datac => \WideAnd4235~1_combout\,
	datad => \WideAnd4235~0_combout\,
	combout => \WideAnd4235~combout\);

-- Location: FF_X38_Y5_N7
\led_flash_cnt_ands_1[395]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4235~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(395));

-- Location: LCCOMB_X38_Y5_N30
\WideAnd4369~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4369~0_combout\ = (led_flash_cnt_ands_1(393) & (led_flash_cnt_ands_1(392) & (led_flash_cnt_ands_1(394) & led_flash_cnt_ands_1(395))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(393),
	datab => led_flash_cnt_ands_1(392),
	datac => led_flash_cnt_ands_1(394),
	datad => led_flash_cnt_ands_1(395),
	combout => \WideAnd4369~0_combout\);

-- Location: LCCOMB_X52_Y21_N30
\led_flash_cnt[3182][0]~83822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3182][0]~83822_combout\ = !\led_flash_cnt[3182][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3182][0]~q\,
	combout => \led_flash_cnt[3182][0]~83822_combout\);

-- Location: FF_X52_Y21_N31
\led_flash_cnt[3182][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3182][0]~83822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3182][0]~q\);

-- Location: LCCOMB_X52_Y20_N2
\led_flash_cnt[3182][1]~71428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3182][1]~71428_combout\ = (\led_flash_cnt[3182][0]~q\ & (\led_flash_cnt[3182][1]~q\ $ (VCC))) # (!\led_flash_cnt[3182][0]~q\ & (\led_flash_cnt[3182][1]~q\ & VCC))
-- \led_flash_cnt[3182][1]~71429\ = CARRY((\led_flash_cnt[3182][0]~q\ & \led_flash_cnt[3182][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3182][0]~q\,
	datab => \led_flash_cnt[3182][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3182][1]~71428_combout\,
	cout => \led_flash_cnt[3182][1]~71429\);

-- Location: FF_X52_Y20_N3
\led_flash_cnt[3182][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3182][1]~71428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3182][1]~q\);

-- Location: LCCOMB_X52_Y20_N4
\led_flash_cnt[3182][2]~71430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3182][2]~71430_combout\ = (\led_flash_cnt[3182][2]~q\ & (!\led_flash_cnt[3182][1]~71429\)) # (!\led_flash_cnt[3182][2]~q\ & ((\led_flash_cnt[3182][1]~71429\) # (GND)))
-- \led_flash_cnt[3182][2]~71431\ = CARRY((!\led_flash_cnt[3182][1]~71429\) # (!\led_flash_cnt[3182][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3182][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3182][1]~71429\,
	combout => \led_flash_cnt[3182][2]~71430_combout\,
	cout => \led_flash_cnt[3182][2]~71431\);

-- Location: FF_X52_Y20_N5
\led_flash_cnt[3182][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3182][2]~71430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3182][2]~q\);

-- Location: LCCOMB_X52_Y20_N6
\led_flash_cnt[3182][3]~71432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3182][3]~71432_combout\ = (\led_flash_cnt[3182][3]~q\ & (\led_flash_cnt[3182][2]~71431\ $ (GND))) # (!\led_flash_cnt[3182][3]~q\ & (!\led_flash_cnt[3182][2]~71431\ & VCC))
-- \led_flash_cnt[3182][3]~71433\ = CARRY((\led_flash_cnt[3182][3]~q\ & !\led_flash_cnt[3182][2]~71431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3182][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3182][2]~71431\,
	combout => \led_flash_cnt[3182][3]~71432_combout\,
	cout => \led_flash_cnt[3182][3]~71433\);

-- Location: FF_X52_Y20_N7
\led_flash_cnt[3182][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3182][3]~71432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3182][3]~q\);

-- Location: LCCOMB_X52_Y20_N8
\led_flash_cnt[3182][4]~71434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3182][4]~71434_combout\ = (\led_flash_cnt[3182][4]~q\ & (!\led_flash_cnt[3182][3]~71433\)) # (!\led_flash_cnt[3182][4]~q\ & ((\led_flash_cnt[3182][3]~71433\) # (GND)))
-- \led_flash_cnt[3182][4]~71435\ = CARRY((!\led_flash_cnt[3182][3]~71433\) # (!\led_flash_cnt[3182][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3182][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3182][3]~71433\,
	combout => \led_flash_cnt[3182][4]~71434_combout\,
	cout => \led_flash_cnt[3182][4]~71435\);

-- Location: FF_X52_Y20_N9
\led_flash_cnt[3182][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3182][4]~71434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3182][4]~q\);

-- Location: LCCOMB_X52_Y20_N10
\led_flash_cnt[3182][5]~71436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3182][5]~71436_combout\ = (\led_flash_cnt[3182][5]~q\ & (\led_flash_cnt[3182][4]~71435\ $ (GND))) # (!\led_flash_cnt[3182][5]~q\ & (!\led_flash_cnt[3182][4]~71435\ & VCC))
-- \led_flash_cnt[3182][5]~71437\ = CARRY((\led_flash_cnt[3182][5]~q\ & !\led_flash_cnt[3182][4]~71435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3182][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3182][4]~71435\,
	combout => \led_flash_cnt[3182][5]~71436_combout\,
	cout => \led_flash_cnt[3182][5]~71437\);

-- Location: FF_X52_Y20_N11
\led_flash_cnt[3182][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3182][5]~71436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3182][5]~q\);

-- Location: LCCOMB_X52_Y20_N12
\led_flash_cnt[3182][6]~71438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3182][6]~71438_combout\ = (\led_flash_cnt[3182][6]~q\ & (!\led_flash_cnt[3182][5]~71437\)) # (!\led_flash_cnt[3182][6]~q\ & ((\led_flash_cnt[3182][5]~71437\) # (GND)))
-- \led_flash_cnt[3182][6]~71439\ = CARRY((!\led_flash_cnt[3182][5]~71437\) # (!\led_flash_cnt[3182][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3182][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3182][5]~71437\,
	combout => \led_flash_cnt[3182][6]~71438_combout\,
	cout => \led_flash_cnt[3182][6]~71439\);

-- Location: FF_X52_Y20_N13
\led_flash_cnt[3182][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3182][6]~71438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3182][6]~q\);

-- Location: LCCOMB_X52_Y20_N14
\led_flash_cnt[3182][7]~71440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3182][7]~71440_combout\ = \led_flash_cnt[3182][7]~q\ $ (!\led_flash_cnt[3182][6]~71439\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3182][7]~q\,
	cin => \led_flash_cnt[3182][6]~71439\,
	combout => \led_flash_cnt[3182][7]~71440_combout\);

-- Location: FF_X52_Y20_N15
\led_flash_cnt[3182][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3182][7]~71440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3182][7]~q\);

-- Location: LCCOMB_X52_Y20_N16
\WideAnd3182~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3182~1_combout\ = (\led_flash_cnt[3182][6]~q\ & \led_flash_cnt[3182][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3182][6]~q\,
	datad => \led_flash_cnt[3182][5]~q\,
	combout => \WideAnd3182~1_combout\);

-- Location: LCCOMB_X52_Y20_N0
\WideAnd3182~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3182~0_combout\ = (\led_flash_cnt[3182][3]~q\ & (\led_flash_cnt[3182][4]~q\ & (\led_flash_cnt[3182][2]~q\ & \led_flash_cnt[3182][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3182][3]~q\,
	datab => \led_flash_cnt[3182][4]~q\,
	datac => \led_flash_cnt[3182][2]~q\,
	datad => \led_flash_cnt[3182][1]~q\,
	combout => \WideAnd3182~0_combout\);

-- Location: LCCOMB_X52_Y21_N10
WideAnd3182 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3182~combout\ = (\led_flash_cnt[3182][7]~q\ & (\WideAnd3182~1_combout\ & (\led_flash_cnt[3182][0]~q\ & \WideAnd3182~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3182][7]~q\,
	datab => \WideAnd3182~1_combout\,
	datac => \led_flash_cnt[3182][0]~q\,
	datad => \WideAnd3182~0_combout\,
	combout => \WideAnd3182~combout\);

-- Location: FF_X52_Y21_N11
\led_flash_cnt_ands[3182]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3182~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3182));

-- Location: LCCOMB_X51_Y21_N10
\led_flash_cnt[3179][0]~83819\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3179][0]~83819_combout\ = !\led_flash_cnt[3179][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3179][0]~q\,
	combout => \led_flash_cnt[3179][0]~83819_combout\);

-- Location: FF_X51_Y21_N11
\led_flash_cnt[3179][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3179][0]~83819_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3179][0]~q\);

-- Location: LCCOMB_X51_Y21_N14
\led_flash_cnt[3179][1]~71386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3179][1]~71386_combout\ = (\led_flash_cnt[3179][0]~q\ & (\led_flash_cnt[3179][1]~q\ $ (VCC))) # (!\led_flash_cnt[3179][0]~q\ & (\led_flash_cnt[3179][1]~q\ & VCC))
-- \led_flash_cnt[3179][1]~71387\ = CARRY((\led_flash_cnt[3179][0]~q\ & \led_flash_cnt[3179][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3179][0]~q\,
	datab => \led_flash_cnt[3179][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3179][1]~71386_combout\,
	cout => \led_flash_cnt[3179][1]~71387\);

-- Location: FF_X51_Y21_N15
\led_flash_cnt[3179][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3179][1]~71386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3179][1]~q\);

-- Location: LCCOMB_X51_Y21_N16
\led_flash_cnt[3179][2]~71388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3179][2]~71388_combout\ = (\led_flash_cnt[3179][2]~q\ & (!\led_flash_cnt[3179][1]~71387\)) # (!\led_flash_cnt[3179][2]~q\ & ((\led_flash_cnt[3179][1]~71387\) # (GND)))
-- \led_flash_cnt[3179][2]~71389\ = CARRY((!\led_flash_cnt[3179][1]~71387\) # (!\led_flash_cnt[3179][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3179][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3179][1]~71387\,
	combout => \led_flash_cnt[3179][2]~71388_combout\,
	cout => \led_flash_cnt[3179][2]~71389\);

-- Location: FF_X51_Y21_N17
\led_flash_cnt[3179][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3179][2]~71388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3179][2]~q\);

-- Location: LCCOMB_X51_Y21_N18
\led_flash_cnt[3179][3]~71390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3179][3]~71390_combout\ = (\led_flash_cnt[3179][3]~q\ & (\led_flash_cnt[3179][2]~71389\ $ (GND))) # (!\led_flash_cnt[3179][3]~q\ & (!\led_flash_cnt[3179][2]~71389\ & VCC))
-- \led_flash_cnt[3179][3]~71391\ = CARRY((\led_flash_cnt[3179][3]~q\ & !\led_flash_cnt[3179][2]~71389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3179][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3179][2]~71389\,
	combout => \led_flash_cnt[3179][3]~71390_combout\,
	cout => \led_flash_cnt[3179][3]~71391\);

-- Location: FF_X51_Y21_N19
\led_flash_cnt[3179][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3179][3]~71390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3179][3]~q\);

-- Location: LCCOMB_X51_Y21_N20
\led_flash_cnt[3179][4]~71392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3179][4]~71392_combout\ = (\led_flash_cnt[3179][4]~q\ & (!\led_flash_cnt[3179][3]~71391\)) # (!\led_flash_cnt[3179][4]~q\ & ((\led_flash_cnt[3179][3]~71391\) # (GND)))
-- \led_flash_cnt[3179][4]~71393\ = CARRY((!\led_flash_cnt[3179][3]~71391\) # (!\led_flash_cnt[3179][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3179][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3179][3]~71391\,
	combout => \led_flash_cnt[3179][4]~71392_combout\,
	cout => \led_flash_cnt[3179][4]~71393\);

-- Location: FF_X51_Y21_N21
\led_flash_cnt[3179][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3179][4]~71392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3179][4]~q\);

-- Location: LCCOMB_X51_Y21_N22
\led_flash_cnt[3179][5]~71394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3179][5]~71394_combout\ = (\led_flash_cnt[3179][5]~q\ & (\led_flash_cnt[3179][4]~71393\ $ (GND))) # (!\led_flash_cnt[3179][5]~q\ & (!\led_flash_cnt[3179][4]~71393\ & VCC))
-- \led_flash_cnt[3179][5]~71395\ = CARRY((\led_flash_cnt[3179][5]~q\ & !\led_flash_cnt[3179][4]~71393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3179][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3179][4]~71393\,
	combout => \led_flash_cnt[3179][5]~71394_combout\,
	cout => \led_flash_cnt[3179][5]~71395\);

-- Location: FF_X51_Y21_N23
\led_flash_cnt[3179][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3179][5]~71394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3179][5]~q\);

-- Location: LCCOMB_X51_Y21_N24
\led_flash_cnt[3179][6]~71396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3179][6]~71396_combout\ = (\led_flash_cnt[3179][6]~q\ & (!\led_flash_cnt[3179][5]~71395\)) # (!\led_flash_cnt[3179][6]~q\ & ((\led_flash_cnt[3179][5]~71395\) # (GND)))
-- \led_flash_cnt[3179][6]~71397\ = CARRY((!\led_flash_cnt[3179][5]~71395\) # (!\led_flash_cnt[3179][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3179][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3179][5]~71395\,
	combout => \led_flash_cnt[3179][6]~71396_combout\,
	cout => \led_flash_cnt[3179][6]~71397\);

-- Location: FF_X51_Y21_N25
\led_flash_cnt[3179][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3179][6]~71396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3179][6]~q\);

-- Location: LCCOMB_X51_Y21_N30
\WideAnd3179~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3179~1_combout\ = (\led_flash_cnt[3179][5]~q\ & \led_flash_cnt[3179][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3179][5]~q\,
	datad => \led_flash_cnt[3179][6]~q\,
	combout => \WideAnd3179~1_combout\);

-- Location: LCCOMB_X51_Y21_N28
\WideAnd3179~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3179~0_combout\ = (\led_flash_cnt[3179][2]~q\ & (\led_flash_cnt[3179][3]~q\ & (\led_flash_cnt[3179][1]~q\ & \led_flash_cnt[3179][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3179][2]~q\,
	datab => \led_flash_cnt[3179][3]~q\,
	datac => \led_flash_cnt[3179][1]~q\,
	datad => \led_flash_cnt[3179][4]~q\,
	combout => \WideAnd3179~0_combout\);

-- Location: LCCOMB_X51_Y21_N26
\led_flash_cnt[3179][7]~71398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3179][7]~71398_combout\ = \led_flash_cnt[3179][7]~q\ $ (!\led_flash_cnt[3179][6]~71397\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3179][7]~q\,
	cin => \led_flash_cnt[3179][6]~71397\,
	combout => \led_flash_cnt[3179][7]~71398_combout\);

-- Location: FF_X51_Y21_N27
\led_flash_cnt[3179][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3179][7]~71398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3179][7]~q\);

-- Location: LCCOMB_X51_Y21_N8
WideAnd3179 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3179~combout\ = (\WideAnd3179~1_combout\ & (\WideAnd3179~0_combout\ & (\led_flash_cnt[3179][7]~q\ & \led_flash_cnt[3179][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3179~1_combout\,
	datab => \WideAnd3179~0_combout\,
	datac => \led_flash_cnt[3179][7]~q\,
	datad => \led_flash_cnt[3179][0]~q\,
	combout => \WideAnd3179~combout\);

-- Location: FF_X51_Y21_N9
\led_flash_cnt_ands[3179]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3179~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3179));

-- Location: LCCOMB_X54_Y18_N20
\led_flash_cnt[3177][0]~83817\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3177][0]~83817_combout\ = !\led_flash_cnt[3177][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3177][0]~q\,
	combout => \led_flash_cnt[3177][0]~83817_combout\);

-- Location: FF_X54_Y18_N21
\led_flash_cnt[3177][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3177][0]~83817_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3177][0]~q\);

-- Location: LCCOMB_X55_Y18_N18
\led_flash_cnt[3177][1]~71358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3177][1]~71358_combout\ = (\led_flash_cnt[3177][0]~q\ & (\led_flash_cnt[3177][1]~q\ $ (VCC))) # (!\led_flash_cnt[3177][0]~q\ & (\led_flash_cnt[3177][1]~q\ & VCC))
-- \led_flash_cnt[3177][1]~71359\ = CARRY((\led_flash_cnt[3177][0]~q\ & \led_flash_cnt[3177][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3177][0]~q\,
	datab => \led_flash_cnt[3177][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3177][1]~71358_combout\,
	cout => \led_flash_cnt[3177][1]~71359\);

-- Location: FF_X55_Y18_N19
\led_flash_cnt[3177][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3177][1]~71358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3177][1]~q\);

-- Location: LCCOMB_X55_Y18_N20
\led_flash_cnt[3177][2]~71360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3177][2]~71360_combout\ = (\led_flash_cnt[3177][2]~q\ & (!\led_flash_cnt[3177][1]~71359\)) # (!\led_flash_cnt[3177][2]~q\ & ((\led_flash_cnt[3177][1]~71359\) # (GND)))
-- \led_flash_cnt[3177][2]~71361\ = CARRY((!\led_flash_cnt[3177][1]~71359\) # (!\led_flash_cnt[3177][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3177][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3177][1]~71359\,
	combout => \led_flash_cnt[3177][2]~71360_combout\,
	cout => \led_flash_cnt[3177][2]~71361\);

-- Location: FF_X55_Y18_N21
\led_flash_cnt[3177][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3177][2]~71360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3177][2]~q\);

-- Location: LCCOMB_X55_Y18_N22
\led_flash_cnt[3177][3]~71362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3177][3]~71362_combout\ = (\led_flash_cnt[3177][3]~q\ & (\led_flash_cnt[3177][2]~71361\ $ (GND))) # (!\led_flash_cnt[3177][3]~q\ & (!\led_flash_cnt[3177][2]~71361\ & VCC))
-- \led_flash_cnt[3177][3]~71363\ = CARRY((\led_flash_cnt[3177][3]~q\ & !\led_flash_cnt[3177][2]~71361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3177][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3177][2]~71361\,
	combout => \led_flash_cnt[3177][3]~71362_combout\,
	cout => \led_flash_cnt[3177][3]~71363\);

-- Location: FF_X55_Y18_N23
\led_flash_cnt[3177][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3177][3]~71362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3177][3]~q\);

-- Location: LCCOMB_X55_Y18_N24
\led_flash_cnt[3177][4]~71364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3177][4]~71364_combout\ = (\led_flash_cnt[3177][4]~q\ & (!\led_flash_cnt[3177][3]~71363\)) # (!\led_flash_cnt[3177][4]~q\ & ((\led_flash_cnt[3177][3]~71363\) # (GND)))
-- \led_flash_cnt[3177][4]~71365\ = CARRY((!\led_flash_cnt[3177][3]~71363\) # (!\led_flash_cnt[3177][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3177][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3177][3]~71363\,
	combout => \led_flash_cnt[3177][4]~71364_combout\,
	cout => \led_flash_cnt[3177][4]~71365\);

-- Location: FF_X55_Y18_N25
\led_flash_cnt[3177][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3177][4]~71364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3177][4]~q\);

-- Location: LCCOMB_X55_Y18_N26
\led_flash_cnt[3177][5]~71366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3177][5]~71366_combout\ = (\led_flash_cnt[3177][5]~q\ & (\led_flash_cnt[3177][4]~71365\ $ (GND))) # (!\led_flash_cnt[3177][5]~q\ & (!\led_flash_cnt[3177][4]~71365\ & VCC))
-- \led_flash_cnt[3177][5]~71367\ = CARRY((\led_flash_cnt[3177][5]~q\ & !\led_flash_cnt[3177][4]~71365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3177][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3177][4]~71365\,
	combout => \led_flash_cnt[3177][5]~71366_combout\,
	cout => \led_flash_cnt[3177][5]~71367\);

-- Location: FF_X55_Y18_N27
\led_flash_cnt[3177][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3177][5]~71366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3177][5]~q\);

-- Location: LCCOMB_X55_Y18_N28
\led_flash_cnt[3177][6]~71368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3177][6]~71368_combout\ = (\led_flash_cnt[3177][6]~q\ & (!\led_flash_cnt[3177][5]~71367\)) # (!\led_flash_cnt[3177][6]~q\ & ((\led_flash_cnt[3177][5]~71367\) # (GND)))
-- \led_flash_cnt[3177][6]~71369\ = CARRY((!\led_flash_cnt[3177][5]~71367\) # (!\led_flash_cnt[3177][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3177][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3177][5]~71367\,
	combout => \led_flash_cnt[3177][6]~71368_combout\,
	cout => \led_flash_cnt[3177][6]~71369\);

-- Location: FF_X55_Y18_N29
\led_flash_cnt[3177][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3177][6]~71368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3177][6]~q\);

-- Location: LCCOMB_X54_Y18_N26
\WideAnd3177~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3177~1_combout\ = (\led_flash_cnt[3177][6]~q\ & \led_flash_cnt[3177][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3177][6]~q\,
	datad => \led_flash_cnt[3177][5]~q\,
	combout => \WideAnd3177~1_combout\);

-- Location: LCCOMB_X55_Y18_N30
\led_flash_cnt[3177][7]~71370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3177][7]~71370_combout\ = \led_flash_cnt[3177][7]~q\ $ (!\led_flash_cnt[3177][6]~71369\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3177][7]~q\,
	cin => \led_flash_cnt[3177][6]~71369\,
	combout => \led_flash_cnt[3177][7]~71370_combout\);

-- Location: FF_X55_Y18_N31
\led_flash_cnt[3177][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3177][7]~71370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3177][7]~q\);

-- Location: LCCOMB_X55_Y18_N16
\WideAnd3177~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3177~0_combout\ = (\led_flash_cnt[3177][4]~q\ & (\led_flash_cnt[3177][2]~q\ & (\led_flash_cnt[3177][3]~q\ & \led_flash_cnt[3177][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3177][4]~q\,
	datab => \led_flash_cnt[3177][2]~q\,
	datac => \led_flash_cnt[3177][3]~q\,
	datad => \led_flash_cnt[3177][1]~q\,
	combout => \WideAnd3177~0_combout\);

-- Location: LCCOMB_X54_Y18_N2
WideAnd3177 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3177~combout\ = (\WideAnd3177~1_combout\ & (\led_flash_cnt[3177][0]~q\ & (\led_flash_cnt[3177][7]~q\ & \WideAnd3177~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3177~1_combout\,
	datab => \led_flash_cnt[3177][0]~q\,
	datac => \led_flash_cnt[3177][7]~q\,
	datad => \WideAnd3177~0_combout\,
	combout => \WideAnd3177~combout\);

-- Location: FF_X54_Y18_N3
\led_flash_cnt_ands[3177]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3177~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3177));

-- Location: LCCOMB_X52_Y18_N24
\led_flash_cnt[3176][0]~83816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3176][0]~83816_combout\ = !\led_flash_cnt[3176][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3176][0]~q\,
	combout => \led_flash_cnt[3176][0]~83816_combout\);

-- Location: FF_X52_Y18_N25
\led_flash_cnt[3176][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3176][0]~83816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3176][0]~q\);

-- Location: LCCOMB_X52_Y18_N6
\led_flash_cnt[3176][1]~71344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3176][1]~71344_combout\ = (\led_flash_cnt[3176][1]~q\ & (\led_flash_cnt[3176][0]~q\ $ (VCC))) # (!\led_flash_cnt[3176][1]~q\ & (\led_flash_cnt[3176][0]~q\ & VCC))
-- \led_flash_cnt[3176][1]~71345\ = CARRY((\led_flash_cnt[3176][1]~q\ & \led_flash_cnt[3176][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3176][1]~q\,
	datab => \led_flash_cnt[3176][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3176][1]~71344_combout\,
	cout => \led_flash_cnt[3176][1]~71345\);

-- Location: FF_X52_Y18_N7
\led_flash_cnt[3176][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3176][1]~71344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3176][1]~q\);

-- Location: LCCOMB_X52_Y18_N8
\led_flash_cnt[3176][2]~71346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3176][2]~71346_combout\ = (\led_flash_cnt[3176][2]~q\ & (!\led_flash_cnt[3176][1]~71345\)) # (!\led_flash_cnt[3176][2]~q\ & ((\led_flash_cnt[3176][1]~71345\) # (GND)))
-- \led_flash_cnt[3176][2]~71347\ = CARRY((!\led_flash_cnt[3176][1]~71345\) # (!\led_flash_cnt[3176][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3176][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3176][1]~71345\,
	combout => \led_flash_cnt[3176][2]~71346_combout\,
	cout => \led_flash_cnt[3176][2]~71347\);

-- Location: FF_X52_Y18_N9
\led_flash_cnt[3176][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3176][2]~71346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3176][2]~q\);

-- Location: LCCOMB_X52_Y18_N10
\led_flash_cnt[3176][3]~71348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3176][3]~71348_combout\ = (\led_flash_cnt[3176][3]~q\ & (\led_flash_cnt[3176][2]~71347\ $ (GND))) # (!\led_flash_cnt[3176][3]~q\ & (!\led_flash_cnt[3176][2]~71347\ & VCC))
-- \led_flash_cnt[3176][3]~71349\ = CARRY((\led_flash_cnt[3176][3]~q\ & !\led_flash_cnt[3176][2]~71347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3176][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3176][2]~71347\,
	combout => \led_flash_cnt[3176][3]~71348_combout\,
	cout => \led_flash_cnt[3176][3]~71349\);

-- Location: FF_X52_Y18_N11
\led_flash_cnt[3176][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3176][3]~71348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3176][3]~q\);

-- Location: LCCOMB_X52_Y18_N12
\led_flash_cnt[3176][4]~71350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3176][4]~71350_combout\ = (\led_flash_cnt[3176][4]~q\ & (!\led_flash_cnt[3176][3]~71349\)) # (!\led_flash_cnt[3176][4]~q\ & ((\led_flash_cnt[3176][3]~71349\) # (GND)))
-- \led_flash_cnt[3176][4]~71351\ = CARRY((!\led_flash_cnt[3176][3]~71349\) # (!\led_flash_cnt[3176][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3176][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3176][3]~71349\,
	combout => \led_flash_cnt[3176][4]~71350_combout\,
	cout => \led_flash_cnt[3176][4]~71351\);

-- Location: FF_X52_Y18_N13
\led_flash_cnt[3176][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3176][4]~71350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3176][4]~q\);

-- Location: LCCOMB_X52_Y18_N22
\WideAnd3176~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3176~0_combout\ = (\led_flash_cnt[3176][4]~q\ & (\led_flash_cnt[3176][1]~q\ & (\led_flash_cnt[3176][2]~q\ & \led_flash_cnt[3176][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3176][4]~q\,
	datab => \led_flash_cnt[3176][1]~q\,
	datac => \led_flash_cnt[3176][2]~q\,
	datad => \led_flash_cnt[3176][3]~q\,
	combout => \WideAnd3176~0_combout\);

-- Location: LCCOMB_X52_Y18_N14
\led_flash_cnt[3176][5]~71352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3176][5]~71352_combout\ = (\led_flash_cnt[3176][5]~q\ & (\led_flash_cnt[3176][4]~71351\ $ (GND))) # (!\led_flash_cnt[3176][5]~q\ & (!\led_flash_cnt[3176][4]~71351\ & VCC))
-- \led_flash_cnt[3176][5]~71353\ = CARRY((\led_flash_cnt[3176][5]~q\ & !\led_flash_cnt[3176][4]~71351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3176][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3176][4]~71351\,
	combout => \led_flash_cnt[3176][5]~71352_combout\,
	cout => \led_flash_cnt[3176][5]~71353\);

-- Location: FF_X52_Y18_N15
\led_flash_cnt[3176][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3176][5]~71352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3176][5]~q\);

-- Location: LCCOMB_X52_Y18_N16
\led_flash_cnt[3176][6]~71354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3176][6]~71354_combout\ = (\led_flash_cnt[3176][6]~q\ & (!\led_flash_cnt[3176][5]~71353\)) # (!\led_flash_cnt[3176][6]~q\ & ((\led_flash_cnt[3176][5]~71353\) # (GND)))
-- \led_flash_cnt[3176][6]~71355\ = CARRY((!\led_flash_cnt[3176][5]~71353\) # (!\led_flash_cnt[3176][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3176][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3176][5]~71353\,
	combout => \led_flash_cnt[3176][6]~71354_combout\,
	cout => \led_flash_cnt[3176][6]~71355\);

-- Location: FF_X52_Y18_N17
\led_flash_cnt[3176][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3176][6]~71354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3176][6]~q\);

-- Location: LCCOMB_X52_Y18_N18
\led_flash_cnt[3176][7]~71356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3176][7]~71356_combout\ = \led_flash_cnt[3176][6]~71355\ $ (!\led_flash_cnt[3176][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3176][7]~q\,
	cin => \led_flash_cnt[3176][6]~71355\,
	combout => \led_flash_cnt[3176][7]~71356_combout\);

-- Location: FF_X52_Y18_N19
\led_flash_cnt[3176][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3176][7]~71356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3176][7]~q\);

-- Location: LCCOMB_X52_Y18_N4
\WideAnd3176~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3176~1_combout\ = (\led_flash_cnt[3176][5]~q\ & \led_flash_cnt[3176][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3176][5]~q\,
	datad => \led_flash_cnt[3176][6]~q\,
	combout => \WideAnd3176~1_combout\);

-- Location: LCCOMB_X52_Y18_N26
WideAnd3176 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3176~combout\ = (\WideAnd3176~0_combout\ & (\led_flash_cnt[3176][7]~q\ & (\WideAnd3176~1_combout\ & \led_flash_cnt[3176][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3176~0_combout\,
	datab => \led_flash_cnt[3176][7]~q\,
	datac => \WideAnd3176~1_combout\,
	datad => \led_flash_cnt[3176][0]~q\,
	combout => \WideAnd3176~combout\);

-- Location: FF_X52_Y18_N27
\led_flash_cnt_ands[3176]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3176~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3176));

-- Location: LCCOMB_X51_Y21_N2
\led_flash_cnt[3178][0]~83818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3178][0]~83818_combout\ = !\led_flash_cnt[3178][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3178][0]~q\,
	combout => \led_flash_cnt[3178][0]~83818_combout\);

-- Location: FF_X51_Y21_N3
\led_flash_cnt[3178][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3178][0]~83818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3178][0]~q\);

-- Location: LCCOMB_X50_Y21_N16
\led_flash_cnt[3178][1]~71372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3178][1]~71372_combout\ = (\led_flash_cnt[3178][0]~q\ & (\led_flash_cnt[3178][1]~q\ $ (VCC))) # (!\led_flash_cnt[3178][0]~q\ & (\led_flash_cnt[3178][1]~q\ & VCC))
-- \led_flash_cnt[3178][1]~71373\ = CARRY((\led_flash_cnt[3178][0]~q\ & \led_flash_cnt[3178][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3178][0]~q\,
	datab => \led_flash_cnt[3178][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3178][1]~71372_combout\,
	cout => \led_flash_cnt[3178][1]~71373\);

-- Location: FF_X50_Y21_N17
\led_flash_cnt[3178][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3178][1]~71372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3178][1]~q\);

-- Location: LCCOMB_X50_Y21_N18
\led_flash_cnt[3178][2]~71374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3178][2]~71374_combout\ = (\led_flash_cnt[3178][2]~q\ & (!\led_flash_cnt[3178][1]~71373\)) # (!\led_flash_cnt[3178][2]~q\ & ((\led_flash_cnt[3178][1]~71373\) # (GND)))
-- \led_flash_cnt[3178][2]~71375\ = CARRY((!\led_flash_cnt[3178][1]~71373\) # (!\led_flash_cnt[3178][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3178][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3178][1]~71373\,
	combout => \led_flash_cnt[3178][2]~71374_combout\,
	cout => \led_flash_cnt[3178][2]~71375\);

-- Location: FF_X50_Y21_N19
\led_flash_cnt[3178][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3178][2]~71374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3178][2]~q\);

-- Location: LCCOMB_X50_Y21_N20
\led_flash_cnt[3178][3]~71376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3178][3]~71376_combout\ = (\led_flash_cnt[3178][3]~q\ & (\led_flash_cnt[3178][2]~71375\ $ (GND))) # (!\led_flash_cnt[3178][3]~q\ & (!\led_flash_cnt[3178][2]~71375\ & VCC))
-- \led_flash_cnt[3178][3]~71377\ = CARRY((\led_flash_cnt[3178][3]~q\ & !\led_flash_cnt[3178][2]~71375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3178][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3178][2]~71375\,
	combout => \led_flash_cnt[3178][3]~71376_combout\,
	cout => \led_flash_cnt[3178][3]~71377\);

-- Location: FF_X50_Y21_N21
\led_flash_cnt[3178][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3178][3]~71376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3178][3]~q\);

-- Location: LCCOMB_X50_Y21_N22
\led_flash_cnt[3178][4]~71378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3178][4]~71378_combout\ = (\led_flash_cnt[3178][4]~q\ & (!\led_flash_cnt[3178][3]~71377\)) # (!\led_flash_cnt[3178][4]~q\ & ((\led_flash_cnt[3178][3]~71377\) # (GND)))
-- \led_flash_cnt[3178][4]~71379\ = CARRY((!\led_flash_cnt[3178][3]~71377\) # (!\led_flash_cnt[3178][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3178][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3178][3]~71377\,
	combout => \led_flash_cnt[3178][4]~71378_combout\,
	cout => \led_flash_cnt[3178][4]~71379\);

-- Location: FF_X50_Y21_N23
\led_flash_cnt[3178][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3178][4]~71378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3178][4]~q\);

-- Location: LCCOMB_X50_Y21_N24
\led_flash_cnt[3178][5]~71380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3178][5]~71380_combout\ = (\led_flash_cnt[3178][5]~q\ & (\led_flash_cnt[3178][4]~71379\ $ (GND))) # (!\led_flash_cnt[3178][5]~q\ & (!\led_flash_cnt[3178][4]~71379\ & VCC))
-- \led_flash_cnt[3178][5]~71381\ = CARRY((\led_flash_cnt[3178][5]~q\ & !\led_flash_cnt[3178][4]~71379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3178][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3178][4]~71379\,
	combout => \led_flash_cnt[3178][5]~71380_combout\,
	cout => \led_flash_cnt[3178][5]~71381\);

-- Location: FF_X50_Y21_N25
\led_flash_cnt[3178][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3178][5]~71380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3178][5]~q\);

-- Location: LCCOMB_X50_Y21_N26
\led_flash_cnt[3178][6]~71382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3178][6]~71382_combout\ = (\led_flash_cnt[3178][6]~q\ & (!\led_flash_cnt[3178][5]~71381\)) # (!\led_flash_cnt[3178][6]~q\ & ((\led_flash_cnt[3178][5]~71381\) # (GND)))
-- \led_flash_cnt[3178][6]~71383\ = CARRY((!\led_flash_cnt[3178][5]~71381\) # (!\led_flash_cnt[3178][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3178][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3178][5]~71381\,
	combout => \led_flash_cnt[3178][6]~71382_combout\,
	cout => \led_flash_cnt[3178][6]~71383\);

-- Location: FF_X50_Y21_N27
\led_flash_cnt[3178][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3178][6]~71382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3178][6]~q\);

-- Location: LCCOMB_X51_Y21_N6
\WideAnd3178~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3178~1_combout\ = (\led_flash_cnt[3178][6]~q\ & \led_flash_cnt[3178][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3178][6]~q\,
	datad => \led_flash_cnt[3178][5]~q\,
	combout => \WideAnd3178~1_combout\);

-- Location: LCCOMB_X50_Y21_N28
\led_flash_cnt[3178][7]~71384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3178][7]~71384_combout\ = \led_flash_cnt[3178][6]~71383\ $ (!\led_flash_cnt[3178][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3178][7]~q\,
	cin => \led_flash_cnt[3178][6]~71383\,
	combout => \led_flash_cnt[3178][7]~71384_combout\);

-- Location: FF_X50_Y21_N29
\led_flash_cnt[3178][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3178][7]~71384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3178][7]~q\);

-- Location: LCCOMB_X50_Y21_N0
\WideAnd3178~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3178~0_combout\ = (\led_flash_cnt[3178][2]~q\ & (\led_flash_cnt[3178][3]~q\ & (\led_flash_cnt[3178][4]~q\ & \led_flash_cnt[3178][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3178][2]~q\,
	datab => \led_flash_cnt[3178][3]~q\,
	datac => \led_flash_cnt[3178][4]~q\,
	datad => \led_flash_cnt[3178][1]~q\,
	combout => \WideAnd3178~0_combout\);

-- Location: LCCOMB_X51_Y21_N12
WideAnd3178 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3178~combout\ = (\WideAnd3178~1_combout\ & (\led_flash_cnt[3178][7]~q\ & (\WideAnd3178~0_combout\ & \led_flash_cnt[3178][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3178~1_combout\,
	datab => \led_flash_cnt[3178][7]~q\,
	datac => \WideAnd3178~0_combout\,
	datad => \led_flash_cnt[3178][0]~q\,
	combout => \WideAnd3178~combout\);

-- Location: FF_X51_Y21_N13
\led_flash_cnt_ands[3178]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3178~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3178));

-- Location: LCCOMB_X52_Y21_N8
\WideAnd4237~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4237~0_combout\ = (led_flash_cnt_ands(3179) & (led_flash_cnt_ands(3177) & (led_flash_cnt_ands(3176) & led_flash_cnt_ands(3178))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3179),
	datab => led_flash_cnt_ands(3177),
	datac => led_flash_cnt_ands(3176),
	datad => led_flash_cnt_ands(3178),
	combout => \WideAnd4237~0_combout\);

-- Location: LCCOMB_X52_Y21_N6
\led_flash_cnt[3183][0]~83823\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3183][0]~83823_combout\ = !\led_flash_cnt[3183][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3183][0]~q\,
	combout => \led_flash_cnt[3183][0]~83823_combout\);

-- Location: FF_X52_Y21_N7
\led_flash_cnt[3183][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3183][0]~83823_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3183][0]~q\);

-- Location: LCCOMB_X52_Y21_N16
\led_flash_cnt[3183][1]~71442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3183][1]~71442_combout\ = (\led_flash_cnt[3183][0]~q\ & (\led_flash_cnt[3183][1]~q\ $ (VCC))) # (!\led_flash_cnt[3183][0]~q\ & (\led_flash_cnt[3183][1]~q\ & VCC))
-- \led_flash_cnt[3183][1]~71443\ = CARRY((\led_flash_cnt[3183][0]~q\ & \led_flash_cnt[3183][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3183][0]~q\,
	datab => \led_flash_cnt[3183][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3183][1]~71442_combout\,
	cout => \led_flash_cnt[3183][1]~71443\);

-- Location: FF_X52_Y21_N17
\led_flash_cnt[3183][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3183][1]~71442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3183][1]~q\);

-- Location: LCCOMB_X52_Y21_N18
\led_flash_cnt[3183][2]~71444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3183][2]~71444_combout\ = (\led_flash_cnt[3183][2]~q\ & (!\led_flash_cnt[3183][1]~71443\)) # (!\led_flash_cnt[3183][2]~q\ & ((\led_flash_cnt[3183][1]~71443\) # (GND)))
-- \led_flash_cnt[3183][2]~71445\ = CARRY((!\led_flash_cnt[3183][1]~71443\) # (!\led_flash_cnt[3183][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3183][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3183][1]~71443\,
	combout => \led_flash_cnt[3183][2]~71444_combout\,
	cout => \led_flash_cnt[3183][2]~71445\);

-- Location: FF_X52_Y21_N19
\led_flash_cnt[3183][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3183][2]~71444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3183][2]~q\);

-- Location: LCCOMB_X52_Y21_N20
\led_flash_cnt[3183][3]~71446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3183][3]~71446_combout\ = (\led_flash_cnt[3183][3]~q\ & (\led_flash_cnt[3183][2]~71445\ $ (GND))) # (!\led_flash_cnt[3183][3]~q\ & (!\led_flash_cnt[3183][2]~71445\ & VCC))
-- \led_flash_cnt[3183][3]~71447\ = CARRY((\led_flash_cnt[3183][3]~q\ & !\led_flash_cnt[3183][2]~71445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3183][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3183][2]~71445\,
	combout => \led_flash_cnt[3183][3]~71446_combout\,
	cout => \led_flash_cnt[3183][3]~71447\);

-- Location: FF_X52_Y21_N21
\led_flash_cnt[3183][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3183][3]~71446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3183][3]~q\);

-- Location: LCCOMB_X52_Y21_N22
\led_flash_cnt[3183][4]~71448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3183][4]~71448_combout\ = (\led_flash_cnt[3183][4]~q\ & (!\led_flash_cnt[3183][3]~71447\)) # (!\led_flash_cnt[3183][4]~q\ & ((\led_flash_cnt[3183][3]~71447\) # (GND)))
-- \led_flash_cnt[3183][4]~71449\ = CARRY((!\led_flash_cnt[3183][3]~71447\) # (!\led_flash_cnt[3183][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3183][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3183][3]~71447\,
	combout => \led_flash_cnt[3183][4]~71448_combout\,
	cout => \led_flash_cnt[3183][4]~71449\);

-- Location: FF_X52_Y21_N23
\led_flash_cnt[3183][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3183][4]~71448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3183][4]~q\);

-- Location: LCCOMB_X52_Y21_N24
\led_flash_cnt[3183][5]~71450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3183][5]~71450_combout\ = (\led_flash_cnt[3183][5]~q\ & (\led_flash_cnt[3183][4]~71449\ $ (GND))) # (!\led_flash_cnt[3183][5]~q\ & (!\led_flash_cnt[3183][4]~71449\ & VCC))
-- \led_flash_cnt[3183][5]~71451\ = CARRY((\led_flash_cnt[3183][5]~q\ & !\led_flash_cnt[3183][4]~71449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3183][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3183][4]~71449\,
	combout => \led_flash_cnt[3183][5]~71450_combout\,
	cout => \led_flash_cnt[3183][5]~71451\);

-- Location: FF_X52_Y21_N25
\led_flash_cnt[3183][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3183][5]~71450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3183][5]~q\);

-- Location: LCCOMB_X52_Y21_N26
\led_flash_cnt[3183][6]~71452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3183][6]~71452_combout\ = (\led_flash_cnt[3183][6]~q\ & (!\led_flash_cnt[3183][5]~71451\)) # (!\led_flash_cnt[3183][6]~q\ & ((\led_flash_cnt[3183][5]~71451\) # (GND)))
-- \led_flash_cnt[3183][6]~71453\ = CARRY((!\led_flash_cnt[3183][5]~71451\) # (!\led_flash_cnt[3183][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3183][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3183][5]~71451\,
	combout => \led_flash_cnt[3183][6]~71452_combout\,
	cout => \led_flash_cnt[3183][6]~71453\);

-- Location: FF_X52_Y21_N27
\led_flash_cnt[3183][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3183][6]~71452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3183][6]~q\);

-- Location: LCCOMB_X52_Y21_N28
\led_flash_cnt[3183][7]~71454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3183][7]~71454_combout\ = \led_flash_cnt[3183][6]~71453\ $ (!\led_flash_cnt[3183][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3183][7]~q\,
	cin => \led_flash_cnt[3183][6]~71453\,
	combout => \led_flash_cnt[3183][7]~71454_combout\);

-- Location: FF_X52_Y21_N29
\led_flash_cnt[3183][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3183][7]~71454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3183][7]~q\);

-- Location: LCCOMB_X52_Y21_N4
\WideAnd3183~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3183~1_combout\ = (\led_flash_cnt[3183][6]~q\ & \led_flash_cnt[3183][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3183][6]~q\,
	datad => \led_flash_cnt[3183][5]~q\,
	combout => \WideAnd3183~1_combout\);

-- Location: LCCOMB_X52_Y21_N12
\WideAnd3183~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3183~0_combout\ = (\led_flash_cnt[3183][2]~q\ & (\led_flash_cnt[3183][3]~q\ & (\led_flash_cnt[3183][4]~q\ & \led_flash_cnt[3183][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3183][2]~q\,
	datab => \led_flash_cnt[3183][3]~q\,
	datac => \led_flash_cnt[3183][4]~q\,
	datad => \led_flash_cnt[3183][1]~q\,
	combout => \WideAnd3183~0_combout\);

-- Location: LCCOMB_X52_Y21_N14
WideAnd3183 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3183~combout\ = (\led_flash_cnt[3183][0]~q\ & (\led_flash_cnt[3183][7]~q\ & (\WideAnd3183~1_combout\ & \WideAnd3183~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3183][0]~q\,
	datab => \led_flash_cnt[3183][7]~q\,
	datac => \WideAnd3183~1_combout\,
	datad => \WideAnd3183~0_combout\,
	combout => \WideAnd3183~combout\);

-- Location: FF_X52_Y21_N15
\led_flash_cnt_ands[3183]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3183~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3183));

-- Location: LCCOMB_X47_Y22_N2
\led_flash_cnt[3180][0]~83820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3180][0]~83820_combout\ = !\led_flash_cnt[3180][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3180][0]~q\,
	combout => \led_flash_cnt[3180][0]~83820_combout\);

-- Location: FF_X47_Y22_N3
\led_flash_cnt[3180][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3180][0]~83820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3180][0]~q\);

-- Location: LCCOMB_X46_Y22_N2
\led_flash_cnt[3180][1]~71400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3180][1]~71400_combout\ = (\led_flash_cnt[3180][0]~q\ & (\led_flash_cnt[3180][1]~q\ $ (VCC))) # (!\led_flash_cnt[3180][0]~q\ & (\led_flash_cnt[3180][1]~q\ & VCC))
-- \led_flash_cnt[3180][1]~71401\ = CARRY((\led_flash_cnt[3180][0]~q\ & \led_flash_cnt[3180][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3180][0]~q\,
	datab => \led_flash_cnt[3180][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3180][1]~71400_combout\,
	cout => \led_flash_cnt[3180][1]~71401\);

-- Location: FF_X46_Y22_N3
\led_flash_cnt[3180][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3180][1]~71400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3180][1]~q\);

-- Location: LCCOMB_X46_Y22_N4
\led_flash_cnt[3180][2]~71402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3180][2]~71402_combout\ = (\led_flash_cnt[3180][2]~q\ & (!\led_flash_cnt[3180][1]~71401\)) # (!\led_flash_cnt[3180][2]~q\ & ((\led_flash_cnt[3180][1]~71401\) # (GND)))
-- \led_flash_cnt[3180][2]~71403\ = CARRY((!\led_flash_cnt[3180][1]~71401\) # (!\led_flash_cnt[3180][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3180][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3180][1]~71401\,
	combout => \led_flash_cnt[3180][2]~71402_combout\,
	cout => \led_flash_cnt[3180][2]~71403\);

-- Location: FF_X46_Y22_N5
\led_flash_cnt[3180][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3180][2]~71402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3180][2]~q\);

-- Location: LCCOMB_X46_Y22_N6
\led_flash_cnt[3180][3]~71404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3180][3]~71404_combout\ = (\led_flash_cnt[3180][3]~q\ & (\led_flash_cnt[3180][2]~71403\ $ (GND))) # (!\led_flash_cnt[3180][3]~q\ & (!\led_flash_cnt[3180][2]~71403\ & VCC))
-- \led_flash_cnt[3180][3]~71405\ = CARRY((\led_flash_cnt[3180][3]~q\ & !\led_flash_cnt[3180][2]~71403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3180][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3180][2]~71403\,
	combout => \led_flash_cnt[3180][3]~71404_combout\,
	cout => \led_flash_cnt[3180][3]~71405\);

-- Location: FF_X46_Y22_N7
\led_flash_cnt[3180][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3180][3]~71404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3180][3]~q\);

-- Location: LCCOMB_X46_Y22_N8
\led_flash_cnt[3180][4]~71406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3180][4]~71406_combout\ = (\led_flash_cnt[3180][4]~q\ & (!\led_flash_cnt[3180][3]~71405\)) # (!\led_flash_cnt[3180][4]~q\ & ((\led_flash_cnt[3180][3]~71405\) # (GND)))
-- \led_flash_cnt[3180][4]~71407\ = CARRY((!\led_flash_cnt[3180][3]~71405\) # (!\led_flash_cnt[3180][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3180][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3180][3]~71405\,
	combout => \led_flash_cnt[3180][4]~71406_combout\,
	cout => \led_flash_cnt[3180][4]~71407\);

-- Location: FF_X46_Y22_N9
\led_flash_cnt[3180][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3180][4]~71406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3180][4]~q\);

-- Location: LCCOMB_X46_Y22_N10
\led_flash_cnt[3180][5]~71408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3180][5]~71408_combout\ = (\led_flash_cnt[3180][5]~q\ & (\led_flash_cnt[3180][4]~71407\ $ (GND))) # (!\led_flash_cnt[3180][5]~q\ & (!\led_flash_cnt[3180][4]~71407\ & VCC))
-- \led_flash_cnt[3180][5]~71409\ = CARRY((\led_flash_cnt[3180][5]~q\ & !\led_flash_cnt[3180][4]~71407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3180][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3180][4]~71407\,
	combout => \led_flash_cnt[3180][5]~71408_combout\,
	cout => \led_flash_cnt[3180][5]~71409\);

-- Location: FF_X46_Y22_N11
\led_flash_cnt[3180][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3180][5]~71408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3180][5]~q\);

-- Location: LCCOMB_X46_Y22_N12
\led_flash_cnt[3180][6]~71410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3180][6]~71410_combout\ = (\led_flash_cnt[3180][6]~q\ & (!\led_flash_cnt[3180][5]~71409\)) # (!\led_flash_cnt[3180][6]~q\ & ((\led_flash_cnt[3180][5]~71409\) # (GND)))
-- \led_flash_cnt[3180][6]~71411\ = CARRY((!\led_flash_cnt[3180][5]~71409\) # (!\led_flash_cnt[3180][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3180][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3180][5]~71409\,
	combout => \led_flash_cnt[3180][6]~71410_combout\,
	cout => \led_flash_cnt[3180][6]~71411\);

-- Location: FF_X46_Y22_N13
\led_flash_cnt[3180][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3180][6]~71410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3180][6]~q\);

-- Location: LCCOMB_X46_Y22_N14
\led_flash_cnt[3180][7]~71412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3180][7]~71412_combout\ = \led_flash_cnt[3180][7]~q\ $ (!\led_flash_cnt[3180][6]~71411\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3180][7]~q\,
	cin => \led_flash_cnt[3180][6]~71411\,
	combout => \led_flash_cnt[3180][7]~71412_combout\);

-- Location: FF_X46_Y22_N15
\led_flash_cnt[3180][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3180][7]~71412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3180][7]~q\);

-- Location: LCCOMB_X47_Y22_N28
\WideAnd3180~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3180~1_combout\ = (\led_flash_cnt[3180][6]~q\ & \led_flash_cnt[3180][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3180][6]~q\,
	datad => \led_flash_cnt[3180][5]~q\,
	combout => \WideAnd3180~1_combout\);

-- Location: LCCOMB_X46_Y22_N16
\WideAnd3180~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3180~0_combout\ = (\led_flash_cnt[3180][3]~q\ & (\led_flash_cnt[3180][4]~q\ & (\led_flash_cnt[3180][2]~q\ & \led_flash_cnt[3180][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3180][3]~q\,
	datab => \led_flash_cnt[3180][4]~q\,
	datac => \led_flash_cnt[3180][2]~q\,
	datad => \led_flash_cnt[3180][1]~q\,
	combout => \WideAnd3180~0_combout\);

-- Location: LCCOMB_X47_Y22_N4
WideAnd3180 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3180~combout\ = (\led_flash_cnt[3180][7]~q\ & (\WideAnd3180~1_combout\ & (\WideAnd3180~0_combout\ & \led_flash_cnt[3180][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3180][7]~q\,
	datab => \WideAnd3180~1_combout\,
	datac => \WideAnd3180~0_combout\,
	datad => \led_flash_cnt[3180][0]~q\,
	combout => \WideAnd3180~combout\);

-- Location: FF_X47_Y22_N5
\led_flash_cnt_ands[3180]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3180~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3180));

-- Location: LCCOMB_X47_Y22_N10
\led_flash_cnt[3181][0]~83821\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3181][0]~83821_combout\ = !\led_flash_cnt[3181][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3181][0]~q\,
	combout => \led_flash_cnt[3181][0]~83821_combout\);

-- Location: FF_X47_Y22_N11
\led_flash_cnt[3181][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3181][0]~83821_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3181][0]~q\);

-- Location: LCCOMB_X47_Y22_N12
\led_flash_cnt[3181][1]~71414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3181][1]~71414_combout\ = (\led_flash_cnt[3181][1]~q\ & (\led_flash_cnt[3181][0]~q\ $ (VCC))) # (!\led_flash_cnt[3181][1]~q\ & (\led_flash_cnt[3181][0]~q\ & VCC))
-- \led_flash_cnt[3181][1]~71415\ = CARRY((\led_flash_cnt[3181][1]~q\ & \led_flash_cnt[3181][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3181][1]~q\,
	datab => \led_flash_cnt[3181][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3181][1]~71414_combout\,
	cout => \led_flash_cnt[3181][1]~71415\);

-- Location: FF_X47_Y22_N13
\led_flash_cnt[3181][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3181][1]~71414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3181][1]~q\);

-- Location: LCCOMB_X47_Y22_N14
\led_flash_cnt[3181][2]~71416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3181][2]~71416_combout\ = (\led_flash_cnt[3181][2]~q\ & (!\led_flash_cnt[3181][1]~71415\)) # (!\led_flash_cnt[3181][2]~q\ & ((\led_flash_cnt[3181][1]~71415\) # (GND)))
-- \led_flash_cnt[3181][2]~71417\ = CARRY((!\led_flash_cnt[3181][1]~71415\) # (!\led_flash_cnt[3181][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3181][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3181][1]~71415\,
	combout => \led_flash_cnt[3181][2]~71416_combout\,
	cout => \led_flash_cnt[3181][2]~71417\);

-- Location: FF_X47_Y22_N15
\led_flash_cnt[3181][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3181][2]~71416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3181][2]~q\);

-- Location: LCCOMB_X47_Y22_N16
\led_flash_cnt[3181][3]~71418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3181][3]~71418_combout\ = (\led_flash_cnt[3181][3]~q\ & (\led_flash_cnt[3181][2]~71417\ $ (GND))) # (!\led_flash_cnt[3181][3]~q\ & (!\led_flash_cnt[3181][2]~71417\ & VCC))
-- \led_flash_cnt[3181][3]~71419\ = CARRY((\led_flash_cnt[3181][3]~q\ & !\led_flash_cnt[3181][2]~71417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3181][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3181][2]~71417\,
	combout => \led_flash_cnt[3181][3]~71418_combout\,
	cout => \led_flash_cnt[3181][3]~71419\);

-- Location: FF_X47_Y22_N17
\led_flash_cnt[3181][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3181][3]~71418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3181][3]~q\);

-- Location: LCCOMB_X47_Y22_N18
\led_flash_cnt[3181][4]~71420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3181][4]~71420_combout\ = (\led_flash_cnt[3181][4]~q\ & (!\led_flash_cnt[3181][3]~71419\)) # (!\led_flash_cnt[3181][4]~q\ & ((\led_flash_cnt[3181][3]~71419\) # (GND)))
-- \led_flash_cnt[3181][4]~71421\ = CARRY((!\led_flash_cnt[3181][3]~71419\) # (!\led_flash_cnt[3181][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3181][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3181][3]~71419\,
	combout => \led_flash_cnt[3181][4]~71420_combout\,
	cout => \led_flash_cnt[3181][4]~71421\);

-- Location: FF_X47_Y22_N19
\led_flash_cnt[3181][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3181][4]~71420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3181][4]~q\);

-- Location: LCCOMB_X47_Y22_N20
\led_flash_cnt[3181][5]~71422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3181][5]~71422_combout\ = (\led_flash_cnt[3181][5]~q\ & (\led_flash_cnt[3181][4]~71421\ $ (GND))) # (!\led_flash_cnt[3181][5]~q\ & (!\led_flash_cnt[3181][4]~71421\ & VCC))
-- \led_flash_cnt[3181][5]~71423\ = CARRY((\led_flash_cnt[3181][5]~q\ & !\led_flash_cnt[3181][4]~71421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3181][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3181][4]~71421\,
	combout => \led_flash_cnt[3181][5]~71422_combout\,
	cout => \led_flash_cnt[3181][5]~71423\);

-- Location: FF_X47_Y22_N21
\led_flash_cnt[3181][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3181][5]~71422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3181][5]~q\);

-- Location: LCCOMB_X47_Y22_N22
\led_flash_cnt[3181][6]~71424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3181][6]~71424_combout\ = (\led_flash_cnt[3181][6]~q\ & (!\led_flash_cnt[3181][5]~71423\)) # (!\led_flash_cnt[3181][6]~q\ & ((\led_flash_cnt[3181][5]~71423\) # (GND)))
-- \led_flash_cnt[3181][6]~71425\ = CARRY((!\led_flash_cnt[3181][5]~71423\) # (!\led_flash_cnt[3181][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3181][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3181][5]~71423\,
	combout => \led_flash_cnt[3181][6]~71424_combout\,
	cout => \led_flash_cnt[3181][6]~71425\);

-- Location: FF_X47_Y22_N23
\led_flash_cnt[3181][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3181][6]~71424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3181][6]~q\);

-- Location: LCCOMB_X47_Y22_N24
\led_flash_cnt[3181][7]~71426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3181][7]~71426_combout\ = \led_flash_cnt[3181][6]~71425\ $ (!\led_flash_cnt[3181][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3181][7]~q\,
	cin => \led_flash_cnt[3181][6]~71425\,
	combout => \led_flash_cnt[3181][7]~71426_combout\);

-- Location: FF_X47_Y22_N25
\led_flash_cnt[3181][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3181][7]~71426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3181][7]~q\);

-- Location: LCCOMB_X47_Y22_N26
\WideAnd3181~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3181~0_combout\ = (\led_flash_cnt[3181][1]~q\ & (\led_flash_cnt[3181][3]~q\ & (\led_flash_cnt[3181][2]~q\ & \led_flash_cnt[3181][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3181][1]~q\,
	datab => \led_flash_cnt[3181][3]~q\,
	datac => \led_flash_cnt[3181][2]~q\,
	datad => \led_flash_cnt[3181][4]~q\,
	combout => \WideAnd3181~0_combout\);

-- Location: LCCOMB_X47_Y22_N0
\WideAnd3181~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3181~1_combout\ = (\led_flash_cnt[3181][6]~q\ & \led_flash_cnt[3181][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3181][6]~q\,
	datad => \led_flash_cnt[3181][5]~q\,
	combout => \WideAnd3181~1_combout\);

-- Location: LCCOMB_X47_Y22_N6
WideAnd3181 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3181~combout\ = (\led_flash_cnt[3181][0]~q\ & (\led_flash_cnt[3181][7]~q\ & (\WideAnd3181~0_combout\ & \WideAnd3181~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3181][0]~q\,
	datab => \led_flash_cnt[3181][7]~q\,
	datac => \WideAnd3181~0_combout\,
	datad => \WideAnd3181~1_combout\,
	combout => \WideAnd3181~combout\);

-- Location: FF_X47_Y22_N7
\led_flash_cnt_ands[3181]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3181~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3181));

-- Location: LCCOMB_X47_Y22_N30
\WideAnd4237~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4237~1_combout\ = (led_flash_cnt_ands(3180) & led_flash_cnt_ands(3181))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3180),
	datad => led_flash_cnt_ands(3181),
	combout => \WideAnd4237~1_combout\);

-- Location: LCCOMB_X52_Y21_N2
WideAnd4237 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4237~combout\ = (led_flash_cnt_ands(3182) & (\WideAnd4237~0_combout\ & (led_flash_cnt_ands(3183) & \WideAnd4237~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3182),
	datab => \WideAnd4237~0_combout\,
	datac => led_flash_cnt_ands(3183),
	datad => \WideAnd4237~1_combout\,
	combout => \WideAnd4237~combout\);

-- Location: FF_X52_Y21_N3
\led_flash_cnt_ands_1[397]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4237~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(397));

-- Location: LCCOMB_X47_Y17_N10
\led_flash_cnt[3169][0]~83809\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3169][0]~83809_combout\ = !\led_flash_cnt[3169][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3169][0]~q\,
	combout => \led_flash_cnt[3169][0]~83809_combout\);

-- Location: FF_X47_Y17_N11
\led_flash_cnt[3169][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3169][0]~83809_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3169][0]~q\);

-- Location: LCCOMB_X47_Y17_N16
\led_flash_cnt[3169][1]~71246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3169][1]~71246_combout\ = (\led_flash_cnt[3169][0]~q\ & (\led_flash_cnt[3169][1]~q\ $ (VCC))) # (!\led_flash_cnt[3169][0]~q\ & (\led_flash_cnt[3169][1]~q\ & VCC))
-- \led_flash_cnt[3169][1]~71247\ = CARRY((\led_flash_cnt[3169][0]~q\ & \led_flash_cnt[3169][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3169][0]~q\,
	datab => \led_flash_cnt[3169][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3169][1]~71246_combout\,
	cout => \led_flash_cnt[3169][1]~71247\);

-- Location: FF_X47_Y17_N17
\led_flash_cnt[3169][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3169][1]~71246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3169][1]~q\);

-- Location: LCCOMB_X47_Y17_N18
\led_flash_cnt[3169][2]~71248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3169][2]~71248_combout\ = (\led_flash_cnt[3169][2]~q\ & (!\led_flash_cnt[3169][1]~71247\)) # (!\led_flash_cnt[3169][2]~q\ & ((\led_flash_cnt[3169][1]~71247\) # (GND)))
-- \led_flash_cnt[3169][2]~71249\ = CARRY((!\led_flash_cnt[3169][1]~71247\) # (!\led_flash_cnt[3169][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3169][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3169][1]~71247\,
	combout => \led_flash_cnt[3169][2]~71248_combout\,
	cout => \led_flash_cnt[3169][2]~71249\);

-- Location: FF_X47_Y17_N19
\led_flash_cnt[3169][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3169][2]~71248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3169][2]~q\);

-- Location: LCCOMB_X47_Y17_N20
\led_flash_cnt[3169][3]~71250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3169][3]~71250_combout\ = (\led_flash_cnt[3169][3]~q\ & (\led_flash_cnt[3169][2]~71249\ $ (GND))) # (!\led_flash_cnt[3169][3]~q\ & (!\led_flash_cnt[3169][2]~71249\ & VCC))
-- \led_flash_cnt[3169][3]~71251\ = CARRY((\led_flash_cnt[3169][3]~q\ & !\led_flash_cnt[3169][2]~71249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3169][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3169][2]~71249\,
	combout => \led_flash_cnt[3169][3]~71250_combout\,
	cout => \led_flash_cnt[3169][3]~71251\);

-- Location: FF_X47_Y17_N21
\led_flash_cnt[3169][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3169][3]~71250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3169][3]~q\);

-- Location: LCCOMB_X47_Y17_N22
\led_flash_cnt[3169][4]~71252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3169][4]~71252_combout\ = (\led_flash_cnt[3169][4]~q\ & (!\led_flash_cnt[3169][3]~71251\)) # (!\led_flash_cnt[3169][4]~q\ & ((\led_flash_cnt[3169][3]~71251\) # (GND)))
-- \led_flash_cnt[3169][4]~71253\ = CARRY((!\led_flash_cnt[3169][3]~71251\) # (!\led_flash_cnt[3169][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3169][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3169][3]~71251\,
	combout => \led_flash_cnt[3169][4]~71252_combout\,
	cout => \led_flash_cnt[3169][4]~71253\);

-- Location: FF_X47_Y17_N23
\led_flash_cnt[3169][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3169][4]~71252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3169][4]~q\);

-- Location: LCCOMB_X47_Y17_N24
\led_flash_cnt[3169][5]~71254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3169][5]~71254_combout\ = (\led_flash_cnt[3169][5]~q\ & (\led_flash_cnt[3169][4]~71253\ $ (GND))) # (!\led_flash_cnt[3169][5]~q\ & (!\led_flash_cnt[3169][4]~71253\ & VCC))
-- \led_flash_cnt[3169][5]~71255\ = CARRY((\led_flash_cnt[3169][5]~q\ & !\led_flash_cnt[3169][4]~71253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3169][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3169][4]~71253\,
	combout => \led_flash_cnt[3169][5]~71254_combout\,
	cout => \led_flash_cnt[3169][5]~71255\);

-- Location: FF_X47_Y17_N25
\led_flash_cnt[3169][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3169][5]~71254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3169][5]~q\);

-- Location: LCCOMB_X47_Y17_N26
\led_flash_cnt[3169][6]~71256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3169][6]~71256_combout\ = (\led_flash_cnt[3169][6]~q\ & (!\led_flash_cnt[3169][5]~71255\)) # (!\led_flash_cnt[3169][6]~q\ & ((\led_flash_cnt[3169][5]~71255\) # (GND)))
-- \led_flash_cnt[3169][6]~71257\ = CARRY((!\led_flash_cnt[3169][5]~71255\) # (!\led_flash_cnt[3169][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3169][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3169][5]~71255\,
	combout => \led_flash_cnt[3169][6]~71256_combout\,
	cout => \led_flash_cnt[3169][6]~71257\);

-- Location: FF_X47_Y17_N27
\led_flash_cnt[3169][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3169][6]~71256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3169][6]~q\);

-- Location: LCCOMB_X47_Y17_N28
\led_flash_cnt[3169][7]~71258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3169][7]~71258_combout\ = \led_flash_cnt[3169][6]~71257\ $ (!\led_flash_cnt[3169][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3169][7]~q\,
	cin => \led_flash_cnt[3169][6]~71257\,
	combout => \led_flash_cnt[3169][7]~71258_combout\);

-- Location: FF_X47_Y17_N29
\led_flash_cnt[3169][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3169][7]~71258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3169][7]~q\);

-- Location: LCCOMB_X47_Y17_N14
\WideAnd3169~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3169~0_combout\ = (\led_flash_cnt[3169][1]~q\ & (\led_flash_cnt[3169][3]~q\ & (\led_flash_cnt[3169][4]~q\ & \led_flash_cnt[3169][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3169][1]~q\,
	datab => \led_flash_cnt[3169][3]~q\,
	datac => \led_flash_cnt[3169][4]~q\,
	datad => \led_flash_cnt[3169][2]~q\,
	combout => \WideAnd3169~0_combout\);

-- Location: LCCOMB_X47_Y17_N0
\WideAnd3169~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3169~1_combout\ = (\led_flash_cnt[3169][6]~q\ & \led_flash_cnt[3169][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3169][6]~q\,
	datad => \led_flash_cnt[3169][5]~q\,
	combout => \WideAnd3169~1_combout\);

-- Location: LCCOMB_X47_Y17_N6
WideAnd3169 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3169~combout\ = (\led_flash_cnt[3169][0]~q\ & (\led_flash_cnt[3169][7]~q\ & (\WideAnd3169~0_combout\ & \WideAnd3169~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3169][0]~q\,
	datab => \led_flash_cnt[3169][7]~q\,
	datac => \WideAnd3169~0_combout\,
	datad => \WideAnd3169~1_combout\,
	combout => \WideAnd3169~combout\);

-- Location: FF_X47_Y17_N7
\led_flash_cnt_ands[3169]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3169~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3169));

-- Location: LCCOMB_X47_Y27_N4
\led_flash_cnt[3170][0]~83810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3170][0]~83810_combout\ = !\led_flash_cnt[3170][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3170][0]~q\,
	combout => \led_flash_cnt[3170][0]~83810_combout\);

-- Location: FF_X47_Y27_N5
\led_flash_cnt[3170][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3170][0]~83810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3170][0]~q\);

-- Location: LCCOMB_X49_Y27_N12
\led_flash_cnt[3170][1]~71260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3170][1]~71260_combout\ = (\led_flash_cnt[3170][1]~q\ & (\led_flash_cnt[3170][0]~q\ $ (VCC))) # (!\led_flash_cnt[3170][1]~q\ & (\led_flash_cnt[3170][0]~q\ & VCC))
-- \led_flash_cnt[3170][1]~71261\ = CARRY((\led_flash_cnt[3170][1]~q\ & \led_flash_cnt[3170][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3170][1]~q\,
	datab => \led_flash_cnt[3170][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3170][1]~71260_combout\,
	cout => \led_flash_cnt[3170][1]~71261\);

-- Location: FF_X49_Y27_N13
\led_flash_cnt[3170][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3170][1]~71260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3170][1]~q\);

-- Location: LCCOMB_X49_Y27_N14
\led_flash_cnt[3170][2]~71262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3170][2]~71262_combout\ = (\led_flash_cnt[3170][2]~q\ & (!\led_flash_cnt[3170][1]~71261\)) # (!\led_flash_cnt[3170][2]~q\ & ((\led_flash_cnt[3170][1]~71261\) # (GND)))
-- \led_flash_cnt[3170][2]~71263\ = CARRY((!\led_flash_cnt[3170][1]~71261\) # (!\led_flash_cnt[3170][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3170][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3170][1]~71261\,
	combout => \led_flash_cnt[3170][2]~71262_combout\,
	cout => \led_flash_cnt[3170][2]~71263\);

-- Location: FF_X49_Y27_N15
\led_flash_cnt[3170][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3170][2]~71262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3170][2]~q\);

-- Location: LCCOMB_X49_Y27_N16
\led_flash_cnt[3170][3]~71264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3170][3]~71264_combout\ = (\led_flash_cnt[3170][3]~q\ & (\led_flash_cnt[3170][2]~71263\ $ (GND))) # (!\led_flash_cnt[3170][3]~q\ & (!\led_flash_cnt[3170][2]~71263\ & VCC))
-- \led_flash_cnt[3170][3]~71265\ = CARRY((\led_flash_cnt[3170][3]~q\ & !\led_flash_cnt[3170][2]~71263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3170][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3170][2]~71263\,
	combout => \led_flash_cnt[3170][3]~71264_combout\,
	cout => \led_flash_cnt[3170][3]~71265\);

-- Location: FF_X49_Y27_N17
\led_flash_cnt[3170][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3170][3]~71264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3170][3]~q\);

-- Location: LCCOMB_X49_Y27_N18
\led_flash_cnt[3170][4]~71266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3170][4]~71266_combout\ = (\led_flash_cnt[3170][4]~q\ & (!\led_flash_cnt[3170][3]~71265\)) # (!\led_flash_cnt[3170][4]~q\ & ((\led_flash_cnt[3170][3]~71265\) # (GND)))
-- \led_flash_cnt[3170][4]~71267\ = CARRY((!\led_flash_cnt[3170][3]~71265\) # (!\led_flash_cnt[3170][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3170][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3170][3]~71265\,
	combout => \led_flash_cnt[3170][4]~71266_combout\,
	cout => \led_flash_cnt[3170][4]~71267\);

-- Location: FF_X49_Y27_N19
\led_flash_cnt[3170][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3170][4]~71266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3170][4]~q\);

-- Location: LCCOMB_X49_Y27_N20
\led_flash_cnt[3170][5]~71268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3170][5]~71268_combout\ = (\led_flash_cnt[3170][5]~q\ & (\led_flash_cnt[3170][4]~71267\ $ (GND))) # (!\led_flash_cnt[3170][5]~q\ & (!\led_flash_cnt[3170][4]~71267\ & VCC))
-- \led_flash_cnt[3170][5]~71269\ = CARRY((\led_flash_cnt[3170][5]~q\ & !\led_flash_cnt[3170][4]~71267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3170][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3170][4]~71267\,
	combout => \led_flash_cnt[3170][5]~71268_combout\,
	cout => \led_flash_cnt[3170][5]~71269\);

-- Location: FF_X49_Y27_N21
\led_flash_cnt[3170][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3170][5]~71268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3170][5]~q\);

-- Location: LCCOMB_X49_Y27_N22
\led_flash_cnt[3170][6]~71270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3170][6]~71270_combout\ = (\led_flash_cnt[3170][6]~q\ & (!\led_flash_cnt[3170][5]~71269\)) # (!\led_flash_cnt[3170][6]~q\ & ((\led_flash_cnt[3170][5]~71269\) # (GND)))
-- \led_flash_cnt[3170][6]~71271\ = CARRY((!\led_flash_cnt[3170][5]~71269\) # (!\led_flash_cnt[3170][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3170][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3170][5]~71269\,
	combout => \led_flash_cnt[3170][6]~71270_combout\,
	cout => \led_flash_cnt[3170][6]~71271\);

-- Location: FF_X49_Y27_N23
\led_flash_cnt[3170][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3170][6]~71270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3170][6]~q\);

-- Location: LCCOMB_X49_Y27_N26
\WideAnd3170~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3170~1_combout\ = (\led_flash_cnt[3170][6]~q\ & \led_flash_cnt[3170][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3170][6]~q\,
	datad => \led_flash_cnt[3170][5]~q\,
	combout => \WideAnd3170~1_combout\);

-- Location: LCCOMB_X49_Y27_N24
\led_flash_cnt[3170][7]~71272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3170][7]~71272_combout\ = \led_flash_cnt[3170][6]~71271\ $ (!\led_flash_cnt[3170][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3170][7]~q\,
	cin => \led_flash_cnt[3170][6]~71271\,
	combout => \led_flash_cnt[3170][7]~71272_combout\);

-- Location: FF_X49_Y27_N25
\led_flash_cnt[3170][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3170][7]~71272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3170][7]~q\);

-- Location: LCCOMB_X49_Y27_N2
\WideAnd3170~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3170~0_combout\ = (\led_flash_cnt[3170][1]~q\ & (\led_flash_cnt[3170][4]~q\ & (\led_flash_cnt[3170][2]~q\ & \led_flash_cnt[3170][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3170][1]~q\,
	datab => \led_flash_cnt[3170][4]~q\,
	datac => \led_flash_cnt[3170][2]~q\,
	datad => \led_flash_cnt[3170][3]~q\,
	combout => \WideAnd3170~0_combout\);

-- Location: LCCOMB_X49_Y27_N8
WideAnd3170 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3170~combout\ = (\WideAnd3170~1_combout\ & (\led_flash_cnt[3170][7]~q\ & (\led_flash_cnt[3170][0]~q\ & \WideAnd3170~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3170~1_combout\,
	datab => \led_flash_cnt[3170][7]~q\,
	datac => \led_flash_cnt[3170][0]~q\,
	datad => \WideAnd3170~0_combout\,
	combout => \WideAnd3170~combout\);

-- Location: FF_X49_Y27_N9
\led_flash_cnt_ands[3170]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3170~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3170));

-- Location: LCCOMB_X47_Y18_N2
\led_flash_cnt[3171][0]~83811\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3171][0]~83811_combout\ = !\led_flash_cnt[3171][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3171][0]~q\,
	combout => \led_flash_cnt[3171][0]~83811_combout\);

-- Location: FF_X47_Y18_N3
\led_flash_cnt[3171][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3171][0]~83811_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3171][0]~q\);

-- Location: LCCOMB_X49_Y18_N18
\led_flash_cnt[3171][1]~71274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3171][1]~71274_combout\ = (\led_flash_cnt[3171][0]~q\ & (\led_flash_cnt[3171][1]~q\ $ (VCC))) # (!\led_flash_cnt[3171][0]~q\ & (\led_flash_cnt[3171][1]~q\ & VCC))
-- \led_flash_cnt[3171][1]~71275\ = CARRY((\led_flash_cnt[3171][0]~q\ & \led_flash_cnt[3171][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3171][0]~q\,
	datab => \led_flash_cnt[3171][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3171][1]~71274_combout\,
	cout => \led_flash_cnt[3171][1]~71275\);

-- Location: FF_X49_Y18_N19
\led_flash_cnt[3171][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3171][1]~71274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3171][1]~q\);

-- Location: LCCOMB_X49_Y18_N20
\led_flash_cnt[3171][2]~71276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3171][2]~71276_combout\ = (\led_flash_cnt[3171][2]~q\ & (!\led_flash_cnt[3171][1]~71275\)) # (!\led_flash_cnt[3171][2]~q\ & ((\led_flash_cnt[3171][1]~71275\) # (GND)))
-- \led_flash_cnt[3171][2]~71277\ = CARRY((!\led_flash_cnt[3171][1]~71275\) # (!\led_flash_cnt[3171][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3171][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3171][1]~71275\,
	combout => \led_flash_cnt[3171][2]~71276_combout\,
	cout => \led_flash_cnt[3171][2]~71277\);

-- Location: FF_X49_Y18_N21
\led_flash_cnt[3171][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3171][2]~71276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3171][2]~q\);

-- Location: LCCOMB_X49_Y18_N22
\led_flash_cnt[3171][3]~71278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3171][3]~71278_combout\ = (\led_flash_cnt[3171][3]~q\ & (\led_flash_cnt[3171][2]~71277\ $ (GND))) # (!\led_flash_cnt[3171][3]~q\ & (!\led_flash_cnt[3171][2]~71277\ & VCC))
-- \led_flash_cnt[3171][3]~71279\ = CARRY((\led_flash_cnt[3171][3]~q\ & !\led_flash_cnt[3171][2]~71277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3171][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3171][2]~71277\,
	combout => \led_flash_cnt[3171][3]~71278_combout\,
	cout => \led_flash_cnt[3171][3]~71279\);

-- Location: FF_X49_Y18_N23
\led_flash_cnt[3171][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3171][3]~71278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3171][3]~q\);

-- Location: LCCOMB_X49_Y18_N24
\led_flash_cnt[3171][4]~71280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3171][4]~71280_combout\ = (\led_flash_cnt[3171][4]~q\ & (!\led_flash_cnt[3171][3]~71279\)) # (!\led_flash_cnt[3171][4]~q\ & ((\led_flash_cnt[3171][3]~71279\) # (GND)))
-- \led_flash_cnt[3171][4]~71281\ = CARRY((!\led_flash_cnt[3171][3]~71279\) # (!\led_flash_cnt[3171][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3171][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3171][3]~71279\,
	combout => \led_flash_cnt[3171][4]~71280_combout\,
	cout => \led_flash_cnt[3171][4]~71281\);

-- Location: FF_X49_Y18_N25
\led_flash_cnt[3171][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3171][4]~71280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3171][4]~q\);

-- Location: LCCOMB_X49_Y18_N26
\led_flash_cnt[3171][5]~71282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3171][5]~71282_combout\ = (\led_flash_cnt[3171][5]~q\ & (\led_flash_cnt[3171][4]~71281\ $ (GND))) # (!\led_flash_cnt[3171][5]~q\ & (!\led_flash_cnt[3171][4]~71281\ & VCC))
-- \led_flash_cnt[3171][5]~71283\ = CARRY((\led_flash_cnt[3171][5]~q\ & !\led_flash_cnt[3171][4]~71281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3171][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3171][4]~71281\,
	combout => \led_flash_cnt[3171][5]~71282_combout\,
	cout => \led_flash_cnt[3171][5]~71283\);

-- Location: FF_X49_Y18_N27
\led_flash_cnt[3171][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3171][5]~71282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3171][5]~q\);

-- Location: LCCOMB_X49_Y18_N28
\led_flash_cnt[3171][6]~71284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3171][6]~71284_combout\ = (\led_flash_cnt[3171][6]~q\ & (!\led_flash_cnt[3171][5]~71283\)) # (!\led_flash_cnt[3171][6]~q\ & ((\led_flash_cnt[3171][5]~71283\) # (GND)))
-- \led_flash_cnt[3171][6]~71285\ = CARRY((!\led_flash_cnt[3171][5]~71283\) # (!\led_flash_cnt[3171][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3171][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3171][5]~71283\,
	combout => \led_flash_cnt[3171][6]~71284_combout\,
	cout => \led_flash_cnt[3171][6]~71285\);

-- Location: FF_X49_Y18_N29
\led_flash_cnt[3171][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3171][6]~71284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3171][6]~q\);

-- Location: LCCOMB_X49_Y18_N30
\led_flash_cnt[3171][7]~71286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3171][7]~71286_combout\ = \led_flash_cnt[3171][7]~q\ $ (!\led_flash_cnt[3171][6]~71285\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3171][7]~q\,
	cin => \led_flash_cnt[3171][6]~71285\,
	combout => \led_flash_cnt[3171][7]~71286_combout\);

-- Location: FF_X49_Y18_N31
\led_flash_cnt[3171][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3171][7]~71286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3171][7]~q\);

-- Location: LCCOMB_X49_Y18_N2
\WideAnd3171~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3171~0_combout\ = (\led_flash_cnt[3171][4]~q\ & (\led_flash_cnt[3171][2]~q\ & (\led_flash_cnt[3171][3]~q\ & \led_flash_cnt[3171][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3171][4]~q\,
	datab => \led_flash_cnt[3171][2]~q\,
	datac => \led_flash_cnt[3171][3]~q\,
	datad => \led_flash_cnt[3171][1]~q\,
	combout => \WideAnd3171~0_combout\);

-- Location: LCCOMB_X47_Y18_N24
\WideAnd3171~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3171~1_combout\ = (\led_flash_cnt[3171][6]~q\ & \led_flash_cnt[3171][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3171][6]~q\,
	datad => \led_flash_cnt[3171][5]~q\,
	combout => \WideAnd3171~1_combout\);

-- Location: LCCOMB_X47_Y18_N30
WideAnd3171 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3171~combout\ = (\led_flash_cnt[3171][7]~q\ & (\led_flash_cnt[3171][0]~q\ & (\WideAnd3171~0_combout\ & \WideAnd3171~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3171][7]~q\,
	datab => \led_flash_cnt[3171][0]~q\,
	datac => \WideAnd3171~0_combout\,
	datad => \WideAnd3171~1_combout\,
	combout => \WideAnd3171~combout\);

-- Location: FF_X47_Y18_N31
\led_flash_cnt_ands[3171]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3171~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3171));

-- Location: LCCOMB_X47_Y17_N2
\led_flash_cnt[3168][0]~83808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3168][0]~83808_combout\ = !\led_flash_cnt[3168][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3168][0]~q\,
	combout => \led_flash_cnt[3168][0]~83808_combout\);

-- Location: FF_X47_Y17_N3
\led_flash_cnt[3168][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3168][0]~83808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3168][0]~q\);

-- Location: LCCOMB_X46_Y17_N0
\led_flash_cnt[3168][1]~71232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3168][1]~71232_combout\ = (\led_flash_cnt[3168][0]~q\ & (\led_flash_cnt[3168][1]~q\ $ (VCC))) # (!\led_flash_cnt[3168][0]~q\ & (\led_flash_cnt[3168][1]~q\ & VCC))
-- \led_flash_cnt[3168][1]~71233\ = CARRY((\led_flash_cnt[3168][0]~q\ & \led_flash_cnt[3168][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3168][0]~q\,
	datab => \led_flash_cnt[3168][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3168][1]~71232_combout\,
	cout => \led_flash_cnt[3168][1]~71233\);

-- Location: FF_X46_Y17_N1
\led_flash_cnt[3168][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3168][1]~71232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3168][1]~q\);

-- Location: LCCOMB_X46_Y17_N2
\led_flash_cnt[3168][2]~71234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3168][2]~71234_combout\ = (\led_flash_cnt[3168][2]~q\ & (!\led_flash_cnt[3168][1]~71233\)) # (!\led_flash_cnt[3168][2]~q\ & ((\led_flash_cnt[3168][1]~71233\) # (GND)))
-- \led_flash_cnt[3168][2]~71235\ = CARRY((!\led_flash_cnt[3168][1]~71233\) # (!\led_flash_cnt[3168][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3168][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3168][1]~71233\,
	combout => \led_flash_cnt[3168][2]~71234_combout\,
	cout => \led_flash_cnt[3168][2]~71235\);

-- Location: FF_X46_Y17_N3
\led_flash_cnt[3168][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3168][2]~71234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3168][2]~q\);

-- Location: LCCOMB_X46_Y17_N4
\led_flash_cnt[3168][3]~71236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3168][3]~71236_combout\ = (\led_flash_cnt[3168][3]~q\ & (\led_flash_cnt[3168][2]~71235\ $ (GND))) # (!\led_flash_cnt[3168][3]~q\ & (!\led_flash_cnt[3168][2]~71235\ & VCC))
-- \led_flash_cnt[3168][3]~71237\ = CARRY((\led_flash_cnt[3168][3]~q\ & !\led_flash_cnt[3168][2]~71235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3168][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3168][2]~71235\,
	combout => \led_flash_cnt[3168][3]~71236_combout\,
	cout => \led_flash_cnt[3168][3]~71237\);

-- Location: FF_X46_Y17_N5
\led_flash_cnt[3168][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3168][3]~71236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3168][3]~q\);

-- Location: LCCOMB_X46_Y17_N6
\led_flash_cnt[3168][4]~71238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3168][4]~71238_combout\ = (\led_flash_cnt[3168][4]~q\ & (!\led_flash_cnt[3168][3]~71237\)) # (!\led_flash_cnt[3168][4]~q\ & ((\led_flash_cnt[3168][3]~71237\) # (GND)))
-- \led_flash_cnt[3168][4]~71239\ = CARRY((!\led_flash_cnt[3168][3]~71237\) # (!\led_flash_cnt[3168][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3168][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3168][3]~71237\,
	combout => \led_flash_cnt[3168][4]~71238_combout\,
	cout => \led_flash_cnt[3168][4]~71239\);

-- Location: FF_X46_Y17_N7
\led_flash_cnt[3168][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3168][4]~71238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3168][4]~q\);

-- Location: LCCOMB_X46_Y17_N8
\led_flash_cnt[3168][5]~71240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3168][5]~71240_combout\ = (\led_flash_cnt[3168][5]~q\ & (\led_flash_cnt[3168][4]~71239\ $ (GND))) # (!\led_flash_cnt[3168][5]~q\ & (!\led_flash_cnt[3168][4]~71239\ & VCC))
-- \led_flash_cnt[3168][5]~71241\ = CARRY((\led_flash_cnt[3168][5]~q\ & !\led_flash_cnt[3168][4]~71239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3168][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3168][4]~71239\,
	combout => \led_flash_cnt[3168][5]~71240_combout\,
	cout => \led_flash_cnt[3168][5]~71241\);

-- Location: FF_X46_Y17_N9
\led_flash_cnt[3168][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3168][5]~71240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3168][5]~q\);

-- Location: LCCOMB_X46_Y17_N10
\led_flash_cnt[3168][6]~71242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3168][6]~71242_combout\ = (\led_flash_cnt[3168][6]~q\ & (!\led_flash_cnt[3168][5]~71241\)) # (!\led_flash_cnt[3168][6]~q\ & ((\led_flash_cnt[3168][5]~71241\) # (GND)))
-- \led_flash_cnt[3168][6]~71243\ = CARRY((!\led_flash_cnt[3168][5]~71241\) # (!\led_flash_cnt[3168][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3168][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3168][5]~71241\,
	combout => \led_flash_cnt[3168][6]~71242_combout\,
	cout => \led_flash_cnt[3168][6]~71243\);

-- Location: FF_X46_Y17_N11
\led_flash_cnt[3168][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3168][6]~71242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3168][6]~q\);

-- Location: LCCOMB_X46_Y17_N12
\led_flash_cnt[3168][7]~71244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3168][7]~71244_combout\ = \led_flash_cnt[3168][6]~71243\ $ (!\led_flash_cnt[3168][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3168][7]~q\,
	cin => \led_flash_cnt[3168][6]~71243\,
	combout => \led_flash_cnt[3168][7]~71244_combout\);

-- Location: FF_X46_Y17_N13
\led_flash_cnt[3168][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3168][7]~71244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3168][7]~q\);

-- Location: LCCOMB_X46_Y17_N28
\WideAnd3168~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3168~0_combout\ = (\led_flash_cnt[3168][4]~q\ & (\led_flash_cnt[3168][1]~q\ & (\led_flash_cnt[3168][3]~q\ & \led_flash_cnt[3168][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3168][4]~q\,
	datab => \led_flash_cnt[3168][1]~q\,
	datac => \led_flash_cnt[3168][3]~q\,
	datad => \led_flash_cnt[3168][2]~q\,
	combout => \WideAnd3168~0_combout\);

-- Location: LCCOMB_X47_Y17_N4
\WideAnd3168~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3168~1_combout\ = (\led_flash_cnt[3168][6]~q\ & \led_flash_cnt[3168][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3168][6]~q\,
	datad => \led_flash_cnt[3168][5]~q\,
	combout => \WideAnd3168~1_combout\);

-- Location: LCCOMB_X47_Y17_N12
WideAnd3168 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3168~combout\ = (\led_flash_cnt[3168][7]~q\ & (\WideAnd3168~0_combout\ & (\WideAnd3168~1_combout\ & \led_flash_cnt[3168][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3168][7]~q\,
	datab => \WideAnd3168~0_combout\,
	datac => \WideAnd3168~1_combout\,
	datad => \led_flash_cnt[3168][0]~q\,
	combout => \WideAnd3168~combout\);

-- Location: FF_X47_Y17_N13
\led_flash_cnt_ands[3168]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3168~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3168));

-- Location: LCCOMB_X47_Y17_N30
\WideAnd4236~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4236~0_combout\ = (led_flash_cnt_ands(3169) & (led_flash_cnt_ands(3170) & (led_flash_cnt_ands(3171) & led_flash_cnt_ands(3168))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3169),
	datab => led_flash_cnt_ands(3170),
	datac => led_flash_cnt_ands(3171),
	datad => led_flash_cnt_ands(3168),
	combout => \WideAnd4236~0_combout\);

-- Location: LCCOMB_X40_Y16_N28
\led_flash_cnt[3174][0]~83814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3174][0]~83814_combout\ = !\led_flash_cnt[3174][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3174][0]~q\,
	combout => \led_flash_cnt[3174][0]~83814_combout\);

-- Location: FF_X40_Y16_N29
\led_flash_cnt[3174][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3174][0]~83814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3174][0]~q\);

-- Location: LCCOMB_X40_Y16_N12
\led_flash_cnt[3174][1]~71316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3174][1]~71316_combout\ = (\led_flash_cnt[3174][1]~q\ & (\led_flash_cnt[3174][0]~q\ $ (VCC))) # (!\led_flash_cnt[3174][1]~q\ & (\led_flash_cnt[3174][0]~q\ & VCC))
-- \led_flash_cnt[3174][1]~71317\ = CARRY((\led_flash_cnt[3174][1]~q\ & \led_flash_cnt[3174][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3174][1]~q\,
	datab => \led_flash_cnt[3174][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3174][1]~71316_combout\,
	cout => \led_flash_cnt[3174][1]~71317\);

-- Location: FF_X40_Y16_N13
\led_flash_cnt[3174][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3174][1]~71316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3174][1]~q\);

-- Location: LCCOMB_X40_Y16_N14
\led_flash_cnt[3174][2]~71318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3174][2]~71318_combout\ = (\led_flash_cnt[3174][2]~q\ & (!\led_flash_cnt[3174][1]~71317\)) # (!\led_flash_cnt[3174][2]~q\ & ((\led_flash_cnt[3174][1]~71317\) # (GND)))
-- \led_flash_cnt[3174][2]~71319\ = CARRY((!\led_flash_cnt[3174][1]~71317\) # (!\led_flash_cnt[3174][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3174][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3174][1]~71317\,
	combout => \led_flash_cnt[3174][2]~71318_combout\,
	cout => \led_flash_cnt[3174][2]~71319\);

-- Location: FF_X40_Y16_N15
\led_flash_cnt[3174][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3174][2]~71318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3174][2]~q\);

-- Location: LCCOMB_X40_Y16_N16
\led_flash_cnt[3174][3]~71320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3174][3]~71320_combout\ = (\led_flash_cnt[3174][3]~q\ & (\led_flash_cnt[3174][2]~71319\ $ (GND))) # (!\led_flash_cnt[3174][3]~q\ & (!\led_flash_cnt[3174][2]~71319\ & VCC))
-- \led_flash_cnt[3174][3]~71321\ = CARRY((\led_flash_cnt[3174][3]~q\ & !\led_flash_cnt[3174][2]~71319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3174][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3174][2]~71319\,
	combout => \led_flash_cnt[3174][3]~71320_combout\,
	cout => \led_flash_cnt[3174][3]~71321\);

-- Location: FF_X40_Y16_N17
\led_flash_cnt[3174][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3174][3]~71320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3174][3]~q\);

-- Location: LCCOMB_X40_Y16_N18
\led_flash_cnt[3174][4]~71322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3174][4]~71322_combout\ = (\led_flash_cnt[3174][4]~q\ & (!\led_flash_cnt[3174][3]~71321\)) # (!\led_flash_cnt[3174][4]~q\ & ((\led_flash_cnt[3174][3]~71321\) # (GND)))
-- \led_flash_cnt[3174][4]~71323\ = CARRY((!\led_flash_cnt[3174][3]~71321\) # (!\led_flash_cnt[3174][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3174][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3174][3]~71321\,
	combout => \led_flash_cnt[3174][4]~71322_combout\,
	cout => \led_flash_cnt[3174][4]~71323\);

-- Location: FF_X40_Y16_N19
\led_flash_cnt[3174][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3174][4]~71322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3174][4]~q\);

-- Location: LCCOMB_X40_Y16_N20
\led_flash_cnt[3174][5]~71324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3174][5]~71324_combout\ = (\led_flash_cnt[3174][5]~q\ & (\led_flash_cnt[3174][4]~71323\ $ (GND))) # (!\led_flash_cnt[3174][5]~q\ & (!\led_flash_cnt[3174][4]~71323\ & VCC))
-- \led_flash_cnt[3174][5]~71325\ = CARRY((\led_flash_cnt[3174][5]~q\ & !\led_flash_cnt[3174][4]~71323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3174][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3174][4]~71323\,
	combout => \led_flash_cnt[3174][5]~71324_combout\,
	cout => \led_flash_cnt[3174][5]~71325\);

-- Location: FF_X40_Y16_N21
\led_flash_cnt[3174][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3174][5]~71324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3174][5]~q\);

-- Location: LCCOMB_X40_Y16_N22
\led_flash_cnt[3174][6]~71326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3174][6]~71326_combout\ = (\led_flash_cnt[3174][6]~q\ & (!\led_flash_cnt[3174][5]~71325\)) # (!\led_flash_cnt[3174][6]~q\ & ((\led_flash_cnt[3174][5]~71325\) # (GND)))
-- \led_flash_cnt[3174][6]~71327\ = CARRY((!\led_flash_cnt[3174][5]~71325\) # (!\led_flash_cnt[3174][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3174][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3174][5]~71325\,
	combout => \led_flash_cnt[3174][6]~71326_combout\,
	cout => \led_flash_cnt[3174][6]~71327\);

-- Location: FF_X40_Y16_N23
\led_flash_cnt[3174][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3174][6]~71326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3174][6]~q\);

-- Location: LCCOMB_X40_Y16_N6
\WideAnd3174~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3174~1_combout\ = (\led_flash_cnt[3174][6]~q\ & \led_flash_cnt[3174][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3174][6]~q\,
	datad => \led_flash_cnt[3174][5]~q\,
	combout => \WideAnd3174~1_combout\);

-- Location: LCCOMB_X40_Y16_N26
\WideAnd3174~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3174~0_combout\ = (\led_flash_cnt[3174][4]~q\ & (\led_flash_cnt[3174][3]~q\ & (\led_flash_cnt[3174][2]~q\ & \led_flash_cnt[3174][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3174][4]~q\,
	datab => \led_flash_cnt[3174][3]~q\,
	datac => \led_flash_cnt[3174][2]~q\,
	datad => \led_flash_cnt[3174][1]~q\,
	combout => \WideAnd3174~0_combout\);

-- Location: LCCOMB_X40_Y16_N24
\led_flash_cnt[3174][7]~71328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3174][7]~71328_combout\ = \led_flash_cnt[3174][6]~71327\ $ (!\led_flash_cnt[3174][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3174][7]~q\,
	cin => \led_flash_cnt[3174][6]~71327\,
	combout => \led_flash_cnt[3174][7]~71328_combout\);

-- Location: FF_X40_Y16_N25
\led_flash_cnt[3174][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3174][7]~71328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3174][7]~q\);

-- Location: LCCOMB_X40_Y16_N0
WideAnd3174 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3174~combout\ = (\WideAnd3174~1_combout\ & (\led_flash_cnt[3174][0]~q\ & (\WideAnd3174~0_combout\ & \led_flash_cnt[3174][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3174~1_combout\,
	datab => \led_flash_cnt[3174][0]~q\,
	datac => \WideAnd3174~0_combout\,
	datad => \led_flash_cnt[3174][7]~q\,
	combout => \WideAnd3174~combout\);

-- Location: FF_X40_Y16_N1
\led_flash_cnt_ands[3174]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3174~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3174));

-- Location: LCCOMB_X40_Y17_N4
\led_flash_cnt[3175][0]~83815\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3175][0]~83815_combout\ = !\led_flash_cnt[3175][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3175][0]~q\,
	combout => \led_flash_cnt[3175][0]~83815_combout\);

-- Location: FF_X40_Y17_N5
\led_flash_cnt[3175][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3175][0]~83815_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3175][0]~q\);

-- Location: LCCOMB_X40_Y15_N18
\led_flash_cnt[3175][1]~71330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3175][1]~71330_combout\ = (\led_flash_cnt[3175][0]~q\ & (\led_flash_cnt[3175][1]~q\ $ (VCC))) # (!\led_flash_cnt[3175][0]~q\ & (\led_flash_cnt[3175][1]~q\ & VCC))
-- \led_flash_cnt[3175][1]~71331\ = CARRY((\led_flash_cnt[3175][0]~q\ & \led_flash_cnt[3175][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3175][0]~q\,
	datab => \led_flash_cnt[3175][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3175][1]~71330_combout\,
	cout => \led_flash_cnt[3175][1]~71331\);

-- Location: FF_X40_Y15_N19
\led_flash_cnt[3175][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3175][1]~71330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3175][1]~q\);

-- Location: LCCOMB_X40_Y15_N20
\led_flash_cnt[3175][2]~71332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3175][2]~71332_combout\ = (\led_flash_cnt[3175][2]~q\ & (!\led_flash_cnt[3175][1]~71331\)) # (!\led_flash_cnt[3175][2]~q\ & ((\led_flash_cnt[3175][1]~71331\) # (GND)))
-- \led_flash_cnt[3175][2]~71333\ = CARRY((!\led_flash_cnt[3175][1]~71331\) # (!\led_flash_cnt[3175][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3175][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3175][1]~71331\,
	combout => \led_flash_cnt[3175][2]~71332_combout\,
	cout => \led_flash_cnt[3175][2]~71333\);

-- Location: FF_X40_Y15_N21
\led_flash_cnt[3175][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3175][2]~71332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3175][2]~q\);

-- Location: LCCOMB_X40_Y15_N22
\led_flash_cnt[3175][3]~71334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3175][3]~71334_combout\ = (\led_flash_cnt[3175][3]~q\ & (\led_flash_cnt[3175][2]~71333\ $ (GND))) # (!\led_flash_cnt[3175][3]~q\ & (!\led_flash_cnt[3175][2]~71333\ & VCC))
-- \led_flash_cnt[3175][3]~71335\ = CARRY((\led_flash_cnt[3175][3]~q\ & !\led_flash_cnt[3175][2]~71333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3175][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3175][2]~71333\,
	combout => \led_flash_cnt[3175][3]~71334_combout\,
	cout => \led_flash_cnt[3175][3]~71335\);

-- Location: FF_X40_Y15_N23
\led_flash_cnt[3175][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3175][3]~71334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3175][3]~q\);

-- Location: LCCOMB_X40_Y15_N24
\led_flash_cnt[3175][4]~71336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3175][4]~71336_combout\ = (\led_flash_cnt[3175][4]~q\ & (!\led_flash_cnt[3175][3]~71335\)) # (!\led_flash_cnt[3175][4]~q\ & ((\led_flash_cnt[3175][3]~71335\) # (GND)))
-- \led_flash_cnt[3175][4]~71337\ = CARRY((!\led_flash_cnt[3175][3]~71335\) # (!\led_flash_cnt[3175][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3175][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3175][3]~71335\,
	combout => \led_flash_cnt[3175][4]~71336_combout\,
	cout => \led_flash_cnt[3175][4]~71337\);

-- Location: FF_X40_Y15_N25
\led_flash_cnt[3175][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3175][4]~71336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3175][4]~q\);

-- Location: LCCOMB_X40_Y15_N26
\led_flash_cnt[3175][5]~71338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3175][5]~71338_combout\ = (\led_flash_cnt[3175][5]~q\ & (\led_flash_cnt[3175][4]~71337\ $ (GND))) # (!\led_flash_cnt[3175][5]~q\ & (!\led_flash_cnt[3175][4]~71337\ & VCC))
-- \led_flash_cnt[3175][5]~71339\ = CARRY((\led_flash_cnt[3175][5]~q\ & !\led_flash_cnt[3175][4]~71337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3175][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3175][4]~71337\,
	combout => \led_flash_cnt[3175][5]~71338_combout\,
	cout => \led_flash_cnt[3175][5]~71339\);

-- Location: FF_X40_Y15_N27
\led_flash_cnt[3175][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3175][5]~71338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3175][5]~q\);

-- Location: LCCOMB_X40_Y15_N28
\led_flash_cnt[3175][6]~71340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3175][6]~71340_combout\ = (\led_flash_cnt[3175][6]~q\ & (!\led_flash_cnt[3175][5]~71339\)) # (!\led_flash_cnt[3175][6]~q\ & ((\led_flash_cnt[3175][5]~71339\) # (GND)))
-- \led_flash_cnt[3175][6]~71341\ = CARRY((!\led_flash_cnt[3175][5]~71339\) # (!\led_flash_cnt[3175][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3175][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3175][5]~71339\,
	combout => \led_flash_cnt[3175][6]~71340_combout\,
	cout => \led_flash_cnt[3175][6]~71341\);

-- Location: FF_X40_Y15_N29
\led_flash_cnt[3175][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3175][6]~71340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3175][6]~q\);

-- Location: LCCOMB_X40_Y17_N6
\WideAnd3175~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3175~1_combout\ = (\led_flash_cnt[3175][6]~q\ & \led_flash_cnt[3175][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3175][6]~q\,
	datad => \led_flash_cnt[3175][5]~q\,
	combout => \WideAnd3175~1_combout\);

-- Location: LCCOMB_X40_Y15_N30
\led_flash_cnt[3175][7]~71342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3175][7]~71342_combout\ = \led_flash_cnt[3175][7]~q\ $ (!\led_flash_cnt[3175][6]~71341\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3175][7]~q\,
	cin => \led_flash_cnt[3175][6]~71341\,
	combout => \led_flash_cnt[3175][7]~71342_combout\);

-- Location: FF_X40_Y15_N31
\led_flash_cnt[3175][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3175][7]~71342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3175][7]~q\);

-- Location: LCCOMB_X40_Y15_N16
\WideAnd3175~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3175~0_combout\ = (\led_flash_cnt[3175][4]~q\ & (\led_flash_cnt[3175][2]~q\ & (\led_flash_cnt[3175][3]~q\ & \led_flash_cnt[3175][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3175][4]~q\,
	datab => \led_flash_cnt[3175][2]~q\,
	datac => \led_flash_cnt[3175][3]~q\,
	datad => \led_flash_cnt[3175][1]~q\,
	combout => \WideAnd3175~0_combout\);

-- Location: LCCOMB_X40_Y17_N30
WideAnd3175 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3175~combout\ = (\WideAnd3175~1_combout\ & (\led_flash_cnt[3175][7]~q\ & (\led_flash_cnt[3175][0]~q\ & \WideAnd3175~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3175~1_combout\,
	datab => \led_flash_cnt[3175][7]~q\,
	datac => \led_flash_cnt[3175][0]~q\,
	datad => \WideAnd3175~0_combout\,
	combout => \WideAnd3175~combout\);

-- Location: FF_X40_Y17_N31
\led_flash_cnt_ands[3175]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3175~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3175));

-- Location: LCCOMB_X40_Y17_N0
\led_flash_cnt[3172][0]~83812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3172][0]~83812_combout\ = !\led_flash_cnt[3172][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3172][0]~q\,
	combout => \led_flash_cnt[3172][0]~83812_combout\);

-- Location: FF_X40_Y17_N1
\led_flash_cnt[3172][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3172][0]~83812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3172][0]~q\);

-- Location: LCCOMB_X40_Y17_N10
\led_flash_cnt[3172][1]~71288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3172][1]~71288_combout\ = (\led_flash_cnt[3172][1]~q\ & (\led_flash_cnt[3172][0]~q\ $ (VCC))) # (!\led_flash_cnt[3172][1]~q\ & (\led_flash_cnt[3172][0]~q\ & VCC))
-- \led_flash_cnt[3172][1]~71289\ = CARRY((\led_flash_cnt[3172][1]~q\ & \led_flash_cnt[3172][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3172][1]~q\,
	datab => \led_flash_cnt[3172][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3172][1]~71288_combout\,
	cout => \led_flash_cnt[3172][1]~71289\);

-- Location: FF_X40_Y17_N11
\led_flash_cnt[3172][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3172][1]~71288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3172][1]~q\);

-- Location: LCCOMB_X40_Y17_N12
\led_flash_cnt[3172][2]~71290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3172][2]~71290_combout\ = (\led_flash_cnt[3172][2]~q\ & (!\led_flash_cnt[3172][1]~71289\)) # (!\led_flash_cnt[3172][2]~q\ & ((\led_flash_cnt[3172][1]~71289\) # (GND)))
-- \led_flash_cnt[3172][2]~71291\ = CARRY((!\led_flash_cnt[3172][1]~71289\) # (!\led_flash_cnt[3172][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3172][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3172][1]~71289\,
	combout => \led_flash_cnt[3172][2]~71290_combout\,
	cout => \led_flash_cnt[3172][2]~71291\);

-- Location: FF_X40_Y17_N13
\led_flash_cnt[3172][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3172][2]~71290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3172][2]~q\);

-- Location: LCCOMB_X40_Y17_N14
\led_flash_cnt[3172][3]~71292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3172][3]~71292_combout\ = (\led_flash_cnt[3172][3]~q\ & (\led_flash_cnt[3172][2]~71291\ $ (GND))) # (!\led_flash_cnt[3172][3]~q\ & (!\led_flash_cnt[3172][2]~71291\ & VCC))
-- \led_flash_cnt[3172][3]~71293\ = CARRY((\led_flash_cnt[3172][3]~q\ & !\led_flash_cnt[3172][2]~71291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3172][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3172][2]~71291\,
	combout => \led_flash_cnt[3172][3]~71292_combout\,
	cout => \led_flash_cnt[3172][3]~71293\);

-- Location: FF_X40_Y17_N15
\led_flash_cnt[3172][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3172][3]~71292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3172][3]~q\);

-- Location: LCCOMB_X40_Y17_N16
\led_flash_cnt[3172][4]~71294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3172][4]~71294_combout\ = (\led_flash_cnt[3172][4]~q\ & (!\led_flash_cnt[3172][3]~71293\)) # (!\led_flash_cnt[3172][4]~q\ & ((\led_flash_cnt[3172][3]~71293\) # (GND)))
-- \led_flash_cnt[3172][4]~71295\ = CARRY((!\led_flash_cnt[3172][3]~71293\) # (!\led_flash_cnt[3172][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3172][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3172][3]~71293\,
	combout => \led_flash_cnt[3172][4]~71294_combout\,
	cout => \led_flash_cnt[3172][4]~71295\);

-- Location: FF_X40_Y17_N17
\led_flash_cnt[3172][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3172][4]~71294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3172][4]~q\);

-- Location: LCCOMB_X40_Y17_N18
\led_flash_cnt[3172][5]~71296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3172][5]~71296_combout\ = (\led_flash_cnt[3172][5]~q\ & (\led_flash_cnt[3172][4]~71295\ $ (GND))) # (!\led_flash_cnt[3172][5]~q\ & (!\led_flash_cnt[3172][4]~71295\ & VCC))
-- \led_flash_cnt[3172][5]~71297\ = CARRY((\led_flash_cnt[3172][5]~q\ & !\led_flash_cnt[3172][4]~71295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3172][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3172][4]~71295\,
	combout => \led_flash_cnt[3172][5]~71296_combout\,
	cout => \led_flash_cnt[3172][5]~71297\);

-- Location: FF_X40_Y17_N19
\led_flash_cnt[3172][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3172][5]~71296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3172][5]~q\);

-- Location: LCCOMB_X40_Y17_N20
\led_flash_cnt[3172][6]~71298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3172][6]~71298_combout\ = (\led_flash_cnt[3172][6]~q\ & (!\led_flash_cnt[3172][5]~71297\)) # (!\led_flash_cnt[3172][6]~q\ & ((\led_flash_cnt[3172][5]~71297\) # (GND)))
-- \led_flash_cnt[3172][6]~71299\ = CARRY((!\led_flash_cnt[3172][5]~71297\) # (!\led_flash_cnt[3172][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3172][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3172][5]~71297\,
	combout => \led_flash_cnt[3172][6]~71298_combout\,
	cout => \led_flash_cnt[3172][6]~71299\);

-- Location: FF_X40_Y17_N21
\led_flash_cnt[3172][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3172][6]~71298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3172][6]~q\);

-- Location: LCCOMB_X40_Y17_N26
\WideAnd3172~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3172~1_combout\ = (\led_flash_cnt[3172][5]~q\ & \led_flash_cnt[3172][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3172][5]~q\,
	datad => \led_flash_cnt[3172][6]~q\,
	combout => \WideAnd3172~1_combout\);

-- Location: LCCOMB_X40_Y17_N22
\led_flash_cnt[3172][7]~71300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3172][7]~71300_combout\ = \led_flash_cnt[3172][7]~q\ $ (!\led_flash_cnt[3172][6]~71299\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3172][7]~q\,
	cin => \led_flash_cnt[3172][6]~71299\,
	combout => \led_flash_cnt[3172][7]~71300_combout\);

-- Location: FF_X40_Y17_N23
\led_flash_cnt[3172][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3172][7]~71300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3172][7]~q\);

-- Location: LCCOMB_X40_Y17_N2
\WideAnd3172~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3172~0_combout\ = (\led_flash_cnt[3172][2]~q\ & (\led_flash_cnt[3172][4]~q\ & (\led_flash_cnt[3172][3]~q\ & \led_flash_cnt[3172][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3172][2]~q\,
	datab => \led_flash_cnt[3172][4]~q\,
	datac => \led_flash_cnt[3172][3]~q\,
	datad => \led_flash_cnt[3172][1]~q\,
	combout => \WideAnd3172~0_combout\);

-- Location: LCCOMB_X40_Y17_N8
WideAnd3172 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3172~combout\ = (\WideAnd3172~1_combout\ & (\led_flash_cnt[3172][0]~q\ & (\led_flash_cnt[3172][7]~q\ & \WideAnd3172~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3172~1_combout\,
	datab => \led_flash_cnt[3172][0]~q\,
	datac => \led_flash_cnt[3172][7]~q\,
	datad => \WideAnd3172~0_combout\,
	combout => \WideAnd3172~combout\);

-- Location: FF_X40_Y17_N9
\led_flash_cnt_ands[3172]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3172~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3172));

-- Location: LCCOMB_X47_Y18_N22
\led_flash_cnt[3173][0]~83813\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3173][0]~83813_combout\ = !\led_flash_cnt[3173][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3173][0]~q\,
	combout => \led_flash_cnt[3173][0]~83813_combout\);

-- Location: FF_X47_Y18_N23
\led_flash_cnt[3173][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3173][0]~83813_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3173][0]~q\);

-- Location: LCCOMB_X47_Y18_N8
\led_flash_cnt[3173][1]~71302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3173][1]~71302_combout\ = (\led_flash_cnt[3173][0]~q\ & (\led_flash_cnt[3173][1]~q\ $ (VCC))) # (!\led_flash_cnt[3173][0]~q\ & (\led_flash_cnt[3173][1]~q\ & VCC))
-- \led_flash_cnt[3173][1]~71303\ = CARRY((\led_flash_cnt[3173][0]~q\ & \led_flash_cnt[3173][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3173][0]~q\,
	datab => \led_flash_cnt[3173][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3173][1]~71302_combout\,
	cout => \led_flash_cnt[3173][1]~71303\);

-- Location: FF_X47_Y18_N9
\led_flash_cnt[3173][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3173][1]~71302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3173][1]~q\);

-- Location: LCCOMB_X47_Y18_N10
\led_flash_cnt[3173][2]~71304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3173][2]~71304_combout\ = (\led_flash_cnt[3173][2]~q\ & (!\led_flash_cnt[3173][1]~71303\)) # (!\led_flash_cnt[3173][2]~q\ & ((\led_flash_cnt[3173][1]~71303\) # (GND)))
-- \led_flash_cnt[3173][2]~71305\ = CARRY((!\led_flash_cnt[3173][1]~71303\) # (!\led_flash_cnt[3173][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3173][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3173][1]~71303\,
	combout => \led_flash_cnt[3173][2]~71304_combout\,
	cout => \led_flash_cnt[3173][2]~71305\);

-- Location: FF_X47_Y18_N11
\led_flash_cnt[3173][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3173][2]~71304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3173][2]~q\);

-- Location: LCCOMB_X47_Y18_N12
\led_flash_cnt[3173][3]~71306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3173][3]~71306_combout\ = (\led_flash_cnt[3173][3]~q\ & (\led_flash_cnt[3173][2]~71305\ $ (GND))) # (!\led_flash_cnt[3173][3]~q\ & (!\led_flash_cnt[3173][2]~71305\ & VCC))
-- \led_flash_cnt[3173][3]~71307\ = CARRY((\led_flash_cnt[3173][3]~q\ & !\led_flash_cnt[3173][2]~71305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3173][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3173][2]~71305\,
	combout => \led_flash_cnt[3173][3]~71306_combout\,
	cout => \led_flash_cnt[3173][3]~71307\);

-- Location: FF_X47_Y18_N13
\led_flash_cnt[3173][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3173][3]~71306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3173][3]~q\);

-- Location: LCCOMB_X47_Y18_N14
\led_flash_cnt[3173][4]~71308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3173][4]~71308_combout\ = (\led_flash_cnt[3173][4]~q\ & (!\led_flash_cnt[3173][3]~71307\)) # (!\led_flash_cnt[3173][4]~q\ & ((\led_flash_cnt[3173][3]~71307\) # (GND)))
-- \led_flash_cnt[3173][4]~71309\ = CARRY((!\led_flash_cnt[3173][3]~71307\) # (!\led_flash_cnt[3173][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3173][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3173][3]~71307\,
	combout => \led_flash_cnt[3173][4]~71308_combout\,
	cout => \led_flash_cnt[3173][4]~71309\);

-- Location: FF_X47_Y18_N15
\led_flash_cnt[3173][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3173][4]~71308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3173][4]~q\);

-- Location: LCCOMB_X47_Y18_N16
\led_flash_cnt[3173][5]~71310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3173][5]~71310_combout\ = (\led_flash_cnt[3173][5]~q\ & (\led_flash_cnt[3173][4]~71309\ $ (GND))) # (!\led_flash_cnt[3173][5]~q\ & (!\led_flash_cnt[3173][4]~71309\ & VCC))
-- \led_flash_cnt[3173][5]~71311\ = CARRY((\led_flash_cnt[3173][5]~q\ & !\led_flash_cnt[3173][4]~71309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3173][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3173][4]~71309\,
	combout => \led_flash_cnt[3173][5]~71310_combout\,
	cout => \led_flash_cnt[3173][5]~71311\);

-- Location: FF_X47_Y18_N17
\led_flash_cnt[3173][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3173][5]~71310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3173][5]~q\);

-- Location: LCCOMB_X47_Y18_N18
\led_flash_cnt[3173][6]~71312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3173][6]~71312_combout\ = (\led_flash_cnt[3173][6]~q\ & (!\led_flash_cnt[3173][5]~71311\)) # (!\led_flash_cnt[3173][6]~q\ & ((\led_flash_cnt[3173][5]~71311\) # (GND)))
-- \led_flash_cnt[3173][6]~71313\ = CARRY((!\led_flash_cnt[3173][5]~71311\) # (!\led_flash_cnt[3173][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3173][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3173][5]~71311\,
	combout => \led_flash_cnt[3173][6]~71312_combout\,
	cout => \led_flash_cnt[3173][6]~71313\);

-- Location: FF_X47_Y18_N19
\led_flash_cnt[3173][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3173][6]~71312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3173][6]~q\);

-- Location: LCCOMB_X47_Y18_N20
\led_flash_cnt[3173][7]~71314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3173][7]~71314_combout\ = \led_flash_cnt[3173][6]~71313\ $ (!\led_flash_cnt[3173][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3173][7]~q\,
	cin => \led_flash_cnt[3173][6]~71313\,
	combout => \led_flash_cnt[3173][7]~71314_combout\);

-- Location: FF_X47_Y18_N21
\led_flash_cnt[3173][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3173][7]~71314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3173][7]~q\);

-- Location: LCCOMB_X47_Y18_N4
\WideAnd3173~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3173~1_combout\ = (\led_flash_cnt[3173][5]~q\ & \led_flash_cnt[3173][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3173][5]~q\,
	datad => \led_flash_cnt[3173][6]~q\,
	combout => \WideAnd3173~1_combout\);

-- Location: LCCOMB_X47_Y18_N28
\WideAnd3173~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3173~0_combout\ = (\led_flash_cnt[3173][3]~q\ & (\led_flash_cnt[3173][1]~q\ & (\led_flash_cnt[3173][4]~q\ & \led_flash_cnt[3173][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3173][3]~q\,
	datab => \led_flash_cnt[3173][1]~q\,
	datac => \led_flash_cnt[3173][4]~q\,
	datad => \led_flash_cnt[3173][2]~q\,
	combout => \WideAnd3173~0_combout\);

-- Location: LCCOMB_X47_Y18_N26
WideAnd3173 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3173~combout\ = (\led_flash_cnt[3173][0]~q\ & (\led_flash_cnt[3173][7]~q\ & (\WideAnd3173~1_combout\ & \WideAnd3173~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3173][0]~q\,
	datab => \led_flash_cnt[3173][7]~q\,
	datac => \WideAnd3173~1_combout\,
	datad => \WideAnd3173~0_combout\,
	combout => \WideAnd3173~combout\);

-- Location: FF_X47_Y18_N27
\led_flash_cnt_ands[3173]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3173~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3173));

-- Location: LCCOMB_X40_Y17_N28
\WideAnd4236~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4236~1_combout\ = (led_flash_cnt_ands(3172) & led_flash_cnt_ands(3173))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3172),
	datad => led_flash_cnt_ands(3173),
	combout => \WideAnd4236~1_combout\);

-- Location: LCCOMB_X40_Y17_N24
WideAnd4236 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4236~combout\ = (\WideAnd4236~0_combout\ & (led_flash_cnt_ands(3174) & (led_flash_cnt_ands(3175) & \WideAnd4236~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4236~0_combout\,
	datab => led_flash_cnt_ands(3174),
	datac => led_flash_cnt_ands(3175),
	datad => \WideAnd4236~1_combout\,
	combout => \WideAnd4236~combout\);

-- Location: FF_X40_Y17_N25
\led_flash_cnt_ands_1[396]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4236~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(396));

-- Location: LCCOMB_X45_Y21_N4
\WideAnd4369~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4369~1_combout\ = (led_flash_cnt_ands_1(397) & led_flash_cnt_ands_1(396))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(397),
	datad => led_flash_cnt_ands_1(396),
	combout => \WideAnd4369~1_combout\);

-- Location: LCCOMB_X46_Y26_N24
\led_flash_cnt[3191][0]~83831\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3191][0]~83831_combout\ = !\led_flash_cnt[3191][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3191][0]~q\,
	combout => \led_flash_cnt[3191][0]~83831_combout\);

-- Location: FF_X46_Y26_N25
\led_flash_cnt[3191][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3191][0]~83831_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3191][0]~q\);

-- Location: LCCOMB_X49_Y26_N0
\led_flash_cnt[3191][1]~71554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3191][1]~71554_combout\ = (\led_flash_cnt[3191][0]~q\ & (\led_flash_cnt[3191][1]~q\ $ (VCC))) # (!\led_flash_cnt[3191][0]~q\ & (\led_flash_cnt[3191][1]~q\ & VCC))
-- \led_flash_cnt[3191][1]~71555\ = CARRY((\led_flash_cnt[3191][0]~q\ & \led_flash_cnt[3191][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3191][0]~q\,
	datab => \led_flash_cnt[3191][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3191][1]~71554_combout\,
	cout => \led_flash_cnt[3191][1]~71555\);

-- Location: FF_X49_Y26_N1
\led_flash_cnt[3191][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3191][1]~71554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3191][1]~q\);

-- Location: LCCOMB_X49_Y26_N2
\led_flash_cnt[3191][2]~71556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3191][2]~71556_combout\ = (\led_flash_cnt[3191][2]~q\ & (!\led_flash_cnt[3191][1]~71555\)) # (!\led_flash_cnt[3191][2]~q\ & ((\led_flash_cnt[3191][1]~71555\) # (GND)))
-- \led_flash_cnt[3191][2]~71557\ = CARRY((!\led_flash_cnt[3191][1]~71555\) # (!\led_flash_cnt[3191][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3191][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3191][1]~71555\,
	combout => \led_flash_cnt[3191][2]~71556_combout\,
	cout => \led_flash_cnt[3191][2]~71557\);

-- Location: FF_X49_Y26_N3
\led_flash_cnt[3191][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3191][2]~71556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3191][2]~q\);

-- Location: LCCOMB_X49_Y26_N4
\led_flash_cnt[3191][3]~71558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3191][3]~71558_combout\ = (\led_flash_cnt[3191][3]~q\ & (\led_flash_cnt[3191][2]~71557\ $ (GND))) # (!\led_flash_cnt[3191][3]~q\ & (!\led_flash_cnt[3191][2]~71557\ & VCC))
-- \led_flash_cnt[3191][3]~71559\ = CARRY((\led_flash_cnt[3191][3]~q\ & !\led_flash_cnt[3191][2]~71557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3191][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3191][2]~71557\,
	combout => \led_flash_cnt[3191][3]~71558_combout\,
	cout => \led_flash_cnt[3191][3]~71559\);

-- Location: FF_X49_Y26_N5
\led_flash_cnt[3191][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3191][3]~71558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3191][3]~q\);

-- Location: LCCOMB_X49_Y26_N6
\led_flash_cnt[3191][4]~71560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3191][4]~71560_combout\ = (\led_flash_cnt[3191][4]~q\ & (!\led_flash_cnt[3191][3]~71559\)) # (!\led_flash_cnt[3191][4]~q\ & ((\led_flash_cnt[3191][3]~71559\) # (GND)))
-- \led_flash_cnt[3191][4]~71561\ = CARRY((!\led_flash_cnt[3191][3]~71559\) # (!\led_flash_cnt[3191][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3191][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3191][3]~71559\,
	combout => \led_flash_cnt[3191][4]~71560_combout\,
	cout => \led_flash_cnt[3191][4]~71561\);

-- Location: FF_X49_Y26_N7
\led_flash_cnt[3191][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3191][4]~71560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3191][4]~q\);

-- Location: LCCOMB_X49_Y26_N8
\led_flash_cnt[3191][5]~71562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3191][5]~71562_combout\ = (\led_flash_cnt[3191][5]~q\ & (\led_flash_cnt[3191][4]~71561\ $ (GND))) # (!\led_flash_cnt[3191][5]~q\ & (!\led_flash_cnt[3191][4]~71561\ & VCC))
-- \led_flash_cnt[3191][5]~71563\ = CARRY((\led_flash_cnt[3191][5]~q\ & !\led_flash_cnt[3191][4]~71561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3191][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3191][4]~71561\,
	combout => \led_flash_cnt[3191][5]~71562_combout\,
	cout => \led_flash_cnt[3191][5]~71563\);

-- Location: FF_X49_Y26_N9
\led_flash_cnt[3191][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3191][5]~71562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3191][5]~q\);

-- Location: LCCOMB_X49_Y26_N10
\led_flash_cnt[3191][6]~71564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3191][6]~71564_combout\ = (\led_flash_cnt[3191][6]~q\ & (!\led_flash_cnt[3191][5]~71563\)) # (!\led_flash_cnt[3191][6]~q\ & ((\led_flash_cnt[3191][5]~71563\) # (GND)))
-- \led_flash_cnt[3191][6]~71565\ = CARRY((!\led_flash_cnt[3191][5]~71563\) # (!\led_flash_cnt[3191][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3191][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3191][5]~71563\,
	combout => \led_flash_cnt[3191][6]~71564_combout\,
	cout => \led_flash_cnt[3191][6]~71565\);

-- Location: FF_X49_Y26_N11
\led_flash_cnt[3191][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3191][6]~71564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3191][6]~q\);

-- Location: LCCOMB_X49_Y26_N12
\led_flash_cnt[3191][7]~71566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3191][7]~71566_combout\ = \led_flash_cnt[3191][6]~71565\ $ (!\led_flash_cnt[3191][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3191][7]~q\,
	cin => \led_flash_cnt[3191][6]~71565\,
	combout => \led_flash_cnt[3191][7]~71566_combout\);

-- Location: FF_X49_Y26_N13
\led_flash_cnt[3191][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3191][7]~71566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3191][7]~q\);

-- Location: LCCOMB_X49_Y26_N16
\WideAnd3191~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3191~0_combout\ = (\led_flash_cnt[3191][4]~q\ & (\led_flash_cnt[3191][1]~q\ & (\led_flash_cnt[3191][3]~q\ & \led_flash_cnt[3191][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3191][4]~q\,
	datab => \led_flash_cnt[3191][1]~q\,
	datac => \led_flash_cnt[3191][3]~q\,
	datad => \led_flash_cnt[3191][2]~q\,
	combout => \WideAnd3191~0_combout\);

-- Location: LCCOMB_X46_Y26_N2
\WideAnd3191~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3191~1_combout\ = (\led_flash_cnt[3191][6]~q\ & \led_flash_cnt[3191][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3191][6]~q\,
	datad => \led_flash_cnt[3191][5]~q\,
	combout => \WideAnd3191~1_combout\);

-- Location: LCCOMB_X46_Y26_N30
WideAnd3191 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3191~combout\ = (\led_flash_cnt[3191][7]~q\ & (\led_flash_cnt[3191][0]~q\ & (\WideAnd3191~0_combout\ & \WideAnd3191~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3191][7]~q\,
	datab => \led_flash_cnt[3191][0]~q\,
	datac => \WideAnd3191~0_combout\,
	datad => \WideAnd3191~1_combout\,
	combout => \WideAnd3191~combout\);

-- Location: FF_X46_Y26_N31
\led_flash_cnt_ands[3191]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3191~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3191));

-- Location: LCCOMB_X52_Y22_N0
\led_flash_cnt[3189][0]~83829\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3189][0]~83829_combout\ = !\led_flash_cnt[3189][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3189][0]~q\,
	combout => \led_flash_cnt[3189][0]~83829_combout\);

-- Location: FF_X52_Y22_N1
\led_flash_cnt[3189][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3189][0]~83829_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3189][0]~q\);

-- Location: LCCOMB_X52_Y23_N2
\led_flash_cnt[3189][1]~71526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3189][1]~71526_combout\ = (\led_flash_cnt[3189][0]~q\ & (\led_flash_cnt[3189][1]~q\ $ (VCC))) # (!\led_flash_cnt[3189][0]~q\ & (\led_flash_cnt[3189][1]~q\ & VCC))
-- \led_flash_cnt[3189][1]~71527\ = CARRY((\led_flash_cnt[3189][0]~q\ & \led_flash_cnt[3189][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3189][0]~q\,
	datab => \led_flash_cnt[3189][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3189][1]~71526_combout\,
	cout => \led_flash_cnt[3189][1]~71527\);

-- Location: FF_X52_Y23_N3
\led_flash_cnt[3189][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3189][1]~71526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3189][1]~q\);

-- Location: LCCOMB_X52_Y23_N4
\led_flash_cnt[3189][2]~71528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3189][2]~71528_combout\ = (\led_flash_cnt[3189][2]~q\ & (!\led_flash_cnt[3189][1]~71527\)) # (!\led_flash_cnt[3189][2]~q\ & ((\led_flash_cnt[3189][1]~71527\) # (GND)))
-- \led_flash_cnt[3189][2]~71529\ = CARRY((!\led_flash_cnt[3189][1]~71527\) # (!\led_flash_cnt[3189][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3189][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3189][1]~71527\,
	combout => \led_flash_cnt[3189][2]~71528_combout\,
	cout => \led_flash_cnt[3189][2]~71529\);

-- Location: FF_X52_Y23_N5
\led_flash_cnt[3189][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3189][2]~71528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3189][2]~q\);

-- Location: LCCOMB_X52_Y23_N6
\led_flash_cnt[3189][3]~71530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3189][3]~71530_combout\ = (\led_flash_cnt[3189][3]~q\ & (\led_flash_cnt[3189][2]~71529\ $ (GND))) # (!\led_flash_cnt[3189][3]~q\ & (!\led_flash_cnt[3189][2]~71529\ & VCC))
-- \led_flash_cnt[3189][3]~71531\ = CARRY((\led_flash_cnt[3189][3]~q\ & !\led_flash_cnt[3189][2]~71529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3189][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3189][2]~71529\,
	combout => \led_flash_cnt[3189][3]~71530_combout\,
	cout => \led_flash_cnt[3189][3]~71531\);

-- Location: FF_X52_Y23_N7
\led_flash_cnt[3189][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3189][3]~71530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3189][3]~q\);

-- Location: LCCOMB_X52_Y23_N8
\led_flash_cnt[3189][4]~71532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3189][4]~71532_combout\ = (\led_flash_cnt[3189][4]~q\ & (!\led_flash_cnt[3189][3]~71531\)) # (!\led_flash_cnt[3189][4]~q\ & ((\led_flash_cnt[3189][3]~71531\) # (GND)))
-- \led_flash_cnt[3189][4]~71533\ = CARRY((!\led_flash_cnt[3189][3]~71531\) # (!\led_flash_cnt[3189][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3189][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3189][3]~71531\,
	combout => \led_flash_cnt[3189][4]~71532_combout\,
	cout => \led_flash_cnt[3189][4]~71533\);

-- Location: FF_X52_Y23_N9
\led_flash_cnt[3189][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3189][4]~71532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3189][4]~q\);

-- Location: LCCOMB_X52_Y23_N10
\led_flash_cnt[3189][5]~71534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3189][5]~71534_combout\ = (\led_flash_cnt[3189][5]~q\ & (\led_flash_cnt[3189][4]~71533\ $ (GND))) # (!\led_flash_cnt[3189][5]~q\ & (!\led_flash_cnt[3189][4]~71533\ & VCC))
-- \led_flash_cnt[3189][5]~71535\ = CARRY((\led_flash_cnt[3189][5]~q\ & !\led_flash_cnt[3189][4]~71533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3189][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3189][4]~71533\,
	combout => \led_flash_cnt[3189][5]~71534_combout\,
	cout => \led_flash_cnt[3189][5]~71535\);

-- Location: FF_X52_Y23_N11
\led_flash_cnt[3189][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3189][5]~71534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3189][5]~q\);

-- Location: LCCOMB_X52_Y23_N12
\led_flash_cnt[3189][6]~71536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3189][6]~71536_combout\ = (\led_flash_cnt[3189][6]~q\ & (!\led_flash_cnt[3189][5]~71535\)) # (!\led_flash_cnt[3189][6]~q\ & ((\led_flash_cnt[3189][5]~71535\) # (GND)))
-- \led_flash_cnt[3189][6]~71537\ = CARRY((!\led_flash_cnt[3189][5]~71535\) # (!\led_flash_cnt[3189][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3189][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3189][5]~71535\,
	combout => \led_flash_cnt[3189][6]~71536_combout\,
	cout => \led_flash_cnt[3189][6]~71537\);

-- Location: FF_X52_Y23_N13
\led_flash_cnt[3189][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3189][6]~71536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3189][6]~q\);

-- Location: LCCOMB_X52_Y22_N6
\WideAnd3189~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3189~1_combout\ = (\led_flash_cnt[3189][6]~q\ & \led_flash_cnt[3189][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3189][6]~q\,
	datad => \led_flash_cnt[3189][5]~q\,
	combout => \WideAnd3189~1_combout\);

-- Location: LCCOMB_X52_Y23_N14
\led_flash_cnt[3189][7]~71538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3189][7]~71538_combout\ = \led_flash_cnt[3189][7]~q\ $ (!\led_flash_cnt[3189][6]~71537\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3189][7]~q\,
	cin => \led_flash_cnt[3189][6]~71537\,
	combout => \led_flash_cnt[3189][7]~71538_combout\);

-- Location: FF_X52_Y23_N15
\led_flash_cnt[3189][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3189][7]~71538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3189][7]~q\);

-- Location: LCCOMB_X52_Y23_N16
\WideAnd3189~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3189~0_combout\ = (\led_flash_cnt[3189][3]~q\ & (\led_flash_cnt[3189][4]~q\ & (\led_flash_cnt[3189][2]~q\ & \led_flash_cnt[3189][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3189][3]~q\,
	datab => \led_flash_cnt[3189][4]~q\,
	datac => \led_flash_cnt[3189][2]~q\,
	datad => \led_flash_cnt[3189][1]~q\,
	combout => \WideAnd3189~0_combout\);

-- Location: LCCOMB_X52_Y22_N4
WideAnd3189 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3189~combout\ = (\WideAnd3189~1_combout\ & (\led_flash_cnt[3189][7]~q\ & (\WideAnd3189~0_combout\ & \led_flash_cnt[3189][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3189~1_combout\,
	datab => \led_flash_cnt[3189][7]~q\,
	datac => \WideAnd3189~0_combout\,
	datad => \led_flash_cnt[3189][0]~q\,
	combout => \WideAnd3189~combout\);

-- Location: FF_X52_Y22_N5
\led_flash_cnt_ands[3189]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3189~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3189));

-- Location: LCCOMB_X52_Y21_N0
\led_flash_cnt[3188][0]~83828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3188][0]~83828_combout\ = !\led_flash_cnt[3188][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3188][0]~q\,
	combout => \led_flash_cnt[3188][0]~83828_combout\);

-- Location: FF_X52_Y21_N1
\led_flash_cnt[3188][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3188][0]~83828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3188][0]~q\);

-- Location: LCCOMB_X52_Y24_N18
\led_flash_cnt[3188][1]~71512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3188][1]~71512_combout\ = (\led_flash_cnt[3188][1]~q\ & (\led_flash_cnt[3188][0]~q\ $ (VCC))) # (!\led_flash_cnt[3188][1]~q\ & (\led_flash_cnt[3188][0]~q\ & VCC))
-- \led_flash_cnt[3188][1]~71513\ = CARRY((\led_flash_cnt[3188][1]~q\ & \led_flash_cnt[3188][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3188][1]~q\,
	datab => \led_flash_cnt[3188][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3188][1]~71512_combout\,
	cout => \led_flash_cnt[3188][1]~71513\);

-- Location: FF_X52_Y24_N19
\led_flash_cnt[3188][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3188][1]~71512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3188][1]~q\);

-- Location: LCCOMB_X52_Y24_N20
\led_flash_cnt[3188][2]~71514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3188][2]~71514_combout\ = (\led_flash_cnt[3188][2]~q\ & (!\led_flash_cnt[3188][1]~71513\)) # (!\led_flash_cnt[3188][2]~q\ & ((\led_flash_cnt[3188][1]~71513\) # (GND)))
-- \led_flash_cnt[3188][2]~71515\ = CARRY((!\led_flash_cnt[3188][1]~71513\) # (!\led_flash_cnt[3188][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3188][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3188][1]~71513\,
	combout => \led_flash_cnt[3188][2]~71514_combout\,
	cout => \led_flash_cnt[3188][2]~71515\);

-- Location: FF_X52_Y24_N21
\led_flash_cnt[3188][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3188][2]~71514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3188][2]~q\);

-- Location: LCCOMB_X52_Y24_N22
\led_flash_cnt[3188][3]~71516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3188][3]~71516_combout\ = (\led_flash_cnt[3188][3]~q\ & (\led_flash_cnt[3188][2]~71515\ $ (GND))) # (!\led_flash_cnt[3188][3]~q\ & (!\led_flash_cnt[3188][2]~71515\ & VCC))
-- \led_flash_cnt[3188][3]~71517\ = CARRY((\led_flash_cnt[3188][3]~q\ & !\led_flash_cnt[3188][2]~71515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3188][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3188][2]~71515\,
	combout => \led_flash_cnt[3188][3]~71516_combout\,
	cout => \led_flash_cnt[3188][3]~71517\);

-- Location: FF_X52_Y24_N23
\led_flash_cnt[3188][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3188][3]~71516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3188][3]~q\);

-- Location: LCCOMB_X52_Y24_N24
\led_flash_cnt[3188][4]~71518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3188][4]~71518_combout\ = (\led_flash_cnt[3188][4]~q\ & (!\led_flash_cnt[3188][3]~71517\)) # (!\led_flash_cnt[3188][4]~q\ & ((\led_flash_cnt[3188][3]~71517\) # (GND)))
-- \led_flash_cnt[3188][4]~71519\ = CARRY((!\led_flash_cnt[3188][3]~71517\) # (!\led_flash_cnt[3188][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3188][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3188][3]~71517\,
	combout => \led_flash_cnt[3188][4]~71518_combout\,
	cout => \led_flash_cnt[3188][4]~71519\);

-- Location: FF_X52_Y24_N25
\led_flash_cnt[3188][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3188][4]~71518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3188][4]~q\);

-- Location: LCCOMB_X52_Y24_N26
\led_flash_cnt[3188][5]~71520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3188][5]~71520_combout\ = (\led_flash_cnt[3188][5]~q\ & (\led_flash_cnt[3188][4]~71519\ $ (GND))) # (!\led_flash_cnt[3188][5]~q\ & (!\led_flash_cnt[3188][4]~71519\ & VCC))
-- \led_flash_cnt[3188][5]~71521\ = CARRY((\led_flash_cnt[3188][5]~q\ & !\led_flash_cnt[3188][4]~71519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3188][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3188][4]~71519\,
	combout => \led_flash_cnt[3188][5]~71520_combout\,
	cout => \led_flash_cnt[3188][5]~71521\);

-- Location: FF_X52_Y24_N27
\led_flash_cnt[3188][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3188][5]~71520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3188][5]~q\);

-- Location: LCCOMB_X52_Y24_N28
\led_flash_cnt[3188][6]~71522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3188][6]~71522_combout\ = (\led_flash_cnt[3188][6]~q\ & (!\led_flash_cnt[3188][5]~71521\)) # (!\led_flash_cnt[3188][6]~q\ & ((\led_flash_cnt[3188][5]~71521\) # (GND)))
-- \led_flash_cnt[3188][6]~71523\ = CARRY((!\led_flash_cnt[3188][5]~71521\) # (!\led_flash_cnt[3188][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3188][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3188][5]~71521\,
	combout => \led_flash_cnt[3188][6]~71522_combout\,
	cout => \led_flash_cnt[3188][6]~71523\);

-- Location: FF_X52_Y24_N29
\led_flash_cnt[3188][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3188][6]~71522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3188][6]~q\);

-- Location: LCCOMB_X52_Y24_N30
\led_flash_cnt[3188][7]~71524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3188][7]~71524_combout\ = \led_flash_cnt[3188][7]~q\ $ (!\led_flash_cnt[3188][6]~71523\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3188][7]~q\,
	cin => \led_flash_cnt[3188][6]~71523\,
	combout => \led_flash_cnt[3188][7]~71524_combout\);

-- Location: FF_X52_Y24_N31
\led_flash_cnt[3188][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3188][7]~71524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3188][7]~q\);

-- Location: LCCOMB_X52_Y24_N2
\WideAnd3188~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3188~0_combout\ = (\led_flash_cnt[3188][1]~q\ & (\led_flash_cnt[3188][2]~q\ & (\led_flash_cnt[3188][3]~q\ & \led_flash_cnt[3188][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3188][1]~q\,
	datab => \led_flash_cnt[3188][2]~q\,
	datac => \led_flash_cnt[3188][3]~q\,
	datad => \led_flash_cnt[3188][4]~q\,
	combout => \WideAnd3188~0_combout\);

-- Location: LCCOMB_X52_Y22_N24
\WideAnd3188~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3188~1_combout\ = (\led_flash_cnt[3188][6]~q\ & \led_flash_cnt[3188][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3188][6]~q\,
	datac => \led_flash_cnt[3188][5]~q\,
	combout => \WideAnd3188~1_combout\);

-- Location: LCCOMB_X52_Y22_N28
WideAnd3188 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3188~combout\ = (\led_flash_cnt[3188][7]~q\ & (\led_flash_cnt[3188][0]~q\ & (\WideAnd3188~0_combout\ & \WideAnd3188~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3188][7]~q\,
	datab => \led_flash_cnt[3188][0]~q\,
	datac => \WideAnd3188~0_combout\,
	datad => \WideAnd3188~1_combout\,
	combout => \WideAnd3188~combout\);

-- Location: FF_X52_Y22_N29
\led_flash_cnt_ands[3188]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3188~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3188));

-- Location: LCCOMB_X51_Y22_N30
\WideAnd4238~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4238~1_combout\ = (led_flash_cnt_ands(3189) & led_flash_cnt_ands(3188))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3189),
	datad => led_flash_cnt_ands(3188),
	combout => \WideAnd4238~1_combout\);

-- Location: LCCOMB_X45_Y21_N12
\led_flash_cnt[3190][0]~83830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3190][0]~83830_combout\ = !\led_flash_cnt[3190][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3190][0]~q\,
	combout => \led_flash_cnt[3190][0]~83830_combout\);

-- Location: FF_X45_Y21_N13
\led_flash_cnt[3190][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3190][0]~83830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3190][0]~q\);

-- Location: LCCOMB_X45_Y21_N18
\led_flash_cnt[3190][1]~71540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3190][1]~71540_combout\ = (\led_flash_cnt[3190][0]~q\ & (\led_flash_cnt[3190][1]~q\ $ (VCC))) # (!\led_flash_cnt[3190][0]~q\ & (\led_flash_cnt[3190][1]~q\ & VCC))
-- \led_flash_cnt[3190][1]~71541\ = CARRY((\led_flash_cnt[3190][0]~q\ & \led_flash_cnt[3190][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3190][0]~q\,
	datab => \led_flash_cnt[3190][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3190][1]~71540_combout\,
	cout => \led_flash_cnt[3190][1]~71541\);

-- Location: FF_X45_Y21_N19
\led_flash_cnt[3190][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3190][1]~71540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3190][1]~q\);

-- Location: LCCOMB_X45_Y21_N20
\led_flash_cnt[3190][2]~71542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3190][2]~71542_combout\ = (\led_flash_cnt[3190][2]~q\ & (!\led_flash_cnt[3190][1]~71541\)) # (!\led_flash_cnt[3190][2]~q\ & ((\led_flash_cnt[3190][1]~71541\) # (GND)))
-- \led_flash_cnt[3190][2]~71543\ = CARRY((!\led_flash_cnt[3190][1]~71541\) # (!\led_flash_cnt[3190][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3190][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3190][1]~71541\,
	combout => \led_flash_cnt[3190][2]~71542_combout\,
	cout => \led_flash_cnt[3190][2]~71543\);

-- Location: FF_X45_Y21_N21
\led_flash_cnt[3190][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3190][2]~71542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3190][2]~q\);

-- Location: LCCOMB_X45_Y21_N22
\led_flash_cnt[3190][3]~71544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3190][3]~71544_combout\ = (\led_flash_cnt[3190][3]~q\ & (\led_flash_cnt[3190][2]~71543\ $ (GND))) # (!\led_flash_cnt[3190][3]~q\ & (!\led_flash_cnt[3190][2]~71543\ & VCC))
-- \led_flash_cnt[3190][3]~71545\ = CARRY((\led_flash_cnt[3190][3]~q\ & !\led_flash_cnt[3190][2]~71543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3190][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3190][2]~71543\,
	combout => \led_flash_cnt[3190][3]~71544_combout\,
	cout => \led_flash_cnt[3190][3]~71545\);

-- Location: FF_X45_Y21_N23
\led_flash_cnt[3190][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3190][3]~71544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3190][3]~q\);

-- Location: LCCOMB_X45_Y21_N24
\led_flash_cnt[3190][4]~71546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3190][4]~71546_combout\ = (\led_flash_cnt[3190][4]~q\ & (!\led_flash_cnt[3190][3]~71545\)) # (!\led_flash_cnt[3190][4]~q\ & ((\led_flash_cnt[3190][3]~71545\) # (GND)))
-- \led_flash_cnt[3190][4]~71547\ = CARRY((!\led_flash_cnt[3190][3]~71545\) # (!\led_flash_cnt[3190][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3190][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3190][3]~71545\,
	combout => \led_flash_cnt[3190][4]~71546_combout\,
	cout => \led_flash_cnt[3190][4]~71547\);

-- Location: FF_X45_Y21_N25
\led_flash_cnt[3190][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3190][4]~71546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3190][4]~q\);

-- Location: LCCOMB_X45_Y21_N26
\led_flash_cnt[3190][5]~71548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3190][5]~71548_combout\ = (\led_flash_cnt[3190][5]~q\ & (\led_flash_cnt[3190][4]~71547\ $ (GND))) # (!\led_flash_cnt[3190][5]~q\ & (!\led_flash_cnt[3190][4]~71547\ & VCC))
-- \led_flash_cnt[3190][5]~71549\ = CARRY((\led_flash_cnt[3190][5]~q\ & !\led_flash_cnt[3190][4]~71547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3190][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3190][4]~71547\,
	combout => \led_flash_cnt[3190][5]~71548_combout\,
	cout => \led_flash_cnt[3190][5]~71549\);

-- Location: FF_X45_Y21_N27
\led_flash_cnt[3190][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3190][5]~71548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3190][5]~q\);

-- Location: LCCOMB_X45_Y21_N28
\led_flash_cnt[3190][6]~71550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3190][6]~71550_combout\ = (\led_flash_cnt[3190][6]~q\ & (!\led_flash_cnt[3190][5]~71549\)) # (!\led_flash_cnt[3190][6]~q\ & ((\led_flash_cnt[3190][5]~71549\) # (GND)))
-- \led_flash_cnt[3190][6]~71551\ = CARRY((!\led_flash_cnt[3190][5]~71549\) # (!\led_flash_cnt[3190][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3190][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3190][5]~71549\,
	combout => \led_flash_cnt[3190][6]~71550_combout\,
	cout => \led_flash_cnt[3190][6]~71551\);

-- Location: FF_X45_Y21_N29
\led_flash_cnt[3190][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3190][6]~71550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3190][6]~q\);

-- Location: LCCOMB_X45_Y21_N10
\WideAnd3190~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3190~1_combout\ = (\led_flash_cnt[3190][5]~q\ & \led_flash_cnt[3190][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3190][5]~q\,
	datad => \led_flash_cnt[3190][6]~q\,
	combout => \WideAnd3190~1_combout\);

-- Location: LCCOMB_X45_Y21_N16
\WideAnd3190~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3190~0_combout\ = (\led_flash_cnt[3190][4]~q\ & (\led_flash_cnt[3190][2]~q\ & (\led_flash_cnt[3190][3]~q\ & \led_flash_cnt[3190][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3190][4]~q\,
	datab => \led_flash_cnt[3190][2]~q\,
	datac => \led_flash_cnt[3190][3]~q\,
	datad => \led_flash_cnt[3190][1]~q\,
	combout => \WideAnd3190~0_combout\);

-- Location: LCCOMB_X45_Y21_N30
\led_flash_cnt[3190][7]~71552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3190][7]~71552_combout\ = \led_flash_cnt[3190][7]~q\ $ (!\led_flash_cnt[3190][6]~71551\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3190][7]~q\,
	cin => \led_flash_cnt[3190][6]~71551\,
	combout => \led_flash_cnt[3190][7]~71552_combout\);

-- Location: FF_X45_Y21_N31
\led_flash_cnt[3190][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3190][7]~71552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3190][7]~q\);

-- Location: LCCOMB_X45_Y21_N8
WideAnd3190 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3190~combout\ = (\WideAnd3190~1_combout\ & (\WideAnd3190~0_combout\ & (\led_flash_cnt[3190][7]~q\ & \led_flash_cnt[3190][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3190~1_combout\,
	datab => \WideAnd3190~0_combout\,
	datac => \led_flash_cnt[3190][7]~q\,
	datad => \led_flash_cnt[3190][0]~q\,
	combout => \WideAnd3190~combout\);

-- Location: FF_X45_Y21_N9
\led_flash_cnt_ands[3190]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3190~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3190));

-- Location: LCCOMB_X42_Y21_N2
\led_flash_cnt[3186][0]~83826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3186][0]~83826_combout\ = !\led_flash_cnt[3186][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3186][0]~q\,
	combout => \led_flash_cnt[3186][0]~83826_combout\);

-- Location: FF_X42_Y21_N3
\led_flash_cnt[3186][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3186][0]~83826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3186][0]~q\);

-- Location: LCCOMB_X41_Y21_N18
\led_flash_cnt[3186][1]~71484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3186][1]~71484_combout\ = (\led_flash_cnt[3186][0]~q\ & (\led_flash_cnt[3186][1]~q\ $ (VCC))) # (!\led_flash_cnt[3186][0]~q\ & (\led_flash_cnt[3186][1]~q\ & VCC))
-- \led_flash_cnt[3186][1]~71485\ = CARRY((\led_flash_cnt[3186][0]~q\ & \led_flash_cnt[3186][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3186][0]~q\,
	datab => \led_flash_cnt[3186][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3186][1]~71484_combout\,
	cout => \led_flash_cnt[3186][1]~71485\);

-- Location: FF_X41_Y21_N19
\led_flash_cnt[3186][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3186][1]~71484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3186][1]~q\);

-- Location: LCCOMB_X41_Y21_N20
\led_flash_cnt[3186][2]~71486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3186][2]~71486_combout\ = (\led_flash_cnt[3186][2]~q\ & (!\led_flash_cnt[3186][1]~71485\)) # (!\led_flash_cnt[3186][2]~q\ & ((\led_flash_cnt[3186][1]~71485\) # (GND)))
-- \led_flash_cnt[3186][2]~71487\ = CARRY((!\led_flash_cnt[3186][1]~71485\) # (!\led_flash_cnt[3186][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3186][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3186][1]~71485\,
	combout => \led_flash_cnt[3186][2]~71486_combout\,
	cout => \led_flash_cnt[3186][2]~71487\);

-- Location: FF_X41_Y21_N21
\led_flash_cnt[3186][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3186][2]~71486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3186][2]~q\);

-- Location: LCCOMB_X41_Y21_N22
\led_flash_cnt[3186][3]~71488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3186][3]~71488_combout\ = (\led_flash_cnt[3186][3]~q\ & (\led_flash_cnt[3186][2]~71487\ $ (GND))) # (!\led_flash_cnt[3186][3]~q\ & (!\led_flash_cnt[3186][2]~71487\ & VCC))
-- \led_flash_cnt[3186][3]~71489\ = CARRY((\led_flash_cnt[3186][3]~q\ & !\led_flash_cnt[3186][2]~71487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3186][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3186][2]~71487\,
	combout => \led_flash_cnt[3186][3]~71488_combout\,
	cout => \led_flash_cnt[3186][3]~71489\);

-- Location: FF_X41_Y21_N23
\led_flash_cnt[3186][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3186][3]~71488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3186][3]~q\);

-- Location: LCCOMB_X41_Y21_N24
\led_flash_cnt[3186][4]~71490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3186][4]~71490_combout\ = (\led_flash_cnt[3186][4]~q\ & (!\led_flash_cnt[3186][3]~71489\)) # (!\led_flash_cnt[3186][4]~q\ & ((\led_flash_cnt[3186][3]~71489\) # (GND)))
-- \led_flash_cnt[3186][4]~71491\ = CARRY((!\led_flash_cnt[3186][3]~71489\) # (!\led_flash_cnt[3186][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3186][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3186][3]~71489\,
	combout => \led_flash_cnt[3186][4]~71490_combout\,
	cout => \led_flash_cnt[3186][4]~71491\);

-- Location: FF_X41_Y21_N25
\led_flash_cnt[3186][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3186][4]~71490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3186][4]~q\);

-- Location: LCCOMB_X41_Y21_N26
\led_flash_cnt[3186][5]~71492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3186][5]~71492_combout\ = (\led_flash_cnt[3186][5]~q\ & (\led_flash_cnt[3186][4]~71491\ $ (GND))) # (!\led_flash_cnt[3186][5]~q\ & (!\led_flash_cnt[3186][4]~71491\ & VCC))
-- \led_flash_cnt[3186][5]~71493\ = CARRY((\led_flash_cnt[3186][5]~q\ & !\led_flash_cnt[3186][4]~71491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3186][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3186][4]~71491\,
	combout => \led_flash_cnt[3186][5]~71492_combout\,
	cout => \led_flash_cnt[3186][5]~71493\);

-- Location: FF_X41_Y21_N27
\led_flash_cnt[3186][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3186][5]~71492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3186][5]~q\);

-- Location: LCCOMB_X41_Y21_N28
\led_flash_cnt[3186][6]~71494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3186][6]~71494_combout\ = (\led_flash_cnt[3186][6]~q\ & (!\led_flash_cnt[3186][5]~71493\)) # (!\led_flash_cnt[3186][6]~q\ & ((\led_flash_cnt[3186][5]~71493\) # (GND)))
-- \led_flash_cnt[3186][6]~71495\ = CARRY((!\led_flash_cnt[3186][5]~71493\) # (!\led_flash_cnt[3186][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3186][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3186][5]~71493\,
	combout => \led_flash_cnt[3186][6]~71494_combout\,
	cout => \led_flash_cnt[3186][6]~71495\);

-- Location: FF_X41_Y21_N29
\led_flash_cnt[3186][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3186][6]~71494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3186][6]~q\);

-- Location: LCCOMB_X42_Y21_N26
\WideAnd3186~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3186~1_combout\ = (\led_flash_cnt[3186][5]~q\ & \led_flash_cnt[3186][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3186][5]~q\,
	datad => \led_flash_cnt[3186][6]~q\,
	combout => \WideAnd3186~1_combout\);

-- Location: LCCOMB_X41_Y21_N30
\led_flash_cnt[3186][7]~71496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3186][7]~71496_combout\ = \led_flash_cnt[3186][7]~q\ $ (!\led_flash_cnt[3186][6]~71495\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3186][7]~q\,
	cin => \led_flash_cnt[3186][6]~71495\,
	combout => \led_flash_cnt[3186][7]~71496_combout\);

-- Location: FF_X41_Y21_N31
\led_flash_cnt[3186][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3186][7]~71496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3186][7]~q\);

-- Location: LCCOMB_X41_Y21_N16
\WideAnd3186~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3186~0_combout\ = (\led_flash_cnt[3186][4]~q\ & (\led_flash_cnt[3186][2]~q\ & (\led_flash_cnt[3186][3]~q\ & \led_flash_cnt[3186][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3186][4]~q\,
	datab => \led_flash_cnt[3186][2]~q\,
	datac => \led_flash_cnt[3186][3]~q\,
	datad => \led_flash_cnt[3186][1]~q\,
	combout => \WideAnd3186~0_combout\);

-- Location: LCCOMB_X42_Y21_N22
WideAnd3186 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3186~combout\ = (\WideAnd3186~1_combout\ & (\led_flash_cnt[3186][7]~q\ & (\WideAnd3186~0_combout\ & \led_flash_cnt[3186][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3186~1_combout\,
	datab => \led_flash_cnt[3186][7]~q\,
	datac => \WideAnd3186~0_combout\,
	datad => \led_flash_cnt[3186][0]~q\,
	combout => \WideAnd3186~combout\);

-- Location: FF_X42_Y21_N23
\led_flash_cnt_ands[3186]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3186~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3186));

-- Location: LCCOMB_X46_Y26_N26
\led_flash_cnt[3184][0]~83824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3184][0]~83824_combout\ = !\led_flash_cnt[3184][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3184][0]~q\,
	combout => \led_flash_cnt[3184][0]~83824_combout\);

-- Location: FF_X46_Y26_N27
\led_flash_cnt[3184][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3184][0]~83824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3184][0]~q\);

-- Location: LCCOMB_X46_Y26_N4
\led_flash_cnt[3184][1]~71456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3184][1]~71456_combout\ = (\led_flash_cnt[3184][0]~q\ & (\led_flash_cnt[3184][1]~q\ $ (VCC))) # (!\led_flash_cnt[3184][0]~q\ & (\led_flash_cnt[3184][1]~q\ & VCC))
-- \led_flash_cnt[3184][1]~71457\ = CARRY((\led_flash_cnt[3184][0]~q\ & \led_flash_cnt[3184][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3184][0]~q\,
	datab => \led_flash_cnt[3184][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3184][1]~71456_combout\,
	cout => \led_flash_cnt[3184][1]~71457\);

-- Location: FF_X46_Y26_N5
\led_flash_cnt[3184][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3184][1]~71456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3184][1]~q\);

-- Location: LCCOMB_X46_Y26_N6
\led_flash_cnt[3184][2]~71458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3184][2]~71458_combout\ = (\led_flash_cnt[3184][2]~q\ & (!\led_flash_cnt[3184][1]~71457\)) # (!\led_flash_cnt[3184][2]~q\ & ((\led_flash_cnt[3184][1]~71457\) # (GND)))
-- \led_flash_cnt[3184][2]~71459\ = CARRY((!\led_flash_cnt[3184][1]~71457\) # (!\led_flash_cnt[3184][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3184][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3184][1]~71457\,
	combout => \led_flash_cnt[3184][2]~71458_combout\,
	cout => \led_flash_cnt[3184][2]~71459\);

-- Location: FF_X46_Y26_N7
\led_flash_cnt[3184][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3184][2]~71458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3184][2]~q\);

-- Location: LCCOMB_X46_Y26_N8
\led_flash_cnt[3184][3]~71460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3184][3]~71460_combout\ = (\led_flash_cnt[3184][3]~q\ & (\led_flash_cnt[3184][2]~71459\ $ (GND))) # (!\led_flash_cnt[3184][3]~q\ & (!\led_flash_cnt[3184][2]~71459\ & VCC))
-- \led_flash_cnt[3184][3]~71461\ = CARRY((\led_flash_cnt[3184][3]~q\ & !\led_flash_cnt[3184][2]~71459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3184][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3184][2]~71459\,
	combout => \led_flash_cnt[3184][3]~71460_combout\,
	cout => \led_flash_cnt[3184][3]~71461\);

-- Location: FF_X46_Y26_N9
\led_flash_cnt[3184][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3184][3]~71460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3184][3]~q\);

-- Location: LCCOMB_X46_Y26_N10
\led_flash_cnt[3184][4]~71462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3184][4]~71462_combout\ = (\led_flash_cnt[3184][4]~q\ & (!\led_flash_cnt[3184][3]~71461\)) # (!\led_flash_cnt[3184][4]~q\ & ((\led_flash_cnt[3184][3]~71461\) # (GND)))
-- \led_flash_cnt[3184][4]~71463\ = CARRY((!\led_flash_cnt[3184][3]~71461\) # (!\led_flash_cnt[3184][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3184][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3184][3]~71461\,
	combout => \led_flash_cnt[3184][4]~71462_combout\,
	cout => \led_flash_cnt[3184][4]~71463\);

-- Location: FF_X46_Y26_N11
\led_flash_cnt[3184][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3184][4]~71462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3184][4]~q\);

-- Location: LCCOMB_X46_Y26_N12
\led_flash_cnt[3184][5]~71464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3184][5]~71464_combout\ = (\led_flash_cnt[3184][5]~q\ & (\led_flash_cnt[3184][4]~71463\ $ (GND))) # (!\led_flash_cnt[3184][5]~q\ & (!\led_flash_cnt[3184][4]~71463\ & VCC))
-- \led_flash_cnt[3184][5]~71465\ = CARRY((\led_flash_cnt[3184][5]~q\ & !\led_flash_cnt[3184][4]~71463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3184][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3184][4]~71463\,
	combout => \led_flash_cnt[3184][5]~71464_combout\,
	cout => \led_flash_cnt[3184][5]~71465\);

-- Location: FF_X46_Y26_N13
\led_flash_cnt[3184][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3184][5]~71464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3184][5]~q\);

-- Location: LCCOMB_X46_Y26_N14
\led_flash_cnt[3184][6]~71466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3184][6]~71466_combout\ = (\led_flash_cnt[3184][6]~q\ & (!\led_flash_cnt[3184][5]~71465\)) # (!\led_flash_cnt[3184][6]~q\ & ((\led_flash_cnt[3184][5]~71465\) # (GND)))
-- \led_flash_cnt[3184][6]~71467\ = CARRY((!\led_flash_cnt[3184][5]~71465\) # (!\led_flash_cnt[3184][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3184][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3184][5]~71465\,
	combout => \led_flash_cnt[3184][6]~71466_combout\,
	cout => \led_flash_cnt[3184][6]~71467\);

-- Location: FF_X46_Y26_N15
\led_flash_cnt[3184][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3184][6]~71466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3184][6]~q\);

-- Location: LCCOMB_X46_Y26_N16
\led_flash_cnt[3184][7]~71468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3184][7]~71468_combout\ = \led_flash_cnt[3184][6]~71467\ $ (!\led_flash_cnt[3184][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3184][7]~q\,
	cin => \led_flash_cnt[3184][6]~71467\,
	combout => \led_flash_cnt[3184][7]~71468_combout\);

-- Location: FF_X46_Y26_N17
\led_flash_cnt[3184][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3184][7]~71468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3184][7]~q\);

-- Location: LCCOMB_X46_Y26_N22
\WideAnd3184~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3184~1_combout\ = (\led_flash_cnt[3184][6]~q\ & \led_flash_cnt[3184][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3184][6]~q\,
	datad => \led_flash_cnt[3184][5]~q\,
	combout => \WideAnd3184~1_combout\);

-- Location: LCCOMB_X46_Y26_N18
\WideAnd3184~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3184~0_combout\ = (\led_flash_cnt[3184][2]~q\ & (\led_flash_cnt[3184][1]~q\ & (\led_flash_cnt[3184][3]~q\ & \led_flash_cnt[3184][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3184][2]~q\,
	datab => \led_flash_cnt[3184][1]~q\,
	datac => \led_flash_cnt[3184][3]~q\,
	datad => \led_flash_cnt[3184][4]~q\,
	combout => \WideAnd3184~0_combout\);

-- Location: LCCOMB_X46_Y26_N20
WideAnd3184 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3184~combout\ = (\led_flash_cnt[3184][0]~q\ & (\led_flash_cnt[3184][7]~q\ & (\WideAnd3184~1_combout\ & \WideAnd3184~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3184][0]~q\,
	datab => \led_flash_cnt[3184][7]~q\,
	datac => \WideAnd3184~1_combout\,
	datad => \WideAnd3184~0_combout\,
	combout => \WideAnd3184~combout\);

-- Location: FF_X46_Y26_N21
\led_flash_cnt_ands[3184]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3184~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3184));

-- Location: LCCOMB_X64_Y29_N2
\led_flash_cnt[3185][0]~83825\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3185][0]~83825_combout\ = !\led_flash_cnt[3185][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3185][0]~q\,
	combout => \led_flash_cnt[3185][0]~83825_combout\);

-- Location: FF_X64_Y29_N3
\led_flash_cnt[3185][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3185][0]~83825_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3185][0]~q\);

-- Location: LCCOMB_X63_Y29_N2
\led_flash_cnt[3185][1]~71470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3185][1]~71470_combout\ = (\led_flash_cnt[3185][0]~q\ & (\led_flash_cnt[3185][1]~q\ $ (VCC))) # (!\led_flash_cnt[3185][0]~q\ & (\led_flash_cnt[3185][1]~q\ & VCC))
-- \led_flash_cnt[3185][1]~71471\ = CARRY((\led_flash_cnt[3185][0]~q\ & \led_flash_cnt[3185][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3185][0]~q\,
	datab => \led_flash_cnt[3185][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3185][1]~71470_combout\,
	cout => \led_flash_cnt[3185][1]~71471\);

-- Location: FF_X63_Y29_N3
\led_flash_cnt[3185][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3185][1]~71470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3185][1]~q\);

-- Location: LCCOMB_X63_Y29_N4
\led_flash_cnt[3185][2]~71472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3185][2]~71472_combout\ = (\led_flash_cnt[3185][2]~q\ & (!\led_flash_cnt[3185][1]~71471\)) # (!\led_flash_cnt[3185][2]~q\ & ((\led_flash_cnt[3185][1]~71471\) # (GND)))
-- \led_flash_cnt[3185][2]~71473\ = CARRY((!\led_flash_cnt[3185][1]~71471\) # (!\led_flash_cnt[3185][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3185][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3185][1]~71471\,
	combout => \led_flash_cnt[3185][2]~71472_combout\,
	cout => \led_flash_cnt[3185][2]~71473\);

-- Location: FF_X63_Y29_N5
\led_flash_cnt[3185][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3185][2]~71472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3185][2]~q\);

-- Location: LCCOMB_X63_Y29_N6
\led_flash_cnt[3185][3]~71474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3185][3]~71474_combout\ = (\led_flash_cnt[3185][3]~q\ & (\led_flash_cnt[3185][2]~71473\ $ (GND))) # (!\led_flash_cnt[3185][3]~q\ & (!\led_flash_cnt[3185][2]~71473\ & VCC))
-- \led_flash_cnt[3185][3]~71475\ = CARRY((\led_flash_cnt[3185][3]~q\ & !\led_flash_cnt[3185][2]~71473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3185][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3185][2]~71473\,
	combout => \led_flash_cnt[3185][3]~71474_combout\,
	cout => \led_flash_cnt[3185][3]~71475\);

-- Location: FF_X63_Y29_N7
\led_flash_cnt[3185][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3185][3]~71474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3185][3]~q\);

-- Location: LCCOMB_X63_Y29_N8
\led_flash_cnt[3185][4]~71476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3185][4]~71476_combout\ = (\led_flash_cnt[3185][4]~q\ & (!\led_flash_cnt[3185][3]~71475\)) # (!\led_flash_cnt[3185][4]~q\ & ((\led_flash_cnt[3185][3]~71475\) # (GND)))
-- \led_flash_cnt[3185][4]~71477\ = CARRY((!\led_flash_cnt[3185][3]~71475\) # (!\led_flash_cnt[3185][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3185][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3185][3]~71475\,
	combout => \led_flash_cnt[3185][4]~71476_combout\,
	cout => \led_flash_cnt[3185][4]~71477\);

-- Location: FF_X63_Y29_N9
\led_flash_cnt[3185][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3185][4]~71476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3185][4]~q\);

-- Location: LCCOMB_X63_Y29_N18
\WideAnd3185~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3185~0_combout\ = (\led_flash_cnt[3185][3]~q\ & (\led_flash_cnt[3185][4]~q\ & (\led_flash_cnt[3185][2]~q\ & \led_flash_cnt[3185][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3185][3]~q\,
	datab => \led_flash_cnt[3185][4]~q\,
	datac => \led_flash_cnt[3185][2]~q\,
	datad => \led_flash_cnt[3185][1]~q\,
	combout => \WideAnd3185~0_combout\);

-- Location: LCCOMB_X63_Y29_N10
\led_flash_cnt[3185][5]~71478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3185][5]~71478_combout\ = (\led_flash_cnt[3185][5]~q\ & (\led_flash_cnt[3185][4]~71477\ $ (GND))) # (!\led_flash_cnt[3185][5]~q\ & (!\led_flash_cnt[3185][4]~71477\ & VCC))
-- \led_flash_cnt[3185][5]~71479\ = CARRY((\led_flash_cnt[3185][5]~q\ & !\led_flash_cnt[3185][4]~71477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3185][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3185][4]~71477\,
	combout => \led_flash_cnt[3185][5]~71478_combout\,
	cout => \led_flash_cnt[3185][5]~71479\);

-- Location: FF_X63_Y29_N11
\led_flash_cnt[3185][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3185][5]~71478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3185][5]~q\);

-- Location: LCCOMB_X63_Y29_N12
\led_flash_cnt[3185][6]~71480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3185][6]~71480_combout\ = (\led_flash_cnt[3185][6]~q\ & (!\led_flash_cnt[3185][5]~71479\)) # (!\led_flash_cnt[3185][6]~q\ & ((\led_flash_cnt[3185][5]~71479\) # (GND)))
-- \led_flash_cnt[3185][6]~71481\ = CARRY((!\led_flash_cnt[3185][5]~71479\) # (!\led_flash_cnt[3185][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3185][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3185][5]~71479\,
	combout => \led_flash_cnt[3185][6]~71480_combout\,
	cout => \led_flash_cnt[3185][6]~71481\);

-- Location: FF_X63_Y29_N13
\led_flash_cnt[3185][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3185][6]~71480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3185][6]~q\);

-- Location: LCCOMB_X63_Y29_N14
\led_flash_cnt[3185][7]~71482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3185][7]~71482_combout\ = \led_flash_cnt[3185][7]~q\ $ (!\led_flash_cnt[3185][6]~71481\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3185][7]~q\,
	cin => \led_flash_cnt[3185][6]~71481\,
	combout => \led_flash_cnt[3185][7]~71482_combout\);

-- Location: FF_X63_Y29_N15
\led_flash_cnt[3185][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3185][7]~71482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3185][7]~q\);

-- Location: LCCOMB_X64_Y29_N28
\WideAnd3185~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3185~1_combout\ = (\led_flash_cnt[3185][6]~q\ & \led_flash_cnt[3185][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3185][6]~q\,
	datad => \led_flash_cnt[3185][5]~q\,
	combout => \WideAnd3185~1_combout\);

-- Location: LCCOMB_X63_Y29_N22
WideAnd3185 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3185~combout\ = (\led_flash_cnt[3185][0]~q\ & (\WideAnd3185~0_combout\ & (\led_flash_cnt[3185][7]~q\ & \WideAnd3185~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3185][0]~q\,
	datab => \WideAnd3185~0_combout\,
	datac => \led_flash_cnt[3185][7]~q\,
	datad => \WideAnd3185~1_combout\,
	combout => \WideAnd3185~combout\);

-- Location: FF_X63_Y29_N23
\led_flash_cnt_ands[3185]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3185~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3185));

-- Location: LCCOMB_X42_Y21_N28
\led_flash_cnt[3187][0]~83827\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3187][0]~83827_combout\ = !\led_flash_cnt[3187][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3187][0]~q\,
	combout => \led_flash_cnt[3187][0]~83827_combout\);

-- Location: FF_X42_Y21_N29
\led_flash_cnt[3187][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3187][0]~83827_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3187][0]~q\);

-- Location: LCCOMB_X42_Y21_N6
\led_flash_cnt[3187][1]~71498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3187][1]~71498_combout\ = (\led_flash_cnt[3187][1]~q\ & (\led_flash_cnt[3187][0]~q\ $ (VCC))) # (!\led_flash_cnt[3187][1]~q\ & (\led_flash_cnt[3187][0]~q\ & VCC))
-- \led_flash_cnt[3187][1]~71499\ = CARRY((\led_flash_cnt[3187][1]~q\ & \led_flash_cnt[3187][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3187][1]~q\,
	datab => \led_flash_cnt[3187][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3187][1]~71498_combout\,
	cout => \led_flash_cnt[3187][1]~71499\);

-- Location: FF_X42_Y21_N7
\led_flash_cnt[3187][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3187][1]~71498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3187][1]~q\);

-- Location: LCCOMB_X42_Y21_N8
\led_flash_cnt[3187][2]~71500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3187][2]~71500_combout\ = (\led_flash_cnt[3187][2]~q\ & (!\led_flash_cnt[3187][1]~71499\)) # (!\led_flash_cnt[3187][2]~q\ & ((\led_flash_cnt[3187][1]~71499\) # (GND)))
-- \led_flash_cnt[3187][2]~71501\ = CARRY((!\led_flash_cnt[3187][1]~71499\) # (!\led_flash_cnt[3187][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3187][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3187][1]~71499\,
	combout => \led_flash_cnt[3187][2]~71500_combout\,
	cout => \led_flash_cnt[3187][2]~71501\);

-- Location: FF_X42_Y21_N9
\led_flash_cnt[3187][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3187][2]~71500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3187][2]~q\);

-- Location: LCCOMB_X42_Y21_N10
\led_flash_cnt[3187][3]~71502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3187][3]~71502_combout\ = (\led_flash_cnt[3187][3]~q\ & (\led_flash_cnt[3187][2]~71501\ $ (GND))) # (!\led_flash_cnt[3187][3]~q\ & (!\led_flash_cnt[3187][2]~71501\ & VCC))
-- \led_flash_cnt[3187][3]~71503\ = CARRY((\led_flash_cnt[3187][3]~q\ & !\led_flash_cnt[3187][2]~71501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3187][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3187][2]~71501\,
	combout => \led_flash_cnt[3187][3]~71502_combout\,
	cout => \led_flash_cnt[3187][3]~71503\);

-- Location: FF_X42_Y21_N11
\led_flash_cnt[3187][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3187][3]~71502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3187][3]~q\);

-- Location: LCCOMB_X42_Y21_N12
\led_flash_cnt[3187][4]~71504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3187][4]~71504_combout\ = (\led_flash_cnt[3187][4]~q\ & (!\led_flash_cnt[3187][3]~71503\)) # (!\led_flash_cnt[3187][4]~q\ & ((\led_flash_cnt[3187][3]~71503\) # (GND)))
-- \led_flash_cnt[3187][4]~71505\ = CARRY((!\led_flash_cnt[3187][3]~71503\) # (!\led_flash_cnt[3187][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3187][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3187][3]~71503\,
	combout => \led_flash_cnt[3187][4]~71504_combout\,
	cout => \led_flash_cnt[3187][4]~71505\);

-- Location: FF_X42_Y21_N13
\led_flash_cnt[3187][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3187][4]~71504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3187][4]~q\);

-- Location: LCCOMB_X42_Y21_N14
\led_flash_cnt[3187][5]~71506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3187][5]~71506_combout\ = (\led_flash_cnt[3187][5]~q\ & (\led_flash_cnt[3187][4]~71505\ $ (GND))) # (!\led_flash_cnt[3187][5]~q\ & (!\led_flash_cnt[3187][4]~71505\ & VCC))
-- \led_flash_cnt[3187][5]~71507\ = CARRY((\led_flash_cnt[3187][5]~q\ & !\led_flash_cnt[3187][4]~71505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3187][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3187][4]~71505\,
	combout => \led_flash_cnt[3187][5]~71506_combout\,
	cout => \led_flash_cnt[3187][5]~71507\);

-- Location: FF_X42_Y21_N15
\led_flash_cnt[3187][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3187][5]~71506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3187][5]~q\);

-- Location: LCCOMB_X42_Y21_N16
\led_flash_cnt[3187][6]~71508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3187][6]~71508_combout\ = (\led_flash_cnt[3187][6]~q\ & (!\led_flash_cnt[3187][5]~71507\)) # (!\led_flash_cnt[3187][6]~q\ & ((\led_flash_cnt[3187][5]~71507\) # (GND)))
-- \led_flash_cnt[3187][6]~71509\ = CARRY((!\led_flash_cnt[3187][5]~71507\) # (!\led_flash_cnt[3187][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3187][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3187][5]~71507\,
	combout => \led_flash_cnt[3187][6]~71508_combout\,
	cout => \led_flash_cnt[3187][6]~71509\);

-- Location: FF_X42_Y21_N17
\led_flash_cnt[3187][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3187][6]~71508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3187][6]~q\);

-- Location: LCCOMB_X42_Y21_N30
\WideAnd3187~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3187~1_combout\ = (\led_flash_cnt[3187][5]~q\ & \led_flash_cnt[3187][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3187][5]~q\,
	datad => \led_flash_cnt[3187][6]~q\,
	combout => \WideAnd3187~1_combout\);

-- Location: LCCOMB_X42_Y21_N18
\led_flash_cnt[3187][7]~71510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3187][7]~71510_combout\ = \led_flash_cnt[3187][7]~q\ $ (!\led_flash_cnt[3187][6]~71509\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3187][7]~q\,
	cin => \led_flash_cnt[3187][6]~71509\,
	combout => \led_flash_cnt[3187][7]~71510_combout\);

-- Location: FF_X42_Y21_N19
\led_flash_cnt[3187][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3187][7]~71510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3187][7]~q\);

-- Location: LCCOMB_X42_Y21_N24
\WideAnd3187~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3187~0_combout\ = (\led_flash_cnt[3187][1]~q\ & (\led_flash_cnt[3187][3]~q\ & (\led_flash_cnt[3187][2]~q\ & \led_flash_cnt[3187][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3187][1]~q\,
	datab => \led_flash_cnt[3187][3]~q\,
	datac => \led_flash_cnt[3187][2]~q\,
	datad => \led_flash_cnt[3187][4]~q\,
	combout => \WideAnd3187~0_combout\);

-- Location: LCCOMB_X42_Y21_N0
WideAnd3187 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3187~combout\ = (\WideAnd3187~1_combout\ & (\led_flash_cnt[3187][0]~q\ & (\led_flash_cnt[3187][7]~q\ & \WideAnd3187~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3187~1_combout\,
	datab => \led_flash_cnt[3187][0]~q\,
	datac => \led_flash_cnt[3187][7]~q\,
	datad => \WideAnd3187~0_combout\,
	combout => \WideAnd3187~combout\);

-- Location: FF_X42_Y21_N1
\led_flash_cnt_ands[3187]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3187~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3187));

-- Location: LCCOMB_X45_Y21_N2
\WideAnd4238~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4238~0_combout\ = (led_flash_cnt_ands(3186) & (led_flash_cnt_ands(3184) & (led_flash_cnt_ands(3185) & led_flash_cnt_ands(3187))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3186),
	datab => led_flash_cnt_ands(3184),
	datac => led_flash_cnt_ands(3185),
	datad => led_flash_cnt_ands(3187),
	combout => \WideAnd4238~0_combout\);

-- Location: LCCOMB_X45_Y21_N14
WideAnd4238 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4238~combout\ = (led_flash_cnt_ands(3191) & (\WideAnd4238~1_combout\ & (led_flash_cnt_ands(3190) & \WideAnd4238~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3191),
	datab => \WideAnd4238~1_combout\,
	datac => led_flash_cnt_ands(3190),
	datad => \WideAnd4238~0_combout\,
	combout => \WideAnd4238~combout\);

-- Location: FF_X45_Y21_N15
\led_flash_cnt_ands_1[398]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4238~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(398));

-- Location: LCCOMB_X62_Y28_N28
\led_flash_cnt[3198][0]~83838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3198][0]~83838_combout\ = !\led_flash_cnt[3198][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3198][0]~q\,
	combout => \led_flash_cnt[3198][0]~83838_combout\);

-- Location: FF_X62_Y28_N29
\led_flash_cnt[3198][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3198][0]~83838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3198][0]~q\);

-- Location: LCCOMB_X63_Y28_N0
\led_flash_cnt[3198][1]~71652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3198][1]~71652_combout\ = (\led_flash_cnt[3198][0]~q\ & (\led_flash_cnt[3198][1]~q\ $ (VCC))) # (!\led_flash_cnt[3198][0]~q\ & (\led_flash_cnt[3198][1]~q\ & VCC))
-- \led_flash_cnt[3198][1]~71653\ = CARRY((\led_flash_cnt[3198][0]~q\ & \led_flash_cnt[3198][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3198][0]~q\,
	datab => \led_flash_cnt[3198][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3198][1]~71652_combout\,
	cout => \led_flash_cnt[3198][1]~71653\);

-- Location: FF_X63_Y28_N1
\led_flash_cnt[3198][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3198][1]~71652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3198][1]~q\);

-- Location: LCCOMB_X63_Y28_N2
\led_flash_cnt[3198][2]~71654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3198][2]~71654_combout\ = (\led_flash_cnt[3198][2]~q\ & (!\led_flash_cnt[3198][1]~71653\)) # (!\led_flash_cnt[3198][2]~q\ & ((\led_flash_cnt[3198][1]~71653\) # (GND)))
-- \led_flash_cnt[3198][2]~71655\ = CARRY((!\led_flash_cnt[3198][1]~71653\) # (!\led_flash_cnt[3198][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3198][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3198][1]~71653\,
	combout => \led_flash_cnt[3198][2]~71654_combout\,
	cout => \led_flash_cnt[3198][2]~71655\);

-- Location: FF_X63_Y28_N3
\led_flash_cnt[3198][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3198][2]~71654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3198][2]~q\);

-- Location: LCCOMB_X63_Y28_N4
\led_flash_cnt[3198][3]~71656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3198][3]~71656_combout\ = (\led_flash_cnt[3198][3]~q\ & (\led_flash_cnt[3198][2]~71655\ $ (GND))) # (!\led_flash_cnt[3198][3]~q\ & (!\led_flash_cnt[3198][2]~71655\ & VCC))
-- \led_flash_cnt[3198][3]~71657\ = CARRY((\led_flash_cnt[3198][3]~q\ & !\led_flash_cnt[3198][2]~71655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3198][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3198][2]~71655\,
	combout => \led_flash_cnt[3198][3]~71656_combout\,
	cout => \led_flash_cnt[3198][3]~71657\);

-- Location: FF_X63_Y28_N5
\led_flash_cnt[3198][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3198][3]~71656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3198][3]~q\);

-- Location: LCCOMB_X63_Y28_N6
\led_flash_cnt[3198][4]~71658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3198][4]~71658_combout\ = (\led_flash_cnt[3198][4]~q\ & (!\led_flash_cnt[3198][3]~71657\)) # (!\led_flash_cnt[3198][4]~q\ & ((\led_flash_cnt[3198][3]~71657\) # (GND)))
-- \led_flash_cnt[3198][4]~71659\ = CARRY((!\led_flash_cnt[3198][3]~71657\) # (!\led_flash_cnt[3198][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3198][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3198][3]~71657\,
	combout => \led_flash_cnt[3198][4]~71658_combout\,
	cout => \led_flash_cnt[3198][4]~71659\);

-- Location: FF_X63_Y28_N7
\led_flash_cnt[3198][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3198][4]~71658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3198][4]~q\);

-- Location: LCCOMB_X63_Y28_N8
\led_flash_cnt[3198][5]~71660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3198][5]~71660_combout\ = (\led_flash_cnt[3198][5]~q\ & (\led_flash_cnt[3198][4]~71659\ $ (GND))) # (!\led_flash_cnt[3198][5]~q\ & (!\led_flash_cnt[3198][4]~71659\ & VCC))
-- \led_flash_cnt[3198][5]~71661\ = CARRY((\led_flash_cnt[3198][5]~q\ & !\led_flash_cnt[3198][4]~71659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3198][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3198][4]~71659\,
	combout => \led_flash_cnt[3198][5]~71660_combout\,
	cout => \led_flash_cnt[3198][5]~71661\);

-- Location: FF_X63_Y28_N9
\led_flash_cnt[3198][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3198][5]~71660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3198][5]~q\);

-- Location: LCCOMB_X63_Y28_N10
\led_flash_cnt[3198][6]~71662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3198][6]~71662_combout\ = (\led_flash_cnt[3198][6]~q\ & (!\led_flash_cnt[3198][5]~71661\)) # (!\led_flash_cnt[3198][6]~q\ & ((\led_flash_cnt[3198][5]~71661\) # (GND)))
-- \led_flash_cnt[3198][6]~71663\ = CARRY((!\led_flash_cnt[3198][5]~71661\) # (!\led_flash_cnt[3198][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3198][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3198][5]~71661\,
	combout => \led_flash_cnt[3198][6]~71662_combout\,
	cout => \led_flash_cnt[3198][6]~71663\);

-- Location: FF_X63_Y28_N11
\led_flash_cnt[3198][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3198][6]~71662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3198][6]~q\);

-- Location: LCCOMB_X62_Y28_N12
\WideAnd3198~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3198~1_combout\ = (\led_flash_cnt[3198][5]~q\ & \led_flash_cnt[3198][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3198][5]~q\,
	datac => \led_flash_cnt[3198][6]~q\,
	combout => \WideAnd3198~1_combout\);

-- Location: LCCOMB_X63_Y28_N12
\led_flash_cnt[3198][7]~71664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3198][7]~71664_combout\ = \led_flash_cnt[3198][6]~71663\ $ (!\led_flash_cnt[3198][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3198][7]~q\,
	cin => \led_flash_cnt[3198][6]~71663\,
	combout => \led_flash_cnt[3198][7]~71664_combout\);

-- Location: FF_X63_Y28_N13
\led_flash_cnt[3198][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3198][7]~71664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3198][7]~q\);

-- Location: LCCOMB_X63_Y28_N28
\WideAnd3198~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3198~0_combout\ = (\led_flash_cnt[3198][4]~q\ & (\led_flash_cnt[3198][1]~q\ & (\led_flash_cnt[3198][3]~q\ & \led_flash_cnt[3198][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3198][4]~q\,
	datab => \led_flash_cnt[3198][1]~q\,
	datac => \led_flash_cnt[3198][3]~q\,
	datad => \led_flash_cnt[3198][2]~q\,
	combout => \WideAnd3198~0_combout\);

-- Location: LCCOMB_X62_Y28_N2
WideAnd3198 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3198~combout\ = (\WideAnd3198~1_combout\ & (\led_flash_cnt[3198][0]~q\ & (\led_flash_cnt[3198][7]~q\ & \WideAnd3198~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3198~1_combout\,
	datab => \led_flash_cnt[3198][0]~q\,
	datac => \led_flash_cnt[3198][7]~q\,
	datad => \WideAnd3198~0_combout\,
	combout => \WideAnd3198~combout\);

-- Location: FF_X62_Y28_N3
\led_flash_cnt_ands[3198]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3198~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3198));

-- Location: LCCOMB_X62_Y28_N30
\led_flash_cnt[3196][0]~83836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3196][0]~83836_combout\ = !\led_flash_cnt[3196][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3196][0]~q\,
	combout => \led_flash_cnt[3196][0]~83836_combout\);

-- Location: FF_X62_Y28_N31
\led_flash_cnt[3196][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3196][0]~83836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3196][0]~q\);

-- Location: LCCOMB_X62_Y28_N14
\led_flash_cnt[3196][1]~71624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3196][1]~71624_combout\ = (\led_flash_cnt[3196][0]~q\ & (\led_flash_cnt[3196][1]~q\ $ (VCC))) # (!\led_flash_cnt[3196][0]~q\ & (\led_flash_cnt[3196][1]~q\ & VCC))
-- \led_flash_cnt[3196][1]~71625\ = CARRY((\led_flash_cnt[3196][0]~q\ & \led_flash_cnt[3196][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3196][0]~q\,
	datab => \led_flash_cnt[3196][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3196][1]~71624_combout\,
	cout => \led_flash_cnt[3196][1]~71625\);

-- Location: FF_X62_Y28_N15
\led_flash_cnt[3196][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3196][1]~71624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3196][1]~q\);

-- Location: LCCOMB_X62_Y28_N16
\led_flash_cnt[3196][2]~71626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3196][2]~71626_combout\ = (\led_flash_cnt[3196][2]~q\ & (!\led_flash_cnt[3196][1]~71625\)) # (!\led_flash_cnt[3196][2]~q\ & ((\led_flash_cnt[3196][1]~71625\) # (GND)))
-- \led_flash_cnt[3196][2]~71627\ = CARRY((!\led_flash_cnt[3196][1]~71625\) # (!\led_flash_cnt[3196][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3196][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3196][1]~71625\,
	combout => \led_flash_cnt[3196][2]~71626_combout\,
	cout => \led_flash_cnt[3196][2]~71627\);

-- Location: FF_X62_Y28_N17
\led_flash_cnt[3196][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3196][2]~71626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3196][2]~q\);

-- Location: LCCOMB_X62_Y28_N18
\led_flash_cnt[3196][3]~71628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3196][3]~71628_combout\ = (\led_flash_cnt[3196][3]~q\ & (\led_flash_cnt[3196][2]~71627\ $ (GND))) # (!\led_flash_cnt[3196][3]~q\ & (!\led_flash_cnt[3196][2]~71627\ & VCC))
-- \led_flash_cnt[3196][3]~71629\ = CARRY((\led_flash_cnt[3196][3]~q\ & !\led_flash_cnt[3196][2]~71627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3196][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3196][2]~71627\,
	combout => \led_flash_cnt[3196][3]~71628_combout\,
	cout => \led_flash_cnt[3196][3]~71629\);

-- Location: FF_X62_Y28_N19
\led_flash_cnt[3196][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3196][3]~71628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3196][3]~q\);

-- Location: LCCOMB_X62_Y28_N20
\led_flash_cnt[3196][4]~71630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3196][4]~71630_combout\ = (\led_flash_cnt[3196][4]~q\ & (!\led_flash_cnt[3196][3]~71629\)) # (!\led_flash_cnt[3196][4]~q\ & ((\led_flash_cnt[3196][3]~71629\) # (GND)))
-- \led_flash_cnt[3196][4]~71631\ = CARRY((!\led_flash_cnt[3196][3]~71629\) # (!\led_flash_cnt[3196][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3196][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3196][3]~71629\,
	combout => \led_flash_cnt[3196][4]~71630_combout\,
	cout => \led_flash_cnt[3196][4]~71631\);

-- Location: FF_X62_Y28_N21
\led_flash_cnt[3196][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3196][4]~71630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3196][4]~q\);

-- Location: LCCOMB_X62_Y28_N4
\WideAnd3196~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3196~0_combout\ = (\led_flash_cnt[3196][4]~q\ & (\led_flash_cnt[3196][2]~q\ & (\led_flash_cnt[3196][1]~q\ & \led_flash_cnt[3196][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3196][4]~q\,
	datab => \led_flash_cnt[3196][2]~q\,
	datac => \led_flash_cnt[3196][1]~q\,
	datad => \led_flash_cnt[3196][3]~q\,
	combout => \WideAnd3196~0_combout\);

-- Location: LCCOMB_X62_Y28_N22
\led_flash_cnt[3196][5]~71632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3196][5]~71632_combout\ = (\led_flash_cnt[3196][5]~q\ & (\led_flash_cnt[3196][4]~71631\ $ (GND))) # (!\led_flash_cnt[3196][5]~q\ & (!\led_flash_cnt[3196][4]~71631\ & VCC))
-- \led_flash_cnt[3196][5]~71633\ = CARRY((\led_flash_cnt[3196][5]~q\ & !\led_flash_cnt[3196][4]~71631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3196][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3196][4]~71631\,
	combout => \led_flash_cnt[3196][5]~71632_combout\,
	cout => \led_flash_cnt[3196][5]~71633\);

-- Location: FF_X62_Y28_N23
\led_flash_cnt[3196][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3196][5]~71632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3196][5]~q\);

-- Location: LCCOMB_X62_Y28_N24
\led_flash_cnt[3196][6]~71634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3196][6]~71634_combout\ = (\led_flash_cnt[3196][6]~q\ & (!\led_flash_cnt[3196][5]~71633\)) # (!\led_flash_cnt[3196][6]~q\ & ((\led_flash_cnt[3196][5]~71633\) # (GND)))
-- \led_flash_cnt[3196][6]~71635\ = CARRY((!\led_flash_cnt[3196][5]~71633\) # (!\led_flash_cnt[3196][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3196][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3196][5]~71633\,
	combout => \led_flash_cnt[3196][6]~71634_combout\,
	cout => \led_flash_cnt[3196][6]~71635\);

-- Location: FF_X62_Y28_N25
\led_flash_cnt[3196][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3196][6]~71634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3196][6]~q\);

-- Location: LCCOMB_X62_Y28_N26
\led_flash_cnt[3196][7]~71636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3196][7]~71636_combout\ = \led_flash_cnt[3196][7]~q\ $ (!\led_flash_cnt[3196][6]~71635\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3196][7]~q\,
	cin => \led_flash_cnt[3196][6]~71635\,
	combout => \led_flash_cnt[3196][7]~71636_combout\);

-- Location: FF_X62_Y28_N27
\led_flash_cnt[3196][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3196][7]~71636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3196][7]~q\);

-- Location: LCCOMB_X62_Y28_N10
\WideAnd3196~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3196~1_combout\ = (\led_flash_cnt[3196][5]~q\ & \led_flash_cnt[3196][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3196][5]~q\,
	datad => \led_flash_cnt[3196][6]~q\,
	combout => \WideAnd3196~1_combout\);

-- Location: LCCOMB_X62_Y28_N8
WideAnd3196 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3196~combout\ = (\led_flash_cnt[3196][0]~q\ & (\WideAnd3196~0_combout\ & (\led_flash_cnt[3196][7]~q\ & \WideAnd3196~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3196][0]~q\,
	datab => \WideAnd3196~0_combout\,
	datac => \led_flash_cnt[3196][7]~q\,
	datad => \WideAnd3196~1_combout\,
	combout => \WideAnd3196~combout\);

-- Location: FF_X62_Y28_N9
\led_flash_cnt_ands[3196]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3196~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3196));

-- Location: LCCOMB_X57_Y28_N20
\led_flash_cnt[3197][0]~83837\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3197][0]~83837_combout\ = !\led_flash_cnt[3197][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3197][0]~q\,
	combout => \led_flash_cnt[3197][0]~83837_combout\);

-- Location: FF_X57_Y28_N21
\led_flash_cnt[3197][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3197][0]~83837_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3197][0]~q\);

-- Location: LCCOMB_X57_Y28_N6
\led_flash_cnt[3197][1]~71638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3197][1]~71638_combout\ = (\led_flash_cnt[3197][1]~q\ & (\led_flash_cnt[3197][0]~q\ $ (VCC))) # (!\led_flash_cnt[3197][1]~q\ & (\led_flash_cnt[3197][0]~q\ & VCC))
-- \led_flash_cnt[3197][1]~71639\ = CARRY((\led_flash_cnt[3197][1]~q\ & \led_flash_cnt[3197][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3197][1]~q\,
	datab => \led_flash_cnt[3197][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3197][1]~71638_combout\,
	cout => \led_flash_cnt[3197][1]~71639\);

-- Location: FF_X57_Y28_N7
\led_flash_cnt[3197][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3197][1]~71638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3197][1]~q\);

-- Location: LCCOMB_X57_Y28_N8
\led_flash_cnt[3197][2]~71640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3197][2]~71640_combout\ = (\led_flash_cnt[3197][2]~q\ & (!\led_flash_cnt[3197][1]~71639\)) # (!\led_flash_cnt[3197][2]~q\ & ((\led_flash_cnt[3197][1]~71639\) # (GND)))
-- \led_flash_cnt[3197][2]~71641\ = CARRY((!\led_flash_cnt[3197][1]~71639\) # (!\led_flash_cnt[3197][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3197][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3197][1]~71639\,
	combout => \led_flash_cnt[3197][2]~71640_combout\,
	cout => \led_flash_cnt[3197][2]~71641\);

-- Location: FF_X57_Y28_N9
\led_flash_cnt[3197][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3197][2]~71640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3197][2]~q\);

-- Location: LCCOMB_X57_Y28_N10
\led_flash_cnt[3197][3]~71642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3197][3]~71642_combout\ = (\led_flash_cnt[3197][3]~q\ & (\led_flash_cnt[3197][2]~71641\ $ (GND))) # (!\led_flash_cnt[3197][3]~q\ & (!\led_flash_cnt[3197][2]~71641\ & VCC))
-- \led_flash_cnt[3197][3]~71643\ = CARRY((\led_flash_cnt[3197][3]~q\ & !\led_flash_cnt[3197][2]~71641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3197][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3197][2]~71641\,
	combout => \led_flash_cnt[3197][3]~71642_combout\,
	cout => \led_flash_cnt[3197][3]~71643\);

-- Location: FF_X57_Y28_N11
\led_flash_cnt[3197][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3197][3]~71642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3197][3]~q\);

-- Location: LCCOMB_X57_Y28_N12
\led_flash_cnt[3197][4]~71644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3197][4]~71644_combout\ = (\led_flash_cnt[3197][4]~q\ & (!\led_flash_cnt[3197][3]~71643\)) # (!\led_flash_cnt[3197][4]~q\ & ((\led_flash_cnt[3197][3]~71643\) # (GND)))
-- \led_flash_cnt[3197][4]~71645\ = CARRY((!\led_flash_cnt[3197][3]~71643\) # (!\led_flash_cnt[3197][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3197][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3197][3]~71643\,
	combout => \led_flash_cnt[3197][4]~71644_combout\,
	cout => \led_flash_cnt[3197][4]~71645\);

-- Location: FF_X57_Y28_N13
\led_flash_cnt[3197][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3197][4]~71644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3197][4]~q\);

-- Location: LCCOMB_X57_Y28_N26
\WideAnd3197~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3197~0_combout\ = (\led_flash_cnt[3197][4]~q\ & (\led_flash_cnt[3197][1]~q\ & (\led_flash_cnt[3197][2]~q\ & \led_flash_cnt[3197][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3197][4]~q\,
	datab => \led_flash_cnt[3197][1]~q\,
	datac => \led_flash_cnt[3197][2]~q\,
	datad => \led_flash_cnt[3197][3]~q\,
	combout => \WideAnd3197~0_combout\);

-- Location: LCCOMB_X57_Y28_N14
\led_flash_cnt[3197][5]~71646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3197][5]~71646_combout\ = (\led_flash_cnt[3197][5]~q\ & (\led_flash_cnt[3197][4]~71645\ $ (GND))) # (!\led_flash_cnt[3197][5]~q\ & (!\led_flash_cnt[3197][4]~71645\ & VCC))
-- \led_flash_cnt[3197][5]~71647\ = CARRY((\led_flash_cnt[3197][5]~q\ & !\led_flash_cnt[3197][4]~71645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3197][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3197][4]~71645\,
	combout => \led_flash_cnt[3197][5]~71646_combout\,
	cout => \led_flash_cnt[3197][5]~71647\);

-- Location: FF_X57_Y28_N15
\led_flash_cnt[3197][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3197][5]~71646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3197][5]~q\);

-- Location: LCCOMB_X57_Y28_N16
\led_flash_cnt[3197][6]~71648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3197][6]~71648_combout\ = (\led_flash_cnt[3197][6]~q\ & (!\led_flash_cnt[3197][5]~71647\)) # (!\led_flash_cnt[3197][6]~q\ & ((\led_flash_cnt[3197][5]~71647\) # (GND)))
-- \led_flash_cnt[3197][6]~71649\ = CARRY((!\led_flash_cnt[3197][5]~71647\) # (!\led_flash_cnt[3197][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3197][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3197][5]~71647\,
	combout => \led_flash_cnt[3197][6]~71648_combout\,
	cout => \led_flash_cnt[3197][6]~71649\);

-- Location: FF_X57_Y28_N17
\led_flash_cnt[3197][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3197][6]~71648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3197][6]~q\);

-- Location: LCCOMB_X57_Y28_N18
\led_flash_cnt[3197][7]~71650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3197][7]~71650_combout\ = \led_flash_cnt[3197][6]~71649\ $ (!\led_flash_cnt[3197][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3197][7]~q\,
	cin => \led_flash_cnt[3197][6]~71649\,
	combout => \led_flash_cnt[3197][7]~71650_combout\);

-- Location: FF_X57_Y28_N19
\led_flash_cnt[3197][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3197][7]~71650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3197][7]~q\);

-- Location: LCCOMB_X57_Y28_N22
\WideAnd3197~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3197~1_combout\ = (\led_flash_cnt[3197][5]~q\ & \led_flash_cnt[3197][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3197][5]~q\,
	datad => \led_flash_cnt[3197][6]~q\,
	combout => \WideAnd3197~1_combout\);

-- Location: LCCOMB_X57_Y28_N24
WideAnd3197 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3197~combout\ = (\WideAnd3197~0_combout\ & (\led_flash_cnt[3197][7]~q\ & (\WideAnd3197~1_combout\ & \led_flash_cnt[3197][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3197~0_combout\,
	datab => \led_flash_cnt[3197][7]~q\,
	datac => \WideAnd3197~1_combout\,
	datad => \led_flash_cnt[3197][0]~q\,
	combout => \WideAnd3197~combout\);

-- Location: FF_X57_Y28_N25
\led_flash_cnt_ands[3197]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3197~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3197));

-- Location: LCCOMB_X61_Y28_N0
\WideAnd4239~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4239~1_combout\ = (led_flash_cnt_ands(3196) & led_flash_cnt_ands(3197))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3196),
	datac => led_flash_cnt_ands(3197),
	combout => \WideAnd4239~1_combout\);

-- Location: LCCOMB_X46_Y29_N0
\led_flash_cnt[3194][0]~83834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3194][0]~83834_combout\ = !\led_flash_cnt[3194][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3194][0]~q\,
	combout => \led_flash_cnt[3194][0]~83834_combout\);

-- Location: FF_X46_Y29_N1
\led_flash_cnt[3194][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3194][0]~83834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3194][0]~q\);

-- Location: LCCOMB_X46_Y30_N16
\led_flash_cnt[3194][1]~71596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3194][1]~71596_combout\ = (\led_flash_cnt[3194][1]~q\ & (\led_flash_cnt[3194][0]~q\ $ (VCC))) # (!\led_flash_cnt[3194][1]~q\ & (\led_flash_cnt[3194][0]~q\ & VCC))
-- \led_flash_cnt[3194][1]~71597\ = CARRY((\led_flash_cnt[3194][1]~q\ & \led_flash_cnt[3194][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3194][1]~q\,
	datab => \led_flash_cnt[3194][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3194][1]~71596_combout\,
	cout => \led_flash_cnt[3194][1]~71597\);

-- Location: FF_X46_Y30_N17
\led_flash_cnt[3194][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3194][1]~71596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3194][1]~q\);

-- Location: LCCOMB_X46_Y30_N18
\led_flash_cnt[3194][2]~71598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3194][2]~71598_combout\ = (\led_flash_cnt[3194][2]~q\ & (!\led_flash_cnt[3194][1]~71597\)) # (!\led_flash_cnt[3194][2]~q\ & ((\led_flash_cnt[3194][1]~71597\) # (GND)))
-- \led_flash_cnt[3194][2]~71599\ = CARRY((!\led_flash_cnt[3194][1]~71597\) # (!\led_flash_cnt[3194][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3194][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3194][1]~71597\,
	combout => \led_flash_cnt[3194][2]~71598_combout\,
	cout => \led_flash_cnt[3194][2]~71599\);

-- Location: FF_X46_Y30_N19
\led_flash_cnt[3194][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3194][2]~71598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3194][2]~q\);

-- Location: LCCOMB_X46_Y30_N20
\led_flash_cnt[3194][3]~71600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3194][3]~71600_combout\ = (\led_flash_cnt[3194][3]~q\ & (\led_flash_cnt[3194][2]~71599\ $ (GND))) # (!\led_flash_cnt[3194][3]~q\ & (!\led_flash_cnt[3194][2]~71599\ & VCC))
-- \led_flash_cnt[3194][3]~71601\ = CARRY((\led_flash_cnt[3194][3]~q\ & !\led_flash_cnt[3194][2]~71599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3194][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3194][2]~71599\,
	combout => \led_flash_cnt[3194][3]~71600_combout\,
	cout => \led_flash_cnt[3194][3]~71601\);

-- Location: FF_X46_Y30_N21
\led_flash_cnt[3194][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3194][3]~71600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3194][3]~q\);

-- Location: LCCOMB_X46_Y30_N22
\led_flash_cnt[3194][4]~71602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3194][4]~71602_combout\ = (\led_flash_cnt[3194][4]~q\ & (!\led_flash_cnt[3194][3]~71601\)) # (!\led_flash_cnt[3194][4]~q\ & ((\led_flash_cnt[3194][3]~71601\) # (GND)))
-- \led_flash_cnt[3194][4]~71603\ = CARRY((!\led_flash_cnt[3194][3]~71601\) # (!\led_flash_cnt[3194][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3194][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3194][3]~71601\,
	combout => \led_flash_cnt[3194][4]~71602_combout\,
	cout => \led_flash_cnt[3194][4]~71603\);

-- Location: FF_X46_Y30_N23
\led_flash_cnt[3194][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3194][4]~71602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3194][4]~q\);

-- Location: LCCOMB_X45_Y30_N14
\WideAnd3194~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3194~0_combout\ = (\led_flash_cnt[3194][1]~q\ & (\led_flash_cnt[3194][4]~q\ & (\led_flash_cnt[3194][3]~q\ & \led_flash_cnt[3194][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3194][1]~q\,
	datab => \led_flash_cnt[3194][4]~q\,
	datac => \led_flash_cnt[3194][3]~q\,
	datad => \led_flash_cnt[3194][2]~q\,
	combout => \WideAnd3194~0_combout\);

-- Location: LCCOMB_X46_Y30_N24
\led_flash_cnt[3194][5]~71604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3194][5]~71604_combout\ = (\led_flash_cnt[3194][5]~q\ & (\led_flash_cnt[3194][4]~71603\ $ (GND))) # (!\led_flash_cnt[3194][5]~q\ & (!\led_flash_cnt[3194][4]~71603\ & VCC))
-- \led_flash_cnt[3194][5]~71605\ = CARRY((\led_flash_cnt[3194][5]~q\ & !\led_flash_cnt[3194][4]~71603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3194][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3194][4]~71603\,
	combout => \led_flash_cnt[3194][5]~71604_combout\,
	cout => \led_flash_cnt[3194][5]~71605\);

-- Location: FF_X46_Y30_N25
\led_flash_cnt[3194][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3194][5]~71604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3194][5]~q\);

-- Location: LCCOMB_X46_Y30_N26
\led_flash_cnt[3194][6]~71606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3194][6]~71606_combout\ = (\led_flash_cnt[3194][6]~q\ & (!\led_flash_cnt[3194][5]~71605\)) # (!\led_flash_cnt[3194][6]~q\ & ((\led_flash_cnt[3194][5]~71605\) # (GND)))
-- \led_flash_cnt[3194][6]~71607\ = CARRY((!\led_flash_cnt[3194][5]~71605\) # (!\led_flash_cnt[3194][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3194][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3194][5]~71605\,
	combout => \led_flash_cnt[3194][6]~71606_combout\,
	cout => \led_flash_cnt[3194][6]~71607\);

-- Location: FF_X46_Y30_N27
\led_flash_cnt[3194][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3194][6]~71606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3194][6]~q\);

-- Location: LCCOMB_X45_Y30_N4
\WideAnd3194~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3194~1_combout\ = (\led_flash_cnt[3194][6]~q\ & \led_flash_cnt[3194][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3194][6]~q\,
	datad => \led_flash_cnt[3194][5]~q\,
	combout => \WideAnd3194~1_combout\);

-- Location: LCCOMB_X46_Y30_N28
\led_flash_cnt[3194][7]~71608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3194][7]~71608_combout\ = \led_flash_cnt[3194][6]~71607\ $ (!\led_flash_cnt[3194][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3194][7]~q\,
	cin => \led_flash_cnt[3194][6]~71607\,
	combout => \led_flash_cnt[3194][7]~71608_combout\);

-- Location: FF_X46_Y30_N29
\led_flash_cnt[3194][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3194][7]~71608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3194][7]~q\);

-- Location: LCCOMB_X46_Y30_N0
WideAnd3194 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3194~combout\ = (\WideAnd3194~0_combout\ & (\led_flash_cnt[3194][0]~q\ & (\WideAnd3194~1_combout\ & \led_flash_cnt[3194][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3194~0_combout\,
	datab => \led_flash_cnt[3194][0]~q\,
	datac => \WideAnd3194~1_combout\,
	datad => \led_flash_cnt[3194][7]~q\,
	combout => \WideAnd3194~combout\);

-- Location: FF_X46_Y30_N1
\led_flash_cnt_ands[3194]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3194~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3194));

-- Location: LCCOMB_X49_Y31_N30
\led_flash_cnt[3195][0]~83835\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3195][0]~83835_combout\ = !\led_flash_cnt[3195][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3195][0]~q\,
	combout => \led_flash_cnt[3195][0]~83835_combout\);

-- Location: FF_X49_Y31_N31
\led_flash_cnt[3195][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3195][0]~83835_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3195][0]~q\);

-- Location: LCCOMB_X49_Y30_N16
\led_flash_cnt[3195][1]~71610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3195][1]~71610_combout\ = (\led_flash_cnt[3195][0]~q\ & (\led_flash_cnt[3195][1]~q\ $ (VCC))) # (!\led_flash_cnt[3195][0]~q\ & (\led_flash_cnt[3195][1]~q\ & VCC))
-- \led_flash_cnt[3195][1]~71611\ = CARRY((\led_flash_cnt[3195][0]~q\ & \led_flash_cnt[3195][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3195][0]~q\,
	datab => \led_flash_cnt[3195][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3195][1]~71610_combout\,
	cout => \led_flash_cnt[3195][1]~71611\);

-- Location: FF_X49_Y30_N17
\led_flash_cnt[3195][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3195][1]~71610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3195][1]~q\);

-- Location: LCCOMB_X49_Y30_N18
\led_flash_cnt[3195][2]~71612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3195][2]~71612_combout\ = (\led_flash_cnt[3195][2]~q\ & (!\led_flash_cnt[3195][1]~71611\)) # (!\led_flash_cnt[3195][2]~q\ & ((\led_flash_cnt[3195][1]~71611\) # (GND)))
-- \led_flash_cnt[3195][2]~71613\ = CARRY((!\led_flash_cnt[3195][1]~71611\) # (!\led_flash_cnt[3195][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3195][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3195][1]~71611\,
	combout => \led_flash_cnt[3195][2]~71612_combout\,
	cout => \led_flash_cnt[3195][2]~71613\);

-- Location: FF_X49_Y30_N19
\led_flash_cnt[3195][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3195][2]~71612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3195][2]~q\);

-- Location: LCCOMB_X49_Y30_N20
\led_flash_cnt[3195][3]~71614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3195][3]~71614_combout\ = (\led_flash_cnt[3195][3]~q\ & (\led_flash_cnt[3195][2]~71613\ $ (GND))) # (!\led_flash_cnt[3195][3]~q\ & (!\led_flash_cnt[3195][2]~71613\ & VCC))
-- \led_flash_cnt[3195][3]~71615\ = CARRY((\led_flash_cnt[3195][3]~q\ & !\led_flash_cnt[3195][2]~71613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3195][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3195][2]~71613\,
	combout => \led_flash_cnt[3195][3]~71614_combout\,
	cout => \led_flash_cnt[3195][3]~71615\);

-- Location: FF_X49_Y30_N21
\led_flash_cnt[3195][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3195][3]~71614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3195][3]~q\);

-- Location: LCCOMB_X49_Y30_N22
\led_flash_cnt[3195][4]~71616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3195][4]~71616_combout\ = (\led_flash_cnt[3195][4]~q\ & (!\led_flash_cnt[3195][3]~71615\)) # (!\led_flash_cnt[3195][4]~q\ & ((\led_flash_cnt[3195][3]~71615\) # (GND)))
-- \led_flash_cnt[3195][4]~71617\ = CARRY((!\led_flash_cnt[3195][3]~71615\) # (!\led_flash_cnt[3195][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3195][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3195][3]~71615\,
	combout => \led_flash_cnt[3195][4]~71616_combout\,
	cout => \led_flash_cnt[3195][4]~71617\);

-- Location: FF_X49_Y30_N23
\led_flash_cnt[3195][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3195][4]~71616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3195][4]~q\);

-- Location: LCCOMB_X49_Y30_N30
\WideAnd3195~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3195~0_combout\ = (\led_flash_cnt[3195][1]~q\ & (\led_flash_cnt[3195][3]~q\ & (\led_flash_cnt[3195][4]~q\ & \led_flash_cnt[3195][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3195][1]~q\,
	datab => \led_flash_cnt[3195][3]~q\,
	datac => \led_flash_cnt[3195][4]~q\,
	datad => \led_flash_cnt[3195][2]~q\,
	combout => \WideAnd3195~0_combout\);

-- Location: LCCOMB_X49_Y30_N24
\led_flash_cnt[3195][5]~71618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3195][5]~71618_combout\ = (\led_flash_cnt[3195][5]~q\ & (\led_flash_cnt[3195][4]~71617\ $ (GND))) # (!\led_flash_cnt[3195][5]~q\ & (!\led_flash_cnt[3195][4]~71617\ & VCC))
-- \led_flash_cnt[3195][5]~71619\ = CARRY((\led_flash_cnt[3195][5]~q\ & !\led_flash_cnt[3195][4]~71617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3195][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3195][4]~71617\,
	combout => \led_flash_cnt[3195][5]~71618_combout\,
	cout => \led_flash_cnt[3195][5]~71619\);

-- Location: FF_X49_Y30_N25
\led_flash_cnt[3195][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3195][5]~71618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3195][5]~q\);

-- Location: LCCOMB_X49_Y30_N26
\led_flash_cnt[3195][6]~71620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3195][6]~71620_combout\ = (\led_flash_cnt[3195][6]~q\ & (!\led_flash_cnt[3195][5]~71619\)) # (!\led_flash_cnt[3195][6]~q\ & ((\led_flash_cnt[3195][5]~71619\) # (GND)))
-- \led_flash_cnt[3195][6]~71621\ = CARRY((!\led_flash_cnt[3195][5]~71619\) # (!\led_flash_cnt[3195][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3195][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3195][5]~71619\,
	combout => \led_flash_cnt[3195][6]~71620_combout\,
	cout => \led_flash_cnt[3195][6]~71621\);

-- Location: FF_X49_Y30_N27
\led_flash_cnt[3195][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3195][6]~71620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3195][6]~q\);

-- Location: LCCOMB_X49_Y30_N28
\led_flash_cnt[3195][7]~71622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3195][7]~71622_combout\ = \led_flash_cnt[3195][6]~71621\ $ (!\led_flash_cnt[3195][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3195][7]~q\,
	cin => \led_flash_cnt[3195][6]~71621\,
	combout => \led_flash_cnt[3195][7]~71622_combout\);

-- Location: FF_X49_Y30_N29
\led_flash_cnt[3195][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3195][7]~71622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3195][7]~q\);

-- Location: LCCOMB_X49_Y31_N28
\WideAnd3195~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3195~1_combout\ = (\led_flash_cnt[3195][5]~q\ & \led_flash_cnt[3195][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3195][5]~q\,
	datad => \led_flash_cnt[3195][6]~q\,
	combout => \WideAnd3195~1_combout\);

-- Location: LCCOMB_X49_Y30_N14
WideAnd3195 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3195~combout\ = (\WideAnd3195~0_combout\ & (\led_flash_cnt[3195][7]~q\ & (\led_flash_cnt[3195][0]~q\ & \WideAnd3195~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3195~0_combout\,
	datab => \led_flash_cnt[3195][7]~q\,
	datac => \led_flash_cnt[3195][0]~q\,
	datad => \WideAnd3195~1_combout\,
	combout => \WideAnd3195~combout\);

-- Location: FF_X49_Y30_N15
\led_flash_cnt_ands[3195]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3195~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3195));

-- Location: LCCOMB_X49_Y33_N18
\led_flash_cnt[3192][0]~83832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3192][0]~83832_combout\ = !\led_flash_cnt[3192][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3192][0]~q\,
	combout => \led_flash_cnt[3192][0]~83832_combout\);

-- Location: FF_X49_Y33_N19
\led_flash_cnt[3192][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3192][0]~83832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3192][0]~q\);

-- Location: LCCOMB_X49_Y33_N0
\led_flash_cnt[3192][1]~71568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3192][1]~71568_combout\ = (\led_flash_cnt[3192][0]~q\ & (\led_flash_cnt[3192][1]~q\ $ (VCC))) # (!\led_flash_cnt[3192][0]~q\ & (\led_flash_cnt[3192][1]~q\ & VCC))
-- \led_flash_cnt[3192][1]~71569\ = CARRY((\led_flash_cnt[3192][0]~q\ & \led_flash_cnt[3192][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3192][0]~q\,
	datab => \led_flash_cnt[3192][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3192][1]~71568_combout\,
	cout => \led_flash_cnt[3192][1]~71569\);

-- Location: FF_X49_Y33_N1
\led_flash_cnt[3192][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3192][1]~71568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3192][1]~q\);

-- Location: LCCOMB_X49_Y33_N2
\led_flash_cnt[3192][2]~71570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3192][2]~71570_combout\ = (\led_flash_cnt[3192][2]~q\ & (!\led_flash_cnt[3192][1]~71569\)) # (!\led_flash_cnt[3192][2]~q\ & ((\led_flash_cnt[3192][1]~71569\) # (GND)))
-- \led_flash_cnt[3192][2]~71571\ = CARRY((!\led_flash_cnt[3192][1]~71569\) # (!\led_flash_cnt[3192][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3192][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3192][1]~71569\,
	combout => \led_flash_cnt[3192][2]~71570_combout\,
	cout => \led_flash_cnt[3192][2]~71571\);

-- Location: FF_X49_Y33_N3
\led_flash_cnt[3192][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3192][2]~71570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3192][2]~q\);

-- Location: LCCOMB_X49_Y33_N4
\led_flash_cnt[3192][3]~71572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3192][3]~71572_combout\ = (\led_flash_cnt[3192][3]~q\ & (\led_flash_cnt[3192][2]~71571\ $ (GND))) # (!\led_flash_cnt[3192][3]~q\ & (!\led_flash_cnt[3192][2]~71571\ & VCC))
-- \led_flash_cnt[3192][3]~71573\ = CARRY((\led_flash_cnt[3192][3]~q\ & !\led_flash_cnt[3192][2]~71571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3192][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3192][2]~71571\,
	combout => \led_flash_cnt[3192][3]~71572_combout\,
	cout => \led_flash_cnt[3192][3]~71573\);

-- Location: FF_X49_Y33_N5
\led_flash_cnt[3192][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3192][3]~71572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3192][3]~q\);

-- Location: LCCOMB_X49_Y33_N6
\led_flash_cnt[3192][4]~71574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3192][4]~71574_combout\ = (\led_flash_cnt[3192][4]~q\ & (!\led_flash_cnt[3192][3]~71573\)) # (!\led_flash_cnt[3192][4]~q\ & ((\led_flash_cnt[3192][3]~71573\) # (GND)))
-- \led_flash_cnt[3192][4]~71575\ = CARRY((!\led_flash_cnt[3192][3]~71573\) # (!\led_flash_cnt[3192][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3192][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3192][3]~71573\,
	combout => \led_flash_cnt[3192][4]~71574_combout\,
	cout => \led_flash_cnt[3192][4]~71575\);

-- Location: FF_X49_Y33_N7
\led_flash_cnt[3192][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3192][4]~71574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3192][4]~q\);

-- Location: LCCOMB_X49_Y33_N8
\led_flash_cnt[3192][5]~71576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3192][5]~71576_combout\ = (\led_flash_cnt[3192][5]~q\ & (\led_flash_cnt[3192][4]~71575\ $ (GND))) # (!\led_flash_cnt[3192][5]~q\ & (!\led_flash_cnt[3192][4]~71575\ & VCC))
-- \led_flash_cnt[3192][5]~71577\ = CARRY((\led_flash_cnt[3192][5]~q\ & !\led_flash_cnt[3192][4]~71575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3192][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3192][4]~71575\,
	combout => \led_flash_cnt[3192][5]~71576_combout\,
	cout => \led_flash_cnt[3192][5]~71577\);

-- Location: FF_X49_Y33_N9
\led_flash_cnt[3192][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3192][5]~71576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3192][5]~q\);

-- Location: LCCOMB_X49_Y33_N10
\led_flash_cnt[3192][6]~71578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3192][6]~71578_combout\ = (\led_flash_cnt[3192][6]~q\ & (!\led_flash_cnt[3192][5]~71577\)) # (!\led_flash_cnt[3192][6]~q\ & ((\led_flash_cnt[3192][5]~71577\) # (GND)))
-- \led_flash_cnt[3192][6]~71579\ = CARRY((!\led_flash_cnt[3192][5]~71577\) # (!\led_flash_cnt[3192][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3192][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3192][5]~71577\,
	combout => \led_flash_cnt[3192][6]~71578_combout\,
	cout => \led_flash_cnt[3192][6]~71579\);

-- Location: FF_X49_Y33_N11
\led_flash_cnt[3192][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3192][6]~71578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3192][6]~q\);

-- Location: LCCOMB_X49_Y33_N12
\led_flash_cnt[3192][7]~71580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3192][7]~71580_combout\ = \led_flash_cnt[3192][6]~71579\ $ (!\led_flash_cnt[3192][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3192][7]~q\,
	cin => \led_flash_cnt[3192][6]~71579\,
	combout => \led_flash_cnt[3192][7]~71580_combout\);

-- Location: FF_X49_Y33_N13
\led_flash_cnt[3192][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3192][7]~71580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3192][7]~q\);

-- Location: LCCOMB_X49_Y33_N16
\WideAnd3192~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3192~1_combout\ = (\led_flash_cnt[3192][5]~q\ & \led_flash_cnt[3192][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3192][5]~q\,
	datad => \led_flash_cnt[3192][6]~q\,
	combout => \WideAnd3192~1_combout\);

-- Location: LCCOMB_X49_Y33_N26
\WideAnd3192~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3192~0_combout\ = (\led_flash_cnt[3192][4]~q\ & (\led_flash_cnt[3192][2]~q\ & (\led_flash_cnt[3192][3]~q\ & \led_flash_cnt[3192][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3192][4]~q\,
	datab => \led_flash_cnt[3192][2]~q\,
	datac => \led_flash_cnt[3192][3]~q\,
	datad => \led_flash_cnt[3192][1]~q\,
	combout => \WideAnd3192~0_combout\);

-- Location: LCCOMB_X49_Y33_N30
WideAnd3192 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3192~combout\ = (\led_flash_cnt[3192][7]~q\ & (\WideAnd3192~1_combout\ & (\WideAnd3192~0_combout\ & \led_flash_cnt[3192][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3192][7]~q\,
	datab => \WideAnd3192~1_combout\,
	datac => \WideAnd3192~0_combout\,
	datad => \led_flash_cnt[3192][0]~q\,
	combout => \WideAnd3192~combout\);

-- Location: FF_X49_Y33_N31
\led_flash_cnt_ands[3192]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3192~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3192));

-- Location: LCCOMB_X49_Y27_N4
\led_flash_cnt[3193][0]~83833\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3193][0]~83833_combout\ = !\led_flash_cnt[3193][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3193][0]~q\,
	combout => \led_flash_cnt[3193][0]~83833_combout\);

-- Location: FF_X49_Y27_N5
\led_flash_cnt[3193][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3193][0]~83833_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3193][0]~q\);

-- Location: LCCOMB_X50_Y27_N16
\led_flash_cnt[3193][1]~71582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3193][1]~71582_combout\ = (\led_flash_cnt[3193][0]~q\ & (\led_flash_cnt[3193][1]~q\ $ (VCC))) # (!\led_flash_cnt[3193][0]~q\ & (\led_flash_cnt[3193][1]~q\ & VCC))
-- \led_flash_cnt[3193][1]~71583\ = CARRY((\led_flash_cnt[3193][0]~q\ & \led_flash_cnt[3193][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3193][0]~q\,
	datab => \led_flash_cnt[3193][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3193][1]~71582_combout\,
	cout => \led_flash_cnt[3193][1]~71583\);

-- Location: FF_X50_Y27_N17
\led_flash_cnt[3193][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3193][1]~71582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3193][1]~q\);

-- Location: LCCOMB_X50_Y27_N18
\led_flash_cnt[3193][2]~71584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3193][2]~71584_combout\ = (\led_flash_cnt[3193][2]~q\ & (!\led_flash_cnt[3193][1]~71583\)) # (!\led_flash_cnt[3193][2]~q\ & ((\led_flash_cnt[3193][1]~71583\) # (GND)))
-- \led_flash_cnt[3193][2]~71585\ = CARRY((!\led_flash_cnt[3193][1]~71583\) # (!\led_flash_cnt[3193][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3193][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3193][1]~71583\,
	combout => \led_flash_cnt[3193][2]~71584_combout\,
	cout => \led_flash_cnt[3193][2]~71585\);

-- Location: FF_X50_Y27_N19
\led_flash_cnt[3193][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3193][2]~71584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3193][2]~q\);

-- Location: LCCOMB_X50_Y27_N20
\led_flash_cnt[3193][3]~71586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3193][3]~71586_combout\ = (\led_flash_cnt[3193][3]~q\ & (\led_flash_cnt[3193][2]~71585\ $ (GND))) # (!\led_flash_cnt[3193][3]~q\ & (!\led_flash_cnt[3193][2]~71585\ & VCC))
-- \led_flash_cnt[3193][3]~71587\ = CARRY((\led_flash_cnt[3193][3]~q\ & !\led_flash_cnt[3193][2]~71585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3193][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3193][2]~71585\,
	combout => \led_flash_cnt[3193][3]~71586_combout\,
	cout => \led_flash_cnt[3193][3]~71587\);

-- Location: FF_X50_Y27_N21
\led_flash_cnt[3193][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3193][3]~71586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3193][3]~q\);

-- Location: LCCOMB_X50_Y27_N22
\led_flash_cnt[3193][4]~71588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3193][4]~71588_combout\ = (\led_flash_cnt[3193][4]~q\ & (!\led_flash_cnt[3193][3]~71587\)) # (!\led_flash_cnt[3193][4]~q\ & ((\led_flash_cnt[3193][3]~71587\) # (GND)))
-- \led_flash_cnt[3193][4]~71589\ = CARRY((!\led_flash_cnt[3193][3]~71587\) # (!\led_flash_cnt[3193][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3193][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3193][3]~71587\,
	combout => \led_flash_cnt[3193][4]~71588_combout\,
	cout => \led_flash_cnt[3193][4]~71589\);

-- Location: FF_X50_Y27_N23
\led_flash_cnt[3193][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3193][4]~71588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3193][4]~q\);

-- Location: LCCOMB_X50_Y27_N30
\WideAnd3193~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3193~0_combout\ = (\led_flash_cnt[3193][3]~q\ & (\led_flash_cnt[3193][2]~q\ & (\led_flash_cnt[3193][4]~q\ & \led_flash_cnt[3193][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3193][3]~q\,
	datab => \led_flash_cnt[3193][2]~q\,
	datac => \led_flash_cnt[3193][4]~q\,
	datad => \led_flash_cnt[3193][1]~q\,
	combout => \WideAnd3193~0_combout\);

-- Location: LCCOMB_X50_Y27_N24
\led_flash_cnt[3193][5]~71590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3193][5]~71590_combout\ = (\led_flash_cnt[3193][5]~q\ & (\led_flash_cnt[3193][4]~71589\ $ (GND))) # (!\led_flash_cnt[3193][5]~q\ & (!\led_flash_cnt[3193][4]~71589\ & VCC))
-- \led_flash_cnt[3193][5]~71591\ = CARRY((\led_flash_cnt[3193][5]~q\ & !\led_flash_cnt[3193][4]~71589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3193][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3193][4]~71589\,
	combout => \led_flash_cnt[3193][5]~71590_combout\,
	cout => \led_flash_cnt[3193][5]~71591\);

-- Location: FF_X50_Y27_N25
\led_flash_cnt[3193][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3193][5]~71590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3193][5]~q\);

-- Location: LCCOMB_X50_Y27_N26
\led_flash_cnt[3193][6]~71592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3193][6]~71592_combout\ = (\led_flash_cnt[3193][6]~q\ & (!\led_flash_cnt[3193][5]~71591\)) # (!\led_flash_cnt[3193][6]~q\ & ((\led_flash_cnt[3193][5]~71591\) # (GND)))
-- \led_flash_cnt[3193][6]~71593\ = CARRY((!\led_flash_cnt[3193][5]~71591\) # (!\led_flash_cnt[3193][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3193][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3193][5]~71591\,
	combout => \led_flash_cnt[3193][6]~71592_combout\,
	cout => \led_flash_cnt[3193][6]~71593\);

-- Location: FF_X50_Y27_N27
\led_flash_cnt[3193][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3193][6]~71592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3193][6]~q\);

-- Location: LCCOMB_X49_Y27_N30
\WideAnd3193~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3193~1_combout\ = (\led_flash_cnt[3193][6]~q\ & \led_flash_cnt[3193][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3193][6]~q\,
	datad => \led_flash_cnt[3193][5]~q\,
	combout => \WideAnd3193~1_combout\);

-- Location: LCCOMB_X50_Y27_N28
\led_flash_cnt[3193][7]~71594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3193][7]~71594_combout\ = \led_flash_cnt[3193][6]~71593\ $ (!\led_flash_cnt[3193][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3193][7]~q\,
	cin => \led_flash_cnt[3193][6]~71593\,
	combout => \led_flash_cnt[3193][7]~71594_combout\);

-- Location: FF_X50_Y27_N29
\led_flash_cnt[3193][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3193][7]~71594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3193][7]~q\);

-- Location: LCCOMB_X49_Y27_N0
WideAnd3193 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3193~combout\ = (\WideAnd3193~0_combout\ & (\led_flash_cnt[3193][0]~q\ & (\WideAnd3193~1_combout\ & \led_flash_cnt[3193][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3193~0_combout\,
	datab => \led_flash_cnt[3193][0]~q\,
	datac => \WideAnd3193~1_combout\,
	datad => \led_flash_cnt[3193][7]~q\,
	combout => \WideAnd3193~combout\);

-- Location: FF_X49_Y27_N1
\led_flash_cnt_ands[3193]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3193~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3193));

-- Location: LCCOMB_X49_Y28_N20
\WideAnd4239~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4239~0_combout\ = (led_flash_cnt_ands(3194) & (led_flash_cnt_ands(3195) & (led_flash_cnt_ands(3192) & led_flash_cnt_ands(3193))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3194),
	datab => led_flash_cnt_ands(3195),
	datac => led_flash_cnt_ands(3192),
	datad => led_flash_cnt_ands(3193),
	combout => \WideAnd4239~0_combout\);

-- Location: LCCOMB_X61_Y28_N30
\led_flash_cnt[3199][0]~83839\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3199][0]~83839_combout\ = !\led_flash_cnt[3199][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3199][0]~q\,
	combout => \led_flash_cnt[3199][0]~83839_combout\);

-- Location: FF_X61_Y28_N31
\led_flash_cnt[3199][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3199][0]~83839_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3199][0]~q\);

-- Location: LCCOMB_X61_Y27_N2
\led_flash_cnt[3199][1]~71666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3199][1]~71666_combout\ = (\led_flash_cnt[3199][0]~q\ & (\led_flash_cnt[3199][1]~q\ $ (VCC))) # (!\led_flash_cnt[3199][0]~q\ & (\led_flash_cnt[3199][1]~q\ & VCC))
-- \led_flash_cnt[3199][1]~71667\ = CARRY((\led_flash_cnt[3199][0]~q\ & \led_flash_cnt[3199][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3199][0]~q\,
	datab => \led_flash_cnt[3199][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3199][1]~71666_combout\,
	cout => \led_flash_cnt[3199][1]~71667\);

-- Location: FF_X61_Y27_N3
\led_flash_cnt[3199][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3199][1]~71666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3199][1]~q\);

-- Location: LCCOMB_X61_Y27_N4
\led_flash_cnt[3199][2]~71668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3199][2]~71668_combout\ = (\led_flash_cnt[3199][2]~q\ & (!\led_flash_cnt[3199][1]~71667\)) # (!\led_flash_cnt[3199][2]~q\ & ((\led_flash_cnt[3199][1]~71667\) # (GND)))
-- \led_flash_cnt[3199][2]~71669\ = CARRY((!\led_flash_cnt[3199][1]~71667\) # (!\led_flash_cnt[3199][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3199][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3199][1]~71667\,
	combout => \led_flash_cnt[3199][2]~71668_combout\,
	cout => \led_flash_cnt[3199][2]~71669\);

-- Location: FF_X61_Y27_N5
\led_flash_cnt[3199][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3199][2]~71668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3199][2]~q\);

-- Location: LCCOMB_X61_Y27_N6
\led_flash_cnt[3199][3]~71670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3199][3]~71670_combout\ = (\led_flash_cnt[3199][3]~q\ & (\led_flash_cnt[3199][2]~71669\ $ (GND))) # (!\led_flash_cnt[3199][3]~q\ & (!\led_flash_cnt[3199][2]~71669\ & VCC))
-- \led_flash_cnt[3199][3]~71671\ = CARRY((\led_flash_cnt[3199][3]~q\ & !\led_flash_cnt[3199][2]~71669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3199][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3199][2]~71669\,
	combout => \led_flash_cnt[3199][3]~71670_combout\,
	cout => \led_flash_cnt[3199][3]~71671\);

-- Location: FF_X61_Y27_N7
\led_flash_cnt[3199][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3199][3]~71670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3199][3]~q\);

-- Location: LCCOMB_X61_Y27_N8
\led_flash_cnt[3199][4]~71672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3199][4]~71672_combout\ = (\led_flash_cnt[3199][4]~q\ & (!\led_flash_cnt[3199][3]~71671\)) # (!\led_flash_cnt[3199][4]~q\ & ((\led_flash_cnt[3199][3]~71671\) # (GND)))
-- \led_flash_cnt[3199][4]~71673\ = CARRY((!\led_flash_cnt[3199][3]~71671\) # (!\led_flash_cnt[3199][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3199][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3199][3]~71671\,
	combout => \led_flash_cnt[3199][4]~71672_combout\,
	cout => \led_flash_cnt[3199][4]~71673\);

-- Location: FF_X61_Y27_N9
\led_flash_cnt[3199][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3199][4]~71672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3199][4]~q\);

-- Location: LCCOMB_X61_Y27_N30
\WideAnd3199~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3199~0_combout\ = (\led_flash_cnt[3199][3]~q\ & (\led_flash_cnt[3199][4]~q\ & (\led_flash_cnt[3199][2]~q\ & \led_flash_cnt[3199][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3199][3]~q\,
	datab => \led_flash_cnt[3199][4]~q\,
	datac => \led_flash_cnt[3199][2]~q\,
	datad => \led_flash_cnt[3199][1]~q\,
	combout => \WideAnd3199~0_combout\);

-- Location: LCCOMB_X61_Y27_N10
\led_flash_cnt[3199][5]~71674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3199][5]~71674_combout\ = (\led_flash_cnt[3199][5]~q\ & (\led_flash_cnt[3199][4]~71673\ $ (GND))) # (!\led_flash_cnt[3199][5]~q\ & (!\led_flash_cnt[3199][4]~71673\ & VCC))
-- \led_flash_cnt[3199][5]~71675\ = CARRY((\led_flash_cnt[3199][5]~q\ & !\led_flash_cnt[3199][4]~71673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3199][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3199][4]~71673\,
	combout => \led_flash_cnt[3199][5]~71674_combout\,
	cout => \led_flash_cnt[3199][5]~71675\);

-- Location: FF_X61_Y27_N11
\led_flash_cnt[3199][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3199][5]~71674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3199][5]~q\);

-- Location: LCCOMB_X61_Y27_N12
\led_flash_cnt[3199][6]~71676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3199][6]~71676_combout\ = (\led_flash_cnt[3199][6]~q\ & (!\led_flash_cnt[3199][5]~71675\)) # (!\led_flash_cnt[3199][6]~q\ & ((\led_flash_cnt[3199][5]~71675\) # (GND)))
-- \led_flash_cnt[3199][6]~71677\ = CARRY((!\led_flash_cnt[3199][5]~71675\) # (!\led_flash_cnt[3199][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3199][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3199][5]~71675\,
	combout => \led_flash_cnt[3199][6]~71676_combout\,
	cout => \led_flash_cnt[3199][6]~71677\);

-- Location: FF_X61_Y27_N13
\led_flash_cnt[3199][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3199][6]~71676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3199][6]~q\);

-- Location: LCCOMB_X61_Y27_N14
\led_flash_cnt[3199][7]~71678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3199][7]~71678_combout\ = \led_flash_cnt[3199][7]~q\ $ (!\led_flash_cnt[3199][6]~71677\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3199][7]~q\,
	cin => \led_flash_cnt[3199][6]~71677\,
	combout => \led_flash_cnt[3199][7]~71678_combout\);

-- Location: FF_X61_Y27_N15
\led_flash_cnt[3199][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3199][7]~71678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3199][7]~q\);

-- Location: LCCOMB_X62_Y27_N28
\WideAnd3199~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3199~1_combout\ = (\led_flash_cnt[3199][6]~q\ & \led_flash_cnt[3199][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3199][6]~q\,
	datad => \led_flash_cnt[3199][5]~q\,
	combout => \WideAnd3199~1_combout\);

-- Location: LCCOMB_X61_Y27_N0
WideAnd3199 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3199~combout\ = (\WideAnd3199~0_combout\ & (\led_flash_cnt[3199][7]~q\ & (\led_flash_cnt[3199][0]~q\ & \WideAnd3199~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3199~0_combout\,
	datab => \led_flash_cnt[3199][7]~q\,
	datac => \led_flash_cnt[3199][0]~q\,
	datad => \WideAnd3199~1_combout\,
	combout => \WideAnd3199~combout\);

-- Location: FF_X61_Y27_N1
\led_flash_cnt_ands[3199]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3199~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3199));

-- Location: LCCOMB_X61_Y28_N4
WideAnd4239 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4239~combout\ = (led_flash_cnt_ands(3198) & (\WideAnd4239~1_combout\ & (\WideAnd4239~0_combout\ & led_flash_cnt_ands(3199))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3198),
	datab => \WideAnd4239~1_combout\,
	datac => \WideAnd4239~0_combout\,
	datad => led_flash_cnt_ands(3199),
	combout => \WideAnd4239~combout\);

-- Location: FF_X61_Y28_N5
\led_flash_cnt_ands_1[399]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4239~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(399));

-- Location: LCCOMB_X45_Y21_N6
WideAnd4369 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4369~combout\ = (\WideAnd4369~0_combout\ & (\WideAnd4369~1_combout\ & (led_flash_cnt_ands_1(398) & led_flash_cnt_ands_1(399))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4369~0_combout\,
	datab => \WideAnd4369~1_combout\,
	datac => led_flash_cnt_ands_1(398),
	datad => led_flash_cnt_ands_1(399),
	combout => \WideAnd4369~combout\);

-- Location: FF_X45_Y21_N7
\led_flash_cnt_ands_2[49]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4369~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(49));

-- Location: LCCOMB_X2_Y36_N26
\led_flash_cnt[3299][0]~83939\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3299][0]~83939_combout\ = !\led_flash_cnt[3299][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3299][0]~q\,
	combout => \led_flash_cnt[3299][0]~83939_combout\);

-- Location: FF_X2_Y36_N27
\led_flash_cnt[3299][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3299][0]~83939_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3299][0]~q\);

-- Location: LCCOMB_X3_Y36_N16
\led_flash_cnt[3299][1]~73066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3299][1]~73066_combout\ = (\led_flash_cnt[3299][0]~q\ & (\led_flash_cnt[3299][1]~q\ $ (VCC))) # (!\led_flash_cnt[3299][0]~q\ & (\led_flash_cnt[3299][1]~q\ & VCC))
-- \led_flash_cnt[3299][1]~73067\ = CARRY((\led_flash_cnt[3299][0]~q\ & \led_flash_cnt[3299][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3299][0]~q\,
	datab => \led_flash_cnt[3299][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3299][1]~73066_combout\,
	cout => \led_flash_cnt[3299][1]~73067\);

-- Location: FF_X3_Y36_N17
\led_flash_cnt[3299][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3299][1]~73066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3299][1]~q\);

-- Location: LCCOMB_X3_Y36_N18
\led_flash_cnt[3299][2]~73068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3299][2]~73068_combout\ = (\led_flash_cnt[3299][2]~q\ & (!\led_flash_cnt[3299][1]~73067\)) # (!\led_flash_cnt[3299][2]~q\ & ((\led_flash_cnt[3299][1]~73067\) # (GND)))
-- \led_flash_cnt[3299][2]~73069\ = CARRY((!\led_flash_cnt[3299][1]~73067\) # (!\led_flash_cnt[3299][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3299][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3299][1]~73067\,
	combout => \led_flash_cnt[3299][2]~73068_combout\,
	cout => \led_flash_cnt[3299][2]~73069\);

-- Location: FF_X3_Y36_N19
\led_flash_cnt[3299][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3299][2]~73068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3299][2]~q\);

-- Location: LCCOMB_X3_Y36_N20
\led_flash_cnt[3299][3]~73070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3299][3]~73070_combout\ = (\led_flash_cnt[3299][3]~q\ & (\led_flash_cnt[3299][2]~73069\ $ (GND))) # (!\led_flash_cnt[3299][3]~q\ & (!\led_flash_cnt[3299][2]~73069\ & VCC))
-- \led_flash_cnt[3299][3]~73071\ = CARRY((\led_flash_cnt[3299][3]~q\ & !\led_flash_cnt[3299][2]~73069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3299][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3299][2]~73069\,
	combout => \led_flash_cnt[3299][3]~73070_combout\,
	cout => \led_flash_cnt[3299][3]~73071\);

-- Location: FF_X3_Y36_N21
\led_flash_cnt[3299][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3299][3]~73070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3299][3]~q\);

-- Location: LCCOMB_X3_Y36_N22
\led_flash_cnt[3299][4]~73072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3299][4]~73072_combout\ = (\led_flash_cnt[3299][4]~q\ & (!\led_flash_cnt[3299][3]~73071\)) # (!\led_flash_cnt[3299][4]~q\ & ((\led_flash_cnt[3299][3]~73071\) # (GND)))
-- \led_flash_cnt[3299][4]~73073\ = CARRY((!\led_flash_cnt[3299][3]~73071\) # (!\led_flash_cnt[3299][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3299][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3299][3]~73071\,
	combout => \led_flash_cnt[3299][4]~73072_combout\,
	cout => \led_flash_cnt[3299][4]~73073\);

-- Location: FF_X3_Y36_N23
\led_flash_cnt[3299][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3299][4]~73072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3299][4]~q\);

-- Location: LCCOMB_X2_Y36_N8
\WideAnd3299~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3299~0_combout\ = (\led_flash_cnt[3299][2]~q\ & (\led_flash_cnt[3299][4]~q\ & (\led_flash_cnt[3299][3]~q\ & \led_flash_cnt[3299][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3299][2]~q\,
	datab => \led_flash_cnt[3299][4]~q\,
	datac => \led_flash_cnt[3299][3]~q\,
	datad => \led_flash_cnt[3299][1]~q\,
	combout => \WideAnd3299~0_combout\);

-- Location: LCCOMB_X3_Y36_N24
\led_flash_cnt[3299][5]~73074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3299][5]~73074_combout\ = (\led_flash_cnt[3299][5]~q\ & (\led_flash_cnt[3299][4]~73073\ $ (GND))) # (!\led_flash_cnt[3299][5]~q\ & (!\led_flash_cnt[3299][4]~73073\ & VCC))
-- \led_flash_cnt[3299][5]~73075\ = CARRY((\led_flash_cnt[3299][5]~q\ & !\led_flash_cnt[3299][4]~73073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3299][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3299][4]~73073\,
	combout => \led_flash_cnt[3299][5]~73074_combout\,
	cout => \led_flash_cnt[3299][5]~73075\);

-- Location: FF_X3_Y36_N25
\led_flash_cnt[3299][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3299][5]~73074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3299][5]~q\);

-- Location: LCCOMB_X3_Y36_N26
\led_flash_cnt[3299][6]~73076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3299][6]~73076_combout\ = (\led_flash_cnt[3299][6]~q\ & (!\led_flash_cnt[3299][5]~73075\)) # (!\led_flash_cnt[3299][6]~q\ & ((\led_flash_cnt[3299][5]~73075\) # (GND)))
-- \led_flash_cnt[3299][6]~73077\ = CARRY((!\led_flash_cnt[3299][5]~73075\) # (!\led_flash_cnt[3299][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3299][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3299][5]~73075\,
	combout => \led_flash_cnt[3299][6]~73076_combout\,
	cout => \led_flash_cnt[3299][6]~73077\);

-- Location: FF_X3_Y36_N27
\led_flash_cnt[3299][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3299][6]~73076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3299][6]~q\);

-- Location: LCCOMB_X2_Y36_N6
\WideAnd3299~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3299~1_combout\ = (\led_flash_cnt[3299][6]~q\ & \led_flash_cnt[3299][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3299][6]~q\,
	datad => \led_flash_cnt[3299][5]~q\,
	combout => \WideAnd3299~1_combout\);

-- Location: LCCOMB_X3_Y36_N28
\led_flash_cnt[3299][7]~73078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3299][7]~73078_combout\ = \led_flash_cnt[3299][6]~73077\ $ (!\led_flash_cnt[3299][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3299][7]~q\,
	cin => \led_flash_cnt[3299][6]~73077\,
	combout => \led_flash_cnt[3299][7]~73078_combout\);

-- Location: FF_X3_Y36_N29
\led_flash_cnt[3299][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3299][7]~73078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3299][7]~q\);

-- Location: LCCOMB_X3_Y36_N0
WideAnd3299 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3299~combout\ = (\WideAnd3299~0_combout\ & (\WideAnd3299~1_combout\ & (\led_flash_cnt[3299][0]~q\ & \led_flash_cnt[3299][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3299~0_combout\,
	datab => \WideAnd3299~1_combout\,
	datac => \led_flash_cnt[3299][0]~q\,
	datad => \led_flash_cnt[3299][7]~q\,
	combout => \WideAnd3299~combout\);

-- Location: FF_X3_Y36_N1
\led_flash_cnt_ands[3299]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3299~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3299));

-- Location: LCCOMB_X4_Y36_N28
\led_flash_cnt[3297][0]~83937\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3297][0]~83937_combout\ = !\led_flash_cnt[3297][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3297][0]~q\,
	combout => \led_flash_cnt[3297][0]~83937_combout\);

-- Location: FF_X4_Y36_N29
\led_flash_cnt[3297][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3297][0]~83937_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3297][0]~q\);

-- Location: LCCOMB_X3_Y36_N2
\led_flash_cnt[3297][1]~73038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3297][1]~73038_combout\ = (\led_flash_cnt[3297][0]~q\ & (\led_flash_cnt[3297][1]~q\ $ (VCC))) # (!\led_flash_cnt[3297][0]~q\ & (\led_flash_cnt[3297][1]~q\ & VCC))
-- \led_flash_cnt[3297][1]~73039\ = CARRY((\led_flash_cnt[3297][0]~q\ & \led_flash_cnt[3297][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3297][0]~q\,
	datab => \led_flash_cnt[3297][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3297][1]~73038_combout\,
	cout => \led_flash_cnt[3297][1]~73039\);

-- Location: FF_X3_Y36_N3
\led_flash_cnt[3297][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3297][1]~73038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3297][1]~q\);

-- Location: LCCOMB_X3_Y36_N4
\led_flash_cnt[3297][2]~73040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3297][2]~73040_combout\ = (\led_flash_cnt[3297][2]~q\ & (!\led_flash_cnt[3297][1]~73039\)) # (!\led_flash_cnt[3297][2]~q\ & ((\led_flash_cnt[3297][1]~73039\) # (GND)))
-- \led_flash_cnt[3297][2]~73041\ = CARRY((!\led_flash_cnt[3297][1]~73039\) # (!\led_flash_cnt[3297][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3297][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3297][1]~73039\,
	combout => \led_flash_cnt[3297][2]~73040_combout\,
	cout => \led_flash_cnt[3297][2]~73041\);

-- Location: FF_X3_Y36_N5
\led_flash_cnt[3297][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3297][2]~73040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3297][2]~q\);

-- Location: LCCOMB_X3_Y36_N6
\led_flash_cnt[3297][3]~73042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3297][3]~73042_combout\ = (\led_flash_cnt[3297][3]~q\ & (\led_flash_cnt[3297][2]~73041\ $ (GND))) # (!\led_flash_cnt[3297][3]~q\ & (!\led_flash_cnt[3297][2]~73041\ & VCC))
-- \led_flash_cnt[3297][3]~73043\ = CARRY((\led_flash_cnt[3297][3]~q\ & !\led_flash_cnt[3297][2]~73041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3297][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3297][2]~73041\,
	combout => \led_flash_cnt[3297][3]~73042_combout\,
	cout => \led_flash_cnt[3297][3]~73043\);

-- Location: FF_X3_Y36_N7
\led_flash_cnt[3297][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3297][3]~73042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3297][3]~q\);

-- Location: LCCOMB_X3_Y36_N8
\led_flash_cnt[3297][4]~73044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3297][4]~73044_combout\ = (\led_flash_cnt[3297][4]~q\ & (!\led_flash_cnt[3297][3]~73043\)) # (!\led_flash_cnt[3297][4]~q\ & ((\led_flash_cnt[3297][3]~73043\) # (GND)))
-- \led_flash_cnt[3297][4]~73045\ = CARRY((!\led_flash_cnt[3297][3]~73043\) # (!\led_flash_cnt[3297][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3297][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3297][3]~73043\,
	combout => \led_flash_cnt[3297][4]~73044_combout\,
	cout => \led_flash_cnt[3297][4]~73045\);

-- Location: FF_X3_Y36_N9
\led_flash_cnt[3297][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3297][4]~73044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3297][4]~q\);

-- Location: LCCOMB_X3_Y36_N10
\led_flash_cnt[3297][5]~73046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3297][5]~73046_combout\ = (\led_flash_cnt[3297][5]~q\ & (\led_flash_cnt[3297][4]~73045\ $ (GND))) # (!\led_flash_cnt[3297][5]~q\ & (!\led_flash_cnt[3297][4]~73045\ & VCC))
-- \led_flash_cnt[3297][5]~73047\ = CARRY((\led_flash_cnt[3297][5]~q\ & !\led_flash_cnt[3297][4]~73045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3297][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3297][4]~73045\,
	combout => \led_flash_cnt[3297][5]~73046_combout\,
	cout => \led_flash_cnt[3297][5]~73047\);

-- Location: FF_X3_Y36_N11
\led_flash_cnt[3297][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3297][5]~73046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3297][5]~q\);

-- Location: LCCOMB_X3_Y36_N12
\led_flash_cnt[3297][6]~73048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3297][6]~73048_combout\ = (\led_flash_cnt[3297][6]~q\ & (!\led_flash_cnt[3297][5]~73047\)) # (!\led_flash_cnt[3297][6]~q\ & ((\led_flash_cnt[3297][5]~73047\) # (GND)))
-- \led_flash_cnt[3297][6]~73049\ = CARRY((!\led_flash_cnt[3297][5]~73047\) # (!\led_flash_cnt[3297][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3297][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3297][5]~73047\,
	combout => \led_flash_cnt[3297][6]~73048_combout\,
	cout => \led_flash_cnt[3297][6]~73049\);

-- Location: FF_X3_Y36_N13
\led_flash_cnt[3297][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3297][6]~73048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3297][6]~q\);

-- Location: LCCOMB_X3_Y36_N14
\led_flash_cnt[3297][7]~73050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3297][7]~73050_combout\ = \led_flash_cnt[3297][7]~q\ $ (!\led_flash_cnt[3297][6]~73049\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3297][7]~q\,
	cin => \led_flash_cnt[3297][6]~73049\,
	combout => \led_flash_cnt[3297][7]~73050_combout\);

-- Location: FF_X3_Y36_N15
\led_flash_cnt[3297][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3297][7]~73050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3297][7]~q\);

-- Location: LCCOMB_X3_Y36_N30
\WideAnd3297~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3297~0_combout\ = (\led_flash_cnt[3297][3]~q\ & (\led_flash_cnt[3297][4]~q\ & (\led_flash_cnt[3297][2]~q\ & \led_flash_cnt[3297][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3297][3]~q\,
	datab => \led_flash_cnt[3297][4]~q\,
	datac => \led_flash_cnt[3297][2]~q\,
	datad => \led_flash_cnt[3297][1]~q\,
	combout => \WideAnd3297~0_combout\);

-- Location: LCCOMB_X4_Y36_N22
\WideAnd3297~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3297~1_combout\ = (\led_flash_cnt[3297][6]~q\ & \led_flash_cnt[3297][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3297][6]~q\,
	datad => \led_flash_cnt[3297][5]~q\,
	combout => \WideAnd3297~1_combout\);

-- Location: LCCOMB_X4_Y36_N16
WideAnd3297 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3297~combout\ = (\led_flash_cnt[3297][7]~q\ & (\WideAnd3297~0_combout\ & (\WideAnd3297~1_combout\ & \led_flash_cnt[3297][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3297][7]~q\,
	datab => \WideAnd3297~0_combout\,
	datac => \WideAnd3297~1_combout\,
	datad => \led_flash_cnt[3297][0]~q\,
	combout => \WideAnd3297~combout\);

-- Location: FF_X4_Y36_N17
\led_flash_cnt_ands[3297]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3297~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3297));

-- Location: LCCOMB_X2_Y36_N4
\led_flash_cnt[3298][0]~83938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3298][0]~83938_combout\ = !\led_flash_cnt[3298][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3298][0]~q\,
	combout => \led_flash_cnt[3298][0]~83938_combout\);

-- Location: FF_X2_Y36_N5
\led_flash_cnt[3298][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3298][0]~83938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3298][0]~q\);

-- Location: LCCOMB_X2_Y36_N12
\led_flash_cnt[3298][1]~73052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3298][1]~73052_combout\ = (\led_flash_cnt[3298][1]~q\ & (\led_flash_cnt[3298][0]~q\ $ (VCC))) # (!\led_flash_cnt[3298][1]~q\ & (\led_flash_cnt[3298][0]~q\ & VCC))
-- \led_flash_cnt[3298][1]~73053\ = CARRY((\led_flash_cnt[3298][1]~q\ & \led_flash_cnt[3298][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3298][1]~q\,
	datab => \led_flash_cnt[3298][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3298][1]~73052_combout\,
	cout => \led_flash_cnt[3298][1]~73053\);

-- Location: FF_X2_Y36_N13
\led_flash_cnt[3298][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3298][1]~73052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3298][1]~q\);

-- Location: LCCOMB_X2_Y36_N14
\led_flash_cnt[3298][2]~73054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3298][2]~73054_combout\ = (\led_flash_cnt[3298][2]~q\ & (!\led_flash_cnt[3298][1]~73053\)) # (!\led_flash_cnt[3298][2]~q\ & ((\led_flash_cnt[3298][1]~73053\) # (GND)))
-- \led_flash_cnt[3298][2]~73055\ = CARRY((!\led_flash_cnt[3298][1]~73053\) # (!\led_flash_cnt[3298][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3298][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3298][1]~73053\,
	combout => \led_flash_cnt[3298][2]~73054_combout\,
	cout => \led_flash_cnt[3298][2]~73055\);

-- Location: FF_X2_Y36_N15
\led_flash_cnt[3298][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3298][2]~73054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3298][2]~q\);

-- Location: LCCOMB_X2_Y36_N16
\led_flash_cnt[3298][3]~73056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3298][3]~73056_combout\ = (\led_flash_cnt[3298][3]~q\ & (\led_flash_cnt[3298][2]~73055\ $ (GND))) # (!\led_flash_cnt[3298][3]~q\ & (!\led_flash_cnt[3298][2]~73055\ & VCC))
-- \led_flash_cnt[3298][3]~73057\ = CARRY((\led_flash_cnt[3298][3]~q\ & !\led_flash_cnt[3298][2]~73055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3298][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3298][2]~73055\,
	combout => \led_flash_cnt[3298][3]~73056_combout\,
	cout => \led_flash_cnt[3298][3]~73057\);

-- Location: FF_X2_Y36_N17
\led_flash_cnt[3298][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3298][3]~73056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3298][3]~q\);

-- Location: LCCOMB_X2_Y36_N18
\led_flash_cnt[3298][4]~73058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3298][4]~73058_combout\ = (\led_flash_cnt[3298][4]~q\ & (!\led_flash_cnt[3298][3]~73057\)) # (!\led_flash_cnt[3298][4]~q\ & ((\led_flash_cnt[3298][3]~73057\) # (GND)))
-- \led_flash_cnt[3298][4]~73059\ = CARRY((!\led_flash_cnt[3298][3]~73057\) # (!\led_flash_cnt[3298][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3298][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3298][3]~73057\,
	combout => \led_flash_cnt[3298][4]~73058_combout\,
	cout => \led_flash_cnt[3298][4]~73059\);

-- Location: FF_X2_Y36_N19
\led_flash_cnt[3298][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3298][4]~73058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3298][4]~q\);

-- Location: LCCOMB_X2_Y36_N20
\led_flash_cnt[3298][5]~73060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3298][5]~73060_combout\ = (\led_flash_cnt[3298][5]~q\ & (\led_flash_cnt[3298][4]~73059\ $ (GND))) # (!\led_flash_cnt[3298][5]~q\ & (!\led_flash_cnt[3298][4]~73059\ & VCC))
-- \led_flash_cnt[3298][5]~73061\ = CARRY((\led_flash_cnt[3298][5]~q\ & !\led_flash_cnt[3298][4]~73059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3298][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3298][4]~73059\,
	combout => \led_flash_cnt[3298][5]~73060_combout\,
	cout => \led_flash_cnt[3298][5]~73061\);

-- Location: FF_X2_Y36_N21
\led_flash_cnt[3298][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3298][5]~73060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3298][5]~q\);

-- Location: LCCOMB_X2_Y36_N22
\led_flash_cnt[3298][6]~73062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3298][6]~73062_combout\ = (\led_flash_cnt[3298][6]~q\ & (!\led_flash_cnt[3298][5]~73061\)) # (!\led_flash_cnt[3298][6]~q\ & ((\led_flash_cnt[3298][5]~73061\) # (GND)))
-- \led_flash_cnt[3298][6]~73063\ = CARRY((!\led_flash_cnt[3298][5]~73061\) # (!\led_flash_cnt[3298][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3298][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3298][5]~73061\,
	combout => \led_flash_cnt[3298][6]~73062_combout\,
	cout => \led_flash_cnt[3298][6]~73063\);

-- Location: FF_X2_Y36_N23
\led_flash_cnt[3298][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3298][6]~73062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3298][6]~q\);

-- Location: LCCOMB_X2_Y36_N30
\WideAnd3298~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3298~1_combout\ = (\led_flash_cnt[3298][6]~q\ & \led_flash_cnt[3298][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3298][6]~q\,
	datad => \led_flash_cnt[3298][5]~q\,
	combout => \WideAnd3298~1_combout\);

-- Location: LCCOMB_X2_Y36_N24
\led_flash_cnt[3298][7]~73064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3298][7]~73064_combout\ = \led_flash_cnt[3298][6]~73063\ $ (!\led_flash_cnt[3298][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3298][7]~q\,
	cin => \led_flash_cnt[3298][6]~73063\,
	combout => \led_flash_cnt[3298][7]~73064_combout\);

-- Location: FF_X2_Y36_N25
\led_flash_cnt[3298][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3298][7]~73064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3298][7]~q\);

-- Location: LCCOMB_X2_Y36_N10
\WideAnd3298~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3298~0_combout\ = (\led_flash_cnt[3298][1]~q\ & (\led_flash_cnt[3298][3]~q\ & (\led_flash_cnt[3298][2]~q\ & \led_flash_cnt[3298][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3298][1]~q\,
	datab => \led_flash_cnt[3298][3]~q\,
	datac => \led_flash_cnt[3298][2]~q\,
	datad => \led_flash_cnt[3298][4]~q\,
	combout => \WideAnd3298~0_combout\);

-- Location: LCCOMB_X2_Y36_N28
WideAnd3298 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3298~combout\ = (\WideAnd3298~1_combout\ & (\led_flash_cnt[3298][7]~q\ & (\led_flash_cnt[3298][0]~q\ & \WideAnd3298~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3298~1_combout\,
	datab => \led_flash_cnt[3298][7]~q\,
	datac => \led_flash_cnt[3298][0]~q\,
	datad => \WideAnd3298~0_combout\,
	combout => \WideAnd3298~combout\);

-- Location: FF_X2_Y36_N29
\led_flash_cnt_ands[3298]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3298~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3298));

-- Location: LCCOMB_X6_Y36_N18
\led_flash_cnt[3296][0]~83936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3296][0]~83936_combout\ = !\led_flash_cnt[3296][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3296][0]~q\,
	combout => \led_flash_cnt[3296][0]~83936_combout\);

-- Location: FF_X6_Y36_N19
\led_flash_cnt[3296][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3296][0]~83936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3296][0]~q\);

-- Location: LCCOMB_X6_Y36_N2
\led_flash_cnt[3296][1]~73024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3296][1]~73024_combout\ = (\led_flash_cnt[3296][0]~q\ & (\led_flash_cnt[3296][1]~q\ $ (VCC))) # (!\led_flash_cnt[3296][0]~q\ & (\led_flash_cnt[3296][1]~q\ & VCC))
-- \led_flash_cnt[3296][1]~73025\ = CARRY((\led_flash_cnt[3296][0]~q\ & \led_flash_cnt[3296][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3296][0]~q\,
	datab => \led_flash_cnt[3296][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3296][1]~73024_combout\,
	cout => \led_flash_cnt[3296][1]~73025\);

-- Location: FF_X6_Y36_N3
\led_flash_cnt[3296][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3296][1]~73024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3296][1]~q\);

-- Location: LCCOMB_X6_Y36_N4
\led_flash_cnt[3296][2]~73026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3296][2]~73026_combout\ = (\led_flash_cnt[3296][2]~q\ & (!\led_flash_cnt[3296][1]~73025\)) # (!\led_flash_cnt[3296][2]~q\ & ((\led_flash_cnt[3296][1]~73025\) # (GND)))
-- \led_flash_cnt[3296][2]~73027\ = CARRY((!\led_flash_cnt[3296][1]~73025\) # (!\led_flash_cnt[3296][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3296][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3296][1]~73025\,
	combout => \led_flash_cnt[3296][2]~73026_combout\,
	cout => \led_flash_cnt[3296][2]~73027\);

-- Location: FF_X6_Y36_N5
\led_flash_cnt[3296][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3296][2]~73026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3296][2]~q\);

-- Location: LCCOMB_X6_Y36_N6
\led_flash_cnt[3296][3]~73028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3296][3]~73028_combout\ = (\led_flash_cnt[3296][3]~q\ & (\led_flash_cnt[3296][2]~73027\ $ (GND))) # (!\led_flash_cnt[3296][3]~q\ & (!\led_flash_cnt[3296][2]~73027\ & VCC))
-- \led_flash_cnt[3296][3]~73029\ = CARRY((\led_flash_cnt[3296][3]~q\ & !\led_flash_cnt[3296][2]~73027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3296][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3296][2]~73027\,
	combout => \led_flash_cnt[3296][3]~73028_combout\,
	cout => \led_flash_cnt[3296][3]~73029\);

-- Location: FF_X6_Y36_N7
\led_flash_cnt[3296][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3296][3]~73028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3296][3]~q\);

-- Location: LCCOMB_X6_Y36_N8
\led_flash_cnt[3296][4]~73030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3296][4]~73030_combout\ = (\led_flash_cnt[3296][4]~q\ & (!\led_flash_cnt[3296][3]~73029\)) # (!\led_flash_cnt[3296][4]~q\ & ((\led_flash_cnt[3296][3]~73029\) # (GND)))
-- \led_flash_cnt[3296][4]~73031\ = CARRY((!\led_flash_cnt[3296][3]~73029\) # (!\led_flash_cnt[3296][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3296][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3296][3]~73029\,
	combout => \led_flash_cnt[3296][4]~73030_combout\,
	cout => \led_flash_cnt[3296][4]~73031\);

-- Location: FF_X6_Y36_N9
\led_flash_cnt[3296][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3296][4]~73030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3296][4]~q\);

-- Location: LCCOMB_X6_Y36_N22
\WideAnd3296~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3296~0_combout\ = (\led_flash_cnt[3296][3]~q\ & (\led_flash_cnt[3296][2]~q\ & (\led_flash_cnt[3296][4]~q\ & \led_flash_cnt[3296][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3296][3]~q\,
	datab => \led_flash_cnt[3296][2]~q\,
	datac => \led_flash_cnt[3296][4]~q\,
	datad => \led_flash_cnt[3296][1]~q\,
	combout => \WideAnd3296~0_combout\);

-- Location: LCCOMB_X6_Y36_N10
\led_flash_cnt[3296][5]~73032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3296][5]~73032_combout\ = (\led_flash_cnt[3296][5]~q\ & (\led_flash_cnt[3296][4]~73031\ $ (GND))) # (!\led_flash_cnt[3296][5]~q\ & (!\led_flash_cnt[3296][4]~73031\ & VCC))
-- \led_flash_cnt[3296][5]~73033\ = CARRY((\led_flash_cnt[3296][5]~q\ & !\led_flash_cnt[3296][4]~73031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3296][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3296][4]~73031\,
	combout => \led_flash_cnt[3296][5]~73032_combout\,
	cout => \led_flash_cnt[3296][5]~73033\);

-- Location: FF_X6_Y36_N11
\led_flash_cnt[3296][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3296][5]~73032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3296][5]~q\);

-- Location: LCCOMB_X6_Y36_N12
\led_flash_cnt[3296][6]~73034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3296][6]~73034_combout\ = (\led_flash_cnt[3296][6]~q\ & (!\led_flash_cnt[3296][5]~73033\)) # (!\led_flash_cnt[3296][6]~q\ & ((\led_flash_cnt[3296][5]~73033\) # (GND)))
-- \led_flash_cnt[3296][6]~73035\ = CARRY((!\led_flash_cnt[3296][5]~73033\) # (!\led_flash_cnt[3296][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3296][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3296][5]~73033\,
	combout => \led_flash_cnt[3296][6]~73034_combout\,
	cout => \led_flash_cnt[3296][6]~73035\);

-- Location: FF_X6_Y36_N13
\led_flash_cnt[3296][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3296][6]~73034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3296][6]~q\);

-- Location: LCCOMB_X6_Y36_N28
\WideAnd3296~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3296~1_combout\ = (\led_flash_cnt[3296][5]~q\ & \led_flash_cnt[3296][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3296][5]~q\,
	datad => \led_flash_cnt[3296][6]~q\,
	combout => \WideAnd3296~1_combout\);

-- Location: LCCOMB_X6_Y36_N14
\led_flash_cnt[3296][7]~73036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3296][7]~73036_combout\ = \led_flash_cnt[3296][7]~q\ $ (!\led_flash_cnt[3296][6]~73035\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3296][7]~q\,
	cin => \led_flash_cnt[3296][6]~73035\,
	combout => \led_flash_cnt[3296][7]~73036_combout\);

-- Location: FF_X6_Y36_N15
\led_flash_cnt[3296][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3296][7]~73036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3296][7]~q\);

-- Location: LCCOMB_X6_Y36_N16
WideAnd3296 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3296~combout\ = (\WideAnd3296~0_combout\ & (\WideAnd3296~1_combout\ & (\led_flash_cnt[3296][7]~q\ & \led_flash_cnt[3296][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3296~0_combout\,
	datab => \WideAnd3296~1_combout\,
	datac => \led_flash_cnt[3296][7]~q\,
	datad => \led_flash_cnt[3296][0]~q\,
	combout => \WideAnd3296~combout\);

-- Location: FF_X6_Y36_N17
\led_flash_cnt_ands[3296]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3296~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3296));

-- Location: LCCOMB_X4_Y36_N26
\WideAnd4252~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4252~0_combout\ = (led_flash_cnt_ands(3299) & (led_flash_cnt_ands(3297) & (led_flash_cnt_ands(3298) & led_flash_cnt_ands(3296))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3299),
	datab => led_flash_cnt_ands(3297),
	datac => led_flash_cnt_ands(3298),
	datad => led_flash_cnt_ands(3296),
	combout => \WideAnd4252~0_combout\);

-- Location: LCCOMB_X1_Y36_N4
\led_flash_cnt[3303][0]~83943\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3303][0]~83943_combout\ = !\led_flash_cnt[3303][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3303][0]~q\,
	combout => \led_flash_cnt[3303][0]~83943_combout\);

-- Location: FF_X1_Y36_N5
\led_flash_cnt[3303][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3303][0]~83943_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3303][0]~q\);

-- Location: LCCOMB_X1_Y36_N12
\led_flash_cnt[3303][1]~73122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3303][1]~73122_combout\ = (\led_flash_cnt[3303][1]~q\ & (\led_flash_cnt[3303][0]~q\ $ (VCC))) # (!\led_flash_cnt[3303][1]~q\ & (\led_flash_cnt[3303][0]~q\ & VCC))
-- \led_flash_cnt[3303][1]~73123\ = CARRY((\led_flash_cnt[3303][1]~q\ & \led_flash_cnt[3303][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3303][1]~q\,
	datab => \led_flash_cnt[3303][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3303][1]~73122_combout\,
	cout => \led_flash_cnt[3303][1]~73123\);

-- Location: FF_X1_Y36_N13
\led_flash_cnt[3303][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3303][1]~73122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3303][1]~q\);

-- Location: LCCOMB_X1_Y36_N14
\led_flash_cnt[3303][2]~73124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3303][2]~73124_combout\ = (\led_flash_cnt[3303][2]~q\ & (!\led_flash_cnt[3303][1]~73123\)) # (!\led_flash_cnt[3303][2]~q\ & ((\led_flash_cnt[3303][1]~73123\) # (GND)))
-- \led_flash_cnt[3303][2]~73125\ = CARRY((!\led_flash_cnt[3303][1]~73123\) # (!\led_flash_cnt[3303][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3303][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3303][1]~73123\,
	combout => \led_flash_cnt[3303][2]~73124_combout\,
	cout => \led_flash_cnt[3303][2]~73125\);

-- Location: FF_X1_Y36_N15
\led_flash_cnt[3303][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3303][2]~73124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3303][2]~q\);

-- Location: LCCOMB_X1_Y36_N16
\led_flash_cnt[3303][3]~73126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3303][3]~73126_combout\ = (\led_flash_cnt[3303][3]~q\ & (\led_flash_cnt[3303][2]~73125\ $ (GND))) # (!\led_flash_cnt[3303][3]~q\ & (!\led_flash_cnt[3303][2]~73125\ & VCC))
-- \led_flash_cnt[3303][3]~73127\ = CARRY((\led_flash_cnt[3303][3]~q\ & !\led_flash_cnt[3303][2]~73125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3303][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3303][2]~73125\,
	combout => \led_flash_cnt[3303][3]~73126_combout\,
	cout => \led_flash_cnt[3303][3]~73127\);

-- Location: FF_X1_Y36_N17
\led_flash_cnt[3303][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3303][3]~73126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3303][3]~q\);

-- Location: LCCOMB_X1_Y36_N18
\led_flash_cnt[3303][4]~73128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3303][4]~73128_combout\ = (\led_flash_cnt[3303][4]~q\ & (!\led_flash_cnt[3303][3]~73127\)) # (!\led_flash_cnt[3303][4]~q\ & ((\led_flash_cnt[3303][3]~73127\) # (GND)))
-- \led_flash_cnt[3303][4]~73129\ = CARRY((!\led_flash_cnt[3303][3]~73127\) # (!\led_flash_cnt[3303][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3303][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3303][3]~73127\,
	combout => \led_flash_cnt[3303][4]~73128_combout\,
	cout => \led_flash_cnt[3303][4]~73129\);

-- Location: FF_X1_Y36_N19
\led_flash_cnt[3303][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3303][4]~73128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3303][4]~q\);

-- Location: LCCOMB_X1_Y36_N20
\led_flash_cnt[3303][5]~73130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3303][5]~73130_combout\ = (\led_flash_cnt[3303][5]~q\ & (\led_flash_cnt[3303][4]~73129\ $ (GND))) # (!\led_flash_cnt[3303][5]~q\ & (!\led_flash_cnt[3303][4]~73129\ & VCC))
-- \led_flash_cnt[3303][5]~73131\ = CARRY((\led_flash_cnt[3303][5]~q\ & !\led_flash_cnt[3303][4]~73129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3303][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3303][4]~73129\,
	combout => \led_flash_cnt[3303][5]~73130_combout\,
	cout => \led_flash_cnt[3303][5]~73131\);

-- Location: FF_X1_Y36_N21
\led_flash_cnt[3303][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3303][5]~73130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3303][5]~q\);

-- Location: LCCOMB_X1_Y36_N22
\led_flash_cnt[3303][6]~73132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3303][6]~73132_combout\ = (\led_flash_cnt[3303][6]~q\ & (!\led_flash_cnt[3303][5]~73131\)) # (!\led_flash_cnt[3303][6]~q\ & ((\led_flash_cnt[3303][5]~73131\) # (GND)))
-- \led_flash_cnt[3303][6]~73133\ = CARRY((!\led_flash_cnt[3303][5]~73131\) # (!\led_flash_cnt[3303][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3303][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3303][5]~73131\,
	combout => \led_flash_cnt[3303][6]~73132_combout\,
	cout => \led_flash_cnt[3303][6]~73133\);

-- Location: FF_X1_Y36_N23
\led_flash_cnt[3303][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3303][6]~73132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3303][6]~q\);

-- Location: LCCOMB_X1_Y36_N10
\WideAnd3303~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3303~1_combout\ = (\led_flash_cnt[3303][6]~q\ & \led_flash_cnt[3303][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3303][6]~q\,
	datad => \led_flash_cnt[3303][5]~q\,
	combout => \WideAnd3303~1_combout\);

-- Location: LCCOMB_X1_Y36_N8
\WideAnd3303~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3303~0_combout\ = (\led_flash_cnt[3303][1]~q\ & (\led_flash_cnt[3303][3]~q\ & (\led_flash_cnt[3303][2]~q\ & \led_flash_cnt[3303][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3303][1]~q\,
	datab => \led_flash_cnt[3303][3]~q\,
	datac => \led_flash_cnt[3303][2]~q\,
	datad => \led_flash_cnt[3303][4]~q\,
	combout => \WideAnd3303~0_combout\);

-- Location: LCCOMB_X1_Y36_N24
\led_flash_cnt[3303][7]~73134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3303][7]~73134_combout\ = \led_flash_cnt[3303][6]~73133\ $ (!\led_flash_cnt[3303][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3303][7]~q\,
	cin => \led_flash_cnt[3303][6]~73133\,
	combout => \led_flash_cnt[3303][7]~73134_combout\);

-- Location: FF_X1_Y36_N25
\led_flash_cnt[3303][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3303][7]~73134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3303][7]~q\);

-- Location: LCCOMB_X1_Y36_N26
WideAnd3303 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3303~combout\ = (\WideAnd3303~1_combout\ & (\led_flash_cnt[3303][0]~q\ & (\WideAnd3303~0_combout\ & \led_flash_cnt[3303][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3303~1_combout\,
	datab => \led_flash_cnt[3303][0]~q\,
	datac => \WideAnd3303~0_combout\,
	datad => \led_flash_cnt[3303][7]~q\,
	combout => \WideAnd3303~combout\);

-- Location: FF_X1_Y36_N27
\led_flash_cnt_ands[3303]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3303~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3303));

-- Location: LCCOMB_X34_Y34_N6
\led_flash_cnt[3300][0]~83940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3300][0]~83940_combout\ = !\led_flash_cnt[3300][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3300][0]~q\,
	combout => \led_flash_cnt[3300][0]~83940_combout\);

-- Location: FF_X34_Y34_N7
\led_flash_cnt[3300][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3300][0]~83940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3300][0]~q\);

-- Location: LCCOMB_X35_Y34_N0
\led_flash_cnt[3300][1]~73080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3300][1]~73080_combout\ = (\led_flash_cnt[3300][0]~q\ & (\led_flash_cnt[3300][1]~q\ $ (VCC))) # (!\led_flash_cnt[3300][0]~q\ & (\led_flash_cnt[3300][1]~q\ & VCC))
-- \led_flash_cnt[3300][1]~73081\ = CARRY((\led_flash_cnt[3300][0]~q\ & \led_flash_cnt[3300][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3300][0]~q\,
	datab => \led_flash_cnt[3300][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3300][1]~73080_combout\,
	cout => \led_flash_cnt[3300][1]~73081\);

-- Location: FF_X35_Y34_N1
\led_flash_cnt[3300][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3300][1]~73080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3300][1]~q\);

-- Location: LCCOMB_X35_Y34_N2
\led_flash_cnt[3300][2]~73082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3300][2]~73082_combout\ = (\led_flash_cnt[3300][2]~q\ & (!\led_flash_cnt[3300][1]~73081\)) # (!\led_flash_cnt[3300][2]~q\ & ((\led_flash_cnt[3300][1]~73081\) # (GND)))
-- \led_flash_cnt[3300][2]~73083\ = CARRY((!\led_flash_cnt[3300][1]~73081\) # (!\led_flash_cnt[3300][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3300][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3300][1]~73081\,
	combout => \led_flash_cnt[3300][2]~73082_combout\,
	cout => \led_flash_cnt[3300][2]~73083\);

-- Location: FF_X35_Y34_N3
\led_flash_cnt[3300][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3300][2]~73082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3300][2]~q\);

-- Location: LCCOMB_X35_Y34_N4
\led_flash_cnt[3300][3]~73084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3300][3]~73084_combout\ = (\led_flash_cnt[3300][3]~q\ & (\led_flash_cnt[3300][2]~73083\ $ (GND))) # (!\led_flash_cnt[3300][3]~q\ & (!\led_flash_cnt[3300][2]~73083\ & VCC))
-- \led_flash_cnt[3300][3]~73085\ = CARRY((\led_flash_cnt[3300][3]~q\ & !\led_flash_cnt[3300][2]~73083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3300][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3300][2]~73083\,
	combout => \led_flash_cnt[3300][3]~73084_combout\,
	cout => \led_flash_cnt[3300][3]~73085\);

-- Location: FF_X35_Y34_N5
\led_flash_cnt[3300][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3300][3]~73084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3300][3]~q\);

-- Location: LCCOMB_X35_Y34_N6
\led_flash_cnt[3300][4]~73086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3300][4]~73086_combout\ = (\led_flash_cnt[3300][4]~q\ & (!\led_flash_cnt[3300][3]~73085\)) # (!\led_flash_cnt[3300][4]~q\ & ((\led_flash_cnt[3300][3]~73085\) # (GND)))
-- \led_flash_cnt[3300][4]~73087\ = CARRY((!\led_flash_cnt[3300][3]~73085\) # (!\led_flash_cnt[3300][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3300][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3300][3]~73085\,
	combout => \led_flash_cnt[3300][4]~73086_combout\,
	cout => \led_flash_cnt[3300][4]~73087\);

-- Location: FF_X35_Y34_N7
\led_flash_cnt[3300][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3300][4]~73086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3300][4]~q\);

-- Location: LCCOMB_X35_Y34_N8
\led_flash_cnt[3300][5]~73088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3300][5]~73088_combout\ = (\led_flash_cnt[3300][5]~q\ & (\led_flash_cnt[3300][4]~73087\ $ (GND))) # (!\led_flash_cnt[3300][5]~q\ & (!\led_flash_cnt[3300][4]~73087\ & VCC))
-- \led_flash_cnt[3300][5]~73089\ = CARRY((\led_flash_cnt[3300][5]~q\ & !\led_flash_cnt[3300][4]~73087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3300][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3300][4]~73087\,
	combout => \led_flash_cnt[3300][5]~73088_combout\,
	cout => \led_flash_cnt[3300][5]~73089\);

-- Location: FF_X35_Y34_N9
\led_flash_cnt[3300][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3300][5]~73088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3300][5]~q\);

-- Location: LCCOMB_X35_Y34_N10
\led_flash_cnt[3300][6]~73090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3300][6]~73090_combout\ = (\led_flash_cnt[3300][6]~q\ & (!\led_flash_cnt[3300][5]~73089\)) # (!\led_flash_cnt[3300][6]~q\ & ((\led_flash_cnt[3300][5]~73089\) # (GND)))
-- \led_flash_cnt[3300][6]~73091\ = CARRY((!\led_flash_cnt[3300][5]~73089\) # (!\led_flash_cnt[3300][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3300][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3300][5]~73089\,
	combout => \led_flash_cnt[3300][6]~73090_combout\,
	cout => \led_flash_cnt[3300][6]~73091\);

-- Location: FF_X35_Y34_N11
\led_flash_cnt[3300][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3300][6]~73090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3300][6]~q\);

-- Location: LCCOMB_X34_Y34_N0
\WideAnd3300~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3300~1_combout\ = (\led_flash_cnt[3300][6]~q\ & \led_flash_cnt[3300][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3300][6]~q\,
	datac => \led_flash_cnt[3300][5]~q\,
	combout => \WideAnd3300~1_combout\);

-- Location: LCCOMB_X35_Y34_N12
\led_flash_cnt[3300][7]~73092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3300][7]~73092_combout\ = \led_flash_cnt[3300][6]~73091\ $ (!\led_flash_cnt[3300][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3300][7]~q\,
	cin => \led_flash_cnt[3300][6]~73091\,
	combout => \led_flash_cnt[3300][7]~73092_combout\);

-- Location: FF_X35_Y34_N13
\led_flash_cnt[3300][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3300][7]~73092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3300][7]~q\);

-- Location: LCCOMB_X35_Y34_N16
\WideAnd3300~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3300~0_combout\ = (\led_flash_cnt[3300][4]~q\ & (\led_flash_cnt[3300][1]~q\ & (\led_flash_cnt[3300][3]~q\ & \led_flash_cnt[3300][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3300][4]~q\,
	datab => \led_flash_cnt[3300][1]~q\,
	datac => \led_flash_cnt[3300][3]~q\,
	datad => \led_flash_cnt[3300][2]~q\,
	combout => \WideAnd3300~0_combout\);

-- Location: LCCOMB_X34_Y34_N2
WideAnd3300 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3300~combout\ = (\led_flash_cnt[3300][0]~q\ & (\WideAnd3300~1_combout\ & (\led_flash_cnt[3300][7]~q\ & \WideAnd3300~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3300][0]~q\,
	datab => \WideAnd3300~1_combout\,
	datac => \led_flash_cnt[3300][7]~q\,
	datad => \WideAnd3300~0_combout\,
	combout => \WideAnd3300~combout\);

-- Location: FF_X34_Y36_N25
\led_flash_cnt_ands[3300]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd3300~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3300));

-- Location: LCCOMB_X34_Y36_N28
\led_flash_cnt[3301][0]~83941\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3301][0]~83941_combout\ = !\led_flash_cnt[3301][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3301][0]~q\,
	combout => \led_flash_cnt[3301][0]~83941_combout\);

-- Location: FF_X34_Y36_N29
\led_flash_cnt[3301][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3301][0]~83941_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3301][0]~q\);

-- Location: LCCOMB_X34_Y36_N2
\led_flash_cnt[3301][1]~73094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3301][1]~73094_combout\ = (\led_flash_cnt[3301][1]~q\ & (\led_flash_cnt[3301][0]~q\ $ (VCC))) # (!\led_flash_cnt[3301][1]~q\ & (\led_flash_cnt[3301][0]~q\ & VCC))
-- \led_flash_cnt[3301][1]~73095\ = CARRY((\led_flash_cnt[3301][1]~q\ & \led_flash_cnt[3301][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3301][1]~q\,
	datab => \led_flash_cnt[3301][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3301][1]~73094_combout\,
	cout => \led_flash_cnt[3301][1]~73095\);

-- Location: FF_X34_Y36_N3
\led_flash_cnt[3301][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3301][1]~73094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3301][1]~q\);

-- Location: LCCOMB_X34_Y36_N4
\led_flash_cnt[3301][2]~73096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3301][2]~73096_combout\ = (\led_flash_cnt[3301][2]~q\ & (!\led_flash_cnt[3301][1]~73095\)) # (!\led_flash_cnt[3301][2]~q\ & ((\led_flash_cnt[3301][1]~73095\) # (GND)))
-- \led_flash_cnt[3301][2]~73097\ = CARRY((!\led_flash_cnt[3301][1]~73095\) # (!\led_flash_cnt[3301][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3301][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3301][1]~73095\,
	combout => \led_flash_cnt[3301][2]~73096_combout\,
	cout => \led_flash_cnt[3301][2]~73097\);

-- Location: FF_X34_Y36_N5
\led_flash_cnt[3301][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3301][2]~73096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3301][2]~q\);

-- Location: LCCOMB_X34_Y36_N6
\led_flash_cnt[3301][3]~73098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3301][3]~73098_combout\ = (\led_flash_cnt[3301][3]~q\ & (\led_flash_cnt[3301][2]~73097\ $ (GND))) # (!\led_flash_cnt[3301][3]~q\ & (!\led_flash_cnt[3301][2]~73097\ & VCC))
-- \led_flash_cnt[3301][3]~73099\ = CARRY((\led_flash_cnt[3301][3]~q\ & !\led_flash_cnt[3301][2]~73097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3301][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3301][2]~73097\,
	combout => \led_flash_cnt[3301][3]~73098_combout\,
	cout => \led_flash_cnt[3301][3]~73099\);

-- Location: FF_X34_Y36_N7
\led_flash_cnt[3301][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3301][3]~73098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3301][3]~q\);

-- Location: LCCOMB_X34_Y36_N8
\led_flash_cnt[3301][4]~73100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3301][4]~73100_combout\ = (\led_flash_cnt[3301][4]~q\ & (!\led_flash_cnt[3301][3]~73099\)) # (!\led_flash_cnt[3301][4]~q\ & ((\led_flash_cnt[3301][3]~73099\) # (GND)))
-- \led_flash_cnt[3301][4]~73101\ = CARRY((!\led_flash_cnt[3301][3]~73099\) # (!\led_flash_cnt[3301][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3301][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3301][3]~73099\,
	combout => \led_flash_cnt[3301][4]~73100_combout\,
	cout => \led_flash_cnt[3301][4]~73101\);

-- Location: FF_X34_Y36_N9
\led_flash_cnt[3301][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3301][4]~73100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3301][4]~q\);

-- Location: LCCOMB_X34_Y36_N10
\led_flash_cnt[3301][5]~73102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3301][5]~73102_combout\ = (\led_flash_cnt[3301][5]~q\ & (\led_flash_cnt[3301][4]~73101\ $ (GND))) # (!\led_flash_cnt[3301][5]~q\ & (!\led_flash_cnt[3301][4]~73101\ & VCC))
-- \led_flash_cnt[3301][5]~73103\ = CARRY((\led_flash_cnt[3301][5]~q\ & !\led_flash_cnt[3301][4]~73101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3301][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3301][4]~73101\,
	combout => \led_flash_cnt[3301][5]~73102_combout\,
	cout => \led_flash_cnt[3301][5]~73103\);

-- Location: FF_X34_Y36_N11
\led_flash_cnt[3301][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3301][5]~73102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3301][5]~q\);

-- Location: LCCOMB_X34_Y36_N12
\led_flash_cnt[3301][6]~73104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3301][6]~73104_combout\ = (\led_flash_cnt[3301][6]~q\ & (!\led_flash_cnt[3301][5]~73103\)) # (!\led_flash_cnt[3301][6]~q\ & ((\led_flash_cnt[3301][5]~73103\) # (GND)))
-- \led_flash_cnt[3301][6]~73105\ = CARRY((!\led_flash_cnt[3301][5]~73103\) # (!\led_flash_cnt[3301][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3301][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3301][5]~73103\,
	combout => \led_flash_cnt[3301][6]~73104_combout\,
	cout => \led_flash_cnt[3301][6]~73105\);

-- Location: FF_X34_Y36_N13
\led_flash_cnt[3301][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3301][6]~73104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3301][6]~q\);

-- Location: LCCOMB_X34_Y36_N26
\WideAnd3301~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3301~1_combout\ = (\led_flash_cnt[3301][6]~q\ & \led_flash_cnt[3301][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3301][6]~q\,
	datad => \led_flash_cnt[3301][5]~q\,
	combout => \WideAnd3301~1_combout\);

-- Location: LCCOMB_X34_Y36_N20
\WideAnd3301~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3301~0_combout\ = (\led_flash_cnt[3301][3]~q\ & (\led_flash_cnt[3301][4]~q\ & (\led_flash_cnt[3301][2]~q\ & \led_flash_cnt[3301][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3301][3]~q\,
	datab => \led_flash_cnt[3301][4]~q\,
	datac => \led_flash_cnt[3301][2]~q\,
	datad => \led_flash_cnt[3301][1]~q\,
	combout => \WideAnd3301~0_combout\);

-- Location: LCCOMB_X34_Y36_N14
\led_flash_cnt[3301][7]~73106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3301][7]~73106_combout\ = \led_flash_cnt[3301][7]~q\ $ (!\led_flash_cnt[3301][6]~73105\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3301][7]~q\,
	cin => \led_flash_cnt[3301][6]~73105\,
	combout => \led_flash_cnt[3301][7]~73106_combout\);

-- Location: FF_X34_Y36_N15
\led_flash_cnt[3301][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3301][7]~73106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3301][7]~q\);

-- Location: LCCOMB_X34_Y36_N16
WideAnd3301 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3301~combout\ = (\WideAnd3301~1_combout\ & (\WideAnd3301~0_combout\ & (\led_flash_cnt[3301][7]~q\ & \led_flash_cnt[3301][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3301~1_combout\,
	datab => \WideAnd3301~0_combout\,
	datac => \led_flash_cnt[3301][7]~q\,
	datad => \led_flash_cnt[3301][0]~q\,
	combout => \WideAnd3301~combout\);

-- Location: FF_X34_Y36_N17
\led_flash_cnt_ands[3301]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3301~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3301));

-- Location: LCCOMB_X34_Y36_N24
\WideAnd4252~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4252~1_combout\ = (led_flash_cnt_ands(3300) & led_flash_cnt_ands(3301))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3300),
	datad => led_flash_cnt_ands(3301),
	combout => \WideAnd4252~1_combout\);

-- Location: LCCOMB_X4_Y36_N20
\led_flash_cnt[3302][0]~83942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3302][0]~83942_combout\ = !\led_flash_cnt[3302][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3302][0]~q\,
	combout => \led_flash_cnt[3302][0]~83942_combout\);

-- Location: FF_X4_Y36_N21
\led_flash_cnt[3302][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3302][0]~83942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3302][0]~q\);

-- Location: LCCOMB_X4_Y36_N0
\led_flash_cnt[3302][1]~73108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3302][1]~73108_combout\ = (\led_flash_cnt[3302][0]~q\ & (\led_flash_cnt[3302][1]~q\ $ (VCC))) # (!\led_flash_cnt[3302][0]~q\ & (\led_flash_cnt[3302][1]~q\ & VCC))
-- \led_flash_cnt[3302][1]~73109\ = CARRY((\led_flash_cnt[3302][0]~q\ & \led_flash_cnt[3302][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3302][0]~q\,
	datab => \led_flash_cnt[3302][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3302][1]~73108_combout\,
	cout => \led_flash_cnt[3302][1]~73109\);

-- Location: FF_X4_Y36_N1
\led_flash_cnt[3302][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3302][1]~73108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3302][1]~q\);

-- Location: LCCOMB_X4_Y36_N2
\led_flash_cnt[3302][2]~73110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3302][2]~73110_combout\ = (\led_flash_cnt[3302][2]~q\ & (!\led_flash_cnt[3302][1]~73109\)) # (!\led_flash_cnt[3302][2]~q\ & ((\led_flash_cnt[3302][1]~73109\) # (GND)))
-- \led_flash_cnt[3302][2]~73111\ = CARRY((!\led_flash_cnt[3302][1]~73109\) # (!\led_flash_cnt[3302][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3302][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3302][1]~73109\,
	combout => \led_flash_cnt[3302][2]~73110_combout\,
	cout => \led_flash_cnt[3302][2]~73111\);

-- Location: FF_X4_Y36_N3
\led_flash_cnt[3302][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3302][2]~73110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3302][2]~q\);

-- Location: LCCOMB_X4_Y36_N4
\led_flash_cnt[3302][3]~73112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3302][3]~73112_combout\ = (\led_flash_cnt[3302][3]~q\ & (\led_flash_cnt[3302][2]~73111\ $ (GND))) # (!\led_flash_cnt[3302][3]~q\ & (!\led_flash_cnt[3302][2]~73111\ & VCC))
-- \led_flash_cnt[3302][3]~73113\ = CARRY((\led_flash_cnt[3302][3]~q\ & !\led_flash_cnt[3302][2]~73111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3302][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3302][2]~73111\,
	combout => \led_flash_cnt[3302][3]~73112_combout\,
	cout => \led_flash_cnt[3302][3]~73113\);

-- Location: FF_X4_Y36_N5
\led_flash_cnt[3302][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3302][3]~73112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3302][3]~q\);

-- Location: LCCOMB_X4_Y36_N6
\led_flash_cnt[3302][4]~73114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3302][4]~73114_combout\ = (\led_flash_cnt[3302][4]~q\ & (!\led_flash_cnt[3302][3]~73113\)) # (!\led_flash_cnt[3302][4]~q\ & ((\led_flash_cnt[3302][3]~73113\) # (GND)))
-- \led_flash_cnt[3302][4]~73115\ = CARRY((!\led_flash_cnt[3302][3]~73113\) # (!\led_flash_cnt[3302][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3302][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3302][3]~73113\,
	combout => \led_flash_cnt[3302][4]~73114_combout\,
	cout => \led_flash_cnt[3302][4]~73115\);

-- Location: FF_X4_Y36_N7
\led_flash_cnt[3302][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3302][4]~73114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3302][4]~q\);

-- Location: LCCOMB_X4_Y36_N8
\led_flash_cnt[3302][5]~73116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3302][5]~73116_combout\ = (\led_flash_cnt[3302][5]~q\ & (\led_flash_cnt[3302][4]~73115\ $ (GND))) # (!\led_flash_cnt[3302][5]~q\ & (!\led_flash_cnt[3302][4]~73115\ & VCC))
-- \led_flash_cnt[3302][5]~73117\ = CARRY((\led_flash_cnt[3302][5]~q\ & !\led_flash_cnt[3302][4]~73115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3302][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3302][4]~73115\,
	combout => \led_flash_cnt[3302][5]~73116_combout\,
	cout => \led_flash_cnt[3302][5]~73117\);

-- Location: FF_X4_Y36_N9
\led_flash_cnt[3302][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3302][5]~73116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3302][5]~q\);

-- Location: LCCOMB_X4_Y36_N10
\led_flash_cnt[3302][6]~73118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3302][6]~73118_combout\ = (\led_flash_cnt[3302][6]~q\ & (!\led_flash_cnt[3302][5]~73117\)) # (!\led_flash_cnt[3302][6]~q\ & ((\led_flash_cnt[3302][5]~73117\) # (GND)))
-- \led_flash_cnt[3302][6]~73119\ = CARRY((!\led_flash_cnt[3302][5]~73117\) # (!\led_flash_cnt[3302][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3302][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3302][5]~73117\,
	combout => \led_flash_cnt[3302][6]~73118_combout\,
	cout => \led_flash_cnt[3302][6]~73119\);

-- Location: FF_X4_Y36_N11
\led_flash_cnt[3302][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3302][6]~73118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3302][6]~q\);

-- Location: LCCOMB_X4_Y36_N12
\led_flash_cnt[3302][7]~73120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3302][7]~73120_combout\ = \led_flash_cnt[3302][6]~73119\ $ (!\led_flash_cnt[3302][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3302][7]~q\,
	cin => \led_flash_cnt[3302][6]~73119\,
	combout => \led_flash_cnt[3302][7]~73120_combout\);

-- Location: FF_X4_Y36_N13
\led_flash_cnt[3302][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3302][7]~73120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3302][7]~q\);

-- Location: LCCOMB_X4_Y36_N30
\WideAnd3302~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3302~0_combout\ = (\led_flash_cnt[3302][4]~q\ & (\led_flash_cnt[3302][2]~q\ & (\led_flash_cnt[3302][3]~q\ & \led_flash_cnt[3302][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3302][4]~q\,
	datab => \led_flash_cnt[3302][2]~q\,
	datac => \led_flash_cnt[3302][3]~q\,
	datad => \led_flash_cnt[3302][1]~q\,
	combout => \WideAnd3302~0_combout\);

-- Location: LCCOMB_X4_Y36_N18
\WideAnd3302~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3302~1_combout\ = (\led_flash_cnt[3302][5]~q\ & \led_flash_cnt[3302][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3302][5]~q\,
	datad => \led_flash_cnt[3302][6]~q\,
	combout => \WideAnd3302~1_combout\);

-- Location: LCCOMB_X4_Y36_N24
WideAnd3302 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3302~combout\ = (\led_flash_cnt[3302][7]~q\ & (\led_flash_cnt[3302][0]~q\ & (\WideAnd3302~0_combout\ & \WideAnd3302~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3302][7]~q\,
	datab => \led_flash_cnt[3302][0]~q\,
	datac => \WideAnd3302~0_combout\,
	datad => \WideAnd3302~1_combout\,
	combout => \WideAnd3302~combout\);

-- Location: FF_X4_Y36_N25
\led_flash_cnt_ands[3302]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3302~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3302));

-- Location: LCCOMB_X4_Y36_N14
WideAnd4252 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4252~combout\ = (\WideAnd4252~0_combout\ & (led_flash_cnt_ands(3303) & (\WideAnd4252~1_combout\ & led_flash_cnt_ands(3302))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4252~0_combout\,
	datab => led_flash_cnt_ands(3303),
	datac => \WideAnd4252~1_combout\,
	datad => led_flash_cnt_ands(3302),
	combout => \WideAnd4252~combout\);

-- Location: FF_X4_Y36_N15
\led_flash_cnt_ands_1[412]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4252~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(412));

-- Location: LCCOMB_X70_Y13_N12
\led_flash_cnt[3306][0]~83946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3306][0]~83946_combout\ = !\led_flash_cnt[3306][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3306][0]~q\,
	combout => \led_flash_cnt[3306][0]~83946_combout\);

-- Location: FF_X70_Y13_N13
\led_flash_cnt[3306][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3306][0]~83946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3306][0]~q\);

-- Location: LCCOMB_X70_Y13_N14
\led_flash_cnt[3306][1]~73164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3306][1]~73164_combout\ = (\led_flash_cnt[3306][0]~q\ & (\led_flash_cnt[3306][1]~q\ $ (VCC))) # (!\led_flash_cnt[3306][0]~q\ & (\led_flash_cnt[3306][1]~q\ & VCC))
-- \led_flash_cnt[3306][1]~73165\ = CARRY((\led_flash_cnt[3306][0]~q\ & \led_flash_cnt[3306][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3306][0]~q\,
	datab => \led_flash_cnt[3306][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3306][1]~73164_combout\,
	cout => \led_flash_cnt[3306][1]~73165\);

-- Location: FF_X70_Y13_N15
\led_flash_cnt[3306][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3306][1]~73164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3306][1]~q\);

-- Location: LCCOMB_X70_Y13_N16
\led_flash_cnt[3306][2]~73166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3306][2]~73166_combout\ = (\led_flash_cnt[3306][2]~q\ & (!\led_flash_cnt[3306][1]~73165\)) # (!\led_flash_cnt[3306][2]~q\ & ((\led_flash_cnt[3306][1]~73165\) # (GND)))
-- \led_flash_cnt[3306][2]~73167\ = CARRY((!\led_flash_cnt[3306][1]~73165\) # (!\led_flash_cnt[3306][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3306][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3306][1]~73165\,
	combout => \led_flash_cnt[3306][2]~73166_combout\,
	cout => \led_flash_cnt[3306][2]~73167\);

-- Location: FF_X70_Y13_N17
\led_flash_cnt[3306][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3306][2]~73166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3306][2]~q\);

-- Location: LCCOMB_X70_Y13_N18
\led_flash_cnt[3306][3]~73168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3306][3]~73168_combout\ = (\led_flash_cnt[3306][3]~q\ & (\led_flash_cnt[3306][2]~73167\ $ (GND))) # (!\led_flash_cnt[3306][3]~q\ & (!\led_flash_cnt[3306][2]~73167\ & VCC))
-- \led_flash_cnt[3306][3]~73169\ = CARRY((\led_flash_cnt[3306][3]~q\ & !\led_flash_cnt[3306][2]~73167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3306][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3306][2]~73167\,
	combout => \led_flash_cnt[3306][3]~73168_combout\,
	cout => \led_flash_cnt[3306][3]~73169\);

-- Location: FF_X70_Y13_N19
\led_flash_cnt[3306][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3306][3]~73168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3306][3]~q\);

-- Location: LCCOMB_X70_Y13_N20
\led_flash_cnt[3306][4]~73170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3306][4]~73170_combout\ = (\led_flash_cnt[3306][4]~q\ & (!\led_flash_cnt[3306][3]~73169\)) # (!\led_flash_cnt[3306][4]~q\ & ((\led_flash_cnt[3306][3]~73169\) # (GND)))
-- \led_flash_cnt[3306][4]~73171\ = CARRY((!\led_flash_cnt[3306][3]~73169\) # (!\led_flash_cnt[3306][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3306][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3306][3]~73169\,
	combout => \led_flash_cnt[3306][4]~73170_combout\,
	cout => \led_flash_cnt[3306][4]~73171\);

-- Location: FF_X70_Y13_N21
\led_flash_cnt[3306][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3306][4]~73170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3306][4]~q\);

-- Location: LCCOMB_X70_Y13_N22
\led_flash_cnt[3306][5]~73172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3306][5]~73172_combout\ = (\led_flash_cnt[3306][5]~q\ & (\led_flash_cnt[3306][4]~73171\ $ (GND))) # (!\led_flash_cnt[3306][5]~q\ & (!\led_flash_cnt[3306][4]~73171\ & VCC))
-- \led_flash_cnt[3306][5]~73173\ = CARRY((\led_flash_cnt[3306][5]~q\ & !\led_flash_cnt[3306][4]~73171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3306][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3306][4]~73171\,
	combout => \led_flash_cnt[3306][5]~73172_combout\,
	cout => \led_flash_cnt[3306][5]~73173\);

-- Location: FF_X70_Y13_N23
\led_flash_cnt[3306][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3306][5]~73172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3306][5]~q\);

-- Location: LCCOMB_X70_Y13_N24
\led_flash_cnt[3306][6]~73174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3306][6]~73174_combout\ = (\led_flash_cnt[3306][6]~q\ & (!\led_flash_cnt[3306][5]~73173\)) # (!\led_flash_cnt[3306][6]~q\ & ((\led_flash_cnt[3306][5]~73173\) # (GND)))
-- \led_flash_cnt[3306][6]~73175\ = CARRY((!\led_flash_cnt[3306][5]~73173\) # (!\led_flash_cnt[3306][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3306][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3306][5]~73173\,
	combout => \led_flash_cnt[3306][6]~73174_combout\,
	cout => \led_flash_cnt[3306][6]~73175\);

-- Location: FF_X70_Y13_N25
\led_flash_cnt[3306][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3306][6]~73174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3306][6]~q\);

-- Location: LCCOMB_X70_Y13_N26
\led_flash_cnt[3306][7]~73176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3306][7]~73176_combout\ = \led_flash_cnt[3306][7]~q\ $ (!\led_flash_cnt[3306][6]~73175\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3306][7]~q\,
	cin => \led_flash_cnt[3306][6]~73175\,
	combout => \led_flash_cnt[3306][7]~73176_combout\);

-- Location: FF_X70_Y13_N27
\led_flash_cnt[3306][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3306][7]~73176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3306][7]~q\);

-- Location: LCCOMB_X70_Y13_N2
\WideAnd3306~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3306~1_combout\ = (\led_flash_cnt[3306][5]~q\ & \led_flash_cnt[3306][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3306][5]~q\,
	datad => \led_flash_cnt[3306][6]~q\,
	combout => \WideAnd3306~1_combout\);

-- Location: LCCOMB_X70_Y13_N4
\WideAnd3306~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3306~0_combout\ = (\led_flash_cnt[3306][2]~q\ & (\led_flash_cnt[3306][4]~q\ & (\led_flash_cnt[3306][1]~q\ & \led_flash_cnt[3306][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3306][2]~q\,
	datab => \led_flash_cnt[3306][4]~q\,
	datac => \led_flash_cnt[3306][1]~q\,
	datad => \led_flash_cnt[3306][3]~q\,
	combout => \WideAnd3306~0_combout\);

-- Location: LCCOMB_X70_Y13_N10
WideAnd3306 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3306~combout\ = (\led_flash_cnt[3306][7]~q\ & (\WideAnd3306~1_combout\ & (\WideAnd3306~0_combout\ & \led_flash_cnt[3306][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3306][7]~q\,
	datab => \WideAnd3306~1_combout\,
	datac => \WideAnd3306~0_combout\,
	datad => \led_flash_cnt[3306][0]~q\,
	combout => \WideAnd3306~combout\);

-- Location: FF_X70_Y13_N11
\led_flash_cnt_ands[3306]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3306~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3306));

-- Location: LCCOMB_X71_Y13_N24
\led_flash_cnt[3305][0]~83945\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3305][0]~83945_combout\ = !\led_flash_cnt[3305][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3305][0]~q\,
	combout => \led_flash_cnt[3305][0]~83945_combout\);

-- Location: FF_X71_Y13_N25
\led_flash_cnt[3305][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3305][0]~83945_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3305][0]~q\);

-- Location: LCCOMB_X71_Y13_N6
\led_flash_cnt[3305][1]~73150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3305][1]~73150_combout\ = (\led_flash_cnt[3305][1]~q\ & (\led_flash_cnt[3305][0]~q\ $ (VCC))) # (!\led_flash_cnt[3305][1]~q\ & (\led_flash_cnt[3305][0]~q\ & VCC))
-- \led_flash_cnt[3305][1]~73151\ = CARRY((\led_flash_cnt[3305][1]~q\ & \led_flash_cnt[3305][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3305][1]~q\,
	datab => \led_flash_cnt[3305][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3305][1]~73150_combout\,
	cout => \led_flash_cnt[3305][1]~73151\);

-- Location: FF_X71_Y13_N7
\led_flash_cnt[3305][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3305][1]~73150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3305][1]~q\);

-- Location: LCCOMB_X71_Y13_N8
\led_flash_cnt[3305][2]~73152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3305][2]~73152_combout\ = (\led_flash_cnt[3305][2]~q\ & (!\led_flash_cnt[3305][1]~73151\)) # (!\led_flash_cnt[3305][2]~q\ & ((\led_flash_cnt[3305][1]~73151\) # (GND)))
-- \led_flash_cnt[3305][2]~73153\ = CARRY((!\led_flash_cnt[3305][1]~73151\) # (!\led_flash_cnt[3305][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3305][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3305][1]~73151\,
	combout => \led_flash_cnt[3305][2]~73152_combout\,
	cout => \led_flash_cnt[3305][2]~73153\);

-- Location: FF_X71_Y13_N9
\led_flash_cnt[3305][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3305][2]~73152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3305][2]~q\);

-- Location: LCCOMB_X71_Y13_N10
\led_flash_cnt[3305][3]~73154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3305][3]~73154_combout\ = (\led_flash_cnt[3305][3]~q\ & (\led_flash_cnt[3305][2]~73153\ $ (GND))) # (!\led_flash_cnt[3305][3]~q\ & (!\led_flash_cnt[3305][2]~73153\ & VCC))
-- \led_flash_cnt[3305][3]~73155\ = CARRY((\led_flash_cnt[3305][3]~q\ & !\led_flash_cnt[3305][2]~73153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3305][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3305][2]~73153\,
	combout => \led_flash_cnt[3305][3]~73154_combout\,
	cout => \led_flash_cnt[3305][3]~73155\);

-- Location: FF_X71_Y13_N11
\led_flash_cnt[3305][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3305][3]~73154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3305][3]~q\);

-- Location: LCCOMB_X71_Y13_N12
\led_flash_cnt[3305][4]~73156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3305][4]~73156_combout\ = (\led_flash_cnt[3305][4]~q\ & (!\led_flash_cnt[3305][3]~73155\)) # (!\led_flash_cnt[3305][4]~q\ & ((\led_flash_cnt[3305][3]~73155\) # (GND)))
-- \led_flash_cnt[3305][4]~73157\ = CARRY((!\led_flash_cnt[3305][3]~73155\) # (!\led_flash_cnt[3305][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3305][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3305][3]~73155\,
	combout => \led_flash_cnt[3305][4]~73156_combout\,
	cout => \led_flash_cnt[3305][4]~73157\);

-- Location: FF_X71_Y13_N13
\led_flash_cnt[3305][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3305][4]~73156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3305][4]~q\);

-- Location: LCCOMB_X71_Y13_N22
\WideAnd3305~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3305~0_combout\ = (\led_flash_cnt[3305][4]~q\ & (\led_flash_cnt[3305][3]~q\ & (\led_flash_cnt[3305][2]~q\ & \led_flash_cnt[3305][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3305][4]~q\,
	datab => \led_flash_cnt[3305][3]~q\,
	datac => \led_flash_cnt[3305][2]~q\,
	datad => \led_flash_cnt[3305][1]~q\,
	combout => \WideAnd3305~0_combout\);

-- Location: LCCOMB_X71_Y13_N14
\led_flash_cnt[3305][5]~73158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3305][5]~73158_combout\ = (\led_flash_cnt[3305][5]~q\ & (\led_flash_cnt[3305][4]~73157\ $ (GND))) # (!\led_flash_cnt[3305][5]~q\ & (!\led_flash_cnt[3305][4]~73157\ & VCC))
-- \led_flash_cnt[3305][5]~73159\ = CARRY((\led_flash_cnt[3305][5]~q\ & !\led_flash_cnt[3305][4]~73157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3305][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3305][4]~73157\,
	combout => \led_flash_cnt[3305][5]~73158_combout\,
	cout => \led_flash_cnt[3305][5]~73159\);

-- Location: FF_X71_Y13_N15
\led_flash_cnt[3305][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3305][5]~73158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3305][5]~q\);

-- Location: LCCOMB_X71_Y13_N16
\led_flash_cnt[3305][6]~73160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3305][6]~73160_combout\ = (\led_flash_cnt[3305][6]~q\ & (!\led_flash_cnt[3305][5]~73159\)) # (!\led_flash_cnt[3305][6]~q\ & ((\led_flash_cnt[3305][5]~73159\) # (GND)))
-- \led_flash_cnt[3305][6]~73161\ = CARRY((!\led_flash_cnt[3305][5]~73159\) # (!\led_flash_cnt[3305][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3305][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3305][5]~73159\,
	combout => \led_flash_cnt[3305][6]~73160_combout\,
	cout => \led_flash_cnt[3305][6]~73161\);

-- Location: FF_X71_Y13_N17
\led_flash_cnt[3305][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3305][6]~73160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3305][6]~q\);

-- Location: LCCOMB_X71_Y13_N26
\WideAnd3305~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3305~1_combout\ = (\led_flash_cnt[3305][5]~q\ & \led_flash_cnt[3305][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3305][5]~q\,
	datad => \led_flash_cnt[3305][6]~q\,
	combout => \WideAnd3305~1_combout\);

-- Location: LCCOMB_X71_Y13_N18
\led_flash_cnt[3305][7]~73162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3305][7]~73162_combout\ = \led_flash_cnt[3305][6]~73161\ $ (!\led_flash_cnt[3305][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3305][7]~q\,
	cin => \led_flash_cnt[3305][6]~73161\,
	combout => \led_flash_cnt[3305][7]~73162_combout\);

-- Location: FF_X71_Y13_N19
\led_flash_cnt[3305][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3305][7]~73162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3305][7]~q\);

-- Location: LCCOMB_X71_Y13_N28
WideAnd3305 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3305~combout\ = (\WideAnd3305~0_combout\ & (\led_flash_cnt[3305][0]~q\ & (\WideAnd3305~1_combout\ & \led_flash_cnt[3305][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3305~0_combout\,
	datab => \led_flash_cnt[3305][0]~q\,
	datac => \WideAnd3305~1_combout\,
	datad => \led_flash_cnt[3305][7]~q\,
	combout => \WideAnd3305~combout\);

-- Location: FF_X71_Y13_N29
\led_flash_cnt_ands[3305]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3305~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3305));

-- Location: LCCOMB_X69_Y13_N24
\led_flash_cnt[3307][0]~83947\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3307][0]~83947_combout\ = !\led_flash_cnt[3307][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3307][0]~q\,
	combout => \led_flash_cnt[3307][0]~83947_combout\);

-- Location: FF_X69_Y13_N25
\led_flash_cnt[3307][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3307][0]~83947_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3307][0]~q\);

-- Location: LCCOMB_X69_Y13_N6
\led_flash_cnt[3307][1]~73178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3307][1]~73178_combout\ = (\led_flash_cnt[3307][1]~q\ & (\led_flash_cnt[3307][0]~q\ $ (VCC))) # (!\led_flash_cnt[3307][1]~q\ & (\led_flash_cnt[3307][0]~q\ & VCC))
-- \led_flash_cnt[3307][1]~73179\ = CARRY((\led_flash_cnt[3307][1]~q\ & \led_flash_cnt[3307][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3307][1]~q\,
	datab => \led_flash_cnt[3307][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3307][1]~73178_combout\,
	cout => \led_flash_cnt[3307][1]~73179\);

-- Location: FF_X69_Y13_N7
\led_flash_cnt[3307][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3307][1]~73178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3307][1]~q\);

-- Location: LCCOMB_X69_Y13_N8
\led_flash_cnt[3307][2]~73180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3307][2]~73180_combout\ = (\led_flash_cnt[3307][2]~q\ & (!\led_flash_cnt[3307][1]~73179\)) # (!\led_flash_cnt[3307][2]~q\ & ((\led_flash_cnt[3307][1]~73179\) # (GND)))
-- \led_flash_cnt[3307][2]~73181\ = CARRY((!\led_flash_cnt[3307][1]~73179\) # (!\led_flash_cnt[3307][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3307][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3307][1]~73179\,
	combout => \led_flash_cnt[3307][2]~73180_combout\,
	cout => \led_flash_cnt[3307][2]~73181\);

-- Location: FF_X69_Y13_N9
\led_flash_cnt[3307][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3307][2]~73180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3307][2]~q\);

-- Location: LCCOMB_X69_Y13_N10
\led_flash_cnt[3307][3]~73182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3307][3]~73182_combout\ = (\led_flash_cnt[3307][3]~q\ & (\led_flash_cnt[3307][2]~73181\ $ (GND))) # (!\led_flash_cnt[3307][3]~q\ & (!\led_flash_cnt[3307][2]~73181\ & VCC))
-- \led_flash_cnt[3307][3]~73183\ = CARRY((\led_flash_cnt[3307][3]~q\ & !\led_flash_cnt[3307][2]~73181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3307][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3307][2]~73181\,
	combout => \led_flash_cnt[3307][3]~73182_combout\,
	cout => \led_flash_cnt[3307][3]~73183\);

-- Location: FF_X69_Y13_N11
\led_flash_cnt[3307][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3307][3]~73182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3307][3]~q\);

-- Location: LCCOMB_X69_Y13_N12
\led_flash_cnt[3307][4]~73184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3307][4]~73184_combout\ = (\led_flash_cnt[3307][4]~q\ & (!\led_flash_cnt[3307][3]~73183\)) # (!\led_flash_cnt[3307][4]~q\ & ((\led_flash_cnt[3307][3]~73183\) # (GND)))
-- \led_flash_cnt[3307][4]~73185\ = CARRY((!\led_flash_cnt[3307][3]~73183\) # (!\led_flash_cnt[3307][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3307][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3307][3]~73183\,
	combout => \led_flash_cnt[3307][4]~73184_combout\,
	cout => \led_flash_cnt[3307][4]~73185\);

-- Location: FF_X69_Y13_N13
\led_flash_cnt[3307][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3307][4]~73184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3307][4]~q\);

-- Location: LCCOMB_X69_Y13_N22
\WideAnd3307~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3307~0_combout\ = (\led_flash_cnt[3307][3]~q\ & (\led_flash_cnt[3307][4]~q\ & (\led_flash_cnt[3307][2]~q\ & \led_flash_cnt[3307][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3307][3]~q\,
	datab => \led_flash_cnt[3307][4]~q\,
	datac => \led_flash_cnt[3307][2]~q\,
	datad => \led_flash_cnt[3307][1]~q\,
	combout => \WideAnd3307~0_combout\);

-- Location: LCCOMB_X69_Y13_N14
\led_flash_cnt[3307][5]~73186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3307][5]~73186_combout\ = (\led_flash_cnt[3307][5]~q\ & (\led_flash_cnt[3307][4]~73185\ $ (GND))) # (!\led_flash_cnt[3307][5]~q\ & (!\led_flash_cnt[3307][4]~73185\ & VCC))
-- \led_flash_cnt[3307][5]~73187\ = CARRY((\led_flash_cnt[3307][5]~q\ & !\led_flash_cnt[3307][4]~73185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3307][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3307][4]~73185\,
	combout => \led_flash_cnt[3307][5]~73186_combout\,
	cout => \led_flash_cnt[3307][5]~73187\);

-- Location: FF_X69_Y13_N15
\led_flash_cnt[3307][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3307][5]~73186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3307][5]~q\);

-- Location: LCCOMB_X69_Y13_N16
\led_flash_cnt[3307][6]~73188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3307][6]~73188_combout\ = (\led_flash_cnt[3307][6]~q\ & (!\led_flash_cnt[3307][5]~73187\)) # (!\led_flash_cnt[3307][6]~q\ & ((\led_flash_cnt[3307][5]~73187\) # (GND)))
-- \led_flash_cnt[3307][6]~73189\ = CARRY((!\led_flash_cnt[3307][5]~73187\) # (!\led_flash_cnt[3307][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3307][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3307][5]~73187\,
	combout => \led_flash_cnt[3307][6]~73188_combout\,
	cout => \led_flash_cnt[3307][6]~73189\);

-- Location: FF_X69_Y13_N17
\led_flash_cnt[3307][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3307][6]~73188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3307][6]~q\);

-- Location: LCCOMB_X69_Y13_N18
\led_flash_cnt[3307][7]~73190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3307][7]~73190_combout\ = \led_flash_cnt[3307][6]~73189\ $ (!\led_flash_cnt[3307][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3307][7]~q\,
	cin => \led_flash_cnt[3307][6]~73189\,
	combout => \led_flash_cnt[3307][7]~73190_combout\);

-- Location: FF_X69_Y13_N19
\led_flash_cnt[3307][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3307][7]~73190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3307][7]~q\);

-- Location: LCCOMB_X69_Y13_N4
\WideAnd3307~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3307~1_combout\ = (\led_flash_cnt[3307][5]~q\ & \led_flash_cnt[3307][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3307][5]~q\,
	datad => \led_flash_cnt[3307][6]~q\,
	combout => \WideAnd3307~1_combout\);

-- Location: LCCOMB_X69_Y13_N26
WideAnd3307 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3307~combout\ = (\WideAnd3307~0_combout\ & (\led_flash_cnt[3307][7]~q\ & (\WideAnd3307~1_combout\ & \led_flash_cnt[3307][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3307~0_combout\,
	datab => \led_flash_cnt[3307][7]~q\,
	datac => \WideAnd3307~1_combout\,
	datad => \led_flash_cnt[3307][0]~q\,
	combout => \WideAnd3307~combout\);

-- Location: FF_X69_Y13_N27
\led_flash_cnt_ands[3307]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3307~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3307));

-- Location: LCCOMB_X74_Y11_N12
\led_flash_cnt[3304][0]~83944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3304][0]~83944_combout\ = !\led_flash_cnt[3304][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3304][0]~q\,
	combout => \led_flash_cnt[3304][0]~83944_combout\);

-- Location: FF_X74_Y11_N13
\led_flash_cnt[3304][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3304][0]~83944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3304][0]~q\);

-- Location: LCCOMB_X74_Y11_N14
\led_flash_cnt[3304][1]~73136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3304][1]~73136_combout\ = (\led_flash_cnt[3304][0]~q\ & (\led_flash_cnt[3304][1]~q\ $ (VCC))) # (!\led_flash_cnt[3304][0]~q\ & (\led_flash_cnt[3304][1]~q\ & VCC))
-- \led_flash_cnt[3304][1]~73137\ = CARRY((\led_flash_cnt[3304][0]~q\ & \led_flash_cnt[3304][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3304][0]~q\,
	datab => \led_flash_cnt[3304][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3304][1]~73136_combout\,
	cout => \led_flash_cnt[3304][1]~73137\);

-- Location: FF_X74_Y11_N15
\led_flash_cnt[3304][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3304][1]~73136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3304][1]~q\);

-- Location: LCCOMB_X74_Y11_N16
\led_flash_cnt[3304][2]~73138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3304][2]~73138_combout\ = (\led_flash_cnt[3304][2]~q\ & (!\led_flash_cnt[3304][1]~73137\)) # (!\led_flash_cnt[3304][2]~q\ & ((\led_flash_cnt[3304][1]~73137\) # (GND)))
-- \led_flash_cnt[3304][2]~73139\ = CARRY((!\led_flash_cnt[3304][1]~73137\) # (!\led_flash_cnt[3304][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3304][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3304][1]~73137\,
	combout => \led_flash_cnt[3304][2]~73138_combout\,
	cout => \led_flash_cnt[3304][2]~73139\);

-- Location: FF_X74_Y11_N17
\led_flash_cnt[3304][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3304][2]~73138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3304][2]~q\);

-- Location: LCCOMB_X74_Y11_N18
\led_flash_cnt[3304][3]~73140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3304][3]~73140_combout\ = (\led_flash_cnt[3304][3]~q\ & (\led_flash_cnt[3304][2]~73139\ $ (GND))) # (!\led_flash_cnt[3304][3]~q\ & (!\led_flash_cnt[3304][2]~73139\ & VCC))
-- \led_flash_cnt[3304][3]~73141\ = CARRY((\led_flash_cnt[3304][3]~q\ & !\led_flash_cnt[3304][2]~73139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3304][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3304][2]~73139\,
	combout => \led_flash_cnt[3304][3]~73140_combout\,
	cout => \led_flash_cnt[3304][3]~73141\);

-- Location: FF_X74_Y11_N19
\led_flash_cnt[3304][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3304][3]~73140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3304][3]~q\);

-- Location: LCCOMB_X74_Y11_N20
\led_flash_cnt[3304][4]~73142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3304][4]~73142_combout\ = (\led_flash_cnt[3304][4]~q\ & (!\led_flash_cnt[3304][3]~73141\)) # (!\led_flash_cnt[3304][4]~q\ & ((\led_flash_cnt[3304][3]~73141\) # (GND)))
-- \led_flash_cnt[3304][4]~73143\ = CARRY((!\led_flash_cnt[3304][3]~73141\) # (!\led_flash_cnt[3304][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3304][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3304][3]~73141\,
	combout => \led_flash_cnt[3304][4]~73142_combout\,
	cout => \led_flash_cnt[3304][4]~73143\);

-- Location: FF_X74_Y11_N21
\led_flash_cnt[3304][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3304][4]~73142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3304][4]~q\);

-- Location: LCCOMB_X74_Y11_N22
\led_flash_cnt[3304][5]~73144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3304][5]~73144_combout\ = (\led_flash_cnt[3304][5]~q\ & (\led_flash_cnt[3304][4]~73143\ $ (GND))) # (!\led_flash_cnt[3304][5]~q\ & (!\led_flash_cnt[3304][4]~73143\ & VCC))
-- \led_flash_cnt[3304][5]~73145\ = CARRY((\led_flash_cnt[3304][5]~q\ & !\led_flash_cnt[3304][4]~73143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3304][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3304][4]~73143\,
	combout => \led_flash_cnt[3304][5]~73144_combout\,
	cout => \led_flash_cnt[3304][5]~73145\);

-- Location: FF_X74_Y11_N23
\led_flash_cnt[3304][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3304][5]~73144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3304][5]~q\);

-- Location: LCCOMB_X74_Y11_N24
\led_flash_cnt[3304][6]~73146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3304][6]~73146_combout\ = (\led_flash_cnt[3304][6]~q\ & (!\led_flash_cnt[3304][5]~73145\)) # (!\led_flash_cnt[3304][6]~q\ & ((\led_flash_cnt[3304][5]~73145\) # (GND)))
-- \led_flash_cnt[3304][6]~73147\ = CARRY((!\led_flash_cnt[3304][5]~73145\) # (!\led_flash_cnt[3304][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3304][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3304][5]~73145\,
	combout => \led_flash_cnt[3304][6]~73146_combout\,
	cout => \led_flash_cnt[3304][6]~73147\);

-- Location: FF_X74_Y11_N25
\led_flash_cnt[3304][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3304][6]~73146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3304][6]~q\);

-- Location: LCCOMB_X74_Y11_N26
\led_flash_cnt[3304][7]~73148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3304][7]~73148_combout\ = \led_flash_cnt[3304][7]~q\ $ (!\led_flash_cnt[3304][6]~73147\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3304][7]~q\,
	cin => \led_flash_cnt[3304][6]~73147\,
	combout => \led_flash_cnt[3304][7]~73148_combout\);

-- Location: FF_X74_Y11_N27
\led_flash_cnt[3304][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3304][7]~73148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3304][7]~q\);

-- Location: LCCOMB_X74_Y11_N28
\WideAnd3304~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3304~1_combout\ = (\led_flash_cnt[3304][5]~q\ & \led_flash_cnt[3304][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3304][5]~q\,
	datad => \led_flash_cnt[3304][6]~q\,
	combout => \WideAnd3304~1_combout\);

-- Location: LCCOMB_X74_Y11_N8
\WideAnd3304~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3304~0_combout\ = (\led_flash_cnt[3304][4]~q\ & (\led_flash_cnt[3304][3]~q\ & (\led_flash_cnt[3304][1]~q\ & \led_flash_cnt[3304][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3304][4]~q\,
	datab => \led_flash_cnt[3304][3]~q\,
	datac => \led_flash_cnt[3304][1]~q\,
	datad => \led_flash_cnt[3304][2]~q\,
	combout => \WideAnd3304~0_combout\);

-- Location: LCCOMB_X74_Y11_N10
WideAnd3304 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3304~combout\ = (\led_flash_cnt[3304][7]~q\ & (\WideAnd3304~1_combout\ & (\WideAnd3304~0_combout\ & \led_flash_cnt[3304][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3304][7]~q\,
	datab => \WideAnd3304~1_combout\,
	datac => \WideAnd3304~0_combout\,
	datad => \led_flash_cnt[3304][0]~q\,
	combout => \WideAnd3304~combout\);

-- Location: FF_X74_Y11_N11
\led_flash_cnt_ands[3304]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3304~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3304));

-- Location: LCCOMB_X70_Y13_N28
\WideAnd4253~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4253~0_combout\ = (led_flash_cnt_ands(3306) & (led_flash_cnt_ands(3305) & (led_flash_cnt_ands(3307) & led_flash_cnt_ands(3304))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3306),
	datab => led_flash_cnt_ands(3305),
	datac => led_flash_cnt_ands(3307),
	datad => led_flash_cnt_ands(3304),
	combout => \WideAnd4253~0_combout\);

-- Location: LCCOMB_X49_Y13_N26
\led_flash_cnt[3310][0]~83950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3310][0]~83950_combout\ = !\led_flash_cnt[3310][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3310][0]~q\,
	combout => \led_flash_cnt[3310][0]~83950_combout\);

-- Location: FF_X49_Y13_N27
\led_flash_cnt[3310][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3310][0]~83950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3310][0]~q\);

-- Location: LCCOMB_X49_Y13_N8
\led_flash_cnt[3310][1]~73220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3310][1]~73220_combout\ = (\led_flash_cnt[3310][0]~q\ & (\led_flash_cnt[3310][1]~q\ $ (VCC))) # (!\led_flash_cnt[3310][0]~q\ & (\led_flash_cnt[3310][1]~q\ & VCC))
-- \led_flash_cnt[3310][1]~73221\ = CARRY((\led_flash_cnt[3310][0]~q\ & \led_flash_cnt[3310][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3310][0]~q\,
	datab => \led_flash_cnt[3310][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3310][1]~73220_combout\,
	cout => \led_flash_cnt[3310][1]~73221\);

-- Location: FF_X49_Y13_N9
\led_flash_cnt[3310][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3310][1]~73220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3310][1]~q\);

-- Location: LCCOMB_X49_Y13_N10
\led_flash_cnt[3310][2]~73222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3310][2]~73222_combout\ = (\led_flash_cnt[3310][2]~q\ & (!\led_flash_cnt[3310][1]~73221\)) # (!\led_flash_cnt[3310][2]~q\ & ((\led_flash_cnt[3310][1]~73221\) # (GND)))
-- \led_flash_cnt[3310][2]~73223\ = CARRY((!\led_flash_cnt[3310][1]~73221\) # (!\led_flash_cnt[3310][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3310][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3310][1]~73221\,
	combout => \led_flash_cnt[3310][2]~73222_combout\,
	cout => \led_flash_cnt[3310][2]~73223\);

-- Location: FF_X49_Y13_N11
\led_flash_cnt[3310][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3310][2]~73222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3310][2]~q\);

-- Location: LCCOMB_X49_Y13_N12
\led_flash_cnt[3310][3]~73224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3310][3]~73224_combout\ = (\led_flash_cnt[3310][3]~q\ & (\led_flash_cnt[3310][2]~73223\ $ (GND))) # (!\led_flash_cnt[3310][3]~q\ & (!\led_flash_cnt[3310][2]~73223\ & VCC))
-- \led_flash_cnt[3310][3]~73225\ = CARRY((\led_flash_cnt[3310][3]~q\ & !\led_flash_cnt[3310][2]~73223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3310][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3310][2]~73223\,
	combout => \led_flash_cnt[3310][3]~73224_combout\,
	cout => \led_flash_cnt[3310][3]~73225\);

-- Location: FF_X49_Y13_N13
\led_flash_cnt[3310][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3310][3]~73224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3310][3]~q\);

-- Location: LCCOMB_X49_Y13_N14
\led_flash_cnt[3310][4]~73226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3310][4]~73226_combout\ = (\led_flash_cnt[3310][4]~q\ & (!\led_flash_cnt[3310][3]~73225\)) # (!\led_flash_cnt[3310][4]~q\ & ((\led_flash_cnt[3310][3]~73225\) # (GND)))
-- \led_flash_cnt[3310][4]~73227\ = CARRY((!\led_flash_cnt[3310][3]~73225\) # (!\led_flash_cnt[3310][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3310][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3310][3]~73225\,
	combout => \led_flash_cnt[3310][4]~73226_combout\,
	cout => \led_flash_cnt[3310][4]~73227\);

-- Location: FF_X49_Y13_N15
\led_flash_cnt[3310][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3310][4]~73226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3310][4]~q\);

-- Location: LCCOMB_X49_Y13_N22
\WideAnd3310~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3310~0_combout\ = (\led_flash_cnt[3310][2]~q\ & (\led_flash_cnt[3310][4]~q\ & (\led_flash_cnt[3310][1]~q\ & \led_flash_cnt[3310][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3310][2]~q\,
	datab => \led_flash_cnt[3310][4]~q\,
	datac => \led_flash_cnt[3310][1]~q\,
	datad => \led_flash_cnt[3310][3]~q\,
	combout => \WideAnd3310~0_combout\);

-- Location: LCCOMB_X49_Y13_N16
\led_flash_cnt[3310][5]~73228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3310][5]~73228_combout\ = (\led_flash_cnt[3310][5]~q\ & (\led_flash_cnt[3310][4]~73227\ $ (GND))) # (!\led_flash_cnt[3310][5]~q\ & (!\led_flash_cnt[3310][4]~73227\ & VCC))
-- \led_flash_cnt[3310][5]~73229\ = CARRY((\led_flash_cnt[3310][5]~q\ & !\led_flash_cnt[3310][4]~73227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3310][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3310][4]~73227\,
	combout => \led_flash_cnt[3310][5]~73228_combout\,
	cout => \led_flash_cnt[3310][5]~73229\);

-- Location: FF_X49_Y13_N17
\led_flash_cnt[3310][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3310][5]~73228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3310][5]~q\);

-- Location: LCCOMB_X49_Y13_N18
\led_flash_cnt[3310][6]~73230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3310][6]~73230_combout\ = (\led_flash_cnt[3310][6]~q\ & (!\led_flash_cnt[3310][5]~73229\)) # (!\led_flash_cnt[3310][6]~q\ & ((\led_flash_cnt[3310][5]~73229\) # (GND)))
-- \led_flash_cnt[3310][6]~73231\ = CARRY((!\led_flash_cnt[3310][5]~73229\) # (!\led_flash_cnt[3310][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3310][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3310][5]~73229\,
	combout => \led_flash_cnt[3310][6]~73230_combout\,
	cout => \led_flash_cnt[3310][6]~73231\);

-- Location: FF_X49_Y13_N19
\led_flash_cnt[3310][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3310][6]~73230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3310][6]~q\);

-- Location: LCCOMB_X49_Y13_N20
\led_flash_cnt[3310][7]~73232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3310][7]~73232_combout\ = \led_flash_cnt[3310][6]~73231\ $ (!\led_flash_cnt[3310][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3310][7]~q\,
	cin => \led_flash_cnt[3310][6]~73231\,
	combout => \led_flash_cnt[3310][7]~73232_combout\);

-- Location: FF_X49_Y13_N21
\led_flash_cnt[3310][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3310][7]~73232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3310][7]~q\);

-- Location: LCCOMB_X49_Y13_N0
\WideAnd3310~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3310~1_combout\ = (\led_flash_cnt[3310][6]~q\ & \led_flash_cnt[3310][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3310][6]~q\,
	datad => \led_flash_cnt[3310][5]~q\,
	combout => \WideAnd3310~1_combout\);

-- Location: LCCOMB_X49_Y13_N24
WideAnd3310 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3310~combout\ = (\WideAnd3310~0_combout\ & (\led_flash_cnt[3310][7]~q\ & (\led_flash_cnt[3310][0]~q\ & \WideAnd3310~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3310~0_combout\,
	datab => \led_flash_cnt[3310][7]~q\,
	datac => \led_flash_cnt[3310][0]~q\,
	datad => \WideAnd3310~1_combout\,
	combout => \WideAnd3310~combout\);

-- Location: FF_X49_Y13_N25
\led_flash_cnt_ands[3310]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3310~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3310));

-- Location: LCCOMB_X60_Y7_N12
\led_flash_cnt[3311][0]~83951\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3311][0]~83951_combout\ = !\led_flash_cnt[3311][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3311][0]~q\,
	combout => \led_flash_cnt[3311][0]~83951_combout\);

-- Location: FF_X60_Y7_N13
\led_flash_cnt[3311][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3311][0]~83951_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3311][0]~q\);

-- Location: LCCOMB_X60_Y7_N18
\led_flash_cnt[3311][1]~73234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3311][1]~73234_combout\ = (\led_flash_cnt[3311][0]~q\ & (\led_flash_cnt[3311][1]~q\ $ (VCC))) # (!\led_flash_cnt[3311][0]~q\ & (\led_flash_cnt[3311][1]~q\ & VCC))
-- \led_flash_cnt[3311][1]~73235\ = CARRY((\led_flash_cnt[3311][0]~q\ & \led_flash_cnt[3311][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3311][0]~q\,
	datab => \led_flash_cnt[3311][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3311][1]~73234_combout\,
	cout => \led_flash_cnt[3311][1]~73235\);

-- Location: FF_X60_Y7_N19
\led_flash_cnt[3311][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3311][1]~73234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3311][1]~q\);

-- Location: LCCOMB_X60_Y7_N20
\led_flash_cnt[3311][2]~73236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3311][2]~73236_combout\ = (\led_flash_cnt[3311][2]~q\ & (!\led_flash_cnt[3311][1]~73235\)) # (!\led_flash_cnt[3311][2]~q\ & ((\led_flash_cnt[3311][1]~73235\) # (GND)))
-- \led_flash_cnt[3311][2]~73237\ = CARRY((!\led_flash_cnt[3311][1]~73235\) # (!\led_flash_cnt[3311][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3311][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3311][1]~73235\,
	combout => \led_flash_cnt[3311][2]~73236_combout\,
	cout => \led_flash_cnt[3311][2]~73237\);

-- Location: FF_X60_Y7_N21
\led_flash_cnt[3311][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3311][2]~73236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3311][2]~q\);

-- Location: LCCOMB_X60_Y7_N22
\led_flash_cnt[3311][3]~73238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3311][3]~73238_combout\ = (\led_flash_cnt[3311][3]~q\ & (\led_flash_cnt[3311][2]~73237\ $ (GND))) # (!\led_flash_cnt[3311][3]~q\ & (!\led_flash_cnt[3311][2]~73237\ & VCC))
-- \led_flash_cnt[3311][3]~73239\ = CARRY((\led_flash_cnt[3311][3]~q\ & !\led_flash_cnt[3311][2]~73237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3311][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3311][2]~73237\,
	combout => \led_flash_cnt[3311][3]~73238_combout\,
	cout => \led_flash_cnt[3311][3]~73239\);

-- Location: FF_X60_Y7_N23
\led_flash_cnt[3311][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3311][3]~73238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3311][3]~q\);

-- Location: LCCOMB_X60_Y7_N24
\led_flash_cnt[3311][4]~73240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3311][4]~73240_combout\ = (\led_flash_cnt[3311][4]~q\ & (!\led_flash_cnt[3311][3]~73239\)) # (!\led_flash_cnt[3311][4]~q\ & ((\led_flash_cnt[3311][3]~73239\) # (GND)))
-- \led_flash_cnt[3311][4]~73241\ = CARRY((!\led_flash_cnt[3311][3]~73239\) # (!\led_flash_cnt[3311][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3311][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3311][3]~73239\,
	combout => \led_flash_cnt[3311][4]~73240_combout\,
	cout => \led_flash_cnt[3311][4]~73241\);

-- Location: FF_X60_Y7_N25
\led_flash_cnt[3311][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3311][4]~73240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3311][4]~q\);

-- Location: LCCOMB_X60_Y7_N26
\led_flash_cnt[3311][5]~73242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3311][5]~73242_combout\ = (\led_flash_cnt[3311][5]~q\ & (\led_flash_cnt[3311][4]~73241\ $ (GND))) # (!\led_flash_cnt[3311][5]~q\ & (!\led_flash_cnt[3311][4]~73241\ & VCC))
-- \led_flash_cnt[3311][5]~73243\ = CARRY((\led_flash_cnt[3311][5]~q\ & !\led_flash_cnt[3311][4]~73241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3311][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3311][4]~73241\,
	combout => \led_flash_cnt[3311][5]~73242_combout\,
	cout => \led_flash_cnt[3311][5]~73243\);

-- Location: FF_X60_Y7_N27
\led_flash_cnt[3311][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3311][5]~73242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3311][5]~q\);

-- Location: LCCOMB_X60_Y7_N28
\led_flash_cnt[3311][6]~73244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3311][6]~73244_combout\ = (\led_flash_cnt[3311][6]~q\ & (!\led_flash_cnt[3311][5]~73243\)) # (!\led_flash_cnt[3311][6]~q\ & ((\led_flash_cnt[3311][5]~73243\) # (GND)))
-- \led_flash_cnt[3311][6]~73245\ = CARRY((!\led_flash_cnt[3311][5]~73243\) # (!\led_flash_cnt[3311][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3311][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3311][5]~73243\,
	combout => \led_flash_cnt[3311][6]~73244_combout\,
	cout => \led_flash_cnt[3311][6]~73245\);

-- Location: FF_X60_Y7_N29
\led_flash_cnt[3311][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3311][6]~73244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3311][6]~q\);

-- Location: LCCOMB_X60_Y7_N30
\led_flash_cnt[3311][7]~73246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3311][7]~73246_combout\ = \led_flash_cnt[3311][7]~q\ $ (!\led_flash_cnt[3311][6]~73245\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3311][7]~q\,
	cin => \led_flash_cnt[3311][6]~73245\,
	combout => \led_flash_cnt[3311][7]~73246_combout\);

-- Location: FF_X60_Y7_N31
\led_flash_cnt[3311][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3311][7]~73246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3311][7]~q\);

-- Location: LCCOMB_X60_Y7_N0
\WideAnd3311~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3311~1_combout\ = (\led_flash_cnt[3311][5]~q\ & \led_flash_cnt[3311][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3311][5]~q\,
	datad => \led_flash_cnt[3311][6]~q\,
	combout => \WideAnd3311~1_combout\);

-- Location: LCCOMB_X60_Y7_N4
\WideAnd3311~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3311~0_combout\ = (\led_flash_cnt[3311][1]~q\ & (\led_flash_cnt[3311][4]~q\ & (\led_flash_cnt[3311][3]~q\ & \led_flash_cnt[3311][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3311][1]~q\,
	datab => \led_flash_cnt[3311][4]~q\,
	datac => \led_flash_cnt[3311][3]~q\,
	datad => \led_flash_cnt[3311][2]~q\,
	combout => \WideAnd3311~0_combout\);

-- Location: LCCOMB_X60_Y7_N10
WideAnd3311 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3311~combout\ = (\led_flash_cnt[3311][7]~q\ & (\WideAnd3311~1_combout\ & (\WideAnd3311~0_combout\ & \led_flash_cnt[3311][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3311][7]~q\,
	datab => \WideAnd3311~1_combout\,
	datac => \WideAnd3311~0_combout\,
	datad => \led_flash_cnt[3311][0]~q\,
	combout => \WideAnd3311~combout\);

-- Location: FF_X60_Y7_N11
\led_flash_cnt_ands[3311]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3311~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3311));

-- Location: LCCOMB_X19_Y20_N0
\led_flash_cnt[3309][0]~83949\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3309][0]~83949_combout\ = !\led_flash_cnt[3309][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3309][0]~q\,
	combout => \led_flash_cnt[3309][0]~83949_combout\);

-- Location: FF_X19_Y20_N1
\led_flash_cnt[3309][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3309][0]~83949_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3309][0]~q\);

-- Location: LCCOMB_X20_Y20_N2
\led_flash_cnt[3309][1]~73206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3309][1]~73206_combout\ = (\led_flash_cnt[3309][0]~q\ & (\led_flash_cnt[3309][1]~q\ $ (VCC))) # (!\led_flash_cnt[3309][0]~q\ & (\led_flash_cnt[3309][1]~q\ & VCC))
-- \led_flash_cnt[3309][1]~73207\ = CARRY((\led_flash_cnt[3309][0]~q\ & \led_flash_cnt[3309][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3309][0]~q\,
	datab => \led_flash_cnt[3309][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3309][1]~73206_combout\,
	cout => \led_flash_cnt[3309][1]~73207\);

-- Location: FF_X20_Y20_N3
\led_flash_cnt[3309][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3309][1]~73206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3309][1]~q\);

-- Location: LCCOMB_X20_Y20_N4
\led_flash_cnt[3309][2]~73208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3309][2]~73208_combout\ = (\led_flash_cnt[3309][2]~q\ & (!\led_flash_cnt[3309][1]~73207\)) # (!\led_flash_cnt[3309][2]~q\ & ((\led_flash_cnt[3309][1]~73207\) # (GND)))
-- \led_flash_cnt[3309][2]~73209\ = CARRY((!\led_flash_cnt[3309][1]~73207\) # (!\led_flash_cnt[3309][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3309][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3309][1]~73207\,
	combout => \led_flash_cnt[3309][2]~73208_combout\,
	cout => \led_flash_cnt[3309][2]~73209\);

-- Location: FF_X20_Y20_N5
\led_flash_cnt[3309][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3309][2]~73208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3309][2]~q\);

-- Location: LCCOMB_X20_Y20_N6
\led_flash_cnt[3309][3]~73210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3309][3]~73210_combout\ = (\led_flash_cnt[3309][3]~q\ & (\led_flash_cnt[3309][2]~73209\ $ (GND))) # (!\led_flash_cnt[3309][3]~q\ & (!\led_flash_cnt[3309][2]~73209\ & VCC))
-- \led_flash_cnt[3309][3]~73211\ = CARRY((\led_flash_cnt[3309][3]~q\ & !\led_flash_cnt[3309][2]~73209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3309][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3309][2]~73209\,
	combout => \led_flash_cnt[3309][3]~73210_combout\,
	cout => \led_flash_cnt[3309][3]~73211\);

-- Location: FF_X20_Y20_N7
\led_flash_cnt[3309][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3309][3]~73210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3309][3]~q\);

-- Location: LCCOMB_X20_Y20_N8
\led_flash_cnt[3309][4]~73212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3309][4]~73212_combout\ = (\led_flash_cnt[3309][4]~q\ & (!\led_flash_cnt[3309][3]~73211\)) # (!\led_flash_cnt[3309][4]~q\ & ((\led_flash_cnt[3309][3]~73211\) # (GND)))
-- \led_flash_cnt[3309][4]~73213\ = CARRY((!\led_flash_cnt[3309][3]~73211\) # (!\led_flash_cnt[3309][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3309][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3309][3]~73211\,
	combout => \led_flash_cnt[3309][4]~73212_combout\,
	cout => \led_flash_cnt[3309][4]~73213\);

-- Location: FF_X20_Y20_N9
\led_flash_cnt[3309][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3309][4]~73212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3309][4]~q\);

-- Location: LCCOMB_X20_Y20_N10
\led_flash_cnt[3309][5]~73214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3309][5]~73214_combout\ = (\led_flash_cnt[3309][5]~q\ & (\led_flash_cnt[3309][4]~73213\ $ (GND))) # (!\led_flash_cnt[3309][5]~q\ & (!\led_flash_cnt[3309][4]~73213\ & VCC))
-- \led_flash_cnt[3309][5]~73215\ = CARRY((\led_flash_cnt[3309][5]~q\ & !\led_flash_cnt[3309][4]~73213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3309][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3309][4]~73213\,
	combout => \led_flash_cnt[3309][5]~73214_combout\,
	cout => \led_flash_cnt[3309][5]~73215\);

-- Location: FF_X20_Y20_N11
\led_flash_cnt[3309][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3309][5]~73214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3309][5]~q\);

-- Location: LCCOMB_X20_Y20_N12
\led_flash_cnt[3309][6]~73216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3309][6]~73216_combout\ = (\led_flash_cnt[3309][6]~q\ & (!\led_flash_cnt[3309][5]~73215\)) # (!\led_flash_cnt[3309][6]~q\ & ((\led_flash_cnt[3309][5]~73215\) # (GND)))
-- \led_flash_cnt[3309][6]~73217\ = CARRY((!\led_flash_cnt[3309][5]~73215\) # (!\led_flash_cnt[3309][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3309][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3309][5]~73215\,
	combout => \led_flash_cnt[3309][6]~73216_combout\,
	cout => \led_flash_cnt[3309][6]~73217\);

-- Location: FF_X20_Y20_N13
\led_flash_cnt[3309][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3309][6]~73216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3309][6]~q\);

-- Location: LCCOMB_X19_Y20_N26
\WideAnd3309~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3309~1_combout\ = (\led_flash_cnt[3309][6]~q\ & \led_flash_cnt[3309][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3309][6]~q\,
	datac => \led_flash_cnt[3309][5]~q\,
	combout => \WideAnd3309~1_combout\);

-- Location: LCCOMB_X20_Y20_N0
\WideAnd3309~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3309~0_combout\ = (\led_flash_cnt[3309][3]~q\ & (\led_flash_cnt[3309][4]~q\ & (\led_flash_cnt[3309][2]~q\ & \led_flash_cnt[3309][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3309][3]~q\,
	datab => \led_flash_cnt[3309][4]~q\,
	datac => \led_flash_cnt[3309][2]~q\,
	datad => \led_flash_cnt[3309][1]~q\,
	combout => \WideAnd3309~0_combout\);

-- Location: LCCOMB_X20_Y20_N14
\led_flash_cnt[3309][7]~73218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3309][7]~73218_combout\ = \led_flash_cnt[3309][7]~q\ $ (!\led_flash_cnt[3309][6]~73217\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3309][7]~q\,
	cin => \led_flash_cnt[3309][6]~73217\,
	combout => \led_flash_cnt[3309][7]~73218_combout\);

-- Location: FF_X20_Y20_N15
\led_flash_cnt[3309][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3309][7]~73218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3309][7]~q\);

-- Location: LCCOMB_X19_Y20_N4
WideAnd3309 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3309~combout\ = (\WideAnd3309~1_combout\ & (\WideAnd3309~0_combout\ & (\led_flash_cnt[3309][7]~q\ & \led_flash_cnt[3309][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3309~1_combout\,
	datab => \WideAnd3309~0_combout\,
	datac => \led_flash_cnt[3309][7]~q\,
	datad => \led_flash_cnt[3309][0]~q\,
	combout => \WideAnd3309~combout\);

-- Location: FF_X19_Y20_N5
\led_flash_cnt_ands[3309]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3309~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3309));

-- Location: LCCOMB_X19_Y20_N22
\led_flash_cnt[3308][0]~83948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3308][0]~83948_combout\ = !\led_flash_cnt[3308][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3308][0]~q\,
	combout => \led_flash_cnt[3308][0]~83948_combout\);

-- Location: FF_X19_Y20_N23
\led_flash_cnt[3308][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3308][0]~83948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3308][0]~q\);

-- Location: LCCOMB_X19_Y20_N6
\led_flash_cnt[3308][1]~73192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3308][1]~73192_combout\ = (\led_flash_cnt[3308][1]~q\ & (\led_flash_cnt[3308][0]~q\ $ (VCC))) # (!\led_flash_cnt[3308][1]~q\ & (\led_flash_cnt[3308][0]~q\ & VCC))
-- \led_flash_cnt[3308][1]~73193\ = CARRY((\led_flash_cnt[3308][1]~q\ & \led_flash_cnt[3308][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3308][1]~q\,
	datab => \led_flash_cnt[3308][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3308][1]~73192_combout\,
	cout => \led_flash_cnt[3308][1]~73193\);

-- Location: FF_X19_Y20_N7
\led_flash_cnt[3308][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3308][1]~73192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3308][1]~q\);

-- Location: LCCOMB_X19_Y20_N8
\led_flash_cnt[3308][2]~73194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3308][2]~73194_combout\ = (\led_flash_cnt[3308][2]~q\ & (!\led_flash_cnt[3308][1]~73193\)) # (!\led_flash_cnt[3308][2]~q\ & ((\led_flash_cnt[3308][1]~73193\) # (GND)))
-- \led_flash_cnt[3308][2]~73195\ = CARRY((!\led_flash_cnt[3308][1]~73193\) # (!\led_flash_cnt[3308][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3308][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3308][1]~73193\,
	combout => \led_flash_cnt[3308][2]~73194_combout\,
	cout => \led_flash_cnt[3308][2]~73195\);

-- Location: FF_X19_Y20_N9
\led_flash_cnt[3308][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3308][2]~73194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3308][2]~q\);

-- Location: LCCOMB_X19_Y20_N10
\led_flash_cnt[3308][3]~73196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3308][3]~73196_combout\ = (\led_flash_cnt[3308][3]~q\ & (\led_flash_cnt[3308][2]~73195\ $ (GND))) # (!\led_flash_cnt[3308][3]~q\ & (!\led_flash_cnt[3308][2]~73195\ & VCC))
-- \led_flash_cnt[3308][3]~73197\ = CARRY((\led_flash_cnt[3308][3]~q\ & !\led_flash_cnt[3308][2]~73195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3308][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3308][2]~73195\,
	combout => \led_flash_cnt[3308][3]~73196_combout\,
	cout => \led_flash_cnt[3308][3]~73197\);

-- Location: FF_X19_Y20_N11
\led_flash_cnt[3308][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3308][3]~73196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3308][3]~q\);

-- Location: LCCOMB_X19_Y20_N12
\led_flash_cnt[3308][4]~73198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3308][4]~73198_combout\ = (\led_flash_cnt[3308][4]~q\ & (!\led_flash_cnt[3308][3]~73197\)) # (!\led_flash_cnt[3308][4]~q\ & ((\led_flash_cnt[3308][3]~73197\) # (GND)))
-- \led_flash_cnt[3308][4]~73199\ = CARRY((!\led_flash_cnt[3308][3]~73197\) # (!\led_flash_cnt[3308][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3308][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3308][3]~73197\,
	combout => \led_flash_cnt[3308][4]~73198_combout\,
	cout => \led_flash_cnt[3308][4]~73199\);

-- Location: FF_X19_Y20_N13
\led_flash_cnt[3308][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3308][4]~73198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3308][4]~q\);

-- Location: LCCOMB_X19_Y20_N14
\led_flash_cnt[3308][5]~73200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3308][5]~73200_combout\ = (\led_flash_cnt[3308][5]~q\ & (\led_flash_cnt[3308][4]~73199\ $ (GND))) # (!\led_flash_cnt[3308][5]~q\ & (!\led_flash_cnt[3308][4]~73199\ & VCC))
-- \led_flash_cnt[3308][5]~73201\ = CARRY((\led_flash_cnt[3308][5]~q\ & !\led_flash_cnt[3308][4]~73199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3308][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3308][4]~73199\,
	combout => \led_flash_cnt[3308][5]~73200_combout\,
	cout => \led_flash_cnt[3308][5]~73201\);

-- Location: FF_X19_Y20_N15
\led_flash_cnt[3308][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3308][5]~73200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3308][5]~q\);

-- Location: LCCOMB_X19_Y20_N16
\led_flash_cnt[3308][6]~73202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3308][6]~73202_combout\ = (\led_flash_cnt[3308][6]~q\ & (!\led_flash_cnt[3308][5]~73201\)) # (!\led_flash_cnt[3308][6]~q\ & ((\led_flash_cnt[3308][5]~73201\) # (GND)))
-- \led_flash_cnt[3308][6]~73203\ = CARRY((!\led_flash_cnt[3308][5]~73201\) # (!\led_flash_cnt[3308][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3308][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3308][5]~73201\,
	combout => \led_flash_cnt[3308][6]~73202_combout\,
	cout => \led_flash_cnt[3308][6]~73203\);

-- Location: FF_X19_Y20_N17
\led_flash_cnt[3308][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3308][6]~73202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3308][6]~q\);

-- Location: LCCOMB_X19_Y20_N18
\led_flash_cnt[3308][7]~73204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3308][7]~73204_combout\ = \led_flash_cnt[3308][7]~q\ $ (!\led_flash_cnt[3308][6]~73203\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3308][7]~q\,
	cin => \led_flash_cnt[3308][6]~73203\,
	combout => \led_flash_cnt[3308][7]~73204_combout\);

-- Location: FF_X19_Y20_N19
\led_flash_cnt[3308][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3308][7]~73204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3308][7]~q\);

-- Location: LCCOMB_X19_Y20_N28
\WideAnd3308~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3308~1_combout\ = (\led_flash_cnt[3308][5]~q\ & \led_flash_cnt[3308][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3308][5]~q\,
	datad => \led_flash_cnt[3308][6]~q\,
	combout => \WideAnd3308~1_combout\);

-- Location: LCCOMB_X19_Y20_N24
\WideAnd3308~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3308~0_combout\ = (\led_flash_cnt[3308][1]~q\ & (\led_flash_cnt[3308][3]~q\ & (\led_flash_cnt[3308][2]~q\ & \led_flash_cnt[3308][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3308][1]~q\,
	datab => \led_flash_cnt[3308][3]~q\,
	datac => \led_flash_cnt[3308][2]~q\,
	datad => \led_flash_cnt[3308][4]~q\,
	combout => \WideAnd3308~0_combout\);

-- Location: LCCOMB_X19_Y20_N20
WideAnd3308 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3308~combout\ = (\led_flash_cnt[3308][7]~q\ & (\WideAnd3308~1_combout\ & (\led_flash_cnt[3308][0]~q\ & \WideAnd3308~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3308][7]~q\,
	datab => \WideAnd3308~1_combout\,
	datac => \led_flash_cnt[3308][0]~q\,
	datad => \WideAnd3308~0_combout\,
	combout => \WideAnd3308~combout\);

-- Location: FF_X19_Y20_N21
\led_flash_cnt_ands[3308]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3308~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3308));

-- Location: LCCOMB_X19_Y20_N30
\WideAnd4253~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4253~1_combout\ = (led_flash_cnt_ands(3309) & led_flash_cnt_ands(3308))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3309),
	datad => led_flash_cnt_ands(3308),
	combout => \WideAnd4253~1_combout\);

-- Location: LCCOMB_X49_Y13_N28
WideAnd4253 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4253~combout\ = (\WideAnd4253~0_combout\ & (led_flash_cnt_ands(3310) & (led_flash_cnt_ands(3311) & \WideAnd4253~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4253~0_combout\,
	datab => led_flash_cnt_ands(3310),
	datac => led_flash_cnt_ands(3311),
	datad => \WideAnd4253~1_combout\,
	combout => \WideAnd4253~combout\);

-- Location: FF_X49_Y13_N29
\led_flash_cnt_ands_1[413]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4253~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(413));

-- Location: LCCOMB_X45_Y20_N8
\WideAnd4371~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4371~1_combout\ = (led_flash_cnt_ands_1(412) & led_flash_cnt_ands_1(413))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(412),
	datad => led_flash_cnt_ands_1(413),
	combout => \WideAnd4371~1_combout\);

-- Location: LCCOMB_X1_Y21_N4
\led_flash_cnt[3312][0]~83952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3312][0]~83952_combout\ = !\led_flash_cnt[3312][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3312][0]~q\,
	combout => \led_flash_cnt[3312][0]~83952_combout\);

-- Location: FF_X1_Y21_N5
\led_flash_cnt[3312][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3312][0]~83952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3312][0]~q\);

-- Location: LCCOMB_X1_Y21_N10
\led_flash_cnt[3312][1]~73248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3312][1]~73248_combout\ = (\led_flash_cnt[3312][1]~q\ & (\led_flash_cnt[3312][0]~q\ $ (VCC))) # (!\led_flash_cnt[3312][1]~q\ & (\led_flash_cnt[3312][0]~q\ & VCC))
-- \led_flash_cnt[3312][1]~73249\ = CARRY((\led_flash_cnt[3312][1]~q\ & \led_flash_cnt[3312][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3312][1]~q\,
	datab => \led_flash_cnt[3312][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3312][1]~73248_combout\,
	cout => \led_flash_cnt[3312][1]~73249\);

-- Location: FF_X1_Y21_N11
\led_flash_cnt[3312][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3312][1]~73248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3312][1]~q\);

-- Location: LCCOMB_X1_Y21_N12
\led_flash_cnt[3312][2]~73250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3312][2]~73250_combout\ = (\led_flash_cnt[3312][2]~q\ & (!\led_flash_cnt[3312][1]~73249\)) # (!\led_flash_cnt[3312][2]~q\ & ((\led_flash_cnt[3312][1]~73249\) # (GND)))
-- \led_flash_cnt[3312][2]~73251\ = CARRY((!\led_flash_cnt[3312][1]~73249\) # (!\led_flash_cnt[3312][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3312][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3312][1]~73249\,
	combout => \led_flash_cnt[3312][2]~73250_combout\,
	cout => \led_flash_cnt[3312][2]~73251\);

-- Location: FF_X1_Y21_N13
\led_flash_cnt[3312][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3312][2]~73250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3312][2]~q\);

-- Location: LCCOMB_X1_Y21_N14
\led_flash_cnt[3312][3]~73252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3312][3]~73252_combout\ = (\led_flash_cnt[3312][3]~q\ & (\led_flash_cnt[3312][2]~73251\ $ (GND))) # (!\led_flash_cnt[3312][3]~q\ & (!\led_flash_cnt[3312][2]~73251\ & VCC))
-- \led_flash_cnt[3312][3]~73253\ = CARRY((\led_flash_cnt[3312][3]~q\ & !\led_flash_cnt[3312][2]~73251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3312][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3312][2]~73251\,
	combout => \led_flash_cnt[3312][3]~73252_combout\,
	cout => \led_flash_cnt[3312][3]~73253\);

-- Location: FF_X1_Y21_N15
\led_flash_cnt[3312][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3312][3]~73252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3312][3]~q\);

-- Location: LCCOMB_X1_Y21_N16
\led_flash_cnt[3312][4]~73254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3312][4]~73254_combout\ = (\led_flash_cnt[3312][4]~q\ & (!\led_flash_cnt[3312][3]~73253\)) # (!\led_flash_cnt[3312][4]~q\ & ((\led_flash_cnt[3312][3]~73253\) # (GND)))
-- \led_flash_cnt[3312][4]~73255\ = CARRY((!\led_flash_cnt[3312][3]~73253\) # (!\led_flash_cnt[3312][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3312][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3312][3]~73253\,
	combout => \led_flash_cnt[3312][4]~73254_combout\,
	cout => \led_flash_cnt[3312][4]~73255\);

-- Location: FF_X1_Y21_N17
\led_flash_cnt[3312][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3312][4]~73254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3312][4]~q\);

-- Location: LCCOMB_X1_Y21_N18
\led_flash_cnt[3312][5]~73256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3312][5]~73256_combout\ = (\led_flash_cnt[3312][5]~q\ & (\led_flash_cnt[3312][4]~73255\ $ (GND))) # (!\led_flash_cnt[3312][5]~q\ & (!\led_flash_cnt[3312][4]~73255\ & VCC))
-- \led_flash_cnt[3312][5]~73257\ = CARRY((\led_flash_cnt[3312][5]~q\ & !\led_flash_cnt[3312][4]~73255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3312][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3312][4]~73255\,
	combout => \led_flash_cnt[3312][5]~73256_combout\,
	cout => \led_flash_cnt[3312][5]~73257\);

-- Location: FF_X1_Y21_N19
\led_flash_cnt[3312][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3312][5]~73256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3312][5]~q\);

-- Location: LCCOMB_X1_Y21_N20
\led_flash_cnt[3312][6]~73258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3312][6]~73258_combout\ = (\led_flash_cnt[3312][6]~q\ & (!\led_flash_cnt[3312][5]~73257\)) # (!\led_flash_cnt[3312][6]~q\ & ((\led_flash_cnt[3312][5]~73257\) # (GND)))
-- \led_flash_cnt[3312][6]~73259\ = CARRY((!\led_flash_cnt[3312][5]~73257\) # (!\led_flash_cnt[3312][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3312][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3312][5]~73257\,
	combout => \led_flash_cnt[3312][6]~73258_combout\,
	cout => \led_flash_cnt[3312][6]~73259\);

-- Location: FF_X1_Y21_N21
\led_flash_cnt[3312][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3312][6]~73258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3312][6]~q\);

-- Location: LCCOMB_X1_Y21_N26
\WideAnd3312~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3312~1_combout\ = (\led_flash_cnt[3312][5]~q\ & \led_flash_cnt[3312][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3312][5]~q\,
	datad => \led_flash_cnt[3312][6]~q\,
	combout => \WideAnd3312~1_combout\);

-- Location: LCCOMB_X1_Y21_N22
\led_flash_cnt[3312][7]~73260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3312][7]~73260_combout\ = \led_flash_cnt[3312][7]~q\ $ (!\led_flash_cnt[3312][6]~73259\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3312][7]~q\,
	cin => \led_flash_cnt[3312][6]~73259\,
	combout => \led_flash_cnt[3312][7]~73260_combout\);

-- Location: FF_X1_Y21_N23
\led_flash_cnt[3312][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3312][7]~73260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3312][7]~q\);

-- Location: LCCOMB_X1_Y21_N24
\WideAnd3312~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3312~0_combout\ = (\led_flash_cnt[3312][2]~q\ & (\led_flash_cnt[3312][4]~q\ & (\led_flash_cnt[3312][3]~q\ & \led_flash_cnt[3312][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3312][2]~q\,
	datab => \led_flash_cnt[3312][4]~q\,
	datac => \led_flash_cnt[3312][3]~q\,
	datad => \led_flash_cnt[3312][1]~q\,
	combout => \WideAnd3312~0_combout\);

-- Location: LCCOMB_X1_Y21_N8
WideAnd3312 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3312~combout\ = (\WideAnd3312~1_combout\ & (\led_flash_cnt[3312][0]~q\ & (\led_flash_cnt[3312][7]~q\ & \WideAnd3312~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3312~1_combout\,
	datab => \led_flash_cnt[3312][0]~q\,
	datac => \led_flash_cnt[3312][7]~q\,
	datad => \WideAnd3312~0_combout\,
	combout => \WideAnd3312~combout\);

-- Location: FF_X1_Y21_N9
\led_flash_cnt_ands[3312]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3312~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3312));

-- Location: LCCOMB_X2_Y21_N8
\led_flash_cnt[3313][0]~83953\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3313][0]~83953_combout\ = !\led_flash_cnt[3313][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3313][0]~q\,
	combout => \led_flash_cnt[3313][0]~83953_combout\);

-- Location: FF_X2_Y21_N9
\led_flash_cnt[3313][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3313][0]~83953_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3313][0]~q\);

-- Location: LCCOMB_X3_Y21_N2
\led_flash_cnt[3313][1]~73262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3313][1]~73262_combout\ = (\led_flash_cnt[3313][0]~q\ & (\led_flash_cnt[3313][1]~q\ $ (VCC))) # (!\led_flash_cnt[3313][0]~q\ & (\led_flash_cnt[3313][1]~q\ & VCC))
-- \led_flash_cnt[3313][1]~73263\ = CARRY((\led_flash_cnt[3313][0]~q\ & \led_flash_cnt[3313][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3313][0]~q\,
	datab => \led_flash_cnt[3313][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3313][1]~73262_combout\,
	cout => \led_flash_cnt[3313][1]~73263\);

-- Location: FF_X3_Y21_N3
\led_flash_cnt[3313][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3313][1]~73262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3313][1]~q\);

-- Location: LCCOMB_X3_Y21_N4
\led_flash_cnt[3313][2]~73264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3313][2]~73264_combout\ = (\led_flash_cnt[3313][2]~q\ & (!\led_flash_cnt[3313][1]~73263\)) # (!\led_flash_cnt[3313][2]~q\ & ((\led_flash_cnt[3313][1]~73263\) # (GND)))
-- \led_flash_cnt[3313][2]~73265\ = CARRY((!\led_flash_cnt[3313][1]~73263\) # (!\led_flash_cnt[3313][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3313][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3313][1]~73263\,
	combout => \led_flash_cnt[3313][2]~73264_combout\,
	cout => \led_flash_cnt[3313][2]~73265\);

-- Location: FF_X3_Y21_N5
\led_flash_cnt[3313][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3313][2]~73264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3313][2]~q\);

-- Location: LCCOMB_X3_Y21_N6
\led_flash_cnt[3313][3]~73266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3313][3]~73266_combout\ = (\led_flash_cnt[3313][3]~q\ & (\led_flash_cnt[3313][2]~73265\ $ (GND))) # (!\led_flash_cnt[3313][3]~q\ & (!\led_flash_cnt[3313][2]~73265\ & VCC))
-- \led_flash_cnt[3313][3]~73267\ = CARRY((\led_flash_cnt[3313][3]~q\ & !\led_flash_cnt[3313][2]~73265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3313][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3313][2]~73265\,
	combout => \led_flash_cnt[3313][3]~73266_combout\,
	cout => \led_flash_cnt[3313][3]~73267\);

-- Location: FF_X3_Y21_N7
\led_flash_cnt[3313][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3313][3]~73266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3313][3]~q\);

-- Location: LCCOMB_X3_Y21_N8
\led_flash_cnt[3313][4]~73268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3313][4]~73268_combout\ = (\led_flash_cnt[3313][4]~q\ & (!\led_flash_cnt[3313][3]~73267\)) # (!\led_flash_cnt[3313][4]~q\ & ((\led_flash_cnt[3313][3]~73267\) # (GND)))
-- \led_flash_cnt[3313][4]~73269\ = CARRY((!\led_flash_cnt[3313][3]~73267\) # (!\led_flash_cnt[3313][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3313][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3313][3]~73267\,
	combout => \led_flash_cnt[3313][4]~73268_combout\,
	cout => \led_flash_cnt[3313][4]~73269\);

-- Location: FF_X3_Y21_N9
\led_flash_cnt[3313][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3313][4]~73268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3313][4]~q\);

-- Location: LCCOMB_X3_Y21_N10
\led_flash_cnt[3313][5]~73270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3313][5]~73270_combout\ = (\led_flash_cnt[3313][5]~q\ & (\led_flash_cnt[3313][4]~73269\ $ (GND))) # (!\led_flash_cnt[3313][5]~q\ & (!\led_flash_cnt[3313][4]~73269\ & VCC))
-- \led_flash_cnt[3313][5]~73271\ = CARRY((\led_flash_cnt[3313][5]~q\ & !\led_flash_cnt[3313][4]~73269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3313][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3313][4]~73269\,
	combout => \led_flash_cnt[3313][5]~73270_combout\,
	cout => \led_flash_cnt[3313][5]~73271\);

-- Location: FF_X3_Y21_N11
\led_flash_cnt[3313][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3313][5]~73270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3313][5]~q\);

-- Location: LCCOMB_X3_Y21_N12
\led_flash_cnt[3313][6]~73272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3313][6]~73272_combout\ = (\led_flash_cnt[3313][6]~q\ & (!\led_flash_cnt[3313][5]~73271\)) # (!\led_flash_cnt[3313][6]~q\ & ((\led_flash_cnt[3313][5]~73271\) # (GND)))
-- \led_flash_cnt[3313][6]~73273\ = CARRY((!\led_flash_cnt[3313][5]~73271\) # (!\led_flash_cnt[3313][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3313][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3313][5]~73271\,
	combout => \led_flash_cnt[3313][6]~73272_combout\,
	cout => \led_flash_cnt[3313][6]~73273\);

-- Location: FF_X3_Y21_N13
\led_flash_cnt[3313][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3313][6]~73272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3313][6]~q\);

-- Location: LCCOMB_X2_Y21_N26
\WideAnd3313~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3313~1_combout\ = (\led_flash_cnt[3313][6]~q\ & \led_flash_cnt[3313][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3313][6]~q\,
	datac => \led_flash_cnt[3313][5]~q\,
	combout => \WideAnd3313~1_combout\);

-- Location: LCCOMB_X3_Y21_N14
\led_flash_cnt[3313][7]~73274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3313][7]~73274_combout\ = \led_flash_cnt[3313][7]~q\ $ (!\led_flash_cnt[3313][6]~73273\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3313][7]~q\,
	cin => \led_flash_cnt[3313][6]~73273\,
	combout => \led_flash_cnt[3313][7]~73274_combout\);

-- Location: FF_X3_Y21_N15
\led_flash_cnt[3313][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3313][7]~73274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3313][7]~q\);

-- Location: LCCOMB_X3_Y21_N16
\WideAnd3313~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3313~0_combout\ = (\led_flash_cnt[3313][3]~q\ & (\led_flash_cnt[3313][4]~q\ & (\led_flash_cnt[3313][2]~q\ & \led_flash_cnt[3313][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3313][3]~q\,
	datab => \led_flash_cnt[3313][4]~q\,
	datac => \led_flash_cnt[3313][2]~q\,
	datad => \led_flash_cnt[3313][1]~q\,
	combout => \WideAnd3313~0_combout\);

-- Location: LCCOMB_X2_Y21_N28
WideAnd3313 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3313~combout\ = (\WideAnd3313~1_combout\ & (\led_flash_cnt[3313][0]~q\ & (\led_flash_cnt[3313][7]~q\ & \WideAnd3313~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3313~1_combout\,
	datab => \led_flash_cnt[3313][0]~q\,
	datac => \led_flash_cnt[3313][7]~q\,
	datad => \WideAnd3313~0_combout\,
	combout => \WideAnd3313~combout\);

-- Location: FF_X2_Y21_N29
\led_flash_cnt_ands[3313]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3313~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3313));

-- Location: LCCOMB_X2_Y21_N2
\led_flash_cnt[3314][0]~83954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3314][0]~83954_combout\ = !\led_flash_cnt[3314][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3314][0]~q\,
	combout => \led_flash_cnt[3314][0]~83954_combout\);

-- Location: FF_X2_Y21_N3
\led_flash_cnt[3314][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3314][0]~83954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3314][0]~q\);

-- Location: LCCOMB_X2_Y21_N10
\led_flash_cnt[3314][1]~73276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3314][1]~73276_combout\ = (\led_flash_cnt[3314][1]~q\ & (\led_flash_cnt[3314][0]~q\ $ (VCC))) # (!\led_flash_cnt[3314][1]~q\ & (\led_flash_cnt[3314][0]~q\ & VCC))
-- \led_flash_cnt[3314][1]~73277\ = CARRY((\led_flash_cnt[3314][1]~q\ & \led_flash_cnt[3314][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3314][1]~q\,
	datab => \led_flash_cnt[3314][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3314][1]~73276_combout\,
	cout => \led_flash_cnt[3314][1]~73277\);

-- Location: FF_X2_Y21_N11
\led_flash_cnt[3314][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3314][1]~73276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3314][1]~q\);

-- Location: LCCOMB_X2_Y21_N12
\led_flash_cnt[3314][2]~73278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3314][2]~73278_combout\ = (\led_flash_cnt[3314][2]~q\ & (!\led_flash_cnt[3314][1]~73277\)) # (!\led_flash_cnt[3314][2]~q\ & ((\led_flash_cnt[3314][1]~73277\) # (GND)))
-- \led_flash_cnt[3314][2]~73279\ = CARRY((!\led_flash_cnt[3314][1]~73277\) # (!\led_flash_cnt[3314][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3314][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3314][1]~73277\,
	combout => \led_flash_cnt[3314][2]~73278_combout\,
	cout => \led_flash_cnt[3314][2]~73279\);

-- Location: FF_X2_Y21_N13
\led_flash_cnt[3314][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3314][2]~73278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3314][2]~q\);

-- Location: LCCOMB_X2_Y21_N14
\led_flash_cnt[3314][3]~73280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3314][3]~73280_combout\ = (\led_flash_cnt[3314][3]~q\ & (\led_flash_cnt[3314][2]~73279\ $ (GND))) # (!\led_flash_cnt[3314][3]~q\ & (!\led_flash_cnt[3314][2]~73279\ & VCC))
-- \led_flash_cnt[3314][3]~73281\ = CARRY((\led_flash_cnt[3314][3]~q\ & !\led_flash_cnt[3314][2]~73279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3314][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3314][2]~73279\,
	combout => \led_flash_cnt[3314][3]~73280_combout\,
	cout => \led_flash_cnt[3314][3]~73281\);

-- Location: FF_X2_Y21_N15
\led_flash_cnt[3314][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3314][3]~73280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3314][3]~q\);

-- Location: LCCOMB_X2_Y21_N16
\led_flash_cnt[3314][4]~73282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3314][4]~73282_combout\ = (\led_flash_cnt[3314][4]~q\ & (!\led_flash_cnt[3314][3]~73281\)) # (!\led_flash_cnt[3314][4]~q\ & ((\led_flash_cnt[3314][3]~73281\) # (GND)))
-- \led_flash_cnt[3314][4]~73283\ = CARRY((!\led_flash_cnt[3314][3]~73281\) # (!\led_flash_cnt[3314][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3314][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3314][3]~73281\,
	combout => \led_flash_cnt[3314][4]~73282_combout\,
	cout => \led_flash_cnt[3314][4]~73283\);

-- Location: FF_X2_Y21_N17
\led_flash_cnt[3314][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3314][4]~73282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3314][4]~q\);

-- Location: LCCOMB_X2_Y21_N30
\WideAnd3314~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3314~0_combout\ = (\led_flash_cnt[3314][1]~q\ & (\led_flash_cnt[3314][4]~q\ & (\led_flash_cnt[3314][3]~q\ & \led_flash_cnt[3314][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3314][1]~q\,
	datab => \led_flash_cnt[3314][4]~q\,
	datac => \led_flash_cnt[3314][3]~q\,
	datad => \led_flash_cnt[3314][2]~q\,
	combout => \WideAnd3314~0_combout\);

-- Location: LCCOMB_X2_Y21_N18
\led_flash_cnt[3314][5]~73284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3314][5]~73284_combout\ = (\led_flash_cnt[3314][5]~q\ & (\led_flash_cnt[3314][4]~73283\ $ (GND))) # (!\led_flash_cnt[3314][5]~q\ & (!\led_flash_cnt[3314][4]~73283\ & VCC))
-- \led_flash_cnt[3314][5]~73285\ = CARRY((\led_flash_cnt[3314][5]~q\ & !\led_flash_cnt[3314][4]~73283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3314][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3314][4]~73283\,
	combout => \led_flash_cnt[3314][5]~73284_combout\,
	cout => \led_flash_cnt[3314][5]~73285\);

-- Location: FF_X2_Y21_N19
\led_flash_cnt[3314][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3314][5]~73284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3314][5]~q\);

-- Location: LCCOMB_X2_Y21_N20
\led_flash_cnt[3314][6]~73286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3314][6]~73286_combout\ = (\led_flash_cnt[3314][6]~q\ & (!\led_flash_cnt[3314][5]~73285\)) # (!\led_flash_cnt[3314][6]~q\ & ((\led_flash_cnt[3314][5]~73285\) # (GND)))
-- \led_flash_cnt[3314][6]~73287\ = CARRY((!\led_flash_cnt[3314][5]~73285\) # (!\led_flash_cnt[3314][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3314][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3314][5]~73285\,
	combout => \led_flash_cnt[3314][6]~73286_combout\,
	cout => \led_flash_cnt[3314][6]~73287\);

-- Location: FF_X2_Y21_N21
\led_flash_cnt[3314][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3314][6]~73286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3314][6]~q\);

-- Location: LCCOMB_X2_Y21_N22
\led_flash_cnt[3314][7]~73288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3314][7]~73288_combout\ = \led_flash_cnt[3314][7]~q\ $ (!\led_flash_cnt[3314][6]~73287\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3314][7]~q\,
	cin => \led_flash_cnt[3314][6]~73287\,
	combout => \led_flash_cnt[3314][7]~73288_combout\);

-- Location: FF_X2_Y21_N23
\led_flash_cnt[3314][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3314][7]~73288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3314][7]~q\);

-- Location: LCCOMB_X2_Y21_N24
\WideAnd3314~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3314~1_combout\ = (\led_flash_cnt[3314][6]~q\ & \led_flash_cnt[3314][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3314][6]~q\,
	datad => \led_flash_cnt[3314][5]~q\,
	combout => \WideAnd3314~1_combout\);

-- Location: LCCOMB_X2_Y21_N4
WideAnd3314 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3314~combout\ = (\WideAnd3314~0_combout\ & (\led_flash_cnt[3314][0]~q\ & (\led_flash_cnt[3314][7]~q\ & \WideAnd3314~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3314~0_combout\,
	datab => \led_flash_cnt[3314][0]~q\,
	datac => \led_flash_cnt[3314][7]~q\,
	datad => \WideAnd3314~1_combout\,
	combout => \WideAnd3314~combout\);

-- Location: FF_X2_Y21_N5
\led_flash_cnt_ands[3314]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3314~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3314));

-- Location: LCCOMB_X1_Y22_N18
\led_flash_cnt[3315][0]~83955\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3315][0]~83955_combout\ = !\led_flash_cnt[3315][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3315][0]~q\,
	combout => \led_flash_cnt[3315][0]~83955_combout\);

-- Location: FF_X1_Y22_N19
\led_flash_cnt[3315][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3315][0]~83955_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3315][0]~q\);

-- Location: LCCOMB_X1_Y22_N2
\led_flash_cnt[3315][1]~73290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3315][1]~73290_combout\ = (\led_flash_cnt[3315][0]~q\ & (\led_flash_cnt[3315][1]~q\ $ (VCC))) # (!\led_flash_cnt[3315][0]~q\ & (\led_flash_cnt[3315][1]~q\ & VCC))
-- \led_flash_cnt[3315][1]~73291\ = CARRY((\led_flash_cnt[3315][0]~q\ & \led_flash_cnt[3315][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3315][0]~q\,
	datab => \led_flash_cnt[3315][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3315][1]~73290_combout\,
	cout => \led_flash_cnt[3315][1]~73291\);

-- Location: FF_X1_Y22_N3
\led_flash_cnt[3315][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3315][1]~73290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3315][1]~q\);

-- Location: LCCOMB_X1_Y22_N4
\led_flash_cnt[3315][2]~73292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3315][2]~73292_combout\ = (\led_flash_cnt[3315][2]~q\ & (!\led_flash_cnt[3315][1]~73291\)) # (!\led_flash_cnt[3315][2]~q\ & ((\led_flash_cnt[3315][1]~73291\) # (GND)))
-- \led_flash_cnt[3315][2]~73293\ = CARRY((!\led_flash_cnt[3315][1]~73291\) # (!\led_flash_cnt[3315][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3315][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3315][1]~73291\,
	combout => \led_flash_cnt[3315][2]~73292_combout\,
	cout => \led_flash_cnt[3315][2]~73293\);

-- Location: FF_X1_Y22_N5
\led_flash_cnt[3315][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3315][2]~73292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3315][2]~q\);

-- Location: LCCOMB_X1_Y22_N6
\led_flash_cnt[3315][3]~73294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3315][3]~73294_combout\ = (\led_flash_cnt[3315][3]~q\ & (\led_flash_cnt[3315][2]~73293\ $ (GND))) # (!\led_flash_cnt[3315][3]~q\ & (!\led_flash_cnt[3315][2]~73293\ & VCC))
-- \led_flash_cnt[3315][3]~73295\ = CARRY((\led_flash_cnt[3315][3]~q\ & !\led_flash_cnt[3315][2]~73293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3315][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3315][2]~73293\,
	combout => \led_flash_cnt[3315][3]~73294_combout\,
	cout => \led_flash_cnt[3315][3]~73295\);

-- Location: FF_X1_Y22_N7
\led_flash_cnt[3315][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3315][3]~73294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3315][3]~q\);

-- Location: LCCOMB_X1_Y22_N8
\led_flash_cnt[3315][4]~73296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3315][4]~73296_combout\ = (\led_flash_cnt[3315][4]~q\ & (!\led_flash_cnt[3315][3]~73295\)) # (!\led_flash_cnt[3315][4]~q\ & ((\led_flash_cnt[3315][3]~73295\) # (GND)))
-- \led_flash_cnt[3315][4]~73297\ = CARRY((!\led_flash_cnt[3315][3]~73295\) # (!\led_flash_cnt[3315][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3315][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3315][3]~73295\,
	combout => \led_flash_cnt[3315][4]~73296_combout\,
	cout => \led_flash_cnt[3315][4]~73297\);

-- Location: FF_X1_Y22_N9
\led_flash_cnt[3315][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3315][4]~73296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3315][4]~q\);

-- Location: LCCOMB_X1_Y22_N10
\led_flash_cnt[3315][5]~73298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3315][5]~73298_combout\ = (\led_flash_cnt[3315][5]~q\ & (\led_flash_cnt[3315][4]~73297\ $ (GND))) # (!\led_flash_cnt[3315][5]~q\ & (!\led_flash_cnt[3315][4]~73297\ & VCC))
-- \led_flash_cnt[3315][5]~73299\ = CARRY((\led_flash_cnt[3315][5]~q\ & !\led_flash_cnt[3315][4]~73297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3315][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3315][4]~73297\,
	combout => \led_flash_cnt[3315][5]~73298_combout\,
	cout => \led_flash_cnt[3315][5]~73299\);

-- Location: FF_X1_Y22_N11
\led_flash_cnt[3315][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3315][5]~73298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3315][5]~q\);

-- Location: LCCOMB_X1_Y22_N12
\led_flash_cnt[3315][6]~73300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3315][6]~73300_combout\ = (\led_flash_cnt[3315][6]~q\ & (!\led_flash_cnt[3315][5]~73299\)) # (!\led_flash_cnt[3315][6]~q\ & ((\led_flash_cnt[3315][5]~73299\) # (GND)))
-- \led_flash_cnt[3315][6]~73301\ = CARRY((!\led_flash_cnt[3315][5]~73299\) # (!\led_flash_cnt[3315][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3315][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3315][5]~73299\,
	combout => \led_flash_cnt[3315][6]~73300_combout\,
	cout => \led_flash_cnt[3315][6]~73301\);

-- Location: FF_X1_Y22_N13
\led_flash_cnt[3315][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3315][6]~73300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3315][6]~q\);

-- Location: LCCOMB_X1_Y22_N26
\WideAnd3315~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3315~1_combout\ = (\led_flash_cnt[3315][5]~q\ & \led_flash_cnt[3315][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3315][5]~q\,
	datad => \led_flash_cnt[3315][6]~q\,
	combout => \WideAnd3315~1_combout\);

-- Location: LCCOMB_X1_Y22_N24
\WideAnd3315~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3315~0_combout\ = (\led_flash_cnt[3315][3]~q\ & (\led_flash_cnt[3315][4]~q\ & (\led_flash_cnt[3315][2]~q\ & \led_flash_cnt[3315][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3315][3]~q\,
	datab => \led_flash_cnt[3315][4]~q\,
	datac => \led_flash_cnt[3315][2]~q\,
	datad => \led_flash_cnt[3315][1]~q\,
	combout => \WideAnd3315~0_combout\);

-- Location: LCCOMB_X1_Y22_N14
\led_flash_cnt[3315][7]~73302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3315][7]~73302_combout\ = \led_flash_cnt[3315][7]~q\ $ (!\led_flash_cnt[3315][6]~73301\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3315][7]~q\,
	cin => \led_flash_cnt[3315][6]~73301\,
	combout => \led_flash_cnt[3315][7]~73302_combout\);

-- Location: FF_X1_Y22_N15
\led_flash_cnt[3315][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3315][7]~73302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3315][7]~q\);

-- Location: LCCOMB_X1_Y22_N30
WideAnd3315 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3315~combout\ = (\WideAnd3315~1_combout\ & (\WideAnd3315~0_combout\ & (\led_flash_cnt[3315][7]~q\ & \led_flash_cnt[3315][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3315~1_combout\,
	datab => \WideAnd3315~0_combout\,
	datac => \led_flash_cnt[3315][7]~q\,
	datad => \led_flash_cnt[3315][0]~q\,
	combout => \WideAnd3315~combout\);

-- Location: FF_X1_Y22_N31
\led_flash_cnt_ands[3315]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3315~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3315));

-- Location: LCCOMB_X2_Y21_N0
\WideAnd4254~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4254~0_combout\ = (led_flash_cnt_ands(3312) & (led_flash_cnt_ands(3313) & (led_flash_cnt_ands(3314) & led_flash_cnt_ands(3315))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3312),
	datab => led_flash_cnt_ands(3313),
	datac => led_flash_cnt_ands(3314),
	datad => led_flash_cnt_ands(3315),
	combout => \WideAnd4254~0_combout\);

-- Location: LCCOMB_X60_Y32_N16
\led_flash_cnt[3318][0]~83958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3318][0]~83958_combout\ = !\led_flash_cnt[3318][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3318][0]~q\,
	combout => \led_flash_cnt[3318][0]~83958_combout\);

-- Location: FF_X60_Y32_N17
\led_flash_cnt[3318][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3318][0]~83958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3318][0]~q\);

-- Location: LCCOMB_X60_Y32_N0
\led_flash_cnt[3318][1]~73332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3318][1]~73332_combout\ = (\led_flash_cnt[3318][0]~q\ & (\led_flash_cnt[3318][1]~q\ $ (VCC))) # (!\led_flash_cnt[3318][0]~q\ & (\led_flash_cnt[3318][1]~q\ & VCC))
-- \led_flash_cnt[3318][1]~73333\ = CARRY((\led_flash_cnt[3318][0]~q\ & \led_flash_cnt[3318][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3318][0]~q\,
	datab => \led_flash_cnt[3318][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3318][1]~73332_combout\,
	cout => \led_flash_cnt[3318][1]~73333\);

-- Location: FF_X60_Y32_N1
\led_flash_cnt[3318][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3318][1]~73332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3318][1]~q\);

-- Location: LCCOMB_X60_Y32_N2
\led_flash_cnt[3318][2]~73334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3318][2]~73334_combout\ = (\led_flash_cnt[3318][2]~q\ & (!\led_flash_cnt[3318][1]~73333\)) # (!\led_flash_cnt[3318][2]~q\ & ((\led_flash_cnt[3318][1]~73333\) # (GND)))
-- \led_flash_cnt[3318][2]~73335\ = CARRY((!\led_flash_cnt[3318][1]~73333\) # (!\led_flash_cnt[3318][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3318][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3318][1]~73333\,
	combout => \led_flash_cnt[3318][2]~73334_combout\,
	cout => \led_flash_cnt[3318][2]~73335\);

-- Location: FF_X60_Y32_N3
\led_flash_cnt[3318][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3318][2]~73334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3318][2]~q\);

-- Location: LCCOMB_X60_Y32_N4
\led_flash_cnt[3318][3]~73336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3318][3]~73336_combout\ = (\led_flash_cnt[3318][3]~q\ & (\led_flash_cnt[3318][2]~73335\ $ (GND))) # (!\led_flash_cnt[3318][3]~q\ & (!\led_flash_cnt[3318][2]~73335\ & VCC))
-- \led_flash_cnt[3318][3]~73337\ = CARRY((\led_flash_cnt[3318][3]~q\ & !\led_flash_cnt[3318][2]~73335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3318][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3318][2]~73335\,
	combout => \led_flash_cnt[3318][3]~73336_combout\,
	cout => \led_flash_cnt[3318][3]~73337\);

-- Location: FF_X60_Y32_N5
\led_flash_cnt[3318][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3318][3]~73336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3318][3]~q\);

-- Location: LCCOMB_X60_Y32_N6
\led_flash_cnt[3318][4]~73338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3318][4]~73338_combout\ = (\led_flash_cnt[3318][4]~q\ & (!\led_flash_cnt[3318][3]~73337\)) # (!\led_flash_cnt[3318][4]~q\ & ((\led_flash_cnt[3318][3]~73337\) # (GND)))
-- \led_flash_cnt[3318][4]~73339\ = CARRY((!\led_flash_cnt[3318][3]~73337\) # (!\led_flash_cnt[3318][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3318][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3318][3]~73337\,
	combout => \led_flash_cnt[3318][4]~73338_combout\,
	cout => \led_flash_cnt[3318][4]~73339\);

-- Location: FF_X60_Y32_N7
\led_flash_cnt[3318][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3318][4]~73338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3318][4]~q\);

-- Location: LCCOMB_X60_Y32_N8
\led_flash_cnt[3318][5]~73340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3318][5]~73340_combout\ = (\led_flash_cnt[3318][5]~q\ & (\led_flash_cnt[3318][4]~73339\ $ (GND))) # (!\led_flash_cnt[3318][5]~q\ & (!\led_flash_cnt[3318][4]~73339\ & VCC))
-- \led_flash_cnt[3318][5]~73341\ = CARRY((\led_flash_cnt[3318][5]~q\ & !\led_flash_cnt[3318][4]~73339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3318][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3318][4]~73339\,
	combout => \led_flash_cnt[3318][5]~73340_combout\,
	cout => \led_flash_cnt[3318][5]~73341\);

-- Location: FF_X60_Y32_N9
\led_flash_cnt[3318][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3318][5]~73340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3318][5]~q\);

-- Location: LCCOMB_X60_Y32_N10
\led_flash_cnt[3318][6]~73342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3318][6]~73342_combout\ = (\led_flash_cnt[3318][6]~q\ & (!\led_flash_cnt[3318][5]~73341\)) # (!\led_flash_cnt[3318][6]~q\ & ((\led_flash_cnt[3318][5]~73341\) # (GND)))
-- \led_flash_cnt[3318][6]~73343\ = CARRY((!\led_flash_cnt[3318][5]~73341\) # (!\led_flash_cnt[3318][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3318][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3318][5]~73341\,
	combout => \led_flash_cnt[3318][6]~73342_combout\,
	cout => \led_flash_cnt[3318][6]~73343\);

-- Location: FF_X60_Y32_N11
\led_flash_cnt[3318][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3318][6]~73342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3318][6]~q\);

-- Location: LCCOMB_X60_Y32_N12
\led_flash_cnt[3318][7]~73344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3318][7]~73344_combout\ = \led_flash_cnt[3318][6]~73343\ $ (!\led_flash_cnt[3318][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3318][7]~q\,
	cin => \led_flash_cnt[3318][6]~73343\,
	combout => \led_flash_cnt[3318][7]~73344_combout\);

-- Location: FF_X60_Y32_N13
\led_flash_cnt[3318][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3318][7]~73344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3318][7]~q\);

-- Location: LCCOMB_X60_Y32_N20
\WideAnd3318~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3318~0_combout\ = (\led_flash_cnt[3318][4]~q\ & (\led_flash_cnt[3318][2]~q\ & (\led_flash_cnt[3318][3]~q\ & \led_flash_cnt[3318][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3318][4]~q\,
	datab => \led_flash_cnt[3318][2]~q\,
	datac => \led_flash_cnt[3318][3]~q\,
	datad => \led_flash_cnt[3318][1]~q\,
	combout => \WideAnd3318~0_combout\);

-- Location: LCCOMB_X60_Y32_N26
\WideAnd3318~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3318~1_combout\ = (\led_flash_cnt[3318][5]~q\ & \led_flash_cnt[3318][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3318][5]~q\,
	datad => \led_flash_cnt[3318][6]~q\,
	combout => \WideAnd3318~1_combout\);

-- Location: LCCOMB_X60_Y32_N18
WideAnd3318 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3318~combout\ = (\led_flash_cnt[3318][7]~q\ & (\WideAnd3318~0_combout\ & (\WideAnd3318~1_combout\ & \led_flash_cnt[3318][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3318][7]~q\,
	datab => \WideAnd3318~0_combout\,
	datac => \WideAnd3318~1_combout\,
	datad => \led_flash_cnt[3318][0]~q\,
	combout => \WideAnd3318~combout\);

-- Location: FF_X60_Y32_N19
\led_flash_cnt_ands[3318]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3318~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3318));

-- Location: LCCOMB_X60_Y32_N14
\led_flash_cnt[3319][0]~83959\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3319][0]~83959_combout\ = !\led_flash_cnt[3319][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3319][0]~q\,
	combout => \led_flash_cnt[3319][0]~83959_combout\);

-- Location: FF_X60_Y32_N15
\led_flash_cnt[3319][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3319][0]~83959_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3319][0]~q\);

-- Location: LCCOMB_X61_Y32_N0
\led_flash_cnt[3319][1]~73346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3319][1]~73346_combout\ = (\led_flash_cnt[3319][0]~q\ & (\led_flash_cnt[3319][1]~q\ $ (VCC))) # (!\led_flash_cnt[3319][0]~q\ & (\led_flash_cnt[3319][1]~q\ & VCC))
-- \led_flash_cnt[3319][1]~73347\ = CARRY((\led_flash_cnt[3319][0]~q\ & \led_flash_cnt[3319][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3319][0]~q\,
	datab => \led_flash_cnt[3319][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3319][1]~73346_combout\,
	cout => \led_flash_cnt[3319][1]~73347\);

-- Location: FF_X61_Y32_N1
\led_flash_cnt[3319][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3319][1]~73346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3319][1]~q\);

-- Location: LCCOMB_X61_Y32_N2
\led_flash_cnt[3319][2]~73348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3319][2]~73348_combout\ = (\led_flash_cnt[3319][2]~q\ & (!\led_flash_cnt[3319][1]~73347\)) # (!\led_flash_cnt[3319][2]~q\ & ((\led_flash_cnt[3319][1]~73347\) # (GND)))
-- \led_flash_cnt[3319][2]~73349\ = CARRY((!\led_flash_cnt[3319][1]~73347\) # (!\led_flash_cnt[3319][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3319][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3319][1]~73347\,
	combout => \led_flash_cnt[3319][2]~73348_combout\,
	cout => \led_flash_cnt[3319][2]~73349\);

-- Location: FF_X61_Y32_N3
\led_flash_cnt[3319][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3319][2]~73348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3319][2]~q\);

-- Location: LCCOMB_X61_Y32_N4
\led_flash_cnt[3319][3]~73350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3319][3]~73350_combout\ = (\led_flash_cnt[3319][3]~q\ & (\led_flash_cnt[3319][2]~73349\ $ (GND))) # (!\led_flash_cnt[3319][3]~q\ & (!\led_flash_cnt[3319][2]~73349\ & VCC))
-- \led_flash_cnt[3319][3]~73351\ = CARRY((\led_flash_cnt[3319][3]~q\ & !\led_flash_cnt[3319][2]~73349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3319][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3319][2]~73349\,
	combout => \led_flash_cnt[3319][3]~73350_combout\,
	cout => \led_flash_cnt[3319][3]~73351\);

-- Location: FF_X61_Y32_N5
\led_flash_cnt[3319][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3319][3]~73350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3319][3]~q\);

-- Location: LCCOMB_X61_Y32_N6
\led_flash_cnt[3319][4]~73352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3319][4]~73352_combout\ = (\led_flash_cnt[3319][4]~q\ & (!\led_flash_cnt[3319][3]~73351\)) # (!\led_flash_cnt[3319][4]~q\ & ((\led_flash_cnt[3319][3]~73351\) # (GND)))
-- \led_flash_cnt[3319][4]~73353\ = CARRY((!\led_flash_cnt[3319][3]~73351\) # (!\led_flash_cnt[3319][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3319][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3319][3]~73351\,
	combout => \led_flash_cnt[3319][4]~73352_combout\,
	cout => \led_flash_cnt[3319][4]~73353\);

-- Location: FF_X61_Y32_N7
\led_flash_cnt[3319][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3319][4]~73352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3319][4]~q\);

-- Location: LCCOMB_X61_Y32_N8
\led_flash_cnt[3319][5]~73354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3319][5]~73354_combout\ = (\led_flash_cnt[3319][5]~q\ & (\led_flash_cnt[3319][4]~73353\ $ (GND))) # (!\led_flash_cnt[3319][5]~q\ & (!\led_flash_cnt[3319][4]~73353\ & VCC))
-- \led_flash_cnt[3319][5]~73355\ = CARRY((\led_flash_cnt[3319][5]~q\ & !\led_flash_cnt[3319][4]~73353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3319][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3319][4]~73353\,
	combout => \led_flash_cnt[3319][5]~73354_combout\,
	cout => \led_flash_cnt[3319][5]~73355\);

-- Location: FF_X61_Y32_N9
\led_flash_cnt[3319][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3319][5]~73354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3319][5]~q\);

-- Location: LCCOMB_X61_Y32_N10
\led_flash_cnt[3319][6]~73356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3319][6]~73356_combout\ = (\led_flash_cnt[3319][6]~q\ & (!\led_flash_cnt[3319][5]~73355\)) # (!\led_flash_cnt[3319][6]~q\ & ((\led_flash_cnt[3319][5]~73355\) # (GND)))
-- \led_flash_cnt[3319][6]~73357\ = CARRY((!\led_flash_cnt[3319][5]~73355\) # (!\led_flash_cnt[3319][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3319][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3319][5]~73355\,
	combout => \led_flash_cnt[3319][6]~73356_combout\,
	cout => \led_flash_cnt[3319][6]~73357\);

-- Location: FF_X61_Y32_N11
\led_flash_cnt[3319][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3319][6]~73356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3319][6]~q\);

-- Location: LCCOMB_X60_Y32_N22
\WideAnd3319~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3319~1_combout\ = (\led_flash_cnt[3319][6]~q\ & \led_flash_cnt[3319][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3319][6]~q\,
	datac => \led_flash_cnt[3319][5]~q\,
	combout => \WideAnd3319~1_combout\);

-- Location: LCCOMB_X61_Y32_N12
\led_flash_cnt[3319][7]~73358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3319][7]~73358_combout\ = \led_flash_cnt[3319][6]~73357\ $ (!\led_flash_cnt[3319][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3319][7]~q\,
	cin => \led_flash_cnt[3319][6]~73357\,
	combout => \led_flash_cnt[3319][7]~73358_combout\);

-- Location: FF_X61_Y32_N13
\led_flash_cnt[3319][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3319][7]~73358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3319][7]~q\);

-- Location: LCCOMB_X61_Y32_N28
\WideAnd3319~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3319~0_combout\ = (\led_flash_cnt[3319][4]~q\ & (\led_flash_cnt[3319][1]~q\ & (\led_flash_cnt[3319][3]~q\ & \led_flash_cnt[3319][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3319][4]~q\,
	datab => \led_flash_cnt[3319][1]~q\,
	datac => \led_flash_cnt[3319][3]~q\,
	datad => \led_flash_cnt[3319][2]~q\,
	combout => \WideAnd3319~0_combout\);

-- Location: LCCOMB_X60_Y32_N24
WideAnd3319 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3319~combout\ = (\WideAnd3319~1_combout\ & (\led_flash_cnt[3319][0]~q\ & (\led_flash_cnt[3319][7]~q\ & \WideAnd3319~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3319~1_combout\,
	datab => \led_flash_cnt[3319][0]~q\,
	datac => \led_flash_cnt[3319][7]~q\,
	datad => \WideAnd3319~0_combout\,
	combout => \WideAnd3319~combout\);

-- Location: FF_X60_Y32_N25
\led_flash_cnt_ands[3319]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3319~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3319));

-- Location: LCCOMB_X45_Y25_N2
\led_flash_cnt[3317][0]~83957\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3317][0]~83957_combout\ = !\led_flash_cnt[3317][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3317][0]~q\,
	combout => \led_flash_cnt[3317][0]~83957_combout\);

-- Location: FF_X45_Y25_N3
\led_flash_cnt[3317][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3317][0]~83957_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3317][0]~q\);

-- Location: LCCOMB_X44_Y25_N16
\led_flash_cnt[3317][1]~73318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3317][1]~73318_combout\ = (\led_flash_cnt[3317][0]~q\ & (\led_flash_cnt[3317][1]~q\ $ (VCC))) # (!\led_flash_cnt[3317][0]~q\ & (\led_flash_cnt[3317][1]~q\ & VCC))
-- \led_flash_cnt[3317][1]~73319\ = CARRY((\led_flash_cnt[3317][0]~q\ & \led_flash_cnt[3317][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3317][0]~q\,
	datab => \led_flash_cnt[3317][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3317][1]~73318_combout\,
	cout => \led_flash_cnt[3317][1]~73319\);

-- Location: FF_X44_Y25_N17
\led_flash_cnt[3317][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3317][1]~73318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3317][1]~q\);

-- Location: LCCOMB_X44_Y25_N18
\led_flash_cnt[3317][2]~73320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3317][2]~73320_combout\ = (\led_flash_cnt[3317][2]~q\ & (!\led_flash_cnt[3317][1]~73319\)) # (!\led_flash_cnt[3317][2]~q\ & ((\led_flash_cnt[3317][1]~73319\) # (GND)))
-- \led_flash_cnt[3317][2]~73321\ = CARRY((!\led_flash_cnt[3317][1]~73319\) # (!\led_flash_cnt[3317][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3317][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3317][1]~73319\,
	combout => \led_flash_cnt[3317][2]~73320_combout\,
	cout => \led_flash_cnt[3317][2]~73321\);

-- Location: FF_X44_Y25_N19
\led_flash_cnt[3317][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3317][2]~73320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3317][2]~q\);

-- Location: LCCOMB_X44_Y25_N20
\led_flash_cnt[3317][3]~73322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3317][3]~73322_combout\ = (\led_flash_cnt[3317][3]~q\ & (\led_flash_cnt[3317][2]~73321\ $ (GND))) # (!\led_flash_cnt[3317][3]~q\ & (!\led_flash_cnt[3317][2]~73321\ & VCC))
-- \led_flash_cnt[3317][3]~73323\ = CARRY((\led_flash_cnt[3317][3]~q\ & !\led_flash_cnt[3317][2]~73321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3317][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3317][2]~73321\,
	combout => \led_flash_cnt[3317][3]~73322_combout\,
	cout => \led_flash_cnt[3317][3]~73323\);

-- Location: FF_X44_Y25_N21
\led_flash_cnt[3317][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3317][3]~73322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3317][3]~q\);

-- Location: LCCOMB_X44_Y25_N22
\led_flash_cnt[3317][4]~73324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3317][4]~73324_combout\ = (\led_flash_cnt[3317][4]~q\ & (!\led_flash_cnt[3317][3]~73323\)) # (!\led_flash_cnt[3317][4]~q\ & ((\led_flash_cnt[3317][3]~73323\) # (GND)))
-- \led_flash_cnt[3317][4]~73325\ = CARRY((!\led_flash_cnt[3317][3]~73323\) # (!\led_flash_cnt[3317][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3317][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3317][3]~73323\,
	combout => \led_flash_cnt[3317][4]~73324_combout\,
	cout => \led_flash_cnt[3317][4]~73325\);

-- Location: FF_X44_Y25_N23
\led_flash_cnt[3317][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3317][4]~73324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3317][4]~q\);

-- Location: LCCOMB_X44_Y25_N0
\WideAnd3317~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3317~0_combout\ = (\led_flash_cnt[3317][1]~q\ & (\led_flash_cnt[3317][3]~q\ & (\led_flash_cnt[3317][4]~q\ & \led_flash_cnt[3317][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3317][1]~q\,
	datab => \led_flash_cnt[3317][3]~q\,
	datac => \led_flash_cnt[3317][4]~q\,
	datad => \led_flash_cnt[3317][2]~q\,
	combout => \WideAnd3317~0_combout\);

-- Location: LCCOMB_X44_Y25_N24
\led_flash_cnt[3317][5]~73326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3317][5]~73326_combout\ = (\led_flash_cnt[3317][5]~q\ & (\led_flash_cnt[3317][4]~73325\ $ (GND))) # (!\led_flash_cnt[3317][5]~q\ & (!\led_flash_cnt[3317][4]~73325\ & VCC))
-- \led_flash_cnt[3317][5]~73327\ = CARRY((\led_flash_cnt[3317][5]~q\ & !\led_flash_cnt[3317][4]~73325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3317][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3317][4]~73325\,
	combout => \led_flash_cnt[3317][5]~73326_combout\,
	cout => \led_flash_cnt[3317][5]~73327\);

-- Location: FF_X44_Y25_N25
\led_flash_cnt[3317][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3317][5]~73326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3317][5]~q\);

-- Location: LCCOMB_X44_Y25_N26
\led_flash_cnt[3317][6]~73328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3317][6]~73328_combout\ = (\led_flash_cnt[3317][6]~q\ & (!\led_flash_cnt[3317][5]~73327\)) # (!\led_flash_cnt[3317][6]~q\ & ((\led_flash_cnt[3317][5]~73327\) # (GND)))
-- \led_flash_cnt[3317][6]~73329\ = CARRY((!\led_flash_cnt[3317][5]~73327\) # (!\led_flash_cnt[3317][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3317][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3317][5]~73327\,
	combout => \led_flash_cnt[3317][6]~73328_combout\,
	cout => \led_flash_cnt[3317][6]~73329\);

-- Location: FF_X44_Y25_N27
\led_flash_cnt[3317][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3317][6]~73328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3317][6]~q\);

-- Location: LCCOMB_X45_Y25_N18
\WideAnd3317~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3317~1_combout\ = (\led_flash_cnt[3317][6]~q\ & \led_flash_cnt[3317][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3317][6]~q\,
	datad => \led_flash_cnt[3317][5]~q\,
	combout => \WideAnd3317~1_combout\);

-- Location: LCCOMB_X44_Y25_N28
\led_flash_cnt[3317][7]~73330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3317][7]~73330_combout\ = \led_flash_cnt[3317][6]~73329\ $ (!\led_flash_cnt[3317][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3317][7]~q\,
	cin => \led_flash_cnt[3317][6]~73329\,
	combout => \led_flash_cnt[3317][7]~73330_combout\);

-- Location: FF_X44_Y25_N29
\led_flash_cnt[3317][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3317][7]~73330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3317][7]~q\);

-- Location: LCCOMB_X45_Y25_N30
WideAnd3317 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3317~combout\ = (\WideAnd3317~0_combout\ & (\WideAnd3317~1_combout\ & (\led_flash_cnt[3317][0]~q\ & \led_flash_cnt[3317][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3317~0_combout\,
	datab => \WideAnd3317~1_combout\,
	datac => \led_flash_cnt[3317][0]~q\,
	datad => \led_flash_cnt[3317][7]~q\,
	combout => \WideAnd3317~combout\);

-- Location: FF_X45_Y25_N31
\led_flash_cnt_ands[3317]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3317~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3317));

-- Location: LCCOMB_X45_Y25_N22
\led_flash_cnt[3316][0]~83956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3316][0]~83956_combout\ = !\led_flash_cnt[3316][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3316][0]~q\,
	combout => \led_flash_cnt[3316][0]~83956_combout\);

-- Location: FF_X45_Y25_N23
\led_flash_cnt[3316][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3316][0]~83956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3316][0]~q\);

-- Location: LCCOMB_X45_Y25_N4
\led_flash_cnt[3316][1]~73304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3316][1]~73304_combout\ = (\led_flash_cnt[3316][0]~q\ & (\led_flash_cnt[3316][1]~q\ $ (VCC))) # (!\led_flash_cnt[3316][0]~q\ & (\led_flash_cnt[3316][1]~q\ & VCC))
-- \led_flash_cnt[3316][1]~73305\ = CARRY((\led_flash_cnt[3316][0]~q\ & \led_flash_cnt[3316][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3316][0]~q\,
	datab => \led_flash_cnt[3316][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3316][1]~73304_combout\,
	cout => \led_flash_cnt[3316][1]~73305\);

-- Location: FF_X45_Y25_N5
\led_flash_cnt[3316][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3316][1]~73304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3316][1]~q\);

-- Location: LCCOMB_X45_Y25_N6
\led_flash_cnt[3316][2]~73306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3316][2]~73306_combout\ = (\led_flash_cnt[3316][2]~q\ & (!\led_flash_cnt[3316][1]~73305\)) # (!\led_flash_cnt[3316][2]~q\ & ((\led_flash_cnt[3316][1]~73305\) # (GND)))
-- \led_flash_cnt[3316][2]~73307\ = CARRY((!\led_flash_cnt[3316][1]~73305\) # (!\led_flash_cnt[3316][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3316][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3316][1]~73305\,
	combout => \led_flash_cnt[3316][2]~73306_combout\,
	cout => \led_flash_cnt[3316][2]~73307\);

-- Location: FF_X45_Y25_N7
\led_flash_cnt[3316][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3316][2]~73306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3316][2]~q\);

-- Location: LCCOMB_X45_Y25_N8
\led_flash_cnt[3316][3]~73308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3316][3]~73308_combout\ = (\led_flash_cnt[3316][3]~q\ & (\led_flash_cnt[3316][2]~73307\ $ (GND))) # (!\led_flash_cnt[3316][3]~q\ & (!\led_flash_cnt[3316][2]~73307\ & VCC))
-- \led_flash_cnt[3316][3]~73309\ = CARRY((\led_flash_cnt[3316][3]~q\ & !\led_flash_cnt[3316][2]~73307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3316][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3316][2]~73307\,
	combout => \led_flash_cnt[3316][3]~73308_combout\,
	cout => \led_flash_cnt[3316][3]~73309\);

-- Location: FF_X45_Y25_N9
\led_flash_cnt[3316][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3316][3]~73308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3316][3]~q\);

-- Location: LCCOMB_X45_Y25_N10
\led_flash_cnt[3316][4]~73310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3316][4]~73310_combout\ = (\led_flash_cnt[3316][4]~q\ & (!\led_flash_cnt[3316][3]~73309\)) # (!\led_flash_cnt[3316][4]~q\ & ((\led_flash_cnt[3316][3]~73309\) # (GND)))
-- \led_flash_cnt[3316][4]~73311\ = CARRY((!\led_flash_cnt[3316][3]~73309\) # (!\led_flash_cnt[3316][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3316][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3316][3]~73309\,
	combout => \led_flash_cnt[3316][4]~73310_combout\,
	cout => \led_flash_cnt[3316][4]~73311\);

-- Location: FF_X45_Y25_N11
\led_flash_cnt[3316][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3316][4]~73310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3316][4]~q\);

-- Location: LCCOMB_X45_Y25_N24
\WideAnd3316~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3316~0_combout\ = (\led_flash_cnt[3316][2]~q\ & (\led_flash_cnt[3316][1]~q\ & (\led_flash_cnt[3316][3]~q\ & \led_flash_cnt[3316][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3316][2]~q\,
	datab => \led_flash_cnt[3316][1]~q\,
	datac => \led_flash_cnt[3316][3]~q\,
	datad => \led_flash_cnt[3316][4]~q\,
	combout => \WideAnd3316~0_combout\);

-- Location: LCCOMB_X45_Y25_N12
\led_flash_cnt[3316][5]~73312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3316][5]~73312_combout\ = (\led_flash_cnt[3316][5]~q\ & (\led_flash_cnt[3316][4]~73311\ $ (GND))) # (!\led_flash_cnt[3316][5]~q\ & (!\led_flash_cnt[3316][4]~73311\ & VCC))
-- \led_flash_cnt[3316][5]~73313\ = CARRY((\led_flash_cnt[3316][5]~q\ & !\led_flash_cnt[3316][4]~73311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3316][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3316][4]~73311\,
	combout => \led_flash_cnt[3316][5]~73312_combout\,
	cout => \led_flash_cnt[3316][5]~73313\);

-- Location: FF_X45_Y25_N13
\led_flash_cnt[3316][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3316][5]~73312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3316][5]~q\);

-- Location: LCCOMB_X45_Y25_N14
\led_flash_cnt[3316][6]~73314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3316][6]~73314_combout\ = (\led_flash_cnt[3316][6]~q\ & (!\led_flash_cnt[3316][5]~73313\)) # (!\led_flash_cnt[3316][6]~q\ & ((\led_flash_cnt[3316][5]~73313\) # (GND)))
-- \led_flash_cnt[3316][6]~73315\ = CARRY((!\led_flash_cnt[3316][5]~73313\) # (!\led_flash_cnt[3316][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3316][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3316][5]~73313\,
	combout => \led_flash_cnt[3316][6]~73314_combout\,
	cout => \led_flash_cnt[3316][6]~73315\);

-- Location: FF_X45_Y25_N15
\led_flash_cnt[3316][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3316][6]~73314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3316][6]~q\);

-- Location: LCCOMB_X45_Y25_N26
\WideAnd3316~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3316~1_combout\ = (\led_flash_cnt[3316][6]~q\ & \led_flash_cnt[3316][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3316][6]~q\,
	datad => \led_flash_cnt[3316][5]~q\,
	combout => \WideAnd3316~1_combout\);

-- Location: LCCOMB_X45_Y25_N16
\led_flash_cnt[3316][7]~73316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3316][7]~73316_combout\ = \led_flash_cnt[3316][6]~73315\ $ (!\led_flash_cnt[3316][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3316][7]~q\,
	cin => \led_flash_cnt[3316][6]~73315\,
	combout => \led_flash_cnt[3316][7]~73316_combout\);

-- Location: FF_X45_Y25_N17
\led_flash_cnt[3316][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3316][7]~73316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3316][7]~q\);

-- Location: LCCOMB_X45_Y25_N20
WideAnd3316 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3316~combout\ = (\led_flash_cnt[3316][0]~q\ & (\WideAnd3316~0_combout\ & (\WideAnd3316~1_combout\ & \led_flash_cnt[3316][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3316][0]~q\,
	datab => \WideAnd3316~0_combout\,
	datac => \WideAnd3316~1_combout\,
	datad => \led_flash_cnt[3316][7]~q\,
	combout => \WideAnd3316~combout\);

-- Location: FF_X45_Y25_N21
\led_flash_cnt_ands[3316]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3316~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3316));

-- Location: LCCOMB_X45_Y25_N0
\WideAnd4254~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4254~1_combout\ = (led_flash_cnt_ands(3317) & led_flash_cnt_ands(3316))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3317),
	datad => led_flash_cnt_ands(3316),
	combout => \WideAnd4254~1_combout\);

-- Location: LCCOMB_X45_Y25_N28
WideAnd4254 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4254~combout\ = (\WideAnd4254~0_combout\ & (led_flash_cnt_ands(3318) & (led_flash_cnt_ands(3319) & \WideAnd4254~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4254~0_combout\,
	datab => led_flash_cnt_ands(3318),
	datac => led_flash_cnt_ands(3319),
	datad => \WideAnd4254~1_combout\,
	combout => \WideAnd4254~combout\);

-- Location: FF_X45_Y25_N29
\led_flash_cnt_ands_1[414]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4254~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(414));

-- Location: LCCOMB_X67_Y19_N10
\led_flash_cnt[3327][0]~83967\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3327][0]~83967_combout\ = !\led_flash_cnt[3327][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3327][0]~q\,
	combout => \led_flash_cnt[3327][0]~83967_combout\);

-- Location: FF_X67_Y19_N11
\led_flash_cnt[3327][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3327][0]~83967_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3327][0]~q\);

-- Location: LCCOMB_X67_Y19_N16
\led_flash_cnt[3327][1]~73458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3327][1]~73458_combout\ = (\led_flash_cnt[3327][0]~q\ & (\led_flash_cnt[3327][1]~q\ $ (VCC))) # (!\led_flash_cnt[3327][0]~q\ & (\led_flash_cnt[3327][1]~q\ & VCC))
-- \led_flash_cnt[3327][1]~73459\ = CARRY((\led_flash_cnt[3327][0]~q\ & \led_flash_cnt[3327][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3327][0]~q\,
	datab => \led_flash_cnt[3327][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3327][1]~73458_combout\,
	cout => \led_flash_cnt[3327][1]~73459\);

-- Location: FF_X67_Y19_N17
\led_flash_cnt[3327][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3327][1]~73458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3327][1]~q\);

-- Location: LCCOMB_X67_Y19_N18
\led_flash_cnt[3327][2]~73460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3327][2]~73460_combout\ = (\led_flash_cnt[3327][2]~q\ & (!\led_flash_cnt[3327][1]~73459\)) # (!\led_flash_cnt[3327][2]~q\ & ((\led_flash_cnt[3327][1]~73459\) # (GND)))
-- \led_flash_cnt[3327][2]~73461\ = CARRY((!\led_flash_cnt[3327][1]~73459\) # (!\led_flash_cnt[3327][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3327][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3327][1]~73459\,
	combout => \led_flash_cnt[3327][2]~73460_combout\,
	cout => \led_flash_cnt[3327][2]~73461\);

-- Location: FF_X67_Y19_N19
\led_flash_cnt[3327][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3327][2]~73460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3327][2]~q\);

-- Location: LCCOMB_X67_Y19_N20
\led_flash_cnt[3327][3]~73462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3327][3]~73462_combout\ = (\led_flash_cnt[3327][3]~q\ & (\led_flash_cnt[3327][2]~73461\ $ (GND))) # (!\led_flash_cnt[3327][3]~q\ & (!\led_flash_cnt[3327][2]~73461\ & VCC))
-- \led_flash_cnt[3327][3]~73463\ = CARRY((\led_flash_cnt[3327][3]~q\ & !\led_flash_cnt[3327][2]~73461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3327][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3327][2]~73461\,
	combout => \led_flash_cnt[3327][3]~73462_combout\,
	cout => \led_flash_cnt[3327][3]~73463\);

-- Location: FF_X67_Y19_N21
\led_flash_cnt[3327][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3327][3]~73462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3327][3]~q\);

-- Location: LCCOMB_X67_Y19_N22
\led_flash_cnt[3327][4]~73464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3327][4]~73464_combout\ = (\led_flash_cnt[3327][4]~q\ & (!\led_flash_cnt[3327][3]~73463\)) # (!\led_flash_cnt[3327][4]~q\ & ((\led_flash_cnt[3327][3]~73463\) # (GND)))
-- \led_flash_cnt[3327][4]~73465\ = CARRY((!\led_flash_cnt[3327][3]~73463\) # (!\led_flash_cnt[3327][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3327][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3327][3]~73463\,
	combout => \led_flash_cnt[3327][4]~73464_combout\,
	cout => \led_flash_cnt[3327][4]~73465\);

-- Location: FF_X67_Y19_N23
\led_flash_cnt[3327][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3327][4]~73464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3327][4]~q\);

-- Location: LCCOMB_X67_Y19_N24
\led_flash_cnt[3327][5]~73466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3327][5]~73466_combout\ = (\led_flash_cnt[3327][5]~q\ & (\led_flash_cnt[3327][4]~73465\ $ (GND))) # (!\led_flash_cnt[3327][5]~q\ & (!\led_flash_cnt[3327][4]~73465\ & VCC))
-- \led_flash_cnt[3327][5]~73467\ = CARRY((\led_flash_cnt[3327][5]~q\ & !\led_flash_cnt[3327][4]~73465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3327][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3327][4]~73465\,
	combout => \led_flash_cnt[3327][5]~73466_combout\,
	cout => \led_flash_cnt[3327][5]~73467\);

-- Location: FF_X67_Y19_N25
\led_flash_cnt[3327][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3327][5]~73466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3327][5]~q\);

-- Location: LCCOMB_X67_Y19_N26
\led_flash_cnt[3327][6]~73468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3327][6]~73468_combout\ = (\led_flash_cnt[3327][6]~q\ & (!\led_flash_cnt[3327][5]~73467\)) # (!\led_flash_cnt[3327][6]~q\ & ((\led_flash_cnt[3327][5]~73467\) # (GND)))
-- \led_flash_cnt[3327][6]~73469\ = CARRY((!\led_flash_cnt[3327][5]~73467\) # (!\led_flash_cnt[3327][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3327][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3327][5]~73467\,
	combout => \led_flash_cnt[3327][6]~73468_combout\,
	cout => \led_flash_cnt[3327][6]~73469\);

-- Location: FF_X67_Y19_N27
\led_flash_cnt[3327][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3327][6]~73468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3327][6]~q\);

-- Location: LCCOMB_X67_Y19_N28
\led_flash_cnt[3327][7]~73470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3327][7]~73470_combout\ = \led_flash_cnt[3327][6]~73469\ $ (!\led_flash_cnt[3327][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3327][7]~q\,
	cin => \led_flash_cnt[3327][6]~73469\,
	combout => \led_flash_cnt[3327][7]~73470_combout\);

-- Location: FF_X67_Y19_N29
\led_flash_cnt[3327][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3327][7]~73470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3327][7]~q\);

-- Location: LCCOMB_X67_Y19_N8
\WideAnd3327~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3327~1_combout\ = (\led_flash_cnt[3327][6]~q\ & \led_flash_cnt[3327][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3327][6]~q\,
	datad => \led_flash_cnt[3327][5]~q\,
	combout => \WideAnd3327~1_combout\);

-- Location: LCCOMB_X67_Y19_N12
\WideAnd3327~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3327~0_combout\ = (\led_flash_cnt[3327][3]~q\ & (\led_flash_cnt[3327][2]~q\ & (\led_flash_cnt[3327][4]~q\ & \led_flash_cnt[3327][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3327][3]~q\,
	datab => \led_flash_cnt[3327][2]~q\,
	datac => \led_flash_cnt[3327][4]~q\,
	datad => \led_flash_cnt[3327][1]~q\,
	combout => \WideAnd3327~0_combout\);

-- Location: LCCOMB_X67_Y19_N4
WideAnd3327 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3327~combout\ = (\led_flash_cnt[3327][0]~q\ & (\led_flash_cnt[3327][7]~q\ & (\WideAnd3327~1_combout\ & \WideAnd3327~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3327][0]~q\,
	datab => \led_flash_cnt[3327][7]~q\,
	datac => \WideAnd3327~1_combout\,
	datad => \WideAnd3327~0_combout\,
	combout => \WideAnd3327~combout\);

-- Location: FF_X67_Y19_N5
\led_flash_cnt_ands[3327]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3327~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3327));

-- Location: LCCOMB_X10_Y23_N26
\led_flash_cnt[3323][0]~83963\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3323][0]~83963_combout\ = !\led_flash_cnt[3323][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3323][0]~q\,
	combout => \led_flash_cnt[3323][0]~83963_combout\);

-- Location: FF_X10_Y23_N27
\led_flash_cnt[3323][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3323][0]~83963_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3323][0]~q\);

-- Location: LCCOMB_X10_Y23_N8
\led_flash_cnt[3323][1]~73402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3323][1]~73402_combout\ = (\led_flash_cnt[3323][0]~q\ & (\led_flash_cnt[3323][1]~q\ $ (VCC))) # (!\led_flash_cnt[3323][0]~q\ & (\led_flash_cnt[3323][1]~q\ & VCC))
-- \led_flash_cnt[3323][1]~73403\ = CARRY((\led_flash_cnt[3323][0]~q\ & \led_flash_cnt[3323][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3323][0]~q\,
	datab => \led_flash_cnt[3323][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3323][1]~73402_combout\,
	cout => \led_flash_cnt[3323][1]~73403\);

-- Location: FF_X10_Y23_N9
\led_flash_cnt[3323][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3323][1]~73402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3323][1]~q\);

-- Location: LCCOMB_X10_Y23_N10
\led_flash_cnt[3323][2]~73404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3323][2]~73404_combout\ = (\led_flash_cnt[3323][2]~q\ & (!\led_flash_cnt[3323][1]~73403\)) # (!\led_flash_cnt[3323][2]~q\ & ((\led_flash_cnt[3323][1]~73403\) # (GND)))
-- \led_flash_cnt[3323][2]~73405\ = CARRY((!\led_flash_cnt[3323][1]~73403\) # (!\led_flash_cnt[3323][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3323][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3323][1]~73403\,
	combout => \led_flash_cnt[3323][2]~73404_combout\,
	cout => \led_flash_cnt[3323][2]~73405\);

-- Location: FF_X10_Y23_N11
\led_flash_cnt[3323][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3323][2]~73404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3323][2]~q\);

-- Location: LCCOMB_X10_Y23_N12
\led_flash_cnt[3323][3]~73406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3323][3]~73406_combout\ = (\led_flash_cnt[3323][3]~q\ & (\led_flash_cnt[3323][2]~73405\ $ (GND))) # (!\led_flash_cnt[3323][3]~q\ & (!\led_flash_cnt[3323][2]~73405\ & VCC))
-- \led_flash_cnt[3323][3]~73407\ = CARRY((\led_flash_cnt[3323][3]~q\ & !\led_flash_cnt[3323][2]~73405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3323][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3323][2]~73405\,
	combout => \led_flash_cnt[3323][3]~73406_combout\,
	cout => \led_flash_cnt[3323][3]~73407\);

-- Location: FF_X10_Y23_N13
\led_flash_cnt[3323][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3323][3]~73406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3323][3]~q\);

-- Location: LCCOMB_X10_Y23_N14
\led_flash_cnt[3323][4]~73408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3323][4]~73408_combout\ = (\led_flash_cnt[3323][4]~q\ & (!\led_flash_cnt[3323][3]~73407\)) # (!\led_flash_cnt[3323][4]~q\ & ((\led_flash_cnt[3323][3]~73407\) # (GND)))
-- \led_flash_cnt[3323][4]~73409\ = CARRY((!\led_flash_cnt[3323][3]~73407\) # (!\led_flash_cnt[3323][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3323][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3323][3]~73407\,
	combout => \led_flash_cnt[3323][4]~73408_combout\,
	cout => \led_flash_cnt[3323][4]~73409\);

-- Location: FF_X10_Y23_N15
\led_flash_cnt[3323][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3323][4]~73408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3323][4]~q\);

-- Location: LCCOMB_X10_Y23_N16
\led_flash_cnt[3323][5]~73410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3323][5]~73410_combout\ = (\led_flash_cnt[3323][5]~q\ & (\led_flash_cnt[3323][4]~73409\ $ (GND))) # (!\led_flash_cnt[3323][5]~q\ & (!\led_flash_cnt[3323][4]~73409\ & VCC))
-- \led_flash_cnt[3323][5]~73411\ = CARRY((\led_flash_cnt[3323][5]~q\ & !\led_flash_cnt[3323][4]~73409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3323][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3323][4]~73409\,
	combout => \led_flash_cnt[3323][5]~73410_combout\,
	cout => \led_flash_cnt[3323][5]~73411\);

-- Location: FF_X10_Y23_N17
\led_flash_cnt[3323][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3323][5]~73410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3323][5]~q\);

-- Location: LCCOMB_X10_Y23_N18
\led_flash_cnt[3323][6]~73412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3323][6]~73412_combout\ = (\led_flash_cnt[3323][6]~q\ & (!\led_flash_cnt[3323][5]~73411\)) # (!\led_flash_cnt[3323][6]~q\ & ((\led_flash_cnt[3323][5]~73411\) # (GND)))
-- \led_flash_cnt[3323][6]~73413\ = CARRY((!\led_flash_cnt[3323][5]~73411\) # (!\led_flash_cnt[3323][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3323][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3323][5]~73411\,
	combout => \led_flash_cnt[3323][6]~73412_combout\,
	cout => \led_flash_cnt[3323][6]~73413\);

-- Location: FF_X10_Y23_N19
\led_flash_cnt[3323][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3323][6]~73412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3323][6]~q\);

-- Location: LCCOMB_X10_Y23_N20
\led_flash_cnt[3323][7]~73414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3323][7]~73414_combout\ = \led_flash_cnt[3323][6]~73413\ $ (!\led_flash_cnt[3323][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3323][7]~q\,
	cin => \led_flash_cnt[3323][6]~73413\,
	combout => \led_flash_cnt[3323][7]~73414_combout\);

-- Location: FF_X10_Y23_N21
\led_flash_cnt[3323][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3323][7]~73414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3323][7]~q\);

-- Location: LCCOMB_X10_Y23_N22
\WideAnd3323~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3323~1_combout\ = (\led_flash_cnt[3323][6]~q\ & \led_flash_cnt[3323][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3323][6]~q\,
	datad => \led_flash_cnt[3323][5]~q\,
	combout => \WideAnd3323~1_combout\);

-- Location: LCCOMB_X10_Y23_N24
\WideAnd3323~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3323~0_combout\ = (\led_flash_cnt[3323][2]~q\ & (\led_flash_cnt[3323][1]~q\ & (\led_flash_cnt[3323][4]~q\ & \led_flash_cnt[3323][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3323][2]~q\,
	datab => \led_flash_cnt[3323][1]~q\,
	datac => \led_flash_cnt[3323][4]~q\,
	datad => \led_flash_cnt[3323][3]~q\,
	combout => \WideAnd3323~0_combout\);

-- Location: LCCOMB_X10_Y23_N4
WideAnd3323 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3323~combout\ = (\led_flash_cnt[3323][0]~q\ & (\led_flash_cnt[3323][7]~q\ & (\WideAnd3323~1_combout\ & \WideAnd3323~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3323][0]~q\,
	datab => \led_flash_cnt[3323][7]~q\,
	datac => \WideAnd3323~1_combout\,
	datad => \WideAnd3323~0_combout\,
	combout => \WideAnd3323~combout\);

-- Location: FF_X10_Y23_N5
\led_flash_cnt_ands[3323]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3323~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3323));

-- Location: LCCOMB_X8_Y26_N6
\led_flash_cnt[3321][0]~83961\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3321][0]~83961_combout\ = !\led_flash_cnt[3321][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3321][0]~q\,
	combout => \led_flash_cnt[3321][0]~83961_combout\);

-- Location: FF_X8_Y26_N7
\led_flash_cnt[3321][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3321][0]~83961_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3321][0]~q\);

-- Location: LCCOMB_X9_Y26_N4
\led_flash_cnt[3321][1]~73374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3321][1]~73374_combout\ = (\led_flash_cnt[3321][0]~q\ & (\led_flash_cnt[3321][1]~q\ $ (VCC))) # (!\led_flash_cnt[3321][0]~q\ & (\led_flash_cnt[3321][1]~q\ & VCC))
-- \led_flash_cnt[3321][1]~73375\ = CARRY((\led_flash_cnt[3321][0]~q\ & \led_flash_cnt[3321][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3321][0]~q\,
	datab => \led_flash_cnt[3321][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3321][1]~73374_combout\,
	cout => \led_flash_cnt[3321][1]~73375\);

-- Location: FF_X9_Y26_N5
\led_flash_cnt[3321][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3321][1]~73374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3321][1]~q\);

-- Location: LCCOMB_X9_Y26_N6
\led_flash_cnt[3321][2]~73376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3321][2]~73376_combout\ = (\led_flash_cnt[3321][2]~q\ & (!\led_flash_cnt[3321][1]~73375\)) # (!\led_flash_cnt[3321][2]~q\ & ((\led_flash_cnt[3321][1]~73375\) # (GND)))
-- \led_flash_cnt[3321][2]~73377\ = CARRY((!\led_flash_cnt[3321][1]~73375\) # (!\led_flash_cnt[3321][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3321][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3321][1]~73375\,
	combout => \led_flash_cnt[3321][2]~73376_combout\,
	cout => \led_flash_cnt[3321][2]~73377\);

-- Location: FF_X9_Y26_N7
\led_flash_cnt[3321][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3321][2]~73376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3321][2]~q\);

-- Location: LCCOMB_X9_Y26_N8
\led_flash_cnt[3321][3]~73378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3321][3]~73378_combout\ = (\led_flash_cnt[3321][3]~q\ & (\led_flash_cnt[3321][2]~73377\ $ (GND))) # (!\led_flash_cnt[3321][3]~q\ & (!\led_flash_cnt[3321][2]~73377\ & VCC))
-- \led_flash_cnt[3321][3]~73379\ = CARRY((\led_flash_cnt[3321][3]~q\ & !\led_flash_cnt[3321][2]~73377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3321][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3321][2]~73377\,
	combout => \led_flash_cnt[3321][3]~73378_combout\,
	cout => \led_flash_cnt[3321][3]~73379\);

-- Location: FF_X9_Y26_N9
\led_flash_cnt[3321][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3321][3]~73378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3321][3]~q\);

-- Location: LCCOMB_X9_Y26_N10
\led_flash_cnt[3321][4]~73380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3321][4]~73380_combout\ = (\led_flash_cnt[3321][4]~q\ & (!\led_flash_cnt[3321][3]~73379\)) # (!\led_flash_cnt[3321][4]~q\ & ((\led_flash_cnt[3321][3]~73379\) # (GND)))
-- \led_flash_cnt[3321][4]~73381\ = CARRY((!\led_flash_cnt[3321][3]~73379\) # (!\led_flash_cnt[3321][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3321][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3321][3]~73379\,
	combout => \led_flash_cnt[3321][4]~73380_combout\,
	cout => \led_flash_cnt[3321][4]~73381\);

-- Location: FF_X9_Y26_N11
\led_flash_cnt[3321][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3321][4]~73380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3321][4]~q\);

-- Location: LCCOMB_X8_Y26_N2
\WideAnd3321~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3321~0_combout\ = (\led_flash_cnt[3321][1]~q\ & (\led_flash_cnt[3321][3]~q\ & (\led_flash_cnt[3321][4]~q\ & \led_flash_cnt[3321][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3321][1]~q\,
	datab => \led_flash_cnt[3321][3]~q\,
	datac => \led_flash_cnt[3321][4]~q\,
	datad => \led_flash_cnt[3321][2]~q\,
	combout => \WideAnd3321~0_combout\);

-- Location: LCCOMB_X9_Y26_N12
\led_flash_cnt[3321][5]~73382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3321][5]~73382_combout\ = (\led_flash_cnt[3321][5]~q\ & (\led_flash_cnt[3321][4]~73381\ $ (GND))) # (!\led_flash_cnt[3321][5]~q\ & (!\led_flash_cnt[3321][4]~73381\ & VCC))
-- \led_flash_cnt[3321][5]~73383\ = CARRY((\led_flash_cnt[3321][5]~q\ & !\led_flash_cnt[3321][4]~73381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3321][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3321][4]~73381\,
	combout => \led_flash_cnt[3321][5]~73382_combout\,
	cout => \led_flash_cnt[3321][5]~73383\);

-- Location: FF_X9_Y26_N13
\led_flash_cnt[3321][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3321][5]~73382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3321][5]~q\);

-- Location: LCCOMB_X9_Y26_N14
\led_flash_cnt[3321][6]~73384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3321][6]~73384_combout\ = (\led_flash_cnt[3321][6]~q\ & (!\led_flash_cnt[3321][5]~73383\)) # (!\led_flash_cnt[3321][6]~q\ & ((\led_flash_cnt[3321][5]~73383\) # (GND)))
-- \led_flash_cnt[3321][6]~73385\ = CARRY((!\led_flash_cnt[3321][5]~73383\) # (!\led_flash_cnt[3321][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3321][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3321][5]~73383\,
	combout => \led_flash_cnt[3321][6]~73384_combout\,
	cout => \led_flash_cnt[3321][6]~73385\);

-- Location: FF_X9_Y26_N15
\led_flash_cnt[3321][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3321][6]~73384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3321][6]~q\);

-- Location: LCCOMB_X8_Y26_N30
\WideAnd3321~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3321~1_combout\ = (\led_flash_cnt[3321][6]~q\ & \led_flash_cnt[3321][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3321][6]~q\,
	datac => \led_flash_cnt[3321][5]~q\,
	combout => \WideAnd3321~1_combout\);

-- Location: LCCOMB_X9_Y26_N16
\led_flash_cnt[3321][7]~73386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3321][7]~73386_combout\ = \led_flash_cnt[3321][6]~73385\ $ (!\led_flash_cnt[3321][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3321][7]~q\,
	cin => \led_flash_cnt[3321][6]~73385\,
	combout => \led_flash_cnt[3321][7]~73386_combout\);

-- Location: FF_X9_Y26_N17
\led_flash_cnt[3321][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3321][7]~73386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3321][7]~q\);

-- Location: LCCOMB_X8_Y26_N28
WideAnd3321 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3321~combout\ = (\led_flash_cnt[3321][0]~q\ & (\WideAnd3321~0_combout\ & (\WideAnd3321~1_combout\ & \led_flash_cnt[3321][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3321][0]~q\,
	datab => \WideAnd3321~0_combout\,
	datac => \WideAnd3321~1_combout\,
	datad => \led_flash_cnt[3321][7]~q\,
	combout => \WideAnd3321~combout\);

-- Location: FF_X8_Y26_N29
\led_flash_cnt_ands[3321]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3321~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3321));

-- Location: LCCOMB_X8_Y24_N10
\led_flash_cnt[3320][0]~83960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3320][0]~83960_combout\ = !\led_flash_cnt[3320][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3320][0]~q\,
	combout => \led_flash_cnt[3320][0]~83960_combout\);

-- Location: FF_X8_Y24_N11
\led_flash_cnt[3320][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3320][0]~83960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3320][0]~q\);

-- Location: LCCOMB_X8_Y24_N16
\led_flash_cnt[3320][1]~73360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3320][1]~73360_combout\ = (\led_flash_cnt[3320][0]~q\ & (\led_flash_cnt[3320][1]~q\ $ (VCC))) # (!\led_flash_cnt[3320][0]~q\ & (\led_flash_cnt[3320][1]~q\ & VCC))
-- \led_flash_cnt[3320][1]~73361\ = CARRY((\led_flash_cnt[3320][0]~q\ & \led_flash_cnt[3320][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3320][0]~q\,
	datab => \led_flash_cnt[3320][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3320][1]~73360_combout\,
	cout => \led_flash_cnt[3320][1]~73361\);

-- Location: FF_X8_Y24_N17
\led_flash_cnt[3320][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3320][1]~73360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3320][1]~q\);

-- Location: LCCOMB_X8_Y24_N18
\led_flash_cnt[3320][2]~73362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3320][2]~73362_combout\ = (\led_flash_cnt[3320][2]~q\ & (!\led_flash_cnt[3320][1]~73361\)) # (!\led_flash_cnt[3320][2]~q\ & ((\led_flash_cnt[3320][1]~73361\) # (GND)))
-- \led_flash_cnt[3320][2]~73363\ = CARRY((!\led_flash_cnt[3320][1]~73361\) # (!\led_flash_cnt[3320][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3320][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3320][1]~73361\,
	combout => \led_flash_cnt[3320][2]~73362_combout\,
	cout => \led_flash_cnt[3320][2]~73363\);

-- Location: FF_X8_Y24_N19
\led_flash_cnt[3320][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3320][2]~73362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3320][2]~q\);

-- Location: LCCOMB_X8_Y24_N20
\led_flash_cnt[3320][3]~73364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3320][3]~73364_combout\ = (\led_flash_cnt[3320][3]~q\ & (\led_flash_cnt[3320][2]~73363\ $ (GND))) # (!\led_flash_cnt[3320][3]~q\ & (!\led_flash_cnt[3320][2]~73363\ & VCC))
-- \led_flash_cnt[3320][3]~73365\ = CARRY((\led_flash_cnt[3320][3]~q\ & !\led_flash_cnt[3320][2]~73363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3320][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3320][2]~73363\,
	combout => \led_flash_cnt[3320][3]~73364_combout\,
	cout => \led_flash_cnt[3320][3]~73365\);

-- Location: FF_X8_Y24_N21
\led_flash_cnt[3320][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3320][3]~73364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3320][3]~q\);

-- Location: LCCOMB_X8_Y24_N22
\led_flash_cnt[3320][4]~73366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3320][4]~73366_combout\ = (\led_flash_cnt[3320][4]~q\ & (!\led_flash_cnt[3320][3]~73365\)) # (!\led_flash_cnt[3320][4]~q\ & ((\led_flash_cnt[3320][3]~73365\) # (GND)))
-- \led_flash_cnt[3320][4]~73367\ = CARRY((!\led_flash_cnt[3320][3]~73365\) # (!\led_flash_cnt[3320][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3320][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3320][3]~73365\,
	combout => \led_flash_cnt[3320][4]~73366_combout\,
	cout => \led_flash_cnt[3320][4]~73367\);

-- Location: FF_X8_Y24_N23
\led_flash_cnt[3320][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3320][4]~73366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3320][4]~q\);

-- Location: LCCOMB_X8_Y24_N24
\led_flash_cnt[3320][5]~73368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3320][5]~73368_combout\ = (\led_flash_cnt[3320][5]~q\ & (\led_flash_cnt[3320][4]~73367\ $ (GND))) # (!\led_flash_cnt[3320][5]~q\ & (!\led_flash_cnt[3320][4]~73367\ & VCC))
-- \led_flash_cnt[3320][5]~73369\ = CARRY((\led_flash_cnt[3320][5]~q\ & !\led_flash_cnt[3320][4]~73367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3320][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3320][4]~73367\,
	combout => \led_flash_cnt[3320][5]~73368_combout\,
	cout => \led_flash_cnt[3320][5]~73369\);

-- Location: FF_X8_Y24_N25
\led_flash_cnt[3320][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3320][5]~73368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3320][5]~q\);

-- Location: LCCOMB_X8_Y24_N26
\led_flash_cnt[3320][6]~73370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3320][6]~73370_combout\ = (\led_flash_cnt[3320][6]~q\ & (!\led_flash_cnt[3320][5]~73369\)) # (!\led_flash_cnt[3320][6]~q\ & ((\led_flash_cnt[3320][5]~73369\) # (GND)))
-- \led_flash_cnt[3320][6]~73371\ = CARRY((!\led_flash_cnt[3320][5]~73369\) # (!\led_flash_cnt[3320][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3320][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3320][5]~73369\,
	combout => \led_flash_cnt[3320][6]~73370_combout\,
	cout => \led_flash_cnt[3320][6]~73371\);

-- Location: FF_X8_Y24_N27
\led_flash_cnt[3320][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3320][6]~73370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3320][6]~q\);

-- Location: LCCOMB_X8_Y24_N28
\led_flash_cnt[3320][7]~73372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3320][7]~73372_combout\ = \led_flash_cnt[3320][6]~73371\ $ (!\led_flash_cnt[3320][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3320][7]~q\,
	cin => \led_flash_cnt[3320][6]~73371\,
	combout => \led_flash_cnt[3320][7]~73372_combout\);

-- Location: FF_X8_Y24_N29
\led_flash_cnt[3320][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3320][7]~73372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3320][7]~q\);

-- Location: LCCOMB_X8_Y24_N4
\WideAnd3320~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3320~0_combout\ = (\led_flash_cnt[3320][2]~q\ & (\led_flash_cnt[3320][1]~q\ & (\led_flash_cnt[3320][4]~q\ & \led_flash_cnt[3320][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3320][2]~q\,
	datab => \led_flash_cnt[3320][1]~q\,
	datac => \led_flash_cnt[3320][4]~q\,
	datad => \led_flash_cnt[3320][3]~q\,
	combout => \WideAnd3320~0_combout\);

-- Location: LCCOMB_X8_Y24_N12
\WideAnd3320~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3320~1_combout\ = (\led_flash_cnt[3320][6]~q\ & \led_flash_cnt[3320][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3320][6]~q\,
	datad => \led_flash_cnt[3320][5]~q\,
	combout => \WideAnd3320~1_combout\);

-- Location: LCCOMB_X8_Y24_N8
WideAnd3320 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3320~combout\ = (\led_flash_cnt[3320][0]~q\ & (\led_flash_cnt[3320][7]~q\ & (\WideAnd3320~0_combout\ & \WideAnd3320~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3320][0]~q\,
	datab => \led_flash_cnt[3320][7]~q\,
	datac => \WideAnd3320~0_combout\,
	datad => \WideAnd3320~1_combout\,
	combout => \WideAnd3320~combout\);

-- Location: FF_X8_Y24_N9
\led_flash_cnt_ands[3320]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3320~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3320));

-- Location: LCCOMB_X8_Y26_N0
\led_flash_cnt[3322][0]~83962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3322][0]~83962_combout\ = !\led_flash_cnt[3322][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3322][0]~q\,
	combout => \led_flash_cnt[3322][0]~83962_combout\);

-- Location: FF_X8_Y26_N1
\led_flash_cnt[3322][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3322][0]~83962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3322][0]~q\);

-- Location: LCCOMB_X8_Y26_N12
\led_flash_cnt[3322][1]~73388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3322][1]~73388_combout\ = (\led_flash_cnt[3322][1]~q\ & (\led_flash_cnt[3322][0]~q\ $ (VCC))) # (!\led_flash_cnt[3322][1]~q\ & (\led_flash_cnt[3322][0]~q\ & VCC))
-- \led_flash_cnt[3322][1]~73389\ = CARRY((\led_flash_cnt[3322][1]~q\ & \led_flash_cnt[3322][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3322][1]~q\,
	datab => \led_flash_cnt[3322][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3322][1]~73388_combout\,
	cout => \led_flash_cnt[3322][1]~73389\);

-- Location: FF_X8_Y26_N13
\led_flash_cnt[3322][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3322][1]~73388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3322][1]~q\);

-- Location: LCCOMB_X8_Y26_N14
\led_flash_cnt[3322][2]~73390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3322][2]~73390_combout\ = (\led_flash_cnt[3322][2]~q\ & (!\led_flash_cnt[3322][1]~73389\)) # (!\led_flash_cnt[3322][2]~q\ & ((\led_flash_cnt[3322][1]~73389\) # (GND)))
-- \led_flash_cnt[3322][2]~73391\ = CARRY((!\led_flash_cnt[3322][1]~73389\) # (!\led_flash_cnt[3322][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3322][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3322][1]~73389\,
	combout => \led_flash_cnt[3322][2]~73390_combout\,
	cout => \led_flash_cnt[3322][2]~73391\);

-- Location: FF_X8_Y26_N15
\led_flash_cnt[3322][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3322][2]~73390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3322][2]~q\);

-- Location: LCCOMB_X8_Y26_N16
\led_flash_cnt[3322][3]~73392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3322][3]~73392_combout\ = (\led_flash_cnt[3322][3]~q\ & (\led_flash_cnt[3322][2]~73391\ $ (GND))) # (!\led_flash_cnt[3322][3]~q\ & (!\led_flash_cnt[3322][2]~73391\ & VCC))
-- \led_flash_cnt[3322][3]~73393\ = CARRY((\led_flash_cnt[3322][3]~q\ & !\led_flash_cnt[3322][2]~73391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3322][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3322][2]~73391\,
	combout => \led_flash_cnt[3322][3]~73392_combout\,
	cout => \led_flash_cnt[3322][3]~73393\);

-- Location: FF_X8_Y26_N17
\led_flash_cnt[3322][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3322][3]~73392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3322][3]~q\);

-- Location: LCCOMB_X8_Y26_N18
\led_flash_cnt[3322][4]~73394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3322][4]~73394_combout\ = (\led_flash_cnt[3322][4]~q\ & (!\led_flash_cnt[3322][3]~73393\)) # (!\led_flash_cnt[3322][4]~q\ & ((\led_flash_cnt[3322][3]~73393\) # (GND)))
-- \led_flash_cnt[3322][4]~73395\ = CARRY((!\led_flash_cnt[3322][3]~73393\) # (!\led_flash_cnt[3322][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3322][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3322][3]~73393\,
	combout => \led_flash_cnt[3322][4]~73394_combout\,
	cout => \led_flash_cnt[3322][4]~73395\);

-- Location: FF_X8_Y26_N19
\led_flash_cnt[3322][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3322][4]~73394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3322][4]~q\);

-- Location: LCCOMB_X8_Y26_N10
\WideAnd3322~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3322~0_combout\ = (\led_flash_cnt[3322][4]~q\ & (\led_flash_cnt[3322][3]~q\ & (\led_flash_cnt[3322][2]~q\ & \led_flash_cnt[3322][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3322][4]~q\,
	datab => \led_flash_cnt[3322][3]~q\,
	datac => \led_flash_cnt[3322][2]~q\,
	datad => \led_flash_cnt[3322][1]~q\,
	combout => \WideAnd3322~0_combout\);

-- Location: LCCOMB_X8_Y26_N20
\led_flash_cnt[3322][5]~73396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3322][5]~73396_combout\ = (\led_flash_cnt[3322][5]~q\ & (\led_flash_cnt[3322][4]~73395\ $ (GND))) # (!\led_flash_cnt[3322][5]~q\ & (!\led_flash_cnt[3322][4]~73395\ & VCC))
-- \led_flash_cnt[3322][5]~73397\ = CARRY((\led_flash_cnt[3322][5]~q\ & !\led_flash_cnt[3322][4]~73395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3322][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3322][4]~73395\,
	combout => \led_flash_cnt[3322][5]~73396_combout\,
	cout => \led_flash_cnt[3322][5]~73397\);

-- Location: FF_X8_Y26_N21
\led_flash_cnt[3322][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3322][5]~73396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3322][5]~q\);

-- Location: LCCOMB_X8_Y26_N22
\led_flash_cnt[3322][6]~73398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3322][6]~73398_combout\ = (\led_flash_cnt[3322][6]~q\ & (!\led_flash_cnt[3322][5]~73397\)) # (!\led_flash_cnt[3322][6]~q\ & ((\led_flash_cnt[3322][5]~73397\) # (GND)))
-- \led_flash_cnt[3322][6]~73399\ = CARRY((!\led_flash_cnt[3322][5]~73397\) # (!\led_flash_cnt[3322][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3322][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3322][5]~73397\,
	combout => \led_flash_cnt[3322][6]~73398_combout\,
	cout => \led_flash_cnt[3322][6]~73399\);

-- Location: FF_X8_Y26_N23
\led_flash_cnt[3322][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3322][6]~73398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3322][6]~q\);

-- Location: LCCOMB_X8_Y26_N4
\WideAnd3322~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3322~1_combout\ = (\led_flash_cnt[3322][6]~q\ & \led_flash_cnt[3322][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3322][6]~q\,
	datad => \led_flash_cnt[3322][5]~q\,
	combout => \WideAnd3322~1_combout\);

-- Location: LCCOMB_X8_Y26_N24
\led_flash_cnt[3322][7]~73400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3322][7]~73400_combout\ = \led_flash_cnt[3322][6]~73399\ $ (!\led_flash_cnt[3322][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3322][7]~q\,
	cin => \led_flash_cnt[3322][6]~73399\,
	combout => \led_flash_cnt[3322][7]~73400_combout\);

-- Location: FF_X8_Y26_N25
\led_flash_cnt[3322][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3322][7]~73400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3322][7]~q\);

-- Location: LCCOMB_X8_Y26_N8
WideAnd3322 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3322~combout\ = (\WideAnd3322~0_combout\ & (\led_flash_cnt[3322][0]~q\ & (\WideAnd3322~1_combout\ & \led_flash_cnt[3322][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3322~0_combout\,
	datab => \led_flash_cnt[3322][0]~q\,
	datac => \WideAnd3322~1_combout\,
	datad => \led_flash_cnt[3322][7]~q\,
	combout => \WideAnd3322~combout\);

-- Location: FF_X8_Y26_N9
\led_flash_cnt_ands[3322]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3322~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3322));

-- Location: LCCOMB_X9_Y26_N0
\WideAnd4255~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4255~0_combout\ = (led_flash_cnt_ands(3323) & (led_flash_cnt_ands(3321) & (led_flash_cnt_ands(3320) & led_flash_cnt_ands(3322))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3323),
	datab => led_flash_cnt_ands(3321),
	datac => led_flash_cnt_ands(3320),
	datad => led_flash_cnt_ands(3322),
	combout => \WideAnd4255~0_combout\);

-- Location: LCCOMB_X3_Y32_N2
\led_flash_cnt[3325][0]~83965\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3325][0]~83965_combout\ = !\led_flash_cnt[3325][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3325][0]~q\,
	combout => \led_flash_cnt[3325][0]~83965_combout\);

-- Location: FF_X3_Y32_N3
\led_flash_cnt[3325][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3325][0]~83965_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3325][0]~q\);

-- Location: LCCOMB_X2_Y32_N18
\led_flash_cnt[3325][1]~73430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3325][1]~73430_combout\ = (\led_flash_cnt[3325][0]~q\ & (\led_flash_cnt[3325][1]~q\ $ (VCC))) # (!\led_flash_cnt[3325][0]~q\ & (\led_flash_cnt[3325][1]~q\ & VCC))
-- \led_flash_cnt[3325][1]~73431\ = CARRY((\led_flash_cnt[3325][0]~q\ & \led_flash_cnt[3325][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3325][0]~q\,
	datab => \led_flash_cnt[3325][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3325][1]~73430_combout\,
	cout => \led_flash_cnt[3325][1]~73431\);

-- Location: FF_X2_Y32_N19
\led_flash_cnt[3325][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3325][1]~73430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3325][1]~q\);

-- Location: LCCOMB_X2_Y32_N20
\led_flash_cnt[3325][2]~73432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3325][2]~73432_combout\ = (\led_flash_cnt[3325][2]~q\ & (!\led_flash_cnt[3325][1]~73431\)) # (!\led_flash_cnt[3325][2]~q\ & ((\led_flash_cnt[3325][1]~73431\) # (GND)))
-- \led_flash_cnt[3325][2]~73433\ = CARRY((!\led_flash_cnt[3325][1]~73431\) # (!\led_flash_cnt[3325][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3325][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3325][1]~73431\,
	combout => \led_flash_cnt[3325][2]~73432_combout\,
	cout => \led_flash_cnt[3325][2]~73433\);

-- Location: FF_X2_Y32_N21
\led_flash_cnt[3325][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3325][2]~73432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3325][2]~q\);

-- Location: LCCOMB_X2_Y32_N22
\led_flash_cnt[3325][3]~73434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3325][3]~73434_combout\ = (\led_flash_cnt[3325][3]~q\ & (\led_flash_cnt[3325][2]~73433\ $ (GND))) # (!\led_flash_cnt[3325][3]~q\ & (!\led_flash_cnt[3325][2]~73433\ & VCC))
-- \led_flash_cnt[3325][3]~73435\ = CARRY((\led_flash_cnt[3325][3]~q\ & !\led_flash_cnt[3325][2]~73433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3325][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3325][2]~73433\,
	combout => \led_flash_cnt[3325][3]~73434_combout\,
	cout => \led_flash_cnt[3325][3]~73435\);

-- Location: FF_X2_Y32_N23
\led_flash_cnt[3325][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3325][3]~73434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3325][3]~q\);

-- Location: LCCOMB_X2_Y32_N24
\led_flash_cnt[3325][4]~73436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3325][4]~73436_combout\ = (\led_flash_cnt[3325][4]~q\ & (!\led_flash_cnt[3325][3]~73435\)) # (!\led_flash_cnt[3325][4]~q\ & ((\led_flash_cnt[3325][3]~73435\) # (GND)))
-- \led_flash_cnt[3325][4]~73437\ = CARRY((!\led_flash_cnt[3325][3]~73435\) # (!\led_flash_cnt[3325][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3325][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3325][3]~73435\,
	combout => \led_flash_cnt[3325][4]~73436_combout\,
	cout => \led_flash_cnt[3325][4]~73437\);

-- Location: FF_X2_Y32_N25
\led_flash_cnt[3325][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3325][4]~73436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3325][4]~q\);

-- Location: LCCOMB_X2_Y32_N26
\led_flash_cnt[3325][5]~73438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3325][5]~73438_combout\ = (\led_flash_cnt[3325][5]~q\ & (\led_flash_cnt[3325][4]~73437\ $ (GND))) # (!\led_flash_cnt[3325][5]~q\ & (!\led_flash_cnt[3325][4]~73437\ & VCC))
-- \led_flash_cnt[3325][5]~73439\ = CARRY((\led_flash_cnt[3325][5]~q\ & !\led_flash_cnt[3325][4]~73437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3325][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3325][4]~73437\,
	combout => \led_flash_cnt[3325][5]~73438_combout\,
	cout => \led_flash_cnt[3325][5]~73439\);

-- Location: FF_X2_Y32_N27
\led_flash_cnt[3325][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3325][5]~73438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3325][5]~q\);

-- Location: LCCOMB_X2_Y32_N28
\led_flash_cnt[3325][6]~73440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3325][6]~73440_combout\ = (\led_flash_cnt[3325][6]~q\ & (!\led_flash_cnt[3325][5]~73439\)) # (!\led_flash_cnt[3325][6]~q\ & ((\led_flash_cnt[3325][5]~73439\) # (GND)))
-- \led_flash_cnt[3325][6]~73441\ = CARRY((!\led_flash_cnt[3325][5]~73439\) # (!\led_flash_cnt[3325][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3325][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3325][5]~73439\,
	combout => \led_flash_cnt[3325][6]~73440_combout\,
	cout => \led_flash_cnt[3325][6]~73441\);

-- Location: FF_X2_Y32_N29
\led_flash_cnt[3325][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3325][6]~73440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3325][6]~q\);

-- Location: LCCOMB_X3_Y32_N26
\WideAnd3325~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3325~1_combout\ = (\led_flash_cnt[3325][5]~q\ & \led_flash_cnt[3325][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3325][5]~q\,
	datad => \led_flash_cnt[3325][6]~q\,
	combout => \WideAnd3325~1_combout\);

-- Location: LCCOMB_X2_Y32_N30
\led_flash_cnt[3325][7]~73442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3325][7]~73442_combout\ = \led_flash_cnt[3325][7]~q\ $ (!\led_flash_cnt[3325][6]~73441\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3325][7]~q\,
	cin => \led_flash_cnt[3325][6]~73441\,
	combout => \led_flash_cnt[3325][7]~73442_combout\);

-- Location: FF_X2_Y32_N31
\led_flash_cnt[3325][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3325][7]~73442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3325][7]~q\);

-- Location: LCCOMB_X2_Y32_N0
\WideAnd3325~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3325~0_combout\ = (\led_flash_cnt[3325][4]~q\ & (\led_flash_cnt[3325][1]~q\ & (\led_flash_cnt[3325][3]~q\ & \led_flash_cnt[3325][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3325][4]~q\,
	datab => \led_flash_cnt[3325][1]~q\,
	datac => \led_flash_cnt[3325][3]~q\,
	datad => \led_flash_cnt[3325][2]~q\,
	combout => \WideAnd3325~0_combout\);

-- Location: LCCOMB_X3_Y32_N20
WideAnd3325 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3325~combout\ = (\WideAnd3325~1_combout\ & (\led_flash_cnt[3325][7]~q\ & (\WideAnd3325~0_combout\ & \led_flash_cnt[3325][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3325~1_combout\,
	datab => \led_flash_cnt[3325][7]~q\,
	datac => \WideAnd3325~0_combout\,
	datad => \led_flash_cnt[3325][0]~q\,
	combout => \WideAnd3325~combout\);

-- Location: FF_X3_Y32_N21
\led_flash_cnt_ands[3325]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3325~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3325));

-- Location: LCCOMB_X3_Y32_N22
\led_flash_cnt[3324][0]~83964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3324][0]~83964_combout\ = !\led_flash_cnt[3324][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3324][0]~q\,
	combout => \led_flash_cnt[3324][0]~83964_combout\);

-- Location: FF_X3_Y32_N23
\led_flash_cnt[3324][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3324][0]~83964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3324][0]~q\);

-- Location: LCCOMB_X3_Y32_N4
\led_flash_cnt[3324][1]~73416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3324][1]~73416_combout\ = (\led_flash_cnt[3324][0]~q\ & (\led_flash_cnt[3324][1]~q\ $ (VCC))) # (!\led_flash_cnt[3324][0]~q\ & (\led_flash_cnt[3324][1]~q\ & VCC))
-- \led_flash_cnt[3324][1]~73417\ = CARRY((\led_flash_cnt[3324][0]~q\ & \led_flash_cnt[3324][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3324][0]~q\,
	datab => \led_flash_cnt[3324][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3324][1]~73416_combout\,
	cout => \led_flash_cnt[3324][1]~73417\);

-- Location: FF_X3_Y32_N5
\led_flash_cnt[3324][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3324][1]~73416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3324][1]~q\);

-- Location: LCCOMB_X3_Y32_N6
\led_flash_cnt[3324][2]~73418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3324][2]~73418_combout\ = (\led_flash_cnt[3324][2]~q\ & (!\led_flash_cnt[3324][1]~73417\)) # (!\led_flash_cnt[3324][2]~q\ & ((\led_flash_cnt[3324][1]~73417\) # (GND)))
-- \led_flash_cnt[3324][2]~73419\ = CARRY((!\led_flash_cnt[3324][1]~73417\) # (!\led_flash_cnt[3324][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3324][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3324][1]~73417\,
	combout => \led_flash_cnt[3324][2]~73418_combout\,
	cout => \led_flash_cnt[3324][2]~73419\);

-- Location: FF_X3_Y32_N7
\led_flash_cnt[3324][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3324][2]~73418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3324][2]~q\);

-- Location: LCCOMB_X3_Y32_N8
\led_flash_cnt[3324][3]~73420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3324][3]~73420_combout\ = (\led_flash_cnt[3324][3]~q\ & (\led_flash_cnt[3324][2]~73419\ $ (GND))) # (!\led_flash_cnt[3324][3]~q\ & (!\led_flash_cnt[3324][2]~73419\ & VCC))
-- \led_flash_cnt[3324][3]~73421\ = CARRY((\led_flash_cnt[3324][3]~q\ & !\led_flash_cnt[3324][2]~73419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3324][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3324][2]~73419\,
	combout => \led_flash_cnt[3324][3]~73420_combout\,
	cout => \led_flash_cnt[3324][3]~73421\);

-- Location: FF_X3_Y32_N9
\led_flash_cnt[3324][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3324][3]~73420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3324][3]~q\);

-- Location: LCCOMB_X3_Y32_N10
\led_flash_cnt[3324][4]~73422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3324][4]~73422_combout\ = (\led_flash_cnt[3324][4]~q\ & (!\led_flash_cnt[3324][3]~73421\)) # (!\led_flash_cnt[3324][4]~q\ & ((\led_flash_cnt[3324][3]~73421\) # (GND)))
-- \led_flash_cnt[3324][4]~73423\ = CARRY((!\led_flash_cnt[3324][3]~73421\) # (!\led_flash_cnt[3324][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3324][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3324][3]~73421\,
	combout => \led_flash_cnt[3324][4]~73422_combout\,
	cout => \led_flash_cnt[3324][4]~73423\);

-- Location: FF_X3_Y32_N11
\led_flash_cnt[3324][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3324][4]~73422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3324][4]~q\);

-- Location: LCCOMB_X3_Y32_N12
\led_flash_cnt[3324][5]~73424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3324][5]~73424_combout\ = (\led_flash_cnt[3324][5]~q\ & (\led_flash_cnt[3324][4]~73423\ $ (GND))) # (!\led_flash_cnt[3324][5]~q\ & (!\led_flash_cnt[3324][4]~73423\ & VCC))
-- \led_flash_cnt[3324][5]~73425\ = CARRY((\led_flash_cnt[3324][5]~q\ & !\led_flash_cnt[3324][4]~73423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3324][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3324][4]~73423\,
	combout => \led_flash_cnt[3324][5]~73424_combout\,
	cout => \led_flash_cnt[3324][5]~73425\);

-- Location: FF_X3_Y32_N13
\led_flash_cnt[3324][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3324][5]~73424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3324][5]~q\);

-- Location: LCCOMB_X3_Y32_N14
\led_flash_cnt[3324][6]~73426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3324][6]~73426_combout\ = (\led_flash_cnt[3324][6]~q\ & (!\led_flash_cnt[3324][5]~73425\)) # (!\led_flash_cnt[3324][6]~q\ & ((\led_flash_cnt[3324][5]~73425\) # (GND)))
-- \led_flash_cnt[3324][6]~73427\ = CARRY((!\led_flash_cnt[3324][5]~73425\) # (!\led_flash_cnt[3324][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3324][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3324][5]~73425\,
	combout => \led_flash_cnt[3324][6]~73426_combout\,
	cout => \led_flash_cnt[3324][6]~73427\);

-- Location: FF_X3_Y32_N15
\led_flash_cnt[3324][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3324][6]~73426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3324][6]~q\);

-- Location: LCCOMB_X3_Y32_N16
\led_flash_cnt[3324][7]~73428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3324][7]~73428_combout\ = \led_flash_cnt[3324][6]~73427\ $ (!\led_flash_cnt[3324][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3324][7]~q\,
	cin => \led_flash_cnt[3324][6]~73427\,
	combout => \led_flash_cnt[3324][7]~73428_combout\);

-- Location: FF_X3_Y32_N17
\led_flash_cnt[3324][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3324][7]~73428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3324][7]~q\);

-- Location: LCCOMB_X3_Y32_N24
\WideAnd3324~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3324~1_combout\ = (\led_flash_cnt[3324][6]~q\ & \led_flash_cnt[3324][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3324][6]~q\,
	datad => \led_flash_cnt[3324][5]~q\,
	combout => \WideAnd3324~1_combout\);

-- Location: LCCOMB_X3_Y32_N18
\WideAnd3324~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3324~0_combout\ = (\led_flash_cnt[3324][2]~q\ & (\led_flash_cnt[3324][1]~q\ & (\led_flash_cnt[3324][3]~q\ & \led_flash_cnt[3324][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3324][2]~q\,
	datab => \led_flash_cnt[3324][1]~q\,
	datac => \led_flash_cnt[3324][3]~q\,
	datad => \led_flash_cnt[3324][4]~q\,
	combout => \WideAnd3324~0_combout\);

-- Location: LCCOMB_X3_Y32_N28
WideAnd3324 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3324~combout\ = (\led_flash_cnt[3324][0]~q\ & (\led_flash_cnt[3324][7]~q\ & (\WideAnd3324~1_combout\ & \WideAnd3324~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3324][0]~q\,
	datab => \led_flash_cnt[3324][7]~q\,
	datac => \WideAnd3324~1_combout\,
	datad => \WideAnd3324~0_combout\,
	combout => \WideAnd3324~combout\);

-- Location: FF_X3_Y32_N29
\led_flash_cnt_ands[3324]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3324~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3324));

-- Location: LCCOMB_X3_Y32_N30
\WideAnd4255~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4255~1_combout\ = (led_flash_cnt_ands(3325) & led_flash_cnt_ands(3324))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3325),
	datad => led_flash_cnt_ands(3324),
	combout => \WideAnd4255~1_combout\);

-- Location: LCCOMB_X37_Y19_N2
\led_flash_cnt[3326][0]~83966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3326][0]~83966_combout\ = !\led_flash_cnt[3326][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3326][0]~q\,
	combout => \led_flash_cnt[3326][0]~83966_combout\);

-- Location: FF_X37_Y19_N3
\led_flash_cnt[3326][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3326][0]~83966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3326][0]~q\);

-- Location: LCCOMB_X37_Y19_N10
\led_flash_cnt[3326][1]~73444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3326][1]~73444_combout\ = (\led_flash_cnt[3326][1]~q\ & (\led_flash_cnt[3326][0]~q\ $ (VCC))) # (!\led_flash_cnt[3326][1]~q\ & (\led_flash_cnt[3326][0]~q\ & VCC))
-- \led_flash_cnt[3326][1]~73445\ = CARRY((\led_flash_cnt[3326][1]~q\ & \led_flash_cnt[3326][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3326][1]~q\,
	datab => \led_flash_cnt[3326][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3326][1]~73444_combout\,
	cout => \led_flash_cnt[3326][1]~73445\);

-- Location: FF_X37_Y19_N11
\led_flash_cnt[3326][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3326][1]~73444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3326][1]~q\);

-- Location: LCCOMB_X37_Y19_N12
\led_flash_cnt[3326][2]~73446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3326][2]~73446_combout\ = (\led_flash_cnt[3326][2]~q\ & (!\led_flash_cnt[3326][1]~73445\)) # (!\led_flash_cnt[3326][2]~q\ & ((\led_flash_cnt[3326][1]~73445\) # (GND)))
-- \led_flash_cnt[3326][2]~73447\ = CARRY((!\led_flash_cnt[3326][1]~73445\) # (!\led_flash_cnt[3326][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3326][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3326][1]~73445\,
	combout => \led_flash_cnt[3326][2]~73446_combout\,
	cout => \led_flash_cnt[3326][2]~73447\);

-- Location: FF_X37_Y19_N13
\led_flash_cnt[3326][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3326][2]~73446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3326][2]~q\);

-- Location: LCCOMB_X37_Y19_N14
\led_flash_cnt[3326][3]~73448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3326][3]~73448_combout\ = (\led_flash_cnt[3326][3]~q\ & (\led_flash_cnt[3326][2]~73447\ $ (GND))) # (!\led_flash_cnt[3326][3]~q\ & (!\led_flash_cnt[3326][2]~73447\ & VCC))
-- \led_flash_cnt[3326][3]~73449\ = CARRY((\led_flash_cnt[3326][3]~q\ & !\led_flash_cnt[3326][2]~73447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3326][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3326][2]~73447\,
	combout => \led_flash_cnt[3326][3]~73448_combout\,
	cout => \led_flash_cnt[3326][3]~73449\);

-- Location: FF_X37_Y19_N15
\led_flash_cnt[3326][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3326][3]~73448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3326][3]~q\);

-- Location: LCCOMB_X37_Y19_N16
\led_flash_cnt[3326][4]~73450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3326][4]~73450_combout\ = (\led_flash_cnt[3326][4]~q\ & (!\led_flash_cnt[3326][3]~73449\)) # (!\led_flash_cnt[3326][4]~q\ & ((\led_flash_cnt[3326][3]~73449\) # (GND)))
-- \led_flash_cnt[3326][4]~73451\ = CARRY((!\led_flash_cnt[3326][3]~73449\) # (!\led_flash_cnt[3326][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3326][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3326][3]~73449\,
	combout => \led_flash_cnt[3326][4]~73450_combout\,
	cout => \led_flash_cnt[3326][4]~73451\);

-- Location: FF_X37_Y19_N17
\led_flash_cnt[3326][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3326][4]~73450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3326][4]~q\);

-- Location: LCCOMB_X37_Y19_N18
\led_flash_cnt[3326][5]~73452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3326][5]~73452_combout\ = (\led_flash_cnt[3326][5]~q\ & (\led_flash_cnt[3326][4]~73451\ $ (GND))) # (!\led_flash_cnt[3326][5]~q\ & (!\led_flash_cnt[3326][4]~73451\ & VCC))
-- \led_flash_cnt[3326][5]~73453\ = CARRY((\led_flash_cnt[3326][5]~q\ & !\led_flash_cnt[3326][4]~73451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3326][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3326][4]~73451\,
	combout => \led_flash_cnt[3326][5]~73452_combout\,
	cout => \led_flash_cnt[3326][5]~73453\);

-- Location: FF_X37_Y19_N19
\led_flash_cnt[3326][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3326][5]~73452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3326][5]~q\);

-- Location: LCCOMB_X37_Y19_N20
\led_flash_cnt[3326][6]~73454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3326][6]~73454_combout\ = (\led_flash_cnt[3326][6]~q\ & (!\led_flash_cnt[3326][5]~73453\)) # (!\led_flash_cnt[3326][6]~q\ & ((\led_flash_cnt[3326][5]~73453\) # (GND)))
-- \led_flash_cnt[3326][6]~73455\ = CARRY((!\led_flash_cnt[3326][5]~73453\) # (!\led_flash_cnt[3326][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3326][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3326][5]~73453\,
	combout => \led_flash_cnt[3326][6]~73454_combout\,
	cout => \led_flash_cnt[3326][6]~73455\);

-- Location: FF_X37_Y19_N21
\led_flash_cnt[3326][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3326][6]~73454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3326][6]~q\);

-- Location: LCCOMB_X37_Y19_N22
\led_flash_cnt[3326][7]~73456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3326][7]~73456_combout\ = \led_flash_cnt[3326][7]~q\ $ (!\led_flash_cnt[3326][6]~73455\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3326][7]~q\,
	cin => \led_flash_cnt[3326][6]~73455\,
	combout => \led_flash_cnt[3326][7]~73456_combout\);

-- Location: FF_X37_Y19_N23
\led_flash_cnt[3326][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3326][7]~73456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3326][7]~q\);

-- Location: LCCOMB_X37_Y19_N4
\WideAnd3326~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3326~0_combout\ = (\led_flash_cnt[3326][2]~q\ & (\led_flash_cnt[3326][4]~q\ & (\led_flash_cnt[3326][3]~q\ & \led_flash_cnt[3326][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3326][2]~q\,
	datab => \led_flash_cnt[3326][4]~q\,
	datac => \led_flash_cnt[3326][3]~q\,
	datad => \led_flash_cnt[3326][1]~q\,
	combout => \WideAnd3326~0_combout\);

-- Location: LCCOMB_X37_Y19_N24
\WideAnd3326~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3326~1_combout\ = (\led_flash_cnt[3326][5]~q\ & \led_flash_cnt[3326][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3326][5]~q\,
	datad => \led_flash_cnt[3326][6]~q\,
	combout => \WideAnd3326~1_combout\);

-- Location: LCCOMB_X37_Y19_N0
WideAnd3326 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3326~combout\ = (\led_flash_cnt[3326][7]~q\ & (\led_flash_cnt[3326][0]~q\ & (\WideAnd3326~0_combout\ & \WideAnd3326~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3326][7]~q\,
	datab => \led_flash_cnt[3326][0]~q\,
	datac => \WideAnd3326~0_combout\,
	datad => \WideAnd3326~1_combout\,
	combout => \WideAnd3326~combout\);

-- Location: FF_X37_Y19_N1
\led_flash_cnt_ands[3326]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3326~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3326));

-- Location: LCCOMB_X37_Y19_N26
WideAnd4255 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4255~combout\ = (led_flash_cnt_ands(3327) & (\WideAnd4255~0_combout\ & (\WideAnd4255~1_combout\ & led_flash_cnt_ands(3326))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3327),
	datab => \WideAnd4255~0_combout\,
	datac => \WideAnd4255~1_combout\,
	datad => led_flash_cnt_ands(3326),
	combout => \WideAnd4255~combout\);

-- Location: FF_X37_Y19_N27
\led_flash_cnt_ands_1[415]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4255~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(415));

-- Location: LCCOMB_X39_Y25_N4
\led_flash_cnt[3272][0]~83912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3272][0]~83912_combout\ = !\led_flash_cnt[3272][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3272][0]~q\,
	combout => \led_flash_cnt[3272][0]~83912_combout\);

-- Location: FF_X39_Y25_N5
\led_flash_cnt[3272][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3272][0]~83912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3272][0]~q\);

-- Location: LCCOMB_X39_Y25_N18
\led_flash_cnt[3272][1]~72688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3272][1]~72688_combout\ = (\led_flash_cnt[3272][1]~q\ & (\led_flash_cnt[3272][0]~q\ $ (VCC))) # (!\led_flash_cnt[3272][1]~q\ & (\led_flash_cnt[3272][0]~q\ & VCC))
-- \led_flash_cnt[3272][1]~72689\ = CARRY((\led_flash_cnt[3272][1]~q\ & \led_flash_cnt[3272][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3272][1]~q\,
	datab => \led_flash_cnt[3272][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3272][1]~72688_combout\,
	cout => \led_flash_cnt[3272][1]~72689\);

-- Location: FF_X39_Y25_N19
\led_flash_cnt[3272][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3272][1]~72688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3272][1]~q\);

-- Location: LCCOMB_X39_Y25_N20
\led_flash_cnt[3272][2]~72690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3272][2]~72690_combout\ = (\led_flash_cnt[3272][2]~q\ & (!\led_flash_cnt[3272][1]~72689\)) # (!\led_flash_cnt[3272][2]~q\ & ((\led_flash_cnt[3272][1]~72689\) # (GND)))
-- \led_flash_cnt[3272][2]~72691\ = CARRY((!\led_flash_cnt[3272][1]~72689\) # (!\led_flash_cnt[3272][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3272][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3272][1]~72689\,
	combout => \led_flash_cnt[3272][2]~72690_combout\,
	cout => \led_flash_cnt[3272][2]~72691\);

-- Location: FF_X39_Y25_N21
\led_flash_cnt[3272][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3272][2]~72690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3272][2]~q\);

-- Location: LCCOMB_X39_Y25_N22
\led_flash_cnt[3272][3]~72692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3272][3]~72692_combout\ = (\led_flash_cnt[3272][3]~q\ & (\led_flash_cnt[3272][2]~72691\ $ (GND))) # (!\led_flash_cnt[3272][3]~q\ & (!\led_flash_cnt[3272][2]~72691\ & VCC))
-- \led_flash_cnt[3272][3]~72693\ = CARRY((\led_flash_cnt[3272][3]~q\ & !\led_flash_cnt[3272][2]~72691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3272][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3272][2]~72691\,
	combout => \led_flash_cnt[3272][3]~72692_combout\,
	cout => \led_flash_cnt[3272][3]~72693\);

-- Location: FF_X39_Y25_N23
\led_flash_cnt[3272][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3272][3]~72692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3272][3]~q\);

-- Location: LCCOMB_X39_Y25_N24
\led_flash_cnt[3272][4]~72694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3272][4]~72694_combout\ = (\led_flash_cnt[3272][4]~q\ & (!\led_flash_cnt[3272][3]~72693\)) # (!\led_flash_cnt[3272][4]~q\ & ((\led_flash_cnt[3272][3]~72693\) # (GND)))
-- \led_flash_cnt[3272][4]~72695\ = CARRY((!\led_flash_cnt[3272][3]~72693\) # (!\led_flash_cnt[3272][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3272][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3272][3]~72693\,
	combout => \led_flash_cnt[3272][4]~72694_combout\,
	cout => \led_flash_cnt[3272][4]~72695\);

-- Location: FF_X39_Y25_N25
\led_flash_cnt[3272][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3272][4]~72694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3272][4]~q\);

-- Location: LCCOMB_X39_Y25_N26
\led_flash_cnt[3272][5]~72696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3272][5]~72696_combout\ = (\led_flash_cnt[3272][5]~q\ & (\led_flash_cnt[3272][4]~72695\ $ (GND))) # (!\led_flash_cnt[3272][5]~q\ & (!\led_flash_cnt[3272][4]~72695\ & VCC))
-- \led_flash_cnt[3272][5]~72697\ = CARRY((\led_flash_cnt[3272][5]~q\ & !\led_flash_cnt[3272][4]~72695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3272][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3272][4]~72695\,
	combout => \led_flash_cnt[3272][5]~72696_combout\,
	cout => \led_flash_cnt[3272][5]~72697\);

-- Location: FF_X39_Y25_N27
\led_flash_cnt[3272][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3272][5]~72696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3272][5]~q\);

-- Location: LCCOMB_X39_Y25_N28
\led_flash_cnt[3272][6]~72698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3272][6]~72698_combout\ = (\led_flash_cnt[3272][6]~q\ & (!\led_flash_cnt[3272][5]~72697\)) # (!\led_flash_cnt[3272][6]~q\ & ((\led_flash_cnt[3272][5]~72697\) # (GND)))
-- \led_flash_cnt[3272][6]~72699\ = CARRY((!\led_flash_cnt[3272][5]~72697\) # (!\led_flash_cnt[3272][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3272][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3272][5]~72697\,
	combout => \led_flash_cnt[3272][6]~72698_combout\,
	cout => \led_flash_cnt[3272][6]~72699\);

-- Location: FF_X39_Y25_N29
\led_flash_cnt[3272][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3272][6]~72698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3272][6]~q\);

-- Location: LCCOMB_X39_Y25_N10
\WideAnd3272~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3272~1_combout\ = (\led_flash_cnt[3272][5]~q\ & \led_flash_cnt[3272][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3272][5]~q\,
	datad => \led_flash_cnt[3272][6]~q\,
	combout => \WideAnd3272~1_combout\);

-- Location: LCCOMB_X39_Y25_N30
\led_flash_cnt[3272][7]~72700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3272][7]~72700_combout\ = \led_flash_cnt[3272][7]~q\ $ (!\led_flash_cnt[3272][6]~72699\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3272][7]~q\,
	cin => \led_flash_cnt[3272][6]~72699\,
	combout => \led_flash_cnt[3272][7]~72700_combout\);

-- Location: FF_X39_Y25_N31
\led_flash_cnt[3272][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3272][7]~72700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3272][7]~q\);

-- Location: LCCOMB_X39_Y25_N16
\WideAnd3272~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3272~0_combout\ = (\led_flash_cnt[3272][1]~q\ & (\led_flash_cnt[3272][4]~q\ & (\led_flash_cnt[3272][3]~q\ & \led_flash_cnt[3272][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3272][1]~q\,
	datab => \led_flash_cnt[3272][4]~q\,
	datac => \led_flash_cnt[3272][3]~q\,
	datad => \led_flash_cnt[3272][2]~q\,
	combout => \WideAnd3272~0_combout\);

-- Location: LCCOMB_X39_Y25_N12
WideAnd3272 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3272~combout\ = (\WideAnd3272~1_combout\ & (\led_flash_cnt[3272][0]~q\ & (\led_flash_cnt[3272][7]~q\ & \WideAnd3272~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3272~1_combout\,
	datab => \led_flash_cnt[3272][0]~q\,
	datac => \led_flash_cnt[3272][7]~q\,
	datad => \WideAnd3272~0_combout\,
	combout => \WideAnd3272~combout\);

-- Location: FF_X39_Y25_N13
\led_flash_cnt_ands[3272]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3272~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3272));

-- Location: LCCOMB_X41_Y25_N8
\led_flash_cnt[3274][0]~83914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3274][0]~83914_combout\ = !\led_flash_cnt[3274][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3274][0]~q\,
	combout => \led_flash_cnt[3274][0]~83914_combout\);

-- Location: FF_X41_Y25_N9
\led_flash_cnt[3274][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3274][0]~83914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3274][0]~q\);

-- Location: LCCOMB_X40_Y25_N16
\led_flash_cnt[3274][1]~72716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3274][1]~72716_combout\ = (\led_flash_cnt[3274][0]~q\ & (\led_flash_cnt[3274][1]~q\ $ (VCC))) # (!\led_flash_cnt[3274][0]~q\ & (\led_flash_cnt[3274][1]~q\ & VCC))
-- \led_flash_cnt[3274][1]~72717\ = CARRY((\led_flash_cnt[3274][0]~q\ & \led_flash_cnt[3274][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3274][0]~q\,
	datab => \led_flash_cnt[3274][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3274][1]~72716_combout\,
	cout => \led_flash_cnt[3274][1]~72717\);

-- Location: FF_X40_Y25_N17
\led_flash_cnt[3274][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3274][1]~72716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3274][1]~q\);

-- Location: LCCOMB_X40_Y25_N18
\led_flash_cnt[3274][2]~72718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3274][2]~72718_combout\ = (\led_flash_cnt[3274][2]~q\ & (!\led_flash_cnt[3274][1]~72717\)) # (!\led_flash_cnt[3274][2]~q\ & ((\led_flash_cnt[3274][1]~72717\) # (GND)))
-- \led_flash_cnt[3274][2]~72719\ = CARRY((!\led_flash_cnt[3274][1]~72717\) # (!\led_flash_cnt[3274][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3274][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3274][1]~72717\,
	combout => \led_flash_cnt[3274][2]~72718_combout\,
	cout => \led_flash_cnt[3274][2]~72719\);

-- Location: FF_X40_Y25_N19
\led_flash_cnt[3274][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3274][2]~72718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3274][2]~q\);

-- Location: LCCOMB_X40_Y25_N20
\led_flash_cnt[3274][3]~72720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3274][3]~72720_combout\ = (\led_flash_cnt[3274][3]~q\ & (\led_flash_cnt[3274][2]~72719\ $ (GND))) # (!\led_flash_cnt[3274][3]~q\ & (!\led_flash_cnt[3274][2]~72719\ & VCC))
-- \led_flash_cnt[3274][3]~72721\ = CARRY((\led_flash_cnt[3274][3]~q\ & !\led_flash_cnt[3274][2]~72719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3274][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3274][2]~72719\,
	combout => \led_flash_cnt[3274][3]~72720_combout\,
	cout => \led_flash_cnt[3274][3]~72721\);

-- Location: FF_X40_Y25_N21
\led_flash_cnt[3274][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3274][3]~72720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3274][3]~q\);

-- Location: LCCOMB_X40_Y25_N22
\led_flash_cnt[3274][4]~72722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3274][4]~72722_combout\ = (\led_flash_cnt[3274][4]~q\ & (!\led_flash_cnt[3274][3]~72721\)) # (!\led_flash_cnt[3274][4]~q\ & ((\led_flash_cnt[3274][3]~72721\) # (GND)))
-- \led_flash_cnt[3274][4]~72723\ = CARRY((!\led_flash_cnt[3274][3]~72721\) # (!\led_flash_cnt[3274][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3274][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3274][3]~72721\,
	combout => \led_flash_cnt[3274][4]~72722_combout\,
	cout => \led_flash_cnt[3274][4]~72723\);

-- Location: FF_X40_Y25_N23
\led_flash_cnt[3274][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3274][4]~72722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3274][4]~q\);

-- Location: LCCOMB_X40_Y25_N24
\led_flash_cnt[3274][5]~72724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3274][5]~72724_combout\ = (\led_flash_cnt[3274][5]~q\ & (\led_flash_cnt[3274][4]~72723\ $ (GND))) # (!\led_flash_cnt[3274][5]~q\ & (!\led_flash_cnt[3274][4]~72723\ & VCC))
-- \led_flash_cnt[3274][5]~72725\ = CARRY((\led_flash_cnt[3274][5]~q\ & !\led_flash_cnt[3274][4]~72723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3274][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3274][4]~72723\,
	combout => \led_flash_cnt[3274][5]~72724_combout\,
	cout => \led_flash_cnt[3274][5]~72725\);

-- Location: FF_X40_Y25_N25
\led_flash_cnt[3274][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3274][5]~72724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3274][5]~q\);

-- Location: LCCOMB_X40_Y25_N26
\led_flash_cnt[3274][6]~72726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3274][6]~72726_combout\ = (\led_flash_cnt[3274][6]~q\ & (!\led_flash_cnt[3274][5]~72725\)) # (!\led_flash_cnt[3274][6]~q\ & ((\led_flash_cnt[3274][5]~72725\) # (GND)))
-- \led_flash_cnt[3274][6]~72727\ = CARRY((!\led_flash_cnt[3274][5]~72725\) # (!\led_flash_cnt[3274][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3274][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3274][5]~72725\,
	combout => \led_flash_cnt[3274][6]~72726_combout\,
	cout => \led_flash_cnt[3274][6]~72727\);

-- Location: FF_X40_Y25_N27
\led_flash_cnt[3274][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3274][6]~72726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3274][6]~q\);

-- Location: LCCOMB_X41_Y25_N6
\WideAnd3274~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3274~1_combout\ = (\led_flash_cnt[3274][6]~q\ & \led_flash_cnt[3274][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3274][6]~q\,
	datad => \led_flash_cnt[3274][5]~q\,
	combout => \WideAnd3274~1_combout\);

-- Location: LCCOMB_X40_Y25_N28
\led_flash_cnt[3274][7]~72728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3274][7]~72728_combout\ = \led_flash_cnt[3274][6]~72727\ $ (!\led_flash_cnt[3274][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3274][7]~q\,
	cin => \led_flash_cnt[3274][6]~72727\,
	combout => \led_flash_cnt[3274][7]~72728_combout\);

-- Location: FF_X40_Y25_N29
\led_flash_cnt[3274][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3274][7]~72728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3274][7]~q\);

-- Location: LCCOMB_X41_Y25_N2
\WideAnd3274~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3274~0_combout\ = (\led_flash_cnt[3274][2]~q\ & (\led_flash_cnt[3274][3]~q\ & (\led_flash_cnt[3274][1]~q\ & \led_flash_cnt[3274][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3274][2]~q\,
	datab => \led_flash_cnt[3274][3]~q\,
	datac => \led_flash_cnt[3274][1]~q\,
	datad => \led_flash_cnt[3274][4]~q\,
	combout => \WideAnd3274~0_combout\);

-- Location: LCCOMB_X41_Y25_N4
WideAnd3274 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3274~combout\ = (\WideAnd3274~1_combout\ & (\led_flash_cnt[3274][7]~q\ & (\led_flash_cnt[3274][0]~q\ & \WideAnd3274~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3274~1_combout\,
	datab => \led_flash_cnt[3274][7]~q\,
	datac => \led_flash_cnt[3274][0]~q\,
	datad => \WideAnd3274~0_combout\,
	combout => \WideAnd3274~combout\);

-- Location: FF_X41_Y25_N5
\led_flash_cnt_ands[3274]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3274~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3274));

-- Location: LCCOMB_X41_Y25_N12
\led_flash_cnt[3275][0]~83915\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3275][0]~83915_combout\ = !\led_flash_cnt[3275][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3275][0]~q\,
	combout => \led_flash_cnt[3275][0]~83915_combout\);

-- Location: FF_X41_Y25_N13
\led_flash_cnt[3275][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3275][0]~83915_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3275][0]~q\);

-- Location: LCCOMB_X41_Y25_N18
\led_flash_cnt[3275][1]~72730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3275][1]~72730_combout\ = (\led_flash_cnt[3275][0]~q\ & (\led_flash_cnt[3275][1]~q\ $ (VCC))) # (!\led_flash_cnt[3275][0]~q\ & (\led_flash_cnt[3275][1]~q\ & VCC))
-- \led_flash_cnt[3275][1]~72731\ = CARRY((\led_flash_cnt[3275][0]~q\ & \led_flash_cnt[3275][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3275][0]~q\,
	datab => \led_flash_cnt[3275][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3275][1]~72730_combout\,
	cout => \led_flash_cnt[3275][1]~72731\);

-- Location: FF_X41_Y25_N19
\led_flash_cnt[3275][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3275][1]~72730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3275][1]~q\);

-- Location: LCCOMB_X41_Y25_N20
\led_flash_cnt[3275][2]~72732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3275][2]~72732_combout\ = (\led_flash_cnt[3275][2]~q\ & (!\led_flash_cnt[3275][1]~72731\)) # (!\led_flash_cnt[3275][2]~q\ & ((\led_flash_cnt[3275][1]~72731\) # (GND)))
-- \led_flash_cnt[3275][2]~72733\ = CARRY((!\led_flash_cnt[3275][1]~72731\) # (!\led_flash_cnt[3275][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3275][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3275][1]~72731\,
	combout => \led_flash_cnt[3275][2]~72732_combout\,
	cout => \led_flash_cnt[3275][2]~72733\);

-- Location: FF_X41_Y25_N21
\led_flash_cnt[3275][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3275][2]~72732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3275][2]~q\);

-- Location: LCCOMB_X41_Y25_N22
\led_flash_cnt[3275][3]~72734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3275][3]~72734_combout\ = (\led_flash_cnt[3275][3]~q\ & (\led_flash_cnt[3275][2]~72733\ $ (GND))) # (!\led_flash_cnt[3275][3]~q\ & (!\led_flash_cnt[3275][2]~72733\ & VCC))
-- \led_flash_cnt[3275][3]~72735\ = CARRY((\led_flash_cnt[3275][3]~q\ & !\led_flash_cnt[3275][2]~72733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3275][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3275][2]~72733\,
	combout => \led_flash_cnt[3275][3]~72734_combout\,
	cout => \led_flash_cnt[3275][3]~72735\);

-- Location: FF_X41_Y25_N23
\led_flash_cnt[3275][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3275][3]~72734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3275][3]~q\);

-- Location: LCCOMB_X41_Y25_N24
\led_flash_cnt[3275][4]~72736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3275][4]~72736_combout\ = (\led_flash_cnt[3275][4]~q\ & (!\led_flash_cnt[3275][3]~72735\)) # (!\led_flash_cnt[3275][4]~q\ & ((\led_flash_cnt[3275][3]~72735\) # (GND)))
-- \led_flash_cnt[3275][4]~72737\ = CARRY((!\led_flash_cnt[3275][3]~72735\) # (!\led_flash_cnt[3275][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3275][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3275][3]~72735\,
	combout => \led_flash_cnt[3275][4]~72736_combout\,
	cout => \led_flash_cnt[3275][4]~72737\);

-- Location: FF_X41_Y25_N25
\led_flash_cnt[3275][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3275][4]~72736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3275][4]~q\);

-- Location: LCCOMB_X41_Y25_N26
\led_flash_cnt[3275][5]~72738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3275][5]~72738_combout\ = (\led_flash_cnt[3275][5]~q\ & (\led_flash_cnt[3275][4]~72737\ $ (GND))) # (!\led_flash_cnt[3275][5]~q\ & (!\led_flash_cnt[3275][4]~72737\ & VCC))
-- \led_flash_cnt[3275][5]~72739\ = CARRY((\led_flash_cnt[3275][5]~q\ & !\led_flash_cnt[3275][4]~72737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3275][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3275][4]~72737\,
	combout => \led_flash_cnt[3275][5]~72738_combout\,
	cout => \led_flash_cnt[3275][5]~72739\);

-- Location: FF_X41_Y25_N27
\led_flash_cnt[3275][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3275][5]~72738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3275][5]~q\);

-- Location: LCCOMB_X41_Y25_N28
\led_flash_cnt[3275][6]~72740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3275][6]~72740_combout\ = (\led_flash_cnt[3275][6]~q\ & (!\led_flash_cnt[3275][5]~72739\)) # (!\led_flash_cnt[3275][6]~q\ & ((\led_flash_cnt[3275][5]~72739\) # (GND)))
-- \led_flash_cnt[3275][6]~72741\ = CARRY((!\led_flash_cnt[3275][5]~72739\) # (!\led_flash_cnt[3275][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3275][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3275][5]~72739\,
	combout => \led_flash_cnt[3275][6]~72740_combout\,
	cout => \led_flash_cnt[3275][6]~72741\);

-- Location: FF_X41_Y25_N29
\led_flash_cnt[3275][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3275][6]~72740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3275][6]~q\);

-- Location: LCCOMB_X41_Y25_N10
\WideAnd3275~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3275~1_combout\ = (\led_flash_cnt[3275][5]~q\ & \led_flash_cnt[3275][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3275][5]~q\,
	datad => \led_flash_cnt[3275][6]~q\,
	combout => \WideAnd3275~1_combout\);

-- Location: LCCOMB_X41_Y25_N14
\WideAnd3275~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3275~0_combout\ = (\led_flash_cnt[3275][1]~q\ & (\led_flash_cnt[3275][2]~q\ & (\led_flash_cnt[3275][3]~q\ & \led_flash_cnt[3275][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3275][1]~q\,
	datab => \led_flash_cnt[3275][2]~q\,
	datac => \led_flash_cnt[3275][3]~q\,
	datad => \led_flash_cnt[3275][4]~q\,
	combout => \WideAnd3275~0_combout\);

-- Location: LCCOMB_X41_Y25_N30
\led_flash_cnt[3275][7]~72742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3275][7]~72742_combout\ = \led_flash_cnt[3275][7]~q\ $ (!\led_flash_cnt[3275][6]~72741\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3275][7]~q\,
	cin => \led_flash_cnt[3275][6]~72741\,
	combout => \led_flash_cnt[3275][7]~72742_combout\);

-- Location: FF_X41_Y25_N31
\led_flash_cnt[3275][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3275][7]~72742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3275][7]~q\);

-- Location: LCCOMB_X41_Y25_N0
WideAnd3275 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3275~combout\ = (\WideAnd3275~1_combout\ & (\WideAnd3275~0_combout\ & (\led_flash_cnt[3275][7]~q\ & \led_flash_cnt[3275][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3275~1_combout\,
	datab => \WideAnd3275~0_combout\,
	datac => \led_flash_cnt[3275][7]~q\,
	datad => \led_flash_cnt[3275][0]~q\,
	combout => \WideAnd3275~combout\);

-- Location: FF_X41_Y25_N1
\led_flash_cnt_ands[3275]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3275~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3275));

-- Location: LCCOMB_X39_Y25_N2
\led_flash_cnt[3273][0]~83913\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3273][0]~83913_combout\ = !\led_flash_cnt[3273][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3273][0]~q\,
	combout => \led_flash_cnt[3273][0]~83913_combout\);

-- Location: FF_X39_Y25_N3
\led_flash_cnt[3273][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3273][0]~83913_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3273][0]~q\);

-- Location: LCCOMB_X38_Y25_N18
\led_flash_cnt[3273][1]~72702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3273][1]~72702_combout\ = (\led_flash_cnt[3273][0]~q\ & (\led_flash_cnt[3273][1]~q\ $ (VCC))) # (!\led_flash_cnt[3273][0]~q\ & (\led_flash_cnt[3273][1]~q\ & VCC))
-- \led_flash_cnt[3273][1]~72703\ = CARRY((\led_flash_cnt[3273][0]~q\ & \led_flash_cnt[3273][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3273][0]~q\,
	datab => \led_flash_cnt[3273][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3273][1]~72702_combout\,
	cout => \led_flash_cnt[3273][1]~72703\);

-- Location: FF_X38_Y25_N19
\led_flash_cnt[3273][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3273][1]~72702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3273][1]~q\);

-- Location: LCCOMB_X38_Y25_N20
\led_flash_cnt[3273][2]~72704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3273][2]~72704_combout\ = (\led_flash_cnt[3273][2]~q\ & (!\led_flash_cnt[3273][1]~72703\)) # (!\led_flash_cnt[3273][2]~q\ & ((\led_flash_cnt[3273][1]~72703\) # (GND)))
-- \led_flash_cnt[3273][2]~72705\ = CARRY((!\led_flash_cnt[3273][1]~72703\) # (!\led_flash_cnt[3273][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3273][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3273][1]~72703\,
	combout => \led_flash_cnt[3273][2]~72704_combout\,
	cout => \led_flash_cnt[3273][2]~72705\);

-- Location: FF_X38_Y25_N21
\led_flash_cnt[3273][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3273][2]~72704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3273][2]~q\);

-- Location: LCCOMB_X38_Y25_N22
\led_flash_cnt[3273][3]~72706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3273][3]~72706_combout\ = (\led_flash_cnt[3273][3]~q\ & (\led_flash_cnt[3273][2]~72705\ $ (GND))) # (!\led_flash_cnt[3273][3]~q\ & (!\led_flash_cnt[3273][2]~72705\ & VCC))
-- \led_flash_cnt[3273][3]~72707\ = CARRY((\led_flash_cnt[3273][3]~q\ & !\led_flash_cnt[3273][2]~72705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3273][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3273][2]~72705\,
	combout => \led_flash_cnt[3273][3]~72706_combout\,
	cout => \led_flash_cnt[3273][3]~72707\);

-- Location: FF_X38_Y25_N23
\led_flash_cnt[3273][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3273][3]~72706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3273][3]~q\);

-- Location: LCCOMB_X38_Y25_N24
\led_flash_cnt[3273][4]~72708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3273][4]~72708_combout\ = (\led_flash_cnt[3273][4]~q\ & (!\led_flash_cnt[3273][3]~72707\)) # (!\led_flash_cnt[3273][4]~q\ & ((\led_flash_cnt[3273][3]~72707\) # (GND)))
-- \led_flash_cnt[3273][4]~72709\ = CARRY((!\led_flash_cnt[3273][3]~72707\) # (!\led_flash_cnt[3273][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3273][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3273][3]~72707\,
	combout => \led_flash_cnt[3273][4]~72708_combout\,
	cout => \led_flash_cnt[3273][4]~72709\);

-- Location: FF_X38_Y25_N25
\led_flash_cnt[3273][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3273][4]~72708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3273][4]~q\);

-- Location: LCCOMB_X38_Y25_N14
\WideAnd3273~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3273~0_combout\ = (\led_flash_cnt[3273][4]~q\ & (\led_flash_cnt[3273][2]~q\ & (\led_flash_cnt[3273][3]~q\ & \led_flash_cnt[3273][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3273][4]~q\,
	datab => \led_flash_cnt[3273][2]~q\,
	datac => \led_flash_cnt[3273][3]~q\,
	datad => \led_flash_cnt[3273][1]~q\,
	combout => \WideAnd3273~0_combout\);

-- Location: LCCOMB_X38_Y25_N26
\led_flash_cnt[3273][5]~72710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3273][5]~72710_combout\ = (\led_flash_cnt[3273][5]~q\ & (\led_flash_cnt[3273][4]~72709\ $ (GND))) # (!\led_flash_cnt[3273][5]~q\ & (!\led_flash_cnt[3273][4]~72709\ & VCC))
-- \led_flash_cnt[3273][5]~72711\ = CARRY((\led_flash_cnt[3273][5]~q\ & !\led_flash_cnt[3273][4]~72709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3273][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3273][4]~72709\,
	combout => \led_flash_cnt[3273][5]~72710_combout\,
	cout => \led_flash_cnt[3273][5]~72711\);

-- Location: FF_X38_Y25_N27
\led_flash_cnt[3273][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3273][5]~72710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3273][5]~q\);

-- Location: LCCOMB_X38_Y25_N28
\led_flash_cnt[3273][6]~72712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3273][6]~72712_combout\ = (\led_flash_cnt[3273][6]~q\ & (!\led_flash_cnt[3273][5]~72711\)) # (!\led_flash_cnt[3273][6]~q\ & ((\led_flash_cnt[3273][5]~72711\) # (GND)))
-- \led_flash_cnt[3273][6]~72713\ = CARRY((!\led_flash_cnt[3273][5]~72711\) # (!\led_flash_cnt[3273][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3273][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3273][5]~72711\,
	combout => \led_flash_cnt[3273][6]~72712_combout\,
	cout => \led_flash_cnt[3273][6]~72713\);

-- Location: FF_X38_Y25_N29
\led_flash_cnt[3273][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3273][6]~72712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3273][6]~q\);

-- Location: LCCOMB_X38_Y25_N30
\led_flash_cnt[3273][7]~72714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3273][7]~72714_combout\ = \led_flash_cnt[3273][7]~q\ $ (!\led_flash_cnt[3273][6]~72713\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3273][7]~q\,
	cin => \led_flash_cnt[3273][6]~72713\,
	combout => \led_flash_cnt[3273][7]~72714_combout\);

-- Location: FF_X38_Y25_N31
\led_flash_cnt[3273][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3273][7]~72714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3273][7]~q\);

-- Location: LCCOMB_X39_Y25_N14
\WideAnd3273~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3273~1_combout\ = (\led_flash_cnt[3273][5]~q\ & \led_flash_cnt[3273][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3273][5]~q\,
	datad => \led_flash_cnt[3273][6]~q\,
	combout => \WideAnd3273~1_combout\);

-- Location: LCCOMB_X39_Y25_N0
WideAnd3273 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3273~combout\ = (\WideAnd3273~0_combout\ & (\led_flash_cnt[3273][7]~q\ & (\WideAnd3273~1_combout\ & \led_flash_cnt[3273][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3273~0_combout\,
	datab => \led_flash_cnt[3273][7]~q\,
	datac => \WideAnd3273~1_combout\,
	datad => \led_flash_cnt[3273][0]~q\,
	combout => \WideAnd3273~combout\);

-- Location: FF_X39_Y25_N1
\led_flash_cnt_ands[3273]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3273~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3273));

-- Location: LCCOMB_X39_Y25_N8
\WideAnd4249~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4249~0_combout\ = (led_flash_cnt_ands(3272) & (led_flash_cnt_ands(3274) & (led_flash_cnt_ands(3275) & led_flash_cnt_ands(3273))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3272),
	datab => led_flash_cnt_ands(3274),
	datac => led_flash_cnt_ands(3275),
	datad => led_flash_cnt_ands(3273),
	combout => \WideAnd4249~0_combout\);

-- Location: LCCOMB_X37_Y30_N28
\led_flash_cnt[3279][0]~83919\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3279][0]~83919_combout\ = !\led_flash_cnt[3279][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3279][0]~q\,
	combout => \led_flash_cnt[3279][0]~83919_combout\);

-- Location: FF_X37_Y30_N29
\led_flash_cnt[3279][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3279][0]~83919_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3279][0]~q\);

-- Location: LCCOMB_X36_Y30_N14
\led_flash_cnt[3279][1]~72786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3279][1]~72786_combout\ = (\led_flash_cnt[3279][0]~q\ & (\led_flash_cnt[3279][1]~q\ $ (VCC))) # (!\led_flash_cnt[3279][0]~q\ & (\led_flash_cnt[3279][1]~q\ & VCC))
-- \led_flash_cnt[3279][1]~72787\ = CARRY((\led_flash_cnt[3279][0]~q\ & \led_flash_cnt[3279][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3279][0]~q\,
	datab => \led_flash_cnt[3279][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3279][1]~72786_combout\,
	cout => \led_flash_cnt[3279][1]~72787\);

-- Location: FF_X36_Y30_N15
\led_flash_cnt[3279][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3279][1]~72786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3279][1]~q\);

-- Location: LCCOMB_X36_Y30_N16
\led_flash_cnt[3279][2]~72788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3279][2]~72788_combout\ = (\led_flash_cnt[3279][2]~q\ & (!\led_flash_cnt[3279][1]~72787\)) # (!\led_flash_cnt[3279][2]~q\ & ((\led_flash_cnt[3279][1]~72787\) # (GND)))
-- \led_flash_cnt[3279][2]~72789\ = CARRY((!\led_flash_cnt[3279][1]~72787\) # (!\led_flash_cnt[3279][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3279][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3279][1]~72787\,
	combout => \led_flash_cnt[3279][2]~72788_combout\,
	cout => \led_flash_cnt[3279][2]~72789\);

-- Location: FF_X36_Y30_N17
\led_flash_cnt[3279][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3279][2]~72788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3279][2]~q\);

-- Location: LCCOMB_X36_Y30_N18
\led_flash_cnt[3279][3]~72790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3279][3]~72790_combout\ = (\led_flash_cnt[3279][3]~q\ & (\led_flash_cnt[3279][2]~72789\ $ (GND))) # (!\led_flash_cnt[3279][3]~q\ & (!\led_flash_cnt[3279][2]~72789\ & VCC))
-- \led_flash_cnt[3279][3]~72791\ = CARRY((\led_flash_cnt[3279][3]~q\ & !\led_flash_cnt[3279][2]~72789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3279][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3279][2]~72789\,
	combout => \led_flash_cnt[3279][3]~72790_combout\,
	cout => \led_flash_cnt[3279][3]~72791\);

-- Location: FF_X36_Y30_N19
\led_flash_cnt[3279][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3279][3]~72790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3279][3]~q\);

-- Location: LCCOMB_X36_Y30_N20
\led_flash_cnt[3279][4]~72792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3279][4]~72792_combout\ = (\led_flash_cnt[3279][4]~q\ & (!\led_flash_cnt[3279][3]~72791\)) # (!\led_flash_cnt[3279][4]~q\ & ((\led_flash_cnt[3279][3]~72791\) # (GND)))
-- \led_flash_cnt[3279][4]~72793\ = CARRY((!\led_flash_cnt[3279][3]~72791\) # (!\led_flash_cnt[3279][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3279][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3279][3]~72791\,
	combout => \led_flash_cnt[3279][4]~72792_combout\,
	cout => \led_flash_cnt[3279][4]~72793\);

-- Location: FF_X36_Y30_N21
\led_flash_cnt[3279][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3279][4]~72792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3279][4]~q\);

-- Location: LCCOMB_X36_Y30_N22
\led_flash_cnt[3279][5]~72794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3279][5]~72794_combout\ = (\led_flash_cnt[3279][5]~q\ & (\led_flash_cnt[3279][4]~72793\ $ (GND))) # (!\led_flash_cnt[3279][5]~q\ & (!\led_flash_cnt[3279][4]~72793\ & VCC))
-- \led_flash_cnt[3279][5]~72795\ = CARRY((\led_flash_cnt[3279][5]~q\ & !\led_flash_cnt[3279][4]~72793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3279][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3279][4]~72793\,
	combout => \led_flash_cnt[3279][5]~72794_combout\,
	cout => \led_flash_cnt[3279][5]~72795\);

-- Location: FF_X36_Y30_N23
\led_flash_cnt[3279][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3279][5]~72794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3279][5]~q\);

-- Location: LCCOMB_X36_Y30_N24
\led_flash_cnt[3279][6]~72796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3279][6]~72796_combout\ = (\led_flash_cnt[3279][6]~q\ & (!\led_flash_cnt[3279][5]~72795\)) # (!\led_flash_cnt[3279][6]~q\ & ((\led_flash_cnt[3279][5]~72795\) # (GND)))
-- \led_flash_cnt[3279][6]~72797\ = CARRY((!\led_flash_cnt[3279][5]~72795\) # (!\led_flash_cnt[3279][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3279][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3279][5]~72795\,
	combout => \led_flash_cnt[3279][6]~72796_combout\,
	cout => \led_flash_cnt[3279][6]~72797\);

-- Location: FF_X36_Y30_N25
\led_flash_cnt[3279][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3279][6]~72796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3279][6]~q\);

-- Location: LCCOMB_X37_Y30_N26
\WideAnd3279~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3279~1_combout\ = (\led_flash_cnt[3279][6]~q\ & \led_flash_cnt[3279][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3279][6]~q\,
	datad => \led_flash_cnt[3279][5]~q\,
	combout => \WideAnd3279~1_combout\);

-- Location: LCCOMB_X36_Y30_N30
\WideAnd3279~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3279~0_combout\ = (\led_flash_cnt[3279][3]~q\ & (\led_flash_cnt[3279][4]~q\ & (\led_flash_cnt[3279][1]~q\ & \led_flash_cnt[3279][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3279][3]~q\,
	datab => \led_flash_cnt[3279][4]~q\,
	datac => \led_flash_cnt[3279][1]~q\,
	datad => \led_flash_cnt[3279][2]~q\,
	combout => \WideAnd3279~0_combout\);

-- Location: LCCOMB_X36_Y30_N26
\led_flash_cnt[3279][7]~72798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3279][7]~72798_combout\ = \led_flash_cnt[3279][7]~q\ $ (!\led_flash_cnt[3279][6]~72797\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3279][7]~q\,
	cin => \led_flash_cnt[3279][6]~72797\,
	combout => \led_flash_cnt[3279][7]~72798_combout\);

-- Location: FF_X36_Y30_N27
\led_flash_cnt[3279][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3279][7]~72798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3279][7]~q\);

-- Location: LCCOMB_X37_Y30_N30
WideAnd3279 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3279~combout\ = (\WideAnd3279~1_combout\ & (\WideAnd3279~0_combout\ & (\led_flash_cnt[3279][7]~q\ & \led_flash_cnt[3279][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3279~1_combout\,
	datab => \WideAnd3279~0_combout\,
	datac => \led_flash_cnt[3279][7]~q\,
	datad => \led_flash_cnt[3279][0]~q\,
	combout => \WideAnd3279~combout\);

-- Location: FF_X37_Y30_N31
\led_flash_cnt_ands[3279]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3279~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3279));

-- Location: LCCOMB_X32_Y25_N2
\led_flash_cnt[3277][0]~83917\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3277][0]~83917_combout\ = !\led_flash_cnt[3277][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3277][0]~q\,
	combout => \led_flash_cnt[3277][0]~83917_combout\);

-- Location: FF_X32_Y25_N3
\led_flash_cnt[3277][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3277][0]~83917_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3277][0]~q\);

-- Location: LCCOMB_X31_Y25_N0
\led_flash_cnt[3277][1]~72758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3277][1]~72758_combout\ = (\led_flash_cnt[3277][0]~q\ & (\led_flash_cnt[3277][1]~q\ $ (VCC))) # (!\led_flash_cnt[3277][0]~q\ & (\led_flash_cnt[3277][1]~q\ & VCC))
-- \led_flash_cnt[3277][1]~72759\ = CARRY((\led_flash_cnt[3277][0]~q\ & \led_flash_cnt[3277][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3277][0]~q\,
	datab => \led_flash_cnt[3277][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3277][1]~72758_combout\,
	cout => \led_flash_cnt[3277][1]~72759\);

-- Location: FF_X31_Y25_N1
\led_flash_cnt[3277][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3277][1]~72758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3277][1]~q\);

-- Location: LCCOMB_X31_Y25_N2
\led_flash_cnt[3277][2]~72760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3277][2]~72760_combout\ = (\led_flash_cnt[3277][2]~q\ & (!\led_flash_cnt[3277][1]~72759\)) # (!\led_flash_cnt[3277][2]~q\ & ((\led_flash_cnt[3277][1]~72759\) # (GND)))
-- \led_flash_cnt[3277][2]~72761\ = CARRY((!\led_flash_cnt[3277][1]~72759\) # (!\led_flash_cnt[3277][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3277][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3277][1]~72759\,
	combout => \led_flash_cnt[3277][2]~72760_combout\,
	cout => \led_flash_cnt[3277][2]~72761\);

-- Location: FF_X31_Y25_N3
\led_flash_cnt[3277][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3277][2]~72760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3277][2]~q\);

-- Location: LCCOMB_X31_Y25_N4
\led_flash_cnt[3277][3]~72762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3277][3]~72762_combout\ = (\led_flash_cnt[3277][3]~q\ & (\led_flash_cnt[3277][2]~72761\ $ (GND))) # (!\led_flash_cnt[3277][3]~q\ & (!\led_flash_cnt[3277][2]~72761\ & VCC))
-- \led_flash_cnt[3277][3]~72763\ = CARRY((\led_flash_cnt[3277][3]~q\ & !\led_flash_cnt[3277][2]~72761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3277][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3277][2]~72761\,
	combout => \led_flash_cnt[3277][3]~72762_combout\,
	cout => \led_flash_cnt[3277][3]~72763\);

-- Location: FF_X31_Y25_N5
\led_flash_cnt[3277][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3277][3]~72762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3277][3]~q\);

-- Location: LCCOMB_X31_Y25_N6
\led_flash_cnt[3277][4]~72764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3277][4]~72764_combout\ = (\led_flash_cnt[3277][4]~q\ & (!\led_flash_cnt[3277][3]~72763\)) # (!\led_flash_cnt[3277][4]~q\ & ((\led_flash_cnt[3277][3]~72763\) # (GND)))
-- \led_flash_cnt[3277][4]~72765\ = CARRY((!\led_flash_cnt[3277][3]~72763\) # (!\led_flash_cnt[3277][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3277][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3277][3]~72763\,
	combout => \led_flash_cnt[3277][4]~72764_combout\,
	cout => \led_flash_cnt[3277][4]~72765\);

-- Location: FF_X31_Y25_N7
\led_flash_cnt[3277][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3277][4]~72764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3277][4]~q\);

-- Location: LCCOMB_X31_Y25_N8
\led_flash_cnt[3277][5]~72766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3277][5]~72766_combout\ = (\led_flash_cnt[3277][5]~q\ & (\led_flash_cnt[3277][4]~72765\ $ (GND))) # (!\led_flash_cnt[3277][5]~q\ & (!\led_flash_cnt[3277][4]~72765\ & VCC))
-- \led_flash_cnt[3277][5]~72767\ = CARRY((\led_flash_cnt[3277][5]~q\ & !\led_flash_cnt[3277][4]~72765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3277][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3277][4]~72765\,
	combout => \led_flash_cnt[3277][5]~72766_combout\,
	cout => \led_flash_cnt[3277][5]~72767\);

-- Location: FF_X31_Y25_N9
\led_flash_cnt[3277][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3277][5]~72766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3277][5]~q\);

-- Location: LCCOMB_X31_Y25_N10
\led_flash_cnt[3277][6]~72768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3277][6]~72768_combout\ = (\led_flash_cnt[3277][6]~q\ & (!\led_flash_cnt[3277][5]~72767\)) # (!\led_flash_cnt[3277][6]~q\ & ((\led_flash_cnt[3277][5]~72767\) # (GND)))
-- \led_flash_cnt[3277][6]~72769\ = CARRY((!\led_flash_cnt[3277][5]~72767\) # (!\led_flash_cnt[3277][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3277][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3277][5]~72767\,
	combout => \led_flash_cnt[3277][6]~72768_combout\,
	cout => \led_flash_cnt[3277][6]~72769\);

-- Location: FF_X31_Y25_N11
\led_flash_cnt[3277][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3277][6]~72768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3277][6]~q\);

-- Location: LCCOMB_X31_Y25_N12
\led_flash_cnt[3277][7]~72770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3277][7]~72770_combout\ = \led_flash_cnt[3277][6]~72769\ $ (!\led_flash_cnt[3277][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3277][7]~q\,
	cin => \led_flash_cnt[3277][6]~72769\,
	combout => \led_flash_cnt[3277][7]~72770_combout\);

-- Location: FF_X31_Y25_N13
\led_flash_cnt[3277][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3277][7]~72770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3277][7]~q\);

-- Location: LCCOMB_X32_Y25_N28
\WideAnd3277~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3277~0_combout\ = (\led_flash_cnt[3277][1]~q\ & (\led_flash_cnt[3277][3]~q\ & (\led_flash_cnt[3277][4]~q\ & \led_flash_cnt[3277][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3277][1]~q\,
	datab => \led_flash_cnt[3277][3]~q\,
	datac => \led_flash_cnt[3277][4]~q\,
	datad => \led_flash_cnt[3277][2]~q\,
	combout => \WideAnd3277~0_combout\);

-- Location: LCCOMB_X32_Y25_N30
\WideAnd3277~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3277~1_combout\ = (\led_flash_cnt[3277][5]~q\ & \led_flash_cnt[3277][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3277][5]~q\,
	datad => \led_flash_cnt[3277][6]~q\,
	combout => \WideAnd3277~1_combout\);

-- Location: LCCOMB_X32_Y25_N24
WideAnd3277 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3277~combout\ = (\led_flash_cnt[3277][7]~q\ & (\WideAnd3277~0_combout\ & (\WideAnd3277~1_combout\ & \led_flash_cnt[3277][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3277][7]~q\,
	datab => \WideAnd3277~0_combout\,
	datac => \WideAnd3277~1_combout\,
	datad => \led_flash_cnt[3277][0]~q\,
	combout => \WideAnd3277~combout\);

-- Location: FF_X32_Y25_N25
\led_flash_cnt_ands[3277]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3277~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3277));

-- Location: LCCOMB_X32_Y25_N22
\led_flash_cnt[3276][0]~83916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3276][0]~83916_combout\ = !\led_flash_cnt[3276][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3276][0]~q\,
	combout => \led_flash_cnt[3276][0]~83916_combout\);

-- Location: FF_X32_Y25_N23
\led_flash_cnt[3276][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3276][0]~83916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3276][0]~q\);

-- Location: LCCOMB_X32_Y25_N4
\led_flash_cnt[3276][1]~72744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3276][1]~72744_combout\ = (\led_flash_cnt[3276][0]~q\ & (\led_flash_cnt[3276][1]~q\ $ (VCC))) # (!\led_flash_cnt[3276][0]~q\ & (\led_flash_cnt[3276][1]~q\ & VCC))
-- \led_flash_cnt[3276][1]~72745\ = CARRY((\led_flash_cnt[3276][0]~q\ & \led_flash_cnt[3276][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3276][0]~q\,
	datab => \led_flash_cnt[3276][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3276][1]~72744_combout\,
	cout => \led_flash_cnt[3276][1]~72745\);

-- Location: FF_X32_Y25_N5
\led_flash_cnt[3276][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3276][1]~72744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3276][1]~q\);

-- Location: LCCOMB_X32_Y25_N6
\led_flash_cnt[3276][2]~72746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3276][2]~72746_combout\ = (\led_flash_cnt[3276][2]~q\ & (!\led_flash_cnt[3276][1]~72745\)) # (!\led_flash_cnt[3276][2]~q\ & ((\led_flash_cnt[3276][1]~72745\) # (GND)))
-- \led_flash_cnt[3276][2]~72747\ = CARRY((!\led_flash_cnt[3276][1]~72745\) # (!\led_flash_cnt[3276][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3276][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3276][1]~72745\,
	combout => \led_flash_cnt[3276][2]~72746_combout\,
	cout => \led_flash_cnt[3276][2]~72747\);

-- Location: FF_X32_Y25_N7
\led_flash_cnt[3276][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3276][2]~72746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3276][2]~q\);

-- Location: LCCOMB_X32_Y25_N8
\led_flash_cnt[3276][3]~72748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3276][3]~72748_combout\ = (\led_flash_cnt[3276][3]~q\ & (\led_flash_cnt[3276][2]~72747\ $ (GND))) # (!\led_flash_cnt[3276][3]~q\ & (!\led_flash_cnt[3276][2]~72747\ & VCC))
-- \led_flash_cnt[3276][3]~72749\ = CARRY((\led_flash_cnt[3276][3]~q\ & !\led_flash_cnt[3276][2]~72747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3276][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3276][2]~72747\,
	combout => \led_flash_cnt[3276][3]~72748_combout\,
	cout => \led_flash_cnt[3276][3]~72749\);

-- Location: FF_X32_Y25_N9
\led_flash_cnt[3276][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3276][3]~72748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3276][3]~q\);

-- Location: LCCOMB_X32_Y25_N10
\led_flash_cnt[3276][4]~72750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3276][4]~72750_combout\ = (\led_flash_cnt[3276][4]~q\ & (!\led_flash_cnt[3276][3]~72749\)) # (!\led_flash_cnt[3276][4]~q\ & ((\led_flash_cnt[3276][3]~72749\) # (GND)))
-- \led_flash_cnt[3276][4]~72751\ = CARRY((!\led_flash_cnt[3276][3]~72749\) # (!\led_flash_cnt[3276][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3276][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3276][3]~72749\,
	combout => \led_flash_cnt[3276][4]~72750_combout\,
	cout => \led_flash_cnt[3276][4]~72751\);

-- Location: FF_X32_Y25_N11
\led_flash_cnt[3276][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3276][4]~72750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3276][4]~q\);

-- Location: LCCOMB_X32_Y25_N12
\led_flash_cnt[3276][5]~72752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3276][5]~72752_combout\ = (\led_flash_cnt[3276][5]~q\ & (\led_flash_cnt[3276][4]~72751\ $ (GND))) # (!\led_flash_cnt[3276][5]~q\ & (!\led_flash_cnt[3276][4]~72751\ & VCC))
-- \led_flash_cnt[3276][5]~72753\ = CARRY((\led_flash_cnt[3276][5]~q\ & !\led_flash_cnt[3276][4]~72751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3276][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3276][4]~72751\,
	combout => \led_flash_cnt[3276][5]~72752_combout\,
	cout => \led_flash_cnt[3276][5]~72753\);

-- Location: FF_X32_Y25_N13
\led_flash_cnt[3276][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3276][5]~72752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3276][5]~q\);

-- Location: LCCOMB_X32_Y25_N14
\led_flash_cnt[3276][6]~72754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3276][6]~72754_combout\ = (\led_flash_cnt[3276][6]~q\ & (!\led_flash_cnt[3276][5]~72753\)) # (!\led_flash_cnt[3276][6]~q\ & ((\led_flash_cnt[3276][5]~72753\) # (GND)))
-- \led_flash_cnt[3276][6]~72755\ = CARRY((!\led_flash_cnt[3276][5]~72753\) # (!\led_flash_cnt[3276][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3276][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3276][5]~72753\,
	combout => \led_flash_cnt[3276][6]~72754_combout\,
	cout => \led_flash_cnt[3276][6]~72755\);

-- Location: FF_X32_Y25_N15
\led_flash_cnt[3276][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3276][6]~72754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3276][6]~q\);

-- Location: LCCOMB_X32_Y25_N16
\led_flash_cnt[3276][7]~72756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3276][7]~72756_combout\ = \led_flash_cnt[3276][6]~72755\ $ (!\led_flash_cnt[3276][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3276][7]~q\,
	cin => \led_flash_cnt[3276][6]~72755\,
	combout => \led_flash_cnt[3276][7]~72756_combout\);

-- Location: FF_X32_Y25_N17
\led_flash_cnt[3276][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3276][7]~72756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3276][7]~q\);

-- Location: LCCOMB_X32_Y25_N26
\WideAnd3276~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3276~1_combout\ = (\led_flash_cnt[3276][6]~q\ & \led_flash_cnt[3276][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3276][6]~q\,
	datad => \led_flash_cnt[3276][5]~q\,
	combout => \WideAnd3276~1_combout\);

-- Location: LCCOMB_X32_Y25_N18
\WideAnd3276~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3276~0_combout\ = (\led_flash_cnt[3276][4]~q\ & (\led_flash_cnt[3276][1]~q\ & (\led_flash_cnt[3276][3]~q\ & \led_flash_cnt[3276][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3276][4]~q\,
	datab => \led_flash_cnt[3276][1]~q\,
	datac => \led_flash_cnt[3276][3]~q\,
	datad => \led_flash_cnt[3276][2]~q\,
	combout => \WideAnd3276~0_combout\);

-- Location: LCCOMB_X32_Y25_N0
WideAnd3276 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3276~combout\ = (\led_flash_cnt[3276][0]~q\ & (\led_flash_cnt[3276][7]~q\ & (\WideAnd3276~1_combout\ & \WideAnd3276~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3276][0]~q\,
	datab => \led_flash_cnt[3276][7]~q\,
	datac => \WideAnd3276~1_combout\,
	datad => \WideAnd3276~0_combout\,
	combout => \WideAnd3276~combout\);

-- Location: FF_X32_Y25_N1
\led_flash_cnt_ands[3276]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3276~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3276));

-- Location: LCCOMB_X32_Y25_N20
\WideAnd4249~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4249~1_combout\ = (led_flash_cnt_ands(3277) & led_flash_cnt_ands(3276))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3277),
	datad => led_flash_cnt_ands(3276),
	combout => \WideAnd4249~1_combout\);

-- Location: LCCOMB_X34_Y29_N6
\led_flash_cnt[3278][0]~83918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3278][0]~83918_combout\ = !\led_flash_cnt[3278][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3278][0]~q\,
	combout => \led_flash_cnt[3278][0]~83918_combout\);

-- Location: FF_X34_Y29_N7
\led_flash_cnt[3278][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3278][0]~83918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3278][0]~q\);

-- Location: LCCOMB_X35_Y29_N2
\led_flash_cnt[3278][1]~72772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3278][1]~72772_combout\ = (\led_flash_cnt[3278][0]~q\ & (\led_flash_cnt[3278][1]~q\ $ (VCC))) # (!\led_flash_cnt[3278][0]~q\ & (\led_flash_cnt[3278][1]~q\ & VCC))
-- \led_flash_cnt[3278][1]~72773\ = CARRY((\led_flash_cnt[3278][0]~q\ & \led_flash_cnt[3278][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3278][0]~q\,
	datab => \led_flash_cnt[3278][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3278][1]~72772_combout\,
	cout => \led_flash_cnt[3278][1]~72773\);

-- Location: FF_X35_Y29_N3
\led_flash_cnt[3278][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3278][1]~72772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3278][1]~q\);

-- Location: LCCOMB_X35_Y29_N4
\led_flash_cnt[3278][2]~72774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3278][2]~72774_combout\ = (\led_flash_cnt[3278][2]~q\ & (!\led_flash_cnt[3278][1]~72773\)) # (!\led_flash_cnt[3278][2]~q\ & ((\led_flash_cnt[3278][1]~72773\) # (GND)))
-- \led_flash_cnt[3278][2]~72775\ = CARRY((!\led_flash_cnt[3278][1]~72773\) # (!\led_flash_cnt[3278][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3278][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3278][1]~72773\,
	combout => \led_flash_cnt[3278][2]~72774_combout\,
	cout => \led_flash_cnt[3278][2]~72775\);

-- Location: FF_X35_Y29_N5
\led_flash_cnt[3278][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3278][2]~72774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3278][2]~q\);

-- Location: LCCOMB_X35_Y29_N6
\led_flash_cnt[3278][3]~72776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3278][3]~72776_combout\ = (\led_flash_cnt[3278][3]~q\ & (\led_flash_cnt[3278][2]~72775\ $ (GND))) # (!\led_flash_cnt[3278][3]~q\ & (!\led_flash_cnt[3278][2]~72775\ & VCC))
-- \led_flash_cnt[3278][3]~72777\ = CARRY((\led_flash_cnt[3278][3]~q\ & !\led_flash_cnt[3278][2]~72775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3278][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3278][2]~72775\,
	combout => \led_flash_cnt[3278][3]~72776_combout\,
	cout => \led_flash_cnt[3278][3]~72777\);

-- Location: FF_X35_Y29_N7
\led_flash_cnt[3278][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3278][3]~72776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3278][3]~q\);

-- Location: LCCOMB_X35_Y29_N8
\led_flash_cnt[3278][4]~72778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3278][4]~72778_combout\ = (\led_flash_cnt[3278][4]~q\ & (!\led_flash_cnt[3278][3]~72777\)) # (!\led_flash_cnt[3278][4]~q\ & ((\led_flash_cnt[3278][3]~72777\) # (GND)))
-- \led_flash_cnt[3278][4]~72779\ = CARRY((!\led_flash_cnt[3278][3]~72777\) # (!\led_flash_cnt[3278][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3278][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3278][3]~72777\,
	combout => \led_flash_cnt[3278][4]~72778_combout\,
	cout => \led_flash_cnt[3278][4]~72779\);

-- Location: FF_X35_Y29_N9
\led_flash_cnt[3278][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3278][4]~72778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3278][4]~q\);

-- Location: LCCOMB_X35_Y29_N10
\led_flash_cnt[3278][5]~72780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3278][5]~72780_combout\ = (\led_flash_cnt[3278][5]~q\ & (\led_flash_cnt[3278][4]~72779\ $ (GND))) # (!\led_flash_cnt[3278][5]~q\ & (!\led_flash_cnt[3278][4]~72779\ & VCC))
-- \led_flash_cnt[3278][5]~72781\ = CARRY((\led_flash_cnt[3278][5]~q\ & !\led_flash_cnt[3278][4]~72779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3278][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3278][4]~72779\,
	combout => \led_flash_cnt[3278][5]~72780_combout\,
	cout => \led_flash_cnt[3278][5]~72781\);

-- Location: FF_X35_Y29_N11
\led_flash_cnt[3278][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3278][5]~72780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3278][5]~q\);

-- Location: LCCOMB_X35_Y29_N12
\led_flash_cnt[3278][6]~72782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3278][6]~72782_combout\ = (\led_flash_cnt[3278][6]~q\ & (!\led_flash_cnt[3278][5]~72781\)) # (!\led_flash_cnt[3278][6]~q\ & ((\led_flash_cnt[3278][5]~72781\) # (GND)))
-- \led_flash_cnt[3278][6]~72783\ = CARRY((!\led_flash_cnt[3278][5]~72781\) # (!\led_flash_cnt[3278][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3278][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3278][5]~72781\,
	combout => \led_flash_cnt[3278][6]~72782_combout\,
	cout => \led_flash_cnt[3278][6]~72783\);

-- Location: FF_X35_Y29_N13
\led_flash_cnt[3278][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3278][6]~72782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3278][6]~q\);

-- Location: LCCOMB_X34_Y29_N30
\WideAnd3278~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3278~1_combout\ = (\led_flash_cnt[3278][6]~q\ & \led_flash_cnt[3278][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3278][6]~q\,
	datac => \led_flash_cnt[3278][5]~q\,
	combout => \WideAnd3278~1_combout\);

-- Location: LCCOMB_X35_Y29_N16
\WideAnd3278~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3278~0_combout\ = (\led_flash_cnt[3278][3]~q\ & (\led_flash_cnt[3278][4]~q\ & (\led_flash_cnt[3278][2]~q\ & \led_flash_cnt[3278][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3278][3]~q\,
	datab => \led_flash_cnt[3278][4]~q\,
	datac => \led_flash_cnt[3278][2]~q\,
	datad => \led_flash_cnt[3278][1]~q\,
	combout => \WideAnd3278~0_combout\);

-- Location: LCCOMB_X35_Y29_N14
\led_flash_cnt[3278][7]~72784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3278][7]~72784_combout\ = \led_flash_cnt[3278][7]~q\ $ (!\led_flash_cnt[3278][6]~72783\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3278][7]~q\,
	cin => \led_flash_cnt[3278][6]~72783\,
	combout => \led_flash_cnt[3278][7]~72784_combout\);

-- Location: FF_X35_Y29_N15
\led_flash_cnt[3278][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3278][7]~72784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3278][7]~q\);

-- Location: LCCOMB_X34_Y29_N28
WideAnd3278 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3278~combout\ = (\WideAnd3278~1_combout\ & (\WideAnd3278~0_combout\ & (\led_flash_cnt[3278][7]~q\ & \led_flash_cnt[3278][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3278~1_combout\,
	datab => \WideAnd3278~0_combout\,
	datac => \led_flash_cnt[3278][7]~q\,
	datad => \led_flash_cnt[3278][0]~q\,
	combout => \WideAnd3278~combout\);

-- Location: FF_X34_Y29_N29
\led_flash_cnt_ands[3278]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3278~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3278));

-- Location: LCCOMB_X35_Y25_N28
WideAnd4249 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4249~combout\ = (\WideAnd4249~0_combout\ & (led_flash_cnt_ands(3279) & (\WideAnd4249~1_combout\ & led_flash_cnt_ands(3278))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4249~0_combout\,
	datab => led_flash_cnt_ands(3279),
	datac => \WideAnd4249~1_combout\,
	datad => led_flash_cnt_ands(3278),
	combout => \WideAnd4249~combout\);

-- Location: FF_X35_Y25_N29
\led_flash_cnt_ands_1[409]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4249~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(409));

-- Location: LCCOMB_X35_Y22_N16
\led_flash_cnt[3267][0]~83907\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3267][0]~83907_combout\ = !\led_flash_cnt[3267][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3267][0]~q\,
	combout => \led_flash_cnt[3267][0]~83907_combout\);

-- Location: FF_X35_Y22_N17
\led_flash_cnt[3267][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3267][0]~83907_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3267][0]~q\);

-- Location: LCCOMB_X34_Y22_N0
\led_flash_cnt[3267][1]~72618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3267][1]~72618_combout\ = (\led_flash_cnt[3267][0]~q\ & (\led_flash_cnt[3267][1]~q\ $ (VCC))) # (!\led_flash_cnt[3267][0]~q\ & (\led_flash_cnt[3267][1]~q\ & VCC))
-- \led_flash_cnt[3267][1]~72619\ = CARRY((\led_flash_cnt[3267][0]~q\ & \led_flash_cnt[3267][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3267][0]~q\,
	datab => \led_flash_cnt[3267][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3267][1]~72618_combout\,
	cout => \led_flash_cnt[3267][1]~72619\);

-- Location: FF_X34_Y22_N1
\led_flash_cnt[3267][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3267][1]~72618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3267][1]~q\);

-- Location: LCCOMB_X34_Y22_N2
\led_flash_cnt[3267][2]~72620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3267][2]~72620_combout\ = (\led_flash_cnt[3267][2]~q\ & (!\led_flash_cnt[3267][1]~72619\)) # (!\led_flash_cnt[3267][2]~q\ & ((\led_flash_cnt[3267][1]~72619\) # (GND)))
-- \led_flash_cnt[3267][2]~72621\ = CARRY((!\led_flash_cnt[3267][1]~72619\) # (!\led_flash_cnt[3267][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3267][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3267][1]~72619\,
	combout => \led_flash_cnt[3267][2]~72620_combout\,
	cout => \led_flash_cnt[3267][2]~72621\);

-- Location: FF_X34_Y22_N3
\led_flash_cnt[3267][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3267][2]~72620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3267][2]~q\);

-- Location: LCCOMB_X34_Y22_N4
\led_flash_cnt[3267][3]~72622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3267][3]~72622_combout\ = (\led_flash_cnt[3267][3]~q\ & (\led_flash_cnt[3267][2]~72621\ $ (GND))) # (!\led_flash_cnt[3267][3]~q\ & (!\led_flash_cnt[3267][2]~72621\ & VCC))
-- \led_flash_cnt[3267][3]~72623\ = CARRY((\led_flash_cnt[3267][3]~q\ & !\led_flash_cnt[3267][2]~72621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3267][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3267][2]~72621\,
	combout => \led_flash_cnt[3267][3]~72622_combout\,
	cout => \led_flash_cnt[3267][3]~72623\);

-- Location: FF_X34_Y22_N5
\led_flash_cnt[3267][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3267][3]~72622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3267][3]~q\);

-- Location: LCCOMB_X34_Y22_N6
\led_flash_cnt[3267][4]~72624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3267][4]~72624_combout\ = (\led_flash_cnt[3267][4]~q\ & (!\led_flash_cnt[3267][3]~72623\)) # (!\led_flash_cnt[3267][4]~q\ & ((\led_flash_cnt[3267][3]~72623\) # (GND)))
-- \led_flash_cnt[3267][4]~72625\ = CARRY((!\led_flash_cnt[3267][3]~72623\) # (!\led_flash_cnt[3267][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3267][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3267][3]~72623\,
	combout => \led_flash_cnt[3267][4]~72624_combout\,
	cout => \led_flash_cnt[3267][4]~72625\);

-- Location: FF_X34_Y22_N7
\led_flash_cnt[3267][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3267][4]~72624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3267][4]~q\);

-- Location: LCCOMB_X34_Y22_N8
\led_flash_cnt[3267][5]~72626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3267][5]~72626_combout\ = (\led_flash_cnt[3267][5]~q\ & (\led_flash_cnt[3267][4]~72625\ $ (GND))) # (!\led_flash_cnt[3267][5]~q\ & (!\led_flash_cnt[3267][4]~72625\ & VCC))
-- \led_flash_cnt[3267][5]~72627\ = CARRY((\led_flash_cnt[3267][5]~q\ & !\led_flash_cnt[3267][4]~72625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3267][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3267][4]~72625\,
	combout => \led_flash_cnt[3267][5]~72626_combout\,
	cout => \led_flash_cnt[3267][5]~72627\);

-- Location: FF_X34_Y22_N9
\led_flash_cnt[3267][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3267][5]~72626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3267][5]~q\);

-- Location: LCCOMB_X34_Y22_N10
\led_flash_cnt[3267][6]~72628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3267][6]~72628_combout\ = (\led_flash_cnt[3267][6]~q\ & (!\led_flash_cnt[3267][5]~72627\)) # (!\led_flash_cnt[3267][6]~q\ & ((\led_flash_cnt[3267][5]~72627\) # (GND)))
-- \led_flash_cnt[3267][6]~72629\ = CARRY((!\led_flash_cnt[3267][5]~72627\) # (!\led_flash_cnt[3267][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3267][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3267][5]~72627\,
	combout => \led_flash_cnt[3267][6]~72628_combout\,
	cout => \led_flash_cnt[3267][6]~72629\);

-- Location: FF_X34_Y22_N11
\led_flash_cnt[3267][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3267][6]~72628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3267][6]~q\);

-- Location: LCCOMB_X34_Y22_N12
\led_flash_cnt[3267][7]~72630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3267][7]~72630_combout\ = \led_flash_cnt[3267][6]~72629\ $ (!\led_flash_cnt[3267][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3267][7]~q\,
	cin => \led_flash_cnt[3267][6]~72629\,
	combout => \led_flash_cnt[3267][7]~72630_combout\);

-- Location: FF_X34_Y22_N13
\led_flash_cnt[3267][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3267][7]~72630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3267][7]~q\);

-- Location: LCCOMB_X35_Y22_N14
\WideAnd3267~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3267~1_combout\ = (\led_flash_cnt[3267][6]~q\ & \led_flash_cnt[3267][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3267][6]~q\,
	datad => \led_flash_cnt[3267][5]~q\,
	combout => \WideAnd3267~1_combout\);

-- Location: LCCOMB_X34_Y22_N16
\WideAnd3267~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3267~0_combout\ = (\led_flash_cnt[3267][4]~q\ & (\led_flash_cnt[3267][1]~q\ & (\led_flash_cnt[3267][3]~q\ & \led_flash_cnt[3267][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3267][4]~q\,
	datab => \led_flash_cnt[3267][1]~q\,
	datac => \led_flash_cnt[3267][3]~q\,
	datad => \led_flash_cnt[3267][2]~q\,
	combout => \WideAnd3267~0_combout\);

-- Location: LCCOMB_X35_Y22_N18
WideAnd3267 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3267~combout\ = (\led_flash_cnt[3267][7]~q\ & (\WideAnd3267~1_combout\ & (\WideAnd3267~0_combout\ & \led_flash_cnt[3267][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3267][7]~q\,
	datab => \WideAnd3267~1_combout\,
	datac => \WideAnd3267~0_combout\,
	datad => \led_flash_cnt[3267][0]~q\,
	combout => \WideAnd3267~combout\);

-- Location: FF_X35_Y22_N19
\led_flash_cnt_ands[3267]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3267~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3267));

-- Location: LCCOMB_X34_Y25_N20
\led_flash_cnt[3266][0]~83906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3266][0]~83906_combout\ = !\led_flash_cnt[3266][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3266][0]~q\,
	combout => \led_flash_cnt[3266][0]~83906_combout\);

-- Location: FF_X34_Y25_N21
\led_flash_cnt[3266][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3266][0]~83906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3266][0]~q\);

-- Location: LCCOMB_X34_Y25_N0
\led_flash_cnt[3266][1]~72604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3266][1]~72604_combout\ = (\led_flash_cnt[3266][0]~q\ & (\led_flash_cnt[3266][1]~q\ $ (VCC))) # (!\led_flash_cnt[3266][0]~q\ & (\led_flash_cnt[3266][1]~q\ & VCC))
-- \led_flash_cnt[3266][1]~72605\ = CARRY((\led_flash_cnt[3266][0]~q\ & \led_flash_cnt[3266][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3266][0]~q\,
	datab => \led_flash_cnt[3266][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3266][1]~72604_combout\,
	cout => \led_flash_cnt[3266][1]~72605\);

-- Location: FF_X34_Y25_N1
\led_flash_cnt[3266][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3266][1]~72604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3266][1]~q\);

-- Location: LCCOMB_X34_Y25_N2
\led_flash_cnt[3266][2]~72606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3266][2]~72606_combout\ = (\led_flash_cnt[3266][2]~q\ & (!\led_flash_cnt[3266][1]~72605\)) # (!\led_flash_cnt[3266][2]~q\ & ((\led_flash_cnt[3266][1]~72605\) # (GND)))
-- \led_flash_cnt[3266][2]~72607\ = CARRY((!\led_flash_cnt[3266][1]~72605\) # (!\led_flash_cnt[3266][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3266][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3266][1]~72605\,
	combout => \led_flash_cnt[3266][2]~72606_combout\,
	cout => \led_flash_cnt[3266][2]~72607\);

-- Location: FF_X34_Y25_N3
\led_flash_cnt[3266][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3266][2]~72606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3266][2]~q\);

-- Location: LCCOMB_X34_Y25_N4
\led_flash_cnt[3266][3]~72608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3266][3]~72608_combout\ = (\led_flash_cnt[3266][3]~q\ & (\led_flash_cnt[3266][2]~72607\ $ (GND))) # (!\led_flash_cnt[3266][3]~q\ & (!\led_flash_cnt[3266][2]~72607\ & VCC))
-- \led_flash_cnt[3266][3]~72609\ = CARRY((\led_flash_cnt[3266][3]~q\ & !\led_flash_cnt[3266][2]~72607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3266][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3266][2]~72607\,
	combout => \led_flash_cnt[3266][3]~72608_combout\,
	cout => \led_flash_cnt[3266][3]~72609\);

-- Location: FF_X34_Y25_N5
\led_flash_cnt[3266][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3266][3]~72608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3266][3]~q\);

-- Location: LCCOMB_X34_Y25_N6
\led_flash_cnt[3266][4]~72610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3266][4]~72610_combout\ = (\led_flash_cnt[3266][4]~q\ & (!\led_flash_cnt[3266][3]~72609\)) # (!\led_flash_cnt[3266][4]~q\ & ((\led_flash_cnt[3266][3]~72609\) # (GND)))
-- \led_flash_cnt[3266][4]~72611\ = CARRY((!\led_flash_cnt[3266][3]~72609\) # (!\led_flash_cnt[3266][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3266][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3266][3]~72609\,
	combout => \led_flash_cnt[3266][4]~72610_combout\,
	cout => \led_flash_cnt[3266][4]~72611\);

-- Location: FF_X34_Y25_N7
\led_flash_cnt[3266][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3266][4]~72610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3266][4]~q\);

-- Location: LCCOMB_X34_Y25_N8
\led_flash_cnt[3266][5]~72612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3266][5]~72612_combout\ = (\led_flash_cnt[3266][5]~q\ & (\led_flash_cnt[3266][4]~72611\ $ (GND))) # (!\led_flash_cnt[3266][5]~q\ & (!\led_flash_cnt[3266][4]~72611\ & VCC))
-- \led_flash_cnt[3266][5]~72613\ = CARRY((\led_flash_cnt[3266][5]~q\ & !\led_flash_cnt[3266][4]~72611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3266][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3266][4]~72611\,
	combout => \led_flash_cnt[3266][5]~72612_combout\,
	cout => \led_flash_cnt[3266][5]~72613\);

-- Location: FF_X34_Y25_N9
\led_flash_cnt[3266][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3266][5]~72612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3266][5]~q\);

-- Location: LCCOMB_X34_Y25_N10
\led_flash_cnt[3266][6]~72614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3266][6]~72614_combout\ = (\led_flash_cnt[3266][6]~q\ & (!\led_flash_cnt[3266][5]~72613\)) # (!\led_flash_cnt[3266][6]~q\ & ((\led_flash_cnt[3266][5]~72613\) # (GND)))
-- \led_flash_cnt[3266][6]~72615\ = CARRY((!\led_flash_cnt[3266][5]~72613\) # (!\led_flash_cnt[3266][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3266][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3266][5]~72613\,
	combout => \led_flash_cnt[3266][6]~72614_combout\,
	cout => \led_flash_cnt[3266][6]~72615\);

-- Location: FF_X34_Y25_N11
\led_flash_cnt[3266][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3266][6]~72614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3266][6]~q\);

-- Location: LCCOMB_X34_Y25_N26
\WideAnd3266~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3266~1_combout\ = (\led_flash_cnt[3266][5]~q\ & \led_flash_cnt[3266][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3266][5]~q\,
	datad => \led_flash_cnt[3266][6]~q\,
	combout => \WideAnd3266~1_combout\);

-- Location: LCCOMB_X34_Y25_N30
\WideAnd3266~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3266~0_combout\ = (\led_flash_cnt[3266][4]~q\ & (\led_flash_cnt[3266][1]~q\ & (\led_flash_cnt[3266][3]~q\ & \led_flash_cnt[3266][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3266][4]~q\,
	datab => \led_flash_cnt[3266][1]~q\,
	datac => \led_flash_cnt[3266][3]~q\,
	datad => \led_flash_cnt[3266][2]~q\,
	combout => \WideAnd3266~0_combout\);

-- Location: LCCOMB_X34_Y25_N12
\led_flash_cnt[3266][7]~72616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3266][7]~72616_combout\ = \led_flash_cnt[3266][6]~72615\ $ (!\led_flash_cnt[3266][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3266][7]~q\,
	cin => \led_flash_cnt[3266][6]~72615\,
	combout => \led_flash_cnt[3266][7]~72616_combout\);

-- Location: FF_X34_Y25_N13
\led_flash_cnt[3266][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3266][7]~72616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3266][7]~q\);

-- Location: LCCOMB_X34_Y25_N24
WideAnd3266 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3266~combout\ = (\WideAnd3266~1_combout\ & (\led_flash_cnt[3266][0]~q\ & (\WideAnd3266~0_combout\ & \led_flash_cnt[3266][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3266~1_combout\,
	datab => \led_flash_cnt[3266][0]~q\,
	datac => \WideAnd3266~0_combout\,
	datad => \led_flash_cnt[3266][7]~q\,
	combout => \WideAnd3266~combout\);

-- Location: FF_X34_Y25_N25
\led_flash_cnt_ands[3266]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3266~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3266));

-- Location: LCCOMB_X34_Y29_N4
\led_flash_cnt[3264][0]~83904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3264][0]~83904_combout\ = !\led_flash_cnt[3264][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3264][0]~q\,
	combout => \led_flash_cnt[3264][0]~83904_combout\);

-- Location: FF_X34_Y29_N5
\led_flash_cnt[3264][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3264][0]~83904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3264][0]~q\);

-- Location: LCCOMB_X34_Y29_N10
\led_flash_cnt[3264][1]~72576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3264][1]~72576_combout\ = (\led_flash_cnt[3264][1]~q\ & (\led_flash_cnt[3264][0]~q\ $ (VCC))) # (!\led_flash_cnt[3264][1]~q\ & (\led_flash_cnt[3264][0]~q\ & VCC))
-- \led_flash_cnt[3264][1]~72577\ = CARRY((\led_flash_cnt[3264][1]~q\ & \led_flash_cnt[3264][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3264][1]~q\,
	datab => \led_flash_cnt[3264][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3264][1]~72576_combout\,
	cout => \led_flash_cnt[3264][1]~72577\);

-- Location: FF_X34_Y29_N11
\led_flash_cnt[3264][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3264][1]~72576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3264][1]~q\);

-- Location: LCCOMB_X34_Y29_N12
\led_flash_cnt[3264][2]~72578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3264][2]~72578_combout\ = (\led_flash_cnt[3264][2]~q\ & (!\led_flash_cnt[3264][1]~72577\)) # (!\led_flash_cnt[3264][2]~q\ & ((\led_flash_cnt[3264][1]~72577\) # (GND)))
-- \led_flash_cnt[3264][2]~72579\ = CARRY((!\led_flash_cnt[3264][1]~72577\) # (!\led_flash_cnt[3264][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3264][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3264][1]~72577\,
	combout => \led_flash_cnt[3264][2]~72578_combout\,
	cout => \led_flash_cnt[3264][2]~72579\);

-- Location: FF_X34_Y29_N13
\led_flash_cnt[3264][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3264][2]~72578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3264][2]~q\);

-- Location: LCCOMB_X34_Y29_N14
\led_flash_cnt[3264][3]~72580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3264][3]~72580_combout\ = (\led_flash_cnt[3264][3]~q\ & (\led_flash_cnt[3264][2]~72579\ $ (GND))) # (!\led_flash_cnt[3264][3]~q\ & (!\led_flash_cnt[3264][2]~72579\ & VCC))
-- \led_flash_cnt[3264][3]~72581\ = CARRY((\led_flash_cnt[3264][3]~q\ & !\led_flash_cnt[3264][2]~72579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3264][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3264][2]~72579\,
	combout => \led_flash_cnt[3264][3]~72580_combout\,
	cout => \led_flash_cnt[3264][3]~72581\);

-- Location: FF_X34_Y29_N15
\led_flash_cnt[3264][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3264][3]~72580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3264][3]~q\);

-- Location: LCCOMB_X34_Y29_N16
\led_flash_cnt[3264][4]~72582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3264][4]~72582_combout\ = (\led_flash_cnt[3264][4]~q\ & (!\led_flash_cnt[3264][3]~72581\)) # (!\led_flash_cnt[3264][4]~q\ & ((\led_flash_cnt[3264][3]~72581\) # (GND)))
-- \led_flash_cnt[3264][4]~72583\ = CARRY((!\led_flash_cnt[3264][3]~72581\) # (!\led_flash_cnt[3264][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3264][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3264][3]~72581\,
	combout => \led_flash_cnt[3264][4]~72582_combout\,
	cout => \led_flash_cnt[3264][4]~72583\);

-- Location: FF_X34_Y29_N17
\led_flash_cnt[3264][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3264][4]~72582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3264][4]~q\);

-- Location: LCCOMB_X34_Y29_N18
\led_flash_cnt[3264][5]~72584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3264][5]~72584_combout\ = (\led_flash_cnt[3264][5]~q\ & (\led_flash_cnt[3264][4]~72583\ $ (GND))) # (!\led_flash_cnt[3264][5]~q\ & (!\led_flash_cnt[3264][4]~72583\ & VCC))
-- \led_flash_cnt[3264][5]~72585\ = CARRY((\led_flash_cnt[3264][5]~q\ & !\led_flash_cnt[3264][4]~72583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3264][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3264][4]~72583\,
	combout => \led_flash_cnt[3264][5]~72584_combout\,
	cout => \led_flash_cnt[3264][5]~72585\);

-- Location: FF_X34_Y29_N19
\led_flash_cnt[3264][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3264][5]~72584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3264][5]~q\);

-- Location: LCCOMB_X34_Y29_N20
\led_flash_cnt[3264][6]~72586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3264][6]~72586_combout\ = (\led_flash_cnt[3264][6]~q\ & (!\led_flash_cnt[3264][5]~72585\)) # (!\led_flash_cnt[3264][6]~q\ & ((\led_flash_cnt[3264][5]~72585\) # (GND)))
-- \led_flash_cnt[3264][6]~72587\ = CARRY((!\led_flash_cnt[3264][5]~72585\) # (!\led_flash_cnt[3264][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3264][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3264][5]~72585\,
	combout => \led_flash_cnt[3264][6]~72586_combout\,
	cout => \led_flash_cnt[3264][6]~72587\);

-- Location: FF_X34_Y29_N21
\led_flash_cnt[3264][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3264][6]~72586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3264][6]~q\);

-- Location: LCCOMB_X34_Y29_N26
\WideAnd3264~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3264~1_combout\ = (\led_flash_cnt[3264][6]~q\ & \led_flash_cnt[3264][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3264][6]~q\,
	datad => \led_flash_cnt[3264][5]~q\,
	combout => \WideAnd3264~1_combout\);

-- Location: LCCOMB_X34_Y29_N22
\led_flash_cnt[3264][7]~72588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3264][7]~72588_combout\ = \led_flash_cnt[3264][7]~q\ $ (!\led_flash_cnt[3264][6]~72587\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3264][7]~q\,
	cin => \led_flash_cnt[3264][6]~72587\,
	combout => \led_flash_cnt[3264][7]~72588_combout\);

-- Location: FF_X34_Y29_N23
\led_flash_cnt[3264][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3264][7]~72588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3264][7]~q\);

-- Location: LCCOMB_X34_Y29_N24
\WideAnd3264~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3264~0_combout\ = (\led_flash_cnt[3264][2]~q\ & (\led_flash_cnt[3264][4]~q\ & (\led_flash_cnt[3264][3]~q\ & \led_flash_cnt[3264][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3264][2]~q\,
	datab => \led_flash_cnt[3264][4]~q\,
	datac => \led_flash_cnt[3264][3]~q\,
	datad => \led_flash_cnt[3264][1]~q\,
	combout => \WideAnd3264~0_combout\);

-- Location: LCCOMB_X34_Y29_N8
WideAnd3264 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3264~combout\ = (\WideAnd3264~1_combout\ & (\led_flash_cnt[3264][0]~q\ & (\led_flash_cnt[3264][7]~q\ & \WideAnd3264~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3264~1_combout\,
	datab => \led_flash_cnt[3264][0]~q\,
	datac => \led_flash_cnt[3264][7]~q\,
	datad => \WideAnd3264~0_combout\,
	combout => \WideAnd3264~combout\);

-- Location: FF_X34_Y29_N9
\led_flash_cnt_ands[3264]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3264~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3264));

-- Location: LCCOMB_X34_Y25_N18
\led_flash_cnt[3265][0]~83905\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3265][0]~83905_combout\ = !\led_flash_cnt[3265][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3265][0]~q\,
	combout => \led_flash_cnt[3265][0]~83905_combout\);

-- Location: FF_X34_Y25_N19
\led_flash_cnt[3265][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3265][0]~83905_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3265][0]~q\);

-- Location: LCCOMB_X34_Y26_N0
\led_flash_cnt[3265][1]~72590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3265][1]~72590_combout\ = (\led_flash_cnt[3265][0]~q\ & (\led_flash_cnt[3265][1]~q\ $ (VCC))) # (!\led_flash_cnt[3265][0]~q\ & (\led_flash_cnt[3265][1]~q\ & VCC))
-- \led_flash_cnt[3265][1]~72591\ = CARRY((\led_flash_cnt[3265][0]~q\ & \led_flash_cnt[3265][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3265][0]~q\,
	datab => \led_flash_cnt[3265][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3265][1]~72590_combout\,
	cout => \led_flash_cnt[3265][1]~72591\);

-- Location: FF_X34_Y26_N1
\led_flash_cnt[3265][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3265][1]~72590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3265][1]~q\);

-- Location: LCCOMB_X34_Y26_N2
\led_flash_cnt[3265][2]~72592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3265][2]~72592_combout\ = (\led_flash_cnt[3265][2]~q\ & (!\led_flash_cnt[3265][1]~72591\)) # (!\led_flash_cnt[3265][2]~q\ & ((\led_flash_cnt[3265][1]~72591\) # (GND)))
-- \led_flash_cnt[3265][2]~72593\ = CARRY((!\led_flash_cnt[3265][1]~72591\) # (!\led_flash_cnt[3265][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3265][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3265][1]~72591\,
	combout => \led_flash_cnt[3265][2]~72592_combout\,
	cout => \led_flash_cnt[3265][2]~72593\);

-- Location: FF_X34_Y26_N3
\led_flash_cnt[3265][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3265][2]~72592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3265][2]~q\);

-- Location: LCCOMB_X34_Y26_N4
\led_flash_cnt[3265][3]~72594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3265][3]~72594_combout\ = (\led_flash_cnt[3265][3]~q\ & (\led_flash_cnt[3265][2]~72593\ $ (GND))) # (!\led_flash_cnt[3265][3]~q\ & (!\led_flash_cnt[3265][2]~72593\ & VCC))
-- \led_flash_cnt[3265][3]~72595\ = CARRY((\led_flash_cnt[3265][3]~q\ & !\led_flash_cnt[3265][2]~72593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3265][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3265][2]~72593\,
	combout => \led_flash_cnt[3265][3]~72594_combout\,
	cout => \led_flash_cnt[3265][3]~72595\);

-- Location: FF_X34_Y26_N5
\led_flash_cnt[3265][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3265][3]~72594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3265][3]~q\);

-- Location: LCCOMB_X34_Y26_N6
\led_flash_cnt[3265][4]~72596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3265][4]~72596_combout\ = (\led_flash_cnt[3265][4]~q\ & (!\led_flash_cnt[3265][3]~72595\)) # (!\led_flash_cnt[3265][4]~q\ & ((\led_flash_cnt[3265][3]~72595\) # (GND)))
-- \led_flash_cnt[3265][4]~72597\ = CARRY((!\led_flash_cnt[3265][3]~72595\) # (!\led_flash_cnt[3265][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3265][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3265][3]~72595\,
	combout => \led_flash_cnt[3265][4]~72596_combout\,
	cout => \led_flash_cnt[3265][4]~72597\);

-- Location: FF_X34_Y26_N7
\led_flash_cnt[3265][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3265][4]~72596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3265][4]~q\);

-- Location: LCCOMB_X34_Y26_N8
\led_flash_cnt[3265][5]~72598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3265][5]~72598_combout\ = (\led_flash_cnt[3265][5]~q\ & (\led_flash_cnt[3265][4]~72597\ $ (GND))) # (!\led_flash_cnt[3265][5]~q\ & (!\led_flash_cnt[3265][4]~72597\ & VCC))
-- \led_flash_cnt[3265][5]~72599\ = CARRY((\led_flash_cnt[3265][5]~q\ & !\led_flash_cnt[3265][4]~72597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3265][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3265][4]~72597\,
	combout => \led_flash_cnt[3265][5]~72598_combout\,
	cout => \led_flash_cnt[3265][5]~72599\);

-- Location: FF_X34_Y26_N9
\led_flash_cnt[3265][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3265][5]~72598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3265][5]~q\);

-- Location: LCCOMB_X34_Y26_N10
\led_flash_cnt[3265][6]~72600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3265][6]~72600_combout\ = (\led_flash_cnt[3265][6]~q\ & (!\led_flash_cnt[3265][5]~72599\)) # (!\led_flash_cnt[3265][6]~q\ & ((\led_flash_cnt[3265][5]~72599\) # (GND)))
-- \led_flash_cnt[3265][6]~72601\ = CARRY((!\led_flash_cnt[3265][5]~72599\) # (!\led_flash_cnt[3265][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3265][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3265][5]~72599\,
	combout => \led_flash_cnt[3265][6]~72600_combout\,
	cout => \led_flash_cnt[3265][6]~72601\);

-- Location: FF_X34_Y26_N11
\led_flash_cnt[3265][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3265][6]~72600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3265][6]~q\);

-- Location: LCCOMB_X34_Y25_N22
\WideAnd3265~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3265~1_combout\ = (\led_flash_cnt[3265][6]~q\ & \led_flash_cnt[3265][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3265][6]~q\,
	datad => \led_flash_cnt[3265][5]~q\,
	combout => \WideAnd3265~1_combout\);

-- Location: LCCOMB_X34_Y26_N30
\WideAnd3265~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3265~0_combout\ = (\led_flash_cnt[3265][4]~q\ & (\led_flash_cnt[3265][1]~q\ & (\led_flash_cnt[3265][3]~q\ & \led_flash_cnt[3265][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3265][4]~q\,
	datab => \led_flash_cnt[3265][1]~q\,
	datac => \led_flash_cnt[3265][3]~q\,
	datad => \led_flash_cnt[3265][2]~q\,
	combout => \WideAnd3265~0_combout\);

-- Location: LCCOMB_X34_Y26_N12
\led_flash_cnt[3265][7]~72602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3265][7]~72602_combout\ = \led_flash_cnt[3265][6]~72601\ $ (!\led_flash_cnt[3265][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3265][7]~q\,
	cin => \led_flash_cnt[3265][6]~72601\,
	combout => \led_flash_cnt[3265][7]~72602_combout\);

-- Location: FF_X34_Y26_N13
\led_flash_cnt[3265][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3265][7]~72602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3265][7]~q\);

-- Location: LCCOMB_X34_Y25_N28
WideAnd3265 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3265~combout\ = (\WideAnd3265~1_combout\ & (\led_flash_cnt[3265][0]~q\ & (\WideAnd3265~0_combout\ & \led_flash_cnt[3265][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3265~1_combout\,
	datab => \led_flash_cnt[3265][0]~q\,
	datac => \WideAnd3265~0_combout\,
	datad => \led_flash_cnt[3265][7]~q\,
	combout => \WideAnd3265~combout\);

-- Location: FF_X34_Y25_N29
\led_flash_cnt_ands[3265]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3265~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3265));

-- Location: LCCOMB_X34_Y25_N16
\WideAnd4248~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4248~0_combout\ = (led_flash_cnt_ands(3267) & (led_flash_cnt_ands(3266) & (led_flash_cnt_ands(3264) & led_flash_cnt_ands(3265))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3267),
	datab => led_flash_cnt_ands(3266),
	datac => led_flash_cnt_ands(3264),
	datad => led_flash_cnt_ands(3265),
	combout => \WideAnd4248~0_combout\);

-- Location: LCCOMB_X35_Y23_N6
\led_flash_cnt[3271][0]~83911\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3271][0]~83911_combout\ = !\led_flash_cnt[3271][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3271][0]~q\,
	combout => \led_flash_cnt[3271][0]~83911_combout\);

-- Location: FF_X35_Y23_N7
\led_flash_cnt[3271][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3271][0]~83911_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3271][0]~q\);

-- Location: LCCOMB_X35_Y20_N18
\led_flash_cnt[3271][1]~72674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3271][1]~72674_combout\ = (\led_flash_cnt[3271][0]~q\ & (\led_flash_cnt[3271][1]~q\ $ (VCC))) # (!\led_flash_cnt[3271][0]~q\ & (\led_flash_cnt[3271][1]~q\ & VCC))
-- \led_flash_cnt[3271][1]~72675\ = CARRY((\led_flash_cnt[3271][0]~q\ & \led_flash_cnt[3271][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3271][0]~q\,
	datab => \led_flash_cnt[3271][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3271][1]~72674_combout\,
	cout => \led_flash_cnt[3271][1]~72675\);

-- Location: FF_X35_Y20_N19
\led_flash_cnt[3271][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3271][1]~72674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3271][1]~q\);

-- Location: LCCOMB_X35_Y20_N20
\led_flash_cnt[3271][2]~72676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3271][2]~72676_combout\ = (\led_flash_cnt[3271][2]~q\ & (!\led_flash_cnt[3271][1]~72675\)) # (!\led_flash_cnt[3271][2]~q\ & ((\led_flash_cnt[3271][1]~72675\) # (GND)))
-- \led_flash_cnt[3271][2]~72677\ = CARRY((!\led_flash_cnt[3271][1]~72675\) # (!\led_flash_cnt[3271][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3271][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3271][1]~72675\,
	combout => \led_flash_cnt[3271][2]~72676_combout\,
	cout => \led_flash_cnt[3271][2]~72677\);

-- Location: FF_X35_Y20_N21
\led_flash_cnt[3271][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3271][2]~72676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3271][2]~q\);

-- Location: LCCOMB_X35_Y20_N22
\led_flash_cnt[3271][3]~72678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3271][3]~72678_combout\ = (\led_flash_cnt[3271][3]~q\ & (\led_flash_cnt[3271][2]~72677\ $ (GND))) # (!\led_flash_cnt[3271][3]~q\ & (!\led_flash_cnt[3271][2]~72677\ & VCC))
-- \led_flash_cnt[3271][3]~72679\ = CARRY((\led_flash_cnt[3271][3]~q\ & !\led_flash_cnt[3271][2]~72677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3271][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3271][2]~72677\,
	combout => \led_flash_cnt[3271][3]~72678_combout\,
	cout => \led_flash_cnt[3271][3]~72679\);

-- Location: FF_X35_Y20_N23
\led_flash_cnt[3271][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3271][3]~72678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3271][3]~q\);

-- Location: LCCOMB_X35_Y20_N24
\led_flash_cnt[3271][4]~72680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3271][4]~72680_combout\ = (\led_flash_cnt[3271][4]~q\ & (!\led_flash_cnt[3271][3]~72679\)) # (!\led_flash_cnt[3271][4]~q\ & ((\led_flash_cnt[3271][3]~72679\) # (GND)))
-- \led_flash_cnt[3271][4]~72681\ = CARRY((!\led_flash_cnt[3271][3]~72679\) # (!\led_flash_cnt[3271][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3271][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3271][3]~72679\,
	combout => \led_flash_cnt[3271][4]~72680_combout\,
	cout => \led_flash_cnt[3271][4]~72681\);

-- Location: FF_X35_Y20_N25
\led_flash_cnt[3271][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3271][4]~72680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3271][4]~q\);

-- Location: LCCOMB_X35_Y20_N26
\led_flash_cnt[3271][5]~72682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3271][5]~72682_combout\ = (\led_flash_cnt[3271][5]~q\ & (\led_flash_cnt[3271][4]~72681\ $ (GND))) # (!\led_flash_cnt[3271][5]~q\ & (!\led_flash_cnt[3271][4]~72681\ & VCC))
-- \led_flash_cnt[3271][5]~72683\ = CARRY((\led_flash_cnt[3271][5]~q\ & !\led_flash_cnt[3271][4]~72681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3271][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3271][4]~72681\,
	combout => \led_flash_cnt[3271][5]~72682_combout\,
	cout => \led_flash_cnt[3271][5]~72683\);

-- Location: FF_X35_Y20_N27
\led_flash_cnt[3271][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3271][5]~72682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3271][5]~q\);

-- Location: LCCOMB_X35_Y20_N28
\led_flash_cnt[3271][6]~72684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3271][6]~72684_combout\ = (\led_flash_cnt[3271][6]~q\ & (!\led_flash_cnt[3271][5]~72683\)) # (!\led_flash_cnt[3271][6]~q\ & ((\led_flash_cnt[3271][5]~72683\) # (GND)))
-- \led_flash_cnt[3271][6]~72685\ = CARRY((!\led_flash_cnt[3271][5]~72683\) # (!\led_flash_cnt[3271][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3271][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3271][5]~72683\,
	combout => \led_flash_cnt[3271][6]~72684_combout\,
	cout => \led_flash_cnt[3271][6]~72685\);

-- Location: FF_X35_Y20_N29
\led_flash_cnt[3271][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3271][6]~72684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3271][6]~q\);

-- Location: LCCOMB_X35_Y20_N2
\WideAnd3271~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3271~1_combout\ = (\led_flash_cnt[3271][5]~q\ & \led_flash_cnt[3271][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3271][5]~q\,
	datad => \led_flash_cnt[3271][6]~q\,
	combout => \WideAnd3271~1_combout\);

-- Location: LCCOMB_X35_Y20_N0
\WideAnd3271~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3271~0_combout\ = (\led_flash_cnt[3271][1]~q\ & (\led_flash_cnt[3271][4]~q\ & (\led_flash_cnt[3271][3]~q\ & \led_flash_cnt[3271][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3271][1]~q\,
	datab => \led_flash_cnt[3271][4]~q\,
	datac => \led_flash_cnt[3271][3]~q\,
	datad => \led_flash_cnt[3271][2]~q\,
	combout => \WideAnd3271~0_combout\);

-- Location: LCCOMB_X35_Y20_N30
\led_flash_cnt[3271][7]~72686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3271][7]~72686_combout\ = \led_flash_cnt[3271][7]~q\ $ (!\led_flash_cnt[3271][6]~72685\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3271][7]~q\,
	cin => \led_flash_cnt[3271][6]~72685\,
	combout => \led_flash_cnt[3271][7]~72686_combout\);

-- Location: FF_X35_Y20_N31
\led_flash_cnt[3271][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3271][7]~72686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3271][7]~q\);

-- Location: LCCOMB_X35_Y23_N8
WideAnd3271 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3271~combout\ = (\WideAnd3271~1_combout\ & (\WideAnd3271~0_combout\ & (\led_flash_cnt[3271][7]~q\ & \led_flash_cnt[3271][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3271~1_combout\,
	datab => \WideAnd3271~0_combout\,
	datac => \led_flash_cnt[3271][7]~q\,
	datad => \led_flash_cnt[3271][0]~q\,
	combout => \WideAnd3271~combout\);

-- Location: FF_X35_Y23_N9
\led_flash_cnt_ands[3271]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3271~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3271));

-- Location: LCCOMB_X35_Y23_N12
\led_flash_cnt[3270][0]~83910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3270][0]~83910_combout\ = !\led_flash_cnt[3270][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3270][0]~q\,
	combout => \led_flash_cnt[3270][0]~83910_combout\);

-- Location: FF_X35_Y23_N13
\led_flash_cnt[3270][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3270][0]~83910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3270][0]~q\);

-- Location: LCCOMB_X35_Y23_N14
\led_flash_cnt[3270][1]~72660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3270][1]~72660_combout\ = (\led_flash_cnt[3270][0]~q\ & (\led_flash_cnt[3270][1]~q\ $ (VCC))) # (!\led_flash_cnt[3270][0]~q\ & (\led_flash_cnt[3270][1]~q\ & VCC))
-- \led_flash_cnt[3270][1]~72661\ = CARRY((\led_flash_cnt[3270][0]~q\ & \led_flash_cnt[3270][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3270][0]~q\,
	datab => \led_flash_cnt[3270][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3270][1]~72660_combout\,
	cout => \led_flash_cnt[3270][1]~72661\);

-- Location: FF_X35_Y23_N15
\led_flash_cnt[3270][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3270][1]~72660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3270][1]~q\);

-- Location: LCCOMB_X35_Y23_N16
\led_flash_cnt[3270][2]~72662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3270][2]~72662_combout\ = (\led_flash_cnt[3270][2]~q\ & (!\led_flash_cnt[3270][1]~72661\)) # (!\led_flash_cnt[3270][2]~q\ & ((\led_flash_cnt[3270][1]~72661\) # (GND)))
-- \led_flash_cnt[3270][2]~72663\ = CARRY((!\led_flash_cnt[3270][1]~72661\) # (!\led_flash_cnt[3270][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3270][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3270][1]~72661\,
	combout => \led_flash_cnt[3270][2]~72662_combout\,
	cout => \led_flash_cnt[3270][2]~72663\);

-- Location: FF_X35_Y23_N17
\led_flash_cnt[3270][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3270][2]~72662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3270][2]~q\);

-- Location: LCCOMB_X35_Y23_N18
\led_flash_cnt[3270][3]~72664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3270][3]~72664_combout\ = (\led_flash_cnt[3270][3]~q\ & (\led_flash_cnt[3270][2]~72663\ $ (GND))) # (!\led_flash_cnt[3270][3]~q\ & (!\led_flash_cnt[3270][2]~72663\ & VCC))
-- \led_flash_cnt[3270][3]~72665\ = CARRY((\led_flash_cnt[3270][3]~q\ & !\led_flash_cnt[3270][2]~72663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3270][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3270][2]~72663\,
	combout => \led_flash_cnt[3270][3]~72664_combout\,
	cout => \led_flash_cnt[3270][3]~72665\);

-- Location: FF_X35_Y23_N19
\led_flash_cnt[3270][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3270][3]~72664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3270][3]~q\);

-- Location: LCCOMB_X35_Y23_N20
\led_flash_cnt[3270][4]~72666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3270][4]~72666_combout\ = (\led_flash_cnt[3270][4]~q\ & (!\led_flash_cnt[3270][3]~72665\)) # (!\led_flash_cnt[3270][4]~q\ & ((\led_flash_cnt[3270][3]~72665\) # (GND)))
-- \led_flash_cnt[3270][4]~72667\ = CARRY((!\led_flash_cnt[3270][3]~72665\) # (!\led_flash_cnt[3270][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3270][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3270][3]~72665\,
	combout => \led_flash_cnt[3270][4]~72666_combout\,
	cout => \led_flash_cnt[3270][4]~72667\);

-- Location: FF_X35_Y23_N21
\led_flash_cnt[3270][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3270][4]~72666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3270][4]~q\);

-- Location: LCCOMB_X35_Y23_N22
\led_flash_cnt[3270][5]~72668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3270][5]~72668_combout\ = (\led_flash_cnt[3270][5]~q\ & (\led_flash_cnt[3270][4]~72667\ $ (GND))) # (!\led_flash_cnt[3270][5]~q\ & (!\led_flash_cnt[3270][4]~72667\ & VCC))
-- \led_flash_cnt[3270][5]~72669\ = CARRY((\led_flash_cnt[3270][5]~q\ & !\led_flash_cnt[3270][4]~72667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3270][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3270][4]~72667\,
	combout => \led_flash_cnt[3270][5]~72668_combout\,
	cout => \led_flash_cnt[3270][5]~72669\);

-- Location: FF_X35_Y23_N23
\led_flash_cnt[3270][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3270][5]~72668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3270][5]~q\);

-- Location: LCCOMB_X35_Y23_N24
\led_flash_cnt[3270][6]~72670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3270][6]~72670_combout\ = (\led_flash_cnt[3270][6]~q\ & (!\led_flash_cnt[3270][5]~72669\)) # (!\led_flash_cnt[3270][6]~q\ & ((\led_flash_cnt[3270][5]~72669\) # (GND)))
-- \led_flash_cnt[3270][6]~72671\ = CARRY((!\led_flash_cnt[3270][5]~72669\) # (!\led_flash_cnt[3270][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3270][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3270][5]~72669\,
	combout => \led_flash_cnt[3270][6]~72670_combout\,
	cout => \led_flash_cnt[3270][6]~72671\);

-- Location: FF_X35_Y23_N25
\led_flash_cnt[3270][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3270][6]~72670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3270][6]~q\);

-- Location: LCCOMB_X35_Y23_N10
\WideAnd3270~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3270~1_combout\ = (\led_flash_cnt[3270][5]~q\ & \led_flash_cnt[3270][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3270][5]~q\,
	datad => \led_flash_cnt[3270][6]~q\,
	combout => \WideAnd3270~1_combout\);

-- Location: LCCOMB_X35_Y23_N28
\WideAnd3270~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3270~0_combout\ = (\led_flash_cnt[3270][3]~q\ & (\led_flash_cnt[3270][2]~q\ & (\led_flash_cnt[3270][1]~q\ & \led_flash_cnt[3270][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3270][3]~q\,
	datab => \led_flash_cnt[3270][2]~q\,
	datac => \led_flash_cnt[3270][1]~q\,
	datad => \led_flash_cnt[3270][4]~q\,
	combout => \WideAnd3270~0_combout\);

-- Location: LCCOMB_X35_Y23_N26
\led_flash_cnt[3270][7]~72672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3270][7]~72672_combout\ = \led_flash_cnt[3270][7]~q\ $ (!\led_flash_cnt[3270][6]~72671\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3270][7]~q\,
	cin => \led_flash_cnt[3270][6]~72671\,
	combout => \led_flash_cnt[3270][7]~72672_combout\);

-- Location: FF_X35_Y23_N27
\led_flash_cnt[3270][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3270][7]~72672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3270][7]~q\);

-- Location: LCCOMB_X35_Y23_N4
WideAnd3270 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3270~combout\ = (\WideAnd3270~1_combout\ & (\WideAnd3270~0_combout\ & (\led_flash_cnt[3270][7]~q\ & \led_flash_cnt[3270][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3270~1_combout\,
	datab => \WideAnd3270~0_combout\,
	datac => \led_flash_cnt[3270][7]~q\,
	datad => \led_flash_cnt[3270][0]~q\,
	combout => \WideAnd3270~combout\);

-- Location: FF_X35_Y23_N5
\led_flash_cnt_ands[3270]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3270~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3270));

-- Location: LCCOMB_X30_Y31_N2
\led_flash_cnt[3269][0]~83909\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3269][0]~83909_combout\ = !\led_flash_cnt[3269][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3269][0]~q\,
	combout => \led_flash_cnt[3269][0]~83909_combout\);

-- Location: FF_X30_Y31_N3
\led_flash_cnt[3269][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3269][0]~83909_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3269][0]~q\);

-- Location: LCCOMB_X29_Y31_N0
\led_flash_cnt[3269][1]~72646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3269][1]~72646_combout\ = (\led_flash_cnt[3269][0]~q\ & (\led_flash_cnt[3269][1]~q\ $ (VCC))) # (!\led_flash_cnt[3269][0]~q\ & (\led_flash_cnt[3269][1]~q\ & VCC))
-- \led_flash_cnt[3269][1]~72647\ = CARRY((\led_flash_cnt[3269][0]~q\ & \led_flash_cnt[3269][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3269][0]~q\,
	datab => \led_flash_cnt[3269][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3269][1]~72646_combout\,
	cout => \led_flash_cnt[3269][1]~72647\);

-- Location: FF_X29_Y31_N1
\led_flash_cnt[3269][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3269][1]~72646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3269][1]~q\);

-- Location: LCCOMB_X29_Y31_N2
\led_flash_cnt[3269][2]~72648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3269][2]~72648_combout\ = (\led_flash_cnt[3269][2]~q\ & (!\led_flash_cnt[3269][1]~72647\)) # (!\led_flash_cnt[3269][2]~q\ & ((\led_flash_cnt[3269][1]~72647\) # (GND)))
-- \led_flash_cnt[3269][2]~72649\ = CARRY((!\led_flash_cnt[3269][1]~72647\) # (!\led_flash_cnt[3269][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3269][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3269][1]~72647\,
	combout => \led_flash_cnt[3269][2]~72648_combout\,
	cout => \led_flash_cnt[3269][2]~72649\);

-- Location: FF_X29_Y31_N3
\led_flash_cnt[3269][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3269][2]~72648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3269][2]~q\);

-- Location: LCCOMB_X29_Y31_N4
\led_flash_cnt[3269][3]~72650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3269][3]~72650_combout\ = (\led_flash_cnt[3269][3]~q\ & (\led_flash_cnt[3269][2]~72649\ $ (GND))) # (!\led_flash_cnt[3269][3]~q\ & (!\led_flash_cnt[3269][2]~72649\ & VCC))
-- \led_flash_cnt[3269][3]~72651\ = CARRY((\led_flash_cnt[3269][3]~q\ & !\led_flash_cnt[3269][2]~72649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3269][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3269][2]~72649\,
	combout => \led_flash_cnt[3269][3]~72650_combout\,
	cout => \led_flash_cnt[3269][3]~72651\);

-- Location: FF_X29_Y31_N5
\led_flash_cnt[3269][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3269][3]~72650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3269][3]~q\);

-- Location: LCCOMB_X29_Y31_N6
\led_flash_cnt[3269][4]~72652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3269][4]~72652_combout\ = (\led_flash_cnt[3269][4]~q\ & (!\led_flash_cnt[3269][3]~72651\)) # (!\led_flash_cnt[3269][4]~q\ & ((\led_flash_cnt[3269][3]~72651\) # (GND)))
-- \led_flash_cnt[3269][4]~72653\ = CARRY((!\led_flash_cnt[3269][3]~72651\) # (!\led_flash_cnt[3269][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3269][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3269][3]~72651\,
	combout => \led_flash_cnt[3269][4]~72652_combout\,
	cout => \led_flash_cnt[3269][4]~72653\);

-- Location: FF_X29_Y31_N7
\led_flash_cnt[3269][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3269][4]~72652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3269][4]~q\);

-- Location: LCCOMB_X29_Y31_N8
\led_flash_cnt[3269][5]~72654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3269][5]~72654_combout\ = (\led_flash_cnt[3269][5]~q\ & (\led_flash_cnt[3269][4]~72653\ $ (GND))) # (!\led_flash_cnt[3269][5]~q\ & (!\led_flash_cnt[3269][4]~72653\ & VCC))
-- \led_flash_cnt[3269][5]~72655\ = CARRY((\led_flash_cnt[3269][5]~q\ & !\led_flash_cnt[3269][4]~72653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3269][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3269][4]~72653\,
	combout => \led_flash_cnt[3269][5]~72654_combout\,
	cout => \led_flash_cnt[3269][5]~72655\);

-- Location: FF_X29_Y31_N9
\led_flash_cnt[3269][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3269][5]~72654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3269][5]~q\);

-- Location: LCCOMB_X29_Y31_N10
\led_flash_cnt[3269][6]~72656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3269][6]~72656_combout\ = (\led_flash_cnt[3269][6]~q\ & (!\led_flash_cnt[3269][5]~72655\)) # (!\led_flash_cnt[3269][6]~q\ & ((\led_flash_cnt[3269][5]~72655\) # (GND)))
-- \led_flash_cnt[3269][6]~72657\ = CARRY((!\led_flash_cnt[3269][5]~72655\) # (!\led_flash_cnt[3269][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3269][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3269][5]~72655\,
	combout => \led_flash_cnt[3269][6]~72656_combout\,
	cout => \led_flash_cnt[3269][6]~72657\);

-- Location: FF_X29_Y31_N11
\led_flash_cnt[3269][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3269][6]~72656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3269][6]~q\);

-- Location: LCCOMB_X29_Y31_N12
\led_flash_cnt[3269][7]~72658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3269][7]~72658_combout\ = \led_flash_cnt[3269][6]~72657\ $ (!\led_flash_cnt[3269][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3269][7]~q\,
	cin => \led_flash_cnt[3269][6]~72657\,
	combout => \led_flash_cnt[3269][7]~72658_combout\);

-- Location: FF_X29_Y31_N13
\led_flash_cnt[3269][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3269][7]~72658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3269][7]~q\);

-- Location: LCCOMB_X30_Y31_N24
\WideAnd3269~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3269~1_combout\ = (\led_flash_cnt[3269][6]~q\ & \led_flash_cnt[3269][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3269][6]~q\,
	datad => \led_flash_cnt[3269][5]~q\,
	combout => \WideAnd3269~1_combout\);

-- Location: LCCOMB_X29_Y31_N14
\WideAnd3269~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3269~0_combout\ = (\led_flash_cnt[3269][4]~q\ & (\led_flash_cnt[3269][2]~q\ & (\led_flash_cnt[3269][3]~q\ & \led_flash_cnt[3269][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3269][4]~q\,
	datab => \led_flash_cnt[3269][2]~q\,
	datac => \led_flash_cnt[3269][3]~q\,
	datad => \led_flash_cnt[3269][1]~q\,
	combout => \WideAnd3269~0_combout\);

-- Location: LCCOMB_X30_Y31_N4
WideAnd3269 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3269~combout\ = (\led_flash_cnt[3269][7]~q\ & (\WideAnd3269~1_combout\ & (\led_flash_cnt[3269][0]~q\ & \WideAnd3269~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3269][7]~q\,
	datab => \WideAnd3269~1_combout\,
	datac => \led_flash_cnt[3269][0]~q\,
	datad => \WideAnd3269~0_combout\,
	combout => \WideAnd3269~combout\);

-- Location: FF_X30_Y31_N5
\led_flash_cnt_ands[3269]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3269~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3269));

-- Location: LCCOMB_X31_Y31_N28
\led_flash_cnt[3268][0]~83908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3268][0]~83908_combout\ = !\led_flash_cnt[3268][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3268][0]~q\,
	combout => \led_flash_cnt[3268][0]~83908_combout\);

-- Location: FF_X31_Y31_N29
\led_flash_cnt[3268][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3268][0]~83908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3268][0]~q\);

-- Location: LCCOMB_X30_Y31_N6
\led_flash_cnt[3268][1]~72632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3268][1]~72632_combout\ = (\led_flash_cnt[3268][1]~q\ & (\led_flash_cnt[3268][0]~q\ $ (VCC))) # (!\led_flash_cnt[3268][1]~q\ & (\led_flash_cnt[3268][0]~q\ & VCC))
-- \led_flash_cnt[3268][1]~72633\ = CARRY((\led_flash_cnt[3268][1]~q\ & \led_flash_cnt[3268][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3268][1]~q\,
	datab => \led_flash_cnt[3268][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3268][1]~72632_combout\,
	cout => \led_flash_cnt[3268][1]~72633\);

-- Location: FF_X30_Y31_N7
\led_flash_cnt[3268][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3268][1]~72632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3268][1]~q\);

-- Location: LCCOMB_X30_Y31_N8
\led_flash_cnt[3268][2]~72634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3268][2]~72634_combout\ = (\led_flash_cnt[3268][2]~q\ & (!\led_flash_cnt[3268][1]~72633\)) # (!\led_flash_cnt[3268][2]~q\ & ((\led_flash_cnt[3268][1]~72633\) # (GND)))
-- \led_flash_cnt[3268][2]~72635\ = CARRY((!\led_flash_cnt[3268][1]~72633\) # (!\led_flash_cnt[3268][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3268][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3268][1]~72633\,
	combout => \led_flash_cnt[3268][2]~72634_combout\,
	cout => \led_flash_cnt[3268][2]~72635\);

-- Location: FF_X30_Y31_N9
\led_flash_cnt[3268][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3268][2]~72634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3268][2]~q\);

-- Location: LCCOMB_X30_Y31_N10
\led_flash_cnt[3268][3]~72636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3268][3]~72636_combout\ = (\led_flash_cnt[3268][3]~q\ & (\led_flash_cnt[3268][2]~72635\ $ (GND))) # (!\led_flash_cnt[3268][3]~q\ & (!\led_flash_cnt[3268][2]~72635\ & VCC))
-- \led_flash_cnt[3268][3]~72637\ = CARRY((\led_flash_cnt[3268][3]~q\ & !\led_flash_cnt[3268][2]~72635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3268][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3268][2]~72635\,
	combout => \led_flash_cnt[3268][3]~72636_combout\,
	cout => \led_flash_cnt[3268][3]~72637\);

-- Location: FF_X30_Y31_N11
\led_flash_cnt[3268][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3268][3]~72636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3268][3]~q\);

-- Location: LCCOMB_X30_Y31_N12
\led_flash_cnt[3268][4]~72638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3268][4]~72638_combout\ = (\led_flash_cnt[3268][4]~q\ & (!\led_flash_cnt[3268][3]~72637\)) # (!\led_flash_cnt[3268][4]~q\ & ((\led_flash_cnt[3268][3]~72637\) # (GND)))
-- \led_flash_cnt[3268][4]~72639\ = CARRY((!\led_flash_cnt[3268][3]~72637\) # (!\led_flash_cnt[3268][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3268][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3268][3]~72637\,
	combout => \led_flash_cnt[3268][4]~72638_combout\,
	cout => \led_flash_cnt[3268][4]~72639\);

-- Location: FF_X30_Y31_N13
\led_flash_cnt[3268][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3268][4]~72638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3268][4]~q\);

-- Location: LCCOMB_X30_Y31_N14
\led_flash_cnt[3268][5]~72640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3268][5]~72640_combout\ = (\led_flash_cnt[3268][5]~q\ & (\led_flash_cnt[3268][4]~72639\ $ (GND))) # (!\led_flash_cnt[3268][5]~q\ & (!\led_flash_cnt[3268][4]~72639\ & VCC))
-- \led_flash_cnt[3268][5]~72641\ = CARRY((\led_flash_cnt[3268][5]~q\ & !\led_flash_cnt[3268][4]~72639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3268][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3268][4]~72639\,
	combout => \led_flash_cnt[3268][5]~72640_combout\,
	cout => \led_flash_cnt[3268][5]~72641\);

-- Location: FF_X30_Y31_N15
\led_flash_cnt[3268][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3268][5]~72640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3268][5]~q\);

-- Location: LCCOMB_X30_Y31_N16
\led_flash_cnt[3268][6]~72642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3268][6]~72642_combout\ = (\led_flash_cnt[3268][6]~q\ & (!\led_flash_cnt[3268][5]~72641\)) # (!\led_flash_cnt[3268][6]~q\ & ((\led_flash_cnt[3268][5]~72641\) # (GND)))
-- \led_flash_cnt[3268][6]~72643\ = CARRY((!\led_flash_cnt[3268][5]~72641\) # (!\led_flash_cnt[3268][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3268][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3268][5]~72641\,
	combout => \led_flash_cnt[3268][6]~72642_combout\,
	cout => \led_flash_cnt[3268][6]~72643\);

-- Location: FF_X30_Y31_N17
\led_flash_cnt[3268][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3268][6]~72642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3268][6]~q\);

-- Location: LCCOMB_X30_Y31_N22
\WideAnd3268~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3268~1_combout\ = (\led_flash_cnt[3268][5]~q\ & \led_flash_cnt[3268][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3268][5]~q\,
	datad => \led_flash_cnt[3268][6]~q\,
	combout => \WideAnd3268~1_combout\);

-- Location: LCCOMB_X30_Y31_N20
\WideAnd3268~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3268~0_combout\ = (\led_flash_cnt[3268][1]~q\ & (\led_flash_cnt[3268][3]~q\ & (\led_flash_cnt[3268][2]~q\ & \led_flash_cnt[3268][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3268][1]~q\,
	datab => \led_flash_cnt[3268][3]~q\,
	datac => \led_flash_cnt[3268][2]~q\,
	datad => \led_flash_cnt[3268][4]~q\,
	combout => \WideAnd3268~0_combout\);

-- Location: LCCOMB_X30_Y31_N18
\led_flash_cnt[3268][7]~72644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3268][7]~72644_combout\ = \led_flash_cnt[3268][7]~q\ $ (!\led_flash_cnt[3268][6]~72643\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3268][7]~q\,
	cin => \led_flash_cnt[3268][6]~72643\,
	combout => \led_flash_cnt[3268][7]~72644_combout\);

-- Location: FF_X30_Y31_N19
\led_flash_cnt[3268][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3268][7]~72644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3268][7]~q\);

-- Location: LCCOMB_X30_Y31_N28
WideAnd3268 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3268~combout\ = (\WideAnd3268~1_combout\ & (\WideAnd3268~0_combout\ & (\led_flash_cnt[3268][7]~q\ & \led_flash_cnt[3268][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3268~1_combout\,
	datab => \WideAnd3268~0_combout\,
	datac => \led_flash_cnt[3268][7]~q\,
	datad => \led_flash_cnt[3268][0]~q\,
	combout => \WideAnd3268~combout\);

-- Location: FF_X30_Y31_N29
\led_flash_cnt_ands[3268]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3268~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3268));

-- Location: LCCOMB_X30_Y31_N30
\WideAnd4248~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4248~1_combout\ = (led_flash_cnt_ands(3269) & led_flash_cnt_ands(3268))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3269),
	datad => led_flash_cnt_ands(3268),
	combout => \WideAnd4248~1_combout\);

-- Location: LCCOMB_X35_Y23_N30
WideAnd4248 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4248~combout\ = (\WideAnd4248~0_combout\ & (led_flash_cnt_ands(3271) & (led_flash_cnt_ands(3270) & \WideAnd4248~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4248~0_combout\,
	datab => led_flash_cnt_ands(3271),
	datac => led_flash_cnt_ands(3270),
	datad => \WideAnd4248~1_combout\,
	combout => \WideAnd4248~combout\);

-- Location: FF_X35_Y23_N31
\led_flash_cnt_ands_1[408]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4248~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(408));

-- Location: LCCOMB_X46_Y46_N6
\led_flash_cnt[3287][0]~83927\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3287][0]~83927_combout\ = !\led_flash_cnt[3287][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3287][0]~q\,
	combout => \led_flash_cnt[3287][0]~83927_combout\);

-- Location: FF_X46_Y46_N7
\led_flash_cnt[3287][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3287][0]~83927_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3287][0]~q\);

-- Location: LCCOMB_X47_Y46_N16
\led_flash_cnt[3287][1]~72898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3287][1]~72898_combout\ = (\led_flash_cnt[3287][0]~q\ & (\led_flash_cnt[3287][1]~q\ $ (VCC))) # (!\led_flash_cnt[3287][0]~q\ & (\led_flash_cnt[3287][1]~q\ & VCC))
-- \led_flash_cnt[3287][1]~72899\ = CARRY((\led_flash_cnt[3287][0]~q\ & \led_flash_cnt[3287][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3287][0]~q\,
	datab => \led_flash_cnt[3287][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3287][1]~72898_combout\,
	cout => \led_flash_cnt[3287][1]~72899\);

-- Location: FF_X47_Y46_N17
\led_flash_cnt[3287][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3287][1]~72898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3287][1]~q\);

-- Location: LCCOMB_X47_Y46_N18
\led_flash_cnt[3287][2]~72900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3287][2]~72900_combout\ = (\led_flash_cnt[3287][2]~q\ & (!\led_flash_cnt[3287][1]~72899\)) # (!\led_flash_cnt[3287][2]~q\ & ((\led_flash_cnt[3287][1]~72899\) # (GND)))
-- \led_flash_cnt[3287][2]~72901\ = CARRY((!\led_flash_cnt[3287][1]~72899\) # (!\led_flash_cnt[3287][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3287][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3287][1]~72899\,
	combout => \led_flash_cnt[3287][2]~72900_combout\,
	cout => \led_flash_cnt[3287][2]~72901\);

-- Location: FF_X47_Y46_N19
\led_flash_cnt[3287][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3287][2]~72900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3287][2]~q\);

-- Location: LCCOMB_X47_Y46_N20
\led_flash_cnt[3287][3]~72902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3287][3]~72902_combout\ = (\led_flash_cnt[3287][3]~q\ & (\led_flash_cnt[3287][2]~72901\ $ (GND))) # (!\led_flash_cnt[3287][3]~q\ & (!\led_flash_cnt[3287][2]~72901\ & VCC))
-- \led_flash_cnt[3287][3]~72903\ = CARRY((\led_flash_cnt[3287][3]~q\ & !\led_flash_cnt[3287][2]~72901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3287][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3287][2]~72901\,
	combout => \led_flash_cnt[3287][3]~72902_combout\,
	cout => \led_flash_cnt[3287][3]~72903\);

-- Location: FF_X47_Y46_N21
\led_flash_cnt[3287][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3287][3]~72902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3287][3]~q\);

-- Location: LCCOMB_X47_Y46_N22
\led_flash_cnt[3287][4]~72904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3287][4]~72904_combout\ = (\led_flash_cnt[3287][4]~q\ & (!\led_flash_cnt[3287][3]~72903\)) # (!\led_flash_cnt[3287][4]~q\ & ((\led_flash_cnt[3287][3]~72903\) # (GND)))
-- \led_flash_cnt[3287][4]~72905\ = CARRY((!\led_flash_cnt[3287][3]~72903\) # (!\led_flash_cnt[3287][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3287][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3287][3]~72903\,
	combout => \led_flash_cnt[3287][4]~72904_combout\,
	cout => \led_flash_cnt[3287][4]~72905\);

-- Location: FF_X47_Y46_N23
\led_flash_cnt[3287][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3287][4]~72904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3287][4]~q\);

-- Location: LCCOMB_X47_Y46_N24
\led_flash_cnt[3287][5]~72906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3287][5]~72906_combout\ = (\led_flash_cnt[3287][5]~q\ & (\led_flash_cnt[3287][4]~72905\ $ (GND))) # (!\led_flash_cnt[3287][5]~q\ & (!\led_flash_cnt[3287][4]~72905\ & VCC))
-- \led_flash_cnt[3287][5]~72907\ = CARRY((\led_flash_cnt[3287][5]~q\ & !\led_flash_cnt[3287][4]~72905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3287][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3287][4]~72905\,
	combout => \led_flash_cnt[3287][5]~72906_combout\,
	cout => \led_flash_cnt[3287][5]~72907\);

-- Location: FF_X47_Y46_N25
\led_flash_cnt[3287][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3287][5]~72906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3287][5]~q\);

-- Location: LCCOMB_X47_Y46_N26
\led_flash_cnt[3287][6]~72908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3287][6]~72908_combout\ = (\led_flash_cnt[3287][6]~q\ & (!\led_flash_cnt[3287][5]~72907\)) # (!\led_flash_cnt[3287][6]~q\ & ((\led_flash_cnt[3287][5]~72907\) # (GND)))
-- \led_flash_cnt[3287][6]~72909\ = CARRY((!\led_flash_cnt[3287][5]~72907\) # (!\led_flash_cnt[3287][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3287][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3287][5]~72907\,
	combout => \led_flash_cnt[3287][6]~72908_combout\,
	cout => \led_flash_cnt[3287][6]~72909\);

-- Location: FF_X47_Y46_N27
\led_flash_cnt[3287][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3287][6]~72908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3287][6]~q\);

-- Location: LCCOMB_X47_Y46_N28
\led_flash_cnt[3287][7]~72910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3287][7]~72910_combout\ = \led_flash_cnt[3287][6]~72909\ $ (!\led_flash_cnt[3287][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3287][7]~q\,
	cin => \led_flash_cnt[3287][6]~72909\,
	combout => \led_flash_cnt[3287][7]~72910_combout\);

-- Location: FF_X47_Y46_N29
\led_flash_cnt[3287][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3287][7]~72910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3287][7]~q\);

-- Location: LCCOMB_X47_Y46_N14
\WideAnd3287~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3287~0_combout\ = (\led_flash_cnt[3287][3]~q\ & (\led_flash_cnt[3287][1]~q\ & (\led_flash_cnt[3287][4]~q\ & \led_flash_cnt[3287][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3287][3]~q\,
	datab => \led_flash_cnt[3287][1]~q\,
	datac => \led_flash_cnt[3287][4]~q\,
	datad => \led_flash_cnt[3287][2]~q\,
	combout => \WideAnd3287~0_combout\);

-- Location: LCCOMB_X49_Y46_N14
\WideAnd3287~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3287~1_combout\ = (\led_flash_cnt[3287][6]~q\ & \led_flash_cnt[3287][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3287][6]~q\,
	datad => \led_flash_cnt[3287][5]~q\,
	combout => \WideAnd3287~1_combout\);

-- Location: LCCOMB_X46_Y46_N26
WideAnd3287 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3287~combout\ = (\led_flash_cnt[3287][0]~q\ & (\led_flash_cnt[3287][7]~q\ & (\WideAnd3287~0_combout\ & \WideAnd3287~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3287][0]~q\,
	datab => \led_flash_cnt[3287][7]~q\,
	datac => \WideAnd3287~0_combout\,
	datad => \WideAnd3287~1_combout\,
	combout => \WideAnd3287~combout\);

-- Location: FF_X46_Y46_N27
\led_flash_cnt_ands[3287]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3287~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3287));

-- Location: LCCOMB_X46_Y52_N30
\led_flash_cnt[3283][0]~83923\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3283][0]~83923_combout\ = !\led_flash_cnt[3283][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3283][0]~q\,
	combout => \led_flash_cnt[3283][0]~83923_combout\);

-- Location: FF_X46_Y52_N31
\led_flash_cnt[3283][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3283][0]~83923_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3283][0]~q\);

-- Location: LCCOMB_X46_Y52_N16
\led_flash_cnt[3283][1]~72842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3283][1]~72842_combout\ = (\led_flash_cnt[3283][0]~q\ & (\led_flash_cnt[3283][1]~q\ $ (VCC))) # (!\led_flash_cnt[3283][0]~q\ & (\led_flash_cnt[3283][1]~q\ & VCC))
-- \led_flash_cnt[3283][1]~72843\ = CARRY((\led_flash_cnt[3283][0]~q\ & \led_flash_cnt[3283][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3283][0]~q\,
	datab => \led_flash_cnt[3283][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3283][1]~72842_combout\,
	cout => \led_flash_cnt[3283][1]~72843\);

-- Location: FF_X46_Y52_N17
\led_flash_cnt[3283][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3283][1]~72842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3283][1]~q\);

-- Location: LCCOMB_X46_Y52_N18
\led_flash_cnt[3283][2]~72844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3283][2]~72844_combout\ = (\led_flash_cnt[3283][2]~q\ & (!\led_flash_cnt[3283][1]~72843\)) # (!\led_flash_cnt[3283][2]~q\ & ((\led_flash_cnt[3283][1]~72843\) # (GND)))
-- \led_flash_cnt[3283][2]~72845\ = CARRY((!\led_flash_cnt[3283][1]~72843\) # (!\led_flash_cnt[3283][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3283][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3283][1]~72843\,
	combout => \led_flash_cnt[3283][2]~72844_combout\,
	cout => \led_flash_cnt[3283][2]~72845\);

-- Location: FF_X46_Y52_N19
\led_flash_cnt[3283][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3283][2]~72844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3283][2]~q\);

-- Location: LCCOMB_X46_Y52_N20
\led_flash_cnt[3283][3]~72846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3283][3]~72846_combout\ = (\led_flash_cnt[3283][3]~q\ & (\led_flash_cnt[3283][2]~72845\ $ (GND))) # (!\led_flash_cnt[3283][3]~q\ & (!\led_flash_cnt[3283][2]~72845\ & VCC))
-- \led_flash_cnt[3283][3]~72847\ = CARRY((\led_flash_cnt[3283][3]~q\ & !\led_flash_cnt[3283][2]~72845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3283][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3283][2]~72845\,
	combout => \led_flash_cnt[3283][3]~72846_combout\,
	cout => \led_flash_cnt[3283][3]~72847\);

-- Location: FF_X46_Y52_N21
\led_flash_cnt[3283][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3283][3]~72846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3283][3]~q\);

-- Location: LCCOMB_X46_Y52_N22
\led_flash_cnt[3283][4]~72848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3283][4]~72848_combout\ = (\led_flash_cnt[3283][4]~q\ & (!\led_flash_cnt[3283][3]~72847\)) # (!\led_flash_cnt[3283][4]~q\ & ((\led_flash_cnt[3283][3]~72847\) # (GND)))
-- \led_flash_cnt[3283][4]~72849\ = CARRY((!\led_flash_cnt[3283][3]~72847\) # (!\led_flash_cnt[3283][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3283][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3283][3]~72847\,
	combout => \led_flash_cnt[3283][4]~72848_combout\,
	cout => \led_flash_cnt[3283][4]~72849\);

-- Location: FF_X46_Y52_N23
\led_flash_cnt[3283][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3283][4]~72848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3283][4]~q\);

-- Location: LCCOMB_X46_Y52_N24
\led_flash_cnt[3283][5]~72850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3283][5]~72850_combout\ = (\led_flash_cnt[3283][5]~q\ & (\led_flash_cnt[3283][4]~72849\ $ (GND))) # (!\led_flash_cnt[3283][5]~q\ & (!\led_flash_cnt[3283][4]~72849\ & VCC))
-- \led_flash_cnt[3283][5]~72851\ = CARRY((\led_flash_cnt[3283][5]~q\ & !\led_flash_cnt[3283][4]~72849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3283][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3283][4]~72849\,
	combout => \led_flash_cnt[3283][5]~72850_combout\,
	cout => \led_flash_cnt[3283][5]~72851\);

-- Location: FF_X46_Y52_N25
\led_flash_cnt[3283][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3283][5]~72850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3283][5]~q\);

-- Location: LCCOMB_X46_Y52_N26
\led_flash_cnt[3283][6]~72852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3283][6]~72852_combout\ = (\led_flash_cnt[3283][6]~q\ & (!\led_flash_cnt[3283][5]~72851\)) # (!\led_flash_cnt[3283][6]~q\ & ((\led_flash_cnt[3283][5]~72851\) # (GND)))
-- \led_flash_cnt[3283][6]~72853\ = CARRY((!\led_flash_cnt[3283][5]~72851\) # (!\led_flash_cnt[3283][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3283][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3283][5]~72851\,
	combout => \led_flash_cnt[3283][6]~72852_combout\,
	cout => \led_flash_cnt[3283][6]~72853\);

-- Location: FF_X46_Y52_N27
\led_flash_cnt[3283][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3283][6]~72852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3283][6]~q\);

-- Location: LCCOMB_X46_Y52_N28
\led_flash_cnt[3283][7]~72854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3283][7]~72854_combout\ = \led_flash_cnt[3283][6]~72853\ $ (!\led_flash_cnt[3283][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3283][7]~q\,
	cin => \led_flash_cnt[3283][6]~72853\,
	combout => \led_flash_cnt[3283][7]~72854_combout\);

-- Location: FF_X46_Y52_N29
\led_flash_cnt[3283][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3283][7]~72854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3283][7]~q\);

-- Location: LCCOMB_X46_Y52_N8
\WideAnd3283~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3283~1_combout\ = (\led_flash_cnt[3283][6]~q\ & \led_flash_cnt[3283][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3283][6]~q\,
	datad => \led_flash_cnt[3283][5]~q\,
	combout => \WideAnd3283~1_combout\);

-- Location: LCCOMB_X46_Y52_N0
\WideAnd3283~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3283~0_combout\ = (\led_flash_cnt[3283][3]~q\ & (\led_flash_cnt[3283][2]~q\ & (\led_flash_cnt[3283][4]~q\ & \led_flash_cnt[3283][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3283][3]~q\,
	datab => \led_flash_cnt[3283][2]~q\,
	datac => \led_flash_cnt[3283][4]~q\,
	datad => \led_flash_cnt[3283][1]~q\,
	combout => \WideAnd3283~0_combout\);

-- Location: LCCOMB_X46_Y52_N6
WideAnd3283 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3283~combout\ = (\led_flash_cnt[3283][0]~q\ & (\led_flash_cnt[3283][7]~q\ & (\WideAnd3283~1_combout\ & \WideAnd3283~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3283][0]~q\,
	datab => \led_flash_cnt[3283][7]~q\,
	datac => \WideAnd3283~1_combout\,
	datad => \WideAnd3283~0_combout\,
	combout => \WideAnd3283~combout\);

-- Location: FF_X46_Y52_N7
\led_flash_cnt_ands[3283]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3283~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3283));

-- Location: LCCOMB_X44_Y46_N0
\led_flash_cnt[3282][0]~83922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3282][0]~83922_combout\ = !\led_flash_cnt[3282][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3282][0]~q\,
	combout => \led_flash_cnt[3282][0]~83922_combout\);

-- Location: FF_X44_Y46_N1
\led_flash_cnt[3282][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3282][0]~83922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3282][0]~q\);

-- Location: LCCOMB_X44_Y46_N18
\led_flash_cnt[3282][1]~72828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3282][1]~72828_combout\ = (\led_flash_cnt[3282][1]~q\ & (\led_flash_cnt[3282][0]~q\ $ (VCC))) # (!\led_flash_cnt[3282][1]~q\ & (\led_flash_cnt[3282][0]~q\ & VCC))
-- \led_flash_cnt[3282][1]~72829\ = CARRY((\led_flash_cnt[3282][1]~q\ & \led_flash_cnt[3282][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3282][1]~q\,
	datab => \led_flash_cnt[3282][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3282][1]~72828_combout\,
	cout => \led_flash_cnt[3282][1]~72829\);

-- Location: FF_X44_Y46_N19
\led_flash_cnt[3282][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3282][1]~72828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3282][1]~q\);

-- Location: LCCOMB_X44_Y46_N20
\led_flash_cnt[3282][2]~72830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3282][2]~72830_combout\ = (\led_flash_cnt[3282][2]~q\ & (!\led_flash_cnt[3282][1]~72829\)) # (!\led_flash_cnt[3282][2]~q\ & ((\led_flash_cnt[3282][1]~72829\) # (GND)))
-- \led_flash_cnt[3282][2]~72831\ = CARRY((!\led_flash_cnt[3282][1]~72829\) # (!\led_flash_cnt[3282][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3282][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3282][1]~72829\,
	combout => \led_flash_cnt[3282][2]~72830_combout\,
	cout => \led_flash_cnt[3282][2]~72831\);

-- Location: FF_X44_Y46_N21
\led_flash_cnt[3282][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3282][2]~72830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3282][2]~q\);

-- Location: LCCOMB_X44_Y46_N22
\led_flash_cnt[3282][3]~72832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3282][3]~72832_combout\ = (\led_flash_cnt[3282][3]~q\ & (\led_flash_cnt[3282][2]~72831\ $ (GND))) # (!\led_flash_cnt[3282][3]~q\ & (!\led_flash_cnt[3282][2]~72831\ & VCC))
-- \led_flash_cnt[3282][3]~72833\ = CARRY((\led_flash_cnt[3282][3]~q\ & !\led_flash_cnt[3282][2]~72831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3282][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3282][2]~72831\,
	combout => \led_flash_cnt[3282][3]~72832_combout\,
	cout => \led_flash_cnt[3282][3]~72833\);

-- Location: FF_X44_Y46_N23
\led_flash_cnt[3282][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3282][3]~72832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3282][3]~q\);

-- Location: LCCOMB_X44_Y46_N24
\led_flash_cnt[3282][4]~72834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3282][4]~72834_combout\ = (\led_flash_cnt[3282][4]~q\ & (!\led_flash_cnt[3282][3]~72833\)) # (!\led_flash_cnt[3282][4]~q\ & ((\led_flash_cnt[3282][3]~72833\) # (GND)))
-- \led_flash_cnt[3282][4]~72835\ = CARRY((!\led_flash_cnt[3282][3]~72833\) # (!\led_flash_cnt[3282][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3282][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3282][3]~72833\,
	combout => \led_flash_cnt[3282][4]~72834_combout\,
	cout => \led_flash_cnt[3282][4]~72835\);

-- Location: FF_X44_Y46_N25
\led_flash_cnt[3282][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3282][4]~72834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3282][4]~q\);

-- Location: LCCOMB_X44_Y46_N26
\led_flash_cnt[3282][5]~72836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3282][5]~72836_combout\ = (\led_flash_cnt[3282][5]~q\ & (\led_flash_cnt[3282][4]~72835\ $ (GND))) # (!\led_flash_cnt[3282][5]~q\ & (!\led_flash_cnt[3282][4]~72835\ & VCC))
-- \led_flash_cnt[3282][5]~72837\ = CARRY((\led_flash_cnt[3282][5]~q\ & !\led_flash_cnt[3282][4]~72835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3282][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3282][4]~72835\,
	combout => \led_flash_cnt[3282][5]~72836_combout\,
	cout => \led_flash_cnt[3282][5]~72837\);

-- Location: FF_X44_Y46_N27
\led_flash_cnt[3282][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3282][5]~72836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3282][5]~q\);

-- Location: LCCOMB_X44_Y46_N28
\led_flash_cnt[3282][6]~72838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3282][6]~72838_combout\ = (\led_flash_cnt[3282][6]~q\ & (!\led_flash_cnt[3282][5]~72837\)) # (!\led_flash_cnt[3282][6]~q\ & ((\led_flash_cnt[3282][5]~72837\) # (GND)))
-- \led_flash_cnt[3282][6]~72839\ = CARRY((!\led_flash_cnt[3282][5]~72837\) # (!\led_flash_cnt[3282][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3282][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3282][5]~72837\,
	combout => \led_flash_cnt[3282][6]~72838_combout\,
	cout => \led_flash_cnt[3282][6]~72839\);

-- Location: FF_X44_Y46_N29
\led_flash_cnt[3282][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3282][6]~72838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3282][6]~q\);

-- Location: LCCOMB_X44_Y46_N30
\led_flash_cnt[3282][7]~72840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3282][7]~72840_combout\ = \led_flash_cnt[3282][7]~q\ $ (!\led_flash_cnt[3282][6]~72839\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3282][7]~q\,
	cin => \led_flash_cnt[3282][6]~72839\,
	combout => \led_flash_cnt[3282][7]~72840_combout\);

-- Location: FF_X44_Y46_N31
\led_flash_cnt[3282][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3282][7]~72840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3282][7]~q\);

-- Location: LCCOMB_X44_Y46_N16
\WideAnd3282~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3282~0_combout\ = (\led_flash_cnt[3282][1]~q\ & (\led_flash_cnt[3282][4]~q\ & (\led_flash_cnt[3282][3]~q\ & \led_flash_cnt[3282][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3282][1]~q\,
	datab => \led_flash_cnt[3282][4]~q\,
	datac => \led_flash_cnt[3282][3]~q\,
	datad => \led_flash_cnt[3282][2]~q\,
	combout => \WideAnd3282~0_combout\);

-- Location: LCCOMB_X44_Y46_N4
\WideAnd3282~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3282~1_combout\ = (\led_flash_cnt[3282][5]~q\ & \led_flash_cnt[3282][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3282][5]~q\,
	datad => \led_flash_cnt[3282][6]~q\,
	combout => \WideAnd3282~1_combout\);

-- Location: LCCOMB_X44_Y46_N2
WideAnd3282 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3282~combout\ = (\led_flash_cnt[3282][7]~q\ & (\WideAnd3282~0_combout\ & (\WideAnd3282~1_combout\ & \led_flash_cnt[3282][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3282][7]~q\,
	datab => \WideAnd3282~0_combout\,
	datac => \WideAnd3282~1_combout\,
	datad => \led_flash_cnt[3282][0]~q\,
	combout => \WideAnd3282~combout\);

-- Location: FF_X44_Y46_N3
\led_flash_cnt_ands[3282]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3282~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3282));

-- Location: LCCOMB_X42_Y23_N22
\led_flash_cnt[3280][0]~83920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3280][0]~83920_combout\ = !\led_flash_cnt[3280][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3280][0]~q\,
	combout => \led_flash_cnt[3280][0]~83920_combout\);

-- Location: FF_X42_Y23_N23
\led_flash_cnt[3280][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3280][0]~83920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3280][0]~q\);

-- Location: LCCOMB_X42_Y23_N2
\led_flash_cnt[3280][1]~72800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3280][1]~72800_combout\ = (\led_flash_cnt[3280][0]~q\ & (\led_flash_cnt[3280][1]~q\ $ (VCC))) # (!\led_flash_cnt[3280][0]~q\ & (\led_flash_cnt[3280][1]~q\ & VCC))
-- \led_flash_cnt[3280][1]~72801\ = CARRY((\led_flash_cnt[3280][0]~q\ & \led_flash_cnt[3280][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3280][0]~q\,
	datab => \led_flash_cnt[3280][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3280][1]~72800_combout\,
	cout => \led_flash_cnt[3280][1]~72801\);

-- Location: FF_X42_Y23_N3
\led_flash_cnt[3280][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3280][1]~72800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3280][1]~q\);

-- Location: LCCOMB_X42_Y23_N4
\led_flash_cnt[3280][2]~72802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3280][2]~72802_combout\ = (\led_flash_cnt[3280][2]~q\ & (!\led_flash_cnt[3280][1]~72801\)) # (!\led_flash_cnt[3280][2]~q\ & ((\led_flash_cnt[3280][1]~72801\) # (GND)))
-- \led_flash_cnt[3280][2]~72803\ = CARRY((!\led_flash_cnt[3280][1]~72801\) # (!\led_flash_cnt[3280][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3280][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3280][1]~72801\,
	combout => \led_flash_cnt[3280][2]~72802_combout\,
	cout => \led_flash_cnt[3280][2]~72803\);

-- Location: FF_X42_Y23_N5
\led_flash_cnt[3280][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3280][2]~72802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3280][2]~q\);

-- Location: LCCOMB_X42_Y23_N6
\led_flash_cnt[3280][3]~72804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3280][3]~72804_combout\ = (\led_flash_cnt[3280][3]~q\ & (\led_flash_cnt[3280][2]~72803\ $ (GND))) # (!\led_flash_cnt[3280][3]~q\ & (!\led_flash_cnt[3280][2]~72803\ & VCC))
-- \led_flash_cnt[3280][3]~72805\ = CARRY((\led_flash_cnt[3280][3]~q\ & !\led_flash_cnt[3280][2]~72803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3280][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3280][2]~72803\,
	combout => \led_flash_cnt[3280][3]~72804_combout\,
	cout => \led_flash_cnt[3280][3]~72805\);

-- Location: FF_X42_Y23_N7
\led_flash_cnt[3280][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3280][3]~72804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3280][3]~q\);

-- Location: LCCOMB_X42_Y23_N8
\led_flash_cnt[3280][4]~72806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3280][4]~72806_combout\ = (\led_flash_cnt[3280][4]~q\ & (!\led_flash_cnt[3280][3]~72805\)) # (!\led_flash_cnt[3280][4]~q\ & ((\led_flash_cnt[3280][3]~72805\) # (GND)))
-- \led_flash_cnt[3280][4]~72807\ = CARRY((!\led_flash_cnt[3280][3]~72805\) # (!\led_flash_cnt[3280][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3280][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3280][3]~72805\,
	combout => \led_flash_cnt[3280][4]~72806_combout\,
	cout => \led_flash_cnt[3280][4]~72807\);

-- Location: FF_X42_Y23_N9
\led_flash_cnt[3280][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3280][4]~72806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3280][4]~q\);

-- Location: LCCOMB_X42_Y23_N10
\led_flash_cnt[3280][5]~72808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3280][5]~72808_combout\ = (\led_flash_cnt[3280][5]~q\ & (\led_flash_cnt[3280][4]~72807\ $ (GND))) # (!\led_flash_cnt[3280][5]~q\ & (!\led_flash_cnt[3280][4]~72807\ & VCC))
-- \led_flash_cnt[3280][5]~72809\ = CARRY((\led_flash_cnt[3280][5]~q\ & !\led_flash_cnt[3280][4]~72807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3280][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3280][4]~72807\,
	combout => \led_flash_cnt[3280][5]~72808_combout\,
	cout => \led_flash_cnt[3280][5]~72809\);

-- Location: FF_X42_Y23_N11
\led_flash_cnt[3280][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3280][5]~72808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3280][5]~q\);

-- Location: LCCOMB_X42_Y23_N12
\led_flash_cnt[3280][6]~72810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3280][6]~72810_combout\ = (\led_flash_cnt[3280][6]~q\ & (!\led_flash_cnt[3280][5]~72809\)) # (!\led_flash_cnt[3280][6]~q\ & ((\led_flash_cnt[3280][5]~72809\) # (GND)))
-- \led_flash_cnt[3280][6]~72811\ = CARRY((!\led_flash_cnt[3280][5]~72809\) # (!\led_flash_cnt[3280][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3280][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3280][5]~72809\,
	combout => \led_flash_cnt[3280][6]~72810_combout\,
	cout => \led_flash_cnt[3280][6]~72811\);

-- Location: FF_X42_Y23_N13
\led_flash_cnt[3280][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3280][6]~72810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3280][6]~q\);

-- Location: LCCOMB_X42_Y23_N26
\WideAnd3280~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3280~1_combout\ = (\led_flash_cnt[3280][6]~q\ & \led_flash_cnt[3280][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3280][6]~q\,
	datad => \led_flash_cnt[3280][5]~q\,
	combout => \WideAnd3280~1_combout\);

-- Location: LCCOMB_X42_Y23_N14
\led_flash_cnt[3280][7]~72812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3280][7]~72812_combout\ = \led_flash_cnt[3280][7]~q\ $ (!\led_flash_cnt[3280][6]~72811\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3280][7]~q\,
	cin => \led_flash_cnt[3280][6]~72811\,
	combout => \led_flash_cnt[3280][7]~72812_combout\);

-- Location: FF_X42_Y23_N15
\led_flash_cnt[3280][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3280][7]~72812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3280][7]~q\);

-- Location: LCCOMB_X42_Y23_N24
\WideAnd3280~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3280~0_combout\ = (\led_flash_cnt[3280][3]~q\ & (\led_flash_cnt[3280][2]~q\ & (\led_flash_cnt[3280][4]~q\ & \led_flash_cnt[3280][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3280][3]~q\,
	datab => \led_flash_cnt[3280][2]~q\,
	datac => \led_flash_cnt[3280][4]~q\,
	datad => \led_flash_cnt[3280][1]~q\,
	combout => \WideAnd3280~0_combout\);

-- Location: LCCOMB_X42_Y23_N30
WideAnd3280 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3280~combout\ = (\WideAnd3280~1_combout\ & (\led_flash_cnt[3280][7]~q\ & (\led_flash_cnt[3280][0]~q\ & \WideAnd3280~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3280~1_combout\,
	datab => \led_flash_cnt[3280][7]~q\,
	datac => \led_flash_cnt[3280][0]~q\,
	datad => \WideAnd3280~0_combout\,
	combout => \WideAnd3280~combout\);

-- Location: FF_X42_Y23_N31
\led_flash_cnt_ands[3280]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3280~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3280));

-- Location: LCCOMB_X46_Y46_N2
\led_flash_cnt[3281][0]~83921\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3281][0]~83921_combout\ = !\led_flash_cnt[3281][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3281][0]~q\,
	combout => \led_flash_cnt[3281][0]~83921_combout\);

-- Location: FF_X46_Y46_N3
\led_flash_cnt[3281][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3281][0]~83921_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3281][0]~q\);

-- Location: LCCOMB_X46_Y46_N8
\led_flash_cnt[3281][1]~72814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3281][1]~72814_combout\ = (\led_flash_cnt[3281][1]~q\ & (\led_flash_cnt[3281][0]~q\ $ (VCC))) # (!\led_flash_cnt[3281][1]~q\ & (\led_flash_cnt[3281][0]~q\ & VCC))
-- \led_flash_cnt[3281][1]~72815\ = CARRY((\led_flash_cnt[3281][1]~q\ & \led_flash_cnt[3281][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3281][1]~q\,
	datab => \led_flash_cnt[3281][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3281][1]~72814_combout\,
	cout => \led_flash_cnt[3281][1]~72815\);

-- Location: FF_X46_Y46_N9
\led_flash_cnt[3281][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3281][1]~72814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3281][1]~q\);

-- Location: LCCOMB_X46_Y46_N10
\led_flash_cnt[3281][2]~72816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3281][2]~72816_combout\ = (\led_flash_cnt[3281][2]~q\ & (!\led_flash_cnt[3281][1]~72815\)) # (!\led_flash_cnt[3281][2]~q\ & ((\led_flash_cnt[3281][1]~72815\) # (GND)))
-- \led_flash_cnt[3281][2]~72817\ = CARRY((!\led_flash_cnt[3281][1]~72815\) # (!\led_flash_cnt[3281][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3281][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3281][1]~72815\,
	combout => \led_flash_cnt[3281][2]~72816_combout\,
	cout => \led_flash_cnt[3281][2]~72817\);

-- Location: FF_X46_Y46_N11
\led_flash_cnt[3281][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3281][2]~72816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3281][2]~q\);

-- Location: LCCOMB_X46_Y46_N12
\led_flash_cnt[3281][3]~72818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3281][3]~72818_combout\ = (\led_flash_cnt[3281][3]~q\ & (\led_flash_cnt[3281][2]~72817\ $ (GND))) # (!\led_flash_cnt[3281][3]~q\ & (!\led_flash_cnt[3281][2]~72817\ & VCC))
-- \led_flash_cnt[3281][3]~72819\ = CARRY((\led_flash_cnt[3281][3]~q\ & !\led_flash_cnt[3281][2]~72817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3281][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3281][2]~72817\,
	combout => \led_flash_cnt[3281][3]~72818_combout\,
	cout => \led_flash_cnt[3281][3]~72819\);

-- Location: FF_X46_Y46_N13
\led_flash_cnt[3281][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3281][3]~72818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3281][3]~q\);

-- Location: LCCOMB_X46_Y46_N14
\led_flash_cnt[3281][4]~72820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3281][4]~72820_combout\ = (\led_flash_cnt[3281][4]~q\ & (!\led_flash_cnt[3281][3]~72819\)) # (!\led_flash_cnt[3281][4]~q\ & ((\led_flash_cnt[3281][3]~72819\) # (GND)))
-- \led_flash_cnt[3281][4]~72821\ = CARRY((!\led_flash_cnt[3281][3]~72819\) # (!\led_flash_cnt[3281][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3281][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3281][3]~72819\,
	combout => \led_flash_cnt[3281][4]~72820_combout\,
	cout => \led_flash_cnt[3281][4]~72821\);

-- Location: FF_X46_Y46_N15
\led_flash_cnt[3281][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3281][4]~72820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3281][4]~q\);

-- Location: LCCOMB_X46_Y46_N16
\led_flash_cnt[3281][5]~72822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3281][5]~72822_combout\ = (\led_flash_cnt[3281][5]~q\ & (\led_flash_cnt[3281][4]~72821\ $ (GND))) # (!\led_flash_cnt[3281][5]~q\ & (!\led_flash_cnt[3281][4]~72821\ & VCC))
-- \led_flash_cnt[3281][5]~72823\ = CARRY((\led_flash_cnt[3281][5]~q\ & !\led_flash_cnt[3281][4]~72821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3281][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3281][4]~72821\,
	combout => \led_flash_cnt[3281][5]~72822_combout\,
	cout => \led_flash_cnt[3281][5]~72823\);

-- Location: FF_X46_Y46_N17
\led_flash_cnt[3281][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3281][5]~72822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3281][5]~q\);

-- Location: LCCOMB_X46_Y46_N18
\led_flash_cnt[3281][6]~72824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3281][6]~72824_combout\ = (\led_flash_cnt[3281][6]~q\ & (!\led_flash_cnt[3281][5]~72823\)) # (!\led_flash_cnt[3281][6]~q\ & ((\led_flash_cnt[3281][5]~72823\) # (GND)))
-- \led_flash_cnt[3281][6]~72825\ = CARRY((!\led_flash_cnt[3281][5]~72823\) # (!\led_flash_cnt[3281][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3281][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3281][5]~72823\,
	combout => \led_flash_cnt[3281][6]~72824_combout\,
	cout => \led_flash_cnt[3281][6]~72825\);

-- Location: FF_X46_Y46_N19
\led_flash_cnt[3281][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3281][6]~72824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3281][6]~q\);

-- Location: LCCOMB_X46_Y46_N22
\WideAnd3281~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3281~1_combout\ = (\led_flash_cnt[3281][6]~q\ & \led_flash_cnt[3281][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3281][6]~q\,
	datad => \led_flash_cnt[3281][5]~q\,
	combout => \WideAnd3281~1_combout\);

-- Location: LCCOMB_X46_Y46_N20
\led_flash_cnt[3281][7]~72826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3281][7]~72826_combout\ = \led_flash_cnt[3281][6]~72825\ $ (!\led_flash_cnt[3281][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3281][7]~q\,
	cin => \led_flash_cnt[3281][6]~72825\,
	combout => \led_flash_cnt[3281][7]~72826_combout\);

-- Location: FF_X46_Y46_N21
\led_flash_cnt[3281][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3281][7]~72826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3281][7]~q\);

-- Location: LCCOMB_X46_Y46_N30
\WideAnd3281~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3281~0_combout\ = (\led_flash_cnt[3281][2]~q\ & (\led_flash_cnt[3281][4]~q\ & (\led_flash_cnt[3281][1]~q\ & \led_flash_cnt[3281][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3281][2]~q\,
	datab => \led_flash_cnt[3281][4]~q\,
	datac => \led_flash_cnt[3281][1]~q\,
	datad => \led_flash_cnt[3281][3]~q\,
	combout => \WideAnd3281~0_combout\);

-- Location: LCCOMB_X46_Y46_N0
WideAnd3281 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3281~combout\ = (\WideAnd3281~1_combout\ & (\led_flash_cnt[3281][7]~q\ & (\WideAnd3281~0_combout\ & \led_flash_cnt[3281][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3281~1_combout\,
	datab => \led_flash_cnt[3281][7]~q\,
	datac => \WideAnd3281~0_combout\,
	datad => \led_flash_cnt[3281][0]~q\,
	combout => \WideAnd3281~combout\);

-- Location: FF_X46_Y46_N1
\led_flash_cnt_ands[3281]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3281~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3281));

-- Location: LCCOMB_X46_Y46_N4
\WideAnd4250~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4250~0_combout\ = (led_flash_cnt_ands(3283) & (led_flash_cnt_ands(3282) & (led_flash_cnt_ands(3280) & led_flash_cnt_ands(3281))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3283),
	datab => led_flash_cnt_ands(3282),
	datac => led_flash_cnt_ands(3280),
	datad => led_flash_cnt_ands(3281),
	combout => \WideAnd4250~0_combout\);

-- Location: LCCOMB_X49_Y46_N12
\led_flash_cnt[3285][0]~83925\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3285][0]~83925_combout\ = !\led_flash_cnt[3285][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3285][0]~q\,
	combout => \led_flash_cnt[3285][0]~83925_combout\);

-- Location: FF_X49_Y46_N13
\led_flash_cnt[3285][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3285][0]~83925_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3285][0]~q\);

-- Location: LCCOMB_X49_Y46_N18
\led_flash_cnt[3285][1]~72870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3285][1]~72870_combout\ = (\led_flash_cnt[3285][0]~q\ & (\led_flash_cnt[3285][1]~q\ $ (VCC))) # (!\led_flash_cnt[3285][0]~q\ & (\led_flash_cnt[3285][1]~q\ & VCC))
-- \led_flash_cnt[3285][1]~72871\ = CARRY((\led_flash_cnt[3285][0]~q\ & \led_flash_cnt[3285][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3285][0]~q\,
	datab => \led_flash_cnt[3285][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3285][1]~72870_combout\,
	cout => \led_flash_cnt[3285][1]~72871\);

-- Location: FF_X49_Y46_N19
\led_flash_cnt[3285][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3285][1]~72870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3285][1]~q\);

-- Location: LCCOMB_X49_Y46_N20
\led_flash_cnt[3285][2]~72872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3285][2]~72872_combout\ = (\led_flash_cnt[3285][2]~q\ & (!\led_flash_cnt[3285][1]~72871\)) # (!\led_flash_cnt[3285][2]~q\ & ((\led_flash_cnt[3285][1]~72871\) # (GND)))
-- \led_flash_cnt[3285][2]~72873\ = CARRY((!\led_flash_cnt[3285][1]~72871\) # (!\led_flash_cnt[3285][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3285][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3285][1]~72871\,
	combout => \led_flash_cnt[3285][2]~72872_combout\,
	cout => \led_flash_cnt[3285][2]~72873\);

-- Location: FF_X49_Y46_N21
\led_flash_cnt[3285][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3285][2]~72872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3285][2]~q\);

-- Location: LCCOMB_X49_Y46_N22
\led_flash_cnt[3285][3]~72874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3285][3]~72874_combout\ = (\led_flash_cnt[3285][3]~q\ & (\led_flash_cnt[3285][2]~72873\ $ (GND))) # (!\led_flash_cnt[3285][3]~q\ & (!\led_flash_cnt[3285][2]~72873\ & VCC))
-- \led_flash_cnt[3285][3]~72875\ = CARRY((\led_flash_cnt[3285][3]~q\ & !\led_flash_cnt[3285][2]~72873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3285][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3285][2]~72873\,
	combout => \led_flash_cnt[3285][3]~72874_combout\,
	cout => \led_flash_cnt[3285][3]~72875\);

-- Location: FF_X49_Y46_N23
\led_flash_cnt[3285][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3285][3]~72874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3285][3]~q\);

-- Location: LCCOMB_X49_Y46_N24
\led_flash_cnt[3285][4]~72876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3285][4]~72876_combout\ = (\led_flash_cnt[3285][4]~q\ & (!\led_flash_cnt[3285][3]~72875\)) # (!\led_flash_cnt[3285][4]~q\ & ((\led_flash_cnt[3285][3]~72875\) # (GND)))
-- \led_flash_cnt[3285][4]~72877\ = CARRY((!\led_flash_cnt[3285][3]~72875\) # (!\led_flash_cnt[3285][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3285][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3285][3]~72875\,
	combout => \led_flash_cnt[3285][4]~72876_combout\,
	cout => \led_flash_cnt[3285][4]~72877\);

-- Location: FF_X49_Y46_N25
\led_flash_cnt[3285][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3285][4]~72876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3285][4]~q\);

-- Location: LCCOMB_X49_Y46_N26
\led_flash_cnt[3285][5]~72878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3285][5]~72878_combout\ = (\led_flash_cnt[3285][5]~q\ & (\led_flash_cnt[3285][4]~72877\ $ (GND))) # (!\led_flash_cnt[3285][5]~q\ & (!\led_flash_cnt[3285][4]~72877\ & VCC))
-- \led_flash_cnt[3285][5]~72879\ = CARRY((\led_flash_cnt[3285][5]~q\ & !\led_flash_cnt[3285][4]~72877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3285][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3285][4]~72877\,
	combout => \led_flash_cnt[3285][5]~72878_combout\,
	cout => \led_flash_cnt[3285][5]~72879\);

-- Location: FF_X49_Y46_N27
\led_flash_cnt[3285][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3285][5]~72878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3285][5]~q\);

-- Location: LCCOMB_X49_Y46_N28
\led_flash_cnt[3285][6]~72880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3285][6]~72880_combout\ = (\led_flash_cnt[3285][6]~q\ & (!\led_flash_cnt[3285][5]~72879\)) # (!\led_flash_cnt[3285][6]~q\ & ((\led_flash_cnt[3285][5]~72879\) # (GND)))
-- \led_flash_cnt[3285][6]~72881\ = CARRY((!\led_flash_cnt[3285][5]~72879\) # (!\led_flash_cnt[3285][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3285][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3285][5]~72879\,
	combout => \led_flash_cnt[3285][6]~72880_combout\,
	cout => \led_flash_cnt[3285][6]~72881\);

-- Location: FF_X49_Y46_N29
\led_flash_cnt[3285][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3285][6]~72880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3285][6]~q\);

-- Location: LCCOMB_X49_Y46_N10
\WideAnd3285~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3285~1_combout\ = (\led_flash_cnt[3285][5]~q\ & \led_flash_cnt[3285][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3285][5]~q\,
	datad => \led_flash_cnt[3285][6]~q\,
	combout => \WideAnd3285~1_combout\);

-- Location: LCCOMB_X49_Y46_N2
\WideAnd3285~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3285~0_combout\ = (\led_flash_cnt[3285][1]~q\ & (\led_flash_cnt[3285][2]~q\ & (\led_flash_cnt[3285][3]~q\ & \led_flash_cnt[3285][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3285][1]~q\,
	datab => \led_flash_cnt[3285][2]~q\,
	datac => \led_flash_cnt[3285][3]~q\,
	datad => \led_flash_cnt[3285][4]~q\,
	combout => \WideAnd3285~0_combout\);

-- Location: LCCOMB_X49_Y46_N30
\led_flash_cnt[3285][7]~72882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3285][7]~72882_combout\ = \led_flash_cnt[3285][7]~q\ $ (!\led_flash_cnt[3285][6]~72881\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3285][7]~q\,
	cin => \led_flash_cnt[3285][6]~72881\,
	combout => \led_flash_cnt[3285][7]~72882_combout\);

-- Location: FF_X49_Y46_N31
\led_flash_cnt[3285][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3285][7]~72882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3285][7]~q\);

-- Location: LCCOMB_X49_Y46_N4
WideAnd3285 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3285~combout\ = (\WideAnd3285~1_combout\ & (\WideAnd3285~0_combout\ & (\led_flash_cnt[3285][7]~q\ & \led_flash_cnt[3285][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3285~1_combout\,
	datab => \WideAnd3285~0_combout\,
	datac => \led_flash_cnt[3285][7]~q\,
	datad => \led_flash_cnt[3285][0]~q\,
	combout => \WideAnd3285~combout\);

-- Location: FF_X49_Y46_N5
\led_flash_cnt_ands[3285]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3285~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3285));

-- Location: LCCOMB_X49_Y46_N16
\led_flash_cnt[3284][0]~83924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3284][0]~83924_combout\ = !\led_flash_cnt[3284][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3284][0]~q\,
	combout => \led_flash_cnt[3284][0]~83924_combout\);

-- Location: FF_X49_Y46_N17
\led_flash_cnt[3284][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3284][0]~83924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3284][0]~q\);

-- Location: LCCOMB_X47_Y46_N0
\led_flash_cnt[3284][1]~72856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3284][1]~72856_combout\ = (\led_flash_cnt[3284][0]~q\ & (\led_flash_cnt[3284][1]~q\ $ (VCC))) # (!\led_flash_cnt[3284][0]~q\ & (\led_flash_cnt[3284][1]~q\ & VCC))
-- \led_flash_cnt[3284][1]~72857\ = CARRY((\led_flash_cnt[3284][0]~q\ & \led_flash_cnt[3284][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3284][0]~q\,
	datab => \led_flash_cnt[3284][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3284][1]~72856_combout\,
	cout => \led_flash_cnt[3284][1]~72857\);

-- Location: FF_X47_Y46_N1
\led_flash_cnt[3284][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3284][1]~72856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3284][1]~q\);

-- Location: LCCOMB_X47_Y46_N2
\led_flash_cnt[3284][2]~72858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3284][2]~72858_combout\ = (\led_flash_cnt[3284][2]~q\ & (!\led_flash_cnt[3284][1]~72857\)) # (!\led_flash_cnt[3284][2]~q\ & ((\led_flash_cnt[3284][1]~72857\) # (GND)))
-- \led_flash_cnt[3284][2]~72859\ = CARRY((!\led_flash_cnt[3284][1]~72857\) # (!\led_flash_cnt[3284][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3284][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3284][1]~72857\,
	combout => \led_flash_cnt[3284][2]~72858_combout\,
	cout => \led_flash_cnt[3284][2]~72859\);

-- Location: FF_X47_Y46_N3
\led_flash_cnt[3284][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3284][2]~72858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3284][2]~q\);

-- Location: LCCOMB_X47_Y46_N4
\led_flash_cnt[3284][3]~72860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3284][3]~72860_combout\ = (\led_flash_cnt[3284][3]~q\ & (\led_flash_cnt[3284][2]~72859\ $ (GND))) # (!\led_flash_cnt[3284][3]~q\ & (!\led_flash_cnt[3284][2]~72859\ & VCC))
-- \led_flash_cnt[3284][3]~72861\ = CARRY((\led_flash_cnt[3284][3]~q\ & !\led_flash_cnt[3284][2]~72859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3284][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3284][2]~72859\,
	combout => \led_flash_cnt[3284][3]~72860_combout\,
	cout => \led_flash_cnt[3284][3]~72861\);

-- Location: FF_X47_Y46_N5
\led_flash_cnt[3284][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3284][3]~72860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3284][3]~q\);

-- Location: LCCOMB_X47_Y46_N6
\led_flash_cnt[3284][4]~72862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3284][4]~72862_combout\ = (\led_flash_cnt[3284][4]~q\ & (!\led_flash_cnt[3284][3]~72861\)) # (!\led_flash_cnt[3284][4]~q\ & ((\led_flash_cnt[3284][3]~72861\) # (GND)))
-- \led_flash_cnt[3284][4]~72863\ = CARRY((!\led_flash_cnt[3284][3]~72861\) # (!\led_flash_cnt[3284][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3284][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3284][3]~72861\,
	combout => \led_flash_cnt[3284][4]~72862_combout\,
	cout => \led_flash_cnt[3284][4]~72863\);

-- Location: FF_X47_Y46_N7
\led_flash_cnt[3284][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3284][4]~72862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3284][4]~q\);

-- Location: LCCOMB_X47_Y46_N8
\led_flash_cnt[3284][5]~72864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3284][5]~72864_combout\ = (\led_flash_cnt[3284][5]~q\ & (\led_flash_cnt[3284][4]~72863\ $ (GND))) # (!\led_flash_cnt[3284][5]~q\ & (!\led_flash_cnt[3284][4]~72863\ & VCC))
-- \led_flash_cnt[3284][5]~72865\ = CARRY((\led_flash_cnt[3284][5]~q\ & !\led_flash_cnt[3284][4]~72863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3284][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3284][4]~72863\,
	combout => \led_flash_cnt[3284][5]~72864_combout\,
	cout => \led_flash_cnt[3284][5]~72865\);

-- Location: FF_X47_Y46_N9
\led_flash_cnt[3284][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3284][5]~72864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3284][5]~q\);

-- Location: LCCOMB_X47_Y46_N10
\led_flash_cnt[3284][6]~72866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3284][6]~72866_combout\ = (\led_flash_cnt[3284][6]~q\ & (!\led_flash_cnt[3284][5]~72865\)) # (!\led_flash_cnt[3284][6]~q\ & ((\led_flash_cnt[3284][5]~72865\) # (GND)))
-- \led_flash_cnt[3284][6]~72867\ = CARRY((!\led_flash_cnt[3284][5]~72865\) # (!\led_flash_cnt[3284][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3284][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3284][5]~72865\,
	combout => \led_flash_cnt[3284][6]~72866_combout\,
	cout => \led_flash_cnt[3284][6]~72867\);

-- Location: FF_X47_Y46_N11
\led_flash_cnt[3284][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3284][6]~72866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3284][6]~q\);

-- Location: LCCOMB_X47_Y46_N12
\led_flash_cnt[3284][7]~72868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3284][7]~72868_combout\ = \led_flash_cnt[3284][6]~72867\ $ (!\led_flash_cnt[3284][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3284][7]~q\,
	cin => \led_flash_cnt[3284][6]~72867\,
	combout => \led_flash_cnt[3284][7]~72868_combout\);

-- Location: FF_X47_Y46_N13
\led_flash_cnt[3284][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3284][7]~72868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3284][7]~q\);

-- Location: LCCOMB_X47_Y46_N30
\WideAnd3284~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3284~0_combout\ = (\led_flash_cnt[3284][4]~q\ & (\led_flash_cnt[3284][1]~q\ & (\led_flash_cnt[3284][3]~q\ & \led_flash_cnt[3284][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3284][4]~q\,
	datab => \led_flash_cnt[3284][1]~q\,
	datac => \led_flash_cnt[3284][3]~q\,
	datad => \led_flash_cnt[3284][2]~q\,
	combout => \WideAnd3284~0_combout\);

-- Location: LCCOMB_X49_Y46_N0
\WideAnd3284~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3284~1_combout\ = (\led_flash_cnt[3284][6]~q\ & \led_flash_cnt[3284][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3284][6]~q\,
	datad => \led_flash_cnt[3284][5]~q\,
	combout => \WideAnd3284~1_combout\);

-- Location: LCCOMB_X49_Y46_N6
WideAnd3284 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3284~combout\ = (\led_flash_cnt[3284][0]~q\ & (\led_flash_cnt[3284][7]~q\ & (\WideAnd3284~0_combout\ & \WideAnd3284~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3284][0]~q\,
	datab => \led_flash_cnt[3284][7]~q\,
	datac => \WideAnd3284~0_combout\,
	datad => \WideAnd3284~1_combout\,
	combout => \WideAnd3284~combout\);

-- Location: FF_X49_Y46_N7
\led_flash_cnt_ands[3284]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3284~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3284));

-- Location: LCCOMB_X49_Y46_N8
\WideAnd4250~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4250~1_combout\ = (led_flash_cnt_ands(3285) & led_flash_cnt_ands(3284))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3285),
	datad => led_flash_cnt_ands(3284),
	combout => \WideAnd4250~1_combout\);

-- Location: LCCOMB_X46_Y52_N14
\led_flash_cnt[3286][0]~83926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3286][0]~83926_combout\ = !\led_flash_cnt[3286][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3286][0]~q\,
	combout => \led_flash_cnt[3286][0]~83926_combout\);

-- Location: FF_X46_Y52_N15
\led_flash_cnt[3286][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3286][0]~83926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3286][0]~q\);

-- Location: LCCOMB_X47_Y52_N2
\led_flash_cnt[3286][1]~72884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3286][1]~72884_combout\ = (\led_flash_cnt[3286][0]~q\ & (\led_flash_cnt[3286][1]~q\ $ (VCC))) # (!\led_flash_cnt[3286][0]~q\ & (\led_flash_cnt[3286][1]~q\ & VCC))
-- \led_flash_cnt[3286][1]~72885\ = CARRY((\led_flash_cnt[3286][0]~q\ & \led_flash_cnt[3286][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3286][0]~q\,
	datab => \led_flash_cnt[3286][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3286][1]~72884_combout\,
	cout => \led_flash_cnt[3286][1]~72885\);

-- Location: FF_X47_Y52_N3
\led_flash_cnt[3286][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3286][1]~72884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3286][1]~q\);

-- Location: LCCOMB_X47_Y52_N4
\led_flash_cnt[3286][2]~72886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3286][2]~72886_combout\ = (\led_flash_cnt[3286][2]~q\ & (!\led_flash_cnt[3286][1]~72885\)) # (!\led_flash_cnt[3286][2]~q\ & ((\led_flash_cnt[3286][1]~72885\) # (GND)))
-- \led_flash_cnt[3286][2]~72887\ = CARRY((!\led_flash_cnt[3286][1]~72885\) # (!\led_flash_cnt[3286][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3286][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3286][1]~72885\,
	combout => \led_flash_cnt[3286][2]~72886_combout\,
	cout => \led_flash_cnt[3286][2]~72887\);

-- Location: FF_X47_Y52_N5
\led_flash_cnt[3286][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3286][2]~72886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3286][2]~q\);

-- Location: LCCOMB_X47_Y52_N6
\led_flash_cnt[3286][3]~72888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3286][3]~72888_combout\ = (\led_flash_cnt[3286][3]~q\ & (\led_flash_cnt[3286][2]~72887\ $ (GND))) # (!\led_flash_cnt[3286][3]~q\ & (!\led_flash_cnt[3286][2]~72887\ & VCC))
-- \led_flash_cnt[3286][3]~72889\ = CARRY((\led_flash_cnt[3286][3]~q\ & !\led_flash_cnt[3286][2]~72887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3286][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3286][2]~72887\,
	combout => \led_flash_cnt[3286][3]~72888_combout\,
	cout => \led_flash_cnt[3286][3]~72889\);

-- Location: FF_X47_Y52_N7
\led_flash_cnt[3286][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3286][3]~72888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3286][3]~q\);

-- Location: LCCOMB_X47_Y52_N8
\led_flash_cnt[3286][4]~72890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3286][4]~72890_combout\ = (\led_flash_cnt[3286][4]~q\ & (!\led_flash_cnt[3286][3]~72889\)) # (!\led_flash_cnt[3286][4]~q\ & ((\led_flash_cnt[3286][3]~72889\) # (GND)))
-- \led_flash_cnt[3286][4]~72891\ = CARRY((!\led_flash_cnt[3286][3]~72889\) # (!\led_flash_cnt[3286][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3286][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3286][3]~72889\,
	combout => \led_flash_cnt[3286][4]~72890_combout\,
	cout => \led_flash_cnt[3286][4]~72891\);

-- Location: FF_X47_Y52_N9
\led_flash_cnt[3286][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3286][4]~72890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3286][4]~q\);

-- Location: LCCOMB_X47_Y52_N10
\led_flash_cnt[3286][5]~72892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3286][5]~72892_combout\ = (\led_flash_cnt[3286][5]~q\ & (\led_flash_cnt[3286][4]~72891\ $ (GND))) # (!\led_flash_cnt[3286][5]~q\ & (!\led_flash_cnt[3286][4]~72891\ & VCC))
-- \led_flash_cnt[3286][5]~72893\ = CARRY((\led_flash_cnt[3286][5]~q\ & !\led_flash_cnt[3286][4]~72891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3286][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3286][4]~72891\,
	combout => \led_flash_cnt[3286][5]~72892_combout\,
	cout => \led_flash_cnt[3286][5]~72893\);

-- Location: FF_X47_Y52_N11
\led_flash_cnt[3286][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3286][5]~72892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3286][5]~q\);

-- Location: LCCOMB_X47_Y52_N12
\led_flash_cnt[3286][6]~72894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3286][6]~72894_combout\ = (\led_flash_cnt[3286][6]~q\ & (!\led_flash_cnt[3286][5]~72893\)) # (!\led_flash_cnt[3286][6]~q\ & ((\led_flash_cnt[3286][5]~72893\) # (GND)))
-- \led_flash_cnt[3286][6]~72895\ = CARRY((!\led_flash_cnt[3286][5]~72893\) # (!\led_flash_cnt[3286][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3286][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3286][5]~72893\,
	combout => \led_flash_cnt[3286][6]~72894_combout\,
	cout => \led_flash_cnt[3286][6]~72895\);

-- Location: FF_X47_Y52_N13
\led_flash_cnt[3286][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3286][6]~72894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3286][6]~q\);

-- Location: LCCOMB_X46_Y52_N10
\WideAnd3286~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3286~1_combout\ = (\led_flash_cnt[3286][6]~q\ & \led_flash_cnt[3286][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3286][6]~q\,
	datac => \led_flash_cnt[3286][5]~q\,
	combout => \WideAnd3286~1_combout\);

-- Location: LCCOMB_X47_Y52_N14
\led_flash_cnt[3286][7]~72896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3286][7]~72896_combout\ = \led_flash_cnt[3286][7]~q\ $ (!\led_flash_cnt[3286][6]~72895\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3286][7]~q\,
	cin => \led_flash_cnt[3286][6]~72895\,
	combout => \led_flash_cnt[3286][7]~72896_combout\);

-- Location: FF_X47_Y52_N15
\led_flash_cnt[3286][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3286][7]~72896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3286][7]~q\);

-- Location: LCCOMB_X47_Y52_N16
\WideAnd3286~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3286~0_combout\ = (\led_flash_cnt[3286][3]~q\ & (\led_flash_cnt[3286][2]~q\ & (\led_flash_cnt[3286][4]~q\ & \led_flash_cnt[3286][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3286][3]~q\,
	datab => \led_flash_cnt[3286][2]~q\,
	datac => \led_flash_cnt[3286][4]~q\,
	datad => \led_flash_cnt[3286][1]~q\,
	combout => \WideAnd3286~0_combout\);

-- Location: LCCOMB_X46_Y52_N12
WideAnd3286 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3286~combout\ = (\WideAnd3286~1_combout\ & (\led_flash_cnt[3286][0]~q\ & (\led_flash_cnt[3286][7]~q\ & \WideAnd3286~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3286~1_combout\,
	datab => \led_flash_cnt[3286][0]~q\,
	datac => \led_flash_cnt[3286][7]~q\,
	datad => \WideAnd3286~0_combout\,
	combout => \WideAnd3286~combout\);

-- Location: FF_X46_Y52_N13
\led_flash_cnt_ands[3286]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3286~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3286));

-- Location: LCCOMB_X46_Y46_N24
WideAnd4250 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4250~combout\ = (led_flash_cnt_ands(3287) & (\WideAnd4250~0_combout\ & (\WideAnd4250~1_combout\ & led_flash_cnt_ands(3286))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3287),
	datab => \WideAnd4250~0_combout\,
	datac => \WideAnd4250~1_combout\,
	datad => led_flash_cnt_ands(3286),
	combout => \WideAnd4250~combout\);

-- Location: FF_X46_Y46_N25
\led_flash_cnt_ands_1[410]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4250~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(410));

-- Location: LCCOMB_X41_Y22_N12
\led_flash_cnt[3295][0]~83935\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3295][0]~83935_combout\ = !\led_flash_cnt[3295][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3295][0]~q\,
	combout => \led_flash_cnt[3295][0]~83935_combout\);

-- Location: FF_X41_Y22_N13
\led_flash_cnt[3295][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3295][0]~83935_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3295][0]~q\);

-- Location: LCCOMB_X41_Y22_N14
\led_flash_cnt[3295][1]~73010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3295][1]~73010_combout\ = (\led_flash_cnt[3295][0]~q\ & (\led_flash_cnt[3295][1]~q\ $ (VCC))) # (!\led_flash_cnt[3295][0]~q\ & (\led_flash_cnt[3295][1]~q\ & VCC))
-- \led_flash_cnt[3295][1]~73011\ = CARRY((\led_flash_cnt[3295][0]~q\ & \led_flash_cnt[3295][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3295][0]~q\,
	datab => \led_flash_cnt[3295][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3295][1]~73010_combout\,
	cout => \led_flash_cnt[3295][1]~73011\);

-- Location: FF_X41_Y22_N15
\led_flash_cnt[3295][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3295][1]~73010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3295][1]~q\);

-- Location: LCCOMB_X41_Y22_N16
\led_flash_cnt[3295][2]~73012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3295][2]~73012_combout\ = (\led_flash_cnt[3295][2]~q\ & (!\led_flash_cnt[3295][1]~73011\)) # (!\led_flash_cnt[3295][2]~q\ & ((\led_flash_cnt[3295][1]~73011\) # (GND)))
-- \led_flash_cnt[3295][2]~73013\ = CARRY((!\led_flash_cnt[3295][1]~73011\) # (!\led_flash_cnt[3295][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3295][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3295][1]~73011\,
	combout => \led_flash_cnt[3295][2]~73012_combout\,
	cout => \led_flash_cnt[3295][2]~73013\);

-- Location: FF_X41_Y22_N17
\led_flash_cnt[3295][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3295][2]~73012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3295][2]~q\);

-- Location: LCCOMB_X41_Y22_N18
\led_flash_cnt[3295][3]~73014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3295][3]~73014_combout\ = (\led_flash_cnt[3295][3]~q\ & (\led_flash_cnt[3295][2]~73013\ $ (GND))) # (!\led_flash_cnt[3295][3]~q\ & (!\led_flash_cnt[3295][2]~73013\ & VCC))
-- \led_flash_cnt[3295][3]~73015\ = CARRY((\led_flash_cnt[3295][3]~q\ & !\led_flash_cnt[3295][2]~73013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3295][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3295][2]~73013\,
	combout => \led_flash_cnt[3295][3]~73014_combout\,
	cout => \led_flash_cnt[3295][3]~73015\);

-- Location: FF_X41_Y22_N19
\led_flash_cnt[3295][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3295][3]~73014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3295][3]~q\);

-- Location: LCCOMB_X41_Y22_N20
\led_flash_cnt[3295][4]~73016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3295][4]~73016_combout\ = (\led_flash_cnt[3295][4]~q\ & (!\led_flash_cnt[3295][3]~73015\)) # (!\led_flash_cnt[3295][4]~q\ & ((\led_flash_cnt[3295][3]~73015\) # (GND)))
-- \led_flash_cnt[3295][4]~73017\ = CARRY((!\led_flash_cnt[3295][3]~73015\) # (!\led_flash_cnt[3295][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3295][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3295][3]~73015\,
	combout => \led_flash_cnt[3295][4]~73016_combout\,
	cout => \led_flash_cnt[3295][4]~73017\);

-- Location: FF_X41_Y22_N21
\led_flash_cnt[3295][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3295][4]~73016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3295][4]~q\);

-- Location: LCCOMB_X41_Y22_N22
\led_flash_cnt[3295][5]~73018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3295][5]~73018_combout\ = (\led_flash_cnt[3295][5]~q\ & (\led_flash_cnt[3295][4]~73017\ $ (GND))) # (!\led_flash_cnt[3295][5]~q\ & (!\led_flash_cnt[3295][4]~73017\ & VCC))
-- \led_flash_cnt[3295][5]~73019\ = CARRY((\led_flash_cnt[3295][5]~q\ & !\led_flash_cnt[3295][4]~73017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3295][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3295][4]~73017\,
	combout => \led_flash_cnt[3295][5]~73018_combout\,
	cout => \led_flash_cnt[3295][5]~73019\);

-- Location: FF_X41_Y22_N23
\led_flash_cnt[3295][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3295][5]~73018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3295][5]~q\);

-- Location: LCCOMB_X41_Y22_N24
\led_flash_cnt[3295][6]~73020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3295][6]~73020_combout\ = (\led_flash_cnt[3295][6]~q\ & (!\led_flash_cnt[3295][5]~73019\)) # (!\led_flash_cnt[3295][6]~q\ & ((\led_flash_cnt[3295][5]~73019\) # (GND)))
-- \led_flash_cnt[3295][6]~73021\ = CARRY((!\led_flash_cnt[3295][5]~73019\) # (!\led_flash_cnt[3295][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3295][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3295][5]~73019\,
	combout => \led_flash_cnt[3295][6]~73020_combout\,
	cout => \led_flash_cnt[3295][6]~73021\);

-- Location: FF_X41_Y22_N25
\led_flash_cnt[3295][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3295][6]~73020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3295][6]~q\);

-- Location: LCCOMB_X41_Y22_N30
\WideAnd3295~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3295~1_combout\ = (\led_flash_cnt[3295][5]~q\ & \led_flash_cnt[3295][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3295][5]~q\,
	datad => \led_flash_cnt[3295][6]~q\,
	combout => \WideAnd3295~1_combout\);

-- Location: LCCOMB_X41_Y22_N8
\WideAnd3295~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3295~0_combout\ = (\led_flash_cnt[3295][3]~q\ & (\led_flash_cnt[3295][2]~q\ & (\led_flash_cnt[3295][1]~q\ & \led_flash_cnt[3295][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3295][3]~q\,
	datab => \led_flash_cnt[3295][2]~q\,
	datac => \led_flash_cnt[3295][1]~q\,
	datad => \led_flash_cnt[3295][4]~q\,
	combout => \WideAnd3295~0_combout\);

-- Location: LCCOMB_X41_Y22_N26
\led_flash_cnt[3295][7]~73022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3295][7]~73022_combout\ = \led_flash_cnt[3295][7]~q\ $ (!\led_flash_cnt[3295][6]~73021\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3295][7]~q\,
	cin => \led_flash_cnt[3295][6]~73021\,
	combout => \led_flash_cnt[3295][7]~73022_combout\);

-- Location: FF_X41_Y22_N27
\led_flash_cnt[3295][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3295][7]~73022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3295][7]~q\);

-- Location: LCCOMB_X41_Y22_N10
WideAnd3295 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3295~combout\ = (\WideAnd3295~1_combout\ & (\WideAnd3295~0_combout\ & (\led_flash_cnt[3295][7]~q\ & \led_flash_cnt[3295][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3295~1_combout\,
	datab => \WideAnd3295~0_combout\,
	datac => \led_flash_cnt[3295][7]~q\,
	datad => \led_flash_cnt[3295][0]~q\,
	combout => \WideAnd3295~combout\);

-- Location: FF_X41_Y22_N11
\led_flash_cnt_ands[3295]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3295~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3295));

-- Location: LCCOMB_X65_Y14_N18
\led_flash_cnt[3292][0]~83932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3292][0]~83932_combout\ = !\led_flash_cnt[3292][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3292][0]~q\,
	combout => \led_flash_cnt[3292][0]~83932_combout\);

-- Location: FF_X65_Y14_N19
\led_flash_cnt[3292][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3292][0]~83932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3292][0]~q\);

-- Location: LCCOMB_X65_Y14_N0
\led_flash_cnt[3292][1]~72968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3292][1]~72968_combout\ = (\led_flash_cnt[3292][1]~q\ & (\led_flash_cnt[3292][0]~q\ $ (VCC))) # (!\led_flash_cnt[3292][1]~q\ & (\led_flash_cnt[3292][0]~q\ & VCC))
-- \led_flash_cnt[3292][1]~72969\ = CARRY((\led_flash_cnt[3292][1]~q\ & \led_flash_cnt[3292][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3292][1]~q\,
	datab => \led_flash_cnt[3292][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3292][1]~72968_combout\,
	cout => \led_flash_cnt[3292][1]~72969\);

-- Location: FF_X65_Y14_N1
\led_flash_cnt[3292][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3292][1]~72968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3292][1]~q\);

-- Location: LCCOMB_X65_Y14_N2
\led_flash_cnt[3292][2]~72970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3292][2]~72970_combout\ = (\led_flash_cnt[3292][2]~q\ & (!\led_flash_cnt[3292][1]~72969\)) # (!\led_flash_cnt[3292][2]~q\ & ((\led_flash_cnt[3292][1]~72969\) # (GND)))
-- \led_flash_cnt[3292][2]~72971\ = CARRY((!\led_flash_cnt[3292][1]~72969\) # (!\led_flash_cnt[3292][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3292][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3292][1]~72969\,
	combout => \led_flash_cnt[3292][2]~72970_combout\,
	cout => \led_flash_cnt[3292][2]~72971\);

-- Location: FF_X65_Y14_N3
\led_flash_cnt[3292][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3292][2]~72970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3292][2]~q\);

-- Location: LCCOMB_X65_Y14_N4
\led_flash_cnt[3292][3]~72972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3292][3]~72972_combout\ = (\led_flash_cnt[3292][3]~q\ & (\led_flash_cnt[3292][2]~72971\ $ (GND))) # (!\led_flash_cnt[3292][3]~q\ & (!\led_flash_cnt[3292][2]~72971\ & VCC))
-- \led_flash_cnt[3292][3]~72973\ = CARRY((\led_flash_cnt[3292][3]~q\ & !\led_flash_cnt[3292][2]~72971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3292][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3292][2]~72971\,
	combout => \led_flash_cnt[3292][3]~72972_combout\,
	cout => \led_flash_cnt[3292][3]~72973\);

-- Location: FF_X65_Y14_N5
\led_flash_cnt[3292][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3292][3]~72972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3292][3]~q\);

-- Location: LCCOMB_X65_Y14_N6
\led_flash_cnt[3292][4]~72974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3292][4]~72974_combout\ = (\led_flash_cnt[3292][4]~q\ & (!\led_flash_cnt[3292][3]~72973\)) # (!\led_flash_cnt[3292][4]~q\ & ((\led_flash_cnt[3292][3]~72973\) # (GND)))
-- \led_flash_cnt[3292][4]~72975\ = CARRY((!\led_flash_cnt[3292][3]~72973\) # (!\led_flash_cnt[3292][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3292][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3292][3]~72973\,
	combout => \led_flash_cnt[3292][4]~72974_combout\,
	cout => \led_flash_cnt[3292][4]~72975\);

-- Location: FF_X65_Y14_N7
\led_flash_cnt[3292][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3292][4]~72974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3292][4]~q\);

-- Location: LCCOMB_X65_Y14_N8
\led_flash_cnt[3292][5]~72976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3292][5]~72976_combout\ = (\led_flash_cnt[3292][5]~q\ & (\led_flash_cnt[3292][4]~72975\ $ (GND))) # (!\led_flash_cnt[3292][5]~q\ & (!\led_flash_cnt[3292][4]~72975\ & VCC))
-- \led_flash_cnt[3292][5]~72977\ = CARRY((\led_flash_cnt[3292][5]~q\ & !\led_flash_cnt[3292][4]~72975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3292][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3292][4]~72975\,
	combout => \led_flash_cnt[3292][5]~72976_combout\,
	cout => \led_flash_cnt[3292][5]~72977\);

-- Location: FF_X65_Y14_N9
\led_flash_cnt[3292][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3292][5]~72976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3292][5]~q\);

-- Location: LCCOMB_X65_Y14_N10
\led_flash_cnt[3292][6]~72978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3292][6]~72978_combout\ = (\led_flash_cnt[3292][6]~q\ & (!\led_flash_cnt[3292][5]~72977\)) # (!\led_flash_cnt[3292][6]~q\ & ((\led_flash_cnt[3292][5]~72977\) # (GND)))
-- \led_flash_cnt[3292][6]~72979\ = CARRY((!\led_flash_cnt[3292][5]~72977\) # (!\led_flash_cnt[3292][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3292][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3292][5]~72977\,
	combout => \led_flash_cnt[3292][6]~72978_combout\,
	cout => \led_flash_cnt[3292][6]~72979\);

-- Location: FF_X65_Y14_N11
\led_flash_cnt[3292][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3292][6]~72978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3292][6]~q\);

-- Location: LCCOMB_X65_Y14_N12
\led_flash_cnt[3292][7]~72980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3292][7]~72980_combout\ = \led_flash_cnt[3292][6]~72979\ $ (!\led_flash_cnt[3292][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3292][7]~q\,
	cin => \led_flash_cnt[3292][6]~72979\,
	combout => \led_flash_cnt[3292][7]~72980_combout\);

-- Location: FF_X65_Y14_N13
\led_flash_cnt[3292][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3292][7]~72980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3292][7]~q\);

-- Location: LCCOMB_X65_Y14_N16
\WideAnd3292~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3292~0_combout\ = (\led_flash_cnt[3292][4]~q\ & (\led_flash_cnt[3292][1]~q\ & (\led_flash_cnt[3292][3]~q\ & \led_flash_cnt[3292][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3292][4]~q\,
	datab => \led_flash_cnt[3292][1]~q\,
	datac => \led_flash_cnt[3292][3]~q\,
	datad => \led_flash_cnt[3292][2]~q\,
	combout => \WideAnd3292~0_combout\);

-- Location: LCCOMB_X65_Y14_N22
\WideAnd3292~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3292~1_combout\ = (\led_flash_cnt[3292][5]~q\ & \led_flash_cnt[3292][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3292][5]~q\,
	datad => \led_flash_cnt[3292][6]~q\,
	combout => \WideAnd3292~1_combout\);

-- Location: LCCOMB_X65_Y14_N26
WideAnd3292 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3292~combout\ = (\led_flash_cnt[3292][7]~q\ & (\WideAnd3292~0_combout\ & (\WideAnd3292~1_combout\ & \led_flash_cnt[3292][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3292][7]~q\,
	datab => \WideAnd3292~0_combout\,
	datac => \WideAnd3292~1_combout\,
	datad => \led_flash_cnt[3292][0]~q\,
	combout => \WideAnd3292~combout\);

-- Location: FF_X65_Y14_N27
\led_flash_cnt_ands[3292]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3292~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3292));

-- Location: LCCOMB_X41_Y19_N2
\led_flash_cnt[3293][0]~83933\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3293][0]~83933_combout\ = !\led_flash_cnt[3293][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3293][0]~q\,
	combout => \led_flash_cnt[3293][0]~83933_combout\);

-- Location: FF_X41_Y19_N3
\led_flash_cnt[3293][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3293][0]~83933_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3293][0]~q\);

-- Location: LCCOMB_X40_Y19_N16
\led_flash_cnt[3293][1]~72982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3293][1]~72982_combout\ = (\led_flash_cnt[3293][0]~q\ & (\led_flash_cnt[3293][1]~q\ $ (VCC))) # (!\led_flash_cnt[3293][0]~q\ & (\led_flash_cnt[3293][1]~q\ & VCC))
-- \led_flash_cnt[3293][1]~72983\ = CARRY((\led_flash_cnt[3293][0]~q\ & \led_flash_cnt[3293][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3293][0]~q\,
	datab => \led_flash_cnt[3293][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3293][1]~72982_combout\,
	cout => \led_flash_cnt[3293][1]~72983\);

-- Location: FF_X40_Y19_N17
\led_flash_cnt[3293][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3293][1]~72982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3293][1]~q\);

-- Location: LCCOMB_X40_Y19_N18
\led_flash_cnt[3293][2]~72984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3293][2]~72984_combout\ = (\led_flash_cnt[3293][2]~q\ & (!\led_flash_cnt[3293][1]~72983\)) # (!\led_flash_cnt[3293][2]~q\ & ((\led_flash_cnt[3293][1]~72983\) # (GND)))
-- \led_flash_cnt[3293][2]~72985\ = CARRY((!\led_flash_cnt[3293][1]~72983\) # (!\led_flash_cnt[3293][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3293][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3293][1]~72983\,
	combout => \led_flash_cnt[3293][2]~72984_combout\,
	cout => \led_flash_cnt[3293][2]~72985\);

-- Location: FF_X40_Y19_N19
\led_flash_cnt[3293][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3293][2]~72984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3293][2]~q\);

-- Location: LCCOMB_X40_Y19_N20
\led_flash_cnt[3293][3]~72986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3293][3]~72986_combout\ = (\led_flash_cnt[3293][3]~q\ & (\led_flash_cnt[3293][2]~72985\ $ (GND))) # (!\led_flash_cnt[3293][3]~q\ & (!\led_flash_cnt[3293][2]~72985\ & VCC))
-- \led_flash_cnt[3293][3]~72987\ = CARRY((\led_flash_cnt[3293][3]~q\ & !\led_flash_cnt[3293][2]~72985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3293][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3293][2]~72985\,
	combout => \led_flash_cnt[3293][3]~72986_combout\,
	cout => \led_flash_cnt[3293][3]~72987\);

-- Location: FF_X40_Y19_N21
\led_flash_cnt[3293][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3293][3]~72986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3293][3]~q\);

-- Location: LCCOMB_X40_Y19_N22
\led_flash_cnt[3293][4]~72988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3293][4]~72988_combout\ = (\led_flash_cnt[3293][4]~q\ & (!\led_flash_cnt[3293][3]~72987\)) # (!\led_flash_cnt[3293][4]~q\ & ((\led_flash_cnt[3293][3]~72987\) # (GND)))
-- \led_flash_cnt[3293][4]~72989\ = CARRY((!\led_flash_cnt[3293][3]~72987\) # (!\led_flash_cnt[3293][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3293][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3293][3]~72987\,
	combout => \led_flash_cnt[3293][4]~72988_combout\,
	cout => \led_flash_cnt[3293][4]~72989\);

-- Location: FF_X40_Y19_N23
\led_flash_cnt[3293][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3293][4]~72988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3293][4]~q\);

-- Location: LCCOMB_X40_Y19_N24
\led_flash_cnt[3293][5]~72990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3293][5]~72990_combout\ = (\led_flash_cnt[3293][5]~q\ & (\led_flash_cnt[3293][4]~72989\ $ (GND))) # (!\led_flash_cnt[3293][5]~q\ & (!\led_flash_cnt[3293][4]~72989\ & VCC))
-- \led_flash_cnt[3293][5]~72991\ = CARRY((\led_flash_cnt[3293][5]~q\ & !\led_flash_cnt[3293][4]~72989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3293][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3293][4]~72989\,
	combout => \led_flash_cnt[3293][5]~72990_combout\,
	cout => \led_flash_cnt[3293][5]~72991\);

-- Location: FF_X40_Y19_N25
\led_flash_cnt[3293][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3293][5]~72990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3293][5]~q\);

-- Location: LCCOMB_X40_Y19_N26
\led_flash_cnt[3293][6]~72992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3293][6]~72992_combout\ = (\led_flash_cnt[3293][6]~q\ & (!\led_flash_cnt[3293][5]~72991\)) # (!\led_flash_cnt[3293][6]~q\ & ((\led_flash_cnt[3293][5]~72991\) # (GND)))
-- \led_flash_cnt[3293][6]~72993\ = CARRY((!\led_flash_cnt[3293][5]~72991\) # (!\led_flash_cnt[3293][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3293][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3293][5]~72991\,
	combout => \led_flash_cnt[3293][6]~72992_combout\,
	cout => \led_flash_cnt[3293][6]~72993\);

-- Location: FF_X40_Y19_N27
\led_flash_cnt[3293][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3293][6]~72992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3293][6]~q\);

-- Location: LCCOMB_X41_Y19_N10
\WideAnd3293~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3293~1_combout\ = (\led_flash_cnt[3293][6]~q\ & \led_flash_cnt[3293][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3293][6]~q\,
	datad => \led_flash_cnt[3293][5]~q\,
	combout => \WideAnd3293~1_combout\);

-- Location: LCCOMB_X40_Y19_N28
\led_flash_cnt[3293][7]~72994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3293][7]~72994_combout\ = \led_flash_cnt[3293][6]~72993\ $ (!\led_flash_cnt[3293][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3293][7]~q\,
	cin => \led_flash_cnt[3293][6]~72993\,
	combout => \led_flash_cnt[3293][7]~72994_combout\);

-- Location: FF_X40_Y19_N29
\led_flash_cnt[3293][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3293][7]~72994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3293][7]~q\);

-- Location: LCCOMB_X41_Y19_N0
\WideAnd3293~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3293~0_combout\ = (\led_flash_cnt[3293][4]~q\ & (\led_flash_cnt[3293][3]~q\ & (\led_flash_cnt[3293][1]~q\ & \led_flash_cnt[3293][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3293][4]~q\,
	datab => \led_flash_cnt[3293][3]~q\,
	datac => \led_flash_cnt[3293][1]~q\,
	datad => \led_flash_cnt[3293][2]~q\,
	combout => \WideAnd3293~0_combout\);

-- Location: LCCOMB_X41_Y19_N6
WideAnd3293 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3293~combout\ = (\WideAnd3293~1_combout\ & (\led_flash_cnt[3293][7]~q\ & (\led_flash_cnt[3293][0]~q\ & \WideAnd3293~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3293~1_combout\,
	datab => \led_flash_cnt[3293][7]~q\,
	datac => \led_flash_cnt[3293][0]~q\,
	datad => \WideAnd3293~0_combout\,
	combout => \WideAnd3293~combout\);

-- Location: FF_X41_Y19_N7
\led_flash_cnt_ands[3293]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3293~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3293));

-- Location: LCCOMB_X41_Y22_N28
\WideAnd4251~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4251~1_combout\ = (led_flash_cnt_ands(3292) & led_flash_cnt_ands(3293))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3292),
	datad => led_flash_cnt_ands(3293),
	combout => \WideAnd4251~1_combout\);

-- Location: LCCOMB_X45_Y53_N4
\led_flash_cnt[3291][0]~83931\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3291][0]~83931_combout\ = !\led_flash_cnt[3291][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3291][0]~q\,
	combout => \led_flash_cnt[3291][0]~83931_combout\);

-- Location: FF_X45_Y53_N5
\led_flash_cnt[3291][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3291][0]~83931_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3291][0]~q\);

-- Location: LCCOMB_X45_Y50_N10
\led_flash_cnt[3291][1]~72954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3291][1]~72954_combout\ = (\led_flash_cnt[3291][1]~q\ & (\led_flash_cnt[3291][0]~q\ $ (VCC))) # (!\led_flash_cnt[3291][1]~q\ & (\led_flash_cnt[3291][0]~q\ & VCC))
-- \led_flash_cnt[3291][1]~72955\ = CARRY((\led_flash_cnt[3291][1]~q\ & \led_flash_cnt[3291][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3291][1]~q\,
	datab => \led_flash_cnt[3291][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3291][1]~72954_combout\,
	cout => \led_flash_cnt[3291][1]~72955\);

-- Location: FF_X45_Y50_N11
\led_flash_cnt[3291][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3291][1]~72954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3291][1]~q\);

-- Location: LCCOMB_X45_Y50_N12
\led_flash_cnt[3291][2]~72956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3291][2]~72956_combout\ = (\led_flash_cnt[3291][2]~q\ & (!\led_flash_cnt[3291][1]~72955\)) # (!\led_flash_cnt[3291][2]~q\ & ((\led_flash_cnt[3291][1]~72955\) # (GND)))
-- \led_flash_cnt[3291][2]~72957\ = CARRY((!\led_flash_cnt[3291][1]~72955\) # (!\led_flash_cnt[3291][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3291][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3291][1]~72955\,
	combout => \led_flash_cnt[3291][2]~72956_combout\,
	cout => \led_flash_cnt[3291][2]~72957\);

-- Location: FF_X45_Y50_N13
\led_flash_cnt[3291][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3291][2]~72956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3291][2]~q\);

-- Location: LCCOMB_X45_Y50_N14
\led_flash_cnt[3291][3]~72958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3291][3]~72958_combout\ = (\led_flash_cnt[3291][3]~q\ & (\led_flash_cnt[3291][2]~72957\ $ (GND))) # (!\led_flash_cnt[3291][3]~q\ & (!\led_flash_cnt[3291][2]~72957\ & VCC))
-- \led_flash_cnt[3291][3]~72959\ = CARRY((\led_flash_cnt[3291][3]~q\ & !\led_flash_cnt[3291][2]~72957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3291][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3291][2]~72957\,
	combout => \led_flash_cnt[3291][3]~72958_combout\,
	cout => \led_flash_cnt[3291][3]~72959\);

-- Location: FF_X45_Y50_N15
\led_flash_cnt[3291][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3291][3]~72958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3291][3]~q\);

-- Location: LCCOMB_X45_Y50_N16
\led_flash_cnt[3291][4]~72960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3291][4]~72960_combout\ = (\led_flash_cnt[3291][4]~q\ & (!\led_flash_cnt[3291][3]~72959\)) # (!\led_flash_cnt[3291][4]~q\ & ((\led_flash_cnt[3291][3]~72959\) # (GND)))
-- \led_flash_cnt[3291][4]~72961\ = CARRY((!\led_flash_cnt[3291][3]~72959\) # (!\led_flash_cnt[3291][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3291][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3291][3]~72959\,
	combout => \led_flash_cnt[3291][4]~72960_combout\,
	cout => \led_flash_cnt[3291][4]~72961\);

-- Location: FF_X45_Y50_N17
\led_flash_cnt[3291][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3291][4]~72960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3291][4]~q\);

-- Location: LCCOMB_X45_Y50_N18
\led_flash_cnt[3291][5]~72962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3291][5]~72962_combout\ = (\led_flash_cnt[3291][5]~q\ & (\led_flash_cnt[3291][4]~72961\ $ (GND))) # (!\led_flash_cnt[3291][5]~q\ & (!\led_flash_cnt[3291][4]~72961\ & VCC))
-- \led_flash_cnt[3291][5]~72963\ = CARRY((\led_flash_cnt[3291][5]~q\ & !\led_flash_cnt[3291][4]~72961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3291][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3291][4]~72961\,
	combout => \led_flash_cnt[3291][5]~72962_combout\,
	cout => \led_flash_cnt[3291][5]~72963\);

-- Location: FF_X45_Y50_N19
\led_flash_cnt[3291][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3291][5]~72962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3291][5]~q\);

-- Location: LCCOMB_X45_Y50_N20
\led_flash_cnt[3291][6]~72964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3291][6]~72964_combout\ = (\led_flash_cnt[3291][6]~q\ & (!\led_flash_cnt[3291][5]~72963\)) # (!\led_flash_cnt[3291][6]~q\ & ((\led_flash_cnt[3291][5]~72963\) # (GND)))
-- \led_flash_cnt[3291][6]~72965\ = CARRY((!\led_flash_cnt[3291][5]~72963\) # (!\led_flash_cnt[3291][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3291][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3291][5]~72963\,
	combout => \led_flash_cnt[3291][6]~72964_combout\,
	cout => \led_flash_cnt[3291][6]~72965\);

-- Location: FF_X45_Y50_N21
\led_flash_cnt[3291][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3291][6]~72964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3291][6]~q\);

-- Location: LCCOMB_X45_Y50_N22
\led_flash_cnt[3291][7]~72966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3291][7]~72966_combout\ = \led_flash_cnt[3291][7]~q\ $ (!\led_flash_cnt[3291][6]~72965\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3291][7]~q\,
	cin => \led_flash_cnt[3291][6]~72965\,
	combout => \led_flash_cnt[3291][7]~72966_combout\);

-- Location: FF_X45_Y50_N23
\led_flash_cnt[3291][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3291][7]~72966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3291][7]~q\);

-- Location: LCCOMB_X45_Y50_N28
\WideAnd3291~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3291~0_combout\ = (\led_flash_cnt[3291][1]~q\ & (\led_flash_cnt[3291][4]~q\ & (\led_flash_cnt[3291][3]~q\ & \led_flash_cnt[3291][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3291][1]~q\,
	datab => \led_flash_cnt[3291][4]~q\,
	datac => \led_flash_cnt[3291][3]~q\,
	datad => \led_flash_cnt[3291][2]~q\,
	combout => \WideAnd3291~0_combout\);

-- Location: LCCOMB_X45_Y50_N2
\WideAnd3291~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3291~1_combout\ = (\led_flash_cnt[3291][6]~q\ & \led_flash_cnt[3291][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3291][6]~q\,
	datad => \led_flash_cnt[3291][5]~q\,
	combout => \WideAnd3291~1_combout\);

-- Location: LCCOMB_X45_Y50_N26
WideAnd3291 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3291~combout\ = (\led_flash_cnt[3291][7]~q\ & (\WideAnd3291~0_combout\ & (\led_flash_cnt[3291][0]~q\ & \WideAnd3291~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3291][7]~q\,
	datab => \WideAnd3291~0_combout\,
	datac => \led_flash_cnt[3291][0]~q\,
	datad => \WideAnd3291~1_combout\,
	combout => \WideAnd3291~combout\);

-- Location: FF_X45_Y50_N27
\led_flash_cnt_ands[3291]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3291~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3291));

-- Location: LCCOMB_X44_Y51_N6
\led_flash_cnt[3288][0]~83928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3288][0]~83928_combout\ = !\led_flash_cnt[3288][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3288][0]~q\,
	combout => \led_flash_cnt[3288][0]~83928_combout\);

-- Location: FF_X44_Y51_N7
\led_flash_cnt[3288][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3288][0]~83928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3288][0]~q\);

-- Location: LCCOMB_X45_Y51_N0
\led_flash_cnt[3288][1]~72912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3288][1]~72912_combout\ = (\led_flash_cnt[3288][0]~q\ & (\led_flash_cnt[3288][1]~q\ $ (VCC))) # (!\led_flash_cnt[3288][0]~q\ & (\led_flash_cnt[3288][1]~q\ & VCC))
-- \led_flash_cnt[3288][1]~72913\ = CARRY((\led_flash_cnt[3288][0]~q\ & \led_flash_cnt[3288][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3288][0]~q\,
	datab => \led_flash_cnt[3288][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3288][1]~72912_combout\,
	cout => \led_flash_cnt[3288][1]~72913\);

-- Location: FF_X45_Y51_N1
\led_flash_cnt[3288][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3288][1]~72912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3288][1]~q\);

-- Location: LCCOMB_X45_Y51_N2
\led_flash_cnt[3288][2]~72914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3288][2]~72914_combout\ = (\led_flash_cnt[3288][2]~q\ & (!\led_flash_cnt[3288][1]~72913\)) # (!\led_flash_cnt[3288][2]~q\ & ((\led_flash_cnt[3288][1]~72913\) # (GND)))
-- \led_flash_cnt[3288][2]~72915\ = CARRY((!\led_flash_cnt[3288][1]~72913\) # (!\led_flash_cnt[3288][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3288][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3288][1]~72913\,
	combout => \led_flash_cnt[3288][2]~72914_combout\,
	cout => \led_flash_cnt[3288][2]~72915\);

-- Location: FF_X45_Y51_N3
\led_flash_cnt[3288][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3288][2]~72914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3288][2]~q\);

-- Location: LCCOMB_X45_Y51_N4
\led_flash_cnt[3288][3]~72916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3288][3]~72916_combout\ = (\led_flash_cnt[3288][3]~q\ & (\led_flash_cnt[3288][2]~72915\ $ (GND))) # (!\led_flash_cnt[3288][3]~q\ & (!\led_flash_cnt[3288][2]~72915\ & VCC))
-- \led_flash_cnt[3288][3]~72917\ = CARRY((\led_flash_cnt[3288][3]~q\ & !\led_flash_cnt[3288][2]~72915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3288][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3288][2]~72915\,
	combout => \led_flash_cnt[3288][3]~72916_combout\,
	cout => \led_flash_cnt[3288][3]~72917\);

-- Location: FF_X45_Y51_N5
\led_flash_cnt[3288][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3288][3]~72916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3288][3]~q\);

-- Location: LCCOMB_X45_Y51_N6
\led_flash_cnt[3288][4]~72918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3288][4]~72918_combout\ = (\led_flash_cnt[3288][4]~q\ & (!\led_flash_cnt[3288][3]~72917\)) # (!\led_flash_cnt[3288][4]~q\ & ((\led_flash_cnt[3288][3]~72917\) # (GND)))
-- \led_flash_cnt[3288][4]~72919\ = CARRY((!\led_flash_cnt[3288][3]~72917\) # (!\led_flash_cnt[3288][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3288][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3288][3]~72917\,
	combout => \led_flash_cnt[3288][4]~72918_combout\,
	cout => \led_flash_cnt[3288][4]~72919\);

-- Location: FF_X45_Y51_N7
\led_flash_cnt[3288][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3288][4]~72918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3288][4]~q\);

-- Location: LCCOMB_X45_Y51_N8
\led_flash_cnt[3288][5]~72920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3288][5]~72920_combout\ = (\led_flash_cnt[3288][5]~q\ & (\led_flash_cnt[3288][4]~72919\ $ (GND))) # (!\led_flash_cnt[3288][5]~q\ & (!\led_flash_cnt[3288][4]~72919\ & VCC))
-- \led_flash_cnt[3288][5]~72921\ = CARRY((\led_flash_cnt[3288][5]~q\ & !\led_flash_cnt[3288][4]~72919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3288][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3288][4]~72919\,
	combout => \led_flash_cnt[3288][5]~72920_combout\,
	cout => \led_flash_cnt[3288][5]~72921\);

-- Location: FF_X45_Y51_N9
\led_flash_cnt[3288][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3288][5]~72920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3288][5]~q\);

-- Location: LCCOMB_X45_Y51_N10
\led_flash_cnt[3288][6]~72922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3288][6]~72922_combout\ = (\led_flash_cnt[3288][6]~q\ & (!\led_flash_cnt[3288][5]~72921\)) # (!\led_flash_cnt[3288][6]~q\ & ((\led_flash_cnt[3288][5]~72921\) # (GND)))
-- \led_flash_cnt[3288][6]~72923\ = CARRY((!\led_flash_cnt[3288][5]~72921\) # (!\led_flash_cnt[3288][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3288][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3288][5]~72921\,
	combout => \led_flash_cnt[3288][6]~72922_combout\,
	cout => \led_flash_cnt[3288][6]~72923\);

-- Location: FF_X45_Y51_N11
\led_flash_cnt[3288][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3288][6]~72922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3288][6]~q\);

-- Location: LCCOMB_X44_Y51_N4
\WideAnd3288~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3288~1_combout\ = (\led_flash_cnt[3288][5]~q\ & \led_flash_cnt[3288][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3288][5]~q\,
	datac => \led_flash_cnt[3288][6]~q\,
	combout => \WideAnd3288~1_combout\);

-- Location: LCCOMB_X45_Y51_N12
\led_flash_cnt[3288][7]~72924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3288][7]~72924_combout\ = \led_flash_cnt[3288][6]~72923\ $ (!\led_flash_cnt[3288][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3288][7]~q\,
	cin => \led_flash_cnt[3288][6]~72923\,
	combout => \led_flash_cnt[3288][7]~72924_combout\);

-- Location: FF_X45_Y51_N13
\led_flash_cnt[3288][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3288][7]~72924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3288][7]~q\);

-- Location: LCCOMB_X45_Y51_N16
\WideAnd3288~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3288~0_combout\ = (\led_flash_cnt[3288][4]~q\ & (\led_flash_cnt[3288][2]~q\ & (\led_flash_cnt[3288][3]~q\ & \led_flash_cnt[3288][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3288][4]~q\,
	datab => \led_flash_cnt[3288][2]~q\,
	datac => \led_flash_cnt[3288][3]~q\,
	datad => \led_flash_cnt[3288][1]~q\,
	combout => \WideAnd3288~0_combout\);

-- Location: LCCOMB_X44_Y51_N28
WideAnd3288 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3288~combout\ = (\led_flash_cnt[3288][0]~q\ & (\WideAnd3288~1_combout\ & (\led_flash_cnt[3288][7]~q\ & \WideAnd3288~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3288][0]~q\,
	datab => \WideAnd3288~1_combout\,
	datac => \led_flash_cnt[3288][7]~q\,
	datad => \WideAnd3288~0_combout\,
	combout => \WideAnd3288~combout\);

-- Location: FF_X44_Y51_N29
\led_flash_cnt_ands[3288]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3288~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3288));

-- Location: LCCOMB_X45_Y50_N4
\led_flash_cnt[3290][0]~83930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3290][0]~83930_combout\ = !\led_flash_cnt[3290][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3290][0]~q\,
	combout => \led_flash_cnt[3290][0]~83930_combout\);

-- Location: FF_X45_Y50_N5
\led_flash_cnt[3290][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3290][0]~83930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3290][0]~q\);

-- Location: LCCOMB_X44_Y50_N4
\led_flash_cnt[3290][1]~72940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3290][1]~72940_combout\ = (\led_flash_cnt[3290][0]~q\ & (\led_flash_cnt[3290][1]~q\ $ (VCC))) # (!\led_flash_cnt[3290][0]~q\ & (\led_flash_cnt[3290][1]~q\ & VCC))
-- \led_flash_cnt[3290][1]~72941\ = CARRY((\led_flash_cnt[3290][0]~q\ & \led_flash_cnt[3290][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3290][0]~q\,
	datab => \led_flash_cnt[3290][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3290][1]~72940_combout\,
	cout => \led_flash_cnt[3290][1]~72941\);

-- Location: FF_X44_Y50_N5
\led_flash_cnt[3290][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3290][1]~72940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3290][1]~q\);

-- Location: LCCOMB_X44_Y50_N6
\led_flash_cnt[3290][2]~72942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3290][2]~72942_combout\ = (\led_flash_cnt[3290][2]~q\ & (!\led_flash_cnt[3290][1]~72941\)) # (!\led_flash_cnt[3290][2]~q\ & ((\led_flash_cnt[3290][1]~72941\) # (GND)))
-- \led_flash_cnt[3290][2]~72943\ = CARRY((!\led_flash_cnt[3290][1]~72941\) # (!\led_flash_cnt[3290][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3290][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3290][1]~72941\,
	combout => \led_flash_cnt[3290][2]~72942_combout\,
	cout => \led_flash_cnt[3290][2]~72943\);

-- Location: FF_X44_Y50_N7
\led_flash_cnt[3290][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3290][2]~72942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3290][2]~q\);

-- Location: LCCOMB_X44_Y50_N8
\led_flash_cnt[3290][3]~72944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3290][3]~72944_combout\ = (\led_flash_cnt[3290][3]~q\ & (\led_flash_cnt[3290][2]~72943\ $ (GND))) # (!\led_flash_cnt[3290][3]~q\ & (!\led_flash_cnt[3290][2]~72943\ & VCC))
-- \led_flash_cnt[3290][3]~72945\ = CARRY((\led_flash_cnt[3290][3]~q\ & !\led_flash_cnt[3290][2]~72943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3290][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3290][2]~72943\,
	combout => \led_flash_cnt[3290][3]~72944_combout\,
	cout => \led_flash_cnt[3290][3]~72945\);

-- Location: FF_X44_Y50_N9
\led_flash_cnt[3290][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3290][3]~72944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3290][3]~q\);

-- Location: LCCOMB_X44_Y50_N10
\led_flash_cnt[3290][4]~72946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3290][4]~72946_combout\ = (\led_flash_cnt[3290][4]~q\ & (!\led_flash_cnt[3290][3]~72945\)) # (!\led_flash_cnt[3290][4]~q\ & ((\led_flash_cnt[3290][3]~72945\) # (GND)))
-- \led_flash_cnt[3290][4]~72947\ = CARRY((!\led_flash_cnt[3290][3]~72945\) # (!\led_flash_cnt[3290][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3290][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3290][3]~72945\,
	combout => \led_flash_cnt[3290][4]~72946_combout\,
	cout => \led_flash_cnt[3290][4]~72947\);

-- Location: FF_X44_Y50_N11
\led_flash_cnt[3290][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3290][4]~72946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3290][4]~q\);

-- Location: LCCOMB_X44_Y50_N0
\WideAnd3290~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3290~0_combout\ = (\led_flash_cnt[3290][2]~q\ & (\led_flash_cnt[3290][3]~q\ & (\led_flash_cnt[3290][1]~q\ & \led_flash_cnt[3290][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3290][2]~q\,
	datab => \led_flash_cnt[3290][3]~q\,
	datac => \led_flash_cnt[3290][1]~q\,
	datad => \led_flash_cnt[3290][4]~q\,
	combout => \WideAnd3290~0_combout\);

-- Location: LCCOMB_X44_Y50_N12
\led_flash_cnt[3290][5]~72948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3290][5]~72948_combout\ = (\led_flash_cnt[3290][5]~q\ & (\led_flash_cnt[3290][4]~72947\ $ (GND))) # (!\led_flash_cnt[3290][5]~q\ & (!\led_flash_cnt[3290][4]~72947\ & VCC))
-- \led_flash_cnt[3290][5]~72949\ = CARRY((\led_flash_cnt[3290][5]~q\ & !\led_flash_cnt[3290][4]~72947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3290][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3290][4]~72947\,
	combout => \led_flash_cnt[3290][5]~72948_combout\,
	cout => \led_flash_cnt[3290][5]~72949\);

-- Location: FF_X44_Y50_N13
\led_flash_cnt[3290][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3290][5]~72948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3290][5]~q\);

-- Location: LCCOMB_X44_Y50_N14
\led_flash_cnt[3290][6]~72950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3290][6]~72950_combout\ = (\led_flash_cnt[3290][6]~q\ & (!\led_flash_cnt[3290][5]~72949\)) # (!\led_flash_cnt[3290][6]~q\ & ((\led_flash_cnt[3290][5]~72949\) # (GND)))
-- \led_flash_cnt[3290][6]~72951\ = CARRY((!\led_flash_cnt[3290][5]~72949\) # (!\led_flash_cnt[3290][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3290][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3290][5]~72949\,
	combout => \led_flash_cnt[3290][6]~72950_combout\,
	cout => \led_flash_cnt[3290][6]~72951\);

-- Location: FF_X44_Y50_N15
\led_flash_cnt[3290][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3290][6]~72950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3290][6]~q\);

-- Location: LCCOMB_X45_Y50_N8
\WideAnd3290~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3290~1_combout\ = (\led_flash_cnt[3290][5]~q\ & \led_flash_cnt[3290][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3290][5]~q\,
	datad => \led_flash_cnt[3290][6]~q\,
	combout => \WideAnd3290~1_combout\);

-- Location: LCCOMB_X44_Y50_N16
\led_flash_cnt[3290][7]~72952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3290][7]~72952_combout\ = \led_flash_cnt[3290][6]~72951\ $ (!\led_flash_cnt[3290][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3290][7]~q\,
	cin => \led_flash_cnt[3290][6]~72951\,
	combout => \led_flash_cnt[3290][7]~72952_combout\);

-- Location: FF_X44_Y50_N17
\led_flash_cnt[3290][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3290][7]~72952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3290][7]~q\);

-- Location: LCCOMB_X45_Y50_N30
WideAnd3290 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3290~combout\ = (\WideAnd3290~0_combout\ & (\WideAnd3290~1_combout\ & (\led_flash_cnt[3290][0]~q\ & \led_flash_cnt[3290][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3290~0_combout\,
	datab => \WideAnd3290~1_combout\,
	datac => \led_flash_cnt[3290][0]~q\,
	datad => \led_flash_cnt[3290][7]~q\,
	combout => \WideAnd3290~combout\);

-- Location: FF_X45_Y50_N31
\led_flash_cnt_ands[3290]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3290~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3290));

-- Location: LCCOMB_X47_Y50_N4
\led_flash_cnt[3289][0]~83929\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3289][0]~83929_combout\ = !\led_flash_cnt[3289][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3289][0]~q\,
	combout => \led_flash_cnt[3289][0]~83929_combout\);

-- Location: FF_X47_Y50_N5
\led_flash_cnt[3289][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3289][0]~83929_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3289][0]~q\);

-- Location: LCCOMB_X46_Y50_N0
\led_flash_cnt[3289][1]~72926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3289][1]~72926_combout\ = (\led_flash_cnt[3289][0]~q\ & (\led_flash_cnt[3289][1]~q\ $ (VCC))) # (!\led_flash_cnt[3289][0]~q\ & (\led_flash_cnt[3289][1]~q\ & VCC))
-- \led_flash_cnt[3289][1]~72927\ = CARRY((\led_flash_cnt[3289][0]~q\ & \led_flash_cnt[3289][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3289][0]~q\,
	datab => \led_flash_cnt[3289][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3289][1]~72926_combout\,
	cout => \led_flash_cnt[3289][1]~72927\);

-- Location: FF_X46_Y50_N1
\led_flash_cnt[3289][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3289][1]~72926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3289][1]~q\);

-- Location: LCCOMB_X46_Y50_N2
\led_flash_cnt[3289][2]~72928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3289][2]~72928_combout\ = (\led_flash_cnt[3289][2]~q\ & (!\led_flash_cnt[3289][1]~72927\)) # (!\led_flash_cnt[3289][2]~q\ & ((\led_flash_cnt[3289][1]~72927\) # (GND)))
-- \led_flash_cnt[3289][2]~72929\ = CARRY((!\led_flash_cnt[3289][1]~72927\) # (!\led_flash_cnt[3289][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3289][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3289][1]~72927\,
	combout => \led_flash_cnt[3289][2]~72928_combout\,
	cout => \led_flash_cnt[3289][2]~72929\);

-- Location: FF_X46_Y50_N3
\led_flash_cnt[3289][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3289][2]~72928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3289][2]~q\);

-- Location: LCCOMB_X46_Y50_N4
\led_flash_cnt[3289][3]~72930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3289][3]~72930_combout\ = (\led_flash_cnt[3289][3]~q\ & (\led_flash_cnt[3289][2]~72929\ $ (GND))) # (!\led_flash_cnt[3289][3]~q\ & (!\led_flash_cnt[3289][2]~72929\ & VCC))
-- \led_flash_cnt[3289][3]~72931\ = CARRY((\led_flash_cnt[3289][3]~q\ & !\led_flash_cnt[3289][2]~72929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3289][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3289][2]~72929\,
	combout => \led_flash_cnt[3289][3]~72930_combout\,
	cout => \led_flash_cnt[3289][3]~72931\);

-- Location: FF_X46_Y50_N5
\led_flash_cnt[3289][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3289][3]~72930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3289][3]~q\);

-- Location: LCCOMB_X46_Y50_N6
\led_flash_cnt[3289][4]~72932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3289][4]~72932_combout\ = (\led_flash_cnt[3289][4]~q\ & (!\led_flash_cnt[3289][3]~72931\)) # (!\led_flash_cnt[3289][4]~q\ & ((\led_flash_cnt[3289][3]~72931\) # (GND)))
-- \led_flash_cnt[3289][4]~72933\ = CARRY((!\led_flash_cnt[3289][3]~72931\) # (!\led_flash_cnt[3289][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3289][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3289][3]~72931\,
	combout => \led_flash_cnt[3289][4]~72932_combout\,
	cout => \led_flash_cnt[3289][4]~72933\);

-- Location: FF_X46_Y50_N7
\led_flash_cnt[3289][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3289][4]~72932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3289][4]~q\);

-- Location: LCCOMB_X46_Y50_N8
\led_flash_cnt[3289][5]~72934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3289][5]~72934_combout\ = (\led_flash_cnt[3289][5]~q\ & (\led_flash_cnt[3289][4]~72933\ $ (GND))) # (!\led_flash_cnt[3289][5]~q\ & (!\led_flash_cnt[3289][4]~72933\ & VCC))
-- \led_flash_cnt[3289][5]~72935\ = CARRY((\led_flash_cnt[3289][5]~q\ & !\led_flash_cnt[3289][4]~72933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3289][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3289][4]~72933\,
	combout => \led_flash_cnt[3289][5]~72934_combout\,
	cout => \led_flash_cnt[3289][5]~72935\);

-- Location: FF_X46_Y50_N9
\led_flash_cnt[3289][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3289][5]~72934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3289][5]~q\);

-- Location: LCCOMB_X46_Y50_N10
\led_flash_cnt[3289][6]~72936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3289][6]~72936_combout\ = (\led_flash_cnt[3289][6]~q\ & (!\led_flash_cnt[3289][5]~72935\)) # (!\led_flash_cnt[3289][6]~q\ & ((\led_flash_cnt[3289][5]~72935\) # (GND)))
-- \led_flash_cnt[3289][6]~72937\ = CARRY((!\led_flash_cnt[3289][5]~72935\) # (!\led_flash_cnt[3289][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3289][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3289][5]~72935\,
	combout => \led_flash_cnt[3289][6]~72936_combout\,
	cout => \led_flash_cnt[3289][6]~72937\);

-- Location: FF_X46_Y50_N11
\led_flash_cnt[3289][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3289][6]~72936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3289][6]~q\);

-- Location: LCCOMB_X46_Y50_N12
\led_flash_cnt[3289][7]~72938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3289][7]~72938_combout\ = \led_flash_cnt[3289][6]~72937\ $ (!\led_flash_cnt[3289][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3289][7]~q\,
	cin => \led_flash_cnt[3289][6]~72937\,
	combout => \led_flash_cnt[3289][7]~72938_combout\);

-- Location: FF_X46_Y50_N13
\led_flash_cnt[3289][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3289][7]~72938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3289][7]~q\);

-- Location: LCCOMB_X46_Y50_N14
\WideAnd3289~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3289~0_combout\ = (\led_flash_cnt[3289][4]~q\ & (\led_flash_cnt[3289][2]~q\ & (\led_flash_cnt[3289][3]~q\ & \led_flash_cnt[3289][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3289][4]~q\,
	datab => \led_flash_cnt[3289][2]~q\,
	datac => \led_flash_cnt[3289][3]~q\,
	datad => \led_flash_cnt[3289][1]~q\,
	combout => \WideAnd3289~0_combout\);

-- Location: LCCOMB_X45_Y50_N0
\WideAnd3289~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3289~1_combout\ = (\led_flash_cnt[3289][5]~q\ & \led_flash_cnt[3289][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3289][5]~q\,
	datac => \led_flash_cnt[3289][6]~q\,
	combout => \WideAnd3289~1_combout\);

-- Location: LCCOMB_X46_Y50_N16
WideAnd3289 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3289~combout\ = (\led_flash_cnt[3289][7]~q\ & (\WideAnd3289~0_combout\ & (\WideAnd3289~1_combout\ & \led_flash_cnt[3289][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3289][7]~q\,
	datab => \WideAnd3289~0_combout\,
	datac => \WideAnd3289~1_combout\,
	datad => \led_flash_cnt[3289][0]~q\,
	combout => \WideAnd3289~combout\);

-- Location: FF_X46_Y50_N17
\led_flash_cnt_ands[3289]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3289~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3289));

-- Location: LCCOMB_X45_Y50_N6
\WideAnd4251~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4251~0_combout\ = (led_flash_cnt_ands(3291) & (led_flash_cnt_ands(3288) & (led_flash_cnt_ands(3290) & led_flash_cnt_ands(3289))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3291),
	datab => led_flash_cnt_ands(3288),
	datac => led_flash_cnt_ands(3290),
	datad => led_flash_cnt_ands(3289),
	combout => \WideAnd4251~0_combout\);

-- Location: LCCOMB_X55_Y29_N26
\led_flash_cnt[3294][0]~83934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3294][0]~83934_combout\ = !\led_flash_cnt[3294][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3294][0]~q\,
	combout => \led_flash_cnt[3294][0]~83934_combout\);

-- Location: FF_X55_Y29_N27
\led_flash_cnt[3294][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3294][0]~83934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3294][0]~q\);

-- Location: LCCOMB_X55_Y29_N2
\led_flash_cnt[3294][1]~72996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3294][1]~72996_combout\ = (\led_flash_cnt[3294][0]~q\ & (\led_flash_cnt[3294][1]~q\ $ (VCC))) # (!\led_flash_cnt[3294][0]~q\ & (\led_flash_cnt[3294][1]~q\ & VCC))
-- \led_flash_cnt[3294][1]~72997\ = CARRY((\led_flash_cnt[3294][0]~q\ & \led_flash_cnt[3294][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3294][0]~q\,
	datab => \led_flash_cnt[3294][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3294][1]~72996_combout\,
	cout => \led_flash_cnt[3294][1]~72997\);

-- Location: FF_X55_Y29_N3
\led_flash_cnt[3294][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3294][1]~72996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3294][1]~q\);

-- Location: LCCOMB_X55_Y29_N4
\led_flash_cnt[3294][2]~72998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3294][2]~72998_combout\ = (\led_flash_cnt[3294][2]~q\ & (!\led_flash_cnt[3294][1]~72997\)) # (!\led_flash_cnt[3294][2]~q\ & ((\led_flash_cnt[3294][1]~72997\) # (GND)))
-- \led_flash_cnt[3294][2]~72999\ = CARRY((!\led_flash_cnt[3294][1]~72997\) # (!\led_flash_cnt[3294][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3294][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3294][1]~72997\,
	combout => \led_flash_cnt[3294][2]~72998_combout\,
	cout => \led_flash_cnt[3294][2]~72999\);

-- Location: FF_X55_Y29_N5
\led_flash_cnt[3294][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3294][2]~72998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3294][2]~q\);

-- Location: LCCOMB_X55_Y29_N6
\led_flash_cnt[3294][3]~73000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3294][3]~73000_combout\ = (\led_flash_cnt[3294][3]~q\ & (\led_flash_cnt[3294][2]~72999\ $ (GND))) # (!\led_flash_cnt[3294][3]~q\ & (!\led_flash_cnt[3294][2]~72999\ & VCC))
-- \led_flash_cnt[3294][3]~73001\ = CARRY((\led_flash_cnt[3294][3]~q\ & !\led_flash_cnt[3294][2]~72999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3294][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3294][2]~72999\,
	combout => \led_flash_cnt[3294][3]~73000_combout\,
	cout => \led_flash_cnt[3294][3]~73001\);

-- Location: FF_X55_Y29_N7
\led_flash_cnt[3294][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3294][3]~73000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3294][3]~q\);

-- Location: LCCOMB_X55_Y29_N8
\led_flash_cnt[3294][4]~73002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3294][4]~73002_combout\ = (\led_flash_cnt[3294][4]~q\ & (!\led_flash_cnt[3294][3]~73001\)) # (!\led_flash_cnt[3294][4]~q\ & ((\led_flash_cnt[3294][3]~73001\) # (GND)))
-- \led_flash_cnt[3294][4]~73003\ = CARRY((!\led_flash_cnt[3294][3]~73001\) # (!\led_flash_cnt[3294][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3294][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3294][3]~73001\,
	combout => \led_flash_cnt[3294][4]~73002_combout\,
	cout => \led_flash_cnt[3294][4]~73003\);

-- Location: FF_X55_Y29_N9
\led_flash_cnt[3294][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3294][4]~73002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3294][4]~q\);

-- Location: LCCOMB_X55_Y29_N16
\WideAnd3294~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3294~0_combout\ = (\led_flash_cnt[3294][3]~q\ & (\led_flash_cnt[3294][2]~q\ & (\led_flash_cnt[3294][4]~q\ & \led_flash_cnt[3294][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3294][3]~q\,
	datab => \led_flash_cnt[3294][2]~q\,
	datac => \led_flash_cnt[3294][4]~q\,
	datad => \led_flash_cnt[3294][1]~q\,
	combout => \WideAnd3294~0_combout\);

-- Location: LCCOMB_X55_Y29_N10
\led_flash_cnt[3294][5]~73004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3294][5]~73004_combout\ = (\led_flash_cnt[3294][5]~q\ & (\led_flash_cnt[3294][4]~73003\ $ (GND))) # (!\led_flash_cnt[3294][5]~q\ & (!\led_flash_cnt[3294][4]~73003\ & VCC))
-- \led_flash_cnt[3294][5]~73005\ = CARRY((\led_flash_cnt[3294][5]~q\ & !\led_flash_cnt[3294][4]~73003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3294][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3294][4]~73003\,
	combout => \led_flash_cnt[3294][5]~73004_combout\,
	cout => \led_flash_cnt[3294][5]~73005\);

-- Location: FF_X55_Y29_N11
\led_flash_cnt[3294][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3294][5]~73004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3294][5]~q\);

-- Location: LCCOMB_X55_Y29_N12
\led_flash_cnt[3294][6]~73006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3294][6]~73006_combout\ = (\led_flash_cnt[3294][6]~q\ & (!\led_flash_cnt[3294][5]~73005\)) # (!\led_flash_cnt[3294][6]~q\ & ((\led_flash_cnt[3294][5]~73005\) # (GND)))
-- \led_flash_cnt[3294][6]~73007\ = CARRY((!\led_flash_cnt[3294][5]~73005\) # (!\led_flash_cnt[3294][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3294][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3294][5]~73005\,
	combout => \led_flash_cnt[3294][6]~73006_combout\,
	cout => \led_flash_cnt[3294][6]~73007\);

-- Location: FF_X55_Y29_N13
\led_flash_cnt[3294][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3294][6]~73006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3294][6]~q\);

-- Location: LCCOMB_X55_Y29_N14
\led_flash_cnt[3294][7]~73008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3294][7]~73008_combout\ = \led_flash_cnt[3294][7]~q\ $ (!\led_flash_cnt[3294][6]~73007\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3294][7]~q\,
	cin => \led_flash_cnt[3294][6]~73007\,
	combout => \led_flash_cnt[3294][7]~73008_combout\);

-- Location: FF_X55_Y29_N15
\led_flash_cnt[3294][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3294][7]~73008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3294][7]~q\);

-- Location: LCCOMB_X55_Y29_N0
\WideAnd3294~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3294~1_combout\ = (\led_flash_cnt[3294][5]~q\ & \led_flash_cnt[3294][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3294][5]~q\,
	datad => \led_flash_cnt[3294][6]~q\,
	combout => \WideAnd3294~1_combout\);

-- Location: LCCOMB_X55_Y29_N18
WideAnd3294 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3294~combout\ = (\led_flash_cnt[3294][0]~q\ & (\WideAnd3294~0_combout\ & (\led_flash_cnt[3294][7]~q\ & \WideAnd3294~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3294][0]~q\,
	datab => \WideAnd3294~0_combout\,
	datac => \led_flash_cnt[3294][7]~q\,
	datad => \WideAnd3294~1_combout\,
	combout => \WideAnd3294~combout\);

-- Location: FF_X55_Y29_N19
\led_flash_cnt_ands[3294]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3294~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3294));

-- Location: LCCOMB_X41_Y22_N6
WideAnd4251 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4251~combout\ = (led_flash_cnt_ands(3295) & (\WideAnd4251~1_combout\ & (\WideAnd4251~0_combout\ & led_flash_cnt_ands(3294))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3295),
	datab => \WideAnd4251~1_combout\,
	datac => \WideAnd4251~0_combout\,
	datad => led_flash_cnt_ands(3294),
	combout => \WideAnd4251~combout\);

-- Location: FF_X41_Y22_N7
\led_flash_cnt_ands_1[411]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4251~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(411));

-- Location: LCCOMB_X41_Y22_N2
\WideAnd4371~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4371~0_combout\ = (led_flash_cnt_ands_1(409) & (led_flash_cnt_ands_1(408) & (led_flash_cnt_ands_1(410) & led_flash_cnt_ands_1(411))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(409),
	datab => led_flash_cnt_ands_1(408),
	datac => led_flash_cnt_ands_1(410),
	datad => led_flash_cnt_ands_1(411),
	combout => \WideAnd4371~0_combout\);

-- Location: LCCOMB_X41_Y22_N4
WideAnd4371 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4371~combout\ = (\WideAnd4371~1_combout\ & (led_flash_cnt_ands_1(414) & (led_flash_cnt_ands_1(415) & \WideAnd4371~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4371~1_combout\,
	datab => led_flash_cnt_ands_1(414),
	datac => led_flash_cnt_ands_1(415),
	datad => \WideAnd4371~0_combout\,
	combout => \WideAnd4371~combout\);

-- Location: FF_X41_Y22_N5
\led_flash_cnt_ands_2[51]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4371~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(51));

-- Location: LCCOMB_X25_Y10_N30
\led_flash_cnt[3235][0]~83875\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3235][0]~83875_combout\ = !\led_flash_cnt[3235][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3235][0]~q\,
	combout => \led_flash_cnt[3235][0]~83875_combout\);

-- Location: FF_X25_Y10_N31
\led_flash_cnt[3235][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3235][0]~83875_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3235][0]~q\);

-- Location: LCCOMB_X25_Y10_N0
\led_flash_cnt[3235][1]~72170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3235][1]~72170_combout\ = (\led_flash_cnt[3235][0]~q\ & (\led_flash_cnt[3235][1]~q\ $ (VCC))) # (!\led_flash_cnt[3235][0]~q\ & (\led_flash_cnt[3235][1]~q\ & VCC))
-- \led_flash_cnt[3235][1]~72171\ = CARRY((\led_flash_cnt[3235][0]~q\ & \led_flash_cnt[3235][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3235][0]~q\,
	datab => \led_flash_cnt[3235][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3235][1]~72170_combout\,
	cout => \led_flash_cnt[3235][1]~72171\);

-- Location: FF_X25_Y10_N1
\led_flash_cnt[3235][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3235][1]~72170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3235][1]~q\);

-- Location: LCCOMB_X25_Y10_N2
\led_flash_cnt[3235][2]~72172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3235][2]~72172_combout\ = (\led_flash_cnt[3235][2]~q\ & (!\led_flash_cnt[3235][1]~72171\)) # (!\led_flash_cnt[3235][2]~q\ & ((\led_flash_cnt[3235][1]~72171\) # (GND)))
-- \led_flash_cnt[3235][2]~72173\ = CARRY((!\led_flash_cnt[3235][1]~72171\) # (!\led_flash_cnt[3235][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3235][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3235][1]~72171\,
	combout => \led_flash_cnt[3235][2]~72172_combout\,
	cout => \led_flash_cnt[3235][2]~72173\);

-- Location: FF_X25_Y10_N3
\led_flash_cnt[3235][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3235][2]~72172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3235][2]~q\);

-- Location: LCCOMB_X25_Y10_N4
\led_flash_cnt[3235][3]~72174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3235][3]~72174_combout\ = (\led_flash_cnt[3235][3]~q\ & (\led_flash_cnt[3235][2]~72173\ $ (GND))) # (!\led_flash_cnt[3235][3]~q\ & (!\led_flash_cnt[3235][2]~72173\ & VCC))
-- \led_flash_cnt[3235][3]~72175\ = CARRY((\led_flash_cnt[3235][3]~q\ & !\led_flash_cnt[3235][2]~72173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3235][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3235][2]~72173\,
	combout => \led_flash_cnt[3235][3]~72174_combout\,
	cout => \led_flash_cnt[3235][3]~72175\);

-- Location: FF_X25_Y10_N5
\led_flash_cnt[3235][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3235][3]~72174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3235][3]~q\);

-- Location: LCCOMB_X25_Y10_N6
\led_flash_cnt[3235][4]~72176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3235][4]~72176_combout\ = (\led_flash_cnt[3235][4]~q\ & (!\led_flash_cnt[3235][3]~72175\)) # (!\led_flash_cnt[3235][4]~q\ & ((\led_flash_cnt[3235][3]~72175\) # (GND)))
-- \led_flash_cnt[3235][4]~72177\ = CARRY((!\led_flash_cnt[3235][3]~72175\) # (!\led_flash_cnt[3235][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3235][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3235][3]~72175\,
	combout => \led_flash_cnt[3235][4]~72176_combout\,
	cout => \led_flash_cnt[3235][4]~72177\);

-- Location: FF_X25_Y10_N7
\led_flash_cnt[3235][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3235][4]~72176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3235][4]~q\);

-- Location: LCCOMB_X25_Y10_N20
\WideAnd3235~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3235~0_combout\ = (\led_flash_cnt[3235][4]~q\ & (\led_flash_cnt[3235][2]~q\ & (\led_flash_cnt[3235][3]~q\ & \led_flash_cnt[3235][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3235][4]~q\,
	datab => \led_flash_cnt[3235][2]~q\,
	datac => \led_flash_cnt[3235][3]~q\,
	datad => \led_flash_cnt[3235][1]~q\,
	combout => \WideAnd3235~0_combout\);

-- Location: LCCOMB_X25_Y10_N8
\led_flash_cnt[3235][5]~72178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3235][5]~72178_combout\ = (\led_flash_cnt[3235][5]~q\ & (\led_flash_cnt[3235][4]~72177\ $ (GND))) # (!\led_flash_cnt[3235][5]~q\ & (!\led_flash_cnt[3235][4]~72177\ & VCC))
-- \led_flash_cnt[3235][5]~72179\ = CARRY((\led_flash_cnt[3235][5]~q\ & !\led_flash_cnt[3235][4]~72177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3235][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3235][4]~72177\,
	combout => \led_flash_cnt[3235][5]~72178_combout\,
	cout => \led_flash_cnt[3235][5]~72179\);

-- Location: FF_X25_Y10_N9
\led_flash_cnt[3235][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3235][5]~72178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3235][5]~q\);

-- Location: LCCOMB_X25_Y10_N10
\led_flash_cnt[3235][6]~72180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3235][6]~72180_combout\ = (\led_flash_cnt[3235][6]~q\ & (!\led_flash_cnt[3235][5]~72179\)) # (!\led_flash_cnt[3235][6]~q\ & ((\led_flash_cnt[3235][5]~72179\) # (GND)))
-- \led_flash_cnt[3235][6]~72181\ = CARRY((!\led_flash_cnt[3235][5]~72179\) # (!\led_flash_cnt[3235][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3235][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3235][5]~72179\,
	combout => \led_flash_cnt[3235][6]~72180_combout\,
	cout => \led_flash_cnt[3235][6]~72181\);

-- Location: FF_X25_Y10_N11
\led_flash_cnt[3235][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3235][6]~72180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3235][6]~q\);

-- Location: LCCOMB_X25_Y10_N14
\WideAnd3235~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3235~1_combout\ = (\led_flash_cnt[3235][5]~q\ & \led_flash_cnt[3235][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3235][5]~q\,
	datad => \led_flash_cnt[3235][6]~q\,
	combout => \WideAnd3235~1_combout\);

-- Location: LCCOMB_X25_Y10_N12
\led_flash_cnt[3235][7]~72182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3235][7]~72182_combout\ = \led_flash_cnt[3235][6]~72181\ $ (!\led_flash_cnt[3235][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3235][7]~q\,
	cin => \led_flash_cnt[3235][6]~72181\,
	combout => \led_flash_cnt[3235][7]~72182_combout\);

-- Location: FF_X25_Y10_N13
\led_flash_cnt[3235][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3235][7]~72182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3235][7]~q\);

-- Location: LCCOMB_X25_Y10_N28
WideAnd3235 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3235~combout\ = (\led_flash_cnt[3235][0]~q\ & (\WideAnd3235~0_combout\ & (\WideAnd3235~1_combout\ & \led_flash_cnt[3235][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3235][0]~q\,
	datab => \WideAnd3235~0_combout\,
	datac => \WideAnd3235~1_combout\,
	datad => \led_flash_cnt[3235][7]~q\,
	combout => \WideAnd3235~combout\);

-- Location: FF_X25_Y10_N29
\led_flash_cnt_ands[3235]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3235~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3235));

-- Location: LCCOMB_X27_Y12_N0
\led_flash_cnt[3234][0]~83874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3234][0]~83874_combout\ = !\led_flash_cnt[3234][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3234][0]~q\,
	combout => \led_flash_cnt[3234][0]~83874_combout\);

-- Location: FF_X27_Y12_N1
\led_flash_cnt[3234][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3234][0]~83874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3234][0]~q\);

-- Location: LCCOMB_X27_Y13_N0
\led_flash_cnt[3234][1]~72156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3234][1]~72156_combout\ = (\led_flash_cnt[3234][0]~q\ & (\led_flash_cnt[3234][1]~q\ $ (VCC))) # (!\led_flash_cnt[3234][0]~q\ & (\led_flash_cnt[3234][1]~q\ & VCC))
-- \led_flash_cnt[3234][1]~72157\ = CARRY((\led_flash_cnt[3234][0]~q\ & \led_flash_cnt[3234][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3234][0]~q\,
	datab => \led_flash_cnt[3234][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3234][1]~72156_combout\,
	cout => \led_flash_cnt[3234][1]~72157\);

-- Location: FF_X27_Y13_N1
\led_flash_cnt[3234][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3234][1]~72156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3234][1]~q\);

-- Location: LCCOMB_X27_Y13_N2
\led_flash_cnt[3234][2]~72158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3234][2]~72158_combout\ = (\led_flash_cnt[3234][2]~q\ & (!\led_flash_cnt[3234][1]~72157\)) # (!\led_flash_cnt[3234][2]~q\ & ((\led_flash_cnt[3234][1]~72157\) # (GND)))
-- \led_flash_cnt[3234][2]~72159\ = CARRY((!\led_flash_cnt[3234][1]~72157\) # (!\led_flash_cnt[3234][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3234][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3234][1]~72157\,
	combout => \led_flash_cnt[3234][2]~72158_combout\,
	cout => \led_flash_cnt[3234][2]~72159\);

-- Location: FF_X27_Y13_N3
\led_flash_cnt[3234][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3234][2]~72158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3234][2]~q\);

-- Location: LCCOMB_X27_Y13_N4
\led_flash_cnt[3234][3]~72160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3234][3]~72160_combout\ = (\led_flash_cnt[3234][3]~q\ & (\led_flash_cnt[3234][2]~72159\ $ (GND))) # (!\led_flash_cnt[3234][3]~q\ & (!\led_flash_cnt[3234][2]~72159\ & VCC))
-- \led_flash_cnt[3234][3]~72161\ = CARRY((\led_flash_cnt[3234][3]~q\ & !\led_flash_cnt[3234][2]~72159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3234][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3234][2]~72159\,
	combout => \led_flash_cnt[3234][3]~72160_combout\,
	cout => \led_flash_cnt[3234][3]~72161\);

-- Location: FF_X27_Y13_N5
\led_flash_cnt[3234][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3234][3]~72160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3234][3]~q\);

-- Location: LCCOMB_X27_Y13_N6
\led_flash_cnt[3234][4]~72162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3234][4]~72162_combout\ = (\led_flash_cnt[3234][4]~q\ & (!\led_flash_cnt[3234][3]~72161\)) # (!\led_flash_cnt[3234][4]~q\ & ((\led_flash_cnt[3234][3]~72161\) # (GND)))
-- \led_flash_cnt[3234][4]~72163\ = CARRY((!\led_flash_cnt[3234][3]~72161\) # (!\led_flash_cnt[3234][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3234][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3234][3]~72161\,
	combout => \led_flash_cnt[3234][4]~72162_combout\,
	cout => \led_flash_cnt[3234][4]~72163\);

-- Location: FF_X27_Y13_N7
\led_flash_cnt[3234][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3234][4]~72162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3234][4]~q\);

-- Location: LCCOMB_X27_Y13_N8
\led_flash_cnt[3234][5]~72164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3234][5]~72164_combout\ = (\led_flash_cnt[3234][5]~q\ & (\led_flash_cnt[3234][4]~72163\ $ (GND))) # (!\led_flash_cnt[3234][5]~q\ & (!\led_flash_cnt[3234][4]~72163\ & VCC))
-- \led_flash_cnt[3234][5]~72165\ = CARRY((\led_flash_cnt[3234][5]~q\ & !\led_flash_cnt[3234][4]~72163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3234][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3234][4]~72163\,
	combout => \led_flash_cnt[3234][5]~72164_combout\,
	cout => \led_flash_cnt[3234][5]~72165\);

-- Location: FF_X27_Y13_N9
\led_flash_cnt[3234][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3234][5]~72164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3234][5]~q\);

-- Location: LCCOMB_X27_Y13_N10
\led_flash_cnt[3234][6]~72166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3234][6]~72166_combout\ = (\led_flash_cnt[3234][6]~q\ & (!\led_flash_cnt[3234][5]~72165\)) # (!\led_flash_cnt[3234][6]~q\ & ((\led_flash_cnt[3234][5]~72165\) # (GND)))
-- \led_flash_cnt[3234][6]~72167\ = CARRY((!\led_flash_cnt[3234][5]~72165\) # (!\led_flash_cnt[3234][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3234][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3234][5]~72165\,
	combout => \led_flash_cnt[3234][6]~72166_combout\,
	cout => \led_flash_cnt[3234][6]~72167\);

-- Location: FF_X27_Y13_N11
\led_flash_cnt[3234][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3234][6]~72166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3234][6]~q\);

-- Location: LCCOMB_X27_Y12_N12
\WideAnd3234~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3234~1_combout\ = (\led_flash_cnt[3234][6]~q\ & \led_flash_cnt[3234][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3234][6]~q\,
	datad => \led_flash_cnt[3234][5]~q\,
	combout => \WideAnd3234~1_combout\);

-- Location: LCCOMB_X27_Y13_N12
\led_flash_cnt[3234][7]~72168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3234][7]~72168_combout\ = \led_flash_cnt[3234][6]~72167\ $ (!\led_flash_cnt[3234][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3234][7]~q\,
	cin => \led_flash_cnt[3234][6]~72167\,
	combout => \led_flash_cnt[3234][7]~72168_combout\);

-- Location: FF_X27_Y13_N13
\led_flash_cnt[3234][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3234][7]~72168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3234][7]~q\);

-- Location: LCCOMB_X27_Y13_N30
\WideAnd3234~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3234~0_combout\ = (\led_flash_cnt[3234][4]~q\ & (\led_flash_cnt[3234][2]~q\ & (\led_flash_cnt[3234][3]~q\ & \led_flash_cnt[3234][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3234][4]~q\,
	datab => \led_flash_cnt[3234][2]~q\,
	datac => \led_flash_cnt[3234][3]~q\,
	datad => \led_flash_cnt[3234][1]~q\,
	combout => \WideAnd3234~0_combout\);

-- Location: LCCOMB_X27_Y12_N6
WideAnd3234 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3234~combout\ = (\WideAnd3234~1_combout\ & (\led_flash_cnt[3234][7]~q\ & (\WideAnd3234~0_combout\ & \led_flash_cnt[3234][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3234~1_combout\,
	datab => \led_flash_cnt[3234][7]~q\,
	datac => \WideAnd3234~0_combout\,
	datad => \led_flash_cnt[3234][0]~q\,
	combout => \WideAnd3234~combout\);

-- Location: FF_X27_Y12_N7
\led_flash_cnt_ands[3234]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3234~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3234));

-- Location: LCCOMB_X27_Y12_N10
\led_flash_cnt[3232][0]~83872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3232][0]~83872_combout\ = !\led_flash_cnt[3232][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3232][0]~q\,
	combout => \led_flash_cnt[3232][0]~83872_combout\);

-- Location: FF_X27_Y12_N11
\led_flash_cnt[3232][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3232][0]~83872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3232][0]~q\);

-- Location: LCCOMB_X27_Y12_N16
\led_flash_cnt[3232][1]~72128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3232][1]~72128_combout\ = (\led_flash_cnt[3232][0]~q\ & (\led_flash_cnt[3232][1]~q\ $ (VCC))) # (!\led_flash_cnt[3232][0]~q\ & (\led_flash_cnt[3232][1]~q\ & VCC))
-- \led_flash_cnt[3232][1]~72129\ = CARRY((\led_flash_cnt[3232][0]~q\ & \led_flash_cnt[3232][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3232][0]~q\,
	datab => \led_flash_cnt[3232][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3232][1]~72128_combout\,
	cout => \led_flash_cnt[3232][1]~72129\);

-- Location: FF_X27_Y12_N17
\led_flash_cnt[3232][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3232][1]~72128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3232][1]~q\);

-- Location: LCCOMB_X27_Y12_N18
\led_flash_cnt[3232][2]~72130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3232][2]~72130_combout\ = (\led_flash_cnt[3232][2]~q\ & (!\led_flash_cnt[3232][1]~72129\)) # (!\led_flash_cnt[3232][2]~q\ & ((\led_flash_cnt[3232][1]~72129\) # (GND)))
-- \led_flash_cnt[3232][2]~72131\ = CARRY((!\led_flash_cnt[3232][1]~72129\) # (!\led_flash_cnt[3232][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3232][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3232][1]~72129\,
	combout => \led_flash_cnt[3232][2]~72130_combout\,
	cout => \led_flash_cnt[3232][2]~72131\);

-- Location: FF_X27_Y12_N19
\led_flash_cnt[3232][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3232][2]~72130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3232][2]~q\);

-- Location: LCCOMB_X27_Y12_N20
\led_flash_cnt[3232][3]~72132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3232][3]~72132_combout\ = (\led_flash_cnt[3232][3]~q\ & (\led_flash_cnt[3232][2]~72131\ $ (GND))) # (!\led_flash_cnt[3232][3]~q\ & (!\led_flash_cnt[3232][2]~72131\ & VCC))
-- \led_flash_cnt[3232][3]~72133\ = CARRY((\led_flash_cnt[3232][3]~q\ & !\led_flash_cnt[3232][2]~72131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3232][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3232][2]~72131\,
	combout => \led_flash_cnt[3232][3]~72132_combout\,
	cout => \led_flash_cnt[3232][3]~72133\);

-- Location: FF_X27_Y12_N21
\led_flash_cnt[3232][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3232][3]~72132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3232][3]~q\);

-- Location: LCCOMB_X27_Y12_N22
\led_flash_cnt[3232][4]~72134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3232][4]~72134_combout\ = (\led_flash_cnt[3232][4]~q\ & (!\led_flash_cnt[3232][3]~72133\)) # (!\led_flash_cnt[3232][4]~q\ & ((\led_flash_cnt[3232][3]~72133\) # (GND)))
-- \led_flash_cnt[3232][4]~72135\ = CARRY((!\led_flash_cnt[3232][3]~72133\) # (!\led_flash_cnt[3232][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3232][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3232][3]~72133\,
	combout => \led_flash_cnt[3232][4]~72134_combout\,
	cout => \led_flash_cnt[3232][4]~72135\);

-- Location: FF_X27_Y12_N23
\led_flash_cnt[3232][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3232][4]~72134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3232][4]~q\);

-- Location: LCCOMB_X27_Y12_N24
\led_flash_cnt[3232][5]~72136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3232][5]~72136_combout\ = (\led_flash_cnt[3232][5]~q\ & (\led_flash_cnt[3232][4]~72135\ $ (GND))) # (!\led_flash_cnt[3232][5]~q\ & (!\led_flash_cnt[3232][4]~72135\ & VCC))
-- \led_flash_cnt[3232][5]~72137\ = CARRY((\led_flash_cnt[3232][5]~q\ & !\led_flash_cnt[3232][4]~72135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3232][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3232][4]~72135\,
	combout => \led_flash_cnt[3232][5]~72136_combout\,
	cout => \led_flash_cnt[3232][5]~72137\);

-- Location: FF_X27_Y12_N25
\led_flash_cnt[3232][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3232][5]~72136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3232][5]~q\);

-- Location: LCCOMB_X27_Y12_N26
\led_flash_cnt[3232][6]~72138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3232][6]~72138_combout\ = (\led_flash_cnt[3232][6]~q\ & (!\led_flash_cnt[3232][5]~72137\)) # (!\led_flash_cnt[3232][6]~q\ & ((\led_flash_cnt[3232][5]~72137\) # (GND)))
-- \led_flash_cnt[3232][6]~72139\ = CARRY((!\led_flash_cnt[3232][5]~72137\) # (!\led_flash_cnt[3232][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3232][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3232][5]~72137\,
	combout => \led_flash_cnt[3232][6]~72138_combout\,
	cout => \led_flash_cnt[3232][6]~72139\);

-- Location: FF_X27_Y12_N27
\led_flash_cnt[3232][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3232][6]~72138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3232][6]~q\);

-- Location: LCCOMB_X27_Y12_N28
\led_flash_cnt[3232][7]~72140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3232][7]~72140_combout\ = \led_flash_cnt[3232][6]~72139\ $ (!\led_flash_cnt[3232][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3232][7]~q\,
	cin => \led_flash_cnt[3232][6]~72139\,
	combout => \led_flash_cnt[3232][7]~72140_combout\);

-- Location: FF_X27_Y12_N29
\led_flash_cnt[3232][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3232][7]~72140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3232][7]~q\);

-- Location: LCCOMB_X27_Y12_N14
\WideAnd3232~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3232~1_combout\ = (\led_flash_cnt[3232][6]~q\ & \led_flash_cnt[3232][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3232][6]~q\,
	datad => \led_flash_cnt[3232][5]~q\,
	combout => \WideAnd3232~1_combout\);

-- Location: LCCOMB_X27_Y12_N2
\WideAnd3232~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3232~0_combout\ = (\led_flash_cnt[3232][1]~q\ & (\led_flash_cnt[3232][2]~q\ & (\led_flash_cnt[3232][4]~q\ & \led_flash_cnt[3232][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3232][1]~q\,
	datab => \led_flash_cnt[3232][2]~q\,
	datac => \led_flash_cnt[3232][4]~q\,
	datad => \led_flash_cnt[3232][3]~q\,
	combout => \WideAnd3232~0_combout\);

-- Location: LCCOMB_X27_Y12_N30
WideAnd3232 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3232~combout\ = (\led_flash_cnt[3232][0]~q\ & (\led_flash_cnt[3232][7]~q\ & (\WideAnd3232~1_combout\ & \WideAnd3232~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3232][0]~q\,
	datab => \led_flash_cnt[3232][7]~q\,
	datac => \WideAnd3232~1_combout\,
	datad => \WideAnd3232~0_combout\,
	combout => \WideAnd3232~combout\);

-- Location: FF_X27_Y12_N31
\led_flash_cnt_ands[3232]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3232~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3232));

-- Location: LCCOMB_X29_Y10_N16
\led_flash_cnt[3233][0]~83873\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3233][0]~83873_combout\ = !\led_flash_cnt[3233][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3233][0]~q\,
	combout => \led_flash_cnt[3233][0]~83873_combout\);

-- Location: FF_X29_Y10_N17
\led_flash_cnt[3233][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3233][0]~83873_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3233][0]~q\);

-- Location: LCCOMB_X27_Y10_N12
\led_flash_cnt[3233][1]~72142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3233][1]~72142_combout\ = (\led_flash_cnt[3233][1]~q\ & (\led_flash_cnt[3233][0]~q\ $ (VCC))) # (!\led_flash_cnt[3233][1]~q\ & (\led_flash_cnt[3233][0]~q\ & VCC))
-- \led_flash_cnt[3233][1]~72143\ = CARRY((\led_flash_cnt[3233][1]~q\ & \led_flash_cnt[3233][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3233][1]~q\,
	datab => \led_flash_cnt[3233][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3233][1]~72142_combout\,
	cout => \led_flash_cnt[3233][1]~72143\);

-- Location: FF_X27_Y10_N13
\led_flash_cnt[3233][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3233][1]~72142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3233][1]~q\);

-- Location: LCCOMB_X27_Y10_N14
\led_flash_cnt[3233][2]~72144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3233][2]~72144_combout\ = (\led_flash_cnt[3233][2]~q\ & (!\led_flash_cnt[3233][1]~72143\)) # (!\led_flash_cnt[3233][2]~q\ & ((\led_flash_cnt[3233][1]~72143\) # (GND)))
-- \led_flash_cnt[3233][2]~72145\ = CARRY((!\led_flash_cnt[3233][1]~72143\) # (!\led_flash_cnt[3233][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3233][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3233][1]~72143\,
	combout => \led_flash_cnt[3233][2]~72144_combout\,
	cout => \led_flash_cnt[3233][2]~72145\);

-- Location: FF_X27_Y10_N15
\led_flash_cnt[3233][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3233][2]~72144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3233][2]~q\);

-- Location: LCCOMB_X27_Y10_N16
\led_flash_cnt[3233][3]~72146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3233][3]~72146_combout\ = (\led_flash_cnt[3233][3]~q\ & (\led_flash_cnt[3233][2]~72145\ $ (GND))) # (!\led_flash_cnt[3233][3]~q\ & (!\led_flash_cnt[3233][2]~72145\ & VCC))
-- \led_flash_cnt[3233][3]~72147\ = CARRY((\led_flash_cnt[3233][3]~q\ & !\led_flash_cnt[3233][2]~72145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3233][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3233][2]~72145\,
	combout => \led_flash_cnt[3233][3]~72146_combout\,
	cout => \led_flash_cnt[3233][3]~72147\);

-- Location: FF_X27_Y10_N17
\led_flash_cnt[3233][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3233][3]~72146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3233][3]~q\);

-- Location: LCCOMB_X27_Y10_N18
\led_flash_cnt[3233][4]~72148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3233][4]~72148_combout\ = (\led_flash_cnt[3233][4]~q\ & (!\led_flash_cnt[3233][3]~72147\)) # (!\led_flash_cnt[3233][4]~q\ & ((\led_flash_cnt[3233][3]~72147\) # (GND)))
-- \led_flash_cnt[3233][4]~72149\ = CARRY((!\led_flash_cnt[3233][3]~72147\) # (!\led_flash_cnt[3233][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3233][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3233][3]~72147\,
	combout => \led_flash_cnt[3233][4]~72148_combout\,
	cout => \led_flash_cnt[3233][4]~72149\);

-- Location: FF_X27_Y10_N19
\led_flash_cnt[3233][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3233][4]~72148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3233][4]~q\);

-- Location: LCCOMB_X27_Y10_N10
\WideAnd3233~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3233~0_combout\ = (\led_flash_cnt[3233][1]~q\ & (\led_flash_cnt[3233][2]~q\ & (\led_flash_cnt[3233][4]~q\ & \led_flash_cnt[3233][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3233][1]~q\,
	datab => \led_flash_cnt[3233][2]~q\,
	datac => \led_flash_cnt[3233][4]~q\,
	datad => \led_flash_cnt[3233][3]~q\,
	combout => \WideAnd3233~0_combout\);

-- Location: LCCOMB_X27_Y10_N20
\led_flash_cnt[3233][5]~72150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3233][5]~72150_combout\ = (\led_flash_cnt[3233][5]~q\ & (\led_flash_cnt[3233][4]~72149\ $ (GND))) # (!\led_flash_cnt[3233][5]~q\ & (!\led_flash_cnt[3233][4]~72149\ & VCC))
-- \led_flash_cnt[3233][5]~72151\ = CARRY((\led_flash_cnt[3233][5]~q\ & !\led_flash_cnt[3233][4]~72149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3233][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3233][4]~72149\,
	combout => \led_flash_cnt[3233][5]~72150_combout\,
	cout => \led_flash_cnt[3233][5]~72151\);

-- Location: FF_X27_Y10_N21
\led_flash_cnt[3233][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3233][5]~72150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3233][5]~q\);

-- Location: LCCOMB_X27_Y10_N22
\led_flash_cnt[3233][6]~72152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3233][6]~72152_combout\ = (\led_flash_cnt[3233][6]~q\ & (!\led_flash_cnt[3233][5]~72151\)) # (!\led_flash_cnt[3233][6]~q\ & ((\led_flash_cnt[3233][5]~72151\) # (GND)))
-- \led_flash_cnt[3233][6]~72153\ = CARRY((!\led_flash_cnt[3233][5]~72151\) # (!\led_flash_cnt[3233][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3233][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3233][5]~72151\,
	combout => \led_flash_cnt[3233][6]~72152_combout\,
	cout => \led_flash_cnt[3233][6]~72153\);

-- Location: FF_X27_Y10_N23
\led_flash_cnt[3233][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3233][6]~72152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3233][6]~q\);

-- Location: LCCOMB_X27_Y10_N24
\led_flash_cnt[3233][7]~72154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3233][7]~72154_combout\ = \led_flash_cnt[3233][6]~72153\ $ (!\led_flash_cnt[3233][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3233][7]~q\,
	cin => \led_flash_cnt[3233][6]~72153\,
	combout => \led_flash_cnt[3233][7]~72154_combout\);

-- Location: FF_X27_Y10_N25
\led_flash_cnt[3233][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3233][7]~72154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3233][7]~q\);

-- Location: LCCOMB_X29_Y10_N22
\WideAnd3233~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3233~1_combout\ = (\led_flash_cnt[3233][7]~q\ & \led_flash_cnt[3233][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3233][7]~q\,
	datad => \led_flash_cnt[3233][0]~q\,
	combout => \WideAnd3233~1_combout\);

-- Location: LCCOMB_X27_Y10_N28
WideAnd3233 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3233~combout\ = (\WideAnd3233~0_combout\ & (\WideAnd3233~1_combout\ & (\led_flash_cnt[3233][6]~q\ & \led_flash_cnt[3233][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3233~0_combout\,
	datab => \WideAnd3233~1_combout\,
	datac => \led_flash_cnt[3233][6]~q\,
	datad => \led_flash_cnt[3233][5]~q\,
	combout => \WideAnd3233~combout\);

-- Location: FF_X27_Y10_N29
\led_flash_cnt_ands[3233]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3233~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3233));

-- Location: LCCOMB_X27_Y10_N6
\WideAnd4244~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4244~0_combout\ = (led_flash_cnt_ands(3235) & (led_flash_cnt_ands(3234) & (led_flash_cnt_ands(3232) & led_flash_cnt_ands(3233))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3235),
	datab => led_flash_cnt_ands(3234),
	datac => led_flash_cnt_ands(3232),
	datad => led_flash_cnt_ands(3233),
	combout => \WideAnd4244~0_combout\);

-- Location: LCCOMB_X27_Y10_N2
\led_flash_cnt[3238][0]~83878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3238][0]~83878_combout\ = !\led_flash_cnt[3238][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3238][0]~q\,
	combout => \led_flash_cnt[3238][0]~83878_combout\);

-- Location: FF_X27_Y10_N3
\led_flash_cnt[3238][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3238][0]~83878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3238][0]~q\);

-- Location: LCCOMB_X26_Y10_N0
\led_flash_cnt[3238][1]~72212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3238][1]~72212_combout\ = (\led_flash_cnt[3238][0]~q\ & (\led_flash_cnt[3238][1]~q\ $ (VCC))) # (!\led_flash_cnt[3238][0]~q\ & (\led_flash_cnt[3238][1]~q\ & VCC))
-- \led_flash_cnt[3238][1]~72213\ = CARRY((\led_flash_cnt[3238][0]~q\ & \led_flash_cnt[3238][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3238][0]~q\,
	datab => \led_flash_cnt[3238][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3238][1]~72212_combout\,
	cout => \led_flash_cnt[3238][1]~72213\);

-- Location: FF_X26_Y10_N1
\led_flash_cnt[3238][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3238][1]~72212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3238][1]~q\);

-- Location: LCCOMB_X26_Y10_N2
\led_flash_cnt[3238][2]~72214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3238][2]~72214_combout\ = (\led_flash_cnt[3238][2]~q\ & (!\led_flash_cnt[3238][1]~72213\)) # (!\led_flash_cnt[3238][2]~q\ & ((\led_flash_cnt[3238][1]~72213\) # (GND)))
-- \led_flash_cnt[3238][2]~72215\ = CARRY((!\led_flash_cnt[3238][1]~72213\) # (!\led_flash_cnt[3238][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3238][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3238][1]~72213\,
	combout => \led_flash_cnt[3238][2]~72214_combout\,
	cout => \led_flash_cnt[3238][2]~72215\);

-- Location: FF_X26_Y10_N3
\led_flash_cnt[3238][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3238][2]~72214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3238][2]~q\);

-- Location: LCCOMB_X26_Y10_N4
\led_flash_cnt[3238][3]~72216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3238][3]~72216_combout\ = (\led_flash_cnt[3238][3]~q\ & (\led_flash_cnt[3238][2]~72215\ $ (GND))) # (!\led_flash_cnt[3238][3]~q\ & (!\led_flash_cnt[3238][2]~72215\ & VCC))
-- \led_flash_cnt[3238][3]~72217\ = CARRY((\led_flash_cnt[3238][3]~q\ & !\led_flash_cnt[3238][2]~72215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3238][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3238][2]~72215\,
	combout => \led_flash_cnt[3238][3]~72216_combout\,
	cout => \led_flash_cnt[3238][3]~72217\);

-- Location: FF_X26_Y10_N5
\led_flash_cnt[3238][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3238][3]~72216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3238][3]~q\);

-- Location: LCCOMB_X26_Y10_N6
\led_flash_cnt[3238][4]~72218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3238][4]~72218_combout\ = (\led_flash_cnt[3238][4]~q\ & (!\led_flash_cnt[3238][3]~72217\)) # (!\led_flash_cnt[3238][4]~q\ & ((\led_flash_cnt[3238][3]~72217\) # (GND)))
-- \led_flash_cnt[3238][4]~72219\ = CARRY((!\led_flash_cnt[3238][3]~72217\) # (!\led_flash_cnt[3238][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3238][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3238][3]~72217\,
	combout => \led_flash_cnt[3238][4]~72218_combout\,
	cout => \led_flash_cnt[3238][4]~72219\);

-- Location: FF_X26_Y10_N7
\led_flash_cnt[3238][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3238][4]~72218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3238][4]~q\);

-- Location: LCCOMB_X26_Y10_N8
\led_flash_cnt[3238][5]~72220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3238][5]~72220_combout\ = (\led_flash_cnt[3238][5]~q\ & (\led_flash_cnt[3238][4]~72219\ $ (GND))) # (!\led_flash_cnt[3238][5]~q\ & (!\led_flash_cnt[3238][4]~72219\ & VCC))
-- \led_flash_cnt[3238][5]~72221\ = CARRY((\led_flash_cnt[3238][5]~q\ & !\led_flash_cnt[3238][4]~72219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3238][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3238][4]~72219\,
	combout => \led_flash_cnt[3238][5]~72220_combout\,
	cout => \led_flash_cnt[3238][5]~72221\);

-- Location: FF_X26_Y10_N9
\led_flash_cnt[3238][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3238][5]~72220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3238][5]~q\);

-- Location: LCCOMB_X26_Y10_N10
\led_flash_cnt[3238][6]~72222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3238][6]~72222_combout\ = (\led_flash_cnt[3238][6]~q\ & (!\led_flash_cnt[3238][5]~72221\)) # (!\led_flash_cnt[3238][6]~q\ & ((\led_flash_cnt[3238][5]~72221\) # (GND)))
-- \led_flash_cnt[3238][6]~72223\ = CARRY((!\led_flash_cnt[3238][5]~72221\) # (!\led_flash_cnt[3238][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3238][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3238][5]~72221\,
	combout => \led_flash_cnt[3238][6]~72222_combout\,
	cout => \led_flash_cnt[3238][6]~72223\);

-- Location: FF_X26_Y10_N11
\led_flash_cnt[3238][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3238][6]~72222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3238][6]~q\);

-- Location: LCCOMB_X26_Y10_N12
\led_flash_cnt[3238][7]~72224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3238][7]~72224_combout\ = \led_flash_cnt[3238][6]~72223\ $ (!\led_flash_cnt[3238][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3238][7]~q\,
	cin => \led_flash_cnt[3238][6]~72223\,
	combout => \led_flash_cnt[3238][7]~72224_combout\);

-- Location: FF_X26_Y10_N13
\led_flash_cnt[3238][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3238][7]~72224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3238][7]~q\);

-- Location: LCCOMB_X27_Y10_N4
\WideAnd3238~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3238~1_combout\ = (\led_flash_cnt[3238][6]~q\ & \led_flash_cnt[3238][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3238][6]~q\,
	datad => \led_flash_cnt[3238][5]~q\,
	combout => \WideAnd3238~1_combout\);

-- Location: LCCOMB_X26_Y10_N14
\WideAnd3238~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3238~0_combout\ = (\led_flash_cnt[3238][4]~q\ & (\led_flash_cnt[3238][2]~q\ & (\led_flash_cnt[3238][3]~q\ & \led_flash_cnt[3238][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3238][4]~q\,
	datab => \led_flash_cnt[3238][2]~q\,
	datac => \led_flash_cnt[3238][3]~q\,
	datad => \led_flash_cnt[3238][1]~q\,
	combout => \WideAnd3238~0_combout\);

-- Location: LCCOMB_X27_Y10_N8
WideAnd3238 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3238~combout\ = (\led_flash_cnt[3238][7]~q\ & (\WideAnd3238~1_combout\ & (\led_flash_cnt[3238][0]~q\ & \WideAnd3238~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3238][7]~q\,
	datab => \WideAnd3238~1_combout\,
	datac => \led_flash_cnt[3238][0]~q\,
	datad => \WideAnd3238~0_combout\,
	combout => \WideAnd3238~combout\);

-- Location: FF_X27_Y10_N9
\led_flash_cnt_ands[3238]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3238~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3238));

-- Location: LCCOMB_X27_Y14_N24
\led_flash_cnt[3236][0]~83876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3236][0]~83876_combout\ = !\led_flash_cnt[3236][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3236][0]~q\,
	combout => \led_flash_cnt[3236][0]~83876_combout\);

-- Location: FF_X27_Y14_N25
\led_flash_cnt[3236][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3236][0]~83876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3236][0]~q\);

-- Location: LCCOMB_X30_Y14_N16
\led_flash_cnt[3236][1]~72184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3236][1]~72184_combout\ = (\led_flash_cnt[3236][0]~q\ & (\led_flash_cnt[3236][1]~q\ $ (VCC))) # (!\led_flash_cnt[3236][0]~q\ & (\led_flash_cnt[3236][1]~q\ & VCC))
-- \led_flash_cnt[3236][1]~72185\ = CARRY((\led_flash_cnt[3236][0]~q\ & \led_flash_cnt[3236][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3236][0]~q\,
	datab => \led_flash_cnt[3236][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3236][1]~72184_combout\,
	cout => \led_flash_cnt[3236][1]~72185\);

-- Location: FF_X30_Y14_N17
\led_flash_cnt[3236][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3236][1]~72184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3236][1]~q\);

-- Location: LCCOMB_X30_Y14_N18
\led_flash_cnt[3236][2]~72186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3236][2]~72186_combout\ = (\led_flash_cnt[3236][2]~q\ & (!\led_flash_cnt[3236][1]~72185\)) # (!\led_flash_cnt[3236][2]~q\ & ((\led_flash_cnt[3236][1]~72185\) # (GND)))
-- \led_flash_cnt[3236][2]~72187\ = CARRY((!\led_flash_cnt[3236][1]~72185\) # (!\led_flash_cnt[3236][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3236][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3236][1]~72185\,
	combout => \led_flash_cnt[3236][2]~72186_combout\,
	cout => \led_flash_cnt[3236][2]~72187\);

-- Location: FF_X30_Y14_N19
\led_flash_cnt[3236][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3236][2]~72186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3236][2]~q\);

-- Location: LCCOMB_X30_Y14_N20
\led_flash_cnt[3236][3]~72188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3236][3]~72188_combout\ = (\led_flash_cnt[3236][3]~q\ & (\led_flash_cnt[3236][2]~72187\ $ (GND))) # (!\led_flash_cnt[3236][3]~q\ & (!\led_flash_cnt[3236][2]~72187\ & VCC))
-- \led_flash_cnt[3236][3]~72189\ = CARRY((\led_flash_cnt[3236][3]~q\ & !\led_flash_cnt[3236][2]~72187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3236][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3236][2]~72187\,
	combout => \led_flash_cnt[3236][3]~72188_combout\,
	cout => \led_flash_cnt[3236][3]~72189\);

-- Location: FF_X30_Y14_N21
\led_flash_cnt[3236][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3236][3]~72188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3236][3]~q\);

-- Location: LCCOMB_X30_Y14_N22
\led_flash_cnt[3236][4]~72190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3236][4]~72190_combout\ = (\led_flash_cnt[3236][4]~q\ & (!\led_flash_cnt[3236][3]~72189\)) # (!\led_flash_cnt[3236][4]~q\ & ((\led_flash_cnt[3236][3]~72189\) # (GND)))
-- \led_flash_cnt[3236][4]~72191\ = CARRY((!\led_flash_cnt[3236][3]~72189\) # (!\led_flash_cnt[3236][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3236][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3236][3]~72189\,
	combout => \led_flash_cnt[3236][4]~72190_combout\,
	cout => \led_flash_cnt[3236][4]~72191\);

-- Location: FF_X30_Y14_N23
\led_flash_cnt[3236][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3236][4]~72190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3236][4]~q\);

-- Location: LCCOMB_X30_Y14_N30
\WideAnd3236~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3236~0_combout\ = (\led_flash_cnt[3236][3]~q\ & (\led_flash_cnt[3236][2]~q\ & (\led_flash_cnt[3236][4]~q\ & \led_flash_cnt[3236][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3236][3]~q\,
	datab => \led_flash_cnt[3236][2]~q\,
	datac => \led_flash_cnt[3236][4]~q\,
	datad => \led_flash_cnt[3236][1]~q\,
	combout => \WideAnd3236~0_combout\);

-- Location: LCCOMB_X30_Y14_N24
\led_flash_cnt[3236][5]~72192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3236][5]~72192_combout\ = (\led_flash_cnt[3236][5]~q\ & (\led_flash_cnt[3236][4]~72191\ $ (GND))) # (!\led_flash_cnt[3236][5]~q\ & (!\led_flash_cnt[3236][4]~72191\ & VCC))
-- \led_flash_cnt[3236][5]~72193\ = CARRY((\led_flash_cnt[3236][5]~q\ & !\led_flash_cnt[3236][4]~72191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3236][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3236][4]~72191\,
	combout => \led_flash_cnt[3236][5]~72192_combout\,
	cout => \led_flash_cnt[3236][5]~72193\);

-- Location: FF_X30_Y14_N25
\led_flash_cnt[3236][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3236][5]~72192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3236][5]~q\);

-- Location: LCCOMB_X30_Y14_N26
\led_flash_cnt[3236][6]~72194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3236][6]~72194_combout\ = (\led_flash_cnt[3236][6]~q\ & (!\led_flash_cnt[3236][5]~72193\)) # (!\led_flash_cnt[3236][6]~q\ & ((\led_flash_cnt[3236][5]~72193\) # (GND)))
-- \led_flash_cnt[3236][6]~72195\ = CARRY((!\led_flash_cnt[3236][5]~72193\) # (!\led_flash_cnt[3236][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3236][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3236][5]~72193\,
	combout => \led_flash_cnt[3236][6]~72194_combout\,
	cout => \led_flash_cnt[3236][6]~72195\);

-- Location: FF_X30_Y14_N27
\led_flash_cnt[3236][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3236][6]~72194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3236][6]~q\);

-- Location: LCCOMB_X29_Y14_N24
\WideAnd3236~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3236~1_combout\ = (\led_flash_cnt[3236][6]~q\ & \led_flash_cnt[3236][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3236][6]~q\,
	datad => \led_flash_cnt[3236][5]~q\,
	combout => \WideAnd3236~1_combout\);

-- Location: LCCOMB_X30_Y14_N28
\led_flash_cnt[3236][7]~72196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3236][7]~72196_combout\ = \led_flash_cnt[3236][6]~72195\ $ (!\led_flash_cnt[3236][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3236][7]~q\,
	cin => \led_flash_cnt[3236][6]~72195\,
	combout => \led_flash_cnt[3236][7]~72196_combout\);

-- Location: FF_X30_Y14_N29
\led_flash_cnt[3236][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3236][7]~72196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3236][7]~q\);

-- Location: LCCOMB_X27_Y14_N22
WideAnd3236 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3236~combout\ = (\WideAnd3236~0_combout\ & (\led_flash_cnt[3236][0]~q\ & (\WideAnd3236~1_combout\ & \led_flash_cnt[3236][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3236~0_combout\,
	datab => \led_flash_cnt[3236][0]~q\,
	datac => \WideAnd3236~1_combout\,
	datad => \led_flash_cnt[3236][7]~q\,
	combout => \WideAnd3236~combout\);

-- Location: FF_X27_Y14_N23
\led_flash_cnt_ands[3236]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3236~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3236));

-- Location: LCCOMB_X27_Y14_N30
\led_flash_cnt[3237][0]~83877\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3237][0]~83877_combout\ = !\led_flash_cnt[3237][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3237][0]~q\,
	combout => \led_flash_cnt[3237][0]~83877_combout\);

-- Location: FF_X27_Y14_N31
\led_flash_cnt[3237][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3237][0]~83877_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3237][0]~q\);

-- Location: LCCOMB_X27_Y14_N8
\led_flash_cnt[3237][1]~72198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3237][1]~72198_combout\ = (\led_flash_cnt[3237][0]~q\ & (\led_flash_cnt[3237][1]~q\ $ (VCC))) # (!\led_flash_cnt[3237][0]~q\ & (\led_flash_cnt[3237][1]~q\ & VCC))
-- \led_flash_cnt[3237][1]~72199\ = CARRY((\led_flash_cnt[3237][0]~q\ & \led_flash_cnt[3237][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3237][0]~q\,
	datab => \led_flash_cnt[3237][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3237][1]~72198_combout\,
	cout => \led_flash_cnt[3237][1]~72199\);

-- Location: FF_X27_Y14_N9
\led_flash_cnt[3237][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3237][1]~72198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3237][1]~q\);

-- Location: LCCOMB_X27_Y14_N10
\led_flash_cnt[3237][2]~72200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3237][2]~72200_combout\ = (\led_flash_cnt[3237][2]~q\ & (!\led_flash_cnt[3237][1]~72199\)) # (!\led_flash_cnt[3237][2]~q\ & ((\led_flash_cnt[3237][1]~72199\) # (GND)))
-- \led_flash_cnt[3237][2]~72201\ = CARRY((!\led_flash_cnt[3237][1]~72199\) # (!\led_flash_cnt[3237][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3237][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3237][1]~72199\,
	combout => \led_flash_cnt[3237][2]~72200_combout\,
	cout => \led_flash_cnt[3237][2]~72201\);

-- Location: FF_X27_Y14_N11
\led_flash_cnt[3237][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3237][2]~72200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3237][2]~q\);

-- Location: LCCOMB_X27_Y14_N12
\led_flash_cnt[3237][3]~72202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3237][3]~72202_combout\ = (\led_flash_cnt[3237][3]~q\ & (\led_flash_cnt[3237][2]~72201\ $ (GND))) # (!\led_flash_cnt[3237][3]~q\ & (!\led_flash_cnt[3237][2]~72201\ & VCC))
-- \led_flash_cnt[3237][3]~72203\ = CARRY((\led_flash_cnt[3237][3]~q\ & !\led_flash_cnt[3237][2]~72201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3237][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3237][2]~72201\,
	combout => \led_flash_cnt[3237][3]~72202_combout\,
	cout => \led_flash_cnt[3237][3]~72203\);

-- Location: FF_X27_Y14_N13
\led_flash_cnt[3237][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3237][3]~72202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3237][3]~q\);

-- Location: LCCOMB_X27_Y14_N14
\led_flash_cnt[3237][4]~72204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3237][4]~72204_combout\ = (\led_flash_cnt[3237][4]~q\ & (!\led_flash_cnt[3237][3]~72203\)) # (!\led_flash_cnt[3237][4]~q\ & ((\led_flash_cnt[3237][3]~72203\) # (GND)))
-- \led_flash_cnt[3237][4]~72205\ = CARRY((!\led_flash_cnt[3237][3]~72203\) # (!\led_flash_cnt[3237][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3237][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3237][3]~72203\,
	combout => \led_flash_cnt[3237][4]~72204_combout\,
	cout => \led_flash_cnt[3237][4]~72205\);

-- Location: FF_X27_Y14_N15
\led_flash_cnt[3237][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3237][4]~72204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3237][4]~q\);

-- Location: LCCOMB_X27_Y14_N26
\WideAnd3237~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3237~0_combout\ = (\led_flash_cnt[3237][2]~q\ & (\led_flash_cnt[3237][4]~q\ & (\led_flash_cnt[3237][1]~q\ & \led_flash_cnt[3237][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3237][2]~q\,
	datab => \led_flash_cnt[3237][4]~q\,
	datac => \led_flash_cnt[3237][1]~q\,
	datad => \led_flash_cnt[3237][3]~q\,
	combout => \WideAnd3237~0_combout\);

-- Location: LCCOMB_X27_Y14_N16
\led_flash_cnt[3237][5]~72206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3237][5]~72206_combout\ = (\led_flash_cnt[3237][5]~q\ & (\led_flash_cnt[3237][4]~72205\ $ (GND))) # (!\led_flash_cnt[3237][5]~q\ & (!\led_flash_cnt[3237][4]~72205\ & VCC))
-- \led_flash_cnt[3237][5]~72207\ = CARRY((\led_flash_cnt[3237][5]~q\ & !\led_flash_cnt[3237][4]~72205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3237][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3237][4]~72205\,
	combout => \led_flash_cnt[3237][5]~72206_combout\,
	cout => \led_flash_cnt[3237][5]~72207\);

-- Location: FF_X27_Y14_N17
\led_flash_cnt[3237][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3237][5]~72206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3237][5]~q\);

-- Location: LCCOMB_X27_Y14_N18
\led_flash_cnt[3237][6]~72208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3237][6]~72208_combout\ = (\led_flash_cnt[3237][6]~q\ & (!\led_flash_cnt[3237][5]~72207\)) # (!\led_flash_cnt[3237][6]~q\ & ((\led_flash_cnt[3237][5]~72207\) # (GND)))
-- \led_flash_cnt[3237][6]~72209\ = CARRY((!\led_flash_cnt[3237][5]~72207\) # (!\led_flash_cnt[3237][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3237][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3237][5]~72207\,
	combout => \led_flash_cnt[3237][6]~72208_combout\,
	cout => \led_flash_cnt[3237][6]~72209\);

-- Location: FF_X27_Y14_N19
\led_flash_cnt[3237][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3237][6]~72208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3237][6]~q\);

-- Location: LCCOMB_X27_Y14_N20
\led_flash_cnt[3237][7]~72210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3237][7]~72210_combout\ = \led_flash_cnt[3237][6]~72209\ $ (!\led_flash_cnt[3237][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3237][7]~q\,
	cin => \led_flash_cnt[3237][6]~72209\,
	combout => \led_flash_cnt[3237][7]~72210_combout\);

-- Location: FF_X27_Y14_N21
\led_flash_cnt[3237][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3237][7]~72210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3237][7]~q\);

-- Location: LCCOMB_X27_Y14_N28
\WideAnd3237~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3237~1_combout\ = (\led_flash_cnt[3237][5]~q\ & \led_flash_cnt[3237][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3237][5]~q\,
	datad => \led_flash_cnt[3237][6]~q\,
	combout => \WideAnd3237~1_combout\);

-- Location: LCCOMB_X27_Y14_N2
WideAnd3237 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3237~combout\ = (\WideAnd3237~0_combout\ & (\led_flash_cnt[3237][7]~q\ & (\led_flash_cnt[3237][0]~q\ & \WideAnd3237~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3237~0_combout\,
	datab => \led_flash_cnt[3237][7]~q\,
	datac => \led_flash_cnt[3237][0]~q\,
	datad => \WideAnd3237~1_combout\,
	combout => \WideAnd3237~combout\);

-- Location: FF_X27_Y14_N3
\led_flash_cnt_ands[3237]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3237~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3237));

-- Location: LCCOMB_X27_Y14_N4
\WideAnd4244~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4244~1_combout\ = (led_flash_cnt_ands(3236) & led_flash_cnt_ands(3237))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3236),
	datad => led_flash_cnt_ands(3237),
	combout => \WideAnd4244~1_combout\);

-- Location: LCCOMB_X27_Y10_N30
\led_flash_cnt[3239][0]~83879\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3239][0]~83879_combout\ = !\led_flash_cnt[3239][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3239][0]~q\,
	combout => \led_flash_cnt[3239][0]~83879_combout\);

-- Location: FF_X27_Y10_N31
\led_flash_cnt[3239][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3239][0]~83879_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3239][0]~q\);

-- Location: LCCOMB_X27_Y9_N2
\led_flash_cnt[3239][1]~72226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3239][1]~72226_combout\ = (\led_flash_cnt[3239][0]~q\ & (\led_flash_cnt[3239][1]~q\ $ (VCC))) # (!\led_flash_cnt[3239][0]~q\ & (\led_flash_cnt[3239][1]~q\ & VCC))
-- \led_flash_cnt[3239][1]~72227\ = CARRY((\led_flash_cnt[3239][0]~q\ & \led_flash_cnt[3239][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3239][0]~q\,
	datab => \led_flash_cnt[3239][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3239][1]~72226_combout\,
	cout => \led_flash_cnt[3239][1]~72227\);

-- Location: FF_X27_Y9_N3
\led_flash_cnt[3239][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3239][1]~72226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3239][1]~q\);

-- Location: LCCOMB_X27_Y9_N4
\led_flash_cnt[3239][2]~72228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3239][2]~72228_combout\ = (\led_flash_cnt[3239][2]~q\ & (!\led_flash_cnt[3239][1]~72227\)) # (!\led_flash_cnt[3239][2]~q\ & ((\led_flash_cnt[3239][1]~72227\) # (GND)))
-- \led_flash_cnt[3239][2]~72229\ = CARRY((!\led_flash_cnt[3239][1]~72227\) # (!\led_flash_cnt[3239][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3239][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3239][1]~72227\,
	combout => \led_flash_cnt[3239][2]~72228_combout\,
	cout => \led_flash_cnt[3239][2]~72229\);

-- Location: FF_X27_Y9_N5
\led_flash_cnt[3239][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3239][2]~72228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3239][2]~q\);

-- Location: LCCOMB_X27_Y9_N6
\led_flash_cnt[3239][3]~72230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3239][3]~72230_combout\ = (\led_flash_cnt[3239][3]~q\ & (\led_flash_cnt[3239][2]~72229\ $ (GND))) # (!\led_flash_cnt[3239][3]~q\ & (!\led_flash_cnt[3239][2]~72229\ & VCC))
-- \led_flash_cnt[3239][3]~72231\ = CARRY((\led_flash_cnt[3239][3]~q\ & !\led_flash_cnt[3239][2]~72229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3239][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3239][2]~72229\,
	combout => \led_flash_cnt[3239][3]~72230_combout\,
	cout => \led_flash_cnt[3239][3]~72231\);

-- Location: FF_X27_Y9_N7
\led_flash_cnt[3239][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3239][3]~72230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3239][3]~q\);

-- Location: LCCOMB_X27_Y9_N8
\led_flash_cnt[3239][4]~72232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3239][4]~72232_combout\ = (\led_flash_cnt[3239][4]~q\ & (!\led_flash_cnt[3239][3]~72231\)) # (!\led_flash_cnt[3239][4]~q\ & ((\led_flash_cnt[3239][3]~72231\) # (GND)))
-- \led_flash_cnt[3239][4]~72233\ = CARRY((!\led_flash_cnt[3239][3]~72231\) # (!\led_flash_cnt[3239][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3239][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3239][3]~72231\,
	combout => \led_flash_cnt[3239][4]~72232_combout\,
	cout => \led_flash_cnt[3239][4]~72233\);

-- Location: FF_X27_Y9_N9
\led_flash_cnt[3239][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3239][4]~72232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3239][4]~q\);

-- Location: LCCOMB_X27_Y9_N10
\led_flash_cnt[3239][5]~72234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3239][5]~72234_combout\ = (\led_flash_cnt[3239][5]~q\ & (\led_flash_cnt[3239][4]~72233\ $ (GND))) # (!\led_flash_cnt[3239][5]~q\ & (!\led_flash_cnt[3239][4]~72233\ & VCC))
-- \led_flash_cnt[3239][5]~72235\ = CARRY((\led_flash_cnt[3239][5]~q\ & !\led_flash_cnt[3239][4]~72233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3239][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3239][4]~72233\,
	combout => \led_flash_cnt[3239][5]~72234_combout\,
	cout => \led_flash_cnt[3239][5]~72235\);

-- Location: FF_X27_Y9_N11
\led_flash_cnt[3239][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3239][5]~72234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3239][5]~q\);

-- Location: LCCOMB_X27_Y9_N12
\led_flash_cnt[3239][6]~72236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3239][6]~72236_combout\ = (\led_flash_cnt[3239][6]~q\ & (!\led_flash_cnt[3239][5]~72235\)) # (!\led_flash_cnt[3239][6]~q\ & ((\led_flash_cnt[3239][5]~72235\) # (GND)))
-- \led_flash_cnt[3239][6]~72237\ = CARRY((!\led_flash_cnt[3239][5]~72235\) # (!\led_flash_cnt[3239][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3239][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3239][5]~72235\,
	combout => \led_flash_cnt[3239][6]~72236_combout\,
	cout => \led_flash_cnt[3239][6]~72237\);

-- Location: FF_X27_Y9_N13
\led_flash_cnt[3239][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3239][6]~72236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3239][6]~q\);

-- Location: LCCOMB_X27_Y9_N14
\led_flash_cnt[3239][7]~72238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3239][7]~72238_combout\ = \led_flash_cnt[3239][7]~q\ $ (!\led_flash_cnt[3239][6]~72237\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3239][7]~q\,
	cin => \led_flash_cnt[3239][6]~72237\,
	combout => \led_flash_cnt[3239][7]~72238_combout\);

-- Location: FF_X27_Y9_N15
\led_flash_cnt[3239][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3239][7]~72238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3239][7]~q\);

-- Location: LCCOMB_X27_Y9_N0
\WideAnd3239~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3239~0_combout\ = (\led_flash_cnt[3239][3]~q\ & (\led_flash_cnt[3239][4]~q\ & (\led_flash_cnt[3239][2]~q\ & \led_flash_cnt[3239][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3239][3]~q\,
	datab => \led_flash_cnt[3239][4]~q\,
	datac => \led_flash_cnt[3239][2]~q\,
	datad => \led_flash_cnt[3239][1]~q\,
	combout => \WideAnd3239~0_combout\);

-- Location: LCCOMB_X27_Y12_N4
\WideAnd3239~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3239~1_combout\ = (\led_flash_cnt[3239][6]~q\ & \led_flash_cnt[3239][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3239][6]~q\,
	datad => \led_flash_cnt[3239][5]~q\,
	combout => \WideAnd3239~1_combout\);

-- Location: LCCOMB_X27_Y10_N0
WideAnd3239 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3239~combout\ = (\led_flash_cnt[3239][7]~q\ & (\WideAnd3239~0_combout\ & (\led_flash_cnt[3239][0]~q\ & \WideAnd3239~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3239][7]~q\,
	datab => \WideAnd3239~0_combout\,
	datac => \led_flash_cnt[3239][0]~q\,
	datad => \WideAnd3239~1_combout\,
	combout => \WideAnd3239~combout\);

-- Location: FF_X27_Y10_N1
\led_flash_cnt_ands[3239]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3239~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3239));

-- Location: LCCOMB_X27_Y10_N26
WideAnd4244 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4244~combout\ = (\WideAnd4244~0_combout\ & (led_flash_cnt_ands(3238) & (\WideAnd4244~1_combout\ & led_flash_cnt_ands(3239))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4244~0_combout\,
	datab => led_flash_cnt_ands(3238),
	datac => \WideAnd4244~1_combout\,
	datad => led_flash_cnt_ands(3239),
	combout => \WideAnd4244~combout\);

-- Location: FF_X27_Y10_N27
\led_flash_cnt_ands_1[404]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4244~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(404));

-- Location: LCCOMB_X32_Y9_N28
\led_flash_cnt[3245][0]~83885\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3245][0]~83885_combout\ = !\led_flash_cnt[3245][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3245][0]~q\,
	combout => \led_flash_cnt[3245][0]~83885_combout\);

-- Location: FF_X32_Y9_N29
\led_flash_cnt[3245][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3245][0]~83885_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3245][0]~q\);

-- Location: LCCOMB_X32_Y9_N12
\led_flash_cnt[3245][1]~72310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3245][1]~72310_combout\ = (\led_flash_cnt[3245][1]~q\ & (\led_flash_cnt[3245][0]~q\ $ (VCC))) # (!\led_flash_cnt[3245][1]~q\ & (\led_flash_cnt[3245][0]~q\ & VCC))
-- \led_flash_cnt[3245][1]~72311\ = CARRY((\led_flash_cnt[3245][1]~q\ & \led_flash_cnt[3245][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3245][1]~q\,
	datab => \led_flash_cnt[3245][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3245][1]~72310_combout\,
	cout => \led_flash_cnt[3245][1]~72311\);

-- Location: FF_X32_Y9_N13
\led_flash_cnt[3245][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3245][1]~72310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3245][1]~q\);

-- Location: LCCOMB_X32_Y9_N14
\led_flash_cnt[3245][2]~72312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3245][2]~72312_combout\ = (\led_flash_cnt[3245][2]~q\ & (!\led_flash_cnt[3245][1]~72311\)) # (!\led_flash_cnt[3245][2]~q\ & ((\led_flash_cnt[3245][1]~72311\) # (GND)))
-- \led_flash_cnt[3245][2]~72313\ = CARRY((!\led_flash_cnt[3245][1]~72311\) # (!\led_flash_cnt[3245][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3245][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3245][1]~72311\,
	combout => \led_flash_cnt[3245][2]~72312_combout\,
	cout => \led_flash_cnt[3245][2]~72313\);

-- Location: FF_X32_Y9_N15
\led_flash_cnt[3245][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3245][2]~72312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3245][2]~q\);

-- Location: LCCOMB_X32_Y9_N16
\led_flash_cnt[3245][3]~72314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3245][3]~72314_combout\ = (\led_flash_cnt[3245][3]~q\ & (\led_flash_cnt[3245][2]~72313\ $ (GND))) # (!\led_flash_cnt[3245][3]~q\ & (!\led_flash_cnt[3245][2]~72313\ & VCC))
-- \led_flash_cnt[3245][3]~72315\ = CARRY((\led_flash_cnt[3245][3]~q\ & !\led_flash_cnt[3245][2]~72313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3245][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3245][2]~72313\,
	combout => \led_flash_cnt[3245][3]~72314_combout\,
	cout => \led_flash_cnt[3245][3]~72315\);

-- Location: FF_X32_Y9_N17
\led_flash_cnt[3245][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3245][3]~72314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3245][3]~q\);

-- Location: LCCOMB_X32_Y9_N18
\led_flash_cnt[3245][4]~72316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3245][4]~72316_combout\ = (\led_flash_cnt[3245][4]~q\ & (!\led_flash_cnt[3245][3]~72315\)) # (!\led_flash_cnt[3245][4]~q\ & ((\led_flash_cnt[3245][3]~72315\) # (GND)))
-- \led_flash_cnt[3245][4]~72317\ = CARRY((!\led_flash_cnt[3245][3]~72315\) # (!\led_flash_cnt[3245][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3245][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3245][3]~72315\,
	combout => \led_flash_cnt[3245][4]~72316_combout\,
	cout => \led_flash_cnt[3245][4]~72317\);

-- Location: FF_X32_Y9_N19
\led_flash_cnt[3245][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3245][4]~72316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3245][4]~q\);

-- Location: LCCOMB_X32_Y9_N26
\WideAnd3245~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3245~0_combout\ = (\led_flash_cnt[3245][1]~q\ & (\led_flash_cnt[3245][3]~q\ & (\led_flash_cnt[3245][2]~q\ & \led_flash_cnt[3245][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3245][1]~q\,
	datab => \led_flash_cnt[3245][3]~q\,
	datac => \led_flash_cnt[3245][2]~q\,
	datad => \led_flash_cnt[3245][4]~q\,
	combout => \WideAnd3245~0_combout\);

-- Location: LCCOMB_X32_Y9_N20
\led_flash_cnt[3245][5]~72318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3245][5]~72318_combout\ = (\led_flash_cnt[3245][5]~q\ & (\led_flash_cnt[3245][4]~72317\ $ (GND))) # (!\led_flash_cnt[3245][5]~q\ & (!\led_flash_cnt[3245][4]~72317\ & VCC))
-- \led_flash_cnt[3245][5]~72319\ = CARRY((\led_flash_cnt[3245][5]~q\ & !\led_flash_cnt[3245][4]~72317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3245][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3245][4]~72317\,
	combout => \led_flash_cnt[3245][5]~72318_combout\,
	cout => \led_flash_cnt[3245][5]~72319\);

-- Location: FF_X32_Y9_N21
\led_flash_cnt[3245][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3245][5]~72318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3245][5]~q\);

-- Location: LCCOMB_X32_Y9_N22
\led_flash_cnt[3245][6]~72320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3245][6]~72320_combout\ = (\led_flash_cnt[3245][6]~q\ & (!\led_flash_cnt[3245][5]~72319\)) # (!\led_flash_cnt[3245][6]~q\ & ((\led_flash_cnt[3245][5]~72319\) # (GND)))
-- \led_flash_cnt[3245][6]~72321\ = CARRY((!\led_flash_cnt[3245][5]~72319\) # (!\led_flash_cnt[3245][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3245][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3245][5]~72319\,
	combout => \led_flash_cnt[3245][6]~72320_combout\,
	cout => \led_flash_cnt[3245][6]~72321\);

-- Location: FF_X32_Y9_N23
\led_flash_cnt[3245][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3245][6]~72320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3245][6]~q\);

-- Location: LCCOMB_X32_Y9_N24
\led_flash_cnt[3245][7]~72322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3245][7]~72322_combout\ = \led_flash_cnt[3245][6]~72321\ $ (!\led_flash_cnt[3245][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3245][7]~q\,
	cin => \led_flash_cnt[3245][6]~72321\,
	combout => \led_flash_cnt[3245][7]~72322_combout\);

-- Location: FF_X32_Y9_N25
\led_flash_cnt[3245][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3245][7]~72322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3245][7]~q\);

-- Location: LCCOMB_X32_Y9_N8
\WideAnd3245~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3245~1_combout\ = (\led_flash_cnt[3245][6]~q\ & \led_flash_cnt[3245][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3245][6]~q\,
	datad => \led_flash_cnt[3245][5]~q\,
	combout => \WideAnd3245~1_combout\);

-- Location: LCCOMB_X32_Y9_N4
WideAnd3245 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3245~combout\ = (\WideAnd3245~0_combout\ & (\led_flash_cnt[3245][7]~q\ & (\WideAnd3245~1_combout\ & \led_flash_cnt[3245][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3245~0_combout\,
	datab => \led_flash_cnt[3245][7]~q\,
	datac => \WideAnd3245~1_combout\,
	datad => \led_flash_cnt[3245][0]~q\,
	combout => \WideAnd3245~combout\);

-- Location: FF_X32_Y9_N5
\led_flash_cnt_ands[3245]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3245~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3245));

-- Location: LCCOMB_X35_Y3_N2
\led_flash_cnt[3244][0]~83884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3244][0]~83884_combout\ = !\led_flash_cnt[3244][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3244][0]~q\,
	combout => \led_flash_cnt[3244][0]~83884_combout\);

-- Location: FF_X35_Y3_N3
\led_flash_cnt[3244][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3244][0]~83884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3244][0]~q\);

-- Location: LCCOMB_X34_Y3_N0
\led_flash_cnt[3244][1]~72296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3244][1]~72296_combout\ = (\led_flash_cnt[3244][0]~q\ & (\led_flash_cnt[3244][1]~q\ $ (VCC))) # (!\led_flash_cnt[3244][0]~q\ & (\led_flash_cnt[3244][1]~q\ & VCC))
-- \led_flash_cnt[3244][1]~72297\ = CARRY((\led_flash_cnt[3244][0]~q\ & \led_flash_cnt[3244][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3244][0]~q\,
	datab => \led_flash_cnt[3244][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3244][1]~72296_combout\,
	cout => \led_flash_cnt[3244][1]~72297\);

-- Location: FF_X34_Y3_N1
\led_flash_cnt[3244][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3244][1]~72296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3244][1]~q\);

-- Location: LCCOMB_X34_Y3_N2
\led_flash_cnt[3244][2]~72298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3244][2]~72298_combout\ = (\led_flash_cnt[3244][2]~q\ & (!\led_flash_cnt[3244][1]~72297\)) # (!\led_flash_cnt[3244][2]~q\ & ((\led_flash_cnt[3244][1]~72297\) # (GND)))
-- \led_flash_cnt[3244][2]~72299\ = CARRY((!\led_flash_cnt[3244][1]~72297\) # (!\led_flash_cnt[3244][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3244][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3244][1]~72297\,
	combout => \led_flash_cnt[3244][2]~72298_combout\,
	cout => \led_flash_cnt[3244][2]~72299\);

-- Location: FF_X34_Y3_N3
\led_flash_cnt[3244][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3244][2]~72298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3244][2]~q\);

-- Location: LCCOMB_X34_Y3_N4
\led_flash_cnt[3244][3]~72300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3244][3]~72300_combout\ = (\led_flash_cnt[3244][3]~q\ & (\led_flash_cnt[3244][2]~72299\ $ (GND))) # (!\led_flash_cnt[3244][3]~q\ & (!\led_flash_cnt[3244][2]~72299\ & VCC))
-- \led_flash_cnt[3244][3]~72301\ = CARRY((\led_flash_cnt[3244][3]~q\ & !\led_flash_cnt[3244][2]~72299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3244][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3244][2]~72299\,
	combout => \led_flash_cnt[3244][3]~72300_combout\,
	cout => \led_flash_cnt[3244][3]~72301\);

-- Location: FF_X34_Y3_N5
\led_flash_cnt[3244][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3244][3]~72300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3244][3]~q\);

-- Location: LCCOMB_X34_Y3_N6
\led_flash_cnt[3244][4]~72302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3244][4]~72302_combout\ = (\led_flash_cnt[3244][4]~q\ & (!\led_flash_cnt[3244][3]~72301\)) # (!\led_flash_cnt[3244][4]~q\ & ((\led_flash_cnt[3244][3]~72301\) # (GND)))
-- \led_flash_cnt[3244][4]~72303\ = CARRY((!\led_flash_cnt[3244][3]~72301\) # (!\led_flash_cnt[3244][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3244][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3244][3]~72301\,
	combout => \led_flash_cnt[3244][4]~72302_combout\,
	cout => \led_flash_cnt[3244][4]~72303\);

-- Location: FF_X34_Y3_N7
\led_flash_cnt[3244][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3244][4]~72302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3244][4]~q\);

-- Location: LCCOMB_X34_Y3_N8
\led_flash_cnt[3244][5]~72304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3244][5]~72304_combout\ = (\led_flash_cnt[3244][5]~q\ & (\led_flash_cnt[3244][4]~72303\ $ (GND))) # (!\led_flash_cnt[3244][5]~q\ & (!\led_flash_cnt[3244][4]~72303\ & VCC))
-- \led_flash_cnt[3244][5]~72305\ = CARRY((\led_flash_cnt[3244][5]~q\ & !\led_flash_cnt[3244][4]~72303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3244][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3244][4]~72303\,
	combout => \led_flash_cnt[3244][5]~72304_combout\,
	cout => \led_flash_cnt[3244][5]~72305\);

-- Location: FF_X34_Y3_N9
\led_flash_cnt[3244][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3244][5]~72304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3244][5]~q\);

-- Location: LCCOMB_X34_Y3_N10
\led_flash_cnt[3244][6]~72306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3244][6]~72306_combout\ = (\led_flash_cnt[3244][6]~q\ & (!\led_flash_cnt[3244][5]~72305\)) # (!\led_flash_cnt[3244][6]~q\ & ((\led_flash_cnt[3244][5]~72305\) # (GND)))
-- \led_flash_cnt[3244][6]~72307\ = CARRY((!\led_flash_cnt[3244][5]~72305\) # (!\led_flash_cnt[3244][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3244][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3244][5]~72305\,
	combout => \led_flash_cnt[3244][6]~72306_combout\,
	cout => \led_flash_cnt[3244][6]~72307\);

-- Location: FF_X34_Y3_N11
\led_flash_cnt[3244][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3244][6]~72306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3244][6]~q\);

-- Location: LCCOMB_X34_Y3_N12
\led_flash_cnt[3244][7]~72308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3244][7]~72308_combout\ = \led_flash_cnt[3244][6]~72307\ $ (!\led_flash_cnt[3244][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3244][7]~q\,
	cin => \led_flash_cnt[3244][6]~72307\,
	combout => \led_flash_cnt[3244][7]~72308_combout\);

-- Location: FF_X34_Y3_N13
\led_flash_cnt[3244][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3244][7]~72308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3244][7]~q\);

-- Location: LCCOMB_X34_Y3_N30
\WideAnd3244~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3244~0_combout\ = (\led_flash_cnt[3244][4]~q\ & (\led_flash_cnt[3244][2]~q\ & (\led_flash_cnt[3244][3]~q\ & \led_flash_cnt[3244][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3244][4]~q\,
	datab => \led_flash_cnt[3244][2]~q\,
	datac => \led_flash_cnt[3244][3]~q\,
	datad => \led_flash_cnt[3244][1]~q\,
	combout => \WideAnd3244~0_combout\);

-- Location: LCCOMB_X35_Y3_N4
\WideAnd3244~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3244~1_combout\ = (\led_flash_cnt[3244][6]~q\ & \led_flash_cnt[3244][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3244][6]~q\,
	datad => \led_flash_cnt[3244][5]~q\,
	combout => \WideAnd3244~1_combout\);

-- Location: LCCOMB_X35_Y3_N22
WideAnd3244 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3244~combout\ = (\led_flash_cnt[3244][7]~q\ & (\WideAnd3244~0_combout\ & (\WideAnd3244~1_combout\ & \led_flash_cnt[3244][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3244][7]~q\,
	datab => \WideAnd3244~0_combout\,
	datac => \WideAnd3244~1_combout\,
	datad => \led_flash_cnt[3244][0]~q\,
	combout => \WideAnd3244~combout\);

-- Location: FF_X35_Y3_N23
\led_flash_cnt_ands[3244]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3244~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3244));

-- Location: LCCOMB_X35_Y9_N28
\WideAnd4245~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4245~1_combout\ = (led_flash_cnt_ands(3245) & led_flash_cnt_ands(3244))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3245),
	datad => led_flash_cnt_ands(3244),
	combout => \WideAnd4245~1_combout\);

-- Location: LCCOMB_X32_Y3_N12
\led_flash_cnt[3243][0]~83883\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3243][0]~83883_combout\ = !\led_flash_cnt[3243][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3243][0]~q\,
	combout => \led_flash_cnt[3243][0]~83883_combout\);

-- Location: FF_X32_Y3_N13
\led_flash_cnt[3243][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3243][0]~83883_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3243][0]~q\);

-- Location: LCCOMB_X32_Y3_N16
\led_flash_cnt[3243][1]~72282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3243][1]~72282_combout\ = (\led_flash_cnt[3243][0]~q\ & (\led_flash_cnt[3243][1]~q\ $ (VCC))) # (!\led_flash_cnt[3243][0]~q\ & (\led_flash_cnt[3243][1]~q\ & VCC))
-- \led_flash_cnt[3243][1]~72283\ = CARRY((\led_flash_cnt[3243][0]~q\ & \led_flash_cnt[3243][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3243][0]~q\,
	datab => \led_flash_cnt[3243][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3243][1]~72282_combout\,
	cout => \led_flash_cnt[3243][1]~72283\);

-- Location: FF_X32_Y3_N17
\led_flash_cnt[3243][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3243][1]~72282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3243][1]~q\);

-- Location: LCCOMB_X32_Y3_N18
\led_flash_cnt[3243][2]~72284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3243][2]~72284_combout\ = (\led_flash_cnt[3243][2]~q\ & (!\led_flash_cnt[3243][1]~72283\)) # (!\led_flash_cnt[3243][2]~q\ & ((\led_flash_cnt[3243][1]~72283\) # (GND)))
-- \led_flash_cnt[3243][2]~72285\ = CARRY((!\led_flash_cnt[3243][1]~72283\) # (!\led_flash_cnt[3243][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3243][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3243][1]~72283\,
	combout => \led_flash_cnt[3243][2]~72284_combout\,
	cout => \led_flash_cnt[3243][2]~72285\);

-- Location: FF_X32_Y3_N19
\led_flash_cnt[3243][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3243][2]~72284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3243][2]~q\);

-- Location: LCCOMB_X32_Y3_N20
\led_flash_cnt[3243][3]~72286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3243][3]~72286_combout\ = (\led_flash_cnt[3243][3]~q\ & (\led_flash_cnt[3243][2]~72285\ $ (GND))) # (!\led_flash_cnt[3243][3]~q\ & (!\led_flash_cnt[3243][2]~72285\ & VCC))
-- \led_flash_cnt[3243][3]~72287\ = CARRY((\led_flash_cnt[3243][3]~q\ & !\led_flash_cnt[3243][2]~72285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3243][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3243][2]~72285\,
	combout => \led_flash_cnt[3243][3]~72286_combout\,
	cout => \led_flash_cnt[3243][3]~72287\);

-- Location: FF_X32_Y3_N21
\led_flash_cnt[3243][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3243][3]~72286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3243][3]~q\);

-- Location: LCCOMB_X32_Y3_N22
\led_flash_cnt[3243][4]~72288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3243][4]~72288_combout\ = (\led_flash_cnt[3243][4]~q\ & (!\led_flash_cnt[3243][3]~72287\)) # (!\led_flash_cnt[3243][4]~q\ & ((\led_flash_cnt[3243][3]~72287\) # (GND)))
-- \led_flash_cnt[3243][4]~72289\ = CARRY((!\led_flash_cnt[3243][3]~72287\) # (!\led_flash_cnt[3243][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3243][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3243][3]~72287\,
	combout => \led_flash_cnt[3243][4]~72288_combout\,
	cout => \led_flash_cnt[3243][4]~72289\);

-- Location: FF_X32_Y3_N23
\led_flash_cnt[3243][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3243][4]~72288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3243][4]~q\);

-- Location: LCCOMB_X32_Y3_N10
\WideAnd3243~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3243~0_combout\ = (\led_flash_cnt[3243][3]~q\ & (\led_flash_cnt[3243][2]~q\ & (\led_flash_cnt[3243][4]~q\ & \led_flash_cnt[3243][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3243][3]~q\,
	datab => \led_flash_cnt[3243][2]~q\,
	datac => \led_flash_cnt[3243][4]~q\,
	datad => \led_flash_cnt[3243][1]~q\,
	combout => \WideAnd3243~0_combout\);

-- Location: LCCOMB_X32_Y3_N24
\led_flash_cnt[3243][5]~72290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3243][5]~72290_combout\ = (\led_flash_cnt[3243][5]~q\ & (\led_flash_cnt[3243][4]~72289\ $ (GND))) # (!\led_flash_cnt[3243][5]~q\ & (!\led_flash_cnt[3243][4]~72289\ & VCC))
-- \led_flash_cnt[3243][5]~72291\ = CARRY((\led_flash_cnt[3243][5]~q\ & !\led_flash_cnt[3243][4]~72289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3243][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3243][4]~72289\,
	combout => \led_flash_cnt[3243][5]~72290_combout\,
	cout => \led_flash_cnt[3243][5]~72291\);

-- Location: FF_X32_Y3_N25
\led_flash_cnt[3243][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3243][5]~72290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3243][5]~q\);

-- Location: LCCOMB_X32_Y3_N26
\led_flash_cnt[3243][6]~72292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3243][6]~72292_combout\ = (\led_flash_cnt[3243][6]~q\ & (!\led_flash_cnt[3243][5]~72291\)) # (!\led_flash_cnt[3243][6]~q\ & ((\led_flash_cnt[3243][5]~72291\) # (GND)))
-- \led_flash_cnt[3243][6]~72293\ = CARRY((!\led_flash_cnt[3243][5]~72291\) # (!\led_flash_cnt[3243][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3243][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3243][5]~72291\,
	combout => \led_flash_cnt[3243][6]~72292_combout\,
	cout => \led_flash_cnt[3243][6]~72293\);

-- Location: FF_X32_Y3_N27
\led_flash_cnt[3243][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3243][6]~72292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3243][6]~q\);

-- Location: LCCOMB_X32_Y3_N28
\led_flash_cnt[3243][7]~72294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3243][7]~72294_combout\ = \led_flash_cnt[3243][6]~72293\ $ (!\led_flash_cnt[3243][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3243][7]~q\,
	cin => \led_flash_cnt[3243][6]~72293\,
	combout => \led_flash_cnt[3243][7]~72294_combout\);

-- Location: FF_X32_Y3_N29
\led_flash_cnt[3243][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3243][7]~72294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3243][7]~q\);

-- Location: LCCOMB_X32_Y3_N14
\WideAnd3243~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3243~1_combout\ = (\led_flash_cnt[3243][6]~q\ & \led_flash_cnt[3243][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3243][6]~q\,
	datad => \led_flash_cnt[3243][5]~q\,
	combout => \WideAnd3243~1_combout\);

-- Location: LCCOMB_X32_Y3_N30
WideAnd3243 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3243~combout\ = (\WideAnd3243~0_combout\ & (\led_flash_cnt[3243][7]~q\ & (\WideAnd3243~1_combout\ & \led_flash_cnt[3243][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3243~0_combout\,
	datab => \led_flash_cnt[3243][7]~q\,
	datac => \WideAnd3243~1_combout\,
	datad => \led_flash_cnt[3243][0]~q\,
	combout => \WideAnd3243~combout\);

-- Location: FF_X32_Y3_N31
\led_flash_cnt_ands[3243]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3243~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3243));

-- Location: LCCOMB_X32_Y6_N8
\led_flash_cnt[3241][0]~83881\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3241][0]~83881_combout\ = !\led_flash_cnt[3241][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3241][0]~q\,
	combout => \led_flash_cnt[3241][0]~83881_combout\);

-- Location: FF_X32_Y6_N9
\led_flash_cnt[3241][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3241][0]~83881_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3241][0]~q\);

-- Location: LCCOMB_X32_Y4_N2
\led_flash_cnt[3241][1]~72254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3241][1]~72254_combout\ = (\led_flash_cnt[3241][0]~q\ & (\led_flash_cnt[3241][1]~q\ $ (VCC))) # (!\led_flash_cnt[3241][0]~q\ & (\led_flash_cnt[3241][1]~q\ & VCC))
-- \led_flash_cnt[3241][1]~72255\ = CARRY((\led_flash_cnt[3241][0]~q\ & \led_flash_cnt[3241][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3241][0]~q\,
	datab => \led_flash_cnt[3241][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3241][1]~72254_combout\,
	cout => \led_flash_cnt[3241][1]~72255\);

-- Location: FF_X32_Y4_N3
\led_flash_cnt[3241][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3241][1]~72254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3241][1]~q\);

-- Location: LCCOMB_X32_Y4_N4
\led_flash_cnt[3241][2]~72256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3241][2]~72256_combout\ = (\led_flash_cnt[3241][2]~q\ & (!\led_flash_cnt[3241][1]~72255\)) # (!\led_flash_cnt[3241][2]~q\ & ((\led_flash_cnt[3241][1]~72255\) # (GND)))
-- \led_flash_cnt[3241][2]~72257\ = CARRY((!\led_flash_cnt[3241][1]~72255\) # (!\led_flash_cnt[3241][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3241][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3241][1]~72255\,
	combout => \led_flash_cnt[3241][2]~72256_combout\,
	cout => \led_flash_cnt[3241][2]~72257\);

-- Location: FF_X32_Y4_N5
\led_flash_cnt[3241][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3241][2]~72256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3241][2]~q\);

-- Location: LCCOMB_X32_Y4_N6
\led_flash_cnt[3241][3]~72258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3241][3]~72258_combout\ = (\led_flash_cnt[3241][3]~q\ & (\led_flash_cnt[3241][2]~72257\ $ (GND))) # (!\led_flash_cnt[3241][3]~q\ & (!\led_flash_cnt[3241][2]~72257\ & VCC))
-- \led_flash_cnt[3241][3]~72259\ = CARRY((\led_flash_cnt[3241][3]~q\ & !\led_flash_cnt[3241][2]~72257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3241][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3241][2]~72257\,
	combout => \led_flash_cnt[3241][3]~72258_combout\,
	cout => \led_flash_cnt[3241][3]~72259\);

-- Location: FF_X32_Y4_N7
\led_flash_cnt[3241][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3241][3]~72258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3241][3]~q\);

-- Location: LCCOMB_X32_Y4_N8
\led_flash_cnt[3241][4]~72260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3241][4]~72260_combout\ = (\led_flash_cnt[3241][4]~q\ & (!\led_flash_cnt[3241][3]~72259\)) # (!\led_flash_cnt[3241][4]~q\ & ((\led_flash_cnt[3241][3]~72259\) # (GND)))
-- \led_flash_cnt[3241][4]~72261\ = CARRY((!\led_flash_cnt[3241][3]~72259\) # (!\led_flash_cnt[3241][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3241][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3241][3]~72259\,
	combout => \led_flash_cnt[3241][4]~72260_combout\,
	cout => \led_flash_cnt[3241][4]~72261\);

-- Location: FF_X32_Y4_N9
\led_flash_cnt[3241][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3241][4]~72260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3241][4]~q\);

-- Location: LCCOMB_X32_Y4_N10
\led_flash_cnt[3241][5]~72262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3241][5]~72262_combout\ = (\led_flash_cnt[3241][5]~q\ & (\led_flash_cnt[3241][4]~72261\ $ (GND))) # (!\led_flash_cnt[3241][5]~q\ & (!\led_flash_cnt[3241][4]~72261\ & VCC))
-- \led_flash_cnt[3241][5]~72263\ = CARRY((\led_flash_cnt[3241][5]~q\ & !\led_flash_cnt[3241][4]~72261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3241][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3241][4]~72261\,
	combout => \led_flash_cnt[3241][5]~72262_combout\,
	cout => \led_flash_cnt[3241][5]~72263\);

-- Location: FF_X32_Y4_N11
\led_flash_cnt[3241][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3241][5]~72262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3241][5]~q\);

-- Location: LCCOMB_X32_Y4_N12
\led_flash_cnt[3241][6]~72264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3241][6]~72264_combout\ = (\led_flash_cnt[3241][6]~q\ & (!\led_flash_cnt[3241][5]~72263\)) # (!\led_flash_cnt[3241][6]~q\ & ((\led_flash_cnt[3241][5]~72263\) # (GND)))
-- \led_flash_cnt[3241][6]~72265\ = CARRY((!\led_flash_cnt[3241][5]~72263\) # (!\led_flash_cnt[3241][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3241][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3241][5]~72263\,
	combout => \led_flash_cnt[3241][6]~72264_combout\,
	cout => \led_flash_cnt[3241][6]~72265\);

-- Location: FF_X32_Y4_N13
\led_flash_cnt[3241][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3241][6]~72264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3241][6]~q\);

-- Location: LCCOMB_X32_Y6_N12
\WideAnd3241~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3241~1_combout\ = (\led_flash_cnt[3241][6]~q\ & \led_flash_cnt[3241][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3241][6]~q\,
	datad => \led_flash_cnt[3241][5]~q\,
	combout => \WideAnd3241~1_combout\);

-- Location: LCCOMB_X32_Y4_N14
\led_flash_cnt[3241][7]~72266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3241][7]~72266_combout\ = \led_flash_cnt[3241][7]~q\ $ (!\led_flash_cnt[3241][6]~72265\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3241][7]~q\,
	cin => \led_flash_cnt[3241][6]~72265\,
	combout => \led_flash_cnt[3241][7]~72266_combout\);

-- Location: FF_X32_Y4_N15
\led_flash_cnt[3241][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3241][7]~72266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3241][7]~q\);

-- Location: LCCOMB_X32_Y4_N0
\WideAnd3241~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3241~0_combout\ = (\led_flash_cnt[3241][3]~q\ & (\led_flash_cnt[3241][2]~q\ & (\led_flash_cnt[3241][4]~q\ & \led_flash_cnt[3241][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3241][3]~q\,
	datab => \led_flash_cnt[3241][2]~q\,
	datac => \led_flash_cnt[3241][4]~q\,
	datad => \led_flash_cnt[3241][1]~q\,
	combout => \WideAnd3241~0_combout\);

-- Location: LCCOMB_X32_Y6_N0
WideAnd3241 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3241~combout\ = (\WideAnd3241~1_combout\ & (\led_flash_cnt[3241][7]~q\ & (\led_flash_cnt[3241][0]~q\ & \WideAnd3241~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3241~1_combout\,
	datab => \led_flash_cnt[3241][7]~q\,
	datac => \led_flash_cnt[3241][0]~q\,
	datad => \WideAnd3241~0_combout\,
	combout => \WideAnd3241~combout\);

-- Location: FF_X32_Y6_N1
\led_flash_cnt_ands[3241]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3241~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3241));

-- Location: LCCOMB_X29_Y13_N12
\led_flash_cnt[3240][0]~83880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3240][0]~83880_combout\ = !\led_flash_cnt[3240][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3240][0]~q\,
	combout => \led_flash_cnt[3240][0]~83880_combout\);

-- Location: FF_X29_Y13_N13
\led_flash_cnt[3240][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3240][0]~83880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3240][0]~q\);

-- Location: LCCOMB_X29_Y13_N18
\led_flash_cnt[3240][1]~72240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3240][1]~72240_combout\ = (\led_flash_cnt[3240][0]~q\ & (\led_flash_cnt[3240][1]~q\ $ (VCC))) # (!\led_flash_cnt[3240][0]~q\ & (\led_flash_cnt[3240][1]~q\ & VCC))
-- \led_flash_cnt[3240][1]~72241\ = CARRY((\led_flash_cnt[3240][0]~q\ & \led_flash_cnt[3240][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3240][0]~q\,
	datab => \led_flash_cnt[3240][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3240][1]~72240_combout\,
	cout => \led_flash_cnt[3240][1]~72241\);

-- Location: FF_X29_Y13_N19
\led_flash_cnt[3240][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3240][1]~72240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3240][1]~q\);

-- Location: LCCOMB_X29_Y13_N20
\led_flash_cnt[3240][2]~72242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3240][2]~72242_combout\ = (\led_flash_cnt[3240][2]~q\ & (!\led_flash_cnt[3240][1]~72241\)) # (!\led_flash_cnt[3240][2]~q\ & ((\led_flash_cnt[3240][1]~72241\) # (GND)))
-- \led_flash_cnt[3240][2]~72243\ = CARRY((!\led_flash_cnt[3240][1]~72241\) # (!\led_flash_cnt[3240][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3240][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3240][1]~72241\,
	combout => \led_flash_cnt[3240][2]~72242_combout\,
	cout => \led_flash_cnt[3240][2]~72243\);

-- Location: FF_X29_Y13_N21
\led_flash_cnt[3240][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3240][2]~72242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3240][2]~q\);

-- Location: LCCOMB_X29_Y13_N22
\led_flash_cnt[3240][3]~72244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3240][3]~72244_combout\ = (\led_flash_cnt[3240][3]~q\ & (\led_flash_cnt[3240][2]~72243\ $ (GND))) # (!\led_flash_cnt[3240][3]~q\ & (!\led_flash_cnt[3240][2]~72243\ & VCC))
-- \led_flash_cnt[3240][3]~72245\ = CARRY((\led_flash_cnt[3240][3]~q\ & !\led_flash_cnt[3240][2]~72243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3240][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3240][2]~72243\,
	combout => \led_flash_cnt[3240][3]~72244_combout\,
	cout => \led_flash_cnt[3240][3]~72245\);

-- Location: FF_X29_Y13_N23
\led_flash_cnt[3240][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3240][3]~72244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3240][3]~q\);

-- Location: LCCOMB_X29_Y13_N24
\led_flash_cnt[3240][4]~72246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3240][4]~72246_combout\ = (\led_flash_cnt[3240][4]~q\ & (!\led_flash_cnt[3240][3]~72245\)) # (!\led_flash_cnt[3240][4]~q\ & ((\led_flash_cnt[3240][3]~72245\) # (GND)))
-- \led_flash_cnt[3240][4]~72247\ = CARRY((!\led_flash_cnt[3240][3]~72245\) # (!\led_flash_cnt[3240][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3240][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3240][3]~72245\,
	combout => \led_flash_cnt[3240][4]~72246_combout\,
	cout => \led_flash_cnt[3240][4]~72247\);

-- Location: FF_X29_Y13_N25
\led_flash_cnt[3240][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3240][4]~72246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3240][4]~q\);

-- Location: LCCOMB_X29_Y13_N26
\led_flash_cnt[3240][5]~72248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3240][5]~72248_combout\ = (\led_flash_cnt[3240][5]~q\ & (\led_flash_cnt[3240][4]~72247\ $ (GND))) # (!\led_flash_cnt[3240][5]~q\ & (!\led_flash_cnt[3240][4]~72247\ & VCC))
-- \led_flash_cnt[3240][5]~72249\ = CARRY((\led_flash_cnt[3240][5]~q\ & !\led_flash_cnt[3240][4]~72247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3240][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3240][4]~72247\,
	combout => \led_flash_cnt[3240][5]~72248_combout\,
	cout => \led_flash_cnt[3240][5]~72249\);

-- Location: FF_X29_Y13_N27
\led_flash_cnt[3240][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3240][5]~72248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3240][5]~q\);

-- Location: LCCOMB_X29_Y13_N28
\led_flash_cnt[3240][6]~72250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3240][6]~72250_combout\ = (\led_flash_cnt[3240][6]~q\ & (!\led_flash_cnt[3240][5]~72249\)) # (!\led_flash_cnt[3240][6]~q\ & ((\led_flash_cnt[3240][5]~72249\) # (GND)))
-- \led_flash_cnt[3240][6]~72251\ = CARRY((!\led_flash_cnt[3240][5]~72249\) # (!\led_flash_cnt[3240][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3240][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3240][5]~72249\,
	combout => \led_flash_cnt[3240][6]~72250_combout\,
	cout => \led_flash_cnt[3240][6]~72251\);

-- Location: FF_X29_Y13_N29
\led_flash_cnt[3240][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3240][6]~72250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3240][6]~q\);

-- Location: LCCOMB_X29_Y13_N8
\WideAnd3240~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3240~1_combout\ = (\led_flash_cnt[3240][5]~q\ & \led_flash_cnt[3240][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3240][5]~q\,
	datad => \led_flash_cnt[3240][6]~q\,
	combout => \WideAnd3240~1_combout\);

-- Location: LCCOMB_X29_Y13_N30
\led_flash_cnt[3240][7]~72252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3240][7]~72252_combout\ = \led_flash_cnt[3240][7]~q\ $ (!\led_flash_cnt[3240][6]~72251\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3240][7]~q\,
	cin => \led_flash_cnt[3240][6]~72251\,
	combout => \led_flash_cnt[3240][7]~72252_combout\);

-- Location: FF_X29_Y13_N31
\led_flash_cnt[3240][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3240][7]~72252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3240][7]~q\);

-- Location: LCCOMB_X29_Y13_N2
\WideAnd3240~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3240~0_combout\ = (\led_flash_cnt[3240][1]~q\ & (\led_flash_cnt[3240][4]~q\ & (\led_flash_cnt[3240][3]~q\ & \led_flash_cnt[3240][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3240][1]~q\,
	datab => \led_flash_cnt[3240][4]~q\,
	datac => \led_flash_cnt[3240][3]~q\,
	datad => \led_flash_cnt[3240][2]~q\,
	combout => \WideAnd3240~0_combout\);

-- Location: LCCOMB_X29_Y13_N6
WideAnd3240 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3240~combout\ = (\led_flash_cnt[3240][0]~q\ & (\WideAnd3240~1_combout\ & (\led_flash_cnt[3240][7]~q\ & \WideAnd3240~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3240][0]~q\,
	datab => \WideAnd3240~1_combout\,
	datac => \led_flash_cnt[3240][7]~q\,
	datad => \WideAnd3240~0_combout\,
	combout => \WideAnd3240~combout\);

-- Location: FF_X29_Y13_N7
\led_flash_cnt_ands[3240]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3240~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3240));

-- Location: LCCOMB_X32_Y6_N6
\led_flash_cnt[3242][0]~83882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3242][0]~83882_combout\ = !\led_flash_cnt[3242][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3242][0]~q\,
	combout => \led_flash_cnt[3242][0]~83882_combout\);

-- Location: FF_X32_Y6_N7
\led_flash_cnt[3242][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3242][0]~83882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3242][0]~q\);

-- Location: LCCOMB_X32_Y6_N18
\led_flash_cnt[3242][1]~72268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3242][1]~72268_combout\ = (\led_flash_cnt[3242][0]~q\ & (\led_flash_cnt[3242][1]~q\ $ (VCC))) # (!\led_flash_cnt[3242][0]~q\ & (\led_flash_cnt[3242][1]~q\ & VCC))
-- \led_flash_cnt[3242][1]~72269\ = CARRY((\led_flash_cnt[3242][0]~q\ & \led_flash_cnt[3242][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3242][0]~q\,
	datab => \led_flash_cnt[3242][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3242][1]~72268_combout\,
	cout => \led_flash_cnt[3242][1]~72269\);

-- Location: FF_X32_Y6_N19
\led_flash_cnt[3242][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3242][1]~72268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3242][1]~q\);

-- Location: LCCOMB_X32_Y6_N20
\led_flash_cnt[3242][2]~72270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3242][2]~72270_combout\ = (\led_flash_cnt[3242][2]~q\ & (!\led_flash_cnt[3242][1]~72269\)) # (!\led_flash_cnt[3242][2]~q\ & ((\led_flash_cnt[3242][1]~72269\) # (GND)))
-- \led_flash_cnt[3242][2]~72271\ = CARRY((!\led_flash_cnt[3242][1]~72269\) # (!\led_flash_cnt[3242][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3242][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3242][1]~72269\,
	combout => \led_flash_cnt[3242][2]~72270_combout\,
	cout => \led_flash_cnt[3242][2]~72271\);

-- Location: FF_X32_Y6_N21
\led_flash_cnt[3242][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3242][2]~72270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3242][2]~q\);

-- Location: LCCOMB_X32_Y6_N22
\led_flash_cnt[3242][3]~72272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3242][3]~72272_combout\ = (\led_flash_cnt[3242][3]~q\ & (\led_flash_cnt[3242][2]~72271\ $ (GND))) # (!\led_flash_cnt[3242][3]~q\ & (!\led_flash_cnt[3242][2]~72271\ & VCC))
-- \led_flash_cnt[3242][3]~72273\ = CARRY((\led_flash_cnt[3242][3]~q\ & !\led_flash_cnt[3242][2]~72271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3242][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3242][2]~72271\,
	combout => \led_flash_cnt[3242][3]~72272_combout\,
	cout => \led_flash_cnt[3242][3]~72273\);

-- Location: FF_X32_Y6_N23
\led_flash_cnt[3242][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3242][3]~72272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3242][3]~q\);

-- Location: LCCOMB_X32_Y6_N24
\led_flash_cnt[3242][4]~72274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3242][4]~72274_combout\ = (\led_flash_cnt[3242][4]~q\ & (!\led_flash_cnt[3242][3]~72273\)) # (!\led_flash_cnt[3242][4]~q\ & ((\led_flash_cnt[3242][3]~72273\) # (GND)))
-- \led_flash_cnt[3242][4]~72275\ = CARRY((!\led_flash_cnt[3242][3]~72273\) # (!\led_flash_cnt[3242][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3242][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3242][3]~72273\,
	combout => \led_flash_cnt[3242][4]~72274_combout\,
	cout => \led_flash_cnt[3242][4]~72275\);

-- Location: FF_X32_Y6_N25
\led_flash_cnt[3242][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3242][4]~72274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3242][4]~q\);

-- Location: LCCOMB_X32_Y6_N26
\led_flash_cnt[3242][5]~72276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3242][5]~72276_combout\ = (\led_flash_cnt[3242][5]~q\ & (\led_flash_cnt[3242][4]~72275\ $ (GND))) # (!\led_flash_cnt[3242][5]~q\ & (!\led_flash_cnt[3242][4]~72275\ & VCC))
-- \led_flash_cnt[3242][5]~72277\ = CARRY((\led_flash_cnt[3242][5]~q\ & !\led_flash_cnt[3242][4]~72275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3242][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3242][4]~72275\,
	combout => \led_flash_cnt[3242][5]~72276_combout\,
	cout => \led_flash_cnt[3242][5]~72277\);

-- Location: FF_X32_Y6_N27
\led_flash_cnt[3242][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3242][5]~72276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3242][5]~q\);

-- Location: LCCOMB_X32_Y6_N28
\led_flash_cnt[3242][6]~72278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3242][6]~72278_combout\ = (\led_flash_cnt[3242][6]~q\ & (!\led_flash_cnt[3242][5]~72277\)) # (!\led_flash_cnt[3242][6]~q\ & ((\led_flash_cnt[3242][5]~72277\) # (GND)))
-- \led_flash_cnt[3242][6]~72279\ = CARRY((!\led_flash_cnt[3242][5]~72277\) # (!\led_flash_cnt[3242][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3242][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3242][5]~72277\,
	combout => \led_flash_cnt[3242][6]~72278_combout\,
	cout => \led_flash_cnt[3242][6]~72279\);

-- Location: FF_X32_Y6_N29
\led_flash_cnt[3242][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3242][6]~72278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3242][6]~q\);

-- Location: LCCOMB_X32_Y6_N4
\WideAnd3242~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3242~1_combout\ = (\led_flash_cnt[3242][5]~q\ & \led_flash_cnt[3242][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3242][5]~q\,
	datad => \led_flash_cnt[3242][6]~q\,
	combout => \WideAnd3242~1_combout\);

-- Location: LCCOMB_X32_Y6_N30
\led_flash_cnt[3242][7]~72280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3242][7]~72280_combout\ = \led_flash_cnt[3242][7]~q\ $ (!\led_flash_cnt[3242][6]~72279\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3242][7]~q\,
	cin => \led_flash_cnt[3242][6]~72279\,
	combout => \led_flash_cnt[3242][7]~72280_combout\);

-- Location: FF_X32_Y6_N31
\led_flash_cnt[3242][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3242][7]~72280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3242][7]~q\);

-- Location: LCCOMB_X32_Y6_N10
\WideAnd3242~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3242~0_combout\ = (\led_flash_cnt[3242][2]~q\ & (\led_flash_cnt[3242][1]~q\ & (\led_flash_cnt[3242][3]~q\ & \led_flash_cnt[3242][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3242][2]~q\,
	datab => \led_flash_cnt[3242][1]~q\,
	datac => \led_flash_cnt[3242][3]~q\,
	datad => \led_flash_cnt[3242][4]~q\,
	combout => \WideAnd3242~0_combout\);

-- Location: LCCOMB_X32_Y6_N16
WideAnd3242 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3242~combout\ = (\led_flash_cnt[3242][0]~q\ & (\WideAnd3242~1_combout\ & (\led_flash_cnt[3242][7]~q\ & \WideAnd3242~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3242][0]~q\,
	datab => \WideAnd3242~1_combout\,
	datac => \led_flash_cnt[3242][7]~q\,
	datad => \WideAnd3242~0_combout\,
	combout => \WideAnd3242~combout\);

-- Location: FF_X32_Y6_N17
\led_flash_cnt_ands[3242]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3242~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3242));

-- Location: LCCOMB_X32_Y6_N14
\WideAnd4245~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4245~0_combout\ = (led_flash_cnt_ands(3243) & (led_flash_cnt_ands(3241) & (led_flash_cnt_ands(3240) & led_flash_cnt_ands(3242))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3243),
	datab => led_flash_cnt_ands(3241),
	datac => led_flash_cnt_ands(3240),
	datad => led_flash_cnt_ands(3242),
	combout => \WideAnd4245~0_combout\);

-- Location: LCCOMB_X50_Y7_N26
\led_flash_cnt[3247][0]~83887\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3247][0]~83887_combout\ = !\led_flash_cnt[3247][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3247][0]~q\,
	combout => \led_flash_cnt[3247][0]~83887_combout\);

-- Location: FF_X50_Y7_N27
\led_flash_cnt[3247][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3247][0]~83887_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3247][0]~q\);

-- Location: LCCOMB_X50_Y7_N0
\led_flash_cnt[3247][1]~72338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3247][1]~72338_combout\ = (\led_flash_cnt[3247][0]~q\ & (\led_flash_cnt[3247][1]~q\ $ (VCC))) # (!\led_flash_cnt[3247][0]~q\ & (\led_flash_cnt[3247][1]~q\ & VCC))
-- \led_flash_cnt[3247][1]~72339\ = CARRY((\led_flash_cnt[3247][0]~q\ & \led_flash_cnt[3247][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3247][0]~q\,
	datab => \led_flash_cnt[3247][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3247][1]~72338_combout\,
	cout => \led_flash_cnt[3247][1]~72339\);

-- Location: FF_X50_Y7_N1
\led_flash_cnt[3247][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3247][1]~72338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3247][1]~q\);

-- Location: LCCOMB_X50_Y7_N2
\led_flash_cnt[3247][2]~72340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3247][2]~72340_combout\ = (\led_flash_cnt[3247][2]~q\ & (!\led_flash_cnt[3247][1]~72339\)) # (!\led_flash_cnt[3247][2]~q\ & ((\led_flash_cnt[3247][1]~72339\) # (GND)))
-- \led_flash_cnt[3247][2]~72341\ = CARRY((!\led_flash_cnt[3247][1]~72339\) # (!\led_flash_cnt[3247][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3247][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3247][1]~72339\,
	combout => \led_flash_cnt[3247][2]~72340_combout\,
	cout => \led_flash_cnt[3247][2]~72341\);

-- Location: FF_X50_Y7_N3
\led_flash_cnt[3247][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3247][2]~72340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3247][2]~q\);

-- Location: LCCOMB_X50_Y7_N4
\led_flash_cnt[3247][3]~72342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3247][3]~72342_combout\ = (\led_flash_cnt[3247][3]~q\ & (\led_flash_cnt[3247][2]~72341\ $ (GND))) # (!\led_flash_cnt[3247][3]~q\ & (!\led_flash_cnt[3247][2]~72341\ & VCC))
-- \led_flash_cnt[3247][3]~72343\ = CARRY((\led_flash_cnt[3247][3]~q\ & !\led_flash_cnt[3247][2]~72341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3247][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3247][2]~72341\,
	combout => \led_flash_cnt[3247][3]~72342_combout\,
	cout => \led_flash_cnt[3247][3]~72343\);

-- Location: FF_X50_Y7_N5
\led_flash_cnt[3247][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3247][3]~72342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3247][3]~q\);

-- Location: LCCOMB_X50_Y7_N6
\led_flash_cnt[3247][4]~72344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3247][4]~72344_combout\ = (\led_flash_cnt[3247][4]~q\ & (!\led_flash_cnt[3247][3]~72343\)) # (!\led_flash_cnt[3247][4]~q\ & ((\led_flash_cnt[3247][3]~72343\) # (GND)))
-- \led_flash_cnt[3247][4]~72345\ = CARRY((!\led_flash_cnt[3247][3]~72343\) # (!\led_flash_cnt[3247][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3247][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3247][3]~72343\,
	combout => \led_flash_cnt[3247][4]~72344_combout\,
	cout => \led_flash_cnt[3247][4]~72345\);

-- Location: FF_X50_Y7_N7
\led_flash_cnt[3247][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3247][4]~72344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3247][4]~q\);

-- Location: LCCOMB_X50_Y7_N8
\led_flash_cnt[3247][5]~72346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3247][5]~72346_combout\ = (\led_flash_cnt[3247][5]~q\ & (\led_flash_cnt[3247][4]~72345\ $ (GND))) # (!\led_flash_cnt[3247][5]~q\ & (!\led_flash_cnt[3247][4]~72345\ & VCC))
-- \led_flash_cnt[3247][5]~72347\ = CARRY((\led_flash_cnt[3247][5]~q\ & !\led_flash_cnt[3247][4]~72345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3247][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3247][4]~72345\,
	combout => \led_flash_cnt[3247][5]~72346_combout\,
	cout => \led_flash_cnt[3247][5]~72347\);

-- Location: FF_X50_Y7_N9
\led_flash_cnt[3247][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3247][5]~72346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3247][5]~q\);

-- Location: LCCOMB_X50_Y7_N10
\led_flash_cnt[3247][6]~72348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3247][6]~72348_combout\ = (\led_flash_cnt[3247][6]~q\ & (!\led_flash_cnt[3247][5]~72347\)) # (!\led_flash_cnt[3247][6]~q\ & ((\led_flash_cnt[3247][5]~72347\) # (GND)))
-- \led_flash_cnt[3247][6]~72349\ = CARRY((!\led_flash_cnt[3247][5]~72347\) # (!\led_flash_cnt[3247][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3247][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3247][5]~72347\,
	combout => \led_flash_cnt[3247][6]~72348_combout\,
	cout => \led_flash_cnt[3247][6]~72349\);

-- Location: FF_X50_Y7_N11
\led_flash_cnt[3247][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3247][6]~72348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3247][6]~q\);

-- Location: LCCOMB_X50_Y7_N12
\led_flash_cnt[3247][7]~72350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3247][7]~72350_combout\ = \led_flash_cnt[3247][6]~72349\ $ (!\led_flash_cnt[3247][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3247][7]~q\,
	cin => \led_flash_cnt[3247][6]~72349\,
	combout => \led_flash_cnt[3247][7]~72350_combout\);

-- Location: FF_X50_Y7_N13
\led_flash_cnt[3247][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3247][7]~72350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3247][7]~q\);

-- Location: LCCOMB_X50_Y7_N24
\WideAnd3247~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3247~1_combout\ = (\led_flash_cnt[3247][5]~q\ & \led_flash_cnt[3247][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3247][5]~q\,
	datad => \led_flash_cnt[3247][6]~q\,
	combout => \WideAnd3247~1_combout\);

-- Location: LCCOMB_X50_Y7_N16
\WideAnd3247~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3247~0_combout\ = (\led_flash_cnt[3247][4]~q\ & (\led_flash_cnt[3247][2]~q\ & (\led_flash_cnt[3247][3]~q\ & \led_flash_cnt[3247][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3247][4]~q\,
	datab => \led_flash_cnt[3247][2]~q\,
	datac => \led_flash_cnt[3247][3]~q\,
	datad => \led_flash_cnt[3247][1]~q\,
	combout => \WideAnd3247~0_combout\);

-- Location: LCCOMB_X50_Y7_N28
WideAnd3247 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3247~combout\ = (\led_flash_cnt[3247][7]~q\ & (\WideAnd3247~1_combout\ & (\led_flash_cnt[3247][0]~q\ & \WideAnd3247~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3247][7]~q\,
	datab => \WideAnd3247~1_combout\,
	datac => \led_flash_cnt[3247][0]~q\,
	datad => \WideAnd3247~0_combout\,
	combout => \WideAnd3247~combout\);

-- Location: FF_X50_Y7_N29
\led_flash_cnt_ands[3247]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3247~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3247));

-- Location: LCCOMB_X32_Y9_N2
\led_flash_cnt[3246][0]~83886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3246][0]~83886_combout\ = !\led_flash_cnt[3246][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3246][0]~q\,
	combout => \led_flash_cnt[3246][0]~83886_combout\);

-- Location: FF_X32_Y9_N3
\led_flash_cnt[3246][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3246][0]~83886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3246][0]~q\);

-- Location: LCCOMB_X31_Y9_N2
\led_flash_cnt[3246][1]~72324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3246][1]~72324_combout\ = (\led_flash_cnt[3246][0]~q\ & (\led_flash_cnt[3246][1]~q\ $ (VCC))) # (!\led_flash_cnt[3246][0]~q\ & (\led_flash_cnt[3246][1]~q\ & VCC))
-- \led_flash_cnt[3246][1]~72325\ = CARRY((\led_flash_cnt[3246][0]~q\ & \led_flash_cnt[3246][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3246][0]~q\,
	datab => \led_flash_cnt[3246][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3246][1]~72324_combout\,
	cout => \led_flash_cnt[3246][1]~72325\);

-- Location: FF_X31_Y9_N3
\led_flash_cnt[3246][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3246][1]~72324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3246][1]~q\);

-- Location: LCCOMB_X31_Y9_N4
\led_flash_cnt[3246][2]~72326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3246][2]~72326_combout\ = (\led_flash_cnt[3246][2]~q\ & (!\led_flash_cnt[3246][1]~72325\)) # (!\led_flash_cnt[3246][2]~q\ & ((\led_flash_cnt[3246][1]~72325\) # (GND)))
-- \led_flash_cnt[3246][2]~72327\ = CARRY((!\led_flash_cnt[3246][1]~72325\) # (!\led_flash_cnt[3246][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3246][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3246][1]~72325\,
	combout => \led_flash_cnt[3246][2]~72326_combout\,
	cout => \led_flash_cnt[3246][2]~72327\);

-- Location: FF_X31_Y9_N5
\led_flash_cnt[3246][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3246][2]~72326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3246][2]~q\);

-- Location: LCCOMB_X31_Y9_N6
\led_flash_cnt[3246][3]~72328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3246][3]~72328_combout\ = (\led_flash_cnt[3246][3]~q\ & (\led_flash_cnt[3246][2]~72327\ $ (GND))) # (!\led_flash_cnt[3246][3]~q\ & (!\led_flash_cnt[3246][2]~72327\ & VCC))
-- \led_flash_cnt[3246][3]~72329\ = CARRY((\led_flash_cnt[3246][3]~q\ & !\led_flash_cnt[3246][2]~72327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3246][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3246][2]~72327\,
	combout => \led_flash_cnt[3246][3]~72328_combout\,
	cout => \led_flash_cnt[3246][3]~72329\);

-- Location: FF_X31_Y9_N7
\led_flash_cnt[3246][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3246][3]~72328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3246][3]~q\);

-- Location: LCCOMB_X31_Y9_N8
\led_flash_cnt[3246][4]~72330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3246][4]~72330_combout\ = (\led_flash_cnt[3246][4]~q\ & (!\led_flash_cnt[3246][3]~72329\)) # (!\led_flash_cnt[3246][4]~q\ & ((\led_flash_cnt[3246][3]~72329\) # (GND)))
-- \led_flash_cnt[3246][4]~72331\ = CARRY((!\led_flash_cnt[3246][3]~72329\) # (!\led_flash_cnt[3246][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3246][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3246][3]~72329\,
	combout => \led_flash_cnt[3246][4]~72330_combout\,
	cout => \led_flash_cnt[3246][4]~72331\);

-- Location: FF_X31_Y9_N9
\led_flash_cnt[3246][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3246][4]~72330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3246][4]~q\);

-- Location: LCCOMB_X31_Y9_N10
\led_flash_cnt[3246][5]~72332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3246][5]~72332_combout\ = (\led_flash_cnt[3246][5]~q\ & (\led_flash_cnt[3246][4]~72331\ $ (GND))) # (!\led_flash_cnt[3246][5]~q\ & (!\led_flash_cnt[3246][4]~72331\ & VCC))
-- \led_flash_cnt[3246][5]~72333\ = CARRY((\led_flash_cnt[3246][5]~q\ & !\led_flash_cnt[3246][4]~72331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3246][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3246][4]~72331\,
	combout => \led_flash_cnt[3246][5]~72332_combout\,
	cout => \led_flash_cnt[3246][5]~72333\);

-- Location: FF_X31_Y9_N11
\led_flash_cnt[3246][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3246][5]~72332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3246][5]~q\);

-- Location: LCCOMB_X31_Y9_N12
\led_flash_cnt[3246][6]~72334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3246][6]~72334_combout\ = (\led_flash_cnt[3246][6]~q\ & (!\led_flash_cnt[3246][5]~72333\)) # (!\led_flash_cnt[3246][6]~q\ & ((\led_flash_cnt[3246][5]~72333\) # (GND)))
-- \led_flash_cnt[3246][6]~72335\ = CARRY((!\led_flash_cnt[3246][5]~72333\) # (!\led_flash_cnt[3246][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3246][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3246][5]~72333\,
	combout => \led_flash_cnt[3246][6]~72334_combout\,
	cout => \led_flash_cnt[3246][6]~72335\);

-- Location: FF_X31_Y9_N13
\led_flash_cnt[3246][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3246][6]~72334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3246][6]~q\);

-- Location: LCCOMB_X31_Y9_N14
\led_flash_cnt[3246][7]~72336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3246][7]~72336_combout\ = \led_flash_cnt[3246][7]~q\ $ (!\led_flash_cnt[3246][6]~72335\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3246][7]~q\,
	cin => \led_flash_cnt[3246][6]~72335\,
	combout => \led_flash_cnt[3246][7]~72336_combout\);

-- Location: FF_X31_Y9_N15
\led_flash_cnt[3246][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3246][7]~72336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3246][7]~q\);

-- Location: LCCOMB_X32_Y9_N30
\WideAnd3246~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3246~1_combout\ = (\led_flash_cnt[3246][6]~q\ & \led_flash_cnt[3246][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3246][6]~q\,
	datad => \led_flash_cnt[3246][5]~q\,
	combout => \WideAnd3246~1_combout\);

-- Location: LCCOMB_X32_Y9_N10
\WideAnd3246~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3246~0_combout\ = (\led_flash_cnt[3246][1]~q\ & (\led_flash_cnt[3246][2]~q\ & (\led_flash_cnt[3246][3]~q\ & \led_flash_cnt[3246][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3246][1]~q\,
	datab => \led_flash_cnt[3246][2]~q\,
	datac => \led_flash_cnt[3246][3]~q\,
	datad => \led_flash_cnt[3246][4]~q\,
	combout => \WideAnd3246~0_combout\);

-- Location: LCCOMB_X32_Y9_N6
WideAnd3246 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3246~combout\ = (\led_flash_cnt[3246][7]~q\ & (\led_flash_cnt[3246][0]~q\ & (\WideAnd3246~1_combout\ & \WideAnd3246~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3246][7]~q\,
	datab => \led_flash_cnt[3246][0]~q\,
	datac => \WideAnd3246~1_combout\,
	datad => \WideAnd3246~0_combout\,
	combout => \WideAnd3246~combout\);

-- Location: FF_X32_Y9_N7
\led_flash_cnt_ands[3246]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3246~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3246));

-- Location: LCCOMB_X32_Y9_N0
WideAnd4245 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4245~combout\ = (\WideAnd4245~1_combout\ & (\WideAnd4245~0_combout\ & (led_flash_cnt_ands(3247) & led_flash_cnt_ands(3246))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4245~1_combout\,
	datab => \WideAnd4245~0_combout\,
	datac => led_flash_cnt_ands(3247),
	datad => led_flash_cnt_ands(3246),
	combout => \WideAnd4245~combout\);

-- Location: FF_X32_Y9_N1
\led_flash_cnt_ands_1[405]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4245~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(405));

-- Location: LCCOMB_X29_Y10_N30
\WideAnd4370~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4370~1_combout\ = (led_flash_cnt_ands_1(404) & led_flash_cnt_ands_1(405))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(404),
	datad => led_flash_cnt_ands_1(405),
	combout => \WideAnd4370~1_combout\);

-- Location: LCCOMB_X24_Y32_N28
\led_flash_cnt[3262][0]~83902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3262][0]~83902_combout\ = !\led_flash_cnt[3262][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3262][0]~q\,
	combout => \led_flash_cnt[3262][0]~83902_combout\);

-- Location: FF_X24_Y32_N29
\led_flash_cnt[3262][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3262][0]~83902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3262][0]~q\);

-- Location: LCCOMB_X23_Y32_N4
\led_flash_cnt[3262][1]~72548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3262][1]~72548_combout\ = (\led_flash_cnt[3262][1]~q\ & (\led_flash_cnt[3262][0]~q\ $ (VCC))) # (!\led_flash_cnt[3262][1]~q\ & (\led_flash_cnt[3262][0]~q\ & VCC))
-- \led_flash_cnt[3262][1]~72549\ = CARRY((\led_flash_cnt[3262][1]~q\ & \led_flash_cnt[3262][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3262][1]~q\,
	datab => \led_flash_cnt[3262][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3262][1]~72548_combout\,
	cout => \led_flash_cnt[3262][1]~72549\);

-- Location: FF_X23_Y32_N5
\led_flash_cnt[3262][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3262][1]~72548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3262][1]~q\);

-- Location: LCCOMB_X23_Y32_N6
\led_flash_cnt[3262][2]~72550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3262][2]~72550_combout\ = (\led_flash_cnt[3262][2]~q\ & (!\led_flash_cnt[3262][1]~72549\)) # (!\led_flash_cnt[3262][2]~q\ & ((\led_flash_cnt[3262][1]~72549\) # (GND)))
-- \led_flash_cnt[3262][2]~72551\ = CARRY((!\led_flash_cnt[3262][1]~72549\) # (!\led_flash_cnt[3262][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3262][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3262][1]~72549\,
	combout => \led_flash_cnt[3262][2]~72550_combout\,
	cout => \led_flash_cnt[3262][2]~72551\);

-- Location: FF_X23_Y32_N7
\led_flash_cnt[3262][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3262][2]~72550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3262][2]~q\);

-- Location: LCCOMB_X23_Y32_N8
\led_flash_cnt[3262][3]~72552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3262][3]~72552_combout\ = (\led_flash_cnt[3262][3]~q\ & (\led_flash_cnt[3262][2]~72551\ $ (GND))) # (!\led_flash_cnt[3262][3]~q\ & (!\led_flash_cnt[3262][2]~72551\ & VCC))
-- \led_flash_cnt[3262][3]~72553\ = CARRY((\led_flash_cnt[3262][3]~q\ & !\led_flash_cnt[3262][2]~72551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3262][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3262][2]~72551\,
	combout => \led_flash_cnt[3262][3]~72552_combout\,
	cout => \led_flash_cnt[3262][3]~72553\);

-- Location: FF_X23_Y32_N9
\led_flash_cnt[3262][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3262][3]~72552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3262][3]~q\);

-- Location: LCCOMB_X23_Y32_N10
\led_flash_cnt[3262][4]~72554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3262][4]~72554_combout\ = (\led_flash_cnt[3262][4]~q\ & (!\led_flash_cnt[3262][3]~72553\)) # (!\led_flash_cnt[3262][4]~q\ & ((\led_flash_cnt[3262][3]~72553\) # (GND)))
-- \led_flash_cnt[3262][4]~72555\ = CARRY((!\led_flash_cnt[3262][3]~72553\) # (!\led_flash_cnt[3262][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3262][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3262][3]~72553\,
	combout => \led_flash_cnt[3262][4]~72554_combout\,
	cout => \led_flash_cnt[3262][4]~72555\);

-- Location: FF_X23_Y32_N11
\led_flash_cnt[3262][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3262][4]~72554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3262][4]~q\);

-- Location: LCCOMB_X24_Y32_N6
\WideAnd3262~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3262~0_combout\ = (\led_flash_cnt[3262][3]~q\ & (\led_flash_cnt[3262][2]~q\ & (\led_flash_cnt[3262][1]~q\ & \led_flash_cnt[3262][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3262][3]~q\,
	datab => \led_flash_cnt[3262][2]~q\,
	datac => \led_flash_cnt[3262][1]~q\,
	datad => \led_flash_cnt[3262][4]~q\,
	combout => \WideAnd3262~0_combout\);

-- Location: LCCOMB_X23_Y32_N12
\led_flash_cnt[3262][5]~72556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3262][5]~72556_combout\ = (\led_flash_cnt[3262][5]~q\ & (\led_flash_cnt[3262][4]~72555\ $ (GND))) # (!\led_flash_cnt[3262][5]~q\ & (!\led_flash_cnt[3262][4]~72555\ & VCC))
-- \led_flash_cnt[3262][5]~72557\ = CARRY((\led_flash_cnt[3262][5]~q\ & !\led_flash_cnt[3262][4]~72555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3262][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3262][4]~72555\,
	combout => \led_flash_cnt[3262][5]~72556_combout\,
	cout => \led_flash_cnt[3262][5]~72557\);

-- Location: FF_X23_Y32_N13
\led_flash_cnt[3262][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3262][5]~72556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3262][5]~q\);

-- Location: LCCOMB_X23_Y32_N14
\led_flash_cnt[3262][6]~72558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3262][6]~72558_combout\ = (\led_flash_cnt[3262][6]~q\ & (!\led_flash_cnt[3262][5]~72557\)) # (!\led_flash_cnt[3262][6]~q\ & ((\led_flash_cnt[3262][5]~72557\) # (GND)))
-- \led_flash_cnt[3262][6]~72559\ = CARRY((!\led_flash_cnt[3262][5]~72557\) # (!\led_flash_cnt[3262][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3262][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3262][5]~72557\,
	combout => \led_flash_cnt[3262][6]~72558_combout\,
	cout => \led_flash_cnt[3262][6]~72559\);

-- Location: FF_X23_Y32_N15
\led_flash_cnt[3262][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3262][6]~72558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3262][6]~q\);

-- Location: LCCOMB_X23_Y32_N16
\led_flash_cnt[3262][7]~72560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3262][7]~72560_combout\ = \led_flash_cnt[3262][6]~72559\ $ (!\led_flash_cnt[3262][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3262][7]~q\,
	cin => \led_flash_cnt[3262][6]~72559\,
	combout => \led_flash_cnt[3262][7]~72560_combout\);

-- Location: FF_X23_Y32_N17
\led_flash_cnt[3262][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3262][7]~72560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3262][7]~q\);

-- Location: LCCOMB_X23_Y32_N0
\WideAnd3262~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3262~1_combout\ = (\led_flash_cnt[3262][6]~q\ & \led_flash_cnt[3262][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3262][6]~q\,
	datad => \led_flash_cnt[3262][5]~q\,
	combout => \WideAnd3262~1_combout\);

-- Location: LCCOMB_X23_Y32_N2
WideAnd3262 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3262~combout\ = (\WideAnd3262~0_combout\ & (\led_flash_cnt[3262][7]~q\ & (\WideAnd3262~1_combout\ & \led_flash_cnt[3262][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3262~0_combout\,
	datab => \led_flash_cnt[3262][7]~q\,
	datac => \WideAnd3262~1_combout\,
	datad => \led_flash_cnt[3262][0]~q\,
	combout => \WideAnd3262~combout\);

-- Location: FF_X23_Y32_N3
\led_flash_cnt_ands[3262]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3262~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3262));

-- Location: LCCOMB_X25_Y30_N8
\led_flash_cnt[3257][0]~83897\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3257][0]~83897_combout\ = !\led_flash_cnt[3257][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3257][0]~q\,
	combout => \led_flash_cnt[3257][0]~83897_combout\);

-- Location: FF_X25_Y30_N9
\led_flash_cnt[3257][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3257][0]~83897_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3257][0]~q\);

-- Location: LCCOMB_X25_Y30_N10
\led_flash_cnt[3257][1]~72478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3257][1]~72478_combout\ = (\led_flash_cnt[3257][1]~q\ & (\led_flash_cnt[3257][0]~q\ $ (VCC))) # (!\led_flash_cnt[3257][1]~q\ & (\led_flash_cnt[3257][0]~q\ & VCC))
-- \led_flash_cnt[3257][1]~72479\ = CARRY((\led_flash_cnt[3257][1]~q\ & \led_flash_cnt[3257][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3257][1]~q\,
	datab => \led_flash_cnt[3257][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3257][1]~72478_combout\,
	cout => \led_flash_cnt[3257][1]~72479\);

-- Location: FF_X25_Y30_N11
\led_flash_cnt[3257][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3257][1]~72478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3257][1]~q\);

-- Location: LCCOMB_X25_Y30_N12
\led_flash_cnt[3257][2]~72480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3257][2]~72480_combout\ = (\led_flash_cnt[3257][2]~q\ & (!\led_flash_cnt[3257][1]~72479\)) # (!\led_flash_cnt[3257][2]~q\ & ((\led_flash_cnt[3257][1]~72479\) # (GND)))
-- \led_flash_cnt[3257][2]~72481\ = CARRY((!\led_flash_cnt[3257][1]~72479\) # (!\led_flash_cnt[3257][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3257][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3257][1]~72479\,
	combout => \led_flash_cnt[3257][2]~72480_combout\,
	cout => \led_flash_cnt[3257][2]~72481\);

-- Location: FF_X25_Y30_N13
\led_flash_cnt[3257][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3257][2]~72480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3257][2]~q\);

-- Location: LCCOMB_X25_Y30_N14
\led_flash_cnt[3257][3]~72482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3257][3]~72482_combout\ = (\led_flash_cnt[3257][3]~q\ & (\led_flash_cnt[3257][2]~72481\ $ (GND))) # (!\led_flash_cnt[3257][3]~q\ & (!\led_flash_cnt[3257][2]~72481\ & VCC))
-- \led_flash_cnt[3257][3]~72483\ = CARRY((\led_flash_cnt[3257][3]~q\ & !\led_flash_cnt[3257][2]~72481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3257][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3257][2]~72481\,
	combout => \led_flash_cnt[3257][3]~72482_combout\,
	cout => \led_flash_cnt[3257][3]~72483\);

-- Location: FF_X25_Y30_N15
\led_flash_cnt[3257][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3257][3]~72482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3257][3]~q\);

-- Location: LCCOMB_X25_Y30_N16
\led_flash_cnt[3257][4]~72484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3257][4]~72484_combout\ = (\led_flash_cnt[3257][4]~q\ & (!\led_flash_cnt[3257][3]~72483\)) # (!\led_flash_cnt[3257][4]~q\ & ((\led_flash_cnt[3257][3]~72483\) # (GND)))
-- \led_flash_cnt[3257][4]~72485\ = CARRY((!\led_flash_cnt[3257][3]~72483\) # (!\led_flash_cnt[3257][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3257][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3257][3]~72483\,
	combout => \led_flash_cnt[3257][4]~72484_combout\,
	cout => \led_flash_cnt[3257][4]~72485\);

-- Location: FF_X25_Y30_N17
\led_flash_cnt[3257][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3257][4]~72484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3257][4]~q\);

-- Location: LCCOMB_X25_Y30_N26
\WideAnd3257~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3257~0_combout\ = (\led_flash_cnt[3257][1]~q\ & (\led_flash_cnt[3257][4]~q\ & (\led_flash_cnt[3257][3]~q\ & \led_flash_cnt[3257][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3257][1]~q\,
	datab => \led_flash_cnt[3257][4]~q\,
	datac => \led_flash_cnt[3257][3]~q\,
	datad => \led_flash_cnt[3257][2]~q\,
	combout => \WideAnd3257~0_combout\);

-- Location: LCCOMB_X25_Y30_N18
\led_flash_cnt[3257][5]~72486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3257][5]~72486_combout\ = (\led_flash_cnt[3257][5]~q\ & (\led_flash_cnt[3257][4]~72485\ $ (GND))) # (!\led_flash_cnt[3257][5]~q\ & (!\led_flash_cnt[3257][4]~72485\ & VCC))
-- \led_flash_cnt[3257][5]~72487\ = CARRY((\led_flash_cnt[3257][5]~q\ & !\led_flash_cnt[3257][4]~72485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3257][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3257][4]~72485\,
	combout => \led_flash_cnt[3257][5]~72486_combout\,
	cout => \led_flash_cnt[3257][5]~72487\);

-- Location: FF_X25_Y30_N19
\led_flash_cnt[3257][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3257][5]~72486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3257][5]~q\);

-- Location: LCCOMB_X25_Y30_N20
\led_flash_cnt[3257][6]~72488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3257][6]~72488_combout\ = (\led_flash_cnt[3257][6]~q\ & (!\led_flash_cnt[3257][5]~72487\)) # (!\led_flash_cnt[3257][6]~q\ & ((\led_flash_cnt[3257][5]~72487\) # (GND)))
-- \led_flash_cnt[3257][6]~72489\ = CARRY((!\led_flash_cnt[3257][5]~72487\) # (!\led_flash_cnt[3257][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3257][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3257][5]~72487\,
	combout => \led_flash_cnt[3257][6]~72488_combout\,
	cout => \led_flash_cnt[3257][6]~72489\);

-- Location: FF_X25_Y30_N21
\led_flash_cnt[3257][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3257][6]~72488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3257][6]~q\);

-- Location: LCCOMB_X25_Y30_N22
\led_flash_cnt[3257][7]~72490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3257][7]~72490_combout\ = \led_flash_cnt[3257][7]~q\ $ (!\led_flash_cnt[3257][6]~72489\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3257][7]~q\,
	cin => \led_flash_cnt[3257][6]~72489\,
	combout => \led_flash_cnt[3257][7]~72490_combout\);

-- Location: FF_X25_Y30_N23
\led_flash_cnt[3257][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3257][7]~72490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3257][7]~q\);

-- Location: LCCOMB_X25_Y30_N24
\WideAnd3257~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3257~1_combout\ = (\led_flash_cnt[3257][5]~q\ & \led_flash_cnt[3257][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3257][5]~q\,
	datad => \led_flash_cnt[3257][6]~q\,
	combout => \WideAnd3257~1_combout\);

-- Location: LCCOMB_X25_Y30_N0
WideAnd3257 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3257~combout\ = (\WideAnd3257~0_combout\ & (\led_flash_cnt[3257][0]~q\ & (\led_flash_cnt[3257][7]~q\ & \WideAnd3257~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3257~0_combout\,
	datab => \led_flash_cnt[3257][0]~q\,
	datac => \led_flash_cnt[3257][7]~q\,
	datad => \WideAnd3257~1_combout\,
	combout => \WideAnd3257~combout\);

-- Location: FF_X25_Y30_N1
\led_flash_cnt_ands[3257]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3257~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3257));

-- Location: LCCOMB_X24_Y31_N2
\led_flash_cnt[3259][0]~83899\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3259][0]~83899_combout\ = !\led_flash_cnt[3259][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3259][0]~q\,
	combout => \led_flash_cnt[3259][0]~83899_combout\);

-- Location: FF_X24_Y31_N3
\led_flash_cnt[3259][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3259][0]~83899_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3259][0]~q\);

-- Location: LCCOMB_X25_Y31_N14
\led_flash_cnt[3259][1]~72506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3259][1]~72506_combout\ = (\led_flash_cnt[3259][0]~q\ & (\led_flash_cnt[3259][1]~q\ $ (VCC))) # (!\led_flash_cnt[3259][0]~q\ & (\led_flash_cnt[3259][1]~q\ & VCC))
-- \led_flash_cnt[3259][1]~72507\ = CARRY((\led_flash_cnt[3259][0]~q\ & \led_flash_cnt[3259][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3259][0]~q\,
	datab => \led_flash_cnt[3259][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3259][1]~72506_combout\,
	cout => \led_flash_cnt[3259][1]~72507\);

-- Location: FF_X25_Y31_N15
\led_flash_cnt[3259][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3259][1]~72506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3259][1]~q\);

-- Location: LCCOMB_X25_Y31_N16
\led_flash_cnt[3259][2]~72508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3259][2]~72508_combout\ = (\led_flash_cnt[3259][2]~q\ & (!\led_flash_cnt[3259][1]~72507\)) # (!\led_flash_cnt[3259][2]~q\ & ((\led_flash_cnt[3259][1]~72507\) # (GND)))
-- \led_flash_cnt[3259][2]~72509\ = CARRY((!\led_flash_cnt[3259][1]~72507\) # (!\led_flash_cnt[3259][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3259][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3259][1]~72507\,
	combout => \led_flash_cnt[3259][2]~72508_combout\,
	cout => \led_flash_cnt[3259][2]~72509\);

-- Location: FF_X25_Y31_N17
\led_flash_cnt[3259][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3259][2]~72508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3259][2]~q\);

-- Location: LCCOMB_X25_Y31_N18
\led_flash_cnt[3259][3]~72510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3259][3]~72510_combout\ = (\led_flash_cnt[3259][3]~q\ & (\led_flash_cnt[3259][2]~72509\ $ (GND))) # (!\led_flash_cnt[3259][3]~q\ & (!\led_flash_cnt[3259][2]~72509\ & VCC))
-- \led_flash_cnt[3259][3]~72511\ = CARRY((\led_flash_cnt[3259][3]~q\ & !\led_flash_cnt[3259][2]~72509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3259][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3259][2]~72509\,
	combout => \led_flash_cnt[3259][3]~72510_combout\,
	cout => \led_flash_cnt[3259][3]~72511\);

-- Location: FF_X25_Y31_N19
\led_flash_cnt[3259][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3259][3]~72510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3259][3]~q\);

-- Location: LCCOMB_X25_Y31_N20
\led_flash_cnt[3259][4]~72512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3259][4]~72512_combout\ = (\led_flash_cnt[3259][4]~q\ & (!\led_flash_cnt[3259][3]~72511\)) # (!\led_flash_cnt[3259][4]~q\ & ((\led_flash_cnt[3259][3]~72511\) # (GND)))
-- \led_flash_cnt[3259][4]~72513\ = CARRY((!\led_flash_cnt[3259][3]~72511\) # (!\led_flash_cnt[3259][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3259][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3259][3]~72511\,
	combout => \led_flash_cnt[3259][4]~72512_combout\,
	cout => \led_flash_cnt[3259][4]~72513\);

-- Location: FF_X25_Y31_N21
\led_flash_cnt[3259][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3259][4]~72512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3259][4]~q\);

-- Location: LCCOMB_X24_Y31_N26
\WideAnd3259~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3259~0_combout\ = (\led_flash_cnt[3259][4]~q\ & (\led_flash_cnt[3259][3]~q\ & (\led_flash_cnt[3259][1]~q\ & \led_flash_cnt[3259][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3259][4]~q\,
	datab => \led_flash_cnt[3259][3]~q\,
	datac => \led_flash_cnt[3259][1]~q\,
	datad => \led_flash_cnt[3259][2]~q\,
	combout => \WideAnd3259~0_combout\);

-- Location: LCCOMB_X25_Y31_N22
\led_flash_cnt[3259][5]~72514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3259][5]~72514_combout\ = (\led_flash_cnt[3259][5]~q\ & (\led_flash_cnt[3259][4]~72513\ $ (GND))) # (!\led_flash_cnt[3259][5]~q\ & (!\led_flash_cnt[3259][4]~72513\ & VCC))
-- \led_flash_cnt[3259][5]~72515\ = CARRY((\led_flash_cnt[3259][5]~q\ & !\led_flash_cnt[3259][4]~72513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3259][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3259][4]~72513\,
	combout => \led_flash_cnt[3259][5]~72514_combout\,
	cout => \led_flash_cnt[3259][5]~72515\);

-- Location: FF_X25_Y31_N23
\led_flash_cnt[3259][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3259][5]~72514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3259][5]~q\);

-- Location: LCCOMB_X25_Y31_N24
\led_flash_cnt[3259][6]~72516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3259][6]~72516_combout\ = (\led_flash_cnt[3259][6]~q\ & (!\led_flash_cnt[3259][5]~72515\)) # (!\led_flash_cnt[3259][6]~q\ & ((\led_flash_cnt[3259][5]~72515\) # (GND)))
-- \led_flash_cnt[3259][6]~72517\ = CARRY((!\led_flash_cnt[3259][5]~72515\) # (!\led_flash_cnt[3259][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3259][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3259][5]~72515\,
	combout => \led_flash_cnt[3259][6]~72516_combout\,
	cout => \led_flash_cnt[3259][6]~72517\);

-- Location: FF_X25_Y31_N25
\led_flash_cnt[3259][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3259][6]~72516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3259][6]~q\);

-- Location: LCCOMB_X25_Y31_N26
\led_flash_cnt[3259][7]~72518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3259][7]~72518_combout\ = \led_flash_cnt[3259][7]~q\ $ (!\led_flash_cnt[3259][6]~72517\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3259][7]~q\,
	cin => \led_flash_cnt[3259][6]~72517\,
	combout => \led_flash_cnt[3259][7]~72518_combout\);

-- Location: FF_X25_Y31_N27
\led_flash_cnt[3259][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3259][7]~72518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3259][7]~q\);

-- Location: LCCOMB_X24_Y31_N30
\WideAnd3259~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3259~1_combout\ = (\led_flash_cnt[3259][6]~q\ & \led_flash_cnt[3259][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3259][6]~q\,
	datad => \led_flash_cnt[3259][5]~q\,
	combout => \WideAnd3259~1_combout\);

-- Location: LCCOMB_X24_Y31_N20
WideAnd3259 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3259~combout\ = (\WideAnd3259~0_combout\ & (\led_flash_cnt[3259][7]~q\ & (\WideAnd3259~1_combout\ & \led_flash_cnt[3259][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3259~0_combout\,
	datab => \led_flash_cnt[3259][7]~q\,
	datac => \WideAnd3259~1_combout\,
	datad => \led_flash_cnt[3259][0]~q\,
	combout => \WideAnd3259~combout\);

-- Location: FF_X24_Y31_N21
\led_flash_cnt_ands[3259]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3259~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3259));

-- Location: LCCOMB_X24_Y32_N0
\led_flash_cnt[3258][0]~83898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3258][0]~83898_combout\ = !\led_flash_cnt[3258][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3258][0]~q\,
	combout => \led_flash_cnt[3258][0]~83898_combout\);

-- Location: FF_X24_Y32_N1
\led_flash_cnt[3258][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3258][0]~83898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3258][0]~q\);

-- Location: LCCOMB_X24_Y32_N12
\led_flash_cnt[3258][1]~72492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3258][1]~72492_combout\ = (\led_flash_cnt[3258][1]~q\ & (\led_flash_cnt[3258][0]~q\ $ (VCC))) # (!\led_flash_cnt[3258][1]~q\ & (\led_flash_cnt[3258][0]~q\ & VCC))
-- \led_flash_cnt[3258][1]~72493\ = CARRY((\led_flash_cnt[3258][1]~q\ & \led_flash_cnt[3258][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3258][1]~q\,
	datab => \led_flash_cnt[3258][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3258][1]~72492_combout\,
	cout => \led_flash_cnt[3258][1]~72493\);

-- Location: FF_X24_Y32_N13
\led_flash_cnt[3258][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3258][1]~72492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3258][1]~q\);

-- Location: LCCOMB_X24_Y32_N14
\led_flash_cnt[3258][2]~72494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3258][2]~72494_combout\ = (\led_flash_cnt[3258][2]~q\ & (!\led_flash_cnt[3258][1]~72493\)) # (!\led_flash_cnt[3258][2]~q\ & ((\led_flash_cnt[3258][1]~72493\) # (GND)))
-- \led_flash_cnt[3258][2]~72495\ = CARRY((!\led_flash_cnt[3258][1]~72493\) # (!\led_flash_cnt[3258][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3258][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3258][1]~72493\,
	combout => \led_flash_cnt[3258][2]~72494_combout\,
	cout => \led_flash_cnt[3258][2]~72495\);

-- Location: FF_X24_Y32_N15
\led_flash_cnt[3258][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3258][2]~72494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3258][2]~q\);

-- Location: LCCOMB_X24_Y32_N16
\led_flash_cnt[3258][3]~72496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3258][3]~72496_combout\ = (\led_flash_cnt[3258][3]~q\ & (\led_flash_cnt[3258][2]~72495\ $ (GND))) # (!\led_flash_cnt[3258][3]~q\ & (!\led_flash_cnt[3258][2]~72495\ & VCC))
-- \led_flash_cnt[3258][3]~72497\ = CARRY((\led_flash_cnt[3258][3]~q\ & !\led_flash_cnt[3258][2]~72495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3258][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3258][2]~72495\,
	combout => \led_flash_cnt[3258][3]~72496_combout\,
	cout => \led_flash_cnt[3258][3]~72497\);

-- Location: FF_X24_Y32_N17
\led_flash_cnt[3258][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3258][3]~72496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3258][3]~q\);

-- Location: LCCOMB_X24_Y32_N18
\led_flash_cnt[3258][4]~72498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3258][4]~72498_combout\ = (\led_flash_cnt[3258][4]~q\ & (!\led_flash_cnt[3258][3]~72497\)) # (!\led_flash_cnt[3258][4]~q\ & ((\led_flash_cnt[3258][3]~72497\) # (GND)))
-- \led_flash_cnt[3258][4]~72499\ = CARRY((!\led_flash_cnt[3258][3]~72497\) # (!\led_flash_cnt[3258][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3258][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3258][3]~72497\,
	combout => \led_flash_cnt[3258][4]~72498_combout\,
	cout => \led_flash_cnt[3258][4]~72499\);

-- Location: FF_X24_Y32_N19
\led_flash_cnt[3258][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3258][4]~72498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3258][4]~q\);

-- Location: LCCOMB_X24_Y32_N26
\WideAnd3258~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3258~0_combout\ = (\led_flash_cnt[3258][4]~q\ & (\led_flash_cnt[3258][3]~q\ & (\led_flash_cnt[3258][2]~q\ & \led_flash_cnt[3258][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3258][4]~q\,
	datab => \led_flash_cnt[3258][3]~q\,
	datac => \led_flash_cnt[3258][2]~q\,
	datad => \led_flash_cnt[3258][1]~q\,
	combout => \WideAnd3258~0_combout\);

-- Location: LCCOMB_X24_Y32_N20
\led_flash_cnt[3258][5]~72500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3258][5]~72500_combout\ = (\led_flash_cnt[3258][5]~q\ & (\led_flash_cnt[3258][4]~72499\ $ (GND))) # (!\led_flash_cnt[3258][5]~q\ & (!\led_flash_cnt[3258][4]~72499\ & VCC))
-- \led_flash_cnt[3258][5]~72501\ = CARRY((\led_flash_cnt[3258][5]~q\ & !\led_flash_cnt[3258][4]~72499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3258][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3258][4]~72499\,
	combout => \led_flash_cnt[3258][5]~72500_combout\,
	cout => \led_flash_cnt[3258][5]~72501\);

-- Location: FF_X24_Y32_N21
\led_flash_cnt[3258][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3258][5]~72500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3258][5]~q\);

-- Location: LCCOMB_X24_Y32_N22
\led_flash_cnt[3258][6]~72502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3258][6]~72502_combout\ = (\led_flash_cnt[3258][6]~q\ & (!\led_flash_cnt[3258][5]~72501\)) # (!\led_flash_cnt[3258][6]~q\ & ((\led_flash_cnt[3258][5]~72501\) # (GND)))
-- \led_flash_cnt[3258][6]~72503\ = CARRY((!\led_flash_cnt[3258][5]~72501\) # (!\led_flash_cnt[3258][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3258][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3258][5]~72501\,
	combout => \led_flash_cnt[3258][6]~72502_combout\,
	cout => \led_flash_cnt[3258][6]~72503\);

-- Location: FF_X24_Y32_N23
\led_flash_cnt[3258][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3258][6]~72502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3258][6]~q\);

-- Location: LCCOMB_X24_Y32_N24
\led_flash_cnt[3258][7]~72504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3258][7]~72504_combout\ = \led_flash_cnt[3258][6]~72503\ $ (!\led_flash_cnt[3258][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3258][7]~q\,
	cin => \led_flash_cnt[3258][6]~72503\,
	combout => \led_flash_cnt[3258][7]~72504_combout\);

-- Location: FF_X24_Y32_N25
\led_flash_cnt[3258][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3258][7]~72504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3258][7]~q\);

-- Location: LCCOMB_X24_Y32_N4
\WideAnd3258~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3258~1_combout\ = (\led_flash_cnt[3258][6]~q\ & \led_flash_cnt[3258][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3258][6]~q\,
	datad => \led_flash_cnt[3258][5]~q\,
	combout => \WideAnd3258~1_combout\);

-- Location: LCCOMB_X24_Y32_N30
WideAnd3258 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3258~combout\ = (\WideAnd3258~0_combout\ & (\led_flash_cnt[3258][7]~q\ & (\WideAnd3258~1_combout\ & \led_flash_cnt[3258][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3258~0_combout\,
	datab => \led_flash_cnt[3258][7]~q\,
	datac => \WideAnd3258~1_combout\,
	datad => \led_flash_cnt[3258][0]~q\,
	combout => \WideAnd3258~combout\);

-- Location: FF_X24_Y32_N31
\led_flash_cnt_ands[3258]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3258~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3258));

-- Location: LCCOMB_X24_Y31_N28
\led_flash_cnt[3256][0]~83896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3256][0]~83896_combout\ = !\led_flash_cnt[3256][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3256][0]~q\,
	combout => \led_flash_cnt[3256][0]~83896_combout\);

-- Location: FF_X24_Y31_N29
\led_flash_cnt[3256][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3256][0]~83896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3256][0]~q\);

-- Location: LCCOMB_X24_Y31_N6
\led_flash_cnt[3256][1]~72464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3256][1]~72464_combout\ = (\led_flash_cnt[3256][1]~q\ & (\led_flash_cnt[3256][0]~q\ $ (VCC))) # (!\led_flash_cnt[3256][1]~q\ & (\led_flash_cnt[3256][0]~q\ & VCC))
-- \led_flash_cnt[3256][1]~72465\ = CARRY((\led_flash_cnt[3256][1]~q\ & \led_flash_cnt[3256][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3256][1]~q\,
	datab => \led_flash_cnt[3256][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3256][1]~72464_combout\,
	cout => \led_flash_cnt[3256][1]~72465\);

-- Location: FF_X24_Y31_N7
\led_flash_cnt[3256][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3256][1]~72464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3256][1]~q\);

-- Location: LCCOMB_X24_Y31_N8
\led_flash_cnt[3256][2]~72466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3256][2]~72466_combout\ = (\led_flash_cnt[3256][2]~q\ & (!\led_flash_cnt[3256][1]~72465\)) # (!\led_flash_cnt[3256][2]~q\ & ((\led_flash_cnt[3256][1]~72465\) # (GND)))
-- \led_flash_cnt[3256][2]~72467\ = CARRY((!\led_flash_cnt[3256][1]~72465\) # (!\led_flash_cnt[3256][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3256][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3256][1]~72465\,
	combout => \led_flash_cnt[3256][2]~72466_combout\,
	cout => \led_flash_cnt[3256][2]~72467\);

-- Location: FF_X24_Y31_N9
\led_flash_cnt[3256][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3256][2]~72466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3256][2]~q\);

-- Location: LCCOMB_X24_Y31_N10
\led_flash_cnt[3256][3]~72468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3256][3]~72468_combout\ = (\led_flash_cnt[3256][3]~q\ & (\led_flash_cnt[3256][2]~72467\ $ (GND))) # (!\led_flash_cnt[3256][3]~q\ & (!\led_flash_cnt[3256][2]~72467\ & VCC))
-- \led_flash_cnt[3256][3]~72469\ = CARRY((\led_flash_cnt[3256][3]~q\ & !\led_flash_cnt[3256][2]~72467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3256][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3256][2]~72467\,
	combout => \led_flash_cnt[3256][3]~72468_combout\,
	cout => \led_flash_cnt[3256][3]~72469\);

-- Location: FF_X24_Y31_N11
\led_flash_cnt[3256][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3256][3]~72468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3256][3]~q\);

-- Location: LCCOMB_X24_Y31_N12
\led_flash_cnt[3256][4]~72470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3256][4]~72470_combout\ = (\led_flash_cnt[3256][4]~q\ & (!\led_flash_cnt[3256][3]~72469\)) # (!\led_flash_cnt[3256][4]~q\ & ((\led_flash_cnt[3256][3]~72469\) # (GND)))
-- \led_flash_cnt[3256][4]~72471\ = CARRY((!\led_flash_cnt[3256][3]~72469\) # (!\led_flash_cnt[3256][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3256][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3256][3]~72469\,
	combout => \led_flash_cnt[3256][4]~72470_combout\,
	cout => \led_flash_cnt[3256][4]~72471\);

-- Location: FF_X24_Y31_N13
\led_flash_cnt[3256][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3256][4]~72470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3256][4]~q\);

-- Location: LCCOMB_X24_Y31_N4
\WideAnd3256~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3256~0_combout\ = (\led_flash_cnt[3256][1]~q\ & (\led_flash_cnt[3256][2]~q\ & (\led_flash_cnt[3256][4]~q\ & \led_flash_cnt[3256][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3256][1]~q\,
	datab => \led_flash_cnt[3256][2]~q\,
	datac => \led_flash_cnt[3256][4]~q\,
	datad => \led_flash_cnt[3256][3]~q\,
	combout => \WideAnd3256~0_combout\);

-- Location: LCCOMB_X24_Y31_N14
\led_flash_cnt[3256][5]~72472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3256][5]~72472_combout\ = (\led_flash_cnt[3256][5]~q\ & (\led_flash_cnt[3256][4]~72471\ $ (GND))) # (!\led_flash_cnt[3256][5]~q\ & (!\led_flash_cnt[3256][4]~72471\ & VCC))
-- \led_flash_cnt[3256][5]~72473\ = CARRY((\led_flash_cnt[3256][5]~q\ & !\led_flash_cnt[3256][4]~72471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3256][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3256][4]~72471\,
	combout => \led_flash_cnt[3256][5]~72472_combout\,
	cout => \led_flash_cnt[3256][5]~72473\);

-- Location: FF_X24_Y31_N15
\led_flash_cnt[3256][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3256][5]~72472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3256][5]~q\);

-- Location: LCCOMB_X24_Y31_N16
\led_flash_cnt[3256][6]~72474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3256][6]~72474_combout\ = (\led_flash_cnt[3256][6]~q\ & (!\led_flash_cnt[3256][5]~72473\)) # (!\led_flash_cnt[3256][6]~q\ & ((\led_flash_cnt[3256][5]~72473\) # (GND)))
-- \led_flash_cnt[3256][6]~72475\ = CARRY((!\led_flash_cnt[3256][5]~72473\) # (!\led_flash_cnt[3256][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3256][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3256][5]~72473\,
	combout => \led_flash_cnt[3256][6]~72474_combout\,
	cout => \led_flash_cnt[3256][6]~72475\);

-- Location: FF_X24_Y31_N17
\led_flash_cnt[3256][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3256][6]~72474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3256][6]~q\);

-- Location: LCCOMB_X24_Y31_N18
\led_flash_cnt[3256][7]~72476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3256][7]~72476_combout\ = \led_flash_cnt[3256][6]~72475\ $ (!\led_flash_cnt[3256][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3256][7]~q\,
	cin => \led_flash_cnt[3256][6]~72475\,
	combout => \led_flash_cnt[3256][7]~72476_combout\);

-- Location: FF_X24_Y31_N19
\led_flash_cnt[3256][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3256][7]~72476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3256][7]~q\);

-- Location: LCCOMB_X24_Y31_N22
\WideAnd3256~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3256~1_combout\ = (\led_flash_cnt[3256][5]~q\ & \led_flash_cnt[3256][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3256][5]~q\,
	datad => \led_flash_cnt[3256][6]~q\,
	combout => \WideAnd3256~1_combout\);

-- Location: LCCOMB_X24_Y31_N24
WideAnd3256 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3256~combout\ = (\WideAnd3256~0_combout\ & (\led_flash_cnt[3256][7]~q\ & (\WideAnd3256~1_combout\ & \led_flash_cnt[3256][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3256~0_combout\,
	datab => \led_flash_cnt[3256][7]~q\,
	datac => \WideAnd3256~1_combout\,
	datad => \led_flash_cnt[3256][0]~q\,
	combout => \WideAnd3256~combout\);

-- Location: FF_X24_Y31_N25
\led_flash_cnt_ands[3256]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3256~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3256));

-- Location: LCCOMB_X24_Y31_N0
\WideAnd4247~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4247~0_combout\ = (led_flash_cnt_ands(3257) & (led_flash_cnt_ands(3259) & (led_flash_cnt_ands(3258) & led_flash_cnt_ands(3256))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3257),
	datab => led_flash_cnt_ands(3259),
	datac => led_flash_cnt_ands(3258),
	datad => led_flash_cnt_ands(3256),
	combout => \WideAnd4247~0_combout\);

-- Location: LCCOMB_X27_Y34_N16
\led_flash_cnt[3261][0]~83901\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3261][0]~83901_combout\ = !\led_flash_cnt[3261][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3261][0]~q\,
	combout => \led_flash_cnt[3261][0]~83901_combout\);

-- Location: FF_X27_Y34_N17
\led_flash_cnt[3261][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3261][0]~83901_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3261][0]~q\);

-- Location: LCCOMB_X27_Y32_N18
\led_flash_cnt[3261][1]~72534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3261][1]~72534_combout\ = (\led_flash_cnt[3261][0]~q\ & (\led_flash_cnt[3261][1]~q\ $ (VCC))) # (!\led_flash_cnt[3261][0]~q\ & (\led_flash_cnt[3261][1]~q\ & VCC))
-- \led_flash_cnt[3261][1]~72535\ = CARRY((\led_flash_cnt[3261][0]~q\ & \led_flash_cnt[3261][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3261][0]~q\,
	datab => \led_flash_cnt[3261][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3261][1]~72534_combout\,
	cout => \led_flash_cnt[3261][1]~72535\);

-- Location: FF_X27_Y32_N19
\led_flash_cnt[3261][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3261][1]~72534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3261][1]~q\);

-- Location: LCCOMB_X27_Y32_N20
\led_flash_cnt[3261][2]~72536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3261][2]~72536_combout\ = (\led_flash_cnt[3261][2]~q\ & (!\led_flash_cnt[3261][1]~72535\)) # (!\led_flash_cnt[3261][2]~q\ & ((\led_flash_cnt[3261][1]~72535\) # (GND)))
-- \led_flash_cnt[3261][2]~72537\ = CARRY((!\led_flash_cnt[3261][1]~72535\) # (!\led_flash_cnt[3261][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3261][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3261][1]~72535\,
	combout => \led_flash_cnt[3261][2]~72536_combout\,
	cout => \led_flash_cnt[3261][2]~72537\);

-- Location: FF_X27_Y32_N21
\led_flash_cnt[3261][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3261][2]~72536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3261][2]~q\);

-- Location: LCCOMB_X27_Y32_N22
\led_flash_cnt[3261][3]~72538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3261][3]~72538_combout\ = (\led_flash_cnt[3261][3]~q\ & (\led_flash_cnt[3261][2]~72537\ $ (GND))) # (!\led_flash_cnt[3261][3]~q\ & (!\led_flash_cnt[3261][2]~72537\ & VCC))
-- \led_flash_cnt[3261][3]~72539\ = CARRY((\led_flash_cnt[3261][3]~q\ & !\led_flash_cnt[3261][2]~72537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3261][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3261][2]~72537\,
	combout => \led_flash_cnt[3261][3]~72538_combout\,
	cout => \led_flash_cnt[3261][3]~72539\);

-- Location: FF_X27_Y32_N23
\led_flash_cnt[3261][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3261][3]~72538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3261][3]~q\);

-- Location: LCCOMB_X27_Y32_N24
\led_flash_cnt[3261][4]~72540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3261][4]~72540_combout\ = (\led_flash_cnt[3261][4]~q\ & (!\led_flash_cnt[3261][3]~72539\)) # (!\led_flash_cnt[3261][4]~q\ & ((\led_flash_cnt[3261][3]~72539\) # (GND)))
-- \led_flash_cnt[3261][4]~72541\ = CARRY((!\led_flash_cnt[3261][3]~72539\) # (!\led_flash_cnt[3261][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3261][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3261][3]~72539\,
	combout => \led_flash_cnt[3261][4]~72540_combout\,
	cout => \led_flash_cnt[3261][4]~72541\);

-- Location: FF_X27_Y32_N25
\led_flash_cnt[3261][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3261][4]~72540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3261][4]~q\);

-- Location: LCCOMB_X27_Y32_N26
\led_flash_cnt[3261][5]~72542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3261][5]~72542_combout\ = (\led_flash_cnt[3261][5]~q\ & (\led_flash_cnt[3261][4]~72541\ $ (GND))) # (!\led_flash_cnt[3261][5]~q\ & (!\led_flash_cnt[3261][4]~72541\ & VCC))
-- \led_flash_cnt[3261][5]~72543\ = CARRY((\led_flash_cnt[3261][5]~q\ & !\led_flash_cnt[3261][4]~72541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3261][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3261][4]~72541\,
	combout => \led_flash_cnt[3261][5]~72542_combout\,
	cout => \led_flash_cnt[3261][5]~72543\);

-- Location: FF_X27_Y32_N27
\led_flash_cnt[3261][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3261][5]~72542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3261][5]~q\);

-- Location: LCCOMB_X27_Y32_N28
\led_flash_cnt[3261][6]~72544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3261][6]~72544_combout\ = (\led_flash_cnt[3261][6]~q\ & (!\led_flash_cnt[3261][5]~72543\)) # (!\led_flash_cnt[3261][6]~q\ & ((\led_flash_cnt[3261][5]~72543\) # (GND)))
-- \led_flash_cnt[3261][6]~72545\ = CARRY((!\led_flash_cnt[3261][5]~72543\) # (!\led_flash_cnt[3261][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3261][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3261][5]~72543\,
	combout => \led_flash_cnt[3261][6]~72544_combout\,
	cout => \led_flash_cnt[3261][6]~72545\);

-- Location: FF_X27_Y32_N29
\led_flash_cnt[3261][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3261][6]~72544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3261][6]~q\);

-- Location: LCCOMB_X27_Y32_N0
\WideAnd3261~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3261~1_combout\ = (\led_flash_cnt[3261][5]~q\ & \led_flash_cnt[3261][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3261][5]~q\,
	datad => \led_flash_cnt[3261][6]~q\,
	combout => \WideAnd3261~1_combout\);

-- Location: LCCOMB_X27_Y32_N30
\led_flash_cnt[3261][7]~72546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3261][7]~72546_combout\ = \led_flash_cnt[3261][7]~q\ $ (!\led_flash_cnt[3261][6]~72545\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3261][7]~q\,
	cin => \led_flash_cnt[3261][6]~72545\,
	combout => \led_flash_cnt[3261][7]~72546_combout\);

-- Location: FF_X27_Y32_N31
\led_flash_cnt[3261][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3261][7]~72546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3261][7]~q\);

-- Location: LCCOMB_X27_Y32_N16
\WideAnd3261~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3261~0_combout\ = (\led_flash_cnt[3261][4]~q\ & (\led_flash_cnt[3261][2]~q\ & (\led_flash_cnt[3261][3]~q\ & \led_flash_cnt[3261][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3261][4]~q\,
	datab => \led_flash_cnt[3261][2]~q\,
	datac => \led_flash_cnt[3261][3]~q\,
	datad => \led_flash_cnt[3261][1]~q\,
	combout => \WideAnd3261~0_combout\);

-- Location: LCCOMB_X27_Y35_N30
WideAnd3261 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3261~combout\ = (\WideAnd3261~1_combout\ & (\led_flash_cnt[3261][7]~q\ & (\WideAnd3261~0_combout\ & \led_flash_cnt[3261][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3261~1_combout\,
	datab => \led_flash_cnt[3261][7]~q\,
	datac => \WideAnd3261~0_combout\,
	datad => \led_flash_cnt[3261][0]~q\,
	combout => \WideAnd3261~combout\);

-- Location: FF_X27_Y34_N29
\led_flash_cnt_ands[3261]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd3261~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3261));

-- Location: LCCOMB_X27_Y34_N26
\led_flash_cnt[3260][0]~83900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3260][0]~83900_combout\ = !\led_flash_cnt[3260][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3260][0]~q\,
	combout => \led_flash_cnt[3260][0]~83900_combout\);

-- Location: FF_X27_Y34_N27
\led_flash_cnt[3260][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3260][0]~83900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3260][0]~q\);

-- Location: LCCOMB_X27_Y34_N2
\led_flash_cnt[3260][1]~72520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3260][1]~72520_combout\ = (\led_flash_cnt[3260][0]~q\ & (\led_flash_cnt[3260][1]~q\ $ (VCC))) # (!\led_flash_cnt[3260][0]~q\ & (\led_flash_cnt[3260][1]~q\ & VCC))
-- \led_flash_cnt[3260][1]~72521\ = CARRY((\led_flash_cnt[3260][0]~q\ & \led_flash_cnt[3260][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][0]~q\,
	datab => \led_flash_cnt[3260][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3260][1]~72520_combout\,
	cout => \led_flash_cnt[3260][1]~72521\);

-- Location: FF_X27_Y34_N3
\led_flash_cnt[3260][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3260][1]~72520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3260][1]~q\);

-- Location: LCCOMB_X27_Y34_N4
\led_flash_cnt[3260][2]~72522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3260][2]~72522_combout\ = (\led_flash_cnt[3260][2]~q\ & (!\led_flash_cnt[3260][1]~72521\)) # (!\led_flash_cnt[3260][2]~q\ & ((\led_flash_cnt[3260][1]~72521\) # (GND)))
-- \led_flash_cnt[3260][2]~72523\ = CARRY((!\led_flash_cnt[3260][1]~72521\) # (!\led_flash_cnt[3260][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3260][1]~72521\,
	combout => \led_flash_cnt[3260][2]~72522_combout\,
	cout => \led_flash_cnt[3260][2]~72523\);

-- Location: FF_X27_Y34_N5
\led_flash_cnt[3260][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3260][2]~72522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3260][2]~q\);

-- Location: LCCOMB_X27_Y34_N6
\led_flash_cnt[3260][3]~72524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3260][3]~72524_combout\ = (\led_flash_cnt[3260][3]~q\ & (\led_flash_cnt[3260][2]~72523\ $ (GND))) # (!\led_flash_cnt[3260][3]~q\ & (!\led_flash_cnt[3260][2]~72523\ & VCC))
-- \led_flash_cnt[3260][3]~72525\ = CARRY((\led_flash_cnt[3260][3]~q\ & !\led_flash_cnt[3260][2]~72523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3260][2]~72523\,
	combout => \led_flash_cnt[3260][3]~72524_combout\,
	cout => \led_flash_cnt[3260][3]~72525\);

-- Location: FF_X27_Y34_N7
\led_flash_cnt[3260][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3260][3]~72524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3260][3]~q\);

-- Location: LCCOMB_X27_Y34_N8
\led_flash_cnt[3260][4]~72526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3260][4]~72526_combout\ = (\led_flash_cnt[3260][4]~q\ & (!\led_flash_cnt[3260][3]~72525\)) # (!\led_flash_cnt[3260][4]~q\ & ((\led_flash_cnt[3260][3]~72525\) # (GND)))
-- \led_flash_cnt[3260][4]~72527\ = CARRY((!\led_flash_cnt[3260][3]~72525\) # (!\led_flash_cnt[3260][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3260][3]~72525\,
	combout => \led_flash_cnt[3260][4]~72526_combout\,
	cout => \led_flash_cnt[3260][4]~72527\);

-- Location: FF_X27_Y34_N9
\led_flash_cnt[3260][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3260][4]~72526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3260][4]~q\);

-- Location: LCCOMB_X27_Y34_N10
\led_flash_cnt[3260][5]~72528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3260][5]~72528_combout\ = (\led_flash_cnt[3260][5]~q\ & (\led_flash_cnt[3260][4]~72527\ $ (GND))) # (!\led_flash_cnt[3260][5]~q\ & (!\led_flash_cnt[3260][4]~72527\ & VCC))
-- \led_flash_cnt[3260][5]~72529\ = CARRY((\led_flash_cnt[3260][5]~q\ & !\led_flash_cnt[3260][4]~72527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3260][4]~72527\,
	combout => \led_flash_cnt[3260][5]~72528_combout\,
	cout => \led_flash_cnt[3260][5]~72529\);

-- Location: FF_X27_Y34_N11
\led_flash_cnt[3260][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3260][5]~72528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3260][5]~q\);

-- Location: LCCOMB_X27_Y34_N12
\led_flash_cnt[3260][6]~72530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3260][6]~72530_combout\ = (\led_flash_cnt[3260][6]~q\ & (!\led_flash_cnt[3260][5]~72529\)) # (!\led_flash_cnt[3260][6]~q\ & ((\led_flash_cnt[3260][5]~72529\) # (GND)))
-- \led_flash_cnt[3260][6]~72531\ = CARRY((!\led_flash_cnt[3260][5]~72529\) # (!\led_flash_cnt[3260][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3260][5]~72529\,
	combout => \led_flash_cnt[3260][6]~72530_combout\,
	cout => \led_flash_cnt[3260][6]~72531\);

-- Location: FF_X27_Y34_N13
\led_flash_cnt[3260][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3260][6]~72530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3260][6]~q\);

-- Location: LCCOMB_X27_Y34_N28
\WideAnd3260~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3260~1_combout\ = (\led_flash_cnt[3260][6]~q\ & \led_flash_cnt[3260][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][6]~q\,
	datad => \led_flash_cnt[3260][5]~q\,
	combout => \WideAnd3260~1_combout\);

-- Location: LCCOMB_X27_Y34_N14
\led_flash_cnt[3260][7]~72532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3260][7]~72532_combout\ = \led_flash_cnt[3260][7]~q\ $ (!\led_flash_cnt[3260][6]~72531\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3260][7]~q\,
	cin => \led_flash_cnt[3260][6]~72531\,
	combout => \led_flash_cnt[3260][7]~72532_combout\);

-- Location: FF_X27_Y34_N15
\led_flash_cnt[3260][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3260][7]~72532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3260][7]~q\);

-- Location: LCCOMB_X27_Y34_N0
\WideAnd3260~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3260~0_combout\ = (\led_flash_cnt[3260][3]~q\ & (\led_flash_cnt[3260][1]~q\ & (\led_flash_cnt[3260][4]~q\ & \led_flash_cnt[3260][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][3]~q\,
	datab => \led_flash_cnt[3260][1]~q\,
	datac => \led_flash_cnt[3260][4]~q\,
	datad => \led_flash_cnt[3260][2]~q\,
	combout => \WideAnd3260~0_combout\);

-- Location: LCCOMB_X27_Y34_N18
WideAnd3260 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3260~combout\ = (\led_flash_cnt[3260][0]~q\ & (\WideAnd3260~1_combout\ & (\led_flash_cnt[3260][7]~q\ & \WideAnd3260~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3260][0]~q\,
	datab => \WideAnd3260~1_combout\,
	datac => \led_flash_cnt[3260][7]~q\,
	datad => \WideAnd3260~0_combout\,
	combout => \WideAnd3260~combout\);

-- Location: FF_X27_Y34_N19
\led_flash_cnt_ands[3260]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3260~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3260));

-- Location: LCCOMB_X27_Y34_N30
\WideAnd4247~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4247~1_combout\ = (led_flash_cnt_ands(3261) & led_flash_cnt_ands(3260))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3261),
	datad => led_flash_cnt_ands(3260),
	combout => \WideAnd4247~1_combout\);

-- Location: LCCOMB_X24_Y32_N8
\led_flash_cnt[3263][0]~83903\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3263][0]~83903_combout\ = !\led_flash_cnt[3263][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3263][0]~q\,
	combout => \led_flash_cnt[3263][0]~83903_combout\);

-- Location: FF_X24_Y32_N9
\led_flash_cnt[3263][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3263][0]~83903_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3263][0]~q\);

-- Location: LCCOMB_X25_Y32_N4
\led_flash_cnt[3263][1]~72562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3263][1]~72562_combout\ = (\led_flash_cnt[3263][0]~q\ & (\led_flash_cnt[3263][1]~q\ $ (VCC))) # (!\led_flash_cnt[3263][0]~q\ & (\led_flash_cnt[3263][1]~q\ & VCC))
-- \led_flash_cnt[3263][1]~72563\ = CARRY((\led_flash_cnt[3263][0]~q\ & \led_flash_cnt[3263][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3263][0]~q\,
	datab => \led_flash_cnt[3263][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3263][1]~72562_combout\,
	cout => \led_flash_cnt[3263][1]~72563\);

-- Location: FF_X25_Y32_N5
\led_flash_cnt[3263][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3263][1]~72562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3263][1]~q\);

-- Location: LCCOMB_X25_Y32_N6
\led_flash_cnt[3263][2]~72564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3263][2]~72564_combout\ = (\led_flash_cnt[3263][2]~q\ & (!\led_flash_cnt[3263][1]~72563\)) # (!\led_flash_cnt[3263][2]~q\ & ((\led_flash_cnt[3263][1]~72563\) # (GND)))
-- \led_flash_cnt[3263][2]~72565\ = CARRY((!\led_flash_cnt[3263][1]~72563\) # (!\led_flash_cnt[3263][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3263][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3263][1]~72563\,
	combout => \led_flash_cnt[3263][2]~72564_combout\,
	cout => \led_flash_cnt[3263][2]~72565\);

-- Location: FF_X25_Y32_N7
\led_flash_cnt[3263][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3263][2]~72564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3263][2]~q\);

-- Location: LCCOMB_X25_Y32_N8
\led_flash_cnt[3263][3]~72566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3263][3]~72566_combout\ = (\led_flash_cnt[3263][3]~q\ & (\led_flash_cnt[3263][2]~72565\ $ (GND))) # (!\led_flash_cnt[3263][3]~q\ & (!\led_flash_cnt[3263][2]~72565\ & VCC))
-- \led_flash_cnt[3263][3]~72567\ = CARRY((\led_flash_cnt[3263][3]~q\ & !\led_flash_cnt[3263][2]~72565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3263][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3263][2]~72565\,
	combout => \led_flash_cnt[3263][3]~72566_combout\,
	cout => \led_flash_cnt[3263][3]~72567\);

-- Location: FF_X25_Y32_N9
\led_flash_cnt[3263][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3263][3]~72566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3263][3]~q\);

-- Location: LCCOMB_X25_Y32_N10
\led_flash_cnt[3263][4]~72568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3263][4]~72568_combout\ = (\led_flash_cnt[3263][4]~q\ & (!\led_flash_cnt[3263][3]~72567\)) # (!\led_flash_cnt[3263][4]~q\ & ((\led_flash_cnt[3263][3]~72567\) # (GND)))
-- \led_flash_cnt[3263][4]~72569\ = CARRY((!\led_flash_cnt[3263][3]~72567\) # (!\led_flash_cnt[3263][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3263][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3263][3]~72567\,
	combout => \led_flash_cnt[3263][4]~72568_combout\,
	cout => \led_flash_cnt[3263][4]~72569\);

-- Location: FF_X25_Y32_N11
\led_flash_cnt[3263][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3263][4]~72568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3263][4]~q\);

-- Location: LCCOMB_X25_Y32_N12
\led_flash_cnt[3263][5]~72570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3263][5]~72570_combout\ = (\led_flash_cnt[3263][5]~q\ & (\led_flash_cnt[3263][4]~72569\ $ (GND))) # (!\led_flash_cnt[3263][5]~q\ & (!\led_flash_cnt[3263][4]~72569\ & VCC))
-- \led_flash_cnt[3263][5]~72571\ = CARRY((\led_flash_cnt[3263][5]~q\ & !\led_flash_cnt[3263][4]~72569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3263][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3263][4]~72569\,
	combout => \led_flash_cnt[3263][5]~72570_combout\,
	cout => \led_flash_cnt[3263][5]~72571\);

-- Location: FF_X25_Y32_N13
\led_flash_cnt[3263][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3263][5]~72570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3263][5]~q\);

-- Location: LCCOMB_X25_Y32_N14
\led_flash_cnt[3263][6]~72572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3263][6]~72572_combout\ = (\led_flash_cnt[3263][6]~q\ & (!\led_flash_cnt[3263][5]~72571\)) # (!\led_flash_cnt[3263][6]~q\ & ((\led_flash_cnt[3263][5]~72571\) # (GND)))
-- \led_flash_cnt[3263][6]~72573\ = CARRY((!\led_flash_cnt[3263][5]~72571\) # (!\led_flash_cnt[3263][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3263][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3263][5]~72571\,
	combout => \led_flash_cnt[3263][6]~72572_combout\,
	cout => \led_flash_cnt[3263][6]~72573\);

-- Location: FF_X25_Y32_N15
\led_flash_cnt[3263][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3263][6]~72572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3263][6]~q\);

-- Location: LCCOMB_X25_Y32_N2
\WideAnd3263~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3263~1_combout\ = (\led_flash_cnt[3263][6]~q\ & \led_flash_cnt[3263][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3263][6]~q\,
	datad => \led_flash_cnt[3263][5]~q\,
	combout => \WideAnd3263~1_combout\);

-- Location: LCCOMB_X25_Y32_N16
\led_flash_cnt[3263][7]~72574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3263][7]~72574_combout\ = \led_flash_cnt[3263][6]~72573\ $ (!\led_flash_cnt[3263][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3263][7]~q\,
	cin => \led_flash_cnt[3263][6]~72573\,
	combout => \led_flash_cnt[3263][7]~72574_combout\);

-- Location: FF_X25_Y32_N17
\led_flash_cnt[3263][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3263][7]~72574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3263][7]~q\);

-- Location: LCCOMB_X25_Y32_N0
\WideAnd3263~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3263~0_combout\ = (\led_flash_cnt[3263][4]~q\ & (\led_flash_cnt[3263][3]~q\ & (\led_flash_cnt[3263][1]~q\ & \led_flash_cnt[3263][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3263][4]~q\,
	datab => \led_flash_cnt[3263][3]~q\,
	datac => \led_flash_cnt[3263][1]~q\,
	datad => \led_flash_cnt[3263][2]~q\,
	combout => \WideAnd3263~0_combout\);

-- Location: LCCOMB_X24_Y32_N2
WideAnd3263 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3263~combout\ = (\WideAnd3263~1_combout\ & (\led_flash_cnt[3263][7]~q\ & (\WideAnd3263~0_combout\ & \led_flash_cnt[3263][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3263~1_combout\,
	datab => \led_flash_cnt[3263][7]~q\,
	datac => \WideAnd3263~0_combout\,
	datad => \led_flash_cnt[3263][0]~q\,
	combout => \WideAnd3263~combout\);

-- Location: FF_X24_Y32_N3
\led_flash_cnt_ands[3263]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3263~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3263));

-- Location: LCCOMB_X24_Y32_N10
WideAnd4247 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4247~combout\ = (led_flash_cnt_ands(3262) & (\WideAnd4247~0_combout\ & (\WideAnd4247~1_combout\ & led_flash_cnt_ands(3263))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3262),
	datab => \WideAnd4247~0_combout\,
	datac => \WideAnd4247~1_combout\,
	datad => led_flash_cnt_ands(3263),
	combout => \WideAnd4247~combout\);

-- Location: FF_X24_Y32_N11
\led_flash_cnt_ands_1[407]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4247~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(407));

-- Location: LCCOMB_X29_Y26_N16
\led_flash_cnt[3252][0]~83892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3252][0]~83892_combout\ = !\led_flash_cnt[3252][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3252][0]~q\,
	combout => \led_flash_cnt[3252][0]~83892_combout\);

-- Location: FF_X29_Y26_N17
\led_flash_cnt[3252][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3252][0]~83892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3252][0]~q\);

-- Location: LCCOMB_X26_Y26_N0
\led_flash_cnt[3252][1]~72408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3252][1]~72408_combout\ = (\led_flash_cnt[3252][0]~q\ & (\led_flash_cnt[3252][1]~q\ $ (VCC))) # (!\led_flash_cnt[3252][0]~q\ & (\led_flash_cnt[3252][1]~q\ & VCC))
-- \led_flash_cnt[3252][1]~72409\ = CARRY((\led_flash_cnt[3252][0]~q\ & \led_flash_cnt[3252][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3252][0]~q\,
	datab => \led_flash_cnt[3252][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3252][1]~72408_combout\,
	cout => \led_flash_cnt[3252][1]~72409\);

-- Location: FF_X26_Y26_N1
\led_flash_cnt[3252][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3252][1]~72408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3252][1]~q\);

-- Location: LCCOMB_X26_Y26_N2
\led_flash_cnt[3252][2]~72410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3252][2]~72410_combout\ = (\led_flash_cnt[3252][2]~q\ & (!\led_flash_cnt[3252][1]~72409\)) # (!\led_flash_cnt[3252][2]~q\ & ((\led_flash_cnt[3252][1]~72409\) # (GND)))
-- \led_flash_cnt[3252][2]~72411\ = CARRY((!\led_flash_cnt[3252][1]~72409\) # (!\led_flash_cnt[3252][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3252][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3252][1]~72409\,
	combout => \led_flash_cnt[3252][2]~72410_combout\,
	cout => \led_flash_cnt[3252][2]~72411\);

-- Location: FF_X26_Y26_N3
\led_flash_cnt[3252][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3252][2]~72410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3252][2]~q\);

-- Location: LCCOMB_X26_Y26_N4
\led_flash_cnt[3252][3]~72412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3252][3]~72412_combout\ = (\led_flash_cnt[3252][3]~q\ & (\led_flash_cnt[3252][2]~72411\ $ (GND))) # (!\led_flash_cnt[3252][3]~q\ & (!\led_flash_cnt[3252][2]~72411\ & VCC))
-- \led_flash_cnt[3252][3]~72413\ = CARRY((\led_flash_cnt[3252][3]~q\ & !\led_flash_cnt[3252][2]~72411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3252][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3252][2]~72411\,
	combout => \led_flash_cnt[3252][3]~72412_combout\,
	cout => \led_flash_cnt[3252][3]~72413\);

-- Location: FF_X26_Y26_N5
\led_flash_cnt[3252][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3252][3]~72412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3252][3]~q\);

-- Location: LCCOMB_X26_Y26_N6
\led_flash_cnt[3252][4]~72414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3252][4]~72414_combout\ = (\led_flash_cnt[3252][4]~q\ & (!\led_flash_cnt[3252][3]~72413\)) # (!\led_flash_cnt[3252][4]~q\ & ((\led_flash_cnt[3252][3]~72413\) # (GND)))
-- \led_flash_cnt[3252][4]~72415\ = CARRY((!\led_flash_cnt[3252][3]~72413\) # (!\led_flash_cnt[3252][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3252][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3252][3]~72413\,
	combout => \led_flash_cnt[3252][4]~72414_combout\,
	cout => \led_flash_cnt[3252][4]~72415\);

-- Location: FF_X26_Y26_N7
\led_flash_cnt[3252][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3252][4]~72414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3252][4]~q\);

-- Location: LCCOMB_X26_Y26_N8
\led_flash_cnt[3252][5]~72416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3252][5]~72416_combout\ = (\led_flash_cnt[3252][5]~q\ & (\led_flash_cnt[3252][4]~72415\ $ (GND))) # (!\led_flash_cnt[3252][5]~q\ & (!\led_flash_cnt[3252][4]~72415\ & VCC))
-- \led_flash_cnt[3252][5]~72417\ = CARRY((\led_flash_cnt[3252][5]~q\ & !\led_flash_cnt[3252][4]~72415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3252][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3252][4]~72415\,
	combout => \led_flash_cnt[3252][5]~72416_combout\,
	cout => \led_flash_cnt[3252][5]~72417\);

-- Location: FF_X26_Y26_N9
\led_flash_cnt[3252][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3252][5]~72416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3252][5]~q\);

-- Location: LCCOMB_X26_Y26_N10
\led_flash_cnt[3252][6]~72418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3252][6]~72418_combout\ = (\led_flash_cnt[3252][6]~q\ & (!\led_flash_cnt[3252][5]~72417\)) # (!\led_flash_cnt[3252][6]~q\ & ((\led_flash_cnt[3252][5]~72417\) # (GND)))
-- \led_flash_cnt[3252][6]~72419\ = CARRY((!\led_flash_cnt[3252][5]~72417\) # (!\led_flash_cnt[3252][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3252][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3252][5]~72417\,
	combout => \led_flash_cnt[3252][6]~72418_combout\,
	cout => \led_flash_cnt[3252][6]~72419\);

-- Location: FF_X26_Y26_N11
\led_flash_cnt[3252][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3252][6]~72418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3252][6]~q\);

-- Location: LCCOMB_X26_Y26_N12
\led_flash_cnt[3252][7]~72420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3252][7]~72420_combout\ = \led_flash_cnt[3252][6]~72419\ $ (!\led_flash_cnt[3252][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3252][7]~q\,
	cin => \led_flash_cnt[3252][6]~72419\,
	combout => \led_flash_cnt[3252][7]~72420_combout\);

-- Location: FF_X26_Y26_N13
\led_flash_cnt[3252][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3252][7]~72420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3252][7]~q\);

-- Location: LCCOMB_X27_Y26_N28
\WideAnd3252~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3252~0_combout\ = (\led_flash_cnt[3252][1]~q\ & (\led_flash_cnt[3252][4]~q\ & (\led_flash_cnt[3252][3]~q\ & \led_flash_cnt[3252][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3252][1]~q\,
	datab => \led_flash_cnt[3252][4]~q\,
	datac => \led_flash_cnt[3252][3]~q\,
	datad => \led_flash_cnt[3252][2]~q\,
	combout => \WideAnd3252~0_combout\);

-- Location: LCCOMB_X27_Y26_N26
\WideAnd3252~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3252~1_combout\ = (\led_flash_cnt[3252][5]~q\ & \led_flash_cnt[3252][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3252][5]~q\,
	datad => \led_flash_cnt[3252][6]~q\,
	combout => \WideAnd3252~1_combout\);

-- Location: LCCOMB_X27_Y26_N24
WideAnd3252 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3252~combout\ = (\led_flash_cnt[3252][7]~q\ & (\WideAnd3252~0_combout\ & (\WideAnd3252~1_combout\ & \led_flash_cnt[3252][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3252][7]~q\,
	datab => \WideAnd3252~0_combout\,
	datac => \WideAnd3252~1_combout\,
	datad => \led_flash_cnt[3252][0]~q\,
	combout => \WideAnd3252~combout\);

-- Location: FF_X27_Y26_N25
\led_flash_cnt_ands[3252]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3252~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3252));

-- Location: LCCOMB_X32_Y10_N6
\led_flash_cnt[3253][0]~83893\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3253][0]~83893_combout\ = !\led_flash_cnt[3253][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3253][0]~q\,
	combout => \led_flash_cnt[3253][0]~83893_combout\);

-- Location: FF_X32_Y10_N7
\led_flash_cnt[3253][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3253][0]~83893_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3253][0]~q\);

-- Location: LCCOMB_X31_Y10_N8
\led_flash_cnt[3253][1]~72422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3253][1]~72422_combout\ = (\led_flash_cnt[3253][0]~q\ & (\led_flash_cnt[3253][1]~q\ $ (VCC))) # (!\led_flash_cnt[3253][0]~q\ & (\led_flash_cnt[3253][1]~q\ & VCC))
-- \led_flash_cnt[3253][1]~72423\ = CARRY((\led_flash_cnt[3253][0]~q\ & \led_flash_cnt[3253][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3253][0]~q\,
	datab => \led_flash_cnt[3253][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3253][1]~72422_combout\,
	cout => \led_flash_cnt[3253][1]~72423\);

-- Location: FF_X31_Y10_N9
\led_flash_cnt[3253][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3253][1]~72422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3253][1]~q\);

-- Location: LCCOMB_X31_Y10_N10
\led_flash_cnt[3253][2]~72424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3253][2]~72424_combout\ = (\led_flash_cnt[3253][2]~q\ & (!\led_flash_cnt[3253][1]~72423\)) # (!\led_flash_cnt[3253][2]~q\ & ((\led_flash_cnt[3253][1]~72423\) # (GND)))
-- \led_flash_cnt[3253][2]~72425\ = CARRY((!\led_flash_cnt[3253][1]~72423\) # (!\led_flash_cnt[3253][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3253][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3253][1]~72423\,
	combout => \led_flash_cnt[3253][2]~72424_combout\,
	cout => \led_flash_cnt[3253][2]~72425\);

-- Location: FF_X31_Y10_N11
\led_flash_cnt[3253][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3253][2]~72424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3253][2]~q\);

-- Location: LCCOMB_X31_Y10_N12
\led_flash_cnt[3253][3]~72426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3253][3]~72426_combout\ = (\led_flash_cnt[3253][3]~q\ & (\led_flash_cnt[3253][2]~72425\ $ (GND))) # (!\led_flash_cnt[3253][3]~q\ & (!\led_flash_cnt[3253][2]~72425\ & VCC))
-- \led_flash_cnt[3253][3]~72427\ = CARRY((\led_flash_cnt[3253][3]~q\ & !\led_flash_cnt[3253][2]~72425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3253][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3253][2]~72425\,
	combout => \led_flash_cnt[3253][3]~72426_combout\,
	cout => \led_flash_cnt[3253][3]~72427\);

-- Location: FF_X31_Y10_N13
\led_flash_cnt[3253][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3253][3]~72426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3253][3]~q\);

-- Location: LCCOMB_X31_Y10_N14
\led_flash_cnt[3253][4]~72428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3253][4]~72428_combout\ = (\led_flash_cnt[3253][4]~q\ & (!\led_flash_cnt[3253][3]~72427\)) # (!\led_flash_cnt[3253][4]~q\ & ((\led_flash_cnt[3253][3]~72427\) # (GND)))
-- \led_flash_cnt[3253][4]~72429\ = CARRY((!\led_flash_cnt[3253][3]~72427\) # (!\led_flash_cnt[3253][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3253][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3253][3]~72427\,
	combout => \led_flash_cnt[3253][4]~72428_combout\,
	cout => \led_flash_cnt[3253][4]~72429\);

-- Location: FF_X31_Y10_N15
\led_flash_cnt[3253][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3253][4]~72428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3253][4]~q\);

-- Location: LCCOMB_X31_Y10_N16
\led_flash_cnt[3253][5]~72430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3253][5]~72430_combout\ = (\led_flash_cnt[3253][5]~q\ & (\led_flash_cnt[3253][4]~72429\ $ (GND))) # (!\led_flash_cnt[3253][5]~q\ & (!\led_flash_cnt[3253][4]~72429\ & VCC))
-- \led_flash_cnt[3253][5]~72431\ = CARRY((\led_flash_cnt[3253][5]~q\ & !\led_flash_cnt[3253][4]~72429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3253][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3253][4]~72429\,
	combout => \led_flash_cnt[3253][5]~72430_combout\,
	cout => \led_flash_cnt[3253][5]~72431\);

-- Location: FF_X31_Y10_N17
\led_flash_cnt[3253][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3253][5]~72430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3253][5]~q\);

-- Location: LCCOMB_X31_Y10_N18
\led_flash_cnt[3253][6]~72432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3253][6]~72432_combout\ = (\led_flash_cnt[3253][6]~q\ & (!\led_flash_cnt[3253][5]~72431\)) # (!\led_flash_cnt[3253][6]~q\ & ((\led_flash_cnt[3253][5]~72431\) # (GND)))
-- \led_flash_cnt[3253][6]~72433\ = CARRY((!\led_flash_cnt[3253][5]~72431\) # (!\led_flash_cnt[3253][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3253][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3253][5]~72431\,
	combout => \led_flash_cnt[3253][6]~72432_combout\,
	cout => \led_flash_cnt[3253][6]~72433\);

-- Location: FF_X31_Y10_N19
\led_flash_cnt[3253][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3253][6]~72432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3253][6]~q\);

-- Location: LCCOMB_X31_Y10_N22
\WideAnd3253~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3253~1_combout\ = (\led_flash_cnt[3253][6]~q\ & \led_flash_cnt[3253][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3253][6]~q\,
	datad => \led_flash_cnt[3253][5]~q\,
	combout => \WideAnd3253~1_combout\);

-- Location: LCCOMB_X31_Y10_N20
\led_flash_cnt[3253][7]~72434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3253][7]~72434_combout\ = \led_flash_cnt[3253][6]~72433\ $ (!\led_flash_cnt[3253][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3253][7]~q\,
	cin => \led_flash_cnt[3253][6]~72433\,
	combout => \led_flash_cnt[3253][7]~72434_combout\);

-- Location: FF_X31_Y10_N21
\led_flash_cnt[3253][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3253][7]~72434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3253][7]~q\);

-- Location: LCCOMB_X31_Y10_N4
\WideAnd3253~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3253~0_combout\ = (\led_flash_cnt[3253][3]~q\ & (\led_flash_cnt[3253][4]~q\ & (\led_flash_cnt[3253][1]~q\ & \led_flash_cnt[3253][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3253][3]~q\,
	datab => \led_flash_cnt[3253][4]~q\,
	datac => \led_flash_cnt[3253][1]~q\,
	datad => \led_flash_cnt[3253][2]~q\,
	combout => \WideAnd3253~0_combout\);

-- Location: LCCOMB_X31_Y10_N28
WideAnd3253 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3253~combout\ = (\WideAnd3253~1_combout\ & (\led_flash_cnt[3253][7]~q\ & (\WideAnd3253~0_combout\ & \led_flash_cnt[3253][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3253~1_combout\,
	datab => \led_flash_cnt[3253][7]~q\,
	datac => \WideAnd3253~0_combout\,
	datad => \led_flash_cnt[3253][0]~q\,
	combout => \WideAnd3253~combout\);

-- Location: FF_X31_Y10_N29
\led_flash_cnt_ands[3253]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3253~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3253));

-- Location: LCCOMB_X29_Y26_N22
\WideAnd4246~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4246~1_combout\ = (led_flash_cnt_ands(3252) & led_flash_cnt_ands(3253))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3252),
	datad => led_flash_cnt_ands(3253),
	combout => \WideAnd4246~1_combout\);

-- Location: LCCOMB_X26_Y29_N8
\led_flash_cnt[3255][0]~83895\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3255][0]~83895_combout\ = !\led_flash_cnt[3255][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3255][0]~q\,
	combout => \led_flash_cnt[3255][0]~83895_combout\);

-- Location: FF_X26_Y29_N9
\led_flash_cnt[3255][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3255][0]~83895_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3255][0]~q\);

-- Location: LCCOMB_X26_Y30_N18
\led_flash_cnt[3255][1]~72450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3255][1]~72450_combout\ = (\led_flash_cnt[3255][0]~q\ & (\led_flash_cnt[3255][1]~q\ $ (VCC))) # (!\led_flash_cnt[3255][0]~q\ & (\led_flash_cnt[3255][1]~q\ & VCC))
-- \led_flash_cnt[3255][1]~72451\ = CARRY((\led_flash_cnt[3255][0]~q\ & \led_flash_cnt[3255][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3255][0]~q\,
	datab => \led_flash_cnt[3255][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3255][1]~72450_combout\,
	cout => \led_flash_cnt[3255][1]~72451\);

-- Location: FF_X26_Y30_N19
\led_flash_cnt[3255][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3255][1]~72450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3255][1]~q\);

-- Location: LCCOMB_X26_Y30_N20
\led_flash_cnt[3255][2]~72452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3255][2]~72452_combout\ = (\led_flash_cnt[3255][2]~q\ & (!\led_flash_cnt[3255][1]~72451\)) # (!\led_flash_cnt[3255][2]~q\ & ((\led_flash_cnt[3255][1]~72451\) # (GND)))
-- \led_flash_cnt[3255][2]~72453\ = CARRY((!\led_flash_cnt[3255][1]~72451\) # (!\led_flash_cnt[3255][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3255][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3255][1]~72451\,
	combout => \led_flash_cnt[3255][2]~72452_combout\,
	cout => \led_flash_cnt[3255][2]~72453\);

-- Location: FF_X26_Y30_N21
\led_flash_cnt[3255][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3255][2]~72452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3255][2]~q\);

-- Location: LCCOMB_X26_Y30_N22
\led_flash_cnt[3255][3]~72454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3255][3]~72454_combout\ = (\led_flash_cnt[3255][3]~q\ & (\led_flash_cnt[3255][2]~72453\ $ (GND))) # (!\led_flash_cnt[3255][3]~q\ & (!\led_flash_cnt[3255][2]~72453\ & VCC))
-- \led_flash_cnt[3255][3]~72455\ = CARRY((\led_flash_cnt[3255][3]~q\ & !\led_flash_cnt[3255][2]~72453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3255][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3255][2]~72453\,
	combout => \led_flash_cnt[3255][3]~72454_combout\,
	cout => \led_flash_cnt[3255][3]~72455\);

-- Location: FF_X26_Y30_N23
\led_flash_cnt[3255][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3255][3]~72454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3255][3]~q\);

-- Location: LCCOMB_X26_Y30_N24
\led_flash_cnt[3255][4]~72456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3255][4]~72456_combout\ = (\led_flash_cnt[3255][4]~q\ & (!\led_flash_cnt[3255][3]~72455\)) # (!\led_flash_cnt[3255][4]~q\ & ((\led_flash_cnt[3255][3]~72455\) # (GND)))
-- \led_flash_cnt[3255][4]~72457\ = CARRY((!\led_flash_cnt[3255][3]~72455\) # (!\led_flash_cnt[3255][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3255][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3255][3]~72455\,
	combout => \led_flash_cnt[3255][4]~72456_combout\,
	cout => \led_flash_cnt[3255][4]~72457\);

-- Location: FF_X26_Y30_N25
\led_flash_cnt[3255][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3255][4]~72456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3255][4]~q\);

-- Location: LCCOMB_X26_Y30_N26
\led_flash_cnt[3255][5]~72458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3255][5]~72458_combout\ = (\led_flash_cnt[3255][5]~q\ & (\led_flash_cnt[3255][4]~72457\ $ (GND))) # (!\led_flash_cnt[3255][5]~q\ & (!\led_flash_cnt[3255][4]~72457\ & VCC))
-- \led_flash_cnt[3255][5]~72459\ = CARRY((\led_flash_cnt[3255][5]~q\ & !\led_flash_cnt[3255][4]~72457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3255][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3255][4]~72457\,
	combout => \led_flash_cnt[3255][5]~72458_combout\,
	cout => \led_flash_cnt[3255][5]~72459\);

-- Location: FF_X26_Y30_N27
\led_flash_cnt[3255][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3255][5]~72458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3255][5]~q\);

-- Location: LCCOMB_X26_Y30_N28
\led_flash_cnt[3255][6]~72460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3255][6]~72460_combout\ = (\led_flash_cnt[3255][6]~q\ & (!\led_flash_cnt[3255][5]~72459\)) # (!\led_flash_cnt[3255][6]~q\ & ((\led_flash_cnt[3255][5]~72459\) # (GND)))
-- \led_flash_cnt[3255][6]~72461\ = CARRY((!\led_flash_cnt[3255][5]~72459\) # (!\led_flash_cnt[3255][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3255][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3255][5]~72459\,
	combout => \led_flash_cnt[3255][6]~72460_combout\,
	cout => \led_flash_cnt[3255][6]~72461\);

-- Location: FF_X26_Y30_N29
\led_flash_cnt[3255][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3255][6]~72460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3255][6]~q\);

-- Location: LCCOMB_X26_Y30_N30
\led_flash_cnt[3255][7]~72462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3255][7]~72462_combout\ = \led_flash_cnt[3255][7]~q\ $ (!\led_flash_cnt[3255][6]~72461\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3255][7]~q\,
	cin => \led_flash_cnt[3255][6]~72461\,
	combout => \led_flash_cnt[3255][7]~72462_combout\);

-- Location: FF_X26_Y30_N31
\led_flash_cnt[3255][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3255][7]~72462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3255][7]~q\);

-- Location: LCCOMB_X26_Y30_N2
\WideAnd3255~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3255~0_combout\ = (\led_flash_cnt[3255][2]~q\ & (\led_flash_cnt[3255][4]~q\ & (\led_flash_cnt[3255][3]~q\ & \led_flash_cnt[3255][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3255][2]~q\,
	datab => \led_flash_cnt[3255][4]~q\,
	datac => \led_flash_cnt[3255][3]~q\,
	datad => \led_flash_cnt[3255][1]~q\,
	combout => \WideAnd3255~0_combout\);

-- Location: LCCOMB_X27_Y26_N0
\WideAnd3255~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3255~1_combout\ = (\led_flash_cnt[3255][5]~q\ & \led_flash_cnt[3255][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3255][5]~q\,
	datad => \led_flash_cnt[3255][6]~q\,
	combout => \WideAnd3255~1_combout\);

-- Location: LCCOMB_X27_Y26_N2
WideAnd3255 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3255~combout\ = (\led_flash_cnt[3255][7]~q\ & (\WideAnd3255~0_combout\ & (\led_flash_cnt[3255][0]~q\ & \WideAnd3255~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3255][7]~q\,
	datab => \WideAnd3255~0_combout\,
	datac => \led_flash_cnt[3255][0]~q\,
	datad => \WideAnd3255~1_combout\,
	combout => \WideAnd3255~combout\);

-- Location: FF_X27_Y26_N3
\led_flash_cnt_ands[3255]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3255~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3255));

-- Location: LCCOMB_X36_Y2_N30
\led_flash_cnt[3251][0]~83891\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3251][0]~83891_combout\ = !\led_flash_cnt[3251][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3251][0]~q\,
	combout => \led_flash_cnt[3251][0]~83891_combout\);

-- Location: FF_X36_Y2_N31
\led_flash_cnt[3251][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3251][0]~83891_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3251][0]~q\);

-- Location: LCCOMB_X36_Y1_N14
\led_flash_cnt[3251][1]~72394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3251][1]~72394_combout\ = (\led_flash_cnt[3251][0]~q\ & (\led_flash_cnt[3251][1]~q\ $ (VCC))) # (!\led_flash_cnt[3251][0]~q\ & (\led_flash_cnt[3251][1]~q\ & VCC))
-- \led_flash_cnt[3251][1]~72395\ = CARRY((\led_flash_cnt[3251][0]~q\ & \led_flash_cnt[3251][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3251][0]~q\,
	datab => \led_flash_cnt[3251][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3251][1]~72394_combout\,
	cout => \led_flash_cnt[3251][1]~72395\);

-- Location: FF_X36_Y1_N15
\led_flash_cnt[3251][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3251][1]~72394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3251][1]~q\);

-- Location: LCCOMB_X36_Y1_N16
\led_flash_cnt[3251][2]~72396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3251][2]~72396_combout\ = (\led_flash_cnt[3251][2]~q\ & (!\led_flash_cnt[3251][1]~72395\)) # (!\led_flash_cnt[3251][2]~q\ & ((\led_flash_cnt[3251][1]~72395\) # (GND)))
-- \led_flash_cnt[3251][2]~72397\ = CARRY((!\led_flash_cnt[3251][1]~72395\) # (!\led_flash_cnt[3251][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3251][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3251][1]~72395\,
	combout => \led_flash_cnt[3251][2]~72396_combout\,
	cout => \led_flash_cnt[3251][2]~72397\);

-- Location: FF_X36_Y1_N17
\led_flash_cnt[3251][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3251][2]~72396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3251][2]~q\);

-- Location: LCCOMB_X36_Y1_N18
\led_flash_cnt[3251][3]~72398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3251][3]~72398_combout\ = (\led_flash_cnt[3251][3]~q\ & (\led_flash_cnt[3251][2]~72397\ $ (GND))) # (!\led_flash_cnt[3251][3]~q\ & (!\led_flash_cnt[3251][2]~72397\ & VCC))
-- \led_flash_cnt[3251][3]~72399\ = CARRY((\led_flash_cnt[3251][3]~q\ & !\led_flash_cnt[3251][2]~72397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3251][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3251][2]~72397\,
	combout => \led_flash_cnt[3251][3]~72398_combout\,
	cout => \led_flash_cnt[3251][3]~72399\);

-- Location: FF_X36_Y1_N19
\led_flash_cnt[3251][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3251][3]~72398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3251][3]~q\);

-- Location: LCCOMB_X36_Y1_N20
\led_flash_cnt[3251][4]~72400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3251][4]~72400_combout\ = (\led_flash_cnt[3251][4]~q\ & (!\led_flash_cnt[3251][3]~72399\)) # (!\led_flash_cnt[3251][4]~q\ & ((\led_flash_cnt[3251][3]~72399\) # (GND)))
-- \led_flash_cnt[3251][4]~72401\ = CARRY((!\led_flash_cnt[3251][3]~72399\) # (!\led_flash_cnt[3251][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3251][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3251][3]~72399\,
	combout => \led_flash_cnt[3251][4]~72400_combout\,
	cout => \led_flash_cnt[3251][4]~72401\);

-- Location: FF_X36_Y1_N21
\led_flash_cnt[3251][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3251][4]~72400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3251][4]~q\);

-- Location: LCCOMB_X36_Y1_N30
\WideAnd3251~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3251~0_combout\ = (\led_flash_cnt[3251][2]~q\ & (\led_flash_cnt[3251][3]~q\ & (\led_flash_cnt[3251][1]~q\ & \led_flash_cnt[3251][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3251][2]~q\,
	datab => \led_flash_cnt[3251][3]~q\,
	datac => \led_flash_cnt[3251][1]~q\,
	datad => \led_flash_cnt[3251][4]~q\,
	combout => \WideAnd3251~0_combout\);

-- Location: LCCOMB_X36_Y1_N22
\led_flash_cnt[3251][5]~72402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3251][5]~72402_combout\ = (\led_flash_cnt[3251][5]~q\ & (\led_flash_cnt[3251][4]~72401\ $ (GND))) # (!\led_flash_cnt[3251][5]~q\ & (!\led_flash_cnt[3251][4]~72401\ & VCC))
-- \led_flash_cnt[3251][5]~72403\ = CARRY((\led_flash_cnt[3251][5]~q\ & !\led_flash_cnt[3251][4]~72401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3251][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3251][4]~72401\,
	combout => \led_flash_cnt[3251][5]~72402_combout\,
	cout => \led_flash_cnt[3251][5]~72403\);

-- Location: FF_X36_Y1_N23
\led_flash_cnt[3251][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3251][5]~72402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3251][5]~q\);

-- Location: LCCOMB_X36_Y1_N24
\led_flash_cnt[3251][6]~72404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3251][6]~72404_combout\ = (\led_flash_cnt[3251][6]~q\ & (!\led_flash_cnt[3251][5]~72403\)) # (!\led_flash_cnt[3251][6]~q\ & ((\led_flash_cnt[3251][5]~72403\) # (GND)))
-- \led_flash_cnt[3251][6]~72405\ = CARRY((!\led_flash_cnt[3251][5]~72403\) # (!\led_flash_cnt[3251][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3251][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3251][5]~72403\,
	combout => \led_flash_cnt[3251][6]~72404_combout\,
	cout => \led_flash_cnt[3251][6]~72405\);

-- Location: FF_X36_Y1_N25
\led_flash_cnt[3251][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3251][6]~72404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3251][6]~q\);

-- Location: LCCOMB_X36_Y1_N26
\led_flash_cnt[3251][7]~72406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3251][7]~72406_combout\ = \led_flash_cnt[3251][7]~q\ $ (!\led_flash_cnt[3251][6]~72405\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3251][7]~q\,
	cin => \led_flash_cnt[3251][6]~72405\,
	combout => \led_flash_cnt[3251][7]~72406_combout\);

-- Location: FF_X36_Y1_N27
\led_flash_cnt[3251][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3251][7]~72406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3251][7]~q\);

-- Location: LCCOMB_X36_Y2_N20
\WideAnd3251~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3251~1_combout\ = (\led_flash_cnt[3251][6]~q\ & \led_flash_cnt[3251][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3251][6]~q\,
	datac => \led_flash_cnt[3251][5]~q\,
	combout => \WideAnd3251~1_combout\);

-- Location: LCCOMB_X36_Y2_N0
WideAnd3251 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3251~combout\ = (\led_flash_cnt[3251][0]~q\ & (\WideAnd3251~0_combout\ & (\led_flash_cnt[3251][7]~q\ & \WideAnd3251~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3251][0]~q\,
	datab => \WideAnd3251~0_combout\,
	datac => \led_flash_cnt[3251][7]~q\,
	datad => \WideAnd3251~1_combout\,
	combout => \WideAnd3251~combout\);

-- Location: FF_X36_Y2_N1
\led_flash_cnt_ands[3251]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3251~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3251));

-- Location: LCCOMB_X36_Y3_N24
\led_flash_cnt[3250][0]~83890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3250][0]~83890_combout\ = !\led_flash_cnt[3250][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3250][0]~q\,
	combout => \led_flash_cnt[3250][0]~83890_combout\);

-- Location: FF_X36_Y3_N25
\led_flash_cnt[3250][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3250][0]~83890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3250][0]~q\);

-- Location: LCCOMB_X35_Y3_N6
\led_flash_cnt[3250][1]~72380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3250][1]~72380_combout\ = (\led_flash_cnt[3250][1]~q\ & (\led_flash_cnt[3250][0]~q\ $ (VCC))) # (!\led_flash_cnt[3250][1]~q\ & (\led_flash_cnt[3250][0]~q\ & VCC))
-- \led_flash_cnt[3250][1]~72381\ = CARRY((\led_flash_cnt[3250][1]~q\ & \led_flash_cnt[3250][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3250][1]~q\,
	datab => \led_flash_cnt[3250][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3250][1]~72380_combout\,
	cout => \led_flash_cnt[3250][1]~72381\);

-- Location: FF_X35_Y3_N7
\led_flash_cnt[3250][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3250][1]~72380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3250][1]~q\);

-- Location: LCCOMB_X35_Y3_N8
\led_flash_cnt[3250][2]~72382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3250][2]~72382_combout\ = (\led_flash_cnt[3250][2]~q\ & (!\led_flash_cnt[3250][1]~72381\)) # (!\led_flash_cnt[3250][2]~q\ & ((\led_flash_cnt[3250][1]~72381\) # (GND)))
-- \led_flash_cnt[3250][2]~72383\ = CARRY((!\led_flash_cnt[3250][1]~72381\) # (!\led_flash_cnt[3250][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3250][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3250][1]~72381\,
	combout => \led_flash_cnt[3250][2]~72382_combout\,
	cout => \led_flash_cnt[3250][2]~72383\);

-- Location: FF_X35_Y3_N9
\led_flash_cnt[3250][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3250][2]~72382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3250][2]~q\);

-- Location: LCCOMB_X35_Y3_N10
\led_flash_cnt[3250][3]~72384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3250][3]~72384_combout\ = (\led_flash_cnt[3250][3]~q\ & (\led_flash_cnt[3250][2]~72383\ $ (GND))) # (!\led_flash_cnt[3250][3]~q\ & (!\led_flash_cnt[3250][2]~72383\ & VCC))
-- \led_flash_cnt[3250][3]~72385\ = CARRY((\led_flash_cnt[3250][3]~q\ & !\led_flash_cnt[3250][2]~72383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3250][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3250][2]~72383\,
	combout => \led_flash_cnt[3250][3]~72384_combout\,
	cout => \led_flash_cnt[3250][3]~72385\);

-- Location: FF_X35_Y3_N11
\led_flash_cnt[3250][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3250][3]~72384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3250][3]~q\);

-- Location: LCCOMB_X35_Y3_N12
\led_flash_cnt[3250][4]~72386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3250][4]~72386_combout\ = (\led_flash_cnt[3250][4]~q\ & (!\led_flash_cnt[3250][3]~72385\)) # (!\led_flash_cnt[3250][4]~q\ & ((\led_flash_cnt[3250][3]~72385\) # (GND)))
-- \led_flash_cnt[3250][4]~72387\ = CARRY((!\led_flash_cnt[3250][3]~72385\) # (!\led_flash_cnt[3250][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3250][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3250][3]~72385\,
	combout => \led_flash_cnt[3250][4]~72386_combout\,
	cout => \led_flash_cnt[3250][4]~72387\);

-- Location: FF_X35_Y3_N13
\led_flash_cnt[3250][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3250][4]~72386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3250][4]~q\);

-- Location: LCCOMB_X35_Y3_N14
\led_flash_cnt[3250][5]~72388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3250][5]~72388_combout\ = (\led_flash_cnt[3250][5]~q\ & (\led_flash_cnt[3250][4]~72387\ $ (GND))) # (!\led_flash_cnt[3250][5]~q\ & (!\led_flash_cnt[3250][4]~72387\ & VCC))
-- \led_flash_cnt[3250][5]~72389\ = CARRY((\led_flash_cnt[3250][5]~q\ & !\led_flash_cnt[3250][4]~72387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3250][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3250][4]~72387\,
	combout => \led_flash_cnt[3250][5]~72388_combout\,
	cout => \led_flash_cnt[3250][5]~72389\);

-- Location: FF_X35_Y3_N15
\led_flash_cnt[3250][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3250][5]~72388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3250][5]~q\);

-- Location: LCCOMB_X35_Y3_N16
\led_flash_cnt[3250][6]~72390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3250][6]~72390_combout\ = (\led_flash_cnt[3250][6]~q\ & (!\led_flash_cnt[3250][5]~72389\)) # (!\led_flash_cnt[3250][6]~q\ & ((\led_flash_cnt[3250][5]~72389\) # (GND)))
-- \led_flash_cnt[3250][6]~72391\ = CARRY((!\led_flash_cnt[3250][5]~72389\) # (!\led_flash_cnt[3250][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3250][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3250][5]~72389\,
	combout => \led_flash_cnt[3250][6]~72390_combout\,
	cout => \led_flash_cnt[3250][6]~72391\);

-- Location: FF_X35_Y3_N17
\led_flash_cnt[3250][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3250][6]~72390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3250][6]~q\);

-- Location: LCCOMB_X35_Y3_N26
\WideAnd3250~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3250~1_combout\ = (\led_flash_cnt[3250][5]~q\ & \led_flash_cnt[3250][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3250][5]~q\,
	datad => \led_flash_cnt[3250][6]~q\,
	combout => \WideAnd3250~1_combout\);

-- Location: LCCOMB_X35_Y3_N18
\led_flash_cnt[3250][7]~72392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3250][7]~72392_combout\ = \led_flash_cnt[3250][6]~72391\ $ (!\led_flash_cnt[3250][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3250][7]~q\,
	cin => \led_flash_cnt[3250][6]~72391\,
	combout => \led_flash_cnt[3250][7]~72392_combout\);

-- Location: FF_X35_Y3_N19
\led_flash_cnt[3250][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3250][7]~72392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3250][7]~q\);

-- Location: LCCOMB_X35_Y3_N30
\WideAnd3250~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3250~0_combout\ = (\led_flash_cnt[3250][3]~q\ & (\led_flash_cnt[3250][4]~q\ & (\led_flash_cnt[3250][2]~q\ & \led_flash_cnt[3250][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3250][3]~q\,
	datab => \led_flash_cnt[3250][4]~q\,
	datac => \led_flash_cnt[3250][2]~q\,
	datad => \led_flash_cnt[3250][1]~q\,
	combout => \WideAnd3250~0_combout\);

-- Location: LCCOMB_X35_Y3_N24
WideAnd3250 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3250~combout\ = (\WideAnd3250~1_combout\ & (\led_flash_cnt[3250][7]~q\ & (\WideAnd3250~0_combout\ & \led_flash_cnt[3250][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3250~1_combout\,
	datab => \led_flash_cnt[3250][7]~q\,
	datac => \WideAnd3250~0_combout\,
	datad => \led_flash_cnt[3250][0]~q\,
	combout => \WideAnd3250~combout\);

-- Location: FF_X35_Y3_N25
\led_flash_cnt_ands[3250]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3250~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3250));

-- Location: LCCOMB_X26_Y3_N6
\led_flash_cnt[3248][0]~83888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3248][0]~83888_combout\ = !\led_flash_cnt[3248][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3248][0]~q\,
	combout => \led_flash_cnt[3248][0]~83888_combout\);

-- Location: FF_X26_Y3_N7
\led_flash_cnt[3248][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3248][0]~83888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3248][0]~q\);

-- Location: LCCOMB_X26_Y3_N14
\led_flash_cnt[3248][1]~72352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3248][1]~72352_combout\ = (\led_flash_cnt[3248][0]~q\ & (\led_flash_cnt[3248][1]~q\ $ (VCC))) # (!\led_flash_cnt[3248][0]~q\ & (\led_flash_cnt[3248][1]~q\ & VCC))
-- \led_flash_cnt[3248][1]~72353\ = CARRY((\led_flash_cnt[3248][0]~q\ & \led_flash_cnt[3248][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3248][0]~q\,
	datab => \led_flash_cnt[3248][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3248][1]~72352_combout\,
	cout => \led_flash_cnt[3248][1]~72353\);

-- Location: FF_X26_Y3_N15
\led_flash_cnt[3248][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3248][1]~72352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3248][1]~q\);

-- Location: LCCOMB_X26_Y3_N16
\led_flash_cnt[3248][2]~72354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3248][2]~72354_combout\ = (\led_flash_cnt[3248][2]~q\ & (!\led_flash_cnt[3248][1]~72353\)) # (!\led_flash_cnt[3248][2]~q\ & ((\led_flash_cnt[3248][1]~72353\) # (GND)))
-- \led_flash_cnt[3248][2]~72355\ = CARRY((!\led_flash_cnt[3248][1]~72353\) # (!\led_flash_cnt[3248][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3248][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3248][1]~72353\,
	combout => \led_flash_cnt[3248][2]~72354_combout\,
	cout => \led_flash_cnt[3248][2]~72355\);

-- Location: FF_X26_Y3_N17
\led_flash_cnt[3248][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3248][2]~72354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3248][2]~q\);

-- Location: LCCOMB_X26_Y3_N18
\led_flash_cnt[3248][3]~72356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3248][3]~72356_combout\ = (\led_flash_cnt[3248][3]~q\ & (\led_flash_cnt[3248][2]~72355\ $ (GND))) # (!\led_flash_cnt[3248][3]~q\ & (!\led_flash_cnt[3248][2]~72355\ & VCC))
-- \led_flash_cnt[3248][3]~72357\ = CARRY((\led_flash_cnt[3248][3]~q\ & !\led_flash_cnt[3248][2]~72355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3248][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3248][2]~72355\,
	combout => \led_flash_cnt[3248][3]~72356_combout\,
	cout => \led_flash_cnt[3248][3]~72357\);

-- Location: FF_X26_Y3_N19
\led_flash_cnt[3248][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3248][3]~72356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3248][3]~q\);

-- Location: LCCOMB_X26_Y3_N20
\led_flash_cnt[3248][4]~72358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3248][4]~72358_combout\ = (\led_flash_cnt[3248][4]~q\ & (!\led_flash_cnt[3248][3]~72357\)) # (!\led_flash_cnt[3248][4]~q\ & ((\led_flash_cnt[3248][3]~72357\) # (GND)))
-- \led_flash_cnt[3248][4]~72359\ = CARRY((!\led_flash_cnt[3248][3]~72357\) # (!\led_flash_cnt[3248][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3248][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3248][3]~72357\,
	combout => \led_flash_cnt[3248][4]~72358_combout\,
	cout => \led_flash_cnt[3248][4]~72359\);

-- Location: FF_X26_Y3_N21
\led_flash_cnt[3248][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3248][4]~72358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3248][4]~q\);

-- Location: LCCOMB_X26_Y3_N22
\led_flash_cnt[3248][5]~72360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3248][5]~72360_combout\ = (\led_flash_cnt[3248][5]~q\ & (\led_flash_cnt[3248][4]~72359\ $ (GND))) # (!\led_flash_cnt[3248][5]~q\ & (!\led_flash_cnt[3248][4]~72359\ & VCC))
-- \led_flash_cnt[3248][5]~72361\ = CARRY((\led_flash_cnt[3248][5]~q\ & !\led_flash_cnt[3248][4]~72359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3248][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3248][4]~72359\,
	combout => \led_flash_cnt[3248][5]~72360_combout\,
	cout => \led_flash_cnt[3248][5]~72361\);

-- Location: FF_X26_Y3_N23
\led_flash_cnt[3248][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3248][5]~72360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3248][5]~q\);

-- Location: LCCOMB_X26_Y3_N24
\led_flash_cnt[3248][6]~72362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3248][6]~72362_combout\ = (\led_flash_cnt[3248][6]~q\ & (!\led_flash_cnt[3248][5]~72361\)) # (!\led_flash_cnt[3248][6]~q\ & ((\led_flash_cnt[3248][5]~72361\) # (GND)))
-- \led_flash_cnt[3248][6]~72363\ = CARRY((!\led_flash_cnt[3248][5]~72361\) # (!\led_flash_cnt[3248][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3248][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3248][5]~72361\,
	combout => \led_flash_cnt[3248][6]~72362_combout\,
	cout => \led_flash_cnt[3248][6]~72363\);

-- Location: FF_X26_Y3_N25
\led_flash_cnt[3248][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3248][6]~72362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3248][6]~q\);

-- Location: LCCOMB_X26_Y3_N4
\WideAnd3248~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3248~1_combout\ = (\led_flash_cnt[3248][5]~q\ & \led_flash_cnt[3248][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3248][5]~q\,
	datad => \led_flash_cnt[3248][6]~q\,
	combout => \WideAnd3248~1_combout\);

-- Location: LCCOMB_X26_Y3_N26
\led_flash_cnt[3248][7]~72364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3248][7]~72364_combout\ = \led_flash_cnt[3248][7]~q\ $ (!\led_flash_cnt[3248][6]~72363\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3248][7]~q\,
	cin => \led_flash_cnt[3248][6]~72363\,
	combout => \led_flash_cnt[3248][7]~72364_combout\);

-- Location: FF_X26_Y3_N27
\led_flash_cnt[3248][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3248][7]~72364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3248][7]~q\);

-- Location: LCCOMB_X26_Y3_N12
\WideAnd3248~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3248~0_combout\ = (\led_flash_cnt[3248][3]~q\ & (\led_flash_cnt[3248][4]~q\ & (\led_flash_cnt[3248][1]~q\ & \led_flash_cnt[3248][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3248][3]~q\,
	datab => \led_flash_cnt[3248][4]~q\,
	datac => \led_flash_cnt[3248][1]~q\,
	datad => \led_flash_cnt[3248][2]~q\,
	combout => \WideAnd3248~0_combout\);

-- Location: LCCOMB_X26_Y3_N28
WideAnd3248 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3248~combout\ = (\led_flash_cnt[3248][0]~q\ & (\WideAnd3248~1_combout\ & (\led_flash_cnt[3248][7]~q\ & \WideAnd3248~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3248][0]~q\,
	datab => \WideAnd3248~1_combout\,
	datac => \led_flash_cnt[3248][7]~q\,
	datad => \WideAnd3248~0_combout\,
	combout => \WideAnd3248~combout\);

-- Location: FF_X26_Y3_N29
\led_flash_cnt_ands[3248]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3248~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3248));

-- Location: LCCOMB_X35_Y3_N28
\led_flash_cnt[3249][0]~83889\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3249][0]~83889_combout\ = !\led_flash_cnt[3249][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3249][0]~q\,
	combout => \led_flash_cnt[3249][0]~83889_combout\);

-- Location: FF_X35_Y3_N29
\led_flash_cnt[3249][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3249][0]~83889_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3249][0]~q\);

-- Location: LCCOMB_X36_Y3_N0
\led_flash_cnt[3249][1]~72366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3249][1]~72366_combout\ = (\led_flash_cnt[3249][0]~q\ & (\led_flash_cnt[3249][1]~q\ $ (VCC))) # (!\led_flash_cnt[3249][0]~q\ & (\led_flash_cnt[3249][1]~q\ & VCC))
-- \led_flash_cnt[3249][1]~72367\ = CARRY((\led_flash_cnt[3249][0]~q\ & \led_flash_cnt[3249][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3249][0]~q\,
	datab => \led_flash_cnt[3249][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3249][1]~72366_combout\,
	cout => \led_flash_cnt[3249][1]~72367\);

-- Location: FF_X36_Y3_N1
\led_flash_cnt[3249][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3249][1]~72366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3249][1]~q\);

-- Location: LCCOMB_X36_Y3_N2
\led_flash_cnt[3249][2]~72368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3249][2]~72368_combout\ = (\led_flash_cnt[3249][2]~q\ & (!\led_flash_cnt[3249][1]~72367\)) # (!\led_flash_cnt[3249][2]~q\ & ((\led_flash_cnt[3249][1]~72367\) # (GND)))
-- \led_flash_cnt[3249][2]~72369\ = CARRY((!\led_flash_cnt[3249][1]~72367\) # (!\led_flash_cnt[3249][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3249][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3249][1]~72367\,
	combout => \led_flash_cnt[3249][2]~72368_combout\,
	cout => \led_flash_cnt[3249][2]~72369\);

-- Location: FF_X36_Y3_N3
\led_flash_cnt[3249][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3249][2]~72368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3249][2]~q\);

-- Location: LCCOMB_X36_Y3_N4
\led_flash_cnt[3249][3]~72370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3249][3]~72370_combout\ = (\led_flash_cnt[3249][3]~q\ & (\led_flash_cnt[3249][2]~72369\ $ (GND))) # (!\led_flash_cnt[3249][3]~q\ & (!\led_flash_cnt[3249][2]~72369\ & VCC))
-- \led_flash_cnt[3249][3]~72371\ = CARRY((\led_flash_cnt[3249][3]~q\ & !\led_flash_cnt[3249][2]~72369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3249][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3249][2]~72369\,
	combout => \led_flash_cnt[3249][3]~72370_combout\,
	cout => \led_flash_cnt[3249][3]~72371\);

-- Location: FF_X36_Y3_N5
\led_flash_cnt[3249][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3249][3]~72370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3249][3]~q\);

-- Location: LCCOMB_X36_Y3_N6
\led_flash_cnt[3249][4]~72372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3249][4]~72372_combout\ = (\led_flash_cnt[3249][4]~q\ & (!\led_flash_cnt[3249][3]~72371\)) # (!\led_flash_cnt[3249][4]~q\ & ((\led_flash_cnt[3249][3]~72371\) # (GND)))
-- \led_flash_cnt[3249][4]~72373\ = CARRY((!\led_flash_cnt[3249][3]~72371\) # (!\led_flash_cnt[3249][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3249][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3249][3]~72371\,
	combout => \led_flash_cnt[3249][4]~72372_combout\,
	cout => \led_flash_cnt[3249][4]~72373\);

-- Location: FF_X36_Y3_N7
\led_flash_cnt[3249][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3249][4]~72372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3249][4]~q\);

-- Location: LCCOMB_X36_Y3_N8
\led_flash_cnt[3249][5]~72374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3249][5]~72374_combout\ = (\led_flash_cnt[3249][5]~q\ & (\led_flash_cnt[3249][4]~72373\ $ (GND))) # (!\led_flash_cnt[3249][5]~q\ & (!\led_flash_cnt[3249][4]~72373\ & VCC))
-- \led_flash_cnt[3249][5]~72375\ = CARRY((\led_flash_cnt[3249][5]~q\ & !\led_flash_cnt[3249][4]~72373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3249][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3249][4]~72373\,
	combout => \led_flash_cnt[3249][5]~72374_combout\,
	cout => \led_flash_cnt[3249][5]~72375\);

-- Location: FF_X36_Y3_N9
\led_flash_cnt[3249][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3249][5]~72374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3249][5]~q\);

-- Location: LCCOMB_X36_Y3_N10
\led_flash_cnt[3249][6]~72376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3249][6]~72376_combout\ = (\led_flash_cnt[3249][6]~q\ & (!\led_flash_cnt[3249][5]~72375\)) # (!\led_flash_cnt[3249][6]~q\ & ((\led_flash_cnt[3249][5]~72375\) # (GND)))
-- \led_flash_cnt[3249][6]~72377\ = CARRY((!\led_flash_cnt[3249][5]~72375\) # (!\led_flash_cnt[3249][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3249][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3249][5]~72375\,
	combout => \led_flash_cnt[3249][6]~72376_combout\,
	cout => \led_flash_cnt[3249][6]~72377\);

-- Location: FF_X36_Y3_N11
\led_flash_cnt[3249][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3249][6]~72376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3249][6]~q\);

-- Location: LCCOMB_X36_Y3_N12
\led_flash_cnt[3249][7]~72378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3249][7]~72378_combout\ = \led_flash_cnt[3249][6]~72377\ $ (!\led_flash_cnt[3249][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3249][7]~q\,
	cin => \led_flash_cnt[3249][6]~72377\,
	combout => \led_flash_cnt[3249][7]~72378_combout\);

-- Location: FF_X36_Y3_N13
\led_flash_cnt[3249][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3249][7]~72378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3249][7]~q\);

-- Location: LCCOMB_X36_Y3_N14
\WideAnd3249~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3249~1_combout\ = (\led_flash_cnt[3249][5]~q\ & \led_flash_cnt[3249][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3249][5]~q\,
	datad => \led_flash_cnt[3249][6]~q\,
	combout => \WideAnd3249~1_combout\);

-- Location: LCCOMB_X36_Y3_N28
\WideAnd3249~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3249~0_combout\ = (\led_flash_cnt[3249][4]~q\ & (\led_flash_cnt[3249][1]~q\ & (\led_flash_cnt[3249][3]~q\ & \led_flash_cnt[3249][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3249][4]~q\,
	datab => \led_flash_cnt[3249][1]~q\,
	datac => \led_flash_cnt[3249][3]~q\,
	datad => \led_flash_cnt[3249][2]~q\,
	combout => \WideAnd3249~0_combout\);

-- Location: LCCOMB_X35_Y3_N20
WideAnd3249 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3249~combout\ = (\led_flash_cnt[3249][0]~q\ & (\led_flash_cnt[3249][7]~q\ & (\WideAnd3249~1_combout\ & \WideAnd3249~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3249][0]~q\,
	datab => \led_flash_cnt[3249][7]~q\,
	datac => \WideAnd3249~1_combout\,
	datad => \WideAnd3249~0_combout\,
	combout => \WideAnd3249~combout\);

-- Location: FF_X35_Y3_N21
\led_flash_cnt_ands[3249]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3249~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3249));

-- Location: LCCOMB_X35_Y3_N0
\WideAnd4246~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4246~0_combout\ = (led_flash_cnt_ands(3251) & (led_flash_cnt_ands(3250) & (led_flash_cnt_ands(3248) & led_flash_cnt_ands(3249))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3251),
	datab => led_flash_cnt_ands(3250),
	datac => led_flash_cnt_ands(3248),
	datad => led_flash_cnt_ands(3249),
	combout => \WideAnd4246~0_combout\);

-- Location: LCCOMB_X29_Y26_N24
\led_flash_cnt[3254][0]~83894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3254][0]~83894_combout\ = !\led_flash_cnt[3254][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3254][0]~q\,
	combout => \led_flash_cnt[3254][0]~83894_combout\);

-- Location: FF_X29_Y26_N25
\led_flash_cnt[3254][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3254][0]~83894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3254][0]~q\);

-- Location: LCCOMB_X27_Y26_N4
\led_flash_cnt[3254][1]~72436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3254][1]~72436_combout\ = (\led_flash_cnt[3254][0]~q\ & (\led_flash_cnt[3254][1]~q\ $ (VCC))) # (!\led_flash_cnt[3254][0]~q\ & (\led_flash_cnt[3254][1]~q\ & VCC))
-- \led_flash_cnt[3254][1]~72437\ = CARRY((\led_flash_cnt[3254][0]~q\ & \led_flash_cnt[3254][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3254][0]~q\,
	datab => \led_flash_cnt[3254][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3254][1]~72436_combout\,
	cout => \led_flash_cnt[3254][1]~72437\);

-- Location: FF_X27_Y26_N5
\led_flash_cnt[3254][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3254][1]~72436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3254][1]~q\);

-- Location: LCCOMB_X27_Y26_N6
\led_flash_cnt[3254][2]~72438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3254][2]~72438_combout\ = (\led_flash_cnt[3254][2]~q\ & (!\led_flash_cnt[3254][1]~72437\)) # (!\led_flash_cnt[3254][2]~q\ & ((\led_flash_cnt[3254][1]~72437\) # (GND)))
-- \led_flash_cnt[3254][2]~72439\ = CARRY((!\led_flash_cnt[3254][1]~72437\) # (!\led_flash_cnt[3254][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3254][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3254][1]~72437\,
	combout => \led_flash_cnt[3254][2]~72438_combout\,
	cout => \led_flash_cnt[3254][2]~72439\);

-- Location: FF_X27_Y26_N7
\led_flash_cnt[3254][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3254][2]~72438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3254][2]~q\);

-- Location: LCCOMB_X27_Y26_N8
\led_flash_cnt[3254][3]~72440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3254][3]~72440_combout\ = (\led_flash_cnt[3254][3]~q\ & (\led_flash_cnt[3254][2]~72439\ $ (GND))) # (!\led_flash_cnt[3254][3]~q\ & (!\led_flash_cnt[3254][2]~72439\ & VCC))
-- \led_flash_cnt[3254][3]~72441\ = CARRY((\led_flash_cnt[3254][3]~q\ & !\led_flash_cnt[3254][2]~72439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3254][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3254][2]~72439\,
	combout => \led_flash_cnt[3254][3]~72440_combout\,
	cout => \led_flash_cnt[3254][3]~72441\);

-- Location: FF_X27_Y26_N9
\led_flash_cnt[3254][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3254][3]~72440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3254][3]~q\);

-- Location: LCCOMB_X27_Y26_N10
\led_flash_cnt[3254][4]~72442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3254][4]~72442_combout\ = (\led_flash_cnt[3254][4]~q\ & (!\led_flash_cnt[3254][3]~72441\)) # (!\led_flash_cnt[3254][4]~q\ & ((\led_flash_cnt[3254][3]~72441\) # (GND)))
-- \led_flash_cnt[3254][4]~72443\ = CARRY((!\led_flash_cnt[3254][3]~72441\) # (!\led_flash_cnt[3254][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3254][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3254][3]~72441\,
	combout => \led_flash_cnt[3254][4]~72442_combout\,
	cout => \led_flash_cnt[3254][4]~72443\);

-- Location: FF_X27_Y26_N11
\led_flash_cnt[3254][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3254][4]~72442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3254][4]~q\);

-- Location: LCCOMB_X27_Y26_N12
\led_flash_cnt[3254][5]~72444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3254][5]~72444_combout\ = (\led_flash_cnt[3254][5]~q\ & (\led_flash_cnt[3254][4]~72443\ $ (GND))) # (!\led_flash_cnt[3254][5]~q\ & (!\led_flash_cnt[3254][4]~72443\ & VCC))
-- \led_flash_cnt[3254][5]~72445\ = CARRY((\led_flash_cnt[3254][5]~q\ & !\led_flash_cnt[3254][4]~72443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3254][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3254][4]~72443\,
	combout => \led_flash_cnt[3254][5]~72444_combout\,
	cout => \led_flash_cnt[3254][5]~72445\);

-- Location: FF_X27_Y26_N13
\led_flash_cnt[3254][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3254][5]~72444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3254][5]~q\);

-- Location: LCCOMB_X27_Y26_N14
\led_flash_cnt[3254][6]~72446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3254][6]~72446_combout\ = (\led_flash_cnt[3254][6]~q\ & (!\led_flash_cnt[3254][5]~72445\)) # (!\led_flash_cnt[3254][6]~q\ & ((\led_flash_cnt[3254][5]~72445\) # (GND)))
-- \led_flash_cnt[3254][6]~72447\ = CARRY((!\led_flash_cnt[3254][5]~72445\) # (!\led_flash_cnt[3254][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3254][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3254][5]~72445\,
	combout => \led_flash_cnt[3254][6]~72446_combout\,
	cout => \led_flash_cnt[3254][6]~72447\);

-- Location: FF_X27_Y26_N15
\led_flash_cnt[3254][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3254][6]~72446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3254][6]~q\);

-- Location: LCCOMB_X27_Y26_N16
\led_flash_cnt[3254][7]~72448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3254][7]~72448_combout\ = \led_flash_cnt[3254][6]~72447\ $ (!\led_flash_cnt[3254][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3254][7]~q\,
	cin => \led_flash_cnt[3254][6]~72447\,
	combout => \led_flash_cnt[3254][7]~72448_combout\);

-- Location: FF_X27_Y26_N17
\led_flash_cnt[3254][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3254][7]~72448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3254][7]~q\);

-- Location: LCCOMB_X27_Y26_N22
\WideAnd3254~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3254~1_combout\ = (\led_flash_cnt[3254][6]~q\ & \led_flash_cnt[3254][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3254][6]~q\,
	datad => \led_flash_cnt[3254][5]~q\,
	combout => \WideAnd3254~1_combout\);

-- Location: LCCOMB_X27_Y26_N18
\WideAnd3254~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3254~0_combout\ = (\led_flash_cnt[3254][2]~q\ & (\led_flash_cnt[3254][1]~q\ & (\led_flash_cnt[3254][3]~q\ & \led_flash_cnt[3254][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3254][2]~q\,
	datab => \led_flash_cnt[3254][1]~q\,
	datac => \led_flash_cnt[3254][3]~q\,
	datad => \led_flash_cnt[3254][4]~q\,
	combout => \WideAnd3254~0_combout\);

-- Location: LCCOMB_X27_Y26_N20
WideAnd3254 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3254~combout\ = (\led_flash_cnt[3254][0]~q\ & (\led_flash_cnt[3254][7]~q\ & (\WideAnd3254~1_combout\ & \WideAnd3254~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3254][0]~q\,
	datab => \led_flash_cnt[3254][7]~q\,
	datac => \WideAnd3254~1_combout\,
	datad => \WideAnd3254~0_combout\,
	combout => \WideAnd3254~combout\);

-- Location: FF_X27_Y26_N21
\led_flash_cnt_ands[3254]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3254~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3254));

-- Location: LCCOMB_X27_Y26_N30
WideAnd4246 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4246~combout\ = (\WideAnd4246~1_combout\ & (led_flash_cnt_ands(3255) & (\WideAnd4246~0_combout\ & led_flash_cnt_ands(3254))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4246~1_combout\,
	datab => led_flash_cnt_ands(3255),
	datac => \WideAnd4246~0_combout\,
	datad => led_flash_cnt_ands(3254),
	combout => \WideAnd4246~combout\);

-- Location: FF_X27_Y26_N31
\led_flash_cnt_ands_1[406]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4246~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(406));

-- Location: LCCOMB_X23_Y18_N18
\led_flash_cnt[3209][0]~83849\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3209][0]~83849_combout\ = !\led_flash_cnt[3209][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3209][0]~q\,
	combout => \led_flash_cnt[3209][0]~83849_combout\);

-- Location: FF_X23_Y18_N19
\led_flash_cnt[3209][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3209][0]~83849_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3209][0]~q\);

-- Location: LCCOMB_X24_Y18_N14
\led_flash_cnt[3209][1]~71806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3209][1]~71806_combout\ = (\led_flash_cnt[3209][0]~q\ & (\led_flash_cnt[3209][1]~q\ $ (VCC))) # (!\led_flash_cnt[3209][0]~q\ & (\led_flash_cnt[3209][1]~q\ & VCC))
-- \led_flash_cnt[3209][1]~71807\ = CARRY((\led_flash_cnt[3209][0]~q\ & \led_flash_cnt[3209][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3209][0]~q\,
	datab => \led_flash_cnt[3209][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3209][1]~71806_combout\,
	cout => \led_flash_cnt[3209][1]~71807\);

-- Location: FF_X24_Y18_N15
\led_flash_cnt[3209][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3209][1]~71806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3209][1]~q\);

-- Location: LCCOMB_X24_Y18_N16
\led_flash_cnt[3209][2]~71808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3209][2]~71808_combout\ = (\led_flash_cnt[3209][2]~q\ & (!\led_flash_cnt[3209][1]~71807\)) # (!\led_flash_cnt[3209][2]~q\ & ((\led_flash_cnt[3209][1]~71807\) # (GND)))
-- \led_flash_cnt[3209][2]~71809\ = CARRY((!\led_flash_cnt[3209][1]~71807\) # (!\led_flash_cnt[3209][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3209][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3209][1]~71807\,
	combout => \led_flash_cnt[3209][2]~71808_combout\,
	cout => \led_flash_cnt[3209][2]~71809\);

-- Location: FF_X24_Y18_N17
\led_flash_cnt[3209][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3209][2]~71808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3209][2]~q\);

-- Location: LCCOMB_X24_Y18_N18
\led_flash_cnt[3209][3]~71810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3209][3]~71810_combout\ = (\led_flash_cnt[3209][3]~q\ & (\led_flash_cnt[3209][2]~71809\ $ (GND))) # (!\led_flash_cnt[3209][3]~q\ & (!\led_flash_cnt[3209][2]~71809\ & VCC))
-- \led_flash_cnt[3209][3]~71811\ = CARRY((\led_flash_cnt[3209][3]~q\ & !\led_flash_cnt[3209][2]~71809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3209][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3209][2]~71809\,
	combout => \led_flash_cnt[3209][3]~71810_combout\,
	cout => \led_flash_cnt[3209][3]~71811\);

-- Location: FF_X24_Y18_N19
\led_flash_cnt[3209][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3209][3]~71810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3209][3]~q\);

-- Location: LCCOMB_X24_Y18_N20
\led_flash_cnt[3209][4]~71812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3209][4]~71812_combout\ = (\led_flash_cnt[3209][4]~q\ & (!\led_flash_cnt[3209][3]~71811\)) # (!\led_flash_cnt[3209][4]~q\ & ((\led_flash_cnt[3209][3]~71811\) # (GND)))
-- \led_flash_cnt[3209][4]~71813\ = CARRY((!\led_flash_cnt[3209][3]~71811\) # (!\led_flash_cnt[3209][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3209][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3209][3]~71811\,
	combout => \led_flash_cnt[3209][4]~71812_combout\,
	cout => \led_flash_cnt[3209][4]~71813\);

-- Location: FF_X24_Y18_N21
\led_flash_cnt[3209][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3209][4]~71812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3209][4]~q\);

-- Location: LCCOMB_X24_Y18_N30
\WideAnd3209~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3209~0_combout\ = (\led_flash_cnt[3209][4]~q\ & (\led_flash_cnt[3209][2]~q\ & (\led_flash_cnt[3209][1]~q\ & \led_flash_cnt[3209][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3209][4]~q\,
	datab => \led_flash_cnt[3209][2]~q\,
	datac => \led_flash_cnt[3209][1]~q\,
	datad => \led_flash_cnt[3209][3]~q\,
	combout => \WideAnd3209~0_combout\);

-- Location: LCCOMB_X24_Y18_N22
\led_flash_cnt[3209][5]~71814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3209][5]~71814_combout\ = (\led_flash_cnt[3209][5]~q\ & (\led_flash_cnt[3209][4]~71813\ $ (GND))) # (!\led_flash_cnt[3209][5]~q\ & (!\led_flash_cnt[3209][4]~71813\ & VCC))
-- \led_flash_cnt[3209][5]~71815\ = CARRY((\led_flash_cnt[3209][5]~q\ & !\led_flash_cnt[3209][4]~71813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3209][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3209][4]~71813\,
	combout => \led_flash_cnt[3209][5]~71814_combout\,
	cout => \led_flash_cnt[3209][5]~71815\);

-- Location: FF_X24_Y18_N23
\led_flash_cnt[3209][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3209][5]~71814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3209][5]~q\);

-- Location: LCCOMB_X24_Y18_N24
\led_flash_cnt[3209][6]~71816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3209][6]~71816_combout\ = (\led_flash_cnt[3209][6]~q\ & (!\led_flash_cnt[3209][5]~71815\)) # (!\led_flash_cnt[3209][6]~q\ & ((\led_flash_cnt[3209][5]~71815\) # (GND)))
-- \led_flash_cnt[3209][6]~71817\ = CARRY((!\led_flash_cnt[3209][5]~71815\) # (!\led_flash_cnt[3209][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3209][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3209][5]~71815\,
	combout => \led_flash_cnt[3209][6]~71816_combout\,
	cout => \led_flash_cnt[3209][6]~71817\);

-- Location: FF_X24_Y18_N25
\led_flash_cnt[3209][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3209][6]~71816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3209][6]~q\);

-- Location: LCCOMB_X23_Y18_N26
\WideAnd3209~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3209~1_combout\ = (\led_flash_cnt[3209][5]~q\ & \led_flash_cnt[3209][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3209][5]~q\,
	datac => \led_flash_cnt[3209][6]~q\,
	combout => \WideAnd3209~1_combout\);

-- Location: LCCOMB_X24_Y18_N26
\led_flash_cnt[3209][7]~71818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3209][7]~71818_combout\ = \led_flash_cnt[3209][7]~q\ $ (!\led_flash_cnt[3209][6]~71817\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3209][7]~q\,
	cin => \led_flash_cnt[3209][6]~71817\,
	combout => \led_flash_cnt[3209][7]~71818_combout\);

-- Location: FF_X24_Y18_N27
\led_flash_cnt[3209][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3209][7]~71818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3209][7]~q\);

-- Location: LCCOMB_X23_Y18_N22
WideAnd3209 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3209~combout\ = (\WideAnd3209~0_combout\ & (\led_flash_cnt[3209][0]~q\ & (\WideAnd3209~1_combout\ & \led_flash_cnt[3209][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3209~0_combout\,
	datab => \led_flash_cnt[3209][0]~q\,
	datac => \WideAnd3209~1_combout\,
	datad => \led_flash_cnt[3209][7]~q\,
	combout => \WideAnd3209~combout\);

-- Location: FF_X23_Y18_N23
\led_flash_cnt_ands[3209]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3209~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3209));

-- Location: LCCOMB_X23_Y17_N28
\led_flash_cnt[3208][0]~83848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3208][0]~83848_combout\ = !\led_flash_cnt[3208][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3208][0]~q\,
	combout => \led_flash_cnt[3208][0]~83848_combout\);

-- Location: FF_X23_Y17_N29
\led_flash_cnt[3208][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3208][0]~83848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3208][0]~q\);

-- Location: LCCOMB_X25_Y17_N10
\led_flash_cnt[3208][1]~71792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3208][1]~71792_combout\ = (\led_flash_cnt[3208][1]~q\ & (\led_flash_cnt[3208][0]~q\ $ (VCC))) # (!\led_flash_cnt[3208][1]~q\ & (\led_flash_cnt[3208][0]~q\ & VCC))
-- \led_flash_cnt[3208][1]~71793\ = CARRY((\led_flash_cnt[3208][1]~q\ & \led_flash_cnt[3208][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3208][1]~q\,
	datab => \led_flash_cnt[3208][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3208][1]~71792_combout\,
	cout => \led_flash_cnt[3208][1]~71793\);

-- Location: FF_X25_Y17_N11
\led_flash_cnt[3208][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3208][1]~71792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3208][1]~q\);

-- Location: LCCOMB_X25_Y17_N12
\led_flash_cnt[3208][2]~71794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3208][2]~71794_combout\ = (\led_flash_cnt[3208][2]~q\ & (!\led_flash_cnt[3208][1]~71793\)) # (!\led_flash_cnt[3208][2]~q\ & ((\led_flash_cnt[3208][1]~71793\) # (GND)))
-- \led_flash_cnt[3208][2]~71795\ = CARRY((!\led_flash_cnt[3208][1]~71793\) # (!\led_flash_cnt[3208][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3208][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3208][1]~71793\,
	combout => \led_flash_cnt[3208][2]~71794_combout\,
	cout => \led_flash_cnt[3208][2]~71795\);

-- Location: FF_X25_Y17_N13
\led_flash_cnt[3208][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3208][2]~71794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3208][2]~q\);

-- Location: LCCOMB_X25_Y17_N14
\led_flash_cnt[3208][3]~71796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3208][3]~71796_combout\ = (\led_flash_cnt[3208][3]~q\ & (\led_flash_cnt[3208][2]~71795\ $ (GND))) # (!\led_flash_cnt[3208][3]~q\ & (!\led_flash_cnt[3208][2]~71795\ & VCC))
-- \led_flash_cnt[3208][3]~71797\ = CARRY((\led_flash_cnt[3208][3]~q\ & !\led_flash_cnt[3208][2]~71795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3208][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3208][2]~71795\,
	combout => \led_flash_cnt[3208][3]~71796_combout\,
	cout => \led_flash_cnt[3208][3]~71797\);

-- Location: FF_X25_Y17_N15
\led_flash_cnt[3208][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3208][3]~71796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3208][3]~q\);

-- Location: LCCOMB_X25_Y17_N16
\led_flash_cnt[3208][4]~71798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3208][4]~71798_combout\ = (\led_flash_cnt[3208][4]~q\ & (!\led_flash_cnt[3208][3]~71797\)) # (!\led_flash_cnt[3208][4]~q\ & ((\led_flash_cnt[3208][3]~71797\) # (GND)))
-- \led_flash_cnt[3208][4]~71799\ = CARRY((!\led_flash_cnt[3208][3]~71797\) # (!\led_flash_cnt[3208][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3208][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3208][3]~71797\,
	combout => \led_flash_cnt[3208][4]~71798_combout\,
	cout => \led_flash_cnt[3208][4]~71799\);

-- Location: FF_X25_Y17_N17
\led_flash_cnt[3208][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3208][4]~71798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3208][4]~q\);

-- Location: LCCOMB_X25_Y17_N28
\WideAnd3208~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3208~0_combout\ = (\led_flash_cnt[3208][2]~q\ & (\led_flash_cnt[3208][4]~q\ & (\led_flash_cnt[3208][3]~q\ & \led_flash_cnt[3208][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3208][2]~q\,
	datab => \led_flash_cnt[3208][4]~q\,
	datac => \led_flash_cnt[3208][3]~q\,
	datad => \led_flash_cnt[3208][1]~q\,
	combout => \WideAnd3208~0_combout\);

-- Location: LCCOMB_X25_Y17_N18
\led_flash_cnt[3208][5]~71800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3208][5]~71800_combout\ = (\led_flash_cnt[3208][5]~q\ & (\led_flash_cnt[3208][4]~71799\ $ (GND))) # (!\led_flash_cnt[3208][5]~q\ & (!\led_flash_cnt[3208][4]~71799\ & VCC))
-- \led_flash_cnt[3208][5]~71801\ = CARRY((\led_flash_cnt[3208][5]~q\ & !\led_flash_cnt[3208][4]~71799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3208][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3208][4]~71799\,
	combout => \led_flash_cnt[3208][5]~71800_combout\,
	cout => \led_flash_cnt[3208][5]~71801\);

-- Location: FF_X25_Y17_N19
\led_flash_cnt[3208][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3208][5]~71800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3208][5]~q\);

-- Location: LCCOMB_X25_Y17_N20
\led_flash_cnt[3208][6]~71802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3208][6]~71802_combout\ = (\led_flash_cnt[3208][6]~q\ & (!\led_flash_cnt[3208][5]~71801\)) # (!\led_flash_cnt[3208][6]~q\ & ((\led_flash_cnt[3208][5]~71801\) # (GND)))
-- \led_flash_cnt[3208][6]~71803\ = CARRY((!\led_flash_cnt[3208][5]~71801\) # (!\led_flash_cnt[3208][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3208][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3208][5]~71801\,
	combout => \led_flash_cnt[3208][6]~71802_combout\,
	cout => \led_flash_cnt[3208][6]~71803\);

-- Location: FF_X25_Y17_N21
\led_flash_cnt[3208][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3208][6]~71802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3208][6]~q\);

-- Location: LCCOMB_X25_Y17_N22
\led_flash_cnt[3208][7]~71804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3208][7]~71804_combout\ = \led_flash_cnt[3208][7]~q\ $ (!\led_flash_cnt[3208][6]~71803\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3208][7]~q\,
	cin => \led_flash_cnt[3208][6]~71803\,
	combout => \led_flash_cnt[3208][7]~71804_combout\);

-- Location: FF_X25_Y17_N23
\led_flash_cnt[3208][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3208][7]~71804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3208][7]~q\);

-- Location: LCCOMB_X25_Y17_N6
\WideAnd3208~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3208~1_combout\ = (\led_flash_cnt[3208][5]~q\ & \led_flash_cnt[3208][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3208][5]~q\,
	datad => \led_flash_cnt[3208][6]~q\,
	combout => \WideAnd3208~1_combout\);

-- Location: LCCOMB_X25_Y17_N0
WideAnd3208 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3208~combout\ = (\led_flash_cnt[3208][0]~q\ & (\WideAnd3208~0_combout\ & (\led_flash_cnt[3208][7]~q\ & \WideAnd3208~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3208][0]~q\,
	datab => \WideAnd3208~0_combout\,
	datac => \led_flash_cnt[3208][7]~q\,
	datad => \WideAnd3208~1_combout\,
	combout => \WideAnd3208~combout\);

-- Location: FF_X25_Y17_N1
\led_flash_cnt_ands[3208]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3208~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3208));

-- Location: LCCOMB_X4_Y19_N12
\led_flash_cnt[3211][0]~83851\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3211][0]~83851_combout\ = !\led_flash_cnt[3211][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3211][0]~q\,
	combout => \led_flash_cnt[3211][0]~83851_combout\);

-- Location: FF_X4_Y19_N13
\led_flash_cnt[3211][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3211][0]~83851_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3211][0]~q\);

-- Location: LCCOMB_X4_Y19_N18
\led_flash_cnt[3211][1]~71834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3211][1]~71834_combout\ = (\led_flash_cnt[3211][0]~q\ & (\led_flash_cnt[3211][1]~q\ $ (VCC))) # (!\led_flash_cnt[3211][0]~q\ & (\led_flash_cnt[3211][1]~q\ & VCC))
-- \led_flash_cnt[3211][1]~71835\ = CARRY((\led_flash_cnt[3211][0]~q\ & \led_flash_cnt[3211][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3211][0]~q\,
	datab => \led_flash_cnt[3211][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3211][1]~71834_combout\,
	cout => \led_flash_cnt[3211][1]~71835\);

-- Location: FF_X4_Y19_N19
\led_flash_cnt[3211][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3211][1]~71834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3211][1]~q\);

-- Location: LCCOMB_X4_Y19_N20
\led_flash_cnt[3211][2]~71836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3211][2]~71836_combout\ = (\led_flash_cnt[3211][2]~q\ & (!\led_flash_cnt[3211][1]~71835\)) # (!\led_flash_cnt[3211][2]~q\ & ((\led_flash_cnt[3211][1]~71835\) # (GND)))
-- \led_flash_cnt[3211][2]~71837\ = CARRY((!\led_flash_cnt[3211][1]~71835\) # (!\led_flash_cnt[3211][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3211][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3211][1]~71835\,
	combout => \led_flash_cnt[3211][2]~71836_combout\,
	cout => \led_flash_cnt[3211][2]~71837\);

-- Location: FF_X4_Y19_N21
\led_flash_cnt[3211][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3211][2]~71836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3211][2]~q\);

-- Location: LCCOMB_X4_Y19_N22
\led_flash_cnt[3211][3]~71838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3211][3]~71838_combout\ = (\led_flash_cnt[3211][3]~q\ & (\led_flash_cnt[3211][2]~71837\ $ (GND))) # (!\led_flash_cnt[3211][3]~q\ & (!\led_flash_cnt[3211][2]~71837\ & VCC))
-- \led_flash_cnt[3211][3]~71839\ = CARRY((\led_flash_cnt[3211][3]~q\ & !\led_flash_cnt[3211][2]~71837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3211][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3211][2]~71837\,
	combout => \led_flash_cnt[3211][3]~71838_combout\,
	cout => \led_flash_cnt[3211][3]~71839\);

-- Location: FF_X4_Y19_N23
\led_flash_cnt[3211][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3211][3]~71838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3211][3]~q\);

-- Location: LCCOMB_X4_Y19_N24
\led_flash_cnt[3211][4]~71840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3211][4]~71840_combout\ = (\led_flash_cnt[3211][4]~q\ & (!\led_flash_cnt[3211][3]~71839\)) # (!\led_flash_cnt[3211][4]~q\ & ((\led_flash_cnt[3211][3]~71839\) # (GND)))
-- \led_flash_cnt[3211][4]~71841\ = CARRY((!\led_flash_cnt[3211][3]~71839\) # (!\led_flash_cnt[3211][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3211][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3211][3]~71839\,
	combout => \led_flash_cnt[3211][4]~71840_combout\,
	cout => \led_flash_cnt[3211][4]~71841\);

-- Location: FF_X4_Y19_N25
\led_flash_cnt[3211][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3211][4]~71840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3211][4]~q\);

-- Location: LCCOMB_X4_Y19_N26
\led_flash_cnt[3211][5]~71842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3211][5]~71842_combout\ = (\led_flash_cnt[3211][5]~q\ & (\led_flash_cnt[3211][4]~71841\ $ (GND))) # (!\led_flash_cnt[3211][5]~q\ & (!\led_flash_cnt[3211][4]~71841\ & VCC))
-- \led_flash_cnt[3211][5]~71843\ = CARRY((\led_flash_cnt[3211][5]~q\ & !\led_flash_cnt[3211][4]~71841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3211][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3211][4]~71841\,
	combout => \led_flash_cnt[3211][5]~71842_combout\,
	cout => \led_flash_cnt[3211][5]~71843\);

-- Location: FF_X4_Y19_N27
\led_flash_cnt[3211][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3211][5]~71842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3211][5]~q\);

-- Location: LCCOMB_X4_Y19_N28
\led_flash_cnt[3211][6]~71844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3211][6]~71844_combout\ = (\led_flash_cnt[3211][6]~q\ & (!\led_flash_cnt[3211][5]~71843\)) # (!\led_flash_cnt[3211][6]~q\ & ((\led_flash_cnt[3211][5]~71843\) # (GND)))
-- \led_flash_cnt[3211][6]~71845\ = CARRY((!\led_flash_cnt[3211][5]~71843\) # (!\led_flash_cnt[3211][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3211][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3211][5]~71843\,
	combout => \led_flash_cnt[3211][6]~71844_combout\,
	cout => \led_flash_cnt[3211][6]~71845\);

-- Location: FF_X4_Y19_N29
\led_flash_cnt[3211][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3211][6]~71844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3211][6]~q\);

-- Location: LCCOMB_X4_Y19_N14
\WideAnd3211~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3211~1_combout\ = (\led_flash_cnt[3211][5]~q\ & \led_flash_cnt[3211][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3211][5]~q\,
	datad => \led_flash_cnt[3211][6]~q\,
	combout => \WideAnd3211~1_combout\);

-- Location: LCCOMB_X4_Y19_N30
\led_flash_cnt[3211][7]~71846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3211][7]~71846_combout\ = \led_flash_cnt[3211][7]~q\ $ (!\led_flash_cnt[3211][6]~71845\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3211][7]~q\,
	cin => \led_flash_cnt[3211][6]~71845\,
	combout => \led_flash_cnt[3211][7]~71846_combout\);

-- Location: FF_X4_Y19_N31
\led_flash_cnt[3211][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3211][7]~71846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3211][7]~q\);

-- Location: LCCOMB_X4_Y19_N16
\WideAnd3211~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3211~0_combout\ = (\led_flash_cnt[3211][2]~q\ & (\led_flash_cnt[3211][1]~q\ & (\led_flash_cnt[3211][3]~q\ & \led_flash_cnt[3211][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3211][2]~q\,
	datab => \led_flash_cnt[3211][1]~q\,
	datac => \led_flash_cnt[3211][3]~q\,
	datad => \led_flash_cnt[3211][4]~q\,
	combout => \WideAnd3211~0_combout\);

-- Location: LCCOMB_X4_Y19_N10
WideAnd3211 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3211~combout\ = (\led_flash_cnt[3211][0]~q\ & (\WideAnd3211~1_combout\ & (\led_flash_cnt[3211][7]~q\ & \WideAnd3211~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3211][0]~q\,
	datab => \WideAnd3211~1_combout\,
	datac => \led_flash_cnt[3211][7]~q\,
	datad => \WideAnd3211~0_combout\,
	combout => \WideAnd3211~combout\);

-- Location: FF_X4_Y19_N11
\led_flash_cnt_ands[3211]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3211~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3211));

-- Location: LCCOMB_X23_Y18_N30
\led_flash_cnt[3210][0]~83850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3210][0]~83850_combout\ = !\led_flash_cnt[3210][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3210][0]~q\,
	combout => \led_flash_cnt[3210][0]~83850_combout\);

-- Location: FF_X23_Y18_N31
\led_flash_cnt[3210][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3210][0]~83850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3210][0]~q\);

-- Location: LCCOMB_X23_Y18_N2
\led_flash_cnt[3210][1]~71820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3210][1]~71820_combout\ = (\led_flash_cnt[3210][0]~q\ & (\led_flash_cnt[3210][1]~q\ $ (VCC))) # (!\led_flash_cnt[3210][0]~q\ & (\led_flash_cnt[3210][1]~q\ & VCC))
-- \led_flash_cnt[3210][1]~71821\ = CARRY((\led_flash_cnt[3210][0]~q\ & \led_flash_cnt[3210][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3210][0]~q\,
	datab => \led_flash_cnt[3210][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3210][1]~71820_combout\,
	cout => \led_flash_cnt[3210][1]~71821\);

-- Location: FF_X23_Y18_N3
\led_flash_cnt[3210][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3210][1]~71820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3210][1]~q\);

-- Location: LCCOMB_X23_Y18_N4
\led_flash_cnt[3210][2]~71822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3210][2]~71822_combout\ = (\led_flash_cnt[3210][2]~q\ & (!\led_flash_cnt[3210][1]~71821\)) # (!\led_flash_cnt[3210][2]~q\ & ((\led_flash_cnt[3210][1]~71821\) # (GND)))
-- \led_flash_cnt[3210][2]~71823\ = CARRY((!\led_flash_cnt[3210][1]~71821\) # (!\led_flash_cnt[3210][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3210][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3210][1]~71821\,
	combout => \led_flash_cnt[3210][2]~71822_combout\,
	cout => \led_flash_cnt[3210][2]~71823\);

-- Location: FF_X23_Y18_N5
\led_flash_cnt[3210][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3210][2]~71822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3210][2]~q\);

-- Location: LCCOMB_X23_Y18_N6
\led_flash_cnt[3210][3]~71824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3210][3]~71824_combout\ = (\led_flash_cnt[3210][3]~q\ & (\led_flash_cnt[3210][2]~71823\ $ (GND))) # (!\led_flash_cnt[3210][3]~q\ & (!\led_flash_cnt[3210][2]~71823\ & VCC))
-- \led_flash_cnt[3210][3]~71825\ = CARRY((\led_flash_cnt[3210][3]~q\ & !\led_flash_cnt[3210][2]~71823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3210][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3210][2]~71823\,
	combout => \led_flash_cnt[3210][3]~71824_combout\,
	cout => \led_flash_cnt[3210][3]~71825\);

-- Location: FF_X23_Y18_N7
\led_flash_cnt[3210][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3210][3]~71824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3210][3]~q\);

-- Location: LCCOMB_X23_Y18_N8
\led_flash_cnt[3210][4]~71826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3210][4]~71826_combout\ = (\led_flash_cnt[3210][4]~q\ & (!\led_flash_cnt[3210][3]~71825\)) # (!\led_flash_cnt[3210][4]~q\ & ((\led_flash_cnt[3210][3]~71825\) # (GND)))
-- \led_flash_cnt[3210][4]~71827\ = CARRY((!\led_flash_cnt[3210][3]~71825\) # (!\led_flash_cnt[3210][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3210][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3210][3]~71825\,
	combout => \led_flash_cnt[3210][4]~71826_combout\,
	cout => \led_flash_cnt[3210][4]~71827\);

-- Location: FF_X23_Y18_N9
\led_flash_cnt[3210][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3210][4]~71826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3210][4]~q\);

-- Location: LCCOMB_X23_Y18_N16
\WideAnd3210~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3210~0_combout\ = (\led_flash_cnt[3210][3]~q\ & (\led_flash_cnt[3210][4]~q\ & (\led_flash_cnt[3210][2]~q\ & \led_flash_cnt[3210][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3210][3]~q\,
	datab => \led_flash_cnt[3210][4]~q\,
	datac => \led_flash_cnt[3210][2]~q\,
	datad => \led_flash_cnt[3210][1]~q\,
	combout => \WideAnd3210~0_combout\);

-- Location: LCCOMB_X23_Y18_N10
\led_flash_cnt[3210][5]~71828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3210][5]~71828_combout\ = (\led_flash_cnt[3210][5]~q\ & (\led_flash_cnt[3210][4]~71827\ $ (GND))) # (!\led_flash_cnt[3210][5]~q\ & (!\led_flash_cnt[3210][4]~71827\ & VCC))
-- \led_flash_cnt[3210][5]~71829\ = CARRY((\led_flash_cnt[3210][5]~q\ & !\led_flash_cnt[3210][4]~71827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3210][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3210][4]~71827\,
	combout => \led_flash_cnt[3210][5]~71828_combout\,
	cout => \led_flash_cnt[3210][5]~71829\);

-- Location: FF_X23_Y18_N11
\led_flash_cnt[3210][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3210][5]~71828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3210][5]~q\);

-- Location: LCCOMB_X23_Y18_N12
\led_flash_cnt[3210][6]~71830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3210][6]~71830_combout\ = (\led_flash_cnt[3210][6]~q\ & (!\led_flash_cnt[3210][5]~71829\)) # (!\led_flash_cnt[3210][6]~q\ & ((\led_flash_cnt[3210][5]~71829\) # (GND)))
-- \led_flash_cnt[3210][6]~71831\ = CARRY((!\led_flash_cnt[3210][5]~71829\) # (!\led_flash_cnt[3210][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3210][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3210][5]~71829\,
	combout => \led_flash_cnt[3210][6]~71830_combout\,
	cout => \led_flash_cnt[3210][6]~71831\);

-- Location: FF_X23_Y18_N13
\led_flash_cnt[3210][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3210][6]~71830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3210][6]~q\);

-- Location: LCCOMB_X23_Y18_N14
\led_flash_cnt[3210][7]~71832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3210][7]~71832_combout\ = \led_flash_cnt[3210][7]~q\ $ (!\led_flash_cnt[3210][6]~71831\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3210][7]~q\,
	cin => \led_flash_cnt[3210][6]~71831\,
	combout => \led_flash_cnt[3210][7]~71832_combout\);

-- Location: FF_X23_Y18_N15
\led_flash_cnt[3210][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3210][7]~71832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3210][7]~q\);

-- Location: LCCOMB_X23_Y18_N24
\WideAnd3210~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3210~1_combout\ = (\led_flash_cnt[3210][6]~q\ & \led_flash_cnt[3210][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3210][6]~q\,
	datad => \led_flash_cnt[3210][5]~q\,
	combout => \WideAnd3210~1_combout\);

-- Location: LCCOMB_X23_Y18_N20
WideAnd3210 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3210~combout\ = (\led_flash_cnt[3210][0]~q\ & (\WideAnd3210~0_combout\ & (\led_flash_cnt[3210][7]~q\ & \WideAnd3210~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3210][0]~q\,
	datab => \WideAnd3210~0_combout\,
	datac => \led_flash_cnt[3210][7]~q\,
	datad => \WideAnd3210~1_combout\,
	combout => \WideAnd3210~combout\);

-- Location: FF_X23_Y18_N21
\led_flash_cnt_ands[3210]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3210~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3210));

-- Location: LCCOMB_X23_Y18_N28
\WideAnd4241~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4241~0_combout\ = (led_flash_cnt_ands(3209) & (led_flash_cnt_ands(3208) & (led_flash_cnt_ands(3211) & led_flash_cnt_ands(3210))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3209),
	datab => led_flash_cnt_ands(3208),
	datac => led_flash_cnt_ands(3211),
	datad => led_flash_cnt_ands(3210),
	combout => \WideAnd4241~0_combout\);

-- Location: LCCOMB_X27_Y1_N18
\led_flash_cnt[3213][0]~83853\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3213][0]~83853_combout\ = !\led_flash_cnt[3213][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3213][0]~q\,
	combout => \led_flash_cnt[3213][0]~83853_combout\);

-- Location: FF_X27_Y1_N19
\led_flash_cnt[3213][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3213][0]~83853_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3213][0]~q\);

-- Location: LCCOMB_X27_Y1_N0
\led_flash_cnt[3213][1]~71862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3213][1]~71862_combout\ = (\led_flash_cnt[3213][1]~q\ & (\led_flash_cnt[3213][0]~q\ $ (VCC))) # (!\led_flash_cnt[3213][1]~q\ & (\led_flash_cnt[3213][0]~q\ & VCC))
-- \led_flash_cnt[3213][1]~71863\ = CARRY((\led_flash_cnt[3213][1]~q\ & \led_flash_cnt[3213][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3213][1]~q\,
	datab => \led_flash_cnt[3213][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3213][1]~71862_combout\,
	cout => \led_flash_cnt[3213][1]~71863\);

-- Location: FF_X27_Y1_N1
\led_flash_cnt[3213][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3213][1]~71862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3213][1]~q\);

-- Location: LCCOMB_X27_Y1_N2
\led_flash_cnt[3213][2]~71864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3213][2]~71864_combout\ = (\led_flash_cnt[3213][2]~q\ & (!\led_flash_cnt[3213][1]~71863\)) # (!\led_flash_cnt[3213][2]~q\ & ((\led_flash_cnt[3213][1]~71863\) # (GND)))
-- \led_flash_cnt[3213][2]~71865\ = CARRY((!\led_flash_cnt[3213][1]~71863\) # (!\led_flash_cnt[3213][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3213][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3213][1]~71863\,
	combout => \led_flash_cnt[3213][2]~71864_combout\,
	cout => \led_flash_cnt[3213][2]~71865\);

-- Location: FF_X27_Y1_N3
\led_flash_cnt[3213][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3213][2]~71864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3213][2]~q\);

-- Location: LCCOMB_X27_Y1_N4
\led_flash_cnt[3213][3]~71866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3213][3]~71866_combout\ = (\led_flash_cnt[3213][3]~q\ & (\led_flash_cnt[3213][2]~71865\ $ (GND))) # (!\led_flash_cnt[3213][3]~q\ & (!\led_flash_cnt[3213][2]~71865\ & VCC))
-- \led_flash_cnt[3213][3]~71867\ = CARRY((\led_flash_cnt[3213][3]~q\ & !\led_flash_cnt[3213][2]~71865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3213][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3213][2]~71865\,
	combout => \led_flash_cnt[3213][3]~71866_combout\,
	cout => \led_flash_cnt[3213][3]~71867\);

-- Location: FF_X27_Y1_N5
\led_flash_cnt[3213][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3213][3]~71866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3213][3]~q\);

-- Location: LCCOMB_X27_Y1_N6
\led_flash_cnt[3213][4]~71868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3213][4]~71868_combout\ = (\led_flash_cnt[3213][4]~q\ & (!\led_flash_cnt[3213][3]~71867\)) # (!\led_flash_cnt[3213][4]~q\ & ((\led_flash_cnt[3213][3]~71867\) # (GND)))
-- \led_flash_cnt[3213][4]~71869\ = CARRY((!\led_flash_cnt[3213][3]~71867\) # (!\led_flash_cnt[3213][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3213][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3213][3]~71867\,
	combout => \led_flash_cnt[3213][4]~71868_combout\,
	cout => \led_flash_cnt[3213][4]~71869\);

-- Location: FF_X27_Y1_N7
\led_flash_cnt[3213][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3213][4]~71868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3213][4]~q\);

-- Location: LCCOMB_X27_Y1_N8
\led_flash_cnt[3213][5]~71870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3213][5]~71870_combout\ = (\led_flash_cnt[3213][5]~q\ & (\led_flash_cnt[3213][4]~71869\ $ (GND))) # (!\led_flash_cnt[3213][5]~q\ & (!\led_flash_cnt[3213][4]~71869\ & VCC))
-- \led_flash_cnt[3213][5]~71871\ = CARRY((\led_flash_cnt[3213][5]~q\ & !\led_flash_cnt[3213][4]~71869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3213][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3213][4]~71869\,
	combout => \led_flash_cnt[3213][5]~71870_combout\,
	cout => \led_flash_cnt[3213][5]~71871\);

-- Location: FF_X27_Y1_N9
\led_flash_cnt[3213][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3213][5]~71870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3213][5]~q\);

-- Location: LCCOMB_X27_Y1_N10
\led_flash_cnt[3213][6]~71872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3213][6]~71872_combout\ = (\led_flash_cnt[3213][6]~q\ & (!\led_flash_cnt[3213][5]~71871\)) # (!\led_flash_cnt[3213][6]~q\ & ((\led_flash_cnt[3213][5]~71871\) # (GND)))
-- \led_flash_cnt[3213][6]~71873\ = CARRY((!\led_flash_cnt[3213][5]~71871\) # (!\led_flash_cnt[3213][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3213][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3213][5]~71871\,
	combout => \led_flash_cnt[3213][6]~71872_combout\,
	cout => \led_flash_cnt[3213][6]~71873\);

-- Location: FF_X27_Y1_N11
\led_flash_cnt[3213][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3213][6]~71872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3213][6]~q\);

-- Location: LCCOMB_X27_Y1_N12
\led_flash_cnt[3213][7]~71874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3213][7]~71874_combout\ = \led_flash_cnt[3213][6]~71873\ $ (!\led_flash_cnt[3213][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3213][7]~q\,
	cin => \led_flash_cnt[3213][6]~71873\,
	combout => \led_flash_cnt[3213][7]~71874_combout\);

-- Location: FF_X27_Y1_N13
\led_flash_cnt[3213][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3213][7]~71874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3213][7]~q\);

-- Location: LCCOMB_X27_Y1_N20
\WideAnd3213~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3213~0_combout\ = (\led_flash_cnt[3213][4]~q\ & (\led_flash_cnt[3213][1]~q\ & (\led_flash_cnt[3213][3]~q\ & \led_flash_cnt[3213][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3213][4]~q\,
	datab => \led_flash_cnt[3213][1]~q\,
	datac => \led_flash_cnt[3213][3]~q\,
	datad => \led_flash_cnt[3213][2]~q\,
	combout => \WideAnd3213~0_combout\);

-- Location: LCCOMB_X27_Y1_N26
\WideAnd3213~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3213~1_combout\ = (\led_flash_cnt[3213][5]~q\ & \led_flash_cnt[3213][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3213][5]~q\,
	datad => \led_flash_cnt[3213][6]~q\,
	combout => \WideAnd3213~1_combout\);

-- Location: LCCOMB_X27_Y1_N22
WideAnd3213 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3213~combout\ = (\led_flash_cnt[3213][7]~q\ & (\WideAnd3213~0_combout\ & (\WideAnd3213~1_combout\ & \led_flash_cnt[3213][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3213][7]~q\,
	datab => \WideAnd3213~0_combout\,
	datac => \WideAnd3213~1_combout\,
	datad => \led_flash_cnt[3213][0]~q\,
	combout => \WideAnd3213~combout\);

-- Location: FF_X27_Y1_N23
\led_flash_cnt_ands[3213]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3213~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3213));

-- Location: LCCOMB_X23_Y21_N12
\led_flash_cnt[3212][0]~83852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3212][0]~83852_combout\ = !\led_flash_cnt[3212][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3212][0]~q\,
	combout => \led_flash_cnt[3212][0]~83852_combout\);

-- Location: FF_X23_Y21_N13
\led_flash_cnt[3212][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3212][0]~83852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3212][0]~q\);

-- Location: LCCOMB_X23_Y21_N18
\led_flash_cnt[3212][1]~71848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3212][1]~71848_combout\ = (\led_flash_cnt[3212][0]~q\ & (\led_flash_cnt[3212][1]~q\ $ (VCC))) # (!\led_flash_cnt[3212][0]~q\ & (\led_flash_cnt[3212][1]~q\ & VCC))
-- \led_flash_cnt[3212][1]~71849\ = CARRY((\led_flash_cnt[3212][0]~q\ & \led_flash_cnt[3212][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3212][0]~q\,
	datab => \led_flash_cnt[3212][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3212][1]~71848_combout\,
	cout => \led_flash_cnt[3212][1]~71849\);

-- Location: FF_X23_Y21_N19
\led_flash_cnt[3212][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3212][1]~71848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3212][1]~q\);

-- Location: LCCOMB_X23_Y21_N20
\led_flash_cnt[3212][2]~71850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3212][2]~71850_combout\ = (\led_flash_cnt[3212][2]~q\ & (!\led_flash_cnt[3212][1]~71849\)) # (!\led_flash_cnt[3212][2]~q\ & ((\led_flash_cnt[3212][1]~71849\) # (GND)))
-- \led_flash_cnt[3212][2]~71851\ = CARRY((!\led_flash_cnt[3212][1]~71849\) # (!\led_flash_cnt[3212][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3212][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3212][1]~71849\,
	combout => \led_flash_cnt[3212][2]~71850_combout\,
	cout => \led_flash_cnt[3212][2]~71851\);

-- Location: FF_X23_Y21_N21
\led_flash_cnt[3212][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3212][2]~71850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3212][2]~q\);

-- Location: LCCOMB_X23_Y21_N22
\led_flash_cnt[3212][3]~71852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3212][3]~71852_combout\ = (\led_flash_cnt[3212][3]~q\ & (\led_flash_cnt[3212][2]~71851\ $ (GND))) # (!\led_flash_cnt[3212][3]~q\ & (!\led_flash_cnt[3212][2]~71851\ & VCC))
-- \led_flash_cnt[3212][3]~71853\ = CARRY((\led_flash_cnt[3212][3]~q\ & !\led_flash_cnt[3212][2]~71851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3212][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3212][2]~71851\,
	combout => \led_flash_cnt[3212][3]~71852_combout\,
	cout => \led_flash_cnt[3212][3]~71853\);

-- Location: FF_X23_Y21_N23
\led_flash_cnt[3212][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3212][3]~71852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3212][3]~q\);

-- Location: LCCOMB_X23_Y21_N24
\led_flash_cnt[3212][4]~71854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3212][4]~71854_combout\ = (\led_flash_cnt[3212][4]~q\ & (!\led_flash_cnt[3212][3]~71853\)) # (!\led_flash_cnt[3212][4]~q\ & ((\led_flash_cnt[3212][3]~71853\) # (GND)))
-- \led_flash_cnt[3212][4]~71855\ = CARRY((!\led_flash_cnt[3212][3]~71853\) # (!\led_flash_cnt[3212][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3212][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3212][3]~71853\,
	combout => \led_flash_cnt[3212][4]~71854_combout\,
	cout => \led_flash_cnt[3212][4]~71855\);

-- Location: FF_X23_Y21_N25
\led_flash_cnt[3212][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3212][4]~71854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3212][4]~q\);

-- Location: LCCOMB_X23_Y21_N26
\led_flash_cnt[3212][5]~71856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3212][5]~71856_combout\ = (\led_flash_cnt[3212][5]~q\ & (\led_flash_cnt[3212][4]~71855\ $ (GND))) # (!\led_flash_cnt[3212][5]~q\ & (!\led_flash_cnt[3212][4]~71855\ & VCC))
-- \led_flash_cnt[3212][5]~71857\ = CARRY((\led_flash_cnt[3212][5]~q\ & !\led_flash_cnt[3212][4]~71855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3212][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3212][4]~71855\,
	combout => \led_flash_cnt[3212][5]~71856_combout\,
	cout => \led_flash_cnt[3212][5]~71857\);

-- Location: FF_X23_Y21_N27
\led_flash_cnt[3212][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3212][5]~71856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3212][5]~q\);

-- Location: LCCOMB_X23_Y21_N28
\led_flash_cnt[3212][6]~71858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3212][6]~71858_combout\ = (\led_flash_cnt[3212][6]~q\ & (!\led_flash_cnt[3212][5]~71857\)) # (!\led_flash_cnt[3212][6]~q\ & ((\led_flash_cnt[3212][5]~71857\) # (GND)))
-- \led_flash_cnt[3212][6]~71859\ = CARRY((!\led_flash_cnt[3212][5]~71857\) # (!\led_flash_cnt[3212][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3212][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3212][5]~71857\,
	combout => \led_flash_cnt[3212][6]~71858_combout\,
	cout => \led_flash_cnt[3212][6]~71859\);

-- Location: FF_X23_Y21_N29
\led_flash_cnt[3212][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3212][6]~71858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3212][6]~q\);

-- Location: LCCOMB_X23_Y21_N30
\led_flash_cnt[3212][7]~71860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3212][7]~71860_combout\ = \led_flash_cnt[3212][7]~q\ $ (!\led_flash_cnt[3212][6]~71859\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3212][7]~q\,
	cin => \led_flash_cnt[3212][6]~71859\,
	combout => \led_flash_cnt[3212][7]~71860_combout\);

-- Location: FF_X23_Y21_N31
\led_flash_cnt[3212][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3212][7]~71860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3212][7]~q\);

-- Location: LCCOMB_X23_Y21_N4
\WideAnd3212~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3212~0_combout\ = (\led_flash_cnt[3212][1]~q\ & (\led_flash_cnt[3212][2]~q\ & (\led_flash_cnt[3212][3]~q\ & \led_flash_cnt[3212][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3212][1]~q\,
	datab => \led_flash_cnt[3212][2]~q\,
	datac => \led_flash_cnt[3212][3]~q\,
	datad => \led_flash_cnt[3212][4]~q\,
	combout => \WideAnd3212~0_combout\);

-- Location: LCCOMB_X23_Y21_N8
\WideAnd3212~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3212~1_combout\ = (\led_flash_cnt[3212][5]~q\ & \led_flash_cnt[3212][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3212][5]~q\,
	datad => \led_flash_cnt[3212][6]~q\,
	combout => \WideAnd3212~1_combout\);

-- Location: LCCOMB_X23_Y21_N10
WideAnd3212 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3212~combout\ = (\led_flash_cnt[3212][7]~q\ & (\WideAnd3212~0_combout\ & (\WideAnd3212~1_combout\ & \led_flash_cnt[3212][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3212][7]~q\,
	datab => \WideAnd3212~0_combout\,
	datac => \WideAnd3212~1_combout\,
	datad => \led_flash_cnt[3212][0]~q\,
	combout => \WideAnd3212~combout\);

-- Location: FF_X23_Y21_N11
\led_flash_cnt_ands[3212]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3212~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3212));

-- Location: LCCOMB_X23_Y21_N6
\WideAnd4241~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4241~1_combout\ = (led_flash_cnt_ands(3213) & led_flash_cnt_ands(3212))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3213),
	datad => led_flash_cnt_ands(3212),
	combout => \WideAnd4241~1_combout\);

-- Location: LCCOMB_X25_Y17_N30
\led_flash_cnt[3215][0]~83855\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3215][0]~83855_combout\ = !\led_flash_cnt[3215][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3215][0]~q\,
	combout => \led_flash_cnt[3215][0]~83855_combout\);

-- Location: FF_X25_Y17_N31
\led_flash_cnt[3215][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3215][0]~83855_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3215][0]~q\);

-- Location: LCCOMB_X25_Y12_N16
\led_flash_cnt[3215][1]~71890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3215][1]~71890_combout\ = (\led_flash_cnt[3215][0]~q\ & (\led_flash_cnt[3215][1]~q\ $ (VCC))) # (!\led_flash_cnt[3215][0]~q\ & (\led_flash_cnt[3215][1]~q\ & VCC))
-- \led_flash_cnt[3215][1]~71891\ = CARRY((\led_flash_cnt[3215][0]~q\ & \led_flash_cnt[3215][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3215][0]~q\,
	datab => \led_flash_cnt[3215][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3215][1]~71890_combout\,
	cout => \led_flash_cnt[3215][1]~71891\);

-- Location: FF_X25_Y12_N17
\led_flash_cnt[3215][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3215][1]~71890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3215][1]~q\);

-- Location: LCCOMB_X25_Y12_N18
\led_flash_cnt[3215][2]~71892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3215][2]~71892_combout\ = (\led_flash_cnt[3215][2]~q\ & (!\led_flash_cnt[3215][1]~71891\)) # (!\led_flash_cnt[3215][2]~q\ & ((\led_flash_cnt[3215][1]~71891\) # (GND)))
-- \led_flash_cnt[3215][2]~71893\ = CARRY((!\led_flash_cnt[3215][1]~71891\) # (!\led_flash_cnt[3215][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3215][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3215][1]~71891\,
	combout => \led_flash_cnt[3215][2]~71892_combout\,
	cout => \led_flash_cnt[3215][2]~71893\);

-- Location: FF_X25_Y12_N19
\led_flash_cnt[3215][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3215][2]~71892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3215][2]~q\);

-- Location: LCCOMB_X25_Y12_N20
\led_flash_cnt[3215][3]~71894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3215][3]~71894_combout\ = (\led_flash_cnt[3215][3]~q\ & (\led_flash_cnt[3215][2]~71893\ $ (GND))) # (!\led_flash_cnt[3215][3]~q\ & (!\led_flash_cnt[3215][2]~71893\ & VCC))
-- \led_flash_cnt[3215][3]~71895\ = CARRY((\led_flash_cnt[3215][3]~q\ & !\led_flash_cnt[3215][2]~71893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3215][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3215][2]~71893\,
	combout => \led_flash_cnt[3215][3]~71894_combout\,
	cout => \led_flash_cnt[3215][3]~71895\);

-- Location: FF_X25_Y12_N21
\led_flash_cnt[3215][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3215][3]~71894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3215][3]~q\);

-- Location: LCCOMB_X25_Y12_N22
\led_flash_cnt[3215][4]~71896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3215][4]~71896_combout\ = (\led_flash_cnt[3215][4]~q\ & (!\led_flash_cnt[3215][3]~71895\)) # (!\led_flash_cnt[3215][4]~q\ & ((\led_flash_cnt[3215][3]~71895\) # (GND)))
-- \led_flash_cnt[3215][4]~71897\ = CARRY((!\led_flash_cnt[3215][3]~71895\) # (!\led_flash_cnt[3215][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3215][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3215][3]~71895\,
	combout => \led_flash_cnt[3215][4]~71896_combout\,
	cout => \led_flash_cnt[3215][4]~71897\);

-- Location: FF_X25_Y12_N23
\led_flash_cnt[3215][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3215][4]~71896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3215][4]~q\);

-- Location: LCCOMB_X25_Y12_N24
\led_flash_cnt[3215][5]~71898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3215][5]~71898_combout\ = (\led_flash_cnt[3215][5]~q\ & (\led_flash_cnt[3215][4]~71897\ $ (GND))) # (!\led_flash_cnt[3215][5]~q\ & (!\led_flash_cnt[3215][4]~71897\ & VCC))
-- \led_flash_cnt[3215][5]~71899\ = CARRY((\led_flash_cnt[3215][5]~q\ & !\led_flash_cnt[3215][4]~71897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3215][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3215][4]~71897\,
	combout => \led_flash_cnt[3215][5]~71898_combout\,
	cout => \led_flash_cnt[3215][5]~71899\);

-- Location: FF_X25_Y12_N25
\led_flash_cnt[3215][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3215][5]~71898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3215][5]~q\);

-- Location: LCCOMB_X25_Y12_N26
\led_flash_cnt[3215][6]~71900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3215][6]~71900_combout\ = (\led_flash_cnt[3215][6]~q\ & (!\led_flash_cnt[3215][5]~71899\)) # (!\led_flash_cnt[3215][6]~q\ & ((\led_flash_cnt[3215][5]~71899\) # (GND)))
-- \led_flash_cnt[3215][6]~71901\ = CARRY((!\led_flash_cnt[3215][5]~71899\) # (!\led_flash_cnt[3215][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3215][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3215][5]~71899\,
	combout => \led_flash_cnt[3215][6]~71900_combout\,
	cout => \led_flash_cnt[3215][6]~71901\);

-- Location: FF_X25_Y12_N27
\led_flash_cnt[3215][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3215][6]~71900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3215][6]~q\);

-- Location: LCCOMB_X24_Y12_N20
\WideAnd3215~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3215~1_combout\ = (\led_flash_cnt[3215][6]~q\ & \led_flash_cnt[3215][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3215][6]~q\,
	datad => \led_flash_cnt[3215][5]~q\,
	combout => \WideAnd3215~1_combout\);

-- Location: LCCOMB_X25_Y12_N30
\WideAnd3215~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3215~0_combout\ = (\led_flash_cnt[3215][2]~q\ & (\led_flash_cnt[3215][3]~q\ & (\led_flash_cnt[3215][4]~q\ & \led_flash_cnt[3215][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3215][2]~q\,
	datab => \led_flash_cnt[3215][3]~q\,
	datac => \led_flash_cnt[3215][4]~q\,
	datad => \led_flash_cnt[3215][1]~q\,
	combout => \WideAnd3215~0_combout\);

-- Location: LCCOMB_X25_Y12_N28
\led_flash_cnt[3215][7]~71902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3215][7]~71902_combout\ = \led_flash_cnt[3215][6]~71901\ $ (!\led_flash_cnt[3215][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3215][7]~q\,
	cin => \led_flash_cnt[3215][6]~71901\,
	combout => \led_flash_cnt[3215][7]~71902_combout\);

-- Location: FF_X25_Y12_N29
\led_flash_cnt[3215][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3215][7]~71902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3215][7]~q\);

-- Location: LCCOMB_X25_Y12_N14
WideAnd3215 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3215~combout\ = (\led_flash_cnt[3215][0]~q\ & (\WideAnd3215~1_combout\ & (\WideAnd3215~0_combout\ & \led_flash_cnt[3215][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3215][0]~q\,
	datab => \WideAnd3215~1_combout\,
	datac => \WideAnd3215~0_combout\,
	datad => \led_flash_cnt[3215][7]~q\,
	combout => \WideAnd3215~combout\);

-- Location: FF_X25_Y12_N15
\led_flash_cnt_ands[3215]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3215~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3215));

-- Location: LCCOMB_X23_Y21_N2
\led_flash_cnt[3214][0]~83854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3214][0]~83854_combout\ = !\led_flash_cnt[3214][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3214][0]~q\,
	combout => \led_flash_cnt[3214][0]~83854_combout\);

-- Location: FF_X23_Y21_N3
\led_flash_cnt[3214][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3214][0]~83854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3214][0]~q\);

-- Location: LCCOMB_X22_Y21_N0
\led_flash_cnt[3214][1]~71876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3214][1]~71876_combout\ = (\led_flash_cnt[3214][0]~q\ & (\led_flash_cnt[3214][1]~q\ $ (VCC))) # (!\led_flash_cnt[3214][0]~q\ & (\led_flash_cnt[3214][1]~q\ & VCC))
-- \led_flash_cnt[3214][1]~71877\ = CARRY((\led_flash_cnt[3214][0]~q\ & \led_flash_cnt[3214][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3214][0]~q\,
	datab => \led_flash_cnt[3214][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3214][1]~71876_combout\,
	cout => \led_flash_cnt[3214][1]~71877\);

-- Location: FF_X22_Y21_N1
\led_flash_cnt[3214][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3214][1]~71876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3214][1]~q\);

-- Location: LCCOMB_X22_Y21_N2
\led_flash_cnt[3214][2]~71878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3214][2]~71878_combout\ = (\led_flash_cnt[3214][2]~q\ & (!\led_flash_cnt[3214][1]~71877\)) # (!\led_flash_cnt[3214][2]~q\ & ((\led_flash_cnt[3214][1]~71877\) # (GND)))
-- \led_flash_cnt[3214][2]~71879\ = CARRY((!\led_flash_cnt[3214][1]~71877\) # (!\led_flash_cnt[3214][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3214][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3214][1]~71877\,
	combout => \led_flash_cnt[3214][2]~71878_combout\,
	cout => \led_flash_cnt[3214][2]~71879\);

-- Location: FF_X22_Y21_N3
\led_flash_cnt[3214][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3214][2]~71878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3214][2]~q\);

-- Location: LCCOMB_X22_Y21_N4
\led_flash_cnt[3214][3]~71880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3214][3]~71880_combout\ = (\led_flash_cnt[3214][3]~q\ & (\led_flash_cnt[3214][2]~71879\ $ (GND))) # (!\led_flash_cnt[3214][3]~q\ & (!\led_flash_cnt[3214][2]~71879\ & VCC))
-- \led_flash_cnt[3214][3]~71881\ = CARRY((\led_flash_cnt[3214][3]~q\ & !\led_flash_cnt[3214][2]~71879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3214][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3214][2]~71879\,
	combout => \led_flash_cnt[3214][3]~71880_combout\,
	cout => \led_flash_cnt[3214][3]~71881\);

-- Location: FF_X22_Y21_N5
\led_flash_cnt[3214][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3214][3]~71880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3214][3]~q\);

-- Location: LCCOMB_X22_Y21_N6
\led_flash_cnt[3214][4]~71882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3214][4]~71882_combout\ = (\led_flash_cnt[3214][4]~q\ & (!\led_flash_cnt[3214][3]~71881\)) # (!\led_flash_cnt[3214][4]~q\ & ((\led_flash_cnt[3214][3]~71881\) # (GND)))
-- \led_flash_cnt[3214][4]~71883\ = CARRY((!\led_flash_cnt[3214][3]~71881\) # (!\led_flash_cnt[3214][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3214][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3214][3]~71881\,
	combout => \led_flash_cnt[3214][4]~71882_combout\,
	cout => \led_flash_cnt[3214][4]~71883\);

-- Location: FF_X22_Y21_N7
\led_flash_cnt[3214][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3214][4]~71882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3214][4]~q\);

-- Location: LCCOMB_X22_Y21_N8
\led_flash_cnt[3214][5]~71884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3214][5]~71884_combout\ = (\led_flash_cnt[3214][5]~q\ & (\led_flash_cnt[3214][4]~71883\ $ (GND))) # (!\led_flash_cnt[3214][5]~q\ & (!\led_flash_cnt[3214][4]~71883\ & VCC))
-- \led_flash_cnt[3214][5]~71885\ = CARRY((\led_flash_cnt[3214][5]~q\ & !\led_flash_cnt[3214][4]~71883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3214][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3214][4]~71883\,
	combout => \led_flash_cnt[3214][5]~71884_combout\,
	cout => \led_flash_cnt[3214][5]~71885\);

-- Location: FF_X22_Y21_N9
\led_flash_cnt[3214][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3214][5]~71884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3214][5]~q\);

-- Location: LCCOMB_X22_Y21_N10
\led_flash_cnt[3214][6]~71886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3214][6]~71886_combout\ = (\led_flash_cnt[3214][6]~q\ & (!\led_flash_cnt[3214][5]~71885\)) # (!\led_flash_cnt[3214][6]~q\ & ((\led_flash_cnt[3214][5]~71885\) # (GND)))
-- \led_flash_cnt[3214][6]~71887\ = CARRY((!\led_flash_cnt[3214][5]~71885\) # (!\led_flash_cnt[3214][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3214][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3214][5]~71885\,
	combout => \led_flash_cnt[3214][6]~71886_combout\,
	cout => \led_flash_cnt[3214][6]~71887\);

-- Location: FF_X22_Y21_N11
\led_flash_cnt[3214][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3214][6]~71886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3214][6]~q\);

-- Location: LCCOMB_X22_Y21_N12
\led_flash_cnt[3214][7]~71888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3214][7]~71888_combout\ = \led_flash_cnt[3214][6]~71887\ $ (!\led_flash_cnt[3214][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3214][7]~q\,
	cin => \led_flash_cnt[3214][6]~71887\,
	combout => \led_flash_cnt[3214][7]~71888_combout\);

-- Location: FF_X22_Y21_N13
\led_flash_cnt[3214][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3214][7]~71888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3214][7]~q\);

-- Location: LCCOMB_X22_Y21_N14
\WideAnd3214~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3214~0_combout\ = (\led_flash_cnt[3214][4]~q\ & (\led_flash_cnt[3214][2]~q\ & (\led_flash_cnt[3214][3]~q\ & \led_flash_cnt[3214][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3214][4]~q\,
	datab => \led_flash_cnt[3214][2]~q\,
	datac => \led_flash_cnt[3214][3]~q\,
	datad => \led_flash_cnt[3214][1]~q\,
	combout => \WideAnd3214~0_combout\);

-- Location: LCCOMB_X23_Y21_N16
\WideAnd3214~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3214~1_combout\ = (\led_flash_cnt[3214][6]~q\ & \led_flash_cnt[3214][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3214][6]~q\,
	datad => \led_flash_cnt[3214][5]~q\,
	combout => \WideAnd3214~1_combout\);

-- Location: LCCOMB_X23_Y21_N14
WideAnd3214 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3214~combout\ = (\led_flash_cnt[3214][7]~q\ & (\led_flash_cnt[3214][0]~q\ & (\WideAnd3214~0_combout\ & \WideAnd3214~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3214][7]~q\,
	datab => \led_flash_cnt[3214][0]~q\,
	datac => \WideAnd3214~0_combout\,
	datad => \WideAnd3214~1_combout\,
	combout => \WideAnd3214~combout\);

-- Location: FF_X23_Y21_N15
\led_flash_cnt_ands[3214]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3214~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3214));

-- Location: LCCOMB_X24_Y21_N20
WideAnd4241 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4241~combout\ = (\WideAnd4241~0_combout\ & (\WideAnd4241~1_combout\ & (led_flash_cnt_ands(3215) & led_flash_cnt_ands(3214))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4241~0_combout\,
	datab => \WideAnd4241~1_combout\,
	datac => led_flash_cnt_ands(3215),
	datad => led_flash_cnt_ands(3214),
	combout => \WideAnd4241~combout\);

-- Location: FF_X24_Y21_N21
\led_flash_cnt_ands_1[401]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4241~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(401));

-- Location: LCCOMB_X24_Y6_N2
\led_flash_cnt[3218][0]~83858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3218][0]~83858_combout\ = !\led_flash_cnt[3218][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3218][0]~q\,
	combout => \led_flash_cnt[3218][0]~83858_combout\);

-- Location: FF_X24_Y6_N3
\led_flash_cnt[3218][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3218][0]~83858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3218][0]~q\);

-- Location: LCCOMB_X23_Y6_N2
\led_flash_cnt[3218][1]~71932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3218][1]~71932_combout\ = (\led_flash_cnt[3218][0]~q\ & (\led_flash_cnt[3218][1]~q\ $ (VCC))) # (!\led_flash_cnt[3218][0]~q\ & (\led_flash_cnt[3218][1]~q\ & VCC))
-- \led_flash_cnt[3218][1]~71933\ = CARRY((\led_flash_cnt[3218][0]~q\ & \led_flash_cnt[3218][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3218][0]~q\,
	datab => \led_flash_cnt[3218][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3218][1]~71932_combout\,
	cout => \led_flash_cnt[3218][1]~71933\);

-- Location: FF_X23_Y6_N3
\led_flash_cnt[3218][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3218][1]~71932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3218][1]~q\);

-- Location: LCCOMB_X23_Y6_N4
\led_flash_cnt[3218][2]~71934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3218][2]~71934_combout\ = (\led_flash_cnt[3218][2]~q\ & (!\led_flash_cnt[3218][1]~71933\)) # (!\led_flash_cnt[3218][2]~q\ & ((\led_flash_cnt[3218][1]~71933\) # (GND)))
-- \led_flash_cnt[3218][2]~71935\ = CARRY((!\led_flash_cnt[3218][1]~71933\) # (!\led_flash_cnt[3218][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3218][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3218][1]~71933\,
	combout => \led_flash_cnt[3218][2]~71934_combout\,
	cout => \led_flash_cnt[3218][2]~71935\);

-- Location: FF_X23_Y6_N5
\led_flash_cnt[3218][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3218][2]~71934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3218][2]~q\);

-- Location: LCCOMB_X23_Y6_N6
\led_flash_cnt[3218][3]~71936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3218][3]~71936_combout\ = (\led_flash_cnt[3218][3]~q\ & (\led_flash_cnt[3218][2]~71935\ $ (GND))) # (!\led_flash_cnt[3218][3]~q\ & (!\led_flash_cnt[3218][2]~71935\ & VCC))
-- \led_flash_cnt[3218][3]~71937\ = CARRY((\led_flash_cnt[3218][3]~q\ & !\led_flash_cnt[3218][2]~71935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3218][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3218][2]~71935\,
	combout => \led_flash_cnt[3218][3]~71936_combout\,
	cout => \led_flash_cnt[3218][3]~71937\);

-- Location: FF_X23_Y6_N7
\led_flash_cnt[3218][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3218][3]~71936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3218][3]~q\);

-- Location: LCCOMB_X23_Y6_N8
\led_flash_cnt[3218][4]~71938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3218][4]~71938_combout\ = (\led_flash_cnt[3218][4]~q\ & (!\led_flash_cnt[3218][3]~71937\)) # (!\led_flash_cnt[3218][4]~q\ & ((\led_flash_cnt[3218][3]~71937\) # (GND)))
-- \led_flash_cnt[3218][4]~71939\ = CARRY((!\led_flash_cnt[3218][3]~71937\) # (!\led_flash_cnt[3218][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3218][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3218][3]~71937\,
	combout => \led_flash_cnt[3218][4]~71938_combout\,
	cout => \led_flash_cnt[3218][4]~71939\);

-- Location: FF_X23_Y6_N9
\led_flash_cnt[3218][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3218][4]~71938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3218][4]~q\);

-- Location: LCCOMB_X23_Y6_N10
\led_flash_cnt[3218][5]~71940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3218][5]~71940_combout\ = (\led_flash_cnt[3218][5]~q\ & (\led_flash_cnt[3218][4]~71939\ $ (GND))) # (!\led_flash_cnt[3218][5]~q\ & (!\led_flash_cnt[3218][4]~71939\ & VCC))
-- \led_flash_cnt[3218][5]~71941\ = CARRY((\led_flash_cnt[3218][5]~q\ & !\led_flash_cnt[3218][4]~71939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3218][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3218][4]~71939\,
	combout => \led_flash_cnt[3218][5]~71940_combout\,
	cout => \led_flash_cnt[3218][5]~71941\);

-- Location: FF_X23_Y6_N11
\led_flash_cnt[3218][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3218][5]~71940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3218][5]~q\);

-- Location: LCCOMB_X23_Y6_N12
\led_flash_cnt[3218][6]~71942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3218][6]~71942_combout\ = (\led_flash_cnt[3218][6]~q\ & (!\led_flash_cnt[3218][5]~71941\)) # (!\led_flash_cnt[3218][6]~q\ & ((\led_flash_cnt[3218][5]~71941\) # (GND)))
-- \led_flash_cnt[3218][6]~71943\ = CARRY((!\led_flash_cnt[3218][5]~71941\) # (!\led_flash_cnt[3218][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3218][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3218][5]~71941\,
	combout => \led_flash_cnt[3218][6]~71942_combout\,
	cout => \led_flash_cnt[3218][6]~71943\);

-- Location: FF_X23_Y6_N13
\led_flash_cnt[3218][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3218][6]~71942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3218][6]~q\);

-- Location: LCCOMB_X23_Y6_N14
\led_flash_cnt[3218][7]~71944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3218][7]~71944_combout\ = \led_flash_cnt[3218][7]~q\ $ (!\led_flash_cnt[3218][6]~71943\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3218][7]~q\,
	cin => \led_flash_cnt[3218][6]~71943\,
	combout => \led_flash_cnt[3218][7]~71944_combout\);

-- Location: FF_X23_Y6_N15
\led_flash_cnt[3218][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3218][7]~71944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3218][7]~q\);

-- Location: LCCOMB_X23_Y6_N0
\WideAnd3218~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3218~0_combout\ = (\led_flash_cnt[3218][3]~q\ & (\led_flash_cnt[3218][4]~q\ & (\led_flash_cnt[3218][2]~q\ & \led_flash_cnt[3218][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3218][3]~q\,
	datab => \led_flash_cnt[3218][4]~q\,
	datac => \led_flash_cnt[3218][2]~q\,
	datad => \led_flash_cnt[3218][1]~q\,
	combout => \WideAnd3218~0_combout\);

-- Location: LCCOMB_X24_Y6_N12
\WideAnd3218~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3218~1_combout\ = (\led_flash_cnt[3218][6]~q\ & \led_flash_cnt[3218][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3218][6]~q\,
	datad => \led_flash_cnt[3218][5]~q\,
	combout => \WideAnd3218~1_combout\);

-- Location: LCCOMB_X24_Y6_N8
WideAnd3218 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3218~combout\ = (\led_flash_cnt[3218][7]~q\ & (\led_flash_cnt[3218][0]~q\ & (\WideAnd3218~0_combout\ & \WideAnd3218~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3218][7]~q\,
	datab => \led_flash_cnt[3218][0]~q\,
	datac => \WideAnd3218~0_combout\,
	datad => \WideAnd3218~1_combout\,
	combout => \WideAnd3218~combout\);

-- Location: FF_X24_Y6_N9
\led_flash_cnt_ands[3218]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3218~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3218));

-- Location: LCCOMB_X25_Y4_N0
\led_flash_cnt[3216][0]~83856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3216][0]~83856_combout\ = !\led_flash_cnt[3216][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3216][0]~q\,
	combout => \led_flash_cnt[3216][0]~83856_combout\);

-- Location: FF_X25_Y4_N1
\led_flash_cnt[3216][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3216][0]~83856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3216][0]~q\);

-- Location: LCCOMB_X25_Y4_N10
\led_flash_cnt[3216][1]~71904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3216][1]~71904_combout\ = (\led_flash_cnt[3216][1]~q\ & (\led_flash_cnt[3216][0]~q\ $ (VCC))) # (!\led_flash_cnt[3216][1]~q\ & (\led_flash_cnt[3216][0]~q\ & VCC))
-- \led_flash_cnt[3216][1]~71905\ = CARRY((\led_flash_cnt[3216][1]~q\ & \led_flash_cnt[3216][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3216][1]~q\,
	datab => \led_flash_cnt[3216][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3216][1]~71904_combout\,
	cout => \led_flash_cnt[3216][1]~71905\);

-- Location: FF_X25_Y4_N11
\led_flash_cnt[3216][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3216][1]~71904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3216][1]~q\);

-- Location: LCCOMB_X25_Y4_N12
\led_flash_cnt[3216][2]~71906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3216][2]~71906_combout\ = (\led_flash_cnt[3216][2]~q\ & (!\led_flash_cnt[3216][1]~71905\)) # (!\led_flash_cnt[3216][2]~q\ & ((\led_flash_cnt[3216][1]~71905\) # (GND)))
-- \led_flash_cnt[3216][2]~71907\ = CARRY((!\led_flash_cnt[3216][1]~71905\) # (!\led_flash_cnt[3216][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3216][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3216][1]~71905\,
	combout => \led_flash_cnt[3216][2]~71906_combout\,
	cout => \led_flash_cnt[3216][2]~71907\);

-- Location: FF_X25_Y4_N13
\led_flash_cnt[3216][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3216][2]~71906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3216][2]~q\);

-- Location: LCCOMB_X25_Y4_N14
\led_flash_cnt[3216][3]~71908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3216][3]~71908_combout\ = (\led_flash_cnt[3216][3]~q\ & (\led_flash_cnt[3216][2]~71907\ $ (GND))) # (!\led_flash_cnt[3216][3]~q\ & (!\led_flash_cnt[3216][2]~71907\ & VCC))
-- \led_flash_cnt[3216][3]~71909\ = CARRY((\led_flash_cnt[3216][3]~q\ & !\led_flash_cnt[3216][2]~71907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3216][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3216][2]~71907\,
	combout => \led_flash_cnt[3216][3]~71908_combout\,
	cout => \led_flash_cnt[3216][3]~71909\);

-- Location: FF_X25_Y4_N15
\led_flash_cnt[3216][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3216][3]~71908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3216][3]~q\);

-- Location: LCCOMB_X25_Y4_N16
\led_flash_cnt[3216][4]~71910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3216][4]~71910_combout\ = (\led_flash_cnt[3216][4]~q\ & (!\led_flash_cnt[3216][3]~71909\)) # (!\led_flash_cnt[3216][4]~q\ & ((\led_flash_cnt[3216][3]~71909\) # (GND)))
-- \led_flash_cnt[3216][4]~71911\ = CARRY((!\led_flash_cnt[3216][3]~71909\) # (!\led_flash_cnt[3216][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3216][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3216][3]~71909\,
	combout => \led_flash_cnt[3216][4]~71910_combout\,
	cout => \led_flash_cnt[3216][4]~71911\);

-- Location: FF_X25_Y4_N17
\led_flash_cnt[3216][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3216][4]~71910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3216][4]~q\);

-- Location: LCCOMB_X25_Y4_N18
\led_flash_cnt[3216][5]~71912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3216][5]~71912_combout\ = (\led_flash_cnt[3216][5]~q\ & (\led_flash_cnt[3216][4]~71911\ $ (GND))) # (!\led_flash_cnt[3216][5]~q\ & (!\led_flash_cnt[3216][4]~71911\ & VCC))
-- \led_flash_cnt[3216][5]~71913\ = CARRY((\led_flash_cnt[3216][5]~q\ & !\led_flash_cnt[3216][4]~71911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3216][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3216][4]~71911\,
	combout => \led_flash_cnt[3216][5]~71912_combout\,
	cout => \led_flash_cnt[3216][5]~71913\);

-- Location: FF_X25_Y4_N19
\led_flash_cnt[3216][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3216][5]~71912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3216][5]~q\);

-- Location: LCCOMB_X25_Y4_N20
\led_flash_cnt[3216][6]~71914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3216][6]~71914_combout\ = (\led_flash_cnt[3216][6]~q\ & (!\led_flash_cnt[3216][5]~71913\)) # (!\led_flash_cnt[3216][6]~q\ & ((\led_flash_cnt[3216][5]~71913\) # (GND)))
-- \led_flash_cnt[3216][6]~71915\ = CARRY((!\led_flash_cnt[3216][5]~71913\) # (!\led_flash_cnt[3216][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3216][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3216][5]~71913\,
	combout => \led_flash_cnt[3216][6]~71914_combout\,
	cout => \led_flash_cnt[3216][6]~71915\);

-- Location: FF_X25_Y4_N21
\led_flash_cnt[3216][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3216][6]~71914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3216][6]~q\);

-- Location: LCCOMB_X25_Y4_N26
\WideAnd3216~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3216~1_combout\ = (\led_flash_cnt[3216][5]~q\ & \led_flash_cnt[3216][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3216][5]~q\,
	datad => \led_flash_cnt[3216][6]~q\,
	combout => \WideAnd3216~1_combout\);

-- Location: LCCOMB_X25_Y4_N22
\led_flash_cnt[3216][7]~71916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3216][7]~71916_combout\ = \led_flash_cnt[3216][7]~q\ $ (!\led_flash_cnt[3216][6]~71915\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3216][7]~q\,
	cin => \led_flash_cnt[3216][6]~71915\,
	combout => \led_flash_cnt[3216][7]~71916_combout\);

-- Location: FF_X25_Y4_N23
\led_flash_cnt[3216][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3216][7]~71916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3216][7]~q\);

-- Location: LCCOMB_X25_Y4_N28
\WideAnd3216~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3216~0_combout\ = (\led_flash_cnt[3216][2]~q\ & (\led_flash_cnt[3216][4]~q\ & (\led_flash_cnt[3216][3]~q\ & \led_flash_cnt[3216][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3216][2]~q\,
	datab => \led_flash_cnt[3216][4]~q\,
	datac => \led_flash_cnt[3216][3]~q\,
	datad => \led_flash_cnt[3216][1]~q\,
	combout => \WideAnd3216~0_combout\);

-- Location: LCCOMB_X25_Y4_N2
WideAnd3216 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3216~combout\ = (\WideAnd3216~1_combout\ & (\led_flash_cnt[3216][0]~q\ & (\led_flash_cnt[3216][7]~q\ & \WideAnd3216~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3216~1_combout\,
	datab => \led_flash_cnt[3216][0]~q\,
	datac => \led_flash_cnt[3216][7]~q\,
	datad => \WideAnd3216~0_combout\,
	combout => \WideAnd3216~combout\);

-- Location: FF_X25_Y4_N3
\led_flash_cnt_ands[3216]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3216~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3216));

-- Location: LCCOMB_X24_Y6_N30
\led_flash_cnt[3219][0]~83859\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3219][0]~83859_combout\ = !\led_flash_cnt[3219][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3219][0]~q\,
	combout => \led_flash_cnt[3219][0]~83859_combout\);

-- Location: FF_X24_Y6_N31
\led_flash_cnt[3219][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3219][0]~83859_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3219][0]~q\);

-- Location: LCCOMB_X24_Y6_N14
\led_flash_cnt[3219][1]~71946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3219][1]~71946_combout\ = (\led_flash_cnt[3219][0]~q\ & (\led_flash_cnt[3219][1]~q\ $ (VCC))) # (!\led_flash_cnt[3219][0]~q\ & (\led_flash_cnt[3219][1]~q\ & VCC))
-- \led_flash_cnt[3219][1]~71947\ = CARRY((\led_flash_cnt[3219][0]~q\ & \led_flash_cnt[3219][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3219][0]~q\,
	datab => \led_flash_cnt[3219][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3219][1]~71946_combout\,
	cout => \led_flash_cnt[3219][1]~71947\);

-- Location: FF_X24_Y6_N15
\led_flash_cnt[3219][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3219][1]~71946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3219][1]~q\);

-- Location: LCCOMB_X24_Y6_N16
\led_flash_cnt[3219][2]~71948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3219][2]~71948_combout\ = (\led_flash_cnt[3219][2]~q\ & (!\led_flash_cnt[3219][1]~71947\)) # (!\led_flash_cnt[3219][2]~q\ & ((\led_flash_cnt[3219][1]~71947\) # (GND)))
-- \led_flash_cnt[3219][2]~71949\ = CARRY((!\led_flash_cnt[3219][1]~71947\) # (!\led_flash_cnt[3219][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3219][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3219][1]~71947\,
	combout => \led_flash_cnt[3219][2]~71948_combout\,
	cout => \led_flash_cnt[3219][2]~71949\);

-- Location: FF_X24_Y6_N17
\led_flash_cnt[3219][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3219][2]~71948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3219][2]~q\);

-- Location: LCCOMB_X24_Y6_N18
\led_flash_cnt[3219][3]~71950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3219][3]~71950_combout\ = (\led_flash_cnt[3219][3]~q\ & (\led_flash_cnt[3219][2]~71949\ $ (GND))) # (!\led_flash_cnt[3219][3]~q\ & (!\led_flash_cnt[3219][2]~71949\ & VCC))
-- \led_flash_cnt[3219][3]~71951\ = CARRY((\led_flash_cnt[3219][3]~q\ & !\led_flash_cnt[3219][2]~71949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3219][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3219][2]~71949\,
	combout => \led_flash_cnt[3219][3]~71950_combout\,
	cout => \led_flash_cnt[3219][3]~71951\);

-- Location: FF_X24_Y6_N19
\led_flash_cnt[3219][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3219][3]~71950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3219][3]~q\);

-- Location: LCCOMB_X24_Y6_N20
\led_flash_cnt[3219][4]~71952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3219][4]~71952_combout\ = (\led_flash_cnt[3219][4]~q\ & (!\led_flash_cnt[3219][3]~71951\)) # (!\led_flash_cnt[3219][4]~q\ & ((\led_flash_cnt[3219][3]~71951\) # (GND)))
-- \led_flash_cnt[3219][4]~71953\ = CARRY((!\led_flash_cnt[3219][3]~71951\) # (!\led_flash_cnt[3219][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3219][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3219][3]~71951\,
	combout => \led_flash_cnt[3219][4]~71952_combout\,
	cout => \led_flash_cnt[3219][4]~71953\);

-- Location: FF_X24_Y6_N21
\led_flash_cnt[3219][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3219][4]~71952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3219][4]~q\);

-- Location: LCCOMB_X24_Y6_N22
\led_flash_cnt[3219][5]~71954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3219][5]~71954_combout\ = (\led_flash_cnt[3219][5]~q\ & (\led_flash_cnt[3219][4]~71953\ $ (GND))) # (!\led_flash_cnt[3219][5]~q\ & (!\led_flash_cnt[3219][4]~71953\ & VCC))
-- \led_flash_cnt[3219][5]~71955\ = CARRY((\led_flash_cnt[3219][5]~q\ & !\led_flash_cnt[3219][4]~71953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3219][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3219][4]~71953\,
	combout => \led_flash_cnt[3219][5]~71954_combout\,
	cout => \led_flash_cnt[3219][5]~71955\);

-- Location: FF_X24_Y6_N23
\led_flash_cnt[3219][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3219][5]~71954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3219][5]~q\);

-- Location: LCCOMB_X24_Y6_N24
\led_flash_cnt[3219][6]~71956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3219][6]~71956_combout\ = (\led_flash_cnt[3219][6]~q\ & (!\led_flash_cnt[3219][5]~71955\)) # (!\led_flash_cnt[3219][6]~q\ & ((\led_flash_cnt[3219][5]~71955\) # (GND)))
-- \led_flash_cnt[3219][6]~71957\ = CARRY((!\led_flash_cnt[3219][5]~71955\) # (!\led_flash_cnt[3219][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3219][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3219][5]~71955\,
	combout => \led_flash_cnt[3219][6]~71956_combout\,
	cout => \led_flash_cnt[3219][6]~71957\);

-- Location: FF_X24_Y6_N25
\led_flash_cnt[3219][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3219][6]~71956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3219][6]~q\);

-- Location: LCCOMB_X24_Y6_N4
\WideAnd3219~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3219~1_combout\ = (\led_flash_cnt[3219][5]~q\ & \led_flash_cnt[3219][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3219][5]~q\,
	datad => \led_flash_cnt[3219][6]~q\,
	combout => \WideAnd3219~1_combout\);

-- Location: LCCOMB_X24_Y6_N26
\led_flash_cnt[3219][7]~71958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3219][7]~71958_combout\ = \led_flash_cnt[3219][7]~q\ $ (!\led_flash_cnt[3219][6]~71957\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3219][7]~q\,
	cin => \led_flash_cnt[3219][6]~71957\,
	combout => \led_flash_cnt[3219][7]~71958_combout\);

-- Location: FF_X24_Y6_N27
\led_flash_cnt[3219][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3219][7]~71958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3219][7]~q\);

-- Location: LCCOMB_X24_Y6_N10
\WideAnd3219~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3219~0_combout\ = (\led_flash_cnt[3219][2]~q\ & (\led_flash_cnt[3219][4]~q\ & (\led_flash_cnt[3219][1]~q\ & \led_flash_cnt[3219][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3219][2]~q\,
	datab => \led_flash_cnt[3219][4]~q\,
	datac => \led_flash_cnt[3219][1]~q\,
	datad => \led_flash_cnt[3219][3]~q\,
	combout => \WideAnd3219~0_combout\);

-- Location: LCCOMB_X24_Y6_N6
WideAnd3219 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3219~combout\ = (\led_flash_cnt[3219][0]~q\ & (\WideAnd3219~1_combout\ & (\led_flash_cnt[3219][7]~q\ & \WideAnd3219~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3219][0]~q\,
	datab => \WideAnd3219~1_combout\,
	datac => \led_flash_cnt[3219][7]~q\,
	datad => \WideAnd3219~0_combout\,
	combout => \WideAnd3219~combout\);

-- Location: FF_X24_Y6_N7
\led_flash_cnt_ands[3219]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3219~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3219));

-- Location: LCCOMB_X25_Y4_N30
\led_flash_cnt[3217][0]~83857\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3217][0]~83857_combout\ = !\led_flash_cnt[3217][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3217][0]~q\,
	combout => \led_flash_cnt[3217][0]~83857_combout\);

-- Location: FF_X25_Y4_N31
\led_flash_cnt[3217][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3217][0]~83857_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3217][0]~q\);

-- Location: LCCOMB_X24_Y4_N4
\led_flash_cnt[3217][1]~71918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3217][1]~71918_combout\ = (\led_flash_cnt[3217][0]~q\ & (\led_flash_cnt[3217][1]~q\ $ (VCC))) # (!\led_flash_cnt[3217][0]~q\ & (\led_flash_cnt[3217][1]~q\ & VCC))
-- \led_flash_cnt[3217][1]~71919\ = CARRY((\led_flash_cnt[3217][0]~q\ & \led_flash_cnt[3217][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3217][0]~q\,
	datab => \led_flash_cnt[3217][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3217][1]~71918_combout\,
	cout => \led_flash_cnt[3217][1]~71919\);

-- Location: FF_X24_Y4_N5
\led_flash_cnt[3217][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3217][1]~71918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3217][1]~q\);

-- Location: LCCOMB_X24_Y4_N6
\led_flash_cnt[3217][2]~71920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3217][2]~71920_combout\ = (\led_flash_cnt[3217][2]~q\ & (!\led_flash_cnt[3217][1]~71919\)) # (!\led_flash_cnt[3217][2]~q\ & ((\led_flash_cnt[3217][1]~71919\) # (GND)))
-- \led_flash_cnt[3217][2]~71921\ = CARRY((!\led_flash_cnt[3217][1]~71919\) # (!\led_flash_cnt[3217][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3217][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3217][1]~71919\,
	combout => \led_flash_cnt[3217][2]~71920_combout\,
	cout => \led_flash_cnt[3217][2]~71921\);

-- Location: FF_X24_Y4_N7
\led_flash_cnt[3217][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3217][2]~71920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3217][2]~q\);

-- Location: LCCOMB_X24_Y4_N8
\led_flash_cnt[3217][3]~71922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3217][3]~71922_combout\ = (\led_flash_cnt[3217][3]~q\ & (\led_flash_cnt[3217][2]~71921\ $ (GND))) # (!\led_flash_cnt[3217][3]~q\ & (!\led_flash_cnt[3217][2]~71921\ & VCC))
-- \led_flash_cnt[3217][3]~71923\ = CARRY((\led_flash_cnt[3217][3]~q\ & !\led_flash_cnt[3217][2]~71921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3217][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3217][2]~71921\,
	combout => \led_flash_cnt[3217][3]~71922_combout\,
	cout => \led_flash_cnt[3217][3]~71923\);

-- Location: FF_X24_Y4_N9
\led_flash_cnt[3217][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3217][3]~71922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3217][3]~q\);

-- Location: LCCOMB_X24_Y4_N10
\led_flash_cnt[3217][4]~71924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3217][4]~71924_combout\ = (\led_flash_cnt[3217][4]~q\ & (!\led_flash_cnt[3217][3]~71923\)) # (!\led_flash_cnt[3217][4]~q\ & ((\led_flash_cnt[3217][3]~71923\) # (GND)))
-- \led_flash_cnt[3217][4]~71925\ = CARRY((!\led_flash_cnt[3217][3]~71923\) # (!\led_flash_cnt[3217][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3217][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3217][3]~71923\,
	combout => \led_flash_cnt[3217][4]~71924_combout\,
	cout => \led_flash_cnt[3217][4]~71925\);

-- Location: FF_X24_Y4_N11
\led_flash_cnt[3217][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3217][4]~71924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3217][4]~q\);

-- Location: LCCOMB_X24_Y4_N2
\WideAnd3217~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3217~0_combout\ = (\led_flash_cnt[3217][4]~q\ & (\led_flash_cnt[3217][3]~q\ & (\led_flash_cnt[3217][1]~q\ & \led_flash_cnt[3217][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3217][4]~q\,
	datab => \led_flash_cnt[3217][3]~q\,
	datac => \led_flash_cnt[3217][1]~q\,
	datad => \led_flash_cnt[3217][2]~q\,
	combout => \WideAnd3217~0_combout\);

-- Location: LCCOMB_X24_Y4_N12
\led_flash_cnt[3217][5]~71926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3217][5]~71926_combout\ = (\led_flash_cnt[3217][5]~q\ & (\led_flash_cnt[3217][4]~71925\ $ (GND))) # (!\led_flash_cnt[3217][5]~q\ & (!\led_flash_cnt[3217][4]~71925\ & VCC))
-- \led_flash_cnt[3217][5]~71927\ = CARRY((\led_flash_cnt[3217][5]~q\ & !\led_flash_cnt[3217][4]~71925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3217][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3217][4]~71925\,
	combout => \led_flash_cnt[3217][5]~71926_combout\,
	cout => \led_flash_cnt[3217][5]~71927\);

-- Location: FF_X24_Y4_N13
\led_flash_cnt[3217][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3217][5]~71926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3217][5]~q\);

-- Location: LCCOMB_X24_Y4_N14
\led_flash_cnt[3217][6]~71928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3217][6]~71928_combout\ = (\led_flash_cnt[3217][6]~q\ & (!\led_flash_cnt[3217][5]~71927\)) # (!\led_flash_cnt[3217][6]~q\ & ((\led_flash_cnt[3217][5]~71927\) # (GND)))
-- \led_flash_cnt[3217][6]~71929\ = CARRY((!\led_flash_cnt[3217][5]~71927\) # (!\led_flash_cnt[3217][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3217][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3217][5]~71927\,
	combout => \led_flash_cnt[3217][6]~71928_combout\,
	cout => \led_flash_cnt[3217][6]~71929\);

-- Location: FF_X24_Y4_N15
\led_flash_cnt[3217][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3217][6]~71928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3217][6]~q\);

-- Location: LCCOMB_X25_Y4_N4
\WideAnd3217~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3217~1_combout\ = (\led_flash_cnt[3217][6]~q\ & \led_flash_cnt[3217][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3217][6]~q\,
	datad => \led_flash_cnt[3217][5]~q\,
	combout => \WideAnd3217~1_combout\);

-- Location: LCCOMB_X24_Y4_N16
\led_flash_cnt[3217][7]~71930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3217][7]~71930_combout\ = \led_flash_cnt[3217][6]~71929\ $ (!\led_flash_cnt[3217][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3217][7]~q\,
	cin => \led_flash_cnt[3217][6]~71929\,
	combout => \led_flash_cnt[3217][7]~71930_combout\);

-- Location: FF_X24_Y4_N17
\led_flash_cnt[3217][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3217][7]~71930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3217][7]~q\);

-- Location: LCCOMB_X25_Y4_N8
WideAnd3217 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3217~combout\ = (\WideAnd3217~0_combout\ & (\WideAnd3217~1_combout\ & (\led_flash_cnt[3217][7]~q\ & \led_flash_cnt[3217][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3217~0_combout\,
	datab => \WideAnd3217~1_combout\,
	datac => \led_flash_cnt[3217][7]~q\,
	datad => \led_flash_cnt[3217][0]~q\,
	combout => \WideAnd3217~combout\);

-- Location: FF_X25_Y4_N9
\led_flash_cnt_ands[3217]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3217~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3217));

-- Location: LCCOMB_X25_Y6_N26
\WideAnd4242~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4242~0_combout\ = (led_flash_cnt_ands(3218) & (led_flash_cnt_ands(3216) & (led_flash_cnt_ands(3219) & led_flash_cnt_ands(3217))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3218),
	datab => led_flash_cnt_ands(3216),
	datac => led_flash_cnt_ands(3219),
	datad => led_flash_cnt_ands(3217),
	combout => \WideAnd4242~0_combout\);

-- Location: LCCOMB_X26_Y8_N0
\led_flash_cnt[3222][0]~83862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3222][0]~83862_combout\ = !\led_flash_cnt[3222][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3222][0]~q\,
	combout => \led_flash_cnt[3222][0]~83862_combout\);

-- Location: FF_X26_Y8_N1
\led_flash_cnt[3222][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3222][0]~83862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3222][0]~q\);

-- Location: LCCOMB_X27_Y8_N18
\led_flash_cnt[3222][1]~71988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3222][1]~71988_combout\ = (\led_flash_cnt[3222][0]~q\ & (\led_flash_cnt[3222][1]~q\ $ (VCC))) # (!\led_flash_cnt[3222][0]~q\ & (\led_flash_cnt[3222][1]~q\ & VCC))
-- \led_flash_cnt[3222][1]~71989\ = CARRY((\led_flash_cnt[3222][0]~q\ & \led_flash_cnt[3222][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3222][0]~q\,
	datab => \led_flash_cnt[3222][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3222][1]~71988_combout\,
	cout => \led_flash_cnt[3222][1]~71989\);

-- Location: FF_X27_Y8_N19
\led_flash_cnt[3222][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3222][1]~71988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3222][1]~q\);

-- Location: LCCOMB_X27_Y8_N20
\led_flash_cnt[3222][2]~71990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3222][2]~71990_combout\ = (\led_flash_cnt[3222][2]~q\ & (!\led_flash_cnt[3222][1]~71989\)) # (!\led_flash_cnt[3222][2]~q\ & ((\led_flash_cnt[3222][1]~71989\) # (GND)))
-- \led_flash_cnt[3222][2]~71991\ = CARRY((!\led_flash_cnt[3222][1]~71989\) # (!\led_flash_cnt[3222][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3222][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3222][1]~71989\,
	combout => \led_flash_cnt[3222][2]~71990_combout\,
	cout => \led_flash_cnt[3222][2]~71991\);

-- Location: FF_X27_Y8_N21
\led_flash_cnt[3222][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3222][2]~71990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3222][2]~q\);

-- Location: LCCOMB_X27_Y8_N22
\led_flash_cnt[3222][3]~71992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3222][3]~71992_combout\ = (\led_flash_cnt[3222][3]~q\ & (\led_flash_cnt[3222][2]~71991\ $ (GND))) # (!\led_flash_cnt[3222][3]~q\ & (!\led_flash_cnt[3222][2]~71991\ & VCC))
-- \led_flash_cnt[3222][3]~71993\ = CARRY((\led_flash_cnt[3222][3]~q\ & !\led_flash_cnt[3222][2]~71991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3222][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3222][2]~71991\,
	combout => \led_flash_cnt[3222][3]~71992_combout\,
	cout => \led_flash_cnt[3222][3]~71993\);

-- Location: FF_X27_Y8_N23
\led_flash_cnt[3222][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3222][3]~71992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3222][3]~q\);

-- Location: LCCOMB_X27_Y8_N24
\led_flash_cnt[3222][4]~71994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3222][4]~71994_combout\ = (\led_flash_cnt[3222][4]~q\ & (!\led_flash_cnt[3222][3]~71993\)) # (!\led_flash_cnt[3222][4]~q\ & ((\led_flash_cnt[3222][3]~71993\) # (GND)))
-- \led_flash_cnt[3222][4]~71995\ = CARRY((!\led_flash_cnt[3222][3]~71993\) # (!\led_flash_cnt[3222][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3222][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3222][3]~71993\,
	combout => \led_flash_cnt[3222][4]~71994_combout\,
	cout => \led_flash_cnt[3222][4]~71995\);

-- Location: FF_X27_Y8_N25
\led_flash_cnt[3222][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3222][4]~71994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3222][4]~q\);

-- Location: LCCOMB_X27_Y8_N26
\led_flash_cnt[3222][5]~71996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3222][5]~71996_combout\ = (\led_flash_cnt[3222][5]~q\ & (\led_flash_cnt[3222][4]~71995\ $ (GND))) # (!\led_flash_cnt[3222][5]~q\ & (!\led_flash_cnt[3222][4]~71995\ & VCC))
-- \led_flash_cnt[3222][5]~71997\ = CARRY((\led_flash_cnt[3222][5]~q\ & !\led_flash_cnt[3222][4]~71995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3222][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3222][4]~71995\,
	combout => \led_flash_cnt[3222][5]~71996_combout\,
	cout => \led_flash_cnt[3222][5]~71997\);

-- Location: FF_X27_Y8_N27
\led_flash_cnt[3222][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3222][5]~71996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3222][5]~q\);

-- Location: LCCOMB_X27_Y8_N28
\led_flash_cnt[3222][6]~71998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3222][6]~71998_combout\ = (\led_flash_cnt[3222][6]~q\ & (!\led_flash_cnt[3222][5]~71997\)) # (!\led_flash_cnt[3222][6]~q\ & ((\led_flash_cnt[3222][5]~71997\) # (GND)))
-- \led_flash_cnt[3222][6]~71999\ = CARRY((!\led_flash_cnt[3222][5]~71997\) # (!\led_flash_cnt[3222][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3222][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3222][5]~71997\,
	combout => \led_flash_cnt[3222][6]~71998_combout\,
	cout => \led_flash_cnt[3222][6]~71999\);

-- Location: FF_X27_Y8_N29
\led_flash_cnt[3222][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3222][6]~71998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3222][6]~q\);

-- Location: LCCOMB_X26_Y8_N26
\WideAnd3222~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3222~1_combout\ = (\led_flash_cnt[3222][6]~q\ & \led_flash_cnt[3222][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3222][6]~q\,
	datad => \led_flash_cnt[3222][5]~q\,
	combout => \WideAnd3222~1_combout\);

-- Location: LCCOMB_X26_Y8_N18
\WideAnd3222~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3222~0_combout\ = (\led_flash_cnt[3222][4]~q\ & (\led_flash_cnt[3222][1]~q\ & (\led_flash_cnt[3222][2]~q\ & \led_flash_cnt[3222][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3222][4]~q\,
	datab => \led_flash_cnt[3222][1]~q\,
	datac => \led_flash_cnt[3222][2]~q\,
	datad => \led_flash_cnt[3222][3]~q\,
	combout => \WideAnd3222~0_combout\);

-- Location: LCCOMB_X27_Y8_N30
\led_flash_cnt[3222][7]~72000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3222][7]~72000_combout\ = \led_flash_cnt[3222][7]~q\ $ (!\led_flash_cnt[3222][6]~71999\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3222][7]~q\,
	cin => \led_flash_cnt[3222][6]~71999\,
	combout => \led_flash_cnt[3222][7]~72000_combout\);

-- Location: FF_X27_Y8_N31
\led_flash_cnt[3222][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3222][7]~72000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3222][7]~q\);

-- Location: LCCOMB_X26_Y8_N28
WideAnd3222 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3222~combout\ = (\WideAnd3222~1_combout\ & (\WideAnd3222~0_combout\ & (\led_flash_cnt[3222][7]~q\ & \led_flash_cnt[3222][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3222~1_combout\,
	datab => \WideAnd3222~0_combout\,
	datac => \led_flash_cnt[3222][7]~q\,
	datad => \led_flash_cnt[3222][0]~q\,
	combout => \WideAnd3222~combout\);

-- Location: FF_X26_Y8_N29
\led_flash_cnt_ands[3222]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3222~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3222));

-- Location: LCCOMB_X36_Y9_N14
\led_flash_cnt[3221][0]~83861\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3221][0]~83861_combout\ = !\led_flash_cnt[3221][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3221][0]~q\,
	combout => \led_flash_cnt[3221][0]~83861_combout\);

-- Location: FF_X36_Y9_N15
\led_flash_cnt[3221][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3221][0]~83861_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3221][0]~q\);

-- Location: LCCOMB_X35_Y9_N14
\led_flash_cnt[3221][1]~71974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3221][1]~71974_combout\ = (\led_flash_cnt[3221][1]~q\ & (\led_flash_cnt[3221][0]~q\ $ (VCC))) # (!\led_flash_cnt[3221][1]~q\ & (\led_flash_cnt[3221][0]~q\ & VCC))
-- \led_flash_cnt[3221][1]~71975\ = CARRY((\led_flash_cnt[3221][1]~q\ & \led_flash_cnt[3221][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3221][1]~q\,
	datab => \led_flash_cnt[3221][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3221][1]~71974_combout\,
	cout => \led_flash_cnt[3221][1]~71975\);

-- Location: FF_X35_Y9_N15
\led_flash_cnt[3221][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3221][1]~71974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3221][1]~q\);

-- Location: LCCOMB_X35_Y9_N16
\led_flash_cnt[3221][2]~71976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3221][2]~71976_combout\ = (\led_flash_cnt[3221][2]~q\ & (!\led_flash_cnt[3221][1]~71975\)) # (!\led_flash_cnt[3221][2]~q\ & ((\led_flash_cnt[3221][1]~71975\) # (GND)))
-- \led_flash_cnt[3221][2]~71977\ = CARRY((!\led_flash_cnt[3221][1]~71975\) # (!\led_flash_cnt[3221][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3221][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3221][1]~71975\,
	combout => \led_flash_cnt[3221][2]~71976_combout\,
	cout => \led_flash_cnt[3221][2]~71977\);

-- Location: FF_X35_Y9_N17
\led_flash_cnt[3221][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3221][2]~71976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3221][2]~q\);

-- Location: LCCOMB_X35_Y9_N18
\led_flash_cnt[3221][3]~71978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3221][3]~71978_combout\ = (\led_flash_cnt[3221][3]~q\ & (\led_flash_cnt[3221][2]~71977\ $ (GND))) # (!\led_flash_cnt[3221][3]~q\ & (!\led_flash_cnt[3221][2]~71977\ & VCC))
-- \led_flash_cnt[3221][3]~71979\ = CARRY((\led_flash_cnt[3221][3]~q\ & !\led_flash_cnt[3221][2]~71977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3221][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3221][2]~71977\,
	combout => \led_flash_cnt[3221][3]~71978_combout\,
	cout => \led_flash_cnt[3221][3]~71979\);

-- Location: FF_X35_Y9_N19
\led_flash_cnt[3221][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3221][3]~71978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3221][3]~q\);

-- Location: LCCOMB_X35_Y9_N20
\led_flash_cnt[3221][4]~71980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3221][4]~71980_combout\ = (\led_flash_cnt[3221][4]~q\ & (!\led_flash_cnt[3221][3]~71979\)) # (!\led_flash_cnt[3221][4]~q\ & ((\led_flash_cnt[3221][3]~71979\) # (GND)))
-- \led_flash_cnt[3221][4]~71981\ = CARRY((!\led_flash_cnt[3221][3]~71979\) # (!\led_flash_cnt[3221][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3221][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3221][3]~71979\,
	combout => \led_flash_cnt[3221][4]~71980_combout\,
	cout => \led_flash_cnt[3221][4]~71981\);

-- Location: FF_X35_Y9_N21
\led_flash_cnt[3221][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3221][4]~71980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3221][4]~q\);

-- Location: LCCOMB_X35_Y9_N22
\led_flash_cnt[3221][5]~71982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3221][5]~71982_combout\ = (\led_flash_cnt[3221][5]~q\ & (\led_flash_cnt[3221][4]~71981\ $ (GND))) # (!\led_flash_cnt[3221][5]~q\ & (!\led_flash_cnt[3221][4]~71981\ & VCC))
-- \led_flash_cnt[3221][5]~71983\ = CARRY((\led_flash_cnt[3221][5]~q\ & !\led_flash_cnt[3221][4]~71981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3221][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3221][4]~71981\,
	combout => \led_flash_cnt[3221][5]~71982_combout\,
	cout => \led_flash_cnt[3221][5]~71983\);

-- Location: FF_X35_Y9_N23
\led_flash_cnt[3221][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3221][5]~71982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3221][5]~q\);

-- Location: LCCOMB_X35_Y9_N24
\led_flash_cnt[3221][6]~71984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3221][6]~71984_combout\ = (\led_flash_cnt[3221][6]~q\ & (!\led_flash_cnt[3221][5]~71983\)) # (!\led_flash_cnt[3221][6]~q\ & ((\led_flash_cnt[3221][5]~71983\) # (GND)))
-- \led_flash_cnt[3221][6]~71985\ = CARRY((!\led_flash_cnt[3221][5]~71983\) # (!\led_flash_cnt[3221][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3221][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3221][5]~71983\,
	combout => \led_flash_cnt[3221][6]~71984_combout\,
	cout => \led_flash_cnt[3221][6]~71985\);

-- Location: FF_X35_Y9_N25
\led_flash_cnt[3221][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3221][6]~71984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3221][6]~q\);

-- Location: LCCOMB_X35_Y9_N26
\led_flash_cnt[3221][7]~71986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3221][7]~71986_combout\ = \led_flash_cnt[3221][7]~q\ $ (!\led_flash_cnt[3221][6]~71985\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3221][7]~q\,
	cin => \led_flash_cnt[3221][6]~71985\,
	combout => \led_flash_cnt[3221][7]~71986_combout\);

-- Location: FF_X35_Y9_N27
\led_flash_cnt[3221][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3221][7]~71986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3221][7]~q\);

-- Location: LCCOMB_X35_Y9_N4
\WideAnd3221~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3221~0_combout\ = (\led_flash_cnt[3221][4]~q\ & (\led_flash_cnt[3221][3]~q\ & (\led_flash_cnt[3221][1]~q\ & \led_flash_cnt[3221][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3221][4]~q\,
	datab => \led_flash_cnt[3221][3]~q\,
	datac => \led_flash_cnt[3221][1]~q\,
	datad => \led_flash_cnt[3221][2]~q\,
	combout => \WideAnd3221~0_combout\);

-- Location: LCCOMB_X35_Y9_N10
\WideAnd3221~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3221~1_combout\ = (\led_flash_cnt[3221][5]~q\ & \led_flash_cnt[3221][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3221][5]~q\,
	datad => \led_flash_cnt[3221][6]~q\,
	combout => \WideAnd3221~1_combout\);

-- Location: LCCOMB_X35_Y9_N8
WideAnd3221 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3221~combout\ = (\led_flash_cnt[3221][7]~q\ & (\WideAnd3221~0_combout\ & (\led_flash_cnt[3221][0]~q\ & \WideAnd3221~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3221][7]~q\,
	datab => \WideAnd3221~0_combout\,
	datac => \led_flash_cnt[3221][0]~q\,
	datad => \WideAnd3221~1_combout\,
	combout => \WideAnd3221~combout\);

-- Location: FF_X35_Y9_N9
\led_flash_cnt_ands[3221]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3221~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3221));

-- Location: LCCOMB_X37_Y9_N24
\led_flash_cnt[3220][0]~83860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3220][0]~83860_combout\ = !\led_flash_cnt[3220][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3220][0]~q\,
	combout => \led_flash_cnt[3220][0]~83860_combout\);

-- Location: FF_X37_Y9_N25
\led_flash_cnt[3220][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3220][0]~83860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3220][0]~q\);

-- Location: LCCOMB_X34_Y9_N2
\led_flash_cnt[3220][1]~71960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3220][1]~71960_combout\ = (\led_flash_cnt[3220][0]~q\ & (\led_flash_cnt[3220][1]~q\ $ (VCC))) # (!\led_flash_cnt[3220][0]~q\ & (\led_flash_cnt[3220][1]~q\ & VCC))
-- \led_flash_cnt[3220][1]~71961\ = CARRY((\led_flash_cnt[3220][0]~q\ & \led_flash_cnt[3220][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3220][0]~q\,
	datab => \led_flash_cnt[3220][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3220][1]~71960_combout\,
	cout => \led_flash_cnt[3220][1]~71961\);

-- Location: FF_X34_Y9_N3
\led_flash_cnt[3220][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3220][1]~71960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3220][1]~q\);

-- Location: LCCOMB_X34_Y9_N4
\led_flash_cnt[3220][2]~71962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3220][2]~71962_combout\ = (\led_flash_cnt[3220][2]~q\ & (!\led_flash_cnt[3220][1]~71961\)) # (!\led_flash_cnt[3220][2]~q\ & ((\led_flash_cnt[3220][1]~71961\) # (GND)))
-- \led_flash_cnt[3220][2]~71963\ = CARRY((!\led_flash_cnt[3220][1]~71961\) # (!\led_flash_cnt[3220][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3220][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3220][1]~71961\,
	combout => \led_flash_cnt[3220][2]~71962_combout\,
	cout => \led_flash_cnt[3220][2]~71963\);

-- Location: FF_X34_Y9_N5
\led_flash_cnt[3220][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3220][2]~71962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3220][2]~q\);

-- Location: LCCOMB_X34_Y9_N6
\led_flash_cnt[3220][3]~71964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3220][3]~71964_combout\ = (\led_flash_cnt[3220][3]~q\ & (\led_flash_cnt[3220][2]~71963\ $ (GND))) # (!\led_flash_cnt[3220][3]~q\ & (!\led_flash_cnt[3220][2]~71963\ & VCC))
-- \led_flash_cnt[3220][3]~71965\ = CARRY((\led_flash_cnt[3220][3]~q\ & !\led_flash_cnt[3220][2]~71963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3220][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3220][2]~71963\,
	combout => \led_flash_cnt[3220][3]~71964_combout\,
	cout => \led_flash_cnt[3220][3]~71965\);

-- Location: FF_X34_Y9_N7
\led_flash_cnt[3220][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3220][3]~71964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3220][3]~q\);

-- Location: LCCOMB_X34_Y9_N8
\led_flash_cnt[3220][4]~71966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3220][4]~71966_combout\ = (\led_flash_cnt[3220][4]~q\ & (!\led_flash_cnt[3220][3]~71965\)) # (!\led_flash_cnt[3220][4]~q\ & ((\led_flash_cnt[3220][3]~71965\) # (GND)))
-- \led_flash_cnt[3220][4]~71967\ = CARRY((!\led_flash_cnt[3220][3]~71965\) # (!\led_flash_cnt[3220][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3220][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3220][3]~71965\,
	combout => \led_flash_cnt[3220][4]~71966_combout\,
	cout => \led_flash_cnt[3220][4]~71967\);

-- Location: FF_X34_Y9_N9
\led_flash_cnt[3220][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3220][4]~71966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3220][4]~q\);

-- Location: LCCOMB_X34_Y9_N0
\WideAnd3220~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3220~0_combout\ = (\led_flash_cnt[3220][3]~q\ & (\led_flash_cnt[3220][4]~q\ & (\led_flash_cnt[3220][2]~q\ & \led_flash_cnt[3220][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3220][3]~q\,
	datab => \led_flash_cnt[3220][4]~q\,
	datac => \led_flash_cnt[3220][2]~q\,
	datad => \led_flash_cnt[3220][1]~q\,
	combout => \WideAnd3220~0_combout\);

-- Location: LCCOMB_X34_Y9_N10
\led_flash_cnt[3220][5]~71968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3220][5]~71968_combout\ = (\led_flash_cnt[3220][5]~q\ & (\led_flash_cnt[3220][4]~71967\ $ (GND))) # (!\led_flash_cnt[3220][5]~q\ & (!\led_flash_cnt[3220][4]~71967\ & VCC))
-- \led_flash_cnt[3220][5]~71969\ = CARRY((\led_flash_cnt[3220][5]~q\ & !\led_flash_cnt[3220][4]~71967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3220][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3220][4]~71967\,
	combout => \led_flash_cnt[3220][5]~71968_combout\,
	cout => \led_flash_cnt[3220][5]~71969\);

-- Location: FF_X34_Y9_N11
\led_flash_cnt[3220][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3220][5]~71968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3220][5]~q\);

-- Location: LCCOMB_X34_Y9_N12
\led_flash_cnt[3220][6]~71970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3220][6]~71970_combout\ = (\led_flash_cnt[3220][6]~q\ & (!\led_flash_cnt[3220][5]~71969\)) # (!\led_flash_cnt[3220][6]~q\ & ((\led_flash_cnt[3220][5]~71969\) # (GND)))
-- \led_flash_cnt[3220][6]~71971\ = CARRY((!\led_flash_cnt[3220][5]~71969\) # (!\led_flash_cnt[3220][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3220][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3220][5]~71969\,
	combout => \led_flash_cnt[3220][6]~71970_combout\,
	cout => \led_flash_cnt[3220][6]~71971\);

-- Location: FF_X34_Y9_N13
\led_flash_cnt[3220][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3220][6]~71970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3220][6]~q\);

-- Location: LCCOMB_X35_Y9_N0
\WideAnd3220~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3220~1_combout\ = (\led_flash_cnt[3220][6]~q\ & \led_flash_cnt[3220][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3220][6]~q\,
	datad => \led_flash_cnt[3220][5]~q\,
	combout => \WideAnd3220~1_combout\);

-- Location: LCCOMB_X34_Y9_N14
\led_flash_cnt[3220][7]~71972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3220][7]~71972_combout\ = \led_flash_cnt[3220][7]~q\ $ (!\led_flash_cnt[3220][6]~71971\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3220][7]~q\,
	cin => \led_flash_cnt[3220][6]~71971\,
	combout => \led_flash_cnt[3220][7]~71972_combout\);

-- Location: FF_X34_Y9_N15
\led_flash_cnt[3220][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3220][7]~71972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3220][7]~q\);

-- Location: LCCOMB_X35_Y9_N2
WideAnd3220 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3220~combout\ = (\WideAnd3220~0_combout\ & (\WideAnd3220~1_combout\ & (\led_flash_cnt[3220][0]~q\ & \led_flash_cnt[3220][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3220~0_combout\,
	datab => \WideAnd3220~1_combout\,
	datac => \led_flash_cnt[3220][0]~q\,
	datad => \led_flash_cnt[3220][7]~q\,
	combout => \WideAnd3220~combout\);

-- Location: FF_X35_Y9_N3
\led_flash_cnt_ands[3220]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3220~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3220));

-- Location: LCCOMB_X35_Y9_N30
\WideAnd4242~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4242~1_combout\ = (led_flash_cnt_ands(3221) & led_flash_cnt_ands(3220))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3221),
	datad => led_flash_cnt_ands(3220),
	combout => \WideAnd4242~1_combout\);

-- Location: LCCOMB_X26_Y8_N30
\led_flash_cnt[3223][0]~83863\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3223][0]~83863_combout\ = !\led_flash_cnt[3223][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3223][0]~q\,
	combout => \led_flash_cnt[3223][0]~83863_combout\);

-- Location: FF_X26_Y8_N31
\led_flash_cnt[3223][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3223][0]~83863_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3223][0]~q\);

-- Location: LCCOMB_X26_Y8_N4
\led_flash_cnt[3223][1]~72002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3223][1]~72002_combout\ = (\led_flash_cnt[3223][0]~q\ & (\led_flash_cnt[3223][1]~q\ $ (VCC))) # (!\led_flash_cnt[3223][0]~q\ & (\led_flash_cnt[3223][1]~q\ & VCC))
-- \led_flash_cnt[3223][1]~72003\ = CARRY((\led_flash_cnt[3223][0]~q\ & \led_flash_cnt[3223][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3223][0]~q\,
	datab => \led_flash_cnt[3223][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3223][1]~72002_combout\,
	cout => \led_flash_cnt[3223][1]~72003\);

-- Location: FF_X26_Y8_N5
\led_flash_cnt[3223][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3223][1]~72002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3223][1]~q\);

-- Location: LCCOMB_X26_Y8_N6
\led_flash_cnt[3223][2]~72004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3223][2]~72004_combout\ = (\led_flash_cnt[3223][2]~q\ & (!\led_flash_cnt[3223][1]~72003\)) # (!\led_flash_cnt[3223][2]~q\ & ((\led_flash_cnt[3223][1]~72003\) # (GND)))
-- \led_flash_cnt[3223][2]~72005\ = CARRY((!\led_flash_cnt[3223][1]~72003\) # (!\led_flash_cnt[3223][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3223][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3223][1]~72003\,
	combout => \led_flash_cnt[3223][2]~72004_combout\,
	cout => \led_flash_cnt[3223][2]~72005\);

-- Location: FF_X26_Y8_N7
\led_flash_cnt[3223][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3223][2]~72004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3223][2]~q\);

-- Location: LCCOMB_X26_Y8_N8
\led_flash_cnt[3223][3]~72006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3223][3]~72006_combout\ = (\led_flash_cnt[3223][3]~q\ & (\led_flash_cnt[3223][2]~72005\ $ (GND))) # (!\led_flash_cnt[3223][3]~q\ & (!\led_flash_cnt[3223][2]~72005\ & VCC))
-- \led_flash_cnt[3223][3]~72007\ = CARRY((\led_flash_cnt[3223][3]~q\ & !\led_flash_cnt[3223][2]~72005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3223][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3223][2]~72005\,
	combout => \led_flash_cnt[3223][3]~72006_combout\,
	cout => \led_flash_cnt[3223][3]~72007\);

-- Location: FF_X26_Y8_N9
\led_flash_cnt[3223][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3223][3]~72006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3223][3]~q\);

-- Location: LCCOMB_X26_Y8_N10
\led_flash_cnt[3223][4]~72008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3223][4]~72008_combout\ = (\led_flash_cnt[3223][4]~q\ & (!\led_flash_cnt[3223][3]~72007\)) # (!\led_flash_cnt[3223][4]~q\ & ((\led_flash_cnt[3223][3]~72007\) # (GND)))
-- \led_flash_cnt[3223][4]~72009\ = CARRY((!\led_flash_cnt[3223][3]~72007\) # (!\led_flash_cnt[3223][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3223][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3223][3]~72007\,
	combout => \led_flash_cnt[3223][4]~72008_combout\,
	cout => \led_flash_cnt[3223][4]~72009\);

-- Location: FF_X26_Y8_N11
\led_flash_cnt[3223][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3223][4]~72008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3223][4]~q\);

-- Location: LCCOMB_X26_Y8_N12
\led_flash_cnt[3223][5]~72010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3223][5]~72010_combout\ = (\led_flash_cnt[3223][5]~q\ & (\led_flash_cnt[3223][4]~72009\ $ (GND))) # (!\led_flash_cnt[3223][5]~q\ & (!\led_flash_cnt[3223][4]~72009\ & VCC))
-- \led_flash_cnt[3223][5]~72011\ = CARRY((\led_flash_cnt[3223][5]~q\ & !\led_flash_cnt[3223][4]~72009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3223][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3223][4]~72009\,
	combout => \led_flash_cnt[3223][5]~72010_combout\,
	cout => \led_flash_cnt[3223][5]~72011\);

-- Location: FF_X26_Y8_N13
\led_flash_cnt[3223][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3223][5]~72010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3223][5]~q\);

-- Location: LCCOMB_X26_Y8_N14
\led_flash_cnt[3223][6]~72012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3223][6]~72012_combout\ = (\led_flash_cnt[3223][6]~q\ & (!\led_flash_cnt[3223][5]~72011\)) # (!\led_flash_cnt[3223][6]~q\ & ((\led_flash_cnt[3223][5]~72011\) # (GND)))
-- \led_flash_cnt[3223][6]~72013\ = CARRY((!\led_flash_cnt[3223][5]~72011\) # (!\led_flash_cnt[3223][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3223][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3223][5]~72011\,
	combout => \led_flash_cnt[3223][6]~72012_combout\,
	cout => \led_flash_cnt[3223][6]~72013\);

-- Location: FF_X26_Y8_N15
\led_flash_cnt[3223][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3223][6]~72012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3223][6]~q\);

-- Location: LCCOMB_X26_Y8_N22
\WideAnd3223~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3223~1_combout\ = (\led_flash_cnt[3223][6]~q\ & \led_flash_cnt[3223][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3223][6]~q\,
	datad => \led_flash_cnt[3223][5]~q\,
	combout => \WideAnd3223~1_combout\);

-- Location: LCCOMB_X26_Y8_N16
\led_flash_cnt[3223][7]~72014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3223][7]~72014_combout\ = \led_flash_cnt[3223][6]~72013\ $ (!\led_flash_cnt[3223][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3223][7]~q\,
	cin => \led_flash_cnt[3223][6]~72013\,
	combout => \led_flash_cnt[3223][7]~72014_combout\);

-- Location: FF_X26_Y8_N17
\led_flash_cnt[3223][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3223][7]~72014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3223][7]~q\);

-- Location: LCCOMB_X26_Y8_N2
\WideAnd3223~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3223~0_combout\ = (\led_flash_cnt[3223][4]~q\ & (\led_flash_cnt[3223][3]~q\ & (\led_flash_cnt[3223][1]~q\ & \led_flash_cnt[3223][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3223][4]~q\,
	datab => \led_flash_cnt[3223][3]~q\,
	datac => \led_flash_cnt[3223][1]~q\,
	datad => \led_flash_cnt[3223][2]~q\,
	combout => \WideAnd3223~0_combout\);

-- Location: LCCOMB_X26_Y8_N20
WideAnd3223 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3223~combout\ = (\WideAnd3223~1_combout\ & (\led_flash_cnt[3223][7]~q\ & (\led_flash_cnt[3223][0]~q\ & \WideAnd3223~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3223~1_combout\,
	datab => \led_flash_cnt[3223][7]~q\,
	datac => \led_flash_cnt[3223][0]~q\,
	datad => \WideAnd3223~0_combout\,
	combout => \WideAnd3223~combout\);

-- Location: FF_X26_Y8_N21
\led_flash_cnt_ands[3223]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3223~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3223));

-- Location: LCCOMB_X26_Y8_N24
WideAnd4242 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4242~combout\ = (\WideAnd4242~0_combout\ & (led_flash_cnt_ands(3222) & (\WideAnd4242~1_combout\ & led_flash_cnt_ands(3223))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4242~0_combout\,
	datab => led_flash_cnt_ands(3222),
	datac => \WideAnd4242~1_combout\,
	datad => led_flash_cnt_ands(3223),
	combout => \WideAnd4242~combout\);

-- Location: FF_X26_Y8_N25
\led_flash_cnt_ands_1[402]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4242~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(402));

-- Location: LCCOMB_X45_Y27_N30
\led_flash_cnt[3206][0]~83846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3206][0]~83846_combout\ = !\led_flash_cnt[3206][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3206][0]~q\,
	combout => \led_flash_cnt[3206][0]~83846_combout\);

-- Location: FF_X45_Y27_N31
\led_flash_cnt[3206][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3206][0]~83846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3206][0]~q\);

-- Location: LCCOMB_X45_Y27_N2
\led_flash_cnt[3206][1]~71764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3206][1]~71764_combout\ = (\led_flash_cnt[3206][0]~q\ & (\led_flash_cnt[3206][1]~q\ $ (VCC))) # (!\led_flash_cnt[3206][0]~q\ & (\led_flash_cnt[3206][1]~q\ & VCC))
-- \led_flash_cnt[3206][1]~71765\ = CARRY((\led_flash_cnt[3206][0]~q\ & \led_flash_cnt[3206][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3206][0]~q\,
	datab => \led_flash_cnt[3206][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3206][1]~71764_combout\,
	cout => \led_flash_cnt[3206][1]~71765\);

-- Location: FF_X45_Y27_N3
\led_flash_cnt[3206][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3206][1]~71764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3206][1]~q\);

-- Location: LCCOMB_X45_Y27_N4
\led_flash_cnt[3206][2]~71766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3206][2]~71766_combout\ = (\led_flash_cnt[3206][2]~q\ & (!\led_flash_cnt[3206][1]~71765\)) # (!\led_flash_cnt[3206][2]~q\ & ((\led_flash_cnt[3206][1]~71765\) # (GND)))
-- \led_flash_cnt[3206][2]~71767\ = CARRY((!\led_flash_cnt[3206][1]~71765\) # (!\led_flash_cnt[3206][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3206][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3206][1]~71765\,
	combout => \led_flash_cnt[3206][2]~71766_combout\,
	cout => \led_flash_cnt[3206][2]~71767\);

-- Location: FF_X45_Y27_N5
\led_flash_cnt[3206][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3206][2]~71766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3206][2]~q\);

-- Location: LCCOMB_X45_Y27_N6
\led_flash_cnt[3206][3]~71768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3206][3]~71768_combout\ = (\led_flash_cnt[3206][3]~q\ & (\led_flash_cnt[3206][2]~71767\ $ (GND))) # (!\led_flash_cnt[3206][3]~q\ & (!\led_flash_cnt[3206][2]~71767\ & VCC))
-- \led_flash_cnt[3206][3]~71769\ = CARRY((\led_flash_cnt[3206][3]~q\ & !\led_flash_cnt[3206][2]~71767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3206][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3206][2]~71767\,
	combout => \led_flash_cnt[3206][3]~71768_combout\,
	cout => \led_flash_cnt[3206][3]~71769\);

-- Location: FF_X45_Y27_N7
\led_flash_cnt[3206][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3206][3]~71768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3206][3]~q\);

-- Location: LCCOMB_X45_Y27_N8
\led_flash_cnt[3206][4]~71770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3206][4]~71770_combout\ = (\led_flash_cnt[3206][4]~q\ & (!\led_flash_cnt[3206][3]~71769\)) # (!\led_flash_cnt[3206][4]~q\ & ((\led_flash_cnt[3206][3]~71769\) # (GND)))
-- \led_flash_cnt[3206][4]~71771\ = CARRY((!\led_flash_cnt[3206][3]~71769\) # (!\led_flash_cnt[3206][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3206][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3206][3]~71769\,
	combout => \led_flash_cnt[3206][4]~71770_combout\,
	cout => \led_flash_cnt[3206][4]~71771\);

-- Location: FF_X45_Y27_N9
\led_flash_cnt[3206][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3206][4]~71770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3206][4]~q\);

-- Location: LCCOMB_X45_Y27_N10
\led_flash_cnt[3206][5]~71772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3206][5]~71772_combout\ = (\led_flash_cnt[3206][5]~q\ & (\led_flash_cnt[3206][4]~71771\ $ (GND))) # (!\led_flash_cnt[3206][5]~q\ & (!\led_flash_cnt[3206][4]~71771\ & VCC))
-- \led_flash_cnt[3206][5]~71773\ = CARRY((\led_flash_cnt[3206][5]~q\ & !\led_flash_cnt[3206][4]~71771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3206][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3206][4]~71771\,
	combout => \led_flash_cnt[3206][5]~71772_combout\,
	cout => \led_flash_cnt[3206][5]~71773\);

-- Location: FF_X45_Y27_N11
\led_flash_cnt[3206][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3206][5]~71772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3206][5]~q\);

-- Location: LCCOMB_X45_Y27_N12
\led_flash_cnt[3206][6]~71774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3206][6]~71774_combout\ = (\led_flash_cnt[3206][6]~q\ & (!\led_flash_cnt[3206][5]~71773\)) # (!\led_flash_cnt[3206][6]~q\ & ((\led_flash_cnt[3206][5]~71773\) # (GND)))
-- \led_flash_cnt[3206][6]~71775\ = CARRY((!\led_flash_cnt[3206][5]~71773\) # (!\led_flash_cnt[3206][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3206][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3206][5]~71773\,
	combout => \led_flash_cnt[3206][6]~71774_combout\,
	cout => \led_flash_cnt[3206][6]~71775\);

-- Location: FF_X45_Y27_N13
\led_flash_cnt[3206][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3206][6]~71774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3206][6]~q\);

-- Location: LCCOMB_X45_Y27_N24
\WideAnd3206~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3206~1_combout\ = (\led_flash_cnt[3206][5]~q\ & \led_flash_cnt[3206][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3206][5]~q\,
	datad => \led_flash_cnt[3206][6]~q\,
	combout => \WideAnd3206~1_combout\);

-- Location: LCCOMB_X45_Y27_N14
\led_flash_cnt[3206][7]~71776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3206][7]~71776_combout\ = \led_flash_cnt[3206][7]~q\ $ (!\led_flash_cnt[3206][6]~71775\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3206][7]~q\,
	cin => \led_flash_cnt[3206][6]~71775\,
	combout => \led_flash_cnt[3206][7]~71776_combout\);

-- Location: FF_X45_Y27_N15
\led_flash_cnt[3206][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3206][7]~71776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3206][7]~q\);

-- Location: LCCOMB_X45_Y27_N18
\WideAnd3206~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3206~0_combout\ = (\led_flash_cnt[3206][3]~q\ & (\led_flash_cnt[3206][4]~q\ & (\led_flash_cnt[3206][2]~q\ & \led_flash_cnt[3206][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3206][3]~q\,
	datab => \led_flash_cnt[3206][4]~q\,
	datac => \led_flash_cnt[3206][2]~q\,
	datad => \led_flash_cnt[3206][1]~q\,
	combout => \WideAnd3206~0_combout\);

-- Location: LCCOMB_X45_Y27_N26
WideAnd3206 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3206~combout\ = (\led_flash_cnt[3206][0]~q\ & (\WideAnd3206~1_combout\ & (\led_flash_cnt[3206][7]~q\ & \WideAnd3206~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3206][0]~q\,
	datab => \WideAnd3206~1_combout\,
	datac => \led_flash_cnt[3206][7]~q\,
	datad => \WideAnd3206~0_combout\,
	combout => \WideAnd3206~combout\);

-- Location: FF_X45_Y27_N27
\led_flash_cnt_ands[3206]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3206~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3206));

-- Location: LCCOMB_X50_Y26_N6
\led_flash_cnt[3204][0]~83844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3204][0]~83844_combout\ = !\led_flash_cnt[3204][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3204][0]~q\,
	combout => \led_flash_cnt[3204][0]~83844_combout\);

-- Location: FF_X50_Y26_N7
\led_flash_cnt[3204][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3204][0]~83844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3204][0]~q\);

-- Location: LCCOMB_X51_Y26_N4
\led_flash_cnt[3204][1]~71736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3204][1]~71736_combout\ = (\led_flash_cnt[3204][0]~q\ & (\led_flash_cnt[3204][1]~q\ $ (VCC))) # (!\led_flash_cnt[3204][0]~q\ & (\led_flash_cnt[3204][1]~q\ & VCC))
-- \led_flash_cnt[3204][1]~71737\ = CARRY((\led_flash_cnt[3204][0]~q\ & \led_flash_cnt[3204][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3204][0]~q\,
	datab => \led_flash_cnt[3204][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3204][1]~71736_combout\,
	cout => \led_flash_cnt[3204][1]~71737\);

-- Location: FF_X51_Y26_N5
\led_flash_cnt[3204][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3204][1]~71736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3204][1]~q\);

-- Location: LCCOMB_X51_Y26_N6
\led_flash_cnt[3204][2]~71738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3204][2]~71738_combout\ = (\led_flash_cnt[3204][2]~q\ & (!\led_flash_cnt[3204][1]~71737\)) # (!\led_flash_cnt[3204][2]~q\ & ((\led_flash_cnt[3204][1]~71737\) # (GND)))
-- \led_flash_cnt[3204][2]~71739\ = CARRY((!\led_flash_cnt[3204][1]~71737\) # (!\led_flash_cnt[3204][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3204][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3204][1]~71737\,
	combout => \led_flash_cnt[3204][2]~71738_combout\,
	cout => \led_flash_cnt[3204][2]~71739\);

-- Location: FF_X51_Y26_N7
\led_flash_cnt[3204][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3204][2]~71738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3204][2]~q\);

-- Location: LCCOMB_X51_Y26_N8
\led_flash_cnt[3204][3]~71740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3204][3]~71740_combout\ = (\led_flash_cnt[3204][3]~q\ & (\led_flash_cnt[3204][2]~71739\ $ (GND))) # (!\led_flash_cnt[3204][3]~q\ & (!\led_flash_cnt[3204][2]~71739\ & VCC))
-- \led_flash_cnt[3204][3]~71741\ = CARRY((\led_flash_cnt[3204][3]~q\ & !\led_flash_cnt[3204][2]~71739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3204][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3204][2]~71739\,
	combout => \led_flash_cnt[3204][3]~71740_combout\,
	cout => \led_flash_cnt[3204][3]~71741\);

-- Location: FF_X51_Y26_N9
\led_flash_cnt[3204][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3204][3]~71740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3204][3]~q\);

-- Location: LCCOMB_X51_Y26_N10
\led_flash_cnt[3204][4]~71742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3204][4]~71742_combout\ = (\led_flash_cnt[3204][4]~q\ & (!\led_flash_cnt[3204][3]~71741\)) # (!\led_flash_cnt[3204][4]~q\ & ((\led_flash_cnt[3204][3]~71741\) # (GND)))
-- \led_flash_cnt[3204][4]~71743\ = CARRY((!\led_flash_cnt[3204][3]~71741\) # (!\led_flash_cnt[3204][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3204][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3204][3]~71741\,
	combout => \led_flash_cnt[3204][4]~71742_combout\,
	cout => \led_flash_cnt[3204][4]~71743\);

-- Location: FF_X51_Y26_N11
\led_flash_cnt[3204][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3204][4]~71742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3204][4]~q\);

-- Location: LCCOMB_X51_Y26_N22
\WideAnd3204~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3204~0_combout\ = (\led_flash_cnt[3204][2]~q\ & (\led_flash_cnt[3204][3]~q\ & (\led_flash_cnt[3204][1]~q\ & \led_flash_cnt[3204][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3204][2]~q\,
	datab => \led_flash_cnt[3204][3]~q\,
	datac => \led_flash_cnt[3204][1]~q\,
	datad => \led_flash_cnt[3204][4]~q\,
	combout => \WideAnd3204~0_combout\);

-- Location: LCCOMB_X51_Y26_N12
\led_flash_cnt[3204][5]~71744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3204][5]~71744_combout\ = (\led_flash_cnt[3204][5]~q\ & (\led_flash_cnt[3204][4]~71743\ $ (GND))) # (!\led_flash_cnt[3204][5]~q\ & (!\led_flash_cnt[3204][4]~71743\ & VCC))
-- \led_flash_cnt[3204][5]~71745\ = CARRY((\led_flash_cnt[3204][5]~q\ & !\led_flash_cnt[3204][4]~71743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3204][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3204][4]~71743\,
	combout => \led_flash_cnt[3204][5]~71744_combout\,
	cout => \led_flash_cnt[3204][5]~71745\);

-- Location: FF_X51_Y26_N13
\led_flash_cnt[3204][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3204][5]~71744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3204][5]~q\);

-- Location: LCCOMB_X51_Y26_N14
\led_flash_cnt[3204][6]~71746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3204][6]~71746_combout\ = (\led_flash_cnt[3204][6]~q\ & (!\led_flash_cnt[3204][5]~71745\)) # (!\led_flash_cnt[3204][6]~q\ & ((\led_flash_cnt[3204][5]~71745\) # (GND)))
-- \led_flash_cnt[3204][6]~71747\ = CARRY((!\led_flash_cnt[3204][5]~71745\) # (!\led_flash_cnt[3204][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3204][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3204][5]~71745\,
	combout => \led_flash_cnt[3204][6]~71746_combout\,
	cout => \led_flash_cnt[3204][6]~71747\);

-- Location: FF_X51_Y26_N15
\led_flash_cnt[3204][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3204][6]~71746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3204][6]~q\);

-- Location: LCCOMB_X51_Y26_N16
\led_flash_cnt[3204][7]~71748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3204][7]~71748_combout\ = \led_flash_cnt[3204][6]~71747\ $ (!\led_flash_cnt[3204][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3204][7]~q\,
	cin => \led_flash_cnt[3204][6]~71747\,
	combout => \led_flash_cnt[3204][7]~71748_combout\);

-- Location: FF_X51_Y26_N17
\led_flash_cnt[3204][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3204][7]~71748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3204][7]~q\);

-- Location: LCCOMB_X51_Y26_N0
\WideAnd3204~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3204~1_combout\ = (\led_flash_cnt[3204][6]~q\ & \led_flash_cnt[3204][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3204][6]~q\,
	datad => \led_flash_cnt[3204][5]~q\,
	combout => \WideAnd3204~1_combout\);

-- Location: LCCOMB_X51_Y26_N26
WideAnd3204 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3204~combout\ = (\WideAnd3204~0_combout\ & (\led_flash_cnt[3204][7]~q\ & (\led_flash_cnt[3204][0]~q\ & \WideAnd3204~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3204~0_combout\,
	datab => \led_flash_cnt[3204][7]~q\,
	datac => \led_flash_cnt[3204][0]~q\,
	datad => \WideAnd3204~1_combout\,
	combout => \WideAnd3204~combout\);

-- Location: FF_X51_Y26_N27
\led_flash_cnt_ands[3204]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3204~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3204));

-- Location: LCCOMB_X54_Y26_N28
\led_flash_cnt[3205][0]~83845\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3205][0]~83845_combout\ = !\led_flash_cnt[3205][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3205][0]~q\,
	combout => \led_flash_cnt[3205][0]~83845_combout\);

-- Location: FF_X54_Y26_N29
\led_flash_cnt[3205][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3205][0]~83845_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3205][0]~q\);

-- Location: LCCOMB_X52_Y26_N0
\led_flash_cnt[3205][1]~71750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3205][1]~71750_combout\ = (\led_flash_cnt[3205][0]~q\ & (\led_flash_cnt[3205][1]~q\ $ (VCC))) # (!\led_flash_cnt[3205][0]~q\ & (\led_flash_cnt[3205][1]~q\ & VCC))
-- \led_flash_cnt[3205][1]~71751\ = CARRY((\led_flash_cnt[3205][0]~q\ & \led_flash_cnt[3205][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3205][0]~q\,
	datab => \led_flash_cnt[3205][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3205][1]~71750_combout\,
	cout => \led_flash_cnt[3205][1]~71751\);

-- Location: FF_X52_Y26_N1
\led_flash_cnt[3205][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3205][1]~71750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3205][1]~q\);

-- Location: LCCOMB_X52_Y26_N2
\led_flash_cnt[3205][2]~71752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3205][2]~71752_combout\ = (\led_flash_cnt[3205][2]~q\ & (!\led_flash_cnt[3205][1]~71751\)) # (!\led_flash_cnt[3205][2]~q\ & ((\led_flash_cnt[3205][1]~71751\) # (GND)))
-- \led_flash_cnt[3205][2]~71753\ = CARRY((!\led_flash_cnt[3205][1]~71751\) # (!\led_flash_cnt[3205][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3205][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3205][1]~71751\,
	combout => \led_flash_cnt[3205][2]~71752_combout\,
	cout => \led_flash_cnt[3205][2]~71753\);

-- Location: FF_X52_Y26_N3
\led_flash_cnt[3205][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3205][2]~71752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3205][2]~q\);

-- Location: LCCOMB_X52_Y26_N4
\led_flash_cnt[3205][3]~71754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3205][3]~71754_combout\ = (\led_flash_cnt[3205][3]~q\ & (\led_flash_cnt[3205][2]~71753\ $ (GND))) # (!\led_flash_cnt[3205][3]~q\ & (!\led_flash_cnt[3205][2]~71753\ & VCC))
-- \led_flash_cnt[3205][3]~71755\ = CARRY((\led_flash_cnt[3205][3]~q\ & !\led_flash_cnt[3205][2]~71753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3205][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3205][2]~71753\,
	combout => \led_flash_cnt[3205][3]~71754_combout\,
	cout => \led_flash_cnt[3205][3]~71755\);

-- Location: FF_X52_Y26_N5
\led_flash_cnt[3205][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3205][3]~71754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3205][3]~q\);

-- Location: LCCOMB_X52_Y26_N6
\led_flash_cnt[3205][4]~71756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3205][4]~71756_combout\ = (\led_flash_cnt[3205][4]~q\ & (!\led_flash_cnt[3205][3]~71755\)) # (!\led_flash_cnt[3205][4]~q\ & ((\led_flash_cnt[3205][3]~71755\) # (GND)))
-- \led_flash_cnt[3205][4]~71757\ = CARRY((!\led_flash_cnt[3205][3]~71755\) # (!\led_flash_cnt[3205][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3205][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3205][3]~71755\,
	combout => \led_flash_cnt[3205][4]~71756_combout\,
	cout => \led_flash_cnt[3205][4]~71757\);

-- Location: FF_X52_Y26_N7
\led_flash_cnt[3205][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3205][4]~71756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3205][4]~q\);

-- Location: LCCOMB_X52_Y26_N8
\led_flash_cnt[3205][5]~71758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3205][5]~71758_combout\ = (\led_flash_cnt[3205][5]~q\ & (\led_flash_cnt[3205][4]~71757\ $ (GND))) # (!\led_flash_cnt[3205][5]~q\ & (!\led_flash_cnt[3205][4]~71757\ & VCC))
-- \led_flash_cnt[3205][5]~71759\ = CARRY((\led_flash_cnt[3205][5]~q\ & !\led_flash_cnt[3205][4]~71757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3205][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3205][4]~71757\,
	combout => \led_flash_cnt[3205][5]~71758_combout\,
	cout => \led_flash_cnt[3205][5]~71759\);

-- Location: FF_X52_Y26_N9
\led_flash_cnt[3205][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3205][5]~71758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3205][5]~q\);

-- Location: LCCOMB_X52_Y26_N10
\led_flash_cnt[3205][6]~71760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3205][6]~71760_combout\ = (\led_flash_cnt[3205][6]~q\ & (!\led_flash_cnt[3205][5]~71759\)) # (!\led_flash_cnt[3205][6]~q\ & ((\led_flash_cnt[3205][5]~71759\) # (GND)))
-- \led_flash_cnt[3205][6]~71761\ = CARRY((!\led_flash_cnt[3205][5]~71759\) # (!\led_flash_cnt[3205][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3205][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3205][5]~71759\,
	combout => \led_flash_cnt[3205][6]~71760_combout\,
	cout => \led_flash_cnt[3205][6]~71761\);

-- Location: FF_X52_Y26_N11
\led_flash_cnt[3205][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3205][6]~71760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3205][6]~q\);

-- Location: LCCOMB_X52_Y26_N12
\led_flash_cnt[3205][7]~71762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3205][7]~71762_combout\ = \led_flash_cnt[3205][6]~71761\ $ (!\led_flash_cnt[3205][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3205][7]~q\,
	cin => \led_flash_cnt[3205][6]~71761\,
	combout => \led_flash_cnt[3205][7]~71762_combout\);

-- Location: FF_X52_Y26_N13
\led_flash_cnt[3205][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3205][7]~71762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3205][7]~q\);

-- Location: LCCOMB_X52_Y26_N30
\WideAnd3205~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3205~0_combout\ = (\led_flash_cnt[3205][4]~q\ & (\led_flash_cnt[3205][1]~q\ & (\led_flash_cnt[3205][3]~q\ & \led_flash_cnt[3205][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3205][4]~q\,
	datab => \led_flash_cnt[3205][1]~q\,
	datac => \led_flash_cnt[3205][3]~q\,
	datad => \led_flash_cnt[3205][2]~q\,
	combout => \WideAnd3205~0_combout\);

-- Location: LCCOMB_X51_Y26_N24
\WideAnd3205~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3205~1_combout\ = (\led_flash_cnt[3205][6]~q\ & \led_flash_cnt[3205][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3205][6]~q\,
	datac => \led_flash_cnt[3205][5]~q\,
	combout => \WideAnd3205~1_combout\);

-- Location: LCCOMB_X51_Y26_N28
WideAnd3205 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3205~combout\ = (\led_flash_cnt[3205][0]~q\ & (\led_flash_cnt[3205][7]~q\ & (\WideAnd3205~0_combout\ & \WideAnd3205~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3205][0]~q\,
	datab => \led_flash_cnt[3205][7]~q\,
	datac => \WideAnd3205~0_combout\,
	datad => \WideAnd3205~1_combout\,
	combout => \WideAnd3205~combout\);

-- Location: FF_X51_Y26_N29
\led_flash_cnt_ands[3205]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3205~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3205));

-- Location: LCCOMB_X50_Y26_N0
\WideAnd4240~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4240~1_combout\ = (led_flash_cnt_ands(3204) & led_flash_cnt_ands(3205))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3204),
	datad => led_flash_cnt_ands(3205),
	combout => \WideAnd4240~1_combout\);

-- Location: LCCOMB_X54_Y33_N26
\led_flash_cnt[3207][0]~83847\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3207][0]~83847_combout\ = !\led_flash_cnt[3207][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3207][0]~q\,
	combout => \led_flash_cnt[3207][0]~83847_combout\);

-- Location: FF_X54_Y33_N27
\led_flash_cnt[3207][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3207][0]~83847_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3207][0]~q\);

-- Location: LCCOMB_X54_Y33_N2
\led_flash_cnt[3207][1]~71778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3207][1]~71778_combout\ = (\led_flash_cnt[3207][0]~q\ & (\led_flash_cnt[3207][1]~q\ $ (VCC))) # (!\led_flash_cnt[3207][0]~q\ & (\led_flash_cnt[3207][1]~q\ & VCC))
-- \led_flash_cnt[3207][1]~71779\ = CARRY((\led_flash_cnt[3207][0]~q\ & \led_flash_cnt[3207][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3207][0]~q\,
	datab => \led_flash_cnt[3207][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3207][1]~71778_combout\,
	cout => \led_flash_cnt[3207][1]~71779\);

-- Location: FF_X54_Y33_N3
\led_flash_cnt[3207][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3207][1]~71778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3207][1]~q\);

-- Location: LCCOMB_X54_Y33_N4
\led_flash_cnt[3207][2]~71780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3207][2]~71780_combout\ = (\led_flash_cnt[3207][2]~q\ & (!\led_flash_cnt[3207][1]~71779\)) # (!\led_flash_cnt[3207][2]~q\ & ((\led_flash_cnt[3207][1]~71779\) # (GND)))
-- \led_flash_cnt[3207][2]~71781\ = CARRY((!\led_flash_cnt[3207][1]~71779\) # (!\led_flash_cnt[3207][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3207][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3207][1]~71779\,
	combout => \led_flash_cnt[3207][2]~71780_combout\,
	cout => \led_flash_cnt[3207][2]~71781\);

-- Location: FF_X54_Y33_N5
\led_flash_cnt[3207][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3207][2]~71780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3207][2]~q\);

-- Location: LCCOMB_X54_Y33_N6
\led_flash_cnt[3207][3]~71782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3207][3]~71782_combout\ = (\led_flash_cnt[3207][3]~q\ & (\led_flash_cnt[3207][2]~71781\ $ (GND))) # (!\led_flash_cnt[3207][3]~q\ & (!\led_flash_cnt[3207][2]~71781\ & VCC))
-- \led_flash_cnt[3207][3]~71783\ = CARRY((\led_flash_cnt[3207][3]~q\ & !\led_flash_cnt[3207][2]~71781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3207][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3207][2]~71781\,
	combout => \led_flash_cnt[3207][3]~71782_combout\,
	cout => \led_flash_cnt[3207][3]~71783\);

-- Location: FF_X54_Y33_N7
\led_flash_cnt[3207][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3207][3]~71782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3207][3]~q\);

-- Location: LCCOMB_X54_Y33_N8
\led_flash_cnt[3207][4]~71784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3207][4]~71784_combout\ = (\led_flash_cnt[3207][4]~q\ & (!\led_flash_cnt[3207][3]~71783\)) # (!\led_flash_cnt[3207][4]~q\ & ((\led_flash_cnt[3207][3]~71783\) # (GND)))
-- \led_flash_cnt[3207][4]~71785\ = CARRY((!\led_flash_cnt[3207][3]~71783\) # (!\led_flash_cnt[3207][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3207][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3207][3]~71783\,
	combout => \led_flash_cnt[3207][4]~71784_combout\,
	cout => \led_flash_cnt[3207][4]~71785\);

-- Location: FF_X54_Y33_N9
\led_flash_cnt[3207][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3207][4]~71784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3207][4]~q\);

-- Location: LCCOMB_X54_Y33_N10
\led_flash_cnt[3207][5]~71786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3207][5]~71786_combout\ = (\led_flash_cnt[3207][5]~q\ & (\led_flash_cnt[3207][4]~71785\ $ (GND))) # (!\led_flash_cnt[3207][5]~q\ & (!\led_flash_cnt[3207][4]~71785\ & VCC))
-- \led_flash_cnt[3207][5]~71787\ = CARRY((\led_flash_cnt[3207][5]~q\ & !\led_flash_cnt[3207][4]~71785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3207][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3207][4]~71785\,
	combout => \led_flash_cnt[3207][5]~71786_combout\,
	cout => \led_flash_cnt[3207][5]~71787\);

-- Location: FF_X54_Y33_N11
\led_flash_cnt[3207][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3207][5]~71786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3207][5]~q\);

-- Location: LCCOMB_X54_Y33_N12
\led_flash_cnt[3207][6]~71788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3207][6]~71788_combout\ = (\led_flash_cnt[3207][6]~q\ & (!\led_flash_cnt[3207][5]~71787\)) # (!\led_flash_cnt[3207][6]~q\ & ((\led_flash_cnt[3207][5]~71787\) # (GND)))
-- \led_flash_cnt[3207][6]~71789\ = CARRY((!\led_flash_cnt[3207][5]~71787\) # (!\led_flash_cnt[3207][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3207][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3207][5]~71787\,
	combout => \led_flash_cnt[3207][6]~71788_combout\,
	cout => \led_flash_cnt[3207][6]~71789\);

-- Location: FF_X54_Y33_N13
\led_flash_cnt[3207][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3207][6]~71788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3207][6]~q\);

-- Location: LCCOMB_X54_Y33_N30
\WideAnd3207~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3207~1_combout\ = (\led_flash_cnt[3207][6]~q\ & \led_flash_cnt[3207][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3207][6]~q\,
	datad => \led_flash_cnt[3207][5]~q\,
	combout => \WideAnd3207~1_combout\);

-- Location: LCCOMB_X54_Y33_N14
\led_flash_cnt[3207][7]~71790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3207][7]~71790_combout\ = \led_flash_cnt[3207][7]~q\ $ (!\led_flash_cnt[3207][6]~71789\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3207][7]~q\,
	cin => \led_flash_cnt[3207][6]~71789\,
	combout => \led_flash_cnt[3207][7]~71790_combout\);

-- Location: FF_X54_Y33_N15
\led_flash_cnt[3207][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3207][7]~71790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3207][7]~q\);

-- Location: LCCOMB_X54_Y33_N28
\WideAnd3207~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3207~0_combout\ = (\led_flash_cnt[3207][3]~q\ & (\led_flash_cnt[3207][4]~q\ & (\led_flash_cnt[3207][2]~q\ & \led_flash_cnt[3207][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3207][3]~q\,
	datab => \led_flash_cnt[3207][4]~q\,
	datac => \led_flash_cnt[3207][2]~q\,
	datad => \led_flash_cnt[3207][1]~q\,
	combout => \WideAnd3207~0_combout\);

-- Location: LCCOMB_X54_Y33_N20
WideAnd3207 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3207~combout\ = (\WideAnd3207~1_combout\ & (\led_flash_cnt[3207][7]~q\ & (\led_flash_cnt[3207][0]~q\ & \WideAnd3207~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3207~1_combout\,
	datab => \led_flash_cnt[3207][7]~q\,
	datac => \led_flash_cnt[3207][0]~q\,
	datad => \WideAnd3207~0_combout\,
	combout => \WideAnd3207~combout\);

-- Location: FF_X54_Y33_N21
\led_flash_cnt_ands[3207]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3207~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3207));

-- Location: LCCOMB_X54_Y30_N6
\led_flash_cnt[3200][0]~83840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3200][0]~83840_combout\ = !\led_flash_cnt[3200][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3200][0]~q\,
	combout => \led_flash_cnt[3200][0]~83840_combout\);

-- Location: FF_X54_Y30_N7
\led_flash_cnt[3200][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3200][0]~83840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3200][0]~q\);

-- Location: LCCOMB_X55_Y30_N0
\led_flash_cnt[3200][1]~71680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3200][1]~71680_combout\ = (\led_flash_cnt[3200][0]~q\ & (\led_flash_cnt[3200][1]~q\ $ (VCC))) # (!\led_flash_cnt[3200][0]~q\ & (\led_flash_cnt[3200][1]~q\ & VCC))
-- \led_flash_cnt[3200][1]~71681\ = CARRY((\led_flash_cnt[3200][0]~q\ & \led_flash_cnt[3200][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3200][0]~q\,
	datab => \led_flash_cnt[3200][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3200][1]~71680_combout\,
	cout => \led_flash_cnt[3200][1]~71681\);

-- Location: FF_X55_Y30_N1
\led_flash_cnt[3200][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3200][1]~71680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3200][1]~q\);

-- Location: LCCOMB_X55_Y30_N2
\led_flash_cnt[3200][2]~71682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3200][2]~71682_combout\ = (\led_flash_cnt[3200][2]~q\ & (!\led_flash_cnt[3200][1]~71681\)) # (!\led_flash_cnt[3200][2]~q\ & ((\led_flash_cnt[3200][1]~71681\) # (GND)))
-- \led_flash_cnt[3200][2]~71683\ = CARRY((!\led_flash_cnt[3200][1]~71681\) # (!\led_flash_cnt[3200][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3200][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3200][1]~71681\,
	combout => \led_flash_cnt[3200][2]~71682_combout\,
	cout => \led_flash_cnt[3200][2]~71683\);

-- Location: FF_X55_Y30_N3
\led_flash_cnt[3200][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3200][2]~71682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3200][2]~q\);

-- Location: LCCOMB_X55_Y30_N4
\led_flash_cnt[3200][3]~71684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3200][3]~71684_combout\ = (\led_flash_cnt[3200][3]~q\ & (\led_flash_cnt[3200][2]~71683\ $ (GND))) # (!\led_flash_cnt[3200][3]~q\ & (!\led_flash_cnt[3200][2]~71683\ & VCC))
-- \led_flash_cnt[3200][3]~71685\ = CARRY((\led_flash_cnt[3200][3]~q\ & !\led_flash_cnt[3200][2]~71683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3200][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3200][2]~71683\,
	combout => \led_flash_cnt[3200][3]~71684_combout\,
	cout => \led_flash_cnt[3200][3]~71685\);

-- Location: FF_X55_Y30_N5
\led_flash_cnt[3200][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3200][3]~71684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3200][3]~q\);

-- Location: LCCOMB_X55_Y30_N6
\led_flash_cnt[3200][4]~71686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3200][4]~71686_combout\ = (\led_flash_cnt[3200][4]~q\ & (!\led_flash_cnt[3200][3]~71685\)) # (!\led_flash_cnt[3200][4]~q\ & ((\led_flash_cnt[3200][3]~71685\) # (GND)))
-- \led_flash_cnt[3200][4]~71687\ = CARRY((!\led_flash_cnt[3200][3]~71685\) # (!\led_flash_cnt[3200][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3200][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3200][3]~71685\,
	combout => \led_flash_cnt[3200][4]~71686_combout\,
	cout => \led_flash_cnt[3200][4]~71687\);

-- Location: FF_X55_Y30_N7
\led_flash_cnt[3200][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3200][4]~71686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3200][4]~q\);

-- Location: LCCOMB_X55_Y30_N8
\led_flash_cnt[3200][5]~71688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3200][5]~71688_combout\ = (\led_flash_cnt[3200][5]~q\ & (\led_flash_cnt[3200][4]~71687\ $ (GND))) # (!\led_flash_cnt[3200][5]~q\ & (!\led_flash_cnt[3200][4]~71687\ & VCC))
-- \led_flash_cnt[3200][5]~71689\ = CARRY((\led_flash_cnt[3200][5]~q\ & !\led_flash_cnt[3200][4]~71687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3200][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3200][4]~71687\,
	combout => \led_flash_cnt[3200][5]~71688_combout\,
	cout => \led_flash_cnt[3200][5]~71689\);

-- Location: FF_X55_Y30_N9
\led_flash_cnt[3200][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3200][5]~71688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3200][5]~q\);

-- Location: LCCOMB_X55_Y30_N10
\led_flash_cnt[3200][6]~71690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3200][6]~71690_combout\ = (\led_flash_cnt[3200][6]~q\ & (!\led_flash_cnt[3200][5]~71689\)) # (!\led_flash_cnt[3200][6]~q\ & ((\led_flash_cnt[3200][5]~71689\) # (GND)))
-- \led_flash_cnt[3200][6]~71691\ = CARRY((!\led_flash_cnt[3200][5]~71689\) # (!\led_flash_cnt[3200][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3200][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3200][5]~71689\,
	combout => \led_flash_cnt[3200][6]~71690_combout\,
	cout => \led_flash_cnt[3200][6]~71691\);

-- Location: FF_X55_Y30_N11
\led_flash_cnt[3200][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3200][6]~71690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3200][6]~q\);

-- Location: LCCOMB_X54_Y30_N30
\WideAnd3200~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3200~1_combout\ = (\led_flash_cnt[3200][6]~q\ & \led_flash_cnt[3200][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3200][6]~q\,
	datac => \led_flash_cnt[3200][5]~q\,
	combout => \WideAnd3200~1_combout\);

-- Location: LCCOMB_X54_Y30_N8
\WideAnd3200~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3200~0_combout\ = (\led_flash_cnt[3200][3]~q\ & (\led_flash_cnt[3200][4]~q\ & (\led_flash_cnt[3200][1]~q\ & \led_flash_cnt[3200][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3200][3]~q\,
	datab => \led_flash_cnt[3200][4]~q\,
	datac => \led_flash_cnt[3200][1]~q\,
	datad => \led_flash_cnt[3200][2]~q\,
	combout => \WideAnd3200~0_combout\);

-- Location: LCCOMB_X55_Y30_N12
\led_flash_cnt[3200][7]~71692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3200][7]~71692_combout\ = \led_flash_cnt[3200][6]~71691\ $ (!\led_flash_cnt[3200][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3200][7]~q\,
	cin => \led_flash_cnt[3200][6]~71691\,
	combout => \led_flash_cnt[3200][7]~71692_combout\);

-- Location: FF_X55_Y30_N13
\led_flash_cnt[3200][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3200][7]~71692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3200][7]~q\);

-- Location: LCCOMB_X54_Y30_N2
WideAnd3200 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3200~combout\ = (\WideAnd3200~1_combout\ & (\WideAnd3200~0_combout\ & (\led_flash_cnt[3200][7]~q\ & \led_flash_cnt[3200][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3200~1_combout\,
	datab => \WideAnd3200~0_combout\,
	datac => \led_flash_cnt[3200][7]~q\,
	datad => \led_flash_cnt[3200][0]~q\,
	combout => \WideAnd3200~combout\);

-- Location: FF_X54_Y30_N3
\led_flash_cnt_ands[3200]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3200~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3200));

-- Location: LCCOMB_X54_Y30_N12
\led_flash_cnt[3201][0]~83841\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3201][0]~83841_combout\ = !\led_flash_cnt[3201][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3201][0]~q\,
	combout => \led_flash_cnt[3201][0]~83841_combout\);

-- Location: FF_X54_Y30_N13
\led_flash_cnt[3201][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3201][0]~83841_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3201][0]~q\);

-- Location: LCCOMB_X54_Y30_N16
\led_flash_cnt[3201][1]~71694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3201][1]~71694_combout\ = (\led_flash_cnt[3201][0]~q\ & (\led_flash_cnt[3201][1]~q\ $ (VCC))) # (!\led_flash_cnt[3201][0]~q\ & (\led_flash_cnt[3201][1]~q\ & VCC))
-- \led_flash_cnt[3201][1]~71695\ = CARRY((\led_flash_cnt[3201][0]~q\ & \led_flash_cnt[3201][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3201][0]~q\,
	datab => \led_flash_cnt[3201][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3201][1]~71694_combout\,
	cout => \led_flash_cnt[3201][1]~71695\);

-- Location: FF_X54_Y30_N17
\led_flash_cnt[3201][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3201][1]~71694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3201][1]~q\);

-- Location: LCCOMB_X54_Y30_N18
\led_flash_cnt[3201][2]~71696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3201][2]~71696_combout\ = (\led_flash_cnt[3201][2]~q\ & (!\led_flash_cnt[3201][1]~71695\)) # (!\led_flash_cnt[3201][2]~q\ & ((\led_flash_cnt[3201][1]~71695\) # (GND)))
-- \led_flash_cnt[3201][2]~71697\ = CARRY((!\led_flash_cnt[3201][1]~71695\) # (!\led_flash_cnt[3201][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3201][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3201][1]~71695\,
	combout => \led_flash_cnt[3201][2]~71696_combout\,
	cout => \led_flash_cnt[3201][2]~71697\);

-- Location: FF_X54_Y30_N19
\led_flash_cnt[3201][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3201][2]~71696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3201][2]~q\);

-- Location: LCCOMB_X54_Y30_N20
\led_flash_cnt[3201][3]~71698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3201][3]~71698_combout\ = (\led_flash_cnt[3201][3]~q\ & (\led_flash_cnt[3201][2]~71697\ $ (GND))) # (!\led_flash_cnt[3201][3]~q\ & (!\led_flash_cnt[3201][2]~71697\ & VCC))
-- \led_flash_cnt[3201][3]~71699\ = CARRY((\led_flash_cnt[3201][3]~q\ & !\led_flash_cnt[3201][2]~71697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3201][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3201][2]~71697\,
	combout => \led_flash_cnt[3201][3]~71698_combout\,
	cout => \led_flash_cnt[3201][3]~71699\);

-- Location: FF_X54_Y30_N21
\led_flash_cnt[3201][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3201][3]~71698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3201][3]~q\);

-- Location: LCCOMB_X54_Y30_N22
\led_flash_cnt[3201][4]~71700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3201][4]~71700_combout\ = (\led_flash_cnt[3201][4]~q\ & (!\led_flash_cnt[3201][3]~71699\)) # (!\led_flash_cnt[3201][4]~q\ & ((\led_flash_cnt[3201][3]~71699\) # (GND)))
-- \led_flash_cnt[3201][4]~71701\ = CARRY((!\led_flash_cnt[3201][3]~71699\) # (!\led_flash_cnt[3201][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3201][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3201][3]~71699\,
	combout => \led_flash_cnt[3201][4]~71700_combout\,
	cout => \led_flash_cnt[3201][4]~71701\);

-- Location: FF_X54_Y30_N23
\led_flash_cnt[3201][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3201][4]~71700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3201][4]~q\);

-- Location: LCCOMB_X54_Y30_N24
\led_flash_cnt[3201][5]~71702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3201][5]~71702_combout\ = (\led_flash_cnt[3201][5]~q\ & (\led_flash_cnt[3201][4]~71701\ $ (GND))) # (!\led_flash_cnt[3201][5]~q\ & (!\led_flash_cnt[3201][4]~71701\ & VCC))
-- \led_flash_cnt[3201][5]~71703\ = CARRY((\led_flash_cnt[3201][5]~q\ & !\led_flash_cnt[3201][4]~71701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3201][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3201][4]~71701\,
	combout => \led_flash_cnt[3201][5]~71702_combout\,
	cout => \led_flash_cnt[3201][5]~71703\);

-- Location: FF_X54_Y30_N25
\led_flash_cnt[3201][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3201][5]~71702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3201][5]~q\);

-- Location: LCCOMB_X54_Y30_N26
\led_flash_cnt[3201][6]~71704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3201][6]~71704_combout\ = (\led_flash_cnt[3201][6]~q\ & (!\led_flash_cnt[3201][5]~71703\)) # (!\led_flash_cnt[3201][6]~q\ & ((\led_flash_cnt[3201][5]~71703\) # (GND)))
-- \led_flash_cnt[3201][6]~71705\ = CARRY((!\led_flash_cnt[3201][5]~71703\) # (!\led_flash_cnt[3201][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3201][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3201][5]~71703\,
	combout => \led_flash_cnt[3201][6]~71704_combout\,
	cout => \led_flash_cnt[3201][6]~71705\);

-- Location: FF_X54_Y30_N27
\led_flash_cnt[3201][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3201][6]~71704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3201][6]~q\);

-- Location: LCCOMB_X54_Y30_N28
\led_flash_cnt[3201][7]~71706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3201][7]~71706_combout\ = \led_flash_cnt[3201][6]~71705\ $ (!\led_flash_cnt[3201][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3201][7]~q\,
	cin => \led_flash_cnt[3201][6]~71705\,
	combout => \led_flash_cnt[3201][7]~71706_combout\);

-- Location: FF_X54_Y30_N29
\led_flash_cnt[3201][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3201][7]~71706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3201][7]~q\);

-- Location: LCCOMB_X54_Y30_N14
\WideAnd3201~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3201~1_combout\ = (\led_flash_cnt[3201][6]~q\ & \led_flash_cnt[3201][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3201][6]~q\,
	datad => \led_flash_cnt[3201][5]~q\,
	combout => \WideAnd3201~1_combout\);

-- Location: LCCOMB_X54_Y30_N10
\WideAnd3201~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3201~0_combout\ = (\led_flash_cnt[3201][3]~q\ & (\led_flash_cnt[3201][1]~q\ & (\led_flash_cnt[3201][4]~q\ & \led_flash_cnt[3201][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3201][3]~q\,
	datab => \led_flash_cnt[3201][1]~q\,
	datac => \led_flash_cnt[3201][4]~q\,
	datad => \led_flash_cnt[3201][2]~q\,
	combout => \WideAnd3201~0_combout\);

-- Location: LCCOMB_X54_Y30_N4
WideAnd3201 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3201~combout\ = (\led_flash_cnt[3201][0]~q\ & (\led_flash_cnt[3201][7]~q\ & (\WideAnd3201~1_combout\ & \WideAnd3201~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3201][0]~q\,
	datab => \led_flash_cnt[3201][7]~q\,
	datac => \WideAnd3201~1_combout\,
	datad => \WideAnd3201~0_combout\,
	combout => \WideAnd3201~combout\);

-- Location: FF_X54_Y30_N5
\led_flash_cnt_ands[3201]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3201~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3201));

-- Location: LCCOMB_X26_Y9_N6
\led_flash_cnt[3203][0]~83843\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3203][0]~83843_combout\ = !\led_flash_cnt[3203][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3203][0]~q\,
	combout => \led_flash_cnt[3203][0]~83843_combout\);

-- Location: FF_X26_Y9_N7
\led_flash_cnt[3203][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3203][0]~83843_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3203][0]~q\);

-- Location: LCCOMB_X26_Y9_N16
\led_flash_cnt[3203][1]~71722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3203][1]~71722_combout\ = (\led_flash_cnt[3203][0]~q\ & (\led_flash_cnt[3203][1]~q\ $ (VCC))) # (!\led_flash_cnt[3203][0]~q\ & (\led_flash_cnt[3203][1]~q\ & VCC))
-- \led_flash_cnt[3203][1]~71723\ = CARRY((\led_flash_cnt[3203][0]~q\ & \led_flash_cnt[3203][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3203][0]~q\,
	datab => \led_flash_cnt[3203][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3203][1]~71722_combout\,
	cout => \led_flash_cnt[3203][1]~71723\);

-- Location: FF_X26_Y9_N17
\led_flash_cnt[3203][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3203][1]~71722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3203][1]~q\);

-- Location: LCCOMB_X26_Y9_N18
\led_flash_cnt[3203][2]~71724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3203][2]~71724_combout\ = (\led_flash_cnt[3203][2]~q\ & (!\led_flash_cnt[3203][1]~71723\)) # (!\led_flash_cnt[3203][2]~q\ & ((\led_flash_cnt[3203][1]~71723\) # (GND)))
-- \led_flash_cnt[3203][2]~71725\ = CARRY((!\led_flash_cnt[3203][1]~71723\) # (!\led_flash_cnt[3203][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3203][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3203][1]~71723\,
	combout => \led_flash_cnt[3203][2]~71724_combout\,
	cout => \led_flash_cnt[3203][2]~71725\);

-- Location: FF_X26_Y9_N19
\led_flash_cnt[3203][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3203][2]~71724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3203][2]~q\);

-- Location: LCCOMB_X26_Y9_N20
\led_flash_cnt[3203][3]~71726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3203][3]~71726_combout\ = (\led_flash_cnt[3203][3]~q\ & (\led_flash_cnt[3203][2]~71725\ $ (GND))) # (!\led_flash_cnt[3203][3]~q\ & (!\led_flash_cnt[3203][2]~71725\ & VCC))
-- \led_flash_cnt[3203][3]~71727\ = CARRY((\led_flash_cnt[3203][3]~q\ & !\led_flash_cnt[3203][2]~71725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3203][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3203][2]~71725\,
	combout => \led_flash_cnt[3203][3]~71726_combout\,
	cout => \led_flash_cnt[3203][3]~71727\);

-- Location: FF_X26_Y9_N21
\led_flash_cnt[3203][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3203][3]~71726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3203][3]~q\);

-- Location: LCCOMB_X26_Y9_N22
\led_flash_cnt[3203][4]~71728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3203][4]~71728_combout\ = (\led_flash_cnt[3203][4]~q\ & (!\led_flash_cnt[3203][3]~71727\)) # (!\led_flash_cnt[3203][4]~q\ & ((\led_flash_cnt[3203][3]~71727\) # (GND)))
-- \led_flash_cnt[3203][4]~71729\ = CARRY((!\led_flash_cnt[3203][3]~71727\) # (!\led_flash_cnt[3203][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3203][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3203][3]~71727\,
	combout => \led_flash_cnt[3203][4]~71728_combout\,
	cout => \led_flash_cnt[3203][4]~71729\);

-- Location: FF_X26_Y9_N23
\led_flash_cnt[3203][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3203][4]~71728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3203][4]~q\);

-- Location: LCCOMB_X26_Y9_N24
\led_flash_cnt[3203][5]~71730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3203][5]~71730_combout\ = (\led_flash_cnt[3203][5]~q\ & (\led_flash_cnt[3203][4]~71729\ $ (GND))) # (!\led_flash_cnt[3203][5]~q\ & (!\led_flash_cnt[3203][4]~71729\ & VCC))
-- \led_flash_cnt[3203][5]~71731\ = CARRY((\led_flash_cnt[3203][5]~q\ & !\led_flash_cnt[3203][4]~71729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3203][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3203][4]~71729\,
	combout => \led_flash_cnt[3203][5]~71730_combout\,
	cout => \led_flash_cnt[3203][5]~71731\);

-- Location: FF_X26_Y9_N25
\led_flash_cnt[3203][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3203][5]~71730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3203][5]~q\);

-- Location: LCCOMB_X26_Y9_N26
\led_flash_cnt[3203][6]~71732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3203][6]~71732_combout\ = (\led_flash_cnt[3203][6]~q\ & (!\led_flash_cnt[3203][5]~71731\)) # (!\led_flash_cnt[3203][6]~q\ & ((\led_flash_cnt[3203][5]~71731\) # (GND)))
-- \led_flash_cnt[3203][6]~71733\ = CARRY((!\led_flash_cnt[3203][5]~71731\) # (!\led_flash_cnt[3203][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3203][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3203][5]~71731\,
	combout => \led_flash_cnt[3203][6]~71732_combout\,
	cout => \led_flash_cnt[3203][6]~71733\);

-- Location: FF_X26_Y9_N27
\led_flash_cnt[3203][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3203][6]~71732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3203][6]~q\);

-- Location: LCCOMB_X26_Y9_N28
\led_flash_cnt[3203][7]~71734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3203][7]~71734_combout\ = \led_flash_cnt[3203][6]~71733\ $ (!\led_flash_cnt[3203][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3203][7]~q\,
	cin => \led_flash_cnt[3203][6]~71733\,
	combout => \led_flash_cnt[3203][7]~71734_combout\);

-- Location: FF_X26_Y9_N29
\led_flash_cnt[3203][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3203][7]~71734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3203][7]~q\);

-- Location: LCCOMB_X26_Y9_N14
\WideAnd3203~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3203~1_combout\ = (\led_flash_cnt[3203][6]~q\ & \led_flash_cnt[3203][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3203][6]~q\,
	datad => \led_flash_cnt[3203][5]~q\,
	combout => \WideAnd3203~1_combout\);

-- Location: LCCOMB_X26_Y9_N12
\WideAnd3203~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3203~0_combout\ = (\led_flash_cnt[3203][2]~q\ & (\led_flash_cnt[3203][1]~q\ & (\led_flash_cnt[3203][4]~q\ & \led_flash_cnt[3203][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3203][2]~q\,
	datab => \led_flash_cnt[3203][1]~q\,
	datac => \led_flash_cnt[3203][4]~q\,
	datad => \led_flash_cnt[3203][3]~q\,
	combout => \WideAnd3203~0_combout\);

-- Location: LCCOMB_X26_Y9_N30
WideAnd3203 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3203~combout\ = (\led_flash_cnt[3203][0]~q\ & (\led_flash_cnt[3203][7]~q\ & (\WideAnd3203~1_combout\ & \WideAnd3203~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3203][0]~q\,
	datab => \led_flash_cnt[3203][7]~q\,
	datac => \WideAnd3203~1_combout\,
	datad => \WideAnd3203~0_combout\,
	combout => \WideAnd3203~combout\);

-- Location: FF_X26_Y9_N31
\led_flash_cnt_ands[3203]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3203~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3203));

-- Location: LCCOMB_X45_Y27_N22
\led_flash_cnt[3202][0]~83842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3202][0]~83842_combout\ = !\led_flash_cnt[3202][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3202][0]~q\,
	combout => \led_flash_cnt[3202][0]~83842_combout\);

-- Location: FF_X45_Y27_N23
\led_flash_cnt[3202][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3202][0]~83842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3202][0]~q\);

-- Location: LCCOMB_X44_Y27_N4
\led_flash_cnt[3202][1]~71708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3202][1]~71708_combout\ = (\led_flash_cnt[3202][0]~q\ & (\led_flash_cnt[3202][1]~q\ $ (VCC))) # (!\led_flash_cnt[3202][0]~q\ & (\led_flash_cnt[3202][1]~q\ & VCC))
-- \led_flash_cnt[3202][1]~71709\ = CARRY((\led_flash_cnt[3202][0]~q\ & \led_flash_cnt[3202][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3202][0]~q\,
	datab => \led_flash_cnt[3202][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3202][1]~71708_combout\,
	cout => \led_flash_cnt[3202][1]~71709\);

-- Location: FF_X44_Y27_N5
\led_flash_cnt[3202][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3202][1]~71708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3202][1]~q\);

-- Location: LCCOMB_X44_Y27_N6
\led_flash_cnt[3202][2]~71710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3202][2]~71710_combout\ = (\led_flash_cnt[3202][2]~q\ & (!\led_flash_cnt[3202][1]~71709\)) # (!\led_flash_cnt[3202][2]~q\ & ((\led_flash_cnt[3202][1]~71709\) # (GND)))
-- \led_flash_cnt[3202][2]~71711\ = CARRY((!\led_flash_cnt[3202][1]~71709\) # (!\led_flash_cnt[3202][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3202][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3202][1]~71709\,
	combout => \led_flash_cnt[3202][2]~71710_combout\,
	cout => \led_flash_cnt[3202][2]~71711\);

-- Location: FF_X44_Y27_N7
\led_flash_cnt[3202][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3202][2]~71710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3202][2]~q\);

-- Location: LCCOMB_X44_Y27_N8
\led_flash_cnt[3202][3]~71712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3202][3]~71712_combout\ = (\led_flash_cnt[3202][3]~q\ & (\led_flash_cnt[3202][2]~71711\ $ (GND))) # (!\led_flash_cnt[3202][3]~q\ & (!\led_flash_cnt[3202][2]~71711\ & VCC))
-- \led_flash_cnt[3202][3]~71713\ = CARRY((\led_flash_cnt[3202][3]~q\ & !\led_flash_cnt[3202][2]~71711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3202][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3202][2]~71711\,
	combout => \led_flash_cnt[3202][3]~71712_combout\,
	cout => \led_flash_cnt[3202][3]~71713\);

-- Location: FF_X44_Y27_N9
\led_flash_cnt[3202][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3202][3]~71712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3202][3]~q\);

-- Location: LCCOMB_X44_Y27_N10
\led_flash_cnt[3202][4]~71714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3202][4]~71714_combout\ = (\led_flash_cnt[3202][4]~q\ & (!\led_flash_cnt[3202][3]~71713\)) # (!\led_flash_cnt[3202][4]~q\ & ((\led_flash_cnt[3202][3]~71713\) # (GND)))
-- \led_flash_cnt[3202][4]~71715\ = CARRY((!\led_flash_cnt[3202][3]~71713\) # (!\led_flash_cnt[3202][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3202][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3202][3]~71713\,
	combout => \led_flash_cnt[3202][4]~71714_combout\,
	cout => \led_flash_cnt[3202][4]~71715\);

-- Location: FF_X44_Y27_N11
\led_flash_cnt[3202][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3202][4]~71714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3202][4]~q\);

-- Location: LCCOMB_X44_Y27_N2
\WideAnd3202~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3202~0_combout\ = (\led_flash_cnt[3202][2]~q\ & (\led_flash_cnt[3202][3]~q\ & (\led_flash_cnt[3202][1]~q\ & \led_flash_cnt[3202][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3202][2]~q\,
	datab => \led_flash_cnt[3202][3]~q\,
	datac => \led_flash_cnt[3202][1]~q\,
	datad => \led_flash_cnt[3202][4]~q\,
	combout => \WideAnd3202~0_combout\);

-- Location: LCCOMB_X44_Y27_N12
\led_flash_cnt[3202][5]~71716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3202][5]~71716_combout\ = (\led_flash_cnt[3202][5]~q\ & (\led_flash_cnt[3202][4]~71715\ $ (GND))) # (!\led_flash_cnt[3202][5]~q\ & (!\led_flash_cnt[3202][4]~71715\ & VCC))
-- \led_flash_cnt[3202][5]~71717\ = CARRY((\led_flash_cnt[3202][5]~q\ & !\led_flash_cnt[3202][4]~71715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3202][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3202][4]~71715\,
	combout => \led_flash_cnt[3202][5]~71716_combout\,
	cout => \led_flash_cnt[3202][5]~71717\);

-- Location: FF_X44_Y27_N13
\led_flash_cnt[3202][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3202][5]~71716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3202][5]~q\);

-- Location: LCCOMB_X44_Y27_N14
\led_flash_cnt[3202][6]~71718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3202][6]~71718_combout\ = (\led_flash_cnt[3202][6]~q\ & (!\led_flash_cnt[3202][5]~71717\)) # (!\led_flash_cnt[3202][6]~q\ & ((\led_flash_cnt[3202][5]~71717\) # (GND)))
-- \led_flash_cnt[3202][6]~71719\ = CARRY((!\led_flash_cnt[3202][5]~71717\) # (!\led_flash_cnt[3202][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3202][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3202][5]~71717\,
	combout => \led_flash_cnt[3202][6]~71718_combout\,
	cout => \led_flash_cnt[3202][6]~71719\);

-- Location: FF_X44_Y27_N15
\led_flash_cnt[3202][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3202][6]~71718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3202][6]~q\);

-- Location: LCCOMB_X45_Y27_N28
\WideAnd3202~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3202~1_combout\ = (\led_flash_cnt[3202][6]~q\ & \led_flash_cnt[3202][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3202][6]~q\,
	datad => \led_flash_cnt[3202][5]~q\,
	combout => \WideAnd3202~1_combout\);

-- Location: LCCOMB_X44_Y27_N16
\led_flash_cnt[3202][7]~71720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3202][7]~71720_combout\ = \led_flash_cnt[3202][6]~71719\ $ (!\led_flash_cnt[3202][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3202][7]~q\,
	cin => \led_flash_cnt[3202][6]~71719\,
	combout => \led_flash_cnt[3202][7]~71720_combout\);

-- Location: FF_X44_Y27_N17
\led_flash_cnt[3202][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3202][7]~71720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3202][7]~q\);

-- Location: LCCOMB_X45_Y27_N20
WideAnd3202 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3202~combout\ = (\WideAnd3202~0_combout\ & (\WideAnd3202~1_combout\ & (\led_flash_cnt[3202][7]~q\ & \led_flash_cnt[3202][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3202~0_combout\,
	datab => \WideAnd3202~1_combout\,
	datac => \led_flash_cnt[3202][7]~q\,
	datad => \led_flash_cnt[3202][0]~q\,
	combout => \WideAnd3202~combout\);

-- Location: FF_X45_Y27_N21
\led_flash_cnt_ands[3202]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3202~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3202));

-- Location: LCCOMB_X46_Y27_N18
\WideAnd4240~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4240~0_combout\ = (led_flash_cnt_ands(3200) & (led_flash_cnt_ands(3201) & (led_flash_cnt_ands(3203) & led_flash_cnt_ands(3202))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3200),
	datab => led_flash_cnt_ands(3201),
	datac => led_flash_cnt_ands(3203),
	datad => led_flash_cnt_ands(3202),
	combout => \WideAnd4240~0_combout\);

-- Location: LCCOMB_X46_Y27_N28
WideAnd4240 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4240~combout\ = (led_flash_cnt_ands(3206) & (\WideAnd4240~1_combout\ & (led_flash_cnt_ands(3207) & \WideAnd4240~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3206),
	datab => \WideAnd4240~1_combout\,
	datac => led_flash_cnt_ands(3207),
	datad => \WideAnd4240~0_combout\,
	combout => \WideAnd4240~combout\);

-- Location: FF_X46_Y27_N29
\led_flash_cnt_ands_1[400]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4240~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(400));

-- Location: LCCOMB_X25_Y24_N22
\led_flash_cnt[3224][0]~83864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3224][0]~83864_combout\ = !\led_flash_cnt[3224][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3224][0]~q\,
	combout => \led_flash_cnt[3224][0]~83864_combout\);

-- Location: FF_X25_Y24_N23
\led_flash_cnt[3224][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3224][0]~83864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3224][0]~q\);

-- Location: LCCOMB_X25_Y24_N2
\led_flash_cnt[3224][1]~72016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3224][1]~72016_combout\ = (\led_flash_cnt[3224][0]~q\ & (\led_flash_cnt[3224][1]~q\ $ (VCC))) # (!\led_flash_cnt[3224][0]~q\ & (\led_flash_cnt[3224][1]~q\ & VCC))
-- \led_flash_cnt[3224][1]~72017\ = CARRY((\led_flash_cnt[3224][0]~q\ & \led_flash_cnt[3224][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3224][0]~q\,
	datab => \led_flash_cnt[3224][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3224][1]~72016_combout\,
	cout => \led_flash_cnt[3224][1]~72017\);

-- Location: FF_X25_Y24_N3
\led_flash_cnt[3224][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3224][1]~72016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3224][1]~q\);

-- Location: LCCOMB_X25_Y24_N4
\led_flash_cnt[3224][2]~72018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3224][2]~72018_combout\ = (\led_flash_cnt[3224][2]~q\ & (!\led_flash_cnt[3224][1]~72017\)) # (!\led_flash_cnt[3224][2]~q\ & ((\led_flash_cnt[3224][1]~72017\) # (GND)))
-- \led_flash_cnt[3224][2]~72019\ = CARRY((!\led_flash_cnt[3224][1]~72017\) # (!\led_flash_cnt[3224][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3224][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3224][1]~72017\,
	combout => \led_flash_cnt[3224][2]~72018_combout\,
	cout => \led_flash_cnt[3224][2]~72019\);

-- Location: FF_X25_Y24_N5
\led_flash_cnt[3224][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3224][2]~72018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3224][2]~q\);

-- Location: LCCOMB_X25_Y24_N6
\led_flash_cnt[3224][3]~72020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3224][3]~72020_combout\ = (\led_flash_cnt[3224][3]~q\ & (\led_flash_cnt[3224][2]~72019\ $ (GND))) # (!\led_flash_cnt[3224][3]~q\ & (!\led_flash_cnt[3224][2]~72019\ & VCC))
-- \led_flash_cnt[3224][3]~72021\ = CARRY((\led_flash_cnt[3224][3]~q\ & !\led_flash_cnt[3224][2]~72019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3224][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3224][2]~72019\,
	combout => \led_flash_cnt[3224][3]~72020_combout\,
	cout => \led_flash_cnt[3224][3]~72021\);

-- Location: FF_X25_Y24_N7
\led_flash_cnt[3224][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3224][3]~72020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3224][3]~q\);

-- Location: LCCOMB_X25_Y24_N8
\led_flash_cnt[3224][4]~72022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3224][4]~72022_combout\ = (\led_flash_cnt[3224][4]~q\ & (!\led_flash_cnt[3224][3]~72021\)) # (!\led_flash_cnt[3224][4]~q\ & ((\led_flash_cnt[3224][3]~72021\) # (GND)))
-- \led_flash_cnt[3224][4]~72023\ = CARRY((!\led_flash_cnt[3224][3]~72021\) # (!\led_flash_cnt[3224][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3224][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3224][3]~72021\,
	combout => \led_flash_cnt[3224][4]~72022_combout\,
	cout => \led_flash_cnt[3224][4]~72023\);

-- Location: FF_X25_Y24_N9
\led_flash_cnt[3224][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3224][4]~72022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3224][4]~q\);

-- Location: LCCOMB_X25_Y24_N30
\WideAnd3224~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3224~0_combout\ = (\led_flash_cnt[3224][3]~q\ & (\led_flash_cnt[3224][4]~q\ & (\led_flash_cnt[3224][2]~q\ & \led_flash_cnt[3224][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3224][3]~q\,
	datab => \led_flash_cnt[3224][4]~q\,
	datac => \led_flash_cnt[3224][2]~q\,
	datad => \led_flash_cnt[3224][1]~q\,
	combout => \WideAnd3224~0_combout\);

-- Location: LCCOMB_X25_Y24_N10
\led_flash_cnt[3224][5]~72024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3224][5]~72024_combout\ = (\led_flash_cnt[3224][5]~q\ & (\led_flash_cnt[3224][4]~72023\ $ (GND))) # (!\led_flash_cnt[3224][5]~q\ & (!\led_flash_cnt[3224][4]~72023\ & VCC))
-- \led_flash_cnt[3224][5]~72025\ = CARRY((\led_flash_cnt[3224][5]~q\ & !\led_flash_cnt[3224][4]~72023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3224][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3224][4]~72023\,
	combout => \led_flash_cnt[3224][5]~72024_combout\,
	cout => \led_flash_cnt[3224][5]~72025\);

-- Location: FF_X25_Y24_N11
\led_flash_cnt[3224][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3224][5]~72024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3224][5]~q\);

-- Location: LCCOMB_X25_Y24_N12
\led_flash_cnt[3224][6]~72026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3224][6]~72026_combout\ = (\led_flash_cnt[3224][6]~q\ & (!\led_flash_cnt[3224][5]~72025\)) # (!\led_flash_cnt[3224][6]~q\ & ((\led_flash_cnt[3224][5]~72025\) # (GND)))
-- \led_flash_cnt[3224][6]~72027\ = CARRY((!\led_flash_cnt[3224][5]~72025\) # (!\led_flash_cnt[3224][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3224][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3224][5]~72025\,
	combout => \led_flash_cnt[3224][6]~72026_combout\,
	cout => \led_flash_cnt[3224][6]~72027\);

-- Location: FF_X25_Y24_N13
\led_flash_cnt[3224][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3224][6]~72026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3224][6]~q\);

-- Location: LCCOMB_X25_Y24_N14
\led_flash_cnt[3224][7]~72028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3224][7]~72028_combout\ = \led_flash_cnt[3224][7]~q\ $ (!\led_flash_cnt[3224][6]~72027\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3224][7]~q\,
	cin => \led_flash_cnt[3224][6]~72027\,
	combout => \led_flash_cnt[3224][7]~72028_combout\);

-- Location: FF_X25_Y24_N15
\led_flash_cnt[3224][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3224][7]~72028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3224][7]~q\);

-- Location: LCCOMB_X25_Y24_N18
\WideAnd3224~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3224~1_combout\ = (\led_flash_cnt[3224][5]~q\ & \led_flash_cnt[3224][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3224][5]~q\,
	datad => \led_flash_cnt[3224][6]~q\,
	combout => \WideAnd3224~1_combout\);

-- Location: LCCOMB_X25_Y24_N16
WideAnd3224 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3224~combout\ = (\WideAnd3224~0_combout\ & (\led_flash_cnt[3224][7]~q\ & (\led_flash_cnt[3224][0]~q\ & \WideAnd3224~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3224~0_combout\,
	datab => \led_flash_cnt[3224][7]~q\,
	datac => \led_flash_cnt[3224][0]~q\,
	datad => \WideAnd3224~1_combout\,
	combout => \WideAnd3224~combout\);

-- Location: FF_X25_Y24_N17
\led_flash_cnt_ands[3224]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3224~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3224));

-- Location: LCCOMB_X25_Y24_N20
\led_flash_cnt[3226][0]~83866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3226][0]~83866_combout\ = !\led_flash_cnt[3226][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3226][0]~q\,
	combout => \led_flash_cnt[3226][0]~83866_combout\);

-- Location: FF_X25_Y24_N21
\led_flash_cnt[3226][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3226][0]~83866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3226][0]~q\);

-- Location: LCCOMB_X24_Y24_N18
\led_flash_cnt[3226][1]~72044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3226][1]~72044_combout\ = (\led_flash_cnt[3226][0]~q\ & (\led_flash_cnt[3226][1]~q\ $ (VCC))) # (!\led_flash_cnt[3226][0]~q\ & (\led_flash_cnt[3226][1]~q\ & VCC))
-- \led_flash_cnt[3226][1]~72045\ = CARRY((\led_flash_cnt[3226][0]~q\ & \led_flash_cnt[3226][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3226][0]~q\,
	datab => \led_flash_cnt[3226][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3226][1]~72044_combout\,
	cout => \led_flash_cnt[3226][1]~72045\);

-- Location: FF_X24_Y24_N19
\led_flash_cnt[3226][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3226][1]~72044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3226][1]~q\);

-- Location: LCCOMB_X24_Y24_N20
\led_flash_cnt[3226][2]~72046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3226][2]~72046_combout\ = (\led_flash_cnt[3226][2]~q\ & (!\led_flash_cnt[3226][1]~72045\)) # (!\led_flash_cnt[3226][2]~q\ & ((\led_flash_cnt[3226][1]~72045\) # (GND)))
-- \led_flash_cnt[3226][2]~72047\ = CARRY((!\led_flash_cnt[3226][1]~72045\) # (!\led_flash_cnt[3226][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3226][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3226][1]~72045\,
	combout => \led_flash_cnt[3226][2]~72046_combout\,
	cout => \led_flash_cnt[3226][2]~72047\);

-- Location: FF_X24_Y24_N21
\led_flash_cnt[3226][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3226][2]~72046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3226][2]~q\);

-- Location: LCCOMB_X24_Y24_N22
\led_flash_cnt[3226][3]~72048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3226][3]~72048_combout\ = (\led_flash_cnt[3226][3]~q\ & (\led_flash_cnt[3226][2]~72047\ $ (GND))) # (!\led_flash_cnt[3226][3]~q\ & (!\led_flash_cnt[3226][2]~72047\ & VCC))
-- \led_flash_cnt[3226][3]~72049\ = CARRY((\led_flash_cnt[3226][3]~q\ & !\led_flash_cnt[3226][2]~72047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3226][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3226][2]~72047\,
	combout => \led_flash_cnt[3226][3]~72048_combout\,
	cout => \led_flash_cnt[3226][3]~72049\);

-- Location: FF_X24_Y24_N23
\led_flash_cnt[3226][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3226][3]~72048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3226][3]~q\);

-- Location: LCCOMB_X24_Y24_N24
\led_flash_cnt[3226][4]~72050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3226][4]~72050_combout\ = (\led_flash_cnt[3226][4]~q\ & (!\led_flash_cnt[3226][3]~72049\)) # (!\led_flash_cnt[3226][4]~q\ & ((\led_flash_cnt[3226][3]~72049\) # (GND)))
-- \led_flash_cnt[3226][4]~72051\ = CARRY((!\led_flash_cnt[3226][3]~72049\) # (!\led_flash_cnt[3226][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3226][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3226][3]~72049\,
	combout => \led_flash_cnt[3226][4]~72050_combout\,
	cout => \led_flash_cnt[3226][4]~72051\);

-- Location: FF_X24_Y24_N25
\led_flash_cnt[3226][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3226][4]~72050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3226][4]~q\);

-- Location: LCCOMB_X24_Y24_N26
\led_flash_cnt[3226][5]~72052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3226][5]~72052_combout\ = (\led_flash_cnt[3226][5]~q\ & (\led_flash_cnt[3226][4]~72051\ $ (GND))) # (!\led_flash_cnt[3226][5]~q\ & (!\led_flash_cnt[3226][4]~72051\ & VCC))
-- \led_flash_cnt[3226][5]~72053\ = CARRY((\led_flash_cnt[3226][5]~q\ & !\led_flash_cnt[3226][4]~72051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3226][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3226][4]~72051\,
	combout => \led_flash_cnt[3226][5]~72052_combout\,
	cout => \led_flash_cnt[3226][5]~72053\);

-- Location: FF_X24_Y24_N27
\led_flash_cnt[3226][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3226][5]~72052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3226][5]~q\);

-- Location: LCCOMB_X24_Y24_N28
\led_flash_cnt[3226][6]~72054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3226][6]~72054_combout\ = (\led_flash_cnt[3226][6]~q\ & (!\led_flash_cnt[3226][5]~72053\)) # (!\led_flash_cnt[3226][6]~q\ & ((\led_flash_cnt[3226][5]~72053\) # (GND)))
-- \led_flash_cnt[3226][6]~72055\ = CARRY((!\led_flash_cnt[3226][5]~72053\) # (!\led_flash_cnt[3226][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3226][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3226][5]~72053\,
	combout => \led_flash_cnt[3226][6]~72054_combout\,
	cout => \led_flash_cnt[3226][6]~72055\);

-- Location: FF_X24_Y24_N29
\led_flash_cnt[3226][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3226][6]~72054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3226][6]~q\);

-- Location: LCCOMB_X25_Y24_N26
\WideAnd3226~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3226~1_combout\ = (\led_flash_cnt[3226][5]~q\ & \led_flash_cnt[3226][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3226][5]~q\,
	datad => \led_flash_cnt[3226][6]~q\,
	combout => \WideAnd3226~1_combout\);

-- Location: LCCOMB_X24_Y24_N30
\led_flash_cnt[3226][7]~72056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3226][7]~72056_combout\ = \led_flash_cnt[3226][7]~q\ $ (!\led_flash_cnt[3226][6]~72055\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3226][7]~q\,
	cin => \led_flash_cnt[3226][6]~72055\,
	combout => \led_flash_cnt[3226][7]~72056_combout\);

-- Location: FF_X24_Y24_N31
\led_flash_cnt[3226][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3226][7]~72056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3226][7]~q\);

-- Location: LCCOMB_X24_Y24_N16
\WideAnd3226~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3226~0_combout\ = (\led_flash_cnt[3226][4]~q\ & (\led_flash_cnt[3226][2]~q\ & (\led_flash_cnt[3226][3]~q\ & \led_flash_cnt[3226][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3226][4]~q\,
	datab => \led_flash_cnt[3226][2]~q\,
	datac => \led_flash_cnt[3226][3]~q\,
	datad => \led_flash_cnt[3226][1]~q\,
	combout => \WideAnd3226~0_combout\);

-- Location: LCCOMB_X25_Y24_N24
WideAnd3226 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3226~combout\ = (\WideAnd3226~1_combout\ & (\led_flash_cnt[3226][7]~q\ & (\WideAnd3226~0_combout\ & \led_flash_cnt[3226][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3226~1_combout\,
	datab => \led_flash_cnt[3226][7]~q\,
	datac => \WideAnd3226~0_combout\,
	datad => \led_flash_cnt[3226][0]~q\,
	combout => \WideAnd3226~combout\);

-- Location: FF_X25_Y24_N25
\led_flash_cnt_ands[3226]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3226~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3226));

-- Location: LCCOMB_X29_Y23_N2
\led_flash_cnt[3227][0]~83867\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3227][0]~83867_combout\ = !\led_flash_cnt[3227][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3227][0]~q\,
	combout => \led_flash_cnt[3227][0]~83867_combout\);

-- Location: FF_X29_Y23_N3
\led_flash_cnt[3227][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3227][0]~83867_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3227][0]~q\);

-- Location: LCCOMB_X24_Y23_N4
\led_flash_cnt[3227][1]~72058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3227][1]~72058_combout\ = (\led_flash_cnt[3227][0]~q\ & (\led_flash_cnt[3227][1]~q\ $ (VCC))) # (!\led_flash_cnt[3227][0]~q\ & (\led_flash_cnt[3227][1]~q\ & VCC))
-- \led_flash_cnt[3227][1]~72059\ = CARRY((\led_flash_cnt[3227][0]~q\ & \led_flash_cnt[3227][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3227][0]~q\,
	datab => \led_flash_cnt[3227][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3227][1]~72058_combout\,
	cout => \led_flash_cnt[3227][1]~72059\);

-- Location: FF_X24_Y23_N5
\led_flash_cnt[3227][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3227][1]~72058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3227][1]~q\);

-- Location: LCCOMB_X24_Y23_N6
\led_flash_cnt[3227][2]~72060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3227][2]~72060_combout\ = (\led_flash_cnt[3227][2]~q\ & (!\led_flash_cnt[3227][1]~72059\)) # (!\led_flash_cnt[3227][2]~q\ & ((\led_flash_cnt[3227][1]~72059\) # (GND)))
-- \led_flash_cnt[3227][2]~72061\ = CARRY((!\led_flash_cnt[3227][1]~72059\) # (!\led_flash_cnt[3227][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3227][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3227][1]~72059\,
	combout => \led_flash_cnt[3227][2]~72060_combout\,
	cout => \led_flash_cnt[3227][2]~72061\);

-- Location: FF_X24_Y23_N7
\led_flash_cnt[3227][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3227][2]~72060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3227][2]~q\);

-- Location: LCCOMB_X24_Y23_N8
\led_flash_cnt[3227][3]~72062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3227][3]~72062_combout\ = (\led_flash_cnt[3227][3]~q\ & (\led_flash_cnt[3227][2]~72061\ $ (GND))) # (!\led_flash_cnt[3227][3]~q\ & (!\led_flash_cnt[3227][2]~72061\ & VCC))
-- \led_flash_cnt[3227][3]~72063\ = CARRY((\led_flash_cnt[3227][3]~q\ & !\led_flash_cnt[3227][2]~72061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3227][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3227][2]~72061\,
	combout => \led_flash_cnt[3227][3]~72062_combout\,
	cout => \led_flash_cnt[3227][3]~72063\);

-- Location: FF_X24_Y23_N9
\led_flash_cnt[3227][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3227][3]~72062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3227][3]~q\);

-- Location: LCCOMB_X24_Y23_N10
\led_flash_cnt[3227][4]~72064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3227][4]~72064_combout\ = (\led_flash_cnt[3227][4]~q\ & (!\led_flash_cnt[3227][3]~72063\)) # (!\led_flash_cnt[3227][4]~q\ & ((\led_flash_cnt[3227][3]~72063\) # (GND)))
-- \led_flash_cnt[3227][4]~72065\ = CARRY((!\led_flash_cnt[3227][3]~72063\) # (!\led_flash_cnt[3227][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3227][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3227][3]~72063\,
	combout => \led_flash_cnt[3227][4]~72064_combout\,
	cout => \led_flash_cnt[3227][4]~72065\);

-- Location: FF_X24_Y23_N11
\led_flash_cnt[3227][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3227][4]~72064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3227][4]~q\);

-- Location: LCCOMB_X24_Y23_N2
\WideAnd3227~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3227~0_combout\ = (\led_flash_cnt[3227][4]~q\ & (\led_flash_cnt[3227][3]~q\ & (\led_flash_cnt[3227][1]~q\ & \led_flash_cnt[3227][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3227][4]~q\,
	datab => \led_flash_cnt[3227][3]~q\,
	datac => \led_flash_cnt[3227][1]~q\,
	datad => \led_flash_cnt[3227][2]~q\,
	combout => \WideAnd3227~0_combout\);

-- Location: LCCOMB_X24_Y23_N12
\led_flash_cnt[3227][5]~72066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3227][5]~72066_combout\ = (\led_flash_cnt[3227][5]~q\ & (\led_flash_cnt[3227][4]~72065\ $ (GND))) # (!\led_flash_cnt[3227][5]~q\ & (!\led_flash_cnt[3227][4]~72065\ & VCC))
-- \led_flash_cnt[3227][5]~72067\ = CARRY((\led_flash_cnt[3227][5]~q\ & !\led_flash_cnt[3227][4]~72065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3227][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3227][4]~72065\,
	combout => \led_flash_cnt[3227][5]~72066_combout\,
	cout => \led_flash_cnt[3227][5]~72067\);

-- Location: FF_X24_Y23_N13
\led_flash_cnt[3227][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3227][5]~72066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3227][5]~q\);

-- Location: LCCOMB_X24_Y23_N14
\led_flash_cnt[3227][6]~72068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3227][6]~72068_combout\ = (\led_flash_cnt[3227][6]~q\ & (!\led_flash_cnt[3227][5]~72067\)) # (!\led_flash_cnt[3227][6]~q\ & ((\led_flash_cnt[3227][5]~72067\) # (GND)))
-- \led_flash_cnt[3227][6]~72069\ = CARRY((!\led_flash_cnt[3227][5]~72067\) # (!\led_flash_cnt[3227][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3227][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3227][5]~72067\,
	combout => \led_flash_cnt[3227][6]~72068_combout\,
	cout => \led_flash_cnt[3227][6]~72069\);

-- Location: FF_X24_Y23_N15
\led_flash_cnt[3227][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3227][6]~72068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3227][6]~q\);

-- Location: LCCOMB_X24_Y23_N16
\led_flash_cnt[3227][7]~72070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3227][7]~72070_combout\ = \led_flash_cnt[3227][6]~72069\ $ (!\led_flash_cnt[3227][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3227][7]~q\,
	cin => \led_flash_cnt[3227][6]~72069\,
	combout => \led_flash_cnt[3227][7]~72070_combout\);

-- Location: FF_X24_Y23_N17
\led_flash_cnt[3227][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3227][7]~72070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3227][7]~q\);

-- Location: LCCOMB_X25_Y23_N18
\WideAnd3227~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3227~1_combout\ = (\led_flash_cnt[3227][6]~q\ & \led_flash_cnt[3227][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3227][6]~q\,
	datad => \led_flash_cnt[3227][5]~q\,
	combout => \WideAnd3227~1_combout\);

-- Location: LCCOMB_X25_Y23_N0
WideAnd3227 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3227~combout\ = (\WideAnd3227~0_combout\ & (\led_flash_cnt[3227][0]~q\ & (\led_flash_cnt[3227][7]~q\ & \WideAnd3227~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3227~0_combout\,
	datab => \led_flash_cnt[3227][0]~q\,
	datac => \led_flash_cnt[3227][7]~q\,
	datad => \WideAnd3227~1_combout\,
	combout => \WideAnd3227~combout\);

-- Location: FF_X25_Y23_N1
\led_flash_cnt_ands[3227]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3227~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3227));

-- Location: LCCOMB_X36_Y12_N26
\led_flash_cnt[3225][0]~83865\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3225][0]~83865_combout\ = !\led_flash_cnt[3225][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3225][0]~q\,
	combout => \led_flash_cnt[3225][0]~83865_combout\);

-- Location: FF_X36_Y12_N27
\led_flash_cnt[3225][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3225][0]~83865_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3225][0]~q\);

-- Location: LCCOMB_X36_Y12_N4
\led_flash_cnt[3225][1]~72030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3225][1]~72030_combout\ = (\led_flash_cnt[3225][0]~q\ & (\led_flash_cnt[3225][1]~q\ $ (VCC))) # (!\led_flash_cnt[3225][0]~q\ & (\led_flash_cnt[3225][1]~q\ & VCC))
-- \led_flash_cnt[3225][1]~72031\ = CARRY((\led_flash_cnt[3225][0]~q\ & \led_flash_cnt[3225][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3225][0]~q\,
	datab => \led_flash_cnt[3225][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3225][1]~72030_combout\,
	cout => \led_flash_cnt[3225][1]~72031\);

-- Location: FF_X36_Y12_N5
\led_flash_cnt[3225][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3225][1]~72030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3225][1]~q\);

-- Location: LCCOMB_X36_Y12_N6
\led_flash_cnt[3225][2]~72032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3225][2]~72032_combout\ = (\led_flash_cnt[3225][2]~q\ & (!\led_flash_cnt[3225][1]~72031\)) # (!\led_flash_cnt[3225][2]~q\ & ((\led_flash_cnt[3225][1]~72031\) # (GND)))
-- \led_flash_cnt[3225][2]~72033\ = CARRY((!\led_flash_cnt[3225][1]~72031\) # (!\led_flash_cnt[3225][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3225][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3225][1]~72031\,
	combout => \led_flash_cnt[3225][2]~72032_combout\,
	cout => \led_flash_cnt[3225][2]~72033\);

-- Location: FF_X36_Y12_N7
\led_flash_cnt[3225][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3225][2]~72032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3225][2]~q\);

-- Location: LCCOMB_X36_Y12_N8
\led_flash_cnt[3225][3]~72034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3225][3]~72034_combout\ = (\led_flash_cnt[3225][3]~q\ & (\led_flash_cnt[3225][2]~72033\ $ (GND))) # (!\led_flash_cnt[3225][3]~q\ & (!\led_flash_cnt[3225][2]~72033\ & VCC))
-- \led_flash_cnt[3225][3]~72035\ = CARRY((\led_flash_cnt[3225][3]~q\ & !\led_flash_cnt[3225][2]~72033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3225][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3225][2]~72033\,
	combout => \led_flash_cnt[3225][3]~72034_combout\,
	cout => \led_flash_cnt[3225][3]~72035\);

-- Location: FF_X36_Y12_N9
\led_flash_cnt[3225][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3225][3]~72034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3225][3]~q\);

-- Location: LCCOMB_X36_Y12_N10
\led_flash_cnt[3225][4]~72036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3225][4]~72036_combout\ = (\led_flash_cnt[3225][4]~q\ & (!\led_flash_cnt[3225][3]~72035\)) # (!\led_flash_cnt[3225][4]~q\ & ((\led_flash_cnt[3225][3]~72035\) # (GND)))
-- \led_flash_cnt[3225][4]~72037\ = CARRY((!\led_flash_cnt[3225][3]~72035\) # (!\led_flash_cnt[3225][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3225][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3225][3]~72035\,
	combout => \led_flash_cnt[3225][4]~72036_combout\,
	cout => \led_flash_cnt[3225][4]~72037\);

-- Location: FF_X36_Y12_N11
\led_flash_cnt[3225][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3225][4]~72036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3225][4]~q\);

-- Location: LCCOMB_X36_Y12_N20
\WideAnd3225~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3225~0_combout\ = (\led_flash_cnt[3225][4]~q\ & (\led_flash_cnt[3225][3]~q\ & (\led_flash_cnt[3225][1]~q\ & \led_flash_cnt[3225][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3225][4]~q\,
	datab => \led_flash_cnt[3225][3]~q\,
	datac => \led_flash_cnt[3225][1]~q\,
	datad => \led_flash_cnt[3225][2]~q\,
	combout => \WideAnd3225~0_combout\);

-- Location: LCCOMB_X36_Y12_N12
\led_flash_cnt[3225][5]~72038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3225][5]~72038_combout\ = (\led_flash_cnt[3225][5]~q\ & (\led_flash_cnt[3225][4]~72037\ $ (GND))) # (!\led_flash_cnt[3225][5]~q\ & (!\led_flash_cnt[3225][4]~72037\ & VCC))
-- \led_flash_cnt[3225][5]~72039\ = CARRY((\led_flash_cnt[3225][5]~q\ & !\led_flash_cnt[3225][4]~72037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3225][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3225][4]~72037\,
	combout => \led_flash_cnt[3225][5]~72038_combout\,
	cout => \led_flash_cnt[3225][5]~72039\);

-- Location: FF_X36_Y12_N13
\led_flash_cnt[3225][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3225][5]~72038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3225][5]~q\);

-- Location: LCCOMB_X36_Y12_N14
\led_flash_cnt[3225][6]~72040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3225][6]~72040_combout\ = (\led_flash_cnt[3225][6]~q\ & (!\led_flash_cnt[3225][5]~72039\)) # (!\led_flash_cnt[3225][6]~q\ & ((\led_flash_cnt[3225][5]~72039\) # (GND)))
-- \led_flash_cnt[3225][6]~72041\ = CARRY((!\led_flash_cnt[3225][5]~72039\) # (!\led_flash_cnt[3225][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3225][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3225][5]~72039\,
	combout => \led_flash_cnt[3225][6]~72040_combout\,
	cout => \led_flash_cnt[3225][6]~72041\);

-- Location: FF_X36_Y12_N15
\led_flash_cnt[3225][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3225][6]~72040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3225][6]~q\);

-- Location: LCCOMB_X36_Y12_N22
\WideAnd3225~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3225~1_combout\ = (\led_flash_cnt[3225][6]~q\ & \led_flash_cnt[3225][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3225][6]~q\,
	datad => \led_flash_cnt[3225][5]~q\,
	combout => \WideAnd3225~1_combout\);

-- Location: LCCOMB_X36_Y12_N16
\led_flash_cnt[3225][7]~72042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3225][7]~72042_combout\ = \led_flash_cnt[3225][6]~72041\ $ (!\led_flash_cnt[3225][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3225][7]~q\,
	cin => \led_flash_cnt[3225][6]~72041\,
	combout => \led_flash_cnt[3225][7]~72042_combout\);

-- Location: FF_X36_Y12_N17
\led_flash_cnt[3225][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3225][7]~72042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3225][7]~q\);

-- Location: LCCOMB_X36_Y12_N24
WideAnd3225 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3225~combout\ = (\led_flash_cnt[3225][0]~q\ & (\WideAnd3225~0_combout\ & (\WideAnd3225~1_combout\ & \led_flash_cnt[3225][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3225][0]~q\,
	datab => \WideAnd3225~0_combout\,
	datac => \WideAnd3225~1_combout\,
	datad => \led_flash_cnt[3225][7]~q\,
	combout => \WideAnd3225~combout\);

-- Location: FF_X36_Y12_N25
\led_flash_cnt_ands[3225]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3225~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3225));

-- Location: LCCOMB_X26_Y24_N16
\WideAnd4243~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4243~0_combout\ = (led_flash_cnt_ands(3224) & (led_flash_cnt_ands(3226) & (led_flash_cnt_ands(3227) & led_flash_cnt_ands(3225))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3224),
	datab => led_flash_cnt_ands(3226),
	datac => led_flash_cnt_ands(3227),
	datad => led_flash_cnt_ands(3225),
	combout => \WideAnd4243~0_combout\);

-- Location: LCCOMB_X22_Y24_N2
\led_flash_cnt[3228][0]~83868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3228][0]~83868_combout\ = !\led_flash_cnt[3228][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3228][0]~q\,
	combout => \led_flash_cnt[3228][0]~83868_combout\);

-- Location: FF_X22_Y24_N3
\led_flash_cnt[3228][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3228][0]~83868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3228][0]~q\);

-- Location: LCCOMB_X29_Y27_N2
\led_flash_cnt[3228][1]~72072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3228][1]~72072_combout\ = (\led_flash_cnt[3228][0]~q\ & (\led_flash_cnt[3228][1]~q\ $ (VCC))) # (!\led_flash_cnt[3228][0]~q\ & (\led_flash_cnt[3228][1]~q\ & VCC))
-- \led_flash_cnt[3228][1]~72073\ = CARRY((\led_flash_cnt[3228][0]~q\ & \led_flash_cnt[3228][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3228][0]~q\,
	datab => \led_flash_cnt[3228][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3228][1]~72072_combout\,
	cout => \led_flash_cnt[3228][1]~72073\);

-- Location: FF_X29_Y27_N3
\led_flash_cnt[3228][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3228][1]~72072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3228][1]~q\);

-- Location: LCCOMB_X29_Y27_N4
\led_flash_cnt[3228][2]~72074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3228][2]~72074_combout\ = (\led_flash_cnt[3228][2]~q\ & (!\led_flash_cnt[3228][1]~72073\)) # (!\led_flash_cnt[3228][2]~q\ & ((\led_flash_cnt[3228][1]~72073\) # (GND)))
-- \led_flash_cnt[3228][2]~72075\ = CARRY((!\led_flash_cnt[3228][1]~72073\) # (!\led_flash_cnt[3228][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3228][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3228][1]~72073\,
	combout => \led_flash_cnt[3228][2]~72074_combout\,
	cout => \led_flash_cnt[3228][2]~72075\);

-- Location: FF_X29_Y27_N5
\led_flash_cnt[3228][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3228][2]~72074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3228][2]~q\);

-- Location: LCCOMB_X29_Y27_N6
\led_flash_cnt[3228][3]~72076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3228][3]~72076_combout\ = (\led_flash_cnt[3228][3]~q\ & (\led_flash_cnt[3228][2]~72075\ $ (GND))) # (!\led_flash_cnt[3228][3]~q\ & (!\led_flash_cnt[3228][2]~72075\ & VCC))
-- \led_flash_cnt[3228][3]~72077\ = CARRY((\led_flash_cnt[3228][3]~q\ & !\led_flash_cnt[3228][2]~72075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3228][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3228][2]~72075\,
	combout => \led_flash_cnt[3228][3]~72076_combout\,
	cout => \led_flash_cnt[3228][3]~72077\);

-- Location: FF_X29_Y27_N7
\led_flash_cnt[3228][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3228][3]~72076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3228][3]~q\);

-- Location: LCCOMB_X29_Y27_N8
\led_flash_cnt[3228][4]~72078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3228][4]~72078_combout\ = (\led_flash_cnt[3228][4]~q\ & (!\led_flash_cnt[3228][3]~72077\)) # (!\led_flash_cnt[3228][4]~q\ & ((\led_flash_cnt[3228][3]~72077\) # (GND)))
-- \led_flash_cnt[3228][4]~72079\ = CARRY((!\led_flash_cnt[3228][3]~72077\) # (!\led_flash_cnt[3228][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3228][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3228][3]~72077\,
	combout => \led_flash_cnt[3228][4]~72078_combout\,
	cout => \led_flash_cnt[3228][4]~72079\);

-- Location: FF_X29_Y27_N9
\led_flash_cnt[3228][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3228][4]~72078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3228][4]~q\);

-- Location: LCCOMB_X29_Y27_N10
\led_flash_cnt[3228][5]~72080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3228][5]~72080_combout\ = (\led_flash_cnt[3228][5]~q\ & (\led_flash_cnt[3228][4]~72079\ $ (GND))) # (!\led_flash_cnt[3228][5]~q\ & (!\led_flash_cnt[3228][4]~72079\ & VCC))
-- \led_flash_cnt[3228][5]~72081\ = CARRY((\led_flash_cnt[3228][5]~q\ & !\led_flash_cnt[3228][4]~72079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3228][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3228][4]~72079\,
	combout => \led_flash_cnt[3228][5]~72080_combout\,
	cout => \led_flash_cnt[3228][5]~72081\);

-- Location: FF_X29_Y27_N11
\led_flash_cnt[3228][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3228][5]~72080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3228][5]~q\);

-- Location: LCCOMB_X29_Y27_N12
\led_flash_cnt[3228][6]~72082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3228][6]~72082_combout\ = (\led_flash_cnt[3228][6]~q\ & (!\led_flash_cnt[3228][5]~72081\)) # (!\led_flash_cnt[3228][6]~q\ & ((\led_flash_cnt[3228][5]~72081\) # (GND)))
-- \led_flash_cnt[3228][6]~72083\ = CARRY((!\led_flash_cnt[3228][5]~72081\) # (!\led_flash_cnt[3228][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3228][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3228][5]~72081\,
	combout => \led_flash_cnt[3228][6]~72082_combout\,
	cout => \led_flash_cnt[3228][6]~72083\);

-- Location: FF_X29_Y27_N13
\led_flash_cnt[3228][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3228][6]~72082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3228][6]~q\);

-- Location: LCCOMB_X30_Y27_N0
\WideAnd3228~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3228~1_combout\ = (\led_flash_cnt[3228][6]~q\ & \led_flash_cnt[3228][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3228][6]~q\,
	datad => \led_flash_cnt[3228][5]~q\,
	combout => \WideAnd3228~1_combout\);

-- Location: LCCOMB_X29_Y27_N14
\led_flash_cnt[3228][7]~72084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3228][7]~72084_combout\ = \led_flash_cnt[3228][7]~q\ $ (!\led_flash_cnt[3228][6]~72083\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3228][7]~q\,
	cin => \led_flash_cnt[3228][6]~72083\,
	combout => \led_flash_cnt[3228][7]~72084_combout\);

-- Location: FF_X29_Y27_N15
\led_flash_cnt[3228][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3228][7]~72084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3228][7]~q\);

-- Location: LCCOMB_X30_Y27_N28
\WideAnd3228~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3228~0_combout\ = (\led_flash_cnt[3228][1]~q\ & (\led_flash_cnt[3228][3]~q\ & (\led_flash_cnt[3228][2]~q\ & \led_flash_cnt[3228][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3228][1]~q\,
	datab => \led_flash_cnt[3228][3]~q\,
	datac => \led_flash_cnt[3228][2]~q\,
	datad => \led_flash_cnt[3228][4]~q\,
	combout => \WideAnd3228~0_combout\);

-- Location: LCCOMB_X29_Y27_N30
WideAnd3228 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3228~combout\ = (\led_flash_cnt[3228][0]~q\ & (\WideAnd3228~1_combout\ & (\led_flash_cnt[3228][7]~q\ & \WideAnd3228~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3228][0]~q\,
	datab => \WideAnd3228~1_combout\,
	datac => \led_flash_cnt[3228][7]~q\,
	datad => \WideAnd3228~0_combout\,
	combout => \WideAnd3228~combout\);

-- Location: FF_X29_Y27_N31
\led_flash_cnt_ands[3228]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3228~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3228));

-- Location: LCCOMB_X27_Y27_N26
\led_flash_cnt[3229][0]~83869\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3229][0]~83869_combout\ = !\led_flash_cnt[3229][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3229][0]~q\,
	combout => \led_flash_cnt[3229][0]~83869_combout\);

-- Location: FF_X27_Y27_N27
\led_flash_cnt[3229][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3229][0]~83869_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3229][0]~q\);

-- Location: LCCOMB_X27_Y27_N4
\led_flash_cnt[3229][1]~72086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3229][1]~72086_combout\ = (\led_flash_cnt[3229][0]~q\ & (\led_flash_cnt[3229][1]~q\ $ (VCC))) # (!\led_flash_cnt[3229][0]~q\ & (\led_flash_cnt[3229][1]~q\ & VCC))
-- \led_flash_cnt[3229][1]~72087\ = CARRY((\led_flash_cnt[3229][0]~q\ & \led_flash_cnt[3229][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3229][0]~q\,
	datab => \led_flash_cnt[3229][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3229][1]~72086_combout\,
	cout => \led_flash_cnt[3229][1]~72087\);

-- Location: FF_X27_Y27_N5
\led_flash_cnt[3229][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3229][1]~72086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3229][1]~q\);

-- Location: LCCOMB_X27_Y27_N6
\led_flash_cnt[3229][2]~72088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3229][2]~72088_combout\ = (\led_flash_cnt[3229][2]~q\ & (!\led_flash_cnt[3229][1]~72087\)) # (!\led_flash_cnt[3229][2]~q\ & ((\led_flash_cnt[3229][1]~72087\) # (GND)))
-- \led_flash_cnt[3229][2]~72089\ = CARRY((!\led_flash_cnt[3229][1]~72087\) # (!\led_flash_cnt[3229][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3229][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3229][1]~72087\,
	combout => \led_flash_cnt[3229][2]~72088_combout\,
	cout => \led_flash_cnt[3229][2]~72089\);

-- Location: FF_X27_Y27_N7
\led_flash_cnt[3229][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3229][2]~72088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3229][2]~q\);

-- Location: LCCOMB_X27_Y27_N8
\led_flash_cnt[3229][3]~72090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3229][3]~72090_combout\ = (\led_flash_cnt[3229][3]~q\ & (\led_flash_cnt[3229][2]~72089\ $ (GND))) # (!\led_flash_cnt[3229][3]~q\ & (!\led_flash_cnt[3229][2]~72089\ & VCC))
-- \led_flash_cnt[3229][3]~72091\ = CARRY((\led_flash_cnt[3229][3]~q\ & !\led_flash_cnt[3229][2]~72089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3229][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3229][2]~72089\,
	combout => \led_flash_cnt[3229][3]~72090_combout\,
	cout => \led_flash_cnt[3229][3]~72091\);

-- Location: FF_X27_Y27_N9
\led_flash_cnt[3229][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3229][3]~72090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3229][3]~q\);

-- Location: LCCOMB_X27_Y27_N10
\led_flash_cnt[3229][4]~72092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3229][4]~72092_combout\ = (\led_flash_cnt[3229][4]~q\ & (!\led_flash_cnt[3229][3]~72091\)) # (!\led_flash_cnt[3229][4]~q\ & ((\led_flash_cnt[3229][3]~72091\) # (GND)))
-- \led_flash_cnt[3229][4]~72093\ = CARRY((!\led_flash_cnt[3229][3]~72091\) # (!\led_flash_cnt[3229][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3229][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3229][3]~72091\,
	combout => \led_flash_cnt[3229][4]~72092_combout\,
	cout => \led_flash_cnt[3229][4]~72093\);

-- Location: FF_X27_Y27_N11
\led_flash_cnt[3229][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3229][4]~72092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3229][4]~q\);

-- Location: LCCOMB_X27_Y27_N22
\WideAnd3229~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3229~0_combout\ = (\led_flash_cnt[3229][4]~q\ & (\led_flash_cnt[3229][3]~q\ & (\led_flash_cnt[3229][1]~q\ & \led_flash_cnt[3229][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3229][4]~q\,
	datab => \led_flash_cnt[3229][3]~q\,
	datac => \led_flash_cnt[3229][1]~q\,
	datad => \led_flash_cnt[3229][2]~q\,
	combout => \WideAnd3229~0_combout\);

-- Location: LCCOMB_X27_Y27_N12
\led_flash_cnt[3229][5]~72094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3229][5]~72094_combout\ = (\led_flash_cnt[3229][5]~q\ & (\led_flash_cnt[3229][4]~72093\ $ (GND))) # (!\led_flash_cnt[3229][5]~q\ & (!\led_flash_cnt[3229][4]~72093\ & VCC))
-- \led_flash_cnt[3229][5]~72095\ = CARRY((\led_flash_cnt[3229][5]~q\ & !\led_flash_cnt[3229][4]~72093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3229][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3229][4]~72093\,
	combout => \led_flash_cnt[3229][5]~72094_combout\,
	cout => \led_flash_cnt[3229][5]~72095\);

-- Location: FF_X27_Y27_N13
\led_flash_cnt[3229][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3229][5]~72094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3229][5]~q\);

-- Location: LCCOMB_X27_Y27_N14
\led_flash_cnt[3229][6]~72096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3229][6]~72096_combout\ = (\led_flash_cnt[3229][6]~q\ & (!\led_flash_cnt[3229][5]~72095\)) # (!\led_flash_cnt[3229][6]~q\ & ((\led_flash_cnt[3229][5]~72095\) # (GND)))
-- \led_flash_cnt[3229][6]~72097\ = CARRY((!\led_flash_cnt[3229][5]~72095\) # (!\led_flash_cnt[3229][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3229][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3229][5]~72095\,
	combout => \led_flash_cnt[3229][6]~72096_combout\,
	cout => \led_flash_cnt[3229][6]~72097\);

-- Location: FF_X27_Y27_N15
\led_flash_cnt[3229][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3229][6]~72096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3229][6]~q\);

-- Location: LCCOMB_X27_Y27_N28
\WideAnd3229~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3229~1_combout\ = (\led_flash_cnt[3229][6]~q\ & \led_flash_cnt[3229][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3229][6]~q\,
	datad => \led_flash_cnt[3229][5]~q\,
	combout => \WideAnd3229~1_combout\);

-- Location: LCCOMB_X27_Y27_N16
\led_flash_cnt[3229][7]~72098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3229][7]~72098_combout\ = \led_flash_cnt[3229][6]~72097\ $ (!\led_flash_cnt[3229][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3229][7]~q\,
	cin => \led_flash_cnt[3229][6]~72097\,
	combout => \led_flash_cnt[3229][7]~72098_combout\);

-- Location: FF_X27_Y27_N17
\led_flash_cnt[3229][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3229][7]~72098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3229][7]~q\);

-- Location: LCCOMB_X27_Y27_N24
WideAnd3229 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3229~combout\ = (\WideAnd3229~0_combout\ & (\WideAnd3229~1_combout\ & (\led_flash_cnt[3229][0]~q\ & \led_flash_cnt[3229][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3229~0_combout\,
	datab => \WideAnd3229~1_combout\,
	datac => \led_flash_cnt[3229][0]~q\,
	datad => \led_flash_cnt[3229][7]~q\,
	combout => \WideAnd3229~combout\);

-- Location: FF_X27_Y27_N25
\led_flash_cnt_ands[3229]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3229~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3229));

-- Location: LCCOMB_X27_Y27_N20
\WideAnd4243~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4243~1_combout\ = (led_flash_cnt_ands(3228) & led_flash_cnt_ands(3229))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3228),
	datad => led_flash_cnt_ands(3229),
	combout => \WideAnd4243~1_combout\);

-- Location: LCCOMB_X60_Y25_N18
\led_flash_cnt[3230][0]~83870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3230][0]~83870_combout\ = !\led_flash_cnt[3230][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3230][0]~q\,
	combout => \led_flash_cnt[3230][0]~83870_combout\);

-- Location: FF_X60_Y25_N19
\led_flash_cnt[3230][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3230][0]~83870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3230][0]~q\);

-- Location: LCCOMB_X60_Y25_N0
\led_flash_cnt[3230][1]~72100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3230][1]~72100_combout\ = (\led_flash_cnt[3230][1]~q\ & (\led_flash_cnt[3230][0]~q\ $ (VCC))) # (!\led_flash_cnt[3230][1]~q\ & (\led_flash_cnt[3230][0]~q\ & VCC))
-- \led_flash_cnt[3230][1]~72101\ = CARRY((\led_flash_cnt[3230][1]~q\ & \led_flash_cnt[3230][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3230][1]~q\,
	datab => \led_flash_cnt[3230][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3230][1]~72100_combout\,
	cout => \led_flash_cnt[3230][1]~72101\);

-- Location: FF_X60_Y25_N1
\led_flash_cnt[3230][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3230][1]~72100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3230][1]~q\);

-- Location: LCCOMB_X60_Y25_N2
\led_flash_cnt[3230][2]~72102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3230][2]~72102_combout\ = (\led_flash_cnt[3230][2]~q\ & (!\led_flash_cnt[3230][1]~72101\)) # (!\led_flash_cnt[3230][2]~q\ & ((\led_flash_cnt[3230][1]~72101\) # (GND)))
-- \led_flash_cnt[3230][2]~72103\ = CARRY((!\led_flash_cnt[3230][1]~72101\) # (!\led_flash_cnt[3230][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3230][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3230][1]~72101\,
	combout => \led_flash_cnt[3230][2]~72102_combout\,
	cout => \led_flash_cnt[3230][2]~72103\);

-- Location: FF_X60_Y25_N3
\led_flash_cnt[3230][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3230][2]~72102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3230][2]~q\);

-- Location: LCCOMB_X60_Y25_N4
\led_flash_cnt[3230][3]~72104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3230][3]~72104_combout\ = (\led_flash_cnt[3230][3]~q\ & (\led_flash_cnt[3230][2]~72103\ $ (GND))) # (!\led_flash_cnt[3230][3]~q\ & (!\led_flash_cnt[3230][2]~72103\ & VCC))
-- \led_flash_cnt[3230][3]~72105\ = CARRY((\led_flash_cnt[3230][3]~q\ & !\led_flash_cnt[3230][2]~72103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3230][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3230][2]~72103\,
	combout => \led_flash_cnt[3230][3]~72104_combout\,
	cout => \led_flash_cnt[3230][3]~72105\);

-- Location: FF_X60_Y25_N5
\led_flash_cnt[3230][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3230][3]~72104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3230][3]~q\);

-- Location: LCCOMB_X60_Y25_N6
\led_flash_cnt[3230][4]~72106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3230][4]~72106_combout\ = (\led_flash_cnt[3230][4]~q\ & (!\led_flash_cnt[3230][3]~72105\)) # (!\led_flash_cnt[3230][4]~q\ & ((\led_flash_cnt[3230][3]~72105\) # (GND)))
-- \led_flash_cnt[3230][4]~72107\ = CARRY((!\led_flash_cnt[3230][3]~72105\) # (!\led_flash_cnt[3230][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3230][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3230][3]~72105\,
	combout => \led_flash_cnt[3230][4]~72106_combout\,
	cout => \led_flash_cnt[3230][4]~72107\);

-- Location: FF_X60_Y25_N7
\led_flash_cnt[3230][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3230][4]~72106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3230][4]~q\);

-- Location: LCCOMB_X60_Y25_N8
\led_flash_cnt[3230][5]~72108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3230][5]~72108_combout\ = (\led_flash_cnt[3230][5]~q\ & (\led_flash_cnt[3230][4]~72107\ $ (GND))) # (!\led_flash_cnt[3230][5]~q\ & (!\led_flash_cnt[3230][4]~72107\ & VCC))
-- \led_flash_cnt[3230][5]~72109\ = CARRY((\led_flash_cnt[3230][5]~q\ & !\led_flash_cnt[3230][4]~72107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3230][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3230][4]~72107\,
	combout => \led_flash_cnt[3230][5]~72108_combout\,
	cout => \led_flash_cnt[3230][5]~72109\);

-- Location: FF_X60_Y25_N9
\led_flash_cnt[3230][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3230][5]~72108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3230][5]~q\);

-- Location: LCCOMB_X60_Y25_N10
\led_flash_cnt[3230][6]~72110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3230][6]~72110_combout\ = (\led_flash_cnt[3230][6]~q\ & (!\led_flash_cnt[3230][5]~72109\)) # (!\led_flash_cnt[3230][6]~q\ & ((\led_flash_cnt[3230][5]~72109\) # (GND)))
-- \led_flash_cnt[3230][6]~72111\ = CARRY((!\led_flash_cnt[3230][5]~72109\) # (!\led_flash_cnt[3230][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3230][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3230][5]~72109\,
	combout => \led_flash_cnt[3230][6]~72110_combout\,
	cout => \led_flash_cnt[3230][6]~72111\);

-- Location: FF_X60_Y25_N11
\led_flash_cnt[3230][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3230][6]~72110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3230][6]~q\);

-- Location: LCCOMB_X60_Y25_N12
\led_flash_cnt[3230][7]~72112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3230][7]~72112_combout\ = \led_flash_cnt[3230][6]~72111\ $ (!\led_flash_cnt[3230][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3230][7]~q\,
	cin => \led_flash_cnt[3230][6]~72111\,
	combout => \led_flash_cnt[3230][7]~72112_combout\);

-- Location: FF_X60_Y25_N13
\led_flash_cnt[3230][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3230][7]~72112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3230][7]~q\);

-- Location: LCCOMB_X60_Y25_N24
\WideAnd3230~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3230~0_combout\ = (\led_flash_cnt[3230][4]~q\ & (\led_flash_cnt[3230][1]~q\ & (\led_flash_cnt[3230][3]~q\ & \led_flash_cnt[3230][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3230][4]~q\,
	datab => \led_flash_cnt[3230][1]~q\,
	datac => \led_flash_cnt[3230][3]~q\,
	datad => \led_flash_cnt[3230][2]~q\,
	combout => \WideAnd3230~0_combout\);

-- Location: LCCOMB_X60_Y25_N22
\WideAnd3230~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3230~1_combout\ = (\led_flash_cnt[3230][5]~q\ & \led_flash_cnt[3230][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3230][5]~q\,
	datad => \led_flash_cnt[3230][6]~q\,
	combout => \WideAnd3230~1_combout\);

-- Location: LCCOMB_X60_Y25_N26
WideAnd3230 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3230~combout\ = (\led_flash_cnt[3230][7]~q\ & (\WideAnd3230~0_combout\ & (\WideAnd3230~1_combout\ & \led_flash_cnt[3230][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3230][7]~q\,
	datab => \WideAnd3230~0_combout\,
	datac => \WideAnd3230~1_combout\,
	datad => \led_flash_cnt[3230][0]~q\,
	combout => \WideAnd3230~combout\);

-- Location: FF_X60_Y25_N27
\led_flash_cnt_ands[3230]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3230~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3230));

-- Location: LCCOMB_X27_Y25_N22
\led_flash_cnt[3231][0]~83871\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3231][0]~83871_combout\ = !\led_flash_cnt[3231][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3231][0]~q\,
	combout => \led_flash_cnt[3231][0]~83871_combout\);

-- Location: FF_X27_Y25_N23
\led_flash_cnt[3231][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3231][0]~83871_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3231][0]~q\);

-- Location: LCCOMB_X27_Y25_N8
\led_flash_cnt[3231][1]~72114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3231][1]~72114_combout\ = (\led_flash_cnt[3231][0]~q\ & (\led_flash_cnt[3231][1]~q\ $ (VCC))) # (!\led_flash_cnt[3231][0]~q\ & (\led_flash_cnt[3231][1]~q\ & VCC))
-- \led_flash_cnt[3231][1]~72115\ = CARRY((\led_flash_cnt[3231][0]~q\ & \led_flash_cnt[3231][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3231][0]~q\,
	datab => \led_flash_cnt[3231][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3231][1]~72114_combout\,
	cout => \led_flash_cnt[3231][1]~72115\);

-- Location: FF_X27_Y25_N9
\led_flash_cnt[3231][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3231][1]~72114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3231][1]~q\);

-- Location: LCCOMB_X27_Y25_N10
\led_flash_cnt[3231][2]~72116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3231][2]~72116_combout\ = (\led_flash_cnt[3231][2]~q\ & (!\led_flash_cnt[3231][1]~72115\)) # (!\led_flash_cnt[3231][2]~q\ & ((\led_flash_cnt[3231][1]~72115\) # (GND)))
-- \led_flash_cnt[3231][2]~72117\ = CARRY((!\led_flash_cnt[3231][1]~72115\) # (!\led_flash_cnt[3231][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3231][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3231][1]~72115\,
	combout => \led_flash_cnt[3231][2]~72116_combout\,
	cout => \led_flash_cnt[3231][2]~72117\);

-- Location: FF_X27_Y25_N11
\led_flash_cnt[3231][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3231][2]~72116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3231][2]~q\);

-- Location: LCCOMB_X27_Y25_N12
\led_flash_cnt[3231][3]~72118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3231][3]~72118_combout\ = (\led_flash_cnt[3231][3]~q\ & (\led_flash_cnt[3231][2]~72117\ $ (GND))) # (!\led_flash_cnt[3231][3]~q\ & (!\led_flash_cnt[3231][2]~72117\ & VCC))
-- \led_flash_cnt[3231][3]~72119\ = CARRY((\led_flash_cnt[3231][3]~q\ & !\led_flash_cnt[3231][2]~72117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3231][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3231][2]~72117\,
	combout => \led_flash_cnt[3231][3]~72118_combout\,
	cout => \led_flash_cnt[3231][3]~72119\);

-- Location: FF_X27_Y25_N13
\led_flash_cnt[3231][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3231][3]~72118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3231][3]~q\);

-- Location: LCCOMB_X27_Y25_N14
\led_flash_cnt[3231][4]~72120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3231][4]~72120_combout\ = (\led_flash_cnt[3231][4]~q\ & (!\led_flash_cnt[3231][3]~72119\)) # (!\led_flash_cnt[3231][4]~q\ & ((\led_flash_cnt[3231][3]~72119\) # (GND)))
-- \led_flash_cnt[3231][4]~72121\ = CARRY((!\led_flash_cnt[3231][3]~72119\) # (!\led_flash_cnt[3231][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3231][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3231][3]~72119\,
	combout => \led_flash_cnt[3231][4]~72120_combout\,
	cout => \led_flash_cnt[3231][4]~72121\);

-- Location: FF_X27_Y25_N15
\led_flash_cnt[3231][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3231][4]~72120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3231][4]~q\);

-- Location: LCCOMB_X27_Y25_N16
\led_flash_cnt[3231][5]~72122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3231][5]~72122_combout\ = (\led_flash_cnt[3231][5]~q\ & (\led_flash_cnt[3231][4]~72121\ $ (GND))) # (!\led_flash_cnt[3231][5]~q\ & (!\led_flash_cnt[3231][4]~72121\ & VCC))
-- \led_flash_cnt[3231][5]~72123\ = CARRY((\led_flash_cnt[3231][5]~q\ & !\led_flash_cnt[3231][4]~72121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3231][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3231][4]~72121\,
	combout => \led_flash_cnt[3231][5]~72122_combout\,
	cout => \led_flash_cnt[3231][5]~72123\);

-- Location: FF_X27_Y25_N17
\led_flash_cnt[3231][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3231][5]~72122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3231][5]~q\);

-- Location: LCCOMB_X27_Y25_N18
\led_flash_cnt[3231][6]~72124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3231][6]~72124_combout\ = (\led_flash_cnt[3231][6]~q\ & (!\led_flash_cnt[3231][5]~72123\)) # (!\led_flash_cnt[3231][6]~q\ & ((\led_flash_cnt[3231][5]~72123\) # (GND)))
-- \led_flash_cnt[3231][6]~72125\ = CARRY((!\led_flash_cnt[3231][5]~72123\) # (!\led_flash_cnt[3231][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3231][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3231][5]~72123\,
	combout => \led_flash_cnt[3231][6]~72124_combout\,
	cout => \led_flash_cnt[3231][6]~72125\);

-- Location: FF_X27_Y25_N19
\led_flash_cnt[3231][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3231][6]~72124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3231][6]~q\);

-- Location: LCCOMB_X27_Y25_N4
\WideAnd3231~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3231~1_combout\ = (\led_flash_cnt[3231][5]~q\ & \led_flash_cnt[3231][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3231][5]~q\,
	datad => \led_flash_cnt[3231][6]~q\,
	combout => \WideAnd3231~1_combout\);

-- Location: LCCOMB_X27_Y25_N26
\WideAnd3231~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3231~0_combout\ = (\led_flash_cnt[3231][2]~q\ & (\led_flash_cnt[3231][4]~q\ & (\led_flash_cnt[3231][1]~q\ & \led_flash_cnt[3231][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3231][2]~q\,
	datab => \led_flash_cnt[3231][4]~q\,
	datac => \led_flash_cnt[3231][1]~q\,
	datad => \led_flash_cnt[3231][3]~q\,
	combout => \WideAnd3231~0_combout\);

-- Location: LCCOMB_X27_Y25_N20
\led_flash_cnt[3231][7]~72126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3231][7]~72126_combout\ = \led_flash_cnt[3231][6]~72125\ $ (!\led_flash_cnt[3231][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3231][7]~q\,
	cin => \led_flash_cnt[3231][6]~72125\,
	combout => \led_flash_cnt[3231][7]~72126_combout\);

-- Location: FF_X27_Y25_N21
\led_flash_cnt[3231][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3231][7]~72126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3231][7]~q\);

-- Location: LCCOMB_X27_Y25_N24
WideAnd3231 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3231~combout\ = (\led_flash_cnt[3231][0]~q\ & (\WideAnd3231~1_combout\ & (\WideAnd3231~0_combout\ & \led_flash_cnt[3231][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3231][0]~q\,
	datab => \WideAnd3231~1_combout\,
	datac => \WideAnd3231~0_combout\,
	datad => \led_flash_cnt[3231][7]~q\,
	combout => \WideAnd3231~combout\);

-- Location: FF_X27_Y25_N25
\led_flash_cnt_ands[3231]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3231~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3231));

-- Location: LCCOMB_X27_Y25_N2
WideAnd4243 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4243~combout\ = (\WideAnd4243~0_combout\ & (\WideAnd4243~1_combout\ & (led_flash_cnt_ands(3230) & led_flash_cnt_ands(3231))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4243~0_combout\,
	datab => \WideAnd4243~1_combout\,
	datac => led_flash_cnt_ands(3230),
	datad => led_flash_cnt_ands(3231),
	combout => \WideAnd4243~combout\);

-- Location: FF_X27_Y25_N3
\led_flash_cnt_ands_1[403]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4243~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(403));

-- Location: LCCOMB_X27_Y25_N0
\WideAnd4370~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4370~0_combout\ = (led_flash_cnt_ands_1(401) & (led_flash_cnt_ands_1(402) & (led_flash_cnt_ands_1(400) & led_flash_cnt_ands_1(403))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(401),
	datab => led_flash_cnt_ands_1(402),
	datac => led_flash_cnt_ands_1(400),
	datad => led_flash_cnt_ands_1(403),
	combout => \WideAnd4370~0_combout\);

-- Location: LCCOMB_X27_Y25_N6
WideAnd4370 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4370~combout\ = (\WideAnd4370~1_combout\ & (led_flash_cnt_ands_1(407) & (led_flash_cnt_ands_1(406) & \WideAnd4370~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4370~1_combout\,
	datab => led_flash_cnt_ands_1(407),
	datac => led_flash_cnt_ands_1(406),
	datad => \WideAnd4370~0_combout\,
	combout => \WideAnd4370~combout\);

-- Location: FF_X27_Y25_N7
\led_flash_cnt_ands_2[50]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4370~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(50));

-- Location: LCCOMB_X41_Y22_N0
\WideAnd4380~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~15_combout\ = (led_flash_cnt_ands_2(48) & (led_flash_cnt_ands_2(49) & (led_flash_cnt_ands_2(51) & led_flash_cnt_ands_2(50))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(48),
	datab => led_flash_cnt_ands_2(49),
	datac => led_flash_cnt_ands_2(51),
	datad => led_flash_cnt_ands_2(50),
	combout => \WideAnd4380~15_combout\);

-- Location: LCCOMB_X27_Y27_N18
\led_flash_cnt[3751][0]~84455\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3751][0]~84455_combout\ = !\led_flash_cnt[3751][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3751][0]~q\,
	combout => \led_flash_cnt[3751][0]~84455_combout\);

-- Location: FF_X27_Y27_N19
\led_flash_cnt[3751][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3751][0]~84455_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3751][0]~q\);

-- Location: LCCOMB_X30_Y27_N2
\led_flash_cnt[3751][1]~80290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3751][1]~80290_combout\ = (\led_flash_cnt[3751][0]~q\ & (\led_flash_cnt[3751][1]~q\ $ (VCC))) # (!\led_flash_cnt[3751][0]~q\ & (\led_flash_cnt[3751][1]~q\ & VCC))
-- \led_flash_cnt[3751][1]~80291\ = CARRY((\led_flash_cnt[3751][0]~q\ & \led_flash_cnt[3751][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3751][0]~q\,
	datab => \led_flash_cnt[3751][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3751][1]~80290_combout\,
	cout => \led_flash_cnt[3751][1]~80291\);

-- Location: FF_X30_Y27_N3
\led_flash_cnt[3751][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3751][1]~80290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3751][1]~q\);

-- Location: LCCOMB_X30_Y27_N4
\led_flash_cnt[3751][2]~80292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3751][2]~80292_combout\ = (\led_flash_cnt[3751][2]~q\ & (!\led_flash_cnt[3751][1]~80291\)) # (!\led_flash_cnt[3751][2]~q\ & ((\led_flash_cnt[3751][1]~80291\) # (GND)))
-- \led_flash_cnt[3751][2]~80293\ = CARRY((!\led_flash_cnt[3751][1]~80291\) # (!\led_flash_cnt[3751][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3751][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3751][1]~80291\,
	combout => \led_flash_cnt[3751][2]~80292_combout\,
	cout => \led_flash_cnt[3751][2]~80293\);

-- Location: FF_X30_Y27_N5
\led_flash_cnt[3751][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3751][2]~80292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3751][2]~q\);

-- Location: LCCOMB_X30_Y27_N6
\led_flash_cnt[3751][3]~80294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3751][3]~80294_combout\ = (\led_flash_cnt[3751][3]~q\ & (\led_flash_cnt[3751][2]~80293\ $ (GND))) # (!\led_flash_cnt[3751][3]~q\ & (!\led_flash_cnt[3751][2]~80293\ & VCC))
-- \led_flash_cnt[3751][3]~80295\ = CARRY((\led_flash_cnt[3751][3]~q\ & !\led_flash_cnt[3751][2]~80293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3751][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3751][2]~80293\,
	combout => \led_flash_cnt[3751][3]~80294_combout\,
	cout => \led_flash_cnt[3751][3]~80295\);

-- Location: FF_X30_Y27_N7
\led_flash_cnt[3751][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3751][3]~80294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3751][3]~q\);

-- Location: LCCOMB_X30_Y27_N8
\led_flash_cnt[3751][4]~80296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3751][4]~80296_combout\ = (\led_flash_cnt[3751][4]~q\ & (!\led_flash_cnt[3751][3]~80295\)) # (!\led_flash_cnt[3751][4]~q\ & ((\led_flash_cnt[3751][3]~80295\) # (GND)))
-- \led_flash_cnt[3751][4]~80297\ = CARRY((!\led_flash_cnt[3751][3]~80295\) # (!\led_flash_cnt[3751][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3751][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3751][3]~80295\,
	combout => \led_flash_cnt[3751][4]~80296_combout\,
	cout => \led_flash_cnt[3751][4]~80297\);

-- Location: FF_X30_Y27_N9
\led_flash_cnt[3751][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3751][4]~80296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3751][4]~q\);

-- Location: LCCOMB_X30_Y27_N10
\led_flash_cnt[3751][5]~80298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3751][5]~80298_combout\ = (\led_flash_cnt[3751][5]~q\ & (\led_flash_cnt[3751][4]~80297\ $ (GND))) # (!\led_flash_cnt[3751][5]~q\ & (!\led_flash_cnt[3751][4]~80297\ & VCC))
-- \led_flash_cnt[3751][5]~80299\ = CARRY((\led_flash_cnt[3751][5]~q\ & !\led_flash_cnt[3751][4]~80297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3751][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3751][4]~80297\,
	combout => \led_flash_cnt[3751][5]~80298_combout\,
	cout => \led_flash_cnt[3751][5]~80299\);

-- Location: FF_X30_Y27_N11
\led_flash_cnt[3751][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3751][5]~80298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3751][5]~q\);

-- Location: LCCOMB_X30_Y27_N12
\led_flash_cnt[3751][6]~80300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3751][6]~80300_combout\ = (\led_flash_cnt[3751][6]~q\ & (!\led_flash_cnt[3751][5]~80299\)) # (!\led_flash_cnt[3751][6]~q\ & ((\led_flash_cnt[3751][5]~80299\) # (GND)))
-- \led_flash_cnt[3751][6]~80301\ = CARRY((!\led_flash_cnt[3751][5]~80299\) # (!\led_flash_cnt[3751][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3751][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3751][5]~80299\,
	combout => \led_flash_cnt[3751][6]~80300_combout\,
	cout => \led_flash_cnt[3751][6]~80301\);

-- Location: FF_X30_Y27_N13
\led_flash_cnt[3751][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3751][6]~80300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3751][6]~q\);

-- Location: LCCOMB_X30_Y27_N24
\WideAnd3751~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3751~1_combout\ = (\led_flash_cnt[3751][5]~q\ & \led_flash_cnt[3751][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3751][5]~q\,
	datad => \led_flash_cnt[3751][6]~q\,
	combout => \WideAnd3751~1_combout\);

-- Location: LCCOMB_X30_Y27_N14
\led_flash_cnt[3751][7]~80302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3751][7]~80302_combout\ = \led_flash_cnt[3751][7]~q\ $ (!\led_flash_cnt[3751][6]~80301\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3751][7]~q\,
	cin => \led_flash_cnt[3751][6]~80301\,
	combout => \led_flash_cnt[3751][7]~80302_combout\);

-- Location: FF_X30_Y27_N15
\led_flash_cnt[3751][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3751][7]~80302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3751][7]~q\);

-- Location: LCCOMB_X30_Y27_N20
\WideAnd3751~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3751~0_combout\ = (\led_flash_cnt[3751][3]~q\ & (\led_flash_cnt[3751][2]~q\ & (\led_flash_cnt[3751][4]~q\ & \led_flash_cnt[3751][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3751][3]~q\,
	datab => \led_flash_cnt[3751][2]~q\,
	datac => \led_flash_cnt[3751][4]~q\,
	datad => \led_flash_cnt[3751][1]~q\,
	combout => \WideAnd3751~0_combout\);

-- Location: LCCOMB_X30_Y27_N30
WideAnd3751 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3751~combout\ = (\led_flash_cnt[3751][0]~q\ & (\WideAnd3751~1_combout\ & (\led_flash_cnt[3751][7]~q\ & \WideAnd3751~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3751][0]~q\,
	datab => \WideAnd3751~1_combout\,
	datac => \led_flash_cnt[3751][7]~q\,
	datad => \WideAnd3751~0_combout\,
	combout => \WideAnd3751~combout\);

-- Location: FF_X30_Y27_N31
\led_flash_cnt_ands[3751]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3751~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3751));

-- Location: LCCOMB_X32_Y23_N0
\led_flash_cnt[3748][0]~84452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3748][0]~84452_combout\ = !\led_flash_cnt[3748][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3748][0]~q\,
	combout => \led_flash_cnt[3748][0]~84452_combout\);

-- Location: FF_X32_Y23_N1
\led_flash_cnt[3748][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3748][0]~84452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3748][0]~q\);

-- Location: LCCOMB_X32_Y23_N4
\led_flash_cnt[3748][1]~80248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3748][1]~80248_combout\ = (\led_flash_cnt[3748][0]~q\ & (\led_flash_cnt[3748][1]~q\ $ (VCC))) # (!\led_flash_cnt[3748][0]~q\ & (\led_flash_cnt[3748][1]~q\ & VCC))
-- \led_flash_cnt[3748][1]~80249\ = CARRY((\led_flash_cnt[3748][0]~q\ & \led_flash_cnt[3748][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3748][0]~q\,
	datab => \led_flash_cnt[3748][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3748][1]~80248_combout\,
	cout => \led_flash_cnt[3748][1]~80249\);

-- Location: FF_X32_Y23_N5
\led_flash_cnt[3748][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3748][1]~80248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3748][1]~q\);

-- Location: LCCOMB_X32_Y23_N6
\led_flash_cnt[3748][2]~80250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3748][2]~80250_combout\ = (\led_flash_cnt[3748][2]~q\ & (!\led_flash_cnt[3748][1]~80249\)) # (!\led_flash_cnt[3748][2]~q\ & ((\led_flash_cnt[3748][1]~80249\) # (GND)))
-- \led_flash_cnt[3748][2]~80251\ = CARRY((!\led_flash_cnt[3748][1]~80249\) # (!\led_flash_cnt[3748][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3748][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3748][1]~80249\,
	combout => \led_flash_cnt[3748][2]~80250_combout\,
	cout => \led_flash_cnt[3748][2]~80251\);

-- Location: FF_X32_Y23_N7
\led_flash_cnt[3748][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3748][2]~80250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3748][2]~q\);

-- Location: LCCOMB_X32_Y23_N8
\led_flash_cnt[3748][3]~80252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3748][3]~80252_combout\ = (\led_flash_cnt[3748][3]~q\ & (\led_flash_cnt[3748][2]~80251\ $ (GND))) # (!\led_flash_cnt[3748][3]~q\ & (!\led_flash_cnt[3748][2]~80251\ & VCC))
-- \led_flash_cnt[3748][3]~80253\ = CARRY((\led_flash_cnt[3748][3]~q\ & !\led_flash_cnt[3748][2]~80251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3748][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3748][2]~80251\,
	combout => \led_flash_cnt[3748][3]~80252_combout\,
	cout => \led_flash_cnt[3748][3]~80253\);

-- Location: FF_X32_Y23_N9
\led_flash_cnt[3748][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3748][3]~80252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3748][3]~q\);

-- Location: LCCOMB_X32_Y23_N10
\led_flash_cnt[3748][4]~80254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3748][4]~80254_combout\ = (\led_flash_cnt[3748][4]~q\ & (!\led_flash_cnt[3748][3]~80253\)) # (!\led_flash_cnt[3748][4]~q\ & ((\led_flash_cnt[3748][3]~80253\) # (GND)))
-- \led_flash_cnt[3748][4]~80255\ = CARRY((!\led_flash_cnt[3748][3]~80253\) # (!\led_flash_cnt[3748][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3748][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3748][3]~80253\,
	combout => \led_flash_cnt[3748][4]~80254_combout\,
	cout => \led_flash_cnt[3748][4]~80255\);

-- Location: FF_X32_Y23_N11
\led_flash_cnt[3748][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3748][4]~80254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3748][4]~q\);

-- Location: LCCOMB_X32_Y23_N2
\WideAnd3748~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3748~0_combout\ = (\led_flash_cnt[3748][2]~q\ & (\led_flash_cnt[3748][3]~q\ & (\led_flash_cnt[3748][1]~q\ & \led_flash_cnt[3748][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3748][2]~q\,
	datab => \led_flash_cnt[3748][3]~q\,
	datac => \led_flash_cnt[3748][1]~q\,
	datad => \led_flash_cnt[3748][4]~q\,
	combout => \WideAnd3748~0_combout\);

-- Location: LCCOMB_X32_Y23_N12
\led_flash_cnt[3748][5]~80256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3748][5]~80256_combout\ = (\led_flash_cnt[3748][5]~q\ & (\led_flash_cnt[3748][4]~80255\ $ (GND))) # (!\led_flash_cnt[3748][5]~q\ & (!\led_flash_cnt[3748][4]~80255\ & VCC))
-- \led_flash_cnt[3748][5]~80257\ = CARRY((\led_flash_cnt[3748][5]~q\ & !\led_flash_cnt[3748][4]~80255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3748][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3748][4]~80255\,
	combout => \led_flash_cnt[3748][5]~80256_combout\,
	cout => \led_flash_cnt[3748][5]~80257\);

-- Location: FF_X32_Y23_N13
\led_flash_cnt[3748][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3748][5]~80256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3748][5]~q\);

-- Location: LCCOMB_X32_Y23_N14
\led_flash_cnt[3748][6]~80258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3748][6]~80258_combout\ = (\led_flash_cnt[3748][6]~q\ & (!\led_flash_cnt[3748][5]~80257\)) # (!\led_flash_cnt[3748][6]~q\ & ((\led_flash_cnt[3748][5]~80257\) # (GND)))
-- \led_flash_cnt[3748][6]~80259\ = CARRY((!\led_flash_cnt[3748][5]~80257\) # (!\led_flash_cnt[3748][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3748][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3748][5]~80257\,
	combout => \led_flash_cnt[3748][6]~80258_combout\,
	cout => \led_flash_cnt[3748][6]~80259\);

-- Location: FF_X32_Y23_N15
\led_flash_cnt[3748][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3748][6]~80258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3748][6]~q\);

-- Location: LCCOMB_X31_Y23_N14
\WideAnd3748~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3748~1_combout\ = (\led_flash_cnt[3748][5]~q\ & \led_flash_cnt[3748][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3748][5]~q\,
	datac => \led_flash_cnt[3748][6]~q\,
	combout => \WideAnd3748~1_combout\);

-- Location: LCCOMB_X32_Y23_N16
\led_flash_cnt[3748][7]~80260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3748][7]~80260_combout\ = \led_flash_cnt[3748][6]~80259\ $ (!\led_flash_cnt[3748][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3748][7]~q\,
	cin => \led_flash_cnt[3748][6]~80259\,
	combout => \led_flash_cnt[3748][7]~80260_combout\);

-- Location: FF_X32_Y23_N17
\led_flash_cnt[3748][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3748][7]~80260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3748][7]~q\);

-- Location: LCCOMB_X31_Y23_N10
WideAnd3748 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3748~combout\ = (\WideAnd3748~0_combout\ & (\led_flash_cnt[3748][0]~q\ & (\WideAnd3748~1_combout\ & \led_flash_cnt[3748][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3748~0_combout\,
	datab => \led_flash_cnt[3748][0]~q\,
	datac => \WideAnd3748~1_combout\,
	datad => \led_flash_cnt[3748][7]~q\,
	combout => \WideAnd3748~combout\);

-- Location: FF_X31_Y23_N11
\led_flash_cnt_ands[3748]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3748~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3748));

-- Location: LCCOMB_X32_Y26_N12
\led_flash_cnt[3749][0]~84453\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3749][0]~84453_combout\ = !\led_flash_cnt[3749][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3749][0]~q\,
	combout => \led_flash_cnt[3749][0]~84453_combout\);

-- Location: FF_X32_Y26_N13
\led_flash_cnt[3749][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3749][0]~84453_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3749][0]~q\);

-- Location: LCCOMB_X32_Y26_N16
\led_flash_cnt[3749][1]~80262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3749][1]~80262_combout\ = (\led_flash_cnt[3749][0]~q\ & (\led_flash_cnt[3749][1]~q\ $ (VCC))) # (!\led_flash_cnt[3749][0]~q\ & (\led_flash_cnt[3749][1]~q\ & VCC))
-- \led_flash_cnt[3749][1]~80263\ = CARRY((\led_flash_cnt[3749][0]~q\ & \led_flash_cnt[3749][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3749][0]~q\,
	datab => \led_flash_cnt[3749][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3749][1]~80262_combout\,
	cout => \led_flash_cnt[3749][1]~80263\);

-- Location: FF_X32_Y26_N17
\led_flash_cnt[3749][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3749][1]~80262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3749][1]~q\);

-- Location: LCCOMB_X32_Y26_N18
\led_flash_cnt[3749][2]~80264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3749][2]~80264_combout\ = (\led_flash_cnt[3749][2]~q\ & (!\led_flash_cnt[3749][1]~80263\)) # (!\led_flash_cnt[3749][2]~q\ & ((\led_flash_cnt[3749][1]~80263\) # (GND)))
-- \led_flash_cnt[3749][2]~80265\ = CARRY((!\led_flash_cnt[3749][1]~80263\) # (!\led_flash_cnt[3749][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3749][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3749][1]~80263\,
	combout => \led_flash_cnt[3749][2]~80264_combout\,
	cout => \led_flash_cnt[3749][2]~80265\);

-- Location: FF_X32_Y26_N19
\led_flash_cnt[3749][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3749][2]~80264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3749][2]~q\);

-- Location: LCCOMB_X32_Y26_N20
\led_flash_cnt[3749][3]~80266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3749][3]~80266_combout\ = (\led_flash_cnt[3749][3]~q\ & (\led_flash_cnt[3749][2]~80265\ $ (GND))) # (!\led_flash_cnt[3749][3]~q\ & (!\led_flash_cnt[3749][2]~80265\ & VCC))
-- \led_flash_cnt[3749][3]~80267\ = CARRY((\led_flash_cnt[3749][3]~q\ & !\led_flash_cnt[3749][2]~80265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3749][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3749][2]~80265\,
	combout => \led_flash_cnt[3749][3]~80266_combout\,
	cout => \led_flash_cnt[3749][3]~80267\);

-- Location: FF_X32_Y26_N21
\led_flash_cnt[3749][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3749][3]~80266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3749][3]~q\);

-- Location: LCCOMB_X32_Y26_N22
\led_flash_cnt[3749][4]~80268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3749][4]~80268_combout\ = (\led_flash_cnt[3749][4]~q\ & (!\led_flash_cnt[3749][3]~80267\)) # (!\led_flash_cnt[3749][4]~q\ & ((\led_flash_cnt[3749][3]~80267\) # (GND)))
-- \led_flash_cnt[3749][4]~80269\ = CARRY((!\led_flash_cnt[3749][3]~80267\) # (!\led_flash_cnt[3749][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3749][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3749][3]~80267\,
	combout => \led_flash_cnt[3749][4]~80268_combout\,
	cout => \led_flash_cnt[3749][4]~80269\);

-- Location: FF_X32_Y26_N23
\led_flash_cnt[3749][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3749][4]~80268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3749][4]~q\);

-- Location: LCCOMB_X32_Y26_N24
\led_flash_cnt[3749][5]~80270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3749][5]~80270_combout\ = (\led_flash_cnt[3749][5]~q\ & (\led_flash_cnt[3749][4]~80269\ $ (GND))) # (!\led_flash_cnt[3749][5]~q\ & (!\led_flash_cnt[3749][4]~80269\ & VCC))
-- \led_flash_cnt[3749][5]~80271\ = CARRY((\led_flash_cnt[3749][5]~q\ & !\led_flash_cnt[3749][4]~80269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3749][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3749][4]~80269\,
	combout => \led_flash_cnt[3749][5]~80270_combout\,
	cout => \led_flash_cnt[3749][5]~80271\);

-- Location: FF_X32_Y26_N25
\led_flash_cnt[3749][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3749][5]~80270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3749][5]~q\);

-- Location: LCCOMB_X32_Y26_N26
\led_flash_cnt[3749][6]~80272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3749][6]~80272_combout\ = (\led_flash_cnt[3749][6]~q\ & (!\led_flash_cnt[3749][5]~80271\)) # (!\led_flash_cnt[3749][6]~q\ & ((\led_flash_cnt[3749][5]~80271\) # (GND)))
-- \led_flash_cnt[3749][6]~80273\ = CARRY((!\led_flash_cnt[3749][5]~80271\) # (!\led_flash_cnt[3749][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3749][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3749][5]~80271\,
	combout => \led_flash_cnt[3749][6]~80272_combout\,
	cout => \led_flash_cnt[3749][6]~80273\);

-- Location: FF_X32_Y26_N27
\led_flash_cnt[3749][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3749][6]~80272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3749][6]~q\);

-- Location: LCCOMB_X32_Y26_N28
\led_flash_cnt[3749][7]~80274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3749][7]~80274_combout\ = \led_flash_cnt[3749][6]~80273\ $ (!\led_flash_cnt[3749][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3749][7]~q\,
	cin => \led_flash_cnt[3749][6]~80273\,
	combout => \led_flash_cnt[3749][7]~80274_combout\);

-- Location: FF_X32_Y26_N29
\led_flash_cnt[3749][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3749][7]~80274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3749][7]~q\);

-- Location: LCCOMB_X32_Y26_N8
\WideAnd3749~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3749~1_combout\ = (\led_flash_cnt[3749][6]~q\ & \led_flash_cnt[3749][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3749][6]~q\,
	datad => \led_flash_cnt[3749][5]~q\,
	combout => \WideAnd3749~1_combout\);

-- Location: LCCOMB_X32_Y26_N10
\WideAnd3749~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3749~0_combout\ = (\led_flash_cnt[3749][3]~q\ & (\led_flash_cnt[3749][2]~q\ & (\led_flash_cnt[3749][4]~q\ & \led_flash_cnt[3749][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3749][3]~q\,
	datab => \led_flash_cnt[3749][2]~q\,
	datac => \led_flash_cnt[3749][4]~q\,
	datad => \led_flash_cnt[3749][1]~q\,
	combout => \WideAnd3749~0_combout\);

-- Location: LCCOMB_X32_Y26_N6
WideAnd3749 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3749~combout\ = (\led_flash_cnt[3749][0]~q\ & (\led_flash_cnt[3749][7]~q\ & (\WideAnd3749~1_combout\ & \WideAnd3749~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3749][0]~q\,
	datab => \led_flash_cnt[3749][7]~q\,
	datac => \WideAnd3749~1_combout\,
	datad => \WideAnd3749~0_combout\,
	combout => \WideAnd3749~combout\);

-- Location: FF_X32_Y26_N7
\led_flash_cnt_ands[3749]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3749~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3749));

-- Location: LCCOMB_X31_Y26_N0
\WideAnd4308~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4308~1_combout\ = (led_flash_cnt_ands(3748) & led_flash_cnt_ands(3749))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3748),
	datad => led_flash_cnt_ands(3749),
	combout => \WideAnd4308~1_combout\);

-- Location: LCCOMB_X29_Y24_N0
\led_flash_cnt[3744][0]~84448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3744][0]~84448_combout\ = !\led_flash_cnt[3744][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3744][0]~q\,
	combout => \led_flash_cnt[3744][0]~84448_combout\);

-- Location: FF_X29_Y24_N1
\led_flash_cnt[3744][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3744][0]~84448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3744][0]~q\);

-- Location: LCCOMB_X30_Y24_N16
\led_flash_cnt[3744][1]~80192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3744][1]~80192_combout\ = (\led_flash_cnt[3744][0]~q\ & (\led_flash_cnt[3744][1]~q\ $ (VCC))) # (!\led_flash_cnt[3744][0]~q\ & (\led_flash_cnt[3744][1]~q\ & VCC))
-- \led_flash_cnt[3744][1]~80193\ = CARRY((\led_flash_cnt[3744][0]~q\ & \led_flash_cnt[3744][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3744][0]~q\,
	datab => \led_flash_cnt[3744][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3744][1]~80192_combout\,
	cout => \led_flash_cnt[3744][1]~80193\);

-- Location: FF_X30_Y24_N17
\led_flash_cnt[3744][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3744][1]~80192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3744][1]~q\);

-- Location: LCCOMB_X30_Y24_N18
\led_flash_cnt[3744][2]~80194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3744][2]~80194_combout\ = (\led_flash_cnt[3744][2]~q\ & (!\led_flash_cnt[3744][1]~80193\)) # (!\led_flash_cnt[3744][2]~q\ & ((\led_flash_cnt[3744][1]~80193\) # (GND)))
-- \led_flash_cnt[3744][2]~80195\ = CARRY((!\led_flash_cnt[3744][1]~80193\) # (!\led_flash_cnt[3744][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3744][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3744][1]~80193\,
	combout => \led_flash_cnt[3744][2]~80194_combout\,
	cout => \led_flash_cnt[3744][2]~80195\);

-- Location: FF_X30_Y24_N19
\led_flash_cnt[3744][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3744][2]~80194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3744][2]~q\);

-- Location: LCCOMB_X30_Y24_N20
\led_flash_cnt[3744][3]~80196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3744][3]~80196_combout\ = (\led_flash_cnt[3744][3]~q\ & (\led_flash_cnt[3744][2]~80195\ $ (GND))) # (!\led_flash_cnt[3744][3]~q\ & (!\led_flash_cnt[3744][2]~80195\ & VCC))
-- \led_flash_cnt[3744][3]~80197\ = CARRY((\led_flash_cnt[3744][3]~q\ & !\led_flash_cnt[3744][2]~80195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3744][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3744][2]~80195\,
	combout => \led_flash_cnt[3744][3]~80196_combout\,
	cout => \led_flash_cnt[3744][3]~80197\);

-- Location: FF_X30_Y24_N21
\led_flash_cnt[3744][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3744][3]~80196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3744][3]~q\);

-- Location: LCCOMB_X30_Y24_N22
\led_flash_cnt[3744][4]~80198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3744][4]~80198_combout\ = (\led_flash_cnt[3744][4]~q\ & (!\led_flash_cnt[3744][3]~80197\)) # (!\led_flash_cnt[3744][4]~q\ & ((\led_flash_cnt[3744][3]~80197\) # (GND)))
-- \led_flash_cnt[3744][4]~80199\ = CARRY((!\led_flash_cnt[3744][3]~80197\) # (!\led_flash_cnt[3744][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3744][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3744][3]~80197\,
	combout => \led_flash_cnt[3744][4]~80198_combout\,
	cout => \led_flash_cnt[3744][4]~80199\);

-- Location: FF_X30_Y24_N23
\led_flash_cnt[3744][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3744][4]~80198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3744][4]~q\);

-- Location: LCCOMB_X29_Y24_N12
\WideAnd3744~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3744~0_combout\ = (\led_flash_cnt[3744][4]~q\ & (\led_flash_cnt[3744][1]~q\ & (\led_flash_cnt[3744][3]~q\ & \led_flash_cnt[3744][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3744][4]~q\,
	datab => \led_flash_cnt[3744][1]~q\,
	datac => \led_flash_cnt[3744][3]~q\,
	datad => \led_flash_cnt[3744][2]~q\,
	combout => \WideAnd3744~0_combout\);

-- Location: LCCOMB_X30_Y24_N24
\led_flash_cnt[3744][5]~80200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3744][5]~80200_combout\ = (\led_flash_cnt[3744][5]~q\ & (\led_flash_cnt[3744][4]~80199\ $ (GND))) # (!\led_flash_cnt[3744][5]~q\ & (!\led_flash_cnt[3744][4]~80199\ & VCC))
-- \led_flash_cnt[3744][5]~80201\ = CARRY((\led_flash_cnt[3744][5]~q\ & !\led_flash_cnt[3744][4]~80199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3744][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3744][4]~80199\,
	combout => \led_flash_cnt[3744][5]~80200_combout\,
	cout => \led_flash_cnt[3744][5]~80201\);

-- Location: FF_X30_Y24_N25
\led_flash_cnt[3744][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3744][5]~80200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3744][5]~q\);

-- Location: LCCOMB_X30_Y24_N26
\led_flash_cnt[3744][6]~80202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3744][6]~80202_combout\ = (\led_flash_cnt[3744][6]~q\ & (!\led_flash_cnt[3744][5]~80201\)) # (!\led_flash_cnt[3744][6]~q\ & ((\led_flash_cnt[3744][5]~80201\) # (GND)))
-- \led_flash_cnt[3744][6]~80203\ = CARRY((!\led_flash_cnt[3744][5]~80201\) # (!\led_flash_cnt[3744][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3744][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3744][5]~80201\,
	combout => \led_flash_cnt[3744][6]~80202_combout\,
	cout => \led_flash_cnt[3744][6]~80203\);

-- Location: FF_X30_Y24_N27
\led_flash_cnt[3744][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3744][6]~80202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3744][6]~q\);

-- Location: LCCOMB_X30_Y24_N28
\led_flash_cnt[3744][7]~80204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3744][7]~80204_combout\ = \led_flash_cnt[3744][6]~80203\ $ (!\led_flash_cnt[3744][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3744][7]~q\,
	cin => \led_flash_cnt[3744][6]~80203\,
	combout => \led_flash_cnt[3744][7]~80204_combout\);

-- Location: FF_X30_Y24_N29
\led_flash_cnt[3744][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3744][7]~80204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3744][7]~q\);

-- Location: LCCOMB_X29_Y24_N8
\WideAnd3744~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3744~1_combout\ = (\led_flash_cnt[3744][6]~q\ & \led_flash_cnt[3744][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3744][6]~q\,
	datad => \led_flash_cnt[3744][5]~q\,
	combout => \WideAnd3744~1_combout\);

-- Location: LCCOMB_X29_Y24_N2
WideAnd3744 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3744~combout\ = (\WideAnd3744~0_combout\ & (\led_flash_cnt[3744][7]~q\ & (\WideAnd3744~1_combout\ & \led_flash_cnt[3744][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3744~0_combout\,
	datab => \led_flash_cnt[3744][7]~q\,
	datac => \WideAnd3744~1_combout\,
	datad => \led_flash_cnt[3744][0]~q\,
	combout => \WideAnd3744~combout\);

-- Location: FF_X29_Y24_N3
\led_flash_cnt_ands[3744]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3744~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3744));

-- Location: LCCOMB_X39_Y28_N22
\led_flash_cnt[3745][0]~84449\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3745][0]~84449_combout\ = !\led_flash_cnt[3745][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3745][0]~q\,
	combout => \led_flash_cnt[3745][0]~84449_combout\);

-- Location: FF_X39_Y28_N23
\led_flash_cnt[3745][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3745][0]~84449_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3745][0]~q\);

-- Location: LCCOMB_X38_Y27_N0
\led_flash_cnt[3745][1]~80206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3745][1]~80206_combout\ = (\led_flash_cnt[3745][0]~q\ & (\led_flash_cnt[3745][1]~q\ $ (VCC))) # (!\led_flash_cnt[3745][0]~q\ & (\led_flash_cnt[3745][1]~q\ & VCC))
-- \led_flash_cnt[3745][1]~80207\ = CARRY((\led_flash_cnt[3745][0]~q\ & \led_flash_cnt[3745][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3745][0]~q\,
	datab => \led_flash_cnt[3745][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3745][1]~80206_combout\,
	cout => \led_flash_cnt[3745][1]~80207\);

-- Location: FF_X38_Y27_N1
\led_flash_cnt[3745][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3745][1]~80206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3745][1]~q\);

-- Location: LCCOMB_X38_Y27_N2
\led_flash_cnt[3745][2]~80208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3745][2]~80208_combout\ = (\led_flash_cnt[3745][2]~q\ & (!\led_flash_cnt[3745][1]~80207\)) # (!\led_flash_cnt[3745][2]~q\ & ((\led_flash_cnt[3745][1]~80207\) # (GND)))
-- \led_flash_cnt[3745][2]~80209\ = CARRY((!\led_flash_cnt[3745][1]~80207\) # (!\led_flash_cnt[3745][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3745][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3745][1]~80207\,
	combout => \led_flash_cnt[3745][2]~80208_combout\,
	cout => \led_flash_cnt[3745][2]~80209\);

-- Location: FF_X38_Y27_N3
\led_flash_cnt[3745][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3745][2]~80208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3745][2]~q\);

-- Location: LCCOMB_X38_Y27_N4
\led_flash_cnt[3745][3]~80210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3745][3]~80210_combout\ = (\led_flash_cnt[3745][3]~q\ & (\led_flash_cnt[3745][2]~80209\ $ (GND))) # (!\led_flash_cnt[3745][3]~q\ & (!\led_flash_cnt[3745][2]~80209\ & VCC))
-- \led_flash_cnt[3745][3]~80211\ = CARRY((\led_flash_cnt[3745][3]~q\ & !\led_flash_cnt[3745][2]~80209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3745][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3745][2]~80209\,
	combout => \led_flash_cnt[3745][3]~80210_combout\,
	cout => \led_flash_cnt[3745][3]~80211\);

-- Location: FF_X38_Y27_N5
\led_flash_cnt[3745][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3745][3]~80210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3745][3]~q\);

-- Location: LCCOMB_X38_Y27_N6
\led_flash_cnt[3745][4]~80212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3745][4]~80212_combout\ = (\led_flash_cnt[3745][4]~q\ & (!\led_flash_cnt[3745][3]~80211\)) # (!\led_flash_cnt[3745][4]~q\ & ((\led_flash_cnt[3745][3]~80211\) # (GND)))
-- \led_flash_cnt[3745][4]~80213\ = CARRY((!\led_flash_cnt[3745][3]~80211\) # (!\led_flash_cnt[3745][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3745][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3745][3]~80211\,
	combout => \led_flash_cnt[3745][4]~80212_combout\,
	cout => \led_flash_cnt[3745][4]~80213\);

-- Location: FF_X38_Y27_N7
\led_flash_cnt[3745][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3745][4]~80212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3745][4]~q\);

-- Location: LCCOMB_X38_Y27_N8
\led_flash_cnt[3745][5]~80214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3745][5]~80214_combout\ = (\led_flash_cnt[3745][5]~q\ & (\led_flash_cnt[3745][4]~80213\ $ (GND))) # (!\led_flash_cnt[3745][5]~q\ & (!\led_flash_cnt[3745][4]~80213\ & VCC))
-- \led_flash_cnt[3745][5]~80215\ = CARRY((\led_flash_cnt[3745][5]~q\ & !\led_flash_cnt[3745][4]~80213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3745][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3745][4]~80213\,
	combout => \led_flash_cnt[3745][5]~80214_combout\,
	cout => \led_flash_cnt[3745][5]~80215\);

-- Location: FF_X38_Y27_N9
\led_flash_cnt[3745][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3745][5]~80214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3745][5]~q\);

-- Location: LCCOMB_X38_Y27_N10
\led_flash_cnt[3745][6]~80216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3745][6]~80216_combout\ = (\led_flash_cnt[3745][6]~q\ & (!\led_flash_cnt[3745][5]~80215\)) # (!\led_flash_cnt[3745][6]~q\ & ((\led_flash_cnt[3745][5]~80215\) # (GND)))
-- \led_flash_cnt[3745][6]~80217\ = CARRY((!\led_flash_cnt[3745][5]~80215\) # (!\led_flash_cnt[3745][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3745][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3745][5]~80215\,
	combout => \led_flash_cnt[3745][6]~80216_combout\,
	cout => \led_flash_cnt[3745][6]~80217\);

-- Location: FF_X38_Y27_N11
\led_flash_cnt[3745][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3745][6]~80216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3745][6]~q\);

-- Location: LCCOMB_X38_Y27_N12
\led_flash_cnt[3745][7]~80218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3745][7]~80218_combout\ = \led_flash_cnt[3745][6]~80217\ $ (!\led_flash_cnt[3745][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3745][7]~q\,
	cin => \led_flash_cnt[3745][6]~80217\,
	combout => \led_flash_cnt[3745][7]~80218_combout\);

-- Location: FF_X38_Y27_N13
\led_flash_cnt[3745][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3745][7]~80218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3745][7]~q\);

-- Location: LCCOMB_X38_Y27_N14
\WideAnd3745~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3745~0_combout\ = (\led_flash_cnt[3745][4]~q\ & (\led_flash_cnt[3745][1]~q\ & (\led_flash_cnt[3745][3]~q\ & \led_flash_cnt[3745][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3745][4]~q\,
	datab => \led_flash_cnt[3745][1]~q\,
	datac => \led_flash_cnt[3745][3]~q\,
	datad => \led_flash_cnt[3745][2]~q\,
	combout => \WideAnd3745~0_combout\);

-- Location: LCCOMB_X39_Y27_N28
\WideAnd3745~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3745~1_combout\ = (\led_flash_cnt[3745][6]~q\ & \led_flash_cnt[3745][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3745][6]~q\,
	datad => \led_flash_cnt[3745][5]~q\,
	combout => \WideAnd3745~1_combout\);

-- Location: LCCOMB_X38_Y27_N16
WideAnd3745 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3745~combout\ = (\led_flash_cnt[3745][7]~q\ & (\WideAnd3745~0_combout\ & (\led_flash_cnt[3745][0]~q\ & \WideAnd3745~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3745][7]~q\,
	datab => \WideAnd3745~0_combout\,
	datac => \led_flash_cnt[3745][0]~q\,
	datad => \WideAnd3745~1_combout\,
	combout => \WideAnd3745~combout\);

-- Location: FF_X38_Y27_N17
\led_flash_cnt_ands[3745]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3745~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3745));

-- Location: LCCOMB_X37_Y27_N2
\led_flash_cnt[3747][0]~84451\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3747][0]~84451_combout\ = !\led_flash_cnt[3747][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3747][0]~q\,
	combout => \led_flash_cnt[3747][0]~84451_combout\);

-- Location: FF_X37_Y27_N3
\led_flash_cnt[3747][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3747][0]~84451_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3747][0]~q\);

-- Location: LCCOMB_X36_Y27_N18
\led_flash_cnt[3747][1]~80234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3747][1]~80234_combout\ = (\led_flash_cnt[3747][0]~q\ & (\led_flash_cnt[3747][1]~q\ $ (VCC))) # (!\led_flash_cnt[3747][0]~q\ & (\led_flash_cnt[3747][1]~q\ & VCC))
-- \led_flash_cnt[3747][1]~80235\ = CARRY((\led_flash_cnt[3747][0]~q\ & \led_flash_cnt[3747][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3747][0]~q\,
	datab => \led_flash_cnt[3747][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3747][1]~80234_combout\,
	cout => \led_flash_cnt[3747][1]~80235\);

-- Location: FF_X36_Y27_N19
\led_flash_cnt[3747][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3747][1]~80234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3747][1]~q\);

-- Location: LCCOMB_X36_Y27_N20
\led_flash_cnt[3747][2]~80236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3747][2]~80236_combout\ = (\led_flash_cnt[3747][2]~q\ & (!\led_flash_cnt[3747][1]~80235\)) # (!\led_flash_cnt[3747][2]~q\ & ((\led_flash_cnt[3747][1]~80235\) # (GND)))
-- \led_flash_cnt[3747][2]~80237\ = CARRY((!\led_flash_cnt[3747][1]~80235\) # (!\led_flash_cnt[3747][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3747][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3747][1]~80235\,
	combout => \led_flash_cnt[3747][2]~80236_combout\,
	cout => \led_flash_cnt[3747][2]~80237\);

-- Location: FF_X36_Y27_N21
\led_flash_cnt[3747][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3747][2]~80236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3747][2]~q\);

-- Location: LCCOMB_X36_Y27_N22
\led_flash_cnt[3747][3]~80238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3747][3]~80238_combout\ = (\led_flash_cnt[3747][3]~q\ & (\led_flash_cnt[3747][2]~80237\ $ (GND))) # (!\led_flash_cnt[3747][3]~q\ & (!\led_flash_cnt[3747][2]~80237\ & VCC))
-- \led_flash_cnt[3747][3]~80239\ = CARRY((\led_flash_cnt[3747][3]~q\ & !\led_flash_cnt[3747][2]~80237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3747][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3747][2]~80237\,
	combout => \led_flash_cnt[3747][3]~80238_combout\,
	cout => \led_flash_cnt[3747][3]~80239\);

-- Location: FF_X36_Y27_N23
\led_flash_cnt[3747][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3747][3]~80238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3747][3]~q\);

-- Location: LCCOMB_X36_Y27_N24
\led_flash_cnt[3747][4]~80240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3747][4]~80240_combout\ = (\led_flash_cnt[3747][4]~q\ & (!\led_flash_cnt[3747][3]~80239\)) # (!\led_flash_cnt[3747][4]~q\ & ((\led_flash_cnt[3747][3]~80239\) # (GND)))
-- \led_flash_cnt[3747][4]~80241\ = CARRY((!\led_flash_cnt[3747][3]~80239\) # (!\led_flash_cnt[3747][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3747][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3747][3]~80239\,
	combout => \led_flash_cnt[3747][4]~80240_combout\,
	cout => \led_flash_cnt[3747][4]~80241\);

-- Location: FF_X36_Y27_N25
\led_flash_cnt[3747][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3747][4]~80240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3747][4]~q\);

-- Location: LCCOMB_X36_Y27_N26
\led_flash_cnt[3747][5]~80242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3747][5]~80242_combout\ = (\led_flash_cnt[3747][5]~q\ & (\led_flash_cnt[3747][4]~80241\ $ (GND))) # (!\led_flash_cnt[3747][5]~q\ & (!\led_flash_cnt[3747][4]~80241\ & VCC))
-- \led_flash_cnt[3747][5]~80243\ = CARRY((\led_flash_cnt[3747][5]~q\ & !\led_flash_cnt[3747][4]~80241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3747][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3747][4]~80241\,
	combout => \led_flash_cnt[3747][5]~80242_combout\,
	cout => \led_flash_cnt[3747][5]~80243\);

-- Location: FF_X36_Y27_N27
\led_flash_cnt[3747][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3747][5]~80242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3747][5]~q\);

-- Location: LCCOMB_X36_Y27_N28
\led_flash_cnt[3747][6]~80244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3747][6]~80244_combout\ = (\led_flash_cnt[3747][6]~q\ & (!\led_flash_cnt[3747][5]~80243\)) # (!\led_flash_cnt[3747][6]~q\ & ((\led_flash_cnt[3747][5]~80243\) # (GND)))
-- \led_flash_cnt[3747][6]~80245\ = CARRY((!\led_flash_cnt[3747][5]~80243\) # (!\led_flash_cnt[3747][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3747][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3747][5]~80243\,
	combout => \led_flash_cnt[3747][6]~80244_combout\,
	cout => \led_flash_cnt[3747][6]~80245\);

-- Location: FF_X36_Y27_N29
\led_flash_cnt[3747][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3747][6]~80244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3747][6]~q\);

-- Location: LCCOMB_X37_Y27_N10
\WideAnd3747~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3747~1_combout\ = (\led_flash_cnt[3747][5]~q\ & \led_flash_cnt[3747][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3747][5]~q\,
	datad => \led_flash_cnt[3747][6]~q\,
	combout => \WideAnd3747~1_combout\);

-- Location: LCCOMB_X36_Y27_N30
\led_flash_cnt[3747][7]~80246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3747][7]~80246_combout\ = \led_flash_cnt[3747][6]~80245\ $ (!\led_flash_cnt[3747][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3747][7]~q\,
	cin => \led_flash_cnt[3747][6]~80245\,
	combout => \led_flash_cnt[3747][7]~80246_combout\);

-- Location: FF_X36_Y27_N31
\led_flash_cnt[3747][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3747][7]~80246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3747][7]~q\);

-- Location: LCCOMB_X37_Y27_N4
\WideAnd3747~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3747~0_combout\ = (\led_flash_cnt[3747][4]~q\ & (\led_flash_cnt[3747][1]~q\ & (\led_flash_cnt[3747][2]~q\ & \led_flash_cnt[3747][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3747][4]~q\,
	datab => \led_flash_cnt[3747][1]~q\,
	datac => \led_flash_cnt[3747][2]~q\,
	datad => \led_flash_cnt[3747][3]~q\,
	combout => \WideAnd3747~0_combout\);

-- Location: LCCOMB_X37_Y27_N8
WideAnd3747 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3747~combout\ = (\WideAnd3747~1_combout\ & (\led_flash_cnt[3747][7]~q\ & (\WideAnd3747~0_combout\ & \led_flash_cnt[3747][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3747~1_combout\,
	datab => \led_flash_cnt[3747][7]~q\,
	datac => \WideAnd3747~0_combout\,
	datad => \led_flash_cnt[3747][0]~q\,
	combout => \WideAnd3747~combout\);

-- Location: FF_X37_Y27_N9
\led_flash_cnt_ands[3747]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3747~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3747));

-- Location: LCCOMB_X29_Y24_N6
\led_flash_cnt[3746][0]~84450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3746][0]~84450_combout\ = !\led_flash_cnt[3746][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3746][0]~q\,
	combout => \led_flash_cnt[3746][0]~84450_combout\);

-- Location: FF_X29_Y24_N7
\led_flash_cnt[3746][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3746][0]~84450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3746][0]~q\);

-- Location: LCCOMB_X29_Y24_N16
\led_flash_cnt[3746][1]~80220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3746][1]~80220_combout\ = (\led_flash_cnt[3746][0]~q\ & (\led_flash_cnt[3746][1]~q\ $ (VCC))) # (!\led_flash_cnt[3746][0]~q\ & (\led_flash_cnt[3746][1]~q\ & VCC))
-- \led_flash_cnt[3746][1]~80221\ = CARRY((\led_flash_cnt[3746][0]~q\ & \led_flash_cnt[3746][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3746][0]~q\,
	datab => \led_flash_cnt[3746][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3746][1]~80220_combout\,
	cout => \led_flash_cnt[3746][1]~80221\);

-- Location: FF_X29_Y24_N17
\led_flash_cnt[3746][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3746][1]~80220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3746][1]~q\);

-- Location: LCCOMB_X29_Y24_N18
\led_flash_cnt[3746][2]~80222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3746][2]~80222_combout\ = (\led_flash_cnt[3746][2]~q\ & (!\led_flash_cnt[3746][1]~80221\)) # (!\led_flash_cnt[3746][2]~q\ & ((\led_flash_cnt[3746][1]~80221\) # (GND)))
-- \led_flash_cnt[3746][2]~80223\ = CARRY((!\led_flash_cnt[3746][1]~80221\) # (!\led_flash_cnt[3746][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3746][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3746][1]~80221\,
	combout => \led_flash_cnt[3746][2]~80222_combout\,
	cout => \led_flash_cnt[3746][2]~80223\);

-- Location: FF_X29_Y24_N19
\led_flash_cnt[3746][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3746][2]~80222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3746][2]~q\);

-- Location: LCCOMB_X29_Y24_N20
\led_flash_cnt[3746][3]~80224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3746][3]~80224_combout\ = (\led_flash_cnt[3746][3]~q\ & (\led_flash_cnt[3746][2]~80223\ $ (GND))) # (!\led_flash_cnt[3746][3]~q\ & (!\led_flash_cnt[3746][2]~80223\ & VCC))
-- \led_flash_cnt[3746][3]~80225\ = CARRY((\led_flash_cnt[3746][3]~q\ & !\led_flash_cnt[3746][2]~80223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3746][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3746][2]~80223\,
	combout => \led_flash_cnt[3746][3]~80224_combout\,
	cout => \led_flash_cnt[3746][3]~80225\);

-- Location: FF_X29_Y24_N21
\led_flash_cnt[3746][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3746][3]~80224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3746][3]~q\);

-- Location: LCCOMB_X29_Y24_N22
\led_flash_cnt[3746][4]~80226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3746][4]~80226_combout\ = (\led_flash_cnt[3746][4]~q\ & (!\led_flash_cnt[3746][3]~80225\)) # (!\led_flash_cnt[3746][4]~q\ & ((\led_flash_cnt[3746][3]~80225\) # (GND)))
-- \led_flash_cnt[3746][4]~80227\ = CARRY((!\led_flash_cnt[3746][3]~80225\) # (!\led_flash_cnt[3746][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3746][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3746][3]~80225\,
	combout => \led_flash_cnt[3746][4]~80226_combout\,
	cout => \led_flash_cnt[3746][4]~80227\);

-- Location: FF_X29_Y24_N23
\led_flash_cnt[3746][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3746][4]~80226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3746][4]~q\);

-- Location: LCCOMB_X29_Y24_N24
\led_flash_cnt[3746][5]~80228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3746][5]~80228_combout\ = (\led_flash_cnt[3746][5]~q\ & (\led_flash_cnt[3746][4]~80227\ $ (GND))) # (!\led_flash_cnt[3746][5]~q\ & (!\led_flash_cnt[3746][4]~80227\ & VCC))
-- \led_flash_cnt[3746][5]~80229\ = CARRY((\led_flash_cnt[3746][5]~q\ & !\led_flash_cnt[3746][4]~80227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3746][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3746][4]~80227\,
	combout => \led_flash_cnt[3746][5]~80228_combout\,
	cout => \led_flash_cnt[3746][5]~80229\);

-- Location: FF_X29_Y24_N25
\led_flash_cnt[3746][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3746][5]~80228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3746][5]~q\);

-- Location: LCCOMB_X29_Y24_N26
\led_flash_cnt[3746][6]~80230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3746][6]~80230_combout\ = (\led_flash_cnt[3746][6]~q\ & (!\led_flash_cnt[3746][5]~80229\)) # (!\led_flash_cnt[3746][6]~q\ & ((\led_flash_cnt[3746][5]~80229\) # (GND)))
-- \led_flash_cnt[3746][6]~80231\ = CARRY((!\led_flash_cnt[3746][5]~80229\) # (!\led_flash_cnt[3746][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3746][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3746][5]~80229\,
	combout => \led_flash_cnt[3746][6]~80230_combout\,
	cout => \led_flash_cnt[3746][6]~80231\);

-- Location: FF_X29_Y24_N27
\led_flash_cnt[3746][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3746][6]~80230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3746][6]~q\);

-- Location: LCCOMB_X29_Y24_N28
\led_flash_cnt[3746][7]~80232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3746][7]~80232_combout\ = \led_flash_cnt[3746][6]~80231\ $ (!\led_flash_cnt[3746][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3746][7]~q\,
	cin => \led_flash_cnt[3746][6]~80231\,
	combout => \led_flash_cnt[3746][7]~80232_combout\);

-- Location: FF_X29_Y24_N29
\led_flash_cnt[3746][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3746][7]~80232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3746][7]~q\);

-- Location: LCCOMB_X29_Y24_N4
\WideAnd3746~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3746~1_combout\ = (\led_flash_cnt[3746][6]~q\ & \led_flash_cnt[3746][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3746][6]~q\,
	datad => \led_flash_cnt[3746][5]~q\,
	combout => \WideAnd3746~1_combout\);

-- Location: LCCOMB_X29_Y24_N10
\WideAnd3746~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3746~0_combout\ = (\led_flash_cnt[3746][1]~q\ & (\led_flash_cnt[3746][3]~q\ & (\led_flash_cnt[3746][4]~q\ & \led_flash_cnt[3746][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3746][1]~q\,
	datab => \led_flash_cnt[3746][3]~q\,
	datac => \led_flash_cnt[3746][4]~q\,
	datad => \led_flash_cnt[3746][2]~q\,
	combout => \WideAnd3746~0_combout\);

-- Location: LCCOMB_X29_Y24_N14
WideAnd3746 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3746~combout\ = (\led_flash_cnt[3746][0]~q\ & (\led_flash_cnt[3746][7]~q\ & (\WideAnd3746~1_combout\ & \WideAnd3746~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3746][0]~q\,
	datab => \led_flash_cnt[3746][7]~q\,
	datac => \WideAnd3746~1_combout\,
	datad => \WideAnd3746~0_combout\,
	combout => \WideAnd3746~combout\);

-- Location: FF_X29_Y24_N15
\led_flash_cnt_ands[3746]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3746~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3746));

-- Location: LCCOMB_X30_Y24_N30
\WideAnd4308~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4308~0_combout\ = (led_flash_cnt_ands(3744) & (led_flash_cnt_ands(3745) & (led_flash_cnt_ands(3747) & led_flash_cnt_ands(3746))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3744),
	datab => led_flash_cnt_ands(3745),
	datac => led_flash_cnt_ands(3747),
	datad => led_flash_cnt_ands(3746),
	combout => \WideAnd4308~0_combout\);

-- Location: LCCOMB_X31_Y27_N10
\led_flash_cnt[3750][0]~84454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3750][0]~84454_combout\ = !\led_flash_cnt[3750][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3750][0]~q\,
	combout => \led_flash_cnt[3750][0]~84454_combout\);

-- Location: FF_X31_Y27_N11
\led_flash_cnt[3750][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3750][0]~84454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3750][0]~q\);

-- Location: LCCOMB_X31_Y27_N16
\led_flash_cnt[3750][1]~80276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3750][1]~80276_combout\ = (\led_flash_cnt[3750][0]~q\ & (\led_flash_cnt[3750][1]~q\ $ (VCC))) # (!\led_flash_cnt[3750][0]~q\ & (\led_flash_cnt[3750][1]~q\ & VCC))
-- \led_flash_cnt[3750][1]~80277\ = CARRY((\led_flash_cnt[3750][0]~q\ & \led_flash_cnt[3750][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3750][0]~q\,
	datab => \led_flash_cnt[3750][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3750][1]~80276_combout\,
	cout => \led_flash_cnt[3750][1]~80277\);

-- Location: FF_X31_Y27_N17
\led_flash_cnt[3750][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3750][1]~80276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3750][1]~q\);

-- Location: LCCOMB_X31_Y27_N18
\led_flash_cnt[3750][2]~80278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3750][2]~80278_combout\ = (\led_flash_cnt[3750][2]~q\ & (!\led_flash_cnt[3750][1]~80277\)) # (!\led_flash_cnt[3750][2]~q\ & ((\led_flash_cnt[3750][1]~80277\) # (GND)))
-- \led_flash_cnt[3750][2]~80279\ = CARRY((!\led_flash_cnt[3750][1]~80277\) # (!\led_flash_cnt[3750][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3750][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3750][1]~80277\,
	combout => \led_flash_cnt[3750][2]~80278_combout\,
	cout => \led_flash_cnt[3750][2]~80279\);

-- Location: FF_X31_Y27_N19
\led_flash_cnt[3750][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3750][2]~80278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3750][2]~q\);

-- Location: LCCOMB_X31_Y27_N20
\led_flash_cnt[3750][3]~80280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3750][3]~80280_combout\ = (\led_flash_cnt[3750][3]~q\ & (\led_flash_cnt[3750][2]~80279\ $ (GND))) # (!\led_flash_cnt[3750][3]~q\ & (!\led_flash_cnt[3750][2]~80279\ & VCC))
-- \led_flash_cnt[3750][3]~80281\ = CARRY((\led_flash_cnt[3750][3]~q\ & !\led_flash_cnt[3750][2]~80279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3750][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3750][2]~80279\,
	combout => \led_flash_cnt[3750][3]~80280_combout\,
	cout => \led_flash_cnt[3750][3]~80281\);

-- Location: FF_X31_Y27_N21
\led_flash_cnt[3750][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3750][3]~80280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3750][3]~q\);

-- Location: LCCOMB_X31_Y27_N22
\led_flash_cnt[3750][4]~80282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3750][4]~80282_combout\ = (\led_flash_cnt[3750][4]~q\ & (!\led_flash_cnt[3750][3]~80281\)) # (!\led_flash_cnt[3750][4]~q\ & ((\led_flash_cnt[3750][3]~80281\) # (GND)))
-- \led_flash_cnt[3750][4]~80283\ = CARRY((!\led_flash_cnt[3750][3]~80281\) # (!\led_flash_cnt[3750][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3750][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3750][3]~80281\,
	combout => \led_flash_cnt[3750][4]~80282_combout\,
	cout => \led_flash_cnt[3750][4]~80283\);

-- Location: FF_X31_Y27_N23
\led_flash_cnt[3750][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3750][4]~80282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3750][4]~q\);

-- Location: LCCOMB_X31_Y27_N24
\led_flash_cnt[3750][5]~80284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3750][5]~80284_combout\ = (\led_flash_cnt[3750][5]~q\ & (\led_flash_cnt[3750][4]~80283\ $ (GND))) # (!\led_flash_cnt[3750][5]~q\ & (!\led_flash_cnt[3750][4]~80283\ & VCC))
-- \led_flash_cnt[3750][5]~80285\ = CARRY((\led_flash_cnt[3750][5]~q\ & !\led_flash_cnt[3750][4]~80283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3750][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3750][4]~80283\,
	combout => \led_flash_cnt[3750][5]~80284_combout\,
	cout => \led_flash_cnt[3750][5]~80285\);

-- Location: FF_X31_Y27_N25
\led_flash_cnt[3750][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3750][5]~80284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3750][5]~q\);

-- Location: LCCOMB_X31_Y27_N26
\led_flash_cnt[3750][6]~80286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3750][6]~80286_combout\ = (\led_flash_cnt[3750][6]~q\ & (!\led_flash_cnt[3750][5]~80285\)) # (!\led_flash_cnt[3750][6]~q\ & ((\led_flash_cnt[3750][5]~80285\) # (GND)))
-- \led_flash_cnt[3750][6]~80287\ = CARRY((!\led_flash_cnt[3750][5]~80285\) # (!\led_flash_cnt[3750][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3750][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3750][5]~80285\,
	combout => \led_flash_cnt[3750][6]~80286_combout\,
	cout => \led_flash_cnt[3750][6]~80287\);

-- Location: FF_X31_Y27_N27
\led_flash_cnt[3750][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3750][6]~80286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3750][6]~q\);

-- Location: LCCOMB_X31_Y27_N14
\WideAnd3750~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3750~1_combout\ = (\led_flash_cnt[3750][6]~q\ & \led_flash_cnt[3750][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3750][6]~q\,
	datad => \led_flash_cnt[3750][5]~q\,
	combout => \WideAnd3750~1_combout\);

-- Location: LCCOMB_X31_Y27_N30
\WideAnd3750~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3750~0_combout\ = (\led_flash_cnt[3750][2]~q\ & (\led_flash_cnt[3750][3]~q\ & (\led_flash_cnt[3750][4]~q\ & \led_flash_cnt[3750][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3750][2]~q\,
	datab => \led_flash_cnt[3750][3]~q\,
	datac => \led_flash_cnt[3750][4]~q\,
	datad => \led_flash_cnt[3750][1]~q\,
	combout => \WideAnd3750~0_combout\);

-- Location: LCCOMB_X31_Y27_N28
\led_flash_cnt[3750][7]~80288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3750][7]~80288_combout\ = \led_flash_cnt[3750][6]~80287\ $ (!\led_flash_cnt[3750][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3750][7]~q\,
	cin => \led_flash_cnt[3750][6]~80287\,
	combout => \led_flash_cnt[3750][7]~80288_combout\);

-- Location: FF_X31_Y27_N29
\led_flash_cnt[3750][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3750][7]~80288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3750][7]~q\);

-- Location: LCCOMB_X31_Y27_N4
WideAnd3750 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3750~combout\ = (\led_flash_cnt[3750][0]~q\ & (\WideAnd3750~1_combout\ & (\WideAnd3750~0_combout\ & \led_flash_cnt[3750][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3750][0]~q\,
	datab => \WideAnd3750~1_combout\,
	datac => \WideAnd3750~0_combout\,
	datad => \led_flash_cnt[3750][7]~q\,
	combout => \WideAnd3750~combout\);

-- Location: FF_X31_Y27_N5
\led_flash_cnt_ands[3750]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3750~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3750));

-- Location: LCCOMB_X30_Y27_N22
WideAnd4308 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4308~combout\ = (led_flash_cnt_ands(3751) & (\WideAnd4308~1_combout\ & (\WideAnd4308~0_combout\ & led_flash_cnt_ands(3750))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3751),
	datab => \WideAnd4308~1_combout\,
	datac => \WideAnd4308~0_combout\,
	datad => led_flash_cnt_ands(3750),
	combout => \WideAnd4308~combout\);

-- Location: FF_X30_Y27_N23
\led_flash_cnt_ands_1[468]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4308~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(468));

-- Location: LCCOMB_X31_Y27_N6
\led_flash_cnt[3758][0]~84462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3758][0]~84462_combout\ = !\led_flash_cnt[3758][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3758][0]~q\,
	combout => \led_flash_cnt[3758][0]~84462_combout\);

-- Location: FF_X31_Y27_N7
\led_flash_cnt[3758][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3758][0]~84462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3758][0]~q\);

-- Location: LCCOMB_X32_Y27_N2
\led_flash_cnt[3758][1]~80388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3758][1]~80388_combout\ = (\led_flash_cnt[3758][0]~q\ & (\led_flash_cnt[3758][1]~q\ $ (VCC))) # (!\led_flash_cnt[3758][0]~q\ & (\led_flash_cnt[3758][1]~q\ & VCC))
-- \led_flash_cnt[3758][1]~80389\ = CARRY((\led_flash_cnt[3758][0]~q\ & \led_flash_cnt[3758][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3758][0]~q\,
	datab => \led_flash_cnt[3758][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3758][1]~80388_combout\,
	cout => \led_flash_cnt[3758][1]~80389\);

-- Location: FF_X32_Y27_N3
\led_flash_cnt[3758][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3758][1]~80388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3758][1]~q\);

-- Location: LCCOMB_X32_Y27_N4
\led_flash_cnt[3758][2]~80390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3758][2]~80390_combout\ = (\led_flash_cnt[3758][2]~q\ & (!\led_flash_cnt[3758][1]~80389\)) # (!\led_flash_cnt[3758][2]~q\ & ((\led_flash_cnt[3758][1]~80389\) # (GND)))
-- \led_flash_cnt[3758][2]~80391\ = CARRY((!\led_flash_cnt[3758][1]~80389\) # (!\led_flash_cnt[3758][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3758][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3758][1]~80389\,
	combout => \led_flash_cnt[3758][2]~80390_combout\,
	cout => \led_flash_cnt[3758][2]~80391\);

-- Location: FF_X32_Y27_N5
\led_flash_cnt[3758][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3758][2]~80390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3758][2]~q\);

-- Location: LCCOMB_X32_Y27_N6
\led_flash_cnt[3758][3]~80392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3758][3]~80392_combout\ = (\led_flash_cnt[3758][3]~q\ & (\led_flash_cnt[3758][2]~80391\ $ (GND))) # (!\led_flash_cnt[3758][3]~q\ & (!\led_flash_cnt[3758][2]~80391\ & VCC))
-- \led_flash_cnt[3758][3]~80393\ = CARRY((\led_flash_cnt[3758][3]~q\ & !\led_flash_cnt[3758][2]~80391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3758][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3758][2]~80391\,
	combout => \led_flash_cnt[3758][3]~80392_combout\,
	cout => \led_flash_cnt[3758][3]~80393\);

-- Location: FF_X32_Y27_N7
\led_flash_cnt[3758][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3758][3]~80392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3758][3]~q\);

-- Location: LCCOMB_X32_Y27_N8
\led_flash_cnt[3758][4]~80394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3758][4]~80394_combout\ = (\led_flash_cnt[3758][4]~q\ & (!\led_flash_cnt[3758][3]~80393\)) # (!\led_flash_cnt[3758][4]~q\ & ((\led_flash_cnt[3758][3]~80393\) # (GND)))
-- \led_flash_cnt[3758][4]~80395\ = CARRY((!\led_flash_cnt[3758][3]~80393\) # (!\led_flash_cnt[3758][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3758][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3758][3]~80393\,
	combout => \led_flash_cnt[3758][4]~80394_combout\,
	cout => \led_flash_cnt[3758][4]~80395\);

-- Location: FF_X32_Y27_N9
\led_flash_cnt[3758][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3758][4]~80394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3758][4]~q\);

-- Location: LCCOMB_X32_Y27_N10
\led_flash_cnt[3758][5]~80396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3758][5]~80396_combout\ = (\led_flash_cnt[3758][5]~q\ & (\led_flash_cnt[3758][4]~80395\ $ (GND))) # (!\led_flash_cnt[3758][5]~q\ & (!\led_flash_cnt[3758][4]~80395\ & VCC))
-- \led_flash_cnt[3758][5]~80397\ = CARRY((\led_flash_cnt[3758][5]~q\ & !\led_flash_cnt[3758][4]~80395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3758][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3758][4]~80395\,
	combout => \led_flash_cnt[3758][5]~80396_combout\,
	cout => \led_flash_cnt[3758][5]~80397\);

-- Location: FF_X32_Y27_N11
\led_flash_cnt[3758][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3758][5]~80396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3758][5]~q\);

-- Location: LCCOMB_X32_Y27_N12
\led_flash_cnt[3758][6]~80398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3758][6]~80398_combout\ = (\led_flash_cnt[3758][6]~q\ & (!\led_flash_cnt[3758][5]~80397\)) # (!\led_flash_cnt[3758][6]~q\ & ((\led_flash_cnt[3758][5]~80397\) # (GND)))
-- \led_flash_cnt[3758][6]~80399\ = CARRY((!\led_flash_cnt[3758][5]~80397\) # (!\led_flash_cnt[3758][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3758][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3758][5]~80397\,
	combout => \led_flash_cnt[3758][6]~80398_combout\,
	cout => \led_flash_cnt[3758][6]~80399\);

-- Location: FF_X32_Y27_N13
\led_flash_cnt[3758][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3758][6]~80398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3758][6]~q\);

-- Location: LCCOMB_X32_Y27_N14
\led_flash_cnt[3758][7]~80400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3758][7]~80400_combout\ = \led_flash_cnt[3758][7]~q\ $ (!\led_flash_cnt[3758][6]~80399\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3758][7]~q\,
	cin => \led_flash_cnt[3758][6]~80399\,
	combout => \led_flash_cnt[3758][7]~80400_combout\);

-- Location: FF_X32_Y27_N15
\led_flash_cnt[3758][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3758][7]~80400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3758][7]~q\);

-- Location: LCCOMB_X32_Y27_N30
\WideAnd3758~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3758~0_combout\ = (\led_flash_cnt[3758][3]~q\ & (\led_flash_cnt[3758][4]~q\ & (\led_flash_cnt[3758][2]~q\ & \led_flash_cnt[3758][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3758][3]~q\,
	datab => \led_flash_cnt[3758][4]~q\,
	datac => \led_flash_cnt[3758][2]~q\,
	datad => \led_flash_cnt[3758][1]~q\,
	combout => \WideAnd3758~0_combout\);

-- Location: LCCOMB_X31_Y27_N2
\WideAnd3758~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3758~1_combout\ = (\led_flash_cnt[3758][5]~q\ & \led_flash_cnt[3758][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3758][5]~q\,
	datad => \led_flash_cnt[3758][6]~q\,
	combout => \WideAnd3758~1_combout\);

-- Location: LCCOMB_X31_Y27_N8
WideAnd3758 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3758~combout\ = (\led_flash_cnt[3758][0]~q\ & (\led_flash_cnt[3758][7]~q\ & (\WideAnd3758~0_combout\ & \WideAnd3758~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3758][0]~q\,
	datab => \led_flash_cnt[3758][7]~q\,
	datac => \WideAnd3758~0_combout\,
	datad => \WideAnd3758~1_combout\,
	combout => \WideAnd3758~combout\);

-- Location: FF_X31_Y27_N9
\led_flash_cnt_ands[3758]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3758~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3758));

-- Location: LCCOMB_X36_Y24_N0
\led_flash_cnt[3754][0]~84458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3754][0]~84458_combout\ = !\led_flash_cnt[3754][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3754][0]~q\,
	combout => \led_flash_cnt[3754][0]~84458_combout\);

-- Location: FF_X36_Y24_N1
\led_flash_cnt[3754][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3754][0]~84458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3754][0]~q\);

-- Location: LCCOMB_X36_Y25_N4
\led_flash_cnt[3754][1]~80332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3754][1]~80332_combout\ = (\led_flash_cnt[3754][0]~q\ & (\led_flash_cnt[3754][1]~q\ $ (VCC))) # (!\led_flash_cnt[3754][0]~q\ & (\led_flash_cnt[3754][1]~q\ & VCC))
-- \led_flash_cnt[3754][1]~80333\ = CARRY((\led_flash_cnt[3754][0]~q\ & \led_flash_cnt[3754][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3754][0]~q\,
	datab => \led_flash_cnt[3754][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3754][1]~80332_combout\,
	cout => \led_flash_cnt[3754][1]~80333\);

-- Location: FF_X36_Y25_N5
\led_flash_cnt[3754][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3754][1]~80332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3754][1]~q\);

-- Location: LCCOMB_X36_Y25_N6
\led_flash_cnt[3754][2]~80334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3754][2]~80334_combout\ = (\led_flash_cnt[3754][2]~q\ & (!\led_flash_cnt[3754][1]~80333\)) # (!\led_flash_cnt[3754][2]~q\ & ((\led_flash_cnt[3754][1]~80333\) # (GND)))
-- \led_flash_cnt[3754][2]~80335\ = CARRY((!\led_flash_cnt[3754][1]~80333\) # (!\led_flash_cnt[3754][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3754][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3754][1]~80333\,
	combout => \led_flash_cnt[3754][2]~80334_combout\,
	cout => \led_flash_cnt[3754][2]~80335\);

-- Location: FF_X36_Y25_N7
\led_flash_cnt[3754][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3754][2]~80334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3754][2]~q\);

-- Location: LCCOMB_X36_Y25_N8
\led_flash_cnt[3754][3]~80336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3754][3]~80336_combout\ = (\led_flash_cnt[3754][3]~q\ & (\led_flash_cnt[3754][2]~80335\ $ (GND))) # (!\led_flash_cnt[3754][3]~q\ & (!\led_flash_cnt[3754][2]~80335\ & VCC))
-- \led_flash_cnt[3754][3]~80337\ = CARRY((\led_flash_cnt[3754][3]~q\ & !\led_flash_cnt[3754][2]~80335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3754][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3754][2]~80335\,
	combout => \led_flash_cnt[3754][3]~80336_combout\,
	cout => \led_flash_cnt[3754][3]~80337\);

-- Location: FF_X36_Y25_N9
\led_flash_cnt[3754][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3754][3]~80336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3754][3]~q\);

-- Location: LCCOMB_X36_Y25_N10
\led_flash_cnt[3754][4]~80338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3754][4]~80338_combout\ = (\led_flash_cnt[3754][4]~q\ & (!\led_flash_cnt[3754][3]~80337\)) # (!\led_flash_cnt[3754][4]~q\ & ((\led_flash_cnt[3754][3]~80337\) # (GND)))
-- \led_flash_cnt[3754][4]~80339\ = CARRY((!\led_flash_cnt[3754][3]~80337\) # (!\led_flash_cnt[3754][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3754][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3754][3]~80337\,
	combout => \led_flash_cnt[3754][4]~80338_combout\,
	cout => \led_flash_cnt[3754][4]~80339\);

-- Location: FF_X36_Y25_N11
\led_flash_cnt[3754][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3754][4]~80338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3754][4]~q\);

-- Location: LCCOMB_X36_Y25_N12
\led_flash_cnt[3754][5]~80340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3754][5]~80340_combout\ = (\led_flash_cnt[3754][5]~q\ & (\led_flash_cnt[3754][4]~80339\ $ (GND))) # (!\led_flash_cnt[3754][5]~q\ & (!\led_flash_cnt[3754][4]~80339\ & VCC))
-- \led_flash_cnt[3754][5]~80341\ = CARRY((\led_flash_cnt[3754][5]~q\ & !\led_flash_cnt[3754][4]~80339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3754][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3754][4]~80339\,
	combout => \led_flash_cnt[3754][5]~80340_combout\,
	cout => \led_flash_cnt[3754][5]~80341\);

-- Location: FF_X36_Y25_N13
\led_flash_cnt[3754][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3754][5]~80340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3754][5]~q\);

-- Location: LCCOMB_X36_Y25_N14
\led_flash_cnt[3754][6]~80342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3754][6]~80342_combout\ = (\led_flash_cnt[3754][6]~q\ & (!\led_flash_cnt[3754][5]~80341\)) # (!\led_flash_cnt[3754][6]~q\ & ((\led_flash_cnt[3754][5]~80341\) # (GND)))
-- \led_flash_cnt[3754][6]~80343\ = CARRY((!\led_flash_cnt[3754][5]~80341\) # (!\led_flash_cnt[3754][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3754][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3754][5]~80341\,
	combout => \led_flash_cnt[3754][6]~80342_combout\,
	cout => \led_flash_cnt[3754][6]~80343\);

-- Location: FF_X36_Y25_N15
\led_flash_cnt[3754][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3754][6]~80342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3754][6]~q\);

-- Location: LCCOMB_X36_Y24_N6
\WideAnd3754~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3754~1_combout\ = (\led_flash_cnt[3754][6]~q\ & \led_flash_cnt[3754][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3754][6]~q\,
	datad => \led_flash_cnt[3754][5]~q\,
	combout => \WideAnd3754~1_combout\);

-- Location: LCCOMB_X36_Y25_N0
\WideAnd3754~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3754~0_combout\ = (\led_flash_cnt[3754][4]~q\ & (\led_flash_cnt[3754][3]~q\ & (\led_flash_cnt[3754][1]~q\ & \led_flash_cnt[3754][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3754][4]~q\,
	datab => \led_flash_cnt[3754][3]~q\,
	datac => \led_flash_cnt[3754][1]~q\,
	datad => \led_flash_cnt[3754][2]~q\,
	combout => \WideAnd3754~0_combout\);

-- Location: LCCOMB_X36_Y25_N16
\led_flash_cnt[3754][7]~80344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3754][7]~80344_combout\ = \led_flash_cnt[3754][6]~80343\ $ (!\led_flash_cnt[3754][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3754][7]~q\,
	cin => \led_flash_cnt[3754][6]~80343\,
	combout => \led_flash_cnt[3754][7]~80344_combout\);

-- Location: FF_X36_Y25_N17
\led_flash_cnt[3754][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3754][7]~80344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3754][7]~q\);

-- Location: LCCOMB_X36_Y24_N26
WideAnd3754 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3754~combout\ = (\WideAnd3754~1_combout\ & (\led_flash_cnt[3754][0]~q\ & (\WideAnd3754~0_combout\ & \led_flash_cnt[3754][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3754~1_combout\,
	datab => \led_flash_cnt[3754][0]~q\,
	datac => \WideAnd3754~0_combout\,
	datad => \led_flash_cnt[3754][7]~q\,
	combout => \WideAnd3754~combout\);

-- Location: FF_X36_Y24_N27
\led_flash_cnt_ands[3754]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3754~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3754));

-- Location: LCCOMB_X36_Y23_N12
\led_flash_cnt[3752][0]~84456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3752][0]~84456_combout\ = !\led_flash_cnt[3752][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3752][0]~q\,
	combout => \led_flash_cnt[3752][0]~84456_combout\);

-- Location: FF_X36_Y23_N13
\led_flash_cnt[3752][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3752][0]~84456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3752][0]~q\);

-- Location: LCCOMB_X36_Y23_N14
\led_flash_cnt[3752][1]~80304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3752][1]~80304_combout\ = (\led_flash_cnt[3752][0]~q\ & (\led_flash_cnt[3752][1]~q\ $ (VCC))) # (!\led_flash_cnt[3752][0]~q\ & (\led_flash_cnt[3752][1]~q\ & VCC))
-- \led_flash_cnt[3752][1]~80305\ = CARRY((\led_flash_cnt[3752][0]~q\ & \led_flash_cnt[3752][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3752][0]~q\,
	datab => \led_flash_cnt[3752][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3752][1]~80304_combout\,
	cout => \led_flash_cnt[3752][1]~80305\);

-- Location: FF_X36_Y23_N15
\led_flash_cnt[3752][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3752][1]~80304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3752][1]~q\);

-- Location: LCCOMB_X36_Y23_N16
\led_flash_cnt[3752][2]~80306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3752][2]~80306_combout\ = (\led_flash_cnt[3752][2]~q\ & (!\led_flash_cnt[3752][1]~80305\)) # (!\led_flash_cnt[3752][2]~q\ & ((\led_flash_cnt[3752][1]~80305\) # (GND)))
-- \led_flash_cnt[3752][2]~80307\ = CARRY((!\led_flash_cnt[3752][1]~80305\) # (!\led_flash_cnt[3752][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3752][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3752][1]~80305\,
	combout => \led_flash_cnt[3752][2]~80306_combout\,
	cout => \led_flash_cnt[3752][2]~80307\);

-- Location: FF_X36_Y23_N17
\led_flash_cnt[3752][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3752][2]~80306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3752][2]~q\);

-- Location: LCCOMB_X36_Y23_N18
\led_flash_cnt[3752][3]~80308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3752][3]~80308_combout\ = (\led_flash_cnt[3752][3]~q\ & (\led_flash_cnt[3752][2]~80307\ $ (GND))) # (!\led_flash_cnt[3752][3]~q\ & (!\led_flash_cnt[3752][2]~80307\ & VCC))
-- \led_flash_cnt[3752][3]~80309\ = CARRY((\led_flash_cnt[3752][3]~q\ & !\led_flash_cnt[3752][2]~80307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3752][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3752][2]~80307\,
	combout => \led_flash_cnt[3752][3]~80308_combout\,
	cout => \led_flash_cnt[3752][3]~80309\);

-- Location: FF_X36_Y23_N19
\led_flash_cnt[3752][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3752][3]~80308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3752][3]~q\);

-- Location: LCCOMB_X36_Y23_N20
\led_flash_cnt[3752][4]~80310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3752][4]~80310_combout\ = (\led_flash_cnt[3752][4]~q\ & (!\led_flash_cnt[3752][3]~80309\)) # (!\led_flash_cnt[3752][4]~q\ & ((\led_flash_cnt[3752][3]~80309\) # (GND)))
-- \led_flash_cnt[3752][4]~80311\ = CARRY((!\led_flash_cnt[3752][3]~80309\) # (!\led_flash_cnt[3752][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3752][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3752][3]~80309\,
	combout => \led_flash_cnt[3752][4]~80310_combout\,
	cout => \led_flash_cnt[3752][4]~80311\);

-- Location: FF_X36_Y23_N21
\led_flash_cnt[3752][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3752][4]~80310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3752][4]~q\);

-- Location: LCCOMB_X36_Y23_N22
\led_flash_cnt[3752][5]~80312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3752][5]~80312_combout\ = (\led_flash_cnt[3752][5]~q\ & (\led_flash_cnt[3752][4]~80311\ $ (GND))) # (!\led_flash_cnt[3752][5]~q\ & (!\led_flash_cnt[3752][4]~80311\ & VCC))
-- \led_flash_cnt[3752][5]~80313\ = CARRY((\led_flash_cnt[3752][5]~q\ & !\led_flash_cnt[3752][4]~80311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3752][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3752][4]~80311\,
	combout => \led_flash_cnt[3752][5]~80312_combout\,
	cout => \led_flash_cnt[3752][5]~80313\);

-- Location: FF_X36_Y23_N23
\led_flash_cnt[3752][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3752][5]~80312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3752][5]~q\);

-- Location: LCCOMB_X36_Y23_N24
\led_flash_cnt[3752][6]~80314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3752][6]~80314_combout\ = (\led_flash_cnt[3752][6]~q\ & (!\led_flash_cnt[3752][5]~80313\)) # (!\led_flash_cnt[3752][6]~q\ & ((\led_flash_cnt[3752][5]~80313\) # (GND)))
-- \led_flash_cnt[3752][6]~80315\ = CARRY((!\led_flash_cnt[3752][5]~80313\) # (!\led_flash_cnt[3752][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3752][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3752][5]~80313\,
	combout => \led_flash_cnt[3752][6]~80314_combout\,
	cout => \led_flash_cnt[3752][6]~80315\);

-- Location: FF_X36_Y23_N25
\led_flash_cnt[3752][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3752][6]~80314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3752][6]~q\);

-- Location: LCCOMB_X36_Y23_N26
\led_flash_cnt[3752][7]~80316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3752][7]~80316_combout\ = \led_flash_cnt[3752][7]~q\ $ (!\led_flash_cnt[3752][6]~80315\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3752][7]~q\,
	cin => \led_flash_cnt[3752][6]~80315\,
	combout => \led_flash_cnt[3752][7]~80316_combout\);

-- Location: FF_X36_Y23_N27
\led_flash_cnt[3752][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3752][7]~80316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3752][7]~q\);

-- Location: LCCOMB_X36_Y23_N28
\WideAnd3752~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3752~1_combout\ = (\led_flash_cnt[3752][5]~q\ & \led_flash_cnt[3752][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3752][5]~q\,
	datad => \led_flash_cnt[3752][6]~q\,
	combout => \WideAnd3752~1_combout\);

-- Location: LCCOMB_X36_Y23_N8
\WideAnd3752~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3752~0_combout\ = (\led_flash_cnt[3752][2]~q\ & (\led_flash_cnt[3752][3]~q\ & (\led_flash_cnt[3752][1]~q\ & \led_flash_cnt[3752][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3752][2]~q\,
	datab => \led_flash_cnt[3752][3]~q\,
	datac => \led_flash_cnt[3752][1]~q\,
	datad => \led_flash_cnt[3752][4]~q\,
	combout => \WideAnd3752~0_combout\);

-- Location: LCCOMB_X36_Y23_N0
WideAnd3752 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3752~combout\ = (\led_flash_cnt[3752][7]~q\ & (\WideAnd3752~1_combout\ & (\WideAnd3752~0_combout\ & \led_flash_cnt[3752][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3752][7]~q\,
	datab => \WideAnd3752~1_combout\,
	datac => \WideAnd3752~0_combout\,
	datad => \led_flash_cnt[3752][0]~q\,
	combout => \WideAnd3752~combout\);

-- Location: FF_X36_Y23_N1
\led_flash_cnt_ands[3752]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3752~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3752));

-- Location: LCCOMB_X36_Y24_N2
\led_flash_cnt[3755][0]~84459\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3755][0]~84459_combout\ = !\led_flash_cnt[3755][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3755][0]~q\,
	combout => \led_flash_cnt[3755][0]~84459_combout\);

-- Location: FF_X36_Y24_N3
\led_flash_cnt[3755][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3755][0]~84459_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3755][0]~q\);

-- Location: LCCOMB_X36_Y24_N12
\led_flash_cnt[3755][1]~80346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3755][1]~80346_combout\ = (\led_flash_cnt[3755][1]~q\ & (\led_flash_cnt[3755][0]~q\ $ (VCC))) # (!\led_flash_cnt[3755][1]~q\ & (\led_flash_cnt[3755][0]~q\ & VCC))
-- \led_flash_cnt[3755][1]~80347\ = CARRY((\led_flash_cnt[3755][1]~q\ & \led_flash_cnt[3755][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3755][1]~q\,
	datab => \led_flash_cnt[3755][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3755][1]~80346_combout\,
	cout => \led_flash_cnt[3755][1]~80347\);

-- Location: FF_X36_Y24_N13
\led_flash_cnt[3755][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3755][1]~80346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3755][1]~q\);

-- Location: LCCOMB_X36_Y24_N14
\led_flash_cnt[3755][2]~80348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3755][2]~80348_combout\ = (\led_flash_cnt[3755][2]~q\ & (!\led_flash_cnt[3755][1]~80347\)) # (!\led_flash_cnt[3755][2]~q\ & ((\led_flash_cnt[3755][1]~80347\) # (GND)))
-- \led_flash_cnt[3755][2]~80349\ = CARRY((!\led_flash_cnt[3755][1]~80347\) # (!\led_flash_cnt[3755][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3755][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3755][1]~80347\,
	combout => \led_flash_cnt[3755][2]~80348_combout\,
	cout => \led_flash_cnt[3755][2]~80349\);

-- Location: FF_X36_Y24_N15
\led_flash_cnt[3755][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3755][2]~80348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3755][2]~q\);

-- Location: LCCOMB_X36_Y24_N16
\led_flash_cnt[3755][3]~80350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3755][3]~80350_combout\ = (\led_flash_cnt[3755][3]~q\ & (\led_flash_cnt[3755][2]~80349\ $ (GND))) # (!\led_flash_cnt[3755][3]~q\ & (!\led_flash_cnt[3755][2]~80349\ & VCC))
-- \led_flash_cnt[3755][3]~80351\ = CARRY((\led_flash_cnt[3755][3]~q\ & !\led_flash_cnt[3755][2]~80349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3755][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3755][2]~80349\,
	combout => \led_flash_cnt[3755][3]~80350_combout\,
	cout => \led_flash_cnt[3755][3]~80351\);

-- Location: FF_X36_Y24_N17
\led_flash_cnt[3755][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3755][3]~80350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3755][3]~q\);

-- Location: LCCOMB_X36_Y24_N18
\led_flash_cnt[3755][4]~80352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3755][4]~80352_combout\ = (\led_flash_cnt[3755][4]~q\ & (!\led_flash_cnt[3755][3]~80351\)) # (!\led_flash_cnt[3755][4]~q\ & ((\led_flash_cnt[3755][3]~80351\) # (GND)))
-- \led_flash_cnt[3755][4]~80353\ = CARRY((!\led_flash_cnt[3755][3]~80351\) # (!\led_flash_cnt[3755][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3755][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3755][3]~80351\,
	combout => \led_flash_cnt[3755][4]~80352_combout\,
	cout => \led_flash_cnt[3755][4]~80353\);

-- Location: FF_X36_Y24_N19
\led_flash_cnt[3755][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3755][4]~80352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3755][4]~q\);

-- Location: LCCOMB_X36_Y24_N30
\WideAnd3755~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3755~0_combout\ = (\led_flash_cnt[3755][4]~q\ & (\led_flash_cnt[3755][3]~q\ & (\led_flash_cnt[3755][2]~q\ & \led_flash_cnt[3755][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3755][4]~q\,
	datab => \led_flash_cnt[3755][3]~q\,
	datac => \led_flash_cnt[3755][2]~q\,
	datad => \led_flash_cnt[3755][1]~q\,
	combout => \WideAnd3755~0_combout\);

-- Location: LCCOMB_X36_Y24_N20
\led_flash_cnt[3755][5]~80354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3755][5]~80354_combout\ = (\led_flash_cnt[3755][5]~q\ & (\led_flash_cnt[3755][4]~80353\ $ (GND))) # (!\led_flash_cnt[3755][5]~q\ & (!\led_flash_cnt[3755][4]~80353\ & VCC))
-- \led_flash_cnt[3755][5]~80355\ = CARRY((\led_flash_cnt[3755][5]~q\ & !\led_flash_cnt[3755][4]~80353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3755][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3755][4]~80353\,
	combout => \led_flash_cnt[3755][5]~80354_combout\,
	cout => \led_flash_cnt[3755][5]~80355\);

-- Location: FF_X36_Y24_N21
\led_flash_cnt[3755][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3755][5]~80354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3755][5]~q\);

-- Location: LCCOMB_X36_Y24_N22
\led_flash_cnt[3755][6]~80356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3755][6]~80356_combout\ = (\led_flash_cnt[3755][6]~q\ & (!\led_flash_cnt[3755][5]~80355\)) # (!\led_flash_cnt[3755][6]~q\ & ((\led_flash_cnt[3755][5]~80355\) # (GND)))
-- \led_flash_cnt[3755][6]~80357\ = CARRY((!\led_flash_cnt[3755][5]~80355\) # (!\led_flash_cnt[3755][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3755][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3755][5]~80355\,
	combout => \led_flash_cnt[3755][6]~80356_combout\,
	cout => \led_flash_cnt[3755][6]~80357\);

-- Location: FF_X36_Y24_N23
\led_flash_cnt[3755][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3755][6]~80356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3755][6]~q\);

-- Location: LCCOMB_X36_Y24_N8
\WideAnd3755~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3755~1_combout\ = (\led_flash_cnt[3755][6]~q\ & \led_flash_cnt[3755][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3755][6]~q\,
	datad => \led_flash_cnt[3755][5]~q\,
	combout => \WideAnd3755~1_combout\);

-- Location: LCCOMB_X36_Y24_N24
\led_flash_cnt[3755][7]~80358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3755][7]~80358_combout\ = \led_flash_cnt[3755][6]~80357\ $ (!\led_flash_cnt[3755][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3755][7]~q\,
	cin => \led_flash_cnt[3755][6]~80357\,
	combout => \led_flash_cnt[3755][7]~80358_combout\);

-- Location: FF_X36_Y24_N25
\led_flash_cnt[3755][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3755][7]~80358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3755][7]~q\);

-- Location: LCCOMB_X36_Y24_N4
WideAnd3755 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3755~combout\ = (\WideAnd3755~0_combout\ & (\led_flash_cnt[3755][0]~q\ & (\WideAnd3755~1_combout\ & \led_flash_cnt[3755][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3755~0_combout\,
	datab => \led_flash_cnt[3755][0]~q\,
	datac => \WideAnd3755~1_combout\,
	datad => \led_flash_cnt[3755][7]~q\,
	combout => \WideAnd3755~combout\);

-- Location: FF_X36_Y24_N5
\led_flash_cnt_ands[3755]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3755~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3755));

-- Location: LCCOMB_X37_Y26_N2
\led_flash_cnt[3753][0]~84457\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3753][0]~84457_combout\ = !\led_flash_cnt[3753][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3753][0]~q\,
	combout => \led_flash_cnt[3753][0]~84457_combout\);

-- Location: FF_X37_Y26_N3
\led_flash_cnt[3753][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3753][0]~84457_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3753][0]~q\);

-- Location: LCCOMB_X36_Y26_N2
\led_flash_cnt[3753][1]~80318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3753][1]~80318_combout\ = (\led_flash_cnt[3753][0]~q\ & (\led_flash_cnt[3753][1]~q\ $ (VCC))) # (!\led_flash_cnt[3753][0]~q\ & (\led_flash_cnt[3753][1]~q\ & VCC))
-- \led_flash_cnt[3753][1]~80319\ = CARRY((\led_flash_cnt[3753][0]~q\ & \led_flash_cnt[3753][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3753][0]~q\,
	datab => \led_flash_cnt[3753][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3753][1]~80318_combout\,
	cout => \led_flash_cnt[3753][1]~80319\);

-- Location: FF_X36_Y26_N3
\led_flash_cnt[3753][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3753][1]~80318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3753][1]~q\);

-- Location: LCCOMB_X36_Y26_N4
\led_flash_cnt[3753][2]~80320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3753][2]~80320_combout\ = (\led_flash_cnt[3753][2]~q\ & (!\led_flash_cnt[3753][1]~80319\)) # (!\led_flash_cnt[3753][2]~q\ & ((\led_flash_cnt[3753][1]~80319\) # (GND)))
-- \led_flash_cnt[3753][2]~80321\ = CARRY((!\led_flash_cnt[3753][1]~80319\) # (!\led_flash_cnt[3753][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3753][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3753][1]~80319\,
	combout => \led_flash_cnt[3753][2]~80320_combout\,
	cout => \led_flash_cnt[3753][2]~80321\);

-- Location: FF_X36_Y26_N5
\led_flash_cnt[3753][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3753][2]~80320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3753][2]~q\);

-- Location: LCCOMB_X36_Y26_N6
\led_flash_cnt[3753][3]~80322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3753][3]~80322_combout\ = (\led_flash_cnt[3753][3]~q\ & (\led_flash_cnt[3753][2]~80321\ $ (GND))) # (!\led_flash_cnt[3753][3]~q\ & (!\led_flash_cnt[3753][2]~80321\ & VCC))
-- \led_flash_cnt[3753][3]~80323\ = CARRY((\led_flash_cnt[3753][3]~q\ & !\led_flash_cnt[3753][2]~80321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3753][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3753][2]~80321\,
	combout => \led_flash_cnt[3753][3]~80322_combout\,
	cout => \led_flash_cnt[3753][3]~80323\);

-- Location: FF_X36_Y26_N7
\led_flash_cnt[3753][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3753][3]~80322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3753][3]~q\);

-- Location: LCCOMB_X36_Y26_N8
\led_flash_cnt[3753][4]~80324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3753][4]~80324_combout\ = (\led_flash_cnt[3753][4]~q\ & (!\led_flash_cnt[3753][3]~80323\)) # (!\led_flash_cnt[3753][4]~q\ & ((\led_flash_cnt[3753][3]~80323\) # (GND)))
-- \led_flash_cnt[3753][4]~80325\ = CARRY((!\led_flash_cnt[3753][3]~80323\) # (!\led_flash_cnt[3753][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3753][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3753][3]~80323\,
	combout => \led_flash_cnt[3753][4]~80324_combout\,
	cout => \led_flash_cnt[3753][4]~80325\);

-- Location: FF_X36_Y26_N9
\led_flash_cnt[3753][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3753][4]~80324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3753][4]~q\);

-- Location: LCCOMB_X36_Y26_N10
\led_flash_cnt[3753][5]~80326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3753][5]~80326_combout\ = (\led_flash_cnt[3753][5]~q\ & (\led_flash_cnt[3753][4]~80325\ $ (GND))) # (!\led_flash_cnt[3753][5]~q\ & (!\led_flash_cnt[3753][4]~80325\ & VCC))
-- \led_flash_cnt[3753][5]~80327\ = CARRY((\led_flash_cnt[3753][5]~q\ & !\led_flash_cnt[3753][4]~80325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3753][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3753][4]~80325\,
	combout => \led_flash_cnt[3753][5]~80326_combout\,
	cout => \led_flash_cnt[3753][5]~80327\);

-- Location: FF_X36_Y26_N11
\led_flash_cnt[3753][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3753][5]~80326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3753][5]~q\);

-- Location: LCCOMB_X36_Y26_N12
\led_flash_cnt[3753][6]~80328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3753][6]~80328_combout\ = (\led_flash_cnt[3753][6]~q\ & (!\led_flash_cnt[3753][5]~80327\)) # (!\led_flash_cnt[3753][6]~q\ & ((\led_flash_cnt[3753][5]~80327\) # (GND)))
-- \led_flash_cnt[3753][6]~80329\ = CARRY((!\led_flash_cnt[3753][5]~80327\) # (!\led_flash_cnt[3753][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3753][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3753][5]~80327\,
	combout => \led_flash_cnt[3753][6]~80328_combout\,
	cout => \led_flash_cnt[3753][6]~80329\);

-- Location: FF_X36_Y26_N13
\led_flash_cnt[3753][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3753][6]~80328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3753][6]~q\);

-- Location: LCCOMB_X36_Y26_N14
\led_flash_cnt[3753][7]~80330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3753][7]~80330_combout\ = \led_flash_cnt[3753][7]~q\ $ (!\led_flash_cnt[3753][6]~80329\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3753][7]~q\,
	cin => \led_flash_cnt[3753][6]~80329\,
	combout => \led_flash_cnt[3753][7]~80330_combout\);

-- Location: FF_X36_Y26_N15
\led_flash_cnt[3753][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3753][7]~80330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3753][7]~q\);

-- Location: LCCOMB_X36_Y26_N30
\WideAnd3753~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3753~0_combout\ = (\led_flash_cnt[3753][3]~q\ & (\led_flash_cnt[3753][4]~q\ & (\led_flash_cnt[3753][2]~q\ & \led_flash_cnt[3753][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3753][3]~q\,
	datab => \led_flash_cnt[3753][4]~q\,
	datac => \led_flash_cnt[3753][2]~q\,
	datad => \led_flash_cnt[3753][1]~q\,
	combout => \WideAnd3753~0_combout\);

-- Location: LCCOMB_X37_Y26_N8
\WideAnd3753~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3753~1_combout\ = (\led_flash_cnt[3753][6]~q\ & \led_flash_cnt[3753][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3753][6]~q\,
	datad => \led_flash_cnt[3753][5]~q\,
	combout => \WideAnd3753~1_combout\);

-- Location: LCCOMB_X37_Y26_N30
WideAnd3753 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3753~combout\ = (\led_flash_cnt[3753][7]~q\ & (\WideAnd3753~0_combout\ & (\WideAnd3753~1_combout\ & \led_flash_cnt[3753][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3753][7]~q\,
	datab => \WideAnd3753~0_combout\,
	datac => \WideAnd3753~1_combout\,
	datad => \led_flash_cnt[3753][0]~q\,
	combout => \WideAnd3753~combout\);

-- Location: FF_X37_Y26_N31
\led_flash_cnt_ands[3753]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3753~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3753));

-- Location: LCCOMB_X36_Y24_N10
\WideAnd4309~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4309~0_combout\ = (led_flash_cnt_ands(3754) & (led_flash_cnt_ands(3752) & (led_flash_cnt_ands(3755) & led_flash_cnt_ands(3753))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3754),
	datab => led_flash_cnt_ands(3752),
	datac => led_flash_cnt_ands(3755),
	datad => led_flash_cnt_ands(3753),
	combout => \WideAnd4309~0_combout\);

-- Location: LCCOMB_X31_Y27_N0
\led_flash_cnt[3759][0]~84463\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3759][0]~84463_combout\ = !\led_flash_cnt[3759][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3759][0]~q\,
	combout => \led_flash_cnt[3759][0]~84463_combout\);

-- Location: FF_X31_Y27_N1
\led_flash_cnt[3759][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3759][0]~84463_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3759][0]~q\);

-- Location: LCCOMB_X31_Y25_N18
\led_flash_cnt[3759][1]~80402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3759][1]~80402_combout\ = (\led_flash_cnt[3759][0]~q\ & (\led_flash_cnt[3759][1]~q\ $ (VCC))) # (!\led_flash_cnt[3759][0]~q\ & (\led_flash_cnt[3759][1]~q\ & VCC))
-- \led_flash_cnt[3759][1]~80403\ = CARRY((\led_flash_cnt[3759][0]~q\ & \led_flash_cnt[3759][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3759][0]~q\,
	datab => \led_flash_cnt[3759][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3759][1]~80402_combout\,
	cout => \led_flash_cnt[3759][1]~80403\);

-- Location: FF_X31_Y25_N19
\led_flash_cnt[3759][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3759][1]~80402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3759][1]~q\);

-- Location: LCCOMB_X31_Y25_N20
\led_flash_cnt[3759][2]~80404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3759][2]~80404_combout\ = (\led_flash_cnt[3759][2]~q\ & (!\led_flash_cnt[3759][1]~80403\)) # (!\led_flash_cnt[3759][2]~q\ & ((\led_flash_cnt[3759][1]~80403\) # (GND)))
-- \led_flash_cnt[3759][2]~80405\ = CARRY((!\led_flash_cnt[3759][1]~80403\) # (!\led_flash_cnt[3759][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3759][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3759][1]~80403\,
	combout => \led_flash_cnt[3759][2]~80404_combout\,
	cout => \led_flash_cnt[3759][2]~80405\);

-- Location: FF_X31_Y25_N21
\led_flash_cnt[3759][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3759][2]~80404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3759][2]~q\);

-- Location: LCCOMB_X31_Y25_N22
\led_flash_cnt[3759][3]~80406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3759][3]~80406_combout\ = (\led_flash_cnt[3759][3]~q\ & (\led_flash_cnt[3759][2]~80405\ $ (GND))) # (!\led_flash_cnt[3759][3]~q\ & (!\led_flash_cnt[3759][2]~80405\ & VCC))
-- \led_flash_cnt[3759][3]~80407\ = CARRY((\led_flash_cnt[3759][3]~q\ & !\led_flash_cnt[3759][2]~80405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3759][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3759][2]~80405\,
	combout => \led_flash_cnt[3759][3]~80406_combout\,
	cout => \led_flash_cnt[3759][3]~80407\);

-- Location: FF_X31_Y25_N23
\led_flash_cnt[3759][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3759][3]~80406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3759][3]~q\);

-- Location: LCCOMB_X31_Y25_N24
\led_flash_cnt[3759][4]~80408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3759][4]~80408_combout\ = (\led_flash_cnt[3759][4]~q\ & (!\led_flash_cnt[3759][3]~80407\)) # (!\led_flash_cnt[3759][4]~q\ & ((\led_flash_cnt[3759][3]~80407\) # (GND)))
-- \led_flash_cnt[3759][4]~80409\ = CARRY((!\led_flash_cnt[3759][3]~80407\) # (!\led_flash_cnt[3759][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3759][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3759][3]~80407\,
	combout => \led_flash_cnt[3759][4]~80408_combout\,
	cout => \led_flash_cnt[3759][4]~80409\);

-- Location: FF_X31_Y25_N25
\led_flash_cnt[3759][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3759][4]~80408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3759][4]~q\);

-- Location: LCCOMB_X31_Y25_N26
\led_flash_cnt[3759][5]~80410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3759][5]~80410_combout\ = (\led_flash_cnt[3759][5]~q\ & (\led_flash_cnt[3759][4]~80409\ $ (GND))) # (!\led_flash_cnt[3759][5]~q\ & (!\led_flash_cnt[3759][4]~80409\ & VCC))
-- \led_flash_cnt[3759][5]~80411\ = CARRY((\led_flash_cnt[3759][5]~q\ & !\led_flash_cnt[3759][4]~80409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3759][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3759][4]~80409\,
	combout => \led_flash_cnt[3759][5]~80410_combout\,
	cout => \led_flash_cnt[3759][5]~80411\);

-- Location: FF_X31_Y25_N27
\led_flash_cnt[3759][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3759][5]~80410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3759][5]~q\);

-- Location: LCCOMB_X31_Y25_N28
\led_flash_cnt[3759][6]~80412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3759][6]~80412_combout\ = (\led_flash_cnt[3759][6]~q\ & (!\led_flash_cnt[3759][5]~80411\)) # (!\led_flash_cnt[3759][6]~q\ & ((\led_flash_cnt[3759][5]~80411\) # (GND)))
-- \led_flash_cnt[3759][6]~80413\ = CARRY((!\led_flash_cnt[3759][5]~80411\) # (!\led_flash_cnt[3759][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3759][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3759][5]~80411\,
	combout => \led_flash_cnt[3759][6]~80412_combout\,
	cout => \led_flash_cnt[3759][6]~80413\);

-- Location: FF_X31_Y25_N29
\led_flash_cnt[3759][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3759][6]~80412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3759][6]~q\);

-- Location: LCCOMB_X31_Y25_N30
\led_flash_cnt[3759][7]~80414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3759][7]~80414_combout\ = \led_flash_cnt[3759][7]~q\ $ (!\led_flash_cnt[3759][6]~80413\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3759][7]~q\,
	cin => \led_flash_cnt[3759][6]~80413\,
	combout => \led_flash_cnt[3759][7]~80414_combout\);

-- Location: FF_X31_Y25_N31
\led_flash_cnt[3759][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3759][7]~80414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3759][7]~q\);

-- Location: LCCOMB_X31_Y25_N16
\WideAnd3759~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3759~0_combout\ = (\led_flash_cnt[3759][4]~q\ & (\led_flash_cnt[3759][2]~q\ & (\led_flash_cnt[3759][3]~q\ & \led_flash_cnt[3759][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3759][4]~q\,
	datab => \led_flash_cnt[3759][2]~q\,
	datac => \led_flash_cnt[3759][3]~q\,
	datad => \led_flash_cnt[3759][1]~q\,
	combout => \WideAnd3759~0_combout\);

-- Location: LCCOMB_X31_Y25_N14
\WideAnd3759~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3759~1_combout\ = (\led_flash_cnt[3759][5]~q\ & \led_flash_cnt[3759][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3759][5]~q\,
	datad => \led_flash_cnt[3759][6]~q\,
	combout => \WideAnd3759~1_combout\);

-- Location: LCCOMB_X31_Y27_N12
WideAnd3759 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3759~combout\ = (\led_flash_cnt[3759][7]~q\ & (\WideAnd3759~0_combout\ & (\led_flash_cnt[3759][0]~q\ & \WideAnd3759~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3759][7]~q\,
	datab => \WideAnd3759~0_combout\,
	datac => \led_flash_cnt[3759][0]~q\,
	datad => \WideAnd3759~1_combout\,
	combout => \WideAnd3759~combout\);

-- Location: FF_X31_Y27_N13
\led_flash_cnt_ands[3759]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3759~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3759));

-- Location: LCCOMB_X38_Y23_N22
\led_flash_cnt[3756][0]~84460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3756][0]~84460_combout\ = !\led_flash_cnt[3756][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3756][0]~q\,
	combout => \led_flash_cnt[3756][0]~84460_combout\);

-- Location: FF_X38_Y23_N23
\led_flash_cnt[3756][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3756][0]~84460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3756][0]~q\);

-- Location: LCCOMB_X38_Y23_N2
\led_flash_cnt[3756][1]~80360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3756][1]~80360_combout\ = (\led_flash_cnt[3756][0]~q\ & (\led_flash_cnt[3756][1]~q\ $ (VCC))) # (!\led_flash_cnt[3756][0]~q\ & (\led_flash_cnt[3756][1]~q\ & VCC))
-- \led_flash_cnt[3756][1]~80361\ = CARRY((\led_flash_cnt[3756][0]~q\ & \led_flash_cnt[3756][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3756][0]~q\,
	datab => \led_flash_cnt[3756][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3756][1]~80360_combout\,
	cout => \led_flash_cnt[3756][1]~80361\);

-- Location: FF_X38_Y23_N3
\led_flash_cnt[3756][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3756][1]~80360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3756][1]~q\);

-- Location: LCCOMB_X38_Y23_N4
\led_flash_cnt[3756][2]~80362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3756][2]~80362_combout\ = (\led_flash_cnt[3756][2]~q\ & (!\led_flash_cnt[3756][1]~80361\)) # (!\led_flash_cnt[3756][2]~q\ & ((\led_flash_cnt[3756][1]~80361\) # (GND)))
-- \led_flash_cnt[3756][2]~80363\ = CARRY((!\led_flash_cnt[3756][1]~80361\) # (!\led_flash_cnt[3756][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3756][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3756][1]~80361\,
	combout => \led_flash_cnt[3756][2]~80362_combout\,
	cout => \led_flash_cnt[3756][2]~80363\);

-- Location: FF_X38_Y23_N5
\led_flash_cnt[3756][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3756][2]~80362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3756][2]~q\);

-- Location: LCCOMB_X38_Y23_N6
\led_flash_cnt[3756][3]~80364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3756][3]~80364_combout\ = (\led_flash_cnt[3756][3]~q\ & (\led_flash_cnt[3756][2]~80363\ $ (GND))) # (!\led_flash_cnt[3756][3]~q\ & (!\led_flash_cnt[3756][2]~80363\ & VCC))
-- \led_flash_cnt[3756][3]~80365\ = CARRY((\led_flash_cnt[3756][3]~q\ & !\led_flash_cnt[3756][2]~80363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3756][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3756][2]~80363\,
	combout => \led_flash_cnt[3756][3]~80364_combout\,
	cout => \led_flash_cnt[3756][3]~80365\);

-- Location: FF_X38_Y23_N7
\led_flash_cnt[3756][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3756][3]~80364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3756][3]~q\);

-- Location: LCCOMB_X38_Y23_N8
\led_flash_cnt[3756][4]~80366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3756][4]~80366_combout\ = (\led_flash_cnt[3756][4]~q\ & (!\led_flash_cnt[3756][3]~80365\)) # (!\led_flash_cnt[3756][4]~q\ & ((\led_flash_cnt[3756][3]~80365\) # (GND)))
-- \led_flash_cnt[3756][4]~80367\ = CARRY((!\led_flash_cnt[3756][3]~80365\) # (!\led_flash_cnt[3756][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3756][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3756][3]~80365\,
	combout => \led_flash_cnt[3756][4]~80366_combout\,
	cout => \led_flash_cnt[3756][4]~80367\);

-- Location: FF_X38_Y23_N9
\led_flash_cnt[3756][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3756][4]~80366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3756][4]~q\);

-- Location: LCCOMB_X38_Y23_N10
\led_flash_cnt[3756][5]~80368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3756][5]~80368_combout\ = (\led_flash_cnt[3756][5]~q\ & (\led_flash_cnt[3756][4]~80367\ $ (GND))) # (!\led_flash_cnt[3756][5]~q\ & (!\led_flash_cnt[3756][4]~80367\ & VCC))
-- \led_flash_cnt[3756][5]~80369\ = CARRY((\led_flash_cnt[3756][5]~q\ & !\led_flash_cnt[3756][4]~80367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3756][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3756][4]~80367\,
	combout => \led_flash_cnt[3756][5]~80368_combout\,
	cout => \led_flash_cnt[3756][5]~80369\);

-- Location: FF_X38_Y23_N11
\led_flash_cnt[3756][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3756][5]~80368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3756][5]~q\);

-- Location: LCCOMB_X38_Y23_N12
\led_flash_cnt[3756][6]~80370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3756][6]~80370_combout\ = (\led_flash_cnt[3756][6]~q\ & (!\led_flash_cnt[3756][5]~80369\)) # (!\led_flash_cnt[3756][6]~q\ & ((\led_flash_cnt[3756][5]~80369\) # (GND)))
-- \led_flash_cnt[3756][6]~80371\ = CARRY((!\led_flash_cnt[3756][5]~80369\) # (!\led_flash_cnt[3756][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3756][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3756][5]~80369\,
	combout => \led_flash_cnt[3756][6]~80370_combout\,
	cout => \led_flash_cnt[3756][6]~80371\);

-- Location: FF_X38_Y23_N13
\led_flash_cnt[3756][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3756][6]~80370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3756][6]~q\);

-- Location: LCCOMB_X38_Y23_N16
\WideAnd3756~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3756~1_combout\ = (\led_flash_cnt[3756][5]~q\ & \led_flash_cnt[3756][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3756][5]~q\,
	datad => \led_flash_cnt[3756][6]~q\,
	combout => \WideAnd3756~1_combout\);

-- Location: LCCOMB_X38_Y23_N14
\led_flash_cnt[3756][7]~80372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3756][7]~80372_combout\ = \led_flash_cnt[3756][7]~q\ $ (!\led_flash_cnt[3756][6]~80371\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3756][7]~q\,
	cin => \led_flash_cnt[3756][6]~80371\,
	combout => \led_flash_cnt[3756][7]~80372_combout\);

-- Location: FF_X38_Y23_N15
\led_flash_cnt[3756][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3756][7]~80372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3756][7]~q\);

-- Location: LCCOMB_X38_Y23_N0
\WideAnd3756~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3756~0_combout\ = (\led_flash_cnt[3756][3]~q\ & (\led_flash_cnt[3756][4]~q\ & (\led_flash_cnt[3756][2]~q\ & \led_flash_cnt[3756][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3756][3]~q\,
	datab => \led_flash_cnt[3756][4]~q\,
	datac => \led_flash_cnt[3756][2]~q\,
	datad => \led_flash_cnt[3756][1]~q\,
	combout => \WideAnd3756~0_combout\);

-- Location: LCCOMB_X38_Y23_N26
WideAnd3756 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3756~combout\ = (\led_flash_cnt[3756][0]~q\ & (\WideAnd3756~1_combout\ & (\led_flash_cnt[3756][7]~q\ & \WideAnd3756~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3756][0]~q\,
	datab => \WideAnd3756~1_combout\,
	datac => \led_flash_cnt[3756][7]~q\,
	datad => \WideAnd3756~0_combout\,
	combout => \WideAnd3756~combout\);

-- Location: FF_X38_Y23_N27
\led_flash_cnt_ands[3756]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3756~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3756));

-- Location: LCCOMB_X38_Y23_N20
\led_flash_cnt[3757][0]~84461\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3757][0]~84461_combout\ = !\led_flash_cnt[3757][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3757][0]~q\,
	combout => \led_flash_cnt[3757][0]~84461_combout\);

-- Location: FF_X38_Y23_N21
\led_flash_cnt[3757][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3757][0]~84461_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3757][0]~q\);

-- Location: LCCOMB_X37_Y23_N14
\led_flash_cnt[3757][1]~80374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3757][1]~80374_combout\ = (\led_flash_cnt[3757][0]~q\ & (\led_flash_cnt[3757][1]~q\ $ (VCC))) # (!\led_flash_cnt[3757][0]~q\ & (\led_flash_cnt[3757][1]~q\ & VCC))
-- \led_flash_cnt[3757][1]~80375\ = CARRY((\led_flash_cnt[3757][0]~q\ & \led_flash_cnt[3757][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3757][0]~q\,
	datab => \led_flash_cnt[3757][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3757][1]~80374_combout\,
	cout => \led_flash_cnt[3757][1]~80375\);

-- Location: FF_X37_Y23_N15
\led_flash_cnt[3757][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3757][1]~80374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3757][1]~q\);

-- Location: LCCOMB_X37_Y23_N16
\led_flash_cnt[3757][2]~80376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3757][2]~80376_combout\ = (\led_flash_cnt[3757][2]~q\ & (!\led_flash_cnt[3757][1]~80375\)) # (!\led_flash_cnt[3757][2]~q\ & ((\led_flash_cnt[3757][1]~80375\) # (GND)))
-- \led_flash_cnt[3757][2]~80377\ = CARRY((!\led_flash_cnt[3757][1]~80375\) # (!\led_flash_cnt[3757][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3757][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3757][1]~80375\,
	combout => \led_flash_cnt[3757][2]~80376_combout\,
	cout => \led_flash_cnt[3757][2]~80377\);

-- Location: FF_X37_Y23_N17
\led_flash_cnt[3757][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3757][2]~80376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3757][2]~q\);

-- Location: LCCOMB_X37_Y23_N18
\led_flash_cnt[3757][3]~80378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3757][3]~80378_combout\ = (\led_flash_cnt[3757][3]~q\ & (\led_flash_cnt[3757][2]~80377\ $ (GND))) # (!\led_flash_cnt[3757][3]~q\ & (!\led_flash_cnt[3757][2]~80377\ & VCC))
-- \led_flash_cnt[3757][3]~80379\ = CARRY((\led_flash_cnt[3757][3]~q\ & !\led_flash_cnt[3757][2]~80377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3757][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3757][2]~80377\,
	combout => \led_flash_cnt[3757][3]~80378_combout\,
	cout => \led_flash_cnt[3757][3]~80379\);

-- Location: FF_X37_Y23_N19
\led_flash_cnt[3757][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3757][3]~80378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3757][3]~q\);

-- Location: LCCOMB_X37_Y23_N20
\led_flash_cnt[3757][4]~80380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3757][4]~80380_combout\ = (\led_flash_cnt[3757][4]~q\ & (!\led_flash_cnt[3757][3]~80379\)) # (!\led_flash_cnt[3757][4]~q\ & ((\led_flash_cnt[3757][3]~80379\) # (GND)))
-- \led_flash_cnt[3757][4]~80381\ = CARRY((!\led_flash_cnt[3757][3]~80379\) # (!\led_flash_cnt[3757][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3757][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3757][3]~80379\,
	combout => \led_flash_cnt[3757][4]~80380_combout\,
	cout => \led_flash_cnt[3757][4]~80381\);

-- Location: FF_X37_Y23_N21
\led_flash_cnt[3757][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3757][4]~80380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3757][4]~q\);

-- Location: LCCOMB_X37_Y23_N30
\WideAnd3757~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3757~0_combout\ = (\led_flash_cnt[3757][3]~q\ & (\led_flash_cnt[3757][4]~q\ & (\led_flash_cnt[3757][1]~q\ & \led_flash_cnt[3757][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3757][3]~q\,
	datab => \led_flash_cnt[3757][4]~q\,
	datac => \led_flash_cnt[3757][1]~q\,
	datad => \led_flash_cnt[3757][2]~q\,
	combout => \WideAnd3757~0_combout\);

-- Location: LCCOMB_X37_Y23_N22
\led_flash_cnt[3757][5]~80382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3757][5]~80382_combout\ = (\led_flash_cnt[3757][5]~q\ & (\led_flash_cnt[3757][4]~80381\ $ (GND))) # (!\led_flash_cnt[3757][5]~q\ & (!\led_flash_cnt[3757][4]~80381\ & VCC))
-- \led_flash_cnt[3757][5]~80383\ = CARRY((\led_flash_cnt[3757][5]~q\ & !\led_flash_cnt[3757][4]~80381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3757][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3757][4]~80381\,
	combout => \led_flash_cnt[3757][5]~80382_combout\,
	cout => \led_flash_cnt[3757][5]~80383\);

-- Location: FF_X37_Y23_N23
\led_flash_cnt[3757][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3757][5]~80382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3757][5]~q\);

-- Location: LCCOMB_X37_Y23_N24
\led_flash_cnt[3757][6]~80384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3757][6]~80384_combout\ = (\led_flash_cnt[3757][6]~q\ & (!\led_flash_cnt[3757][5]~80383\)) # (!\led_flash_cnt[3757][6]~q\ & ((\led_flash_cnt[3757][5]~80383\) # (GND)))
-- \led_flash_cnt[3757][6]~80385\ = CARRY((!\led_flash_cnt[3757][5]~80383\) # (!\led_flash_cnt[3757][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3757][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3757][5]~80383\,
	combout => \led_flash_cnt[3757][6]~80384_combout\,
	cout => \led_flash_cnt[3757][6]~80385\);

-- Location: FF_X37_Y23_N25
\led_flash_cnt[3757][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3757][6]~80384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3757][6]~q\);

-- Location: LCCOMB_X37_Y23_N26
\led_flash_cnt[3757][7]~80386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3757][7]~80386_combout\ = \led_flash_cnt[3757][7]~q\ $ (!\led_flash_cnt[3757][6]~80385\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3757][7]~q\,
	cin => \led_flash_cnt[3757][6]~80385\,
	combout => \led_flash_cnt[3757][7]~80386_combout\);

-- Location: FF_X37_Y23_N27
\led_flash_cnt[3757][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3757][7]~80386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3757][7]~q\);

-- Location: LCCOMB_X38_Y23_N28
\WideAnd3757~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3757~1_combout\ = (\led_flash_cnt[3757][6]~q\ & \led_flash_cnt[3757][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3757][6]~q\,
	datad => \led_flash_cnt[3757][5]~q\,
	combout => \WideAnd3757~1_combout\);

-- Location: LCCOMB_X38_Y23_N18
WideAnd3757 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3757~combout\ = (\led_flash_cnt[3757][0]~q\ & (\WideAnd3757~0_combout\ & (\led_flash_cnt[3757][7]~q\ & \WideAnd3757~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3757][0]~q\,
	datab => \WideAnd3757~0_combout\,
	datac => \led_flash_cnt[3757][7]~q\,
	datad => \WideAnd3757~1_combout\,
	combout => \WideAnd3757~combout\);

-- Location: FF_X38_Y23_N19
\led_flash_cnt_ands[3757]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3757~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3757));

-- Location: LCCOMB_X38_Y23_N30
\WideAnd4309~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4309~1_combout\ = (led_flash_cnt_ands(3756) & led_flash_cnt_ands(3757))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3756),
	datad => led_flash_cnt_ands(3757),
	combout => \WideAnd4309~1_combout\);

-- Location: LCCOMB_X35_Y27_N22
WideAnd4309 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4309~combout\ = (led_flash_cnt_ands(3758) & (\WideAnd4309~0_combout\ & (led_flash_cnt_ands(3759) & \WideAnd4309~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3758),
	datab => \WideAnd4309~0_combout\,
	datac => led_flash_cnt_ands(3759),
	datad => \WideAnd4309~1_combout\,
	combout => \WideAnd4309~combout\);

-- Location: FF_X31_Y27_N3
\led_flash_cnt_ands_1[469]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd4309~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(469));

-- Location: LCCOMB_X30_Y27_N26
\WideAnd4378~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4378~1_combout\ = (led_flash_cnt_ands_1(468) & led_flash_cnt_ands_1(469))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(468),
	datad => led_flash_cnt_ands_1(469),
	combout => \WideAnd4378~1_combout\);

-- Location: LCCOMB_X30_Y20_N0
\led_flash_cnt[3719][0]~84423\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3719][0]~84423_combout\ = !\led_flash_cnt[3719][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3719][0]~q\,
	combout => \led_flash_cnt[3719][0]~84423_combout\);

-- Location: FF_X30_Y20_N1
\led_flash_cnt[3719][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3719][0]~84423_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3719][0]~q\);

-- Location: LCCOMB_X31_Y21_N18
\led_flash_cnt[3719][1]~79842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3719][1]~79842_combout\ = (\led_flash_cnt[3719][0]~q\ & (\led_flash_cnt[3719][1]~q\ $ (VCC))) # (!\led_flash_cnt[3719][0]~q\ & (\led_flash_cnt[3719][1]~q\ & VCC))
-- \led_flash_cnt[3719][1]~79843\ = CARRY((\led_flash_cnt[3719][0]~q\ & \led_flash_cnt[3719][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3719][0]~q\,
	datab => \led_flash_cnt[3719][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3719][1]~79842_combout\,
	cout => \led_flash_cnt[3719][1]~79843\);

-- Location: FF_X31_Y21_N19
\led_flash_cnt[3719][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3719][1]~79842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3719][1]~q\);

-- Location: LCCOMB_X31_Y21_N20
\led_flash_cnt[3719][2]~79844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3719][2]~79844_combout\ = (\led_flash_cnt[3719][2]~q\ & (!\led_flash_cnt[3719][1]~79843\)) # (!\led_flash_cnt[3719][2]~q\ & ((\led_flash_cnt[3719][1]~79843\) # (GND)))
-- \led_flash_cnt[3719][2]~79845\ = CARRY((!\led_flash_cnt[3719][1]~79843\) # (!\led_flash_cnt[3719][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3719][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3719][1]~79843\,
	combout => \led_flash_cnt[3719][2]~79844_combout\,
	cout => \led_flash_cnt[3719][2]~79845\);

-- Location: FF_X31_Y21_N21
\led_flash_cnt[3719][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3719][2]~79844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3719][2]~q\);

-- Location: LCCOMB_X31_Y21_N22
\led_flash_cnt[3719][3]~79846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3719][3]~79846_combout\ = (\led_flash_cnt[3719][3]~q\ & (\led_flash_cnt[3719][2]~79845\ $ (GND))) # (!\led_flash_cnt[3719][3]~q\ & (!\led_flash_cnt[3719][2]~79845\ & VCC))
-- \led_flash_cnt[3719][3]~79847\ = CARRY((\led_flash_cnt[3719][3]~q\ & !\led_flash_cnt[3719][2]~79845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3719][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3719][2]~79845\,
	combout => \led_flash_cnt[3719][3]~79846_combout\,
	cout => \led_flash_cnt[3719][3]~79847\);

-- Location: FF_X31_Y21_N23
\led_flash_cnt[3719][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3719][3]~79846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3719][3]~q\);

-- Location: LCCOMB_X31_Y21_N24
\led_flash_cnt[3719][4]~79848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3719][4]~79848_combout\ = (\led_flash_cnt[3719][4]~q\ & (!\led_flash_cnt[3719][3]~79847\)) # (!\led_flash_cnt[3719][4]~q\ & ((\led_flash_cnt[3719][3]~79847\) # (GND)))
-- \led_flash_cnt[3719][4]~79849\ = CARRY((!\led_flash_cnt[3719][3]~79847\) # (!\led_flash_cnt[3719][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3719][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3719][3]~79847\,
	combout => \led_flash_cnt[3719][4]~79848_combout\,
	cout => \led_flash_cnt[3719][4]~79849\);

-- Location: FF_X31_Y21_N25
\led_flash_cnt[3719][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3719][4]~79848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3719][4]~q\);

-- Location: LCCOMB_X31_Y21_N0
\WideAnd3719~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3719~0_combout\ = (\led_flash_cnt[3719][2]~q\ & (\led_flash_cnt[3719][4]~q\ & (\led_flash_cnt[3719][3]~q\ & \led_flash_cnt[3719][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3719][2]~q\,
	datab => \led_flash_cnt[3719][4]~q\,
	datac => \led_flash_cnt[3719][3]~q\,
	datad => \led_flash_cnt[3719][1]~q\,
	combout => \WideAnd3719~0_combout\);

-- Location: LCCOMB_X31_Y21_N26
\led_flash_cnt[3719][5]~79850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3719][5]~79850_combout\ = (\led_flash_cnt[3719][5]~q\ & (\led_flash_cnt[3719][4]~79849\ $ (GND))) # (!\led_flash_cnt[3719][5]~q\ & (!\led_flash_cnt[3719][4]~79849\ & VCC))
-- \led_flash_cnt[3719][5]~79851\ = CARRY((\led_flash_cnt[3719][5]~q\ & !\led_flash_cnt[3719][4]~79849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3719][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3719][4]~79849\,
	combout => \led_flash_cnt[3719][5]~79850_combout\,
	cout => \led_flash_cnt[3719][5]~79851\);

-- Location: FF_X31_Y21_N27
\led_flash_cnt[3719][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3719][5]~79850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3719][5]~q\);

-- Location: LCCOMB_X31_Y21_N28
\led_flash_cnt[3719][6]~79852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3719][6]~79852_combout\ = (\led_flash_cnt[3719][6]~q\ & (!\led_flash_cnt[3719][5]~79851\)) # (!\led_flash_cnt[3719][6]~q\ & ((\led_flash_cnt[3719][5]~79851\) # (GND)))
-- \led_flash_cnt[3719][6]~79853\ = CARRY((!\led_flash_cnt[3719][5]~79851\) # (!\led_flash_cnt[3719][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3719][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3719][5]~79851\,
	combout => \led_flash_cnt[3719][6]~79852_combout\,
	cout => \led_flash_cnt[3719][6]~79853\);

-- Location: FF_X31_Y21_N29
\led_flash_cnt[3719][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3719][6]~79852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3719][6]~q\);

-- Location: LCCOMB_X31_Y21_N30
\led_flash_cnt[3719][7]~79854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3719][7]~79854_combout\ = \led_flash_cnt[3719][7]~q\ $ (!\led_flash_cnt[3719][6]~79853\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3719][7]~q\,
	cin => \led_flash_cnt[3719][6]~79853\,
	combout => \led_flash_cnt[3719][7]~79854_combout\);

-- Location: FF_X31_Y21_N31
\led_flash_cnt[3719][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3719][7]~79854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3719][7]~q\);

-- Location: LCCOMB_X31_Y24_N8
\WideAnd3719~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3719~1_combout\ = (\led_flash_cnt[3719][6]~q\ & \led_flash_cnt[3719][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3719][6]~q\,
	datad => \led_flash_cnt[3719][5]~q\,
	combout => \WideAnd3719~1_combout\);

-- Location: LCCOMB_X31_Y20_N6
WideAnd3719 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3719~combout\ = (\led_flash_cnt[3719][0]~q\ & (\WideAnd3719~0_combout\ & (\led_flash_cnt[3719][7]~q\ & \WideAnd3719~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3719][0]~q\,
	datab => \WideAnd3719~0_combout\,
	datac => \led_flash_cnt[3719][7]~q\,
	datad => \WideAnd3719~1_combout\,
	combout => \WideAnd3719~combout\);

-- Location: FF_X31_Y20_N7
\led_flash_cnt_ands[3719]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3719~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3719));

-- Location: LCCOMB_X31_Y20_N22
\led_flash_cnt[3712][0]~84416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3712][0]~84416_combout\ = !\led_flash_cnt[3712][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3712][0]~q\,
	combout => \led_flash_cnt[3712][0]~84416_combout\);

-- Location: FF_X31_Y20_N23
\led_flash_cnt[3712][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3712][0]~84416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3712][0]~q\);

-- Location: LCCOMB_X31_Y20_N8
\led_flash_cnt[3712][1]~79744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3712][1]~79744_combout\ = (\led_flash_cnt[3712][0]~q\ & (\led_flash_cnt[3712][1]~q\ $ (VCC))) # (!\led_flash_cnt[3712][0]~q\ & (\led_flash_cnt[3712][1]~q\ & VCC))
-- \led_flash_cnt[3712][1]~79745\ = CARRY((\led_flash_cnt[3712][0]~q\ & \led_flash_cnt[3712][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3712][0]~q\,
	datab => \led_flash_cnt[3712][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3712][1]~79744_combout\,
	cout => \led_flash_cnt[3712][1]~79745\);

-- Location: FF_X31_Y20_N9
\led_flash_cnt[3712][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3712][1]~79744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3712][1]~q\);

-- Location: LCCOMB_X31_Y20_N10
\led_flash_cnt[3712][2]~79746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3712][2]~79746_combout\ = (\led_flash_cnt[3712][2]~q\ & (!\led_flash_cnt[3712][1]~79745\)) # (!\led_flash_cnt[3712][2]~q\ & ((\led_flash_cnt[3712][1]~79745\) # (GND)))
-- \led_flash_cnt[3712][2]~79747\ = CARRY((!\led_flash_cnt[3712][1]~79745\) # (!\led_flash_cnt[3712][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3712][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3712][1]~79745\,
	combout => \led_flash_cnt[3712][2]~79746_combout\,
	cout => \led_flash_cnt[3712][2]~79747\);

-- Location: FF_X31_Y20_N11
\led_flash_cnt[3712][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3712][2]~79746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3712][2]~q\);

-- Location: LCCOMB_X31_Y20_N12
\led_flash_cnt[3712][3]~79748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3712][3]~79748_combout\ = (\led_flash_cnt[3712][3]~q\ & (\led_flash_cnt[3712][2]~79747\ $ (GND))) # (!\led_flash_cnt[3712][3]~q\ & (!\led_flash_cnt[3712][2]~79747\ & VCC))
-- \led_flash_cnt[3712][3]~79749\ = CARRY((\led_flash_cnt[3712][3]~q\ & !\led_flash_cnt[3712][2]~79747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3712][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3712][2]~79747\,
	combout => \led_flash_cnt[3712][3]~79748_combout\,
	cout => \led_flash_cnt[3712][3]~79749\);

-- Location: FF_X31_Y20_N13
\led_flash_cnt[3712][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3712][3]~79748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3712][3]~q\);

-- Location: LCCOMB_X31_Y20_N14
\led_flash_cnt[3712][4]~79750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3712][4]~79750_combout\ = (\led_flash_cnt[3712][4]~q\ & (!\led_flash_cnt[3712][3]~79749\)) # (!\led_flash_cnt[3712][4]~q\ & ((\led_flash_cnt[3712][3]~79749\) # (GND)))
-- \led_flash_cnt[3712][4]~79751\ = CARRY((!\led_flash_cnt[3712][3]~79749\) # (!\led_flash_cnt[3712][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3712][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3712][3]~79749\,
	combout => \led_flash_cnt[3712][4]~79750_combout\,
	cout => \led_flash_cnt[3712][4]~79751\);

-- Location: FF_X31_Y20_N15
\led_flash_cnt[3712][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3712][4]~79750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3712][4]~q\);

-- Location: LCCOMB_X31_Y20_N16
\led_flash_cnt[3712][5]~79752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3712][5]~79752_combout\ = (\led_flash_cnt[3712][5]~q\ & (\led_flash_cnt[3712][4]~79751\ $ (GND))) # (!\led_flash_cnt[3712][5]~q\ & (!\led_flash_cnt[3712][4]~79751\ & VCC))
-- \led_flash_cnt[3712][5]~79753\ = CARRY((\led_flash_cnt[3712][5]~q\ & !\led_flash_cnt[3712][4]~79751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3712][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3712][4]~79751\,
	combout => \led_flash_cnt[3712][5]~79752_combout\,
	cout => \led_flash_cnt[3712][5]~79753\);

-- Location: FF_X31_Y20_N17
\led_flash_cnt[3712][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3712][5]~79752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3712][5]~q\);

-- Location: LCCOMB_X31_Y20_N18
\led_flash_cnt[3712][6]~79754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3712][6]~79754_combout\ = (\led_flash_cnt[3712][6]~q\ & (!\led_flash_cnt[3712][5]~79753\)) # (!\led_flash_cnt[3712][6]~q\ & ((\led_flash_cnt[3712][5]~79753\) # (GND)))
-- \led_flash_cnt[3712][6]~79755\ = CARRY((!\led_flash_cnt[3712][5]~79753\) # (!\led_flash_cnt[3712][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3712][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3712][5]~79753\,
	combout => \led_flash_cnt[3712][6]~79754_combout\,
	cout => \led_flash_cnt[3712][6]~79755\);

-- Location: FF_X31_Y20_N19
\led_flash_cnt[3712][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3712][6]~79754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3712][6]~q\);

-- Location: LCCOMB_X31_Y20_N20
\led_flash_cnt[3712][7]~79756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3712][7]~79756_combout\ = \led_flash_cnt[3712][6]~79755\ $ (!\led_flash_cnt[3712][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3712][7]~q\,
	cin => \led_flash_cnt[3712][6]~79755\,
	combout => \led_flash_cnt[3712][7]~79756_combout\);

-- Location: FF_X31_Y20_N21
\led_flash_cnt[3712][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3712][7]~79756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3712][7]~q\);

-- Location: LCCOMB_X31_Y20_N30
\WideAnd3712~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3712~1_combout\ = (\led_flash_cnt[3712][6]~q\ & \led_flash_cnt[3712][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3712][6]~q\,
	datad => \led_flash_cnt[3712][5]~q\,
	combout => \WideAnd3712~1_combout\);

-- Location: LCCOMB_X31_Y20_N0
\WideAnd3712~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3712~0_combout\ = (\led_flash_cnt[3712][2]~q\ & (\led_flash_cnt[3712][4]~q\ & (\led_flash_cnt[3712][1]~q\ & \led_flash_cnt[3712][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3712][2]~q\,
	datab => \led_flash_cnt[3712][4]~q\,
	datac => \led_flash_cnt[3712][1]~q\,
	datad => \led_flash_cnt[3712][3]~q\,
	combout => \WideAnd3712~0_combout\);

-- Location: LCCOMB_X31_Y20_N26
WideAnd3712 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3712~combout\ = (\led_flash_cnt[3712][0]~q\ & (\led_flash_cnt[3712][7]~q\ & (\WideAnd3712~1_combout\ & \WideAnd3712~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3712][0]~q\,
	datab => \led_flash_cnt[3712][7]~q\,
	datac => \WideAnd3712~1_combout\,
	datad => \WideAnd3712~0_combout\,
	combout => \WideAnd3712~combout\);

-- Location: FF_X31_Y20_N27
\led_flash_cnt_ands[3712]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3712~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3712));

-- Location: LCCOMB_X30_Y20_N2
\led_flash_cnt[3713][0]~84417\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3713][0]~84417_combout\ = !\led_flash_cnt[3713][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3713][0]~q\,
	combout => \led_flash_cnt[3713][0]~84417_combout\);

-- Location: FF_X30_Y20_N3
\led_flash_cnt[3713][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3713][0]~84417_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3713][0]~q\);

-- Location: LCCOMB_X29_Y20_N18
\led_flash_cnt[3713][1]~79758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3713][1]~79758_combout\ = (\led_flash_cnt[3713][0]~q\ & (\led_flash_cnt[3713][1]~q\ $ (VCC))) # (!\led_flash_cnt[3713][0]~q\ & (\led_flash_cnt[3713][1]~q\ & VCC))
-- \led_flash_cnt[3713][1]~79759\ = CARRY((\led_flash_cnt[3713][0]~q\ & \led_flash_cnt[3713][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3713][0]~q\,
	datab => \led_flash_cnt[3713][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3713][1]~79758_combout\,
	cout => \led_flash_cnt[3713][1]~79759\);

-- Location: FF_X29_Y20_N19
\led_flash_cnt[3713][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3713][1]~79758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3713][1]~q\);

-- Location: LCCOMB_X29_Y20_N20
\led_flash_cnt[3713][2]~79760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3713][2]~79760_combout\ = (\led_flash_cnt[3713][2]~q\ & (!\led_flash_cnt[3713][1]~79759\)) # (!\led_flash_cnt[3713][2]~q\ & ((\led_flash_cnt[3713][1]~79759\) # (GND)))
-- \led_flash_cnt[3713][2]~79761\ = CARRY((!\led_flash_cnt[3713][1]~79759\) # (!\led_flash_cnt[3713][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3713][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3713][1]~79759\,
	combout => \led_flash_cnt[3713][2]~79760_combout\,
	cout => \led_flash_cnt[3713][2]~79761\);

-- Location: FF_X29_Y20_N21
\led_flash_cnt[3713][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3713][2]~79760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3713][2]~q\);

-- Location: LCCOMB_X29_Y20_N22
\led_flash_cnt[3713][3]~79762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3713][3]~79762_combout\ = (\led_flash_cnt[3713][3]~q\ & (\led_flash_cnt[3713][2]~79761\ $ (GND))) # (!\led_flash_cnt[3713][3]~q\ & (!\led_flash_cnt[3713][2]~79761\ & VCC))
-- \led_flash_cnt[3713][3]~79763\ = CARRY((\led_flash_cnt[3713][3]~q\ & !\led_flash_cnt[3713][2]~79761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3713][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3713][2]~79761\,
	combout => \led_flash_cnt[3713][3]~79762_combout\,
	cout => \led_flash_cnt[3713][3]~79763\);

-- Location: FF_X29_Y20_N23
\led_flash_cnt[3713][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3713][3]~79762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3713][3]~q\);

-- Location: LCCOMB_X29_Y20_N24
\led_flash_cnt[3713][4]~79764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3713][4]~79764_combout\ = (\led_flash_cnt[3713][4]~q\ & (!\led_flash_cnt[3713][3]~79763\)) # (!\led_flash_cnt[3713][4]~q\ & ((\led_flash_cnt[3713][3]~79763\) # (GND)))
-- \led_flash_cnt[3713][4]~79765\ = CARRY((!\led_flash_cnt[3713][3]~79763\) # (!\led_flash_cnt[3713][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3713][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3713][3]~79763\,
	combout => \led_flash_cnt[3713][4]~79764_combout\,
	cout => \led_flash_cnt[3713][4]~79765\);

-- Location: FF_X29_Y20_N25
\led_flash_cnt[3713][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3713][4]~79764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3713][4]~q\);

-- Location: LCCOMB_X30_Y20_N30
\WideAnd3713~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3713~0_combout\ = (\led_flash_cnt[3713][4]~q\ & (\led_flash_cnt[3713][1]~q\ & (\led_flash_cnt[3713][2]~q\ & \led_flash_cnt[3713][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3713][4]~q\,
	datab => \led_flash_cnt[3713][1]~q\,
	datac => \led_flash_cnt[3713][2]~q\,
	datad => \led_flash_cnt[3713][3]~q\,
	combout => \WideAnd3713~0_combout\);

-- Location: LCCOMB_X29_Y20_N26
\led_flash_cnt[3713][5]~79766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3713][5]~79766_combout\ = (\led_flash_cnt[3713][5]~q\ & (\led_flash_cnt[3713][4]~79765\ $ (GND))) # (!\led_flash_cnt[3713][5]~q\ & (!\led_flash_cnt[3713][4]~79765\ & VCC))
-- \led_flash_cnt[3713][5]~79767\ = CARRY((\led_flash_cnt[3713][5]~q\ & !\led_flash_cnt[3713][4]~79765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3713][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3713][4]~79765\,
	combout => \led_flash_cnt[3713][5]~79766_combout\,
	cout => \led_flash_cnt[3713][5]~79767\);

-- Location: FF_X29_Y20_N27
\led_flash_cnt[3713][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3713][5]~79766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3713][5]~q\);

-- Location: LCCOMB_X29_Y20_N28
\led_flash_cnt[3713][6]~79768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3713][6]~79768_combout\ = (\led_flash_cnt[3713][6]~q\ & (!\led_flash_cnt[3713][5]~79767\)) # (!\led_flash_cnt[3713][6]~q\ & ((\led_flash_cnt[3713][5]~79767\) # (GND)))
-- \led_flash_cnt[3713][6]~79769\ = CARRY((!\led_flash_cnt[3713][5]~79767\) # (!\led_flash_cnt[3713][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3713][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3713][5]~79767\,
	combout => \led_flash_cnt[3713][6]~79768_combout\,
	cout => \led_flash_cnt[3713][6]~79769\);

-- Location: FF_X29_Y20_N29
\led_flash_cnt[3713][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3713][6]~79768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3713][6]~q\);

-- Location: LCCOMB_X29_Y20_N30
\led_flash_cnt[3713][7]~79770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3713][7]~79770_combout\ = \led_flash_cnt[3713][7]~q\ $ (!\led_flash_cnt[3713][6]~79769\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3713][7]~q\,
	cin => \led_flash_cnt[3713][6]~79769\,
	combout => \led_flash_cnt[3713][7]~79770_combout\);

-- Location: FF_X29_Y20_N31
\led_flash_cnt[3713][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3713][7]~79770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3713][7]~q\);

-- Location: LCCOMB_X30_Y20_N4
\WideAnd3713~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3713~1_combout\ = (\led_flash_cnt[3713][5]~q\ & \led_flash_cnt[3713][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3713][5]~q\,
	datad => \led_flash_cnt[3713][6]~q\,
	combout => \WideAnd3713~1_combout\);

-- Location: LCCOMB_X30_Y20_N20
WideAnd3713 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3713~combout\ = (\WideAnd3713~0_combout\ & (\led_flash_cnt[3713][7]~q\ & (\WideAnd3713~1_combout\ & \led_flash_cnt[3713][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3713~0_combout\,
	datab => \led_flash_cnt[3713][7]~q\,
	datac => \WideAnd3713~1_combout\,
	datad => \led_flash_cnt[3713][0]~q\,
	combout => \WideAnd3713~combout\);

-- Location: FF_X30_Y20_N21
\led_flash_cnt_ands[3713]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3713~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3713));

-- Location: LCCOMB_X34_Y4_N4
\led_flash_cnt[3714][0]~84418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3714][0]~84418_combout\ = !\led_flash_cnt[3714][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3714][0]~q\,
	combout => \led_flash_cnt[3714][0]~84418_combout\);

-- Location: FF_X34_Y4_N5
\led_flash_cnt[3714][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3714][0]~84418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3714][0]~q\);

-- Location: LCCOMB_X34_Y4_N10
\led_flash_cnt[3714][1]~79772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3714][1]~79772_combout\ = (\led_flash_cnt[3714][1]~q\ & (\led_flash_cnt[3714][0]~q\ $ (VCC))) # (!\led_flash_cnt[3714][1]~q\ & (\led_flash_cnt[3714][0]~q\ & VCC))
-- \led_flash_cnt[3714][1]~79773\ = CARRY((\led_flash_cnt[3714][1]~q\ & \led_flash_cnt[3714][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3714][1]~q\,
	datab => \led_flash_cnt[3714][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3714][1]~79772_combout\,
	cout => \led_flash_cnt[3714][1]~79773\);

-- Location: FF_X34_Y4_N11
\led_flash_cnt[3714][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3714][1]~79772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3714][1]~q\);

-- Location: LCCOMB_X34_Y4_N12
\led_flash_cnt[3714][2]~79774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3714][2]~79774_combout\ = (\led_flash_cnt[3714][2]~q\ & (!\led_flash_cnt[3714][1]~79773\)) # (!\led_flash_cnt[3714][2]~q\ & ((\led_flash_cnt[3714][1]~79773\) # (GND)))
-- \led_flash_cnt[3714][2]~79775\ = CARRY((!\led_flash_cnt[3714][1]~79773\) # (!\led_flash_cnt[3714][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3714][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3714][1]~79773\,
	combout => \led_flash_cnt[3714][2]~79774_combout\,
	cout => \led_flash_cnt[3714][2]~79775\);

-- Location: FF_X34_Y4_N13
\led_flash_cnt[3714][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3714][2]~79774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3714][2]~q\);

-- Location: LCCOMB_X34_Y4_N14
\led_flash_cnt[3714][3]~79776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3714][3]~79776_combout\ = (\led_flash_cnt[3714][3]~q\ & (\led_flash_cnt[3714][2]~79775\ $ (GND))) # (!\led_flash_cnt[3714][3]~q\ & (!\led_flash_cnt[3714][2]~79775\ & VCC))
-- \led_flash_cnt[3714][3]~79777\ = CARRY((\led_flash_cnt[3714][3]~q\ & !\led_flash_cnt[3714][2]~79775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3714][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3714][2]~79775\,
	combout => \led_flash_cnt[3714][3]~79776_combout\,
	cout => \led_flash_cnt[3714][3]~79777\);

-- Location: FF_X34_Y4_N15
\led_flash_cnt[3714][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3714][3]~79776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3714][3]~q\);

-- Location: LCCOMB_X34_Y4_N16
\led_flash_cnt[3714][4]~79778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3714][4]~79778_combout\ = (\led_flash_cnt[3714][4]~q\ & (!\led_flash_cnt[3714][3]~79777\)) # (!\led_flash_cnt[3714][4]~q\ & ((\led_flash_cnt[3714][3]~79777\) # (GND)))
-- \led_flash_cnt[3714][4]~79779\ = CARRY((!\led_flash_cnt[3714][3]~79777\) # (!\led_flash_cnt[3714][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3714][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3714][3]~79777\,
	combout => \led_flash_cnt[3714][4]~79778_combout\,
	cout => \led_flash_cnt[3714][4]~79779\);

-- Location: FF_X34_Y4_N17
\led_flash_cnt[3714][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3714][4]~79778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3714][4]~q\);

-- Location: LCCOMB_X34_Y4_N18
\led_flash_cnt[3714][5]~79780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3714][5]~79780_combout\ = (\led_flash_cnt[3714][5]~q\ & (\led_flash_cnt[3714][4]~79779\ $ (GND))) # (!\led_flash_cnt[3714][5]~q\ & (!\led_flash_cnt[3714][4]~79779\ & VCC))
-- \led_flash_cnt[3714][5]~79781\ = CARRY((\led_flash_cnt[3714][5]~q\ & !\led_flash_cnt[3714][4]~79779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3714][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3714][4]~79779\,
	combout => \led_flash_cnt[3714][5]~79780_combout\,
	cout => \led_flash_cnt[3714][5]~79781\);

-- Location: FF_X34_Y4_N19
\led_flash_cnt[3714][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3714][5]~79780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3714][5]~q\);

-- Location: LCCOMB_X34_Y4_N20
\led_flash_cnt[3714][6]~79782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3714][6]~79782_combout\ = (\led_flash_cnt[3714][6]~q\ & (!\led_flash_cnt[3714][5]~79781\)) # (!\led_flash_cnt[3714][6]~q\ & ((\led_flash_cnt[3714][5]~79781\) # (GND)))
-- \led_flash_cnt[3714][6]~79783\ = CARRY((!\led_flash_cnt[3714][5]~79781\) # (!\led_flash_cnt[3714][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3714][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3714][5]~79781\,
	combout => \led_flash_cnt[3714][6]~79782_combout\,
	cout => \led_flash_cnt[3714][6]~79783\);

-- Location: FF_X34_Y4_N21
\led_flash_cnt[3714][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3714][6]~79782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3714][6]~q\);

-- Location: LCCOMB_X34_Y4_N22
\led_flash_cnt[3714][7]~79784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3714][7]~79784_combout\ = \led_flash_cnt[3714][7]~q\ $ (!\led_flash_cnt[3714][6]~79783\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3714][7]~q\,
	cin => \led_flash_cnt[3714][6]~79783\,
	combout => \led_flash_cnt[3714][7]~79784_combout\);

-- Location: FF_X34_Y4_N23
\led_flash_cnt[3714][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3714][7]~79784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3714][7]~q\);

-- Location: LCCOMB_X34_Y4_N26
\WideAnd3714~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3714~1_combout\ = (\led_flash_cnt[3714][0]~q\ & \led_flash_cnt[3714][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3714][0]~q\,
	datac => \led_flash_cnt[3714][7]~q\,
	combout => \WideAnd3714~1_combout\);

-- Location: LCCOMB_X34_Y4_N28
\WideAnd3714~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3714~0_combout\ = (\led_flash_cnt[3714][2]~q\ & (\led_flash_cnt[3714][4]~q\ & (\led_flash_cnt[3714][3]~q\ & \led_flash_cnt[3714][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3714][2]~q\,
	datab => \led_flash_cnt[3714][4]~q\,
	datac => \led_flash_cnt[3714][3]~q\,
	datad => \led_flash_cnt[3714][1]~q\,
	combout => \WideAnd3714~0_combout\);

-- Location: LCCOMB_X34_Y4_N0
WideAnd3714 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3714~combout\ = (\WideAnd3714~1_combout\ & (\led_flash_cnt[3714][6]~q\ & (\led_flash_cnt[3714][5]~q\ & \WideAnd3714~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3714~1_combout\,
	datab => \led_flash_cnt[3714][6]~q\,
	datac => \led_flash_cnt[3714][5]~q\,
	datad => \WideAnd3714~0_combout\,
	combout => \WideAnd3714~combout\);

-- Location: FF_X34_Y4_N1
\led_flash_cnt_ands[3714]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3714~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3714));

-- Location: LCCOMB_X30_Y21_N30
\led_flash_cnt[3715][0]~84419\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3715][0]~84419_combout\ = !\led_flash_cnt[3715][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3715][0]~q\,
	combout => \led_flash_cnt[3715][0]~84419_combout\);

-- Location: FF_X30_Y21_N31
\led_flash_cnt[3715][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3715][0]~84419_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3715][0]~q\);

-- Location: LCCOMB_X30_Y20_N6
\led_flash_cnt[3715][1]~79786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3715][1]~79786_combout\ = (\led_flash_cnt[3715][0]~q\ & (\led_flash_cnt[3715][1]~q\ $ (VCC))) # (!\led_flash_cnt[3715][0]~q\ & (\led_flash_cnt[3715][1]~q\ & VCC))
-- \led_flash_cnt[3715][1]~79787\ = CARRY((\led_flash_cnt[3715][0]~q\ & \led_flash_cnt[3715][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3715][0]~q\,
	datab => \led_flash_cnt[3715][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3715][1]~79786_combout\,
	cout => \led_flash_cnt[3715][1]~79787\);

-- Location: FF_X30_Y20_N7
\led_flash_cnt[3715][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3715][1]~79786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3715][1]~q\);

-- Location: LCCOMB_X30_Y20_N8
\led_flash_cnt[3715][2]~79788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3715][2]~79788_combout\ = (\led_flash_cnt[3715][2]~q\ & (!\led_flash_cnt[3715][1]~79787\)) # (!\led_flash_cnt[3715][2]~q\ & ((\led_flash_cnt[3715][1]~79787\) # (GND)))
-- \led_flash_cnt[3715][2]~79789\ = CARRY((!\led_flash_cnt[3715][1]~79787\) # (!\led_flash_cnt[3715][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3715][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3715][1]~79787\,
	combout => \led_flash_cnt[3715][2]~79788_combout\,
	cout => \led_flash_cnt[3715][2]~79789\);

-- Location: FF_X30_Y20_N9
\led_flash_cnt[3715][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3715][2]~79788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3715][2]~q\);

-- Location: LCCOMB_X30_Y20_N10
\led_flash_cnt[3715][3]~79790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3715][3]~79790_combout\ = (\led_flash_cnt[3715][3]~q\ & (\led_flash_cnt[3715][2]~79789\ $ (GND))) # (!\led_flash_cnt[3715][3]~q\ & (!\led_flash_cnt[3715][2]~79789\ & VCC))
-- \led_flash_cnt[3715][3]~79791\ = CARRY((\led_flash_cnt[3715][3]~q\ & !\led_flash_cnt[3715][2]~79789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3715][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3715][2]~79789\,
	combout => \led_flash_cnt[3715][3]~79790_combout\,
	cout => \led_flash_cnt[3715][3]~79791\);

-- Location: FF_X30_Y20_N11
\led_flash_cnt[3715][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3715][3]~79790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3715][3]~q\);

-- Location: LCCOMB_X30_Y20_N12
\led_flash_cnt[3715][4]~79792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3715][4]~79792_combout\ = (\led_flash_cnt[3715][4]~q\ & (!\led_flash_cnt[3715][3]~79791\)) # (!\led_flash_cnt[3715][4]~q\ & ((\led_flash_cnt[3715][3]~79791\) # (GND)))
-- \led_flash_cnt[3715][4]~79793\ = CARRY((!\led_flash_cnt[3715][3]~79791\) # (!\led_flash_cnt[3715][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3715][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3715][3]~79791\,
	combout => \led_flash_cnt[3715][4]~79792_combout\,
	cout => \led_flash_cnt[3715][4]~79793\);

-- Location: FF_X30_Y20_N13
\led_flash_cnt[3715][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3715][4]~79792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3715][4]~q\);

-- Location: LCCOMB_X30_Y20_N26
\WideAnd3715~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3715~0_combout\ = (\led_flash_cnt[3715][4]~q\ & (\led_flash_cnt[3715][1]~q\ & (\led_flash_cnt[3715][2]~q\ & \led_flash_cnt[3715][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3715][4]~q\,
	datab => \led_flash_cnt[3715][1]~q\,
	datac => \led_flash_cnt[3715][2]~q\,
	datad => \led_flash_cnt[3715][3]~q\,
	combout => \WideAnd3715~0_combout\);

-- Location: LCCOMB_X30_Y20_N14
\led_flash_cnt[3715][5]~79794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3715][5]~79794_combout\ = (\led_flash_cnt[3715][5]~q\ & (\led_flash_cnt[3715][4]~79793\ $ (GND))) # (!\led_flash_cnt[3715][5]~q\ & (!\led_flash_cnt[3715][4]~79793\ & VCC))
-- \led_flash_cnt[3715][5]~79795\ = CARRY((\led_flash_cnt[3715][5]~q\ & !\led_flash_cnt[3715][4]~79793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3715][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3715][4]~79793\,
	combout => \led_flash_cnt[3715][5]~79794_combout\,
	cout => \led_flash_cnt[3715][5]~79795\);

-- Location: FF_X30_Y20_N15
\led_flash_cnt[3715][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3715][5]~79794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3715][5]~q\);

-- Location: LCCOMB_X30_Y20_N16
\led_flash_cnt[3715][6]~79796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3715][6]~79796_combout\ = (\led_flash_cnt[3715][6]~q\ & (!\led_flash_cnt[3715][5]~79795\)) # (!\led_flash_cnt[3715][6]~q\ & ((\led_flash_cnt[3715][5]~79795\) # (GND)))
-- \led_flash_cnt[3715][6]~79797\ = CARRY((!\led_flash_cnt[3715][5]~79795\) # (!\led_flash_cnt[3715][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3715][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3715][5]~79795\,
	combout => \led_flash_cnt[3715][6]~79796_combout\,
	cout => \led_flash_cnt[3715][6]~79797\);

-- Location: FF_X30_Y20_N17
\led_flash_cnt[3715][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3715][6]~79796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3715][6]~q\);

-- Location: LCCOMB_X30_Y20_N28
\WideAnd3715~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3715~1_combout\ = (\led_flash_cnt[3715][5]~q\ & \led_flash_cnt[3715][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3715][5]~q\,
	datad => \led_flash_cnt[3715][6]~q\,
	combout => \WideAnd3715~1_combout\);

-- Location: LCCOMB_X30_Y20_N18
\led_flash_cnt[3715][7]~79798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3715][7]~79798_combout\ = \led_flash_cnt[3715][6]~79797\ $ (!\led_flash_cnt[3715][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3715][7]~q\,
	cin => \led_flash_cnt[3715][6]~79797\,
	combout => \led_flash_cnt[3715][7]~79798_combout\);

-- Location: FF_X30_Y20_N19
\led_flash_cnt[3715][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3715][7]~79798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3715][7]~q\);

-- Location: LCCOMB_X30_Y20_N24
WideAnd3715 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3715~combout\ = (\WideAnd3715~0_combout\ & (\WideAnd3715~1_combout\ & (\led_flash_cnt[3715][0]~q\ & \led_flash_cnt[3715][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3715~0_combout\,
	datab => \WideAnd3715~1_combout\,
	datac => \led_flash_cnt[3715][0]~q\,
	datad => \led_flash_cnt[3715][7]~q\,
	combout => \WideAnd3715~combout\);

-- Location: FF_X30_Y20_N25
\led_flash_cnt_ands[3715]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3715~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3715));

-- Location: LCCOMB_X31_Y20_N24
\WideAnd4304~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4304~0_combout\ = (led_flash_cnt_ands(3712) & (led_flash_cnt_ands(3713) & (led_flash_cnt_ands(3714) & led_flash_cnt_ands(3715))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3712),
	datab => led_flash_cnt_ands(3713),
	datac => led_flash_cnt_ands(3714),
	datad => led_flash_cnt_ands(3715),
	combout => \WideAnd4304~0_combout\);

-- Location: LCCOMB_X29_Y26_N28
\led_flash_cnt[3716][0]~84420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3716][0]~84420_combout\ = !\led_flash_cnt[3716][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3716][0]~q\,
	combout => \led_flash_cnt[3716][0]~84420_combout\);

-- Location: FF_X29_Y26_N29
\led_flash_cnt[3716][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3716][0]~84420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3716][0]~q\);

-- Location: LCCOMB_X29_Y26_N0
\led_flash_cnt[3716][1]~79800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3716][1]~79800_combout\ = (\led_flash_cnt[3716][0]~q\ & (\led_flash_cnt[3716][1]~q\ $ (VCC))) # (!\led_flash_cnt[3716][0]~q\ & (\led_flash_cnt[3716][1]~q\ & VCC))
-- \led_flash_cnt[3716][1]~79801\ = CARRY((\led_flash_cnt[3716][0]~q\ & \led_flash_cnt[3716][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3716][0]~q\,
	datab => \led_flash_cnt[3716][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3716][1]~79800_combout\,
	cout => \led_flash_cnt[3716][1]~79801\);

-- Location: FF_X29_Y26_N1
\led_flash_cnt[3716][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3716][1]~79800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3716][1]~q\);

-- Location: LCCOMB_X29_Y26_N2
\led_flash_cnt[3716][2]~79802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3716][2]~79802_combout\ = (\led_flash_cnt[3716][2]~q\ & (!\led_flash_cnt[3716][1]~79801\)) # (!\led_flash_cnt[3716][2]~q\ & ((\led_flash_cnt[3716][1]~79801\) # (GND)))
-- \led_flash_cnt[3716][2]~79803\ = CARRY((!\led_flash_cnt[3716][1]~79801\) # (!\led_flash_cnt[3716][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3716][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3716][1]~79801\,
	combout => \led_flash_cnt[3716][2]~79802_combout\,
	cout => \led_flash_cnt[3716][2]~79803\);

-- Location: FF_X29_Y26_N3
\led_flash_cnt[3716][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3716][2]~79802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3716][2]~q\);

-- Location: LCCOMB_X29_Y26_N4
\led_flash_cnt[3716][3]~79804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3716][3]~79804_combout\ = (\led_flash_cnt[3716][3]~q\ & (\led_flash_cnt[3716][2]~79803\ $ (GND))) # (!\led_flash_cnt[3716][3]~q\ & (!\led_flash_cnt[3716][2]~79803\ & VCC))
-- \led_flash_cnt[3716][3]~79805\ = CARRY((\led_flash_cnt[3716][3]~q\ & !\led_flash_cnt[3716][2]~79803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3716][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3716][2]~79803\,
	combout => \led_flash_cnt[3716][3]~79804_combout\,
	cout => \led_flash_cnt[3716][3]~79805\);

-- Location: FF_X29_Y26_N5
\led_flash_cnt[3716][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3716][3]~79804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3716][3]~q\);

-- Location: LCCOMB_X29_Y26_N6
\led_flash_cnt[3716][4]~79806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3716][4]~79806_combout\ = (\led_flash_cnt[3716][4]~q\ & (!\led_flash_cnt[3716][3]~79805\)) # (!\led_flash_cnt[3716][4]~q\ & ((\led_flash_cnt[3716][3]~79805\) # (GND)))
-- \led_flash_cnt[3716][4]~79807\ = CARRY((!\led_flash_cnt[3716][3]~79805\) # (!\led_flash_cnt[3716][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3716][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3716][3]~79805\,
	combout => \led_flash_cnt[3716][4]~79806_combout\,
	cout => \led_flash_cnt[3716][4]~79807\);

-- Location: FF_X29_Y26_N7
\led_flash_cnt[3716][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3716][4]~79806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3716][4]~q\);

-- Location: LCCOMB_X29_Y26_N8
\led_flash_cnt[3716][5]~79808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3716][5]~79808_combout\ = (\led_flash_cnt[3716][5]~q\ & (\led_flash_cnt[3716][4]~79807\ $ (GND))) # (!\led_flash_cnt[3716][5]~q\ & (!\led_flash_cnt[3716][4]~79807\ & VCC))
-- \led_flash_cnt[3716][5]~79809\ = CARRY((\led_flash_cnt[3716][5]~q\ & !\led_flash_cnt[3716][4]~79807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3716][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3716][4]~79807\,
	combout => \led_flash_cnt[3716][5]~79808_combout\,
	cout => \led_flash_cnt[3716][5]~79809\);

-- Location: FF_X29_Y26_N9
\led_flash_cnt[3716][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3716][5]~79808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3716][5]~q\);

-- Location: LCCOMB_X29_Y26_N10
\led_flash_cnt[3716][6]~79810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3716][6]~79810_combout\ = (\led_flash_cnt[3716][6]~q\ & (!\led_flash_cnt[3716][5]~79809\)) # (!\led_flash_cnt[3716][6]~q\ & ((\led_flash_cnt[3716][5]~79809\) # (GND)))
-- \led_flash_cnt[3716][6]~79811\ = CARRY((!\led_flash_cnt[3716][5]~79809\) # (!\led_flash_cnt[3716][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3716][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3716][5]~79809\,
	combout => \led_flash_cnt[3716][6]~79810_combout\,
	cout => \led_flash_cnt[3716][6]~79811\);

-- Location: FF_X29_Y26_N11
\led_flash_cnt[3716][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3716][6]~79810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3716][6]~q\);

-- Location: LCCOMB_X29_Y26_N12
\led_flash_cnt[3716][7]~79812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3716][7]~79812_combout\ = \led_flash_cnt[3716][6]~79811\ $ (!\led_flash_cnt[3716][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3716][7]~q\,
	cin => \led_flash_cnt[3716][6]~79811\,
	combout => \led_flash_cnt[3716][7]~79812_combout\);

-- Location: FF_X29_Y26_N13
\led_flash_cnt[3716][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3716][7]~79812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3716][7]~q\);

-- Location: LCCOMB_X29_Y26_N26
\WideAnd3716~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3716~1_combout\ = (\led_flash_cnt[3716][5]~q\ & \led_flash_cnt[3716][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3716][5]~q\,
	datad => \led_flash_cnt[3716][6]~q\,
	combout => \WideAnd3716~1_combout\);

-- Location: LCCOMB_X29_Y26_N18
\WideAnd3716~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3716~0_combout\ = (\led_flash_cnt[3716][4]~q\ & (\led_flash_cnt[3716][2]~q\ & (\led_flash_cnt[3716][3]~q\ & \led_flash_cnt[3716][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3716][4]~q\,
	datab => \led_flash_cnt[3716][2]~q\,
	datac => \led_flash_cnt[3716][3]~q\,
	datad => \led_flash_cnt[3716][1]~q\,
	combout => \WideAnd3716~0_combout\);

-- Location: LCCOMB_X29_Y26_N30
WideAnd3716 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3716~combout\ = (\led_flash_cnt[3716][7]~q\ & (\led_flash_cnt[3716][0]~q\ & (\WideAnd3716~1_combout\ & \WideAnd3716~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3716][7]~q\,
	datab => \led_flash_cnt[3716][0]~q\,
	datac => \WideAnd3716~1_combout\,
	datad => \WideAnd3716~0_combout\,
	combout => \WideAnd3716~combout\);

-- Location: FF_X29_Y26_N31
\led_flash_cnt_ands[3716]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3716~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3716));

-- Location: LCCOMB_X30_Y21_N10
\led_flash_cnt[3717][0]~84421\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3717][0]~84421_combout\ = !\led_flash_cnt[3717][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3717][0]~q\,
	combout => \led_flash_cnt[3717][0]~84421_combout\);

-- Location: FF_X30_Y21_N11
\led_flash_cnt[3717][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3717][0]~84421_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3717][0]~q\);

-- Location: LCCOMB_X30_Y21_N14
\led_flash_cnt[3717][1]~79814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3717][1]~79814_combout\ = (\led_flash_cnt[3717][0]~q\ & (\led_flash_cnt[3717][1]~q\ $ (VCC))) # (!\led_flash_cnt[3717][0]~q\ & (\led_flash_cnt[3717][1]~q\ & VCC))
-- \led_flash_cnt[3717][1]~79815\ = CARRY((\led_flash_cnt[3717][0]~q\ & \led_flash_cnt[3717][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3717][0]~q\,
	datab => \led_flash_cnt[3717][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3717][1]~79814_combout\,
	cout => \led_flash_cnt[3717][1]~79815\);

-- Location: FF_X30_Y21_N15
\led_flash_cnt[3717][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3717][1]~79814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3717][1]~q\);

-- Location: LCCOMB_X30_Y21_N16
\led_flash_cnt[3717][2]~79816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3717][2]~79816_combout\ = (\led_flash_cnt[3717][2]~q\ & (!\led_flash_cnt[3717][1]~79815\)) # (!\led_flash_cnt[3717][2]~q\ & ((\led_flash_cnt[3717][1]~79815\) # (GND)))
-- \led_flash_cnt[3717][2]~79817\ = CARRY((!\led_flash_cnt[3717][1]~79815\) # (!\led_flash_cnt[3717][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3717][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3717][1]~79815\,
	combout => \led_flash_cnt[3717][2]~79816_combout\,
	cout => \led_flash_cnt[3717][2]~79817\);

-- Location: FF_X30_Y21_N17
\led_flash_cnt[3717][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3717][2]~79816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3717][2]~q\);

-- Location: LCCOMB_X30_Y21_N18
\led_flash_cnt[3717][3]~79818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3717][3]~79818_combout\ = (\led_flash_cnt[3717][3]~q\ & (\led_flash_cnt[3717][2]~79817\ $ (GND))) # (!\led_flash_cnt[3717][3]~q\ & (!\led_flash_cnt[3717][2]~79817\ & VCC))
-- \led_flash_cnt[3717][3]~79819\ = CARRY((\led_flash_cnt[3717][3]~q\ & !\led_flash_cnt[3717][2]~79817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3717][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3717][2]~79817\,
	combout => \led_flash_cnt[3717][3]~79818_combout\,
	cout => \led_flash_cnt[3717][3]~79819\);

-- Location: FF_X30_Y21_N19
\led_flash_cnt[3717][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3717][3]~79818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3717][3]~q\);

-- Location: LCCOMB_X30_Y21_N20
\led_flash_cnt[3717][4]~79820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3717][4]~79820_combout\ = (\led_flash_cnt[3717][4]~q\ & (!\led_flash_cnt[3717][3]~79819\)) # (!\led_flash_cnt[3717][4]~q\ & ((\led_flash_cnt[3717][3]~79819\) # (GND)))
-- \led_flash_cnt[3717][4]~79821\ = CARRY((!\led_flash_cnt[3717][3]~79819\) # (!\led_flash_cnt[3717][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3717][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3717][3]~79819\,
	combout => \led_flash_cnt[3717][4]~79820_combout\,
	cout => \led_flash_cnt[3717][4]~79821\);

-- Location: FF_X30_Y21_N21
\led_flash_cnt[3717][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3717][4]~79820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3717][4]~q\);

-- Location: LCCOMB_X30_Y21_N4
\WideAnd3717~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3717~0_combout\ = (\led_flash_cnt[3717][3]~q\ & (\led_flash_cnt[3717][2]~q\ & (\led_flash_cnt[3717][1]~q\ & \led_flash_cnt[3717][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3717][3]~q\,
	datab => \led_flash_cnt[3717][2]~q\,
	datac => \led_flash_cnt[3717][1]~q\,
	datad => \led_flash_cnt[3717][4]~q\,
	combout => \WideAnd3717~0_combout\);

-- Location: LCCOMB_X30_Y21_N22
\led_flash_cnt[3717][5]~79822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3717][5]~79822_combout\ = (\led_flash_cnt[3717][5]~q\ & (\led_flash_cnt[3717][4]~79821\ $ (GND))) # (!\led_flash_cnt[3717][5]~q\ & (!\led_flash_cnt[3717][4]~79821\ & VCC))
-- \led_flash_cnt[3717][5]~79823\ = CARRY((\led_flash_cnt[3717][5]~q\ & !\led_flash_cnt[3717][4]~79821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3717][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3717][4]~79821\,
	combout => \led_flash_cnt[3717][5]~79822_combout\,
	cout => \led_flash_cnt[3717][5]~79823\);

-- Location: FF_X30_Y21_N23
\led_flash_cnt[3717][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3717][5]~79822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3717][5]~q\);

-- Location: LCCOMB_X30_Y21_N24
\led_flash_cnt[3717][6]~79824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3717][6]~79824_combout\ = (\led_flash_cnt[3717][6]~q\ & (!\led_flash_cnt[3717][5]~79823\)) # (!\led_flash_cnt[3717][6]~q\ & ((\led_flash_cnt[3717][5]~79823\) # (GND)))
-- \led_flash_cnt[3717][6]~79825\ = CARRY((!\led_flash_cnt[3717][5]~79823\) # (!\led_flash_cnt[3717][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3717][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3717][5]~79823\,
	combout => \led_flash_cnt[3717][6]~79824_combout\,
	cout => \led_flash_cnt[3717][6]~79825\);

-- Location: FF_X30_Y21_N25
\led_flash_cnt[3717][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3717][6]~79824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3717][6]~q\);

-- Location: LCCOMB_X30_Y21_N26
\led_flash_cnt[3717][7]~79826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3717][7]~79826_combout\ = \led_flash_cnt[3717][7]~q\ $ (!\led_flash_cnt[3717][6]~79825\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3717][7]~q\,
	cin => \led_flash_cnt[3717][6]~79825\,
	combout => \led_flash_cnt[3717][7]~79826_combout\);

-- Location: FF_X30_Y21_N27
\led_flash_cnt[3717][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3717][7]~79826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3717][7]~q\);

-- Location: LCCOMB_X30_Y21_N0
\WideAnd3717~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3717~1_combout\ = (\led_flash_cnt[3717][5]~q\ & \led_flash_cnt[3717][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3717][5]~q\,
	datad => \led_flash_cnt[3717][6]~q\,
	combout => \WideAnd3717~1_combout\);

-- Location: LCCOMB_X30_Y21_N2
WideAnd3717 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3717~combout\ = (\led_flash_cnt[3717][0]~q\ & (\WideAnd3717~0_combout\ & (\led_flash_cnt[3717][7]~q\ & \WideAnd3717~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3717][0]~q\,
	datab => \WideAnd3717~0_combout\,
	datac => \led_flash_cnt[3717][7]~q\,
	datad => \WideAnd3717~1_combout\,
	combout => \WideAnd3717~combout\);

-- Location: FF_X30_Y21_N3
\led_flash_cnt_ands[3717]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3717~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3717));

-- Location: LCCOMB_X30_Y21_N12
\WideAnd4304~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4304~1_combout\ = (led_flash_cnt_ands(3716) & led_flash_cnt_ands(3717))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3716),
	datad => led_flash_cnt_ands(3717),
	combout => \WideAnd4304~1_combout\);

-- Location: LCCOMB_X31_Y20_N2
\led_flash_cnt[3718][0]~84422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3718][0]~84422_combout\ = !\led_flash_cnt[3718][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3718][0]~q\,
	combout => \led_flash_cnt[3718][0]~84422_combout\);

-- Location: FF_X31_Y20_N3
\led_flash_cnt[3718][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3718][0]~84422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3718][0]~q\);

-- Location: LCCOMB_X32_Y20_N16
\led_flash_cnt[3718][1]~79828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3718][1]~79828_combout\ = (\led_flash_cnt[3718][0]~q\ & (\led_flash_cnt[3718][1]~q\ $ (VCC))) # (!\led_flash_cnt[3718][0]~q\ & (\led_flash_cnt[3718][1]~q\ & VCC))
-- \led_flash_cnt[3718][1]~79829\ = CARRY((\led_flash_cnt[3718][0]~q\ & \led_flash_cnt[3718][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3718][0]~q\,
	datab => \led_flash_cnt[3718][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3718][1]~79828_combout\,
	cout => \led_flash_cnt[3718][1]~79829\);

-- Location: FF_X32_Y20_N17
\led_flash_cnt[3718][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3718][1]~79828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3718][1]~q\);

-- Location: LCCOMB_X32_Y20_N18
\led_flash_cnt[3718][2]~79830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3718][2]~79830_combout\ = (\led_flash_cnt[3718][2]~q\ & (!\led_flash_cnt[3718][1]~79829\)) # (!\led_flash_cnt[3718][2]~q\ & ((\led_flash_cnt[3718][1]~79829\) # (GND)))
-- \led_flash_cnt[3718][2]~79831\ = CARRY((!\led_flash_cnt[3718][1]~79829\) # (!\led_flash_cnt[3718][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3718][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3718][1]~79829\,
	combout => \led_flash_cnt[3718][2]~79830_combout\,
	cout => \led_flash_cnt[3718][2]~79831\);

-- Location: FF_X32_Y20_N19
\led_flash_cnt[3718][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3718][2]~79830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3718][2]~q\);

-- Location: LCCOMB_X32_Y20_N20
\led_flash_cnt[3718][3]~79832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3718][3]~79832_combout\ = (\led_flash_cnt[3718][3]~q\ & (\led_flash_cnt[3718][2]~79831\ $ (GND))) # (!\led_flash_cnt[3718][3]~q\ & (!\led_flash_cnt[3718][2]~79831\ & VCC))
-- \led_flash_cnt[3718][3]~79833\ = CARRY((\led_flash_cnt[3718][3]~q\ & !\led_flash_cnt[3718][2]~79831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3718][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3718][2]~79831\,
	combout => \led_flash_cnt[3718][3]~79832_combout\,
	cout => \led_flash_cnt[3718][3]~79833\);

-- Location: FF_X32_Y20_N21
\led_flash_cnt[3718][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3718][3]~79832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3718][3]~q\);

-- Location: LCCOMB_X32_Y20_N22
\led_flash_cnt[3718][4]~79834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3718][4]~79834_combout\ = (\led_flash_cnt[3718][4]~q\ & (!\led_flash_cnt[3718][3]~79833\)) # (!\led_flash_cnt[3718][4]~q\ & ((\led_flash_cnt[3718][3]~79833\) # (GND)))
-- \led_flash_cnt[3718][4]~79835\ = CARRY((!\led_flash_cnt[3718][3]~79833\) # (!\led_flash_cnt[3718][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3718][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3718][3]~79833\,
	combout => \led_flash_cnt[3718][4]~79834_combout\,
	cout => \led_flash_cnt[3718][4]~79835\);

-- Location: FF_X32_Y20_N23
\led_flash_cnt[3718][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3718][4]~79834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3718][4]~q\);

-- Location: LCCOMB_X32_Y20_N30
\WideAnd3718~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3718~0_combout\ = (\led_flash_cnt[3718][2]~q\ & (\led_flash_cnt[3718][1]~q\ & (\led_flash_cnt[3718][4]~q\ & \led_flash_cnt[3718][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3718][2]~q\,
	datab => \led_flash_cnt[3718][1]~q\,
	datac => \led_flash_cnt[3718][4]~q\,
	datad => \led_flash_cnt[3718][3]~q\,
	combout => \WideAnd3718~0_combout\);

-- Location: LCCOMB_X32_Y20_N24
\led_flash_cnt[3718][5]~79836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3718][5]~79836_combout\ = (\led_flash_cnt[3718][5]~q\ & (\led_flash_cnt[3718][4]~79835\ $ (GND))) # (!\led_flash_cnt[3718][5]~q\ & (!\led_flash_cnt[3718][4]~79835\ & VCC))
-- \led_flash_cnt[3718][5]~79837\ = CARRY((\led_flash_cnt[3718][5]~q\ & !\led_flash_cnt[3718][4]~79835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3718][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3718][4]~79835\,
	combout => \led_flash_cnt[3718][5]~79836_combout\,
	cout => \led_flash_cnt[3718][5]~79837\);

-- Location: FF_X32_Y20_N25
\led_flash_cnt[3718][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3718][5]~79836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3718][5]~q\);

-- Location: LCCOMB_X32_Y20_N26
\led_flash_cnt[3718][6]~79838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3718][6]~79838_combout\ = (\led_flash_cnt[3718][6]~q\ & (!\led_flash_cnt[3718][5]~79837\)) # (!\led_flash_cnt[3718][6]~q\ & ((\led_flash_cnt[3718][5]~79837\) # (GND)))
-- \led_flash_cnt[3718][6]~79839\ = CARRY((!\led_flash_cnt[3718][5]~79837\) # (!\led_flash_cnt[3718][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3718][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3718][5]~79837\,
	combout => \led_flash_cnt[3718][6]~79838_combout\,
	cout => \led_flash_cnt[3718][6]~79839\);

-- Location: FF_X32_Y20_N27
\led_flash_cnt[3718][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3718][6]~79838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3718][6]~q\);

-- Location: LCCOMB_X31_Y20_N4
\WideAnd3718~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3718~1_combout\ = (\led_flash_cnt[3718][6]~q\ & \led_flash_cnt[3718][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3718][6]~q\,
	datad => \led_flash_cnt[3718][5]~q\,
	combout => \WideAnd3718~1_combout\);

-- Location: LCCOMB_X32_Y20_N28
\led_flash_cnt[3718][7]~79840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3718][7]~79840_combout\ = \led_flash_cnt[3718][6]~79839\ $ (!\led_flash_cnt[3718][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3718][7]~q\,
	cin => \led_flash_cnt[3718][6]~79839\,
	combout => \led_flash_cnt[3718][7]~79840_combout\);

-- Location: FF_X32_Y20_N29
\led_flash_cnt[3718][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3718][7]~79840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3718][7]~q\);

-- Location: LCCOMB_X31_Y20_N28
WideAnd3718 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3718~combout\ = (\WideAnd3718~0_combout\ & (\led_flash_cnt[3718][0]~q\ & (\WideAnd3718~1_combout\ & \led_flash_cnt[3718][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3718~0_combout\,
	datab => \led_flash_cnt[3718][0]~q\,
	datac => \WideAnd3718~1_combout\,
	datad => \led_flash_cnt[3718][7]~q\,
	combout => \WideAnd3718~combout\);

-- Location: FF_X31_Y20_N29
\led_flash_cnt_ands[3718]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3718~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3718));

-- Location: LCCOMB_X30_Y20_N22
WideAnd4304 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4304~combout\ = (led_flash_cnt_ands(3719) & (\WideAnd4304~0_combout\ & (\WideAnd4304~1_combout\ & led_flash_cnt_ands(3718))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3719),
	datab => \WideAnd4304~0_combout\,
	datac => \WideAnd4304~1_combout\,
	datad => led_flash_cnt_ands(3718),
	combout => \WideAnd4304~combout\);

-- Location: FF_X30_Y20_N23
\led_flash_cnt_ands_1[464]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4304~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(464));

-- Location: LCCOMB_X30_Y7_N0
\led_flash_cnt[3734][0]~84438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3734][0]~84438_combout\ = !\led_flash_cnt[3734][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3734][0]~q\,
	combout => \led_flash_cnt[3734][0]~84438_combout\);

-- Location: FF_X30_Y7_N1
\led_flash_cnt[3734][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3734][0]~84438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3734][0]~q\);

-- Location: LCCOMB_X30_Y7_N18
\led_flash_cnt[3734][1]~80052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3734][1]~80052_combout\ = (\led_flash_cnt[3734][1]~q\ & (\led_flash_cnt[3734][0]~q\ $ (VCC))) # (!\led_flash_cnt[3734][1]~q\ & (\led_flash_cnt[3734][0]~q\ & VCC))
-- \led_flash_cnt[3734][1]~80053\ = CARRY((\led_flash_cnt[3734][1]~q\ & \led_flash_cnt[3734][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3734][1]~q\,
	datab => \led_flash_cnt[3734][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3734][1]~80052_combout\,
	cout => \led_flash_cnt[3734][1]~80053\);

-- Location: FF_X30_Y7_N19
\led_flash_cnt[3734][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3734][1]~80052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3734][1]~q\);

-- Location: LCCOMB_X30_Y7_N20
\led_flash_cnt[3734][2]~80054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3734][2]~80054_combout\ = (\led_flash_cnt[3734][2]~q\ & (!\led_flash_cnt[3734][1]~80053\)) # (!\led_flash_cnt[3734][2]~q\ & ((\led_flash_cnt[3734][1]~80053\) # (GND)))
-- \led_flash_cnt[3734][2]~80055\ = CARRY((!\led_flash_cnt[3734][1]~80053\) # (!\led_flash_cnt[3734][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3734][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3734][1]~80053\,
	combout => \led_flash_cnt[3734][2]~80054_combout\,
	cout => \led_flash_cnt[3734][2]~80055\);

-- Location: FF_X30_Y7_N21
\led_flash_cnt[3734][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3734][2]~80054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3734][2]~q\);

-- Location: LCCOMB_X30_Y7_N22
\led_flash_cnt[3734][3]~80056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3734][3]~80056_combout\ = (\led_flash_cnt[3734][3]~q\ & (\led_flash_cnt[3734][2]~80055\ $ (GND))) # (!\led_flash_cnt[3734][3]~q\ & (!\led_flash_cnt[3734][2]~80055\ & VCC))
-- \led_flash_cnt[3734][3]~80057\ = CARRY((\led_flash_cnt[3734][3]~q\ & !\led_flash_cnt[3734][2]~80055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3734][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3734][2]~80055\,
	combout => \led_flash_cnt[3734][3]~80056_combout\,
	cout => \led_flash_cnt[3734][3]~80057\);

-- Location: FF_X30_Y7_N23
\led_flash_cnt[3734][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3734][3]~80056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3734][3]~q\);

-- Location: LCCOMB_X30_Y7_N24
\led_flash_cnt[3734][4]~80058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3734][4]~80058_combout\ = (\led_flash_cnt[3734][4]~q\ & (!\led_flash_cnt[3734][3]~80057\)) # (!\led_flash_cnt[3734][4]~q\ & ((\led_flash_cnt[3734][3]~80057\) # (GND)))
-- \led_flash_cnt[3734][4]~80059\ = CARRY((!\led_flash_cnt[3734][3]~80057\) # (!\led_flash_cnt[3734][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3734][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3734][3]~80057\,
	combout => \led_flash_cnt[3734][4]~80058_combout\,
	cout => \led_flash_cnt[3734][4]~80059\);

-- Location: FF_X30_Y7_N25
\led_flash_cnt[3734][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3734][4]~80058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3734][4]~q\);

-- Location: LCCOMB_X30_Y7_N6
\WideAnd3734~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3734~0_combout\ = (\led_flash_cnt[3734][1]~q\ & (\led_flash_cnt[3734][4]~q\ & (\led_flash_cnt[3734][3]~q\ & \led_flash_cnt[3734][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3734][1]~q\,
	datab => \led_flash_cnt[3734][4]~q\,
	datac => \led_flash_cnt[3734][3]~q\,
	datad => \led_flash_cnt[3734][2]~q\,
	combout => \WideAnd3734~0_combout\);

-- Location: LCCOMB_X30_Y7_N26
\led_flash_cnt[3734][5]~80060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3734][5]~80060_combout\ = (\led_flash_cnt[3734][5]~q\ & (\led_flash_cnt[3734][4]~80059\ $ (GND))) # (!\led_flash_cnt[3734][5]~q\ & (!\led_flash_cnt[3734][4]~80059\ & VCC))
-- \led_flash_cnt[3734][5]~80061\ = CARRY((\led_flash_cnt[3734][5]~q\ & !\led_flash_cnt[3734][4]~80059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3734][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3734][4]~80059\,
	combout => \led_flash_cnt[3734][5]~80060_combout\,
	cout => \led_flash_cnt[3734][5]~80061\);

-- Location: FF_X30_Y7_N27
\led_flash_cnt[3734][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3734][5]~80060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3734][5]~q\);

-- Location: LCCOMB_X30_Y7_N28
\led_flash_cnt[3734][6]~80062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3734][6]~80062_combout\ = (\led_flash_cnt[3734][6]~q\ & (!\led_flash_cnt[3734][5]~80061\)) # (!\led_flash_cnt[3734][6]~q\ & ((\led_flash_cnt[3734][5]~80061\) # (GND)))
-- \led_flash_cnt[3734][6]~80063\ = CARRY((!\led_flash_cnt[3734][5]~80061\) # (!\led_flash_cnt[3734][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3734][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3734][5]~80061\,
	combout => \led_flash_cnt[3734][6]~80062_combout\,
	cout => \led_flash_cnt[3734][6]~80063\);

-- Location: FF_X30_Y7_N29
\led_flash_cnt[3734][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3734][6]~80062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3734][6]~q\);

-- Location: LCCOMB_X30_Y7_N30
\led_flash_cnt[3734][7]~80064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3734][7]~80064_combout\ = \led_flash_cnt[3734][7]~q\ $ (!\led_flash_cnt[3734][6]~80063\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3734][7]~q\,
	cin => \led_flash_cnt[3734][6]~80063\,
	combout => \led_flash_cnt[3734][7]~80064_combout\);

-- Location: FF_X30_Y7_N31
\led_flash_cnt[3734][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3734][7]~80064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3734][7]~q\);

-- Location: LCCOMB_X30_Y7_N2
\WideAnd3734~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3734~1_combout\ = (\led_flash_cnt[3734][5]~q\ & \led_flash_cnt[3734][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3734][5]~q\,
	datad => \led_flash_cnt[3734][6]~q\,
	combout => \WideAnd3734~1_combout\);

-- Location: LCCOMB_X30_Y7_N12
WideAnd3734 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3734~combout\ = (\WideAnd3734~0_combout\ & (\led_flash_cnt[3734][0]~q\ & (\led_flash_cnt[3734][7]~q\ & \WideAnd3734~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3734~0_combout\,
	datab => \led_flash_cnt[3734][0]~q\,
	datac => \led_flash_cnt[3734][7]~q\,
	datad => \WideAnd3734~1_combout\,
	combout => \WideAnd3734~combout\);

-- Location: FF_X30_Y7_N13
\led_flash_cnt_ands[3734]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3734~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3734));

-- Location: LCCOMB_X30_Y7_N8
\led_flash_cnt[3735][0]~84439\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3735][0]~84439_combout\ = !\led_flash_cnt[3735][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3735][0]~q\,
	combout => \led_flash_cnt[3735][0]~84439_combout\);

-- Location: FF_X30_Y7_N9
\led_flash_cnt[3735][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3735][0]~84439_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3735][0]~q\);

-- Location: LCCOMB_X30_Y10_N14
\led_flash_cnt[3735][1]~80066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3735][1]~80066_combout\ = (\led_flash_cnt[3735][0]~q\ & (\led_flash_cnt[3735][1]~q\ $ (VCC))) # (!\led_flash_cnt[3735][0]~q\ & (\led_flash_cnt[3735][1]~q\ & VCC))
-- \led_flash_cnt[3735][1]~80067\ = CARRY((\led_flash_cnt[3735][0]~q\ & \led_flash_cnt[3735][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3735][0]~q\,
	datab => \led_flash_cnt[3735][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3735][1]~80066_combout\,
	cout => \led_flash_cnt[3735][1]~80067\);

-- Location: FF_X30_Y10_N15
\led_flash_cnt[3735][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3735][1]~80066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3735][1]~q\);

-- Location: LCCOMB_X30_Y10_N16
\led_flash_cnt[3735][2]~80068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3735][2]~80068_combout\ = (\led_flash_cnt[3735][2]~q\ & (!\led_flash_cnt[3735][1]~80067\)) # (!\led_flash_cnt[3735][2]~q\ & ((\led_flash_cnt[3735][1]~80067\) # (GND)))
-- \led_flash_cnt[3735][2]~80069\ = CARRY((!\led_flash_cnt[3735][1]~80067\) # (!\led_flash_cnt[3735][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3735][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3735][1]~80067\,
	combout => \led_flash_cnt[3735][2]~80068_combout\,
	cout => \led_flash_cnt[3735][2]~80069\);

-- Location: FF_X30_Y10_N17
\led_flash_cnt[3735][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3735][2]~80068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3735][2]~q\);

-- Location: LCCOMB_X30_Y10_N18
\led_flash_cnt[3735][3]~80070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3735][3]~80070_combout\ = (\led_flash_cnt[3735][3]~q\ & (\led_flash_cnt[3735][2]~80069\ $ (GND))) # (!\led_flash_cnt[3735][3]~q\ & (!\led_flash_cnt[3735][2]~80069\ & VCC))
-- \led_flash_cnt[3735][3]~80071\ = CARRY((\led_flash_cnt[3735][3]~q\ & !\led_flash_cnt[3735][2]~80069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3735][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3735][2]~80069\,
	combout => \led_flash_cnt[3735][3]~80070_combout\,
	cout => \led_flash_cnt[3735][3]~80071\);

-- Location: FF_X30_Y10_N19
\led_flash_cnt[3735][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3735][3]~80070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3735][3]~q\);

-- Location: LCCOMB_X30_Y10_N20
\led_flash_cnt[3735][4]~80072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3735][4]~80072_combout\ = (\led_flash_cnt[3735][4]~q\ & (!\led_flash_cnt[3735][3]~80071\)) # (!\led_flash_cnt[3735][4]~q\ & ((\led_flash_cnt[3735][3]~80071\) # (GND)))
-- \led_flash_cnt[3735][4]~80073\ = CARRY((!\led_flash_cnt[3735][3]~80071\) # (!\led_flash_cnt[3735][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3735][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3735][3]~80071\,
	combout => \led_flash_cnt[3735][4]~80072_combout\,
	cout => \led_flash_cnt[3735][4]~80073\);

-- Location: FF_X30_Y10_N21
\led_flash_cnt[3735][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3735][4]~80072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3735][4]~q\);

-- Location: LCCOMB_X30_Y10_N30
\WideAnd3735~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3735~0_combout\ = (\led_flash_cnt[3735][4]~q\ & (\led_flash_cnt[3735][2]~q\ & (\led_flash_cnt[3735][1]~q\ & \led_flash_cnt[3735][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3735][4]~q\,
	datab => \led_flash_cnt[3735][2]~q\,
	datac => \led_flash_cnt[3735][1]~q\,
	datad => \led_flash_cnt[3735][3]~q\,
	combout => \WideAnd3735~0_combout\);

-- Location: LCCOMB_X30_Y10_N22
\led_flash_cnt[3735][5]~80074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3735][5]~80074_combout\ = (\led_flash_cnt[3735][5]~q\ & (\led_flash_cnt[3735][4]~80073\ $ (GND))) # (!\led_flash_cnt[3735][5]~q\ & (!\led_flash_cnt[3735][4]~80073\ & VCC))
-- \led_flash_cnt[3735][5]~80075\ = CARRY((\led_flash_cnt[3735][5]~q\ & !\led_flash_cnt[3735][4]~80073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3735][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3735][4]~80073\,
	combout => \led_flash_cnt[3735][5]~80074_combout\,
	cout => \led_flash_cnt[3735][5]~80075\);

-- Location: FF_X30_Y10_N23
\led_flash_cnt[3735][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3735][5]~80074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3735][5]~q\);

-- Location: LCCOMB_X30_Y10_N24
\led_flash_cnt[3735][6]~80076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3735][6]~80076_combout\ = (\led_flash_cnt[3735][6]~q\ & (!\led_flash_cnt[3735][5]~80075\)) # (!\led_flash_cnt[3735][6]~q\ & ((\led_flash_cnt[3735][5]~80075\) # (GND)))
-- \led_flash_cnt[3735][6]~80077\ = CARRY((!\led_flash_cnt[3735][5]~80075\) # (!\led_flash_cnt[3735][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3735][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3735][5]~80075\,
	combout => \led_flash_cnt[3735][6]~80076_combout\,
	cout => \led_flash_cnt[3735][6]~80077\);

-- Location: FF_X30_Y10_N25
\led_flash_cnt[3735][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3735][6]~80076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3735][6]~q\);

-- Location: LCCOMB_X30_Y10_N26
\led_flash_cnt[3735][7]~80078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3735][7]~80078_combout\ = \led_flash_cnt[3735][7]~q\ $ (!\led_flash_cnt[3735][6]~80077\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3735][7]~q\,
	cin => \led_flash_cnt[3735][6]~80077\,
	combout => \led_flash_cnt[3735][7]~80078_combout\);

-- Location: FF_X30_Y10_N27
\led_flash_cnt[3735][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3735][7]~80078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3735][7]~q\);

-- Location: LCCOMB_X30_Y10_N28
\WideAnd3735~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3735~1_combout\ = (\led_flash_cnt[3735][5]~q\ & \led_flash_cnt[3735][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3735][5]~q\,
	datad => \led_flash_cnt[3735][6]~q\,
	combout => \WideAnd3735~1_combout\);

-- Location: LCCOMB_X30_Y7_N14
WideAnd3735 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3735~combout\ = (\WideAnd3735~0_combout\ & (\led_flash_cnt[3735][7]~q\ & (\led_flash_cnt[3735][0]~q\ & \WideAnd3735~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3735~0_combout\,
	datab => \led_flash_cnt[3735][7]~q\,
	datac => \led_flash_cnt[3735][0]~q\,
	datad => \WideAnd3735~1_combout\,
	combout => \WideAnd3735~combout\);

-- Location: FF_X30_Y7_N15
\led_flash_cnt_ands[3735]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3735~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3735));

-- Location: LCCOMB_X31_Y1_N22
\led_flash_cnt[3731][0]~84435\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3731][0]~84435_combout\ = !\led_flash_cnt[3731][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3731][0]~q\,
	combout => \led_flash_cnt[3731][0]~84435_combout\);

-- Location: FF_X31_Y1_N23
\led_flash_cnt[3731][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3731][0]~84435_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3731][0]~q\);

-- Location: LCCOMB_X31_Y1_N2
\led_flash_cnt[3731][1]~80010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3731][1]~80010_combout\ = (\led_flash_cnt[3731][0]~q\ & (\led_flash_cnt[3731][1]~q\ $ (VCC))) # (!\led_flash_cnt[3731][0]~q\ & (\led_flash_cnt[3731][1]~q\ & VCC))
-- \led_flash_cnt[3731][1]~80011\ = CARRY((\led_flash_cnt[3731][0]~q\ & \led_flash_cnt[3731][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3731][0]~q\,
	datab => \led_flash_cnt[3731][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3731][1]~80010_combout\,
	cout => \led_flash_cnt[3731][1]~80011\);

-- Location: FF_X31_Y1_N3
\led_flash_cnt[3731][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3731][1]~80010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3731][1]~q\);

-- Location: LCCOMB_X31_Y1_N4
\led_flash_cnt[3731][2]~80012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3731][2]~80012_combout\ = (\led_flash_cnt[3731][2]~q\ & (!\led_flash_cnt[3731][1]~80011\)) # (!\led_flash_cnt[3731][2]~q\ & ((\led_flash_cnt[3731][1]~80011\) # (GND)))
-- \led_flash_cnt[3731][2]~80013\ = CARRY((!\led_flash_cnt[3731][1]~80011\) # (!\led_flash_cnt[3731][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3731][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3731][1]~80011\,
	combout => \led_flash_cnt[3731][2]~80012_combout\,
	cout => \led_flash_cnt[3731][2]~80013\);

-- Location: FF_X31_Y1_N5
\led_flash_cnt[3731][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3731][2]~80012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3731][2]~q\);

-- Location: LCCOMB_X31_Y1_N6
\led_flash_cnt[3731][3]~80014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3731][3]~80014_combout\ = (\led_flash_cnt[3731][3]~q\ & (\led_flash_cnt[3731][2]~80013\ $ (GND))) # (!\led_flash_cnt[3731][3]~q\ & (!\led_flash_cnt[3731][2]~80013\ & VCC))
-- \led_flash_cnt[3731][3]~80015\ = CARRY((\led_flash_cnt[3731][3]~q\ & !\led_flash_cnt[3731][2]~80013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3731][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3731][2]~80013\,
	combout => \led_flash_cnt[3731][3]~80014_combout\,
	cout => \led_flash_cnt[3731][3]~80015\);

-- Location: FF_X31_Y1_N7
\led_flash_cnt[3731][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3731][3]~80014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3731][3]~q\);

-- Location: LCCOMB_X31_Y1_N8
\led_flash_cnt[3731][4]~80016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3731][4]~80016_combout\ = (\led_flash_cnt[3731][4]~q\ & (!\led_flash_cnt[3731][3]~80015\)) # (!\led_flash_cnt[3731][4]~q\ & ((\led_flash_cnt[3731][3]~80015\) # (GND)))
-- \led_flash_cnt[3731][4]~80017\ = CARRY((!\led_flash_cnt[3731][3]~80015\) # (!\led_flash_cnt[3731][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3731][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3731][3]~80015\,
	combout => \led_flash_cnt[3731][4]~80016_combout\,
	cout => \led_flash_cnt[3731][4]~80017\);

-- Location: FF_X31_Y1_N9
\led_flash_cnt[3731][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3731][4]~80016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3731][4]~q\);

-- Location: LCCOMB_X31_Y1_N30
\WideAnd3731~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3731~0_combout\ = (\led_flash_cnt[3731][3]~q\ & (\led_flash_cnt[3731][2]~q\ & (\led_flash_cnt[3731][4]~q\ & \led_flash_cnt[3731][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3731][3]~q\,
	datab => \led_flash_cnt[3731][2]~q\,
	datac => \led_flash_cnt[3731][4]~q\,
	datad => \led_flash_cnt[3731][1]~q\,
	combout => \WideAnd3731~0_combout\);

-- Location: LCCOMB_X31_Y1_N10
\led_flash_cnt[3731][5]~80018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3731][5]~80018_combout\ = (\led_flash_cnt[3731][5]~q\ & (\led_flash_cnt[3731][4]~80017\ $ (GND))) # (!\led_flash_cnt[3731][5]~q\ & (!\led_flash_cnt[3731][4]~80017\ & VCC))
-- \led_flash_cnt[3731][5]~80019\ = CARRY((\led_flash_cnt[3731][5]~q\ & !\led_flash_cnt[3731][4]~80017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3731][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3731][4]~80017\,
	combout => \led_flash_cnt[3731][5]~80018_combout\,
	cout => \led_flash_cnt[3731][5]~80019\);

-- Location: FF_X31_Y1_N11
\led_flash_cnt[3731][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3731][5]~80018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3731][5]~q\);

-- Location: LCCOMB_X31_Y1_N12
\led_flash_cnt[3731][6]~80020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3731][6]~80020_combout\ = (\led_flash_cnt[3731][6]~q\ & (!\led_flash_cnt[3731][5]~80019\)) # (!\led_flash_cnt[3731][6]~q\ & ((\led_flash_cnt[3731][5]~80019\) # (GND)))
-- \led_flash_cnt[3731][6]~80021\ = CARRY((!\led_flash_cnt[3731][5]~80019\) # (!\led_flash_cnt[3731][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3731][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3731][5]~80019\,
	combout => \led_flash_cnt[3731][6]~80020_combout\,
	cout => \led_flash_cnt[3731][6]~80021\);

-- Location: FF_X31_Y1_N13
\led_flash_cnt[3731][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3731][6]~80020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3731][6]~q\);

-- Location: LCCOMB_X31_Y1_N14
\led_flash_cnt[3731][7]~80022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3731][7]~80022_combout\ = \led_flash_cnt[3731][7]~q\ $ (!\led_flash_cnt[3731][6]~80021\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3731][7]~q\,
	cin => \led_flash_cnt[3731][6]~80021\,
	combout => \led_flash_cnt[3731][7]~80022_combout\);

-- Location: FF_X31_Y1_N15
\led_flash_cnt[3731][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3731][7]~80022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3731][7]~q\);

-- Location: LCCOMB_X31_Y1_N20
\WideAnd3731~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3731~1_combout\ = (\led_flash_cnt[3731][6]~q\ & \led_flash_cnt[3731][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3731][6]~q\,
	datad => \led_flash_cnt[3731][5]~q\,
	combout => \WideAnd3731~1_combout\);

-- Location: LCCOMB_X31_Y1_N0
WideAnd3731 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3731~combout\ = (\WideAnd3731~0_combout\ & (\led_flash_cnt[3731][7]~q\ & (\led_flash_cnt[3731][0]~q\ & \WideAnd3731~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3731~0_combout\,
	datab => \led_flash_cnt[3731][7]~q\,
	datac => \led_flash_cnt[3731][0]~q\,
	datad => \WideAnd3731~1_combout\,
	combout => \WideAnd3731~combout\);

-- Location: FF_X31_Y1_N1
\led_flash_cnt_ands[3731]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3731~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3731));

-- Location: LCCOMB_X31_Y6_N18
\led_flash_cnt[3729][0]~84433\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3729][0]~84433_combout\ = !\led_flash_cnt[3729][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3729][0]~q\,
	combout => \led_flash_cnt[3729][0]~84433_combout\);

-- Location: FF_X31_Y6_N19
\led_flash_cnt[3729][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3729][0]~84433_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3729][0]~q\);

-- Location: LCCOMB_X31_Y2_N2
\led_flash_cnt[3729][1]~79982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3729][1]~79982_combout\ = (\led_flash_cnt[3729][0]~q\ & (\led_flash_cnt[3729][1]~q\ $ (VCC))) # (!\led_flash_cnt[3729][0]~q\ & (\led_flash_cnt[3729][1]~q\ & VCC))
-- \led_flash_cnt[3729][1]~79983\ = CARRY((\led_flash_cnt[3729][0]~q\ & \led_flash_cnt[3729][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3729][0]~q\,
	datab => \led_flash_cnt[3729][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3729][1]~79982_combout\,
	cout => \led_flash_cnt[3729][1]~79983\);

-- Location: FF_X31_Y2_N3
\led_flash_cnt[3729][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3729][1]~79982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3729][1]~q\);

-- Location: LCCOMB_X31_Y2_N4
\led_flash_cnt[3729][2]~79984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3729][2]~79984_combout\ = (\led_flash_cnt[3729][2]~q\ & (!\led_flash_cnt[3729][1]~79983\)) # (!\led_flash_cnt[3729][2]~q\ & ((\led_flash_cnt[3729][1]~79983\) # (GND)))
-- \led_flash_cnt[3729][2]~79985\ = CARRY((!\led_flash_cnt[3729][1]~79983\) # (!\led_flash_cnt[3729][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3729][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3729][1]~79983\,
	combout => \led_flash_cnt[3729][2]~79984_combout\,
	cout => \led_flash_cnt[3729][2]~79985\);

-- Location: FF_X31_Y2_N5
\led_flash_cnt[3729][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3729][2]~79984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3729][2]~q\);

-- Location: LCCOMB_X31_Y2_N6
\led_flash_cnt[3729][3]~79986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3729][3]~79986_combout\ = (\led_flash_cnt[3729][3]~q\ & (\led_flash_cnt[3729][2]~79985\ $ (GND))) # (!\led_flash_cnt[3729][3]~q\ & (!\led_flash_cnt[3729][2]~79985\ & VCC))
-- \led_flash_cnt[3729][3]~79987\ = CARRY((\led_flash_cnt[3729][3]~q\ & !\led_flash_cnt[3729][2]~79985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3729][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3729][2]~79985\,
	combout => \led_flash_cnt[3729][3]~79986_combout\,
	cout => \led_flash_cnt[3729][3]~79987\);

-- Location: FF_X31_Y2_N7
\led_flash_cnt[3729][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3729][3]~79986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3729][3]~q\);

-- Location: LCCOMB_X31_Y2_N8
\led_flash_cnt[3729][4]~79988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3729][4]~79988_combout\ = (\led_flash_cnt[3729][4]~q\ & (!\led_flash_cnt[3729][3]~79987\)) # (!\led_flash_cnt[3729][4]~q\ & ((\led_flash_cnt[3729][3]~79987\) # (GND)))
-- \led_flash_cnt[3729][4]~79989\ = CARRY((!\led_flash_cnt[3729][3]~79987\) # (!\led_flash_cnt[3729][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3729][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3729][3]~79987\,
	combout => \led_flash_cnt[3729][4]~79988_combout\,
	cout => \led_flash_cnt[3729][4]~79989\);

-- Location: FF_X31_Y2_N9
\led_flash_cnt[3729][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3729][4]~79988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3729][4]~q\);

-- Location: LCCOMB_X31_Y2_N16
\WideAnd3729~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3729~0_combout\ = (\led_flash_cnt[3729][3]~q\ & (\led_flash_cnt[3729][2]~q\ & (\led_flash_cnt[3729][4]~q\ & \led_flash_cnt[3729][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3729][3]~q\,
	datab => \led_flash_cnt[3729][2]~q\,
	datac => \led_flash_cnt[3729][4]~q\,
	datad => \led_flash_cnt[3729][1]~q\,
	combout => \WideAnd3729~0_combout\);

-- Location: LCCOMB_X31_Y2_N10
\led_flash_cnt[3729][5]~79990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3729][5]~79990_combout\ = (\led_flash_cnt[3729][5]~q\ & (\led_flash_cnt[3729][4]~79989\ $ (GND))) # (!\led_flash_cnt[3729][5]~q\ & (!\led_flash_cnt[3729][4]~79989\ & VCC))
-- \led_flash_cnt[3729][5]~79991\ = CARRY((\led_flash_cnt[3729][5]~q\ & !\led_flash_cnt[3729][4]~79989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3729][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3729][4]~79989\,
	combout => \led_flash_cnt[3729][5]~79990_combout\,
	cout => \led_flash_cnt[3729][5]~79991\);

-- Location: FF_X31_Y2_N11
\led_flash_cnt[3729][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3729][5]~79990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3729][5]~q\);

-- Location: LCCOMB_X31_Y2_N12
\led_flash_cnt[3729][6]~79992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3729][6]~79992_combout\ = (\led_flash_cnt[3729][6]~q\ & (!\led_flash_cnt[3729][5]~79991\)) # (!\led_flash_cnt[3729][6]~q\ & ((\led_flash_cnt[3729][5]~79991\) # (GND)))
-- \led_flash_cnt[3729][6]~79993\ = CARRY((!\led_flash_cnt[3729][5]~79991\) # (!\led_flash_cnt[3729][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3729][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3729][5]~79991\,
	combout => \led_flash_cnt[3729][6]~79992_combout\,
	cout => \led_flash_cnt[3729][6]~79993\);

-- Location: FF_X31_Y2_N13
\led_flash_cnt[3729][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3729][6]~79992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3729][6]~q\);

-- Location: LCCOMB_X31_Y6_N24
\WideAnd3729~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3729~1_combout\ = (\led_flash_cnt[3729][5]~q\ & \led_flash_cnt[3729][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3729][5]~q\,
	datad => \led_flash_cnt[3729][6]~q\,
	combout => \WideAnd3729~1_combout\);

-- Location: LCCOMB_X31_Y2_N14
\led_flash_cnt[3729][7]~79994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3729][7]~79994_combout\ = \led_flash_cnt[3729][7]~q\ $ (!\led_flash_cnt[3729][6]~79993\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3729][7]~q\,
	cin => \led_flash_cnt[3729][6]~79993\,
	combout => \led_flash_cnt[3729][7]~79994_combout\);

-- Location: FF_X31_Y2_N15
\led_flash_cnt[3729][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3729][7]~79994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3729][7]~q\);

-- Location: LCCOMB_X31_Y6_N0
WideAnd3729 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3729~combout\ = (\WideAnd3729~0_combout\ & (\WideAnd3729~1_combout\ & (\led_flash_cnt[3729][7]~q\ & \led_flash_cnt[3729][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3729~0_combout\,
	datab => \WideAnd3729~1_combout\,
	datac => \led_flash_cnt[3729][7]~q\,
	datad => \led_flash_cnt[3729][0]~q\,
	combout => \WideAnd3729~combout\);

-- Location: FF_X31_Y6_N1
\led_flash_cnt_ands[3729]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3729~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3729));

-- Location: LCCOMB_X35_Y7_N0
\led_flash_cnt[3730][0]~84434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3730][0]~84434_combout\ = !\led_flash_cnt[3730][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3730][0]~q\,
	combout => \led_flash_cnt[3730][0]~84434_combout\);

-- Location: FF_X35_Y7_N1
\led_flash_cnt[3730][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3730][0]~84434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3730][0]~q\);

-- Location: LCCOMB_X32_Y7_N18
\led_flash_cnt[3730][1]~79996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3730][1]~79996_combout\ = (\led_flash_cnt[3730][0]~q\ & (\led_flash_cnt[3730][1]~q\ $ (VCC))) # (!\led_flash_cnt[3730][0]~q\ & (\led_flash_cnt[3730][1]~q\ & VCC))
-- \led_flash_cnt[3730][1]~79997\ = CARRY((\led_flash_cnt[3730][0]~q\ & \led_flash_cnt[3730][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3730][0]~q\,
	datab => \led_flash_cnt[3730][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3730][1]~79996_combout\,
	cout => \led_flash_cnt[3730][1]~79997\);

-- Location: FF_X32_Y7_N19
\led_flash_cnt[3730][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3730][1]~79996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3730][1]~q\);

-- Location: LCCOMB_X32_Y7_N20
\led_flash_cnt[3730][2]~79998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3730][2]~79998_combout\ = (\led_flash_cnt[3730][2]~q\ & (!\led_flash_cnt[3730][1]~79997\)) # (!\led_flash_cnt[3730][2]~q\ & ((\led_flash_cnt[3730][1]~79997\) # (GND)))
-- \led_flash_cnt[3730][2]~79999\ = CARRY((!\led_flash_cnt[3730][1]~79997\) # (!\led_flash_cnt[3730][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3730][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3730][1]~79997\,
	combout => \led_flash_cnt[3730][2]~79998_combout\,
	cout => \led_flash_cnt[3730][2]~79999\);

-- Location: FF_X32_Y7_N21
\led_flash_cnt[3730][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3730][2]~79998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3730][2]~q\);

-- Location: LCCOMB_X32_Y7_N22
\led_flash_cnt[3730][3]~80000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3730][3]~80000_combout\ = (\led_flash_cnt[3730][3]~q\ & (\led_flash_cnt[3730][2]~79999\ $ (GND))) # (!\led_flash_cnt[3730][3]~q\ & (!\led_flash_cnt[3730][2]~79999\ & VCC))
-- \led_flash_cnt[3730][3]~80001\ = CARRY((\led_flash_cnt[3730][3]~q\ & !\led_flash_cnt[3730][2]~79999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3730][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3730][2]~79999\,
	combout => \led_flash_cnt[3730][3]~80000_combout\,
	cout => \led_flash_cnt[3730][3]~80001\);

-- Location: FF_X32_Y7_N23
\led_flash_cnt[3730][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3730][3]~80000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3730][3]~q\);

-- Location: LCCOMB_X32_Y7_N24
\led_flash_cnt[3730][4]~80002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3730][4]~80002_combout\ = (\led_flash_cnt[3730][4]~q\ & (!\led_flash_cnt[3730][3]~80001\)) # (!\led_flash_cnt[3730][4]~q\ & ((\led_flash_cnt[3730][3]~80001\) # (GND)))
-- \led_flash_cnt[3730][4]~80003\ = CARRY((!\led_flash_cnt[3730][3]~80001\) # (!\led_flash_cnt[3730][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3730][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3730][3]~80001\,
	combout => \led_flash_cnt[3730][4]~80002_combout\,
	cout => \led_flash_cnt[3730][4]~80003\);

-- Location: FF_X32_Y7_N25
\led_flash_cnt[3730][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3730][4]~80002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3730][4]~q\);

-- Location: LCCOMB_X32_Y7_N26
\led_flash_cnt[3730][5]~80004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3730][5]~80004_combout\ = (\led_flash_cnt[3730][5]~q\ & (\led_flash_cnt[3730][4]~80003\ $ (GND))) # (!\led_flash_cnt[3730][5]~q\ & (!\led_flash_cnt[3730][4]~80003\ & VCC))
-- \led_flash_cnt[3730][5]~80005\ = CARRY((\led_flash_cnt[3730][5]~q\ & !\led_flash_cnt[3730][4]~80003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3730][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3730][4]~80003\,
	combout => \led_flash_cnt[3730][5]~80004_combout\,
	cout => \led_flash_cnt[3730][5]~80005\);

-- Location: FF_X32_Y7_N27
\led_flash_cnt[3730][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3730][5]~80004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3730][5]~q\);

-- Location: LCCOMB_X32_Y7_N28
\led_flash_cnt[3730][6]~80006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3730][6]~80006_combout\ = (\led_flash_cnt[3730][6]~q\ & (!\led_flash_cnt[3730][5]~80005\)) # (!\led_flash_cnt[3730][6]~q\ & ((\led_flash_cnt[3730][5]~80005\) # (GND)))
-- \led_flash_cnt[3730][6]~80007\ = CARRY((!\led_flash_cnt[3730][5]~80005\) # (!\led_flash_cnt[3730][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3730][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3730][5]~80005\,
	combout => \led_flash_cnt[3730][6]~80006_combout\,
	cout => \led_flash_cnt[3730][6]~80007\);

-- Location: FF_X32_Y7_N29
\led_flash_cnt[3730][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3730][6]~80006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3730][6]~q\);

-- Location: LCCOMB_X31_Y7_N10
\WideAnd3730~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3730~1_combout\ = (\led_flash_cnt[3730][6]~q\ & \led_flash_cnt[3730][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3730][6]~q\,
	datad => \led_flash_cnt[3730][5]~q\,
	combout => \WideAnd3730~1_combout\);

-- Location: LCCOMB_X32_Y7_N30
\led_flash_cnt[3730][7]~80008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3730][7]~80008_combout\ = \led_flash_cnt[3730][7]~q\ $ (!\led_flash_cnt[3730][6]~80007\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3730][7]~q\,
	cin => \led_flash_cnt[3730][6]~80007\,
	combout => \led_flash_cnt[3730][7]~80008_combout\);

-- Location: FF_X32_Y7_N31
\led_flash_cnt[3730][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3730][7]~80008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3730][7]~q\);

-- Location: LCCOMB_X32_Y7_N2
\WideAnd3730~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3730~0_combout\ = (\led_flash_cnt[3730][4]~q\ & (\led_flash_cnt[3730][2]~q\ & (\led_flash_cnt[3730][3]~q\ & \led_flash_cnt[3730][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3730][4]~q\,
	datab => \led_flash_cnt[3730][2]~q\,
	datac => \led_flash_cnt[3730][3]~q\,
	datad => \led_flash_cnt[3730][1]~q\,
	combout => \WideAnd3730~0_combout\);

-- Location: LCCOMB_X31_Y7_N4
WideAnd3730 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3730~combout\ = (\WideAnd3730~1_combout\ & (\led_flash_cnt[3730][0]~q\ & (\led_flash_cnt[3730][7]~q\ & \WideAnd3730~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3730~1_combout\,
	datab => \led_flash_cnt[3730][0]~q\,
	datac => \led_flash_cnt[3730][7]~q\,
	datad => \WideAnd3730~0_combout\,
	combout => \WideAnd3730~combout\);

-- Location: FF_X31_Y7_N5
\led_flash_cnt_ands[3730]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3730~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3730));

-- Location: LCCOMB_X34_Y6_N8
\led_flash_cnt[3728][0]~84432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3728][0]~84432_combout\ = !\led_flash_cnt[3728][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3728][0]~q\,
	combout => \led_flash_cnt[3728][0]~84432_combout\);

-- Location: FF_X34_Y6_N9
\led_flash_cnt[3728][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3728][0]~84432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3728][0]~q\);

-- Location: LCCOMB_X31_Y6_N4
\led_flash_cnt[3728][1]~79968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3728][1]~79968_combout\ = (\led_flash_cnt[3728][0]~q\ & (\led_flash_cnt[3728][1]~q\ $ (VCC))) # (!\led_flash_cnt[3728][0]~q\ & (\led_flash_cnt[3728][1]~q\ & VCC))
-- \led_flash_cnt[3728][1]~79969\ = CARRY((\led_flash_cnt[3728][0]~q\ & \led_flash_cnt[3728][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3728][0]~q\,
	datab => \led_flash_cnt[3728][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3728][1]~79968_combout\,
	cout => \led_flash_cnt[3728][1]~79969\);

-- Location: FF_X31_Y6_N5
\led_flash_cnt[3728][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3728][1]~79968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3728][1]~q\);

-- Location: LCCOMB_X31_Y6_N6
\led_flash_cnt[3728][2]~79970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3728][2]~79970_combout\ = (\led_flash_cnt[3728][2]~q\ & (!\led_flash_cnt[3728][1]~79969\)) # (!\led_flash_cnt[3728][2]~q\ & ((\led_flash_cnt[3728][1]~79969\) # (GND)))
-- \led_flash_cnt[3728][2]~79971\ = CARRY((!\led_flash_cnt[3728][1]~79969\) # (!\led_flash_cnt[3728][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3728][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3728][1]~79969\,
	combout => \led_flash_cnt[3728][2]~79970_combout\,
	cout => \led_flash_cnt[3728][2]~79971\);

-- Location: FF_X31_Y6_N7
\led_flash_cnt[3728][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3728][2]~79970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3728][2]~q\);

-- Location: LCCOMB_X31_Y6_N8
\led_flash_cnt[3728][3]~79972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3728][3]~79972_combout\ = (\led_flash_cnt[3728][3]~q\ & (\led_flash_cnt[3728][2]~79971\ $ (GND))) # (!\led_flash_cnt[3728][3]~q\ & (!\led_flash_cnt[3728][2]~79971\ & VCC))
-- \led_flash_cnt[3728][3]~79973\ = CARRY((\led_flash_cnt[3728][3]~q\ & !\led_flash_cnt[3728][2]~79971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3728][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3728][2]~79971\,
	combout => \led_flash_cnt[3728][3]~79972_combout\,
	cout => \led_flash_cnt[3728][3]~79973\);

-- Location: FF_X31_Y6_N9
\led_flash_cnt[3728][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3728][3]~79972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3728][3]~q\);

-- Location: LCCOMB_X31_Y6_N10
\led_flash_cnt[3728][4]~79974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3728][4]~79974_combout\ = (\led_flash_cnt[3728][4]~q\ & (!\led_flash_cnt[3728][3]~79973\)) # (!\led_flash_cnt[3728][4]~q\ & ((\led_flash_cnt[3728][3]~79973\) # (GND)))
-- \led_flash_cnt[3728][4]~79975\ = CARRY((!\led_flash_cnt[3728][3]~79973\) # (!\led_flash_cnt[3728][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3728][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3728][3]~79973\,
	combout => \led_flash_cnt[3728][4]~79974_combout\,
	cout => \led_flash_cnt[3728][4]~79975\);

-- Location: FF_X31_Y6_N11
\led_flash_cnt[3728][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3728][4]~79974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3728][4]~q\);

-- Location: LCCOMB_X31_Y6_N12
\led_flash_cnt[3728][5]~79976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3728][5]~79976_combout\ = (\led_flash_cnt[3728][5]~q\ & (\led_flash_cnt[3728][4]~79975\ $ (GND))) # (!\led_flash_cnt[3728][5]~q\ & (!\led_flash_cnt[3728][4]~79975\ & VCC))
-- \led_flash_cnt[3728][5]~79977\ = CARRY((\led_flash_cnt[3728][5]~q\ & !\led_flash_cnt[3728][4]~79975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3728][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3728][4]~79975\,
	combout => \led_flash_cnt[3728][5]~79976_combout\,
	cout => \led_flash_cnt[3728][5]~79977\);

-- Location: FF_X31_Y6_N13
\led_flash_cnt[3728][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3728][5]~79976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3728][5]~q\);

-- Location: LCCOMB_X31_Y6_N14
\led_flash_cnt[3728][6]~79978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3728][6]~79978_combout\ = (\led_flash_cnt[3728][6]~q\ & (!\led_flash_cnt[3728][5]~79977\)) # (!\led_flash_cnt[3728][6]~q\ & ((\led_flash_cnt[3728][5]~79977\) # (GND)))
-- \led_flash_cnt[3728][6]~79979\ = CARRY((!\led_flash_cnt[3728][5]~79977\) # (!\led_flash_cnt[3728][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3728][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3728][5]~79977\,
	combout => \led_flash_cnt[3728][6]~79978_combout\,
	cout => \led_flash_cnt[3728][6]~79979\);

-- Location: FF_X31_Y6_N15
\led_flash_cnt[3728][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3728][6]~79978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3728][6]~q\);

-- Location: LCCOMB_X31_Y6_N20
\WideAnd3728~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3728~1_combout\ = (\led_flash_cnt[3728][6]~q\ & \led_flash_cnt[3728][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3728][6]~q\,
	datad => \led_flash_cnt[3728][5]~q\,
	combout => \WideAnd3728~1_combout\);

-- Location: LCCOMB_X31_Y6_N30
\WideAnd3728~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3728~0_combout\ = (\led_flash_cnt[3728][4]~q\ & (\led_flash_cnt[3728][3]~q\ & (\led_flash_cnt[3728][1]~q\ & \led_flash_cnt[3728][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3728][4]~q\,
	datab => \led_flash_cnt[3728][3]~q\,
	datac => \led_flash_cnt[3728][1]~q\,
	datad => \led_flash_cnt[3728][2]~q\,
	combout => \WideAnd3728~0_combout\);

-- Location: LCCOMB_X31_Y6_N16
\led_flash_cnt[3728][7]~79980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3728][7]~79980_combout\ = \led_flash_cnt[3728][6]~79979\ $ (!\led_flash_cnt[3728][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3728][7]~q\,
	cin => \led_flash_cnt[3728][6]~79979\,
	combout => \led_flash_cnt[3728][7]~79980_combout\);

-- Location: FF_X31_Y6_N17
\led_flash_cnt[3728][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3728][7]~79980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3728][7]~q\);

-- Location: LCCOMB_X31_Y6_N2
WideAnd3728 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3728~combout\ = (\led_flash_cnt[3728][0]~q\ & (\WideAnd3728~1_combout\ & (\WideAnd3728~0_combout\ & \led_flash_cnt[3728][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3728][0]~q\,
	datab => \WideAnd3728~1_combout\,
	datac => \WideAnd3728~0_combout\,
	datad => \led_flash_cnt[3728][7]~q\,
	combout => \WideAnd3728~combout\);

-- Location: FF_X31_Y6_N3
\led_flash_cnt_ands[3728]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3728~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3728));

-- Location: LCCOMB_X31_Y6_N22
\WideAnd4306~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4306~0_combout\ = (led_flash_cnt_ands(3731) & (led_flash_cnt_ands(3729) & (led_flash_cnt_ands(3730) & led_flash_cnt_ands(3728))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3731),
	datab => led_flash_cnt_ands(3729),
	datac => led_flash_cnt_ands(3730),
	datad => led_flash_cnt_ands(3728),
	combout => \WideAnd4306~0_combout\);

-- Location: LCCOMB_X32_Y1_N28
\led_flash_cnt[3733][0]~84437\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3733][0]~84437_combout\ = !\led_flash_cnt[3733][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3733][0]~q\,
	combout => \led_flash_cnt[3733][0]~84437_combout\);

-- Location: FF_X32_Y1_N29
\led_flash_cnt[3733][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3733][0]~84437_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3733][0]~q\);

-- Location: LCCOMB_X29_Y1_N14
\led_flash_cnt[3733][1]~80038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3733][1]~80038_combout\ = (\led_flash_cnt[3733][0]~q\ & (\led_flash_cnt[3733][1]~q\ $ (VCC))) # (!\led_flash_cnt[3733][0]~q\ & (\led_flash_cnt[3733][1]~q\ & VCC))
-- \led_flash_cnt[3733][1]~80039\ = CARRY((\led_flash_cnt[3733][0]~q\ & \led_flash_cnt[3733][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3733][0]~q\,
	datab => \led_flash_cnt[3733][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3733][1]~80038_combout\,
	cout => \led_flash_cnt[3733][1]~80039\);

-- Location: FF_X29_Y1_N15
\led_flash_cnt[3733][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3733][1]~80038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3733][1]~q\);

-- Location: LCCOMB_X29_Y1_N16
\led_flash_cnt[3733][2]~80040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3733][2]~80040_combout\ = (\led_flash_cnt[3733][2]~q\ & (!\led_flash_cnt[3733][1]~80039\)) # (!\led_flash_cnt[3733][2]~q\ & ((\led_flash_cnt[3733][1]~80039\) # (GND)))
-- \led_flash_cnt[3733][2]~80041\ = CARRY((!\led_flash_cnt[3733][1]~80039\) # (!\led_flash_cnt[3733][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3733][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3733][1]~80039\,
	combout => \led_flash_cnt[3733][2]~80040_combout\,
	cout => \led_flash_cnt[3733][2]~80041\);

-- Location: FF_X29_Y1_N17
\led_flash_cnt[3733][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3733][2]~80040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3733][2]~q\);

-- Location: LCCOMB_X29_Y1_N18
\led_flash_cnt[3733][3]~80042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3733][3]~80042_combout\ = (\led_flash_cnt[3733][3]~q\ & (\led_flash_cnt[3733][2]~80041\ $ (GND))) # (!\led_flash_cnt[3733][3]~q\ & (!\led_flash_cnt[3733][2]~80041\ & VCC))
-- \led_flash_cnt[3733][3]~80043\ = CARRY((\led_flash_cnt[3733][3]~q\ & !\led_flash_cnt[3733][2]~80041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3733][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3733][2]~80041\,
	combout => \led_flash_cnt[3733][3]~80042_combout\,
	cout => \led_flash_cnt[3733][3]~80043\);

-- Location: FF_X29_Y1_N19
\led_flash_cnt[3733][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3733][3]~80042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3733][3]~q\);

-- Location: LCCOMB_X29_Y1_N20
\led_flash_cnt[3733][4]~80044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3733][4]~80044_combout\ = (\led_flash_cnt[3733][4]~q\ & (!\led_flash_cnt[3733][3]~80043\)) # (!\led_flash_cnt[3733][4]~q\ & ((\led_flash_cnt[3733][3]~80043\) # (GND)))
-- \led_flash_cnt[3733][4]~80045\ = CARRY((!\led_flash_cnt[3733][3]~80043\) # (!\led_flash_cnt[3733][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3733][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3733][3]~80043\,
	combout => \led_flash_cnt[3733][4]~80044_combout\,
	cout => \led_flash_cnt[3733][4]~80045\);

-- Location: FF_X29_Y1_N21
\led_flash_cnt[3733][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3733][4]~80044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3733][4]~q\);

-- Location: LCCOMB_X29_Y1_N22
\led_flash_cnt[3733][5]~80046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3733][5]~80046_combout\ = (\led_flash_cnt[3733][5]~q\ & (\led_flash_cnt[3733][4]~80045\ $ (GND))) # (!\led_flash_cnt[3733][5]~q\ & (!\led_flash_cnt[3733][4]~80045\ & VCC))
-- \led_flash_cnt[3733][5]~80047\ = CARRY((\led_flash_cnt[3733][5]~q\ & !\led_flash_cnt[3733][4]~80045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3733][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3733][4]~80045\,
	combout => \led_flash_cnt[3733][5]~80046_combout\,
	cout => \led_flash_cnt[3733][5]~80047\);

-- Location: FF_X29_Y1_N23
\led_flash_cnt[3733][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3733][5]~80046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3733][5]~q\);

-- Location: LCCOMB_X29_Y1_N24
\led_flash_cnt[3733][6]~80048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3733][6]~80048_combout\ = (\led_flash_cnt[3733][6]~q\ & (!\led_flash_cnt[3733][5]~80047\)) # (!\led_flash_cnt[3733][6]~q\ & ((\led_flash_cnt[3733][5]~80047\) # (GND)))
-- \led_flash_cnt[3733][6]~80049\ = CARRY((!\led_flash_cnt[3733][5]~80047\) # (!\led_flash_cnt[3733][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3733][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3733][5]~80047\,
	combout => \led_flash_cnt[3733][6]~80048_combout\,
	cout => \led_flash_cnt[3733][6]~80049\);

-- Location: FF_X29_Y1_N25
\led_flash_cnt[3733][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3733][6]~80048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3733][6]~q\);

-- Location: LCCOMB_X29_Y1_N26
\led_flash_cnt[3733][7]~80050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3733][7]~80050_combout\ = \led_flash_cnt[3733][7]~q\ $ (!\led_flash_cnt[3733][6]~80049\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3733][7]~q\,
	cin => \led_flash_cnt[3733][6]~80049\,
	combout => \led_flash_cnt[3733][7]~80050_combout\);

-- Location: FF_X29_Y1_N27
\led_flash_cnt[3733][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3733][7]~80050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3733][7]~q\);

-- Location: LCCOMB_X29_Y1_N28
\WideAnd3733~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3733~0_combout\ = (\led_flash_cnt[3733][3]~q\ & (\led_flash_cnt[3733][4]~q\ & (\led_flash_cnt[3733][1]~q\ & \led_flash_cnt[3733][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3733][3]~q\,
	datab => \led_flash_cnt[3733][4]~q\,
	datac => \led_flash_cnt[3733][1]~q\,
	datad => \led_flash_cnt[3733][2]~q\,
	combout => \WideAnd3733~0_combout\);

-- Location: LCCOMB_X30_Y1_N10
\WideAnd3733~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3733~1_combout\ = (\led_flash_cnt[3733][6]~q\ & \led_flash_cnt[3733][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3733][6]~q\,
	datad => \led_flash_cnt[3733][5]~q\,
	combout => \WideAnd3733~1_combout\);

-- Location: LCCOMB_X30_Y1_N28
WideAnd3733 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3733~combout\ = (\led_flash_cnt[3733][7]~q\ & (\WideAnd3733~0_combout\ & (\led_flash_cnt[3733][0]~q\ & \WideAnd3733~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3733][7]~q\,
	datab => \WideAnd3733~0_combout\,
	datac => \led_flash_cnt[3733][0]~q\,
	datad => \WideAnd3733~1_combout\,
	combout => \WideAnd3733~combout\);

-- Location: FF_X30_Y1_N29
\led_flash_cnt_ands[3733]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3733~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3733));

-- Location: LCCOMB_X31_Y1_N24
\led_flash_cnt[3732][0]~84436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3732][0]~84436_combout\ = !\led_flash_cnt[3732][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3732][0]~q\,
	combout => \led_flash_cnt[3732][0]~84436_combout\);

-- Location: FF_X31_Y1_N25
\led_flash_cnt[3732][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3732][0]~84436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3732][0]~q\);

-- Location: LCCOMB_X34_Y1_N4
\led_flash_cnt[3732][1]~80024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3732][1]~80024_combout\ = (\led_flash_cnt[3732][0]~q\ & (\led_flash_cnt[3732][1]~q\ $ (VCC))) # (!\led_flash_cnt[3732][0]~q\ & (\led_flash_cnt[3732][1]~q\ & VCC))
-- \led_flash_cnt[3732][1]~80025\ = CARRY((\led_flash_cnt[3732][0]~q\ & \led_flash_cnt[3732][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3732][0]~q\,
	datab => \led_flash_cnt[3732][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3732][1]~80024_combout\,
	cout => \led_flash_cnt[3732][1]~80025\);

-- Location: FF_X34_Y1_N5
\led_flash_cnt[3732][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3732][1]~80024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3732][1]~q\);

-- Location: LCCOMB_X34_Y1_N6
\led_flash_cnt[3732][2]~80026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3732][2]~80026_combout\ = (\led_flash_cnt[3732][2]~q\ & (!\led_flash_cnt[3732][1]~80025\)) # (!\led_flash_cnt[3732][2]~q\ & ((\led_flash_cnt[3732][1]~80025\) # (GND)))
-- \led_flash_cnt[3732][2]~80027\ = CARRY((!\led_flash_cnt[3732][1]~80025\) # (!\led_flash_cnt[3732][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3732][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3732][1]~80025\,
	combout => \led_flash_cnt[3732][2]~80026_combout\,
	cout => \led_flash_cnt[3732][2]~80027\);

-- Location: FF_X34_Y1_N7
\led_flash_cnt[3732][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3732][2]~80026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3732][2]~q\);

-- Location: LCCOMB_X34_Y1_N8
\led_flash_cnt[3732][3]~80028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3732][3]~80028_combout\ = (\led_flash_cnt[3732][3]~q\ & (\led_flash_cnt[3732][2]~80027\ $ (GND))) # (!\led_flash_cnt[3732][3]~q\ & (!\led_flash_cnt[3732][2]~80027\ & VCC))
-- \led_flash_cnt[3732][3]~80029\ = CARRY((\led_flash_cnt[3732][3]~q\ & !\led_flash_cnt[3732][2]~80027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3732][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3732][2]~80027\,
	combout => \led_flash_cnt[3732][3]~80028_combout\,
	cout => \led_flash_cnt[3732][3]~80029\);

-- Location: FF_X34_Y1_N9
\led_flash_cnt[3732][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3732][3]~80028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3732][3]~q\);

-- Location: LCCOMB_X34_Y1_N10
\led_flash_cnt[3732][4]~80030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3732][4]~80030_combout\ = (\led_flash_cnt[3732][4]~q\ & (!\led_flash_cnt[3732][3]~80029\)) # (!\led_flash_cnt[3732][4]~q\ & ((\led_flash_cnt[3732][3]~80029\) # (GND)))
-- \led_flash_cnt[3732][4]~80031\ = CARRY((!\led_flash_cnt[3732][3]~80029\) # (!\led_flash_cnt[3732][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3732][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3732][3]~80029\,
	combout => \led_flash_cnt[3732][4]~80030_combout\,
	cout => \led_flash_cnt[3732][4]~80031\);

-- Location: FF_X34_Y1_N11
\led_flash_cnt[3732][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3732][4]~80030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3732][4]~q\);

-- Location: LCCOMB_X34_Y1_N12
\led_flash_cnt[3732][5]~80032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3732][5]~80032_combout\ = (\led_flash_cnt[3732][5]~q\ & (\led_flash_cnt[3732][4]~80031\ $ (GND))) # (!\led_flash_cnt[3732][5]~q\ & (!\led_flash_cnt[3732][4]~80031\ & VCC))
-- \led_flash_cnt[3732][5]~80033\ = CARRY((\led_flash_cnt[3732][5]~q\ & !\led_flash_cnt[3732][4]~80031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3732][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3732][4]~80031\,
	combout => \led_flash_cnt[3732][5]~80032_combout\,
	cout => \led_flash_cnt[3732][5]~80033\);

-- Location: FF_X34_Y1_N13
\led_flash_cnt[3732][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3732][5]~80032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3732][5]~q\);

-- Location: LCCOMB_X34_Y1_N14
\led_flash_cnt[3732][6]~80034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3732][6]~80034_combout\ = (\led_flash_cnt[3732][6]~q\ & (!\led_flash_cnt[3732][5]~80033\)) # (!\led_flash_cnt[3732][6]~q\ & ((\led_flash_cnt[3732][5]~80033\) # (GND)))
-- \led_flash_cnt[3732][6]~80035\ = CARRY((!\led_flash_cnt[3732][5]~80033\) # (!\led_flash_cnt[3732][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3732][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3732][5]~80033\,
	combout => \led_flash_cnt[3732][6]~80034_combout\,
	cout => \led_flash_cnt[3732][6]~80035\);

-- Location: FF_X34_Y1_N15
\led_flash_cnt[3732][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3732][6]~80034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3732][6]~q\);

-- Location: LCCOMB_X34_Y1_N16
\led_flash_cnt[3732][7]~80036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3732][7]~80036_combout\ = \led_flash_cnt[3732][6]~80035\ $ (!\led_flash_cnt[3732][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3732][7]~q\,
	cin => \led_flash_cnt[3732][6]~80035\,
	combout => \led_flash_cnt[3732][7]~80036_combout\);

-- Location: FF_X34_Y1_N17
\led_flash_cnt[3732][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3732][7]~80036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3732][7]~q\);

-- Location: LCCOMB_X34_Y1_N2
\WideAnd3732~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3732~0_combout\ = (\led_flash_cnt[3732][2]~q\ & (\led_flash_cnt[3732][3]~q\ & (\led_flash_cnt[3732][1]~q\ & \led_flash_cnt[3732][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3732][2]~q\,
	datab => \led_flash_cnt[3732][3]~q\,
	datac => \led_flash_cnt[3732][1]~q\,
	datad => \led_flash_cnt[3732][4]~q\,
	combout => \WideAnd3732~0_combout\);

-- Location: LCCOMB_X31_Y1_N18
\WideAnd3732~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3732~1_combout\ = (\led_flash_cnt[3732][6]~q\ & \led_flash_cnt[3732][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3732][6]~q\,
	datad => \led_flash_cnt[3732][5]~q\,
	combout => \WideAnd3732~1_combout\);

-- Location: LCCOMB_X31_Y1_N28
WideAnd3732 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3732~combout\ = (\led_flash_cnt[3732][7]~q\ & (\led_flash_cnt[3732][0]~q\ & (\WideAnd3732~0_combout\ & \WideAnd3732~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3732][7]~q\,
	datab => \led_flash_cnt[3732][0]~q\,
	datac => \WideAnd3732~0_combout\,
	datad => \WideAnd3732~1_combout\,
	combout => \WideAnd3732~combout\);

-- Location: FF_X31_Y1_N29
\led_flash_cnt_ands[3732]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3732~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3732));

-- Location: LCCOMB_X31_Y1_N16
\WideAnd4306~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4306~1_combout\ = (led_flash_cnt_ands(3733) & led_flash_cnt_ands(3732))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3733),
	datad => led_flash_cnt_ands(3732),
	combout => \WideAnd4306~1_combout\);

-- Location: LCCOMB_X30_Y7_N10
WideAnd4306 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4306~combout\ = (led_flash_cnt_ands(3734) & (led_flash_cnt_ands(3735) & (\WideAnd4306~0_combout\ & \WideAnd4306~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3734),
	datab => led_flash_cnt_ands(3735),
	datac => \WideAnd4306~0_combout\,
	datad => \WideAnd4306~1_combout\,
	combout => \WideAnd4306~combout\);

-- Location: FF_X30_Y7_N11
\led_flash_cnt_ands_1[466]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4306~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(466));

-- Location: LCCOMB_X44_Y52_N0
\led_flash_cnt[3740][0]~84444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3740][0]~84444_combout\ = !\led_flash_cnt[3740][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3740][0]~q\,
	combout => \led_flash_cnt[3740][0]~84444_combout\);

-- Location: FF_X44_Y52_N1
\led_flash_cnt[3740][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3740][0]~84444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3740][0]~q\);

-- Location: LCCOMB_X44_Y52_N10
\led_flash_cnt[3740][1]~80136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3740][1]~80136_combout\ = (\led_flash_cnt[3740][1]~q\ & (\led_flash_cnt[3740][0]~q\ $ (VCC))) # (!\led_flash_cnt[3740][1]~q\ & (\led_flash_cnt[3740][0]~q\ & VCC))
-- \led_flash_cnt[3740][1]~80137\ = CARRY((\led_flash_cnt[3740][1]~q\ & \led_flash_cnt[3740][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3740][1]~q\,
	datab => \led_flash_cnt[3740][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3740][1]~80136_combout\,
	cout => \led_flash_cnt[3740][1]~80137\);

-- Location: FF_X44_Y52_N11
\led_flash_cnt[3740][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3740][1]~80136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3740][1]~q\);

-- Location: LCCOMB_X44_Y52_N12
\led_flash_cnt[3740][2]~80138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3740][2]~80138_combout\ = (\led_flash_cnt[3740][2]~q\ & (!\led_flash_cnt[3740][1]~80137\)) # (!\led_flash_cnt[3740][2]~q\ & ((\led_flash_cnt[3740][1]~80137\) # (GND)))
-- \led_flash_cnt[3740][2]~80139\ = CARRY((!\led_flash_cnt[3740][1]~80137\) # (!\led_flash_cnt[3740][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3740][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3740][1]~80137\,
	combout => \led_flash_cnt[3740][2]~80138_combout\,
	cout => \led_flash_cnt[3740][2]~80139\);

-- Location: FF_X44_Y52_N13
\led_flash_cnt[3740][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3740][2]~80138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3740][2]~q\);

-- Location: LCCOMB_X44_Y52_N14
\led_flash_cnt[3740][3]~80140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3740][3]~80140_combout\ = (\led_flash_cnt[3740][3]~q\ & (\led_flash_cnt[3740][2]~80139\ $ (GND))) # (!\led_flash_cnt[3740][3]~q\ & (!\led_flash_cnt[3740][2]~80139\ & VCC))
-- \led_flash_cnt[3740][3]~80141\ = CARRY((\led_flash_cnt[3740][3]~q\ & !\led_flash_cnt[3740][2]~80139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3740][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3740][2]~80139\,
	combout => \led_flash_cnt[3740][3]~80140_combout\,
	cout => \led_flash_cnt[3740][3]~80141\);

-- Location: FF_X44_Y52_N15
\led_flash_cnt[3740][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3740][3]~80140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3740][3]~q\);

-- Location: LCCOMB_X44_Y52_N16
\led_flash_cnt[3740][4]~80142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3740][4]~80142_combout\ = (\led_flash_cnt[3740][4]~q\ & (!\led_flash_cnt[3740][3]~80141\)) # (!\led_flash_cnt[3740][4]~q\ & ((\led_flash_cnt[3740][3]~80141\) # (GND)))
-- \led_flash_cnt[3740][4]~80143\ = CARRY((!\led_flash_cnt[3740][3]~80141\) # (!\led_flash_cnt[3740][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3740][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3740][3]~80141\,
	combout => \led_flash_cnt[3740][4]~80142_combout\,
	cout => \led_flash_cnt[3740][4]~80143\);

-- Location: FF_X44_Y52_N17
\led_flash_cnt[3740][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3740][4]~80142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3740][4]~q\);

-- Location: LCCOMB_X44_Y52_N18
\led_flash_cnt[3740][5]~80144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3740][5]~80144_combout\ = (\led_flash_cnt[3740][5]~q\ & (\led_flash_cnt[3740][4]~80143\ $ (GND))) # (!\led_flash_cnt[3740][5]~q\ & (!\led_flash_cnt[3740][4]~80143\ & VCC))
-- \led_flash_cnt[3740][5]~80145\ = CARRY((\led_flash_cnt[3740][5]~q\ & !\led_flash_cnt[3740][4]~80143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3740][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3740][4]~80143\,
	combout => \led_flash_cnt[3740][5]~80144_combout\,
	cout => \led_flash_cnt[3740][5]~80145\);

-- Location: FF_X44_Y52_N19
\led_flash_cnt[3740][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3740][5]~80144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3740][5]~q\);

-- Location: LCCOMB_X44_Y52_N20
\led_flash_cnt[3740][6]~80146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3740][6]~80146_combout\ = (\led_flash_cnt[3740][6]~q\ & (!\led_flash_cnt[3740][5]~80145\)) # (!\led_flash_cnt[3740][6]~q\ & ((\led_flash_cnt[3740][5]~80145\) # (GND)))
-- \led_flash_cnt[3740][6]~80147\ = CARRY((!\led_flash_cnt[3740][5]~80145\) # (!\led_flash_cnt[3740][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3740][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3740][5]~80145\,
	combout => \led_flash_cnt[3740][6]~80146_combout\,
	cout => \led_flash_cnt[3740][6]~80147\);

-- Location: FF_X44_Y52_N21
\led_flash_cnt[3740][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3740][6]~80146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3740][6]~q\);

-- Location: LCCOMB_X44_Y52_N22
\led_flash_cnt[3740][7]~80148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3740][7]~80148_combout\ = \led_flash_cnt[3740][7]~q\ $ (!\led_flash_cnt[3740][6]~80147\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3740][7]~q\,
	cin => \led_flash_cnt[3740][6]~80147\,
	combout => \led_flash_cnt[3740][7]~80148_combout\);

-- Location: FF_X44_Y52_N23
\led_flash_cnt[3740][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3740][7]~80148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3740][7]~q\);

-- Location: LCCOMB_X44_Y52_N4
\WideAnd3740~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3740~0_combout\ = (\led_flash_cnt[3740][2]~q\ & (\led_flash_cnt[3740][4]~q\ & (\led_flash_cnt[3740][3]~q\ & \led_flash_cnt[3740][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3740][2]~q\,
	datab => \led_flash_cnt[3740][4]~q\,
	datac => \led_flash_cnt[3740][3]~q\,
	datad => \led_flash_cnt[3740][1]~q\,
	combout => \WideAnd3740~0_combout\);

-- Location: LCCOMB_X44_Y52_N24
\WideAnd3740~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3740~1_combout\ = (\led_flash_cnt[3740][6]~q\ & \led_flash_cnt[3740][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3740][6]~q\,
	datad => \led_flash_cnt[3740][5]~q\,
	combout => \WideAnd3740~1_combout\);

-- Location: LCCOMB_X44_Y52_N28
WideAnd3740 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3740~combout\ = (\led_flash_cnt[3740][7]~q\ & (\led_flash_cnt[3740][0]~q\ & (\WideAnd3740~0_combout\ & \WideAnd3740~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3740][7]~q\,
	datab => \led_flash_cnt[3740][0]~q\,
	datac => \WideAnd3740~0_combout\,
	datad => \WideAnd3740~1_combout\,
	combout => \WideAnd3740~combout\);

-- Location: FF_X44_Y52_N29
\led_flash_cnt_ands[3740]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3740~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3740));

-- Location: LCCOMB_X25_Y34_N6
\led_flash_cnt[3741][0]~84445\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3741][0]~84445_combout\ = !\led_flash_cnt[3741][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3741][0]~q\,
	combout => \led_flash_cnt[3741][0]~84445_combout\);

-- Location: FF_X25_Y34_N7
\led_flash_cnt[3741][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3741][0]~84445_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3741][0]~q\);

-- Location: LCCOMB_X26_Y34_N0
\led_flash_cnt[3741][1]~80150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3741][1]~80150_combout\ = (\led_flash_cnt[3741][0]~q\ & (\led_flash_cnt[3741][1]~q\ $ (VCC))) # (!\led_flash_cnt[3741][0]~q\ & (\led_flash_cnt[3741][1]~q\ & VCC))
-- \led_flash_cnt[3741][1]~80151\ = CARRY((\led_flash_cnt[3741][0]~q\ & \led_flash_cnt[3741][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3741][0]~q\,
	datab => \led_flash_cnt[3741][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3741][1]~80150_combout\,
	cout => \led_flash_cnt[3741][1]~80151\);

-- Location: FF_X26_Y34_N1
\led_flash_cnt[3741][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3741][1]~80150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3741][1]~q\);

-- Location: LCCOMB_X26_Y34_N2
\led_flash_cnt[3741][2]~80152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3741][2]~80152_combout\ = (\led_flash_cnt[3741][2]~q\ & (!\led_flash_cnt[3741][1]~80151\)) # (!\led_flash_cnt[3741][2]~q\ & ((\led_flash_cnt[3741][1]~80151\) # (GND)))
-- \led_flash_cnt[3741][2]~80153\ = CARRY((!\led_flash_cnt[3741][1]~80151\) # (!\led_flash_cnt[3741][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3741][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3741][1]~80151\,
	combout => \led_flash_cnt[3741][2]~80152_combout\,
	cout => \led_flash_cnt[3741][2]~80153\);

-- Location: FF_X26_Y34_N3
\led_flash_cnt[3741][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3741][2]~80152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3741][2]~q\);

-- Location: LCCOMB_X26_Y34_N4
\led_flash_cnt[3741][3]~80154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3741][3]~80154_combout\ = (\led_flash_cnt[3741][3]~q\ & (\led_flash_cnt[3741][2]~80153\ $ (GND))) # (!\led_flash_cnt[3741][3]~q\ & (!\led_flash_cnt[3741][2]~80153\ & VCC))
-- \led_flash_cnt[3741][3]~80155\ = CARRY((\led_flash_cnt[3741][3]~q\ & !\led_flash_cnt[3741][2]~80153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3741][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3741][2]~80153\,
	combout => \led_flash_cnt[3741][3]~80154_combout\,
	cout => \led_flash_cnt[3741][3]~80155\);

-- Location: FF_X26_Y34_N5
\led_flash_cnt[3741][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3741][3]~80154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3741][3]~q\);

-- Location: LCCOMB_X26_Y34_N6
\led_flash_cnt[3741][4]~80156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3741][4]~80156_combout\ = (\led_flash_cnt[3741][4]~q\ & (!\led_flash_cnt[3741][3]~80155\)) # (!\led_flash_cnt[3741][4]~q\ & ((\led_flash_cnt[3741][3]~80155\) # (GND)))
-- \led_flash_cnt[3741][4]~80157\ = CARRY((!\led_flash_cnt[3741][3]~80155\) # (!\led_flash_cnt[3741][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3741][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3741][3]~80155\,
	combout => \led_flash_cnt[3741][4]~80156_combout\,
	cout => \led_flash_cnt[3741][4]~80157\);

-- Location: FF_X26_Y34_N7
\led_flash_cnt[3741][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3741][4]~80156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3741][4]~q\);

-- Location: LCCOMB_X26_Y34_N8
\led_flash_cnt[3741][5]~80158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3741][5]~80158_combout\ = (\led_flash_cnt[3741][5]~q\ & (\led_flash_cnt[3741][4]~80157\ $ (GND))) # (!\led_flash_cnt[3741][5]~q\ & (!\led_flash_cnt[3741][4]~80157\ & VCC))
-- \led_flash_cnt[3741][5]~80159\ = CARRY((\led_flash_cnt[3741][5]~q\ & !\led_flash_cnt[3741][4]~80157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3741][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3741][4]~80157\,
	combout => \led_flash_cnt[3741][5]~80158_combout\,
	cout => \led_flash_cnt[3741][5]~80159\);

-- Location: FF_X26_Y34_N9
\led_flash_cnt[3741][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3741][5]~80158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3741][5]~q\);

-- Location: LCCOMB_X26_Y34_N10
\led_flash_cnt[3741][6]~80160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3741][6]~80160_combout\ = (\led_flash_cnt[3741][6]~q\ & (!\led_flash_cnt[3741][5]~80159\)) # (!\led_flash_cnt[3741][6]~q\ & ((\led_flash_cnt[3741][5]~80159\) # (GND)))
-- \led_flash_cnt[3741][6]~80161\ = CARRY((!\led_flash_cnt[3741][5]~80159\) # (!\led_flash_cnt[3741][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3741][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3741][5]~80159\,
	combout => \led_flash_cnt[3741][6]~80160_combout\,
	cout => \led_flash_cnt[3741][6]~80161\);

-- Location: FF_X26_Y34_N11
\led_flash_cnt[3741][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3741][6]~80160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3741][6]~q\);

-- Location: LCCOMB_X25_Y34_N4
\WideAnd3741~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3741~1_combout\ = (\led_flash_cnt[3741][6]~q\ & \led_flash_cnt[3741][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3741][6]~q\,
	datac => \led_flash_cnt[3741][5]~q\,
	combout => \WideAnd3741~1_combout\);

-- Location: LCCOMB_X26_Y34_N12
\led_flash_cnt[3741][7]~80162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3741][7]~80162_combout\ = \led_flash_cnt[3741][6]~80161\ $ (!\led_flash_cnt[3741][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3741][7]~q\,
	cin => \led_flash_cnt[3741][6]~80161\,
	combout => \led_flash_cnt[3741][7]~80162_combout\);

-- Location: FF_X26_Y34_N13
\led_flash_cnt[3741][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3741][7]~80162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3741][7]~q\);

-- Location: LCCOMB_X26_Y34_N28
\WideAnd3741~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3741~0_combout\ = (\led_flash_cnt[3741][4]~q\ & (\led_flash_cnt[3741][2]~q\ & (\led_flash_cnt[3741][3]~q\ & \led_flash_cnt[3741][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3741][4]~q\,
	datab => \led_flash_cnt[3741][2]~q\,
	datac => \led_flash_cnt[3741][3]~q\,
	datad => \led_flash_cnt[3741][1]~q\,
	combout => \WideAnd3741~0_combout\);

-- Location: LCCOMB_X25_Y34_N0
WideAnd3741 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3741~combout\ = (\led_flash_cnt[3741][0]~q\ & (\WideAnd3741~1_combout\ & (\led_flash_cnt[3741][7]~q\ & \WideAnd3741~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3741][0]~q\,
	datab => \WideAnd3741~1_combout\,
	datac => \led_flash_cnt[3741][7]~q\,
	datad => \WideAnd3741~0_combout\,
	combout => \WideAnd3741~combout\);

-- Location: FF_X25_Y34_N1
\led_flash_cnt_ands[3741]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3741~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3741));

-- Location: LCCOMB_X25_Y34_N26
\WideAnd4307~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4307~1_combout\ = (led_flash_cnt_ands(3740) & led_flash_cnt_ands(3741))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3740),
	datad => led_flash_cnt_ands(3741),
	combout => \WideAnd4307~1_combout\);

-- Location: LCCOMB_X25_Y34_N28
\led_flash_cnt[3742][0]~84446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3742][0]~84446_combout\ = !\led_flash_cnt[3742][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3742][0]~q\,
	combout => \led_flash_cnt[3742][0]~84446_combout\);

-- Location: FF_X25_Y34_N29
\led_flash_cnt[3742][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3742][0]~84446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3742][0]~q\);

-- Location: LCCOMB_X25_Y34_N10
\led_flash_cnt[3742][1]~80164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3742][1]~80164_combout\ = (\led_flash_cnt[3742][1]~q\ & (\led_flash_cnt[3742][0]~q\ $ (VCC))) # (!\led_flash_cnt[3742][1]~q\ & (\led_flash_cnt[3742][0]~q\ & VCC))
-- \led_flash_cnt[3742][1]~80165\ = CARRY((\led_flash_cnt[3742][1]~q\ & \led_flash_cnt[3742][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3742][1]~q\,
	datab => \led_flash_cnt[3742][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3742][1]~80164_combout\,
	cout => \led_flash_cnt[3742][1]~80165\);

-- Location: FF_X25_Y34_N11
\led_flash_cnt[3742][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3742][1]~80164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3742][1]~q\);

-- Location: LCCOMB_X25_Y34_N12
\led_flash_cnt[3742][2]~80166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3742][2]~80166_combout\ = (\led_flash_cnt[3742][2]~q\ & (!\led_flash_cnt[3742][1]~80165\)) # (!\led_flash_cnt[3742][2]~q\ & ((\led_flash_cnt[3742][1]~80165\) # (GND)))
-- \led_flash_cnt[3742][2]~80167\ = CARRY((!\led_flash_cnt[3742][1]~80165\) # (!\led_flash_cnt[3742][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3742][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3742][1]~80165\,
	combout => \led_flash_cnt[3742][2]~80166_combout\,
	cout => \led_flash_cnt[3742][2]~80167\);

-- Location: FF_X25_Y34_N13
\led_flash_cnt[3742][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3742][2]~80166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3742][2]~q\);

-- Location: LCCOMB_X25_Y34_N14
\led_flash_cnt[3742][3]~80168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3742][3]~80168_combout\ = (\led_flash_cnt[3742][3]~q\ & (\led_flash_cnt[3742][2]~80167\ $ (GND))) # (!\led_flash_cnt[3742][3]~q\ & (!\led_flash_cnt[3742][2]~80167\ & VCC))
-- \led_flash_cnt[3742][3]~80169\ = CARRY((\led_flash_cnt[3742][3]~q\ & !\led_flash_cnt[3742][2]~80167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3742][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3742][2]~80167\,
	combout => \led_flash_cnt[3742][3]~80168_combout\,
	cout => \led_flash_cnt[3742][3]~80169\);

-- Location: FF_X25_Y34_N15
\led_flash_cnt[3742][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3742][3]~80168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3742][3]~q\);

-- Location: LCCOMB_X25_Y34_N16
\led_flash_cnt[3742][4]~80170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3742][4]~80170_combout\ = (\led_flash_cnt[3742][4]~q\ & (!\led_flash_cnt[3742][3]~80169\)) # (!\led_flash_cnt[3742][4]~q\ & ((\led_flash_cnt[3742][3]~80169\) # (GND)))
-- \led_flash_cnt[3742][4]~80171\ = CARRY((!\led_flash_cnt[3742][3]~80169\) # (!\led_flash_cnt[3742][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3742][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3742][3]~80169\,
	combout => \led_flash_cnt[3742][4]~80170_combout\,
	cout => \led_flash_cnt[3742][4]~80171\);

-- Location: FF_X25_Y34_N17
\led_flash_cnt[3742][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3742][4]~80170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3742][4]~q\);

-- Location: LCCOMB_X25_Y34_N30
\WideAnd3742~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3742~0_combout\ = (\led_flash_cnt[3742][1]~q\ & (\led_flash_cnt[3742][4]~q\ & (\led_flash_cnt[3742][3]~q\ & \led_flash_cnt[3742][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3742][1]~q\,
	datab => \led_flash_cnt[3742][4]~q\,
	datac => \led_flash_cnt[3742][3]~q\,
	datad => \led_flash_cnt[3742][2]~q\,
	combout => \WideAnd3742~0_combout\);

-- Location: LCCOMB_X25_Y34_N18
\led_flash_cnt[3742][5]~80172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3742][5]~80172_combout\ = (\led_flash_cnt[3742][5]~q\ & (\led_flash_cnt[3742][4]~80171\ $ (GND))) # (!\led_flash_cnt[3742][5]~q\ & (!\led_flash_cnt[3742][4]~80171\ & VCC))
-- \led_flash_cnt[3742][5]~80173\ = CARRY((\led_flash_cnt[3742][5]~q\ & !\led_flash_cnt[3742][4]~80171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3742][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3742][4]~80171\,
	combout => \led_flash_cnt[3742][5]~80172_combout\,
	cout => \led_flash_cnt[3742][5]~80173\);

-- Location: FF_X25_Y34_N19
\led_flash_cnt[3742][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3742][5]~80172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3742][5]~q\);

-- Location: LCCOMB_X25_Y34_N20
\led_flash_cnt[3742][6]~80174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3742][6]~80174_combout\ = (\led_flash_cnt[3742][6]~q\ & (!\led_flash_cnt[3742][5]~80173\)) # (!\led_flash_cnt[3742][6]~q\ & ((\led_flash_cnt[3742][5]~80173\) # (GND)))
-- \led_flash_cnt[3742][6]~80175\ = CARRY((!\led_flash_cnt[3742][5]~80173\) # (!\led_flash_cnt[3742][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3742][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3742][5]~80173\,
	combout => \led_flash_cnt[3742][6]~80174_combout\,
	cout => \led_flash_cnt[3742][6]~80175\);

-- Location: FF_X25_Y34_N21
\led_flash_cnt[3742][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3742][6]~80174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3742][6]~q\);

-- Location: LCCOMB_X25_Y34_N22
\led_flash_cnt[3742][7]~80176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3742][7]~80176_combout\ = \led_flash_cnt[3742][7]~q\ $ (!\led_flash_cnt[3742][6]~80175\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3742][7]~q\,
	cin => \led_flash_cnt[3742][6]~80175\,
	combout => \led_flash_cnt[3742][7]~80176_combout\);

-- Location: FF_X25_Y34_N23
\led_flash_cnt[3742][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3742][7]~80176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3742][7]~q\);

-- Location: LCCOMB_X25_Y34_N24
\WideAnd3742~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3742~1_combout\ = (\led_flash_cnt[3742][5]~q\ & \led_flash_cnt[3742][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3742][5]~q\,
	datad => \led_flash_cnt[3742][6]~q\,
	combout => \WideAnd3742~1_combout\);

-- Location: LCCOMB_X25_Y34_N2
WideAnd3742 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3742~combout\ = (\WideAnd3742~0_combout\ & (\led_flash_cnt[3742][0]~q\ & (\led_flash_cnt[3742][7]~q\ & \WideAnd3742~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3742~0_combout\,
	datab => \led_flash_cnt[3742][0]~q\,
	datac => \led_flash_cnt[3742][7]~q\,
	datad => \WideAnd3742~1_combout\,
	combout => \WideAnd3742~combout\);

-- Location: FF_X25_Y34_N3
\led_flash_cnt_ands[3742]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3742~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3742));

-- Location: LCCOMB_X44_Y46_N6
\led_flash_cnt[3743][0]~84447\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3743][0]~84447_combout\ = !\led_flash_cnt[3743][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3743][0]~q\,
	combout => \led_flash_cnt[3743][0]~84447_combout\);

-- Location: FF_X44_Y46_N7
\led_flash_cnt[3743][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3743][0]~84447_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3743][0]~q\);

-- Location: LCCOMB_X45_Y46_N2
\led_flash_cnt[3743][1]~80178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3743][1]~80178_combout\ = (\led_flash_cnt[3743][1]~q\ & (\led_flash_cnt[3743][0]~q\ $ (VCC))) # (!\led_flash_cnt[3743][1]~q\ & (\led_flash_cnt[3743][0]~q\ & VCC))
-- \led_flash_cnt[3743][1]~80179\ = CARRY((\led_flash_cnt[3743][1]~q\ & \led_flash_cnt[3743][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3743][1]~q\,
	datab => \led_flash_cnt[3743][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3743][1]~80178_combout\,
	cout => \led_flash_cnt[3743][1]~80179\);

-- Location: FF_X45_Y46_N3
\led_flash_cnt[3743][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3743][1]~80178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3743][1]~q\);

-- Location: LCCOMB_X45_Y46_N4
\led_flash_cnt[3743][2]~80180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3743][2]~80180_combout\ = (\led_flash_cnt[3743][2]~q\ & (!\led_flash_cnt[3743][1]~80179\)) # (!\led_flash_cnt[3743][2]~q\ & ((\led_flash_cnt[3743][1]~80179\) # (GND)))
-- \led_flash_cnt[3743][2]~80181\ = CARRY((!\led_flash_cnt[3743][1]~80179\) # (!\led_flash_cnt[3743][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3743][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3743][1]~80179\,
	combout => \led_flash_cnt[3743][2]~80180_combout\,
	cout => \led_flash_cnt[3743][2]~80181\);

-- Location: FF_X45_Y46_N5
\led_flash_cnt[3743][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3743][2]~80180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3743][2]~q\);

-- Location: LCCOMB_X45_Y46_N6
\led_flash_cnt[3743][3]~80182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3743][3]~80182_combout\ = (\led_flash_cnt[3743][3]~q\ & (\led_flash_cnt[3743][2]~80181\ $ (GND))) # (!\led_flash_cnt[3743][3]~q\ & (!\led_flash_cnt[3743][2]~80181\ & VCC))
-- \led_flash_cnt[3743][3]~80183\ = CARRY((\led_flash_cnt[3743][3]~q\ & !\led_flash_cnt[3743][2]~80181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3743][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3743][2]~80181\,
	combout => \led_flash_cnt[3743][3]~80182_combout\,
	cout => \led_flash_cnt[3743][3]~80183\);

-- Location: FF_X45_Y46_N7
\led_flash_cnt[3743][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3743][3]~80182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3743][3]~q\);

-- Location: LCCOMB_X45_Y46_N8
\led_flash_cnt[3743][4]~80184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3743][4]~80184_combout\ = (\led_flash_cnt[3743][4]~q\ & (!\led_flash_cnt[3743][3]~80183\)) # (!\led_flash_cnt[3743][4]~q\ & ((\led_flash_cnt[3743][3]~80183\) # (GND)))
-- \led_flash_cnt[3743][4]~80185\ = CARRY((!\led_flash_cnt[3743][3]~80183\) # (!\led_flash_cnt[3743][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3743][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3743][3]~80183\,
	combout => \led_flash_cnt[3743][4]~80184_combout\,
	cout => \led_flash_cnt[3743][4]~80185\);

-- Location: FF_X45_Y46_N9
\led_flash_cnt[3743][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3743][4]~80184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3743][4]~q\);

-- Location: LCCOMB_X44_Y46_N12
\WideAnd3743~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3743~0_combout\ = (\led_flash_cnt[3743][2]~q\ & (\led_flash_cnt[3743][3]~q\ & (\led_flash_cnt[3743][4]~q\ & \led_flash_cnt[3743][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3743][2]~q\,
	datab => \led_flash_cnt[3743][3]~q\,
	datac => \led_flash_cnt[3743][4]~q\,
	datad => \led_flash_cnt[3743][1]~q\,
	combout => \WideAnd3743~0_combout\);

-- Location: LCCOMB_X45_Y46_N10
\led_flash_cnt[3743][5]~80186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3743][5]~80186_combout\ = (\led_flash_cnt[3743][5]~q\ & (\led_flash_cnt[3743][4]~80185\ $ (GND))) # (!\led_flash_cnt[3743][5]~q\ & (!\led_flash_cnt[3743][4]~80185\ & VCC))
-- \led_flash_cnt[3743][5]~80187\ = CARRY((\led_flash_cnt[3743][5]~q\ & !\led_flash_cnt[3743][4]~80185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3743][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3743][4]~80185\,
	combout => \led_flash_cnt[3743][5]~80186_combout\,
	cout => \led_flash_cnt[3743][5]~80187\);

-- Location: FF_X45_Y46_N11
\led_flash_cnt[3743][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3743][5]~80186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3743][5]~q\);

-- Location: LCCOMB_X45_Y46_N12
\led_flash_cnt[3743][6]~80188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3743][6]~80188_combout\ = (\led_flash_cnt[3743][6]~q\ & (!\led_flash_cnt[3743][5]~80187\)) # (!\led_flash_cnt[3743][6]~q\ & ((\led_flash_cnt[3743][5]~80187\) # (GND)))
-- \led_flash_cnt[3743][6]~80189\ = CARRY((!\led_flash_cnt[3743][5]~80187\) # (!\led_flash_cnt[3743][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3743][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3743][5]~80187\,
	combout => \led_flash_cnt[3743][6]~80188_combout\,
	cout => \led_flash_cnt[3743][6]~80189\);

-- Location: FF_X45_Y46_N13
\led_flash_cnt[3743][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3743][6]~80188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3743][6]~q\);

-- Location: LCCOMB_X44_Y46_N8
\WideAnd3743~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3743~1_combout\ = (\led_flash_cnt[3743][5]~q\ & \led_flash_cnt[3743][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3743][5]~q\,
	datac => \led_flash_cnt[3743][6]~q\,
	combout => \WideAnd3743~1_combout\);

-- Location: LCCOMB_X45_Y46_N14
\led_flash_cnt[3743][7]~80190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3743][7]~80190_combout\ = \led_flash_cnt[3743][7]~q\ $ (!\led_flash_cnt[3743][6]~80189\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3743][7]~q\,
	cin => \led_flash_cnt[3743][6]~80189\,
	combout => \led_flash_cnt[3743][7]~80190_combout\);

-- Location: FF_X45_Y46_N15
\led_flash_cnt[3743][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3743][7]~80190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3743][7]~q\);

-- Location: LCCOMB_X44_Y46_N10
WideAnd3743 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3743~combout\ = (\WideAnd3743~0_combout\ & (\WideAnd3743~1_combout\ & (\led_flash_cnt[3743][7]~q\ & \led_flash_cnt[3743][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3743~0_combout\,
	datab => \WideAnd3743~1_combout\,
	datac => \led_flash_cnt[3743][7]~q\,
	datad => \led_flash_cnt[3743][0]~q\,
	combout => \WideAnd3743~combout\);

-- Location: FF_X44_Y46_N11
\led_flash_cnt_ands[3743]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3743~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3743));

-- Location: LCCOMB_X38_Y24_N2
\led_flash_cnt[3739][0]~84443\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3739][0]~84443_combout\ = !\led_flash_cnt[3739][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3739][0]~q\,
	combout => \led_flash_cnt[3739][0]~84443_combout\);

-- Location: FF_X38_Y24_N3
\led_flash_cnt[3739][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3739][0]~84443_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3739][0]~q\);

-- Location: LCCOMB_X37_Y24_N16
\led_flash_cnt[3739][1]~80122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3739][1]~80122_combout\ = (\led_flash_cnt[3739][0]~q\ & (\led_flash_cnt[3739][1]~q\ $ (VCC))) # (!\led_flash_cnt[3739][0]~q\ & (\led_flash_cnt[3739][1]~q\ & VCC))
-- \led_flash_cnt[3739][1]~80123\ = CARRY((\led_flash_cnt[3739][0]~q\ & \led_flash_cnt[3739][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3739][0]~q\,
	datab => \led_flash_cnt[3739][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3739][1]~80122_combout\,
	cout => \led_flash_cnt[3739][1]~80123\);

-- Location: FF_X37_Y24_N17
\led_flash_cnt[3739][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3739][1]~80122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3739][1]~q\);

-- Location: LCCOMB_X37_Y24_N18
\led_flash_cnt[3739][2]~80124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3739][2]~80124_combout\ = (\led_flash_cnt[3739][2]~q\ & (!\led_flash_cnt[3739][1]~80123\)) # (!\led_flash_cnt[3739][2]~q\ & ((\led_flash_cnt[3739][1]~80123\) # (GND)))
-- \led_flash_cnt[3739][2]~80125\ = CARRY((!\led_flash_cnt[3739][1]~80123\) # (!\led_flash_cnt[3739][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3739][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3739][1]~80123\,
	combout => \led_flash_cnt[3739][2]~80124_combout\,
	cout => \led_flash_cnt[3739][2]~80125\);

-- Location: FF_X37_Y24_N19
\led_flash_cnt[3739][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3739][2]~80124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3739][2]~q\);

-- Location: LCCOMB_X37_Y24_N20
\led_flash_cnt[3739][3]~80126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3739][3]~80126_combout\ = (\led_flash_cnt[3739][3]~q\ & (\led_flash_cnt[3739][2]~80125\ $ (GND))) # (!\led_flash_cnt[3739][3]~q\ & (!\led_flash_cnt[3739][2]~80125\ & VCC))
-- \led_flash_cnt[3739][3]~80127\ = CARRY((\led_flash_cnt[3739][3]~q\ & !\led_flash_cnt[3739][2]~80125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3739][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3739][2]~80125\,
	combout => \led_flash_cnt[3739][3]~80126_combout\,
	cout => \led_flash_cnt[3739][3]~80127\);

-- Location: FF_X37_Y24_N21
\led_flash_cnt[3739][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3739][3]~80126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3739][3]~q\);

-- Location: LCCOMB_X37_Y24_N22
\led_flash_cnt[3739][4]~80128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3739][4]~80128_combout\ = (\led_flash_cnt[3739][4]~q\ & (!\led_flash_cnt[3739][3]~80127\)) # (!\led_flash_cnt[3739][4]~q\ & ((\led_flash_cnt[3739][3]~80127\) # (GND)))
-- \led_flash_cnt[3739][4]~80129\ = CARRY((!\led_flash_cnt[3739][3]~80127\) # (!\led_flash_cnt[3739][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3739][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3739][3]~80127\,
	combout => \led_flash_cnt[3739][4]~80128_combout\,
	cout => \led_flash_cnt[3739][4]~80129\);

-- Location: FF_X37_Y24_N23
\led_flash_cnt[3739][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3739][4]~80128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3739][4]~q\);

-- Location: LCCOMB_X38_Y24_N6
\WideAnd3739~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3739~0_combout\ = (\led_flash_cnt[3739][4]~q\ & (\led_flash_cnt[3739][2]~q\ & (\led_flash_cnt[3739][1]~q\ & \led_flash_cnt[3739][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3739][4]~q\,
	datab => \led_flash_cnt[3739][2]~q\,
	datac => \led_flash_cnt[3739][1]~q\,
	datad => \led_flash_cnt[3739][3]~q\,
	combout => \WideAnd3739~0_combout\);

-- Location: LCCOMB_X37_Y24_N24
\led_flash_cnt[3739][5]~80130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3739][5]~80130_combout\ = (\led_flash_cnt[3739][5]~q\ & (\led_flash_cnt[3739][4]~80129\ $ (GND))) # (!\led_flash_cnt[3739][5]~q\ & (!\led_flash_cnt[3739][4]~80129\ & VCC))
-- \led_flash_cnt[3739][5]~80131\ = CARRY((\led_flash_cnt[3739][5]~q\ & !\led_flash_cnt[3739][4]~80129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3739][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3739][4]~80129\,
	combout => \led_flash_cnt[3739][5]~80130_combout\,
	cout => \led_flash_cnt[3739][5]~80131\);

-- Location: FF_X37_Y24_N25
\led_flash_cnt[3739][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3739][5]~80130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3739][5]~q\);

-- Location: LCCOMB_X37_Y24_N26
\led_flash_cnt[3739][6]~80132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3739][6]~80132_combout\ = (\led_flash_cnt[3739][6]~q\ & (!\led_flash_cnt[3739][5]~80131\)) # (!\led_flash_cnt[3739][6]~q\ & ((\led_flash_cnt[3739][5]~80131\) # (GND)))
-- \led_flash_cnt[3739][6]~80133\ = CARRY((!\led_flash_cnt[3739][5]~80131\) # (!\led_flash_cnt[3739][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3739][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3739][5]~80131\,
	combout => \led_flash_cnt[3739][6]~80132_combout\,
	cout => \led_flash_cnt[3739][6]~80133\);

-- Location: FF_X37_Y24_N27
\led_flash_cnt[3739][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3739][6]~80132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3739][6]~q\);

-- Location: LCCOMB_X37_Y24_N28
\led_flash_cnt[3739][7]~80134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3739][7]~80134_combout\ = \led_flash_cnt[3739][6]~80133\ $ (!\led_flash_cnt[3739][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3739][7]~q\,
	cin => \led_flash_cnt[3739][6]~80133\,
	combout => \led_flash_cnt[3739][7]~80134_combout\);

-- Location: FF_X37_Y24_N29
\led_flash_cnt[3739][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3739][7]~80134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3739][7]~q\);

-- Location: LCCOMB_X38_Y24_N30
\WideAnd3739~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3739~1_combout\ = (\led_flash_cnt[3739][6]~q\ & \led_flash_cnt[3739][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3739][6]~q\,
	datad => \led_flash_cnt[3739][5]~q\,
	combout => \WideAnd3739~1_combout\);

-- Location: LCCOMB_X38_Y24_N28
WideAnd3739 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3739~combout\ = (\WideAnd3739~0_combout\ & (\led_flash_cnt[3739][7]~q\ & (\WideAnd3739~1_combout\ & \led_flash_cnt[3739][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3739~0_combout\,
	datab => \led_flash_cnt[3739][7]~q\,
	datac => \WideAnd3739~1_combout\,
	datad => \led_flash_cnt[3739][0]~q\,
	combout => \WideAnd3739~combout\);

-- Location: FF_X38_Y24_N29
\led_flash_cnt_ands[3739]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3739~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3739));

-- Location: LCCOMB_X8_Y34_N2
\led_flash_cnt[3738][0]~84442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3738][0]~84442_combout\ = !\led_flash_cnt[3738][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3738][0]~q\,
	combout => \led_flash_cnt[3738][0]~84442_combout\);

-- Location: FF_X8_Y34_N3
\led_flash_cnt[3738][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3738][0]~84442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3738][0]~q\);

-- Location: LCCOMB_X7_Y34_N2
\led_flash_cnt[3738][1]~80108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3738][1]~80108_combout\ = (\led_flash_cnt[3738][0]~q\ & (\led_flash_cnt[3738][1]~q\ $ (VCC))) # (!\led_flash_cnt[3738][0]~q\ & (\led_flash_cnt[3738][1]~q\ & VCC))
-- \led_flash_cnt[3738][1]~80109\ = CARRY((\led_flash_cnt[3738][0]~q\ & \led_flash_cnt[3738][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3738][0]~q\,
	datab => \led_flash_cnt[3738][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3738][1]~80108_combout\,
	cout => \led_flash_cnt[3738][1]~80109\);

-- Location: FF_X7_Y34_N3
\led_flash_cnt[3738][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3738][1]~80108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3738][1]~q\);

-- Location: LCCOMB_X7_Y34_N4
\led_flash_cnt[3738][2]~80110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3738][2]~80110_combout\ = (\led_flash_cnt[3738][2]~q\ & (!\led_flash_cnt[3738][1]~80109\)) # (!\led_flash_cnt[3738][2]~q\ & ((\led_flash_cnt[3738][1]~80109\) # (GND)))
-- \led_flash_cnt[3738][2]~80111\ = CARRY((!\led_flash_cnt[3738][1]~80109\) # (!\led_flash_cnt[3738][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3738][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3738][1]~80109\,
	combout => \led_flash_cnt[3738][2]~80110_combout\,
	cout => \led_flash_cnt[3738][2]~80111\);

-- Location: FF_X7_Y34_N5
\led_flash_cnt[3738][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3738][2]~80110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3738][2]~q\);

-- Location: LCCOMB_X7_Y34_N6
\led_flash_cnt[3738][3]~80112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3738][3]~80112_combout\ = (\led_flash_cnt[3738][3]~q\ & (\led_flash_cnt[3738][2]~80111\ $ (GND))) # (!\led_flash_cnt[3738][3]~q\ & (!\led_flash_cnt[3738][2]~80111\ & VCC))
-- \led_flash_cnt[3738][3]~80113\ = CARRY((\led_flash_cnt[3738][3]~q\ & !\led_flash_cnt[3738][2]~80111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3738][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3738][2]~80111\,
	combout => \led_flash_cnt[3738][3]~80112_combout\,
	cout => \led_flash_cnt[3738][3]~80113\);

-- Location: FF_X7_Y34_N7
\led_flash_cnt[3738][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3738][3]~80112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3738][3]~q\);

-- Location: LCCOMB_X7_Y34_N8
\led_flash_cnt[3738][4]~80114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3738][4]~80114_combout\ = (\led_flash_cnt[3738][4]~q\ & (!\led_flash_cnt[3738][3]~80113\)) # (!\led_flash_cnt[3738][4]~q\ & ((\led_flash_cnt[3738][3]~80113\) # (GND)))
-- \led_flash_cnt[3738][4]~80115\ = CARRY((!\led_flash_cnt[3738][3]~80113\) # (!\led_flash_cnt[3738][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3738][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3738][3]~80113\,
	combout => \led_flash_cnt[3738][4]~80114_combout\,
	cout => \led_flash_cnt[3738][4]~80115\);

-- Location: FF_X7_Y34_N9
\led_flash_cnt[3738][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3738][4]~80114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3738][4]~q\);

-- Location: LCCOMB_X7_Y34_N10
\led_flash_cnt[3738][5]~80116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3738][5]~80116_combout\ = (\led_flash_cnt[3738][5]~q\ & (\led_flash_cnt[3738][4]~80115\ $ (GND))) # (!\led_flash_cnt[3738][5]~q\ & (!\led_flash_cnt[3738][4]~80115\ & VCC))
-- \led_flash_cnt[3738][5]~80117\ = CARRY((\led_flash_cnt[3738][5]~q\ & !\led_flash_cnt[3738][4]~80115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3738][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3738][4]~80115\,
	combout => \led_flash_cnt[3738][5]~80116_combout\,
	cout => \led_flash_cnt[3738][5]~80117\);

-- Location: FF_X7_Y34_N11
\led_flash_cnt[3738][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3738][5]~80116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3738][5]~q\);

-- Location: LCCOMB_X7_Y34_N12
\led_flash_cnt[3738][6]~80118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3738][6]~80118_combout\ = (\led_flash_cnt[3738][6]~q\ & (!\led_flash_cnt[3738][5]~80117\)) # (!\led_flash_cnt[3738][6]~q\ & ((\led_flash_cnt[3738][5]~80117\) # (GND)))
-- \led_flash_cnt[3738][6]~80119\ = CARRY((!\led_flash_cnt[3738][5]~80117\) # (!\led_flash_cnt[3738][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3738][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3738][5]~80117\,
	combout => \led_flash_cnt[3738][6]~80118_combout\,
	cout => \led_flash_cnt[3738][6]~80119\);

-- Location: FF_X7_Y34_N13
\led_flash_cnt[3738][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3738][6]~80118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3738][6]~q\);

-- Location: LCCOMB_X7_Y34_N14
\led_flash_cnt[3738][7]~80120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3738][7]~80120_combout\ = \led_flash_cnt[3738][7]~q\ $ (!\led_flash_cnt[3738][6]~80119\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3738][7]~q\,
	cin => \led_flash_cnt[3738][6]~80119\,
	combout => \led_flash_cnt[3738][7]~80120_combout\);

-- Location: FF_X7_Y34_N15
\led_flash_cnt[3738][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3738][7]~80120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3738][7]~q\);

-- Location: LCCOMB_X8_Y34_N28
\WideAnd3738~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3738~1_combout\ = (\led_flash_cnt[3738][5]~q\ & \led_flash_cnt[3738][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3738][5]~q\,
	datad => \led_flash_cnt[3738][6]~q\,
	combout => \WideAnd3738~1_combout\);

-- Location: LCCOMB_X7_Y34_N0
\WideAnd3738~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3738~0_combout\ = (\led_flash_cnt[3738][3]~q\ & (\led_flash_cnt[3738][4]~q\ & (\led_flash_cnt[3738][2]~q\ & \led_flash_cnt[3738][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3738][3]~q\,
	datab => \led_flash_cnt[3738][4]~q\,
	datac => \led_flash_cnt[3738][2]~q\,
	datad => \led_flash_cnt[3738][1]~q\,
	combout => \WideAnd3738~0_combout\);

-- Location: LCCOMB_X8_Y34_N4
WideAnd3738 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3738~combout\ = (\led_flash_cnt[3738][7]~q\ & (\WideAnd3738~1_combout\ & (\WideAnd3738~0_combout\ & \led_flash_cnt[3738][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3738][7]~q\,
	datab => \WideAnd3738~1_combout\,
	datac => \WideAnd3738~0_combout\,
	datad => \led_flash_cnt[3738][0]~q\,
	combout => \WideAnd3738~combout\);

-- Location: FF_X8_Y34_N5
\led_flash_cnt_ands[3738]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3738~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3738));

-- Location: LCCOMB_X8_Y34_N24
\led_flash_cnt[3736][0]~84440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3736][0]~84440_combout\ = !\led_flash_cnt[3736][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3736][0]~q\,
	combout => \led_flash_cnt[3736][0]~84440_combout\);

-- Location: FF_X8_Y34_N25
\led_flash_cnt[3736][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3736][0]~84440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3736][0]~q\);

-- Location: LCCOMB_X8_Y34_N6
\led_flash_cnt[3736][1]~80080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3736][1]~80080_combout\ = (\led_flash_cnt[3736][1]~q\ & (\led_flash_cnt[3736][0]~q\ $ (VCC))) # (!\led_flash_cnt[3736][1]~q\ & (\led_flash_cnt[3736][0]~q\ & VCC))
-- \led_flash_cnt[3736][1]~80081\ = CARRY((\led_flash_cnt[3736][1]~q\ & \led_flash_cnt[3736][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3736][1]~q\,
	datab => \led_flash_cnt[3736][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3736][1]~80080_combout\,
	cout => \led_flash_cnt[3736][1]~80081\);

-- Location: FF_X8_Y34_N7
\led_flash_cnt[3736][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3736][1]~80080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3736][1]~q\);

-- Location: LCCOMB_X8_Y34_N8
\led_flash_cnt[3736][2]~80082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3736][2]~80082_combout\ = (\led_flash_cnt[3736][2]~q\ & (!\led_flash_cnt[3736][1]~80081\)) # (!\led_flash_cnt[3736][2]~q\ & ((\led_flash_cnt[3736][1]~80081\) # (GND)))
-- \led_flash_cnt[3736][2]~80083\ = CARRY((!\led_flash_cnt[3736][1]~80081\) # (!\led_flash_cnt[3736][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3736][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3736][1]~80081\,
	combout => \led_flash_cnt[3736][2]~80082_combout\,
	cout => \led_flash_cnt[3736][2]~80083\);

-- Location: FF_X8_Y34_N9
\led_flash_cnt[3736][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3736][2]~80082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3736][2]~q\);

-- Location: LCCOMB_X8_Y34_N10
\led_flash_cnt[3736][3]~80084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3736][3]~80084_combout\ = (\led_flash_cnt[3736][3]~q\ & (\led_flash_cnt[3736][2]~80083\ $ (GND))) # (!\led_flash_cnt[3736][3]~q\ & (!\led_flash_cnt[3736][2]~80083\ & VCC))
-- \led_flash_cnt[3736][3]~80085\ = CARRY((\led_flash_cnt[3736][3]~q\ & !\led_flash_cnt[3736][2]~80083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3736][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3736][2]~80083\,
	combout => \led_flash_cnt[3736][3]~80084_combout\,
	cout => \led_flash_cnt[3736][3]~80085\);

-- Location: FF_X8_Y34_N11
\led_flash_cnt[3736][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3736][3]~80084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3736][3]~q\);

-- Location: LCCOMB_X8_Y34_N12
\led_flash_cnt[3736][4]~80086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3736][4]~80086_combout\ = (\led_flash_cnt[3736][4]~q\ & (!\led_flash_cnt[3736][3]~80085\)) # (!\led_flash_cnt[3736][4]~q\ & ((\led_flash_cnt[3736][3]~80085\) # (GND)))
-- \led_flash_cnt[3736][4]~80087\ = CARRY((!\led_flash_cnt[3736][3]~80085\) # (!\led_flash_cnt[3736][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3736][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3736][3]~80085\,
	combout => \led_flash_cnt[3736][4]~80086_combout\,
	cout => \led_flash_cnt[3736][4]~80087\);

-- Location: FF_X8_Y34_N13
\led_flash_cnt[3736][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3736][4]~80086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3736][4]~q\);

-- Location: LCCOMB_X8_Y34_N14
\led_flash_cnt[3736][5]~80088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3736][5]~80088_combout\ = (\led_flash_cnt[3736][5]~q\ & (\led_flash_cnt[3736][4]~80087\ $ (GND))) # (!\led_flash_cnt[3736][5]~q\ & (!\led_flash_cnt[3736][4]~80087\ & VCC))
-- \led_flash_cnt[3736][5]~80089\ = CARRY((\led_flash_cnt[3736][5]~q\ & !\led_flash_cnt[3736][4]~80087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3736][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3736][4]~80087\,
	combout => \led_flash_cnt[3736][5]~80088_combout\,
	cout => \led_flash_cnt[3736][5]~80089\);

-- Location: FF_X8_Y34_N15
\led_flash_cnt[3736][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3736][5]~80088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3736][5]~q\);

-- Location: LCCOMB_X8_Y34_N16
\led_flash_cnt[3736][6]~80090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3736][6]~80090_combout\ = (\led_flash_cnt[3736][6]~q\ & (!\led_flash_cnt[3736][5]~80089\)) # (!\led_flash_cnt[3736][6]~q\ & ((\led_flash_cnt[3736][5]~80089\) # (GND)))
-- \led_flash_cnt[3736][6]~80091\ = CARRY((!\led_flash_cnt[3736][5]~80089\) # (!\led_flash_cnt[3736][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3736][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3736][5]~80089\,
	combout => \led_flash_cnt[3736][6]~80090_combout\,
	cout => \led_flash_cnt[3736][6]~80091\);

-- Location: FF_X8_Y34_N17
\led_flash_cnt[3736][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3736][6]~80090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3736][6]~q\);

-- Location: LCCOMB_X8_Y34_N26
\WideAnd3736~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3736~1_combout\ = (\led_flash_cnt[3736][5]~q\ & \led_flash_cnt[3736][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3736][5]~q\,
	datad => \led_flash_cnt[3736][6]~q\,
	combout => \WideAnd3736~1_combout\);

-- Location: LCCOMB_X8_Y34_N30
\WideAnd3736~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3736~0_combout\ = (\led_flash_cnt[3736][4]~q\ & (\led_flash_cnt[3736][1]~q\ & (\led_flash_cnt[3736][2]~q\ & \led_flash_cnt[3736][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3736][4]~q\,
	datab => \led_flash_cnt[3736][1]~q\,
	datac => \led_flash_cnt[3736][2]~q\,
	datad => \led_flash_cnt[3736][3]~q\,
	combout => \WideAnd3736~0_combout\);

-- Location: LCCOMB_X8_Y34_N18
\led_flash_cnt[3736][7]~80092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3736][7]~80092_combout\ = \led_flash_cnt[3736][6]~80091\ $ (!\led_flash_cnt[3736][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3736][7]~q\,
	cin => \led_flash_cnt[3736][6]~80091\,
	combout => \led_flash_cnt[3736][7]~80092_combout\);

-- Location: FF_X8_Y34_N19
\led_flash_cnt[3736][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3736][7]~80092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3736][7]~q\);

-- Location: LCCOMB_X8_Y34_N22
WideAnd3736 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3736~combout\ = (\WideAnd3736~1_combout\ & (\led_flash_cnt[3736][0]~q\ & (\WideAnd3736~0_combout\ & \led_flash_cnt[3736][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3736~1_combout\,
	datab => \led_flash_cnt[3736][0]~q\,
	datac => \WideAnd3736~0_combout\,
	datad => \led_flash_cnt[3736][7]~q\,
	combout => \WideAnd3736~combout\);

-- Location: FF_X8_Y34_N23
\led_flash_cnt_ands[3736]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3736~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3736));

-- Location: LCCOMB_X44_Y52_N26
\led_flash_cnt[3737][0]~84441\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3737][0]~84441_combout\ = !\led_flash_cnt[3737][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3737][0]~q\,
	combout => \led_flash_cnt[3737][0]~84441_combout\);

-- Location: FF_X44_Y52_N27
\led_flash_cnt[3737][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3737][0]~84441_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3737][0]~q\);

-- Location: LCCOMB_X45_Y52_N0
\led_flash_cnt[3737][1]~80094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3737][1]~80094_combout\ = (\led_flash_cnt[3737][0]~q\ & (\led_flash_cnt[3737][1]~q\ $ (VCC))) # (!\led_flash_cnt[3737][0]~q\ & (\led_flash_cnt[3737][1]~q\ & VCC))
-- \led_flash_cnt[3737][1]~80095\ = CARRY((\led_flash_cnt[3737][0]~q\ & \led_flash_cnt[3737][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3737][0]~q\,
	datab => \led_flash_cnt[3737][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3737][1]~80094_combout\,
	cout => \led_flash_cnt[3737][1]~80095\);

-- Location: FF_X45_Y52_N1
\led_flash_cnt[3737][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3737][1]~80094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3737][1]~q\);

-- Location: LCCOMB_X45_Y52_N2
\led_flash_cnt[3737][2]~80096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3737][2]~80096_combout\ = (\led_flash_cnt[3737][2]~q\ & (!\led_flash_cnt[3737][1]~80095\)) # (!\led_flash_cnt[3737][2]~q\ & ((\led_flash_cnt[3737][1]~80095\) # (GND)))
-- \led_flash_cnt[3737][2]~80097\ = CARRY((!\led_flash_cnt[3737][1]~80095\) # (!\led_flash_cnt[3737][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3737][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3737][1]~80095\,
	combout => \led_flash_cnt[3737][2]~80096_combout\,
	cout => \led_flash_cnt[3737][2]~80097\);

-- Location: FF_X45_Y52_N3
\led_flash_cnt[3737][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3737][2]~80096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3737][2]~q\);

-- Location: LCCOMB_X45_Y52_N4
\led_flash_cnt[3737][3]~80098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3737][3]~80098_combout\ = (\led_flash_cnt[3737][3]~q\ & (\led_flash_cnt[3737][2]~80097\ $ (GND))) # (!\led_flash_cnt[3737][3]~q\ & (!\led_flash_cnt[3737][2]~80097\ & VCC))
-- \led_flash_cnt[3737][3]~80099\ = CARRY((\led_flash_cnt[3737][3]~q\ & !\led_flash_cnt[3737][2]~80097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3737][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3737][2]~80097\,
	combout => \led_flash_cnt[3737][3]~80098_combout\,
	cout => \led_flash_cnt[3737][3]~80099\);

-- Location: FF_X45_Y52_N5
\led_flash_cnt[3737][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3737][3]~80098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3737][3]~q\);

-- Location: LCCOMB_X45_Y52_N6
\led_flash_cnt[3737][4]~80100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3737][4]~80100_combout\ = (\led_flash_cnt[3737][4]~q\ & (!\led_flash_cnt[3737][3]~80099\)) # (!\led_flash_cnt[3737][4]~q\ & ((\led_flash_cnt[3737][3]~80099\) # (GND)))
-- \led_flash_cnt[3737][4]~80101\ = CARRY((!\led_flash_cnt[3737][3]~80099\) # (!\led_flash_cnt[3737][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3737][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3737][3]~80099\,
	combout => \led_flash_cnt[3737][4]~80100_combout\,
	cout => \led_flash_cnt[3737][4]~80101\);

-- Location: FF_X45_Y52_N7
\led_flash_cnt[3737][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3737][4]~80100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3737][4]~q\);

-- Location: LCCOMB_X45_Y52_N8
\led_flash_cnt[3737][5]~80102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3737][5]~80102_combout\ = (\led_flash_cnt[3737][5]~q\ & (\led_flash_cnt[3737][4]~80101\ $ (GND))) # (!\led_flash_cnt[3737][5]~q\ & (!\led_flash_cnt[3737][4]~80101\ & VCC))
-- \led_flash_cnt[3737][5]~80103\ = CARRY((\led_flash_cnt[3737][5]~q\ & !\led_flash_cnt[3737][4]~80101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3737][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3737][4]~80101\,
	combout => \led_flash_cnt[3737][5]~80102_combout\,
	cout => \led_flash_cnt[3737][5]~80103\);

-- Location: FF_X45_Y52_N9
\led_flash_cnt[3737][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3737][5]~80102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3737][5]~q\);

-- Location: LCCOMB_X45_Y52_N10
\led_flash_cnt[3737][6]~80104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3737][6]~80104_combout\ = (\led_flash_cnt[3737][6]~q\ & (!\led_flash_cnt[3737][5]~80103\)) # (!\led_flash_cnt[3737][6]~q\ & ((\led_flash_cnt[3737][5]~80103\) # (GND)))
-- \led_flash_cnt[3737][6]~80105\ = CARRY((!\led_flash_cnt[3737][5]~80103\) # (!\led_flash_cnt[3737][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3737][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3737][5]~80103\,
	combout => \led_flash_cnt[3737][6]~80104_combout\,
	cout => \led_flash_cnt[3737][6]~80105\);

-- Location: FF_X45_Y52_N11
\led_flash_cnt[3737][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3737][6]~80104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3737][6]~q\);

-- Location: LCCOMB_X44_Y52_N30
\WideAnd3737~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3737~1_combout\ = (\led_flash_cnt[3737][6]~q\ & \led_flash_cnt[3737][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3737][6]~q\,
	datac => \led_flash_cnt[3737][5]~q\,
	combout => \WideAnd3737~1_combout\);

-- Location: LCCOMB_X45_Y52_N12
\led_flash_cnt[3737][7]~80106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3737][7]~80106_combout\ = \led_flash_cnt[3737][6]~80105\ $ (!\led_flash_cnt[3737][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3737][7]~q\,
	cin => \led_flash_cnt[3737][6]~80105\,
	combout => \led_flash_cnt[3737][7]~80106_combout\);

-- Location: FF_X45_Y52_N13
\led_flash_cnt[3737][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3737][7]~80106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3737][7]~q\);

-- Location: LCCOMB_X45_Y52_N30
\WideAnd3737~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3737~0_combout\ = (\led_flash_cnt[3737][4]~q\ & (\led_flash_cnt[3737][2]~q\ & (\led_flash_cnt[3737][3]~q\ & \led_flash_cnt[3737][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3737][4]~q\,
	datab => \led_flash_cnt[3737][2]~q\,
	datac => \led_flash_cnt[3737][3]~q\,
	datad => \led_flash_cnt[3737][1]~q\,
	combout => \WideAnd3737~0_combout\);

-- Location: LCCOMB_X44_Y52_N6
WideAnd3737 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3737~combout\ = (\WideAnd3737~1_combout\ & (\led_flash_cnt[3737][7]~q\ & (\WideAnd3737~0_combout\ & \led_flash_cnt[3737][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3737~1_combout\,
	datab => \led_flash_cnt[3737][7]~q\,
	datac => \WideAnd3737~0_combout\,
	datad => \led_flash_cnt[3737][0]~q\,
	combout => \WideAnd3737~combout\);

-- Location: FF_X44_Y52_N7
\led_flash_cnt_ands[3737]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3737~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3737));

-- Location: LCCOMB_X22_Y34_N14
\WideAnd4307~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4307~0_combout\ = (led_flash_cnt_ands(3739) & (led_flash_cnt_ands(3738) & (led_flash_cnt_ands(3736) & led_flash_cnt_ands(3737))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3739),
	datab => led_flash_cnt_ands(3738),
	datac => led_flash_cnt_ands(3736),
	datad => led_flash_cnt_ands(3737),
	combout => \WideAnd4307~0_combout\);

-- Location: LCCOMB_X25_Y34_N8
WideAnd4307 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4307~combout\ = (\WideAnd4307~1_combout\ & (led_flash_cnt_ands(3742) & (led_flash_cnt_ands(3743) & \WideAnd4307~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4307~1_combout\,
	datab => led_flash_cnt_ands(3742),
	datac => led_flash_cnt_ands(3743),
	datad => \WideAnd4307~0_combout\,
	combout => \WideAnd4307~combout\);

-- Location: FF_X25_Y34_N9
\led_flash_cnt_ands_1[467]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4307~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(467));

-- Location: LCCOMB_X29_Y18_N2
\led_flash_cnt[3726][0]~84430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3726][0]~84430_combout\ = !\led_flash_cnt[3726][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3726][0]~q\,
	combout => \led_flash_cnt[3726][0]~84430_combout\);

-- Location: FF_X29_Y18_N3
\led_flash_cnt[3726][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3726][0]~84430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3726][0]~q\);

-- Location: LCCOMB_X29_Y18_N12
\led_flash_cnt[3726][1]~79940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3726][1]~79940_combout\ = (\led_flash_cnt[3726][1]~q\ & (\led_flash_cnt[3726][0]~q\ $ (VCC))) # (!\led_flash_cnt[3726][1]~q\ & (\led_flash_cnt[3726][0]~q\ & VCC))
-- \led_flash_cnt[3726][1]~79941\ = CARRY((\led_flash_cnt[3726][1]~q\ & \led_flash_cnt[3726][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3726][1]~q\,
	datab => \led_flash_cnt[3726][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3726][1]~79940_combout\,
	cout => \led_flash_cnt[3726][1]~79941\);

-- Location: FF_X29_Y18_N13
\led_flash_cnt[3726][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3726][1]~79940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3726][1]~q\);

-- Location: LCCOMB_X29_Y18_N14
\led_flash_cnt[3726][2]~79942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3726][2]~79942_combout\ = (\led_flash_cnt[3726][2]~q\ & (!\led_flash_cnt[3726][1]~79941\)) # (!\led_flash_cnt[3726][2]~q\ & ((\led_flash_cnt[3726][1]~79941\) # (GND)))
-- \led_flash_cnt[3726][2]~79943\ = CARRY((!\led_flash_cnt[3726][1]~79941\) # (!\led_flash_cnt[3726][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3726][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3726][1]~79941\,
	combout => \led_flash_cnt[3726][2]~79942_combout\,
	cout => \led_flash_cnt[3726][2]~79943\);

-- Location: FF_X29_Y18_N15
\led_flash_cnt[3726][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3726][2]~79942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3726][2]~q\);

-- Location: LCCOMB_X29_Y18_N16
\led_flash_cnt[3726][3]~79944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3726][3]~79944_combout\ = (\led_flash_cnt[3726][3]~q\ & (\led_flash_cnt[3726][2]~79943\ $ (GND))) # (!\led_flash_cnt[3726][3]~q\ & (!\led_flash_cnt[3726][2]~79943\ & VCC))
-- \led_flash_cnt[3726][3]~79945\ = CARRY((\led_flash_cnt[3726][3]~q\ & !\led_flash_cnt[3726][2]~79943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3726][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3726][2]~79943\,
	combout => \led_flash_cnt[3726][3]~79944_combout\,
	cout => \led_flash_cnt[3726][3]~79945\);

-- Location: FF_X29_Y18_N17
\led_flash_cnt[3726][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3726][3]~79944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3726][3]~q\);

-- Location: LCCOMB_X29_Y18_N18
\led_flash_cnt[3726][4]~79946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3726][4]~79946_combout\ = (\led_flash_cnt[3726][4]~q\ & (!\led_flash_cnt[3726][3]~79945\)) # (!\led_flash_cnt[3726][4]~q\ & ((\led_flash_cnt[3726][3]~79945\) # (GND)))
-- \led_flash_cnt[3726][4]~79947\ = CARRY((!\led_flash_cnt[3726][3]~79945\) # (!\led_flash_cnt[3726][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3726][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3726][3]~79945\,
	combout => \led_flash_cnt[3726][4]~79946_combout\,
	cout => \led_flash_cnt[3726][4]~79947\);

-- Location: FF_X29_Y18_N19
\led_flash_cnt[3726][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3726][4]~79946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3726][4]~q\);

-- Location: LCCOMB_X29_Y18_N20
\led_flash_cnt[3726][5]~79948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3726][5]~79948_combout\ = (\led_flash_cnt[3726][5]~q\ & (\led_flash_cnt[3726][4]~79947\ $ (GND))) # (!\led_flash_cnt[3726][5]~q\ & (!\led_flash_cnt[3726][4]~79947\ & VCC))
-- \led_flash_cnt[3726][5]~79949\ = CARRY((\led_flash_cnt[3726][5]~q\ & !\led_flash_cnt[3726][4]~79947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3726][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3726][4]~79947\,
	combout => \led_flash_cnt[3726][5]~79948_combout\,
	cout => \led_flash_cnt[3726][5]~79949\);

-- Location: FF_X29_Y18_N21
\led_flash_cnt[3726][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3726][5]~79948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3726][5]~q\);

-- Location: LCCOMB_X29_Y18_N22
\led_flash_cnt[3726][6]~79950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3726][6]~79950_combout\ = (\led_flash_cnt[3726][6]~q\ & (!\led_flash_cnt[3726][5]~79949\)) # (!\led_flash_cnt[3726][6]~q\ & ((\led_flash_cnt[3726][5]~79949\) # (GND)))
-- \led_flash_cnt[3726][6]~79951\ = CARRY((!\led_flash_cnt[3726][5]~79949\) # (!\led_flash_cnt[3726][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3726][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3726][5]~79949\,
	combout => \led_flash_cnt[3726][6]~79950_combout\,
	cout => \led_flash_cnt[3726][6]~79951\);

-- Location: FF_X29_Y18_N23
\led_flash_cnt[3726][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3726][6]~79950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3726][6]~q\);

-- Location: LCCOMB_X29_Y18_N6
\WideAnd3726~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3726~1_combout\ = (\led_flash_cnt[3726][6]~q\ & \led_flash_cnt[3726][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3726][6]~q\,
	datad => \led_flash_cnt[3726][5]~q\,
	combout => \WideAnd3726~1_combout\);

-- Location: LCCOMB_X29_Y18_N4
\WideAnd3726~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3726~0_combout\ = (\led_flash_cnt[3726][1]~q\ & (\led_flash_cnt[3726][4]~q\ & (\led_flash_cnt[3726][2]~q\ & \led_flash_cnt[3726][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3726][1]~q\,
	datab => \led_flash_cnt[3726][4]~q\,
	datac => \led_flash_cnt[3726][2]~q\,
	datad => \led_flash_cnt[3726][3]~q\,
	combout => \WideAnd3726~0_combout\);

-- Location: LCCOMB_X29_Y18_N24
\led_flash_cnt[3726][7]~79952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3726][7]~79952_combout\ = \led_flash_cnt[3726][6]~79951\ $ (!\led_flash_cnt[3726][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3726][7]~q\,
	cin => \led_flash_cnt[3726][6]~79951\,
	combout => \led_flash_cnt[3726][7]~79952_combout\);

-- Location: FF_X29_Y18_N25
\led_flash_cnt[3726][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3726][7]~79952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3726][7]~q\);

-- Location: LCCOMB_X29_Y18_N26
WideAnd3726 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3726~combout\ = (\WideAnd3726~1_combout\ & (\led_flash_cnt[3726][0]~q\ & (\WideAnd3726~0_combout\ & \led_flash_cnt[3726][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3726~1_combout\,
	datab => \led_flash_cnt[3726][0]~q\,
	datac => \WideAnd3726~0_combout\,
	datad => \led_flash_cnt[3726][7]~q\,
	combout => \WideAnd3726~combout\);

-- Location: FF_X29_Y18_N27
\led_flash_cnt_ands[3726]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3726~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3726));

-- Location: LCCOMB_X32_Y8_N2
\led_flash_cnt[3724][0]~84428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3724][0]~84428_combout\ = !\led_flash_cnt[3724][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3724][0]~q\,
	combout => \led_flash_cnt[3724][0]~84428_combout\);

-- Location: FF_X32_Y8_N3
\led_flash_cnt[3724][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3724][0]~84428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3724][0]~q\);

-- Location: LCCOMB_X31_Y8_N18
\led_flash_cnt[3724][1]~79912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3724][1]~79912_combout\ = (\led_flash_cnt[3724][0]~q\ & (\led_flash_cnt[3724][1]~q\ $ (VCC))) # (!\led_flash_cnt[3724][0]~q\ & (\led_flash_cnt[3724][1]~q\ & VCC))
-- \led_flash_cnt[3724][1]~79913\ = CARRY((\led_flash_cnt[3724][0]~q\ & \led_flash_cnt[3724][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3724][0]~q\,
	datab => \led_flash_cnt[3724][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3724][1]~79912_combout\,
	cout => \led_flash_cnt[3724][1]~79913\);

-- Location: FF_X31_Y8_N19
\led_flash_cnt[3724][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3724][1]~79912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3724][1]~q\);

-- Location: LCCOMB_X31_Y8_N20
\led_flash_cnt[3724][2]~79914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3724][2]~79914_combout\ = (\led_flash_cnt[3724][2]~q\ & (!\led_flash_cnt[3724][1]~79913\)) # (!\led_flash_cnt[3724][2]~q\ & ((\led_flash_cnt[3724][1]~79913\) # (GND)))
-- \led_flash_cnt[3724][2]~79915\ = CARRY((!\led_flash_cnt[3724][1]~79913\) # (!\led_flash_cnt[3724][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3724][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3724][1]~79913\,
	combout => \led_flash_cnt[3724][2]~79914_combout\,
	cout => \led_flash_cnt[3724][2]~79915\);

-- Location: FF_X31_Y8_N21
\led_flash_cnt[3724][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3724][2]~79914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3724][2]~q\);

-- Location: LCCOMB_X31_Y8_N22
\led_flash_cnt[3724][3]~79916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3724][3]~79916_combout\ = (\led_flash_cnt[3724][3]~q\ & (\led_flash_cnt[3724][2]~79915\ $ (GND))) # (!\led_flash_cnt[3724][3]~q\ & (!\led_flash_cnt[3724][2]~79915\ & VCC))
-- \led_flash_cnt[3724][3]~79917\ = CARRY((\led_flash_cnt[3724][3]~q\ & !\led_flash_cnt[3724][2]~79915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3724][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3724][2]~79915\,
	combout => \led_flash_cnt[3724][3]~79916_combout\,
	cout => \led_flash_cnt[3724][3]~79917\);

-- Location: FF_X31_Y8_N23
\led_flash_cnt[3724][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3724][3]~79916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3724][3]~q\);

-- Location: LCCOMB_X31_Y8_N24
\led_flash_cnt[3724][4]~79918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3724][4]~79918_combout\ = (\led_flash_cnt[3724][4]~q\ & (!\led_flash_cnt[3724][3]~79917\)) # (!\led_flash_cnt[3724][4]~q\ & ((\led_flash_cnt[3724][3]~79917\) # (GND)))
-- \led_flash_cnt[3724][4]~79919\ = CARRY((!\led_flash_cnt[3724][3]~79917\) # (!\led_flash_cnt[3724][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3724][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3724][3]~79917\,
	combout => \led_flash_cnt[3724][4]~79918_combout\,
	cout => \led_flash_cnt[3724][4]~79919\);

-- Location: FF_X31_Y8_N25
\led_flash_cnt[3724][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3724][4]~79918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3724][4]~q\);

-- Location: LCCOMB_X32_Y8_N6
\WideAnd3724~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3724~0_combout\ = (\led_flash_cnt[3724][3]~q\ & (\led_flash_cnt[3724][4]~q\ & (\led_flash_cnt[3724][1]~q\ & \led_flash_cnt[3724][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3724][3]~q\,
	datab => \led_flash_cnt[3724][4]~q\,
	datac => \led_flash_cnt[3724][1]~q\,
	datad => \led_flash_cnt[3724][2]~q\,
	combout => \WideAnd3724~0_combout\);

-- Location: LCCOMB_X31_Y8_N26
\led_flash_cnt[3724][5]~79920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3724][5]~79920_combout\ = (\led_flash_cnt[3724][5]~q\ & (\led_flash_cnt[3724][4]~79919\ $ (GND))) # (!\led_flash_cnt[3724][5]~q\ & (!\led_flash_cnt[3724][4]~79919\ & VCC))
-- \led_flash_cnt[3724][5]~79921\ = CARRY((\led_flash_cnt[3724][5]~q\ & !\led_flash_cnt[3724][4]~79919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3724][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3724][4]~79919\,
	combout => \led_flash_cnt[3724][5]~79920_combout\,
	cout => \led_flash_cnt[3724][5]~79921\);

-- Location: FF_X31_Y8_N27
\led_flash_cnt[3724][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3724][5]~79920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3724][5]~q\);

-- Location: LCCOMB_X31_Y8_N28
\led_flash_cnt[3724][6]~79922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3724][6]~79922_combout\ = (\led_flash_cnt[3724][6]~q\ & (!\led_flash_cnt[3724][5]~79921\)) # (!\led_flash_cnt[3724][6]~q\ & ((\led_flash_cnt[3724][5]~79921\) # (GND)))
-- \led_flash_cnt[3724][6]~79923\ = CARRY((!\led_flash_cnt[3724][5]~79921\) # (!\led_flash_cnt[3724][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3724][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3724][5]~79921\,
	combout => \led_flash_cnt[3724][6]~79922_combout\,
	cout => \led_flash_cnt[3724][6]~79923\);

-- Location: FF_X31_Y8_N29
\led_flash_cnt[3724][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3724][6]~79922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3724][6]~q\);

-- Location: LCCOMB_X31_Y8_N30
\led_flash_cnt[3724][7]~79924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3724][7]~79924_combout\ = \led_flash_cnt[3724][7]~q\ $ (!\led_flash_cnt[3724][6]~79923\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3724][7]~q\,
	cin => \led_flash_cnt[3724][6]~79923\,
	combout => \led_flash_cnt[3724][7]~79924_combout\);

-- Location: FF_X31_Y8_N31
\led_flash_cnt[3724][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3724][7]~79924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3724][7]~q\);

-- Location: LCCOMB_X32_Y8_N8
\WideAnd3724~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3724~1_combout\ = (\led_flash_cnt[3724][5]~q\ & \led_flash_cnt[3724][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3724][5]~q\,
	datad => \led_flash_cnt[3724][6]~q\,
	combout => \WideAnd3724~1_combout\);

-- Location: LCCOMB_X32_Y8_N4
WideAnd3724 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3724~combout\ = (\WideAnd3724~0_combout\ & (\led_flash_cnt[3724][7]~q\ & (\WideAnd3724~1_combout\ & \led_flash_cnt[3724][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3724~0_combout\,
	datab => \led_flash_cnt[3724][7]~q\,
	datac => \WideAnd3724~1_combout\,
	datad => \led_flash_cnt[3724][0]~q\,
	combout => \WideAnd3724~combout\);

-- Location: FF_X32_Y8_N5
\led_flash_cnt_ands[3724]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3724~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3724));

-- Location: LCCOMB_X32_Y8_N0
\led_flash_cnt[3725][0]~84429\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3725][0]~84429_combout\ = !\led_flash_cnt[3725][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3725][0]~q\,
	combout => \led_flash_cnt[3725][0]~84429_combout\);

-- Location: FF_X32_Y8_N1
\led_flash_cnt[3725][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3725][0]~84429_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3725][0]~q\);

-- Location: LCCOMB_X32_Y8_N10
\led_flash_cnt[3725][1]~79926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3725][1]~79926_combout\ = (\led_flash_cnt[3725][1]~q\ & (\led_flash_cnt[3725][0]~q\ $ (VCC))) # (!\led_flash_cnt[3725][1]~q\ & (\led_flash_cnt[3725][0]~q\ & VCC))
-- \led_flash_cnt[3725][1]~79927\ = CARRY((\led_flash_cnt[3725][1]~q\ & \led_flash_cnt[3725][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3725][1]~q\,
	datab => \led_flash_cnt[3725][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3725][1]~79926_combout\,
	cout => \led_flash_cnt[3725][1]~79927\);

-- Location: FF_X32_Y8_N11
\led_flash_cnt[3725][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3725][1]~79926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3725][1]~q\);

-- Location: LCCOMB_X32_Y8_N12
\led_flash_cnt[3725][2]~79928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3725][2]~79928_combout\ = (\led_flash_cnt[3725][2]~q\ & (!\led_flash_cnt[3725][1]~79927\)) # (!\led_flash_cnt[3725][2]~q\ & ((\led_flash_cnt[3725][1]~79927\) # (GND)))
-- \led_flash_cnt[3725][2]~79929\ = CARRY((!\led_flash_cnt[3725][1]~79927\) # (!\led_flash_cnt[3725][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3725][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3725][1]~79927\,
	combout => \led_flash_cnt[3725][2]~79928_combout\,
	cout => \led_flash_cnt[3725][2]~79929\);

-- Location: FF_X32_Y8_N13
\led_flash_cnt[3725][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3725][2]~79928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3725][2]~q\);

-- Location: LCCOMB_X32_Y8_N14
\led_flash_cnt[3725][3]~79930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3725][3]~79930_combout\ = (\led_flash_cnt[3725][3]~q\ & (\led_flash_cnt[3725][2]~79929\ $ (GND))) # (!\led_flash_cnt[3725][3]~q\ & (!\led_flash_cnt[3725][2]~79929\ & VCC))
-- \led_flash_cnt[3725][3]~79931\ = CARRY((\led_flash_cnt[3725][3]~q\ & !\led_flash_cnt[3725][2]~79929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3725][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3725][2]~79929\,
	combout => \led_flash_cnt[3725][3]~79930_combout\,
	cout => \led_flash_cnt[3725][3]~79931\);

-- Location: FF_X32_Y8_N15
\led_flash_cnt[3725][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3725][3]~79930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3725][3]~q\);

-- Location: LCCOMB_X32_Y8_N16
\led_flash_cnt[3725][4]~79932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3725][4]~79932_combout\ = (\led_flash_cnt[3725][4]~q\ & (!\led_flash_cnt[3725][3]~79931\)) # (!\led_flash_cnt[3725][4]~q\ & ((\led_flash_cnt[3725][3]~79931\) # (GND)))
-- \led_flash_cnt[3725][4]~79933\ = CARRY((!\led_flash_cnt[3725][3]~79931\) # (!\led_flash_cnt[3725][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3725][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3725][3]~79931\,
	combout => \led_flash_cnt[3725][4]~79932_combout\,
	cout => \led_flash_cnt[3725][4]~79933\);

-- Location: FF_X32_Y8_N17
\led_flash_cnt[3725][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3725][4]~79932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3725][4]~q\);

-- Location: LCCOMB_X32_Y8_N18
\led_flash_cnt[3725][5]~79934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3725][5]~79934_combout\ = (\led_flash_cnt[3725][5]~q\ & (\led_flash_cnt[3725][4]~79933\ $ (GND))) # (!\led_flash_cnt[3725][5]~q\ & (!\led_flash_cnt[3725][4]~79933\ & VCC))
-- \led_flash_cnt[3725][5]~79935\ = CARRY((\led_flash_cnt[3725][5]~q\ & !\led_flash_cnt[3725][4]~79933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3725][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3725][4]~79933\,
	combout => \led_flash_cnt[3725][5]~79934_combout\,
	cout => \led_flash_cnt[3725][5]~79935\);

-- Location: FF_X32_Y8_N19
\led_flash_cnt[3725][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3725][5]~79934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3725][5]~q\);

-- Location: LCCOMB_X32_Y8_N20
\led_flash_cnt[3725][6]~79936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3725][6]~79936_combout\ = (\led_flash_cnt[3725][6]~q\ & (!\led_flash_cnt[3725][5]~79935\)) # (!\led_flash_cnt[3725][6]~q\ & ((\led_flash_cnt[3725][5]~79935\) # (GND)))
-- \led_flash_cnt[3725][6]~79937\ = CARRY((!\led_flash_cnt[3725][5]~79935\) # (!\led_flash_cnt[3725][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3725][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3725][5]~79935\,
	combout => \led_flash_cnt[3725][6]~79936_combout\,
	cout => \led_flash_cnt[3725][6]~79937\);

-- Location: FF_X32_Y8_N21
\led_flash_cnt[3725][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3725][6]~79936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3725][6]~q\);

-- Location: LCCOMB_X32_Y8_N22
\led_flash_cnt[3725][7]~79938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3725][7]~79938_combout\ = \led_flash_cnt[3725][7]~q\ $ (!\led_flash_cnt[3725][6]~79937\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3725][7]~q\,
	cin => \led_flash_cnt[3725][6]~79937\,
	combout => \led_flash_cnt[3725][7]~79938_combout\);

-- Location: FF_X32_Y8_N23
\led_flash_cnt[3725][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3725][7]~79938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3725][7]~q\);

-- Location: LCCOMB_X32_Y8_N30
\WideAnd3725~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3725~0_combout\ = (\led_flash_cnt[3725][1]~q\ & (\led_flash_cnt[3725][4]~q\ & (\led_flash_cnt[3725][3]~q\ & \led_flash_cnt[3725][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3725][1]~q\,
	datab => \led_flash_cnt[3725][4]~q\,
	datac => \led_flash_cnt[3725][3]~q\,
	datad => \led_flash_cnt[3725][2]~q\,
	combout => \WideAnd3725~0_combout\);

-- Location: LCCOMB_X32_Y8_N24
\WideAnd3725~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3725~1_combout\ = (\led_flash_cnt[3725][5]~q\ & \led_flash_cnt[3725][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3725][5]~q\,
	datad => \led_flash_cnt[3725][6]~q\,
	combout => \WideAnd3725~1_combout\);

-- Location: LCCOMB_X32_Y8_N28
WideAnd3725 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3725~combout\ = (\led_flash_cnt[3725][7]~q\ & (\led_flash_cnt[3725][0]~q\ & (\WideAnd3725~0_combout\ & \WideAnd3725~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3725][7]~q\,
	datab => \led_flash_cnt[3725][0]~q\,
	datac => \WideAnd3725~0_combout\,
	datad => \WideAnd3725~1_combout\,
	combout => \WideAnd3725~combout\);

-- Location: FF_X32_Y8_N29
\led_flash_cnt_ands[3725]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3725~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3725));

-- Location: LCCOMB_X32_Y8_N26
\WideAnd4305~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4305~1_combout\ = (led_flash_cnt_ands(3724) & led_flash_cnt_ands(3725))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3724),
	datad => led_flash_cnt_ands(3725),
	combout => \WideAnd4305~1_combout\);

-- Location: LCCOMB_X29_Y4_N12
\led_flash_cnt[3727][0]~84431\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3727][0]~84431_combout\ = !\led_flash_cnt[3727][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3727][0]~q\,
	combout => \led_flash_cnt[3727][0]~84431_combout\);

-- Location: FF_X29_Y4_N13
\led_flash_cnt[3727][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3727][0]~84431_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3727][0]~q\);

-- Location: LCCOMB_X29_Y4_N14
\led_flash_cnt[3727][1]~79954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3727][1]~79954_combout\ = (\led_flash_cnt[3727][0]~q\ & (\led_flash_cnt[3727][1]~q\ $ (VCC))) # (!\led_flash_cnt[3727][0]~q\ & (\led_flash_cnt[3727][1]~q\ & VCC))
-- \led_flash_cnt[3727][1]~79955\ = CARRY((\led_flash_cnt[3727][0]~q\ & \led_flash_cnt[3727][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3727][0]~q\,
	datab => \led_flash_cnt[3727][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3727][1]~79954_combout\,
	cout => \led_flash_cnt[3727][1]~79955\);

-- Location: FF_X29_Y4_N15
\led_flash_cnt[3727][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3727][1]~79954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3727][1]~q\);

-- Location: LCCOMB_X29_Y4_N16
\led_flash_cnt[3727][2]~79956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3727][2]~79956_combout\ = (\led_flash_cnt[3727][2]~q\ & (!\led_flash_cnt[3727][1]~79955\)) # (!\led_flash_cnt[3727][2]~q\ & ((\led_flash_cnt[3727][1]~79955\) # (GND)))
-- \led_flash_cnt[3727][2]~79957\ = CARRY((!\led_flash_cnt[3727][1]~79955\) # (!\led_flash_cnt[3727][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3727][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3727][1]~79955\,
	combout => \led_flash_cnt[3727][2]~79956_combout\,
	cout => \led_flash_cnt[3727][2]~79957\);

-- Location: FF_X29_Y4_N17
\led_flash_cnt[3727][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3727][2]~79956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3727][2]~q\);

-- Location: LCCOMB_X29_Y4_N18
\led_flash_cnt[3727][3]~79958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3727][3]~79958_combout\ = (\led_flash_cnt[3727][3]~q\ & (\led_flash_cnt[3727][2]~79957\ $ (GND))) # (!\led_flash_cnt[3727][3]~q\ & (!\led_flash_cnt[3727][2]~79957\ & VCC))
-- \led_flash_cnt[3727][3]~79959\ = CARRY((\led_flash_cnt[3727][3]~q\ & !\led_flash_cnt[3727][2]~79957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3727][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3727][2]~79957\,
	combout => \led_flash_cnt[3727][3]~79958_combout\,
	cout => \led_flash_cnt[3727][3]~79959\);

-- Location: FF_X29_Y4_N19
\led_flash_cnt[3727][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3727][3]~79958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3727][3]~q\);

-- Location: LCCOMB_X29_Y4_N20
\led_flash_cnt[3727][4]~79960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3727][4]~79960_combout\ = (\led_flash_cnt[3727][4]~q\ & (!\led_flash_cnt[3727][3]~79959\)) # (!\led_flash_cnt[3727][4]~q\ & ((\led_flash_cnt[3727][3]~79959\) # (GND)))
-- \led_flash_cnt[3727][4]~79961\ = CARRY((!\led_flash_cnt[3727][3]~79959\) # (!\led_flash_cnt[3727][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3727][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3727][3]~79959\,
	combout => \led_flash_cnt[3727][4]~79960_combout\,
	cout => \led_flash_cnt[3727][4]~79961\);

-- Location: FF_X29_Y4_N21
\led_flash_cnt[3727][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3727][4]~79960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3727][4]~q\);

-- Location: LCCOMB_X29_Y4_N22
\led_flash_cnt[3727][5]~79962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3727][5]~79962_combout\ = (\led_flash_cnt[3727][5]~q\ & (\led_flash_cnt[3727][4]~79961\ $ (GND))) # (!\led_flash_cnt[3727][5]~q\ & (!\led_flash_cnt[3727][4]~79961\ & VCC))
-- \led_flash_cnt[3727][5]~79963\ = CARRY((\led_flash_cnt[3727][5]~q\ & !\led_flash_cnt[3727][4]~79961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3727][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3727][4]~79961\,
	combout => \led_flash_cnt[3727][5]~79962_combout\,
	cout => \led_flash_cnt[3727][5]~79963\);

-- Location: FF_X29_Y4_N23
\led_flash_cnt[3727][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3727][5]~79962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3727][5]~q\);

-- Location: LCCOMB_X29_Y4_N24
\led_flash_cnt[3727][6]~79964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3727][6]~79964_combout\ = (\led_flash_cnt[3727][6]~q\ & (!\led_flash_cnt[3727][5]~79963\)) # (!\led_flash_cnt[3727][6]~q\ & ((\led_flash_cnt[3727][5]~79963\) # (GND)))
-- \led_flash_cnt[3727][6]~79965\ = CARRY((!\led_flash_cnt[3727][5]~79963\) # (!\led_flash_cnt[3727][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3727][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3727][5]~79963\,
	combout => \led_flash_cnt[3727][6]~79964_combout\,
	cout => \led_flash_cnt[3727][6]~79965\);

-- Location: FF_X29_Y4_N25
\led_flash_cnt[3727][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3727][6]~79964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3727][6]~q\);

-- Location: LCCOMB_X29_Y4_N6
\WideAnd3727~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3727~1_combout\ = (\led_flash_cnt[3727][5]~q\ & \led_flash_cnt[3727][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3727][5]~q\,
	datad => \led_flash_cnt[3727][6]~q\,
	combout => \WideAnd3727~1_combout\);

-- Location: LCCOMB_X29_Y4_N2
\WideAnd3727~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3727~0_combout\ = (\led_flash_cnt[3727][3]~q\ & (\led_flash_cnt[3727][2]~q\ & (\led_flash_cnt[3727][1]~q\ & \led_flash_cnt[3727][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3727][3]~q\,
	datab => \led_flash_cnt[3727][2]~q\,
	datac => \led_flash_cnt[3727][1]~q\,
	datad => \led_flash_cnt[3727][4]~q\,
	combout => \WideAnd3727~0_combout\);

-- Location: LCCOMB_X29_Y4_N26
\led_flash_cnt[3727][7]~79966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3727][7]~79966_combout\ = \led_flash_cnt[3727][7]~q\ $ (!\led_flash_cnt[3727][6]~79965\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3727][7]~q\,
	cin => \led_flash_cnt[3727][6]~79965\,
	combout => \led_flash_cnt[3727][7]~79966_combout\);

-- Location: FF_X29_Y4_N27
\led_flash_cnt[3727][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3727][7]~79966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3727][7]~q\);

-- Location: LCCOMB_X29_Y4_N10
WideAnd3727 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3727~combout\ = (\WideAnd3727~1_combout\ & (\WideAnd3727~0_combout\ & (\led_flash_cnt[3727][7]~q\ & \led_flash_cnt[3727][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3727~1_combout\,
	datab => \WideAnd3727~0_combout\,
	datac => \led_flash_cnt[3727][7]~q\,
	datad => \led_flash_cnt[3727][0]~q\,
	combout => \WideAnd3727~combout\);

-- Location: FF_X29_Y4_N11
\led_flash_cnt_ands[3727]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3727~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3727));

-- Location: LCCOMB_X30_Y28_N8
\led_flash_cnt[3722][0]~84426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3722][0]~84426_combout\ = !\led_flash_cnt[3722][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3722][0]~q\,
	combout => \led_flash_cnt[3722][0]~84426_combout\);

-- Location: FF_X30_Y28_N9
\led_flash_cnt[3722][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3722][0]~84426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3722][0]~q\);

-- Location: LCCOMB_X30_Y28_N12
\led_flash_cnt[3722][1]~79884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3722][1]~79884_combout\ = (\led_flash_cnt[3722][1]~q\ & (\led_flash_cnt[3722][0]~q\ $ (VCC))) # (!\led_flash_cnt[3722][1]~q\ & (\led_flash_cnt[3722][0]~q\ & VCC))
-- \led_flash_cnt[3722][1]~79885\ = CARRY((\led_flash_cnt[3722][1]~q\ & \led_flash_cnt[3722][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3722][1]~q\,
	datab => \led_flash_cnt[3722][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3722][1]~79884_combout\,
	cout => \led_flash_cnt[3722][1]~79885\);

-- Location: FF_X30_Y28_N13
\led_flash_cnt[3722][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3722][1]~79884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3722][1]~q\);

-- Location: LCCOMB_X30_Y28_N14
\led_flash_cnt[3722][2]~79886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3722][2]~79886_combout\ = (\led_flash_cnt[3722][2]~q\ & (!\led_flash_cnt[3722][1]~79885\)) # (!\led_flash_cnt[3722][2]~q\ & ((\led_flash_cnt[3722][1]~79885\) # (GND)))
-- \led_flash_cnt[3722][2]~79887\ = CARRY((!\led_flash_cnt[3722][1]~79885\) # (!\led_flash_cnt[3722][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3722][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3722][1]~79885\,
	combout => \led_flash_cnt[3722][2]~79886_combout\,
	cout => \led_flash_cnt[3722][2]~79887\);

-- Location: FF_X30_Y28_N15
\led_flash_cnt[3722][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3722][2]~79886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3722][2]~q\);

-- Location: LCCOMB_X30_Y28_N16
\led_flash_cnt[3722][3]~79888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3722][3]~79888_combout\ = (\led_flash_cnt[3722][3]~q\ & (\led_flash_cnt[3722][2]~79887\ $ (GND))) # (!\led_flash_cnt[3722][3]~q\ & (!\led_flash_cnt[3722][2]~79887\ & VCC))
-- \led_flash_cnt[3722][3]~79889\ = CARRY((\led_flash_cnt[3722][3]~q\ & !\led_flash_cnt[3722][2]~79887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3722][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3722][2]~79887\,
	combout => \led_flash_cnt[3722][3]~79888_combout\,
	cout => \led_flash_cnt[3722][3]~79889\);

-- Location: FF_X30_Y28_N17
\led_flash_cnt[3722][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3722][3]~79888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3722][3]~q\);

-- Location: LCCOMB_X30_Y28_N18
\led_flash_cnt[3722][4]~79890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3722][4]~79890_combout\ = (\led_flash_cnt[3722][4]~q\ & (!\led_flash_cnt[3722][3]~79889\)) # (!\led_flash_cnt[3722][4]~q\ & ((\led_flash_cnt[3722][3]~79889\) # (GND)))
-- \led_flash_cnt[3722][4]~79891\ = CARRY((!\led_flash_cnt[3722][3]~79889\) # (!\led_flash_cnt[3722][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3722][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3722][3]~79889\,
	combout => \led_flash_cnt[3722][4]~79890_combout\,
	cout => \led_flash_cnt[3722][4]~79891\);

-- Location: FF_X30_Y28_N19
\led_flash_cnt[3722][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3722][4]~79890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3722][4]~q\);

-- Location: LCCOMB_X30_Y28_N20
\led_flash_cnt[3722][5]~79892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3722][5]~79892_combout\ = (\led_flash_cnt[3722][5]~q\ & (\led_flash_cnt[3722][4]~79891\ $ (GND))) # (!\led_flash_cnt[3722][5]~q\ & (!\led_flash_cnt[3722][4]~79891\ & VCC))
-- \led_flash_cnt[3722][5]~79893\ = CARRY((\led_flash_cnt[3722][5]~q\ & !\led_flash_cnt[3722][4]~79891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3722][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3722][4]~79891\,
	combout => \led_flash_cnt[3722][5]~79892_combout\,
	cout => \led_flash_cnt[3722][5]~79893\);

-- Location: FF_X30_Y28_N21
\led_flash_cnt[3722][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3722][5]~79892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3722][5]~q\);

-- Location: LCCOMB_X30_Y28_N22
\led_flash_cnt[3722][6]~79894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3722][6]~79894_combout\ = (\led_flash_cnt[3722][6]~q\ & (!\led_flash_cnt[3722][5]~79893\)) # (!\led_flash_cnt[3722][6]~q\ & ((\led_flash_cnt[3722][5]~79893\) # (GND)))
-- \led_flash_cnt[3722][6]~79895\ = CARRY((!\led_flash_cnt[3722][5]~79893\) # (!\led_flash_cnt[3722][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3722][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3722][5]~79893\,
	combout => \led_flash_cnt[3722][6]~79894_combout\,
	cout => \led_flash_cnt[3722][6]~79895\);

-- Location: FF_X30_Y28_N23
\led_flash_cnt[3722][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3722][6]~79894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3722][6]~q\);

-- Location: LCCOMB_X30_Y28_N30
\WideAnd3722~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3722~1_combout\ = (\led_flash_cnt[3722][6]~q\ & \led_flash_cnt[3722][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3722][6]~q\,
	datad => \led_flash_cnt[3722][5]~q\,
	combout => \WideAnd3722~1_combout\);

-- Location: LCCOMB_X30_Y28_N24
\led_flash_cnt[3722][7]~79896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3722][7]~79896_combout\ = \led_flash_cnt[3722][6]~79895\ $ (!\led_flash_cnt[3722][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3722][7]~q\,
	cin => \led_flash_cnt[3722][6]~79895\,
	combout => \led_flash_cnt[3722][7]~79896_combout\);

-- Location: FF_X30_Y28_N25
\led_flash_cnt[3722][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3722][7]~79896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3722][7]~q\);

-- Location: LCCOMB_X30_Y28_N28
\WideAnd3722~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3722~0_combout\ = (\led_flash_cnt[3722][1]~q\ & (\led_flash_cnt[3722][3]~q\ & (\led_flash_cnt[3722][2]~q\ & \led_flash_cnt[3722][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3722][1]~q\,
	datab => \led_flash_cnt[3722][3]~q\,
	datac => \led_flash_cnt[3722][2]~q\,
	datad => \led_flash_cnt[3722][4]~q\,
	combout => \WideAnd3722~0_combout\);

-- Location: LCCOMB_X30_Y28_N26
WideAnd3722 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3722~combout\ = (\WideAnd3722~1_combout\ & (\led_flash_cnt[3722][7]~q\ & (\led_flash_cnt[3722][0]~q\ & \WideAnd3722~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3722~1_combout\,
	datab => \led_flash_cnt[3722][7]~q\,
	datac => \led_flash_cnt[3722][0]~q\,
	datad => \WideAnd3722~0_combout\,
	combout => \WideAnd3722~combout\);

-- Location: FF_X30_Y28_N27
\led_flash_cnt_ands[3722]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3722~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3722));

-- Location: LCCOMB_X38_Y21_N22
\led_flash_cnt[3720][0]~84424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3720][0]~84424_combout\ = !\led_flash_cnt[3720][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3720][0]~q\,
	combout => \led_flash_cnt[3720][0]~84424_combout\);

-- Location: FF_X38_Y21_N23
\led_flash_cnt[3720][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3720][0]~84424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3720][0]~q\);

-- Location: LCCOMB_X34_Y21_N18
\led_flash_cnt[3720][1]~79856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3720][1]~79856_combout\ = (\led_flash_cnt[3720][0]~q\ & (\led_flash_cnt[3720][1]~q\ $ (VCC))) # (!\led_flash_cnt[3720][0]~q\ & (\led_flash_cnt[3720][1]~q\ & VCC))
-- \led_flash_cnt[3720][1]~79857\ = CARRY((\led_flash_cnt[3720][0]~q\ & \led_flash_cnt[3720][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3720][0]~q\,
	datab => \led_flash_cnt[3720][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3720][1]~79856_combout\,
	cout => \led_flash_cnt[3720][1]~79857\);

-- Location: FF_X34_Y21_N19
\led_flash_cnt[3720][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3720][1]~79856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3720][1]~q\);

-- Location: LCCOMB_X34_Y21_N20
\led_flash_cnt[3720][2]~79858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3720][2]~79858_combout\ = (\led_flash_cnt[3720][2]~q\ & (!\led_flash_cnt[3720][1]~79857\)) # (!\led_flash_cnt[3720][2]~q\ & ((\led_flash_cnt[3720][1]~79857\) # (GND)))
-- \led_flash_cnt[3720][2]~79859\ = CARRY((!\led_flash_cnt[3720][1]~79857\) # (!\led_flash_cnt[3720][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3720][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3720][1]~79857\,
	combout => \led_flash_cnt[3720][2]~79858_combout\,
	cout => \led_flash_cnt[3720][2]~79859\);

-- Location: FF_X34_Y21_N21
\led_flash_cnt[3720][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3720][2]~79858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3720][2]~q\);

-- Location: LCCOMB_X34_Y21_N22
\led_flash_cnt[3720][3]~79860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3720][3]~79860_combout\ = (\led_flash_cnt[3720][3]~q\ & (\led_flash_cnt[3720][2]~79859\ $ (GND))) # (!\led_flash_cnt[3720][3]~q\ & (!\led_flash_cnt[3720][2]~79859\ & VCC))
-- \led_flash_cnt[3720][3]~79861\ = CARRY((\led_flash_cnt[3720][3]~q\ & !\led_flash_cnt[3720][2]~79859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3720][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3720][2]~79859\,
	combout => \led_flash_cnt[3720][3]~79860_combout\,
	cout => \led_flash_cnt[3720][3]~79861\);

-- Location: FF_X34_Y21_N23
\led_flash_cnt[3720][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3720][3]~79860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3720][3]~q\);

-- Location: LCCOMB_X34_Y21_N24
\led_flash_cnt[3720][4]~79862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3720][4]~79862_combout\ = (\led_flash_cnt[3720][4]~q\ & (!\led_flash_cnt[3720][3]~79861\)) # (!\led_flash_cnt[3720][4]~q\ & ((\led_flash_cnt[3720][3]~79861\) # (GND)))
-- \led_flash_cnt[3720][4]~79863\ = CARRY((!\led_flash_cnt[3720][3]~79861\) # (!\led_flash_cnt[3720][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3720][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3720][3]~79861\,
	combout => \led_flash_cnt[3720][4]~79862_combout\,
	cout => \led_flash_cnt[3720][4]~79863\);

-- Location: FF_X34_Y21_N25
\led_flash_cnt[3720][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3720][4]~79862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3720][4]~q\);

-- Location: LCCOMB_X34_Y21_N26
\led_flash_cnt[3720][5]~79864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3720][5]~79864_combout\ = (\led_flash_cnt[3720][5]~q\ & (\led_flash_cnt[3720][4]~79863\ $ (GND))) # (!\led_flash_cnt[3720][5]~q\ & (!\led_flash_cnt[3720][4]~79863\ & VCC))
-- \led_flash_cnt[3720][5]~79865\ = CARRY((\led_flash_cnt[3720][5]~q\ & !\led_flash_cnt[3720][4]~79863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3720][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3720][4]~79863\,
	combout => \led_flash_cnt[3720][5]~79864_combout\,
	cout => \led_flash_cnt[3720][5]~79865\);

-- Location: FF_X34_Y21_N27
\led_flash_cnt[3720][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3720][5]~79864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3720][5]~q\);

-- Location: LCCOMB_X34_Y21_N28
\led_flash_cnt[3720][6]~79866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3720][6]~79866_combout\ = (\led_flash_cnt[3720][6]~q\ & (!\led_flash_cnt[3720][5]~79865\)) # (!\led_flash_cnt[3720][6]~q\ & ((\led_flash_cnt[3720][5]~79865\) # (GND)))
-- \led_flash_cnt[3720][6]~79867\ = CARRY((!\led_flash_cnt[3720][5]~79865\) # (!\led_flash_cnt[3720][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3720][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3720][5]~79865\,
	combout => \led_flash_cnt[3720][6]~79866_combout\,
	cout => \led_flash_cnt[3720][6]~79867\);

-- Location: FF_X34_Y21_N29
\led_flash_cnt[3720][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3720][6]~79866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3720][6]~q\);

-- Location: LCCOMB_X34_Y21_N16
\WideAnd3720~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3720~1_combout\ = (\led_flash_cnt[3720][5]~q\ & \led_flash_cnt[3720][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3720][5]~q\,
	datad => \led_flash_cnt[3720][6]~q\,
	combout => \WideAnd3720~1_combout\);

-- Location: LCCOMB_X34_Y21_N30
\led_flash_cnt[3720][7]~79868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3720][7]~79868_combout\ = \led_flash_cnt[3720][7]~q\ $ (!\led_flash_cnt[3720][6]~79867\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3720][7]~q\,
	cin => \led_flash_cnt[3720][6]~79867\,
	combout => \led_flash_cnt[3720][7]~79868_combout\);

-- Location: FF_X34_Y21_N31
\led_flash_cnt[3720][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3720][7]~79868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3720][7]~q\);

-- Location: LCCOMB_X34_Y21_N2
\WideAnd3720~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3720~0_combout\ = (\led_flash_cnt[3720][2]~q\ & (\led_flash_cnt[3720][4]~q\ & (\led_flash_cnt[3720][3]~q\ & \led_flash_cnt[3720][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3720][2]~q\,
	datab => \led_flash_cnt[3720][4]~q\,
	datac => \led_flash_cnt[3720][3]~q\,
	datad => \led_flash_cnt[3720][1]~q\,
	combout => \WideAnd3720~0_combout\);

-- Location: LCCOMB_X34_Y21_N10
WideAnd3720 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3720~combout\ = (\led_flash_cnt[3720][0]~q\ & (\WideAnd3720~1_combout\ & (\led_flash_cnt[3720][7]~q\ & \WideAnd3720~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3720][0]~q\,
	datab => \WideAnd3720~1_combout\,
	datac => \led_flash_cnt[3720][7]~q\,
	datad => \WideAnd3720~0_combout\,
	combout => \WideAnd3720~combout\);

-- Location: FF_X34_Y21_N11
\led_flash_cnt_ands[3720]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3720~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3720));

-- Location: LCCOMB_X29_Y4_N30
\led_flash_cnt[3723][0]~84427\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3723][0]~84427_combout\ = !\led_flash_cnt[3723][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3723][0]~q\,
	combout => \led_flash_cnt[3723][0]~84427_combout\);

-- Location: FF_X29_Y4_N31
\led_flash_cnt[3723][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3723][0]~84427_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3723][0]~q\);

-- Location: LCCOMB_X26_Y4_N2
\led_flash_cnt[3723][1]~79898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3723][1]~79898_combout\ = (\led_flash_cnt[3723][0]~q\ & (\led_flash_cnt[3723][1]~q\ $ (VCC))) # (!\led_flash_cnt[3723][0]~q\ & (\led_flash_cnt[3723][1]~q\ & VCC))
-- \led_flash_cnt[3723][1]~79899\ = CARRY((\led_flash_cnt[3723][0]~q\ & \led_flash_cnt[3723][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3723][0]~q\,
	datab => \led_flash_cnt[3723][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3723][1]~79898_combout\,
	cout => \led_flash_cnt[3723][1]~79899\);

-- Location: FF_X26_Y4_N3
\led_flash_cnt[3723][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3723][1]~79898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3723][1]~q\);

-- Location: LCCOMB_X26_Y4_N4
\led_flash_cnt[3723][2]~79900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3723][2]~79900_combout\ = (\led_flash_cnt[3723][2]~q\ & (!\led_flash_cnt[3723][1]~79899\)) # (!\led_flash_cnt[3723][2]~q\ & ((\led_flash_cnt[3723][1]~79899\) # (GND)))
-- \led_flash_cnt[3723][2]~79901\ = CARRY((!\led_flash_cnt[3723][1]~79899\) # (!\led_flash_cnt[3723][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3723][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3723][1]~79899\,
	combout => \led_flash_cnt[3723][2]~79900_combout\,
	cout => \led_flash_cnt[3723][2]~79901\);

-- Location: FF_X26_Y4_N5
\led_flash_cnt[3723][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3723][2]~79900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3723][2]~q\);

-- Location: LCCOMB_X26_Y4_N6
\led_flash_cnt[3723][3]~79902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3723][3]~79902_combout\ = (\led_flash_cnt[3723][3]~q\ & (\led_flash_cnt[3723][2]~79901\ $ (GND))) # (!\led_flash_cnt[3723][3]~q\ & (!\led_flash_cnt[3723][2]~79901\ & VCC))
-- \led_flash_cnt[3723][3]~79903\ = CARRY((\led_flash_cnt[3723][3]~q\ & !\led_flash_cnt[3723][2]~79901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3723][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3723][2]~79901\,
	combout => \led_flash_cnt[3723][3]~79902_combout\,
	cout => \led_flash_cnt[3723][3]~79903\);

-- Location: FF_X26_Y4_N7
\led_flash_cnt[3723][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3723][3]~79902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3723][3]~q\);

-- Location: LCCOMB_X26_Y4_N8
\led_flash_cnt[3723][4]~79904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3723][4]~79904_combout\ = (\led_flash_cnt[3723][4]~q\ & (!\led_flash_cnt[3723][3]~79903\)) # (!\led_flash_cnt[3723][4]~q\ & ((\led_flash_cnt[3723][3]~79903\) # (GND)))
-- \led_flash_cnt[3723][4]~79905\ = CARRY((!\led_flash_cnt[3723][3]~79903\) # (!\led_flash_cnt[3723][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3723][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3723][3]~79903\,
	combout => \led_flash_cnt[3723][4]~79904_combout\,
	cout => \led_flash_cnt[3723][4]~79905\);

-- Location: FF_X26_Y4_N9
\led_flash_cnt[3723][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3723][4]~79904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3723][4]~q\);

-- Location: LCCOMB_X26_Y4_N0
\WideAnd3723~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3723~0_combout\ = (\led_flash_cnt[3723][3]~q\ & (\led_flash_cnt[3723][4]~q\ & (\led_flash_cnt[3723][2]~q\ & \led_flash_cnt[3723][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3723][3]~q\,
	datab => \led_flash_cnt[3723][4]~q\,
	datac => \led_flash_cnt[3723][2]~q\,
	datad => \led_flash_cnt[3723][1]~q\,
	combout => \WideAnd3723~0_combout\);

-- Location: LCCOMB_X26_Y4_N10
\led_flash_cnt[3723][5]~79906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3723][5]~79906_combout\ = (\led_flash_cnt[3723][5]~q\ & (\led_flash_cnt[3723][4]~79905\ $ (GND))) # (!\led_flash_cnt[3723][5]~q\ & (!\led_flash_cnt[3723][4]~79905\ & VCC))
-- \led_flash_cnt[3723][5]~79907\ = CARRY((\led_flash_cnt[3723][5]~q\ & !\led_flash_cnt[3723][4]~79905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3723][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3723][4]~79905\,
	combout => \led_flash_cnt[3723][5]~79906_combout\,
	cout => \led_flash_cnt[3723][5]~79907\);

-- Location: FF_X26_Y4_N11
\led_flash_cnt[3723][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3723][5]~79906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3723][5]~q\);

-- Location: LCCOMB_X26_Y4_N12
\led_flash_cnt[3723][6]~79908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3723][6]~79908_combout\ = (\led_flash_cnt[3723][6]~q\ & (!\led_flash_cnt[3723][5]~79907\)) # (!\led_flash_cnt[3723][6]~q\ & ((\led_flash_cnt[3723][5]~79907\) # (GND)))
-- \led_flash_cnt[3723][6]~79909\ = CARRY((!\led_flash_cnt[3723][5]~79907\) # (!\led_flash_cnt[3723][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3723][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3723][5]~79907\,
	combout => \led_flash_cnt[3723][6]~79908_combout\,
	cout => \led_flash_cnt[3723][6]~79909\);

-- Location: FF_X26_Y4_N13
\led_flash_cnt[3723][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3723][6]~79908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3723][6]~q\);

-- Location: LCCOMB_X27_Y4_N28
\WideAnd3723~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3723~1_combout\ = (\led_flash_cnt[3723][6]~q\ & \led_flash_cnt[3723][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3723][6]~q\,
	datad => \led_flash_cnt[3723][5]~q\,
	combout => \WideAnd3723~1_combout\);

-- Location: LCCOMB_X26_Y4_N14
\led_flash_cnt[3723][7]~79910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3723][7]~79910_combout\ = \led_flash_cnt[3723][7]~q\ $ (!\led_flash_cnt[3723][6]~79909\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3723][7]~q\,
	cin => \led_flash_cnt[3723][6]~79909\,
	combout => \led_flash_cnt[3723][7]~79910_combout\);

-- Location: FF_X26_Y4_N15
\led_flash_cnt[3723][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3723][7]~79910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3723][7]~q\);

-- Location: LCCOMB_X27_Y4_N2
WideAnd3723 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3723~combout\ = (\WideAnd3723~0_combout\ & (\WideAnd3723~1_combout\ & (\led_flash_cnt[3723][0]~q\ & \led_flash_cnt[3723][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3723~0_combout\,
	datab => \WideAnd3723~1_combout\,
	datac => \led_flash_cnt[3723][0]~q\,
	datad => \led_flash_cnt[3723][7]~q\,
	combout => \WideAnd3723~combout\);

-- Location: FF_X27_Y4_N3
\led_flash_cnt_ands[3723]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3723~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3723));

-- Location: LCCOMB_X29_Y18_N30
\led_flash_cnt[3721][0]~84425\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3721][0]~84425_combout\ = !\led_flash_cnt[3721][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3721][0]~q\,
	combout => \led_flash_cnt[3721][0]~84425_combout\);

-- Location: FF_X29_Y18_N31
\led_flash_cnt[3721][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3721][0]~84425_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3721][0]~q\);

-- Location: LCCOMB_X29_Y17_N2
\led_flash_cnt[3721][1]~79870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3721][1]~79870_combout\ = (\led_flash_cnt[3721][0]~q\ & (\led_flash_cnt[3721][1]~q\ $ (VCC))) # (!\led_flash_cnt[3721][0]~q\ & (\led_flash_cnt[3721][1]~q\ & VCC))
-- \led_flash_cnt[3721][1]~79871\ = CARRY((\led_flash_cnt[3721][0]~q\ & \led_flash_cnt[3721][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3721][0]~q\,
	datab => \led_flash_cnt[3721][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3721][1]~79870_combout\,
	cout => \led_flash_cnt[3721][1]~79871\);

-- Location: FF_X29_Y17_N3
\led_flash_cnt[3721][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3721][1]~79870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3721][1]~q\);

-- Location: LCCOMB_X29_Y17_N4
\led_flash_cnt[3721][2]~79872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3721][2]~79872_combout\ = (\led_flash_cnt[3721][2]~q\ & (!\led_flash_cnt[3721][1]~79871\)) # (!\led_flash_cnt[3721][2]~q\ & ((\led_flash_cnt[3721][1]~79871\) # (GND)))
-- \led_flash_cnt[3721][2]~79873\ = CARRY((!\led_flash_cnt[3721][1]~79871\) # (!\led_flash_cnt[3721][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3721][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3721][1]~79871\,
	combout => \led_flash_cnt[3721][2]~79872_combout\,
	cout => \led_flash_cnt[3721][2]~79873\);

-- Location: FF_X29_Y17_N5
\led_flash_cnt[3721][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3721][2]~79872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3721][2]~q\);

-- Location: LCCOMB_X29_Y17_N6
\led_flash_cnt[3721][3]~79874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3721][3]~79874_combout\ = (\led_flash_cnt[3721][3]~q\ & (\led_flash_cnt[3721][2]~79873\ $ (GND))) # (!\led_flash_cnt[3721][3]~q\ & (!\led_flash_cnt[3721][2]~79873\ & VCC))
-- \led_flash_cnt[3721][3]~79875\ = CARRY((\led_flash_cnt[3721][3]~q\ & !\led_flash_cnt[3721][2]~79873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3721][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3721][2]~79873\,
	combout => \led_flash_cnt[3721][3]~79874_combout\,
	cout => \led_flash_cnt[3721][3]~79875\);

-- Location: FF_X29_Y17_N7
\led_flash_cnt[3721][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3721][3]~79874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3721][3]~q\);

-- Location: LCCOMB_X29_Y17_N8
\led_flash_cnt[3721][4]~79876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3721][4]~79876_combout\ = (\led_flash_cnt[3721][4]~q\ & (!\led_flash_cnt[3721][3]~79875\)) # (!\led_flash_cnt[3721][4]~q\ & ((\led_flash_cnt[3721][3]~79875\) # (GND)))
-- \led_flash_cnt[3721][4]~79877\ = CARRY((!\led_flash_cnt[3721][3]~79875\) # (!\led_flash_cnt[3721][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3721][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3721][3]~79875\,
	combout => \led_flash_cnt[3721][4]~79876_combout\,
	cout => \led_flash_cnt[3721][4]~79877\);

-- Location: FF_X29_Y17_N9
\led_flash_cnt[3721][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3721][4]~79876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3721][4]~q\);

-- Location: LCCOMB_X29_Y17_N10
\led_flash_cnt[3721][5]~79878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3721][5]~79878_combout\ = (\led_flash_cnt[3721][5]~q\ & (\led_flash_cnt[3721][4]~79877\ $ (GND))) # (!\led_flash_cnt[3721][5]~q\ & (!\led_flash_cnt[3721][4]~79877\ & VCC))
-- \led_flash_cnt[3721][5]~79879\ = CARRY((\led_flash_cnt[3721][5]~q\ & !\led_flash_cnt[3721][4]~79877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3721][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3721][4]~79877\,
	combout => \led_flash_cnt[3721][5]~79878_combout\,
	cout => \led_flash_cnt[3721][5]~79879\);

-- Location: FF_X29_Y17_N11
\led_flash_cnt[3721][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3721][5]~79878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3721][5]~q\);

-- Location: LCCOMB_X29_Y17_N12
\led_flash_cnt[3721][6]~79880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3721][6]~79880_combout\ = (\led_flash_cnt[3721][6]~q\ & (!\led_flash_cnt[3721][5]~79879\)) # (!\led_flash_cnt[3721][6]~q\ & ((\led_flash_cnt[3721][5]~79879\) # (GND)))
-- \led_flash_cnt[3721][6]~79881\ = CARRY((!\led_flash_cnt[3721][5]~79879\) # (!\led_flash_cnt[3721][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3721][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3721][5]~79879\,
	combout => \led_flash_cnt[3721][6]~79880_combout\,
	cout => \led_flash_cnt[3721][6]~79881\);

-- Location: FF_X29_Y17_N13
\led_flash_cnt[3721][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3721][6]~79880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3721][6]~q\);

-- Location: LCCOMB_X29_Y17_N14
\led_flash_cnt[3721][7]~79882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3721][7]~79882_combout\ = \led_flash_cnt[3721][7]~q\ $ (!\led_flash_cnt[3721][6]~79881\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3721][7]~q\,
	cin => \led_flash_cnt[3721][6]~79881\,
	combout => \led_flash_cnt[3721][7]~79882_combout\);

-- Location: FF_X29_Y17_N15
\led_flash_cnt[3721][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3721][7]~79882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3721][7]~q\);

-- Location: LCCOMB_X29_Y17_N0
\WideAnd3721~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3721~0_combout\ = (\led_flash_cnt[3721][3]~q\ & (\led_flash_cnt[3721][2]~q\ & (\led_flash_cnt[3721][4]~q\ & \led_flash_cnt[3721][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3721][3]~q\,
	datab => \led_flash_cnt[3721][2]~q\,
	datac => \led_flash_cnt[3721][4]~q\,
	datad => \led_flash_cnt[3721][1]~q\,
	combout => \WideAnd3721~0_combout\);

-- Location: LCCOMB_X29_Y18_N10
\WideAnd3721~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3721~1_combout\ = (\led_flash_cnt[3721][5]~q\ & \led_flash_cnt[3721][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3721][5]~q\,
	datad => \led_flash_cnt[3721][6]~q\,
	combout => \WideAnd3721~1_combout\);

-- Location: LCCOMB_X29_Y18_N28
WideAnd3721 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3721~combout\ = (\led_flash_cnt[3721][7]~q\ & (\WideAnd3721~0_combout\ & (\led_flash_cnt[3721][0]~q\ & \WideAnd3721~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3721][7]~q\,
	datab => \WideAnd3721~0_combout\,
	datac => \led_flash_cnt[3721][0]~q\,
	datad => \WideAnd3721~1_combout\,
	combout => \WideAnd3721~combout\);

-- Location: FF_X29_Y18_N29
\led_flash_cnt_ands[3721]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3721~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3721));

-- Location: LCCOMB_X29_Y18_N0
\WideAnd4305~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4305~0_combout\ = (led_flash_cnt_ands(3722) & (led_flash_cnt_ands(3720) & (led_flash_cnt_ands(3723) & led_flash_cnt_ands(3721))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3722),
	datab => led_flash_cnt_ands(3720),
	datac => led_flash_cnt_ands(3723),
	datad => led_flash_cnt_ands(3721),
	combout => \WideAnd4305~0_combout\);

-- Location: LCCOMB_X29_Y18_N8
WideAnd4305 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4305~combout\ = (led_flash_cnt_ands(3726) & (\WideAnd4305~1_combout\ & (led_flash_cnt_ands(3727) & \WideAnd4305~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3726),
	datab => \WideAnd4305~1_combout\,
	datac => led_flash_cnt_ands(3727),
	datad => \WideAnd4305~0_combout\,
	combout => \WideAnd4305~combout\);

-- Location: FF_X29_Y18_N9
\led_flash_cnt_ands_1[465]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4305~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(465));

-- Location: LCCOMB_X30_Y27_N18
\WideAnd4378~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4378~0_combout\ = (led_flash_cnt_ands_1(464) & (led_flash_cnt_ands_1(466) & (led_flash_cnt_ands_1(467) & led_flash_cnt_ands_1(465))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(464),
	datab => led_flash_cnt_ands_1(466),
	datac => led_flash_cnt_ands_1(467),
	datad => led_flash_cnt_ands_1(465),
	combout => \WideAnd4378~0_combout\);

-- Location: LCCOMB_X38_Y35_N2
\led_flash_cnt[3765][0]~84469\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3765][0]~84469_combout\ = !\led_flash_cnt[3765][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3765][0]~q\,
	combout => \led_flash_cnt[3765][0]~84469_combout\);

-- Location: FF_X38_Y35_N3
\led_flash_cnt[3765][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3765][0]~84469_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3765][0]~q\);

-- Location: LCCOMB_X37_Y35_N0
\led_flash_cnt[3765][1]~80486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3765][1]~80486_combout\ = (\led_flash_cnt[3765][0]~q\ & (\led_flash_cnt[3765][1]~q\ $ (VCC))) # (!\led_flash_cnt[3765][0]~q\ & (\led_flash_cnt[3765][1]~q\ & VCC))
-- \led_flash_cnt[3765][1]~80487\ = CARRY((\led_flash_cnt[3765][0]~q\ & \led_flash_cnt[3765][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3765][0]~q\,
	datab => \led_flash_cnt[3765][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3765][1]~80486_combout\,
	cout => \led_flash_cnt[3765][1]~80487\);

-- Location: FF_X37_Y35_N1
\led_flash_cnt[3765][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3765][1]~80486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3765][1]~q\);

-- Location: LCCOMB_X37_Y35_N2
\led_flash_cnt[3765][2]~80488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3765][2]~80488_combout\ = (\led_flash_cnt[3765][2]~q\ & (!\led_flash_cnt[3765][1]~80487\)) # (!\led_flash_cnt[3765][2]~q\ & ((\led_flash_cnt[3765][1]~80487\) # (GND)))
-- \led_flash_cnt[3765][2]~80489\ = CARRY((!\led_flash_cnt[3765][1]~80487\) # (!\led_flash_cnt[3765][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3765][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3765][1]~80487\,
	combout => \led_flash_cnt[3765][2]~80488_combout\,
	cout => \led_flash_cnt[3765][2]~80489\);

-- Location: FF_X37_Y35_N3
\led_flash_cnt[3765][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3765][2]~80488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3765][2]~q\);

-- Location: LCCOMB_X37_Y35_N4
\led_flash_cnt[3765][3]~80490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3765][3]~80490_combout\ = (\led_flash_cnt[3765][3]~q\ & (\led_flash_cnt[3765][2]~80489\ $ (GND))) # (!\led_flash_cnt[3765][3]~q\ & (!\led_flash_cnt[3765][2]~80489\ & VCC))
-- \led_flash_cnt[3765][3]~80491\ = CARRY((\led_flash_cnt[3765][3]~q\ & !\led_flash_cnt[3765][2]~80489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3765][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3765][2]~80489\,
	combout => \led_flash_cnt[3765][3]~80490_combout\,
	cout => \led_flash_cnt[3765][3]~80491\);

-- Location: FF_X37_Y35_N5
\led_flash_cnt[3765][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3765][3]~80490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3765][3]~q\);

-- Location: LCCOMB_X37_Y35_N6
\led_flash_cnt[3765][4]~80492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3765][4]~80492_combout\ = (\led_flash_cnt[3765][4]~q\ & (!\led_flash_cnt[3765][3]~80491\)) # (!\led_flash_cnt[3765][4]~q\ & ((\led_flash_cnt[3765][3]~80491\) # (GND)))
-- \led_flash_cnt[3765][4]~80493\ = CARRY((!\led_flash_cnt[3765][3]~80491\) # (!\led_flash_cnt[3765][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3765][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3765][3]~80491\,
	combout => \led_flash_cnt[3765][4]~80492_combout\,
	cout => \led_flash_cnt[3765][4]~80493\);

-- Location: FF_X37_Y35_N7
\led_flash_cnt[3765][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3765][4]~80492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3765][4]~q\);

-- Location: LCCOMB_X37_Y35_N8
\led_flash_cnt[3765][5]~80494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3765][5]~80494_combout\ = (\led_flash_cnt[3765][5]~q\ & (\led_flash_cnt[3765][4]~80493\ $ (GND))) # (!\led_flash_cnt[3765][5]~q\ & (!\led_flash_cnt[3765][4]~80493\ & VCC))
-- \led_flash_cnt[3765][5]~80495\ = CARRY((\led_flash_cnt[3765][5]~q\ & !\led_flash_cnt[3765][4]~80493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3765][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3765][4]~80493\,
	combout => \led_flash_cnt[3765][5]~80494_combout\,
	cout => \led_flash_cnt[3765][5]~80495\);

-- Location: FF_X37_Y35_N9
\led_flash_cnt[3765][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3765][5]~80494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3765][5]~q\);

-- Location: LCCOMB_X37_Y35_N10
\led_flash_cnt[3765][6]~80496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3765][6]~80496_combout\ = (\led_flash_cnt[3765][6]~q\ & (!\led_flash_cnt[3765][5]~80495\)) # (!\led_flash_cnt[3765][6]~q\ & ((\led_flash_cnt[3765][5]~80495\) # (GND)))
-- \led_flash_cnt[3765][6]~80497\ = CARRY((!\led_flash_cnt[3765][5]~80495\) # (!\led_flash_cnt[3765][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3765][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3765][5]~80495\,
	combout => \led_flash_cnt[3765][6]~80496_combout\,
	cout => \led_flash_cnt[3765][6]~80497\);

-- Location: FF_X37_Y35_N11
\led_flash_cnt[3765][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3765][6]~80496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3765][6]~q\);

-- Location: LCCOMB_X37_Y35_N12
\led_flash_cnt[3765][7]~80498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3765][7]~80498_combout\ = \led_flash_cnt[3765][6]~80497\ $ (!\led_flash_cnt[3765][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3765][7]~q\,
	cin => \led_flash_cnt[3765][6]~80497\,
	combout => \led_flash_cnt[3765][7]~80498_combout\);

-- Location: FF_X37_Y35_N13
\led_flash_cnt[3765][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3765][7]~80498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3765][7]~q\);

-- Location: LCCOMB_X38_Y35_N28
\WideAnd3765~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3765~1_combout\ = (\led_flash_cnt[3765][5]~q\ & \led_flash_cnt[3765][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3765][5]~q\,
	datad => \led_flash_cnt[3765][6]~q\,
	combout => \WideAnd3765~1_combout\);

-- Location: LCCOMB_X37_Y35_N16
\WideAnd3765~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3765~0_combout\ = (\led_flash_cnt[3765][4]~q\ & (\led_flash_cnt[3765][1]~q\ & (\led_flash_cnt[3765][3]~q\ & \led_flash_cnt[3765][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3765][4]~q\,
	datab => \led_flash_cnt[3765][1]~q\,
	datac => \led_flash_cnt[3765][3]~q\,
	datad => \led_flash_cnt[3765][2]~q\,
	combout => \WideAnd3765~0_combout\);

-- Location: LCCOMB_X38_Y35_N26
WideAnd3765 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3765~combout\ = (\led_flash_cnt[3765][7]~q\ & (\WideAnd3765~1_combout\ & (\WideAnd3765~0_combout\ & \led_flash_cnt[3765][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3765][7]~q\,
	datab => \WideAnd3765~1_combout\,
	datac => \WideAnd3765~0_combout\,
	datad => \led_flash_cnt[3765][0]~q\,
	combout => \WideAnd3765~combout\);

-- Location: FF_X38_Y35_N27
\led_flash_cnt_ands[3765]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3765~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3765));

-- Location: LCCOMB_X38_Y35_N30
\led_flash_cnt[3764][0]~84468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3764][0]~84468_combout\ = !\led_flash_cnt[3764][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3764][0]~q\,
	combout => \led_flash_cnt[3764][0]~84468_combout\);

-- Location: FF_X38_Y35_N31
\led_flash_cnt[3764][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3764][0]~84468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3764][0]~q\);

-- Location: LCCOMB_X38_Y35_N4
\led_flash_cnt[3764][1]~80472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3764][1]~80472_combout\ = (\led_flash_cnt[3764][0]~q\ & (\led_flash_cnt[3764][1]~q\ $ (VCC))) # (!\led_flash_cnt[3764][0]~q\ & (\led_flash_cnt[3764][1]~q\ & VCC))
-- \led_flash_cnt[3764][1]~80473\ = CARRY((\led_flash_cnt[3764][0]~q\ & \led_flash_cnt[3764][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3764][0]~q\,
	datab => \led_flash_cnt[3764][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3764][1]~80472_combout\,
	cout => \led_flash_cnt[3764][1]~80473\);

-- Location: FF_X38_Y35_N5
\led_flash_cnt[3764][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3764][1]~80472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3764][1]~q\);

-- Location: LCCOMB_X38_Y35_N6
\led_flash_cnt[3764][2]~80474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3764][2]~80474_combout\ = (\led_flash_cnt[3764][2]~q\ & (!\led_flash_cnt[3764][1]~80473\)) # (!\led_flash_cnt[3764][2]~q\ & ((\led_flash_cnt[3764][1]~80473\) # (GND)))
-- \led_flash_cnt[3764][2]~80475\ = CARRY((!\led_flash_cnt[3764][1]~80473\) # (!\led_flash_cnt[3764][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3764][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3764][1]~80473\,
	combout => \led_flash_cnt[3764][2]~80474_combout\,
	cout => \led_flash_cnt[3764][2]~80475\);

-- Location: FF_X38_Y35_N7
\led_flash_cnt[3764][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3764][2]~80474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3764][2]~q\);

-- Location: LCCOMB_X38_Y35_N8
\led_flash_cnt[3764][3]~80476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3764][3]~80476_combout\ = (\led_flash_cnt[3764][3]~q\ & (\led_flash_cnt[3764][2]~80475\ $ (GND))) # (!\led_flash_cnt[3764][3]~q\ & (!\led_flash_cnt[3764][2]~80475\ & VCC))
-- \led_flash_cnt[3764][3]~80477\ = CARRY((\led_flash_cnt[3764][3]~q\ & !\led_flash_cnt[3764][2]~80475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3764][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3764][2]~80475\,
	combout => \led_flash_cnt[3764][3]~80476_combout\,
	cout => \led_flash_cnt[3764][3]~80477\);

-- Location: FF_X38_Y35_N9
\led_flash_cnt[3764][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3764][3]~80476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3764][3]~q\);

-- Location: LCCOMB_X38_Y35_N10
\led_flash_cnt[3764][4]~80478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3764][4]~80478_combout\ = (\led_flash_cnt[3764][4]~q\ & (!\led_flash_cnt[3764][3]~80477\)) # (!\led_flash_cnt[3764][4]~q\ & ((\led_flash_cnt[3764][3]~80477\) # (GND)))
-- \led_flash_cnt[3764][4]~80479\ = CARRY((!\led_flash_cnt[3764][3]~80477\) # (!\led_flash_cnt[3764][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3764][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3764][3]~80477\,
	combout => \led_flash_cnt[3764][4]~80478_combout\,
	cout => \led_flash_cnt[3764][4]~80479\);

-- Location: FF_X38_Y35_N11
\led_flash_cnt[3764][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3764][4]~80478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3764][4]~q\);

-- Location: LCCOMB_X38_Y35_N24
\WideAnd3764~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3764~0_combout\ = (\led_flash_cnt[3764][4]~q\ & (\led_flash_cnt[3764][1]~q\ & (\led_flash_cnt[3764][3]~q\ & \led_flash_cnt[3764][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3764][4]~q\,
	datab => \led_flash_cnt[3764][1]~q\,
	datac => \led_flash_cnt[3764][3]~q\,
	datad => \led_flash_cnt[3764][2]~q\,
	combout => \WideAnd3764~0_combout\);

-- Location: LCCOMB_X38_Y35_N12
\led_flash_cnt[3764][5]~80480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3764][5]~80480_combout\ = (\led_flash_cnt[3764][5]~q\ & (\led_flash_cnt[3764][4]~80479\ $ (GND))) # (!\led_flash_cnt[3764][5]~q\ & (!\led_flash_cnt[3764][4]~80479\ & VCC))
-- \led_flash_cnt[3764][5]~80481\ = CARRY((\led_flash_cnt[3764][5]~q\ & !\led_flash_cnt[3764][4]~80479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3764][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3764][4]~80479\,
	combout => \led_flash_cnt[3764][5]~80480_combout\,
	cout => \led_flash_cnt[3764][5]~80481\);

-- Location: FF_X38_Y35_N13
\led_flash_cnt[3764][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3764][5]~80480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3764][5]~q\);

-- Location: LCCOMB_X38_Y35_N14
\led_flash_cnt[3764][6]~80482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3764][6]~80482_combout\ = (\led_flash_cnt[3764][6]~q\ & (!\led_flash_cnt[3764][5]~80481\)) # (!\led_flash_cnt[3764][6]~q\ & ((\led_flash_cnt[3764][5]~80481\) # (GND)))
-- \led_flash_cnt[3764][6]~80483\ = CARRY((!\led_flash_cnt[3764][5]~80481\) # (!\led_flash_cnt[3764][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3764][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3764][5]~80481\,
	combout => \led_flash_cnt[3764][6]~80482_combout\,
	cout => \led_flash_cnt[3764][6]~80483\);

-- Location: FF_X38_Y35_N15
\led_flash_cnt[3764][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3764][6]~80482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3764][6]~q\);

-- Location: LCCOMB_X38_Y35_N22
\WideAnd3764~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3764~1_combout\ = (\led_flash_cnt[3764][6]~q\ & \led_flash_cnt[3764][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3764][6]~q\,
	datad => \led_flash_cnt[3764][5]~q\,
	combout => \WideAnd3764~1_combout\);

-- Location: LCCOMB_X38_Y35_N16
\led_flash_cnt[3764][7]~80484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3764][7]~80484_combout\ = \led_flash_cnt[3764][6]~80483\ $ (!\led_flash_cnt[3764][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3764][7]~q\,
	cin => \led_flash_cnt[3764][6]~80483\,
	combout => \led_flash_cnt[3764][7]~80484_combout\);

-- Location: FF_X38_Y35_N17
\led_flash_cnt[3764][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3764][7]~80484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3764][7]~q\);

-- Location: LCCOMB_X38_Y35_N18
WideAnd3764 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3764~combout\ = (\led_flash_cnt[3764][0]~q\ & (\WideAnd3764~0_combout\ & (\WideAnd3764~1_combout\ & \led_flash_cnt[3764][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3764][0]~q\,
	datab => \WideAnd3764~0_combout\,
	datac => \WideAnd3764~1_combout\,
	datad => \led_flash_cnt[3764][7]~q\,
	combout => \WideAnd3764~combout\);

-- Location: FF_X38_Y35_N19
\led_flash_cnt_ands[3764]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3764~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3764));

-- Location: LCCOMB_X38_Y35_N20
\WideAnd4310~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4310~1_combout\ = (led_flash_cnt_ands(3765) & led_flash_cnt_ands(3764))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3765),
	datad => led_flash_cnt_ands(3764),
	combout => \WideAnd4310~1_combout\);

-- Location: LCCOMB_X35_Y30_N24
\led_flash_cnt[3766][0]~84470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3766][0]~84470_combout\ = !\led_flash_cnt[3766][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3766][0]~q\,
	combout => \led_flash_cnt[3766][0]~84470_combout\);

-- Location: FF_X35_Y30_N25
\led_flash_cnt[3766][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3766][0]~84470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3766][0]~q\);

-- Location: LCCOMB_X34_Y30_N18
\led_flash_cnt[3766][1]~80500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3766][1]~80500_combout\ = (\led_flash_cnt[3766][0]~q\ & (\led_flash_cnt[3766][1]~q\ $ (VCC))) # (!\led_flash_cnt[3766][0]~q\ & (\led_flash_cnt[3766][1]~q\ & VCC))
-- \led_flash_cnt[3766][1]~80501\ = CARRY((\led_flash_cnt[3766][0]~q\ & \led_flash_cnt[3766][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3766][0]~q\,
	datab => \led_flash_cnt[3766][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3766][1]~80500_combout\,
	cout => \led_flash_cnt[3766][1]~80501\);

-- Location: FF_X34_Y30_N19
\led_flash_cnt[3766][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3766][1]~80500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3766][1]~q\);

-- Location: LCCOMB_X34_Y30_N20
\led_flash_cnt[3766][2]~80502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3766][2]~80502_combout\ = (\led_flash_cnt[3766][2]~q\ & (!\led_flash_cnt[3766][1]~80501\)) # (!\led_flash_cnt[3766][2]~q\ & ((\led_flash_cnt[3766][1]~80501\) # (GND)))
-- \led_flash_cnt[3766][2]~80503\ = CARRY((!\led_flash_cnt[3766][1]~80501\) # (!\led_flash_cnt[3766][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3766][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3766][1]~80501\,
	combout => \led_flash_cnt[3766][2]~80502_combout\,
	cout => \led_flash_cnt[3766][2]~80503\);

-- Location: FF_X34_Y30_N21
\led_flash_cnt[3766][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3766][2]~80502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3766][2]~q\);

-- Location: LCCOMB_X34_Y30_N22
\led_flash_cnt[3766][3]~80504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3766][3]~80504_combout\ = (\led_flash_cnt[3766][3]~q\ & (\led_flash_cnt[3766][2]~80503\ $ (GND))) # (!\led_flash_cnt[3766][3]~q\ & (!\led_flash_cnt[3766][2]~80503\ & VCC))
-- \led_flash_cnt[3766][3]~80505\ = CARRY((\led_flash_cnt[3766][3]~q\ & !\led_flash_cnt[3766][2]~80503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3766][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3766][2]~80503\,
	combout => \led_flash_cnt[3766][3]~80504_combout\,
	cout => \led_flash_cnt[3766][3]~80505\);

-- Location: FF_X34_Y30_N23
\led_flash_cnt[3766][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3766][3]~80504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3766][3]~q\);

-- Location: LCCOMB_X34_Y30_N24
\led_flash_cnt[3766][4]~80506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3766][4]~80506_combout\ = (\led_flash_cnt[3766][4]~q\ & (!\led_flash_cnt[3766][3]~80505\)) # (!\led_flash_cnt[3766][4]~q\ & ((\led_flash_cnt[3766][3]~80505\) # (GND)))
-- \led_flash_cnt[3766][4]~80507\ = CARRY((!\led_flash_cnt[3766][3]~80505\) # (!\led_flash_cnt[3766][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3766][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3766][3]~80505\,
	combout => \led_flash_cnt[3766][4]~80506_combout\,
	cout => \led_flash_cnt[3766][4]~80507\);

-- Location: FF_X34_Y30_N25
\led_flash_cnt[3766][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3766][4]~80506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3766][4]~q\);

-- Location: LCCOMB_X34_Y30_N2
\WideAnd3766~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3766~0_combout\ = (\led_flash_cnt[3766][4]~q\ & (\led_flash_cnt[3766][1]~q\ & (\led_flash_cnt[3766][3]~q\ & \led_flash_cnt[3766][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3766][4]~q\,
	datab => \led_flash_cnt[3766][1]~q\,
	datac => \led_flash_cnt[3766][3]~q\,
	datad => \led_flash_cnt[3766][2]~q\,
	combout => \WideAnd3766~0_combout\);

-- Location: LCCOMB_X34_Y30_N26
\led_flash_cnt[3766][5]~80508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3766][5]~80508_combout\ = (\led_flash_cnt[3766][5]~q\ & (\led_flash_cnt[3766][4]~80507\ $ (GND))) # (!\led_flash_cnt[3766][5]~q\ & (!\led_flash_cnt[3766][4]~80507\ & VCC))
-- \led_flash_cnt[3766][5]~80509\ = CARRY((\led_flash_cnt[3766][5]~q\ & !\led_flash_cnt[3766][4]~80507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3766][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3766][4]~80507\,
	combout => \led_flash_cnt[3766][5]~80508_combout\,
	cout => \led_flash_cnt[3766][5]~80509\);

-- Location: FF_X34_Y30_N27
\led_flash_cnt[3766][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3766][5]~80508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3766][5]~q\);

-- Location: LCCOMB_X34_Y30_N28
\led_flash_cnt[3766][6]~80510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3766][6]~80510_combout\ = (\led_flash_cnt[3766][6]~q\ & (!\led_flash_cnt[3766][5]~80509\)) # (!\led_flash_cnt[3766][6]~q\ & ((\led_flash_cnt[3766][5]~80509\) # (GND)))
-- \led_flash_cnt[3766][6]~80511\ = CARRY((!\led_flash_cnt[3766][5]~80509\) # (!\led_flash_cnt[3766][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3766][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3766][5]~80509\,
	combout => \led_flash_cnt[3766][6]~80510_combout\,
	cout => \led_flash_cnt[3766][6]~80511\);

-- Location: FF_X34_Y30_N29
\led_flash_cnt[3766][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3766][6]~80510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3766][6]~q\);

-- Location: LCCOMB_X34_Y30_N30
\led_flash_cnt[3766][7]~80512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3766][7]~80512_combout\ = \led_flash_cnt[3766][7]~q\ $ (!\led_flash_cnt[3766][6]~80511\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3766][7]~q\,
	cin => \led_flash_cnt[3766][6]~80511\,
	combout => \led_flash_cnt[3766][7]~80512_combout\);

-- Location: FF_X34_Y30_N31
\led_flash_cnt[3766][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3766][7]~80512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3766][7]~q\);

-- Location: LCCOMB_X35_Y30_N14
\WideAnd3766~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3766~1_combout\ = (\led_flash_cnt[3766][5]~q\ & \led_flash_cnt[3766][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3766][5]~q\,
	datad => \led_flash_cnt[3766][6]~q\,
	combout => \WideAnd3766~1_combout\);

-- Location: LCCOMB_X35_Y30_N18
WideAnd3766 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3766~combout\ = (\WideAnd3766~0_combout\ & (\led_flash_cnt[3766][7]~q\ & (\WideAnd3766~1_combout\ & \led_flash_cnt[3766][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3766~0_combout\,
	datab => \led_flash_cnt[3766][7]~q\,
	datac => \WideAnd3766~1_combout\,
	datad => \led_flash_cnt[3766][0]~q\,
	combout => \WideAnd3766~combout\);

-- Location: FF_X35_Y30_N19
\led_flash_cnt_ands[3766]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3766~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3766));

-- Location: LCCOMB_X34_Y32_N30
\led_flash_cnt[3767][0]~84471\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3767][0]~84471_combout\ = !\led_flash_cnt[3767][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3767][0]~q\,
	combout => \led_flash_cnt[3767][0]~84471_combout\);

-- Location: FF_X34_Y32_N31
\led_flash_cnt[3767][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3767][0]~84471_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3767][0]~q\);

-- Location: LCCOMB_X34_Y31_N14
\led_flash_cnt[3767][1]~80514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3767][1]~80514_combout\ = (\led_flash_cnt[3767][0]~q\ & (\led_flash_cnt[3767][1]~q\ $ (VCC))) # (!\led_flash_cnt[3767][0]~q\ & (\led_flash_cnt[3767][1]~q\ & VCC))
-- \led_flash_cnt[3767][1]~80515\ = CARRY((\led_flash_cnt[3767][0]~q\ & \led_flash_cnt[3767][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3767][0]~q\,
	datab => \led_flash_cnt[3767][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3767][1]~80514_combout\,
	cout => \led_flash_cnt[3767][1]~80515\);

-- Location: FF_X34_Y31_N15
\led_flash_cnt[3767][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3767][1]~80514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3767][1]~q\);

-- Location: LCCOMB_X34_Y31_N16
\led_flash_cnt[3767][2]~80516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3767][2]~80516_combout\ = (\led_flash_cnt[3767][2]~q\ & (!\led_flash_cnt[3767][1]~80515\)) # (!\led_flash_cnt[3767][2]~q\ & ((\led_flash_cnt[3767][1]~80515\) # (GND)))
-- \led_flash_cnt[3767][2]~80517\ = CARRY((!\led_flash_cnt[3767][1]~80515\) # (!\led_flash_cnt[3767][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3767][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3767][1]~80515\,
	combout => \led_flash_cnt[3767][2]~80516_combout\,
	cout => \led_flash_cnt[3767][2]~80517\);

-- Location: FF_X34_Y31_N17
\led_flash_cnt[3767][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3767][2]~80516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3767][2]~q\);

-- Location: LCCOMB_X34_Y31_N18
\led_flash_cnt[3767][3]~80518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3767][3]~80518_combout\ = (\led_flash_cnt[3767][3]~q\ & (\led_flash_cnt[3767][2]~80517\ $ (GND))) # (!\led_flash_cnt[3767][3]~q\ & (!\led_flash_cnt[3767][2]~80517\ & VCC))
-- \led_flash_cnt[3767][3]~80519\ = CARRY((\led_flash_cnt[3767][3]~q\ & !\led_flash_cnt[3767][2]~80517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3767][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3767][2]~80517\,
	combout => \led_flash_cnt[3767][3]~80518_combout\,
	cout => \led_flash_cnt[3767][3]~80519\);

-- Location: FF_X34_Y31_N19
\led_flash_cnt[3767][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3767][3]~80518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3767][3]~q\);

-- Location: LCCOMB_X34_Y31_N20
\led_flash_cnt[3767][4]~80520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3767][4]~80520_combout\ = (\led_flash_cnt[3767][4]~q\ & (!\led_flash_cnt[3767][3]~80519\)) # (!\led_flash_cnt[3767][4]~q\ & ((\led_flash_cnt[3767][3]~80519\) # (GND)))
-- \led_flash_cnt[3767][4]~80521\ = CARRY((!\led_flash_cnt[3767][3]~80519\) # (!\led_flash_cnt[3767][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3767][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3767][3]~80519\,
	combout => \led_flash_cnt[3767][4]~80520_combout\,
	cout => \led_flash_cnt[3767][4]~80521\);

-- Location: FF_X34_Y31_N21
\led_flash_cnt[3767][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3767][4]~80520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3767][4]~q\);

-- Location: LCCOMB_X34_Y31_N28
\WideAnd3767~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3767~0_combout\ = (\led_flash_cnt[3767][3]~q\ & (\led_flash_cnt[3767][4]~q\ & (\led_flash_cnt[3767][1]~q\ & \led_flash_cnt[3767][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3767][3]~q\,
	datab => \led_flash_cnt[3767][4]~q\,
	datac => \led_flash_cnt[3767][1]~q\,
	datad => \led_flash_cnt[3767][2]~q\,
	combout => \WideAnd3767~0_combout\);

-- Location: LCCOMB_X34_Y31_N22
\led_flash_cnt[3767][5]~80522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3767][5]~80522_combout\ = (\led_flash_cnt[3767][5]~q\ & (\led_flash_cnt[3767][4]~80521\ $ (GND))) # (!\led_flash_cnt[3767][5]~q\ & (!\led_flash_cnt[3767][4]~80521\ & VCC))
-- \led_flash_cnt[3767][5]~80523\ = CARRY((\led_flash_cnt[3767][5]~q\ & !\led_flash_cnt[3767][4]~80521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3767][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3767][4]~80521\,
	combout => \led_flash_cnt[3767][5]~80522_combout\,
	cout => \led_flash_cnt[3767][5]~80523\);

-- Location: FF_X34_Y31_N23
\led_flash_cnt[3767][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3767][5]~80522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3767][5]~q\);

-- Location: LCCOMB_X34_Y31_N24
\led_flash_cnt[3767][6]~80524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3767][6]~80524_combout\ = (\led_flash_cnt[3767][6]~q\ & (!\led_flash_cnt[3767][5]~80523\)) # (!\led_flash_cnt[3767][6]~q\ & ((\led_flash_cnt[3767][5]~80523\) # (GND)))
-- \led_flash_cnt[3767][6]~80525\ = CARRY((!\led_flash_cnt[3767][5]~80523\) # (!\led_flash_cnt[3767][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3767][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3767][5]~80523\,
	combout => \led_flash_cnt[3767][6]~80524_combout\,
	cout => \led_flash_cnt[3767][6]~80525\);

-- Location: FF_X34_Y31_N25
\led_flash_cnt[3767][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3767][6]~80524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3767][6]~q\);

-- Location: LCCOMB_X34_Y32_N22
\WideAnd3767~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3767~1_combout\ = (\led_flash_cnt[3767][6]~q\ & \led_flash_cnt[3767][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3767][6]~q\,
	datad => \led_flash_cnt[3767][5]~q\,
	combout => \WideAnd3767~1_combout\);

-- Location: LCCOMB_X34_Y31_N26
\led_flash_cnt[3767][7]~80526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3767][7]~80526_combout\ = \led_flash_cnt[3767][7]~q\ $ (!\led_flash_cnt[3767][6]~80525\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3767][7]~q\,
	cin => \led_flash_cnt[3767][6]~80525\,
	combout => \led_flash_cnt[3767][7]~80526_combout\);

-- Location: FF_X34_Y31_N27
\led_flash_cnt[3767][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3767][7]~80526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3767][7]~q\);

-- Location: LCCOMB_X34_Y32_N26
WideAnd3767 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3767~combout\ = (\led_flash_cnt[3767][0]~q\ & (\WideAnd3767~0_combout\ & (\WideAnd3767~1_combout\ & \led_flash_cnt[3767][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3767][0]~q\,
	datab => \WideAnd3767~0_combout\,
	datac => \WideAnd3767~1_combout\,
	datad => \led_flash_cnt[3767][7]~q\,
	combout => \WideAnd3767~combout\);

-- Location: FF_X34_Y32_N27
\led_flash_cnt_ands[3767]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3767~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3767));

-- Location: LCCOMB_X61_Y46_N18
\led_flash_cnt[3763][0]~84467\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3763][0]~84467_combout\ = !\led_flash_cnt[3763][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3763][0]~q\,
	combout => \led_flash_cnt[3763][0]~84467_combout\);

-- Location: FF_X61_Y46_N19
\led_flash_cnt[3763][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3763][0]~84467_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3763][0]~q\);

-- Location: LCCOMB_X61_Y46_N0
\led_flash_cnt[3763][1]~80458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3763][1]~80458_combout\ = (\led_flash_cnt[3763][1]~q\ & (\led_flash_cnt[3763][0]~q\ $ (VCC))) # (!\led_flash_cnt[3763][1]~q\ & (\led_flash_cnt[3763][0]~q\ & VCC))
-- \led_flash_cnt[3763][1]~80459\ = CARRY((\led_flash_cnt[3763][1]~q\ & \led_flash_cnt[3763][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3763][1]~q\,
	datab => \led_flash_cnt[3763][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3763][1]~80458_combout\,
	cout => \led_flash_cnt[3763][1]~80459\);

-- Location: FF_X61_Y46_N1
\led_flash_cnt[3763][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3763][1]~80458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3763][1]~q\);

-- Location: LCCOMB_X61_Y46_N2
\led_flash_cnt[3763][2]~80460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3763][2]~80460_combout\ = (\led_flash_cnt[3763][2]~q\ & (!\led_flash_cnt[3763][1]~80459\)) # (!\led_flash_cnt[3763][2]~q\ & ((\led_flash_cnt[3763][1]~80459\) # (GND)))
-- \led_flash_cnt[3763][2]~80461\ = CARRY((!\led_flash_cnt[3763][1]~80459\) # (!\led_flash_cnt[3763][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3763][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3763][1]~80459\,
	combout => \led_flash_cnt[3763][2]~80460_combout\,
	cout => \led_flash_cnt[3763][2]~80461\);

-- Location: FF_X61_Y46_N3
\led_flash_cnt[3763][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3763][2]~80460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3763][2]~q\);

-- Location: LCCOMB_X61_Y46_N4
\led_flash_cnt[3763][3]~80462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3763][3]~80462_combout\ = (\led_flash_cnt[3763][3]~q\ & (\led_flash_cnt[3763][2]~80461\ $ (GND))) # (!\led_flash_cnt[3763][3]~q\ & (!\led_flash_cnt[3763][2]~80461\ & VCC))
-- \led_flash_cnt[3763][3]~80463\ = CARRY((\led_flash_cnt[3763][3]~q\ & !\led_flash_cnt[3763][2]~80461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3763][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3763][2]~80461\,
	combout => \led_flash_cnt[3763][3]~80462_combout\,
	cout => \led_flash_cnt[3763][3]~80463\);

-- Location: FF_X61_Y46_N5
\led_flash_cnt[3763][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3763][3]~80462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3763][3]~q\);

-- Location: LCCOMB_X61_Y46_N6
\led_flash_cnt[3763][4]~80464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3763][4]~80464_combout\ = (\led_flash_cnt[3763][4]~q\ & (!\led_flash_cnt[3763][3]~80463\)) # (!\led_flash_cnt[3763][4]~q\ & ((\led_flash_cnt[3763][3]~80463\) # (GND)))
-- \led_flash_cnt[3763][4]~80465\ = CARRY((!\led_flash_cnt[3763][3]~80463\) # (!\led_flash_cnt[3763][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3763][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3763][3]~80463\,
	combout => \led_flash_cnt[3763][4]~80464_combout\,
	cout => \led_flash_cnt[3763][4]~80465\);

-- Location: FF_X61_Y46_N7
\led_flash_cnt[3763][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3763][4]~80464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3763][4]~q\);

-- Location: LCCOMB_X61_Y46_N8
\led_flash_cnt[3763][5]~80466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3763][5]~80466_combout\ = (\led_flash_cnt[3763][5]~q\ & (\led_flash_cnt[3763][4]~80465\ $ (GND))) # (!\led_flash_cnt[3763][5]~q\ & (!\led_flash_cnt[3763][4]~80465\ & VCC))
-- \led_flash_cnt[3763][5]~80467\ = CARRY((\led_flash_cnt[3763][5]~q\ & !\led_flash_cnt[3763][4]~80465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3763][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3763][4]~80465\,
	combout => \led_flash_cnt[3763][5]~80466_combout\,
	cout => \led_flash_cnt[3763][5]~80467\);

-- Location: FF_X61_Y46_N9
\led_flash_cnt[3763][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3763][5]~80466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3763][5]~q\);

-- Location: LCCOMB_X61_Y46_N10
\led_flash_cnt[3763][6]~80468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3763][6]~80468_combout\ = (\led_flash_cnt[3763][6]~q\ & (!\led_flash_cnt[3763][5]~80467\)) # (!\led_flash_cnt[3763][6]~q\ & ((\led_flash_cnt[3763][5]~80467\) # (GND)))
-- \led_flash_cnt[3763][6]~80469\ = CARRY((!\led_flash_cnt[3763][5]~80467\) # (!\led_flash_cnt[3763][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3763][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3763][5]~80467\,
	combout => \led_flash_cnt[3763][6]~80468_combout\,
	cout => \led_flash_cnt[3763][6]~80469\);

-- Location: FF_X61_Y46_N11
\led_flash_cnt[3763][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3763][6]~80468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3763][6]~q\);

-- Location: LCCOMB_X61_Y46_N12
\led_flash_cnt[3763][7]~80470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3763][7]~80470_combout\ = \led_flash_cnt[3763][6]~80469\ $ (!\led_flash_cnt[3763][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3763][7]~q\,
	cin => \led_flash_cnt[3763][6]~80469\,
	combout => \led_flash_cnt[3763][7]~80470_combout\);

-- Location: FF_X61_Y46_N13
\led_flash_cnt[3763][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3763][7]~80470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3763][7]~q\);

-- Location: LCCOMB_X61_Y46_N20
\WideAnd3763~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3763~0_combout\ = (\led_flash_cnt[3763][4]~q\ & (\led_flash_cnt[3763][1]~q\ & (\led_flash_cnt[3763][3]~q\ & \led_flash_cnt[3763][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3763][4]~q\,
	datab => \led_flash_cnt[3763][1]~q\,
	datac => \led_flash_cnt[3763][3]~q\,
	datad => \led_flash_cnt[3763][2]~q\,
	combout => \WideAnd3763~0_combout\);

-- Location: LCCOMB_X61_Y46_N26
\WideAnd3763~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3763~1_combout\ = (\led_flash_cnt[3763][5]~q\ & \led_flash_cnt[3763][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3763][5]~q\,
	datad => \led_flash_cnt[3763][6]~q\,
	combout => \WideAnd3763~1_combout\);

-- Location: LCCOMB_X61_Y46_N24
WideAnd3763 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3763~combout\ = (\led_flash_cnt[3763][7]~q\ & (\WideAnd3763~0_combout\ & (\WideAnd3763~1_combout\ & \led_flash_cnt[3763][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3763][7]~q\,
	datab => \WideAnd3763~0_combout\,
	datac => \WideAnd3763~1_combout\,
	datad => \led_flash_cnt[3763][0]~q\,
	combout => \WideAnd3763~combout\);

-- Location: FF_X61_Y46_N25
\led_flash_cnt_ands[3763]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3763~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3763));

-- Location: LCCOMB_X61_Y46_N28
\led_flash_cnt[3761][0]~84465\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3761][0]~84465_combout\ = !\led_flash_cnt[3761][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3761][0]~q\,
	combout => \led_flash_cnt[3761][0]~84465_combout\);

-- Location: FF_X61_Y46_N29
\led_flash_cnt[3761][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3761][0]~84465_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3761][0]~q\);

-- Location: LCCOMB_X62_Y46_N14
\led_flash_cnt[3761][1]~80430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3761][1]~80430_combout\ = (\led_flash_cnt[3761][0]~q\ & (\led_flash_cnt[3761][1]~q\ $ (VCC))) # (!\led_flash_cnt[3761][0]~q\ & (\led_flash_cnt[3761][1]~q\ & VCC))
-- \led_flash_cnt[3761][1]~80431\ = CARRY((\led_flash_cnt[3761][0]~q\ & \led_flash_cnt[3761][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3761][0]~q\,
	datab => \led_flash_cnt[3761][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3761][1]~80430_combout\,
	cout => \led_flash_cnt[3761][1]~80431\);

-- Location: FF_X62_Y46_N15
\led_flash_cnt[3761][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3761][1]~80430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3761][1]~q\);

-- Location: LCCOMB_X62_Y46_N16
\led_flash_cnt[3761][2]~80432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3761][2]~80432_combout\ = (\led_flash_cnt[3761][2]~q\ & (!\led_flash_cnt[3761][1]~80431\)) # (!\led_flash_cnt[3761][2]~q\ & ((\led_flash_cnt[3761][1]~80431\) # (GND)))
-- \led_flash_cnt[3761][2]~80433\ = CARRY((!\led_flash_cnt[3761][1]~80431\) # (!\led_flash_cnt[3761][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3761][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3761][1]~80431\,
	combout => \led_flash_cnt[3761][2]~80432_combout\,
	cout => \led_flash_cnt[3761][2]~80433\);

-- Location: FF_X62_Y46_N17
\led_flash_cnt[3761][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3761][2]~80432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3761][2]~q\);

-- Location: LCCOMB_X62_Y46_N18
\led_flash_cnt[3761][3]~80434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3761][3]~80434_combout\ = (\led_flash_cnt[3761][3]~q\ & (\led_flash_cnt[3761][2]~80433\ $ (GND))) # (!\led_flash_cnt[3761][3]~q\ & (!\led_flash_cnt[3761][2]~80433\ & VCC))
-- \led_flash_cnt[3761][3]~80435\ = CARRY((\led_flash_cnt[3761][3]~q\ & !\led_flash_cnt[3761][2]~80433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3761][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3761][2]~80433\,
	combout => \led_flash_cnt[3761][3]~80434_combout\,
	cout => \led_flash_cnt[3761][3]~80435\);

-- Location: FF_X62_Y46_N19
\led_flash_cnt[3761][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3761][3]~80434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3761][3]~q\);

-- Location: LCCOMB_X62_Y46_N20
\led_flash_cnt[3761][4]~80436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3761][4]~80436_combout\ = (\led_flash_cnt[3761][4]~q\ & (!\led_flash_cnt[3761][3]~80435\)) # (!\led_flash_cnt[3761][4]~q\ & ((\led_flash_cnt[3761][3]~80435\) # (GND)))
-- \led_flash_cnt[3761][4]~80437\ = CARRY((!\led_flash_cnt[3761][3]~80435\) # (!\led_flash_cnt[3761][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3761][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3761][3]~80435\,
	combout => \led_flash_cnt[3761][4]~80436_combout\,
	cout => \led_flash_cnt[3761][4]~80437\);

-- Location: FF_X62_Y46_N21
\led_flash_cnt[3761][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3761][4]~80436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3761][4]~q\);

-- Location: LCCOMB_X62_Y46_N30
\WideAnd3761~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3761~0_combout\ = (\led_flash_cnt[3761][4]~q\ & (\led_flash_cnt[3761][3]~q\ & (\led_flash_cnt[3761][1]~q\ & \led_flash_cnt[3761][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3761][4]~q\,
	datab => \led_flash_cnt[3761][3]~q\,
	datac => \led_flash_cnt[3761][1]~q\,
	datad => \led_flash_cnt[3761][2]~q\,
	combout => \WideAnd3761~0_combout\);

-- Location: LCCOMB_X62_Y46_N22
\led_flash_cnt[3761][5]~80438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3761][5]~80438_combout\ = (\led_flash_cnt[3761][5]~q\ & (\led_flash_cnt[3761][4]~80437\ $ (GND))) # (!\led_flash_cnt[3761][5]~q\ & (!\led_flash_cnt[3761][4]~80437\ & VCC))
-- \led_flash_cnt[3761][5]~80439\ = CARRY((\led_flash_cnt[3761][5]~q\ & !\led_flash_cnt[3761][4]~80437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3761][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3761][4]~80437\,
	combout => \led_flash_cnt[3761][5]~80438_combout\,
	cout => \led_flash_cnt[3761][5]~80439\);

-- Location: FF_X62_Y46_N23
\led_flash_cnt[3761][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3761][5]~80438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3761][5]~q\);

-- Location: LCCOMB_X62_Y46_N24
\led_flash_cnt[3761][6]~80440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3761][6]~80440_combout\ = (\led_flash_cnt[3761][6]~q\ & (!\led_flash_cnt[3761][5]~80439\)) # (!\led_flash_cnt[3761][6]~q\ & ((\led_flash_cnt[3761][5]~80439\) # (GND)))
-- \led_flash_cnt[3761][6]~80441\ = CARRY((!\led_flash_cnt[3761][5]~80439\) # (!\led_flash_cnt[3761][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3761][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3761][5]~80439\,
	combout => \led_flash_cnt[3761][6]~80440_combout\,
	cout => \led_flash_cnt[3761][6]~80441\);

-- Location: FF_X62_Y46_N25
\led_flash_cnt[3761][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3761][6]~80440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3761][6]~q\);

-- Location: LCCOMB_X61_Y46_N22
\WideAnd3761~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3761~1_combout\ = (\led_flash_cnt[3761][6]~q\ & \led_flash_cnt[3761][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3761][6]~q\,
	datad => \led_flash_cnt[3761][5]~q\,
	combout => \WideAnd3761~1_combout\);

-- Location: LCCOMB_X62_Y46_N26
\led_flash_cnt[3761][7]~80442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3761][7]~80442_combout\ = \led_flash_cnt[3761][7]~q\ $ (!\led_flash_cnt[3761][6]~80441\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3761][7]~q\,
	cin => \led_flash_cnt[3761][6]~80441\,
	combout => \led_flash_cnt[3761][7]~80442_combout\);

-- Location: FF_X62_Y46_N27
\led_flash_cnt[3761][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3761][7]~80442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3761][7]~q\);

-- Location: LCCOMB_X61_Y46_N30
WideAnd3761 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3761~combout\ = (\WideAnd3761~0_combout\ & (\led_flash_cnt[3761][0]~q\ & (\WideAnd3761~1_combout\ & \led_flash_cnt[3761][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3761~0_combout\,
	datab => \led_flash_cnt[3761][0]~q\,
	datac => \WideAnd3761~1_combout\,
	datad => \led_flash_cnt[3761][7]~q\,
	combout => \WideAnd3761~combout\);

-- Location: FF_X61_Y46_N31
\led_flash_cnt_ands[3761]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3761~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3761));

-- Location: LCCOMB_X49_Y47_N30
\led_flash_cnt[3760][0]~84464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3760][0]~84464_combout\ = !\led_flash_cnt[3760][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3760][0]~q\,
	combout => \led_flash_cnt[3760][0]~84464_combout\);

-- Location: FF_X49_Y47_N31
\led_flash_cnt[3760][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3760][0]~84464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3760][0]~q\);

-- Location: LCCOMB_X49_Y47_N4
\led_flash_cnt[3760][1]~80416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3760][1]~80416_combout\ = (\led_flash_cnt[3760][0]~q\ & (\led_flash_cnt[3760][1]~q\ $ (VCC))) # (!\led_flash_cnt[3760][0]~q\ & (\led_flash_cnt[3760][1]~q\ & VCC))
-- \led_flash_cnt[3760][1]~80417\ = CARRY((\led_flash_cnt[3760][0]~q\ & \led_flash_cnt[3760][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3760][0]~q\,
	datab => \led_flash_cnt[3760][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3760][1]~80416_combout\,
	cout => \led_flash_cnt[3760][1]~80417\);

-- Location: FF_X49_Y47_N5
\led_flash_cnt[3760][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3760][1]~80416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3760][1]~q\);

-- Location: LCCOMB_X49_Y47_N6
\led_flash_cnt[3760][2]~80418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3760][2]~80418_combout\ = (\led_flash_cnt[3760][2]~q\ & (!\led_flash_cnt[3760][1]~80417\)) # (!\led_flash_cnt[3760][2]~q\ & ((\led_flash_cnt[3760][1]~80417\) # (GND)))
-- \led_flash_cnt[3760][2]~80419\ = CARRY((!\led_flash_cnt[3760][1]~80417\) # (!\led_flash_cnt[3760][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3760][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3760][1]~80417\,
	combout => \led_flash_cnt[3760][2]~80418_combout\,
	cout => \led_flash_cnt[3760][2]~80419\);

-- Location: FF_X49_Y47_N7
\led_flash_cnt[3760][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3760][2]~80418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3760][2]~q\);

-- Location: LCCOMB_X49_Y47_N8
\led_flash_cnt[3760][3]~80420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3760][3]~80420_combout\ = (\led_flash_cnt[3760][3]~q\ & (\led_flash_cnt[3760][2]~80419\ $ (GND))) # (!\led_flash_cnt[3760][3]~q\ & (!\led_flash_cnt[3760][2]~80419\ & VCC))
-- \led_flash_cnt[3760][3]~80421\ = CARRY((\led_flash_cnt[3760][3]~q\ & !\led_flash_cnt[3760][2]~80419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3760][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3760][2]~80419\,
	combout => \led_flash_cnt[3760][3]~80420_combout\,
	cout => \led_flash_cnt[3760][3]~80421\);

-- Location: FF_X49_Y47_N9
\led_flash_cnt[3760][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3760][3]~80420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3760][3]~q\);

-- Location: LCCOMB_X49_Y47_N10
\led_flash_cnt[3760][4]~80422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3760][4]~80422_combout\ = (\led_flash_cnt[3760][4]~q\ & (!\led_flash_cnt[3760][3]~80421\)) # (!\led_flash_cnt[3760][4]~q\ & ((\led_flash_cnt[3760][3]~80421\) # (GND)))
-- \led_flash_cnt[3760][4]~80423\ = CARRY((!\led_flash_cnt[3760][3]~80421\) # (!\led_flash_cnt[3760][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3760][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3760][3]~80421\,
	combout => \led_flash_cnt[3760][4]~80422_combout\,
	cout => \led_flash_cnt[3760][4]~80423\);

-- Location: FF_X49_Y47_N11
\led_flash_cnt[3760][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3760][4]~80422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3760][4]~q\);

-- Location: LCCOMB_X49_Y47_N12
\led_flash_cnt[3760][5]~80424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3760][5]~80424_combout\ = (\led_flash_cnt[3760][5]~q\ & (\led_flash_cnt[3760][4]~80423\ $ (GND))) # (!\led_flash_cnt[3760][5]~q\ & (!\led_flash_cnt[3760][4]~80423\ & VCC))
-- \led_flash_cnt[3760][5]~80425\ = CARRY((\led_flash_cnt[3760][5]~q\ & !\led_flash_cnt[3760][4]~80423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3760][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3760][4]~80423\,
	combout => \led_flash_cnt[3760][5]~80424_combout\,
	cout => \led_flash_cnt[3760][5]~80425\);

-- Location: FF_X49_Y47_N13
\led_flash_cnt[3760][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3760][5]~80424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3760][5]~q\);

-- Location: LCCOMB_X49_Y47_N14
\led_flash_cnt[3760][6]~80426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3760][6]~80426_combout\ = (\led_flash_cnt[3760][6]~q\ & (!\led_flash_cnt[3760][5]~80425\)) # (!\led_flash_cnt[3760][6]~q\ & ((\led_flash_cnt[3760][5]~80425\) # (GND)))
-- \led_flash_cnt[3760][6]~80427\ = CARRY((!\led_flash_cnt[3760][5]~80425\) # (!\led_flash_cnt[3760][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3760][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3760][5]~80425\,
	combout => \led_flash_cnt[3760][6]~80426_combout\,
	cout => \led_flash_cnt[3760][6]~80427\);

-- Location: FF_X49_Y47_N15
\led_flash_cnt[3760][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3760][6]~80426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3760][6]~q\);

-- Location: LCCOMB_X49_Y47_N16
\led_flash_cnt[3760][7]~80428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3760][7]~80428_combout\ = \led_flash_cnt[3760][6]~80427\ $ (!\led_flash_cnt[3760][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3760][7]~q\,
	cin => \led_flash_cnt[3760][6]~80427\,
	combout => \led_flash_cnt[3760][7]~80428_combout\);

-- Location: FF_X49_Y47_N17
\led_flash_cnt[3760][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3760][7]~80428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3760][7]~q\);

-- Location: LCCOMB_X49_Y47_N22
\WideAnd3760~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3760~1_combout\ = (\led_flash_cnt[3760][6]~q\ & \led_flash_cnt[3760][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3760][6]~q\,
	datad => \led_flash_cnt[3760][5]~q\,
	combout => \WideAnd3760~1_combout\);

-- Location: LCCOMB_X49_Y47_N18
\WideAnd3760~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3760~0_combout\ = (\led_flash_cnt[3760][2]~q\ & (\led_flash_cnt[3760][1]~q\ & (\led_flash_cnt[3760][3]~q\ & \led_flash_cnt[3760][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3760][2]~q\,
	datab => \led_flash_cnt[3760][1]~q\,
	datac => \led_flash_cnt[3760][3]~q\,
	datad => \led_flash_cnt[3760][4]~q\,
	combout => \WideAnd3760~0_combout\);

-- Location: LCCOMB_X49_Y47_N28
WideAnd3760 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3760~combout\ = (\led_flash_cnt[3760][0]~q\ & (\led_flash_cnt[3760][7]~q\ & (\WideAnd3760~1_combout\ & \WideAnd3760~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3760][0]~q\,
	datab => \led_flash_cnt[3760][7]~q\,
	datac => \WideAnd3760~1_combout\,
	datad => \WideAnd3760~0_combout\,
	combout => \WideAnd3760~combout\);

-- Location: FF_X49_Y47_N29
\led_flash_cnt_ands[3760]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3760~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3760));

-- Location: LCCOMB_X34_Y32_N6
\led_flash_cnt[3762][0]~84466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3762][0]~84466_combout\ = !\led_flash_cnt[3762][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3762][0]~q\,
	combout => \led_flash_cnt[3762][0]~84466_combout\);

-- Location: FF_X34_Y32_N7
\led_flash_cnt[3762][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3762][0]~84466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3762][0]~q\);

-- Location: LCCOMB_X34_Y32_N8
\led_flash_cnt[3762][1]~80444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3762][1]~80444_combout\ = (\led_flash_cnt[3762][0]~q\ & (\led_flash_cnt[3762][1]~q\ $ (VCC))) # (!\led_flash_cnt[3762][0]~q\ & (\led_flash_cnt[3762][1]~q\ & VCC))
-- \led_flash_cnt[3762][1]~80445\ = CARRY((\led_flash_cnt[3762][0]~q\ & \led_flash_cnt[3762][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3762][0]~q\,
	datab => \led_flash_cnt[3762][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3762][1]~80444_combout\,
	cout => \led_flash_cnt[3762][1]~80445\);

-- Location: FF_X34_Y32_N9
\led_flash_cnt[3762][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3762][1]~80444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3762][1]~q\);

-- Location: LCCOMB_X34_Y32_N10
\led_flash_cnt[3762][2]~80446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3762][2]~80446_combout\ = (\led_flash_cnt[3762][2]~q\ & (!\led_flash_cnt[3762][1]~80445\)) # (!\led_flash_cnt[3762][2]~q\ & ((\led_flash_cnt[3762][1]~80445\) # (GND)))
-- \led_flash_cnt[3762][2]~80447\ = CARRY((!\led_flash_cnt[3762][1]~80445\) # (!\led_flash_cnt[3762][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3762][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3762][1]~80445\,
	combout => \led_flash_cnt[3762][2]~80446_combout\,
	cout => \led_flash_cnt[3762][2]~80447\);

-- Location: FF_X34_Y32_N11
\led_flash_cnt[3762][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3762][2]~80446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3762][2]~q\);

-- Location: LCCOMB_X34_Y32_N12
\led_flash_cnt[3762][3]~80448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3762][3]~80448_combout\ = (\led_flash_cnt[3762][3]~q\ & (\led_flash_cnt[3762][2]~80447\ $ (GND))) # (!\led_flash_cnt[3762][3]~q\ & (!\led_flash_cnt[3762][2]~80447\ & VCC))
-- \led_flash_cnt[3762][3]~80449\ = CARRY((\led_flash_cnt[3762][3]~q\ & !\led_flash_cnt[3762][2]~80447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3762][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3762][2]~80447\,
	combout => \led_flash_cnt[3762][3]~80448_combout\,
	cout => \led_flash_cnt[3762][3]~80449\);

-- Location: FF_X34_Y32_N13
\led_flash_cnt[3762][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3762][3]~80448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3762][3]~q\);

-- Location: LCCOMB_X34_Y32_N14
\led_flash_cnt[3762][4]~80450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3762][4]~80450_combout\ = (\led_flash_cnt[3762][4]~q\ & (!\led_flash_cnt[3762][3]~80449\)) # (!\led_flash_cnt[3762][4]~q\ & ((\led_flash_cnt[3762][3]~80449\) # (GND)))
-- \led_flash_cnt[3762][4]~80451\ = CARRY((!\led_flash_cnt[3762][3]~80449\) # (!\led_flash_cnt[3762][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3762][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3762][3]~80449\,
	combout => \led_flash_cnt[3762][4]~80450_combout\,
	cout => \led_flash_cnt[3762][4]~80451\);

-- Location: FF_X34_Y32_N15
\led_flash_cnt[3762][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3762][4]~80450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3762][4]~q\);

-- Location: LCCOMB_X34_Y32_N16
\led_flash_cnt[3762][5]~80452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3762][5]~80452_combout\ = (\led_flash_cnt[3762][5]~q\ & (\led_flash_cnt[3762][4]~80451\ $ (GND))) # (!\led_flash_cnt[3762][5]~q\ & (!\led_flash_cnt[3762][4]~80451\ & VCC))
-- \led_flash_cnt[3762][5]~80453\ = CARRY((\led_flash_cnt[3762][5]~q\ & !\led_flash_cnt[3762][4]~80451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3762][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3762][4]~80451\,
	combout => \led_flash_cnt[3762][5]~80452_combout\,
	cout => \led_flash_cnt[3762][5]~80453\);

-- Location: FF_X34_Y32_N17
\led_flash_cnt[3762][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3762][5]~80452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3762][5]~q\);

-- Location: LCCOMB_X34_Y32_N18
\led_flash_cnt[3762][6]~80454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3762][6]~80454_combout\ = (\led_flash_cnt[3762][6]~q\ & (!\led_flash_cnt[3762][5]~80453\)) # (!\led_flash_cnt[3762][6]~q\ & ((\led_flash_cnt[3762][5]~80453\) # (GND)))
-- \led_flash_cnt[3762][6]~80455\ = CARRY((!\led_flash_cnt[3762][5]~80453\) # (!\led_flash_cnt[3762][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3762][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3762][5]~80453\,
	combout => \led_flash_cnt[3762][6]~80454_combout\,
	cout => \led_flash_cnt[3762][6]~80455\);

-- Location: FF_X34_Y32_N19
\led_flash_cnt[3762][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3762][6]~80454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3762][6]~q\);

-- Location: LCCOMB_X34_Y32_N20
\led_flash_cnt[3762][7]~80456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3762][7]~80456_combout\ = \led_flash_cnt[3762][6]~80455\ $ (!\led_flash_cnt[3762][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3762][7]~q\,
	cin => \led_flash_cnt[3762][6]~80455\,
	combout => \led_flash_cnt[3762][7]~80456_combout\);

-- Location: FF_X34_Y32_N21
\led_flash_cnt[3762][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3762][7]~80456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3762][7]~q\);

-- Location: LCCOMB_X34_Y32_N4
\WideAnd3762~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3762~1_combout\ = (\led_flash_cnt[3762][5]~q\ & \led_flash_cnt[3762][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3762][5]~q\,
	datac => \led_flash_cnt[3762][6]~q\,
	combout => \WideAnd3762~1_combout\);

-- Location: LCCOMB_X34_Y32_N24
\WideAnd3762~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3762~0_combout\ = (\led_flash_cnt[3762][2]~q\ & (\led_flash_cnt[3762][4]~q\ & (\led_flash_cnt[3762][1]~q\ & \led_flash_cnt[3762][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3762][2]~q\,
	datab => \led_flash_cnt[3762][4]~q\,
	datac => \led_flash_cnt[3762][1]~q\,
	datad => \led_flash_cnt[3762][3]~q\,
	combout => \WideAnd3762~0_combout\);

-- Location: LCCOMB_X34_Y32_N2
WideAnd3762 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3762~combout\ = (\led_flash_cnt[3762][0]~q\ & (\led_flash_cnt[3762][7]~q\ & (\WideAnd3762~1_combout\ & \WideAnd3762~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3762][0]~q\,
	datab => \led_flash_cnt[3762][7]~q\,
	datac => \WideAnd3762~1_combout\,
	datad => \WideAnd3762~0_combout\,
	combout => \WideAnd3762~combout\);

-- Location: FF_X34_Y32_N3
\led_flash_cnt_ands[3762]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3762~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3762));

-- Location: LCCOMB_X57_Y46_N4
\WideAnd4310~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4310~0_combout\ = (led_flash_cnt_ands(3763) & (led_flash_cnt_ands(3761) & (led_flash_cnt_ands(3760) & led_flash_cnt_ands(3762))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3763),
	datab => led_flash_cnt_ands(3761),
	datac => led_flash_cnt_ands(3760),
	datad => led_flash_cnt_ands(3762),
	combout => \WideAnd4310~0_combout\);

-- Location: LCCOMB_X34_Y32_N28
WideAnd4310 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4310~combout\ = (\WideAnd4310~1_combout\ & (led_flash_cnt_ands(3766) & (led_flash_cnt_ands(3767) & \WideAnd4310~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4310~1_combout\,
	datab => led_flash_cnt_ands(3766),
	datac => led_flash_cnt_ands(3767),
	datad => \WideAnd4310~0_combout\,
	combout => \WideAnd4310~combout\);

-- Location: FF_X34_Y32_N29
\led_flash_cnt_ands_1[470]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4310~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(470));

-- Location: LCCOMB_X47_Y47_N30
\led_flash_cnt[3772][0]~84476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3772][0]~84476_combout\ = !\led_flash_cnt[3772][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3772][0]~q\,
	combout => \led_flash_cnt[3772][0]~84476_combout\);

-- Location: FF_X47_Y47_N31
\led_flash_cnt[3772][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3772][0]~84476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3772][0]~q\);

-- Location: LCCOMB_X50_Y47_N14
\led_flash_cnt[3772][1]~80584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3772][1]~80584_combout\ = (\led_flash_cnt[3772][0]~q\ & (\led_flash_cnt[3772][1]~q\ $ (VCC))) # (!\led_flash_cnt[3772][0]~q\ & (\led_flash_cnt[3772][1]~q\ & VCC))
-- \led_flash_cnt[3772][1]~80585\ = CARRY((\led_flash_cnt[3772][0]~q\ & \led_flash_cnt[3772][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3772][0]~q\,
	datab => \led_flash_cnt[3772][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3772][1]~80584_combout\,
	cout => \led_flash_cnt[3772][1]~80585\);

-- Location: FF_X50_Y47_N15
\led_flash_cnt[3772][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3772][1]~80584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3772][1]~q\);

-- Location: LCCOMB_X50_Y47_N16
\led_flash_cnt[3772][2]~80586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3772][2]~80586_combout\ = (\led_flash_cnt[3772][2]~q\ & (!\led_flash_cnt[3772][1]~80585\)) # (!\led_flash_cnt[3772][2]~q\ & ((\led_flash_cnt[3772][1]~80585\) # (GND)))
-- \led_flash_cnt[3772][2]~80587\ = CARRY((!\led_flash_cnt[3772][1]~80585\) # (!\led_flash_cnt[3772][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3772][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3772][1]~80585\,
	combout => \led_flash_cnt[3772][2]~80586_combout\,
	cout => \led_flash_cnt[3772][2]~80587\);

-- Location: FF_X50_Y47_N17
\led_flash_cnt[3772][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3772][2]~80586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3772][2]~q\);

-- Location: LCCOMB_X50_Y47_N18
\led_flash_cnt[3772][3]~80588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3772][3]~80588_combout\ = (\led_flash_cnt[3772][3]~q\ & (\led_flash_cnt[3772][2]~80587\ $ (GND))) # (!\led_flash_cnt[3772][3]~q\ & (!\led_flash_cnt[3772][2]~80587\ & VCC))
-- \led_flash_cnt[3772][3]~80589\ = CARRY((\led_flash_cnt[3772][3]~q\ & !\led_flash_cnt[3772][2]~80587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3772][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3772][2]~80587\,
	combout => \led_flash_cnt[3772][3]~80588_combout\,
	cout => \led_flash_cnt[3772][3]~80589\);

-- Location: FF_X50_Y47_N19
\led_flash_cnt[3772][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3772][3]~80588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3772][3]~q\);

-- Location: LCCOMB_X50_Y47_N20
\led_flash_cnt[3772][4]~80590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3772][4]~80590_combout\ = (\led_flash_cnt[3772][4]~q\ & (!\led_flash_cnt[3772][3]~80589\)) # (!\led_flash_cnt[3772][4]~q\ & ((\led_flash_cnt[3772][3]~80589\) # (GND)))
-- \led_flash_cnt[3772][4]~80591\ = CARRY((!\led_flash_cnt[3772][3]~80589\) # (!\led_flash_cnt[3772][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3772][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3772][3]~80589\,
	combout => \led_flash_cnt[3772][4]~80590_combout\,
	cout => \led_flash_cnt[3772][4]~80591\);

-- Location: FF_X50_Y47_N21
\led_flash_cnt[3772][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3772][4]~80590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3772][4]~q\);

-- Location: LCCOMB_X50_Y47_N22
\led_flash_cnt[3772][5]~80592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3772][5]~80592_combout\ = (\led_flash_cnt[3772][5]~q\ & (\led_flash_cnt[3772][4]~80591\ $ (GND))) # (!\led_flash_cnt[3772][5]~q\ & (!\led_flash_cnt[3772][4]~80591\ & VCC))
-- \led_flash_cnt[3772][5]~80593\ = CARRY((\led_flash_cnt[3772][5]~q\ & !\led_flash_cnt[3772][4]~80591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3772][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3772][4]~80591\,
	combout => \led_flash_cnt[3772][5]~80592_combout\,
	cout => \led_flash_cnt[3772][5]~80593\);

-- Location: FF_X50_Y47_N23
\led_flash_cnt[3772][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3772][5]~80592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3772][5]~q\);

-- Location: LCCOMB_X50_Y47_N24
\led_flash_cnt[3772][6]~80594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3772][6]~80594_combout\ = (\led_flash_cnt[3772][6]~q\ & (!\led_flash_cnt[3772][5]~80593\)) # (!\led_flash_cnt[3772][6]~q\ & ((\led_flash_cnt[3772][5]~80593\) # (GND)))
-- \led_flash_cnt[3772][6]~80595\ = CARRY((!\led_flash_cnt[3772][5]~80593\) # (!\led_flash_cnt[3772][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3772][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3772][5]~80593\,
	combout => \led_flash_cnt[3772][6]~80594_combout\,
	cout => \led_flash_cnt[3772][6]~80595\);

-- Location: FF_X50_Y47_N25
\led_flash_cnt[3772][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3772][6]~80594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3772][6]~q\);

-- Location: LCCOMB_X50_Y47_N26
\led_flash_cnt[3772][7]~80596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3772][7]~80596_combout\ = \led_flash_cnt[3772][7]~q\ $ (!\led_flash_cnt[3772][6]~80595\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3772][7]~q\,
	cin => \led_flash_cnt[3772][6]~80595\,
	combout => \led_flash_cnt[3772][7]~80596_combout\);

-- Location: FF_X50_Y47_N27
\led_flash_cnt[3772][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3772][7]~80596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3772][7]~q\);

-- Location: LCCOMB_X50_Y47_N30
\WideAnd3772~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3772~0_combout\ = (\led_flash_cnt[3772][2]~q\ & (\led_flash_cnt[3772][3]~q\ & (\led_flash_cnt[3772][1]~q\ & \led_flash_cnt[3772][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3772][2]~q\,
	datab => \led_flash_cnt[3772][3]~q\,
	datac => \led_flash_cnt[3772][1]~q\,
	datad => \led_flash_cnt[3772][4]~q\,
	combout => \WideAnd3772~0_combout\);

-- Location: LCCOMB_X49_Y47_N20
\WideAnd3772~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3772~1_combout\ = (\led_flash_cnt[3772][6]~q\ & \led_flash_cnt[3772][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3772][6]~q\,
	datad => \led_flash_cnt[3772][5]~q\,
	combout => \WideAnd3772~1_combout\);

-- Location: LCCOMB_X49_Y47_N26
WideAnd3772 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3772~combout\ = (\led_flash_cnt[3772][0]~q\ & (\led_flash_cnt[3772][7]~q\ & (\WideAnd3772~0_combout\ & \WideAnd3772~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3772][0]~q\,
	datab => \led_flash_cnt[3772][7]~q\,
	datac => \WideAnd3772~0_combout\,
	datad => \WideAnd3772~1_combout\,
	combout => \WideAnd3772~combout\);

-- Location: FF_X49_Y47_N27
\led_flash_cnt_ands[3772]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3772~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3772));

-- Location: LCCOMB_X46_Y51_N2
\led_flash_cnt[3773][0]~84477\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3773][0]~84477_combout\ = !\led_flash_cnt[3773][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3773][0]~q\,
	combout => \led_flash_cnt[3773][0]~84477_combout\);

-- Location: FF_X46_Y51_N3
\led_flash_cnt[3773][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3773][0]~84477_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3773][0]~q\);

-- Location: LCCOMB_X45_Y51_N18
\led_flash_cnt[3773][1]~80598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3773][1]~80598_combout\ = (\led_flash_cnt[3773][0]~q\ & (\led_flash_cnt[3773][1]~q\ $ (VCC))) # (!\led_flash_cnt[3773][0]~q\ & (\led_flash_cnt[3773][1]~q\ & VCC))
-- \led_flash_cnt[3773][1]~80599\ = CARRY((\led_flash_cnt[3773][0]~q\ & \led_flash_cnt[3773][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3773][0]~q\,
	datab => \led_flash_cnt[3773][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3773][1]~80598_combout\,
	cout => \led_flash_cnt[3773][1]~80599\);

-- Location: FF_X45_Y51_N19
\led_flash_cnt[3773][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3773][1]~80598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3773][1]~q\);

-- Location: LCCOMB_X45_Y51_N20
\led_flash_cnt[3773][2]~80600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3773][2]~80600_combout\ = (\led_flash_cnt[3773][2]~q\ & (!\led_flash_cnt[3773][1]~80599\)) # (!\led_flash_cnt[3773][2]~q\ & ((\led_flash_cnt[3773][1]~80599\) # (GND)))
-- \led_flash_cnt[3773][2]~80601\ = CARRY((!\led_flash_cnt[3773][1]~80599\) # (!\led_flash_cnt[3773][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3773][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3773][1]~80599\,
	combout => \led_flash_cnt[3773][2]~80600_combout\,
	cout => \led_flash_cnt[3773][2]~80601\);

-- Location: FF_X45_Y51_N21
\led_flash_cnt[3773][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3773][2]~80600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3773][2]~q\);

-- Location: LCCOMB_X45_Y51_N22
\led_flash_cnt[3773][3]~80602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3773][3]~80602_combout\ = (\led_flash_cnt[3773][3]~q\ & (\led_flash_cnt[3773][2]~80601\ $ (GND))) # (!\led_flash_cnt[3773][3]~q\ & (!\led_flash_cnt[3773][2]~80601\ & VCC))
-- \led_flash_cnt[3773][3]~80603\ = CARRY((\led_flash_cnt[3773][3]~q\ & !\led_flash_cnt[3773][2]~80601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3773][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3773][2]~80601\,
	combout => \led_flash_cnt[3773][3]~80602_combout\,
	cout => \led_flash_cnt[3773][3]~80603\);

-- Location: FF_X45_Y51_N23
\led_flash_cnt[3773][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3773][3]~80602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3773][3]~q\);

-- Location: LCCOMB_X45_Y51_N24
\led_flash_cnt[3773][4]~80604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3773][4]~80604_combout\ = (\led_flash_cnt[3773][4]~q\ & (!\led_flash_cnt[3773][3]~80603\)) # (!\led_flash_cnt[3773][4]~q\ & ((\led_flash_cnt[3773][3]~80603\) # (GND)))
-- \led_flash_cnt[3773][4]~80605\ = CARRY((!\led_flash_cnt[3773][3]~80603\) # (!\led_flash_cnt[3773][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3773][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3773][3]~80603\,
	combout => \led_flash_cnt[3773][4]~80604_combout\,
	cout => \led_flash_cnt[3773][4]~80605\);

-- Location: FF_X45_Y51_N25
\led_flash_cnt[3773][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3773][4]~80604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3773][4]~q\);

-- Location: LCCOMB_X45_Y51_N14
\WideAnd3773~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3773~0_combout\ = (\led_flash_cnt[3773][2]~q\ & (\led_flash_cnt[3773][1]~q\ & (\led_flash_cnt[3773][3]~q\ & \led_flash_cnt[3773][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3773][2]~q\,
	datab => \led_flash_cnt[3773][1]~q\,
	datac => \led_flash_cnt[3773][3]~q\,
	datad => \led_flash_cnt[3773][4]~q\,
	combout => \WideAnd3773~0_combout\);

-- Location: LCCOMB_X45_Y51_N26
\led_flash_cnt[3773][5]~80606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3773][5]~80606_combout\ = (\led_flash_cnt[3773][5]~q\ & (\led_flash_cnt[3773][4]~80605\ $ (GND))) # (!\led_flash_cnt[3773][5]~q\ & (!\led_flash_cnt[3773][4]~80605\ & VCC))
-- \led_flash_cnt[3773][5]~80607\ = CARRY((\led_flash_cnt[3773][5]~q\ & !\led_flash_cnt[3773][4]~80605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3773][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3773][4]~80605\,
	combout => \led_flash_cnt[3773][5]~80606_combout\,
	cout => \led_flash_cnt[3773][5]~80607\);

-- Location: FF_X45_Y51_N27
\led_flash_cnt[3773][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3773][5]~80606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3773][5]~q\);

-- Location: LCCOMB_X45_Y51_N28
\led_flash_cnt[3773][6]~80608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3773][6]~80608_combout\ = (\led_flash_cnt[3773][6]~q\ & (!\led_flash_cnt[3773][5]~80607\)) # (!\led_flash_cnt[3773][6]~q\ & ((\led_flash_cnt[3773][5]~80607\) # (GND)))
-- \led_flash_cnt[3773][6]~80609\ = CARRY((!\led_flash_cnt[3773][5]~80607\) # (!\led_flash_cnt[3773][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3773][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3773][5]~80607\,
	combout => \led_flash_cnt[3773][6]~80608_combout\,
	cout => \led_flash_cnt[3773][6]~80609\);

-- Location: FF_X45_Y51_N29
\led_flash_cnt[3773][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3773][6]~80608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3773][6]~q\);

-- Location: LCCOMB_X45_Y51_N30
\led_flash_cnt[3773][7]~80610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3773][7]~80610_combout\ = \led_flash_cnt[3773][7]~q\ $ (!\led_flash_cnt[3773][6]~80609\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3773][7]~q\,
	cin => \led_flash_cnt[3773][6]~80609\,
	combout => \led_flash_cnt[3773][7]~80610_combout\);

-- Location: FF_X45_Y51_N31
\led_flash_cnt[3773][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3773][7]~80610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3773][7]~q\);

-- Location: LCCOMB_X46_Y51_N22
\WideAnd3773~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3773~1_combout\ = (\led_flash_cnt[3773][5]~q\ & \led_flash_cnt[3773][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3773][5]~q\,
	datad => \led_flash_cnt[3773][6]~q\,
	combout => \WideAnd3773~1_combout\);

-- Location: LCCOMB_X46_Y51_N0
WideAnd3773 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3773~combout\ = (\WideAnd3773~0_combout\ & (\led_flash_cnt[3773][7]~q\ & (\WideAnd3773~1_combout\ & \led_flash_cnt[3773][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3773~0_combout\,
	datab => \led_flash_cnt[3773][7]~q\,
	datac => \WideAnd3773~1_combout\,
	datad => \led_flash_cnt[3773][0]~q\,
	combout => \WideAnd3773~combout\);

-- Location: FF_X46_Y51_N1
\led_flash_cnt_ands[3773]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3773~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3773));

-- Location: LCCOMB_X46_Y51_N30
\WideAnd4311~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4311~1_combout\ = (led_flash_cnt_ands(3772) & led_flash_cnt_ands(3773))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3772),
	datad => led_flash_cnt_ands(3773),
	combout => \WideAnd4311~1_combout\);

-- Location: LCCOMB_X47_Y50_N8
\led_flash_cnt[3774][0]~84478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3774][0]~84478_combout\ = !\led_flash_cnt[3774][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3774][0]~q\,
	combout => \led_flash_cnt[3774][0]~84478_combout\);

-- Location: FF_X47_Y50_N9
\led_flash_cnt[3774][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3774][0]~84478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3774][0]~q\);

-- Location: LCCOMB_X47_Y50_N10
\led_flash_cnt[3774][1]~80612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3774][1]~80612_combout\ = (\led_flash_cnt[3774][1]~q\ & (\led_flash_cnt[3774][0]~q\ $ (VCC))) # (!\led_flash_cnt[3774][1]~q\ & (\led_flash_cnt[3774][0]~q\ & VCC))
-- \led_flash_cnt[3774][1]~80613\ = CARRY((\led_flash_cnt[3774][1]~q\ & \led_flash_cnt[3774][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3774][1]~q\,
	datab => \led_flash_cnt[3774][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3774][1]~80612_combout\,
	cout => \led_flash_cnt[3774][1]~80613\);

-- Location: FF_X47_Y50_N11
\led_flash_cnt[3774][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3774][1]~80612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3774][1]~q\);

-- Location: LCCOMB_X47_Y50_N12
\led_flash_cnt[3774][2]~80614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3774][2]~80614_combout\ = (\led_flash_cnt[3774][2]~q\ & (!\led_flash_cnt[3774][1]~80613\)) # (!\led_flash_cnt[3774][2]~q\ & ((\led_flash_cnt[3774][1]~80613\) # (GND)))
-- \led_flash_cnt[3774][2]~80615\ = CARRY((!\led_flash_cnt[3774][1]~80613\) # (!\led_flash_cnt[3774][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3774][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3774][1]~80613\,
	combout => \led_flash_cnt[3774][2]~80614_combout\,
	cout => \led_flash_cnt[3774][2]~80615\);

-- Location: FF_X47_Y50_N13
\led_flash_cnt[3774][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3774][2]~80614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3774][2]~q\);

-- Location: LCCOMB_X47_Y50_N14
\led_flash_cnt[3774][3]~80616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3774][3]~80616_combout\ = (\led_flash_cnt[3774][3]~q\ & (\led_flash_cnt[3774][2]~80615\ $ (GND))) # (!\led_flash_cnt[3774][3]~q\ & (!\led_flash_cnt[3774][2]~80615\ & VCC))
-- \led_flash_cnt[3774][3]~80617\ = CARRY((\led_flash_cnt[3774][3]~q\ & !\led_flash_cnt[3774][2]~80615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3774][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3774][2]~80615\,
	combout => \led_flash_cnt[3774][3]~80616_combout\,
	cout => \led_flash_cnt[3774][3]~80617\);

-- Location: FF_X47_Y50_N15
\led_flash_cnt[3774][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3774][3]~80616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3774][3]~q\);

-- Location: LCCOMB_X47_Y50_N16
\led_flash_cnt[3774][4]~80618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3774][4]~80618_combout\ = (\led_flash_cnt[3774][4]~q\ & (!\led_flash_cnt[3774][3]~80617\)) # (!\led_flash_cnt[3774][4]~q\ & ((\led_flash_cnt[3774][3]~80617\) # (GND)))
-- \led_flash_cnt[3774][4]~80619\ = CARRY((!\led_flash_cnt[3774][3]~80617\) # (!\led_flash_cnt[3774][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3774][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3774][3]~80617\,
	combout => \led_flash_cnt[3774][4]~80618_combout\,
	cout => \led_flash_cnt[3774][4]~80619\);

-- Location: FF_X47_Y50_N17
\led_flash_cnt[3774][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3774][4]~80618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3774][4]~q\);

-- Location: LCCOMB_X47_Y50_N30
\WideAnd3774~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3774~0_combout\ = (\led_flash_cnt[3774][1]~q\ & (\led_flash_cnt[3774][4]~q\ & (\led_flash_cnt[3774][3]~q\ & \led_flash_cnt[3774][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3774][1]~q\,
	datab => \led_flash_cnt[3774][4]~q\,
	datac => \led_flash_cnt[3774][3]~q\,
	datad => \led_flash_cnt[3774][2]~q\,
	combout => \WideAnd3774~0_combout\);

-- Location: LCCOMB_X47_Y50_N18
\led_flash_cnt[3774][5]~80620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3774][5]~80620_combout\ = (\led_flash_cnt[3774][5]~q\ & (\led_flash_cnt[3774][4]~80619\ $ (GND))) # (!\led_flash_cnt[3774][5]~q\ & (!\led_flash_cnt[3774][4]~80619\ & VCC))
-- \led_flash_cnt[3774][5]~80621\ = CARRY((\led_flash_cnt[3774][5]~q\ & !\led_flash_cnt[3774][4]~80619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3774][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3774][4]~80619\,
	combout => \led_flash_cnt[3774][5]~80620_combout\,
	cout => \led_flash_cnt[3774][5]~80621\);

-- Location: FF_X47_Y50_N19
\led_flash_cnt[3774][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3774][5]~80620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3774][5]~q\);

-- Location: LCCOMB_X47_Y50_N20
\led_flash_cnt[3774][6]~80622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3774][6]~80622_combout\ = (\led_flash_cnt[3774][6]~q\ & (!\led_flash_cnt[3774][5]~80621\)) # (!\led_flash_cnt[3774][6]~q\ & ((\led_flash_cnt[3774][5]~80621\) # (GND)))
-- \led_flash_cnt[3774][6]~80623\ = CARRY((!\led_flash_cnt[3774][5]~80621\) # (!\led_flash_cnt[3774][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3774][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3774][5]~80621\,
	combout => \led_flash_cnt[3774][6]~80622_combout\,
	cout => \led_flash_cnt[3774][6]~80623\);

-- Location: FF_X47_Y50_N21
\led_flash_cnt[3774][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3774][6]~80622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3774][6]~q\);

-- Location: LCCOMB_X47_Y50_N22
\led_flash_cnt[3774][7]~80624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3774][7]~80624_combout\ = \led_flash_cnt[3774][7]~q\ $ (!\led_flash_cnt[3774][6]~80623\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3774][7]~q\,
	cin => \led_flash_cnt[3774][6]~80623\,
	combout => \led_flash_cnt[3774][7]~80624_combout\);

-- Location: FF_X47_Y50_N23
\led_flash_cnt[3774][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3774][7]~80624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3774][7]~q\);

-- Location: LCCOMB_X47_Y50_N24
\WideAnd3774~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3774~1_combout\ = (\led_flash_cnt[3774][5]~q\ & \led_flash_cnt[3774][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3774][5]~q\,
	datad => \led_flash_cnt[3774][6]~q\,
	combout => \WideAnd3774~1_combout\);

-- Location: LCCOMB_X47_Y50_N6
WideAnd3774 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3774~combout\ = (\WideAnd3774~0_combout\ & (\led_flash_cnt[3774][0]~q\ & (\led_flash_cnt[3774][7]~q\ & \WideAnd3774~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3774~0_combout\,
	datab => \led_flash_cnt[3774][0]~q\,
	datac => \led_flash_cnt[3774][7]~q\,
	datad => \WideAnd3774~1_combout\,
	combout => \WideAnd3774~combout\);

-- Location: FF_X47_Y50_N7
\led_flash_cnt_ands[3774]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3774~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3774));

-- Location: LCCOMB_X44_Y52_N2
\led_flash_cnt[3775][0]~84479\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3775][0]~84479_combout\ = !\led_flash_cnt[3775][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3775][0]~q\,
	combout => \led_flash_cnt[3775][0]~84479_combout\);

-- Location: FF_X44_Y52_N3
\led_flash_cnt[3775][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3775][0]~84479_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3775][0]~q\);

-- Location: LCCOMB_X44_Y50_N18
\led_flash_cnt[3775][1]~80626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3775][1]~80626_combout\ = (\led_flash_cnt[3775][0]~q\ & (\led_flash_cnt[3775][1]~q\ $ (VCC))) # (!\led_flash_cnt[3775][0]~q\ & (\led_flash_cnt[3775][1]~q\ & VCC))
-- \led_flash_cnt[3775][1]~80627\ = CARRY((\led_flash_cnt[3775][0]~q\ & \led_flash_cnt[3775][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3775][0]~q\,
	datab => \led_flash_cnt[3775][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3775][1]~80626_combout\,
	cout => \led_flash_cnt[3775][1]~80627\);

-- Location: FF_X44_Y50_N19
\led_flash_cnt[3775][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3775][1]~80626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3775][1]~q\);

-- Location: LCCOMB_X44_Y50_N20
\led_flash_cnt[3775][2]~80628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3775][2]~80628_combout\ = (\led_flash_cnt[3775][2]~q\ & (!\led_flash_cnt[3775][1]~80627\)) # (!\led_flash_cnt[3775][2]~q\ & ((\led_flash_cnt[3775][1]~80627\) # (GND)))
-- \led_flash_cnt[3775][2]~80629\ = CARRY((!\led_flash_cnt[3775][1]~80627\) # (!\led_flash_cnt[3775][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3775][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3775][1]~80627\,
	combout => \led_flash_cnt[3775][2]~80628_combout\,
	cout => \led_flash_cnt[3775][2]~80629\);

-- Location: FF_X44_Y50_N21
\led_flash_cnt[3775][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3775][2]~80628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3775][2]~q\);

-- Location: LCCOMB_X44_Y50_N22
\led_flash_cnt[3775][3]~80630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3775][3]~80630_combout\ = (\led_flash_cnt[3775][3]~q\ & (\led_flash_cnt[3775][2]~80629\ $ (GND))) # (!\led_flash_cnt[3775][3]~q\ & (!\led_flash_cnt[3775][2]~80629\ & VCC))
-- \led_flash_cnt[3775][3]~80631\ = CARRY((\led_flash_cnt[3775][3]~q\ & !\led_flash_cnt[3775][2]~80629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3775][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3775][2]~80629\,
	combout => \led_flash_cnt[3775][3]~80630_combout\,
	cout => \led_flash_cnt[3775][3]~80631\);

-- Location: FF_X44_Y50_N23
\led_flash_cnt[3775][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3775][3]~80630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3775][3]~q\);

-- Location: LCCOMB_X44_Y50_N24
\led_flash_cnt[3775][4]~80632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3775][4]~80632_combout\ = (\led_flash_cnt[3775][4]~q\ & (!\led_flash_cnt[3775][3]~80631\)) # (!\led_flash_cnt[3775][4]~q\ & ((\led_flash_cnt[3775][3]~80631\) # (GND)))
-- \led_flash_cnt[3775][4]~80633\ = CARRY((!\led_flash_cnt[3775][3]~80631\) # (!\led_flash_cnt[3775][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3775][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3775][3]~80631\,
	combout => \led_flash_cnt[3775][4]~80632_combout\,
	cout => \led_flash_cnt[3775][4]~80633\);

-- Location: FF_X44_Y50_N25
\led_flash_cnt[3775][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3775][4]~80632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3775][4]~q\);

-- Location: LCCOMB_X44_Y50_N26
\led_flash_cnt[3775][5]~80634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3775][5]~80634_combout\ = (\led_flash_cnt[3775][5]~q\ & (\led_flash_cnt[3775][4]~80633\ $ (GND))) # (!\led_flash_cnt[3775][5]~q\ & (!\led_flash_cnt[3775][4]~80633\ & VCC))
-- \led_flash_cnt[3775][5]~80635\ = CARRY((\led_flash_cnt[3775][5]~q\ & !\led_flash_cnt[3775][4]~80633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3775][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3775][4]~80633\,
	combout => \led_flash_cnt[3775][5]~80634_combout\,
	cout => \led_flash_cnt[3775][5]~80635\);

-- Location: FF_X44_Y50_N27
\led_flash_cnt[3775][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3775][5]~80634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3775][5]~q\);

-- Location: LCCOMB_X44_Y50_N28
\led_flash_cnt[3775][6]~80636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3775][6]~80636_combout\ = (\led_flash_cnt[3775][6]~q\ & (!\led_flash_cnt[3775][5]~80635\)) # (!\led_flash_cnt[3775][6]~q\ & ((\led_flash_cnt[3775][5]~80635\) # (GND)))
-- \led_flash_cnt[3775][6]~80637\ = CARRY((!\led_flash_cnt[3775][5]~80635\) # (!\led_flash_cnt[3775][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3775][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3775][5]~80635\,
	combout => \led_flash_cnt[3775][6]~80636_combout\,
	cout => \led_flash_cnt[3775][6]~80637\);

-- Location: FF_X44_Y50_N29
\led_flash_cnt[3775][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3775][6]~80636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3775][6]~q\);

-- Location: LCCOMB_X44_Y50_N2
\WideAnd3775~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3775~0_combout\ = (\led_flash_cnt[3775][1]~q\ & (\led_flash_cnt[3775][2]~q\ & (\led_flash_cnt[3775][3]~q\ & \led_flash_cnt[3775][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3775][1]~q\,
	datab => \led_flash_cnt[3775][2]~q\,
	datac => \led_flash_cnt[3775][3]~q\,
	datad => \led_flash_cnt[3775][6]~q\,
	combout => \WideAnd3775~0_combout\);

-- Location: LCCOMB_X44_Y50_N30
\led_flash_cnt[3775][7]~80638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3775][7]~80638_combout\ = \led_flash_cnt[3775][7]~q\ $ (!\led_flash_cnt[3775][6]~80637\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3775][7]~q\,
	cin => \led_flash_cnt[3775][6]~80637\,
	combout => \led_flash_cnt[3775][7]~80638_combout\);

-- Location: FF_X44_Y50_N31
\led_flash_cnt[3775][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3775][7]~80638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3775][7]~q\);

-- Location: LCCOMB_X44_Y52_N8
\WideAnd3775~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3775~1_combout\ = (\led_flash_cnt[3775][4]~q\ & \led_flash_cnt[3775][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3775][4]~q\,
	datad => \led_flash_cnt[3775][0]~q\,
	combout => \WideAnd3775~1_combout\);

-- Location: LCCOMB_X45_Y50_N24
WideAnd3775 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3775~combout\ = (\WideAnd3775~0_combout\ & (\led_flash_cnt[3775][7]~q\ & (\led_flash_cnt[3775][5]~q\ & \WideAnd3775~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3775~0_combout\,
	datab => \led_flash_cnt[3775][7]~q\,
	datac => \led_flash_cnt[3775][5]~q\,
	datad => \WideAnd3775~1_combout\,
	combout => \WideAnd3775~combout\);

-- Location: FF_X45_Y50_N25
\led_flash_cnt_ands[3775]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3775~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3775));

-- Location: LCCOMB_X49_Y52_N6
\led_flash_cnt[3771][0]~84475\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3771][0]~84475_combout\ = !\led_flash_cnt[3771][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3771][0]~q\,
	combout => \led_flash_cnt[3771][0]~84475_combout\);

-- Location: FF_X49_Y52_N7
\led_flash_cnt[3771][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3771][0]~84475_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3771][0]~q\);

-- Location: LCCOMB_X49_Y52_N16
\led_flash_cnt[3771][1]~80570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3771][1]~80570_combout\ = (\led_flash_cnt[3771][0]~q\ & (\led_flash_cnt[3771][1]~q\ $ (VCC))) # (!\led_flash_cnt[3771][0]~q\ & (\led_flash_cnt[3771][1]~q\ & VCC))
-- \led_flash_cnt[3771][1]~80571\ = CARRY((\led_flash_cnt[3771][0]~q\ & \led_flash_cnt[3771][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3771][0]~q\,
	datab => \led_flash_cnt[3771][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3771][1]~80570_combout\,
	cout => \led_flash_cnt[3771][1]~80571\);

-- Location: FF_X49_Y52_N17
\led_flash_cnt[3771][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3771][1]~80570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3771][1]~q\);

-- Location: LCCOMB_X49_Y52_N18
\led_flash_cnt[3771][2]~80572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3771][2]~80572_combout\ = (\led_flash_cnt[3771][2]~q\ & (!\led_flash_cnt[3771][1]~80571\)) # (!\led_flash_cnt[3771][2]~q\ & ((\led_flash_cnt[3771][1]~80571\) # (GND)))
-- \led_flash_cnt[3771][2]~80573\ = CARRY((!\led_flash_cnt[3771][1]~80571\) # (!\led_flash_cnt[3771][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3771][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3771][1]~80571\,
	combout => \led_flash_cnt[3771][2]~80572_combout\,
	cout => \led_flash_cnt[3771][2]~80573\);

-- Location: FF_X49_Y52_N19
\led_flash_cnt[3771][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3771][2]~80572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3771][2]~q\);

-- Location: LCCOMB_X49_Y52_N20
\led_flash_cnt[3771][3]~80574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3771][3]~80574_combout\ = (\led_flash_cnt[3771][3]~q\ & (\led_flash_cnt[3771][2]~80573\ $ (GND))) # (!\led_flash_cnt[3771][3]~q\ & (!\led_flash_cnt[3771][2]~80573\ & VCC))
-- \led_flash_cnt[3771][3]~80575\ = CARRY((\led_flash_cnt[3771][3]~q\ & !\led_flash_cnt[3771][2]~80573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3771][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3771][2]~80573\,
	combout => \led_flash_cnt[3771][3]~80574_combout\,
	cout => \led_flash_cnt[3771][3]~80575\);

-- Location: FF_X49_Y52_N21
\led_flash_cnt[3771][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3771][3]~80574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3771][3]~q\);

-- Location: LCCOMB_X49_Y52_N22
\led_flash_cnt[3771][4]~80576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3771][4]~80576_combout\ = (\led_flash_cnt[3771][4]~q\ & (!\led_flash_cnt[3771][3]~80575\)) # (!\led_flash_cnt[3771][4]~q\ & ((\led_flash_cnt[3771][3]~80575\) # (GND)))
-- \led_flash_cnt[3771][4]~80577\ = CARRY((!\led_flash_cnt[3771][3]~80575\) # (!\led_flash_cnt[3771][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3771][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3771][3]~80575\,
	combout => \led_flash_cnt[3771][4]~80576_combout\,
	cout => \led_flash_cnt[3771][4]~80577\);

-- Location: FF_X49_Y52_N23
\led_flash_cnt[3771][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3771][4]~80576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3771][4]~q\);

-- Location: LCCOMB_X49_Y52_N24
\led_flash_cnt[3771][5]~80578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3771][5]~80578_combout\ = (\led_flash_cnt[3771][5]~q\ & (\led_flash_cnt[3771][4]~80577\ $ (GND))) # (!\led_flash_cnt[3771][5]~q\ & (!\led_flash_cnt[3771][4]~80577\ & VCC))
-- \led_flash_cnt[3771][5]~80579\ = CARRY((\led_flash_cnt[3771][5]~q\ & !\led_flash_cnt[3771][4]~80577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3771][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3771][4]~80577\,
	combout => \led_flash_cnt[3771][5]~80578_combout\,
	cout => \led_flash_cnt[3771][5]~80579\);

-- Location: FF_X49_Y52_N25
\led_flash_cnt[3771][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3771][5]~80578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3771][5]~q\);

-- Location: LCCOMB_X49_Y52_N26
\led_flash_cnt[3771][6]~80580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3771][6]~80580_combout\ = (\led_flash_cnt[3771][6]~q\ & (!\led_flash_cnt[3771][5]~80579\)) # (!\led_flash_cnt[3771][6]~q\ & ((\led_flash_cnt[3771][5]~80579\) # (GND)))
-- \led_flash_cnt[3771][6]~80581\ = CARRY((!\led_flash_cnt[3771][5]~80579\) # (!\led_flash_cnt[3771][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3771][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3771][5]~80579\,
	combout => \led_flash_cnt[3771][6]~80580_combout\,
	cout => \led_flash_cnt[3771][6]~80581\);

-- Location: FF_X49_Y52_N27
\led_flash_cnt[3771][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3771][6]~80580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3771][6]~q\);

-- Location: LCCOMB_X49_Y52_N10
\WideAnd3771~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3771~1_combout\ = (\led_flash_cnt[3771][6]~q\ & \led_flash_cnt[3771][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3771][6]~q\,
	datad => \led_flash_cnt[3771][5]~q\,
	combout => \WideAnd3771~1_combout\);

-- Location: LCCOMB_X49_Y52_N28
\led_flash_cnt[3771][7]~80582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3771][7]~80582_combout\ = \led_flash_cnt[3771][6]~80581\ $ (!\led_flash_cnt[3771][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3771][7]~q\,
	cin => \led_flash_cnt[3771][6]~80581\,
	combout => \led_flash_cnt[3771][7]~80582_combout\);

-- Location: FF_X49_Y52_N29
\led_flash_cnt[3771][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3771][7]~80582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3771][7]~q\);

-- Location: LCCOMB_X49_Y52_N4
\WideAnd3771~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3771~0_combout\ = (\led_flash_cnt[3771][1]~q\ & (\led_flash_cnt[3771][2]~q\ & (\led_flash_cnt[3771][4]~q\ & \led_flash_cnt[3771][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3771][1]~q\,
	datab => \led_flash_cnt[3771][2]~q\,
	datac => \led_flash_cnt[3771][4]~q\,
	datad => \led_flash_cnt[3771][3]~q\,
	combout => \WideAnd3771~0_combout\);

-- Location: LCCOMB_X49_Y52_N12
WideAnd3771 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3771~combout\ = (\WideAnd3771~1_combout\ & (\led_flash_cnt[3771][7]~q\ & (\WideAnd3771~0_combout\ & \led_flash_cnt[3771][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3771~1_combout\,
	datab => \led_flash_cnt[3771][7]~q\,
	datac => \WideAnd3771~0_combout\,
	datad => \led_flash_cnt[3771][0]~q\,
	combout => \WideAnd3771~combout\);

-- Location: FF_X49_Y52_N13
\led_flash_cnt_ands[3771]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3771~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3771));

-- Location: LCCOMB_X46_Y51_N24
\led_flash_cnt[3768][0]~84472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3768][0]~84472_combout\ = !\led_flash_cnt[3768][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3768][0]~q\,
	combout => \led_flash_cnt[3768][0]~84472_combout\);

-- Location: FF_X46_Y51_N25
\led_flash_cnt[3768][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3768][0]~84472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3768][0]~q\);

-- Location: LCCOMB_X46_Y51_N6
\led_flash_cnt[3768][1]~80528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3768][1]~80528_combout\ = (\led_flash_cnt[3768][1]~q\ & (\led_flash_cnt[3768][0]~q\ $ (VCC))) # (!\led_flash_cnt[3768][1]~q\ & (\led_flash_cnt[3768][0]~q\ & VCC))
-- \led_flash_cnt[3768][1]~80529\ = CARRY((\led_flash_cnt[3768][1]~q\ & \led_flash_cnt[3768][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3768][1]~q\,
	datab => \led_flash_cnt[3768][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3768][1]~80528_combout\,
	cout => \led_flash_cnt[3768][1]~80529\);

-- Location: FF_X46_Y51_N7
\led_flash_cnt[3768][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3768][1]~80528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3768][1]~q\);

-- Location: LCCOMB_X46_Y51_N8
\led_flash_cnt[3768][2]~80530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3768][2]~80530_combout\ = (\led_flash_cnt[3768][2]~q\ & (!\led_flash_cnt[3768][1]~80529\)) # (!\led_flash_cnt[3768][2]~q\ & ((\led_flash_cnt[3768][1]~80529\) # (GND)))
-- \led_flash_cnt[3768][2]~80531\ = CARRY((!\led_flash_cnt[3768][1]~80529\) # (!\led_flash_cnt[3768][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3768][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3768][1]~80529\,
	combout => \led_flash_cnt[3768][2]~80530_combout\,
	cout => \led_flash_cnt[3768][2]~80531\);

-- Location: FF_X46_Y51_N9
\led_flash_cnt[3768][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3768][2]~80530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3768][2]~q\);

-- Location: LCCOMB_X46_Y51_N10
\led_flash_cnt[3768][3]~80532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3768][3]~80532_combout\ = (\led_flash_cnt[3768][3]~q\ & (\led_flash_cnt[3768][2]~80531\ $ (GND))) # (!\led_flash_cnt[3768][3]~q\ & (!\led_flash_cnt[3768][2]~80531\ & VCC))
-- \led_flash_cnt[3768][3]~80533\ = CARRY((\led_flash_cnt[3768][3]~q\ & !\led_flash_cnt[3768][2]~80531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3768][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3768][2]~80531\,
	combout => \led_flash_cnt[3768][3]~80532_combout\,
	cout => \led_flash_cnt[3768][3]~80533\);

-- Location: FF_X46_Y51_N11
\led_flash_cnt[3768][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3768][3]~80532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3768][3]~q\);

-- Location: LCCOMB_X46_Y51_N12
\led_flash_cnt[3768][4]~80534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3768][4]~80534_combout\ = (\led_flash_cnt[3768][4]~q\ & (!\led_flash_cnt[3768][3]~80533\)) # (!\led_flash_cnt[3768][4]~q\ & ((\led_flash_cnt[3768][3]~80533\) # (GND)))
-- \led_flash_cnt[3768][4]~80535\ = CARRY((!\led_flash_cnt[3768][3]~80533\) # (!\led_flash_cnt[3768][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3768][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3768][3]~80533\,
	combout => \led_flash_cnt[3768][4]~80534_combout\,
	cout => \led_flash_cnt[3768][4]~80535\);

-- Location: FF_X46_Y51_N13
\led_flash_cnt[3768][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3768][4]~80534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3768][4]~q\);

-- Location: LCCOMB_X46_Y51_N26
\WideAnd3768~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3768~0_combout\ = (\led_flash_cnt[3768][4]~q\ & (\led_flash_cnt[3768][1]~q\ & (\led_flash_cnt[3768][2]~q\ & \led_flash_cnt[3768][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3768][4]~q\,
	datab => \led_flash_cnt[3768][1]~q\,
	datac => \led_flash_cnt[3768][2]~q\,
	datad => \led_flash_cnt[3768][3]~q\,
	combout => \WideAnd3768~0_combout\);

-- Location: LCCOMB_X46_Y51_N14
\led_flash_cnt[3768][5]~80536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3768][5]~80536_combout\ = (\led_flash_cnt[3768][5]~q\ & (\led_flash_cnt[3768][4]~80535\ $ (GND))) # (!\led_flash_cnt[3768][5]~q\ & (!\led_flash_cnt[3768][4]~80535\ & VCC))
-- \led_flash_cnt[3768][5]~80537\ = CARRY((\led_flash_cnt[3768][5]~q\ & !\led_flash_cnt[3768][4]~80535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3768][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3768][4]~80535\,
	combout => \led_flash_cnt[3768][5]~80536_combout\,
	cout => \led_flash_cnt[3768][5]~80537\);

-- Location: FF_X46_Y51_N15
\led_flash_cnt[3768][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3768][5]~80536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3768][5]~q\);

-- Location: LCCOMB_X46_Y51_N16
\led_flash_cnt[3768][6]~80538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3768][6]~80538_combout\ = (\led_flash_cnt[3768][6]~q\ & (!\led_flash_cnt[3768][5]~80537\)) # (!\led_flash_cnt[3768][6]~q\ & ((\led_flash_cnt[3768][5]~80537\) # (GND)))
-- \led_flash_cnt[3768][6]~80539\ = CARRY((!\led_flash_cnt[3768][5]~80537\) # (!\led_flash_cnt[3768][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3768][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3768][5]~80537\,
	combout => \led_flash_cnt[3768][6]~80538_combout\,
	cout => \led_flash_cnt[3768][6]~80539\);

-- Location: FF_X46_Y51_N17
\led_flash_cnt[3768][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3768][6]~80538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3768][6]~q\);

-- Location: LCCOMB_X46_Y51_N18
\led_flash_cnt[3768][7]~80540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3768][7]~80540_combout\ = \led_flash_cnt[3768][6]~80539\ $ (!\led_flash_cnt[3768][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3768][7]~q\,
	cin => \led_flash_cnt[3768][6]~80539\,
	combout => \led_flash_cnt[3768][7]~80540_combout\);

-- Location: FF_X46_Y51_N19
\led_flash_cnt[3768][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3768][7]~80540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3768][7]~q\);

-- Location: LCCOMB_X46_Y51_N4
\WideAnd3768~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3768~1_combout\ = (\led_flash_cnt[3768][5]~q\ & \led_flash_cnt[3768][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3768][5]~q\,
	datad => \led_flash_cnt[3768][6]~q\,
	combout => \WideAnd3768~1_combout\);

-- Location: LCCOMB_X46_Y51_N28
WideAnd3768 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3768~combout\ = (\WideAnd3768~0_combout\ & (\led_flash_cnt[3768][7]~q\ & (\WideAnd3768~1_combout\ & \led_flash_cnt[3768][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3768~0_combout\,
	datab => \led_flash_cnt[3768][7]~q\,
	datac => \WideAnd3768~1_combout\,
	datad => \led_flash_cnt[3768][0]~q\,
	combout => \WideAnd3768~combout\);

-- Location: FF_X46_Y51_N29
\led_flash_cnt_ands[3768]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3768~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3768));

-- Location: LCCOMB_X49_Y52_N14
\led_flash_cnt[3770][0]~84474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3770][0]~84474_combout\ = !\led_flash_cnt[3770][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3770][0]~q\,
	combout => \led_flash_cnt[3770][0]~84474_combout\);

-- Location: FF_X49_Y52_N15
\led_flash_cnt[3770][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3770][0]~84474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3770][0]~q\);

-- Location: LCCOMB_X47_Y52_N18
\led_flash_cnt[3770][1]~80556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3770][1]~80556_combout\ = (\led_flash_cnt[3770][0]~q\ & (\led_flash_cnt[3770][1]~q\ $ (VCC))) # (!\led_flash_cnt[3770][0]~q\ & (\led_flash_cnt[3770][1]~q\ & VCC))
-- \led_flash_cnt[3770][1]~80557\ = CARRY((\led_flash_cnt[3770][0]~q\ & \led_flash_cnt[3770][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3770][0]~q\,
	datab => \led_flash_cnt[3770][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3770][1]~80556_combout\,
	cout => \led_flash_cnt[3770][1]~80557\);

-- Location: FF_X47_Y52_N19
\led_flash_cnt[3770][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3770][1]~80556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3770][1]~q\);

-- Location: LCCOMB_X47_Y52_N20
\led_flash_cnt[3770][2]~80558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3770][2]~80558_combout\ = (\led_flash_cnt[3770][2]~q\ & (!\led_flash_cnt[3770][1]~80557\)) # (!\led_flash_cnt[3770][2]~q\ & ((\led_flash_cnt[3770][1]~80557\) # (GND)))
-- \led_flash_cnt[3770][2]~80559\ = CARRY((!\led_flash_cnt[3770][1]~80557\) # (!\led_flash_cnt[3770][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3770][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3770][1]~80557\,
	combout => \led_flash_cnt[3770][2]~80558_combout\,
	cout => \led_flash_cnt[3770][2]~80559\);

-- Location: FF_X47_Y52_N21
\led_flash_cnt[3770][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3770][2]~80558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3770][2]~q\);

-- Location: LCCOMB_X47_Y52_N22
\led_flash_cnt[3770][3]~80560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3770][3]~80560_combout\ = (\led_flash_cnt[3770][3]~q\ & (\led_flash_cnt[3770][2]~80559\ $ (GND))) # (!\led_flash_cnt[3770][3]~q\ & (!\led_flash_cnt[3770][2]~80559\ & VCC))
-- \led_flash_cnt[3770][3]~80561\ = CARRY((\led_flash_cnt[3770][3]~q\ & !\led_flash_cnt[3770][2]~80559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3770][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3770][2]~80559\,
	combout => \led_flash_cnt[3770][3]~80560_combout\,
	cout => \led_flash_cnt[3770][3]~80561\);

-- Location: FF_X47_Y52_N23
\led_flash_cnt[3770][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3770][3]~80560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3770][3]~q\);

-- Location: LCCOMB_X47_Y52_N24
\led_flash_cnt[3770][4]~80562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3770][4]~80562_combout\ = (\led_flash_cnt[3770][4]~q\ & (!\led_flash_cnt[3770][3]~80561\)) # (!\led_flash_cnt[3770][4]~q\ & ((\led_flash_cnt[3770][3]~80561\) # (GND)))
-- \led_flash_cnt[3770][4]~80563\ = CARRY((!\led_flash_cnt[3770][3]~80561\) # (!\led_flash_cnt[3770][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3770][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3770][3]~80561\,
	combout => \led_flash_cnt[3770][4]~80562_combout\,
	cout => \led_flash_cnt[3770][4]~80563\);

-- Location: FF_X47_Y52_N25
\led_flash_cnt[3770][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3770][4]~80562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3770][4]~q\);

-- Location: LCCOMB_X47_Y52_N26
\led_flash_cnt[3770][5]~80564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3770][5]~80564_combout\ = (\led_flash_cnt[3770][5]~q\ & (\led_flash_cnt[3770][4]~80563\ $ (GND))) # (!\led_flash_cnt[3770][5]~q\ & (!\led_flash_cnt[3770][4]~80563\ & VCC))
-- \led_flash_cnt[3770][5]~80565\ = CARRY((\led_flash_cnt[3770][5]~q\ & !\led_flash_cnt[3770][4]~80563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3770][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3770][4]~80563\,
	combout => \led_flash_cnt[3770][5]~80564_combout\,
	cout => \led_flash_cnt[3770][5]~80565\);

-- Location: FF_X47_Y52_N27
\led_flash_cnt[3770][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3770][5]~80564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3770][5]~q\);

-- Location: LCCOMB_X47_Y52_N28
\led_flash_cnt[3770][6]~80566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3770][6]~80566_combout\ = (\led_flash_cnt[3770][6]~q\ & (!\led_flash_cnt[3770][5]~80565\)) # (!\led_flash_cnt[3770][6]~q\ & ((\led_flash_cnt[3770][5]~80565\) # (GND)))
-- \led_flash_cnt[3770][6]~80567\ = CARRY((!\led_flash_cnt[3770][5]~80565\) # (!\led_flash_cnt[3770][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3770][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3770][5]~80565\,
	combout => \led_flash_cnt[3770][6]~80566_combout\,
	cout => \led_flash_cnt[3770][6]~80567\);

-- Location: FF_X47_Y52_N29
\led_flash_cnt[3770][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3770][6]~80566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3770][6]~q\);

-- Location: LCCOMB_X47_Y52_N0
\WideAnd3770~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3770~0_combout\ = (\led_flash_cnt[3770][1]~q\ & (\led_flash_cnt[3770][4]~q\ & (\led_flash_cnt[3770][5]~q\ & \led_flash_cnt[3770][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3770][1]~q\,
	datab => \led_flash_cnt[3770][4]~q\,
	datac => \led_flash_cnt[3770][5]~q\,
	datad => \led_flash_cnt[3770][6]~q\,
	combout => \WideAnd3770~0_combout\);

-- Location: LCCOMB_X47_Y52_N30
\led_flash_cnt[3770][7]~80568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3770][7]~80568_combout\ = \led_flash_cnt[3770][7]~q\ $ (!\led_flash_cnt[3770][6]~80567\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3770][7]~q\,
	cin => \led_flash_cnt[3770][6]~80567\,
	combout => \led_flash_cnt[3770][7]~80568_combout\);

-- Location: FF_X47_Y52_N31
\led_flash_cnt[3770][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3770][7]~80568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3770][7]~q\);

-- Location: LCCOMB_X49_Y52_N2
\WideAnd3770~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3770~1_combout\ = (\led_flash_cnt[3770][0]~q\ & \led_flash_cnt[3770][3]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3770][0]~q\,
	datac => \led_flash_cnt[3770][3]~q\,
	combout => \WideAnd3770~1_combout\);

-- Location: LCCOMB_X49_Y52_N30
WideAnd3770 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3770~combout\ = (\led_flash_cnt[3770][2]~q\ & (\WideAnd3770~0_combout\ & (\led_flash_cnt[3770][7]~q\ & \WideAnd3770~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3770][2]~q\,
	datab => \WideAnd3770~0_combout\,
	datac => \led_flash_cnt[3770][7]~q\,
	datad => \WideAnd3770~1_combout\,
	combout => \WideAnd3770~combout\);

-- Location: FF_X49_Y52_N31
\led_flash_cnt_ands[3770]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3770~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3770));

-- Location: LCCOMB_X47_Y50_N2
\led_flash_cnt[3769][0]~84473\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3769][0]~84473_combout\ = !\led_flash_cnt[3769][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3769][0]~q\,
	combout => \led_flash_cnt[3769][0]~84473_combout\);

-- Location: FF_X47_Y50_N3
\led_flash_cnt[3769][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3769][0]~84473_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3769][0]~q\);

-- Location: LCCOMB_X46_Y50_N18
\led_flash_cnt[3769][1]~80542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3769][1]~80542_combout\ = (\led_flash_cnt[3769][0]~q\ & (\led_flash_cnt[3769][1]~q\ $ (VCC))) # (!\led_flash_cnt[3769][0]~q\ & (\led_flash_cnt[3769][1]~q\ & VCC))
-- \led_flash_cnt[3769][1]~80543\ = CARRY((\led_flash_cnt[3769][0]~q\ & \led_flash_cnt[3769][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3769][0]~q\,
	datab => \led_flash_cnt[3769][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3769][1]~80542_combout\,
	cout => \led_flash_cnt[3769][1]~80543\);

-- Location: FF_X46_Y50_N19
\led_flash_cnt[3769][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3769][1]~80542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3769][1]~q\);

-- Location: LCCOMB_X46_Y50_N20
\led_flash_cnt[3769][2]~80544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3769][2]~80544_combout\ = (\led_flash_cnt[3769][2]~q\ & (!\led_flash_cnt[3769][1]~80543\)) # (!\led_flash_cnt[3769][2]~q\ & ((\led_flash_cnt[3769][1]~80543\) # (GND)))
-- \led_flash_cnt[3769][2]~80545\ = CARRY((!\led_flash_cnt[3769][1]~80543\) # (!\led_flash_cnt[3769][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3769][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3769][1]~80543\,
	combout => \led_flash_cnt[3769][2]~80544_combout\,
	cout => \led_flash_cnt[3769][2]~80545\);

-- Location: FF_X46_Y50_N21
\led_flash_cnt[3769][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3769][2]~80544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3769][2]~q\);

-- Location: LCCOMB_X46_Y50_N22
\led_flash_cnt[3769][3]~80546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3769][3]~80546_combout\ = (\led_flash_cnt[3769][3]~q\ & (\led_flash_cnt[3769][2]~80545\ $ (GND))) # (!\led_flash_cnt[3769][3]~q\ & (!\led_flash_cnt[3769][2]~80545\ & VCC))
-- \led_flash_cnt[3769][3]~80547\ = CARRY((\led_flash_cnt[3769][3]~q\ & !\led_flash_cnt[3769][2]~80545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3769][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3769][2]~80545\,
	combout => \led_flash_cnt[3769][3]~80546_combout\,
	cout => \led_flash_cnt[3769][3]~80547\);

-- Location: FF_X46_Y50_N23
\led_flash_cnt[3769][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3769][3]~80546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3769][3]~q\);

-- Location: LCCOMB_X46_Y50_N24
\led_flash_cnt[3769][4]~80548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3769][4]~80548_combout\ = (\led_flash_cnt[3769][4]~q\ & (!\led_flash_cnt[3769][3]~80547\)) # (!\led_flash_cnt[3769][4]~q\ & ((\led_flash_cnt[3769][3]~80547\) # (GND)))
-- \led_flash_cnt[3769][4]~80549\ = CARRY((!\led_flash_cnt[3769][3]~80547\) # (!\led_flash_cnt[3769][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3769][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3769][3]~80547\,
	combout => \led_flash_cnt[3769][4]~80548_combout\,
	cout => \led_flash_cnt[3769][4]~80549\);

-- Location: FF_X46_Y50_N25
\led_flash_cnt[3769][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3769][4]~80548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3769][4]~q\);

-- Location: LCCOMB_X46_Y50_N26
\led_flash_cnt[3769][5]~80550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3769][5]~80550_combout\ = (\led_flash_cnt[3769][5]~q\ & (\led_flash_cnt[3769][4]~80549\ $ (GND))) # (!\led_flash_cnt[3769][5]~q\ & (!\led_flash_cnt[3769][4]~80549\ & VCC))
-- \led_flash_cnt[3769][5]~80551\ = CARRY((\led_flash_cnt[3769][5]~q\ & !\led_flash_cnt[3769][4]~80549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3769][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3769][4]~80549\,
	combout => \led_flash_cnt[3769][5]~80550_combout\,
	cout => \led_flash_cnt[3769][5]~80551\);

-- Location: FF_X46_Y50_N27
\led_flash_cnt[3769][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3769][5]~80550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3769][5]~q\);

-- Location: LCCOMB_X46_Y50_N28
\led_flash_cnt[3769][6]~80552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3769][6]~80552_combout\ = (\led_flash_cnt[3769][6]~q\ & (!\led_flash_cnt[3769][5]~80551\)) # (!\led_flash_cnt[3769][6]~q\ & ((\led_flash_cnt[3769][5]~80551\) # (GND)))
-- \led_flash_cnt[3769][6]~80553\ = CARRY((!\led_flash_cnt[3769][5]~80551\) # (!\led_flash_cnt[3769][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3769][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3769][5]~80551\,
	combout => \led_flash_cnt[3769][6]~80552_combout\,
	cout => \led_flash_cnt[3769][6]~80553\);

-- Location: FF_X46_Y50_N29
\led_flash_cnt[3769][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3769][6]~80552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3769][6]~q\);

-- Location: LCCOMB_X47_Y50_N26
\WideAnd3769~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3769~1_combout\ = (\led_flash_cnt[3769][5]~q\ & \led_flash_cnt[3769][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3769][5]~q\,
	datad => \led_flash_cnt[3769][6]~q\,
	combout => \WideAnd3769~1_combout\);

-- Location: LCCOMB_X46_Y50_N30
\led_flash_cnt[3769][7]~80554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3769][7]~80554_combout\ = \led_flash_cnt[3769][7]~q\ $ (!\led_flash_cnt[3769][6]~80553\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3769][7]~q\,
	cin => \led_flash_cnt[3769][6]~80553\,
	combout => \led_flash_cnt[3769][7]~80554_combout\);

-- Location: FF_X46_Y50_N31
\led_flash_cnt[3769][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3769][7]~80554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3769][7]~q\);

-- Location: LCCOMB_X47_Y50_N28
\WideAnd3769~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3769~0_combout\ = (\led_flash_cnt[3769][3]~q\ & (\led_flash_cnt[3769][4]~q\ & (\led_flash_cnt[3769][1]~q\ & \led_flash_cnt[3769][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3769][3]~q\,
	datab => \led_flash_cnt[3769][4]~q\,
	datac => \led_flash_cnt[3769][1]~q\,
	datad => \led_flash_cnt[3769][2]~q\,
	combout => \WideAnd3769~0_combout\);

-- Location: LCCOMB_X47_Y50_N0
WideAnd3769 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3769~combout\ = (\WideAnd3769~1_combout\ & (\led_flash_cnt[3769][7]~q\ & (\led_flash_cnt[3769][0]~q\ & \WideAnd3769~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3769~1_combout\,
	datab => \led_flash_cnt[3769][7]~q\,
	datac => \led_flash_cnt[3769][0]~q\,
	datad => \WideAnd3769~0_combout\,
	combout => \WideAnd3769~combout\);

-- Location: FF_X47_Y50_N1
\led_flash_cnt_ands[3769]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3769~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3769));

-- Location: LCCOMB_X47_Y51_N16
\WideAnd4311~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4311~0_combout\ = (led_flash_cnt_ands(3771) & (led_flash_cnt_ands(3768) & (led_flash_cnt_ands(3770) & led_flash_cnt_ands(3769))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3771),
	datab => led_flash_cnt_ands(3768),
	datac => led_flash_cnt_ands(3770),
	datad => led_flash_cnt_ands(3769),
	combout => \WideAnd4311~0_combout\);

-- Location: LCCOMB_X46_Y51_N20
WideAnd4311 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4311~combout\ = (\WideAnd4311~1_combout\ & (led_flash_cnt_ands(3774) & (led_flash_cnt_ands(3775) & \WideAnd4311~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4311~1_combout\,
	datab => led_flash_cnt_ands(3774),
	datac => led_flash_cnt_ands(3775),
	datad => \WideAnd4311~0_combout\,
	combout => \WideAnd4311~combout\);

-- Location: FF_X46_Y51_N21
\led_flash_cnt_ands_1[471]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4311~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(471));

-- Location: LCCOMB_X30_Y27_N16
WideAnd4378 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4378~combout\ = (\WideAnd4378~1_combout\ & (\WideAnd4378~0_combout\ & (led_flash_cnt_ands_1(470) & led_flash_cnt_ands_1(471))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4378~1_combout\,
	datab => \WideAnd4378~0_combout\,
	datac => led_flash_cnt_ands_1(470),
	datad => led_flash_cnt_ands_1(471),
	combout => \WideAnd4378~combout\);

-- Location: FF_X30_Y27_N17
\led_flash_cnt_ands_2[58]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4378~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(58));

-- Location: LCCOMB_X24_Y9_N6
\led_flash_cnt[3692][0]~84396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3692][0]~84396_combout\ = !\led_flash_cnt[3692][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3692][0]~q\,
	combout => \led_flash_cnt[3692][0]~84396_combout\);

-- Location: FF_X24_Y9_N7
\led_flash_cnt[3692][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3692][0]~84396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3692][0]~q\);

-- Location: LCCOMB_X25_Y9_N0
\led_flash_cnt[3692][1]~79464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3692][1]~79464_combout\ = (\led_flash_cnt[3692][0]~q\ & (\led_flash_cnt[3692][1]~q\ $ (VCC))) # (!\led_flash_cnt[3692][0]~q\ & (\led_flash_cnt[3692][1]~q\ & VCC))
-- \led_flash_cnt[3692][1]~79465\ = CARRY((\led_flash_cnt[3692][0]~q\ & \led_flash_cnt[3692][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3692][0]~q\,
	datab => \led_flash_cnt[3692][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3692][1]~79464_combout\,
	cout => \led_flash_cnt[3692][1]~79465\);

-- Location: FF_X25_Y9_N1
\led_flash_cnt[3692][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3692][1]~79464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3692][1]~q\);

-- Location: LCCOMB_X25_Y9_N2
\led_flash_cnt[3692][2]~79466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3692][2]~79466_combout\ = (\led_flash_cnt[3692][2]~q\ & (!\led_flash_cnt[3692][1]~79465\)) # (!\led_flash_cnt[3692][2]~q\ & ((\led_flash_cnt[3692][1]~79465\) # (GND)))
-- \led_flash_cnt[3692][2]~79467\ = CARRY((!\led_flash_cnt[3692][1]~79465\) # (!\led_flash_cnt[3692][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3692][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3692][1]~79465\,
	combout => \led_flash_cnt[3692][2]~79466_combout\,
	cout => \led_flash_cnt[3692][2]~79467\);

-- Location: FF_X25_Y9_N3
\led_flash_cnt[3692][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3692][2]~79466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3692][2]~q\);

-- Location: LCCOMB_X25_Y9_N4
\led_flash_cnt[3692][3]~79468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3692][3]~79468_combout\ = (\led_flash_cnt[3692][3]~q\ & (\led_flash_cnt[3692][2]~79467\ $ (GND))) # (!\led_flash_cnt[3692][3]~q\ & (!\led_flash_cnt[3692][2]~79467\ & VCC))
-- \led_flash_cnt[3692][3]~79469\ = CARRY((\led_flash_cnt[3692][3]~q\ & !\led_flash_cnt[3692][2]~79467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3692][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3692][2]~79467\,
	combout => \led_flash_cnt[3692][3]~79468_combout\,
	cout => \led_flash_cnt[3692][3]~79469\);

-- Location: FF_X25_Y9_N5
\led_flash_cnt[3692][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3692][3]~79468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3692][3]~q\);

-- Location: LCCOMB_X25_Y9_N6
\led_flash_cnt[3692][4]~79470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3692][4]~79470_combout\ = (\led_flash_cnt[3692][4]~q\ & (!\led_flash_cnt[3692][3]~79469\)) # (!\led_flash_cnt[3692][4]~q\ & ((\led_flash_cnt[3692][3]~79469\) # (GND)))
-- \led_flash_cnt[3692][4]~79471\ = CARRY((!\led_flash_cnt[3692][3]~79469\) # (!\led_flash_cnt[3692][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3692][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3692][3]~79469\,
	combout => \led_flash_cnt[3692][4]~79470_combout\,
	cout => \led_flash_cnt[3692][4]~79471\);

-- Location: FF_X25_Y9_N7
\led_flash_cnt[3692][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3692][4]~79470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3692][4]~q\);

-- Location: LCCOMB_X25_Y9_N8
\led_flash_cnt[3692][5]~79472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3692][5]~79472_combout\ = (\led_flash_cnt[3692][5]~q\ & (\led_flash_cnt[3692][4]~79471\ $ (GND))) # (!\led_flash_cnt[3692][5]~q\ & (!\led_flash_cnt[3692][4]~79471\ & VCC))
-- \led_flash_cnt[3692][5]~79473\ = CARRY((\led_flash_cnt[3692][5]~q\ & !\led_flash_cnt[3692][4]~79471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3692][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3692][4]~79471\,
	combout => \led_flash_cnt[3692][5]~79472_combout\,
	cout => \led_flash_cnt[3692][5]~79473\);

-- Location: FF_X25_Y9_N9
\led_flash_cnt[3692][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3692][5]~79472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3692][5]~q\);

-- Location: LCCOMB_X25_Y9_N10
\led_flash_cnt[3692][6]~79474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3692][6]~79474_combout\ = (\led_flash_cnt[3692][6]~q\ & (!\led_flash_cnt[3692][5]~79473\)) # (!\led_flash_cnt[3692][6]~q\ & ((\led_flash_cnt[3692][5]~79473\) # (GND)))
-- \led_flash_cnt[3692][6]~79475\ = CARRY((!\led_flash_cnt[3692][5]~79473\) # (!\led_flash_cnt[3692][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3692][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3692][5]~79473\,
	combout => \led_flash_cnt[3692][6]~79474_combout\,
	cout => \led_flash_cnt[3692][6]~79475\);

-- Location: FF_X25_Y9_N11
\led_flash_cnt[3692][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3692][6]~79474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3692][6]~q\);

-- Location: LCCOMB_X25_Y9_N12
\led_flash_cnt[3692][7]~79476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3692][7]~79476_combout\ = \led_flash_cnt[3692][6]~79475\ $ (!\led_flash_cnt[3692][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3692][7]~q\,
	cin => \led_flash_cnt[3692][6]~79475\,
	combout => \led_flash_cnt[3692][7]~79476_combout\);

-- Location: FF_X25_Y9_N13
\led_flash_cnt[3692][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3692][7]~79476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3692][7]~q\);

-- Location: LCCOMB_X25_Y9_N30
\WideAnd3692~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3692~0_combout\ = (\led_flash_cnt[3692][4]~q\ & (\led_flash_cnt[3692][1]~q\ & (\led_flash_cnt[3692][3]~q\ & \led_flash_cnt[3692][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3692][4]~q\,
	datab => \led_flash_cnt[3692][1]~q\,
	datac => \led_flash_cnt[3692][3]~q\,
	datad => \led_flash_cnt[3692][2]~q\,
	combout => \WideAnd3692~0_combout\);

-- Location: LCCOMB_X24_Y9_N2
\WideAnd3692~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3692~1_combout\ = (\led_flash_cnt[3692][5]~q\ & \led_flash_cnt[3692][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3692][5]~q\,
	datac => \led_flash_cnt[3692][6]~q\,
	combout => \WideAnd3692~1_combout\);

-- Location: LCCOMB_X24_Y9_N4
WideAnd3692 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3692~combout\ = (\led_flash_cnt[3692][0]~q\ & (\led_flash_cnt[3692][7]~q\ & (\WideAnd3692~0_combout\ & \WideAnd3692~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3692][0]~q\,
	datab => \led_flash_cnt[3692][7]~q\,
	datac => \WideAnd3692~0_combout\,
	datad => \WideAnd3692~1_combout\,
	combout => \WideAnd3692~combout\);

-- Location: FF_X24_Y9_N5
\led_flash_cnt_ands[3692]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3692~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3692));

-- Location: LCCOMB_X24_Y9_N22
\led_flash_cnt[3693][0]~84397\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3693][0]~84397_combout\ = !\led_flash_cnt[3693][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3693][0]~q\,
	combout => \led_flash_cnt[3693][0]~84397_combout\);

-- Location: FF_X24_Y9_N23
\led_flash_cnt[3693][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3693][0]~84397_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3693][0]~q\);

-- Location: LCCOMB_X24_Y9_N8
\led_flash_cnt[3693][1]~79478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3693][1]~79478_combout\ = (\led_flash_cnt[3693][0]~q\ & (\led_flash_cnt[3693][1]~q\ $ (VCC))) # (!\led_flash_cnt[3693][0]~q\ & (\led_flash_cnt[3693][1]~q\ & VCC))
-- \led_flash_cnt[3693][1]~79479\ = CARRY((\led_flash_cnt[3693][0]~q\ & \led_flash_cnt[3693][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3693][0]~q\,
	datab => \led_flash_cnt[3693][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3693][1]~79478_combout\,
	cout => \led_flash_cnt[3693][1]~79479\);

-- Location: FF_X24_Y9_N9
\led_flash_cnt[3693][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3693][1]~79478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3693][1]~q\);

-- Location: LCCOMB_X24_Y9_N10
\led_flash_cnt[3693][2]~79480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3693][2]~79480_combout\ = (\led_flash_cnt[3693][2]~q\ & (!\led_flash_cnt[3693][1]~79479\)) # (!\led_flash_cnt[3693][2]~q\ & ((\led_flash_cnt[3693][1]~79479\) # (GND)))
-- \led_flash_cnt[3693][2]~79481\ = CARRY((!\led_flash_cnt[3693][1]~79479\) # (!\led_flash_cnt[3693][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3693][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3693][1]~79479\,
	combout => \led_flash_cnt[3693][2]~79480_combout\,
	cout => \led_flash_cnt[3693][2]~79481\);

-- Location: FF_X24_Y9_N11
\led_flash_cnt[3693][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3693][2]~79480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3693][2]~q\);

-- Location: LCCOMB_X24_Y9_N12
\led_flash_cnt[3693][3]~79482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3693][3]~79482_combout\ = (\led_flash_cnt[3693][3]~q\ & (\led_flash_cnt[3693][2]~79481\ $ (GND))) # (!\led_flash_cnt[3693][3]~q\ & (!\led_flash_cnt[3693][2]~79481\ & VCC))
-- \led_flash_cnt[3693][3]~79483\ = CARRY((\led_flash_cnt[3693][3]~q\ & !\led_flash_cnt[3693][2]~79481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3693][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3693][2]~79481\,
	combout => \led_flash_cnt[3693][3]~79482_combout\,
	cout => \led_flash_cnt[3693][3]~79483\);

-- Location: FF_X24_Y9_N13
\led_flash_cnt[3693][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3693][3]~79482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3693][3]~q\);

-- Location: LCCOMB_X24_Y9_N14
\led_flash_cnt[3693][4]~79484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3693][4]~79484_combout\ = (\led_flash_cnt[3693][4]~q\ & (!\led_flash_cnt[3693][3]~79483\)) # (!\led_flash_cnt[3693][4]~q\ & ((\led_flash_cnt[3693][3]~79483\) # (GND)))
-- \led_flash_cnt[3693][4]~79485\ = CARRY((!\led_flash_cnt[3693][3]~79483\) # (!\led_flash_cnt[3693][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3693][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3693][3]~79483\,
	combout => \led_flash_cnt[3693][4]~79484_combout\,
	cout => \led_flash_cnt[3693][4]~79485\);

-- Location: FF_X24_Y9_N15
\led_flash_cnt[3693][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3693][4]~79484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3693][4]~q\);

-- Location: LCCOMB_X24_Y9_N16
\led_flash_cnt[3693][5]~79486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3693][5]~79486_combout\ = (\led_flash_cnt[3693][5]~q\ & (\led_flash_cnt[3693][4]~79485\ $ (GND))) # (!\led_flash_cnt[3693][5]~q\ & (!\led_flash_cnt[3693][4]~79485\ & VCC))
-- \led_flash_cnt[3693][5]~79487\ = CARRY((\led_flash_cnt[3693][5]~q\ & !\led_flash_cnt[3693][4]~79485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3693][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3693][4]~79485\,
	combout => \led_flash_cnt[3693][5]~79486_combout\,
	cout => \led_flash_cnt[3693][5]~79487\);

-- Location: FF_X24_Y9_N17
\led_flash_cnt[3693][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3693][5]~79486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3693][5]~q\);

-- Location: LCCOMB_X24_Y9_N18
\led_flash_cnt[3693][6]~79488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3693][6]~79488_combout\ = (\led_flash_cnt[3693][6]~q\ & (!\led_flash_cnt[3693][5]~79487\)) # (!\led_flash_cnt[3693][6]~q\ & ((\led_flash_cnt[3693][5]~79487\) # (GND)))
-- \led_flash_cnt[3693][6]~79489\ = CARRY((!\led_flash_cnt[3693][5]~79487\) # (!\led_flash_cnt[3693][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3693][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3693][5]~79487\,
	combout => \led_flash_cnt[3693][6]~79488_combout\,
	cout => \led_flash_cnt[3693][6]~79489\);

-- Location: FF_X24_Y9_N19
\led_flash_cnt[3693][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3693][6]~79488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3693][6]~q\);

-- Location: LCCOMB_X24_Y9_N26
\WideAnd3693~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3693~1_combout\ = (\led_flash_cnt[3693][6]~q\ & \led_flash_cnt[3693][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3693][6]~q\,
	datad => \led_flash_cnt[3693][5]~q\,
	combout => \WideAnd3693~1_combout\);

-- Location: LCCOMB_X24_Y9_N20
\led_flash_cnt[3693][7]~79490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3693][7]~79490_combout\ = \led_flash_cnt[3693][6]~79489\ $ (!\led_flash_cnt[3693][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3693][7]~q\,
	cin => \led_flash_cnt[3693][6]~79489\,
	combout => \led_flash_cnt[3693][7]~79490_combout\);

-- Location: FF_X24_Y9_N21
\led_flash_cnt[3693][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3693][7]~79490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3693][7]~q\);

-- Location: LCCOMB_X24_Y9_N28
\WideAnd3693~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3693~0_combout\ = (\led_flash_cnt[3693][2]~q\ & (\led_flash_cnt[3693][1]~q\ & (\led_flash_cnt[3693][4]~q\ & \led_flash_cnt[3693][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3693][2]~q\,
	datab => \led_flash_cnt[3693][1]~q\,
	datac => \led_flash_cnt[3693][4]~q\,
	datad => \led_flash_cnt[3693][3]~q\,
	combout => \WideAnd3693~0_combout\);

-- Location: LCCOMB_X24_Y9_N24
WideAnd3693 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3693~combout\ = (\WideAnd3693~1_combout\ & (\led_flash_cnt[3693][7]~q\ & (\led_flash_cnt[3693][0]~q\ & \WideAnd3693~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3693~1_combout\,
	datab => \led_flash_cnt[3693][7]~q\,
	datac => \led_flash_cnt[3693][0]~q\,
	datad => \WideAnd3693~0_combout\,
	combout => \WideAnd3693~combout\);

-- Location: FF_X24_Y9_N25
\led_flash_cnt_ands[3693]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3693~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3693));

-- Location: LCCOMB_X24_Y9_N0
\WideAnd4301~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4301~1_combout\ = (led_flash_cnt_ands(3692) & led_flash_cnt_ands(3693))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3692),
	datad => led_flash_cnt_ands(3693),
	combout => \WideAnd4301~1_combout\);

-- Location: LCCOMB_X23_Y16_N18
\led_flash_cnt[3695][0]~84399\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3695][0]~84399_combout\ = !\led_flash_cnt[3695][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3695][0]~q\,
	combout => \led_flash_cnt[3695][0]~84399_combout\);

-- Location: FF_X23_Y16_N19
\led_flash_cnt[3695][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3695][0]~84399_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3695][0]~q\);

-- Location: LCCOMB_X23_Y16_N2
\led_flash_cnt[3695][1]~79506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3695][1]~79506_combout\ = (\led_flash_cnt[3695][0]~q\ & (\led_flash_cnt[3695][1]~q\ $ (VCC))) # (!\led_flash_cnt[3695][0]~q\ & (\led_flash_cnt[3695][1]~q\ & VCC))
-- \led_flash_cnt[3695][1]~79507\ = CARRY((\led_flash_cnt[3695][0]~q\ & \led_flash_cnt[3695][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3695][0]~q\,
	datab => \led_flash_cnt[3695][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3695][1]~79506_combout\,
	cout => \led_flash_cnt[3695][1]~79507\);

-- Location: FF_X23_Y16_N3
\led_flash_cnt[3695][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3695][1]~79506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3695][1]~q\);

-- Location: LCCOMB_X23_Y16_N4
\led_flash_cnt[3695][2]~79508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3695][2]~79508_combout\ = (\led_flash_cnt[3695][2]~q\ & (!\led_flash_cnt[3695][1]~79507\)) # (!\led_flash_cnt[3695][2]~q\ & ((\led_flash_cnt[3695][1]~79507\) # (GND)))
-- \led_flash_cnt[3695][2]~79509\ = CARRY((!\led_flash_cnt[3695][1]~79507\) # (!\led_flash_cnt[3695][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3695][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3695][1]~79507\,
	combout => \led_flash_cnt[3695][2]~79508_combout\,
	cout => \led_flash_cnt[3695][2]~79509\);

-- Location: FF_X23_Y16_N5
\led_flash_cnt[3695][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3695][2]~79508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3695][2]~q\);

-- Location: LCCOMB_X23_Y16_N6
\led_flash_cnt[3695][3]~79510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3695][3]~79510_combout\ = (\led_flash_cnt[3695][3]~q\ & (\led_flash_cnt[3695][2]~79509\ $ (GND))) # (!\led_flash_cnt[3695][3]~q\ & (!\led_flash_cnt[3695][2]~79509\ & VCC))
-- \led_flash_cnt[3695][3]~79511\ = CARRY((\led_flash_cnt[3695][3]~q\ & !\led_flash_cnt[3695][2]~79509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3695][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3695][2]~79509\,
	combout => \led_flash_cnt[3695][3]~79510_combout\,
	cout => \led_flash_cnt[3695][3]~79511\);

-- Location: FF_X23_Y16_N7
\led_flash_cnt[3695][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3695][3]~79510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3695][3]~q\);

-- Location: LCCOMB_X23_Y16_N8
\led_flash_cnt[3695][4]~79512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3695][4]~79512_combout\ = (\led_flash_cnt[3695][4]~q\ & (!\led_flash_cnt[3695][3]~79511\)) # (!\led_flash_cnt[3695][4]~q\ & ((\led_flash_cnt[3695][3]~79511\) # (GND)))
-- \led_flash_cnt[3695][4]~79513\ = CARRY((!\led_flash_cnt[3695][3]~79511\) # (!\led_flash_cnt[3695][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3695][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3695][3]~79511\,
	combout => \led_flash_cnt[3695][4]~79512_combout\,
	cout => \led_flash_cnt[3695][4]~79513\);

-- Location: FF_X23_Y16_N9
\led_flash_cnt[3695][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3695][4]~79512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3695][4]~q\);

-- Location: LCCOMB_X23_Y16_N26
\WideAnd3695~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3695~0_combout\ = (\led_flash_cnt[3695][3]~q\ & (\led_flash_cnt[3695][4]~q\ & (\led_flash_cnt[3695][2]~q\ & \led_flash_cnt[3695][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3695][3]~q\,
	datab => \led_flash_cnt[3695][4]~q\,
	datac => \led_flash_cnt[3695][2]~q\,
	datad => \led_flash_cnt[3695][1]~q\,
	combout => \WideAnd3695~0_combout\);

-- Location: LCCOMB_X23_Y16_N10
\led_flash_cnt[3695][5]~79514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3695][5]~79514_combout\ = (\led_flash_cnt[3695][5]~q\ & (\led_flash_cnt[3695][4]~79513\ $ (GND))) # (!\led_flash_cnt[3695][5]~q\ & (!\led_flash_cnt[3695][4]~79513\ & VCC))
-- \led_flash_cnt[3695][5]~79515\ = CARRY((\led_flash_cnt[3695][5]~q\ & !\led_flash_cnt[3695][4]~79513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3695][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3695][4]~79513\,
	combout => \led_flash_cnt[3695][5]~79514_combout\,
	cout => \led_flash_cnt[3695][5]~79515\);

-- Location: FF_X23_Y16_N11
\led_flash_cnt[3695][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3695][5]~79514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3695][5]~q\);

-- Location: LCCOMB_X23_Y16_N12
\led_flash_cnt[3695][6]~79516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3695][6]~79516_combout\ = (\led_flash_cnt[3695][6]~q\ & (!\led_flash_cnt[3695][5]~79515\)) # (!\led_flash_cnt[3695][6]~q\ & ((\led_flash_cnt[3695][5]~79515\) # (GND)))
-- \led_flash_cnt[3695][6]~79517\ = CARRY((!\led_flash_cnt[3695][5]~79515\) # (!\led_flash_cnt[3695][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3695][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3695][5]~79515\,
	combout => \led_flash_cnt[3695][6]~79516_combout\,
	cout => \led_flash_cnt[3695][6]~79517\);

-- Location: FF_X23_Y16_N13
\led_flash_cnt[3695][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3695][6]~79516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3695][6]~q\);

-- Location: LCCOMB_X23_Y16_N16
\WideAnd3695~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3695~1_combout\ = (\led_flash_cnt[3695][5]~q\ & \led_flash_cnt[3695][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3695][5]~q\,
	datad => \led_flash_cnt[3695][6]~q\,
	combout => \WideAnd3695~1_combout\);

-- Location: LCCOMB_X23_Y16_N14
\led_flash_cnt[3695][7]~79518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3695][7]~79518_combout\ = \led_flash_cnt[3695][7]~q\ $ (!\led_flash_cnt[3695][6]~79517\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3695][7]~q\,
	cin => \led_flash_cnt[3695][6]~79517\,
	combout => \led_flash_cnt[3695][7]~79518_combout\);

-- Location: FF_X23_Y16_N15
\led_flash_cnt[3695][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3695][7]~79518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3695][7]~q\);

-- Location: LCCOMB_X23_Y16_N28
WideAnd3695 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3695~combout\ = (\WideAnd3695~0_combout\ & (\WideAnd3695~1_combout\ & (\led_flash_cnt[3695][7]~q\ & \led_flash_cnt[3695][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3695~0_combout\,
	datab => \WideAnd3695~1_combout\,
	datac => \led_flash_cnt[3695][7]~q\,
	datad => \led_flash_cnt[3695][0]~q\,
	combout => \WideAnd3695~combout\);

-- Location: FF_X23_Y16_N29
\led_flash_cnt_ands[3695]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3695~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3695));

-- Location: LCCOMB_X23_Y14_N12
\led_flash_cnt[3694][0]~84398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3694][0]~84398_combout\ = !\led_flash_cnt[3694][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3694][0]~q\,
	combout => \led_flash_cnt[3694][0]~84398_combout\);

-- Location: FF_X23_Y14_N13
\led_flash_cnt[3694][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3694][0]~84398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3694][0]~q\);

-- Location: LCCOMB_X23_Y14_N16
\led_flash_cnt[3694][1]~79492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3694][1]~79492_combout\ = (\led_flash_cnt[3694][0]~q\ & (\led_flash_cnt[3694][1]~q\ $ (VCC))) # (!\led_flash_cnt[3694][0]~q\ & (\led_flash_cnt[3694][1]~q\ & VCC))
-- \led_flash_cnt[3694][1]~79493\ = CARRY((\led_flash_cnt[3694][0]~q\ & \led_flash_cnt[3694][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3694][0]~q\,
	datab => \led_flash_cnt[3694][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3694][1]~79492_combout\,
	cout => \led_flash_cnt[3694][1]~79493\);

-- Location: FF_X23_Y14_N17
\led_flash_cnt[3694][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3694][1]~79492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3694][1]~q\);

-- Location: LCCOMB_X23_Y14_N18
\led_flash_cnt[3694][2]~79494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3694][2]~79494_combout\ = (\led_flash_cnt[3694][2]~q\ & (!\led_flash_cnt[3694][1]~79493\)) # (!\led_flash_cnt[3694][2]~q\ & ((\led_flash_cnt[3694][1]~79493\) # (GND)))
-- \led_flash_cnt[3694][2]~79495\ = CARRY((!\led_flash_cnt[3694][1]~79493\) # (!\led_flash_cnt[3694][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3694][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3694][1]~79493\,
	combout => \led_flash_cnt[3694][2]~79494_combout\,
	cout => \led_flash_cnt[3694][2]~79495\);

-- Location: FF_X23_Y14_N19
\led_flash_cnt[3694][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3694][2]~79494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3694][2]~q\);

-- Location: LCCOMB_X23_Y14_N20
\led_flash_cnt[3694][3]~79496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3694][3]~79496_combout\ = (\led_flash_cnt[3694][3]~q\ & (\led_flash_cnt[3694][2]~79495\ $ (GND))) # (!\led_flash_cnt[3694][3]~q\ & (!\led_flash_cnt[3694][2]~79495\ & VCC))
-- \led_flash_cnt[3694][3]~79497\ = CARRY((\led_flash_cnt[3694][3]~q\ & !\led_flash_cnt[3694][2]~79495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3694][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3694][2]~79495\,
	combout => \led_flash_cnt[3694][3]~79496_combout\,
	cout => \led_flash_cnt[3694][3]~79497\);

-- Location: FF_X23_Y14_N21
\led_flash_cnt[3694][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3694][3]~79496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3694][3]~q\);

-- Location: LCCOMB_X23_Y14_N22
\led_flash_cnt[3694][4]~79498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3694][4]~79498_combout\ = (\led_flash_cnt[3694][4]~q\ & (!\led_flash_cnt[3694][3]~79497\)) # (!\led_flash_cnt[3694][4]~q\ & ((\led_flash_cnt[3694][3]~79497\) # (GND)))
-- \led_flash_cnt[3694][4]~79499\ = CARRY((!\led_flash_cnt[3694][3]~79497\) # (!\led_flash_cnt[3694][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3694][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3694][3]~79497\,
	combout => \led_flash_cnt[3694][4]~79498_combout\,
	cout => \led_flash_cnt[3694][4]~79499\);

-- Location: FF_X23_Y14_N23
\led_flash_cnt[3694][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3694][4]~79498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3694][4]~q\);

-- Location: LCCOMB_X23_Y14_N24
\led_flash_cnt[3694][5]~79500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3694][5]~79500_combout\ = (\led_flash_cnt[3694][5]~q\ & (\led_flash_cnt[3694][4]~79499\ $ (GND))) # (!\led_flash_cnt[3694][5]~q\ & (!\led_flash_cnt[3694][4]~79499\ & VCC))
-- \led_flash_cnt[3694][5]~79501\ = CARRY((\led_flash_cnt[3694][5]~q\ & !\led_flash_cnt[3694][4]~79499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3694][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3694][4]~79499\,
	combout => \led_flash_cnt[3694][5]~79500_combout\,
	cout => \led_flash_cnt[3694][5]~79501\);

-- Location: FF_X23_Y14_N25
\led_flash_cnt[3694][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3694][5]~79500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3694][5]~q\);

-- Location: LCCOMB_X23_Y14_N26
\led_flash_cnt[3694][6]~79502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3694][6]~79502_combout\ = (\led_flash_cnt[3694][6]~q\ & (!\led_flash_cnt[3694][5]~79501\)) # (!\led_flash_cnt[3694][6]~q\ & ((\led_flash_cnt[3694][5]~79501\) # (GND)))
-- \led_flash_cnt[3694][6]~79503\ = CARRY((!\led_flash_cnt[3694][5]~79501\) # (!\led_flash_cnt[3694][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3694][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3694][5]~79501\,
	combout => \led_flash_cnt[3694][6]~79502_combout\,
	cout => \led_flash_cnt[3694][6]~79503\);

-- Location: FF_X23_Y14_N27
\led_flash_cnt[3694][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3694][6]~79502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3694][6]~q\);

-- Location: LCCOMB_X23_Y14_N6
\WideAnd3694~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3694~1_combout\ = (\led_flash_cnt[3694][6]~q\ & \led_flash_cnt[3694][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3694][6]~q\,
	datad => \led_flash_cnt[3694][5]~q\,
	combout => \WideAnd3694~1_combout\);

-- Location: LCCOMB_X23_Y14_N28
\led_flash_cnt[3694][7]~79504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3694][7]~79504_combout\ = \led_flash_cnt[3694][6]~79503\ $ (!\led_flash_cnt[3694][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3694][7]~q\,
	cin => \led_flash_cnt[3694][6]~79503\,
	combout => \led_flash_cnt[3694][7]~79504_combout\);

-- Location: FF_X23_Y14_N29
\led_flash_cnt[3694][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3694][7]~79504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3694][7]~q\);

-- Location: LCCOMB_X23_Y14_N4
\WideAnd3694~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3694~0_combout\ = (\led_flash_cnt[3694][2]~q\ & (\led_flash_cnt[3694][1]~q\ & (\led_flash_cnt[3694][4]~q\ & \led_flash_cnt[3694][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3694][2]~q\,
	datab => \led_flash_cnt[3694][1]~q\,
	datac => \led_flash_cnt[3694][4]~q\,
	datad => \led_flash_cnt[3694][3]~q\,
	combout => \WideAnd3694~0_combout\);

-- Location: LCCOMB_X23_Y14_N14
WideAnd3694 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3694~combout\ = (\WideAnd3694~1_combout\ & (\led_flash_cnt[3694][7]~q\ & (\WideAnd3694~0_combout\ & \led_flash_cnt[3694][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3694~1_combout\,
	datab => \led_flash_cnt[3694][7]~q\,
	datac => \WideAnd3694~0_combout\,
	datad => \led_flash_cnt[3694][0]~q\,
	combout => \WideAnd3694~combout\);

-- Location: FF_X23_Y14_N15
\led_flash_cnt_ands[3694]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3694~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3694));

-- Location: LCCOMB_X19_Y11_N4
\led_flash_cnt[3688][0]~84392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3688][0]~84392_combout\ = !\led_flash_cnt[3688][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3688][0]~q\,
	combout => \led_flash_cnt[3688][0]~84392_combout\);

-- Location: FF_X19_Y11_N5
\led_flash_cnt[3688][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3688][0]~84392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3688][0]~q\);

-- Location: LCCOMB_X19_Y11_N18
\led_flash_cnt[3688][1]~79408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3688][1]~79408_combout\ = (\led_flash_cnt[3688][1]~q\ & (\led_flash_cnt[3688][0]~q\ $ (VCC))) # (!\led_flash_cnt[3688][1]~q\ & (\led_flash_cnt[3688][0]~q\ & VCC))
-- \led_flash_cnt[3688][1]~79409\ = CARRY((\led_flash_cnt[3688][1]~q\ & \led_flash_cnt[3688][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3688][1]~q\,
	datab => \led_flash_cnt[3688][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3688][1]~79408_combout\,
	cout => \led_flash_cnt[3688][1]~79409\);

-- Location: FF_X19_Y11_N19
\led_flash_cnt[3688][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3688][1]~79408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3688][1]~q\);

-- Location: LCCOMB_X19_Y11_N20
\led_flash_cnt[3688][2]~79410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3688][2]~79410_combout\ = (\led_flash_cnt[3688][2]~q\ & (!\led_flash_cnt[3688][1]~79409\)) # (!\led_flash_cnt[3688][2]~q\ & ((\led_flash_cnt[3688][1]~79409\) # (GND)))
-- \led_flash_cnt[3688][2]~79411\ = CARRY((!\led_flash_cnt[3688][1]~79409\) # (!\led_flash_cnt[3688][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3688][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3688][1]~79409\,
	combout => \led_flash_cnt[3688][2]~79410_combout\,
	cout => \led_flash_cnt[3688][2]~79411\);

-- Location: FF_X19_Y11_N21
\led_flash_cnt[3688][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3688][2]~79410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3688][2]~q\);

-- Location: LCCOMB_X19_Y11_N22
\led_flash_cnt[3688][3]~79412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3688][3]~79412_combout\ = (\led_flash_cnt[3688][3]~q\ & (\led_flash_cnt[3688][2]~79411\ $ (GND))) # (!\led_flash_cnt[3688][3]~q\ & (!\led_flash_cnt[3688][2]~79411\ & VCC))
-- \led_flash_cnt[3688][3]~79413\ = CARRY((\led_flash_cnt[3688][3]~q\ & !\led_flash_cnt[3688][2]~79411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3688][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3688][2]~79411\,
	combout => \led_flash_cnt[3688][3]~79412_combout\,
	cout => \led_flash_cnt[3688][3]~79413\);

-- Location: FF_X19_Y11_N23
\led_flash_cnt[3688][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3688][3]~79412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3688][3]~q\);

-- Location: LCCOMB_X19_Y11_N24
\led_flash_cnt[3688][4]~79414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3688][4]~79414_combout\ = (\led_flash_cnt[3688][4]~q\ & (!\led_flash_cnt[3688][3]~79413\)) # (!\led_flash_cnt[3688][4]~q\ & ((\led_flash_cnt[3688][3]~79413\) # (GND)))
-- \led_flash_cnt[3688][4]~79415\ = CARRY((!\led_flash_cnt[3688][3]~79413\) # (!\led_flash_cnt[3688][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3688][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3688][3]~79413\,
	combout => \led_flash_cnt[3688][4]~79414_combout\,
	cout => \led_flash_cnt[3688][4]~79415\);

-- Location: FF_X19_Y11_N25
\led_flash_cnt[3688][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3688][4]~79414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3688][4]~q\);

-- Location: LCCOMB_X19_Y11_N26
\led_flash_cnt[3688][5]~79416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3688][5]~79416_combout\ = (\led_flash_cnt[3688][5]~q\ & (\led_flash_cnt[3688][4]~79415\ $ (GND))) # (!\led_flash_cnt[3688][5]~q\ & (!\led_flash_cnt[3688][4]~79415\ & VCC))
-- \led_flash_cnt[3688][5]~79417\ = CARRY((\led_flash_cnt[3688][5]~q\ & !\led_flash_cnt[3688][4]~79415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3688][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3688][4]~79415\,
	combout => \led_flash_cnt[3688][5]~79416_combout\,
	cout => \led_flash_cnt[3688][5]~79417\);

-- Location: FF_X19_Y11_N27
\led_flash_cnt[3688][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3688][5]~79416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3688][5]~q\);

-- Location: LCCOMB_X19_Y11_N28
\led_flash_cnt[3688][6]~79418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3688][6]~79418_combout\ = (\led_flash_cnt[3688][6]~q\ & (!\led_flash_cnt[3688][5]~79417\)) # (!\led_flash_cnt[3688][6]~q\ & ((\led_flash_cnt[3688][5]~79417\) # (GND)))
-- \led_flash_cnt[3688][6]~79419\ = CARRY((!\led_flash_cnt[3688][5]~79417\) # (!\led_flash_cnt[3688][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3688][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3688][5]~79417\,
	combout => \led_flash_cnt[3688][6]~79418_combout\,
	cout => \led_flash_cnt[3688][6]~79419\);

-- Location: FF_X19_Y11_N29
\led_flash_cnt[3688][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3688][6]~79418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3688][6]~q\);

-- Location: LCCOMB_X19_Y11_N10
\WideAnd3688~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3688~1_combout\ = (\led_flash_cnt[3688][5]~q\ & \led_flash_cnt[3688][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3688][5]~q\,
	datad => \led_flash_cnt[3688][6]~q\,
	combout => \WideAnd3688~1_combout\);

-- Location: LCCOMB_X19_Y11_N30
\led_flash_cnt[3688][7]~79420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3688][7]~79420_combout\ = \led_flash_cnt[3688][7]~q\ $ (!\led_flash_cnt[3688][6]~79419\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3688][7]~q\,
	cin => \led_flash_cnt[3688][6]~79419\,
	combout => \led_flash_cnt[3688][7]~79420_combout\);

-- Location: FF_X19_Y11_N31
\led_flash_cnt[3688][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3688][7]~79420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3688][7]~q\);

-- Location: LCCOMB_X19_Y11_N12
\WideAnd3688~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3688~0_combout\ = (\led_flash_cnt[3688][1]~q\ & (\led_flash_cnt[3688][2]~q\ & (\led_flash_cnt[3688][3]~q\ & \led_flash_cnt[3688][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3688][1]~q\,
	datab => \led_flash_cnt[3688][2]~q\,
	datac => \led_flash_cnt[3688][3]~q\,
	datad => \led_flash_cnt[3688][4]~q\,
	combout => \WideAnd3688~0_combout\);

-- Location: LCCOMB_X19_Y11_N6
WideAnd3688 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3688~combout\ = (\WideAnd3688~1_combout\ & (\led_flash_cnt[3688][0]~q\ & (\led_flash_cnt[3688][7]~q\ & \WideAnd3688~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3688~1_combout\,
	datab => \led_flash_cnt[3688][0]~q\,
	datac => \led_flash_cnt[3688][7]~q\,
	datad => \WideAnd3688~0_combout\,
	combout => \WideAnd3688~combout\);

-- Location: FF_X19_Y11_N7
\led_flash_cnt_ands[3688]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3688~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3688));

-- Location: LCCOMB_X24_Y11_N20
\led_flash_cnt[3691][0]~84395\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3691][0]~84395_combout\ = !\led_flash_cnt[3691][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3691][0]~q\,
	combout => \led_flash_cnt[3691][0]~84395_combout\);

-- Location: FF_X24_Y11_N21
\led_flash_cnt[3691][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3691][0]~84395_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3691][0]~q\);

-- Location: LCCOMB_X23_Y11_N16
\led_flash_cnt[3691][1]~79450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3691][1]~79450_combout\ = (\led_flash_cnt[3691][0]~q\ & (\led_flash_cnt[3691][1]~q\ $ (VCC))) # (!\led_flash_cnt[3691][0]~q\ & (\led_flash_cnt[3691][1]~q\ & VCC))
-- \led_flash_cnt[3691][1]~79451\ = CARRY((\led_flash_cnt[3691][0]~q\ & \led_flash_cnt[3691][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3691][0]~q\,
	datab => \led_flash_cnt[3691][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3691][1]~79450_combout\,
	cout => \led_flash_cnt[3691][1]~79451\);

-- Location: FF_X23_Y11_N17
\led_flash_cnt[3691][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3691][1]~79450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3691][1]~q\);

-- Location: LCCOMB_X23_Y11_N18
\led_flash_cnt[3691][2]~79452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3691][2]~79452_combout\ = (\led_flash_cnt[3691][2]~q\ & (!\led_flash_cnt[3691][1]~79451\)) # (!\led_flash_cnt[3691][2]~q\ & ((\led_flash_cnt[3691][1]~79451\) # (GND)))
-- \led_flash_cnt[3691][2]~79453\ = CARRY((!\led_flash_cnt[3691][1]~79451\) # (!\led_flash_cnt[3691][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3691][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3691][1]~79451\,
	combout => \led_flash_cnt[3691][2]~79452_combout\,
	cout => \led_flash_cnt[3691][2]~79453\);

-- Location: FF_X23_Y11_N19
\led_flash_cnt[3691][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3691][2]~79452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3691][2]~q\);

-- Location: LCCOMB_X23_Y11_N20
\led_flash_cnt[3691][3]~79454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3691][3]~79454_combout\ = (\led_flash_cnt[3691][3]~q\ & (\led_flash_cnt[3691][2]~79453\ $ (GND))) # (!\led_flash_cnt[3691][3]~q\ & (!\led_flash_cnt[3691][2]~79453\ & VCC))
-- \led_flash_cnt[3691][3]~79455\ = CARRY((\led_flash_cnt[3691][3]~q\ & !\led_flash_cnt[3691][2]~79453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3691][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3691][2]~79453\,
	combout => \led_flash_cnt[3691][3]~79454_combout\,
	cout => \led_flash_cnt[3691][3]~79455\);

-- Location: FF_X23_Y11_N21
\led_flash_cnt[3691][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3691][3]~79454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3691][3]~q\);

-- Location: LCCOMB_X23_Y11_N22
\led_flash_cnt[3691][4]~79456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3691][4]~79456_combout\ = (\led_flash_cnt[3691][4]~q\ & (!\led_flash_cnt[3691][3]~79455\)) # (!\led_flash_cnt[3691][4]~q\ & ((\led_flash_cnt[3691][3]~79455\) # (GND)))
-- \led_flash_cnt[3691][4]~79457\ = CARRY((!\led_flash_cnt[3691][3]~79455\) # (!\led_flash_cnt[3691][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3691][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3691][3]~79455\,
	combout => \led_flash_cnt[3691][4]~79456_combout\,
	cout => \led_flash_cnt[3691][4]~79457\);

-- Location: FF_X23_Y11_N23
\led_flash_cnt[3691][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3691][4]~79456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3691][4]~q\);

-- Location: LCCOMB_X23_Y11_N24
\led_flash_cnt[3691][5]~79458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3691][5]~79458_combout\ = (\led_flash_cnt[3691][5]~q\ & (\led_flash_cnt[3691][4]~79457\ $ (GND))) # (!\led_flash_cnt[3691][5]~q\ & (!\led_flash_cnt[3691][4]~79457\ & VCC))
-- \led_flash_cnt[3691][5]~79459\ = CARRY((\led_flash_cnt[3691][5]~q\ & !\led_flash_cnt[3691][4]~79457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3691][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3691][4]~79457\,
	combout => \led_flash_cnt[3691][5]~79458_combout\,
	cout => \led_flash_cnt[3691][5]~79459\);

-- Location: FF_X23_Y11_N25
\led_flash_cnt[3691][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3691][5]~79458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3691][5]~q\);

-- Location: LCCOMB_X23_Y11_N26
\led_flash_cnt[3691][6]~79460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3691][6]~79460_combout\ = (\led_flash_cnt[3691][6]~q\ & (!\led_flash_cnt[3691][5]~79459\)) # (!\led_flash_cnt[3691][6]~q\ & ((\led_flash_cnt[3691][5]~79459\) # (GND)))
-- \led_flash_cnt[3691][6]~79461\ = CARRY((!\led_flash_cnt[3691][5]~79459\) # (!\led_flash_cnt[3691][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3691][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3691][5]~79459\,
	combout => \led_flash_cnt[3691][6]~79460_combout\,
	cout => \led_flash_cnt[3691][6]~79461\);

-- Location: FF_X23_Y11_N27
\led_flash_cnt[3691][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3691][6]~79460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3691][6]~q\);

-- Location: LCCOMB_X22_Y11_N24
\WideAnd3691~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3691~1_combout\ = (\led_flash_cnt[3691][5]~q\ & \led_flash_cnt[3691][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3691][5]~q\,
	datad => \led_flash_cnt[3691][6]~q\,
	combout => \WideAnd3691~1_combout\);

-- Location: LCCOMB_X22_Y11_N16
\WideAnd3691~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3691~0_combout\ = (\led_flash_cnt[3691][2]~q\ & (\led_flash_cnt[3691][4]~q\ & (\led_flash_cnt[3691][3]~q\ & \led_flash_cnt[3691][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3691][2]~q\,
	datab => \led_flash_cnt[3691][4]~q\,
	datac => \led_flash_cnt[3691][3]~q\,
	datad => \led_flash_cnt[3691][1]~q\,
	combout => \WideAnd3691~0_combout\);

-- Location: LCCOMB_X23_Y11_N28
\led_flash_cnt[3691][7]~79462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3691][7]~79462_combout\ = \led_flash_cnt[3691][6]~79461\ $ (!\led_flash_cnt[3691][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3691][7]~q\,
	cin => \led_flash_cnt[3691][6]~79461\,
	combout => \led_flash_cnt[3691][7]~79462_combout\);

-- Location: FF_X23_Y11_N29
\led_flash_cnt[3691][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3691][7]~79462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3691][7]~q\);

-- Location: LCCOMB_X23_Y11_N30
WideAnd3691 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3691~combout\ = (\led_flash_cnt[3691][0]~q\ & (\WideAnd3691~1_combout\ & (\WideAnd3691~0_combout\ & \led_flash_cnt[3691][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3691][0]~q\,
	datab => \WideAnd3691~1_combout\,
	datac => \WideAnd3691~0_combout\,
	datad => \led_flash_cnt[3691][7]~q\,
	combout => \WideAnd3691~combout\);

-- Location: FF_X23_Y11_N31
\led_flash_cnt_ands[3691]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3691~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3691));

-- Location: LCCOMB_X19_Y11_N16
\led_flash_cnt[3690][0]~84394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3690][0]~84394_combout\ = !\led_flash_cnt[3690][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3690][0]~q\,
	combout => \led_flash_cnt[3690][0]~84394_combout\);

-- Location: FF_X19_Y11_N17
\led_flash_cnt[3690][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3690][0]~84394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3690][0]~q\);

-- Location: LCCOMB_X18_Y15_N0
\led_flash_cnt[3690][1]~79436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3690][1]~79436_combout\ = (\led_flash_cnt[3690][0]~q\ & (\led_flash_cnt[3690][1]~q\ $ (VCC))) # (!\led_flash_cnt[3690][0]~q\ & (\led_flash_cnt[3690][1]~q\ & VCC))
-- \led_flash_cnt[3690][1]~79437\ = CARRY((\led_flash_cnt[3690][0]~q\ & \led_flash_cnt[3690][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3690][0]~q\,
	datab => \led_flash_cnt[3690][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3690][1]~79436_combout\,
	cout => \led_flash_cnt[3690][1]~79437\);

-- Location: FF_X18_Y15_N1
\led_flash_cnt[3690][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3690][1]~79436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3690][1]~q\);

-- Location: LCCOMB_X18_Y15_N2
\led_flash_cnt[3690][2]~79438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3690][2]~79438_combout\ = (\led_flash_cnt[3690][2]~q\ & (!\led_flash_cnt[3690][1]~79437\)) # (!\led_flash_cnt[3690][2]~q\ & ((\led_flash_cnt[3690][1]~79437\) # (GND)))
-- \led_flash_cnt[3690][2]~79439\ = CARRY((!\led_flash_cnt[3690][1]~79437\) # (!\led_flash_cnt[3690][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3690][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3690][1]~79437\,
	combout => \led_flash_cnt[3690][2]~79438_combout\,
	cout => \led_flash_cnt[3690][2]~79439\);

-- Location: FF_X18_Y15_N3
\led_flash_cnt[3690][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3690][2]~79438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3690][2]~q\);

-- Location: LCCOMB_X18_Y15_N4
\led_flash_cnt[3690][3]~79440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3690][3]~79440_combout\ = (\led_flash_cnt[3690][3]~q\ & (\led_flash_cnt[3690][2]~79439\ $ (GND))) # (!\led_flash_cnt[3690][3]~q\ & (!\led_flash_cnt[3690][2]~79439\ & VCC))
-- \led_flash_cnt[3690][3]~79441\ = CARRY((\led_flash_cnt[3690][3]~q\ & !\led_flash_cnt[3690][2]~79439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3690][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3690][2]~79439\,
	combout => \led_flash_cnt[3690][3]~79440_combout\,
	cout => \led_flash_cnt[3690][3]~79441\);

-- Location: FF_X18_Y15_N5
\led_flash_cnt[3690][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3690][3]~79440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3690][3]~q\);

-- Location: LCCOMB_X18_Y15_N6
\led_flash_cnt[3690][4]~79442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3690][4]~79442_combout\ = (\led_flash_cnt[3690][4]~q\ & (!\led_flash_cnt[3690][3]~79441\)) # (!\led_flash_cnt[3690][4]~q\ & ((\led_flash_cnt[3690][3]~79441\) # (GND)))
-- \led_flash_cnt[3690][4]~79443\ = CARRY((!\led_flash_cnt[3690][3]~79441\) # (!\led_flash_cnt[3690][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3690][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3690][3]~79441\,
	combout => \led_flash_cnt[3690][4]~79442_combout\,
	cout => \led_flash_cnt[3690][4]~79443\);

-- Location: FF_X18_Y15_N7
\led_flash_cnt[3690][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3690][4]~79442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3690][4]~q\);

-- Location: LCCOMB_X18_Y15_N14
\WideAnd3690~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3690~0_combout\ = (\led_flash_cnt[3690][4]~q\ & (\led_flash_cnt[3690][1]~q\ & (\led_flash_cnt[3690][3]~q\ & \led_flash_cnt[3690][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3690][4]~q\,
	datab => \led_flash_cnt[3690][1]~q\,
	datac => \led_flash_cnt[3690][3]~q\,
	datad => \led_flash_cnt[3690][2]~q\,
	combout => \WideAnd3690~0_combout\);

-- Location: LCCOMB_X18_Y15_N8
\led_flash_cnt[3690][5]~79444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3690][5]~79444_combout\ = (\led_flash_cnt[3690][5]~q\ & (\led_flash_cnt[3690][4]~79443\ $ (GND))) # (!\led_flash_cnt[3690][5]~q\ & (!\led_flash_cnt[3690][4]~79443\ & VCC))
-- \led_flash_cnt[3690][5]~79445\ = CARRY((\led_flash_cnt[3690][5]~q\ & !\led_flash_cnt[3690][4]~79443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3690][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3690][4]~79443\,
	combout => \led_flash_cnt[3690][5]~79444_combout\,
	cout => \led_flash_cnt[3690][5]~79445\);

-- Location: FF_X18_Y15_N9
\led_flash_cnt[3690][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3690][5]~79444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3690][5]~q\);

-- Location: LCCOMB_X18_Y15_N10
\led_flash_cnt[3690][6]~79446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3690][6]~79446_combout\ = (\led_flash_cnt[3690][6]~q\ & (!\led_flash_cnt[3690][5]~79445\)) # (!\led_flash_cnt[3690][6]~q\ & ((\led_flash_cnt[3690][5]~79445\) # (GND)))
-- \led_flash_cnt[3690][6]~79447\ = CARRY((!\led_flash_cnt[3690][5]~79445\) # (!\led_flash_cnt[3690][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3690][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3690][5]~79445\,
	combout => \led_flash_cnt[3690][6]~79446_combout\,
	cout => \led_flash_cnt[3690][6]~79447\);

-- Location: FF_X18_Y15_N11
\led_flash_cnt[3690][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3690][6]~79446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3690][6]~q\);

-- Location: LCCOMB_X18_Y11_N0
\WideAnd3690~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3690~1_combout\ = (\led_flash_cnt[3690][6]~q\ & \led_flash_cnt[3690][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3690][6]~q\,
	datad => \led_flash_cnt[3690][5]~q\,
	combout => \WideAnd3690~1_combout\);

-- Location: LCCOMB_X18_Y15_N12
\led_flash_cnt[3690][7]~79448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3690][7]~79448_combout\ = \led_flash_cnt[3690][6]~79447\ $ (!\led_flash_cnt[3690][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3690][7]~q\,
	cin => \led_flash_cnt[3690][6]~79447\,
	combout => \led_flash_cnt[3690][7]~79448_combout\);

-- Location: FF_X18_Y15_N13
\led_flash_cnt[3690][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3690][7]~79448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3690][7]~q\);

-- Location: LCCOMB_X19_Y11_N8
WideAnd3690 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3690~combout\ = (\WideAnd3690~0_combout\ & (\led_flash_cnt[3690][0]~q\ & (\WideAnd3690~1_combout\ & \led_flash_cnt[3690][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3690~0_combout\,
	datab => \led_flash_cnt[3690][0]~q\,
	datac => \WideAnd3690~1_combout\,
	datad => \led_flash_cnt[3690][7]~q\,
	combout => \WideAnd3690~combout\);

-- Location: FF_X19_Y11_N9
\led_flash_cnt_ands[3690]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3690~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3690));

-- Location: LCCOMB_X30_Y16_N22
\led_flash_cnt[3689][0]~84393\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3689][0]~84393_combout\ = !\led_flash_cnt[3689][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3689][0]~q\,
	combout => \led_flash_cnt[3689][0]~84393_combout\);

-- Location: FF_X30_Y16_N23
\led_flash_cnt[3689][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3689][0]~84393_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3689][0]~q\);

-- Location: LCCOMB_X30_Y16_N0
\led_flash_cnt[3689][1]~79422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3689][1]~79422_combout\ = (\led_flash_cnt[3689][0]~q\ & (\led_flash_cnt[3689][1]~q\ $ (VCC))) # (!\led_flash_cnt[3689][0]~q\ & (\led_flash_cnt[3689][1]~q\ & VCC))
-- \led_flash_cnt[3689][1]~79423\ = CARRY((\led_flash_cnt[3689][0]~q\ & \led_flash_cnt[3689][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3689][0]~q\,
	datab => \led_flash_cnt[3689][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3689][1]~79422_combout\,
	cout => \led_flash_cnt[3689][1]~79423\);

-- Location: FF_X30_Y16_N1
\led_flash_cnt[3689][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3689][1]~79422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3689][1]~q\);

-- Location: LCCOMB_X30_Y16_N2
\led_flash_cnt[3689][2]~79424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3689][2]~79424_combout\ = (\led_flash_cnt[3689][2]~q\ & (!\led_flash_cnt[3689][1]~79423\)) # (!\led_flash_cnt[3689][2]~q\ & ((\led_flash_cnt[3689][1]~79423\) # (GND)))
-- \led_flash_cnt[3689][2]~79425\ = CARRY((!\led_flash_cnt[3689][1]~79423\) # (!\led_flash_cnt[3689][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3689][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3689][1]~79423\,
	combout => \led_flash_cnt[3689][2]~79424_combout\,
	cout => \led_flash_cnt[3689][2]~79425\);

-- Location: FF_X30_Y16_N3
\led_flash_cnt[3689][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3689][2]~79424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3689][2]~q\);

-- Location: LCCOMB_X30_Y16_N4
\led_flash_cnt[3689][3]~79426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3689][3]~79426_combout\ = (\led_flash_cnt[3689][3]~q\ & (\led_flash_cnt[3689][2]~79425\ $ (GND))) # (!\led_flash_cnt[3689][3]~q\ & (!\led_flash_cnt[3689][2]~79425\ & VCC))
-- \led_flash_cnt[3689][3]~79427\ = CARRY((\led_flash_cnt[3689][3]~q\ & !\led_flash_cnt[3689][2]~79425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3689][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3689][2]~79425\,
	combout => \led_flash_cnt[3689][3]~79426_combout\,
	cout => \led_flash_cnt[3689][3]~79427\);

-- Location: FF_X30_Y16_N5
\led_flash_cnt[3689][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3689][3]~79426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3689][3]~q\);

-- Location: LCCOMB_X30_Y16_N6
\led_flash_cnt[3689][4]~79428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3689][4]~79428_combout\ = (\led_flash_cnt[3689][4]~q\ & (!\led_flash_cnt[3689][3]~79427\)) # (!\led_flash_cnt[3689][4]~q\ & ((\led_flash_cnt[3689][3]~79427\) # (GND)))
-- \led_flash_cnt[3689][4]~79429\ = CARRY((!\led_flash_cnt[3689][3]~79427\) # (!\led_flash_cnt[3689][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3689][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3689][3]~79427\,
	combout => \led_flash_cnt[3689][4]~79428_combout\,
	cout => \led_flash_cnt[3689][4]~79429\);

-- Location: FF_X30_Y16_N7
\led_flash_cnt[3689][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3689][4]~79428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3689][4]~q\);

-- Location: LCCOMB_X30_Y16_N26
\WideAnd3689~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3689~0_combout\ = (\led_flash_cnt[3689][4]~q\ & (\led_flash_cnt[3689][1]~q\ & (\led_flash_cnt[3689][3]~q\ & \led_flash_cnt[3689][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3689][4]~q\,
	datab => \led_flash_cnt[3689][1]~q\,
	datac => \led_flash_cnt[3689][3]~q\,
	datad => \led_flash_cnt[3689][2]~q\,
	combout => \WideAnd3689~0_combout\);

-- Location: LCCOMB_X30_Y16_N8
\led_flash_cnt[3689][5]~79430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3689][5]~79430_combout\ = (\led_flash_cnt[3689][5]~q\ & (\led_flash_cnt[3689][4]~79429\ $ (GND))) # (!\led_flash_cnt[3689][5]~q\ & (!\led_flash_cnt[3689][4]~79429\ & VCC))
-- \led_flash_cnt[3689][5]~79431\ = CARRY((\led_flash_cnt[3689][5]~q\ & !\led_flash_cnt[3689][4]~79429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3689][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3689][4]~79429\,
	combout => \led_flash_cnt[3689][5]~79430_combout\,
	cout => \led_flash_cnt[3689][5]~79431\);

-- Location: FF_X30_Y16_N9
\led_flash_cnt[3689][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3689][5]~79430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3689][5]~q\);

-- Location: LCCOMB_X30_Y16_N10
\led_flash_cnt[3689][6]~79432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3689][6]~79432_combout\ = (\led_flash_cnt[3689][6]~q\ & (!\led_flash_cnt[3689][5]~79431\)) # (!\led_flash_cnt[3689][6]~q\ & ((\led_flash_cnt[3689][5]~79431\) # (GND)))
-- \led_flash_cnt[3689][6]~79433\ = CARRY((!\led_flash_cnt[3689][5]~79431\) # (!\led_flash_cnt[3689][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3689][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3689][5]~79431\,
	combout => \led_flash_cnt[3689][6]~79432_combout\,
	cout => \led_flash_cnt[3689][6]~79433\);

-- Location: FF_X30_Y16_N11
\led_flash_cnt[3689][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3689][6]~79432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3689][6]~q\);

-- Location: LCCOMB_X30_Y16_N18
\WideAnd3689~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3689~1_combout\ = (\led_flash_cnt[3689][5]~q\ & \led_flash_cnt[3689][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3689][5]~q\,
	datad => \led_flash_cnt[3689][6]~q\,
	combout => \WideAnd3689~1_combout\);

-- Location: LCCOMB_X30_Y16_N12
\led_flash_cnt[3689][7]~79434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3689][7]~79434_combout\ = \led_flash_cnt[3689][6]~79433\ $ (!\led_flash_cnt[3689][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3689][7]~q\,
	cin => \led_flash_cnt[3689][6]~79433\,
	combout => \led_flash_cnt[3689][7]~79434_combout\);

-- Location: FF_X30_Y16_N13
\led_flash_cnt[3689][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3689][7]~79434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3689][7]~q\);

-- Location: LCCOMB_X30_Y16_N30
WideAnd3689 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3689~combout\ = (\WideAnd3689~0_combout\ & (\WideAnd3689~1_combout\ & (\led_flash_cnt[3689][0]~q\ & \led_flash_cnt[3689][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3689~0_combout\,
	datab => \WideAnd3689~1_combout\,
	datac => \led_flash_cnt[3689][0]~q\,
	datad => \led_flash_cnt[3689][7]~q\,
	combout => \WideAnd3689~combout\);

-- Location: FF_X30_Y16_N31
\led_flash_cnt_ands[3689]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3689~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3689));

-- Location: LCCOMB_X19_Y11_N14
\WideAnd4301~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4301~0_combout\ = (led_flash_cnt_ands(3688) & (led_flash_cnt_ands(3691) & (led_flash_cnt_ands(3690) & led_flash_cnt_ands(3689))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3688),
	datab => led_flash_cnt_ands(3691),
	datac => led_flash_cnt_ands(3690),
	datad => led_flash_cnt_ands(3689),
	combout => \WideAnd4301~0_combout\);

-- Location: LCCOMB_X23_Y14_N0
WideAnd4301 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4301~combout\ = (\WideAnd4301~1_combout\ & (led_flash_cnt_ands(3695) & (led_flash_cnt_ands(3694) & \WideAnd4301~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4301~1_combout\,
	datab => led_flash_cnt_ands(3695),
	datac => led_flash_cnt_ands(3694),
	datad => \WideAnd4301~0_combout\,
	combout => \WideAnd4301~combout\);

-- Location: FF_X23_Y14_N1
\led_flash_cnt_ands_1[461]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4301~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(461));

-- Location: LCCOMB_X22_Y20_N26
\led_flash_cnt[3686][0]~84390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3686][0]~84390_combout\ = !\led_flash_cnt[3686][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3686][0]~q\,
	combout => \led_flash_cnt[3686][0]~84390_combout\);

-- Location: FF_X22_Y20_N27
\led_flash_cnt[3686][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3686][0]~84390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3686][0]~q\);

-- Location: LCCOMB_X23_Y22_N10
\led_flash_cnt[3686][1]~79380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3686][1]~79380_combout\ = (\led_flash_cnt[3686][1]~q\ & (\led_flash_cnt[3686][0]~q\ $ (VCC))) # (!\led_flash_cnt[3686][1]~q\ & (\led_flash_cnt[3686][0]~q\ & VCC))
-- \led_flash_cnt[3686][1]~79381\ = CARRY((\led_flash_cnt[3686][1]~q\ & \led_flash_cnt[3686][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3686][1]~q\,
	datab => \led_flash_cnt[3686][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3686][1]~79380_combout\,
	cout => \led_flash_cnt[3686][1]~79381\);

-- Location: FF_X23_Y22_N11
\led_flash_cnt[3686][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3686][1]~79380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3686][1]~q\);

-- Location: LCCOMB_X23_Y22_N12
\led_flash_cnt[3686][2]~79382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3686][2]~79382_combout\ = (\led_flash_cnt[3686][2]~q\ & (!\led_flash_cnt[3686][1]~79381\)) # (!\led_flash_cnt[3686][2]~q\ & ((\led_flash_cnt[3686][1]~79381\) # (GND)))
-- \led_flash_cnt[3686][2]~79383\ = CARRY((!\led_flash_cnt[3686][1]~79381\) # (!\led_flash_cnt[3686][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3686][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3686][1]~79381\,
	combout => \led_flash_cnt[3686][2]~79382_combout\,
	cout => \led_flash_cnt[3686][2]~79383\);

-- Location: FF_X23_Y22_N13
\led_flash_cnt[3686][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3686][2]~79382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3686][2]~q\);

-- Location: LCCOMB_X23_Y22_N14
\led_flash_cnt[3686][3]~79384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3686][3]~79384_combout\ = (\led_flash_cnt[3686][3]~q\ & (\led_flash_cnt[3686][2]~79383\ $ (GND))) # (!\led_flash_cnt[3686][3]~q\ & (!\led_flash_cnt[3686][2]~79383\ & VCC))
-- \led_flash_cnt[3686][3]~79385\ = CARRY((\led_flash_cnt[3686][3]~q\ & !\led_flash_cnt[3686][2]~79383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3686][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3686][2]~79383\,
	combout => \led_flash_cnt[3686][3]~79384_combout\,
	cout => \led_flash_cnt[3686][3]~79385\);

-- Location: FF_X23_Y22_N15
\led_flash_cnt[3686][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3686][3]~79384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3686][3]~q\);

-- Location: LCCOMB_X23_Y22_N16
\led_flash_cnt[3686][4]~79386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3686][4]~79386_combout\ = (\led_flash_cnt[3686][4]~q\ & (!\led_flash_cnt[3686][3]~79385\)) # (!\led_flash_cnt[3686][4]~q\ & ((\led_flash_cnt[3686][3]~79385\) # (GND)))
-- \led_flash_cnt[3686][4]~79387\ = CARRY((!\led_flash_cnt[3686][3]~79385\) # (!\led_flash_cnt[3686][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3686][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3686][3]~79385\,
	combout => \led_flash_cnt[3686][4]~79386_combout\,
	cout => \led_flash_cnt[3686][4]~79387\);

-- Location: FF_X23_Y22_N17
\led_flash_cnt[3686][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3686][4]~79386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3686][4]~q\);

-- Location: LCCOMB_X23_Y22_N6
\WideAnd3686~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3686~0_combout\ = (\led_flash_cnt[3686][1]~q\ & (\led_flash_cnt[3686][4]~q\ & (\led_flash_cnt[3686][3]~q\ & \led_flash_cnt[3686][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3686][1]~q\,
	datab => \led_flash_cnt[3686][4]~q\,
	datac => \led_flash_cnt[3686][3]~q\,
	datad => \led_flash_cnt[3686][2]~q\,
	combout => \WideAnd3686~0_combout\);

-- Location: LCCOMB_X23_Y22_N18
\led_flash_cnt[3686][5]~79388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3686][5]~79388_combout\ = (\led_flash_cnt[3686][5]~q\ & (\led_flash_cnt[3686][4]~79387\ $ (GND))) # (!\led_flash_cnt[3686][5]~q\ & (!\led_flash_cnt[3686][4]~79387\ & VCC))
-- \led_flash_cnt[3686][5]~79389\ = CARRY((\led_flash_cnt[3686][5]~q\ & !\led_flash_cnt[3686][4]~79387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3686][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3686][4]~79387\,
	combout => \led_flash_cnt[3686][5]~79388_combout\,
	cout => \led_flash_cnt[3686][5]~79389\);

-- Location: FF_X23_Y22_N19
\led_flash_cnt[3686][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3686][5]~79388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3686][5]~q\);

-- Location: LCCOMB_X23_Y22_N20
\led_flash_cnt[3686][6]~79390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3686][6]~79390_combout\ = (\led_flash_cnt[3686][6]~q\ & (!\led_flash_cnt[3686][5]~79389\)) # (!\led_flash_cnt[3686][6]~q\ & ((\led_flash_cnt[3686][5]~79389\) # (GND)))
-- \led_flash_cnt[3686][6]~79391\ = CARRY((!\led_flash_cnt[3686][5]~79389\) # (!\led_flash_cnt[3686][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3686][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3686][5]~79389\,
	combout => \led_flash_cnt[3686][6]~79390_combout\,
	cout => \led_flash_cnt[3686][6]~79391\);

-- Location: FF_X23_Y22_N21
\led_flash_cnt[3686][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3686][6]~79390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3686][6]~q\);

-- Location: LCCOMB_X23_Y22_N22
\led_flash_cnt[3686][7]~79392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3686][7]~79392_combout\ = \led_flash_cnt[3686][7]~q\ $ (!\led_flash_cnt[3686][6]~79391\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3686][7]~q\,
	cin => \led_flash_cnt[3686][6]~79391\,
	combout => \led_flash_cnt[3686][7]~79392_combout\);

-- Location: FF_X23_Y22_N23
\led_flash_cnt[3686][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3686][7]~79392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3686][7]~q\);

-- Location: LCCOMB_X23_Y22_N24
\WideAnd3686~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3686~1_combout\ = (\led_flash_cnt[3686][6]~q\ & \led_flash_cnt[3686][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3686][6]~q\,
	datad => \led_flash_cnt[3686][5]~q\,
	combout => \WideAnd3686~1_combout\);

-- Location: LCCOMB_X23_Y22_N4
WideAnd3686 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3686~combout\ = (\WideAnd3686~0_combout\ & (\led_flash_cnt[3686][0]~q\ & (\led_flash_cnt[3686][7]~q\ & \WideAnd3686~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3686~0_combout\,
	datab => \led_flash_cnt[3686][0]~q\,
	datac => \led_flash_cnt[3686][7]~q\,
	datad => \WideAnd3686~1_combout\,
	combout => \WideAnd3686~combout\);

-- Location: FF_X23_Y22_N5
\led_flash_cnt_ands[3686]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3686~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3686));

-- Location: LCCOMB_X27_Y22_N24
\led_flash_cnt[3681][0]~84385\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3681][0]~84385_combout\ = !\led_flash_cnt[3681][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3681][0]~q\,
	combout => \led_flash_cnt[3681][0]~84385_combout\);

-- Location: FF_X30_Y22_N29
\led_flash_cnt[3681][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \led_flash_cnt[3681][0]~84385_combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3681][0]~q\);

-- Location: LCCOMB_X29_Y22_N16
\led_flash_cnt[3681][1]~79310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3681][1]~79310_combout\ = (\led_flash_cnt[3681][0]~q\ & (\led_flash_cnt[3681][1]~q\ $ (VCC))) # (!\led_flash_cnt[3681][0]~q\ & (\led_flash_cnt[3681][1]~q\ & VCC))
-- \led_flash_cnt[3681][1]~79311\ = CARRY((\led_flash_cnt[3681][0]~q\ & \led_flash_cnt[3681][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3681][0]~q\,
	datab => \led_flash_cnt[3681][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3681][1]~79310_combout\,
	cout => \led_flash_cnt[3681][1]~79311\);

-- Location: FF_X29_Y22_N17
\led_flash_cnt[3681][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3681][1]~79310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3681][1]~q\);

-- Location: LCCOMB_X29_Y22_N18
\led_flash_cnt[3681][2]~79312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3681][2]~79312_combout\ = (\led_flash_cnt[3681][2]~q\ & (!\led_flash_cnt[3681][1]~79311\)) # (!\led_flash_cnt[3681][2]~q\ & ((\led_flash_cnt[3681][1]~79311\) # (GND)))
-- \led_flash_cnt[3681][2]~79313\ = CARRY((!\led_flash_cnt[3681][1]~79311\) # (!\led_flash_cnt[3681][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3681][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3681][1]~79311\,
	combout => \led_flash_cnt[3681][2]~79312_combout\,
	cout => \led_flash_cnt[3681][2]~79313\);

-- Location: FF_X29_Y22_N19
\led_flash_cnt[3681][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3681][2]~79312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3681][2]~q\);

-- Location: LCCOMB_X29_Y22_N20
\led_flash_cnt[3681][3]~79314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3681][3]~79314_combout\ = (\led_flash_cnt[3681][3]~q\ & (\led_flash_cnt[3681][2]~79313\ $ (GND))) # (!\led_flash_cnt[3681][3]~q\ & (!\led_flash_cnt[3681][2]~79313\ & VCC))
-- \led_flash_cnt[3681][3]~79315\ = CARRY((\led_flash_cnt[3681][3]~q\ & !\led_flash_cnt[3681][2]~79313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3681][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3681][2]~79313\,
	combout => \led_flash_cnt[3681][3]~79314_combout\,
	cout => \led_flash_cnt[3681][3]~79315\);

-- Location: FF_X29_Y22_N21
\led_flash_cnt[3681][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3681][3]~79314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3681][3]~q\);

-- Location: LCCOMB_X29_Y22_N22
\led_flash_cnt[3681][4]~79316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3681][4]~79316_combout\ = (\led_flash_cnt[3681][4]~q\ & (!\led_flash_cnt[3681][3]~79315\)) # (!\led_flash_cnt[3681][4]~q\ & ((\led_flash_cnt[3681][3]~79315\) # (GND)))
-- \led_flash_cnt[3681][4]~79317\ = CARRY((!\led_flash_cnt[3681][3]~79315\) # (!\led_flash_cnt[3681][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3681][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3681][3]~79315\,
	combout => \led_flash_cnt[3681][4]~79316_combout\,
	cout => \led_flash_cnt[3681][4]~79317\);

-- Location: FF_X29_Y22_N23
\led_flash_cnt[3681][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3681][4]~79316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3681][4]~q\);

-- Location: LCCOMB_X29_Y22_N24
\led_flash_cnt[3681][5]~79318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3681][5]~79318_combout\ = (\led_flash_cnt[3681][5]~q\ & (\led_flash_cnt[3681][4]~79317\ $ (GND))) # (!\led_flash_cnt[3681][5]~q\ & (!\led_flash_cnt[3681][4]~79317\ & VCC))
-- \led_flash_cnt[3681][5]~79319\ = CARRY((\led_flash_cnt[3681][5]~q\ & !\led_flash_cnt[3681][4]~79317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3681][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3681][4]~79317\,
	combout => \led_flash_cnt[3681][5]~79318_combout\,
	cout => \led_flash_cnt[3681][5]~79319\);

-- Location: FF_X29_Y22_N25
\led_flash_cnt[3681][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3681][5]~79318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3681][5]~q\);

-- Location: LCCOMB_X29_Y22_N26
\led_flash_cnt[3681][6]~79320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3681][6]~79320_combout\ = (\led_flash_cnt[3681][6]~q\ & (!\led_flash_cnt[3681][5]~79319\)) # (!\led_flash_cnt[3681][6]~q\ & ((\led_flash_cnt[3681][5]~79319\) # (GND)))
-- \led_flash_cnt[3681][6]~79321\ = CARRY((!\led_flash_cnt[3681][5]~79319\) # (!\led_flash_cnt[3681][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3681][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3681][5]~79319\,
	combout => \led_flash_cnt[3681][6]~79320_combout\,
	cout => \led_flash_cnt[3681][6]~79321\);

-- Location: FF_X29_Y22_N27
\led_flash_cnt[3681][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3681][6]~79320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3681][6]~q\);

-- Location: LCCOMB_X30_Y22_N0
\WideAnd3681~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3681~1_combout\ = (\led_flash_cnt[3681][6]~q\ & \led_flash_cnt[3681][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3681][6]~q\,
	datad => \led_flash_cnt[3681][5]~q\,
	combout => \WideAnd3681~1_combout\);

-- Location: LCCOMB_X30_Y22_N30
\WideAnd3681~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3681~0_combout\ = (\led_flash_cnt[3681][2]~q\ & (\led_flash_cnt[3681][3]~q\ & (\led_flash_cnt[3681][1]~q\ & \led_flash_cnt[3681][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3681][2]~q\,
	datab => \led_flash_cnt[3681][3]~q\,
	datac => \led_flash_cnt[3681][1]~q\,
	datad => \led_flash_cnt[3681][4]~q\,
	combout => \WideAnd3681~0_combout\);

-- Location: LCCOMB_X29_Y22_N28
\led_flash_cnt[3681][7]~79322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3681][7]~79322_combout\ = \led_flash_cnt[3681][6]~79321\ $ (!\led_flash_cnt[3681][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3681][7]~q\,
	cin => \led_flash_cnt[3681][6]~79321\,
	combout => \led_flash_cnt[3681][7]~79322_combout\);

-- Location: FF_X29_Y22_N29
\led_flash_cnt[3681][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3681][7]~79322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3681][7]~q\);

-- Location: LCCOMB_X30_Y22_N26
WideAnd3681 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3681~combout\ = (\WideAnd3681~1_combout\ & (\led_flash_cnt[3681][0]~q\ & (\WideAnd3681~0_combout\ & \led_flash_cnt[3681][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3681~1_combout\,
	datab => \led_flash_cnt[3681][0]~q\,
	datac => \WideAnd3681~0_combout\,
	datad => \led_flash_cnt[3681][7]~q\,
	combout => \WideAnd3681~combout\);

-- Location: FF_X30_Y22_N27
\led_flash_cnt_ands[3681]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3681~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3681));

-- Location: LCCOMB_X36_Y22_N22
\led_flash_cnt[3683][0]~84387\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3683][0]~84387_combout\ = !\led_flash_cnt[3683][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3683][0]~q\,
	combout => \led_flash_cnt[3683][0]~84387_combout\);

-- Location: FF_X36_Y22_N23
\led_flash_cnt[3683][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3683][0]~84387_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3683][0]~q\);

-- Location: LCCOMB_X30_Y22_N12
\led_flash_cnt[3683][1]~79338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3683][1]~79338_combout\ = (\led_flash_cnt[3683][1]~q\ & (\led_flash_cnt[3683][0]~q\ $ (VCC))) # (!\led_flash_cnt[3683][1]~q\ & (\led_flash_cnt[3683][0]~q\ & VCC))
-- \led_flash_cnt[3683][1]~79339\ = CARRY((\led_flash_cnt[3683][1]~q\ & \led_flash_cnt[3683][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3683][1]~q\,
	datab => \led_flash_cnt[3683][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3683][1]~79338_combout\,
	cout => \led_flash_cnt[3683][1]~79339\);

-- Location: FF_X30_Y22_N13
\led_flash_cnt[3683][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3683][1]~79338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3683][1]~q\);

-- Location: LCCOMB_X30_Y22_N14
\led_flash_cnt[3683][2]~79340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3683][2]~79340_combout\ = (\led_flash_cnt[3683][2]~q\ & (!\led_flash_cnt[3683][1]~79339\)) # (!\led_flash_cnt[3683][2]~q\ & ((\led_flash_cnt[3683][1]~79339\) # (GND)))
-- \led_flash_cnt[3683][2]~79341\ = CARRY((!\led_flash_cnt[3683][1]~79339\) # (!\led_flash_cnt[3683][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3683][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3683][1]~79339\,
	combout => \led_flash_cnt[3683][2]~79340_combout\,
	cout => \led_flash_cnt[3683][2]~79341\);

-- Location: FF_X30_Y22_N15
\led_flash_cnt[3683][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3683][2]~79340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3683][2]~q\);

-- Location: LCCOMB_X30_Y22_N16
\led_flash_cnt[3683][3]~79342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3683][3]~79342_combout\ = (\led_flash_cnt[3683][3]~q\ & (\led_flash_cnt[3683][2]~79341\ $ (GND))) # (!\led_flash_cnt[3683][3]~q\ & (!\led_flash_cnt[3683][2]~79341\ & VCC))
-- \led_flash_cnt[3683][3]~79343\ = CARRY((\led_flash_cnt[3683][3]~q\ & !\led_flash_cnt[3683][2]~79341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3683][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3683][2]~79341\,
	combout => \led_flash_cnt[3683][3]~79342_combout\,
	cout => \led_flash_cnt[3683][3]~79343\);

-- Location: FF_X30_Y22_N17
\led_flash_cnt[3683][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3683][3]~79342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3683][3]~q\);

-- Location: LCCOMB_X30_Y22_N18
\led_flash_cnt[3683][4]~79344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3683][4]~79344_combout\ = (\led_flash_cnt[3683][4]~q\ & (!\led_flash_cnt[3683][3]~79343\)) # (!\led_flash_cnt[3683][4]~q\ & ((\led_flash_cnt[3683][3]~79343\) # (GND)))
-- \led_flash_cnt[3683][4]~79345\ = CARRY((!\led_flash_cnt[3683][3]~79343\) # (!\led_flash_cnt[3683][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3683][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3683][3]~79343\,
	combout => \led_flash_cnt[3683][4]~79344_combout\,
	cout => \led_flash_cnt[3683][4]~79345\);

-- Location: FF_X30_Y22_N19
\led_flash_cnt[3683][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3683][4]~79344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3683][4]~q\);

-- Location: LCCOMB_X30_Y22_N20
\led_flash_cnt[3683][5]~79346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3683][5]~79346_combout\ = (\led_flash_cnt[3683][5]~q\ & (\led_flash_cnt[3683][4]~79345\ $ (GND))) # (!\led_flash_cnt[3683][5]~q\ & (!\led_flash_cnt[3683][4]~79345\ & VCC))
-- \led_flash_cnt[3683][5]~79347\ = CARRY((\led_flash_cnt[3683][5]~q\ & !\led_flash_cnt[3683][4]~79345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3683][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3683][4]~79345\,
	combout => \led_flash_cnt[3683][5]~79346_combout\,
	cout => \led_flash_cnt[3683][5]~79347\);

-- Location: FF_X30_Y22_N21
\led_flash_cnt[3683][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3683][5]~79346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3683][5]~q\);

-- Location: LCCOMB_X30_Y22_N22
\led_flash_cnt[3683][6]~79348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3683][6]~79348_combout\ = (\led_flash_cnt[3683][6]~q\ & (!\led_flash_cnt[3683][5]~79347\)) # (!\led_flash_cnt[3683][6]~q\ & ((\led_flash_cnt[3683][5]~79347\) # (GND)))
-- \led_flash_cnt[3683][6]~79349\ = CARRY((!\led_flash_cnt[3683][5]~79347\) # (!\led_flash_cnt[3683][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3683][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3683][5]~79347\,
	combout => \led_flash_cnt[3683][6]~79348_combout\,
	cout => \led_flash_cnt[3683][6]~79349\);

-- Location: FF_X30_Y22_N23
\led_flash_cnt[3683][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3683][6]~79348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3683][6]~q\);

-- Location: LCCOMB_X30_Y22_N10
\WideAnd3683~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3683~1_combout\ = (\led_flash_cnt[3683][6]~q\ & \led_flash_cnt[3683][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3683][6]~q\,
	datad => \led_flash_cnt[3683][5]~q\,
	combout => \WideAnd3683~1_combout\);

-- Location: LCCOMB_X30_Y22_N8
\WideAnd3683~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3683~0_combout\ = (\led_flash_cnt[3683][1]~q\ & (\led_flash_cnt[3683][2]~q\ & (\led_flash_cnt[3683][4]~q\ & \led_flash_cnt[3683][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3683][1]~q\,
	datab => \led_flash_cnt[3683][2]~q\,
	datac => \led_flash_cnt[3683][4]~q\,
	datad => \led_flash_cnt[3683][3]~q\,
	combout => \WideAnd3683~0_combout\);

-- Location: LCCOMB_X30_Y22_N24
\led_flash_cnt[3683][7]~79350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3683][7]~79350_combout\ = \led_flash_cnt[3683][6]~79349\ $ (!\led_flash_cnt[3683][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3683][7]~q\,
	cin => \led_flash_cnt[3683][6]~79349\,
	combout => \led_flash_cnt[3683][7]~79350_combout\);

-- Location: FF_X30_Y22_N25
\led_flash_cnt[3683][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3683][7]~79350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3683][7]~q\);

-- Location: LCCOMB_X30_Y22_N4
WideAnd3683 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3683~combout\ = (\WideAnd3683~1_combout\ & (\WideAnd3683~0_combout\ & (\led_flash_cnt[3683][0]~q\ & \led_flash_cnt[3683][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3683~1_combout\,
	datab => \WideAnd3683~0_combout\,
	datac => \led_flash_cnt[3683][0]~q\,
	datad => \led_flash_cnt[3683][7]~q\,
	combout => \WideAnd3683~combout\);

-- Location: FF_X30_Y22_N5
\led_flash_cnt_ands[3683]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3683~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3683));

-- Location: LCCOMB_X30_Y16_N24
\led_flash_cnt[3680][0]~84384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3680][0]~84384_combout\ = !\led_flash_cnt[3680][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3680][0]~q\,
	combout => \led_flash_cnt[3680][0]~84384_combout\);

-- Location: FF_X30_Y16_N25
\led_flash_cnt[3680][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3680][0]~84384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3680][0]~q\);

-- Location: LCCOMB_X29_Y16_N0
\led_flash_cnt[3680][1]~79296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3680][1]~79296_combout\ = (\led_flash_cnt[3680][1]~q\ & (\led_flash_cnt[3680][0]~q\ $ (VCC))) # (!\led_flash_cnt[3680][1]~q\ & (\led_flash_cnt[3680][0]~q\ & VCC))
-- \led_flash_cnt[3680][1]~79297\ = CARRY((\led_flash_cnt[3680][1]~q\ & \led_flash_cnt[3680][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3680][1]~q\,
	datab => \led_flash_cnt[3680][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3680][1]~79296_combout\,
	cout => \led_flash_cnt[3680][1]~79297\);

-- Location: FF_X29_Y16_N1
\led_flash_cnt[3680][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3680][1]~79296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3680][1]~q\);

-- Location: LCCOMB_X29_Y16_N2
\led_flash_cnt[3680][2]~79298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3680][2]~79298_combout\ = (\led_flash_cnt[3680][2]~q\ & (!\led_flash_cnt[3680][1]~79297\)) # (!\led_flash_cnt[3680][2]~q\ & ((\led_flash_cnt[3680][1]~79297\) # (GND)))
-- \led_flash_cnt[3680][2]~79299\ = CARRY((!\led_flash_cnt[3680][1]~79297\) # (!\led_flash_cnt[3680][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3680][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3680][1]~79297\,
	combout => \led_flash_cnt[3680][2]~79298_combout\,
	cout => \led_flash_cnt[3680][2]~79299\);

-- Location: FF_X29_Y16_N3
\led_flash_cnt[3680][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3680][2]~79298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3680][2]~q\);

-- Location: LCCOMB_X29_Y16_N4
\led_flash_cnt[3680][3]~79300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3680][3]~79300_combout\ = (\led_flash_cnt[3680][3]~q\ & (\led_flash_cnt[3680][2]~79299\ $ (GND))) # (!\led_flash_cnt[3680][3]~q\ & (!\led_flash_cnt[3680][2]~79299\ & VCC))
-- \led_flash_cnt[3680][3]~79301\ = CARRY((\led_flash_cnt[3680][3]~q\ & !\led_flash_cnt[3680][2]~79299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3680][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3680][2]~79299\,
	combout => \led_flash_cnt[3680][3]~79300_combout\,
	cout => \led_flash_cnt[3680][3]~79301\);

-- Location: FF_X29_Y16_N5
\led_flash_cnt[3680][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3680][3]~79300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3680][3]~q\);

-- Location: LCCOMB_X29_Y16_N6
\led_flash_cnt[3680][4]~79302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3680][4]~79302_combout\ = (\led_flash_cnt[3680][4]~q\ & (!\led_flash_cnt[3680][3]~79301\)) # (!\led_flash_cnt[3680][4]~q\ & ((\led_flash_cnt[3680][3]~79301\) # (GND)))
-- \led_flash_cnt[3680][4]~79303\ = CARRY((!\led_flash_cnt[3680][3]~79301\) # (!\led_flash_cnt[3680][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3680][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3680][3]~79301\,
	combout => \led_flash_cnt[3680][4]~79302_combout\,
	cout => \led_flash_cnt[3680][4]~79303\);

-- Location: FF_X29_Y16_N7
\led_flash_cnt[3680][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3680][4]~79302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3680][4]~q\);

-- Location: LCCOMB_X29_Y16_N8
\led_flash_cnt[3680][5]~79304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3680][5]~79304_combout\ = (\led_flash_cnt[3680][5]~q\ & (\led_flash_cnt[3680][4]~79303\ $ (GND))) # (!\led_flash_cnt[3680][5]~q\ & (!\led_flash_cnt[3680][4]~79303\ & VCC))
-- \led_flash_cnt[3680][5]~79305\ = CARRY((\led_flash_cnt[3680][5]~q\ & !\led_flash_cnt[3680][4]~79303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3680][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3680][4]~79303\,
	combout => \led_flash_cnt[3680][5]~79304_combout\,
	cout => \led_flash_cnt[3680][5]~79305\);

-- Location: FF_X29_Y16_N9
\led_flash_cnt[3680][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3680][5]~79304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3680][5]~q\);

-- Location: LCCOMB_X30_Y16_N20
\WideAnd3680~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3680~0_combout\ = (\led_flash_cnt[3680][1]~q\ & (\led_flash_cnt[3680][4]~q\ & (\led_flash_cnt[3680][3]~q\ & \led_flash_cnt[3680][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3680][1]~q\,
	datab => \led_flash_cnt[3680][4]~q\,
	datac => \led_flash_cnt[3680][3]~q\,
	datad => \led_flash_cnt[3680][2]~q\,
	combout => \WideAnd3680~0_combout\);

-- Location: LCCOMB_X29_Y16_N10
\led_flash_cnt[3680][6]~79306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3680][6]~79306_combout\ = (\led_flash_cnt[3680][6]~q\ & (!\led_flash_cnt[3680][5]~79305\)) # (!\led_flash_cnt[3680][6]~q\ & ((\led_flash_cnt[3680][5]~79305\) # (GND)))
-- \led_flash_cnt[3680][6]~79307\ = CARRY((!\led_flash_cnt[3680][5]~79305\) # (!\led_flash_cnt[3680][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3680][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3680][5]~79305\,
	combout => \led_flash_cnt[3680][6]~79306_combout\,
	cout => \led_flash_cnt[3680][6]~79307\);

-- Location: FF_X29_Y16_N11
\led_flash_cnt[3680][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3680][6]~79306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3680][6]~q\);

-- Location: LCCOMB_X29_Y16_N12
\led_flash_cnt[3680][7]~79308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3680][7]~79308_combout\ = \led_flash_cnt[3680][6]~79307\ $ (!\led_flash_cnt[3680][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3680][7]~q\,
	cin => \led_flash_cnt[3680][6]~79307\,
	combout => \led_flash_cnt[3680][7]~79308_combout\);

-- Location: FF_X29_Y16_N13
\led_flash_cnt[3680][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3680][7]~79308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3680][7]~q\);

-- Location: LCCOMB_X30_Y16_N14
\WideAnd3680~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3680~1_combout\ = (\led_flash_cnt[3680][7]~q\ & \led_flash_cnt[3680][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3680][7]~q\,
	datad => \led_flash_cnt[3680][6]~q\,
	combout => \WideAnd3680~1_combout\);

-- Location: LCCOMB_X30_Y16_N16
WideAnd3680 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3680~combout\ = (\led_flash_cnt[3680][5]~q\ & (\WideAnd3680~0_combout\ & (\WideAnd3680~1_combout\ & \led_flash_cnt[3680][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3680][5]~q\,
	datab => \WideAnd3680~0_combout\,
	datac => \WideAnd3680~1_combout\,
	datad => \led_flash_cnt[3680][0]~q\,
	combout => \WideAnd3680~combout\);

-- Location: FF_X30_Y16_N17
\led_flash_cnt_ands[3680]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3680~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3680));

-- Location: LCCOMB_X32_Y22_N6
\led_flash_cnt[3682][0]~84386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3682][0]~84386_combout\ = !\led_flash_cnt[3682][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3682][0]~q\,
	combout => \led_flash_cnt[3682][0]~84386_combout\);

-- Location: FF_X32_Y22_N7
\led_flash_cnt[3682][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3682][0]~84386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3682][0]~q\);

-- Location: LCCOMB_X31_Y22_N2
\led_flash_cnt[3682][1]~79324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3682][1]~79324_combout\ = (\led_flash_cnt[3682][0]~q\ & (\led_flash_cnt[3682][1]~q\ $ (VCC))) # (!\led_flash_cnt[3682][0]~q\ & (\led_flash_cnt[3682][1]~q\ & VCC))
-- \led_flash_cnt[3682][1]~79325\ = CARRY((\led_flash_cnt[3682][0]~q\ & \led_flash_cnt[3682][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3682][0]~q\,
	datab => \led_flash_cnt[3682][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3682][1]~79324_combout\,
	cout => \led_flash_cnt[3682][1]~79325\);

-- Location: FF_X31_Y22_N3
\led_flash_cnt[3682][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3682][1]~79324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3682][1]~q\);

-- Location: LCCOMB_X31_Y22_N4
\led_flash_cnt[3682][2]~79326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3682][2]~79326_combout\ = (\led_flash_cnt[3682][2]~q\ & (!\led_flash_cnt[3682][1]~79325\)) # (!\led_flash_cnt[3682][2]~q\ & ((\led_flash_cnt[3682][1]~79325\) # (GND)))
-- \led_flash_cnt[3682][2]~79327\ = CARRY((!\led_flash_cnt[3682][1]~79325\) # (!\led_flash_cnt[3682][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3682][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3682][1]~79325\,
	combout => \led_flash_cnt[3682][2]~79326_combout\,
	cout => \led_flash_cnt[3682][2]~79327\);

-- Location: FF_X31_Y22_N5
\led_flash_cnt[3682][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3682][2]~79326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3682][2]~q\);

-- Location: LCCOMB_X31_Y22_N6
\led_flash_cnt[3682][3]~79328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3682][3]~79328_combout\ = (\led_flash_cnt[3682][3]~q\ & (\led_flash_cnt[3682][2]~79327\ $ (GND))) # (!\led_flash_cnt[3682][3]~q\ & (!\led_flash_cnt[3682][2]~79327\ & VCC))
-- \led_flash_cnt[3682][3]~79329\ = CARRY((\led_flash_cnt[3682][3]~q\ & !\led_flash_cnt[3682][2]~79327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3682][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3682][2]~79327\,
	combout => \led_flash_cnt[3682][3]~79328_combout\,
	cout => \led_flash_cnt[3682][3]~79329\);

-- Location: FF_X31_Y22_N7
\led_flash_cnt[3682][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3682][3]~79328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3682][3]~q\);

-- Location: LCCOMB_X31_Y22_N8
\led_flash_cnt[3682][4]~79330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3682][4]~79330_combout\ = (\led_flash_cnt[3682][4]~q\ & (!\led_flash_cnt[3682][3]~79329\)) # (!\led_flash_cnt[3682][4]~q\ & ((\led_flash_cnt[3682][3]~79329\) # (GND)))
-- \led_flash_cnt[3682][4]~79331\ = CARRY((!\led_flash_cnt[3682][3]~79329\) # (!\led_flash_cnt[3682][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3682][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3682][3]~79329\,
	combout => \led_flash_cnt[3682][4]~79330_combout\,
	cout => \led_flash_cnt[3682][4]~79331\);

-- Location: FF_X31_Y22_N9
\led_flash_cnt[3682][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3682][4]~79330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3682][4]~q\);

-- Location: LCCOMB_X30_Y22_N6
\WideAnd3682~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3682~0_combout\ = (\led_flash_cnt[3682][3]~q\ & (\led_flash_cnt[3682][1]~q\ & (\led_flash_cnt[3682][4]~q\ & \led_flash_cnt[3682][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3682][3]~q\,
	datab => \led_flash_cnt[3682][1]~q\,
	datac => \led_flash_cnt[3682][4]~q\,
	datad => \led_flash_cnt[3682][2]~q\,
	combout => \WideAnd3682~0_combout\);

-- Location: LCCOMB_X31_Y22_N10
\led_flash_cnt[3682][5]~79332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3682][5]~79332_combout\ = (\led_flash_cnt[3682][5]~q\ & (\led_flash_cnt[3682][4]~79331\ $ (GND))) # (!\led_flash_cnt[3682][5]~q\ & (!\led_flash_cnt[3682][4]~79331\ & VCC))
-- \led_flash_cnt[3682][5]~79333\ = CARRY((\led_flash_cnt[3682][5]~q\ & !\led_flash_cnt[3682][4]~79331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3682][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3682][4]~79331\,
	combout => \led_flash_cnt[3682][5]~79332_combout\,
	cout => \led_flash_cnt[3682][5]~79333\);

-- Location: FF_X31_Y22_N11
\led_flash_cnt[3682][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3682][5]~79332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3682][5]~q\);

-- Location: LCCOMB_X31_Y22_N12
\led_flash_cnt[3682][6]~79334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3682][6]~79334_combout\ = (\led_flash_cnt[3682][6]~q\ & (!\led_flash_cnt[3682][5]~79333\)) # (!\led_flash_cnt[3682][6]~q\ & ((\led_flash_cnt[3682][5]~79333\) # (GND)))
-- \led_flash_cnt[3682][6]~79335\ = CARRY((!\led_flash_cnt[3682][5]~79333\) # (!\led_flash_cnt[3682][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3682][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3682][5]~79333\,
	combout => \led_flash_cnt[3682][6]~79334_combout\,
	cout => \led_flash_cnt[3682][6]~79335\);

-- Location: FF_X31_Y22_N13
\led_flash_cnt[3682][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3682][6]~79334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3682][6]~q\);

-- Location: LCCOMB_X31_Y22_N14
\led_flash_cnt[3682][7]~79336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3682][7]~79336_combout\ = \led_flash_cnt[3682][7]~q\ $ (!\led_flash_cnt[3682][6]~79335\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3682][7]~q\,
	cin => \led_flash_cnt[3682][6]~79335\,
	combout => \led_flash_cnt[3682][7]~79336_combout\);

-- Location: FF_X31_Y22_N15
\led_flash_cnt[3682][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3682][7]~79336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3682][7]~q\);

-- Location: LCCOMB_X32_Y22_N28
\WideAnd3682~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3682~1_combout\ = (\led_flash_cnt[3682][6]~q\ & \led_flash_cnt[3682][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3682][6]~q\,
	datad => \led_flash_cnt[3682][5]~q\,
	combout => \WideAnd3682~1_combout\);

-- Location: LCCOMB_X31_Y22_N16
WideAnd3682 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3682~combout\ = (\led_flash_cnt[3682][0]~q\ & (\WideAnd3682~0_combout\ & (\led_flash_cnt[3682][7]~q\ & \WideAnd3682~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3682][0]~q\,
	datab => \WideAnd3682~0_combout\,
	datac => \led_flash_cnt[3682][7]~q\,
	datad => \WideAnd3682~1_combout\,
	combout => \WideAnd3682~combout\);

-- Location: FF_X31_Y22_N17
\led_flash_cnt_ands[3682]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3682~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3682));

-- Location: LCCOMB_X30_Y22_N2
\WideAnd4300~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4300~0_combout\ = (led_flash_cnt_ands(3681) & (led_flash_cnt_ands(3683) & (led_flash_cnt_ands(3680) & led_flash_cnt_ands(3682))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3681),
	datab => led_flash_cnt_ands(3683),
	datac => led_flash_cnt_ands(3680),
	datad => led_flash_cnt_ands(3682),
	combout => \WideAnd4300~0_combout\);

-- Location: LCCOMB_X32_Y37_N12
\led_flash_cnt[3685][0]~84389\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3685][0]~84389_combout\ = !\led_flash_cnt[3685][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3685][0]~q\,
	combout => \led_flash_cnt[3685][0]~84389_combout\);

-- Location: FF_X32_Y37_N13
\led_flash_cnt[3685][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3685][0]~84389_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3685][0]~q\);

-- Location: LCCOMB_X32_Y37_N14
\led_flash_cnt[3685][1]~79366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3685][1]~79366_combout\ = (\led_flash_cnt[3685][0]~q\ & (\led_flash_cnt[3685][1]~q\ $ (VCC))) # (!\led_flash_cnt[3685][0]~q\ & (\led_flash_cnt[3685][1]~q\ & VCC))
-- \led_flash_cnt[3685][1]~79367\ = CARRY((\led_flash_cnt[3685][0]~q\ & \led_flash_cnt[3685][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3685][0]~q\,
	datab => \led_flash_cnt[3685][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3685][1]~79366_combout\,
	cout => \led_flash_cnt[3685][1]~79367\);

-- Location: FF_X32_Y37_N15
\led_flash_cnt[3685][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3685][1]~79366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3685][1]~q\);

-- Location: LCCOMB_X32_Y37_N16
\led_flash_cnt[3685][2]~79368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3685][2]~79368_combout\ = (\led_flash_cnt[3685][2]~q\ & (!\led_flash_cnt[3685][1]~79367\)) # (!\led_flash_cnt[3685][2]~q\ & ((\led_flash_cnt[3685][1]~79367\) # (GND)))
-- \led_flash_cnt[3685][2]~79369\ = CARRY((!\led_flash_cnt[3685][1]~79367\) # (!\led_flash_cnt[3685][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3685][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3685][1]~79367\,
	combout => \led_flash_cnt[3685][2]~79368_combout\,
	cout => \led_flash_cnt[3685][2]~79369\);

-- Location: FF_X32_Y37_N17
\led_flash_cnt[3685][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3685][2]~79368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3685][2]~q\);

-- Location: LCCOMB_X32_Y37_N18
\led_flash_cnt[3685][3]~79370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3685][3]~79370_combout\ = (\led_flash_cnt[3685][3]~q\ & (\led_flash_cnt[3685][2]~79369\ $ (GND))) # (!\led_flash_cnt[3685][3]~q\ & (!\led_flash_cnt[3685][2]~79369\ & VCC))
-- \led_flash_cnt[3685][3]~79371\ = CARRY((\led_flash_cnt[3685][3]~q\ & !\led_flash_cnt[3685][2]~79369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3685][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3685][2]~79369\,
	combout => \led_flash_cnt[3685][3]~79370_combout\,
	cout => \led_flash_cnt[3685][3]~79371\);

-- Location: FF_X32_Y37_N19
\led_flash_cnt[3685][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3685][3]~79370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3685][3]~q\);

-- Location: LCCOMB_X32_Y37_N20
\led_flash_cnt[3685][4]~79372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3685][4]~79372_combout\ = (\led_flash_cnt[3685][4]~q\ & (!\led_flash_cnt[3685][3]~79371\)) # (!\led_flash_cnt[3685][4]~q\ & ((\led_flash_cnt[3685][3]~79371\) # (GND)))
-- \led_flash_cnt[3685][4]~79373\ = CARRY((!\led_flash_cnt[3685][3]~79371\) # (!\led_flash_cnt[3685][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3685][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3685][3]~79371\,
	combout => \led_flash_cnt[3685][4]~79372_combout\,
	cout => \led_flash_cnt[3685][4]~79373\);

-- Location: FF_X32_Y37_N21
\led_flash_cnt[3685][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3685][4]~79372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3685][4]~q\);

-- Location: LCCOMB_X32_Y37_N22
\led_flash_cnt[3685][5]~79374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3685][5]~79374_combout\ = (\led_flash_cnt[3685][5]~q\ & (\led_flash_cnt[3685][4]~79373\ $ (GND))) # (!\led_flash_cnt[3685][5]~q\ & (!\led_flash_cnt[3685][4]~79373\ & VCC))
-- \led_flash_cnt[3685][5]~79375\ = CARRY((\led_flash_cnt[3685][5]~q\ & !\led_flash_cnt[3685][4]~79373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3685][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3685][4]~79373\,
	combout => \led_flash_cnt[3685][5]~79374_combout\,
	cout => \led_flash_cnt[3685][5]~79375\);

-- Location: FF_X32_Y37_N23
\led_flash_cnt[3685][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3685][5]~79374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3685][5]~q\);

-- Location: LCCOMB_X32_Y37_N24
\led_flash_cnt[3685][6]~79376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3685][6]~79376_combout\ = (\led_flash_cnt[3685][6]~q\ & (!\led_flash_cnt[3685][5]~79375\)) # (!\led_flash_cnt[3685][6]~q\ & ((\led_flash_cnt[3685][5]~79375\) # (GND)))
-- \led_flash_cnt[3685][6]~79377\ = CARRY((!\led_flash_cnt[3685][5]~79375\) # (!\led_flash_cnt[3685][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3685][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3685][5]~79375\,
	combout => \led_flash_cnt[3685][6]~79376_combout\,
	cout => \led_flash_cnt[3685][6]~79377\);

-- Location: FF_X32_Y37_N25
\led_flash_cnt[3685][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3685][6]~79376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3685][6]~q\);

-- Location: LCCOMB_X32_Y37_N10
\WideAnd3685~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3685~1_combout\ = (\led_flash_cnt[3685][5]~q\ & \led_flash_cnt[3685][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3685][5]~q\,
	datad => \led_flash_cnt[3685][6]~q\,
	combout => \WideAnd3685~1_combout\);

-- Location: LCCOMB_X32_Y37_N28
\WideAnd3685~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3685~0_combout\ = (\led_flash_cnt[3685][3]~q\ & (\led_flash_cnt[3685][2]~q\ & (\led_flash_cnt[3685][1]~q\ & \led_flash_cnt[3685][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3685][3]~q\,
	datab => \led_flash_cnt[3685][2]~q\,
	datac => \led_flash_cnt[3685][1]~q\,
	datad => \led_flash_cnt[3685][4]~q\,
	combout => \WideAnd3685~0_combout\);

-- Location: LCCOMB_X32_Y37_N26
\led_flash_cnt[3685][7]~79378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3685][7]~79378_combout\ = \led_flash_cnt[3685][7]~q\ $ (!\led_flash_cnt[3685][6]~79377\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3685][7]~q\,
	cin => \led_flash_cnt[3685][6]~79377\,
	combout => \led_flash_cnt[3685][7]~79378_combout\);

-- Location: FF_X32_Y37_N27
\led_flash_cnt[3685][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3685][7]~79378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3685][7]~q\);

-- Location: LCCOMB_X32_Y37_N4
WideAnd3685 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3685~combout\ = (\WideAnd3685~1_combout\ & (\WideAnd3685~0_combout\ & (\led_flash_cnt[3685][7]~q\ & \led_flash_cnt[3685][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3685~1_combout\,
	datab => \WideAnd3685~0_combout\,
	datac => \led_flash_cnt[3685][7]~q\,
	datad => \led_flash_cnt[3685][0]~q\,
	combout => \WideAnd3685~combout\);

-- Location: FF_X32_Y37_N5
\led_flash_cnt_ands[3685]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3685~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3685));

-- Location: LCCOMB_X36_Y37_N20
\led_flash_cnt[3684][0]~84388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3684][0]~84388_combout\ = !\led_flash_cnt[3684][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3684][0]~q\,
	combout => \led_flash_cnt[3684][0]~84388_combout\);

-- Location: FF_X36_Y37_N21
\led_flash_cnt[3684][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3684][0]~84388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3684][0]~q\);

-- Location: LCCOMB_X35_Y37_N16
\led_flash_cnt[3684][1]~79352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3684][1]~79352_combout\ = (\led_flash_cnt[3684][0]~q\ & (\led_flash_cnt[3684][1]~q\ $ (VCC))) # (!\led_flash_cnt[3684][0]~q\ & (\led_flash_cnt[3684][1]~q\ & VCC))
-- \led_flash_cnt[3684][1]~79353\ = CARRY((\led_flash_cnt[3684][0]~q\ & \led_flash_cnt[3684][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3684][0]~q\,
	datab => \led_flash_cnt[3684][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3684][1]~79352_combout\,
	cout => \led_flash_cnt[3684][1]~79353\);

-- Location: FF_X35_Y37_N17
\led_flash_cnt[3684][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3684][1]~79352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3684][1]~q\);

-- Location: LCCOMB_X35_Y37_N18
\led_flash_cnt[3684][2]~79354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3684][2]~79354_combout\ = (\led_flash_cnt[3684][2]~q\ & (!\led_flash_cnt[3684][1]~79353\)) # (!\led_flash_cnt[3684][2]~q\ & ((\led_flash_cnt[3684][1]~79353\) # (GND)))
-- \led_flash_cnt[3684][2]~79355\ = CARRY((!\led_flash_cnt[3684][1]~79353\) # (!\led_flash_cnt[3684][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3684][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3684][1]~79353\,
	combout => \led_flash_cnt[3684][2]~79354_combout\,
	cout => \led_flash_cnt[3684][2]~79355\);

-- Location: FF_X35_Y37_N19
\led_flash_cnt[3684][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3684][2]~79354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3684][2]~q\);

-- Location: LCCOMB_X35_Y37_N20
\led_flash_cnt[3684][3]~79356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3684][3]~79356_combout\ = (\led_flash_cnt[3684][3]~q\ & (\led_flash_cnt[3684][2]~79355\ $ (GND))) # (!\led_flash_cnt[3684][3]~q\ & (!\led_flash_cnt[3684][2]~79355\ & VCC))
-- \led_flash_cnt[3684][3]~79357\ = CARRY((\led_flash_cnt[3684][3]~q\ & !\led_flash_cnt[3684][2]~79355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3684][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3684][2]~79355\,
	combout => \led_flash_cnt[3684][3]~79356_combout\,
	cout => \led_flash_cnt[3684][3]~79357\);

-- Location: FF_X35_Y37_N21
\led_flash_cnt[3684][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3684][3]~79356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3684][3]~q\);

-- Location: LCCOMB_X35_Y37_N22
\led_flash_cnt[3684][4]~79358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3684][4]~79358_combout\ = (\led_flash_cnt[3684][4]~q\ & (!\led_flash_cnt[3684][3]~79357\)) # (!\led_flash_cnt[3684][4]~q\ & ((\led_flash_cnt[3684][3]~79357\) # (GND)))
-- \led_flash_cnt[3684][4]~79359\ = CARRY((!\led_flash_cnt[3684][3]~79357\) # (!\led_flash_cnt[3684][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3684][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3684][3]~79357\,
	combout => \led_flash_cnt[3684][4]~79358_combout\,
	cout => \led_flash_cnt[3684][4]~79359\);

-- Location: FF_X35_Y37_N23
\led_flash_cnt[3684][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3684][4]~79358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3684][4]~q\);

-- Location: LCCOMB_X35_Y37_N24
\led_flash_cnt[3684][5]~79360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3684][5]~79360_combout\ = (\led_flash_cnt[3684][5]~q\ & (\led_flash_cnt[3684][4]~79359\ $ (GND))) # (!\led_flash_cnt[3684][5]~q\ & (!\led_flash_cnt[3684][4]~79359\ & VCC))
-- \led_flash_cnt[3684][5]~79361\ = CARRY((\led_flash_cnt[3684][5]~q\ & !\led_flash_cnt[3684][4]~79359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3684][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3684][4]~79359\,
	combout => \led_flash_cnt[3684][5]~79360_combout\,
	cout => \led_flash_cnt[3684][5]~79361\);

-- Location: FF_X35_Y37_N25
\led_flash_cnt[3684][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3684][5]~79360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3684][5]~q\);

-- Location: LCCOMB_X35_Y37_N26
\led_flash_cnt[3684][6]~79362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3684][6]~79362_combout\ = (\led_flash_cnt[3684][6]~q\ & (!\led_flash_cnt[3684][5]~79361\)) # (!\led_flash_cnt[3684][6]~q\ & ((\led_flash_cnt[3684][5]~79361\) # (GND)))
-- \led_flash_cnt[3684][6]~79363\ = CARRY((!\led_flash_cnt[3684][5]~79361\) # (!\led_flash_cnt[3684][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3684][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3684][5]~79361\,
	combout => \led_flash_cnt[3684][6]~79362_combout\,
	cout => \led_flash_cnt[3684][6]~79363\);

-- Location: FF_X35_Y37_N27
\led_flash_cnt[3684][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3684][6]~79362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3684][6]~q\);

-- Location: LCCOMB_X34_Y37_N28
\WideAnd3684~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3684~1_combout\ = (\led_flash_cnt[3684][6]~q\ & \led_flash_cnt[3684][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3684][6]~q\,
	datad => \led_flash_cnt[3684][5]~q\,
	combout => \WideAnd3684~1_combout\);

-- Location: LCCOMB_X35_Y37_N14
\WideAnd3684~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3684~0_combout\ = (\led_flash_cnt[3684][1]~q\ & (\led_flash_cnt[3684][2]~q\ & (\led_flash_cnt[3684][4]~q\ & \led_flash_cnt[3684][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3684][1]~q\,
	datab => \led_flash_cnt[3684][2]~q\,
	datac => \led_flash_cnt[3684][4]~q\,
	datad => \led_flash_cnt[3684][3]~q\,
	combout => \WideAnd3684~0_combout\);

-- Location: LCCOMB_X35_Y37_N28
\led_flash_cnt[3684][7]~79364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3684][7]~79364_combout\ = \led_flash_cnt[3684][6]~79363\ $ (!\led_flash_cnt[3684][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3684][7]~q\,
	cin => \led_flash_cnt[3684][6]~79363\,
	combout => \led_flash_cnt[3684][7]~79364_combout\);

-- Location: FF_X35_Y37_N29
\led_flash_cnt[3684][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3684][7]~79364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3684][7]~q\);

-- Location: LCCOMB_X35_Y37_N30
WideAnd3684 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3684~combout\ = (\led_flash_cnt[3684][0]~q\ & (\WideAnd3684~1_combout\ & (\WideAnd3684~0_combout\ & \led_flash_cnt[3684][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3684][0]~q\,
	datab => \WideAnd3684~1_combout\,
	datac => \WideAnd3684~0_combout\,
	datad => \led_flash_cnt[3684][7]~q\,
	combout => \WideAnd3684~combout\);

-- Location: FF_X35_Y37_N31
\led_flash_cnt_ands[3684]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3684~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3684));

-- Location: LCCOMB_X32_Y37_N30
\WideAnd4300~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4300~1_combout\ = (led_flash_cnt_ands(3685) & led_flash_cnt_ands(3684))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3685),
	datac => led_flash_cnt_ands(3684),
	combout => \WideAnd4300~1_combout\);

-- Location: LCCOMB_X23_Y22_N2
\led_flash_cnt[3687][0]~84391\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3687][0]~84391_combout\ = !\led_flash_cnt[3687][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3687][0]~q\,
	combout => \led_flash_cnt[3687][0]~84391_combout\);

-- Location: FF_X23_Y22_N3
\led_flash_cnt[3687][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3687][0]~84391_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3687][0]~q\);

-- Location: LCCOMB_X22_Y22_N18
\led_flash_cnt[3687][1]~79394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3687][1]~79394_combout\ = (\led_flash_cnt[3687][0]~q\ & (\led_flash_cnt[3687][1]~q\ $ (VCC))) # (!\led_flash_cnt[3687][0]~q\ & (\led_flash_cnt[3687][1]~q\ & VCC))
-- \led_flash_cnt[3687][1]~79395\ = CARRY((\led_flash_cnt[3687][0]~q\ & \led_flash_cnt[3687][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3687][0]~q\,
	datab => \led_flash_cnt[3687][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3687][1]~79394_combout\,
	cout => \led_flash_cnt[3687][1]~79395\);

-- Location: FF_X22_Y22_N19
\led_flash_cnt[3687][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3687][1]~79394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3687][1]~q\);

-- Location: LCCOMB_X22_Y22_N20
\led_flash_cnt[3687][2]~79396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3687][2]~79396_combout\ = (\led_flash_cnt[3687][2]~q\ & (!\led_flash_cnt[3687][1]~79395\)) # (!\led_flash_cnt[3687][2]~q\ & ((\led_flash_cnt[3687][1]~79395\) # (GND)))
-- \led_flash_cnt[3687][2]~79397\ = CARRY((!\led_flash_cnt[3687][1]~79395\) # (!\led_flash_cnt[3687][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3687][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3687][1]~79395\,
	combout => \led_flash_cnt[3687][2]~79396_combout\,
	cout => \led_flash_cnt[3687][2]~79397\);

-- Location: FF_X22_Y22_N21
\led_flash_cnt[3687][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3687][2]~79396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3687][2]~q\);

-- Location: LCCOMB_X22_Y22_N22
\led_flash_cnt[3687][3]~79398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3687][3]~79398_combout\ = (\led_flash_cnt[3687][3]~q\ & (\led_flash_cnt[3687][2]~79397\ $ (GND))) # (!\led_flash_cnt[3687][3]~q\ & (!\led_flash_cnt[3687][2]~79397\ & VCC))
-- \led_flash_cnt[3687][3]~79399\ = CARRY((\led_flash_cnt[3687][3]~q\ & !\led_flash_cnt[3687][2]~79397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3687][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3687][2]~79397\,
	combout => \led_flash_cnt[3687][3]~79398_combout\,
	cout => \led_flash_cnt[3687][3]~79399\);

-- Location: FF_X22_Y22_N23
\led_flash_cnt[3687][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3687][3]~79398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3687][3]~q\);

-- Location: LCCOMB_X22_Y22_N24
\led_flash_cnt[3687][4]~79400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3687][4]~79400_combout\ = (\led_flash_cnt[3687][4]~q\ & (!\led_flash_cnt[3687][3]~79399\)) # (!\led_flash_cnt[3687][4]~q\ & ((\led_flash_cnt[3687][3]~79399\) # (GND)))
-- \led_flash_cnt[3687][4]~79401\ = CARRY((!\led_flash_cnt[3687][3]~79399\) # (!\led_flash_cnt[3687][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3687][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3687][3]~79399\,
	combout => \led_flash_cnt[3687][4]~79400_combout\,
	cout => \led_flash_cnt[3687][4]~79401\);

-- Location: FF_X22_Y22_N25
\led_flash_cnt[3687][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3687][4]~79400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3687][4]~q\);

-- Location: LCCOMB_X23_Y22_N26
\WideAnd3687~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3687~0_combout\ = (\led_flash_cnt[3687][3]~q\ & (\led_flash_cnt[3687][4]~q\ & (\led_flash_cnt[3687][1]~q\ & \led_flash_cnt[3687][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3687][3]~q\,
	datab => \led_flash_cnt[3687][4]~q\,
	datac => \led_flash_cnt[3687][1]~q\,
	datad => \led_flash_cnt[3687][2]~q\,
	combout => \WideAnd3687~0_combout\);

-- Location: LCCOMB_X22_Y22_N26
\led_flash_cnt[3687][5]~79402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3687][5]~79402_combout\ = (\led_flash_cnt[3687][5]~q\ & (\led_flash_cnt[3687][4]~79401\ $ (GND))) # (!\led_flash_cnt[3687][5]~q\ & (!\led_flash_cnt[3687][4]~79401\ & VCC))
-- \led_flash_cnt[3687][5]~79403\ = CARRY((\led_flash_cnt[3687][5]~q\ & !\led_flash_cnt[3687][4]~79401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3687][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3687][4]~79401\,
	combout => \led_flash_cnt[3687][5]~79402_combout\,
	cout => \led_flash_cnt[3687][5]~79403\);

-- Location: FF_X22_Y22_N27
\led_flash_cnt[3687][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3687][5]~79402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3687][5]~q\);

-- Location: LCCOMB_X22_Y22_N28
\led_flash_cnt[3687][6]~79404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3687][6]~79404_combout\ = (\led_flash_cnt[3687][6]~q\ & (!\led_flash_cnt[3687][5]~79403\)) # (!\led_flash_cnt[3687][6]~q\ & ((\led_flash_cnt[3687][5]~79403\) # (GND)))
-- \led_flash_cnt[3687][6]~79405\ = CARRY((!\led_flash_cnt[3687][5]~79403\) # (!\led_flash_cnt[3687][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3687][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3687][5]~79403\,
	combout => \led_flash_cnt[3687][6]~79404_combout\,
	cout => \led_flash_cnt[3687][6]~79405\);

-- Location: FF_X22_Y22_N29
\led_flash_cnt[3687][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3687][6]~79404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3687][6]~q\);

-- Location: LCCOMB_X22_Y22_N30
\led_flash_cnt[3687][7]~79406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3687][7]~79406_combout\ = \led_flash_cnt[3687][7]~q\ $ (!\led_flash_cnt[3687][6]~79405\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3687][7]~q\,
	cin => \led_flash_cnt[3687][6]~79405\,
	combout => \led_flash_cnt[3687][7]~79406_combout\);

-- Location: FF_X22_Y22_N31
\led_flash_cnt[3687][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3687][7]~79406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3687][7]~q\);

-- Location: LCCOMB_X23_Y22_N30
\WideAnd3687~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3687~1_combout\ = (\led_flash_cnt[3687][5]~q\ & \led_flash_cnt[3687][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3687][5]~q\,
	datad => \led_flash_cnt[3687][6]~q\,
	combout => \WideAnd3687~1_combout\);

-- Location: LCCOMB_X23_Y22_N8
WideAnd3687 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3687~combout\ = (\WideAnd3687~0_combout\ & (\led_flash_cnt[3687][7]~q\ & (\WideAnd3687~1_combout\ & \led_flash_cnt[3687][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3687~0_combout\,
	datab => \led_flash_cnt[3687][7]~q\,
	datac => \WideAnd3687~1_combout\,
	datad => \led_flash_cnt[3687][0]~q\,
	combout => \WideAnd3687~combout\);

-- Location: FF_X23_Y22_N9
\led_flash_cnt_ands[3687]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3687~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3687));

-- Location: LCCOMB_X27_Y22_N20
WideAnd4300 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4300~combout\ = (led_flash_cnt_ands(3686) & (\WideAnd4300~0_combout\ & (\WideAnd4300~1_combout\ & led_flash_cnt_ands(3687))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3686),
	datab => \WideAnd4300~0_combout\,
	datac => \WideAnd4300~1_combout\,
	datad => led_flash_cnt_ands(3687),
	combout => \WideAnd4300~combout\);

-- Location: FF_X27_Y22_N21
\led_flash_cnt_ands_1[460]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4300~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(460));

-- Location: LCCOMB_X27_Y15_N30
\WideAnd4377~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4377~1_combout\ = (led_flash_cnt_ands_1(461) & led_flash_cnt_ands_1(460))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(461),
	datad => led_flash_cnt_ands_1(460),
	combout => \WideAnd4377~1_combout\);

-- Location: LCCOMB_X41_Y11_N2
\led_flash_cnt[3703][0]~84407\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3703][0]~84407_combout\ = !\led_flash_cnt[3703][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3703][0]~q\,
	combout => \led_flash_cnt[3703][0]~84407_combout\);

-- Location: FF_X41_Y11_N3
\led_flash_cnt[3703][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3703][0]~84407_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3703][0]~q\);

-- Location: LCCOMB_X40_Y11_N16
\led_flash_cnt[3703][1]~79618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3703][1]~79618_combout\ = (\led_flash_cnt[3703][0]~q\ & (\led_flash_cnt[3703][1]~q\ $ (VCC))) # (!\led_flash_cnt[3703][0]~q\ & (\led_flash_cnt[3703][1]~q\ & VCC))
-- \led_flash_cnt[3703][1]~79619\ = CARRY((\led_flash_cnt[3703][0]~q\ & \led_flash_cnt[3703][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3703][0]~q\,
	datab => \led_flash_cnt[3703][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3703][1]~79618_combout\,
	cout => \led_flash_cnt[3703][1]~79619\);

-- Location: FF_X40_Y11_N17
\led_flash_cnt[3703][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3703][1]~79618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3703][1]~q\);

-- Location: LCCOMB_X40_Y11_N18
\led_flash_cnt[3703][2]~79620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3703][2]~79620_combout\ = (\led_flash_cnt[3703][2]~q\ & (!\led_flash_cnt[3703][1]~79619\)) # (!\led_flash_cnt[3703][2]~q\ & ((\led_flash_cnt[3703][1]~79619\) # (GND)))
-- \led_flash_cnt[3703][2]~79621\ = CARRY((!\led_flash_cnt[3703][1]~79619\) # (!\led_flash_cnt[3703][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3703][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3703][1]~79619\,
	combout => \led_flash_cnt[3703][2]~79620_combout\,
	cout => \led_flash_cnt[3703][2]~79621\);

-- Location: FF_X40_Y11_N19
\led_flash_cnt[3703][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3703][2]~79620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3703][2]~q\);

-- Location: LCCOMB_X40_Y11_N20
\led_flash_cnt[3703][3]~79622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3703][3]~79622_combout\ = (\led_flash_cnt[3703][3]~q\ & (\led_flash_cnt[3703][2]~79621\ $ (GND))) # (!\led_flash_cnt[3703][3]~q\ & (!\led_flash_cnt[3703][2]~79621\ & VCC))
-- \led_flash_cnt[3703][3]~79623\ = CARRY((\led_flash_cnt[3703][3]~q\ & !\led_flash_cnt[3703][2]~79621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3703][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3703][2]~79621\,
	combout => \led_flash_cnt[3703][3]~79622_combout\,
	cout => \led_flash_cnt[3703][3]~79623\);

-- Location: FF_X40_Y11_N21
\led_flash_cnt[3703][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3703][3]~79622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3703][3]~q\);

-- Location: LCCOMB_X40_Y11_N22
\led_flash_cnt[3703][4]~79624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3703][4]~79624_combout\ = (\led_flash_cnt[3703][4]~q\ & (!\led_flash_cnt[3703][3]~79623\)) # (!\led_flash_cnt[3703][4]~q\ & ((\led_flash_cnt[3703][3]~79623\) # (GND)))
-- \led_flash_cnt[3703][4]~79625\ = CARRY((!\led_flash_cnt[3703][3]~79623\) # (!\led_flash_cnt[3703][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3703][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3703][3]~79623\,
	combout => \led_flash_cnt[3703][4]~79624_combout\,
	cout => \led_flash_cnt[3703][4]~79625\);

-- Location: FF_X40_Y11_N23
\led_flash_cnt[3703][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3703][4]~79624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3703][4]~q\);

-- Location: LCCOMB_X40_Y11_N14
\WideAnd3703~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3703~0_combout\ = (\led_flash_cnt[3703][1]~q\ & (\led_flash_cnt[3703][2]~q\ & (\led_flash_cnt[3703][4]~q\ & \led_flash_cnt[3703][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3703][1]~q\,
	datab => \led_flash_cnt[3703][2]~q\,
	datac => \led_flash_cnt[3703][4]~q\,
	datad => \led_flash_cnt[3703][3]~q\,
	combout => \WideAnd3703~0_combout\);

-- Location: LCCOMB_X40_Y11_N24
\led_flash_cnt[3703][5]~79626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3703][5]~79626_combout\ = (\led_flash_cnt[3703][5]~q\ & (\led_flash_cnt[3703][4]~79625\ $ (GND))) # (!\led_flash_cnt[3703][5]~q\ & (!\led_flash_cnt[3703][4]~79625\ & VCC))
-- \led_flash_cnt[3703][5]~79627\ = CARRY((\led_flash_cnt[3703][5]~q\ & !\led_flash_cnt[3703][4]~79625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3703][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3703][4]~79625\,
	combout => \led_flash_cnt[3703][5]~79626_combout\,
	cout => \led_flash_cnt[3703][5]~79627\);

-- Location: FF_X40_Y11_N25
\led_flash_cnt[3703][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3703][5]~79626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3703][5]~q\);

-- Location: LCCOMB_X40_Y11_N26
\led_flash_cnt[3703][6]~79628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3703][6]~79628_combout\ = (\led_flash_cnt[3703][6]~q\ & (!\led_flash_cnt[3703][5]~79627\)) # (!\led_flash_cnt[3703][6]~q\ & ((\led_flash_cnt[3703][5]~79627\) # (GND)))
-- \led_flash_cnt[3703][6]~79629\ = CARRY((!\led_flash_cnt[3703][5]~79627\) # (!\led_flash_cnt[3703][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3703][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3703][5]~79627\,
	combout => \led_flash_cnt[3703][6]~79628_combout\,
	cout => \led_flash_cnt[3703][6]~79629\);

-- Location: FF_X40_Y11_N27
\led_flash_cnt[3703][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3703][6]~79628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3703][6]~q\);

-- Location: LCCOMB_X40_Y11_N28
\led_flash_cnt[3703][7]~79630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3703][7]~79630_combout\ = \led_flash_cnt[3703][6]~79629\ $ (!\led_flash_cnt[3703][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3703][7]~q\,
	cin => \led_flash_cnt[3703][6]~79629\,
	combout => \led_flash_cnt[3703][7]~79630_combout\);

-- Location: FF_X40_Y11_N29
\led_flash_cnt[3703][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3703][7]~79630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3703][7]~q\);

-- Location: LCCOMB_X41_Y11_N8
\WideAnd3703~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3703~1_combout\ = (\led_flash_cnt[3703][6]~q\ & \led_flash_cnt[3703][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3703][6]~q\,
	datad => \led_flash_cnt[3703][5]~q\,
	combout => \WideAnd3703~1_combout\);

-- Location: LCCOMB_X41_Y11_N26
WideAnd3703 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3703~combout\ = (\WideAnd3703~0_combout\ & (\led_flash_cnt[3703][7]~q\ & (\WideAnd3703~1_combout\ & \led_flash_cnt[3703][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3703~0_combout\,
	datab => \led_flash_cnt[3703][7]~q\,
	datac => \WideAnd3703~1_combout\,
	datad => \led_flash_cnt[3703][0]~q\,
	combout => \WideAnd3703~combout\);

-- Location: FF_X41_Y11_N27
\led_flash_cnt_ands[3703]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3703~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3703));

-- Location: LCCOMB_X44_Y23_N12
\led_flash_cnt[3702][0]~84406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3702][0]~84406_combout\ = !\led_flash_cnt[3702][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3702][0]~q\,
	combout => \led_flash_cnt[3702][0]~84406_combout\);

-- Location: FF_X44_Y23_N13
\led_flash_cnt[3702][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3702][0]~84406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3702][0]~q\);

-- Location: LCCOMB_X44_Y23_N16
\led_flash_cnt[3702][1]~79604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3702][1]~79604_combout\ = (\led_flash_cnt[3702][0]~q\ & (\led_flash_cnt[3702][1]~q\ $ (VCC))) # (!\led_flash_cnt[3702][0]~q\ & (\led_flash_cnt[3702][1]~q\ & VCC))
-- \led_flash_cnt[3702][1]~79605\ = CARRY((\led_flash_cnt[3702][0]~q\ & \led_flash_cnt[3702][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3702][0]~q\,
	datab => \led_flash_cnt[3702][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3702][1]~79604_combout\,
	cout => \led_flash_cnt[3702][1]~79605\);

-- Location: FF_X44_Y23_N17
\led_flash_cnt[3702][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3702][1]~79604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3702][1]~q\);

-- Location: LCCOMB_X44_Y23_N18
\led_flash_cnt[3702][2]~79606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3702][2]~79606_combout\ = (\led_flash_cnt[3702][2]~q\ & (!\led_flash_cnt[3702][1]~79605\)) # (!\led_flash_cnt[3702][2]~q\ & ((\led_flash_cnt[3702][1]~79605\) # (GND)))
-- \led_flash_cnt[3702][2]~79607\ = CARRY((!\led_flash_cnt[3702][1]~79605\) # (!\led_flash_cnt[3702][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3702][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3702][1]~79605\,
	combout => \led_flash_cnt[3702][2]~79606_combout\,
	cout => \led_flash_cnt[3702][2]~79607\);

-- Location: FF_X44_Y23_N19
\led_flash_cnt[3702][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3702][2]~79606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3702][2]~q\);

-- Location: LCCOMB_X44_Y23_N20
\led_flash_cnt[3702][3]~79608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3702][3]~79608_combout\ = (\led_flash_cnt[3702][3]~q\ & (\led_flash_cnt[3702][2]~79607\ $ (GND))) # (!\led_flash_cnt[3702][3]~q\ & (!\led_flash_cnt[3702][2]~79607\ & VCC))
-- \led_flash_cnt[3702][3]~79609\ = CARRY((\led_flash_cnt[3702][3]~q\ & !\led_flash_cnt[3702][2]~79607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3702][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3702][2]~79607\,
	combout => \led_flash_cnt[3702][3]~79608_combout\,
	cout => \led_flash_cnt[3702][3]~79609\);

-- Location: FF_X44_Y23_N21
\led_flash_cnt[3702][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3702][3]~79608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3702][3]~q\);

-- Location: LCCOMB_X44_Y23_N22
\led_flash_cnt[3702][4]~79610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3702][4]~79610_combout\ = (\led_flash_cnt[3702][4]~q\ & (!\led_flash_cnt[3702][3]~79609\)) # (!\led_flash_cnt[3702][4]~q\ & ((\led_flash_cnt[3702][3]~79609\) # (GND)))
-- \led_flash_cnt[3702][4]~79611\ = CARRY((!\led_flash_cnt[3702][3]~79609\) # (!\led_flash_cnt[3702][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3702][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3702][3]~79609\,
	combout => \led_flash_cnt[3702][4]~79610_combout\,
	cout => \led_flash_cnt[3702][4]~79611\);

-- Location: FF_X44_Y23_N23
\led_flash_cnt[3702][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3702][4]~79610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3702][4]~q\);

-- Location: LCCOMB_X44_Y23_N24
\led_flash_cnt[3702][5]~79612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3702][5]~79612_combout\ = (\led_flash_cnt[3702][5]~q\ & (\led_flash_cnt[3702][4]~79611\ $ (GND))) # (!\led_flash_cnt[3702][5]~q\ & (!\led_flash_cnt[3702][4]~79611\ & VCC))
-- \led_flash_cnt[3702][5]~79613\ = CARRY((\led_flash_cnt[3702][5]~q\ & !\led_flash_cnt[3702][4]~79611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3702][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3702][4]~79611\,
	combout => \led_flash_cnt[3702][5]~79612_combout\,
	cout => \led_flash_cnt[3702][5]~79613\);

-- Location: FF_X44_Y23_N25
\led_flash_cnt[3702][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3702][5]~79612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3702][5]~q\);

-- Location: LCCOMB_X44_Y23_N26
\led_flash_cnt[3702][6]~79614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3702][6]~79614_combout\ = (\led_flash_cnt[3702][6]~q\ & (!\led_flash_cnt[3702][5]~79613\)) # (!\led_flash_cnt[3702][6]~q\ & ((\led_flash_cnt[3702][5]~79613\) # (GND)))
-- \led_flash_cnt[3702][6]~79615\ = CARRY((!\led_flash_cnt[3702][5]~79613\) # (!\led_flash_cnt[3702][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3702][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3702][5]~79613\,
	combout => \led_flash_cnt[3702][6]~79614_combout\,
	cout => \led_flash_cnt[3702][6]~79615\);

-- Location: FF_X44_Y23_N27
\led_flash_cnt[3702][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3702][6]~79614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3702][6]~q\);

-- Location: LCCOMB_X44_Y23_N28
\led_flash_cnt[3702][7]~79616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3702][7]~79616_combout\ = \led_flash_cnt[3702][6]~79615\ $ (!\led_flash_cnt[3702][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3702][7]~q\,
	cin => \led_flash_cnt[3702][6]~79615\,
	combout => \led_flash_cnt[3702][7]~79616_combout\);

-- Location: FF_X44_Y23_N29
\led_flash_cnt[3702][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3702][7]~79616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3702][7]~q\);

-- Location: LCCOMB_X44_Y23_N30
\WideAnd3702~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3702~1_combout\ = (\led_flash_cnt[3702][6]~q\ & \led_flash_cnt[3702][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3702][6]~q\,
	datad => \led_flash_cnt[3702][5]~q\,
	combout => \WideAnd3702~1_combout\);

-- Location: LCCOMB_X44_Y23_N0
\WideAnd3702~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3702~0_combout\ = (\led_flash_cnt[3702][1]~q\ & (\led_flash_cnt[3702][2]~q\ & (\led_flash_cnt[3702][4]~q\ & \led_flash_cnt[3702][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3702][1]~q\,
	datab => \led_flash_cnt[3702][2]~q\,
	datac => \led_flash_cnt[3702][4]~q\,
	datad => \led_flash_cnt[3702][3]~q\,
	combout => \WideAnd3702~0_combout\);

-- Location: LCCOMB_X44_Y23_N14
WideAnd3702 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3702~combout\ = (\led_flash_cnt[3702][0]~q\ & (\led_flash_cnt[3702][7]~q\ & (\WideAnd3702~1_combout\ & \WideAnd3702~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3702][0]~q\,
	datab => \led_flash_cnt[3702][7]~q\,
	datac => \WideAnd3702~1_combout\,
	datad => \WideAnd3702~0_combout\,
	combout => \WideAnd3702~combout\);

-- Location: FF_X44_Y23_N15
\led_flash_cnt_ands[3702]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3702~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3702));

-- Location: LCCOMB_X38_Y12_N18
\led_flash_cnt[3696][0]~84400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3696][0]~84400_combout\ = !\led_flash_cnt[3696][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3696][0]~q\,
	combout => \led_flash_cnt[3696][0]~84400_combout\);

-- Location: FF_X38_Y12_N19
\led_flash_cnt[3696][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3696][0]~84400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3696][0]~q\);

-- Location: LCCOMB_X37_Y12_N18
\led_flash_cnt[3696][1]~79520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3696][1]~79520_combout\ = (\led_flash_cnt[3696][1]~q\ & (\led_flash_cnt[3696][0]~q\ $ (VCC))) # (!\led_flash_cnt[3696][1]~q\ & (\led_flash_cnt[3696][0]~q\ & VCC))
-- \led_flash_cnt[3696][1]~79521\ = CARRY((\led_flash_cnt[3696][1]~q\ & \led_flash_cnt[3696][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3696][1]~q\,
	datab => \led_flash_cnt[3696][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3696][1]~79520_combout\,
	cout => \led_flash_cnt[3696][1]~79521\);

-- Location: FF_X37_Y12_N19
\led_flash_cnt[3696][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3696][1]~79520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3696][1]~q\);

-- Location: LCCOMB_X37_Y12_N20
\led_flash_cnt[3696][2]~79522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3696][2]~79522_combout\ = (\led_flash_cnt[3696][2]~q\ & (!\led_flash_cnt[3696][1]~79521\)) # (!\led_flash_cnt[3696][2]~q\ & ((\led_flash_cnt[3696][1]~79521\) # (GND)))
-- \led_flash_cnt[3696][2]~79523\ = CARRY((!\led_flash_cnt[3696][1]~79521\) # (!\led_flash_cnt[3696][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3696][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3696][1]~79521\,
	combout => \led_flash_cnt[3696][2]~79522_combout\,
	cout => \led_flash_cnt[3696][2]~79523\);

-- Location: FF_X37_Y12_N21
\led_flash_cnt[3696][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3696][2]~79522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3696][2]~q\);

-- Location: LCCOMB_X37_Y12_N22
\led_flash_cnt[3696][3]~79524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3696][3]~79524_combout\ = (\led_flash_cnt[3696][3]~q\ & (\led_flash_cnt[3696][2]~79523\ $ (GND))) # (!\led_flash_cnt[3696][3]~q\ & (!\led_flash_cnt[3696][2]~79523\ & VCC))
-- \led_flash_cnt[3696][3]~79525\ = CARRY((\led_flash_cnt[3696][3]~q\ & !\led_flash_cnt[3696][2]~79523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3696][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3696][2]~79523\,
	combout => \led_flash_cnt[3696][3]~79524_combout\,
	cout => \led_flash_cnt[3696][3]~79525\);

-- Location: FF_X37_Y12_N23
\led_flash_cnt[3696][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3696][3]~79524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3696][3]~q\);

-- Location: LCCOMB_X37_Y12_N24
\led_flash_cnt[3696][4]~79526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3696][4]~79526_combout\ = (\led_flash_cnt[3696][4]~q\ & (!\led_flash_cnt[3696][3]~79525\)) # (!\led_flash_cnt[3696][4]~q\ & ((\led_flash_cnt[3696][3]~79525\) # (GND)))
-- \led_flash_cnt[3696][4]~79527\ = CARRY((!\led_flash_cnt[3696][3]~79525\) # (!\led_flash_cnt[3696][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3696][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3696][3]~79525\,
	combout => \led_flash_cnt[3696][4]~79526_combout\,
	cout => \led_flash_cnt[3696][4]~79527\);

-- Location: FF_X37_Y12_N25
\led_flash_cnt[3696][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3696][4]~79526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3696][4]~q\);

-- Location: LCCOMB_X37_Y12_N14
\WideAnd3696~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3696~0_combout\ = (\led_flash_cnt[3696][1]~q\ & (\led_flash_cnt[3696][2]~q\ & (\led_flash_cnt[3696][3]~q\ & \led_flash_cnt[3696][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3696][1]~q\,
	datab => \led_flash_cnt[3696][2]~q\,
	datac => \led_flash_cnt[3696][3]~q\,
	datad => \led_flash_cnt[3696][4]~q\,
	combout => \WideAnd3696~0_combout\);

-- Location: LCCOMB_X37_Y12_N26
\led_flash_cnt[3696][5]~79528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3696][5]~79528_combout\ = (\led_flash_cnt[3696][5]~q\ & (\led_flash_cnt[3696][4]~79527\ $ (GND))) # (!\led_flash_cnt[3696][5]~q\ & (!\led_flash_cnt[3696][4]~79527\ & VCC))
-- \led_flash_cnt[3696][5]~79529\ = CARRY((\led_flash_cnt[3696][5]~q\ & !\led_flash_cnt[3696][4]~79527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3696][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3696][4]~79527\,
	combout => \led_flash_cnt[3696][5]~79528_combout\,
	cout => \led_flash_cnt[3696][5]~79529\);

-- Location: FF_X37_Y12_N27
\led_flash_cnt[3696][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3696][5]~79528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3696][5]~q\);

-- Location: LCCOMB_X37_Y12_N28
\led_flash_cnt[3696][6]~79530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3696][6]~79530_combout\ = (\led_flash_cnt[3696][6]~q\ & (!\led_flash_cnt[3696][5]~79529\)) # (!\led_flash_cnt[3696][6]~q\ & ((\led_flash_cnt[3696][5]~79529\) # (GND)))
-- \led_flash_cnt[3696][6]~79531\ = CARRY((!\led_flash_cnt[3696][5]~79529\) # (!\led_flash_cnt[3696][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3696][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3696][5]~79529\,
	combout => \led_flash_cnt[3696][6]~79530_combout\,
	cout => \led_flash_cnt[3696][6]~79531\);

-- Location: FF_X37_Y12_N29
\led_flash_cnt[3696][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3696][6]~79530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3696][6]~q\);

-- Location: LCCOMB_X37_Y12_N30
\led_flash_cnt[3696][7]~79532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3696][7]~79532_combout\ = \led_flash_cnt[3696][7]~q\ $ (!\led_flash_cnt[3696][6]~79531\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3696][7]~q\,
	cin => \led_flash_cnt[3696][6]~79531\,
	combout => \led_flash_cnt[3696][7]~79532_combout\);

-- Location: FF_X37_Y12_N31
\led_flash_cnt[3696][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3696][7]~79532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3696][7]~q\);

-- Location: LCCOMB_X38_Y12_N14
\WideAnd3696~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3696~1_combout\ = (\led_flash_cnt[3696][5]~q\ & \led_flash_cnt[3696][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3696][5]~q\,
	datad => \led_flash_cnt[3696][6]~q\,
	combout => \WideAnd3696~1_combout\);

-- Location: LCCOMB_X38_Y12_N16
WideAnd3696 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3696~combout\ = (\WideAnd3696~0_combout\ & (\led_flash_cnt[3696][7]~q\ & (\WideAnd3696~1_combout\ & \led_flash_cnt[3696][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3696~0_combout\,
	datab => \led_flash_cnt[3696][7]~q\,
	datac => \WideAnd3696~1_combout\,
	datad => \led_flash_cnt[3696][0]~q\,
	combout => \WideAnd3696~combout\);

-- Location: FF_X38_Y12_N17
\led_flash_cnt_ands[3696]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3696~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3696));

-- Location: LCCOMB_X41_Y12_N0
\led_flash_cnt[3699][0]~84403\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3699][0]~84403_combout\ = !\led_flash_cnt[3699][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3699][0]~q\,
	combout => \led_flash_cnt[3699][0]~84403_combout\);

-- Location: FF_X41_Y12_N1
\led_flash_cnt[3699][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3699][0]~84403_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3699][0]~q\);

-- Location: LCCOMB_X41_Y13_N16
\led_flash_cnt[3699][1]~79562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3699][1]~79562_combout\ = (\led_flash_cnt[3699][0]~q\ & (\led_flash_cnt[3699][1]~q\ $ (VCC))) # (!\led_flash_cnt[3699][0]~q\ & (\led_flash_cnt[3699][1]~q\ & VCC))
-- \led_flash_cnt[3699][1]~79563\ = CARRY((\led_flash_cnt[3699][0]~q\ & \led_flash_cnt[3699][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3699][0]~q\,
	datab => \led_flash_cnt[3699][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3699][1]~79562_combout\,
	cout => \led_flash_cnt[3699][1]~79563\);

-- Location: FF_X41_Y13_N17
\led_flash_cnt[3699][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3699][1]~79562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3699][1]~q\);

-- Location: LCCOMB_X41_Y13_N18
\led_flash_cnt[3699][2]~79564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3699][2]~79564_combout\ = (\led_flash_cnt[3699][2]~q\ & (!\led_flash_cnt[3699][1]~79563\)) # (!\led_flash_cnt[3699][2]~q\ & ((\led_flash_cnt[3699][1]~79563\) # (GND)))
-- \led_flash_cnt[3699][2]~79565\ = CARRY((!\led_flash_cnt[3699][1]~79563\) # (!\led_flash_cnt[3699][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3699][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3699][1]~79563\,
	combout => \led_flash_cnt[3699][2]~79564_combout\,
	cout => \led_flash_cnt[3699][2]~79565\);

-- Location: FF_X41_Y13_N19
\led_flash_cnt[3699][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3699][2]~79564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3699][2]~q\);

-- Location: LCCOMB_X41_Y13_N20
\led_flash_cnt[3699][3]~79566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3699][3]~79566_combout\ = (\led_flash_cnt[3699][3]~q\ & (\led_flash_cnt[3699][2]~79565\ $ (GND))) # (!\led_flash_cnt[3699][3]~q\ & (!\led_flash_cnt[3699][2]~79565\ & VCC))
-- \led_flash_cnt[3699][3]~79567\ = CARRY((\led_flash_cnt[3699][3]~q\ & !\led_flash_cnt[3699][2]~79565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3699][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3699][2]~79565\,
	combout => \led_flash_cnt[3699][3]~79566_combout\,
	cout => \led_flash_cnt[3699][3]~79567\);

-- Location: FF_X41_Y13_N21
\led_flash_cnt[3699][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3699][3]~79566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3699][3]~q\);

-- Location: LCCOMB_X41_Y13_N22
\led_flash_cnt[3699][4]~79568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3699][4]~79568_combout\ = (\led_flash_cnt[3699][4]~q\ & (!\led_flash_cnt[3699][3]~79567\)) # (!\led_flash_cnt[3699][4]~q\ & ((\led_flash_cnt[3699][3]~79567\) # (GND)))
-- \led_flash_cnt[3699][4]~79569\ = CARRY((!\led_flash_cnt[3699][3]~79567\) # (!\led_flash_cnt[3699][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3699][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3699][3]~79567\,
	combout => \led_flash_cnt[3699][4]~79568_combout\,
	cout => \led_flash_cnt[3699][4]~79569\);

-- Location: FF_X41_Y13_N23
\led_flash_cnt[3699][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3699][4]~79568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3699][4]~q\);

-- Location: LCCOMB_X41_Y13_N24
\led_flash_cnt[3699][5]~79570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3699][5]~79570_combout\ = (\led_flash_cnt[3699][5]~q\ & (\led_flash_cnt[3699][4]~79569\ $ (GND))) # (!\led_flash_cnt[3699][5]~q\ & (!\led_flash_cnt[3699][4]~79569\ & VCC))
-- \led_flash_cnt[3699][5]~79571\ = CARRY((\led_flash_cnt[3699][5]~q\ & !\led_flash_cnt[3699][4]~79569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3699][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3699][4]~79569\,
	combout => \led_flash_cnt[3699][5]~79570_combout\,
	cout => \led_flash_cnt[3699][5]~79571\);

-- Location: FF_X41_Y13_N25
\led_flash_cnt[3699][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3699][5]~79570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3699][5]~q\);

-- Location: LCCOMB_X41_Y13_N26
\led_flash_cnt[3699][6]~79572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3699][6]~79572_combout\ = (\led_flash_cnt[3699][6]~q\ & (!\led_flash_cnt[3699][5]~79571\)) # (!\led_flash_cnt[3699][6]~q\ & ((\led_flash_cnt[3699][5]~79571\) # (GND)))
-- \led_flash_cnt[3699][6]~79573\ = CARRY((!\led_flash_cnt[3699][5]~79571\) # (!\led_flash_cnt[3699][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3699][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3699][5]~79571\,
	combout => \led_flash_cnt[3699][6]~79572_combout\,
	cout => \led_flash_cnt[3699][6]~79573\);

-- Location: FF_X41_Y13_N27
\led_flash_cnt[3699][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3699][6]~79572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3699][6]~q\);

-- Location: LCCOMB_X41_Y13_N28
\led_flash_cnt[3699][7]~79574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3699][7]~79574_combout\ = \led_flash_cnt[3699][6]~79573\ $ (!\led_flash_cnt[3699][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3699][7]~q\,
	cin => \led_flash_cnt[3699][6]~79573\,
	combout => \led_flash_cnt[3699][7]~79574_combout\);

-- Location: FF_X41_Y13_N29
\led_flash_cnt[3699][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3699][7]~79574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3699][7]~q\);

-- Location: LCCOMB_X41_Y16_N28
\WideAnd3699~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3699~1_combout\ = (\led_flash_cnt[3699][6]~q\ & \led_flash_cnt[3699][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3699][6]~q\,
	datad => \led_flash_cnt[3699][5]~q\,
	combout => \WideAnd3699~1_combout\);

-- Location: LCCOMB_X42_Y13_N30
\WideAnd3699~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3699~0_combout\ = (\led_flash_cnt[3699][4]~q\ & (\led_flash_cnt[3699][3]~q\ & (\led_flash_cnt[3699][1]~q\ & \led_flash_cnt[3699][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3699][4]~q\,
	datab => \led_flash_cnt[3699][3]~q\,
	datac => \led_flash_cnt[3699][1]~q\,
	datad => \led_flash_cnt[3699][2]~q\,
	combout => \WideAnd3699~0_combout\);

-- Location: LCCOMB_X41_Y12_N28
WideAnd3699 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3699~combout\ = (\led_flash_cnt[3699][7]~q\ & (\WideAnd3699~1_combout\ & (\WideAnd3699~0_combout\ & \led_flash_cnt[3699][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3699][7]~q\,
	datab => \WideAnd3699~1_combout\,
	datac => \WideAnd3699~0_combout\,
	datad => \led_flash_cnt[3699][0]~q\,
	combout => \WideAnd3699~combout\);

-- Location: FF_X41_Y12_N29
\led_flash_cnt_ands[3699]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3699~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3699));

-- Location: LCCOMB_X38_Y12_N28
\led_flash_cnt[3697][0]~84401\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3697][0]~84401_combout\ = !\led_flash_cnt[3697][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3697][0]~q\,
	combout => \led_flash_cnt[3697][0]~84401_combout\);

-- Location: FF_X38_Y12_N29
\led_flash_cnt[3697][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3697][0]~84401_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3697][0]~q\);

-- Location: LCCOMB_X37_Y12_N0
\led_flash_cnt[3697][1]~79534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3697][1]~79534_combout\ = (\led_flash_cnt[3697][0]~q\ & (\led_flash_cnt[3697][1]~q\ $ (VCC))) # (!\led_flash_cnt[3697][0]~q\ & (\led_flash_cnt[3697][1]~q\ & VCC))
-- \led_flash_cnt[3697][1]~79535\ = CARRY((\led_flash_cnt[3697][0]~q\ & \led_flash_cnt[3697][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3697][0]~q\,
	datab => \led_flash_cnt[3697][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3697][1]~79534_combout\,
	cout => \led_flash_cnt[3697][1]~79535\);

-- Location: FF_X37_Y12_N1
\led_flash_cnt[3697][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3697][1]~79534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3697][1]~q\);

-- Location: LCCOMB_X37_Y12_N2
\led_flash_cnt[3697][2]~79536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3697][2]~79536_combout\ = (\led_flash_cnt[3697][2]~q\ & (!\led_flash_cnt[3697][1]~79535\)) # (!\led_flash_cnt[3697][2]~q\ & ((\led_flash_cnt[3697][1]~79535\) # (GND)))
-- \led_flash_cnt[3697][2]~79537\ = CARRY((!\led_flash_cnt[3697][1]~79535\) # (!\led_flash_cnt[3697][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3697][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3697][1]~79535\,
	combout => \led_flash_cnt[3697][2]~79536_combout\,
	cout => \led_flash_cnt[3697][2]~79537\);

-- Location: FF_X37_Y12_N3
\led_flash_cnt[3697][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3697][2]~79536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3697][2]~q\);

-- Location: LCCOMB_X37_Y12_N4
\led_flash_cnt[3697][3]~79538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3697][3]~79538_combout\ = (\led_flash_cnt[3697][3]~q\ & (\led_flash_cnt[3697][2]~79537\ $ (GND))) # (!\led_flash_cnt[3697][3]~q\ & (!\led_flash_cnt[3697][2]~79537\ & VCC))
-- \led_flash_cnt[3697][3]~79539\ = CARRY((\led_flash_cnt[3697][3]~q\ & !\led_flash_cnt[3697][2]~79537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3697][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3697][2]~79537\,
	combout => \led_flash_cnt[3697][3]~79538_combout\,
	cout => \led_flash_cnt[3697][3]~79539\);

-- Location: FF_X37_Y12_N5
\led_flash_cnt[3697][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3697][3]~79538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3697][3]~q\);

-- Location: LCCOMB_X37_Y12_N6
\led_flash_cnt[3697][4]~79540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3697][4]~79540_combout\ = (\led_flash_cnt[3697][4]~q\ & (!\led_flash_cnt[3697][3]~79539\)) # (!\led_flash_cnt[3697][4]~q\ & ((\led_flash_cnt[3697][3]~79539\) # (GND)))
-- \led_flash_cnt[3697][4]~79541\ = CARRY((!\led_flash_cnt[3697][3]~79539\) # (!\led_flash_cnt[3697][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3697][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3697][3]~79539\,
	combout => \led_flash_cnt[3697][4]~79540_combout\,
	cout => \led_flash_cnt[3697][4]~79541\);

-- Location: FF_X37_Y12_N7
\led_flash_cnt[3697][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3697][4]~79540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3697][4]~q\);

-- Location: LCCOMB_X37_Y12_N8
\led_flash_cnt[3697][5]~79542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3697][5]~79542_combout\ = (\led_flash_cnt[3697][5]~q\ & (\led_flash_cnt[3697][4]~79541\ $ (GND))) # (!\led_flash_cnt[3697][5]~q\ & (!\led_flash_cnt[3697][4]~79541\ & VCC))
-- \led_flash_cnt[3697][5]~79543\ = CARRY((\led_flash_cnt[3697][5]~q\ & !\led_flash_cnt[3697][4]~79541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3697][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3697][4]~79541\,
	combout => \led_flash_cnt[3697][5]~79542_combout\,
	cout => \led_flash_cnt[3697][5]~79543\);

-- Location: FF_X37_Y12_N9
\led_flash_cnt[3697][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3697][5]~79542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3697][5]~q\);

-- Location: LCCOMB_X37_Y12_N10
\led_flash_cnt[3697][6]~79544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3697][6]~79544_combout\ = (\led_flash_cnt[3697][6]~q\ & (!\led_flash_cnt[3697][5]~79543\)) # (!\led_flash_cnt[3697][6]~q\ & ((\led_flash_cnt[3697][5]~79543\) # (GND)))
-- \led_flash_cnt[3697][6]~79545\ = CARRY((!\led_flash_cnt[3697][5]~79543\) # (!\led_flash_cnt[3697][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3697][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3697][5]~79543\,
	combout => \led_flash_cnt[3697][6]~79544_combout\,
	cout => \led_flash_cnt[3697][6]~79545\);

-- Location: FF_X37_Y12_N11
\led_flash_cnt[3697][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3697][6]~79544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3697][6]~q\);

-- Location: LCCOMB_X37_Y12_N12
\led_flash_cnt[3697][7]~79546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3697][7]~79546_combout\ = \led_flash_cnt[3697][6]~79545\ $ (!\led_flash_cnt[3697][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3697][7]~q\,
	cin => \led_flash_cnt[3697][6]~79545\,
	combout => \led_flash_cnt[3697][7]~79546_combout\);

-- Location: FF_X37_Y12_N13
\led_flash_cnt[3697][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3697][7]~79546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3697][7]~q\);

-- Location: LCCOMB_X38_Y12_N20
\WideAnd3697~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3697~1_combout\ = (\led_flash_cnt[3697][6]~q\ & \led_flash_cnt[3697][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3697][6]~q\,
	datad => \led_flash_cnt[3697][5]~q\,
	combout => \WideAnd3697~1_combout\);

-- Location: LCCOMB_X37_Y12_N16
\WideAnd3697~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3697~0_combout\ = (\led_flash_cnt[3697][4]~q\ & (\led_flash_cnt[3697][1]~q\ & (\led_flash_cnt[3697][3]~q\ & \led_flash_cnt[3697][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3697][4]~q\,
	datab => \led_flash_cnt[3697][1]~q\,
	datac => \led_flash_cnt[3697][3]~q\,
	datad => \led_flash_cnt[3697][2]~q\,
	combout => \WideAnd3697~0_combout\);

-- Location: LCCOMB_X38_Y12_N22
WideAnd3697 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3697~combout\ = (\led_flash_cnt[3697][7]~q\ & (\WideAnd3697~1_combout\ & (\WideAnd3697~0_combout\ & \led_flash_cnt[3697][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3697][7]~q\,
	datab => \WideAnd3697~1_combout\,
	datac => \WideAnd3697~0_combout\,
	datad => \led_flash_cnt[3697][0]~q\,
	combout => \WideAnd3697~combout\);

-- Location: FF_X38_Y12_N23
\led_flash_cnt_ands[3697]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3697~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3697));

-- Location: LCCOMB_X41_Y12_N22
\led_flash_cnt[3698][0]~84402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3698][0]~84402_combout\ = !\led_flash_cnt[3698][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3698][0]~q\,
	combout => \led_flash_cnt[3698][0]~84402_combout\);

-- Location: FF_X41_Y12_N23
\led_flash_cnt[3698][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3698][0]~84402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3698][0]~q\);

-- Location: LCCOMB_X41_Y12_N4
\led_flash_cnt[3698][1]~79548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3698][1]~79548_combout\ = (\led_flash_cnt[3698][0]~q\ & (\led_flash_cnt[3698][1]~q\ $ (VCC))) # (!\led_flash_cnt[3698][0]~q\ & (\led_flash_cnt[3698][1]~q\ & VCC))
-- \led_flash_cnt[3698][1]~79549\ = CARRY((\led_flash_cnt[3698][0]~q\ & \led_flash_cnt[3698][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3698][0]~q\,
	datab => \led_flash_cnt[3698][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3698][1]~79548_combout\,
	cout => \led_flash_cnt[3698][1]~79549\);

-- Location: FF_X41_Y12_N5
\led_flash_cnt[3698][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3698][1]~79548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3698][1]~q\);

-- Location: LCCOMB_X41_Y12_N6
\led_flash_cnt[3698][2]~79550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3698][2]~79550_combout\ = (\led_flash_cnt[3698][2]~q\ & (!\led_flash_cnt[3698][1]~79549\)) # (!\led_flash_cnt[3698][2]~q\ & ((\led_flash_cnt[3698][1]~79549\) # (GND)))
-- \led_flash_cnt[3698][2]~79551\ = CARRY((!\led_flash_cnt[3698][1]~79549\) # (!\led_flash_cnt[3698][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3698][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3698][1]~79549\,
	combout => \led_flash_cnt[3698][2]~79550_combout\,
	cout => \led_flash_cnt[3698][2]~79551\);

-- Location: FF_X41_Y12_N7
\led_flash_cnt[3698][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3698][2]~79550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3698][2]~q\);

-- Location: LCCOMB_X41_Y12_N8
\led_flash_cnt[3698][3]~79552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3698][3]~79552_combout\ = (\led_flash_cnt[3698][3]~q\ & (\led_flash_cnt[3698][2]~79551\ $ (GND))) # (!\led_flash_cnt[3698][3]~q\ & (!\led_flash_cnt[3698][2]~79551\ & VCC))
-- \led_flash_cnt[3698][3]~79553\ = CARRY((\led_flash_cnt[3698][3]~q\ & !\led_flash_cnt[3698][2]~79551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3698][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3698][2]~79551\,
	combout => \led_flash_cnt[3698][3]~79552_combout\,
	cout => \led_flash_cnt[3698][3]~79553\);

-- Location: FF_X41_Y12_N9
\led_flash_cnt[3698][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3698][3]~79552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3698][3]~q\);

-- Location: LCCOMB_X41_Y12_N10
\led_flash_cnt[3698][4]~79554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3698][4]~79554_combout\ = (\led_flash_cnt[3698][4]~q\ & (!\led_flash_cnt[3698][3]~79553\)) # (!\led_flash_cnt[3698][4]~q\ & ((\led_flash_cnt[3698][3]~79553\) # (GND)))
-- \led_flash_cnt[3698][4]~79555\ = CARRY((!\led_flash_cnt[3698][3]~79553\) # (!\led_flash_cnt[3698][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3698][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3698][3]~79553\,
	combout => \led_flash_cnt[3698][4]~79554_combout\,
	cout => \led_flash_cnt[3698][4]~79555\);

-- Location: FF_X41_Y12_N11
\led_flash_cnt[3698][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3698][4]~79554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3698][4]~q\);

-- Location: LCCOMB_X41_Y12_N26
\WideAnd3698~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3698~0_combout\ = (\led_flash_cnt[3698][4]~q\ & (\led_flash_cnt[3698][1]~q\ & (\led_flash_cnt[3698][3]~q\ & \led_flash_cnt[3698][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3698][4]~q\,
	datab => \led_flash_cnt[3698][1]~q\,
	datac => \led_flash_cnt[3698][3]~q\,
	datad => \led_flash_cnt[3698][2]~q\,
	combout => \WideAnd3698~0_combout\);

-- Location: LCCOMB_X41_Y12_N12
\led_flash_cnt[3698][5]~79556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3698][5]~79556_combout\ = (\led_flash_cnt[3698][5]~q\ & (\led_flash_cnt[3698][4]~79555\ $ (GND))) # (!\led_flash_cnt[3698][5]~q\ & (!\led_flash_cnt[3698][4]~79555\ & VCC))
-- \led_flash_cnt[3698][5]~79557\ = CARRY((\led_flash_cnt[3698][5]~q\ & !\led_flash_cnt[3698][4]~79555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3698][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3698][4]~79555\,
	combout => \led_flash_cnt[3698][5]~79556_combout\,
	cout => \led_flash_cnt[3698][5]~79557\);

-- Location: FF_X41_Y12_N13
\led_flash_cnt[3698][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3698][5]~79556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3698][5]~q\);

-- Location: LCCOMB_X41_Y12_N14
\led_flash_cnt[3698][6]~79558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3698][6]~79558_combout\ = (\led_flash_cnt[3698][6]~q\ & (!\led_flash_cnt[3698][5]~79557\)) # (!\led_flash_cnt[3698][6]~q\ & ((\led_flash_cnt[3698][5]~79557\) # (GND)))
-- \led_flash_cnt[3698][6]~79559\ = CARRY((!\led_flash_cnt[3698][5]~79557\) # (!\led_flash_cnt[3698][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3698][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3698][5]~79557\,
	combout => \led_flash_cnt[3698][6]~79558_combout\,
	cout => \led_flash_cnt[3698][6]~79559\);

-- Location: FF_X41_Y12_N15
\led_flash_cnt[3698][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3698][6]~79558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3698][6]~q\);

-- Location: LCCOMB_X41_Y12_N20
\WideAnd3698~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3698~1_combout\ = (\led_flash_cnt[3698][6]~q\ & \led_flash_cnt[3698][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3698][6]~q\,
	datad => \led_flash_cnt[3698][5]~q\,
	combout => \WideAnd3698~1_combout\);

-- Location: LCCOMB_X41_Y12_N16
\led_flash_cnt[3698][7]~79560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3698][7]~79560_combout\ = \led_flash_cnt[3698][6]~79559\ $ (!\led_flash_cnt[3698][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3698][7]~q\,
	cin => \led_flash_cnt[3698][6]~79559\,
	combout => \led_flash_cnt[3698][7]~79560_combout\);

-- Location: FF_X41_Y12_N17
\led_flash_cnt[3698][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3698][7]~79560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3698][7]~q\);

-- Location: LCCOMB_X41_Y12_N18
WideAnd3698 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3698~combout\ = (\WideAnd3698~0_combout\ & (\WideAnd3698~1_combout\ & (\led_flash_cnt[3698][0]~q\ & \led_flash_cnt[3698][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3698~0_combout\,
	datab => \WideAnd3698~1_combout\,
	datac => \led_flash_cnt[3698][0]~q\,
	datad => \led_flash_cnt[3698][7]~q\,
	combout => \WideAnd3698~combout\);

-- Location: FF_X41_Y12_N19
\led_flash_cnt_ands[3698]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3698~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3698));

-- Location: LCCOMB_X41_Y12_N30
\WideAnd4302~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4302~0_combout\ = (led_flash_cnt_ands(3696) & (led_flash_cnt_ands(3699) & (led_flash_cnt_ands(3697) & led_flash_cnt_ands(3698))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3696),
	datab => led_flash_cnt_ands(3699),
	datac => led_flash_cnt_ands(3697),
	datad => led_flash_cnt_ands(3698),
	combout => \WideAnd4302~0_combout\);

-- Location: LCCOMB_X57_Y23_N10
\led_flash_cnt[3700][0]~84404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3700][0]~84404_combout\ = !\led_flash_cnt[3700][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3700][0]~q\,
	combout => \led_flash_cnt[3700][0]~84404_combout\);

-- Location: FF_X57_Y23_N11
\led_flash_cnt[3700][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3700][0]~84404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3700][0]~q\);

-- Location: LCCOMB_X58_Y23_N2
\led_flash_cnt[3700][1]~79576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3700][1]~79576_combout\ = (\led_flash_cnt[3700][0]~q\ & (\led_flash_cnt[3700][1]~q\ $ (VCC))) # (!\led_flash_cnt[3700][0]~q\ & (\led_flash_cnt[3700][1]~q\ & VCC))
-- \led_flash_cnt[3700][1]~79577\ = CARRY((\led_flash_cnt[3700][0]~q\ & \led_flash_cnt[3700][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3700][0]~q\,
	datab => \led_flash_cnt[3700][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3700][1]~79576_combout\,
	cout => \led_flash_cnt[3700][1]~79577\);

-- Location: FF_X58_Y23_N3
\led_flash_cnt[3700][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3700][1]~79576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3700][1]~q\);

-- Location: LCCOMB_X58_Y23_N4
\led_flash_cnt[3700][2]~79578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3700][2]~79578_combout\ = (\led_flash_cnt[3700][2]~q\ & (!\led_flash_cnt[3700][1]~79577\)) # (!\led_flash_cnt[3700][2]~q\ & ((\led_flash_cnt[3700][1]~79577\) # (GND)))
-- \led_flash_cnt[3700][2]~79579\ = CARRY((!\led_flash_cnt[3700][1]~79577\) # (!\led_flash_cnt[3700][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3700][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3700][1]~79577\,
	combout => \led_flash_cnt[3700][2]~79578_combout\,
	cout => \led_flash_cnt[3700][2]~79579\);

-- Location: FF_X58_Y23_N5
\led_flash_cnt[3700][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3700][2]~79578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3700][2]~q\);

-- Location: LCCOMB_X58_Y23_N6
\led_flash_cnt[3700][3]~79580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3700][3]~79580_combout\ = (\led_flash_cnt[3700][3]~q\ & (\led_flash_cnt[3700][2]~79579\ $ (GND))) # (!\led_flash_cnt[3700][3]~q\ & (!\led_flash_cnt[3700][2]~79579\ & VCC))
-- \led_flash_cnt[3700][3]~79581\ = CARRY((\led_flash_cnt[3700][3]~q\ & !\led_flash_cnt[3700][2]~79579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3700][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3700][2]~79579\,
	combout => \led_flash_cnt[3700][3]~79580_combout\,
	cout => \led_flash_cnt[3700][3]~79581\);

-- Location: FF_X58_Y23_N7
\led_flash_cnt[3700][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3700][3]~79580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3700][3]~q\);

-- Location: LCCOMB_X58_Y23_N8
\led_flash_cnt[3700][4]~79582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3700][4]~79582_combout\ = (\led_flash_cnt[3700][4]~q\ & (!\led_flash_cnt[3700][3]~79581\)) # (!\led_flash_cnt[3700][4]~q\ & ((\led_flash_cnt[3700][3]~79581\) # (GND)))
-- \led_flash_cnt[3700][4]~79583\ = CARRY((!\led_flash_cnt[3700][3]~79581\) # (!\led_flash_cnt[3700][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3700][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3700][3]~79581\,
	combout => \led_flash_cnt[3700][4]~79582_combout\,
	cout => \led_flash_cnt[3700][4]~79583\);

-- Location: FF_X58_Y23_N9
\led_flash_cnt[3700][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3700][4]~79582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3700][4]~q\);

-- Location: LCCOMB_X58_Y23_N10
\led_flash_cnt[3700][5]~79584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3700][5]~79584_combout\ = (\led_flash_cnt[3700][5]~q\ & (\led_flash_cnt[3700][4]~79583\ $ (GND))) # (!\led_flash_cnt[3700][5]~q\ & (!\led_flash_cnt[3700][4]~79583\ & VCC))
-- \led_flash_cnt[3700][5]~79585\ = CARRY((\led_flash_cnt[3700][5]~q\ & !\led_flash_cnt[3700][4]~79583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3700][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3700][4]~79583\,
	combout => \led_flash_cnt[3700][5]~79584_combout\,
	cout => \led_flash_cnt[3700][5]~79585\);

-- Location: FF_X58_Y23_N11
\led_flash_cnt[3700][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3700][5]~79584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3700][5]~q\);

-- Location: LCCOMB_X58_Y23_N12
\led_flash_cnt[3700][6]~79586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3700][6]~79586_combout\ = (\led_flash_cnt[3700][6]~q\ & (!\led_flash_cnt[3700][5]~79585\)) # (!\led_flash_cnt[3700][6]~q\ & ((\led_flash_cnt[3700][5]~79585\) # (GND)))
-- \led_flash_cnt[3700][6]~79587\ = CARRY((!\led_flash_cnt[3700][5]~79585\) # (!\led_flash_cnt[3700][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3700][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3700][5]~79585\,
	combout => \led_flash_cnt[3700][6]~79586_combout\,
	cout => \led_flash_cnt[3700][6]~79587\);

-- Location: FF_X58_Y23_N13
\led_flash_cnt[3700][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3700][6]~79586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3700][6]~q\);

-- Location: LCCOMB_X57_Y23_N30
\WideAnd3700~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3700~1_combout\ = (\led_flash_cnt[3700][6]~q\ & \led_flash_cnt[3700][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3700][6]~q\,
	datac => \led_flash_cnt[3700][5]~q\,
	combout => \WideAnd3700~1_combout\);

-- Location: LCCOMB_X58_Y23_N0
\WideAnd3700~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3700~0_combout\ = (\led_flash_cnt[3700][3]~q\ & (\led_flash_cnt[3700][4]~q\ & (\led_flash_cnt[3700][2]~q\ & \led_flash_cnt[3700][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3700][3]~q\,
	datab => \led_flash_cnt[3700][4]~q\,
	datac => \led_flash_cnt[3700][2]~q\,
	datad => \led_flash_cnt[3700][1]~q\,
	combout => \WideAnd3700~0_combout\);

-- Location: LCCOMB_X58_Y23_N14
\led_flash_cnt[3700][7]~79588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3700][7]~79588_combout\ = \led_flash_cnt[3700][7]~q\ $ (!\led_flash_cnt[3700][6]~79587\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3700][7]~q\,
	cin => \led_flash_cnt[3700][6]~79587\,
	combout => \led_flash_cnt[3700][7]~79588_combout\);

-- Location: FF_X58_Y23_N15
\led_flash_cnt[3700][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3700][7]~79588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3700][7]~q\);

-- Location: LCCOMB_X57_Y23_N8
WideAnd3700 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3700~combout\ = (\WideAnd3700~1_combout\ & (\WideAnd3700~0_combout\ & (\led_flash_cnt[3700][7]~q\ & \led_flash_cnt[3700][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3700~1_combout\,
	datab => \WideAnd3700~0_combout\,
	datac => \led_flash_cnt[3700][7]~q\,
	datad => \led_flash_cnt[3700][0]~q\,
	combout => \WideAnd3700~combout\);

-- Location: FF_X57_Y23_N9
\led_flash_cnt_ands[3700]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3700~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3700));

-- Location: LCCOMB_X41_Y11_N4
\led_flash_cnt[3701][0]~84405\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3701][0]~84405_combout\ = !\led_flash_cnt[3701][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3701][0]~q\,
	combout => \led_flash_cnt[3701][0]~84405_combout\);

-- Location: FF_X41_Y11_N5
\led_flash_cnt[3701][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3701][0]~84405_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3701][0]~q\);

-- Location: LCCOMB_X41_Y11_N12
\led_flash_cnt[3701][1]~79590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3701][1]~79590_combout\ = (\led_flash_cnt[3701][1]~q\ & (\led_flash_cnt[3701][0]~q\ $ (VCC))) # (!\led_flash_cnt[3701][1]~q\ & (\led_flash_cnt[3701][0]~q\ & VCC))
-- \led_flash_cnt[3701][1]~79591\ = CARRY((\led_flash_cnt[3701][1]~q\ & \led_flash_cnt[3701][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3701][1]~q\,
	datab => \led_flash_cnt[3701][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3701][1]~79590_combout\,
	cout => \led_flash_cnt[3701][1]~79591\);

-- Location: FF_X41_Y11_N13
\led_flash_cnt[3701][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3701][1]~79590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3701][1]~q\);

-- Location: LCCOMB_X41_Y11_N14
\led_flash_cnt[3701][2]~79592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3701][2]~79592_combout\ = (\led_flash_cnt[3701][2]~q\ & (!\led_flash_cnt[3701][1]~79591\)) # (!\led_flash_cnt[3701][2]~q\ & ((\led_flash_cnt[3701][1]~79591\) # (GND)))
-- \led_flash_cnt[3701][2]~79593\ = CARRY((!\led_flash_cnt[3701][1]~79591\) # (!\led_flash_cnt[3701][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3701][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3701][1]~79591\,
	combout => \led_flash_cnt[3701][2]~79592_combout\,
	cout => \led_flash_cnt[3701][2]~79593\);

-- Location: FF_X41_Y11_N15
\led_flash_cnt[3701][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3701][2]~79592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3701][2]~q\);

-- Location: LCCOMB_X41_Y11_N16
\led_flash_cnt[3701][3]~79594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3701][3]~79594_combout\ = (\led_flash_cnt[3701][3]~q\ & (\led_flash_cnt[3701][2]~79593\ $ (GND))) # (!\led_flash_cnt[3701][3]~q\ & (!\led_flash_cnt[3701][2]~79593\ & VCC))
-- \led_flash_cnt[3701][3]~79595\ = CARRY((\led_flash_cnt[3701][3]~q\ & !\led_flash_cnt[3701][2]~79593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3701][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3701][2]~79593\,
	combout => \led_flash_cnt[3701][3]~79594_combout\,
	cout => \led_flash_cnt[3701][3]~79595\);

-- Location: FF_X41_Y11_N17
\led_flash_cnt[3701][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3701][3]~79594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3701][3]~q\);

-- Location: LCCOMB_X41_Y11_N18
\led_flash_cnt[3701][4]~79596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3701][4]~79596_combout\ = (\led_flash_cnt[3701][4]~q\ & (!\led_flash_cnt[3701][3]~79595\)) # (!\led_flash_cnt[3701][4]~q\ & ((\led_flash_cnt[3701][3]~79595\) # (GND)))
-- \led_flash_cnt[3701][4]~79597\ = CARRY((!\led_flash_cnt[3701][3]~79595\) # (!\led_flash_cnt[3701][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3701][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3701][3]~79595\,
	combout => \led_flash_cnt[3701][4]~79596_combout\,
	cout => \led_flash_cnt[3701][4]~79597\);

-- Location: FF_X41_Y11_N19
\led_flash_cnt[3701][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3701][4]~79596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3701][4]~q\);

-- Location: LCCOMB_X41_Y11_N20
\led_flash_cnt[3701][5]~79598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3701][5]~79598_combout\ = (\led_flash_cnt[3701][5]~q\ & (\led_flash_cnt[3701][4]~79597\ $ (GND))) # (!\led_flash_cnt[3701][5]~q\ & (!\led_flash_cnt[3701][4]~79597\ & VCC))
-- \led_flash_cnt[3701][5]~79599\ = CARRY((\led_flash_cnt[3701][5]~q\ & !\led_flash_cnt[3701][4]~79597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3701][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3701][4]~79597\,
	combout => \led_flash_cnt[3701][5]~79598_combout\,
	cout => \led_flash_cnt[3701][5]~79599\);

-- Location: FF_X41_Y11_N21
\led_flash_cnt[3701][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3701][5]~79598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3701][5]~q\);

-- Location: LCCOMB_X41_Y11_N22
\led_flash_cnt[3701][6]~79600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3701][6]~79600_combout\ = (\led_flash_cnt[3701][6]~q\ & (!\led_flash_cnt[3701][5]~79599\)) # (!\led_flash_cnt[3701][6]~q\ & ((\led_flash_cnt[3701][5]~79599\) # (GND)))
-- \led_flash_cnt[3701][6]~79601\ = CARRY((!\led_flash_cnt[3701][5]~79599\) # (!\led_flash_cnt[3701][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3701][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3701][5]~79599\,
	combout => \led_flash_cnt[3701][6]~79600_combout\,
	cout => \led_flash_cnt[3701][6]~79601\);

-- Location: FF_X41_Y11_N23
\led_flash_cnt[3701][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3701][6]~79600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3701][6]~q\);

-- Location: LCCOMB_X41_Y11_N30
\WideAnd3701~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3701~1_combout\ = (\led_flash_cnt[3701][6]~q\ & \led_flash_cnt[3701][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3701][6]~q\,
	datad => \led_flash_cnt[3701][5]~q\,
	combout => \WideAnd3701~1_combout\);

-- Location: LCCOMB_X41_Y11_N24
\led_flash_cnt[3701][7]~79602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3701][7]~79602_combout\ = \led_flash_cnt[3701][6]~79601\ $ (!\led_flash_cnt[3701][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3701][7]~q\,
	cin => \led_flash_cnt[3701][6]~79601\,
	combout => \led_flash_cnt[3701][7]~79602_combout\);

-- Location: FF_X41_Y11_N25
\led_flash_cnt[3701][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3701][7]~79602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3701][7]~q\);

-- Location: LCCOMB_X41_Y11_N28
\WideAnd3701~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3701~0_combout\ = (\led_flash_cnt[3701][1]~q\ & (\led_flash_cnt[3701][3]~q\ & (\led_flash_cnt[3701][2]~q\ & \led_flash_cnt[3701][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3701][1]~q\,
	datab => \led_flash_cnt[3701][3]~q\,
	datac => \led_flash_cnt[3701][2]~q\,
	datad => \led_flash_cnt[3701][4]~q\,
	combout => \WideAnd3701~0_combout\);

-- Location: LCCOMB_X41_Y11_N0
WideAnd3701 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3701~combout\ = (\WideAnd3701~1_combout\ & (\led_flash_cnt[3701][7]~q\ & (\led_flash_cnt[3701][0]~q\ & \WideAnd3701~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3701~1_combout\,
	datab => \led_flash_cnt[3701][7]~q\,
	datac => \led_flash_cnt[3701][0]~q\,
	datad => \WideAnd3701~0_combout\,
	combout => \WideAnd3701~combout\);

-- Location: FF_X41_Y11_N1
\led_flash_cnt_ands[3701]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3701~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3701));

-- Location: LCCOMB_X41_Y11_N10
\WideAnd4302~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4302~1_combout\ = (led_flash_cnt_ands(3700) & led_flash_cnt_ands(3701))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3700),
	datad => led_flash_cnt_ands(3701),
	combout => \WideAnd4302~1_combout\);

-- Location: LCCOMB_X41_Y11_N6
WideAnd4302 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4302~combout\ = (led_flash_cnt_ands(3703) & (led_flash_cnt_ands(3702) & (\WideAnd4302~0_combout\ & \WideAnd4302~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3703),
	datab => led_flash_cnt_ands(3702),
	datac => \WideAnd4302~0_combout\,
	datad => \WideAnd4302~1_combout\,
	combout => \WideAnd4302~combout\);

-- Location: FF_X41_Y11_N7
\led_flash_cnt_ands_1[462]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4302~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(462));

-- Location: LCCOMB_X30_Y13_N22
\led_flash_cnt[3710][0]~84414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3710][0]~84414_combout\ = !\led_flash_cnt[3710][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3710][0]~q\,
	combout => \led_flash_cnt[3710][0]~84414_combout\);

-- Location: FF_X30_Y13_N23
\led_flash_cnt[3710][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3710][0]~84414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3710][0]~q\);

-- Location: LCCOMB_X25_Y13_N16
\led_flash_cnt[3710][1]~79716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3710][1]~79716_combout\ = (\led_flash_cnt[3710][0]~q\ & (\led_flash_cnt[3710][1]~q\ $ (VCC))) # (!\led_flash_cnt[3710][0]~q\ & (\led_flash_cnt[3710][1]~q\ & VCC))
-- \led_flash_cnt[3710][1]~79717\ = CARRY((\led_flash_cnt[3710][0]~q\ & \led_flash_cnt[3710][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3710][0]~q\,
	datab => \led_flash_cnt[3710][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3710][1]~79716_combout\,
	cout => \led_flash_cnt[3710][1]~79717\);

-- Location: FF_X25_Y13_N17
\led_flash_cnt[3710][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3710][1]~79716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3710][1]~q\);

-- Location: LCCOMB_X25_Y13_N18
\led_flash_cnt[3710][2]~79718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3710][2]~79718_combout\ = (\led_flash_cnt[3710][2]~q\ & (!\led_flash_cnt[3710][1]~79717\)) # (!\led_flash_cnt[3710][2]~q\ & ((\led_flash_cnt[3710][1]~79717\) # (GND)))
-- \led_flash_cnt[3710][2]~79719\ = CARRY((!\led_flash_cnt[3710][1]~79717\) # (!\led_flash_cnt[3710][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3710][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3710][1]~79717\,
	combout => \led_flash_cnt[3710][2]~79718_combout\,
	cout => \led_flash_cnt[3710][2]~79719\);

-- Location: FF_X25_Y13_N19
\led_flash_cnt[3710][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3710][2]~79718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3710][2]~q\);

-- Location: LCCOMB_X25_Y13_N20
\led_flash_cnt[3710][3]~79720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3710][3]~79720_combout\ = (\led_flash_cnt[3710][3]~q\ & (\led_flash_cnt[3710][2]~79719\ $ (GND))) # (!\led_flash_cnt[3710][3]~q\ & (!\led_flash_cnt[3710][2]~79719\ & VCC))
-- \led_flash_cnt[3710][3]~79721\ = CARRY((\led_flash_cnt[3710][3]~q\ & !\led_flash_cnt[3710][2]~79719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3710][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3710][2]~79719\,
	combout => \led_flash_cnt[3710][3]~79720_combout\,
	cout => \led_flash_cnt[3710][3]~79721\);

-- Location: FF_X25_Y13_N21
\led_flash_cnt[3710][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3710][3]~79720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3710][3]~q\);

-- Location: LCCOMB_X25_Y13_N22
\led_flash_cnt[3710][4]~79722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3710][4]~79722_combout\ = (\led_flash_cnt[3710][4]~q\ & (!\led_flash_cnt[3710][3]~79721\)) # (!\led_flash_cnt[3710][4]~q\ & ((\led_flash_cnt[3710][3]~79721\) # (GND)))
-- \led_flash_cnt[3710][4]~79723\ = CARRY((!\led_flash_cnt[3710][3]~79721\) # (!\led_flash_cnt[3710][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3710][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3710][3]~79721\,
	combout => \led_flash_cnt[3710][4]~79722_combout\,
	cout => \led_flash_cnt[3710][4]~79723\);

-- Location: FF_X25_Y13_N23
\led_flash_cnt[3710][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3710][4]~79722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3710][4]~q\);

-- Location: LCCOMB_X25_Y13_N24
\led_flash_cnt[3710][5]~79724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3710][5]~79724_combout\ = (\led_flash_cnt[3710][5]~q\ & (\led_flash_cnt[3710][4]~79723\ $ (GND))) # (!\led_flash_cnt[3710][5]~q\ & (!\led_flash_cnt[3710][4]~79723\ & VCC))
-- \led_flash_cnt[3710][5]~79725\ = CARRY((\led_flash_cnt[3710][5]~q\ & !\led_flash_cnt[3710][4]~79723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3710][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3710][4]~79723\,
	combout => \led_flash_cnt[3710][5]~79724_combout\,
	cout => \led_flash_cnt[3710][5]~79725\);

-- Location: FF_X25_Y13_N25
\led_flash_cnt[3710][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3710][5]~79724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3710][5]~q\);

-- Location: LCCOMB_X25_Y13_N26
\led_flash_cnt[3710][6]~79726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3710][6]~79726_combout\ = (\led_flash_cnt[3710][6]~q\ & (!\led_flash_cnt[3710][5]~79725\)) # (!\led_flash_cnt[3710][6]~q\ & ((\led_flash_cnt[3710][5]~79725\) # (GND)))
-- \led_flash_cnt[3710][6]~79727\ = CARRY((!\led_flash_cnt[3710][5]~79725\) # (!\led_flash_cnt[3710][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3710][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3710][5]~79725\,
	combout => \led_flash_cnt[3710][6]~79726_combout\,
	cout => \led_flash_cnt[3710][6]~79727\);

-- Location: FF_X25_Y13_N27
\led_flash_cnt[3710][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3710][6]~79726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3710][6]~q\);

-- Location: LCCOMB_X24_Y13_N30
\WideAnd3710~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3710~1_combout\ = (\led_flash_cnt[3710][5]~q\ & \led_flash_cnt[3710][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3710][5]~q\,
	datad => \led_flash_cnt[3710][6]~q\,
	combout => \WideAnd3710~1_combout\);

-- Location: LCCOMB_X24_Y13_N4
\WideAnd3710~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3710~0_combout\ = (\led_flash_cnt[3710][2]~q\ & (\led_flash_cnt[3710][4]~q\ & (\led_flash_cnt[3710][3]~q\ & \led_flash_cnt[3710][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3710][2]~q\,
	datab => \led_flash_cnt[3710][4]~q\,
	datac => \led_flash_cnt[3710][3]~q\,
	datad => \led_flash_cnt[3710][1]~q\,
	combout => \WideAnd3710~0_combout\);

-- Location: LCCOMB_X25_Y13_N28
\led_flash_cnt[3710][7]~79728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3710][7]~79728_combout\ = \led_flash_cnt[3710][6]~79727\ $ (!\led_flash_cnt[3710][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3710][7]~q\,
	cin => \led_flash_cnt[3710][6]~79727\,
	combout => \led_flash_cnt[3710][7]~79728_combout\);

-- Location: FF_X25_Y13_N29
\led_flash_cnt[3710][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3710][7]~79728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3710][7]~q\);

-- Location: LCCOMB_X24_Y13_N6
WideAnd3710 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3710~combout\ = (\WideAnd3710~1_combout\ & (\led_flash_cnt[3710][0]~q\ & (\WideAnd3710~0_combout\ & \led_flash_cnt[3710][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3710~1_combout\,
	datab => \led_flash_cnt[3710][0]~q\,
	datac => \WideAnd3710~0_combout\,
	datad => \led_flash_cnt[3710][7]~q\,
	combout => \WideAnd3710~combout\);

-- Location: FF_X24_Y13_N7
\led_flash_cnt_ands[3710]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3710~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3710));

-- Location: LCCOMB_X26_Y15_N0
\led_flash_cnt[3711][0]~84415\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3711][0]~84415_combout\ = !\led_flash_cnt[3711][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3711][0]~q\,
	combout => \led_flash_cnt[3711][0]~84415_combout\);

-- Location: FF_X26_Y15_N1
\led_flash_cnt[3711][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3711][0]~84415_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3711][0]~q\);

-- Location: LCCOMB_X26_Y17_N0
\led_flash_cnt[3711][1]~79730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3711][1]~79730_combout\ = (\led_flash_cnt[3711][0]~q\ & (\led_flash_cnt[3711][1]~q\ $ (VCC))) # (!\led_flash_cnt[3711][0]~q\ & (\led_flash_cnt[3711][1]~q\ & VCC))
-- \led_flash_cnt[3711][1]~79731\ = CARRY((\led_flash_cnt[3711][0]~q\ & \led_flash_cnt[3711][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3711][0]~q\,
	datab => \led_flash_cnt[3711][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3711][1]~79730_combout\,
	cout => \led_flash_cnt[3711][1]~79731\);

-- Location: FF_X26_Y17_N1
\led_flash_cnt[3711][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3711][1]~79730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3711][1]~q\);

-- Location: LCCOMB_X26_Y17_N2
\led_flash_cnt[3711][2]~79732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3711][2]~79732_combout\ = (\led_flash_cnt[3711][2]~q\ & (!\led_flash_cnt[3711][1]~79731\)) # (!\led_flash_cnt[3711][2]~q\ & ((\led_flash_cnt[3711][1]~79731\) # (GND)))
-- \led_flash_cnt[3711][2]~79733\ = CARRY((!\led_flash_cnt[3711][1]~79731\) # (!\led_flash_cnt[3711][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3711][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3711][1]~79731\,
	combout => \led_flash_cnt[3711][2]~79732_combout\,
	cout => \led_flash_cnt[3711][2]~79733\);

-- Location: FF_X26_Y17_N3
\led_flash_cnt[3711][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3711][2]~79732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3711][2]~q\);

-- Location: LCCOMB_X26_Y17_N4
\led_flash_cnt[3711][3]~79734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3711][3]~79734_combout\ = (\led_flash_cnt[3711][3]~q\ & (\led_flash_cnt[3711][2]~79733\ $ (GND))) # (!\led_flash_cnt[3711][3]~q\ & (!\led_flash_cnt[3711][2]~79733\ & VCC))
-- \led_flash_cnt[3711][3]~79735\ = CARRY((\led_flash_cnt[3711][3]~q\ & !\led_flash_cnt[3711][2]~79733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3711][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3711][2]~79733\,
	combout => \led_flash_cnt[3711][3]~79734_combout\,
	cout => \led_flash_cnt[3711][3]~79735\);

-- Location: FF_X26_Y17_N5
\led_flash_cnt[3711][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3711][3]~79734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3711][3]~q\);

-- Location: LCCOMB_X26_Y17_N6
\led_flash_cnt[3711][4]~79736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3711][4]~79736_combout\ = (\led_flash_cnt[3711][4]~q\ & (!\led_flash_cnt[3711][3]~79735\)) # (!\led_flash_cnt[3711][4]~q\ & ((\led_flash_cnt[3711][3]~79735\) # (GND)))
-- \led_flash_cnt[3711][4]~79737\ = CARRY((!\led_flash_cnt[3711][3]~79735\) # (!\led_flash_cnt[3711][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3711][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3711][3]~79735\,
	combout => \led_flash_cnt[3711][4]~79736_combout\,
	cout => \led_flash_cnt[3711][4]~79737\);

-- Location: FF_X26_Y17_N7
\led_flash_cnt[3711][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3711][4]~79736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3711][4]~q\);

-- Location: LCCOMB_X26_Y17_N30
\WideAnd3711~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3711~0_combout\ = (\led_flash_cnt[3711][4]~q\ & (\led_flash_cnt[3711][2]~q\ & (\led_flash_cnt[3711][3]~q\ & \led_flash_cnt[3711][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3711][4]~q\,
	datab => \led_flash_cnt[3711][2]~q\,
	datac => \led_flash_cnt[3711][3]~q\,
	datad => \led_flash_cnt[3711][1]~q\,
	combout => \WideAnd3711~0_combout\);

-- Location: LCCOMB_X26_Y17_N8
\led_flash_cnt[3711][5]~79738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3711][5]~79738_combout\ = (\led_flash_cnt[3711][5]~q\ & (\led_flash_cnt[3711][4]~79737\ $ (GND))) # (!\led_flash_cnt[3711][5]~q\ & (!\led_flash_cnt[3711][4]~79737\ & VCC))
-- \led_flash_cnt[3711][5]~79739\ = CARRY((\led_flash_cnt[3711][5]~q\ & !\led_flash_cnt[3711][4]~79737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3711][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3711][4]~79737\,
	combout => \led_flash_cnt[3711][5]~79738_combout\,
	cout => \led_flash_cnt[3711][5]~79739\);

-- Location: FF_X26_Y17_N9
\led_flash_cnt[3711][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3711][5]~79738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3711][5]~q\);

-- Location: LCCOMB_X26_Y17_N10
\led_flash_cnt[3711][6]~79740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3711][6]~79740_combout\ = (\led_flash_cnt[3711][6]~q\ & (!\led_flash_cnt[3711][5]~79739\)) # (!\led_flash_cnt[3711][6]~q\ & ((\led_flash_cnt[3711][5]~79739\) # (GND)))
-- \led_flash_cnt[3711][6]~79741\ = CARRY((!\led_flash_cnt[3711][5]~79739\) # (!\led_flash_cnt[3711][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3711][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3711][5]~79739\,
	combout => \led_flash_cnt[3711][6]~79740_combout\,
	cout => \led_flash_cnt[3711][6]~79741\);

-- Location: FF_X26_Y17_N11
\led_flash_cnt[3711][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3711][6]~79740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3711][6]~q\);

-- Location: LCCOMB_X26_Y15_N4
\WideAnd3711~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3711~1_combout\ = (\led_flash_cnt[3711][5]~q\ & \led_flash_cnt[3711][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3711][5]~q\,
	datad => \led_flash_cnt[3711][6]~q\,
	combout => \WideAnd3711~1_combout\);

-- Location: LCCOMB_X26_Y17_N12
\led_flash_cnt[3711][7]~79742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3711][7]~79742_combout\ = \led_flash_cnt[3711][6]~79741\ $ (!\led_flash_cnt[3711][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3711][7]~q\,
	cin => \led_flash_cnt[3711][6]~79741\,
	combout => \led_flash_cnt[3711][7]~79742_combout\);

-- Location: FF_X26_Y17_N13
\led_flash_cnt[3711][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3711][7]~79742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3711][7]~q\);

-- Location: LCCOMB_X26_Y15_N28
WideAnd3711 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3711~combout\ = (\WideAnd3711~0_combout\ & (\led_flash_cnt[3711][0]~q\ & (\WideAnd3711~1_combout\ & \led_flash_cnt[3711][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3711~0_combout\,
	datab => \led_flash_cnt[3711][0]~q\,
	datac => \WideAnd3711~1_combout\,
	datad => \led_flash_cnt[3711][7]~q\,
	combout => \WideAnd3711~combout\);

-- Location: FF_X26_Y15_N29
\led_flash_cnt_ands[3711]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3711~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3711));

-- Location: LCCOMB_X17_Y16_N4
\led_flash_cnt[3704][0]~84408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3704][0]~84408_combout\ = !\led_flash_cnt[3704][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3704][0]~q\,
	combout => \led_flash_cnt[3704][0]~84408_combout\);

-- Location: FF_X17_Y16_N5
\led_flash_cnt[3704][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3704][0]~84408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3704][0]~q\);

-- Location: LCCOMB_X18_Y20_N16
\led_flash_cnt[3704][1]~79632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3704][1]~79632_combout\ = (\led_flash_cnt[3704][0]~q\ & (\led_flash_cnt[3704][1]~q\ $ (VCC))) # (!\led_flash_cnt[3704][0]~q\ & (\led_flash_cnt[3704][1]~q\ & VCC))
-- \led_flash_cnt[3704][1]~79633\ = CARRY((\led_flash_cnt[3704][0]~q\ & \led_flash_cnt[3704][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3704][0]~q\,
	datab => \led_flash_cnt[3704][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3704][1]~79632_combout\,
	cout => \led_flash_cnt[3704][1]~79633\);

-- Location: FF_X18_Y20_N17
\led_flash_cnt[3704][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3704][1]~79632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3704][1]~q\);

-- Location: LCCOMB_X18_Y20_N18
\led_flash_cnt[3704][2]~79634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3704][2]~79634_combout\ = (\led_flash_cnt[3704][2]~q\ & (!\led_flash_cnt[3704][1]~79633\)) # (!\led_flash_cnt[3704][2]~q\ & ((\led_flash_cnt[3704][1]~79633\) # (GND)))
-- \led_flash_cnt[3704][2]~79635\ = CARRY((!\led_flash_cnt[3704][1]~79633\) # (!\led_flash_cnt[3704][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3704][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3704][1]~79633\,
	combout => \led_flash_cnt[3704][2]~79634_combout\,
	cout => \led_flash_cnt[3704][2]~79635\);

-- Location: FF_X18_Y20_N19
\led_flash_cnt[3704][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3704][2]~79634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3704][2]~q\);

-- Location: LCCOMB_X18_Y20_N20
\led_flash_cnt[3704][3]~79636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3704][3]~79636_combout\ = (\led_flash_cnt[3704][3]~q\ & (\led_flash_cnt[3704][2]~79635\ $ (GND))) # (!\led_flash_cnt[3704][3]~q\ & (!\led_flash_cnt[3704][2]~79635\ & VCC))
-- \led_flash_cnt[3704][3]~79637\ = CARRY((\led_flash_cnt[3704][3]~q\ & !\led_flash_cnt[3704][2]~79635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3704][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3704][2]~79635\,
	combout => \led_flash_cnt[3704][3]~79636_combout\,
	cout => \led_flash_cnt[3704][3]~79637\);

-- Location: FF_X18_Y20_N21
\led_flash_cnt[3704][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3704][3]~79636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3704][3]~q\);

-- Location: LCCOMB_X18_Y20_N22
\led_flash_cnt[3704][4]~79638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3704][4]~79638_combout\ = (\led_flash_cnt[3704][4]~q\ & (!\led_flash_cnt[3704][3]~79637\)) # (!\led_flash_cnt[3704][4]~q\ & ((\led_flash_cnt[3704][3]~79637\) # (GND)))
-- \led_flash_cnt[3704][4]~79639\ = CARRY((!\led_flash_cnt[3704][3]~79637\) # (!\led_flash_cnt[3704][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3704][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3704][3]~79637\,
	combout => \led_flash_cnt[3704][4]~79638_combout\,
	cout => \led_flash_cnt[3704][4]~79639\);

-- Location: FF_X18_Y20_N23
\led_flash_cnt[3704][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3704][4]~79638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3704][4]~q\);

-- Location: LCCOMB_X17_Y20_N30
\WideAnd3704~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3704~0_combout\ = (\led_flash_cnt[3704][4]~q\ & (\led_flash_cnt[3704][1]~q\ & (\led_flash_cnt[3704][3]~q\ & \led_flash_cnt[3704][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3704][4]~q\,
	datab => \led_flash_cnt[3704][1]~q\,
	datac => \led_flash_cnt[3704][3]~q\,
	datad => \led_flash_cnt[3704][2]~q\,
	combout => \WideAnd3704~0_combout\);

-- Location: LCCOMB_X18_Y20_N24
\led_flash_cnt[3704][5]~79640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3704][5]~79640_combout\ = (\led_flash_cnt[3704][5]~q\ & (\led_flash_cnt[3704][4]~79639\ $ (GND))) # (!\led_flash_cnt[3704][5]~q\ & (!\led_flash_cnt[3704][4]~79639\ & VCC))
-- \led_flash_cnt[3704][5]~79641\ = CARRY((\led_flash_cnt[3704][5]~q\ & !\led_flash_cnt[3704][4]~79639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3704][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3704][4]~79639\,
	combout => \led_flash_cnt[3704][5]~79640_combout\,
	cout => \led_flash_cnt[3704][5]~79641\);

-- Location: FF_X18_Y20_N25
\led_flash_cnt[3704][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3704][5]~79640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3704][5]~q\);

-- Location: LCCOMB_X18_Y20_N26
\led_flash_cnt[3704][6]~79642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3704][6]~79642_combout\ = (\led_flash_cnt[3704][6]~q\ & (!\led_flash_cnt[3704][5]~79641\)) # (!\led_flash_cnt[3704][6]~q\ & ((\led_flash_cnt[3704][5]~79641\) # (GND)))
-- \led_flash_cnt[3704][6]~79643\ = CARRY((!\led_flash_cnt[3704][5]~79641\) # (!\led_flash_cnt[3704][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3704][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3704][5]~79641\,
	combout => \led_flash_cnt[3704][6]~79642_combout\,
	cout => \led_flash_cnt[3704][6]~79643\);

-- Location: FF_X18_Y20_N27
\led_flash_cnt[3704][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3704][6]~79642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3704][6]~q\);

-- Location: LCCOMB_X18_Y20_N28
\led_flash_cnt[3704][7]~79644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3704][7]~79644_combout\ = \led_flash_cnt[3704][6]~79643\ $ (!\led_flash_cnt[3704][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3704][7]~q\,
	cin => \led_flash_cnt[3704][6]~79643\,
	combout => \led_flash_cnt[3704][7]~79644_combout\);

-- Location: FF_X18_Y20_N29
\led_flash_cnt[3704][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3704][7]~79644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3704][7]~q\);

-- Location: LCCOMB_X17_Y16_N8
\WideAnd3704~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3704~1_combout\ = (\led_flash_cnt[3704][5]~q\ & \led_flash_cnt[3704][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3704][5]~q\,
	datad => \led_flash_cnt[3704][6]~q\,
	combout => \WideAnd3704~1_combout\);

-- Location: LCCOMB_X17_Y16_N10
WideAnd3704 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3704~combout\ = (\WideAnd3704~0_combout\ & (\led_flash_cnt[3704][7]~q\ & (\WideAnd3704~1_combout\ & \led_flash_cnt[3704][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3704~0_combout\,
	datab => \led_flash_cnt[3704][7]~q\,
	datac => \WideAnd3704~1_combout\,
	datad => \led_flash_cnt[3704][0]~q\,
	combout => \WideAnd3704~combout\);

-- Location: FF_X17_Y16_N11
\led_flash_cnt_ands[3704]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3704~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3704));

-- Location: LCCOMB_X16_Y16_N30
\led_flash_cnt[3707][0]~84411\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3707][0]~84411_combout\ = !\led_flash_cnt[3707][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3707][0]~q\,
	combout => \led_flash_cnt[3707][0]~84411_combout\);

-- Location: FF_X16_Y16_N31
\led_flash_cnt[3707][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3707][0]~84411_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3707][0]~q\);

-- Location: LCCOMB_X16_Y16_N8
\led_flash_cnt[3707][1]~79674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3707][1]~79674_combout\ = (\led_flash_cnt[3707][0]~q\ & (\led_flash_cnt[3707][1]~q\ $ (VCC))) # (!\led_flash_cnt[3707][0]~q\ & (\led_flash_cnt[3707][1]~q\ & VCC))
-- \led_flash_cnt[3707][1]~79675\ = CARRY((\led_flash_cnt[3707][0]~q\ & \led_flash_cnt[3707][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3707][0]~q\,
	datab => \led_flash_cnt[3707][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3707][1]~79674_combout\,
	cout => \led_flash_cnt[3707][1]~79675\);

-- Location: FF_X16_Y16_N9
\led_flash_cnt[3707][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3707][1]~79674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3707][1]~q\);

-- Location: LCCOMB_X16_Y16_N10
\led_flash_cnt[3707][2]~79676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3707][2]~79676_combout\ = (\led_flash_cnt[3707][2]~q\ & (!\led_flash_cnt[3707][1]~79675\)) # (!\led_flash_cnt[3707][2]~q\ & ((\led_flash_cnt[3707][1]~79675\) # (GND)))
-- \led_flash_cnt[3707][2]~79677\ = CARRY((!\led_flash_cnt[3707][1]~79675\) # (!\led_flash_cnt[3707][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3707][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3707][1]~79675\,
	combout => \led_flash_cnt[3707][2]~79676_combout\,
	cout => \led_flash_cnt[3707][2]~79677\);

-- Location: FF_X16_Y16_N11
\led_flash_cnt[3707][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3707][2]~79676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3707][2]~q\);

-- Location: LCCOMB_X16_Y16_N12
\led_flash_cnt[3707][3]~79678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3707][3]~79678_combout\ = (\led_flash_cnt[3707][3]~q\ & (\led_flash_cnt[3707][2]~79677\ $ (GND))) # (!\led_flash_cnt[3707][3]~q\ & (!\led_flash_cnt[3707][2]~79677\ & VCC))
-- \led_flash_cnt[3707][3]~79679\ = CARRY((\led_flash_cnt[3707][3]~q\ & !\led_flash_cnt[3707][2]~79677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3707][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3707][2]~79677\,
	combout => \led_flash_cnt[3707][3]~79678_combout\,
	cout => \led_flash_cnt[3707][3]~79679\);

-- Location: FF_X16_Y16_N13
\led_flash_cnt[3707][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3707][3]~79678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3707][3]~q\);

-- Location: LCCOMB_X16_Y16_N14
\led_flash_cnt[3707][4]~79680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3707][4]~79680_combout\ = (\led_flash_cnt[3707][4]~q\ & (!\led_flash_cnt[3707][3]~79679\)) # (!\led_flash_cnt[3707][4]~q\ & ((\led_flash_cnt[3707][3]~79679\) # (GND)))
-- \led_flash_cnt[3707][4]~79681\ = CARRY((!\led_flash_cnt[3707][3]~79679\) # (!\led_flash_cnt[3707][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3707][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3707][3]~79679\,
	combout => \led_flash_cnt[3707][4]~79680_combout\,
	cout => \led_flash_cnt[3707][4]~79681\);

-- Location: FF_X16_Y16_N15
\led_flash_cnt[3707][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3707][4]~79680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3707][4]~q\);

-- Location: LCCOMB_X16_Y16_N22
\WideAnd3707~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3707~0_combout\ = (\led_flash_cnt[3707][3]~q\ & (\led_flash_cnt[3707][4]~q\ & (\led_flash_cnt[3707][1]~q\ & \led_flash_cnt[3707][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3707][3]~q\,
	datab => \led_flash_cnt[3707][4]~q\,
	datac => \led_flash_cnt[3707][1]~q\,
	datad => \led_flash_cnt[3707][2]~q\,
	combout => \WideAnd3707~0_combout\);

-- Location: LCCOMB_X16_Y16_N16
\led_flash_cnt[3707][5]~79682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3707][5]~79682_combout\ = (\led_flash_cnt[3707][5]~q\ & (\led_flash_cnt[3707][4]~79681\ $ (GND))) # (!\led_flash_cnt[3707][5]~q\ & (!\led_flash_cnt[3707][4]~79681\ & VCC))
-- \led_flash_cnt[3707][5]~79683\ = CARRY((\led_flash_cnt[3707][5]~q\ & !\led_flash_cnt[3707][4]~79681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3707][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3707][4]~79681\,
	combout => \led_flash_cnt[3707][5]~79682_combout\,
	cout => \led_flash_cnt[3707][5]~79683\);

-- Location: FF_X16_Y16_N17
\led_flash_cnt[3707][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3707][5]~79682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3707][5]~q\);

-- Location: LCCOMB_X16_Y16_N18
\led_flash_cnt[3707][6]~79684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3707][6]~79684_combout\ = (\led_flash_cnt[3707][6]~q\ & (!\led_flash_cnt[3707][5]~79683\)) # (!\led_flash_cnt[3707][6]~q\ & ((\led_flash_cnt[3707][5]~79683\) # (GND)))
-- \led_flash_cnt[3707][6]~79685\ = CARRY((!\led_flash_cnt[3707][5]~79683\) # (!\led_flash_cnt[3707][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3707][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3707][5]~79683\,
	combout => \led_flash_cnt[3707][6]~79684_combout\,
	cout => \led_flash_cnt[3707][6]~79685\);

-- Location: FF_X16_Y16_N19
\led_flash_cnt[3707][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3707][6]~79684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3707][6]~q\);

-- Location: LCCOMB_X16_Y16_N4
\WideAnd3707~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3707~1_combout\ = (\led_flash_cnt[3707][5]~q\ & \led_flash_cnt[3707][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3707][5]~q\,
	datad => \led_flash_cnt[3707][6]~q\,
	combout => \WideAnd3707~1_combout\);

-- Location: LCCOMB_X16_Y16_N20
\led_flash_cnt[3707][7]~79686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3707][7]~79686_combout\ = \led_flash_cnt[3707][6]~79685\ $ (!\led_flash_cnt[3707][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3707][7]~q\,
	cin => \led_flash_cnt[3707][6]~79685\,
	combout => \led_flash_cnt[3707][7]~79686_combout\);

-- Location: FF_X16_Y16_N21
\led_flash_cnt[3707][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3707][7]~79686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3707][7]~q\);

-- Location: LCCOMB_X16_Y16_N24
WideAnd3707 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3707~combout\ = (\WideAnd3707~0_combout\ & (\WideAnd3707~1_combout\ & (\led_flash_cnt[3707][0]~q\ & \led_flash_cnt[3707][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3707~0_combout\,
	datab => \WideAnd3707~1_combout\,
	datac => \led_flash_cnt[3707][0]~q\,
	datad => \led_flash_cnt[3707][7]~q\,
	combout => \WideAnd3707~combout\);

-- Location: FF_X16_Y16_N25
\led_flash_cnt_ands[3707]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3707~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3707));

-- Location: LCCOMB_X16_Y16_N2
\led_flash_cnt[3706][0]~84410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3706][0]~84410_combout\ = !\led_flash_cnt[3706][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3706][0]~q\,
	combout => \led_flash_cnt[3706][0]~84410_combout\);

-- Location: FF_X16_Y16_N3
\led_flash_cnt[3706][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3706][0]~84410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3706][0]~q\);

-- Location: LCCOMB_X15_Y16_N18
\led_flash_cnt[3706][1]~79660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3706][1]~79660_combout\ = (\led_flash_cnt[3706][0]~q\ & (\led_flash_cnt[3706][1]~q\ $ (VCC))) # (!\led_flash_cnt[3706][0]~q\ & (\led_flash_cnt[3706][1]~q\ & VCC))
-- \led_flash_cnt[3706][1]~79661\ = CARRY((\led_flash_cnt[3706][0]~q\ & \led_flash_cnt[3706][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3706][0]~q\,
	datab => \led_flash_cnt[3706][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3706][1]~79660_combout\,
	cout => \led_flash_cnt[3706][1]~79661\);

-- Location: FF_X15_Y16_N19
\led_flash_cnt[3706][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3706][1]~79660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3706][1]~q\);

-- Location: LCCOMB_X15_Y16_N20
\led_flash_cnt[3706][2]~79662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3706][2]~79662_combout\ = (\led_flash_cnt[3706][2]~q\ & (!\led_flash_cnt[3706][1]~79661\)) # (!\led_flash_cnt[3706][2]~q\ & ((\led_flash_cnt[3706][1]~79661\) # (GND)))
-- \led_flash_cnt[3706][2]~79663\ = CARRY((!\led_flash_cnt[3706][1]~79661\) # (!\led_flash_cnt[3706][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3706][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3706][1]~79661\,
	combout => \led_flash_cnt[3706][2]~79662_combout\,
	cout => \led_flash_cnt[3706][2]~79663\);

-- Location: FF_X15_Y16_N21
\led_flash_cnt[3706][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3706][2]~79662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3706][2]~q\);

-- Location: LCCOMB_X15_Y16_N22
\led_flash_cnt[3706][3]~79664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3706][3]~79664_combout\ = (\led_flash_cnt[3706][3]~q\ & (\led_flash_cnt[3706][2]~79663\ $ (GND))) # (!\led_flash_cnt[3706][3]~q\ & (!\led_flash_cnt[3706][2]~79663\ & VCC))
-- \led_flash_cnt[3706][3]~79665\ = CARRY((\led_flash_cnt[3706][3]~q\ & !\led_flash_cnt[3706][2]~79663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3706][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3706][2]~79663\,
	combout => \led_flash_cnt[3706][3]~79664_combout\,
	cout => \led_flash_cnt[3706][3]~79665\);

-- Location: FF_X15_Y16_N23
\led_flash_cnt[3706][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3706][3]~79664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3706][3]~q\);

-- Location: LCCOMB_X15_Y16_N24
\led_flash_cnt[3706][4]~79666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3706][4]~79666_combout\ = (\led_flash_cnt[3706][4]~q\ & (!\led_flash_cnt[3706][3]~79665\)) # (!\led_flash_cnt[3706][4]~q\ & ((\led_flash_cnt[3706][3]~79665\) # (GND)))
-- \led_flash_cnt[3706][4]~79667\ = CARRY((!\led_flash_cnt[3706][3]~79665\) # (!\led_flash_cnt[3706][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3706][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3706][3]~79665\,
	combout => \led_flash_cnt[3706][4]~79666_combout\,
	cout => \led_flash_cnt[3706][4]~79667\);

-- Location: FF_X15_Y16_N25
\led_flash_cnt[3706][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3706][4]~79666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3706][4]~q\);

-- Location: LCCOMB_X15_Y16_N26
\led_flash_cnt[3706][5]~79668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3706][5]~79668_combout\ = (\led_flash_cnt[3706][5]~q\ & (\led_flash_cnt[3706][4]~79667\ $ (GND))) # (!\led_flash_cnt[3706][5]~q\ & (!\led_flash_cnt[3706][4]~79667\ & VCC))
-- \led_flash_cnt[3706][5]~79669\ = CARRY((\led_flash_cnt[3706][5]~q\ & !\led_flash_cnt[3706][4]~79667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3706][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3706][4]~79667\,
	combout => \led_flash_cnt[3706][5]~79668_combout\,
	cout => \led_flash_cnt[3706][5]~79669\);

-- Location: FF_X15_Y16_N27
\led_flash_cnt[3706][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3706][5]~79668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3706][5]~q\);

-- Location: LCCOMB_X15_Y16_N28
\led_flash_cnt[3706][6]~79670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3706][6]~79670_combout\ = (\led_flash_cnt[3706][6]~q\ & (!\led_flash_cnt[3706][5]~79669\)) # (!\led_flash_cnt[3706][6]~q\ & ((\led_flash_cnt[3706][5]~79669\) # (GND)))
-- \led_flash_cnt[3706][6]~79671\ = CARRY((!\led_flash_cnt[3706][5]~79669\) # (!\led_flash_cnt[3706][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3706][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3706][5]~79669\,
	combout => \led_flash_cnt[3706][6]~79670_combout\,
	cout => \led_flash_cnt[3706][6]~79671\);

-- Location: FF_X15_Y16_N29
\led_flash_cnt[3706][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3706][6]~79670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3706][6]~q\);

-- Location: LCCOMB_X16_Y16_N26
\WideAnd3706~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3706~1_combout\ = (\led_flash_cnt[3706][5]~q\ & \led_flash_cnt[3706][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3706][5]~q\,
	datad => \led_flash_cnt[3706][6]~q\,
	combout => \WideAnd3706~1_combout\);

-- Location: LCCOMB_X15_Y16_N30
\led_flash_cnt[3706][7]~79672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3706][7]~79672_combout\ = \led_flash_cnt[3706][7]~q\ $ (!\led_flash_cnt[3706][6]~79671\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3706][7]~q\,
	cin => \led_flash_cnt[3706][6]~79671\,
	combout => \led_flash_cnt[3706][7]~79672_combout\);

-- Location: FF_X15_Y16_N31
\led_flash_cnt[3706][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3706][7]~79672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3706][7]~q\);

-- Location: LCCOMB_X15_Y16_N0
\WideAnd3706~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3706~0_combout\ = (\led_flash_cnt[3706][2]~q\ & (\led_flash_cnt[3706][1]~q\ & (\led_flash_cnt[3706][3]~q\ & \led_flash_cnt[3706][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3706][2]~q\,
	datab => \led_flash_cnt[3706][1]~q\,
	datac => \led_flash_cnt[3706][3]~q\,
	datad => \led_flash_cnt[3706][4]~q\,
	combout => \WideAnd3706~0_combout\);

-- Location: LCCOMB_X16_Y16_N6
WideAnd3706 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3706~combout\ = (\WideAnd3706~1_combout\ & (\led_flash_cnt[3706][7]~q\ & (\WideAnd3706~0_combout\ & \led_flash_cnt[3706][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3706~1_combout\,
	datab => \led_flash_cnt[3706][7]~q\,
	datac => \WideAnd3706~0_combout\,
	datad => \led_flash_cnt[3706][0]~q\,
	combout => \WideAnd3706~combout\);

-- Location: FF_X16_Y16_N7
\led_flash_cnt_ands[3706]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3706~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3706));

-- Location: LCCOMB_X17_Y16_N12
\led_flash_cnt[3705][0]~84409\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3705][0]~84409_combout\ = !\led_flash_cnt[3705][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3705][0]~q\,
	combout => \led_flash_cnt[3705][0]~84409_combout\);

-- Location: FF_X17_Y16_N13
\led_flash_cnt[3705][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3705][0]~84409_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3705][0]~q\);

-- Location: LCCOMB_X17_Y16_N14
\led_flash_cnt[3705][1]~79646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3705][1]~79646_combout\ = (\led_flash_cnt[3705][0]~q\ & (\led_flash_cnt[3705][1]~q\ $ (VCC))) # (!\led_flash_cnt[3705][0]~q\ & (\led_flash_cnt[3705][1]~q\ & VCC))
-- \led_flash_cnt[3705][1]~79647\ = CARRY((\led_flash_cnt[3705][0]~q\ & \led_flash_cnt[3705][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3705][0]~q\,
	datab => \led_flash_cnt[3705][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3705][1]~79646_combout\,
	cout => \led_flash_cnt[3705][1]~79647\);

-- Location: FF_X17_Y16_N15
\led_flash_cnt[3705][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3705][1]~79646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3705][1]~q\);

-- Location: LCCOMB_X17_Y16_N16
\led_flash_cnt[3705][2]~79648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3705][2]~79648_combout\ = (\led_flash_cnt[3705][2]~q\ & (!\led_flash_cnt[3705][1]~79647\)) # (!\led_flash_cnt[3705][2]~q\ & ((\led_flash_cnt[3705][1]~79647\) # (GND)))
-- \led_flash_cnt[3705][2]~79649\ = CARRY((!\led_flash_cnt[3705][1]~79647\) # (!\led_flash_cnt[3705][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3705][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3705][1]~79647\,
	combout => \led_flash_cnt[3705][2]~79648_combout\,
	cout => \led_flash_cnt[3705][2]~79649\);

-- Location: FF_X17_Y16_N17
\led_flash_cnt[3705][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3705][2]~79648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3705][2]~q\);

-- Location: LCCOMB_X17_Y16_N18
\led_flash_cnt[3705][3]~79650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3705][3]~79650_combout\ = (\led_flash_cnt[3705][3]~q\ & (\led_flash_cnt[3705][2]~79649\ $ (GND))) # (!\led_flash_cnt[3705][3]~q\ & (!\led_flash_cnt[3705][2]~79649\ & VCC))
-- \led_flash_cnt[3705][3]~79651\ = CARRY((\led_flash_cnt[3705][3]~q\ & !\led_flash_cnt[3705][2]~79649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3705][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3705][2]~79649\,
	combout => \led_flash_cnt[3705][3]~79650_combout\,
	cout => \led_flash_cnt[3705][3]~79651\);

-- Location: FF_X17_Y16_N19
\led_flash_cnt[3705][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3705][3]~79650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3705][3]~q\);

-- Location: LCCOMB_X17_Y16_N20
\led_flash_cnt[3705][4]~79652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3705][4]~79652_combout\ = (\led_flash_cnt[3705][4]~q\ & (!\led_flash_cnt[3705][3]~79651\)) # (!\led_flash_cnt[3705][4]~q\ & ((\led_flash_cnt[3705][3]~79651\) # (GND)))
-- \led_flash_cnt[3705][4]~79653\ = CARRY((!\led_flash_cnt[3705][3]~79651\) # (!\led_flash_cnt[3705][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3705][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3705][3]~79651\,
	combout => \led_flash_cnt[3705][4]~79652_combout\,
	cout => \led_flash_cnt[3705][4]~79653\);

-- Location: FF_X17_Y16_N21
\led_flash_cnt[3705][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3705][4]~79652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3705][4]~q\);

-- Location: LCCOMB_X17_Y16_N6
\WideAnd3705~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3705~0_combout\ = (\led_flash_cnt[3705][2]~q\ & (\led_flash_cnt[3705][4]~q\ & (\led_flash_cnt[3705][1]~q\ & \led_flash_cnt[3705][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3705][2]~q\,
	datab => \led_flash_cnt[3705][4]~q\,
	datac => \led_flash_cnt[3705][1]~q\,
	datad => \led_flash_cnt[3705][3]~q\,
	combout => \WideAnd3705~0_combout\);

-- Location: LCCOMB_X17_Y16_N22
\led_flash_cnt[3705][5]~79654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3705][5]~79654_combout\ = (\led_flash_cnt[3705][5]~q\ & (\led_flash_cnt[3705][4]~79653\ $ (GND))) # (!\led_flash_cnt[3705][5]~q\ & (!\led_flash_cnt[3705][4]~79653\ & VCC))
-- \led_flash_cnt[3705][5]~79655\ = CARRY((\led_flash_cnt[3705][5]~q\ & !\led_flash_cnt[3705][4]~79653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3705][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3705][4]~79653\,
	combout => \led_flash_cnt[3705][5]~79654_combout\,
	cout => \led_flash_cnt[3705][5]~79655\);

-- Location: FF_X17_Y16_N23
\led_flash_cnt[3705][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3705][5]~79654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3705][5]~q\);

-- Location: LCCOMB_X17_Y16_N24
\led_flash_cnt[3705][6]~79656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3705][6]~79656_combout\ = (\led_flash_cnt[3705][6]~q\ & (!\led_flash_cnt[3705][5]~79655\)) # (!\led_flash_cnt[3705][6]~q\ & ((\led_flash_cnt[3705][5]~79655\) # (GND)))
-- \led_flash_cnt[3705][6]~79657\ = CARRY((!\led_flash_cnt[3705][5]~79655\) # (!\led_flash_cnt[3705][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3705][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3705][5]~79655\,
	combout => \led_flash_cnt[3705][6]~79656_combout\,
	cout => \led_flash_cnt[3705][6]~79657\);

-- Location: FF_X17_Y16_N25
\led_flash_cnt[3705][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3705][6]~79656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3705][6]~q\);

-- Location: LCCOMB_X17_Y16_N2
\WideAnd3705~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3705~1_combout\ = (\led_flash_cnt[3705][5]~q\ & \led_flash_cnt[3705][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3705][5]~q\,
	datad => \led_flash_cnt[3705][6]~q\,
	combout => \WideAnd3705~1_combout\);

-- Location: LCCOMB_X17_Y16_N26
\led_flash_cnt[3705][7]~79658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3705][7]~79658_combout\ = \led_flash_cnt[3705][7]~q\ $ (!\led_flash_cnt[3705][6]~79657\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3705][7]~q\,
	cin => \led_flash_cnt[3705][6]~79657\,
	combout => \led_flash_cnt[3705][7]~79658_combout\);

-- Location: FF_X17_Y16_N27
\led_flash_cnt[3705][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3705][7]~79658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3705][7]~q\);

-- Location: LCCOMB_X17_Y16_N28
WideAnd3705 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3705~combout\ = (\WideAnd3705~0_combout\ & (\WideAnd3705~1_combout\ & (\led_flash_cnt[3705][7]~q\ & \led_flash_cnt[3705][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3705~0_combout\,
	datab => \WideAnd3705~1_combout\,
	datac => \led_flash_cnt[3705][7]~q\,
	datad => \led_flash_cnt[3705][0]~q\,
	combout => \WideAnd3705~combout\);

-- Location: FF_X17_Y16_N29
\led_flash_cnt_ands[3705]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3705~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3705));

-- Location: LCCOMB_X17_Y16_N30
\WideAnd4303~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4303~0_combout\ = (led_flash_cnt_ands(3704) & (led_flash_cnt_ands(3707) & (led_flash_cnt_ands(3706) & led_flash_cnt_ands(3705))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3704),
	datab => led_flash_cnt_ands(3707),
	datac => led_flash_cnt_ands(3706),
	datad => led_flash_cnt_ands(3705),
	combout => \WideAnd4303~0_combout\);

-- Location: LCCOMB_X24_Y12_N14
\led_flash_cnt[3708][0]~84412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3708][0]~84412_combout\ = !\led_flash_cnt[3708][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3708][0]~q\,
	combout => \led_flash_cnt[3708][0]~84412_combout\);

-- Location: FF_X24_Y12_N15
\led_flash_cnt[3708][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3708][0]~84412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3708][0]~q\);

-- Location: LCCOMB_X23_Y12_N0
\led_flash_cnt[3708][1]~79688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3708][1]~79688_combout\ = (\led_flash_cnt[3708][0]~q\ & (\led_flash_cnt[3708][1]~q\ $ (VCC))) # (!\led_flash_cnt[3708][0]~q\ & (\led_flash_cnt[3708][1]~q\ & VCC))
-- \led_flash_cnt[3708][1]~79689\ = CARRY((\led_flash_cnt[3708][0]~q\ & \led_flash_cnt[3708][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3708][0]~q\,
	datab => \led_flash_cnt[3708][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3708][1]~79688_combout\,
	cout => \led_flash_cnt[3708][1]~79689\);

-- Location: FF_X23_Y12_N1
\led_flash_cnt[3708][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3708][1]~79688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3708][1]~q\);

-- Location: LCCOMB_X23_Y12_N2
\led_flash_cnt[3708][2]~79690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3708][2]~79690_combout\ = (\led_flash_cnt[3708][2]~q\ & (!\led_flash_cnt[3708][1]~79689\)) # (!\led_flash_cnt[3708][2]~q\ & ((\led_flash_cnt[3708][1]~79689\) # (GND)))
-- \led_flash_cnt[3708][2]~79691\ = CARRY((!\led_flash_cnt[3708][1]~79689\) # (!\led_flash_cnt[3708][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3708][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3708][1]~79689\,
	combout => \led_flash_cnt[3708][2]~79690_combout\,
	cout => \led_flash_cnt[3708][2]~79691\);

-- Location: FF_X23_Y12_N3
\led_flash_cnt[3708][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3708][2]~79690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3708][2]~q\);

-- Location: LCCOMB_X23_Y12_N4
\led_flash_cnt[3708][3]~79692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3708][3]~79692_combout\ = (\led_flash_cnt[3708][3]~q\ & (\led_flash_cnt[3708][2]~79691\ $ (GND))) # (!\led_flash_cnt[3708][3]~q\ & (!\led_flash_cnt[3708][2]~79691\ & VCC))
-- \led_flash_cnt[3708][3]~79693\ = CARRY((\led_flash_cnt[3708][3]~q\ & !\led_flash_cnt[3708][2]~79691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3708][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3708][2]~79691\,
	combout => \led_flash_cnt[3708][3]~79692_combout\,
	cout => \led_flash_cnt[3708][3]~79693\);

-- Location: FF_X23_Y12_N5
\led_flash_cnt[3708][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3708][3]~79692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3708][3]~q\);

-- Location: LCCOMB_X23_Y12_N6
\led_flash_cnt[3708][4]~79694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3708][4]~79694_combout\ = (\led_flash_cnt[3708][4]~q\ & (!\led_flash_cnt[3708][3]~79693\)) # (!\led_flash_cnt[3708][4]~q\ & ((\led_flash_cnt[3708][3]~79693\) # (GND)))
-- \led_flash_cnt[3708][4]~79695\ = CARRY((!\led_flash_cnt[3708][3]~79693\) # (!\led_flash_cnt[3708][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3708][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3708][3]~79693\,
	combout => \led_flash_cnt[3708][4]~79694_combout\,
	cout => \led_flash_cnt[3708][4]~79695\);

-- Location: FF_X23_Y12_N7
\led_flash_cnt[3708][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3708][4]~79694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3708][4]~q\);

-- Location: LCCOMB_X23_Y12_N8
\led_flash_cnt[3708][5]~79696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3708][5]~79696_combout\ = (\led_flash_cnt[3708][5]~q\ & (\led_flash_cnt[3708][4]~79695\ $ (GND))) # (!\led_flash_cnt[3708][5]~q\ & (!\led_flash_cnt[3708][4]~79695\ & VCC))
-- \led_flash_cnt[3708][5]~79697\ = CARRY((\led_flash_cnt[3708][5]~q\ & !\led_flash_cnt[3708][4]~79695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3708][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3708][4]~79695\,
	combout => \led_flash_cnt[3708][5]~79696_combout\,
	cout => \led_flash_cnt[3708][5]~79697\);

-- Location: FF_X23_Y12_N9
\led_flash_cnt[3708][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3708][5]~79696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3708][5]~q\);

-- Location: LCCOMB_X23_Y12_N10
\led_flash_cnt[3708][6]~79698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3708][6]~79698_combout\ = (\led_flash_cnt[3708][6]~q\ & (!\led_flash_cnt[3708][5]~79697\)) # (!\led_flash_cnt[3708][6]~q\ & ((\led_flash_cnt[3708][5]~79697\) # (GND)))
-- \led_flash_cnt[3708][6]~79699\ = CARRY((!\led_flash_cnt[3708][5]~79697\) # (!\led_flash_cnt[3708][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3708][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3708][5]~79697\,
	combout => \led_flash_cnt[3708][6]~79698_combout\,
	cout => \led_flash_cnt[3708][6]~79699\);

-- Location: FF_X23_Y12_N11
\led_flash_cnt[3708][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3708][6]~79698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3708][6]~q\);

-- Location: LCCOMB_X23_Y12_N12
\led_flash_cnt[3708][7]~79700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3708][7]~79700_combout\ = \led_flash_cnt[3708][6]~79699\ $ (!\led_flash_cnt[3708][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3708][7]~q\,
	cin => \led_flash_cnt[3708][6]~79699\,
	combout => \led_flash_cnt[3708][7]~79700_combout\);

-- Location: FF_X23_Y12_N13
\led_flash_cnt[3708][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3708][7]~79700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3708][7]~q\);

-- Location: LCCOMB_X24_Y12_N26
\WideAnd3708~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3708~1_combout\ = (\led_flash_cnt[3708][5]~q\ & \led_flash_cnt[3708][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3708][5]~q\,
	datad => \led_flash_cnt[3708][6]~q\,
	combout => \WideAnd3708~1_combout\);

-- Location: LCCOMB_X23_Y12_N14
\WideAnd3708~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3708~0_combout\ = (\led_flash_cnt[3708][4]~q\ & (\led_flash_cnt[3708][1]~q\ & (\led_flash_cnt[3708][3]~q\ & \led_flash_cnt[3708][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3708][4]~q\,
	datab => \led_flash_cnt[3708][1]~q\,
	datac => \led_flash_cnt[3708][3]~q\,
	datad => \led_flash_cnt[3708][2]~q\,
	combout => \WideAnd3708~0_combout\);

-- Location: LCCOMB_X24_Y12_N28
WideAnd3708 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3708~combout\ = (\led_flash_cnt[3708][7]~q\ & (\led_flash_cnt[3708][0]~q\ & (\WideAnd3708~1_combout\ & \WideAnd3708~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3708][7]~q\,
	datab => \led_flash_cnt[3708][0]~q\,
	datac => \WideAnd3708~1_combout\,
	datad => \WideAnd3708~0_combout\,
	combout => \WideAnd3708~combout\);

-- Location: FF_X24_Y12_N29
\led_flash_cnt_ands[3708]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3708~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3708));

-- Location: LCCOMB_X24_Y13_N2
\led_flash_cnt[3709][0]~84413\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3709][0]~84413_combout\ = !\led_flash_cnt[3709][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3709][0]~q\,
	combout => \led_flash_cnt[3709][0]~84413_combout\);

-- Location: FF_X24_Y13_N3
\led_flash_cnt[3709][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3709][0]~84413_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3709][0]~q\);

-- Location: LCCOMB_X24_Y13_N12
\led_flash_cnt[3709][1]~79702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3709][1]~79702_combout\ = (\led_flash_cnt[3709][1]~q\ & (\led_flash_cnt[3709][0]~q\ $ (VCC))) # (!\led_flash_cnt[3709][1]~q\ & (\led_flash_cnt[3709][0]~q\ & VCC))
-- \led_flash_cnt[3709][1]~79703\ = CARRY((\led_flash_cnt[3709][1]~q\ & \led_flash_cnt[3709][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3709][1]~q\,
	datab => \led_flash_cnt[3709][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3709][1]~79702_combout\,
	cout => \led_flash_cnt[3709][1]~79703\);

-- Location: FF_X24_Y13_N13
\led_flash_cnt[3709][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3709][1]~79702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3709][1]~q\);

-- Location: LCCOMB_X24_Y13_N14
\led_flash_cnt[3709][2]~79704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3709][2]~79704_combout\ = (\led_flash_cnt[3709][2]~q\ & (!\led_flash_cnt[3709][1]~79703\)) # (!\led_flash_cnt[3709][2]~q\ & ((\led_flash_cnt[3709][1]~79703\) # (GND)))
-- \led_flash_cnt[3709][2]~79705\ = CARRY((!\led_flash_cnt[3709][1]~79703\) # (!\led_flash_cnt[3709][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3709][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3709][1]~79703\,
	combout => \led_flash_cnt[3709][2]~79704_combout\,
	cout => \led_flash_cnt[3709][2]~79705\);

-- Location: FF_X24_Y13_N15
\led_flash_cnt[3709][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3709][2]~79704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3709][2]~q\);

-- Location: LCCOMB_X24_Y13_N16
\led_flash_cnt[3709][3]~79706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3709][3]~79706_combout\ = (\led_flash_cnt[3709][3]~q\ & (\led_flash_cnt[3709][2]~79705\ $ (GND))) # (!\led_flash_cnt[3709][3]~q\ & (!\led_flash_cnt[3709][2]~79705\ & VCC))
-- \led_flash_cnt[3709][3]~79707\ = CARRY((\led_flash_cnt[3709][3]~q\ & !\led_flash_cnt[3709][2]~79705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3709][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3709][2]~79705\,
	combout => \led_flash_cnt[3709][3]~79706_combout\,
	cout => \led_flash_cnt[3709][3]~79707\);

-- Location: FF_X24_Y13_N17
\led_flash_cnt[3709][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3709][3]~79706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3709][3]~q\);

-- Location: LCCOMB_X24_Y13_N18
\led_flash_cnt[3709][4]~79708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3709][4]~79708_combout\ = (\led_flash_cnt[3709][4]~q\ & (!\led_flash_cnt[3709][3]~79707\)) # (!\led_flash_cnt[3709][4]~q\ & ((\led_flash_cnt[3709][3]~79707\) # (GND)))
-- \led_flash_cnt[3709][4]~79709\ = CARRY((!\led_flash_cnt[3709][3]~79707\) # (!\led_flash_cnt[3709][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3709][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3709][3]~79707\,
	combout => \led_flash_cnt[3709][4]~79708_combout\,
	cout => \led_flash_cnt[3709][4]~79709\);

-- Location: FF_X24_Y13_N19
\led_flash_cnt[3709][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3709][4]~79708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3709][4]~q\);

-- Location: LCCOMB_X24_Y13_N20
\led_flash_cnt[3709][5]~79710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3709][5]~79710_combout\ = (\led_flash_cnt[3709][5]~q\ & (\led_flash_cnt[3709][4]~79709\ $ (GND))) # (!\led_flash_cnt[3709][5]~q\ & (!\led_flash_cnt[3709][4]~79709\ & VCC))
-- \led_flash_cnt[3709][5]~79711\ = CARRY((\led_flash_cnt[3709][5]~q\ & !\led_flash_cnt[3709][4]~79709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3709][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3709][4]~79709\,
	combout => \led_flash_cnt[3709][5]~79710_combout\,
	cout => \led_flash_cnt[3709][5]~79711\);

-- Location: FF_X24_Y13_N21
\led_flash_cnt[3709][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3709][5]~79710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3709][5]~q\);

-- Location: LCCOMB_X24_Y13_N22
\led_flash_cnt[3709][6]~79712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3709][6]~79712_combout\ = (\led_flash_cnt[3709][6]~q\ & (!\led_flash_cnt[3709][5]~79711\)) # (!\led_flash_cnt[3709][6]~q\ & ((\led_flash_cnt[3709][5]~79711\) # (GND)))
-- \led_flash_cnt[3709][6]~79713\ = CARRY((!\led_flash_cnt[3709][5]~79711\) # (!\led_flash_cnt[3709][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3709][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3709][5]~79711\,
	combout => \led_flash_cnt[3709][6]~79712_combout\,
	cout => \led_flash_cnt[3709][6]~79713\);

-- Location: FF_X24_Y13_N23
\led_flash_cnt[3709][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3709][6]~79712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3709][6]~q\);

-- Location: LCCOMB_X24_Y13_N26
\WideAnd3709~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3709~1_combout\ = (\led_flash_cnt[3709][6]~q\ & \led_flash_cnt[3709][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3709][6]~q\,
	datad => \led_flash_cnt[3709][5]~q\,
	combout => \WideAnd3709~1_combout\);

-- Location: LCCOMB_X24_Y13_N24
\led_flash_cnt[3709][7]~79714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3709][7]~79714_combout\ = \led_flash_cnt[3709][6]~79713\ $ (!\led_flash_cnt[3709][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3709][7]~q\,
	cin => \led_flash_cnt[3709][6]~79713\,
	combout => \led_flash_cnt[3709][7]~79714_combout\);

-- Location: FF_X24_Y13_N25
\led_flash_cnt[3709][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3709][7]~79714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3709][7]~q\);

-- Location: LCCOMB_X24_Y13_N28
\WideAnd3709~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3709~0_combout\ = (\led_flash_cnt[3709][1]~q\ & (\led_flash_cnt[3709][3]~q\ & (\led_flash_cnt[3709][2]~q\ & \led_flash_cnt[3709][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3709][1]~q\,
	datab => \led_flash_cnt[3709][3]~q\,
	datac => \led_flash_cnt[3709][2]~q\,
	datad => \led_flash_cnt[3709][4]~q\,
	combout => \WideAnd3709~0_combout\);

-- Location: LCCOMB_X24_Y13_N0
WideAnd3709 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3709~combout\ = (\WideAnd3709~1_combout\ & (\led_flash_cnt[3709][7]~q\ & (\WideAnd3709~0_combout\ & \led_flash_cnt[3709][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3709~1_combout\,
	datab => \led_flash_cnt[3709][7]~q\,
	datac => \WideAnd3709~0_combout\,
	datad => \led_flash_cnt[3709][0]~q\,
	combout => \WideAnd3709~combout\);

-- Location: FF_X24_Y13_N1
\led_flash_cnt_ands[3709]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3709~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3709));

-- Location: LCCOMB_X24_Y13_N8
\WideAnd4303~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4303~1_combout\ = (led_flash_cnt_ands(3708) & led_flash_cnt_ands(3709))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3708),
	datad => led_flash_cnt_ands(3709),
	combout => \WideAnd4303~1_combout\);

-- Location: LCCOMB_X25_Y15_N2
WideAnd4303 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4303~combout\ = (led_flash_cnt_ands(3710) & (led_flash_cnt_ands(3711) & (\WideAnd4303~0_combout\ & \WideAnd4303~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3710),
	datab => led_flash_cnt_ands(3711),
	datac => \WideAnd4303~0_combout\,
	datad => \WideAnd4303~1_combout\,
	combout => \WideAnd4303~combout\);

-- Location: FF_X25_Y15_N3
\led_flash_cnt_ands_1[463]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4303~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(463));

-- Location: LCCOMB_X52_Y25_N12
\led_flash_cnt[3653][0]~84357\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3653][0]~84357_combout\ = !\led_flash_cnt[3653][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3653][0]~q\,
	combout => \led_flash_cnt[3653][0]~84357_combout\);

-- Location: FF_X52_Y25_N13
\led_flash_cnt[3653][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3653][0]~84357_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3653][0]~q\);

-- Location: LCCOMB_X52_Y25_N14
\led_flash_cnt[3653][1]~78918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3653][1]~78918_combout\ = (\led_flash_cnt[3653][0]~q\ & (\led_flash_cnt[3653][1]~q\ $ (VCC))) # (!\led_flash_cnt[3653][0]~q\ & (\led_flash_cnt[3653][1]~q\ & VCC))
-- \led_flash_cnt[3653][1]~78919\ = CARRY((\led_flash_cnt[3653][0]~q\ & \led_flash_cnt[3653][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3653][0]~q\,
	datab => \led_flash_cnt[3653][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3653][1]~78918_combout\,
	cout => \led_flash_cnt[3653][1]~78919\);

-- Location: FF_X52_Y25_N15
\led_flash_cnt[3653][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3653][1]~78918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3653][1]~q\);

-- Location: LCCOMB_X52_Y25_N16
\led_flash_cnt[3653][2]~78920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3653][2]~78920_combout\ = (\led_flash_cnt[3653][2]~q\ & (!\led_flash_cnt[3653][1]~78919\)) # (!\led_flash_cnt[3653][2]~q\ & ((\led_flash_cnt[3653][1]~78919\) # (GND)))
-- \led_flash_cnt[3653][2]~78921\ = CARRY((!\led_flash_cnt[3653][1]~78919\) # (!\led_flash_cnt[3653][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3653][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3653][1]~78919\,
	combout => \led_flash_cnt[3653][2]~78920_combout\,
	cout => \led_flash_cnt[3653][2]~78921\);

-- Location: FF_X52_Y25_N17
\led_flash_cnt[3653][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3653][2]~78920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3653][2]~q\);

-- Location: LCCOMB_X52_Y25_N18
\led_flash_cnt[3653][3]~78922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3653][3]~78922_combout\ = (\led_flash_cnt[3653][3]~q\ & (\led_flash_cnt[3653][2]~78921\ $ (GND))) # (!\led_flash_cnt[3653][3]~q\ & (!\led_flash_cnt[3653][2]~78921\ & VCC))
-- \led_flash_cnt[3653][3]~78923\ = CARRY((\led_flash_cnt[3653][3]~q\ & !\led_flash_cnt[3653][2]~78921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3653][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3653][2]~78921\,
	combout => \led_flash_cnt[3653][3]~78922_combout\,
	cout => \led_flash_cnt[3653][3]~78923\);

-- Location: FF_X52_Y25_N19
\led_flash_cnt[3653][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3653][3]~78922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3653][3]~q\);

-- Location: LCCOMB_X52_Y25_N20
\led_flash_cnt[3653][4]~78924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3653][4]~78924_combout\ = (\led_flash_cnt[3653][4]~q\ & (!\led_flash_cnt[3653][3]~78923\)) # (!\led_flash_cnt[3653][4]~q\ & ((\led_flash_cnt[3653][3]~78923\) # (GND)))
-- \led_flash_cnt[3653][4]~78925\ = CARRY((!\led_flash_cnt[3653][3]~78923\) # (!\led_flash_cnt[3653][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3653][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3653][3]~78923\,
	combout => \led_flash_cnt[3653][4]~78924_combout\,
	cout => \led_flash_cnt[3653][4]~78925\);

-- Location: FF_X52_Y25_N21
\led_flash_cnt[3653][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3653][4]~78924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3653][4]~q\);

-- Location: LCCOMB_X52_Y25_N22
\led_flash_cnt[3653][5]~78926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3653][5]~78926_combout\ = (\led_flash_cnt[3653][5]~q\ & (\led_flash_cnt[3653][4]~78925\ $ (GND))) # (!\led_flash_cnt[3653][5]~q\ & (!\led_flash_cnt[3653][4]~78925\ & VCC))
-- \led_flash_cnt[3653][5]~78927\ = CARRY((\led_flash_cnt[3653][5]~q\ & !\led_flash_cnt[3653][4]~78925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3653][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3653][4]~78925\,
	combout => \led_flash_cnt[3653][5]~78926_combout\,
	cout => \led_flash_cnt[3653][5]~78927\);

-- Location: FF_X52_Y25_N23
\led_flash_cnt[3653][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3653][5]~78926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3653][5]~q\);

-- Location: LCCOMB_X52_Y25_N24
\led_flash_cnt[3653][6]~78928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3653][6]~78928_combout\ = (\led_flash_cnt[3653][6]~q\ & (!\led_flash_cnt[3653][5]~78927\)) # (!\led_flash_cnt[3653][6]~q\ & ((\led_flash_cnt[3653][5]~78927\) # (GND)))
-- \led_flash_cnt[3653][6]~78929\ = CARRY((!\led_flash_cnt[3653][5]~78927\) # (!\led_flash_cnt[3653][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3653][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3653][5]~78927\,
	combout => \led_flash_cnt[3653][6]~78928_combout\,
	cout => \led_flash_cnt[3653][6]~78929\);

-- Location: FF_X52_Y25_N25
\led_flash_cnt[3653][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3653][6]~78928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3653][6]~q\);

-- Location: LCCOMB_X52_Y25_N10
\WideAnd3653~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3653~1_combout\ = (\led_flash_cnt[3653][5]~q\ & \led_flash_cnt[3653][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3653][5]~q\,
	datad => \led_flash_cnt[3653][6]~q\,
	combout => \WideAnd3653~1_combout\);

-- Location: LCCOMB_X52_Y25_N28
\WideAnd3653~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3653~0_combout\ = (\led_flash_cnt[3653][3]~q\ & (\led_flash_cnt[3653][4]~q\ & (\led_flash_cnt[3653][1]~q\ & \led_flash_cnt[3653][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3653][3]~q\,
	datab => \led_flash_cnt[3653][4]~q\,
	datac => \led_flash_cnt[3653][1]~q\,
	datad => \led_flash_cnt[3653][2]~q\,
	combout => \WideAnd3653~0_combout\);

-- Location: LCCOMB_X52_Y25_N26
\led_flash_cnt[3653][7]~78930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3653][7]~78930_combout\ = \led_flash_cnt[3653][7]~q\ $ (!\led_flash_cnt[3653][6]~78929\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3653][7]~q\,
	cin => \led_flash_cnt[3653][6]~78929\,
	combout => \led_flash_cnt[3653][7]~78930_combout\);

-- Location: FF_X52_Y25_N27
\led_flash_cnt[3653][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3653][7]~78930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3653][7]~q\);

-- Location: LCCOMB_X52_Y25_N8
WideAnd3653 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3653~combout\ = (\WideAnd3653~1_combout\ & (\WideAnd3653~0_combout\ & (\led_flash_cnt[3653][7]~q\ & \led_flash_cnt[3653][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3653~1_combout\,
	datab => \WideAnd3653~0_combout\,
	datac => \led_flash_cnt[3653][7]~q\,
	datad => \led_flash_cnt[3653][0]~q\,
	combout => \WideAnd3653~combout\);

-- Location: FF_X52_Y25_N9
\led_flash_cnt_ands[3653]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3653~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3653));

-- Location: LCCOMB_X52_Y25_N2
\led_flash_cnt[3652][0]~84356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3652][0]~84356_combout\ = !\led_flash_cnt[3652][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3652][0]~q\,
	combout => \led_flash_cnt[3652][0]~84356_combout\);

-- Location: FF_X52_Y25_N3
\led_flash_cnt[3652][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3652][0]~84356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3652][0]~q\);

-- Location: LCCOMB_X51_Y25_N18
\led_flash_cnt[3652][1]~78904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3652][1]~78904_combout\ = (\led_flash_cnt[3652][0]~q\ & (\led_flash_cnt[3652][1]~q\ $ (VCC))) # (!\led_flash_cnt[3652][0]~q\ & (\led_flash_cnt[3652][1]~q\ & VCC))
-- \led_flash_cnt[3652][1]~78905\ = CARRY((\led_flash_cnt[3652][0]~q\ & \led_flash_cnt[3652][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3652][0]~q\,
	datab => \led_flash_cnt[3652][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3652][1]~78904_combout\,
	cout => \led_flash_cnt[3652][1]~78905\);

-- Location: FF_X51_Y25_N19
\led_flash_cnt[3652][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3652][1]~78904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3652][1]~q\);

-- Location: LCCOMB_X51_Y25_N20
\led_flash_cnt[3652][2]~78906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3652][2]~78906_combout\ = (\led_flash_cnt[3652][2]~q\ & (!\led_flash_cnt[3652][1]~78905\)) # (!\led_flash_cnt[3652][2]~q\ & ((\led_flash_cnt[3652][1]~78905\) # (GND)))
-- \led_flash_cnt[3652][2]~78907\ = CARRY((!\led_flash_cnt[3652][1]~78905\) # (!\led_flash_cnt[3652][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3652][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3652][1]~78905\,
	combout => \led_flash_cnt[3652][2]~78906_combout\,
	cout => \led_flash_cnt[3652][2]~78907\);

-- Location: FF_X51_Y25_N21
\led_flash_cnt[3652][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3652][2]~78906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3652][2]~q\);

-- Location: LCCOMB_X51_Y25_N22
\led_flash_cnt[3652][3]~78908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3652][3]~78908_combout\ = (\led_flash_cnt[3652][3]~q\ & (\led_flash_cnt[3652][2]~78907\ $ (GND))) # (!\led_flash_cnt[3652][3]~q\ & (!\led_flash_cnt[3652][2]~78907\ & VCC))
-- \led_flash_cnt[3652][3]~78909\ = CARRY((\led_flash_cnt[3652][3]~q\ & !\led_flash_cnt[3652][2]~78907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3652][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3652][2]~78907\,
	combout => \led_flash_cnt[3652][3]~78908_combout\,
	cout => \led_flash_cnt[3652][3]~78909\);

-- Location: FF_X51_Y25_N23
\led_flash_cnt[3652][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3652][3]~78908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3652][3]~q\);

-- Location: LCCOMB_X51_Y25_N24
\led_flash_cnt[3652][4]~78910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3652][4]~78910_combout\ = (\led_flash_cnt[3652][4]~q\ & (!\led_flash_cnt[3652][3]~78909\)) # (!\led_flash_cnt[3652][4]~q\ & ((\led_flash_cnt[3652][3]~78909\) # (GND)))
-- \led_flash_cnt[3652][4]~78911\ = CARRY((!\led_flash_cnt[3652][3]~78909\) # (!\led_flash_cnt[3652][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3652][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3652][3]~78909\,
	combout => \led_flash_cnt[3652][4]~78910_combout\,
	cout => \led_flash_cnt[3652][4]~78911\);

-- Location: FF_X51_Y25_N25
\led_flash_cnt[3652][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3652][4]~78910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3652][4]~q\);

-- Location: LCCOMB_X51_Y25_N0
\WideAnd3652~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3652~0_combout\ = (\led_flash_cnt[3652][4]~q\ & (\led_flash_cnt[3652][2]~q\ & (\led_flash_cnt[3652][3]~q\ & \led_flash_cnt[3652][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3652][4]~q\,
	datab => \led_flash_cnt[3652][2]~q\,
	datac => \led_flash_cnt[3652][3]~q\,
	datad => \led_flash_cnt[3652][1]~q\,
	combout => \WideAnd3652~0_combout\);

-- Location: LCCOMB_X51_Y25_N26
\led_flash_cnt[3652][5]~78912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3652][5]~78912_combout\ = (\led_flash_cnt[3652][5]~q\ & (\led_flash_cnt[3652][4]~78911\ $ (GND))) # (!\led_flash_cnt[3652][5]~q\ & (!\led_flash_cnt[3652][4]~78911\ & VCC))
-- \led_flash_cnt[3652][5]~78913\ = CARRY((\led_flash_cnt[3652][5]~q\ & !\led_flash_cnt[3652][4]~78911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3652][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3652][4]~78911\,
	combout => \led_flash_cnt[3652][5]~78912_combout\,
	cout => \led_flash_cnt[3652][5]~78913\);

-- Location: FF_X51_Y25_N27
\led_flash_cnt[3652][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3652][5]~78912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3652][5]~q\);

-- Location: LCCOMB_X51_Y25_N28
\led_flash_cnt[3652][6]~78914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3652][6]~78914_combout\ = (\led_flash_cnt[3652][6]~q\ & (!\led_flash_cnt[3652][5]~78913\)) # (!\led_flash_cnt[3652][6]~q\ & ((\led_flash_cnt[3652][5]~78913\) # (GND)))
-- \led_flash_cnt[3652][6]~78915\ = CARRY((!\led_flash_cnt[3652][5]~78913\) # (!\led_flash_cnt[3652][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3652][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3652][5]~78913\,
	combout => \led_flash_cnt[3652][6]~78914_combout\,
	cout => \led_flash_cnt[3652][6]~78915\);

-- Location: FF_X51_Y25_N29
\led_flash_cnt[3652][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3652][6]~78914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3652][6]~q\);

-- Location: LCCOMB_X51_Y25_N30
\led_flash_cnt[3652][7]~78916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3652][7]~78916_combout\ = \led_flash_cnt[3652][7]~q\ $ (!\led_flash_cnt[3652][6]~78915\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3652][7]~q\,
	cin => \led_flash_cnt[3652][6]~78915\,
	combout => \led_flash_cnt[3652][7]~78916_combout\);

-- Location: FF_X51_Y25_N31
\led_flash_cnt[3652][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3652][7]~78916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3652][7]~q\);

-- Location: LCCOMB_X52_Y25_N4
\WideAnd3652~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3652~1_combout\ = (\led_flash_cnt[3652][5]~q\ & \led_flash_cnt[3652][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3652][5]~q\,
	datad => \led_flash_cnt[3652][6]~q\,
	combout => \WideAnd3652~1_combout\);

-- Location: LCCOMB_X52_Y25_N0
WideAnd3652 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3652~combout\ = (\WideAnd3652~0_combout\ & (\led_flash_cnt[3652][7]~q\ & (\WideAnd3652~1_combout\ & \led_flash_cnt[3652][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3652~0_combout\,
	datab => \led_flash_cnt[3652][7]~q\,
	datac => \WideAnd3652~1_combout\,
	datad => \led_flash_cnt[3652][0]~q\,
	combout => \WideAnd3652~combout\);

-- Location: FF_X52_Y25_N1
\led_flash_cnt_ands[3652]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3652~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3652));

-- Location: LCCOMB_X52_Y25_N6
\WideAnd4296~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4296~1_combout\ = (led_flash_cnt_ands(3653) & led_flash_cnt_ands(3652))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3653),
	datad => led_flash_cnt_ands(3652),
	combout => \WideAnd4296~1_combout\);

-- Location: LCCOMB_X40_Y21_N6
\led_flash_cnt[3655][0]~84359\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3655][0]~84359_combout\ = !\led_flash_cnt[3655][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3655][0]~q\,
	combout => \led_flash_cnt[3655][0]~84359_combout\);

-- Location: FF_X40_Y21_N7
\led_flash_cnt[3655][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3655][0]~84359_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3655][0]~q\);

-- Location: LCCOMB_X41_Y21_N2
\led_flash_cnt[3655][1]~78946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3655][1]~78946_combout\ = (\led_flash_cnt[3655][0]~q\ & (\led_flash_cnt[3655][1]~q\ $ (VCC))) # (!\led_flash_cnt[3655][0]~q\ & (\led_flash_cnt[3655][1]~q\ & VCC))
-- \led_flash_cnt[3655][1]~78947\ = CARRY((\led_flash_cnt[3655][0]~q\ & \led_flash_cnt[3655][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3655][0]~q\,
	datab => \led_flash_cnt[3655][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3655][1]~78946_combout\,
	cout => \led_flash_cnt[3655][1]~78947\);

-- Location: FF_X41_Y21_N3
\led_flash_cnt[3655][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3655][1]~78946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3655][1]~q\);

-- Location: LCCOMB_X41_Y21_N4
\led_flash_cnt[3655][2]~78948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3655][2]~78948_combout\ = (\led_flash_cnt[3655][2]~q\ & (!\led_flash_cnt[3655][1]~78947\)) # (!\led_flash_cnt[3655][2]~q\ & ((\led_flash_cnt[3655][1]~78947\) # (GND)))
-- \led_flash_cnt[3655][2]~78949\ = CARRY((!\led_flash_cnt[3655][1]~78947\) # (!\led_flash_cnt[3655][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3655][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3655][1]~78947\,
	combout => \led_flash_cnt[3655][2]~78948_combout\,
	cout => \led_flash_cnt[3655][2]~78949\);

-- Location: FF_X41_Y21_N5
\led_flash_cnt[3655][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3655][2]~78948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3655][2]~q\);

-- Location: LCCOMB_X41_Y21_N6
\led_flash_cnt[3655][3]~78950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3655][3]~78950_combout\ = (\led_flash_cnt[3655][3]~q\ & (\led_flash_cnt[3655][2]~78949\ $ (GND))) # (!\led_flash_cnt[3655][3]~q\ & (!\led_flash_cnt[3655][2]~78949\ & VCC))
-- \led_flash_cnt[3655][3]~78951\ = CARRY((\led_flash_cnt[3655][3]~q\ & !\led_flash_cnt[3655][2]~78949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3655][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3655][2]~78949\,
	combout => \led_flash_cnt[3655][3]~78950_combout\,
	cout => \led_flash_cnt[3655][3]~78951\);

-- Location: FF_X41_Y21_N7
\led_flash_cnt[3655][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3655][3]~78950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3655][3]~q\);

-- Location: LCCOMB_X41_Y21_N8
\led_flash_cnt[3655][4]~78952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3655][4]~78952_combout\ = (\led_flash_cnt[3655][4]~q\ & (!\led_flash_cnt[3655][3]~78951\)) # (!\led_flash_cnt[3655][4]~q\ & ((\led_flash_cnt[3655][3]~78951\) # (GND)))
-- \led_flash_cnt[3655][4]~78953\ = CARRY((!\led_flash_cnt[3655][3]~78951\) # (!\led_flash_cnt[3655][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3655][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3655][3]~78951\,
	combout => \led_flash_cnt[3655][4]~78952_combout\,
	cout => \led_flash_cnt[3655][4]~78953\);

-- Location: FF_X41_Y21_N9
\led_flash_cnt[3655][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3655][4]~78952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3655][4]~q\);

-- Location: LCCOMB_X41_Y21_N10
\led_flash_cnt[3655][5]~78954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3655][5]~78954_combout\ = (\led_flash_cnt[3655][5]~q\ & (\led_flash_cnt[3655][4]~78953\ $ (GND))) # (!\led_flash_cnt[3655][5]~q\ & (!\led_flash_cnt[3655][4]~78953\ & VCC))
-- \led_flash_cnt[3655][5]~78955\ = CARRY((\led_flash_cnt[3655][5]~q\ & !\led_flash_cnt[3655][4]~78953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3655][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3655][4]~78953\,
	combout => \led_flash_cnt[3655][5]~78954_combout\,
	cout => \led_flash_cnt[3655][5]~78955\);

-- Location: FF_X41_Y21_N11
\led_flash_cnt[3655][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3655][5]~78954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3655][5]~q\);

-- Location: LCCOMB_X41_Y21_N12
\led_flash_cnt[3655][6]~78956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3655][6]~78956_combout\ = (\led_flash_cnt[3655][6]~q\ & (!\led_flash_cnt[3655][5]~78955\)) # (!\led_flash_cnt[3655][6]~q\ & ((\led_flash_cnt[3655][5]~78955\) # (GND)))
-- \led_flash_cnt[3655][6]~78957\ = CARRY((!\led_flash_cnt[3655][5]~78955\) # (!\led_flash_cnt[3655][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3655][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3655][5]~78955\,
	combout => \led_flash_cnt[3655][6]~78956_combout\,
	cout => \led_flash_cnt[3655][6]~78957\);

-- Location: FF_X41_Y21_N13
\led_flash_cnt[3655][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3655][6]~78956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3655][6]~q\);

-- Location: LCCOMB_X40_Y21_N30
\WideAnd3655~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3655~1_combout\ = (\led_flash_cnt[3655][6]~q\ & \led_flash_cnt[3655][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3655][6]~q\,
	datac => \led_flash_cnt[3655][5]~q\,
	combout => \WideAnd3655~1_combout\);

-- Location: LCCOMB_X41_Y21_N0
\WideAnd3655~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3655~0_combout\ = (\led_flash_cnt[3655][3]~q\ & (\led_flash_cnt[3655][4]~q\ & (\led_flash_cnt[3655][2]~q\ & \led_flash_cnt[3655][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3655][3]~q\,
	datab => \led_flash_cnt[3655][4]~q\,
	datac => \led_flash_cnt[3655][2]~q\,
	datad => \led_flash_cnt[3655][1]~q\,
	combout => \WideAnd3655~0_combout\);

-- Location: LCCOMB_X41_Y21_N14
\led_flash_cnt[3655][7]~78958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3655][7]~78958_combout\ = \led_flash_cnt[3655][7]~q\ $ (!\led_flash_cnt[3655][6]~78957\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3655][7]~q\,
	cin => \led_flash_cnt[3655][6]~78957\,
	combout => \led_flash_cnt[3655][7]~78958_combout\);

-- Location: FF_X41_Y21_N15
\led_flash_cnt[3655][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3655][7]~78958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3655][7]~q\);

-- Location: LCCOMB_X40_Y21_N26
WideAnd3655 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3655~combout\ = (\WideAnd3655~1_combout\ & (\WideAnd3655~0_combout\ & (\led_flash_cnt[3655][7]~q\ & \led_flash_cnt[3655][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3655~1_combout\,
	datab => \WideAnd3655~0_combout\,
	datac => \led_flash_cnt[3655][7]~q\,
	datad => \led_flash_cnt[3655][0]~q\,
	combout => \WideAnd3655~combout\);

-- Location: FF_X40_Y21_N27
\led_flash_cnt_ands[3655]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3655~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3655));

-- Location: LCCOMB_X47_Y20_N2
\led_flash_cnt[3654][0]~84358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3654][0]~84358_combout\ = !\led_flash_cnt[3654][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3654][0]~q\,
	combout => \led_flash_cnt[3654][0]~84358_combout\);

-- Location: FF_X47_Y20_N3
\led_flash_cnt[3654][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3654][0]~84358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3654][0]~q\);

-- Location: LCCOMB_X46_Y20_N0
\led_flash_cnt[3654][1]~78932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3654][1]~78932_combout\ = (\led_flash_cnt[3654][0]~q\ & (\led_flash_cnt[3654][1]~q\ $ (VCC))) # (!\led_flash_cnt[3654][0]~q\ & (\led_flash_cnt[3654][1]~q\ & VCC))
-- \led_flash_cnt[3654][1]~78933\ = CARRY((\led_flash_cnt[3654][0]~q\ & \led_flash_cnt[3654][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3654][0]~q\,
	datab => \led_flash_cnt[3654][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3654][1]~78932_combout\,
	cout => \led_flash_cnt[3654][1]~78933\);

-- Location: FF_X46_Y20_N1
\led_flash_cnt[3654][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3654][1]~78932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3654][1]~q\);

-- Location: LCCOMB_X46_Y20_N2
\led_flash_cnt[3654][2]~78934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3654][2]~78934_combout\ = (\led_flash_cnt[3654][2]~q\ & (!\led_flash_cnt[3654][1]~78933\)) # (!\led_flash_cnt[3654][2]~q\ & ((\led_flash_cnt[3654][1]~78933\) # (GND)))
-- \led_flash_cnt[3654][2]~78935\ = CARRY((!\led_flash_cnt[3654][1]~78933\) # (!\led_flash_cnt[3654][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3654][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3654][1]~78933\,
	combout => \led_flash_cnt[3654][2]~78934_combout\,
	cout => \led_flash_cnt[3654][2]~78935\);

-- Location: FF_X46_Y20_N3
\led_flash_cnt[3654][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3654][2]~78934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3654][2]~q\);

-- Location: LCCOMB_X46_Y20_N4
\led_flash_cnt[3654][3]~78936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3654][3]~78936_combout\ = (\led_flash_cnt[3654][3]~q\ & (\led_flash_cnt[3654][2]~78935\ $ (GND))) # (!\led_flash_cnt[3654][3]~q\ & (!\led_flash_cnt[3654][2]~78935\ & VCC))
-- \led_flash_cnt[3654][3]~78937\ = CARRY((\led_flash_cnt[3654][3]~q\ & !\led_flash_cnt[3654][2]~78935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3654][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3654][2]~78935\,
	combout => \led_flash_cnt[3654][3]~78936_combout\,
	cout => \led_flash_cnt[3654][3]~78937\);

-- Location: FF_X46_Y20_N5
\led_flash_cnt[3654][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3654][3]~78936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3654][3]~q\);

-- Location: LCCOMB_X46_Y20_N6
\led_flash_cnt[3654][4]~78938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3654][4]~78938_combout\ = (\led_flash_cnt[3654][4]~q\ & (!\led_flash_cnt[3654][3]~78937\)) # (!\led_flash_cnt[3654][4]~q\ & ((\led_flash_cnt[3654][3]~78937\) # (GND)))
-- \led_flash_cnt[3654][4]~78939\ = CARRY((!\led_flash_cnt[3654][3]~78937\) # (!\led_flash_cnt[3654][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3654][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3654][3]~78937\,
	combout => \led_flash_cnt[3654][4]~78938_combout\,
	cout => \led_flash_cnt[3654][4]~78939\);

-- Location: FF_X46_Y20_N7
\led_flash_cnt[3654][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3654][4]~78938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3654][4]~q\);

-- Location: LCCOMB_X46_Y20_N8
\led_flash_cnt[3654][5]~78940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3654][5]~78940_combout\ = (\led_flash_cnt[3654][5]~q\ & (\led_flash_cnt[3654][4]~78939\ $ (GND))) # (!\led_flash_cnt[3654][5]~q\ & (!\led_flash_cnt[3654][4]~78939\ & VCC))
-- \led_flash_cnt[3654][5]~78941\ = CARRY((\led_flash_cnt[3654][5]~q\ & !\led_flash_cnt[3654][4]~78939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3654][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3654][4]~78939\,
	combout => \led_flash_cnt[3654][5]~78940_combout\,
	cout => \led_flash_cnt[3654][5]~78941\);

-- Location: FF_X46_Y20_N9
\led_flash_cnt[3654][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3654][5]~78940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3654][5]~q\);

-- Location: LCCOMB_X46_Y20_N10
\led_flash_cnt[3654][6]~78942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3654][6]~78942_combout\ = (\led_flash_cnt[3654][6]~q\ & (!\led_flash_cnt[3654][5]~78941\)) # (!\led_flash_cnt[3654][6]~q\ & ((\led_flash_cnt[3654][5]~78941\) # (GND)))
-- \led_flash_cnt[3654][6]~78943\ = CARRY((!\led_flash_cnt[3654][5]~78941\) # (!\led_flash_cnt[3654][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3654][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3654][5]~78941\,
	combout => \led_flash_cnt[3654][6]~78942_combout\,
	cout => \led_flash_cnt[3654][6]~78943\);

-- Location: FF_X46_Y20_N11
\led_flash_cnt[3654][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3654][6]~78942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3654][6]~q\);

-- Location: LCCOMB_X46_Y20_N12
\led_flash_cnt[3654][7]~78944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3654][7]~78944_combout\ = \led_flash_cnt[3654][6]~78943\ $ (!\led_flash_cnt[3654][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3654][7]~q\,
	cin => \led_flash_cnt[3654][6]~78943\,
	combout => \led_flash_cnt[3654][7]~78944_combout\);

-- Location: FF_X46_Y20_N13
\led_flash_cnt[3654][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3654][7]~78944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3654][7]~q\);

-- Location: LCCOMB_X47_Y20_N28
\WideAnd3654~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3654~1_combout\ = (\led_flash_cnt[3654][6]~q\ & \led_flash_cnt[3654][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3654][6]~q\,
	datad => \led_flash_cnt[3654][5]~q\,
	combout => \WideAnd3654~1_combout\);

-- Location: LCCOMB_X46_Y20_N16
\WideAnd3654~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3654~0_combout\ = (\led_flash_cnt[3654][4]~q\ & (\led_flash_cnt[3654][1]~q\ & (\led_flash_cnt[3654][3]~q\ & \led_flash_cnt[3654][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3654][4]~q\,
	datab => \led_flash_cnt[3654][1]~q\,
	datac => \led_flash_cnt[3654][3]~q\,
	datad => \led_flash_cnt[3654][2]~q\,
	combout => \WideAnd3654~0_combout\);

-- Location: LCCOMB_X47_Y20_N0
WideAnd3654 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3654~combout\ = (\led_flash_cnt[3654][7]~q\ & (\WideAnd3654~1_combout\ & (\WideAnd3654~0_combout\ & \led_flash_cnt[3654][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3654][7]~q\,
	datab => \WideAnd3654~1_combout\,
	datac => \WideAnd3654~0_combout\,
	datad => \led_flash_cnt[3654][0]~q\,
	combout => \WideAnd3654~combout\);

-- Location: FF_X47_Y20_N1
\led_flash_cnt_ands[3654]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3654~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3654));

-- Location: LCCOMB_X47_Y20_N4
\led_flash_cnt[3648][0]~84352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3648][0]~84352_combout\ = !\led_flash_cnt[3648][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3648][0]~q\,
	combout => \led_flash_cnt[3648][0]~84352_combout\);

-- Location: FF_X47_Y20_N5
\led_flash_cnt[3648][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3648][0]~84352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3648][0]~q\);

-- Location: LCCOMB_X47_Y20_N10
\led_flash_cnt[3648][1]~78848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3648][1]~78848_combout\ = (\led_flash_cnt[3648][1]~q\ & (\led_flash_cnt[3648][0]~q\ $ (VCC))) # (!\led_flash_cnt[3648][1]~q\ & (\led_flash_cnt[3648][0]~q\ & VCC))
-- \led_flash_cnt[3648][1]~78849\ = CARRY((\led_flash_cnt[3648][1]~q\ & \led_flash_cnt[3648][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3648][1]~q\,
	datab => \led_flash_cnt[3648][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3648][1]~78848_combout\,
	cout => \led_flash_cnt[3648][1]~78849\);

-- Location: FF_X47_Y20_N11
\led_flash_cnt[3648][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3648][1]~78848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3648][1]~q\);

-- Location: LCCOMB_X47_Y20_N12
\led_flash_cnt[3648][2]~78850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3648][2]~78850_combout\ = (\led_flash_cnt[3648][2]~q\ & (!\led_flash_cnt[3648][1]~78849\)) # (!\led_flash_cnt[3648][2]~q\ & ((\led_flash_cnt[3648][1]~78849\) # (GND)))
-- \led_flash_cnt[3648][2]~78851\ = CARRY((!\led_flash_cnt[3648][1]~78849\) # (!\led_flash_cnt[3648][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3648][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3648][1]~78849\,
	combout => \led_flash_cnt[3648][2]~78850_combout\,
	cout => \led_flash_cnt[3648][2]~78851\);

-- Location: FF_X47_Y20_N13
\led_flash_cnt[3648][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3648][2]~78850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3648][2]~q\);

-- Location: LCCOMB_X47_Y20_N14
\led_flash_cnt[3648][3]~78852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3648][3]~78852_combout\ = (\led_flash_cnt[3648][3]~q\ & (\led_flash_cnt[3648][2]~78851\ $ (GND))) # (!\led_flash_cnt[3648][3]~q\ & (!\led_flash_cnt[3648][2]~78851\ & VCC))
-- \led_flash_cnt[3648][3]~78853\ = CARRY((\led_flash_cnt[3648][3]~q\ & !\led_flash_cnt[3648][2]~78851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3648][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3648][2]~78851\,
	combout => \led_flash_cnt[3648][3]~78852_combout\,
	cout => \led_flash_cnt[3648][3]~78853\);

-- Location: FF_X47_Y20_N15
\led_flash_cnt[3648][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3648][3]~78852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3648][3]~q\);

-- Location: LCCOMB_X47_Y20_N16
\led_flash_cnt[3648][4]~78854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3648][4]~78854_combout\ = (\led_flash_cnt[3648][4]~q\ & (!\led_flash_cnt[3648][3]~78853\)) # (!\led_flash_cnt[3648][4]~q\ & ((\led_flash_cnt[3648][3]~78853\) # (GND)))
-- \led_flash_cnt[3648][4]~78855\ = CARRY((!\led_flash_cnt[3648][3]~78853\) # (!\led_flash_cnt[3648][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3648][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3648][3]~78853\,
	combout => \led_flash_cnt[3648][4]~78854_combout\,
	cout => \led_flash_cnt[3648][4]~78855\);

-- Location: FF_X47_Y20_N17
\led_flash_cnt[3648][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3648][4]~78854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3648][4]~q\);

-- Location: LCCOMB_X47_Y20_N26
\WideAnd3648~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3648~0_combout\ = (\led_flash_cnt[3648][2]~q\ & (\led_flash_cnt[3648][4]~q\ & (\led_flash_cnt[3648][3]~q\ & \led_flash_cnt[3648][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3648][2]~q\,
	datab => \led_flash_cnt[3648][4]~q\,
	datac => \led_flash_cnt[3648][3]~q\,
	datad => \led_flash_cnt[3648][1]~q\,
	combout => \WideAnd3648~0_combout\);

-- Location: LCCOMB_X47_Y20_N18
\led_flash_cnt[3648][5]~78856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3648][5]~78856_combout\ = (\led_flash_cnt[3648][5]~q\ & (\led_flash_cnt[3648][4]~78855\ $ (GND))) # (!\led_flash_cnt[3648][5]~q\ & (!\led_flash_cnt[3648][4]~78855\ & VCC))
-- \led_flash_cnt[3648][5]~78857\ = CARRY((\led_flash_cnt[3648][5]~q\ & !\led_flash_cnt[3648][4]~78855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3648][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3648][4]~78855\,
	combout => \led_flash_cnt[3648][5]~78856_combout\,
	cout => \led_flash_cnt[3648][5]~78857\);

-- Location: FF_X47_Y20_N19
\led_flash_cnt[3648][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3648][5]~78856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3648][5]~q\);

-- Location: LCCOMB_X47_Y20_N20
\led_flash_cnt[3648][6]~78858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3648][6]~78858_combout\ = (\led_flash_cnt[3648][6]~q\ & (!\led_flash_cnt[3648][5]~78857\)) # (!\led_flash_cnt[3648][6]~q\ & ((\led_flash_cnt[3648][5]~78857\) # (GND)))
-- \led_flash_cnt[3648][6]~78859\ = CARRY((!\led_flash_cnt[3648][5]~78857\) # (!\led_flash_cnt[3648][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3648][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3648][5]~78857\,
	combout => \led_flash_cnt[3648][6]~78858_combout\,
	cout => \led_flash_cnt[3648][6]~78859\);

-- Location: FF_X47_Y20_N21
\led_flash_cnt[3648][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3648][6]~78858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3648][6]~q\);

-- Location: LCCOMB_X47_Y20_N22
\led_flash_cnt[3648][7]~78860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3648][7]~78860_combout\ = \led_flash_cnt[3648][7]~q\ $ (!\led_flash_cnt[3648][6]~78859\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3648][7]~q\,
	cin => \led_flash_cnt[3648][6]~78859\,
	combout => \led_flash_cnt[3648][7]~78860_combout\);

-- Location: FF_X47_Y20_N23
\led_flash_cnt[3648][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3648][7]~78860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3648][7]~q\);

-- Location: LCCOMB_X47_Y20_N24
\WideAnd3648~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3648~1_combout\ = (\led_flash_cnt[3648][6]~q\ & \led_flash_cnt[3648][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3648][6]~q\,
	datad => \led_flash_cnt[3648][5]~q\,
	combout => \WideAnd3648~1_combout\);

-- Location: LCCOMB_X47_Y20_N30
WideAnd3648 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3648~combout\ = (\WideAnd3648~0_combout\ & (\led_flash_cnt[3648][0]~q\ & (\led_flash_cnt[3648][7]~q\ & \WideAnd3648~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3648~0_combout\,
	datab => \led_flash_cnt[3648][0]~q\,
	datac => \led_flash_cnt[3648][7]~q\,
	datad => \WideAnd3648~1_combout\,
	combout => \WideAnd3648~combout\);

-- Location: FF_X47_Y20_N31
\led_flash_cnt_ands[3648]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3648~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3648));

-- Location: LCCOMB_X51_Y20_N12
\led_flash_cnt[3650][0]~84354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3650][0]~84354_combout\ = !\led_flash_cnt[3650][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3650][0]~q\,
	combout => \led_flash_cnt[3650][0]~84354_combout\);

-- Location: FF_X51_Y20_N13
\led_flash_cnt[3650][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3650][0]~84354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3650][0]~q\);

-- Location: LCCOMB_X51_Y20_N16
\led_flash_cnt[3650][1]~78876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3650][1]~78876_combout\ = (\led_flash_cnt[3650][0]~q\ & (\led_flash_cnt[3650][1]~q\ $ (VCC))) # (!\led_flash_cnt[3650][0]~q\ & (\led_flash_cnt[3650][1]~q\ & VCC))
-- \led_flash_cnt[3650][1]~78877\ = CARRY((\led_flash_cnt[3650][0]~q\ & \led_flash_cnt[3650][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3650][0]~q\,
	datab => \led_flash_cnt[3650][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3650][1]~78876_combout\,
	cout => \led_flash_cnt[3650][1]~78877\);

-- Location: FF_X51_Y20_N17
\led_flash_cnt[3650][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3650][1]~78876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3650][1]~q\);

-- Location: LCCOMB_X51_Y20_N18
\led_flash_cnt[3650][2]~78878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3650][2]~78878_combout\ = (\led_flash_cnt[3650][2]~q\ & (!\led_flash_cnt[3650][1]~78877\)) # (!\led_flash_cnt[3650][2]~q\ & ((\led_flash_cnt[3650][1]~78877\) # (GND)))
-- \led_flash_cnt[3650][2]~78879\ = CARRY((!\led_flash_cnt[3650][1]~78877\) # (!\led_flash_cnt[3650][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3650][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3650][1]~78877\,
	combout => \led_flash_cnt[3650][2]~78878_combout\,
	cout => \led_flash_cnt[3650][2]~78879\);

-- Location: FF_X51_Y20_N19
\led_flash_cnt[3650][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3650][2]~78878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3650][2]~q\);

-- Location: LCCOMB_X51_Y20_N20
\led_flash_cnt[3650][3]~78880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3650][3]~78880_combout\ = (\led_flash_cnt[3650][3]~q\ & (\led_flash_cnt[3650][2]~78879\ $ (GND))) # (!\led_flash_cnt[3650][3]~q\ & (!\led_flash_cnt[3650][2]~78879\ & VCC))
-- \led_flash_cnt[3650][3]~78881\ = CARRY((\led_flash_cnt[3650][3]~q\ & !\led_flash_cnt[3650][2]~78879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3650][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3650][2]~78879\,
	combout => \led_flash_cnt[3650][3]~78880_combout\,
	cout => \led_flash_cnt[3650][3]~78881\);

-- Location: FF_X51_Y20_N21
\led_flash_cnt[3650][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3650][3]~78880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3650][3]~q\);

-- Location: LCCOMB_X51_Y20_N22
\led_flash_cnt[3650][4]~78882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3650][4]~78882_combout\ = (\led_flash_cnt[3650][4]~q\ & (!\led_flash_cnt[3650][3]~78881\)) # (!\led_flash_cnt[3650][4]~q\ & ((\led_flash_cnt[3650][3]~78881\) # (GND)))
-- \led_flash_cnt[3650][4]~78883\ = CARRY((!\led_flash_cnt[3650][3]~78881\) # (!\led_flash_cnt[3650][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3650][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3650][3]~78881\,
	combout => \led_flash_cnt[3650][4]~78882_combout\,
	cout => \led_flash_cnt[3650][4]~78883\);

-- Location: FF_X51_Y20_N23
\led_flash_cnt[3650][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3650][4]~78882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3650][4]~q\);

-- Location: LCCOMB_X51_Y20_N24
\led_flash_cnt[3650][5]~78884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3650][5]~78884_combout\ = (\led_flash_cnt[3650][5]~q\ & (\led_flash_cnt[3650][4]~78883\ $ (GND))) # (!\led_flash_cnt[3650][5]~q\ & (!\led_flash_cnt[3650][4]~78883\ & VCC))
-- \led_flash_cnt[3650][5]~78885\ = CARRY((\led_flash_cnt[3650][5]~q\ & !\led_flash_cnt[3650][4]~78883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3650][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3650][4]~78883\,
	combout => \led_flash_cnt[3650][5]~78884_combout\,
	cout => \led_flash_cnt[3650][5]~78885\);

-- Location: FF_X51_Y20_N25
\led_flash_cnt[3650][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3650][5]~78884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3650][5]~q\);

-- Location: LCCOMB_X51_Y20_N26
\led_flash_cnt[3650][6]~78886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3650][6]~78886_combout\ = (\led_flash_cnt[3650][6]~q\ & (!\led_flash_cnt[3650][5]~78885\)) # (!\led_flash_cnt[3650][6]~q\ & ((\led_flash_cnt[3650][5]~78885\) # (GND)))
-- \led_flash_cnt[3650][6]~78887\ = CARRY((!\led_flash_cnt[3650][5]~78885\) # (!\led_flash_cnt[3650][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3650][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3650][5]~78885\,
	combout => \led_flash_cnt[3650][6]~78886_combout\,
	cout => \led_flash_cnt[3650][6]~78887\);

-- Location: FF_X51_Y20_N27
\led_flash_cnt[3650][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3650][6]~78886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3650][6]~q\);

-- Location: LCCOMB_X51_Y20_N4
\WideAnd3650~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3650~1_combout\ = (\led_flash_cnt[3650][6]~q\ & \led_flash_cnt[3650][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3650][6]~q\,
	datad => \led_flash_cnt[3650][5]~q\,
	combout => \WideAnd3650~1_combout\);

-- Location: LCCOMB_X51_Y20_N30
\WideAnd3650~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3650~0_combout\ = (\led_flash_cnt[3650][3]~q\ & (\led_flash_cnt[3650][2]~q\ & (\led_flash_cnt[3650][4]~q\ & \led_flash_cnt[3650][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3650][3]~q\,
	datab => \led_flash_cnt[3650][2]~q\,
	datac => \led_flash_cnt[3650][4]~q\,
	datad => \led_flash_cnt[3650][1]~q\,
	combout => \WideAnd3650~0_combout\);

-- Location: LCCOMB_X51_Y20_N28
\led_flash_cnt[3650][7]~78888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3650][7]~78888_combout\ = \led_flash_cnt[3650][6]~78887\ $ (!\led_flash_cnt[3650][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3650][7]~q\,
	cin => \led_flash_cnt[3650][6]~78887\,
	combout => \led_flash_cnt[3650][7]~78888_combout\);

-- Location: FF_X51_Y20_N29
\led_flash_cnt[3650][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3650][7]~78888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3650][7]~q\);

-- Location: LCCOMB_X51_Y20_N8
WideAnd3650 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3650~combout\ = (\led_flash_cnt[3650][0]~q\ & (\WideAnd3650~1_combout\ & (\WideAnd3650~0_combout\ & \led_flash_cnt[3650][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3650][0]~q\,
	datab => \WideAnd3650~1_combout\,
	datac => \WideAnd3650~0_combout\,
	datad => \led_flash_cnt[3650][7]~q\,
	combout => \WideAnd3650~combout\);

-- Location: FF_X51_Y20_N9
\led_flash_cnt_ands[3650]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3650~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3650));

-- Location: LCCOMB_X24_Y12_N30
\led_flash_cnt[3651][0]~84355\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3651][0]~84355_combout\ = !\led_flash_cnt[3651][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3651][0]~q\,
	combout => \led_flash_cnt[3651][0]~84355_combout\);

-- Location: FF_X24_Y12_N31
\led_flash_cnt[3651][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3651][0]~84355_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3651][0]~q\);

-- Location: LCCOMB_X24_Y12_N0
\led_flash_cnt[3651][1]~78890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3651][1]~78890_combout\ = (\led_flash_cnt[3651][0]~q\ & (\led_flash_cnt[3651][1]~q\ $ (VCC))) # (!\led_flash_cnt[3651][0]~q\ & (\led_flash_cnt[3651][1]~q\ & VCC))
-- \led_flash_cnt[3651][1]~78891\ = CARRY((\led_flash_cnt[3651][0]~q\ & \led_flash_cnt[3651][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3651][0]~q\,
	datab => \led_flash_cnt[3651][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3651][1]~78890_combout\,
	cout => \led_flash_cnt[3651][1]~78891\);

-- Location: FF_X24_Y12_N1
\led_flash_cnt[3651][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3651][1]~78890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3651][1]~q\);

-- Location: LCCOMB_X24_Y12_N2
\led_flash_cnt[3651][2]~78892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3651][2]~78892_combout\ = (\led_flash_cnt[3651][2]~q\ & (!\led_flash_cnt[3651][1]~78891\)) # (!\led_flash_cnt[3651][2]~q\ & ((\led_flash_cnt[3651][1]~78891\) # (GND)))
-- \led_flash_cnt[3651][2]~78893\ = CARRY((!\led_flash_cnt[3651][1]~78891\) # (!\led_flash_cnt[3651][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3651][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3651][1]~78891\,
	combout => \led_flash_cnt[3651][2]~78892_combout\,
	cout => \led_flash_cnt[3651][2]~78893\);

-- Location: FF_X24_Y12_N3
\led_flash_cnt[3651][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3651][2]~78892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3651][2]~q\);

-- Location: LCCOMB_X24_Y12_N4
\led_flash_cnt[3651][3]~78894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3651][3]~78894_combout\ = (\led_flash_cnt[3651][3]~q\ & (\led_flash_cnt[3651][2]~78893\ $ (GND))) # (!\led_flash_cnt[3651][3]~q\ & (!\led_flash_cnt[3651][2]~78893\ & VCC))
-- \led_flash_cnt[3651][3]~78895\ = CARRY((\led_flash_cnt[3651][3]~q\ & !\led_flash_cnt[3651][2]~78893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3651][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3651][2]~78893\,
	combout => \led_flash_cnt[3651][3]~78894_combout\,
	cout => \led_flash_cnt[3651][3]~78895\);

-- Location: FF_X24_Y12_N5
\led_flash_cnt[3651][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3651][3]~78894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3651][3]~q\);

-- Location: LCCOMB_X24_Y12_N6
\led_flash_cnt[3651][4]~78896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3651][4]~78896_combout\ = (\led_flash_cnt[3651][4]~q\ & (!\led_flash_cnt[3651][3]~78895\)) # (!\led_flash_cnt[3651][4]~q\ & ((\led_flash_cnt[3651][3]~78895\) # (GND)))
-- \led_flash_cnt[3651][4]~78897\ = CARRY((!\led_flash_cnt[3651][3]~78895\) # (!\led_flash_cnt[3651][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3651][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3651][3]~78895\,
	combout => \led_flash_cnt[3651][4]~78896_combout\,
	cout => \led_flash_cnt[3651][4]~78897\);

-- Location: FF_X24_Y12_N7
\led_flash_cnt[3651][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3651][4]~78896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3651][4]~q\);

-- Location: LCCOMB_X24_Y12_N8
\led_flash_cnt[3651][5]~78898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3651][5]~78898_combout\ = (\led_flash_cnt[3651][5]~q\ & (\led_flash_cnt[3651][4]~78897\ $ (GND))) # (!\led_flash_cnt[3651][5]~q\ & (!\led_flash_cnt[3651][4]~78897\ & VCC))
-- \led_flash_cnt[3651][5]~78899\ = CARRY((\led_flash_cnt[3651][5]~q\ & !\led_flash_cnt[3651][4]~78897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3651][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3651][4]~78897\,
	combout => \led_flash_cnt[3651][5]~78898_combout\,
	cout => \led_flash_cnt[3651][5]~78899\);

-- Location: FF_X24_Y12_N9
\led_flash_cnt[3651][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3651][5]~78898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3651][5]~q\);

-- Location: LCCOMB_X24_Y12_N10
\led_flash_cnt[3651][6]~78900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3651][6]~78900_combout\ = (\led_flash_cnt[3651][6]~q\ & (!\led_flash_cnt[3651][5]~78899\)) # (!\led_flash_cnt[3651][6]~q\ & ((\led_flash_cnt[3651][5]~78899\) # (GND)))
-- \led_flash_cnt[3651][6]~78901\ = CARRY((!\led_flash_cnt[3651][5]~78899\) # (!\led_flash_cnt[3651][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3651][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3651][5]~78899\,
	combout => \led_flash_cnt[3651][6]~78900_combout\,
	cout => \led_flash_cnt[3651][6]~78901\);

-- Location: FF_X24_Y12_N11
\led_flash_cnt[3651][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3651][6]~78900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3651][6]~q\);

-- Location: LCCOMB_X24_Y12_N12
\led_flash_cnt[3651][7]~78902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3651][7]~78902_combout\ = \led_flash_cnt[3651][6]~78901\ $ (!\led_flash_cnt[3651][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3651][7]~q\,
	cin => \led_flash_cnt[3651][6]~78901\,
	combout => \led_flash_cnt[3651][7]~78902_combout\);

-- Location: FF_X24_Y12_N13
\led_flash_cnt[3651][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3651][7]~78902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3651][7]~q\);

-- Location: LCCOMB_X24_Y12_N24
\WideAnd3651~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3651~1_combout\ = (\led_flash_cnt[3651][5]~q\ & \led_flash_cnt[3651][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3651][5]~q\,
	datad => \led_flash_cnt[3651][6]~q\,
	combout => \WideAnd3651~1_combout\);

-- Location: LCCOMB_X24_Y12_N18
\WideAnd3651~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3651~0_combout\ = (\led_flash_cnt[3651][4]~q\ & (\led_flash_cnt[3651][2]~q\ & (\led_flash_cnt[3651][3]~q\ & \led_flash_cnt[3651][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3651][4]~q\,
	datab => \led_flash_cnt[3651][2]~q\,
	datac => \led_flash_cnt[3651][3]~q\,
	datad => \led_flash_cnt[3651][1]~q\,
	combout => \WideAnd3651~0_combout\);

-- Location: LCCOMB_X24_Y12_N22
WideAnd3651 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3651~combout\ = (\led_flash_cnt[3651][7]~q\ & (\WideAnd3651~1_combout\ & (\led_flash_cnt[3651][0]~q\ & \WideAnd3651~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3651][7]~q\,
	datab => \WideAnd3651~1_combout\,
	datac => \led_flash_cnt[3651][0]~q\,
	datad => \WideAnd3651~0_combout\,
	combout => \WideAnd3651~combout\);

-- Location: FF_X24_Y12_N23
\led_flash_cnt_ands[3651]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3651~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3651));

-- Location: LCCOMB_X51_Y20_N6
\led_flash_cnt[3649][0]~84353\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3649][0]~84353_combout\ = !\led_flash_cnt[3649][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3649][0]~q\,
	combout => \led_flash_cnt[3649][0]~84353_combout\);

-- Location: FF_X51_Y20_N7
\led_flash_cnt[3649][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3649][0]~84353_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3649][0]~q\);

-- Location: LCCOMB_X52_Y20_N18
\led_flash_cnt[3649][1]~78862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3649][1]~78862_combout\ = (\led_flash_cnt[3649][0]~q\ & (\led_flash_cnt[3649][1]~q\ $ (VCC))) # (!\led_flash_cnt[3649][0]~q\ & (\led_flash_cnt[3649][1]~q\ & VCC))
-- \led_flash_cnt[3649][1]~78863\ = CARRY((\led_flash_cnt[3649][0]~q\ & \led_flash_cnt[3649][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3649][0]~q\,
	datab => \led_flash_cnt[3649][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3649][1]~78862_combout\,
	cout => \led_flash_cnt[3649][1]~78863\);

-- Location: FF_X52_Y20_N19
\led_flash_cnt[3649][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3649][1]~78862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3649][1]~q\);

-- Location: LCCOMB_X52_Y20_N20
\led_flash_cnt[3649][2]~78864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3649][2]~78864_combout\ = (\led_flash_cnt[3649][2]~q\ & (!\led_flash_cnt[3649][1]~78863\)) # (!\led_flash_cnt[3649][2]~q\ & ((\led_flash_cnt[3649][1]~78863\) # (GND)))
-- \led_flash_cnt[3649][2]~78865\ = CARRY((!\led_flash_cnt[3649][1]~78863\) # (!\led_flash_cnt[3649][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3649][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3649][1]~78863\,
	combout => \led_flash_cnt[3649][2]~78864_combout\,
	cout => \led_flash_cnt[3649][2]~78865\);

-- Location: FF_X52_Y20_N21
\led_flash_cnt[3649][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3649][2]~78864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3649][2]~q\);

-- Location: LCCOMB_X52_Y20_N22
\led_flash_cnt[3649][3]~78866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3649][3]~78866_combout\ = (\led_flash_cnt[3649][3]~q\ & (\led_flash_cnt[3649][2]~78865\ $ (GND))) # (!\led_flash_cnt[3649][3]~q\ & (!\led_flash_cnt[3649][2]~78865\ & VCC))
-- \led_flash_cnt[3649][3]~78867\ = CARRY((\led_flash_cnt[3649][3]~q\ & !\led_flash_cnt[3649][2]~78865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3649][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3649][2]~78865\,
	combout => \led_flash_cnt[3649][3]~78866_combout\,
	cout => \led_flash_cnt[3649][3]~78867\);

-- Location: FF_X52_Y20_N23
\led_flash_cnt[3649][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3649][3]~78866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3649][3]~q\);

-- Location: LCCOMB_X52_Y20_N24
\led_flash_cnt[3649][4]~78868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3649][4]~78868_combout\ = (\led_flash_cnt[3649][4]~q\ & (!\led_flash_cnt[3649][3]~78867\)) # (!\led_flash_cnt[3649][4]~q\ & ((\led_flash_cnt[3649][3]~78867\) # (GND)))
-- \led_flash_cnt[3649][4]~78869\ = CARRY((!\led_flash_cnt[3649][3]~78867\) # (!\led_flash_cnt[3649][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3649][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3649][3]~78867\,
	combout => \led_flash_cnt[3649][4]~78868_combout\,
	cout => \led_flash_cnt[3649][4]~78869\);

-- Location: FF_X52_Y20_N25
\led_flash_cnt[3649][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3649][4]~78868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3649][4]~q\);

-- Location: LCCOMB_X52_Y20_N26
\led_flash_cnt[3649][5]~78870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3649][5]~78870_combout\ = (\led_flash_cnt[3649][5]~q\ & (\led_flash_cnt[3649][4]~78869\ $ (GND))) # (!\led_flash_cnt[3649][5]~q\ & (!\led_flash_cnt[3649][4]~78869\ & VCC))
-- \led_flash_cnt[3649][5]~78871\ = CARRY((\led_flash_cnt[3649][5]~q\ & !\led_flash_cnt[3649][4]~78869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3649][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3649][4]~78869\,
	combout => \led_flash_cnt[3649][5]~78870_combout\,
	cout => \led_flash_cnt[3649][5]~78871\);

-- Location: FF_X52_Y20_N27
\led_flash_cnt[3649][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3649][5]~78870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3649][5]~q\);

-- Location: LCCOMB_X52_Y20_N28
\led_flash_cnt[3649][6]~78872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3649][6]~78872_combout\ = (\led_flash_cnt[3649][6]~q\ & (!\led_flash_cnt[3649][5]~78871\)) # (!\led_flash_cnt[3649][6]~q\ & ((\led_flash_cnt[3649][5]~78871\) # (GND)))
-- \led_flash_cnt[3649][6]~78873\ = CARRY((!\led_flash_cnt[3649][5]~78871\) # (!\led_flash_cnt[3649][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3649][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3649][5]~78871\,
	combout => \led_flash_cnt[3649][6]~78872_combout\,
	cout => \led_flash_cnt[3649][6]~78873\);

-- Location: FF_X52_Y20_N29
\led_flash_cnt[3649][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3649][6]~78872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3649][6]~q\);

-- Location: LCCOMB_X51_Y20_N10
\WideAnd3649~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3649~1_combout\ = (\led_flash_cnt[3649][5]~q\ & \led_flash_cnt[3649][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3649][5]~q\,
	datad => \led_flash_cnt[3649][6]~q\,
	combout => \WideAnd3649~1_combout\);

-- Location: LCCOMB_X51_Y20_N14
\WideAnd3649~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3649~0_combout\ = (\led_flash_cnt[3649][1]~q\ & (\led_flash_cnt[3649][4]~q\ & (\led_flash_cnt[3649][2]~q\ & \led_flash_cnt[3649][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3649][1]~q\,
	datab => \led_flash_cnt[3649][4]~q\,
	datac => \led_flash_cnt[3649][2]~q\,
	datad => \led_flash_cnt[3649][3]~q\,
	combout => \WideAnd3649~0_combout\);

-- Location: LCCOMB_X52_Y20_N30
\led_flash_cnt[3649][7]~78874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3649][7]~78874_combout\ = \led_flash_cnt[3649][7]~q\ $ (!\led_flash_cnt[3649][6]~78873\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3649][7]~q\,
	cin => \led_flash_cnt[3649][6]~78873\,
	combout => \led_flash_cnt[3649][7]~78874_combout\);

-- Location: FF_X52_Y20_N31
\led_flash_cnt[3649][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3649][7]~78874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3649][7]~q\);

-- Location: LCCOMB_X51_Y20_N2
WideAnd3649 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3649~combout\ = (\WideAnd3649~1_combout\ & (\WideAnd3649~0_combout\ & (\led_flash_cnt[3649][7]~q\ & \led_flash_cnt[3649][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3649~1_combout\,
	datab => \WideAnd3649~0_combout\,
	datac => \led_flash_cnt[3649][7]~q\,
	datad => \led_flash_cnt[3649][0]~q\,
	combout => \WideAnd3649~combout\);

-- Location: FF_X51_Y20_N3
\led_flash_cnt_ands[3649]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3649~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3649));

-- Location: LCCOMB_X51_Y20_N0
\WideAnd4296~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4296~0_combout\ = (led_flash_cnt_ands(3648) & (led_flash_cnt_ands(3650) & (led_flash_cnt_ands(3651) & led_flash_cnt_ands(3649))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3648),
	datab => led_flash_cnt_ands(3650),
	datac => led_flash_cnt_ands(3651),
	datad => led_flash_cnt_ands(3649),
	combout => \WideAnd4296~0_combout\);

-- Location: LCCOMB_X51_Y21_N4
WideAnd4296 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4296~combout\ = (\WideAnd4296~1_combout\ & (led_flash_cnt_ands(3655) & (led_flash_cnt_ands(3654) & \WideAnd4296~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4296~1_combout\,
	datab => led_flash_cnt_ands(3655),
	datac => led_flash_cnt_ands(3654),
	datad => \WideAnd4296~0_combout\,
	combout => \WideAnd4296~combout\);

-- Location: FF_X51_Y21_N5
\led_flash_cnt_ands_1[456]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4296~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(456));

-- Location: LCCOMB_X58_Y27_N30
\led_flash_cnt[3670][0]~84374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3670][0]~84374_combout\ = !\led_flash_cnt[3670][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3670][0]~q\,
	combout => \led_flash_cnt[3670][0]~84374_combout\);

-- Location: FF_X58_Y27_N31
\led_flash_cnt[3670][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3670][0]~84374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3670][0]~q\);

-- Location: LCCOMB_X58_Y26_N16
\led_flash_cnt[3670][1]~79156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3670][1]~79156_combout\ = (\led_flash_cnt[3670][0]~q\ & (\led_flash_cnt[3670][1]~q\ $ (VCC))) # (!\led_flash_cnt[3670][0]~q\ & (\led_flash_cnt[3670][1]~q\ & VCC))
-- \led_flash_cnt[3670][1]~79157\ = CARRY((\led_flash_cnt[3670][0]~q\ & \led_flash_cnt[3670][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3670][0]~q\,
	datab => \led_flash_cnt[3670][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3670][1]~79156_combout\,
	cout => \led_flash_cnt[3670][1]~79157\);

-- Location: FF_X58_Y26_N17
\led_flash_cnt[3670][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3670][1]~79156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3670][1]~q\);

-- Location: LCCOMB_X58_Y26_N18
\led_flash_cnt[3670][2]~79158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3670][2]~79158_combout\ = (\led_flash_cnt[3670][2]~q\ & (!\led_flash_cnt[3670][1]~79157\)) # (!\led_flash_cnt[3670][2]~q\ & ((\led_flash_cnt[3670][1]~79157\) # (GND)))
-- \led_flash_cnt[3670][2]~79159\ = CARRY((!\led_flash_cnt[3670][1]~79157\) # (!\led_flash_cnt[3670][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3670][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3670][1]~79157\,
	combout => \led_flash_cnt[3670][2]~79158_combout\,
	cout => \led_flash_cnt[3670][2]~79159\);

-- Location: FF_X58_Y26_N19
\led_flash_cnt[3670][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3670][2]~79158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3670][2]~q\);

-- Location: LCCOMB_X58_Y26_N20
\led_flash_cnt[3670][3]~79160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3670][3]~79160_combout\ = (\led_flash_cnt[3670][3]~q\ & (\led_flash_cnt[3670][2]~79159\ $ (GND))) # (!\led_flash_cnt[3670][3]~q\ & (!\led_flash_cnt[3670][2]~79159\ & VCC))
-- \led_flash_cnt[3670][3]~79161\ = CARRY((\led_flash_cnt[3670][3]~q\ & !\led_flash_cnt[3670][2]~79159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3670][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3670][2]~79159\,
	combout => \led_flash_cnt[3670][3]~79160_combout\,
	cout => \led_flash_cnt[3670][3]~79161\);

-- Location: FF_X58_Y26_N21
\led_flash_cnt[3670][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3670][3]~79160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3670][3]~q\);

-- Location: LCCOMB_X58_Y26_N22
\led_flash_cnt[3670][4]~79162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3670][4]~79162_combout\ = (\led_flash_cnt[3670][4]~q\ & (!\led_flash_cnt[3670][3]~79161\)) # (!\led_flash_cnt[3670][4]~q\ & ((\led_flash_cnt[3670][3]~79161\) # (GND)))
-- \led_flash_cnt[3670][4]~79163\ = CARRY((!\led_flash_cnt[3670][3]~79161\) # (!\led_flash_cnt[3670][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3670][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3670][3]~79161\,
	combout => \led_flash_cnt[3670][4]~79162_combout\,
	cout => \led_flash_cnt[3670][4]~79163\);

-- Location: FF_X58_Y26_N23
\led_flash_cnt[3670][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3670][4]~79162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3670][4]~q\);

-- Location: LCCOMB_X58_Y26_N30
\WideAnd3670~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3670~0_combout\ = (\led_flash_cnt[3670][1]~q\ & (\led_flash_cnt[3670][3]~q\ & (\led_flash_cnt[3670][4]~q\ & \led_flash_cnt[3670][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3670][1]~q\,
	datab => \led_flash_cnt[3670][3]~q\,
	datac => \led_flash_cnt[3670][4]~q\,
	datad => \led_flash_cnt[3670][2]~q\,
	combout => \WideAnd3670~0_combout\);

-- Location: LCCOMB_X58_Y26_N24
\led_flash_cnt[3670][5]~79164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3670][5]~79164_combout\ = (\led_flash_cnt[3670][5]~q\ & (\led_flash_cnt[3670][4]~79163\ $ (GND))) # (!\led_flash_cnt[3670][5]~q\ & (!\led_flash_cnt[3670][4]~79163\ & VCC))
-- \led_flash_cnt[3670][5]~79165\ = CARRY((\led_flash_cnt[3670][5]~q\ & !\led_flash_cnt[3670][4]~79163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3670][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3670][4]~79163\,
	combout => \led_flash_cnt[3670][5]~79164_combout\,
	cout => \led_flash_cnt[3670][5]~79165\);

-- Location: FF_X58_Y26_N25
\led_flash_cnt[3670][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3670][5]~79164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3670][5]~q\);

-- Location: LCCOMB_X58_Y26_N26
\led_flash_cnt[3670][6]~79166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3670][6]~79166_combout\ = (\led_flash_cnt[3670][6]~q\ & (!\led_flash_cnt[3670][5]~79165\)) # (!\led_flash_cnt[3670][6]~q\ & ((\led_flash_cnt[3670][5]~79165\) # (GND)))
-- \led_flash_cnt[3670][6]~79167\ = CARRY((!\led_flash_cnt[3670][5]~79165\) # (!\led_flash_cnt[3670][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3670][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3670][5]~79165\,
	combout => \led_flash_cnt[3670][6]~79166_combout\,
	cout => \led_flash_cnt[3670][6]~79167\);

-- Location: FF_X58_Y26_N27
\led_flash_cnt[3670][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3670][6]~79166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3670][6]~q\);

-- Location: LCCOMB_X57_Y26_N28
\WideAnd3670~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3670~1_combout\ = (\led_flash_cnt[3670][6]~q\ & \led_flash_cnt[3670][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3670][6]~q\,
	datad => \led_flash_cnt[3670][5]~q\,
	combout => \WideAnd3670~1_combout\);

-- Location: LCCOMB_X58_Y26_N28
\led_flash_cnt[3670][7]~79168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3670][7]~79168_combout\ = \led_flash_cnt[3670][6]~79167\ $ (!\led_flash_cnt[3670][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3670][7]~q\,
	cin => \led_flash_cnt[3670][6]~79167\,
	combout => \led_flash_cnt[3670][7]~79168_combout\);

-- Location: FF_X58_Y26_N29
\led_flash_cnt[3670][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3670][7]~79168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3670][7]~q\);

-- Location: LCCOMB_X58_Y26_N14
WideAnd3670 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3670~combout\ = (\WideAnd3670~0_combout\ & (\WideAnd3670~1_combout\ & (\led_flash_cnt[3670][0]~q\ & \led_flash_cnt[3670][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3670~0_combout\,
	datab => \WideAnd3670~1_combout\,
	datac => \led_flash_cnt[3670][0]~q\,
	datad => \led_flash_cnt[3670][7]~q\,
	combout => \WideAnd3670~combout\);

-- Location: FF_X58_Y26_N15
\led_flash_cnt_ands[3670]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3670~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3670));

-- Location: LCCOMB_X57_Y28_N2
\led_flash_cnt[3668][0]~84372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3668][0]~84372_combout\ = !\led_flash_cnt[3668][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3668][0]~q\,
	combout => \led_flash_cnt[3668][0]~84372_combout\);

-- Location: FF_X57_Y28_N3
\led_flash_cnt[3668][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3668][0]~84372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3668][0]~q\);

-- Location: LCCOMB_X56_Y28_N2
\led_flash_cnt[3668][1]~79128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3668][1]~79128_combout\ = (\led_flash_cnt[3668][0]~q\ & (\led_flash_cnt[3668][1]~q\ $ (VCC))) # (!\led_flash_cnt[3668][0]~q\ & (\led_flash_cnt[3668][1]~q\ & VCC))
-- \led_flash_cnt[3668][1]~79129\ = CARRY((\led_flash_cnt[3668][0]~q\ & \led_flash_cnt[3668][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3668][0]~q\,
	datab => \led_flash_cnt[3668][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3668][1]~79128_combout\,
	cout => \led_flash_cnt[3668][1]~79129\);

-- Location: FF_X56_Y28_N3
\led_flash_cnt[3668][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3668][1]~79128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3668][1]~q\);

-- Location: LCCOMB_X56_Y28_N4
\led_flash_cnt[3668][2]~79130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3668][2]~79130_combout\ = (\led_flash_cnt[3668][2]~q\ & (!\led_flash_cnt[3668][1]~79129\)) # (!\led_flash_cnt[3668][2]~q\ & ((\led_flash_cnt[3668][1]~79129\) # (GND)))
-- \led_flash_cnt[3668][2]~79131\ = CARRY((!\led_flash_cnt[3668][1]~79129\) # (!\led_flash_cnt[3668][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3668][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3668][1]~79129\,
	combout => \led_flash_cnt[3668][2]~79130_combout\,
	cout => \led_flash_cnt[3668][2]~79131\);

-- Location: FF_X56_Y28_N5
\led_flash_cnt[3668][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3668][2]~79130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3668][2]~q\);

-- Location: LCCOMB_X56_Y28_N6
\led_flash_cnt[3668][3]~79132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3668][3]~79132_combout\ = (\led_flash_cnt[3668][3]~q\ & (\led_flash_cnt[3668][2]~79131\ $ (GND))) # (!\led_flash_cnt[3668][3]~q\ & (!\led_flash_cnt[3668][2]~79131\ & VCC))
-- \led_flash_cnt[3668][3]~79133\ = CARRY((\led_flash_cnt[3668][3]~q\ & !\led_flash_cnt[3668][2]~79131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3668][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3668][2]~79131\,
	combout => \led_flash_cnt[3668][3]~79132_combout\,
	cout => \led_flash_cnt[3668][3]~79133\);

-- Location: FF_X56_Y28_N7
\led_flash_cnt[3668][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3668][3]~79132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3668][3]~q\);

-- Location: LCCOMB_X56_Y28_N8
\led_flash_cnt[3668][4]~79134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3668][4]~79134_combout\ = (\led_flash_cnt[3668][4]~q\ & (!\led_flash_cnt[3668][3]~79133\)) # (!\led_flash_cnt[3668][4]~q\ & ((\led_flash_cnt[3668][3]~79133\) # (GND)))
-- \led_flash_cnt[3668][4]~79135\ = CARRY((!\led_flash_cnt[3668][3]~79133\) # (!\led_flash_cnt[3668][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3668][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3668][3]~79133\,
	combout => \led_flash_cnt[3668][4]~79134_combout\,
	cout => \led_flash_cnt[3668][4]~79135\);

-- Location: FF_X56_Y28_N9
\led_flash_cnt[3668][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3668][4]~79134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3668][4]~q\);

-- Location: LCCOMB_X56_Y28_N10
\led_flash_cnt[3668][5]~79136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3668][5]~79136_combout\ = (\led_flash_cnt[3668][5]~q\ & (\led_flash_cnt[3668][4]~79135\ $ (GND))) # (!\led_flash_cnt[3668][5]~q\ & (!\led_flash_cnt[3668][4]~79135\ & VCC))
-- \led_flash_cnt[3668][5]~79137\ = CARRY((\led_flash_cnt[3668][5]~q\ & !\led_flash_cnt[3668][4]~79135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3668][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3668][4]~79135\,
	combout => \led_flash_cnt[3668][5]~79136_combout\,
	cout => \led_flash_cnt[3668][5]~79137\);

-- Location: FF_X56_Y28_N11
\led_flash_cnt[3668][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3668][5]~79136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3668][5]~q\);

-- Location: LCCOMB_X56_Y28_N12
\led_flash_cnt[3668][6]~79138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3668][6]~79138_combout\ = (\led_flash_cnt[3668][6]~q\ & (!\led_flash_cnt[3668][5]~79137\)) # (!\led_flash_cnt[3668][6]~q\ & ((\led_flash_cnt[3668][5]~79137\) # (GND)))
-- \led_flash_cnt[3668][6]~79139\ = CARRY((!\led_flash_cnt[3668][5]~79137\) # (!\led_flash_cnt[3668][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3668][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3668][5]~79137\,
	combout => \led_flash_cnt[3668][6]~79138_combout\,
	cout => \led_flash_cnt[3668][6]~79139\);

-- Location: FF_X56_Y28_N13
\led_flash_cnt[3668][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3668][6]~79138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3668][6]~q\);

-- Location: LCCOMB_X56_Y28_N14
\led_flash_cnt[3668][7]~79140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3668][7]~79140_combout\ = \led_flash_cnt[3668][7]~q\ $ (!\led_flash_cnt[3668][6]~79139\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3668][7]~q\,
	cin => \led_flash_cnt[3668][6]~79139\,
	combout => \led_flash_cnt[3668][7]~79140_combout\);

-- Location: FF_X56_Y28_N15
\led_flash_cnt[3668][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3668][7]~79140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3668][7]~q\);

-- Location: LCCOMB_X57_Y28_N4
\WideAnd3668~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3668~1_combout\ = (\led_flash_cnt[3668][6]~q\ & \led_flash_cnt[3668][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3668][6]~q\,
	datad => \led_flash_cnt[3668][5]~q\,
	combout => \WideAnd3668~1_combout\);

-- Location: LCCOMB_X56_Y28_N0
\WideAnd3668~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3668~0_combout\ = (\led_flash_cnt[3668][3]~q\ & (\led_flash_cnt[3668][4]~q\ & (\led_flash_cnt[3668][2]~q\ & \led_flash_cnt[3668][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3668][3]~q\,
	datab => \led_flash_cnt[3668][4]~q\,
	datac => \led_flash_cnt[3668][2]~q\,
	datad => \led_flash_cnt[3668][1]~q\,
	combout => \WideAnd3668~0_combout\);

-- Location: LCCOMB_X57_Y28_N30
WideAnd3668 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3668~combout\ = (\led_flash_cnt[3668][7]~q\ & (\WideAnd3668~1_combout\ & (\WideAnd3668~0_combout\ & \led_flash_cnt[3668][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3668][7]~q\,
	datab => \WideAnd3668~1_combout\,
	datac => \WideAnd3668~0_combout\,
	datad => \led_flash_cnt[3668][0]~q\,
	combout => \WideAnd3668~combout\);

-- Location: FF_X57_Y28_N31
\led_flash_cnt_ands[3668]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3668~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3668));

-- Location: LCCOMB_X60_Y21_N6
\led_flash_cnt[3669][0]~84373\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3669][0]~84373_combout\ = !\led_flash_cnt[3669][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3669][0]~q\,
	combout => \led_flash_cnt[3669][0]~84373_combout\);

-- Location: FF_X60_Y21_N7
\led_flash_cnt[3669][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3669][0]~84373_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3669][0]~q\);

-- Location: LCCOMB_X61_Y21_N14
\led_flash_cnt[3669][1]~79142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3669][1]~79142_combout\ = (\led_flash_cnt[3669][0]~q\ & (\led_flash_cnt[3669][1]~q\ $ (VCC))) # (!\led_flash_cnt[3669][0]~q\ & (\led_flash_cnt[3669][1]~q\ & VCC))
-- \led_flash_cnt[3669][1]~79143\ = CARRY((\led_flash_cnt[3669][0]~q\ & \led_flash_cnt[3669][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3669][0]~q\,
	datab => \led_flash_cnt[3669][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3669][1]~79142_combout\,
	cout => \led_flash_cnt[3669][1]~79143\);

-- Location: FF_X61_Y21_N15
\led_flash_cnt[3669][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3669][1]~79142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3669][1]~q\);

-- Location: LCCOMB_X61_Y21_N16
\led_flash_cnt[3669][2]~79144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3669][2]~79144_combout\ = (\led_flash_cnt[3669][2]~q\ & (!\led_flash_cnt[3669][1]~79143\)) # (!\led_flash_cnt[3669][2]~q\ & ((\led_flash_cnt[3669][1]~79143\) # (GND)))
-- \led_flash_cnt[3669][2]~79145\ = CARRY((!\led_flash_cnt[3669][1]~79143\) # (!\led_flash_cnt[3669][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3669][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3669][1]~79143\,
	combout => \led_flash_cnt[3669][2]~79144_combout\,
	cout => \led_flash_cnt[3669][2]~79145\);

-- Location: FF_X61_Y21_N17
\led_flash_cnt[3669][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3669][2]~79144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3669][2]~q\);

-- Location: LCCOMB_X61_Y21_N18
\led_flash_cnt[3669][3]~79146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3669][3]~79146_combout\ = (\led_flash_cnt[3669][3]~q\ & (\led_flash_cnt[3669][2]~79145\ $ (GND))) # (!\led_flash_cnt[3669][3]~q\ & (!\led_flash_cnt[3669][2]~79145\ & VCC))
-- \led_flash_cnt[3669][3]~79147\ = CARRY((\led_flash_cnt[3669][3]~q\ & !\led_flash_cnt[3669][2]~79145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3669][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3669][2]~79145\,
	combout => \led_flash_cnt[3669][3]~79146_combout\,
	cout => \led_flash_cnt[3669][3]~79147\);

-- Location: FF_X61_Y21_N19
\led_flash_cnt[3669][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3669][3]~79146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3669][3]~q\);

-- Location: LCCOMB_X61_Y21_N20
\led_flash_cnt[3669][4]~79148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3669][4]~79148_combout\ = (\led_flash_cnt[3669][4]~q\ & (!\led_flash_cnt[3669][3]~79147\)) # (!\led_flash_cnt[3669][4]~q\ & ((\led_flash_cnt[3669][3]~79147\) # (GND)))
-- \led_flash_cnt[3669][4]~79149\ = CARRY((!\led_flash_cnt[3669][3]~79147\) # (!\led_flash_cnt[3669][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3669][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3669][3]~79147\,
	combout => \led_flash_cnt[3669][4]~79148_combout\,
	cout => \led_flash_cnt[3669][4]~79149\);

-- Location: FF_X61_Y21_N21
\led_flash_cnt[3669][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3669][4]~79148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3669][4]~q\);

-- Location: LCCOMB_X61_Y21_N28
\WideAnd3669~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3669~0_combout\ = (\led_flash_cnt[3669][3]~q\ & (\led_flash_cnt[3669][4]~q\ & (\led_flash_cnt[3669][1]~q\ & \led_flash_cnt[3669][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3669][3]~q\,
	datab => \led_flash_cnt[3669][4]~q\,
	datac => \led_flash_cnt[3669][1]~q\,
	datad => \led_flash_cnt[3669][2]~q\,
	combout => \WideAnd3669~0_combout\);

-- Location: LCCOMB_X61_Y21_N22
\led_flash_cnt[3669][5]~79150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3669][5]~79150_combout\ = (\led_flash_cnt[3669][5]~q\ & (\led_flash_cnt[3669][4]~79149\ $ (GND))) # (!\led_flash_cnt[3669][5]~q\ & (!\led_flash_cnt[3669][4]~79149\ & VCC))
-- \led_flash_cnt[3669][5]~79151\ = CARRY((\led_flash_cnt[3669][5]~q\ & !\led_flash_cnt[3669][4]~79149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3669][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3669][4]~79149\,
	combout => \led_flash_cnt[3669][5]~79150_combout\,
	cout => \led_flash_cnt[3669][5]~79151\);

-- Location: FF_X61_Y21_N23
\led_flash_cnt[3669][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3669][5]~79150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3669][5]~q\);

-- Location: LCCOMB_X61_Y21_N24
\led_flash_cnt[3669][6]~79152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3669][6]~79152_combout\ = (\led_flash_cnt[3669][6]~q\ & (!\led_flash_cnt[3669][5]~79151\)) # (!\led_flash_cnt[3669][6]~q\ & ((\led_flash_cnt[3669][5]~79151\) # (GND)))
-- \led_flash_cnt[3669][6]~79153\ = CARRY((!\led_flash_cnt[3669][5]~79151\) # (!\led_flash_cnt[3669][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3669][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3669][5]~79151\,
	combout => \led_flash_cnt[3669][6]~79152_combout\,
	cout => \led_flash_cnt[3669][6]~79153\);

-- Location: FF_X61_Y21_N25
\led_flash_cnt[3669][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3669][6]~79152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3669][6]~q\);

-- Location: LCCOMB_X60_Y21_N8
\WideAnd3669~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3669~1_combout\ = (\led_flash_cnt[3669][5]~q\ & \led_flash_cnt[3669][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3669][5]~q\,
	datac => \led_flash_cnt[3669][6]~q\,
	combout => \WideAnd3669~1_combout\);

-- Location: LCCOMB_X61_Y21_N26
\led_flash_cnt[3669][7]~79154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3669][7]~79154_combout\ = \led_flash_cnt[3669][7]~q\ $ (!\led_flash_cnt[3669][6]~79153\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3669][7]~q\,
	cin => \led_flash_cnt[3669][6]~79153\,
	combout => \led_flash_cnt[3669][7]~79154_combout\);

-- Location: FF_X61_Y21_N27
\led_flash_cnt[3669][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3669][7]~79154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3669][7]~q\);

-- Location: LCCOMB_X60_Y21_N4
WideAnd3669 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3669~combout\ = (\led_flash_cnt[3669][0]~q\ & (\WideAnd3669~0_combout\ & (\WideAnd3669~1_combout\ & \led_flash_cnt[3669][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3669][0]~q\,
	datab => \WideAnd3669~0_combout\,
	datac => \WideAnd3669~1_combout\,
	datad => \led_flash_cnt[3669][7]~q\,
	combout => \WideAnd3669~combout\);

-- Location: FF_X60_Y21_N5
\led_flash_cnt_ands[3669]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3669~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3669));

-- Location: LCCOMB_X57_Y27_N24
\WideAnd4298~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4298~1_combout\ = (led_flash_cnt_ands(3668) & led_flash_cnt_ands(3669))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3668),
	datad => led_flash_cnt_ands(3669),
	combout => \WideAnd4298~1_combout\);

-- Location: LCCOMB_X58_Y29_N16
\led_flash_cnt[3667][0]~84371\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3667][0]~84371_combout\ = !\led_flash_cnt[3667][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3667][0]~q\,
	combout => \led_flash_cnt[3667][0]~84371_combout\);

-- Location: FF_X58_Y29_N17
\led_flash_cnt[3667][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3667][0]~84371_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3667][0]~q\);

-- Location: LCCOMB_X58_Y29_N2
\led_flash_cnt[3667][1]~79114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3667][1]~79114_combout\ = (\led_flash_cnt[3667][1]~q\ & (\led_flash_cnt[3667][0]~q\ $ (VCC))) # (!\led_flash_cnt[3667][1]~q\ & (\led_flash_cnt[3667][0]~q\ & VCC))
-- \led_flash_cnt[3667][1]~79115\ = CARRY((\led_flash_cnt[3667][1]~q\ & \led_flash_cnt[3667][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3667][1]~q\,
	datab => \led_flash_cnt[3667][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3667][1]~79114_combout\,
	cout => \led_flash_cnt[3667][1]~79115\);

-- Location: FF_X58_Y29_N3
\led_flash_cnt[3667][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3667][1]~79114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3667][1]~q\);

-- Location: LCCOMB_X58_Y29_N4
\led_flash_cnt[3667][2]~79116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3667][2]~79116_combout\ = (\led_flash_cnt[3667][2]~q\ & (!\led_flash_cnt[3667][1]~79115\)) # (!\led_flash_cnt[3667][2]~q\ & ((\led_flash_cnt[3667][1]~79115\) # (GND)))
-- \led_flash_cnt[3667][2]~79117\ = CARRY((!\led_flash_cnt[3667][1]~79115\) # (!\led_flash_cnt[3667][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3667][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3667][1]~79115\,
	combout => \led_flash_cnt[3667][2]~79116_combout\,
	cout => \led_flash_cnt[3667][2]~79117\);

-- Location: FF_X58_Y29_N5
\led_flash_cnt[3667][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3667][2]~79116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3667][2]~q\);

-- Location: LCCOMB_X58_Y29_N6
\led_flash_cnt[3667][3]~79118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3667][3]~79118_combout\ = (\led_flash_cnt[3667][3]~q\ & (\led_flash_cnt[3667][2]~79117\ $ (GND))) # (!\led_flash_cnt[3667][3]~q\ & (!\led_flash_cnt[3667][2]~79117\ & VCC))
-- \led_flash_cnt[3667][3]~79119\ = CARRY((\led_flash_cnt[3667][3]~q\ & !\led_flash_cnt[3667][2]~79117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3667][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3667][2]~79117\,
	combout => \led_flash_cnt[3667][3]~79118_combout\,
	cout => \led_flash_cnt[3667][3]~79119\);

-- Location: FF_X58_Y29_N7
\led_flash_cnt[3667][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3667][3]~79118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3667][3]~q\);

-- Location: LCCOMB_X58_Y29_N8
\led_flash_cnt[3667][4]~79120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3667][4]~79120_combout\ = (\led_flash_cnt[3667][4]~q\ & (!\led_flash_cnt[3667][3]~79119\)) # (!\led_flash_cnt[3667][4]~q\ & ((\led_flash_cnt[3667][3]~79119\) # (GND)))
-- \led_flash_cnt[3667][4]~79121\ = CARRY((!\led_flash_cnt[3667][3]~79119\) # (!\led_flash_cnt[3667][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3667][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3667][3]~79119\,
	combout => \led_flash_cnt[3667][4]~79120_combout\,
	cout => \led_flash_cnt[3667][4]~79121\);

-- Location: FF_X58_Y29_N9
\led_flash_cnt[3667][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3667][4]~79120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3667][4]~q\);

-- Location: LCCOMB_X58_Y29_N10
\led_flash_cnt[3667][5]~79122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3667][5]~79122_combout\ = (\led_flash_cnt[3667][5]~q\ & (\led_flash_cnt[3667][4]~79121\ $ (GND))) # (!\led_flash_cnt[3667][5]~q\ & (!\led_flash_cnt[3667][4]~79121\ & VCC))
-- \led_flash_cnt[3667][5]~79123\ = CARRY((\led_flash_cnt[3667][5]~q\ & !\led_flash_cnt[3667][4]~79121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3667][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3667][4]~79121\,
	combout => \led_flash_cnt[3667][5]~79122_combout\,
	cout => \led_flash_cnt[3667][5]~79123\);

-- Location: FF_X58_Y29_N11
\led_flash_cnt[3667][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3667][5]~79122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3667][5]~q\);

-- Location: LCCOMB_X58_Y29_N12
\led_flash_cnt[3667][6]~79124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3667][6]~79124_combout\ = (\led_flash_cnt[3667][6]~q\ & (!\led_flash_cnt[3667][5]~79123\)) # (!\led_flash_cnt[3667][6]~q\ & ((\led_flash_cnt[3667][5]~79123\) # (GND)))
-- \led_flash_cnt[3667][6]~79125\ = CARRY((!\led_flash_cnt[3667][5]~79123\) # (!\led_flash_cnt[3667][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3667][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3667][5]~79123\,
	combout => \led_flash_cnt[3667][6]~79124_combout\,
	cout => \led_flash_cnt[3667][6]~79125\);

-- Location: FF_X58_Y29_N13
\led_flash_cnt[3667][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3667][6]~79124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3667][6]~q\);

-- Location: LCCOMB_X58_Y29_N26
\WideAnd3667~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3667~1_combout\ = (\led_flash_cnt[3667][6]~q\ & \led_flash_cnt[3667][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3667][6]~q\,
	datad => \led_flash_cnt[3667][5]~q\,
	combout => \WideAnd3667~1_combout\);

-- Location: LCCOMB_X58_Y29_N24
\WideAnd3667~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3667~0_combout\ = (\led_flash_cnt[3667][1]~q\ & (\led_flash_cnt[3667][4]~q\ & (\led_flash_cnt[3667][2]~q\ & \led_flash_cnt[3667][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3667][1]~q\,
	datab => \led_flash_cnt[3667][4]~q\,
	datac => \led_flash_cnt[3667][2]~q\,
	datad => \led_flash_cnt[3667][3]~q\,
	combout => \WideAnd3667~0_combout\);

-- Location: LCCOMB_X58_Y29_N14
\led_flash_cnt[3667][7]~79126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3667][7]~79126_combout\ = \led_flash_cnt[3667][7]~q\ $ (!\led_flash_cnt[3667][6]~79125\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3667][7]~q\,
	cin => \led_flash_cnt[3667][6]~79125\,
	combout => \led_flash_cnt[3667][7]~79126_combout\);

-- Location: FF_X58_Y29_N15
\led_flash_cnt[3667][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3667][7]~79126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3667][7]~q\);

-- Location: LCCOMB_X58_Y29_N22
WideAnd3667 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3667~combout\ = (\WideAnd3667~1_combout\ & (\WideAnd3667~0_combout\ & (\led_flash_cnt[3667][7]~q\ & \led_flash_cnt[3667][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3667~1_combout\,
	datab => \WideAnd3667~0_combout\,
	datac => \led_flash_cnt[3667][7]~q\,
	datad => \led_flash_cnt[3667][0]~q\,
	combout => \WideAnd3667~combout\);

-- Location: FF_X58_Y29_N23
\led_flash_cnt_ands[3667]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3667~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3667));

-- Location: LCCOMB_X58_Y27_N28
\led_flash_cnt[3665][0]~84369\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3665][0]~84369_combout\ = !\led_flash_cnt[3665][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3665][0]~q\,
	combout => \led_flash_cnt[3665][0]~84369_combout\);

-- Location: FF_X58_Y27_N29
\led_flash_cnt[3665][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3665][0]~84369_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3665][0]~q\);

-- Location: LCCOMB_X58_Y27_N12
\led_flash_cnt[3665][1]~79086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3665][1]~79086_combout\ = (\led_flash_cnt[3665][1]~q\ & (\led_flash_cnt[3665][0]~q\ $ (VCC))) # (!\led_flash_cnt[3665][1]~q\ & (\led_flash_cnt[3665][0]~q\ & VCC))
-- \led_flash_cnt[3665][1]~79087\ = CARRY((\led_flash_cnt[3665][1]~q\ & \led_flash_cnt[3665][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3665][1]~q\,
	datab => \led_flash_cnt[3665][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3665][1]~79086_combout\,
	cout => \led_flash_cnt[3665][1]~79087\);

-- Location: FF_X58_Y27_N13
\led_flash_cnt[3665][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3665][1]~79086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3665][1]~q\);

-- Location: LCCOMB_X58_Y27_N14
\led_flash_cnt[3665][2]~79088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3665][2]~79088_combout\ = (\led_flash_cnt[3665][2]~q\ & (!\led_flash_cnt[3665][1]~79087\)) # (!\led_flash_cnt[3665][2]~q\ & ((\led_flash_cnt[3665][1]~79087\) # (GND)))
-- \led_flash_cnt[3665][2]~79089\ = CARRY((!\led_flash_cnt[3665][1]~79087\) # (!\led_flash_cnt[3665][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3665][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3665][1]~79087\,
	combout => \led_flash_cnt[3665][2]~79088_combout\,
	cout => \led_flash_cnt[3665][2]~79089\);

-- Location: FF_X58_Y27_N15
\led_flash_cnt[3665][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3665][2]~79088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3665][2]~q\);

-- Location: LCCOMB_X58_Y27_N16
\led_flash_cnt[3665][3]~79090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3665][3]~79090_combout\ = (\led_flash_cnt[3665][3]~q\ & (\led_flash_cnt[3665][2]~79089\ $ (GND))) # (!\led_flash_cnt[3665][3]~q\ & (!\led_flash_cnt[3665][2]~79089\ & VCC))
-- \led_flash_cnt[3665][3]~79091\ = CARRY((\led_flash_cnt[3665][3]~q\ & !\led_flash_cnt[3665][2]~79089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3665][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3665][2]~79089\,
	combout => \led_flash_cnt[3665][3]~79090_combout\,
	cout => \led_flash_cnt[3665][3]~79091\);

-- Location: FF_X58_Y27_N17
\led_flash_cnt[3665][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3665][3]~79090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3665][3]~q\);

-- Location: LCCOMB_X58_Y27_N18
\led_flash_cnt[3665][4]~79092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3665][4]~79092_combout\ = (\led_flash_cnt[3665][4]~q\ & (!\led_flash_cnt[3665][3]~79091\)) # (!\led_flash_cnt[3665][4]~q\ & ((\led_flash_cnt[3665][3]~79091\) # (GND)))
-- \led_flash_cnt[3665][4]~79093\ = CARRY((!\led_flash_cnt[3665][3]~79091\) # (!\led_flash_cnt[3665][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3665][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3665][3]~79091\,
	combout => \led_flash_cnt[3665][4]~79092_combout\,
	cout => \led_flash_cnt[3665][4]~79093\);

-- Location: FF_X58_Y27_N19
\led_flash_cnt[3665][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3665][4]~79092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3665][4]~q\);

-- Location: LCCOMB_X58_Y27_N26
\WideAnd3665~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3665~0_combout\ = (\led_flash_cnt[3665][4]~q\ & (\led_flash_cnt[3665][3]~q\ & (\led_flash_cnt[3665][2]~q\ & \led_flash_cnt[3665][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3665][4]~q\,
	datab => \led_flash_cnt[3665][3]~q\,
	datac => \led_flash_cnt[3665][2]~q\,
	datad => \led_flash_cnt[3665][1]~q\,
	combout => \WideAnd3665~0_combout\);

-- Location: LCCOMB_X58_Y27_N20
\led_flash_cnt[3665][5]~79094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3665][5]~79094_combout\ = (\led_flash_cnt[3665][5]~q\ & (\led_flash_cnt[3665][4]~79093\ $ (GND))) # (!\led_flash_cnt[3665][5]~q\ & (!\led_flash_cnt[3665][4]~79093\ & VCC))
-- \led_flash_cnt[3665][5]~79095\ = CARRY((\led_flash_cnt[3665][5]~q\ & !\led_flash_cnt[3665][4]~79093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3665][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3665][4]~79093\,
	combout => \led_flash_cnt[3665][5]~79094_combout\,
	cout => \led_flash_cnt[3665][5]~79095\);

-- Location: FF_X58_Y27_N21
\led_flash_cnt[3665][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3665][5]~79094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3665][5]~q\);

-- Location: LCCOMB_X58_Y27_N22
\led_flash_cnt[3665][6]~79096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3665][6]~79096_combout\ = (\led_flash_cnt[3665][6]~q\ & (!\led_flash_cnt[3665][5]~79095\)) # (!\led_flash_cnt[3665][6]~q\ & ((\led_flash_cnt[3665][5]~79095\) # (GND)))
-- \led_flash_cnt[3665][6]~79097\ = CARRY((!\led_flash_cnt[3665][5]~79095\) # (!\led_flash_cnt[3665][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3665][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3665][5]~79095\,
	combout => \led_flash_cnt[3665][6]~79096_combout\,
	cout => \led_flash_cnt[3665][6]~79097\);

-- Location: FF_X58_Y27_N23
\led_flash_cnt[3665][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3665][6]~79096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3665][6]~q\);

-- Location: LCCOMB_X58_Y27_N24
\led_flash_cnt[3665][7]~79098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3665][7]~79098_combout\ = \led_flash_cnt[3665][6]~79097\ $ (!\led_flash_cnt[3665][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3665][7]~q\,
	cin => \led_flash_cnt[3665][6]~79097\,
	combout => \led_flash_cnt[3665][7]~79098_combout\);

-- Location: FF_X58_Y27_N25
\led_flash_cnt[3665][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3665][7]~79098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3665][7]~q\);

-- Location: LCCOMB_X58_Y27_N8
\WideAnd3665~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3665~1_combout\ = (\led_flash_cnt[3665][6]~q\ & \led_flash_cnt[3665][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3665][6]~q\,
	datad => \led_flash_cnt[3665][5]~q\,
	combout => \WideAnd3665~1_combout\);

-- Location: LCCOMB_X58_Y27_N0
WideAnd3665 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3665~combout\ = (\WideAnd3665~0_combout\ & (\led_flash_cnt[3665][7]~q\ & (\WideAnd3665~1_combout\ & \led_flash_cnt[3665][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3665~0_combout\,
	datab => \led_flash_cnt[3665][7]~q\,
	datac => \WideAnd3665~1_combout\,
	datad => \led_flash_cnt[3665][0]~q\,
	combout => \WideAnd3665~combout\);

-- Location: FF_X58_Y27_N1
\led_flash_cnt_ands[3665]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3665~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3665));

-- Location: LCCOMB_X62_Y31_N20
\led_flash_cnt[3664][0]~84368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3664][0]~84368_combout\ = !\led_flash_cnt[3664][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3664][0]~q\,
	combout => \led_flash_cnt[3664][0]~84368_combout\);

-- Location: FF_X62_Y31_N21
\led_flash_cnt[3664][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3664][0]~84368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3664][0]~q\);

-- Location: LCCOMB_X62_Y31_N6
\led_flash_cnt[3664][1]~79072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3664][1]~79072_combout\ = (\led_flash_cnt[3664][1]~q\ & (\led_flash_cnt[3664][0]~q\ $ (VCC))) # (!\led_flash_cnt[3664][1]~q\ & (\led_flash_cnt[3664][0]~q\ & VCC))
-- \led_flash_cnt[3664][1]~79073\ = CARRY((\led_flash_cnt[3664][1]~q\ & \led_flash_cnt[3664][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3664][1]~q\,
	datab => \led_flash_cnt[3664][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3664][1]~79072_combout\,
	cout => \led_flash_cnt[3664][1]~79073\);

-- Location: FF_X62_Y31_N7
\led_flash_cnt[3664][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3664][1]~79072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3664][1]~q\);

-- Location: LCCOMB_X62_Y31_N8
\led_flash_cnt[3664][2]~79074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3664][2]~79074_combout\ = (\led_flash_cnt[3664][2]~q\ & (!\led_flash_cnt[3664][1]~79073\)) # (!\led_flash_cnt[3664][2]~q\ & ((\led_flash_cnt[3664][1]~79073\) # (GND)))
-- \led_flash_cnt[3664][2]~79075\ = CARRY((!\led_flash_cnt[3664][1]~79073\) # (!\led_flash_cnt[3664][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3664][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3664][1]~79073\,
	combout => \led_flash_cnt[3664][2]~79074_combout\,
	cout => \led_flash_cnt[3664][2]~79075\);

-- Location: FF_X62_Y31_N9
\led_flash_cnt[3664][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3664][2]~79074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3664][2]~q\);

-- Location: LCCOMB_X62_Y31_N10
\led_flash_cnt[3664][3]~79076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3664][3]~79076_combout\ = (\led_flash_cnt[3664][3]~q\ & (\led_flash_cnt[3664][2]~79075\ $ (GND))) # (!\led_flash_cnt[3664][3]~q\ & (!\led_flash_cnt[3664][2]~79075\ & VCC))
-- \led_flash_cnt[3664][3]~79077\ = CARRY((\led_flash_cnt[3664][3]~q\ & !\led_flash_cnt[3664][2]~79075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3664][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3664][2]~79075\,
	combout => \led_flash_cnt[3664][3]~79076_combout\,
	cout => \led_flash_cnt[3664][3]~79077\);

-- Location: FF_X62_Y31_N11
\led_flash_cnt[3664][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3664][3]~79076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3664][3]~q\);

-- Location: LCCOMB_X62_Y31_N12
\led_flash_cnt[3664][4]~79078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3664][4]~79078_combout\ = (\led_flash_cnt[3664][4]~q\ & (!\led_flash_cnt[3664][3]~79077\)) # (!\led_flash_cnt[3664][4]~q\ & ((\led_flash_cnt[3664][3]~79077\) # (GND)))
-- \led_flash_cnt[3664][4]~79079\ = CARRY((!\led_flash_cnt[3664][3]~79077\) # (!\led_flash_cnt[3664][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3664][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3664][3]~79077\,
	combout => \led_flash_cnt[3664][4]~79078_combout\,
	cout => \led_flash_cnt[3664][4]~79079\);

-- Location: FF_X62_Y31_N13
\led_flash_cnt[3664][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3664][4]~79078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3664][4]~q\);

-- Location: LCCOMB_X62_Y31_N30
\WideAnd3664~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3664~0_combout\ = (\led_flash_cnt[3664][3]~q\ & (\led_flash_cnt[3664][4]~q\ & (\led_flash_cnt[3664][2]~q\ & \led_flash_cnt[3664][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3664][3]~q\,
	datab => \led_flash_cnt[3664][4]~q\,
	datac => \led_flash_cnt[3664][2]~q\,
	datad => \led_flash_cnt[3664][1]~q\,
	combout => \WideAnd3664~0_combout\);

-- Location: LCCOMB_X62_Y31_N14
\led_flash_cnt[3664][5]~79080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3664][5]~79080_combout\ = (\led_flash_cnt[3664][5]~q\ & (\led_flash_cnt[3664][4]~79079\ $ (GND))) # (!\led_flash_cnt[3664][5]~q\ & (!\led_flash_cnt[3664][4]~79079\ & VCC))
-- \led_flash_cnt[3664][5]~79081\ = CARRY((\led_flash_cnt[3664][5]~q\ & !\led_flash_cnt[3664][4]~79079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3664][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3664][4]~79079\,
	combout => \led_flash_cnt[3664][5]~79080_combout\,
	cout => \led_flash_cnt[3664][5]~79081\);

-- Location: FF_X62_Y31_N15
\led_flash_cnt[3664][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3664][5]~79080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3664][5]~q\);

-- Location: LCCOMB_X62_Y31_N16
\led_flash_cnt[3664][6]~79082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3664][6]~79082_combout\ = (\led_flash_cnt[3664][6]~q\ & (!\led_flash_cnt[3664][5]~79081\)) # (!\led_flash_cnt[3664][6]~q\ & ((\led_flash_cnt[3664][5]~79081\) # (GND)))
-- \led_flash_cnt[3664][6]~79083\ = CARRY((!\led_flash_cnt[3664][5]~79081\) # (!\led_flash_cnt[3664][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3664][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3664][5]~79081\,
	combout => \led_flash_cnt[3664][6]~79082_combout\,
	cout => \led_flash_cnt[3664][6]~79083\);

-- Location: FF_X62_Y31_N17
\led_flash_cnt[3664][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3664][6]~79082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3664][6]~q\);

-- Location: LCCOMB_X62_Y31_N18
\led_flash_cnt[3664][7]~79084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3664][7]~79084_combout\ = \led_flash_cnt[3664][6]~79083\ $ (!\led_flash_cnt[3664][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3664][7]~q\,
	cin => \led_flash_cnt[3664][6]~79083\,
	combout => \led_flash_cnt[3664][7]~79084_combout\);

-- Location: FF_X62_Y31_N19
\led_flash_cnt[3664][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3664][7]~79084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3664][7]~q\);

-- Location: LCCOMB_X62_Y31_N4
\WideAnd3664~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3664~1_combout\ = (\led_flash_cnt[3664][5]~q\ & \led_flash_cnt[3664][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3664][5]~q\,
	datad => \led_flash_cnt[3664][6]~q\,
	combout => \WideAnd3664~1_combout\);

-- Location: LCCOMB_X62_Y31_N26
WideAnd3664 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3664~combout\ = (\WideAnd3664~0_combout\ & (\led_flash_cnt[3664][7]~q\ & (\WideAnd3664~1_combout\ & \led_flash_cnt[3664][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3664~0_combout\,
	datab => \led_flash_cnt[3664][7]~q\,
	datac => \WideAnd3664~1_combout\,
	datad => \led_flash_cnt[3664][0]~q\,
	combout => \WideAnd3664~combout\);

-- Location: FF_X62_Y31_N27
\led_flash_cnt_ands[3664]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3664~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3664));

-- Location: LCCOMB_X58_Y29_N28
\led_flash_cnt[3666][0]~84370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3666][0]~84370_combout\ = !\led_flash_cnt[3666][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3666][0]~q\,
	combout => \led_flash_cnt[3666][0]~84370_combout\);

-- Location: FF_X58_Y29_N29
\led_flash_cnt[3666][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3666][0]~84370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3666][0]~q\);

-- Location: LCCOMB_X59_Y29_N0
\led_flash_cnt[3666][1]~79100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3666][1]~79100_combout\ = (\led_flash_cnt[3666][0]~q\ & (\led_flash_cnt[3666][1]~q\ $ (VCC))) # (!\led_flash_cnt[3666][0]~q\ & (\led_flash_cnt[3666][1]~q\ & VCC))
-- \led_flash_cnt[3666][1]~79101\ = CARRY((\led_flash_cnt[3666][0]~q\ & \led_flash_cnt[3666][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3666][0]~q\,
	datab => \led_flash_cnt[3666][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3666][1]~79100_combout\,
	cout => \led_flash_cnt[3666][1]~79101\);

-- Location: FF_X59_Y29_N1
\led_flash_cnt[3666][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3666][1]~79100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3666][1]~q\);

-- Location: LCCOMB_X59_Y29_N2
\led_flash_cnt[3666][2]~79102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3666][2]~79102_combout\ = (\led_flash_cnt[3666][2]~q\ & (!\led_flash_cnt[3666][1]~79101\)) # (!\led_flash_cnt[3666][2]~q\ & ((\led_flash_cnt[3666][1]~79101\) # (GND)))
-- \led_flash_cnt[3666][2]~79103\ = CARRY((!\led_flash_cnt[3666][1]~79101\) # (!\led_flash_cnt[3666][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3666][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3666][1]~79101\,
	combout => \led_flash_cnt[3666][2]~79102_combout\,
	cout => \led_flash_cnt[3666][2]~79103\);

-- Location: FF_X59_Y29_N3
\led_flash_cnt[3666][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3666][2]~79102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3666][2]~q\);

-- Location: LCCOMB_X59_Y29_N4
\led_flash_cnt[3666][3]~79104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3666][3]~79104_combout\ = (\led_flash_cnt[3666][3]~q\ & (\led_flash_cnt[3666][2]~79103\ $ (GND))) # (!\led_flash_cnt[3666][3]~q\ & (!\led_flash_cnt[3666][2]~79103\ & VCC))
-- \led_flash_cnt[3666][3]~79105\ = CARRY((\led_flash_cnt[3666][3]~q\ & !\led_flash_cnt[3666][2]~79103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3666][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3666][2]~79103\,
	combout => \led_flash_cnt[3666][3]~79104_combout\,
	cout => \led_flash_cnt[3666][3]~79105\);

-- Location: FF_X59_Y29_N5
\led_flash_cnt[3666][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3666][3]~79104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3666][3]~q\);

-- Location: LCCOMB_X59_Y29_N6
\led_flash_cnt[3666][4]~79106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3666][4]~79106_combout\ = (\led_flash_cnt[3666][4]~q\ & (!\led_flash_cnt[3666][3]~79105\)) # (!\led_flash_cnt[3666][4]~q\ & ((\led_flash_cnt[3666][3]~79105\) # (GND)))
-- \led_flash_cnt[3666][4]~79107\ = CARRY((!\led_flash_cnt[3666][3]~79105\) # (!\led_flash_cnt[3666][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3666][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3666][3]~79105\,
	combout => \led_flash_cnt[3666][4]~79106_combout\,
	cout => \led_flash_cnt[3666][4]~79107\);

-- Location: FF_X59_Y29_N7
\led_flash_cnt[3666][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3666][4]~79106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3666][4]~q\);

-- Location: LCCOMB_X59_Y29_N30
\WideAnd3666~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3666~0_combout\ = (\led_flash_cnt[3666][4]~q\ & (\led_flash_cnt[3666][1]~q\ & (\led_flash_cnt[3666][3]~q\ & \led_flash_cnt[3666][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3666][4]~q\,
	datab => \led_flash_cnt[3666][1]~q\,
	datac => \led_flash_cnt[3666][3]~q\,
	datad => \led_flash_cnt[3666][2]~q\,
	combout => \WideAnd3666~0_combout\);

-- Location: LCCOMB_X59_Y29_N8
\led_flash_cnt[3666][5]~79108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3666][5]~79108_combout\ = (\led_flash_cnt[3666][5]~q\ & (\led_flash_cnt[3666][4]~79107\ $ (GND))) # (!\led_flash_cnt[3666][5]~q\ & (!\led_flash_cnt[3666][4]~79107\ & VCC))
-- \led_flash_cnt[3666][5]~79109\ = CARRY((\led_flash_cnt[3666][5]~q\ & !\led_flash_cnt[3666][4]~79107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3666][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3666][4]~79107\,
	combout => \led_flash_cnt[3666][5]~79108_combout\,
	cout => \led_flash_cnt[3666][5]~79109\);

-- Location: FF_X59_Y29_N9
\led_flash_cnt[3666][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3666][5]~79108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3666][5]~q\);

-- Location: LCCOMB_X59_Y29_N10
\led_flash_cnt[3666][6]~79110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3666][6]~79110_combout\ = (\led_flash_cnt[3666][6]~q\ & (!\led_flash_cnt[3666][5]~79109\)) # (!\led_flash_cnt[3666][6]~q\ & ((\led_flash_cnt[3666][5]~79109\) # (GND)))
-- \led_flash_cnt[3666][6]~79111\ = CARRY((!\led_flash_cnt[3666][5]~79109\) # (!\led_flash_cnt[3666][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3666][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3666][5]~79109\,
	combout => \led_flash_cnt[3666][6]~79110_combout\,
	cout => \led_flash_cnt[3666][6]~79111\);

-- Location: FF_X59_Y29_N11
\led_flash_cnt[3666][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3666][6]~79110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3666][6]~q\);

-- Location: LCCOMB_X58_Y29_N20
\WideAnd3666~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3666~1_combout\ = (\led_flash_cnt[3666][5]~q\ & \led_flash_cnt[3666][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3666][5]~q\,
	datac => \led_flash_cnt[3666][6]~q\,
	combout => \WideAnd3666~1_combout\);

-- Location: LCCOMB_X59_Y29_N12
\led_flash_cnt[3666][7]~79112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3666][7]~79112_combout\ = \led_flash_cnt[3666][6]~79111\ $ (!\led_flash_cnt[3666][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3666][7]~q\,
	cin => \led_flash_cnt[3666][6]~79111\,
	combout => \led_flash_cnt[3666][7]~79112_combout\);

-- Location: FF_X59_Y29_N13
\led_flash_cnt[3666][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3666][7]~79112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3666][7]~q\);

-- Location: LCCOMB_X58_Y29_N18
WideAnd3666 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3666~combout\ = (\WideAnd3666~0_combout\ & (\WideAnd3666~1_combout\ & (\led_flash_cnt[3666][7]~q\ & \led_flash_cnt[3666][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3666~0_combout\,
	datab => \WideAnd3666~1_combout\,
	datac => \led_flash_cnt[3666][7]~q\,
	datad => \led_flash_cnt[3666][0]~q\,
	combout => \WideAnd3666~combout\);

-- Location: FF_X58_Y29_N19
\led_flash_cnt_ands[3666]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3666~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3666));

-- Location: LCCOMB_X58_Y29_N30
\WideAnd4298~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4298~0_combout\ = (led_flash_cnt_ands(3667) & (led_flash_cnt_ands(3665) & (led_flash_cnt_ands(3664) & led_flash_cnt_ands(3666))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3667),
	datab => led_flash_cnt_ands(3665),
	datac => led_flash_cnt_ands(3664),
	datad => led_flash_cnt_ands(3666),
	combout => \WideAnd4298~0_combout\);

-- Location: LCCOMB_X58_Y27_N6
\led_flash_cnt[3671][0]~84375\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3671][0]~84375_combout\ = !\led_flash_cnt[3671][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3671][0]~q\,
	combout => \led_flash_cnt[3671][0]~84375_combout\);

-- Location: FF_X58_Y27_N7
\led_flash_cnt[3671][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3671][0]~84375_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3671][0]~q\);

-- Location: LCCOMB_X59_Y27_N0
\led_flash_cnt[3671][1]~79170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3671][1]~79170_combout\ = (\led_flash_cnt[3671][0]~q\ & (\led_flash_cnt[3671][1]~q\ $ (VCC))) # (!\led_flash_cnt[3671][0]~q\ & (\led_flash_cnt[3671][1]~q\ & VCC))
-- \led_flash_cnt[3671][1]~79171\ = CARRY((\led_flash_cnt[3671][0]~q\ & \led_flash_cnt[3671][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3671][0]~q\,
	datab => \led_flash_cnt[3671][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3671][1]~79170_combout\,
	cout => \led_flash_cnt[3671][1]~79171\);

-- Location: FF_X59_Y27_N1
\led_flash_cnt[3671][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3671][1]~79170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3671][1]~q\);

-- Location: LCCOMB_X59_Y27_N2
\led_flash_cnt[3671][2]~79172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3671][2]~79172_combout\ = (\led_flash_cnt[3671][2]~q\ & (!\led_flash_cnt[3671][1]~79171\)) # (!\led_flash_cnt[3671][2]~q\ & ((\led_flash_cnt[3671][1]~79171\) # (GND)))
-- \led_flash_cnt[3671][2]~79173\ = CARRY((!\led_flash_cnt[3671][1]~79171\) # (!\led_flash_cnt[3671][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3671][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3671][1]~79171\,
	combout => \led_flash_cnt[3671][2]~79172_combout\,
	cout => \led_flash_cnt[3671][2]~79173\);

-- Location: FF_X59_Y27_N3
\led_flash_cnt[3671][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3671][2]~79172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3671][2]~q\);

-- Location: LCCOMB_X59_Y27_N4
\led_flash_cnt[3671][3]~79174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3671][3]~79174_combout\ = (\led_flash_cnt[3671][3]~q\ & (\led_flash_cnt[3671][2]~79173\ $ (GND))) # (!\led_flash_cnt[3671][3]~q\ & (!\led_flash_cnt[3671][2]~79173\ & VCC))
-- \led_flash_cnt[3671][3]~79175\ = CARRY((\led_flash_cnt[3671][3]~q\ & !\led_flash_cnt[3671][2]~79173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3671][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3671][2]~79173\,
	combout => \led_flash_cnt[3671][3]~79174_combout\,
	cout => \led_flash_cnt[3671][3]~79175\);

-- Location: FF_X59_Y27_N5
\led_flash_cnt[3671][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3671][3]~79174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3671][3]~q\);

-- Location: LCCOMB_X59_Y27_N6
\led_flash_cnt[3671][4]~79176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3671][4]~79176_combout\ = (\led_flash_cnt[3671][4]~q\ & (!\led_flash_cnt[3671][3]~79175\)) # (!\led_flash_cnt[3671][4]~q\ & ((\led_flash_cnt[3671][3]~79175\) # (GND)))
-- \led_flash_cnt[3671][4]~79177\ = CARRY((!\led_flash_cnt[3671][3]~79175\) # (!\led_flash_cnt[3671][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3671][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3671][3]~79175\,
	combout => \led_flash_cnt[3671][4]~79176_combout\,
	cout => \led_flash_cnt[3671][4]~79177\);

-- Location: FF_X59_Y27_N7
\led_flash_cnt[3671][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3671][4]~79176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3671][4]~q\);

-- Location: LCCOMB_X59_Y27_N14
\WideAnd3671~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3671~0_combout\ = (\led_flash_cnt[3671][4]~q\ & (\led_flash_cnt[3671][1]~q\ & (\led_flash_cnt[3671][3]~q\ & \led_flash_cnt[3671][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3671][4]~q\,
	datab => \led_flash_cnt[3671][1]~q\,
	datac => \led_flash_cnt[3671][3]~q\,
	datad => \led_flash_cnt[3671][2]~q\,
	combout => \WideAnd3671~0_combout\);

-- Location: LCCOMB_X59_Y27_N8
\led_flash_cnt[3671][5]~79178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3671][5]~79178_combout\ = (\led_flash_cnt[3671][5]~q\ & (\led_flash_cnt[3671][4]~79177\ $ (GND))) # (!\led_flash_cnt[3671][5]~q\ & (!\led_flash_cnt[3671][4]~79177\ & VCC))
-- \led_flash_cnt[3671][5]~79179\ = CARRY((\led_flash_cnt[3671][5]~q\ & !\led_flash_cnt[3671][4]~79177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3671][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3671][4]~79177\,
	combout => \led_flash_cnt[3671][5]~79178_combout\,
	cout => \led_flash_cnt[3671][5]~79179\);

-- Location: FF_X59_Y27_N9
\led_flash_cnt[3671][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3671][5]~79178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3671][5]~q\);

-- Location: LCCOMB_X59_Y27_N10
\led_flash_cnt[3671][6]~79180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3671][6]~79180_combout\ = (\led_flash_cnt[3671][6]~q\ & (!\led_flash_cnt[3671][5]~79179\)) # (!\led_flash_cnt[3671][6]~q\ & ((\led_flash_cnt[3671][5]~79179\) # (GND)))
-- \led_flash_cnt[3671][6]~79181\ = CARRY((!\led_flash_cnt[3671][5]~79179\) # (!\led_flash_cnt[3671][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3671][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3671][5]~79179\,
	combout => \led_flash_cnt[3671][6]~79180_combout\,
	cout => \led_flash_cnt[3671][6]~79181\);

-- Location: FF_X59_Y27_N11
\led_flash_cnt[3671][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3671][6]~79180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3671][6]~q\);

-- Location: LCCOMB_X59_Y27_N12
\led_flash_cnt[3671][7]~79182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3671][7]~79182_combout\ = \led_flash_cnt[3671][6]~79181\ $ (!\led_flash_cnt[3671][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3671][7]~q\,
	cin => \led_flash_cnt[3671][6]~79181\,
	combout => \led_flash_cnt[3671][7]~79182_combout\);

-- Location: FF_X59_Y27_N13
\led_flash_cnt[3671][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3671][7]~79182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3671][7]~q\);

-- Location: LCCOMB_X59_Y27_N16
\WideAnd3671~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3671~1_combout\ = (\led_flash_cnt[3671][5]~q\ & \led_flash_cnt[3671][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3671][5]~q\,
	datad => \led_flash_cnt[3671][6]~q\,
	combout => \WideAnd3671~1_combout\);

-- Location: LCCOMB_X58_Y27_N10
WideAnd3671 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3671~combout\ = (\led_flash_cnt[3671][0]~q\ & (\WideAnd3671~0_combout\ & (\led_flash_cnt[3671][7]~q\ & \WideAnd3671~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3671][0]~q\,
	datab => \WideAnd3671~0_combout\,
	datac => \led_flash_cnt[3671][7]~q\,
	datad => \WideAnd3671~1_combout\,
	combout => \WideAnd3671~combout\);

-- Location: FF_X58_Y27_N11
\led_flash_cnt_ands[3671]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3671~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3671));

-- Location: LCCOMB_X58_Y27_N4
WideAnd4298 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4298~combout\ = (led_flash_cnt_ands(3670) & (\WideAnd4298~1_combout\ & (\WideAnd4298~0_combout\ & led_flash_cnt_ands(3671))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3670),
	datab => \WideAnd4298~1_combout\,
	datac => \WideAnd4298~0_combout\,
	datad => led_flash_cnt_ands(3671),
	combout => \WideAnd4298~combout\);

-- Location: FF_X58_Y27_N5
\led_flash_cnt_ands_1[458]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4298~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(458));

-- Location: LCCOMB_X42_Y27_N4
\led_flash_cnt[3679][0]~84383\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3679][0]~84383_combout\ = !\led_flash_cnt[3679][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3679][0]~q\,
	combout => \led_flash_cnt[3679][0]~84383_combout\);

-- Location: FF_X42_Y27_N5
\led_flash_cnt[3679][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3679][0]~84383_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3679][0]~q\);

-- Location: LCCOMB_X43_Y27_N0
\led_flash_cnt[3679][1]~79282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3679][1]~79282_combout\ = (\led_flash_cnt[3679][0]~q\ & (\led_flash_cnt[3679][1]~q\ $ (VCC))) # (!\led_flash_cnt[3679][0]~q\ & (\led_flash_cnt[3679][1]~q\ & VCC))
-- \led_flash_cnt[3679][1]~79283\ = CARRY((\led_flash_cnt[3679][0]~q\ & \led_flash_cnt[3679][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3679][0]~q\,
	datab => \led_flash_cnt[3679][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3679][1]~79282_combout\,
	cout => \led_flash_cnt[3679][1]~79283\);

-- Location: FF_X43_Y27_N1
\led_flash_cnt[3679][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3679][1]~79282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3679][1]~q\);

-- Location: LCCOMB_X43_Y27_N2
\led_flash_cnt[3679][2]~79284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3679][2]~79284_combout\ = (\led_flash_cnt[3679][2]~q\ & (!\led_flash_cnt[3679][1]~79283\)) # (!\led_flash_cnt[3679][2]~q\ & ((\led_flash_cnt[3679][1]~79283\) # (GND)))
-- \led_flash_cnt[3679][2]~79285\ = CARRY((!\led_flash_cnt[3679][1]~79283\) # (!\led_flash_cnt[3679][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3679][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3679][1]~79283\,
	combout => \led_flash_cnt[3679][2]~79284_combout\,
	cout => \led_flash_cnt[3679][2]~79285\);

-- Location: FF_X43_Y27_N3
\led_flash_cnt[3679][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3679][2]~79284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3679][2]~q\);

-- Location: LCCOMB_X43_Y27_N4
\led_flash_cnt[3679][3]~79286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3679][3]~79286_combout\ = (\led_flash_cnt[3679][3]~q\ & (\led_flash_cnt[3679][2]~79285\ $ (GND))) # (!\led_flash_cnt[3679][3]~q\ & (!\led_flash_cnt[3679][2]~79285\ & VCC))
-- \led_flash_cnt[3679][3]~79287\ = CARRY((\led_flash_cnt[3679][3]~q\ & !\led_flash_cnt[3679][2]~79285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3679][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3679][2]~79285\,
	combout => \led_flash_cnt[3679][3]~79286_combout\,
	cout => \led_flash_cnt[3679][3]~79287\);

-- Location: FF_X43_Y27_N5
\led_flash_cnt[3679][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3679][3]~79286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3679][3]~q\);

-- Location: LCCOMB_X43_Y27_N6
\led_flash_cnt[3679][4]~79288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3679][4]~79288_combout\ = (\led_flash_cnt[3679][4]~q\ & (!\led_flash_cnt[3679][3]~79287\)) # (!\led_flash_cnt[3679][4]~q\ & ((\led_flash_cnt[3679][3]~79287\) # (GND)))
-- \led_flash_cnt[3679][4]~79289\ = CARRY((!\led_flash_cnt[3679][3]~79287\) # (!\led_flash_cnt[3679][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3679][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3679][3]~79287\,
	combout => \led_flash_cnt[3679][4]~79288_combout\,
	cout => \led_flash_cnt[3679][4]~79289\);

-- Location: FF_X43_Y27_N7
\led_flash_cnt[3679][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3679][4]~79288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3679][4]~q\);

-- Location: LCCOMB_X43_Y27_N8
\led_flash_cnt[3679][5]~79290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3679][5]~79290_combout\ = (\led_flash_cnt[3679][5]~q\ & (\led_flash_cnt[3679][4]~79289\ $ (GND))) # (!\led_flash_cnt[3679][5]~q\ & (!\led_flash_cnt[3679][4]~79289\ & VCC))
-- \led_flash_cnt[3679][5]~79291\ = CARRY((\led_flash_cnt[3679][5]~q\ & !\led_flash_cnt[3679][4]~79289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3679][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3679][4]~79289\,
	combout => \led_flash_cnt[3679][5]~79290_combout\,
	cout => \led_flash_cnt[3679][5]~79291\);

-- Location: FF_X43_Y27_N9
\led_flash_cnt[3679][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3679][5]~79290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3679][5]~q\);

-- Location: LCCOMB_X43_Y27_N10
\led_flash_cnt[3679][6]~79292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3679][6]~79292_combout\ = (\led_flash_cnt[3679][6]~q\ & (!\led_flash_cnt[3679][5]~79291\)) # (!\led_flash_cnt[3679][6]~q\ & ((\led_flash_cnt[3679][5]~79291\) # (GND)))
-- \led_flash_cnt[3679][6]~79293\ = CARRY((!\led_flash_cnt[3679][5]~79291\) # (!\led_flash_cnt[3679][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3679][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3679][5]~79291\,
	combout => \led_flash_cnt[3679][6]~79292_combout\,
	cout => \led_flash_cnt[3679][6]~79293\);

-- Location: FF_X43_Y27_N11
\led_flash_cnt[3679][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3679][6]~79292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3679][6]~q\);

-- Location: LCCOMB_X42_Y27_N30
\WideAnd3679~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3679~1_combout\ = (\led_flash_cnt[3679][6]~q\ & \led_flash_cnt[3679][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3679][6]~q\,
	datac => \led_flash_cnt[3679][5]~q\,
	combout => \WideAnd3679~1_combout\);

-- Location: LCCOMB_X43_Y27_N12
\led_flash_cnt[3679][7]~79294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3679][7]~79294_combout\ = \led_flash_cnt[3679][6]~79293\ $ (!\led_flash_cnt[3679][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3679][7]~q\,
	cin => \led_flash_cnt[3679][6]~79293\,
	combout => \led_flash_cnt[3679][7]~79294_combout\);

-- Location: FF_X43_Y27_N13
\led_flash_cnt[3679][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3679][7]~79294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3679][7]~q\);

-- Location: LCCOMB_X43_Y27_N28
\WideAnd3679~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3679~0_combout\ = (\led_flash_cnt[3679][4]~q\ & (\led_flash_cnt[3679][2]~q\ & (\led_flash_cnt[3679][3]~q\ & \led_flash_cnt[3679][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3679][4]~q\,
	datab => \led_flash_cnt[3679][2]~q\,
	datac => \led_flash_cnt[3679][3]~q\,
	datad => \led_flash_cnt[3679][1]~q\,
	combout => \WideAnd3679~0_combout\);

-- Location: LCCOMB_X42_Y27_N12
WideAnd3679 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3679~combout\ = (\WideAnd3679~1_combout\ & (\led_flash_cnt[3679][0]~q\ & (\led_flash_cnt[3679][7]~q\ & \WideAnd3679~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3679~1_combout\,
	datab => \led_flash_cnt[3679][0]~q\,
	datac => \led_flash_cnt[3679][7]~q\,
	datad => \WideAnd3679~0_combout\,
	combout => \WideAnd3679~combout\);

-- Location: FF_X42_Y27_N13
\led_flash_cnt_ands[3679]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3679~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3679));

-- Location: LCCOMB_X41_Y27_N2
\led_flash_cnt[3677][0]~84381\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3677][0]~84381_combout\ = !\led_flash_cnt[3677][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3677][0]~q\,
	combout => \led_flash_cnt[3677][0]~84381_combout\);

-- Location: FF_X41_Y27_N3
\led_flash_cnt[3677][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3677][0]~84381_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3677][0]~q\);

-- Location: LCCOMB_X40_Y27_N4
\led_flash_cnt[3677][1]~79254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3677][1]~79254_combout\ = (\led_flash_cnt[3677][0]~q\ & (\led_flash_cnt[3677][1]~q\ $ (VCC))) # (!\led_flash_cnt[3677][0]~q\ & (\led_flash_cnt[3677][1]~q\ & VCC))
-- \led_flash_cnt[3677][1]~79255\ = CARRY((\led_flash_cnt[3677][0]~q\ & \led_flash_cnt[3677][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3677][0]~q\,
	datab => \led_flash_cnt[3677][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3677][1]~79254_combout\,
	cout => \led_flash_cnt[3677][1]~79255\);

-- Location: FF_X40_Y27_N5
\led_flash_cnt[3677][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3677][1]~79254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3677][1]~q\);

-- Location: LCCOMB_X40_Y27_N6
\led_flash_cnt[3677][2]~79256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3677][2]~79256_combout\ = (\led_flash_cnt[3677][2]~q\ & (!\led_flash_cnt[3677][1]~79255\)) # (!\led_flash_cnt[3677][2]~q\ & ((\led_flash_cnt[3677][1]~79255\) # (GND)))
-- \led_flash_cnt[3677][2]~79257\ = CARRY((!\led_flash_cnt[3677][1]~79255\) # (!\led_flash_cnt[3677][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3677][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3677][1]~79255\,
	combout => \led_flash_cnt[3677][2]~79256_combout\,
	cout => \led_flash_cnt[3677][2]~79257\);

-- Location: FF_X40_Y27_N7
\led_flash_cnt[3677][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3677][2]~79256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3677][2]~q\);

-- Location: LCCOMB_X40_Y27_N8
\led_flash_cnt[3677][3]~79258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3677][3]~79258_combout\ = (\led_flash_cnt[3677][3]~q\ & (\led_flash_cnt[3677][2]~79257\ $ (GND))) # (!\led_flash_cnt[3677][3]~q\ & (!\led_flash_cnt[3677][2]~79257\ & VCC))
-- \led_flash_cnt[3677][3]~79259\ = CARRY((\led_flash_cnt[3677][3]~q\ & !\led_flash_cnt[3677][2]~79257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3677][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3677][2]~79257\,
	combout => \led_flash_cnt[3677][3]~79258_combout\,
	cout => \led_flash_cnt[3677][3]~79259\);

-- Location: FF_X40_Y27_N9
\led_flash_cnt[3677][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3677][3]~79258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3677][3]~q\);

-- Location: LCCOMB_X40_Y27_N10
\led_flash_cnt[3677][4]~79260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3677][4]~79260_combout\ = (\led_flash_cnt[3677][4]~q\ & (!\led_flash_cnt[3677][3]~79259\)) # (!\led_flash_cnt[3677][4]~q\ & ((\led_flash_cnt[3677][3]~79259\) # (GND)))
-- \led_flash_cnt[3677][4]~79261\ = CARRY((!\led_flash_cnt[3677][3]~79259\) # (!\led_flash_cnt[3677][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3677][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3677][3]~79259\,
	combout => \led_flash_cnt[3677][4]~79260_combout\,
	cout => \led_flash_cnt[3677][4]~79261\);

-- Location: FF_X40_Y27_N11
\led_flash_cnt[3677][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3677][4]~79260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3677][4]~q\);

-- Location: LCCOMB_X40_Y27_N2
\WideAnd3677~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3677~0_combout\ = (\led_flash_cnt[3677][2]~q\ & (\led_flash_cnt[3677][3]~q\ & (\led_flash_cnt[3677][1]~q\ & \led_flash_cnt[3677][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3677][2]~q\,
	datab => \led_flash_cnt[3677][3]~q\,
	datac => \led_flash_cnt[3677][1]~q\,
	datad => \led_flash_cnt[3677][4]~q\,
	combout => \WideAnd3677~0_combout\);

-- Location: LCCOMB_X40_Y27_N12
\led_flash_cnt[3677][5]~79262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3677][5]~79262_combout\ = (\led_flash_cnt[3677][5]~q\ & (\led_flash_cnt[3677][4]~79261\ $ (GND))) # (!\led_flash_cnt[3677][5]~q\ & (!\led_flash_cnt[3677][4]~79261\ & VCC))
-- \led_flash_cnt[3677][5]~79263\ = CARRY((\led_flash_cnt[3677][5]~q\ & !\led_flash_cnt[3677][4]~79261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3677][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3677][4]~79261\,
	combout => \led_flash_cnt[3677][5]~79262_combout\,
	cout => \led_flash_cnt[3677][5]~79263\);

-- Location: FF_X40_Y27_N13
\led_flash_cnt[3677][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3677][5]~79262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3677][5]~q\);

-- Location: LCCOMB_X40_Y27_N14
\led_flash_cnt[3677][6]~79264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3677][6]~79264_combout\ = (\led_flash_cnt[3677][6]~q\ & (!\led_flash_cnt[3677][5]~79263\)) # (!\led_flash_cnt[3677][6]~q\ & ((\led_flash_cnt[3677][5]~79263\) # (GND)))
-- \led_flash_cnt[3677][6]~79265\ = CARRY((!\led_flash_cnt[3677][5]~79263\) # (!\led_flash_cnt[3677][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3677][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3677][5]~79263\,
	combout => \led_flash_cnt[3677][6]~79264_combout\,
	cout => \led_flash_cnt[3677][6]~79265\);

-- Location: FF_X40_Y27_N15
\led_flash_cnt[3677][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3677][6]~79264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3677][6]~q\);

-- Location: LCCOMB_X41_Y27_N0
\WideAnd3677~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3677~1_combout\ = (\led_flash_cnt[3677][6]~q\ & \led_flash_cnt[3677][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3677][6]~q\,
	datad => \led_flash_cnt[3677][5]~q\,
	combout => \WideAnd3677~1_combout\);

-- Location: LCCOMB_X40_Y27_N16
\led_flash_cnt[3677][7]~79266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3677][7]~79266_combout\ = \led_flash_cnt[3677][6]~79265\ $ (!\led_flash_cnt[3677][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3677][7]~q\,
	cin => \led_flash_cnt[3677][6]~79265\,
	combout => \led_flash_cnt[3677][7]~79266_combout\);

-- Location: FF_X40_Y27_N17
\led_flash_cnt[3677][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3677][7]~79266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3677][7]~q\);

-- Location: LCCOMB_X41_Y27_N16
WideAnd3677 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3677~combout\ = (\WideAnd3677~0_combout\ & (\WideAnd3677~1_combout\ & (\led_flash_cnt[3677][7]~q\ & \led_flash_cnt[3677][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3677~0_combout\,
	datab => \WideAnd3677~1_combout\,
	datac => \led_flash_cnt[3677][7]~q\,
	datad => \led_flash_cnt[3677][0]~q\,
	combout => \WideAnd3677~combout\);

-- Location: FF_X41_Y27_N17
\led_flash_cnt_ands[3677]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3677~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3677));

-- Location: LCCOMB_X42_Y27_N6
\led_flash_cnt[3676][0]~84380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3676][0]~84380_combout\ = !\led_flash_cnt[3676][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3676][0]~q\,
	combout => \led_flash_cnt[3676][0]~84380_combout\);

-- Location: FF_X42_Y27_N7
\led_flash_cnt[3676][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3676][0]~84380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3676][0]~q\);

-- Location: LCCOMB_X41_Y27_N18
\led_flash_cnt[3676][1]~79240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3676][1]~79240_combout\ = (\led_flash_cnt[3676][0]~q\ & (\led_flash_cnt[3676][1]~q\ $ (VCC))) # (!\led_flash_cnt[3676][0]~q\ & (\led_flash_cnt[3676][1]~q\ & VCC))
-- \led_flash_cnt[3676][1]~79241\ = CARRY((\led_flash_cnt[3676][0]~q\ & \led_flash_cnt[3676][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3676][0]~q\,
	datab => \led_flash_cnt[3676][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3676][1]~79240_combout\,
	cout => \led_flash_cnt[3676][1]~79241\);

-- Location: FF_X41_Y27_N19
\led_flash_cnt[3676][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3676][1]~79240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3676][1]~q\);

-- Location: LCCOMB_X41_Y27_N20
\led_flash_cnt[3676][2]~79242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3676][2]~79242_combout\ = (\led_flash_cnt[3676][2]~q\ & (!\led_flash_cnt[3676][1]~79241\)) # (!\led_flash_cnt[3676][2]~q\ & ((\led_flash_cnt[3676][1]~79241\) # (GND)))
-- \led_flash_cnt[3676][2]~79243\ = CARRY((!\led_flash_cnt[3676][1]~79241\) # (!\led_flash_cnt[3676][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3676][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3676][1]~79241\,
	combout => \led_flash_cnt[3676][2]~79242_combout\,
	cout => \led_flash_cnt[3676][2]~79243\);

-- Location: FF_X41_Y27_N21
\led_flash_cnt[3676][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3676][2]~79242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3676][2]~q\);

-- Location: LCCOMB_X41_Y27_N22
\led_flash_cnt[3676][3]~79244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3676][3]~79244_combout\ = (\led_flash_cnt[3676][3]~q\ & (\led_flash_cnt[3676][2]~79243\ $ (GND))) # (!\led_flash_cnt[3676][3]~q\ & (!\led_flash_cnt[3676][2]~79243\ & VCC))
-- \led_flash_cnt[3676][3]~79245\ = CARRY((\led_flash_cnt[3676][3]~q\ & !\led_flash_cnt[3676][2]~79243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3676][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3676][2]~79243\,
	combout => \led_flash_cnt[3676][3]~79244_combout\,
	cout => \led_flash_cnt[3676][3]~79245\);

-- Location: FF_X41_Y27_N23
\led_flash_cnt[3676][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3676][3]~79244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3676][3]~q\);

-- Location: LCCOMB_X41_Y27_N24
\led_flash_cnt[3676][4]~79246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3676][4]~79246_combout\ = (\led_flash_cnt[3676][4]~q\ & (!\led_flash_cnt[3676][3]~79245\)) # (!\led_flash_cnt[3676][4]~q\ & ((\led_flash_cnt[3676][3]~79245\) # (GND)))
-- \led_flash_cnt[3676][4]~79247\ = CARRY((!\led_flash_cnt[3676][3]~79245\) # (!\led_flash_cnt[3676][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3676][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3676][3]~79245\,
	combout => \led_flash_cnt[3676][4]~79246_combout\,
	cout => \led_flash_cnt[3676][4]~79247\);

-- Location: FF_X41_Y27_N25
\led_flash_cnt[3676][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3676][4]~79246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3676][4]~q\);

-- Location: LCCOMB_X41_Y27_N26
\led_flash_cnt[3676][5]~79248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3676][5]~79248_combout\ = (\led_flash_cnt[3676][5]~q\ & (\led_flash_cnt[3676][4]~79247\ $ (GND))) # (!\led_flash_cnt[3676][5]~q\ & (!\led_flash_cnt[3676][4]~79247\ & VCC))
-- \led_flash_cnt[3676][5]~79249\ = CARRY((\led_flash_cnt[3676][5]~q\ & !\led_flash_cnt[3676][4]~79247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3676][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3676][4]~79247\,
	combout => \led_flash_cnt[3676][5]~79248_combout\,
	cout => \led_flash_cnt[3676][5]~79249\);

-- Location: FF_X41_Y27_N27
\led_flash_cnt[3676][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3676][5]~79248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3676][5]~q\);

-- Location: LCCOMB_X41_Y27_N28
\led_flash_cnt[3676][6]~79250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3676][6]~79250_combout\ = (\led_flash_cnt[3676][6]~q\ & (!\led_flash_cnt[3676][5]~79249\)) # (!\led_flash_cnt[3676][6]~q\ & ((\led_flash_cnt[3676][5]~79249\) # (GND)))
-- \led_flash_cnt[3676][6]~79251\ = CARRY((!\led_flash_cnt[3676][5]~79249\) # (!\led_flash_cnt[3676][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3676][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3676][5]~79249\,
	combout => \led_flash_cnt[3676][6]~79250_combout\,
	cout => \led_flash_cnt[3676][6]~79251\);

-- Location: FF_X41_Y27_N29
\led_flash_cnt[3676][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3676][6]~79250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3676][6]~q\);

-- Location: LCCOMB_X41_Y27_N12
\WideAnd3676~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3676~1_combout\ = (\led_flash_cnt[3676][5]~q\ & \led_flash_cnt[3676][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3676][5]~q\,
	datad => \led_flash_cnt[3676][6]~q\,
	combout => \WideAnd3676~1_combout\);

-- Location: LCCOMB_X41_Y27_N8
\WideAnd3676~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3676~0_combout\ = (\led_flash_cnt[3676][4]~q\ & (\led_flash_cnt[3676][1]~q\ & (\led_flash_cnt[3676][3]~q\ & \led_flash_cnt[3676][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3676][4]~q\,
	datab => \led_flash_cnt[3676][1]~q\,
	datac => \led_flash_cnt[3676][3]~q\,
	datad => \led_flash_cnt[3676][2]~q\,
	combout => \WideAnd3676~0_combout\);

-- Location: LCCOMB_X41_Y27_N30
\led_flash_cnt[3676][7]~79252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3676][7]~79252_combout\ = \led_flash_cnt[3676][7]~q\ $ (!\led_flash_cnt[3676][6]~79251\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3676][7]~q\,
	cin => \led_flash_cnt[3676][6]~79251\,
	combout => \led_flash_cnt[3676][7]~79252_combout\);

-- Location: FF_X41_Y27_N31
\led_flash_cnt[3676][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3676][7]~79252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3676][7]~q\);

-- Location: LCCOMB_X41_Y27_N14
WideAnd3676 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3676~combout\ = (\WideAnd3676~1_combout\ & (\WideAnd3676~0_combout\ & (\led_flash_cnt[3676][7]~q\ & \led_flash_cnt[3676][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3676~1_combout\,
	datab => \WideAnd3676~0_combout\,
	datac => \led_flash_cnt[3676][7]~q\,
	datad => \led_flash_cnt[3676][0]~q\,
	combout => \WideAnd3676~combout\);

-- Location: FF_X41_Y27_N15
\led_flash_cnt_ands[3676]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3676~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3676));

-- Location: LCCOMB_X42_Y27_N14
\WideAnd4299~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4299~1_combout\ = (led_flash_cnt_ands(3677) & led_flash_cnt_ands(3676))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3677),
	datad => led_flash_cnt_ands(3676),
	combout => \WideAnd4299~1_combout\);

-- Location: LCCOMB_X23_Y7_N28
\led_flash_cnt[3678][0]~84382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3678][0]~84382_combout\ = !\led_flash_cnt[3678][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3678][0]~q\,
	combout => \led_flash_cnt[3678][0]~84382_combout\);

-- Location: FF_X23_Y7_N29
\led_flash_cnt[3678][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3678][0]~84382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3678][0]~q\);

-- Location: LCCOMB_X26_Y6_N18
\led_flash_cnt[3678][1]~79268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3678][1]~79268_combout\ = (\led_flash_cnt[3678][0]~q\ & (\led_flash_cnt[3678][1]~q\ $ (VCC))) # (!\led_flash_cnt[3678][0]~q\ & (\led_flash_cnt[3678][1]~q\ & VCC))
-- \led_flash_cnt[3678][1]~79269\ = CARRY((\led_flash_cnt[3678][0]~q\ & \led_flash_cnt[3678][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3678][0]~q\,
	datab => \led_flash_cnt[3678][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3678][1]~79268_combout\,
	cout => \led_flash_cnt[3678][1]~79269\);

-- Location: FF_X26_Y6_N19
\led_flash_cnt[3678][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3678][1]~79268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3678][1]~q\);

-- Location: LCCOMB_X26_Y6_N20
\led_flash_cnt[3678][2]~79270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3678][2]~79270_combout\ = (\led_flash_cnt[3678][2]~q\ & (!\led_flash_cnt[3678][1]~79269\)) # (!\led_flash_cnt[3678][2]~q\ & ((\led_flash_cnt[3678][1]~79269\) # (GND)))
-- \led_flash_cnt[3678][2]~79271\ = CARRY((!\led_flash_cnt[3678][1]~79269\) # (!\led_flash_cnt[3678][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3678][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3678][1]~79269\,
	combout => \led_flash_cnt[3678][2]~79270_combout\,
	cout => \led_flash_cnt[3678][2]~79271\);

-- Location: FF_X26_Y6_N21
\led_flash_cnt[3678][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3678][2]~79270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3678][2]~q\);

-- Location: LCCOMB_X26_Y6_N22
\led_flash_cnt[3678][3]~79272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3678][3]~79272_combout\ = (\led_flash_cnt[3678][3]~q\ & (\led_flash_cnt[3678][2]~79271\ $ (GND))) # (!\led_flash_cnt[3678][3]~q\ & (!\led_flash_cnt[3678][2]~79271\ & VCC))
-- \led_flash_cnt[3678][3]~79273\ = CARRY((\led_flash_cnt[3678][3]~q\ & !\led_flash_cnt[3678][2]~79271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3678][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3678][2]~79271\,
	combout => \led_flash_cnt[3678][3]~79272_combout\,
	cout => \led_flash_cnt[3678][3]~79273\);

-- Location: FF_X26_Y6_N23
\led_flash_cnt[3678][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3678][3]~79272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3678][3]~q\);

-- Location: LCCOMB_X26_Y6_N24
\led_flash_cnt[3678][4]~79274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3678][4]~79274_combout\ = (\led_flash_cnt[3678][4]~q\ & (!\led_flash_cnt[3678][3]~79273\)) # (!\led_flash_cnt[3678][4]~q\ & ((\led_flash_cnt[3678][3]~79273\) # (GND)))
-- \led_flash_cnt[3678][4]~79275\ = CARRY((!\led_flash_cnt[3678][3]~79273\) # (!\led_flash_cnt[3678][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3678][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3678][3]~79273\,
	combout => \led_flash_cnt[3678][4]~79274_combout\,
	cout => \led_flash_cnt[3678][4]~79275\);

-- Location: FF_X26_Y6_N25
\led_flash_cnt[3678][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3678][4]~79274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3678][4]~q\);

-- Location: LCCOMB_X26_Y6_N16
\WideAnd3678~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3678~0_combout\ = (\led_flash_cnt[3678][1]~q\ & (\led_flash_cnt[3678][2]~q\ & (\led_flash_cnt[3678][3]~q\ & \led_flash_cnt[3678][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3678][1]~q\,
	datab => \led_flash_cnt[3678][2]~q\,
	datac => \led_flash_cnt[3678][3]~q\,
	datad => \led_flash_cnt[3678][4]~q\,
	combout => \WideAnd3678~0_combout\);

-- Location: LCCOMB_X26_Y6_N26
\led_flash_cnt[3678][5]~79276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3678][5]~79276_combout\ = (\led_flash_cnt[3678][5]~q\ & (\led_flash_cnt[3678][4]~79275\ $ (GND))) # (!\led_flash_cnt[3678][5]~q\ & (!\led_flash_cnt[3678][4]~79275\ & VCC))
-- \led_flash_cnt[3678][5]~79277\ = CARRY((\led_flash_cnt[3678][5]~q\ & !\led_flash_cnt[3678][4]~79275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3678][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3678][4]~79275\,
	combout => \led_flash_cnt[3678][5]~79276_combout\,
	cout => \led_flash_cnt[3678][5]~79277\);

-- Location: FF_X26_Y6_N27
\led_flash_cnt[3678][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3678][5]~79276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3678][5]~q\);

-- Location: LCCOMB_X26_Y6_N28
\led_flash_cnt[3678][6]~79278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3678][6]~79278_combout\ = (\led_flash_cnt[3678][6]~q\ & (!\led_flash_cnt[3678][5]~79277\)) # (!\led_flash_cnt[3678][6]~q\ & ((\led_flash_cnt[3678][5]~79277\) # (GND)))
-- \led_flash_cnt[3678][6]~79279\ = CARRY((!\led_flash_cnt[3678][5]~79277\) # (!\led_flash_cnt[3678][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3678][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3678][5]~79277\,
	combout => \led_flash_cnt[3678][6]~79278_combout\,
	cout => \led_flash_cnt[3678][6]~79279\);

-- Location: FF_X26_Y6_N29
\led_flash_cnt[3678][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3678][6]~79278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3678][6]~q\);

-- Location: LCCOMB_X26_Y6_N30
\led_flash_cnt[3678][7]~79280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3678][7]~79280_combout\ = \led_flash_cnt[3678][7]~q\ $ (!\led_flash_cnt[3678][6]~79279\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3678][7]~q\,
	cin => \led_flash_cnt[3678][6]~79279\,
	combout => \led_flash_cnt[3678][7]~79280_combout\);

-- Location: FF_X26_Y6_N31
\led_flash_cnt[3678][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3678][7]~79280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3678][7]~q\);

-- Location: LCCOMB_X27_Y6_N22
\WideAnd3678~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3678~1_combout\ = (\led_flash_cnt[3678][5]~q\ & \led_flash_cnt[3678][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3678][5]~q\,
	datad => \led_flash_cnt[3678][6]~q\,
	combout => \WideAnd3678~1_combout\);

-- Location: LCCOMB_X26_Y6_N0
WideAnd3678 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3678~combout\ = (\led_flash_cnt[3678][0]~q\ & (\WideAnd3678~0_combout\ & (\led_flash_cnt[3678][7]~q\ & \WideAnd3678~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3678][0]~q\,
	datab => \WideAnd3678~0_combout\,
	datac => \led_flash_cnt[3678][7]~q\,
	datad => \WideAnd3678~1_combout\,
	combout => \WideAnd3678~combout\);

-- Location: FF_X26_Y6_N1
\led_flash_cnt_ands[3678]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3678~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3678));

-- Location: LCCOMB_X43_Y33_N2
\led_flash_cnt[3674][0]~84378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3674][0]~84378_combout\ = !\led_flash_cnt[3674][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3674][0]~q\,
	combout => \led_flash_cnt[3674][0]~84378_combout\);

-- Location: FF_X43_Y33_N3
\led_flash_cnt[3674][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3674][0]~84378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3674][0]~q\);

-- Location: LCCOMB_X42_Y33_N0
\led_flash_cnt[3674][1]~79212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3674][1]~79212_combout\ = (\led_flash_cnt[3674][0]~q\ & (\led_flash_cnt[3674][1]~q\ $ (VCC))) # (!\led_flash_cnt[3674][0]~q\ & (\led_flash_cnt[3674][1]~q\ & VCC))
-- \led_flash_cnt[3674][1]~79213\ = CARRY((\led_flash_cnt[3674][0]~q\ & \led_flash_cnt[3674][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3674][0]~q\,
	datab => \led_flash_cnt[3674][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3674][1]~79212_combout\,
	cout => \led_flash_cnt[3674][1]~79213\);

-- Location: FF_X42_Y33_N1
\led_flash_cnt[3674][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3674][1]~79212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3674][1]~q\);

-- Location: LCCOMB_X42_Y33_N2
\led_flash_cnt[3674][2]~79214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3674][2]~79214_combout\ = (\led_flash_cnt[3674][2]~q\ & (!\led_flash_cnt[3674][1]~79213\)) # (!\led_flash_cnt[3674][2]~q\ & ((\led_flash_cnt[3674][1]~79213\) # (GND)))
-- \led_flash_cnt[3674][2]~79215\ = CARRY((!\led_flash_cnt[3674][1]~79213\) # (!\led_flash_cnt[3674][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3674][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3674][1]~79213\,
	combout => \led_flash_cnt[3674][2]~79214_combout\,
	cout => \led_flash_cnt[3674][2]~79215\);

-- Location: FF_X42_Y33_N3
\led_flash_cnt[3674][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3674][2]~79214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3674][2]~q\);

-- Location: LCCOMB_X42_Y33_N4
\led_flash_cnt[3674][3]~79216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3674][3]~79216_combout\ = (\led_flash_cnt[3674][3]~q\ & (\led_flash_cnt[3674][2]~79215\ $ (GND))) # (!\led_flash_cnt[3674][3]~q\ & (!\led_flash_cnt[3674][2]~79215\ & VCC))
-- \led_flash_cnt[3674][3]~79217\ = CARRY((\led_flash_cnt[3674][3]~q\ & !\led_flash_cnt[3674][2]~79215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3674][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3674][2]~79215\,
	combout => \led_flash_cnt[3674][3]~79216_combout\,
	cout => \led_flash_cnt[3674][3]~79217\);

-- Location: FF_X42_Y33_N5
\led_flash_cnt[3674][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3674][3]~79216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3674][3]~q\);

-- Location: LCCOMB_X42_Y33_N6
\led_flash_cnt[3674][4]~79218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3674][4]~79218_combout\ = (\led_flash_cnt[3674][4]~q\ & (!\led_flash_cnt[3674][3]~79217\)) # (!\led_flash_cnt[3674][4]~q\ & ((\led_flash_cnt[3674][3]~79217\) # (GND)))
-- \led_flash_cnt[3674][4]~79219\ = CARRY((!\led_flash_cnt[3674][3]~79217\) # (!\led_flash_cnt[3674][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3674][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3674][3]~79217\,
	combout => \led_flash_cnt[3674][4]~79218_combout\,
	cout => \led_flash_cnt[3674][4]~79219\);

-- Location: FF_X42_Y33_N7
\led_flash_cnt[3674][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3674][4]~79218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3674][4]~q\);

-- Location: LCCOMB_X42_Y33_N8
\led_flash_cnt[3674][5]~79220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3674][5]~79220_combout\ = (\led_flash_cnt[3674][5]~q\ & (\led_flash_cnt[3674][4]~79219\ $ (GND))) # (!\led_flash_cnt[3674][5]~q\ & (!\led_flash_cnt[3674][4]~79219\ & VCC))
-- \led_flash_cnt[3674][5]~79221\ = CARRY((\led_flash_cnt[3674][5]~q\ & !\led_flash_cnt[3674][4]~79219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3674][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3674][4]~79219\,
	combout => \led_flash_cnt[3674][5]~79220_combout\,
	cout => \led_flash_cnt[3674][5]~79221\);

-- Location: FF_X42_Y33_N9
\led_flash_cnt[3674][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3674][5]~79220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3674][5]~q\);

-- Location: LCCOMB_X42_Y33_N10
\led_flash_cnt[3674][6]~79222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3674][6]~79222_combout\ = (\led_flash_cnt[3674][6]~q\ & (!\led_flash_cnt[3674][5]~79221\)) # (!\led_flash_cnt[3674][6]~q\ & ((\led_flash_cnt[3674][5]~79221\) # (GND)))
-- \led_flash_cnt[3674][6]~79223\ = CARRY((!\led_flash_cnt[3674][5]~79221\) # (!\led_flash_cnt[3674][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3674][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3674][5]~79221\,
	combout => \led_flash_cnt[3674][6]~79222_combout\,
	cout => \led_flash_cnt[3674][6]~79223\);

-- Location: FF_X42_Y33_N11
\led_flash_cnt[3674][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3674][6]~79222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3674][6]~q\);

-- Location: LCCOMB_X42_Y33_N12
\led_flash_cnt[3674][7]~79224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3674][7]~79224_combout\ = \led_flash_cnt[3674][6]~79223\ $ (!\led_flash_cnt[3674][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3674][7]~q\,
	cin => \led_flash_cnt[3674][6]~79223\,
	combout => \led_flash_cnt[3674][7]~79224_combout\);

-- Location: FF_X42_Y33_N13
\led_flash_cnt[3674][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3674][7]~79224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3674][7]~q\);

-- Location: LCCOMB_X43_Y33_N20
\WideAnd3674~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3674~0_combout\ = (\led_flash_cnt[3674][1]~q\ & (\led_flash_cnt[3674][4]~q\ & (\led_flash_cnt[3674][3]~q\ & \led_flash_cnt[3674][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3674][1]~q\,
	datab => \led_flash_cnt[3674][4]~q\,
	datac => \led_flash_cnt[3674][3]~q\,
	datad => \led_flash_cnt[3674][2]~q\,
	combout => \WideAnd3674~0_combout\);

-- Location: LCCOMB_X43_Y33_N26
\WideAnd3674~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3674~1_combout\ = (\led_flash_cnt[3674][6]~q\ & \led_flash_cnt[3674][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3674][6]~q\,
	datad => \led_flash_cnt[3674][5]~q\,
	combout => \WideAnd3674~1_combout\);

-- Location: LCCOMB_X43_Y33_N30
WideAnd3674 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3674~combout\ = (\led_flash_cnt[3674][7]~q\ & (\WideAnd3674~0_combout\ & (\WideAnd3674~1_combout\ & \led_flash_cnt[3674][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3674][7]~q\,
	datab => \WideAnd3674~0_combout\,
	datac => \WideAnd3674~1_combout\,
	datad => \led_flash_cnt[3674][0]~q\,
	combout => \WideAnd3674~combout\);

-- Location: FF_X43_Y33_N31
\led_flash_cnt_ands[3674]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3674~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3674));

-- Location: LCCOMB_X43_Y34_N30
\led_flash_cnt[3675][0]~84379\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3675][0]~84379_combout\ = !\led_flash_cnt[3675][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3675][0]~q\,
	combout => \led_flash_cnt[3675][0]~84379_combout\);

-- Location: FF_X43_Y34_N31
\led_flash_cnt[3675][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3675][0]~84379_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3675][0]~q\);

-- Location: LCCOMB_X43_Y33_N4
\led_flash_cnt[3675][1]~79226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3675][1]~79226_combout\ = (\led_flash_cnt[3675][0]~q\ & (\led_flash_cnt[3675][1]~q\ $ (VCC))) # (!\led_flash_cnt[3675][0]~q\ & (\led_flash_cnt[3675][1]~q\ & VCC))
-- \led_flash_cnt[3675][1]~79227\ = CARRY((\led_flash_cnt[3675][0]~q\ & \led_flash_cnt[3675][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3675][0]~q\,
	datab => \led_flash_cnt[3675][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3675][1]~79226_combout\,
	cout => \led_flash_cnt[3675][1]~79227\);

-- Location: FF_X43_Y33_N5
\led_flash_cnt[3675][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3675][1]~79226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3675][1]~q\);

-- Location: LCCOMB_X43_Y33_N6
\led_flash_cnt[3675][2]~79228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3675][2]~79228_combout\ = (\led_flash_cnt[3675][2]~q\ & (!\led_flash_cnt[3675][1]~79227\)) # (!\led_flash_cnt[3675][2]~q\ & ((\led_flash_cnt[3675][1]~79227\) # (GND)))
-- \led_flash_cnt[3675][2]~79229\ = CARRY((!\led_flash_cnt[3675][1]~79227\) # (!\led_flash_cnt[3675][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3675][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3675][1]~79227\,
	combout => \led_flash_cnt[3675][2]~79228_combout\,
	cout => \led_flash_cnt[3675][2]~79229\);

-- Location: FF_X43_Y33_N7
\led_flash_cnt[3675][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3675][2]~79228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3675][2]~q\);

-- Location: LCCOMB_X43_Y33_N8
\led_flash_cnt[3675][3]~79230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3675][3]~79230_combout\ = (\led_flash_cnt[3675][3]~q\ & (\led_flash_cnt[3675][2]~79229\ $ (GND))) # (!\led_flash_cnt[3675][3]~q\ & (!\led_flash_cnt[3675][2]~79229\ & VCC))
-- \led_flash_cnt[3675][3]~79231\ = CARRY((\led_flash_cnt[3675][3]~q\ & !\led_flash_cnt[3675][2]~79229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3675][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3675][2]~79229\,
	combout => \led_flash_cnt[3675][3]~79230_combout\,
	cout => \led_flash_cnt[3675][3]~79231\);

-- Location: FF_X43_Y33_N9
\led_flash_cnt[3675][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3675][3]~79230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3675][3]~q\);

-- Location: LCCOMB_X43_Y33_N10
\led_flash_cnt[3675][4]~79232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3675][4]~79232_combout\ = (\led_flash_cnt[3675][4]~q\ & (!\led_flash_cnt[3675][3]~79231\)) # (!\led_flash_cnt[3675][4]~q\ & ((\led_flash_cnt[3675][3]~79231\) # (GND)))
-- \led_flash_cnt[3675][4]~79233\ = CARRY((!\led_flash_cnt[3675][3]~79231\) # (!\led_flash_cnt[3675][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3675][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3675][3]~79231\,
	combout => \led_flash_cnt[3675][4]~79232_combout\,
	cout => \led_flash_cnt[3675][4]~79233\);

-- Location: FF_X43_Y33_N11
\led_flash_cnt[3675][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3675][4]~79232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3675][4]~q\);

-- Location: LCCOMB_X43_Y33_N12
\led_flash_cnt[3675][5]~79234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3675][5]~79234_combout\ = (\led_flash_cnt[3675][5]~q\ & (\led_flash_cnt[3675][4]~79233\ $ (GND))) # (!\led_flash_cnt[3675][5]~q\ & (!\led_flash_cnt[3675][4]~79233\ & VCC))
-- \led_flash_cnt[3675][5]~79235\ = CARRY((\led_flash_cnt[3675][5]~q\ & !\led_flash_cnt[3675][4]~79233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3675][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3675][4]~79233\,
	combout => \led_flash_cnt[3675][5]~79234_combout\,
	cout => \led_flash_cnt[3675][5]~79235\);

-- Location: FF_X43_Y33_N13
\led_flash_cnt[3675][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3675][5]~79234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3675][5]~q\);

-- Location: LCCOMB_X43_Y33_N14
\led_flash_cnt[3675][6]~79236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3675][6]~79236_combout\ = (\led_flash_cnt[3675][6]~q\ & (!\led_flash_cnt[3675][5]~79235\)) # (!\led_flash_cnt[3675][6]~q\ & ((\led_flash_cnt[3675][5]~79235\) # (GND)))
-- \led_flash_cnt[3675][6]~79237\ = CARRY((!\led_flash_cnt[3675][5]~79235\) # (!\led_flash_cnt[3675][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3675][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3675][5]~79235\,
	combout => \led_flash_cnt[3675][6]~79236_combout\,
	cout => \led_flash_cnt[3675][6]~79237\);

-- Location: FF_X43_Y33_N15
\led_flash_cnt[3675][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3675][6]~79236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3675][6]~q\);

-- Location: LCCOMB_X43_Y33_N22
\WideAnd3675~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3675~1_combout\ = (\led_flash_cnt[3675][6]~q\ & \led_flash_cnt[3675][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3675][6]~q\,
	datad => \led_flash_cnt[3675][5]~q\,
	combout => \WideAnd3675~1_combout\);

-- Location: LCCOMB_X43_Y33_N0
\WideAnd3675~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3675~0_combout\ = (\led_flash_cnt[3675][2]~q\ & (\led_flash_cnt[3675][3]~q\ & (\led_flash_cnt[3675][1]~q\ & \led_flash_cnt[3675][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3675][2]~q\,
	datab => \led_flash_cnt[3675][3]~q\,
	datac => \led_flash_cnt[3675][1]~q\,
	datad => \led_flash_cnt[3675][4]~q\,
	combout => \WideAnd3675~0_combout\);

-- Location: LCCOMB_X43_Y33_N16
\led_flash_cnt[3675][7]~79238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3675][7]~79238_combout\ = \led_flash_cnt[3675][6]~79237\ $ (!\led_flash_cnt[3675][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3675][7]~q\,
	cin => \led_flash_cnt[3675][6]~79237\,
	combout => \led_flash_cnt[3675][7]~79238_combout\);

-- Location: FF_X43_Y33_N17
\led_flash_cnt[3675][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3675][7]~79238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3675][7]~q\);

-- Location: LCCOMB_X43_Y33_N28
WideAnd3675 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3675~combout\ = (\WideAnd3675~1_combout\ & (\WideAnd3675~0_combout\ & (\led_flash_cnt[3675][0]~q\ & \led_flash_cnt[3675][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3675~1_combout\,
	datab => \WideAnd3675~0_combout\,
	datac => \led_flash_cnt[3675][0]~q\,
	datad => \led_flash_cnt[3675][7]~q\,
	combout => \WideAnd3675~combout\);

-- Location: FF_X43_Y33_N29
\led_flash_cnt_ands[3675]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3675~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3675));

-- Location: LCCOMB_X27_Y17_N12
\led_flash_cnt[3673][0]~84377\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3673][0]~84377_combout\ = !\led_flash_cnt[3673][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3673][0]~q\,
	combout => \led_flash_cnt[3673][0]~84377_combout\);

-- Location: FF_X27_Y17_N13
\led_flash_cnt[3673][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3673][0]~84377_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3673][0]~q\);

-- Location: LCCOMB_X27_Y17_N16
\led_flash_cnt[3673][1]~79198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3673][1]~79198_combout\ = (\led_flash_cnt[3673][0]~q\ & (\led_flash_cnt[3673][1]~q\ $ (VCC))) # (!\led_flash_cnt[3673][0]~q\ & (\led_flash_cnt[3673][1]~q\ & VCC))
-- \led_flash_cnt[3673][1]~79199\ = CARRY((\led_flash_cnt[3673][0]~q\ & \led_flash_cnt[3673][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3673][0]~q\,
	datab => \led_flash_cnt[3673][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3673][1]~79198_combout\,
	cout => \led_flash_cnt[3673][1]~79199\);

-- Location: FF_X27_Y17_N17
\led_flash_cnt[3673][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3673][1]~79198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3673][1]~q\);

-- Location: LCCOMB_X27_Y17_N18
\led_flash_cnt[3673][2]~79200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3673][2]~79200_combout\ = (\led_flash_cnt[3673][2]~q\ & (!\led_flash_cnt[3673][1]~79199\)) # (!\led_flash_cnt[3673][2]~q\ & ((\led_flash_cnt[3673][1]~79199\) # (GND)))
-- \led_flash_cnt[3673][2]~79201\ = CARRY((!\led_flash_cnt[3673][1]~79199\) # (!\led_flash_cnt[3673][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3673][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3673][1]~79199\,
	combout => \led_flash_cnt[3673][2]~79200_combout\,
	cout => \led_flash_cnt[3673][2]~79201\);

-- Location: FF_X27_Y17_N19
\led_flash_cnt[3673][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3673][2]~79200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3673][2]~q\);

-- Location: LCCOMB_X27_Y17_N20
\led_flash_cnt[3673][3]~79202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3673][3]~79202_combout\ = (\led_flash_cnt[3673][3]~q\ & (\led_flash_cnt[3673][2]~79201\ $ (GND))) # (!\led_flash_cnt[3673][3]~q\ & (!\led_flash_cnt[3673][2]~79201\ & VCC))
-- \led_flash_cnt[3673][3]~79203\ = CARRY((\led_flash_cnt[3673][3]~q\ & !\led_flash_cnt[3673][2]~79201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3673][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3673][2]~79201\,
	combout => \led_flash_cnt[3673][3]~79202_combout\,
	cout => \led_flash_cnt[3673][3]~79203\);

-- Location: FF_X27_Y17_N21
\led_flash_cnt[3673][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3673][3]~79202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3673][3]~q\);

-- Location: LCCOMB_X27_Y17_N22
\led_flash_cnt[3673][4]~79204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3673][4]~79204_combout\ = (\led_flash_cnt[3673][4]~q\ & (!\led_flash_cnt[3673][3]~79203\)) # (!\led_flash_cnt[3673][4]~q\ & ((\led_flash_cnt[3673][3]~79203\) # (GND)))
-- \led_flash_cnt[3673][4]~79205\ = CARRY((!\led_flash_cnt[3673][3]~79203\) # (!\led_flash_cnt[3673][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3673][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3673][3]~79203\,
	combout => \led_flash_cnt[3673][4]~79204_combout\,
	cout => \led_flash_cnt[3673][4]~79205\);

-- Location: FF_X27_Y17_N23
\led_flash_cnt[3673][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3673][4]~79204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3673][4]~q\);

-- Location: LCCOMB_X27_Y17_N24
\led_flash_cnt[3673][5]~79206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3673][5]~79206_combout\ = (\led_flash_cnt[3673][5]~q\ & (\led_flash_cnt[3673][4]~79205\ $ (GND))) # (!\led_flash_cnt[3673][5]~q\ & (!\led_flash_cnt[3673][4]~79205\ & VCC))
-- \led_flash_cnt[3673][5]~79207\ = CARRY((\led_flash_cnt[3673][5]~q\ & !\led_flash_cnt[3673][4]~79205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3673][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3673][4]~79205\,
	combout => \led_flash_cnt[3673][5]~79206_combout\,
	cout => \led_flash_cnt[3673][5]~79207\);

-- Location: FF_X27_Y17_N25
\led_flash_cnt[3673][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3673][5]~79206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3673][5]~q\);

-- Location: LCCOMB_X27_Y17_N26
\led_flash_cnt[3673][6]~79208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3673][6]~79208_combout\ = (\led_flash_cnt[3673][6]~q\ & (!\led_flash_cnt[3673][5]~79207\)) # (!\led_flash_cnt[3673][6]~q\ & ((\led_flash_cnt[3673][5]~79207\) # (GND)))
-- \led_flash_cnt[3673][6]~79209\ = CARRY((!\led_flash_cnt[3673][5]~79207\) # (!\led_flash_cnt[3673][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3673][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3673][5]~79207\,
	combout => \led_flash_cnt[3673][6]~79208_combout\,
	cout => \led_flash_cnt[3673][6]~79209\);

-- Location: FF_X27_Y17_N27
\led_flash_cnt[3673][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3673][6]~79208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3673][6]~q\);

-- Location: LCCOMB_X27_Y17_N28
\led_flash_cnt[3673][7]~79210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3673][7]~79210_combout\ = \led_flash_cnt[3673][6]~79209\ $ (!\led_flash_cnt[3673][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3673][7]~q\,
	cin => \led_flash_cnt[3673][6]~79209\,
	combout => \led_flash_cnt[3673][7]~79210_combout\);

-- Location: FF_X27_Y17_N29
\led_flash_cnt[3673][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3673][7]~79210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3673][7]~q\);

-- Location: LCCOMB_X27_Y17_N14
\WideAnd3673~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3673~0_combout\ = (\led_flash_cnt[3673][2]~q\ & (\led_flash_cnt[3673][3]~q\ & (\led_flash_cnt[3673][4]~q\ & \led_flash_cnt[3673][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3673][2]~q\,
	datab => \led_flash_cnt[3673][3]~q\,
	datac => \led_flash_cnt[3673][4]~q\,
	datad => \led_flash_cnt[3673][1]~q\,
	combout => \WideAnd3673~0_combout\);

-- Location: LCCOMB_X27_Y17_N10
\WideAnd3673~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3673~1_combout\ = (\led_flash_cnt[3673][6]~q\ & \led_flash_cnt[3673][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3673][6]~q\,
	datad => \led_flash_cnt[3673][5]~q\,
	combout => \WideAnd3673~1_combout\);

-- Location: LCCOMB_X27_Y17_N30
WideAnd3673 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3673~combout\ = (\led_flash_cnt[3673][0]~q\ & (\led_flash_cnt[3673][7]~q\ & (\WideAnd3673~0_combout\ & \WideAnd3673~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3673][0]~q\,
	datab => \led_flash_cnt[3673][7]~q\,
	datac => \WideAnd3673~0_combout\,
	datad => \WideAnd3673~1_combout\,
	combout => \WideAnd3673~combout\);

-- Location: FF_X27_Y17_N31
\led_flash_cnt_ands[3673]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3673~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3673));

-- Location: LCCOMB_X62_Y39_N22
\led_flash_cnt[3672][0]~84376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3672][0]~84376_combout\ = !\led_flash_cnt[3672][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3672][0]~q\,
	combout => \led_flash_cnt[3672][0]~84376_combout\);

-- Location: FF_X62_Y39_N23
\led_flash_cnt[3672][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3672][0]~84376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3672][0]~q\);

-- Location: LCCOMB_X62_Y39_N8
\led_flash_cnt[3672][1]~79184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3672][1]~79184_combout\ = (\led_flash_cnt[3672][0]~q\ & (\led_flash_cnt[3672][1]~q\ $ (VCC))) # (!\led_flash_cnt[3672][0]~q\ & (\led_flash_cnt[3672][1]~q\ & VCC))
-- \led_flash_cnt[3672][1]~79185\ = CARRY((\led_flash_cnt[3672][0]~q\ & \led_flash_cnt[3672][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3672][0]~q\,
	datab => \led_flash_cnt[3672][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3672][1]~79184_combout\,
	cout => \led_flash_cnt[3672][1]~79185\);

-- Location: FF_X62_Y39_N9
\led_flash_cnt[3672][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3672][1]~79184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3672][1]~q\);

-- Location: LCCOMB_X62_Y39_N10
\led_flash_cnt[3672][2]~79186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3672][2]~79186_combout\ = (\led_flash_cnt[3672][2]~q\ & (!\led_flash_cnt[3672][1]~79185\)) # (!\led_flash_cnt[3672][2]~q\ & ((\led_flash_cnt[3672][1]~79185\) # (GND)))
-- \led_flash_cnt[3672][2]~79187\ = CARRY((!\led_flash_cnt[3672][1]~79185\) # (!\led_flash_cnt[3672][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3672][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3672][1]~79185\,
	combout => \led_flash_cnt[3672][2]~79186_combout\,
	cout => \led_flash_cnt[3672][2]~79187\);

-- Location: FF_X62_Y39_N11
\led_flash_cnt[3672][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3672][2]~79186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3672][2]~q\);

-- Location: LCCOMB_X62_Y39_N12
\led_flash_cnt[3672][3]~79188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3672][3]~79188_combout\ = (\led_flash_cnt[3672][3]~q\ & (\led_flash_cnt[3672][2]~79187\ $ (GND))) # (!\led_flash_cnt[3672][3]~q\ & (!\led_flash_cnt[3672][2]~79187\ & VCC))
-- \led_flash_cnt[3672][3]~79189\ = CARRY((\led_flash_cnt[3672][3]~q\ & !\led_flash_cnt[3672][2]~79187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3672][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3672][2]~79187\,
	combout => \led_flash_cnt[3672][3]~79188_combout\,
	cout => \led_flash_cnt[3672][3]~79189\);

-- Location: FF_X62_Y39_N13
\led_flash_cnt[3672][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3672][3]~79188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3672][3]~q\);

-- Location: LCCOMB_X62_Y39_N14
\led_flash_cnt[3672][4]~79190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3672][4]~79190_combout\ = (\led_flash_cnt[3672][4]~q\ & (!\led_flash_cnt[3672][3]~79189\)) # (!\led_flash_cnt[3672][4]~q\ & ((\led_flash_cnt[3672][3]~79189\) # (GND)))
-- \led_flash_cnt[3672][4]~79191\ = CARRY((!\led_flash_cnt[3672][3]~79189\) # (!\led_flash_cnt[3672][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3672][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3672][3]~79189\,
	combout => \led_flash_cnt[3672][4]~79190_combout\,
	cout => \led_flash_cnt[3672][4]~79191\);

-- Location: FF_X62_Y39_N15
\led_flash_cnt[3672][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3672][4]~79190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3672][4]~q\);

-- Location: LCCOMB_X62_Y39_N16
\led_flash_cnt[3672][5]~79192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3672][5]~79192_combout\ = (\led_flash_cnt[3672][5]~q\ & (\led_flash_cnt[3672][4]~79191\ $ (GND))) # (!\led_flash_cnt[3672][5]~q\ & (!\led_flash_cnt[3672][4]~79191\ & VCC))
-- \led_flash_cnt[3672][5]~79193\ = CARRY((\led_flash_cnt[3672][5]~q\ & !\led_flash_cnt[3672][4]~79191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3672][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3672][4]~79191\,
	combout => \led_flash_cnt[3672][5]~79192_combout\,
	cout => \led_flash_cnt[3672][5]~79193\);

-- Location: FF_X62_Y39_N17
\led_flash_cnt[3672][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3672][5]~79192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3672][5]~q\);

-- Location: LCCOMB_X62_Y39_N18
\led_flash_cnt[3672][6]~79194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3672][6]~79194_combout\ = (\led_flash_cnt[3672][6]~q\ & (!\led_flash_cnt[3672][5]~79193\)) # (!\led_flash_cnt[3672][6]~q\ & ((\led_flash_cnt[3672][5]~79193\) # (GND)))
-- \led_flash_cnt[3672][6]~79195\ = CARRY((!\led_flash_cnt[3672][5]~79193\) # (!\led_flash_cnt[3672][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3672][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3672][5]~79193\,
	combout => \led_flash_cnt[3672][6]~79194_combout\,
	cout => \led_flash_cnt[3672][6]~79195\);

-- Location: FF_X62_Y39_N19
\led_flash_cnt[3672][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3672][6]~79194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3672][6]~q\);

-- Location: LCCOMB_X62_Y39_N20
\led_flash_cnt[3672][7]~79196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3672][7]~79196_combout\ = \led_flash_cnt[3672][6]~79195\ $ (!\led_flash_cnt[3672][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3672][7]~q\,
	cin => \led_flash_cnt[3672][6]~79195\,
	combout => \led_flash_cnt[3672][7]~79196_combout\);

-- Location: FF_X62_Y39_N21
\led_flash_cnt[3672][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3672][7]~79196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3672][7]~q\);

-- Location: LCCOMB_X62_Y39_N4
\WideAnd3672~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3672~1_combout\ = (\led_flash_cnt[3672][5]~q\ & \led_flash_cnt[3672][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3672][5]~q\,
	datad => \led_flash_cnt[3672][6]~q\,
	combout => \WideAnd3672~1_combout\);

-- Location: LCCOMB_X62_Y39_N2
\WideAnd3672~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3672~0_combout\ = (\led_flash_cnt[3672][3]~q\ & (\led_flash_cnt[3672][4]~q\ & (\led_flash_cnt[3672][1]~q\ & \led_flash_cnt[3672][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3672][3]~q\,
	datab => \led_flash_cnt[3672][4]~q\,
	datac => \led_flash_cnt[3672][1]~q\,
	datad => \led_flash_cnt[3672][2]~q\,
	combout => \WideAnd3672~0_combout\);

-- Location: LCCOMB_X62_Y39_N28
WideAnd3672 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3672~combout\ = (\led_flash_cnt[3672][0]~q\ & (\led_flash_cnt[3672][7]~q\ & (\WideAnd3672~1_combout\ & \WideAnd3672~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3672][0]~q\,
	datab => \led_flash_cnt[3672][7]~q\,
	datac => \WideAnd3672~1_combout\,
	datad => \WideAnd3672~0_combout\,
	combout => \WideAnd3672~combout\);

-- Location: FF_X62_Y39_N29
\led_flash_cnt_ands[3672]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3672~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3672));

-- Location: LCCOMB_X43_Y33_N24
\WideAnd4299~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4299~0_combout\ = (led_flash_cnt_ands(3674) & (led_flash_cnt_ands(3675) & (led_flash_cnt_ands(3673) & led_flash_cnt_ands(3672))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3674),
	datab => led_flash_cnt_ands(3675),
	datac => led_flash_cnt_ands(3673),
	datad => led_flash_cnt_ands(3672),
	combout => \WideAnd4299~0_combout\);

-- Location: LCCOMB_X42_Y27_N10
WideAnd4299 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4299~combout\ = (led_flash_cnt_ands(3679) & (\WideAnd4299~1_combout\ & (led_flash_cnt_ands(3678) & \WideAnd4299~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3679),
	datab => \WideAnd4299~1_combout\,
	datac => led_flash_cnt_ands(3678),
	datad => \WideAnd4299~0_combout\,
	combout => \WideAnd4299~combout\);

-- Location: FF_X42_Y27_N11
\led_flash_cnt_ands_1[459]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4299~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(459));

-- Location: LCCOMB_X36_Y20_N30
\led_flash_cnt[3660][0]~84364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3660][0]~84364_combout\ = !\led_flash_cnt[3660][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3660][0]~q\,
	combout => \led_flash_cnt[3660][0]~84364_combout\);

-- Location: FF_X36_Y20_N31
\led_flash_cnt[3660][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3660][0]~84364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3660][0]~q\);

-- Location: LCCOMB_X36_Y20_N2
\led_flash_cnt[3660][1]~79016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3660][1]~79016_combout\ = (\led_flash_cnt[3660][0]~q\ & (\led_flash_cnt[3660][1]~q\ $ (VCC))) # (!\led_flash_cnt[3660][0]~q\ & (\led_flash_cnt[3660][1]~q\ & VCC))
-- \led_flash_cnt[3660][1]~79017\ = CARRY((\led_flash_cnt[3660][0]~q\ & \led_flash_cnt[3660][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3660][0]~q\,
	datab => \led_flash_cnt[3660][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3660][1]~79016_combout\,
	cout => \led_flash_cnt[3660][1]~79017\);

-- Location: FF_X36_Y20_N3
\led_flash_cnt[3660][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3660][1]~79016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3660][1]~q\);

-- Location: LCCOMB_X36_Y20_N4
\led_flash_cnt[3660][2]~79018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3660][2]~79018_combout\ = (\led_flash_cnt[3660][2]~q\ & (!\led_flash_cnt[3660][1]~79017\)) # (!\led_flash_cnt[3660][2]~q\ & ((\led_flash_cnt[3660][1]~79017\) # (GND)))
-- \led_flash_cnt[3660][2]~79019\ = CARRY((!\led_flash_cnt[3660][1]~79017\) # (!\led_flash_cnt[3660][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3660][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3660][1]~79017\,
	combout => \led_flash_cnt[3660][2]~79018_combout\,
	cout => \led_flash_cnt[3660][2]~79019\);

-- Location: FF_X36_Y20_N5
\led_flash_cnt[3660][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3660][2]~79018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3660][2]~q\);

-- Location: LCCOMB_X36_Y20_N6
\led_flash_cnt[3660][3]~79020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3660][3]~79020_combout\ = (\led_flash_cnt[3660][3]~q\ & (\led_flash_cnt[3660][2]~79019\ $ (GND))) # (!\led_flash_cnt[3660][3]~q\ & (!\led_flash_cnt[3660][2]~79019\ & VCC))
-- \led_flash_cnt[3660][3]~79021\ = CARRY((\led_flash_cnt[3660][3]~q\ & !\led_flash_cnt[3660][2]~79019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3660][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3660][2]~79019\,
	combout => \led_flash_cnt[3660][3]~79020_combout\,
	cout => \led_flash_cnt[3660][3]~79021\);

-- Location: FF_X36_Y20_N7
\led_flash_cnt[3660][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3660][3]~79020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3660][3]~q\);

-- Location: LCCOMB_X36_Y20_N8
\led_flash_cnt[3660][4]~79022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3660][4]~79022_combout\ = (\led_flash_cnt[3660][4]~q\ & (!\led_flash_cnt[3660][3]~79021\)) # (!\led_flash_cnt[3660][4]~q\ & ((\led_flash_cnt[3660][3]~79021\) # (GND)))
-- \led_flash_cnt[3660][4]~79023\ = CARRY((!\led_flash_cnt[3660][3]~79021\) # (!\led_flash_cnt[3660][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3660][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3660][3]~79021\,
	combout => \led_flash_cnt[3660][4]~79022_combout\,
	cout => \led_flash_cnt[3660][4]~79023\);

-- Location: FF_X36_Y20_N9
\led_flash_cnt[3660][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3660][4]~79022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3660][4]~q\);

-- Location: LCCOMB_X36_Y20_N10
\led_flash_cnt[3660][5]~79024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3660][5]~79024_combout\ = (\led_flash_cnt[3660][5]~q\ & (\led_flash_cnt[3660][4]~79023\ $ (GND))) # (!\led_flash_cnt[3660][5]~q\ & (!\led_flash_cnt[3660][4]~79023\ & VCC))
-- \led_flash_cnt[3660][5]~79025\ = CARRY((\led_flash_cnt[3660][5]~q\ & !\led_flash_cnt[3660][4]~79023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3660][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3660][4]~79023\,
	combout => \led_flash_cnt[3660][5]~79024_combout\,
	cout => \led_flash_cnt[3660][5]~79025\);

-- Location: FF_X36_Y20_N11
\led_flash_cnt[3660][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3660][5]~79024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3660][5]~q\);

-- Location: LCCOMB_X36_Y20_N12
\led_flash_cnt[3660][6]~79026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3660][6]~79026_combout\ = (\led_flash_cnt[3660][6]~q\ & (!\led_flash_cnt[3660][5]~79025\)) # (!\led_flash_cnt[3660][6]~q\ & ((\led_flash_cnt[3660][5]~79025\) # (GND)))
-- \led_flash_cnt[3660][6]~79027\ = CARRY((!\led_flash_cnt[3660][5]~79025\) # (!\led_flash_cnt[3660][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3660][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3660][5]~79025\,
	combout => \led_flash_cnt[3660][6]~79026_combout\,
	cout => \led_flash_cnt[3660][6]~79027\);

-- Location: FF_X36_Y20_N13
\led_flash_cnt[3660][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3660][6]~79026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3660][6]~q\);

-- Location: LCCOMB_X36_Y20_N22
\WideAnd3660~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3660~1_combout\ = (\led_flash_cnt[3660][6]~q\ & \led_flash_cnt[3660][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3660][6]~q\,
	datad => \led_flash_cnt[3660][5]~q\,
	combout => \WideAnd3660~1_combout\);

-- Location: LCCOMB_X36_Y20_N14
\led_flash_cnt[3660][7]~79028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3660][7]~79028_combout\ = \led_flash_cnt[3660][7]~q\ $ (!\led_flash_cnt[3660][6]~79027\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3660][7]~q\,
	cin => \led_flash_cnt[3660][6]~79027\,
	combout => \led_flash_cnt[3660][7]~79028_combout\);

-- Location: FF_X36_Y20_N15
\led_flash_cnt[3660][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3660][7]~79028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3660][7]~q\);

-- Location: LCCOMB_X36_Y20_N20
\WideAnd3660~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3660~0_combout\ = (\led_flash_cnt[3660][3]~q\ & (\led_flash_cnt[3660][2]~q\ & (\led_flash_cnt[3660][4]~q\ & \led_flash_cnt[3660][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3660][3]~q\,
	datab => \led_flash_cnt[3660][2]~q\,
	datac => \led_flash_cnt[3660][4]~q\,
	datad => \led_flash_cnt[3660][1]~q\,
	combout => \WideAnd3660~0_combout\);

-- Location: LCCOMB_X36_Y20_N24
WideAnd3660 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3660~combout\ = (\WideAnd3660~1_combout\ & (\led_flash_cnt[3660][7]~q\ & (\led_flash_cnt[3660][0]~q\ & \WideAnd3660~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3660~1_combout\,
	datab => \led_flash_cnt[3660][7]~q\,
	datac => \led_flash_cnt[3660][0]~q\,
	datad => \WideAnd3660~0_combout\,
	combout => \WideAnd3660~combout\);

-- Location: FF_X36_Y20_N25
\led_flash_cnt_ands[3660]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3660~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3660));

-- Location: LCCOMB_X47_Y27_N24
\led_flash_cnt[3661][0]~84365\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3661][0]~84365_combout\ = !\led_flash_cnt[3661][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3661][0]~q\,
	combout => \led_flash_cnt[3661][0]~84365_combout\);

-- Location: FF_X47_Y27_N25
\led_flash_cnt[3661][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3661][0]~84365_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3661][0]~q\);

-- Location: LCCOMB_X47_Y27_N6
\led_flash_cnt[3661][1]~79030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3661][1]~79030_combout\ = (\led_flash_cnt[3661][1]~q\ & (\led_flash_cnt[3661][0]~q\ $ (VCC))) # (!\led_flash_cnt[3661][1]~q\ & (\led_flash_cnt[3661][0]~q\ & VCC))
-- \led_flash_cnt[3661][1]~79031\ = CARRY((\led_flash_cnt[3661][1]~q\ & \led_flash_cnt[3661][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3661][1]~q\,
	datab => \led_flash_cnt[3661][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3661][1]~79030_combout\,
	cout => \led_flash_cnt[3661][1]~79031\);

-- Location: FF_X47_Y27_N7
\led_flash_cnt[3661][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3661][1]~79030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3661][1]~q\);

-- Location: LCCOMB_X47_Y27_N8
\led_flash_cnt[3661][2]~79032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3661][2]~79032_combout\ = (\led_flash_cnt[3661][2]~q\ & (!\led_flash_cnt[3661][1]~79031\)) # (!\led_flash_cnt[3661][2]~q\ & ((\led_flash_cnt[3661][1]~79031\) # (GND)))
-- \led_flash_cnt[3661][2]~79033\ = CARRY((!\led_flash_cnt[3661][1]~79031\) # (!\led_flash_cnt[3661][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3661][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3661][1]~79031\,
	combout => \led_flash_cnt[3661][2]~79032_combout\,
	cout => \led_flash_cnt[3661][2]~79033\);

-- Location: FF_X47_Y27_N9
\led_flash_cnt[3661][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3661][2]~79032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3661][2]~q\);

-- Location: LCCOMB_X47_Y27_N10
\led_flash_cnt[3661][3]~79034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3661][3]~79034_combout\ = (\led_flash_cnt[3661][3]~q\ & (\led_flash_cnt[3661][2]~79033\ $ (GND))) # (!\led_flash_cnt[3661][3]~q\ & (!\led_flash_cnt[3661][2]~79033\ & VCC))
-- \led_flash_cnt[3661][3]~79035\ = CARRY((\led_flash_cnt[3661][3]~q\ & !\led_flash_cnt[3661][2]~79033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3661][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3661][2]~79033\,
	combout => \led_flash_cnt[3661][3]~79034_combout\,
	cout => \led_flash_cnt[3661][3]~79035\);

-- Location: FF_X47_Y27_N11
\led_flash_cnt[3661][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3661][3]~79034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3661][3]~q\);

-- Location: LCCOMB_X47_Y27_N12
\led_flash_cnt[3661][4]~79036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3661][4]~79036_combout\ = (\led_flash_cnt[3661][4]~q\ & (!\led_flash_cnt[3661][3]~79035\)) # (!\led_flash_cnt[3661][4]~q\ & ((\led_flash_cnt[3661][3]~79035\) # (GND)))
-- \led_flash_cnt[3661][4]~79037\ = CARRY((!\led_flash_cnt[3661][3]~79035\) # (!\led_flash_cnt[3661][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3661][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3661][3]~79035\,
	combout => \led_flash_cnt[3661][4]~79036_combout\,
	cout => \led_flash_cnt[3661][4]~79037\);

-- Location: FF_X47_Y27_N13
\led_flash_cnt[3661][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3661][4]~79036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3661][4]~q\);

-- Location: LCCOMB_X47_Y27_N26
\WideAnd3661~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3661~0_combout\ = (\led_flash_cnt[3661][4]~q\ & (\led_flash_cnt[3661][1]~q\ & (\led_flash_cnt[3661][2]~q\ & \led_flash_cnt[3661][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3661][4]~q\,
	datab => \led_flash_cnt[3661][1]~q\,
	datac => \led_flash_cnt[3661][2]~q\,
	datad => \led_flash_cnt[3661][3]~q\,
	combout => \WideAnd3661~0_combout\);

-- Location: LCCOMB_X47_Y27_N14
\led_flash_cnt[3661][5]~79038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3661][5]~79038_combout\ = (\led_flash_cnt[3661][5]~q\ & (\led_flash_cnt[3661][4]~79037\ $ (GND))) # (!\led_flash_cnt[3661][5]~q\ & (!\led_flash_cnt[3661][4]~79037\ & VCC))
-- \led_flash_cnt[3661][5]~79039\ = CARRY((\led_flash_cnt[3661][5]~q\ & !\led_flash_cnt[3661][4]~79037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3661][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3661][4]~79037\,
	combout => \led_flash_cnt[3661][5]~79038_combout\,
	cout => \led_flash_cnt[3661][5]~79039\);

-- Location: FF_X47_Y27_N15
\led_flash_cnt[3661][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3661][5]~79038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3661][5]~q\);

-- Location: LCCOMB_X47_Y27_N16
\led_flash_cnt[3661][6]~79040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3661][6]~79040_combout\ = (\led_flash_cnt[3661][6]~q\ & (!\led_flash_cnt[3661][5]~79039\)) # (!\led_flash_cnt[3661][6]~q\ & ((\led_flash_cnt[3661][5]~79039\) # (GND)))
-- \led_flash_cnt[3661][6]~79041\ = CARRY((!\led_flash_cnt[3661][5]~79039\) # (!\led_flash_cnt[3661][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3661][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3661][5]~79039\,
	combout => \led_flash_cnt[3661][6]~79040_combout\,
	cout => \led_flash_cnt[3661][6]~79041\);

-- Location: FF_X47_Y27_N17
\led_flash_cnt[3661][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3661][6]~79040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3661][6]~q\);

-- Location: LCCOMB_X47_Y27_N18
\led_flash_cnt[3661][7]~79042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3661][7]~79042_combout\ = \led_flash_cnt[3661][7]~q\ $ (!\led_flash_cnt[3661][6]~79041\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3661][7]~q\,
	cin => \led_flash_cnt[3661][6]~79041\,
	combout => \led_flash_cnt[3661][7]~79042_combout\);

-- Location: FF_X47_Y27_N19
\led_flash_cnt[3661][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3661][7]~79042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3661][7]~q\);

-- Location: LCCOMB_X47_Y27_N28
\WideAnd3661~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3661~1_combout\ = (\led_flash_cnt[3661][5]~q\ & \led_flash_cnt[3661][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3661][5]~q\,
	datad => \led_flash_cnt[3661][6]~q\,
	combout => \WideAnd3661~1_combout\);

-- Location: LCCOMB_X47_Y27_N2
WideAnd3661 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3661~combout\ = (\WideAnd3661~0_combout\ & (\led_flash_cnt[3661][0]~q\ & (\led_flash_cnt[3661][7]~q\ & \WideAnd3661~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3661~0_combout\,
	datab => \led_flash_cnt[3661][0]~q\,
	datac => \led_flash_cnt[3661][7]~q\,
	datad => \WideAnd3661~1_combout\,
	combout => \WideAnd3661~combout\);

-- Location: FF_X47_Y27_N3
\led_flash_cnt_ands[3661]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3661~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3661));

-- Location: LCCOMB_X47_Y27_N22
\WideAnd4297~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4297~1_combout\ = (led_flash_cnt_ands(3660) & led_flash_cnt_ands(3661))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3660),
	datad => led_flash_cnt_ands(3661),
	combout => \WideAnd4297~1_combout\);

-- Location: LCCOMB_X51_Y27_N12
\led_flash_cnt[3662][0]~84366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3662][0]~84366_combout\ = !\led_flash_cnt[3662][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3662][0]~q\,
	combout => \led_flash_cnt[3662][0]~84366_combout\);

-- Location: FF_X51_Y27_N13
\led_flash_cnt[3662][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3662][0]~84366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3662][0]~q\);

-- Location: LCCOMB_X51_Y27_N14
\led_flash_cnt[3662][1]~79044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3662][1]~79044_combout\ = (\led_flash_cnt[3662][0]~q\ & (\led_flash_cnt[3662][1]~q\ $ (VCC))) # (!\led_flash_cnt[3662][0]~q\ & (\led_flash_cnt[3662][1]~q\ & VCC))
-- \led_flash_cnt[3662][1]~79045\ = CARRY((\led_flash_cnt[3662][0]~q\ & \led_flash_cnt[3662][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3662][0]~q\,
	datab => \led_flash_cnt[3662][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3662][1]~79044_combout\,
	cout => \led_flash_cnt[3662][1]~79045\);

-- Location: FF_X51_Y27_N15
\led_flash_cnt[3662][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3662][1]~79044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3662][1]~q\);

-- Location: LCCOMB_X51_Y27_N16
\led_flash_cnt[3662][2]~79046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3662][2]~79046_combout\ = (\led_flash_cnt[3662][2]~q\ & (!\led_flash_cnt[3662][1]~79045\)) # (!\led_flash_cnt[3662][2]~q\ & ((\led_flash_cnt[3662][1]~79045\) # (GND)))
-- \led_flash_cnt[3662][2]~79047\ = CARRY((!\led_flash_cnt[3662][1]~79045\) # (!\led_flash_cnt[3662][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3662][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3662][1]~79045\,
	combout => \led_flash_cnt[3662][2]~79046_combout\,
	cout => \led_flash_cnt[3662][2]~79047\);

-- Location: FF_X51_Y27_N17
\led_flash_cnt[3662][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3662][2]~79046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3662][2]~q\);

-- Location: LCCOMB_X51_Y27_N18
\led_flash_cnt[3662][3]~79048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3662][3]~79048_combout\ = (\led_flash_cnt[3662][3]~q\ & (\led_flash_cnt[3662][2]~79047\ $ (GND))) # (!\led_flash_cnt[3662][3]~q\ & (!\led_flash_cnt[3662][2]~79047\ & VCC))
-- \led_flash_cnt[3662][3]~79049\ = CARRY((\led_flash_cnt[3662][3]~q\ & !\led_flash_cnt[3662][2]~79047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3662][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3662][2]~79047\,
	combout => \led_flash_cnt[3662][3]~79048_combout\,
	cout => \led_flash_cnt[3662][3]~79049\);

-- Location: FF_X51_Y27_N19
\led_flash_cnt[3662][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3662][3]~79048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3662][3]~q\);

-- Location: LCCOMB_X51_Y27_N20
\led_flash_cnt[3662][4]~79050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3662][4]~79050_combout\ = (\led_flash_cnt[3662][4]~q\ & (!\led_flash_cnt[3662][3]~79049\)) # (!\led_flash_cnt[3662][4]~q\ & ((\led_flash_cnt[3662][3]~79049\) # (GND)))
-- \led_flash_cnt[3662][4]~79051\ = CARRY((!\led_flash_cnt[3662][3]~79049\) # (!\led_flash_cnt[3662][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3662][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3662][3]~79049\,
	combout => \led_flash_cnt[3662][4]~79050_combout\,
	cout => \led_flash_cnt[3662][4]~79051\);

-- Location: FF_X51_Y27_N21
\led_flash_cnt[3662][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3662][4]~79050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3662][4]~q\);

-- Location: LCCOMB_X51_Y27_N22
\led_flash_cnt[3662][5]~79052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3662][5]~79052_combout\ = (\led_flash_cnt[3662][5]~q\ & (\led_flash_cnt[3662][4]~79051\ $ (GND))) # (!\led_flash_cnt[3662][5]~q\ & (!\led_flash_cnt[3662][4]~79051\ & VCC))
-- \led_flash_cnt[3662][5]~79053\ = CARRY((\led_flash_cnt[3662][5]~q\ & !\led_flash_cnt[3662][4]~79051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3662][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3662][4]~79051\,
	combout => \led_flash_cnt[3662][5]~79052_combout\,
	cout => \led_flash_cnt[3662][5]~79053\);

-- Location: FF_X51_Y27_N23
\led_flash_cnt[3662][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3662][5]~79052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3662][5]~q\);

-- Location: LCCOMB_X51_Y27_N24
\led_flash_cnt[3662][6]~79054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3662][6]~79054_combout\ = (\led_flash_cnt[3662][6]~q\ & (!\led_flash_cnt[3662][5]~79053\)) # (!\led_flash_cnt[3662][6]~q\ & ((\led_flash_cnt[3662][5]~79053\) # (GND)))
-- \led_flash_cnt[3662][6]~79055\ = CARRY((!\led_flash_cnt[3662][5]~79053\) # (!\led_flash_cnt[3662][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3662][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3662][5]~79053\,
	combout => \led_flash_cnt[3662][6]~79054_combout\,
	cout => \led_flash_cnt[3662][6]~79055\);

-- Location: FF_X51_Y27_N25
\led_flash_cnt[3662][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3662][6]~79054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3662][6]~q\);

-- Location: LCCOMB_X51_Y27_N30
\WideAnd3662~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3662~1_combout\ = (\led_flash_cnt[3662][5]~q\ & \led_flash_cnt[3662][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3662][5]~q\,
	datad => \led_flash_cnt[3662][6]~q\,
	combout => \WideAnd3662~1_combout\);

-- Location: LCCOMB_X51_Y27_N8
\WideAnd3662~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3662~0_combout\ = (\led_flash_cnt[3662][3]~q\ & (\led_flash_cnt[3662][4]~q\ & (\led_flash_cnt[3662][1]~q\ & \led_flash_cnt[3662][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3662][3]~q\,
	datab => \led_flash_cnt[3662][4]~q\,
	datac => \led_flash_cnt[3662][1]~q\,
	datad => \led_flash_cnt[3662][2]~q\,
	combout => \WideAnd3662~0_combout\);

-- Location: LCCOMB_X51_Y27_N26
\led_flash_cnt[3662][7]~79056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3662][7]~79056_combout\ = \led_flash_cnt[3662][7]~q\ $ (!\led_flash_cnt[3662][6]~79055\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3662][7]~q\,
	cin => \led_flash_cnt[3662][6]~79055\,
	combout => \led_flash_cnt[3662][7]~79056_combout\);

-- Location: FF_X51_Y27_N27
\led_flash_cnt[3662][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3662][7]~79056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3662][7]~q\);

-- Location: LCCOMB_X51_Y27_N0
WideAnd3662 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3662~combout\ = (\WideAnd3662~1_combout\ & (\WideAnd3662~0_combout\ & (\led_flash_cnt[3662][7]~q\ & \led_flash_cnt[3662][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3662~1_combout\,
	datab => \WideAnd3662~0_combout\,
	datac => \led_flash_cnt[3662][7]~q\,
	datad => \led_flash_cnt[3662][0]~q\,
	combout => \WideAnd3662~combout\);

-- Location: FF_X51_Y27_N1
\led_flash_cnt_ands[3662]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3662~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3662));

-- Location: LCCOMB_X52_Y29_N18
\led_flash_cnt[3657][0]~84361\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3657][0]~84361_combout\ = !\led_flash_cnt[3657][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3657][0]~q\,
	combout => \led_flash_cnt[3657][0]~84361_combout\);

-- Location: FF_X52_Y29_N19
\led_flash_cnt[3657][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3657][0]~84361_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3657][0]~q\);

-- Location: LCCOMB_X52_Y29_N2
\led_flash_cnt[3657][1]~78974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3657][1]~78974_combout\ = (\led_flash_cnt[3657][1]~q\ & (\led_flash_cnt[3657][0]~q\ $ (VCC))) # (!\led_flash_cnt[3657][1]~q\ & (\led_flash_cnt[3657][0]~q\ & VCC))
-- \led_flash_cnt[3657][1]~78975\ = CARRY((\led_flash_cnt[3657][1]~q\ & \led_flash_cnt[3657][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3657][1]~q\,
	datab => \led_flash_cnt[3657][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3657][1]~78974_combout\,
	cout => \led_flash_cnt[3657][1]~78975\);

-- Location: FF_X52_Y29_N3
\led_flash_cnt[3657][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3657][1]~78974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3657][1]~q\);

-- Location: LCCOMB_X52_Y29_N4
\led_flash_cnt[3657][2]~78976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3657][2]~78976_combout\ = (\led_flash_cnt[3657][2]~q\ & (!\led_flash_cnt[3657][1]~78975\)) # (!\led_flash_cnt[3657][2]~q\ & ((\led_flash_cnt[3657][1]~78975\) # (GND)))
-- \led_flash_cnt[3657][2]~78977\ = CARRY((!\led_flash_cnt[3657][1]~78975\) # (!\led_flash_cnt[3657][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3657][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3657][1]~78975\,
	combout => \led_flash_cnt[3657][2]~78976_combout\,
	cout => \led_flash_cnt[3657][2]~78977\);

-- Location: FF_X52_Y29_N5
\led_flash_cnt[3657][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3657][2]~78976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3657][2]~q\);

-- Location: LCCOMB_X52_Y29_N6
\led_flash_cnt[3657][3]~78978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3657][3]~78978_combout\ = (\led_flash_cnt[3657][3]~q\ & (\led_flash_cnt[3657][2]~78977\ $ (GND))) # (!\led_flash_cnt[3657][3]~q\ & (!\led_flash_cnt[3657][2]~78977\ & VCC))
-- \led_flash_cnt[3657][3]~78979\ = CARRY((\led_flash_cnt[3657][3]~q\ & !\led_flash_cnt[3657][2]~78977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3657][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3657][2]~78977\,
	combout => \led_flash_cnt[3657][3]~78978_combout\,
	cout => \led_flash_cnt[3657][3]~78979\);

-- Location: FF_X52_Y29_N7
\led_flash_cnt[3657][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3657][3]~78978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3657][3]~q\);

-- Location: LCCOMB_X52_Y29_N8
\led_flash_cnt[3657][4]~78980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3657][4]~78980_combout\ = (\led_flash_cnt[3657][4]~q\ & (!\led_flash_cnt[3657][3]~78979\)) # (!\led_flash_cnt[3657][4]~q\ & ((\led_flash_cnt[3657][3]~78979\) # (GND)))
-- \led_flash_cnt[3657][4]~78981\ = CARRY((!\led_flash_cnt[3657][3]~78979\) # (!\led_flash_cnt[3657][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3657][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3657][3]~78979\,
	combout => \led_flash_cnt[3657][4]~78980_combout\,
	cout => \led_flash_cnt[3657][4]~78981\);

-- Location: FF_X52_Y29_N9
\led_flash_cnt[3657][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3657][4]~78980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3657][4]~q\);

-- Location: LCCOMB_X52_Y29_N10
\led_flash_cnt[3657][5]~78982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3657][5]~78982_combout\ = (\led_flash_cnt[3657][5]~q\ & (\led_flash_cnt[3657][4]~78981\ $ (GND))) # (!\led_flash_cnt[3657][5]~q\ & (!\led_flash_cnt[3657][4]~78981\ & VCC))
-- \led_flash_cnt[3657][5]~78983\ = CARRY((\led_flash_cnt[3657][5]~q\ & !\led_flash_cnt[3657][4]~78981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3657][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3657][4]~78981\,
	combout => \led_flash_cnt[3657][5]~78982_combout\,
	cout => \led_flash_cnt[3657][5]~78983\);

-- Location: FF_X52_Y29_N11
\led_flash_cnt[3657][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3657][5]~78982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3657][5]~q\);

-- Location: LCCOMB_X52_Y29_N12
\led_flash_cnt[3657][6]~78984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3657][6]~78984_combout\ = (\led_flash_cnt[3657][6]~q\ & (!\led_flash_cnt[3657][5]~78983\)) # (!\led_flash_cnt[3657][6]~q\ & ((\led_flash_cnt[3657][5]~78983\) # (GND)))
-- \led_flash_cnt[3657][6]~78985\ = CARRY((!\led_flash_cnt[3657][5]~78983\) # (!\led_flash_cnt[3657][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3657][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3657][5]~78983\,
	combout => \led_flash_cnt[3657][6]~78984_combout\,
	cout => \led_flash_cnt[3657][6]~78985\);

-- Location: FF_X52_Y29_N13
\led_flash_cnt[3657][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3657][6]~78984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3657][6]~q\);

-- Location: LCCOMB_X52_Y29_N26
\WideAnd3657~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3657~1_combout\ = (\led_flash_cnt[3657][6]~q\ & \led_flash_cnt[3657][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3657][6]~q\,
	datad => \led_flash_cnt[3657][5]~q\,
	combout => \WideAnd3657~1_combout\);

-- Location: LCCOMB_X52_Y29_N20
\WideAnd3657~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3657~0_combout\ = (\led_flash_cnt[3657][3]~q\ & (\led_flash_cnt[3657][4]~q\ & (\led_flash_cnt[3657][2]~q\ & \led_flash_cnt[3657][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3657][3]~q\,
	datab => \led_flash_cnt[3657][4]~q\,
	datac => \led_flash_cnt[3657][2]~q\,
	datad => \led_flash_cnt[3657][1]~q\,
	combout => \WideAnd3657~0_combout\);

-- Location: LCCOMB_X52_Y29_N14
\led_flash_cnt[3657][7]~78986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3657][7]~78986_combout\ = \led_flash_cnt[3657][7]~q\ $ (!\led_flash_cnt[3657][6]~78985\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3657][7]~q\,
	cin => \led_flash_cnt[3657][6]~78985\,
	combout => \led_flash_cnt[3657][7]~78986_combout\);

-- Location: FF_X52_Y29_N15
\led_flash_cnt[3657][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3657][7]~78986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3657][7]~q\);

-- Location: LCCOMB_X52_Y29_N30
WideAnd3657 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3657~combout\ = (\WideAnd3657~1_combout\ & (\WideAnd3657~0_combout\ & (\led_flash_cnt[3657][7]~q\ & \led_flash_cnt[3657][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3657~1_combout\,
	datab => \WideAnd3657~0_combout\,
	datac => \led_flash_cnt[3657][7]~q\,
	datad => \led_flash_cnt[3657][0]~q\,
	combout => \WideAnd3657~combout\);

-- Location: FF_X52_Y29_N31
\led_flash_cnt_ands[3657]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3657~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3657));

-- Location: LCCOMB_X46_Y28_N6
\led_flash_cnt[3659][0]~84363\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3659][0]~84363_combout\ = !\led_flash_cnt[3659][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3659][0]~q\,
	combout => \led_flash_cnt[3659][0]~84363_combout\);

-- Location: FF_X46_Y28_N7
\led_flash_cnt[3659][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3659][0]~84363_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3659][0]~q\);

-- Location: LCCOMB_X47_Y28_N0
\led_flash_cnt[3659][1]~79002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3659][1]~79002_combout\ = (\led_flash_cnt[3659][0]~q\ & (\led_flash_cnt[3659][1]~q\ $ (VCC))) # (!\led_flash_cnt[3659][0]~q\ & (\led_flash_cnt[3659][1]~q\ & VCC))
-- \led_flash_cnt[3659][1]~79003\ = CARRY((\led_flash_cnt[3659][0]~q\ & \led_flash_cnt[3659][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3659][0]~q\,
	datab => \led_flash_cnt[3659][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3659][1]~79002_combout\,
	cout => \led_flash_cnt[3659][1]~79003\);

-- Location: FF_X47_Y28_N1
\led_flash_cnt[3659][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3659][1]~79002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3659][1]~q\);

-- Location: LCCOMB_X47_Y28_N2
\led_flash_cnt[3659][2]~79004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3659][2]~79004_combout\ = (\led_flash_cnt[3659][2]~q\ & (!\led_flash_cnt[3659][1]~79003\)) # (!\led_flash_cnt[3659][2]~q\ & ((\led_flash_cnt[3659][1]~79003\) # (GND)))
-- \led_flash_cnt[3659][2]~79005\ = CARRY((!\led_flash_cnt[3659][1]~79003\) # (!\led_flash_cnt[3659][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3659][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3659][1]~79003\,
	combout => \led_flash_cnt[3659][2]~79004_combout\,
	cout => \led_flash_cnt[3659][2]~79005\);

-- Location: FF_X47_Y28_N3
\led_flash_cnt[3659][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3659][2]~79004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3659][2]~q\);

-- Location: LCCOMB_X47_Y28_N4
\led_flash_cnt[3659][3]~79006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3659][3]~79006_combout\ = (\led_flash_cnt[3659][3]~q\ & (\led_flash_cnt[3659][2]~79005\ $ (GND))) # (!\led_flash_cnt[3659][3]~q\ & (!\led_flash_cnt[3659][2]~79005\ & VCC))
-- \led_flash_cnt[3659][3]~79007\ = CARRY((\led_flash_cnt[3659][3]~q\ & !\led_flash_cnt[3659][2]~79005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3659][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3659][2]~79005\,
	combout => \led_flash_cnt[3659][3]~79006_combout\,
	cout => \led_flash_cnt[3659][3]~79007\);

-- Location: FF_X47_Y28_N5
\led_flash_cnt[3659][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3659][3]~79006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3659][3]~q\);

-- Location: LCCOMB_X47_Y28_N6
\led_flash_cnt[3659][4]~79008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3659][4]~79008_combout\ = (\led_flash_cnt[3659][4]~q\ & (!\led_flash_cnt[3659][3]~79007\)) # (!\led_flash_cnt[3659][4]~q\ & ((\led_flash_cnt[3659][3]~79007\) # (GND)))
-- \led_flash_cnt[3659][4]~79009\ = CARRY((!\led_flash_cnt[3659][3]~79007\) # (!\led_flash_cnt[3659][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3659][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3659][3]~79007\,
	combout => \led_flash_cnt[3659][4]~79008_combout\,
	cout => \led_flash_cnt[3659][4]~79009\);

-- Location: FF_X47_Y28_N7
\led_flash_cnt[3659][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3659][4]~79008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3659][4]~q\);

-- Location: LCCOMB_X47_Y28_N8
\led_flash_cnt[3659][5]~79010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3659][5]~79010_combout\ = (\led_flash_cnt[3659][5]~q\ & (\led_flash_cnt[3659][4]~79009\ $ (GND))) # (!\led_flash_cnt[3659][5]~q\ & (!\led_flash_cnt[3659][4]~79009\ & VCC))
-- \led_flash_cnt[3659][5]~79011\ = CARRY((\led_flash_cnt[3659][5]~q\ & !\led_flash_cnt[3659][4]~79009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3659][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3659][4]~79009\,
	combout => \led_flash_cnt[3659][5]~79010_combout\,
	cout => \led_flash_cnt[3659][5]~79011\);

-- Location: FF_X47_Y28_N9
\led_flash_cnt[3659][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3659][5]~79010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3659][5]~q\);

-- Location: LCCOMB_X47_Y28_N10
\led_flash_cnt[3659][6]~79012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3659][6]~79012_combout\ = (\led_flash_cnt[3659][6]~q\ & (!\led_flash_cnt[3659][5]~79011\)) # (!\led_flash_cnt[3659][6]~q\ & ((\led_flash_cnt[3659][5]~79011\) # (GND)))
-- \led_flash_cnt[3659][6]~79013\ = CARRY((!\led_flash_cnt[3659][5]~79011\) # (!\led_flash_cnt[3659][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3659][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3659][5]~79011\,
	combout => \led_flash_cnt[3659][6]~79012_combout\,
	cout => \led_flash_cnt[3659][6]~79013\);

-- Location: FF_X47_Y28_N11
\led_flash_cnt[3659][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3659][6]~79012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3659][6]~q\);

-- Location: LCCOMB_X46_Y28_N24
\WideAnd3659~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3659~1_combout\ = (\led_flash_cnt[3659][6]~q\ & \led_flash_cnt[3659][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3659][6]~q\,
	datac => \led_flash_cnt[3659][5]~q\,
	combout => \WideAnd3659~1_combout\);

-- Location: LCCOMB_X47_Y28_N12
\led_flash_cnt[3659][7]~79014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3659][7]~79014_combout\ = \led_flash_cnt[3659][6]~79013\ $ (!\led_flash_cnt[3659][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3659][7]~q\,
	cin => \led_flash_cnt[3659][6]~79013\,
	combout => \led_flash_cnt[3659][7]~79014_combout\);

-- Location: FF_X47_Y28_N13
\led_flash_cnt[3659][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3659][7]~79014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3659][7]~q\);

-- Location: LCCOMB_X47_Y28_N16
\WideAnd3659~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3659~0_combout\ = (\led_flash_cnt[3659][4]~q\ & (\led_flash_cnt[3659][1]~q\ & (\led_flash_cnt[3659][3]~q\ & \led_flash_cnt[3659][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3659][4]~q\,
	datab => \led_flash_cnt[3659][1]~q\,
	datac => \led_flash_cnt[3659][3]~q\,
	datad => \led_flash_cnt[3659][2]~q\,
	combout => \WideAnd3659~0_combout\);

-- Location: LCCOMB_X46_Y28_N8
WideAnd3659 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3659~combout\ = (\led_flash_cnt[3659][0]~q\ & (\WideAnd3659~1_combout\ & (\led_flash_cnt[3659][7]~q\ & \WideAnd3659~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3659][0]~q\,
	datab => \WideAnd3659~1_combout\,
	datac => \led_flash_cnt[3659][7]~q\,
	datad => \WideAnd3659~0_combout\,
	combout => \WideAnd3659~combout\);

-- Location: FF_X46_Y28_N9
\led_flash_cnt_ands[3659]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3659~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3659));

-- Location: LCCOMB_X47_Y29_N16
\led_flash_cnt[3656][0]~84360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3656][0]~84360_combout\ = !\led_flash_cnt[3656][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3656][0]~q\,
	combout => \led_flash_cnt[3656][0]~84360_combout\);

-- Location: FF_X47_Y29_N17
\led_flash_cnt[3656][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3656][0]~84360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3656][0]~q\);

-- Location: LCCOMB_X46_Y28_N10
\led_flash_cnt[3656][1]~78960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3656][1]~78960_combout\ = (\led_flash_cnt[3656][1]~q\ & (\led_flash_cnt[3656][0]~q\ $ (VCC))) # (!\led_flash_cnt[3656][1]~q\ & (\led_flash_cnt[3656][0]~q\ & VCC))
-- \led_flash_cnt[3656][1]~78961\ = CARRY((\led_flash_cnt[3656][1]~q\ & \led_flash_cnt[3656][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3656][1]~q\,
	datab => \led_flash_cnt[3656][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3656][1]~78960_combout\,
	cout => \led_flash_cnt[3656][1]~78961\);

-- Location: FF_X46_Y28_N11
\led_flash_cnt[3656][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3656][1]~78960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3656][1]~q\);

-- Location: LCCOMB_X46_Y28_N12
\led_flash_cnt[3656][2]~78962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3656][2]~78962_combout\ = (\led_flash_cnt[3656][2]~q\ & (!\led_flash_cnt[3656][1]~78961\)) # (!\led_flash_cnt[3656][2]~q\ & ((\led_flash_cnt[3656][1]~78961\) # (GND)))
-- \led_flash_cnt[3656][2]~78963\ = CARRY((!\led_flash_cnt[3656][1]~78961\) # (!\led_flash_cnt[3656][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3656][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3656][1]~78961\,
	combout => \led_flash_cnt[3656][2]~78962_combout\,
	cout => \led_flash_cnt[3656][2]~78963\);

-- Location: FF_X46_Y28_N13
\led_flash_cnt[3656][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3656][2]~78962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3656][2]~q\);

-- Location: LCCOMB_X46_Y28_N14
\led_flash_cnt[3656][3]~78964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3656][3]~78964_combout\ = (\led_flash_cnt[3656][3]~q\ & (\led_flash_cnt[3656][2]~78963\ $ (GND))) # (!\led_flash_cnt[3656][3]~q\ & (!\led_flash_cnt[3656][2]~78963\ & VCC))
-- \led_flash_cnt[3656][3]~78965\ = CARRY((\led_flash_cnt[3656][3]~q\ & !\led_flash_cnt[3656][2]~78963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3656][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3656][2]~78963\,
	combout => \led_flash_cnt[3656][3]~78964_combout\,
	cout => \led_flash_cnt[3656][3]~78965\);

-- Location: FF_X46_Y28_N15
\led_flash_cnt[3656][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3656][3]~78964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3656][3]~q\);

-- Location: LCCOMB_X46_Y28_N16
\led_flash_cnt[3656][4]~78966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3656][4]~78966_combout\ = (\led_flash_cnt[3656][4]~q\ & (!\led_flash_cnt[3656][3]~78965\)) # (!\led_flash_cnt[3656][4]~q\ & ((\led_flash_cnt[3656][3]~78965\) # (GND)))
-- \led_flash_cnt[3656][4]~78967\ = CARRY((!\led_flash_cnt[3656][3]~78965\) # (!\led_flash_cnt[3656][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3656][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3656][3]~78965\,
	combout => \led_flash_cnt[3656][4]~78966_combout\,
	cout => \led_flash_cnt[3656][4]~78967\);

-- Location: FF_X46_Y28_N17
\led_flash_cnt[3656][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3656][4]~78966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3656][4]~q\);

-- Location: LCCOMB_X46_Y28_N18
\led_flash_cnt[3656][5]~78968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3656][5]~78968_combout\ = (\led_flash_cnt[3656][5]~q\ & (\led_flash_cnt[3656][4]~78967\ $ (GND))) # (!\led_flash_cnt[3656][5]~q\ & (!\led_flash_cnt[3656][4]~78967\ & VCC))
-- \led_flash_cnt[3656][5]~78969\ = CARRY((\led_flash_cnt[3656][5]~q\ & !\led_flash_cnt[3656][4]~78967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3656][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3656][4]~78967\,
	combout => \led_flash_cnt[3656][5]~78968_combout\,
	cout => \led_flash_cnt[3656][5]~78969\);

-- Location: FF_X46_Y28_N19
\led_flash_cnt[3656][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3656][5]~78968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3656][5]~q\);

-- Location: LCCOMB_X46_Y28_N20
\led_flash_cnt[3656][6]~78970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3656][6]~78970_combout\ = (\led_flash_cnt[3656][6]~q\ & (!\led_flash_cnt[3656][5]~78969\)) # (!\led_flash_cnt[3656][6]~q\ & ((\led_flash_cnt[3656][5]~78969\) # (GND)))
-- \led_flash_cnt[3656][6]~78971\ = CARRY((!\led_flash_cnt[3656][5]~78969\) # (!\led_flash_cnt[3656][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3656][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3656][5]~78969\,
	combout => \led_flash_cnt[3656][6]~78970_combout\,
	cout => \led_flash_cnt[3656][6]~78971\);

-- Location: FF_X46_Y28_N21
\led_flash_cnt[3656][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3656][6]~78970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3656][6]~q\);

-- Location: LCCOMB_X46_Y28_N26
\WideAnd3656~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3656~1_combout\ = (\led_flash_cnt[3656][6]~q\ & \led_flash_cnt[3656][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3656][6]~q\,
	datad => \led_flash_cnt[3656][5]~q\,
	combout => \WideAnd3656~1_combout\);

-- Location: LCCOMB_X46_Y28_N22
\led_flash_cnt[3656][7]~78972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3656][7]~78972_combout\ = \led_flash_cnt[3656][7]~q\ $ (!\led_flash_cnt[3656][6]~78971\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3656][7]~q\,
	cin => \led_flash_cnt[3656][6]~78971\,
	combout => \led_flash_cnt[3656][7]~78972_combout\);

-- Location: FF_X46_Y28_N23
\led_flash_cnt[3656][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3656][7]~78972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3656][7]~q\);

-- Location: LCCOMB_X46_Y28_N28
\WideAnd3656~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3656~0_combout\ = (\led_flash_cnt[3656][2]~q\ & (\led_flash_cnt[3656][4]~q\ & (\led_flash_cnt[3656][3]~q\ & \led_flash_cnt[3656][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3656][2]~q\,
	datab => \led_flash_cnt[3656][4]~q\,
	datac => \led_flash_cnt[3656][3]~q\,
	datad => \led_flash_cnt[3656][1]~q\,
	combout => \WideAnd3656~0_combout\);

-- Location: LCCOMB_X46_Y28_N4
WideAnd3656 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3656~combout\ = (\WideAnd3656~1_combout\ & (\led_flash_cnt[3656][0]~q\ & (\led_flash_cnt[3656][7]~q\ & \WideAnd3656~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3656~1_combout\,
	datab => \led_flash_cnt[3656][0]~q\,
	datac => \led_flash_cnt[3656][7]~q\,
	datad => \WideAnd3656~0_combout\,
	combout => \WideAnd3656~combout\);

-- Location: FF_X46_Y28_N5
\led_flash_cnt_ands[3656]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3656~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3656));

-- Location: LCCOMB_X46_Y28_N2
\led_flash_cnt[3658][0]~84362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3658][0]~84362_combout\ = !\led_flash_cnt[3658][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3658][0]~q\,
	combout => \led_flash_cnt[3658][0]~84362_combout\);

-- Location: FF_X46_Y28_N3
\led_flash_cnt[3658][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3658][0]~84362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3658][0]~q\);

-- Location: LCCOMB_X45_Y28_N0
\led_flash_cnt[3658][1]~78988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3658][1]~78988_combout\ = (\led_flash_cnt[3658][0]~q\ & (\led_flash_cnt[3658][1]~q\ $ (VCC))) # (!\led_flash_cnt[3658][0]~q\ & (\led_flash_cnt[3658][1]~q\ & VCC))
-- \led_flash_cnt[3658][1]~78989\ = CARRY((\led_flash_cnt[3658][0]~q\ & \led_flash_cnt[3658][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3658][0]~q\,
	datab => \led_flash_cnt[3658][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3658][1]~78988_combout\,
	cout => \led_flash_cnt[3658][1]~78989\);

-- Location: FF_X45_Y28_N1
\led_flash_cnt[3658][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3658][1]~78988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3658][1]~q\);

-- Location: LCCOMB_X45_Y28_N2
\led_flash_cnt[3658][2]~78990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3658][2]~78990_combout\ = (\led_flash_cnt[3658][2]~q\ & (!\led_flash_cnt[3658][1]~78989\)) # (!\led_flash_cnt[3658][2]~q\ & ((\led_flash_cnt[3658][1]~78989\) # (GND)))
-- \led_flash_cnt[3658][2]~78991\ = CARRY((!\led_flash_cnt[3658][1]~78989\) # (!\led_flash_cnt[3658][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3658][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3658][1]~78989\,
	combout => \led_flash_cnt[3658][2]~78990_combout\,
	cout => \led_flash_cnt[3658][2]~78991\);

-- Location: FF_X45_Y28_N3
\led_flash_cnt[3658][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3658][2]~78990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3658][2]~q\);

-- Location: LCCOMB_X45_Y28_N4
\led_flash_cnt[3658][3]~78992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3658][3]~78992_combout\ = (\led_flash_cnt[3658][3]~q\ & (\led_flash_cnt[3658][2]~78991\ $ (GND))) # (!\led_flash_cnt[3658][3]~q\ & (!\led_flash_cnt[3658][2]~78991\ & VCC))
-- \led_flash_cnt[3658][3]~78993\ = CARRY((\led_flash_cnt[3658][3]~q\ & !\led_flash_cnt[3658][2]~78991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3658][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3658][2]~78991\,
	combout => \led_flash_cnt[3658][3]~78992_combout\,
	cout => \led_flash_cnt[3658][3]~78993\);

-- Location: FF_X45_Y28_N5
\led_flash_cnt[3658][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3658][3]~78992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3658][3]~q\);

-- Location: LCCOMB_X45_Y28_N6
\led_flash_cnt[3658][4]~78994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3658][4]~78994_combout\ = (\led_flash_cnt[3658][4]~q\ & (!\led_flash_cnt[3658][3]~78993\)) # (!\led_flash_cnt[3658][4]~q\ & ((\led_flash_cnt[3658][3]~78993\) # (GND)))
-- \led_flash_cnt[3658][4]~78995\ = CARRY((!\led_flash_cnt[3658][3]~78993\) # (!\led_flash_cnt[3658][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3658][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3658][3]~78993\,
	combout => \led_flash_cnt[3658][4]~78994_combout\,
	cout => \led_flash_cnt[3658][4]~78995\);

-- Location: FF_X45_Y28_N7
\led_flash_cnt[3658][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3658][4]~78994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3658][4]~q\);

-- Location: LCCOMB_X45_Y28_N14
\WideAnd3658~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3658~0_combout\ = (\led_flash_cnt[3658][4]~q\ & (\led_flash_cnt[3658][1]~q\ & (\led_flash_cnt[3658][3]~q\ & \led_flash_cnt[3658][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3658][4]~q\,
	datab => \led_flash_cnt[3658][1]~q\,
	datac => \led_flash_cnt[3658][3]~q\,
	datad => \led_flash_cnt[3658][2]~q\,
	combout => \WideAnd3658~0_combout\);

-- Location: LCCOMB_X45_Y28_N8
\led_flash_cnt[3658][5]~78996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3658][5]~78996_combout\ = (\led_flash_cnt[3658][5]~q\ & (\led_flash_cnt[3658][4]~78995\ $ (GND))) # (!\led_flash_cnt[3658][5]~q\ & (!\led_flash_cnt[3658][4]~78995\ & VCC))
-- \led_flash_cnt[3658][5]~78997\ = CARRY((\led_flash_cnt[3658][5]~q\ & !\led_flash_cnt[3658][4]~78995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3658][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3658][4]~78995\,
	combout => \led_flash_cnt[3658][5]~78996_combout\,
	cout => \led_flash_cnt[3658][5]~78997\);

-- Location: FF_X45_Y28_N9
\led_flash_cnt[3658][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3658][5]~78996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3658][5]~q\);

-- Location: LCCOMB_X45_Y28_N10
\led_flash_cnt[3658][6]~78998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3658][6]~78998_combout\ = (\led_flash_cnt[3658][6]~q\ & (!\led_flash_cnt[3658][5]~78997\)) # (!\led_flash_cnt[3658][6]~q\ & ((\led_flash_cnt[3658][5]~78997\) # (GND)))
-- \led_flash_cnt[3658][6]~78999\ = CARRY((!\led_flash_cnt[3658][5]~78997\) # (!\led_flash_cnt[3658][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3658][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3658][5]~78997\,
	combout => \led_flash_cnt[3658][6]~78998_combout\,
	cout => \led_flash_cnt[3658][6]~78999\);

-- Location: FF_X45_Y28_N11
\led_flash_cnt[3658][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3658][6]~78998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3658][6]~q\);

-- Location: LCCOMB_X45_Y28_N16
\WideAnd3658~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3658~1_combout\ = (\led_flash_cnt[3658][5]~q\ & \led_flash_cnt[3658][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3658][5]~q\,
	datad => \led_flash_cnt[3658][6]~q\,
	combout => \WideAnd3658~1_combout\);

-- Location: LCCOMB_X45_Y28_N12
\led_flash_cnt[3658][7]~79000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3658][7]~79000_combout\ = \led_flash_cnt[3658][6]~78999\ $ (!\led_flash_cnt[3658][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3658][7]~q\,
	cin => \led_flash_cnt[3658][6]~78999\,
	combout => \led_flash_cnt[3658][7]~79000_combout\);

-- Location: FF_X45_Y28_N13
\led_flash_cnt[3658][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3658][7]~79000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3658][7]~q\);

-- Location: LCCOMB_X46_Y28_N0
WideAnd3658 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3658~combout\ = (\WideAnd3658~0_combout\ & (\led_flash_cnt[3658][0]~q\ & (\WideAnd3658~1_combout\ & \led_flash_cnt[3658][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3658~0_combout\,
	datab => \led_flash_cnt[3658][0]~q\,
	datac => \WideAnd3658~1_combout\,
	datad => \led_flash_cnt[3658][7]~q\,
	combout => \WideAnd3658~combout\);

-- Location: FF_X46_Y28_N1
\led_flash_cnt_ands[3658]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3658~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3658));

-- Location: LCCOMB_X46_Y28_N30
\WideAnd4297~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4297~0_combout\ = (led_flash_cnt_ands(3657) & (led_flash_cnt_ands(3659) & (led_flash_cnt_ands(3656) & led_flash_cnt_ands(3658))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3657),
	datab => led_flash_cnt_ands(3659),
	datac => led_flash_cnt_ands(3656),
	datad => led_flash_cnt_ands(3658),
	combout => \WideAnd4297~0_combout\);

-- Location: LCCOMB_X51_Y27_N6
\led_flash_cnt[3663][0]~84367\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3663][0]~84367_combout\ = !\led_flash_cnt[3663][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3663][0]~q\,
	combout => \led_flash_cnt[3663][0]~84367_combout\);

-- Location: FF_X51_Y27_N7
\led_flash_cnt[3663][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3663][0]~84367_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3663][0]~q\);

-- Location: LCCOMB_X52_Y27_N14
\led_flash_cnt[3663][1]~79058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3663][1]~79058_combout\ = (\led_flash_cnt[3663][0]~q\ & (\led_flash_cnt[3663][1]~q\ $ (VCC))) # (!\led_flash_cnt[3663][0]~q\ & (\led_flash_cnt[3663][1]~q\ & VCC))
-- \led_flash_cnt[3663][1]~79059\ = CARRY((\led_flash_cnt[3663][0]~q\ & \led_flash_cnt[3663][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3663][0]~q\,
	datab => \led_flash_cnt[3663][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3663][1]~79058_combout\,
	cout => \led_flash_cnt[3663][1]~79059\);

-- Location: FF_X52_Y27_N15
\led_flash_cnt[3663][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3663][1]~79058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3663][1]~q\);

-- Location: LCCOMB_X52_Y27_N16
\led_flash_cnt[3663][2]~79060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3663][2]~79060_combout\ = (\led_flash_cnt[3663][2]~q\ & (!\led_flash_cnt[3663][1]~79059\)) # (!\led_flash_cnt[3663][2]~q\ & ((\led_flash_cnt[3663][1]~79059\) # (GND)))
-- \led_flash_cnt[3663][2]~79061\ = CARRY((!\led_flash_cnt[3663][1]~79059\) # (!\led_flash_cnt[3663][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3663][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3663][1]~79059\,
	combout => \led_flash_cnt[3663][2]~79060_combout\,
	cout => \led_flash_cnt[3663][2]~79061\);

-- Location: FF_X52_Y27_N17
\led_flash_cnt[3663][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3663][2]~79060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3663][2]~q\);

-- Location: LCCOMB_X52_Y27_N18
\led_flash_cnt[3663][3]~79062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3663][3]~79062_combout\ = (\led_flash_cnt[3663][3]~q\ & (\led_flash_cnt[3663][2]~79061\ $ (GND))) # (!\led_flash_cnt[3663][3]~q\ & (!\led_flash_cnt[3663][2]~79061\ & VCC))
-- \led_flash_cnt[3663][3]~79063\ = CARRY((\led_flash_cnt[3663][3]~q\ & !\led_flash_cnt[3663][2]~79061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3663][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3663][2]~79061\,
	combout => \led_flash_cnt[3663][3]~79062_combout\,
	cout => \led_flash_cnt[3663][3]~79063\);

-- Location: FF_X52_Y27_N19
\led_flash_cnt[3663][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3663][3]~79062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3663][3]~q\);

-- Location: LCCOMB_X52_Y27_N20
\led_flash_cnt[3663][4]~79064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3663][4]~79064_combout\ = (\led_flash_cnt[3663][4]~q\ & (!\led_flash_cnt[3663][3]~79063\)) # (!\led_flash_cnt[3663][4]~q\ & ((\led_flash_cnt[3663][3]~79063\) # (GND)))
-- \led_flash_cnt[3663][4]~79065\ = CARRY((!\led_flash_cnt[3663][3]~79063\) # (!\led_flash_cnt[3663][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3663][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3663][3]~79063\,
	combout => \led_flash_cnt[3663][4]~79064_combout\,
	cout => \led_flash_cnt[3663][4]~79065\);

-- Location: FF_X52_Y27_N21
\led_flash_cnt[3663][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3663][4]~79064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3663][4]~q\);

-- Location: LCCOMB_X52_Y27_N28
\WideAnd3663~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3663~0_combout\ = (\led_flash_cnt[3663][4]~q\ & (\led_flash_cnt[3663][3]~q\ & (\led_flash_cnt[3663][1]~q\ & \led_flash_cnt[3663][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3663][4]~q\,
	datab => \led_flash_cnt[3663][3]~q\,
	datac => \led_flash_cnt[3663][1]~q\,
	datad => \led_flash_cnt[3663][2]~q\,
	combout => \WideAnd3663~0_combout\);

-- Location: LCCOMB_X52_Y27_N22
\led_flash_cnt[3663][5]~79066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3663][5]~79066_combout\ = (\led_flash_cnt[3663][5]~q\ & (\led_flash_cnt[3663][4]~79065\ $ (GND))) # (!\led_flash_cnt[3663][5]~q\ & (!\led_flash_cnt[3663][4]~79065\ & VCC))
-- \led_flash_cnt[3663][5]~79067\ = CARRY((\led_flash_cnt[3663][5]~q\ & !\led_flash_cnt[3663][4]~79065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3663][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3663][4]~79065\,
	combout => \led_flash_cnt[3663][5]~79066_combout\,
	cout => \led_flash_cnt[3663][5]~79067\);

-- Location: FF_X52_Y27_N23
\led_flash_cnt[3663][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3663][5]~79066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3663][5]~q\);

-- Location: LCCOMB_X52_Y27_N24
\led_flash_cnt[3663][6]~79068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3663][6]~79068_combout\ = (\led_flash_cnt[3663][6]~q\ & (!\led_flash_cnt[3663][5]~79067\)) # (!\led_flash_cnt[3663][6]~q\ & ((\led_flash_cnt[3663][5]~79067\) # (GND)))
-- \led_flash_cnt[3663][6]~79069\ = CARRY((!\led_flash_cnt[3663][5]~79067\) # (!\led_flash_cnt[3663][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3663][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3663][5]~79067\,
	combout => \led_flash_cnt[3663][6]~79068_combout\,
	cout => \led_flash_cnt[3663][6]~79069\);

-- Location: FF_X52_Y27_N25
\led_flash_cnt[3663][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3663][6]~79068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3663][6]~q\);

-- Location: LCCOMB_X51_Y27_N4
\WideAnd3663~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3663~1_combout\ = (\led_flash_cnt[3663][6]~q\ & \led_flash_cnt[3663][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3663][6]~q\,
	datad => \led_flash_cnt[3663][5]~q\,
	combout => \WideAnd3663~1_combout\);

-- Location: LCCOMB_X52_Y27_N26
\led_flash_cnt[3663][7]~79070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3663][7]~79070_combout\ = \led_flash_cnt[3663][7]~q\ $ (!\led_flash_cnt[3663][6]~79069\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3663][7]~q\,
	cin => \led_flash_cnt[3663][6]~79069\,
	combout => \led_flash_cnt[3663][7]~79070_combout\);

-- Location: FF_X52_Y27_N27
\led_flash_cnt[3663][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3663][7]~79070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3663][7]~q\);

-- Location: LCCOMB_X51_Y27_N10
WideAnd3663 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3663~combout\ = (\led_flash_cnt[3663][0]~q\ & (\WideAnd3663~0_combout\ & (\WideAnd3663~1_combout\ & \led_flash_cnt[3663][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3663][0]~q\,
	datab => \WideAnd3663~0_combout\,
	datac => \WideAnd3663~1_combout\,
	datad => \led_flash_cnt[3663][7]~q\,
	combout => \WideAnd3663~combout\);

-- Location: FF_X51_Y27_N11
\led_flash_cnt_ands[3663]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3663~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3663));

-- Location: LCCOMB_X51_Y27_N2
WideAnd4297 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4297~combout\ = (\WideAnd4297~1_combout\ & (led_flash_cnt_ands(3662) & (\WideAnd4297~0_combout\ & led_flash_cnt_ands(3663))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4297~1_combout\,
	datab => led_flash_cnt_ands(3662),
	datac => \WideAnd4297~0_combout\,
	datad => led_flash_cnt_ands(3663),
	combout => \WideAnd4297~combout\);

-- Location: FF_X51_Y27_N3
\led_flash_cnt_ands_1[457]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4297~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(457));

-- Location: LCCOMB_X51_Y27_N28
\WideAnd4377~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4377~0_combout\ = (led_flash_cnt_ands_1(456) & (led_flash_cnt_ands_1(458) & (led_flash_cnt_ands_1(459) & led_flash_cnt_ands_1(457))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(456),
	datab => led_flash_cnt_ands_1(458),
	datac => led_flash_cnt_ands_1(459),
	datad => led_flash_cnt_ands_1(457),
	combout => \WideAnd4377~0_combout\);

-- Location: LCCOMB_X38_Y15_N24
WideAnd4377 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4377~combout\ = (\WideAnd4377~1_combout\ & (led_flash_cnt_ands_1(462) & (led_flash_cnt_ands_1(463) & \WideAnd4377~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4377~1_combout\,
	datab => led_flash_cnt_ands_1(462),
	datac => led_flash_cnt_ands_1(463),
	datad => \WideAnd4377~0_combout\,
	combout => \WideAnd4377~combout\);

-- Location: FF_X38_Y15_N25
\led_flash_cnt_ands_2[57]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4377~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(57));

-- Location: LCCOMB_X4_Y13_N20
\led_flash_cnt[3830][0]~84278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3830][0]~84278_combout\ = !\led_flash_cnt[3830][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3830][0]~q\,
	combout => \led_flash_cnt[3830][0]~84278_combout\);

-- Location: FF_X4_Y13_N21
\led_flash_cnt[3830][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3830][0]~84278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3830][0]~q\);

-- Location: LCCOMB_X3_Y13_N0
\led_flash_cnt[3830][1]~77812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3830][1]~77812_combout\ = (\led_flash_cnt[3830][0]~q\ & (\led_flash_cnt[3830][1]~q\ $ (VCC))) # (!\led_flash_cnt[3830][0]~q\ & (\led_flash_cnt[3830][1]~q\ & VCC))
-- \led_flash_cnt[3830][1]~77813\ = CARRY((\led_flash_cnt[3830][0]~q\ & \led_flash_cnt[3830][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3830][0]~q\,
	datab => \led_flash_cnt[3830][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3830][1]~77812_combout\,
	cout => \led_flash_cnt[3830][1]~77813\);

-- Location: FF_X3_Y13_N1
\led_flash_cnt[3830][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3830][1]~77812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3830][1]~q\);

-- Location: LCCOMB_X3_Y13_N2
\led_flash_cnt[3830][2]~77814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3830][2]~77814_combout\ = (\led_flash_cnt[3830][2]~q\ & (!\led_flash_cnt[3830][1]~77813\)) # (!\led_flash_cnt[3830][2]~q\ & ((\led_flash_cnt[3830][1]~77813\) # (GND)))
-- \led_flash_cnt[3830][2]~77815\ = CARRY((!\led_flash_cnt[3830][1]~77813\) # (!\led_flash_cnt[3830][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3830][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3830][1]~77813\,
	combout => \led_flash_cnt[3830][2]~77814_combout\,
	cout => \led_flash_cnt[3830][2]~77815\);

-- Location: FF_X3_Y13_N3
\led_flash_cnt[3830][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3830][2]~77814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3830][2]~q\);

-- Location: LCCOMB_X3_Y13_N4
\led_flash_cnt[3830][3]~77816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3830][3]~77816_combout\ = (\led_flash_cnt[3830][3]~q\ & (\led_flash_cnt[3830][2]~77815\ $ (GND))) # (!\led_flash_cnt[3830][3]~q\ & (!\led_flash_cnt[3830][2]~77815\ & VCC))
-- \led_flash_cnt[3830][3]~77817\ = CARRY((\led_flash_cnt[3830][3]~q\ & !\led_flash_cnt[3830][2]~77815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3830][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3830][2]~77815\,
	combout => \led_flash_cnt[3830][3]~77816_combout\,
	cout => \led_flash_cnt[3830][3]~77817\);

-- Location: FF_X3_Y13_N5
\led_flash_cnt[3830][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3830][3]~77816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3830][3]~q\);

-- Location: LCCOMB_X3_Y13_N6
\led_flash_cnt[3830][4]~77818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3830][4]~77818_combout\ = (\led_flash_cnt[3830][4]~q\ & (!\led_flash_cnt[3830][3]~77817\)) # (!\led_flash_cnt[3830][4]~q\ & ((\led_flash_cnt[3830][3]~77817\) # (GND)))
-- \led_flash_cnt[3830][4]~77819\ = CARRY((!\led_flash_cnt[3830][3]~77817\) # (!\led_flash_cnt[3830][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3830][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3830][3]~77817\,
	combout => \led_flash_cnt[3830][4]~77818_combout\,
	cout => \led_flash_cnt[3830][4]~77819\);

-- Location: FF_X3_Y13_N7
\led_flash_cnt[3830][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3830][4]~77818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3830][4]~q\);

-- Location: LCCOMB_X3_Y13_N8
\led_flash_cnt[3830][5]~77820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3830][5]~77820_combout\ = (\led_flash_cnt[3830][5]~q\ & (\led_flash_cnt[3830][4]~77819\ $ (GND))) # (!\led_flash_cnt[3830][5]~q\ & (!\led_flash_cnt[3830][4]~77819\ & VCC))
-- \led_flash_cnt[3830][5]~77821\ = CARRY((\led_flash_cnt[3830][5]~q\ & !\led_flash_cnt[3830][4]~77819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3830][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3830][4]~77819\,
	combout => \led_flash_cnt[3830][5]~77820_combout\,
	cout => \led_flash_cnt[3830][5]~77821\);

-- Location: FF_X3_Y13_N9
\led_flash_cnt[3830][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3830][5]~77820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3830][5]~q\);

-- Location: LCCOMB_X3_Y13_N10
\led_flash_cnt[3830][6]~77822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3830][6]~77822_combout\ = (\led_flash_cnt[3830][6]~q\ & (!\led_flash_cnt[3830][5]~77821\)) # (!\led_flash_cnt[3830][6]~q\ & ((\led_flash_cnt[3830][5]~77821\) # (GND)))
-- \led_flash_cnt[3830][6]~77823\ = CARRY((!\led_flash_cnt[3830][5]~77821\) # (!\led_flash_cnt[3830][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3830][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3830][5]~77821\,
	combout => \led_flash_cnt[3830][6]~77822_combout\,
	cout => \led_flash_cnt[3830][6]~77823\);

-- Location: FF_X3_Y13_N11
\led_flash_cnt[3830][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3830][6]~77822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3830][6]~q\);

-- Location: LCCOMB_X3_Y13_N12
\led_flash_cnt[3830][7]~77824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3830][7]~77824_combout\ = \led_flash_cnt[3830][6]~77823\ $ (!\led_flash_cnt[3830][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3830][7]~q\,
	cin => \led_flash_cnt[3830][6]~77823\,
	combout => \led_flash_cnt[3830][7]~77824_combout\);

-- Location: FF_X3_Y13_N13
\led_flash_cnt[3830][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3830][7]~77824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3830][7]~q\);

-- Location: LCCOMB_X4_Y13_N26
\WideAnd3830~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3830~1_combout\ = (\led_flash_cnt[3830][6]~q\ & \led_flash_cnt[3830][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3830][6]~q\,
	datad => \led_flash_cnt[3830][5]~q\,
	combout => \WideAnd3830~1_combout\);

-- Location: LCCOMB_X3_Y13_N14
\WideAnd3830~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3830~0_combout\ = (\led_flash_cnt[3830][4]~q\ & (\led_flash_cnt[3830][2]~q\ & (\led_flash_cnt[3830][3]~q\ & \led_flash_cnt[3830][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3830][4]~q\,
	datab => \led_flash_cnt[3830][2]~q\,
	datac => \led_flash_cnt[3830][3]~q\,
	datad => \led_flash_cnt[3830][1]~q\,
	combout => \WideAnd3830~0_combout\);

-- Location: LCCOMB_X4_Y13_N28
WideAnd3830 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3830~combout\ = (\led_flash_cnt[3830][7]~q\ & (\led_flash_cnt[3830][0]~q\ & (\WideAnd3830~1_combout\ & \WideAnd3830~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3830][7]~q\,
	datab => \led_flash_cnt[3830][0]~q\,
	datac => \WideAnd3830~1_combout\,
	datad => \WideAnd3830~0_combout\,
	combout => \WideAnd3830~combout\);

-- Location: FF_X4_Y13_N29
\led_flash_cnt_ands[3830]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3830~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3830));

-- Location: LCCOMB_X4_Y24_N14
\led_flash_cnt[3831][0]~84279\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3831][0]~84279_combout\ = !\led_flash_cnt[3831][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3831][0]~q\,
	combout => \led_flash_cnt[3831][0]~84279_combout\);

-- Location: FF_X4_Y24_N15
\led_flash_cnt[3831][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3831][0]~84279_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3831][0]~q\);

-- Location: LCCOMB_X6_Y24_N18
\led_flash_cnt[3831][1]~77826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3831][1]~77826_combout\ = (\led_flash_cnt[3831][0]~q\ & (\led_flash_cnt[3831][1]~q\ $ (VCC))) # (!\led_flash_cnt[3831][0]~q\ & (\led_flash_cnt[3831][1]~q\ & VCC))
-- \led_flash_cnt[3831][1]~77827\ = CARRY((\led_flash_cnt[3831][0]~q\ & \led_flash_cnt[3831][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3831][0]~q\,
	datab => \led_flash_cnt[3831][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3831][1]~77826_combout\,
	cout => \led_flash_cnt[3831][1]~77827\);

-- Location: FF_X6_Y24_N19
\led_flash_cnt[3831][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3831][1]~77826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3831][1]~q\);

-- Location: LCCOMB_X6_Y24_N20
\led_flash_cnt[3831][2]~77828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3831][2]~77828_combout\ = (\led_flash_cnt[3831][2]~q\ & (!\led_flash_cnt[3831][1]~77827\)) # (!\led_flash_cnt[3831][2]~q\ & ((\led_flash_cnt[3831][1]~77827\) # (GND)))
-- \led_flash_cnt[3831][2]~77829\ = CARRY((!\led_flash_cnt[3831][1]~77827\) # (!\led_flash_cnt[3831][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3831][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3831][1]~77827\,
	combout => \led_flash_cnt[3831][2]~77828_combout\,
	cout => \led_flash_cnt[3831][2]~77829\);

-- Location: FF_X6_Y24_N21
\led_flash_cnt[3831][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3831][2]~77828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3831][2]~q\);

-- Location: LCCOMB_X6_Y24_N22
\led_flash_cnt[3831][3]~77830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3831][3]~77830_combout\ = (\led_flash_cnt[3831][3]~q\ & (\led_flash_cnt[3831][2]~77829\ $ (GND))) # (!\led_flash_cnt[3831][3]~q\ & (!\led_flash_cnt[3831][2]~77829\ & VCC))
-- \led_flash_cnt[3831][3]~77831\ = CARRY((\led_flash_cnt[3831][3]~q\ & !\led_flash_cnt[3831][2]~77829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3831][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3831][2]~77829\,
	combout => \led_flash_cnt[3831][3]~77830_combout\,
	cout => \led_flash_cnt[3831][3]~77831\);

-- Location: FF_X6_Y24_N23
\led_flash_cnt[3831][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3831][3]~77830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3831][3]~q\);

-- Location: LCCOMB_X6_Y24_N24
\led_flash_cnt[3831][4]~77832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3831][4]~77832_combout\ = (\led_flash_cnt[3831][4]~q\ & (!\led_flash_cnt[3831][3]~77831\)) # (!\led_flash_cnt[3831][4]~q\ & ((\led_flash_cnt[3831][3]~77831\) # (GND)))
-- \led_flash_cnt[3831][4]~77833\ = CARRY((!\led_flash_cnt[3831][3]~77831\) # (!\led_flash_cnt[3831][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3831][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3831][3]~77831\,
	combout => \led_flash_cnt[3831][4]~77832_combout\,
	cout => \led_flash_cnt[3831][4]~77833\);

-- Location: FF_X6_Y24_N25
\led_flash_cnt[3831][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3831][4]~77832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3831][4]~q\);

-- Location: LCCOMB_X6_Y24_N14
\WideAnd3831~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3831~0_combout\ = (\led_flash_cnt[3831][4]~q\ & (\led_flash_cnt[3831][1]~q\ & (\led_flash_cnt[3831][3]~q\ & \led_flash_cnt[3831][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3831][4]~q\,
	datab => \led_flash_cnt[3831][1]~q\,
	datac => \led_flash_cnt[3831][3]~q\,
	datad => \led_flash_cnt[3831][2]~q\,
	combout => \WideAnd3831~0_combout\);

-- Location: LCCOMB_X6_Y24_N26
\led_flash_cnt[3831][5]~77834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3831][5]~77834_combout\ = (\led_flash_cnt[3831][5]~q\ & (\led_flash_cnt[3831][4]~77833\ $ (GND))) # (!\led_flash_cnt[3831][5]~q\ & (!\led_flash_cnt[3831][4]~77833\ & VCC))
-- \led_flash_cnt[3831][5]~77835\ = CARRY((\led_flash_cnt[3831][5]~q\ & !\led_flash_cnt[3831][4]~77833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3831][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3831][4]~77833\,
	combout => \led_flash_cnt[3831][5]~77834_combout\,
	cout => \led_flash_cnt[3831][5]~77835\);

-- Location: FF_X6_Y24_N27
\led_flash_cnt[3831][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3831][5]~77834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3831][5]~q\);

-- Location: LCCOMB_X6_Y24_N28
\led_flash_cnt[3831][6]~77836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3831][6]~77836_combout\ = (\led_flash_cnt[3831][6]~q\ & (!\led_flash_cnt[3831][5]~77835\)) # (!\led_flash_cnt[3831][6]~q\ & ((\led_flash_cnt[3831][5]~77835\) # (GND)))
-- \led_flash_cnt[3831][6]~77837\ = CARRY((!\led_flash_cnt[3831][5]~77835\) # (!\led_flash_cnt[3831][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3831][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3831][5]~77835\,
	combout => \led_flash_cnt[3831][6]~77836_combout\,
	cout => \led_flash_cnt[3831][6]~77837\);

-- Location: FF_X6_Y24_N29
\led_flash_cnt[3831][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3831][6]~77836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3831][6]~q\);

-- Location: LCCOMB_X6_Y24_N30
\led_flash_cnt[3831][7]~77838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3831][7]~77838_combout\ = \led_flash_cnt[3831][7]~q\ $ (!\led_flash_cnt[3831][6]~77837\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3831][7]~q\,
	cin => \led_flash_cnt[3831][6]~77837\,
	combout => \led_flash_cnt[3831][7]~77838_combout\);

-- Location: FF_X6_Y24_N31
\led_flash_cnt[3831][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3831][7]~77838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3831][7]~q\);

-- Location: LCCOMB_X7_Y24_N2
\WideAnd3831~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3831~1_combout\ = (\led_flash_cnt[3831][5]~q\ & \led_flash_cnt[3831][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3831][5]~q\,
	datad => \led_flash_cnt[3831][6]~q\,
	combout => \WideAnd3831~1_combout\);

-- Location: LCCOMB_X7_Y24_N10
WideAnd3831 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3831~combout\ = (\WideAnd3831~0_combout\ & (\led_flash_cnt[3831][7]~q\ & (\led_flash_cnt[3831][0]~q\ & \WideAnd3831~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3831~0_combout\,
	datab => \led_flash_cnt[3831][7]~q\,
	datac => \led_flash_cnt[3831][0]~q\,
	datad => \WideAnd3831~1_combout\,
	combout => \WideAnd3831~combout\);

-- Location: FF_X7_Y24_N11
\led_flash_cnt_ands[3831]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3831~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3831));

-- Location: LCCOMB_X74_Y32_N12
\led_flash_cnt[3828][0]~84276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3828][0]~84276_combout\ = !\led_flash_cnt[3828][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3828][0]~q\,
	combout => \led_flash_cnt[3828][0]~84276_combout\);

-- Location: FF_X74_Y32_N13
\led_flash_cnt[3828][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3828][0]~84276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3828][0]~q\);

-- Location: LCCOMB_X74_Y32_N16
\led_flash_cnt[3828][1]~77784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3828][1]~77784_combout\ = (\led_flash_cnt[3828][0]~q\ & (\led_flash_cnt[3828][1]~q\ $ (VCC))) # (!\led_flash_cnt[3828][0]~q\ & (\led_flash_cnt[3828][1]~q\ & VCC))
-- \led_flash_cnt[3828][1]~77785\ = CARRY((\led_flash_cnt[3828][0]~q\ & \led_flash_cnt[3828][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3828][0]~q\,
	datab => \led_flash_cnt[3828][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3828][1]~77784_combout\,
	cout => \led_flash_cnt[3828][1]~77785\);

-- Location: FF_X74_Y32_N17
\led_flash_cnt[3828][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3828][1]~77784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3828][1]~q\);

-- Location: LCCOMB_X74_Y32_N18
\led_flash_cnt[3828][2]~77786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3828][2]~77786_combout\ = (\led_flash_cnt[3828][2]~q\ & (!\led_flash_cnt[3828][1]~77785\)) # (!\led_flash_cnt[3828][2]~q\ & ((\led_flash_cnt[3828][1]~77785\) # (GND)))
-- \led_flash_cnt[3828][2]~77787\ = CARRY((!\led_flash_cnt[3828][1]~77785\) # (!\led_flash_cnt[3828][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3828][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3828][1]~77785\,
	combout => \led_flash_cnt[3828][2]~77786_combout\,
	cout => \led_flash_cnt[3828][2]~77787\);

-- Location: FF_X74_Y32_N19
\led_flash_cnt[3828][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3828][2]~77786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3828][2]~q\);

-- Location: LCCOMB_X74_Y32_N20
\led_flash_cnt[3828][3]~77788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3828][3]~77788_combout\ = (\led_flash_cnt[3828][3]~q\ & (\led_flash_cnt[3828][2]~77787\ $ (GND))) # (!\led_flash_cnt[3828][3]~q\ & (!\led_flash_cnt[3828][2]~77787\ & VCC))
-- \led_flash_cnt[3828][3]~77789\ = CARRY((\led_flash_cnt[3828][3]~q\ & !\led_flash_cnt[3828][2]~77787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3828][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3828][2]~77787\,
	combout => \led_flash_cnt[3828][3]~77788_combout\,
	cout => \led_flash_cnt[3828][3]~77789\);

-- Location: FF_X74_Y32_N21
\led_flash_cnt[3828][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3828][3]~77788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3828][3]~q\);

-- Location: LCCOMB_X74_Y32_N22
\led_flash_cnt[3828][4]~77790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3828][4]~77790_combout\ = (\led_flash_cnt[3828][4]~q\ & (!\led_flash_cnt[3828][3]~77789\)) # (!\led_flash_cnt[3828][4]~q\ & ((\led_flash_cnt[3828][3]~77789\) # (GND)))
-- \led_flash_cnt[3828][4]~77791\ = CARRY((!\led_flash_cnt[3828][3]~77789\) # (!\led_flash_cnt[3828][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3828][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3828][3]~77789\,
	combout => \led_flash_cnt[3828][4]~77790_combout\,
	cout => \led_flash_cnt[3828][4]~77791\);

-- Location: FF_X74_Y32_N23
\led_flash_cnt[3828][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3828][4]~77790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3828][4]~q\);

-- Location: LCCOMB_X74_Y32_N24
\led_flash_cnt[3828][5]~77792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3828][5]~77792_combout\ = (\led_flash_cnt[3828][5]~q\ & (\led_flash_cnt[3828][4]~77791\ $ (GND))) # (!\led_flash_cnt[3828][5]~q\ & (!\led_flash_cnt[3828][4]~77791\ & VCC))
-- \led_flash_cnt[3828][5]~77793\ = CARRY((\led_flash_cnt[3828][5]~q\ & !\led_flash_cnt[3828][4]~77791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3828][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3828][4]~77791\,
	combout => \led_flash_cnt[3828][5]~77792_combout\,
	cout => \led_flash_cnt[3828][5]~77793\);

-- Location: FF_X74_Y32_N25
\led_flash_cnt[3828][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3828][5]~77792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3828][5]~q\);

-- Location: LCCOMB_X74_Y32_N26
\led_flash_cnt[3828][6]~77794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3828][6]~77794_combout\ = (\led_flash_cnt[3828][6]~q\ & (!\led_flash_cnt[3828][5]~77793\)) # (!\led_flash_cnt[3828][6]~q\ & ((\led_flash_cnt[3828][5]~77793\) # (GND)))
-- \led_flash_cnt[3828][6]~77795\ = CARRY((!\led_flash_cnt[3828][5]~77793\) # (!\led_flash_cnt[3828][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3828][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3828][5]~77793\,
	combout => \led_flash_cnt[3828][6]~77794_combout\,
	cout => \led_flash_cnt[3828][6]~77795\);

-- Location: FF_X74_Y32_N27
\led_flash_cnt[3828][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3828][6]~77794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3828][6]~q\);

-- Location: LCCOMB_X74_Y32_N28
\led_flash_cnt[3828][7]~77796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3828][7]~77796_combout\ = \led_flash_cnt[3828][6]~77795\ $ (!\led_flash_cnt[3828][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3828][7]~q\,
	cin => \led_flash_cnt[3828][6]~77795\,
	combout => \led_flash_cnt[3828][7]~77796_combout\);

-- Location: FF_X74_Y32_N29
\led_flash_cnt[3828][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3828][7]~77796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3828][7]~q\);

-- Location: LCCOMB_X74_Y32_N4
\WideAnd3828~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3828~1_combout\ = (\led_flash_cnt[3828][6]~q\ & \led_flash_cnt[3828][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3828][6]~q\,
	datad => \led_flash_cnt[3828][5]~q\,
	combout => \WideAnd3828~1_combout\);

-- Location: LCCOMB_X74_Y32_N2
\WideAnd3828~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3828~0_combout\ = (\led_flash_cnt[3828][3]~q\ & (\led_flash_cnt[3828][2]~q\ & (\led_flash_cnt[3828][4]~q\ & \led_flash_cnt[3828][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3828][3]~q\,
	datab => \led_flash_cnt[3828][2]~q\,
	datac => \led_flash_cnt[3828][4]~q\,
	datad => \led_flash_cnt[3828][1]~q\,
	combout => \WideAnd3828~0_combout\);

-- Location: LCCOMB_X74_Y32_N8
WideAnd3828 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3828~combout\ = (\led_flash_cnt[3828][0]~q\ & (\led_flash_cnt[3828][7]~q\ & (\WideAnd3828~1_combout\ & \WideAnd3828~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3828][0]~q\,
	datab => \led_flash_cnt[3828][7]~q\,
	datac => \WideAnd3828~1_combout\,
	datad => \WideAnd3828~0_combout\,
	combout => \WideAnd3828~combout\);

-- Location: FF_X74_Y32_N9
\led_flash_cnt_ands[3828]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3828~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3828));

-- Location: LCCOMB_X7_Y24_N30
\led_flash_cnt[3829][0]~84277\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3829][0]~84277_combout\ = !\led_flash_cnt[3829][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3829][0]~q\,
	combout => \led_flash_cnt[3829][0]~84277_combout\);

-- Location: FF_X7_Y24_N31
\led_flash_cnt[3829][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3829][0]~84277_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3829][0]~q\);

-- Location: LCCOMB_X7_Y24_N14
\led_flash_cnt[3829][1]~77798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3829][1]~77798_combout\ = (\led_flash_cnt[3829][0]~q\ & (\led_flash_cnt[3829][1]~q\ $ (VCC))) # (!\led_flash_cnt[3829][0]~q\ & (\led_flash_cnt[3829][1]~q\ & VCC))
-- \led_flash_cnt[3829][1]~77799\ = CARRY((\led_flash_cnt[3829][0]~q\ & \led_flash_cnt[3829][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3829][0]~q\,
	datab => \led_flash_cnt[3829][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3829][1]~77798_combout\,
	cout => \led_flash_cnt[3829][1]~77799\);

-- Location: FF_X7_Y24_N15
\led_flash_cnt[3829][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3829][1]~77798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3829][1]~q\);

-- Location: LCCOMB_X7_Y24_N16
\led_flash_cnt[3829][2]~77800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3829][2]~77800_combout\ = (\led_flash_cnt[3829][2]~q\ & (!\led_flash_cnt[3829][1]~77799\)) # (!\led_flash_cnt[3829][2]~q\ & ((\led_flash_cnt[3829][1]~77799\) # (GND)))
-- \led_flash_cnt[3829][2]~77801\ = CARRY((!\led_flash_cnt[3829][1]~77799\) # (!\led_flash_cnt[3829][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3829][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3829][1]~77799\,
	combout => \led_flash_cnt[3829][2]~77800_combout\,
	cout => \led_flash_cnt[3829][2]~77801\);

-- Location: FF_X7_Y24_N17
\led_flash_cnt[3829][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3829][2]~77800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3829][2]~q\);

-- Location: LCCOMB_X7_Y24_N18
\led_flash_cnt[3829][3]~77802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3829][3]~77802_combout\ = (\led_flash_cnt[3829][3]~q\ & (\led_flash_cnt[3829][2]~77801\ $ (GND))) # (!\led_flash_cnt[3829][3]~q\ & (!\led_flash_cnt[3829][2]~77801\ & VCC))
-- \led_flash_cnt[3829][3]~77803\ = CARRY((\led_flash_cnt[3829][3]~q\ & !\led_flash_cnt[3829][2]~77801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3829][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3829][2]~77801\,
	combout => \led_flash_cnt[3829][3]~77802_combout\,
	cout => \led_flash_cnt[3829][3]~77803\);

-- Location: FF_X7_Y24_N19
\led_flash_cnt[3829][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3829][3]~77802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3829][3]~q\);

-- Location: LCCOMB_X7_Y24_N20
\led_flash_cnt[3829][4]~77804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3829][4]~77804_combout\ = (\led_flash_cnt[3829][4]~q\ & (!\led_flash_cnt[3829][3]~77803\)) # (!\led_flash_cnt[3829][4]~q\ & ((\led_flash_cnt[3829][3]~77803\) # (GND)))
-- \led_flash_cnt[3829][4]~77805\ = CARRY((!\led_flash_cnt[3829][3]~77803\) # (!\led_flash_cnt[3829][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3829][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3829][3]~77803\,
	combout => \led_flash_cnt[3829][4]~77804_combout\,
	cout => \led_flash_cnt[3829][4]~77805\);

-- Location: FF_X7_Y24_N21
\led_flash_cnt[3829][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3829][4]~77804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3829][4]~q\);

-- Location: LCCOMB_X7_Y24_N22
\led_flash_cnt[3829][5]~77806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3829][5]~77806_combout\ = (\led_flash_cnt[3829][5]~q\ & (\led_flash_cnt[3829][4]~77805\ $ (GND))) # (!\led_flash_cnt[3829][5]~q\ & (!\led_flash_cnt[3829][4]~77805\ & VCC))
-- \led_flash_cnt[3829][5]~77807\ = CARRY((\led_flash_cnt[3829][5]~q\ & !\led_flash_cnt[3829][4]~77805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3829][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3829][4]~77805\,
	combout => \led_flash_cnt[3829][5]~77806_combout\,
	cout => \led_flash_cnt[3829][5]~77807\);

-- Location: FF_X7_Y24_N23
\led_flash_cnt[3829][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3829][5]~77806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3829][5]~q\);

-- Location: LCCOMB_X7_Y24_N24
\led_flash_cnt[3829][6]~77808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3829][6]~77808_combout\ = (\led_flash_cnt[3829][6]~q\ & (!\led_flash_cnt[3829][5]~77807\)) # (!\led_flash_cnt[3829][6]~q\ & ((\led_flash_cnt[3829][5]~77807\) # (GND)))
-- \led_flash_cnt[3829][6]~77809\ = CARRY((!\led_flash_cnt[3829][5]~77807\) # (!\led_flash_cnt[3829][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3829][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3829][5]~77807\,
	combout => \led_flash_cnt[3829][6]~77808_combout\,
	cout => \led_flash_cnt[3829][6]~77809\);

-- Location: FF_X7_Y24_N25
\led_flash_cnt[3829][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3829][6]~77808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3829][6]~q\);

-- Location: LCCOMB_X7_Y24_N26
\led_flash_cnt[3829][7]~77810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3829][7]~77810_combout\ = \led_flash_cnt[3829][7]~q\ $ (!\led_flash_cnt[3829][6]~77809\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3829][7]~q\,
	cin => \led_flash_cnt[3829][6]~77809\,
	combout => \led_flash_cnt[3829][7]~77810_combout\);

-- Location: FF_X7_Y24_N27
\led_flash_cnt[3829][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3829][7]~77810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3829][7]~q\);

-- Location: LCCOMB_X7_Y24_N0
\WideAnd3829~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3829~0_combout\ = (\led_flash_cnt[3829][3]~q\ & (\led_flash_cnt[3829][2]~q\ & (\led_flash_cnt[3829][1]~q\ & \led_flash_cnt[3829][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3829][3]~q\,
	datab => \led_flash_cnt[3829][2]~q\,
	datac => \led_flash_cnt[3829][1]~q\,
	datad => \led_flash_cnt[3829][4]~q\,
	combout => \WideAnd3829~0_combout\);

-- Location: LCCOMB_X7_Y24_N6
\WideAnd3829~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3829~1_combout\ = (\led_flash_cnt[3829][5]~q\ & \led_flash_cnt[3829][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3829][5]~q\,
	datad => \led_flash_cnt[3829][6]~q\,
	combout => \WideAnd3829~1_combout\);

-- Location: LCCOMB_X7_Y24_N12
WideAnd3829 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3829~combout\ = (\led_flash_cnt[3829][7]~q\ & (\WideAnd3829~0_combout\ & (\led_flash_cnt[3829][0]~q\ & \WideAnd3829~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3829][7]~q\,
	datab => \WideAnd3829~0_combout\,
	datac => \led_flash_cnt[3829][0]~q\,
	datad => \WideAnd3829~1_combout\,
	combout => \WideAnd3829~combout\);

-- Location: FF_X7_Y24_N13
\led_flash_cnt_ands[3829]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3829~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3829));

-- Location: LCCOMB_X7_Y24_N8
\WideAnd4318~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4318~1_combout\ = (led_flash_cnt_ands(3828) & led_flash_cnt_ands(3829))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3828),
	datad => led_flash_cnt_ands(3829),
	combout => \WideAnd4318~1_combout\);

-- Location: LCCOMB_X13_Y16_N22
\led_flash_cnt[3824][0]~84272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3824][0]~84272_combout\ = !\led_flash_cnt[3824][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3824][0]~q\,
	combout => \led_flash_cnt[3824][0]~84272_combout\);

-- Location: FF_X13_Y16_N23
\led_flash_cnt[3824][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3824][0]~84272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3824][0]~q\);

-- Location: LCCOMB_X13_Y16_N8
\led_flash_cnt[3824][1]~77728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3824][1]~77728_combout\ = (\led_flash_cnt[3824][0]~q\ & (\led_flash_cnt[3824][1]~q\ $ (VCC))) # (!\led_flash_cnt[3824][0]~q\ & (\led_flash_cnt[3824][1]~q\ & VCC))
-- \led_flash_cnt[3824][1]~77729\ = CARRY((\led_flash_cnt[3824][0]~q\ & \led_flash_cnt[3824][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3824][0]~q\,
	datab => \led_flash_cnt[3824][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3824][1]~77728_combout\,
	cout => \led_flash_cnt[3824][1]~77729\);

-- Location: FF_X13_Y16_N9
\led_flash_cnt[3824][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3824][1]~77728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3824][1]~q\);

-- Location: LCCOMB_X13_Y16_N10
\led_flash_cnt[3824][2]~77730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3824][2]~77730_combout\ = (\led_flash_cnt[3824][2]~q\ & (!\led_flash_cnt[3824][1]~77729\)) # (!\led_flash_cnt[3824][2]~q\ & ((\led_flash_cnt[3824][1]~77729\) # (GND)))
-- \led_flash_cnt[3824][2]~77731\ = CARRY((!\led_flash_cnt[3824][1]~77729\) # (!\led_flash_cnt[3824][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3824][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3824][1]~77729\,
	combout => \led_flash_cnt[3824][2]~77730_combout\,
	cout => \led_flash_cnt[3824][2]~77731\);

-- Location: FF_X13_Y16_N11
\led_flash_cnt[3824][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3824][2]~77730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3824][2]~q\);

-- Location: LCCOMB_X13_Y16_N12
\led_flash_cnt[3824][3]~77732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3824][3]~77732_combout\ = (\led_flash_cnt[3824][3]~q\ & (\led_flash_cnt[3824][2]~77731\ $ (GND))) # (!\led_flash_cnt[3824][3]~q\ & (!\led_flash_cnt[3824][2]~77731\ & VCC))
-- \led_flash_cnt[3824][3]~77733\ = CARRY((\led_flash_cnt[3824][3]~q\ & !\led_flash_cnt[3824][2]~77731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3824][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3824][2]~77731\,
	combout => \led_flash_cnt[3824][3]~77732_combout\,
	cout => \led_flash_cnt[3824][3]~77733\);

-- Location: FF_X13_Y16_N13
\led_flash_cnt[3824][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3824][3]~77732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3824][3]~q\);

-- Location: LCCOMB_X13_Y16_N14
\led_flash_cnt[3824][4]~77734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3824][4]~77734_combout\ = (\led_flash_cnt[3824][4]~q\ & (!\led_flash_cnt[3824][3]~77733\)) # (!\led_flash_cnt[3824][4]~q\ & ((\led_flash_cnt[3824][3]~77733\) # (GND)))
-- \led_flash_cnt[3824][4]~77735\ = CARRY((!\led_flash_cnt[3824][3]~77733\) # (!\led_flash_cnt[3824][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3824][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3824][3]~77733\,
	combout => \led_flash_cnt[3824][4]~77734_combout\,
	cout => \led_flash_cnt[3824][4]~77735\);

-- Location: FF_X13_Y16_N15
\led_flash_cnt[3824][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3824][4]~77734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3824][4]~q\);

-- Location: LCCOMB_X13_Y16_N26
\WideAnd3824~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3824~0_combout\ = (\led_flash_cnt[3824][2]~q\ & (\led_flash_cnt[3824][4]~q\ & (\led_flash_cnt[3824][1]~q\ & \led_flash_cnt[3824][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3824][2]~q\,
	datab => \led_flash_cnt[3824][4]~q\,
	datac => \led_flash_cnt[3824][1]~q\,
	datad => \led_flash_cnt[3824][3]~q\,
	combout => \WideAnd3824~0_combout\);

-- Location: LCCOMB_X13_Y16_N16
\led_flash_cnt[3824][5]~77736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3824][5]~77736_combout\ = (\led_flash_cnt[3824][5]~q\ & (\led_flash_cnt[3824][4]~77735\ $ (GND))) # (!\led_flash_cnt[3824][5]~q\ & (!\led_flash_cnt[3824][4]~77735\ & VCC))
-- \led_flash_cnt[3824][5]~77737\ = CARRY((\led_flash_cnt[3824][5]~q\ & !\led_flash_cnt[3824][4]~77735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3824][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3824][4]~77735\,
	combout => \led_flash_cnt[3824][5]~77736_combout\,
	cout => \led_flash_cnt[3824][5]~77737\);

-- Location: FF_X13_Y16_N17
\led_flash_cnt[3824][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3824][5]~77736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3824][5]~q\);

-- Location: LCCOMB_X13_Y16_N18
\led_flash_cnt[3824][6]~77738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3824][6]~77738_combout\ = (\led_flash_cnt[3824][6]~q\ & (!\led_flash_cnt[3824][5]~77737\)) # (!\led_flash_cnt[3824][6]~q\ & ((\led_flash_cnt[3824][5]~77737\) # (GND)))
-- \led_flash_cnt[3824][6]~77739\ = CARRY((!\led_flash_cnt[3824][5]~77737\) # (!\led_flash_cnt[3824][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3824][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3824][5]~77737\,
	combout => \led_flash_cnt[3824][6]~77738_combout\,
	cout => \led_flash_cnt[3824][6]~77739\);

-- Location: FF_X13_Y16_N19
\led_flash_cnt[3824][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3824][6]~77738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3824][6]~q\);

-- Location: LCCOMB_X13_Y16_N24
\WideAnd3824~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3824~1_combout\ = (\led_flash_cnt[3824][6]~q\ & \led_flash_cnt[3824][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3824][6]~q\,
	datad => \led_flash_cnt[3824][5]~q\,
	combout => \WideAnd3824~1_combout\);

-- Location: LCCOMB_X13_Y16_N20
\led_flash_cnt[3824][7]~77740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3824][7]~77740_combout\ = \led_flash_cnt[3824][6]~77739\ $ (!\led_flash_cnt[3824][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3824][7]~q\,
	cin => \led_flash_cnt[3824][6]~77739\,
	combout => \led_flash_cnt[3824][7]~77740_combout\);

-- Location: FF_X13_Y16_N21
\led_flash_cnt[3824][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3824][7]~77740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3824][7]~q\);

-- Location: LCCOMB_X13_Y16_N2
WideAnd3824 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3824~combout\ = (\WideAnd3824~0_combout\ & (\WideAnd3824~1_combout\ & (\led_flash_cnt[3824][0]~q\ & \led_flash_cnt[3824][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3824~0_combout\,
	datab => \WideAnd3824~1_combout\,
	datac => \led_flash_cnt[3824][0]~q\,
	datad => \led_flash_cnt[3824][7]~q\,
	combout => \WideAnd3824~combout\);

-- Location: FF_X13_Y16_N3
\led_flash_cnt_ands[3824]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3824~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3824));

-- Location: LCCOMB_X13_Y16_N28
\led_flash_cnt[3827][0]~84275\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3827][0]~84275_combout\ = !\led_flash_cnt[3827][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3827][0]~q\,
	combout => \led_flash_cnt[3827][0]~84275_combout\);

-- Location: FF_X13_Y16_N29
\led_flash_cnt[3827][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3827][0]~84275_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3827][0]~q\);

-- Location: LCCOMB_X12_Y16_N0
\led_flash_cnt[3827][1]~77770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3827][1]~77770_combout\ = (\led_flash_cnt[3827][1]~q\ & (\led_flash_cnt[3827][0]~q\ $ (VCC))) # (!\led_flash_cnt[3827][1]~q\ & (\led_flash_cnt[3827][0]~q\ & VCC))
-- \led_flash_cnt[3827][1]~77771\ = CARRY((\led_flash_cnt[3827][1]~q\ & \led_flash_cnt[3827][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3827][1]~q\,
	datab => \led_flash_cnt[3827][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3827][1]~77770_combout\,
	cout => \led_flash_cnt[3827][1]~77771\);

-- Location: FF_X12_Y16_N1
\led_flash_cnt[3827][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3827][1]~77770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3827][1]~q\);

-- Location: LCCOMB_X12_Y16_N2
\led_flash_cnt[3827][2]~77772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3827][2]~77772_combout\ = (\led_flash_cnt[3827][2]~q\ & (!\led_flash_cnt[3827][1]~77771\)) # (!\led_flash_cnt[3827][2]~q\ & ((\led_flash_cnt[3827][1]~77771\) # (GND)))
-- \led_flash_cnt[3827][2]~77773\ = CARRY((!\led_flash_cnt[3827][1]~77771\) # (!\led_flash_cnt[3827][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3827][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3827][1]~77771\,
	combout => \led_flash_cnt[3827][2]~77772_combout\,
	cout => \led_flash_cnt[3827][2]~77773\);

-- Location: FF_X12_Y16_N3
\led_flash_cnt[3827][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3827][2]~77772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3827][2]~q\);

-- Location: LCCOMB_X12_Y16_N4
\led_flash_cnt[3827][3]~77774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3827][3]~77774_combout\ = (\led_flash_cnt[3827][3]~q\ & (\led_flash_cnt[3827][2]~77773\ $ (GND))) # (!\led_flash_cnt[3827][3]~q\ & (!\led_flash_cnt[3827][2]~77773\ & VCC))
-- \led_flash_cnt[3827][3]~77775\ = CARRY((\led_flash_cnt[3827][3]~q\ & !\led_flash_cnt[3827][2]~77773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3827][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3827][2]~77773\,
	combout => \led_flash_cnt[3827][3]~77774_combout\,
	cout => \led_flash_cnt[3827][3]~77775\);

-- Location: FF_X12_Y16_N5
\led_flash_cnt[3827][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3827][3]~77774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3827][3]~q\);

-- Location: LCCOMB_X12_Y16_N6
\led_flash_cnt[3827][4]~77776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3827][4]~77776_combout\ = (\led_flash_cnt[3827][4]~q\ & (!\led_flash_cnt[3827][3]~77775\)) # (!\led_flash_cnt[3827][4]~q\ & ((\led_flash_cnt[3827][3]~77775\) # (GND)))
-- \led_flash_cnt[3827][4]~77777\ = CARRY((!\led_flash_cnt[3827][3]~77775\) # (!\led_flash_cnt[3827][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3827][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3827][3]~77775\,
	combout => \led_flash_cnt[3827][4]~77776_combout\,
	cout => \led_flash_cnt[3827][4]~77777\);

-- Location: FF_X12_Y16_N7
\led_flash_cnt[3827][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3827][4]~77776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3827][4]~q\);

-- Location: LCCOMB_X12_Y16_N8
\led_flash_cnt[3827][5]~77778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3827][5]~77778_combout\ = (\led_flash_cnt[3827][5]~q\ & (\led_flash_cnt[3827][4]~77777\ $ (GND))) # (!\led_flash_cnt[3827][5]~q\ & (!\led_flash_cnt[3827][4]~77777\ & VCC))
-- \led_flash_cnt[3827][5]~77779\ = CARRY((\led_flash_cnt[3827][5]~q\ & !\led_flash_cnt[3827][4]~77777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3827][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3827][4]~77777\,
	combout => \led_flash_cnt[3827][5]~77778_combout\,
	cout => \led_flash_cnt[3827][5]~77779\);

-- Location: FF_X12_Y16_N9
\led_flash_cnt[3827][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3827][5]~77778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3827][5]~q\);

-- Location: LCCOMB_X12_Y16_N10
\led_flash_cnt[3827][6]~77780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3827][6]~77780_combout\ = (\led_flash_cnt[3827][6]~q\ & (!\led_flash_cnt[3827][5]~77779\)) # (!\led_flash_cnt[3827][6]~q\ & ((\led_flash_cnt[3827][5]~77779\) # (GND)))
-- \led_flash_cnt[3827][6]~77781\ = CARRY((!\led_flash_cnt[3827][5]~77779\) # (!\led_flash_cnt[3827][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3827][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3827][5]~77779\,
	combout => \led_flash_cnt[3827][6]~77780_combout\,
	cout => \led_flash_cnt[3827][6]~77781\);

-- Location: FF_X12_Y16_N11
\led_flash_cnt[3827][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3827][6]~77780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3827][6]~q\);

-- Location: LCCOMB_X12_Y16_N12
\led_flash_cnt[3827][7]~77782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3827][7]~77782_combout\ = \led_flash_cnt[3827][6]~77781\ $ (!\led_flash_cnt[3827][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3827][7]~q\,
	cin => \led_flash_cnt[3827][6]~77781\,
	combout => \led_flash_cnt[3827][7]~77782_combout\);

-- Location: FF_X12_Y16_N13
\led_flash_cnt[3827][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3827][7]~77782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3827][7]~q\);

-- Location: LCCOMB_X13_Y16_N4
\WideAnd3827~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3827~1_combout\ = (\led_flash_cnt[3827][5]~q\ & \led_flash_cnt[3827][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3827][5]~q\,
	datad => \led_flash_cnt[3827][6]~q\,
	combout => \WideAnd3827~1_combout\);

-- Location: LCCOMB_X12_Y16_N14
\WideAnd3827~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3827~0_combout\ = (\led_flash_cnt[3827][4]~q\ & (\led_flash_cnt[3827][2]~q\ & (\led_flash_cnt[3827][3]~q\ & \led_flash_cnt[3827][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3827][4]~q\,
	datab => \led_flash_cnt[3827][2]~q\,
	datac => \led_flash_cnt[3827][3]~q\,
	datad => \led_flash_cnt[3827][1]~q\,
	combout => \WideAnd3827~0_combout\);

-- Location: LCCOMB_X13_Y16_N30
WideAnd3827 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3827~combout\ = (\led_flash_cnt[3827][7]~q\ & (\WideAnd3827~1_combout\ & (\led_flash_cnt[3827][0]~q\ & \WideAnd3827~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3827][7]~q\,
	datab => \WideAnd3827~1_combout\,
	datac => \led_flash_cnt[3827][0]~q\,
	datad => \WideAnd3827~0_combout\,
	combout => \WideAnd3827~combout\);

-- Location: FF_X13_Y16_N31
\led_flash_cnt_ands[3827]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3827~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3827));

-- Location: LCCOMB_X60_Y21_N12
\led_flash_cnt[3826][0]~84274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3826][0]~84274_combout\ = !\led_flash_cnt[3826][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3826][0]~q\,
	combout => \led_flash_cnt[3826][0]~84274_combout\);

-- Location: FF_X60_Y21_N13
\led_flash_cnt[3826][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3826][0]~84274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3826][0]~q\);

-- Location: LCCOMB_X60_Y21_N14
\led_flash_cnt[3826][1]~77756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3826][1]~77756_combout\ = (\led_flash_cnt[3826][0]~q\ & (\led_flash_cnt[3826][1]~q\ $ (VCC))) # (!\led_flash_cnt[3826][0]~q\ & (\led_flash_cnt[3826][1]~q\ & VCC))
-- \led_flash_cnt[3826][1]~77757\ = CARRY((\led_flash_cnt[3826][0]~q\ & \led_flash_cnt[3826][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3826][0]~q\,
	datab => \led_flash_cnt[3826][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3826][1]~77756_combout\,
	cout => \led_flash_cnt[3826][1]~77757\);

-- Location: FF_X60_Y21_N15
\led_flash_cnt[3826][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3826][1]~77756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3826][1]~q\);

-- Location: LCCOMB_X60_Y21_N16
\led_flash_cnt[3826][2]~77758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3826][2]~77758_combout\ = (\led_flash_cnt[3826][2]~q\ & (!\led_flash_cnt[3826][1]~77757\)) # (!\led_flash_cnt[3826][2]~q\ & ((\led_flash_cnt[3826][1]~77757\) # (GND)))
-- \led_flash_cnt[3826][2]~77759\ = CARRY((!\led_flash_cnt[3826][1]~77757\) # (!\led_flash_cnt[3826][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3826][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3826][1]~77757\,
	combout => \led_flash_cnt[3826][2]~77758_combout\,
	cout => \led_flash_cnt[3826][2]~77759\);

-- Location: FF_X60_Y21_N17
\led_flash_cnt[3826][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3826][2]~77758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3826][2]~q\);

-- Location: LCCOMB_X60_Y21_N18
\led_flash_cnt[3826][3]~77760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3826][3]~77760_combout\ = (\led_flash_cnt[3826][3]~q\ & (\led_flash_cnt[3826][2]~77759\ $ (GND))) # (!\led_flash_cnt[3826][3]~q\ & (!\led_flash_cnt[3826][2]~77759\ & VCC))
-- \led_flash_cnt[3826][3]~77761\ = CARRY((\led_flash_cnt[3826][3]~q\ & !\led_flash_cnt[3826][2]~77759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3826][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3826][2]~77759\,
	combout => \led_flash_cnt[3826][3]~77760_combout\,
	cout => \led_flash_cnt[3826][3]~77761\);

-- Location: FF_X60_Y21_N19
\led_flash_cnt[3826][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3826][3]~77760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3826][3]~q\);

-- Location: LCCOMB_X60_Y21_N20
\led_flash_cnt[3826][4]~77762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3826][4]~77762_combout\ = (\led_flash_cnt[3826][4]~q\ & (!\led_flash_cnt[3826][3]~77761\)) # (!\led_flash_cnt[3826][4]~q\ & ((\led_flash_cnt[3826][3]~77761\) # (GND)))
-- \led_flash_cnt[3826][4]~77763\ = CARRY((!\led_flash_cnt[3826][3]~77761\) # (!\led_flash_cnt[3826][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3826][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3826][3]~77761\,
	combout => \led_flash_cnt[3826][4]~77762_combout\,
	cout => \led_flash_cnt[3826][4]~77763\);

-- Location: FF_X60_Y21_N21
\led_flash_cnt[3826][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3826][4]~77762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3826][4]~q\);

-- Location: LCCOMB_X60_Y21_N30
\WideAnd3826~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3826~0_combout\ = (\led_flash_cnt[3826][4]~q\ & (\led_flash_cnt[3826][3]~q\ & (\led_flash_cnt[3826][1]~q\ & \led_flash_cnt[3826][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3826][4]~q\,
	datab => \led_flash_cnt[3826][3]~q\,
	datac => \led_flash_cnt[3826][1]~q\,
	datad => \led_flash_cnt[3826][2]~q\,
	combout => \WideAnd3826~0_combout\);

-- Location: LCCOMB_X60_Y21_N22
\led_flash_cnt[3826][5]~77764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3826][5]~77764_combout\ = (\led_flash_cnt[3826][5]~q\ & (\led_flash_cnt[3826][4]~77763\ $ (GND))) # (!\led_flash_cnt[3826][5]~q\ & (!\led_flash_cnt[3826][4]~77763\ & VCC))
-- \led_flash_cnt[3826][5]~77765\ = CARRY((\led_flash_cnt[3826][5]~q\ & !\led_flash_cnt[3826][4]~77763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3826][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3826][4]~77763\,
	combout => \led_flash_cnt[3826][5]~77764_combout\,
	cout => \led_flash_cnt[3826][5]~77765\);

-- Location: FF_X60_Y21_N23
\led_flash_cnt[3826][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3826][5]~77764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3826][5]~q\);

-- Location: LCCOMB_X60_Y21_N24
\led_flash_cnt[3826][6]~77766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3826][6]~77766_combout\ = (\led_flash_cnt[3826][6]~q\ & (!\led_flash_cnt[3826][5]~77765\)) # (!\led_flash_cnt[3826][6]~q\ & ((\led_flash_cnt[3826][5]~77765\) # (GND)))
-- \led_flash_cnt[3826][6]~77767\ = CARRY((!\led_flash_cnt[3826][5]~77765\) # (!\led_flash_cnt[3826][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3826][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3826][5]~77765\,
	combout => \led_flash_cnt[3826][6]~77766_combout\,
	cout => \led_flash_cnt[3826][6]~77767\);

-- Location: FF_X60_Y21_N25
\led_flash_cnt[3826][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3826][6]~77766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3826][6]~q\);

-- Location: LCCOMB_X60_Y21_N2
\WideAnd3826~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3826~1_combout\ = (\led_flash_cnt[3826][5]~q\ & \led_flash_cnt[3826][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3826][5]~q\,
	datad => \led_flash_cnt[3826][6]~q\,
	combout => \WideAnd3826~1_combout\);

-- Location: LCCOMB_X60_Y21_N26
\led_flash_cnt[3826][7]~77768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3826][7]~77768_combout\ = \led_flash_cnt[3826][7]~q\ $ (!\led_flash_cnt[3826][6]~77767\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3826][7]~q\,
	cin => \led_flash_cnt[3826][6]~77767\,
	combout => \led_flash_cnt[3826][7]~77768_combout\);

-- Location: FF_X60_Y21_N27
\led_flash_cnt[3826][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3826][7]~77768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3826][7]~q\);

-- Location: LCCOMB_X60_Y21_N10
WideAnd3826 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3826~combout\ = (\WideAnd3826~0_combout\ & (\WideAnd3826~1_combout\ & (\led_flash_cnt[3826][7]~q\ & \led_flash_cnt[3826][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3826~0_combout\,
	datab => \WideAnd3826~1_combout\,
	datac => \led_flash_cnt[3826][7]~q\,
	datad => \led_flash_cnt[3826][0]~q\,
	combout => \WideAnd3826~combout\);

-- Location: FF_X60_Y21_N11
\led_flash_cnt_ands[3826]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3826~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3826));

-- Location: LCCOMB_X15_Y15_N8
\led_flash_cnt[3825][0]~84273\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3825][0]~84273_combout\ = !\led_flash_cnt[3825][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3825][0]~q\,
	combout => \led_flash_cnt[3825][0]~84273_combout\);

-- Location: FF_X15_Y15_N9
\led_flash_cnt[3825][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3825][0]~84273_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3825][0]~q\);

-- Location: LCCOMB_X15_Y15_N12
\led_flash_cnt[3825][1]~77742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3825][1]~77742_combout\ = (\led_flash_cnt[3825][1]~q\ & (\led_flash_cnt[3825][0]~q\ $ (VCC))) # (!\led_flash_cnt[3825][1]~q\ & (\led_flash_cnt[3825][0]~q\ & VCC))
-- \led_flash_cnt[3825][1]~77743\ = CARRY((\led_flash_cnt[3825][1]~q\ & \led_flash_cnt[3825][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3825][1]~q\,
	datab => \led_flash_cnt[3825][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3825][1]~77742_combout\,
	cout => \led_flash_cnt[3825][1]~77743\);

-- Location: FF_X15_Y15_N13
\led_flash_cnt[3825][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3825][1]~77742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3825][1]~q\);

-- Location: LCCOMB_X15_Y15_N14
\led_flash_cnt[3825][2]~77744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3825][2]~77744_combout\ = (\led_flash_cnt[3825][2]~q\ & (!\led_flash_cnt[3825][1]~77743\)) # (!\led_flash_cnt[3825][2]~q\ & ((\led_flash_cnt[3825][1]~77743\) # (GND)))
-- \led_flash_cnt[3825][2]~77745\ = CARRY((!\led_flash_cnt[3825][1]~77743\) # (!\led_flash_cnt[3825][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3825][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3825][1]~77743\,
	combout => \led_flash_cnt[3825][2]~77744_combout\,
	cout => \led_flash_cnt[3825][2]~77745\);

-- Location: FF_X15_Y15_N15
\led_flash_cnt[3825][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3825][2]~77744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3825][2]~q\);

-- Location: LCCOMB_X15_Y15_N16
\led_flash_cnt[3825][3]~77746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3825][3]~77746_combout\ = (\led_flash_cnt[3825][3]~q\ & (\led_flash_cnt[3825][2]~77745\ $ (GND))) # (!\led_flash_cnt[3825][3]~q\ & (!\led_flash_cnt[3825][2]~77745\ & VCC))
-- \led_flash_cnt[3825][3]~77747\ = CARRY((\led_flash_cnt[3825][3]~q\ & !\led_flash_cnt[3825][2]~77745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3825][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3825][2]~77745\,
	combout => \led_flash_cnt[3825][3]~77746_combout\,
	cout => \led_flash_cnt[3825][3]~77747\);

-- Location: FF_X15_Y15_N17
\led_flash_cnt[3825][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3825][3]~77746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3825][3]~q\);

-- Location: LCCOMB_X15_Y15_N18
\led_flash_cnt[3825][4]~77748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3825][4]~77748_combout\ = (\led_flash_cnt[3825][4]~q\ & (!\led_flash_cnt[3825][3]~77747\)) # (!\led_flash_cnt[3825][4]~q\ & ((\led_flash_cnt[3825][3]~77747\) # (GND)))
-- \led_flash_cnt[3825][4]~77749\ = CARRY((!\led_flash_cnt[3825][3]~77747\) # (!\led_flash_cnt[3825][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3825][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3825][3]~77747\,
	combout => \led_flash_cnt[3825][4]~77748_combout\,
	cout => \led_flash_cnt[3825][4]~77749\);

-- Location: FF_X15_Y15_N19
\led_flash_cnt[3825][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3825][4]~77748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3825][4]~q\);

-- Location: LCCOMB_X15_Y15_N20
\led_flash_cnt[3825][5]~77750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3825][5]~77750_combout\ = (\led_flash_cnt[3825][5]~q\ & (\led_flash_cnt[3825][4]~77749\ $ (GND))) # (!\led_flash_cnt[3825][5]~q\ & (!\led_flash_cnt[3825][4]~77749\ & VCC))
-- \led_flash_cnt[3825][5]~77751\ = CARRY((\led_flash_cnt[3825][5]~q\ & !\led_flash_cnt[3825][4]~77749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3825][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3825][4]~77749\,
	combout => \led_flash_cnt[3825][5]~77750_combout\,
	cout => \led_flash_cnt[3825][5]~77751\);

-- Location: FF_X15_Y15_N21
\led_flash_cnt[3825][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3825][5]~77750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3825][5]~q\);

-- Location: LCCOMB_X15_Y15_N22
\led_flash_cnt[3825][6]~77752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3825][6]~77752_combout\ = (\led_flash_cnt[3825][6]~q\ & (!\led_flash_cnt[3825][5]~77751\)) # (!\led_flash_cnt[3825][6]~q\ & ((\led_flash_cnt[3825][5]~77751\) # (GND)))
-- \led_flash_cnt[3825][6]~77753\ = CARRY((!\led_flash_cnt[3825][5]~77751\) # (!\led_flash_cnt[3825][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3825][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3825][5]~77751\,
	combout => \led_flash_cnt[3825][6]~77752_combout\,
	cout => \led_flash_cnt[3825][6]~77753\);

-- Location: FF_X15_Y15_N23
\led_flash_cnt[3825][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3825][6]~77752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3825][6]~q\);

-- Location: LCCOMB_X15_Y15_N30
\WideAnd3825~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3825~1_combout\ = (\led_flash_cnt[3825][6]~q\ & \led_flash_cnt[3825][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3825][6]~q\,
	datad => \led_flash_cnt[3825][5]~q\,
	combout => \WideAnd3825~1_combout\);

-- Location: LCCOMB_X15_Y15_N4
\WideAnd3825~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3825~0_combout\ = (\led_flash_cnt[3825][1]~q\ & (\led_flash_cnt[3825][3]~q\ & (\led_flash_cnt[3825][2]~q\ & \led_flash_cnt[3825][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3825][1]~q\,
	datab => \led_flash_cnt[3825][3]~q\,
	datac => \led_flash_cnt[3825][2]~q\,
	datad => \led_flash_cnt[3825][4]~q\,
	combout => \WideAnd3825~0_combout\);

-- Location: LCCOMB_X15_Y15_N24
\led_flash_cnt[3825][7]~77754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3825][7]~77754_combout\ = \led_flash_cnt[3825][6]~77753\ $ (!\led_flash_cnt[3825][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3825][7]~q\,
	cin => \led_flash_cnt[3825][6]~77753\,
	combout => \led_flash_cnt[3825][7]~77754_combout\);

-- Location: FF_X15_Y15_N25
\led_flash_cnt[3825][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3825][7]~77754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3825][7]~q\);

-- Location: LCCOMB_X15_Y15_N0
WideAnd3825 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3825~combout\ = (\WideAnd3825~1_combout\ & (\led_flash_cnt[3825][0]~q\ & (\WideAnd3825~0_combout\ & \led_flash_cnt[3825][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3825~1_combout\,
	datab => \led_flash_cnt[3825][0]~q\,
	datac => \WideAnd3825~0_combout\,
	datad => \led_flash_cnt[3825][7]~q\,
	combout => \WideAnd3825~combout\);

-- Location: FF_X15_Y15_N1
\led_flash_cnt_ands[3825]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3825~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3825));

-- Location: LCCOMB_X14_Y16_N4
\WideAnd4318~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4318~0_combout\ = (led_flash_cnt_ands(3824) & (led_flash_cnt_ands(3827) & (led_flash_cnt_ands(3826) & led_flash_cnt_ands(3825))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3824),
	datab => led_flash_cnt_ands(3827),
	datac => led_flash_cnt_ands(3826),
	datad => led_flash_cnt_ands(3825),
	combout => \WideAnd4318~0_combout\);

-- Location: LCCOMB_X6_Y16_N0
WideAnd4318 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4318~combout\ = (led_flash_cnt_ands(3830) & (led_flash_cnt_ands(3831) & (\WideAnd4318~1_combout\ & \WideAnd4318~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3830),
	datab => led_flash_cnt_ands(3831),
	datac => \WideAnd4318~1_combout\,
	datad => \WideAnd4318~0_combout\,
	combout => \WideAnd4318~combout\);

-- Location: FF_X6_Y16_N1
\led_flash_cnt_ands_1[478]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4318~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(478));

-- Location: LCCOMB_X13_Y15_N20
\led_flash_cnt[3778][0]~84228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3778][0]~84228_combout\ = !\led_flash_cnt[3778][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3778][0]~q\,
	combout => \led_flash_cnt[3778][0]~84228_combout\);

-- Location: FF_X13_Y15_N21
\led_flash_cnt[3778][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3778][0]~84228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3778][0]~q\);

-- Location: LCCOMB_X13_Y15_N0
\led_flash_cnt[3778][1]~77112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3778][1]~77112_combout\ = (\led_flash_cnt[3778][1]~q\ & (\led_flash_cnt[3778][0]~q\ $ (VCC))) # (!\led_flash_cnt[3778][1]~q\ & (\led_flash_cnt[3778][0]~q\ & VCC))
-- \led_flash_cnt[3778][1]~77113\ = CARRY((\led_flash_cnt[3778][1]~q\ & \led_flash_cnt[3778][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3778][1]~q\,
	datab => \led_flash_cnt[3778][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3778][1]~77112_combout\,
	cout => \led_flash_cnt[3778][1]~77113\);

-- Location: FF_X13_Y15_N1
\led_flash_cnt[3778][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3778][1]~77112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3778][1]~q\);

-- Location: LCCOMB_X13_Y15_N2
\led_flash_cnt[3778][2]~77114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3778][2]~77114_combout\ = (\led_flash_cnt[3778][2]~q\ & (!\led_flash_cnt[3778][1]~77113\)) # (!\led_flash_cnt[3778][2]~q\ & ((\led_flash_cnt[3778][1]~77113\) # (GND)))
-- \led_flash_cnt[3778][2]~77115\ = CARRY((!\led_flash_cnt[3778][1]~77113\) # (!\led_flash_cnt[3778][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3778][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3778][1]~77113\,
	combout => \led_flash_cnt[3778][2]~77114_combout\,
	cout => \led_flash_cnt[3778][2]~77115\);

-- Location: FF_X13_Y15_N3
\led_flash_cnt[3778][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3778][2]~77114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3778][2]~q\);

-- Location: LCCOMB_X13_Y15_N4
\led_flash_cnt[3778][3]~77116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3778][3]~77116_combout\ = (\led_flash_cnt[3778][3]~q\ & (\led_flash_cnt[3778][2]~77115\ $ (GND))) # (!\led_flash_cnt[3778][3]~q\ & (!\led_flash_cnt[3778][2]~77115\ & VCC))
-- \led_flash_cnt[3778][3]~77117\ = CARRY((\led_flash_cnt[3778][3]~q\ & !\led_flash_cnt[3778][2]~77115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3778][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3778][2]~77115\,
	combout => \led_flash_cnt[3778][3]~77116_combout\,
	cout => \led_flash_cnt[3778][3]~77117\);

-- Location: FF_X13_Y15_N5
\led_flash_cnt[3778][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3778][3]~77116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3778][3]~q\);

-- Location: LCCOMB_X13_Y15_N6
\led_flash_cnt[3778][4]~77118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3778][4]~77118_combout\ = (\led_flash_cnt[3778][4]~q\ & (!\led_flash_cnt[3778][3]~77117\)) # (!\led_flash_cnt[3778][4]~q\ & ((\led_flash_cnt[3778][3]~77117\) # (GND)))
-- \led_flash_cnt[3778][4]~77119\ = CARRY((!\led_flash_cnt[3778][3]~77117\) # (!\led_flash_cnt[3778][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3778][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3778][3]~77117\,
	combout => \led_flash_cnt[3778][4]~77118_combout\,
	cout => \led_flash_cnt[3778][4]~77119\);

-- Location: FF_X13_Y15_N7
\led_flash_cnt[3778][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3778][4]~77118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3778][4]~q\);

-- Location: LCCOMB_X13_Y15_N8
\led_flash_cnt[3778][5]~77120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3778][5]~77120_combout\ = (\led_flash_cnt[3778][5]~q\ & (\led_flash_cnt[3778][4]~77119\ $ (GND))) # (!\led_flash_cnt[3778][5]~q\ & (!\led_flash_cnt[3778][4]~77119\ & VCC))
-- \led_flash_cnt[3778][5]~77121\ = CARRY((\led_flash_cnt[3778][5]~q\ & !\led_flash_cnt[3778][4]~77119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3778][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3778][4]~77119\,
	combout => \led_flash_cnt[3778][5]~77120_combout\,
	cout => \led_flash_cnt[3778][5]~77121\);

-- Location: FF_X13_Y15_N9
\led_flash_cnt[3778][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3778][5]~77120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3778][5]~q\);

-- Location: LCCOMB_X13_Y15_N10
\led_flash_cnt[3778][6]~77122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3778][6]~77122_combout\ = (\led_flash_cnt[3778][6]~q\ & (!\led_flash_cnt[3778][5]~77121\)) # (!\led_flash_cnt[3778][6]~q\ & ((\led_flash_cnt[3778][5]~77121\) # (GND)))
-- \led_flash_cnt[3778][6]~77123\ = CARRY((!\led_flash_cnt[3778][5]~77121\) # (!\led_flash_cnt[3778][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3778][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3778][5]~77121\,
	combout => \led_flash_cnt[3778][6]~77122_combout\,
	cout => \led_flash_cnt[3778][6]~77123\);

-- Location: FF_X13_Y15_N11
\led_flash_cnt[3778][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3778][6]~77122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3778][6]~q\);

-- Location: LCCOMB_X13_Y15_N12
\led_flash_cnt[3778][7]~77124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3778][7]~77124_combout\ = \led_flash_cnt[3778][6]~77123\ $ (!\led_flash_cnt[3778][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3778][7]~q\,
	cin => \led_flash_cnt[3778][6]~77123\,
	combout => \led_flash_cnt[3778][7]~77124_combout\);

-- Location: FF_X13_Y15_N13
\led_flash_cnt[3778][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3778][7]~77124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3778][7]~q\);

-- Location: LCCOMB_X13_Y15_N26
\WideAnd3778~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3778~1_combout\ = (\led_flash_cnt[3778][5]~q\ & \led_flash_cnt[3778][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3778][5]~q\,
	datad => \led_flash_cnt[3778][6]~q\,
	combout => \WideAnd3778~1_combout\);

-- Location: LCCOMB_X13_Y15_N18
\WideAnd3778~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3778~0_combout\ = (\led_flash_cnt[3778][4]~q\ & (\led_flash_cnt[3778][1]~q\ & (\led_flash_cnt[3778][3]~q\ & \led_flash_cnt[3778][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3778][4]~q\,
	datab => \led_flash_cnt[3778][1]~q\,
	datac => \led_flash_cnt[3778][3]~q\,
	datad => \led_flash_cnt[3778][2]~q\,
	combout => \WideAnd3778~0_combout\);

-- Location: LCCOMB_X13_Y15_N22
WideAnd3778 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3778~combout\ = (\led_flash_cnt[3778][7]~q\ & (\led_flash_cnt[3778][0]~q\ & (\WideAnd3778~1_combout\ & \WideAnd3778~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3778][7]~q\,
	datab => \led_flash_cnt[3778][0]~q\,
	datac => \WideAnd3778~1_combout\,
	datad => \WideAnd3778~0_combout\,
	combout => \WideAnd3778~combout\);

-- Location: FF_X13_Y15_N23
\led_flash_cnt_ands[3778]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3778~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3778));

-- Location: LCCOMB_X14_Y18_N18
\led_flash_cnt[3779][0]~84229\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3779][0]~84229_combout\ = !\led_flash_cnt[3779][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3779][0]~q\,
	combout => \led_flash_cnt[3779][0]~84229_combout\);

-- Location: FF_X14_Y18_N19
\led_flash_cnt[3779][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3779][0]~84229_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3779][0]~q\);

-- Location: LCCOMB_X15_Y18_N4
\led_flash_cnt[3779][1]~77126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3779][1]~77126_combout\ = (\led_flash_cnt[3779][0]~q\ & (\led_flash_cnt[3779][1]~q\ $ (VCC))) # (!\led_flash_cnt[3779][0]~q\ & (\led_flash_cnt[3779][1]~q\ & VCC))
-- \led_flash_cnt[3779][1]~77127\ = CARRY((\led_flash_cnt[3779][0]~q\ & \led_flash_cnt[3779][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3779][0]~q\,
	datab => \led_flash_cnt[3779][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3779][1]~77126_combout\,
	cout => \led_flash_cnt[3779][1]~77127\);

-- Location: FF_X15_Y18_N5
\led_flash_cnt[3779][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3779][1]~77126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3779][1]~q\);

-- Location: LCCOMB_X15_Y18_N6
\led_flash_cnt[3779][2]~77128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3779][2]~77128_combout\ = (\led_flash_cnt[3779][2]~q\ & (!\led_flash_cnt[3779][1]~77127\)) # (!\led_flash_cnt[3779][2]~q\ & ((\led_flash_cnt[3779][1]~77127\) # (GND)))
-- \led_flash_cnt[3779][2]~77129\ = CARRY((!\led_flash_cnt[3779][1]~77127\) # (!\led_flash_cnt[3779][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3779][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3779][1]~77127\,
	combout => \led_flash_cnt[3779][2]~77128_combout\,
	cout => \led_flash_cnt[3779][2]~77129\);

-- Location: FF_X15_Y18_N7
\led_flash_cnt[3779][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3779][2]~77128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3779][2]~q\);

-- Location: LCCOMB_X15_Y18_N8
\led_flash_cnt[3779][3]~77130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3779][3]~77130_combout\ = (\led_flash_cnt[3779][3]~q\ & (\led_flash_cnt[3779][2]~77129\ $ (GND))) # (!\led_flash_cnt[3779][3]~q\ & (!\led_flash_cnt[3779][2]~77129\ & VCC))
-- \led_flash_cnt[3779][3]~77131\ = CARRY((\led_flash_cnt[3779][3]~q\ & !\led_flash_cnt[3779][2]~77129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3779][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3779][2]~77129\,
	combout => \led_flash_cnt[3779][3]~77130_combout\,
	cout => \led_flash_cnt[3779][3]~77131\);

-- Location: FF_X15_Y18_N9
\led_flash_cnt[3779][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3779][3]~77130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3779][3]~q\);

-- Location: LCCOMB_X15_Y18_N10
\led_flash_cnt[3779][4]~77132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3779][4]~77132_combout\ = (\led_flash_cnt[3779][4]~q\ & (!\led_flash_cnt[3779][3]~77131\)) # (!\led_flash_cnt[3779][4]~q\ & ((\led_flash_cnt[3779][3]~77131\) # (GND)))
-- \led_flash_cnt[3779][4]~77133\ = CARRY((!\led_flash_cnt[3779][3]~77131\) # (!\led_flash_cnt[3779][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3779][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3779][3]~77131\,
	combout => \led_flash_cnt[3779][4]~77132_combout\,
	cout => \led_flash_cnt[3779][4]~77133\);

-- Location: FF_X15_Y18_N11
\led_flash_cnt[3779][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3779][4]~77132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3779][4]~q\);

-- Location: LCCOMB_X15_Y18_N2
\WideAnd3779~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3779~0_combout\ = (\led_flash_cnt[3779][2]~q\ & (\led_flash_cnt[3779][3]~q\ & (\led_flash_cnt[3779][1]~q\ & \led_flash_cnt[3779][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3779][2]~q\,
	datab => \led_flash_cnt[3779][3]~q\,
	datac => \led_flash_cnt[3779][1]~q\,
	datad => \led_flash_cnt[3779][4]~q\,
	combout => \WideAnd3779~0_combout\);

-- Location: LCCOMB_X15_Y18_N12
\led_flash_cnt[3779][5]~77134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3779][5]~77134_combout\ = (\led_flash_cnt[3779][5]~q\ & (\led_flash_cnt[3779][4]~77133\ $ (GND))) # (!\led_flash_cnt[3779][5]~q\ & (!\led_flash_cnt[3779][4]~77133\ & VCC))
-- \led_flash_cnt[3779][5]~77135\ = CARRY((\led_flash_cnt[3779][5]~q\ & !\led_flash_cnt[3779][4]~77133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3779][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3779][4]~77133\,
	combout => \led_flash_cnt[3779][5]~77134_combout\,
	cout => \led_flash_cnt[3779][5]~77135\);

-- Location: FF_X15_Y18_N13
\led_flash_cnt[3779][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3779][5]~77134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3779][5]~q\);

-- Location: LCCOMB_X15_Y18_N14
\led_flash_cnt[3779][6]~77136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3779][6]~77136_combout\ = (\led_flash_cnt[3779][6]~q\ & (!\led_flash_cnt[3779][5]~77135\)) # (!\led_flash_cnt[3779][6]~q\ & ((\led_flash_cnt[3779][5]~77135\) # (GND)))
-- \led_flash_cnt[3779][6]~77137\ = CARRY((!\led_flash_cnt[3779][5]~77135\) # (!\led_flash_cnt[3779][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3779][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3779][5]~77135\,
	combout => \led_flash_cnt[3779][6]~77136_combout\,
	cout => \led_flash_cnt[3779][6]~77137\);

-- Location: FF_X15_Y18_N15
\led_flash_cnt[3779][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3779][6]~77136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3779][6]~q\);

-- Location: LCCOMB_X14_Y18_N30
\WideAnd3779~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3779~1_combout\ = (\led_flash_cnt[3779][5]~q\ & \led_flash_cnt[3779][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3779][5]~q\,
	datac => \led_flash_cnt[3779][6]~q\,
	combout => \WideAnd3779~1_combout\);

-- Location: LCCOMB_X15_Y18_N16
\led_flash_cnt[3779][7]~77138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3779][7]~77138_combout\ = \led_flash_cnt[3779][6]~77137\ $ (!\led_flash_cnt[3779][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3779][7]~q\,
	cin => \led_flash_cnt[3779][6]~77137\,
	combout => \led_flash_cnt[3779][7]~77138_combout\);

-- Location: FF_X15_Y18_N17
\led_flash_cnt[3779][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3779][7]~77138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3779][7]~q\);

-- Location: LCCOMB_X14_Y18_N2
WideAnd3779 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3779~combout\ = (\WideAnd3779~0_combout\ & (\led_flash_cnt[3779][0]~q\ & (\WideAnd3779~1_combout\ & \led_flash_cnt[3779][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3779~0_combout\,
	datab => \led_flash_cnt[3779][0]~q\,
	datac => \WideAnd3779~1_combout\,
	datad => \led_flash_cnt[3779][7]~q\,
	combout => \WideAnd3779~combout\);

-- Location: FF_X14_Y18_N3
\led_flash_cnt_ands[3779]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3779~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3779));

-- Location: LCCOMB_X21_Y21_N20
\led_flash_cnt[3776][0]~84226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3776][0]~84226_combout\ = !\led_flash_cnt[3776][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3776][0]~q\,
	combout => \led_flash_cnt[3776][0]~84226_combout\);

-- Location: FF_X21_Y21_N21
\led_flash_cnt[3776][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3776][0]~84226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3776][0]~q\);

-- Location: LCCOMB_X21_Y21_N6
\led_flash_cnt[3776][1]~77084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3776][1]~77084_combout\ = (\led_flash_cnt[3776][1]~q\ & (\led_flash_cnt[3776][0]~q\ $ (VCC))) # (!\led_flash_cnt[3776][1]~q\ & (\led_flash_cnt[3776][0]~q\ & VCC))
-- \led_flash_cnt[3776][1]~77085\ = CARRY((\led_flash_cnt[3776][1]~q\ & \led_flash_cnt[3776][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3776][1]~q\,
	datab => \led_flash_cnt[3776][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3776][1]~77084_combout\,
	cout => \led_flash_cnt[3776][1]~77085\);

-- Location: FF_X21_Y21_N7
\led_flash_cnt[3776][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3776][1]~77084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3776][1]~q\);

-- Location: LCCOMB_X21_Y21_N8
\led_flash_cnt[3776][2]~77086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3776][2]~77086_combout\ = (\led_flash_cnt[3776][2]~q\ & (!\led_flash_cnt[3776][1]~77085\)) # (!\led_flash_cnt[3776][2]~q\ & ((\led_flash_cnt[3776][1]~77085\) # (GND)))
-- \led_flash_cnt[3776][2]~77087\ = CARRY((!\led_flash_cnt[3776][1]~77085\) # (!\led_flash_cnt[3776][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3776][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3776][1]~77085\,
	combout => \led_flash_cnt[3776][2]~77086_combout\,
	cout => \led_flash_cnt[3776][2]~77087\);

-- Location: FF_X21_Y21_N9
\led_flash_cnt[3776][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3776][2]~77086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3776][2]~q\);

-- Location: LCCOMB_X21_Y21_N10
\led_flash_cnt[3776][3]~77088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3776][3]~77088_combout\ = (\led_flash_cnt[3776][3]~q\ & (\led_flash_cnt[3776][2]~77087\ $ (GND))) # (!\led_flash_cnt[3776][3]~q\ & (!\led_flash_cnt[3776][2]~77087\ & VCC))
-- \led_flash_cnt[3776][3]~77089\ = CARRY((\led_flash_cnt[3776][3]~q\ & !\led_flash_cnt[3776][2]~77087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3776][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3776][2]~77087\,
	combout => \led_flash_cnt[3776][3]~77088_combout\,
	cout => \led_flash_cnt[3776][3]~77089\);

-- Location: FF_X21_Y21_N11
\led_flash_cnt[3776][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3776][3]~77088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3776][3]~q\);

-- Location: LCCOMB_X21_Y21_N12
\led_flash_cnt[3776][4]~77090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3776][4]~77090_combout\ = (\led_flash_cnt[3776][4]~q\ & (!\led_flash_cnt[3776][3]~77089\)) # (!\led_flash_cnt[3776][4]~q\ & ((\led_flash_cnt[3776][3]~77089\) # (GND)))
-- \led_flash_cnt[3776][4]~77091\ = CARRY((!\led_flash_cnt[3776][3]~77089\) # (!\led_flash_cnt[3776][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3776][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3776][3]~77089\,
	combout => \led_flash_cnt[3776][4]~77090_combout\,
	cout => \led_flash_cnt[3776][4]~77091\);

-- Location: FF_X21_Y21_N13
\led_flash_cnt[3776][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3776][4]~77090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3776][4]~q\);

-- Location: LCCOMB_X21_Y21_N22
\WideAnd3776~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3776~0_combout\ = (\led_flash_cnt[3776][3]~q\ & (\led_flash_cnt[3776][4]~q\ & (\led_flash_cnt[3776][2]~q\ & \led_flash_cnt[3776][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3776][3]~q\,
	datab => \led_flash_cnt[3776][4]~q\,
	datac => \led_flash_cnt[3776][2]~q\,
	datad => \led_flash_cnt[3776][1]~q\,
	combout => \WideAnd3776~0_combout\);

-- Location: LCCOMB_X21_Y21_N14
\led_flash_cnt[3776][5]~77092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3776][5]~77092_combout\ = (\led_flash_cnt[3776][5]~q\ & (\led_flash_cnt[3776][4]~77091\ $ (GND))) # (!\led_flash_cnt[3776][5]~q\ & (!\led_flash_cnt[3776][4]~77091\ & VCC))
-- \led_flash_cnt[3776][5]~77093\ = CARRY((\led_flash_cnt[3776][5]~q\ & !\led_flash_cnt[3776][4]~77091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3776][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3776][4]~77091\,
	combout => \led_flash_cnt[3776][5]~77092_combout\,
	cout => \led_flash_cnt[3776][5]~77093\);

-- Location: FF_X21_Y21_N15
\led_flash_cnt[3776][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3776][5]~77092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3776][5]~q\);

-- Location: LCCOMB_X21_Y21_N16
\led_flash_cnt[3776][6]~77094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3776][6]~77094_combout\ = (\led_flash_cnt[3776][6]~q\ & (!\led_flash_cnt[3776][5]~77093\)) # (!\led_flash_cnt[3776][6]~q\ & ((\led_flash_cnt[3776][5]~77093\) # (GND)))
-- \led_flash_cnt[3776][6]~77095\ = CARRY((!\led_flash_cnt[3776][5]~77093\) # (!\led_flash_cnt[3776][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3776][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3776][5]~77093\,
	combout => \led_flash_cnt[3776][6]~77094_combout\,
	cout => \led_flash_cnt[3776][6]~77095\);

-- Location: FF_X21_Y21_N17
\led_flash_cnt[3776][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3776][6]~77094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3776][6]~q\);

-- Location: LCCOMB_X21_Y21_N28
\WideAnd3776~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3776~1_combout\ = (\led_flash_cnt[3776][5]~q\ & \led_flash_cnt[3776][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3776][5]~q\,
	datad => \led_flash_cnt[3776][6]~q\,
	combout => \WideAnd3776~1_combout\);

-- Location: LCCOMB_X21_Y21_N18
\led_flash_cnt[3776][7]~77096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3776][7]~77096_combout\ = \led_flash_cnt[3776][7]~q\ $ (!\led_flash_cnt[3776][6]~77095\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3776][7]~q\,
	cin => \led_flash_cnt[3776][6]~77095\,
	combout => \led_flash_cnt[3776][7]~77096_combout\);

-- Location: FF_X21_Y21_N19
\led_flash_cnt[3776][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3776][7]~77096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3776][7]~q\);

-- Location: LCCOMB_X21_Y21_N4
WideAnd3776 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3776~combout\ = (\WideAnd3776~0_combout\ & (\WideAnd3776~1_combout\ & (\led_flash_cnt[3776][7]~q\ & \led_flash_cnt[3776][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3776~0_combout\,
	datab => \WideAnd3776~1_combout\,
	datac => \led_flash_cnt[3776][7]~q\,
	datad => \led_flash_cnt[3776][0]~q\,
	combout => \WideAnd3776~combout\);

-- Location: FF_X21_Y21_N5
\led_flash_cnt_ands[3776]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3776~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3776));

-- Location: LCCOMB_X21_Y22_N18
\led_flash_cnt[3777][0]~84227\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3777][0]~84227_combout\ = !\led_flash_cnt[3777][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3777][0]~q\,
	combout => \led_flash_cnt[3777][0]~84227_combout\);

-- Location: FF_X21_Y22_N19
\led_flash_cnt[3777][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3777][0]~84227_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3777][0]~q\);

-- Location: LCCOMB_X20_Y22_N2
\led_flash_cnt[3777][1]~77098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3777][1]~77098_combout\ = (\led_flash_cnt[3777][1]~q\ & (\led_flash_cnt[3777][0]~q\ $ (VCC))) # (!\led_flash_cnt[3777][1]~q\ & (\led_flash_cnt[3777][0]~q\ & VCC))
-- \led_flash_cnt[3777][1]~77099\ = CARRY((\led_flash_cnt[3777][1]~q\ & \led_flash_cnt[3777][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3777][1]~q\,
	datab => \led_flash_cnt[3777][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3777][1]~77098_combout\,
	cout => \led_flash_cnt[3777][1]~77099\);

-- Location: FF_X20_Y22_N3
\led_flash_cnt[3777][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3777][1]~77098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3777][1]~q\);

-- Location: LCCOMB_X20_Y22_N4
\led_flash_cnt[3777][2]~77100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3777][2]~77100_combout\ = (\led_flash_cnt[3777][2]~q\ & (!\led_flash_cnt[3777][1]~77099\)) # (!\led_flash_cnt[3777][2]~q\ & ((\led_flash_cnt[3777][1]~77099\) # (GND)))
-- \led_flash_cnt[3777][2]~77101\ = CARRY((!\led_flash_cnt[3777][1]~77099\) # (!\led_flash_cnt[3777][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3777][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3777][1]~77099\,
	combout => \led_flash_cnt[3777][2]~77100_combout\,
	cout => \led_flash_cnt[3777][2]~77101\);

-- Location: FF_X20_Y22_N5
\led_flash_cnt[3777][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3777][2]~77100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3777][2]~q\);

-- Location: LCCOMB_X20_Y22_N6
\led_flash_cnt[3777][3]~77102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3777][3]~77102_combout\ = (\led_flash_cnt[3777][3]~q\ & (\led_flash_cnt[3777][2]~77101\ $ (GND))) # (!\led_flash_cnt[3777][3]~q\ & (!\led_flash_cnt[3777][2]~77101\ & VCC))
-- \led_flash_cnt[3777][3]~77103\ = CARRY((\led_flash_cnt[3777][3]~q\ & !\led_flash_cnt[3777][2]~77101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3777][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3777][2]~77101\,
	combout => \led_flash_cnt[3777][3]~77102_combout\,
	cout => \led_flash_cnt[3777][3]~77103\);

-- Location: FF_X20_Y22_N7
\led_flash_cnt[3777][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3777][3]~77102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3777][3]~q\);

-- Location: LCCOMB_X20_Y22_N8
\led_flash_cnt[3777][4]~77104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3777][4]~77104_combout\ = (\led_flash_cnt[3777][4]~q\ & (!\led_flash_cnt[3777][3]~77103\)) # (!\led_flash_cnt[3777][4]~q\ & ((\led_flash_cnt[3777][3]~77103\) # (GND)))
-- \led_flash_cnt[3777][4]~77105\ = CARRY((!\led_flash_cnt[3777][3]~77103\) # (!\led_flash_cnt[3777][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3777][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3777][3]~77103\,
	combout => \led_flash_cnt[3777][4]~77104_combout\,
	cout => \led_flash_cnt[3777][4]~77105\);

-- Location: FF_X20_Y22_N9
\led_flash_cnt[3777][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3777][4]~77104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3777][4]~q\);

-- Location: LCCOMB_X20_Y22_N30
\WideAnd3777~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3777~0_combout\ = (\led_flash_cnt[3777][1]~q\ & (\led_flash_cnt[3777][2]~q\ & (\led_flash_cnt[3777][4]~q\ & \led_flash_cnt[3777][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3777][1]~q\,
	datab => \led_flash_cnt[3777][2]~q\,
	datac => \led_flash_cnt[3777][4]~q\,
	datad => \led_flash_cnt[3777][3]~q\,
	combout => \WideAnd3777~0_combout\);

-- Location: LCCOMB_X20_Y22_N10
\led_flash_cnt[3777][5]~77106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3777][5]~77106_combout\ = (\led_flash_cnt[3777][5]~q\ & (\led_flash_cnt[3777][4]~77105\ $ (GND))) # (!\led_flash_cnt[3777][5]~q\ & (!\led_flash_cnt[3777][4]~77105\ & VCC))
-- \led_flash_cnt[3777][5]~77107\ = CARRY((\led_flash_cnt[3777][5]~q\ & !\led_flash_cnt[3777][4]~77105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3777][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3777][4]~77105\,
	combout => \led_flash_cnt[3777][5]~77106_combout\,
	cout => \led_flash_cnt[3777][5]~77107\);

-- Location: FF_X20_Y22_N11
\led_flash_cnt[3777][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3777][5]~77106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3777][5]~q\);

-- Location: LCCOMB_X20_Y22_N12
\led_flash_cnt[3777][6]~77108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3777][6]~77108_combout\ = (\led_flash_cnt[3777][6]~q\ & (!\led_flash_cnt[3777][5]~77107\)) # (!\led_flash_cnt[3777][6]~q\ & ((\led_flash_cnt[3777][5]~77107\) # (GND)))
-- \led_flash_cnt[3777][6]~77109\ = CARRY((!\led_flash_cnt[3777][5]~77107\) # (!\led_flash_cnt[3777][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3777][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3777][5]~77107\,
	combout => \led_flash_cnt[3777][6]~77108_combout\,
	cout => \led_flash_cnt[3777][6]~77109\);

-- Location: FF_X20_Y22_N13
\led_flash_cnt[3777][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3777][6]~77108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3777][6]~q\);

-- Location: LCCOMB_X19_Y22_N28
\WideAnd3777~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3777~1_combout\ = (\led_flash_cnt[3777][5]~q\ & \led_flash_cnt[3777][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3777][5]~q\,
	datac => \led_flash_cnt[3777][6]~q\,
	combout => \WideAnd3777~1_combout\);

-- Location: LCCOMB_X20_Y22_N14
\led_flash_cnt[3777][7]~77110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3777][7]~77110_combout\ = \led_flash_cnt[3777][7]~q\ $ (!\led_flash_cnt[3777][6]~77109\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3777][7]~q\,
	cin => \led_flash_cnt[3777][6]~77109\,
	combout => \led_flash_cnt[3777][7]~77110_combout\);

-- Location: FF_X20_Y22_N15
\led_flash_cnt[3777][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3777][7]~77110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3777][7]~q\);

-- Location: LCCOMB_X19_Y22_N24
WideAnd3777 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3777~combout\ = (\WideAnd3777~0_combout\ & (\WideAnd3777~1_combout\ & (\led_flash_cnt[3777][7]~q\ & \led_flash_cnt[3777][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3777~0_combout\,
	datab => \WideAnd3777~1_combout\,
	datac => \led_flash_cnt[3777][7]~q\,
	datad => \led_flash_cnt[3777][0]~q\,
	combout => \WideAnd3777~combout\);

-- Location: FF_X19_Y22_N25
\led_flash_cnt_ands[3777]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3777~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3777));

-- Location: LCCOMB_X14_Y18_N20
\WideAnd4312~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4312~0_combout\ = (led_flash_cnt_ands(3778) & (led_flash_cnt_ands(3779) & (led_flash_cnt_ands(3776) & led_flash_cnt_ands(3777))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3778),
	datab => led_flash_cnt_ands(3779),
	datac => led_flash_cnt_ands(3776),
	datad => led_flash_cnt_ands(3777),
	combout => \WideAnd4312~0_combout\);

-- Location: LCCOMB_X14_Y8_N0
\led_flash_cnt[3780][0]~84231\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3780][0]~84231_combout\ = !\led_flash_cnt[3780][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3780][0]~q\,
	combout => \led_flash_cnt[3780][0]~84231_combout\);

-- Location: FF_X14_Y8_N1
\led_flash_cnt[3780][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3780][0]~84231_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3780][0]~q\);

-- Location: LCCOMB_X14_Y8_N6
\led_flash_cnt[3780][1]~77154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3780][1]~77154_combout\ = (\led_flash_cnt[3780][1]~q\ & (\led_flash_cnt[3780][0]~q\ $ (VCC))) # (!\led_flash_cnt[3780][1]~q\ & (\led_flash_cnt[3780][0]~q\ & VCC))
-- \led_flash_cnt[3780][1]~77155\ = CARRY((\led_flash_cnt[3780][1]~q\ & \led_flash_cnt[3780][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3780][1]~q\,
	datab => \led_flash_cnt[3780][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3780][1]~77154_combout\,
	cout => \led_flash_cnt[3780][1]~77155\);

-- Location: FF_X14_Y8_N7
\led_flash_cnt[3780][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3780][1]~77154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3780][1]~q\);

-- Location: LCCOMB_X14_Y8_N8
\led_flash_cnt[3780][2]~77156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3780][2]~77156_combout\ = (\led_flash_cnt[3780][2]~q\ & (!\led_flash_cnt[3780][1]~77155\)) # (!\led_flash_cnt[3780][2]~q\ & ((\led_flash_cnt[3780][1]~77155\) # (GND)))
-- \led_flash_cnt[3780][2]~77157\ = CARRY((!\led_flash_cnt[3780][1]~77155\) # (!\led_flash_cnt[3780][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3780][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3780][1]~77155\,
	combout => \led_flash_cnt[3780][2]~77156_combout\,
	cout => \led_flash_cnt[3780][2]~77157\);

-- Location: FF_X14_Y8_N9
\led_flash_cnt[3780][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3780][2]~77156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3780][2]~q\);

-- Location: LCCOMB_X14_Y8_N10
\led_flash_cnt[3780][3]~77158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3780][3]~77158_combout\ = (\led_flash_cnt[3780][3]~q\ & (\led_flash_cnt[3780][2]~77157\ $ (GND))) # (!\led_flash_cnt[3780][3]~q\ & (!\led_flash_cnt[3780][2]~77157\ & VCC))
-- \led_flash_cnt[3780][3]~77159\ = CARRY((\led_flash_cnt[3780][3]~q\ & !\led_flash_cnt[3780][2]~77157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3780][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3780][2]~77157\,
	combout => \led_flash_cnt[3780][3]~77158_combout\,
	cout => \led_flash_cnt[3780][3]~77159\);

-- Location: FF_X14_Y8_N11
\led_flash_cnt[3780][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3780][3]~77158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3780][3]~q\);

-- Location: LCCOMB_X14_Y8_N12
\led_flash_cnt[3780][4]~77160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3780][4]~77160_combout\ = (\led_flash_cnt[3780][4]~q\ & (!\led_flash_cnt[3780][3]~77159\)) # (!\led_flash_cnt[3780][4]~q\ & ((\led_flash_cnt[3780][3]~77159\) # (GND)))
-- \led_flash_cnt[3780][4]~77161\ = CARRY((!\led_flash_cnt[3780][3]~77159\) # (!\led_flash_cnt[3780][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3780][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3780][3]~77159\,
	combout => \led_flash_cnt[3780][4]~77160_combout\,
	cout => \led_flash_cnt[3780][4]~77161\);

-- Location: FF_X14_Y8_N13
\led_flash_cnt[3780][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3780][4]~77160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3780][4]~q\);

-- Location: LCCOMB_X14_Y8_N14
\led_flash_cnt[3780][5]~77162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3780][5]~77162_combout\ = (\led_flash_cnt[3780][5]~q\ & (\led_flash_cnt[3780][4]~77161\ $ (GND))) # (!\led_flash_cnt[3780][5]~q\ & (!\led_flash_cnt[3780][4]~77161\ & VCC))
-- \led_flash_cnt[3780][5]~77163\ = CARRY((\led_flash_cnt[3780][5]~q\ & !\led_flash_cnt[3780][4]~77161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3780][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3780][4]~77161\,
	combout => \led_flash_cnt[3780][5]~77162_combout\,
	cout => \led_flash_cnt[3780][5]~77163\);

-- Location: FF_X14_Y8_N15
\led_flash_cnt[3780][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3780][5]~77162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3780][5]~q\);

-- Location: LCCOMB_X14_Y8_N16
\led_flash_cnt[3780][6]~77164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3780][6]~77164_combout\ = (\led_flash_cnt[3780][6]~q\ & (!\led_flash_cnt[3780][5]~77163\)) # (!\led_flash_cnt[3780][6]~q\ & ((\led_flash_cnt[3780][5]~77163\) # (GND)))
-- \led_flash_cnt[3780][6]~77165\ = CARRY((!\led_flash_cnt[3780][5]~77163\) # (!\led_flash_cnt[3780][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3780][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3780][5]~77163\,
	combout => \led_flash_cnt[3780][6]~77164_combout\,
	cout => \led_flash_cnt[3780][6]~77165\);

-- Location: FF_X14_Y8_N17
\led_flash_cnt[3780][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3780][6]~77164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3780][6]~q\);

-- Location: LCCOMB_X14_Y8_N26
\WideAnd3780~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3780~1_combout\ = (\led_flash_cnt[3780][5]~q\ & \led_flash_cnt[3780][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3780][5]~q\,
	datad => \led_flash_cnt[3780][6]~q\,
	combout => \WideAnd3780~1_combout\);

-- Location: LCCOMB_X14_Y8_N18
\led_flash_cnt[3780][7]~77166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3780][7]~77166_combout\ = \led_flash_cnt[3780][7]~q\ $ (!\led_flash_cnt[3780][6]~77165\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3780][7]~q\,
	cin => \led_flash_cnt[3780][6]~77165\,
	combout => \led_flash_cnt[3780][7]~77166_combout\);

-- Location: FF_X14_Y8_N19
\led_flash_cnt[3780][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3780][7]~77166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3780][7]~q\);

-- Location: LCCOMB_X14_Y8_N20
\WideAnd3780~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3780~0_combout\ = (\led_flash_cnt[3780][4]~q\ & (\led_flash_cnt[3780][3]~q\ & (\led_flash_cnt[3780][2]~q\ & \led_flash_cnt[3780][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3780][4]~q\,
	datab => \led_flash_cnt[3780][3]~q\,
	datac => \led_flash_cnt[3780][2]~q\,
	datad => \led_flash_cnt[3780][1]~q\,
	combout => \WideAnd3780~0_combout\);

-- Location: LCCOMB_X14_Y8_N30
WideAnd3780 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3780~combout\ = (\WideAnd3780~1_combout\ & (\led_flash_cnt[3780][0]~q\ & (\led_flash_cnt[3780][7]~q\ & \WideAnd3780~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3780~1_combout\,
	datab => \led_flash_cnt[3780][0]~q\,
	datac => \led_flash_cnt[3780][7]~q\,
	datad => \WideAnd3780~0_combout\,
	combout => \WideAnd3780~combout\);

-- Location: FF_X14_Y8_N31
\led_flash_cnt_ands[3780]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3780~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3780));

-- Location: LCCOMB_X14_Y8_N2
\led_flash_cnt[3782][0]~84230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3782][0]~84230_combout\ = !\led_flash_cnt[3782][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3782][0]~q\,
	combout => \led_flash_cnt[3782][0]~84230_combout\);

-- Location: FF_X14_Y8_N3
\led_flash_cnt[3782][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3782][0]~84230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3782][0]~q\);

-- Location: LCCOMB_X13_Y8_N0
\led_flash_cnt[3782][1]~77140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3782][1]~77140_combout\ = (\led_flash_cnt[3782][0]~q\ & (\led_flash_cnt[3782][1]~q\ $ (VCC))) # (!\led_flash_cnt[3782][0]~q\ & (\led_flash_cnt[3782][1]~q\ & VCC))
-- \led_flash_cnt[3782][1]~77141\ = CARRY((\led_flash_cnt[3782][0]~q\ & \led_flash_cnt[3782][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3782][0]~q\,
	datab => \led_flash_cnt[3782][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3782][1]~77140_combout\,
	cout => \led_flash_cnt[3782][1]~77141\);

-- Location: FF_X13_Y8_N1
\led_flash_cnt[3782][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3782][1]~77140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3782][1]~q\);

-- Location: LCCOMB_X13_Y8_N2
\led_flash_cnt[3782][2]~77142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3782][2]~77142_combout\ = (\led_flash_cnt[3782][2]~q\ & (!\led_flash_cnt[3782][1]~77141\)) # (!\led_flash_cnt[3782][2]~q\ & ((\led_flash_cnt[3782][1]~77141\) # (GND)))
-- \led_flash_cnt[3782][2]~77143\ = CARRY((!\led_flash_cnt[3782][1]~77141\) # (!\led_flash_cnt[3782][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3782][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3782][1]~77141\,
	combout => \led_flash_cnt[3782][2]~77142_combout\,
	cout => \led_flash_cnt[3782][2]~77143\);

-- Location: FF_X13_Y8_N3
\led_flash_cnt[3782][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3782][2]~77142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3782][2]~q\);

-- Location: LCCOMB_X13_Y8_N4
\led_flash_cnt[3782][3]~77144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3782][3]~77144_combout\ = (\led_flash_cnt[3782][3]~q\ & (\led_flash_cnt[3782][2]~77143\ $ (GND))) # (!\led_flash_cnt[3782][3]~q\ & (!\led_flash_cnt[3782][2]~77143\ & VCC))
-- \led_flash_cnt[3782][3]~77145\ = CARRY((\led_flash_cnt[3782][3]~q\ & !\led_flash_cnt[3782][2]~77143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3782][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3782][2]~77143\,
	combout => \led_flash_cnt[3782][3]~77144_combout\,
	cout => \led_flash_cnt[3782][3]~77145\);

-- Location: FF_X13_Y8_N5
\led_flash_cnt[3782][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3782][3]~77144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3782][3]~q\);

-- Location: LCCOMB_X13_Y8_N6
\led_flash_cnt[3782][4]~77146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3782][4]~77146_combout\ = (\led_flash_cnt[3782][4]~q\ & (!\led_flash_cnt[3782][3]~77145\)) # (!\led_flash_cnt[3782][4]~q\ & ((\led_flash_cnt[3782][3]~77145\) # (GND)))
-- \led_flash_cnt[3782][4]~77147\ = CARRY((!\led_flash_cnt[3782][3]~77145\) # (!\led_flash_cnt[3782][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3782][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3782][3]~77145\,
	combout => \led_flash_cnt[3782][4]~77146_combout\,
	cout => \led_flash_cnt[3782][4]~77147\);

-- Location: FF_X13_Y8_N7
\led_flash_cnt[3782][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3782][4]~77146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3782][4]~q\);

-- Location: LCCOMB_X13_Y8_N8
\led_flash_cnt[3782][5]~77148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3782][5]~77148_combout\ = (\led_flash_cnt[3782][5]~q\ & (\led_flash_cnt[3782][4]~77147\ $ (GND))) # (!\led_flash_cnt[3782][5]~q\ & (!\led_flash_cnt[3782][4]~77147\ & VCC))
-- \led_flash_cnt[3782][5]~77149\ = CARRY((\led_flash_cnt[3782][5]~q\ & !\led_flash_cnt[3782][4]~77147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3782][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3782][4]~77147\,
	combout => \led_flash_cnt[3782][5]~77148_combout\,
	cout => \led_flash_cnt[3782][5]~77149\);

-- Location: FF_X13_Y8_N9
\led_flash_cnt[3782][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3782][5]~77148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3782][5]~q\);

-- Location: LCCOMB_X13_Y8_N10
\led_flash_cnt[3782][6]~77150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3782][6]~77150_combout\ = (\led_flash_cnt[3782][6]~q\ & (!\led_flash_cnt[3782][5]~77149\)) # (!\led_flash_cnt[3782][6]~q\ & ((\led_flash_cnt[3782][5]~77149\) # (GND)))
-- \led_flash_cnt[3782][6]~77151\ = CARRY((!\led_flash_cnt[3782][5]~77149\) # (!\led_flash_cnt[3782][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3782][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3782][5]~77149\,
	combout => \led_flash_cnt[3782][6]~77150_combout\,
	cout => \led_flash_cnt[3782][6]~77151\);

-- Location: FF_X13_Y8_N11
\led_flash_cnt[3782][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3782][6]~77150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3782][6]~q\);

-- Location: LCCOMB_X13_Y8_N12
\led_flash_cnt[3782][7]~77152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3782][7]~77152_combout\ = \led_flash_cnt[3782][6]~77151\ $ (!\led_flash_cnt[3782][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3782][7]~q\,
	cin => \led_flash_cnt[3782][6]~77151\,
	combout => \led_flash_cnt[3782][7]~77152_combout\);

-- Location: FF_X13_Y8_N13
\led_flash_cnt[3782][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3782][7]~77152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3782][7]~q\);

-- Location: LCCOMB_X14_Y8_N4
\WideAnd3782~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3782~1_combout\ = (\led_flash_cnt[3782][6]~q\ & \led_flash_cnt[3782][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3782][6]~q\,
	datad => \led_flash_cnt[3782][5]~q\,
	combout => \WideAnd3782~1_combout\);

-- Location: LCCOMB_X13_Y8_N16
\WideAnd3782~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3782~0_combout\ = (\led_flash_cnt[3782][4]~q\ & (\led_flash_cnt[3782][1]~q\ & (\led_flash_cnt[3782][3]~q\ & \led_flash_cnt[3782][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3782][4]~q\,
	datab => \led_flash_cnt[3782][1]~q\,
	datac => \led_flash_cnt[3782][3]~q\,
	datad => \led_flash_cnt[3782][2]~q\,
	combout => \WideAnd3782~0_combout\);

-- Location: LCCOMB_X14_Y8_N28
WideAnd3782 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3782~combout\ = (\led_flash_cnt[3782][7]~q\ & (\WideAnd3782~1_combout\ & (\WideAnd3782~0_combout\ & \led_flash_cnt[3782][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3782][7]~q\,
	datab => \WideAnd3782~1_combout\,
	datac => \WideAnd3782~0_combout\,
	datad => \led_flash_cnt[3782][0]~q\,
	combout => \WideAnd3782~combout\);

-- Location: FF_X14_Y8_N29
\led_flash_cnt_ands[3782]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3782~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3782));

-- Location: LCCOMB_X14_Y8_N24
\WideAnd4312~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4312~1_combout\ = (led_flash_cnt_ands(3780) & led_flash_cnt_ands(3782))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3780),
	datad => led_flash_cnt_ands(3782),
	combout => \WideAnd4312~1_combout\);

-- Location: LCCOMB_X14_Y18_N28
\led_flash_cnt[3783][0]~84224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3783][0]~84224_combout\ = !\led_flash_cnt[3783][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3783][0]~q\,
	combout => \led_flash_cnt[3783][0]~84224_combout\);

-- Location: FF_X14_Y18_N29
\led_flash_cnt[3783][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3783][0]~84224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3783][0]~q\);

-- Location: LCCOMB_X14_Y18_N4
\led_flash_cnt[3783][1]~77056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3783][1]~77056_combout\ = (\led_flash_cnt[3783][0]~q\ & (\led_flash_cnt[3783][1]~q\ $ (VCC))) # (!\led_flash_cnt[3783][0]~q\ & (\led_flash_cnt[3783][1]~q\ & VCC))
-- \led_flash_cnt[3783][1]~77057\ = CARRY((\led_flash_cnt[3783][0]~q\ & \led_flash_cnt[3783][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3783][0]~q\,
	datab => \led_flash_cnt[3783][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3783][1]~77056_combout\,
	cout => \led_flash_cnt[3783][1]~77057\);

-- Location: FF_X14_Y18_N5
\led_flash_cnt[3783][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3783][1]~77056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3783][1]~q\);

-- Location: LCCOMB_X14_Y18_N6
\led_flash_cnt[3783][2]~77058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3783][2]~77058_combout\ = (\led_flash_cnt[3783][2]~q\ & (!\led_flash_cnt[3783][1]~77057\)) # (!\led_flash_cnt[3783][2]~q\ & ((\led_flash_cnt[3783][1]~77057\) # (GND)))
-- \led_flash_cnt[3783][2]~77059\ = CARRY((!\led_flash_cnt[3783][1]~77057\) # (!\led_flash_cnt[3783][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3783][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3783][1]~77057\,
	combout => \led_flash_cnt[3783][2]~77058_combout\,
	cout => \led_flash_cnt[3783][2]~77059\);

-- Location: FF_X14_Y18_N7
\led_flash_cnt[3783][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3783][2]~77058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3783][2]~q\);

-- Location: LCCOMB_X14_Y18_N8
\led_flash_cnt[3783][3]~77060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3783][3]~77060_combout\ = (\led_flash_cnt[3783][3]~q\ & (\led_flash_cnt[3783][2]~77059\ $ (GND))) # (!\led_flash_cnt[3783][3]~q\ & (!\led_flash_cnt[3783][2]~77059\ & VCC))
-- \led_flash_cnt[3783][3]~77061\ = CARRY((\led_flash_cnt[3783][3]~q\ & !\led_flash_cnt[3783][2]~77059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3783][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3783][2]~77059\,
	combout => \led_flash_cnt[3783][3]~77060_combout\,
	cout => \led_flash_cnt[3783][3]~77061\);

-- Location: FF_X14_Y18_N9
\led_flash_cnt[3783][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3783][3]~77060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3783][3]~q\);

-- Location: LCCOMB_X14_Y18_N10
\led_flash_cnt[3783][4]~77062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3783][4]~77062_combout\ = (\led_flash_cnt[3783][4]~q\ & (!\led_flash_cnt[3783][3]~77061\)) # (!\led_flash_cnt[3783][4]~q\ & ((\led_flash_cnt[3783][3]~77061\) # (GND)))
-- \led_flash_cnt[3783][4]~77063\ = CARRY((!\led_flash_cnt[3783][3]~77061\) # (!\led_flash_cnt[3783][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3783][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3783][3]~77061\,
	combout => \led_flash_cnt[3783][4]~77062_combout\,
	cout => \led_flash_cnt[3783][4]~77063\);

-- Location: FF_X14_Y18_N11
\led_flash_cnt[3783][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3783][4]~77062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3783][4]~q\);

-- Location: LCCOMB_X14_Y18_N26
\WideAnd3783~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3783~0_combout\ = (\led_flash_cnt[3783][4]~q\ & (\led_flash_cnt[3783][3]~q\ & (\led_flash_cnt[3783][1]~q\ & \led_flash_cnt[3783][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3783][4]~q\,
	datab => \led_flash_cnt[3783][3]~q\,
	datac => \led_flash_cnt[3783][1]~q\,
	datad => \led_flash_cnt[3783][2]~q\,
	combout => \WideAnd3783~0_combout\);

-- Location: LCCOMB_X14_Y18_N12
\led_flash_cnt[3783][5]~77064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3783][5]~77064_combout\ = (\led_flash_cnt[3783][5]~q\ & (\led_flash_cnt[3783][4]~77063\ $ (GND))) # (!\led_flash_cnt[3783][5]~q\ & (!\led_flash_cnt[3783][4]~77063\ & VCC))
-- \led_flash_cnt[3783][5]~77065\ = CARRY((\led_flash_cnt[3783][5]~q\ & !\led_flash_cnt[3783][4]~77063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3783][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3783][4]~77063\,
	combout => \led_flash_cnt[3783][5]~77064_combout\,
	cout => \led_flash_cnt[3783][5]~77065\);

-- Location: FF_X14_Y18_N13
\led_flash_cnt[3783][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3783][5]~77064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3783][5]~q\);

-- Location: LCCOMB_X14_Y18_N14
\led_flash_cnt[3783][6]~77066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3783][6]~77066_combout\ = (\led_flash_cnt[3783][6]~q\ & (!\led_flash_cnt[3783][5]~77065\)) # (!\led_flash_cnt[3783][6]~q\ & ((\led_flash_cnt[3783][5]~77065\) # (GND)))
-- \led_flash_cnt[3783][6]~77067\ = CARRY((!\led_flash_cnt[3783][5]~77065\) # (!\led_flash_cnt[3783][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3783][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3783][5]~77065\,
	combout => \led_flash_cnt[3783][6]~77066_combout\,
	cout => \led_flash_cnt[3783][6]~77067\);

-- Location: FF_X14_Y18_N15
\led_flash_cnt[3783][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3783][6]~77066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3783][6]~q\);

-- Location: LCCOMB_X14_Y18_N16
\led_flash_cnt[3783][7]~77068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3783][7]~77068_combout\ = \led_flash_cnt[3783][6]~77067\ $ (!\led_flash_cnt[3783][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3783][7]~q\,
	cin => \led_flash_cnt[3783][6]~77067\,
	combout => \led_flash_cnt[3783][7]~77068_combout\);

-- Location: FF_X14_Y18_N17
\led_flash_cnt[3783][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3783][7]~77068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3783][7]~q\);

-- Location: LCCOMB_X14_Y18_N22
\WideAnd3783~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3783~1_combout\ = (\led_flash_cnt[3783][6]~q\ & \led_flash_cnt[3783][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3783][6]~q\,
	datad => \led_flash_cnt[3783][5]~q\,
	combout => \WideAnd3783~1_combout\);

-- Location: LCCOMB_X14_Y18_N24
WideAnd3783 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3783~combout\ = (\WideAnd3783~0_combout\ & (\led_flash_cnt[3783][7]~q\ & (\WideAnd3783~1_combout\ & \led_flash_cnt[3783][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3783~0_combout\,
	datab => \led_flash_cnt[3783][7]~q\,
	datac => \WideAnd3783~1_combout\,
	datad => \led_flash_cnt[3783][0]~q\,
	combout => \WideAnd3783~combout\);

-- Location: FF_X14_Y18_N25
\led_flash_cnt_ands[3783]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3783~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3783));

-- Location: LCCOMB_X20_Y16_N6
\led_flash_cnt[3781][0]~84225\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3781][0]~84225_combout\ = !\led_flash_cnt[3781][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3781][0]~q\,
	combout => \led_flash_cnt[3781][0]~84225_combout\);

-- Location: FF_X20_Y16_N7
\led_flash_cnt[3781][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3781][0]~84225_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3781][0]~q\);

-- Location: LCCOMB_X20_Y16_N8
\led_flash_cnt[3781][1]~77070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3781][1]~77070_combout\ = (\led_flash_cnt[3781][0]~q\ & (\led_flash_cnt[3781][1]~q\ $ (VCC))) # (!\led_flash_cnt[3781][0]~q\ & (\led_flash_cnt[3781][1]~q\ & VCC))
-- \led_flash_cnt[3781][1]~77071\ = CARRY((\led_flash_cnt[3781][0]~q\ & \led_flash_cnt[3781][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3781][0]~q\,
	datab => \led_flash_cnt[3781][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3781][1]~77070_combout\,
	cout => \led_flash_cnt[3781][1]~77071\);

-- Location: FF_X20_Y16_N9
\led_flash_cnt[3781][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3781][1]~77070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3781][1]~q\);

-- Location: LCCOMB_X20_Y16_N10
\led_flash_cnt[3781][2]~77072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3781][2]~77072_combout\ = (\led_flash_cnt[3781][2]~q\ & (!\led_flash_cnt[3781][1]~77071\)) # (!\led_flash_cnt[3781][2]~q\ & ((\led_flash_cnt[3781][1]~77071\) # (GND)))
-- \led_flash_cnt[3781][2]~77073\ = CARRY((!\led_flash_cnt[3781][1]~77071\) # (!\led_flash_cnt[3781][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3781][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3781][1]~77071\,
	combout => \led_flash_cnt[3781][2]~77072_combout\,
	cout => \led_flash_cnt[3781][2]~77073\);

-- Location: FF_X20_Y16_N11
\led_flash_cnt[3781][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3781][2]~77072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3781][2]~q\);

-- Location: LCCOMB_X20_Y16_N12
\led_flash_cnt[3781][3]~77074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3781][3]~77074_combout\ = (\led_flash_cnt[3781][3]~q\ & (\led_flash_cnt[3781][2]~77073\ $ (GND))) # (!\led_flash_cnt[3781][3]~q\ & (!\led_flash_cnt[3781][2]~77073\ & VCC))
-- \led_flash_cnt[3781][3]~77075\ = CARRY((\led_flash_cnt[3781][3]~q\ & !\led_flash_cnt[3781][2]~77073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3781][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3781][2]~77073\,
	combout => \led_flash_cnt[3781][3]~77074_combout\,
	cout => \led_flash_cnt[3781][3]~77075\);

-- Location: FF_X20_Y16_N13
\led_flash_cnt[3781][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3781][3]~77074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3781][3]~q\);

-- Location: LCCOMB_X20_Y16_N14
\led_flash_cnt[3781][4]~77076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3781][4]~77076_combout\ = (\led_flash_cnt[3781][4]~q\ & (!\led_flash_cnt[3781][3]~77075\)) # (!\led_flash_cnt[3781][4]~q\ & ((\led_flash_cnt[3781][3]~77075\) # (GND)))
-- \led_flash_cnt[3781][4]~77077\ = CARRY((!\led_flash_cnt[3781][3]~77075\) # (!\led_flash_cnt[3781][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3781][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3781][3]~77075\,
	combout => \led_flash_cnt[3781][4]~77076_combout\,
	cout => \led_flash_cnt[3781][4]~77077\);

-- Location: FF_X20_Y16_N15
\led_flash_cnt[3781][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3781][4]~77076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3781][4]~q\);

-- Location: LCCOMB_X20_Y16_N16
\led_flash_cnt[3781][5]~77078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3781][5]~77078_combout\ = (\led_flash_cnt[3781][5]~q\ & (\led_flash_cnt[3781][4]~77077\ $ (GND))) # (!\led_flash_cnt[3781][5]~q\ & (!\led_flash_cnt[3781][4]~77077\ & VCC))
-- \led_flash_cnt[3781][5]~77079\ = CARRY((\led_flash_cnt[3781][5]~q\ & !\led_flash_cnt[3781][4]~77077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3781][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3781][4]~77077\,
	combout => \led_flash_cnt[3781][5]~77078_combout\,
	cout => \led_flash_cnt[3781][5]~77079\);

-- Location: FF_X20_Y16_N17
\led_flash_cnt[3781][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3781][5]~77078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3781][5]~q\);

-- Location: LCCOMB_X20_Y16_N18
\led_flash_cnt[3781][6]~77080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3781][6]~77080_combout\ = (\led_flash_cnt[3781][6]~q\ & (!\led_flash_cnt[3781][5]~77079\)) # (!\led_flash_cnt[3781][6]~q\ & ((\led_flash_cnt[3781][5]~77079\) # (GND)))
-- \led_flash_cnt[3781][6]~77081\ = CARRY((!\led_flash_cnt[3781][5]~77079\) # (!\led_flash_cnt[3781][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3781][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3781][5]~77079\,
	combout => \led_flash_cnt[3781][6]~77080_combout\,
	cout => \led_flash_cnt[3781][6]~77081\);

-- Location: FF_X20_Y16_N19
\led_flash_cnt[3781][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3781][6]~77080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3781][6]~q\);

-- Location: LCCOMB_X20_Y16_N24
\WideAnd3781~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3781~1_combout\ = (\led_flash_cnt[3781][6]~q\ & \led_flash_cnt[3781][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3781][6]~q\,
	datad => \led_flash_cnt[3781][5]~q\,
	combout => \WideAnd3781~1_combout\);

-- Location: LCCOMB_X20_Y16_N30
\WideAnd3781~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3781~0_combout\ = (\led_flash_cnt[3781][3]~q\ & (\led_flash_cnt[3781][1]~q\ & (\led_flash_cnt[3781][4]~q\ & \led_flash_cnt[3781][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3781][3]~q\,
	datab => \led_flash_cnt[3781][1]~q\,
	datac => \led_flash_cnt[3781][4]~q\,
	datad => \led_flash_cnt[3781][2]~q\,
	combout => \WideAnd3781~0_combout\);

-- Location: LCCOMB_X20_Y16_N20
\led_flash_cnt[3781][7]~77082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3781][7]~77082_combout\ = \led_flash_cnt[3781][6]~77081\ $ (!\led_flash_cnt[3781][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3781][7]~q\,
	cin => \led_flash_cnt[3781][6]~77081\,
	combout => \led_flash_cnt[3781][7]~77082_combout\);

-- Location: FF_X20_Y16_N21
\led_flash_cnt[3781][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3781][7]~77082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3781][7]~q\);

-- Location: LCCOMB_X20_Y16_N0
WideAnd3781 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3781~combout\ = (\led_flash_cnt[3781][0]~q\ & (\WideAnd3781~1_combout\ & (\WideAnd3781~0_combout\ & \led_flash_cnt[3781][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3781][0]~q\,
	datab => \WideAnd3781~1_combout\,
	datac => \WideAnd3781~0_combout\,
	datad => \led_flash_cnt[3781][7]~q\,
	combout => \WideAnd3781~combout\);

-- Location: FF_X20_Y16_N1
\led_flash_cnt_ands[3781]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3781~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3781));

-- Location: LCCOMB_X14_Y16_N2
WideAnd4312 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4312~combout\ = (\WideAnd4312~0_combout\ & (\WideAnd4312~1_combout\ & (led_flash_cnt_ands(3783) & led_flash_cnt_ands(3781))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4312~0_combout\,
	datab => \WideAnd4312~1_combout\,
	datac => led_flash_cnt_ands(3783),
	datad => led_flash_cnt_ands(3781),
	combout => \WideAnd4312~combout\);

-- Location: FF_X14_Y16_N3
\led_flash_cnt_ands_1[472]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4312~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(472));

-- Location: LCCOMB_X7_Y10_N28
\led_flash_cnt[3788][0]~84236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3788][0]~84236_combout\ = !\led_flash_cnt[3788][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3788][0]~q\,
	combout => \led_flash_cnt[3788][0]~84236_combout\);

-- Location: FF_X7_Y10_N29
\led_flash_cnt[3788][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3788][0]~84236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3788][0]~q\);

-- Location: LCCOMB_X8_Y10_N2
\led_flash_cnt[3788][1]~77224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3788][1]~77224_combout\ = (\led_flash_cnt[3788][0]~q\ & (\led_flash_cnt[3788][1]~q\ $ (VCC))) # (!\led_flash_cnt[3788][0]~q\ & (\led_flash_cnt[3788][1]~q\ & VCC))
-- \led_flash_cnt[3788][1]~77225\ = CARRY((\led_flash_cnt[3788][0]~q\ & \led_flash_cnt[3788][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3788][0]~q\,
	datab => \led_flash_cnt[3788][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3788][1]~77224_combout\,
	cout => \led_flash_cnt[3788][1]~77225\);

-- Location: FF_X8_Y10_N3
\led_flash_cnt[3788][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3788][1]~77224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3788][1]~q\);

-- Location: LCCOMB_X8_Y10_N4
\led_flash_cnt[3788][2]~77226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3788][2]~77226_combout\ = (\led_flash_cnt[3788][2]~q\ & (!\led_flash_cnt[3788][1]~77225\)) # (!\led_flash_cnt[3788][2]~q\ & ((\led_flash_cnt[3788][1]~77225\) # (GND)))
-- \led_flash_cnt[3788][2]~77227\ = CARRY((!\led_flash_cnt[3788][1]~77225\) # (!\led_flash_cnt[3788][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3788][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3788][1]~77225\,
	combout => \led_flash_cnt[3788][2]~77226_combout\,
	cout => \led_flash_cnt[3788][2]~77227\);

-- Location: FF_X8_Y10_N5
\led_flash_cnt[3788][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3788][2]~77226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3788][2]~q\);

-- Location: LCCOMB_X8_Y10_N6
\led_flash_cnt[3788][3]~77228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3788][3]~77228_combout\ = (\led_flash_cnt[3788][3]~q\ & (\led_flash_cnt[3788][2]~77227\ $ (GND))) # (!\led_flash_cnt[3788][3]~q\ & (!\led_flash_cnt[3788][2]~77227\ & VCC))
-- \led_flash_cnt[3788][3]~77229\ = CARRY((\led_flash_cnt[3788][3]~q\ & !\led_flash_cnt[3788][2]~77227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3788][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3788][2]~77227\,
	combout => \led_flash_cnt[3788][3]~77228_combout\,
	cout => \led_flash_cnt[3788][3]~77229\);

-- Location: FF_X8_Y10_N7
\led_flash_cnt[3788][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3788][3]~77228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3788][3]~q\);

-- Location: LCCOMB_X8_Y10_N8
\led_flash_cnt[3788][4]~77230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3788][4]~77230_combout\ = (\led_flash_cnt[3788][4]~q\ & (!\led_flash_cnt[3788][3]~77229\)) # (!\led_flash_cnt[3788][4]~q\ & ((\led_flash_cnt[3788][3]~77229\) # (GND)))
-- \led_flash_cnt[3788][4]~77231\ = CARRY((!\led_flash_cnt[3788][3]~77229\) # (!\led_flash_cnt[3788][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3788][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3788][3]~77229\,
	combout => \led_flash_cnt[3788][4]~77230_combout\,
	cout => \led_flash_cnt[3788][4]~77231\);

-- Location: FF_X8_Y10_N9
\led_flash_cnt[3788][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3788][4]~77230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3788][4]~q\);

-- Location: LCCOMB_X8_Y10_N30
\WideAnd3788~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3788~0_combout\ = (\led_flash_cnt[3788][3]~q\ & (\led_flash_cnt[3788][2]~q\ & (\led_flash_cnt[3788][4]~q\ & \led_flash_cnt[3788][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3788][3]~q\,
	datab => \led_flash_cnt[3788][2]~q\,
	datac => \led_flash_cnt[3788][4]~q\,
	datad => \led_flash_cnt[3788][1]~q\,
	combout => \WideAnd3788~0_combout\);

-- Location: LCCOMB_X8_Y10_N10
\led_flash_cnt[3788][5]~77232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3788][5]~77232_combout\ = (\led_flash_cnt[3788][5]~q\ & (\led_flash_cnt[3788][4]~77231\ $ (GND))) # (!\led_flash_cnt[3788][5]~q\ & (!\led_flash_cnt[3788][4]~77231\ & VCC))
-- \led_flash_cnt[3788][5]~77233\ = CARRY((\led_flash_cnt[3788][5]~q\ & !\led_flash_cnt[3788][4]~77231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3788][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3788][4]~77231\,
	combout => \led_flash_cnt[3788][5]~77232_combout\,
	cout => \led_flash_cnt[3788][5]~77233\);

-- Location: FF_X8_Y10_N11
\led_flash_cnt[3788][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3788][5]~77232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3788][5]~q\);

-- Location: LCCOMB_X8_Y10_N12
\led_flash_cnt[3788][6]~77234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3788][6]~77234_combout\ = (\led_flash_cnt[3788][6]~q\ & (!\led_flash_cnt[3788][5]~77233\)) # (!\led_flash_cnt[3788][6]~q\ & ((\led_flash_cnt[3788][5]~77233\) # (GND)))
-- \led_flash_cnt[3788][6]~77235\ = CARRY((!\led_flash_cnt[3788][5]~77233\) # (!\led_flash_cnt[3788][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3788][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3788][5]~77233\,
	combout => \led_flash_cnt[3788][6]~77234_combout\,
	cout => \led_flash_cnt[3788][6]~77235\);

-- Location: FF_X8_Y10_N13
\led_flash_cnt[3788][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3788][6]~77234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3788][6]~q\);

-- Location: LCCOMB_X7_Y10_N20
\WideAnd3788~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3788~1_combout\ = (\led_flash_cnt[3788][5]~q\ & \led_flash_cnt[3788][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3788][5]~q\,
	datac => \led_flash_cnt[3788][6]~q\,
	combout => \WideAnd3788~1_combout\);

-- Location: LCCOMB_X8_Y10_N14
\led_flash_cnt[3788][7]~77236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3788][7]~77236_combout\ = \led_flash_cnt[3788][7]~q\ $ (!\led_flash_cnt[3788][6]~77235\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3788][7]~q\,
	cin => \led_flash_cnt[3788][6]~77235\,
	combout => \led_flash_cnt[3788][7]~77236_combout\);

-- Location: FF_X8_Y10_N15
\led_flash_cnt[3788][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3788][7]~77236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3788][7]~q\);

-- Location: LCCOMB_X7_Y10_N22
WideAnd3788 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3788~combout\ = (\WideAnd3788~0_combout\ & (\WideAnd3788~1_combout\ & (\led_flash_cnt[3788][7]~q\ & \led_flash_cnt[3788][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3788~0_combout\,
	datab => \WideAnd3788~1_combout\,
	datac => \led_flash_cnt[3788][7]~q\,
	datad => \led_flash_cnt[3788][0]~q\,
	combout => \WideAnd3788~combout\);

-- Location: FF_X7_Y10_N23
\led_flash_cnt_ands[3788]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3788~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3788));

-- Location: LCCOMB_X7_Y10_N26
\led_flash_cnt[3789][0]~84237\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3789][0]~84237_combout\ = !\led_flash_cnt[3789][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3789][0]~q\,
	combout => \led_flash_cnt[3789][0]~84237_combout\);

-- Location: FF_X7_Y10_N27
\led_flash_cnt[3789][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3789][0]~84237_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3789][0]~q\);

-- Location: LCCOMB_X7_Y10_N4
\led_flash_cnt[3789][1]~77238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3789][1]~77238_combout\ = (\led_flash_cnt[3789][0]~q\ & (\led_flash_cnt[3789][1]~q\ $ (VCC))) # (!\led_flash_cnt[3789][0]~q\ & (\led_flash_cnt[3789][1]~q\ & VCC))
-- \led_flash_cnt[3789][1]~77239\ = CARRY((\led_flash_cnt[3789][0]~q\ & \led_flash_cnt[3789][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3789][0]~q\,
	datab => \led_flash_cnt[3789][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3789][1]~77238_combout\,
	cout => \led_flash_cnt[3789][1]~77239\);

-- Location: FF_X7_Y10_N5
\led_flash_cnt[3789][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3789][1]~77238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3789][1]~q\);

-- Location: LCCOMB_X7_Y10_N6
\led_flash_cnt[3789][2]~77240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3789][2]~77240_combout\ = (\led_flash_cnt[3789][2]~q\ & (!\led_flash_cnt[3789][1]~77239\)) # (!\led_flash_cnt[3789][2]~q\ & ((\led_flash_cnt[3789][1]~77239\) # (GND)))
-- \led_flash_cnt[3789][2]~77241\ = CARRY((!\led_flash_cnt[3789][1]~77239\) # (!\led_flash_cnt[3789][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3789][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3789][1]~77239\,
	combout => \led_flash_cnt[3789][2]~77240_combout\,
	cout => \led_flash_cnt[3789][2]~77241\);

-- Location: FF_X7_Y10_N7
\led_flash_cnt[3789][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3789][2]~77240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3789][2]~q\);

-- Location: LCCOMB_X7_Y10_N8
\led_flash_cnt[3789][3]~77242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3789][3]~77242_combout\ = (\led_flash_cnt[3789][3]~q\ & (\led_flash_cnt[3789][2]~77241\ $ (GND))) # (!\led_flash_cnt[3789][3]~q\ & (!\led_flash_cnt[3789][2]~77241\ & VCC))
-- \led_flash_cnt[3789][3]~77243\ = CARRY((\led_flash_cnt[3789][3]~q\ & !\led_flash_cnt[3789][2]~77241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3789][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3789][2]~77241\,
	combout => \led_flash_cnt[3789][3]~77242_combout\,
	cout => \led_flash_cnt[3789][3]~77243\);

-- Location: FF_X7_Y10_N9
\led_flash_cnt[3789][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3789][3]~77242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3789][3]~q\);

-- Location: LCCOMB_X7_Y10_N10
\led_flash_cnt[3789][4]~77244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3789][4]~77244_combout\ = (\led_flash_cnt[3789][4]~q\ & (!\led_flash_cnt[3789][3]~77243\)) # (!\led_flash_cnt[3789][4]~q\ & ((\led_flash_cnt[3789][3]~77243\) # (GND)))
-- \led_flash_cnt[3789][4]~77245\ = CARRY((!\led_flash_cnt[3789][3]~77243\) # (!\led_flash_cnt[3789][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3789][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3789][3]~77243\,
	combout => \led_flash_cnt[3789][4]~77244_combout\,
	cout => \led_flash_cnt[3789][4]~77245\);

-- Location: FF_X7_Y10_N11
\led_flash_cnt[3789][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3789][4]~77244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3789][4]~q\);

-- Location: LCCOMB_X7_Y10_N12
\led_flash_cnt[3789][5]~77246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3789][5]~77246_combout\ = (\led_flash_cnt[3789][5]~q\ & (\led_flash_cnt[3789][4]~77245\ $ (GND))) # (!\led_flash_cnt[3789][5]~q\ & (!\led_flash_cnt[3789][4]~77245\ & VCC))
-- \led_flash_cnt[3789][5]~77247\ = CARRY((\led_flash_cnt[3789][5]~q\ & !\led_flash_cnt[3789][4]~77245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3789][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3789][4]~77245\,
	combout => \led_flash_cnt[3789][5]~77246_combout\,
	cout => \led_flash_cnt[3789][5]~77247\);

-- Location: FF_X7_Y10_N13
\led_flash_cnt[3789][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3789][5]~77246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3789][5]~q\);

-- Location: LCCOMB_X7_Y10_N14
\led_flash_cnt[3789][6]~77248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3789][6]~77248_combout\ = (\led_flash_cnt[3789][6]~q\ & (!\led_flash_cnt[3789][5]~77247\)) # (!\led_flash_cnt[3789][6]~q\ & ((\led_flash_cnt[3789][5]~77247\) # (GND)))
-- \led_flash_cnt[3789][6]~77249\ = CARRY((!\led_flash_cnt[3789][5]~77247\) # (!\led_flash_cnt[3789][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3789][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3789][5]~77247\,
	combout => \led_flash_cnt[3789][6]~77248_combout\,
	cout => \led_flash_cnt[3789][6]~77249\);

-- Location: FF_X7_Y10_N15
\led_flash_cnt[3789][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3789][6]~77248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3789][6]~q\);

-- Location: LCCOMB_X7_Y10_N30
\WideAnd3789~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3789~1_combout\ = (\led_flash_cnt[3789][6]~q\ & \led_flash_cnt[3789][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3789][6]~q\,
	datad => \led_flash_cnt[3789][5]~q\,
	combout => \WideAnd3789~1_combout\);

-- Location: LCCOMB_X7_Y10_N2
\WideAnd3789~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3789~0_combout\ = (\led_flash_cnt[3789][4]~q\ & (\led_flash_cnt[3789][3]~q\ & (\led_flash_cnt[3789][1]~q\ & \led_flash_cnt[3789][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3789][4]~q\,
	datab => \led_flash_cnt[3789][3]~q\,
	datac => \led_flash_cnt[3789][1]~q\,
	datad => \led_flash_cnt[3789][2]~q\,
	combout => \WideAnd3789~0_combout\);

-- Location: LCCOMB_X7_Y10_N16
\led_flash_cnt[3789][7]~77250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3789][7]~77250_combout\ = \led_flash_cnt[3789][6]~77249\ $ (!\led_flash_cnt[3789][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3789][7]~q\,
	cin => \led_flash_cnt[3789][6]~77249\,
	combout => \led_flash_cnt[3789][7]~77250_combout\);

-- Location: FF_X7_Y10_N17
\led_flash_cnt[3789][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3789][7]~77250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3789][7]~q\);

-- Location: LCCOMB_X7_Y10_N0
WideAnd3789 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3789~combout\ = (\WideAnd3789~1_combout\ & (\WideAnd3789~0_combout\ & (\led_flash_cnt[3789][0]~q\ & \led_flash_cnt[3789][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3789~1_combout\,
	datab => \WideAnd3789~0_combout\,
	datac => \led_flash_cnt[3789][0]~q\,
	datad => \led_flash_cnt[3789][7]~q\,
	combout => \WideAnd3789~combout\);

-- Location: FF_X7_Y10_N1
\led_flash_cnt_ands[3789]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3789~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3789));

-- Location: LCCOMB_X7_Y10_N18
\WideAnd4313~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4313~1_combout\ = (led_flash_cnt_ands(3788) & led_flash_cnt_ands(3789))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3788),
	datad => led_flash_cnt_ands(3789),
	combout => \WideAnd4313~1_combout\);

-- Location: LCCOMB_X8_Y8_N22
\led_flash_cnt[3785][0]~84233\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3785][0]~84233_combout\ = !\led_flash_cnt[3785][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3785][0]~q\,
	combout => \led_flash_cnt[3785][0]~84233_combout\);

-- Location: FF_X8_Y8_N23
\led_flash_cnt[3785][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3785][0]~84233_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3785][0]~q\);

-- Location: LCCOMB_X8_Y8_N8
\led_flash_cnt[3785][1]~77182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3785][1]~77182_combout\ = (\led_flash_cnt[3785][0]~q\ & (\led_flash_cnt[3785][1]~q\ $ (VCC))) # (!\led_flash_cnt[3785][0]~q\ & (\led_flash_cnt[3785][1]~q\ & VCC))
-- \led_flash_cnt[3785][1]~77183\ = CARRY((\led_flash_cnt[3785][0]~q\ & \led_flash_cnt[3785][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3785][0]~q\,
	datab => \led_flash_cnt[3785][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3785][1]~77182_combout\,
	cout => \led_flash_cnt[3785][1]~77183\);

-- Location: FF_X8_Y8_N9
\led_flash_cnt[3785][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3785][1]~77182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3785][1]~q\);

-- Location: LCCOMB_X8_Y8_N10
\led_flash_cnt[3785][2]~77184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3785][2]~77184_combout\ = (\led_flash_cnt[3785][2]~q\ & (!\led_flash_cnt[3785][1]~77183\)) # (!\led_flash_cnt[3785][2]~q\ & ((\led_flash_cnt[3785][1]~77183\) # (GND)))
-- \led_flash_cnt[3785][2]~77185\ = CARRY((!\led_flash_cnt[3785][1]~77183\) # (!\led_flash_cnt[3785][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3785][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3785][1]~77183\,
	combout => \led_flash_cnt[3785][2]~77184_combout\,
	cout => \led_flash_cnt[3785][2]~77185\);

-- Location: FF_X8_Y8_N11
\led_flash_cnt[3785][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3785][2]~77184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3785][2]~q\);

-- Location: LCCOMB_X8_Y8_N12
\led_flash_cnt[3785][3]~77186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3785][3]~77186_combout\ = (\led_flash_cnt[3785][3]~q\ & (\led_flash_cnt[3785][2]~77185\ $ (GND))) # (!\led_flash_cnt[3785][3]~q\ & (!\led_flash_cnt[3785][2]~77185\ & VCC))
-- \led_flash_cnt[3785][3]~77187\ = CARRY((\led_flash_cnt[3785][3]~q\ & !\led_flash_cnt[3785][2]~77185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3785][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3785][2]~77185\,
	combout => \led_flash_cnt[3785][3]~77186_combout\,
	cout => \led_flash_cnt[3785][3]~77187\);

-- Location: FF_X8_Y8_N13
\led_flash_cnt[3785][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3785][3]~77186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3785][3]~q\);

-- Location: LCCOMB_X8_Y8_N14
\led_flash_cnt[3785][4]~77188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3785][4]~77188_combout\ = (\led_flash_cnt[3785][4]~q\ & (!\led_flash_cnt[3785][3]~77187\)) # (!\led_flash_cnt[3785][4]~q\ & ((\led_flash_cnt[3785][3]~77187\) # (GND)))
-- \led_flash_cnt[3785][4]~77189\ = CARRY((!\led_flash_cnt[3785][3]~77187\) # (!\led_flash_cnt[3785][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3785][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3785][3]~77187\,
	combout => \led_flash_cnt[3785][4]~77188_combout\,
	cout => \led_flash_cnt[3785][4]~77189\);

-- Location: FF_X8_Y8_N15
\led_flash_cnt[3785][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3785][4]~77188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3785][4]~q\);

-- Location: LCCOMB_X8_Y8_N16
\led_flash_cnt[3785][5]~77190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3785][5]~77190_combout\ = (\led_flash_cnt[3785][5]~q\ & (\led_flash_cnt[3785][4]~77189\ $ (GND))) # (!\led_flash_cnt[3785][5]~q\ & (!\led_flash_cnt[3785][4]~77189\ & VCC))
-- \led_flash_cnt[3785][5]~77191\ = CARRY((\led_flash_cnt[3785][5]~q\ & !\led_flash_cnt[3785][4]~77189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3785][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3785][4]~77189\,
	combout => \led_flash_cnt[3785][5]~77190_combout\,
	cout => \led_flash_cnt[3785][5]~77191\);

-- Location: FF_X8_Y8_N17
\led_flash_cnt[3785][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3785][5]~77190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3785][5]~q\);

-- Location: LCCOMB_X8_Y8_N18
\led_flash_cnt[3785][6]~77192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3785][6]~77192_combout\ = (\led_flash_cnt[3785][6]~q\ & (!\led_flash_cnt[3785][5]~77191\)) # (!\led_flash_cnt[3785][6]~q\ & ((\led_flash_cnt[3785][5]~77191\) # (GND)))
-- \led_flash_cnt[3785][6]~77193\ = CARRY((!\led_flash_cnt[3785][5]~77191\) # (!\led_flash_cnt[3785][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3785][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3785][5]~77191\,
	combout => \led_flash_cnt[3785][6]~77192_combout\,
	cout => \led_flash_cnt[3785][6]~77193\);

-- Location: FF_X8_Y8_N19
\led_flash_cnt[3785][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3785][6]~77192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3785][6]~q\);

-- Location: LCCOMB_X8_Y8_N20
\led_flash_cnt[3785][7]~77194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3785][7]~77194_combout\ = \led_flash_cnt[3785][6]~77193\ $ (!\led_flash_cnt[3785][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3785][7]~q\,
	cin => \led_flash_cnt[3785][6]~77193\,
	combout => \led_flash_cnt[3785][7]~77194_combout\);

-- Location: FF_X8_Y8_N21
\led_flash_cnt[3785][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3785][7]~77194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3785][7]~q\);

-- Location: LCCOMB_X8_Y8_N4
\WideAnd3785~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3785~1_combout\ = (\led_flash_cnt[3785][6]~q\ & \led_flash_cnt[3785][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3785][6]~q\,
	datad => \led_flash_cnt[3785][5]~q\,
	combout => \WideAnd3785~1_combout\);

-- Location: LCCOMB_X8_Y8_N24
\WideAnd3785~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3785~0_combout\ = (\led_flash_cnt[3785][3]~q\ & (\led_flash_cnt[3785][4]~q\ & (\led_flash_cnt[3785][1]~q\ & \led_flash_cnt[3785][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3785][3]~q\,
	datab => \led_flash_cnt[3785][4]~q\,
	datac => \led_flash_cnt[3785][1]~q\,
	datad => \led_flash_cnt[3785][2]~q\,
	combout => \WideAnd3785~0_combout\);

-- Location: LCCOMB_X8_Y8_N30
WideAnd3785 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3785~combout\ = (\led_flash_cnt[3785][0]~q\ & (\led_flash_cnt[3785][7]~q\ & (\WideAnd3785~1_combout\ & \WideAnd3785~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3785][0]~q\,
	datab => \led_flash_cnt[3785][7]~q\,
	datac => \WideAnd3785~1_combout\,
	datad => \WideAnd3785~0_combout\,
	combout => \WideAnd3785~combout\);

-- Location: FF_X8_Y8_N31
\led_flash_cnt_ands[3785]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3785~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3785));

-- Location: LCCOMB_X8_Y5_N2
\led_flash_cnt[3787][0]~84235\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3787][0]~84235_combout\ = !\led_flash_cnt[3787][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3787][0]~q\,
	combout => \led_flash_cnt[3787][0]~84235_combout\);

-- Location: FF_X8_Y5_N3
\led_flash_cnt[3787][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3787][0]~84235_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3787][0]~q\);

-- Location: LCCOMB_X7_Y5_N2
\led_flash_cnt[3787][1]~77210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3787][1]~77210_combout\ = (\led_flash_cnt[3787][0]~q\ & (\led_flash_cnt[3787][1]~q\ $ (VCC))) # (!\led_flash_cnt[3787][0]~q\ & (\led_flash_cnt[3787][1]~q\ & VCC))
-- \led_flash_cnt[3787][1]~77211\ = CARRY((\led_flash_cnt[3787][0]~q\ & \led_flash_cnt[3787][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3787][0]~q\,
	datab => \led_flash_cnt[3787][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3787][1]~77210_combout\,
	cout => \led_flash_cnt[3787][1]~77211\);

-- Location: FF_X7_Y5_N3
\led_flash_cnt[3787][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3787][1]~77210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3787][1]~q\);

-- Location: LCCOMB_X7_Y5_N4
\led_flash_cnt[3787][2]~77212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3787][2]~77212_combout\ = (\led_flash_cnt[3787][2]~q\ & (!\led_flash_cnt[3787][1]~77211\)) # (!\led_flash_cnt[3787][2]~q\ & ((\led_flash_cnt[3787][1]~77211\) # (GND)))
-- \led_flash_cnt[3787][2]~77213\ = CARRY((!\led_flash_cnt[3787][1]~77211\) # (!\led_flash_cnt[3787][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3787][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3787][1]~77211\,
	combout => \led_flash_cnt[3787][2]~77212_combout\,
	cout => \led_flash_cnt[3787][2]~77213\);

-- Location: FF_X7_Y5_N5
\led_flash_cnt[3787][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3787][2]~77212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3787][2]~q\);

-- Location: LCCOMB_X7_Y5_N6
\led_flash_cnt[3787][3]~77214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3787][3]~77214_combout\ = (\led_flash_cnt[3787][3]~q\ & (\led_flash_cnt[3787][2]~77213\ $ (GND))) # (!\led_flash_cnt[3787][3]~q\ & (!\led_flash_cnt[3787][2]~77213\ & VCC))
-- \led_flash_cnt[3787][3]~77215\ = CARRY((\led_flash_cnt[3787][3]~q\ & !\led_flash_cnt[3787][2]~77213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3787][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3787][2]~77213\,
	combout => \led_flash_cnt[3787][3]~77214_combout\,
	cout => \led_flash_cnt[3787][3]~77215\);

-- Location: FF_X7_Y5_N7
\led_flash_cnt[3787][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3787][3]~77214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3787][3]~q\);

-- Location: LCCOMB_X7_Y5_N8
\led_flash_cnt[3787][4]~77216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3787][4]~77216_combout\ = (\led_flash_cnt[3787][4]~q\ & (!\led_flash_cnt[3787][3]~77215\)) # (!\led_flash_cnt[3787][4]~q\ & ((\led_flash_cnt[3787][3]~77215\) # (GND)))
-- \led_flash_cnt[3787][4]~77217\ = CARRY((!\led_flash_cnt[3787][3]~77215\) # (!\led_flash_cnt[3787][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3787][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3787][3]~77215\,
	combout => \led_flash_cnt[3787][4]~77216_combout\,
	cout => \led_flash_cnt[3787][4]~77217\);

-- Location: FF_X7_Y5_N9
\led_flash_cnt[3787][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3787][4]~77216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3787][4]~q\);

-- Location: LCCOMB_X7_Y5_N10
\led_flash_cnt[3787][5]~77218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3787][5]~77218_combout\ = (\led_flash_cnt[3787][5]~q\ & (\led_flash_cnt[3787][4]~77217\ $ (GND))) # (!\led_flash_cnt[3787][5]~q\ & (!\led_flash_cnt[3787][4]~77217\ & VCC))
-- \led_flash_cnt[3787][5]~77219\ = CARRY((\led_flash_cnt[3787][5]~q\ & !\led_flash_cnt[3787][4]~77217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3787][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3787][4]~77217\,
	combout => \led_flash_cnt[3787][5]~77218_combout\,
	cout => \led_flash_cnt[3787][5]~77219\);

-- Location: FF_X7_Y5_N11
\led_flash_cnt[3787][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3787][5]~77218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3787][5]~q\);

-- Location: LCCOMB_X7_Y5_N12
\led_flash_cnt[3787][6]~77220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3787][6]~77220_combout\ = (\led_flash_cnt[3787][6]~q\ & (!\led_flash_cnt[3787][5]~77219\)) # (!\led_flash_cnt[3787][6]~q\ & ((\led_flash_cnt[3787][5]~77219\) # (GND)))
-- \led_flash_cnt[3787][6]~77221\ = CARRY((!\led_flash_cnt[3787][5]~77219\) # (!\led_flash_cnt[3787][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3787][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3787][5]~77219\,
	combout => \led_flash_cnt[3787][6]~77220_combout\,
	cout => \led_flash_cnt[3787][6]~77221\);

-- Location: FF_X7_Y5_N13
\led_flash_cnt[3787][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3787][6]~77220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3787][6]~q\);

-- Location: LCCOMB_X7_Y5_N14
\led_flash_cnt[3787][7]~77222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3787][7]~77222_combout\ = \led_flash_cnt[3787][7]~q\ $ (!\led_flash_cnt[3787][6]~77221\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3787][7]~q\,
	cin => \led_flash_cnt[3787][6]~77221\,
	combout => \led_flash_cnt[3787][7]~77222_combout\);

-- Location: FF_X7_Y5_N15
\led_flash_cnt[3787][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3787][7]~77222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3787][7]~q\);

-- Location: LCCOMB_X7_Y5_N0
\WideAnd3787~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3787~0_combout\ = (\led_flash_cnt[3787][3]~q\ & (\led_flash_cnt[3787][2]~q\ & (\led_flash_cnt[3787][4]~q\ & \led_flash_cnt[3787][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3787][3]~q\,
	datab => \led_flash_cnt[3787][2]~q\,
	datac => \led_flash_cnt[3787][4]~q\,
	datad => \led_flash_cnt[3787][1]~q\,
	combout => \WideAnd3787~0_combout\);

-- Location: LCCOMB_X8_Y5_N24
\WideAnd3787~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3787~1_combout\ = (\led_flash_cnt[3787][6]~q\ & \led_flash_cnt[3787][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3787][6]~q\,
	datad => \led_flash_cnt[3787][5]~q\,
	combout => \WideAnd3787~1_combout\);

-- Location: LCCOMB_X8_Y5_N28
WideAnd3787 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3787~combout\ = (\led_flash_cnt[3787][7]~q\ & (\led_flash_cnt[3787][0]~q\ & (\WideAnd3787~0_combout\ & \WideAnd3787~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3787][7]~q\,
	datab => \led_flash_cnt[3787][0]~q\,
	datac => \WideAnd3787~0_combout\,
	datad => \WideAnd3787~1_combout\,
	combout => \WideAnd3787~combout\);

-- Location: FF_X8_Y5_N29
\led_flash_cnt_ands[3787]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3787~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3787));

-- Location: LCCOMB_X8_Y5_N8
\led_flash_cnt[3786][0]~84234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3786][0]~84234_combout\ = !\led_flash_cnt[3786][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3786][0]~q\,
	combout => \led_flash_cnt[3786][0]~84234_combout\);

-- Location: FF_X8_Y5_N9
\led_flash_cnt[3786][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3786][0]~84234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3786][0]~q\);

-- Location: LCCOMB_X8_Y5_N10
\led_flash_cnt[3786][1]~77196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3786][1]~77196_combout\ = (\led_flash_cnt[3786][1]~q\ & (\led_flash_cnt[3786][0]~q\ $ (VCC))) # (!\led_flash_cnt[3786][1]~q\ & (\led_flash_cnt[3786][0]~q\ & VCC))
-- \led_flash_cnt[3786][1]~77197\ = CARRY((\led_flash_cnt[3786][1]~q\ & \led_flash_cnt[3786][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3786][1]~q\,
	datab => \led_flash_cnt[3786][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3786][1]~77196_combout\,
	cout => \led_flash_cnt[3786][1]~77197\);

-- Location: FF_X8_Y5_N11
\led_flash_cnt[3786][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3786][1]~77196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3786][1]~q\);

-- Location: LCCOMB_X8_Y5_N12
\led_flash_cnt[3786][2]~77198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3786][2]~77198_combout\ = (\led_flash_cnt[3786][2]~q\ & (!\led_flash_cnt[3786][1]~77197\)) # (!\led_flash_cnt[3786][2]~q\ & ((\led_flash_cnt[3786][1]~77197\) # (GND)))
-- \led_flash_cnt[3786][2]~77199\ = CARRY((!\led_flash_cnt[3786][1]~77197\) # (!\led_flash_cnt[3786][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3786][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3786][1]~77197\,
	combout => \led_flash_cnt[3786][2]~77198_combout\,
	cout => \led_flash_cnt[3786][2]~77199\);

-- Location: FF_X8_Y5_N13
\led_flash_cnt[3786][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3786][2]~77198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3786][2]~q\);

-- Location: LCCOMB_X8_Y5_N14
\led_flash_cnt[3786][3]~77200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3786][3]~77200_combout\ = (\led_flash_cnt[3786][3]~q\ & (\led_flash_cnt[3786][2]~77199\ $ (GND))) # (!\led_flash_cnt[3786][3]~q\ & (!\led_flash_cnt[3786][2]~77199\ & VCC))
-- \led_flash_cnt[3786][3]~77201\ = CARRY((\led_flash_cnt[3786][3]~q\ & !\led_flash_cnt[3786][2]~77199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3786][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3786][2]~77199\,
	combout => \led_flash_cnt[3786][3]~77200_combout\,
	cout => \led_flash_cnt[3786][3]~77201\);

-- Location: FF_X8_Y5_N15
\led_flash_cnt[3786][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3786][3]~77200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3786][3]~q\);

-- Location: LCCOMB_X8_Y5_N16
\led_flash_cnt[3786][4]~77202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3786][4]~77202_combout\ = (\led_flash_cnt[3786][4]~q\ & (!\led_flash_cnt[3786][3]~77201\)) # (!\led_flash_cnt[3786][4]~q\ & ((\led_flash_cnt[3786][3]~77201\) # (GND)))
-- \led_flash_cnt[3786][4]~77203\ = CARRY((!\led_flash_cnt[3786][3]~77201\) # (!\led_flash_cnt[3786][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3786][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3786][3]~77201\,
	combout => \led_flash_cnt[3786][4]~77202_combout\,
	cout => \led_flash_cnt[3786][4]~77203\);

-- Location: FF_X8_Y5_N17
\led_flash_cnt[3786][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3786][4]~77202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3786][4]~q\);

-- Location: LCCOMB_X8_Y5_N18
\led_flash_cnt[3786][5]~77204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3786][5]~77204_combout\ = (\led_flash_cnt[3786][5]~q\ & (\led_flash_cnt[3786][4]~77203\ $ (GND))) # (!\led_flash_cnt[3786][5]~q\ & (!\led_flash_cnt[3786][4]~77203\ & VCC))
-- \led_flash_cnt[3786][5]~77205\ = CARRY((\led_flash_cnt[3786][5]~q\ & !\led_flash_cnt[3786][4]~77203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3786][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3786][4]~77203\,
	combout => \led_flash_cnt[3786][5]~77204_combout\,
	cout => \led_flash_cnt[3786][5]~77205\);

-- Location: FF_X8_Y5_N19
\led_flash_cnt[3786][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3786][5]~77204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3786][5]~q\);

-- Location: LCCOMB_X8_Y5_N20
\led_flash_cnt[3786][6]~77206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3786][6]~77206_combout\ = (\led_flash_cnt[3786][6]~q\ & (!\led_flash_cnt[3786][5]~77205\)) # (!\led_flash_cnt[3786][6]~q\ & ((\led_flash_cnt[3786][5]~77205\) # (GND)))
-- \led_flash_cnt[3786][6]~77207\ = CARRY((!\led_flash_cnt[3786][5]~77205\) # (!\led_flash_cnt[3786][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3786][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3786][5]~77205\,
	combout => \led_flash_cnt[3786][6]~77206_combout\,
	cout => \led_flash_cnt[3786][6]~77207\);

-- Location: FF_X8_Y5_N21
\led_flash_cnt[3786][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3786][6]~77206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3786][6]~q\);

-- Location: LCCOMB_X8_Y5_N22
\led_flash_cnt[3786][7]~77208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3786][7]~77208_combout\ = \led_flash_cnt[3786][7]~q\ $ (!\led_flash_cnt[3786][6]~77207\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3786][7]~q\,
	cin => \led_flash_cnt[3786][6]~77207\,
	combout => \led_flash_cnt[3786][7]~77208_combout\);

-- Location: FF_X8_Y5_N23
\led_flash_cnt[3786][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3786][7]~77208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3786][7]~q\);

-- Location: LCCOMB_X8_Y5_N4
\WideAnd3786~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3786~0_combout\ = (\led_flash_cnt[3786][2]~q\ & (\led_flash_cnt[3786][4]~q\ & (\led_flash_cnt[3786][3]~q\ & \led_flash_cnt[3786][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3786][2]~q\,
	datab => \led_flash_cnt[3786][4]~q\,
	datac => \led_flash_cnt[3786][3]~q\,
	datad => \led_flash_cnt[3786][1]~q\,
	combout => \WideAnd3786~0_combout\);

-- Location: LCCOMB_X8_Y5_N6
\WideAnd3786~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3786~1_combout\ = (\led_flash_cnt[3786][6]~q\ & \led_flash_cnt[3786][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3786][6]~q\,
	datad => \led_flash_cnt[3786][5]~q\,
	combout => \WideAnd3786~1_combout\);

-- Location: LCCOMB_X8_Y5_N30
WideAnd3786 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3786~combout\ = (\led_flash_cnt[3786][7]~q\ & (\WideAnd3786~0_combout\ & (\led_flash_cnt[3786][0]~q\ & \WideAnd3786~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3786][7]~q\,
	datab => \WideAnd3786~0_combout\,
	datac => \led_flash_cnt[3786][0]~q\,
	datad => \WideAnd3786~1_combout\,
	combout => \WideAnd3786~combout\);

-- Location: FF_X8_Y5_N31
\led_flash_cnt_ands[3786]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3786~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3786));

-- Location: LCCOMB_X13_Y2_N26
\led_flash_cnt[3784][0]~84232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3784][0]~84232_combout\ = !\led_flash_cnt[3784][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3784][0]~q\,
	combout => \led_flash_cnt[3784][0]~84232_combout\);

-- Location: FF_X13_Y2_N27
\led_flash_cnt[3784][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3784][0]~84232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3784][0]~q\);

-- Location: LCCOMB_X13_Y2_N0
\led_flash_cnt[3784][1]~77168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3784][1]~77168_combout\ = (\led_flash_cnt[3784][0]~q\ & (\led_flash_cnt[3784][1]~q\ $ (VCC))) # (!\led_flash_cnt[3784][0]~q\ & (\led_flash_cnt[3784][1]~q\ & VCC))
-- \led_flash_cnt[3784][1]~77169\ = CARRY((\led_flash_cnt[3784][0]~q\ & \led_flash_cnt[3784][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3784][0]~q\,
	datab => \led_flash_cnt[3784][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3784][1]~77168_combout\,
	cout => \led_flash_cnt[3784][1]~77169\);

-- Location: FF_X13_Y2_N1
\led_flash_cnt[3784][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3784][1]~77168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3784][1]~q\);

-- Location: LCCOMB_X13_Y2_N2
\led_flash_cnt[3784][2]~77170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3784][2]~77170_combout\ = (\led_flash_cnt[3784][2]~q\ & (!\led_flash_cnt[3784][1]~77169\)) # (!\led_flash_cnt[3784][2]~q\ & ((\led_flash_cnt[3784][1]~77169\) # (GND)))
-- \led_flash_cnt[3784][2]~77171\ = CARRY((!\led_flash_cnt[3784][1]~77169\) # (!\led_flash_cnt[3784][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3784][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3784][1]~77169\,
	combout => \led_flash_cnt[3784][2]~77170_combout\,
	cout => \led_flash_cnt[3784][2]~77171\);

-- Location: FF_X13_Y2_N3
\led_flash_cnt[3784][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3784][2]~77170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3784][2]~q\);

-- Location: LCCOMB_X13_Y2_N4
\led_flash_cnt[3784][3]~77172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3784][3]~77172_combout\ = (\led_flash_cnt[3784][3]~q\ & (\led_flash_cnt[3784][2]~77171\ $ (GND))) # (!\led_flash_cnt[3784][3]~q\ & (!\led_flash_cnt[3784][2]~77171\ & VCC))
-- \led_flash_cnt[3784][3]~77173\ = CARRY((\led_flash_cnt[3784][3]~q\ & !\led_flash_cnt[3784][2]~77171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3784][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3784][2]~77171\,
	combout => \led_flash_cnt[3784][3]~77172_combout\,
	cout => \led_flash_cnt[3784][3]~77173\);

-- Location: FF_X13_Y2_N5
\led_flash_cnt[3784][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3784][3]~77172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3784][3]~q\);

-- Location: LCCOMB_X13_Y2_N6
\led_flash_cnt[3784][4]~77174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3784][4]~77174_combout\ = (\led_flash_cnt[3784][4]~q\ & (!\led_flash_cnt[3784][3]~77173\)) # (!\led_flash_cnt[3784][4]~q\ & ((\led_flash_cnt[3784][3]~77173\) # (GND)))
-- \led_flash_cnt[3784][4]~77175\ = CARRY((!\led_flash_cnt[3784][3]~77173\) # (!\led_flash_cnt[3784][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3784][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3784][3]~77173\,
	combout => \led_flash_cnt[3784][4]~77174_combout\,
	cout => \led_flash_cnt[3784][4]~77175\);

-- Location: FF_X13_Y2_N7
\led_flash_cnt[3784][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3784][4]~77174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3784][4]~q\);

-- Location: LCCOMB_X13_Y2_N8
\led_flash_cnt[3784][5]~77176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3784][5]~77176_combout\ = (\led_flash_cnt[3784][5]~q\ & (\led_flash_cnt[3784][4]~77175\ $ (GND))) # (!\led_flash_cnt[3784][5]~q\ & (!\led_flash_cnt[3784][4]~77175\ & VCC))
-- \led_flash_cnt[3784][5]~77177\ = CARRY((\led_flash_cnt[3784][5]~q\ & !\led_flash_cnt[3784][4]~77175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3784][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3784][4]~77175\,
	combout => \led_flash_cnt[3784][5]~77176_combout\,
	cout => \led_flash_cnt[3784][5]~77177\);

-- Location: FF_X13_Y2_N9
\led_flash_cnt[3784][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3784][5]~77176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3784][5]~q\);

-- Location: LCCOMB_X13_Y2_N10
\led_flash_cnt[3784][6]~77178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3784][6]~77178_combout\ = (\led_flash_cnt[3784][6]~q\ & (!\led_flash_cnt[3784][5]~77177\)) # (!\led_flash_cnt[3784][6]~q\ & ((\led_flash_cnt[3784][5]~77177\) # (GND)))
-- \led_flash_cnt[3784][6]~77179\ = CARRY((!\led_flash_cnt[3784][5]~77177\) # (!\led_flash_cnt[3784][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3784][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3784][5]~77177\,
	combout => \led_flash_cnt[3784][6]~77178_combout\,
	cout => \led_flash_cnt[3784][6]~77179\);

-- Location: FF_X13_Y2_N11
\led_flash_cnt[3784][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3784][6]~77178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3784][6]~q\);

-- Location: LCCOMB_X13_Y2_N12
\led_flash_cnt[3784][7]~77180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3784][7]~77180_combout\ = \led_flash_cnt[3784][6]~77179\ $ (!\led_flash_cnt[3784][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3784][7]~q\,
	cin => \led_flash_cnt[3784][6]~77179\,
	combout => \led_flash_cnt[3784][7]~77180_combout\);

-- Location: FF_X13_Y2_N13
\led_flash_cnt[3784][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3784][7]~77180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3784][7]~q\);

-- Location: LCCOMB_X13_Y2_N28
\WideAnd3784~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3784~0_combout\ = (\led_flash_cnt[3784][4]~q\ & (\led_flash_cnt[3784][2]~q\ & (\led_flash_cnt[3784][3]~q\ & \led_flash_cnt[3784][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3784][4]~q\,
	datab => \led_flash_cnt[3784][2]~q\,
	datac => \led_flash_cnt[3784][3]~q\,
	datad => \led_flash_cnt[3784][1]~q\,
	combout => \WideAnd3784~0_combout\);

-- Location: LCCOMB_X13_Y2_N20
\WideAnd3784~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3784~1_combout\ = (\led_flash_cnt[3784][5]~q\ & \led_flash_cnt[3784][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3784][5]~q\,
	datad => \led_flash_cnt[3784][6]~q\,
	combout => \WideAnd3784~1_combout\);

-- Location: LCCOMB_X13_Y2_N18
WideAnd3784 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3784~combout\ = (\led_flash_cnt[3784][7]~q\ & (\WideAnd3784~0_combout\ & (\led_flash_cnt[3784][0]~q\ & \WideAnd3784~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3784][7]~q\,
	datab => \WideAnd3784~0_combout\,
	datac => \led_flash_cnt[3784][0]~q\,
	datad => \WideAnd3784~1_combout\,
	combout => \WideAnd3784~combout\);

-- Location: FF_X13_Y2_N19
\led_flash_cnt_ands[3784]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3784~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3784));

-- Location: LCCOMB_X8_Y5_N26
\WideAnd4313~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4313~0_combout\ = (led_flash_cnt_ands(3785) & (led_flash_cnt_ands(3787) & (led_flash_cnt_ands(3786) & led_flash_cnt_ands(3784))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3785),
	datab => led_flash_cnt_ands(3787),
	datac => led_flash_cnt_ands(3786),
	datad => led_flash_cnt_ands(3784),
	combout => \WideAnd4313~0_combout\);

-- Location: LCCOMB_X15_Y15_N28
\led_flash_cnt[3790][0]~84238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3790][0]~84238_combout\ = !\led_flash_cnt[3790][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3790][0]~q\,
	combout => \led_flash_cnt[3790][0]~84238_combout\);

-- Location: FF_X15_Y15_N29
\led_flash_cnt[3790][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3790][0]~84238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3790][0]~q\);

-- Location: LCCOMB_X16_Y15_N2
\led_flash_cnt[3790][1]~77252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3790][1]~77252_combout\ = (\led_flash_cnt[3790][0]~q\ & (\led_flash_cnt[3790][1]~q\ $ (VCC))) # (!\led_flash_cnt[3790][0]~q\ & (\led_flash_cnt[3790][1]~q\ & VCC))
-- \led_flash_cnt[3790][1]~77253\ = CARRY((\led_flash_cnt[3790][0]~q\ & \led_flash_cnt[3790][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3790][0]~q\,
	datab => \led_flash_cnt[3790][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3790][1]~77252_combout\,
	cout => \led_flash_cnt[3790][1]~77253\);

-- Location: FF_X16_Y15_N3
\led_flash_cnt[3790][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3790][1]~77252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3790][1]~q\);

-- Location: LCCOMB_X16_Y15_N4
\led_flash_cnt[3790][2]~77254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3790][2]~77254_combout\ = (\led_flash_cnt[3790][2]~q\ & (!\led_flash_cnt[3790][1]~77253\)) # (!\led_flash_cnt[3790][2]~q\ & ((\led_flash_cnt[3790][1]~77253\) # (GND)))
-- \led_flash_cnt[3790][2]~77255\ = CARRY((!\led_flash_cnt[3790][1]~77253\) # (!\led_flash_cnt[3790][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3790][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3790][1]~77253\,
	combout => \led_flash_cnt[3790][2]~77254_combout\,
	cout => \led_flash_cnt[3790][2]~77255\);

-- Location: FF_X16_Y15_N5
\led_flash_cnt[3790][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3790][2]~77254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3790][2]~q\);

-- Location: LCCOMB_X16_Y15_N6
\led_flash_cnt[3790][3]~77256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3790][3]~77256_combout\ = (\led_flash_cnt[3790][3]~q\ & (\led_flash_cnt[3790][2]~77255\ $ (GND))) # (!\led_flash_cnt[3790][3]~q\ & (!\led_flash_cnt[3790][2]~77255\ & VCC))
-- \led_flash_cnt[3790][3]~77257\ = CARRY((\led_flash_cnt[3790][3]~q\ & !\led_flash_cnt[3790][2]~77255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3790][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3790][2]~77255\,
	combout => \led_flash_cnt[3790][3]~77256_combout\,
	cout => \led_flash_cnt[3790][3]~77257\);

-- Location: FF_X16_Y15_N7
\led_flash_cnt[3790][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3790][3]~77256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3790][3]~q\);

-- Location: LCCOMB_X16_Y15_N8
\led_flash_cnt[3790][4]~77258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3790][4]~77258_combout\ = (\led_flash_cnt[3790][4]~q\ & (!\led_flash_cnt[3790][3]~77257\)) # (!\led_flash_cnt[3790][4]~q\ & ((\led_flash_cnt[3790][3]~77257\) # (GND)))
-- \led_flash_cnt[3790][4]~77259\ = CARRY((!\led_flash_cnt[3790][3]~77257\) # (!\led_flash_cnt[3790][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3790][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3790][3]~77257\,
	combout => \led_flash_cnt[3790][4]~77258_combout\,
	cout => \led_flash_cnt[3790][4]~77259\);

-- Location: FF_X16_Y15_N9
\led_flash_cnt[3790][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3790][4]~77258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3790][4]~q\);

-- Location: LCCOMB_X16_Y15_N10
\led_flash_cnt[3790][5]~77260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3790][5]~77260_combout\ = (\led_flash_cnt[3790][5]~q\ & (\led_flash_cnt[3790][4]~77259\ $ (GND))) # (!\led_flash_cnt[3790][5]~q\ & (!\led_flash_cnt[3790][4]~77259\ & VCC))
-- \led_flash_cnt[3790][5]~77261\ = CARRY((\led_flash_cnt[3790][5]~q\ & !\led_flash_cnt[3790][4]~77259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3790][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3790][4]~77259\,
	combout => \led_flash_cnt[3790][5]~77260_combout\,
	cout => \led_flash_cnt[3790][5]~77261\);

-- Location: FF_X16_Y15_N11
\led_flash_cnt[3790][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3790][5]~77260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3790][5]~q\);

-- Location: LCCOMB_X16_Y15_N12
\led_flash_cnt[3790][6]~77262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3790][6]~77262_combout\ = (\led_flash_cnt[3790][6]~q\ & (!\led_flash_cnt[3790][5]~77261\)) # (!\led_flash_cnt[3790][6]~q\ & ((\led_flash_cnt[3790][5]~77261\) # (GND)))
-- \led_flash_cnt[3790][6]~77263\ = CARRY((!\led_flash_cnt[3790][5]~77261\) # (!\led_flash_cnt[3790][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3790][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3790][5]~77261\,
	combout => \led_flash_cnt[3790][6]~77262_combout\,
	cout => \led_flash_cnt[3790][6]~77263\);

-- Location: FF_X16_Y15_N13
\led_flash_cnt[3790][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3790][6]~77262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3790][6]~q\);

-- Location: LCCOMB_X15_Y15_N10
\WideAnd3790~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3790~1_combout\ = (\led_flash_cnt[3790][6]~q\ & \led_flash_cnt[3790][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3790][6]~q\,
	datac => \led_flash_cnt[3790][5]~q\,
	combout => \WideAnd3790~1_combout\);

-- Location: LCCOMB_X16_Y15_N14
\led_flash_cnt[3790][7]~77264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3790][7]~77264_combout\ = \led_flash_cnt[3790][7]~q\ $ (!\led_flash_cnt[3790][6]~77263\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3790][7]~q\,
	cin => \led_flash_cnt[3790][6]~77263\,
	combout => \led_flash_cnt[3790][7]~77264_combout\);

-- Location: FF_X16_Y15_N15
\led_flash_cnt[3790][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3790][7]~77264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3790][7]~q\);

-- Location: LCCOMB_X16_Y15_N0
\WideAnd3790~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3790~0_combout\ = (\led_flash_cnt[3790][3]~q\ & (\led_flash_cnt[3790][4]~q\ & (\led_flash_cnt[3790][2]~q\ & \led_flash_cnt[3790][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3790][3]~q\,
	datab => \led_flash_cnt[3790][4]~q\,
	datac => \led_flash_cnt[3790][2]~q\,
	datad => \led_flash_cnt[3790][1]~q\,
	combout => \WideAnd3790~0_combout\);

-- Location: LCCOMB_X15_Y15_N2
WideAnd3790 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3790~combout\ = (\WideAnd3790~1_combout\ & (\led_flash_cnt[3790][7]~q\ & (\WideAnd3790~0_combout\ & \led_flash_cnt[3790][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3790~1_combout\,
	datab => \led_flash_cnt[3790][7]~q\,
	datac => \WideAnd3790~0_combout\,
	datad => \led_flash_cnt[3790][0]~q\,
	combout => \WideAnd3790~combout\);

-- Location: FF_X15_Y15_N3
\led_flash_cnt_ands[3790]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3790~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3790));

-- Location: LCCOMB_X8_Y8_N2
\led_flash_cnt[3791][0]~84239\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3791][0]~84239_combout\ = !\led_flash_cnt[3791][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3791][0]~q\,
	combout => \led_flash_cnt[3791][0]~84239_combout\);

-- Location: FF_X8_Y8_N3
\led_flash_cnt[3791][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3791][0]~84239_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3791][0]~q\);

-- Location: LCCOMB_X7_Y8_N2
\led_flash_cnt[3791][1]~77266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3791][1]~77266_combout\ = (\led_flash_cnt[3791][0]~q\ & (\led_flash_cnt[3791][1]~q\ $ (VCC))) # (!\led_flash_cnt[3791][0]~q\ & (\led_flash_cnt[3791][1]~q\ & VCC))
-- \led_flash_cnt[3791][1]~77267\ = CARRY((\led_flash_cnt[3791][0]~q\ & \led_flash_cnt[3791][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3791][0]~q\,
	datab => \led_flash_cnt[3791][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3791][1]~77266_combout\,
	cout => \led_flash_cnt[3791][1]~77267\);

-- Location: FF_X7_Y8_N3
\led_flash_cnt[3791][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3791][1]~77266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3791][1]~q\);

-- Location: LCCOMB_X7_Y8_N4
\led_flash_cnt[3791][2]~77268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3791][2]~77268_combout\ = (\led_flash_cnt[3791][2]~q\ & (!\led_flash_cnt[3791][1]~77267\)) # (!\led_flash_cnt[3791][2]~q\ & ((\led_flash_cnt[3791][1]~77267\) # (GND)))
-- \led_flash_cnt[3791][2]~77269\ = CARRY((!\led_flash_cnt[3791][1]~77267\) # (!\led_flash_cnt[3791][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3791][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3791][1]~77267\,
	combout => \led_flash_cnt[3791][2]~77268_combout\,
	cout => \led_flash_cnt[3791][2]~77269\);

-- Location: FF_X7_Y8_N5
\led_flash_cnt[3791][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3791][2]~77268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3791][2]~q\);

-- Location: LCCOMB_X7_Y8_N6
\led_flash_cnt[3791][3]~77270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3791][3]~77270_combout\ = (\led_flash_cnt[3791][3]~q\ & (\led_flash_cnt[3791][2]~77269\ $ (GND))) # (!\led_flash_cnt[3791][3]~q\ & (!\led_flash_cnt[3791][2]~77269\ & VCC))
-- \led_flash_cnt[3791][3]~77271\ = CARRY((\led_flash_cnt[3791][3]~q\ & !\led_flash_cnt[3791][2]~77269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3791][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3791][2]~77269\,
	combout => \led_flash_cnt[3791][3]~77270_combout\,
	cout => \led_flash_cnt[3791][3]~77271\);

-- Location: FF_X7_Y8_N7
\led_flash_cnt[3791][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3791][3]~77270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3791][3]~q\);

-- Location: LCCOMB_X7_Y8_N8
\led_flash_cnt[3791][4]~77272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3791][4]~77272_combout\ = (\led_flash_cnt[3791][4]~q\ & (!\led_flash_cnt[3791][3]~77271\)) # (!\led_flash_cnt[3791][4]~q\ & ((\led_flash_cnt[3791][3]~77271\) # (GND)))
-- \led_flash_cnt[3791][4]~77273\ = CARRY((!\led_flash_cnt[3791][3]~77271\) # (!\led_flash_cnt[3791][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3791][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3791][3]~77271\,
	combout => \led_flash_cnt[3791][4]~77272_combout\,
	cout => \led_flash_cnt[3791][4]~77273\);

-- Location: FF_X7_Y8_N9
\led_flash_cnt[3791][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3791][4]~77272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3791][4]~q\);

-- Location: LCCOMB_X7_Y8_N10
\led_flash_cnt[3791][5]~77274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3791][5]~77274_combout\ = (\led_flash_cnt[3791][5]~q\ & (\led_flash_cnt[3791][4]~77273\ $ (GND))) # (!\led_flash_cnt[3791][5]~q\ & (!\led_flash_cnt[3791][4]~77273\ & VCC))
-- \led_flash_cnt[3791][5]~77275\ = CARRY((\led_flash_cnt[3791][5]~q\ & !\led_flash_cnt[3791][4]~77273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3791][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3791][4]~77273\,
	combout => \led_flash_cnt[3791][5]~77274_combout\,
	cout => \led_flash_cnt[3791][5]~77275\);

-- Location: FF_X7_Y8_N11
\led_flash_cnt[3791][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3791][5]~77274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3791][5]~q\);

-- Location: LCCOMB_X7_Y8_N12
\led_flash_cnt[3791][6]~77276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3791][6]~77276_combout\ = (\led_flash_cnt[3791][6]~q\ & (!\led_flash_cnt[3791][5]~77275\)) # (!\led_flash_cnt[3791][6]~q\ & ((\led_flash_cnt[3791][5]~77275\) # (GND)))
-- \led_flash_cnt[3791][6]~77277\ = CARRY((!\led_flash_cnt[3791][5]~77275\) # (!\led_flash_cnt[3791][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3791][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3791][5]~77275\,
	combout => \led_flash_cnt[3791][6]~77276_combout\,
	cout => \led_flash_cnt[3791][6]~77277\);

-- Location: FF_X7_Y8_N13
\led_flash_cnt[3791][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3791][6]~77276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3791][6]~q\);

-- Location: LCCOMB_X7_Y8_N14
\led_flash_cnt[3791][7]~77278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3791][7]~77278_combout\ = \led_flash_cnt[3791][7]~q\ $ (!\led_flash_cnt[3791][6]~77277\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3791][7]~q\,
	cin => \led_flash_cnt[3791][6]~77277\,
	combout => \led_flash_cnt[3791][7]~77278_combout\);

-- Location: FF_X7_Y8_N15
\led_flash_cnt[3791][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3791][7]~77278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3791][7]~q\);

-- Location: LCCOMB_X7_Y8_N16
\WideAnd3791~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3791~0_combout\ = (\led_flash_cnt[3791][3]~q\ & (\led_flash_cnt[3791][2]~q\ & (\led_flash_cnt[3791][4]~q\ & \led_flash_cnt[3791][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3791][3]~q\,
	datab => \led_flash_cnt[3791][2]~q\,
	datac => \led_flash_cnt[3791][4]~q\,
	datad => \led_flash_cnt[3791][1]~q\,
	combout => \WideAnd3791~0_combout\);

-- Location: LCCOMB_X8_Y8_N6
\WideAnd3791~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3791~1_combout\ = (\led_flash_cnt[3791][6]~q\ & \led_flash_cnt[3791][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3791][6]~q\,
	datad => \led_flash_cnt[3791][5]~q\,
	combout => \WideAnd3791~1_combout\);

-- Location: LCCOMB_X8_Y8_N0
WideAnd3791 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3791~combout\ = (\led_flash_cnt[3791][7]~q\ & (\led_flash_cnt[3791][0]~q\ & (\WideAnd3791~0_combout\ & \WideAnd3791~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3791][7]~q\,
	datab => \led_flash_cnt[3791][0]~q\,
	datac => \WideAnd3791~0_combout\,
	datad => \WideAnd3791~1_combout\,
	combout => \WideAnd3791~combout\);

-- Location: FF_X8_Y8_N1
\led_flash_cnt_ands[3791]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3791~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3791));

-- Location: LCCOMB_X8_Y9_N28
WideAnd4313 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4313~combout\ = (\WideAnd4313~1_combout\ & (\WideAnd4313~0_combout\ & (led_flash_cnt_ands(3790) & led_flash_cnt_ands(3791))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4313~1_combout\,
	datab => \WideAnd4313~0_combout\,
	datac => led_flash_cnt_ands(3790),
	datad => led_flash_cnt_ands(3791),
	combout => \WideAnd4313~combout\);

-- Location: FF_X8_Y9_N29
\led_flash_cnt_ands_1[473]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4313~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(473));

-- Location: LCCOMB_X22_Y9_N2
\led_flash_cnt[3806][0]~84254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3806][0]~84254_combout\ = !\led_flash_cnt[3806][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3806][0]~q\,
	combout => \led_flash_cnt[3806][0]~84254_combout\);

-- Location: FF_X22_Y9_N3
\led_flash_cnt[3806][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3806][0]~84254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3806][0]~q\);

-- Location: LCCOMB_X21_Y9_N2
\led_flash_cnt[3806][1]~77476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3806][1]~77476_combout\ = (\led_flash_cnt[3806][0]~q\ & (\led_flash_cnt[3806][1]~q\ $ (VCC))) # (!\led_flash_cnt[3806][0]~q\ & (\led_flash_cnt[3806][1]~q\ & VCC))
-- \led_flash_cnt[3806][1]~77477\ = CARRY((\led_flash_cnt[3806][0]~q\ & \led_flash_cnt[3806][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3806][0]~q\,
	datab => \led_flash_cnt[3806][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3806][1]~77476_combout\,
	cout => \led_flash_cnt[3806][1]~77477\);

-- Location: FF_X21_Y9_N3
\led_flash_cnt[3806][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3806][1]~77476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3806][1]~q\);

-- Location: LCCOMB_X21_Y9_N4
\led_flash_cnt[3806][2]~77478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3806][2]~77478_combout\ = (\led_flash_cnt[3806][2]~q\ & (!\led_flash_cnt[3806][1]~77477\)) # (!\led_flash_cnt[3806][2]~q\ & ((\led_flash_cnt[3806][1]~77477\) # (GND)))
-- \led_flash_cnt[3806][2]~77479\ = CARRY((!\led_flash_cnt[3806][1]~77477\) # (!\led_flash_cnt[3806][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3806][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3806][1]~77477\,
	combout => \led_flash_cnt[3806][2]~77478_combout\,
	cout => \led_flash_cnt[3806][2]~77479\);

-- Location: FF_X21_Y9_N5
\led_flash_cnt[3806][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3806][2]~77478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3806][2]~q\);

-- Location: LCCOMB_X21_Y9_N6
\led_flash_cnt[3806][3]~77480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3806][3]~77480_combout\ = (\led_flash_cnt[3806][3]~q\ & (\led_flash_cnt[3806][2]~77479\ $ (GND))) # (!\led_flash_cnt[3806][3]~q\ & (!\led_flash_cnt[3806][2]~77479\ & VCC))
-- \led_flash_cnt[3806][3]~77481\ = CARRY((\led_flash_cnt[3806][3]~q\ & !\led_flash_cnt[3806][2]~77479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3806][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3806][2]~77479\,
	combout => \led_flash_cnt[3806][3]~77480_combout\,
	cout => \led_flash_cnt[3806][3]~77481\);

-- Location: FF_X21_Y9_N7
\led_flash_cnt[3806][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3806][3]~77480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3806][3]~q\);

-- Location: LCCOMB_X21_Y9_N8
\led_flash_cnt[3806][4]~77482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3806][4]~77482_combout\ = (\led_flash_cnt[3806][4]~q\ & (!\led_flash_cnt[3806][3]~77481\)) # (!\led_flash_cnt[3806][4]~q\ & ((\led_flash_cnt[3806][3]~77481\) # (GND)))
-- \led_flash_cnt[3806][4]~77483\ = CARRY((!\led_flash_cnt[3806][3]~77481\) # (!\led_flash_cnt[3806][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3806][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3806][3]~77481\,
	combout => \led_flash_cnt[3806][4]~77482_combout\,
	cout => \led_flash_cnt[3806][4]~77483\);

-- Location: FF_X21_Y9_N9
\led_flash_cnt[3806][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3806][4]~77482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3806][4]~q\);

-- Location: LCCOMB_X21_Y9_N10
\led_flash_cnt[3806][5]~77484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3806][5]~77484_combout\ = (\led_flash_cnt[3806][5]~q\ & (\led_flash_cnt[3806][4]~77483\ $ (GND))) # (!\led_flash_cnt[3806][5]~q\ & (!\led_flash_cnt[3806][4]~77483\ & VCC))
-- \led_flash_cnt[3806][5]~77485\ = CARRY((\led_flash_cnt[3806][5]~q\ & !\led_flash_cnt[3806][4]~77483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3806][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3806][4]~77483\,
	combout => \led_flash_cnt[3806][5]~77484_combout\,
	cout => \led_flash_cnt[3806][5]~77485\);

-- Location: FF_X21_Y9_N11
\led_flash_cnt[3806][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3806][5]~77484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3806][5]~q\);

-- Location: LCCOMB_X21_Y9_N12
\led_flash_cnt[3806][6]~77486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3806][6]~77486_combout\ = (\led_flash_cnt[3806][6]~q\ & (!\led_flash_cnt[3806][5]~77485\)) # (!\led_flash_cnt[3806][6]~q\ & ((\led_flash_cnt[3806][5]~77485\) # (GND)))
-- \led_flash_cnt[3806][6]~77487\ = CARRY((!\led_flash_cnt[3806][5]~77485\) # (!\led_flash_cnt[3806][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3806][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3806][5]~77485\,
	combout => \led_flash_cnt[3806][6]~77486_combout\,
	cout => \led_flash_cnt[3806][6]~77487\);

-- Location: FF_X21_Y9_N13
\led_flash_cnt[3806][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3806][6]~77486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3806][6]~q\);

-- Location: LCCOMB_X21_Y9_N14
\led_flash_cnt[3806][7]~77488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3806][7]~77488_combout\ = \led_flash_cnt[3806][7]~q\ $ (!\led_flash_cnt[3806][6]~77487\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3806][7]~q\,
	cin => \led_flash_cnt[3806][6]~77487\,
	combout => \led_flash_cnt[3806][7]~77488_combout\);

-- Location: FF_X21_Y9_N15
\led_flash_cnt[3806][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3806][7]~77488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3806][7]~q\);

-- Location: LCCOMB_X22_Y9_N14
\WideAnd3806~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3806~1_combout\ = (\led_flash_cnt[3806][6]~q\ & \led_flash_cnt[3806][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3806][6]~q\,
	datad => \led_flash_cnt[3806][5]~q\,
	combout => \WideAnd3806~1_combout\);

-- Location: LCCOMB_X21_Y9_N16
\WideAnd3806~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3806~0_combout\ = (\led_flash_cnt[3806][3]~q\ & (\led_flash_cnt[3806][4]~q\ & (\led_flash_cnt[3806][2]~q\ & \led_flash_cnt[3806][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3806][3]~q\,
	datab => \led_flash_cnt[3806][4]~q\,
	datac => \led_flash_cnt[3806][2]~q\,
	datad => \led_flash_cnt[3806][1]~q\,
	combout => \WideAnd3806~0_combout\);

-- Location: LCCOMB_X22_Y9_N8
WideAnd3806 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3806~combout\ = (\led_flash_cnt[3806][7]~q\ & (\WideAnd3806~1_combout\ & (\WideAnd3806~0_combout\ & \led_flash_cnt[3806][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3806][7]~q\,
	datab => \WideAnd3806~1_combout\,
	datac => \WideAnd3806~0_combout\,
	datad => \led_flash_cnt[3806][0]~q\,
	combout => \WideAnd3806~combout\);

-- Location: FF_X22_Y9_N9
\led_flash_cnt_ands[3806]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3806~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3806));

-- Location: LCCOMB_X26_Y9_N4
\led_flash_cnt[3807][0]~84255\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3807][0]~84255_combout\ = !\led_flash_cnt[3807][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3807][0]~q\,
	combout => \led_flash_cnt[3807][0]~84255_combout\);

-- Location: FF_X26_Y9_N5
\led_flash_cnt[3807][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3807][0]~84255_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3807][0]~q\);

-- Location: LCCOMB_X23_Y9_N4
\led_flash_cnt[3807][1]~77490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3807][1]~77490_combout\ = (\led_flash_cnt[3807][0]~q\ & (\led_flash_cnt[3807][1]~q\ $ (VCC))) # (!\led_flash_cnt[3807][0]~q\ & (\led_flash_cnt[3807][1]~q\ & VCC))
-- \led_flash_cnt[3807][1]~77491\ = CARRY((\led_flash_cnt[3807][0]~q\ & \led_flash_cnt[3807][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3807][0]~q\,
	datab => \led_flash_cnt[3807][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3807][1]~77490_combout\,
	cout => \led_flash_cnt[3807][1]~77491\);

-- Location: FF_X23_Y9_N5
\led_flash_cnt[3807][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3807][1]~77490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3807][1]~q\);

-- Location: LCCOMB_X23_Y9_N6
\led_flash_cnt[3807][2]~77492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3807][2]~77492_combout\ = (\led_flash_cnt[3807][2]~q\ & (!\led_flash_cnt[3807][1]~77491\)) # (!\led_flash_cnt[3807][2]~q\ & ((\led_flash_cnt[3807][1]~77491\) # (GND)))
-- \led_flash_cnt[3807][2]~77493\ = CARRY((!\led_flash_cnt[3807][1]~77491\) # (!\led_flash_cnt[3807][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3807][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3807][1]~77491\,
	combout => \led_flash_cnt[3807][2]~77492_combout\,
	cout => \led_flash_cnt[3807][2]~77493\);

-- Location: FF_X23_Y9_N7
\led_flash_cnt[3807][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3807][2]~77492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3807][2]~q\);

-- Location: LCCOMB_X23_Y9_N8
\led_flash_cnt[3807][3]~77494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3807][3]~77494_combout\ = (\led_flash_cnt[3807][3]~q\ & (\led_flash_cnt[3807][2]~77493\ $ (GND))) # (!\led_flash_cnt[3807][3]~q\ & (!\led_flash_cnt[3807][2]~77493\ & VCC))
-- \led_flash_cnt[3807][3]~77495\ = CARRY((\led_flash_cnt[3807][3]~q\ & !\led_flash_cnt[3807][2]~77493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3807][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3807][2]~77493\,
	combout => \led_flash_cnt[3807][3]~77494_combout\,
	cout => \led_flash_cnt[3807][3]~77495\);

-- Location: FF_X23_Y9_N9
\led_flash_cnt[3807][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3807][3]~77494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3807][3]~q\);

-- Location: LCCOMB_X23_Y9_N10
\led_flash_cnt[3807][4]~77496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3807][4]~77496_combout\ = (\led_flash_cnt[3807][4]~q\ & (!\led_flash_cnt[3807][3]~77495\)) # (!\led_flash_cnt[3807][4]~q\ & ((\led_flash_cnt[3807][3]~77495\) # (GND)))
-- \led_flash_cnt[3807][4]~77497\ = CARRY((!\led_flash_cnt[3807][3]~77495\) # (!\led_flash_cnt[3807][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3807][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3807][3]~77495\,
	combout => \led_flash_cnt[3807][4]~77496_combout\,
	cout => \led_flash_cnt[3807][4]~77497\);

-- Location: FF_X23_Y9_N11
\led_flash_cnt[3807][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3807][4]~77496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3807][4]~q\);

-- Location: LCCOMB_X23_Y9_N2
\WideAnd3807~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3807~0_combout\ = (\led_flash_cnt[3807][2]~q\ & (\led_flash_cnt[3807][1]~q\ & (\led_flash_cnt[3807][3]~q\ & \led_flash_cnt[3807][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3807][2]~q\,
	datab => \led_flash_cnt[3807][1]~q\,
	datac => \led_flash_cnt[3807][3]~q\,
	datad => \led_flash_cnt[3807][4]~q\,
	combout => \WideAnd3807~0_combout\);

-- Location: LCCOMB_X23_Y9_N12
\led_flash_cnt[3807][5]~77498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3807][5]~77498_combout\ = (\led_flash_cnt[3807][5]~q\ & (\led_flash_cnt[3807][4]~77497\ $ (GND))) # (!\led_flash_cnt[3807][5]~q\ & (!\led_flash_cnt[3807][4]~77497\ & VCC))
-- \led_flash_cnt[3807][5]~77499\ = CARRY((\led_flash_cnt[3807][5]~q\ & !\led_flash_cnt[3807][4]~77497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3807][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3807][4]~77497\,
	combout => \led_flash_cnt[3807][5]~77498_combout\,
	cout => \led_flash_cnt[3807][5]~77499\);

-- Location: FF_X23_Y9_N13
\led_flash_cnt[3807][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3807][5]~77498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3807][5]~q\);

-- Location: LCCOMB_X23_Y9_N14
\led_flash_cnt[3807][6]~77500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3807][6]~77500_combout\ = (\led_flash_cnt[3807][6]~q\ & (!\led_flash_cnt[3807][5]~77499\)) # (!\led_flash_cnt[3807][6]~q\ & ((\led_flash_cnt[3807][5]~77499\) # (GND)))
-- \led_flash_cnt[3807][6]~77501\ = CARRY((!\led_flash_cnt[3807][5]~77499\) # (!\led_flash_cnt[3807][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3807][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3807][5]~77499\,
	combout => \led_flash_cnt[3807][6]~77500_combout\,
	cout => \led_flash_cnt[3807][6]~77501\);

-- Location: FF_X23_Y9_N15
\led_flash_cnt[3807][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3807][6]~77500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3807][6]~q\);

-- Location: LCCOMB_X24_Y9_N30
\WideAnd3807~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3807~1_combout\ = (\led_flash_cnt[3807][6]~q\ & \led_flash_cnt[3807][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3807][6]~q\,
	datad => \led_flash_cnt[3807][5]~q\,
	combout => \WideAnd3807~1_combout\);

-- Location: LCCOMB_X23_Y9_N16
\led_flash_cnt[3807][7]~77502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3807][7]~77502_combout\ = \led_flash_cnt[3807][6]~77501\ $ (!\led_flash_cnt[3807][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3807][7]~q\,
	cin => \led_flash_cnt[3807][6]~77501\,
	combout => \led_flash_cnt[3807][7]~77502_combout\);

-- Location: FF_X23_Y9_N17
\led_flash_cnt[3807][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3807][7]~77502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3807][7]~q\);

-- Location: LCCOMB_X23_Y9_N0
WideAnd3807 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3807~combout\ = (\led_flash_cnt[3807][0]~q\ & (\WideAnd3807~0_combout\ & (\WideAnd3807~1_combout\ & \led_flash_cnt[3807][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3807][0]~q\,
	datab => \WideAnd3807~0_combout\,
	datac => \WideAnd3807~1_combout\,
	datad => \led_flash_cnt[3807][7]~q\,
	combout => \WideAnd3807~combout\);

-- Location: FF_X23_Y9_N1
\led_flash_cnt_ands[3807]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3807~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3807));

-- Location: LCCOMB_X34_Y13_N28
\led_flash_cnt[3804][0]~84252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3804][0]~84252_combout\ = !\led_flash_cnt[3804][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3804][0]~q\,
	combout => \led_flash_cnt[3804][0]~84252_combout\);

-- Location: FF_X34_Y13_N29
\led_flash_cnt[3804][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3804][0]~84252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3804][0]~q\);

-- Location: LCCOMB_X34_Y16_N2
\led_flash_cnt[3804][1]~77448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3804][1]~77448_combout\ = (\led_flash_cnt[3804][0]~q\ & (\led_flash_cnt[3804][1]~q\ $ (VCC))) # (!\led_flash_cnt[3804][0]~q\ & (\led_flash_cnt[3804][1]~q\ & VCC))
-- \led_flash_cnt[3804][1]~77449\ = CARRY((\led_flash_cnt[3804][0]~q\ & \led_flash_cnt[3804][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3804][0]~q\,
	datab => \led_flash_cnt[3804][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3804][1]~77448_combout\,
	cout => \led_flash_cnt[3804][1]~77449\);

-- Location: FF_X34_Y16_N3
\led_flash_cnt[3804][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3804][1]~77448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3804][1]~q\);

-- Location: LCCOMB_X34_Y16_N4
\led_flash_cnt[3804][2]~77450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3804][2]~77450_combout\ = (\led_flash_cnt[3804][2]~q\ & (!\led_flash_cnt[3804][1]~77449\)) # (!\led_flash_cnt[3804][2]~q\ & ((\led_flash_cnt[3804][1]~77449\) # (GND)))
-- \led_flash_cnt[3804][2]~77451\ = CARRY((!\led_flash_cnt[3804][1]~77449\) # (!\led_flash_cnt[3804][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3804][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3804][1]~77449\,
	combout => \led_flash_cnt[3804][2]~77450_combout\,
	cout => \led_flash_cnt[3804][2]~77451\);

-- Location: FF_X34_Y16_N5
\led_flash_cnt[3804][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3804][2]~77450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3804][2]~q\);

-- Location: LCCOMB_X34_Y16_N6
\led_flash_cnt[3804][3]~77452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3804][3]~77452_combout\ = (\led_flash_cnt[3804][3]~q\ & (\led_flash_cnt[3804][2]~77451\ $ (GND))) # (!\led_flash_cnt[3804][3]~q\ & (!\led_flash_cnt[3804][2]~77451\ & VCC))
-- \led_flash_cnt[3804][3]~77453\ = CARRY((\led_flash_cnt[3804][3]~q\ & !\led_flash_cnt[3804][2]~77451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3804][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3804][2]~77451\,
	combout => \led_flash_cnt[3804][3]~77452_combout\,
	cout => \led_flash_cnt[3804][3]~77453\);

-- Location: FF_X34_Y16_N7
\led_flash_cnt[3804][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3804][3]~77452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3804][3]~q\);

-- Location: LCCOMB_X34_Y16_N8
\led_flash_cnt[3804][4]~77454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3804][4]~77454_combout\ = (\led_flash_cnt[3804][4]~q\ & (!\led_flash_cnt[3804][3]~77453\)) # (!\led_flash_cnt[3804][4]~q\ & ((\led_flash_cnt[3804][3]~77453\) # (GND)))
-- \led_flash_cnt[3804][4]~77455\ = CARRY((!\led_flash_cnt[3804][3]~77453\) # (!\led_flash_cnt[3804][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3804][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3804][3]~77453\,
	combout => \led_flash_cnt[3804][4]~77454_combout\,
	cout => \led_flash_cnt[3804][4]~77455\);

-- Location: FF_X34_Y16_N9
\led_flash_cnt[3804][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3804][4]~77454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3804][4]~q\);

-- Location: LCCOMB_X34_Y16_N10
\led_flash_cnt[3804][5]~77456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3804][5]~77456_combout\ = (\led_flash_cnt[3804][5]~q\ & (\led_flash_cnt[3804][4]~77455\ $ (GND))) # (!\led_flash_cnt[3804][5]~q\ & (!\led_flash_cnt[3804][4]~77455\ & VCC))
-- \led_flash_cnt[3804][5]~77457\ = CARRY((\led_flash_cnt[3804][5]~q\ & !\led_flash_cnt[3804][4]~77455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3804][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3804][4]~77455\,
	combout => \led_flash_cnt[3804][5]~77456_combout\,
	cout => \led_flash_cnt[3804][5]~77457\);

-- Location: FF_X34_Y16_N11
\led_flash_cnt[3804][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3804][5]~77456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3804][5]~q\);

-- Location: LCCOMB_X34_Y16_N12
\led_flash_cnt[3804][6]~77458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3804][6]~77458_combout\ = (\led_flash_cnt[3804][6]~q\ & (!\led_flash_cnt[3804][5]~77457\)) # (!\led_flash_cnt[3804][6]~q\ & ((\led_flash_cnt[3804][5]~77457\) # (GND)))
-- \led_flash_cnt[3804][6]~77459\ = CARRY((!\led_flash_cnt[3804][5]~77457\) # (!\led_flash_cnt[3804][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3804][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3804][5]~77457\,
	combout => \led_flash_cnt[3804][6]~77458_combout\,
	cout => \led_flash_cnt[3804][6]~77459\);

-- Location: FF_X34_Y16_N13
\led_flash_cnt[3804][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3804][6]~77458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3804][6]~q\);

-- Location: LCCOMB_X34_Y16_N14
\led_flash_cnt[3804][7]~77460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3804][7]~77460_combout\ = \led_flash_cnt[3804][7]~q\ $ (!\led_flash_cnt[3804][6]~77459\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3804][7]~q\,
	cin => \led_flash_cnt[3804][6]~77459\,
	combout => \led_flash_cnt[3804][7]~77460_combout\);

-- Location: FF_X34_Y16_N15
\led_flash_cnt[3804][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3804][7]~77460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3804][7]~q\);

-- Location: LCCOMB_X34_Y16_N30
\WideAnd3804~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3804~0_combout\ = (\led_flash_cnt[3804][3]~q\ & (\led_flash_cnt[3804][4]~q\ & (\led_flash_cnt[3804][2]~q\ & \led_flash_cnt[3804][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3804][3]~q\,
	datab => \led_flash_cnt[3804][4]~q\,
	datac => \led_flash_cnt[3804][2]~q\,
	datad => \led_flash_cnt[3804][1]~q\,
	combout => \WideAnd3804~0_combout\);

-- Location: LCCOMB_X35_Y16_N24
\WideAnd3804~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3804~1_combout\ = (\led_flash_cnt[3804][6]~q\ & \led_flash_cnt[3804][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3804][6]~q\,
	datad => \led_flash_cnt[3804][5]~q\,
	combout => \WideAnd3804~1_combout\);

-- Location: LCCOMB_X34_Y13_N26
WideAnd3804 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3804~combout\ = (\led_flash_cnt[3804][7]~q\ & (\led_flash_cnt[3804][0]~q\ & (\WideAnd3804~0_combout\ & \WideAnd3804~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3804][7]~q\,
	datab => \led_flash_cnt[3804][0]~q\,
	datac => \WideAnd3804~0_combout\,
	datad => \WideAnd3804~1_combout\,
	combout => \WideAnd3804~combout\);

-- Location: FF_X34_Y13_N27
\led_flash_cnt_ands[3804]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3804~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3804));

-- Location: LCCOMB_X34_Y12_N16
\led_flash_cnt[3805][0]~84253\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3805][0]~84253_combout\ = !\led_flash_cnt[3805][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3805][0]~q\,
	combout => \led_flash_cnt[3805][0]~84253_combout\);

-- Location: FF_X34_Y12_N17
\led_flash_cnt[3805][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3805][0]~84253_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3805][0]~q\);

-- Location: LCCOMB_X34_Y13_N8
\led_flash_cnt[3805][1]~77462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3805][1]~77462_combout\ = (\led_flash_cnt[3805][0]~q\ & (\led_flash_cnt[3805][1]~q\ $ (VCC))) # (!\led_flash_cnt[3805][0]~q\ & (\led_flash_cnt[3805][1]~q\ & VCC))
-- \led_flash_cnt[3805][1]~77463\ = CARRY((\led_flash_cnt[3805][0]~q\ & \led_flash_cnt[3805][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3805][0]~q\,
	datab => \led_flash_cnt[3805][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3805][1]~77462_combout\,
	cout => \led_flash_cnt[3805][1]~77463\);

-- Location: FF_X34_Y13_N9
\led_flash_cnt[3805][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3805][1]~77462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3805][1]~q\);

-- Location: LCCOMB_X34_Y13_N10
\led_flash_cnt[3805][2]~77464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3805][2]~77464_combout\ = (\led_flash_cnt[3805][2]~q\ & (!\led_flash_cnt[3805][1]~77463\)) # (!\led_flash_cnt[3805][2]~q\ & ((\led_flash_cnt[3805][1]~77463\) # (GND)))
-- \led_flash_cnt[3805][2]~77465\ = CARRY((!\led_flash_cnt[3805][1]~77463\) # (!\led_flash_cnt[3805][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3805][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3805][1]~77463\,
	combout => \led_flash_cnt[3805][2]~77464_combout\,
	cout => \led_flash_cnt[3805][2]~77465\);

-- Location: FF_X34_Y13_N11
\led_flash_cnt[3805][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3805][2]~77464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3805][2]~q\);

-- Location: LCCOMB_X34_Y13_N12
\led_flash_cnt[3805][3]~77466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3805][3]~77466_combout\ = (\led_flash_cnt[3805][3]~q\ & (\led_flash_cnt[3805][2]~77465\ $ (GND))) # (!\led_flash_cnt[3805][3]~q\ & (!\led_flash_cnt[3805][2]~77465\ & VCC))
-- \led_flash_cnt[3805][3]~77467\ = CARRY((\led_flash_cnt[3805][3]~q\ & !\led_flash_cnt[3805][2]~77465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3805][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3805][2]~77465\,
	combout => \led_flash_cnt[3805][3]~77466_combout\,
	cout => \led_flash_cnt[3805][3]~77467\);

-- Location: FF_X34_Y13_N13
\led_flash_cnt[3805][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3805][3]~77466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3805][3]~q\);

-- Location: LCCOMB_X34_Y13_N14
\led_flash_cnt[3805][4]~77468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3805][4]~77468_combout\ = (\led_flash_cnt[3805][4]~q\ & (!\led_flash_cnt[3805][3]~77467\)) # (!\led_flash_cnt[3805][4]~q\ & ((\led_flash_cnt[3805][3]~77467\) # (GND)))
-- \led_flash_cnt[3805][4]~77469\ = CARRY((!\led_flash_cnt[3805][3]~77467\) # (!\led_flash_cnt[3805][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3805][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3805][3]~77467\,
	combout => \led_flash_cnt[3805][4]~77468_combout\,
	cout => \led_flash_cnt[3805][4]~77469\);

-- Location: FF_X34_Y13_N15
\led_flash_cnt[3805][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3805][4]~77468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3805][4]~q\);

-- Location: LCCOMB_X34_Y13_N16
\led_flash_cnt[3805][5]~77470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3805][5]~77470_combout\ = (\led_flash_cnt[3805][5]~q\ & (\led_flash_cnt[3805][4]~77469\ $ (GND))) # (!\led_flash_cnt[3805][5]~q\ & (!\led_flash_cnt[3805][4]~77469\ & VCC))
-- \led_flash_cnt[3805][5]~77471\ = CARRY((\led_flash_cnt[3805][5]~q\ & !\led_flash_cnt[3805][4]~77469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3805][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3805][4]~77469\,
	combout => \led_flash_cnt[3805][5]~77470_combout\,
	cout => \led_flash_cnt[3805][5]~77471\);

-- Location: FF_X34_Y13_N17
\led_flash_cnt[3805][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3805][5]~77470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3805][5]~q\);

-- Location: LCCOMB_X34_Y13_N18
\led_flash_cnt[3805][6]~77472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3805][6]~77472_combout\ = (\led_flash_cnt[3805][6]~q\ & (!\led_flash_cnt[3805][5]~77471\)) # (!\led_flash_cnt[3805][6]~q\ & ((\led_flash_cnt[3805][5]~77471\) # (GND)))
-- \led_flash_cnt[3805][6]~77473\ = CARRY((!\led_flash_cnt[3805][5]~77471\) # (!\led_flash_cnt[3805][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3805][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3805][5]~77471\,
	combout => \led_flash_cnt[3805][6]~77472_combout\,
	cout => \led_flash_cnt[3805][6]~77473\);

-- Location: FF_X34_Y13_N19
\led_flash_cnt[3805][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3805][6]~77472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3805][6]~q\);

-- Location: LCCOMB_X34_Y13_N20
\led_flash_cnt[3805][7]~77474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3805][7]~77474_combout\ = \led_flash_cnt[3805][6]~77473\ $ (!\led_flash_cnt[3805][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3805][7]~q\,
	cin => \led_flash_cnt[3805][6]~77473\,
	combout => \led_flash_cnt[3805][7]~77474_combout\);

-- Location: FF_X34_Y13_N21
\led_flash_cnt[3805][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3805][7]~77474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3805][7]~q\);

-- Location: LCCOMB_X34_Y13_N4
\WideAnd3805~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3805~1_combout\ = (\led_flash_cnt[3805][5]~q\ & \led_flash_cnt[3805][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3805][5]~q\,
	datac => \led_flash_cnt[3805][6]~q\,
	combout => \WideAnd3805~1_combout\);

-- Location: LCCOMB_X34_Y13_N24
\WideAnd3805~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3805~0_combout\ = (\led_flash_cnt[3805][2]~q\ & (\led_flash_cnt[3805][1]~q\ & (\led_flash_cnt[3805][4]~q\ & \led_flash_cnt[3805][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3805][2]~q\,
	datab => \led_flash_cnt[3805][1]~q\,
	datac => \led_flash_cnt[3805][4]~q\,
	datad => \led_flash_cnt[3805][3]~q\,
	combout => \WideAnd3805~0_combout\);

-- Location: LCCOMB_X34_Y13_N0
WideAnd3805 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3805~combout\ = (\led_flash_cnt[3805][0]~q\ & (\led_flash_cnt[3805][7]~q\ & (\WideAnd3805~1_combout\ & \WideAnd3805~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3805][0]~q\,
	datab => \led_flash_cnt[3805][7]~q\,
	datac => \WideAnd3805~1_combout\,
	datad => \WideAnd3805~0_combout\,
	combout => \WideAnd3805~combout\);

-- Location: FF_X34_Y13_N1
\led_flash_cnt_ands[3805]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3805~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3805));

-- Location: LCCOMB_X34_Y13_N2
\WideAnd4315~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4315~1_combout\ = (led_flash_cnt_ands(3804) & led_flash_cnt_ands(3805))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3804),
	datad => led_flash_cnt_ands(3805),
	combout => \WideAnd4315~1_combout\);

-- Location: LCCOMB_X22_Y9_N12
\led_flash_cnt[3802][0]~84250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3802][0]~84250_combout\ = !\led_flash_cnt[3802][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3802][0]~q\,
	combout => \led_flash_cnt[3802][0]~84250_combout\);

-- Location: FF_X22_Y9_N13
\led_flash_cnt[3802][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3802][0]~84250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3802][0]~q\);

-- Location: LCCOMB_X22_Y9_N16
\led_flash_cnt[3802][1]~77420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3802][1]~77420_combout\ = (\led_flash_cnt[3802][0]~q\ & (\led_flash_cnt[3802][1]~q\ $ (VCC))) # (!\led_flash_cnt[3802][0]~q\ & (\led_flash_cnt[3802][1]~q\ & VCC))
-- \led_flash_cnt[3802][1]~77421\ = CARRY((\led_flash_cnt[3802][0]~q\ & \led_flash_cnt[3802][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3802][0]~q\,
	datab => \led_flash_cnt[3802][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3802][1]~77420_combout\,
	cout => \led_flash_cnt[3802][1]~77421\);

-- Location: FF_X22_Y9_N17
\led_flash_cnt[3802][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3802][1]~77420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3802][1]~q\);

-- Location: LCCOMB_X22_Y9_N18
\led_flash_cnt[3802][2]~77422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3802][2]~77422_combout\ = (\led_flash_cnt[3802][2]~q\ & (!\led_flash_cnt[3802][1]~77421\)) # (!\led_flash_cnt[3802][2]~q\ & ((\led_flash_cnt[3802][1]~77421\) # (GND)))
-- \led_flash_cnt[3802][2]~77423\ = CARRY((!\led_flash_cnt[3802][1]~77421\) # (!\led_flash_cnt[3802][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3802][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3802][1]~77421\,
	combout => \led_flash_cnt[3802][2]~77422_combout\,
	cout => \led_flash_cnt[3802][2]~77423\);

-- Location: FF_X22_Y9_N19
\led_flash_cnt[3802][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3802][2]~77422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3802][2]~q\);

-- Location: LCCOMB_X22_Y9_N20
\led_flash_cnt[3802][3]~77424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3802][3]~77424_combout\ = (\led_flash_cnt[3802][3]~q\ & (\led_flash_cnt[3802][2]~77423\ $ (GND))) # (!\led_flash_cnt[3802][3]~q\ & (!\led_flash_cnt[3802][2]~77423\ & VCC))
-- \led_flash_cnt[3802][3]~77425\ = CARRY((\led_flash_cnt[3802][3]~q\ & !\led_flash_cnt[3802][2]~77423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3802][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3802][2]~77423\,
	combout => \led_flash_cnt[3802][3]~77424_combout\,
	cout => \led_flash_cnt[3802][3]~77425\);

-- Location: FF_X22_Y9_N21
\led_flash_cnt[3802][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3802][3]~77424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3802][3]~q\);

-- Location: LCCOMB_X22_Y9_N22
\led_flash_cnt[3802][4]~77426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3802][4]~77426_combout\ = (\led_flash_cnt[3802][4]~q\ & (!\led_flash_cnt[3802][3]~77425\)) # (!\led_flash_cnt[3802][4]~q\ & ((\led_flash_cnt[3802][3]~77425\) # (GND)))
-- \led_flash_cnt[3802][4]~77427\ = CARRY((!\led_flash_cnt[3802][3]~77425\) # (!\led_flash_cnt[3802][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3802][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3802][3]~77425\,
	combout => \led_flash_cnt[3802][4]~77426_combout\,
	cout => \led_flash_cnt[3802][4]~77427\);

-- Location: FF_X22_Y9_N23
\led_flash_cnt[3802][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3802][4]~77426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3802][4]~q\);

-- Location: LCCOMB_X22_Y9_N10
\WideAnd3802~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3802~0_combout\ = (\led_flash_cnt[3802][3]~q\ & (\led_flash_cnt[3802][1]~q\ & (\led_flash_cnt[3802][4]~q\ & \led_flash_cnt[3802][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3802][3]~q\,
	datab => \led_flash_cnt[3802][1]~q\,
	datac => \led_flash_cnt[3802][4]~q\,
	datad => \led_flash_cnt[3802][2]~q\,
	combout => \WideAnd3802~0_combout\);

-- Location: LCCOMB_X22_Y9_N24
\led_flash_cnt[3802][5]~77428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3802][5]~77428_combout\ = (\led_flash_cnt[3802][5]~q\ & (\led_flash_cnt[3802][4]~77427\ $ (GND))) # (!\led_flash_cnt[3802][5]~q\ & (!\led_flash_cnt[3802][4]~77427\ & VCC))
-- \led_flash_cnt[3802][5]~77429\ = CARRY((\led_flash_cnt[3802][5]~q\ & !\led_flash_cnt[3802][4]~77427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3802][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3802][4]~77427\,
	combout => \led_flash_cnt[3802][5]~77428_combout\,
	cout => \led_flash_cnt[3802][5]~77429\);

-- Location: FF_X22_Y9_N25
\led_flash_cnt[3802][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3802][5]~77428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3802][5]~q\);

-- Location: LCCOMB_X22_Y9_N26
\led_flash_cnt[3802][6]~77430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3802][6]~77430_combout\ = (\led_flash_cnt[3802][6]~q\ & (!\led_flash_cnt[3802][5]~77429\)) # (!\led_flash_cnt[3802][6]~q\ & ((\led_flash_cnt[3802][5]~77429\) # (GND)))
-- \led_flash_cnt[3802][6]~77431\ = CARRY((!\led_flash_cnt[3802][5]~77429\) # (!\led_flash_cnt[3802][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3802][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3802][5]~77429\,
	combout => \led_flash_cnt[3802][6]~77430_combout\,
	cout => \led_flash_cnt[3802][6]~77431\);

-- Location: FF_X22_Y9_N27
\led_flash_cnt[3802][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3802][6]~77430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3802][6]~q\);

-- Location: LCCOMB_X22_Y9_N28
\led_flash_cnt[3802][7]~77432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3802][7]~77432_combout\ = \led_flash_cnt[3802][6]~77431\ $ (!\led_flash_cnt[3802][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3802][7]~q\,
	cin => \led_flash_cnt[3802][6]~77431\,
	combout => \led_flash_cnt[3802][7]~77432_combout\);

-- Location: FF_X22_Y9_N29
\led_flash_cnt[3802][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3802][7]~77432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3802][7]~q\);

-- Location: LCCOMB_X22_Y9_N4
\WideAnd3802~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3802~1_combout\ = (\led_flash_cnt[3802][6]~q\ & \led_flash_cnt[3802][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3802][6]~q\,
	datad => \led_flash_cnt[3802][5]~q\,
	combout => \WideAnd3802~1_combout\);

-- Location: LCCOMB_X22_Y9_N0
WideAnd3802 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3802~combout\ = (\WideAnd3802~0_combout\ & (\led_flash_cnt[3802][7]~q\ & (\WideAnd3802~1_combout\ & \led_flash_cnt[3802][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3802~0_combout\,
	datab => \led_flash_cnt[3802][7]~q\,
	datac => \WideAnd3802~1_combout\,
	datad => \led_flash_cnt[3802][0]~q\,
	combout => \WideAnd3802~combout\);

-- Location: FF_X22_Y9_N1
\led_flash_cnt_ands[3802]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3802~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3802));

-- Location: LCCOMB_X12_Y12_N26
\led_flash_cnt[3801][0]~84249\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3801][0]~84249_combout\ = !\led_flash_cnt[3801][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3801][0]~q\,
	combout => \led_flash_cnt[3801][0]~84249_combout\);

-- Location: FF_X12_Y12_N27
\led_flash_cnt[3801][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3801][0]~84249_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3801][0]~q\);

-- Location: LCCOMB_X12_Y12_N2
\led_flash_cnt[3801][1]~77406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3801][1]~77406_combout\ = (\led_flash_cnt[3801][0]~q\ & (\led_flash_cnt[3801][1]~q\ $ (VCC))) # (!\led_flash_cnt[3801][0]~q\ & (\led_flash_cnt[3801][1]~q\ & VCC))
-- \led_flash_cnt[3801][1]~77407\ = CARRY((\led_flash_cnt[3801][0]~q\ & \led_flash_cnt[3801][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3801][0]~q\,
	datab => \led_flash_cnt[3801][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3801][1]~77406_combout\,
	cout => \led_flash_cnt[3801][1]~77407\);

-- Location: FF_X12_Y12_N3
\led_flash_cnt[3801][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3801][1]~77406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3801][1]~q\);

-- Location: LCCOMB_X12_Y12_N4
\led_flash_cnt[3801][2]~77408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3801][2]~77408_combout\ = (\led_flash_cnt[3801][2]~q\ & (!\led_flash_cnt[3801][1]~77407\)) # (!\led_flash_cnt[3801][2]~q\ & ((\led_flash_cnt[3801][1]~77407\) # (GND)))
-- \led_flash_cnt[3801][2]~77409\ = CARRY((!\led_flash_cnt[3801][1]~77407\) # (!\led_flash_cnt[3801][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3801][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3801][1]~77407\,
	combout => \led_flash_cnt[3801][2]~77408_combout\,
	cout => \led_flash_cnt[3801][2]~77409\);

-- Location: FF_X12_Y12_N5
\led_flash_cnt[3801][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3801][2]~77408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3801][2]~q\);

-- Location: LCCOMB_X12_Y12_N6
\led_flash_cnt[3801][3]~77410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3801][3]~77410_combout\ = (\led_flash_cnt[3801][3]~q\ & (\led_flash_cnt[3801][2]~77409\ $ (GND))) # (!\led_flash_cnt[3801][3]~q\ & (!\led_flash_cnt[3801][2]~77409\ & VCC))
-- \led_flash_cnt[3801][3]~77411\ = CARRY((\led_flash_cnt[3801][3]~q\ & !\led_flash_cnt[3801][2]~77409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3801][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3801][2]~77409\,
	combout => \led_flash_cnt[3801][3]~77410_combout\,
	cout => \led_flash_cnt[3801][3]~77411\);

-- Location: FF_X12_Y12_N7
\led_flash_cnt[3801][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3801][3]~77410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3801][3]~q\);

-- Location: LCCOMB_X12_Y12_N8
\led_flash_cnt[3801][4]~77412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3801][4]~77412_combout\ = (\led_flash_cnt[3801][4]~q\ & (!\led_flash_cnt[3801][3]~77411\)) # (!\led_flash_cnt[3801][4]~q\ & ((\led_flash_cnt[3801][3]~77411\) # (GND)))
-- \led_flash_cnt[3801][4]~77413\ = CARRY((!\led_flash_cnt[3801][3]~77411\) # (!\led_flash_cnt[3801][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3801][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3801][3]~77411\,
	combout => \led_flash_cnt[3801][4]~77412_combout\,
	cout => \led_flash_cnt[3801][4]~77413\);

-- Location: FF_X12_Y12_N9
\led_flash_cnt[3801][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3801][4]~77412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3801][4]~q\);

-- Location: LCCOMB_X12_Y12_N10
\led_flash_cnt[3801][5]~77414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3801][5]~77414_combout\ = (\led_flash_cnt[3801][5]~q\ & (\led_flash_cnt[3801][4]~77413\ $ (GND))) # (!\led_flash_cnt[3801][5]~q\ & (!\led_flash_cnt[3801][4]~77413\ & VCC))
-- \led_flash_cnt[3801][5]~77415\ = CARRY((\led_flash_cnt[3801][5]~q\ & !\led_flash_cnt[3801][4]~77413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3801][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3801][4]~77413\,
	combout => \led_flash_cnt[3801][5]~77414_combout\,
	cout => \led_flash_cnt[3801][5]~77415\);

-- Location: FF_X12_Y12_N11
\led_flash_cnt[3801][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3801][5]~77414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3801][5]~q\);

-- Location: LCCOMB_X12_Y12_N12
\led_flash_cnt[3801][6]~77416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3801][6]~77416_combout\ = (\led_flash_cnt[3801][6]~q\ & (!\led_flash_cnt[3801][5]~77415\)) # (!\led_flash_cnt[3801][6]~q\ & ((\led_flash_cnt[3801][5]~77415\) # (GND)))
-- \led_flash_cnt[3801][6]~77417\ = CARRY((!\led_flash_cnt[3801][5]~77415\) # (!\led_flash_cnt[3801][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3801][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3801][5]~77415\,
	combout => \led_flash_cnt[3801][6]~77416_combout\,
	cout => \led_flash_cnt[3801][6]~77417\);

-- Location: FF_X12_Y12_N13
\led_flash_cnt[3801][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3801][6]~77416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3801][6]~q\);

-- Location: LCCOMB_X12_Y12_N20
\WideAnd3801~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3801~1_combout\ = (\led_flash_cnt[3801][5]~q\ & \led_flash_cnt[3801][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3801][5]~q\,
	datad => \led_flash_cnt[3801][6]~q\,
	combout => \WideAnd3801~1_combout\);

-- Location: LCCOMB_X12_Y12_N14
\led_flash_cnt[3801][7]~77418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3801][7]~77418_combout\ = \led_flash_cnt[3801][7]~q\ $ (!\led_flash_cnt[3801][6]~77417\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3801][7]~q\,
	cin => \led_flash_cnt[3801][6]~77417\,
	combout => \led_flash_cnt[3801][7]~77418_combout\);

-- Location: FF_X12_Y12_N15
\led_flash_cnt[3801][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3801][7]~77418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3801][7]~q\);

-- Location: LCCOMB_X12_Y12_N18
\WideAnd3801~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3801~0_combout\ = (\led_flash_cnt[3801][3]~q\ & (\led_flash_cnt[3801][4]~q\ & (\led_flash_cnt[3801][2]~q\ & \led_flash_cnt[3801][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3801][3]~q\,
	datab => \led_flash_cnt[3801][4]~q\,
	datac => \led_flash_cnt[3801][2]~q\,
	datad => \led_flash_cnt[3801][1]~q\,
	combout => \WideAnd3801~0_combout\);

-- Location: LCCOMB_X12_Y12_N28
WideAnd3801 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3801~combout\ = (\led_flash_cnt[3801][0]~q\ & (\WideAnd3801~1_combout\ & (\led_flash_cnt[3801][7]~q\ & \WideAnd3801~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3801][0]~q\,
	datab => \WideAnd3801~1_combout\,
	datac => \led_flash_cnt[3801][7]~q\,
	datad => \WideAnd3801~0_combout\,
	combout => \WideAnd3801~combout\);

-- Location: FF_X12_Y12_N29
\led_flash_cnt_ands[3801]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3801~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3801));

-- Location: LCCOMB_X40_Y10_N24
\led_flash_cnt[3803][0]~84251\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3803][0]~84251_combout\ = !\led_flash_cnt[3803][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3803][0]~q\,
	combout => \led_flash_cnt[3803][0]~84251_combout\);

-- Location: FF_X40_Y10_N25
\led_flash_cnt[3803][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3803][0]~84251_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3803][0]~q\);

-- Location: LCCOMB_X36_Y10_N0
\led_flash_cnt[3803][1]~77434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3803][1]~77434_combout\ = (\led_flash_cnt[3803][0]~q\ & (\led_flash_cnt[3803][1]~q\ $ (VCC))) # (!\led_flash_cnt[3803][0]~q\ & (\led_flash_cnt[3803][1]~q\ & VCC))
-- \led_flash_cnt[3803][1]~77435\ = CARRY((\led_flash_cnt[3803][0]~q\ & \led_flash_cnt[3803][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3803][0]~q\,
	datab => \led_flash_cnt[3803][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3803][1]~77434_combout\,
	cout => \led_flash_cnt[3803][1]~77435\);

-- Location: FF_X36_Y10_N1
\led_flash_cnt[3803][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3803][1]~77434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3803][1]~q\);

-- Location: LCCOMB_X36_Y10_N2
\led_flash_cnt[3803][2]~77436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3803][2]~77436_combout\ = (\led_flash_cnt[3803][2]~q\ & (!\led_flash_cnt[3803][1]~77435\)) # (!\led_flash_cnt[3803][2]~q\ & ((\led_flash_cnt[3803][1]~77435\) # (GND)))
-- \led_flash_cnt[3803][2]~77437\ = CARRY((!\led_flash_cnt[3803][1]~77435\) # (!\led_flash_cnt[3803][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3803][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3803][1]~77435\,
	combout => \led_flash_cnt[3803][2]~77436_combout\,
	cout => \led_flash_cnt[3803][2]~77437\);

-- Location: FF_X36_Y10_N3
\led_flash_cnt[3803][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3803][2]~77436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3803][2]~q\);

-- Location: LCCOMB_X36_Y10_N4
\led_flash_cnt[3803][3]~77438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3803][3]~77438_combout\ = (\led_flash_cnt[3803][3]~q\ & (\led_flash_cnt[3803][2]~77437\ $ (GND))) # (!\led_flash_cnt[3803][3]~q\ & (!\led_flash_cnt[3803][2]~77437\ & VCC))
-- \led_flash_cnt[3803][3]~77439\ = CARRY((\led_flash_cnt[3803][3]~q\ & !\led_flash_cnt[3803][2]~77437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3803][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3803][2]~77437\,
	combout => \led_flash_cnt[3803][3]~77438_combout\,
	cout => \led_flash_cnt[3803][3]~77439\);

-- Location: FF_X36_Y10_N5
\led_flash_cnt[3803][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3803][3]~77438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3803][3]~q\);

-- Location: LCCOMB_X36_Y10_N6
\led_flash_cnt[3803][4]~77440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3803][4]~77440_combout\ = (\led_flash_cnt[3803][4]~q\ & (!\led_flash_cnt[3803][3]~77439\)) # (!\led_flash_cnt[3803][4]~q\ & ((\led_flash_cnt[3803][3]~77439\) # (GND)))
-- \led_flash_cnt[3803][4]~77441\ = CARRY((!\led_flash_cnt[3803][3]~77439\) # (!\led_flash_cnt[3803][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3803][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3803][3]~77439\,
	combout => \led_flash_cnt[3803][4]~77440_combout\,
	cout => \led_flash_cnt[3803][4]~77441\);

-- Location: FF_X36_Y10_N7
\led_flash_cnt[3803][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3803][4]~77440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3803][4]~q\);

-- Location: LCCOMB_X35_Y10_N14
\WideAnd3803~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3803~0_combout\ = (\led_flash_cnt[3803][3]~q\ & (\led_flash_cnt[3803][4]~q\ & (\led_flash_cnt[3803][1]~q\ & \led_flash_cnt[3803][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3803][3]~q\,
	datab => \led_flash_cnt[3803][4]~q\,
	datac => \led_flash_cnt[3803][1]~q\,
	datad => \led_flash_cnt[3803][2]~q\,
	combout => \WideAnd3803~0_combout\);

-- Location: LCCOMB_X36_Y10_N8
\led_flash_cnt[3803][5]~77442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3803][5]~77442_combout\ = (\led_flash_cnt[3803][5]~q\ & (\led_flash_cnt[3803][4]~77441\ $ (GND))) # (!\led_flash_cnt[3803][5]~q\ & (!\led_flash_cnt[3803][4]~77441\ & VCC))
-- \led_flash_cnt[3803][5]~77443\ = CARRY((\led_flash_cnt[3803][5]~q\ & !\led_flash_cnt[3803][4]~77441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3803][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3803][4]~77441\,
	combout => \led_flash_cnt[3803][5]~77442_combout\,
	cout => \led_flash_cnt[3803][5]~77443\);

-- Location: FF_X36_Y10_N9
\led_flash_cnt[3803][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3803][5]~77442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3803][5]~q\);

-- Location: LCCOMB_X36_Y10_N10
\led_flash_cnt[3803][6]~77444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3803][6]~77444_combout\ = (\led_flash_cnt[3803][6]~q\ & (!\led_flash_cnt[3803][5]~77443\)) # (!\led_flash_cnt[3803][6]~q\ & ((\led_flash_cnt[3803][5]~77443\) # (GND)))
-- \led_flash_cnt[3803][6]~77445\ = CARRY((!\led_flash_cnt[3803][5]~77443\) # (!\led_flash_cnt[3803][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3803][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3803][5]~77443\,
	combout => \led_flash_cnt[3803][6]~77444_combout\,
	cout => \led_flash_cnt[3803][6]~77445\);

-- Location: FF_X36_Y10_N11
\led_flash_cnt[3803][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3803][6]~77444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3803][6]~q\);

-- Location: LCCOMB_X35_Y10_N20
\WideAnd3803~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3803~1_combout\ = (\led_flash_cnt[3803][6]~q\ & \led_flash_cnt[3803][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3803][6]~q\,
	datac => \led_flash_cnt[3803][5]~q\,
	combout => \WideAnd3803~1_combout\);

-- Location: LCCOMB_X36_Y10_N12
\led_flash_cnt[3803][7]~77446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3803][7]~77446_combout\ = \led_flash_cnt[3803][6]~77445\ $ (!\led_flash_cnt[3803][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3803][7]~q\,
	cin => \led_flash_cnt[3803][6]~77445\,
	combout => \led_flash_cnt[3803][7]~77446_combout\);

-- Location: FF_X36_Y10_N13
\led_flash_cnt[3803][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3803][7]~77446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3803][7]~q\);

-- Location: LCCOMB_X36_Y10_N30
WideAnd3803 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3803~combout\ = (\WideAnd3803~0_combout\ & (\WideAnd3803~1_combout\ & (\led_flash_cnt[3803][0]~q\ & \led_flash_cnt[3803][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3803~0_combout\,
	datab => \WideAnd3803~1_combout\,
	datac => \led_flash_cnt[3803][0]~q\,
	datad => \led_flash_cnt[3803][7]~q\,
	combout => \WideAnd3803~combout\);

-- Location: FF_X36_Y10_N31
\led_flash_cnt_ands[3803]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3803~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3803));

-- Location: LCCOMB_X29_Y10_N18
\led_flash_cnt[3800][0]~84248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3800][0]~84248_combout\ = !\led_flash_cnt[3800][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3800][0]~q\,
	combout => \led_flash_cnt[3800][0]~84248_combout\);

-- Location: FF_X29_Y10_N19
\led_flash_cnt[3800][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3800][0]~84248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3800][0]~q\);

-- Location: LCCOMB_X29_Y10_N2
\led_flash_cnt[3800][1]~77392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3800][1]~77392_combout\ = (\led_flash_cnt[3800][1]~q\ & (\led_flash_cnt[3800][0]~q\ $ (VCC))) # (!\led_flash_cnt[3800][1]~q\ & (\led_flash_cnt[3800][0]~q\ & VCC))
-- \led_flash_cnt[3800][1]~77393\ = CARRY((\led_flash_cnt[3800][1]~q\ & \led_flash_cnt[3800][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3800][1]~q\,
	datab => \led_flash_cnt[3800][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3800][1]~77392_combout\,
	cout => \led_flash_cnt[3800][1]~77393\);

-- Location: FF_X29_Y10_N3
\led_flash_cnt[3800][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3800][1]~77392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3800][1]~q\);

-- Location: LCCOMB_X29_Y10_N4
\led_flash_cnt[3800][2]~77394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3800][2]~77394_combout\ = (\led_flash_cnt[3800][2]~q\ & (!\led_flash_cnt[3800][1]~77393\)) # (!\led_flash_cnt[3800][2]~q\ & ((\led_flash_cnt[3800][1]~77393\) # (GND)))
-- \led_flash_cnt[3800][2]~77395\ = CARRY((!\led_flash_cnt[3800][1]~77393\) # (!\led_flash_cnt[3800][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3800][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3800][1]~77393\,
	combout => \led_flash_cnt[3800][2]~77394_combout\,
	cout => \led_flash_cnt[3800][2]~77395\);

-- Location: FF_X29_Y10_N5
\led_flash_cnt[3800][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3800][2]~77394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3800][2]~q\);

-- Location: LCCOMB_X29_Y10_N6
\led_flash_cnt[3800][3]~77396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3800][3]~77396_combout\ = (\led_flash_cnt[3800][3]~q\ & (\led_flash_cnt[3800][2]~77395\ $ (GND))) # (!\led_flash_cnt[3800][3]~q\ & (!\led_flash_cnt[3800][2]~77395\ & VCC))
-- \led_flash_cnt[3800][3]~77397\ = CARRY((\led_flash_cnt[3800][3]~q\ & !\led_flash_cnt[3800][2]~77395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3800][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3800][2]~77395\,
	combout => \led_flash_cnt[3800][3]~77396_combout\,
	cout => \led_flash_cnt[3800][3]~77397\);

-- Location: FF_X29_Y10_N7
\led_flash_cnt[3800][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3800][3]~77396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3800][3]~q\);

-- Location: LCCOMB_X29_Y10_N8
\led_flash_cnt[3800][4]~77398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3800][4]~77398_combout\ = (\led_flash_cnt[3800][4]~q\ & (!\led_flash_cnt[3800][3]~77397\)) # (!\led_flash_cnt[3800][4]~q\ & ((\led_flash_cnt[3800][3]~77397\) # (GND)))
-- \led_flash_cnt[3800][4]~77399\ = CARRY((!\led_flash_cnt[3800][3]~77397\) # (!\led_flash_cnt[3800][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3800][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3800][3]~77397\,
	combout => \led_flash_cnt[3800][4]~77398_combout\,
	cout => \led_flash_cnt[3800][4]~77399\);

-- Location: FF_X29_Y10_N9
\led_flash_cnt[3800][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3800][4]~77398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3800][4]~q\);

-- Location: LCCOMB_X29_Y10_N10
\led_flash_cnt[3800][5]~77400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3800][5]~77400_combout\ = (\led_flash_cnt[3800][5]~q\ & (\led_flash_cnt[3800][4]~77399\ $ (GND))) # (!\led_flash_cnt[3800][5]~q\ & (!\led_flash_cnt[3800][4]~77399\ & VCC))
-- \led_flash_cnt[3800][5]~77401\ = CARRY((\led_flash_cnt[3800][5]~q\ & !\led_flash_cnt[3800][4]~77399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3800][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3800][4]~77399\,
	combout => \led_flash_cnt[3800][5]~77400_combout\,
	cout => \led_flash_cnt[3800][5]~77401\);

-- Location: FF_X29_Y10_N11
\led_flash_cnt[3800][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3800][5]~77400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3800][5]~q\);

-- Location: LCCOMB_X29_Y10_N12
\led_flash_cnt[3800][6]~77402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3800][6]~77402_combout\ = (\led_flash_cnt[3800][6]~q\ & (!\led_flash_cnt[3800][5]~77401\)) # (!\led_flash_cnt[3800][6]~q\ & ((\led_flash_cnt[3800][5]~77401\) # (GND)))
-- \led_flash_cnt[3800][6]~77403\ = CARRY((!\led_flash_cnt[3800][5]~77401\) # (!\led_flash_cnt[3800][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3800][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3800][5]~77401\,
	combout => \led_flash_cnt[3800][6]~77402_combout\,
	cout => \led_flash_cnt[3800][6]~77403\);

-- Location: FF_X29_Y10_N13
\led_flash_cnt[3800][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3800][6]~77402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3800][6]~q\);

-- Location: LCCOMB_X29_Y10_N26
\WideAnd3800~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3800~1_combout\ = (\led_flash_cnt[3800][6]~q\ & \led_flash_cnt[3800][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3800][6]~q\,
	datad => \led_flash_cnt[3800][5]~q\,
	combout => \WideAnd3800~1_combout\);

-- Location: LCCOMB_X29_Y10_N28
\WideAnd3800~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3800~0_combout\ = (\led_flash_cnt[3800][3]~q\ & (\led_flash_cnt[3800][2]~q\ & (\led_flash_cnt[3800][4]~q\ & \led_flash_cnt[3800][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3800][3]~q\,
	datab => \led_flash_cnt[3800][2]~q\,
	datac => \led_flash_cnt[3800][4]~q\,
	datad => \led_flash_cnt[3800][1]~q\,
	combout => \WideAnd3800~0_combout\);

-- Location: LCCOMB_X29_Y10_N14
\led_flash_cnt[3800][7]~77404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3800][7]~77404_combout\ = \led_flash_cnt[3800][7]~q\ $ (!\led_flash_cnt[3800][6]~77403\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3800][7]~q\,
	cin => \led_flash_cnt[3800][6]~77403\,
	combout => \led_flash_cnt[3800][7]~77404_combout\);

-- Location: FF_X29_Y10_N15
\led_flash_cnt[3800][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3800][7]~77404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3800][7]~q\);

-- Location: LCCOMB_X29_Y10_N20
WideAnd3800 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3800~combout\ = (\WideAnd3800~1_combout\ & (\WideAnd3800~0_combout\ & (\led_flash_cnt[3800][7]~q\ & \led_flash_cnt[3800][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3800~1_combout\,
	datab => \WideAnd3800~0_combout\,
	datac => \led_flash_cnt[3800][7]~q\,
	datad => \led_flash_cnt[3800][0]~q\,
	combout => \WideAnd3800~combout\);

-- Location: FF_X29_Y10_N21
\led_flash_cnt_ands[3800]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3800~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3800));

-- Location: LCCOMB_X25_Y10_N16
\WideAnd4315~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4315~0_combout\ = (led_flash_cnt_ands(3802) & (led_flash_cnt_ands(3801) & (led_flash_cnt_ands(3803) & led_flash_cnt_ands(3800))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3802),
	datab => led_flash_cnt_ands(3801),
	datac => led_flash_cnt_ands(3803),
	datad => led_flash_cnt_ands(3800),
	combout => \WideAnd4315~0_combout\);

-- Location: LCCOMB_X22_Y13_N24
WideAnd4315 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4315~combout\ = (led_flash_cnt_ands(3806) & (led_flash_cnt_ands(3807) & (\WideAnd4315~1_combout\ & \WideAnd4315~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3806),
	datab => led_flash_cnt_ands(3807),
	datac => \WideAnd4315~1_combout\,
	datad => \WideAnd4315~0_combout\,
	combout => \WideAnd4315~combout\);

-- Location: FF_X22_Y13_N25
\led_flash_cnt_ands_1[475]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4315~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(475));

-- Location: LCCOMB_X15_Y13_N6
\led_flash_cnt[3798][0]~84246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3798][0]~84246_combout\ = !\led_flash_cnt[3798][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3798][0]~q\,
	combout => \led_flash_cnt[3798][0]~84246_combout\);

-- Location: FF_X15_Y13_N7
\led_flash_cnt[3798][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3798][0]~84246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3798][0]~q\);

-- Location: LCCOMB_X15_Y13_N14
\led_flash_cnt[3798][1]~77364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3798][1]~77364_combout\ = (\led_flash_cnt[3798][0]~q\ & (\led_flash_cnt[3798][1]~q\ $ (VCC))) # (!\led_flash_cnt[3798][0]~q\ & (\led_flash_cnt[3798][1]~q\ & VCC))
-- \led_flash_cnt[3798][1]~77365\ = CARRY((\led_flash_cnt[3798][0]~q\ & \led_flash_cnt[3798][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3798][0]~q\,
	datab => \led_flash_cnt[3798][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3798][1]~77364_combout\,
	cout => \led_flash_cnt[3798][1]~77365\);

-- Location: FF_X15_Y13_N15
\led_flash_cnt[3798][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3798][1]~77364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3798][1]~q\);

-- Location: LCCOMB_X15_Y13_N16
\led_flash_cnt[3798][2]~77366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3798][2]~77366_combout\ = (\led_flash_cnt[3798][2]~q\ & (!\led_flash_cnt[3798][1]~77365\)) # (!\led_flash_cnt[3798][2]~q\ & ((\led_flash_cnt[3798][1]~77365\) # (GND)))
-- \led_flash_cnt[3798][2]~77367\ = CARRY((!\led_flash_cnt[3798][1]~77365\) # (!\led_flash_cnt[3798][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3798][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3798][1]~77365\,
	combout => \led_flash_cnt[3798][2]~77366_combout\,
	cout => \led_flash_cnt[3798][2]~77367\);

-- Location: FF_X15_Y13_N17
\led_flash_cnt[3798][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3798][2]~77366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3798][2]~q\);

-- Location: LCCOMB_X15_Y13_N18
\led_flash_cnt[3798][3]~77368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3798][3]~77368_combout\ = (\led_flash_cnt[3798][3]~q\ & (\led_flash_cnt[3798][2]~77367\ $ (GND))) # (!\led_flash_cnt[3798][3]~q\ & (!\led_flash_cnt[3798][2]~77367\ & VCC))
-- \led_flash_cnt[3798][3]~77369\ = CARRY((\led_flash_cnt[3798][3]~q\ & !\led_flash_cnt[3798][2]~77367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3798][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3798][2]~77367\,
	combout => \led_flash_cnt[3798][3]~77368_combout\,
	cout => \led_flash_cnt[3798][3]~77369\);

-- Location: FF_X15_Y13_N19
\led_flash_cnt[3798][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3798][3]~77368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3798][3]~q\);

-- Location: LCCOMB_X15_Y13_N20
\led_flash_cnt[3798][4]~77370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3798][4]~77370_combout\ = (\led_flash_cnt[3798][4]~q\ & (!\led_flash_cnt[3798][3]~77369\)) # (!\led_flash_cnt[3798][4]~q\ & ((\led_flash_cnt[3798][3]~77369\) # (GND)))
-- \led_flash_cnt[3798][4]~77371\ = CARRY((!\led_flash_cnt[3798][3]~77369\) # (!\led_flash_cnt[3798][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3798][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3798][3]~77369\,
	combout => \led_flash_cnt[3798][4]~77370_combout\,
	cout => \led_flash_cnt[3798][4]~77371\);

-- Location: FF_X15_Y13_N21
\led_flash_cnt[3798][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3798][4]~77370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3798][4]~q\);

-- Location: LCCOMB_X15_Y13_N22
\led_flash_cnt[3798][5]~77372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3798][5]~77372_combout\ = (\led_flash_cnt[3798][5]~q\ & (\led_flash_cnt[3798][4]~77371\ $ (GND))) # (!\led_flash_cnt[3798][5]~q\ & (!\led_flash_cnt[3798][4]~77371\ & VCC))
-- \led_flash_cnt[3798][5]~77373\ = CARRY((\led_flash_cnt[3798][5]~q\ & !\led_flash_cnt[3798][4]~77371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3798][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3798][4]~77371\,
	combout => \led_flash_cnt[3798][5]~77372_combout\,
	cout => \led_flash_cnt[3798][5]~77373\);

-- Location: FF_X15_Y13_N23
\led_flash_cnt[3798][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3798][5]~77372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3798][5]~q\);

-- Location: LCCOMB_X15_Y13_N24
\led_flash_cnt[3798][6]~77374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3798][6]~77374_combout\ = (\led_flash_cnt[3798][6]~q\ & (!\led_flash_cnt[3798][5]~77373\)) # (!\led_flash_cnt[3798][6]~q\ & ((\led_flash_cnt[3798][5]~77373\) # (GND)))
-- \led_flash_cnt[3798][6]~77375\ = CARRY((!\led_flash_cnt[3798][5]~77373\) # (!\led_flash_cnt[3798][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3798][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3798][5]~77373\,
	combout => \led_flash_cnt[3798][6]~77374_combout\,
	cout => \led_flash_cnt[3798][6]~77375\);

-- Location: FF_X15_Y13_N25
\led_flash_cnt[3798][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3798][6]~77374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3798][6]~q\);

-- Location: LCCOMB_X15_Y13_N10
\WideAnd3798~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3798~1_combout\ = (\led_flash_cnt[3798][5]~q\ & \led_flash_cnt[3798][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3798][5]~q\,
	datad => \led_flash_cnt[3798][6]~q\,
	combout => \WideAnd3798~1_combout\);

-- Location: LCCOMB_X15_Y13_N0
\WideAnd3798~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3798~0_combout\ = (\led_flash_cnt[3798][4]~q\ & (\led_flash_cnt[3798][2]~q\ & (\led_flash_cnt[3798][1]~q\ & \led_flash_cnt[3798][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3798][4]~q\,
	datab => \led_flash_cnt[3798][2]~q\,
	datac => \led_flash_cnt[3798][1]~q\,
	datad => \led_flash_cnt[3798][3]~q\,
	combout => \WideAnd3798~0_combout\);

-- Location: LCCOMB_X15_Y13_N26
\led_flash_cnt[3798][7]~77376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3798][7]~77376_combout\ = \led_flash_cnt[3798][7]~q\ $ (!\led_flash_cnt[3798][6]~77375\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3798][7]~q\,
	cin => \led_flash_cnt[3798][6]~77375\,
	combout => \led_flash_cnt[3798][7]~77376_combout\);

-- Location: FF_X15_Y13_N27
\led_flash_cnt[3798][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3798][7]~77376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3798][7]~q\);

-- Location: LCCOMB_X15_Y13_N30
WideAnd3798 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3798~combout\ = (\WideAnd3798~1_combout\ & (\WideAnd3798~0_combout\ & (\led_flash_cnt[3798][7]~q\ & \led_flash_cnt[3798][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3798~1_combout\,
	datab => \WideAnd3798~0_combout\,
	datac => \led_flash_cnt[3798][7]~q\,
	datad => \led_flash_cnt[3798][0]~q\,
	combout => \WideAnd3798~combout\);

-- Location: FF_X15_Y13_N31
\led_flash_cnt_ands[3798]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3798~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3798));

-- Location: LCCOMB_X21_Y10_N2
\led_flash_cnt[3794][0]~84242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3794][0]~84242_combout\ = !\led_flash_cnt[3794][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3794][0]~q\,
	combout => \led_flash_cnt[3794][0]~84242_combout\);

-- Location: FF_X21_Y10_N3
\led_flash_cnt[3794][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3794][0]~84242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3794][0]~q\);

-- Location: LCCOMB_X20_Y10_N16
\led_flash_cnt[3794][1]~77308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3794][1]~77308_combout\ = (\led_flash_cnt[3794][0]~q\ & (\led_flash_cnt[3794][1]~q\ $ (VCC))) # (!\led_flash_cnt[3794][0]~q\ & (\led_flash_cnt[3794][1]~q\ & VCC))
-- \led_flash_cnt[3794][1]~77309\ = CARRY((\led_flash_cnt[3794][0]~q\ & \led_flash_cnt[3794][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3794][0]~q\,
	datab => \led_flash_cnt[3794][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3794][1]~77308_combout\,
	cout => \led_flash_cnt[3794][1]~77309\);

-- Location: FF_X20_Y10_N17
\led_flash_cnt[3794][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3794][1]~77308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3794][1]~q\);

-- Location: LCCOMB_X20_Y10_N18
\led_flash_cnt[3794][2]~77310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3794][2]~77310_combout\ = (\led_flash_cnt[3794][2]~q\ & (!\led_flash_cnt[3794][1]~77309\)) # (!\led_flash_cnt[3794][2]~q\ & ((\led_flash_cnt[3794][1]~77309\) # (GND)))
-- \led_flash_cnt[3794][2]~77311\ = CARRY((!\led_flash_cnt[3794][1]~77309\) # (!\led_flash_cnt[3794][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3794][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3794][1]~77309\,
	combout => \led_flash_cnt[3794][2]~77310_combout\,
	cout => \led_flash_cnt[3794][2]~77311\);

-- Location: FF_X20_Y10_N19
\led_flash_cnt[3794][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3794][2]~77310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3794][2]~q\);

-- Location: LCCOMB_X20_Y10_N20
\led_flash_cnt[3794][3]~77312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3794][3]~77312_combout\ = (\led_flash_cnt[3794][3]~q\ & (\led_flash_cnt[3794][2]~77311\ $ (GND))) # (!\led_flash_cnt[3794][3]~q\ & (!\led_flash_cnt[3794][2]~77311\ & VCC))
-- \led_flash_cnt[3794][3]~77313\ = CARRY((\led_flash_cnt[3794][3]~q\ & !\led_flash_cnt[3794][2]~77311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3794][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3794][2]~77311\,
	combout => \led_flash_cnt[3794][3]~77312_combout\,
	cout => \led_flash_cnt[3794][3]~77313\);

-- Location: FF_X20_Y10_N21
\led_flash_cnt[3794][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3794][3]~77312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3794][3]~q\);

-- Location: LCCOMB_X20_Y10_N22
\led_flash_cnt[3794][4]~77314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3794][4]~77314_combout\ = (\led_flash_cnt[3794][4]~q\ & (!\led_flash_cnt[3794][3]~77313\)) # (!\led_flash_cnt[3794][4]~q\ & ((\led_flash_cnt[3794][3]~77313\) # (GND)))
-- \led_flash_cnt[3794][4]~77315\ = CARRY((!\led_flash_cnt[3794][3]~77313\) # (!\led_flash_cnt[3794][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3794][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3794][3]~77313\,
	combout => \led_flash_cnt[3794][4]~77314_combout\,
	cout => \led_flash_cnt[3794][4]~77315\);

-- Location: FF_X20_Y10_N23
\led_flash_cnt[3794][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3794][4]~77314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3794][4]~q\);

-- Location: LCCOMB_X20_Y10_N14
\WideAnd3794~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3794~0_combout\ = (\led_flash_cnt[3794][2]~q\ & (\led_flash_cnt[3794][1]~q\ & (\led_flash_cnt[3794][4]~q\ & \led_flash_cnt[3794][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3794][2]~q\,
	datab => \led_flash_cnt[3794][1]~q\,
	datac => \led_flash_cnt[3794][4]~q\,
	datad => \led_flash_cnt[3794][3]~q\,
	combout => \WideAnd3794~0_combout\);

-- Location: LCCOMB_X20_Y10_N24
\led_flash_cnt[3794][5]~77316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3794][5]~77316_combout\ = (\led_flash_cnt[3794][5]~q\ & (\led_flash_cnt[3794][4]~77315\ $ (GND))) # (!\led_flash_cnt[3794][5]~q\ & (!\led_flash_cnt[3794][4]~77315\ & VCC))
-- \led_flash_cnt[3794][5]~77317\ = CARRY((\led_flash_cnt[3794][5]~q\ & !\led_flash_cnt[3794][4]~77315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3794][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3794][4]~77315\,
	combout => \led_flash_cnt[3794][5]~77316_combout\,
	cout => \led_flash_cnt[3794][5]~77317\);

-- Location: FF_X20_Y10_N25
\led_flash_cnt[3794][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3794][5]~77316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3794][5]~q\);

-- Location: LCCOMB_X20_Y10_N26
\led_flash_cnt[3794][6]~77318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3794][6]~77318_combout\ = (\led_flash_cnt[3794][6]~q\ & (!\led_flash_cnt[3794][5]~77317\)) # (!\led_flash_cnt[3794][6]~q\ & ((\led_flash_cnt[3794][5]~77317\) # (GND)))
-- \led_flash_cnt[3794][6]~77319\ = CARRY((!\led_flash_cnt[3794][5]~77317\) # (!\led_flash_cnt[3794][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3794][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3794][5]~77317\,
	combout => \led_flash_cnt[3794][6]~77318_combout\,
	cout => \led_flash_cnt[3794][6]~77319\);

-- Location: FF_X20_Y10_N27
\led_flash_cnt[3794][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3794][6]~77318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3794][6]~q\);

-- Location: LCCOMB_X20_Y10_N28
\led_flash_cnt[3794][7]~77320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3794][7]~77320_combout\ = \led_flash_cnt[3794][6]~77319\ $ (!\led_flash_cnt[3794][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3794][7]~q\,
	cin => \led_flash_cnt[3794][6]~77319\,
	combout => \led_flash_cnt[3794][7]~77320_combout\);

-- Location: FF_X20_Y10_N29
\led_flash_cnt[3794][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3794][7]~77320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3794][7]~q\);

-- Location: LCCOMB_X21_Y10_N4
\WideAnd3794~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3794~1_combout\ = (\led_flash_cnt[3794][6]~q\ & \led_flash_cnt[3794][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3794][6]~q\,
	datad => \led_flash_cnt[3794][5]~q\,
	combout => \WideAnd3794~1_combout\);

-- Location: LCCOMB_X21_Y10_N6
WideAnd3794 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3794~combout\ = (\WideAnd3794~0_combout\ & (\led_flash_cnt[3794][7]~q\ & (\WideAnd3794~1_combout\ & \led_flash_cnt[3794][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3794~0_combout\,
	datab => \led_flash_cnt[3794][7]~q\,
	datac => \WideAnd3794~1_combout\,
	datad => \led_flash_cnt[3794][0]~q\,
	combout => \WideAnd3794~combout\);

-- Location: FF_X21_Y10_N7
\led_flash_cnt_ands[3794]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3794~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3794));

-- Location: LCCOMB_X20_Y9_N20
\led_flash_cnt[3793][0]~84241\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3793][0]~84241_combout\ = !\led_flash_cnt[3793][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3793][0]~q\,
	combout => \led_flash_cnt[3793][0]~84241_combout\);

-- Location: FF_X20_Y9_N21
\led_flash_cnt[3793][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3793][0]~84241_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3793][0]~q\);

-- Location: LCCOMB_X20_Y5_N16
\led_flash_cnt[3793][1]~77294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3793][1]~77294_combout\ = (\led_flash_cnt[3793][0]~q\ & (\led_flash_cnt[3793][1]~q\ $ (VCC))) # (!\led_flash_cnt[3793][0]~q\ & (\led_flash_cnt[3793][1]~q\ & VCC))
-- \led_flash_cnt[3793][1]~77295\ = CARRY((\led_flash_cnt[3793][0]~q\ & \led_flash_cnt[3793][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3793][0]~q\,
	datab => \led_flash_cnt[3793][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3793][1]~77294_combout\,
	cout => \led_flash_cnt[3793][1]~77295\);

-- Location: FF_X20_Y5_N17
\led_flash_cnt[3793][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3793][1]~77294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3793][1]~q\);

-- Location: LCCOMB_X20_Y5_N18
\led_flash_cnt[3793][2]~77296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3793][2]~77296_combout\ = (\led_flash_cnt[3793][2]~q\ & (!\led_flash_cnt[3793][1]~77295\)) # (!\led_flash_cnt[3793][2]~q\ & ((\led_flash_cnt[3793][1]~77295\) # (GND)))
-- \led_flash_cnt[3793][2]~77297\ = CARRY((!\led_flash_cnt[3793][1]~77295\) # (!\led_flash_cnt[3793][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3793][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3793][1]~77295\,
	combout => \led_flash_cnt[3793][2]~77296_combout\,
	cout => \led_flash_cnt[3793][2]~77297\);

-- Location: FF_X20_Y5_N19
\led_flash_cnt[3793][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3793][2]~77296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3793][2]~q\);

-- Location: LCCOMB_X20_Y5_N20
\led_flash_cnt[3793][3]~77298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3793][3]~77298_combout\ = (\led_flash_cnt[3793][3]~q\ & (\led_flash_cnt[3793][2]~77297\ $ (GND))) # (!\led_flash_cnt[3793][3]~q\ & (!\led_flash_cnt[3793][2]~77297\ & VCC))
-- \led_flash_cnt[3793][3]~77299\ = CARRY((\led_flash_cnt[3793][3]~q\ & !\led_flash_cnt[3793][2]~77297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3793][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3793][2]~77297\,
	combout => \led_flash_cnt[3793][3]~77298_combout\,
	cout => \led_flash_cnt[3793][3]~77299\);

-- Location: FF_X20_Y5_N21
\led_flash_cnt[3793][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3793][3]~77298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3793][3]~q\);

-- Location: LCCOMB_X20_Y5_N22
\led_flash_cnt[3793][4]~77300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3793][4]~77300_combout\ = (\led_flash_cnt[3793][4]~q\ & (!\led_flash_cnt[3793][3]~77299\)) # (!\led_flash_cnt[3793][4]~q\ & ((\led_flash_cnt[3793][3]~77299\) # (GND)))
-- \led_flash_cnt[3793][4]~77301\ = CARRY((!\led_flash_cnt[3793][3]~77299\) # (!\led_flash_cnt[3793][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3793][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3793][3]~77299\,
	combout => \led_flash_cnt[3793][4]~77300_combout\,
	cout => \led_flash_cnt[3793][4]~77301\);

-- Location: FF_X20_Y5_N23
\led_flash_cnt[3793][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3793][4]~77300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3793][4]~q\);

-- Location: LCCOMB_X20_Y5_N24
\led_flash_cnt[3793][5]~77302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3793][5]~77302_combout\ = (\led_flash_cnt[3793][5]~q\ & (\led_flash_cnt[3793][4]~77301\ $ (GND))) # (!\led_flash_cnt[3793][5]~q\ & (!\led_flash_cnt[3793][4]~77301\ & VCC))
-- \led_flash_cnt[3793][5]~77303\ = CARRY((\led_flash_cnt[3793][5]~q\ & !\led_flash_cnt[3793][4]~77301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3793][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3793][4]~77301\,
	combout => \led_flash_cnt[3793][5]~77302_combout\,
	cout => \led_flash_cnt[3793][5]~77303\);

-- Location: FF_X20_Y5_N25
\led_flash_cnt[3793][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3793][5]~77302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3793][5]~q\);

-- Location: LCCOMB_X20_Y5_N26
\led_flash_cnt[3793][6]~77304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3793][6]~77304_combout\ = (\led_flash_cnt[3793][6]~q\ & (!\led_flash_cnt[3793][5]~77303\)) # (!\led_flash_cnt[3793][6]~q\ & ((\led_flash_cnt[3793][5]~77303\) # (GND)))
-- \led_flash_cnt[3793][6]~77305\ = CARRY((!\led_flash_cnt[3793][5]~77303\) # (!\led_flash_cnt[3793][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3793][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3793][5]~77303\,
	combout => \led_flash_cnt[3793][6]~77304_combout\,
	cout => \led_flash_cnt[3793][6]~77305\);

-- Location: FF_X20_Y5_N27
\led_flash_cnt[3793][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3793][6]~77304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3793][6]~q\);

-- Location: LCCOMB_X20_Y5_N28
\led_flash_cnt[3793][7]~77306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3793][7]~77306_combout\ = \led_flash_cnt[3793][6]~77305\ $ (!\led_flash_cnt[3793][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3793][7]~q\,
	cin => \led_flash_cnt[3793][6]~77305\,
	combout => \led_flash_cnt[3793][7]~77306_combout\);

-- Location: FF_X20_Y5_N29
\led_flash_cnt[3793][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3793][7]~77306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3793][7]~q\);

-- Location: LCCOMB_X21_Y5_N8
\WideAnd3793~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3793~1_combout\ = (\led_flash_cnt[3793][6]~q\ & \led_flash_cnt[3793][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3793][6]~q\,
	datad => \led_flash_cnt[3793][5]~q\,
	combout => \WideAnd3793~1_combout\);

-- Location: LCCOMB_X20_Y5_N14
\WideAnd3793~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3793~0_combout\ = (\led_flash_cnt[3793][1]~q\ & (\led_flash_cnt[3793][3]~q\ & (\led_flash_cnt[3793][4]~q\ & \led_flash_cnt[3793][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3793][1]~q\,
	datab => \led_flash_cnt[3793][3]~q\,
	datac => \led_flash_cnt[3793][4]~q\,
	datad => \led_flash_cnt[3793][2]~q\,
	combout => \WideAnd3793~0_combout\);

-- Location: LCCOMB_X21_Y5_N2
WideAnd3793 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3793~combout\ = (\led_flash_cnt[3793][0]~q\ & (\led_flash_cnt[3793][7]~q\ & (\WideAnd3793~1_combout\ & \WideAnd3793~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3793][0]~q\,
	datab => \led_flash_cnt[3793][7]~q\,
	datac => \WideAnd3793~1_combout\,
	datad => \WideAnd3793~0_combout\,
	combout => \WideAnd3793~combout\);

-- Location: FF_X21_Y5_N3
\led_flash_cnt_ands[3793]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3793~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3793));

-- Location: LCCOMB_X20_Y9_N24
\led_flash_cnt[3792][0]~84240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3792][0]~84240_combout\ = !\led_flash_cnt[3792][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3792][0]~q\,
	combout => \led_flash_cnt[3792][0]~84240_combout\);

-- Location: FF_X20_Y9_N25
\led_flash_cnt[3792][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3792][0]~84240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3792][0]~q\);

-- Location: LCCOMB_X20_Y9_N6
\led_flash_cnt[3792][1]~77280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3792][1]~77280_combout\ = (\led_flash_cnt[3792][1]~q\ & (\led_flash_cnt[3792][0]~q\ $ (VCC))) # (!\led_flash_cnt[3792][1]~q\ & (\led_flash_cnt[3792][0]~q\ & VCC))
-- \led_flash_cnt[3792][1]~77281\ = CARRY((\led_flash_cnt[3792][1]~q\ & \led_flash_cnt[3792][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3792][1]~q\,
	datab => \led_flash_cnt[3792][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3792][1]~77280_combout\,
	cout => \led_flash_cnt[3792][1]~77281\);

-- Location: FF_X20_Y9_N7
\led_flash_cnt[3792][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3792][1]~77280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3792][1]~q\);

-- Location: LCCOMB_X20_Y9_N8
\led_flash_cnt[3792][2]~77282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3792][2]~77282_combout\ = (\led_flash_cnt[3792][2]~q\ & (!\led_flash_cnt[3792][1]~77281\)) # (!\led_flash_cnt[3792][2]~q\ & ((\led_flash_cnt[3792][1]~77281\) # (GND)))
-- \led_flash_cnt[3792][2]~77283\ = CARRY((!\led_flash_cnt[3792][1]~77281\) # (!\led_flash_cnt[3792][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3792][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3792][1]~77281\,
	combout => \led_flash_cnt[3792][2]~77282_combout\,
	cout => \led_flash_cnt[3792][2]~77283\);

-- Location: FF_X20_Y9_N9
\led_flash_cnt[3792][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3792][2]~77282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3792][2]~q\);

-- Location: LCCOMB_X20_Y9_N10
\led_flash_cnt[3792][3]~77284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3792][3]~77284_combout\ = (\led_flash_cnt[3792][3]~q\ & (\led_flash_cnt[3792][2]~77283\ $ (GND))) # (!\led_flash_cnt[3792][3]~q\ & (!\led_flash_cnt[3792][2]~77283\ & VCC))
-- \led_flash_cnt[3792][3]~77285\ = CARRY((\led_flash_cnt[3792][3]~q\ & !\led_flash_cnt[3792][2]~77283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3792][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3792][2]~77283\,
	combout => \led_flash_cnt[3792][3]~77284_combout\,
	cout => \led_flash_cnt[3792][3]~77285\);

-- Location: FF_X20_Y9_N11
\led_flash_cnt[3792][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3792][3]~77284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3792][3]~q\);

-- Location: LCCOMB_X20_Y9_N12
\led_flash_cnt[3792][4]~77286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3792][4]~77286_combout\ = (\led_flash_cnt[3792][4]~q\ & (!\led_flash_cnt[3792][3]~77285\)) # (!\led_flash_cnt[3792][4]~q\ & ((\led_flash_cnt[3792][3]~77285\) # (GND)))
-- \led_flash_cnt[3792][4]~77287\ = CARRY((!\led_flash_cnt[3792][3]~77285\) # (!\led_flash_cnt[3792][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3792][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3792][3]~77285\,
	combout => \led_flash_cnt[3792][4]~77286_combout\,
	cout => \led_flash_cnt[3792][4]~77287\);

-- Location: FF_X20_Y9_N13
\led_flash_cnt[3792][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3792][4]~77286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3792][4]~q\);

-- Location: LCCOMB_X20_Y9_N14
\led_flash_cnt[3792][5]~77288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3792][5]~77288_combout\ = (\led_flash_cnt[3792][5]~q\ & (\led_flash_cnt[3792][4]~77287\ $ (GND))) # (!\led_flash_cnt[3792][5]~q\ & (!\led_flash_cnt[3792][4]~77287\ & VCC))
-- \led_flash_cnt[3792][5]~77289\ = CARRY((\led_flash_cnt[3792][5]~q\ & !\led_flash_cnt[3792][4]~77287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3792][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3792][4]~77287\,
	combout => \led_flash_cnt[3792][5]~77288_combout\,
	cout => \led_flash_cnt[3792][5]~77289\);

-- Location: FF_X20_Y9_N15
\led_flash_cnt[3792][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3792][5]~77288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3792][5]~q\);

-- Location: LCCOMB_X20_Y9_N16
\led_flash_cnt[3792][6]~77290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3792][6]~77290_combout\ = (\led_flash_cnt[3792][6]~q\ & (!\led_flash_cnt[3792][5]~77289\)) # (!\led_flash_cnt[3792][6]~q\ & ((\led_flash_cnt[3792][5]~77289\) # (GND)))
-- \led_flash_cnt[3792][6]~77291\ = CARRY((!\led_flash_cnt[3792][5]~77289\) # (!\led_flash_cnt[3792][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3792][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3792][5]~77289\,
	combout => \led_flash_cnt[3792][6]~77290_combout\,
	cout => \led_flash_cnt[3792][6]~77291\);

-- Location: FF_X20_Y9_N17
\led_flash_cnt[3792][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3792][6]~77290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3792][6]~q\);

-- Location: LCCOMB_X20_Y9_N30
\WideAnd3792~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3792~1_combout\ = (\led_flash_cnt[3792][5]~q\ & \led_flash_cnt[3792][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3792][5]~q\,
	datad => \led_flash_cnt[3792][6]~q\,
	combout => \WideAnd3792~1_combout\);

-- Location: LCCOMB_X20_Y9_N26
\WideAnd3792~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3792~0_combout\ = (\led_flash_cnt[3792][4]~q\ & (\led_flash_cnt[3792][3]~q\ & (\led_flash_cnt[3792][2]~q\ & \led_flash_cnt[3792][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3792][4]~q\,
	datab => \led_flash_cnt[3792][3]~q\,
	datac => \led_flash_cnt[3792][2]~q\,
	datad => \led_flash_cnt[3792][1]~q\,
	combout => \WideAnd3792~0_combout\);

-- Location: LCCOMB_X20_Y9_N18
\led_flash_cnt[3792][7]~77292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3792][7]~77292_combout\ = \led_flash_cnt[3792][6]~77291\ $ (!\led_flash_cnt[3792][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3792][7]~q\,
	cin => \led_flash_cnt[3792][6]~77291\,
	combout => \led_flash_cnt[3792][7]~77292_combout\);

-- Location: FF_X20_Y9_N19
\led_flash_cnt[3792][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3792][7]~77292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3792][7]~q\);

-- Location: LCCOMB_X20_Y9_N0
WideAnd3792 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3792~combout\ = (\WideAnd3792~1_combout\ & (\led_flash_cnt[3792][0]~q\ & (\WideAnd3792~0_combout\ & \led_flash_cnt[3792][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3792~1_combout\,
	datab => \led_flash_cnt[3792][0]~q\,
	datac => \WideAnd3792~0_combout\,
	datad => \led_flash_cnt[3792][7]~q\,
	combout => \WideAnd3792~combout\);

-- Location: FF_X20_Y9_N1
\led_flash_cnt_ands[3792]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3792~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3792));

-- Location: LCCOMB_X21_Y10_N10
\led_flash_cnt[3795][0]~84243\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3795][0]~84243_combout\ = !\led_flash_cnt[3795][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3795][0]~q\,
	combout => \led_flash_cnt[3795][0]~84243_combout\);

-- Location: FF_X21_Y10_N11
\led_flash_cnt[3795][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3795][0]~84243_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3795][0]~q\);

-- Location: LCCOMB_X21_Y10_N14
\led_flash_cnt[3795][1]~77322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3795][1]~77322_combout\ = (\led_flash_cnt[3795][0]~q\ & (\led_flash_cnt[3795][1]~q\ $ (VCC))) # (!\led_flash_cnt[3795][0]~q\ & (\led_flash_cnt[3795][1]~q\ & VCC))
-- \led_flash_cnt[3795][1]~77323\ = CARRY((\led_flash_cnt[3795][0]~q\ & \led_flash_cnt[3795][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3795][0]~q\,
	datab => \led_flash_cnt[3795][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3795][1]~77322_combout\,
	cout => \led_flash_cnt[3795][1]~77323\);

-- Location: FF_X21_Y10_N15
\led_flash_cnt[3795][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3795][1]~77322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3795][1]~q\);

-- Location: LCCOMB_X21_Y10_N16
\led_flash_cnt[3795][2]~77324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3795][2]~77324_combout\ = (\led_flash_cnt[3795][2]~q\ & (!\led_flash_cnt[3795][1]~77323\)) # (!\led_flash_cnt[3795][2]~q\ & ((\led_flash_cnt[3795][1]~77323\) # (GND)))
-- \led_flash_cnt[3795][2]~77325\ = CARRY((!\led_flash_cnt[3795][1]~77323\) # (!\led_flash_cnt[3795][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3795][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3795][1]~77323\,
	combout => \led_flash_cnt[3795][2]~77324_combout\,
	cout => \led_flash_cnt[3795][2]~77325\);

-- Location: FF_X21_Y10_N17
\led_flash_cnt[3795][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3795][2]~77324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3795][2]~q\);

-- Location: LCCOMB_X21_Y10_N18
\led_flash_cnt[3795][3]~77326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3795][3]~77326_combout\ = (\led_flash_cnt[3795][3]~q\ & (\led_flash_cnt[3795][2]~77325\ $ (GND))) # (!\led_flash_cnt[3795][3]~q\ & (!\led_flash_cnt[3795][2]~77325\ & VCC))
-- \led_flash_cnt[3795][3]~77327\ = CARRY((\led_flash_cnt[3795][3]~q\ & !\led_flash_cnt[3795][2]~77325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3795][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3795][2]~77325\,
	combout => \led_flash_cnt[3795][3]~77326_combout\,
	cout => \led_flash_cnt[3795][3]~77327\);

-- Location: FF_X21_Y10_N19
\led_flash_cnt[3795][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3795][3]~77326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3795][3]~q\);

-- Location: LCCOMB_X21_Y10_N20
\led_flash_cnt[3795][4]~77328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3795][4]~77328_combout\ = (\led_flash_cnt[3795][4]~q\ & (!\led_flash_cnt[3795][3]~77327\)) # (!\led_flash_cnt[3795][4]~q\ & ((\led_flash_cnt[3795][3]~77327\) # (GND)))
-- \led_flash_cnt[3795][4]~77329\ = CARRY((!\led_flash_cnt[3795][3]~77327\) # (!\led_flash_cnt[3795][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3795][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3795][3]~77327\,
	combout => \led_flash_cnt[3795][4]~77328_combout\,
	cout => \led_flash_cnt[3795][4]~77329\);

-- Location: FF_X21_Y10_N21
\led_flash_cnt[3795][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3795][4]~77328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3795][4]~q\);

-- Location: LCCOMB_X21_Y10_N22
\led_flash_cnt[3795][5]~77330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3795][5]~77330_combout\ = (\led_flash_cnt[3795][5]~q\ & (\led_flash_cnt[3795][4]~77329\ $ (GND))) # (!\led_flash_cnt[3795][5]~q\ & (!\led_flash_cnt[3795][4]~77329\ & VCC))
-- \led_flash_cnt[3795][5]~77331\ = CARRY((\led_flash_cnt[3795][5]~q\ & !\led_flash_cnt[3795][4]~77329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3795][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3795][4]~77329\,
	combout => \led_flash_cnt[3795][5]~77330_combout\,
	cout => \led_flash_cnt[3795][5]~77331\);

-- Location: FF_X21_Y10_N23
\led_flash_cnt[3795][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3795][5]~77330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3795][5]~q\);

-- Location: LCCOMB_X21_Y10_N24
\led_flash_cnt[3795][6]~77332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3795][6]~77332_combout\ = (\led_flash_cnt[3795][6]~q\ & (!\led_flash_cnt[3795][5]~77331\)) # (!\led_flash_cnt[3795][6]~q\ & ((\led_flash_cnt[3795][5]~77331\) # (GND)))
-- \led_flash_cnt[3795][6]~77333\ = CARRY((!\led_flash_cnt[3795][5]~77331\) # (!\led_flash_cnt[3795][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3795][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3795][5]~77331\,
	combout => \led_flash_cnt[3795][6]~77332_combout\,
	cout => \led_flash_cnt[3795][6]~77333\);

-- Location: FF_X21_Y10_N25
\led_flash_cnt[3795][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3795][6]~77332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3795][6]~q\);

-- Location: LCCOMB_X21_Y10_N26
\led_flash_cnt[3795][7]~77334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3795][7]~77334_combout\ = \led_flash_cnt[3795][7]~q\ $ (!\led_flash_cnt[3795][6]~77333\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3795][7]~q\,
	cin => \led_flash_cnt[3795][6]~77333\,
	combout => \led_flash_cnt[3795][7]~77334_combout\);

-- Location: FF_X21_Y10_N27
\led_flash_cnt[3795][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3795][7]~77334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3795][7]~q\);

-- Location: LCCOMB_X21_Y10_N28
\WideAnd3795~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3795~0_combout\ = (\led_flash_cnt[3795][3]~q\ & (\led_flash_cnt[3795][2]~q\ & (\led_flash_cnt[3795][1]~q\ & \led_flash_cnt[3795][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3795][3]~q\,
	datab => \led_flash_cnt[3795][2]~q\,
	datac => \led_flash_cnt[3795][1]~q\,
	datad => \led_flash_cnt[3795][4]~q\,
	combout => \WideAnd3795~0_combout\);

-- Location: LCCOMB_X21_Y10_N8
\WideAnd3795~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3795~1_combout\ = (\led_flash_cnt[3795][5]~q\ & \led_flash_cnt[3795][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3795][5]~q\,
	datad => \led_flash_cnt[3795][6]~q\,
	combout => \WideAnd3795~1_combout\);

-- Location: LCCOMB_X21_Y10_N12
WideAnd3795 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3795~combout\ = (\led_flash_cnt[3795][7]~q\ & (\WideAnd3795~0_combout\ & (\WideAnd3795~1_combout\ & \led_flash_cnt[3795][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3795][7]~q\,
	datab => \WideAnd3795~0_combout\,
	datac => \WideAnd3795~1_combout\,
	datad => \led_flash_cnt[3795][0]~q\,
	combout => \WideAnd3795~combout\);

-- Location: FF_X21_Y10_N13
\led_flash_cnt_ands[3795]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3795~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3795));

-- Location: LCCOMB_X21_Y10_N30
\WideAnd4314~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4314~0_combout\ = (led_flash_cnt_ands(3794) & (led_flash_cnt_ands(3793) & (led_flash_cnt_ands(3792) & led_flash_cnt_ands(3795))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3794),
	datab => led_flash_cnt_ands(3793),
	datac => led_flash_cnt_ands(3792),
	datad => led_flash_cnt_ands(3795),
	combout => \WideAnd4314~0_combout\);

-- Location: LCCOMB_X15_Y14_N22
\led_flash_cnt[3799][0]~84247\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3799][0]~84247_combout\ = !\led_flash_cnt[3799][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3799][0]~q\,
	combout => \led_flash_cnt[3799][0]~84247_combout\);

-- Location: FF_X15_Y14_N23
\led_flash_cnt[3799][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3799][0]~84247_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3799][0]~q\);

-- Location: LCCOMB_X15_Y14_N4
\led_flash_cnt[3799][1]~77378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3799][1]~77378_combout\ = (\led_flash_cnt[3799][0]~q\ & (\led_flash_cnt[3799][1]~q\ $ (VCC))) # (!\led_flash_cnt[3799][0]~q\ & (\led_flash_cnt[3799][1]~q\ & VCC))
-- \led_flash_cnt[3799][1]~77379\ = CARRY((\led_flash_cnt[3799][0]~q\ & \led_flash_cnt[3799][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3799][0]~q\,
	datab => \led_flash_cnt[3799][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3799][1]~77378_combout\,
	cout => \led_flash_cnt[3799][1]~77379\);

-- Location: FF_X15_Y14_N5
\led_flash_cnt[3799][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3799][1]~77378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3799][1]~q\);

-- Location: LCCOMB_X15_Y14_N6
\led_flash_cnt[3799][2]~77380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3799][2]~77380_combout\ = (\led_flash_cnt[3799][2]~q\ & (!\led_flash_cnt[3799][1]~77379\)) # (!\led_flash_cnt[3799][2]~q\ & ((\led_flash_cnt[3799][1]~77379\) # (GND)))
-- \led_flash_cnt[3799][2]~77381\ = CARRY((!\led_flash_cnt[3799][1]~77379\) # (!\led_flash_cnt[3799][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3799][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3799][1]~77379\,
	combout => \led_flash_cnt[3799][2]~77380_combout\,
	cout => \led_flash_cnt[3799][2]~77381\);

-- Location: FF_X15_Y14_N7
\led_flash_cnt[3799][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3799][2]~77380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3799][2]~q\);

-- Location: LCCOMB_X15_Y14_N8
\led_flash_cnt[3799][3]~77382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3799][3]~77382_combout\ = (\led_flash_cnt[3799][3]~q\ & (\led_flash_cnt[3799][2]~77381\ $ (GND))) # (!\led_flash_cnt[3799][3]~q\ & (!\led_flash_cnt[3799][2]~77381\ & VCC))
-- \led_flash_cnt[3799][3]~77383\ = CARRY((\led_flash_cnt[3799][3]~q\ & !\led_flash_cnt[3799][2]~77381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3799][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3799][2]~77381\,
	combout => \led_flash_cnt[3799][3]~77382_combout\,
	cout => \led_flash_cnt[3799][3]~77383\);

-- Location: FF_X15_Y14_N9
\led_flash_cnt[3799][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3799][3]~77382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3799][3]~q\);

-- Location: LCCOMB_X15_Y14_N10
\led_flash_cnt[3799][4]~77384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3799][4]~77384_combout\ = (\led_flash_cnt[3799][4]~q\ & (!\led_flash_cnt[3799][3]~77383\)) # (!\led_flash_cnt[3799][4]~q\ & ((\led_flash_cnt[3799][3]~77383\) # (GND)))
-- \led_flash_cnt[3799][4]~77385\ = CARRY((!\led_flash_cnt[3799][3]~77383\) # (!\led_flash_cnt[3799][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3799][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3799][3]~77383\,
	combout => \led_flash_cnt[3799][4]~77384_combout\,
	cout => \led_flash_cnt[3799][4]~77385\);

-- Location: FF_X15_Y14_N11
\led_flash_cnt[3799][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3799][4]~77384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3799][4]~q\);

-- Location: LCCOMB_X15_Y14_N26
\WideAnd3799~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3799~0_combout\ = (\led_flash_cnt[3799][4]~q\ & (\led_flash_cnt[3799][3]~q\ & (\led_flash_cnt[3799][1]~q\ & \led_flash_cnt[3799][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3799][4]~q\,
	datab => \led_flash_cnt[3799][3]~q\,
	datac => \led_flash_cnt[3799][1]~q\,
	datad => \led_flash_cnt[3799][2]~q\,
	combout => \WideAnd3799~0_combout\);

-- Location: LCCOMB_X15_Y14_N12
\led_flash_cnt[3799][5]~77386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3799][5]~77386_combout\ = (\led_flash_cnt[3799][5]~q\ & (\led_flash_cnt[3799][4]~77385\ $ (GND))) # (!\led_flash_cnt[3799][5]~q\ & (!\led_flash_cnt[3799][4]~77385\ & VCC))
-- \led_flash_cnt[3799][5]~77387\ = CARRY((\led_flash_cnt[3799][5]~q\ & !\led_flash_cnt[3799][4]~77385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3799][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3799][4]~77385\,
	combout => \led_flash_cnt[3799][5]~77386_combout\,
	cout => \led_flash_cnt[3799][5]~77387\);

-- Location: FF_X15_Y14_N13
\led_flash_cnt[3799][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3799][5]~77386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3799][5]~q\);

-- Location: LCCOMB_X15_Y14_N14
\led_flash_cnt[3799][6]~77388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3799][6]~77388_combout\ = (\led_flash_cnt[3799][6]~q\ & (!\led_flash_cnt[3799][5]~77387\)) # (!\led_flash_cnt[3799][6]~q\ & ((\led_flash_cnt[3799][5]~77387\) # (GND)))
-- \led_flash_cnt[3799][6]~77389\ = CARRY((!\led_flash_cnt[3799][5]~77387\) # (!\led_flash_cnt[3799][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3799][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3799][5]~77387\,
	combout => \led_flash_cnt[3799][6]~77388_combout\,
	cout => \led_flash_cnt[3799][6]~77389\);

-- Location: FF_X15_Y14_N15
\led_flash_cnt[3799][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3799][6]~77388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3799][6]~q\);

-- Location: LCCOMB_X15_Y14_N16
\led_flash_cnt[3799][7]~77390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3799][7]~77390_combout\ = \led_flash_cnt[3799][6]~77389\ $ (!\led_flash_cnt[3799][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3799][7]~q\,
	cin => \led_flash_cnt[3799][6]~77389\,
	combout => \led_flash_cnt[3799][7]~77390_combout\);

-- Location: FF_X15_Y14_N17
\led_flash_cnt[3799][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3799][7]~77390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3799][7]~q\);

-- Location: LCCOMB_X15_Y14_N18
\WideAnd3799~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3799~1_combout\ = (\led_flash_cnt[3799][6]~q\ & \led_flash_cnt[3799][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3799][6]~q\,
	datad => \led_flash_cnt[3799][5]~q\,
	combout => \WideAnd3799~1_combout\);

-- Location: LCCOMB_X15_Y14_N30
WideAnd3799 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3799~combout\ = (\WideAnd3799~0_combout\ & (\led_flash_cnt[3799][7]~q\ & (\led_flash_cnt[3799][0]~q\ & \WideAnd3799~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3799~0_combout\,
	datab => \led_flash_cnt[3799][7]~q\,
	datac => \led_flash_cnt[3799][0]~q\,
	datad => \WideAnd3799~1_combout\,
	combout => \WideAnd3799~combout\);

-- Location: FF_X15_Y14_N31
\led_flash_cnt_ands[3799]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3799~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3799));

-- Location: LCCOMB_X26_Y9_N2
\led_flash_cnt[3796][0]~84244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3796][0]~84244_combout\ = !\led_flash_cnt[3796][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3796][0]~q\,
	combout => \led_flash_cnt[3796][0]~84244_combout\);

-- Location: FF_X26_Y9_N3
\led_flash_cnt[3796][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3796][0]~84244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3796][0]~q\);

-- Location: LCCOMB_X25_Y9_N16
\led_flash_cnt[3796][1]~77336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3796][1]~77336_combout\ = (\led_flash_cnt[3796][0]~q\ & (\led_flash_cnt[3796][1]~q\ $ (VCC))) # (!\led_flash_cnt[3796][0]~q\ & (\led_flash_cnt[3796][1]~q\ & VCC))
-- \led_flash_cnt[3796][1]~77337\ = CARRY((\led_flash_cnt[3796][0]~q\ & \led_flash_cnt[3796][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3796][0]~q\,
	datab => \led_flash_cnt[3796][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3796][1]~77336_combout\,
	cout => \led_flash_cnt[3796][1]~77337\);

-- Location: FF_X25_Y9_N17
\led_flash_cnt[3796][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3796][1]~77336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3796][1]~q\);

-- Location: LCCOMB_X25_Y9_N18
\led_flash_cnt[3796][2]~77338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3796][2]~77338_combout\ = (\led_flash_cnt[3796][2]~q\ & (!\led_flash_cnt[3796][1]~77337\)) # (!\led_flash_cnt[3796][2]~q\ & ((\led_flash_cnt[3796][1]~77337\) # (GND)))
-- \led_flash_cnt[3796][2]~77339\ = CARRY((!\led_flash_cnt[3796][1]~77337\) # (!\led_flash_cnt[3796][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3796][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3796][1]~77337\,
	combout => \led_flash_cnt[3796][2]~77338_combout\,
	cout => \led_flash_cnt[3796][2]~77339\);

-- Location: FF_X25_Y9_N19
\led_flash_cnt[3796][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3796][2]~77338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3796][2]~q\);

-- Location: LCCOMB_X25_Y9_N20
\led_flash_cnt[3796][3]~77340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3796][3]~77340_combout\ = (\led_flash_cnt[3796][3]~q\ & (\led_flash_cnt[3796][2]~77339\ $ (GND))) # (!\led_flash_cnt[3796][3]~q\ & (!\led_flash_cnt[3796][2]~77339\ & VCC))
-- \led_flash_cnt[3796][3]~77341\ = CARRY((\led_flash_cnt[3796][3]~q\ & !\led_flash_cnt[3796][2]~77339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3796][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3796][2]~77339\,
	combout => \led_flash_cnt[3796][3]~77340_combout\,
	cout => \led_flash_cnt[3796][3]~77341\);

-- Location: FF_X25_Y9_N21
\led_flash_cnt[3796][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3796][3]~77340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3796][3]~q\);

-- Location: LCCOMB_X25_Y9_N22
\led_flash_cnt[3796][4]~77342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3796][4]~77342_combout\ = (\led_flash_cnt[3796][4]~q\ & (!\led_flash_cnt[3796][3]~77341\)) # (!\led_flash_cnt[3796][4]~q\ & ((\led_flash_cnt[3796][3]~77341\) # (GND)))
-- \led_flash_cnt[3796][4]~77343\ = CARRY((!\led_flash_cnt[3796][3]~77341\) # (!\led_flash_cnt[3796][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3796][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3796][3]~77341\,
	combout => \led_flash_cnt[3796][4]~77342_combout\,
	cout => \led_flash_cnt[3796][4]~77343\);

-- Location: FF_X25_Y9_N23
\led_flash_cnt[3796][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3796][4]~77342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3796][4]~q\);

-- Location: LCCOMB_X25_Y9_N14
\WideAnd3796~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3796~0_combout\ = (\led_flash_cnt[3796][1]~q\ & (\led_flash_cnt[3796][3]~q\ & (\led_flash_cnt[3796][4]~q\ & \led_flash_cnt[3796][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3796][1]~q\,
	datab => \led_flash_cnt[3796][3]~q\,
	datac => \led_flash_cnt[3796][4]~q\,
	datad => \led_flash_cnt[3796][2]~q\,
	combout => \WideAnd3796~0_combout\);

-- Location: LCCOMB_X25_Y9_N24
\led_flash_cnt[3796][5]~77344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3796][5]~77344_combout\ = (\led_flash_cnt[3796][5]~q\ & (\led_flash_cnt[3796][4]~77343\ $ (GND))) # (!\led_flash_cnt[3796][5]~q\ & (!\led_flash_cnt[3796][4]~77343\ & VCC))
-- \led_flash_cnt[3796][5]~77345\ = CARRY((\led_flash_cnt[3796][5]~q\ & !\led_flash_cnt[3796][4]~77343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3796][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3796][4]~77343\,
	combout => \led_flash_cnt[3796][5]~77344_combout\,
	cout => \led_flash_cnt[3796][5]~77345\);

-- Location: FF_X25_Y9_N25
\led_flash_cnt[3796][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3796][5]~77344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3796][5]~q\);

-- Location: LCCOMB_X25_Y9_N26
\led_flash_cnt[3796][6]~77346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3796][6]~77346_combout\ = (\led_flash_cnt[3796][6]~q\ & (!\led_flash_cnt[3796][5]~77345\)) # (!\led_flash_cnt[3796][6]~q\ & ((\led_flash_cnt[3796][5]~77345\) # (GND)))
-- \led_flash_cnt[3796][6]~77347\ = CARRY((!\led_flash_cnt[3796][5]~77345\) # (!\led_flash_cnt[3796][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3796][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3796][5]~77345\,
	combout => \led_flash_cnt[3796][6]~77346_combout\,
	cout => \led_flash_cnt[3796][6]~77347\);

-- Location: FF_X25_Y9_N27
\led_flash_cnt[3796][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3796][6]~77346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3796][6]~q\);

-- Location: LCCOMB_X25_Y9_N28
\led_flash_cnt[3796][7]~77348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3796][7]~77348_combout\ = \led_flash_cnt[3796][6]~77347\ $ (!\led_flash_cnt[3796][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3796][7]~q\,
	cin => \led_flash_cnt[3796][6]~77347\,
	combout => \led_flash_cnt[3796][7]~77348_combout\);

-- Location: FF_X25_Y9_N29
\led_flash_cnt[3796][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3796][7]~77348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3796][7]~q\);

-- Location: LCCOMB_X26_Y9_N10
\WideAnd3796~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3796~1_combout\ = (\led_flash_cnt[3796][6]~q\ & \led_flash_cnt[3796][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3796][6]~q\,
	datad => \led_flash_cnt[3796][5]~q\,
	combout => \WideAnd3796~1_combout\);

-- Location: LCCOMB_X26_Y9_N8
WideAnd3796 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3796~combout\ = (\WideAnd3796~0_combout\ & (\led_flash_cnt[3796][7]~q\ & (\led_flash_cnt[3796][0]~q\ & \WideAnd3796~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3796~0_combout\,
	datab => \led_flash_cnt[3796][7]~q\,
	datac => \led_flash_cnt[3796][0]~q\,
	datad => \WideAnd3796~1_combout\,
	combout => \WideAnd3796~combout\);

-- Location: FF_X26_Y9_N9
\led_flash_cnt_ands[3796]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3796~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3796));

-- Location: LCCOMB_X20_Y4_N2
\led_flash_cnt[3797][0]~84245\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3797][0]~84245_combout\ = !\led_flash_cnt[3797][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3797][0]~q\,
	combout => \led_flash_cnt[3797][0]~84245_combout\);

-- Location: FF_X20_Y4_N3
\led_flash_cnt[3797][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3797][0]~84245_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3797][0]~q\);

-- Location: LCCOMB_X20_Y4_N18
\led_flash_cnt[3797][1]~77350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3797][1]~77350_combout\ = (\led_flash_cnt[3797][1]~q\ & (\led_flash_cnt[3797][0]~q\ $ (VCC))) # (!\led_flash_cnt[3797][1]~q\ & (\led_flash_cnt[3797][0]~q\ & VCC))
-- \led_flash_cnt[3797][1]~77351\ = CARRY((\led_flash_cnt[3797][1]~q\ & \led_flash_cnt[3797][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3797][1]~q\,
	datab => \led_flash_cnt[3797][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3797][1]~77350_combout\,
	cout => \led_flash_cnt[3797][1]~77351\);

-- Location: FF_X20_Y4_N19
\led_flash_cnt[3797][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3797][1]~77350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3797][1]~q\);

-- Location: LCCOMB_X20_Y4_N20
\led_flash_cnt[3797][2]~77352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3797][2]~77352_combout\ = (\led_flash_cnt[3797][2]~q\ & (!\led_flash_cnt[3797][1]~77351\)) # (!\led_flash_cnt[3797][2]~q\ & ((\led_flash_cnt[3797][1]~77351\) # (GND)))
-- \led_flash_cnt[3797][2]~77353\ = CARRY((!\led_flash_cnt[3797][1]~77351\) # (!\led_flash_cnt[3797][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3797][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3797][1]~77351\,
	combout => \led_flash_cnt[3797][2]~77352_combout\,
	cout => \led_flash_cnt[3797][2]~77353\);

-- Location: FF_X20_Y4_N21
\led_flash_cnt[3797][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3797][2]~77352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3797][2]~q\);

-- Location: LCCOMB_X20_Y4_N22
\led_flash_cnt[3797][3]~77354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3797][3]~77354_combout\ = (\led_flash_cnt[3797][3]~q\ & (\led_flash_cnt[3797][2]~77353\ $ (GND))) # (!\led_flash_cnt[3797][3]~q\ & (!\led_flash_cnt[3797][2]~77353\ & VCC))
-- \led_flash_cnt[3797][3]~77355\ = CARRY((\led_flash_cnt[3797][3]~q\ & !\led_flash_cnt[3797][2]~77353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3797][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3797][2]~77353\,
	combout => \led_flash_cnt[3797][3]~77354_combout\,
	cout => \led_flash_cnt[3797][3]~77355\);

-- Location: FF_X20_Y4_N23
\led_flash_cnt[3797][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3797][3]~77354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3797][3]~q\);

-- Location: LCCOMB_X20_Y4_N24
\led_flash_cnt[3797][4]~77356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3797][4]~77356_combout\ = (\led_flash_cnt[3797][4]~q\ & (!\led_flash_cnt[3797][3]~77355\)) # (!\led_flash_cnt[3797][4]~q\ & ((\led_flash_cnt[3797][3]~77355\) # (GND)))
-- \led_flash_cnt[3797][4]~77357\ = CARRY((!\led_flash_cnt[3797][3]~77355\) # (!\led_flash_cnt[3797][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3797][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3797][3]~77355\,
	combout => \led_flash_cnt[3797][4]~77356_combout\,
	cout => \led_flash_cnt[3797][4]~77357\);

-- Location: FF_X20_Y4_N25
\led_flash_cnt[3797][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3797][4]~77356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3797][4]~q\);

-- Location: LCCOMB_X20_Y4_N26
\led_flash_cnt[3797][5]~77358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3797][5]~77358_combout\ = (\led_flash_cnt[3797][5]~q\ & (\led_flash_cnt[3797][4]~77357\ $ (GND))) # (!\led_flash_cnt[3797][5]~q\ & (!\led_flash_cnt[3797][4]~77357\ & VCC))
-- \led_flash_cnt[3797][5]~77359\ = CARRY((\led_flash_cnt[3797][5]~q\ & !\led_flash_cnt[3797][4]~77357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3797][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3797][4]~77357\,
	combout => \led_flash_cnt[3797][5]~77358_combout\,
	cout => \led_flash_cnt[3797][5]~77359\);

-- Location: FF_X20_Y4_N27
\led_flash_cnt[3797][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3797][5]~77358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3797][5]~q\);

-- Location: LCCOMB_X20_Y4_N28
\led_flash_cnt[3797][6]~77360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3797][6]~77360_combout\ = (\led_flash_cnt[3797][6]~q\ & (!\led_flash_cnt[3797][5]~77359\)) # (!\led_flash_cnt[3797][6]~q\ & ((\led_flash_cnt[3797][5]~77359\) # (GND)))
-- \led_flash_cnt[3797][6]~77361\ = CARRY((!\led_flash_cnt[3797][5]~77359\) # (!\led_flash_cnt[3797][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3797][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3797][5]~77359\,
	combout => \led_flash_cnt[3797][6]~77360_combout\,
	cout => \led_flash_cnt[3797][6]~77361\);

-- Location: FF_X20_Y4_N29
\led_flash_cnt[3797][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3797][6]~77360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3797][6]~q\);

-- Location: LCCOMB_X20_Y4_N30
\led_flash_cnt[3797][7]~77362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3797][7]~77362_combout\ = \led_flash_cnt[3797][7]~q\ $ (!\led_flash_cnt[3797][6]~77361\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3797][7]~q\,
	cin => \led_flash_cnt[3797][6]~77361\,
	combout => \led_flash_cnt[3797][7]~77362_combout\);

-- Location: FF_X20_Y4_N31
\led_flash_cnt[3797][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3797][7]~77362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3797][7]~q\);

-- Location: LCCOMB_X20_Y4_N0
\WideAnd3797~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3797~1_combout\ = (\led_flash_cnt[3797][5]~q\ & \led_flash_cnt[3797][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3797][5]~q\,
	datad => \led_flash_cnt[3797][6]~q\,
	combout => \WideAnd3797~1_combout\);

-- Location: LCCOMB_X21_Y4_N6
\WideAnd3797~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3797~0_combout\ = (\led_flash_cnt[3797][4]~q\ & (\led_flash_cnt[3797][2]~q\ & (\led_flash_cnt[3797][1]~q\ & \led_flash_cnt[3797][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3797][4]~q\,
	datab => \led_flash_cnt[3797][2]~q\,
	datac => \led_flash_cnt[3797][1]~q\,
	datad => \led_flash_cnt[3797][3]~q\,
	combout => \WideAnd3797~0_combout\);

-- Location: LCCOMB_X21_Y4_N28
WideAnd3797 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3797~combout\ = (\led_flash_cnt[3797][0]~q\ & (\led_flash_cnt[3797][7]~q\ & (\WideAnd3797~1_combout\ & \WideAnd3797~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3797][0]~q\,
	datab => \led_flash_cnt[3797][7]~q\,
	datac => \WideAnd3797~1_combout\,
	datad => \WideAnd3797~0_combout\,
	combout => \WideAnd3797~combout\);

-- Location: FF_X21_Y4_N29
\led_flash_cnt_ands[3797]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3797~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3797));

-- Location: LCCOMB_X20_Y7_N2
\WideAnd4314~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4314~1_combout\ = (led_flash_cnt_ands(3796) & led_flash_cnt_ands(3797))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3796),
	datad => led_flash_cnt_ands(3797),
	combout => \WideAnd4314~1_combout\);

-- Location: LCCOMB_X15_Y13_N12
WideAnd4314 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4314~combout\ = (led_flash_cnt_ands(3798) & (\WideAnd4314~0_combout\ & (led_flash_cnt_ands(3799) & \WideAnd4314~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3798),
	datab => \WideAnd4314~0_combout\,
	datac => led_flash_cnt_ands(3799),
	datad => \WideAnd4314~1_combout\,
	combout => \WideAnd4314~combout\);

-- Location: FF_X15_Y13_N13
\led_flash_cnt_ands_1[474]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4314~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(474));

-- Location: LCCOMB_X15_Y13_N28
\WideAnd4379~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4379~0_combout\ = (led_flash_cnt_ands_1(472) & (led_flash_cnt_ands_1(473) & (led_flash_cnt_ands_1(475) & led_flash_cnt_ands_1(474))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(472),
	datab => led_flash_cnt_ands_1(473),
	datac => led_flash_cnt_ands_1(475),
	datad => led_flash_cnt_ands_1(474),
	combout => \WideAnd4379~0_combout\);

-- Location: LCCOMB_X9_Y20_N12
\led_flash_cnt[3813][0]~84261\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3813][0]~84261_combout\ = !\led_flash_cnt[3813][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3813][0]~q\,
	combout => \led_flash_cnt[3813][0]~84261_combout\);

-- Location: FF_X9_Y20_N13
\led_flash_cnt[3813][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3813][0]~84261_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3813][0]~q\);

-- Location: LCCOMB_X9_Y20_N18
\led_flash_cnt[3813][1]~77574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3813][1]~77574_combout\ = (\led_flash_cnt[3813][0]~q\ & (\led_flash_cnt[3813][1]~q\ $ (VCC))) # (!\led_flash_cnt[3813][0]~q\ & (\led_flash_cnt[3813][1]~q\ & VCC))
-- \led_flash_cnt[3813][1]~77575\ = CARRY((\led_flash_cnt[3813][0]~q\ & \led_flash_cnt[3813][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3813][0]~q\,
	datab => \led_flash_cnt[3813][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3813][1]~77574_combout\,
	cout => \led_flash_cnt[3813][1]~77575\);

-- Location: FF_X9_Y20_N19
\led_flash_cnt[3813][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3813][1]~77574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3813][1]~q\);

-- Location: LCCOMB_X9_Y20_N20
\led_flash_cnt[3813][2]~77576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3813][2]~77576_combout\ = (\led_flash_cnt[3813][2]~q\ & (!\led_flash_cnt[3813][1]~77575\)) # (!\led_flash_cnt[3813][2]~q\ & ((\led_flash_cnt[3813][1]~77575\) # (GND)))
-- \led_flash_cnt[3813][2]~77577\ = CARRY((!\led_flash_cnt[3813][1]~77575\) # (!\led_flash_cnt[3813][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3813][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3813][1]~77575\,
	combout => \led_flash_cnt[3813][2]~77576_combout\,
	cout => \led_flash_cnt[3813][2]~77577\);

-- Location: FF_X9_Y20_N21
\led_flash_cnt[3813][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3813][2]~77576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3813][2]~q\);

-- Location: LCCOMB_X9_Y20_N22
\led_flash_cnt[3813][3]~77578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3813][3]~77578_combout\ = (\led_flash_cnt[3813][3]~q\ & (\led_flash_cnt[3813][2]~77577\ $ (GND))) # (!\led_flash_cnt[3813][3]~q\ & (!\led_flash_cnt[3813][2]~77577\ & VCC))
-- \led_flash_cnt[3813][3]~77579\ = CARRY((\led_flash_cnt[3813][3]~q\ & !\led_flash_cnt[3813][2]~77577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3813][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3813][2]~77577\,
	combout => \led_flash_cnt[3813][3]~77578_combout\,
	cout => \led_flash_cnt[3813][3]~77579\);

-- Location: FF_X9_Y20_N23
\led_flash_cnt[3813][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3813][3]~77578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3813][3]~q\);

-- Location: LCCOMB_X9_Y20_N24
\led_flash_cnt[3813][4]~77580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3813][4]~77580_combout\ = (\led_flash_cnt[3813][4]~q\ & (!\led_flash_cnt[3813][3]~77579\)) # (!\led_flash_cnt[3813][4]~q\ & ((\led_flash_cnt[3813][3]~77579\) # (GND)))
-- \led_flash_cnt[3813][4]~77581\ = CARRY((!\led_flash_cnt[3813][3]~77579\) # (!\led_flash_cnt[3813][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3813][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3813][3]~77579\,
	combout => \led_flash_cnt[3813][4]~77580_combout\,
	cout => \led_flash_cnt[3813][4]~77581\);

-- Location: FF_X9_Y20_N25
\led_flash_cnt[3813][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3813][4]~77580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3813][4]~q\);

-- Location: LCCOMB_X9_Y20_N26
\led_flash_cnt[3813][5]~77582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3813][5]~77582_combout\ = (\led_flash_cnt[3813][5]~q\ & (\led_flash_cnt[3813][4]~77581\ $ (GND))) # (!\led_flash_cnt[3813][5]~q\ & (!\led_flash_cnt[3813][4]~77581\ & VCC))
-- \led_flash_cnt[3813][5]~77583\ = CARRY((\led_flash_cnt[3813][5]~q\ & !\led_flash_cnt[3813][4]~77581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3813][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3813][4]~77581\,
	combout => \led_flash_cnt[3813][5]~77582_combout\,
	cout => \led_flash_cnt[3813][5]~77583\);

-- Location: FF_X9_Y20_N27
\led_flash_cnt[3813][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3813][5]~77582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3813][5]~q\);

-- Location: LCCOMB_X9_Y20_N28
\led_flash_cnt[3813][6]~77584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3813][6]~77584_combout\ = (\led_flash_cnt[3813][6]~q\ & (!\led_flash_cnt[3813][5]~77583\)) # (!\led_flash_cnt[3813][6]~q\ & ((\led_flash_cnt[3813][5]~77583\) # (GND)))
-- \led_flash_cnt[3813][6]~77585\ = CARRY((!\led_flash_cnt[3813][5]~77583\) # (!\led_flash_cnt[3813][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3813][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3813][5]~77583\,
	combout => \led_flash_cnt[3813][6]~77584_combout\,
	cout => \led_flash_cnt[3813][6]~77585\);

-- Location: FF_X9_Y20_N29
\led_flash_cnt[3813][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3813][6]~77584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3813][6]~q\);

-- Location: LCCOMB_X9_Y20_N10
\WideAnd3813~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3813~1_combout\ = (\led_flash_cnt[3813][5]~q\ & \led_flash_cnt[3813][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3813][5]~q\,
	datad => \led_flash_cnt[3813][6]~q\,
	combout => \WideAnd3813~1_combout\);

-- Location: LCCOMB_X9_Y20_N16
\WideAnd3813~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3813~0_combout\ = (\led_flash_cnt[3813][4]~q\ & (\led_flash_cnt[3813][1]~q\ & (\led_flash_cnt[3813][3]~q\ & \led_flash_cnt[3813][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3813][4]~q\,
	datab => \led_flash_cnt[3813][1]~q\,
	datac => \led_flash_cnt[3813][3]~q\,
	datad => \led_flash_cnt[3813][2]~q\,
	combout => \WideAnd3813~0_combout\);

-- Location: LCCOMB_X9_Y20_N30
\led_flash_cnt[3813][7]~77586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3813][7]~77586_combout\ = \led_flash_cnt[3813][7]~q\ $ (!\led_flash_cnt[3813][6]~77585\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3813][7]~q\,
	cin => \led_flash_cnt[3813][6]~77585\,
	combout => \led_flash_cnt[3813][7]~77586_combout\);

-- Location: FF_X9_Y20_N31
\led_flash_cnt[3813][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3813][7]~77586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3813][7]~q\);

-- Location: LCCOMB_X9_Y20_N8
WideAnd3813 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3813~combout\ = (\WideAnd3813~1_combout\ & (\WideAnd3813~0_combout\ & (\led_flash_cnt[3813][7]~q\ & \led_flash_cnt[3813][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3813~1_combout\,
	datab => \WideAnd3813~0_combout\,
	datac => \led_flash_cnt[3813][7]~q\,
	datad => \led_flash_cnt[3813][0]~q\,
	combout => \WideAnd3813~combout\);

-- Location: FF_X9_Y20_N9
\led_flash_cnt_ands[3813]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3813~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3813));

-- Location: LCCOMB_X9_Y20_N4
\led_flash_cnt[3812][0]~84260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3812][0]~84260_combout\ = !\led_flash_cnt[3812][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3812][0]~q\,
	combout => \led_flash_cnt[3812][0]~84260_combout\);

-- Location: FF_X9_Y20_N5
\led_flash_cnt[3812][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3812][0]~84260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3812][0]~q\);

-- Location: LCCOMB_X9_Y23_N4
\led_flash_cnt[3812][1]~77560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3812][1]~77560_combout\ = (\led_flash_cnt[3812][0]~q\ & (\led_flash_cnt[3812][1]~q\ $ (VCC))) # (!\led_flash_cnt[3812][0]~q\ & (\led_flash_cnt[3812][1]~q\ & VCC))
-- \led_flash_cnt[3812][1]~77561\ = CARRY((\led_flash_cnt[3812][0]~q\ & \led_flash_cnt[3812][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3812][0]~q\,
	datab => \led_flash_cnt[3812][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3812][1]~77560_combout\,
	cout => \led_flash_cnt[3812][1]~77561\);

-- Location: FF_X9_Y23_N5
\led_flash_cnt[3812][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3812][1]~77560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3812][1]~q\);

-- Location: LCCOMB_X9_Y23_N6
\led_flash_cnt[3812][2]~77562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3812][2]~77562_combout\ = (\led_flash_cnt[3812][2]~q\ & (!\led_flash_cnt[3812][1]~77561\)) # (!\led_flash_cnt[3812][2]~q\ & ((\led_flash_cnt[3812][1]~77561\) # (GND)))
-- \led_flash_cnt[3812][2]~77563\ = CARRY((!\led_flash_cnt[3812][1]~77561\) # (!\led_flash_cnt[3812][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3812][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3812][1]~77561\,
	combout => \led_flash_cnt[3812][2]~77562_combout\,
	cout => \led_flash_cnt[3812][2]~77563\);

-- Location: FF_X9_Y23_N7
\led_flash_cnt[3812][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3812][2]~77562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3812][2]~q\);

-- Location: LCCOMB_X9_Y23_N8
\led_flash_cnt[3812][3]~77564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3812][3]~77564_combout\ = (\led_flash_cnt[3812][3]~q\ & (\led_flash_cnt[3812][2]~77563\ $ (GND))) # (!\led_flash_cnt[3812][3]~q\ & (!\led_flash_cnt[3812][2]~77563\ & VCC))
-- \led_flash_cnt[3812][3]~77565\ = CARRY((\led_flash_cnt[3812][3]~q\ & !\led_flash_cnt[3812][2]~77563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3812][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3812][2]~77563\,
	combout => \led_flash_cnt[3812][3]~77564_combout\,
	cout => \led_flash_cnt[3812][3]~77565\);

-- Location: FF_X9_Y23_N9
\led_flash_cnt[3812][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3812][3]~77564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3812][3]~q\);

-- Location: LCCOMB_X9_Y23_N10
\led_flash_cnt[3812][4]~77566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3812][4]~77566_combout\ = (\led_flash_cnt[3812][4]~q\ & (!\led_flash_cnt[3812][3]~77565\)) # (!\led_flash_cnt[3812][4]~q\ & ((\led_flash_cnt[3812][3]~77565\) # (GND)))
-- \led_flash_cnt[3812][4]~77567\ = CARRY((!\led_flash_cnt[3812][3]~77565\) # (!\led_flash_cnt[3812][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3812][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3812][3]~77565\,
	combout => \led_flash_cnt[3812][4]~77566_combout\,
	cout => \led_flash_cnt[3812][4]~77567\);

-- Location: FF_X9_Y23_N11
\led_flash_cnt[3812][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3812][4]~77566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3812][4]~q\);

-- Location: LCCOMB_X9_Y23_N12
\led_flash_cnt[3812][5]~77568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3812][5]~77568_combout\ = (\led_flash_cnt[3812][5]~q\ & (\led_flash_cnt[3812][4]~77567\ $ (GND))) # (!\led_flash_cnt[3812][5]~q\ & (!\led_flash_cnt[3812][4]~77567\ & VCC))
-- \led_flash_cnt[3812][5]~77569\ = CARRY((\led_flash_cnt[3812][5]~q\ & !\led_flash_cnt[3812][4]~77567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3812][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3812][4]~77567\,
	combout => \led_flash_cnt[3812][5]~77568_combout\,
	cout => \led_flash_cnt[3812][5]~77569\);

-- Location: FF_X9_Y23_N13
\led_flash_cnt[3812][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3812][5]~77568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3812][5]~q\);

-- Location: LCCOMB_X9_Y23_N14
\led_flash_cnt[3812][6]~77570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3812][6]~77570_combout\ = (\led_flash_cnt[3812][6]~q\ & (!\led_flash_cnt[3812][5]~77569\)) # (!\led_flash_cnt[3812][6]~q\ & ((\led_flash_cnt[3812][5]~77569\) # (GND)))
-- \led_flash_cnt[3812][6]~77571\ = CARRY((!\led_flash_cnt[3812][5]~77569\) # (!\led_flash_cnt[3812][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3812][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3812][5]~77569\,
	combout => \led_flash_cnt[3812][6]~77570_combout\,
	cout => \led_flash_cnt[3812][6]~77571\);

-- Location: FF_X9_Y23_N15
\led_flash_cnt[3812][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3812][6]~77570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3812][6]~q\);

-- Location: LCCOMB_X8_Y23_N22
\WideAnd3812~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3812~1_combout\ = (\led_flash_cnt[3812][6]~q\ & \led_flash_cnt[3812][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3812][6]~q\,
	datac => \led_flash_cnt[3812][5]~q\,
	combout => \WideAnd3812~1_combout\);

-- Location: LCCOMB_X8_Y23_N4
\WideAnd3812~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3812~0_combout\ = (\led_flash_cnt[3812][2]~q\ & (\led_flash_cnt[3812][4]~q\ & (\led_flash_cnt[3812][3]~q\ & \led_flash_cnt[3812][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3812][2]~q\,
	datab => \led_flash_cnt[3812][4]~q\,
	datac => \led_flash_cnt[3812][3]~q\,
	datad => \led_flash_cnt[3812][1]~q\,
	combout => \WideAnd3812~0_combout\);

-- Location: LCCOMB_X9_Y23_N16
\led_flash_cnt[3812][7]~77572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3812][7]~77572_combout\ = \led_flash_cnt[3812][6]~77571\ $ (!\led_flash_cnt[3812][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3812][7]~q\,
	cin => \led_flash_cnt[3812][6]~77571\,
	combout => \led_flash_cnt[3812][7]~77572_combout\);

-- Location: FF_X9_Y23_N17
\led_flash_cnt[3812][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3812][7]~77572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3812][7]~q\);

-- Location: LCCOMB_X9_Y23_N0
WideAnd3812 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3812~combout\ = (\led_flash_cnt[3812][0]~q\ & (\WideAnd3812~1_combout\ & (\WideAnd3812~0_combout\ & \led_flash_cnt[3812][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3812][0]~q\,
	datab => \WideAnd3812~1_combout\,
	datac => \WideAnd3812~0_combout\,
	datad => \led_flash_cnt[3812][7]~q\,
	combout => \WideAnd3812~combout\);

-- Location: FF_X9_Y23_N1
\led_flash_cnt_ands[3812]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3812~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3812));

-- Location: LCCOMB_X9_Y20_N14
\WideAnd4316~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4316~1_combout\ = (led_flash_cnt_ands(3813) & led_flash_cnt_ands(3812))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3813),
	datad => led_flash_cnt_ands(3812),
	combout => \WideAnd4316~1_combout\);

-- Location: LCCOMB_X9_Y7_N12
\led_flash_cnt[3815][0]~84263\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3815][0]~84263_combout\ = !\led_flash_cnt[3815][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3815][0]~q\,
	combout => \led_flash_cnt[3815][0]~84263_combout\);

-- Location: FF_X9_Y7_N13
\led_flash_cnt[3815][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3815][0]~84263_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3815][0]~q\);

-- Location: LCCOMB_X9_Y7_N18
\led_flash_cnt[3815][1]~77602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3815][1]~77602_combout\ = (\led_flash_cnt[3815][0]~q\ & (\led_flash_cnt[3815][1]~q\ $ (VCC))) # (!\led_flash_cnt[3815][0]~q\ & (\led_flash_cnt[3815][1]~q\ & VCC))
-- \led_flash_cnt[3815][1]~77603\ = CARRY((\led_flash_cnt[3815][0]~q\ & \led_flash_cnt[3815][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3815][0]~q\,
	datab => \led_flash_cnt[3815][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3815][1]~77602_combout\,
	cout => \led_flash_cnt[3815][1]~77603\);

-- Location: FF_X9_Y7_N19
\led_flash_cnt[3815][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3815][1]~77602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3815][1]~q\);

-- Location: LCCOMB_X9_Y7_N20
\led_flash_cnt[3815][2]~77604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3815][2]~77604_combout\ = (\led_flash_cnt[3815][2]~q\ & (!\led_flash_cnt[3815][1]~77603\)) # (!\led_flash_cnt[3815][2]~q\ & ((\led_flash_cnt[3815][1]~77603\) # (GND)))
-- \led_flash_cnt[3815][2]~77605\ = CARRY((!\led_flash_cnt[3815][1]~77603\) # (!\led_flash_cnt[3815][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3815][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3815][1]~77603\,
	combout => \led_flash_cnt[3815][2]~77604_combout\,
	cout => \led_flash_cnt[3815][2]~77605\);

-- Location: FF_X9_Y7_N21
\led_flash_cnt[3815][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3815][2]~77604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3815][2]~q\);

-- Location: LCCOMB_X9_Y7_N22
\led_flash_cnt[3815][3]~77606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3815][3]~77606_combout\ = (\led_flash_cnt[3815][3]~q\ & (\led_flash_cnt[3815][2]~77605\ $ (GND))) # (!\led_flash_cnt[3815][3]~q\ & (!\led_flash_cnt[3815][2]~77605\ & VCC))
-- \led_flash_cnt[3815][3]~77607\ = CARRY((\led_flash_cnt[3815][3]~q\ & !\led_flash_cnt[3815][2]~77605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3815][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3815][2]~77605\,
	combout => \led_flash_cnt[3815][3]~77606_combout\,
	cout => \led_flash_cnt[3815][3]~77607\);

-- Location: FF_X9_Y7_N23
\led_flash_cnt[3815][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3815][3]~77606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3815][3]~q\);

-- Location: LCCOMB_X9_Y7_N24
\led_flash_cnt[3815][4]~77608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3815][4]~77608_combout\ = (\led_flash_cnt[3815][4]~q\ & (!\led_flash_cnt[3815][3]~77607\)) # (!\led_flash_cnt[3815][4]~q\ & ((\led_flash_cnt[3815][3]~77607\) # (GND)))
-- \led_flash_cnt[3815][4]~77609\ = CARRY((!\led_flash_cnt[3815][3]~77607\) # (!\led_flash_cnt[3815][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3815][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3815][3]~77607\,
	combout => \led_flash_cnt[3815][4]~77608_combout\,
	cout => \led_flash_cnt[3815][4]~77609\);

-- Location: FF_X9_Y7_N25
\led_flash_cnt[3815][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3815][4]~77608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3815][4]~q\);

-- Location: LCCOMB_X9_Y7_N26
\led_flash_cnt[3815][5]~77610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3815][5]~77610_combout\ = (\led_flash_cnt[3815][5]~q\ & (\led_flash_cnt[3815][4]~77609\ $ (GND))) # (!\led_flash_cnt[3815][5]~q\ & (!\led_flash_cnt[3815][4]~77609\ & VCC))
-- \led_flash_cnt[3815][5]~77611\ = CARRY((\led_flash_cnt[3815][5]~q\ & !\led_flash_cnt[3815][4]~77609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3815][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3815][4]~77609\,
	combout => \led_flash_cnt[3815][5]~77610_combout\,
	cout => \led_flash_cnt[3815][5]~77611\);

-- Location: FF_X9_Y7_N27
\led_flash_cnt[3815][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3815][5]~77610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3815][5]~q\);

-- Location: LCCOMB_X9_Y7_N28
\led_flash_cnt[3815][6]~77612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3815][6]~77612_combout\ = (\led_flash_cnt[3815][6]~q\ & (!\led_flash_cnt[3815][5]~77611\)) # (!\led_flash_cnt[3815][6]~q\ & ((\led_flash_cnt[3815][5]~77611\) # (GND)))
-- \led_flash_cnt[3815][6]~77613\ = CARRY((!\led_flash_cnt[3815][5]~77611\) # (!\led_flash_cnt[3815][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3815][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3815][5]~77611\,
	combout => \led_flash_cnt[3815][6]~77612_combout\,
	cout => \led_flash_cnt[3815][6]~77613\);

-- Location: FF_X9_Y7_N29
\led_flash_cnt[3815][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3815][6]~77612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3815][6]~q\);

-- Location: LCCOMB_X9_Y7_N30
\led_flash_cnt[3815][7]~77614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3815][7]~77614_combout\ = \led_flash_cnt[3815][7]~q\ $ (!\led_flash_cnt[3815][6]~77613\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3815][7]~q\,
	cin => \led_flash_cnt[3815][6]~77613\,
	combout => \led_flash_cnt[3815][7]~77614_combout\);

-- Location: FF_X9_Y7_N31
\led_flash_cnt[3815][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3815][7]~77614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3815][7]~q\);

-- Location: LCCOMB_X9_Y7_N4
\WideAnd3815~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3815~0_combout\ = (\led_flash_cnt[3815][2]~q\ & (\led_flash_cnt[3815][1]~q\ & (\led_flash_cnt[3815][3]~q\ & \led_flash_cnt[3815][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3815][2]~q\,
	datab => \led_flash_cnt[3815][1]~q\,
	datac => \led_flash_cnt[3815][3]~q\,
	datad => \led_flash_cnt[3815][4]~q\,
	combout => \WideAnd3815~0_combout\);

-- Location: LCCOMB_X9_Y7_N14
\WideAnd3815~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3815~1_combout\ = (\led_flash_cnt[3815][5]~q\ & \led_flash_cnt[3815][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3815][5]~q\,
	datad => \led_flash_cnt[3815][6]~q\,
	combout => \WideAnd3815~1_combout\);

-- Location: LCCOMB_X9_Y7_N16
WideAnd3815 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3815~combout\ = (\led_flash_cnt[3815][7]~q\ & (\WideAnd3815~0_combout\ & (\WideAnd3815~1_combout\ & \led_flash_cnt[3815][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3815][7]~q\,
	datab => \WideAnd3815~0_combout\,
	datac => \WideAnd3815~1_combout\,
	datad => \led_flash_cnt[3815][0]~q\,
	combout => \WideAnd3815~combout\);

-- Location: FF_X9_Y7_N17
\led_flash_cnt_ands[3815]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3815~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3815));

-- Location: LCCOMB_X9_Y7_N6
\led_flash_cnt[3814][0]~84262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3814][0]~84262_combout\ = !\led_flash_cnt[3814][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3814][0]~q\,
	combout => \led_flash_cnt[3814][0]~84262_combout\);

-- Location: FF_X9_Y7_N7
\led_flash_cnt[3814][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3814][0]~84262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3814][0]~q\);

-- Location: LCCOMB_X10_Y7_N14
\led_flash_cnt[3814][1]~77588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3814][1]~77588_combout\ = (\led_flash_cnt[3814][0]~q\ & (\led_flash_cnt[3814][1]~q\ $ (VCC))) # (!\led_flash_cnt[3814][0]~q\ & (\led_flash_cnt[3814][1]~q\ & VCC))
-- \led_flash_cnt[3814][1]~77589\ = CARRY((\led_flash_cnt[3814][0]~q\ & \led_flash_cnt[3814][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3814][0]~q\,
	datab => \led_flash_cnt[3814][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3814][1]~77588_combout\,
	cout => \led_flash_cnt[3814][1]~77589\);

-- Location: FF_X10_Y7_N15
\led_flash_cnt[3814][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3814][1]~77588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3814][1]~q\);

-- Location: LCCOMB_X10_Y7_N16
\led_flash_cnt[3814][2]~77590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3814][2]~77590_combout\ = (\led_flash_cnt[3814][2]~q\ & (!\led_flash_cnt[3814][1]~77589\)) # (!\led_flash_cnt[3814][2]~q\ & ((\led_flash_cnt[3814][1]~77589\) # (GND)))
-- \led_flash_cnt[3814][2]~77591\ = CARRY((!\led_flash_cnt[3814][1]~77589\) # (!\led_flash_cnt[3814][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3814][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3814][1]~77589\,
	combout => \led_flash_cnt[3814][2]~77590_combout\,
	cout => \led_flash_cnt[3814][2]~77591\);

-- Location: FF_X10_Y7_N17
\led_flash_cnt[3814][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3814][2]~77590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3814][2]~q\);

-- Location: LCCOMB_X10_Y7_N18
\led_flash_cnt[3814][3]~77592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3814][3]~77592_combout\ = (\led_flash_cnt[3814][3]~q\ & (\led_flash_cnt[3814][2]~77591\ $ (GND))) # (!\led_flash_cnt[3814][3]~q\ & (!\led_flash_cnt[3814][2]~77591\ & VCC))
-- \led_flash_cnt[3814][3]~77593\ = CARRY((\led_flash_cnt[3814][3]~q\ & !\led_flash_cnt[3814][2]~77591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3814][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3814][2]~77591\,
	combout => \led_flash_cnt[3814][3]~77592_combout\,
	cout => \led_flash_cnt[3814][3]~77593\);

-- Location: FF_X10_Y7_N19
\led_flash_cnt[3814][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3814][3]~77592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3814][3]~q\);

-- Location: LCCOMB_X10_Y7_N20
\led_flash_cnt[3814][4]~77594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3814][4]~77594_combout\ = (\led_flash_cnt[3814][4]~q\ & (!\led_flash_cnt[3814][3]~77593\)) # (!\led_flash_cnt[3814][4]~q\ & ((\led_flash_cnt[3814][3]~77593\) # (GND)))
-- \led_flash_cnt[3814][4]~77595\ = CARRY((!\led_flash_cnt[3814][3]~77593\) # (!\led_flash_cnt[3814][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3814][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3814][3]~77593\,
	combout => \led_flash_cnt[3814][4]~77594_combout\,
	cout => \led_flash_cnt[3814][4]~77595\);

-- Location: FF_X10_Y7_N21
\led_flash_cnt[3814][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3814][4]~77594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3814][4]~q\);

-- Location: LCCOMB_X10_Y7_N22
\led_flash_cnt[3814][5]~77596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3814][5]~77596_combout\ = (\led_flash_cnt[3814][5]~q\ & (\led_flash_cnt[3814][4]~77595\ $ (GND))) # (!\led_flash_cnt[3814][5]~q\ & (!\led_flash_cnt[3814][4]~77595\ & VCC))
-- \led_flash_cnt[3814][5]~77597\ = CARRY((\led_flash_cnt[3814][5]~q\ & !\led_flash_cnt[3814][4]~77595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3814][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3814][4]~77595\,
	combout => \led_flash_cnt[3814][5]~77596_combout\,
	cout => \led_flash_cnt[3814][5]~77597\);

-- Location: FF_X10_Y7_N23
\led_flash_cnt[3814][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3814][5]~77596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3814][5]~q\);

-- Location: LCCOMB_X10_Y7_N24
\led_flash_cnt[3814][6]~77598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3814][6]~77598_combout\ = (\led_flash_cnt[3814][6]~q\ & (!\led_flash_cnt[3814][5]~77597\)) # (!\led_flash_cnt[3814][6]~q\ & ((\led_flash_cnt[3814][5]~77597\) # (GND)))
-- \led_flash_cnt[3814][6]~77599\ = CARRY((!\led_flash_cnt[3814][5]~77597\) # (!\led_flash_cnt[3814][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3814][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3814][5]~77597\,
	combout => \led_flash_cnt[3814][6]~77598_combout\,
	cout => \led_flash_cnt[3814][6]~77599\);

-- Location: FF_X10_Y7_N25
\led_flash_cnt[3814][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3814][6]~77598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3814][6]~q\);

-- Location: LCCOMB_X10_Y7_N26
\led_flash_cnt[3814][7]~77600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3814][7]~77600_combout\ = \led_flash_cnt[3814][7]~q\ $ (!\led_flash_cnt[3814][6]~77599\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3814][7]~q\,
	cin => \led_flash_cnt[3814][6]~77599\,
	combout => \led_flash_cnt[3814][7]~77600_combout\);

-- Location: FF_X10_Y7_N27
\led_flash_cnt[3814][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3814][7]~77600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3814][7]~q\);

-- Location: LCCOMB_X9_Y7_N8
\WideAnd3814~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3814~1_combout\ = (\led_flash_cnt[3814][6]~q\ & \led_flash_cnt[3814][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3814][6]~q\,
	datad => \led_flash_cnt[3814][5]~q\,
	combout => \WideAnd3814~1_combout\);

-- Location: LCCOMB_X10_Y7_N28
\WideAnd3814~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3814~0_combout\ = (\led_flash_cnt[3814][2]~q\ & (\led_flash_cnt[3814][4]~q\ & (\led_flash_cnt[3814][1]~q\ & \led_flash_cnt[3814][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3814][2]~q\,
	datab => \led_flash_cnt[3814][4]~q\,
	datac => \led_flash_cnt[3814][1]~q\,
	datad => \led_flash_cnt[3814][3]~q\,
	combout => \WideAnd3814~0_combout\);

-- Location: LCCOMB_X9_Y7_N10
WideAnd3814 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3814~combout\ = (\led_flash_cnt[3814][0]~q\ & (\led_flash_cnt[3814][7]~q\ & (\WideAnd3814~1_combout\ & \WideAnd3814~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3814][0]~q\,
	datab => \led_flash_cnt[3814][7]~q\,
	datac => \WideAnd3814~1_combout\,
	datad => \WideAnd3814~0_combout\,
	combout => \WideAnd3814~combout\);

-- Location: FF_X9_Y7_N11
\led_flash_cnt_ands[3814]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3814~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3814));

-- Location: LCCOMB_X18_Y30_N12
\led_flash_cnt[3808][0]~84256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3808][0]~84256_combout\ = !\led_flash_cnt[3808][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3808][0]~q\,
	combout => \led_flash_cnt[3808][0]~84256_combout\);

-- Location: FF_X18_Y30_N13
\led_flash_cnt[3808][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3808][0]~84256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3808][0]~q\);

-- Location: LCCOMB_X18_Y30_N18
\led_flash_cnt[3808][1]~77504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3808][1]~77504_combout\ = (\led_flash_cnt[3808][0]~q\ & (\led_flash_cnt[3808][1]~q\ $ (VCC))) # (!\led_flash_cnt[3808][0]~q\ & (\led_flash_cnt[3808][1]~q\ & VCC))
-- \led_flash_cnt[3808][1]~77505\ = CARRY((\led_flash_cnt[3808][0]~q\ & \led_flash_cnt[3808][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3808][0]~q\,
	datab => \led_flash_cnt[3808][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3808][1]~77504_combout\,
	cout => \led_flash_cnt[3808][1]~77505\);

-- Location: FF_X18_Y30_N19
\led_flash_cnt[3808][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3808][1]~77504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3808][1]~q\);

-- Location: LCCOMB_X18_Y30_N20
\led_flash_cnt[3808][2]~77506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3808][2]~77506_combout\ = (\led_flash_cnt[3808][2]~q\ & (!\led_flash_cnt[3808][1]~77505\)) # (!\led_flash_cnt[3808][2]~q\ & ((\led_flash_cnt[3808][1]~77505\) # (GND)))
-- \led_flash_cnt[3808][2]~77507\ = CARRY((!\led_flash_cnt[3808][1]~77505\) # (!\led_flash_cnt[3808][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3808][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3808][1]~77505\,
	combout => \led_flash_cnt[3808][2]~77506_combout\,
	cout => \led_flash_cnt[3808][2]~77507\);

-- Location: FF_X18_Y30_N21
\led_flash_cnt[3808][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3808][2]~77506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3808][2]~q\);

-- Location: LCCOMB_X18_Y30_N22
\led_flash_cnt[3808][3]~77508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3808][3]~77508_combout\ = (\led_flash_cnt[3808][3]~q\ & (\led_flash_cnt[3808][2]~77507\ $ (GND))) # (!\led_flash_cnt[3808][3]~q\ & (!\led_flash_cnt[3808][2]~77507\ & VCC))
-- \led_flash_cnt[3808][3]~77509\ = CARRY((\led_flash_cnt[3808][3]~q\ & !\led_flash_cnt[3808][2]~77507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3808][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3808][2]~77507\,
	combout => \led_flash_cnt[3808][3]~77508_combout\,
	cout => \led_flash_cnt[3808][3]~77509\);

-- Location: FF_X18_Y30_N23
\led_flash_cnt[3808][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3808][3]~77508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3808][3]~q\);

-- Location: LCCOMB_X18_Y30_N24
\led_flash_cnt[3808][4]~77510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3808][4]~77510_combout\ = (\led_flash_cnt[3808][4]~q\ & (!\led_flash_cnt[3808][3]~77509\)) # (!\led_flash_cnt[3808][4]~q\ & ((\led_flash_cnt[3808][3]~77509\) # (GND)))
-- \led_flash_cnt[3808][4]~77511\ = CARRY((!\led_flash_cnt[3808][3]~77509\) # (!\led_flash_cnt[3808][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3808][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3808][3]~77509\,
	combout => \led_flash_cnt[3808][4]~77510_combout\,
	cout => \led_flash_cnt[3808][4]~77511\);

-- Location: FF_X18_Y30_N25
\led_flash_cnt[3808][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3808][4]~77510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3808][4]~q\);

-- Location: LCCOMB_X18_Y30_N2
\WideAnd3808~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3808~0_combout\ = (\led_flash_cnt[3808][4]~q\ & (\led_flash_cnt[3808][1]~q\ & (\led_flash_cnt[3808][3]~q\ & \led_flash_cnt[3808][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3808][4]~q\,
	datab => \led_flash_cnt[3808][1]~q\,
	datac => \led_flash_cnt[3808][3]~q\,
	datad => \led_flash_cnt[3808][2]~q\,
	combout => \WideAnd3808~0_combout\);

-- Location: LCCOMB_X18_Y30_N26
\led_flash_cnt[3808][5]~77512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3808][5]~77512_combout\ = (\led_flash_cnt[3808][5]~q\ & (\led_flash_cnt[3808][4]~77511\ $ (GND))) # (!\led_flash_cnt[3808][5]~q\ & (!\led_flash_cnt[3808][4]~77511\ & VCC))
-- \led_flash_cnt[3808][5]~77513\ = CARRY((\led_flash_cnt[3808][5]~q\ & !\led_flash_cnt[3808][4]~77511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3808][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3808][4]~77511\,
	combout => \led_flash_cnt[3808][5]~77512_combout\,
	cout => \led_flash_cnt[3808][5]~77513\);

-- Location: FF_X18_Y30_N27
\led_flash_cnt[3808][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3808][5]~77512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3808][5]~q\);

-- Location: LCCOMB_X18_Y30_N28
\led_flash_cnt[3808][6]~77514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3808][6]~77514_combout\ = (\led_flash_cnt[3808][6]~q\ & (!\led_flash_cnt[3808][5]~77513\)) # (!\led_flash_cnt[3808][6]~q\ & ((\led_flash_cnt[3808][5]~77513\) # (GND)))
-- \led_flash_cnt[3808][6]~77515\ = CARRY((!\led_flash_cnt[3808][5]~77513\) # (!\led_flash_cnt[3808][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3808][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3808][5]~77513\,
	combout => \led_flash_cnt[3808][6]~77514_combout\,
	cout => \led_flash_cnt[3808][6]~77515\);

-- Location: FF_X18_Y30_N29
\led_flash_cnt[3808][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3808][6]~77514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3808][6]~q\);

-- Location: LCCOMB_X18_Y30_N30
\led_flash_cnt[3808][7]~77516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3808][7]~77516_combout\ = \led_flash_cnt[3808][7]~q\ $ (!\led_flash_cnt[3808][6]~77515\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3808][7]~q\,
	cin => \led_flash_cnt[3808][6]~77515\,
	combout => \led_flash_cnt[3808][7]~77516_combout\);

-- Location: FF_X18_Y30_N31
\led_flash_cnt[3808][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3808][7]~77516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3808][7]~q\);

-- Location: LCCOMB_X18_Y30_N0
\WideAnd3808~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3808~1_combout\ = (\led_flash_cnt[3808][5]~q\ & \led_flash_cnt[3808][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3808][5]~q\,
	datad => \led_flash_cnt[3808][6]~q\,
	combout => \WideAnd3808~1_combout\);

-- Location: LCCOMB_X18_Y30_N8
WideAnd3808 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3808~combout\ = (\led_flash_cnt[3808][0]~q\ & (\WideAnd3808~0_combout\ & (\led_flash_cnt[3808][7]~q\ & \WideAnd3808~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3808][0]~q\,
	datab => \WideAnd3808~0_combout\,
	datac => \led_flash_cnt[3808][7]~q\,
	datad => \WideAnd3808~1_combout\,
	combout => \WideAnd3808~combout\);

-- Location: FF_X18_Y30_N9
\led_flash_cnt_ands[3808]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3808~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3808));

-- Location: LCCOMB_X1_Y14_N12
\led_flash_cnt[3810][0]~84258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3810][0]~84258_combout\ = !\led_flash_cnt[3810][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3810][0]~q\,
	combout => \led_flash_cnt[3810][0]~84258_combout\);

-- Location: FF_X1_Y14_N13
\led_flash_cnt[3810][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3810][0]~84258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3810][0]~q\);

-- Location: LCCOMB_X1_Y14_N18
\led_flash_cnt[3810][1]~77532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3810][1]~77532_combout\ = (\led_flash_cnt[3810][0]~q\ & (\led_flash_cnt[3810][1]~q\ $ (VCC))) # (!\led_flash_cnt[3810][0]~q\ & (\led_flash_cnt[3810][1]~q\ & VCC))
-- \led_flash_cnt[3810][1]~77533\ = CARRY((\led_flash_cnt[3810][0]~q\ & \led_flash_cnt[3810][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3810][0]~q\,
	datab => \led_flash_cnt[3810][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3810][1]~77532_combout\,
	cout => \led_flash_cnt[3810][1]~77533\);

-- Location: FF_X1_Y14_N19
\led_flash_cnt[3810][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3810][1]~77532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3810][1]~q\);

-- Location: LCCOMB_X1_Y14_N20
\led_flash_cnt[3810][2]~77534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3810][2]~77534_combout\ = (\led_flash_cnt[3810][2]~q\ & (!\led_flash_cnt[3810][1]~77533\)) # (!\led_flash_cnt[3810][2]~q\ & ((\led_flash_cnt[3810][1]~77533\) # (GND)))
-- \led_flash_cnt[3810][2]~77535\ = CARRY((!\led_flash_cnt[3810][1]~77533\) # (!\led_flash_cnt[3810][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3810][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3810][1]~77533\,
	combout => \led_flash_cnt[3810][2]~77534_combout\,
	cout => \led_flash_cnt[3810][2]~77535\);

-- Location: FF_X1_Y14_N21
\led_flash_cnt[3810][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3810][2]~77534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3810][2]~q\);

-- Location: LCCOMB_X1_Y14_N22
\led_flash_cnt[3810][3]~77536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3810][3]~77536_combout\ = (\led_flash_cnt[3810][3]~q\ & (\led_flash_cnt[3810][2]~77535\ $ (GND))) # (!\led_flash_cnt[3810][3]~q\ & (!\led_flash_cnt[3810][2]~77535\ & VCC))
-- \led_flash_cnt[3810][3]~77537\ = CARRY((\led_flash_cnt[3810][3]~q\ & !\led_flash_cnt[3810][2]~77535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3810][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3810][2]~77535\,
	combout => \led_flash_cnt[3810][3]~77536_combout\,
	cout => \led_flash_cnt[3810][3]~77537\);

-- Location: FF_X1_Y14_N23
\led_flash_cnt[3810][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3810][3]~77536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3810][3]~q\);

-- Location: LCCOMB_X1_Y14_N24
\led_flash_cnt[3810][4]~77538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3810][4]~77538_combout\ = (\led_flash_cnt[3810][4]~q\ & (!\led_flash_cnt[3810][3]~77537\)) # (!\led_flash_cnt[3810][4]~q\ & ((\led_flash_cnt[3810][3]~77537\) # (GND)))
-- \led_flash_cnt[3810][4]~77539\ = CARRY((!\led_flash_cnt[3810][3]~77537\) # (!\led_flash_cnt[3810][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3810][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3810][3]~77537\,
	combout => \led_flash_cnt[3810][4]~77538_combout\,
	cout => \led_flash_cnt[3810][4]~77539\);

-- Location: FF_X1_Y14_N25
\led_flash_cnt[3810][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3810][4]~77538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3810][4]~q\);

-- Location: LCCOMB_X1_Y14_N26
\led_flash_cnt[3810][5]~77540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3810][5]~77540_combout\ = (\led_flash_cnt[3810][5]~q\ & (\led_flash_cnt[3810][4]~77539\ $ (GND))) # (!\led_flash_cnt[3810][5]~q\ & (!\led_flash_cnt[3810][4]~77539\ & VCC))
-- \led_flash_cnt[3810][5]~77541\ = CARRY((\led_flash_cnt[3810][5]~q\ & !\led_flash_cnt[3810][4]~77539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3810][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3810][4]~77539\,
	combout => \led_flash_cnt[3810][5]~77540_combout\,
	cout => \led_flash_cnt[3810][5]~77541\);

-- Location: FF_X1_Y14_N27
\led_flash_cnt[3810][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3810][5]~77540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3810][5]~q\);

-- Location: LCCOMB_X1_Y14_N28
\led_flash_cnt[3810][6]~77542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3810][6]~77542_combout\ = (\led_flash_cnt[3810][6]~q\ & (!\led_flash_cnt[3810][5]~77541\)) # (!\led_flash_cnt[3810][6]~q\ & ((\led_flash_cnt[3810][5]~77541\) # (GND)))
-- \led_flash_cnt[3810][6]~77543\ = CARRY((!\led_flash_cnt[3810][5]~77541\) # (!\led_flash_cnt[3810][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3810][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3810][5]~77541\,
	combout => \led_flash_cnt[3810][6]~77542_combout\,
	cout => \led_flash_cnt[3810][6]~77543\);

-- Location: FF_X1_Y14_N29
\led_flash_cnt[3810][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3810][6]~77542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3810][6]~q\);

-- Location: LCCOMB_X1_Y14_N30
\led_flash_cnt[3810][7]~77544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3810][7]~77544_combout\ = \led_flash_cnt[3810][7]~q\ $ (!\led_flash_cnt[3810][6]~77543\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3810][7]~q\,
	cin => \led_flash_cnt[3810][6]~77543\,
	combout => \led_flash_cnt[3810][7]~77544_combout\);

-- Location: FF_X1_Y14_N31
\led_flash_cnt[3810][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3810][7]~77544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3810][7]~q\);

-- Location: LCCOMB_X1_Y14_N4
\WideAnd3810~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3810~0_combout\ = (\led_flash_cnt[3810][2]~q\ & (\led_flash_cnt[3810][1]~q\ & (\led_flash_cnt[3810][3]~q\ & \led_flash_cnt[3810][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3810][2]~q\,
	datab => \led_flash_cnt[3810][1]~q\,
	datac => \led_flash_cnt[3810][3]~q\,
	datad => \led_flash_cnt[3810][4]~q\,
	combout => \WideAnd3810~0_combout\);

-- Location: LCCOMB_X1_Y14_N14
\WideAnd3810~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3810~1_combout\ = (\led_flash_cnt[3810][5]~q\ & \led_flash_cnt[3810][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3810][5]~q\,
	datad => \led_flash_cnt[3810][6]~q\,
	combout => \WideAnd3810~1_combout\);

-- Location: LCCOMB_X1_Y14_N6
WideAnd3810 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3810~combout\ = (\led_flash_cnt[3810][7]~q\ & (\WideAnd3810~0_combout\ & (\WideAnd3810~1_combout\ & \led_flash_cnt[3810][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3810][7]~q\,
	datab => \WideAnd3810~0_combout\,
	datac => \WideAnd3810~1_combout\,
	datad => \led_flash_cnt[3810][0]~q\,
	combout => \WideAnd3810~combout\);

-- Location: FF_X1_Y14_N7
\led_flash_cnt_ands[3810]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3810~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3810));

-- Location: LCCOMB_X1_Y14_N0
\led_flash_cnt[3809][0]~84257\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3809][0]~84257_combout\ = !\led_flash_cnt[3809][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3809][0]~q\,
	combout => \led_flash_cnt[3809][0]~84257_combout\);

-- Location: FF_X1_Y14_N1
\led_flash_cnt[3809][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3809][0]~84257_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3809][0]~q\);

-- Location: LCCOMB_X1_Y15_N16
\led_flash_cnt[3809][1]~77518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3809][1]~77518_combout\ = (\led_flash_cnt[3809][0]~q\ & (\led_flash_cnt[3809][1]~q\ $ (VCC))) # (!\led_flash_cnt[3809][0]~q\ & (\led_flash_cnt[3809][1]~q\ & VCC))
-- \led_flash_cnt[3809][1]~77519\ = CARRY((\led_flash_cnt[3809][0]~q\ & \led_flash_cnt[3809][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3809][0]~q\,
	datab => \led_flash_cnt[3809][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3809][1]~77518_combout\,
	cout => \led_flash_cnt[3809][1]~77519\);

-- Location: FF_X1_Y15_N17
\led_flash_cnt[3809][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3809][1]~77518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3809][1]~q\);

-- Location: LCCOMB_X1_Y15_N18
\led_flash_cnt[3809][2]~77520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3809][2]~77520_combout\ = (\led_flash_cnt[3809][2]~q\ & (!\led_flash_cnt[3809][1]~77519\)) # (!\led_flash_cnt[3809][2]~q\ & ((\led_flash_cnt[3809][1]~77519\) # (GND)))
-- \led_flash_cnt[3809][2]~77521\ = CARRY((!\led_flash_cnt[3809][1]~77519\) # (!\led_flash_cnt[3809][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3809][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3809][1]~77519\,
	combout => \led_flash_cnt[3809][2]~77520_combout\,
	cout => \led_flash_cnt[3809][2]~77521\);

-- Location: FF_X1_Y15_N19
\led_flash_cnt[3809][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3809][2]~77520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3809][2]~q\);

-- Location: LCCOMB_X1_Y15_N20
\led_flash_cnt[3809][3]~77522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3809][3]~77522_combout\ = (\led_flash_cnt[3809][3]~q\ & (\led_flash_cnt[3809][2]~77521\ $ (GND))) # (!\led_flash_cnt[3809][3]~q\ & (!\led_flash_cnt[3809][2]~77521\ & VCC))
-- \led_flash_cnt[3809][3]~77523\ = CARRY((\led_flash_cnt[3809][3]~q\ & !\led_flash_cnt[3809][2]~77521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3809][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3809][2]~77521\,
	combout => \led_flash_cnt[3809][3]~77522_combout\,
	cout => \led_flash_cnt[3809][3]~77523\);

-- Location: FF_X1_Y15_N21
\led_flash_cnt[3809][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3809][3]~77522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3809][3]~q\);

-- Location: LCCOMB_X1_Y15_N22
\led_flash_cnt[3809][4]~77524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3809][4]~77524_combout\ = (\led_flash_cnt[3809][4]~q\ & (!\led_flash_cnt[3809][3]~77523\)) # (!\led_flash_cnt[3809][4]~q\ & ((\led_flash_cnt[3809][3]~77523\) # (GND)))
-- \led_flash_cnt[3809][4]~77525\ = CARRY((!\led_flash_cnt[3809][3]~77523\) # (!\led_flash_cnt[3809][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3809][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3809][3]~77523\,
	combout => \led_flash_cnt[3809][4]~77524_combout\,
	cout => \led_flash_cnt[3809][4]~77525\);

-- Location: FF_X1_Y15_N23
\led_flash_cnt[3809][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3809][4]~77524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3809][4]~q\);

-- Location: LCCOMB_X1_Y15_N24
\led_flash_cnt[3809][5]~77526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3809][5]~77526_combout\ = (\led_flash_cnt[3809][5]~q\ & (\led_flash_cnt[3809][4]~77525\ $ (GND))) # (!\led_flash_cnt[3809][5]~q\ & (!\led_flash_cnt[3809][4]~77525\ & VCC))
-- \led_flash_cnt[3809][5]~77527\ = CARRY((\led_flash_cnt[3809][5]~q\ & !\led_flash_cnt[3809][4]~77525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3809][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3809][4]~77525\,
	combout => \led_flash_cnt[3809][5]~77526_combout\,
	cout => \led_flash_cnt[3809][5]~77527\);

-- Location: FF_X1_Y15_N25
\led_flash_cnt[3809][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3809][5]~77526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3809][5]~q\);

-- Location: LCCOMB_X1_Y15_N26
\led_flash_cnt[3809][6]~77528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3809][6]~77528_combout\ = (\led_flash_cnt[3809][6]~q\ & (!\led_flash_cnt[3809][5]~77527\)) # (!\led_flash_cnt[3809][6]~q\ & ((\led_flash_cnt[3809][5]~77527\) # (GND)))
-- \led_flash_cnt[3809][6]~77529\ = CARRY((!\led_flash_cnt[3809][5]~77527\) # (!\led_flash_cnt[3809][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3809][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3809][5]~77527\,
	combout => \led_flash_cnt[3809][6]~77528_combout\,
	cout => \led_flash_cnt[3809][6]~77529\);

-- Location: FF_X1_Y15_N27
\led_flash_cnt[3809][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3809][6]~77528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3809][6]~q\);

-- Location: LCCOMB_X2_Y15_N30
\WideAnd3809~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3809~1_combout\ = (\led_flash_cnt[3809][6]~q\ & \led_flash_cnt[3809][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3809][6]~q\,
	datad => \led_flash_cnt[3809][5]~q\,
	combout => \WideAnd3809~1_combout\);

-- Location: LCCOMB_X1_Y15_N28
\led_flash_cnt[3809][7]~77530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3809][7]~77530_combout\ = \led_flash_cnt[3809][6]~77529\ $ (!\led_flash_cnt[3809][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3809][7]~q\,
	cin => \led_flash_cnt[3809][6]~77529\,
	combout => \led_flash_cnt[3809][7]~77530_combout\);

-- Location: FF_X1_Y15_N29
\led_flash_cnt[3809][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3809][7]~77530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3809][7]~q\);

-- Location: LCCOMB_X1_Y15_N30
\WideAnd3809~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3809~0_combout\ = (\led_flash_cnt[3809][2]~q\ & (\led_flash_cnt[3809][3]~q\ & (\led_flash_cnt[3809][4]~q\ & \led_flash_cnt[3809][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3809][2]~q\,
	datab => \led_flash_cnt[3809][3]~q\,
	datac => \led_flash_cnt[3809][4]~q\,
	datad => \led_flash_cnt[3809][1]~q\,
	combout => \WideAnd3809~0_combout\);

-- Location: LCCOMB_X1_Y14_N16
WideAnd3809 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3809~combout\ = (\WideAnd3809~1_combout\ & (\led_flash_cnt[3809][7]~q\ & (\WideAnd3809~0_combout\ & \led_flash_cnt[3809][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3809~1_combout\,
	datab => \led_flash_cnt[3809][7]~q\,
	datac => \WideAnd3809~0_combout\,
	datad => \led_flash_cnt[3809][0]~q\,
	combout => \WideAnd3809~combout\);

-- Location: FF_X1_Y14_N17
\led_flash_cnt_ands[3809]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3809~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3809));

-- Location: LCCOMB_X4_Y13_N22
\led_flash_cnt[3811][0]~84259\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3811][0]~84259_combout\ = !\led_flash_cnt[3811][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3811][0]~q\,
	combout => \led_flash_cnt[3811][0]~84259_combout\);

-- Location: FF_X4_Y13_N23
\led_flash_cnt[3811][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3811][0]~84259_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3811][0]~q\);

-- Location: LCCOMB_X4_Y13_N2
\led_flash_cnt[3811][1]~77546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3811][1]~77546_combout\ = (\led_flash_cnt[3811][0]~q\ & (\led_flash_cnt[3811][1]~q\ $ (VCC))) # (!\led_flash_cnt[3811][0]~q\ & (\led_flash_cnt[3811][1]~q\ & VCC))
-- \led_flash_cnt[3811][1]~77547\ = CARRY((\led_flash_cnt[3811][0]~q\ & \led_flash_cnt[3811][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3811][0]~q\,
	datab => \led_flash_cnt[3811][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3811][1]~77546_combout\,
	cout => \led_flash_cnt[3811][1]~77547\);

-- Location: FF_X4_Y13_N3
\led_flash_cnt[3811][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3811][1]~77546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3811][1]~q\);

-- Location: LCCOMB_X4_Y13_N4
\led_flash_cnt[3811][2]~77548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3811][2]~77548_combout\ = (\led_flash_cnt[3811][2]~q\ & (!\led_flash_cnt[3811][1]~77547\)) # (!\led_flash_cnt[3811][2]~q\ & ((\led_flash_cnt[3811][1]~77547\) # (GND)))
-- \led_flash_cnt[3811][2]~77549\ = CARRY((!\led_flash_cnt[3811][1]~77547\) # (!\led_flash_cnt[3811][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3811][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3811][1]~77547\,
	combout => \led_flash_cnt[3811][2]~77548_combout\,
	cout => \led_flash_cnt[3811][2]~77549\);

-- Location: FF_X4_Y13_N5
\led_flash_cnt[3811][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3811][2]~77548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3811][2]~q\);

-- Location: LCCOMB_X4_Y13_N6
\led_flash_cnt[3811][3]~77550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3811][3]~77550_combout\ = (\led_flash_cnt[3811][3]~q\ & (\led_flash_cnt[3811][2]~77549\ $ (GND))) # (!\led_flash_cnt[3811][3]~q\ & (!\led_flash_cnt[3811][2]~77549\ & VCC))
-- \led_flash_cnt[3811][3]~77551\ = CARRY((\led_flash_cnt[3811][3]~q\ & !\led_flash_cnt[3811][2]~77549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3811][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3811][2]~77549\,
	combout => \led_flash_cnt[3811][3]~77550_combout\,
	cout => \led_flash_cnt[3811][3]~77551\);

-- Location: FF_X4_Y13_N7
\led_flash_cnt[3811][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3811][3]~77550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3811][3]~q\);

-- Location: LCCOMB_X4_Y13_N8
\led_flash_cnt[3811][4]~77552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3811][4]~77552_combout\ = (\led_flash_cnt[3811][4]~q\ & (!\led_flash_cnt[3811][3]~77551\)) # (!\led_flash_cnt[3811][4]~q\ & ((\led_flash_cnt[3811][3]~77551\) # (GND)))
-- \led_flash_cnt[3811][4]~77553\ = CARRY((!\led_flash_cnt[3811][3]~77551\) # (!\led_flash_cnt[3811][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3811][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3811][3]~77551\,
	combout => \led_flash_cnt[3811][4]~77552_combout\,
	cout => \led_flash_cnt[3811][4]~77553\);

-- Location: FF_X4_Y13_N9
\led_flash_cnt[3811][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3811][4]~77552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3811][4]~q\);

-- Location: LCCOMB_X4_Y13_N24
\WideAnd3811~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3811~0_combout\ = (\led_flash_cnt[3811][3]~q\ & (\led_flash_cnt[3811][2]~q\ & (\led_flash_cnt[3811][4]~q\ & \led_flash_cnt[3811][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3811][3]~q\,
	datab => \led_flash_cnt[3811][2]~q\,
	datac => \led_flash_cnt[3811][4]~q\,
	datad => \led_flash_cnt[3811][1]~q\,
	combout => \WideAnd3811~0_combout\);

-- Location: LCCOMB_X4_Y13_N10
\led_flash_cnt[3811][5]~77554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3811][5]~77554_combout\ = (\led_flash_cnt[3811][5]~q\ & (\led_flash_cnt[3811][4]~77553\ $ (GND))) # (!\led_flash_cnt[3811][5]~q\ & (!\led_flash_cnt[3811][4]~77553\ & VCC))
-- \led_flash_cnt[3811][5]~77555\ = CARRY((\led_flash_cnt[3811][5]~q\ & !\led_flash_cnt[3811][4]~77553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3811][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3811][4]~77553\,
	combout => \led_flash_cnt[3811][5]~77554_combout\,
	cout => \led_flash_cnt[3811][5]~77555\);

-- Location: FF_X4_Y13_N11
\led_flash_cnt[3811][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3811][5]~77554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3811][5]~q\);

-- Location: LCCOMB_X4_Y13_N12
\led_flash_cnt[3811][6]~77556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3811][6]~77556_combout\ = (\led_flash_cnt[3811][6]~q\ & (!\led_flash_cnt[3811][5]~77555\)) # (!\led_flash_cnt[3811][6]~q\ & ((\led_flash_cnt[3811][5]~77555\) # (GND)))
-- \led_flash_cnt[3811][6]~77557\ = CARRY((!\led_flash_cnt[3811][5]~77555\) # (!\led_flash_cnt[3811][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3811][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3811][5]~77555\,
	combout => \led_flash_cnt[3811][6]~77556_combout\,
	cout => \led_flash_cnt[3811][6]~77557\);

-- Location: FF_X4_Y13_N13
\led_flash_cnt[3811][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3811][6]~77556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3811][6]~q\);

-- Location: LCCOMB_X4_Y13_N14
\led_flash_cnt[3811][7]~77558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3811][7]~77558_combout\ = \led_flash_cnt[3811][7]~q\ $ (!\led_flash_cnt[3811][6]~77557\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3811][7]~q\,
	cin => \led_flash_cnt[3811][6]~77557\,
	combout => \led_flash_cnt[3811][7]~77558_combout\);

-- Location: FF_X4_Y13_N15
\led_flash_cnt[3811][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3811][7]~77558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3811][7]~q\);

-- Location: LCCOMB_X4_Y13_N18
\WideAnd3811~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3811~1_combout\ = (\led_flash_cnt[3811][6]~q\ & \led_flash_cnt[3811][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3811][6]~q\,
	datad => \led_flash_cnt[3811][5]~q\,
	combout => \WideAnd3811~1_combout\);

-- Location: LCCOMB_X4_Y13_N0
WideAnd3811 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3811~combout\ = (\led_flash_cnt[3811][0]~q\ & (\WideAnd3811~0_combout\ & (\led_flash_cnt[3811][7]~q\ & \WideAnd3811~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3811][0]~q\,
	datab => \WideAnd3811~0_combout\,
	datac => \led_flash_cnt[3811][7]~q\,
	datad => \WideAnd3811~1_combout\,
	combout => \WideAnd3811~combout\);

-- Location: FF_X4_Y13_N1
\led_flash_cnt_ands[3811]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3811~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3811));

-- Location: LCCOMB_X2_Y14_N24
\WideAnd4316~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4316~0_combout\ = (led_flash_cnt_ands(3808) & (led_flash_cnt_ands(3810) & (led_flash_cnt_ands(3809) & led_flash_cnt_ands(3811))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3808),
	datab => led_flash_cnt_ands(3810),
	datac => led_flash_cnt_ands(3809),
	datad => led_flash_cnt_ands(3811),
	combout => \WideAnd4316~0_combout\);

-- Location: LCCOMB_X9_Y14_N4
WideAnd4316 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4316~combout\ = (\WideAnd4316~1_combout\ & (led_flash_cnt_ands(3815) & (led_flash_cnt_ands(3814) & \WideAnd4316~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4316~1_combout\,
	datab => led_flash_cnt_ands(3815),
	datac => led_flash_cnt_ands(3814),
	datad => \WideAnd4316~0_combout\,
	combout => \WideAnd4316~combout\);

-- Location: FF_X9_Y14_N5
\led_flash_cnt_ands_1[476]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4316~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(476));

-- Location: LCCOMB_X2_Y16_N20
\led_flash_cnt[3823][0]~84271\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3823][0]~84271_combout\ = !\led_flash_cnt[3823][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3823][0]~q\,
	combout => \led_flash_cnt[3823][0]~84271_combout\);

-- Location: FF_X2_Y16_N21
\led_flash_cnt[3823][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3823][0]~84271_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3823][0]~q\);

-- Location: LCCOMB_X3_Y16_N2
\led_flash_cnt[3823][1]~77714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3823][1]~77714_combout\ = (\led_flash_cnt[3823][1]~q\ & (\led_flash_cnt[3823][0]~q\ $ (VCC))) # (!\led_flash_cnt[3823][1]~q\ & (\led_flash_cnt[3823][0]~q\ & VCC))
-- \led_flash_cnt[3823][1]~77715\ = CARRY((\led_flash_cnt[3823][1]~q\ & \led_flash_cnt[3823][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3823][1]~q\,
	datab => \led_flash_cnt[3823][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3823][1]~77714_combout\,
	cout => \led_flash_cnt[3823][1]~77715\);

-- Location: FF_X3_Y16_N3
\led_flash_cnt[3823][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3823][1]~77714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3823][1]~q\);

-- Location: LCCOMB_X3_Y16_N4
\led_flash_cnt[3823][2]~77716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3823][2]~77716_combout\ = (\led_flash_cnt[3823][2]~q\ & (!\led_flash_cnt[3823][1]~77715\)) # (!\led_flash_cnt[3823][2]~q\ & ((\led_flash_cnt[3823][1]~77715\) # (GND)))
-- \led_flash_cnt[3823][2]~77717\ = CARRY((!\led_flash_cnt[3823][1]~77715\) # (!\led_flash_cnt[3823][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3823][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3823][1]~77715\,
	combout => \led_flash_cnt[3823][2]~77716_combout\,
	cout => \led_flash_cnt[3823][2]~77717\);

-- Location: FF_X3_Y16_N5
\led_flash_cnt[3823][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3823][2]~77716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3823][2]~q\);

-- Location: LCCOMB_X3_Y16_N6
\led_flash_cnt[3823][3]~77718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3823][3]~77718_combout\ = (\led_flash_cnt[3823][3]~q\ & (\led_flash_cnt[3823][2]~77717\ $ (GND))) # (!\led_flash_cnt[3823][3]~q\ & (!\led_flash_cnt[3823][2]~77717\ & VCC))
-- \led_flash_cnt[3823][3]~77719\ = CARRY((\led_flash_cnt[3823][3]~q\ & !\led_flash_cnt[3823][2]~77717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3823][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3823][2]~77717\,
	combout => \led_flash_cnt[3823][3]~77718_combout\,
	cout => \led_flash_cnt[3823][3]~77719\);

-- Location: FF_X3_Y16_N7
\led_flash_cnt[3823][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3823][3]~77718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3823][3]~q\);

-- Location: LCCOMB_X3_Y16_N8
\led_flash_cnt[3823][4]~77720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3823][4]~77720_combout\ = (\led_flash_cnt[3823][4]~q\ & (!\led_flash_cnt[3823][3]~77719\)) # (!\led_flash_cnt[3823][4]~q\ & ((\led_flash_cnt[3823][3]~77719\) # (GND)))
-- \led_flash_cnt[3823][4]~77721\ = CARRY((!\led_flash_cnt[3823][3]~77719\) # (!\led_flash_cnt[3823][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3823][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3823][3]~77719\,
	combout => \led_flash_cnt[3823][4]~77720_combout\,
	cout => \led_flash_cnt[3823][4]~77721\);

-- Location: FF_X3_Y16_N9
\led_flash_cnt[3823][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3823][4]~77720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3823][4]~q\);

-- Location: LCCOMB_X3_Y16_N30
\WideAnd3823~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3823~0_combout\ = (\led_flash_cnt[3823][1]~q\ & (\led_flash_cnt[3823][4]~q\ & (\led_flash_cnt[3823][2]~q\ & \led_flash_cnt[3823][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3823][1]~q\,
	datab => \led_flash_cnt[3823][4]~q\,
	datac => \led_flash_cnt[3823][2]~q\,
	datad => \led_flash_cnt[3823][3]~q\,
	combout => \WideAnd3823~0_combout\);

-- Location: LCCOMB_X3_Y16_N10
\led_flash_cnt[3823][5]~77722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3823][5]~77722_combout\ = (\led_flash_cnt[3823][5]~q\ & (\led_flash_cnt[3823][4]~77721\ $ (GND))) # (!\led_flash_cnt[3823][5]~q\ & (!\led_flash_cnt[3823][4]~77721\ & VCC))
-- \led_flash_cnt[3823][5]~77723\ = CARRY((\led_flash_cnt[3823][5]~q\ & !\led_flash_cnt[3823][4]~77721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3823][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3823][4]~77721\,
	combout => \led_flash_cnt[3823][5]~77722_combout\,
	cout => \led_flash_cnt[3823][5]~77723\);

-- Location: FF_X3_Y16_N11
\led_flash_cnt[3823][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3823][5]~77722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3823][5]~q\);

-- Location: LCCOMB_X3_Y16_N12
\led_flash_cnt[3823][6]~77724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3823][6]~77724_combout\ = (\led_flash_cnt[3823][6]~q\ & (!\led_flash_cnt[3823][5]~77723\)) # (!\led_flash_cnt[3823][6]~q\ & ((\led_flash_cnt[3823][5]~77723\) # (GND)))
-- \led_flash_cnt[3823][6]~77725\ = CARRY((!\led_flash_cnt[3823][5]~77723\) # (!\led_flash_cnt[3823][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3823][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3823][5]~77723\,
	combout => \led_flash_cnt[3823][6]~77724_combout\,
	cout => \led_flash_cnt[3823][6]~77725\);

-- Location: FF_X3_Y16_N13
\led_flash_cnt[3823][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3823][6]~77724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3823][6]~q\);

-- Location: LCCOMB_X3_Y16_N14
\led_flash_cnt[3823][7]~77726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3823][7]~77726_combout\ = \led_flash_cnt[3823][7]~q\ $ (!\led_flash_cnt[3823][6]~77725\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3823][7]~q\,
	cin => \led_flash_cnt[3823][6]~77725\,
	combout => \led_flash_cnt[3823][7]~77726_combout\);

-- Location: FF_X3_Y16_N15
\led_flash_cnt[3823][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3823][7]~77726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3823][7]~q\);

-- Location: LCCOMB_X2_Y16_N18
\WideAnd3823~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3823~1_combout\ = (\led_flash_cnt[3823][5]~q\ & \led_flash_cnt[3823][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3823][5]~q\,
	datac => \led_flash_cnt[3823][6]~q\,
	combout => \WideAnd3823~1_combout\);

-- Location: LCCOMB_X3_Y16_N0
WideAnd3823 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3823~combout\ = (\WideAnd3823~0_combout\ & (\led_flash_cnt[3823][0]~q\ & (\led_flash_cnt[3823][7]~q\ & \WideAnd3823~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3823~0_combout\,
	datab => \led_flash_cnt[3823][0]~q\,
	datac => \led_flash_cnt[3823][7]~q\,
	datad => \WideAnd3823~1_combout\,
	combout => \WideAnd3823~combout\);

-- Location: FF_X3_Y16_N1
\led_flash_cnt_ands[3823]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3823~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3823));

-- Location: LCCOMB_X9_Y11_N2
\led_flash_cnt[3822][0]~84270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3822][0]~84270_combout\ = !\led_flash_cnt[3822][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3822][0]~q\,
	combout => \led_flash_cnt[3822][0]~84270_combout\);

-- Location: FF_X9_Y11_N3
\led_flash_cnt[3822][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3822][0]~84270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3822][0]~q\);

-- Location: LCCOMB_X8_Y11_N2
\led_flash_cnt[3822][1]~77700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3822][1]~77700_combout\ = (\led_flash_cnt[3822][0]~q\ & (\led_flash_cnt[3822][1]~q\ $ (VCC))) # (!\led_flash_cnt[3822][0]~q\ & (\led_flash_cnt[3822][1]~q\ & VCC))
-- \led_flash_cnt[3822][1]~77701\ = CARRY((\led_flash_cnt[3822][0]~q\ & \led_flash_cnt[3822][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3822][0]~q\,
	datab => \led_flash_cnt[3822][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3822][1]~77700_combout\,
	cout => \led_flash_cnt[3822][1]~77701\);

-- Location: FF_X8_Y11_N3
\led_flash_cnt[3822][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3822][1]~77700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3822][1]~q\);

-- Location: LCCOMB_X8_Y11_N4
\led_flash_cnt[3822][2]~77702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3822][2]~77702_combout\ = (\led_flash_cnt[3822][2]~q\ & (!\led_flash_cnt[3822][1]~77701\)) # (!\led_flash_cnt[3822][2]~q\ & ((\led_flash_cnt[3822][1]~77701\) # (GND)))
-- \led_flash_cnt[3822][2]~77703\ = CARRY((!\led_flash_cnt[3822][1]~77701\) # (!\led_flash_cnt[3822][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3822][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3822][1]~77701\,
	combout => \led_flash_cnt[3822][2]~77702_combout\,
	cout => \led_flash_cnt[3822][2]~77703\);

-- Location: FF_X8_Y11_N5
\led_flash_cnt[3822][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3822][2]~77702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3822][2]~q\);

-- Location: LCCOMB_X8_Y11_N6
\led_flash_cnt[3822][3]~77704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3822][3]~77704_combout\ = (\led_flash_cnt[3822][3]~q\ & (\led_flash_cnt[3822][2]~77703\ $ (GND))) # (!\led_flash_cnt[3822][3]~q\ & (!\led_flash_cnt[3822][2]~77703\ & VCC))
-- \led_flash_cnt[3822][3]~77705\ = CARRY((\led_flash_cnt[3822][3]~q\ & !\led_flash_cnt[3822][2]~77703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3822][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3822][2]~77703\,
	combout => \led_flash_cnt[3822][3]~77704_combout\,
	cout => \led_flash_cnt[3822][3]~77705\);

-- Location: FF_X8_Y11_N7
\led_flash_cnt[3822][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3822][3]~77704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3822][3]~q\);

-- Location: LCCOMB_X8_Y11_N8
\led_flash_cnt[3822][4]~77706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3822][4]~77706_combout\ = (\led_flash_cnt[3822][4]~q\ & (!\led_flash_cnt[3822][3]~77705\)) # (!\led_flash_cnt[3822][4]~q\ & ((\led_flash_cnt[3822][3]~77705\) # (GND)))
-- \led_flash_cnt[3822][4]~77707\ = CARRY((!\led_flash_cnt[3822][3]~77705\) # (!\led_flash_cnt[3822][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3822][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3822][3]~77705\,
	combout => \led_flash_cnt[3822][4]~77706_combout\,
	cout => \led_flash_cnt[3822][4]~77707\);

-- Location: FF_X8_Y11_N9
\led_flash_cnt[3822][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3822][4]~77706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3822][4]~q\);

-- Location: LCCOMB_X8_Y11_N10
\led_flash_cnt[3822][5]~77708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3822][5]~77708_combout\ = (\led_flash_cnt[3822][5]~q\ & (\led_flash_cnt[3822][4]~77707\ $ (GND))) # (!\led_flash_cnt[3822][5]~q\ & (!\led_flash_cnt[3822][4]~77707\ & VCC))
-- \led_flash_cnt[3822][5]~77709\ = CARRY((\led_flash_cnt[3822][5]~q\ & !\led_flash_cnt[3822][4]~77707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3822][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3822][4]~77707\,
	combout => \led_flash_cnt[3822][5]~77708_combout\,
	cout => \led_flash_cnt[3822][5]~77709\);

-- Location: FF_X8_Y11_N11
\led_flash_cnt[3822][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3822][5]~77708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3822][5]~q\);

-- Location: LCCOMB_X8_Y11_N12
\led_flash_cnt[3822][6]~77710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3822][6]~77710_combout\ = (\led_flash_cnt[3822][6]~q\ & (!\led_flash_cnt[3822][5]~77709\)) # (!\led_flash_cnt[3822][6]~q\ & ((\led_flash_cnt[3822][5]~77709\) # (GND)))
-- \led_flash_cnt[3822][6]~77711\ = CARRY((!\led_flash_cnt[3822][5]~77709\) # (!\led_flash_cnt[3822][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3822][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3822][5]~77709\,
	combout => \led_flash_cnt[3822][6]~77710_combout\,
	cout => \led_flash_cnt[3822][6]~77711\);

-- Location: FF_X8_Y11_N13
\led_flash_cnt[3822][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3822][6]~77710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3822][6]~q\);

-- Location: LCCOMB_X8_Y11_N14
\led_flash_cnt[3822][7]~77712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3822][7]~77712_combout\ = \led_flash_cnt[3822][7]~q\ $ (!\led_flash_cnt[3822][6]~77711\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3822][7]~q\,
	cin => \led_flash_cnt[3822][6]~77711\,
	combout => \led_flash_cnt[3822][7]~77712_combout\);

-- Location: FF_X8_Y11_N15
\led_flash_cnt[3822][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3822][7]~77712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3822][7]~q\);

-- Location: LCCOMB_X9_Y11_N4
\WideAnd3822~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3822~1_combout\ = (\led_flash_cnt[3822][6]~q\ & \led_flash_cnt[3822][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3822][6]~q\,
	datad => \led_flash_cnt[3822][5]~q\,
	combout => \WideAnd3822~1_combout\);

-- Location: LCCOMB_X8_Y11_N30
\WideAnd3822~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3822~0_combout\ = (\led_flash_cnt[3822][3]~q\ & (\led_flash_cnt[3822][2]~q\ & (\led_flash_cnt[3822][4]~q\ & \led_flash_cnt[3822][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3822][3]~q\,
	datab => \led_flash_cnt[3822][2]~q\,
	datac => \led_flash_cnt[3822][4]~q\,
	datad => \led_flash_cnt[3822][1]~q\,
	combout => \WideAnd3822~0_combout\);

-- Location: LCCOMB_X9_Y11_N14
WideAnd3822 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3822~combout\ = (\led_flash_cnt[3822][7]~q\ & (\WideAnd3822~1_combout\ & (\led_flash_cnt[3822][0]~q\ & \WideAnd3822~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3822][7]~q\,
	datab => \WideAnd3822~1_combout\,
	datac => \led_flash_cnt[3822][0]~q\,
	datad => \WideAnd3822~0_combout\,
	combout => \WideAnd3822~combout\);

-- Location: FF_X9_Y11_N15
\led_flash_cnt_ands[3822]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3822~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3822));

-- Location: LCCOMB_X14_Y19_N4
\led_flash_cnt[3821][0]~84269\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3821][0]~84269_combout\ = !\led_flash_cnt[3821][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3821][0]~q\,
	combout => \led_flash_cnt[3821][0]~84269_combout\);

-- Location: FF_X14_Y19_N5
\led_flash_cnt[3821][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3821][0]~84269_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3821][0]~q\);

-- Location: LCCOMB_X14_Y19_N10
\led_flash_cnt[3821][1]~77686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3821][1]~77686_combout\ = (\led_flash_cnt[3821][1]~q\ & (\led_flash_cnt[3821][0]~q\ $ (VCC))) # (!\led_flash_cnt[3821][1]~q\ & (\led_flash_cnt[3821][0]~q\ & VCC))
-- \led_flash_cnt[3821][1]~77687\ = CARRY((\led_flash_cnt[3821][1]~q\ & \led_flash_cnt[3821][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3821][1]~q\,
	datab => \led_flash_cnt[3821][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3821][1]~77686_combout\,
	cout => \led_flash_cnt[3821][1]~77687\);

-- Location: FF_X14_Y19_N11
\led_flash_cnt[3821][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3821][1]~77686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3821][1]~q\);

-- Location: LCCOMB_X14_Y19_N12
\led_flash_cnt[3821][2]~77688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3821][2]~77688_combout\ = (\led_flash_cnt[3821][2]~q\ & (!\led_flash_cnt[3821][1]~77687\)) # (!\led_flash_cnt[3821][2]~q\ & ((\led_flash_cnt[3821][1]~77687\) # (GND)))
-- \led_flash_cnt[3821][2]~77689\ = CARRY((!\led_flash_cnt[3821][1]~77687\) # (!\led_flash_cnt[3821][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3821][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3821][1]~77687\,
	combout => \led_flash_cnt[3821][2]~77688_combout\,
	cout => \led_flash_cnt[3821][2]~77689\);

-- Location: FF_X14_Y19_N13
\led_flash_cnt[3821][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3821][2]~77688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3821][2]~q\);

-- Location: LCCOMB_X14_Y19_N14
\led_flash_cnt[3821][3]~77690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3821][3]~77690_combout\ = (\led_flash_cnt[3821][3]~q\ & (\led_flash_cnt[3821][2]~77689\ $ (GND))) # (!\led_flash_cnt[3821][3]~q\ & (!\led_flash_cnt[3821][2]~77689\ & VCC))
-- \led_flash_cnt[3821][3]~77691\ = CARRY((\led_flash_cnt[3821][3]~q\ & !\led_flash_cnt[3821][2]~77689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3821][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3821][2]~77689\,
	combout => \led_flash_cnt[3821][3]~77690_combout\,
	cout => \led_flash_cnt[3821][3]~77691\);

-- Location: FF_X14_Y19_N15
\led_flash_cnt[3821][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3821][3]~77690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3821][3]~q\);

-- Location: LCCOMB_X14_Y19_N16
\led_flash_cnt[3821][4]~77692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3821][4]~77692_combout\ = (\led_flash_cnt[3821][4]~q\ & (!\led_flash_cnt[3821][3]~77691\)) # (!\led_flash_cnt[3821][4]~q\ & ((\led_flash_cnt[3821][3]~77691\) # (GND)))
-- \led_flash_cnt[3821][4]~77693\ = CARRY((!\led_flash_cnt[3821][3]~77691\) # (!\led_flash_cnt[3821][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3821][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3821][3]~77691\,
	combout => \led_flash_cnt[3821][4]~77692_combout\,
	cout => \led_flash_cnt[3821][4]~77693\);

-- Location: FF_X14_Y19_N17
\led_flash_cnt[3821][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3821][4]~77692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3821][4]~q\);

-- Location: LCCOMB_X14_Y19_N18
\led_flash_cnt[3821][5]~77694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3821][5]~77694_combout\ = (\led_flash_cnt[3821][5]~q\ & (\led_flash_cnt[3821][4]~77693\ $ (GND))) # (!\led_flash_cnt[3821][5]~q\ & (!\led_flash_cnt[3821][4]~77693\ & VCC))
-- \led_flash_cnt[3821][5]~77695\ = CARRY((\led_flash_cnt[3821][5]~q\ & !\led_flash_cnt[3821][4]~77693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3821][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3821][4]~77693\,
	combout => \led_flash_cnt[3821][5]~77694_combout\,
	cout => \led_flash_cnt[3821][5]~77695\);

-- Location: FF_X14_Y19_N19
\led_flash_cnt[3821][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3821][5]~77694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3821][5]~q\);

-- Location: LCCOMB_X14_Y19_N20
\led_flash_cnt[3821][6]~77696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3821][6]~77696_combout\ = (\led_flash_cnt[3821][6]~q\ & (!\led_flash_cnt[3821][5]~77695\)) # (!\led_flash_cnt[3821][6]~q\ & ((\led_flash_cnt[3821][5]~77695\) # (GND)))
-- \led_flash_cnt[3821][6]~77697\ = CARRY((!\led_flash_cnt[3821][5]~77695\) # (!\led_flash_cnt[3821][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3821][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3821][5]~77695\,
	combout => \led_flash_cnt[3821][6]~77696_combout\,
	cout => \led_flash_cnt[3821][6]~77697\);

-- Location: FF_X14_Y19_N21
\led_flash_cnt[3821][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3821][6]~77696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3821][6]~q\);

-- Location: LCCOMB_X14_Y19_N22
\led_flash_cnt[3821][7]~77698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3821][7]~77698_combout\ = \led_flash_cnt[3821][7]~q\ $ (!\led_flash_cnt[3821][6]~77697\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3821][7]~q\,
	cin => \led_flash_cnt[3821][6]~77697\,
	combout => \led_flash_cnt[3821][7]~77698_combout\);

-- Location: FF_X14_Y19_N23
\led_flash_cnt[3821][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3821][7]~77698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3821][7]~q\);

-- Location: LCCOMB_X14_Y19_N0
\WideAnd3821~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3821~1_combout\ = (\led_flash_cnt[3821][6]~q\ & \led_flash_cnt[3821][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3821][6]~q\,
	datad => \led_flash_cnt[3821][5]~q\,
	combout => \WideAnd3821~1_combout\);

-- Location: LCCOMB_X14_Y19_N28
\WideAnd3821~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3821~0_combout\ = (\led_flash_cnt[3821][2]~q\ & (\led_flash_cnt[3821][4]~q\ & (\led_flash_cnt[3821][3]~q\ & \led_flash_cnt[3821][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3821][2]~q\,
	datab => \led_flash_cnt[3821][4]~q\,
	datac => \led_flash_cnt[3821][3]~q\,
	datad => \led_flash_cnt[3821][1]~q\,
	combout => \WideAnd3821~0_combout\);

-- Location: LCCOMB_X14_Y19_N8
WideAnd3821 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3821~combout\ = (\led_flash_cnt[3821][7]~q\ & (\WideAnd3821~1_combout\ & (\led_flash_cnt[3821][0]~q\ & \WideAnd3821~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3821][7]~q\,
	datab => \WideAnd3821~1_combout\,
	datac => \led_flash_cnt[3821][0]~q\,
	datad => \WideAnd3821~0_combout\,
	combout => \WideAnd3821~combout\);

-- Location: FF_X14_Y19_N9
\led_flash_cnt_ands[3821]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3821~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3821));

-- Location: LCCOMB_X14_Y19_N2
\led_flash_cnt[3820][0]~84268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3820][0]~84268_combout\ = !\led_flash_cnt[3820][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3820][0]~q\,
	combout => \led_flash_cnt[3820][0]~84268_combout\);

-- Location: FF_X14_Y19_N3
\led_flash_cnt[3820][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3820][0]~84268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3820][0]~q\);

-- Location: LCCOMB_X13_Y19_N2
\led_flash_cnt[3820][1]~77672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3820][1]~77672_combout\ = (\led_flash_cnt[3820][0]~q\ & (\led_flash_cnt[3820][1]~q\ $ (VCC))) # (!\led_flash_cnt[3820][0]~q\ & (\led_flash_cnt[3820][1]~q\ & VCC))
-- \led_flash_cnt[3820][1]~77673\ = CARRY((\led_flash_cnt[3820][0]~q\ & \led_flash_cnt[3820][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3820][0]~q\,
	datab => \led_flash_cnt[3820][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3820][1]~77672_combout\,
	cout => \led_flash_cnt[3820][1]~77673\);

-- Location: FF_X13_Y19_N3
\led_flash_cnt[3820][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3820][1]~77672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3820][1]~q\);

-- Location: LCCOMB_X13_Y19_N4
\led_flash_cnt[3820][2]~77674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3820][2]~77674_combout\ = (\led_flash_cnt[3820][2]~q\ & (!\led_flash_cnt[3820][1]~77673\)) # (!\led_flash_cnt[3820][2]~q\ & ((\led_flash_cnt[3820][1]~77673\) # (GND)))
-- \led_flash_cnt[3820][2]~77675\ = CARRY((!\led_flash_cnt[3820][1]~77673\) # (!\led_flash_cnt[3820][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3820][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3820][1]~77673\,
	combout => \led_flash_cnt[3820][2]~77674_combout\,
	cout => \led_flash_cnt[3820][2]~77675\);

-- Location: FF_X13_Y19_N5
\led_flash_cnt[3820][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3820][2]~77674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3820][2]~q\);

-- Location: LCCOMB_X13_Y19_N6
\led_flash_cnt[3820][3]~77676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3820][3]~77676_combout\ = (\led_flash_cnt[3820][3]~q\ & (\led_flash_cnt[3820][2]~77675\ $ (GND))) # (!\led_flash_cnt[3820][3]~q\ & (!\led_flash_cnt[3820][2]~77675\ & VCC))
-- \led_flash_cnt[3820][3]~77677\ = CARRY((\led_flash_cnt[3820][3]~q\ & !\led_flash_cnt[3820][2]~77675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3820][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3820][2]~77675\,
	combout => \led_flash_cnt[3820][3]~77676_combout\,
	cout => \led_flash_cnt[3820][3]~77677\);

-- Location: FF_X13_Y19_N7
\led_flash_cnt[3820][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3820][3]~77676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3820][3]~q\);

-- Location: LCCOMB_X13_Y19_N8
\led_flash_cnt[3820][4]~77678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3820][4]~77678_combout\ = (\led_flash_cnt[3820][4]~q\ & (!\led_flash_cnt[3820][3]~77677\)) # (!\led_flash_cnt[3820][4]~q\ & ((\led_flash_cnt[3820][3]~77677\) # (GND)))
-- \led_flash_cnt[3820][4]~77679\ = CARRY((!\led_flash_cnt[3820][3]~77677\) # (!\led_flash_cnt[3820][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3820][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3820][3]~77677\,
	combout => \led_flash_cnt[3820][4]~77678_combout\,
	cout => \led_flash_cnt[3820][4]~77679\);

-- Location: FF_X13_Y19_N9
\led_flash_cnt[3820][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3820][4]~77678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3820][4]~q\);

-- Location: LCCOMB_X13_Y19_N10
\led_flash_cnt[3820][5]~77680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3820][5]~77680_combout\ = (\led_flash_cnt[3820][5]~q\ & (\led_flash_cnt[3820][4]~77679\ $ (GND))) # (!\led_flash_cnt[3820][5]~q\ & (!\led_flash_cnt[3820][4]~77679\ & VCC))
-- \led_flash_cnt[3820][5]~77681\ = CARRY((\led_flash_cnt[3820][5]~q\ & !\led_flash_cnt[3820][4]~77679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3820][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3820][4]~77679\,
	combout => \led_flash_cnt[3820][5]~77680_combout\,
	cout => \led_flash_cnt[3820][5]~77681\);

-- Location: FF_X13_Y19_N11
\led_flash_cnt[3820][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3820][5]~77680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3820][5]~q\);

-- Location: LCCOMB_X13_Y19_N12
\led_flash_cnt[3820][6]~77682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3820][6]~77682_combout\ = (\led_flash_cnt[3820][6]~q\ & (!\led_flash_cnt[3820][5]~77681\)) # (!\led_flash_cnt[3820][6]~q\ & ((\led_flash_cnt[3820][5]~77681\) # (GND)))
-- \led_flash_cnt[3820][6]~77683\ = CARRY((!\led_flash_cnt[3820][5]~77681\) # (!\led_flash_cnt[3820][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3820][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3820][5]~77681\,
	combout => \led_flash_cnt[3820][6]~77682_combout\,
	cout => \led_flash_cnt[3820][6]~77683\);

-- Location: FF_X13_Y19_N13
\led_flash_cnt[3820][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3820][6]~77682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3820][6]~q\);

-- Location: LCCOMB_X13_Y19_N14
\led_flash_cnt[3820][7]~77684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3820][7]~77684_combout\ = \led_flash_cnt[3820][7]~q\ $ (!\led_flash_cnt[3820][6]~77683\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3820][7]~q\,
	cin => \led_flash_cnt[3820][6]~77683\,
	combout => \led_flash_cnt[3820][7]~77684_combout\);

-- Location: FF_X13_Y19_N15
\led_flash_cnt[3820][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3820][7]~77684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3820][7]~q\);

-- Location: LCCOMB_X14_Y19_N24
\WideAnd3820~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3820~1_combout\ = (\led_flash_cnt[3820][5]~q\ & \led_flash_cnt[3820][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3820][5]~q\,
	datad => \led_flash_cnt[3820][6]~q\,
	combout => \WideAnd3820~1_combout\);

-- Location: LCCOMB_X13_Y19_N16
\WideAnd3820~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3820~0_combout\ = (\led_flash_cnt[3820][3]~q\ & (\led_flash_cnt[3820][4]~q\ & (\led_flash_cnt[3820][2]~q\ & \led_flash_cnt[3820][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3820][3]~q\,
	datab => \led_flash_cnt[3820][4]~q\,
	datac => \led_flash_cnt[3820][2]~q\,
	datad => \led_flash_cnt[3820][1]~q\,
	combout => \WideAnd3820~0_combout\);

-- Location: LCCOMB_X14_Y19_N6
WideAnd3820 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3820~combout\ = (\led_flash_cnt[3820][7]~q\ & (\WideAnd3820~1_combout\ & (\WideAnd3820~0_combout\ & \led_flash_cnt[3820][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3820][7]~q\,
	datab => \WideAnd3820~1_combout\,
	datac => \WideAnd3820~0_combout\,
	datad => \led_flash_cnt[3820][0]~q\,
	combout => \WideAnd3820~combout\);

-- Location: FF_X14_Y19_N7
\led_flash_cnt_ands[3820]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3820~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3820));

-- Location: LCCOMB_X14_Y19_N26
\WideAnd4317~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4317~1_combout\ = (led_flash_cnt_ands(3821) & led_flash_cnt_ands(3820))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3821),
	datad => led_flash_cnt_ands(3820),
	combout => \WideAnd4317~1_combout\);

-- Location: LCCOMB_X10_Y19_N12
\led_flash_cnt[3818][0]~84266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3818][0]~84266_combout\ = !\led_flash_cnt[3818][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3818][0]~q\,
	combout => \led_flash_cnt[3818][0]~84266_combout\);

-- Location: FF_X10_Y19_N13
\led_flash_cnt[3818][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3818][0]~84266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3818][0]~q\);

-- Location: LCCOMB_X10_Y19_N16
\led_flash_cnt[3818][1]~77644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3818][1]~77644_combout\ = (\led_flash_cnt[3818][0]~q\ & (\led_flash_cnt[3818][1]~q\ $ (VCC))) # (!\led_flash_cnt[3818][0]~q\ & (\led_flash_cnt[3818][1]~q\ & VCC))
-- \led_flash_cnt[3818][1]~77645\ = CARRY((\led_flash_cnt[3818][0]~q\ & \led_flash_cnt[3818][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3818][0]~q\,
	datab => \led_flash_cnt[3818][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3818][1]~77644_combout\,
	cout => \led_flash_cnt[3818][1]~77645\);

-- Location: FF_X10_Y19_N17
\led_flash_cnt[3818][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3818][1]~77644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3818][1]~q\);

-- Location: LCCOMB_X10_Y19_N18
\led_flash_cnt[3818][2]~77646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3818][2]~77646_combout\ = (\led_flash_cnt[3818][2]~q\ & (!\led_flash_cnt[3818][1]~77645\)) # (!\led_flash_cnt[3818][2]~q\ & ((\led_flash_cnt[3818][1]~77645\) # (GND)))
-- \led_flash_cnt[3818][2]~77647\ = CARRY((!\led_flash_cnt[3818][1]~77645\) # (!\led_flash_cnt[3818][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3818][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3818][1]~77645\,
	combout => \led_flash_cnt[3818][2]~77646_combout\,
	cout => \led_flash_cnt[3818][2]~77647\);

-- Location: FF_X10_Y19_N19
\led_flash_cnt[3818][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3818][2]~77646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3818][2]~q\);

-- Location: LCCOMB_X10_Y19_N20
\led_flash_cnt[3818][3]~77648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3818][3]~77648_combout\ = (\led_flash_cnt[3818][3]~q\ & (\led_flash_cnt[3818][2]~77647\ $ (GND))) # (!\led_flash_cnt[3818][3]~q\ & (!\led_flash_cnt[3818][2]~77647\ & VCC))
-- \led_flash_cnt[3818][3]~77649\ = CARRY((\led_flash_cnt[3818][3]~q\ & !\led_flash_cnt[3818][2]~77647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3818][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3818][2]~77647\,
	combout => \led_flash_cnt[3818][3]~77648_combout\,
	cout => \led_flash_cnt[3818][3]~77649\);

-- Location: FF_X10_Y19_N21
\led_flash_cnt[3818][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3818][3]~77648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3818][3]~q\);

-- Location: LCCOMB_X10_Y19_N22
\led_flash_cnt[3818][4]~77650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3818][4]~77650_combout\ = (\led_flash_cnt[3818][4]~q\ & (!\led_flash_cnt[3818][3]~77649\)) # (!\led_flash_cnt[3818][4]~q\ & ((\led_flash_cnt[3818][3]~77649\) # (GND)))
-- \led_flash_cnt[3818][4]~77651\ = CARRY((!\led_flash_cnt[3818][3]~77649\) # (!\led_flash_cnt[3818][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3818][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3818][3]~77649\,
	combout => \led_flash_cnt[3818][4]~77650_combout\,
	cout => \led_flash_cnt[3818][4]~77651\);

-- Location: FF_X10_Y19_N23
\led_flash_cnt[3818][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3818][4]~77650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3818][4]~q\);

-- Location: LCCOMB_X10_Y19_N24
\led_flash_cnt[3818][5]~77652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3818][5]~77652_combout\ = (\led_flash_cnt[3818][5]~q\ & (\led_flash_cnt[3818][4]~77651\ $ (GND))) # (!\led_flash_cnt[3818][5]~q\ & (!\led_flash_cnt[3818][4]~77651\ & VCC))
-- \led_flash_cnt[3818][5]~77653\ = CARRY((\led_flash_cnt[3818][5]~q\ & !\led_flash_cnt[3818][4]~77651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3818][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3818][4]~77651\,
	combout => \led_flash_cnt[3818][5]~77652_combout\,
	cout => \led_flash_cnt[3818][5]~77653\);

-- Location: FF_X10_Y19_N25
\led_flash_cnt[3818][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3818][5]~77652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3818][5]~q\);

-- Location: LCCOMB_X10_Y19_N26
\led_flash_cnt[3818][6]~77654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3818][6]~77654_combout\ = (\led_flash_cnt[3818][6]~q\ & (!\led_flash_cnt[3818][5]~77653\)) # (!\led_flash_cnt[3818][6]~q\ & ((\led_flash_cnt[3818][5]~77653\) # (GND)))
-- \led_flash_cnt[3818][6]~77655\ = CARRY((!\led_flash_cnt[3818][5]~77653\) # (!\led_flash_cnt[3818][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3818][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3818][5]~77653\,
	combout => \led_flash_cnt[3818][6]~77654_combout\,
	cout => \led_flash_cnt[3818][6]~77655\);

-- Location: FF_X10_Y19_N27
\led_flash_cnt[3818][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3818][6]~77654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3818][6]~q\);

-- Location: LCCOMB_X10_Y19_N6
\WideAnd3818~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3818~1_combout\ = (\led_flash_cnt[3818][6]~q\ & \led_flash_cnt[3818][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3818][6]~q\,
	datad => \led_flash_cnt[3818][5]~q\,
	combout => \WideAnd3818~1_combout\);

-- Location: LCCOMB_X10_Y19_N28
\led_flash_cnt[3818][7]~77656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3818][7]~77656_combout\ = \led_flash_cnt[3818][6]~77655\ $ (!\led_flash_cnt[3818][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3818][7]~q\,
	cin => \led_flash_cnt[3818][6]~77655\,
	combout => \led_flash_cnt[3818][7]~77656_combout\);

-- Location: FF_X10_Y19_N29
\led_flash_cnt[3818][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3818][7]~77656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3818][7]~q\);

-- Location: LCCOMB_X10_Y19_N8
\WideAnd3818~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3818~0_combout\ = (\led_flash_cnt[3818][3]~q\ & (\led_flash_cnt[3818][2]~q\ & (\led_flash_cnt[3818][4]~q\ & \led_flash_cnt[3818][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3818][3]~q\,
	datab => \led_flash_cnt[3818][2]~q\,
	datac => \led_flash_cnt[3818][4]~q\,
	datad => \led_flash_cnt[3818][1]~q\,
	combout => \WideAnd3818~0_combout\);

-- Location: LCCOMB_X10_Y19_N14
WideAnd3818 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3818~combout\ = (\WideAnd3818~1_combout\ & (\led_flash_cnt[3818][7]~q\ & (\WideAnd3818~0_combout\ & \led_flash_cnt[3818][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3818~1_combout\,
	datab => \led_flash_cnt[3818][7]~q\,
	datac => \WideAnd3818~0_combout\,
	datad => \led_flash_cnt[3818][0]~q\,
	combout => \WideAnd3818~combout\);

-- Location: FF_X10_Y19_N15
\led_flash_cnt_ands[3818]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3818~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3818));

-- Location: LCCOMB_X9_Y22_N0
\led_flash_cnt[3816][0]~84264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3816][0]~84264_combout\ = !\led_flash_cnt[3816][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3816][0]~q\,
	combout => \led_flash_cnt[3816][0]~84264_combout\);

-- Location: FF_X9_Y22_N1
\led_flash_cnt[3816][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3816][0]~84264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3816][0]~q\);

-- Location: LCCOMB_X8_Y23_N8
\led_flash_cnt[3816][1]~77616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3816][1]~77616_combout\ = (\led_flash_cnt[3816][0]~q\ & (\led_flash_cnt[3816][1]~q\ $ (VCC))) # (!\led_flash_cnt[3816][0]~q\ & (\led_flash_cnt[3816][1]~q\ & VCC))
-- \led_flash_cnt[3816][1]~77617\ = CARRY((\led_flash_cnt[3816][0]~q\ & \led_flash_cnt[3816][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3816][0]~q\,
	datab => \led_flash_cnt[3816][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3816][1]~77616_combout\,
	cout => \led_flash_cnt[3816][1]~77617\);

-- Location: FF_X8_Y23_N9
\led_flash_cnt[3816][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3816][1]~77616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3816][1]~q\);

-- Location: LCCOMB_X8_Y23_N10
\led_flash_cnt[3816][2]~77618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3816][2]~77618_combout\ = (\led_flash_cnt[3816][2]~q\ & (!\led_flash_cnt[3816][1]~77617\)) # (!\led_flash_cnt[3816][2]~q\ & ((\led_flash_cnt[3816][1]~77617\) # (GND)))
-- \led_flash_cnt[3816][2]~77619\ = CARRY((!\led_flash_cnt[3816][1]~77617\) # (!\led_flash_cnt[3816][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3816][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3816][1]~77617\,
	combout => \led_flash_cnt[3816][2]~77618_combout\,
	cout => \led_flash_cnt[3816][2]~77619\);

-- Location: FF_X8_Y23_N11
\led_flash_cnt[3816][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3816][2]~77618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3816][2]~q\);

-- Location: LCCOMB_X8_Y23_N12
\led_flash_cnt[3816][3]~77620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3816][3]~77620_combout\ = (\led_flash_cnt[3816][3]~q\ & (\led_flash_cnt[3816][2]~77619\ $ (GND))) # (!\led_flash_cnt[3816][3]~q\ & (!\led_flash_cnt[3816][2]~77619\ & VCC))
-- \led_flash_cnt[3816][3]~77621\ = CARRY((\led_flash_cnt[3816][3]~q\ & !\led_flash_cnt[3816][2]~77619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3816][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3816][2]~77619\,
	combout => \led_flash_cnt[3816][3]~77620_combout\,
	cout => \led_flash_cnt[3816][3]~77621\);

-- Location: FF_X8_Y23_N13
\led_flash_cnt[3816][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3816][3]~77620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3816][3]~q\);

-- Location: LCCOMB_X8_Y23_N14
\led_flash_cnt[3816][4]~77622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3816][4]~77622_combout\ = (\led_flash_cnt[3816][4]~q\ & (!\led_flash_cnt[3816][3]~77621\)) # (!\led_flash_cnt[3816][4]~q\ & ((\led_flash_cnt[3816][3]~77621\) # (GND)))
-- \led_flash_cnt[3816][4]~77623\ = CARRY((!\led_flash_cnt[3816][3]~77621\) # (!\led_flash_cnt[3816][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3816][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3816][3]~77621\,
	combout => \led_flash_cnt[3816][4]~77622_combout\,
	cout => \led_flash_cnt[3816][4]~77623\);

-- Location: FF_X8_Y23_N15
\led_flash_cnt[3816][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3816][4]~77622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3816][4]~q\);

-- Location: LCCOMB_X8_Y23_N30
\WideAnd3816~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3816~0_combout\ = (\led_flash_cnt[3816][2]~q\ & (\led_flash_cnt[3816][1]~q\ & (\led_flash_cnt[3816][4]~q\ & \led_flash_cnt[3816][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3816][2]~q\,
	datab => \led_flash_cnt[3816][1]~q\,
	datac => \led_flash_cnt[3816][4]~q\,
	datad => \led_flash_cnt[3816][3]~q\,
	combout => \WideAnd3816~0_combout\);

-- Location: LCCOMB_X8_Y23_N16
\led_flash_cnt[3816][5]~77624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3816][5]~77624_combout\ = (\led_flash_cnt[3816][5]~q\ & (\led_flash_cnt[3816][4]~77623\ $ (GND))) # (!\led_flash_cnt[3816][5]~q\ & (!\led_flash_cnt[3816][4]~77623\ & VCC))
-- \led_flash_cnt[3816][5]~77625\ = CARRY((\led_flash_cnt[3816][5]~q\ & !\led_flash_cnt[3816][4]~77623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3816][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3816][4]~77623\,
	combout => \led_flash_cnt[3816][5]~77624_combout\,
	cout => \led_flash_cnt[3816][5]~77625\);

-- Location: FF_X8_Y23_N17
\led_flash_cnt[3816][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3816][5]~77624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3816][5]~q\);

-- Location: LCCOMB_X8_Y23_N18
\led_flash_cnt[3816][6]~77626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3816][6]~77626_combout\ = (\led_flash_cnt[3816][6]~q\ & (!\led_flash_cnt[3816][5]~77625\)) # (!\led_flash_cnt[3816][6]~q\ & ((\led_flash_cnt[3816][5]~77625\) # (GND)))
-- \led_flash_cnt[3816][6]~77627\ = CARRY((!\led_flash_cnt[3816][5]~77625\) # (!\led_flash_cnt[3816][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3816][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3816][5]~77625\,
	combout => \led_flash_cnt[3816][6]~77626_combout\,
	cout => \led_flash_cnt[3816][6]~77627\);

-- Location: FF_X8_Y23_N19
\led_flash_cnt[3816][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3816][6]~77626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3816][6]~q\);

-- Location: LCCOMB_X8_Y23_N20
\led_flash_cnt[3816][7]~77628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3816][7]~77628_combout\ = \led_flash_cnt[3816][6]~77627\ $ (!\led_flash_cnt[3816][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3816][7]~q\,
	cin => \led_flash_cnt[3816][6]~77627\,
	combout => \led_flash_cnt[3816][7]~77628_combout\);

-- Location: FF_X8_Y23_N21
\led_flash_cnt[3816][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3816][7]~77628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3816][7]~q\);

-- Location: LCCOMB_X8_Y23_N2
\WideAnd3816~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3816~1_combout\ = (\led_flash_cnt[3816][5]~q\ & \led_flash_cnt[3816][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3816][5]~q\,
	datad => \led_flash_cnt[3816][6]~q\,
	combout => \WideAnd3816~1_combout\);

-- Location: LCCOMB_X8_Y23_N6
WideAnd3816 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3816~combout\ = (\WideAnd3816~0_combout\ & (\led_flash_cnt[3816][7]~q\ & (\led_flash_cnt[3816][0]~q\ & \WideAnd3816~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3816~0_combout\,
	datab => \led_flash_cnt[3816][7]~q\,
	datac => \led_flash_cnt[3816][0]~q\,
	datad => \WideAnd3816~1_combout\,
	combout => \WideAnd3816~combout\);

-- Location: FF_X8_Y23_N7
\led_flash_cnt_ands[3816]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3816~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3816));

-- Location: LCCOMB_X9_Y11_N6
\led_flash_cnt[3817][0]~84265\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3817][0]~84265_combout\ = !\led_flash_cnt[3817][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3817][0]~q\,
	combout => \led_flash_cnt[3817][0]~84265_combout\);

-- Location: FF_X9_Y11_N7
\led_flash_cnt[3817][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3817][0]~84265_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3817][0]~q\);

-- Location: LCCOMB_X9_Y11_N18
\led_flash_cnt[3817][1]~77630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3817][1]~77630_combout\ = (\led_flash_cnt[3817][0]~q\ & (\led_flash_cnt[3817][1]~q\ $ (VCC))) # (!\led_flash_cnt[3817][0]~q\ & (\led_flash_cnt[3817][1]~q\ & VCC))
-- \led_flash_cnt[3817][1]~77631\ = CARRY((\led_flash_cnt[3817][0]~q\ & \led_flash_cnt[3817][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3817][0]~q\,
	datab => \led_flash_cnt[3817][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3817][1]~77630_combout\,
	cout => \led_flash_cnt[3817][1]~77631\);

-- Location: FF_X9_Y11_N19
\led_flash_cnt[3817][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3817][1]~77630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3817][1]~q\);

-- Location: LCCOMB_X9_Y11_N20
\led_flash_cnt[3817][2]~77632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3817][2]~77632_combout\ = (\led_flash_cnt[3817][2]~q\ & (!\led_flash_cnt[3817][1]~77631\)) # (!\led_flash_cnt[3817][2]~q\ & ((\led_flash_cnt[3817][1]~77631\) # (GND)))
-- \led_flash_cnt[3817][2]~77633\ = CARRY((!\led_flash_cnt[3817][1]~77631\) # (!\led_flash_cnt[3817][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3817][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3817][1]~77631\,
	combout => \led_flash_cnt[3817][2]~77632_combout\,
	cout => \led_flash_cnt[3817][2]~77633\);

-- Location: FF_X9_Y11_N21
\led_flash_cnt[3817][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3817][2]~77632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3817][2]~q\);

-- Location: LCCOMB_X9_Y11_N22
\led_flash_cnt[3817][3]~77634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3817][3]~77634_combout\ = (\led_flash_cnt[3817][3]~q\ & (\led_flash_cnt[3817][2]~77633\ $ (GND))) # (!\led_flash_cnt[3817][3]~q\ & (!\led_flash_cnt[3817][2]~77633\ & VCC))
-- \led_flash_cnt[3817][3]~77635\ = CARRY((\led_flash_cnt[3817][3]~q\ & !\led_flash_cnt[3817][2]~77633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3817][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3817][2]~77633\,
	combout => \led_flash_cnt[3817][3]~77634_combout\,
	cout => \led_flash_cnt[3817][3]~77635\);

-- Location: FF_X9_Y11_N23
\led_flash_cnt[3817][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3817][3]~77634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3817][3]~q\);

-- Location: LCCOMB_X9_Y11_N24
\led_flash_cnt[3817][4]~77636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3817][4]~77636_combout\ = (\led_flash_cnt[3817][4]~q\ & (!\led_flash_cnt[3817][3]~77635\)) # (!\led_flash_cnt[3817][4]~q\ & ((\led_flash_cnt[3817][3]~77635\) # (GND)))
-- \led_flash_cnt[3817][4]~77637\ = CARRY((!\led_flash_cnt[3817][3]~77635\) # (!\led_flash_cnt[3817][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3817][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3817][3]~77635\,
	combout => \led_flash_cnt[3817][4]~77636_combout\,
	cout => \led_flash_cnt[3817][4]~77637\);

-- Location: FF_X9_Y11_N25
\led_flash_cnt[3817][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3817][4]~77636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3817][4]~q\);

-- Location: LCCOMB_X9_Y11_N26
\led_flash_cnt[3817][5]~77638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3817][5]~77638_combout\ = (\led_flash_cnt[3817][5]~q\ & (\led_flash_cnt[3817][4]~77637\ $ (GND))) # (!\led_flash_cnt[3817][5]~q\ & (!\led_flash_cnt[3817][4]~77637\ & VCC))
-- \led_flash_cnt[3817][5]~77639\ = CARRY((\led_flash_cnt[3817][5]~q\ & !\led_flash_cnt[3817][4]~77637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3817][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3817][4]~77637\,
	combout => \led_flash_cnt[3817][5]~77638_combout\,
	cout => \led_flash_cnt[3817][5]~77639\);

-- Location: FF_X9_Y11_N27
\led_flash_cnt[3817][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3817][5]~77638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3817][5]~q\);

-- Location: LCCOMB_X9_Y11_N28
\led_flash_cnt[3817][6]~77640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3817][6]~77640_combout\ = (\led_flash_cnt[3817][6]~q\ & (!\led_flash_cnt[3817][5]~77639\)) # (!\led_flash_cnt[3817][6]~q\ & ((\led_flash_cnt[3817][5]~77639\) # (GND)))
-- \led_flash_cnt[3817][6]~77641\ = CARRY((!\led_flash_cnt[3817][5]~77639\) # (!\led_flash_cnt[3817][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3817][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3817][5]~77639\,
	combout => \led_flash_cnt[3817][6]~77640_combout\,
	cout => \led_flash_cnt[3817][6]~77641\);

-- Location: FF_X9_Y11_N29
\led_flash_cnt[3817][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3817][6]~77640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3817][6]~q\);

-- Location: LCCOMB_X9_Y11_N10
\WideAnd3817~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3817~1_combout\ = (\led_flash_cnt[3817][5]~q\ & \led_flash_cnt[3817][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3817][5]~q\,
	datad => \led_flash_cnt[3817][6]~q\,
	combout => \WideAnd3817~1_combout\);

-- Location: LCCOMB_X9_Y11_N16
\WideAnd3817~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3817~0_combout\ = (\led_flash_cnt[3817][1]~q\ & (\led_flash_cnt[3817][2]~q\ & (\led_flash_cnt[3817][3]~q\ & \led_flash_cnt[3817][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3817][1]~q\,
	datab => \led_flash_cnt[3817][2]~q\,
	datac => \led_flash_cnt[3817][3]~q\,
	datad => \led_flash_cnt[3817][4]~q\,
	combout => \WideAnd3817~0_combout\);

-- Location: LCCOMB_X9_Y11_N30
\led_flash_cnt[3817][7]~77642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3817][7]~77642_combout\ = \led_flash_cnt[3817][7]~q\ $ (!\led_flash_cnt[3817][6]~77641\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3817][7]~q\,
	cin => \led_flash_cnt[3817][6]~77641\,
	combout => \led_flash_cnt[3817][7]~77642_combout\);

-- Location: FF_X9_Y11_N31
\led_flash_cnt[3817][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3817][7]~77642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3817][7]~q\);

-- Location: LCCOMB_X9_Y11_N0
WideAnd3817 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3817~combout\ = (\WideAnd3817~1_combout\ & (\WideAnd3817~0_combout\ & (\led_flash_cnt[3817][7]~q\ & \led_flash_cnt[3817][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3817~1_combout\,
	datab => \WideAnd3817~0_combout\,
	datac => \led_flash_cnt[3817][7]~q\,
	datad => \led_flash_cnt[3817][0]~q\,
	combout => \WideAnd3817~combout\);

-- Location: FF_X9_Y11_N1
\led_flash_cnt_ands[3817]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3817~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3817));

-- Location: LCCOMB_X6_Y16_N26
\led_flash_cnt[3819][0]~84267\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3819][0]~84267_combout\ = !\led_flash_cnt[3819][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3819][0]~q\,
	combout => \led_flash_cnt[3819][0]~84267_combout\);

-- Location: FF_X6_Y16_N27
\led_flash_cnt[3819][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3819][0]~84267_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3819][0]~q\);

-- Location: LCCOMB_X6_Y16_N8
\led_flash_cnt[3819][1]~77658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3819][1]~77658_combout\ = (\led_flash_cnt[3819][0]~q\ & (\led_flash_cnt[3819][1]~q\ $ (VCC))) # (!\led_flash_cnt[3819][0]~q\ & (\led_flash_cnt[3819][1]~q\ & VCC))
-- \led_flash_cnt[3819][1]~77659\ = CARRY((\led_flash_cnt[3819][0]~q\ & \led_flash_cnt[3819][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3819][0]~q\,
	datab => \led_flash_cnt[3819][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3819][1]~77658_combout\,
	cout => \led_flash_cnt[3819][1]~77659\);

-- Location: FF_X6_Y16_N9
\led_flash_cnt[3819][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3819][1]~77658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3819][1]~q\);

-- Location: LCCOMB_X6_Y16_N10
\led_flash_cnt[3819][2]~77660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3819][2]~77660_combout\ = (\led_flash_cnt[3819][2]~q\ & (!\led_flash_cnt[3819][1]~77659\)) # (!\led_flash_cnt[3819][2]~q\ & ((\led_flash_cnt[3819][1]~77659\) # (GND)))
-- \led_flash_cnt[3819][2]~77661\ = CARRY((!\led_flash_cnt[3819][1]~77659\) # (!\led_flash_cnt[3819][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3819][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3819][1]~77659\,
	combout => \led_flash_cnt[3819][2]~77660_combout\,
	cout => \led_flash_cnt[3819][2]~77661\);

-- Location: FF_X6_Y16_N11
\led_flash_cnt[3819][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3819][2]~77660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3819][2]~q\);

-- Location: LCCOMB_X6_Y16_N12
\led_flash_cnt[3819][3]~77662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3819][3]~77662_combout\ = (\led_flash_cnt[3819][3]~q\ & (\led_flash_cnt[3819][2]~77661\ $ (GND))) # (!\led_flash_cnt[3819][3]~q\ & (!\led_flash_cnt[3819][2]~77661\ & VCC))
-- \led_flash_cnt[3819][3]~77663\ = CARRY((\led_flash_cnt[3819][3]~q\ & !\led_flash_cnt[3819][2]~77661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3819][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3819][2]~77661\,
	combout => \led_flash_cnt[3819][3]~77662_combout\,
	cout => \led_flash_cnt[3819][3]~77663\);

-- Location: FF_X6_Y16_N13
\led_flash_cnt[3819][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3819][3]~77662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3819][3]~q\);

-- Location: LCCOMB_X6_Y16_N14
\led_flash_cnt[3819][4]~77664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3819][4]~77664_combout\ = (\led_flash_cnt[3819][4]~q\ & (!\led_flash_cnt[3819][3]~77663\)) # (!\led_flash_cnt[3819][4]~q\ & ((\led_flash_cnt[3819][3]~77663\) # (GND)))
-- \led_flash_cnt[3819][4]~77665\ = CARRY((!\led_flash_cnt[3819][3]~77663\) # (!\led_flash_cnt[3819][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3819][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3819][3]~77663\,
	combout => \led_flash_cnt[3819][4]~77664_combout\,
	cout => \led_flash_cnt[3819][4]~77665\);

-- Location: FF_X6_Y16_N15
\led_flash_cnt[3819][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3819][4]~77664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3819][4]~q\);

-- Location: LCCOMB_X6_Y16_N30
\WideAnd3819~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3819~0_combout\ = (\led_flash_cnt[3819][2]~q\ & (\led_flash_cnt[3819][4]~q\ & (\led_flash_cnt[3819][1]~q\ & \led_flash_cnt[3819][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3819][2]~q\,
	datab => \led_flash_cnt[3819][4]~q\,
	datac => \led_flash_cnt[3819][1]~q\,
	datad => \led_flash_cnt[3819][3]~q\,
	combout => \WideAnd3819~0_combout\);

-- Location: LCCOMB_X6_Y16_N16
\led_flash_cnt[3819][5]~77666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3819][5]~77666_combout\ = (\led_flash_cnt[3819][5]~q\ & (\led_flash_cnt[3819][4]~77665\ $ (GND))) # (!\led_flash_cnt[3819][5]~q\ & (!\led_flash_cnt[3819][4]~77665\ & VCC))
-- \led_flash_cnt[3819][5]~77667\ = CARRY((\led_flash_cnt[3819][5]~q\ & !\led_flash_cnt[3819][4]~77665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3819][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3819][4]~77665\,
	combout => \led_flash_cnt[3819][5]~77666_combout\,
	cout => \led_flash_cnt[3819][5]~77667\);

-- Location: FF_X6_Y16_N17
\led_flash_cnt[3819][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3819][5]~77666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3819][5]~q\);

-- Location: LCCOMB_X6_Y16_N18
\led_flash_cnt[3819][6]~77668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3819][6]~77668_combout\ = (\led_flash_cnt[3819][6]~q\ & (!\led_flash_cnt[3819][5]~77667\)) # (!\led_flash_cnt[3819][6]~q\ & ((\led_flash_cnt[3819][5]~77667\) # (GND)))
-- \led_flash_cnt[3819][6]~77669\ = CARRY((!\led_flash_cnt[3819][5]~77667\) # (!\led_flash_cnt[3819][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3819][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3819][5]~77667\,
	combout => \led_flash_cnt[3819][6]~77668_combout\,
	cout => \led_flash_cnt[3819][6]~77669\);

-- Location: FF_X6_Y16_N19
\led_flash_cnt[3819][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3819][6]~77668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3819][6]~q\);

-- Location: LCCOMB_X6_Y16_N4
\WideAnd3819~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3819~1_combout\ = (\led_flash_cnt[3819][6]~q\ & \led_flash_cnt[3819][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3819][6]~q\,
	datad => \led_flash_cnt[3819][5]~q\,
	combout => \WideAnd3819~1_combout\);

-- Location: LCCOMB_X6_Y16_N20
\led_flash_cnt[3819][7]~77670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3819][7]~77670_combout\ = \led_flash_cnt[3819][6]~77669\ $ (!\led_flash_cnt[3819][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3819][7]~q\,
	cin => \led_flash_cnt[3819][6]~77669\,
	combout => \led_flash_cnt[3819][7]~77670_combout\);

-- Location: FF_X6_Y16_N21
\led_flash_cnt[3819][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3819][7]~77670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3819][7]~q\);

-- Location: LCCOMB_X6_Y16_N6
WideAnd3819 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3819~combout\ = (\WideAnd3819~0_combout\ & (\WideAnd3819~1_combout\ & (\led_flash_cnt[3819][0]~q\ & \led_flash_cnt[3819][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3819~0_combout\,
	datab => \WideAnd3819~1_combout\,
	datac => \led_flash_cnt[3819][0]~q\,
	datad => \led_flash_cnt[3819][7]~q\,
	combout => \WideAnd3819~combout\);

-- Location: FF_X6_Y16_N7
\led_flash_cnt_ands[3819]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3819~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3819));

-- Location: LCCOMB_X6_Y16_N2
\WideAnd4317~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4317~0_combout\ = (led_flash_cnt_ands(3818) & (led_flash_cnt_ands(3816) & (led_flash_cnt_ands(3817) & led_flash_cnt_ands(3819))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3818),
	datab => led_flash_cnt_ands(3816),
	datac => led_flash_cnt_ands(3817),
	datad => led_flash_cnt_ands(3819),
	combout => \WideAnd4317~0_combout\);

-- Location: LCCOMB_X6_Y16_N24
WideAnd4317 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4317~combout\ = (led_flash_cnt_ands(3823) & (led_flash_cnt_ands(3822) & (\WideAnd4317~1_combout\ & \WideAnd4317~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3823),
	datab => led_flash_cnt_ands(3822),
	datac => \WideAnd4317~1_combout\,
	datad => \WideAnd4317~0_combout\,
	combout => \WideAnd4317~combout\);

-- Location: FF_X6_Y16_N25
\led_flash_cnt_ands_1[477]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4317~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(477));

-- Location: LCCOMB_X9_Y14_N0
\WideAnd4379~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4379~1_combout\ = (led_flash_cnt_ands_1(476) & led_flash_cnt_ands_1(477))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands_1(476),
	datad => led_flash_cnt_ands_1(477),
	combout => \WideAnd4379~1_combout\);

-- Location: LCCOMB_X9_Y12_N24
\led_flash_cnt[3839][0]~84287\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3839][0]~84287_combout\ = !\led_flash_cnt[3839][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3839][0]~q\,
	combout => \led_flash_cnt[3839][0]~84287_combout\);

-- Location: FF_X9_Y12_N25
\led_flash_cnt[3839][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3839][0]~84287_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3839][0]~q\);

-- Location: LCCOMB_X15_Y12_N16
\led_flash_cnt[3839][1]~77938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3839][1]~77938_combout\ = (\led_flash_cnt[3839][0]~q\ & (\led_flash_cnt[3839][1]~q\ $ (VCC))) # (!\led_flash_cnt[3839][0]~q\ & (\led_flash_cnt[3839][1]~q\ & VCC))
-- \led_flash_cnt[3839][1]~77939\ = CARRY((\led_flash_cnt[3839][0]~q\ & \led_flash_cnt[3839][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3839][0]~q\,
	datab => \led_flash_cnt[3839][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3839][1]~77938_combout\,
	cout => \led_flash_cnt[3839][1]~77939\);

-- Location: FF_X15_Y12_N17
\led_flash_cnt[3839][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3839][1]~77938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3839][1]~q\);

-- Location: LCCOMB_X15_Y12_N18
\led_flash_cnt[3839][2]~77940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3839][2]~77940_combout\ = (\led_flash_cnt[3839][2]~q\ & (!\led_flash_cnt[3839][1]~77939\)) # (!\led_flash_cnt[3839][2]~q\ & ((\led_flash_cnt[3839][1]~77939\) # (GND)))
-- \led_flash_cnt[3839][2]~77941\ = CARRY((!\led_flash_cnt[3839][1]~77939\) # (!\led_flash_cnt[3839][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3839][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3839][1]~77939\,
	combout => \led_flash_cnt[3839][2]~77940_combout\,
	cout => \led_flash_cnt[3839][2]~77941\);

-- Location: FF_X15_Y12_N19
\led_flash_cnt[3839][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3839][2]~77940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3839][2]~q\);

-- Location: LCCOMB_X15_Y12_N20
\led_flash_cnt[3839][3]~77942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3839][3]~77942_combout\ = (\led_flash_cnt[3839][3]~q\ & (\led_flash_cnt[3839][2]~77941\ $ (GND))) # (!\led_flash_cnt[3839][3]~q\ & (!\led_flash_cnt[3839][2]~77941\ & VCC))
-- \led_flash_cnt[3839][3]~77943\ = CARRY((\led_flash_cnt[3839][3]~q\ & !\led_flash_cnt[3839][2]~77941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3839][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3839][2]~77941\,
	combout => \led_flash_cnt[3839][3]~77942_combout\,
	cout => \led_flash_cnt[3839][3]~77943\);

-- Location: FF_X15_Y12_N21
\led_flash_cnt[3839][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3839][3]~77942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3839][3]~q\);

-- Location: LCCOMB_X15_Y12_N22
\led_flash_cnt[3839][4]~77944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3839][4]~77944_combout\ = (\led_flash_cnt[3839][4]~q\ & (!\led_flash_cnt[3839][3]~77943\)) # (!\led_flash_cnt[3839][4]~q\ & ((\led_flash_cnt[3839][3]~77943\) # (GND)))
-- \led_flash_cnt[3839][4]~77945\ = CARRY((!\led_flash_cnt[3839][3]~77943\) # (!\led_flash_cnt[3839][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3839][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3839][3]~77943\,
	combout => \led_flash_cnt[3839][4]~77944_combout\,
	cout => \led_flash_cnt[3839][4]~77945\);

-- Location: FF_X15_Y12_N23
\led_flash_cnt[3839][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3839][4]~77944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3839][4]~q\);

-- Location: LCCOMB_X15_Y12_N24
\led_flash_cnt[3839][5]~77946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3839][5]~77946_combout\ = (\led_flash_cnt[3839][5]~q\ & (\led_flash_cnt[3839][4]~77945\ $ (GND))) # (!\led_flash_cnt[3839][5]~q\ & (!\led_flash_cnt[3839][4]~77945\ & VCC))
-- \led_flash_cnt[3839][5]~77947\ = CARRY((\led_flash_cnt[3839][5]~q\ & !\led_flash_cnt[3839][4]~77945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3839][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3839][4]~77945\,
	combout => \led_flash_cnt[3839][5]~77946_combout\,
	cout => \led_flash_cnt[3839][5]~77947\);

-- Location: FF_X15_Y12_N25
\led_flash_cnt[3839][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3839][5]~77946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3839][5]~q\);

-- Location: LCCOMB_X15_Y12_N26
\led_flash_cnt[3839][6]~77948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3839][6]~77948_combout\ = (\led_flash_cnt[3839][6]~q\ & (!\led_flash_cnt[3839][5]~77947\)) # (!\led_flash_cnt[3839][6]~q\ & ((\led_flash_cnt[3839][5]~77947\) # (GND)))
-- \led_flash_cnt[3839][6]~77949\ = CARRY((!\led_flash_cnt[3839][5]~77947\) # (!\led_flash_cnt[3839][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3839][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3839][5]~77947\,
	combout => \led_flash_cnt[3839][6]~77948_combout\,
	cout => \led_flash_cnt[3839][6]~77949\);

-- Location: FF_X15_Y12_N27
\led_flash_cnt[3839][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3839][6]~77948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3839][6]~q\);

-- Location: LCCOMB_X14_Y12_N14
\WideAnd3839~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3839~1_combout\ = (\led_flash_cnt[3839][6]~q\ & \led_flash_cnt[3839][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3839][6]~q\,
	datad => \led_flash_cnt[3839][5]~q\,
	combout => \WideAnd3839~1_combout\);

-- Location: LCCOMB_X15_Y12_N28
\led_flash_cnt[3839][7]~77950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3839][7]~77950_combout\ = \led_flash_cnt[3839][6]~77949\ $ (!\led_flash_cnt[3839][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3839][7]~q\,
	cin => \led_flash_cnt[3839][6]~77949\,
	combout => \led_flash_cnt[3839][7]~77950_combout\);

-- Location: FF_X15_Y12_N29
\led_flash_cnt[3839][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3839][7]~77950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3839][7]~q\);

-- Location: LCCOMB_X15_Y12_N0
\WideAnd3839~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3839~0_combout\ = (\led_flash_cnt[3839][1]~q\ & (\led_flash_cnt[3839][2]~q\ & (\led_flash_cnt[3839][4]~q\ & \led_flash_cnt[3839][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3839][1]~q\,
	datab => \led_flash_cnt[3839][2]~q\,
	datac => \led_flash_cnt[3839][4]~q\,
	datad => \led_flash_cnt[3839][3]~q\,
	combout => \WideAnd3839~0_combout\);

-- Location: LCCOMB_X15_Y12_N30
WideAnd3839 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3839~combout\ = (\WideAnd3839~1_combout\ & (\led_flash_cnt[3839][7]~q\ & (\led_flash_cnt[3839][0]~q\ & \WideAnd3839~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3839~1_combout\,
	datab => \led_flash_cnt[3839][7]~q\,
	datac => \led_flash_cnt[3839][0]~q\,
	datad => \WideAnd3839~0_combout\,
	combout => \WideAnd3839~combout\);

-- Location: FF_X15_Y12_N31
\led_flash_cnt_ands[3839]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3839~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3839));

-- Location: LCCOMB_X13_Y14_N26
\led_flash_cnt[3838][0]~84286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3838][0]~84286_combout\ = !\led_flash_cnt[3838][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3838][0]~q\,
	combout => \led_flash_cnt[3838][0]~84286_combout\);

-- Location: FF_X13_Y14_N27
\led_flash_cnt[3838][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3838][0]~84286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3838][0]~q\);

-- Location: LCCOMB_X14_Y14_N18
\led_flash_cnt[3838][1]~77924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3838][1]~77924_combout\ = (\led_flash_cnt[3838][0]~q\ & (\led_flash_cnt[3838][1]~q\ $ (VCC))) # (!\led_flash_cnt[3838][0]~q\ & (\led_flash_cnt[3838][1]~q\ & VCC))
-- \led_flash_cnt[3838][1]~77925\ = CARRY((\led_flash_cnt[3838][0]~q\ & \led_flash_cnt[3838][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3838][0]~q\,
	datab => \led_flash_cnt[3838][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3838][1]~77924_combout\,
	cout => \led_flash_cnt[3838][1]~77925\);

-- Location: FF_X14_Y14_N19
\led_flash_cnt[3838][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3838][1]~77924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3838][1]~q\);

-- Location: LCCOMB_X14_Y14_N20
\led_flash_cnt[3838][2]~77926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3838][2]~77926_combout\ = (\led_flash_cnt[3838][2]~q\ & (!\led_flash_cnt[3838][1]~77925\)) # (!\led_flash_cnt[3838][2]~q\ & ((\led_flash_cnt[3838][1]~77925\) # (GND)))
-- \led_flash_cnt[3838][2]~77927\ = CARRY((!\led_flash_cnt[3838][1]~77925\) # (!\led_flash_cnt[3838][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3838][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3838][1]~77925\,
	combout => \led_flash_cnt[3838][2]~77926_combout\,
	cout => \led_flash_cnt[3838][2]~77927\);

-- Location: FF_X14_Y14_N21
\led_flash_cnt[3838][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3838][2]~77926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3838][2]~q\);

-- Location: LCCOMB_X14_Y14_N22
\led_flash_cnt[3838][3]~77928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3838][3]~77928_combout\ = (\led_flash_cnt[3838][3]~q\ & (\led_flash_cnt[3838][2]~77927\ $ (GND))) # (!\led_flash_cnt[3838][3]~q\ & (!\led_flash_cnt[3838][2]~77927\ & VCC))
-- \led_flash_cnt[3838][3]~77929\ = CARRY((\led_flash_cnt[3838][3]~q\ & !\led_flash_cnt[3838][2]~77927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3838][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3838][2]~77927\,
	combout => \led_flash_cnt[3838][3]~77928_combout\,
	cout => \led_flash_cnt[3838][3]~77929\);

-- Location: FF_X14_Y14_N23
\led_flash_cnt[3838][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3838][3]~77928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3838][3]~q\);

-- Location: LCCOMB_X14_Y14_N24
\led_flash_cnt[3838][4]~77930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3838][4]~77930_combout\ = (\led_flash_cnt[3838][4]~q\ & (!\led_flash_cnt[3838][3]~77929\)) # (!\led_flash_cnt[3838][4]~q\ & ((\led_flash_cnt[3838][3]~77929\) # (GND)))
-- \led_flash_cnt[3838][4]~77931\ = CARRY((!\led_flash_cnt[3838][3]~77929\) # (!\led_flash_cnt[3838][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3838][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3838][3]~77929\,
	combout => \led_flash_cnt[3838][4]~77930_combout\,
	cout => \led_flash_cnt[3838][4]~77931\);

-- Location: FF_X14_Y14_N25
\led_flash_cnt[3838][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3838][4]~77930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3838][4]~q\);

-- Location: LCCOMB_X14_Y14_N26
\led_flash_cnt[3838][5]~77932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3838][5]~77932_combout\ = (\led_flash_cnt[3838][5]~q\ & (\led_flash_cnt[3838][4]~77931\ $ (GND))) # (!\led_flash_cnt[3838][5]~q\ & (!\led_flash_cnt[3838][4]~77931\ & VCC))
-- \led_flash_cnt[3838][5]~77933\ = CARRY((\led_flash_cnt[3838][5]~q\ & !\led_flash_cnt[3838][4]~77931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3838][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3838][4]~77931\,
	combout => \led_flash_cnt[3838][5]~77932_combout\,
	cout => \led_flash_cnt[3838][5]~77933\);

-- Location: FF_X14_Y14_N27
\led_flash_cnt[3838][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3838][5]~77932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3838][5]~q\);

-- Location: LCCOMB_X14_Y14_N28
\led_flash_cnt[3838][6]~77934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3838][6]~77934_combout\ = (\led_flash_cnt[3838][6]~q\ & (!\led_flash_cnt[3838][5]~77933\)) # (!\led_flash_cnt[3838][6]~q\ & ((\led_flash_cnt[3838][5]~77933\) # (GND)))
-- \led_flash_cnt[3838][6]~77935\ = CARRY((!\led_flash_cnt[3838][5]~77933\) # (!\led_flash_cnt[3838][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3838][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3838][5]~77933\,
	combout => \led_flash_cnt[3838][6]~77934_combout\,
	cout => \led_flash_cnt[3838][6]~77935\);

-- Location: FF_X14_Y14_N29
\led_flash_cnt[3838][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3838][6]~77934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3838][6]~q\);

-- Location: LCCOMB_X14_Y14_N30
\led_flash_cnt[3838][7]~77936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3838][7]~77936_combout\ = \led_flash_cnt[3838][7]~q\ $ (!\led_flash_cnt[3838][6]~77935\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3838][7]~q\,
	cin => \led_flash_cnt[3838][6]~77935\,
	combout => \led_flash_cnt[3838][7]~77936_combout\);

-- Location: FF_X14_Y14_N31
\led_flash_cnt[3838][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3838][7]~77936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3838][7]~q\);

-- Location: LCCOMB_X14_Y14_N14
\WideAnd3838~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3838~0_combout\ = (\led_flash_cnt[3838][1]~q\ & (\led_flash_cnt[3838][4]~q\ & (\led_flash_cnt[3838][3]~q\ & \led_flash_cnt[3838][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3838][1]~q\,
	datab => \led_flash_cnt[3838][4]~q\,
	datac => \led_flash_cnt[3838][3]~q\,
	datad => \led_flash_cnt[3838][2]~q\,
	combout => \WideAnd3838~0_combout\);

-- Location: LCCOMB_X13_Y14_N28
\WideAnd3838~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3838~1_combout\ = (\led_flash_cnt[3838][5]~q\ & \led_flash_cnt[3838][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3838][5]~q\,
	datad => \led_flash_cnt[3838][6]~q\,
	combout => \WideAnd3838~1_combout\);

-- Location: LCCOMB_X14_Y14_N16
WideAnd3838 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3838~combout\ = (\led_flash_cnt[3838][7]~q\ & (\WideAnd3838~0_combout\ & (\led_flash_cnt[3838][0]~q\ & \WideAnd3838~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3838][7]~q\,
	datab => \WideAnd3838~0_combout\,
	datac => \led_flash_cnt[3838][0]~q\,
	datad => \WideAnd3838~1_combout\,
	combout => \WideAnd3838~combout\);

-- Location: FF_X14_Y14_N17
\led_flash_cnt_ands[3838]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3838~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3838));

-- Location: LCCOMB_X19_Y24_N6
\led_flash_cnt[3835][0]~84283\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3835][0]~84283_combout\ = !\led_flash_cnt[3835][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3835][0]~q\,
	combout => \led_flash_cnt[3835][0]~84283_combout\);

-- Location: FF_X19_Y24_N7
\led_flash_cnt[3835][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3835][0]~84283_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3835][0]~q\);

-- Location: LCCOMB_X20_Y24_N14
\led_flash_cnt[3835][1]~77882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3835][1]~77882_combout\ = (\led_flash_cnt[3835][0]~q\ & (\led_flash_cnt[3835][1]~q\ $ (VCC))) # (!\led_flash_cnt[3835][0]~q\ & (\led_flash_cnt[3835][1]~q\ & VCC))
-- \led_flash_cnt[3835][1]~77883\ = CARRY((\led_flash_cnt[3835][0]~q\ & \led_flash_cnt[3835][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3835][0]~q\,
	datab => \led_flash_cnt[3835][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3835][1]~77882_combout\,
	cout => \led_flash_cnt[3835][1]~77883\);

-- Location: FF_X20_Y24_N15
\led_flash_cnt[3835][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3835][1]~77882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3835][1]~q\);

-- Location: LCCOMB_X20_Y24_N16
\led_flash_cnt[3835][2]~77884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3835][2]~77884_combout\ = (\led_flash_cnt[3835][2]~q\ & (!\led_flash_cnt[3835][1]~77883\)) # (!\led_flash_cnt[3835][2]~q\ & ((\led_flash_cnt[3835][1]~77883\) # (GND)))
-- \led_flash_cnt[3835][2]~77885\ = CARRY((!\led_flash_cnt[3835][1]~77883\) # (!\led_flash_cnt[3835][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3835][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3835][1]~77883\,
	combout => \led_flash_cnt[3835][2]~77884_combout\,
	cout => \led_flash_cnt[3835][2]~77885\);

-- Location: FF_X20_Y24_N17
\led_flash_cnt[3835][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3835][2]~77884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3835][2]~q\);

-- Location: LCCOMB_X20_Y24_N18
\led_flash_cnt[3835][3]~77886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3835][3]~77886_combout\ = (\led_flash_cnt[3835][3]~q\ & (\led_flash_cnt[3835][2]~77885\ $ (GND))) # (!\led_flash_cnt[3835][3]~q\ & (!\led_flash_cnt[3835][2]~77885\ & VCC))
-- \led_flash_cnt[3835][3]~77887\ = CARRY((\led_flash_cnt[3835][3]~q\ & !\led_flash_cnt[3835][2]~77885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3835][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3835][2]~77885\,
	combout => \led_flash_cnt[3835][3]~77886_combout\,
	cout => \led_flash_cnt[3835][3]~77887\);

-- Location: FF_X20_Y24_N19
\led_flash_cnt[3835][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3835][3]~77886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3835][3]~q\);

-- Location: LCCOMB_X20_Y24_N20
\led_flash_cnt[3835][4]~77888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3835][4]~77888_combout\ = (\led_flash_cnt[3835][4]~q\ & (!\led_flash_cnt[3835][3]~77887\)) # (!\led_flash_cnt[3835][4]~q\ & ((\led_flash_cnt[3835][3]~77887\) # (GND)))
-- \led_flash_cnt[3835][4]~77889\ = CARRY((!\led_flash_cnt[3835][3]~77887\) # (!\led_flash_cnt[3835][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3835][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3835][3]~77887\,
	combout => \led_flash_cnt[3835][4]~77888_combout\,
	cout => \led_flash_cnt[3835][4]~77889\);

-- Location: FF_X20_Y24_N21
\led_flash_cnt[3835][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3835][4]~77888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3835][4]~q\);

-- Location: LCCOMB_X20_Y24_N28
\WideAnd3835~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3835~0_combout\ = (\led_flash_cnt[3835][3]~q\ & (\led_flash_cnt[3835][2]~q\ & (\led_flash_cnt[3835][1]~q\ & \led_flash_cnt[3835][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3835][3]~q\,
	datab => \led_flash_cnt[3835][2]~q\,
	datac => \led_flash_cnt[3835][1]~q\,
	datad => \led_flash_cnt[3835][4]~q\,
	combout => \WideAnd3835~0_combout\);

-- Location: LCCOMB_X20_Y24_N22
\led_flash_cnt[3835][5]~77890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3835][5]~77890_combout\ = (\led_flash_cnt[3835][5]~q\ & (\led_flash_cnt[3835][4]~77889\ $ (GND))) # (!\led_flash_cnt[3835][5]~q\ & (!\led_flash_cnt[3835][4]~77889\ & VCC))
-- \led_flash_cnt[3835][5]~77891\ = CARRY((\led_flash_cnt[3835][5]~q\ & !\led_flash_cnt[3835][4]~77889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3835][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3835][4]~77889\,
	combout => \led_flash_cnt[3835][5]~77890_combout\,
	cout => \led_flash_cnt[3835][5]~77891\);

-- Location: FF_X20_Y24_N23
\led_flash_cnt[3835][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3835][5]~77890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3835][5]~q\);

-- Location: LCCOMB_X20_Y24_N24
\led_flash_cnt[3835][6]~77892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3835][6]~77892_combout\ = (\led_flash_cnt[3835][6]~q\ & (!\led_flash_cnt[3835][5]~77891\)) # (!\led_flash_cnt[3835][6]~q\ & ((\led_flash_cnt[3835][5]~77891\) # (GND)))
-- \led_flash_cnt[3835][6]~77893\ = CARRY((!\led_flash_cnt[3835][5]~77891\) # (!\led_flash_cnt[3835][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3835][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3835][5]~77891\,
	combout => \led_flash_cnt[3835][6]~77892_combout\,
	cout => \led_flash_cnt[3835][6]~77893\);

-- Location: FF_X20_Y24_N25
\led_flash_cnt[3835][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3835][6]~77892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3835][6]~q\);

-- Location: LCCOMB_X19_Y24_N4
\WideAnd3835~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3835~1_combout\ = (\led_flash_cnt[3835][6]~q\ & \led_flash_cnt[3835][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3835][6]~q\,
	datad => \led_flash_cnt[3835][5]~q\,
	combout => \WideAnd3835~1_combout\);

-- Location: LCCOMB_X20_Y24_N26
\led_flash_cnt[3835][7]~77894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3835][7]~77894_combout\ = \led_flash_cnt[3835][7]~q\ $ (!\led_flash_cnt[3835][6]~77893\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3835][7]~q\,
	cin => \led_flash_cnt[3835][6]~77893\,
	combout => \led_flash_cnt[3835][7]~77894_combout\);

-- Location: FF_X20_Y24_N27
\led_flash_cnt[3835][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3835][7]~77894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3835][7]~q\);

-- Location: LCCOMB_X19_Y24_N28
WideAnd3835 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3835~combout\ = (\led_flash_cnt[3835][0]~q\ & (\WideAnd3835~0_combout\ & (\WideAnd3835~1_combout\ & \led_flash_cnt[3835][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3835][0]~q\,
	datab => \WideAnd3835~0_combout\,
	datac => \WideAnd3835~1_combout\,
	datad => \led_flash_cnt[3835][7]~q\,
	combout => \WideAnd3835~combout\);

-- Location: FF_X19_Y24_N29
\led_flash_cnt_ands[3835]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3835~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3835));

-- Location: LCCOMB_X12_Y22_N18
\led_flash_cnt[3833][0]~84281\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3833][0]~84281_combout\ = !\led_flash_cnt[3833][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3833][0]~q\,
	combout => \led_flash_cnt[3833][0]~84281_combout\);

-- Location: FF_X12_Y22_N19
\led_flash_cnt[3833][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3833][0]~84281_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3833][0]~q\);

-- Location: LCCOMB_X11_Y22_N2
\led_flash_cnt[3833][1]~77854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3833][1]~77854_combout\ = (\led_flash_cnt[3833][1]~q\ & (\led_flash_cnt[3833][0]~q\ $ (VCC))) # (!\led_flash_cnt[3833][1]~q\ & (\led_flash_cnt[3833][0]~q\ & VCC))
-- \led_flash_cnt[3833][1]~77855\ = CARRY((\led_flash_cnt[3833][1]~q\ & \led_flash_cnt[3833][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3833][1]~q\,
	datab => \led_flash_cnt[3833][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3833][1]~77854_combout\,
	cout => \led_flash_cnt[3833][1]~77855\);

-- Location: FF_X11_Y22_N3
\led_flash_cnt[3833][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3833][1]~77854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3833][1]~q\);

-- Location: LCCOMB_X11_Y22_N4
\led_flash_cnt[3833][2]~77856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3833][2]~77856_combout\ = (\led_flash_cnt[3833][2]~q\ & (!\led_flash_cnt[3833][1]~77855\)) # (!\led_flash_cnt[3833][2]~q\ & ((\led_flash_cnt[3833][1]~77855\) # (GND)))
-- \led_flash_cnt[3833][2]~77857\ = CARRY((!\led_flash_cnt[3833][1]~77855\) # (!\led_flash_cnt[3833][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3833][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3833][1]~77855\,
	combout => \led_flash_cnt[3833][2]~77856_combout\,
	cout => \led_flash_cnt[3833][2]~77857\);

-- Location: FF_X11_Y22_N5
\led_flash_cnt[3833][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3833][2]~77856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3833][2]~q\);

-- Location: LCCOMB_X11_Y22_N6
\led_flash_cnt[3833][3]~77858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3833][3]~77858_combout\ = (\led_flash_cnt[3833][3]~q\ & (\led_flash_cnt[3833][2]~77857\ $ (GND))) # (!\led_flash_cnt[3833][3]~q\ & (!\led_flash_cnt[3833][2]~77857\ & VCC))
-- \led_flash_cnt[3833][3]~77859\ = CARRY((\led_flash_cnt[3833][3]~q\ & !\led_flash_cnt[3833][2]~77857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3833][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3833][2]~77857\,
	combout => \led_flash_cnt[3833][3]~77858_combout\,
	cout => \led_flash_cnt[3833][3]~77859\);

-- Location: FF_X11_Y22_N7
\led_flash_cnt[3833][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3833][3]~77858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3833][3]~q\);

-- Location: LCCOMB_X11_Y22_N8
\led_flash_cnt[3833][4]~77860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3833][4]~77860_combout\ = (\led_flash_cnt[3833][4]~q\ & (!\led_flash_cnt[3833][3]~77859\)) # (!\led_flash_cnt[3833][4]~q\ & ((\led_flash_cnt[3833][3]~77859\) # (GND)))
-- \led_flash_cnt[3833][4]~77861\ = CARRY((!\led_flash_cnt[3833][3]~77859\) # (!\led_flash_cnt[3833][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3833][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3833][3]~77859\,
	combout => \led_flash_cnt[3833][4]~77860_combout\,
	cout => \led_flash_cnt[3833][4]~77861\);

-- Location: FF_X11_Y22_N9
\led_flash_cnt[3833][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3833][4]~77860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3833][4]~q\);

-- Location: LCCOMB_X11_Y22_N10
\led_flash_cnt[3833][5]~77862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3833][5]~77862_combout\ = (\led_flash_cnt[3833][5]~q\ & (\led_flash_cnt[3833][4]~77861\ $ (GND))) # (!\led_flash_cnt[3833][5]~q\ & (!\led_flash_cnt[3833][4]~77861\ & VCC))
-- \led_flash_cnt[3833][5]~77863\ = CARRY((\led_flash_cnt[3833][5]~q\ & !\led_flash_cnt[3833][4]~77861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3833][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3833][4]~77861\,
	combout => \led_flash_cnt[3833][5]~77862_combout\,
	cout => \led_flash_cnt[3833][5]~77863\);

-- Location: FF_X11_Y22_N11
\led_flash_cnt[3833][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3833][5]~77862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3833][5]~q\);

-- Location: LCCOMB_X11_Y22_N12
\led_flash_cnt[3833][6]~77864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3833][6]~77864_combout\ = (\led_flash_cnt[3833][6]~q\ & (!\led_flash_cnt[3833][5]~77863\)) # (!\led_flash_cnt[3833][6]~q\ & ((\led_flash_cnt[3833][5]~77863\) # (GND)))
-- \led_flash_cnt[3833][6]~77865\ = CARRY((!\led_flash_cnt[3833][5]~77863\) # (!\led_flash_cnt[3833][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3833][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3833][5]~77863\,
	combout => \led_flash_cnt[3833][6]~77864_combout\,
	cout => \led_flash_cnt[3833][6]~77865\);

-- Location: FF_X11_Y22_N13
\led_flash_cnt[3833][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3833][6]~77864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3833][6]~q\);

-- Location: LCCOMB_X11_Y22_N14
\led_flash_cnt[3833][7]~77866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3833][7]~77866_combout\ = \led_flash_cnt[3833][7]~q\ $ (!\led_flash_cnt[3833][6]~77865\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3833][7]~q\,
	cin => \led_flash_cnt[3833][6]~77865\,
	combout => \led_flash_cnt[3833][7]~77866_combout\);

-- Location: FF_X11_Y22_N15
\led_flash_cnt[3833][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3833][7]~77866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3833][7]~q\);

-- Location: LCCOMB_X12_Y22_N28
\WideAnd3833~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3833~1_combout\ = (\led_flash_cnt[3833][5]~q\ & \led_flash_cnt[3833][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3833][5]~q\,
	datad => \led_flash_cnt[3833][6]~q\,
	combout => \WideAnd3833~1_combout\);

-- Location: LCCOMB_X11_Y22_N0
\WideAnd3833~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3833~0_combout\ = (\led_flash_cnt[3833][1]~q\ & (\led_flash_cnt[3833][4]~q\ & (\led_flash_cnt[3833][2]~q\ & \led_flash_cnt[3833][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3833][1]~q\,
	datab => \led_flash_cnt[3833][4]~q\,
	datac => \led_flash_cnt[3833][2]~q\,
	datad => \led_flash_cnt[3833][3]~q\,
	combout => \WideAnd3833~0_combout\);

-- Location: LCCOMB_X12_Y22_N16
WideAnd3833 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3833~combout\ = (\led_flash_cnt[3833][7]~q\ & (\WideAnd3833~1_combout\ & (\WideAnd3833~0_combout\ & \led_flash_cnt[3833][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3833][7]~q\,
	datab => \WideAnd3833~1_combout\,
	datac => \WideAnd3833~0_combout\,
	datad => \led_flash_cnt[3833][0]~q\,
	combout => \WideAnd3833~combout\);

-- Location: FF_X12_Y22_N17
\led_flash_cnt_ands[3833]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3833~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3833));

-- Location: LCCOMB_X19_Y24_N10
\led_flash_cnt[3832][0]~84280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3832][0]~84280_combout\ = !\led_flash_cnt[3832][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3832][0]~q\,
	combout => \led_flash_cnt[3832][0]~84280_combout\);

-- Location: FF_X19_Y24_N11
\led_flash_cnt[3832][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3832][0]~84280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3832][0]~q\);

-- Location: LCCOMB_X19_Y24_N14
\led_flash_cnt[3832][1]~77840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3832][1]~77840_combout\ = (\led_flash_cnt[3832][0]~q\ & (\led_flash_cnt[3832][1]~q\ $ (VCC))) # (!\led_flash_cnt[3832][0]~q\ & (\led_flash_cnt[3832][1]~q\ & VCC))
-- \led_flash_cnt[3832][1]~77841\ = CARRY((\led_flash_cnt[3832][0]~q\ & \led_flash_cnt[3832][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3832][0]~q\,
	datab => \led_flash_cnt[3832][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3832][1]~77840_combout\,
	cout => \led_flash_cnt[3832][1]~77841\);

-- Location: FF_X19_Y24_N15
\led_flash_cnt[3832][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3832][1]~77840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3832][1]~q\);

-- Location: LCCOMB_X19_Y24_N16
\led_flash_cnt[3832][2]~77842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3832][2]~77842_combout\ = (\led_flash_cnt[3832][2]~q\ & (!\led_flash_cnt[3832][1]~77841\)) # (!\led_flash_cnt[3832][2]~q\ & ((\led_flash_cnt[3832][1]~77841\) # (GND)))
-- \led_flash_cnt[3832][2]~77843\ = CARRY((!\led_flash_cnt[3832][1]~77841\) # (!\led_flash_cnt[3832][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3832][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3832][1]~77841\,
	combout => \led_flash_cnt[3832][2]~77842_combout\,
	cout => \led_flash_cnt[3832][2]~77843\);

-- Location: FF_X19_Y24_N17
\led_flash_cnt[3832][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3832][2]~77842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3832][2]~q\);

-- Location: LCCOMB_X19_Y24_N18
\led_flash_cnt[3832][3]~77844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3832][3]~77844_combout\ = (\led_flash_cnt[3832][3]~q\ & (\led_flash_cnt[3832][2]~77843\ $ (GND))) # (!\led_flash_cnt[3832][3]~q\ & (!\led_flash_cnt[3832][2]~77843\ & VCC))
-- \led_flash_cnt[3832][3]~77845\ = CARRY((\led_flash_cnt[3832][3]~q\ & !\led_flash_cnt[3832][2]~77843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3832][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3832][2]~77843\,
	combout => \led_flash_cnt[3832][3]~77844_combout\,
	cout => \led_flash_cnt[3832][3]~77845\);

-- Location: FF_X19_Y24_N19
\led_flash_cnt[3832][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3832][3]~77844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3832][3]~q\);

-- Location: LCCOMB_X19_Y24_N20
\led_flash_cnt[3832][4]~77846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3832][4]~77846_combout\ = (\led_flash_cnt[3832][4]~q\ & (!\led_flash_cnt[3832][3]~77845\)) # (!\led_flash_cnt[3832][4]~q\ & ((\led_flash_cnt[3832][3]~77845\) # (GND)))
-- \led_flash_cnt[3832][4]~77847\ = CARRY((!\led_flash_cnt[3832][3]~77845\) # (!\led_flash_cnt[3832][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3832][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3832][3]~77845\,
	combout => \led_flash_cnt[3832][4]~77846_combout\,
	cout => \led_flash_cnt[3832][4]~77847\);

-- Location: FF_X19_Y24_N21
\led_flash_cnt[3832][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3832][4]~77846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3832][4]~q\);

-- Location: LCCOMB_X19_Y24_N22
\led_flash_cnt[3832][5]~77848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3832][5]~77848_combout\ = (\led_flash_cnt[3832][5]~q\ & (\led_flash_cnt[3832][4]~77847\ $ (GND))) # (!\led_flash_cnt[3832][5]~q\ & (!\led_flash_cnt[3832][4]~77847\ & VCC))
-- \led_flash_cnt[3832][5]~77849\ = CARRY((\led_flash_cnt[3832][5]~q\ & !\led_flash_cnt[3832][4]~77847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3832][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3832][4]~77847\,
	combout => \led_flash_cnt[3832][5]~77848_combout\,
	cout => \led_flash_cnt[3832][5]~77849\);

-- Location: FF_X19_Y24_N23
\led_flash_cnt[3832][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3832][5]~77848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3832][5]~q\);

-- Location: LCCOMB_X19_Y24_N24
\led_flash_cnt[3832][6]~77850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3832][6]~77850_combout\ = (\led_flash_cnt[3832][6]~q\ & (!\led_flash_cnt[3832][5]~77849\)) # (!\led_flash_cnt[3832][6]~q\ & ((\led_flash_cnt[3832][5]~77849\) # (GND)))
-- \led_flash_cnt[3832][6]~77851\ = CARRY((!\led_flash_cnt[3832][5]~77849\) # (!\led_flash_cnt[3832][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3832][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3832][5]~77849\,
	combout => \led_flash_cnt[3832][6]~77850_combout\,
	cout => \led_flash_cnt[3832][6]~77851\);

-- Location: FF_X19_Y24_N25
\led_flash_cnt[3832][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3832][6]~77850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3832][6]~q\);

-- Location: LCCOMB_X19_Y24_N30
\WideAnd3832~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3832~1_combout\ = (\led_flash_cnt[3832][5]~q\ & \led_flash_cnt[3832][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3832][5]~q\,
	datad => \led_flash_cnt[3832][6]~q\,
	combout => \WideAnd3832~1_combout\);

-- Location: LCCOMB_X19_Y24_N8
\WideAnd3832~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3832~0_combout\ = (\led_flash_cnt[3832][4]~q\ & (\led_flash_cnt[3832][2]~q\ & (\led_flash_cnt[3832][1]~q\ & \led_flash_cnt[3832][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3832][4]~q\,
	datab => \led_flash_cnt[3832][2]~q\,
	datac => \led_flash_cnt[3832][1]~q\,
	datad => \led_flash_cnt[3832][3]~q\,
	combout => \WideAnd3832~0_combout\);

-- Location: LCCOMB_X19_Y24_N26
\led_flash_cnt[3832][7]~77852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3832][7]~77852_combout\ = \led_flash_cnt[3832][7]~q\ $ (!\led_flash_cnt[3832][6]~77851\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3832][7]~q\,
	cin => \led_flash_cnt[3832][6]~77851\,
	combout => \led_flash_cnt[3832][7]~77852_combout\);

-- Location: FF_X19_Y24_N27
\led_flash_cnt[3832][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3832][7]~77852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3832][7]~q\);

-- Location: LCCOMB_X19_Y24_N12
WideAnd3832 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3832~combout\ = (\WideAnd3832~1_combout\ & (\WideAnd3832~0_combout\ & (\led_flash_cnt[3832][7]~q\ & \led_flash_cnt[3832][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3832~1_combout\,
	datab => \WideAnd3832~0_combout\,
	datac => \led_flash_cnt[3832][7]~q\,
	datad => \led_flash_cnt[3832][0]~q\,
	combout => \WideAnd3832~combout\);

-- Location: FF_X19_Y24_N13
\led_flash_cnt_ands[3832]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3832~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3832));

-- Location: LCCOMB_X12_Y22_N22
\led_flash_cnt[3834][0]~84282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3834][0]~84282_combout\ = !\led_flash_cnt[3834][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3834][0]~q\,
	combout => \led_flash_cnt[3834][0]~84282_combout\);

-- Location: FF_X12_Y22_N23
\led_flash_cnt[3834][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3834][0]~84282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3834][0]~q\);

-- Location: LCCOMB_X12_Y22_N2
\led_flash_cnt[3834][1]~77868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3834][1]~77868_combout\ = (\led_flash_cnt[3834][0]~q\ & (\led_flash_cnt[3834][1]~q\ $ (VCC))) # (!\led_flash_cnt[3834][0]~q\ & (\led_flash_cnt[3834][1]~q\ & VCC))
-- \led_flash_cnt[3834][1]~77869\ = CARRY((\led_flash_cnt[3834][0]~q\ & \led_flash_cnt[3834][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3834][0]~q\,
	datab => \led_flash_cnt[3834][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3834][1]~77868_combout\,
	cout => \led_flash_cnt[3834][1]~77869\);

-- Location: FF_X12_Y22_N3
\led_flash_cnt[3834][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3834][1]~77868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3834][1]~q\);

-- Location: LCCOMB_X12_Y22_N4
\led_flash_cnt[3834][2]~77870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3834][2]~77870_combout\ = (\led_flash_cnt[3834][2]~q\ & (!\led_flash_cnt[3834][1]~77869\)) # (!\led_flash_cnt[3834][2]~q\ & ((\led_flash_cnt[3834][1]~77869\) # (GND)))
-- \led_flash_cnt[3834][2]~77871\ = CARRY((!\led_flash_cnt[3834][1]~77869\) # (!\led_flash_cnt[3834][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3834][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3834][1]~77869\,
	combout => \led_flash_cnt[3834][2]~77870_combout\,
	cout => \led_flash_cnt[3834][2]~77871\);

-- Location: FF_X12_Y22_N5
\led_flash_cnt[3834][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3834][2]~77870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3834][2]~q\);

-- Location: LCCOMB_X12_Y22_N6
\led_flash_cnt[3834][3]~77872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3834][3]~77872_combout\ = (\led_flash_cnt[3834][3]~q\ & (\led_flash_cnt[3834][2]~77871\ $ (GND))) # (!\led_flash_cnt[3834][3]~q\ & (!\led_flash_cnt[3834][2]~77871\ & VCC))
-- \led_flash_cnt[3834][3]~77873\ = CARRY((\led_flash_cnt[3834][3]~q\ & !\led_flash_cnt[3834][2]~77871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3834][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3834][2]~77871\,
	combout => \led_flash_cnt[3834][3]~77872_combout\,
	cout => \led_flash_cnt[3834][3]~77873\);

-- Location: FF_X12_Y22_N7
\led_flash_cnt[3834][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3834][3]~77872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3834][3]~q\);

-- Location: LCCOMB_X12_Y22_N8
\led_flash_cnt[3834][4]~77874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3834][4]~77874_combout\ = (\led_flash_cnt[3834][4]~q\ & (!\led_flash_cnt[3834][3]~77873\)) # (!\led_flash_cnt[3834][4]~q\ & ((\led_flash_cnt[3834][3]~77873\) # (GND)))
-- \led_flash_cnt[3834][4]~77875\ = CARRY((!\led_flash_cnt[3834][3]~77873\) # (!\led_flash_cnt[3834][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3834][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3834][3]~77873\,
	combout => \led_flash_cnt[3834][4]~77874_combout\,
	cout => \led_flash_cnt[3834][4]~77875\);

-- Location: FF_X12_Y22_N9
\led_flash_cnt[3834][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3834][4]~77874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3834][4]~q\);

-- Location: LCCOMB_X12_Y22_N26
\WideAnd3834~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3834~0_combout\ = (\led_flash_cnt[3834][3]~q\ & (\led_flash_cnt[3834][2]~q\ & (\led_flash_cnt[3834][4]~q\ & \led_flash_cnt[3834][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3834][3]~q\,
	datab => \led_flash_cnt[3834][2]~q\,
	datac => \led_flash_cnt[3834][4]~q\,
	datad => \led_flash_cnt[3834][1]~q\,
	combout => \WideAnd3834~0_combout\);

-- Location: LCCOMB_X12_Y22_N10
\led_flash_cnt[3834][5]~77876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3834][5]~77876_combout\ = (\led_flash_cnt[3834][5]~q\ & (\led_flash_cnt[3834][4]~77875\ $ (GND))) # (!\led_flash_cnt[3834][5]~q\ & (!\led_flash_cnt[3834][4]~77875\ & VCC))
-- \led_flash_cnt[3834][5]~77877\ = CARRY((\led_flash_cnt[3834][5]~q\ & !\led_flash_cnt[3834][4]~77875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3834][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3834][4]~77875\,
	combout => \led_flash_cnt[3834][5]~77876_combout\,
	cout => \led_flash_cnt[3834][5]~77877\);

-- Location: FF_X12_Y22_N11
\led_flash_cnt[3834][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3834][5]~77876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3834][5]~q\);

-- Location: LCCOMB_X12_Y22_N12
\led_flash_cnt[3834][6]~77878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3834][6]~77878_combout\ = (\led_flash_cnt[3834][6]~q\ & (!\led_flash_cnt[3834][5]~77877\)) # (!\led_flash_cnt[3834][6]~q\ & ((\led_flash_cnt[3834][5]~77877\) # (GND)))
-- \led_flash_cnt[3834][6]~77879\ = CARRY((!\led_flash_cnt[3834][5]~77877\) # (!\led_flash_cnt[3834][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3834][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3834][5]~77877\,
	combout => \led_flash_cnt[3834][6]~77878_combout\,
	cout => \led_flash_cnt[3834][6]~77879\);

-- Location: FF_X12_Y22_N13
\led_flash_cnt[3834][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3834][6]~77878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3834][6]~q\);

-- Location: LCCOMB_X12_Y22_N14
\led_flash_cnt[3834][7]~77880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3834][7]~77880_combout\ = \led_flash_cnt[3834][7]~q\ $ (!\led_flash_cnt[3834][6]~77879\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3834][7]~q\,
	cin => \led_flash_cnt[3834][6]~77879\,
	combout => \led_flash_cnt[3834][7]~77880_combout\);

-- Location: FF_X12_Y22_N15
\led_flash_cnt[3834][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3834][7]~77880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3834][7]~q\);

-- Location: LCCOMB_X12_Y22_N24
\WideAnd3834~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3834~1_combout\ = (\led_flash_cnt[3834][5]~q\ & \led_flash_cnt[3834][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3834][5]~q\,
	datad => \led_flash_cnt[3834][6]~q\,
	combout => \WideAnd3834~1_combout\);

-- Location: LCCOMB_X12_Y22_N20
WideAnd3834 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3834~combout\ = (\WideAnd3834~0_combout\ & (\led_flash_cnt[3834][7]~q\ & (\led_flash_cnt[3834][0]~q\ & \WideAnd3834~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3834~0_combout\,
	datab => \led_flash_cnt[3834][7]~q\,
	datac => \led_flash_cnt[3834][0]~q\,
	datad => \WideAnd3834~1_combout\,
	combout => \WideAnd3834~combout\);

-- Location: FF_X12_Y22_N21
\led_flash_cnt_ands[3834]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3834~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3834));

-- Location: LCCOMB_X12_Y22_N0
\WideAnd4319~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4319~0_combout\ = (led_flash_cnt_ands(3835) & (led_flash_cnt_ands(3833) & (led_flash_cnt_ands(3832) & led_flash_cnt_ands(3834))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3835),
	datab => led_flash_cnt_ands(3833),
	datac => led_flash_cnt_ands(3832),
	datad => led_flash_cnt_ands(3834),
	combout => \WideAnd4319~0_combout\);

-- Location: LCCOMB_X16_Y11_N6
\led_flash_cnt[3836][0]~84284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3836][0]~84284_combout\ = !\led_flash_cnt[3836][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3836][0]~q\,
	combout => \led_flash_cnt[3836][0]~84284_combout\);

-- Location: FF_X16_Y11_N7
\led_flash_cnt[3836][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3836][0]~84284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3836][0]~q\);

-- Location: LCCOMB_X17_Y11_N14
\led_flash_cnt[3836][1]~77896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3836][1]~77896_combout\ = (\led_flash_cnt[3836][0]~q\ & (\led_flash_cnt[3836][1]~q\ $ (VCC))) # (!\led_flash_cnt[3836][0]~q\ & (\led_flash_cnt[3836][1]~q\ & VCC))
-- \led_flash_cnt[3836][1]~77897\ = CARRY((\led_flash_cnt[3836][0]~q\ & \led_flash_cnt[3836][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3836][0]~q\,
	datab => \led_flash_cnt[3836][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3836][1]~77896_combout\,
	cout => \led_flash_cnt[3836][1]~77897\);

-- Location: FF_X17_Y11_N15
\led_flash_cnt[3836][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3836][1]~77896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3836][1]~q\);

-- Location: LCCOMB_X17_Y11_N16
\led_flash_cnt[3836][2]~77898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3836][2]~77898_combout\ = (\led_flash_cnt[3836][2]~q\ & (!\led_flash_cnt[3836][1]~77897\)) # (!\led_flash_cnt[3836][2]~q\ & ((\led_flash_cnt[3836][1]~77897\) # (GND)))
-- \led_flash_cnt[3836][2]~77899\ = CARRY((!\led_flash_cnt[3836][1]~77897\) # (!\led_flash_cnt[3836][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3836][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3836][1]~77897\,
	combout => \led_flash_cnt[3836][2]~77898_combout\,
	cout => \led_flash_cnt[3836][2]~77899\);

-- Location: FF_X17_Y11_N17
\led_flash_cnt[3836][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3836][2]~77898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3836][2]~q\);

-- Location: LCCOMB_X17_Y11_N18
\led_flash_cnt[3836][3]~77900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3836][3]~77900_combout\ = (\led_flash_cnt[3836][3]~q\ & (\led_flash_cnt[3836][2]~77899\ $ (GND))) # (!\led_flash_cnt[3836][3]~q\ & (!\led_flash_cnt[3836][2]~77899\ & VCC))
-- \led_flash_cnt[3836][3]~77901\ = CARRY((\led_flash_cnt[3836][3]~q\ & !\led_flash_cnt[3836][2]~77899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3836][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3836][2]~77899\,
	combout => \led_flash_cnt[3836][3]~77900_combout\,
	cout => \led_flash_cnt[3836][3]~77901\);

-- Location: FF_X17_Y11_N19
\led_flash_cnt[3836][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3836][3]~77900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3836][3]~q\);

-- Location: LCCOMB_X17_Y11_N20
\led_flash_cnt[3836][4]~77902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3836][4]~77902_combout\ = (\led_flash_cnt[3836][4]~q\ & (!\led_flash_cnt[3836][3]~77901\)) # (!\led_flash_cnt[3836][4]~q\ & ((\led_flash_cnt[3836][3]~77901\) # (GND)))
-- \led_flash_cnt[3836][4]~77903\ = CARRY((!\led_flash_cnt[3836][3]~77901\) # (!\led_flash_cnt[3836][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3836][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3836][3]~77901\,
	combout => \led_flash_cnt[3836][4]~77902_combout\,
	cout => \led_flash_cnt[3836][4]~77903\);

-- Location: FF_X17_Y11_N21
\led_flash_cnt[3836][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3836][4]~77902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3836][4]~q\);

-- Location: LCCOMB_X17_Y11_N22
\led_flash_cnt[3836][5]~77904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3836][5]~77904_combout\ = (\led_flash_cnt[3836][5]~q\ & (\led_flash_cnt[3836][4]~77903\ $ (GND))) # (!\led_flash_cnt[3836][5]~q\ & (!\led_flash_cnt[3836][4]~77903\ & VCC))
-- \led_flash_cnt[3836][5]~77905\ = CARRY((\led_flash_cnt[3836][5]~q\ & !\led_flash_cnt[3836][4]~77903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3836][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3836][4]~77903\,
	combout => \led_flash_cnt[3836][5]~77904_combout\,
	cout => \led_flash_cnt[3836][5]~77905\);

-- Location: FF_X17_Y11_N23
\led_flash_cnt[3836][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3836][5]~77904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3836][5]~q\);

-- Location: LCCOMB_X17_Y11_N24
\led_flash_cnt[3836][6]~77906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3836][6]~77906_combout\ = (\led_flash_cnt[3836][6]~q\ & (!\led_flash_cnt[3836][5]~77905\)) # (!\led_flash_cnt[3836][6]~q\ & ((\led_flash_cnt[3836][5]~77905\) # (GND)))
-- \led_flash_cnt[3836][6]~77907\ = CARRY((!\led_flash_cnt[3836][5]~77905\) # (!\led_flash_cnt[3836][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3836][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3836][5]~77905\,
	combout => \led_flash_cnt[3836][6]~77906_combout\,
	cout => \led_flash_cnt[3836][6]~77907\);

-- Location: FF_X17_Y11_N25
\led_flash_cnt[3836][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3836][6]~77906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3836][6]~q\);

-- Location: LCCOMB_X17_Y11_N26
\led_flash_cnt[3836][7]~77908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3836][7]~77908_combout\ = \led_flash_cnt[3836][7]~q\ $ (!\led_flash_cnt[3836][6]~77907\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3836][7]~q\,
	cin => \led_flash_cnt[3836][6]~77907\,
	combout => \led_flash_cnt[3836][7]~77908_combout\);

-- Location: FF_X17_Y11_N27
\led_flash_cnt[3836][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3836][7]~77908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3836][7]~q\);

-- Location: LCCOMB_X16_Y11_N8
\WideAnd3836~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3836~1_combout\ = (\led_flash_cnt[3836][6]~q\ & \led_flash_cnt[3836][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3836][6]~q\,
	datad => \led_flash_cnt[3836][5]~q\,
	combout => \WideAnd3836~1_combout\);

-- Location: LCCOMB_X17_Y11_N28
\WideAnd3836~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3836~0_combout\ = (\led_flash_cnt[3836][3]~q\ & (\led_flash_cnt[3836][4]~q\ & (\led_flash_cnt[3836][1]~q\ & \led_flash_cnt[3836][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3836][3]~q\,
	datab => \led_flash_cnt[3836][4]~q\,
	datac => \led_flash_cnt[3836][1]~q\,
	datad => \led_flash_cnt[3836][2]~q\,
	combout => \WideAnd3836~0_combout\);

-- Location: LCCOMB_X16_Y11_N30
WideAnd3836 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3836~combout\ = (\led_flash_cnt[3836][0]~q\ & (\led_flash_cnt[3836][7]~q\ & (\WideAnd3836~1_combout\ & \WideAnd3836~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3836][0]~q\,
	datab => \led_flash_cnt[3836][7]~q\,
	datac => \WideAnd3836~1_combout\,
	datad => \WideAnd3836~0_combout\,
	combout => \WideAnd3836~combout\);

-- Location: FF_X16_Y11_N31
\led_flash_cnt_ands[3836]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3836~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3836));

-- Location: LCCOMB_X16_Y11_N0
\led_flash_cnt[3837][0]~84285\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3837][0]~84285_combout\ = !\led_flash_cnt[3837][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3837][0]~q\,
	combout => \led_flash_cnt[3837][0]~84285_combout\);

-- Location: FF_X16_Y11_N1
\led_flash_cnt[3837][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3837][0]~84285_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3837][0]~q\);

-- Location: LCCOMB_X16_Y11_N10
\led_flash_cnt[3837][1]~77910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3837][1]~77910_combout\ = (\led_flash_cnt[3837][1]~q\ & (\led_flash_cnt[3837][0]~q\ $ (VCC))) # (!\led_flash_cnt[3837][1]~q\ & (\led_flash_cnt[3837][0]~q\ & VCC))
-- \led_flash_cnt[3837][1]~77911\ = CARRY((\led_flash_cnt[3837][1]~q\ & \led_flash_cnt[3837][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3837][1]~q\,
	datab => \led_flash_cnt[3837][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3837][1]~77910_combout\,
	cout => \led_flash_cnt[3837][1]~77911\);

-- Location: FF_X16_Y11_N11
\led_flash_cnt[3837][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3837][1]~77910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3837][1]~q\);

-- Location: LCCOMB_X16_Y11_N12
\led_flash_cnt[3837][2]~77912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3837][2]~77912_combout\ = (\led_flash_cnt[3837][2]~q\ & (!\led_flash_cnt[3837][1]~77911\)) # (!\led_flash_cnt[3837][2]~q\ & ((\led_flash_cnt[3837][1]~77911\) # (GND)))
-- \led_flash_cnt[3837][2]~77913\ = CARRY((!\led_flash_cnt[3837][1]~77911\) # (!\led_flash_cnt[3837][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3837][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3837][1]~77911\,
	combout => \led_flash_cnt[3837][2]~77912_combout\,
	cout => \led_flash_cnt[3837][2]~77913\);

-- Location: FF_X16_Y11_N13
\led_flash_cnt[3837][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3837][2]~77912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3837][2]~q\);

-- Location: LCCOMB_X16_Y11_N14
\led_flash_cnt[3837][3]~77914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3837][3]~77914_combout\ = (\led_flash_cnt[3837][3]~q\ & (\led_flash_cnt[3837][2]~77913\ $ (GND))) # (!\led_flash_cnt[3837][3]~q\ & (!\led_flash_cnt[3837][2]~77913\ & VCC))
-- \led_flash_cnt[3837][3]~77915\ = CARRY((\led_flash_cnt[3837][3]~q\ & !\led_flash_cnt[3837][2]~77913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3837][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3837][2]~77913\,
	combout => \led_flash_cnt[3837][3]~77914_combout\,
	cout => \led_flash_cnt[3837][3]~77915\);

-- Location: FF_X16_Y11_N15
\led_flash_cnt[3837][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3837][3]~77914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3837][3]~q\);

-- Location: LCCOMB_X16_Y11_N16
\led_flash_cnt[3837][4]~77916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3837][4]~77916_combout\ = (\led_flash_cnt[3837][4]~q\ & (!\led_flash_cnt[3837][3]~77915\)) # (!\led_flash_cnt[3837][4]~q\ & ((\led_flash_cnt[3837][3]~77915\) # (GND)))
-- \led_flash_cnt[3837][4]~77917\ = CARRY((!\led_flash_cnt[3837][3]~77915\) # (!\led_flash_cnt[3837][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3837][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3837][3]~77915\,
	combout => \led_flash_cnt[3837][4]~77916_combout\,
	cout => \led_flash_cnt[3837][4]~77917\);

-- Location: FF_X16_Y11_N17
\led_flash_cnt[3837][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3837][4]~77916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3837][4]~q\);

-- Location: LCCOMB_X16_Y11_N18
\led_flash_cnt[3837][5]~77918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3837][5]~77918_combout\ = (\led_flash_cnt[3837][5]~q\ & (\led_flash_cnt[3837][4]~77917\ $ (GND))) # (!\led_flash_cnt[3837][5]~q\ & (!\led_flash_cnt[3837][4]~77917\ & VCC))
-- \led_flash_cnt[3837][5]~77919\ = CARRY((\led_flash_cnt[3837][5]~q\ & !\led_flash_cnt[3837][4]~77917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3837][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3837][4]~77917\,
	combout => \led_flash_cnt[3837][5]~77918_combout\,
	cout => \led_flash_cnt[3837][5]~77919\);

-- Location: FF_X16_Y11_N19
\led_flash_cnt[3837][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3837][5]~77918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3837][5]~q\);

-- Location: LCCOMB_X16_Y11_N20
\led_flash_cnt[3837][6]~77920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3837][6]~77920_combout\ = (\led_flash_cnt[3837][6]~q\ & (!\led_flash_cnt[3837][5]~77919\)) # (!\led_flash_cnt[3837][6]~q\ & ((\led_flash_cnt[3837][5]~77919\) # (GND)))
-- \led_flash_cnt[3837][6]~77921\ = CARRY((!\led_flash_cnt[3837][5]~77919\) # (!\led_flash_cnt[3837][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3837][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3837][5]~77919\,
	combout => \led_flash_cnt[3837][6]~77920_combout\,
	cout => \led_flash_cnt[3837][6]~77921\);

-- Location: FF_X16_Y11_N21
\led_flash_cnt[3837][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3837][6]~77920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3837][6]~q\);

-- Location: LCCOMB_X16_Y11_N26
\WideAnd3837~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3837~1_combout\ = (\led_flash_cnt[3837][6]~q\ & \led_flash_cnt[3837][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3837][6]~q\,
	datad => \led_flash_cnt[3837][5]~q\,
	combout => \WideAnd3837~1_combout\);

-- Location: LCCOMB_X16_Y11_N22
\led_flash_cnt[3837][7]~77922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3837][7]~77922_combout\ = \led_flash_cnt[3837][7]~q\ $ (!\led_flash_cnt[3837][6]~77921\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3837][7]~q\,
	cin => \led_flash_cnt[3837][6]~77921\,
	combout => \led_flash_cnt[3837][7]~77922_combout\);

-- Location: FF_X16_Y11_N23
\led_flash_cnt[3837][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3837][7]~77922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3837][7]~q\);

-- Location: LCCOMB_X16_Y11_N24
\WideAnd3837~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3837~0_combout\ = (\led_flash_cnt[3837][2]~q\ & (\led_flash_cnt[3837][4]~q\ & (\led_flash_cnt[3837][3]~q\ & \led_flash_cnt[3837][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3837][2]~q\,
	datab => \led_flash_cnt[3837][4]~q\,
	datac => \led_flash_cnt[3837][3]~q\,
	datad => \led_flash_cnt[3837][1]~q\,
	combout => \WideAnd3837~0_combout\);

-- Location: LCCOMB_X16_Y11_N2
WideAnd3837 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3837~combout\ = (\WideAnd3837~1_combout\ & (\led_flash_cnt[3837][0]~q\ & (\led_flash_cnt[3837][7]~q\ & \WideAnd3837~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3837~1_combout\,
	datab => \led_flash_cnt[3837][0]~q\,
	datac => \led_flash_cnt[3837][7]~q\,
	datad => \WideAnd3837~0_combout\,
	combout => \WideAnd3837~combout\);

-- Location: FF_X16_Y11_N3
\led_flash_cnt_ands[3837]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3837~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3837));

-- Location: LCCOMB_X16_Y11_N4
\WideAnd4319~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4319~1_combout\ = (led_flash_cnt_ands(3836) & led_flash_cnt_ands(3837))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3836),
	datad => led_flash_cnt_ands(3837),
	combout => \WideAnd4319~1_combout\);

-- Location: LCCOMB_X15_Y15_N26
WideAnd4319 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4319~combout\ = (led_flash_cnt_ands(3839) & (led_flash_cnt_ands(3838) & (\WideAnd4319~0_combout\ & \WideAnd4319~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3839),
	datab => led_flash_cnt_ands(3838),
	datac => \WideAnd4319~0_combout\,
	datad => \WideAnd4319~1_combout\,
	combout => \WideAnd4319~combout\);

-- Location: FF_X15_Y15_N27
\led_flash_cnt_ands_1[479]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4319~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(479));

-- Location: LCCOMB_X14_Y15_N4
WideAnd4379 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4379~combout\ = (led_flash_cnt_ands_1(478) & (\WideAnd4379~0_combout\ & (\WideAnd4379~1_combout\ & led_flash_cnt_ands_1(479))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(478),
	datab => \WideAnd4379~0_combout\,
	datac => \WideAnd4379~1_combout\,
	datad => led_flash_cnt_ands_1(479),
	combout => \WideAnd4379~combout\);

-- Location: FF_X14_Y15_N5
\led_flash_cnt_ands_2[59]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4379~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(59));

-- Location: LCCOMB_X51_Y11_N2
\led_flash_cnt[3647][0]~84351\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3647][0]~84351_combout\ = !\led_flash_cnt[3647][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3647][0]~q\,
	combout => \led_flash_cnt[3647][0]~84351_combout\);

-- Location: FF_X51_Y11_N3
\led_flash_cnt[3647][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3647][0]~84351_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3647][0]~q\);

-- Location: LCCOMB_X50_Y11_N0
\led_flash_cnt[3647][1]~78834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3647][1]~78834_combout\ = (\led_flash_cnt[3647][0]~q\ & (\led_flash_cnt[3647][1]~q\ $ (VCC))) # (!\led_flash_cnt[3647][0]~q\ & (\led_flash_cnt[3647][1]~q\ & VCC))
-- \led_flash_cnt[3647][1]~78835\ = CARRY((\led_flash_cnt[3647][0]~q\ & \led_flash_cnt[3647][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3647][0]~q\,
	datab => \led_flash_cnt[3647][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3647][1]~78834_combout\,
	cout => \led_flash_cnt[3647][1]~78835\);

-- Location: FF_X50_Y11_N1
\led_flash_cnt[3647][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3647][1]~78834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3647][1]~q\);

-- Location: LCCOMB_X50_Y11_N2
\led_flash_cnt[3647][2]~78836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3647][2]~78836_combout\ = (\led_flash_cnt[3647][2]~q\ & (!\led_flash_cnt[3647][1]~78835\)) # (!\led_flash_cnt[3647][2]~q\ & ((\led_flash_cnt[3647][1]~78835\) # (GND)))
-- \led_flash_cnt[3647][2]~78837\ = CARRY((!\led_flash_cnt[3647][1]~78835\) # (!\led_flash_cnt[3647][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3647][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3647][1]~78835\,
	combout => \led_flash_cnt[3647][2]~78836_combout\,
	cout => \led_flash_cnt[3647][2]~78837\);

-- Location: FF_X50_Y11_N3
\led_flash_cnt[3647][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3647][2]~78836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3647][2]~q\);

-- Location: LCCOMB_X50_Y11_N4
\led_flash_cnt[3647][3]~78838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3647][3]~78838_combout\ = (\led_flash_cnt[3647][3]~q\ & (\led_flash_cnt[3647][2]~78837\ $ (GND))) # (!\led_flash_cnt[3647][3]~q\ & (!\led_flash_cnt[3647][2]~78837\ & VCC))
-- \led_flash_cnt[3647][3]~78839\ = CARRY((\led_flash_cnt[3647][3]~q\ & !\led_flash_cnt[3647][2]~78837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3647][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3647][2]~78837\,
	combout => \led_flash_cnt[3647][3]~78838_combout\,
	cout => \led_flash_cnt[3647][3]~78839\);

-- Location: FF_X50_Y11_N5
\led_flash_cnt[3647][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3647][3]~78838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3647][3]~q\);

-- Location: LCCOMB_X50_Y11_N6
\led_flash_cnt[3647][4]~78840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3647][4]~78840_combout\ = (\led_flash_cnt[3647][4]~q\ & (!\led_flash_cnt[3647][3]~78839\)) # (!\led_flash_cnt[3647][4]~q\ & ((\led_flash_cnt[3647][3]~78839\) # (GND)))
-- \led_flash_cnt[3647][4]~78841\ = CARRY((!\led_flash_cnt[3647][3]~78839\) # (!\led_flash_cnt[3647][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3647][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3647][3]~78839\,
	combout => \led_flash_cnt[3647][4]~78840_combout\,
	cout => \led_flash_cnt[3647][4]~78841\);

-- Location: FF_X50_Y11_N7
\led_flash_cnt[3647][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3647][4]~78840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3647][4]~q\);

-- Location: LCCOMB_X50_Y11_N8
\led_flash_cnt[3647][5]~78842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3647][5]~78842_combout\ = (\led_flash_cnt[3647][5]~q\ & (\led_flash_cnt[3647][4]~78841\ $ (GND))) # (!\led_flash_cnt[3647][5]~q\ & (!\led_flash_cnt[3647][4]~78841\ & VCC))
-- \led_flash_cnt[3647][5]~78843\ = CARRY((\led_flash_cnt[3647][5]~q\ & !\led_flash_cnt[3647][4]~78841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3647][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3647][4]~78841\,
	combout => \led_flash_cnt[3647][5]~78842_combout\,
	cout => \led_flash_cnt[3647][5]~78843\);

-- Location: FF_X50_Y11_N9
\led_flash_cnt[3647][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3647][5]~78842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3647][5]~q\);

-- Location: LCCOMB_X50_Y11_N10
\led_flash_cnt[3647][6]~78844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3647][6]~78844_combout\ = (\led_flash_cnt[3647][6]~q\ & (!\led_flash_cnt[3647][5]~78843\)) # (!\led_flash_cnt[3647][6]~q\ & ((\led_flash_cnt[3647][5]~78843\) # (GND)))
-- \led_flash_cnt[3647][6]~78845\ = CARRY((!\led_flash_cnt[3647][5]~78843\) # (!\led_flash_cnt[3647][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3647][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3647][5]~78843\,
	combout => \led_flash_cnt[3647][6]~78844_combout\,
	cout => \led_flash_cnt[3647][6]~78845\);

-- Location: FF_X50_Y11_N11
\led_flash_cnt[3647][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3647][6]~78844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3647][6]~q\);

-- Location: LCCOMB_X50_Y11_N12
\led_flash_cnt[3647][7]~78846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3647][7]~78846_combout\ = \led_flash_cnt[3647][6]~78845\ $ (!\led_flash_cnt[3647][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3647][7]~q\,
	cin => \led_flash_cnt[3647][6]~78845\,
	combout => \led_flash_cnt[3647][7]~78846_combout\);

-- Location: FF_X50_Y11_N13
\led_flash_cnt[3647][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3647][7]~78846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3647][7]~q\);

-- Location: LCCOMB_X51_Y11_N14
\WideAnd3647~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3647~0_combout\ = (\led_flash_cnt[3647][1]~q\ & (\led_flash_cnt[3647][4]~q\ & (\led_flash_cnt[3647][3]~q\ & \led_flash_cnt[3647][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3647][1]~q\,
	datab => \led_flash_cnt[3647][4]~q\,
	datac => \led_flash_cnt[3647][3]~q\,
	datad => \led_flash_cnt[3647][2]~q\,
	combout => \WideAnd3647~0_combout\);

-- Location: LCCOMB_X51_Y11_N8
\WideAnd3647~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3647~1_combout\ = (\led_flash_cnt[3647][6]~q\ & \led_flash_cnt[3647][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3647][6]~q\,
	datad => \led_flash_cnt[3647][5]~q\,
	combout => \WideAnd3647~1_combout\);

-- Location: LCCOMB_X51_Y11_N30
WideAnd3647 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3647~combout\ = (\led_flash_cnt[3647][7]~q\ & (\WideAnd3647~0_combout\ & (\WideAnd3647~1_combout\ & \led_flash_cnt[3647][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3647][7]~q\,
	datab => \WideAnd3647~0_combout\,
	datac => \WideAnd3647~1_combout\,
	datad => \led_flash_cnt[3647][0]~q\,
	combout => \WideAnd3647~combout\);

-- Location: FF_X51_Y11_N31
\led_flash_cnt_ands[3647]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3647~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3647));

-- Location: LCCOMB_X49_Y14_N28
\led_flash_cnt[3645][0]~84349\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3645][0]~84349_combout\ = !\led_flash_cnt[3645][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3645][0]~q\,
	combout => \led_flash_cnt[3645][0]~84349_combout\);

-- Location: FF_X49_Y14_N29
\led_flash_cnt[3645][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3645][0]~84349_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3645][0]~q\);

-- Location: LCCOMB_X49_Y12_N2
\led_flash_cnt[3645][1]~78806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3645][1]~78806_combout\ = (\led_flash_cnt[3645][0]~q\ & (\led_flash_cnt[3645][1]~q\ $ (VCC))) # (!\led_flash_cnt[3645][0]~q\ & (\led_flash_cnt[3645][1]~q\ & VCC))
-- \led_flash_cnt[3645][1]~78807\ = CARRY((\led_flash_cnt[3645][0]~q\ & \led_flash_cnt[3645][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3645][0]~q\,
	datab => \led_flash_cnt[3645][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3645][1]~78806_combout\,
	cout => \led_flash_cnt[3645][1]~78807\);

-- Location: FF_X49_Y12_N3
\led_flash_cnt[3645][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3645][1]~78806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3645][1]~q\);

-- Location: LCCOMB_X49_Y12_N4
\led_flash_cnt[3645][2]~78808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3645][2]~78808_combout\ = (\led_flash_cnt[3645][2]~q\ & (!\led_flash_cnt[3645][1]~78807\)) # (!\led_flash_cnt[3645][2]~q\ & ((\led_flash_cnt[3645][1]~78807\) # (GND)))
-- \led_flash_cnt[3645][2]~78809\ = CARRY((!\led_flash_cnt[3645][1]~78807\) # (!\led_flash_cnt[3645][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3645][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3645][1]~78807\,
	combout => \led_flash_cnt[3645][2]~78808_combout\,
	cout => \led_flash_cnt[3645][2]~78809\);

-- Location: FF_X49_Y12_N5
\led_flash_cnt[3645][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3645][2]~78808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3645][2]~q\);

-- Location: LCCOMB_X49_Y12_N6
\led_flash_cnt[3645][3]~78810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3645][3]~78810_combout\ = (\led_flash_cnt[3645][3]~q\ & (\led_flash_cnt[3645][2]~78809\ $ (GND))) # (!\led_flash_cnt[3645][3]~q\ & (!\led_flash_cnt[3645][2]~78809\ & VCC))
-- \led_flash_cnt[3645][3]~78811\ = CARRY((\led_flash_cnt[3645][3]~q\ & !\led_flash_cnt[3645][2]~78809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3645][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3645][2]~78809\,
	combout => \led_flash_cnt[3645][3]~78810_combout\,
	cout => \led_flash_cnt[3645][3]~78811\);

-- Location: FF_X49_Y12_N7
\led_flash_cnt[3645][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3645][3]~78810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3645][3]~q\);

-- Location: LCCOMB_X49_Y12_N8
\led_flash_cnt[3645][4]~78812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3645][4]~78812_combout\ = (\led_flash_cnt[3645][4]~q\ & (!\led_flash_cnt[3645][3]~78811\)) # (!\led_flash_cnt[3645][4]~q\ & ((\led_flash_cnt[3645][3]~78811\) # (GND)))
-- \led_flash_cnt[3645][4]~78813\ = CARRY((!\led_flash_cnt[3645][3]~78811\) # (!\led_flash_cnt[3645][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3645][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3645][3]~78811\,
	combout => \led_flash_cnt[3645][4]~78812_combout\,
	cout => \led_flash_cnt[3645][4]~78813\);

-- Location: FF_X49_Y12_N9
\led_flash_cnt[3645][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3645][4]~78812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3645][4]~q\);

-- Location: LCCOMB_X49_Y12_N10
\led_flash_cnt[3645][5]~78814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3645][5]~78814_combout\ = (\led_flash_cnt[3645][5]~q\ & (\led_flash_cnt[3645][4]~78813\ $ (GND))) # (!\led_flash_cnt[3645][5]~q\ & (!\led_flash_cnt[3645][4]~78813\ & VCC))
-- \led_flash_cnt[3645][5]~78815\ = CARRY((\led_flash_cnt[3645][5]~q\ & !\led_flash_cnt[3645][4]~78813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3645][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3645][4]~78813\,
	combout => \led_flash_cnt[3645][5]~78814_combout\,
	cout => \led_flash_cnt[3645][5]~78815\);

-- Location: FF_X49_Y12_N11
\led_flash_cnt[3645][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3645][5]~78814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3645][5]~q\);

-- Location: LCCOMB_X49_Y12_N12
\led_flash_cnt[3645][6]~78816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3645][6]~78816_combout\ = (\led_flash_cnt[3645][6]~q\ & (!\led_flash_cnt[3645][5]~78815\)) # (!\led_flash_cnt[3645][6]~q\ & ((\led_flash_cnt[3645][5]~78815\) # (GND)))
-- \led_flash_cnt[3645][6]~78817\ = CARRY((!\led_flash_cnt[3645][5]~78815\) # (!\led_flash_cnt[3645][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3645][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3645][5]~78815\,
	combout => \led_flash_cnt[3645][6]~78816_combout\,
	cout => \led_flash_cnt[3645][6]~78817\);

-- Location: FF_X49_Y12_N13
\led_flash_cnt[3645][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3645][6]~78816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3645][6]~q\);

-- Location: LCCOMB_X49_Y12_N14
\led_flash_cnt[3645][7]~78818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3645][7]~78818_combout\ = \led_flash_cnt[3645][7]~q\ $ (!\led_flash_cnt[3645][6]~78817\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3645][7]~q\,
	cin => \led_flash_cnt[3645][6]~78817\,
	combout => \led_flash_cnt[3645][7]~78818_combout\);

-- Location: FF_X49_Y12_N15
\led_flash_cnt[3645][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3645][7]~78818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3645][7]~q\);

-- Location: LCCOMB_X49_Y14_N20
\WideAnd3645~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3645~1_combout\ = (\led_flash_cnt[3645][6]~q\ & \led_flash_cnt[3645][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3645][6]~q\,
	datad => \led_flash_cnt[3645][5]~q\,
	combout => \WideAnd3645~1_combout\);

-- Location: LCCOMB_X49_Y12_N0
\WideAnd3645~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3645~0_combout\ = (\led_flash_cnt[3645][3]~q\ & (\led_flash_cnt[3645][4]~q\ & (\led_flash_cnt[3645][2]~q\ & \led_flash_cnt[3645][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3645][3]~q\,
	datab => \led_flash_cnt[3645][4]~q\,
	datac => \led_flash_cnt[3645][2]~q\,
	datad => \led_flash_cnt[3645][1]~q\,
	combout => \WideAnd3645~0_combout\);

-- Location: LCCOMB_X49_Y14_N30
WideAnd3645 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3645~combout\ = (\led_flash_cnt[3645][7]~q\ & (\WideAnd3645~1_combout\ & (\WideAnd3645~0_combout\ & \led_flash_cnt[3645][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3645][7]~q\,
	datab => \WideAnd3645~1_combout\,
	datac => \WideAnd3645~0_combout\,
	datad => \led_flash_cnt[3645][0]~q\,
	combout => \WideAnd3645~combout\);

-- Location: FF_X49_Y14_N31
\led_flash_cnt_ands[3645]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3645~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3645));

-- Location: LCCOMB_X49_Y14_N26
\led_flash_cnt[3644][0]~84348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3644][0]~84348_combout\ = !\led_flash_cnt[3644][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3644][0]~q\,
	combout => \led_flash_cnt[3644][0]~84348_combout\);

-- Location: FF_X49_Y14_N27
\led_flash_cnt[3644][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3644][0]~84348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3644][0]~q\);

-- Location: LCCOMB_X49_Y14_N0
\led_flash_cnt[3644][1]~78792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3644][1]~78792_combout\ = (\led_flash_cnt[3644][0]~q\ & (\led_flash_cnt[3644][1]~q\ $ (VCC))) # (!\led_flash_cnt[3644][0]~q\ & (\led_flash_cnt[3644][1]~q\ & VCC))
-- \led_flash_cnt[3644][1]~78793\ = CARRY((\led_flash_cnt[3644][0]~q\ & \led_flash_cnt[3644][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3644][0]~q\,
	datab => \led_flash_cnt[3644][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3644][1]~78792_combout\,
	cout => \led_flash_cnt[3644][1]~78793\);

-- Location: FF_X49_Y14_N1
\led_flash_cnt[3644][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3644][1]~78792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3644][1]~q\);

-- Location: LCCOMB_X49_Y14_N2
\led_flash_cnt[3644][2]~78794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3644][2]~78794_combout\ = (\led_flash_cnt[3644][2]~q\ & (!\led_flash_cnt[3644][1]~78793\)) # (!\led_flash_cnt[3644][2]~q\ & ((\led_flash_cnt[3644][1]~78793\) # (GND)))
-- \led_flash_cnt[3644][2]~78795\ = CARRY((!\led_flash_cnt[3644][1]~78793\) # (!\led_flash_cnt[3644][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3644][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3644][1]~78793\,
	combout => \led_flash_cnt[3644][2]~78794_combout\,
	cout => \led_flash_cnt[3644][2]~78795\);

-- Location: FF_X49_Y14_N3
\led_flash_cnt[3644][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3644][2]~78794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3644][2]~q\);

-- Location: LCCOMB_X49_Y14_N4
\led_flash_cnt[3644][3]~78796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3644][3]~78796_combout\ = (\led_flash_cnt[3644][3]~q\ & (\led_flash_cnt[3644][2]~78795\ $ (GND))) # (!\led_flash_cnt[3644][3]~q\ & (!\led_flash_cnt[3644][2]~78795\ & VCC))
-- \led_flash_cnt[3644][3]~78797\ = CARRY((\led_flash_cnt[3644][3]~q\ & !\led_flash_cnt[3644][2]~78795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3644][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3644][2]~78795\,
	combout => \led_flash_cnt[3644][3]~78796_combout\,
	cout => \led_flash_cnt[3644][3]~78797\);

-- Location: FF_X49_Y14_N5
\led_flash_cnt[3644][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3644][3]~78796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3644][3]~q\);

-- Location: LCCOMB_X49_Y14_N6
\led_flash_cnt[3644][4]~78798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3644][4]~78798_combout\ = (\led_flash_cnt[3644][4]~q\ & (!\led_flash_cnt[3644][3]~78797\)) # (!\led_flash_cnt[3644][4]~q\ & ((\led_flash_cnt[3644][3]~78797\) # (GND)))
-- \led_flash_cnt[3644][4]~78799\ = CARRY((!\led_flash_cnt[3644][3]~78797\) # (!\led_flash_cnt[3644][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3644][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3644][3]~78797\,
	combout => \led_flash_cnt[3644][4]~78798_combout\,
	cout => \led_flash_cnt[3644][4]~78799\);

-- Location: FF_X49_Y14_N7
\led_flash_cnt[3644][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3644][4]~78798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3644][4]~q\);

-- Location: LCCOMB_X49_Y14_N8
\led_flash_cnt[3644][5]~78800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3644][5]~78800_combout\ = (\led_flash_cnt[3644][5]~q\ & (\led_flash_cnt[3644][4]~78799\ $ (GND))) # (!\led_flash_cnt[3644][5]~q\ & (!\led_flash_cnt[3644][4]~78799\ & VCC))
-- \led_flash_cnt[3644][5]~78801\ = CARRY((\led_flash_cnt[3644][5]~q\ & !\led_flash_cnt[3644][4]~78799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3644][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3644][4]~78799\,
	combout => \led_flash_cnt[3644][5]~78800_combout\,
	cout => \led_flash_cnt[3644][5]~78801\);

-- Location: FF_X49_Y14_N9
\led_flash_cnt[3644][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3644][5]~78800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3644][5]~q\);

-- Location: LCCOMB_X49_Y14_N10
\led_flash_cnt[3644][6]~78802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3644][6]~78802_combout\ = (\led_flash_cnt[3644][6]~q\ & (!\led_flash_cnt[3644][5]~78801\)) # (!\led_flash_cnt[3644][6]~q\ & ((\led_flash_cnt[3644][5]~78801\) # (GND)))
-- \led_flash_cnt[3644][6]~78803\ = CARRY((!\led_flash_cnt[3644][5]~78801\) # (!\led_flash_cnt[3644][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3644][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3644][5]~78801\,
	combout => \led_flash_cnt[3644][6]~78802_combout\,
	cout => \led_flash_cnt[3644][6]~78803\);

-- Location: FF_X49_Y14_N11
\led_flash_cnt[3644][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3644][6]~78802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3644][6]~q\);

-- Location: LCCOMB_X49_Y14_N12
\led_flash_cnt[3644][7]~78804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3644][7]~78804_combout\ = \led_flash_cnt[3644][6]~78803\ $ (!\led_flash_cnt[3644][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3644][7]~q\,
	cin => \led_flash_cnt[3644][6]~78803\,
	combout => \led_flash_cnt[3644][7]~78804_combout\);

-- Location: FF_X49_Y14_N13
\led_flash_cnt[3644][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3644][7]~78804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3644][7]~q\);

-- Location: LCCOMB_X49_Y14_N18
\WideAnd3644~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3644~1_combout\ = (\led_flash_cnt[3644][5]~q\ & \led_flash_cnt[3644][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3644][5]~q\,
	datad => \led_flash_cnt[3644][6]~q\,
	combout => \WideAnd3644~1_combout\);

-- Location: LCCOMB_X49_Y14_N24
\WideAnd3644~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3644~0_combout\ = (\led_flash_cnt[3644][4]~q\ & (\led_flash_cnt[3644][1]~q\ & (\led_flash_cnt[3644][3]~q\ & \led_flash_cnt[3644][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3644][4]~q\,
	datab => \led_flash_cnt[3644][1]~q\,
	datac => \led_flash_cnt[3644][3]~q\,
	datad => \led_flash_cnt[3644][2]~q\,
	combout => \WideAnd3644~0_combout\);

-- Location: LCCOMB_X49_Y14_N16
WideAnd3644 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3644~combout\ = (\led_flash_cnt[3644][7]~q\ & (\WideAnd3644~1_combout\ & (\led_flash_cnt[3644][0]~q\ & \WideAnd3644~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3644][7]~q\,
	datab => \WideAnd3644~1_combout\,
	datac => \led_flash_cnt[3644][0]~q\,
	datad => \WideAnd3644~0_combout\,
	combout => \WideAnd3644~combout\);

-- Location: FF_X49_Y14_N17
\led_flash_cnt_ands[3644]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3644~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3644));

-- Location: LCCOMB_X49_Y14_N22
\WideAnd4295~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4295~1_combout\ = (led_flash_cnt_ands(3645) & led_flash_cnt_ands(3644))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3645),
	datad => led_flash_cnt_ands(3644),
	combout => \WideAnd4295~1_combout\);

-- Location: LCCOMB_X51_Y11_N6
\led_flash_cnt[3646][0]~84350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3646][0]~84350_combout\ = !\led_flash_cnt[3646][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3646][0]~q\,
	combout => \led_flash_cnt[3646][0]~84350_combout\);

-- Location: FF_X51_Y11_N7
\led_flash_cnt[3646][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3646][0]~84350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3646][0]~q\);

-- Location: LCCOMB_X51_Y11_N16
\led_flash_cnt[3646][1]~78820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3646][1]~78820_combout\ = (\led_flash_cnt[3646][0]~q\ & (\led_flash_cnt[3646][1]~q\ $ (VCC))) # (!\led_flash_cnt[3646][0]~q\ & (\led_flash_cnt[3646][1]~q\ & VCC))
-- \led_flash_cnt[3646][1]~78821\ = CARRY((\led_flash_cnt[3646][0]~q\ & \led_flash_cnt[3646][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3646][0]~q\,
	datab => \led_flash_cnt[3646][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3646][1]~78820_combout\,
	cout => \led_flash_cnt[3646][1]~78821\);

-- Location: FF_X51_Y11_N17
\led_flash_cnt[3646][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3646][1]~78820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3646][1]~q\);

-- Location: LCCOMB_X51_Y11_N18
\led_flash_cnt[3646][2]~78822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3646][2]~78822_combout\ = (\led_flash_cnt[3646][2]~q\ & (!\led_flash_cnt[3646][1]~78821\)) # (!\led_flash_cnt[3646][2]~q\ & ((\led_flash_cnt[3646][1]~78821\) # (GND)))
-- \led_flash_cnt[3646][2]~78823\ = CARRY((!\led_flash_cnt[3646][1]~78821\) # (!\led_flash_cnt[3646][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3646][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3646][1]~78821\,
	combout => \led_flash_cnt[3646][2]~78822_combout\,
	cout => \led_flash_cnt[3646][2]~78823\);

-- Location: FF_X51_Y11_N19
\led_flash_cnt[3646][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3646][2]~78822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3646][2]~q\);

-- Location: LCCOMB_X51_Y11_N20
\led_flash_cnt[3646][3]~78824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3646][3]~78824_combout\ = (\led_flash_cnt[3646][3]~q\ & (\led_flash_cnt[3646][2]~78823\ $ (GND))) # (!\led_flash_cnt[3646][3]~q\ & (!\led_flash_cnt[3646][2]~78823\ & VCC))
-- \led_flash_cnt[3646][3]~78825\ = CARRY((\led_flash_cnt[3646][3]~q\ & !\led_flash_cnt[3646][2]~78823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3646][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3646][2]~78823\,
	combout => \led_flash_cnt[3646][3]~78824_combout\,
	cout => \led_flash_cnt[3646][3]~78825\);

-- Location: FF_X51_Y11_N21
\led_flash_cnt[3646][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3646][3]~78824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3646][3]~q\);

-- Location: LCCOMB_X51_Y11_N22
\led_flash_cnt[3646][4]~78826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3646][4]~78826_combout\ = (\led_flash_cnt[3646][4]~q\ & (!\led_flash_cnt[3646][3]~78825\)) # (!\led_flash_cnt[3646][4]~q\ & ((\led_flash_cnt[3646][3]~78825\) # (GND)))
-- \led_flash_cnt[3646][4]~78827\ = CARRY((!\led_flash_cnt[3646][3]~78825\) # (!\led_flash_cnt[3646][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3646][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3646][3]~78825\,
	combout => \led_flash_cnt[3646][4]~78826_combout\,
	cout => \led_flash_cnt[3646][4]~78827\);

-- Location: FF_X51_Y11_N23
\led_flash_cnt[3646][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3646][4]~78826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3646][4]~q\);

-- Location: LCCOMB_X51_Y11_N24
\led_flash_cnt[3646][5]~78828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3646][5]~78828_combout\ = (\led_flash_cnt[3646][5]~q\ & (\led_flash_cnt[3646][4]~78827\ $ (GND))) # (!\led_flash_cnt[3646][5]~q\ & (!\led_flash_cnt[3646][4]~78827\ & VCC))
-- \led_flash_cnt[3646][5]~78829\ = CARRY((\led_flash_cnt[3646][5]~q\ & !\led_flash_cnt[3646][4]~78827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3646][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3646][4]~78827\,
	combout => \led_flash_cnt[3646][5]~78828_combout\,
	cout => \led_flash_cnt[3646][5]~78829\);

-- Location: FF_X51_Y11_N25
\led_flash_cnt[3646][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3646][5]~78828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3646][5]~q\);

-- Location: LCCOMB_X51_Y11_N26
\led_flash_cnt[3646][6]~78830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3646][6]~78830_combout\ = (\led_flash_cnt[3646][6]~q\ & (!\led_flash_cnt[3646][5]~78829\)) # (!\led_flash_cnt[3646][6]~q\ & ((\led_flash_cnt[3646][5]~78829\) # (GND)))
-- \led_flash_cnt[3646][6]~78831\ = CARRY((!\led_flash_cnt[3646][5]~78829\) # (!\led_flash_cnt[3646][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3646][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3646][5]~78829\,
	combout => \led_flash_cnt[3646][6]~78830_combout\,
	cout => \led_flash_cnt[3646][6]~78831\);

-- Location: FF_X51_Y11_N27
\led_flash_cnt[3646][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3646][6]~78830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3646][6]~q\);

-- Location: LCCOMB_X51_Y11_N28
\led_flash_cnt[3646][7]~78832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3646][7]~78832_combout\ = \led_flash_cnt[3646][6]~78831\ $ (!\led_flash_cnt[3646][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3646][7]~q\,
	cin => \led_flash_cnt[3646][6]~78831\,
	combout => \led_flash_cnt[3646][7]~78832_combout\);

-- Location: FF_X51_Y11_N29
\led_flash_cnt[3646][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3646][7]~78832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3646][7]~q\);

-- Location: LCCOMB_X51_Y11_N4
\WideAnd3646~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3646~1_combout\ = (\led_flash_cnt[3646][6]~q\ & \led_flash_cnt[3646][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3646][6]~q\,
	datad => \led_flash_cnt[3646][5]~q\,
	combout => \WideAnd3646~1_combout\);

-- Location: LCCOMB_X51_Y11_N10
\WideAnd3646~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3646~0_combout\ = (\led_flash_cnt[3646][2]~q\ & (\led_flash_cnt[3646][1]~q\ & (\led_flash_cnt[3646][4]~q\ & \led_flash_cnt[3646][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3646][2]~q\,
	datab => \led_flash_cnt[3646][1]~q\,
	datac => \led_flash_cnt[3646][4]~q\,
	datad => \led_flash_cnt[3646][3]~q\,
	combout => \WideAnd3646~0_combout\);

-- Location: LCCOMB_X51_Y11_N12
WideAnd3646 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3646~combout\ = (\led_flash_cnt[3646][0]~q\ & (\led_flash_cnt[3646][7]~q\ & (\WideAnd3646~1_combout\ & \WideAnd3646~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3646][0]~q\,
	datab => \led_flash_cnt[3646][7]~q\,
	datac => \WideAnd3646~1_combout\,
	datad => \WideAnd3646~0_combout\,
	combout => \WideAnd3646~combout\);

-- Location: FF_X51_Y11_N13
\led_flash_cnt_ands[3646]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3646~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3646));

-- Location: LCCOMB_X38_Y8_N12
\led_flash_cnt[3641][0]~84345\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3641][0]~84345_combout\ = !\led_flash_cnt[3641][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3641][0]~q\,
	combout => \led_flash_cnt[3641][0]~84345_combout\);

-- Location: FF_X38_Y8_N13
\led_flash_cnt[3641][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3641][0]~84345_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3641][0]~q\);

-- Location: LCCOMB_X38_Y8_N14
\led_flash_cnt[3641][1]~78750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3641][1]~78750_combout\ = (\led_flash_cnt[3641][0]~q\ & (\led_flash_cnt[3641][1]~q\ $ (VCC))) # (!\led_flash_cnt[3641][0]~q\ & (\led_flash_cnt[3641][1]~q\ & VCC))
-- \led_flash_cnt[3641][1]~78751\ = CARRY((\led_flash_cnt[3641][0]~q\ & \led_flash_cnt[3641][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3641][0]~q\,
	datab => \led_flash_cnt[3641][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3641][1]~78750_combout\,
	cout => \led_flash_cnt[3641][1]~78751\);

-- Location: FF_X38_Y8_N15
\led_flash_cnt[3641][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3641][1]~78750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3641][1]~q\);

-- Location: LCCOMB_X38_Y8_N16
\led_flash_cnt[3641][2]~78752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3641][2]~78752_combout\ = (\led_flash_cnt[3641][2]~q\ & (!\led_flash_cnt[3641][1]~78751\)) # (!\led_flash_cnt[3641][2]~q\ & ((\led_flash_cnt[3641][1]~78751\) # (GND)))
-- \led_flash_cnt[3641][2]~78753\ = CARRY((!\led_flash_cnt[3641][1]~78751\) # (!\led_flash_cnt[3641][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3641][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3641][1]~78751\,
	combout => \led_flash_cnt[3641][2]~78752_combout\,
	cout => \led_flash_cnt[3641][2]~78753\);

-- Location: FF_X38_Y8_N17
\led_flash_cnt[3641][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3641][2]~78752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3641][2]~q\);

-- Location: LCCOMB_X38_Y8_N18
\led_flash_cnt[3641][3]~78754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3641][3]~78754_combout\ = (\led_flash_cnt[3641][3]~q\ & (\led_flash_cnt[3641][2]~78753\ $ (GND))) # (!\led_flash_cnt[3641][3]~q\ & (!\led_flash_cnt[3641][2]~78753\ & VCC))
-- \led_flash_cnt[3641][3]~78755\ = CARRY((\led_flash_cnt[3641][3]~q\ & !\led_flash_cnt[3641][2]~78753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3641][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3641][2]~78753\,
	combout => \led_flash_cnt[3641][3]~78754_combout\,
	cout => \led_flash_cnt[3641][3]~78755\);

-- Location: FF_X38_Y8_N19
\led_flash_cnt[3641][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3641][3]~78754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3641][3]~q\);

-- Location: LCCOMB_X38_Y8_N20
\led_flash_cnt[3641][4]~78756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3641][4]~78756_combout\ = (\led_flash_cnt[3641][4]~q\ & (!\led_flash_cnt[3641][3]~78755\)) # (!\led_flash_cnt[3641][4]~q\ & ((\led_flash_cnt[3641][3]~78755\) # (GND)))
-- \led_flash_cnt[3641][4]~78757\ = CARRY((!\led_flash_cnt[3641][3]~78755\) # (!\led_flash_cnt[3641][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3641][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3641][3]~78755\,
	combout => \led_flash_cnt[3641][4]~78756_combout\,
	cout => \led_flash_cnt[3641][4]~78757\);

-- Location: FF_X38_Y8_N21
\led_flash_cnt[3641][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3641][4]~78756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3641][4]~q\);

-- Location: LCCOMB_X38_Y8_N4
\WideAnd3641~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3641~0_combout\ = (\led_flash_cnt[3641][3]~q\ & (\led_flash_cnt[3641][4]~q\ & (\led_flash_cnt[3641][1]~q\ & \led_flash_cnt[3641][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3641][3]~q\,
	datab => \led_flash_cnt[3641][4]~q\,
	datac => \led_flash_cnt[3641][1]~q\,
	datad => \led_flash_cnt[3641][2]~q\,
	combout => \WideAnd3641~0_combout\);

-- Location: LCCOMB_X38_Y8_N22
\led_flash_cnt[3641][5]~78758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3641][5]~78758_combout\ = (\led_flash_cnt[3641][5]~q\ & (\led_flash_cnt[3641][4]~78757\ $ (GND))) # (!\led_flash_cnt[3641][5]~q\ & (!\led_flash_cnt[3641][4]~78757\ & VCC))
-- \led_flash_cnt[3641][5]~78759\ = CARRY((\led_flash_cnt[3641][5]~q\ & !\led_flash_cnt[3641][4]~78757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3641][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3641][4]~78757\,
	combout => \led_flash_cnt[3641][5]~78758_combout\,
	cout => \led_flash_cnt[3641][5]~78759\);

-- Location: FF_X38_Y8_N23
\led_flash_cnt[3641][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3641][5]~78758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3641][5]~q\);

-- Location: LCCOMB_X38_Y8_N24
\led_flash_cnt[3641][6]~78760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3641][6]~78760_combout\ = (\led_flash_cnt[3641][6]~q\ & (!\led_flash_cnt[3641][5]~78759\)) # (!\led_flash_cnt[3641][6]~q\ & ((\led_flash_cnt[3641][5]~78759\) # (GND)))
-- \led_flash_cnt[3641][6]~78761\ = CARRY((!\led_flash_cnt[3641][5]~78759\) # (!\led_flash_cnt[3641][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3641][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3641][5]~78759\,
	combout => \led_flash_cnt[3641][6]~78760_combout\,
	cout => \led_flash_cnt[3641][6]~78761\);

-- Location: FF_X38_Y8_N25
\led_flash_cnt[3641][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3641][6]~78760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3641][6]~q\);

-- Location: LCCOMB_X38_Y8_N26
\led_flash_cnt[3641][7]~78762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3641][7]~78762_combout\ = \led_flash_cnt[3641][7]~q\ $ (!\led_flash_cnt[3641][6]~78761\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3641][7]~q\,
	cin => \led_flash_cnt[3641][6]~78761\,
	combout => \led_flash_cnt[3641][7]~78762_combout\);

-- Location: FF_X38_Y8_N27
\led_flash_cnt[3641][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3641][7]~78762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3641][7]~q\);

-- Location: LCCOMB_X38_Y8_N0
\WideAnd3641~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3641~1_combout\ = (\led_flash_cnt[3641][5]~q\ & \led_flash_cnt[3641][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3641][5]~q\,
	datad => \led_flash_cnt[3641][6]~q\,
	combout => \WideAnd3641~1_combout\);

-- Location: LCCOMB_X38_Y8_N10
WideAnd3641 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3641~combout\ = (\led_flash_cnt[3641][0]~q\ & (\WideAnd3641~0_combout\ & (\led_flash_cnt[3641][7]~q\ & \WideAnd3641~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3641][0]~q\,
	datab => \WideAnd3641~0_combout\,
	datac => \led_flash_cnt[3641][7]~q\,
	datad => \WideAnd3641~1_combout\,
	combout => \WideAnd3641~combout\);

-- Location: FF_X38_Y8_N11
\led_flash_cnt_ands[3641]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3641~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3641));

-- Location: LCCOMB_X49_Y11_N24
\led_flash_cnt[3640][0]~84344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3640][0]~84344_combout\ = !\led_flash_cnt[3640][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3640][0]~q\,
	combout => \led_flash_cnt[3640][0]~84344_combout\);

-- Location: FF_X49_Y11_N25
\led_flash_cnt[3640][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3640][0]~84344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3640][0]~q\);

-- Location: LCCOMB_X46_Y11_N2
\led_flash_cnt[3640][1]~78736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3640][1]~78736_combout\ = (\led_flash_cnt[3640][0]~q\ & (\led_flash_cnt[3640][1]~q\ $ (VCC))) # (!\led_flash_cnt[3640][0]~q\ & (\led_flash_cnt[3640][1]~q\ & VCC))
-- \led_flash_cnt[3640][1]~78737\ = CARRY((\led_flash_cnt[3640][0]~q\ & \led_flash_cnt[3640][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3640][0]~q\,
	datab => \led_flash_cnt[3640][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3640][1]~78736_combout\,
	cout => \led_flash_cnt[3640][1]~78737\);

-- Location: FF_X46_Y11_N3
\led_flash_cnt[3640][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3640][1]~78736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3640][1]~q\);

-- Location: LCCOMB_X46_Y11_N4
\led_flash_cnt[3640][2]~78738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3640][2]~78738_combout\ = (\led_flash_cnt[3640][2]~q\ & (!\led_flash_cnt[3640][1]~78737\)) # (!\led_flash_cnt[3640][2]~q\ & ((\led_flash_cnt[3640][1]~78737\) # (GND)))
-- \led_flash_cnt[3640][2]~78739\ = CARRY((!\led_flash_cnt[3640][1]~78737\) # (!\led_flash_cnt[3640][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3640][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3640][1]~78737\,
	combout => \led_flash_cnt[3640][2]~78738_combout\,
	cout => \led_flash_cnt[3640][2]~78739\);

-- Location: FF_X46_Y11_N5
\led_flash_cnt[3640][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3640][2]~78738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3640][2]~q\);

-- Location: LCCOMB_X46_Y11_N6
\led_flash_cnt[3640][3]~78740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3640][3]~78740_combout\ = (\led_flash_cnt[3640][3]~q\ & (\led_flash_cnt[3640][2]~78739\ $ (GND))) # (!\led_flash_cnt[3640][3]~q\ & (!\led_flash_cnt[3640][2]~78739\ & VCC))
-- \led_flash_cnt[3640][3]~78741\ = CARRY((\led_flash_cnt[3640][3]~q\ & !\led_flash_cnt[3640][2]~78739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3640][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3640][2]~78739\,
	combout => \led_flash_cnt[3640][3]~78740_combout\,
	cout => \led_flash_cnt[3640][3]~78741\);

-- Location: FF_X46_Y11_N7
\led_flash_cnt[3640][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3640][3]~78740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3640][3]~q\);

-- Location: LCCOMB_X46_Y11_N8
\led_flash_cnt[3640][4]~78742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3640][4]~78742_combout\ = (\led_flash_cnt[3640][4]~q\ & (!\led_flash_cnt[3640][3]~78741\)) # (!\led_flash_cnt[3640][4]~q\ & ((\led_flash_cnt[3640][3]~78741\) # (GND)))
-- \led_flash_cnt[3640][4]~78743\ = CARRY((!\led_flash_cnt[3640][3]~78741\) # (!\led_flash_cnt[3640][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3640][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3640][3]~78741\,
	combout => \led_flash_cnt[3640][4]~78742_combout\,
	cout => \led_flash_cnt[3640][4]~78743\);

-- Location: FF_X46_Y11_N9
\led_flash_cnt[3640][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3640][4]~78742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3640][4]~q\);

-- Location: LCCOMB_X46_Y11_N10
\led_flash_cnt[3640][5]~78744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3640][5]~78744_combout\ = (\led_flash_cnt[3640][5]~q\ & (\led_flash_cnt[3640][4]~78743\ $ (GND))) # (!\led_flash_cnt[3640][5]~q\ & (!\led_flash_cnt[3640][4]~78743\ & VCC))
-- \led_flash_cnt[3640][5]~78745\ = CARRY((\led_flash_cnt[3640][5]~q\ & !\led_flash_cnt[3640][4]~78743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3640][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3640][4]~78743\,
	combout => \led_flash_cnt[3640][5]~78744_combout\,
	cout => \led_flash_cnt[3640][5]~78745\);

-- Location: FF_X46_Y11_N11
\led_flash_cnt[3640][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3640][5]~78744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3640][5]~q\);

-- Location: LCCOMB_X46_Y11_N12
\led_flash_cnt[3640][6]~78746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3640][6]~78746_combout\ = (\led_flash_cnt[3640][6]~q\ & (!\led_flash_cnt[3640][5]~78745\)) # (!\led_flash_cnt[3640][6]~q\ & ((\led_flash_cnt[3640][5]~78745\) # (GND)))
-- \led_flash_cnt[3640][6]~78747\ = CARRY((!\led_flash_cnt[3640][5]~78745\) # (!\led_flash_cnt[3640][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3640][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3640][5]~78745\,
	combout => \led_flash_cnt[3640][6]~78746_combout\,
	cout => \led_flash_cnt[3640][6]~78747\);

-- Location: FF_X46_Y11_N13
\led_flash_cnt[3640][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3640][6]~78746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3640][6]~q\);

-- Location: LCCOMB_X46_Y11_N24
\WideAnd3640~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3640~1_combout\ = (\led_flash_cnt[3640][6]~q\ & \led_flash_cnt[3640][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3640][6]~q\,
	datad => \led_flash_cnt[3640][5]~q\,
	combout => \WideAnd3640~1_combout\);

-- Location: LCCOMB_X46_Y11_N14
\led_flash_cnt[3640][7]~78748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3640][7]~78748_combout\ = \led_flash_cnt[3640][7]~q\ $ (!\led_flash_cnt[3640][6]~78747\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3640][7]~q\,
	cin => \led_flash_cnt[3640][6]~78747\,
	combout => \led_flash_cnt[3640][7]~78748_combout\);

-- Location: FF_X46_Y11_N15
\led_flash_cnt[3640][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3640][7]~78748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3640][7]~q\);

-- Location: LCCOMB_X46_Y11_N16
\WideAnd3640~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3640~0_combout\ = (\led_flash_cnt[3640][3]~q\ & (\led_flash_cnt[3640][4]~q\ & (\led_flash_cnt[3640][2]~q\ & \led_flash_cnt[3640][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3640][3]~q\,
	datab => \led_flash_cnt[3640][4]~q\,
	datac => \led_flash_cnt[3640][2]~q\,
	datad => \led_flash_cnt[3640][1]~q\,
	combout => \WideAnd3640~0_combout\);

-- Location: LCCOMB_X46_Y11_N0
WideAnd3640 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3640~combout\ = (\led_flash_cnt[3640][0]~q\ & (\WideAnd3640~1_combout\ & (\led_flash_cnt[3640][7]~q\ & \WideAnd3640~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3640][0]~q\,
	datab => \WideAnd3640~1_combout\,
	datac => \led_flash_cnt[3640][7]~q\,
	datad => \WideAnd3640~0_combout\,
	combout => \WideAnd3640~combout\);

-- Location: FF_X46_Y11_N1
\led_flash_cnt_ands[3640]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3640~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3640));

-- Location: LCCOMB_X4_Y28_N10
\led_flash_cnt[3642][0]~84346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3642][0]~84346_combout\ = !\led_flash_cnt[3642][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3642][0]~q\,
	combout => \led_flash_cnt[3642][0]~84346_combout\);

-- Location: FF_X4_Y28_N11
\led_flash_cnt[3642][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3642][0]~84346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3642][0]~q\);

-- Location: LCCOMB_X4_Y28_N16
\led_flash_cnt[3642][1]~78764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3642][1]~78764_combout\ = (\led_flash_cnt[3642][0]~q\ & (\led_flash_cnt[3642][1]~q\ $ (VCC))) # (!\led_flash_cnt[3642][0]~q\ & (\led_flash_cnt[3642][1]~q\ & VCC))
-- \led_flash_cnt[3642][1]~78765\ = CARRY((\led_flash_cnt[3642][0]~q\ & \led_flash_cnt[3642][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3642][0]~q\,
	datab => \led_flash_cnt[3642][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3642][1]~78764_combout\,
	cout => \led_flash_cnt[3642][1]~78765\);

-- Location: FF_X4_Y28_N17
\led_flash_cnt[3642][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3642][1]~78764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3642][1]~q\);

-- Location: LCCOMB_X4_Y28_N18
\led_flash_cnt[3642][2]~78766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3642][2]~78766_combout\ = (\led_flash_cnt[3642][2]~q\ & (!\led_flash_cnt[3642][1]~78765\)) # (!\led_flash_cnt[3642][2]~q\ & ((\led_flash_cnt[3642][1]~78765\) # (GND)))
-- \led_flash_cnt[3642][2]~78767\ = CARRY((!\led_flash_cnt[3642][1]~78765\) # (!\led_flash_cnt[3642][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3642][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3642][1]~78765\,
	combout => \led_flash_cnt[3642][2]~78766_combout\,
	cout => \led_flash_cnt[3642][2]~78767\);

-- Location: FF_X4_Y28_N19
\led_flash_cnt[3642][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3642][2]~78766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3642][2]~q\);

-- Location: LCCOMB_X4_Y28_N20
\led_flash_cnt[3642][3]~78768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3642][3]~78768_combout\ = (\led_flash_cnt[3642][3]~q\ & (\led_flash_cnt[3642][2]~78767\ $ (GND))) # (!\led_flash_cnt[3642][3]~q\ & (!\led_flash_cnt[3642][2]~78767\ & VCC))
-- \led_flash_cnt[3642][3]~78769\ = CARRY((\led_flash_cnt[3642][3]~q\ & !\led_flash_cnt[3642][2]~78767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3642][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3642][2]~78767\,
	combout => \led_flash_cnt[3642][3]~78768_combout\,
	cout => \led_flash_cnt[3642][3]~78769\);

-- Location: FF_X4_Y28_N21
\led_flash_cnt[3642][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3642][3]~78768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3642][3]~q\);

-- Location: LCCOMB_X4_Y28_N22
\led_flash_cnt[3642][4]~78770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3642][4]~78770_combout\ = (\led_flash_cnt[3642][4]~q\ & (!\led_flash_cnt[3642][3]~78769\)) # (!\led_flash_cnt[3642][4]~q\ & ((\led_flash_cnt[3642][3]~78769\) # (GND)))
-- \led_flash_cnt[3642][4]~78771\ = CARRY((!\led_flash_cnt[3642][3]~78769\) # (!\led_flash_cnt[3642][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3642][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3642][3]~78769\,
	combout => \led_flash_cnt[3642][4]~78770_combout\,
	cout => \led_flash_cnt[3642][4]~78771\);

-- Location: FF_X4_Y28_N23
\led_flash_cnt[3642][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3642][4]~78770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3642][4]~q\);

-- Location: LCCOMB_X4_Y28_N24
\led_flash_cnt[3642][5]~78772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3642][5]~78772_combout\ = (\led_flash_cnt[3642][5]~q\ & (\led_flash_cnt[3642][4]~78771\ $ (GND))) # (!\led_flash_cnt[3642][5]~q\ & (!\led_flash_cnt[3642][4]~78771\ & VCC))
-- \led_flash_cnt[3642][5]~78773\ = CARRY((\led_flash_cnt[3642][5]~q\ & !\led_flash_cnt[3642][4]~78771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3642][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3642][4]~78771\,
	combout => \led_flash_cnt[3642][5]~78772_combout\,
	cout => \led_flash_cnt[3642][5]~78773\);

-- Location: FF_X4_Y28_N25
\led_flash_cnt[3642][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3642][5]~78772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3642][5]~q\);

-- Location: LCCOMB_X4_Y28_N26
\led_flash_cnt[3642][6]~78774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3642][6]~78774_combout\ = (\led_flash_cnt[3642][6]~q\ & (!\led_flash_cnt[3642][5]~78773\)) # (!\led_flash_cnt[3642][6]~q\ & ((\led_flash_cnt[3642][5]~78773\) # (GND)))
-- \led_flash_cnt[3642][6]~78775\ = CARRY((!\led_flash_cnt[3642][5]~78773\) # (!\led_flash_cnt[3642][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3642][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3642][5]~78773\,
	combout => \led_flash_cnt[3642][6]~78774_combout\,
	cout => \led_flash_cnt[3642][6]~78775\);

-- Location: FF_X4_Y28_N27
\led_flash_cnt[3642][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3642][6]~78774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3642][6]~q\);

-- Location: LCCOMB_X4_Y28_N28
\led_flash_cnt[3642][7]~78776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3642][7]~78776_combout\ = \led_flash_cnt[3642][6]~78775\ $ (!\led_flash_cnt[3642][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3642][7]~q\,
	cin => \led_flash_cnt[3642][6]~78775\,
	combout => \led_flash_cnt[3642][7]~78776_combout\);

-- Location: FF_X4_Y28_N29
\led_flash_cnt[3642][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3642][7]~78776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3642][7]~q\);

-- Location: LCCOMB_X4_Y28_N14
\WideAnd3642~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3642~0_combout\ = (\led_flash_cnt[3642][2]~q\ & (\led_flash_cnt[3642][1]~q\ & (\led_flash_cnt[3642][4]~q\ & \led_flash_cnt[3642][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3642][2]~q\,
	datab => \led_flash_cnt[3642][1]~q\,
	datac => \led_flash_cnt[3642][4]~q\,
	datad => \led_flash_cnt[3642][3]~q\,
	combout => \WideAnd3642~0_combout\);

-- Location: LCCOMB_X4_Y28_N12
\WideAnd3642~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3642~1_combout\ = (\led_flash_cnt[3642][6]~q\ & \led_flash_cnt[3642][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3642][6]~q\,
	datad => \led_flash_cnt[3642][5]~q\,
	combout => \WideAnd3642~1_combout\);

-- Location: LCCOMB_X4_Y28_N8
WideAnd3642 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3642~combout\ = (\led_flash_cnt[3642][0]~q\ & (\led_flash_cnt[3642][7]~q\ & (\WideAnd3642~0_combout\ & \WideAnd3642~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3642][0]~q\,
	datab => \led_flash_cnt[3642][7]~q\,
	datac => \WideAnd3642~0_combout\,
	datad => \WideAnd3642~1_combout\,
	combout => \WideAnd3642~combout\);

-- Location: FF_X4_Y28_N9
\led_flash_cnt_ands[3642]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3642~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3642));

-- Location: LCCOMB_X49_Y11_N4
\led_flash_cnt[3643][0]~84347\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3643][0]~84347_combout\ = !\led_flash_cnt[3643][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3643][0]~q\,
	combout => \led_flash_cnt[3643][0]~84347_combout\);

-- Location: FF_X49_Y11_N5
\led_flash_cnt[3643][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3643][0]~84347_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3643][0]~q\);

-- Location: LCCOMB_X49_Y11_N6
\led_flash_cnt[3643][1]~78778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3643][1]~78778_combout\ = (\led_flash_cnt[3643][1]~q\ & (\led_flash_cnt[3643][0]~q\ $ (VCC))) # (!\led_flash_cnt[3643][1]~q\ & (\led_flash_cnt[3643][0]~q\ & VCC))
-- \led_flash_cnt[3643][1]~78779\ = CARRY((\led_flash_cnt[3643][1]~q\ & \led_flash_cnt[3643][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3643][1]~q\,
	datab => \led_flash_cnt[3643][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3643][1]~78778_combout\,
	cout => \led_flash_cnt[3643][1]~78779\);

-- Location: FF_X49_Y11_N7
\led_flash_cnt[3643][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3643][1]~78778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3643][1]~q\);

-- Location: LCCOMB_X49_Y11_N8
\led_flash_cnt[3643][2]~78780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3643][2]~78780_combout\ = (\led_flash_cnt[3643][2]~q\ & (!\led_flash_cnt[3643][1]~78779\)) # (!\led_flash_cnt[3643][2]~q\ & ((\led_flash_cnt[3643][1]~78779\) # (GND)))
-- \led_flash_cnt[3643][2]~78781\ = CARRY((!\led_flash_cnt[3643][1]~78779\) # (!\led_flash_cnt[3643][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3643][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3643][1]~78779\,
	combout => \led_flash_cnt[3643][2]~78780_combout\,
	cout => \led_flash_cnt[3643][2]~78781\);

-- Location: FF_X49_Y11_N9
\led_flash_cnt[3643][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3643][2]~78780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3643][2]~q\);

-- Location: LCCOMB_X49_Y11_N10
\led_flash_cnt[3643][3]~78782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3643][3]~78782_combout\ = (\led_flash_cnt[3643][3]~q\ & (\led_flash_cnt[3643][2]~78781\ $ (GND))) # (!\led_flash_cnt[3643][3]~q\ & (!\led_flash_cnt[3643][2]~78781\ & VCC))
-- \led_flash_cnt[3643][3]~78783\ = CARRY((\led_flash_cnt[3643][3]~q\ & !\led_flash_cnt[3643][2]~78781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3643][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3643][2]~78781\,
	combout => \led_flash_cnt[3643][3]~78782_combout\,
	cout => \led_flash_cnt[3643][3]~78783\);

-- Location: FF_X49_Y11_N11
\led_flash_cnt[3643][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3643][3]~78782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3643][3]~q\);

-- Location: LCCOMB_X49_Y11_N12
\led_flash_cnt[3643][4]~78784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3643][4]~78784_combout\ = (\led_flash_cnt[3643][4]~q\ & (!\led_flash_cnt[3643][3]~78783\)) # (!\led_flash_cnt[3643][4]~q\ & ((\led_flash_cnt[3643][3]~78783\) # (GND)))
-- \led_flash_cnt[3643][4]~78785\ = CARRY((!\led_flash_cnt[3643][3]~78783\) # (!\led_flash_cnt[3643][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3643][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3643][3]~78783\,
	combout => \led_flash_cnt[3643][4]~78784_combout\,
	cout => \led_flash_cnt[3643][4]~78785\);

-- Location: FF_X49_Y11_N13
\led_flash_cnt[3643][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3643][4]~78784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3643][4]~q\);

-- Location: LCCOMB_X49_Y11_N14
\led_flash_cnt[3643][5]~78786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3643][5]~78786_combout\ = (\led_flash_cnt[3643][5]~q\ & (\led_flash_cnt[3643][4]~78785\ $ (GND))) # (!\led_flash_cnt[3643][5]~q\ & (!\led_flash_cnt[3643][4]~78785\ & VCC))
-- \led_flash_cnt[3643][5]~78787\ = CARRY((\led_flash_cnt[3643][5]~q\ & !\led_flash_cnt[3643][4]~78785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3643][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3643][4]~78785\,
	combout => \led_flash_cnt[3643][5]~78786_combout\,
	cout => \led_flash_cnt[3643][5]~78787\);

-- Location: FF_X49_Y11_N15
\led_flash_cnt[3643][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3643][5]~78786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3643][5]~q\);

-- Location: LCCOMB_X49_Y11_N16
\led_flash_cnt[3643][6]~78788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3643][6]~78788_combout\ = (\led_flash_cnt[3643][6]~q\ & (!\led_flash_cnt[3643][5]~78787\)) # (!\led_flash_cnt[3643][6]~q\ & ((\led_flash_cnt[3643][5]~78787\) # (GND)))
-- \led_flash_cnt[3643][6]~78789\ = CARRY((!\led_flash_cnt[3643][5]~78787\) # (!\led_flash_cnt[3643][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3643][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3643][5]~78787\,
	combout => \led_flash_cnt[3643][6]~78788_combout\,
	cout => \led_flash_cnt[3643][6]~78789\);

-- Location: FF_X49_Y11_N17
\led_flash_cnt[3643][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3643][6]~78788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3643][6]~q\);

-- Location: LCCOMB_X49_Y11_N26
\WideAnd3643~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3643~1_combout\ = (\led_flash_cnt[3643][5]~q\ & \led_flash_cnt[3643][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3643][5]~q\,
	datad => \led_flash_cnt[3643][6]~q\,
	combout => \WideAnd3643~1_combout\);

-- Location: LCCOMB_X49_Y11_N18
\led_flash_cnt[3643][7]~78790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3643][7]~78790_combout\ = \led_flash_cnt[3643][7]~q\ $ (!\led_flash_cnt[3643][6]~78789\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3643][7]~q\,
	cin => \led_flash_cnt[3643][6]~78789\,
	combout => \led_flash_cnt[3643][7]~78790_combout\);

-- Location: FF_X49_Y11_N19
\led_flash_cnt[3643][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3643][7]~78790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3643][7]~q\);

-- Location: LCCOMB_X49_Y11_N20
\WideAnd3643~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3643~0_combout\ = (\led_flash_cnt[3643][1]~q\ & (\led_flash_cnt[3643][3]~q\ & (\led_flash_cnt[3643][2]~q\ & \led_flash_cnt[3643][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3643][1]~q\,
	datab => \led_flash_cnt[3643][3]~q\,
	datac => \led_flash_cnt[3643][2]~q\,
	datad => \led_flash_cnt[3643][4]~q\,
	combout => \WideAnd3643~0_combout\);

-- Location: LCCOMB_X49_Y11_N2
WideAnd3643 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3643~combout\ = (\WideAnd3643~1_combout\ & (\led_flash_cnt[3643][0]~q\ & (\led_flash_cnt[3643][7]~q\ & \WideAnd3643~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3643~1_combout\,
	datab => \led_flash_cnt[3643][0]~q\,
	datac => \led_flash_cnt[3643][7]~q\,
	datad => \WideAnd3643~0_combout\,
	combout => \WideAnd3643~combout\);

-- Location: FF_X49_Y11_N3
\led_flash_cnt_ands[3643]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3643~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3643));

-- Location: LCCOMB_X49_Y11_N30
\WideAnd4295~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4295~0_combout\ = (led_flash_cnt_ands(3641) & (led_flash_cnt_ands(3640) & (led_flash_cnt_ands(3642) & led_flash_cnt_ands(3643))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3641),
	datab => led_flash_cnt_ands(3640),
	datac => led_flash_cnt_ands(3642),
	datad => led_flash_cnt_ands(3643),
	combout => \WideAnd4295~0_combout\);

-- Location: LCCOMB_X50_Y11_N14
WideAnd4295 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4295~combout\ = (led_flash_cnt_ands(3647) & (\WideAnd4295~1_combout\ & (led_flash_cnt_ands(3646) & \WideAnd4295~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3647),
	datab => \WideAnd4295~1_combout\,
	datac => led_flash_cnt_ands(3646),
	datad => \WideAnd4295~0_combout\,
	combout => \WideAnd4295~combout\);

-- Location: FF_X50_Y11_N15
\led_flash_cnt_ands_1[455]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4295~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(455));

-- Location: LCCOMB_X35_Y19_N20
\led_flash_cnt[3610][0]~84314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3610][0]~84314_combout\ = !\led_flash_cnt[3610][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3610][0]~q\,
	combout => \led_flash_cnt[3610][0]~84314_combout\);

-- Location: FF_X35_Y19_N21
\led_flash_cnt[3610][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3610][0]~84314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3610][0]~q\);

-- Location: LCCOMB_X36_Y19_N0
\led_flash_cnt[3610][1]~78316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3610][1]~78316_combout\ = (\led_flash_cnt[3610][0]~q\ & (\led_flash_cnt[3610][1]~q\ $ (VCC))) # (!\led_flash_cnt[3610][0]~q\ & (\led_flash_cnt[3610][1]~q\ & VCC))
-- \led_flash_cnt[3610][1]~78317\ = CARRY((\led_flash_cnt[3610][0]~q\ & \led_flash_cnt[3610][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3610][0]~q\,
	datab => \led_flash_cnt[3610][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3610][1]~78316_combout\,
	cout => \led_flash_cnt[3610][1]~78317\);

-- Location: FF_X36_Y19_N1
\led_flash_cnt[3610][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3610][1]~78316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3610][1]~q\);

-- Location: LCCOMB_X36_Y19_N2
\led_flash_cnt[3610][2]~78318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3610][2]~78318_combout\ = (\led_flash_cnt[3610][2]~q\ & (!\led_flash_cnt[3610][1]~78317\)) # (!\led_flash_cnt[3610][2]~q\ & ((\led_flash_cnt[3610][1]~78317\) # (GND)))
-- \led_flash_cnt[3610][2]~78319\ = CARRY((!\led_flash_cnt[3610][1]~78317\) # (!\led_flash_cnt[3610][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3610][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3610][1]~78317\,
	combout => \led_flash_cnt[3610][2]~78318_combout\,
	cout => \led_flash_cnt[3610][2]~78319\);

-- Location: FF_X36_Y19_N3
\led_flash_cnt[3610][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3610][2]~78318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3610][2]~q\);

-- Location: LCCOMB_X36_Y19_N4
\led_flash_cnt[3610][3]~78320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3610][3]~78320_combout\ = (\led_flash_cnt[3610][3]~q\ & (\led_flash_cnt[3610][2]~78319\ $ (GND))) # (!\led_flash_cnt[3610][3]~q\ & (!\led_flash_cnt[3610][2]~78319\ & VCC))
-- \led_flash_cnt[3610][3]~78321\ = CARRY((\led_flash_cnt[3610][3]~q\ & !\led_flash_cnt[3610][2]~78319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3610][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3610][2]~78319\,
	combout => \led_flash_cnt[3610][3]~78320_combout\,
	cout => \led_flash_cnt[3610][3]~78321\);

-- Location: FF_X36_Y19_N5
\led_flash_cnt[3610][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3610][3]~78320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3610][3]~q\);

-- Location: LCCOMB_X36_Y19_N6
\led_flash_cnt[3610][4]~78322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3610][4]~78322_combout\ = (\led_flash_cnt[3610][4]~q\ & (!\led_flash_cnt[3610][3]~78321\)) # (!\led_flash_cnt[3610][4]~q\ & ((\led_flash_cnt[3610][3]~78321\) # (GND)))
-- \led_flash_cnt[3610][4]~78323\ = CARRY((!\led_flash_cnt[3610][3]~78321\) # (!\led_flash_cnt[3610][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3610][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3610][3]~78321\,
	combout => \led_flash_cnt[3610][4]~78322_combout\,
	cout => \led_flash_cnt[3610][4]~78323\);

-- Location: FF_X36_Y19_N7
\led_flash_cnt[3610][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3610][4]~78322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3610][4]~q\);

-- Location: LCCOMB_X36_Y19_N8
\led_flash_cnt[3610][5]~78324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3610][5]~78324_combout\ = (\led_flash_cnt[3610][5]~q\ & (\led_flash_cnt[3610][4]~78323\ $ (GND))) # (!\led_flash_cnt[3610][5]~q\ & (!\led_flash_cnt[3610][4]~78323\ & VCC))
-- \led_flash_cnt[3610][5]~78325\ = CARRY((\led_flash_cnt[3610][5]~q\ & !\led_flash_cnt[3610][4]~78323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3610][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3610][4]~78323\,
	combout => \led_flash_cnt[3610][5]~78324_combout\,
	cout => \led_flash_cnt[3610][5]~78325\);

-- Location: FF_X36_Y19_N9
\led_flash_cnt[3610][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3610][5]~78324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3610][5]~q\);

-- Location: LCCOMB_X36_Y19_N10
\led_flash_cnt[3610][6]~78326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3610][6]~78326_combout\ = (\led_flash_cnt[3610][6]~q\ & (!\led_flash_cnt[3610][5]~78325\)) # (!\led_flash_cnt[3610][6]~q\ & ((\led_flash_cnt[3610][5]~78325\) # (GND)))
-- \led_flash_cnt[3610][6]~78327\ = CARRY((!\led_flash_cnt[3610][5]~78325\) # (!\led_flash_cnt[3610][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3610][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3610][5]~78325\,
	combout => \led_flash_cnt[3610][6]~78326_combout\,
	cout => \led_flash_cnt[3610][6]~78327\);

-- Location: FF_X36_Y19_N11
\led_flash_cnt[3610][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3610][6]~78326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3610][6]~q\);

-- Location: LCCOMB_X35_Y19_N26
\WideAnd3610~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3610~1_combout\ = (\led_flash_cnt[3610][5]~q\ & \led_flash_cnt[3610][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3610][5]~q\,
	datac => \led_flash_cnt[3610][6]~q\,
	combout => \WideAnd3610~1_combout\);

-- Location: LCCOMB_X36_Y19_N12
\led_flash_cnt[3610][7]~78328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3610][7]~78328_combout\ = \led_flash_cnt[3610][6]~78327\ $ (!\led_flash_cnt[3610][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3610][7]~q\,
	cin => \led_flash_cnt[3610][6]~78327\,
	combout => \led_flash_cnt[3610][7]~78328_combout\);

-- Location: FF_X36_Y19_N13
\led_flash_cnt[3610][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3610][7]~78328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3610][7]~q\);

-- Location: LCCOMB_X36_Y19_N16
\WideAnd3610~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3610~0_combout\ = (\led_flash_cnt[3610][4]~q\ & (\led_flash_cnt[3610][2]~q\ & (\led_flash_cnt[3610][3]~q\ & \led_flash_cnt[3610][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3610][4]~q\,
	datab => \led_flash_cnt[3610][2]~q\,
	datac => \led_flash_cnt[3610][3]~q\,
	datad => \led_flash_cnt[3610][1]~q\,
	combout => \WideAnd3610~0_combout\);

-- Location: LCCOMB_X35_Y19_N22
WideAnd3610 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3610~combout\ = (\WideAnd3610~1_combout\ & (\led_flash_cnt[3610][0]~q\ & (\led_flash_cnt[3610][7]~q\ & \WideAnd3610~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3610~1_combout\,
	datab => \led_flash_cnt[3610][0]~q\,
	datac => \led_flash_cnt[3610][7]~q\,
	datad => \WideAnd3610~0_combout\,
	combout => \WideAnd3610~combout\);

-- Location: FF_X35_Y19_N23
\led_flash_cnt_ands[3610]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3610~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3610));

-- Location: LCCOMB_X36_Y22_N30
\led_flash_cnt[3611][0]~84315\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3611][0]~84315_combout\ = !\led_flash_cnt[3611][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3611][0]~q\,
	combout => \led_flash_cnt[3611][0]~84315_combout\);

-- Location: FF_X36_Y22_N31
\led_flash_cnt[3611][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3611][0]~84315_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3611][0]~q\);

-- Location: LCCOMB_X36_Y22_N2
\led_flash_cnt[3611][1]~78330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3611][1]~78330_combout\ = (\led_flash_cnt[3611][0]~q\ & (\led_flash_cnt[3611][1]~q\ $ (VCC))) # (!\led_flash_cnt[3611][0]~q\ & (\led_flash_cnt[3611][1]~q\ & VCC))
-- \led_flash_cnt[3611][1]~78331\ = CARRY((\led_flash_cnt[3611][0]~q\ & \led_flash_cnt[3611][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3611][0]~q\,
	datab => \led_flash_cnt[3611][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3611][1]~78330_combout\,
	cout => \led_flash_cnt[3611][1]~78331\);

-- Location: FF_X36_Y22_N3
\led_flash_cnt[3611][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3611][1]~78330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3611][1]~q\);

-- Location: LCCOMB_X36_Y22_N4
\led_flash_cnt[3611][2]~78332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3611][2]~78332_combout\ = (\led_flash_cnt[3611][2]~q\ & (!\led_flash_cnt[3611][1]~78331\)) # (!\led_flash_cnt[3611][2]~q\ & ((\led_flash_cnt[3611][1]~78331\) # (GND)))
-- \led_flash_cnt[3611][2]~78333\ = CARRY((!\led_flash_cnt[3611][1]~78331\) # (!\led_flash_cnt[3611][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3611][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3611][1]~78331\,
	combout => \led_flash_cnt[3611][2]~78332_combout\,
	cout => \led_flash_cnt[3611][2]~78333\);

-- Location: FF_X36_Y22_N5
\led_flash_cnt[3611][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3611][2]~78332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3611][2]~q\);

-- Location: LCCOMB_X36_Y22_N6
\led_flash_cnt[3611][3]~78334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3611][3]~78334_combout\ = (\led_flash_cnt[3611][3]~q\ & (\led_flash_cnt[3611][2]~78333\ $ (GND))) # (!\led_flash_cnt[3611][3]~q\ & (!\led_flash_cnt[3611][2]~78333\ & VCC))
-- \led_flash_cnt[3611][3]~78335\ = CARRY((\led_flash_cnt[3611][3]~q\ & !\led_flash_cnt[3611][2]~78333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3611][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3611][2]~78333\,
	combout => \led_flash_cnt[3611][3]~78334_combout\,
	cout => \led_flash_cnt[3611][3]~78335\);

-- Location: FF_X36_Y22_N7
\led_flash_cnt[3611][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3611][3]~78334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3611][3]~q\);

-- Location: LCCOMB_X36_Y22_N8
\led_flash_cnt[3611][4]~78336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3611][4]~78336_combout\ = (\led_flash_cnt[3611][4]~q\ & (!\led_flash_cnt[3611][3]~78335\)) # (!\led_flash_cnt[3611][4]~q\ & ((\led_flash_cnt[3611][3]~78335\) # (GND)))
-- \led_flash_cnt[3611][4]~78337\ = CARRY((!\led_flash_cnt[3611][3]~78335\) # (!\led_flash_cnt[3611][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3611][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3611][3]~78335\,
	combout => \led_flash_cnt[3611][4]~78336_combout\,
	cout => \led_flash_cnt[3611][4]~78337\);

-- Location: FF_X36_Y22_N9
\led_flash_cnt[3611][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3611][4]~78336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3611][4]~q\);

-- Location: LCCOMB_X36_Y22_N26
\WideAnd3611~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3611~0_combout\ = (\led_flash_cnt[3611][3]~q\ & (\led_flash_cnt[3611][2]~q\ & (\led_flash_cnt[3611][4]~q\ & \led_flash_cnt[3611][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3611][3]~q\,
	datab => \led_flash_cnt[3611][2]~q\,
	datac => \led_flash_cnt[3611][4]~q\,
	datad => \led_flash_cnt[3611][1]~q\,
	combout => \WideAnd3611~0_combout\);

-- Location: LCCOMB_X36_Y22_N10
\led_flash_cnt[3611][5]~78338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3611][5]~78338_combout\ = (\led_flash_cnt[3611][5]~q\ & (\led_flash_cnt[3611][4]~78337\ $ (GND))) # (!\led_flash_cnt[3611][5]~q\ & (!\led_flash_cnt[3611][4]~78337\ & VCC))
-- \led_flash_cnt[3611][5]~78339\ = CARRY((\led_flash_cnt[3611][5]~q\ & !\led_flash_cnt[3611][4]~78337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3611][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3611][4]~78337\,
	combout => \led_flash_cnt[3611][5]~78338_combout\,
	cout => \led_flash_cnt[3611][5]~78339\);

-- Location: FF_X36_Y22_N11
\led_flash_cnt[3611][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3611][5]~78338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3611][5]~q\);

-- Location: LCCOMB_X36_Y22_N12
\led_flash_cnt[3611][6]~78340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3611][6]~78340_combout\ = (\led_flash_cnt[3611][6]~q\ & (!\led_flash_cnt[3611][5]~78339\)) # (!\led_flash_cnt[3611][6]~q\ & ((\led_flash_cnt[3611][5]~78339\) # (GND)))
-- \led_flash_cnt[3611][6]~78341\ = CARRY((!\led_flash_cnt[3611][5]~78339\) # (!\led_flash_cnt[3611][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3611][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3611][5]~78339\,
	combout => \led_flash_cnt[3611][6]~78340_combout\,
	cout => \led_flash_cnt[3611][6]~78341\);

-- Location: FF_X36_Y22_N13
\led_flash_cnt[3611][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3611][6]~78340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3611][6]~q\);

-- Location: LCCOMB_X36_Y22_N14
\led_flash_cnt[3611][7]~78342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3611][7]~78342_combout\ = \led_flash_cnt[3611][7]~q\ $ (!\led_flash_cnt[3611][6]~78341\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3611][7]~q\,
	cin => \led_flash_cnt[3611][6]~78341\,
	combout => \led_flash_cnt[3611][7]~78342_combout\);

-- Location: FF_X36_Y22_N15
\led_flash_cnt[3611][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3611][7]~78342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3611][7]~q\);

-- Location: LCCOMB_X36_Y22_N20
\WideAnd3611~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3611~1_combout\ = (\led_flash_cnt[3611][5]~q\ & \led_flash_cnt[3611][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3611][5]~q\,
	datad => \led_flash_cnt[3611][6]~q\,
	combout => \WideAnd3611~1_combout\);

-- Location: LCCOMB_X36_Y22_N24
WideAnd3611 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3611~combout\ = (\WideAnd3611~0_combout\ & (\led_flash_cnt[3611][7]~q\ & (\led_flash_cnt[3611][0]~q\ & \WideAnd3611~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3611~0_combout\,
	datab => \led_flash_cnt[3611][7]~q\,
	datac => \led_flash_cnt[3611][0]~q\,
	datad => \WideAnd3611~1_combout\,
	combout => \WideAnd3611~combout\);

-- Location: FF_X36_Y22_N25
\led_flash_cnt_ands[3611]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3611~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3611));

-- Location: LCCOMB_X23_Y28_N22
\led_flash_cnt[3608][0]~84312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3608][0]~84312_combout\ = !\led_flash_cnt[3608][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3608][0]~q\,
	combout => \led_flash_cnt[3608][0]~84312_combout\);

-- Location: FF_X23_Y28_N23
\led_flash_cnt[3608][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3608][0]~84312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3608][0]~q\);

-- Location: LCCOMB_X23_Y28_N4
\led_flash_cnt[3608][1]~78288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3608][1]~78288_combout\ = (\led_flash_cnt[3608][0]~q\ & (\led_flash_cnt[3608][1]~q\ $ (VCC))) # (!\led_flash_cnt[3608][0]~q\ & (\led_flash_cnt[3608][1]~q\ & VCC))
-- \led_flash_cnt[3608][1]~78289\ = CARRY((\led_flash_cnt[3608][0]~q\ & \led_flash_cnt[3608][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3608][0]~q\,
	datab => \led_flash_cnt[3608][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3608][1]~78288_combout\,
	cout => \led_flash_cnt[3608][1]~78289\);

-- Location: FF_X23_Y28_N5
\led_flash_cnt[3608][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3608][1]~78288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3608][1]~q\);

-- Location: LCCOMB_X23_Y28_N6
\led_flash_cnt[3608][2]~78290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3608][2]~78290_combout\ = (\led_flash_cnt[3608][2]~q\ & (!\led_flash_cnt[3608][1]~78289\)) # (!\led_flash_cnt[3608][2]~q\ & ((\led_flash_cnt[3608][1]~78289\) # (GND)))
-- \led_flash_cnt[3608][2]~78291\ = CARRY((!\led_flash_cnt[3608][1]~78289\) # (!\led_flash_cnt[3608][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3608][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3608][1]~78289\,
	combout => \led_flash_cnt[3608][2]~78290_combout\,
	cout => \led_flash_cnt[3608][2]~78291\);

-- Location: FF_X23_Y28_N7
\led_flash_cnt[3608][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3608][2]~78290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3608][2]~q\);

-- Location: LCCOMB_X23_Y28_N8
\led_flash_cnt[3608][3]~78292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3608][3]~78292_combout\ = (\led_flash_cnt[3608][3]~q\ & (\led_flash_cnt[3608][2]~78291\ $ (GND))) # (!\led_flash_cnt[3608][3]~q\ & (!\led_flash_cnt[3608][2]~78291\ & VCC))
-- \led_flash_cnt[3608][3]~78293\ = CARRY((\led_flash_cnt[3608][3]~q\ & !\led_flash_cnt[3608][2]~78291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3608][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3608][2]~78291\,
	combout => \led_flash_cnt[3608][3]~78292_combout\,
	cout => \led_flash_cnt[3608][3]~78293\);

-- Location: FF_X23_Y28_N9
\led_flash_cnt[3608][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3608][3]~78292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3608][3]~q\);

-- Location: LCCOMB_X23_Y28_N10
\led_flash_cnt[3608][4]~78294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3608][4]~78294_combout\ = (\led_flash_cnt[3608][4]~q\ & (!\led_flash_cnt[3608][3]~78293\)) # (!\led_flash_cnt[3608][4]~q\ & ((\led_flash_cnt[3608][3]~78293\) # (GND)))
-- \led_flash_cnt[3608][4]~78295\ = CARRY((!\led_flash_cnt[3608][3]~78293\) # (!\led_flash_cnt[3608][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3608][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3608][3]~78293\,
	combout => \led_flash_cnt[3608][4]~78294_combout\,
	cout => \led_flash_cnt[3608][4]~78295\);

-- Location: FF_X23_Y28_N11
\led_flash_cnt[3608][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3608][4]~78294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3608][4]~q\);

-- Location: LCCOMB_X23_Y28_N12
\led_flash_cnt[3608][5]~78296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3608][5]~78296_combout\ = (\led_flash_cnt[3608][5]~q\ & (\led_flash_cnt[3608][4]~78295\ $ (GND))) # (!\led_flash_cnt[3608][5]~q\ & (!\led_flash_cnt[3608][4]~78295\ & VCC))
-- \led_flash_cnt[3608][5]~78297\ = CARRY((\led_flash_cnt[3608][5]~q\ & !\led_flash_cnt[3608][4]~78295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3608][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3608][4]~78295\,
	combout => \led_flash_cnt[3608][5]~78296_combout\,
	cout => \led_flash_cnt[3608][5]~78297\);

-- Location: FF_X23_Y28_N13
\led_flash_cnt[3608][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3608][5]~78296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3608][5]~q\);

-- Location: LCCOMB_X23_Y28_N14
\led_flash_cnt[3608][6]~78298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3608][6]~78298_combout\ = (\led_flash_cnt[3608][6]~q\ & (!\led_flash_cnt[3608][5]~78297\)) # (!\led_flash_cnt[3608][6]~q\ & ((\led_flash_cnt[3608][5]~78297\) # (GND)))
-- \led_flash_cnt[3608][6]~78299\ = CARRY((!\led_flash_cnt[3608][5]~78297\) # (!\led_flash_cnt[3608][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3608][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3608][5]~78297\,
	combout => \led_flash_cnt[3608][6]~78298_combout\,
	cout => \led_flash_cnt[3608][6]~78299\);

-- Location: FF_X23_Y28_N15
\led_flash_cnt[3608][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3608][6]~78298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3608][6]~q\);

-- Location: LCCOMB_X23_Y28_N16
\led_flash_cnt[3608][7]~78300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3608][7]~78300_combout\ = \led_flash_cnt[3608][6]~78299\ $ (!\led_flash_cnt[3608][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3608][7]~q\,
	cin => \led_flash_cnt[3608][6]~78299\,
	combout => \led_flash_cnt[3608][7]~78300_combout\);

-- Location: FF_X23_Y28_N17
\led_flash_cnt[3608][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3608][7]~78300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3608][7]~q\);

-- Location: LCCOMB_X23_Y28_N30
\WideAnd3608~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3608~1_combout\ = (\led_flash_cnt[3608][6]~q\ & \led_flash_cnt[3608][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3608][6]~q\,
	datad => \led_flash_cnt[3608][5]~q\,
	combout => \WideAnd3608~1_combout\);

-- Location: LCCOMB_X23_Y28_N18
\WideAnd3608~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3608~0_combout\ = (\led_flash_cnt[3608][2]~q\ & (\led_flash_cnt[3608][3]~q\ & (\led_flash_cnt[3608][1]~q\ & \led_flash_cnt[3608][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3608][2]~q\,
	datab => \led_flash_cnt[3608][3]~q\,
	datac => \led_flash_cnt[3608][1]~q\,
	datad => \led_flash_cnt[3608][4]~q\,
	combout => \WideAnd3608~0_combout\);

-- Location: LCCOMB_X23_Y28_N28
WideAnd3608 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3608~combout\ = (\led_flash_cnt[3608][0]~q\ & (\led_flash_cnt[3608][7]~q\ & (\WideAnd3608~1_combout\ & \WideAnd3608~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3608][0]~q\,
	datab => \led_flash_cnt[3608][7]~q\,
	datac => \WideAnd3608~1_combout\,
	datad => \WideAnd3608~0_combout\,
	combout => \WideAnd3608~combout\);

-- Location: FF_X23_Y28_N29
\led_flash_cnt_ands[3608]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3608~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3608));

-- Location: LCCOMB_X35_Y19_N30
\led_flash_cnt[3609][0]~84313\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3609][0]~84313_combout\ = !\led_flash_cnt[3609][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3609][0]~q\,
	combout => \led_flash_cnt[3609][0]~84313_combout\);

-- Location: FF_X35_Y19_N31
\led_flash_cnt[3609][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3609][0]~84313_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3609][0]~q\);

-- Location: LCCOMB_X35_Y19_N2
\led_flash_cnt[3609][1]~78302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3609][1]~78302_combout\ = (\led_flash_cnt[3609][0]~q\ & (\led_flash_cnt[3609][1]~q\ $ (VCC))) # (!\led_flash_cnt[3609][0]~q\ & (\led_flash_cnt[3609][1]~q\ & VCC))
-- \led_flash_cnt[3609][1]~78303\ = CARRY((\led_flash_cnt[3609][0]~q\ & \led_flash_cnt[3609][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3609][0]~q\,
	datab => \led_flash_cnt[3609][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3609][1]~78302_combout\,
	cout => \led_flash_cnt[3609][1]~78303\);

-- Location: FF_X35_Y19_N3
\led_flash_cnt[3609][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3609][1]~78302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3609][1]~q\);

-- Location: LCCOMB_X35_Y19_N4
\led_flash_cnt[3609][2]~78304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3609][2]~78304_combout\ = (\led_flash_cnt[3609][2]~q\ & (!\led_flash_cnt[3609][1]~78303\)) # (!\led_flash_cnt[3609][2]~q\ & ((\led_flash_cnt[3609][1]~78303\) # (GND)))
-- \led_flash_cnt[3609][2]~78305\ = CARRY((!\led_flash_cnt[3609][1]~78303\) # (!\led_flash_cnt[3609][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3609][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3609][1]~78303\,
	combout => \led_flash_cnt[3609][2]~78304_combout\,
	cout => \led_flash_cnt[3609][2]~78305\);

-- Location: FF_X35_Y19_N5
\led_flash_cnt[3609][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3609][2]~78304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3609][2]~q\);

-- Location: LCCOMB_X35_Y19_N6
\led_flash_cnt[3609][3]~78306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3609][3]~78306_combout\ = (\led_flash_cnt[3609][3]~q\ & (\led_flash_cnt[3609][2]~78305\ $ (GND))) # (!\led_flash_cnt[3609][3]~q\ & (!\led_flash_cnt[3609][2]~78305\ & VCC))
-- \led_flash_cnt[3609][3]~78307\ = CARRY((\led_flash_cnt[3609][3]~q\ & !\led_flash_cnt[3609][2]~78305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3609][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3609][2]~78305\,
	combout => \led_flash_cnt[3609][3]~78306_combout\,
	cout => \led_flash_cnt[3609][3]~78307\);

-- Location: FF_X35_Y19_N7
\led_flash_cnt[3609][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3609][3]~78306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3609][3]~q\);

-- Location: LCCOMB_X35_Y19_N8
\led_flash_cnt[3609][4]~78308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3609][4]~78308_combout\ = (\led_flash_cnt[3609][4]~q\ & (!\led_flash_cnt[3609][3]~78307\)) # (!\led_flash_cnt[3609][4]~q\ & ((\led_flash_cnt[3609][3]~78307\) # (GND)))
-- \led_flash_cnt[3609][4]~78309\ = CARRY((!\led_flash_cnt[3609][3]~78307\) # (!\led_flash_cnt[3609][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3609][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3609][3]~78307\,
	combout => \led_flash_cnt[3609][4]~78308_combout\,
	cout => \led_flash_cnt[3609][4]~78309\);

-- Location: FF_X35_Y19_N9
\led_flash_cnt[3609][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3609][4]~78308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3609][4]~q\);

-- Location: LCCOMB_X35_Y19_N10
\led_flash_cnt[3609][5]~78310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3609][5]~78310_combout\ = (\led_flash_cnt[3609][5]~q\ & (\led_flash_cnt[3609][4]~78309\ $ (GND))) # (!\led_flash_cnt[3609][5]~q\ & (!\led_flash_cnt[3609][4]~78309\ & VCC))
-- \led_flash_cnt[3609][5]~78311\ = CARRY((\led_flash_cnt[3609][5]~q\ & !\led_flash_cnt[3609][4]~78309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3609][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3609][4]~78309\,
	combout => \led_flash_cnt[3609][5]~78310_combout\,
	cout => \led_flash_cnt[3609][5]~78311\);

-- Location: FF_X35_Y19_N11
\led_flash_cnt[3609][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3609][5]~78310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3609][5]~q\);

-- Location: LCCOMB_X35_Y19_N12
\led_flash_cnt[3609][6]~78312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3609][6]~78312_combout\ = (\led_flash_cnt[3609][6]~q\ & (!\led_flash_cnt[3609][5]~78311\)) # (!\led_flash_cnt[3609][6]~q\ & ((\led_flash_cnt[3609][5]~78311\) # (GND)))
-- \led_flash_cnt[3609][6]~78313\ = CARRY((!\led_flash_cnt[3609][5]~78311\) # (!\led_flash_cnt[3609][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3609][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3609][5]~78311\,
	combout => \led_flash_cnt[3609][6]~78312_combout\,
	cout => \led_flash_cnt[3609][6]~78313\);

-- Location: FF_X35_Y19_N13
\led_flash_cnt[3609][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3609][6]~78312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3609][6]~q\);

-- Location: LCCOMB_X35_Y19_N14
\led_flash_cnt[3609][7]~78314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3609][7]~78314_combout\ = \led_flash_cnt[3609][7]~q\ $ (!\led_flash_cnt[3609][6]~78313\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3609][7]~q\,
	cin => \led_flash_cnt[3609][6]~78313\,
	combout => \led_flash_cnt[3609][7]~78314_combout\);

-- Location: FF_X35_Y19_N15
\led_flash_cnt[3609][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3609][7]~78314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3609][7]~q\);

-- Location: LCCOMB_X35_Y19_N28
\WideAnd3609~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3609~1_combout\ = (\led_flash_cnt[3609][7]~q\ & \led_flash_cnt[3609][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3609][7]~q\,
	datad => \led_flash_cnt[3609][5]~q\,
	combout => \WideAnd3609~1_combout\);

-- Location: LCCOMB_X35_Y19_N16
\WideAnd3609~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3609~0_combout\ = (\led_flash_cnt[3609][3]~q\ & (\led_flash_cnt[3609][4]~q\ & (\led_flash_cnt[3609][2]~q\ & \led_flash_cnt[3609][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3609][3]~q\,
	datab => \led_flash_cnt[3609][4]~q\,
	datac => \led_flash_cnt[3609][2]~q\,
	datad => \led_flash_cnt[3609][1]~q\,
	combout => \WideAnd3609~0_combout\);

-- Location: LCCOMB_X35_Y19_N18
WideAnd3609 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3609~combout\ = (\led_flash_cnt[3609][6]~q\ & (\WideAnd3609~1_combout\ & (\led_flash_cnt[3609][0]~q\ & \WideAnd3609~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3609][6]~q\,
	datab => \WideAnd3609~1_combout\,
	datac => \led_flash_cnt[3609][0]~q\,
	datad => \WideAnd3609~0_combout\,
	combout => \WideAnd3609~combout\);

-- Location: FF_X35_Y19_N19
\led_flash_cnt_ands[3609]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3609~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3609));

-- Location: LCCOMB_X35_Y19_N24
\WideAnd4291~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4291~0_combout\ = (led_flash_cnt_ands(3610) & (led_flash_cnt_ands(3611) & (led_flash_cnt_ands(3608) & led_flash_cnt_ands(3609))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3610),
	datab => led_flash_cnt_ands(3611),
	datac => led_flash_cnt_ands(3608),
	datad => led_flash_cnt_ands(3609),
	combout => \WideAnd4291~0_combout\);

-- Location: LCCOMB_X39_Y12_N8
\led_flash_cnt[3615][0]~84319\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3615][0]~84319_combout\ = !\led_flash_cnt[3615][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3615][0]~q\,
	combout => \led_flash_cnt[3615][0]~84319_combout\);

-- Location: FF_X39_Y12_N9
\led_flash_cnt[3615][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3615][0]~84319_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3615][0]~q\);

-- Location: LCCOMB_X38_Y15_N2
\led_flash_cnt[3615][1]~78386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3615][1]~78386_combout\ = (\led_flash_cnt[3615][1]~q\ & (\led_flash_cnt[3615][0]~q\ $ (VCC))) # (!\led_flash_cnt[3615][1]~q\ & (\led_flash_cnt[3615][0]~q\ & VCC))
-- \led_flash_cnt[3615][1]~78387\ = CARRY((\led_flash_cnt[3615][1]~q\ & \led_flash_cnt[3615][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3615][1]~q\,
	datab => \led_flash_cnt[3615][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3615][1]~78386_combout\,
	cout => \led_flash_cnt[3615][1]~78387\);

-- Location: FF_X38_Y15_N3
\led_flash_cnt[3615][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3615][1]~78386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3615][1]~q\);

-- Location: LCCOMB_X38_Y15_N4
\led_flash_cnt[3615][2]~78388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3615][2]~78388_combout\ = (\led_flash_cnt[3615][2]~q\ & (!\led_flash_cnt[3615][1]~78387\)) # (!\led_flash_cnt[3615][2]~q\ & ((\led_flash_cnt[3615][1]~78387\) # (GND)))
-- \led_flash_cnt[3615][2]~78389\ = CARRY((!\led_flash_cnt[3615][1]~78387\) # (!\led_flash_cnt[3615][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3615][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3615][1]~78387\,
	combout => \led_flash_cnt[3615][2]~78388_combout\,
	cout => \led_flash_cnt[3615][2]~78389\);

-- Location: FF_X38_Y15_N5
\led_flash_cnt[3615][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3615][2]~78388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3615][2]~q\);

-- Location: LCCOMB_X38_Y15_N6
\led_flash_cnt[3615][3]~78390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3615][3]~78390_combout\ = (\led_flash_cnt[3615][3]~q\ & (\led_flash_cnt[3615][2]~78389\ $ (GND))) # (!\led_flash_cnt[3615][3]~q\ & (!\led_flash_cnt[3615][2]~78389\ & VCC))
-- \led_flash_cnt[3615][3]~78391\ = CARRY((\led_flash_cnt[3615][3]~q\ & !\led_flash_cnt[3615][2]~78389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3615][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3615][2]~78389\,
	combout => \led_flash_cnt[3615][3]~78390_combout\,
	cout => \led_flash_cnt[3615][3]~78391\);

-- Location: FF_X38_Y15_N7
\led_flash_cnt[3615][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3615][3]~78390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3615][3]~q\);

-- Location: LCCOMB_X38_Y15_N8
\led_flash_cnt[3615][4]~78392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3615][4]~78392_combout\ = (\led_flash_cnt[3615][4]~q\ & (!\led_flash_cnt[3615][3]~78391\)) # (!\led_flash_cnt[3615][4]~q\ & ((\led_flash_cnt[3615][3]~78391\) # (GND)))
-- \led_flash_cnt[3615][4]~78393\ = CARRY((!\led_flash_cnt[3615][3]~78391\) # (!\led_flash_cnt[3615][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3615][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3615][3]~78391\,
	combout => \led_flash_cnt[3615][4]~78392_combout\,
	cout => \led_flash_cnt[3615][4]~78393\);

-- Location: FF_X38_Y15_N9
\led_flash_cnt[3615][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3615][4]~78392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3615][4]~q\);

-- Location: LCCOMB_X38_Y15_N26
\WideAnd3615~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3615~0_combout\ = (\led_flash_cnt[3615][3]~q\ & (\led_flash_cnt[3615][2]~q\ & (\led_flash_cnt[3615][4]~q\ & \led_flash_cnt[3615][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3615][3]~q\,
	datab => \led_flash_cnt[3615][2]~q\,
	datac => \led_flash_cnt[3615][4]~q\,
	datad => \led_flash_cnt[3615][1]~q\,
	combout => \WideAnd3615~0_combout\);

-- Location: LCCOMB_X38_Y15_N10
\led_flash_cnt[3615][5]~78394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3615][5]~78394_combout\ = (\led_flash_cnt[3615][5]~q\ & (\led_flash_cnt[3615][4]~78393\ $ (GND))) # (!\led_flash_cnt[3615][5]~q\ & (!\led_flash_cnt[3615][4]~78393\ & VCC))
-- \led_flash_cnt[3615][5]~78395\ = CARRY((\led_flash_cnt[3615][5]~q\ & !\led_flash_cnt[3615][4]~78393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3615][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3615][4]~78393\,
	combout => \led_flash_cnt[3615][5]~78394_combout\,
	cout => \led_flash_cnt[3615][5]~78395\);

-- Location: FF_X38_Y15_N11
\led_flash_cnt[3615][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3615][5]~78394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3615][5]~q\);

-- Location: LCCOMB_X38_Y15_N12
\led_flash_cnt[3615][6]~78396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3615][6]~78396_combout\ = (\led_flash_cnt[3615][6]~q\ & (!\led_flash_cnt[3615][5]~78395\)) # (!\led_flash_cnt[3615][6]~q\ & ((\led_flash_cnt[3615][5]~78395\) # (GND)))
-- \led_flash_cnt[3615][6]~78397\ = CARRY((!\led_flash_cnt[3615][5]~78395\) # (!\led_flash_cnt[3615][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3615][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3615][5]~78395\,
	combout => \led_flash_cnt[3615][6]~78396_combout\,
	cout => \led_flash_cnt[3615][6]~78397\);

-- Location: FF_X38_Y15_N13
\led_flash_cnt[3615][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3615][6]~78396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3615][6]~q\);

-- Location: LCCOMB_X38_Y15_N14
\led_flash_cnt[3615][7]~78398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3615][7]~78398_combout\ = \led_flash_cnt[3615][7]~q\ $ (!\led_flash_cnt[3615][6]~78397\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3615][7]~q\,
	cin => \led_flash_cnt[3615][6]~78397\,
	combout => \led_flash_cnt[3615][7]~78398_combout\);

-- Location: FF_X38_Y15_N15
\led_flash_cnt[3615][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3615][7]~78398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3615][7]~q\);

-- Location: LCCOMB_X38_Y15_N18
\WideAnd3615~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3615~1_combout\ = (\led_flash_cnt[3615][6]~q\ & \led_flash_cnt[3615][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3615][6]~q\,
	datad => \led_flash_cnt[3615][5]~q\,
	combout => \WideAnd3615~1_combout\);

-- Location: LCCOMB_X38_Y15_N0
WideAnd3615 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3615~combout\ = (\WideAnd3615~0_combout\ & (\led_flash_cnt[3615][7]~q\ & (\led_flash_cnt[3615][0]~q\ & \WideAnd3615~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3615~0_combout\,
	datab => \led_flash_cnt[3615][7]~q\,
	datac => \led_flash_cnt[3615][0]~q\,
	datad => \WideAnd3615~1_combout\,
	combout => \WideAnd3615~combout\);

-- Location: FF_X38_Y15_N1
\led_flash_cnt_ands[3615]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3615~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3615));

-- Location: LCCOMB_X41_Y20_N22
\led_flash_cnt[3613][0]~84317\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3613][0]~84317_combout\ = !\led_flash_cnt[3613][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3613][0]~q\,
	combout => \led_flash_cnt[3613][0]~84317_combout\);

-- Location: FF_X41_Y20_N23
\led_flash_cnt[3613][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3613][0]~84317_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3613][0]~q\);

-- Location: LCCOMB_X41_Y20_N2
\led_flash_cnt[3613][1]~78358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3613][1]~78358_combout\ = (\led_flash_cnt[3613][0]~q\ & (\led_flash_cnt[3613][1]~q\ $ (VCC))) # (!\led_flash_cnt[3613][0]~q\ & (\led_flash_cnt[3613][1]~q\ & VCC))
-- \led_flash_cnt[3613][1]~78359\ = CARRY((\led_flash_cnt[3613][0]~q\ & \led_flash_cnt[3613][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3613][0]~q\,
	datab => \led_flash_cnt[3613][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3613][1]~78358_combout\,
	cout => \led_flash_cnt[3613][1]~78359\);

-- Location: FF_X41_Y20_N3
\led_flash_cnt[3613][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3613][1]~78358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3613][1]~q\);

-- Location: LCCOMB_X41_Y20_N4
\led_flash_cnt[3613][2]~78360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3613][2]~78360_combout\ = (\led_flash_cnt[3613][2]~q\ & (!\led_flash_cnt[3613][1]~78359\)) # (!\led_flash_cnt[3613][2]~q\ & ((\led_flash_cnt[3613][1]~78359\) # (GND)))
-- \led_flash_cnt[3613][2]~78361\ = CARRY((!\led_flash_cnt[3613][1]~78359\) # (!\led_flash_cnt[3613][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3613][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3613][1]~78359\,
	combout => \led_flash_cnt[3613][2]~78360_combout\,
	cout => \led_flash_cnt[3613][2]~78361\);

-- Location: FF_X41_Y20_N5
\led_flash_cnt[3613][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3613][2]~78360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3613][2]~q\);

-- Location: LCCOMB_X41_Y20_N6
\led_flash_cnt[3613][3]~78362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3613][3]~78362_combout\ = (\led_flash_cnt[3613][3]~q\ & (\led_flash_cnt[3613][2]~78361\ $ (GND))) # (!\led_flash_cnt[3613][3]~q\ & (!\led_flash_cnt[3613][2]~78361\ & VCC))
-- \led_flash_cnt[3613][3]~78363\ = CARRY((\led_flash_cnt[3613][3]~q\ & !\led_flash_cnt[3613][2]~78361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3613][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3613][2]~78361\,
	combout => \led_flash_cnt[3613][3]~78362_combout\,
	cout => \led_flash_cnt[3613][3]~78363\);

-- Location: FF_X41_Y20_N7
\led_flash_cnt[3613][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3613][3]~78362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3613][3]~q\);

-- Location: LCCOMB_X41_Y20_N8
\led_flash_cnt[3613][4]~78364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3613][4]~78364_combout\ = (\led_flash_cnt[3613][4]~q\ & (!\led_flash_cnt[3613][3]~78363\)) # (!\led_flash_cnt[3613][4]~q\ & ((\led_flash_cnt[3613][3]~78363\) # (GND)))
-- \led_flash_cnt[3613][4]~78365\ = CARRY((!\led_flash_cnt[3613][3]~78363\) # (!\led_flash_cnt[3613][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3613][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3613][3]~78363\,
	combout => \led_flash_cnt[3613][4]~78364_combout\,
	cout => \led_flash_cnt[3613][4]~78365\);

-- Location: FF_X41_Y20_N9
\led_flash_cnt[3613][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3613][4]~78364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3613][4]~q\);

-- Location: LCCOMB_X41_Y20_N10
\led_flash_cnt[3613][5]~78366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3613][5]~78366_combout\ = (\led_flash_cnt[3613][5]~q\ & (\led_flash_cnt[3613][4]~78365\ $ (GND))) # (!\led_flash_cnt[3613][5]~q\ & (!\led_flash_cnt[3613][4]~78365\ & VCC))
-- \led_flash_cnt[3613][5]~78367\ = CARRY((\led_flash_cnt[3613][5]~q\ & !\led_flash_cnt[3613][4]~78365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3613][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3613][4]~78365\,
	combout => \led_flash_cnt[3613][5]~78366_combout\,
	cout => \led_flash_cnt[3613][5]~78367\);

-- Location: FF_X41_Y20_N11
\led_flash_cnt[3613][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3613][5]~78366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3613][5]~q\);

-- Location: LCCOMB_X41_Y20_N12
\led_flash_cnt[3613][6]~78368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3613][6]~78368_combout\ = (\led_flash_cnt[3613][6]~q\ & (!\led_flash_cnt[3613][5]~78367\)) # (!\led_flash_cnt[3613][6]~q\ & ((\led_flash_cnt[3613][5]~78367\) # (GND)))
-- \led_flash_cnt[3613][6]~78369\ = CARRY((!\led_flash_cnt[3613][5]~78367\) # (!\led_flash_cnt[3613][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3613][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3613][5]~78367\,
	combout => \led_flash_cnt[3613][6]~78368_combout\,
	cout => \led_flash_cnt[3613][6]~78369\);

-- Location: FF_X41_Y20_N13
\led_flash_cnt[3613][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3613][6]~78368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3613][6]~q\);

-- Location: LCCOMB_X41_Y20_N26
\WideAnd3613~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3613~1_combout\ = (\led_flash_cnt[3613][6]~q\ & \led_flash_cnt[3613][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3613][6]~q\,
	datad => \led_flash_cnt[3613][5]~q\,
	combout => \WideAnd3613~1_combout\);

-- Location: LCCOMB_X41_Y20_N14
\led_flash_cnt[3613][7]~78370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3613][7]~78370_combout\ = \led_flash_cnt[3613][7]~q\ $ (!\led_flash_cnt[3613][6]~78369\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3613][7]~q\,
	cin => \led_flash_cnt[3613][6]~78369\,
	combout => \led_flash_cnt[3613][7]~78370_combout\);

-- Location: FF_X41_Y20_N15
\led_flash_cnt[3613][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3613][7]~78370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3613][7]~q\);

-- Location: LCCOMB_X41_Y20_N18
\WideAnd3613~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3613~0_combout\ = (\led_flash_cnt[3613][3]~q\ & (\led_flash_cnt[3613][4]~q\ & (\led_flash_cnt[3613][2]~q\ & \led_flash_cnt[3613][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3613][3]~q\,
	datab => \led_flash_cnt[3613][4]~q\,
	datac => \led_flash_cnt[3613][2]~q\,
	datad => \led_flash_cnt[3613][1]~q\,
	combout => \WideAnd3613~0_combout\);

-- Location: LCCOMB_X41_Y20_N30
WideAnd3613 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3613~combout\ = (\WideAnd3613~1_combout\ & (\led_flash_cnt[3613][7]~q\ & (\led_flash_cnt[3613][0]~q\ & \WideAnd3613~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3613~1_combout\,
	datab => \led_flash_cnt[3613][7]~q\,
	datac => \led_flash_cnt[3613][0]~q\,
	datad => \WideAnd3613~0_combout\,
	combout => \WideAnd3613~combout\);

-- Location: FF_X41_Y20_N31
\led_flash_cnt_ands[3613]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3613~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3613));

-- Location: LCCOMB_X41_Y20_N20
\led_flash_cnt[3612][0]~84316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3612][0]~84316_combout\ = !\led_flash_cnt[3612][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3612][0]~q\,
	combout => \led_flash_cnt[3612][0]~84316_combout\);

-- Location: FF_X41_Y20_N21
\led_flash_cnt[3612][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3612][0]~84316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3612][0]~q\);

-- Location: LCCOMB_X40_Y20_N18
\led_flash_cnt[3612][1]~78344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3612][1]~78344_combout\ = (\led_flash_cnt[3612][0]~q\ & (\led_flash_cnt[3612][1]~q\ $ (VCC))) # (!\led_flash_cnt[3612][0]~q\ & (\led_flash_cnt[3612][1]~q\ & VCC))
-- \led_flash_cnt[3612][1]~78345\ = CARRY((\led_flash_cnt[3612][0]~q\ & \led_flash_cnt[3612][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3612][0]~q\,
	datab => \led_flash_cnt[3612][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3612][1]~78344_combout\,
	cout => \led_flash_cnt[3612][1]~78345\);

-- Location: FF_X40_Y20_N19
\led_flash_cnt[3612][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3612][1]~78344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3612][1]~q\);

-- Location: LCCOMB_X40_Y20_N20
\led_flash_cnt[3612][2]~78346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3612][2]~78346_combout\ = (\led_flash_cnt[3612][2]~q\ & (!\led_flash_cnt[3612][1]~78345\)) # (!\led_flash_cnt[3612][2]~q\ & ((\led_flash_cnt[3612][1]~78345\) # (GND)))
-- \led_flash_cnt[3612][2]~78347\ = CARRY((!\led_flash_cnt[3612][1]~78345\) # (!\led_flash_cnt[3612][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3612][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3612][1]~78345\,
	combout => \led_flash_cnt[3612][2]~78346_combout\,
	cout => \led_flash_cnt[3612][2]~78347\);

-- Location: FF_X40_Y20_N21
\led_flash_cnt[3612][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3612][2]~78346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3612][2]~q\);

-- Location: LCCOMB_X40_Y20_N22
\led_flash_cnt[3612][3]~78348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3612][3]~78348_combout\ = (\led_flash_cnt[3612][3]~q\ & (\led_flash_cnt[3612][2]~78347\ $ (GND))) # (!\led_flash_cnt[3612][3]~q\ & (!\led_flash_cnt[3612][2]~78347\ & VCC))
-- \led_flash_cnt[3612][3]~78349\ = CARRY((\led_flash_cnt[3612][3]~q\ & !\led_flash_cnt[3612][2]~78347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3612][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3612][2]~78347\,
	combout => \led_flash_cnt[3612][3]~78348_combout\,
	cout => \led_flash_cnt[3612][3]~78349\);

-- Location: FF_X40_Y20_N23
\led_flash_cnt[3612][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3612][3]~78348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3612][3]~q\);

-- Location: LCCOMB_X40_Y20_N24
\led_flash_cnt[3612][4]~78350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3612][4]~78350_combout\ = (\led_flash_cnt[3612][4]~q\ & (!\led_flash_cnt[3612][3]~78349\)) # (!\led_flash_cnt[3612][4]~q\ & ((\led_flash_cnt[3612][3]~78349\) # (GND)))
-- \led_flash_cnt[3612][4]~78351\ = CARRY((!\led_flash_cnt[3612][3]~78349\) # (!\led_flash_cnt[3612][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3612][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3612][3]~78349\,
	combout => \led_flash_cnt[3612][4]~78350_combout\,
	cout => \led_flash_cnt[3612][4]~78351\);

-- Location: FF_X40_Y20_N25
\led_flash_cnt[3612][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3612][4]~78350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3612][4]~q\);

-- Location: LCCOMB_X40_Y20_N26
\led_flash_cnt[3612][5]~78352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3612][5]~78352_combout\ = (\led_flash_cnt[3612][5]~q\ & (\led_flash_cnt[3612][4]~78351\ $ (GND))) # (!\led_flash_cnt[3612][5]~q\ & (!\led_flash_cnt[3612][4]~78351\ & VCC))
-- \led_flash_cnt[3612][5]~78353\ = CARRY((\led_flash_cnt[3612][5]~q\ & !\led_flash_cnt[3612][4]~78351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3612][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3612][4]~78351\,
	combout => \led_flash_cnt[3612][5]~78352_combout\,
	cout => \led_flash_cnt[3612][5]~78353\);

-- Location: FF_X40_Y20_N27
\led_flash_cnt[3612][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3612][5]~78352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3612][5]~q\);

-- Location: LCCOMB_X40_Y20_N28
\led_flash_cnt[3612][6]~78354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3612][6]~78354_combout\ = (\led_flash_cnt[3612][6]~q\ & (!\led_flash_cnt[3612][5]~78353\)) # (!\led_flash_cnt[3612][6]~q\ & ((\led_flash_cnt[3612][5]~78353\) # (GND)))
-- \led_flash_cnt[3612][6]~78355\ = CARRY((!\led_flash_cnt[3612][5]~78353\) # (!\led_flash_cnt[3612][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3612][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3612][5]~78353\,
	combout => \led_flash_cnt[3612][6]~78354_combout\,
	cout => \led_flash_cnt[3612][6]~78355\);

-- Location: FF_X40_Y20_N29
\led_flash_cnt[3612][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3612][6]~78354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3612][6]~q\);

-- Location: LCCOMB_X40_Y20_N30
\led_flash_cnt[3612][7]~78356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3612][7]~78356_combout\ = \led_flash_cnt[3612][7]~q\ $ (!\led_flash_cnt[3612][6]~78355\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3612][7]~q\,
	cin => \led_flash_cnt[3612][6]~78355\,
	combout => \led_flash_cnt[3612][7]~78356_combout\);

-- Location: FF_X40_Y20_N31
\led_flash_cnt[3612][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3612][7]~78356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3612][7]~q\);

-- Location: LCCOMB_X40_Y20_N16
\WideAnd3612~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3612~0_combout\ = (\led_flash_cnt[3612][4]~q\ & (\led_flash_cnt[3612][1]~q\ & (\led_flash_cnt[3612][3]~q\ & \led_flash_cnt[3612][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3612][4]~q\,
	datab => \led_flash_cnt[3612][1]~q\,
	datac => \led_flash_cnt[3612][3]~q\,
	datad => \led_flash_cnt[3612][2]~q\,
	combout => \WideAnd3612~0_combout\);

-- Location: LCCOMB_X41_Y20_N16
\WideAnd3612~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3612~1_combout\ = (\led_flash_cnt[3612][5]~q\ & \led_flash_cnt[3612][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3612][5]~q\,
	datad => \led_flash_cnt[3612][6]~q\,
	combout => \WideAnd3612~1_combout\);

-- Location: LCCOMB_X41_Y20_N0
WideAnd3612 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3612~combout\ = (\led_flash_cnt[3612][0]~q\ & (\led_flash_cnt[3612][7]~q\ & (\WideAnd3612~0_combout\ & \WideAnd3612~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3612][0]~q\,
	datab => \led_flash_cnt[3612][7]~q\,
	datac => \WideAnd3612~0_combout\,
	datad => \WideAnd3612~1_combout\,
	combout => \WideAnd3612~combout\);

-- Location: FF_X41_Y20_N1
\led_flash_cnt_ands[3612]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3612~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3612));

-- Location: LCCOMB_X41_Y20_N24
\WideAnd4291~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4291~1_combout\ = (led_flash_cnt_ands(3613) & led_flash_cnt_ands(3612))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3613),
	datad => led_flash_cnt_ands(3612),
	combout => \WideAnd4291~1_combout\);

-- Location: LCCOMB_X38_Y15_N20
\led_flash_cnt[3614][0]~84318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3614][0]~84318_combout\ = !\led_flash_cnt[3614][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3614][0]~q\,
	combout => \led_flash_cnt[3614][0]~84318_combout\);

-- Location: FF_X38_Y15_N21
\led_flash_cnt[3614][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3614][0]~84318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3614][0]~q\);

-- Location: LCCOMB_X37_Y15_N4
\led_flash_cnt[3614][1]~78372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3614][1]~78372_combout\ = (\led_flash_cnt[3614][0]~q\ & (\led_flash_cnt[3614][1]~q\ $ (VCC))) # (!\led_flash_cnt[3614][0]~q\ & (\led_flash_cnt[3614][1]~q\ & VCC))
-- \led_flash_cnt[3614][1]~78373\ = CARRY((\led_flash_cnt[3614][0]~q\ & \led_flash_cnt[3614][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3614][0]~q\,
	datab => \led_flash_cnt[3614][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3614][1]~78372_combout\,
	cout => \led_flash_cnt[3614][1]~78373\);

-- Location: FF_X37_Y15_N5
\led_flash_cnt[3614][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3614][1]~78372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3614][1]~q\);

-- Location: LCCOMB_X37_Y15_N6
\led_flash_cnt[3614][2]~78374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3614][2]~78374_combout\ = (\led_flash_cnt[3614][2]~q\ & (!\led_flash_cnt[3614][1]~78373\)) # (!\led_flash_cnt[3614][2]~q\ & ((\led_flash_cnt[3614][1]~78373\) # (GND)))
-- \led_flash_cnt[3614][2]~78375\ = CARRY((!\led_flash_cnt[3614][1]~78373\) # (!\led_flash_cnt[3614][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3614][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3614][1]~78373\,
	combout => \led_flash_cnt[3614][2]~78374_combout\,
	cout => \led_flash_cnt[3614][2]~78375\);

-- Location: FF_X37_Y15_N7
\led_flash_cnt[3614][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3614][2]~78374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3614][2]~q\);

-- Location: LCCOMB_X37_Y15_N8
\led_flash_cnt[3614][3]~78376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3614][3]~78376_combout\ = (\led_flash_cnt[3614][3]~q\ & (\led_flash_cnt[3614][2]~78375\ $ (GND))) # (!\led_flash_cnt[3614][3]~q\ & (!\led_flash_cnt[3614][2]~78375\ & VCC))
-- \led_flash_cnt[3614][3]~78377\ = CARRY((\led_flash_cnt[3614][3]~q\ & !\led_flash_cnt[3614][2]~78375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3614][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3614][2]~78375\,
	combout => \led_flash_cnt[3614][3]~78376_combout\,
	cout => \led_flash_cnt[3614][3]~78377\);

-- Location: FF_X37_Y15_N9
\led_flash_cnt[3614][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3614][3]~78376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3614][3]~q\);

-- Location: LCCOMB_X37_Y15_N10
\led_flash_cnt[3614][4]~78378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3614][4]~78378_combout\ = (\led_flash_cnt[3614][4]~q\ & (!\led_flash_cnt[3614][3]~78377\)) # (!\led_flash_cnt[3614][4]~q\ & ((\led_flash_cnt[3614][3]~78377\) # (GND)))
-- \led_flash_cnt[3614][4]~78379\ = CARRY((!\led_flash_cnt[3614][3]~78377\) # (!\led_flash_cnt[3614][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3614][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3614][3]~78377\,
	combout => \led_flash_cnt[3614][4]~78378_combout\,
	cout => \led_flash_cnt[3614][4]~78379\);

-- Location: FF_X37_Y15_N11
\led_flash_cnt[3614][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3614][4]~78378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3614][4]~q\);

-- Location: LCCOMB_X37_Y15_N12
\led_flash_cnt[3614][5]~78380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3614][5]~78380_combout\ = (\led_flash_cnt[3614][5]~q\ & (\led_flash_cnt[3614][4]~78379\ $ (GND))) # (!\led_flash_cnt[3614][5]~q\ & (!\led_flash_cnt[3614][4]~78379\ & VCC))
-- \led_flash_cnt[3614][5]~78381\ = CARRY((\led_flash_cnt[3614][5]~q\ & !\led_flash_cnt[3614][4]~78379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3614][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3614][4]~78379\,
	combout => \led_flash_cnt[3614][5]~78380_combout\,
	cout => \led_flash_cnt[3614][5]~78381\);

-- Location: FF_X37_Y15_N13
\led_flash_cnt[3614][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3614][5]~78380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3614][5]~q\);

-- Location: LCCOMB_X37_Y15_N14
\led_flash_cnt[3614][6]~78382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3614][6]~78382_combout\ = (\led_flash_cnt[3614][6]~q\ & (!\led_flash_cnt[3614][5]~78381\)) # (!\led_flash_cnt[3614][6]~q\ & ((\led_flash_cnt[3614][5]~78381\) # (GND)))
-- \led_flash_cnt[3614][6]~78383\ = CARRY((!\led_flash_cnt[3614][5]~78381\) # (!\led_flash_cnt[3614][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3614][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3614][5]~78381\,
	combout => \led_flash_cnt[3614][6]~78382_combout\,
	cout => \led_flash_cnt[3614][6]~78383\);

-- Location: FF_X37_Y15_N15
\led_flash_cnt[3614][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3614][6]~78382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3614][6]~q\);

-- Location: LCCOMB_X37_Y15_N0
\WideAnd3614~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3614~1_combout\ = (\led_flash_cnt[3614][6]~q\ & \led_flash_cnt[3614][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3614][6]~q\,
	datad => \led_flash_cnt[3614][5]~q\,
	combout => \WideAnd3614~1_combout\);

-- Location: LCCOMB_X36_Y15_N0
\WideAnd3614~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3614~0_combout\ = (\led_flash_cnt[3614][2]~q\ & (\led_flash_cnt[3614][4]~q\ & (\led_flash_cnt[3614][3]~q\ & \led_flash_cnt[3614][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3614][2]~q\,
	datab => \led_flash_cnt[3614][4]~q\,
	datac => \led_flash_cnt[3614][3]~q\,
	datad => \led_flash_cnt[3614][1]~q\,
	combout => \WideAnd3614~0_combout\);

-- Location: LCCOMB_X37_Y15_N16
\led_flash_cnt[3614][7]~78384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3614][7]~78384_combout\ = \led_flash_cnt[3614][6]~78383\ $ (!\led_flash_cnt[3614][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3614][7]~q\,
	cin => \led_flash_cnt[3614][6]~78383\,
	combout => \led_flash_cnt[3614][7]~78384_combout\);

-- Location: FF_X37_Y15_N17
\led_flash_cnt[3614][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3614][7]~78384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3614][7]~q\);

-- Location: LCCOMB_X37_Y15_N2
WideAnd3614 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3614~combout\ = (\led_flash_cnt[3614][0]~q\ & (\WideAnd3614~1_combout\ & (\WideAnd3614~0_combout\ & \led_flash_cnt[3614][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3614][0]~q\,
	datab => \WideAnd3614~1_combout\,
	datac => \WideAnd3614~0_combout\,
	datad => \led_flash_cnt[3614][7]~q\,
	combout => \WideAnd3614~combout\);

-- Location: FF_X37_Y15_N3
\led_flash_cnt_ands[3614]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3614~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3614));

-- Location: LCCOMB_X38_Y15_N22
WideAnd4291 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4291~combout\ = (\WideAnd4291~0_combout\ & (led_flash_cnt_ands(3615) & (\WideAnd4291~1_combout\ & led_flash_cnt_ands(3614))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4291~0_combout\,
	datab => led_flash_cnt_ands(3615),
	datac => \WideAnd4291~1_combout\,
	datad => led_flash_cnt_ands(3614),
	combout => \WideAnd4291~combout\);

-- Location: FF_X38_Y15_N23
\led_flash_cnt_ands_1[451]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4291~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(451));

-- Location: LCCOMB_X27_Y28_N2
\led_flash_cnt[3599][0]~84303\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3599][0]~84303_combout\ = !\led_flash_cnt[3599][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3599][0]~q\,
	combout => \led_flash_cnt[3599][0]~84303_combout\);

-- Location: FF_X27_Y28_N3
\led_flash_cnt[3599][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3599][0]~84303_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3599][0]~q\);

-- Location: LCCOMB_X29_Y28_N2
\led_flash_cnt[3599][1]~78162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3599][1]~78162_combout\ = (\led_flash_cnt[3599][0]~q\ & (\led_flash_cnt[3599][1]~q\ $ (VCC))) # (!\led_flash_cnt[3599][0]~q\ & (\led_flash_cnt[3599][1]~q\ & VCC))
-- \led_flash_cnt[3599][1]~78163\ = CARRY((\led_flash_cnt[3599][0]~q\ & \led_flash_cnt[3599][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3599][0]~q\,
	datab => \led_flash_cnt[3599][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3599][1]~78162_combout\,
	cout => \led_flash_cnt[3599][1]~78163\);

-- Location: FF_X29_Y28_N3
\led_flash_cnt[3599][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3599][1]~78162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3599][1]~q\);

-- Location: LCCOMB_X29_Y28_N4
\led_flash_cnt[3599][2]~78164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3599][2]~78164_combout\ = (\led_flash_cnt[3599][2]~q\ & (!\led_flash_cnt[3599][1]~78163\)) # (!\led_flash_cnt[3599][2]~q\ & ((\led_flash_cnt[3599][1]~78163\) # (GND)))
-- \led_flash_cnt[3599][2]~78165\ = CARRY((!\led_flash_cnt[3599][1]~78163\) # (!\led_flash_cnt[3599][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3599][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3599][1]~78163\,
	combout => \led_flash_cnt[3599][2]~78164_combout\,
	cout => \led_flash_cnt[3599][2]~78165\);

-- Location: FF_X29_Y28_N5
\led_flash_cnt[3599][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3599][2]~78164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3599][2]~q\);

-- Location: LCCOMB_X29_Y28_N6
\led_flash_cnt[3599][3]~78166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3599][3]~78166_combout\ = (\led_flash_cnt[3599][3]~q\ & (\led_flash_cnt[3599][2]~78165\ $ (GND))) # (!\led_flash_cnt[3599][3]~q\ & (!\led_flash_cnt[3599][2]~78165\ & VCC))
-- \led_flash_cnt[3599][3]~78167\ = CARRY((\led_flash_cnt[3599][3]~q\ & !\led_flash_cnt[3599][2]~78165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3599][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3599][2]~78165\,
	combout => \led_flash_cnt[3599][3]~78166_combout\,
	cout => \led_flash_cnt[3599][3]~78167\);

-- Location: FF_X29_Y28_N7
\led_flash_cnt[3599][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3599][3]~78166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3599][3]~q\);

-- Location: LCCOMB_X29_Y28_N8
\led_flash_cnt[3599][4]~78168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3599][4]~78168_combout\ = (\led_flash_cnt[3599][4]~q\ & (!\led_flash_cnt[3599][3]~78167\)) # (!\led_flash_cnt[3599][4]~q\ & ((\led_flash_cnt[3599][3]~78167\) # (GND)))
-- \led_flash_cnt[3599][4]~78169\ = CARRY((!\led_flash_cnt[3599][3]~78167\) # (!\led_flash_cnt[3599][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3599][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3599][3]~78167\,
	combout => \led_flash_cnt[3599][4]~78168_combout\,
	cout => \led_flash_cnt[3599][4]~78169\);

-- Location: FF_X29_Y28_N9
\led_flash_cnt[3599][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3599][4]~78168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3599][4]~q\);

-- Location: LCCOMB_X29_Y28_N30
\WideAnd3599~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3599~0_combout\ = (\led_flash_cnt[3599][3]~q\ & (\led_flash_cnt[3599][2]~q\ & (\led_flash_cnt[3599][4]~q\ & \led_flash_cnt[3599][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3599][3]~q\,
	datab => \led_flash_cnt[3599][2]~q\,
	datac => \led_flash_cnt[3599][4]~q\,
	datad => \led_flash_cnt[3599][1]~q\,
	combout => \WideAnd3599~0_combout\);

-- Location: LCCOMB_X29_Y28_N10
\led_flash_cnt[3599][5]~78170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3599][5]~78170_combout\ = (\led_flash_cnt[3599][5]~q\ & (\led_flash_cnt[3599][4]~78169\ $ (GND))) # (!\led_flash_cnt[3599][5]~q\ & (!\led_flash_cnt[3599][4]~78169\ & VCC))
-- \led_flash_cnt[3599][5]~78171\ = CARRY((\led_flash_cnt[3599][5]~q\ & !\led_flash_cnt[3599][4]~78169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3599][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3599][4]~78169\,
	combout => \led_flash_cnt[3599][5]~78170_combout\,
	cout => \led_flash_cnt[3599][5]~78171\);

-- Location: FF_X29_Y28_N11
\led_flash_cnt[3599][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3599][5]~78170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3599][5]~q\);

-- Location: LCCOMB_X29_Y28_N12
\led_flash_cnt[3599][6]~78172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3599][6]~78172_combout\ = (\led_flash_cnt[3599][6]~q\ & (!\led_flash_cnt[3599][5]~78171\)) # (!\led_flash_cnt[3599][6]~q\ & ((\led_flash_cnt[3599][5]~78171\) # (GND)))
-- \led_flash_cnt[3599][6]~78173\ = CARRY((!\led_flash_cnt[3599][5]~78171\) # (!\led_flash_cnt[3599][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3599][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3599][5]~78171\,
	combout => \led_flash_cnt[3599][6]~78172_combout\,
	cout => \led_flash_cnt[3599][6]~78173\);

-- Location: FF_X29_Y28_N13
\led_flash_cnt[3599][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3599][6]~78172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3599][6]~q\);

-- Location: LCCOMB_X29_Y28_N14
\led_flash_cnt[3599][7]~78174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3599][7]~78174_combout\ = \led_flash_cnt[3599][7]~q\ $ (!\led_flash_cnt[3599][6]~78173\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3599][7]~q\,
	cin => \led_flash_cnt[3599][6]~78173\,
	combout => \led_flash_cnt[3599][7]~78174_combout\);

-- Location: FF_X29_Y28_N15
\led_flash_cnt[3599][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3599][7]~78174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3599][7]~q\);

-- Location: LCCOMB_X27_Y28_N28
\WideAnd3599~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3599~1_combout\ = (\led_flash_cnt[3599][5]~q\ & \led_flash_cnt[3599][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3599][5]~q\,
	datad => \led_flash_cnt[3599][6]~q\,
	combout => \WideAnd3599~1_combout\);

-- Location: LCCOMB_X27_Y28_N26
WideAnd3599 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3599~combout\ = (\WideAnd3599~0_combout\ & (\led_flash_cnt[3599][0]~q\ & (\led_flash_cnt[3599][7]~q\ & \WideAnd3599~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3599~0_combout\,
	datab => \led_flash_cnt[3599][0]~q\,
	datac => \led_flash_cnt[3599][7]~q\,
	datad => \WideAnd3599~1_combout\,
	combout => \WideAnd3599~combout\);

-- Location: FF_X27_Y28_N27
\led_flash_cnt_ands[3599]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3599~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3599));

-- Location: LCCOMB_X25_Y10_N22
\led_flash_cnt[3595][0]~84299\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3595][0]~84299_combout\ = !\led_flash_cnt[3595][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3595][0]~q\,
	combout => \led_flash_cnt[3595][0]~84299_combout\);

-- Location: FF_X25_Y10_N23
\led_flash_cnt[3595][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3595][0]~84299_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3595][0]~q\);

-- Location: LCCOMB_X23_Y10_N18
\led_flash_cnt[3595][1]~78106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3595][1]~78106_combout\ = (\led_flash_cnt[3595][0]~q\ & (\led_flash_cnt[3595][1]~q\ $ (VCC))) # (!\led_flash_cnt[3595][0]~q\ & (\led_flash_cnt[3595][1]~q\ & VCC))
-- \led_flash_cnt[3595][1]~78107\ = CARRY((\led_flash_cnt[3595][0]~q\ & \led_flash_cnt[3595][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3595][0]~q\,
	datab => \led_flash_cnt[3595][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3595][1]~78106_combout\,
	cout => \led_flash_cnt[3595][1]~78107\);

-- Location: FF_X23_Y10_N19
\led_flash_cnt[3595][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3595][1]~78106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3595][1]~q\);

-- Location: LCCOMB_X23_Y10_N20
\led_flash_cnt[3595][2]~78108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3595][2]~78108_combout\ = (\led_flash_cnt[3595][2]~q\ & (!\led_flash_cnt[3595][1]~78107\)) # (!\led_flash_cnt[3595][2]~q\ & ((\led_flash_cnt[3595][1]~78107\) # (GND)))
-- \led_flash_cnt[3595][2]~78109\ = CARRY((!\led_flash_cnt[3595][1]~78107\) # (!\led_flash_cnt[3595][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3595][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3595][1]~78107\,
	combout => \led_flash_cnt[3595][2]~78108_combout\,
	cout => \led_flash_cnt[3595][2]~78109\);

-- Location: FF_X23_Y10_N21
\led_flash_cnt[3595][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3595][2]~78108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3595][2]~q\);

-- Location: LCCOMB_X23_Y10_N22
\led_flash_cnt[3595][3]~78110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3595][3]~78110_combout\ = (\led_flash_cnt[3595][3]~q\ & (\led_flash_cnt[3595][2]~78109\ $ (GND))) # (!\led_flash_cnt[3595][3]~q\ & (!\led_flash_cnt[3595][2]~78109\ & VCC))
-- \led_flash_cnt[3595][3]~78111\ = CARRY((\led_flash_cnt[3595][3]~q\ & !\led_flash_cnt[3595][2]~78109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3595][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3595][2]~78109\,
	combout => \led_flash_cnt[3595][3]~78110_combout\,
	cout => \led_flash_cnt[3595][3]~78111\);

-- Location: FF_X23_Y10_N23
\led_flash_cnt[3595][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3595][3]~78110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3595][3]~q\);

-- Location: LCCOMB_X23_Y10_N24
\led_flash_cnt[3595][4]~78112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3595][4]~78112_combout\ = (\led_flash_cnt[3595][4]~q\ & (!\led_flash_cnt[3595][3]~78111\)) # (!\led_flash_cnt[3595][4]~q\ & ((\led_flash_cnt[3595][3]~78111\) # (GND)))
-- \led_flash_cnt[3595][4]~78113\ = CARRY((!\led_flash_cnt[3595][3]~78111\) # (!\led_flash_cnt[3595][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3595][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3595][3]~78111\,
	combout => \led_flash_cnt[3595][4]~78112_combout\,
	cout => \led_flash_cnt[3595][4]~78113\);

-- Location: FF_X23_Y10_N25
\led_flash_cnt[3595][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3595][4]~78112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3595][4]~q\);

-- Location: LCCOMB_X23_Y10_N2
\WideAnd3595~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3595~0_combout\ = (\led_flash_cnt[3595][2]~q\ & (\led_flash_cnt[3595][4]~q\ & (\led_flash_cnt[3595][3]~q\ & \led_flash_cnt[3595][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3595][2]~q\,
	datab => \led_flash_cnt[3595][4]~q\,
	datac => \led_flash_cnt[3595][3]~q\,
	datad => \led_flash_cnt[3595][1]~q\,
	combout => \WideAnd3595~0_combout\);

-- Location: LCCOMB_X23_Y10_N26
\led_flash_cnt[3595][5]~78114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3595][5]~78114_combout\ = (\led_flash_cnt[3595][5]~q\ & (\led_flash_cnt[3595][4]~78113\ $ (GND))) # (!\led_flash_cnt[3595][5]~q\ & (!\led_flash_cnt[3595][4]~78113\ & VCC))
-- \led_flash_cnt[3595][5]~78115\ = CARRY((\led_flash_cnt[3595][5]~q\ & !\led_flash_cnt[3595][4]~78113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3595][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3595][4]~78113\,
	combout => \led_flash_cnt[3595][5]~78114_combout\,
	cout => \led_flash_cnt[3595][5]~78115\);

-- Location: FF_X23_Y10_N27
\led_flash_cnt[3595][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3595][5]~78114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3595][5]~q\);

-- Location: LCCOMB_X23_Y10_N28
\led_flash_cnt[3595][6]~78116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3595][6]~78116_combout\ = (\led_flash_cnt[3595][6]~q\ & (!\led_flash_cnt[3595][5]~78115\)) # (!\led_flash_cnt[3595][6]~q\ & ((\led_flash_cnt[3595][5]~78115\) # (GND)))
-- \led_flash_cnt[3595][6]~78117\ = CARRY((!\led_flash_cnt[3595][5]~78115\) # (!\led_flash_cnt[3595][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3595][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3595][5]~78115\,
	combout => \led_flash_cnt[3595][6]~78116_combout\,
	cout => \led_flash_cnt[3595][6]~78117\);

-- Location: FF_X23_Y10_N29
\led_flash_cnt[3595][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3595][6]~78116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3595][6]~q\);

-- Location: LCCOMB_X23_Y10_N30
\led_flash_cnt[3595][7]~78118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3595][7]~78118_combout\ = \led_flash_cnt[3595][7]~q\ $ (!\led_flash_cnt[3595][6]~78117\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3595][7]~q\,
	cin => \led_flash_cnt[3595][6]~78117\,
	combout => \led_flash_cnt[3595][7]~78118_combout\);

-- Location: FF_X23_Y10_N31
\led_flash_cnt[3595][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3595][7]~78118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3595][7]~q\);

-- Location: LCCOMB_X24_Y10_N0
\WideAnd3595~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3595~1_combout\ = (\led_flash_cnt[3595][5]~q\ & \led_flash_cnt[3595][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3595][5]~q\,
	datad => \led_flash_cnt[3595][6]~q\,
	combout => \WideAnd3595~1_combout\);

-- Location: LCCOMB_X24_Y10_N22
WideAnd3595 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3595~combout\ = (\WideAnd3595~0_combout\ & (\led_flash_cnt[3595][7]~q\ & (\led_flash_cnt[3595][0]~q\ & \WideAnd3595~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3595~0_combout\,
	datab => \led_flash_cnt[3595][7]~q\,
	datac => \led_flash_cnt[3595][0]~q\,
	datad => \WideAnd3595~1_combout\,
	combout => \WideAnd3595~combout\);

-- Location: FF_X24_Y10_N23
\led_flash_cnt_ands[3595]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3595~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3595));

-- Location: LCCOMB_X25_Y26_N26
\led_flash_cnt[3593][0]~84297\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3593][0]~84297_combout\ = !\led_flash_cnt[3593][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3593][0]~q\,
	combout => \led_flash_cnt[3593][0]~84297_combout\);

-- Location: FF_X25_Y26_N27
\led_flash_cnt[3593][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3593][0]~84297_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3593][0]~q\);

-- Location: LCCOMB_X25_Y26_N8
\led_flash_cnt[3593][1]~78078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3593][1]~78078_combout\ = (\led_flash_cnt[3593][0]~q\ & (\led_flash_cnt[3593][1]~q\ $ (VCC))) # (!\led_flash_cnt[3593][0]~q\ & (\led_flash_cnt[3593][1]~q\ & VCC))
-- \led_flash_cnt[3593][1]~78079\ = CARRY((\led_flash_cnt[3593][0]~q\ & \led_flash_cnt[3593][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3593][0]~q\,
	datab => \led_flash_cnt[3593][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3593][1]~78078_combout\,
	cout => \led_flash_cnt[3593][1]~78079\);

-- Location: FF_X25_Y26_N9
\led_flash_cnt[3593][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3593][1]~78078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3593][1]~q\);

-- Location: LCCOMB_X25_Y26_N10
\led_flash_cnt[3593][2]~78080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3593][2]~78080_combout\ = (\led_flash_cnt[3593][2]~q\ & (!\led_flash_cnt[3593][1]~78079\)) # (!\led_flash_cnt[3593][2]~q\ & ((\led_flash_cnt[3593][1]~78079\) # (GND)))
-- \led_flash_cnt[3593][2]~78081\ = CARRY((!\led_flash_cnt[3593][1]~78079\) # (!\led_flash_cnt[3593][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3593][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3593][1]~78079\,
	combout => \led_flash_cnt[3593][2]~78080_combout\,
	cout => \led_flash_cnt[3593][2]~78081\);

-- Location: FF_X25_Y26_N11
\led_flash_cnt[3593][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3593][2]~78080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3593][2]~q\);

-- Location: LCCOMB_X25_Y26_N12
\led_flash_cnt[3593][3]~78082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3593][3]~78082_combout\ = (\led_flash_cnt[3593][3]~q\ & (\led_flash_cnt[3593][2]~78081\ $ (GND))) # (!\led_flash_cnt[3593][3]~q\ & (!\led_flash_cnt[3593][2]~78081\ & VCC))
-- \led_flash_cnt[3593][3]~78083\ = CARRY((\led_flash_cnt[3593][3]~q\ & !\led_flash_cnt[3593][2]~78081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3593][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3593][2]~78081\,
	combout => \led_flash_cnt[3593][3]~78082_combout\,
	cout => \led_flash_cnt[3593][3]~78083\);

-- Location: FF_X25_Y26_N13
\led_flash_cnt[3593][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3593][3]~78082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3593][3]~q\);

-- Location: LCCOMB_X25_Y26_N14
\led_flash_cnt[3593][4]~78084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3593][4]~78084_combout\ = (\led_flash_cnt[3593][4]~q\ & (!\led_flash_cnt[3593][3]~78083\)) # (!\led_flash_cnt[3593][4]~q\ & ((\led_flash_cnt[3593][3]~78083\) # (GND)))
-- \led_flash_cnt[3593][4]~78085\ = CARRY((!\led_flash_cnt[3593][3]~78083\) # (!\led_flash_cnt[3593][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3593][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3593][3]~78083\,
	combout => \led_flash_cnt[3593][4]~78084_combout\,
	cout => \led_flash_cnt[3593][4]~78085\);

-- Location: FF_X25_Y26_N15
\led_flash_cnt[3593][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3593][4]~78084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3593][4]~q\);

-- Location: LCCOMB_X25_Y26_N16
\led_flash_cnt[3593][5]~78086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3593][5]~78086_combout\ = (\led_flash_cnt[3593][5]~q\ & (\led_flash_cnt[3593][4]~78085\ $ (GND))) # (!\led_flash_cnt[3593][5]~q\ & (!\led_flash_cnt[3593][4]~78085\ & VCC))
-- \led_flash_cnt[3593][5]~78087\ = CARRY((\led_flash_cnt[3593][5]~q\ & !\led_flash_cnt[3593][4]~78085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3593][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3593][4]~78085\,
	combout => \led_flash_cnt[3593][5]~78086_combout\,
	cout => \led_flash_cnt[3593][5]~78087\);

-- Location: FF_X25_Y26_N17
\led_flash_cnt[3593][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3593][5]~78086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3593][5]~q\);

-- Location: LCCOMB_X25_Y26_N18
\led_flash_cnt[3593][6]~78088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3593][6]~78088_combout\ = (\led_flash_cnt[3593][6]~q\ & (!\led_flash_cnt[3593][5]~78087\)) # (!\led_flash_cnt[3593][6]~q\ & ((\led_flash_cnt[3593][5]~78087\) # (GND)))
-- \led_flash_cnt[3593][6]~78089\ = CARRY((!\led_flash_cnt[3593][5]~78087\) # (!\led_flash_cnt[3593][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3593][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3593][5]~78087\,
	combout => \led_flash_cnt[3593][6]~78088_combout\,
	cout => \led_flash_cnt[3593][6]~78089\);

-- Location: FF_X25_Y26_N19
\led_flash_cnt[3593][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3593][6]~78088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3593][6]~q\);

-- Location: LCCOMB_X25_Y26_N4
\WideAnd3593~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3593~1_combout\ = (\led_flash_cnt[3593][6]~q\ & \led_flash_cnt[3593][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3593][6]~q\,
	datad => \led_flash_cnt[3593][5]~q\,
	combout => \WideAnd3593~1_combout\);

-- Location: LCCOMB_X25_Y26_N30
\WideAnd3593~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3593~0_combout\ = (\led_flash_cnt[3593][2]~q\ & (\led_flash_cnt[3593][1]~q\ & (\led_flash_cnt[3593][4]~q\ & \led_flash_cnt[3593][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3593][2]~q\,
	datab => \led_flash_cnt[3593][1]~q\,
	datac => \led_flash_cnt[3593][4]~q\,
	datad => \led_flash_cnt[3593][3]~q\,
	combout => \WideAnd3593~0_combout\);

-- Location: LCCOMB_X25_Y26_N20
\led_flash_cnt[3593][7]~78090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3593][7]~78090_combout\ = \led_flash_cnt[3593][6]~78089\ $ (!\led_flash_cnt[3593][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3593][7]~q\,
	cin => \led_flash_cnt[3593][6]~78089\,
	combout => \led_flash_cnt[3593][7]~78090_combout\);

-- Location: FF_X25_Y26_N21
\led_flash_cnt[3593][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3593][7]~78090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3593][7]~q\);

-- Location: LCCOMB_X25_Y26_N24
WideAnd3593 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3593~combout\ = (\led_flash_cnt[3593][0]~q\ & (\WideAnd3593~1_combout\ & (\WideAnd3593~0_combout\ & \led_flash_cnt[3593][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3593][0]~q\,
	datab => \WideAnd3593~1_combout\,
	datac => \WideAnd3593~0_combout\,
	datad => \led_flash_cnt[3593][7]~q\,
	combout => \WideAnd3593~combout\);

-- Location: FF_X25_Y26_N25
\led_flash_cnt_ands[3593]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3593~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3593));

-- Location: LCCOMB_X36_Y6_N2
\led_flash_cnt[3594][0]~84298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3594][0]~84298_combout\ = !\led_flash_cnt[3594][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3594][0]~q\,
	combout => \led_flash_cnt[3594][0]~84298_combout\);

-- Location: FF_X36_Y6_N3
\led_flash_cnt[3594][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3594][0]~84298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3594][0]~q\);

-- Location: LCCOMB_X35_Y6_N18
\led_flash_cnt[3594][1]~78092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3594][1]~78092_combout\ = (\led_flash_cnt[3594][0]~q\ & (\led_flash_cnt[3594][1]~q\ $ (VCC))) # (!\led_flash_cnt[3594][0]~q\ & (\led_flash_cnt[3594][1]~q\ & VCC))
-- \led_flash_cnt[3594][1]~78093\ = CARRY((\led_flash_cnt[3594][0]~q\ & \led_flash_cnt[3594][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3594][0]~q\,
	datab => \led_flash_cnt[3594][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3594][1]~78092_combout\,
	cout => \led_flash_cnt[3594][1]~78093\);

-- Location: FF_X35_Y6_N19
\led_flash_cnt[3594][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3594][1]~78092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3594][1]~q\);

-- Location: LCCOMB_X35_Y6_N20
\led_flash_cnt[3594][2]~78094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3594][2]~78094_combout\ = (\led_flash_cnt[3594][2]~q\ & (!\led_flash_cnt[3594][1]~78093\)) # (!\led_flash_cnt[3594][2]~q\ & ((\led_flash_cnt[3594][1]~78093\) # (GND)))
-- \led_flash_cnt[3594][2]~78095\ = CARRY((!\led_flash_cnt[3594][1]~78093\) # (!\led_flash_cnt[3594][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3594][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3594][1]~78093\,
	combout => \led_flash_cnt[3594][2]~78094_combout\,
	cout => \led_flash_cnt[3594][2]~78095\);

-- Location: FF_X35_Y6_N21
\led_flash_cnt[3594][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3594][2]~78094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3594][2]~q\);

-- Location: LCCOMB_X35_Y6_N22
\led_flash_cnt[3594][3]~78096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3594][3]~78096_combout\ = (\led_flash_cnt[3594][3]~q\ & (\led_flash_cnt[3594][2]~78095\ $ (GND))) # (!\led_flash_cnt[3594][3]~q\ & (!\led_flash_cnt[3594][2]~78095\ & VCC))
-- \led_flash_cnt[3594][3]~78097\ = CARRY((\led_flash_cnt[3594][3]~q\ & !\led_flash_cnt[3594][2]~78095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3594][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3594][2]~78095\,
	combout => \led_flash_cnt[3594][3]~78096_combout\,
	cout => \led_flash_cnt[3594][3]~78097\);

-- Location: FF_X35_Y6_N23
\led_flash_cnt[3594][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3594][3]~78096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3594][3]~q\);

-- Location: LCCOMB_X35_Y6_N24
\led_flash_cnt[3594][4]~78098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3594][4]~78098_combout\ = (\led_flash_cnt[3594][4]~q\ & (!\led_flash_cnt[3594][3]~78097\)) # (!\led_flash_cnt[3594][4]~q\ & ((\led_flash_cnt[3594][3]~78097\) # (GND)))
-- \led_flash_cnt[3594][4]~78099\ = CARRY((!\led_flash_cnt[3594][3]~78097\) # (!\led_flash_cnt[3594][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3594][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3594][3]~78097\,
	combout => \led_flash_cnt[3594][4]~78098_combout\,
	cout => \led_flash_cnt[3594][4]~78099\);

-- Location: FF_X35_Y6_N25
\led_flash_cnt[3594][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3594][4]~78098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3594][4]~q\);

-- Location: LCCOMB_X35_Y6_N26
\led_flash_cnt[3594][5]~78100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3594][5]~78100_combout\ = (\led_flash_cnt[3594][5]~q\ & (\led_flash_cnt[3594][4]~78099\ $ (GND))) # (!\led_flash_cnt[3594][5]~q\ & (!\led_flash_cnt[3594][4]~78099\ & VCC))
-- \led_flash_cnt[3594][5]~78101\ = CARRY((\led_flash_cnt[3594][5]~q\ & !\led_flash_cnt[3594][4]~78099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3594][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3594][4]~78099\,
	combout => \led_flash_cnt[3594][5]~78100_combout\,
	cout => \led_flash_cnt[3594][5]~78101\);

-- Location: FF_X35_Y6_N27
\led_flash_cnt[3594][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3594][5]~78100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3594][5]~q\);

-- Location: LCCOMB_X35_Y6_N28
\led_flash_cnt[3594][6]~78102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3594][6]~78102_combout\ = (\led_flash_cnt[3594][6]~q\ & (!\led_flash_cnt[3594][5]~78101\)) # (!\led_flash_cnt[3594][6]~q\ & ((\led_flash_cnt[3594][5]~78101\) # (GND)))
-- \led_flash_cnt[3594][6]~78103\ = CARRY((!\led_flash_cnt[3594][5]~78101\) # (!\led_flash_cnt[3594][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3594][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3594][5]~78101\,
	combout => \led_flash_cnt[3594][6]~78102_combout\,
	cout => \led_flash_cnt[3594][6]~78103\);

-- Location: FF_X35_Y6_N29
\led_flash_cnt[3594][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3594][6]~78102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3594][6]~q\);

-- Location: LCCOMB_X36_Y6_N8
\WideAnd3594~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3594~1_combout\ = (\led_flash_cnt[3594][5]~q\ & \led_flash_cnt[3594][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3594][5]~q\,
	datad => \led_flash_cnt[3594][6]~q\,
	combout => \WideAnd3594~1_combout\);

-- Location: LCCOMB_X36_Y6_N14
\WideAnd3594~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3594~0_combout\ = (\led_flash_cnt[3594][2]~q\ & (\led_flash_cnt[3594][1]~q\ & (\led_flash_cnt[3594][4]~q\ & \led_flash_cnt[3594][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3594][2]~q\,
	datab => \led_flash_cnt[3594][1]~q\,
	datac => \led_flash_cnt[3594][4]~q\,
	datad => \led_flash_cnt[3594][3]~q\,
	combout => \WideAnd3594~0_combout\);

-- Location: LCCOMB_X35_Y6_N30
\led_flash_cnt[3594][7]~78104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3594][7]~78104_combout\ = \led_flash_cnt[3594][7]~q\ $ (!\led_flash_cnt[3594][6]~78103\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3594][7]~q\,
	cin => \led_flash_cnt[3594][6]~78103\,
	combout => \led_flash_cnt[3594][7]~78104_combout\);

-- Location: FF_X35_Y6_N31
\led_flash_cnt[3594][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3594][7]~78104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3594][7]~q\);

-- Location: LCCOMB_X36_Y6_N10
WideAnd3594 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3594~combout\ = (\led_flash_cnt[3594][0]~q\ & (\WideAnd3594~1_combout\ & (\WideAnd3594~0_combout\ & \led_flash_cnt[3594][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3594][0]~q\,
	datab => \WideAnd3594~1_combout\,
	datac => \WideAnd3594~0_combout\,
	datad => \led_flash_cnt[3594][7]~q\,
	combout => \WideAnd3594~combout\);

-- Location: FF_X36_Y6_N11
\led_flash_cnt_ands[3594]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3594~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3594));

-- Location: LCCOMB_X25_Y26_N2
\led_flash_cnt[3592][0]~84296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3592][0]~84296_combout\ = !\led_flash_cnt[3592][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3592][0]~q\,
	combout => \led_flash_cnt[3592][0]~84296_combout\);

-- Location: FF_X25_Y26_N3
\led_flash_cnt[3592][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3592][0]~84296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3592][0]~q\);

-- Location: LCCOMB_X24_Y26_N4
\led_flash_cnt[3592][1]~78064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3592][1]~78064_combout\ = (\led_flash_cnt[3592][0]~q\ & (\led_flash_cnt[3592][1]~q\ $ (VCC))) # (!\led_flash_cnt[3592][0]~q\ & (\led_flash_cnt[3592][1]~q\ & VCC))
-- \led_flash_cnt[3592][1]~78065\ = CARRY((\led_flash_cnt[3592][0]~q\ & \led_flash_cnt[3592][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3592][0]~q\,
	datab => \led_flash_cnt[3592][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3592][1]~78064_combout\,
	cout => \led_flash_cnt[3592][1]~78065\);

-- Location: FF_X24_Y26_N5
\led_flash_cnt[3592][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3592][1]~78064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3592][1]~q\);

-- Location: LCCOMB_X24_Y26_N6
\led_flash_cnt[3592][2]~78066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3592][2]~78066_combout\ = (\led_flash_cnt[3592][2]~q\ & (!\led_flash_cnt[3592][1]~78065\)) # (!\led_flash_cnt[3592][2]~q\ & ((\led_flash_cnt[3592][1]~78065\) # (GND)))
-- \led_flash_cnt[3592][2]~78067\ = CARRY((!\led_flash_cnt[3592][1]~78065\) # (!\led_flash_cnt[3592][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3592][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3592][1]~78065\,
	combout => \led_flash_cnt[3592][2]~78066_combout\,
	cout => \led_flash_cnt[3592][2]~78067\);

-- Location: FF_X24_Y26_N7
\led_flash_cnt[3592][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3592][2]~78066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3592][2]~q\);

-- Location: LCCOMB_X24_Y26_N8
\led_flash_cnt[3592][3]~78068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3592][3]~78068_combout\ = (\led_flash_cnt[3592][3]~q\ & (\led_flash_cnt[3592][2]~78067\ $ (GND))) # (!\led_flash_cnt[3592][3]~q\ & (!\led_flash_cnt[3592][2]~78067\ & VCC))
-- \led_flash_cnt[3592][3]~78069\ = CARRY((\led_flash_cnt[3592][3]~q\ & !\led_flash_cnt[3592][2]~78067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3592][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3592][2]~78067\,
	combout => \led_flash_cnt[3592][3]~78068_combout\,
	cout => \led_flash_cnt[3592][3]~78069\);

-- Location: FF_X24_Y26_N9
\led_flash_cnt[3592][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3592][3]~78068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3592][3]~q\);

-- Location: LCCOMB_X24_Y26_N10
\led_flash_cnt[3592][4]~78070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3592][4]~78070_combout\ = (\led_flash_cnt[3592][4]~q\ & (!\led_flash_cnt[3592][3]~78069\)) # (!\led_flash_cnt[3592][4]~q\ & ((\led_flash_cnt[3592][3]~78069\) # (GND)))
-- \led_flash_cnt[3592][4]~78071\ = CARRY((!\led_flash_cnt[3592][3]~78069\) # (!\led_flash_cnt[3592][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3592][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3592][3]~78069\,
	combout => \led_flash_cnt[3592][4]~78070_combout\,
	cout => \led_flash_cnt[3592][4]~78071\);

-- Location: FF_X24_Y26_N11
\led_flash_cnt[3592][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3592][4]~78070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3592][4]~q\);

-- Location: LCCOMB_X24_Y26_N2
\WideAnd3592~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3592~0_combout\ = (\led_flash_cnt[3592][4]~q\ & (\led_flash_cnt[3592][3]~q\ & (\led_flash_cnt[3592][1]~q\ & \led_flash_cnt[3592][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3592][4]~q\,
	datab => \led_flash_cnt[3592][3]~q\,
	datac => \led_flash_cnt[3592][1]~q\,
	datad => \led_flash_cnt[3592][2]~q\,
	combout => \WideAnd3592~0_combout\);

-- Location: LCCOMB_X24_Y26_N12
\led_flash_cnt[3592][5]~78072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3592][5]~78072_combout\ = (\led_flash_cnt[3592][5]~q\ & (\led_flash_cnt[3592][4]~78071\ $ (GND))) # (!\led_flash_cnt[3592][5]~q\ & (!\led_flash_cnt[3592][4]~78071\ & VCC))
-- \led_flash_cnt[3592][5]~78073\ = CARRY((\led_flash_cnt[3592][5]~q\ & !\led_flash_cnt[3592][4]~78071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3592][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3592][4]~78071\,
	combout => \led_flash_cnt[3592][5]~78072_combout\,
	cout => \led_flash_cnt[3592][5]~78073\);

-- Location: FF_X24_Y26_N13
\led_flash_cnt[3592][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3592][5]~78072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3592][5]~q\);

-- Location: LCCOMB_X24_Y26_N14
\led_flash_cnt[3592][6]~78074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3592][6]~78074_combout\ = (\led_flash_cnt[3592][6]~q\ & (!\led_flash_cnt[3592][5]~78073\)) # (!\led_flash_cnt[3592][6]~q\ & ((\led_flash_cnt[3592][5]~78073\) # (GND)))
-- \led_flash_cnt[3592][6]~78075\ = CARRY((!\led_flash_cnt[3592][5]~78073\) # (!\led_flash_cnt[3592][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3592][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3592][5]~78073\,
	combout => \led_flash_cnt[3592][6]~78074_combout\,
	cout => \led_flash_cnt[3592][6]~78075\);

-- Location: FF_X24_Y26_N15
\led_flash_cnt[3592][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3592][6]~78074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3592][6]~q\);

-- Location: LCCOMB_X25_Y26_N28
\WideAnd3592~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3592~1_combout\ = (\led_flash_cnt[3592][6]~q\ & \led_flash_cnt[3592][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3592][6]~q\,
	datad => \led_flash_cnt[3592][5]~q\,
	combout => \WideAnd3592~1_combout\);

-- Location: LCCOMB_X24_Y26_N16
\led_flash_cnt[3592][7]~78076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3592][7]~78076_combout\ = \led_flash_cnt[3592][6]~78075\ $ (!\led_flash_cnt[3592][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3592][7]~q\,
	cin => \led_flash_cnt[3592][6]~78075\,
	combout => \led_flash_cnt[3592][7]~78076_combout\);

-- Location: FF_X24_Y26_N17
\led_flash_cnt[3592][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3592][7]~78076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3592][7]~q\);

-- Location: LCCOMB_X25_Y26_N0
WideAnd3592 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3592~combout\ = (\WideAnd3592~0_combout\ & (\WideAnd3592~1_combout\ & (\led_flash_cnt[3592][7]~q\ & \led_flash_cnt[3592][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3592~0_combout\,
	datab => \WideAnd3592~1_combout\,
	datac => \led_flash_cnt[3592][7]~q\,
	datad => \led_flash_cnt[3592][0]~q\,
	combout => \WideAnd3592~combout\);

-- Location: FF_X25_Y26_N1
\led_flash_cnt_ands[3592]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3592~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3592));

-- Location: LCCOMB_X25_Y26_N22
\WideAnd4289~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4289~0_combout\ = (led_flash_cnt_ands(3595) & (led_flash_cnt_ands(3593) & (led_flash_cnt_ands(3594) & led_flash_cnt_ands(3592))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3595),
	datab => led_flash_cnt_ands(3593),
	datac => led_flash_cnt_ands(3594),
	datad => led_flash_cnt_ands(3592),
	combout => \WideAnd4289~0_combout\);

-- Location: LCCOMB_X24_Y10_N28
\led_flash_cnt[3597][0]~84301\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3597][0]~84301_combout\ = !\led_flash_cnt[3597][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3597][0]~q\,
	combout => \led_flash_cnt[3597][0]~84301_combout\);

-- Location: FF_X24_Y10_N29
\led_flash_cnt[3597][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3597][0]~84301_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3597][0]~q\);

-- Location: LCCOMB_X24_Y10_N8
\led_flash_cnt[3597][1]~78134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3597][1]~78134_combout\ = (\led_flash_cnt[3597][1]~q\ & (\led_flash_cnt[3597][0]~q\ $ (VCC))) # (!\led_flash_cnt[3597][1]~q\ & (\led_flash_cnt[3597][0]~q\ & VCC))
-- \led_flash_cnt[3597][1]~78135\ = CARRY((\led_flash_cnt[3597][1]~q\ & \led_flash_cnt[3597][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3597][1]~q\,
	datab => \led_flash_cnt[3597][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3597][1]~78134_combout\,
	cout => \led_flash_cnt[3597][1]~78135\);

-- Location: FF_X24_Y10_N9
\led_flash_cnt[3597][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3597][1]~78134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3597][1]~q\);

-- Location: LCCOMB_X24_Y10_N10
\led_flash_cnt[3597][2]~78136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3597][2]~78136_combout\ = (\led_flash_cnt[3597][2]~q\ & (!\led_flash_cnt[3597][1]~78135\)) # (!\led_flash_cnt[3597][2]~q\ & ((\led_flash_cnt[3597][1]~78135\) # (GND)))
-- \led_flash_cnt[3597][2]~78137\ = CARRY((!\led_flash_cnt[3597][1]~78135\) # (!\led_flash_cnt[3597][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3597][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3597][1]~78135\,
	combout => \led_flash_cnt[3597][2]~78136_combout\,
	cout => \led_flash_cnt[3597][2]~78137\);

-- Location: FF_X24_Y10_N11
\led_flash_cnt[3597][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3597][2]~78136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3597][2]~q\);

-- Location: LCCOMB_X24_Y10_N12
\led_flash_cnt[3597][3]~78138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3597][3]~78138_combout\ = (\led_flash_cnt[3597][3]~q\ & (\led_flash_cnt[3597][2]~78137\ $ (GND))) # (!\led_flash_cnt[3597][3]~q\ & (!\led_flash_cnt[3597][2]~78137\ & VCC))
-- \led_flash_cnt[3597][3]~78139\ = CARRY((\led_flash_cnt[3597][3]~q\ & !\led_flash_cnt[3597][2]~78137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3597][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3597][2]~78137\,
	combout => \led_flash_cnt[3597][3]~78138_combout\,
	cout => \led_flash_cnt[3597][3]~78139\);

-- Location: FF_X24_Y10_N13
\led_flash_cnt[3597][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3597][3]~78138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3597][3]~q\);

-- Location: LCCOMB_X24_Y10_N14
\led_flash_cnt[3597][4]~78140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3597][4]~78140_combout\ = (\led_flash_cnt[3597][4]~q\ & (!\led_flash_cnt[3597][3]~78139\)) # (!\led_flash_cnt[3597][4]~q\ & ((\led_flash_cnt[3597][3]~78139\) # (GND)))
-- \led_flash_cnt[3597][4]~78141\ = CARRY((!\led_flash_cnt[3597][3]~78139\) # (!\led_flash_cnt[3597][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3597][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3597][3]~78139\,
	combout => \led_flash_cnt[3597][4]~78140_combout\,
	cout => \led_flash_cnt[3597][4]~78141\);

-- Location: FF_X24_Y10_N15
\led_flash_cnt[3597][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3597][4]~78140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3597][4]~q\);

-- Location: LCCOMB_X24_Y10_N26
\WideAnd3597~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3597~0_combout\ = (\led_flash_cnt[3597][2]~q\ & (\led_flash_cnt[3597][4]~q\ & (\led_flash_cnt[3597][1]~q\ & \led_flash_cnt[3597][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3597][2]~q\,
	datab => \led_flash_cnt[3597][4]~q\,
	datac => \led_flash_cnt[3597][1]~q\,
	datad => \led_flash_cnt[3597][3]~q\,
	combout => \WideAnd3597~0_combout\);

-- Location: LCCOMB_X24_Y10_N16
\led_flash_cnt[3597][5]~78142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3597][5]~78142_combout\ = (\led_flash_cnt[3597][5]~q\ & (\led_flash_cnt[3597][4]~78141\ $ (GND))) # (!\led_flash_cnt[3597][5]~q\ & (!\led_flash_cnt[3597][4]~78141\ & VCC))
-- \led_flash_cnt[3597][5]~78143\ = CARRY((\led_flash_cnt[3597][5]~q\ & !\led_flash_cnt[3597][4]~78141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3597][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3597][4]~78141\,
	combout => \led_flash_cnt[3597][5]~78142_combout\,
	cout => \led_flash_cnt[3597][5]~78143\);

-- Location: FF_X24_Y10_N17
\led_flash_cnt[3597][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3597][5]~78142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3597][5]~q\);

-- Location: LCCOMB_X24_Y10_N18
\led_flash_cnt[3597][6]~78144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3597][6]~78144_combout\ = (\led_flash_cnt[3597][6]~q\ & (!\led_flash_cnt[3597][5]~78143\)) # (!\led_flash_cnt[3597][6]~q\ & ((\led_flash_cnt[3597][5]~78143\) # (GND)))
-- \led_flash_cnt[3597][6]~78145\ = CARRY((!\led_flash_cnt[3597][5]~78143\) # (!\led_flash_cnt[3597][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3597][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3597][5]~78143\,
	combout => \led_flash_cnt[3597][6]~78144_combout\,
	cout => \led_flash_cnt[3597][6]~78145\);

-- Location: FF_X24_Y10_N19
\led_flash_cnt[3597][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3597][6]~78144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3597][6]~q\);

-- Location: LCCOMB_X24_Y10_N20
\led_flash_cnt[3597][7]~78146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3597][7]~78146_combout\ = \led_flash_cnt[3597][6]~78145\ $ (!\led_flash_cnt[3597][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3597][7]~q\,
	cin => \led_flash_cnt[3597][6]~78145\,
	combout => \led_flash_cnt[3597][7]~78146_combout\);

-- Location: FF_X24_Y10_N21
\led_flash_cnt[3597][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3597][7]~78146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3597][7]~q\);

-- Location: LCCOMB_X24_Y10_N4
\WideAnd3597~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3597~1_combout\ = (\led_flash_cnt[3597][6]~q\ & \led_flash_cnt[3597][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3597][6]~q\,
	datad => \led_flash_cnt[3597][5]~q\,
	combout => \WideAnd3597~1_combout\);

-- Location: LCCOMB_X24_Y10_N24
WideAnd3597 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3597~combout\ = (\WideAnd3597~0_combout\ & (\led_flash_cnt[3597][7]~q\ & (\WideAnd3597~1_combout\ & \led_flash_cnt[3597][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3597~0_combout\,
	datab => \led_flash_cnt[3597][7]~q\,
	datac => \WideAnd3597~1_combout\,
	datad => \led_flash_cnt[3597][0]~q\,
	combout => \WideAnd3597~combout\);

-- Location: FF_X24_Y10_N25
\led_flash_cnt_ands[3597]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3597~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3597));

-- Location: LCCOMB_X25_Y6_N24
\led_flash_cnt[3596][0]~84300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3596][0]~84300_combout\ = !\led_flash_cnt[3596][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3596][0]~q\,
	combout => \led_flash_cnt[3596][0]~84300_combout\);

-- Location: FF_X25_Y6_N25
\led_flash_cnt[3596][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3596][0]~84300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3596][0]~q\);

-- Location: LCCOMB_X25_Y6_N6
\led_flash_cnt[3596][1]~78120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3596][1]~78120_combout\ = (\led_flash_cnt[3596][1]~q\ & (\led_flash_cnt[3596][0]~q\ $ (VCC))) # (!\led_flash_cnt[3596][1]~q\ & (\led_flash_cnt[3596][0]~q\ & VCC))
-- \led_flash_cnt[3596][1]~78121\ = CARRY((\led_flash_cnt[3596][1]~q\ & \led_flash_cnt[3596][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3596][1]~q\,
	datab => \led_flash_cnt[3596][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3596][1]~78120_combout\,
	cout => \led_flash_cnt[3596][1]~78121\);

-- Location: FF_X25_Y6_N7
\led_flash_cnt[3596][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3596][1]~78120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3596][1]~q\);

-- Location: LCCOMB_X25_Y6_N8
\led_flash_cnt[3596][2]~78122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3596][2]~78122_combout\ = (\led_flash_cnt[3596][2]~q\ & (!\led_flash_cnt[3596][1]~78121\)) # (!\led_flash_cnt[3596][2]~q\ & ((\led_flash_cnt[3596][1]~78121\) # (GND)))
-- \led_flash_cnt[3596][2]~78123\ = CARRY((!\led_flash_cnt[3596][1]~78121\) # (!\led_flash_cnt[3596][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3596][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3596][1]~78121\,
	combout => \led_flash_cnt[3596][2]~78122_combout\,
	cout => \led_flash_cnt[3596][2]~78123\);

-- Location: FF_X25_Y6_N9
\led_flash_cnt[3596][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3596][2]~78122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3596][2]~q\);

-- Location: LCCOMB_X25_Y6_N10
\led_flash_cnt[3596][3]~78124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3596][3]~78124_combout\ = (\led_flash_cnt[3596][3]~q\ & (\led_flash_cnt[3596][2]~78123\ $ (GND))) # (!\led_flash_cnt[3596][3]~q\ & (!\led_flash_cnt[3596][2]~78123\ & VCC))
-- \led_flash_cnt[3596][3]~78125\ = CARRY((\led_flash_cnt[3596][3]~q\ & !\led_flash_cnt[3596][2]~78123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3596][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3596][2]~78123\,
	combout => \led_flash_cnt[3596][3]~78124_combout\,
	cout => \led_flash_cnt[3596][3]~78125\);

-- Location: FF_X25_Y6_N11
\led_flash_cnt[3596][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3596][3]~78124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3596][3]~q\);

-- Location: LCCOMB_X25_Y6_N12
\led_flash_cnt[3596][4]~78126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3596][4]~78126_combout\ = (\led_flash_cnt[3596][4]~q\ & (!\led_flash_cnt[3596][3]~78125\)) # (!\led_flash_cnt[3596][4]~q\ & ((\led_flash_cnt[3596][3]~78125\) # (GND)))
-- \led_flash_cnt[3596][4]~78127\ = CARRY((!\led_flash_cnt[3596][3]~78125\) # (!\led_flash_cnt[3596][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3596][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3596][3]~78125\,
	combout => \led_flash_cnt[3596][4]~78126_combout\,
	cout => \led_flash_cnt[3596][4]~78127\);

-- Location: FF_X25_Y6_N13
\led_flash_cnt[3596][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3596][4]~78126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3596][4]~q\);

-- Location: LCCOMB_X25_Y6_N22
\WideAnd3596~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3596~0_combout\ = (\led_flash_cnt[3596][1]~q\ & (\led_flash_cnt[3596][4]~q\ & (\led_flash_cnt[3596][2]~q\ & \led_flash_cnt[3596][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3596][1]~q\,
	datab => \led_flash_cnt[3596][4]~q\,
	datac => \led_flash_cnt[3596][2]~q\,
	datad => \led_flash_cnt[3596][3]~q\,
	combout => \WideAnd3596~0_combout\);

-- Location: LCCOMB_X25_Y6_N14
\led_flash_cnt[3596][5]~78128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3596][5]~78128_combout\ = (\led_flash_cnt[3596][5]~q\ & (\led_flash_cnt[3596][4]~78127\ $ (GND))) # (!\led_flash_cnt[3596][5]~q\ & (!\led_flash_cnt[3596][4]~78127\ & VCC))
-- \led_flash_cnt[3596][5]~78129\ = CARRY((\led_flash_cnt[3596][5]~q\ & !\led_flash_cnt[3596][4]~78127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3596][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3596][4]~78127\,
	combout => \led_flash_cnt[3596][5]~78128_combout\,
	cout => \led_flash_cnt[3596][5]~78129\);

-- Location: FF_X25_Y6_N15
\led_flash_cnt[3596][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3596][5]~78128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3596][5]~q\);

-- Location: LCCOMB_X25_Y6_N16
\led_flash_cnt[3596][6]~78130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3596][6]~78130_combout\ = (\led_flash_cnt[3596][6]~q\ & (!\led_flash_cnt[3596][5]~78129\)) # (!\led_flash_cnt[3596][6]~q\ & ((\led_flash_cnt[3596][5]~78129\) # (GND)))
-- \led_flash_cnt[3596][6]~78131\ = CARRY((!\led_flash_cnt[3596][5]~78129\) # (!\led_flash_cnt[3596][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3596][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3596][5]~78129\,
	combout => \led_flash_cnt[3596][6]~78130_combout\,
	cout => \led_flash_cnt[3596][6]~78131\);

-- Location: FF_X25_Y6_N17
\led_flash_cnt[3596][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3596][6]~78130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3596][6]~q\);

-- Location: LCCOMB_X25_Y6_N18
\led_flash_cnt[3596][7]~78132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3596][7]~78132_combout\ = \led_flash_cnt[3596][6]~78131\ $ (!\led_flash_cnt[3596][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3596][7]~q\,
	cin => \led_flash_cnt[3596][6]~78131\,
	combout => \led_flash_cnt[3596][7]~78132_combout\);

-- Location: FF_X25_Y6_N19
\led_flash_cnt[3596][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3596][7]~78132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3596][7]~q\);

-- Location: LCCOMB_X25_Y6_N4
\WideAnd3596~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3596~1_combout\ = (\led_flash_cnt[3596][5]~q\ & \led_flash_cnt[3596][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3596][5]~q\,
	datad => \led_flash_cnt[3596][6]~q\,
	combout => \WideAnd3596~1_combout\);

-- Location: LCCOMB_X25_Y6_N28
WideAnd3596 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3596~combout\ = (\WideAnd3596~0_combout\ & (\led_flash_cnt[3596][7]~q\ & (\WideAnd3596~1_combout\ & \led_flash_cnt[3596][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3596~0_combout\,
	datab => \led_flash_cnt[3596][7]~q\,
	datac => \WideAnd3596~1_combout\,
	datad => \led_flash_cnt[3596][0]~q\,
	combout => \WideAnd3596~combout\);

-- Location: FF_X25_Y6_N29
\led_flash_cnt_ands[3596]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3596~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3596));

-- Location: LCCOMB_X24_Y10_N2
\WideAnd4289~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4289~1_combout\ = (led_flash_cnt_ands(3597) & led_flash_cnt_ands(3596))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3597),
	datad => led_flash_cnt_ands(3596),
	combout => \WideAnd4289~1_combout\);

-- Location: LCCOMB_X27_Y28_N4
\led_flash_cnt[3598][0]~84302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3598][0]~84302_combout\ = !\led_flash_cnt[3598][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3598][0]~q\,
	combout => \led_flash_cnt[3598][0]~84302_combout\);

-- Location: FF_X27_Y28_N5
\led_flash_cnt[3598][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3598][0]~84302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3598][0]~q\);

-- Location: LCCOMB_X27_Y28_N10
\led_flash_cnt[3598][1]~78148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3598][1]~78148_combout\ = (\led_flash_cnt[3598][1]~q\ & (\led_flash_cnt[3598][0]~q\ $ (VCC))) # (!\led_flash_cnt[3598][1]~q\ & (\led_flash_cnt[3598][0]~q\ & VCC))
-- \led_flash_cnt[3598][1]~78149\ = CARRY((\led_flash_cnt[3598][1]~q\ & \led_flash_cnt[3598][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3598][1]~q\,
	datab => \led_flash_cnt[3598][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3598][1]~78148_combout\,
	cout => \led_flash_cnt[3598][1]~78149\);

-- Location: FF_X27_Y28_N11
\led_flash_cnt[3598][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3598][1]~78148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3598][1]~q\);

-- Location: LCCOMB_X27_Y28_N12
\led_flash_cnt[3598][2]~78150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3598][2]~78150_combout\ = (\led_flash_cnt[3598][2]~q\ & (!\led_flash_cnt[3598][1]~78149\)) # (!\led_flash_cnt[3598][2]~q\ & ((\led_flash_cnt[3598][1]~78149\) # (GND)))
-- \led_flash_cnt[3598][2]~78151\ = CARRY((!\led_flash_cnt[3598][1]~78149\) # (!\led_flash_cnt[3598][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3598][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3598][1]~78149\,
	combout => \led_flash_cnt[3598][2]~78150_combout\,
	cout => \led_flash_cnt[3598][2]~78151\);

-- Location: FF_X27_Y28_N13
\led_flash_cnt[3598][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3598][2]~78150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3598][2]~q\);

-- Location: LCCOMB_X27_Y28_N14
\led_flash_cnt[3598][3]~78152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3598][3]~78152_combout\ = (\led_flash_cnt[3598][3]~q\ & (\led_flash_cnt[3598][2]~78151\ $ (GND))) # (!\led_flash_cnt[3598][3]~q\ & (!\led_flash_cnt[3598][2]~78151\ & VCC))
-- \led_flash_cnt[3598][3]~78153\ = CARRY((\led_flash_cnt[3598][3]~q\ & !\led_flash_cnt[3598][2]~78151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3598][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3598][2]~78151\,
	combout => \led_flash_cnt[3598][3]~78152_combout\,
	cout => \led_flash_cnt[3598][3]~78153\);

-- Location: FF_X27_Y28_N15
\led_flash_cnt[3598][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3598][3]~78152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3598][3]~q\);

-- Location: LCCOMB_X27_Y28_N16
\led_flash_cnt[3598][4]~78154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3598][4]~78154_combout\ = (\led_flash_cnt[3598][4]~q\ & (!\led_flash_cnt[3598][3]~78153\)) # (!\led_flash_cnt[3598][4]~q\ & ((\led_flash_cnt[3598][3]~78153\) # (GND)))
-- \led_flash_cnt[3598][4]~78155\ = CARRY((!\led_flash_cnt[3598][3]~78153\) # (!\led_flash_cnt[3598][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3598][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3598][3]~78153\,
	combout => \led_flash_cnt[3598][4]~78154_combout\,
	cout => \led_flash_cnt[3598][4]~78155\);

-- Location: FF_X27_Y28_N17
\led_flash_cnt[3598][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3598][4]~78154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3598][4]~q\);

-- Location: LCCOMB_X27_Y28_N18
\led_flash_cnt[3598][5]~78156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3598][5]~78156_combout\ = (\led_flash_cnt[3598][5]~q\ & (\led_flash_cnt[3598][4]~78155\ $ (GND))) # (!\led_flash_cnt[3598][5]~q\ & (!\led_flash_cnt[3598][4]~78155\ & VCC))
-- \led_flash_cnt[3598][5]~78157\ = CARRY((\led_flash_cnt[3598][5]~q\ & !\led_flash_cnt[3598][4]~78155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3598][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3598][4]~78155\,
	combout => \led_flash_cnt[3598][5]~78156_combout\,
	cout => \led_flash_cnt[3598][5]~78157\);

-- Location: FF_X27_Y28_N19
\led_flash_cnt[3598][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3598][5]~78156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3598][5]~q\);

-- Location: LCCOMB_X27_Y28_N20
\led_flash_cnt[3598][6]~78158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3598][6]~78158_combout\ = (\led_flash_cnt[3598][6]~q\ & (!\led_flash_cnt[3598][5]~78157\)) # (!\led_flash_cnt[3598][6]~q\ & ((\led_flash_cnt[3598][5]~78157\) # (GND)))
-- \led_flash_cnt[3598][6]~78159\ = CARRY((!\led_flash_cnt[3598][5]~78157\) # (!\led_flash_cnt[3598][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3598][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3598][5]~78157\,
	combout => \led_flash_cnt[3598][6]~78158_combout\,
	cout => \led_flash_cnt[3598][6]~78159\);

-- Location: FF_X27_Y28_N21
\led_flash_cnt[3598][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3598][6]~78158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3598][6]~q\);

-- Location: LCCOMB_X27_Y28_N22
\led_flash_cnt[3598][7]~78160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3598][7]~78160_combout\ = \led_flash_cnt[3598][7]~q\ $ (!\led_flash_cnt[3598][6]~78159\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3598][7]~q\,
	cin => \led_flash_cnt[3598][6]~78159\,
	combout => \led_flash_cnt[3598][7]~78160_combout\);

-- Location: FF_X27_Y28_N23
\led_flash_cnt[3598][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3598][7]~78160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3598][7]~q\);

-- Location: LCCOMB_X27_Y28_N8
\WideAnd3598~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3598~0_combout\ = (\led_flash_cnt[3598][2]~q\ & (\led_flash_cnt[3598][4]~q\ & (\led_flash_cnt[3598][3]~q\ & \led_flash_cnt[3598][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3598][2]~q\,
	datab => \led_flash_cnt[3598][4]~q\,
	datac => \led_flash_cnt[3598][3]~q\,
	datad => \led_flash_cnt[3598][1]~q\,
	combout => \WideAnd3598~0_combout\);

-- Location: LCCOMB_X27_Y28_N24
\WideAnd3598~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3598~1_combout\ = (\led_flash_cnt[3598][5]~q\ & \led_flash_cnt[3598][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3598][5]~q\,
	datad => \led_flash_cnt[3598][6]~q\,
	combout => \WideAnd3598~1_combout\);

-- Location: LCCOMB_X27_Y28_N6
WideAnd3598 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3598~combout\ = (\led_flash_cnt[3598][7]~q\ & (\WideAnd3598~0_combout\ & (\led_flash_cnt[3598][0]~q\ & \WideAnd3598~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3598][7]~q\,
	datab => \WideAnd3598~0_combout\,
	datac => \led_flash_cnt[3598][0]~q\,
	datad => \WideAnd3598~1_combout\,
	combout => \WideAnd3598~combout\);

-- Location: FF_X27_Y28_N7
\led_flash_cnt_ands[3598]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3598~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3598));

-- Location: LCCOMB_X27_Y28_N30
WideAnd4289 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4289~combout\ = (led_flash_cnt_ands(3599) & (\WideAnd4289~0_combout\ & (\WideAnd4289~1_combout\ & led_flash_cnt_ands(3598))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3599),
	datab => \WideAnd4289~0_combout\,
	datac => \WideAnd4289~1_combout\,
	datad => led_flash_cnt_ands(3598),
	combout => \WideAnd4289~combout\);

-- Location: FF_X27_Y28_N31
\led_flash_cnt_ands_1[449]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4289~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(449));

-- Location: LCCOMB_X35_Y17_N2
\led_flash_cnt[3591][0]~84295\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3591][0]~84295_combout\ = !\led_flash_cnt[3591][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3591][0]~q\,
	combout => \led_flash_cnt[3591][0]~84295_combout\);

-- Location: FF_X35_Y17_N3
\led_flash_cnt[3591][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3591][0]~84295_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3591][0]~q\);

-- Location: LCCOMB_X34_Y17_N2
\led_flash_cnt[3591][1]~78050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3591][1]~78050_combout\ = (\led_flash_cnt[3591][0]~q\ & (\led_flash_cnt[3591][1]~q\ $ (VCC))) # (!\led_flash_cnt[3591][0]~q\ & (\led_flash_cnt[3591][1]~q\ & VCC))
-- \led_flash_cnt[3591][1]~78051\ = CARRY((\led_flash_cnt[3591][0]~q\ & \led_flash_cnt[3591][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3591][0]~q\,
	datab => \led_flash_cnt[3591][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3591][1]~78050_combout\,
	cout => \led_flash_cnt[3591][1]~78051\);

-- Location: FF_X34_Y17_N3
\led_flash_cnt[3591][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3591][1]~78050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3591][1]~q\);

-- Location: LCCOMB_X34_Y17_N4
\led_flash_cnt[3591][2]~78052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3591][2]~78052_combout\ = (\led_flash_cnt[3591][2]~q\ & (!\led_flash_cnt[3591][1]~78051\)) # (!\led_flash_cnt[3591][2]~q\ & ((\led_flash_cnt[3591][1]~78051\) # (GND)))
-- \led_flash_cnt[3591][2]~78053\ = CARRY((!\led_flash_cnt[3591][1]~78051\) # (!\led_flash_cnt[3591][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3591][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3591][1]~78051\,
	combout => \led_flash_cnt[3591][2]~78052_combout\,
	cout => \led_flash_cnt[3591][2]~78053\);

-- Location: FF_X34_Y17_N5
\led_flash_cnt[3591][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3591][2]~78052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3591][2]~q\);

-- Location: LCCOMB_X34_Y17_N6
\led_flash_cnt[3591][3]~78054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3591][3]~78054_combout\ = (\led_flash_cnt[3591][3]~q\ & (\led_flash_cnt[3591][2]~78053\ $ (GND))) # (!\led_flash_cnt[3591][3]~q\ & (!\led_flash_cnt[3591][2]~78053\ & VCC))
-- \led_flash_cnt[3591][3]~78055\ = CARRY((\led_flash_cnt[3591][3]~q\ & !\led_flash_cnt[3591][2]~78053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3591][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3591][2]~78053\,
	combout => \led_flash_cnt[3591][3]~78054_combout\,
	cout => \led_flash_cnt[3591][3]~78055\);

-- Location: FF_X34_Y17_N7
\led_flash_cnt[3591][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3591][3]~78054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3591][3]~q\);

-- Location: LCCOMB_X34_Y17_N8
\led_flash_cnt[3591][4]~78056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3591][4]~78056_combout\ = (\led_flash_cnt[3591][4]~q\ & (!\led_flash_cnt[3591][3]~78055\)) # (!\led_flash_cnt[3591][4]~q\ & ((\led_flash_cnt[3591][3]~78055\) # (GND)))
-- \led_flash_cnt[3591][4]~78057\ = CARRY((!\led_flash_cnt[3591][3]~78055\) # (!\led_flash_cnt[3591][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3591][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3591][3]~78055\,
	combout => \led_flash_cnt[3591][4]~78056_combout\,
	cout => \led_flash_cnt[3591][4]~78057\);

-- Location: FF_X34_Y17_N9
\led_flash_cnt[3591][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3591][4]~78056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3591][4]~q\);

-- Location: LCCOMB_X34_Y17_N10
\led_flash_cnt[3591][5]~78058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3591][5]~78058_combout\ = (\led_flash_cnt[3591][5]~q\ & (\led_flash_cnt[3591][4]~78057\ $ (GND))) # (!\led_flash_cnt[3591][5]~q\ & (!\led_flash_cnt[3591][4]~78057\ & VCC))
-- \led_flash_cnt[3591][5]~78059\ = CARRY((\led_flash_cnt[3591][5]~q\ & !\led_flash_cnt[3591][4]~78057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3591][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3591][4]~78057\,
	combout => \led_flash_cnt[3591][5]~78058_combout\,
	cout => \led_flash_cnt[3591][5]~78059\);

-- Location: FF_X34_Y17_N11
\led_flash_cnt[3591][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3591][5]~78058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3591][5]~q\);

-- Location: LCCOMB_X34_Y17_N12
\led_flash_cnt[3591][6]~78060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3591][6]~78060_combout\ = (\led_flash_cnt[3591][6]~q\ & (!\led_flash_cnt[3591][5]~78059\)) # (!\led_flash_cnt[3591][6]~q\ & ((\led_flash_cnt[3591][5]~78059\) # (GND)))
-- \led_flash_cnt[3591][6]~78061\ = CARRY((!\led_flash_cnt[3591][5]~78059\) # (!\led_flash_cnt[3591][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3591][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3591][5]~78059\,
	combout => \led_flash_cnt[3591][6]~78060_combout\,
	cout => \led_flash_cnt[3591][6]~78061\);

-- Location: FF_X34_Y17_N13
\led_flash_cnt[3591][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3591][6]~78060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3591][6]~q\);

-- Location: LCCOMB_X34_Y17_N14
\led_flash_cnt[3591][7]~78062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3591][7]~78062_combout\ = \led_flash_cnt[3591][7]~q\ $ (!\led_flash_cnt[3591][6]~78061\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3591][7]~q\,
	cin => \led_flash_cnt[3591][6]~78061\,
	combout => \led_flash_cnt[3591][7]~78062_combout\);

-- Location: FF_X34_Y17_N15
\led_flash_cnt[3591][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3591][7]~78062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3591][7]~q\);

-- Location: LCCOMB_X35_Y17_N24
\WideAnd3591~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3591~0_combout\ = (\led_flash_cnt[3591][4]~q\ & (\led_flash_cnt[3591][3]~q\ & (\led_flash_cnt[3591][2]~q\ & \led_flash_cnt[3591][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3591][4]~q\,
	datab => \led_flash_cnt[3591][3]~q\,
	datac => \led_flash_cnt[3591][2]~q\,
	datad => \led_flash_cnt[3591][1]~q\,
	combout => \WideAnd3591~0_combout\);

-- Location: LCCOMB_X35_Y17_N30
\WideAnd3591~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3591~1_combout\ = (\led_flash_cnt[3591][6]~q\ & \led_flash_cnt[3591][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3591][6]~q\,
	datad => \led_flash_cnt[3591][5]~q\,
	combout => \WideAnd3591~1_combout\);

-- Location: LCCOMB_X35_Y17_N26
WideAnd3591 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3591~combout\ = (\led_flash_cnt[3591][7]~q\ & (\WideAnd3591~0_combout\ & (\WideAnd3591~1_combout\ & \led_flash_cnt[3591][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3591][7]~q\,
	datab => \WideAnd3591~0_combout\,
	datac => \WideAnd3591~1_combout\,
	datad => \led_flash_cnt[3591][0]~q\,
	combout => \WideAnd3591~combout\);

-- Location: FF_X35_Y17_N27
\led_flash_cnt_ands[3591]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3591~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3591));

-- Location: LCCOMB_X35_Y14_N26
\led_flash_cnt[3587][0]~84291\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3587][0]~84291_combout\ = !\led_flash_cnt[3587][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3587][0]~q\,
	combout => \led_flash_cnt[3587][0]~84291_combout\);

-- Location: FF_X35_Y14_N27
\led_flash_cnt[3587][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3587][0]~84291_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3587][0]~q\);

-- Location: LCCOMB_X36_Y15_N4
\led_flash_cnt[3587][1]~77994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3587][1]~77994_combout\ = (\led_flash_cnt[3587][0]~q\ & (\led_flash_cnt[3587][1]~q\ $ (VCC))) # (!\led_flash_cnt[3587][0]~q\ & (\led_flash_cnt[3587][1]~q\ & VCC))
-- \led_flash_cnt[3587][1]~77995\ = CARRY((\led_flash_cnt[3587][0]~q\ & \led_flash_cnt[3587][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3587][0]~q\,
	datab => \led_flash_cnt[3587][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3587][1]~77994_combout\,
	cout => \led_flash_cnt[3587][1]~77995\);

-- Location: FF_X36_Y15_N5
\led_flash_cnt[3587][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3587][1]~77994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3587][1]~q\);

-- Location: LCCOMB_X36_Y15_N6
\led_flash_cnt[3587][2]~77996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3587][2]~77996_combout\ = (\led_flash_cnt[3587][2]~q\ & (!\led_flash_cnt[3587][1]~77995\)) # (!\led_flash_cnt[3587][2]~q\ & ((\led_flash_cnt[3587][1]~77995\) # (GND)))
-- \led_flash_cnt[3587][2]~77997\ = CARRY((!\led_flash_cnt[3587][1]~77995\) # (!\led_flash_cnt[3587][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3587][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3587][1]~77995\,
	combout => \led_flash_cnt[3587][2]~77996_combout\,
	cout => \led_flash_cnt[3587][2]~77997\);

-- Location: FF_X36_Y15_N7
\led_flash_cnt[3587][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3587][2]~77996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3587][2]~q\);

-- Location: LCCOMB_X36_Y15_N8
\led_flash_cnt[3587][3]~77998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3587][3]~77998_combout\ = (\led_flash_cnt[3587][3]~q\ & (\led_flash_cnt[3587][2]~77997\ $ (GND))) # (!\led_flash_cnt[3587][3]~q\ & (!\led_flash_cnt[3587][2]~77997\ & VCC))
-- \led_flash_cnt[3587][3]~77999\ = CARRY((\led_flash_cnt[3587][3]~q\ & !\led_flash_cnt[3587][2]~77997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3587][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3587][2]~77997\,
	combout => \led_flash_cnt[3587][3]~77998_combout\,
	cout => \led_flash_cnt[3587][3]~77999\);

-- Location: FF_X36_Y15_N9
\led_flash_cnt[3587][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3587][3]~77998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3587][3]~q\);

-- Location: LCCOMB_X36_Y15_N10
\led_flash_cnt[3587][4]~78000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3587][4]~78000_combout\ = (\led_flash_cnt[3587][4]~q\ & (!\led_flash_cnt[3587][3]~77999\)) # (!\led_flash_cnt[3587][4]~q\ & ((\led_flash_cnt[3587][3]~77999\) # (GND)))
-- \led_flash_cnt[3587][4]~78001\ = CARRY((!\led_flash_cnt[3587][3]~77999\) # (!\led_flash_cnt[3587][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3587][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3587][3]~77999\,
	combout => \led_flash_cnt[3587][4]~78000_combout\,
	cout => \led_flash_cnt[3587][4]~78001\);

-- Location: FF_X36_Y15_N11
\led_flash_cnt[3587][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3587][4]~78000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3587][4]~q\);

-- Location: LCCOMB_X36_Y15_N22
\WideAnd3587~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3587~0_combout\ = (\led_flash_cnt[3587][4]~q\ & (\led_flash_cnt[3587][3]~q\ & (\led_flash_cnt[3587][1]~q\ & \led_flash_cnt[3587][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3587][4]~q\,
	datab => \led_flash_cnt[3587][3]~q\,
	datac => \led_flash_cnt[3587][1]~q\,
	datad => \led_flash_cnt[3587][2]~q\,
	combout => \WideAnd3587~0_combout\);

-- Location: LCCOMB_X36_Y15_N12
\led_flash_cnt[3587][5]~78002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3587][5]~78002_combout\ = (\led_flash_cnt[3587][5]~q\ & (\led_flash_cnt[3587][4]~78001\ $ (GND))) # (!\led_flash_cnt[3587][5]~q\ & (!\led_flash_cnt[3587][4]~78001\ & VCC))
-- \led_flash_cnt[3587][5]~78003\ = CARRY((\led_flash_cnt[3587][5]~q\ & !\led_flash_cnt[3587][4]~78001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3587][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3587][4]~78001\,
	combout => \led_flash_cnt[3587][5]~78002_combout\,
	cout => \led_flash_cnt[3587][5]~78003\);

-- Location: FF_X36_Y15_N13
\led_flash_cnt[3587][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3587][5]~78002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3587][5]~q\);

-- Location: LCCOMB_X36_Y15_N14
\led_flash_cnt[3587][6]~78004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3587][6]~78004_combout\ = (\led_flash_cnt[3587][6]~q\ & (!\led_flash_cnt[3587][5]~78003\)) # (!\led_flash_cnt[3587][6]~q\ & ((\led_flash_cnt[3587][5]~78003\) # (GND)))
-- \led_flash_cnt[3587][6]~78005\ = CARRY((!\led_flash_cnt[3587][5]~78003\) # (!\led_flash_cnt[3587][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3587][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3587][5]~78003\,
	combout => \led_flash_cnt[3587][6]~78004_combout\,
	cout => \led_flash_cnt[3587][6]~78005\);

-- Location: FF_X36_Y15_N15
\led_flash_cnt[3587][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3587][6]~78004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3587][6]~q\);

-- Location: LCCOMB_X36_Y15_N18
\WideAnd3587~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3587~1_combout\ = (\led_flash_cnt[3587][6]~q\ & \led_flash_cnt[3587][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3587][6]~q\,
	datad => \led_flash_cnt[3587][5]~q\,
	combout => \WideAnd3587~1_combout\);

-- Location: LCCOMB_X36_Y15_N16
\led_flash_cnt[3587][7]~78006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3587][7]~78006_combout\ = \led_flash_cnt[3587][6]~78005\ $ (!\led_flash_cnt[3587][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3587][7]~q\,
	cin => \led_flash_cnt[3587][6]~78005\,
	combout => \led_flash_cnt[3587][7]~78006_combout\);

-- Location: FF_X36_Y15_N17
\led_flash_cnt[3587][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3587][7]~78006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3587][7]~q\);

-- Location: LCCOMB_X36_Y15_N20
WideAnd3587 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3587~combout\ = (\WideAnd3587~0_combout\ & (\WideAnd3587~1_combout\ & (\led_flash_cnt[3587][0]~q\ & \led_flash_cnt[3587][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3587~0_combout\,
	datab => \WideAnd3587~1_combout\,
	datac => \led_flash_cnt[3587][0]~q\,
	datad => \led_flash_cnt[3587][7]~q\,
	combout => \WideAnd3587~combout\);

-- Location: FF_X36_Y15_N21
\led_flash_cnt_ands[3587]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3587~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3587));

-- Location: LCCOMB_X35_Y21_N6
\led_flash_cnt[3586][0]~84290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3586][0]~84290_combout\ = !\led_flash_cnt[3586][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3586][0]~q\,
	combout => \led_flash_cnt[3586][0]~84290_combout\);

-- Location: FF_X35_Y21_N7
\led_flash_cnt[3586][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3586][0]~84290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3586][0]~q\);

-- Location: LCCOMB_X36_Y21_N18
\led_flash_cnt[3586][1]~77980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3586][1]~77980_combout\ = (\led_flash_cnt[3586][0]~q\ & (\led_flash_cnt[3586][1]~q\ $ (VCC))) # (!\led_flash_cnt[3586][0]~q\ & (\led_flash_cnt[3586][1]~q\ & VCC))
-- \led_flash_cnt[3586][1]~77981\ = CARRY((\led_flash_cnt[3586][0]~q\ & \led_flash_cnt[3586][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3586][0]~q\,
	datab => \led_flash_cnt[3586][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3586][1]~77980_combout\,
	cout => \led_flash_cnt[3586][1]~77981\);

-- Location: FF_X36_Y21_N19
\led_flash_cnt[3586][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3586][1]~77980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3586][1]~q\);

-- Location: LCCOMB_X36_Y21_N20
\led_flash_cnt[3586][2]~77982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3586][2]~77982_combout\ = (\led_flash_cnt[3586][2]~q\ & (!\led_flash_cnt[3586][1]~77981\)) # (!\led_flash_cnt[3586][2]~q\ & ((\led_flash_cnt[3586][1]~77981\) # (GND)))
-- \led_flash_cnt[3586][2]~77983\ = CARRY((!\led_flash_cnt[3586][1]~77981\) # (!\led_flash_cnt[3586][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3586][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3586][1]~77981\,
	combout => \led_flash_cnt[3586][2]~77982_combout\,
	cout => \led_flash_cnt[3586][2]~77983\);

-- Location: FF_X36_Y21_N21
\led_flash_cnt[3586][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3586][2]~77982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3586][2]~q\);

-- Location: LCCOMB_X36_Y21_N22
\led_flash_cnt[3586][3]~77984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3586][3]~77984_combout\ = (\led_flash_cnt[3586][3]~q\ & (\led_flash_cnt[3586][2]~77983\ $ (GND))) # (!\led_flash_cnt[3586][3]~q\ & (!\led_flash_cnt[3586][2]~77983\ & VCC))
-- \led_flash_cnt[3586][3]~77985\ = CARRY((\led_flash_cnt[3586][3]~q\ & !\led_flash_cnt[3586][2]~77983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3586][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3586][2]~77983\,
	combout => \led_flash_cnt[3586][3]~77984_combout\,
	cout => \led_flash_cnt[3586][3]~77985\);

-- Location: FF_X36_Y21_N23
\led_flash_cnt[3586][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3586][3]~77984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3586][3]~q\);

-- Location: LCCOMB_X36_Y21_N24
\led_flash_cnt[3586][4]~77986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3586][4]~77986_combout\ = (\led_flash_cnt[3586][4]~q\ & (!\led_flash_cnt[3586][3]~77985\)) # (!\led_flash_cnt[3586][4]~q\ & ((\led_flash_cnt[3586][3]~77985\) # (GND)))
-- \led_flash_cnt[3586][4]~77987\ = CARRY((!\led_flash_cnt[3586][3]~77985\) # (!\led_flash_cnt[3586][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3586][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3586][3]~77985\,
	combout => \led_flash_cnt[3586][4]~77986_combout\,
	cout => \led_flash_cnt[3586][4]~77987\);

-- Location: FF_X36_Y21_N25
\led_flash_cnt[3586][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3586][4]~77986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3586][4]~q\);

-- Location: LCCOMB_X36_Y21_N26
\led_flash_cnt[3586][5]~77988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3586][5]~77988_combout\ = (\led_flash_cnt[3586][5]~q\ & (\led_flash_cnt[3586][4]~77987\ $ (GND))) # (!\led_flash_cnt[3586][5]~q\ & (!\led_flash_cnt[3586][4]~77987\ & VCC))
-- \led_flash_cnt[3586][5]~77989\ = CARRY((\led_flash_cnt[3586][5]~q\ & !\led_flash_cnt[3586][4]~77987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3586][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3586][4]~77987\,
	combout => \led_flash_cnt[3586][5]~77988_combout\,
	cout => \led_flash_cnt[3586][5]~77989\);

-- Location: FF_X36_Y21_N27
\led_flash_cnt[3586][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3586][5]~77988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3586][5]~q\);

-- Location: LCCOMB_X36_Y21_N28
\led_flash_cnt[3586][6]~77990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3586][6]~77990_combout\ = (\led_flash_cnt[3586][6]~q\ & (!\led_flash_cnt[3586][5]~77989\)) # (!\led_flash_cnt[3586][6]~q\ & ((\led_flash_cnt[3586][5]~77989\) # (GND)))
-- \led_flash_cnt[3586][6]~77991\ = CARRY((!\led_flash_cnt[3586][5]~77989\) # (!\led_flash_cnt[3586][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3586][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3586][5]~77989\,
	combout => \led_flash_cnt[3586][6]~77990_combout\,
	cout => \led_flash_cnt[3586][6]~77991\);

-- Location: FF_X36_Y21_N29
\led_flash_cnt[3586][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3586][6]~77990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3586][6]~q\);

-- Location: LCCOMB_X35_Y21_N16
\WideAnd3586~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3586~1_combout\ = (\led_flash_cnt[3586][6]~q\ & \led_flash_cnt[3586][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3586][6]~q\,
	datad => \led_flash_cnt[3586][5]~q\,
	combout => \WideAnd3586~1_combout\);

-- Location: LCCOMB_X36_Y21_N30
\led_flash_cnt[3586][7]~77992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3586][7]~77992_combout\ = \led_flash_cnt[3586][7]~q\ $ (!\led_flash_cnt[3586][6]~77991\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3586][7]~q\,
	cin => \led_flash_cnt[3586][6]~77991\,
	combout => \led_flash_cnt[3586][7]~77992_combout\);

-- Location: FF_X36_Y21_N31
\led_flash_cnt[3586][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3586][7]~77992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3586][7]~q\);

-- Location: LCCOMB_X36_Y21_N2
\WideAnd3586~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3586~0_combout\ = (\led_flash_cnt[3586][4]~q\ & (\led_flash_cnt[3586][2]~q\ & (\led_flash_cnt[3586][3]~q\ & \led_flash_cnt[3586][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3586][4]~q\,
	datab => \led_flash_cnt[3586][2]~q\,
	datac => \led_flash_cnt[3586][3]~q\,
	datad => \led_flash_cnt[3586][1]~q\,
	combout => \WideAnd3586~0_combout\);

-- Location: LCCOMB_X35_Y21_N2
WideAnd3586 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3586~combout\ = (\led_flash_cnt[3586][0]~q\ & (\WideAnd3586~1_combout\ & (\led_flash_cnt[3586][7]~q\ & \WideAnd3586~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3586][0]~q\,
	datab => \WideAnd3586~1_combout\,
	datac => \led_flash_cnt[3586][7]~q\,
	datad => \WideAnd3586~0_combout\,
	combout => \WideAnd3586~combout\);

-- Location: FF_X35_Y21_N3
\led_flash_cnt_ands[3586]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3586~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3586));

-- Location: LCCOMB_X38_Y17_N6
\led_flash_cnt[3585][0]~84289\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3585][0]~84289_combout\ = !\led_flash_cnt[3585][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3585][0]~q\,
	combout => \led_flash_cnt[3585][0]~84289_combout\);

-- Location: FF_X38_Y17_N7
\led_flash_cnt[3585][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3585][0]~84289_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3585][0]~q\);

-- Location: LCCOMB_X35_Y17_N10
\led_flash_cnt[3585][1]~77966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3585][1]~77966_combout\ = (\led_flash_cnt[3585][1]~q\ & (\led_flash_cnt[3585][0]~q\ $ (VCC))) # (!\led_flash_cnt[3585][1]~q\ & (\led_flash_cnt[3585][0]~q\ & VCC))
-- \led_flash_cnt[3585][1]~77967\ = CARRY((\led_flash_cnt[3585][1]~q\ & \led_flash_cnt[3585][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3585][1]~q\,
	datab => \led_flash_cnt[3585][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3585][1]~77966_combout\,
	cout => \led_flash_cnt[3585][1]~77967\);

-- Location: FF_X35_Y17_N11
\led_flash_cnt[3585][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3585][1]~77966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3585][1]~q\);

-- Location: LCCOMB_X35_Y17_N12
\led_flash_cnt[3585][2]~77968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3585][2]~77968_combout\ = (\led_flash_cnt[3585][2]~q\ & (!\led_flash_cnt[3585][1]~77967\)) # (!\led_flash_cnt[3585][2]~q\ & ((\led_flash_cnt[3585][1]~77967\) # (GND)))
-- \led_flash_cnt[3585][2]~77969\ = CARRY((!\led_flash_cnt[3585][1]~77967\) # (!\led_flash_cnt[3585][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3585][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3585][1]~77967\,
	combout => \led_flash_cnt[3585][2]~77968_combout\,
	cout => \led_flash_cnt[3585][2]~77969\);

-- Location: FF_X35_Y17_N13
\led_flash_cnt[3585][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3585][2]~77968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3585][2]~q\);

-- Location: LCCOMB_X35_Y17_N14
\led_flash_cnt[3585][3]~77970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3585][3]~77970_combout\ = (\led_flash_cnt[3585][3]~q\ & (\led_flash_cnt[3585][2]~77969\ $ (GND))) # (!\led_flash_cnt[3585][3]~q\ & (!\led_flash_cnt[3585][2]~77969\ & VCC))
-- \led_flash_cnt[3585][3]~77971\ = CARRY((\led_flash_cnt[3585][3]~q\ & !\led_flash_cnt[3585][2]~77969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3585][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3585][2]~77969\,
	combout => \led_flash_cnt[3585][3]~77970_combout\,
	cout => \led_flash_cnt[3585][3]~77971\);

-- Location: FF_X35_Y17_N15
\led_flash_cnt[3585][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3585][3]~77970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3585][3]~q\);

-- Location: LCCOMB_X35_Y17_N16
\led_flash_cnt[3585][4]~77972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3585][4]~77972_combout\ = (\led_flash_cnt[3585][4]~q\ & (!\led_flash_cnt[3585][3]~77971\)) # (!\led_flash_cnt[3585][4]~q\ & ((\led_flash_cnt[3585][3]~77971\) # (GND)))
-- \led_flash_cnt[3585][4]~77973\ = CARRY((!\led_flash_cnt[3585][3]~77971\) # (!\led_flash_cnt[3585][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3585][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3585][3]~77971\,
	combout => \led_flash_cnt[3585][4]~77972_combout\,
	cout => \led_flash_cnt[3585][4]~77973\);

-- Location: FF_X35_Y17_N17
\led_flash_cnt[3585][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3585][4]~77972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3585][4]~q\);

-- Location: LCCOMB_X35_Y17_N18
\led_flash_cnt[3585][5]~77974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3585][5]~77974_combout\ = (\led_flash_cnt[3585][5]~q\ & (\led_flash_cnt[3585][4]~77973\ $ (GND))) # (!\led_flash_cnt[3585][5]~q\ & (!\led_flash_cnt[3585][4]~77973\ & VCC))
-- \led_flash_cnt[3585][5]~77975\ = CARRY((\led_flash_cnt[3585][5]~q\ & !\led_flash_cnt[3585][4]~77973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3585][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3585][4]~77973\,
	combout => \led_flash_cnt[3585][5]~77974_combout\,
	cout => \led_flash_cnt[3585][5]~77975\);

-- Location: FF_X35_Y17_N19
\led_flash_cnt[3585][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3585][5]~77974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3585][5]~q\);

-- Location: LCCOMB_X35_Y17_N20
\led_flash_cnt[3585][6]~77976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3585][6]~77976_combout\ = (\led_flash_cnt[3585][6]~q\ & (!\led_flash_cnt[3585][5]~77975\)) # (!\led_flash_cnt[3585][6]~q\ & ((\led_flash_cnt[3585][5]~77975\) # (GND)))
-- \led_flash_cnt[3585][6]~77977\ = CARRY((!\led_flash_cnt[3585][5]~77975\) # (!\led_flash_cnt[3585][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3585][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3585][5]~77975\,
	combout => \led_flash_cnt[3585][6]~77976_combout\,
	cout => \led_flash_cnt[3585][6]~77977\);

-- Location: FF_X35_Y17_N21
\led_flash_cnt[3585][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3585][6]~77976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3585][6]~q\);

-- Location: LCCOMB_X35_Y17_N22
\led_flash_cnt[3585][7]~77978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3585][7]~77978_combout\ = \led_flash_cnt[3585][7]~q\ $ (!\led_flash_cnt[3585][6]~77977\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3585][7]~q\,
	cin => \led_flash_cnt[3585][6]~77977\,
	combout => \led_flash_cnt[3585][7]~77978_combout\);

-- Location: FF_X35_Y17_N23
\led_flash_cnt[3585][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3585][7]~77978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3585][7]~q\);

-- Location: LCCOMB_X35_Y17_N0
\WideAnd3585~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3585~0_combout\ = (\led_flash_cnt[3585][1]~q\ & (\led_flash_cnt[3585][4]~q\ & (\led_flash_cnt[3585][3]~q\ & \led_flash_cnt[3585][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3585][1]~q\,
	datab => \led_flash_cnt[3585][4]~q\,
	datac => \led_flash_cnt[3585][3]~q\,
	datad => \led_flash_cnt[3585][2]~q\,
	combout => \WideAnd3585~0_combout\);

-- Location: LCCOMB_X35_Y17_N6
\WideAnd3585~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3585~1_combout\ = (\led_flash_cnt[3585][6]~q\ & \led_flash_cnt[3585][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3585][6]~q\,
	datac => \led_flash_cnt[3585][5]~q\,
	combout => \WideAnd3585~1_combout\);

-- Location: LCCOMB_X35_Y17_N4
WideAnd3585 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3585~combout\ = (\led_flash_cnt[3585][7]~q\ & (\WideAnd3585~0_combout\ & (\led_flash_cnt[3585][0]~q\ & \WideAnd3585~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3585][7]~q\,
	datab => \WideAnd3585~0_combout\,
	datac => \led_flash_cnt[3585][0]~q\,
	datad => \WideAnd3585~1_combout\,
	combout => \WideAnd3585~combout\);

-- Location: FF_X35_Y17_N5
\led_flash_cnt_ands[3585]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3585~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3585));

-- Location: LCCOMB_X35_Y21_N10
\led_flash_cnt[3584][0]~84288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3584][0]~84288_combout\ = !\led_flash_cnt[3584][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3584][0]~q\,
	combout => \led_flash_cnt[3584][0]~84288_combout\);

-- Location: FF_X35_Y21_N11
\led_flash_cnt[3584][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3584][0]~84288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3584][0]~q\);

-- Location: LCCOMB_X35_Y21_N18
\led_flash_cnt[3584][1]~77952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3584][1]~77952_combout\ = (\led_flash_cnt[3584][0]~q\ & (\led_flash_cnt[3584][1]~q\ $ (VCC))) # (!\led_flash_cnt[3584][0]~q\ & (\led_flash_cnt[3584][1]~q\ & VCC))
-- \led_flash_cnt[3584][1]~77953\ = CARRY((\led_flash_cnt[3584][0]~q\ & \led_flash_cnt[3584][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3584][0]~q\,
	datab => \led_flash_cnt[3584][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3584][1]~77952_combout\,
	cout => \led_flash_cnt[3584][1]~77953\);

-- Location: FF_X35_Y21_N19
\led_flash_cnt[3584][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3584][1]~77952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3584][1]~q\);

-- Location: LCCOMB_X35_Y21_N20
\led_flash_cnt[3584][2]~77954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3584][2]~77954_combout\ = (\led_flash_cnt[3584][2]~q\ & (!\led_flash_cnt[3584][1]~77953\)) # (!\led_flash_cnt[3584][2]~q\ & ((\led_flash_cnt[3584][1]~77953\) # (GND)))
-- \led_flash_cnt[3584][2]~77955\ = CARRY((!\led_flash_cnt[3584][1]~77953\) # (!\led_flash_cnt[3584][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3584][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3584][1]~77953\,
	combout => \led_flash_cnt[3584][2]~77954_combout\,
	cout => \led_flash_cnt[3584][2]~77955\);

-- Location: FF_X35_Y21_N21
\led_flash_cnt[3584][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3584][2]~77954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3584][2]~q\);

-- Location: LCCOMB_X35_Y21_N22
\led_flash_cnt[3584][3]~77956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3584][3]~77956_combout\ = (\led_flash_cnt[3584][3]~q\ & (\led_flash_cnt[3584][2]~77955\ $ (GND))) # (!\led_flash_cnt[3584][3]~q\ & (!\led_flash_cnt[3584][2]~77955\ & VCC))
-- \led_flash_cnt[3584][3]~77957\ = CARRY((\led_flash_cnt[3584][3]~q\ & !\led_flash_cnt[3584][2]~77955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3584][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3584][2]~77955\,
	combout => \led_flash_cnt[3584][3]~77956_combout\,
	cout => \led_flash_cnt[3584][3]~77957\);

-- Location: FF_X35_Y21_N23
\led_flash_cnt[3584][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3584][3]~77956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3584][3]~q\);

-- Location: LCCOMB_X35_Y21_N24
\led_flash_cnt[3584][4]~77958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3584][4]~77958_combout\ = (\led_flash_cnt[3584][4]~q\ & (!\led_flash_cnt[3584][3]~77957\)) # (!\led_flash_cnt[3584][4]~q\ & ((\led_flash_cnt[3584][3]~77957\) # (GND)))
-- \led_flash_cnt[3584][4]~77959\ = CARRY((!\led_flash_cnt[3584][3]~77957\) # (!\led_flash_cnt[3584][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3584][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3584][3]~77957\,
	combout => \led_flash_cnt[3584][4]~77958_combout\,
	cout => \led_flash_cnt[3584][4]~77959\);

-- Location: FF_X35_Y21_N25
\led_flash_cnt[3584][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3584][4]~77958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3584][4]~q\);

-- Location: LCCOMB_X35_Y21_N26
\led_flash_cnt[3584][5]~77960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3584][5]~77960_combout\ = (\led_flash_cnt[3584][5]~q\ & (\led_flash_cnt[3584][4]~77959\ $ (GND))) # (!\led_flash_cnt[3584][5]~q\ & (!\led_flash_cnt[3584][4]~77959\ & VCC))
-- \led_flash_cnt[3584][5]~77961\ = CARRY((\led_flash_cnt[3584][5]~q\ & !\led_flash_cnt[3584][4]~77959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3584][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3584][4]~77959\,
	combout => \led_flash_cnt[3584][5]~77960_combout\,
	cout => \led_flash_cnt[3584][5]~77961\);

-- Location: FF_X35_Y21_N27
\led_flash_cnt[3584][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3584][5]~77960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3584][5]~q\);

-- Location: LCCOMB_X35_Y21_N28
\led_flash_cnt[3584][6]~77962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3584][6]~77962_combout\ = (\led_flash_cnt[3584][6]~q\ & (!\led_flash_cnt[3584][5]~77961\)) # (!\led_flash_cnt[3584][6]~q\ & ((\led_flash_cnt[3584][5]~77961\) # (GND)))
-- \led_flash_cnt[3584][6]~77963\ = CARRY((!\led_flash_cnt[3584][5]~77961\) # (!\led_flash_cnt[3584][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3584][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3584][5]~77961\,
	combout => \led_flash_cnt[3584][6]~77962_combout\,
	cout => \led_flash_cnt[3584][6]~77963\);

-- Location: FF_X35_Y21_N29
\led_flash_cnt[3584][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3584][6]~77962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3584][6]~q\);

-- Location: LCCOMB_X35_Y21_N4
\WideAnd3584~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3584~1_combout\ = (\led_flash_cnt[3584][5]~q\ & \led_flash_cnt[3584][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3584][5]~q\,
	datad => \led_flash_cnt[3584][6]~q\,
	combout => \WideAnd3584~1_combout\);

-- Location: LCCOMB_X35_Y21_N30
\led_flash_cnt[3584][7]~77964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3584][7]~77964_combout\ = \led_flash_cnt[3584][7]~q\ $ (!\led_flash_cnt[3584][6]~77963\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3584][7]~q\,
	cin => \led_flash_cnt[3584][6]~77963\,
	combout => \led_flash_cnt[3584][7]~77964_combout\);

-- Location: FF_X35_Y21_N31
\led_flash_cnt[3584][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3584][7]~77964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3584][7]~q\);

-- Location: LCCOMB_X35_Y21_N12
\WideAnd3584~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3584~0_combout\ = (\led_flash_cnt[3584][4]~q\ & (\led_flash_cnt[3584][2]~q\ & (\led_flash_cnt[3584][3]~q\ & \led_flash_cnt[3584][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3584][4]~q\,
	datab => \led_flash_cnt[3584][2]~q\,
	datac => \led_flash_cnt[3584][3]~q\,
	datad => \led_flash_cnt[3584][1]~q\,
	combout => \WideAnd3584~0_combout\);

-- Location: LCCOMB_X35_Y21_N0
WideAnd3584 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3584~combout\ = (\led_flash_cnt[3584][0]~q\ & (\WideAnd3584~1_combout\ & (\led_flash_cnt[3584][7]~q\ & \WideAnd3584~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3584][0]~q\,
	datab => \WideAnd3584~1_combout\,
	datac => \led_flash_cnt[3584][7]~q\,
	datad => \WideAnd3584~0_combout\,
	combout => \WideAnd3584~combout\);

-- Location: FF_X35_Y21_N1
\led_flash_cnt_ands[3584]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3584~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3584));

-- Location: LCCOMB_X35_Y21_N8
\WideAnd4288~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4288~0_combout\ = (led_flash_cnt_ands(3587) & (led_flash_cnt_ands(3586) & (led_flash_cnt_ands(3585) & led_flash_cnt_ands(3584))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3587),
	datab => led_flash_cnt_ands(3586),
	datac => led_flash_cnt_ands(3585),
	datad => led_flash_cnt_ands(3584),
	combout => \WideAnd4288~0_combout\);

-- Location: LCCOMB_X34_Y28_N30
\led_flash_cnt[3589][0]~84293\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3589][0]~84293_combout\ = !\led_flash_cnt[3589][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3589][0]~q\,
	combout => \led_flash_cnt[3589][0]~84293_combout\);

-- Location: FF_X34_Y28_N31
\led_flash_cnt[3589][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3589][0]~84293_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3589][0]~q\);

-- Location: LCCOMB_X34_Y27_N16
\led_flash_cnt[3589][1]~78022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3589][1]~78022_combout\ = (\led_flash_cnt[3589][0]~q\ & (\led_flash_cnt[3589][1]~q\ $ (VCC))) # (!\led_flash_cnt[3589][0]~q\ & (\led_flash_cnt[3589][1]~q\ & VCC))
-- \led_flash_cnt[3589][1]~78023\ = CARRY((\led_flash_cnt[3589][0]~q\ & \led_flash_cnt[3589][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3589][0]~q\,
	datab => \led_flash_cnt[3589][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3589][1]~78022_combout\,
	cout => \led_flash_cnt[3589][1]~78023\);

-- Location: FF_X34_Y27_N17
\led_flash_cnt[3589][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3589][1]~78022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3589][1]~q\);

-- Location: LCCOMB_X34_Y27_N18
\led_flash_cnt[3589][2]~78024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3589][2]~78024_combout\ = (\led_flash_cnt[3589][2]~q\ & (!\led_flash_cnt[3589][1]~78023\)) # (!\led_flash_cnt[3589][2]~q\ & ((\led_flash_cnt[3589][1]~78023\) # (GND)))
-- \led_flash_cnt[3589][2]~78025\ = CARRY((!\led_flash_cnt[3589][1]~78023\) # (!\led_flash_cnt[3589][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3589][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3589][1]~78023\,
	combout => \led_flash_cnt[3589][2]~78024_combout\,
	cout => \led_flash_cnt[3589][2]~78025\);

-- Location: FF_X34_Y27_N19
\led_flash_cnt[3589][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3589][2]~78024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3589][2]~q\);

-- Location: LCCOMB_X34_Y27_N20
\led_flash_cnt[3589][3]~78026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3589][3]~78026_combout\ = (\led_flash_cnt[3589][3]~q\ & (\led_flash_cnt[3589][2]~78025\ $ (GND))) # (!\led_flash_cnt[3589][3]~q\ & (!\led_flash_cnt[3589][2]~78025\ & VCC))
-- \led_flash_cnt[3589][3]~78027\ = CARRY((\led_flash_cnt[3589][3]~q\ & !\led_flash_cnt[3589][2]~78025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3589][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3589][2]~78025\,
	combout => \led_flash_cnt[3589][3]~78026_combout\,
	cout => \led_flash_cnt[3589][3]~78027\);

-- Location: FF_X34_Y27_N21
\led_flash_cnt[3589][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3589][3]~78026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3589][3]~q\);

-- Location: LCCOMB_X34_Y27_N22
\led_flash_cnt[3589][4]~78028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3589][4]~78028_combout\ = (\led_flash_cnt[3589][4]~q\ & (!\led_flash_cnt[3589][3]~78027\)) # (!\led_flash_cnt[3589][4]~q\ & ((\led_flash_cnt[3589][3]~78027\) # (GND)))
-- \led_flash_cnt[3589][4]~78029\ = CARRY((!\led_flash_cnt[3589][3]~78027\) # (!\led_flash_cnt[3589][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3589][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3589][3]~78027\,
	combout => \led_flash_cnt[3589][4]~78028_combout\,
	cout => \led_flash_cnt[3589][4]~78029\);

-- Location: FF_X34_Y27_N23
\led_flash_cnt[3589][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3589][4]~78028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3589][4]~q\);

-- Location: LCCOMB_X34_Y27_N30
\WideAnd3589~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3589~0_combout\ = (\led_flash_cnt[3589][1]~q\ & (\led_flash_cnt[3589][3]~q\ & (\led_flash_cnt[3589][4]~q\ & \led_flash_cnt[3589][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3589][1]~q\,
	datab => \led_flash_cnt[3589][3]~q\,
	datac => \led_flash_cnt[3589][4]~q\,
	datad => \led_flash_cnt[3589][2]~q\,
	combout => \WideAnd3589~0_combout\);

-- Location: LCCOMB_X34_Y27_N24
\led_flash_cnt[3589][5]~78030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3589][5]~78030_combout\ = (\led_flash_cnt[3589][5]~q\ & (\led_flash_cnt[3589][4]~78029\ $ (GND))) # (!\led_flash_cnt[3589][5]~q\ & (!\led_flash_cnt[3589][4]~78029\ & VCC))
-- \led_flash_cnt[3589][5]~78031\ = CARRY((\led_flash_cnt[3589][5]~q\ & !\led_flash_cnt[3589][4]~78029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3589][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3589][4]~78029\,
	combout => \led_flash_cnt[3589][5]~78030_combout\,
	cout => \led_flash_cnt[3589][5]~78031\);

-- Location: FF_X34_Y27_N25
\led_flash_cnt[3589][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3589][5]~78030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3589][5]~q\);

-- Location: LCCOMB_X34_Y27_N26
\led_flash_cnt[3589][6]~78032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3589][6]~78032_combout\ = (\led_flash_cnt[3589][6]~q\ & (!\led_flash_cnt[3589][5]~78031\)) # (!\led_flash_cnt[3589][6]~q\ & ((\led_flash_cnt[3589][5]~78031\) # (GND)))
-- \led_flash_cnt[3589][6]~78033\ = CARRY((!\led_flash_cnt[3589][5]~78031\) # (!\led_flash_cnt[3589][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3589][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3589][5]~78031\,
	combout => \led_flash_cnt[3589][6]~78032_combout\,
	cout => \led_flash_cnt[3589][6]~78033\);

-- Location: FF_X34_Y27_N27
\led_flash_cnt[3589][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3589][6]~78032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3589][6]~q\);

-- Location: LCCOMB_X34_Y27_N28
\led_flash_cnt[3589][7]~78034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3589][7]~78034_combout\ = \led_flash_cnt[3589][6]~78033\ $ (!\led_flash_cnt[3589][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3589][7]~q\,
	cin => \led_flash_cnt[3589][6]~78033\,
	combout => \led_flash_cnt[3589][7]~78034_combout\);

-- Location: FF_X34_Y27_N29
\led_flash_cnt[3589][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3589][7]~78034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3589][7]~q\);

-- Location: LCCOMB_X35_Y27_N28
\WideAnd3589~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3589~1_combout\ = (\led_flash_cnt[3589][6]~q\ & \led_flash_cnt[3589][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3589][6]~q\,
	datad => \led_flash_cnt[3589][5]~q\,
	combout => \WideAnd3589~1_combout\);

-- Location: LCCOMB_X34_Y27_N0
WideAnd3589 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3589~combout\ = (\WideAnd3589~0_combout\ & (\led_flash_cnt[3589][7]~q\ & (\led_flash_cnt[3589][0]~q\ & \WideAnd3589~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3589~0_combout\,
	datab => \led_flash_cnt[3589][7]~q\,
	datac => \led_flash_cnt[3589][0]~q\,
	datad => \WideAnd3589~1_combout\,
	combout => \WideAnd3589~combout\);

-- Location: FF_X34_Y27_N1
\led_flash_cnt_ands[3589]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3589~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3589));

-- Location: LCCOMB_X34_Y28_N12
\led_flash_cnt[3588][0]~84292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3588][0]~84292_combout\ = !\led_flash_cnt[3588][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3588][0]~q\,
	combout => \led_flash_cnt[3588][0]~84292_combout\);

-- Location: FF_X34_Y28_N13
\led_flash_cnt[3588][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3588][0]~84292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3588][0]~q\);

-- Location: LCCOMB_X34_Y28_N14
\led_flash_cnt[3588][1]~78008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3588][1]~78008_combout\ = (\led_flash_cnt[3588][0]~q\ & (\led_flash_cnt[3588][1]~q\ $ (VCC))) # (!\led_flash_cnt[3588][0]~q\ & (\led_flash_cnt[3588][1]~q\ & VCC))
-- \led_flash_cnt[3588][1]~78009\ = CARRY((\led_flash_cnt[3588][0]~q\ & \led_flash_cnt[3588][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3588][0]~q\,
	datab => \led_flash_cnt[3588][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3588][1]~78008_combout\,
	cout => \led_flash_cnt[3588][1]~78009\);

-- Location: FF_X34_Y28_N15
\led_flash_cnt[3588][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3588][1]~78008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3588][1]~q\);

-- Location: LCCOMB_X34_Y28_N16
\led_flash_cnt[3588][2]~78010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3588][2]~78010_combout\ = (\led_flash_cnt[3588][2]~q\ & (!\led_flash_cnt[3588][1]~78009\)) # (!\led_flash_cnt[3588][2]~q\ & ((\led_flash_cnt[3588][1]~78009\) # (GND)))
-- \led_flash_cnt[3588][2]~78011\ = CARRY((!\led_flash_cnt[3588][1]~78009\) # (!\led_flash_cnt[3588][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3588][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3588][1]~78009\,
	combout => \led_flash_cnt[3588][2]~78010_combout\,
	cout => \led_flash_cnt[3588][2]~78011\);

-- Location: FF_X34_Y28_N17
\led_flash_cnt[3588][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3588][2]~78010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3588][2]~q\);

-- Location: LCCOMB_X34_Y28_N18
\led_flash_cnt[3588][3]~78012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3588][3]~78012_combout\ = (\led_flash_cnt[3588][3]~q\ & (\led_flash_cnt[3588][2]~78011\ $ (GND))) # (!\led_flash_cnt[3588][3]~q\ & (!\led_flash_cnt[3588][2]~78011\ & VCC))
-- \led_flash_cnt[3588][3]~78013\ = CARRY((\led_flash_cnt[3588][3]~q\ & !\led_flash_cnt[3588][2]~78011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3588][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3588][2]~78011\,
	combout => \led_flash_cnt[3588][3]~78012_combout\,
	cout => \led_flash_cnt[3588][3]~78013\);

-- Location: FF_X34_Y28_N19
\led_flash_cnt[3588][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3588][3]~78012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3588][3]~q\);

-- Location: LCCOMB_X34_Y28_N20
\led_flash_cnt[3588][4]~78014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3588][4]~78014_combout\ = (\led_flash_cnt[3588][4]~q\ & (!\led_flash_cnt[3588][3]~78013\)) # (!\led_flash_cnt[3588][4]~q\ & ((\led_flash_cnt[3588][3]~78013\) # (GND)))
-- \led_flash_cnt[3588][4]~78015\ = CARRY((!\led_flash_cnt[3588][3]~78013\) # (!\led_flash_cnt[3588][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3588][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3588][3]~78013\,
	combout => \led_flash_cnt[3588][4]~78014_combout\,
	cout => \led_flash_cnt[3588][4]~78015\);

-- Location: FF_X34_Y28_N21
\led_flash_cnt[3588][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3588][4]~78014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3588][4]~q\);

-- Location: LCCOMB_X34_Y28_N22
\led_flash_cnt[3588][5]~78016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3588][5]~78016_combout\ = (\led_flash_cnt[3588][5]~q\ & (\led_flash_cnt[3588][4]~78015\ $ (GND))) # (!\led_flash_cnt[3588][5]~q\ & (!\led_flash_cnt[3588][4]~78015\ & VCC))
-- \led_flash_cnt[3588][5]~78017\ = CARRY((\led_flash_cnt[3588][5]~q\ & !\led_flash_cnt[3588][4]~78015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3588][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3588][4]~78015\,
	combout => \led_flash_cnt[3588][5]~78016_combout\,
	cout => \led_flash_cnt[3588][5]~78017\);

-- Location: FF_X34_Y28_N23
\led_flash_cnt[3588][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3588][5]~78016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3588][5]~q\);

-- Location: LCCOMB_X34_Y28_N24
\led_flash_cnt[3588][6]~78018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3588][6]~78018_combout\ = (\led_flash_cnt[3588][6]~q\ & (!\led_flash_cnt[3588][5]~78017\)) # (!\led_flash_cnt[3588][6]~q\ & ((\led_flash_cnt[3588][5]~78017\) # (GND)))
-- \led_flash_cnt[3588][6]~78019\ = CARRY((!\led_flash_cnt[3588][5]~78017\) # (!\led_flash_cnt[3588][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3588][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3588][5]~78017\,
	combout => \led_flash_cnt[3588][6]~78018_combout\,
	cout => \led_flash_cnt[3588][6]~78019\);

-- Location: FF_X34_Y28_N25
\led_flash_cnt[3588][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3588][6]~78018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3588][6]~q\);

-- Location: LCCOMB_X34_Y28_N6
\WideAnd3588~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3588~1_combout\ = (\led_flash_cnt[3588][5]~q\ & \led_flash_cnt[3588][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3588][5]~q\,
	datad => \led_flash_cnt[3588][6]~q\,
	combout => \WideAnd3588~1_combout\);

-- Location: LCCOMB_X34_Y28_N28
\WideAnd3588~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3588~0_combout\ = (\led_flash_cnt[3588][3]~q\ & (\led_flash_cnt[3588][4]~q\ & (\led_flash_cnt[3588][1]~q\ & \led_flash_cnt[3588][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3588][3]~q\,
	datab => \led_flash_cnt[3588][4]~q\,
	datac => \led_flash_cnt[3588][1]~q\,
	datad => \led_flash_cnt[3588][2]~q\,
	combout => \WideAnd3588~0_combout\);

-- Location: LCCOMB_X34_Y28_N26
\led_flash_cnt[3588][7]~78020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3588][7]~78020_combout\ = \led_flash_cnt[3588][7]~q\ $ (!\led_flash_cnt[3588][6]~78019\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3588][7]~q\,
	cin => \led_flash_cnt[3588][6]~78019\,
	combout => \led_flash_cnt[3588][7]~78020_combout\);

-- Location: FF_X34_Y28_N27
\led_flash_cnt[3588][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3588][7]~78020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3588][7]~q\);

-- Location: LCCOMB_X34_Y28_N2
WideAnd3588 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3588~combout\ = (\WideAnd3588~1_combout\ & (\WideAnd3588~0_combout\ & (\led_flash_cnt[3588][7]~q\ & \led_flash_cnt[3588][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3588~1_combout\,
	datab => \WideAnd3588~0_combout\,
	datac => \led_flash_cnt[3588][7]~q\,
	datad => \led_flash_cnt[3588][0]~q\,
	combout => \WideAnd3588~combout\);

-- Location: FF_X34_Y28_N3
\led_flash_cnt_ands[3588]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3588~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3588));

-- Location: LCCOMB_X34_Y28_N8
\WideAnd4288~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4288~1_combout\ = (led_flash_cnt_ands(3589) & led_flash_cnt_ands(3588))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3589),
	datad => led_flash_cnt_ands(3588),
	combout => \WideAnd4288~1_combout\);

-- Location: LCCOMB_X37_Y17_N6
\led_flash_cnt[3590][0]~84294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3590][0]~84294_combout\ = !\led_flash_cnt[3590][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3590][0]~q\,
	combout => \led_flash_cnt[3590][0]~84294_combout\);

-- Location: FF_X37_Y17_N7
\led_flash_cnt[3590][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3590][0]~84294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3590][0]~q\);

-- Location: LCCOMB_X36_Y17_N2
\led_flash_cnt[3590][1]~78036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3590][1]~78036_combout\ = (\led_flash_cnt[3590][0]~q\ & (\led_flash_cnt[3590][1]~q\ $ (VCC))) # (!\led_flash_cnt[3590][0]~q\ & (\led_flash_cnt[3590][1]~q\ & VCC))
-- \led_flash_cnt[3590][1]~78037\ = CARRY((\led_flash_cnt[3590][0]~q\ & \led_flash_cnt[3590][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3590][0]~q\,
	datab => \led_flash_cnt[3590][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3590][1]~78036_combout\,
	cout => \led_flash_cnt[3590][1]~78037\);

-- Location: FF_X36_Y17_N3
\led_flash_cnt[3590][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3590][1]~78036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3590][1]~q\);

-- Location: LCCOMB_X36_Y17_N4
\led_flash_cnt[3590][2]~78038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3590][2]~78038_combout\ = (\led_flash_cnt[3590][2]~q\ & (!\led_flash_cnt[3590][1]~78037\)) # (!\led_flash_cnt[3590][2]~q\ & ((\led_flash_cnt[3590][1]~78037\) # (GND)))
-- \led_flash_cnt[3590][2]~78039\ = CARRY((!\led_flash_cnt[3590][1]~78037\) # (!\led_flash_cnt[3590][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3590][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3590][1]~78037\,
	combout => \led_flash_cnt[3590][2]~78038_combout\,
	cout => \led_flash_cnt[3590][2]~78039\);

-- Location: FF_X36_Y17_N5
\led_flash_cnt[3590][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3590][2]~78038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3590][2]~q\);

-- Location: LCCOMB_X36_Y17_N6
\led_flash_cnt[3590][3]~78040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3590][3]~78040_combout\ = (\led_flash_cnt[3590][3]~q\ & (\led_flash_cnt[3590][2]~78039\ $ (GND))) # (!\led_flash_cnt[3590][3]~q\ & (!\led_flash_cnt[3590][2]~78039\ & VCC))
-- \led_flash_cnt[3590][3]~78041\ = CARRY((\led_flash_cnt[3590][3]~q\ & !\led_flash_cnt[3590][2]~78039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3590][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3590][2]~78039\,
	combout => \led_flash_cnt[3590][3]~78040_combout\,
	cout => \led_flash_cnt[3590][3]~78041\);

-- Location: FF_X36_Y17_N7
\led_flash_cnt[3590][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3590][3]~78040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3590][3]~q\);

-- Location: LCCOMB_X36_Y17_N8
\led_flash_cnt[3590][4]~78042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3590][4]~78042_combout\ = (\led_flash_cnt[3590][4]~q\ & (!\led_flash_cnt[3590][3]~78041\)) # (!\led_flash_cnt[3590][4]~q\ & ((\led_flash_cnt[3590][3]~78041\) # (GND)))
-- \led_flash_cnt[3590][4]~78043\ = CARRY((!\led_flash_cnt[3590][3]~78041\) # (!\led_flash_cnt[3590][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3590][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3590][3]~78041\,
	combout => \led_flash_cnt[3590][4]~78042_combout\,
	cout => \led_flash_cnt[3590][4]~78043\);

-- Location: FF_X36_Y17_N9
\led_flash_cnt[3590][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3590][4]~78042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3590][4]~q\);

-- Location: LCCOMB_X36_Y17_N10
\led_flash_cnt[3590][5]~78044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3590][5]~78044_combout\ = (\led_flash_cnt[3590][5]~q\ & (\led_flash_cnt[3590][4]~78043\ $ (GND))) # (!\led_flash_cnt[3590][5]~q\ & (!\led_flash_cnt[3590][4]~78043\ & VCC))
-- \led_flash_cnt[3590][5]~78045\ = CARRY((\led_flash_cnt[3590][5]~q\ & !\led_flash_cnt[3590][4]~78043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3590][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3590][4]~78043\,
	combout => \led_flash_cnt[3590][5]~78044_combout\,
	cout => \led_flash_cnt[3590][5]~78045\);

-- Location: FF_X36_Y17_N11
\led_flash_cnt[3590][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3590][5]~78044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3590][5]~q\);

-- Location: LCCOMB_X36_Y17_N12
\led_flash_cnt[3590][6]~78046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3590][6]~78046_combout\ = (\led_flash_cnt[3590][6]~q\ & (!\led_flash_cnt[3590][5]~78045\)) # (!\led_flash_cnt[3590][6]~q\ & ((\led_flash_cnt[3590][5]~78045\) # (GND)))
-- \led_flash_cnt[3590][6]~78047\ = CARRY((!\led_flash_cnt[3590][5]~78045\) # (!\led_flash_cnt[3590][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3590][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3590][5]~78045\,
	combout => \led_flash_cnt[3590][6]~78046_combout\,
	cout => \led_flash_cnt[3590][6]~78047\);

-- Location: FF_X36_Y17_N13
\led_flash_cnt[3590][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3590][6]~78046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3590][6]~q\);

-- Location: LCCOMB_X35_Y17_N8
\WideAnd3590~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3590~1_combout\ = (\led_flash_cnt[3590][6]~q\ & \led_flash_cnt[3590][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3590][6]~q\,
	datac => \led_flash_cnt[3590][5]~q\,
	combout => \WideAnd3590~1_combout\);

-- Location: LCCOMB_X36_Y17_N0
\WideAnd3590~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3590~0_combout\ = (\led_flash_cnt[3590][3]~q\ & (\led_flash_cnt[3590][4]~q\ & (\led_flash_cnt[3590][2]~q\ & \led_flash_cnt[3590][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3590][3]~q\,
	datab => \led_flash_cnt[3590][4]~q\,
	datac => \led_flash_cnt[3590][2]~q\,
	datad => \led_flash_cnt[3590][1]~q\,
	combout => \WideAnd3590~0_combout\);

-- Location: LCCOMB_X36_Y17_N14
\led_flash_cnt[3590][7]~78048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3590][7]~78048_combout\ = \led_flash_cnt[3590][7]~q\ $ (!\led_flash_cnt[3590][6]~78047\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3590][7]~q\,
	cin => \led_flash_cnt[3590][6]~78047\,
	combout => \led_flash_cnt[3590][7]~78048_combout\);

-- Location: FF_X36_Y17_N15
\led_flash_cnt[3590][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3590][7]~78048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3590][7]~q\);

-- Location: LCCOMB_X36_Y17_N16
WideAnd3590 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3590~combout\ = (\WideAnd3590~1_combout\ & (\WideAnd3590~0_combout\ & (\led_flash_cnt[3590][7]~q\ & \led_flash_cnt[3590][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3590~1_combout\,
	datab => \WideAnd3590~0_combout\,
	datac => \led_flash_cnt[3590][7]~q\,
	datad => \led_flash_cnt[3590][0]~q\,
	combout => \WideAnd3590~combout\);

-- Location: FF_X36_Y17_N17
\led_flash_cnt_ands[3590]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3590~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3590));

-- Location: LCCOMB_X35_Y17_N28
WideAnd4288 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4288~combout\ = (led_flash_cnt_ands(3591) & (\WideAnd4288~0_combout\ & (\WideAnd4288~1_combout\ & led_flash_cnt_ands(3590))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3591),
	datab => \WideAnd4288~0_combout\,
	datac => \WideAnd4288~1_combout\,
	datad => led_flash_cnt_ands(3590),
	combout => \WideAnd4288~combout\);

-- Location: FF_X35_Y17_N29
\led_flash_cnt_ands_1[448]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4288~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(448));

-- Location: LCCOMB_X46_Y11_N18
\led_flash_cnt[3607][0]~84311\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3607][0]~84311_combout\ = !\led_flash_cnt[3607][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3607][0]~q\,
	combout => \led_flash_cnt[3607][0]~84311_combout\);

-- Location: FF_X46_Y11_N19
\led_flash_cnt[3607][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3607][0]~84311_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3607][0]~q\);

-- Location: LCCOMB_X47_Y11_N18
\led_flash_cnt[3607][1]~78274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3607][1]~78274_combout\ = (\led_flash_cnt[3607][0]~q\ & (\led_flash_cnt[3607][1]~q\ $ (VCC))) # (!\led_flash_cnt[3607][0]~q\ & (\led_flash_cnt[3607][1]~q\ & VCC))
-- \led_flash_cnt[3607][1]~78275\ = CARRY((\led_flash_cnt[3607][0]~q\ & \led_flash_cnt[3607][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3607][0]~q\,
	datab => \led_flash_cnt[3607][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3607][1]~78274_combout\,
	cout => \led_flash_cnt[3607][1]~78275\);

-- Location: FF_X47_Y11_N19
\led_flash_cnt[3607][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3607][1]~78274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3607][1]~q\);

-- Location: LCCOMB_X47_Y11_N20
\led_flash_cnt[3607][2]~78276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3607][2]~78276_combout\ = (\led_flash_cnt[3607][2]~q\ & (!\led_flash_cnt[3607][1]~78275\)) # (!\led_flash_cnt[3607][2]~q\ & ((\led_flash_cnt[3607][1]~78275\) # (GND)))
-- \led_flash_cnt[3607][2]~78277\ = CARRY((!\led_flash_cnt[3607][1]~78275\) # (!\led_flash_cnt[3607][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3607][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3607][1]~78275\,
	combout => \led_flash_cnt[3607][2]~78276_combout\,
	cout => \led_flash_cnt[3607][2]~78277\);

-- Location: FF_X47_Y11_N21
\led_flash_cnt[3607][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3607][2]~78276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3607][2]~q\);

-- Location: LCCOMB_X47_Y11_N22
\led_flash_cnt[3607][3]~78278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3607][3]~78278_combout\ = (\led_flash_cnt[3607][3]~q\ & (\led_flash_cnt[3607][2]~78277\ $ (GND))) # (!\led_flash_cnt[3607][3]~q\ & (!\led_flash_cnt[3607][2]~78277\ & VCC))
-- \led_flash_cnt[3607][3]~78279\ = CARRY((\led_flash_cnt[3607][3]~q\ & !\led_flash_cnt[3607][2]~78277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3607][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3607][2]~78277\,
	combout => \led_flash_cnt[3607][3]~78278_combout\,
	cout => \led_flash_cnt[3607][3]~78279\);

-- Location: FF_X47_Y11_N23
\led_flash_cnt[3607][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3607][3]~78278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3607][3]~q\);

-- Location: LCCOMB_X47_Y11_N24
\led_flash_cnt[3607][4]~78280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3607][4]~78280_combout\ = (\led_flash_cnt[3607][4]~q\ & (!\led_flash_cnt[3607][3]~78279\)) # (!\led_flash_cnt[3607][4]~q\ & ((\led_flash_cnt[3607][3]~78279\) # (GND)))
-- \led_flash_cnt[3607][4]~78281\ = CARRY((!\led_flash_cnt[3607][3]~78279\) # (!\led_flash_cnt[3607][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3607][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3607][3]~78279\,
	combout => \led_flash_cnt[3607][4]~78280_combout\,
	cout => \led_flash_cnt[3607][4]~78281\);

-- Location: FF_X47_Y11_N25
\led_flash_cnt[3607][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3607][4]~78280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3607][4]~q\);

-- Location: LCCOMB_X47_Y11_N26
\led_flash_cnt[3607][5]~78282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3607][5]~78282_combout\ = (\led_flash_cnt[3607][5]~q\ & (\led_flash_cnt[3607][4]~78281\ $ (GND))) # (!\led_flash_cnt[3607][5]~q\ & (!\led_flash_cnt[3607][4]~78281\ & VCC))
-- \led_flash_cnt[3607][5]~78283\ = CARRY((\led_flash_cnt[3607][5]~q\ & !\led_flash_cnt[3607][4]~78281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3607][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3607][4]~78281\,
	combout => \led_flash_cnt[3607][5]~78282_combout\,
	cout => \led_flash_cnt[3607][5]~78283\);

-- Location: FF_X47_Y11_N27
\led_flash_cnt[3607][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3607][5]~78282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3607][5]~q\);

-- Location: LCCOMB_X47_Y11_N28
\led_flash_cnt[3607][6]~78284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3607][6]~78284_combout\ = (\led_flash_cnt[3607][6]~q\ & (!\led_flash_cnt[3607][5]~78283\)) # (!\led_flash_cnt[3607][6]~q\ & ((\led_flash_cnt[3607][5]~78283\) # (GND)))
-- \led_flash_cnt[3607][6]~78285\ = CARRY((!\led_flash_cnt[3607][5]~78283\) # (!\led_flash_cnt[3607][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3607][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3607][5]~78283\,
	combout => \led_flash_cnt[3607][6]~78284_combout\,
	cout => \led_flash_cnt[3607][6]~78285\);

-- Location: FF_X47_Y11_N29
\led_flash_cnt[3607][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3607][6]~78284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3607][6]~q\);

-- Location: LCCOMB_X46_Y11_N20
\WideAnd3607~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3607~1_combout\ = (\led_flash_cnt[3607][6]~q\ & \led_flash_cnt[3607][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3607][6]~q\,
	datad => \led_flash_cnt[3607][5]~q\,
	combout => \WideAnd3607~1_combout\);

-- Location: LCCOMB_X47_Y11_N30
\led_flash_cnt[3607][7]~78286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3607][7]~78286_combout\ = \led_flash_cnt[3607][7]~q\ $ (!\led_flash_cnt[3607][6]~78285\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3607][7]~q\,
	cin => \led_flash_cnt[3607][6]~78285\,
	combout => \led_flash_cnt[3607][7]~78286_combout\);

-- Location: FF_X47_Y11_N31
\led_flash_cnt[3607][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3607][7]~78286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3607][7]~q\);

-- Location: LCCOMB_X47_Y11_N16
\WideAnd3607~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3607~0_combout\ = (\led_flash_cnt[3607][4]~q\ & (\led_flash_cnt[3607][2]~q\ & (\led_flash_cnt[3607][3]~q\ & \led_flash_cnt[3607][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3607][4]~q\,
	datab => \led_flash_cnt[3607][2]~q\,
	datac => \led_flash_cnt[3607][3]~q\,
	datad => \led_flash_cnt[3607][1]~q\,
	combout => \WideAnd3607~0_combout\);

-- Location: LCCOMB_X46_Y11_N22
WideAnd3607 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3607~combout\ = (\led_flash_cnt[3607][0]~q\ & (\WideAnd3607~1_combout\ & (\led_flash_cnt[3607][7]~q\ & \WideAnd3607~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3607][0]~q\,
	datab => \WideAnd3607~1_combout\,
	datac => \led_flash_cnt[3607][7]~q\,
	datad => \WideAnd3607~0_combout\,
	combout => \WideAnd3607~combout\);

-- Location: FF_X46_Y11_N23
\led_flash_cnt_ands[3607]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3607~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3607));

-- Location: LCCOMB_X42_Y16_N12
\led_flash_cnt[3604][0]~84308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3604][0]~84308_combout\ = !\led_flash_cnt[3604][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3604][0]~q\,
	combout => \led_flash_cnt[3604][0]~84308_combout\);

-- Location: FF_X42_Y16_N13
\led_flash_cnt[3604][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3604][0]~84308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3604][0]~q\);

-- Location: LCCOMB_X42_Y16_N18
\led_flash_cnt[3604][1]~78232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3604][1]~78232_combout\ = (\led_flash_cnt[3604][0]~q\ & (\led_flash_cnt[3604][1]~q\ $ (VCC))) # (!\led_flash_cnt[3604][0]~q\ & (\led_flash_cnt[3604][1]~q\ & VCC))
-- \led_flash_cnt[3604][1]~78233\ = CARRY((\led_flash_cnt[3604][0]~q\ & \led_flash_cnt[3604][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3604][0]~q\,
	datab => \led_flash_cnt[3604][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3604][1]~78232_combout\,
	cout => \led_flash_cnt[3604][1]~78233\);

-- Location: FF_X42_Y16_N19
\led_flash_cnt[3604][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3604][1]~78232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3604][1]~q\);

-- Location: LCCOMB_X42_Y16_N20
\led_flash_cnt[3604][2]~78234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3604][2]~78234_combout\ = (\led_flash_cnt[3604][2]~q\ & (!\led_flash_cnt[3604][1]~78233\)) # (!\led_flash_cnt[3604][2]~q\ & ((\led_flash_cnt[3604][1]~78233\) # (GND)))
-- \led_flash_cnt[3604][2]~78235\ = CARRY((!\led_flash_cnt[3604][1]~78233\) # (!\led_flash_cnt[3604][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3604][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3604][1]~78233\,
	combout => \led_flash_cnt[3604][2]~78234_combout\,
	cout => \led_flash_cnt[3604][2]~78235\);

-- Location: FF_X42_Y16_N21
\led_flash_cnt[3604][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3604][2]~78234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3604][2]~q\);

-- Location: LCCOMB_X42_Y16_N22
\led_flash_cnt[3604][3]~78236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3604][3]~78236_combout\ = (\led_flash_cnt[3604][3]~q\ & (\led_flash_cnt[3604][2]~78235\ $ (GND))) # (!\led_flash_cnt[3604][3]~q\ & (!\led_flash_cnt[3604][2]~78235\ & VCC))
-- \led_flash_cnt[3604][3]~78237\ = CARRY((\led_flash_cnt[3604][3]~q\ & !\led_flash_cnt[3604][2]~78235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3604][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3604][2]~78235\,
	combout => \led_flash_cnt[3604][3]~78236_combout\,
	cout => \led_flash_cnt[3604][3]~78237\);

-- Location: FF_X42_Y16_N23
\led_flash_cnt[3604][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3604][3]~78236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3604][3]~q\);

-- Location: LCCOMB_X42_Y16_N24
\led_flash_cnt[3604][4]~78238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3604][4]~78238_combout\ = (\led_flash_cnt[3604][4]~q\ & (!\led_flash_cnt[3604][3]~78237\)) # (!\led_flash_cnt[3604][4]~q\ & ((\led_flash_cnt[3604][3]~78237\) # (GND)))
-- \led_flash_cnt[3604][4]~78239\ = CARRY((!\led_flash_cnt[3604][3]~78237\) # (!\led_flash_cnt[3604][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3604][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3604][3]~78237\,
	combout => \led_flash_cnt[3604][4]~78238_combout\,
	cout => \led_flash_cnt[3604][4]~78239\);

-- Location: FF_X42_Y16_N25
\led_flash_cnt[3604][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3604][4]~78238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3604][4]~q\);

-- Location: LCCOMB_X42_Y16_N14
\WideAnd3604~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3604~0_combout\ = (\led_flash_cnt[3604][4]~q\ & (\led_flash_cnt[3604][2]~q\ & (\led_flash_cnt[3604][3]~q\ & \led_flash_cnt[3604][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3604][4]~q\,
	datab => \led_flash_cnt[3604][2]~q\,
	datac => \led_flash_cnt[3604][3]~q\,
	datad => \led_flash_cnt[3604][1]~q\,
	combout => \WideAnd3604~0_combout\);

-- Location: LCCOMB_X42_Y16_N26
\led_flash_cnt[3604][5]~78240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3604][5]~78240_combout\ = (\led_flash_cnt[3604][5]~q\ & (\led_flash_cnt[3604][4]~78239\ $ (GND))) # (!\led_flash_cnt[3604][5]~q\ & (!\led_flash_cnt[3604][4]~78239\ & VCC))
-- \led_flash_cnt[3604][5]~78241\ = CARRY((\led_flash_cnt[3604][5]~q\ & !\led_flash_cnt[3604][4]~78239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3604][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3604][4]~78239\,
	combout => \led_flash_cnt[3604][5]~78240_combout\,
	cout => \led_flash_cnt[3604][5]~78241\);

-- Location: FF_X42_Y16_N27
\led_flash_cnt[3604][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3604][5]~78240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3604][5]~q\);

-- Location: LCCOMB_X42_Y16_N28
\led_flash_cnt[3604][6]~78242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3604][6]~78242_combout\ = (\led_flash_cnt[3604][6]~q\ & (!\led_flash_cnt[3604][5]~78241\)) # (!\led_flash_cnt[3604][6]~q\ & ((\led_flash_cnt[3604][5]~78241\) # (GND)))
-- \led_flash_cnt[3604][6]~78243\ = CARRY((!\led_flash_cnt[3604][5]~78241\) # (!\led_flash_cnt[3604][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3604][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3604][5]~78241\,
	combout => \led_flash_cnt[3604][6]~78242_combout\,
	cout => \led_flash_cnt[3604][6]~78243\);

-- Location: FF_X42_Y16_N29
\led_flash_cnt[3604][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3604][6]~78242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3604][6]~q\);

-- Location: LCCOMB_X42_Y16_N30
\led_flash_cnt[3604][7]~78244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3604][7]~78244_combout\ = \led_flash_cnt[3604][7]~q\ $ (!\led_flash_cnt[3604][6]~78243\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3604][7]~q\,
	cin => \led_flash_cnt[3604][6]~78243\,
	combout => \led_flash_cnt[3604][7]~78244_combout\);

-- Location: FF_X42_Y16_N31
\led_flash_cnt[3604][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3604][7]~78244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3604][7]~q\);

-- Location: LCCOMB_X42_Y16_N0
\WideAnd3604~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3604~1_combout\ = (\led_flash_cnt[3604][5]~q\ & \led_flash_cnt[3604][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3604][5]~q\,
	datad => \led_flash_cnt[3604][6]~q\,
	combout => \WideAnd3604~1_combout\);

-- Location: LCCOMB_X42_Y16_N4
WideAnd3604 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3604~combout\ = (\led_flash_cnt[3604][0]~q\ & (\WideAnd3604~0_combout\ & (\led_flash_cnt[3604][7]~q\ & \WideAnd3604~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3604][0]~q\,
	datab => \WideAnd3604~0_combout\,
	datac => \led_flash_cnt[3604][7]~q\,
	datad => \WideAnd3604~1_combout\,
	combout => \WideAnd3604~combout\);

-- Location: FF_X42_Y16_N5
\led_flash_cnt_ands[3604]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3604~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3604));

-- Location: LCCOMB_X42_Y16_N6
\led_flash_cnt[3605][0]~84309\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3605][0]~84309_combout\ = !\led_flash_cnt[3605][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3605][0]~q\,
	combout => \led_flash_cnt[3605][0]~84309_combout\);

-- Location: FF_X42_Y16_N7
\led_flash_cnt[3605][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3605][0]~84309_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3605][0]~q\);

-- Location: LCCOMB_X43_Y16_N2
\led_flash_cnt[3605][1]~78246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3605][1]~78246_combout\ = (\led_flash_cnt[3605][1]~q\ & (\led_flash_cnt[3605][0]~q\ $ (VCC))) # (!\led_flash_cnt[3605][1]~q\ & (\led_flash_cnt[3605][0]~q\ & VCC))
-- \led_flash_cnt[3605][1]~78247\ = CARRY((\led_flash_cnt[3605][1]~q\ & \led_flash_cnt[3605][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3605][1]~q\,
	datab => \led_flash_cnt[3605][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3605][1]~78246_combout\,
	cout => \led_flash_cnt[3605][1]~78247\);

-- Location: FF_X43_Y16_N3
\led_flash_cnt[3605][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3605][1]~78246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3605][1]~q\);

-- Location: LCCOMB_X43_Y16_N4
\led_flash_cnt[3605][2]~78248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3605][2]~78248_combout\ = (\led_flash_cnt[3605][2]~q\ & (!\led_flash_cnt[3605][1]~78247\)) # (!\led_flash_cnt[3605][2]~q\ & ((\led_flash_cnt[3605][1]~78247\) # (GND)))
-- \led_flash_cnt[3605][2]~78249\ = CARRY((!\led_flash_cnt[3605][1]~78247\) # (!\led_flash_cnt[3605][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3605][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3605][1]~78247\,
	combout => \led_flash_cnt[3605][2]~78248_combout\,
	cout => \led_flash_cnt[3605][2]~78249\);

-- Location: FF_X43_Y16_N5
\led_flash_cnt[3605][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3605][2]~78248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3605][2]~q\);

-- Location: LCCOMB_X43_Y16_N6
\led_flash_cnt[3605][3]~78250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3605][3]~78250_combout\ = (\led_flash_cnt[3605][3]~q\ & (\led_flash_cnt[3605][2]~78249\ $ (GND))) # (!\led_flash_cnt[3605][3]~q\ & (!\led_flash_cnt[3605][2]~78249\ & VCC))
-- \led_flash_cnt[3605][3]~78251\ = CARRY((\led_flash_cnt[3605][3]~q\ & !\led_flash_cnt[3605][2]~78249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3605][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3605][2]~78249\,
	combout => \led_flash_cnt[3605][3]~78250_combout\,
	cout => \led_flash_cnt[3605][3]~78251\);

-- Location: FF_X43_Y16_N7
\led_flash_cnt[3605][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3605][3]~78250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3605][3]~q\);

-- Location: LCCOMB_X43_Y16_N8
\led_flash_cnt[3605][4]~78252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3605][4]~78252_combout\ = (\led_flash_cnt[3605][4]~q\ & (!\led_flash_cnt[3605][3]~78251\)) # (!\led_flash_cnt[3605][4]~q\ & ((\led_flash_cnt[3605][3]~78251\) # (GND)))
-- \led_flash_cnt[3605][4]~78253\ = CARRY((!\led_flash_cnt[3605][3]~78251\) # (!\led_flash_cnt[3605][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3605][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3605][3]~78251\,
	combout => \led_flash_cnt[3605][4]~78252_combout\,
	cout => \led_flash_cnt[3605][4]~78253\);

-- Location: FF_X43_Y16_N9
\led_flash_cnt[3605][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3605][4]~78252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3605][4]~q\);

-- Location: LCCOMB_X43_Y16_N10
\led_flash_cnt[3605][5]~78254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3605][5]~78254_combout\ = (\led_flash_cnt[3605][5]~q\ & (\led_flash_cnt[3605][4]~78253\ $ (GND))) # (!\led_flash_cnt[3605][5]~q\ & (!\led_flash_cnt[3605][4]~78253\ & VCC))
-- \led_flash_cnt[3605][5]~78255\ = CARRY((\led_flash_cnt[3605][5]~q\ & !\led_flash_cnt[3605][4]~78253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3605][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3605][4]~78253\,
	combout => \led_flash_cnt[3605][5]~78254_combout\,
	cout => \led_flash_cnt[3605][5]~78255\);

-- Location: FF_X43_Y16_N11
\led_flash_cnt[3605][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3605][5]~78254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3605][5]~q\);

-- Location: LCCOMB_X43_Y16_N12
\led_flash_cnt[3605][6]~78256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3605][6]~78256_combout\ = (\led_flash_cnt[3605][6]~q\ & (!\led_flash_cnt[3605][5]~78255\)) # (!\led_flash_cnt[3605][6]~q\ & ((\led_flash_cnt[3605][5]~78255\) # (GND)))
-- \led_flash_cnt[3605][6]~78257\ = CARRY((!\led_flash_cnt[3605][5]~78255\) # (!\led_flash_cnt[3605][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3605][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3605][5]~78255\,
	combout => \led_flash_cnt[3605][6]~78256_combout\,
	cout => \led_flash_cnt[3605][6]~78257\);

-- Location: FF_X43_Y16_N13
\led_flash_cnt[3605][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3605][6]~78256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3605][6]~q\);

-- Location: LCCOMB_X42_Y16_N10
\WideAnd3605~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3605~1_combout\ = (\led_flash_cnt[3605][6]~q\ & \led_flash_cnt[3605][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3605][6]~q\,
	datac => \led_flash_cnt[3605][5]~q\,
	combout => \WideAnd3605~1_combout\);

-- Location: LCCOMB_X42_Y16_N2
\WideAnd3605~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3605~0_combout\ = (\led_flash_cnt[3605][1]~q\ & (\led_flash_cnt[3605][3]~q\ & (\led_flash_cnt[3605][4]~q\ & \led_flash_cnt[3605][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3605][1]~q\,
	datab => \led_flash_cnt[3605][3]~q\,
	datac => \led_flash_cnt[3605][4]~q\,
	datad => \led_flash_cnt[3605][2]~q\,
	combout => \WideAnd3605~0_combout\);

-- Location: LCCOMB_X43_Y16_N14
\led_flash_cnt[3605][7]~78258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3605][7]~78258_combout\ = \led_flash_cnt[3605][7]~q\ $ (!\led_flash_cnt[3605][6]~78257\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3605][7]~q\,
	cin => \led_flash_cnt[3605][6]~78257\,
	combout => \led_flash_cnt[3605][7]~78258_combout\);

-- Location: FF_X43_Y16_N15
\led_flash_cnt[3605][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3605][7]~78258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3605][7]~q\);

-- Location: LCCOMB_X42_Y16_N8
WideAnd3605 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3605~combout\ = (\WideAnd3605~1_combout\ & (\WideAnd3605~0_combout\ & (\led_flash_cnt[3605][7]~q\ & \led_flash_cnt[3605][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3605~1_combout\,
	datab => \WideAnd3605~0_combout\,
	datac => \led_flash_cnt[3605][7]~q\,
	datad => \led_flash_cnt[3605][0]~q\,
	combout => \WideAnd3605~combout\);

-- Location: FF_X42_Y16_N9
\led_flash_cnt_ands[3605]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3605~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3605));

-- Location: LCCOMB_X42_Y14_N28
\WideAnd4290~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4290~1_combout\ = (led_flash_cnt_ands(3604) & led_flash_cnt_ands(3605))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3604),
	datad => led_flash_cnt_ands(3605),
	combout => \WideAnd4290~1_combout\);

-- Location: LCCOMB_X39_Y12_N26
\led_flash_cnt[3606][0]~84310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3606][0]~84310_combout\ = !\led_flash_cnt[3606][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3606][0]~q\,
	combout => \led_flash_cnt[3606][0]~84310_combout\);

-- Location: FF_X39_Y12_N27
\led_flash_cnt[3606][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3606][0]~84310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3606][0]~q\);

-- Location: LCCOMB_X40_Y12_N16
\led_flash_cnt[3606][1]~78260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3606][1]~78260_combout\ = (\led_flash_cnt[3606][0]~q\ & (\led_flash_cnt[3606][1]~q\ $ (VCC))) # (!\led_flash_cnt[3606][0]~q\ & (\led_flash_cnt[3606][1]~q\ & VCC))
-- \led_flash_cnt[3606][1]~78261\ = CARRY((\led_flash_cnt[3606][0]~q\ & \led_flash_cnt[3606][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3606][0]~q\,
	datab => \led_flash_cnt[3606][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3606][1]~78260_combout\,
	cout => \led_flash_cnt[3606][1]~78261\);

-- Location: FF_X40_Y12_N17
\led_flash_cnt[3606][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3606][1]~78260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3606][1]~q\);

-- Location: LCCOMB_X40_Y12_N18
\led_flash_cnt[3606][2]~78262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3606][2]~78262_combout\ = (\led_flash_cnt[3606][2]~q\ & (!\led_flash_cnt[3606][1]~78261\)) # (!\led_flash_cnt[3606][2]~q\ & ((\led_flash_cnt[3606][1]~78261\) # (GND)))
-- \led_flash_cnt[3606][2]~78263\ = CARRY((!\led_flash_cnt[3606][1]~78261\) # (!\led_flash_cnt[3606][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3606][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3606][1]~78261\,
	combout => \led_flash_cnt[3606][2]~78262_combout\,
	cout => \led_flash_cnt[3606][2]~78263\);

-- Location: FF_X40_Y12_N19
\led_flash_cnt[3606][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3606][2]~78262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3606][2]~q\);

-- Location: LCCOMB_X40_Y12_N20
\led_flash_cnt[3606][3]~78264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3606][3]~78264_combout\ = (\led_flash_cnt[3606][3]~q\ & (\led_flash_cnt[3606][2]~78263\ $ (GND))) # (!\led_flash_cnt[3606][3]~q\ & (!\led_flash_cnt[3606][2]~78263\ & VCC))
-- \led_flash_cnt[3606][3]~78265\ = CARRY((\led_flash_cnt[3606][3]~q\ & !\led_flash_cnt[3606][2]~78263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3606][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3606][2]~78263\,
	combout => \led_flash_cnt[3606][3]~78264_combout\,
	cout => \led_flash_cnt[3606][3]~78265\);

-- Location: FF_X40_Y12_N21
\led_flash_cnt[3606][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3606][3]~78264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3606][3]~q\);

-- Location: LCCOMB_X40_Y12_N22
\led_flash_cnt[3606][4]~78266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3606][4]~78266_combout\ = (\led_flash_cnt[3606][4]~q\ & (!\led_flash_cnt[3606][3]~78265\)) # (!\led_flash_cnt[3606][4]~q\ & ((\led_flash_cnt[3606][3]~78265\) # (GND)))
-- \led_flash_cnt[3606][4]~78267\ = CARRY((!\led_flash_cnt[3606][3]~78265\) # (!\led_flash_cnt[3606][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3606][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3606][3]~78265\,
	combout => \led_flash_cnt[3606][4]~78266_combout\,
	cout => \led_flash_cnt[3606][4]~78267\);

-- Location: FF_X40_Y12_N23
\led_flash_cnt[3606][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3606][4]~78266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3606][4]~q\);

-- Location: LCCOMB_X40_Y12_N30
\WideAnd3606~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3606~0_combout\ = (\led_flash_cnt[3606][2]~q\ & (\led_flash_cnt[3606][3]~q\ & (\led_flash_cnt[3606][4]~q\ & \led_flash_cnt[3606][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3606][2]~q\,
	datab => \led_flash_cnt[3606][3]~q\,
	datac => \led_flash_cnt[3606][4]~q\,
	datad => \led_flash_cnt[3606][1]~q\,
	combout => \WideAnd3606~0_combout\);

-- Location: LCCOMB_X40_Y12_N24
\led_flash_cnt[3606][5]~78268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3606][5]~78268_combout\ = (\led_flash_cnt[3606][5]~q\ & (\led_flash_cnt[3606][4]~78267\ $ (GND))) # (!\led_flash_cnt[3606][5]~q\ & (!\led_flash_cnt[3606][4]~78267\ & VCC))
-- \led_flash_cnt[3606][5]~78269\ = CARRY((\led_flash_cnt[3606][5]~q\ & !\led_flash_cnt[3606][4]~78267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3606][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3606][4]~78267\,
	combout => \led_flash_cnt[3606][5]~78268_combout\,
	cout => \led_flash_cnt[3606][5]~78269\);

-- Location: FF_X40_Y12_N25
\led_flash_cnt[3606][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3606][5]~78268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3606][5]~q\);

-- Location: LCCOMB_X40_Y12_N26
\led_flash_cnt[3606][6]~78270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3606][6]~78270_combout\ = (\led_flash_cnt[3606][6]~q\ & (!\led_flash_cnt[3606][5]~78269\)) # (!\led_flash_cnt[3606][6]~q\ & ((\led_flash_cnt[3606][5]~78269\) # (GND)))
-- \led_flash_cnt[3606][6]~78271\ = CARRY((!\led_flash_cnt[3606][5]~78269\) # (!\led_flash_cnt[3606][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3606][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3606][5]~78269\,
	combout => \led_flash_cnt[3606][6]~78270_combout\,
	cout => \led_flash_cnt[3606][6]~78271\);

-- Location: FF_X40_Y12_N27
\led_flash_cnt[3606][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3606][6]~78270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3606][6]~q\);

-- Location: LCCOMB_X40_Y12_N28
\led_flash_cnt[3606][7]~78272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3606][7]~78272_combout\ = \led_flash_cnt[3606][6]~78271\ $ (!\led_flash_cnt[3606][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3606][7]~q\,
	cin => \led_flash_cnt[3606][6]~78271\,
	combout => \led_flash_cnt[3606][7]~78272_combout\);

-- Location: FF_X40_Y12_N29
\led_flash_cnt[3606][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3606][7]~78272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3606][7]~q\);

-- Location: LCCOMB_X39_Y12_N24
\WideAnd3606~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3606~1_combout\ = (\led_flash_cnt[3606][6]~q\ & \led_flash_cnt[3606][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3606][6]~q\,
	datad => \led_flash_cnt[3606][5]~q\,
	combout => \WideAnd3606~1_combout\);

-- Location: LCCOMB_X39_Y12_N2
WideAnd3606 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3606~combout\ = (\WideAnd3606~0_combout\ & (\led_flash_cnt[3606][7]~q\ & (\led_flash_cnt[3606][0]~q\ & \WideAnd3606~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3606~0_combout\,
	datab => \led_flash_cnt[3606][7]~q\,
	datac => \led_flash_cnt[3606][0]~q\,
	datad => \WideAnd3606~1_combout\,
	combout => \WideAnd3606~combout\);

-- Location: FF_X39_Y12_N3
\led_flash_cnt_ands[3606]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3606~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3606));

-- Location: LCCOMB_X23_Y7_N20
\led_flash_cnt[3603][0]~84307\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3603][0]~84307_combout\ = !\led_flash_cnt[3603][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3603][0]~q\,
	combout => \led_flash_cnt[3603][0]~84307_combout\);

-- Location: FF_X23_Y7_N21
\led_flash_cnt[3603][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3603][0]~84307_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3603][0]~q\);

-- Location: LCCOMB_X19_Y7_N0
\led_flash_cnt[3603][1]~78218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3603][1]~78218_combout\ = (\led_flash_cnt[3603][1]~q\ & (\led_flash_cnt[3603][0]~q\ $ (VCC))) # (!\led_flash_cnt[3603][1]~q\ & (\led_flash_cnt[3603][0]~q\ & VCC))
-- \led_flash_cnt[3603][1]~78219\ = CARRY((\led_flash_cnt[3603][1]~q\ & \led_flash_cnt[3603][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3603][1]~q\,
	datab => \led_flash_cnt[3603][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3603][1]~78218_combout\,
	cout => \led_flash_cnt[3603][1]~78219\);

-- Location: FF_X19_Y7_N1
\led_flash_cnt[3603][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3603][1]~78218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3603][1]~q\);

-- Location: LCCOMB_X19_Y7_N2
\led_flash_cnt[3603][2]~78220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3603][2]~78220_combout\ = (\led_flash_cnt[3603][2]~q\ & (!\led_flash_cnt[3603][1]~78219\)) # (!\led_flash_cnt[3603][2]~q\ & ((\led_flash_cnt[3603][1]~78219\) # (GND)))
-- \led_flash_cnt[3603][2]~78221\ = CARRY((!\led_flash_cnt[3603][1]~78219\) # (!\led_flash_cnt[3603][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3603][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3603][1]~78219\,
	combout => \led_flash_cnt[3603][2]~78220_combout\,
	cout => \led_flash_cnt[3603][2]~78221\);

-- Location: FF_X19_Y7_N3
\led_flash_cnt[3603][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3603][2]~78220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3603][2]~q\);

-- Location: LCCOMB_X19_Y7_N4
\led_flash_cnt[3603][3]~78222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3603][3]~78222_combout\ = (\led_flash_cnt[3603][3]~q\ & (\led_flash_cnt[3603][2]~78221\ $ (GND))) # (!\led_flash_cnt[3603][3]~q\ & (!\led_flash_cnt[3603][2]~78221\ & VCC))
-- \led_flash_cnt[3603][3]~78223\ = CARRY((\led_flash_cnt[3603][3]~q\ & !\led_flash_cnt[3603][2]~78221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3603][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3603][2]~78221\,
	combout => \led_flash_cnt[3603][3]~78222_combout\,
	cout => \led_flash_cnt[3603][3]~78223\);

-- Location: FF_X19_Y7_N5
\led_flash_cnt[3603][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3603][3]~78222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3603][3]~q\);

-- Location: LCCOMB_X19_Y7_N6
\led_flash_cnt[3603][4]~78224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3603][4]~78224_combout\ = (\led_flash_cnt[3603][4]~q\ & (!\led_flash_cnt[3603][3]~78223\)) # (!\led_flash_cnt[3603][4]~q\ & ((\led_flash_cnt[3603][3]~78223\) # (GND)))
-- \led_flash_cnt[3603][4]~78225\ = CARRY((!\led_flash_cnt[3603][3]~78223\) # (!\led_flash_cnt[3603][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3603][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3603][3]~78223\,
	combout => \led_flash_cnt[3603][4]~78224_combout\,
	cout => \led_flash_cnt[3603][4]~78225\);

-- Location: FF_X19_Y7_N7
\led_flash_cnt[3603][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3603][4]~78224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3603][4]~q\);

-- Location: LCCOMB_X19_Y7_N14
\WideAnd3603~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3603~0_combout\ = (\led_flash_cnt[3603][4]~q\ & (\led_flash_cnt[3603][1]~q\ & (\led_flash_cnt[3603][3]~q\ & \led_flash_cnt[3603][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3603][4]~q\,
	datab => \led_flash_cnt[3603][1]~q\,
	datac => \led_flash_cnt[3603][3]~q\,
	datad => \led_flash_cnt[3603][2]~q\,
	combout => \WideAnd3603~0_combout\);

-- Location: LCCOMB_X19_Y7_N8
\led_flash_cnt[3603][5]~78226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3603][5]~78226_combout\ = (\led_flash_cnt[3603][5]~q\ & (\led_flash_cnt[3603][4]~78225\ $ (GND))) # (!\led_flash_cnt[3603][5]~q\ & (!\led_flash_cnt[3603][4]~78225\ & VCC))
-- \led_flash_cnt[3603][5]~78227\ = CARRY((\led_flash_cnt[3603][5]~q\ & !\led_flash_cnt[3603][4]~78225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3603][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3603][4]~78225\,
	combout => \led_flash_cnt[3603][5]~78226_combout\,
	cout => \led_flash_cnt[3603][5]~78227\);

-- Location: FF_X19_Y7_N9
\led_flash_cnt[3603][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3603][5]~78226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3603][5]~q\);

-- Location: LCCOMB_X19_Y7_N10
\led_flash_cnt[3603][6]~78228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3603][6]~78228_combout\ = (\led_flash_cnt[3603][6]~q\ & (!\led_flash_cnt[3603][5]~78227\)) # (!\led_flash_cnt[3603][6]~q\ & ((\led_flash_cnt[3603][5]~78227\) # (GND)))
-- \led_flash_cnt[3603][6]~78229\ = CARRY((!\led_flash_cnt[3603][5]~78227\) # (!\led_flash_cnt[3603][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3603][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3603][5]~78227\,
	combout => \led_flash_cnt[3603][6]~78228_combout\,
	cout => \led_flash_cnt[3603][6]~78229\);

-- Location: FF_X19_Y7_N11
\led_flash_cnt[3603][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3603][6]~78228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3603][6]~q\);

-- Location: LCCOMB_X20_Y7_N28
\WideAnd3603~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3603~1_combout\ = (\led_flash_cnt[3603][5]~q\ & \led_flash_cnt[3603][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3603][5]~q\,
	datad => \led_flash_cnt[3603][6]~q\,
	combout => \WideAnd3603~1_combout\);

-- Location: LCCOMB_X19_Y7_N12
\led_flash_cnt[3603][7]~78230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3603][7]~78230_combout\ = \led_flash_cnt[3603][6]~78229\ $ (!\led_flash_cnt[3603][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3603][7]~q\,
	cin => \led_flash_cnt[3603][6]~78229\,
	combout => \led_flash_cnt[3603][7]~78230_combout\);

-- Location: FF_X19_Y7_N13
\led_flash_cnt[3603][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3603][7]~78230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3603][7]~q\);

-- Location: LCCOMB_X20_Y7_N4
WideAnd3603 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3603~combout\ = (\WideAnd3603~0_combout\ & (\WideAnd3603~1_combout\ & (\led_flash_cnt[3603][0]~q\ & \led_flash_cnt[3603][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3603~0_combout\,
	datab => \WideAnd3603~1_combout\,
	datac => \led_flash_cnt[3603][0]~q\,
	datad => \led_flash_cnt[3603][7]~q\,
	combout => \WideAnd3603~combout\);

-- Location: FF_X20_Y7_N5
\led_flash_cnt_ands[3603]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3603~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3603));

-- Location: LCCOMB_X24_Y2_N6
\led_flash_cnt[3601][0]~84305\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3601][0]~84305_combout\ = !\led_flash_cnt[3601][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3601][0]~q\,
	combout => \led_flash_cnt[3601][0]~84305_combout\);

-- Location: FF_X24_Y2_N7
\led_flash_cnt[3601][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3601][0]~84305_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3601][0]~q\);

-- Location: LCCOMB_X25_Y2_N2
\led_flash_cnt[3601][1]~78190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3601][1]~78190_combout\ = (\led_flash_cnt[3601][0]~q\ & (\led_flash_cnt[3601][1]~q\ $ (VCC))) # (!\led_flash_cnt[3601][0]~q\ & (\led_flash_cnt[3601][1]~q\ & VCC))
-- \led_flash_cnt[3601][1]~78191\ = CARRY((\led_flash_cnt[3601][0]~q\ & \led_flash_cnt[3601][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3601][0]~q\,
	datab => \led_flash_cnt[3601][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3601][1]~78190_combout\,
	cout => \led_flash_cnt[3601][1]~78191\);

-- Location: FF_X25_Y2_N3
\led_flash_cnt[3601][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3601][1]~78190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3601][1]~q\);

-- Location: LCCOMB_X25_Y2_N4
\led_flash_cnt[3601][2]~78192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3601][2]~78192_combout\ = (\led_flash_cnt[3601][2]~q\ & (!\led_flash_cnt[3601][1]~78191\)) # (!\led_flash_cnt[3601][2]~q\ & ((\led_flash_cnt[3601][1]~78191\) # (GND)))
-- \led_flash_cnt[3601][2]~78193\ = CARRY((!\led_flash_cnt[3601][1]~78191\) # (!\led_flash_cnt[3601][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3601][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3601][1]~78191\,
	combout => \led_flash_cnt[3601][2]~78192_combout\,
	cout => \led_flash_cnt[3601][2]~78193\);

-- Location: FF_X25_Y2_N5
\led_flash_cnt[3601][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3601][2]~78192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3601][2]~q\);

-- Location: LCCOMB_X25_Y2_N6
\led_flash_cnt[3601][3]~78194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3601][3]~78194_combout\ = (\led_flash_cnt[3601][3]~q\ & (\led_flash_cnt[3601][2]~78193\ $ (GND))) # (!\led_flash_cnt[3601][3]~q\ & (!\led_flash_cnt[3601][2]~78193\ & VCC))
-- \led_flash_cnt[3601][3]~78195\ = CARRY((\led_flash_cnt[3601][3]~q\ & !\led_flash_cnt[3601][2]~78193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3601][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3601][2]~78193\,
	combout => \led_flash_cnt[3601][3]~78194_combout\,
	cout => \led_flash_cnt[3601][3]~78195\);

-- Location: FF_X25_Y2_N7
\led_flash_cnt[3601][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3601][3]~78194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3601][3]~q\);

-- Location: LCCOMB_X25_Y2_N8
\led_flash_cnt[3601][4]~78196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3601][4]~78196_combout\ = (\led_flash_cnt[3601][4]~q\ & (!\led_flash_cnt[3601][3]~78195\)) # (!\led_flash_cnt[3601][4]~q\ & ((\led_flash_cnt[3601][3]~78195\) # (GND)))
-- \led_flash_cnt[3601][4]~78197\ = CARRY((!\led_flash_cnt[3601][3]~78195\) # (!\led_flash_cnt[3601][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3601][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3601][3]~78195\,
	combout => \led_flash_cnt[3601][4]~78196_combout\,
	cout => \led_flash_cnt[3601][4]~78197\);

-- Location: FF_X25_Y2_N9
\led_flash_cnt[3601][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3601][4]~78196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3601][4]~q\);

-- Location: LCCOMB_X25_Y2_N10
\led_flash_cnt[3601][5]~78198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3601][5]~78198_combout\ = (\led_flash_cnt[3601][5]~q\ & (\led_flash_cnt[3601][4]~78197\ $ (GND))) # (!\led_flash_cnt[3601][5]~q\ & (!\led_flash_cnt[3601][4]~78197\ & VCC))
-- \led_flash_cnt[3601][5]~78199\ = CARRY((\led_flash_cnt[3601][5]~q\ & !\led_flash_cnt[3601][4]~78197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3601][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3601][4]~78197\,
	combout => \led_flash_cnt[3601][5]~78198_combout\,
	cout => \led_flash_cnt[3601][5]~78199\);

-- Location: FF_X25_Y2_N11
\led_flash_cnt[3601][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3601][5]~78198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3601][5]~q\);

-- Location: LCCOMB_X25_Y2_N12
\led_flash_cnt[3601][6]~78200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3601][6]~78200_combout\ = (\led_flash_cnt[3601][6]~q\ & (!\led_flash_cnt[3601][5]~78199\)) # (!\led_flash_cnt[3601][6]~q\ & ((\led_flash_cnt[3601][5]~78199\) # (GND)))
-- \led_flash_cnt[3601][6]~78201\ = CARRY((!\led_flash_cnt[3601][5]~78199\) # (!\led_flash_cnt[3601][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3601][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3601][5]~78199\,
	combout => \led_flash_cnt[3601][6]~78200_combout\,
	cout => \led_flash_cnt[3601][6]~78201\);

-- Location: FF_X25_Y2_N13
\led_flash_cnt[3601][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3601][6]~78200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3601][6]~q\);

-- Location: LCCOMB_X24_Y2_N30
\WideAnd3601~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3601~1_combout\ = (\led_flash_cnt[3601][6]~q\ & \led_flash_cnt[3601][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3601][6]~q\,
	datac => \led_flash_cnt[3601][5]~q\,
	combout => \WideAnd3601~1_combout\);

-- Location: LCCOMB_X25_Y2_N0
\WideAnd3601~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3601~0_combout\ = (\led_flash_cnt[3601][3]~q\ & (\led_flash_cnt[3601][4]~q\ & (\led_flash_cnt[3601][2]~q\ & \led_flash_cnt[3601][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3601][3]~q\,
	datab => \led_flash_cnt[3601][4]~q\,
	datac => \led_flash_cnt[3601][2]~q\,
	datad => \led_flash_cnt[3601][1]~q\,
	combout => \WideAnd3601~0_combout\);

-- Location: LCCOMB_X25_Y2_N14
\led_flash_cnt[3601][7]~78202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3601][7]~78202_combout\ = \led_flash_cnt[3601][7]~q\ $ (!\led_flash_cnt[3601][6]~78201\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3601][7]~q\,
	cin => \led_flash_cnt[3601][6]~78201\,
	combout => \led_flash_cnt[3601][7]~78202_combout\);

-- Location: FF_X25_Y2_N15
\led_flash_cnt[3601][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3601][7]~78202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3601][7]~q\);

-- Location: LCCOMB_X24_Y2_N14
WideAnd3601 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3601~combout\ = (\WideAnd3601~1_combout\ & (\WideAnd3601~0_combout\ & (\led_flash_cnt[3601][7]~q\ & \led_flash_cnt[3601][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3601~1_combout\,
	datab => \WideAnd3601~0_combout\,
	datac => \led_flash_cnt[3601][7]~q\,
	datad => \led_flash_cnt[3601][0]~q\,
	combout => \WideAnd3601~combout\);

-- Location: FF_X24_Y2_N15
\led_flash_cnt_ands[3601]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3601~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3601));

-- Location: LCCOMB_X39_Y12_N0
\led_flash_cnt[3602][0]~84306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3602][0]~84306_combout\ = !\led_flash_cnt[3602][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3602][0]~q\,
	combout => \led_flash_cnt[3602][0]~84306_combout\);

-- Location: FF_X39_Y12_N1
\led_flash_cnt[3602][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3602][0]~84306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3602][0]~q\);

-- Location: LCCOMB_X39_Y12_N10
\led_flash_cnt[3602][1]~78204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3602][1]~78204_combout\ = (\led_flash_cnt[3602][1]~q\ & (\led_flash_cnt[3602][0]~q\ $ (VCC))) # (!\led_flash_cnt[3602][1]~q\ & (\led_flash_cnt[3602][0]~q\ & VCC))
-- \led_flash_cnt[3602][1]~78205\ = CARRY((\led_flash_cnt[3602][1]~q\ & \led_flash_cnt[3602][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3602][1]~q\,
	datab => \led_flash_cnt[3602][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3602][1]~78204_combout\,
	cout => \led_flash_cnt[3602][1]~78205\);

-- Location: FF_X39_Y12_N11
\led_flash_cnt[3602][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3602][1]~78204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3602][1]~q\);

-- Location: LCCOMB_X39_Y12_N12
\led_flash_cnt[3602][2]~78206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3602][2]~78206_combout\ = (\led_flash_cnt[3602][2]~q\ & (!\led_flash_cnt[3602][1]~78205\)) # (!\led_flash_cnt[3602][2]~q\ & ((\led_flash_cnt[3602][1]~78205\) # (GND)))
-- \led_flash_cnt[3602][2]~78207\ = CARRY((!\led_flash_cnt[3602][1]~78205\) # (!\led_flash_cnt[3602][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3602][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3602][1]~78205\,
	combout => \led_flash_cnt[3602][2]~78206_combout\,
	cout => \led_flash_cnt[3602][2]~78207\);

-- Location: FF_X39_Y12_N13
\led_flash_cnt[3602][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3602][2]~78206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3602][2]~q\);

-- Location: LCCOMB_X39_Y12_N14
\led_flash_cnt[3602][3]~78208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3602][3]~78208_combout\ = (\led_flash_cnt[3602][3]~q\ & (\led_flash_cnt[3602][2]~78207\ $ (GND))) # (!\led_flash_cnt[3602][3]~q\ & (!\led_flash_cnt[3602][2]~78207\ & VCC))
-- \led_flash_cnt[3602][3]~78209\ = CARRY((\led_flash_cnt[3602][3]~q\ & !\led_flash_cnt[3602][2]~78207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3602][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3602][2]~78207\,
	combout => \led_flash_cnt[3602][3]~78208_combout\,
	cout => \led_flash_cnt[3602][3]~78209\);

-- Location: FF_X39_Y12_N15
\led_flash_cnt[3602][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3602][3]~78208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3602][3]~q\);

-- Location: LCCOMB_X39_Y12_N16
\led_flash_cnt[3602][4]~78210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3602][4]~78210_combout\ = (\led_flash_cnt[3602][4]~q\ & (!\led_flash_cnt[3602][3]~78209\)) # (!\led_flash_cnt[3602][4]~q\ & ((\led_flash_cnt[3602][3]~78209\) # (GND)))
-- \led_flash_cnt[3602][4]~78211\ = CARRY((!\led_flash_cnt[3602][3]~78209\) # (!\led_flash_cnt[3602][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3602][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3602][3]~78209\,
	combout => \led_flash_cnt[3602][4]~78210_combout\,
	cout => \led_flash_cnt[3602][4]~78211\);

-- Location: FF_X39_Y12_N17
\led_flash_cnt[3602][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3602][4]~78210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3602][4]~q\);

-- Location: LCCOMB_X39_Y12_N6
\WideAnd3602~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3602~0_combout\ = (\led_flash_cnt[3602][2]~q\ & (\led_flash_cnt[3602][4]~q\ & (\led_flash_cnt[3602][3]~q\ & \led_flash_cnt[3602][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3602][2]~q\,
	datab => \led_flash_cnt[3602][4]~q\,
	datac => \led_flash_cnt[3602][3]~q\,
	datad => \led_flash_cnt[3602][1]~q\,
	combout => \WideAnd3602~0_combout\);

-- Location: LCCOMB_X39_Y12_N18
\led_flash_cnt[3602][5]~78212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3602][5]~78212_combout\ = (\led_flash_cnt[3602][5]~q\ & (\led_flash_cnt[3602][4]~78211\ $ (GND))) # (!\led_flash_cnt[3602][5]~q\ & (!\led_flash_cnt[3602][4]~78211\ & VCC))
-- \led_flash_cnt[3602][5]~78213\ = CARRY((\led_flash_cnt[3602][5]~q\ & !\led_flash_cnt[3602][4]~78211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3602][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3602][4]~78211\,
	combout => \led_flash_cnt[3602][5]~78212_combout\,
	cout => \led_flash_cnt[3602][5]~78213\);

-- Location: FF_X39_Y12_N19
\led_flash_cnt[3602][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3602][5]~78212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3602][5]~q\);

-- Location: LCCOMB_X39_Y12_N20
\led_flash_cnt[3602][6]~78214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3602][6]~78214_combout\ = (\led_flash_cnt[3602][6]~q\ & (!\led_flash_cnt[3602][5]~78213\)) # (!\led_flash_cnt[3602][6]~q\ & ((\led_flash_cnt[3602][5]~78213\) # (GND)))
-- \led_flash_cnt[3602][6]~78215\ = CARRY((!\led_flash_cnt[3602][5]~78213\) # (!\led_flash_cnt[3602][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3602][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3602][5]~78213\,
	combout => \led_flash_cnt[3602][6]~78214_combout\,
	cout => \led_flash_cnt[3602][6]~78215\);

-- Location: FF_X39_Y12_N21
\led_flash_cnt[3602][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3602][6]~78214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3602][6]~q\);

-- Location: LCCOMB_X39_Y12_N4
\WideAnd3602~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3602~1_combout\ = (\led_flash_cnt[3602][5]~q\ & \led_flash_cnt[3602][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3602][5]~q\,
	datad => \led_flash_cnt[3602][6]~q\,
	combout => \WideAnd3602~1_combout\);

-- Location: LCCOMB_X39_Y12_N22
\led_flash_cnt[3602][7]~78216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3602][7]~78216_combout\ = \led_flash_cnt[3602][7]~q\ $ (!\led_flash_cnt[3602][6]~78215\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3602][7]~q\,
	cin => \led_flash_cnt[3602][6]~78215\,
	combout => \led_flash_cnt[3602][7]~78216_combout\);

-- Location: FF_X39_Y12_N23
\led_flash_cnt[3602][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3602][7]~78216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3602][7]~q\);

-- Location: LCCOMB_X39_Y12_N30
WideAnd3602 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3602~combout\ = (\WideAnd3602~0_combout\ & (\WideAnd3602~1_combout\ & (\led_flash_cnt[3602][7]~q\ & \led_flash_cnt[3602][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3602~0_combout\,
	datab => \WideAnd3602~1_combout\,
	datac => \led_flash_cnt[3602][7]~q\,
	datad => \led_flash_cnt[3602][0]~q\,
	combout => \WideAnd3602~combout\);

-- Location: FF_X39_Y12_N31
\led_flash_cnt_ands[3602]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3602~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3602));

-- Location: LCCOMB_X24_Y2_N12
\led_flash_cnt[3600][0]~84304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3600][0]~84304_combout\ = !\led_flash_cnt[3600][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3600][0]~q\,
	combout => \led_flash_cnt[3600][0]~84304_combout\);

-- Location: FF_X24_Y2_N13
\led_flash_cnt[3600][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3600][0]~84304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3600][0]~q\);

-- Location: LCCOMB_X24_Y2_N16
\led_flash_cnt[3600][1]~78176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3600][1]~78176_combout\ = (\led_flash_cnt[3600][0]~q\ & (\led_flash_cnt[3600][1]~q\ $ (VCC))) # (!\led_flash_cnt[3600][0]~q\ & (\led_flash_cnt[3600][1]~q\ & VCC))
-- \led_flash_cnt[3600][1]~78177\ = CARRY((\led_flash_cnt[3600][0]~q\ & \led_flash_cnt[3600][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3600][0]~q\,
	datab => \led_flash_cnt[3600][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3600][1]~78176_combout\,
	cout => \led_flash_cnt[3600][1]~78177\);

-- Location: FF_X24_Y2_N17
\led_flash_cnt[3600][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3600][1]~78176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3600][1]~q\);

-- Location: LCCOMB_X24_Y2_N18
\led_flash_cnt[3600][2]~78178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3600][2]~78178_combout\ = (\led_flash_cnt[3600][2]~q\ & (!\led_flash_cnt[3600][1]~78177\)) # (!\led_flash_cnt[3600][2]~q\ & ((\led_flash_cnt[3600][1]~78177\) # (GND)))
-- \led_flash_cnt[3600][2]~78179\ = CARRY((!\led_flash_cnt[3600][1]~78177\) # (!\led_flash_cnt[3600][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3600][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3600][1]~78177\,
	combout => \led_flash_cnt[3600][2]~78178_combout\,
	cout => \led_flash_cnt[3600][2]~78179\);

-- Location: FF_X24_Y2_N19
\led_flash_cnt[3600][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3600][2]~78178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3600][2]~q\);

-- Location: LCCOMB_X24_Y2_N20
\led_flash_cnt[3600][3]~78180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3600][3]~78180_combout\ = (\led_flash_cnt[3600][3]~q\ & (\led_flash_cnt[3600][2]~78179\ $ (GND))) # (!\led_flash_cnt[3600][3]~q\ & (!\led_flash_cnt[3600][2]~78179\ & VCC))
-- \led_flash_cnt[3600][3]~78181\ = CARRY((\led_flash_cnt[3600][3]~q\ & !\led_flash_cnt[3600][2]~78179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3600][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3600][2]~78179\,
	combout => \led_flash_cnt[3600][3]~78180_combout\,
	cout => \led_flash_cnt[3600][3]~78181\);

-- Location: FF_X24_Y2_N21
\led_flash_cnt[3600][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3600][3]~78180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3600][3]~q\);

-- Location: LCCOMB_X24_Y2_N22
\led_flash_cnt[3600][4]~78182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3600][4]~78182_combout\ = (\led_flash_cnt[3600][4]~q\ & (!\led_flash_cnt[3600][3]~78181\)) # (!\led_flash_cnt[3600][4]~q\ & ((\led_flash_cnt[3600][3]~78181\) # (GND)))
-- \led_flash_cnt[3600][4]~78183\ = CARRY((!\led_flash_cnt[3600][3]~78181\) # (!\led_flash_cnt[3600][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3600][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3600][3]~78181\,
	combout => \led_flash_cnt[3600][4]~78182_combout\,
	cout => \led_flash_cnt[3600][4]~78183\);

-- Location: FF_X24_Y2_N23
\led_flash_cnt[3600][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3600][4]~78182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3600][4]~q\);

-- Location: LCCOMB_X24_Y2_N10
\WideAnd3600~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3600~0_combout\ = (\led_flash_cnt[3600][1]~q\ & (\led_flash_cnt[3600][3]~q\ & (\led_flash_cnt[3600][4]~q\ & \led_flash_cnt[3600][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3600][1]~q\,
	datab => \led_flash_cnt[3600][3]~q\,
	datac => \led_flash_cnt[3600][4]~q\,
	datad => \led_flash_cnt[3600][2]~q\,
	combout => \WideAnd3600~0_combout\);

-- Location: LCCOMB_X24_Y2_N24
\led_flash_cnt[3600][5]~78184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3600][5]~78184_combout\ = (\led_flash_cnt[3600][5]~q\ & (\led_flash_cnt[3600][4]~78183\ $ (GND))) # (!\led_flash_cnt[3600][5]~q\ & (!\led_flash_cnt[3600][4]~78183\ & VCC))
-- \led_flash_cnt[3600][5]~78185\ = CARRY((\led_flash_cnt[3600][5]~q\ & !\led_flash_cnt[3600][4]~78183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3600][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3600][4]~78183\,
	combout => \led_flash_cnt[3600][5]~78184_combout\,
	cout => \led_flash_cnt[3600][5]~78185\);

-- Location: FF_X24_Y2_N25
\led_flash_cnt[3600][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3600][5]~78184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3600][5]~q\);

-- Location: LCCOMB_X24_Y2_N26
\led_flash_cnt[3600][6]~78186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3600][6]~78186_combout\ = (\led_flash_cnt[3600][6]~q\ & (!\led_flash_cnt[3600][5]~78185\)) # (!\led_flash_cnt[3600][6]~q\ & ((\led_flash_cnt[3600][5]~78185\) # (GND)))
-- \led_flash_cnt[3600][6]~78187\ = CARRY((!\led_flash_cnt[3600][5]~78185\) # (!\led_flash_cnt[3600][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3600][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3600][5]~78185\,
	combout => \led_flash_cnt[3600][6]~78186_combout\,
	cout => \led_flash_cnt[3600][6]~78187\);

-- Location: FF_X24_Y2_N27
\led_flash_cnt[3600][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3600][6]~78186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3600][6]~q\);

-- Location: LCCOMB_X24_Y2_N28
\led_flash_cnt[3600][7]~78188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3600][7]~78188_combout\ = \led_flash_cnt[3600][6]~78187\ $ (!\led_flash_cnt[3600][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3600][7]~q\,
	cin => \led_flash_cnt[3600][6]~78187\,
	combout => \led_flash_cnt[3600][7]~78188_combout\);

-- Location: FF_X24_Y2_N29
\led_flash_cnt[3600][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3600][7]~78188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3600][7]~q\);

-- Location: LCCOMB_X24_Y2_N4
\WideAnd3600~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3600~1_combout\ = (\led_flash_cnt[3600][6]~q\ & \led_flash_cnt[3600][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3600][6]~q\,
	datad => \led_flash_cnt[3600][5]~q\,
	combout => \WideAnd3600~1_combout\);

-- Location: LCCOMB_X24_Y2_N0
WideAnd3600 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3600~combout\ = (\WideAnd3600~0_combout\ & (\led_flash_cnt[3600][7]~q\ & (\WideAnd3600~1_combout\ & \led_flash_cnt[3600][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3600~0_combout\,
	datab => \led_flash_cnt[3600][7]~q\,
	datac => \WideAnd3600~1_combout\,
	datad => \led_flash_cnt[3600][0]~q\,
	combout => \WideAnd3600~combout\);

-- Location: FF_X24_Y2_N1
\led_flash_cnt_ands[3600]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3600~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3600));

-- Location: LCCOMB_X24_Y7_N14
\WideAnd4290~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4290~0_combout\ = (led_flash_cnt_ands(3603) & (led_flash_cnt_ands(3601) & (led_flash_cnt_ands(3602) & led_flash_cnt_ands(3600))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3603),
	datab => led_flash_cnt_ands(3601),
	datac => led_flash_cnt_ands(3602),
	datad => led_flash_cnt_ands(3600),
	combout => \WideAnd4290~0_combout\);

-- Location: LCCOMB_X39_Y11_N26
WideAnd4290 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4290~combout\ = (led_flash_cnt_ands(3607) & (\WideAnd4290~1_combout\ & (led_flash_cnt_ands(3606) & \WideAnd4290~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3607),
	datab => \WideAnd4290~1_combout\,
	datac => led_flash_cnt_ands(3606),
	datad => \WideAnd4290~0_combout\,
	combout => \WideAnd4290~combout\);

-- Location: FF_X39_Y11_N27
\led_flash_cnt_ands_1[450]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4290~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(450));

-- Location: LCCOMB_X38_Y15_N28
\WideAnd4376~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4376~0_combout\ = (led_flash_cnt_ands_1(451) & (led_flash_cnt_ands_1(449) & (led_flash_cnt_ands_1(448) & led_flash_cnt_ands_1(450))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(451),
	datab => led_flash_cnt_ands_1(449),
	datac => led_flash_cnt_ands_1(448),
	datad => led_flash_cnt_ands_1(450),
	combout => \WideAnd4376~0_combout\);

-- Location: LCCOMB_X41_Y4_N6
\led_flash_cnt[3622][0]~84326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3622][0]~84326_combout\ = !\led_flash_cnt[3622][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3622][0]~q\,
	combout => \led_flash_cnt[3622][0]~84326_combout\);

-- Location: FF_X41_Y4_N7
\led_flash_cnt[3622][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3622][0]~84326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3622][0]~q\);

-- Location: LCCOMB_X38_Y4_N16
\led_flash_cnt[3622][1]~78484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3622][1]~78484_combout\ = (\led_flash_cnt[3622][0]~q\ & (\led_flash_cnt[3622][1]~q\ $ (VCC))) # (!\led_flash_cnt[3622][0]~q\ & (\led_flash_cnt[3622][1]~q\ & VCC))
-- \led_flash_cnt[3622][1]~78485\ = CARRY((\led_flash_cnt[3622][0]~q\ & \led_flash_cnt[3622][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3622][0]~q\,
	datab => \led_flash_cnt[3622][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3622][1]~78484_combout\,
	cout => \led_flash_cnt[3622][1]~78485\);

-- Location: FF_X38_Y4_N17
\led_flash_cnt[3622][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3622][1]~78484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3622][1]~q\);

-- Location: LCCOMB_X38_Y4_N18
\led_flash_cnt[3622][2]~78486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3622][2]~78486_combout\ = (\led_flash_cnt[3622][2]~q\ & (!\led_flash_cnt[3622][1]~78485\)) # (!\led_flash_cnt[3622][2]~q\ & ((\led_flash_cnt[3622][1]~78485\) # (GND)))
-- \led_flash_cnt[3622][2]~78487\ = CARRY((!\led_flash_cnt[3622][1]~78485\) # (!\led_flash_cnt[3622][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3622][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3622][1]~78485\,
	combout => \led_flash_cnt[3622][2]~78486_combout\,
	cout => \led_flash_cnt[3622][2]~78487\);

-- Location: FF_X38_Y4_N19
\led_flash_cnt[3622][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3622][2]~78486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3622][2]~q\);

-- Location: LCCOMB_X38_Y4_N20
\led_flash_cnt[3622][3]~78488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3622][3]~78488_combout\ = (\led_flash_cnt[3622][3]~q\ & (\led_flash_cnt[3622][2]~78487\ $ (GND))) # (!\led_flash_cnt[3622][3]~q\ & (!\led_flash_cnt[3622][2]~78487\ & VCC))
-- \led_flash_cnt[3622][3]~78489\ = CARRY((\led_flash_cnt[3622][3]~q\ & !\led_flash_cnt[3622][2]~78487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3622][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3622][2]~78487\,
	combout => \led_flash_cnt[3622][3]~78488_combout\,
	cout => \led_flash_cnt[3622][3]~78489\);

-- Location: FF_X38_Y4_N21
\led_flash_cnt[3622][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3622][3]~78488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3622][3]~q\);

-- Location: LCCOMB_X38_Y4_N22
\led_flash_cnt[3622][4]~78490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3622][4]~78490_combout\ = (\led_flash_cnt[3622][4]~q\ & (!\led_flash_cnt[3622][3]~78489\)) # (!\led_flash_cnt[3622][4]~q\ & ((\led_flash_cnt[3622][3]~78489\) # (GND)))
-- \led_flash_cnt[3622][4]~78491\ = CARRY((!\led_flash_cnt[3622][3]~78489\) # (!\led_flash_cnt[3622][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3622][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3622][3]~78489\,
	combout => \led_flash_cnt[3622][4]~78490_combout\,
	cout => \led_flash_cnt[3622][4]~78491\);

-- Location: FF_X38_Y4_N23
\led_flash_cnt[3622][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3622][4]~78490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3622][4]~q\);

-- Location: LCCOMB_X38_Y4_N24
\led_flash_cnt[3622][5]~78492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3622][5]~78492_combout\ = (\led_flash_cnt[3622][5]~q\ & (\led_flash_cnt[3622][4]~78491\ $ (GND))) # (!\led_flash_cnt[3622][5]~q\ & (!\led_flash_cnt[3622][4]~78491\ & VCC))
-- \led_flash_cnt[3622][5]~78493\ = CARRY((\led_flash_cnt[3622][5]~q\ & !\led_flash_cnt[3622][4]~78491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3622][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3622][4]~78491\,
	combout => \led_flash_cnt[3622][5]~78492_combout\,
	cout => \led_flash_cnt[3622][5]~78493\);

-- Location: FF_X38_Y4_N25
\led_flash_cnt[3622][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3622][5]~78492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3622][5]~q\);

-- Location: LCCOMB_X38_Y4_N26
\led_flash_cnt[3622][6]~78494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3622][6]~78494_combout\ = (\led_flash_cnt[3622][6]~q\ & (!\led_flash_cnt[3622][5]~78493\)) # (!\led_flash_cnt[3622][6]~q\ & ((\led_flash_cnt[3622][5]~78493\) # (GND)))
-- \led_flash_cnt[3622][6]~78495\ = CARRY((!\led_flash_cnt[3622][5]~78493\) # (!\led_flash_cnt[3622][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3622][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3622][5]~78493\,
	combout => \led_flash_cnt[3622][6]~78494_combout\,
	cout => \led_flash_cnt[3622][6]~78495\);

-- Location: FF_X38_Y4_N27
\led_flash_cnt[3622][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3622][6]~78494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3622][6]~q\);

-- Location: LCCOMB_X41_Y4_N30
\WideAnd3622~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3622~1_combout\ = (\led_flash_cnt[3622][6]~q\ & \led_flash_cnt[3622][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3622][6]~q\,
	datad => \led_flash_cnt[3622][5]~q\,
	combout => \WideAnd3622~1_combout\);

-- Location: LCCOMB_X38_Y4_N28
\led_flash_cnt[3622][7]~78496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3622][7]~78496_combout\ = \led_flash_cnt[3622][6]~78495\ $ (!\led_flash_cnt[3622][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3622][7]~q\,
	cin => \led_flash_cnt[3622][6]~78495\,
	combout => \led_flash_cnt[3622][7]~78496_combout\);

-- Location: FF_X38_Y4_N29
\led_flash_cnt[3622][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3622][7]~78496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3622][7]~q\);

-- Location: LCCOMB_X39_Y4_N24
\WideAnd3622~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3622~0_combout\ = (\led_flash_cnt[3622][4]~q\ & (\led_flash_cnt[3622][3]~q\ & (\led_flash_cnt[3622][1]~q\ & \led_flash_cnt[3622][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3622][4]~q\,
	datab => \led_flash_cnt[3622][3]~q\,
	datac => \led_flash_cnt[3622][1]~q\,
	datad => \led_flash_cnt[3622][2]~q\,
	combout => \WideAnd3622~0_combout\);

-- Location: LCCOMB_X41_Y4_N8
WideAnd3622 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3622~combout\ = (\WideAnd3622~1_combout\ & (\led_flash_cnt[3622][7]~q\ & (\WideAnd3622~0_combout\ & \led_flash_cnt[3622][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3622~1_combout\,
	datab => \led_flash_cnt[3622][7]~q\,
	datac => \WideAnd3622~0_combout\,
	datad => \led_flash_cnt[3622][0]~q\,
	combout => \WideAnd3622~combout\);

-- Location: FF_X41_Y4_N9
\led_flash_cnt_ands[3622]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3622~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3622));

-- Location: LCCOMB_X46_Y2_N2
\led_flash_cnt[3618][0]~84322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3618][0]~84322_combout\ = !\led_flash_cnt[3618][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3618][0]~q\,
	combout => \led_flash_cnt[3618][0]~84322_combout\);

-- Location: FF_X46_Y2_N3
\led_flash_cnt[3618][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3618][0]~84322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3618][0]~q\);

-- Location: LCCOMB_X45_Y2_N0
\led_flash_cnt[3618][1]~78428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3618][1]~78428_combout\ = (\led_flash_cnt[3618][0]~q\ & (\led_flash_cnt[3618][1]~q\ $ (VCC))) # (!\led_flash_cnt[3618][0]~q\ & (\led_flash_cnt[3618][1]~q\ & VCC))
-- \led_flash_cnt[3618][1]~78429\ = CARRY((\led_flash_cnt[3618][0]~q\ & \led_flash_cnt[3618][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3618][0]~q\,
	datab => \led_flash_cnt[3618][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3618][1]~78428_combout\,
	cout => \led_flash_cnt[3618][1]~78429\);

-- Location: FF_X45_Y2_N1
\led_flash_cnt[3618][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3618][1]~78428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3618][1]~q\);

-- Location: LCCOMB_X45_Y2_N2
\led_flash_cnt[3618][2]~78430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3618][2]~78430_combout\ = (\led_flash_cnt[3618][2]~q\ & (!\led_flash_cnt[3618][1]~78429\)) # (!\led_flash_cnt[3618][2]~q\ & ((\led_flash_cnt[3618][1]~78429\) # (GND)))
-- \led_flash_cnt[3618][2]~78431\ = CARRY((!\led_flash_cnt[3618][1]~78429\) # (!\led_flash_cnt[3618][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3618][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3618][1]~78429\,
	combout => \led_flash_cnt[3618][2]~78430_combout\,
	cout => \led_flash_cnt[3618][2]~78431\);

-- Location: FF_X45_Y2_N3
\led_flash_cnt[3618][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3618][2]~78430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3618][2]~q\);

-- Location: LCCOMB_X45_Y2_N4
\led_flash_cnt[3618][3]~78432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3618][3]~78432_combout\ = (\led_flash_cnt[3618][3]~q\ & (\led_flash_cnt[3618][2]~78431\ $ (GND))) # (!\led_flash_cnt[3618][3]~q\ & (!\led_flash_cnt[3618][2]~78431\ & VCC))
-- \led_flash_cnt[3618][3]~78433\ = CARRY((\led_flash_cnt[3618][3]~q\ & !\led_flash_cnt[3618][2]~78431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3618][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3618][2]~78431\,
	combout => \led_flash_cnt[3618][3]~78432_combout\,
	cout => \led_flash_cnt[3618][3]~78433\);

-- Location: FF_X45_Y2_N5
\led_flash_cnt[3618][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3618][3]~78432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3618][3]~q\);

-- Location: LCCOMB_X45_Y2_N6
\led_flash_cnt[3618][4]~78434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3618][4]~78434_combout\ = (\led_flash_cnt[3618][4]~q\ & (!\led_flash_cnt[3618][3]~78433\)) # (!\led_flash_cnt[3618][4]~q\ & ((\led_flash_cnt[3618][3]~78433\) # (GND)))
-- \led_flash_cnt[3618][4]~78435\ = CARRY((!\led_flash_cnt[3618][3]~78433\) # (!\led_flash_cnt[3618][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3618][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3618][3]~78433\,
	combout => \led_flash_cnt[3618][4]~78434_combout\,
	cout => \led_flash_cnt[3618][4]~78435\);

-- Location: FF_X45_Y2_N7
\led_flash_cnt[3618][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3618][4]~78434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3618][4]~q\);

-- Location: LCCOMB_X45_Y2_N8
\led_flash_cnt[3618][5]~78436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3618][5]~78436_combout\ = (\led_flash_cnt[3618][5]~q\ & (\led_flash_cnt[3618][4]~78435\ $ (GND))) # (!\led_flash_cnt[3618][5]~q\ & (!\led_flash_cnt[3618][4]~78435\ & VCC))
-- \led_flash_cnt[3618][5]~78437\ = CARRY((\led_flash_cnt[3618][5]~q\ & !\led_flash_cnt[3618][4]~78435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3618][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3618][4]~78435\,
	combout => \led_flash_cnt[3618][5]~78436_combout\,
	cout => \led_flash_cnt[3618][5]~78437\);

-- Location: FF_X45_Y2_N9
\led_flash_cnt[3618][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3618][5]~78436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3618][5]~q\);

-- Location: LCCOMB_X45_Y2_N10
\led_flash_cnt[3618][6]~78438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3618][6]~78438_combout\ = (\led_flash_cnt[3618][6]~q\ & (!\led_flash_cnt[3618][5]~78437\)) # (!\led_flash_cnt[3618][6]~q\ & ((\led_flash_cnt[3618][5]~78437\) # (GND)))
-- \led_flash_cnt[3618][6]~78439\ = CARRY((!\led_flash_cnt[3618][5]~78437\) # (!\led_flash_cnt[3618][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3618][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3618][5]~78437\,
	combout => \led_flash_cnt[3618][6]~78438_combout\,
	cout => \led_flash_cnt[3618][6]~78439\);

-- Location: FF_X45_Y2_N11
\led_flash_cnt[3618][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3618][6]~78438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3618][6]~q\);

-- Location: LCCOMB_X45_Y2_N12
\led_flash_cnt[3618][7]~78440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3618][7]~78440_combout\ = \led_flash_cnt[3618][6]~78439\ $ (!\led_flash_cnt[3618][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3618][7]~q\,
	cin => \led_flash_cnt[3618][6]~78439\,
	combout => \led_flash_cnt[3618][7]~78440_combout\);

-- Location: FF_X45_Y2_N13
\led_flash_cnt[3618][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3618][7]~78440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3618][7]~q\);

-- Location: LCCOMB_X46_Y2_N28
\WideAnd3618~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3618~1_combout\ = (\led_flash_cnt[3618][6]~q\ & \led_flash_cnt[3618][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3618][6]~q\,
	datad => \led_flash_cnt[3618][5]~q\,
	combout => \WideAnd3618~1_combout\);

-- Location: LCCOMB_X45_Y2_N14
\WideAnd3618~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3618~0_combout\ = (\led_flash_cnt[3618][4]~q\ & (\led_flash_cnt[3618][1]~q\ & (\led_flash_cnt[3618][3]~q\ & \led_flash_cnt[3618][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3618][4]~q\,
	datab => \led_flash_cnt[3618][1]~q\,
	datac => \led_flash_cnt[3618][3]~q\,
	datad => \led_flash_cnt[3618][2]~q\,
	combout => \WideAnd3618~0_combout\);

-- Location: LCCOMB_X46_Y2_N22
WideAnd3618 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3618~combout\ = (\led_flash_cnt[3618][7]~q\ & (\WideAnd3618~1_combout\ & (\led_flash_cnt[3618][0]~q\ & \WideAnd3618~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3618][7]~q\,
	datab => \WideAnd3618~1_combout\,
	datac => \led_flash_cnt[3618][0]~q\,
	datad => \WideAnd3618~0_combout\,
	combout => \WideAnd3618~combout\);

-- Location: FF_X46_Y2_N23
\led_flash_cnt_ands[3618]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3618~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3618));

-- Location: LCCOMB_X46_Y2_N18
\led_flash_cnt[3616][0]~84320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3616][0]~84320_combout\ = !\led_flash_cnt[3616][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3616][0]~q\,
	combout => \led_flash_cnt[3616][0]~84320_combout\);

-- Location: FF_X46_Y2_N19
\led_flash_cnt[3616][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3616][0]~84320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3616][0]~q\);

-- Location: LCCOMB_X46_Y2_N4
\led_flash_cnt[3616][1]~78400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3616][1]~78400_combout\ = (\led_flash_cnt[3616][1]~q\ & (\led_flash_cnt[3616][0]~q\ $ (VCC))) # (!\led_flash_cnt[3616][1]~q\ & (\led_flash_cnt[3616][0]~q\ & VCC))
-- \led_flash_cnt[3616][1]~78401\ = CARRY((\led_flash_cnt[3616][1]~q\ & \led_flash_cnt[3616][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3616][1]~q\,
	datab => \led_flash_cnt[3616][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3616][1]~78400_combout\,
	cout => \led_flash_cnt[3616][1]~78401\);

-- Location: FF_X46_Y2_N5
\led_flash_cnt[3616][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3616][1]~78400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3616][1]~q\);

-- Location: LCCOMB_X46_Y2_N6
\led_flash_cnt[3616][2]~78402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3616][2]~78402_combout\ = (\led_flash_cnt[3616][2]~q\ & (!\led_flash_cnt[3616][1]~78401\)) # (!\led_flash_cnt[3616][2]~q\ & ((\led_flash_cnt[3616][1]~78401\) # (GND)))
-- \led_flash_cnt[3616][2]~78403\ = CARRY((!\led_flash_cnt[3616][1]~78401\) # (!\led_flash_cnt[3616][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3616][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3616][1]~78401\,
	combout => \led_flash_cnt[3616][2]~78402_combout\,
	cout => \led_flash_cnt[3616][2]~78403\);

-- Location: FF_X46_Y2_N7
\led_flash_cnt[3616][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3616][2]~78402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3616][2]~q\);

-- Location: LCCOMB_X46_Y2_N8
\led_flash_cnt[3616][3]~78404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3616][3]~78404_combout\ = (\led_flash_cnt[3616][3]~q\ & (\led_flash_cnt[3616][2]~78403\ $ (GND))) # (!\led_flash_cnt[3616][3]~q\ & (!\led_flash_cnt[3616][2]~78403\ & VCC))
-- \led_flash_cnt[3616][3]~78405\ = CARRY((\led_flash_cnt[3616][3]~q\ & !\led_flash_cnt[3616][2]~78403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3616][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3616][2]~78403\,
	combout => \led_flash_cnt[3616][3]~78404_combout\,
	cout => \led_flash_cnt[3616][3]~78405\);

-- Location: FF_X46_Y2_N9
\led_flash_cnt[3616][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3616][3]~78404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3616][3]~q\);

-- Location: LCCOMB_X46_Y2_N10
\led_flash_cnt[3616][4]~78406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3616][4]~78406_combout\ = (\led_flash_cnt[3616][4]~q\ & (!\led_flash_cnt[3616][3]~78405\)) # (!\led_flash_cnt[3616][4]~q\ & ((\led_flash_cnt[3616][3]~78405\) # (GND)))
-- \led_flash_cnt[3616][4]~78407\ = CARRY((!\led_flash_cnt[3616][3]~78405\) # (!\led_flash_cnt[3616][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3616][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3616][3]~78405\,
	combout => \led_flash_cnt[3616][4]~78406_combout\,
	cout => \led_flash_cnt[3616][4]~78407\);

-- Location: FF_X46_Y2_N11
\led_flash_cnt[3616][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3616][4]~78406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3616][4]~q\);

-- Location: LCCOMB_X46_Y2_N26
\WideAnd3616~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3616~0_combout\ = (\led_flash_cnt[3616][4]~q\ & (\led_flash_cnt[3616][1]~q\ & (\led_flash_cnt[3616][3]~q\ & \led_flash_cnt[3616][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3616][4]~q\,
	datab => \led_flash_cnt[3616][1]~q\,
	datac => \led_flash_cnt[3616][3]~q\,
	datad => \led_flash_cnt[3616][2]~q\,
	combout => \WideAnd3616~0_combout\);

-- Location: LCCOMB_X46_Y2_N12
\led_flash_cnt[3616][5]~78408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3616][5]~78408_combout\ = (\led_flash_cnt[3616][5]~q\ & (\led_flash_cnt[3616][4]~78407\ $ (GND))) # (!\led_flash_cnt[3616][5]~q\ & (!\led_flash_cnt[3616][4]~78407\ & VCC))
-- \led_flash_cnt[3616][5]~78409\ = CARRY((\led_flash_cnt[3616][5]~q\ & !\led_flash_cnt[3616][4]~78407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3616][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3616][4]~78407\,
	combout => \led_flash_cnt[3616][5]~78408_combout\,
	cout => \led_flash_cnt[3616][5]~78409\);

-- Location: FF_X46_Y2_N13
\led_flash_cnt[3616][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3616][5]~78408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3616][5]~q\);

-- Location: LCCOMB_X46_Y2_N14
\led_flash_cnt[3616][6]~78410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3616][6]~78410_combout\ = (\led_flash_cnt[3616][6]~q\ & (!\led_flash_cnt[3616][5]~78409\)) # (!\led_flash_cnt[3616][6]~q\ & ((\led_flash_cnt[3616][5]~78409\) # (GND)))
-- \led_flash_cnt[3616][6]~78411\ = CARRY((!\led_flash_cnt[3616][5]~78409\) # (!\led_flash_cnt[3616][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3616][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3616][5]~78409\,
	combout => \led_flash_cnt[3616][6]~78410_combout\,
	cout => \led_flash_cnt[3616][6]~78411\);

-- Location: FF_X46_Y2_N15
\led_flash_cnt[3616][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3616][6]~78410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3616][6]~q\);

-- Location: LCCOMB_X46_Y2_N16
\led_flash_cnt[3616][7]~78412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3616][7]~78412_combout\ = \led_flash_cnt[3616][6]~78411\ $ (!\led_flash_cnt[3616][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3616][7]~q\,
	cin => \led_flash_cnt[3616][6]~78411\,
	combout => \led_flash_cnt[3616][7]~78412_combout\);

-- Location: FF_X46_Y2_N17
\led_flash_cnt[3616][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3616][7]~78412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3616][7]~q\);

-- Location: LCCOMB_X46_Y2_N30
\WideAnd3616~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3616~1_combout\ = (\led_flash_cnt[3616][6]~q\ & \led_flash_cnt[3616][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3616][6]~q\,
	datad => \led_flash_cnt[3616][5]~q\,
	combout => \WideAnd3616~1_combout\);

-- Location: LCCOMB_X46_Y2_N20
WideAnd3616 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3616~combout\ = (\WideAnd3616~0_combout\ & (\led_flash_cnt[3616][7]~q\ & (\WideAnd3616~1_combout\ & \led_flash_cnt[3616][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3616~0_combout\,
	datab => \led_flash_cnt[3616][7]~q\,
	datac => \WideAnd3616~1_combout\,
	datad => \led_flash_cnt[3616][0]~q\,
	combout => \WideAnd3616~combout\);

-- Location: FF_X46_Y2_N21
\led_flash_cnt_ands[3616]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3616~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3616));

-- Location: LCCOMB_X43_Y1_N28
\led_flash_cnt[3617][0]~84321\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3617][0]~84321_combout\ = !\led_flash_cnt[3617][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3617][0]~q\,
	combout => \led_flash_cnt[3617][0]~84321_combout\);

-- Location: FF_X43_Y1_N29
\led_flash_cnt[3617][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3617][0]~84321_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3617][0]~q\);

-- Location: LCCOMB_X43_Y1_N12
\led_flash_cnt[3617][1]~78414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3617][1]~78414_combout\ = (\led_flash_cnt[3617][1]~q\ & (\led_flash_cnt[3617][0]~q\ $ (VCC))) # (!\led_flash_cnt[3617][1]~q\ & (\led_flash_cnt[3617][0]~q\ & VCC))
-- \led_flash_cnt[3617][1]~78415\ = CARRY((\led_flash_cnt[3617][1]~q\ & \led_flash_cnt[3617][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3617][1]~q\,
	datab => \led_flash_cnt[3617][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3617][1]~78414_combout\,
	cout => \led_flash_cnt[3617][1]~78415\);

-- Location: FF_X43_Y1_N13
\led_flash_cnt[3617][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3617][1]~78414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3617][1]~q\);

-- Location: LCCOMB_X43_Y1_N14
\led_flash_cnt[3617][2]~78416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3617][2]~78416_combout\ = (\led_flash_cnt[3617][2]~q\ & (!\led_flash_cnt[3617][1]~78415\)) # (!\led_flash_cnt[3617][2]~q\ & ((\led_flash_cnt[3617][1]~78415\) # (GND)))
-- \led_flash_cnt[3617][2]~78417\ = CARRY((!\led_flash_cnt[3617][1]~78415\) # (!\led_flash_cnt[3617][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3617][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3617][1]~78415\,
	combout => \led_flash_cnt[3617][2]~78416_combout\,
	cout => \led_flash_cnt[3617][2]~78417\);

-- Location: FF_X43_Y1_N15
\led_flash_cnt[3617][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3617][2]~78416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3617][2]~q\);

-- Location: LCCOMB_X43_Y1_N16
\led_flash_cnt[3617][3]~78418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3617][3]~78418_combout\ = (\led_flash_cnt[3617][3]~q\ & (\led_flash_cnt[3617][2]~78417\ $ (GND))) # (!\led_flash_cnt[3617][3]~q\ & (!\led_flash_cnt[3617][2]~78417\ & VCC))
-- \led_flash_cnt[3617][3]~78419\ = CARRY((\led_flash_cnt[3617][3]~q\ & !\led_flash_cnt[3617][2]~78417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3617][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3617][2]~78417\,
	combout => \led_flash_cnt[3617][3]~78418_combout\,
	cout => \led_flash_cnt[3617][3]~78419\);

-- Location: FF_X43_Y1_N17
\led_flash_cnt[3617][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3617][3]~78418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3617][3]~q\);

-- Location: LCCOMB_X43_Y1_N18
\led_flash_cnt[3617][4]~78420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3617][4]~78420_combout\ = (\led_flash_cnt[3617][4]~q\ & (!\led_flash_cnt[3617][3]~78419\)) # (!\led_flash_cnt[3617][4]~q\ & ((\led_flash_cnt[3617][3]~78419\) # (GND)))
-- \led_flash_cnt[3617][4]~78421\ = CARRY((!\led_flash_cnt[3617][3]~78419\) # (!\led_flash_cnt[3617][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3617][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3617][3]~78419\,
	combout => \led_flash_cnt[3617][4]~78420_combout\,
	cout => \led_flash_cnt[3617][4]~78421\);

-- Location: FF_X43_Y1_N19
\led_flash_cnt[3617][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3617][4]~78420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3617][4]~q\);

-- Location: LCCOMB_X43_Y1_N20
\led_flash_cnt[3617][5]~78422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3617][5]~78422_combout\ = (\led_flash_cnt[3617][5]~q\ & (\led_flash_cnt[3617][4]~78421\ $ (GND))) # (!\led_flash_cnt[3617][5]~q\ & (!\led_flash_cnt[3617][4]~78421\ & VCC))
-- \led_flash_cnt[3617][5]~78423\ = CARRY((\led_flash_cnt[3617][5]~q\ & !\led_flash_cnt[3617][4]~78421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3617][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3617][4]~78421\,
	combout => \led_flash_cnt[3617][5]~78422_combout\,
	cout => \led_flash_cnt[3617][5]~78423\);

-- Location: FF_X43_Y1_N21
\led_flash_cnt[3617][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3617][5]~78422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3617][5]~q\);

-- Location: LCCOMB_X43_Y1_N22
\led_flash_cnt[3617][6]~78424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3617][6]~78424_combout\ = (\led_flash_cnt[3617][6]~q\ & (!\led_flash_cnt[3617][5]~78423\)) # (!\led_flash_cnt[3617][6]~q\ & ((\led_flash_cnt[3617][5]~78423\) # (GND)))
-- \led_flash_cnt[3617][6]~78425\ = CARRY((!\led_flash_cnt[3617][5]~78423\) # (!\led_flash_cnt[3617][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3617][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3617][5]~78423\,
	combout => \led_flash_cnt[3617][6]~78424_combout\,
	cout => \led_flash_cnt[3617][6]~78425\);

-- Location: FF_X43_Y1_N23
\led_flash_cnt[3617][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3617][6]~78424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3617][6]~q\);

-- Location: LCCOMB_X43_Y1_N10
\WideAnd3617~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3617~1_combout\ = (\led_flash_cnt[3617][6]~q\ & \led_flash_cnt[3617][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3617][6]~q\,
	datad => \led_flash_cnt[3617][5]~q\,
	combout => \WideAnd3617~1_combout\);

-- Location: LCCOMB_X43_Y1_N26
\WideAnd3617~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3617~0_combout\ = (\led_flash_cnt[3617][1]~q\ & (\led_flash_cnt[3617][3]~q\ & (\led_flash_cnt[3617][2]~q\ & \led_flash_cnt[3617][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3617][1]~q\,
	datab => \led_flash_cnt[3617][3]~q\,
	datac => \led_flash_cnt[3617][2]~q\,
	datad => \led_flash_cnt[3617][4]~q\,
	combout => \WideAnd3617~0_combout\);

-- Location: LCCOMB_X43_Y1_N24
\led_flash_cnt[3617][7]~78426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3617][7]~78426_combout\ = \led_flash_cnt[3617][6]~78425\ $ (!\led_flash_cnt[3617][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3617][7]~q\,
	cin => \led_flash_cnt[3617][6]~78425\,
	combout => \led_flash_cnt[3617][7]~78426_combout\);

-- Location: FF_X43_Y1_N25
\led_flash_cnt[3617][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3617][7]~78426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3617][7]~q\);

-- Location: LCCOMB_X43_Y1_N0
WideAnd3617 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3617~combout\ = (\WideAnd3617~1_combout\ & (\led_flash_cnt[3617][0]~q\ & (\WideAnd3617~0_combout\ & \led_flash_cnt[3617][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3617~1_combout\,
	datab => \led_flash_cnt[3617][0]~q\,
	datac => \WideAnd3617~0_combout\,
	datad => \led_flash_cnt[3617][7]~q\,
	combout => \WideAnd3617~combout\);

-- Location: FF_X43_Y1_N1
\led_flash_cnt_ands[3617]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3617~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3617));

-- Location: LCCOMB_X46_Y4_N12
\led_flash_cnt[3619][0]~84323\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3619][0]~84323_combout\ = !\led_flash_cnt[3619][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3619][0]~q\,
	combout => \led_flash_cnt[3619][0]~84323_combout\);

-- Location: FF_X46_Y4_N13
\led_flash_cnt[3619][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3619][0]~84323_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3619][0]~q\);

-- Location: LCCOMB_X46_Y4_N18
\led_flash_cnt[3619][1]~78442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3619][1]~78442_combout\ = (\led_flash_cnt[3619][0]~q\ & (\led_flash_cnt[3619][1]~q\ $ (VCC))) # (!\led_flash_cnt[3619][0]~q\ & (\led_flash_cnt[3619][1]~q\ & VCC))
-- \led_flash_cnt[3619][1]~78443\ = CARRY((\led_flash_cnt[3619][0]~q\ & \led_flash_cnt[3619][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3619][0]~q\,
	datab => \led_flash_cnt[3619][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3619][1]~78442_combout\,
	cout => \led_flash_cnt[3619][1]~78443\);

-- Location: FF_X46_Y4_N19
\led_flash_cnt[3619][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3619][1]~78442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3619][1]~q\);

-- Location: LCCOMB_X46_Y4_N20
\led_flash_cnt[3619][2]~78444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3619][2]~78444_combout\ = (\led_flash_cnt[3619][2]~q\ & (!\led_flash_cnt[3619][1]~78443\)) # (!\led_flash_cnt[3619][2]~q\ & ((\led_flash_cnt[3619][1]~78443\) # (GND)))
-- \led_flash_cnt[3619][2]~78445\ = CARRY((!\led_flash_cnt[3619][1]~78443\) # (!\led_flash_cnt[3619][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3619][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3619][1]~78443\,
	combout => \led_flash_cnt[3619][2]~78444_combout\,
	cout => \led_flash_cnt[3619][2]~78445\);

-- Location: FF_X46_Y4_N21
\led_flash_cnt[3619][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3619][2]~78444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3619][2]~q\);

-- Location: LCCOMB_X46_Y4_N22
\led_flash_cnt[3619][3]~78446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3619][3]~78446_combout\ = (\led_flash_cnt[3619][3]~q\ & (\led_flash_cnt[3619][2]~78445\ $ (GND))) # (!\led_flash_cnt[3619][3]~q\ & (!\led_flash_cnt[3619][2]~78445\ & VCC))
-- \led_flash_cnt[3619][3]~78447\ = CARRY((\led_flash_cnt[3619][3]~q\ & !\led_flash_cnt[3619][2]~78445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3619][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3619][2]~78445\,
	combout => \led_flash_cnt[3619][3]~78446_combout\,
	cout => \led_flash_cnt[3619][3]~78447\);

-- Location: FF_X46_Y4_N23
\led_flash_cnt[3619][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3619][3]~78446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3619][3]~q\);

-- Location: LCCOMB_X46_Y4_N24
\led_flash_cnt[3619][4]~78448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3619][4]~78448_combout\ = (\led_flash_cnt[3619][4]~q\ & (!\led_flash_cnt[3619][3]~78447\)) # (!\led_flash_cnt[3619][4]~q\ & ((\led_flash_cnt[3619][3]~78447\) # (GND)))
-- \led_flash_cnt[3619][4]~78449\ = CARRY((!\led_flash_cnt[3619][3]~78447\) # (!\led_flash_cnt[3619][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3619][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3619][3]~78447\,
	combout => \led_flash_cnt[3619][4]~78448_combout\,
	cout => \led_flash_cnt[3619][4]~78449\);

-- Location: FF_X46_Y4_N25
\led_flash_cnt[3619][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3619][4]~78448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3619][4]~q\);

-- Location: LCCOMB_X46_Y4_N26
\led_flash_cnt[3619][5]~78450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3619][5]~78450_combout\ = (\led_flash_cnt[3619][5]~q\ & (\led_flash_cnt[3619][4]~78449\ $ (GND))) # (!\led_flash_cnt[3619][5]~q\ & (!\led_flash_cnt[3619][4]~78449\ & VCC))
-- \led_flash_cnt[3619][5]~78451\ = CARRY((\led_flash_cnt[3619][5]~q\ & !\led_flash_cnt[3619][4]~78449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3619][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3619][4]~78449\,
	combout => \led_flash_cnt[3619][5]~78450_combout\,
	cout => \led_flash_cnt[3619][5]~78451\);

-- Location: FF_X46_Y4_N27
\led_flash_cnt[3619][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3619][5]~78450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3619][5]~q\);

-- Location: LCCOMB_X46_Y4_N28
\led_flash_cnt[3619][6]~78452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3619][6]~78452_combout\ = (\led_flash_cnt[3619][6]~q\ & (!\led_flash_cnt[3619][5]~78451\)) # (!\led_flash_cnt[3619][6]~q\ & ((\led_flash_cnt[3619][5]~78451\) # (GND)))
-- \led_flash_cnt[3619][6]~78453\ = CARRY((!\led_flash_cnt[3619][5]~78451\) # (!\led_flash_cnt[3619][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3619][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3619][5]~78451\,
	combout => \led_flash_cnt[3619][6]~78452_combout\,
	cout => \led_flash_cnt[3619][6]~78453\);

-- Location: FF_X46_Y4_N29
\led_flash_cnt[3619][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3619][6]~78452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3619][6]~q\);

-- Location: LCCOMB_X46_Y4_N8
\WideAnd3619~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3619~1_combout\ = (\led_flash_cnt[3619][5]~q\ & \led_flash_cnt[3619][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3619][5]~q\,
	datad => \led_flash_cnt[3619][6]~q\,
	combout => \WideAnd3619~1_combout\);

-- Location: LCCOMB_X46_Y4_N30
\led_flash_cnt[3619][7]~78454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3619][7]~78454_combout\ = \led_flash_cnt[3619][7]~q\ $ (!\led_flash_cnt[3619][6]~78453\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3619][7]~q\,
	cin => \led_flash_cnt[3619][6]~78453\,
	combout => \led_flash_cnt[3619][7]~78454_combout\);

-- Location: FF_X46_Y4_N31
\led_flash_cnt[3619][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3619][7]~78454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3619][7]~q\);

-- Location: LCCOMB_X46_Y4_N16
\WideAnd3619~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3619~0_combout\ = (\led_flash_cnt[3619][4]~q\ & (\led_flash_cnt[3619][2]~q\ & (\led_flash_cnt[3619][3]~q\ & \led_flash_cnt[3619][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3619][4]~q\,
	datab => \led_flash_cnt[3619][2]~q\,
	datac => \led_flash_cnt[3619][3]~q\,
	datad => \led_flash_cnt[3619][1]~q\,
	combout => \WideAnd3619~0_combout\);

-- Location: LCCOMB_X46_Y4_N14
WideAnd3619 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3619~combout\ = (\led_flash_cnt[3619][0]~q\ & (\WideAnd3619~1_combout\ & (\led_flash_cnt[3619][7]~q\ & \WideAnd3619~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3619][0]~q\,
	datab => \WideAnd3619~1_combout\,
	datac => \led_flash_cnt[3619][7]~q\,
	datad => \WideAnd3619~0_combout\,
	combout => \WideAnd3619~combout\);

-- Location: FF_X46_Y4_N15
\led_flash_cnt_ands[3619]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3619~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3619));

-- Location: LCCOMB_X46_Y2_N24
\WideAnd4292~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4292~0_combout\ = (led_flash_cnt_ands(3618) & (led_flash_cnt_ands(3616) & (led_flash_cnt_ands(3617) & led_flash_cnt_ands(3619))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3618),
	datab => led_flash_cnt_ands(3616),
	datac => led_flash_cnt_ands(3617),
	datad => led_flash_cnt_ands(3619),
	combout => \WideAnd4292~0_combout\);

-- Location: LCCOMB_X55_Y17_N16
\led_flash_cnt[3621][0]~84325\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3621][0]~84325_combout\ = !\led_flash_cnt[3621][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3621][0]~q\,
	combout => \led_flash_cnt[3621][0]~84325_combout\);

-- Location: FF_X55_Y17_N17
\led_flash_cnt[3621][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3621][0]~84325_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3621][0]~q\);

-- Location: LCCOMB_X55_Y16_N16
\led_flash_cnt[3621][1]~78470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3621][1]~78470_combout\ = (\led_flash_cnt[3621][1]~q\ & (\led_flash_cnt[3621][0]~q\ $ (VCC))) # (!\led_flash_cnt[3621][1]~q\ & (\led_flash_cnt[3621][0]~q\ & VCC))
-- \led_flash_cnt[3621][1]~78471\ = CARRY((\led_flash_cnt[3621][1]~q\ & \led_flash_cnt[3621][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3621][1]~q\,
	datab => \led_flash_cnt[3621][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3621][1]~78470_combout\,
	cout => \led_flash_cnt[3621][1]~78471\);

-- Location: FF_X55_Y16_N17
\led_flash_cnt[3621][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3621][1]~78470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3621][1]~q\);

-- Location: LCCOMB_X55_Y16_N18
\led_flash_cnt[3621][2]~78472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3621][2]~78472_combout\ = (\led_flash_cnt[3621][2]~q\ & (!\led_flash_cnt[3621][1]~78471\)) # (!\led_flash_cnt[3621][2]~q\ & ((\led_flash_cnt[3621][1]~78471\) # (GND)))
-- \led_flash_cnt[3621][2]~78473\ = CARRY((!\led_flash_cnt[3621][1]~78471\) # (!\led_flash_cnt[3621][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3621][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3621][1]~78471\,
	combout => \led_flash_cnt[3621][2]~78472_combout\,
	cout => \led_flash_cnt[3621][2]~78473\);

-- Location: FF_X55_Y16_N19
\led_flash_cnt[3621][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3621][2]~78472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3621][2]~q\);

-- Location: LCCOMB_X55_Y16_N20
\led_flash_cnt[3621][3]~78474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3621][3]~78474_combout\ = (\led_flash_cnt[3621][3]~q\ & (\led_flash_cnt[3621][2]~78473\ $ (GND))) # (!\led_flash_cnt[3621][3]~q\ & (!\led_flash_cnt[3621][2]~78473\ & VCC))
-- \led_flash_cnt[3621][3]~78475\ = CARRY((\led_flash_cnt[3621][3]~q\ & !\led_flash_cnt[3621][2]~78473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3621][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3621][2]~78473\,
	combout => \led_flash_cnt[3621][3]~78474_combout\,
	cout => \led_flash_cnt[3621][3]~78475\);

-- Location: FF_X55_Y16_N21
\led_flash_cnt[3621][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3621][3]~78474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3621][3]~q\);

-- Location: LCCOMB_X55_Y16_N22
\led_flash_cnt[3621][4]~78476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3621][4]~78476_combout\ = (\led_flash_cnt[3621][4]~q\ & (!\led_flash_cnt[3621][3]~78475\)) # (!\led_flash_cnt[3621][4]~q\ & ((\led_flash_cnt[3621][3]~78475\) # (GND)))
-- \led_flash_cnt[3621][4]~78477\ = CARRY((!\led_flash_cnt[3621][3]~78475\) # (!\led_flash_cnt[3621][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3621][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3621][3]~78475\,
	combout => \led_flash_cnt[3621][4]~78476_combout\,
	cout => \led_flash_cnt[3621][4]~78477\);

-- Location: FF_X55_Y16_N23
\led_flash_cnt[3621][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3621][4]~78476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3621][4]~q\);

-- Location: LCCOMB_X55_Y16_N24
\led_flash_cnt[3621][5]~78478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3621][5]~78478_combout\ = (\led_flash_cnt[3621][5]~q\ & (\led_flash_cnt[3621][4]~78477\ $ (GND))) # (!\led_flash_cnt[3621][5]~q\ & (!\led_flash_cnt[3621][4]~78477\ & VCC))
-- \led_flash_cnt[3621][5]~78479\ = CARRY((\led_flash_cnt[3621][5]~q\ & !\led_flash_cnt[3621][4]~78477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3621][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3621][4]~78477\,
	combout => \led_flash_cnt[3621][5]~78478_combout\,
	cout => \led_flash_cnt[3621][5]~78479\);

-- Location: FF_X55_Y16_N25
\led_flash_cnt[3621][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3621][5]~78478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3621][5]~q\);

-- Location: LCCOMB_X55_Y16_N26
\led_flash_cnt[3621][6]~78480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3621][6]~78480_combout\ = (\led_flash_cnt[3621][6]~q\ & (!\led_flash_cnt[3621][5]~78479\)) # (!\led_flash_cnt[3621][6]~q\ & ((\led_flash_cnt[3621][5]~78479\) # (GND)))
-- \led_flash_cnt[3621][6]~78481\ = CARRY((!\led_flash_cnt[3621][5]~78479\) # (!\led_flash_cnt[3621][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3621][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3621][5]~78479\,
	combout => \led_flash_cnt[3621][6]~78480_combout\,
	cout => \led_flash_cnt[3621][6]~78481\);

-- Location: FF_X55_Y16_N27
\led_flash_cnt[3621][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3621][6]~78480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3621][6]~q\);

-- Location: LCCOMB_X55_Y17_N10
\WideAnd3621~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3621~1_combout\ = (\led_flash_cnt[3621][6]~q\ & \led_flash_cnt[3621][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3621][6]~q\,
	datad => \led_flash_cnt[3621][5]~q\,
	combout => \WideAnd3621~1_combout\);

-- Location: LCCOMB_X55_Y16_N14
\WideAnd3621~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3621~0_combout\ = (\led_flash_cnt[3621][1]~q\ & (\led_flash_cnt[3621][3]~q\ & (\led_flash_cnt[3621][4]~q\ & \led_flash_cnt[3621][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3621][1]~q\,
	datab => \led_flash_cnt[3621][3]~q\,
	datac => \led_flash_cnt[3621][4]~q\,
	datad => \led_flash_cnt[3621][2]~q\,
	combout => \WideAnd3621~0_combout\);

-- Location: LCCOMB_X55_Y16_N28
\led_flash_cnt[3621][7]~78482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3621][7]~78482_combout\ = \led_flash_cnt[3621][6]~78481\ $ (!\led_flash_cnt[3621][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3621][7]~q\,
	cin => \led_flash_cnt[3621][6]~78481\,
	combout => \led_flash_cnt[3621][7]~78482_combout\);

-- Location: FF_X55_Y16_N29
\led_flash_cnt[3621][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3621][7]~78482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3621][7]~q\);

-- Location: LCCOMB_X55_Y17_N14
WideAnd3621 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3621~combout\ = (\WideAnd3621~1_combout\ & (\WideAnd3621~0_combout\ & (\led_flash_cnt[3621][7]~q\ & \led_flash_cnt[3621][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3621~1_combout\,
	datab => \WideAnd3621~0_combout\,
	datac => \led_flash_cnt[3621][7]~q\,
	datad => \led_flash_cnt[3621][0]~q\,
	combout => \WideAnd3621~combout\);

-- Location: FF_X55_Y17_N15
\led_flash_cnt_ands[3621]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3621~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3621));

-- Location: LCCOMB_X55_Y17_N12
\led_flash_cnt[3620][0]~84324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3620][0]~84324_combout\ = !\led_flash_cnt[3620][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3620][0]~q\,
	combout => \led_flash_cnt[3620][0]~84324_combout\);

-- Location: FF_X55_Y17_N13
\led_flash_cnt[3620][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3620][0]~84324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3620][0]~q\);

-- Location: LCCOMB_X55_Y17_N18
\led_flash_cnt[3620][1]~78456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3620][1]~78456_combout\ = (\led_flash_cnt[3620][0]~q\ & (\led_flash_cnt[3620][1]~q\ $ (VCC))) # (!\led_flash_cnt[3620][0]~q\ & (\led_flash_cnt[3620][1]~q\ & VCC))
-- \led_flash_cnt[3620][1]~78457\ = CARRY((\led_flash_cnt[3620][0]~q\ & \led_flash_cnt[3620][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3620][0]~q\,
	datab => \led_flash_cnt[3620][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3620][1]~78456_combout\,
	cout => \led_flash_cnt[3620][1]~78457\);

-- Location: FF_X55_Y17_N19
\led_flash_cnt[3620][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3620][1]~78456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3620][1]~q\);

-- Location: LCCOMB_X55_Y17_N20
\led_flash_cnt[3620][2]~78458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3620][2]~78458_combout\ = (\led_flash_cnt[3620][2]~q\ & (!\led_flash_cnt[3620][1]~78457\)) # (!\led_flash_cnt[3620][2]~q\ & ((\led_flash_cnt[3620][1]~78457\) # (GND)))
-- \led_flash_cnt[3620][2]~78459\ = CARRY((!\led_flash_cnt[3620][1]~78457\) # (!\led_flash_cnt[3620][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3620][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3620][1]~78457\,
	combout => \led_flash_cnt[3620][2]~78458_combout\,
	cout => \led_flash_cnt[3620][2]~78459\);

-- Location: FF_X55_Y17_N21
\led_flash_cnt[3620][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3620][2]~78458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3620][2]~q\);

-- Location: LCCOMB_X55_Y17_N22
\led_flash_cnt[3620][3]~78460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3620][3]~78460_combout\ = (\led_flash_cnt[3620][3]~q\ & (\led_flash_cnt[3620][2]~78459\ $ (GND))) # (!\led_flash_cnt[3620][3]~q\ & (!\led_flash_cnt[3620][2]~78459\ & VCC))
-- \led_flash_cnt[3620][3]~78461\ = CARRY((\led_flash_cnt[3620][3]~q\ & !\led_flash_cnt[3620][2]~78459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3620][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3620][2]~78459\,
	combout => \led_flash_cnt[3620][3]~78460_combout\,
	cout => \led_flash_cnt[3620][3]~78461\);

-- Location: FF_X55_Y17_N23
\led_flash_cnt[3620][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3620][3]~78460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3620][3]~q\);

-- Location: LCCOMB_X55_Y17_N24
\led_flash_cnt[3620][4]~78462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3620][4]~78462_combout\ = (\led_flash_cnt[3620][4]~q\ & (!\led_flash_cnt[3620][3]~78461\)) # (!\led_flash_cnt[3620][4]~q\ & ((\led_flash_cnt[3620][3]~78461\) # (GND)))
-- \led_flash_cnt[3620][4]~78463\ = CARRY((!\led_flash_cnt[3620][3]~78461\) # (!\led_flash_cnt[3620][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3620][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3620][3]~78461\,
	combout => \led_flash_cnt[3620][4]~78462_combout\,
	cout => \led_flash_cnt[3620][4]~78463\);

-- Location: FF_X55_Y17_N25
\led_flash_cnt[3620][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3620][4]~78462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3620][4]~q\);

-- Location: LCCOMB_X55_Y17_N26
\led_flash_cnt[3620][5]~78464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3620][5]~78464_combout\ = (\led_flash_cnt[3620][5]~q\ & (\led_flash_cnt[3620][4]~78463\ $ (GND))) # (!\led_flash_cnt[3620][5]~q\ & (!\led_flash_cnt[3620][4]~78463\ & VCC))
-- \led_flash_cnt[3620][5]~78465\ = CARRY((\led_flash_cnt[3620][5]~q\ & !\led_flash_cnt[3620][4]~78463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3620][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3620][4]~78463\,
	combout => \led_flash_cnt[3620][5]~78464_combout\,
	cout => \led_flash_cnt[3620][5]~78465\);

-- Location: FF_X55_Y17_N27
\led_flash_cnt[3620][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3620][5]~78464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3620][5]~q\);

-- Location: LCCOMB_X55_Y17_N28
\led_flash_cnt[3620][6]~78466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3620][6]~78466_combout\ = (\led_flash_cnt[3620][6]~q\ & (!\led_flash_cnt[3620][5]~78465\)) # (!\led_flash_cnt[3620][6]~q\ & ((\led_flash_cnt[3620][5]~78465\) # (GND)))
-- \led_flash_cnt[3620][6]~78467\ = CARRY((!\led_flash_cnt[3620][5]~78465\) # (!\led_flash_cnt[3620][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3620][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3620][5]~78465\,
	combout => \led_flash_cnt[3620][6]~78466_combout\,
	cout => \led_flash_cnt[3620][6]~78467\);

-- Location: FF_X55_Y17_N29
\led_flash_cnt[3620][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3620][6]~78466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3620][6]~q\);

-- Location: LCCOMB_X55_Y17_N8
\WideAnd3620~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3620~1_combout\ = (\led_flash_cnt[3620][5]~q\ & \led_flash_cnt[3620][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3620][5]~q\,
	datad => \led_flash_cnt[3620][6]~q\,
	combout => \WideAnd3620~1_combout\);

-- Location: LCCOMB_X55_Y17_N30
\led_flash_cnt[3620][7]~78468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3620][7]~78468_combout\ = \led_flash_cnt[3620][7]~q\ $ (!\led_flash_cnt[3620][6]~78467\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3620][7]~q\,
	cin => \led_flash_cnt[3620][6]~78467\,
	combout => \led_flash_cnt[3620][7]~78468_combout\);

-- Location: FF_X55_Y17_N31
\led_flash_cnt[3620][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3620][7]~78468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3620][7]~q\);

-- Location: LCCOMB_X55_Y17_N2
\WideAnd3620~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3620~0_combout\ = (\led_flash_cnt[3620][2]~q\ & (\led_flash_cnt[3620][1]~q\ & (\led_flash_cnt[3620][3]~q\ & \led_flash_cnt[3620][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3620][2]~q\,
	datab => \led_flash_cnt[3620][1]~q\,
	datac => \led_flash_cnt[3620][3]~q\,
	datad => \led_flash_cnt[3620][4]~q\,
	combout => \WideAnd3620~0_combout\);

-- Location: LCCOMB_X55_Y17_N4
WideAnd3620 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3620~combout\ = (\led_flash_cnt[3620][0]~q\ & (\WideAnd3620~1_combout\ & (\led_flash_cnt[3620][7]~q\ & \WideAnd3620~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3620][0]~q\,
	datab => \WideAnd3620~1_combout\,
	datac => \led_flash_cnt[3620][7]~q\,
	datad => \WideAnd3620~0_combout\,
	combout => \WideAnd3620~combout\);

-- Location: FF_X55_Y17_N5
\led_flash_cnt_ands[3620]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3620~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3620));

-- Location: LCCOMB_X54_Y17_N30
\WideAnd4292~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4292~1_combout\ = (led_flash_cnt_ands(3621) & led_flash_cnt_ands(3620))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3621),
	datad => led_flash_cnt_ands(3620),
	combout => \WideAnd4292~1_combout\);

-- Location: LCCOMB_X46_Y4_N10
\led_flash_cnt[3623][0]~84327\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3623][0]~84327_combout\ = !\led_flash_cnt[3623][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3623][0]~q\,
	combout => \led_flash_cnt[3623][0]~84327_combout\);

-- Location: FF_X46_Y4_N11
\led_flash_cnt[3623][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3623][0]~84327_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3623][0]~q\);

-- Location: LCCOMB_X46_Y8_N4
\led_flash_cnt[3623][1]~78498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3623][1]~78498_combout\ = (\led_flash_cnt[3623][0]~q\ & (\led_flash_cnt[3623][1]~q\ $ (VCC))) # (!\led_flash_cnt[3623][0]~q\ & (\led_flash_cnt[3623][1]~q\ & VCC))
-- \led_flash_cnt[3623][1]~78499\ = CARRY((\led_flash_cnt[3623][0]~q\ & \led_flash_cnt[3623][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3623][0]~q\,
	datab => \led_flash_cnt[3623][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3623][1]~78498_combout\,
	cout => \led_flash_cnt[3623][1]~78499\);

-- Location: FF_X46_Y8_N5
\led_flash_cnt[3623][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3623][1]~78498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3623][1]~q\);

-- Location: LCCOMB_X46_Y8_N6
\led_flash_cnt[3623][2]~78500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3623][2]~78500_combout\ = (\led_flash_cnt[3623][2]~q\ & (!\led_flash_cnt[3623][1]~78499\)) # (!\led_flash_cnt[3623][2]~q\ & ((\led_flash_cnt[3623][1]~78499\) # (GND)))
-- \led_flash_cnt[3623][2]~78501\ = CARRY((!\led_flash_cnt[3623][1]~78499\) # (!\led_flash_cnt[3623][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3623][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3623][1]~78499\,
	combout => \led_flash_cnt[3623][2]~78500_combout\,
	cout => \led_flash_cnt[3623][2]~78501\);

-- Location: FF_X46_Y8_N7
\led_flash_cnt[3623][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3623][2]~78500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3623][2]~q\);

-- Location: LCCOMB_X46_Y8_N8
\led_flash_cnt[3623][3]~78502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3623][3]~78502_combout\ = (\led_flash_cnt[3623][3]~q\ & (\led_flash_cnt[3623][2]~78501\ $ (GND))) # (!\led_flash_cnt[3623][3]~q\ & (!\led_flash_cnt[3623][2]~78501\ & VCC))
-- \led_flash_cnt[3623][3]~78503\ = CARRY((\led_flash_cnt[3623][3]~q\ & !\led_flash_cnt[3623][2]~78501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3623][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3623][2]~78501\,
	combout => \led_flash_cnt[3623][3]~78502_combout\,
	cout => \led_flash_cnt[3623][3]~78503\);

-- Location: FF_X46_Y8_N9
\led_flash_cnt[3623][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3623][3]~78502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3623][3]~q\);

-- Location: LCCOMB_X46_Y8_N10
\led_flash_cnt[3623][4]~78504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3623][4]~78504_combout\ = (\led_flash_cnt[3623][4]~q\ & (!\led_flash_cnt[3623][3]~78503\)) # (!\led_flash_cnt[3623][4]~q\ & ((\led_flash_cnt[3623][3]~78503\) # (GND)))
-- \led_flash_cnt[3623][4]~78505\ = CARRY((!\led_flash_cnt[3623][3]~78503\) # (!\led_flash_cnt[3623][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3623][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3623][3]~78503\,
	combout => \led_flash_cnt[3623][4]~78504_combout\,
	cout => \led_flash_cnt[3623][4]~78505\);

-- Location: FF_X46_Y8_N11
\led_flash_cnt[3623][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3623][4]~78504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3623][4]~q\);

-- Location: LCCOMB_X46_Y8_N12
\led_flash_cnt[3623][5]~78506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3623][5]~78506_combout\ = (\led_flash_cnt[3623][5]~q\ & (\led_flash_cnt[3623][4]~78505\ $ (GND))) # (!\led_flash_cnt[3623][5]~q\ & (!\led_flash_cnt[3623][4]~78505\ & VCC))
-- \led_flash_cnt[3623][5]~78507\ = CARRY((\led_flash_cnt[3623][5]~q\ & !\led_flash_cnt[3623][4]~78505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3623][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3623][4]~78505\,
	combout => \led_flash_cnt[3623][5]~78506_combout\,
	cout => \led_flash_cnt[3623][5]~78507\);

-- Location: FF_X46_Y8_N13
\led_flash_cnt[3623][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3623][5]~78506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3623][5]~q\);

-- Location: LCCOMB_X46_Y8_N14
\led_flash_cnt[3623][6]~78508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3623][6]~78508_combout\ = (\led_flash_cnt[3623][6]~q\ & (!\led_flash_cnt[3623][5]~78507\)) # (!\led_flash_cnt[3623][6]~q\ & ((\led_flash_cnt[3623][5]~78507\) # (GND)))
-- \led_flash_cnt[3623][6]~78509\ = CARRY((!\led_flash_cnt[3623][5]~78507\) # (!\led_flash_cnt[3623][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3623][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3623][5]~78507\,
	combout => \led_flash_cnt[3623][6]~78508_combout\,
	cout => \led_flash_cnt[3623][6]~78509\);

-- Location: FF_X46_Y8_N15
\led_flash_cnt[3623][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3623][6]~78508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3623][6]~q\);

-- Location: LCCOMB_X46_Y8_N16
\led_flash_cnt[3623][7]~78510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3623][7]~78510_combout\ = \led_flash_cnt[3623][6]~78509\ $ (!\led_flash_cnt[3623][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3623][7]~q\,
	cin => \led_flash_cnt[3623][6]~78509\,
	combout => \led_flash_cnt[3623][7]~78510_combout\);

-- Location: FF_X46_Y8_N17
\led_flash_cnt[3623][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3623][7]~78510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3623][7]~q\);

-- Location: LCCOMB_X46_Y8_N2
\WideAnd3623~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3623~0_combout\ = (\led_flash_cnt[3623][4]~q\ & (\led_flash_cnt[3623][3]~q\ & (\led_flash_cnt[3623][1]~q\ & \led_flash_cnt[3623][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3623][4]~q\,
	datab => \led_flash_cnt[3623][3]~q\,
	datac => \led_flash_cnt[3623][1]~q\,
	datad => \led_flash_cnt[3623][2]~q\,
	combout => \WideAnd3623~0_combout\);

-- Location: LCCOMB_X46_Y4_N2
\WideAnd3623~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3623~1_combout\ = (\led_flash_cnt[3623][5]~q\ & \led_flash_cnt[3623][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3623][5]~q\,
	datad => \led_flash_cnt[3623][6]~q\,
	combout => \WideAnd3623~1_combout\);

-- Location: LCCOMB_X46_Y4_N0
WideAnd3623 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3623~combout\ = (\led_flash_cnt[3623][0]~q\ & (\led_flash_cnt[3623][7]~q\ & (\WideAnd3623~0_combout\ & \WideAnd3623~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3623][0]~q\,
	datab => \led_flash_cnt[3623][7]~q\,
	datac => \WideAnd3623~0_combout\,
	datad => \WideAnd3623~1_combout\,
	combout => \WideAnd3623~combout\);

-- Location: FF_X46_Y4_N1
\led_flash_cnt_ands[3623]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3623~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3623));

-- Location: LCCOMB_X46_Y4_N6
WideAnd4292 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4292~combout\ = (led_flash_cnt_ands(3622) & (\WideAnd4292~0_combout\ & (\WideAnd4292~1_combout\ & led_flash_cnt_ands(3623))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3622),
	datab => \WideAnd4292~0_combout\,
	datac => \WideAnd4292~1_combout\,
	datad => led_flash_cnt_ands(3623),
	combout => \WideAnd4292~combout\);

-- Location: FF_X46_Y4_N7
\led_flash_cnt_ands_1[452]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4292~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(452));

-- Location: LCCOMB_X46_Y3_N10
\led_flash_cnt[3631][0]~84335\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3631][0]~84335_combout\ = !\led_flash_cnt[3631][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3631][0]~q\,
	combout => \led_flash_cnt[3631][0]~84335_combout\);

-- Location: FF_X46_Y3_N11
\led_flash_cnt[3631][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3631][0]~84335_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3631][0]~q\);

-- Location: LCCOMB_X45_Y3_N18
\led_flash_cnt[3631][1]~78610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3631][1]~78610_combout\ = (\led_flash_cnt[3631][0]~q\ & (\led_flash_cnt[3631][1]~q\ $ (VCC))) # (!\led_flash_cnt[3631][0]~q\ & (\led_flash_cnt[3631][1]~q\ & VCC))
-- \led_flash_cnt[3631][1]~78611\ = CARRY((\led_flash_cnt[3631][0]~q\ & \led_flash_cnt[3631][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3631][0]~q\,
	datab => \led_flash_cnt[3631][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3631][1]~78610_combout\,
	cout => \led_flash_cnt[3631][1]~78611\);

-- Location: FF_X45_Y3_N19
\led_flash_cnt[3631][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3631][1]~78610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3631][1]~q\);

-- Location: LCCOMB_X45_Y3_N20
\led_flash_cnt[3631][2]~78612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3631][2]~78612_combout\ = (\led_flash_cnt[3631][2]~q\ & (!\led_flash_cnt[3631][1]~78611\)) # (!\led_flash_cnt[3631][2]~q\ & ((\led_flash_cnt[3631][1]~78611\) # (GND)))
-- \led_flash_cnt[3631][2]~78613\ = CARRY((!\led_flash_cnt[3631][1]~78611\) # (!\led_flash_cnt[3631][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3631][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3631][1]~78611\,
	combout => \led_flash_cnt[3631][2]~78612_combout\,
	cout => \led_flash_cnt[3631][2]~78613\);

-- Location: FF_X45_Y3_N21
\led_flash_cnt[3631][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3631][2]~78612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3631][2]~q\);

-- Location: LCCOMB_X45_Y3_N22
\led_flash_cnt[3631][3]~78614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3631][3]~78614_combout\ = (\led_flash_cnt[3631][3]~q\ & (\led_flash_cnt[3631][2]~78613\ $ (GND))) # (!\led_flash_cnt[3631][3]~q\ & (!\led_flash_cnt[3631][2]~78613\ & VCC))
-- \led_flash_cnt[3631][3]~78615\ = CARRY((\led_flash_cnt[3631][3]~q\ & !\led_flash_cnt[3631][2]~78613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3631][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3631][2]~78613\,
	combout => \led_flash_cnt[3631][3]~78614_combout\,
	cout => \led_flash_cnt[3631][3]~78615\);

-- Location: FF_X45_Y3_N23
\led_flash_cnt[3631][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3631][3]~78614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3631][3]~q\);

-- Location: LCCOMB_X45_Y3_N24
\led_flash_cnt[3631][4]~78616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3631][4]~78616_combout\ = (\led_flash_cnt[3631][4]~q\ & (!\led_flash_cnt[3631][3]~78615\)) # (!\led_flash_cnt[3631][4]~q\ & ((\led_flash_cnt[3631][3]~78615\) # (GND)))
-- \led_flash_cnt[3631][4]~78617\ = CARRY((!\led_flash_cnt[3631][3]~78615\) # (!\led_flash_cnt[3631][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3631][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3631][3]~78615\,
	combout => \led_flash_cnt[3631][4]~78616_combout\,
	cout => \led_flash_cnt[3631][4]~78617\);

-- Location: FF_X45_Y3_N25
\led_flash_cnt[3631][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3631][4]~78616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3631][4]~q\);

-- Location: LCCOMB_X45_Y3_N2
\WideAnd3631~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3631~0_combout\ = (\led_flash_cnt[3631][2]~q\ & (\led_flash_cnt[3631][4]~q\ & (\led_flash_cnt[3631][3]~q\ & \led_flash_cnt[3631][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3631][2]~q\,
	datab => \led_flash_cnt[3631][4]~q\,
	datac => \led_flash_cnt[3631][3]~q\,
	datad => \led_flash_cnt[3631][1]~q\,
	combout => \WideAnd3631~0_combout\);

-- Location: LCCOMB_X45_Y3_N26
\led_flash_cnt[3631][5]~78618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3631][5]~78618_combout\ = (\led_flash_cnt[3631][5]~q\ & (\led_flash_cnt[3631][4]~78617\ $ (GND))) # (!\led_flash_cnt[3631][5]~q\ & (!\led_flash_cnt[3631][4]~78617\ & VCC))
-- \led_flash_cnt[3631][5]~78619\ = CARRY((\led_flash_cnt[3631][5]~q\ & !\led_flash_cnt[3631][4]~78617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3631][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3631][4]~78617\,
	combout => \led_flash_cnt[3631][5]~78618_combout\,
	cout => \led_flash_cnt[3631][5]~78619\);

-- Location: FF_X45_Y3_N27
\led_flash_cnt[3631][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3631][5]~78618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3631][5]~q\);

-- Location: LCCOMB_X45_Y3_N28
\led_flash_cnt[3631][6]~78620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3631][6]~78620_combout\ = (\led_flash_cnt[3631][6]~q\ & (!\led_flash_cnt[3631][5]~78619\)) # (!\led_flash_cnt[3631][6]~q\ & ((\led_flash_cnt[3631][5]~78619\) # (GND)))
-- \led_flash_cnt[3631][6]~78621\ = CARRY((!\led_flash_cnt[3631][5]~78619\) # (!\led_flash_cnt[3631][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3631][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3631][5]~78619\,
	combout => \led_flash_cnt[3631][6]~78620_combout\,
	cout => \led_flash_cnt[3631][6]~78621\);

-- Location: FF_X45_Y3_N29
\led_flash_cnt[3631][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3631][6]~78620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3631][6]~q\);

-- Location: LCCOMB_X45_Y3_N30
\led_flash_cnt[3631][7]~78622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3631][7]~78622_combout\ = \led_flash_cnt[3631][7]~q\ $ (!\led_flash_cnt[3631][6]~78621\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3631][7]~q\,
	cin => \led_flash_cnt[3631][6]~78621\,
	combout => \led_flash_cnt[3631][7]~78622_combout\);

-- Location: FF_X45_Y3_N31
\led_flash_cnt[3631][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3631][7]~78622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3631][7]~q\);

-- Location: LCCOMB_X46_Y3_N8
\WideAnd3631~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3631~1_combout\ = (\led_flash_cnt[3631][5]~q\ & \led_flash_cnt[3631][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3631][5]~q\,
	datad => \led_flash_cnt[3631][6]~q\,
	combout => \WideAnd3631~1_combout\);

-- Location: LCCOMB_X46_Y3_N6
WideAnd3631 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3631~combout\ = (\WideAnd3631~0_combout\ & (\led_flash_cnt[3631][7]~q\ & (\WideAnd3631~1_combout\ & \led_flash_cnt[3631][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3631~0_combout\,
	datab => \led_flash_cnt[3631][7]~q\,
	datac => \WideAnd3631~1_combout\,
	datad => \led_flash_cnt[3631][0]~q\,
	combout => \WideAnd3631~combout\);

-- Location: FF_X46_Y3_N7
\led_flash_cnt_ands[3631]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3631~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3631));

-- Location: LCCOMB_X46_Y3_N12
\led_flash_cnt[3630][0]~84334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3630][0]~84334_combout\ = !\led_flash_cnt[3630][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3630][0]~q\,
	combout => \led_flash_cnt[3630][0]~84334_combout\);

-- Location: FF_X46_Y3_N13
\led_flash_cnt[3630][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3630][0]~84334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3630][0]~q\);

-- Location: LCCOMB_X46_Y3_N14
\led_flash_cnt[3630][1]~78596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3630][1]~78596_combout\ = (\led_flash_cnt[3630][0]~q\ & (\led_flash_cnt[3630][1]~q\ $ (VCC))) # (!\led_flash_cnt[3630][0]~q\ & (\led_flash_cnt[3630][1]~q\ & VCC))
-- \led_flash_cnt[3630][1]~78597\ = CARRY((\led_flash_cnt[3630][0]~q\ & \led_flash_cnt[3630][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3630][0]~q\,
	datab => \led_flash_cnt[3630][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3630][1]~78596_combout\,
	cout => \led_flash_cnt[3630][1]~78597\);

-- Location: FF_X46_Y3_N15
\led_flash_cnt[3630][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3630][1]~78596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3630][1]~q\);

-- Location: LCCOMB_X46_Y3_N16
\led_flash_cnt[3630][2]~78598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3630][2]~78598_combout\ = (\led_flash_cnt[3630][2]~q\ & (!\led_flash_cnt[3630][1]~78597\)) # (!\led_flash_cnt[3630][2]~q\ & ((\led_flash_cnt[3630][1]~78597\) # (GND)))
-- \led_flash_cnt[3630][2]~78599\ = CARRY((!\led_flash_cnt[3630][1]~78597\) # (!\led_flash_cnt[3630][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3630][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3630][1]~78597\,
	combout => \led_flash_cnt[3630][2]~78598_combout\,
	cout => \led_flash_cnt[3630][2]~78599\);

-- Location: FF_X46_Y3_N17
\led_flash_cnt[3630][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3630][2]~78598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3630][2]~q\);

-- Location: LCCOMB_X46_Y3_N18
\led_flash_cnt[3630][3]~78600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3630][3]~78600_combout\ = (\led_flash_cnt[3630][3]~q\ & (\led_flash_cnt[3630][2]~78599\ $ (GND))) # (!\led_flash_cnt[3630][3]~q\ & (!\led_flash_cnt[3630][2]~78599\ & VCC))
-- \led_flash_cnt[3630][3]~78601\ = CARRY((\led_flash_cnt[3630][3]~q\ & !\led_flash_cnt[3630][2]~78599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3630][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3630][2]~78599\,
	combout => \led_flash_cnt[3630][3]~78600_combout\,
	cout => \led_flash_cnt[3630][3]~78601\);

-- Location: FF_X46_Y3_N19
\led_flash_cnt[3630][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3630][3]~78600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3630][3]~q\);

-- Location: LCCOMB_X46_Y3_N20
\led_flash_cnt[3630][4]~78602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3630][4]~78602_combout\ = (\led_flash_cnt[3630][4]~q\ & (!\led_flash_cnt[3630][3]~78601\)) # (!\led_flash_cnt[3630][4]~q\ & ((\led_flash_cnt[3630][3]~78601\) # (GND)))
-- \led_flash_cnt[3630][4]~78603\ = CARRY((!\led_flash_cnt[3630][3]~78601\) # (!\led_flash_cnt[3630][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3630][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3630][3]~78601\,
	combout => \led_flash_cnt[3630][4]~78602_combout\,
	cout => \led_flash_cnt[3630][4]~78603\);

-- Location: FF_X46_Y3_N21
\led_flash_cnt[3630][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3630][4]~78602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3630][4]~q\);

-- Location: LCCOMB_X46_Y3_N22
\led_flash_cnt[3630][5]~78604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3630][5]~78604_combout\ = (\led_flash_cnt[3630][5]~q\ & (\led_flash_cnt[3630][4]~78603\ $ (GND))) # (!\led_flash_cnt[3630][5]~q\ & (!\led_flash_cnt[3630][4]~78603\ & VCC))
-- \led_flash_cnt[3630][5]~78605\ = CARRY((\led_flash_cnt[3630][5]~q\ & !\led_flash_cnt[3630][4]~78603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3630][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3630][4]~78603\,
	combout => \led_flash_cnt[3630][5]~78604_combout\,
	cout => \led_flash_cnt[3630][5]~78605\);

-- Location: FF_X46_Y3_N23
\led_flash_cnt[3630][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3630][5]~78604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3630][5]~q\);

-- Location: LCCOMB_X46_Y3_N24
\led_flash_cnt[3630][6]~78606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3630][6]~78606_combout\ = (\led_flash_cnt[3630][6]~q\ & (!\led_flash_cnt[3630][5]~78605\)) # (!\led_flash_cnt[3630][6]~q\ & ((\led_flash_cnt[3630][5]~78605\) # (GND)))
-- \led_flash_cnt[3630][6]~78607\ = CARRY((!\led_flash_cnt[3630][5]~78605\) # (!\led_flash_cnt[3630][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3630][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3630][5]~78605\,
	combout => \led_flash_cnt[3630][6]~78606_combout\,
	cout => \led_flash_cnt[3630][6]~78607\);

-- Location: FF_X46_Y3_N25
\led_flash_cnt[3630][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3630][6]~78606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3630][6]~q\);

-- Location: LCCOMB_X46_Y3_N26
\led_flash_cnt[3630][7]~78608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3630][7]~78608_combout\ = \led_flash_cnt[3630][7]~q\ $ (!\led_flash_cnt[3630][6]~78607\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3630][7]~q\,
	cin => \led_flash_cnt[3630][6]~78607\,
	combout => \led_flash_cnt[3630][7]~78608_combout\);

-- Location: FF_X46_Y3_N27
\led_flash_cnt[3630][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3630][7]~78608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3630][7]~q\);

-- Location: LCCOMB_X46_Y3_N2
\WideAnd3630~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3630~1_combout\ = (\led_flash_cnt[3630][5]~q\ & \led_flash_cnt[3630][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3630][5]~q\,
	datad => \led_flash_cnt[3630][6]~q\,
	combout => \WideAnd3630~1_combout\);

-- Location: LCCOMB_X46_Y3_N30
\WideAnd3630~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3630~0_combout\ = (\led_flash_cnt[3630][4]~q\ & (\led_flash_cnt[3630][3]~q\ & (\led_flash_cnt[3630][1]~q\ & \led_flash_cnt[3630][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3630][4]~q\,
	datab => \led_flash_cnt[3630][3]~q\,
	datac => \led_flash_cnt[3630][1]~q\,
	datad => \led_flash_cnt[3630][2]~q\,
	combout => \WideAnd3630~0_combout\);

-- Location: LCCOMB_X46_Y3_N4
WideAnd3630 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3630~combout\ = (\led_flash_cnt[3630][7]~q\ & (\WideAnd3630~1_combout\ & (\WideAnd3630~0_combout\ & \led_flash_cnt[3630][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3630][7]~q\,
	datab => \WideAnd3630~1_combout\,
	datac => \WideAnd3630~0_combout\,
	datad => \led_flash_cnt[3630][0]~q\,
	combout => \WideAnd3630~combout\);

-- Location: FF_X46_Y3_N5
\led_flash_cnt_ands[3630]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3630~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3630));

-- Location: LCCOMB_X46_Y5_N0
\led_flash_cnt[3629][0]~84333\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3629][0]~84333_combout\ = !\led_flash_cnt[3629][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3629][0]~q\,
	combout => \led_flash_cnt[3629][0]~84333_combout\);

-- Location: FF_X46_Y5_N1
\led_flash_cnt[3629][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3629][0]~84333_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3629][0]~q\);

-- Location: LCCOMB_X46_Y5_N6
\led_flash_cnt[3629][1]~78582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3629][1]~78582_combout\ = (\led_flash_cnt[3629][1]~q\ & (\led_flash_cnt[3629][0]~q\ $ (VCC))) # (!\led_flash_cnt[3629][1]~q\ & (\led_flash_cnt[3629][0]~q\ & VCC))
-- \led_flash_cnt[3629][1]~78583\ = CARRY((\led_flash_cnt[3629][1]~q\ & \led_flash_cnt[3629][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3629][1]~q\,
	datab => \led_flash_cnt[3629][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3629][1]~78582_combout\,
	cout => \led_flash_cnt[3629][1]~78583\);

-- Location: FF_X46_Y5_N7
\led_flash_cnt[3629][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3629][1]~78582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3629][1]~q\);

-- Location: LCCOMB_X46_Y5_N8
\led_flash_cnt[3629][2]~78584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3629][2]~78584_combout\ = (\led_flash_cnt[3629][2]~q\ & (!\led_flash_cnt[3629][1]~78583\)) # (!\led_flash_cnt[3629][2]~q\ & ((\led_flash_cnt[3629][1]~78583\) # (GND)))
-- \led_flash_cnt[3629][2]~78585\ = CARRY((!\led_flash_cnt[3629][1]~78583\) # (!\led_flash_cnt[3629][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3629][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3629][1]~78583\,
	combout => \led_flash_cnt[3629][2]~78584_combout\,
	cout => \led_flash_cnt[3629][2]~78585\);

-- Location: FF_X46_Y5_N9
\led_flash_cnt[3629][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3629][2]~78584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3629][2]~q\);

-- Location: LCCOMB_X46_Y5_N10
\led_flash_cnt[3629][3]~78586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3629][3]~78586_combout\ = (\led_flash_cnt[3629][3]~q\ & (\led_flash_cnt[3629][2]~78585\ $ (GND))) # (!\led_flash_cnt[3629][3]~q\ & (!\led_flash_cnt[3629][2]~78585\ & VCC))
-- \led_flash_cnt[3629][3]~78587\ = CARRY((\led_flash_cnt[3629][3]~q\ & !\led_flash_cnt[3629][2]~78585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3629][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3629][2]~78585\,
	combout => \led_flash_cnt[3629][3]~78586_combout\,
	cout => \led_flash_cnt[3629][3]~78587\);

-- Location: FF_X46_Y5_N11
\led_flash_cnt[3629][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3629][3]~78586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3629][3]~q\);

-- Location: LCCOMB_X46_Y5_N12
\led_flash_cnt[3629][4]~78588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3629][4]~78588_combout\ = (\led_flash_cnt[3629][4]~q\ & (!\led_flash_cnt[3629][3]~78587\)) # (!\led_flash_cnt[3629][4]~q\ & ((\led_flash_cnt[3629][3]~78587\) # (GND)))
-- \led_flash_cnt[3629][4]~78589\ = CARRY((!\led_flash_cnt[3629][3]~78587\) # (!\led_flash_cnt[3629][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3629][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3629][3]~78587\,
	combout => \led_flash_cnt[3629][4]~78588_combout\,
	cout => \led_flash_cnt[3629][4]~78589\);

-- Location: FF_X46_Y5_N13
\led_flash_cnt[3629][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3629][4]~78588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3629][4]~q\);

-- Location: LCCOMB_X46_Y5_N14
\led_flash_cnt[3629][5]~78590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3629][5]~78590_combout\ = (\led_flash_cnt[3629][5]~q\ & (\led_flash_cnt[3629][4]~78589\ $ (GND))) # (!\led_flash_cnt[3629][5]~q\ & (!\led_flash_cnt[3629][4]~78589\ & VCC))
-- \led_flash_cnt[3629][5]~78591\ = CARRY((\led_flash_cnt[3629][5]~q\ & !\led_flash_cnt[3629][4]~78589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3629][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3629][4]~78589\,
	combout => \led_flash_cnt[3629][5]~78590_combout\,
	cout => \led_flash_cnt[3629][5]~78591\);

-- Location: FF_X46_Y5_N15
\led_flash_cnt[3629][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3629][5]~78590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3629][5]~q\);

-- Location: LCCOMB_X46_Y5_N16
\led_flash_cnt[3629][6]~78592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3629][6]~78592_combout\ = (\led_flash_cnt[3629][6]~q\ & (!\led_flash_cnt[3629][5]~78591\)) # (!\led_flash_cnt[3629][6]~q\ & ((\led_flash_cnt[3629][5]~78591\) # (GND)))
-- \led_flash_cnt[3629][6]~78593\ = CARRY((!\led_flash_cnt[3629][5]~78591\) # (!\led_flash_cnt[3629][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3629][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3629][5]~78591\,
	combout => \led_flash_cnt[3629][6]~78592_combout\,
	cout => \led_flash_cnt[3629][6]~78593\);

-- Location: FF_X46_Y5_N17
\led_flash_cnt[3629][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3629][6]~78592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3629][6]~q\);

-- Location: LCCOMB_X46_Y5_N26
\WideAnd3629~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3629~1_combout\ = (\led_flash_cnt[3629][5]~q\ & \led_flash_cnt[3629][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3629][5]~q\,
	datad => \led_flash_cnt[3629][6]~q\,
	combout => \WideAnd3629~1_combout\);

-- Location: LCCOMB_X46_Y5_N18
\led_flash_cnt[3629][7]~78594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3629][7]~78594_combout\ = \led_flash_cnt[3629][7]~q\ $ (!\led_flash_cnt[3629][6]~78593\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3629][7]~q\,
	cin => \led_flash_cnt[3629][6]~78593\,
	combout => \led_flash_cnt[3629][7]~78594_combout\);

-- Location: FF_X46_Y5_N19
\led_flash_cnt[3629][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3629][7]~78594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3629][7]~q\);

-- Location: LCCOMB_X46_Y5_N24
\WideAnd3629~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3629~0_combout\ = (\led_flash_cnt[3629][1]~q\ & (\led_flash_cnt[3629][4]~q\ & (\led_flash_cnt[3629][2]~q\ & \led_flash_cnt[3629][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3629][1]~q\,
	datab => \led_flash_cnt[3629][4]~q\,
	datac => \led_flash_cnt[3629][2]~q\,
	datad => \led_flash_cnt[3629][3]~q\,
	combout => \WideAnd3629~0_combout\);

-- Location: LCCOMB_X46_Y5_N30
WideAnd3629 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3629~combout\ = (\WideAnd3629~1_combout\ & (\led_flash_cnt[3629][0]~q\ & (\led_flash_cnt[3629][7]~q\ & \WideAnd3629~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3629~1_combout\,
	datab => \led_flash_cnt[3629][0]~q\,
	datac => \led_flash_cnt[3629][7]~q\,
	datad => \WideAnd3629~0_combout\,
	combout => \WideAnd3629~combout\);

-- Location: FF_X46_Y5_N31
\led_flash_cnt_ands[3629]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3629~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3629));

-- Location: LCCOMB_X46_Y5_N28
\led_flash_cnt[3628][0]~84332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3628][0]~84332_combout\ = !\led_flash_cnt[3628][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3628][0]~q\,
	combout => \led_flash_cnt[3628][0]~84332_combout\);

-- Location: FF_X46_Y5_N29
\led_flash_cnt[3628][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3628][0]~84332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3628][0]~q\);

-- Location: LCCOMB_X46_Y1_N2
\led_flash_cnt[3628][1]~78568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3628][1]~78568_combout\ = (\led_flash_cnt[3628][0]~q\ & (\led_flash_cnt[3628][1]~q\ $ (VCC))) # (!\led_flash_cnt[3628][0]~q\ & (\led_flash_cnt[3628][1]~q\ & VCC))
-- \led_flash_cnt[3628][1]~78569\ = CARRY((\led_flash_cnt[3628][0]~q\ & \led_flash_cnt[3628][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3628][0]~q\,
	datab => \led_flash_cnt[3628][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3628][1]~78568_combout\,
	cout => \led_flash_cnt[3628][1]~78569\);

-- Location: FF_X46_Y1_N3
\led_flash_cnt[3628][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3628][1]~78568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3628][1]~q\);

-- Location: LCCOMB_X46_Y1_N4
\led_flash_cnt[3628][2]~78570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3628][2]~78570_combout\ = (\led_flash_cnt[3628][2]~q\ & (!\led_flash_cnt[3628][1]~78569\)) # (!\led_flash_cnt[3628][2]~q\ & ((\led_flash_cnt[3628][1]~78569\) # (GND)))
-- \led_flash_cnt[3628][2]~78571\ = CARRY((!\led_flash_cnt[3628][1]~78569\) # (!\led_flash_cnt[3628][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3628][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3628][1]~78569\,
	combout => \led_flash_cnt[3628][2]~78570_combout\,
	cout => \led_flash_cnt[3628][2]~78571\);

-- Location: FF_X46_Y1_N5
\led_flash_cnt[3628][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3628][2]~78570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3628][2]~q\);

-- Location: LCCOMB_X46_Y1_N6
\led_flash_cnt[3628][3]~78572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3628][3]~78572_combout\ = (\led_flash_cnt[3628][3]~q\ & (\led_flash_cnt[3628][2]~78571\ $ (GND))) # (!\led_flash_cnt[3628][3]~q\ & (!\led_flash_cnt[3628][2]~78571\ & VCC))
-- \led_flash_cnt[3628][3]~78573\ = CARRY((\led_flash_cnt[3628][3]~q\ & !\led_flash_cnt[3628][2]~78571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3628][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3628][2]~78571\,
	combout => \led_flash_cnt[3628][3]~78572_combout\,
	cout => \led_flash_cnt[3628][3]~78573\);

-- Location: FF_X46_Y1_N7
\led_flash_cnt[3628][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3628][3]~78572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3628][3]~q\);

-- Location: LCCOMB_X46_Y1_N8
\led_flash_cnt[3628][4]~78574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3628][4]~78574_combout\ = (\led_flash_cnt[3628][4]~q\ & (!\led_flash_cnt[3628][3]~78573\)) # (!\led_flash_cnt[3628][4]~q\ & ((\led_flash_cnt[3628][3]~78573\) # (GND)))
-- \led_flash_cnt[3628][4]~78575\ = CARRY((!\led_flash_cnt[3628][3]~78573\) # (!\led_flash_cnt[3628][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3628][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3628][3]~78573\,
	combout => \led_flash_cnt[3628][4]~78574_combout\,
	cout => \led_flash_cnt[3628][4]~78575\);

-- Location: FF_X46_Y1_N9
\led_flash_cnt[3628][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3628][4]~78574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3628][4]~q\);

-- Location: LCCOMB_X46_Y1_N10
\led_flash_cnt[3628][5]~78576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3628][5]~78576_combout\ = (\led_flash_cnt[3628][5]~q\ & (\led_flash_cnt[3628][4]~78575\ $ (GND))) # (!\led_flash_cnt[3628][5]~q\ & (!\led_flash_cnt[3628][4]~78575\ & VCC))
-- \led_flash_cnt[3628][5]~78577\ = CARRY((\led_flash_cnt[3628][5]~q\ & !\led_flash_cnt[3628][4]~78575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3628][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3628][4]~78575\,
	combout => \led_flash_cnt[3628][5]~78576_combout\,
	cout => \led_flash_cnt[3628][5]~78577\);

-- Location: FF_X46_Y1_N11
\led_flash_cnt[3628][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3628][5]~78576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3628][5]~q\);

-- Location: LCCOMB_X46_Y1_N12
\led_flash_cnt[3628][6]~78578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3628][6]~78578_combout\ = (\led_flash_cnt[3628][6]~q\ & (!\led_flash_cnt[3628][5]~78577\)) # (!\led_flash_cnt[3628][6]~q\ & ((\led_flash_cnt[3628][5]~78577\) # (GND)))
-- \led_flash_cnt[3628][6]~78579\ = CARRY((!\led_flash_cnt[3628][5]~78577\) # (!\led_flash_cnt[3628][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3628][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3628][5]~78577\,
	combout => \led_flash_cnt[3628][6]~78578_combout\,
	cout => \led_flash_cnt[3628][6]~78579\);

-- Location: FF_X46_Y1_N13
\led_flash_cnt[3628][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3628][6]~78578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3628][6]~q\);

-- Location: LCCOMB_X46_Y5_N22
\WideAnd3628~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3628~1_combout\ = (\led_flash_cnt[3628][6]~q\ & \led_flash_cnt[3628][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3628][6]~q\,
	datad => \led_flash_cnt[3628][5]~q\,
	combout => \WideAnd3628~1_combout\);

-- Location: LCCOMB_X46_Y1_N14
\led_flash_cnt[3628][7]~78580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3628][7]~78580_combout\ = \led_flash_cnt[3628][7]~q\ $ (!\led_flash_cnt[3628][6]~78579\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3628][7]~q\,
	cin => \led_flash_cnt[3628][6]~78579\,
	combout => \led_flash_cnt[3628][7]~78580_combout\);

-- Location: FF_X46_Y1_N15
\led_flash_cnt[3628][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3628][7]~78580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3628][7]~q\);

-- Location: LCCOMB_X46_Y1_N0
\WideAnd3628~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3628~0_combout\ = (\led_flash_cnt[3628][3]~q\ & (\led_flash_cnt[3628][2]~q\ & (\led_flash_cnt[3628][4]~q\ & \led_flash_cnt[3628][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3628][3]~q\,
	datab => \led_flash_cnt[3628][2]~q\,
	datac => \led_flash_cnt[3628][4]~q\,
	datad => \led_flash_cnt[3628][1]~q\,
	combout => \WideAnd3628~0_combout\);

-- Location: LCCOMB_X46_Y5_N20
WideAnd3628 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3628~combout\ = (\WideAnd3628~1_combout\ & (\led_flash_cnt[3628][7]~q\ & (\WideAnd3628~0_combout\ & \led_flash_cnt[3628][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3628~1_combout\,
	datab => \led_flash_cnt[3628][7]~q\,
	datac => \WideAnd3628~0_combout\,
	datad => \led_flash_cnt[3628][0]~q\,
	combout => \WideAnd3628~combout\);

-- Location: FF_X46_Y5_N21
\led_flash_cnt_ands[3628]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3628~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3628));

-- Location: LCCOMB_X46_Y5_N4
\WideAnd4293~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4293~1_combout\ = (led_flash_cnt_ands(3629) & led_flash_cnt_ands(3628))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3629),
	datad => led_flash_cnt_ands(3628),
	combout => \WideAnd4293~1_combout\);

-- Location: LCCOMB_X49_Y1_N6
\led_flash_cnt[3625][0]~84329\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3625][0]~84329_combout\ = !\led_flash_cnt[3625][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3625][0]~q\,
	combout => \led_flash_cnt[3625][0]~84329_combout\);

-- Location: FF_X49_Y1_N7
\led_flash_cnt[3625][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3625][0]~84329_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3625][0]~q\);

-- Location: LCCOMB_X50_Y1_N2
\led_flash_cnt[3625][1]~78526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3625][1]~78526_combout\ = (\led_flash_cnt[3625][0]~q\ & (\led_flash_cnt[3625][1]~q\ $ (VCC))) # (!\led_flash_cnt[3625][0]~q\ & (\led_flash_cnt[3625][1]~q\ & VCC))
-- \led_flash_cnt[3625][1]~78527\ = CARRY((\led_flash_cnt[3625][0]~q\ & \led_flash_cnt[3625][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3625][0]~q\,
	datab => \led_flash_cnt[3625][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3625][1]~78526_combout\,
	cout => \led_flash_cnt[3625][1]~78527\);

-- Location: FF_X50_Y1_N3
\led_flash_cnt[3625][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3625][1]~78526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3625][1]~q\);

-- Location: LCCOMB_X50_Y1_N4
\led_flash_cnt[3625][2]~78528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3625][2]~78528_combout\ = (\led_flash_cnt[3625][2]~q\ & (!\led_flash_cnt[3625][1]~78527\)) # (!\led_flash_cnt[3625][2]~q\ & ((\led_flash_cnt[3625][1]~78527\) # (GND)))
-- \led_flash_cnt[3625][2]~78529\ = CARRY((!\led_flash_cnt[3625][1]~78527\) # (!\led_flash_cnt[3625][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3625][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3625][1]~78527\,
	combout => \led_flash_cnt[3625][2]~78528_combout\,
	cout => \led_flash_cnt[3625][2]~78529\);

-- Location: FF_X50_Y1_N5
\led_flash_cnt[3625][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3625][2]~78528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3625][2]~q\);

-- Location: LCCOMB_X50_Y1_N6
\led_flash_cnt[3625][3]~78530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3625][3]~78530_combout\ = (\led_flash_cnt[3625][3]~q\ & (\led_flash_cnt[3625][2]~78529\ $ (GND))) # (!\led_flash_cnt[3625][3]~q\ & (!\led_flash_cnt[3625][2]~78529\ & VCC))
-- \led_flash_cnt[3625][3]~78531\ = CARRY((\led_flash_cnt[3625][3]~q\ & !\led_flash_cnt[3625][2]~78529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3625][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3625][2]~78529\,
	combout => \led_flash_cnt[3625][3]~78530_combout\,
	cout => \led_flash_cnt[3625][3]~78531\);

-- Location: FF_X50_Y1_N7
\led_flash_cnt[3625][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3625][3]~78530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3625][3]~q\);

-- Location: LCCOMB_X50_Y1_N8
\led_flash_cnt[3625][4]~78532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3625][4]~78532_combout\ = (\led_flash_cnt[3625][4]~q\ & (!\led_flash_cnt[3625][3]~78531\)) # (!\led_flash_cnt[3625][4]~q\ & ((\led_flash_cnt[3625][3]~78531\) # (GND)))
-- \led_flash_cnt[3625][4]~78533\ = CARRY((!\led_flash_cnt[3625][3]~78531\) # (!\led_flash_cnt[3625][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3625][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3625][3]~78531\,
	combout => \led_flash_cnt[3625][4]~78532_combout\,
	cout => \led_flash_cnt[3625][4]~78533\);

-- Location: FF_X50_Y1_N9
\led_flash_cnt[3625][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3625][4]~78532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3625][4]~q\);

-- Location: LCCOMB_X50_Y1_N30
\WideAnd3625~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3625~0_combout\ = (\led_flash_cnt[3625][3]~q\ & (\led_flash_cnt[3625][4]~q\ & (\led_flash_cnt[3625][2]~q\ & \led_flash_cnt[3625][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3625][3]~q\,
	datab => \led_flash_cnt[3625][4]~q\,
	datac => \led_flash_cnt[3625][2]~q\,
	datad => \led_flash_cnt[3625][1]~q\,
	combout => \WideAnd3625~0_combout\);

-- Location: LCCOMB_X50_Y1_N10
\led_flash_cnt[3625][5]~78534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3625][5]~78534_combout\ = (\led_flash_cnt[3625][5]~q\ & (\led_flash_cnt[3625][4]~78533\ $ (GND))) # (!\led_flash_cnt[3625][5]~q\ & (!\led_flash_cnt[3625][4]~78533\ & VCC))
-- \led_flash_cnt[3625][5]~78535\ = CARRY((\led_flash_cnt[3625][5]~q\ & !\led_flash_cnt[3625][4]~78533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3625][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3625][4]~78533\,
	combout => \led_flash_cnt[3625][5]~78534_combout\,
	cout => \led_flash_cnt[3625][5]~78535\);

-- Location: FF_X50_Y1_N11
\led_flash_cnt[3625][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3625][5]~78534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3625][5]~q\);

-- Location: LCCOMB_X50_Y1_N12
\led_flash_cnt[3625][6]~78536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3625][6]~78536_combout\ = (\led_flash_cnt[3625][6]~q\ & (!\led_flash_cnt[3625][5]~78535\)) # (!\led_flash_cnt[3625][6]~q\ & ((\led_flash_cnt[3625][5]~78535\) # (GND)))
-- \led_flash_cnt[3625][6]~78537\ = CARRY((!\led_flash_cnt[3625][5]~78535\) # (!\led_flash_cnt[3625][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3625][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3625][5]~78535\,
	combout => \led_flash_cnt[3625][6]~78536_combout\,
	cout => \led_flash_cnt[3625][6]~78537\);

-- Location: FF_X50_Y1_N13
\led_flash_cnt[3625][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3625][6]~78536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3625][6]~q\);

-- Location: LCCOMB_X49_Y1_N24
\WideAnd3625~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3625~1_combout\ = (\led_flash_cnt[3625][6]~q\ & \led_flash_cnt[3625][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3625][6]~q\,
	datac => \led_flash_cnt[3625][5]~q\,
	combout => \WideAnd3625~1_combout\);

-- Location: LCCOMB_X50_Y1_N14
\led_flash_cnt[3625][7]~78538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3625][7]~78538_combout\ = \led_flash_cnt[3625][7]~q\ $ (!\led_flash_cnt[3625][6]~78537\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3625][7]~q\,
	cin => \led_flash_cnt[3625][6]~78537\,
	combout => \led_flash_cnt[3625][7]~78538_combout\);

-- Location: FF_X50_Y1_N15
\led_flash_cnt[3625][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3625][7]~78538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3625][7]~q\);

-- Location: LCCOMB_X49_Y1_N22
WideAnd3625 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3625~combout\ = (\WideAnd3625~0_combout\ & (\WideAnd3625~1_combout\ & (\led_flash_cnt[3625][7]~q\ & \led_flash_cnt[3625][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3625~0_combout\,
	datab => \WideAnd3625~1_combout\,
	datac => \led_flash_cnt[3625][7]~q\,
	datad => \led_flash_cnt[3625][0]~q\,
	combout => \WideAnd3625~combout\);

-- Location: FF_X49_Y1_N23
\led_flash_cnt_ands[3625]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3625~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3625));

-- Location: LCCOMB_X47_Y7_N30
\led_flash_cnt[3626][0]~84330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3626][0]~84330_combout\ = !\led_flash_cnt[3626][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3626][0]~q\,
	combout => \led_flash_cnt[3626][0]~84330_combout\);

-- Location: FF_X47_Y7_N31
\led_flash_cnt[3626][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3626][0]~84330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3626][0]~q\);

-- Location: LCCOMB_X47_Y7_N4
\led_flash_cnt[3626][1]~78540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3626][1]~78540_combout\ = (\led_flash_cnt[3626][0]~q\ & (\led_flash_cnt[3626][1]~q\ $ (VCC))) # (!\led_flash_cnt[3626][0]~q\ & (\led_flash_cnt[3626][1]~q\ & VCC))
-- \led_flash_cnt[3626][1]~78541\ = CARRY((\led_flash_cnt[3626][0]~q\ & \led_flash_cnt[3626][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3626][0]~q\,
	datab => \led_flash_cnt[3626][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3626][1]~78540_combout\,
	cout => \led_flash_cnt[3626][1]~78541\);

-- Location: FF_X47_Y7_N5
\led_flash_cnt[3626][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3626][1]~78540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3626][1]~q\);

-- Location: LCCOMB_X47_Y7_N6
\led_flash_cnt[3626][2]~78542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3626][2]~78542_combout\ = (\led_flash_cnt[3626][2]~q\ & (!\led_flash_cnt[3626][1]~78541\)) # (!\led_flash_cnt[3626][2]~q\ & ((\led_flash_cnt[3626][1]~78541\) # (GND)))
-- \led_flash_cnt[3626][2]~78543\ = CARRY((!\led_flash_cnt[3626][1]~78541\) # (!\led_flash_cnt[3626][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3626][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3626][1]~78541\,
	combout => \led_flash_cnt[3626][2]~78542_combout\,
	cout => \led_flash_cnt[3626][2]~78543\);

-- Location: FF_X47_Y7_N7
\led_flash_cnt[3626][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3626][2]~78542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3626][2]~q\);

-- Location: LCCOMB_X47_Y7_N8
\led_flash_cnt[3626][3]~78544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3626][3]~78544_combout\ = (\led_flash_cnt[3626][3]~q\ & (\led_flash_cnt[3626][2]~78543\ $ (GND))) # (!\led_flash_cnt[3626][3]~q\ & (!\led_flash_cnt[3626][2]~78543\ & VCC))
-- \led_flash_cnt[3626][3]~78545\ = CARRY((\led_flash_cnt[3626][3]~q\ & !\led_flash_cnt[3626][2]~78543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3626][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3626][2]~78543\,
	combout => \led_flash_cnt[3626][3]~78544_combout\,
	cout => \led_flash_cnt[3626][3]~78545\);

-- Location: FF_X47_Y7_N9
\led_flash_cnt[3626][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3626][3]~78544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3626][3]~q\);

-- Location: LCCOMB_X47_Y7_N10
\led_flash_cnt[3626][4]~78546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3626][4]~78546_combout\ = (\led_flash_cnt[3626][4]~q\ & (!\led_flash_cnt[3626][3]~78545\)) # (!\led_flash_cnt[3626][4]~q\ & ((\led_flash_cnt[3626][3]~78545\) # (GND)))
-- \led_flash_cnt[3626][4]~78547\ = CARRY((!\led_flash_cnt[3626][3]~78545\) # (!\led_flash_cnt[3626][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3626][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3626][3]~78545\,
	combout => \led_flash_cnt[3626][4]~78546_combout\,
	cout => \led_flash_cnt[3626][4]~78547\);

-- Location: FF_X47_Y7_N11
\led_flash_cnt[3626][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3626][4]~78546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3626][4]~q\);

-- Location: LCCOMB_X47_Y7_N12
\led_flash_cnt[3626][5]~78548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3626][5]~78548_combout\ = (\led_flash_cnt[3626][5]~q\ & (\led_flash_cnt[3626][4]~78547\ $ (GND))) # (!\led_flash_cnt[3626][5]~q\ & (!\led_flash_cnt[3626][4]~78547\ & VCC))
-- \led_flash_cnt[3626][5]~78549\ = CARRY((\led_flash_cnt[3626][5]~q\ & !\led_flash_cnt[3626][4]~78547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3626][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3626][4]~78547\,
	combout => \led_flash_cnt[3626][5]~78548_combout\,
	cout => \led_flash_cnt[3626][5]~78549\);

-- Location: FF_X47_Y7_N13
\led_flash_cnt[3626][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3626][5]~78548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3626][5]~q\);

-- Location: LCCOMB_X47_Y7_N14
\led_flash_cnt[3626][6]~78550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3626][6]~78550_combout\ = (\led_flash_cnt[3626][6]~q\ & (!\led_flash_cnt[3626][5]~78549\)) # (!\led_flash_cnt[3626][6]~q\ & ((\led_flash_cnt[3626][5]~78549\) # (GND)))
-- \led_flash_cnt[3626][6]~78551\ = CARRY((!\led_flash_cnt[3626][5]~78549\) # (!\led_flash_cnt[3626][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3626][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3626][5]~78549\,
	combout => \led_flash_cnt[3626][6]~78550_combout\,
	cout => \led_flash_cnt[3626][6]~78551\);

-- Location: FF_X47_Y7_N15
\led_flash_cnt[3626][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3626][6]~78550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3626][6]~q\);

-- Location: LCCOMB_X47_Y7_N26
\WideAnd3626~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3626~1_combout\ = (\led_flash_cnt[3626][6]~q\ & \led_flash_cnt[3626][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3626][6]~q\,
	datad => \led_flash_cnt[3626][5]~q\,
	combout => \WideAnd3626~1_combout\);

-- Location: LCCOMB_X47_Y7_N18
\WideAnd3626~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3626~0_combout\ = (\led_flash_cnt[3626][4]~q\ & (\led_flash_cnt[3626][1]~q\ & (\led_flash_cnt[3626][3]~q\ & \led_flash_cnt[3626][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3626][4]~q\,
	datab => \led_flash_cnt[3626][1]~q\,
	datac => \led_flash_cnt[3626][3]~q\,
	datad => \led_flash_cnt[3626][2]~q\,
	combout => \WideAnd3626~0_combout\);

-- Location: LCCOMB_X47_Y7_N16
\led_flash_cnt[3626][7]~78552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3626][7]~78552_combout\ = \led_flash_cnt[3626][6]~78551\ $ (!\led_flash_cnt[3626][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3626][7]~q\,
	cin => \led_flash_cnt[3626][6]~78551\,
	combout => \led_flash_cnt[3626][7]~78552_combout\);

-- Location: FF_X47_Y7_N17
\led_flash_cnt[3626][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3626][7]~78552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3626][7]~q\);

-- Location: LCCOMB_X47_Y7_N24
WideAnd3626 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3626~combout\ = (\WideAnd3626~1_combout\ & (\WideAnd3626~0_combout\ & (\led_flash_cnt[3626][0]~q\ & \led_flash_cnt[3626][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3626~1_combout\,
	datab => \WideAnd3626~0_combout\,
	datac => \led_flash_cnt[3626][0]~q\,
	datad => \led_flash_cnt[3626][7]~q\,
	combout => \WideAnd3626~combout\);

-- Location: FF_X47_Y7_N25
\led_flash_cnt_ands[3626]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3626~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3626));

-- Location: LCCOMB_X49_Y1_N26
\led_flash_cnt[3624][0]~84328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3624][0]~84328_combout\ = !\led_flash_cnt[3624][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3624][0]~q\,
	combout => \led_flash_cnt[3624][0]~84328_combout\);

-- Location: FF_X49_Y1_N27
\led_flash_cnt[3624][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3624][0]~84328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3624][0]~q\);

-- Location: LCCOMB_X49_Y1_N8
\led_flash_cnt[3624][1]~78512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3624][1]~78512_combout\ = (\led_flash_cnt[3624][0]~q\ & (\led_flash_cnt[3624][1]~q\ $ (VCC))) # (!\led_flash_cnt[3624][0]~q\ & (\led_flash_cnt[3624][1]~q\ & VCC))
-- \led_flash_cnt[3624][1]~78513\ = CARRY((\led_flash_cnt[3624][0]~q\ & \led_flash_cnt[3624][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3624][0]~q\,
	datab => \led_flash_cnt[3624][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3624][1]~78512_combout\,
	cout => \led_flash_cnt[3624][1]~78513\);

-- Location: FF_X49_Y1_N9
\led_flash_cnt[3624][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3624][1]~78512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3624][1]~q\);

-- Location: LCCOMB_X49_Y1_N10
\led_flash_cnt[3624][2]~78514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3624][2]~78514_combout\ = (\led_flash_cnt[3624][2]~q\ & (!\led_flash_cnt[3624][1]~78513\)) # (!\led_flash_cnt[3624][2]~q\ & ((\led_flash_cnt[3624][1]~78513\) # (GND)))
-- \led_flash_cnt[3624][2]~78515\ = CARRY((!\led_flash_cnt[3624][1]~78513\) # (!\led_flash_cnt[3624][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3624][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3624][1]~78513\,
	combout => \led_flash_cnt[3624][2]~78514_combout\,
	cout => \led_flash_cnt[3624][2]~78515\);

-- Location: FF_X49_Y1_N11
\led_flash_cnt[3624][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3624][2]~78514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3624][2]~q\);

-- Location: LCCOMB_X49_Y1_N12
\led_flash_cnt[3624][3]~78516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3624][3]~78516_combout\ = (\led_flash_cnt[3624][3]~q\ & (\led_flash_cnt[3624][2]~78515\ $ (GND))) # (!\led_flash_cnt[3624][3]~q\ & (!\led_flash_cnt[3624][2]~78515\ & VCC))
-- \led_flash_cnt[3624][3]~78517\ = CARRY((\led_flash_cnt[3624][3]~q\ & !\led_flash_cnt[3624][2]~78515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3624][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3624][2]~78515\,
	combout => \led_flash_cnt[3624][3]~78516_combout\,
	cout => \led_flash_cnt[3624][3]~78517\);

-- Location: FF_X49_Y1_N13
\led_flash_cnt[3624][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3624][3]~78516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3624][3]~q\);

-- Location: LCCOMB_X49_Y1_N14
\led_flash_cnt[3624][4]~78518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3624][4]~78518_combout\ = (\led_flash_cnt[3624][4]~q\ & (!\led_flash_cnt[3624][3]~78517\)) # (!\led_flash_cnt[3624][4]~q\ & ((\led_flash_cnt[3624][3]~78517\) # (GND)))
-- \led_flash_cnt[3624][4]~78519\ = CARRY((!\led_flash_cnt[3624][3]~78517\) # (!\led_flash_cnt[3624][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3624][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3624][3]~78517\,
	combout => \led_flash_cnt[3624][4]~78518_combout\,
	cout => \led_flash_cnt[3624][4]~78519\);

-- Location: FF_X49_Y1_N15
\led_flash_cnt[3624][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3624][4]~78518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3624][4]~q\);

-- Location: LCCOMB_X49_Y1_N16
\led_flash_cnt[3624][5]~78520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3624][5]~78520_combout\ = (\led_flash_cnt[3624][5]~q\ & (\led_flash_cnt[3624][4]~78519\ $ (GND))) # (!\led_flash_cnt[3624][5]~q\ & (!\led_flash_cnt[3624][4]~78519\ & VCC))
-- \led_flash_cnt[3624][5]~78521\ = CARRY((\led_flash_cnt[3624][5]~q\ & !\led_flash_cnt[3624][4]~78519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3624][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3624][4]~78519\,
	combout => \led_flash_cnt[3624][5]~78520_combout\,
	cout => \led_flash_cnt[3624][5]~78521\);

-- Location: FF_X49_Y1_N17
\led_flash_cnt[3624][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3624][5]~78520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3624][5]~q\);

-- Location: LCCOMB_X49_Y1_N18
\led_flash_cnt[3624][6]~78522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3624][6]~78522_combout\ = (\led_flash_cnt[3624][6]~q\ & (!\led_flash_cnt[3624][5]~78521\)) # (!\led_flash_cnt[3624][6]~q\ & ((\led_flash_cnt[3624][5]~78521\) # (GND)))
-- \led_flash_cnt[3624][6]~78523\ = CARRY((!\led_flash_cnt[3624][5]~78521\) # (!\led_flash_cnt[3624][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3624][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3624][5]~78521\,
	combout => \led_flash_cnt[3624][6]~78522_combout\,
	cout => \led_flash_cnt[3624][6]~78523\);

-- Location: FF_X49_Y1_N19
\led_flash_cnt[3624][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3624][6]~78522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3624][6]~q\);

-- Location: LCCOMB_X49_Y1_N28
\WideAnd3624~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3624~1_combout\ = (\led_flash_cnt[3624][6]~q\ & \led_flash_cnt[3624][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3624][6]~q\,
	datad => \led_flash_cnt[3624][5]~q\,
	combout => \WideAnd3624~1_combout\);

-- Location: LCCOMB_X49_Y1_N4
\WideAnd3624~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3624~0_combout\ = (\led_flash_cnt[3624][3]~q\ & (\led_flash_cnt[3624][4]~q\ & (\led_flash_cnt[3624][1]~q\ & \led_flash_cnt[3624][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3624][3]~q\,
	datab => \led_flash_cnt[3624][4]~q\,
	datac => \led_flash_cnt[3624][1]~q\,
	datad => \led_flash_cnt[3624][2]~q\,
	combout => \WideAnd3624~0_combout\);

-- Location: LCCOMB_X49_Y1_N20
\led_flash_cnt[3624][7]~78524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3624][7]~78524_combout\ = \led_flash_cnt[3624][6]~78523\ $ (!\led_flash_cnt[3624][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3624][7]~q\,
	cin => \led_flash_cnt[3624][6]~78523\,
	combout => \led_flash_cnt[3624][7]~78524_combout\);

-- Location: FF_X49_Y1_N21
\led_flash_cnt[3624][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3624][7]~78524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3624][7]~q\);

-- Location: LCCOMB_X49_Y1_N0
WideAnd3624 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3624~combout\ = (\led_flash_cnt[3624][0]~q\ & (\WideAnd3624~1_combout\ & (\WideAnd3624~0_combout\ & \led_flash_cnt[3624][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3624][0]~q\,
	datab => \WideAnd3624~1_combout\,
	datac => \WideAnd3624~0_combout\,
	datad => \led_flash_cnt[3624][7]~q\,
	combout => \WideAnd3624~combout\);

-- Location: FF_X49_Y1_N1
\led_flash_cnt_ands[3624]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3624~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3624));

-- Location: LCCOMB_X44_Y2_N12
\led_flash_cnt[3627][0]~84331\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3627][0]~84331_combout\ = !\led_flash_cnt[3627][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3627][0]~q\,
	combout => \led_flash_cnt[3627][0]~84331_combout\);

-- Location: FF_X44_Y2_N13
\led_flash_cnt[3627][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3627][0]~84331_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3627][0]~q\);

-- Location: LCCOMB_X44_Y2_N18
\led_flash_cnt[3627][1]~78554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3627][1]~78554_combout\ = (\led_flash_cnt[3627][0]~q\ & (\led_flash_cnt[3627][1]~q\ $ (VCC))) # (!\led_flash_cnt[3627][0]~q\ & (\led_flash_cnt[3627][1]~q\ & VCC))
-- \led_flash_cnt[3627][1]~78555\ = CARRY((\led_flash_cnt[3627][0]~q\ & \led_flash_cnt[3627][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3627][0]~q\,
	datab => \led_flash_cnt[3627][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3627][1]~78554_combout\,
	cout => \led_flash_cnt[3627][1]~78555\);

-- Location: FF_X44_Y2_N19
\led_flash_cnt[3627][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3627][1]~78554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3627][1]~q\);

-- Location: LCCOMB_X44_Y2_N20
\led_flash_cnt[3627][2]~78556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3627][2]~78556_combout\ = (\led_flash_cnt[3627][2]~q\ & (!\led_flash_cnt[3627][1]~78555\)) # (!\led_flash_cnt[3627][2]~q\ & ((\led_flash_cnt[3627][1]~78555\) # (GND)))
-- \led_flash_cnt[3627][2]~78557\ = CARRY((!\led_flash_cnt[3627][1]~78555\) # (!\led_flash_cnt[3627][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3627][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3627][1]~78555\,
	combout => \led_flash_cnt[3627][2]~78556_combout\,
	cout => \led_flash_cnt[3627][2]~78557\);

-- Location: FF_X44_Y2_N21
\led_flash_cnt[3627][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3627][2]~78556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3627][2]~q\);

-- Location: LCCOMB_X44_Y2_N22
\led_flash_cnt[3627][3]~78558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3627][3]~78558_combout\ = (\led_flash_cnt[3627][3]~q\ & (\led_flash_cnt[3627][2]~78557\ $ (GND))) # (!\led_flash_cnt[3627][3]~q\ & (!\led_flash_cnt[3627][2]~78557\ & VCC))
-- \led_flash_cnt[3627][3]~78559\ = CARRY((\led_flash_cnt[3627][3]~q\ & !\led_flash_cnt[3627][2]~78557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3627][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3627][2]~78557\,
	combout => \led_flash_cnt[3627][3]~78558_combout\,
	cout => \led_flash_cnt[3627][3]~78559\);

-- Location: FF_X44_Y2_N23
\led_flash_cnt[3627][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3627][3]~78558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3627][3]~q\);

-- Location: LCCOMB_X44_Y2_N24
\led_flash_cnt[3627][4]~78560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3627][4]~78560_combout\ = (\led_flash_cnt[3627][4]~q\ & (!\led_flash_cnt[3627][3]~78559\)) # (!\led_flash_cnt[3627][4]~q\ & ((\led_flash_cnt[3627][3]~78559\) # (GND)))
-- \led_flash_cnt[3627][4]~78561\ = CARRY((!\led_flash_cnt[3627][3]~78559\) # (!\led_flash_cnt[3627][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3627][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3627][3]~78559\,
	combout => \led_flash_cnt[3627][4]~78560_combout\,
	cout => \led_flash_cnt[3627][4]~78561\);

-- Location: FF_X44_Y2_N25
\led_flash_cnt[3627][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3627][4]~78560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3627][4]~q\);

-- Location: LCCOMB_X44_Y2_N26
\led_flash_cnt[3627][5]~78562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3627][5]~78562_combout\ = (\led_flash_cnt[3627][5]~q\ & (\led_flash_cnt[3627][4]~78561\ $ (GND))) # (!\led_flash_cnt[3627][5]~q\ & (!\led_flash_cnt[3627][4]~78561\ & VCC))
-- \led_flash_cnt[3627][5]~78563\ = CARRY((\led_flash_cnt[3627][5]~q\ & !\led_flash_cnt[3627][4]~78561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3627][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3627][4]~78561\,
	combout => \led_flash_cnt[3627][5]~78562_combout\,
	cout => \led_flash_cnt[3627][5]~78563\);

-- Location: FF_X44_Y2_N27
\led_flash_cnt[3627][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3627][5]~78562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3627][5]~q\);

-- Location: LCCOMB_X44_Y2_N28
\led_flash_cnt[3627][6]~78564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3627][6]~78564_combout\ = (\led_flash_cnt[3627][6]~q\ & (!\led_flash_cnt[3627][5]~78563\)) # (!\led_flash_cnt[3627][6]~q\ & ((\led_flash_cnt[3627][5]~78563\) # (GND)))
-- \led_flash_cnt[3627][6]~78565\ = CARRY((!\led_flash_cnt[3627][5]~78563\) # (!\led_flash_cnt[3627][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3627][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3627][5]~78563\,
	combout => \led_flash_cnt[3627][6]~78564_combout\,
	cout => \led_flash_cnt[3627][6]~78565\);

-- Location: FF_X44_Y2_N29
\led_flash_cnt[3627][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3627][6]~78564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3627][6]~q\);

-- Location: LCCOMB_X44_Y2_N10
\WideAnd3627~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3627~1_combout\ = (\led_flash_cnt[3627][5]~q\ & \led_flash_cnt[3627][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3627][5]~q\,
	datad => \led_flash_cnt[3627][6]~q\,
	combout => \WideAnd3627~1_combout\);

-- Location: LCCOMB_X44_Y2_N14
\WideAnd3627~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3627~0_combout\ = (\led_flash_cnt[3627][4]~q\ & (\led_flash_cnt[3627][2]~q\ & (\led_flash_cnt[3627][3]~q\ & \led_flash_cnt[3627][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3627][4]~q\,
	datab => \led_flash_cnt[3627][2]~q\,
	datac => \led_flash_cnt[3627][3]~q\,
	datad => \led_flash_cnt[3627][1]~q\,
	combout => \WideAnd3627~0_combout\);

-- Location: LCCOMB_X44_Y2_N30
\led_flash_cnt[3627][7]~78566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3627][7]~78566_combout\ = \led_flash_cnt[3627][7]~q\ $ (!\led_flash_cnt[3627][6]~78565\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3627][7]~q\,
	cin => \led_flash_cnt[3627][6]~78565\,
	combout => \led_flash_cnt[3627][7]~78566_combout\);

-- Location: FF_X44_Y2_N31
\led_flash_cnt[3627][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3627][7]~78566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3627][7]~q\);

-- Location: LCCOMB_X44_Y2_N0
WideAnd3627 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3627~combout\ = (\WideAnd3627~1_combout\ & (\WideAnd3627~0_combout\ & (\led_flash_cnt[3627][7]~q\ & \led_flash_cnt[3627][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3627~1_combout\,
	datab => \WideAnd3627~0_combout\,
	datac => \led_flash_cnt[3627][7]~q\,
	datad => \led_flash_cnt[3627][0]~q\,
	combout => \WideAnd3627~combout\);

-- Location: FF_X44_Y2_N1
\led_flash_cnt_ands[3627]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3627~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3627));

-- Location: LCCOMB_X47_Y3_N2
\WideAnd4293~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4293~0_combout\ = (led_flash_cnt_ands(3625) & (led_flash_cnt_ands(3626) & (led_flash_cnt_ands(3624) & led_flash_cnt_ands(3627))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3625),
	datab => led_flash_cnt_ands(3626),
	datac => led_flash_cnt_ands(3624),
	datad => led_flash_cnt_ands(3627),
	combout => \WideAnd4293~0_combout\);

-- Location: LCCOMB_X46_Y3_N28
WideAnd4293 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4293~combout\ = (led_flash_cnt_ands(3631) & (led_flash_cnt_ands(3630) & (\WideAnd4293~1_combout\ & \WideAnd4293~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3631),
	datab => led_flash_cnt_ands(3630),
	datac => \WideAnd4293~1_combout\,
	datad => \WideAnd4293~0_combout\,
	combout => \WideAnd4293~combout\);

-- Location: FF_X46_Y3_N29
\led_flash_cnt_ands_1[453]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4293~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(453));

-- Location: LCCOMB_X46_Y3_N0
\WideAnd4376~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4376~1_combout\ = (led_flash_cnt_ands_1(452) & led_flash_cnt_ands_1(453))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(452),
	datad => led_flash_cnt_ands_1(453),
	combout => \WideAnd4376~1_combout\);

-- Location: LCCOMB_X40_Y16_N2
\led_flash_cnt[3639][0]~84343\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3639][0]~84343_combout\ = !\led_flash_cnt[3639][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3639][0]~q\,
	combout => \led_flash_cnt[3639][0]~84343_combout\);

-- Location: FF_X40_Y16_N3
\led_flash_cnt[3639][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3639][0]~84343_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3639][0]~q\);

-- Location: LCCOMB_X39_Y16_N18
\led_flash_cnt[3639][1]~78722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3639][1]~78722_combout\ = (\led_flash_cnt[3639][0]~q\ & (\led_flash_cnt[3639][1]~q\ $ (VCC))) # (!\led_flash_cnt[3639][0]~q\ & (\led_flash_cnt[3639][1]~q\ & VCC))
-- \led_flash_cnt[3639][1]~78723\ = CARRY((\led_flash_cnt[3639][0]~q\ & \led_flash_cnt[3639][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3639][0]~q\,
	datab => \led_flash_cnt[3639][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3639][1]~78722_combout\,
	cout => \led_flash_cnt[3639][1]~78723\);

-- Location: FF_X39_Y16_N19
\led_flash_cnt[3639][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3639][1]~78722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3639][1]~q\);

-- Location: LCCOMB_X39_Y16_N20
\led_flash_cnt[3639][2]~78724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3639][2]~78724_combout\ = (\led_flash_cnt[3639][2]~q\ & (!\led_flash_cnt[3639][1]~78723\)) # (!\led_flash_cnt[3639][2]~q\ & ((\led_flash_cnt[3639][1]~78723\) # (GND)))
-- \led_flash_cnt[3639][2]~78725\ = CARRY((!\led_flash_cnt[3639][1]~78723\) # (!\led_flash_cnt[3639][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3639][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3639][1]~78723\,
	combout => \led_flash_cnt[3639][2]~78724_combout\,
	cout => \led_flash_cnt[3639][2]~78725\);

-- Location: FF_X39_Y16_N21
\led_flash_cnt[3639][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3639][2]~78724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3639][2]~q\);

-- Location: LCCOMB_X39_Y16_N22
\led_flash_cnt[3639][3]~78726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3639][3]~78726_combout\ = (\led_flash_cnt[3639][3]~q\ & (\led_flash_cnt[3639][2]~78725\ $ (GND))) # (!\led_flash_cnt[3639][3]~q\ & (!\led_flash_cnt[3639][2]~78725\ & VCC))
-- \led_flash_cnt[3639][3]~78727\ = CARRY((\led_flash_cnt[3639][3]~q\ & !\led_flash_cnt[3639][2]~78725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3639][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3639][2]~78725\,
	combout => \led_flash_cnt[3639][3]~78726_combout\,
	cout => \led_flash_cnt[3639][3]~78727\);

-- Location: FF_X39_Y16_N23
\led_flash_cnt[3639][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3639][3]~78726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3639][3]~q\);

-- Location: LCCOMB_X39_Y16_N24
\led_flash_cnt[3639][4]~78728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3639][4]~78728_combout\ = (\led_flash_cnt[3639][4]~q\ & (!\led_flash_cnt[3639][3]~78727\)) # (!\led_flash_cnt[3639][4]~q\ & ((\led_flash_cnt[3639][3]~78727\) # (GND)))
-- \led_flash_cnt[3639][4]~78729\ = CARRY((!\led_flash_cnt[3639][3]~78727\) # (!\led_flash_cnt[3639][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3639][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3639][3]~78727\,
	combout => \led_flash_cnt[3639][4]~78728_combout\,
	cout => \led_flash_cnt[3639][4]~78729\);

-- Location: FF_X39_Y16_N25
\led_flash_cnt[3639][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3639][4]~78728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3639][4]~q\);

-- Location: LCCOMB_X40_Y16_N10
\WideAnd3639~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3639~0_combout\ = (\led_flash_cnt[3639][2]~q\ & (\led_flash_cnt[3639][4]~q\ & (\led_flash_cnt[3639][1]~q\ & \led_flash_cnt[3639][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3639][2]~q\,
	datab => \led_flash_cnt[3639][4]~q\,
	datac => \led_flash_cnt[3639][1]~q\,
	datad => \led_flash_cnt[3639][3]~q\,
	combout => \WideAnd3639~0_combout\);

-- Location: LCCOMB_X39_Y16_N26
\led_flash_cnt[3639][5]~78730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3639][5]~78730_combout\ = (\led_flash_cnt[3639][5]~q\ & (\led_flash_cnt[3639][4]~78729\ $ (GND))) # (!\led_flash_cnt[3639][5]~q\ & (!\led_flash_cnt[3639][4]~78729\ & VCC))
-- \led_flash_cnt[3639][5]~78731\ = CARRY((\led_flash_cnt[3639][5]~q\ & !\led_flash_cnt[3639][4]~78729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3639][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3639][4]~78729\,
	combout => \led_flash_cnt[3639][5]~78730_combout\,
	cout => \led_flash_cnt[3639][5]~78731\);

-- Location: FF_X39_Y16_N27
\led_flash_cnt[3639][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3639][5]~78730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3639][5]~q\);

-- Location: LCCOMB_X39_Y16_N28
\led_flash_cnt[3639][6]~78732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3639][6]~78732_combout\ = (\led_flash_cnt[3639][6]~q\ & (!\led_flash_cnt[3639][5]~78731\)) # (!\led_flash_cnt[3639][6]~q\ & ((\led_flash_cnt[3639][5]~78731\) # (GND)))
-- \led_flash_cnt[3639][6]~78733\ = CARRY((!\led_flash_cnt[3639][5]~78731\) # (!\led_flash_cnt[3639][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3639][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3639][5]~78731\,
	combout => \led_flash_cnt[3639][6]~78732_combout\,
	cout => \led_flash_cnt[3639][6]~78733\);

-- Location: FF_X39_Y16_N29
\led_flash_cnt[3639][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3639][6]~78732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3639][6]~q\);

-- Location: LCCOMB_X39_Y16_N30
\led_flash_cnt[3639][7]~78734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3639][7]~78734_combout\ = \led_flash_cnt[3639][7]~q\ $ (!\led_flash_cnt[3639][6]~78733\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3639][7]~q\,
	cin => \led_flash_cnt[3639][6]~78733\,
	combout => \led_flash_cnt[3639][7]~78734_combout\);

-- Location: FF_X39_Y16_N31
\led_flash_cnt[3639][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3639][7]~78734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3639][7]~q\);

-- Location: LCCOMB_X40_Y16_N4
\WideAnd3639~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3639~1_combout\ = (\led_flash_cnt[3639][5]~q\ & \led_flash_cnt[3639][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3639][5]~q\,
	datad => \led_flash_cnt[3639][6]~q\,
	combout => \WideAnd3639~1_combout\);

-- Location: LCCOMB_X40_Y16_N30
WideAnd3639 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3639~combout\ = (\WideAnd3639~0_combout\ & (\led_flash_cnt[3639][7]~q\ & (\WideAnd3639~1_combout\ & \led_flash_cnt[3639][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3639~0_combout\,
	datab => \led_flash_cnt[3639][7]~q\,
	datac => \WideAnd3639~1_combout\,
	datad => \led_flash_cnt[3639][0]~q\,
	combout => \WideAnd3639~combout\);

-- Location: FF_X40_Y16_N31
\led_flash_cnt_ands[3639]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3639~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3639));

-- Location: LCCOMB_X38_Y9_N26
\led_flash_cnt[3638][0]~84342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3638][0]~84342_combout\ = !\led_flash_cnt[3638][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3638][0]~q\,
	combout => \led_flash_cnt[3638][0]~84342_combout\);

-- Location: FF_X38_Y9_N27
\led_flash_cnt[3638][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3638][0]~84342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3638][0]~q\);

-- Location: LCCOMB_X38_Y7_N0
\led_flash_cnt[3638][1]~78708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3638][1]~78708_combout\ = (\led_flash_cnt[3638][0]~q\ & (\led_flash_cnt[3638][1]~q\ $ (VCC))) # (!\led_flash_cnt[3638][0]~q\ & (\led_flash_cnt[3638][1]~q\ & VCC))
-- \led_flash_cnt[3638][1]~78709\ = CARRY((\led_flash_cnt[3638][0]~q\ & \led_flash_cnt[3638][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3638][0]~q\,
	datab => \led_flash_cnt[3638][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3638][1]~78708_combout\,
	cout => \led_flash_cnt[3638][1]~78709\);

-- Location: FF_X38_Y7_N1
\led_flash_cnt[3638][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3638][1]~78708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3638][1]~q\);

-- Location: LCCOMB_X38_Y7_N2
\led_flash_cnt[3638][2]~78710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3638][2]~78710_combout\ = (\led_flash_cnt[3638][2]~q\ & (!\led_flash_cnt[3638][1]~78709\)) # (!\led_flash_cnt[3638][2]~q\ & ((\led_flash_cnt[3638][1]~78709\) # (GND)))
-- \led_flash_cnt[3638][2]~78711\ = CARRY((!\led_flash_cnt[3638][1]~78709\) # (!\led_flash_cnt[3638][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3638][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3638][1]~78709\,
	combout => \led_flash_cnt[3638][2]~78710_combout\,
	cout => \led_flash_cnt[3638][2]~78711\);

-- Location: FF_X38_Y7_N3
\led_flash_cnt[3638][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3638][2]~78710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3638][2]~q\);

-- Location: LCCOMB_X38_Y7_N4
\led_flash_cnt[3638][3]~78712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3638][3]~78712_combout\ = (\led_flash_cnt[3638][3]~q\ & (\led_flash_cnt[3638][2]~78711\ $ (GND))) # (!\led_flash_cnt[3638][3]~q\ & (!\led_flash_cnt[3638][2]~78711\ & VCC))
-- \led_flash_cnt[3638][3]~78713\ = CARRY((\led_flash_cnt[3638][3]~q\ & !\led_flash_cnt[3638][2]~78711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3638][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3638][2]~78711\,
	combout => \led_flash_cnt[3638][3]~78712_combout\,
	cout => \led_flash_cnt[3638][3]~78713\);

-- Location: FF_X38_Y7_N5
\led_flash_cnt[3638][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3638][3]~78712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3638][3]~q\);

-- Location: LCCOMB_X38_Y7_N6
\led_flash_cnt[3638][4]~78714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3638][4]~78714_combout\ = (\led_flash_cnt[3638][4]~q\ & (!\led_flash_cnt[3638][3]~78713\)) # (!\led_flash_cnt[3638][4]~q\ & ((\led_flash_cnt[3638][3]~78713\) # (GND)))
-- \led_flash_cnt[3638][4]~78715\ = CARRY((!\led_flash_cnt[3638][3]~78713\) # (!\led_flash_cnt[3638][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3638][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3638][3]~78713\,
	combout => \led_flash_cnt[3638][4]~78714_combout\,
	cout => \led_flash_cnt[3638][4]~78715\);

-- Location: FF_X38_Y7_N7
\led_flash_cnt[3638][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3638][4]~78714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3638][4]~q\);

-- Location: LCCOMB_X39_Y7_N4
\WideAnd3638~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3638~0_combout\ = (\led_flash_cnt[3638][1]~q\ & (\led_flash_cnt[3638][3]~q\ & (\led_flash_cnt[3638][4]~q\ & \led_flash_cnt[3638][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3638][1]~q\,
	datab => \led_flash_cnt[3638][3]~q\,
	datac => \led_flash_cnt[3638][4]~q\,
	datad => \led_flash_cnt[3638][2]~q\,
	combout => \WideAnd3638~0_combout\);

-- Location: LCCOMB_X38_Y7_N8
\led_flash_cnt[3638][5]~78716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3638][5]~78716_combout\ = (\led_flash_cnt[3638][5]~q\ & (\led_flash_cnt[3638][4]~78715\ $ (GND))) # (!\led_flash_cnt[3638][5]~q\ & (!\led_flash_cnt[3638][4]~78715\ & VCC))
-- \led_flash_cnt[3638][5]~78717\ = CARRY((\led_flash_cnt[3638][5]~q\ & !\led_flash_cnt[3638][4]~78715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3638][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3638][4]~78715\,
	combout => \led_flash_cnt[3638][5]~78716_combout\,
	cout => \led_flash_cnt[3638][5]~78717\);

-- Location: FF_X38_Y7_N9
\led_flash_cnt[3638][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3638][5]~78716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3638][5]~q\);

-- Location: LCCOMB_X38_Y7_N10
\led_flash_cnt[3638][6]~78718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3638][6]~78718_combout\ = (\led_flash_cnt[3638][6]~q\ & (!\led_flash_cnt[3638][5]~78717\)) # (!\led_flash_cnt[3638][6]~q\ & ((\led_flash_cnt[3638][5]~78717\) # (GND)))
-- \led_flash_cnt[3638][6]~78719\ = CARRY((!\led_flash_cnt[3638][5]~78717\) # (!\led_flash_cnt[3638][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3638][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3638][5]~78717\,
	combout => \led_flash_cnt[3638][6]~78718_combout\,
	cout => \led_flash_cnt[3638][6]~78719\);

-- Location: FF_X38_Y7_N11
\led_flash_cnt[3638][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3638][6]~78718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3638][6]~q\);

-- Location: LCCOMB_X38_Y7_N12
\led_flash_cnt[3638][7]~78720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3638][7]~78720_combout\ = \led_flash_cnt[3638][6]~78719\ $ (!\led_flash_cnt[3638][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3638][7]~q\,
	cin => \led_flash_cnt[3638][6]~78719\,
	combout => \led_flash_cnt[3638][7]~78720_combout\);

-- Location: FF_X38_Y7_N13
\led_flash_cnt[3638][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3638][7]~78720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3638][7]~q\);

-- Location: LCCOMB_X38_Y11_N20
\WideAnd3638~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3638~1_combout\ = (\led_flash_cnt[3638][6]~q\ & \led_flash_cnt[3638][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3638][6]~q\,
	datad => \led_flash_cnt[3638][5]~q\,
	combout => \WideAnd3638~1_combout\);

-- Location: LCCOMB_X38_Y11_N28
WideAnd3638 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3638~combout\ = (\WideAnd3638~0_combout\ & (\led_flash_cnt[3638][0]~q\ & (\led_flash_cnt[3638][7]~q\ & \WideAnd3638~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3638~0_combout\,
	datab => \led_flash_cnt[3638][0]~q\,
	datac => \led_flash_cnt[3638][7]~q\,
	datad => \WideAnd3638~1_combout\,
	combout => \WideAnd3638~combout\);

-- Location: FF_X38_Y11_N29
\led_flash_cnt_ands[3638]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3638~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3638));

-- Location: LCCOMB_X42_Y13_N6
\led_flash_cnt[3637][0]~84341\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3637][0]~84341_combout\ = !\led_flash_cnt[3637][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3637][0]~q\,
	combout => \led_flash_cnt[3637][0]~84341_combout\);

-- Location: FF_X42_Y13_N7
\led_flash_cnt[3637][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3637][0]~84341_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3637][0]~q\);

-- Location: LCCOMB_X43_Y13_N2
\led_flash_cnt[3637][1]~78694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3637][1]~78694_combout\ = (\led_flash_cnt[3637][0]~q\ & (\led_flash_cnt[3637][1]~q\ $ (VCC))) # (!\led_flash_cnt[3637][0]~q\ & (\led_flash_cnt[3637][1]~q\ & VCC))
-- \led_flash_cnt[3637][1]~78695\ = CARRY((\led_flash_cnt[3637][0]~q\ & \led_flash_cnt[3637][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3637][0]~q\,
	datab => \led_flash_cnt[3637][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3637][1]~78694_combout\,
	cout => \led_flash_cnt[3637][1]~78695\);

-- Location: FF_X43_Y13_N3
\led_flash_cnt[3637][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3637][1]~78694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3637][1]~q\);

-- Location: LCCOMB_X43_Y13_N4
\led_flash_cnt[3637][2]~78696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3637][2]~78696_combout\ = (\led_flash_cnt[3637][2]~q\ & (!\led_flash_cnt[3637][1]~78695\)) # (!\led_flash_cnt[3637][2]~q\ & ((\led_flash_cnt[3637][1]~78695\) # (GND)))
-- \led_flash_cnt[3637][2]~78697\ = CARRY((!\led_flash_cnt[3637][1]~78695\) # (!\led_flash_cnt[3637][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3637][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3637][1]~78695\,
	combout => \led_flash_cnt[3637][2]~78696_combout\,
	cout => \led_flash_cnt[3637][2]~78697\);

-- Location: FF_X43_Y13_N5
\led_flash_cnt[3637][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3637][2]~78696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3637][2]~q\);

-- Location: LCCOMB_X43_Y13_N6
\led_flash_cnt[3637][3]~78698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3637][3]~78698_combout\ = (\led_flash_cnt[3637][3]~q\ & (\led_flash_cnt[3637][2]~78697\ $ (GND))) # (!\led_flash_cnt[3637][3]~q\ & (!\led_flash_cnt[3637][2]~78697\ & VCC))
-- \led_flash_cnt[3637][3]~78699\ = CARRY((\led_flash_cnt[3637][3]~q\ & !\led_flash_cnt[3637][2]~78697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3637][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3637][2]~78697\,
	combout => \led_flash_cnt[3637][3]~78698_combout\,
	cout => \led_flash_cnt[3637][3]~78699\);

-- Location: FF_X43_Y13_N7
\led_flash_cnt[3637][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3637][3]~78698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3637][3]~q\);

-- Location: LCCOMB_X43_Y13_N8
\led_flash_cnt[3637][4]~78700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3637][4]~78700_combout\ = (\led_flash_cnt[3637][4]~q\ & (!\led_flash_cnt[3637][3]~78699\)) # (!\led_flash_cnt[3637][4]~q\ & ((\led_flash_cnt[3637][3]~78699\) # (GND)))
-- \led_flash_cnt[3637][4]~78701\ = CARRY((!\led_flash_cnt[3637][3]~78699\) # (!\led_flash_cnt[3637][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3637][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3637][3]~78699\,
	combout => \led_flash_cnt[3637][4]~78700_combout\,
	cout => \led_flash_cnt[3637][4]~78701\);

-- Location: FF_X43_Y13_N9
\led_flash_cnt[3637][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3637][4]~78700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3637][4]~q\);

-- Location: LCCOMB_X43_Y13_N10
\led_flash_cnt[3637][5]~78702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3637][5]~78702_combout\ = (\led_flash_cnt[3637][5]~q\ & (\led_flash_cnt[3637][4]~78701\ $ (GND))) # (!\led_flash_cnt[3637][5]~q\ & (!\led_flash_cnt[3637][4]~78701\ & VCC))
-- \led_flash_cnt[3637][5]~78703\ = CARRY((\led_flash_cnt[3637][5]~q\ & !\led_flash_cnt[3637][4]~78701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3637][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3637][4]~78701\,
	combout => \led_flash_cnt[3637][5]~78702_combout\,
	cout => \led_flash_cnt[3637][5]~78703\);

-- Location: FF_X43_Y13_N11
\led_flash_cnt[3637][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3637][5]~78702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3637][5]~q\);

-- Location: LCCOMB_X43_Y13_N12
\led_flash_cnt[3637][6]~78704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3637][6]~78704_combout\ = (\led_flash_cnt[3637][6]~q\ & (!\led_flash_cnt[3637][5]~78703\)) # (!\led_flash_cnt[3637][6]~q\ & ((\led_flash_cnt[3637][5]~78703\) # (GND)))
-- \led_flash_cnt[3637][6]~78705\ = CARRY((!\led_flash_cnt[3637][5]~78703\) # (!\led_flash_cnt[3637][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3637][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3637][5]~78703\,
	combout => \led_flash_cnt[3637][6]~78704_combout\,
	cout => \led_flash_cnt[3637][6]~78705\);

-- Location: FF_X43_Y13_N13
\led_flash_cnt[3637][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3637][6]~78704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3637][6]~q\);

-- Location: LCCOMB_X42_Y13_N26
\WideAnd3637~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3637~1_combout\ = (\led_flash_cnt[3637][6]~q\ & \led_flash_cnt[3637][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3637][6]~q\,
	datac => \led_flash_cnt[3637][5]~q\,
	combout => \WideAnd3637~1_combout\);

-- Location: LCCOMB_X43_Y13_N0
\WideAnd3637~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3637~0_combout\ = (\led_flash_cnt[3637][3]~q\ & (\led_flash_cnt[3637][4]~q\ & (\led_flash_cnt[3637][2]~q\ & \led_flash_cnt[3637][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3637][3]~q\,
	datab => \led_flash_cnt[3637][4]~q\,
	datac => \led_flash_cnt[3637][2]~q\,
	datad => \led_flash_cnt[3637][1]~q\,
	combout => \WideAnd3637~0_combout\);

-- Location: LCCOMB_X43_Y13_N14
\led_flash_cnt[3637][7]~78706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3637][7]~78706_combout\ = \led_flash_cnt[3637][7]~q\ $ (!\led_flash_cnt[3637][6]~78705\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3637][7]~q\,
	cin => \led_flash_cnt[3637][6]~78705\,
	combout => \led_flash_cnt[3637][7]~78706_combout\);

-- Location: FF_X43_Y13_N15
\led_flash_cnt[3637][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3637][7]~78706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3637][7]~q\);

-- Location: LCCOMB_X42_Y13_N8
WideAnd3637 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3637~combout\ = (\WideAnd3637~1_combout\ & (\WideAnd3637~0_combout\ & (\led_flash_cnt[3637][7]~q\ & \led_flash_cnt[3637][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3637~1_combout\,
	datab => \WideAnd3637~0_combout\,
	datac => \led_flash_cnt[3637][7]~q\,
	datad => \led_flash_cnt[3637][0]~q\,
	combout => \WideAnd3637~combout\);

-- Location: FF_X42_Y13_N9
\led_flash_cnt_ands[3637]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3637~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3637));

-- Location: LCCOMB_X42_Y13_N0
\led_flash_cnt[3636][0]~84340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3636][0]~84340_combout\ = !\led_flash_cnt[3636][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3636][0]~q\,
	combout => \led_flash_cnt[3636][0]~84340_combout\);

-- Location: FF_X42_Y13_N1
\led_flash_cnt[3636][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3636][0]~84340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3636][0]~q\);

-- Location: LCCOMB_X42_Y13_N10
\led_flash_cnt[3636][1]~78680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3636][1]~78680_combout\ = (\led_flash_cnt[3636][1]~q\ & (\led_flash_cnt[3636][0]~q\ $ (VCC))) # (!\led_flash_cnt[3636][1]~q\ & (\led_flash_cnt[3636][0]~q\ & VCC))
-- \led_flash_cnt[3636][1]~78681\ = CARRY((\led_flash_cnt[3636][1]~q\ & \led_flash_cnt[3636][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3636][1]~q\,
	datab => \led_flash_cnt[3636][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3636][1]~78680_combout\,
	cout => \led_flash_cnt[3636][1]~78681\);

-- Location: FF_X42_Y13_N11
\led_flash_cnt[3636][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3636][1]~78680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3636][1]~q\);

-- Location: LCCOMB_X42_Y13_N12
\led_flash_cnt[3636][2]~78682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3636][2]~78682_combout\ = (\led_flash_cnt[3636][2]~q\ & (!\led_flash_cnt[3636][1]~78681\)) # (!\led_flash_cnt[3636][2]~q\ & ((\led_flash_cnt[3636][1]~78681\) # (GND)))
-- \led_flash_cnt[3636][2]~78683\ = CARRY((!\led_flash_cnt[3636][1]~78681\) # (!\led_flash_cnt[3636][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3636][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3636][1]~78681\,
	combout => \led_flash_cnt[3636][2]~78682_combout\,
	cout => \led_flash_cnt[3636][2]~78683\);

-- Location: FF_X42_Y13_N13
\led_flash_cnt[3636][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3636][2]~78682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3636][2]~q\);

-- Location: LCCOMB_X42_Y13_N14
\led_flash_cnt[3636][3]~78684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3636][3]~78684_combout\ = (\led_flash_cnt[3636][3]~q\ & (\led_flash_cnt[3636][2]~78683\ $ (GND))) # (!\led_flash_cnt[3636][3]~q\ & (!\led_flash_cnt[3636][2]~78683\ & VCC))
-- \led_flash_cnt[3636][3]~78685\ = CARRY((\led_flash_cnt[3636][3]~q\ & !\led_flash_cnt[3636][2]~78683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3636][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3636][2]~78683\,
	combout => \led_flash_cnt[3636][3]~78684_combout\,
	cout => \led_flash_cnt[3636][3]~78685\);

-- Location: FF_X42_Y13_N15
\led_flash_cnt[3636][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3636][3]~78684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3636][3]~q\);

-- Location: LCCOMB_X42_Y13_N16
\led_flash_cnt[3636][4]~78686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3636][4]~78686_combout\ = (\led_flash_cnt[3636][4]~q\ & (!\led_flash_cnt[3636][3]~78685\)) # (!\led_flash_cnt[3636][4]~q\ & ((\led_flash_cnt[3636][3]~78685\) # (GND)))
-- \led_flash_cnt[3636][4]~78687\ = CARRY((!\led_flash_cnt[3636][3]~78685\) # (!\led_flash_cnt[3636][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3636][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3636][3]~78685\,
	combout => \led_flash_cnt[3636][4]~78686_combout\,
	cout => \led_flash_cnt[3636][4]~78687\);

-- Location: FF_X42_Y13_N17
\led_flash_cnt[3636][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3636][4]~78686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3636][4]~q\);

-- Location: LCCOMB_X42_Y13_N18
\led_flash_cnt[3636][5]~78688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3636][5]~78688_combout\ = (\led_flash_cnt[3636][5]~q\ & (\led_flash_cnt[3636][4]~78687\ $ (GND))) # (!\led_flash_cnt[3636][5]~q\ & (!\led_flash_cnt[3636][4]~78687\ & VCC))
-- \led_flash_cnt[3636][5]~78689\ = CARRY((\led_flash_cnt[3636][5]~q\ & !\led_flash_cnt[3636][4]~78687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3636][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3636][4]~78687\,
	combout => \led_flash_cnt[3636][5]~78688_combout\,
	cout => \led_flash_cnt[3636][5]~78689\);

-- Location: FF_X42_Y13_N19
\led_flash_cnt[3636][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3636][5]~78688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3636][5]~q\);

-- Location: LCCOMB_X42_Y13_N20
\led_flash_cnt[3636][6]~78690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3636][6]~78690_combout\ = (\led_flash_cnt[3636][6]~q\ & (!\led_flash_cnt[3636][5]~78689\)) # (!\led_flash_cnt[3636][6]~q\ & ((\led_flash_cnt[3636][5]~78689\) # (GND)))
-- \led_flash_cnt[3636][6]~78691\ = CARRY((!\led_flash_cnt[3636][5]~78689\) # (!\led_flash_cnt[3636][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3636][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3636][5]~78689\,
	combout => \led_flash_cnt[3636][6]~78690_combout\,
	cout => \led_flash_cnt[3636][6]~78691\);

-- Location: FF_X42_Y13_N21
\led_flash_cnt[3636][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3636][6]~78690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3636][6]~q\);

-- Location: LCCOMB_X42_Y13_N22
\led_flash_cnt[3636][7]~78692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3636][7]~78692_combout\ = \led_flash_cnt[3636][7]~q\ $ (!\led_flash_cnt[3636][6]~78691\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3636][7]~q\,
	cin => \led_flash_cnt[3636][6]~78691\,
	combout => \led_flash_cnt[3636][7]~78692_combout\);

-- Location: FF_X42_Y13_N23
\led_flash_cnt[3636][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3636][7]~78692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3636][7]~q\);

-- Location: LCCOMB_X42_Y13_N4
\WideAnd3636~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3636~1_combout\ = (\led_flash_cnt[3636][5]~q\ & \led_flash_cnt[3636][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3636][5]~q\,
	datad => \led_flash_cnt[3636][6]~q\,
	combout => \WideAnd3636~1_combout\);

-- Location: LCCOMB_X42_Y13_N28
\WideAnd3636~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3636~0_combout\ = (\led_flash_cnt[3636][2]~q\ & (\led_flash_cnt[3636][4]~q\ & (\led_flash_cnt[3636][3]~q\ & \led_flash_cnt[3636][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3636][2]~q\,
	datab => \led_flash_cnt[3636][4]~q\,
	datac => \led_flash_cnt[3636][3]~q\,
	datad => \led_flash_cnt[3636][1]~q\,
	combout => \WideAnd3636~0_combout\);

-- Location: LCCOMB_X42_Y13_N2
WideAnd3636 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3636~combout\ = (\led_flash_cnt[3636][7]~q\ & (\led_flash_cnt[3636][0]~q\ & (\WideAnd3636~1_combout\ & \WideAnd3636~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3636][7]~q\,
	datab => \led_flash_cnt[3636][0]~q\,
	datac => \WideAnd3636~1_combout\,
	datad => \WideAnd3636~0_combout\,
	combout => \WideAnd3636~combout\);

-- Location: FF_X42_Y13_N3
\led_flash_cnt_ands[3636]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3636~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3636));

-- Location: LCCOMB_X42_Y13_N24
\WideAnd4294~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4294~1_combout\ = (led_flash_cnt_ands(3637) & led_flash_cnt_ands(3636))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3637),
	datad => led_flash_cnt_ands(3636),
	combout => \WideAnd4294~1_combout\);

-- Location: LCCOMB_X38_Y15_N16
\led_flash_cnt[3634][0]~84338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3634][0]~84338_combout\ = !\led_flash_cnt[3634][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3634][0]~q\,
	combout => \led_flash_cnt[3634][0]~84338_combout\);

-- Location: FF_X38_Y15_N17
\led_flash_cnt[3634][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3634][0]~84338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3634][0]~q\);

-- Location: LCCOMB_X39_Y11_N10
\led_flash_cnt[3634][1]~78652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3634][1]~78652_combout\ = (\led_flash_cnt[3634][0]~q\ & (\led_flash_cnt[3634][1]~q\ $ (VCC))) # (!\led_flash_cnt[3634][0]~q\ & (\led_flash_cnt[3634][1]~q\ & VCC))
-- \led_flash_cnt[3634][1]~78653\ = CARRY((\led_flash_cnt[3634][0]~q\ & \led_flash_cnt[3634][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3634][0]~q\,
	datab => \led_flash_cnt[3634][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3634][1]~78652_combout\,
	cout => \led_flash_cnt[3634][1]~78653\);

-- Location: FF_X39_Y11_N11
\led_flash_cnt[3634][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3634][1]~78652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3634][1]~q\);

-- Location: LCCOMB_X39_Y11_N12
\led_flash_cnt[3634][2]~78654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3634][2]~78654_combout\ = (\led_flash_cnt[3634][2]~q\ & (!\led_flash_cnt[3634][1]~78653\)) # (!\led_flash_cnt[3634][2]~q\ & ((\led_flash_cnt[3634][1]~78653\) # (GND)))
-- \led_flash_cnt[3634][2]~78655\ = CARRY((!\led_flash_cnt[3634][1]~78653\) # (!\led_flash_cnt[3634][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3634][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3634][1]~78653\,
	combout => \led_flash_cnt[3634][2]~78654_combout\,
	cout => \led_flash_cnt[3634][2]~78655\);

-- Location: FF_X39_Y11_N13
\led_flash_cnt[3634][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3634][2]~78654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3634][2]~q\);

-- Location: LCCOMB_X39_Y11_N14
\led_flash_cnt[3634][3]~78656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3634][3]~78656_combout\ = (\led_flash_cnt[3634][3]~q\ & (\led_flash_cnt[3634][2]~78655\ $ (GND))) # (!\led_flash_cnt[3634][3]~q\ & (!\led_flash_cnt[3634][2]~78655\ & VCC))
-- \led_flash_cnt[3634][3]~78657\ = CARRY((\led_flash_cnt[3634][3]~q\ & !\led_flash_cnt[3634][2]~78655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3634][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3634][2]~78655\,
	combout => \led_flash_cnt[3634][3]~78656_combout\,
	cout => \led_flash_cnt[3634][3]~78657\);

-- Location: FF_X39_Y11_N15
\led_flash_cnt[3634][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3634][3]~78656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3634][3]~q\);

-- Location: LCCOMB_X39_Y11_N16
\led_flash_cnt[3634][4]~78658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3634][4]~78658_combout\ = (\led_flash_cnt[3634][4]~q\ & (!\led_flash_cnt[3634][3]~78657\)) # (!\led_flash_cnt[3634][4]~q\ & ((\led_flash_cnt[3634][3]~78657\) # (GND)))
-- \led_flash_cnt[3634][4]~78659\ = CARRY((!\led_flash_cnt[3634][3]~78657\) # (!\led_flash_cnt[3634][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3634][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3634][3]~78657\,
	combout => \led_flash_cnt[3634][4]~78658_combout\,
	cout => \led_flash_cnt[3634][4]~78659\);

-- Location: FF_X39_Y11_N17
\led_flash_cnt[3634][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3634][4]~78658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3634][4]~q\);

-- Location: LCCOMB_X39_Y11_N4
\WideAnd3634~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3634~0_combout\ = (\led_flash_cnt[3634][2]~q\ & (\led_flash_cnt[3634][4]~q\ & (\led_flash_cnt[3634][3]~q\ & \led_flash_cnt[3634][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3634][2]~q\,
	datab => \led_flash_cnt[3634][4]~q\,
	datac => \led_flash_cnt[3634][3]~q\,
	datad => \led_flash_cnt[3634][1]~q\,
	combout => \WideAnd3634~0_combout\);

-- Location: LCCOMB_X39_Y11_N18
\led_flash_cnt[3634][5]~78660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3634][5]~78660_combout\ = (\led_flash_cnt[3634][5]~q\ & (\led_flash_cnt[3634][4]~78659\ $ (GND))) # (!\led_flash_cnt[3634][5]~q\ & (!\led_flash_cnt[3634][4]~78659\ & VCC))
-- \led_flash_cnt[3634][5]~78661\ = CARRY((\led_flash_cnt[3634][5]~q\ & !\led_flash_cnt[3634][4]~78659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3634][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3634][4]~78659\,
	combout => \led_flash_cnt[3634][5]~78660_combout\,
	cout => \led_flash_cnt[3634][5]~78661\);

-- Location: FF_X39_Y11_N19
\led_flash_cnt[3634][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3634][5]~78660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3634][5]~q\);

-- Location: LCCOMB_X39_Y11_N20
\led_flash_cnt[3634][6]~78662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3634][6]~78662_combout\ = (\led_flash_cnt[3634][6]~q\ & (!\led_flash_cnt[3634][5]~78661\)) # (!\led_flash_cnt[3634][6]~q\ & ((\led_flash_cnt[3634][5]~78661\) # (GND)))
-- \led_flash_cnt[3634][6]~78663\ = CARRY((!\led_flash_cnt[3634][5]~78661\) # (!\led_flash_cnt[3634][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3634][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3634][5]~78661\,
	combout => \led_flash_cnt[3634][6]~78662_combout\,
	cout => \led_flash_cnt[3634][6]~78663\);

-- Location: FF_X39_Y11_N21
\led_flash_cnt[3634][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3634][6]~78662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3634][6]~q\);

-- Location: LCCOMB_X39_Y11_N22
\led_flash_cnt[3634][7]~78664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3634][7]~78664_combout\ = \led_flash_cnt[3634][7]~q\ $ (!\led_flash_cnt[3634][6]~78663\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3634][7]~q\,
	cin => \led_flash_cnt[3634][6]~78663\,
	combout => \led_flash_cnt[3634][7]~78664_combout\);

-- Location: FF_X39_Y11_N23
\led_flash_cnt[3634][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3634][7]~78664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3634][7]~q\);

-- Location: LCCOMB_X39_Y11_N0
\WideAnd3634~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3634~1_combout\ = (\led_flash_cnt[3634][5]~q\ & \led_flash_cnt[3634][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3634][5]~q\,
	datad => \led_flash_cnt[3634][6]~q\,
	combout => \WideAnd3634~1_combout\);

-- Location: LCCOMB_X39_Y11_N30
WideAnd3634 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3634~combout\ = (\led_flash_cnt[3634][0]~q\ & (\WideAnd3634~0_combout\ & (\led_flash_cnt[3634][7]~q\ & \WideAnd3634~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3634][0]~q\,
	datab => \WideAnd3634~0_combout\,
	datac => \led_flash_cnt[3634][7]~q\,
	datad => \WideAnd3634~1_combout\,
	combout => \WideAnd3634~combout\);

-- Location: FF_X39_Y11_N31
\led_flash_cnt_ands[3634]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3634~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3634));

-- Location: LCCOMB_X39_Y7_N2
\led_flash_cnt[3632][0]~84336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3632][0]~84336_combout\ = !\led_flash_cnt[3632][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3632][0]~q\,
	combout => \led_flash_cnt[3632][0]~84336_combout\);

-- Location: FF_X39_Y7_N3
\led_flash_cnt[3632][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3632][0]~84336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3632][0]~q\);

-- Location: LCCOMB_X40_Y10_N0
\led_flash_cnt[3632][1]~78624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3632][1]~78624_combout\ = (\led_flash_cnt[3632][0]~q\ & (\led_flash_cnt[3632][1]~q\ $ (VCC))) # (!\led_flash_cnt[3632][0]~q\ & (\led_flash_cnt[3632][1]~q\ & VCC))
-- \led_flash_cnt[3632][1]~78625\ = CARRY((\led_flash_cnt[3632][0]~q\ & \led_flash_cnt[3632][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3632][0]~q\,
	datab => \led_flash_cnt[3632][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3632][1]~78624_combout\,
	cout => \led_flash_cnt[3632][1]~78625\);

-- Location: FF_X40_Y10_N1
\led_flash_cnt[3632][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3632][1]~78624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3632][1]~q\);

-- Location: LCCOMB_X40_Y10_N2
\led_flash_cnt[3632][2]~78626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3632][2]~78626_combout\ = (\led_flash_cnt[3632][2]~q\ & (!\led_flash_cnt[3632][1]~78625\)) # (!\led_flash_cnt[3632][2]~q\ & ((\led_flash_cnt[3632][1]~78625\) # (GND)))
-- \led_flash_cnt[3632][2]~78627\ = CARRY((!\led_flash_cnt[3632][1]~78625\) # (!\led_flash_cnt[3632][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3632][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3632][1]~78625\,
	combout => \led_flash_cnt[3632][2]~78626_combout\,
	cout => \led_flash_cnt[3632][2]~78627\);

-- Location: FF_X40_Y10_N3
\led_flash_cnt[3632][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3632][2]~78626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3632][2]~q\);

-- Location: LCCOMB_X40_Y10_N4
\led_flash_cnt[3632][3]~78628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3632][3]~78628_combout\ = (\led_flash_cnt[3632][3]~q\ & (\led_flash_cnt[3632][2]~78627\ $ (GND))) # (!\led_flash_cnt[3632][3]~q\ & (!\led_flash_cnt[3632][2]~78627\ & VCC))
-- \led_flash_cnt[3632][3]~78629\ = CARRY((\led_flash_cnt[3632][3]~q\ & !\led_flash_cnt[3632][2]~78627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3632][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3632][2]~78627\,
	combout => \led_flash_cnt[3632][3]~78628_combout\,
	cout => \led_flash_cnt[3632][3]~78629\);

-- Location: FF_X40_Y10_N5
\led_flash_cnt[3632][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3632][3]~78628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3632][3]~q\);

-- Location: LCCOMB_X40_Y10_N6
\led_flash_cnt[3632][4]~78630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3632][4]~78630_combout\ = (\led_flash_cnt[3632][4]~q\ & (!\led_flash_cnt[3632][3]~78629\)) # (!\led_flash_cnt[3632][4]~q\ & ((\led_flash_cnt[3632][3]~78629\) # (GND)))
-- \led_flash_cnt[3632][4]~78631\ = CARRY((!\led_flash_cnt[3632][3]~78629\) # (!\led_flash_cnt[3632][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3632][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3632][3]~78629\,
	combout => \led_flash_cnt[3632][4]~78630_combout\,
	cout => \led_flash_cnt[3632][4]~78631\);

-- Location: FF_X40_Y10_N7
\led_flash_cnt[3632][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3632][4]~78630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3632][4]~q\);

-- Location: LCCOMB_X40_Y10_N8
\led_flash_cnt[3632][5]~78632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3632][5]~78632_combout\ = (\led_flash_cnt[3632][5]~q\ & (\led_flash_cnt[3632][4]~78631\ $ (GND))) # (!\led_flash_cnt[3632][5]~q\ & (!\led_flash_cnt[3632][4]~78631\ & VCC))
-- \led_flash_cnt[3632][5]~78633\ = CARRY((\led_flash_cnt[3632][5]~q\ & !\led_flash_cnt[3632][4]~78631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3632][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3632][4]~78631\,
	combout => \led_flash_cnt[3632][5]~78632_combout\,
	cout => \led_flash_cnt[3632][5]~78633\);

-- Location: FF_X40_Y10_N9
\led_flash_cnt[3632][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3632][5]~78632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3632][5]~q\);

-- Location: LCCOMB_X40_Y10_N10
\led_flash_cnt[3632][6]~78634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3632][6]~78634_combout\ = (\led_flash_cnt[3632][6]~q\ & (!\led_flash_cnt[3632][5]~78633\)) # (!\led_flash_cnt[3632][6]~q\ & ((\led_flash_cnt[3632][5]~78633\) # (GND)))
-- \led_flash_cnt[3632][6]~78635\ = CARRY((!\led_flash_cnt[3632][5]~78633\) # (!\led_flash_cnt[3632][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3632][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3632][5]~78633\,
	combout => \led_flash_cnt[3632][6]~78634_combout\,
	cout => \led_flash_cnt[3632][6]~78635\);

-- Location: FF_X40_Y10_N11
\led_flash_cnt[3632][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3632][6]~78634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3632][6]~q\);

-- Location: LCCOMB_X40_Y10_N26
\WideAnd3632~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3632~1_combout\ = (\led_flash_cnt[3632][5]~q\ & \led_flash_cnt[3632][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3632][5]~q\,
	datad => \led_flash_cnt[3632][6]~q\,
	combout => \WideAnd3632~1_combout\);

-- Location: LCCOMB_X40_Y10_N18
\WideAnd3632~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3632~0_combout\ = (\led_flash_cnt[3632][4]~q\ & (\led_flash_cnt[3632][1]~q\ & (\led_flash_cnt[3632][3]~q\ & \led_flash_cnt[3632][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3632][4]~q\,
	datab => \led_flash_cnt[3632][1]~q\,
	datac => \led_flash_cnt[3632][3]~q\,
	datad => \led_flash_cnt[3632][2]~q\,
	combout => \WideAnd3632~0_combout\);

-- Location: LCCOMB_X40_Y10_N12
\led_flash_cnt[3632][7]~78636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3632][7]~78636_combout\ = \led_flash_cnt[3632][6]~78635\ $ (!\led_flash_cnt[3632][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3632][7]~q\,
	cin => \led_flash_cnt[3632][6]~78635\,
	combout => \led_flash_cnt[3632][7]~78636_combout\);

-- Location: FF_X40_Y10_N13
\led_flash_cnt[3632][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3632][7]~78636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3632][7]~q\);

-- Location: LCCOMB_X40_Y10_N28
WideAnd3632 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3632~combout\ = (\WideAnd3632~1_combout\ & (\WideAnd3632~0_combout\ & (\led_flash_cnt[3632][0]~q\ & \led_flash_cnt[3632][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3632~1_combout\,
	datab => \WideAnd3632~0_combout\,
	datac => \led_flash_cnt[3632][0]~q\,
	datad => \led_flash_cnt[3632][7]~q\,
	combout => \WideAnd3632~combout\);

-- Location: FF_X40_Y10_N29
\led_flash_cnt_ands[3632]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3632~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3632));

-- Location: LCCOMB_X38_Y8_N2
\led_flash_cnt[3635][0]~84339\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3635][0]~84339_combout\ = !\led_flash_cnt[3635][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3635][0]~q\,
	combout => \led_flash_cnt[3635][0]~84339_combout\);

-- Location: FF_X38_Y8_N3
\led_flash_cnt[3635][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3635][0]~84339_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3635][0]~q\);

-- Location: LCCOMB_X37_Y8_N4
\led_flash_cnt[3635][1]~78666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3635][1]~78666_combout\ = (\led_flash_cnt[3635][0]~q\ & (\led_flash_cnt[3635][1]~q\ $ (VCC))) # (!\led_flash_cnt[3635][0]~q\ & (\led_flash_cnt[3635][1]~q\ & VCC))
-- \led_flash_cnt[3635][1]~78667\ = CARRY((\led_flash_cnt[3635][0]~q\ & \led_flash_cnt[3635][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3635][0]~q\,
	datab => \led_flash_cnt[3635][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3635][1]~78666_combout\,
	cout => \led_flash_cnt[3635][1]~78667\);

-- Location: FF_X37_Y8_N5
\led_flash_cnt[3635][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3635][1]~78666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3635][1]~q\);

-- Location: LCCOMB_X37_Y8_N6
\led_flash_cnt[3635][2]~78668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3635][2]~78668_combout\ = (\led_flash_cnt[3635][2]~q\ & (!\led_flash_cnt[3635][1]~78667\)) # (!\led_flash_cnt[3635][2]~q\ & ((\led_flash_cnt[3635][1]~78667\) # (GND)))
-- \led_flash_cnt[3635][2]~78669\ = CARRY((!\led_flash_cnt[3635][1]~78667\) # (!\led_flash_cnt[3635][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3635][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3635][1]~78667\,
	combout => \led_flash_cnt[3635][2]~78668_combout\,
	cout => \led_flash_cnt[3635][2]~78669\);

-- Location: FF_X37_Y8_N7
\led_flash_cnt[3635][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3635][2]~78668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3635][2]~q\);

-- Location: LCCOMB_X37_Y8_N8
\led_flash_cnt[3635][3]~78670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3635][3]~78670_combout\ = (\led_flash_cnt[3635][3]~q\ & (\led_flash_cnt[3635][2]~78669\ $ (GND))) # (!\led_flash_cnt[3635][3]~q\ & (!\led_flash_cnt[3635][2]~78669\ & VCC))
-- \led_flash_cnt[3635][3]~78671\ = CARRY((\led_flash_cnt[3635][3]~q\ & !\led_flash_cnt[3635][2]~78669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3635][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3635][2]~78669\,
	combout => \led_flash_cnt[3635][3]~78670_combout\,
	cout => \led_flash_cnt[3635][3]~78671\);

-- Location: FF_X37_Y8_N9
\led_flash_cnt[3635][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3635][3]~78670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3635][3]~q\);

-- Location: LCCOMB_X37_Y8_N10
\led_flash_cnt[3635][4]~78672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3635][4]~78672_combout\ = (\led_flash_cnt[3635][4]~q\ & (!\led_flash_cnt[3635][3]~78671\)) # (!\led_flash_cnt[3635][4]~q\ & ((\led_flash_cnt[3635][3]~78671\) # (GND)))
-- \led_flash_cnt[3635][4]~78673\ = CARRY((!\led_flash_cnt[3635][3]~78671\) # (!\led_flash_cnt[3635][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3635][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3635][3]~78671\,
	combout => \led_flash_cnt[3635][4]~78672_combout\,
	cout => \led_flash_cnt[3635][4]~78673\);

-- Location: FF_X37_Y8_N11
\led_flash_cnt[3635][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3635][4]~78672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3635][4]~q\);

-- Location: LCCOMB_X37_Y8_N0
\WideAnd3635~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3635~0_combout\ = (\led_flash_cnt[3635][2]~q\ & (\led_flash_cnt[3635][3]~q\ & (\led_flash_cnt[3635][1]~q\ & \led_flash_cnt[3635][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3635][2]~q\,
	datab => \led_flash_cnt[3635][3]~q\,
	datac => \led_flash_cnt[3635][1]~q\,
	datad => \led_flash_cnt[3635][4]~q\,
	combout => \WideAnd3635~0_combout\);

-- Location: LCCOMB_X37_Y8_N12
\led_flash_cnt[3635][5]~78674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3635][5]~78674_combout\ = (\led_flash_cnt[3635][5]~q\ & (\led_flash_cnt[3635][4]~78673\ $ (GND))) # (!\led_flash_cnt[3635][5]~q\ & (!\led_flash_cnt[3635][4]~78673\ & VCC))
-- \led_flash_cnt[3635][5]~78675\ = CARRY((\led_flash_cnt[3635][5]~q\ & !\led_flash_cnt[3635][4]~78673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3635][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3635][4]~78673\,
	combout => \led_flash_cnt[3635][5]~78674_combout\,
	cout => \led_flash_cnt[3635][5]~78675\);

-- Location: FF_X37_Y8_N13
\led_flash_cnt[3635][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3635][5]~78674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3635][5]~q\);

-- Location: LCCOMB_X37_Y8_N14
\led_flash_cnt[3635][6]~78676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3635][6]~78676_combout\ = (\led_flash_cnt[3635][6]~q\ & (!\led_flash_cnt[3635][5]~78675\)) # (!\led_flash_cnt[3635][6]~q\ & ((\led_flash_cnt[3635][5]~78675\) # (GND)))
-- \led_flash_cnt[3635][6]~78677\ = CARRY((!\led_flash_cnt[3635][5]~78675\) # (!\led_flash_cnt[3635][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3635][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3635][5]~78675\,
	combout => \led_flash_cnt[3635][6]~78676_combout\,
	cout => \led_flash_cnt[3635][6]~78677\);

-- Location: FF_X37_Y8_N15
\led_flash_cnt[3635][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3635][6]~78676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3635][6]~q\);

-- Location: LCCOMB_X38_Y8_N28
\WideAnd3635~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3635~1_combout\ = (\led_flash_cnt[3635][6]~q\ & \led_flash_cnt[3635][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3635][6]~q\,
	datad => \led_flash_cnt[3635][5]~q\,
	combout => \WideAnd3635~1_combout\);

-- Location: LCCOMB_X37_Y8_N16
\led_flash_cnt[3635][7]~78678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3635][7]~78678_combout\ = \led_flash_cnt[3635][6]~78677\ $ (!\led_flash_cnt[3635][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3635][7]~q\,
	cin => \led_flash_cnt[3635][6]~78677\,
	combout => \led_flash_cnt[3635][7]~78678_combout\);

-- Location: FF_X37_Y8_N17
\led_flash_cnt[3635][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3635][7]~78678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3635][7]~q\);

-- Location: LCCOMB_X38_Y8_N6
WideAnd3635 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3635~combout\ = (\WideAnd3635~0_combout\ & (\WideAnd3635~1_combout\ & (\led_flash_cnt[3635][7]~q\ & \led_flash_cnt[3635][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3635~0_combout\,
	datab => \WideAnd3635~1_combout\,
	datac => \led_flash_cnt[3635][7]~q\,
	datad => \led_flash_cnt[3635][0]~q\,
	combout => \WideAnd3635~combout\);

-- Location: FF_X38_Y8_N7
\led_flash_cnt_ands[3635]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3635~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3635));

-- Location: LCCOMB_X40_Y10_N16
\led_flash_cnt[3633][0]~84337\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3633][0]~84337_combout\ = !\led_flash_cnt[3633][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3633][0]~q\,
	combout => \led_flash_cnt[3633][0]~84337_combout\);

-- Location: FF_X40_Y10_N17
\led_flash_cnt[3633][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3633][0]~84337_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3633][0]~q\);

-- Location: LCCOMB_X41_Y10_N18
\led_flash_cnt[3633][1]~78638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3633][1]~78638_combout\ = (\led_flash_cnt[3633][0]~q\ & (\led_flash_cnt[3633][1]~q\ $ (VCC))) # (!\led_flash_cnt[3633][0]~q\ & (\led_flash_cnt[3633][1]~q\ & VCC))
-- \led_flash_cnt[3633][1]~78639\ = CARRY((\led_flash_cnt[3633][0]~q\ & \led_flash_cnt[3633][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3633][0]~q\,
	datab => \led_flash_cnt[3633][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3633][1]~78638_combout\,
	cout => \led_flash_cnt[3633][1]~78639\);

-- Location: FF_X41_Y10_N19
\led_flash_cnt[3633][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3633][1]~78638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3633][1]~q\);

-- Location: LCCOMB_X41_Y10_N20
\led_flash_cnt[3633][2]~78640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3633][2]~78640_combout\ = (\led_flash_cnt[3633][2]~q\ & (!\led_flash_cnt[3633][1]~78639\)) # (!\led_flash_cnt[3633][2]~q\ & ((\led_flash_cnt[3633][1]~78639\) # (GND)))
-- \led_flash_cnt[3633][2]~78641\ = CARRY((!\led_flash_cnt[3633][1]~78639\) # (!\led_flash_cnt[3633][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3633][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3633][1]~78639\,
	combout => \led_flash_cnt[3633][2]~78640_combout\,
	cout => \led_flash_cnt[3633][2]~78641\);

-- Location: FF_X41_Y10_N21
\led_flash_cnt[3633][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3633][2]~78640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3633][2]~q\);

-- Location: LCCOMB_X41_Y10_N22
\led_flash_cnt[3633][3]~78642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3633][3]~78642_combout\ = (\led_flash_cnt[3633][3]~q\ & (\led_flash_cnt[3633][2]~78641\ $ (GND))) # (!\led_flash_cnt[3633][3]~q\ & (!\led_flash_cnt[3633][2]~78641\ & VCC))
-- \led_flash_cnt[3633][3]~78643\ = CARRY((\led_flash_cnt[3633][3]~q\ & !\led_flash_cnt[3633][2]~78641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3633][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3633][2]~78641\,
	combout => \led_flash_cnt[3633][3]~78642_combout\,
	cout => \led_flash_cnt[3633][3]~78643\);

-- Location: FF_X41_Y10_N23
\led_flash_cnt[3633][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3633][3]~78642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3633][3]~q\);

-- Location: LCCOMB_X41_Y10_N24
\led_flash_cnt[3633][4]~78644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3633][4]~78644_combout\ = (\led_flash_cnt[3633][4]~q\ & (!\led_flash_cnt[3633][3]~78643\)) # (!\led_flash_cnt[3633][4]~q\ & ((\led_flash_cnt[3633][3]~78643\) # (GND)))
-- \led_flash_cnt[3633][4]~78645\ = CARRY((!\led_flash_cnt[3633][3]~78643\) # (!\led_flash_cnt[3633][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3633][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3633][3]~78643\,
	combout => \led_flash_cnt[3633][4]~78644_combout\,
	cout => \led_flash_cnt[3633][4]~78645\);

-- Location: FF_X41_Y10_N25
\led_flash_cnt[3633][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3633][4]~78644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3633][4]~q\);

-- Location: LCCOMB_X41_Y10_N26
\led_flash_cnt[3633][5]~78646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3633][5]~78646_combout\ = (\led_flash_cnt[3633][5]~q\ & (\led_flash_cnt[3633][4]~78645\ $ (GND))) # (!\led_flash_cnt[3633][5]~q\ & (!\led_flash_cnt[3633][4]~78645\ & VCC))
-- \led_flash_cnt[3633][5]~78647\ = CARRY((\led_flash_cnt[3633][5]~q\ & !\led_flash_cnt[3633][4]~78645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3633][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3633][4]~78645\,
	combout => \led_flash_cnt[3633][5]~78646_combout\,
	cout => \led_flash_cnt[3633][5]~78647\);

-- Location: FF_X41_Y10_N27
\led_flash_cnt[3633][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3633][5]~78646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3633][5]~q\);

-- Location: LCCOMB_X41_Y10_N28
\led_flash_cnt[3633][6]~78648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3633][6]~78648_combout\ = (\led_flash_cnt[3633][6]~q\ & (!\led_flash_cnt[3633][5]~78647\)) # (!\led_flash_cnt[3633][6]~q\ & ((\led_flash_cnt[3633][5]~78647\) # (GND)))
-- \led_flash_cnt[3633][6]~78649\ = CARRY((!\led_flash_cnt[3633][5]~78647\) # (!\led_flash_cnt[3633][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3633][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3633][5]~78647\,
	combout => \led_flash_cnt[3633][6]~78648_combout\,
	cout => \led_flash_cnt[3633][6]~78649\);

-- Location: FF_X41_Y10_N29
\led_flash_cnt[3633][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3633][6]~78648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3633][6]~q\);

-- Location: LCCOMB_X40_Y10_N22
\WideAnd3633~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3633~1_combout\ = (\led_flash_cnt[3633][6]~q\ & \led_flash_cnt[3633][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3633][6]~q\,
	datad => \led_flash_cnt[3633][5]~q\,
	combout => \WideAnd3633~1_combout\);

-- Location: LCCOMB_X41_Y10_N30
\led_flash_cnt[3633][7]~78650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3633][7]~78650_combout\ = \led_flash_cnt[3633][7]~q\ $ (!\led_flash_cnt[3633][6]~78649\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3633][7]~q\,
	cin => \led_flash_cnt[3633][6]~78649\,
	combout => \led_flash_cnt[3633][7]~78650_combout\);

-- Location: FF_X41_Y10_N31
\led_flash_cnt[3633][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3633][7]~78650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3633][7]~q\);

-- Location: LCCOMB_X41_Y10_N16
\WideAnd3633~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3633~0_combout\ = (\led_flash_cnt[3633][4]~q\ & (\led_flash_cnt[3633][2]~q\ & (\led_flash_cnt[3633][3]~q\ & \led_flash_cnt[3633][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3633][4]~q\,
	datab => \led_flash_cnt[3633][2]~q\,
	datac => \led_flash_cnt[3633][3]~q\,
	datad => \led_flash_cnt[3633][1]~q\,
	combout => \WideAnd3633~0_combout\);

-- Location: LCCOMB_X40_Y10_N30
WideAnd3633 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3633~combout\ = (\WideAnd3633~1_combout\ & (\led_flash_cnt[3633][0]~q\ & (\led_flash_cnt[3633][7]~q\ & \WideAnd3633~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3633~1_combout\,
	datab => \led_flash_cnt[3633][0]~q\,
	datac => \led_flash_cnt[3633][7]~q\,
	datad => \WideAnd3633~0_combout\,
	combout => \WideAnd3633~combout\);

-- Location: FF_X40_Y10_N31
\led_flash_cnt_ands[3633]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3633~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3633));

-- Location: LCCOMB_X39_Y11_N28
\WideAnd4294~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4294~0_combout\ = (led_flash_cnt_ands(3634) & (led_flash_cnt_ands(3632) & (led_flash_cnt_ands(3635) & led_flash_cnt_ands(3633))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3634),
	datab => led_flash_cnt_ands(3632),
	datac => led_flash_cnt_ands(3635),
	datad => led_flash_cnt_ands(3633),
	combout => \WideAnd4294~0_combout\);

-- Location: LCCOMB_X39_Y11_N2
WideAnd4294 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4294~combout\ = (led_flash_cnt_ands(3639) & (led_flash_cnt_ands(3638) & (\WideAnd4294~1_combout\ & \WideAnd4294~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3639),
	datab => led_flash_cnt_ands(3638),
	datac => \WideAnd4294~1_combout\,
	datad => \WideAnd4294~0_combout\,
	combout => \WideAnd4294~combout\);

-- Location: FF_X39_Y11_N3
\led_flash_cnt_ands_1[454]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4294~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(454));

-- Location: LCCOMB_X39_Y11_N8
WideAnd4376 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4376~combout\ = (led_flash_cnt_ands_1(455) & (\WideAnd4376~0_combout\ & (\WideAnd4376~1_combout\ & led_flash_cnt_ands_1(454))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(455),
	datab => \WideAnd4376~0_combout\,
	datac => \WideAnd4376~1_combout\,
	datad => led_flash_cnt_ands_1(454),
	combout => \WideAnd4376~combout\);

-- Location: FF_X39_Y11_N9
\led_flash_cnt_ands_2[56]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4376~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(56));

-- Location: LCCOMB_X38_Y15_N30
\WideAnd4380~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~17_combout\ = (led_flash_cnt_ands_2(58) & (led_flash_cnt_ands_2(57) & (led_flash_cnt_ands_2(59) & led_flash_cnt_ands_2(56))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(58),
	datab => led_flash_cnt_ands_2(57),
	datac => led_flash_cnt_ands_2(59),
	datad => led_flash_cnt_ands_2(56),
	combout => \WideAnd4380~17_combout\);

-- Location: LCCOMB_X46_Y23_N22
\WideAnd4380~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~18_combout\ = (\WideAnd4380~16_combout\ & (\WideAnd4380~15_combout\ & \WideAnd4380~17_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \WideAnd4380~16_combout\,
	datac => \WideAnd4380~15_combout\,
	datad => \WideAnd4380~17_combout\,
	combout => \WideAnd4380~18_combout\);

-- Location: LCCOMB_X54_Y23_N18
\led_flash_cnt[2879][0]~83519\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2879][0]~83519_combout\ = !\led_flash_cnt[2879][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2879][0]~q\,
	combout => \led_flash_cnt[2879][0]~83519_combout\);

-- Location: FF_X54_Y23_N19
\led_flash_cnt[2879][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2879][0]~83519_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2879][0]~q\);

-- Location: LCCOMB_X54_Y23_N0
\led_flash_cnt[2879][1]~67186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2879][1]~67186_combout\ = (\led_flash_cnt[2879][1]~q\ & (\led_flash_cnt[2879][0]~q\ $ (VCC))) # (!\led_flash_cnt[2879][1]~q\ & (\led_flash_cnt[2879][0]~q\ & VCC))
-- \led_flash_cnt[2879][1]~67187\ = CARRY((\led_flash_cnt[2879][1]~q\ & \led_flash_cnt[2879][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2879][1]~q\,
	datab => \led_flash_cnt[2879][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2879][1]~67186_combout\,
	cout => \led_flash_cnt[2879][1]~67187\);

-- Location: FF_X54_Y23_N1
\led_flash_cnt[2879][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2879][1]~67186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2879][1]~q\);

-- Location: LCCOMB_X54_Y23_N2
\led_flash_cnt[2879][2]~67188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2879][2]~67188_combout\ = (\led_flash_cnt[2879][2]~q\ & (!\led_flash_cnt[2879][1]~67187\)) # (!\led_flash_cnt[2879][2]~q\ & ((\led_flash_cnt[2879][1]~67187\) # (GND)))
-- \led_flash_cnt[2879][2]~67189\ = CARRY((!\led_flash_cnt[2879][1]~67187\) # (!\led_flash_cnt[2879][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2879][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2879][1]~67187\,
	combout => \led_flash_cnt[2879][2]~67188_combout\,
	cout => \led_flash_cnt[2879][2]~67189\);

-- Location: FF_X54_Y23_N3
\led_flash_cnt[2879][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2879][2]~67188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2879][2]~q\);

-- Location: LCCOMB_X54_Y23_N4
\led_flash_cnt[2879][3]~67190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2879][3]~67190_combout\ = (\led_flash_cnt[2879][3]~q\ & (\led_flash_cnt[2879][2]~67189\ $ (GND))) # (!\led_flash_cnt[2879][3]~q\ & (!\led_flash_cnt[2879][2]~67189\ & VCC))
-- \led_flash_cnt[2879][3]~67191\ = CARRY((\led_flash_cnt[2879][3]~q\ & !\led_flash_cnt[2879][2]~67189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2879][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2879][2]~67189\,
	combout => \led_flash_cnt[2879][3]~67190_combout\,
	cout => \led_flash_cnt[2879][3]~67191\);

-- Location: FF_X54_Y23_N5
\led_flash_cnt[2879][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2879][3]~67190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2879][3]~q\);

-- Location: LCCOMB_X54_Y23_N6
\led_flash_cnt[2879][4]~67192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2879][4]~67192_combout\ = (\led_flash_cnt[2879][4]~q\ & (!\led_flash_cnt[2879][3]~67191\)) # (!\led_flash_cnt[2879][4]~q\ & ((\led_flash_cnt[2879][3]~67191\) # (GND)))
-- \led_flash_cnt[2879][4]~67193\ = CARRY((!\led_flash_cnt[2879][3]~67191\) # (!\led_flash_cnt[2879][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2879][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2879][3]~67191\,
	combout => \led_flash_cnt[2879][4]~67192_combout\,
	cout => \led_flash_cnt[2879][4]~67193\);

-- Location: FF_X54_Y23_N7
\led_flash_cnt[2879][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2879][4]~67192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2879][4]~q\);

-- Location: LCCOMB_X54_Y23_N8
\led_flash_cnt[2879][5]~67194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2879][5]~67194_combout\ = (\led_flash_cnt[2879][5]~q\ & (\led_flash_cnt[2879][4]~67193\ $ (GND))) # (!\led_flash_cnt[2879][5]~q\ & (!\led_flash_cnt[2879][4]~67193\ & VCC))
-- \led_flash_cnt[2879][5]~67195\ = CARRY((\led_flash_cnt[2879][5]~q\ & !\led_flash_cnt[2879][4]~67193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2879][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2879][4]~67193\,
	combout => \led_flash_cnt[2879][5]~67194_combout\,
	cout => \led_flash_cnt[2879][5]~67195\);

-- Location: FF_X54_Y23_N9
\led_flash_cnt[2879][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2879][5]~67194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2879][5]~q\);

-- Location: LCCOMB_X54_Y23_N10
\led_flash_cnt[2879][6]~67196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2879][6]~67196_combout\ = (\led_flash_cnt[2879][6]~q\ & (!\led_flash_cnt[2879][5]~67195\)) # (!\led_flash_cnt[2879][6]~q\ & ((\led_flash_cnt[2879][5]~67195\) # (GND)))
-- \led_flash_cnt[2879][6]~67197\ = CARRY((!\led_flash_cnt[2879][5]~67195\) # (!\led_flash_cnt[2879][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2879][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2879][5]~67195\,
	combout => \led_flash_cnt[2879][6]~67196_combout\,
	cout => \led_flash_cnt[2879][6]~67197\);

-- Location: FF_X54_Y23_N11
\led_flash_cnt[2879][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2879][6]~67196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2879][6]~q\);

-- Location: LCCOMB_X54_Y23_N30
\WideAnd2879~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2879~1_combout\ = (\led_flash_cnt[2879][5]~q\ & \led_flash_cnt[2879][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2879][5]~q\,
	datad => \led_flash_cnt[2879][6]~q\,
	combout => \WideAnd2879~1_combout\);

-- Location: LCCOMB_X54_Y23_N26
\WideAnd2879~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2879~0_combout\ = (\led_flash_cnt[2879][4]~q\ & (\led_flash_cnt[2879][1]~q\ & (\led_flash_cnt[2879][3]~q\ & \led_flash_cnt[2879][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2879][4]~q\,
	datab => \led_flash_cnt[2879][1]~q\,
	datac => \led_flash_cnt[2879][3]~q\,
	datad => \led_flash_cnt[2879][2]~q\,
	combout => \WideAnd2879~0_combout\);

-- Location: LCCOMB_X54_Y23_N12
\led_flash_cnt[2879][7]~67198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2879][7]~67198_combout\ = \led_flash_cnt[2879][6]~67197\ $ (!\led_flash_cnt[2879][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2879][7]~q\,
	cin => \led_flash_cnt[2879][6]~67197\,
	combout => \led_flash_cnt[2879][7]~67198_combout\);

-- Location: FF_X54_Y23_N13
\led_flash_cnt[2879][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2879][7]~67198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2879][7]~q\);

-- Location: LCCOMB_X54_Y23_N14
WideAnd2879 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2879~combout\ = (\WideAnd2879~1_combout\ & (\led_flash_cnt[2879][0]~q\ & (\WideAnd2879~0_combout\ & \led_flash_cnt[2879][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2879~1_combout\,
	datab => \led_flash_cnt[2879][0]~q\,
	datac => \WideAnd2879~0_combout\,
	datad => \led_flash_cnt[2879][7]~q\,
	combout => \WideAnd2879~combout\);

-- Location: FF_X54_Y23_N15
\led_flash_cnt_ands[2879]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2879~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2879));

-- Location: LCCOMB_X55_Y23_N4
\led_flash_cnt[2878][0]~83518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2878][0]~83518_combout\ = !\led_flash_cnt[2878][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2878][0]~q\,
	combout => \led_flash_cnt[2878][0]~83518_combout\);

-- Location: FF_X55_Y23_N5
\led_flash_cnt[2878][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2878][0]~83518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2878][0]~q\);

-- Location: LCCOMB_X55_Y23_N10
\led_flash_cnt[2878][1]~67172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2878][1]~67172_combout\ = (\led_flash_cnt[2878][1]~q\ & (\led_flash_cnt[2878][0]~q\ $ (VCC))) # (!\led_flash_cnt[2878][1]~q\ & (\led_flash_cnt[2878][0]~q\ & VCC))
-- \led_flash_cnt[2878][1]~67173\ = CARRY((\led_flash_cnt[2878][1]~q\ & \led_flash_cnt[2878][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2878][1]~q\,
	datab => \led_flash_cnt[2878][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2878][1]~67172_combout\,
	cout => \led_flash_cnt[2878][1]~67173\);

-- Location: FF_X55_Y23_N11
\led_flash_cnt[2878][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2878][1]~67172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2878][1]~q\);

-- Location: LCCOMB_X55_Y23_N12
\led_flash_cnt[2878][2]~67174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2878][2]~67174_combout\ = (\led_flash_cnt[2878][2]~q\ & (!\led_flash_cnt[2878][1]~67173\)) # (!\led_flash_cnt[2878][2]~q\ & ((\led_flash_cnt[2878][1]~67173\) # (GND)))
-- \led_flash_cnt[2878][2]~67175\ = CARRY((!\led_flash_cnt[2878][1]~67173\) # (!\led_flash_cnt[2878][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2878][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2878][1]~67173\,
	combout => \led_flash_cnt[2878][2]~67174_combout\,
	cout => \led_flash_cnt[2878][2]~67175\);

-- Location: FF_X55_Y23_N13
\led_flash_cnt[2878][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2878][2]~67174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2878][2]~q\);

-- Location: LCCOMB_X55_Y23_N14
\led_flash_cnt[2878][3]~67176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2878][3]~67176_combout\ = (\led_flash_cnt[2878][3]~q\ & (\led_flash_cnt[2878][2]~67175\ $ (GND))) # (!\led_flash_cnt[2878][3]~q\ & (!\led_flash_cnt[2878][2]~67175\ & VCC))
-- \led_flash_cnt[2878][3]~67177\ = CARRY((\led_flash_cnt[2878][3]~q\ & !\led_flash_cnt[2878][2]~67175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2878][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2878][2]~67175\,
	combout => \led_flash_cnt[2878][3]~67176_combout\,
	cout => \led_flash_cnt[2878][3]~67177\);

-- Location: FF_X55_Y23_N15
\led_flash_cnt[2878][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2878][3]~67176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2878][3]~q\);

-- Location: LCCOMB_X55_Y23_N16
\led_flash_cnt[2878][4]~67178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2878][4]~67178_combout\ = (\led_flash_cnt[2878][4]~q\ & (!\led_flash_cnt[2878][3]~67177\)) # (!\led_flash_cnt[2878][4]~q\ & ((\led_flash_cnt[2878][3]~67177\) # (GND)))
-- \led_flash_cnt[2878][4]~67179\ = CARRY((!\led_flash_cnt[2878][3]~67177\) # (!\led_flash_cnt[2878][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2878][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2878][3]~67177\,
	combout => \led_flash_cnt[2878][4]~67178_combout\,
	cout => \led_flash_cnt[2878][4]~67179\);

-- Location: FF_X55_Y23_N17
\led_flash_cnt[2878][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2878][4]~67178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2878][4]~q\);

-- Location: LCCOMB_X55_Y23_N26
\WideAnd2878~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2878~0_combout\ = (\led_flash_cnt[2878][1]~q\ & (\led_flash_cnt[2878][4]~q\ & (\led_flash_cnt[2878][3]~q\ & \led_flash_cnt[2878][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2878][1]~q\,
	datab => \led_flash_cnt[2878][4]~q\,
	datac => \led_flash_cnt[2878][3]~q\,
	datad => \led_flash_cnt[2878][2]~q\,
	combout => \WideAnd2878~0_combout\);

-- Location: LCCOMB_X55_Y23_N18
\led_flash_cnt[2878][5]~67180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2878][5]~67180_combout\ = (\led_flash_cnt[2878][5]~q\ & (\led_flash_cnt[2878][4]~67179\ $ (GND))) # (!\led_flash_cnt[2878][5]~q\ & (!\led_flash_cnt[2878][4]~67179\ & VCC))
-- \led_flash_cnt[2878][5]~67181\ = CARRY((\led_flash_cnt[2878][5]~q\ & !\led_flash_cnt[2878][4]~67179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2878][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2878][4]~67179\,
	combout => \led_flash_cnt[2878][5]~67180_combout\,
	cout => \led_flash_cnt[2878][5]~67181\);

-- Location: FF_X55_Y23_N19
\led_flash_cnt[2878][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2878][5]~67180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2878][5]~q\);

-- Location: LCCOMB_X55_Y23_N20
\led_flash_cnt[2878][6]~67182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2878][6]~67182_combout\ = (\led_flash_cnt[2878][6]~q\ & (!\led_flash_cnt[2878][5]~67181\)) # (!\led_flash_cnt[2878][6]~q\ & ((\led_flash_cnt[2878][5]~67181\) # (GND)))
-- \led_flash_cnt[2878][6]~67183\ = CARRY((!\led_flash_cnt[2878][5]~67181\) # (!\led_flash_cnt[2878][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2878][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2878][5]~67181\,
	combout => \led_flash_cnt[2878][6]~67182_combout\,
	cout => \led_flash_cnt[2878][6]~67183\);

-- Location: FF_X55_Y23_N21
\led_flash_cnt[2878][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2878][6]~67182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2878][6]~q\);

-- Location: LCCOMB_X55_Y23_N22
\led_flash_cnt[2878][7]~67184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2878][7]~67184_combout\ = \led_flash_cnt[2878][7]~q\ $ (!\led_flash_cnt[2878][6]~67183\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2878][7]~q\,
	cin => \led_flash_cnt[2878][6]~67183\,
	combout => \led_flash_cnt[2878][7]~67184_combout\);

-- Location: FF_X55_Y23_N23
\led_flash_cnt[2878][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2878][7]~67184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2878][7]~q\);

-- Location: LCCOMB_X55_Y23_N24
\WideAnd2878~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2878~1_combout\ = (\led_flash_cnt[2878][6]~q\ & \led_flash_cnt[2878][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2878][6]~q\,
	datac => \led_flash_cnt[2878][5]~q\,
	combout => \WideAnd2878~1_combout\);

-- Location: LCCOMB_X55_Y23_N8
WideAnd2878 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2878~combout\ = (\WideAnd2878~0_combout\ & (\led_flash_cnt[2878][0]~q\ & (\led_flash_cnt[2878][7]~q\ & \WideAnd2878~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2878~0_combout\,
	datab => \led_flash_cnt[2878][0]~q\,
	datac => \led_flash_cnt[2878][7]~q\,
	datad => \WideAnd2878~1_combout\,
	combout => \WideAnd2878~combout\);

-- Location: FF_X55_Y23_N9
\led_flash_cnt_ands[2878]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2878~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2878));

-- Location: LCCOMB_X56_Y21_N2
\led_flash_cnt[2877][0]~83517\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2877][0]~83517_combout\ = !\led_flash_cnt[2877][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2877][0]~q\,
	combout => \led_flash_cnt[2877][0]~83517_combout\);

-- Location: FF_X56_Y21_N3
\led_flash_cnt[2877][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2877][0]~83517_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2877][0]~q\);

-- Location: LCCOMB_X55_Y21_N18
\led_flash_cnt[2877][1]~67158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2877][1]~67158_combout\ = (\led_flash_cnt[2877][0]~q\ & (\led_flash_cnt[2877][1]~q\ $ (VCC))) # (!\led_flash_cnt[2877][0]~q\ & (\led_flash_cnt[2877][1]~q\ & VCC))
-- \led_flash_cnt[2877][1]~67159\ = CARRY((\led_flash_cnt[2877][0]~q\ & \led_flash_cnt[2877][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2877][0]~q\,
	datab => \led_flash_cnt[2877][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2877][1]~67158_combout\,
	cout => \led_flash_cnt[2877][1]~67159\);

-- Location: FF_X55_Y21_N19
\led_flash_cnt[2877][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2877][1]~67158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2877][1]~q\);

-- Location: LCCOMB_X55_Y21_N20
\led_flash_cnt[2877][2]~67160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2877][2]~67160_combout\ = (\led_flash_cnt[2877][2]~q\ & (!\led_flash_cnt[2877][1]~67159\)) # (!\led_flash_cnt[2877][2]~q\ & ((\led_flash_cnt[2877][1]~67159\) # (GND)))
-- \led_flash_cnt[2877][2]~67161\ = CARRY((!\led_flash_cnt[2877][1]~67159\) # (!\led_flash_cnt[2877][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2877][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2877][1]~67159\,
	combout => \led_flash_cnt[2877][2]~67160_combout\,
	cout => \led_flash_cnt[2877][2]~67161\);

-- Location: FF_X55_Y21_N21
\led_flash_cnt[2877][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2877][2]~67160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2877][2]~q\);

-- Location: LCCOMB_X55_Y21_N22
\led_flash_cnt[2877][3]~67162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2877][3]~67162_combout\ = (\led_flash_cnt[2877][3]~q\ & (\led_flash_cnt[2877][2]~67161\ $ (GND))) # (!\led_flash_cnt[2877][3]~q\ & (!\led_flash_cnt[2877][2]~67161\ & VCC))
-- \led_flash_cnt[2877][3]~67163\ = CARRY((\led_flash_cnt[2877][3]~q\ & !\led_flash_cnt[2877][2]~67161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2877][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2877][2]~67161\,
	combout => \led_flash_cnt[2877][3]~67162_combout\,
	cout => \led_flash_cnt[2877][3]~67163\);

-- Location: FF_X55_Y21_N23
\led_flash_cnt[2877][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2877][3]~67162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2877][3]~q\);

-- Location: LCCOMB_X55_Y21_N24
\led_flash_cnt[2877][4]~67164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2877][4]~67164_combout\ = (\led_flash_cnt[2877][4]~q\ & (!\led_flash_cnt[2877][3]~67163\)) # (!\led_flash_cnt[2877][4]~q\ & ((\led_flash_cnt[2877][3]~67163\) # (GND)))
-- \led_flash_cnt[2877][4]~67165\ = CARRY((!\led_flash_cnt[2877][3]~67163\) # (!\led_flash_cnt[2877][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2877][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2877][3]~67163\,
	combout => \led_flash_cnt[2877][4]~67164_combout\,
	cout => \led_flash_cnt[2877][4]~67165\);

-- Location: FF_X55_Y21_N25
\led_flash_cnt[2877][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2877][4]~67164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2877][4]~q\);

-- Location: LCCOMB_X55_Y21_N26
\led_flash_cnt[2877][5]~67166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2877][5]~67166_combout\ = (\led_flash_cnt[2877][5]~q\ & (\led_flash_cnt[2877][4]~67165\ $ (GND))) # (!\led_flash_cnt[2877][5]~q\ & (!\led_flash_cnt[2877][4]~67165\ & VCC))
-- \led_flash_cnt[2877][5]~67167\ = CARRY((\led_flash_cnt[2877][5]~q\ & !\led_flash_cnt[2877][4]~67165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2877][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2877][4]~67165\,
	combout => \led_flash_cnt[2877][5]~67166_combout\,
	cout => \led_flash_cnt[2877][5]~67167\);

-- Location: FF_X55_Y21_N27
\led_flash_cnt[2877][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2877][5]~67166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2877][5]~q\);

-- Location: LCCOMB_X55_Y21_N28
\led_flash_cnt[2877][6]~67168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2877][6]~67168_combout\ = (\led_flash_cnt[2877][6]~q\ & (!\led_flash_cnt[2877][5]~67167\)) # (!\led_flash_cnt[2877][6]~q\ & ((\led_flash_cnt[2877][5]~67167\) # (GND)))
-- \led_flash_cnt[2877][6]~67169\ = CARRY((!\led_flash_cnt[2877][5]~67167\) # (!\led_flash_cnt[2877][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2877][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2877][5]~67167\,
	combout => \led_flash_cnt[2877][6]~67168_combout\,
	cout => \led_flash_cnt[2877][6]~67169\);

-- Location: FF_X55_Y21_N29
\led_flash_cnt[2877][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2877][6]~67168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2877][6]~q\);

-- Location: LCCOMB_X55_Y21_N30
\led_flash_cnt[2877][7]~67170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2877][7]~67170_combout\ = \led_flash_cnt[2877][7]~q\ $ (!\led_flash_cnt[2877][6]~67169\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2877][7]~q\,
	cin => \led_flash_cnt[2877][6]~67169\,
	combout => \led_flash_cnt[2877][7]~67170_combout\);

-- Location: FF_X55_Y21_N31
\led_flash_cnt[2877][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2877][7]~67170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2877][7]~q\);

-- Location: LCCOMB_X56_Y21_N18
\WideAnd2877~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2877~1_combout\ = (\led_flash_cnt[2877][5]~q\ & \led_flash_cnt[2877][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2877][5]~q\,
	datad => \led_flash_cnt[2877][6]~q\,
	combout => \WideAnd2877~1_combout\);

-- Location: LCCOMB_X55_Y21_N0
\WideAnd2877~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2877~0_combout\ = (\led_flash_cnt[2877][4]~q\ & (\led_flash_cnt[2877][2]~q\ & (\led_flash_cnt[2877][3]~q\ & \led_flash_cnt[2877][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2877][4]~q\,
	datab => \led_flash_cnt[2877][2]~q\,
	datac => \led_flash_cnt[2877][3]~q\,
	datad => \led_flash_cnt[2877][1]~q\,
	combout => \WideAnd2877~0_combout\);

-- Location: LCCOMB_X56_Y21_N0
WideAnd2877 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2877~combout\ = (\led_flash_cnt[2877][7]~q\ & (\WideAnd2877~1_combout\ & (\WideAnd2877~0_combout\ & \led_flash_cnt[2877][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2877][7]~q\,
	datab => \WideAnd2877~1_combout\,
	datac => \WideAnd2877~0_combout\,
	datad => \led_flash_cnt[2877][0]~q\,
	combout => \WideAnd2877~combout\);

-- Location: FF_X56_Y21_N1
\led_flash_cnt_ands[2877]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2877~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2877));

-- Location: LCCOMB_X56_Y21_N26
\led_flash_cnt[2876][0]~83516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2876][0]~83516_combout\ = !\led_flash_cnt[2876][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2876][0]~q\,
	combout => \led_flash_cnt[2876][0]~83516_combout\);

-- Location: FF_X56_Y21_N27
\led_flash_cnt[2876][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2876][0]~83516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2876][0]~q\);

-- Location: LCCOMB_X56_Y21_N4
\led_flash_cnt[2876][1]~67144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2876][1]~67144_combout\ = (\led_flash_cnt[2876][0]~q\ & (\led_flash_cnt[2876][1]~q\ $ (VCC))) # (!\led_flash_cnt[2876][0]~q\ & (\led_flash_cnt[2876][1]~q\ & VCC))
-- \led_flash_cnt[2876][1]~67145\ = CARRY((\led_flash_cnt[2876][0]~q\ & \led_flash_cnt[2876][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2876][0]~q\,
	datab => \led_flash_cnt[2876][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2876][1]~67144_combout\,
	cout => \led_flash_cnt[2876][1]~67145\);

-- Location: FF_X56_Y21_N5
\led_flash_cnt[2876][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2876][1]~67144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2876][1]~q\);

-- Location: LCCOMB_X56_Y21_N6
\led_flash_cnt[2876][2]~67146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2876][2]~67146_combout\ = (\led_flash_cnt[2876][2]~q\ & (!\led_flash_cnt[2876][1]~67145\)) # (!\led_flash_cnt[2876][2]~q\ & ((\led_flash_cnt[2876][1]~67145\) # (GND)))
-- \led_flash_cnt[2876][2]~67147\ = CARRY((!\led_flash_cnt[2876][1]~67145\) # (!\led_flash_cnt[2876][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2876][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2876][1]~67145\,
	combout => \led_flash_cnt[2876][2]~67146_combout\,
	cout => \led_flash_cnt[2876][2]~67147\);

-- Location: FF_X56_Y21_N7
\led_flash_cnt[2876][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2876][2]~67146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2876][2]~q\);

-- Location: LCCOMB_X56_Y21_N8
\led_flash_cnt[2876][3]~67148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2876][3]~67148_combout\ = (\led_flash_cnt[2876][3]~q\ & (\led_flash_cnt[2876][2]~67147\ $ (GND))) # (!\led_flash_cnt[2876][3]~q\ & (!\led_flash_cnt[2876][2]~67147\ & VCC))
-- \led_flash_cnt[2876][3]~67149\ = CARRY((\led_flash_cnt[2876][3]~q\ & !\led_flash_cnt[2876][2]~67147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2876][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2876][2]~67147\,
	combout => \led_flash_cnt[2876][3]~67148_combout\,
	cout => \led_flash_cnt[2876][3]~67149\);

-- Location: FF_X56_Y21_N9
\led_flash_cnt[2876][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2876][3]~67148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2876][3]~q\);

-- Location: LCCOMB_X56_Y21_N10
\led_flash_cnt[2876][4]~67150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2876][4]~67150_combout\ = (\led_flash_cnt[2876][4]~q\ & (!\led_flash_cnt[2876][3]~67149\)) # (!\led_flash_cnt[2876][4]~q\ & ((\led_flash_cnt[2876][3]~67149\) # (GND)))
-- \led_flash_cnt[2876][4]~67151\ = CARRY((!\led_flash_cnt[2876][3]~67149\) # (!\led_flash_cnt[2876][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2876][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2876][3]~67149\,
	combout => \led_flash_cnt[2876][4]~67150_combout\,
	cout => \led_flash_cnt[2876][4]~67151\);

-- Location: FF_X56_Y21_N11
\led_flash_cnt[2876][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2876][4]~67150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2876][4]~q\);

-- Location: LCCOMB_X56_Y21_N12
\led_flash_cnt[2876][5]~67152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2876][5]~67152_combout\ = (\led_flash_cnt[2876][5]~q\ & (\led_flash_cnt[2876][4]~67151\ $ (GND))) # (!\led_flash_cnt[2876][5]~q\ & (!\led_flash_cnt[2876][4]~67151\ & VCC))
-- \led_flash_cnt[2876][5]~67153\ = CARRY((\led_flash_cnt[2876][5]~q\ & !\led_flash_cnt[2876][4]~67151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2876][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2876][4]~67151\,
	combout => \led_flash_cnt[2876][5]~67152_combout\,
	cout => \led_flash_cnt[2876][5]~67153\);

-- Location: FF_X56_Y21_N13
\led_flash_cnt[2876][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2876][5]~67152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2876][5]~q\);

-- Location: LCCOMB_X56_Y21_N14
\led_flash_cnt[2876][6]~67154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2876][6]~67154_combout\ = (\led_flash_cnt[2876][6]~q\ & (!\led_flash_cnt[2876][5]~67153\)) # (!\led_flash_cnt[2876][6]~q\ & ((\led_flash_cnt[2876][5]~67153\) # (GND)))
-- \led_flash_cnt[2876][6]~67155\ = CARRY((!\led_flash_cnt[2876][5]~67153\) # (!\led_flash_cnt[2876][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2876][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2876][5]~67153\,
	combout => \led_flash_cnt[2876][6]~67154_combout\,
	cout => \led_flash_cnt[2876][6]~67155\);

-- Location: FF_X56_Y21_N15
\led_flash_cnt[2876][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2876][6]~67154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2876][6]~q\);

-- Location: LCCOMB_X56_Y21_N16
\led_flash_cnt[2876][7]~67156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2876][7]~67156_combout\ = \led_flash_cnt[2876][6]~67155\ $ (!\led_flash_cnt[2876][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2876][7]~q\,
	cin => \led_flash_cnt[2876][6]~67155\,
	combout => \led_flash_cnt[2876][7]~67156_combout\);

-- Location: FF_X56_Y21_N17
\led_flash_cnt[2876][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2876][7]~67156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2876][7]~q\);

-- Location: LCCOMB_X56_Y21_N30
\WideAnd2876~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2876~1_combout\ = (\led_flash_cnt[2876][6]~q\ & \led_flash_cnt[2876][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2876][6]~q\,
	datad => \led_flash_cnt[2876][5]~q\,
	combout => \WideAnd2876~1_combout\);

-- Location: LCCOMB_X56_Y21_N28
\WideAnd2876~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2876~0_combout\ = (\led_flash_cnt[2876][4]~q\ & (\led_flash_cnt[2876][3]~q\ & (\led_flash_cnt[2876][1]~q\ & \led_flash_cnt[2876][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2876][4]~q\,
	datab => \led_flash_cnt[2876][3]~q\,
	datac => \led_flash_cnt[2876][1]~q\,
	datad => \led_flash_cnt[2876][2]~q\,
	combout => \WideAnd2876~0_combout\);

-- Location: LCCOMB_X56_Y21_N24
WideAnd2876 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2876~combout\ = (\led_flash_cnt[2876][0]~q\ & (\led_flash_cnt[2876][7]~q\ & (\WideAnd2876~1_combout\ & \WideAnd2876~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2876][0]~q\,
	datab => \led_flash_cnt[2876][7]~q\,
	datac => \WideAnd2876~1_combout\,
	datad => \WideAnd2876~0_combout\,
	combout => \WideAnd2876~combout\);

-- Location: FF_X56_Y21_N25
\led_flash_cnt_ands[2876]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2876~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2876));

-- Location: LCCOMB_X56_Y21_N22
\WideAnd4199~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4199~1_combout\ = (led_flash_cnt_ands(2877) & led_flash_cnt_ands(2876))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2877),
	datad => led_flash_cnt_ands(2876),
	combout => \WideAnd4199~1_combout\);

-- Location: LCCOMB_X14_Y4_N6
\led_flash_cnt[2873][0]~83513\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2873][0]~83513_combout\ = !\led_flash_cnt[2873][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2873][0]~q\,
	combout => \led_flash_cnt[2873][0]~83513_combout\);

-- Location: FF_X14_Y4_N7
\led_flash_cnt[2873][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2873][0]~83513_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2873][0]~q\);

-- Location: LCCOMB_X14_Y4_N8
\led_flash_cnt[2873][1]~67102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2873][1]~67102_combout\ = (\led_flash_cnt[2873][0]~q\ & (\led_flash_cnt[2873][1]~q\ $ (VCC))) # (!\led_flash_cnt[2873][0]~q\ & (\led_flash_cnt[2873][1]~q\ & VCC))
-- \led_flash_cnt[2873][1]~67103\ = CARRY((\led_flash_cnt[2873][0]~q\ & \led_flash_cnt[2873][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2873][0]~q\,
	datab => \led_flash_cnt[2873][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2873][1]~67102_combout\,
	cout => \led_flash_cnt[2873][1]~67103\);

-- Location: FF_X14_Y4_N9
\led_flash_cnt[2873][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2873][1]~67102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2873][1]~q\);

-- Location: LCCOMB_X14_Y4_N10
\led_flash_cnt[2873][2]~67104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2873][2]~67104_combout\ = (\led_flash_cnt[2873][2]~q\ & (!\led_flash_cnt[2873][1]~67103\)) # (!\led_flash_cnt[2873][2]~q\ & ((\led_flash_cnt[2873][1]~67103\) # (GND)))
-- \led_flash_cnt[2873][2]~67105\ = CARRY((!\led_flash_cnt[2873][1]~67103\) # (!\led_flash_cnt[2873][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2873][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2873][1]~67103\,
	combout => \led_flash_cnt[2873][2]~67104_combout\,
	cout => \led_flash_cnt[2873][2]~67105\);

-- Location: FF_X14_Y4_N11
\led_flash_cnt[2873][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2873][2]~67104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2873][2]~q\);

-- Location: LCCOMB_X14_Y4_N12
\led_flash_cnt[2873][3]~67106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2873][3]~67106_combout\ = (\led_flash_cnt[2873][3]~q\ & (\led_flash_cnt[2873][2]~67105\ $ (GND))) # (!\led_flash_cnt[2873][3]~q\ & (!\led_flash_cnt[2873][2]~67105\ & VCC))
-- \led_flash_cnt[2873][3]~67107\ = CARRY((\led_flash_cnt[2873][3]~q\ & !\led_flash_cnt[2873][2]~67105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2873][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2873][2]~67105\,
	combout => \led_flash_cnt[2873][3]~67106_combout\,
	cout => \led_flash_cnt[2873][3]~67107\);

-- Location: FF_X14_Y4_N13
\led_flash_cnt[2873][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2873][3]~67106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2873][3]~q\);

-- Location: LCCOMB_X14_Y4_N14
\led_flash_cnt[2873][4]~67108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2873][4]~67108_combout\ = (\led_flash_cnt[2873][4]~q\ & (!\led_flash_cnt[2873][3]~67107\)) # (!\led_flash_cnt[2873][4]~q\ & ((\led_flash_cnt[2873][3]~67107\) # (GND)))
-- \led_flash_cnt[2873][4]~67109\ = CARRY((!\led_flash_cnt[2873][3]~67107\) # (!\led_flash_cnt[2873][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2873][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2873][3]~67107\,
	combout => \led_flash_cnt[2873][4]~67108_combout\,
	cout => \led_flash_cnt[2873][4]~67109\);

-- Location: FF_X14_Y4_N15
\led_flash_cnt[2873][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2873][4]~67108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2873][4]~q\);

-- Location: LCCOMB_X14_Y4_N16
\led_flash_cnt[2873][5]~67110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2873][5]~67110_combout\ = (\led_flash_cnt[2873][5]~q\ & (\led_flash_cnt[2873][4]~67109\ $ (GND))) # (!\led_flash_cnt[2873][5]~q\ & (!\led_flash_cnt[2873][4]~67109\ & VCC))
-- \led_flash_cnt[2873][5]~67111\ = CARRY((\led_flash_cnt[2873][5]~q\ & !\led_flash_cnt[2873][4]~67109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2873][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2873][4]~67109\,
	combout => \led_flash_cnt[2873][5]~67110_combout\,
	cout => \led_flash_cnt[2873][5]~67111\);

-- Location: FF_X14_Y4_N17
\led_flash_cnt[2873][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2873][5]~67110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2873][5]~q\);

-- Location: LCCOMB_X14_Y4_N18
\led_flash_cnt[2873][6]~67112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2873][6]~67112_combout\ = (\led_flash_cnt[2873][6]~q\ & (!\led_flash_cnt[2873][5]~67111\)) # (!\led_flash_cnt[2873][6]~q\ & ((\led_flash_cnt[2873][5]~67111\) # (GND)))
-- \led_flash_cnt[2873][6]~67113\ = CARRY((!\led_flash_cnt[2873][5]~67111\) # (!\led_flash_cnt[2873][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2873][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2873][5]~67111\,
	combout => \led_flash_cnt[2873][6]~67112_combout\,
	cout => \led_flash_cnt[2873][6]~67113\);

-- Location: FF_X14_Y4_N19
\led_flash_cnt[2873][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2873][6]~67112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2873][6]~q\);

-- Location: LCCOMB_X14_Y4_N20
\led_flash_cnt[2873][7]~67114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2873][7]~67114_combout\ = \led_flash_cnt[2873][6]~67113\ $ (!\led_flash_cnt[2873][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2873][7]~q\,
	cin => \led_flash_cnt[2873][6]~67113\,
	combout => \led_flash_cnt[2873][7]~67114_combout\);

-- Location: FF_X14_Y4_N21
\led_flash_cnt[2873][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2873][7]~67114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2873][7]~q\);

-- Location: LCCOMB_X14_Y4_N22
\WideAnd2873~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2873~0_combout\ = (\led_flash_cnt[2873][3]~q\ & (\led_flash_cnt[2873][1]~q\ & (\led_flash_cnt[2873][4]~q\ & \led_flash_cnt[2873][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2873][3]~q\,
	datab => \led_flash_cnt[2873][1]~q\,
	datac => \led_flash_cnt[2873][4]~q\,
	datad => \led_flash_cnt[2873][2]~q\,
	combout => \WideAnd2873~0_combout\);

-- Location: LCCOMB_X14_Y4_N24
\WideAnd2873~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2873~1_combout\ = (\led_flash_cnt[2873][6]~q\ & \led_flash_cnt[2873][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2873][6]~q\,
	datad => \led_flash_cnt[2873][5]~q\,
	combout => \WideAnd2873~1_combout\);

-- Location: LCCOMB_X14_Y4_N4
WideAnd2873 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2873~combout\ = (\led_flash_cnt[2873][0]~q\ & (\led_flash_cnt[2873][7]~q\ & (\WideAnd2873~0_combout\ & \WideAnd2873~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2873][0]~q\,
	datab => \led_flash_cnt[2873][7]~q\,
	datac => \WideAnd2873~0_combout\,
	datad => \WideAnd2873~1_combout\,
	combout => \WideAnd2873~combout\);

-- Location: FF_X14_Y4_N5
\led_flash_cnt_ands[2873]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2873~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2873));

-- Location: LCCOMB_X29_Y12_N4
\led_flash_cnt[2874][0]~83514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2874][0]~83514_combout\ = !\led_flash_cnt[2874][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2874][0]~q\,
	combout => \led_flash_cnt[2874][0]~83514_combout\);

-- Location: FF_X29_Y12_N5
\led_flash_cnt[2874][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2874][0]~83514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2874][0]~q\);

-- Location: LCCOMB_X29_Y12_N10
\led_flash_cnt[2874][1]~67116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2874][1]~67116_combout\ = (\led_flash_cnt[2874][1]~q\ & (\led_flash_cnt[2874][0]~q\ $ (VCC))) # (!\led_flash_cnt[2874][1]~q\ & (\led_flash_cnt[2874][0]~q\ & VCC))
-- \led_flash_cnt[2874][1]~67117\ = CARRY((\led_flash_cnt[2874][1]~q\ & \led_flash_cnt[2874][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2874][1]~q\,
	datab => \led_flash_cnt[2874][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2874][1]~67116_combout\,
	cout => \led_flash_cnt[2874][1]~67117\);

-- Location: FF_X29_Y12_N11
\led_flash_cnt[2874][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2874][1]~67116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2874][1]~q\);

-- Location: LCCOMB_X29_Y12_N12
\led_flash_cnt[2874][2]~67118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2874][2]~67118_combout\ = (\led_flash_cnt[2874][2]~q\ & (!\led_flash_cnt[2874][1]~67117\)) # (!\led_flash_cnt[2874][2]~q\ & ((\led_flash_cnt[2874][1]~67117\) # (GND)))
-- \led_flash_cnt[2874][2]~67119\ = CARRY((!\led_flash_cnt[2874][1]~67117\) # (!\led_flash_cnt[2874][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2874][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2874][1]~67117\,
	combout => \led_flash_cnt[2874][2]~67118_combout\,
	cout => \led_flash_cnt[2874][2]~67119\);

-- Location: FF_X29_Y12_N13
\led_flash_cnt[2874][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2874][2]~67118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2874][2]~q\);

-- Location: LCCOMB_X29_Y12_N14
\led_flash_cnt[2874][3]~67120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2874][3]~67120_combout\ = (\led_flash_cnt[2874][3]~q\ & (\led_flash_cnt[2874][2]~67119\ $ (GND))) # (!\led_flash_cnt[2874][3]~q\ & (!\led_flash_cnt[2874][2]~67119\ & VCC))
-- \led_flash_cnt[2874][3]~67121\ = CARRY((\led_flash_cnt[2874][3]~q\ & !\led_flash_cnt[2874][2]~67119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2874][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2874][2]~67119\,
	combout => \led_flash_cnt[2874][3]~67120_combout\,
	cout => \led_flash_cnt[2874][3]~67121\);

-- Location: FF_X29_Y12_N15
\led_flash_cnt[2874][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2874][3]~67120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2874][3]~q\);

-- Location: LCCOMB_X29_Y12_N16
\led_flash_cnt[2874][4]~67122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2874][4]~67122_combout\ = (\led_flash_cnt[2874][4]~q\ & (!\led_flash_cnt[2874][3]~67121\)) # (!\led_flash_cnt[2874][4]~q\ & ((\led_flash_cnt[2874][3]~67121\) # (GND)))
-- \led_flash_cnt[2874][4]~67123\ = CARRY((!\led_flash_cnt[2874][3]~67121\) # (!\led_flash_cnt[2874][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2874][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2874][3]~67121\,
	combout => \led_flash_cnt[2874][4]~67122_combout\,
	cout => \led_flash_cnt[2874][4]~67123\);

-- Location: FF_X29_Y12_N17
\led_flash_cnt[2874][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2874][4]~67122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2874][4]~q\);

-- Location: LCCOMB_X29_Y12_N18
\led_flash_cnt[2874][5]~67124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2874][5]~67124_combout\ = (\led_flash_cnt[2874][5]~q\ & (\led_flash_cnt[2874][4]~67123\ $ (GND))) # (!\led_flash_cnt[2874][5]~q\ & (!\led_flash_cnt[2874][4]~67123\ & VCC))
-- \led_flash_cnt[2874][5]~67125\ = CARRY((\led_flash_cnt[2874][5]~q\ & !\led_flash_cnt[2874][4]~67123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2874][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2874][4]~67123\,
	combout => \led_flash_cnt[2874][5]~67124_combout\,
	cout => \led_flash_cnt[2874][5]~67125\);

-- Location: FF_X29_Y12_N19
\led_flash_cnt[2874][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2874][5]~67124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2874][5]~q\);

-- Location: LCCOMB_X29_Y12_N20
\led_flash_cnt[2874][6]~67126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2874][6]~67126_combout\ = (\led_flash_cnt[2874][6]~q\ & (!\led_flash_cnt[2874][5]~67125\)) # (!\led_flash_cnt[2874][6]~q\ & ((\led_flash_cnt[2874][5]~67125\) # (GND)))
-- \led_flash_cnt[2874][6]~67127\ = CARRY((!\led_flash_cnt[2874][5]~67125\) # (!\led_flash_cnt[2874][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2874][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2874][5]~67125\,
	combout => \led_flash_cnt[2874][6]~67126_combout\,
	cout => \led_flash_cnt[2874][6]~67127\);

-- Location: FF_X29_Y12_N21
\led_flash_cnt[2874][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2874][6]~67126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2874][6]~q\);

-- Location: LCCOMB_X29_Y12_N26
\WideAnd2874~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2874~1_combout\ = (\led_flash_cnt[2874][5]~q\ & \led_flash_cnt[2874][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2874][5]~q\,
	datad => \led_flash_cnt[2874][6]~q\,
	combout => \WideAnd2874~1_combout\);

-- Location: LCCOMB_X29_Y12_N22
\led_flash_cnt[2874][7]~67128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2874][7]~67128_combout\ = \led_flash_cnt[2874][7]~q\ $ (!\led_flash_cnt[2874][6]~67127\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2874][7]~q\,
	cin => \led_flash_cnt[2874][6]~67127\,
	combout => \led_flash_cnt[2874][7]~67128_combout\);

-- Location: FF_X29_Y12_N23
\led_flash_cnt[2874][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2874][7]~67128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2874][7]~q\);

-- Location: LCCOMB_X29_Y12_N28
\WideAnd2874~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2874~0_combout\ = (\led_flash_cnt[2874][2]~q\ & (\led_flash_cnt[2874][4]~q\ & (\led_flash_cnt[2874][3]~q\ & \led_flash_cnt[2874][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2874][2]~q\,
	datab => \led_flash_cnt[2874][4]~q\,
	datac => \led_flash_cnt[2874][3]~q\,
	datad => \led_flash_cnt[2874][1]~q\,
	combout => \WideAnd2874~0_combout\);

-- Location: LCCOMB_X29_Y12_N24
WideAnd2874 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2874~combout\ = (\WideAnd2874~1_combout\ & (\led_flash_cnt[2874][0]~q\ & (\led_flash_cnt[2874][7]~q\ & \WideAnd2874~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2874~1_combout\,
	datab => \led_flash_cnt[2874][0]~q\,
	datac => \led_flash_cnt[2874][7]~q\,
	datad => \WideAnd2874~0_combout\,
	combout => \WideAnd2874~combout\);

-- Location: FF_X29_Y12_N25
\led_flash_cnt_ands[2874]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2874~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2874));

-- Location: LCCOMB_X25_Y16_N10
\led_flash_cnt[2875][0]~83515\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2875][0]~83515_combout\ = !\led_flash_cnt[2875][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2875][0]~q\,
	combout => \led_flash_cnt[2875][0]~83515_combout\);

-- Location: FF_X25_Y16_N11
\led_flash_cnt[2875][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2875][0]~83515_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2875][0]~q\);

-- Location: LCCOMB_X25_Y16_N16
\led_flash_cnt[2875][1]~67130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2875][1]~67130_combout\ = (\led_flash_cnt[2875][0]~q\ & (\led_flash_cnt[2875][1]~q\ $ (VCC))) # (!\led_flash_cnt[2875][0]~q\ & (\led_flash_cnt[2875][1]~q\ & VCC))
-- \led_flash_cnt[2875][1]~67131\ = CARRY((\led_flash_cnt[2875][0]~q\ & \led_flash_cnt[2875][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2875][0]~q\,
	datab => \led_flash_cnt[2875][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2875][1]~67130_combout\,
	cout => \led_flash_cnt[2875][1]~67131\);

-- Location: FF_X25_Y16_N17
\led_flash_cnt[2875][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2875][1]~67130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2875][1]~q\);

-- Location: LCCOMB_X25_Y16_N18
\led_flash_cnt[2875][2]~67132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2875][2]~67132_combout\ = (\led_flash_cnt[2875][2]~q\ & (!\led_flash_cnt[2875][1]~67131\)) # (!\led_flash_cnt[2875][2]~q\ & ((\led_flash_cnt[2875][1]~67131\) # (GND)))
-- \led_flash_cnt[2875][2]~67133\ = CARRY((!\led_flash_cnt[2875][1]~67131\) # (!\led_flash_cnt[2875][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2875][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2875][1]~67131\,
	combout => \led_flash_cnt[2875][2]~67132_combout\,
	cout => \led_flash_cnt[2875][2]~67133\);

-- Location: FF_X25_Y16_N19
\led_flash_cnt[2875][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2875][2]~67132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2875][2]~q\);

-- Location: LCCOMB_X25_Y16_N20
\led_flash_cnt[2875][3]~67134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2875][3]~67134_combout\ = (\led_flash_cnt[2875][3]~q\ & (\led_flash_cnt[2875][2]~67133\ $ (GND))) # (!\led_flash_cnt[2875][3]~q\ & (!\led_flash_cnt[2875][2]~67133\ & VCC))
-- \led_flash_cnt[2875][3]~67135\ = CARRY((\led_flash_cnt[2875][3]~q\ & !\led_flash_cnt[2875][2]~67133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2875][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2875][2]~67133\,
	combout => \led_flash_cnt[2875][3]~67134_combout\,
	cout => \led_flash_cnt[2875][3]~67135\);

-- Location: FF_X25_Y16_N21
\led_flash_cnt[2875][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2875][3]~67134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2875][3]~q\);

-- Location: LCCOMB_X25_Y16_N22
\led_flash_cnt[2875][4]~67136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2875][4]~67136_combout\ = (\led_flash_cnt[2875][4]~q\ & (!\led_flash_cnt[2875][3]~67135\)) # (!\led_flash_cnt[2875][4]~q\ & ((\led_flash_cnt[2875][3]~67135\) # (GND)))
-- \led_flash_cnt[2875][4]~67137\ = CARRY((!\led_flash_cnt[2875][3]~67135\) # (!\led_flash_cnt[2875][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2875][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2875][3]~67135\,
	combout => \led_flash_cnt[2875][4]~67136_combout\,
	cout => \led_flash_cnt[2875][4]~67137\);

-- Location: FF_X25_Y16_N23
\led_flash_cnt[2875][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2875][4]~67136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2875][4]~q\);

-- Location: LCCOMB_X25_Y16_N24
\led_flash_cnt[2875][5]~67138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2875][5]~67138_combout\ = (\led_flash_cnt[2875][5]~q\ & (\led_flash_cnt[2875][4]~67137\ $ (GND))) # (!\led_flash_cnt[2875][5]~q\ & (!\led_flash_cnt[2875][4]~67137\ & VCC))
-- \led_flash_cnt[2875][5]~67139\ = CARRY((\led_flash_cnt[2875][5]~q\ & !\led_flash_cnt[2875][4]~67137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2875][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2875][4]~67137\,
	combout => \led_flash_cnt[2875][5]~67138_combout\,
	cout => \led_flash_cnt[2875][5]~67139\);

-- Location: FF_X25_Y16_N25
\led_flash_cnt[2875][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2875][5]~67138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2875][5]~q\);

-- Location: LCCOMB_X25_Y16_N26
\led_flash_cnt[2875][6]~67140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2875][6]~67140_combout\ = (\led_flash_cnt[2875][6]~q\ & (!\led_flash_cnt[2875][5]~67139\)) # (!\led_flash_cnt[2875][6]~q\ & ((\led_flash_cnt[2875][5]~67139\) # (GND)))
-- \led_flash_cnt[2875][6]~67141\ = CARRY((!\led_flash_cnt[2875][5]~67139\) # (!\led_flash_cnt[2875][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2875][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2875][5]~67139\,
	combout => \led_flash_cnt[2875][6]~67140_combout\,
	cout => \led_flash_cnt[2875][6]~67141\);

-- Location: FF_X25_Y16_N27
\led_flash_cnt[2875][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2875][6]~67140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2875][6]~q\);

-- Location: LCCOMB_X25_Y16_N2
\WideAnd2875~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2875~1_combout\ = (\led_flash_cnt[2875][6]~q\ & \led_flash_cnt[2875][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2875][6]~q\,
	datad => \led_flash_cnt[2875][5]~q\,
	combout => \WideAnd2875~1_combout\);

-- Location: LCCOMB_X25_Y16_N8
\WideAnd2875~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2875~0_combout\ = (\led_flash_cnt[2875][2]~q\ & (\led_flash_cnt[2875][1]~q\ & (\led_flash_cnt[2875][4]~q\ & \led_flash_cnt[2875][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2875][2]~q\,
	datab => \led_flash_cnt[2875][1]~q\,
	datac => \led_flash_cnt[2875][4]~q\,
	datad => \led_flash_cnt[2875][3]~q\,
	combout => \WideAnd2875~0_combout\);

-- Location: LCCOMB_X25_Y16_N28
\led_flash_cnt[2875][7]~67142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2875][7]~67142_combout\ = \led_flash_cnt[2875][6]~67141\ $ (!\led_flash_cnt[2875][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2875][7]~q\,
	cin => \led_flash_cnt[2875][6]~67141\,
	combout => \led_flash_cnt[2875][7]~67142_combout\);

-- Location: FF_X25_Y16_N29
\led_flash_cnt[2875][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2875][7]~67142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2875][7]~q\);

-- Location: LCCOMB_X25_Y16_N4
WideAnd2875 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2875~combout\ = (\led_flash_cnt[2875][0]~q\ & (\WideAnd2875~1_combout\ & (\WideAnd2875~0_combout\ & \led_flash_cnt[2875][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2875][0]~q\,
	datab => \WideAnd2875~1_combout\,
	datac => \WideAnd2875~0_combout\,
	datad => \led_flash_cnt[2875][7]~q\,
	combout => \WideAnd2875~combout\);

-- Location: FF_X25_Y16_N5
\led_flash_cnt_ands[2875]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2875~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2875));

-- Location: LCCOMB_X30_Y5_N24
\led_flash_cnt[2872][0]~83512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2872][0]~83512_combout\ = !\led_flash_cnt[2872][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2872][0]~q\,
	combout => \led_flash_cnt[2872][0]~83512_combout\);

-- Location: FF_X30_Y5_N25
\led_flash_cnt[2872][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2872][0]~83512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2872][0]~q\);

-- Location: LCCOMB_X30_Y5_N6
\led_flash_cnt[2872][1]~67088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2872][1]~67088_combout\ = (\led_flash_cnt[2872][1]~q\ & (\led_flash_cnt[2872][0]~q\ $ (VCC))) # (!\led_flash_cnt[2872][1]~q\ & (\led_flash_cnt[2872][0]~q\ & VCC))
-- \led_flash_cnt[2872][1]~67089\ = CARRY((\led_flash_cnt[2872][1]~q\ & \led_flash_cnt[2872][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2872][1]~q\,
	datab => \led_flash_cnt[2872][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2872][1]~67088_combout\,
	cout => \led_flash_cnt[2872][1]~67089\);

-- Location: FF_X30_Y5_N7
\led_flash_cnt[2872][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2872][1]~67088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2872][1]~q\);

-- Location: LCCOMB_X30_Y5_N8
\led_flash_cnt[2872][2]~67090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2872][2]~67090_combout\ = (\led_flash_cnt[2872][2]~q\ & (!\led_flash_cnt[2872][1]~67089\)) # (!\led_flash_cnt[2872][2]~q\ & ((\led_flash_cnt[2872][1]~67089\) # (GND)))
-- \led_flash_cnt[2872][2]~67091\ = CARRY((!\led_flash_cnt[2872][1]~67089\) # (!\led_flash_cnt[2872][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2872][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2872][1]~67089\,
	combout => \led_flash_cnt[2872][2]~67090_combout\,
	cout => \led_flash_cnt[2872][2]~67091\);

-- Location: FF_X30_Y5_N9
\led_flash_cnt[2872][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2872][2]~67090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2872][2]~q\);

-- Location: LCCOMB_X30_Y5_N10
\led_flash_cnt[2872][3]~67092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2872][3]~67092_combout\ = (\led_flash_cnt[2872][3]~q\ & (\led_flash_cnt[2872][2]~67091\ $ (GND))) # (!\led_flash_cnt[2872][3]~q\ & (!\led_flash_cnt[2872][2]~67091\ & VCC))
-- \led_flash_cnt[2872][3]~67093\ = CARRY((\led_flash_cnt[2872][3]~q\ & !\led_flash_cnt[2872][2]~67091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2872][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2872][2]~67091\,
	combout => \led_flash_cnt[2872][3]~67092_combout\,
	cout => \led_flash_cnt[2872][3]~67093\);

-- Location: FF_X30_Y5_N11
\led_flash_cnt[2872][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2872][3]~67092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2872][3]~q\);

-- Location: LCCOMB_X30_Y5_N12
\led_flash_cnt[2872][4]~67094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2872][4]~67094_combout\ = (\led_flash_cnt[2872][4]~q\ & (!\led_flash_cnt[2872][3]~67093\)) # (!\led_flash_cnt[2872][4]~q\ & ((\led_flash_cnt[2872][3]~67093\) # (GND)))
-- \led_flash_cnt[2872][4]~67095\ = CARRY((!\led_flash_cnt[2872][3]~67093\) # (!\led_flash_cnt[2872][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2872][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2872][3]~67093\,
	combout => \led_flash_cnt[2872][4]~67094_combout\,
	cout => \led_flash_cnt[2872][4]~67095\);

-- Location: FF_X30_Y5_N13
\led_flash_cnt[2872][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2872][4]~67094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2872][4]~q\);

-- Location: LCCOMB_X30_Y5_N26
\WideAnd2872~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2872~0_combout\ = (\led_flash_cnt[2872][3]~q\ & (\led_flash_cnt[2872][4]~q\ & (\led_flash_cnt[2872][2]~q\ & \led_flash_cnt[2872][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2872][3]~q\,
	datab => \led_flash_cnt[2872][4]~q\,
	datac => \led_flash_cnt[2872][2]~q\,
	datad => \led_flash_cnt[2872][1]~q\,
	combout => \WideAnd2872~0_combout\);

-- Location: LCCOMB_X30_Y5_N14
\led_flash_cnt[2872][5]~67096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2872][5]~67096_combout\ = (\led_flash_cnt[2872][5]~q\ & (\led_flash_cnt[2872][4]~67095\ $ (GND))) # (!\led_flash_cnt[2872][5]~q\ & (!\led_flash_cnt[2872][4]~67095\ & VCC))
-- \led_flash_cnt[2872][5]~67097\ = CARRY((\led_flash_cnt[2872][5]~q\ & !\led_flash_cnt[2872][4]~67095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2872][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2872][4]~67095\,
	combout => \led_flash_cnt[2872][5]~67096_combout\,
	cout => \led_flash_cnt[2872][5]~67097\);

-- Location: FF_X30_Y5_N15
\led_flash_cnt[2872][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2872][5]~67096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2872][5]~q\);

-- Location: LCCOMB_X30_Y5_N16
\led_flash_cnt[2872][6]~67098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2872][6]~67098_combout\ = (\led_flash_cnt[2872][6]~q\ & (!\led_flash_cnt[2872][5]~67097\)) # (!\led_flash_cnt[2872][6]~q\ & ((\led_flash_cnt[2872][5]~67097\) # (GND)))
-- \led_flash_cnt[2872][6]~67099\ = CARRY((!\led_flash_cnt[2872][5]~67097\) # (!\led_flash_cnt[2872][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2872][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2872][5]~67097\,
	combout => \led_flash_cnt[2872][6]~67098_combout\,
	cout => \led_flash_cnt[2872][6]~67099\);

-- Location: FF_X30_Y5_N17
\led_flash_cnt[2872][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2872][6]~67098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2872][6]~q\);

-- Location: LCCOMB_X30_Y5_N18
\led_flash_cnt[2872][7]~67100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2872][7]~67100_combout\ = \led_flash_cnt[2872][7]~q\ $ (!\led_flash_cnt[2872][6]~67099\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2872][7]~q\,
	cin => \led_flash_cnt[2872][6]~67099\,
	combout => \led_flash_cnt[2872][7]~67100_combout\);

-- Location: FF_X30_Y5_N19
\led_flash_cnt[2872][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2872][7]~67100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2872][7]~q\);

-- Location: LCCOMB_X30_Y5_N28
\WideAnd2872~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2872~1_combout\ = (\led_flash_cnt[2872][5]~q\ & \led_flash_cnt[2872][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2872][5]~q\,
	datad => \led_flash_cnt[2872][6]~q\,
	combout => \WideAnd2872~1_combout\);

-- Location: LCCOMB_X30_Y5_N4
WideAnd2872 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2872~combout\ = (\WideAnd2872~0_combout\ & (\led_flash_cnt[2872][0]~q\ & (\led_flash_cnt[2872][7]~q\ & \WideAnd2872~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2872~0_combout\,
	datab => \led_flash_cnt[2872][0]~q\,
	datac => \led_flash_cnt[2872][7]~q\,
	datad => \WideAnd2872~1_combout\,
	combout => \WideAnd2872~combout\);

-- Location: FF_X30_Y5_N5
\led_flash_cnt_ands[2872]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2872~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2872));

-- Location: LCCOMB_X29_Y12_N8
\WideAnd4199~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4199~0_combout\ = (led_flash_cnt_ands(2873) & (led_flash_cnt_ands(2874) & (led_flash_cnt_ands(2875) & led_flash_cnt_ands(2872))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2873),
	datab => led_flash_cnt_ands(2874),
	datac => led_flash_cnt_ands(2875),
	datad => led_flash_cnt_ands(2872),
	combout => \WideAnd4199~0_combout\);

-- Location: LCCOMB_X55_Y23_N30
WideAnd4199 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4199~combout\ = (led_flash_cnt_ands(2879) & (led_flash_cnt_ands(2878) & (\WideAnd4199~1_combout\ & \WideAnd4199~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2879),
	datab => led_flash_cnt_ands(2878),
	datac => \WideAnd4199~1_combout\,
	datad => \WideAnd4199~0_combout\,
	combout => \WideAnd4199~combout\);

-- Location: FF_X55_Y23_N31
\led_flash_cnt_ands_1[359]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4199~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(359));

-- Location: LCCOMB_X2_Y20_N6
\led_flash_cnt[2868][0]~83508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2868][0]~83508_combout\ = !\led_flash_cnt[2868][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2868][0]~q\,
	combout => \led_flash_cnt[2868][0]~83508_combout\);

-- Location: FF_X2_Y20_N7
\led_flash_cnt[2868][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2868][0]~83508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2868][0]~q\);

-- Location: LCCOMB_X2_Y20_N14
\led_flash_cnt[2868][1]~67032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2868][1]~67032_combout\ = (\led_flash_cnt[2868][0]~q\ & (\led_flash_cnt[2868][1]~q\ $ (VCC))) # (!\led_flash_cnt[2868][0]~q\ & (\led_flash_cnt[2868][1]~q\ & VCC))
-- \led_flash_cnt[2868][1]~67033\ = CARRY((\led_flash_cnt[2868][0]~q\ & \led_flash_cnt[2868][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2868][0]~q\,
	datab => \led_flash_cnt[2868][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2868][1]~67032_combout\,
	cout => \led_flash_cnt[2868][1]~67033\);

-- Location: FF_X2_Y20_N15
\led_flash_cnt[2868][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2868][1]~67032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2868][1]~q\);

-- Location: LCCOMB_X2_Y20_N16
\led_flash_cnt[2868][2]~67034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2868][2]~67034_combout\ = (\led_flash_cnt[2868][2]~q\ & (!\led_flash_cnt[2868][1]~67033\)) # (!\led_flash_cnt[2868][2]~q\ & ((\led_flash_cnt[2868][1]~67033\) # (GND)))
-- \led_flash_cnt[2868][2]~67035\ = CARRY((!\led_flash_cnt[2868][1]~67033\) # (!\led_flash_cnt[2868][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2868][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2868][1]~67033\,
	combout => \led_flash_cnt[2868][2]~67034_combout\,
	cout => \led_flash_cnt[2868][2]~67035\);

-- Location: FF_X2_Y20_N17
\led_flash_cnt[2868][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2868][2]~67034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2868][2]~q\);

-- Location: LCCOMB_X2_Y20_N18
\led_flash_cnt[2868][3]~67036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2868][3]~67036_combout\ = (\led_flash_cnt[2868][3]~q\ & (\led_flash_cnt[2868][2]~67035\ $ (GND))) # (!\led_flash_cnt[2868][3]~q\ & (!\led_flash_cnt[2868][2]~67035\ & VCC))
-- \led_flash_cnt[2868][3]~67037\ = CARRY((\led_flash_cnt[2868][3]~q\ & !\led_flash_cnt[2868][2]~67035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2868][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2868][2]~67035\,
	combout => \led_flash_cnt[2868][3]~67036_combout\,
	cout => \led_flash_cnt[2868][3]~67037\);

-- Location: FF_X2_Y20_N19
\led_flash_cnt[2868][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2868][3]~67036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2868][3]~q\);

-- Location: LCCOMB_X2_Y20_N20
\led_flash_cnt[2868][4]~67038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2868][4]~67038_combout\ = (\led_flash_cnt[2868][4]~q\ & (!\led_flash_cnt[2868][3]~67037\)) # (!\led_flash_cnt[2868][4]~q\ & ((\led_flash_cnt[2868][3]~67037\) # (GND)))
-- \led_flash_cnt[2868][4]~67039\ = CARRY((!\led_flash_cnt[2868][3]~67037\) # (!\led_flash_cnt[2868][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2868][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2868][3]~67037\,
	combout => \led_flash_cnt[2868][4]~67038_combout\,
	cout => \led_flash_cnt[2868][4]~67039\);

-- Location: FF_X2_Y20_N21
\led_flash_cnt[2868][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2868][4]~67038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2868][4]~q\);

-- Location: LCCOMB_X2_Y20_N22
\led_flash_cnt[2868][5]~67040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2868][5]~67040_combout\ = (\led_flash_cnt[2868][5]~q\ & (\led_flash_cnt[2868][4]~67039\ $ (GND))) # (!\led_flash_cnt[2868][5]~q\ & (!\led_flash_cnt[2868][4]~67039\ & VCC))
-- \led_flash_cnt[2868][5]~67041\ = CARRY((\led_flash_cnt[2868][5]~q\ & !\led_flash_cnt[2868][4]~67039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2868][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2868][4]~67039\,
	combout => \led_flash_cnt[2868][5]~67040_combout\,
	cout => \led_flash_cnt[2868][5]~67041\);

-- Location: FF_X2_Y20_N23
\led_flash_cnt[2868][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2868][5]~67040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2868][5]~q\);

-- Location: LCCOMB_X2_Y20_N24
\led_flash_cnt[2868][6]~67042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2868][6]~67042_combout\ = (\led_flash_cnt[2868][6]~q\ & (!\led_flash_cnt[2868][5]~67041\)) # (!\led_flash_cnt[2868][6]~q\ & ((\led_flash_cnt[2868][5]~67041\) # (GND)))
-- \led_flash_cnt[2868][6]~67043\ = CARRY((!\led_flash_cnt[2868][5]~67041\) # (!\led_flash_cnt[2868][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2868][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2868][5]~67041\,
	combout => \led_flash_cnt[2868][6]~67042_combout\,
	cout => \led_flash_cnt[2868][6]~67043\);

-- Location: FF_X2_Y20_N25
\led_flash_cnt[2868][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2868][6]~67042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2868][6]~q\);

-- Location: LCCOMB_X2_Y20_N10
\WideAnd2868~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2868~1_combout\ = (\led_flash_cnt[2868][5]~q\ & \led_flash_cnt[2868][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2868][5]~q\,
	datad => \led_flash_cnt[2868][6]~q\,
	combout => \WideAnd2868~1_combout\);

-- Location: LCCOMB_X2_Y20_N28
\WideAnd2868~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2868~0_combout\ = (\led_flash_cnt[2868][4]~q\ & (\led_flash_cnt[2868][2]~q\ & (\led_flash_cnt[2868][1]~q\ & \led_flash_cnt[2868][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2868][4]~q\,
	datab => \led_flash_cnt[2868][2]~q\,
	datac => \led_flash_cnt[2868][1]~q\,
	datad => \led_flash_cnt[2868][3]~q\,
	combout => \WideAnd2868~0_combout\);

-- Location: LCCOMB_X2_Y20_N26
\led_flash_cnt[2868][7]~67044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2868][7]~67044_combout\ = \led_flash_cnt[2868][7]~q\ $ (!\led_flash_cnt[2868][6]~67043\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2868][7]~q\,
	cin => \led_flash_cnt[2868][6]~67043\,
	combout => \led_flash_cnt[2868][7]~67044_combout\);

-- Location: FF_X2_Y20_N27
\led_flash_cnt[2868][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2868][7]~67044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2868][7]~q\);

-- Location: LCCOMB_X2_Y20_N8
WideAnd2868 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2868~combout\ = (\WideAnd2868~1_combout\ & (\WideAnd2868~0_combout\ & (\led_flash_cnt[2868][7]~q\ & \led_flash_cnt[2868][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2868~1_combout\,
	datab => \WideAnd2868~0_combout\,
	datac => \led_flash_cnt[2868][7]~q\,
	datad => \led_flash_cnt[2868][0]~q\,
	combout => \WideAnd2868~combout\);

-- Location: FF_X2_Y20_N9
\led_flash_cnt_ands[2868]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2868~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2868));

-- Location: LCCOMB_X2_Y20_N2
\led_flash_cnt[2869][0]~83509\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2869][0]~83509_combout\ = !\led_flash_cnt[2869][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2869][0]~q\,
	combout => \led_flash_cnt[2869][0]~83509_combout\);

-- Location: FF_X2_Y20_N3
\led_flash_cnt[2869][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2869][0]~83509_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2869][0]~q\);

-- Location: LCCOMB_X1_Y20_N0
\led_flash_cnt[2869][1]~67046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2869][1]~67046_combout\ = (\led_flash_cnt[2869][0]~q\ & (\led_flash_cnt[2869][1]~q\ $ (VCC))) # (!\led_flash_cnt[2869][0]~q\ & (\led_flash_cnt[2869][1]~q\ & VCC))
-- \led_flash_cnt[2869][1]~67047\ = CARRY((\led_flash_cnt[2869][0]~q\ & \led_flash_cnt[2869][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2869][0]~q\,
	datab => \led_flash_cnt[2869][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2869][1]~67046_combout\,
	cout => \led_flash_cnt[2869][1]~67047\);

-- Location: FF_X1_Y20_N1
\led_flash_cnt[2869][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2869][1]~67046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2869][1]~q\);

-- Location: LCCOMB_X1_Y20_N2
\led_flash_cnt[2869][2]~67048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2869][2]~67048_combout\ = (\led_flash_cnt[2869][2]~q\ & (!\led_flash_cnt[2869][1]~67047\)) # (!\led_flash_cnt[2869][2]~q\ & ((\led_flash_cnt[2869][1]~67047\) # (GND)))
-- \led_flash_cnt[2869][2]~67049\ = CARRY((!\led_flash_cnt[2869][1]~67047\) # (!\led_flash_cnt[2869][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2869][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2869][1]~67047\,
	combout => \led_flash_cnt[2869][2]~67048_combout\,
	cout => \led_flash_cnt[2869][2]~67049\);

-- Location: FF_X1_Y20_N3
\led_flash_cnt[2869][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2869][2]~67048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2869][2]~q\);

-- Location: LCCOMB_X1_Y20_N4
\led_flash_cnt[2869][3]~67050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2869][3]~67050_combout\ = (\led_flash_cnt[2869][3]~q\ & (\led_flash_cnt[2869][2]~67049\ $ (GND))) # (!\led_flash_cnt[2869][3]~q\ & (!\led_flash_cnt[2869][2]~67049\ & VCC))
-- \led_flash_cnt[2869][3]~67051\ = CARRY((\led_flash_cnt[2869][3]~q\ & !\led_flash_cnt[2869][2]~67049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2869][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2869][2]~67049\,
	combout => \led_flash_cnt[2869][3]~67050_combout\,
	cout => \led_flash_cnt[2869][3]~67051\);

-- Location: FF_X1_Y20_N5
\led_flash_cnt[2869][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2869][3]~67050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2869][3]~q\);

-- Location: LCCOMB_X1_Y20_N6
\led_flash_cnt[2869][4]~67052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2869][4]~67052_combout\ = (\led_flash_cnt[2869][4]~q\ & (!\led_flash_cnt[2869][3]~67051\)) # (!\led_flash_cnt[2869][4]~q\ & ((\led_flash_cnt[2869][3]~67051\) # (GND)))
-- \led_flash_cnt[2869][4]~67053\ = CARRY((!\led_flash_cnt[2869][3]~67051\) # (!\led_flash_cnt[2869][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2869][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2869][3]~67051\,
	combout => \led_flash_cnt[2869][4]~67052_combout\,
	cout => \led_flash_cnt[2869][4]~67053\);

-- Location: FF_X1_Y20_N7
\led_flash_cnt[2869][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2869][4]~67052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2869][4]~q\);

-- Location: LCCOMB_X1_Y20_N8
\led_flash_cnt[2869][5]~67054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2869][5]~67054_combout\ = (\led_flash_cnt[2869][5]~q\ & (\led_flash_cnt[2869][4]~67053\ $ (GND))) # (!\led_flash_cnt[2869][5]~q\ & (!\led_flash_cnt[2869][4]~67053\ & VCC))
-- \led_flash_cnt[2869][5]~67055\ = CARRY((\led_flash_cnt[2869][5]~q\ & !\led_flash_cnt[2869][4]~67053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2869][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2869][4]~67053\,
	combout => \led_flash_cnt[2869][5]~67054_combout\,
	cout => \led_flash_cnt[2869][5]~67055\);

-- Location: FF_X1_Y20_N9
\led_flash_cnt[2869][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2869][5]~67054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2869][5]~q\);

-- Location: LCCOMB_X1_Y20_N10
\led_flash_cnt[2869][6]~67056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2869][6]~67056_combout\ = (\led_flash_cnt[2869][6]~q\ & (!\led_flash_cnt[2869][5]~67055\)) # (!\led_flash_cnt[2869][6]~q\ & ((\led_flash_cnt[2869][5]~67055\) # (GND)))
-- \led_flash_cnt[2869][6]~67057\ = CARRY((!\led_flash_cnt[2869][5]~67055\) # (!\led_flash_cnt[2869][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2869][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2869][5]~67055\,
	combout => \led_flash_cnt[2869][6]~67056_combout\,
	cout => \led_flash_cnt[2869][6]~67057\);

-- Location: FF_X1_Y20_N11
\led_flash_cnt[2869][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2869][6]~67056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2869][6]~q\);

-- Location: LCCOMB_X1_Y20_N12
\led_flash_cnt[2869][7]~67058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2869][7]~67058_combout\ = \led_flash_cnt[2869][6]~67057\ $ (!\led_flash_cnt[2869][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2869][7]~q\,
	cin => \led_flash_cnt[2869][6]~67057\,
	combout => \led_flash_cnt[2869][7]~67058_combout\);

-- Location: FF_X1_Y20_N13
\led_flash_cnt[2869][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2869][7]~67058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2869][7]~q\);

-- Location: LCCOMB_X2_Y20_N0
\WideAnd2869~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2869~1_combout\ = (\led_flash_cnt[2869][5]~q\ & \led_flash_cnt[2869][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2869][5]~q\,
	datad => \led_flash_cnt[2869][6]~q\,
	combout => \WideAnd2869~1_combout\);

-- Location: LCCOMB_X1_Y20_N14
\WideAnd2869~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2869~0_combout\ = (\led_flash_cnt[2869][4]~q\ & (\led_flash_cnt[2869][2]~q\ & (\led_flash_cnt[2869][3]~q\ & \led_flash_cnt[2869][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2869][4]~q\,
	datab => \led_flash_cnt[2869][2]~q\,
	datac => \led_flash_cnt[2869][3]~q\,
	datad => \led_flash_cnt[2869][1]~q\,
	combout => \WideAnd2869~0_combout\);

-- Location: LCCOMB_X2_Y20_N12
WideAnd2869 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2869~combout\ = (\led_flash_cnt[2869][7]~q\ & (\WideAnd2869~1_combout\ & (\led_flash_cnt[2869][0]~q\ & \WideAnd2869~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2869][7]~q\,
	datab => \WideAnd2869~1_combout\,
	datac => \led_flash_cnt[2869][0]~q\,
	datad => \WideAnd2869~0_combout\,
	combout => \WideAnd2869~combout\);

-- Location: FF_X2_Y20_N13
\led_flash_cnt_ands[2869]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2869~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2869));

-- Location: LCCOMB_X2_Y20_N30
\WideAnd4198~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4198~1_combout\ = (led_flash_cnt_ands(2868) & led_flash_cnt_ands(2869))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2868),
	datad => led_flash_cnt_ands(2869),
	combout => \WideAnd4198~1_combout\);

-- Location: LCCOMB_X2_Y16_N28
\led_flash_cnt[2871][0]~83511\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2871][0]~83511_combout\ = !\led_flash_cnt[2871][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2871][0]~q\,
	combout => \led_flash_cnt[2871][0]~83511_combout\);

-- Location: FF_X2_Y16_N29
\led_flash_cnt[2871][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2871][0]~83511_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2871][0]~q\);

-- Location: LCCOMB_X2_Y16_N4
\led_flash_cnt[2871][1]~67074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2871][1]~67074_combout\ = (\led_flash_cnt[2871][1]~q\ & (\led_flash_cnt[2871][0]~q\ $ (VCC))) # (!\led_flash_cnt[2871][1]~q\ & (\led_flash_cnt[2871][0]~q\ & VCC))
-- \led_flash_cnt[2871][1]~67075\ = CARRY((\led_flash_cnt[2871][1]~q\ & \led_flash_cnt[2871][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2871][1]~q\,
	datab => \led_flash_cnt[2871][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2871][1]~67074_combout\,
	cout => \led_flash_cnt[2871][1]~67075\);

-- Location: FF_X2_Y16_N5
\led_flash_cnt[2871][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2871][1]~67074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2871][1]~q\);

-- Location: LCCOMB_X2_Y16_N6
\led_flash_cnt[2871][2]~67076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2871][2]~67076_combout\ = (\led_flash_cnt[2871][2]~q\ & (!\led_flash_cnt[2871][1]~67075\)) # (!\led_flash_cnt[2871][2]~q\ & ((\led_flash_cnt[2871][1]~67075\) # (GND)))
-- \led_flash_cnt[2871][2]~67077\ = CARRY((!\led_flash_cnt[2871][1]~67075\) # (!\led_flash_cnt[2871][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2871][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2871][1]~67075\,
	combout => \led_flash_cnt[2871][2]~67076_combout\,
	cout => \led_flash_cnt[2871][2]~67077\);

-- Location: FF_X2_Y16_N7
\led_flash_cnt[2871][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2871][2]~67076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2871][2]~q\);

-- Location: LCCOMB_X2_Y16_N8
\led_flash_cnt[2871][3]~67078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2871][3]~67078_combout\ = (\led_flash_cnt[2871][3]~q\ & (\led_flash_cnt[2871][2]~67077\ $ (GND))) # (!\led_flash_cnt[2871][3]~q\ & (!\led_flash_cnt[2871][2]~67077\ & VCC))
-- \led_flash_cnt[2871][3]~67079\ = CARRY((\led_flash_cnt[2871][3]~q\ & !\led_flash_cnt[2871][2]~67077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2871][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2871][2]~67077\,
	combout => \led_flash_cnt[2871][3]~67078_combout\,
	cout => \led_flash_cnt[2871][3]~67079\);

-- Location: FF_X2_Y16_N9
\led_flash_cnt[2871][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2871][3]~67078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2871][3]~q\);

-- Location: LCCOMB_X2_Y16_N10
\led_flash_cnt[2871][4]~67080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2871][4]~67080_combout\ = (\led_flash_cnt[2871][4]~q\ & (!\led_flash_cnt[2871][3]~67079\)) # (!\led_flash_cnt[2871][4]~q\ & ((\led_flash_cnt[2871][3]~67079\) # (GND)))
-- \led_flash_cnt[2871][4]~67081\ = CARRY((!\led_flash_cnt[2871][3]~67079\) # (!\led_flash_cnt[2871][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2871][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2871][3]~67079\,
	combout => \led_flash_cnt[2871][4]~67080_combout\,
	cout => \led_flash_cnt[2871][4]~67081\);

-- Location: FF_X2_Y16_N11
\led_flash_cnt[2871][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2871][4]~67080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2871][4]~q\);

-- Location: LCCOMB_X2_Y16_N22
\WideAnd2871~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2871~0_combout\ = (\led_flash_cnt[2871][2]~q\ & (\led_flash_cnt[2871][1]~q\ & (\led_flash_cnt[2871][3]~q\ & \led_flash_cnt[2871][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2871][2]~q\,
	datab => \led_flash_cnt[2871][1]~q\,
	datac => \led_flash_cnt[2871][3]~q\,
	datad => \led_flash_cnt[2871][4]~q\,
	combout => \WideAnd2871~0_combout\);

-- Location: LCCOMB_X2_Y16_N12
\led_flash_cnt[2871][5]~67082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2871][5]~67082_combout\ = (\led_flash_cnt[2871][5]~q\ & (\led_flash_cnt[2871][4]~67081\ $ (GND))) # (!\led_flash_cnt[2871][5]~q\ & (!\led_flash_cnt[2871][4]~67081\ & VCC))
-- \led_flash_cnt[2871][5]~67083\ = CARRY((\led_flash_cnt[2871][5]~q\ & !\led_flash_cnt[2871][4]~67081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2871][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2871][4]~67081\,
	combout => \led_flash_cnt[2871][5]~67082_combout\,
	cout => \led_flash_cnt[2871][5]~67083\);

-- Location: FF_X2_Y16_N13
\led_flash_cnt[2871][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2871][5]~67082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2871][5]~q\);

-- Location: LCCOMB_X2_Y16_N14
\led_flash_cnt[2871][6]~67084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2871][6]~67084_combout\ = (\led_flash_cnt[2871][6]~q\ & (!\led_flash_cnt[2871][5]~67083\)) # (!\led_flash_cnt[2871][6]~q\ & ((\led_flash_cnt[2871][5]~67083\) # (GND)))
-- \led_flash_cnt[2871][6]~67085\ = CARRY((!\led_flash_cnt[2871][5]~67083\) # (!\led_flash_cnt[2871][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2871][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2871][5]~67083\,
	combout => \led_flash_cnt[2871][6]~67084_combout\,
	cout => \led_flash_cnt[2871][6]~67085\);

-- Location: FF_X2_Y16_N15
\led_flash_cnt[2871][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2871][6]~67084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2871][6]~q\);

-- Location: LCCOMB_X2_Y16_N16
\led_flash_cnt[2871][7]~67086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2871][7]~67086_combout\ = \led_flash_cnt[2871][6]~67085\ $ (!\led_flash_cnt[2871][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2871][7]~q\,
	cin => \led_flash_cnt[2871][6]~67085\,
	combout => \led_flash_cnt[2871][7]~67086_combout\);

-- Location: FF_X2_Y16_N17
\led_flash_cnt[2871][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2871][7]~67086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2871][7]~q\);

-- Location: LCCOMB_X2_Y16_N26
\WideAnd2871~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2871~1_combout\ = (\led_flash_cnt[2871][6]~q\ & \led_flash_cnt[2871][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2871][6]~q\,
	datad => \led_flash_cnt[2871][5]~q\,
	combout => \WideAnd2871~1_combout\);

-- Location: LCCOMB_X2_Y16_N24
WideAnd2871 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2871~combout\ = (\WideAnd2871~0_combout\ & (\led_flash_cnt[2871][7]~q\ & (\WideAnd2871~1_combout\ & \led_flash_cnt[2871][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2871~0_combout\,
	datab => \led_flash_cnt[2871][7]~q\,
	datac => \WideAnd2871~1_combout\,
	datad => \led_flash_cnt[2871][0]~q\,
	combout => \WideAnd2871~combout\);

-- Location: FF_X2_Y16_N25
\led_flash_cnt_ands[2871]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2871~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2871));

-- Location: LCCOMB_X1_Y18_N22
\led_flash_cnt[2870][0]~83510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2870][0]~83510_combout\ = !\led_flash_cnt[2870][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2870][0]~q\,
	combout => \led_flash_cnt[2870][0]~83510_combout\);

-- Location: FF_X1_Y18_N23
\led_flash_cnt[2870][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2870][0]~83510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2870][0]~q\);

-- Location: LCCOMB_X1_Y18_N8
\led_flash_cnt[2870][1]~67060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2870][1]~67060_combout\ = (\led_flash_cnt[2870][0]~q\ & (\led_flash_cnt[2870][1]~q\ $ (VCC))) # (!\led_flash_cnt[2870][0]~q\ & (\led_flash_cnt[2870][1]~q\ & VCC))
-- \led_flash_cnt[2870][1]~67061\ = CARRY((\led_flash_cnt[2870][0]~q\ & \led_flash_cnt[2870][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2870][0]~q\,
	datab => \led_flash_cnt[2870][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2870][1]~67060_combout\,
	cout => \led_flash_cnt[2870][1]~67061\);

-- Location: FF_X1_Y18_N9
\led_flash_cnt[2870][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2870][1]~67060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2870][1]~q\);

-- Location: LCCOMB_X1_Y18_N10
\led_flash_cnt[2870][2]~67062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2870][2]~67062_combout\ = (\led_flash_cnt[2870][2]~q\ & (!\led_flash_cnt[2870][1]~67061\)) # (!\led_flash_cnt[2870][2]~q\ & ((\led_flash_cnt[2870][1]~67061\) # (GND)))
-- \led_flash_cnt[2870][2]~67063\ = CARRY((!\led_flash_cnt[2870][1]~67061\) # (!\led_flash_cnt[2870][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2870][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2870][1]~67061\,
	combout => \led_flash_cnt[2870][2]~67062_combout\,
	cout => \led_flash_cnt[2870][2]~67063\);

-- Location: FF_X1_Y18_N11
\led_flash_cnt[2870][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2870][2]~67062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2870][2]~q\);

-- Location: LCCOMB_X1_Y18_N12
\led_flash_cnt[2870][3]~67064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2870][3]~67064_combout\ = (\led_flash_cnt[2870][3]~q\ & (\led_flash_cnt[2870][2]~67063\ $ (GND))) # (!\led_flash_cnt[2870][3]~q\ & (!\led_flash_cnt[2870][2]~67063\ & VCC))
-- \led_flash_cnt[2870][3]~67065\ = CARRY((\led_flash_cnt[2870][3]~q\ & !\led_flash_cnt[2870][2]~67063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2870][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2870][2]~67063\,
	combout => \led_flash_cnt[2870][3]~67064_combout\,
	cout => \led_flash_cnt[2870][3]~67065\);

-- Location: FF_X1_Y18_N13
\led_flash_cnt[2870][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2870][3]~67064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2870][3]~q\);

-- Location: LCCOMB_X1_Y18_N14
\led_flash_cnt[2870][4]~67066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2870][4]~67066_combout\ = (\led_flash_cnt[2870][4]~q\ & (!\led_flash_cnt[2870][3]~67065\)) # (!\led_flash_cnt[2870][4]~q\ & ((\led_flash_cnt[2870][3]~67065\) # (GND)))
-- \led_flash_cnt[2870][4]~67067\ = CARRY((!\led_flash_cnt[2870][3]~67065\) # (!\led_flash_cnt[2870][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2870][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2870][3]~67065\,
	combout => \led_flash_cnt[2870][4]~67066_combout\,
	cout => \led_flash_cnt[2870][4]~67067\);

-- Location: FF_X1_Y18_N15
\led_flash_cnt[2870][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2870][4]~67066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2870][4]~q\);

-- Location: LCCOMB_X1_Y18_N26
\WideAnd2870~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2870~0_combout\ = (\led_flash_cnt[2870][3]~q\ & (\led_flash_cnt[2870][4]~q\ & (\led_flash_cnt[2870][1]~q\ & \led_flash_cnt[2870][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2870][3]~q\,
	datab => \led_flash_cnt[2870][4]~q\,
	datac => \led_flash_cnt[2870][1]~q\,
	datad => \led_flash_cnt[2870][2]~q\,
	combout => \WideAnd2870~0_combout\);

-- Location: LCCOMB_X1_Y18_N16
\led_flash_cnt[2870][5]~67068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2870][5]~67068_combout\ = (\led_flash_cnt[2870][5]~q\ & (\led_flash_cnt[2870][4]~67067\ $ (GND))) # (!\led_flash_cnt[2870][5]~q\ & (!\led_flash_cnt[2870][4]~67067\ & VCC))
-- \led_flash_cnt[2870][5]~67069\ = CARRY((\led_flash_cnt[2870][5]~q\ & !\led_flash_cnt[2870][4]~67067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2870][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2870][4]~67067\,
	combout => \led_flash_cnt[2870][5]~67068_combout\,
	cout => \led_flash_cnt[2870][5]~67069\);

-- Location: FF_X1_Y18_N17
\led_flash_cnt[2870][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2870][5]~67068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2870][5]~q\);

-- Location: LCCOMB_X1_Y18_N18
\led_flash_cnt[2870][6]~67070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2870][6]~67070_combout\ = (\led_flash_cnt[2870][6]~q\ & (!\led_flash_cnt[2870][5]~67069\)) # (!\led_flash_cnt[2870][6]~q\ & ((\led_flash_cnt[2870][5]~67069\) # (GND)))
-- \led_flash_cnt[2870][6]~67071\ = CARRY((!\led_flash_cnt[2870][5]~67069\) # (!\led_flash_cnt[2870][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2870][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2870][5]~67069\,
	combout => \led_flash_cnt[2870][6]~67070_combout\,
	cout => \led_flash_cnt[2870][6]~67071\);

-- Location: FF_X1_Y18_N19
\led_flash_cnt[2870][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2870][6]~67070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2870][6]~q\);

-- Location: LCCOMB_X1_Y18_N24
\WideAnd2870~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2870~1_combout\ = (\led_flash_cnt[2870][5]~q\ & \led_flash_cnt[2870][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2870][5]~q\,
	datad => \led_flash_cnt[2870][6]~q\,
	combout => \WideAnd2870~1_combout\);

-- Location: LCCOMB_X1_Y18_N20
\led_flash_cnt[2870][7]~67072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2870][7]~67072_combout\ = \led_flash_cnt[2870][6]~67071\ $ (!\led_flash_cnt[2870][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2870][7]~q\,
	cin => \led_flash_cnt[2870][6]~67071\,
	combout => \led_flash_cnt[2870][7]~67072_combout\);

-- Location: FF_X1_Y18_N21
\led_flash_cnt[2870][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2870][7]~67072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2870][7]~q\);

-- Location: LCCOMB_X1_Y18_N4
WideAnd2870 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2870~combout\ = (\WideAnd2870~0_combout\ & (\WideAnd2870~1_combout\ & (\led_flash_cnt[2870][0]~q\ & \led_flash_cnt[2870][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2870~0_combout\,
	datab => \WideAnd2870~1_combout\,
	datac => \led_flash_cnt[2870][0]~q\,
	datad => \led_flash_cnt[2870][7]~q\,
	combout => \WideAnd2870~combout\);

-- Location: FF_X1_Y18_N5
\led_flash_cnt_ands[2870]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2870~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2870));

-- Location: LCCOMB_X4_Y18_N22
\led_flash_cnt[2864][0]~83504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2864][0]~83504_combout\ = !\led_flash_cnt[2864][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2864][0]~q\,
	combout => \led_flash_cnt[2864][0]~83504_combout\);

-- Location: FF_X4_Y18_N23
\led_flash_cnt[2864][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2864][0]~83504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2864][0]~q\);

-- Location: LCCOMB_X4_Y18_N2
\led_flash_cnt[2864][1]~66976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2864][1]~66976_combout\ = (\led_flash_cnt[2864][0]~q\ & (\led_flash_cnt[2864][1]~q\ $ (VCC))) # (!\led_flash_cnt[2864][0]~q\ & (\led_flash_cnt[2864][1]~q\ & VCC))
-- \led_flash_cnt[2864][1]~66977\ = CARRY((\led_flash_cnt[2864][0]~q\ & \led_flash_cnt[2864][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2864][0]~q\,
	datab => \led_flash_cnt[2864][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2864][1]~66976_combout\,
	cout => \led_flash_cnt[2864][1]~66977\);

-- Location: FF_X4_Y18_N3
\led_flash_cnt[2864][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2864][1]~66976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2864][1]~q\);

-- Location: LCCOMB_X4_Y18_N4
\led_flash_cnt[2864][2]~66978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2864][2]~66978_combout\ = (\led_flash_cnt[2864][2]~q\ & (!\led_flash_cnt[2864][1]~66977\)) # (!\led_flash_cnt[2864][2]~q\ & ((\led_flash_cnt[2864][1]~66977\) # (GND)))
-- \led_flash_cnt[2864][2]~66979\ = CARRY((!\led_flash_cnt[2864][1]~66977\) # (!\led_flash_cnt[2864][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2864][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2864][1]~66977\,
	combout => \led_flash_cnt[2864][2]~66978_combout\,
	cout => \led_flash_cnt[2864][2]~66979\);

-- Location: FF_X4_Y18_N5
\led_flash_cnt[2864][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2864][2]~66978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2864][2]~q\);

-- Location: LCCOMB_X4_Y18_N6
\led_flash_cnt[2864][3]~66980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2864][3]~66980_combout\ = (\led_flash_cnt[2864][3]~q\ & (\led_flash_cnt[2864][2]~66979\ $ (GND))) # (!\led_flash_cnt[2864][3]~q\ & (!\led_flash_cnt[2864][2]~66979\ & VCC))
-- \led_flash_cnt[2864][3]~66981\ = CARRY((\led_flash_cnt[2864][3]~q\ & !\led_flash_cnt[2864][2]~66979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2864][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2864][2]~66979\,
	combout => \led_flash_cnt[2864][3]~66980_combout\,
	cout => \led_flash_cnt[2864][3]~66981\);

-- Location: FF_X4_Y18_N7
\led_flash_cnt[2864][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2864][3]~66980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2864][3]~q\);

-- Location: LCCOMB_X4_Y18_N8
\led_flash_cnt[2864][4]~66982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2864][4]~66982_combout\ = (\led_flash_cnt[2864][4]~q\ & (!\led_flash_cnt[2864][3]~66981\)) # (!\led_flash_cnt[2864][4]~q\ & ((\led_flash_cnt[2864][3]~66981\) # (GND)))
-- \led_flash_cnt[2864][4]~66983\ = CARRY((!\led_flash_cnt[2864][3]~66981\) # (!\led_flash_cnt[2864][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2864][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2864][3]~66981\,
	combout => \led_flash_cnt[2864][4]~66982_combout\,
	cout => \led_flash_cnt[2864][4]~66983\);

-- Location: FF_X4_Y18_N9
\led_flash_cnt[2864][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2864][4]~66982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2864][4]~q\);

-- Location: LCCOMB_X4_Y18_N26
\WideAnd2864~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2864~0_combout\ = (\led_flash_cnt[2864][3]~q\ & (\led_flash_cnt[2864][4]~q\ & (\led_flash_cnt[2864][2]~q\ & \led_flash_cnt[2864][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2864][3]~q\,
	datab => \led_flash_cnt[2864][4]~q\,
	datac => \led_flash_cnt[2864][2]~q\,
	datad => \led_flash_cnt[2864][1]~q\,
	combout => \WideAnd2864~0_combout\);

-- Location: LCCOMB_X4_Y18_N10
\led_flash_cnt[2864][5]~66984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2864][5]~66984_combout\ = (\led_flash_cnt[2864][5]~q\ & (\led_flash_cnt[2864][4]~66983\ $ (GND))) # (!\led_flash_cnt[2864][5]~q\ & (!\led_flash_cnt[2864][4]~66983\ & VCC))
-- \led_flash_cnt[2864][5]~66985\ = CARRY((\led_flash_cnt[2864][5]~q\ & !\led_flash_cnt[2864][4]~66983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2864][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2864][4]~66983\,
	combout => \led_flash_cnt[2864][5]~66984_combout\,
	cout => \led_flash_cnt[2864][5]~66985\);

-- Location: FF_X4_Y18_N11
\led_flash_cnt[2864][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2864][5]~66984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2864][5]~q\);

-- Location: LCCOMB_X4_Y18_N12
\led_flash_cnt[2864][6]~66986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2864][6]~66986_combout\ = (\led_flash_cnt[2864][6]~q\ & (!\led_flash_cnt[2864][5]~66985\)) # (!\led_flash_cnt[2864][6]~q\ & ((\led_flash_cnt[2864][5]~66985\) # (GND)))
-- \led_flash_cnt[2864][6]~66987\ = CARRY((!\led_flash_cnt[2864][5]~66985\) # (!\led_flash_cnt[2864][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2864][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2864][5]~66985\,
	combout => \led_flash_cnt[2864][6]~66986_combout\,
	cout => \led_flash_cnt[2864][6]~66987\);

-- Location: FF_X4_Y18_N13
\led_flash_cnt[2864][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2864][6]~66986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2864][6]~q\);

-- Location: LCCOMB_X4_Y18_N14
\led_flash_cnt[2864][7]~66988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2864][7]~66988_combout\ = \led_flash_cnt[2864][7]~q\ $ (!\led_flash_cnt[2864][6]~66987\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2864][7]~q\,
	cin => \led_flash_cnt[2864][6]~66987\,
	combout => \led_flash_cnt[2864][7]~66988_combout\);

-- Location: FF_X4_Y18_N15
\led_flash_cnt[2864][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2864][7]~66988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2864][7]~q\);

-- Location: LCCOMB_X4_Y18_N24
\WideAnd2864~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2864~1_combout\ = (\led_flash_cnt[2864][5]~q\ & \led_flash_cnt[2864][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2864][5]~q\,
	datad => \led_flash_cnt[2864][6]~q\,
	combout => \WideAnd2864~1_combout\);

-- Location: LCCOMB_X4_Y18_N30
WideAnd2864 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2864~combout\ = (\WideAnd2864~0_combout\ & (\led_flash_cnt[2864][7]~q\ & (\led_flash_cnt[2864][0]~q\ & \WideAnd2864~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2864~0_combout\,
	datab => \led_flash_cnt[2864][7]~q\,
	datac => \led_flash_cnt[2864][0]~q\,
	datad => \WideAnd2864~1_combout\,
	combout => \WideAnd2864~combout\);

-- Location: FF_X4_Y18_N31
\led_flash_cnt_ands[2864]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2864~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2864));

-- Location: LCCOMB_X3_Y22_N12
\led_flash_cnt[2865][0]~83505\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2865][0]~83505_combout\ = !\led_flash_cnt[2865][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2865][0]~q\,
	combout => \led_flash_cnt[2865][0]~83505_combout\);

-- Location: FF_X3_Y22_N13
\led_flash_cnt[2865][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2865][0]~83505_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2865][0]~q\);

-- Location: LCCOMB_X3_Y22_N18
\led_flash_cnt[2865][1]~66990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2865][1]~66990_combout\ = (\led_flash_cnt[2865][0]~q\ & (\led_flash_cnt[2865][1]~q\ $ (VCC))) # (!\led_flash_cnt[2865][0]~q\ & (\led_flash_cnt[2865][1]~q\ & VCC))
-- \led_flash_cnt[2865][1]~66991\ = CARRY((\led_flash_cnt[2865][0]~q\ & \led_flash_cnt[2865][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2865][0]~q\,
	datab => \led_flash_cnt[2865][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2865][1]~66990_combout\,
	cout => \led_flash_cnt[2865][1]~66991\);

-- Location: FF_X3_Y22_N19
\led_flash_cnt[2865][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2865][1]~66990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2865][1]~q\);

-- Location: LCCOMB_X3_Y22_N20
\led_flash_cnt[2865][2]~66992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2865][2]~66992_combout\ = (\led_flash_cnt[2865][2]~q\ & (!\led_flash_cnt[2865][1]~66991\)) # (!\led_flash_cnt[2865][2]~q\ & ((\led_flash_cnt[2865][1]~66991\) # (GND)))
-- \led_flash_cnt[2865][2]~66993\ = CARRY((!\led_flash_cnt[2865][1]~66991\) # (!\led_flash_cnt[2865][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2865][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2865][1]~66991\,
	combout => \led_flash_cnt[2865][2]~66992_combout\,
	cout => \led_flash_cnt[2865][2]~66993\);

-- Location: FF_X3_Y22_N21
\led_flash_cnt[2865][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2865][2]~66992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2865][2]~q\);

-- Location: LCCOMB_X3_Y22_N22
\led_flash_cnt[2865][3]~66994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2865][3]~66994_combout\ = (\led_flash_cnt[2865][3]~q\ & (\led_flash_cnt[2865][2]~66993\ $ (GND))) # (!\led_flash_cnt[2865][3]~q\ & (!\led_flash_cnt[2865][2]~66993\ & VCC))
-- \led_flash_cnt[2865][3]~66995\ = CARRY((\led_flash_cnt[2865][3]~q\ & !\led_flash_cnt[2865][2]~66993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2865][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2865][2]~66993\,
	combout => \led_flash_cnt[2865][3]~66994_combout\,
	cout => \led_flash_cnt[2865][3]~66995\);

-- Location: FF_X3_Y22_N23
\led_flash_cnt[2865][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2865][3]~66994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2865][3]~q\);

-- Location: LCCOMB_X3_Y22_N24
\led_flash_cnt[2865][4]~66996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2865][4]~66996_combout\ = (\led_flash_cnt[2865][4]~q\ & (!\led_flash_cnt[2865][3]~66995\)) # (!\led_flash_cnt[2865][4]~q\ & ((\led_flash_cnt[2865][3]~66995\) # (GND)))
-- \led_flash_cnt[2865][4]~66997\ = CARRY((!\led_flash_cnt[2865][3]~66995\) # (!\led_flash_cnt[2865][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2865][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2865][3]~66995\,
	combout => \led_flash_cnt[2865][4]~66996_combout\,
	cout => \led_flash_cnt[2865][4]~66997\);

-- Location: FF_X3_Y22_N25
\led_flash_cnt[2865][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2865][4]~66996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2865][4]~q\);

-- Location: LCCOMB_X3_Y22_N26
\led_flash_cnt[2865][5]~66998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2865][5]~66998_combout\ = (\led_flash_cnt[2865][5]~q\ & (\led_flash_cnt[2865][4]~66997\ $ (GND))) # (!\led_flash_cnt[2865][5]~q\ & (!\led_flash_cnt[2865][4]~66997\ & VCC))
-- \led_flash_cnt[2865][5]~66999\ = CARRY((\led_flash_cnt[2865][5]~q\ & !\led_flash_cnt[2865][4]~66997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2865][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2865][4]~66997\,
	combout => \led_flash_cnt[2865][5]~66998_combout\,
	cout => \led_flash_cnt[2865][5]~66999\);

-- Location: FF_X3_Y22_N27
\led_flash_cnt[2865][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2865][5]~66998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2865][5]~q\);

-- Location: LCCOMB_X3_Y22_N28
\led_flash_cnt[2865][6]~67000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2865][6]~67000_combout\ = (\led_flash_cnt[2865][6]~q\ & (!\led_flash_cnt[2865][5]~66999\)) # (!\led_flash_cnt[2865][6]~q\ & ((\led_flash_cnt[2865][5]~66999\) # (GND)))
-- \led_flash_cnt[2865][6]~67001\ = CARRY((!\led_flash_cnt[2865][5]~66999\) # (!\led_flash_cnt[2865][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2865][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2865][5]~66999\,
	combout => \led_flash_cnt[2865][6]~67000_combout\,
	cout => \led_flash_cnt[2865][6]~67001\);

-- Location: FF_X3_Y22_N29
\led_flash_cnt[2865][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2865][6]~67000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2865][6]~q\);

-- Location: LCCOMB_X3_Y22_N30
\led_flash_cnt[2865][7]~67002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2865][7]~67002_combout\ = \led_flash_cnt[2865][7]~q\ $ (!\led_flash_cnt[2865][6]~67001\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2865][7]~q\,
	cin => \led_flash_cnt[2865][6]~67001\,
	combout => \led_flash_cnt[2865][7]~67002_combout\);

-- Location: FF_X3_Y22_N31
\led_flash_cnt[2865][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2865][7]~67002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2865][7]~q\);

-- Location: LCCOMB_X3_Y22_N16
\WideAnd2865~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2865~0_combout\ = (\led_flash_cnt[2865][1]~q\ & (\led_flash_cnt[2865][4]~q\ & (\led_flash_cnt[2865][3]~q\ & \led_flash_cnt[2865][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2865][1]~q\,
	datab => \led_flash_cnt[2865][4]~q\,
	datac => \led_flash_cnt[2865][3]~q\,
	datad => \led_flash_cnt[2865][2]~q\,
	combout => \WideAnd2865~0_combout\);

-- Location: LCCOMB_X3_Y22_N4
\WideAnd2865~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2865~1_combout\ = (\led_flash_cnt[2865][5]~q\ & \led_flash_cnt[2865][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2865][5]~q\,
	datad => \led_flash_cnt[2865][6]~q\,
	combout => \WideAnd2865~1_combout\);

-- Location: LCCOMB_X3_Y22_N10
WideAnd2865 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2865~combout\ = (\led_flash_cnt[2865][7]~q\ & (\WideAnd2865~0_combout\ & (\WideAnd2865~1_combout\ & \led_flash_cnt[2865][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2865][7]~q\,
	datab => \WideAnd2865~0_combout\,
	datac => \WideAnd2865~1_combout\,
	datad => \led_flash_cnt[2865][0]~q\,
	combout => \WideAnd2865~combout\);

-- Location: FF_X3_Y22_N11
\led_flash_cnt_ands[2865]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2865~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2865));

-- Location: LCCOMB_X3_Y20_N12
\led_flash_cnt[2866][0]~83506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2866][0]~83506_combout\ = !\led_flash_cnt[2866][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2866][0]~q\,
	combout => \led_flash_cnt[2866][0]~83506_combout\);

-- Location: FF_X3_Y20_N13
\led_flash_cnt[2866][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2866][0]~83506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2866][0]~q\);

-- Location: LCCOMB_X3_Y20_N14
\led_flash_cnt[2866][1]~67004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2866][1]~67004_combout\ = (\led_flash_cnt[2866][0]~q\ & (\led_flash_cnt[2866][1]~q\ $ (VCC))) # (!\led_flash_cnt[2866][0]~q\ & (\led_flash_cnt[2866][1]~q\ & VCC))
-- \led_flash_cnt[2866][1]~67005\ = CARRY((\led_flash_cnt[2866][0]~q\ & \led_flash_cnt[2866][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2866][0]~q\,
	datab => \led_flash_cnt[2866][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2866][1]~67004_combout\,
	cout => \led_flash_cnt[2866][1]~67005\);

-- Location: FF_X3_Y20_N15
\led_flash_cnt[2866][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2866][1]~67004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2866][1]~q\);

-- Location: LCCOMB_X3_Y20_N16
\led_flash_cnt[2866][2]~67006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2866][2]~67006_combout\ = (\led_flash_cnt[2866][2]~q\ & (!\led_flash_cnt[2866][1]~67005\)) # (!\led_flash_cnt[2866][2]~q\ & ((\led_flash_cnt[2866][1]~67005\) # (GND)))
-- \led_flash_cnt[2866][2]~67007\ = CARRY((!\led_flash_cnt[2866][1]~67005\) # (!\led_flash_cnt[2866][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2866][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2866][1]~67005\,
	combout => \led_flash_cnt[2866][2]~67006_combout\,
	cout => \led_flash_cnt[2866][2]~67007\);

-- Location: FF_X3_Y20_N17
\led_flash_cnt[2866][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2866][2]~67006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2866][2]~q\);

-- Location: LCCOMB_X3_Y20_N18
\led_flash_cnt[2866][3]~67008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2866][3]~67008_combout\ = (\led_flash_cnt[2866][3]~q\ & (\led_flash_cnt[2866][2]~67007\ $ (GND))) # (!\led_flash_cnt[2866][3]~q\ & (!\led_flash_cnt[2866][2]~67007\ & VCC))
-- \led_flash_cnt[2866][3]~67009\ = CARRY((\led_flash_cnt[2866][3]~q\ & !\led_flash_cnt[2866][2]~67007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2866][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2866][2]~67007\,
	combout => \led_flash_cnt[2866][3]~67008_combout\,
	cout => \led_flash_cnt[2866][3]~67009\);

-- Location: FF_X3_Y20_N19
\led_flash_cnt[2866][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2866][3]~67008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2866][3]~q\);

-- Location: LCCOMB_X3_Y20_N20
\led_flash_cnt[2866][4]~67010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2866][4]~67010_combout\ = (\led_flash_cnt[2866][4]~q\ & (!\led_flash_cnt[2866][3]~67009\)) # (!\led_flash_cnt[2866][4]~q\ & ((\led_flash_cnt[2866][3]~67009\) # (GND)))
-- \led_flash_cnt[2866][4]~67011\ = CARRY((!\led_flash_cnt[2866][3]~67009\) # (!\led_flash_cnt[2866][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2866][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2866][3]~67009\,
	combout => \led_flash_cnt[2866][4]~67010_combout\,
	cout => \led_flash_cnt[2866][4]~67011\);

-- Location: FF_X3_Y20_N21
\led_flash_cnt[2866][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2866][4]~67010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2866][4]~q\);

-- Location: LCCOMB_X3_Y20_N22
\led_flash_cnt[2866][5]~67012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2866][5]~67012_combout\ = (\led_flash_cnt[2866][5]~q\ & (\led_flash_cnt[2866][4]~67011\ $ (GND))) # (!\led_flash_cnt[2866][5]~q\ & (!\led_flash_cnt[2866][4]~67011\ & VCC))
-- \led_flash_cnt[2866][5]~67013\ = CARRY((\led_flash_cnt[2866][5]~q\ & !\led_flash_cnt[2866][4]~67011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2866][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2866][4]~67011\,
	combout => \led_flash_cnt[2866][5]~67012_combout\,
	cout => \led_flash_cnt[2866][5]~67013\);

-- Location: FF_X3_Y20_N23
\led_flash_cnt[2866][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2866][5]~67012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2866][5]~q\);

-- Location: LCCOMB_X3_Y20_N24
\led_flash_cnt[2866][6]~67014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2866][6]~67014_combout\ = (\led_flash_cnt[2866][6]~q\ & (!\led_flash_cnt[2866][5]~67013\)) # (!\led_flash_cnt[2866][6]~q\ & ((\led_flash_cnt[2866][5]~67013\) # (GND)))
-- \led_flash_cnt[2866][6]~67015\ = CARRY((!\led_flash_cnt[2866][5]~67013\) # (!\led_flash_cnt[2866][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2866][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2866][5]~67013\,
	combout => \led_flash_cnt[2866][6]~67014_combout\,
	cout => \led_flash_cnt[2866][6]~67015\);

-- Location: FF_X3_Y20_N25
\led_flash_cnt[2866][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2866][6]~67014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2866][6]~q\);

-- Location: LCCOMB_X3_Y20_N10
\WideAnd2866~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2866~1_combout\ = (\led_flash_cnt[2866][5]~q\ & \led_flash_cnt[2866][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2866][5]~q\,
	datad => \led_flash_cnt[2866][6]~q\,
	combout => \WideAnd2866~1_combout\);

-- Location: LCCOMB_X3_Y20_N8
\WideAnd2866~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2866~0_combout\ = (\led_flash_cnt[2866][4]~q\ & (\led_flash_cnt[2866][2]~q\ & (\led_flash_cnt[2866][1]~q\ & \led_flash_cnt[2866][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2866][4]~q\,
	datab => \led_flash_cnt[2866][2]~q\,
	datac => \led_flash_cnt[2866][1]~q\,
	datad => \led_flash_cnt[2866][3]~q\,
	combout => \WideAnd2866~0_combout\);

-- Location: LCCOMB_X3_Y20_N26
\led_flash_cnt[2866][7]~67016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2866][7]~67016_combout\ = \led_flash_cnt[2866][7]~q\ $ (!\led_flash_cnt[2866][6]~67015\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2866][7]~q\,
	cin => \led_flash_cnt[2866][6]~67015\,
	combout => \led_flash_cnt[2866][7]~67016_combout\);

-- Location: FF_X3_Y20_N27
\led_flash_cnt[2866][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2866][7]~67016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2866][7]~q\);

-- Location: LCCOMB_X3_Y20_N4
WideAnd2866 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2866~combout\ = (\WideAnd2866~1_combout\ & (\WideAnd2866~0_combout\ & (\led_flash_cnt[2866][7]~q\ & \led_flash_cnt[2866][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2866~1_combout\,
	datab => \WideAnd2866~0_combout\,
	datac => \led_flash_cnt[2866][7]~q\,
	datad => \led_flash_cnt[2866][0]~q\,
	combout => \WideAnd2866~combout\);

-- Location: FF_X3_Y20_N5
\led_flash_cnt_ands[2866]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2866~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2866));

-- Location: LCCOMB_X1_Y26_N26
\led_flash_cnt[2867][0]~83507\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2867][0]~83507_combout\ = !\led_flash_cnt[2867][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2867][0]~q\,
	combout => \led_flash_cnt[2867][0]~83507_combout\);

-- Location: FF_X1_Y26_N27
\led_flash_cnt[2867][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2867][0]~83507_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2867][0]~q\);

-- Location: LCCOMB_X1_Y26_N8
\led_flash_cnt[2867][1]~67018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2867][1]~67018_combout\ = (\led_flash_cnt[2867][0]~q\ & (\led_flash_cnt[2867][1]~q\ $ (VCC))) # (!\led_flash_cnt[2867][0]~q\ & (\led_flash_cnt[2867][1]~q\ & VCC))
-- \led_flash_cnt[2867][1]~67019\ = CARRY((\led_flash_cnt[2867][0]~q\ & \led_flash_cnt[2867][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2867][0]~q\,
	datab => \led_flash_cnt[2867][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2867][1]~67018_combout\,
	cout => \led_flash_cnt[2867][1]~67019\);

-- Location: FF_X1_Y26_N9
\led_flash_cnt[2867][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2867][1]~67018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2867][1]~q\);

-- Location: LCCOMB_X1_Y26_N10
\led_flash_cnt[2867][2]~67020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2867][2]~67020_combout\ = (\led_flash_cnt[2867][2]~q\ & (!\led_flash_cnt[2867][1]~67019\)) # (!\led_flash_cnt[2867][2]~q\ & ((\led_flash_cnt[2867][1]~67019\) # (GND)))
-- \led_flash_cnt[2867][2]~67021\ = CARRY((!\led_flash_cnt[2867][1]~67019\) # (!\led_flash_cnt[2867][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2867][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2867][1]~67019\,
	combout => \led_flash_cnt[2867][2]~67020_combout\,
	cout => \led_flash_cnt[2867][2]~67021\);

-- Location: FF_X1_Y26_N11
\led_flash_cnt[2867][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2867][2]~67020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2867][2]~q\);

-- Location: LCCOMB_X1_Y26_N12
\led_flash_cnt[2867][3]~67022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2867][3]~67022_combout\ = (\led_flash_cnt[2867][3]~q\ & (\led_flash_cnt[2867][2]~67021\ $ (GND))) # (!\led_flash_cnt[2867][3]~q\ & (!\led_flash_cnt[2867][2]~67021\ & VCC))
-- \led_flash_cnt[2867][3]~67023\ = CARRY((\led_flash_cnt[2867][3]~q\ & !\led_flash_cnt[2867][2]~67021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2867][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2867][2]~67021\,
	combout => \led_flash_cnt[2867][3]~67022_combout\,
	cout => \led_flash_cnt[2867][3]~67023\);

-- Location: FF_X1_Y26_N13
\led_flash_cnt[2867][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2867][3]~67022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2867][3]~q\);

-- Location: LCCOMB_X1_Y26_N14
\led_flash_cnt[2867][4]~67024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2867][4]~67024_combout\ = (\led_flash_cnt[2867][4]~q\ & (!\led_flash_cnt[2867][3]~67023\)) # (!\led_flash_cnt[2867][4]~q\ & ((\led_flash_cnt[2867][3]~67023\) # (GND)))
-- \led_flash_cnt[2867][4]~67025\ = CARRY((!\led_flash_cnt[2867][3]~67023\) # (!\led_flash_cnt[2867][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2867][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2867][3]~67023\,
	combout => \led_flash_cnt[2867][4]~67024_combout\,
	cout => \led_flash_cnt[2867][4]~67025\);

-- Location: FF_X1_Y26_N15
\led_flash_cnt[2867][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2867][4]~67024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2867][4]~q\);

-- Location: LCCOMB_X1_Y26_N28
\WideAnd2867~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2867~0_combout\ = (\led_flash_cnt[2867][2]~q\ & (\led_flash_cnt[2867][1]~q\ & (\led_flash_cnt[2867][4]~q\ & \led_flash_cnt[2867][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2867][2]~q\,
	datab => \led_flash_cnt[2867][1]~q\,
	datac => \led_flash_cnt[2867][4]~q\,
	datad => \led_flash_cnt[2867][3]~q\,
	combout => \WideAnd2867~0_combout\);

-- Location: LCCOMB_X1_Y26_N16
\led_flash_cnt[2867][5]~67026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2867][5]~67026_combout\ = (\led_flash_cnt[2867][5]~q\ & (\led_flash_cnt[2867][4]~67025\ $ (GND))) # (!\led_flash_cnt[2867][5]~q\ & (!\led_flash_cnt[2867][4]~67025\ & VCC))
-- \led_flash_cnt[2867][5]~67027\ = CARRY((\led_flash_cnt[2867][5]~q\ & !\led_flash_cnt[2867][4]~67025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2867][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2867][4]~67025\,
	combout => \led_flash_cnt[2867][5]~67026_combout\,
	cout => \led_flash_cnt[2867][5]~67027\);

-- Location: FF_X1_Y26_N17
\led_flash_cnt[2867][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2867][5]~67026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2867][5]~q\);

-- Location: LCCOMB_X1_Y26_N18
\led_flash_cnt[2867][6]~67028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2867][6]~67028_combout\ = (\led_flash_cnt[2867][6]~q\ & (!\led_flash_cnt[2867][5]~67027\)) # (!\led_flash_cnt[2867][6]~q\ & ((\led_flash_cnt[2867][5]~67027\) # (GND)))
-- \led_flash_cnt[2867][6]~67029\ = CARRY((!\led_flash_cnt[2867][5]~67027\) # (!\led_flash_cnt[2867][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2867][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2867][5]~67027\,
	combout => \led_flash_cnt[2867][6]~67028_combout\,
	cout => \led_flash_cnt[2867][6]~67029\);

-- Location: FF_X1_Y26_N19
\led_flash_cnt[2867][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2867][6]~67028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2867][6]~q\);

-- Location: LCCOMB_X1_Y26_N30
\WideAnd2867~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2867~1_combout\ = (\led_flash_cnt[2867][5]~q\ & \led_flash_cnt[2867][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2867][5]~q\,
	datad => \led_flash_cnt[2867][6]~q\,
	combout => \WideAnd2867~1_combout\);

-- Location: LCCOMB_X1_Y26_N20
\led_flash_cnt[2867][7]~67030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2867][7]~67030_combout\ = \led_flash_cnt[2867][6]~67029\ $ (!\led_flash_cnt[2867][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2867][7]~q\,
	cin => \led_flash_cnt[2867][6]~67029\,
	combout => \led_flash_cnt[2867][7]~67030_combout\);

-- Location: FF_X1_Y26_N21
\led_flash_cnt[2867][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2867][7]~67030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2867][7]~q\);

-- Location: LCCOMB_X1_Y26_N24
WideAnd2867 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2867~combout\ = (\led_flash_cnt[2867][0]~q\ & (\WideAnd2867~0_combout\ & (\WideAnd2867~1_combout\ & \led_flash_cnt[2867][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2867][0]~q\,
	datab => \WideAnd2867~0_combout\,
	datac => \WideAnd2867~1_combout\,
	datad => \led_flash_cnt[2867][7]~q\,
	combout => \WideAnd2867~combout\);

-- Location: FF_X1_Y26_N25
\led_flash_cnt_ands[2867]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2867~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2867));

-- Location: LCCOMB_X3_Y20_N28
\WideAnd4198~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4198~0_combout\ = (led_flash_cnt_ands(2864) & (led_flash_cnt_ands(2865) & (led_flash_cnt_ands(2866) & led_flash_cnt_ands(2867))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2864),
	datab => led_flash_cnt_ands(2865),
	datac => led_flash_cnt_ands(2866),
	datad => led_flash_cnt_ands(2867),
	combout => \WideAnd4198~0_combout\);

-- Location: LCCOMB_X2_Y20_N4
WideAnd4198 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4198~combout\ = (\WideAnd4198~1_combout\ & (led_flash_cnt_ands(2871) & (led_flash_cnt_ands(2870) & \WideAnd4198~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4198~1_combout\,
	datab => led_flash_cnt_ands(2871),
	datac => led_flash_cnt_ands(2870),
	datad => \WideAnd4198~0_combout\,
	combout => \WideAnd4198~combout\);

-- Location: FF_X2_Y20_N5
\led_flash_cnt_ands_1[358]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4198~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(358));

-- Location: LCCOMB_X56_Y43_N28
\led_flash_cnt[2843][0]~83483\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2843][0]~83483_combout\ = !\led_flash_cnt[2843][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2843][0]~q\,
	combout => \led_flash_cnt[2843][0]~83483_combout\);

-- Location: FF_X56_Y43_N29
\led_flash_cnt[2843][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2843][0]~83483_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2843][0]~q\);

-- Location: LCCOMB_X56_Y43_N12
\led_flash_cnt[2843][1]~66682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2843][1]~66682_combout\ = (\led_flash_cnt[2843][1]~q\ & (\led_flash_cnt[2843][0]~q\ $ (VCC))) # (!\led_flash_cnt[2843][1]~q\ & (\led_flash_cnt[2843][0]~q\ & VCC))
-- \led_flash_cnt[2843][1]~66683\ = CARRY((\led_flash_cnt[2843][1]~q\ & \led_flash_cnt[2843][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2843][1]~q\,
	datab => \led_flash_cnt[2843][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2843][1]~66682_combout\,
	cout => \led_flash_cnt[2843][1]~66683\);

-- Location: FF_X56_Y43_N13
\led_flash_cnt[2843][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2843][1]~66682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2843][1]~q\);

-- Location: LCCOMB_X56_Y43_N14
\led_flash_cnt[2843][2]~66684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2843][2]~66684_combout\ = (\led_flash_cnt[2843][2]~q\ & (!\led_flash_cnt[2843][1]~66683\)) # (!\led_flash_cnt[2843][2]~q\ & ((\led_flash_cnt[2843][1]~66683\) # (GND)))
-- \led_flash_cnt[2843][2]~66685\ = CARRY((!\led_flash_cnt[2843][1]~66683\) # (!\led_flash_cnt[2843][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2843][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2843][1]~66683\,
	combout => \led_flash_cnt[2843][2]~66684_combout\,
	cout => \led_flash_cnt[2843][2]~66685\);

-- Location: FF_X56_Y43_N15
\led_flash_cnt[2843][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2843][2]~66684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2843][2]~q\);

-- Location: LCCOMB_X56_Y43_N16
\led_flash_cnt[2843][3]~66686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2843][3]~66686_combout\ = (\led_flash_cnt[2843][3]~q\ & (\led_flash_cnt[2843][2]~66685\ $ (GND))) # (!\led_flash_cnt[2843][3]~q\ & (!\led_flash_cnt[2843][2]~66685\ & VCC))
-- \led_flash_cnt[2843][3]~66687\ = CARRY((\led_flash_cnt[2843][3]~q\ & !\led_flash_cnt[2843][2]~66685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2843][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2843][2]~66685\,
	combout => \led_flash_cnt[2843][3]~66686_combout\,
	cout => \led_flash_cnt[2843][3]~66687\);

-- Location: FF_X56_Y43_N17
\led_flash_cnt[2843][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2843][3]~66686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2843][3]~q\);

-- Location: LCCOMB_X56_Y43_N18
\led_flash_cnt[2843][4]~66688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2843][4]~66688_combout\ = (\led_flash_cnt[2843][4]~q\ & (!\led_flash_cnt[2843][3]~66687\)) # (!\led_flash_cnt[2843][4]~q\ & ((\led_flash_cnt[2843][3]~66687\) # (GND)))
-- \led_flash_cnt[2843][4]~66689\ = CARRY((!\led_flash_cnt[2843][3]~66687\) # (!\led_flash_cnt[2843][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2843][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2843][3]~66687\,
	combout => \led_flash_cnt[2843][4]~66688_combout\,
	cout => \led_flash_cnt[2843][4]~66689\);

-- Location: FF_X56_Y43_N19
\led_flash_cnt[2843][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2843][4]~66688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2843][4]~q\);

-- Location: LCCOMB_X56_Y43_N10
\WideAnd2843~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2843~0_combout\ = (\led_flash_cnt[2843][1]~q\ & (\led_flash_cnt[2843][3]~q\ & (\led_flash_cnt[2843][2]~q\ & \led_flash_cnt[2843][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2843][1]~q\,
	datab => \led_flash_cnt[2843][3]~q\,
	datac => \led_flash_cnt[2843][2]~q\,
	datad => \led_flash_cnt[2843][4]~q\,
	combout => \WideAnd2843~0_combout\);

-- Location: LCCOMB_X56_Y43_N20
\led_flash_cnt[2843][5]~66690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2843][5]~66690_combout\ = (\led_flash_cnt[2843][5]~q\ & (\led_flash_cnt[2843][4]~66689\ $ (GND))) # (!\led_flash_cnt[2843][5]~q\ & (!\led_flash_cnt[2843][4]~66689\ & VCC))
-- \led_flash_cnt[2843][5]~66691\ = CARRY((\led_flash_cnt[2843][5]~q\ & !\led_flash_cnt[2843][4]~66689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2843][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2843][4]~66689\,
	combout => \led_flash_cnt[2843][5]~66690_combout\,
	cout => \led_flash_cnt[2843][5]~66691\);

-- Location: FF_X56_Y43_N21
\led_flash_cnt[2843][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2843][5]~66690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2843][5]~q\);

-- Location: LCCOMB_X56_Y43_N22
\led_flash_cnt[2843][6]~66692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2843][6]~66692_combout\ = (\led_flash_cnt[2843][6]~q\ & (!\led_flash_cnt[2843][5]~66691\)) # (!\led_flash_cnt[2843][6]~q\ & ((\led_flash_cnt[2843][5]~66691\) # (GND)))
-- \led_flash_cnt[2843][6]~66693\ = CARRY((!\led_flash_cnt[2843][5]~66691\) # (!\led_flash_cnt[2843][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2843][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2843][5]~66691\,
	combout => \led_flash_cnt[2843][6]~66692_combout\,
	cout => \led_flash_cnt[2843][6]~66693\);

-- Location: FF_X56_Y43_N23
\led_flash_cnt[2843][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2843][6]~66692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2843][6]~q\);

-- Location: LCCOMB_X56_Y43_N24
\led_flash_cnt[2843][7]~66694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2843][7]~66694_combout\ = \led_flash_cnt[2843][6]~66693\ $ (!\led_flash_cnt[2843][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2843][7]~q\,
	cin => \led_flash_cnt[2843][6]~66693\,
	combout => \led_flash_cnt[2843][7]~66694_combout\);

-- Location: FF_X56_Y43_N25
\led_flash_cnt[2843][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2843][7]~66694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2843][7]~q\);

-- Location: LCCOMB_X56_Y43_N4
\WideAnd2843~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2843~1_combout\ = (\led_flash_cnt[2843][6]~q\ & \led_flash_cnt[2843][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2843][6]~q\,
	datad => \led_flash_cnt[2843][5]~q\,
	combout => \WideAnd2843~1_combout\);

-- Location: LCCOMB_X56_Y43_N30
WideAnd2843 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2843~combout\ = (\WideAnd2843~0_combout\ & (\led_flash_cnt[2843][7]~q\ & (\WideAnd2843~1_combout\ & \led_flash_cnt[2843][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2843~0_combout\,
	datab => \led_flash_cnt[2843][7]~q\,
	datac => \WideAnd2843~1_combout\,
	datad => \led_flash_cnt[2843][0]~q\,
	combout => \WideAnd2843~combout\);

-- Location: FF_X56_Y43_N31
\led_flash_cnt_ands[2843]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2843~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2843));

-- Location: LCCOMB_X56_Y43_N6
\led_flash_cnt[2841][0]~83481\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2841][0]~83481_combout\ = !\led_flash_cnt[2841][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2841][0]~q\,
	combout => \led_flash_cnt[2841][0]~83481_combout\);

-- Location: FF_X56_Y43_N7
\led_flash_cnt[2841][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2841][0]~83481_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2841][0]~q\);

-- Location: LCCOMB_X57_Y43_N14
\led_flash_cnt[2841][1]~66654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2841][1]~66654_combout\ = (\led_flash_cnt[2841][0]~q\ & (\led_flash_cnt[2841][1]~q\ $ (VCC))) # (!\led_flash_cnt[2841][0]~q\ & (\led_flash_cnt[2841][1]~q\ & VCC))
-- \led_flash_cnt[2841][1]~66655\ = CARRY((\led_flash_cnt[2841][0]~q\ & \led_flash_cnt[2841][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2841][0]~q\,
	datab => \led_flash_cnt[2841][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2841][1]~66654_combout\,
	cout => \led_flash_cnt[2841][1]~66655\);

-- Location: FF_X57_Y43_N15
\led_flash_cnt[2841][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2841][1]~66654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2841][1]~q\);

-- Location: LCCOMB_X57_Y43_N16
\led_flash_cnt[2841][2]~66656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2841][2]~66656_combout\ = (\led_flash_cnt[2841][2]~q\ & (!\led_flash_cnt[2841][1]~66655\)) # (!\led_flash_cnt[2841][2]~q\ & ((\led_flash_cnt[2841][1]~66655\) # (GND)))
-- \led_flash_cnt[2841][2]~66657\ = CARRY((!\led_flash_cnt[2841][1]~66655\) # (!\led_flash_cnt[2841][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2841][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2841][1]~66655\,
	combout => \led_flash_cnt[2841][2]~66656_combout\,
	cout => \led_flash_cnt[2841][2]~66657\);

-- Location: FF_X57_Y43_N17
\led_flash_cnt[2841][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2841][2]~66656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2841][2]~q\);

-- Location: LCCOMB_X57_Y43_N18
\led_flash_cnt[2841][3]~66658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2841][3]~66658_combout\ = (\led_flash_cnt[2841][3]~q\ & (\led_flash_cnt[2841][2]~66657\ $ (GND))) # (!\led_flash_cnt[2841][3]~q\ & (!\led_flash_cnt[2841][2]~66657\ & VCC))
-- \led_flash_cnt[2841][3]~66659\ = CARRY((\led_flash_cnt[2841][3]~q\ & !\led_flash_cnt[2841][2]~66657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2841][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2841][2]~66657\,
	combout => \led_flash_cnt[2841][3]~66658_combout\,
	cout => \led_flash_cnt[2841][3]~66659\);

-- Location: FF_X57_Y43_N19
\led_flash_cnt[2841][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2841][3]~66658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2841][3]~q\);

-- Location: LCCOMB_X57_Y43_N20
\led_flash_cnt[2841][4]~66660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2841][4]~66660_combout\ = (\led_flash_cnt[2841][4]~q\ & (!\led_flash_cnt[2841][3]~66659\)) # (!\led_flash_cnt[2841][4]~q\ & ((\led_flash_cnt[2841][3]~66659\) # (GND)))
-- \led_flash_cnt[2841][4]~66661\ = CARRY((!\led_flash_cnt[2841][3]~66659\) # (!\led_flash_cnt[2841][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2841][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2841][3]~66659\,
	combout => \led_flash_cnt[2841][4]~66660_combout\,
	cout => \led_flash_cnt[2841][4]~66661\);

-- Location: FF_X57_Y43_N21
\led_flash_cnt[2841][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2841][4]~66660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2841][4]~q\);

-- Location: LCCOMB_X57_Y43_N28
\WideAnd2841~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2841~0_combout\ = (\led_flash_cnt[2841][4]~q\ & (\led_flash_cnt[2841][3]~q\ & (\led_flash_cnt[2841][1]~q\ & \led_flash_cnt[2841][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2841][4]~q\,
	datab => \led_flash_cnt[2841][3]~q\,
	datac => \led_flash_cnt[2841][1]~q\,
	datad => \led_flash_cnt[2841][2]~q\,
	combout => \WideAnd2841~0_combout\);

-- Location: LCCOMB_X57_Y43_N22
\led_flash_cnt[2841][5]~66662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2841][5]~66662_combout\ = (\led_flash_cnt[2841][5]~q\ & (\led_flash_cnt[2841][4]~66661\ $ (GND))) # (!\led_flash_cnt[2841][5]~q\ & (!\led_flash_cnt[2841][4]~66661\ & VCC))
-- \led_flash_cnt[2841][5]~66663\ = CARRY((\led_flash_cnt[2841][5]~q\ & !\led_flash_cnt[2841][4]~66661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2841][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2841][4]~66661\,
	combout => \led_flash_cnt[2841][5]~66662_combout\,
	cout => \led_flash_cnt[2841][5]~66663\);

-- Location: FF_X57_Y43_N23
\led_flash_cnt[2841][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2841][5]~66662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2841][5]~q\);

-- Location: LCCOMB_X57_Y43_N24
\led_flash_cnt[2841][6]~66664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2841][6]~66664_combout\ = (\led_flash_cnt[2841][6]~q\ & (!\led_flash_cnt[2841][5]~66663\)) # (!\led_flash_cnt[2841][6]~q\ & ((\led_flash_cnt[2841][5]~66663\) # (GND)))
-- \led_flash_cnt[2841][6]~66665\ = CARRY((!\led_flash_cnt[2841][5]~66663\) # (!\led_flash_cnt[2841][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2841][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2841][5]~66663\,
	combout => \led_flash_cnt[2841][6]~66664_combout\,
	cout => \led_flash_cnt[2841][6]~66665\);

-- Location: FF_X57_Y43_N25
\led_flash_cnt[2841][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2841][6]~66664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2841][6]~q\);

-- Location: LCCOMB_X56_Y43_N26
\WideAnd2841~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2841~1_combout\ = (\led_flash_cnt[2841][6]~q\ & \led_flash_cnt[2841][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2841][6]~q\,
	datad => \led_flash_cnt[2841][5]~q\,
	combout => \WideAnd2841~1_combout\);

-- Location: LCCOMB_X57_Y43_N26
\led_flash_cnt[2841][7]~66666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2841][7]~66666_combout\ = \led_flash_cnt[2841][7]~q\ $ (!\led_flash_cnt[2841][6]~66665\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2841][7]~q\,
	cin => \led_flash_cnt[2841][6]~66665\,
	combout => \led_flash_cnt[2841][7]~66666_combout\);

-- Location: FF_X57_Y43_N27
\led_flash_cnt[2841][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2841][7]~66666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2841][7]~q\);

-- Location: LCCOMB_X56_Y43_N2
WideAnd2841 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2841~combout\ = (\led_flash_cnt[2841][0]~q\ & (\WideAnd2841~0_combout\ & (\WideAnd2841~1_combout\ & \led_flash_cnt[2841][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2841][0]~q\,
	datab => \WideAnd2841~0_combout\,
	datac => \WideAnd2841~1_combout\,
	datad => \led_flash_cnt[2841][7]~q\,
	combout => \WideAnd2841~combout\);

-- Location: FF_X56_Y43_N3
\led_flash_cnt_ands[2841]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2841~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2841));

-- Location: LCCOMB_X57_Y46_N28
\led_flash_cnt[2842][0]~83482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2842][0]~83482_combout\ = !\led_flash_cnt[2842][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2842][0]~q\,
	combout => \led_flash_cnt[2842][0]~83482_combout\);

-- Location: FF_X57_Y46_N29
\led_flash_cnt[2842][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2842][0]~83482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2842][0]~q\);

-- Location: LCCOMB_X57_Y46_N12
\led_flash_cnt[2842][1]~66668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2842][1]~66668_combout\ = (\led_flash_cnt[2842][1]~q\ & (\led_flash_cnt[2842][0]~q\ $ (VCC))) # (!\led_flash_cnt[2842][1]~q\ & (\led_flash_cnt[2842][0]~q\ & VCC))
-- \led_flash_cnt[2842][1]~66669\ = CARRY((\led_flash_cnt[2842][1]~q\ & \led_flash_cnt[2842][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2842][1]~q\,
	datab => \led_flash_cnt[2842][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2842][1]~66668_combout\,
	cout => \led_flash_cnt[2842][1]~66669\);

-- Location: FF_X57_Y46_N13
\led_flash_cnt[2842][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2842][1]~66668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2842][1]~q\);

-- Location: LCCOMB_X57_Y46_N14
\led_flash_cnt[2842][2]~66670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2842][2]~66670_combout\ = (\led_flash_cnt[2842][2]~q\ & (!\led_flash_cnt[2842][1]~66669\)) # (!\led_flash_cnt[2842][2]~q\ & ((\led_flash_cnt[2842][1]~66669\) # (GND)))
-- \led_flash_cnt[2842][2]~66671\ = CARRY((!\led_flash_cnt[2842][1]~66669\) # (!\led_flash_cnt[2842][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2842][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2842][1]~66669\,
	combout => \led_flash_cnt[2842][2]~66670_combout\,
	cout => \led_flash_cnt[2842][2]~66671\);

-- Location: FF_X57_Y46_N15
\led_flash_cnt[2842][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2842][2]~66670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2842][2]~q\);

-- Location: LCCOMB_X57_Y46_N16
\led_flash_cnt[2842][3]~66672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2842][3]~66672_combout\ = (\led_flash_cnt[2842][3]~q\ & (\led_flash_cnt[2842][2]~66671\ $ (GND))) # (!\led_flash_cnt[2842][3]~q\ & (!\led_flash_cnt[2842][2]~66671\ & VCC))
-- \led_flash_cnt[2842][3]~66673\ = CARRY((\led_flash_cnt[2842][3]~q\ & !\led_flash_cnt[2842][2]~66671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2842][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2842][2]~66671\,
	combout => \led_flash_cnt[2842][3]~66672_combout\,
	cout => \led_flash_cnt[2842][3]~66673\);

-- Location: FF_X57_Y46_N17
\led_flash_cnt[2842][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2842][3]~66672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2842][3]~q\);

-- Location: LCCOMB_X57_Y46_N18
\led_flash_cnt[2842][4]~66674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2842][4]~66674_combout\ = (\led_flash_cnt[2842][4]~q\ & (!\led_flash_cnt[2842][3]~66673\)) # (!\led_flash_cnt[2842][4]~q\ & ((\led_flash_cnt[2842][3]~66673\) # (GND)))
-- \led_flash_cnt[2842][4]~66675\ = CARRY((!\led_flash_cnt[2842][3]~66673\) # (!\led_flash_cnt[2842][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2842][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2842][3]~66673\,
	combout => \led_flash_cnt[2842][4]~66674_combout\,
	cout => \led_flash_cnt[2842][4]~66675\);

-- Location: FF_X57_Y46_N19
\led_flash_cnt[2842][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2842][4]~66674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2842][4]~q\);

-- Location: LCCOMB_X57_Y46_N6
\WideAnd2842~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2842~0_combout\ = (\led_flash_cnt[2842][1]~q\ & (\led_flash_cnt[2842][4]~q\ & (\led_flash_cnt[2842][2]~q\ & \led_flash_cnt[2842][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2842][1]~q\,
	datab => \led_flash_cnt[2842][4]~q\,
	datac => \led_flash_cnt[2842][2]~q\,
	datad => \led_flash_cnt[2842][3]~q\,
	combout => \WideAnd2842~0_combout\);

-- Location: LCCOMB_X57_Y46_N20
\led_flash_cnt[2842][5]~66676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2842][5]~66676_combout\ = (\led_flash_cnt[2842][5]~q\ & (\led_flash_cnt[2842][4]~66675\ $ (GND))) # (!\led_flash_cnt[2842][5]~q\ & (!\led_flash_cnt[2842][4]~66675\ & VCC))
-- \led_flash_cnt[2842][5]~66677\ = CARRY((\led_flash_cnt[2842][5]~q\ & !\led_flash_cnt[2842][4]~66675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2842][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2842][4]~66675\,
	combout => \led_flash_cnt[2842][5]~66676_combout\,
	cout => \led_flash_cnt[2842][5]~66677\);

-- Location: FF_X57_Y46_N21
\led_flash_cnt[2842][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2842][5]~66676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2842][5]~q\);

-- Location: LCCOMB_X57_Y46_N22
\led_flash_cnt[2842][6]~66678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2842][6]~66678_combout\ = (\led_flash_cnt[2842][6]~q\ & (!\led_flash_cnt[2842][5]~66677\)) # (!\led_flash_cnt[2842][6]~q\ & ((\led_flash_cnt[2842][5]~66677\) # (GND)))
-- \led_flash_cnt[2842][6]~66679\ = CARRY((!\led_flash_cnt[2842][5]~66677\) # (!\led_flash_cnt[2842][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2842][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2842][5]~66677\,
	combout => \led_flash_cnt[2842][6]~66678_combout\,
	cout => \led_flash_cnt[2842][6]~66679\);

-- Location: FF_X57_Y46_N23
\led_flash_cnt[2842][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2842][6]~66678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2842][6]~q\);

-- Location: LCCOMB_X57_Y46_N24
\led_flash_cnt[2842][7]~66680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2842][7]~66680_combout\ = \led_flash_cnt[2842][6]~66679\ $ (!\led_flash_cnt[2842][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2842][7]~q\,
	cin => \led_flash_cnt[2842][6]~66679\,
	combout => \led_flash_cnt[2842][7]~66680_combout\);

-- Location: FF_X57_Y46_N25
\led_flash_cnt[2842][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2842][7]~66680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2842][7]~q\);

-- Location: LCCOMB_X57_Y46_N26
\WideAnd2842~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2842~1_combout\ = (\led_flash_cnt[2842][6]~q\ & \led_flash_cnt[2842][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2842][6]~q\,
	datad => \led_flash_cnt[2842][5]~q\,
	combout => \WideAnd2842~1_combout\);

-- Location: LCCOMB_X57_Y46_N10
WideAnd2842 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2842~combout\ = (\WideAnd2842~0_combout\ & (\led_flash_cnt[2842][7]~q\ & (\WideAnd2842~1_combout\ & \led_flash_cnt[2842][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2842~0_combout\,
	datab => \led_flash_cnt[2842][7]~q\,
	datac => \WideAnd2842~1_combout\,
	datad => \led_flash_cnt[2842][0]~q\,
	combout => \WideAnd2842~combout\);

-- Location: FF_X57_Y46_N11
\led_flash_cnt_ands[2842]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2842~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2842));

-- Location: LCCOMB_X57_Y42_N4
\led_flash_cnt[2840][0]~83480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2840][0]~83480_combout\ = !\led_flash_cnt[2840][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2840][0]~q\,
	combout => \led_flash_cnt[2840][0]~83480_combout\);

-- Location: FF_X57_Y42_N5
\led_flash_cnt[2840][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2840][0]~83480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2840][0]~q\);

-- Location: LCCOMB_X57_Y42_N10
\led_flash_cnt[2840][1]~66640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2840][1]~66640_combout\ = (\led_flash_cnt[2840][1]~q\ & (\led_flash_cnt[2840][0]~q\ $ (VCC))) # (!\led_flash_cnt[2840][1]~q\ & (\led_flash_cnt[2840][0]~q\ & VCC))
-- \led_flash_cnt[2840][1]~66641\ = CARRY((\led_flash_cnt[2840][1]~q\ & \led_flash_cnt[2840][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2840][1]~q\,
	datab => \led_flash_cnt[2840][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2840][1]~66640_combout\,
	cout => \led_flash_cnt[2840][1]~66641\);

-- Location: FF_X57_Y42_N11
\led_flash_cnt[2840][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2840][1]~66640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2840][1]~q\);

-- Location: LCCOMB_X57_Y42_N12
\led_flash_cnt[2840][2]~66642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2840][2]~66642_combout\ = (\led_flash_cnt[2840][2]~q\ & (!\led_flash_cnt[2840][1]~66641\)) # (!\led_flash_cnt[2840][2]~q\ & ((\led_flash_cnt[2840][1]~66641\) # (GND)))
-- \led_flash_cnt[2840][2]~66643\ = CARRY((!\led_flash_cnt[2840][1]~66641\) # (!\led_flash_cnt[2840][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2840][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2840][1]~66641\,
	combout => \led_flash_cnt[2840][2]~66642_combout\,
	cout => \led_flash_cnt[2840][2]~66643\);

-- Location: FF_X57_Y42_N13
\led_flash_cnt[2840][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2840][2]~66642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2840][2]~q\);

-- Location: LCCOMB_X57_Y42_N14
\led_flash_cnt[2840][3]~66644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2840][3]~66644_combout\ = (\led_flash_cnt[2840][3]~q\ & (\led_flash_cnt[2840][2]~66643\ $ (GND))) # (!\led_flash_cnt[2840][3]~q\ & (!\led_flash_cnt[2840][2]~66643\ & VCC))
-- \led_flash_cnt[2840][3]~66645\ = CARRY((\led_flash_cnt[2840][3]~q\ & !\led_flash_cnt[2840][2]~66643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2840][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2840][2]~66643\,
	combout => \led_flash_cnt[2840][3]~66644_combout\,
	cout => \led_flash_cnt[2840][3]~66645\);

-- Location: FF_X57_Y42_N15
\led_flash_cnt[2840][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2840][3]~66644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2840][3]~q\);

-- Location: LCCOMB_X57_Y42_N16
\led_flash_cnt[2840][4]~66646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2840][4]~66646_combout\ = (\led_flash_cnt[2840][4]~q\ & (!\led_flash_cnt[2840][3]~66645\)) # (!\led_flash_cnt[2840][4]~q\ & ((\led_flash_cnt[2840][3]~66645\) # (GND)))
-- \led_flash_cnt[2840][4]~66647\ = CARRY((!\led_flash_cnt[2840][3]~66645\) # (!\led_flash_cnt[2840][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2840][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2840][3]~66645\,
	combout => \led_flash_cnt[2840][4]~66646_combout\,
	cout => \led_flash_cnt[2840][4]~66647\);

-- Location: FF_X57_Y42_N17
\led_flash_cnt[2840][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2840][4]~66646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2840][4]~q\);

-- Location: LCCOMB_X57_Y42_N18
\led_flash_cnt[2840][5]~66648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2840][5]~66648_combout\ = (\led_flash_cnt[2840][5]~q\ & (\led_flash_cnt[2840][4]~66647\ $ (GND))) # (!\led_flash_cnt[2840][5]~q\ & (!\led_flash_cnt[2840][4]~66647\ & VCC))
-- \led_flash_cnt[2840][5]~66649\ = CARRY((\led_flash_cnt[2840][5]~q\ & !\led_flash_cnt[2840][4]~66647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2840][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2840][4]~66647\,
	combout => \led_flash_cnt[2840][5]~66648_combout\,
	cout => \led_flash_cnt[2840][5]~66649\);

-- Location: FF_X57_Y42_N19
\led_flash_cnt[2840][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2840][5]~66648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2840][5]~q\);

-- Location: LCCOMB_X57_Y42_N20
\led_flash_cnt[2840][6]~66650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2840][6]~66650_combout\ = (\led_flash_cnt[2840][6]~q\ & (!\led_flash_cnt[2840][5]~66649\)) # (!\led_flash_cnt[2840][6]~q\ & ((\led_flash_cnt[2840][5]~66649\) # (GND)))
-- \led_flash_cnt[2840][6]~66651\ = CARRY((!\led_flash_cnt[2840][5]~66649\) # (!\led_flash_cnt[2840][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2840][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2840][5]~66649\,
	combout => \led_flash_cnt[2840][6]~66650_combout\,
	cout => \led_flash_cnt[2840][6]~66651\);

-- Location: FF_X57_Y42_N21
\led_flash_cnt[2840][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2840][6]~66650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2840][6]~q\);

-- Location: LCCOMB_X57_Y42_N26
\WideAnd2840~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2840~1_combout\ = (\led_flash_cnt[2840][6]~q\ & \led_flash_cnt[2840][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2840][6]~q\,
	datad => \led_flash_cnt[2840][5]~q\,
	combout => \WideAnd2840~1_combout\);

-- Location: LCCOMB_X57_Y42_N22
\led_flash_cnt[2840][7]~66652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2840][7]~66652_combout\ = \led_flash_cnt[2840][7]~q\ $ (!\led_flash_cnt[2840][6]~66651\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2840][7]~q\,
	cin => \led_flash_cnt[2840][6]~66651\,
	combout => \led_flash_cnt[2840][7]~66652_combout\);

-- Location: FF_X57_Y42_N23
\led_flash_cnt[2840][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2840][7]~66652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2840][7]~q\);

-- Location: LCCOMB_X57_Y42_N24
\WideAnd2840~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2840~0_combout\ = (\led_flash_cnt[2840][2]~q\ & (\led_flash_cnt[2840][4]~q\ & (\led_flash_cnt[2840][3]~q\ & \led_flash_cnt[2840][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2840][2]~q\,
	datab => \led_flash_cnt[2840][4]~q\,
	datac => \led_flash_cnt[2840][3]~q\,
	datad => \led_flash_cnt[2840][1]~q\,
	combout => \WideAnd2840~0_combout\);

-- Location: LCCOMB_X57_Y42_N0
WideAnd2840 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2840~combout\ = (\WideAnd2840~1_combout\ & (\led_flash_cnt[2840][0]~q\ & (\led_flash_cnt[2840][7]~q\ & \WideAnd2840~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2840~1_combout\,
	datab => \led_flash_cnt[2840][0]~q\,
	datac => \led_flash_cnt[2840][7]~q\,
	datad => \WideAnd2840~0_combout\,
	combout => \WideAnd2840~combout\);

-- Location: FF_X57_Y42_N1
\led_flash_cnt_ands[2840]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2840~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2840));

-- Location: LCCOMB_X56_Y43_N8
\WideAnd4195~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4195~0_combout\ = (led_flash_cnt_ands(2843) & (led_flash_cnt_ands(2841) & (led_flash_cnt_ands(2842) & led_flash_cnt_ands(2840))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2843),
	datab => led_flash_cnt_ands(2841),
	datac => led_flash_cnt_ands(2842),
	datad => led_flash_cnt_ands(2840),
	combout => \WideAnd4195~0_combout\);

-- Location: LCCOMB_X8_Y36_N6
\led_flash_cnt[2844][0]~83484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2844][0]~83484_combout\ = !\led_flash_cnt[2844][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2844][0]~q\,
	combout => \led_flash_cnt[2844][0]~83484_combout\);

-- Location: FF_X8_Y36_N7
\led_flash_cnt[2844][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2844][0]~83484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2844][0]~q\);

-- Location: LCCOMB_X8_Y36_N16
\led_flash_cnt[2844][1]~66696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2844][1]~66696_combout\ = (\led_flash_cnt[2844][0]~q\ & (\led_flash_cnt[2844][1]~q\ $ (VCC))) # (!\led_flash_cnt[2844][0]~q\ & (\led_flash_cnt[2844][1]~q\ & VCC))
-- \led_flash_cnt[2844][1]~66697\ = CARRY((\led_flash_cnt[2844][0]~q\ & \led_flash_cnt[2844][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2844][0]~q\,
	datab => \led_flash_cnt[2844][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2844][1]~66696_combout\,
	cout => \led_flash_cnt[2844][1]~66697\);

-- Location: FF_X8_Y36_N17
\led_flash_cnt[2844][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2844][1]~66696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2844][1]~q\);

-- Location: LCCOMB_X8_Y36_N18
\led_flash_cnt[2844][2]~66698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2844][2]~66698_combout\ = (\led_flash_cnt[2844][2]~q\ & (!\led_flash_cnt[2844][1]~66697\)) # (!\led_flash_cnt[2844][2]~q\ & ((\led_flash_cnt[2844][1]~66697\) # (GND)))
-- \led_flash_cnt[2844][2]~66699\ = CARRY((!\led_flash_cnt[2844][1]~66697\) # (!\led_flash_cnt[2844][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2844][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2844][1]~66697\,
	combout => \led_flash_cnt[2844][2]~66698_combout\,
	cout => \led_flash_cnt[2844][2]~66699\);

-- Location: FF_X8_Y36_N19
\led_flash_cnt[2844][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2844][2]~66698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2844][2]~q\);

-- Location: LCCOMB_X8_Y36_N20
\led_flash_cnt[2844][3]~66700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2844][3]~66700_combout\ = (\led_flash_cnt[2844][3]~q\ & (\led_flash_cnt[2844][2]~66699\ $ (GND))) # (!\led_flash_cnt[2844][3]~q\ & (!\led_flash_cnt[2844][2]~66699\ & VCC))
-- \led_flash_cnt[2844][3]~66701\ = CARRY((\led_flash_cnt[2844][3]~q\ & !\led_flash_cnt[2844][2]~66699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2844][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2844][2]~66699\,
	combout => \led_flash_cnt[2844][3]~66700_combout\,
	cout => \led_flash_cnt[2844][3]~66701\);

-- Location: FF_X8_Y36_N21
\led_flash_cnt[2844][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2844][3]~66700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2844][3]~q\);

-- Location: LCCOMB_X8_Y36_N22
\led_flash_cnt[2844][4]~66702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2844][4]~66702_combout\ = (\led_flash_cnt[2844][4]~q\ & (!\led_flash_cnt[2844][3]~66701\)) # (!\led_flash_cnt[2844][4]~q\ & ((\led_flash_cnt[2844][3]~66701\) # (GND)))
-- \led_flash_cnt[2844][4]~66703\ = CARRY((!\led_flash_cnt[2844][3]~66701\) # (!\led_flash_cnt[2844][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2844][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2844][3]~66701\,
	combout => \led_flash_cnt[2844][4]~66702_combout\,
	cout => \led_flash_cnt[2844][4]~66703\);

-- Location: FF_X8_Y36_N23
\led_flash_cnt[2844][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2844][4]~66702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2844][4]~q\);

-- Location: LCCOMB_X8_Y36_N24
\led_flash_cnt[2844][5]~66704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2844][5]~66704_combout\ = (\led_flash_cnt[2844][5]~q\ & (\led_flash_cnt[2844][4]~66703\ $ (GND))) # (!\led_flash_cnt[2844][5]~q\ & (!\led_flash_cnt[2844][4]~66703\ & VCC))
-- \led_flash_cnt[2844][5]~66705\ = CARRY((\led_flash_cnt[2844][5]~q\ & !\led_flash_cnt[2844][4]~66703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2844][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2844][4]~66703\,
	combout => \led_flash_cnt[2844][5]~66704_combout\,
	cout => \led_flash_cnt[2844][5]~66705\);

-- Location: FF_X8_Y36_N25
\led_flash_cnt[2844][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2844][5]~66704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2844][5]~q\);

-- Location: LCCOMB_X8_Y36_N26
\led_flash_cnt[2844][6]~66706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2844][6]~66706_combout\ = (\led_flash_cnt[2844][6]~q\ & (!\led_flash_cnt[2844][5]~66705\)) # (!\led_flash_cnt[2844][6]~q\ & ((\led_flash_cnt[2844][5]~66705\) # (GND)))
-- \led_flash_cnt[2844][6]~66707\ = CARRY((!\led_flash_cnt[2844][5]~66705\) # (!\led_flash_cnt[2844][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2844][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2844][5]~66705\,
	combout => \led_flash_cnt[2844][6]~66706_combout\,
	cout => \led_flash_cnt[2844][6]~66707\);

-- Location: FF_X8_Y36_N27
\led_flash_cnt[2844][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2844][6]~66706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2844][6]~q\);

-- Location: LCCOMB_X8_Y36_N14
\WideAnd2844~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2844~1_combout\ = (\led_flash_cnt[2844][6]~q\ & \led_flash_cnt[2844][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2844][6]~q\,
	datad => \led_flash_cnt[2844][5]~q\,
	combout => \WideAnd2844~1_combout\);

-- Location: LCCOMB_X8_Y36_N8
\WideAnd2844~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2844~0_combout\ = (\led_flash_cnt[2844][3]~q\ & (\led_flash_cnt[2844][2]~q\ & (\led_flash_cnt[2844][4]~q\ & \led_flash_cnt[2844][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2844][3]~q\,
	datab => \led_flash_cnt[2844][2]~q\,
	datac => \led_flash_cnt[2844][4]~q\,
	datad => \led_flash_cnt[2844][1]~q\,
	combout => \WideAnd2844~0_combout\);

-- Location: LCCOMB_X8_Y36_N28
\led_flash_cnt[2844][7]~66708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2844][7]~66708_combout\ = \led_flash_cnt[2844][6]~66707\ $ (!\led_flash_cnt[2844][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2844][7]~q\,
	cin => \led_flash_cnt[2844][6]~66707\,
	combout => \led_flash_cnt[2844][7]~66708_combout\);

-- Location: FF_X8_Y36_N29
\led_flash_cnt[2844][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2844][7]~66708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2844][7]~q\);

-- Location: LCCOMB_X8_Y36_N4
WideAnd2844 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2844~combout\ = (\led_flash_cnt[2844][0]~q\ & (\WideAnd2844~1_combout\ & (\WideAnd2844~0_combout\ & \led_flash_cnt[2844][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2844][0]~q\,
	datab => \WideAnd2844~1_combout\,
	datac => \WideAnd2844~0_combout\,
	datad => \led_flash_cnt[2844][7]~q\,
	combout => \WideAnd2844~combout\);

-- Location: FF_X8_Y36_N5
\led_flash_cnt_ands[2844]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2844~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2844));

-- Location: LCCOMB_X8_Y36_N2
\led_flash_cnt[2845][0]~83485\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2845][0]~83485_combout\ = !\led_flash_cnt[2845][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2845][0]~q\,
	combout => \led_flash_cnt[2845][0]~83485_combout\);

-- Location: FF_X8_Y36_N3
\led_flash_cnt[2845][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2845][0]~83485_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2845][0]~q\);

-- Location: LCCOMB_X7_Y36_N4
\led_flash_cnt[2845][1]~66710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2845][1]~66710_combout\ = (\led_flash_cnt[2845][0]~q\ & (\led_flash_cnt[2845][1]~q\ $ (VCC))) # (!\led_flash_cnt[2845][0]~q\ & (\led_flash_cnt[2845][1]~q\ & VCC))
-- \led_flash_cnt[2845][1]~66711\ = CARRY((\led_flash_cnt[2845][0]~q\ & \led_flash_cnt[2845][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2845][0]~q\,
	datab => \led_flash_cnt[2845][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2845][1]~66710_combout\,
	cout => \led_flash_cnt[2845][1]~66711\);

-- Location: FF_X7_Y36_N5
\led_flash_cnt[2845][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2845][1]~66710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2845][1]~q\);

-- Location: LCCOMB_X7_Y36_N6
\led_flash_cnt[2845][2]~66712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2845][2]~66712_combout\ = (\led_flash_cnt[2845][2]~q\ & (!\led_flash_cnt[2845][1]~66711\)) # (!\led_flash_cnt[2845][2]~q\ & ((\led_flash_cnt[2845][1]~66711\) # (GND)))
-- \led_flash_cnt[2845][2]~66713\ = CARRY((!\led_flash_cnt[2845][1]~66711\) # (!\led_flash_cnt[2845][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2845][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2845][1]~66711\,
	combout => \led_flash_cnt[2845][2]~66712_combout\,
	cout => \led_flash_cnt[2845][2]~66713\);

-- Location: FF_X7_Y36_N7
\led_flash_cnt[2845][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2845][2]~66712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2845][2]~q\);

-- Location: LCCOMB_X7_Y36_N8
\led_flash_cnt[2845][3]~66714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2845][3]~66714_combout\ = (\led_flash_cnt[2845][3]~q\ & (\led_flash_cnt[2845][2]~66713\ $ (GND))) # (!\led_flash_cnt[2845][3]~q\ & (!\led_flash_cnt[2845][2]~66713\ & VCC))
-- \led_flash_cnt[2845][3]~66715\ = CARRY((\led_flash_cnt[2845][3]~q\ & !\led_flash_cnt[2845][2]~66713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2845][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2845][2]~66713\,
	combout => \led_flash_cnt[2845][3]~66714_combout\,
	cout => \led_flash_cnt[2845][3]~66715\);

-- Location: FF_X7_Y36_N9
\led_flash_cnt[2845][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2845][3]~66714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2845][3]~q\);

-- Location: LCCOMB_X7_Y36_N10
\led_flash_cnt[2845][4]~66716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2845][4]~66716_combout\ = (\led_flash_cnt[2845][4]~q\ & (!\led_flash_cnt[2845][3]~66715\)) # (!\led_flash_cnt[2845][4]~q\ & ((\led_flash_cnt[2845][3]~66715\) # (GND)))
-- \led_flash_cnt[2845][4]~66717\ = CARRY((!\led_flash_cnt[2845][3]~66715\) # (!\led_flash_cnt[2845][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2845][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2845][3]~66715\,
	combout => \led_flash_cnt[2845][4]~66716_combout\,
	cout => \led_flash_cnt[2845][4]~66717\);

-- Location: FF_X7_Y36_N11
\led_flash_cnt[2845][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2845][4]~66716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2845][4]~q\);

-- Location: LCCOMB_X7_Y36_N2
\WideAnd2845~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2845~0_combout\ = (\led_flash_cnt[2845][2]~q\ & (\led_flash_cnt[2845][1]~q\ & (\led_flash_cnt[2845][3]~q\ & \led_flash_cnt[2845][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2845][2]~q\,
	datab => \led_flash_cnt[2845][1]~q\,
	datac => \led_flash_cnt[2845][3]~q\,
	datad => \led_flash_cnt[2845][4]~q\,
	combout => \WideAnd2845~0_combout\);

-- Location: LCCOMB_X7_Y36_N12
\led_flash_cnt[2845][5]~66718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2845][5]~66718_combout\ = (\led_flash_cnt[2845][5]~q\ & (\led_flash_cnt[2845][4]~66717\ $ (GND))) # (!\led_flash_cnt[2845][5]~q\ & (!\led_flash_cnt[2845][4]~66717\ & VCC))
-- \led_flash_cnt[2845][5]~66719\ = CARRY((\led_flash_cnt[2845][5]~q\ & !\led_flash_cnt[2845][4]~66717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2845][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2845][4]~66717\,
	combout => \led_flash_cnt[2845][5]~66718_combout\,
	cout => \led_flash_cnt[2845][5]~66719\);

-- Location: FF_X7_Y36_N13
\led_flash_cnt[2845][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2845][5]~66718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2845][5]~q\);

-- Location: LCCOMB_X7_Y36_N14
\led_flash_cnt[2845][6]~66720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2845][6]~66720_combout\ = (\led_flash_cnt[2845][6]~q\ & (!\led_flash_cnt[2845][5]~66719\)) # (!\led_flash_cnt[2845][6]~q\ & ((\led_flash_cnt[2845][5]~66719\) # (GND)))
-- \led_flash_cnt[2845][6]~66721\ = CARRY((!\led_flash_cnt[2845][5]~66719\) # (!\led_flash_cnt[2845][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2845][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2845][5]~66719\,
	combout => \led_flash_cnt[2845][6]~66720_combout\,
	cout => \led_flash_cnt[2845][6]~66721\);

-- Location: FF_X7_Y36_N15
\led_flash_cnt[2845][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2845][6]~66720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2845][6]~q\);

-- Location: LCCOMB_X7_Y36_N16
\led_flash_cnt[2845][7]~66722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2845][7]~66722_combout\ = \led_flash_cnt[2845][6]~66721\ $ (!\led_flash_cnt[2845][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2845][7]~q\,
	cin => \led_flash_cnt[2845][6]~66721\,
	combout => \led_flash_cnt[2845][7]~66722_combout\);

-- Location: FF_X7_Y36_N17
\led_flash_cnt[2845][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2845][7]~66722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2845][7]~q\);

-- Location: LCCOMB_X8_Y36_N12
\WideAnd2845~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2845~1_combout\ = (\led_flash_cnt[2845][5]~q\ & \led_flash_cnt[2845][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2845][5]~q\,
	datad => \led_flash_cnt[2845][6]~q\,
	combout => \WideAnd2845~1_combout\);

-- Location: LCCOMB_X8_Y36_N10
WideAnd2845 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2845~combout\ = (\WideAnd2845~0_combout\ & (\led_flash_cnt[2845][0]~q\ & (\led_flash_cnt[2845][7]~q\ & \WideAnd2845~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2845~0_combout\,
	datab => \led_flash_cnt[2845][0]~q\,
	datac => \led_flash_cnt[2845][7]~q\,
	datad => \WideAnd2845~1_combout\,
	combout => \WideAnd2845~combout\);

-- Location: FF_X8_Y36_N11
\led_flash_cnt_ands[2845]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2845~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2845));

-- Location: LCCOMB_X8_Y36_N30
\WideAnd4195~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4195~1_combout\ = (led_flash_cnt_ands(2844) & led_flash_cnt_ands(2845))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2844),
	datad => led_flash_cnt_ands(2845),
	combout => \WideAnd4195~1_combout\);

-- Location: LCCOMB_X9_Y30_N22
\led_flash_cnt[2846][0]~83486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2846][0]~83486_combout\ = !\led_flash_cnt[2846][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2846][0]~q\,
	combout => \led_flash_cnt[2846][0]~83486_combout\);

-- Location: FF_X9_Y30_N23
\led_flash_cnt[2846][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2846][0]~83486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2846][0]~q\);

-- Location: LCCOMB_X9_Y30_N2
\led_flash_cnt[2846][1]~66724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2846][1]~66724_combout\ = (\led_flash_cnt[2846][0]~q\ & (\led_flash_cnt[2846][1]~q\ $ (VCC))) # (!\led_flash_cnt[2846][0]~q\ & (\led_flash_cnt[2846][1]~q\ & VCC))
-- \led_flash_cnt[2846][1]~66725\ = CARRY((\led_flash_cnt[2846][0]~q\ & \led_flash_cnt[2846][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2846][0]~q\,
	datab => \led_flash_cnt[2846][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2846][1]~66724_combout\,
	cout => \led_flash_cnt[2846][1]~66725\);

-- Location: FF_X9_Y30_N3
\led_flash_cnt[2846][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2846][1]~66724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2846][1]~q\);

-- Location: LCCOMB_X9_Y30_N4
\led_flash_cnt[2846][2]~66726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2846][2]~66726_combout\ = (\led_flash_cnt[2846][2]~q\ & (!\led_flash_cnt[2846][1]~66725\)) # (!\led_flash_cnt[2846][2]~q\ & ((\led_flash_cnt[2846][1]~66725\) # (GND)))
-- \led_flash_cnt[2846][2]~66727\ = CARRY((!\led_flash_cnt[2846][1]~66725\) # (!\led_flash_cnt[2846][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2846][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2846][1]~66725\,
	combout => \led_flash_cnt[2846][2]~66726_combout\,
	cout => \led_flash_cnt[2846][2]~66727\);

-- Location: FF_X9_Y30_N5
\led_flash_cnt[2846][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2846][2]~66726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2846][2]~q\);

-- Location: LCCOMB_X9_Y30_N6
\led_flash_cnt[2846][3]~66728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2846][3]~66728_combout\ = (\led_flash_cnt[2846][3]~q\ & (\led_flash_cnt[2846][2]~66727\ $ (GND))) # (!\led_flash_cnt[2846][3]~q\ & (!\led_flash_cnt[2846][2]~66727\ & VCC))
-- \led_flash_cnt[2846][3]~66729\ = CARRY((\led_flash_cnt[2846][3]~q\ & !\led_flash_cnt[2846][2]~66727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2846][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2846][2]~66727\,
	combout => \led_flash_cnt[2846][3]~66728_combout\,
	cout => \led_flash_cnt[2846][3]~66729\);

-- Location: FF_X9_Y30_N7
\led_flash_cnt[2846][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2846][3]~66728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2846][3]~q\);

-- Location: LCCOMB_X9_Y30_N8
\led_flash_cnt[2846][4]~66730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2846][4]~66730_combout\ = (\led_flash_cnt[2846][4]~q\ & (!\led_flash_cnt[2846][3]~66729\)) # (!\led_flash_cnt[2846][4]~q\ & ((\led_flash_cnt[2846][3]~66729\) # (GND)))
-- \led_flash_cnt[2846][4]~66731\ = CARRY((!\led_flash_cnt[2846][3]~66729\) # (!\led_flash_cnt[2846][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2846][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2846][3]~66729\,
	combout => \led_flash_cnt[2846][4]~66730_combout\,
	cout => \led_flash_cnt[2846][4]~66731\);

-- Location: FF_X9_Y30_N9
\led_flash_cnt[2846][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2846][4]~66730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2846][4]~q\);

-- Location: LCCOMB_X9_Y30_N10
\led_flash_cnt[2846][5]~66732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2846][5]~66732_combout\ = (\led_flash_cnt[2846][5]~q\ & (\led_flash_cnt[2846][4]~66731\ $ (GND))) # (!\led_flash_cnt[2846][5]~q\ & (!\led_flash_cnt[2846][4]~66731\ & VCC))
-- \led_flash_cnt[2846][5]~66733\ = CARRY((\led_flash_cnt[2846][5]~q\ & !\led_flash_cnt[2846][4]~66731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2846][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2846][4]~66731\,
	combout => \led_flash_cnt[2846][5]~66732_combout\,
	cout => \led_flash_cnt[2846][5]~66733\);

-- Location: FF_X9_Y30_N11
\led_flash_cnt[2846][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2846][5]~66732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2846][5]~q\);

-- Location: LCCOMB_X9_Y30_N12
\led_flash_cnt[2846][6]~66734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2846][6]~66734_combout\ = (\led_flash_cnt[2846][6]~q\ & (!\led_flash_cnt[2846][5]~66733\)) # (!\led_flash_cnt[2846][6]~q\ & ((\led_flash_cnt[2846][5]~66733\) # (GND)))
-- \led_flash_cnt[2846][6]~66735\ = CARRY((!\led_flash_cnt[2846][5]~66733\) # (!\led_flash_cnt[2846][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2846][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2846][5]~66733\,
	combout => \led_flash_cnt[2846][6]~66734_combout\,
	cout => \led_flash_cnt[2846][6]~66735\);

-- Location: FF_X9_Y30_N13
\led_flash_cnt[2846][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2846][6]~66734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2846][6]~q\);

-- Location: LCCOMB_X9_Y30_N28
\WideAnd2846~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2846~1_combout\ = (\led_flash_cnt[2846][6]~q\ & \led_flash_cnt[2846][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2846][6]~q\,
	datad => \led_flash_cnt[2846][5]~q\,
	combout => \WideAnd2846~1_combout\);

-- Location: LCCOMB_X9_Y30_N14
\led_flash_cnt[2846][7]~66736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2846][7]~66736_combout\ = \led_flash_cnt[2846][7]~q\ $ (!\led_flash_cnt[2846][6]~66735\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2846][7]~q\,
	cin => \led_flash_cnt[2846][6]~66735\,
	combout => \led_flash_cnt[2846][7]~66736_combout\);

-- Location: FF_X9_Y30_N15
\led_flash_cnt[2846][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2846][7]~66736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2846][7]~q\);

-- Location: LCCOMB_X9_Y30_N18
\WideAnd2846~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2846~0_combout\ = (\led_flash_cnt[2846][3]~q\ & (\led_flash_cnt[2846][4]~q\ & (\led_flash_cnt[2846][2]~q\ & \led_flash_cnt[2846][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2846][3]~q\,
	datab => \led_flash_cnt[2846][4]~q\,
	datac => \led_flash_cnt[2846][2]~q\,
	datad => \led_flash_cnt[2846][1]~q\,
	combout => \WideAnd2846~0_combout\);

-- Location: LCCOMB_X9_Y30_N0
WideAnd2846 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2846~combout\ = (\led_flash_cnt[2846][0]~q\ & (\WideAnd2846~1_combout\ & (\led_flash_cnt[2846][7]~q\ & \WideAnd2846~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2846][0]~q\,
	datab => \WideAnd2846~1_combout\,
	datac => \led_flash_cnt[2846][7]~q\,
	datad => \WideAnd2846~0_combout\,
	combout => \WideAnd2846~combout\);

-- Location: FF_X9_Y30_N1
\led_flash_cnt_ands[2846]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2846~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2846));

-- Location: LCCOMB_X16_Y35_N12
\led_flash_cnt[2847][0]~83487\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2847][0]~83487_combout\ = !\led_flash_cnt[2847][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2847][0]~q\,
	combout => \led_flash_cnt[2847][0]~83487_combout\);

-- Location: FF_X16_Y35_N13
\led_flash_cnt[2847][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2847][0]~83487_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2847][0]~q\);

-- Location: LCCOMB_X16_Y35_N16
\led_flash_cnt[2847][1]~66738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2847][1]~66738_combout\ = (\led_flash_cnt[2847][0]~q\ & (\led_flash_cnt[2847][1]~q\ $ (VCC))) # (!\led_flash_cnt[2847][0]~q\ & (\led_flash_cnt[2847][1]~q\ & VCC))
-- \led_flash_cnt[2847][1]~66739\ = CARRY((\led_flash_cnt[2847][0]~q\ & \led_flash_cnt[2847][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2847][0]~q\,
	datab => \led_flash_cnt[2847][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2847][1]~66738_combout\,
	cout => \led_flash_cnt[2847][1]~66739\);

-- Location: FF_X16_Y35_N17
\led_flash_cnt[2847][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2847][1]~66738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2847][1]~q\);

-- Location: LCCOMB_X16_Y35_N18
\led_flash_cnt[2847][2]~66740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2847][2]~66740_combout\ = (\led_flash_cnt[2847][2]~q\ & (!\led_flash_cnt[2847][1]~66739\)) # (!\led_flash_cnt[2847][2]~q\ & ((\led_flash_cnt[2847][1]~66739\) # (GND)))
-- \led_flash_cnt[2847][2]~66741\ = CARRY((!\led_flash_cnt[2847][1]~66739\) # (!\led_flash_cnt[2847][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2847][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2847][1]~66739\,
	combout => \led_flash_cnt[2847][2]~66740_combout\,
	cout => \led_flash_cnt[2847][2]~66741\);

-- Location: FF_X16_Y35_N19
\led_flash_cnt[2847][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2847][2]~66740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2847][2]~q\);

-- Location: LCCOMB_X16_Y35_N20
\led_flash_cnt[2847][3]~66742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2847][3]~66742_combout\ = (\led_flash_cnt[2847][3]~q\ & (\led_flash_cnt[2847][2]~66741\ $ (GND))) # (!\led_flash_cnt[2847][3]~q\ & (!\led_flash_cnt[2847][2]~66741\ & VCC))
-- \led_flash_cnt[2847][3]~66743\ = CARRY((\led_flash_cnt[2847][3]~q\ & !\led_flash_cnt[2847][2]~66741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2847][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2847][2]~66741\,
	combout => \led_flash_cnt[2847][3]~66742_combout\,
	cout => \led_flash_cnt[2847][3]~66743\);

-- Location: FF_X16_Y35_N21
\led_flash_cnt[2847][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2847][3]~66742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2847][3]~q\);

-- Location: LCCOMB_X16_Y35_N22
\led_flash_cnt[2847][4]~66744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2847][4]~66744_combout\ = (\led_flash_cnt[2847][4]~q\ & (!\led_flash_cnt[2847][3]~66743\)) # (!\led_flash_cnt[2847][4]~q\ & ((\led_flash_cnt[2847][3]~66743\) # (GND)))
-- \led_flash_cnt[2847][4]~66745\ = CARRY((!\led_flash_cnt[2847][3]~66743\) # (!\led_flash_cnt[2847][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2847][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2847][3]~66743\,
	combout => \led_flash_cnt[2847][4]~66744_combout\,
	cout => \led_flash_cnt[2847][4]~66745\);

-- Location: FF_X16_Y35_N23
\led_flash_cnt[2847][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2847][4]~66744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2847][4]~q\);

-- Location: LCCOMB_X16_Y35_N24
\led_flash_cnt[2847][5]~66746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2847][5]~66746_combout\ = (\led_flash_cnt[2847][5]~q\ & (\led_flash_cnt[2847][4]~66745\ $ (GND))) # (!\led_flash_cnt[2847][5]~q\ & (!\led_flash_cnt[2847][4]~66745\ & VCC))
-- \led_flash_cnt[2847][5]~66747\ = CARRY((\led_flash_cnt[2847][5]~q\ & !\led_flash_cnt[2847][4]~66745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2847][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2847][4]~66745\,
	combout => \led_flash_cnt[2847][5]~66746_combout\,
	cout => \led_flash_cnt[2847][5]~66747\);

-- Location: FF_X16_Y35_N25
\led_flash_cnt[2847][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2847][5]~66746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2847][5]~q\);

-- Location: LCCOMB_X16_Y35_N26
\led_flash_cnt[2847][6]~66748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2847][6]~66748_combout\ = (\led_flash_cnt[2847][6]~q\ & (!\led_flash_cnt[2847][5]~66747\)) # (!\led_flash_cnt[2847][6]~q\ & ((\led_flash_cnt[2847][5]~66747\) # (GND)))
-- \led_flash_cnt[2847][6]~66749\ = CARRY((!\led_flash_cnt[2847][5]~66747\) # (!\led_flash_cnt[2847][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2847][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2847][5]~66747\,
	combout => \led_flash_cnt[2847][6]~66748_combout\,
	cout => \led_flash_cnt[2847][6]~66749\);

-- Location: FF_X16_Y35_N27
\led_flash_cnt[2847][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2847][6]~66748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2847][6]~q\);

-- Location: LCCOMB_X16_Y35_N28
\led_flash_cnt[2847][7]~66750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2847][7]~66750_combout\ = \led_flash_cnt[2847][6]~66749\ $ (!\led_flash_cnt[2847][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2847][7]~q\,
	cin => \led_flash_cnt[2847][6]~66749\,
	combout => \led_flash_cnt[2847][7]~66750_combout\);

-- Location: FF_X16_Y35_N29
\led_flash_cnt[2847][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2847][7]~66750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2847][7]~q\);

-- Location: LCCOMB_X16_Y35_N30
\WideAnd2847~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2847~0_combout\ = (\led_flash_cnt[2847][1]~q\ & (\led_flash_cnt[2847][2]~q\ & (\led_flash_cnt[2847][4]~q\ & \led_flash_cnt[2847][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2847][1]~q\,
	datab => \led_flash_cnt[2847][2]~q\,
	datac => \led_flash_cnt[2847][4]~q\,
	datad => \led_flash_cnt[2847][3]~q\,
	combout => \WideAnd2847~0_combout\);

-- Location: LCCOMB_X16_Y35_N2
\WideAnd2847~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2847~1_combout\ = (\led_flash_cnt[2847][5]~q\ & \led_flash_cnt[2847][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2847][5]~q\,
	datac => \led_flash_cnt[2847][6]~q\,
	combout => \WideAnd2847~1_combout\);

-- Location: LCCOMB_X16_Y35_N6
WideAnd2847 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2847~combout\ = (\led_flash_cnt[2847][0]~q\ & (\led_flash_cnt[2847][7]~q\ & (\WideAnd2847~0_combout\ & \WideAnd2847~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2847][0]~q\,
	datab => \led_flash_cnt[2847][7]~q\,
	datac => \WideAnd2847~0_combout\,
	datad => \WideAnd2847~1_combout\,
	combout => \WideAnd2847~combout\);

-- Location: FF_X16_Y35_N7
\led_flash_cnt_ands[2847]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2847~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2847));

-- Location: LCCOMB_X16_Y35_N4
WideAnd4195 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4195~combout\ = (\WideAnd4195~0_combout\ & (\WideAnd4195~1_combout\ & (led_flash_cnt_ands(2846) & led_flash_cnt_ands(2847))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4195~0_combout\,
	datab => \WideAnd4195~1_combout\,
	datac => led_flash_cnt_ands(2846),
	datad => led_flash_cnt_ands(2847),
	combout => \WideAnd4195~combout\);

-- Location: FF_X16_Y35_N5
\led_flash_cnt_ands_1[355]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4195~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(355));

-- Location: LCCOMB_X18_Y35_N6
\led_flash_cnt[2828][0]~83468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2828][0]~83468_combout\ = !\led_flash_cnt[2828][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2828][0]~q\,
	combout => \led_flash_cnt[2828][0]~83468_combout\);

-- Location: FF_X18_Y35_N7
\led_flash_cnt[2828][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2828][0]~83468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2828][0]~q\);

-- Location: LCCOMB_X18_Y35_N12
\led_flash_cnt[2828][1]~66472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2828][1]~66472_combout\ = (\led_flash_cnt[2828][0]~q\ & (\led_flash_cnt[2828][1]~q\ $ (VCC))) # (!\led_flash_cnt[2828][0]~q\ & (\led_flash_cnt[2828][1]~q\ & VCC))
-- \led_flash_cnt[2828][1]~66473\ = CARRY((\led_flash_cnt[2828][0]~q\ & \led_flash_cnt[2828][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2828][0]~q\,
	datab => \led_flash_cnt[2828][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2828][1]~66472_combout\,
	cout => \led_flash_cnt[2828][1]~66473\);

-- Location: FF_X18_Y35_N13
\led_flash_cnt[2828][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2828][1]~66472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2828][1]~q\);

-- Location: LCCOMB_X18_Y35_N14
\led_flash_cnt[2828][2]~66474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2828][2]~66474_combout\ = (\led_flash_cnt[2828][2]~q\ & (!\led_flash_cnt[2828][1]~66473\)) # (!\led_flash_cnt[2828][2]~q\ & ((\led_flash_cnt[2828][1]~66473\) # (GND)))
-- \led_flash_cnt[2828][2]~66475\ = CARRY((!\led_flash_cnt[2828][1]~66473\) # (!\led_flash_cnt[2828][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2828][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2828][1]~66473\,
	combout => \led_flash_cnt[2828][2]~66474_combout\,
	cout => \led_flash_cnt[2828][2]~66475\);

-- Location: FF_X18_Y35_N15
\led_flash_cnt[2828][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2828][2]~66474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2828][2]~q\);

-- Location: LCCOMB_X18_Y35_N16
\led_flash_cnt[2828][3]~66476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2828][3]~66476_combout\ = (\led_flash_cnt[2828][3]~q\ & (\led_flash_cnt[2828][2]~66475\ $ (GND))) # (!\led_flash_cnt[2828][3]~q\ & (!\led_flash_cnt[2828][2]~66475\ & VCC))
-- \led_flash_cnt[2828][3]~66477\ = CARRY((\led_flash_cnt[2828][3]~q\ & !\led_flash_cnt[2828][2]~66475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2828][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2828][2]~66475\,
	combout => \led_flash_cnt[2828][3]~66476_combout\,
	cout => \led_flash_cnt[2828][3]~66477\);

-- Location: FF_X18_Y35_N17
\led_flash_cnt[2828][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2828][3]~66476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2828][3]~q\);

-- Location: LCCOMB_X18_Y35_N18
\led_flash_cnt[2828][4]~66478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2828][4]~66478_combout\ = (\led_flash_cnt[2828][4]~q\ & (!\led_flash_cnt[2828][3]~66477\)) # (!\led_flash_cnt[2828][4]~q\ & ((\led_flash_cnt[2828][3]~66477\) # (GND)))
-- \led_flash_cnt[2828][4]~66479\ = CARRY((!\led_flash_cnt[2828][3]~66477\) # (!\led_flash_cnt[2828][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2828][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2828][3]~66477\,
	combout => \led_flash_cnt[2828][4]~66478_combout\,
	cout => \led_flash_cnt[2828][4]~66479\);

-- Location: FF_X18_Y35_N19
\led_flash_cnt[2828][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2828][4]~66478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2828][4]~q\);

-- Location: LCCOMB_X18_Y35_N20
\led_flash_cnt[2828][5]~66480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2828][5]~66480_combout\ = (\led_flash_cnt[2828][5]~q\ & (\led_flash_cnt[2828][4]~66479\ $ (GND))) # (!\led_flash_cnt[2828][5]~q\ & (!\led_flash_cnt[2828][4]~66479\ & VCC))
-- \led_flash_cnt[2828][5]~66481\ = CARRY((\led_flash_cnt[2828][5]~q\ & !\led_flash_cnt[2828][4]~66479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2828][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2828][4]~66479\,
	combout => \led_flash_cnt[2828][5]~66480_combout\,
	cout => \led_flash_cnt[2828][5]~66481\);

-- Location: FF_X18_Y35_N21
\led_flash_cnt[2828][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2828][5]~66480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2828][5]~q\);

-- Location: LCCOMB_X18_Y35_N22
\led_flash_cnt[2828][6]~66482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2828][6]~66482_combout\ = (\led_flash_cnt[2828][6]~q\ & (!\led_flash_cnt[2828][5]~66481\)) # (!\led_flash_cnt[2828][6]~q\ & ((\led_flash_cnt[2828][5]~66481\) # (GND)))
-- \led_flash_cnt[2828][6]~66483\ = CARRY((!\led_flash_cnt[2828][5]~66481\) # (!\led_flash_cnt[2828][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2828][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2828][5]~66481\,
	combout => \led_flash_cnt[2828][6]~66482_combout\,
	cout => \led_flash_cnt[2828][6]~66483\);

-- Location: FF_X18_Y35_N23
\led_flash_cnt[2828][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2828][6]~66482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2828][6]~q\);

-- Location: LCCOMB_X18_Y35_N24
\led_flash_cnt[2828][7]~66484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2828][7]~66484_combout\ = \led_flash_cnt[2828][6]~66483\ $ (!\led_flash_cnt[2828][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2828][7]~q\,
	cin => \led_flash_cnt[2828][6]~66483\,
	combout => \led_flash_cnt[2828][7]~66484_combout\);

-- Location: FF_X18_Y35_N25
\led_flash_cnt[2828][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2828][7]~66484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2828][7]~q\);

-- Location: LCCOMB_X18_Y35_N26
\WideAnd2828~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2828~1_combout\ = (\led_flash_cnt[2828][6]~q\ & \led_flash_cnt[2828][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2828][6]~q\,
	datad => \led_flash_cnt[2828][5]~q\,
	combout => \WideAnd2828~1_combout\);

-- Location: LCCOMB_X18_Y35_N28
\WideAnd2828~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2828~0_combout\ = (\led_flash_cnt[2828][1]~q\ & (\led_flash_cnt[2828][4]~q\ & (\led_flash_cnt[2828][2]~q\ & \led_flash_cnt[2828][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2828][1]~q\,
	datab => \led_flash_cnt[2828][4]~q\,
	datac => \led_flash_cnt[2828][2]~q\,
	datad => \led_flash_cnt[2828][3]~q\,
	combout => \WideAnd2828~0_combout\);

-- Location: LCCOMB_X18_Y35_N4
WideAnd2828 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2828~combout\ = (\led_flash_cnt[2828][0]~q\ & (\led_flash_cnt[2828][7]~q\ & (\WideAnd2828~1_combout\ & \WideAnd2828~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2828][0]~q\,
	datab => \led_flash_cnt[2828][7]~q\,
	datac => \WideAnd2828~1_combout\,
	datad => \WideAnd2828~0_combout\,
	combout => \WideAnd2828~combout\);

-- Location: FF_X18_Y35_N5
\led_flash_cnt_ands[2828]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2828~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2828));

-- Location: LCCOMB_X18_Y35_N2
\led_flash_cnt[2829][0]~83469\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2829][0]~83469_combout\ = !\led_flash_cnt[2829][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2829][0]~q\,
	combout => \led_flash_cnt[2829][0]~83469_combout\);

-- Location: FF_X18_Y35_N3
\led_flash_cnt[2829][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2829][0]~83469_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2829][0]~q\);

-- Location: LCCOMB_X17_Y35_N16
\led_flash_cnt[2829][1]~66486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2829][1]~66486_combout\ = (\led_flash_cnt[2829][0]~q\ & (\led_flash_cnt[2829][1]~q\ $ (VCC))) # (!\led_flash_cnt[2829][0]~q\ & (\led_flash_cnt[2829][1]~q\ & VCC))
-- \led_flash_cnt[2829][1]~66487\ = CARRY((\led_flash_cnt[2829][0]~q\ & \led_flash_cnt[2829][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2829][0]~q\,
	datab => \led_flash_cnt[2829][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2829][1]~66486_combout\,
	cout => \led_flash_cnt[2829][1]~66487\);

-- Location: FF_X17_Y35_N17
\led_flash_cnt[2829][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2829][1]~66486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2829][1]~q\);

-- Location: LCCOMB_X17_Y35_N18
\led_flash_cnt[2829][2]~66488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2829][2]~66488_combout\ = (\led_flash_cnt[2829][2]~q\ & (!\led_flash_cnt[2829][1]~66487\)) # (!\led_flash_cnt[2829][2]~q\ & ((\led_flash_cnt[2829][1]~66487\) # (GND)))
-- \led_flash_cnt[2829][2]~66489\ = CARRY((!\led_flash_cnt[2829][1]~66487\) # (!\led_flash_cnt[2829][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2829][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2829][1]~66487\,
	combout => \led_flash_cnt[2829][2]~66488_combout\,
	cout => \led_flash_cnt[2829][2]~66489\);

-- Location: FF_X17_Y35_N19
\led_flash_cnt[2829][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2829][2]~66488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2829][2]~q\);

-- Location: LCCOMB_X17_Y35_N20
\led_flash_cnt[2829][3]~66490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2829][3]~66490_combout\ = (\led_flash_cnt[2829][3]~q\ & (\led_flash_cnt[2829][2]~66489\ $ (GND))) # (!\led_flash_cnt[2829][3]~q\ & (!\led_flash_cnt[2829][2]~66489\ & VCC))
-- \led_flash_cnt[2829][3]~66491\ = CARRY((\led_flash_cnt[2829][3]~q\ & !\led_flash_cnt[2829][2]~66489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2829][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2829][2]~66489\,
	combout => \led_flash_cnt[2829][3]~66490_combout\,
	cout => \led_flash_cnt[2829][3]~66491\);

-- Location: FF_X17_Y35_N21
\led_flash_cnt[2829][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2829][3]~66490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2829][3]~q\);

-- Location: LCCOMB_X17_Y35_N22
\led_flash_cnt[2829][4]~66492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2829][4]~66492_combout\ = (\led_flash_cnt[2829][4]~q\ & (!\led_flash_cnt[2829][3]~66491\)) # (!\led_flash_cnt[2829][4]~q\ & ((\led_flash_cnt[2829][3]~66491\) # (GND)))
-- \led_flash_cnt[2829][4]~66493\ = CARRY((!\led_flash_cnt[2829][3]~66491\) # (!\led_flash_cnt[2829][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2829][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2829][3]~66491\,
	combout => \led_flash_cnt[2829][4]~66492_combout\,
	cout => \led_flash_cnt[2829][4]~66493\);

-- Location: FF_X17_Y35_N23
\led_flash_cnt[2829][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2829][4]~66492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2829][4]~q\);

-- Location: LCCOMB_X17_Y35_N14
\WideAnd2829~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2829~0_combout\ = (\led_flash_cnt[2829][3]~q\ & (\led_flash_cnt[2829][1]~q\ & (\led_flash_cnt[2829][4]~q\ & \led_flash_cnt[2829][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2829][3]~q\,
	datab => \led_flash_cnt[2829][1]~q\,
	datac => \led_flash_cnt[2829][4]~q\,
	datad => \led_flash_cnt[2829][2]~q\,
	combout => \WideAnd2829~0_combout\);

-- Location: LCCOMB_X17_Y35_N24
\led_flash_cnt[2829][5]~66494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2829][5]~66494_combout\ = (\led_flash_cnt[2829][5]~q\ & (\led_flash_cnt[2829][4]~66493\ $ (GND))) # (!\led_flash_cnt[2829][5]~q\ & (!\led_flash_cnt[2829][4]~66493\ & VCC))
-- \led_flash_cnt[2829][5]~66495\ = CARRY((\led_flash_cnt[2829][5]~q\ & !\led_flash_cnt[2829][4]~66493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2829][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2829][4]~66493\,
	combout => \led_flash_cnt[2829][5]~66494_combout\,
	cout => \led_flash_cnt[2829][5]~66495\);

-- Location: FF_X17_Y35_N25
\led_flash_cnt[2829][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2829][5]~66494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2829][5]~q\);

-- Location: LCCOMB_X17_Y35_N26
\led_flash_cnt[2829][6]~66496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2829][6]~66496_combout\ = (\led_flash_cnt[2829][6]~q\ & (!\led_flash_cnt[2829][5]~66495\)) # (!\led_flash_cnt[2829][6]~q\ & ((\led_flash_cnt[2829][5]~66495\) # (GND)))
-- \led_flash_cnt[2829][6]~66497\ = CARRY((!\led_flash_cnt[2829][5]~66495\) # (!\led_flash_cnt[2829][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2829][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2829][5]~66495\,
	combout => \led_flash_cnt[2829][6]~66496_combout\,
	cout => \led_flash_cnt[2829][6]~66497\);

-- Location: FF_X17_Y35_N27
\led_flash_cnt[2829][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2829][6]~66496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2829][6]~q\);

-- Location: LCCOMB_X17_Y35_N28
\led_flash_cnt[2829][7]~66498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2829][7]~66498_combout\ = \led_flash_cnt[2829][6]~66497\ $ (!\led_flash_cnt[2829][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2829][7]~q\,
	cin => \led_flash_cnt[2829][6]~66497\,
	combout => \led_flash_cnt[2829][7]~66498_combout\);

-- Location: FF_X17_Y35_N29
\led_flash_cnt[2829][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2829][7]~66498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2829][7]~q\);

-- Location: LCCOMB_X18_Y35_N30
\WideAnd2829~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2829~1_combout\ = (\led_flash_cnt[2829][6]~q\ & \led_flash_cnt[2829][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2829][6]~q\,
	datad => \led_flash_cnt[2829][5]~q\,
	combout => \WideAnd2829~1_combout\);

-- Location: LCCOMB_X18_Y35_N10
WideAnd2829 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2829~combout\ = (\WideAnd2829~0_combout\ & (\led_flash_cnt[2829][7]~q\ & (\WideAnd2829~1_combout\ & \led_flash_cnt[2829][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2829~0_combout\,
	datab => \led_flash_cnt[2829][7]~q\,
	datac => \WideAnd2829~1_combout\,
	datad => \led_flash_cnt[2829][0]~q\,
	combout => \WideAnd2829~combout\);

-- Location: FF_X18_Y35_N11
\led_flash_cnt_ands[2829]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2829~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2829));

-- Location: LCCOMB_X18_Y35_N8
\WideAnd4193~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4193~1_combout\ = (led_flash_cnt_ands(2828) & led_flash_cnt_ands(2829))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2828),
	datad => led_flash_cnt_ands(2829),
	combout => \WideAnd4193~1_combout\);

-- Location: LCCOMB_X32_Y28_N22
\led_flash_cnt[2830][0]~83470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2830][0]~83470_combout\ = !\led_flash_cnt[2830][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2830][0]~q\,
	combout => \led_flash_cnt[2830][0]~83470_combout\);

-- Location: FF_X32_Y28_N23
\led_flash_cnt[2830][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2830][0]~83470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2830][0]~q\);

-- Location: LCCOMB_X32_Y28_N6
\led_flash_cnt[2830][1]~66500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2830][1]~66500_combout\ = (\led_flash_cnt[2830][0]~q\ & (\led_flash_cnt[2830][1]~q\ $ (VCC))) # (!\led_flash_cnt[2830][0]~q\ & (\led_flash_cnt[2830][1]~q\ & VCC))
-- \led_flash_cnt[2830][1]~66501\ = CARRY((\led_flash_cnt[2830][0]~q\ & \led_flash_cnt[2830][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2830][0]~q\,
	datab => \led_flash_cnt[2830][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2830][1]~66500_combout\,
	cout => \led_flash_cnt[2830][1]~66501\);

-- Location: FF_X32_Y28_N7
\led_flash_cnt[2830][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2830][1]~66500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2830][1]~q\);

-- Location: LCCOMB_X32_Y28_N8
\led_flash_cnt[2830][2]~66502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2830][2]~66502_combout\ = (\led_flash_cnt[2830][2]~q\ & (!\led_flash_cnt[2830][1]~66501\)) # (!\led_flash_cnt[2830][2]~q\ & ((\led_flash_cnt[2830][1]~66501\) # (GND)))
-- \led_flash_cnt[2830][2]~66503\ = CARRY((!\led_flash_cnt[2830][1]~66501\) # (!\led_flash_cnt[2830][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2830][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2830][1]~66501\,
	combout => \led_flash_cnt[2830][2]~66502_combout\,
	cout => \led_flash_cnt[2830][2]~66503\);

-- Location: FF_X32_Y28_N9
\led_flash_cnt[2830][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2830][2]~66502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2830][2]~q\);

-- Location: LCCOMB_X32_Y28_N10
\led_flash_cnt[2830][3]~66504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2830][3]~66504_combout\ = (\led_flash_cnt[2830][3]~q\ & (\led_flash_cnt[2830][2]~66503\ $ (GND))) # (!\led_flash_cnt[2830][3]~q\ & (!\led_flash_cnt[2830][2]~66503\ & VCC))
-- \led_flash_cnt[2830][3]~66505\ = CARRY((\led_flash_cnt[2830][3]~q\ & !\led_flash_cnt[2830][2]~66503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2830][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2830][2]~66503\,
	combout => \led_flash_cnt[2830][3]~66504_combout\,
	cout => \led_flash_cnt[2830][3]~66505\);

-- Location: FF_X32_Y28_N11
\led_flash_cnt[2830][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2830][3]~66504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2830][3]~q\);

-- Location: LCCOMB_X32_Y28_N12
\led_flash_cnt[2830][4]~66506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2830][4]~66506_combout\ = (\led_flash_cnt[2830][4]~q\ & (!\led_flash_cnt[2830][3]~66505\)) # (!\led_flash_cnt[2830][4]~q\ & ((\led_flash_cnt[2830][3]~66505\) # (GND)))
-- \led_flash_cnt[2830][4]~66507\ = CARRY((!\led_flash_cnt[2830][3]~66505\) # (!\led_flash_cnt[2830][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2830][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2830][3]~66505\,
	combout => \led_flash_cnt[2830][4]~66506_combout\,
	cout => \led_flash_cnt[2830][4]~66507\);

-- Location: FF_X32_Y28_N13
\led_flash_cnt[2830][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2830][4]~66506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2830][4]~q\);

-- Location: LCCOMB_X32_Y28_N14
\led_flash_cnt[2830][5]~66508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2830][5]~66508_combout\ = (\led_flash_cnt[2830][5]~q\ & (\led_flash_cnt[2830][4]~66507\ $ (GND))) # (!\led_flash_cnt[2830][5]~q\ & (!\led_flash_cnt[2830][4]~66507\ & VCC))
-- \led_flash_cnt[2830][5]~66509\ = CARRY((\led_flash_cnt[2830][5]~q\ & !\led_flash_cnt[2830][4]~66507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2830][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2830][4]~66507\,
	combout => \led_flash_cnt[2830][5]~66508_combout\,
	cout => \led_flash_cnt[2830][5]~66509\);

-- Location: FF_X32_Y28_N15
\led_flash_cnt[2830][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2830][5]~66508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2830][5]~q\);

-- Location: LCCOMB_X32_Y28_N16
\led_flash_cnt[2830][6]~66510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2830][6]~66510_combout\ = (\led_flash_cnt[2830][6]~q\ & (!\led_flash_cnt[2830][5]~66509\)) # (!\led_flash_cnt[2830][6]~q\ & ((\led_flash_cnt[2830][5]~66509\) # (GND)))
-- \led_flash_cnt[2830][6]~66511\ = CARRY((!\led_flash_cnt[2830][5]~66509\) # (!\led_flash_cnt[2830][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2830][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2830][5]~66509\,
	combout => \led_flash_cnt[2830][6]~66510_combout\,
	cout => \led_flash_cnt[2830][6]~66511\);

-- Location: FF_X32_Y28_N17
\led_flash_cnt[2830][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2830][6]~66510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2830][6]~q\);

-- Location: LCCOMB_X32_Y28_N26
\WideAnd2830~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2830~1_combout\ = (\led_flash_cnt[2830][5]~q\ & \led_flash_cnt[2830][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2830][5]~q\,
	datad => \led_flash_cnt[2830][6]~q\,
	combout => \WideAnd2830~1_combout\);

-- Location: LCCOMB_X32_Y28_N18
\led_flash_cnt[2830][7]~66512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2830][7]~66512_combout\ = \led_flash_cnt[2830][6]~66511\ $ (!\led_flash_cnt[2830][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2830][7]~q\,
	cin => \led_flash_cnt[2830][6]~66511\,
	combout => \led_flash_cnt[2830][7]~66512_combout\);

-- Location: FF_X32_Y28_N19
\led_flash_cnt[2830][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2830][7]~66512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2830][7]~q\);

-- Location: LCCOMB_X32_Y28_N2
\WideAnd2830~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2830~0_combout\ = (\led_flash_cnt[2830][3]~q\ & (\led_flash_cnt[2830][1]~q\ & (\led_flash_cnt[2830][2]~q\ & \led_flash_cnt[2830][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2830][3]~q\,
	datab => \led_flash_cnt[2830][1]~q\,
	datac => \led_flash_cnt[2830][2]~q\,
	datad => \led_flash_cnt[2830][4]~q\,
	combout => \WideAnd2830~0_combout\);

-- Location: LCCOMB_X32_Y28_N24
WideAnd2830 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2830~combout\ = (\WideAnd2830~1_combout\ & (\led_flash_cnt[2830][7]~q\ & (\led_flash_cnt[2830][0]~q\ & \WideAnd2830~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2830~1_combout\,
	datab => \led_flash_cnt[2830][7]~q\,
	datac => \led_flash_cnt[2830][0]~q\,
	datad => \WideAnd2830~0_combout\,
	combout => \WideAnd2830~combout\);

-- Location: FF_X32_Y28_N25
\led_flash_cnt_ands[2830]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2830~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2830));

-- Location: LCCOMB_X47_Y47_N8
\led_flash_cnt[2825][0]~83465\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2825][0]~83465_combout\ = !\led_flash_cnt[2825][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2825][0]~q\,
	combout => \led_flash_cnt[2825][0]~83465_combout\);

-- Location: FF_X47_Y47_N9
\led_flash_cnt[2825][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2825][0]~83465_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2825][0]~q\);

-- Location: LCCOMB_X50_Y47_N0
\led_flash_cnt[2825][1]~66430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2825][1]~66430_combout\ = (\led_flash_cnt[2825][0]~q\ & (\led_flash_cnt[2825][1]~q\ $ (VCC))) # (!\led_flash_cnt[2825][0]~q\ & (\led_flash_cnt[2825][1]~q\ & VCC))
-- \led_flash_cnt[2825][1]~66431\ = CARRY((\led_flash_cnt[2825][0]~q\ & \led_flash_cnt[2825][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2825][0]~q\,
	datab => \led_flash_cnt[2825][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2825][1]~66430_combout\,
	cout => \led_flash_cnt[2825][1]~66431\);

-- Location: FF_X50_Y47_N1
\led_flash_cnt[2825][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2825][1]~66430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2825][1]~q\);

-- Location: LCCOMB_X50_Y47_N2
\led_flash_cnt[2825][2]~66432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2825][2]~66432_combout\ = (\led_flash_cnt[2825][2]~q\ & (!\led_flash_cnt[2825][1]~66431\)) # (!\led_flash_cnt[2825][2]~q\ & ((\led_flash_cnt[2825][1]~66431\) # (GND)))
-- \led_flash_cnt[2825][2]~66433\ = CARRY((!\led_flash_cnt[2825][1]~66431\) # (!\led_flash_cnt[2825][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2825][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2825][1]~66431\,
	combout => \led_flash_cnt[2825][2]~66432_combout\,
	cout => \led_flash_cnt[2825][2]~66433\);

-- Location: FF_X50_Y47_N3
\led_flash_cnt[2825][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2825][2]~66432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2825][2]~q\);

-- Location: LCCOMB_X50_Y47_N4
\led_flash_cnt[2825][3]~66434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2825][3]~66434_combout\ = (\led_flash_cnt[2825][3]~q\ & (\led_flash_cnt[2825][2]~66433\ $ (GND))) # (!\led_flash_cnt[2825][3]~q\ & (!\led_flash_cnt[2825][2]~66433\ & VCC))
-- \led_flash_cnt[2825][3]~66435\ = CARRY((\led_flash_cnt[2825][3]~q\ & !\led_flash_cnt[2825][2]~66433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2825][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2825][2]~66433\,
	combout => \led_flash_cnt[2825][3]~66434_combout\,
	cout => \led_flash_cnt[2825][3]~66435\);

-- Location: FF_X50_Y47_N5
\led_flash_cnt[2825][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2825][3]~66434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2825][3]~q\);

-- Location: LCCOMB_X50_Y47_N6
\led_flash_cnt[2825][4]~66436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2825][4]~66436_combout\ = (\led_flash_cnt[2825][4]~q\ & (!\led_flash_cnt[2825][3]~66435\)) # (!\led_flash_cnt[2825][4]~q\ & ((\led_flash_cnt[2825][3]~66435\) # (GND)))
-- \led_flash_cnt[2825][4]~66437\ = CARRY((!\led_flash_cnt[2825][3]~66435\) # (!\led_flash_cnt[2825][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2825][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2825][3]~66435\,
	combout => \led_flash_cnt[2825][4]~66436_combout\,
	cout => \led_flash_cnt[2825][4]~66437\);

-- Location: FF_X50_Y47_N7
\led_flash_cnt[2825][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2825][4]~66436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2825][4]~q\);

-- Location: LCCOMB_X50_Y47_N8
\led_flash_cnt[2825][5]~66438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2825][5]~66438_combout\ = (\led_flash_cnt[2825][5]~q\ & (\led_flash_cnt[2825][4]~66437\ $ (GND))) # (!\led_flash_cnt[2825][5]~q\ & (!\led_flash_cnt[2825][4]~66437\ & VCC))
-- \led_flash_cnt[2825][5]~66439\ = CARRY((\led_flash_cnt[2825][5]~q\ & !\led_flash_cnt[2825][4]~66437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2825][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2825][4]~66437\,
	combout => \led_flash_cnt[2825][5]~66438_combout\,
	cout => \led_flash_cnt[2825][5]~66439\);

-- Location: FF_X50_Y47_N9
\led_flash_cnt[2825][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2825][5]~66438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2825][5]~q\);

-- Location: LCCOMB_X50_Y47_N10
\led_flash_cnt[2825][6]~66440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2825][6]~66440_combout\ = (\led_flash_cnt[2825][6]~q\ & (!\led_flash_cnt[2825][5]~66439\)) # (!\led_flash_cnt[2825][6]~q\ & ((\led_flash_cnt[2825][5]~66439\) # (GND)))
-- \led_flash_cnt[2825][6]~66441\ = CARRY((!\led_flash_cnt[2825][5]~66439\) # (!\led_flash_cnt[2825][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2825][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2825][5]~66439\,
	combout => \led_flash_cnt[2825][6]~66440_combout\,
	cout => \led_flash_cnt[2825][6]~66441\);

-- Location: FF_X50_Y47_N11
\led_flash_cnt[2825][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2825][6]~66440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2825][6]~q\);

-- Location: LCCOMB_X49_Y47_N0
\WideAnd2825~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2825~1_combout\ = (\led_flash_cnt[2825][6]~q\ & \led_flash_cnt[2825][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2825][6]~q\,
	datac => \led_flash_cnt[2825][5]~q\,
	combout => \WideAnd2825~1_combout\);

-- Location: LCCOMB_X50_Y47_N12
\led_flash_cnt[2825][7]~66442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2825][7]~66442_combout\ = \led_flash_cnt[2825][6]~66441\ $ (!\led_flash_cnt[2825][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2825][7]~q\,
	cin => \led_flash_cnt[2825][6]~66441\,
	combout => \led_flash_cnt[2825][7]~66442_combout\);

-- Location: FF_X50_Y47_N13
\led_flash_cnt[2825][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2825][7]~66442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2825][7]~q\);

-- Location: LCCOMB_X50_Y47_N28
\WideAnd2825~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2825~0_combout\ = (\led_flash_cnt[2825][4]~q\ & (\led_flash_cnt[2825][1]~q\ & (\led_flash_cnt[2825][3]~q\ & \led_flash_cnt[2825][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2825][4]~q\,
	datab => \led_flash_cnt[2825][1]~q\,
	datac => \led_flash_cnt[2825][3]~q\,
	datad => \led_flash_cnt[2825][2]~q\,
	combout => \WideAnd2825~0_combout\);

-- Location: LCCOMB_X49_Y47_N24
WideAnd2825 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2825~combout\ = (\led_flash_cnt[2825][0]~q\ & (\WideAnd2825~1_combout\ & (\led_flash_cnt[2825][7]~q\ & \WideAnd2825~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2825][0]~q\,
	datab => \WideAnd2825~1_combout\,
	datac => \led_flash_cnt[2825][7]~q\,
	datad => \WideAnd2825~0_combout\,
	combout => \WideAnd2825~combout\);

-- Location: FF_X49_Y47_N25
\led_flash_cnt_ands[2825]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2825~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2825));

-- Location: LCCOMB_X44_Y46_N14
\led_flash_cnt[2827][0]~83467\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2827][0]~83467_combout\ = !\led_flash_cnt[2827][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2827][0]~q\,
	combout => \led_flash_cnt[2827][0]~83467_combout\);

-- Location: FF_X44_Y46_N15
\led_flash_cnt[2827][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2827][0]~83467_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2827][0]~q\);

-- Location: LCCOMB_X45_Y46_N18
\led_flash_cnt[2827][1]~66458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2827][1]~66458_combout\ = (\led_flash_cnt[2827][0]~q\ & (\led_flash_cnt[2827][1]~q\ $ (VCC))) # (!\led_flash_cnt[2827][0]~q\ & (\led_flash_cnt[2827][1]~q\ & VCC))
-- \led_flash_cnt[2827][1]~66459\ = CARRY((\led_flash_cnt[2827][0]~q\ & \led_flash_cnt[2827][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2827][0]~q\,
	datab => \led_flash_cnt[2827][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2827][1]~66458_combout\,
	cout => \led_flash_cnt[2827][1]~66459\);

-- Location: FF_X45_Y46_N19
\led_flash_cnt[2827][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2827][1]~66458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2827][1]~q\);

-- Location: LCCOMB_X45_Y46_N20
\led_flash_cnt[2827][2]~66460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2827][2]~66460_combout\ = (\led_flash_cnt[2827][2]~q\ & (!\led_flash_cnt[2827][1]~66459\)) # (!\led_flash_cnt[2827][2]~q\ & ((\led_flash_cnt[2827][1]~66459\) # (GND)))
-- \led_flash_cnt[2827][2]~66461\ = CARRY((!\led_flash_cnt[2827][1]~66459\) # (!\led_flash_cnt[2827][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2827][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2827][1]~66459\,
	combout => \led_flash_cnt[2827][2]~66460_combout\,
	cout => \led_flash_cnt[2827][2]~66461\);

-- Location: FF_X45_Y46_N21
\led_flash_cnt[2827][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2827][2]~66460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2827][2]~q\);

-- Location: LCCOMB_X45_Y46_N22
\led_flash_cnt[2827][3]~66462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2827][3]~66462_combout\ = (\led_flash_cnt[2827][3]~q\ & (\led_flash_cnt[2827][2]~66461\ $ (GND))) # (!\led_flash_cnt[2827][3]~q\ & (!\led_flash_cnt[2827][2]~66461\ & VCC))
-- \led_flash_cnt[2827][3]~66463\ = CARRY((\led_flash_cnt[2827][3]~q\ & !\led_flash_cnt[2827][2]~66461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2827][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2827][2]~66461\,
	combout => \led_flash_cnt[2827][3]~66462_combout\,
	cout => \led_flash_cnt[2827][3]~66463\);

-- Location: FF_X45_Y46_N23
\led_flash_cnt[2827][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2827][3]~66462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2827][3]~q\);

-- Location: LCCOMB_X45_Y46_N24
\led_flash_cnt[2827][4]~66464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2827][4]~66464_combout\ = (\led_flash_cnt[2827][4]~q\ & (!\led_flash_cnt[2827][3]~66463\)) # (!\led_flash_cnt[2827][4]~q\ & ((\led_flash_cnt[2827][3]~66463\) # (GND)))
-- \led_flash_cnt[2827][4]~66465\ = CARRY((!\led_flash_cnt[2827][3]~66463\) # (!\led_flash_cnt[2827][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2827][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2827][3]~66463\,
	combout => \led_flash_cnt[2827][4]~66464_combout\,
	cout => \led_flash_cnt[2827][4]~66465\);

-- Location: FF_X45_Y46_N25
\led_flash_cnt[2827][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2827][4]~66464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2827][4]~q\);

-- Location: LCCOMB_X45_Y46_N0
\WideAnd2827~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2827~0_combout\ = (\led_flash_cnt[2827][2]~q\ & (\led_flash_cnt[2827][4]~q\ & (\led_flash_cnt[2827][3]~q\ & \led_flash_cnt[2827][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2827][2]~q\,
	datab => \led_flash_cnt[2827][4]~q\,
	datac => \led_flash_cnt[2827][3]~q\,
	datad => \led_flash_cnt[2827][1]~q\,
	combout => \WideAnd2827~0_combout\);

-- Location: LCCOMB_X45_Y46_N26
\led_flash_cnt[2827][5]~66466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2827][5]~66466_combout\ = (\led_flash_cnt[2827][5]~q\ & (\led_flash_cnt[2827][4]~66465\ $ (GND))) # (!\led_flash_cnt[2827][5]~q\ & (!\led_flash_cnt[2827][4]~66465\ & VCC))
-- \led_flash_cnt[2827][5]~66467\ = CARRY((\led_flash_cnt[2827][5]~q\ & !\led_flash_cnt[2827][4]~66465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2827][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2827][4]~66465\,
	combout => \led_flash_cnt[2827][5]~66466_combout\,
	cout => \led_flash_cnt[2827][5]~66467\);

-- Location: FF_X45_Y46_N27
\led_flash_cnt[2827][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2827][5]~66466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2827][5]~q\);

-- Location: LCCOMB_X45_Y46_N28
\led_flash_cnt[2827][6]~66468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2827][6]~66468_combout\ = (\led_flash_cnt[2827][6]~q\ & (!\led_flash_cnt[2827][5]~66467\)) # (!\led_flash_cnt[2827][6]~q\ & ((\led_flash_cnt[2827][5]~66467\) # (GND)))
-- \led_flash_cnt[2827][6]~66469\ = CARRY((!\led_flash_cnt[2827][5]~66467\) # (!\led_flash_cnt[2827][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2827][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2827][5]~66467\,
	combout => \led_flash_cnt[2827][6]~66468_combout\,
	cout => \led_flash_cnt[2827][6]~66469\);

-- Location: FF_X45_Y46_N29
\led_flash_cnt[2827][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2827][6]~66468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2827][6]~q\);

-- Location: LCCOMB_X45_Y46_N30
\led_flash_cnt[2827][7]~66470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2827][7]~66470_combout\ = \led_flash_cnt[2827][7]~q\ $ (!\led_flash_cnt[2827][6]~66469\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2827][7]~q\,
	cin => \led_flash_cnt[2827][6]~66469\,
	combout => \led_flash_cnt[2827][7]~66470_combout\);

-- Location: FF_X45_Y46_N31
\led_flash_cnt[2827][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2827][7]~66470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2827][7]~q\);

-- Location: LCCOMB_X46_Y46_N28
\WideAnd2827~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2827~1_combout\ = (\led_flash_cnt[2827][5]~q\ & \led_flash_cnt[2827][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2827][5]~q\,
	datad => \led_flash_cnt[2827][6]~q\,
	combout => \WideAnd2827~1_combout\);

-- Location: LCCOMB_X45_Y46_N16
WideAnd2827 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2827~combout\ = (\led_flash_cnt[2827][0]~q\ & (\WideAnd2827~0_combout\ & (\led_flash_cnt[2827][7]~q\ & \WideAnd2827~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2827][0]~q\,
	datab => \WideAnd2827~0_combout\,
	datac => \led_flash_cnt[2827][7]~q\,
	datad => \WideAnd2827~1_combout\,
	combout => \WideAnd2827~combout\);

-- Location: FF_X45_Y46_N17
\led_flash_cnt_ands[2827]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2827~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2827));

-- Location: LCCOMB_X39_Y29_N28
\led_flash_cnt[2824][0]~83464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2824][0]~83464_combout\ = !\led_flash_cnt[2824][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2824][0]~q\,
	combout => \led_flash_cnt[2824][0]~83464_combout\);

-- Location: FF_X39_Y29_N29
\led_flash_cnt[2824][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2824][0]~83464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2824][0]~q\);

-- Location: LCCOMB_X35_Y27_N2
\led_flash_cnt[2824][1]~66416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2824][1]~66416_combout\ = (\led_flash_cnt[2824][0]~q\ & (\led_flash_cnt[2824][1]~q\ $ (VCC))) # (!\led_flash_cnt[2824][0]~q\ & (\led_flash_cnt[2824][1]~q\ & VCC))
-- \led_flash_cnt[2824][1]~66417\ = CARRY((\led_flash_cnt[2824][0]~q\ & \led_flash_cnt[2824][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2824][0]~q\,
	datab => \led_flash_cnt[2824][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2824][1]~66416_combout\,
	cout => \led_flash_cnt[2824][1]~66417\);

-- Location: FF_X35_Y27_N3
\led_flash_cnt[2824][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2824][1]~66416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2824][1]~q\);

-- Location: LCCOMB_X35_Y27_N4
\led_flash_cnt[2824][2]~66418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2824][2]~66418_combout\ = (\led_flash_cnt[2824][2]~q\ & (!\led_flash_cnt[2824][1]~66417\)) # (!\led_flash_cnt[2824][2]~q\ & ((\led_flash_cnt[2824][1]~66417\) # (GND)))
-- \led_flash_cnt[2824][2]~66419\ = CARRY((!\led_flash_cnt[2824][1]~66417\) # (!\led_flash_cnt[2824][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2824][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2824][1]~66417\,
	combout => \led_flash_cnt[2824][2]~66418_combout\,
	cout => \led_flash_cnt[2824][2]~66419\);

-- Location: FF_X35_Y27_N5
\led_flash_cnt[2824][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2824][2]~66418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2824][2]~q\);

-- Location: LCCOMB_X35_Y27_N6
\led_flash_cnt[2824][3]~66420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2824][3]~66420_combout\ = (\led_flash_cnt[2824][3]~q\ & (\led_flash_cnt[2824][2]~66419\ $ (GND))) # (!\led_flash_cnt[2824][3]~q\ & (!\led_flash_cnt[2824][2]~66419\ & VCC))
-- \led_flash_cnt[2824][3]~66421\ = CARRY((\led_flash_cnt[2824][3]~q\ & !\led_flash_cnt[2824][2]~66419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2824][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2824][2]~66419\,
	combout => \led_flash_cnt[2824][3]~66420_combout\,
	cout => \led_flash_cnt[2824][3]~66421\);

-- Location: FF_X35_Y27_N7
\led_flash_cnt[2824][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2824][3]~66420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2824][3]~q\);

-- Location: LCCOMB_X35_Y27_N8
\led_flash_cnt[2824][4]~66422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2824][4]~66422_combout\ = (\led_flash_cnt[2824][4]~q\ & (!\led_flash_cnt[2824][3]~66421\)) # (!\led_flash_cnt[2824][4]~q\ & ((\led_flash_cnt[2824][3]~66421\) # (GND)))
-- \led_flash_cnt[2824][4]~66423\ = CARRY((!\led_flash_cnt[2824][3]~66421\) # (!\led_flash_cnt[2824][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2824][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2824][3]~66421\,
	combout => \led_flash_cnt[2824][4]~66422_combout\,
	cout => \led_flash_cnt[2824][4]~66423\);

-- Location: FF_X35_Y27_N9
\led_flash_cnt[2824][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2824][4]~66422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2824][4]~q\);

-- Location: LCCOMB_X35_Y27_N26
\WideAnd2824~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2824~0_combout\ = (\led_flash_cnt[2824][3]~q\ & (\led_flash_cnt[2824][4]~q\ & (\led_flash_cnt[2824][2]~q\ & \led_flash_cnt[2824][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2824][3]~q\,
	datab => \led_flash_cnt[2824][4]~q\,
	datac => \led_flash_cnt[2824][2]~q\,
	datad => \led_flash_cnt[2824][1]~q\,
	combout => \WideAnd2824~0_combout\);

-- Location: LCCOMB_X35_Y27_N10
\led_flash_cnt[2824][5]~66424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2824][5]~66424_combout\ = (\led_flash_cnt[2824][5]~q\ & (\led_flash_cnt[2824][4]~66423\ $ (GND))) # (!\led_flash_cnt[2824][5]~q\ & (!\led_flash_cnt[2824][4]~66423\ & VCC))
-- \led_flash_cnt[2824][5]~66425\ = CARRY((\led_flash_cnt[2824][5]~q\ & !\led_flash_cnt[2824][4]~66423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2824][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2824][4]~66423\,
	combout => \led_flash_cnt[2824][5]~66424_combout\,
	cout => \led_flash_cnt[2824][5]~66425\);

-- Location: FF_X35_Y27_N11
\led_flash_cnt[2824][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2824][5]~66424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2824][5]~q\);

-- Location: LCCOMB_X35_Y27_N12
\led_flash_cnt[2824][6]~66426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2824][6]~66426_combout\ = (\led_flash_cnt[2824][6]~q\ & (!\led_flash_cnt[2824][5]~66425\)) # (!\led_flash_cnt[2824][6]~q\ & ((\led_flash_cnt[2824][5]~66425\) # (GND)))
-- \led_flash_cnt[2824][6]~66427\ = CARRY((!\led_flash_cnt[2824][5]~66425\) # (!\led_flash_cnt[2824][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2824][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2824][5]~66425\,
	combout => \led_flash_cnt[2824][6]~66426_combout\,
	cout => \led_flash_cnt[2824][6]~66427\);

-- Location: FF_X35_Y27_N13
\led_flash_cnt[2824][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2824][6]~66426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2824][6]~q\);

-- Location: LCCOMB_X35_Y27_N0
\WideAnd2824~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2824~1_combout\ = (\led_flash_cnt[2824][6]~q\ & \led_flash_cnt[2824][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2824][6]~q\,
	datad => \led_flash_cnt[2824][5]~q\,
	combout => \WideAnd2824~1_combout\);

-- Location: LCCOMB_X35_Y27_N14
\led_flash_cnt[2824][7]~66428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2824][7]~66428_combout\ = \led_flash_cnt[2824][7]~q\ $ (!\led_flash_cnt[2824][6]~66427\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2824][7]~q\,
	cin => \led_flash_cnt[2824][6]~66427\,
	combout => \led_flash_cnt[2824][7]~66428_combout\);

-- Location: FF_X35_Y27_N15
\led_flash_cnt[2824][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2824][7]~66428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2824][7]~q\);

-- Location: LCCOMB_X35_Y27_N16
WideAnd2824 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2824~combout\ = (\WideAnd2824~0_combout\ & (\WideAnd2824~1_combout\ & (\led_flash_cnt[2824][7]~q\ & \led_flash_cnt[2824][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2824~0_combout\,
	datab => \WideAnd2824~1_combout\,
	datac => \led_flash_cnt[2824][7]~q\,
	datad => \led_flash_cnt[2824][0]~q\,
	combout => \WideAnd2824~combout\);

-- Location: FF_X35_Y27_N17
\led_flash_cnt_ands[2824]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2824~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2824));

-- Location: LCCOMB_X47_Y47_N10
\led_flash_cnt[2826][0]~83466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2826][0]~83466_combout\ = !\led_flash_cnt[2826][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2826][0]~q\,
	combout => \led_flash_cnt[2826][0]~83466_combout\);

-- Location: FF_X47_Y47_N11
\led_flash_cnt[2826][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2826][0]~83466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2826][0]~q\);

-- Location: LCCOMB_X47_Y47_N16
\led_flash_cnt[2826][1]~66444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2826][1]~66444_combout\ = (\led_flash_cnt[2826][0]~q\ & (\led_flash_cnt[2826][1]~q\ $ (VCC))) # (!\led_flash_cnt[2826][0]~q\ & (\led_flash_cnt[2826][1]~q\ & VCC))
-- \led_flash_cnt[2826][1]~66445\ = CARRY((\led_flash_cnt[2826][0]~q\ & \led_flash_cnt[2826][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2826][0]~q\,
	datab => \led_flash_cnt[2826][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2826][1]~66444_combout\,
	cout => \led_flash_cnt[2826][1]~66445\);

-- Location: FF_X47_Y47_N17
\led_flash_cnt[2826][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2826][1]~66444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2826][1]~q\);

-- Location: LCCOMB_X47_Y47_N18
\led_flash_cnt[2826][2]~66446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2826][2]~66446_combout\ = (\led_flash_cnt[2826][2]~q\ & (!\led_flash_cnt[2826][1]~66445\)) # (!\led_flash_cnt[2826][2]~q\ & ((\led_flash_cnt[2826][1]~66445\) # (GND)))
-- \led_flash_cnt[2826][2]~66447\ = CARRY((!\led_flash_cnt[2826][1]~66445\) # (!\led_flash_cnt[2826][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2826][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2826][1]~66445\,
	combout => \led_flash_cnt[2826][2]~66446_combout\,
	cout => \led_flash_cnt[2826][2]~66447\);

-- Location: FF_X47_Y47_N19
\led_flash_cnt[2826][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2826][2]~66446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2826][2]~q\);

-- Location: LCCOMB_X47_Y47_N20
\led_flash_cnt[2826][3]~66448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2826][3]~66448_combout\ = (\led_flash_cnt[2826][3]~q\ & (\led_flash_cnt[2826][2]~66447\ $ (GND))) # (!\led_flash_cnt[2826][3]~q\ & (!\led_flash_cnt[2826][2]~66447\ & VCC))
-- \led_flash_cnt[2826][3]~66449\ = CARRY((\led_flash_cnt[2826][3]~q\ & !\led_flash_cnt[2826][2]~66447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2826][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2826][2]~66447\,
	combout => \led_flash_cnt[2826][3]~66448_combout\,
	cout => \led_flash_cnt[2826][3]~66449\);

-- Location: FF_X47_Y47_N21
\led_flash_cnt[2826][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2826][3]~66448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2826][3]~q\);

-- Location: LCCOMB_X47_Y47_N22
\led_flash_cnt[2826][4]~66450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2826][4]~66450_combout\ = (\led_flash_cnt[2826][4]~q\ & (!\led_flash_cnt[2826][3]~66449\)) # (!\led_flash_cnt[2826][4]~q\ & ((\led_flash_cnt[2826][3]~66449\) # (GND)))
-- \led_flash_cnt[2826][4]~66451\ = CARRY((!\led_flash_cnt[2826][3]~66449\) # (!\led_flash_cnt[2826][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2826][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2826][3]~66449\,
	combout => \led_flash_cnt[2826][4]~66450_combout\,
	cout => \led_flash_cnt[2826][4]~66451\);

-- Location: FF_X47_Y47_N23
\led_flash_cnt[2826][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2826][4]~66450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2826][4]~q\);

-- Location: LCCOMB_X47_Y47_N24
\led_flash_cnt[2826][5]~66452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2826][5]~66452_combout\ = (\led_flash_cnt[2826][5]~q\ & (\led_flash_cnt[2826][4]~66451\ $ (GND))) # (!\led_flash_cnt[2826][5]~q\ & (!\led_flash_cnt[2826][4]~66451\ & VCC))
-- \led_flash_cnt[2826][5]~66453\ = CARRY((\led_flash_cnt[2826][5]~q\ & !\led_flash_cnt[2826][4]~66451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2826][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2826][4]~66451\,
	combout => \led_flash_cnt[2826][5]~66452_combout\,
	cout => \led_flash_cnt[2826][5]~66453\);

-- Location: FF_X47_Y47_N25
\led_flash_cnt[2826][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2826][5]~66452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2826][5]~q\);

-- Location: LCCOMB_X47_Y47_N26
\led_flash_cnt[2826][6]~66454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2826][6]~66454_combout\ = (\led_flash_cnt[2826][6]~q\ & (!\led_flash_cnt[2826][5]~66453\)) # (!\led_flash_cnt[2826][6]~q\ & ((\led_flash_cnt[2826][5]~66453\) # (GND)))
-- \led_flash_cnt[2826][6]~66455\ = CARRY((!\led_flash_cnt[2826][5]~66453\) # (!\led_flash_cnt[2826][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2826][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2826][5]~66453\,
	combout => \led_flash_cnt[2826][6]~66454_combout\,
	cout => \led_flash_cnt[2826][6]~66455\);

-- Location: FF_X47_Y47_N27
\led_flash_cnt[2826][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2826][6]~66454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2826][6]~q\);

-- Location: LCCOMB_X47_Y47_N28
\led_flash_cnt[2826][7]~66456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2826][7]~66456_combout\ = \led_flash_cnt[2826][6]~66455\ $ (!\led_flash_cnt[2826][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2826][7]~q\,
	cin => \led_flash_cnt[2826][6]~66455\,
	combout => \led_flash_cnt[2826][7]~66456_combout\);

-- Location: FF_X47_Y47_N29
\led_flash_cnt[2826][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2826][7]~66456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2826][7]~q\);

-- Location: LCCOMB_X47_Y47_N4
\WideAnd2826~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2826~1_combout\ = (\led_flash_cnt[2826][6]~q\ & \led_flash_cnt[2826][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2826][6]~q\,
	datad => \led_flash_cnt[2826][5]~q\,
	combout => \WideAnd2826~1_combout\);

-- Location: LCCOMB_X47_Y47_N12
\WideAnd2826~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2826~0_combout\ = (\led_flash_cnt[2826][3]~q\ & (\led_flash_cnt[2826][2]~q\ & (\led_flash_cnt[2826][4]~q\ & \led_flash_cnt[2826][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2826][3]~q\,
	datab => \led_flash_cnt[2826][2]~q\,
	datac => \led_flash_cnt[2826][4]~q\,
	datad => \led_flash_cnt[2826][1]~q\,
	combout => \WideAnd2826~0_combout\);

-- Location: LCCOMB_X47_Y47_N2
WideAnd2826 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2826~combout\ = (\led_flash_cnt[2826][0]~q\ & (\led_flash_cnt[2826][7]~q\ & (\WideAnd2826~1_combout\ & \WideAnd2826~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2826][0]~q\,
	datab => \led_flash_cnt[2826][7]~q\,
	datac => \WideAnd2826~1_combout\,
	datad => \WideAnd2826~0_combout\,
	combout => \WideAnd2826~combout\);

-- Location: FF_X47_Y47_N3
\led_flash_cnt_ands[2826]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2826~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2826));

-- Location: LCCOMB_X46_Y47_N24
\WideAnd4193~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4193~0_combout\ = (led_flash_cnt_ands(2825) & (led_flash_cnt_ands(2827) & (led_flash_cnt_ands(2824) & led_flash_cnt_ands(2826))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2825),
	datab => led_flash_cnt_ands(2827),
	datac => led_flash_cnt_ands(2824),
	datad => led_flash_cnt_ands(2826),
	combout => \WideAnd4193~0_combout\);

-- Location: LCCOMB_X27_Y35_N26
\led_flash_cnt[2831][0]~83471\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2831][0]~83471_combout\ = !\led_flash_cnt[2831][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2831][0]~q\,
	combout => \led_flash_cnt[2831][0]~83471_combout\);

-- Location: FF_X27_Y35_N27
\led_flash_cnt[2831][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2831][0]~83471_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2831][0]~q\);

-- Location: LCCOMB_X27_Y35_N8
\led_flash_cnt[2831][1]~66514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2831][1]~66514_combout\ = (\led_flash_cnt[2831][0]~q\ & (\led_flash_cnt[2831][1]~q\ $ (VCC))) # (!\led_flash_cnt[2831][0]~q\ & (\led_flash_cnt[2831][1]~q\ & VCC))
-- \led_flash_cnt[2831][1]~66515\ = CARRY((\led_flash_cnt[2831][0]~q\ & \led_flash_cnt[2831][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2831][0]~q\,
	datab => \led_flash_cnt[2831][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2831][1]~66514_combout\,
	cout => \led_flash_cnt[2831][1]~66515\);

-- Location: FF_X27_Y35_N9
\led_flash_cnt[2831][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2831][1]~66514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2831][1]~q\);

-- Location: LCCOMB_X27_Y35_N10
\led_flash_cnt[2831][2]~66516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2831][2]~66516_combout\ = (\led_flash_cnt[2831][2]~q\ & (!\led_flash_cnt[2831][1]~66515\)) # (!\led_flash_cnt[2831][2]~q\ & ((\led_flash_cnt[2831][1]~66515\) # (GND)))
-- \led_flash_cnt[2831][2]~66517\ = CARRY((!\led_flash_cnt[2831][1]~66515\) # (!\led_flash_cnt[2831][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2831][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2831][1]~66515\,
	combout => \led_flash_cnt[2831][2]~66516_combout\,
	cout => \led_flash_cnt[2831][2]~66517\);

-- Location: FF_X27_Y35_N11
\led_flash_cnt[2831][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2831][2]~66516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2831][2]~q\);

-- Location: LCCOMB_X27_Y35_N12
\led_flash_cnt[2831][3]~66518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2831][3]~66518_combout\ = (\led_flash_cnt[2831][3]~q\ & (\led_flash_cnt[2831][2]~66517\ $ (GND))) # (!\led_flash_cnt[2831][3]~q\ & (!\led_flash_cnt[2831][2]~66517\ & VCC))
-- \led_flash_cnt[2831][3]~66519\ = CARRY((\led_flash_cnt[2831][3]~q\ & !\led_flash_cnt[2831][2]~66517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2831][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2831][2]~66517\,
	combout => \led_flash_cnt[2831][3]~66518_combout\,
	cout => \led_flash_cnt[2831][3]~66519\);

-- Location: FF_X27_Y35_N13
\led_flash_cnt[2831][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2831][3]~66518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2831][3]~q\);

-- Location: LCCOMB_X27_Y35_N14
\led_flash_cnt[2831][4]~66520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2831][4]~66520_combout\ = (\led_flash_cnt[2831][4]~q\ & (!\led_flash_cnt[2831][3]~66519\)) # (!\led_flash_cnt[2831][4]~q\ & ((\led_flash_cnt[2831][3]~66519\) # (GND)))
-- \led_flash_cnt[2831][4]~66521\ = CARRY((!\led_flash_cnt[2831][3]~66519\) # (!\led_flash_cnt[2831][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2831][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2831][3]~66519\,
	combout => \led_flash_cnt[2831][4]~66520_combout\,
	cout => \led_flash_cnt[2831][4]~66521\);

-- Location: FF_X27_Y35_N15
\led_flash_cnt[2831][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2831][4]~66520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2831][4]~q\);

-- Location: LCCOMB_X27_Y35_N6
\WideAnd2831~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2831~0_combout\ = (\led_flash_cnt[2831][2]~q\ & (\led_flash_cnt[2831][1]~q\ & (\led_flash_cnt[2831][4]~q\ & \led_flash_cnt[2831][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2831][2]~q\,
	datab => \led_flash_cnt[2831][1]~q\,
	datac => \led_flash_cnt[2831][4]~q\,
	datad => \led_flash_cnt[2831][3]~q\,
	combout => \WideAnd2831~0_combout\);

-- Location: LCCOMB_X27_Y35_N16
\led_flash_cnt[2831][5]~66522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2831][5]~66522_combout\ = (\led_flash_cnt[2831][5]~q\ & (\led_flash_cnt[2831][4]~66521\ $ (GND))) # (!\led_flash_cnt[2831][5]~q\ & (!\led_flash_cnt[2831][4]~66521\ & VCC))
-- \led_flash_cnt[2831][5]~66523\ = CARRY((\led_flash_cnt[2831][5]~q\ & !\led_flash_cnt[2831][4]~66521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2831][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2831][4]~66521\,
	combout => \led_flash_cnt[2831][5]~66522_combout\,
	cout => \led_flash_cnt[2831][5]~66523\);

-- Location: FF_X27_Y35_N17
\led_flash_cnt[2831][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2831][5]~66522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2831][5]~q\);

-- Location: LCCOMB_X27_Y35_N18
\led_flash_cnt[2831][6]~66524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2831][6]~66524_combout\ = (\led_flash_cnt[2831][6]~q\ & (!\led_flash_cnt[2831][5]~66523\)) # (!\led_flash_cnt[2831][6]~q\ & ((\led_flash_cnt[2831][5]~66523\) # (GND)))
-- \led_flash_cnt[2831][6]~66525\ = CARRY((!\led_flash_cnt[2831][5]~66523\) # (!\led_flash_cnt[2831][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2831][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2831][5]~66523\,
	combout => \led_flash_cnt[2831][6]~66524_combout\,
	cout => \led_flash_cnt[2831][6]~66525\);

-- Location: FF_X27_Y35_N19
\led_flash_cnt[2831][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2831][6]~66524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2831][6]~q\);

-- Location: LCCOMB_X27_Y35_N20
\led_flash_cnt[2831][7]~66526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2831][7]~66526_combout\ = \led_flash_cnt[2831][6]~66525\ $ (!\led_flash_cnt[2831][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2831][7]~q\,
	cin => \led_flash_cnt[2831][6]~66525\,
	combout => \led_flash_cnt[2831][7]~66526_combout\);

-- Location: FF_X27_Y35_N21
\led_flash_cnt[2831][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2831][7]~66526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2831][7]~q\);

-- Location: LCCOMB_X27_Y35_N2
\WideAnd2831~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2831~1_combout\ = (\led_flash_cnt[2831][6]~q\ & \led_flash_cnt[2831][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2831][6]~q\,
	datad => \led_flash_cnt[2831][5]~q\,
	combout => \WideAnd2831~1_combout\);

-- Location: LCCOMB_X27_Y35_N0
WideAnd2831 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2831~combout\ = (\WideAnd2831~0_combout\ & (\led_flash_cnt[2831][7]~q\ & (\led_flash_cnt[2831][0]~q\ & \WideAnd2831~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2831~0_combout\,
	datab => \led_flash_cnt[2831][7]~q\,
	datac => \led_flash_cnt[2831][0]~q\,
	datad => \WideAnd2831~1_combout\,
	combout => \WideAnd2831~combout\);

-- Location: FF_X27_Y35_N1
\led_flash_cnt_ands[2831]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2831~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2831));

-- Location: LCCOMB_X27_Y35_N24
WideAnd4193 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4193~combout\ = (\WideAnd4193~1_combout\ & (led_flash_cnt_ands(2830) & (\WideAnd4193~0_combout\ & led_flash_cnt_ands(2831))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4193~1_combout\,
	datab => led_flash_cnt_ands(2830),
	datac => \WideAnd4193~0_combout\,
	datad => led_flash_cnt_ands(2831),
	combout => \WideAnd4193~combout\);

-- Location: FF_X27_Y35_N25
\led_flash_cnt_ands_1[353]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4193~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(353));

-- Location: LCCOMB_X17_Y21_N20
\led_flash_cnt[2836][0]~83476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2836][0]~83476_combout\ = !\led_flash_cnt[2836][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2836][0]~q\,
	combout => \led_flash_cnt[2836][0]~83476_combout\);

-- Location: FF_X17_Y21_N21
\led_flash_cnt[2836][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2836][0]~83476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2836][0]~q\);

-- Location: LCCOMB_X17_Y21_N0
\led_flash_cnt[2836][1]~66584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2836][1]~66584_combout\ = (\led_flash_cnt[2836][0]~q\ & (\led_flash_cnt[2836][1]~q\ $ (VCC))) # (!\led_flash_cnt[2836][0]~q\ & (\led_flash_cnt[2836][1]~q\ & VCC))
-- \led_flash_cnt[2836][1]~66585\ = CARRY((\led_flash_cnt[2836][0]~q\ & \led_flash_cnt[2836][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2836][0]~q\,
	datab => \led_flash_cnt[2836][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2836][1]~66584_combout\,
	cout => \led_flash_cnt[2836][1]~66585\);

-- Location: FF_X17_Y21_N1
\led_flash_cnt[2836][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2836][1]~66584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2836][1]~q\);

-- Location: LCCOMB_X17_Y21_N2
\led_flash_cnt[2836][2]~66586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2836][2]~66586_combout\ = (\led_flash_cnt[2836][2]~q\ & (!\led_flash_cnt[2836][1]~66585\)) # (!\led_flash_cnt[2836][2]~q\ & ((\led_flash_cnt[2836][1]~66585\) # (GND)))
-- \led_flash_cnt[2836][2]~66587\ = CARRY((!\led_flash_cnt[2836][1]~66585\) # (!\led_flash_cnt[2836][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2836][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2836][1]~66585\,
	combout => \led_flash_cnt[2836][2]~66586_combout\,
	cout => \led_flash_cnt[2836][2]~66587\);

-- Location: FF_X17_Y21_N3
\led_flash_cnt[2836][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2836][2]~66586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2836][2]~q\);

-- Location: LCCOMB_X17_Y21_N4
\led_flash_cnt[2836][3]~66588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2836][3]~66588_combout\ = (\led_flash_cnt[2836][3]~q\ & (\led_flash_cnt[2836][2]~66587\ $ (GND))) # (!\led_flash_cnt[2836][3]~q\ & (!\led_flash_cnt[2836][2]~66587\ & VCC))
-- \led_flash_cnt[2836][3]~66589\ = CARRY((\led_flash_cnt[2836][3]~q\ & !\led_flash_cnt[2836][2]~66587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2836][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2836][2]~66587\,
	combout => \led_flash_cnt[2836][3]~66588_combout\,
	cout => \led_flash_cnt[2836][3]~66589\);

-- Location: FF_X17_Y21_N5
\led_flash_cnt[2836][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2836][3]~66588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2836][3]~q\);

-- Location: LCCOMB_X17_Y21_N6
\led_flash_cnt[2836][4]~66590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2836][4]~66590_combout\ = (\led_flash_cnt[2836][4]~q\ & (!\led_flash_cnt[2836][3]~66589\)) # (!\led_flash_cnt[2836][4]~q\ & ((\led_flash_cnt[2836][3]~66589\) # (GND)))
-- \led_flash_cnt[2836][4]~66591\ = CARRY((!\led_flash_cnt[2836][3]~66589\) # (!\led_flash_cnt[2836][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2836][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2836][3]~66589\,
	combout => \led_flash_cnt[2836][4]~66590_combout\,
	cout => \led_flash_cnt[2836][4]~66591\);

-- Location: FF_X17_Y21_N7
\led_flash_cnt[2836][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2836][4]~66590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2836][4]~q\);

-- Location: LCCOMB_X17_Y21_N8
\led_flash_cnt[2836][5]~66592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2836][5]~66592_combout\ = (\led_flash_cnt[2836][5]~q\ & (\led_flash_cnt[2836][4]~66591\ $ (GND))) # (!\led_flash_cnt[2836][5]~q\ & (!\led_flash_cnt[2836][4]~66591\ & VCC))
-- \led_flash_cnt[2836][5]~66593\ = CARRY((\led_flash_cnt[2836][5]~q\ & !\led_flash_cnt[2836][4]~66591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2836][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2836][4]~66591\,
	combout => \led_flash_cnt[2836][5]~66592_combout\,
	cout => \led_flash_cnt[2836][5]~66593\);

-- Location: FF_X17_Y21_N9
\led_flash_cnt[2836][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2836][5]~66592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2836][5]~q\);

-- Location: LCCOMB_X17_Y21_N10
\led_flash_cnt[2836][6]~66594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2836][6]~66594_combout\ = (\led_flash_cnt[2836][6]~q\ & (!\led_flash_cnt[2836][5]~66593\)) # (!\led_flash_cnt[2836][6]~q\ & ((\led_flash_cnt[2836][5]~66593\) # (GND)))
-- \led_flash_cnt[2836][6]~66595\ = CARRY((!\led_flash_cnt[2836][5]~66593\) # (!\led_flash_cnt[2836][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2836][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2836][5]~66593\,
	combout => \led_flash_cnt[2836][6]~66594_combout\,
	cout => \led_flash_cnt[2836][6]~66595\);

-- Location: FF_X17_Y21_N11
\led_flash_cnt[2836][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2836][6]~66594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2836][6]~q\);

-- Location: LCCOMB_X17_Y21_N12
\led_flash_cnt[2836][7]~66596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2836][7]~66596_combout\ = \led_flash_cnt[2836][6]~66595\ $ (!\led_flash_cnt[2836][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2836][7]~q\,
	cin => \led_flash_cnt[2836][6]~66595\,
	combout => \led_flash_cnt[2836][7]~66596_combout\);

-- Location: FF_X17_Y21_N13
\led_flash_cnt[2836][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2836][7]~66596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2836][7]~q\);

-- Location: LCCOMB_X17_Y21_N30
\WideAnd2836~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2836~1_combout\ = (\led_flash_cnt[2836][5]~q\ & \led_flash_cnt[2836][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2836][5]~q\,
	datad => \led_flash_cnt[2836][6]~q\,
	combout => \WideAnd2836~1_combout\);

-- Location: LCCOMB_X17_Y21_N24
\WideAnd2836~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2836~0_combout\ = (\led_flash_cnt[2836][4]~q\ & (\led_flash_cnt[2836][2]~q\ & (\led_flash_cnt[2836][3]~q\ & \led_flash_cnt[2836][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2836][4]~q\,
	datab => \led_flash_cnt[2836][2]~q\,
	datac => \led_flash_cnt[2836][3]~q\,
	datad => \led_flash_cnt[2836][1]~q\,
	combout => \WideAnd2836~0_combout\);

-- Location: LCCOMB_X17_Y21_N26
WideAnd2836 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2836~combout\ = (\led_flash_cnt[2836][7]~q\ & (\led_flash_cnt[2836][0]~q\ & (\WideAnd2836~1_combout\ & \WideAnd2836~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2836][7]~q\,
	datab => \led_flash_cnt[2836][0]~q\,
	datac => \WideAnd2836~1_combout\,
	datad => \WideAnd2836~0_combout\,
	combout => \WideAnd2836~combout\);

-- Location: FF_X17_Y21_N27
\led_flash_cnt_ands[2836]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2836~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2836));

-- Location: LCCOMB_X17_Y21_N28
\led_flash_cnt[2837][0]~83477\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2837][0]~83477_combout\ = !\led_flash_cnt[2837][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2837][0]~q\,
	combout => \led_flash_cnt[2837][0]~83477_combout\);

-- Location: FF_X17_Y21_N29
\led_flash_cnt[2837][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2837][0]~83477_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2837][0]~q\);

-- Location: LCCOMB_X16_Y21_N0
\led_flash_cnt[2837][1]~66598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2837][1]~66598_combout\ = (\led_flash_cnt[2837][0]~q\ & (\led_flash_cnt[2837][1]~q\ $ (VCC))) # (!\led_flash_cnt[2837][0]~q\ & (\led_flash_cnt[2837][1]~q\ & VCC))
-- \led_flash_cnt[2837][1]~66599\ = CARRY((\led_flash_cnt[2837][0]~q\ & \led_flash_cnt[2837][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2837][0]~q\,
	datab => \led_flash_cnt[2837][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2837][1]~66598_combout\,
	cout => \led_flash_cnt[2837][1]~66599\);

-- Location: FF_X16_Y21_N1
\led_flash_cnt[2837][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2837][1]~66598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2837][1]~q\);

-- Location: LCCOMB_X16_Y21_N2
\led_flash_cnt[2837][2]~66600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2837][2]~66600_combout\ = (\led_flash_cnt[2837][2]~q\ & (!\led_flash_cnt[2837][1]~66599\)) # (!\led_flash_cnt[2837][2]~q\ & ((\led_flash_cnt[2837][1]~66599\) # (GND)))
-- \led_flash_cnt[2837][2]~66601\ = CARRY((!\led_flash_cnt[2837][1]~66599\) # (!\led_flash_cnt[2837][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2837][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2837][1]~66599\,
	combout => \led_flash_cnt[2837][2]~66600_combout\,
	cout => \led_flash_cnt[2837][2]~66601\);

-- Location: FF_X16_Y21_N3
\led_flash_cnt[2837][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2837][2]~66600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2837][2]~q\);

-- Location: LCCOMB_X16_Y21_N4
\led_flash_cnt[2837][3]~66602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2837][3]~66602_combout\ = (\led_flash_cnt[2837][3]~q\ & (\led_flash_cnt[2837][2]~66601\ $ (GND))) # (!\led_flash_cnt[2837][3]~q\ & (!\led_flash_cnt[2837][2]~66601\ & VCC))
-- \led_flash_cnt[2837][3]~66603\ = CARRY((\led_flash_cnt[2837][3]~q\ & !\led_flash_cnt[2837][2]~66601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2837][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2837][2]~66601\,
	combout => \led_flash_cnt[2837][3]~66602_combout\,
	cout => \led_flash_cnt[2837][3]~66603\);

-- Location: FF_X16_Y21_N5
\led_flash_cnt[2837][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2837][3]~66602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2837][3]~q\);

-- Location: LCCOMB_X16_Y21_N6
\led_flash_cnt[2837][4]~66604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2837][4]~66604_combout\ = (\led_flash_cnt[2837][4]~q\ & (!\led_flash_cnt[2837][3]~66603\)) # (!\led_flash_cnt[2837][4]~q\ & ((\led_flash_cnt[2837][3]~66603\) # (GND)))
-- \led_flash_cnt[2837][4]~66605\ = CARRY((!\led_flash_cnt[2837][3]~66603\) # (!\led_flash_cnt[2837][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2837][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2837][3]~66603\,
	combout => \led_flash_cnt[2837][4]~66604_combout\,
	cout => \led_flash_cnt[2837][4]~66605\);

-- Location: FF_X16_Y21_N7
\led_flash_cnt[2837][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2837][4]~66604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2837][4]~q\);

-- Location: LCCOMB_X16_Y21_N8
\led_flash_cnt[2837][5]~66606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2837][5]~66606_combout\ = (\led_flash_cnt[2837][5]~q\ & (\led_flash_cnt[2837][4]~66605\ $ (GND))) # (!\led_flash_cnt[2837][5]~q\ & (!\led_flash_cnt[2837][4]~66605\ & VCC))
-- \led_flash_cnt[2837][5]~66607\ = CARRY((\led_flash_cnt[2837][5]~q\ & !\led_flash_cnt[2837][4]~66605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2837][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2837][4]~66605\,
	combout => \led_flash_cnt[2837][5]~66606_combout\,
	cout => \led_flash_cnt[2837][5]~66607\);

-- Location: FF_X16_Y21_N9
\led_flash_cnt[2837][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2837][5]~66606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2837][5]~q\);

-- Location: LCCOMB_X16_Y21_N10
\led_flash_cnt[2837][6]~66608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2837][6]~66608_combout\ = (\led_flash_cnt[2837][6]~q\ & (!\led_flash_cnt[2837][5]~66607\)) # (!\led_flash_cnt[2837][6]~q\ & ((\led_flash_cnt[2837][5]~66607\) # (GND)))
-- \led_flash_cnt[2837][6]~66609\ = CARRY((!\led_flash_cnt[2837][5]~66607\) # (!\led_flash_cnt[2837][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2837][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2837][5]~66607\,
	combout => \led_flash_cnt[2837][6]~66608_combout\,
	cout => \led_flash_cnt[2837][6]~66609\);

-- Location: FF_X16_Y21_N11
\led_flash_cnt[2837][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2837][6]~66608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2837][6]~q\);

-- Location: LCCOMB_X16_Y21_N12
\led_flash_cnt[2837][7]~66610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2837][7]~66610_combout\ = \led_flash_cnt[2837][6]~66609\ $ (!\led_flash_cnt[2837][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2837][7]~q\,
	cin => \led_flash_cnt[2837][6]~66609\,
	combout => \led_flash_cnt[2837][7]~66610_combout\);

-- Location: FF_X16_Y21_N13
\led_flash_cnt[2837][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2837][7]~66610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2837][7]~q\);

-- Location: LCCOMB_X17_Y21_N18
\WideAnd2837~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2837~1_combout\ = (\led_flash_cnt[2837][5]~q\ & \led_flash_cnt[2837][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2837][5]~q\,
	datad => \led_flash_cnt[2837][6]~q\,
	combout => \WideAnd2837~1_combout\);

-- Location: LCCOMB_X16_Y21_N16
\WideAnd2837~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2837~0_combout\ = (\led_flash_cnt[2837][4]~q\ & (\led_flash_cnt[2837][1]~q\ & (\led_flash_cnt[2837][3]~q\ & \led_flash_cnt[2837][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2837][4]~q\,
	datab => \led_flash_cnt[2837][1]~q\,
	datac => \led_flash_cnt[2837][3]~q\,
	datad => \led_flash_cnt[2837][2]~q\,
	combout => \WideAnd2837~0_combout\);

-- Location: LCCOMB_X17_Y21_N16
WideAnd2837 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2837~combout\ = (\led_flash_cnt[2837][7]~q\ & (\WideAnd2837~1_combout\ & (\WideAnd2837~0_combout\ & \led_flash_cnt[2837][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2837][7]~q\,
	datab => \WideAnd2837~1_combout\,
	datac => \WideAnd2837~0_combout\,
	datad => \led_flash_cnt[2837][0]~q\,
	combout => \WideAnd2837~combout\);

-- Location: FF_X17_Y21_N17
\led_flash_cnt_ands[2837]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2837~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2837));

-- Location: LCCOMB_X17_Y21_N22
\WideAnd4194~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4194~1_combout\ = (led_flash_cnt_ands(2836) & led_flash_cnt_ands(2837))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2836),
	datad => led_flash_cnt_ands(2837),
	combout => \WideAnd4194~1_combout\);

-- Location: LCCOMB_X18_Y14_N24
\led_flash_cnt[2839][0]~83479\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2839][0]~83479_combout\ = !\led_flash_cnt[2839][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2839][0]~q\,
	combout => \led_flash_cnt[2839][0]~83479_combout\);

-- Location: FF_X18_Y14_N25
\led_flash_cnt[2839][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2839][0]~83479_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2839][0]~q\);

-- Location: LCCOMB_X17_Y14_N18
\led_flash_cnt[2839][1]~66626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2839][1]~66626_combout\ = (\led_flash_cnt[2839][1]~q\ & (\led_flash_cnt[2839][0]~q\ $ (VCC))) # (!\led_flash_cnt[2839][1]~q\ & (\led_flash_cnt[2839][0]~q\ & VCC))
-- \led_flash_cnt[2839][1]~66627\ = CARRY((\led_flash_cnt[2839][1]~q\ & \led_flash_cnt[2839][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2839][1]~q\,
	datab => \led_flash_cnt[2839][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2839][1]~66626_combout\,
	cout => \led_flash_cnt[2839][1]~66627\);

-- Location: FF_X17_Y14_N19
\led_flash_cnt[2839][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2839][1]~66626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2839][1]~q\);

-- Location: LCCOMB_X17_Y14_N20
\led_flash_cnt[2839][2]~66628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2839][2]~66628_combout\ = (\led_flash_cnt[2839][2]~q\ & (!\led_flash_cnt[2839][1]~66627\)) # (!\led_flash_cnt[2839][2]~q\ & ((\led_flash_cnt[2839][1]~66627\) # (GND)))
-- \led_flash_cnt[2839][2]~66629\ = CARRY((!\led_flash_cnt[2839][1]~66627\) # (!\led_flash_cnt[2839][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2839][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2839][1]~66627\,
	combout => \led_flash_cnt[2839][2]~66628_combout\,
	cout => \led_flash_cnt[2839][2]~66629\);

-- Location: FF_X17_Y14_N21
\led_flash_cnt[2839][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2839][2]~66628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2839][2]~q\);

-- Location: LCCOMB_X17_Y14_N22
\led_flash_cnt[2839][3]~66630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2839][3]~66630_combout\ = (\led_flash_cnt[2839][3]~q\ & (\led_flash_cnt[2839][2]~66629\ $ (GND))) # (!\led_flash_cnt[2839][3]~q\ & (!\led_flash_cnt[2839][2]~66629\ & VCC))
-- \led_flash_cnt[2839][3]~66631\ = CARRY((\led_flash_cnt[2839][3]~q\ & !\led_flash_cnt[2839][2]~66629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2839][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2839][2]~66629\,
	combout => \led_flash_cnt[2839][3]~66630_combout\,
	cout => \led_flash_cnt[2839][3]~66631\);

-- Location: FF_X17_Y14_N23
\led_flash_cnt[2839][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2839][3]~66630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2839][3]~q\);

-- Location: LCCOMB_X17_Y14_N24
\led_flash_cnt[2839][4]~66632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2839][4]~66632_combout\ = (\led_flash_cnt[2839][4]~q\ & (!\led_flash_cnt[2839][3]~66631\)) # (!\led_flash_cnt[2839][4]~q\ & ((\led_flash_cnt[2839][3]~66631\) # (GND)))
-- \led_flash_cnt[2839][4]~66633\ = CARRY((!\led_flash_cnt[2839][3]~66631\) # (!\led_flash_cnt[2839][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2839][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2839][3]~66631\,
	combout => \led_flash_cnt[2839][4]~66632_combout\,
	cout => \led_flash_cnt[2839][4]~66633\);

-- Location: FF_X17_Y14_N25
\led_flash_cnt[2839][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2839][4]~66632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2839][4]~q\);

-- Location: LCCOMB_X17_Y14_N26
\led_flash_cnt[2839][5]~66634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2839][5]~66634_combout\ = (\led_flash_cnt[2839][5]~q\ & (\led_flash_cnt[2839][4]~66633\ $ (GND))) # (!\led_flash_cnt[2839][5]~q\ & (!\led_flash_cnt[2839][4]~66633\ & VCC))
-- \led_flash_cnt[2839][5]~66635\ = CARRY((\led_flash_cnt[2839][5]~q\ & !\led_flash_cnt[2839][4]~66633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2839][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2839][4]~66633\,
	combout => \led_flash_cnt[2839][5]~66634_combout\,
	cout => \led_flash_cnt[2839][5]~66635\);

-- Location: FF_X17_Y14_N27
\led_flash_cnt[2839][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2839][5]~66634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2839][5]~q\);

-- Location: LCCOMB_X17_Y14_N28
\led_flash_cnt[2839][6]~66636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2839][6]~66636_combout\ = (\led_flash_cnt[2839][6]~q\ & (!\led_flash_cnt[2839][5]~66635\)) # (!\led_flash_cnt[2839][6]~q\ & ((\led_flash_cnt[2839][5]~66635\) # (GND)))
-- \led_flash_cnt[2839][6]~66637\ = CARRY((!\led_flash_cnt[2839][5]~66635\) # (!\led_flash_cnt[2839][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2839][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2839][5]~66635\,
	combout => \led_flash_cnt[2839][6]~66636_combout\,
	cout => \led_flash_cnt[2839][6]~66637\);

-- Location: FF_X17_Y14_N29
\led_flash_cnt[2839][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2839][6]~66636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2839][6]~q\);

-- Location: LCCOMB_X18_Y14_N30
\WideAnd2839~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2839~1_combout\ = (\led_flash_cnt[2839][5]~q\ & \led_flash_cnt[2839][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2839][5]~q\,
	datad => \led_flash_cnt[2839][6]~q\,
	combout => \WideAnd2839~1_combout\);

-- Location: LCCOMB_X17_Y14_N30
\led_flash_cnt[2839][7]~66638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2839][7]~66638_combout\ = \led_flash_cnt[2839][7]~q\ $ (!\led_flash_cnt[2839][6]~66637\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2839][7]~q\,
	cin => \led_flash_cnt[2839][6]~66637\,
	combout => \led_flash_cnt[2839][7]~66638_combout\);

-- Location: FF_X17_Y14_N31
\led_flash_cnt[2839][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2839][7]~66638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2839][7]~q\);

-- Location: LCCOMB_X17_Y14_N0
\WideAnd2839~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2839~0_combout\ = (\led_flash_cnt[2839][1]~q\ & (\led_flash_cnt[2839][4]~q\ & (\led_flash_cnt[2839][3]~q\ & \led_flash_cnt[2839][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2839][1]~q\,
	datab => \led_flash_cnt[2839][4]~q\,
	datac => \led_flash_cnt[2839][3]~q\,
	datad => \led_flash_cnt[2839][2]~q\,
	combout => \WideAnd2839~0_combout\);

-- Location: LCCOMB_X18_Y14_N28
WideAnd2839 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2839~combout\ = (\WideAnd2839~1_combout\ & (\led_flash_cnt[2839][7]~q\ & (\WideAnd2839~0_combout\ & \led_flash_cnt[2839][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2839~1_combout\,
	datab => \led_flash_cnt[2839][7]~q\,
	datac => \WideAnd2839~0_combout\,
	datad => \led_flash_cnt[2839][0]~q\,
	combout => \WideAnd2839~combout\);

-- Location: FF_X18_Y14_N29
\led_flash_cnt_ands[2839]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2839~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2839));

-- Location: LCCOMB_X17_Y1_N28
\led_flash_cnt[2834][0]~83474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2834][0]~83474_combout\ = !\led_flash_cnt[2834][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2834][0]~q\,
	combout => \led_flash_cnt[2834][0]~83474_combout\);

-- Location: FF_X17_Y1_N29
\led_flash_cnt[2834][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2834][0]~83474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2834][0]~q\);

-- Location: LCCOMB_X17_Y1_N12
\led_flash_cnt[2834][1]~66556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2834][1]~66556_combout\ = (\led_flash_cnt[2834][1]~q\ & (\led_flash_cnt[2834][0]~q\ $ (VCC))) # (!\led_flash_cnt[2834][1]~q\ & (\led_flash_cnt[2834][0]~q\ & VCC))
-- \led_flash_cnt[2834][1]~66557\ = CARRY((\led_flash_cnt[2834][1]~q\ & \led_flash_cnt[2834][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2834][1]~q\,
	datab => \led_flash_cnt[2834][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2834][1]~66556_combout\,
	cout => \led_flash_cnt[2834][1]~66557\);

-- Location: FF_X17_Y1_N13
\led_flash_cnt[2834][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2834][1]~66556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2834][1]~q\);

-- Location: LCCOMB_X17_Y1_N14
\led_flash_cnt[2834][2]~66558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2834][2]~66558_combout\ = (\led_flash_cnt[2834][2]~q\ & (!\led_flash_cnt[2834][1]~66557\)) # (!\led_flash_cnt[2834][2]~q\ & ((\led_flash_cnt[2834][1]~66557\) # (GND)))
-- \led_flash_cnt[2834][2]~66559\ = CARRY((!\led_flash_cnt[2834][1]~66557\) # (!\led_flash_cnt[2834][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2834][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2834][1]~66557\,
	combout => \led_flash_cnt[2834][2]~66558_combout\,
	cout => \led_flash_cnt[2834][2]~66559\);

-- Location: FF_X17_Y1_N15
\led_flash_cnt[2834][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2834][2]~66558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2834][2]~q\);

-- Location: LCCOMB_X17_Y1_N16
\led_flash_cnt[2834][3]~66560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2834][3]~66560_combout\ = (\led_flash_cnt[2834][3]~q\ & (\led_flash_cnt[2834][2]~66559\ $ (GND))) # (!\led_flash_cnt[2834][3]~q\ & (!\led_flash_cnt[2834][2]~66559\ & VCC))
-- \led_flash_cnt[2834][3]~66561\ = CARRY((\led_flash_cnt[2834][3]~q\ & !\led_flash_cnt[2834][2]~66559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2834][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2834][2]~66559\,
	combout => \led_flash_cnt[2834][3]~66560_combout\,
	cout => \led_flash_cnt[2834][3]~66561\);

-- Location: FF_X17_Y1_N17
\led_flash_cnt[2834][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2834][3]~66560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2834][3]~q\);

-- Location: LCCOMB_X17_Y1_N18
\led_flash_cnt[2834][4]~66562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2834][4]~66562_combout\ = (\led_flash_cnt[2834][4]~q\ & (!\led_flash_cnt[2834][3]~66561\)) # (!\led_flash_cnt[2834][4]~q\ & ((\led_flash_cnt[2834][3]~66561\) # (GND)))
-- \led_flash_cnt[2834][4]~66563\ = CARRY((!\led_flash_cnt[2834][3]~66561\) # (!\led_flash_cnt[2834][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2834][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2834][3]~66561\,
	combout => \led_flash_cnt[2834][4]~66562_combout\,
	cout => \led_flash_cnt[2834][4]~66563\);

-- Location: FF_X17_Y1_N19
\led_flash_cnt[2834][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2834][4]~66562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2834][4]~q\);

-- Location: LCCOMB_X17_Y1_N20
\led_flash_cnt[2834][5]~66564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2834][5]~66564_combout\ = (\led_flash_cnt[2834][5]~q\ & (\led_flash_cnt[2834][4]~66563\ $ (GND))) # (!\led_flash_cnt[2834][5]~q\ & (!\led_flash_cnt[2834][4]~66563\ & VCC))
-- \led_flash_cnt[2834][5]~66565\ = CARRY((\led_flash_cnt[2834][5]~q\ & !\led_flash_cnt[2834][4]~66563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2834][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2834][4]~66563\,
	combout => \led_flash_cnt[2834][5]~66564_combout\,
	cout => \led_flash_cnt[2834][5]~66565\);

-- Location: FF_X17_Y1_N21
\led_flash_cnt[2834][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2834][5]~66564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2834][5]~q\);

-- Location: LCCOMB_X17_Y1_N22
\led_flash_cnt[2834][6]~66566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2834][6]~66566_combout\ = (\led_flash_cnt[2834][6]~q\ & (!\led_flash_cnt[2834][5]~66565\)) # (!\led_flash_cnt[2834][6]~q\ & ((\led_flash_cnt[2834][5]~66565\) # (GND)))
-- \led_flash_cnt[2834][6]~66567\ = CARRY((!\led_flash_cnt[2834][5]~66565\) # (!\led_flash_cnt[2834][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2834][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2834][5]~66565\,
	combout => \led_flash_cnt[2834][6]~66566_combout\,
	cout => \led_flash_cnt[2834][6]~66567\);

-- Location: FF_X17_Y1_N23
\led_flash_cnt[2834][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2834][6]~66566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2834][6]~q\);

-- Location: LCCOMB_X17_Y1_N10
\WideAnd2834~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2834~1_combout\ = (\led_flash_cnt[2834][6]~q\ & \led_flash_cnt[2834][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2834][6]~q\,
	datad => \led_flash_cnt[2834][5]~q\,
	combout => \WideAnd2834~1_combout\);

-- Location: LCCOMB_X17_Y1_N24
\led_flash_cnt[2834][7]~66568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2834][7]~66568_combout\ = \led_flash_cnt[2834][6]~66567\ $ (!\led_flash_cnt[2834][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2834][7]~q\,
	cin => \led_flash_cnt[2834][6]~66567\,
	combout => \led_flash_cnt[2834][7]~66568_combout\);

-- Location: FF_X17_Y1_N25
\led_flash_cnt[2834][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2834][7]~66568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2834][7]~q\);

-- Location: LCCOMB_X17_Y1_N8
\WideAnd2834~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2834~0_combout\ = (\led_flash_cnt[2834][1]~q\ & (\led_flash_cnt[2834][3]~q\ & (\led_flash_cnt[2834][2]~q\ & \led_flash_cnt[2834][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2834][1]~q\,
	datab => \led_flash_cnt[2834][3]~q\,
	datac => \led_flash_cnt[2834][2]~q\,
	datad => \led_flash_cnt[2834][4]~q\,
	combout => \WideAnd2834~0_combout\);

-- Location: LCCOMB_X17_Y1_N0
WideAnd2834 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2834~combout\ = (\WideAnd2834~1_combout\ & (\led_flash_cnt[2834][7]~q\ & (\WideAnd2834~0_combout\ & \led_flash_cnt[2834][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2834~1_combout\,
	datab => \led_flash_cnt[2834][7]~q\,
	datac => \WideAnd2834~0_combout\,
	datad => \led_flash_cnt[2834][0]~q\,
	combout => \WideAnd2834~combout\);

-- Location: FF_X17_Y1_N1
\led_flash_cnt_ands[2834]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2834~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2834));

-- Location: LCCOMB_X16_Y14_N22
\led_flash_cnt[2833][0]~83473\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2833][0]~83473_combout\ = !\led_flash_cnt[2833][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2833][0]~q\,
	combout => \led_flash_cnt[2833][0]~83473_combout\);

-- Location: FF_X16_Y14_N23
\led_flash_cnt[2833][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2833][0]~83473_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2833][0]~q\);

-- Location: LCCOMB_X16_Y14_N2
\led_flash_cnt[2833][1]~66542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2833][1]~66542_combout\ = (\led_flash_cnt[2833][0]~q\ & (\led_flash_cnt[2833][1]~q\ $ (VCC))) # (!\led_flash_cnt[2833][0]~q\ & (\led_flash_cnt[2833][1]~q\ & VCC))
-- \led_flash_cnt[2833][1]~66543\ = CARRY((\led_flash_cnt[2833][0]~q\ & \led_flash_cnt[2833][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2833][0]~q\,
	datab => \led_flash_cnt[2833][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2833][1]~66542_combout\,
	cout => \led_flash_cnt[2833][1]~66543\);

-- Location: FF_X16_Y14_N3
\led_flash_cnt[2833][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2833][1]~66542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2833][1]~q\);

-- Location: LCCOMB_X16_Y14_N4
\led_flash_cnt[2833][2]~66544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2833][2]~66544_combout\ = (\led_flash_cnt[2833][2]~q\ & (!\led_flash_cnt[2833][1]~66543\)) # (!\led_flash_cnt[2833][2]~q\ & ((\led_flash_cnt[2833][1]~66543\) # (GND)))
-- \led_flash_cnt[2833][2]~66545\ = CARRY((!\led_flash_cnt[2833][1]~66543\) # (!\led_flash_cnt[2833][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2833][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2833][1]~66543\,
	combout => \led_flash_cnt[2833][2]~66544_combout\,
	cout => \led_flash_cnt[2833][2]~66545\);

-- Location: FF_X16_Y14_N5
\led_flash_cnt[2833][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2833][2]~66544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2833][2]~q\);

-- Location: LCCOMB_X16_Y14_N6
\led_flash_cnt[2833][3]~66546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2833][3]~66546_combout\ = (\led_flash_cnt[2833][3]~q\ & (\led_flash_cnt[2833][2]~66545\ $ (GND))) # (!\led_flash_cnt[2833][3]~q\ & (!\led_flash_cnt[2833][2]~66545\ & VCC))
-- \led_flash_cnt[2833][3]~66547\ = CARRY((\led_flash_cnt[2833][3]~q\ & !\led_flash_cnt[2833][2]~66545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2833][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2833][2]~66545\,
	combout => \led_flash_cnt[2833][3]~66546_combout\,
	cout => \led_flash_cnt[2833][3]~66547\);

-- Location: FF_X16_Y14_N7
\led_flash_cnt[2833][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2833][3]~66546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2833][3]~q\);

-- Location: LCCOMB_X16_Y14_N8
\led_flash_cnt[2833][4]~66548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2833][4]~66548_combout\ = (\led_flash_cnt[2833][4]~q\ & (!\led_flash_cnt[2833][3]~66547\)) # (!\led_flash_cnt[2833][4]~q\ & ((\led_flash_cnt[2833][3]~66547\) # (GND)))
-- \led_flash_cnt[2833][4]~66549\ = CARRY((!\led_flash_cnt[2833][3]~66547\) # (!\led_flash_cnt[2833][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2833][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2833][3]~66547\,
	combout => \led_flash_cnt[2833][4]~66548_combout\,
	cout => \led_flash_cnt[2833][4]~66549\);

-- Location: FF_X16_Y14_N9
\led_flash_cnt[2833][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2833][4]~66548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2833][4]~q\);

-- Location: LCCOMB_X16_Y14_N10
\led_flash_cnt[2833][5]~66550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2833][5]~66550_combout\ = (\led_flash_cnt[2833][5]~q\ & (\led_flash_cnt[2833][4]~66549\ $ (GND))) # (!\led_flash_cnt[2833][5]~q\ & (!\led_flash_cnt[2833][4]~66549\ & VCC))
-- \led_flash_cnt[2833][5]~66551\ = CARRY((\led_flash_cnt[2833][5]~q\ & !\led_flash_cnt[2833][4]~66549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2833][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2833][4]~66549\,
	combout => \led_flash_cnt[2833][5]~66550_combout\,
	cout => \led_flash_cnt[2833][5]~66551\);

-- Location: FF_X16_Y14_N11
\led_flash_cnt[2833][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2833][5]~66550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2833][5]~q\);

-- Location: LCCOMB_X16_Y14_N12
\led_flash_cnt[2833][6]~66552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2833][6]~66552_combout\ = (\led_flash_cnt[2833][6]~q\ & (!\led_flash_cnt[2833][5]~66551\)) # (!\led_flash_cnt[2833][6]~q\ & ((\led_flash_cnt[2833][5]~66551\) # (GND)))
-- \led_flash_cnt[2833][6]~66553\ = CARRY((!\led_flash_cnt[2833][5]~66551\) # (!\led_flash_cnt[2833][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2833][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2833][5]~66551\,
	combout => \led_flash_cnt[2833][6]~66552_combout\,
	cout => \led_flash_cnt[2833][6]~66553\);

-- Location: FF_X16_Y14_N13
\led_flash_cnt[2833][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2833][6]~66552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2833][6]~q\);

-- Location: LCCOMB_X16_Y14_N16
\WideAnd2833~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2833~1_combout\ = (\led_flash_cnt[2833][5]~q\ & \led_flash_cnt[2833][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2833][5]~q\,
	datad => \led_flash_cnt[2833][6]~q\,
	combout => \WideAnd2833~1_combout\);

-- Location: LCCOMB_X16_Y14_N14
\led_flash_cnt[2833][7]~66554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2833][7]~66554_combout\ = \led_flash_cnt[2833][7]~q\ $ (!\led_flash_cnt[2833][6]~66553\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2833][7]~q\,
	cin => \led_flash_cnt[2833][6]~66553\,
	combout => \led_flash_cnt[2833][7]~66554_combout\);

-- Location: FF_X16_Y14_N15
\led_flash_cnt[2833][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2833][7]~66554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2833][7]~q\);

-- Location: LCCOMB_X16_Y14_N18
\WideAnd2833~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2833~0_combout\ = (\led_flash_cnt[2833][3]~q\ & (\led_flash_cnt[2833][2]~q\ & (\led_flash_cnt[2833][4]~q\ & \led_flash_cnt[2833][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2833][3]~q\,
	datab => \led_flash_cnt[2833][2]~q\,
	datac => \led_flash_cnt[2833][4]~q\,
	datad => \led_flash_cnt[2833][1]~q\,
	combout => \WideAnd2833~0_combout\);

-- Location: LCCOMB_X16_Y14_N30
WideAnd2833 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2833~combout\ = (\led_flash_cnt[2833][0]~q\ & (\WideAnd2833~1_combout\ & (\led_flash_cnt[2833][7]~q\ & \WideAnd2833~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2833][0]~q\,
	datab => \WideAnd2833~1_combout\,
	datac => \led_flash_cnt[2833][7]~q\,
	datad => \WideAnd2833~0_combout\,
	combout => \WideAnd2833~combout\);

-- Location: FF_X16_Y14_N31
\led_flash_cnt_ands[2833]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2833~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2833));

-- Location: LCCOMB_X17_Y4_N24
\led_flash_cnt[2835][0]~83475\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2835][0]~83475_combout\ = !\led_flash_cnt[2835][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2835][0]~q\,
	combout => \led_flash_cnt[2835][0]~83475_combout\);

-- Location: FF_X17_Y4_N25
\led_flash_cnt[2835][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2835][0]~83475_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2835][0]~q\);

-- Location: LCCOMB_X18_Y1_N0
\led_flash_cnt[2835][1]~66570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2835][1]~66570_combout\ = (\led_flash_cnt[2835][0]~q\ & (\led_flash_cnt[2835][1]~q\ $ (VCC))) # (!\led_flash_cnt[2835][0]~q\ & (\led_flash_cnt[2835][1]~q\ & VCC))
-- \led_flash_cnt[2835][1]~66571\ = CARRY((\led_flash_cnt[2835][0]~q\ & \led_flash_cnt[2835][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2835][0]~q\,
	datab => \led_flash_cnt[2835][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2835][1]~66570_combout\,
	cout => \led_flash_cnt[2835][1]~66571\);

-- Location: FF_X18_Y1_N1
\led_flash_cnt[2835][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2835][1]~66570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2835][1]~q\);

-- Location: LCCOMB_X18_Y1_N2
\led_flash_cnt[2835][2]~66572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2835][2]~66572_combout\ = (\led_flash_cnt[2835][2]~q\ & (!\led_flash_cnt[2835][1]~66571\)) # (!\led_flash_cnt[2835][2]~q\ & ((\led_flash_cnt[2835][1]~66571\) # (GND)))
-- \led_flash_cnt[2835][2]~66573\ = CARRY((!\led_flash_cnt[2835][1]~66571\) # (!\led_flash_cnt[2835][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2835][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2835][1]~66571\,
	combout => \led_flash_cnt[2835][2]~66572_combout\,
	cout => \led_flash_cnt[2835][2]~66573\);

-- Location: FF_X18_Y1_N3
\led_flash_cnt[2835][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2835][2]~66572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2835][2]~q\);

-- Location: LCCOMB_X18_Y1_N4
\led_flash_cnt[2835][3]~66574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2835][3]~66574_combout\ = (\led_flash_cnt[2835][3]~q\ & (\led_flash_cnt[2835][2]~66573\ $ (GND))) # (!\led_flash_cnt[2835][3]~q\ & (!\led_flash_cnt[2835][2]~66573\ & VCC))
-- \led_flash_cnt[2835][3]~66575\ = CARRY((\led_flash_cnt[2835][3]~q\ & !\led_flash_cnt[2835][2]~66573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2835][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2835][2]~66573\,
	combout => \led_flash_cnt[2835][3]~66574_combout\,
	cout => \led_flash_cnt[2835][3]~66575\);

-- Location: FF_X18_Y1_N5
\led_flash_cnt[2835][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2835][3]~66574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2835][3]~q\);

-- Location: LCCOMB_X18_Y1_N6
\led_flash_cnt[2835][4]~66576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2835][4]~66576_combout\ = (\led_flash_cnt[2835][4]~q\ & (!\led_flash_cnt[2835][3]~66575\)) # (!\led_flash_cnt[2835][4]~q\ & ((\led_flash_cnt[2835][3]~66575\) # (GND)))
-- \led_flash_cnt[2835][4]~66577\ = CARRY((!\led_flash_cnt[2835][3]~66575\) # (!\led_flash_cnt[2835][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2835][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2835][3]~66575\,
	combout => \led_flash_cnt[2835][4]~66576_combout\,
	cout => \led_flash_cnt[2835][4]~66577\);

-- Location: FF_X18_Y1_N7
\led_flash_cnt[2835][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2835][4]~66576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2835][4]~q\);

-- Location: LCCOMB_X18_Y1_N8
\led_flash_cnt[2835][5]~66578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2835][5]~66578_combout\ = (\led_flash_cnt[2835][5]~q\ & (\led_flash_cnt[2835][4]~66577\ $ (GND))) # (!\led_flash_cnt[2835][5]~q\ & (!\led_flash_cnt[2835][4]~66577\ & VCC))
-- \led_flash_cnt[2835][5]~66579\ = CARRY((\led_flash_cnt[2835][5]~q\ & !\led_flash_cnt[2835][4]~66577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2835][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2835][4]~66577\,
	combout => \led_flash_cnt[2835][5]~66578_combout\,
	cout => \led_flash_cnt[2835][5]~66579\);

-- Location: FF_X18_Y1_N9
\led_flash_cnt[2835][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2835][5]~66578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2835][5]~q\);

-- Location: LCCOMB_X18_Y1_N10
\led_flash_cnt[2835][6]~66580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2835][6]~66580_combout\ = (\led_flash_cnt[2835][6]~q\ & (!\led_flash_cnt[2835][5]~66579\)) # (!\led_flash_cnt[2835][6]~q\ & ((\led_flash_cnt[2835][5]~66579\) # (GND)))
-- \led_flash_cnt[2835][6]~66581\ = CARRY((!\led_flash_cnt[2835][5]~66579\) # (!\led_flash_cnt[2835][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2835][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2835][5]~66579\,
	combout => \led_flash_cnt[2835][6]~66580_combout\,
	cout => \led_flash_cnt[2835][6]~66581\);

-- Location: FF_X18_Y1_N11
\led_flash_cnt[2835][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2835][6]~66580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2835][6]~q\);

-- Location: LCCOMB_X17_Y1_N30
\WideAnd2835~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2835~1_combout\ = (\led_flash_cnt[2835][6]~q\ & \led_flash_cnt[2835][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2835][6]~q\,
	datac => \led_flash_cnt[2835][5]~q\,
	combout => \WideAnd2835~1_combout\);

-- Location: LCCOMB_X18_Y1_N12
\led_flash_cnt[2835][7]~66582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2835][7]~66582_combout\ = \led_flash_cnt[2835][6]~66581\ $ (!\led_flash_cnt[2835][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2835][7]~q\,
	cin => \led_flash_cnt[2835][6]~66581\,
	combout => \led_flash_cnt[2835][7]~66582_combout\);

-- Location: FF_X18_Y1_N13
\led_flash_cnt[2835][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2835][7]~66582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2835][7]~q\);

-- Location: LCCOMB_X18_Y1_N16
\WideAnd2835~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2835~0_combout\ = (\led_flash_cnt[2835][4]~q\ & (\led_flash_cnt[2835][1]~q\ & (\led_flash_cnt[2835][3]~q\ & \led_flash_cnt[2835][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2835][4]~q\,
	datab => \led_flash_cnt[2835][1]~q\,
	datac => \led_flash_cnt[2835][3]~q\,
	datad => \led_flash_cnt[2835][2]~q\,
	combout => \WideAnd2835~0_combout\);

-- Location: LCCOMB_X17_Y1_N2
WideAnd2835 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2835~combout\ = (\WideAnd2835~1_combout\ & (\led_flash_cnt[2835][0]~q\ & (\led_flash_cnt[2835][7]~q\ & \WideAnd2835~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2835~1_combout\,
	datab => \led_flash_cnt[2835][0]~q\,
	datac => \led_flash_cnt[2835][7]~q\,
	datad => \WideAnd2835~0_combout\,
	combout => \WideAnd2835~combout\);

-- Location: FF_X17_Y1_N3
\led_flash_cnt_ands[2835]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2835~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2835));

-- Location: LCCOMB_X15_Y2_N22
\led_flash_cnt[2832][0]~83472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2832][0]~83472_combout\ = !\led_flash_cnt[2832][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2832][0]~q\,
	combout => \led_flash_cnt[2832][0]~83472_combout\);

-- Location: FF_X15_Y2_N23
\led_flash_cnt[2832][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2832][0]~83472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2832][0]~q\);

-- Location: LCCOMB_X15_Y2_N4
\led_flash_cnt[2832][1]~66528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2832][1]~66528_combout\ = (\led_flash_cnt[2832][0]~q\ & (\led_flash_cnt[2832][1]~q\ $ (VCC))) # (!\led_flash_cnt[2832][0]~q\ & (\led_flash_cnt[2832][1]~q\ & VCC))
-- \led_flash_cnt[2832][1]~66529\ = CARRY((\led_flash_cnt[2832][0]~q\ & \led_flash_cnt[2832][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2832][0]~q\,
	datab => \led_flash_cnt[2832][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2832][1]~66528_combout\,
	cout => \led_flash_cnt[2832][1]~66529\);

-- Location: FF_X15_Y2_N5
\led_flash_cnt[2832][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2832][1]~66528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2832][1]~q\);

-- Location: LCCOMB_X15_Y2_N6
\led_flash_cnt[2832][2]~66530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2832][2]~66530_combout\ = (\led_flash_cnt[2832][2]~q\ & (!\led_flash_cnt[2832][1]~66529\)) # (!\led_flash_cnt[2832][2]~q\ & ((\led_flash_cnt[2832][1]~66529\) # (GND)))
-- \led_flash_cnt[2832][2]~66531\ = CARRY((!\led_flash_cnt[2832][1]~66529\) # (!\led_flash_cnt[2832][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2832][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2832][1]~66529\,
	combout => \led_flash_cnt[2832][2]~66530_combout\,
	cout => \led_flash_cnt[2832][2]~66531\);

-- Location: FF_X15_Y2_N7
\led_flash_cnt[2832][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2832][2]~66530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2832][2]~q\);

-- Location: LCCOMB_X15_Y2_N8
\led_flash_cnt[2832][3]~66532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2832][3]~66532_combout\ = (\led_flash_cnt[2832][3]~q\ & (\led_flash_cnt[2832][2]~66531\ $ (GND))) # (!\led_flash_cnt[2832][3]~q\ & (!\led_flash_cnt[2832][2]~66531\ & VCC))
-- \led_flash_cnt[2832][3]~66533\ = CARRY((\led_flash_cnt[2832][3]~q\ & !\led_flash_cnt[2832][2]~66531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2832][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2832][2]~66531\,
	combout => \led_flash_cnt[2832][3]~66532_combout\,
	cout => \led_flash_cnt[2832][3]~66533\);

-- Location: FF_X15_Y2_N9
\led_flash_cnt[2832][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2832][3]~66532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2832][3]~q\);

-- Location: LCCOMB_X15_Y2_N10
\led_flash_cnt[2832][4]~66534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2832][4]~66534_combout\ = (\led_flash_cnt[2832][4]~q\ & (!\led_flash_cnt[2832][3]~66533\)) # (!\led_flash_cnt[2832][4]~q\ & ((\led_flash_cnt[2832][3]~66533\) # (GND)))
-- \led_flash_cnt[2832][4]~66535\ = CARRY((!\led_flash_cnt[2832][3]~66533\) # (!\led_flash_cnt[2832][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2832][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2832][3]~66533\,
	combout => \led_flash_cnt[2832][4]~66534_combout\,
	cout => \led_flash_cnt[2832][4]~66535\);

-- Location: FF_X15_Y2_N11
\led_flash_cnt[2832][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2832][4]~66534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2832][4]~q\);

-- Location: LCCOMB_X15_Y2_N12
\led_flash_cnt[2832][5]~66536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2832][5]~66536_combout\ = (\led_flash_cnt[2832][5]~q\ & (\led_flash_cnt[2832][4]~66535\ $ (GND))) # (!\led_flash_cnt[2832][5]~q\ & (!\led_flash_cnt[2832][4]~66535\ & VCC))
-- \led_flash_cnt[2832][5]~66537\ = CARRY((\led_flash_cnt[2832][5]~q\ & !\led_flash_cnt[2832][4]~66535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2832][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2832][4]~66535\,
	combout => \led_flash_cnt[2832][5]~66536_combout\,
	cout => \led_flash_cnt[2832][5]~66537\);

-- Location: FF_X15_Y2_N13
\led_flash_cnt[2832][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2832][5]~66536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2832][5]~q\);

-- Location: LCCOMB_X15_Y2_N14
\led_flash_cnt[2832][6]~66538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2832][6]~66538_combout\ = (\led_flash_cnt[2832][6]~q\ & (!\led_flash_cnt[2832][5]~66537\)) # (!\led_flash_cnt[2832][6]~q\ & ((\led_flash_cnt[2832][5]~66537\) # (GND)))
-- \led_flash_cnt[2832][6]~66539\ = CARRY((!\led_flash_cnt[2832][5]~66537\) # (!\led_flash_cnt[2832][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2832][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2832][5]~66537\,
	combout => \led_flash_cnt[2832][6]~66538_combout\,
	cout => \led_flash_cnt[2832][6]~66539\);

-- Location: FF_X15_Y2_N15
\led_flash_cnt[2832][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2832][6]~66538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2832][6]~q\);

-- Location: LCCOMB_X15_Y2_N24
\WideAnd2832~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2832~1_combout\ = (\led_flash_cnt[2832][6]~q\ & \led_flash_cnt[2832][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2832][6]~q\,
	datad => \led_flash_cnt[2832][5]~q\,
	combout => \WideAnd2832~1_combout\);

-- Location: LCCOMB_X15_Y2_N26
\WideAnd2832~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2832~0_combout\ = (\led_flash_cnt[2832][2]~q\ & (\led_flash_cnt[2832][3]~q\ & (\led_flash_cnt[2832][1]~q\ & \led_flash_cnt[2832][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2832][2]~q\,
	datab => \led_flash_cnt[2832][3]~q\,
	datac => \led_flash_cnt[2832][1]~q\,
	datad => \led_flash_cnt[2832][4]~q\,
	combout => \WideAnd2832~0_combout\);

-- Location: LCCOMB_X15_Y2_N16
\led_flash_cnt[2832][7]~66540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2832][7]~66540_combout\ = \led_flash_cnt[2832][6]~66539\ $ (!\led_flash_cnt[2832][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2832][7]~q\,
	cin => \led_flash_cnt[2832][6]~66539\,
	combout => \led_flash_cnt[2832][7]~66540_combout\);

-- Location: FF_X15_Y2_N17
\led_flash_cnt[2832][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2832][7]~66540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2832][7]~q\);

-- Location: LCCOMB_X15_Y2_N28
WideAnd2832 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2832~combout\ = (\led_flash_cnt[2832][0]~q\ & (\WideAnd2832~1_combout\ & (\WideAnd2832~0_combout\ & \led_flash_cnt[2832][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2832][0]~q\,
	datab => \WideAnd2832~1_combout\,
	datac => \WideAnd2832~0_combout\,
	datad => \led_flash_cnt[2832][7]~q\,
	combout => \WideAnd2832~combout\);

-- Location: FF_X15_Y2_N29
\led_flash_cnt_ands[2832]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2832~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2832));

-- Location: LCCOMB_X16_Y2_N24
\WideAnd4194~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4194~0_combout\ = (led_flash_cnt_ands(2834) & (led_flash_cnt_ands(2833) & (led_flash_cnt_ands(2835) & led_flash_cnt_ands(2832))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2834),
	datab => led_flash_cnt_ands(2833),
	datac => led_flash_cnt_ands(2835),
	datad => led_flash_cnt_ands(2832),
	combout => \WideAnd4194~0_combout\);

-- Location: LCCOMB_X18_Y14_N22
\led_flash_cnt[2838][0]~83478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2838][0]~83478_combout\ = !\led_flash_cnt[2838][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2838][0]~q\,
	combout => \led_flash_cnt[2838][0]~83478_combout\);

-- Location: FF_X18_Y14_N23
\led_flash_cnt[2838][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2838][0]~83478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2838][0]~q\);

-- Location: LCCOMB_X18_Y14_N2
\led_flash_cnt[2838][1]~66612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2838][1]~66612_combout\ = (\led_flash_cnt[2838][0]~q\ & (\led_flash_cnt[2838][1]~q\ $ (VCC))) # (!\led_flash_cnt[2838][0]~q\ & (\led_flash_cnt[2838][1]~q\ & VCC))
-- \led_flash_cnt[2838][1]~66613\ = CARRY((\led_flash_cnt[2838][0]~q\ & \led_flash_cnt[2838][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2838][0]~q\,
	datab => \led_flash_cnt[2838][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2838][1]~66612_combout\,
	cout => \led_flash_cnt[2838][1]~66613\);

-- Location: FF_X18_Y14_N3
\led_flash_cnt[2838][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2838][1]~66612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2838][1]~q\);

-- Location: LCCOMB_X18_Y14_N4
\led_flash_cnt[2838][2]~66614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2838][2]~66614_combout\ = (\led_flash_cnt[2838][2]~q\ & (!\led_flash_cnt[2838][1]~66613\)) # (!\led_flash_cnt[2838][2]~q\ & ((\led_flash_cnt[2838][1]~66613\) # (GND)))
-- \led_flash_cnt[2838][2]~66615\ = CARRY((!\led_flash_cnt[2838][1]~66613\) # (!\led_flash_cnt[2838][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2838][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2838][1]~66613\,
	combout => \led_flash_cnt[2838][2]~66614_combout\,
	cout => \led_flash_cnt[2838][2]~66615\);

-- Location: FF_X18_Y14_N5
\led_flash_cnt[2838][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2838][2]~66614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2838][2]~q\);

-- Location: LCCOMB_X18_Y14_N6
\led_flash_cnt[2838][3]~66616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2838][3]~66616_combout\ = (\led_flash_cnt[2838][3]~q\ & (\led_flash_cnt[2838][2]~66615\ $ (GND))) # (!\led_flash_cnt[2838][3]~q\ & (!\led_flash_cnt[2838][2]~66615\ & VCC))
-- \led_flash_cnt[2838][3]~66617\ = CARRY((\led_flash_cnt[2838][3]~q\ & !\led_flash_cnt[2838][2]~66615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2838][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2838][2]~66615\,
	combout => \led_flash_cnt[2838][3]~66616_combout\,
	cout => \led_flash_cnt[2838][3]~66617\);

-- Location: FF_X18_Y14_N7
\led_flash_cnt[2838][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2838][3]~66616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2838][3]~q\);

-- Location: LCCOMB_X18_Y14_N8
\led_flash_cnt[2838][4]~66618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2838][4]~66618_combout\ = (\led_flash_cnt[2838][4]~q\ & (!\led_flash_cnt[2838][3]~66617\)) # (!\led_flash_cnt[2838][4]~q\ & ((\led_flash_cnt[2838][3]~66617\) # (GND)))
-- \led_flash_cnt[2838][4]~66619\ = CARRY((!\led_flash_cnt[2838][3]~66617\) # (!\led_flash_cnt[2838][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2838][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2838][3]~66617\,
	combout => \led_flash_cnt[2838][4]~66618_combout\,
	cout => \led_flash_cnt[2838][4]~66619\);

-- Location: FF_X18_Y14_N9
\led_flash_cnt[2838][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2838][4]~66618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2838][4]~q\);

-- Location: LCCOMB_X18_Y14_N26
\WideAnd2838~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2838~0_combout\ = (\led_flash_cnt[2838][3]~q\ & (\led_flash_cnt[2838][2]~q\ & (\led_flash_cnt[2838][4]~q\ & \led_flash_cnt[2838][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2838][3]~q\,
	datab => \led_flash_cnt[2838][2]~q\,
	datac => \led_flash_cnt[2838][4]~q\,
	datad => \led_flash_cnt[2838][1]~q\,
	combout => \WideAnd2838~0_combout\);

-- Location: LCCOMB_X18_Y14_N10
\led_flash_cnt[2838][5]~66620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2838][5]~66620_combout\ = (\led_flash_cnt[2838][5]~q\ & (\led_flash_cnt[2838][4]~66619\ $ (GND))) # (!\led_flash_cnt[2838][5]~q\ & (!\led_flash_cnt[2838][4]~66619\ & VCC))
-- \led_flash_cnt[2838][5]~66621\ = CARRY((\led_flash_cnt[2838][5]~q\ & !\led_flash_cnt[2838][4]~66619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2838][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2838][4]~66619\,
	combout => \led_flash_cnt[2838][5]~66620_combout\,
	cout => \led_flash_cnt[2838][5]~66621\);

-- Location: FF_X18_Y14_N11
\led_flash_cnt[2838][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2838][5]~66620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2838][5]~q\);

-- Location: LCCOMB_X18_Y14_N12
\led_flash_cnt[2838][6]~66622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2838][6]~66622_combout\ = (\led_flash_cnt[2838][6]~q\ & (!\led_flash_cnt[2838][5]~66621\)) # (!\led_flash_cnt[2838][6]~q\ & ((\led_flash_cnt[2838][5]~66621\) # (GND)))
-- \led_flash_cnt[2838][6]~66623\ = CARRY((!\led_flash_cnt[2838][5]~66621\) # (!\led_flash_cnt[2838][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2838][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2838][5]~66621\,
	combout => \led_flash_cnt[2838][6]~66622_combout\,
	cout => \led_flash_cnt[2838][6]~66623\);

-- Location: FF_X18_Y14_N13
\led_flash_cnt[2838][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2838][6]~66622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2838][6]~q\);

-- Location: LCCOMB_X18_Y14_N14
\led_flash_cnt[2838][7]~66624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2838][7]~66624_combout\ = \led_flash_cnt[2838][7]~q\ $ (!\led_flash_cnt[2838][6]~66623\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2838][7]~q\,
	cin => \led_flash_cnt[2838][6]~66623\,
	combout => \led_flash_cnt[2838][7]~66624_combout\);

-- Location: FF_X18_Y14_N15
\led_flash_cnt[2838][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2838][7]~66624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2838][7]~q\);

-- Location: LCCOMB_X18_Y14_N18
\WideAnd2838~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2838~1_combout\ = (\led_flash_cnt[2838][6]~q\ & \led_flash_cnt[2838][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2838][6]~q\,
	datad => \led_flash_cnt[2838][5]~q\,
	combout => \WideAnd2838~1_combout\);

-- Location: LCCOMB_X18_Y14_N20
WideAnd2838 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2838~combout\ = (\WideAnd2838~0_combout\ & (\led_flash_cnt[2838][7]~q\ & (\led_flash_cnt[2838][0]~q\ & \WideAnd2838~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2838~0_combout\,
	datab => \led_flash_cnt[2838][7]~q\,
	datac => \led_flash_cnt[2838][0]~q\,
	datad => \WideAnd2838~1_combout\,
	combout => \WideAnd2838~combout\);

-- Location: FF_X18_Y14_N21
\led_flash_cnt_ands[2838]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2838~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2838));

-- Location: LCCOMB_X18_Y14_N16
WideAnd4194 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4194~combout\ = (\WideAnd4194~1_combout\ & (led_flash_cnt_ands(2839) & (\WideAnd4194~0_combout\ & led_flash_cnt_ands(2838))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4194~1_combout\,
	datab => led_flash_cnt_ands(2839),
	datac => \WideAnd4194~0_combout\,
	datad => led_flash_cnt_ands(2838),
	combout => \WideAnd4194~combout\);

-- Location: FF_X18_Y14_N17
\led_flash_cnt_ands_1[354]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4194~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(354));

-- Location: LCCOMB_X35_Y30_N2
\led_flash_cnt[2822][0]~83462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2822][0]~83462_combout\ = !\led_flash_cnt[2822][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2822][0]~q\,
	combout => \led_flash_cnt[2822][0]~83462_combout\);

-- Location: FF_X35_Y30_N3
\led_flash_cnt[2822][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2822][0]~83462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2822][0]~q\);

-- Location: LCCOMB_X34_Y30_N4
\led_flash_cnt[2822][1]~66388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2822][1]~66388_combout\ = (\led_flash_cnt[2822][0]~q\ & (\led_flash_cnt[2822][1]~q\ $ (VCC))) # (!\led_flash_cnt[2822][0]~q\ & (\led_flash_cnt[2822][1]~q\ & VCC))
-- \led_flash_cnt[2822][1]~66389\ = CARRY((\led_flash_cnt[2822][0]~q\ & \led_flash_cnt[2822][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2822][0]~q\,
	datab => \led_flash_cnt[2822][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2822][1]~66388_combout\,
	cout => \led_flash_cnt[2822][1]~66389\);

-- Location: FF_X34_Y30_N5
\led_flash_cnt[2822][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2822][1]~66388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2822][1]~q\);

-- Location: LCCOMB_X34_Y30_N6
\led_flash_cnt[2822][2]~66390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2822][2]~66390_combout\ = (\led_flash_cnt[2822][2]~q\ & (!\led_flash_cnt[2822][1]~66389\)) # (!\led_flash_cnt[2822][2]~q\ & ((\led_flash_cnt[2822][1]~66389\) # (GND)))
-- \led_flash_cnt[2822][2]~66391\ = CARRY((!\led_flash_cnt[2822][1]~66389\) # (!\led_flash_cnt[2822][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2822][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2822][1]~66389\,
	combout => \led_flash_cnt[2822][2]~66390_combout\,
	cout => \led_flash_cnt[2822][2]~66391\);

-- Location: FF_X34_Y30_N7
\led_flash_cnt[2822][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2822][2]~66390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2822][2]~q\);

-- Location: LCCOMB_X34_Y30_N8
\led_flash_cnt[2822][3]~66392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2822][3]~66392_combout\ = (\led_flash_cnt[2822][3]~q\ & (\led_flash_cnt[2822][2]~66391\ $ (GND))) # (!\led_flash_cnt[2822][3]~q\ & (!\led_flash_cnt[2822][2]~66391\ & VCC))
-- \led_flash_cnt[2822][3]~66393\ = CARRY((\led_flash_cnt[2822][3]~q\ & !\led_flash_cnt[2822][2]~66391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2822][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2822][2]~66391\,
	combout => \led_flash_cnt[2822][3]~66392_combout\,
	cout => \led_flash_cnt[2822][3]~66393\);

-- Location: FF_X34_Y30_N9
\led_flash_cnt[2822][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2822][3]~66392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2822][3]~q\);

-- Location: LCCOMB_X34_Y30_N10
\led_flash_cnt[2822][4]~66394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2822][4]~66394_combout\ = (\led_flash_cnt[2822][4]~q\ & (!\led_flash_cnt[2822][3]~66393\)) # (!\led_flash_cnt[2822][4]~q\ & ((\led_flash_cnt[2822][3]~66393\) # (GND)))
-- \led_flash_cnt[2822][4]~66395\ = CARRY((!\led_flash_cnt[2822][3]~66393\) # (!\led_flash_cnt[2822][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2822][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2822][3]~66393\,
	combout => \led_flash_cnt[2822][4]~66394_combout\,
	cout => \led_flash_cnt[2822][4]~66395\);

-- Location: FF_X34_Y30_N11
\led_flash_cnt[2822][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2822][4]~66394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2822][4]~q\);

-- Location: LCCOMB_X34_Y30_N12
\led_flash_cnt[2822][5]~66396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2822][5]~66396_combout\ = (\led_flash_cnt[2822][5]~q\ & (\led_flash_cnt[2822][4]~66395\ $ (GND))) # (!\led_flash_cnt[2822][5]~q\ & (!\led_flash_cnt[2822][4]~66395\ & VCC))
-- \led_flash_cnt[2822][5]~66397\ = CARRY((\led_flash_cnt[2822][5]~q\ & !\led_flash_cnt[2822][4]~66395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2822][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2822][4]~66395\,
	combout => \led_flash_cnt[2822][5]~66396_combout\,
	cout => \led_flash_cnt[2822][5]~66397\);

-- Location: FF_X34_Y30_N13
\led_flash_cnt[2822][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2822][5]~66396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2822][5]~q\);

-- Location: LCCOMB_X34_Y30_N14
\led_flash_cnt[2822][6]~66398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2822][6]~66398_combout\ = (\led_flash_cnt[2822][6]~q\ & (!\led_flash_cnt[2822][5]~66397\)) # (!\led_flash_cnt[2822][6]~q\ & ((\led_flash_cnt[2822][5]~66397\) # (GND)))
-- \led_flash_cnt[2822][6]~66399\ = CARRY((!\led_flash_cnt[2822][5]~66397\) # (!\led_flash_cnt[2822][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2822][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2822][5]~66397\,
	combout => \led_flash_cnt[2822][6]~66398_combout\,
	cout => \led_flash_cnt[2822][6]~66399\);

-- Location: FF_X34_Y30_N15
\led_flash_cnt[2822][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2822][6]~66398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2822][6]~q\);

-- Location: LCCOMB_X35_Y30_N22
\WideAnd2822~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2822~1_combout\ = (\led_flash_cnt[2822][6]~q\ & \led_flash_cnt[2822][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2822][6]~q\,
	datad => \led_flash_cnt[2822][5]~q\,
	combout => \WideAnd2822~1_combout\);

-- Location: LCCOMB_X34_Y30_N16
\led_flash_cnt[2822][7]~66400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2822][7]~66400_combout\ = \led_flash_cnt[2822][6]~66399\ $ (!\led_flash_cnt[2822][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2822][7]~q\,
	cin => \led_flash_cnt[2822][6]~66399\,
	combout => \led_flash_cnt[2822][7]~66400_combout\);

-- Location: FF_X34_Y30_N17
\led_flash_cnt[2822][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2822][7]~66400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2822][7]~q\);

-- Location: LCCOMB_X34_Y30_N0
\WideAnd2822~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2822~0_combout\ = (\led_flash_cnt[2822][4]~q\ & (\led_flash_cnt[2822][3]~q\ & (\led_flash_cnt[2822][1]~q\ & \led_flash_cnt[2822][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2822][4]~q\,
	datab => \led_flash_cnt[2822][3]~q\,
	datac => \led_flash_cnt[2822][1]~q\,
	datad => \led_flash_cnt[2822][2]~q\,
	combout => \WideAnd2822~0_combout\);

-- Location: LCCOMB_X35_Y30_N26
WideAnd2822 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2822~combout\ = (\WideAnd2822~1_combout\ & (\led_flash_cnt[2822][0]~q\ & (\led_flash_cnt[2822][7]~q\ & \WideAnd2822~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2822~1_combout\,
	datab => \led_flash_cnt[2822][0]~q\,
	datac => \led_flash_cnt[2822][7]~q\,
	datad => \WideAnd2822~0_combout\,
	combout => \WideAnd2822~combout\);

-- Location: FF_X35_Y30_N27
\led_flash_cnt_ands[2822]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2822~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2822));

-- Location: LCCOMB_X36_Y35_N6
\led_flash_cnt[2821][0]~83461\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2821][0]~83461_combout\ = !\led_flash_cnt[2821][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2821][0]~q\,
	combout => \led_flash_cnt[2821][0]~83461_combout\);

-- Location: FF_X36_Y35_N7
\led_flash_cnt[2821][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2821][0]~83461_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2821][0]~q\);

-- Location: LCCOMB_X37_Y35_N18
\led_flash_cnt[2821][1]~66374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2821][1]~66374_combout\ = (\led_flash_cnt[2821][0]~q\ & (\led_flash_cnt[2821][1]~q\ $ (VCC))) # (!\led_flash_cnt[2821][0]~q\ & (\led_flash_cnt[2821][1]~q\ & VCC))
-- \led_flash_cnt[2821][1]~66375\ = CARRY((\led_flash_cnt[2821][0]~q\ & \led_flash_cnt[2821][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2821][0]~q\,
	datab => \led_flash_cnt[2821][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2821][1]~66374_combout\,
	cout => \led_flash_cnt[2821][1]~66375\);

-- Location: FF_X37_Y35_N19
\led_flash_cnt[2821][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2821][1]~66374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2821][1]~q\);

-- Location: LCCOMB_X37_Y35_N20
\led_flash_cnt[2821][2]~66376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2821][2]~66376_combout\ = (\led_flash_cnt[2821][2]~q\ & (!\led_flash_cnt[2821][1]~66375\)) # (!\led_flash_cnt[2821][2]~q\ & ((\led_flash_cnt[2821][1]~66375\) # (GND)))
-- \led_flash_cnt[2821][2]~66377\ = CARRY((!\led_flash_cnt[2821][1]~66375\) # (!\led_flash_cnt[2821][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2821][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2821][1]~66375\,
	combout => \led_flash_cnt[2821][2]~66376_combout\,
	cout => \led_flash_cnt[2821][2]~66377\);

-- Location: FF_X37_Y35_N21
\led_flash_cnt[2821][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2821][2]~66376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2821][2]~q\);

-- Location: LCCOMB_X37_Y35_N22
\led_flash_cnt[2821][3]~66378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2821][3]~66378_combout\ = (\led_flash_cnt[2821][3]~q\ & (\led_flash_cnt[2821][2]~66377\ $ (GND))) # (!\led_flash_cnt[2821][3]~q\ & (!\led_flash_cnt[2821][2]~66377\ & VCC))
-- \led_flash_cnt[2821][3]~66379\ = CARRY((\led_flash_cnt[2821][3]~q\ & !\led_flash_cnt[2821][2]~66377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2821][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2821][2]~66377\,
	combout => \led_flash_cnt[2821][3]~66378_combout\,
	cout => \led_flash_cnt[2821][3]~66379\);

-- Location: FF_X37_Y35_N23
\led_flash_cnt[2821][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2821][3]~66378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2821][3]~q\);

-- Location: LCCOMB_X37_Y35_N24
\led_flash_cnt[2821][4]~66380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2821][4]~66380_combout\ = (\led_flash_cnt[2821][4]~q\ & (!\led_flash_cnt[2821][3]~66379\)) # (!\led_flash_cnt[2821][4]~q\ & ((\led_flash_cnt[2821][3]~66379\) # (GND)))
-- \led_flash_cnt[2821][4]~66381\ = CARRY((!\led_flash_cnt[2821][3]~66379\) # (!\led_flash_cnt[2821][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2821][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2821][3]~66379\,
	combout => \led_flash_cnt[2821][4]~66380_combout\,
	cout => \led_flash_cnt[2821][4]~66381\);

-- Location: FF_X37_Y35_N25
\led_flash_cnt[2821][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2821][4]~66380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2821][4]~q\);

-- Location: LCCOMB_X37_Y35_N26
\led_flash_cnt[2821][5]~66382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2821][5]~66382_combout\ = (\led_flash_cnt[2821][5]~q\ & (\led_flash_cnt[2821][4]~66381\ $ (GND))) # (!\led_flash_cnt[2821][5]~q\ & (!\led_flash_cnt[2821][4]~66381\ & VCC))
-- \led_flash_cnt[2821][5]~66383\ = CARRY((\led_flash_cnt[2821][5]~q\ & !\led_flash_cnt[2821][4]~66381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2821][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2821][4]~66381\,
	combout => \led_flash_cnt[2821][5]~66382_combout\,
	cout => \led_flash_cnt[2821][5]~66383\);

-- Location: FF_X37_Y35_N27
\led_flash_cnt[2821][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2821][5]~66382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2821][5]~q\);

-- Location: LCCOMB_X37_Y35_N28
\led_flash_cnt[2821][6]~66384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2821][6]~66384_combout\ = (\led_flash_cnt[2821][6]~q\ & (!\led_flash_cnt[2821][5]~66383\)) # (!\led_flash_cnt[2821][6]~q\ & ((\led_flash_cnt[2821][5]~66383\) # (GND)))
-- \led_flash_cnt[2821][6]~66385\ = CARRY((!\led_flash_cnt[2821][5]~66383\) # (!\led_flash_cnt[2821][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2821][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2821][5]~66383\,
	combout => \led_flash_cnt[2821][6]~66384_combout\,
	cout => \led_flash_cnt[2821][6]~66385\);

-- Location: FF_X37_Y35_N29
\led_flash_cnt[2821][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2821][6]~66384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2821][6]~q\);

-- Location: LCCOMB_X36_Y35_N12
\WideAnd2821~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2821~1_combout\ = (\led_flash_cnt[2821][6]~q\ & \led_flash_cnt[2821][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2821][6]~q\,
	datad => \led_flash_cnt[2821][5]~q\,
	combout => \WideAnd2821~1_combout\);

-- Location: LCCOMB_X37_Y35_N14
\WideAnd2821~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2821~0_combout\ = (\led_flash_cnt[2821][4]~q\ & (\led_flash_cnt[2821][2]~q\ & (\led_flash_cnt[2821][3]~q\ & \led_flash_cnt[2821][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2821][4]~q\,
	datab => \led_flash_cnt[2821][2]~q\,
	datac => \led_flash_cnt[2821][3]~q\,
	datad => \led_flash_cnt[2821][1]~q\,
	combout => \WideAnd2821~0_combout\);

-- Location: LCCOMB_X37_Y35_N30
\led_flash_cnt[2821][7]~66386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2821][7]~66386_combout\ = \led_flash_cnt[2821][7]~q\ $ (!\led_flash_cnt[2821][6]~66385\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2821][7]~q\,
	cin => \led_flash_cnt[2821][6]~66385\,
	combout => \led_flash_cnt[2821][7]~66386_combout\);

-- Location: FF_X37_Y35_N31
\led_flash_cnt[2821][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2821][7]~66386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2821][7]~q\);

-- Location: LCCOMB_X36_Y35_N8
WideAnd2821 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2821~combout\ = (\WideAnd2821~1_combout\ & (\WideAnd2821~0_combout\ & (\led_flash_cnt[2821][7]~q\ & \led_flash_cnt[2821][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2821~1_combout\,
	datab => \WideAnd2821~0_combout\,
	datac => \led_flash_cnt[2821][7]~q\,
	datad => \led_flash_cnt[2821][0]~q\,
	combout => \WideAnd2821~combout\);

-- Location: FF_X36_Y35_N9
\led_flash_cnt_ands[2821]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2821~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2821));

-- Location: LCCOMB_X36_Y37_N26
\led_flash_cnt[2820][0]~83460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2820][0]~83460_combout\ = !\led_flash_cnt[2820][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2820][0]~q\,
	combout => \led_flash_cnt[2820][0]~83460_combout\);

-- Location: FF_X36_Y37_N27
\led_flash_cnt[2820][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2820][0]~83460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2820][0]~q\);

-- Location: LCCOMB_X36_Y35_N14
\led_flash_cnt[2820][1]~66360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2820][1]~66360_combout\ = (\led_flash_cnt[2820][0]~q\ & (\led_flash_cnt[2820][1]~q\ $ (VCC))) # (!\led_flash_cnt[2820][0]~q\ & (\led_flash_cnt[2820][1]~q\ & VCC))
-- \led_flash_cnt[2820][1]~66361\ = CARRY((\led_flash_cnt[2820][0]~q\ & \led_flash_cnt[2820][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2820][0]~q\,
	datab => \led_flash_cnt[2820][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2820][1]~66360_combout\,
	cout => \led_flash_cnt[2820][1]~66361\);

-- Location: FF_X36_Y35_N15
\led_flash_cnt[2820][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2820][1]~66360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2820][1]~q\);

-- Location: LCCOMB_X36_Y35_N16
\led_flash_cnt[2820][2]~66362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2820][2]~66362_combout\ = (\led_flash_cnt[2820][2]~q\ & (!\led_flash_cnt[2820][1]~66361\)) # (!\led_flash_cnt[2820][2]~q\ & ((\led_flash_cnt[2820][1]~66361\) # (GND)))
-- \led_flash_cnt[2820][2]~66363\ = CARRY((!\led_flash_cnt[2820][1]~66361\) # (!\led_flash_cnt[2820][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2820][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2820][1]~66361\,
	combout => \led_flash_cnt[2820][2]~66362_combout\,
	cout => \led_flash_cnt[2820][2]~66363\);

-- Location: FF_X36_Y35_N17
\led_flash_cnt[2820][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2820][2]~66362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2820][2]~q\);

-- Location: LCCOMB_X36_Y35_N18
\led_flash_cnt[2820][3]~66364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2820][3]~66364_combout\ = (\led_flash_cnt[2820][3]~q\ & (\led_flash_cnt[2820][2]~66363\ $ (GND))) # (!\led_flash_cnt[2820][3]~q\ & (!\led_flash_cnt[2820][2]~66363\ & VCC))
-- \led_flash_cnt[2820][3]~66365\ = CARRY((\led_flash_cnt[2820][3]~q\ & !\led_flash_cnt[2820][2]~66363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2820][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2820][2]~66363\,
	combout => \led_flash_cnt[2820][3]~66364_combout\,
	cout => \led_flash_cnt[2820][3]~66365\);

-- Location: FF_X36_Y35_N19
\led_flash_cnt[2820][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2820][3]~66364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2820][3]~q\);

-- Location: LCCOMB_X36_Y35_N20
\led_flash_cnt[2820][4]~66366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2820][4]~66366_combout\ = (\led_flash_cnt[2820][4]~q\ & (!\led_flash_cnt[2820][3]~66365\)) # (!\led_flash_cnt[2820][4]~q\ & ((\led_flash_cnt[2820][3]~66365\) # (GND)))
-- \led_flash_cnt[2820][4]~66367\ = CARRY((!\led_flash_cnt[2820][3]~66365\) # (!\led_flash_cnt[2820][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2820][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2820][3]~66365\,
	combout => \led_flash_cnt[2820][4]~66366_combout\,
	cout => \led_flash_cnt[2820][4]~66367\);

-- Location: FF_X36_Y35_N21
\led_flash_cnt[2820][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2820][4]~66366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2820][4]~q\);

-- Location: LCCOMB_X36_Y35_N22
\led_flash_cnt[2820][5]~66368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2820][5]~66368_combout\ = (\led_flash_cnt[2820][5]~q\ & (\led_flash_cnt[2820][4]~66367\ $ (GND))) # (!\led_flash_cnt[2820][5]~q\ & (!\led_flash_cnt[2820][4]~66367\ & VCC))
-- \led_flash_cnt[2820][5]~66369\ = CARRY((\led_flash_cnt[2820][5]~q\ & !\led_flash_cnt[2820][4]~66367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2820][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2820][4]~66367\,
	combout => \led_flash_cnt[2820][5]~66368_combout\,
	cout => \led_flash_cnt[2820][5]~66369\);

-- Location: FF_X36_Y35_N23
\led_flash_cnt[2820][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2820][5]~66368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2820][5]~q\);

-- Location: LCCOMB_X36_Y35_N24
\led_flash_cnt[2820][6]~66370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2820][6]~66370_combout\ = (\led_flash_cnt[2820][6]~q\ & (!\led_flash_cnt[2820][5]~66369\)) # (!\led_flash_cnt[2820][6]~q\ & ((\led_flash_cnt[2820][5]~66369\) # (GND)))
-- \led_flash_cnt[2820][6]~66371\ = CARRY((!\led_flash_cnt[2820][5]~66369\) # (!\led_flash_cnt[2820][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2820][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2820][5]~66369\,
	combout => \led_flash_cnt[2820][6]~66370_combout\,
	cout => \led_flash_cnt[2820][6]~66371\);

-- Location: FF_X36_Y35_N25
\led_flash_cnt[2820][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2820][6]~66370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2820][6]~q\);

-- Location: LCCOMB_X36_Y35_N26
\led_flash_cnt[2820][7]~66372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2820][7]~66372_combout\ = \led_flash_cnt[2820][7]~q\ $ (!\led_flash_cnt[2820][6]~66371\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2820][7]~q\,
	cin => \led_flash_cnt[2820][6]~66371\,
	combout => \led_flash_cnt[2820][7]~66372_combout\);

-- Location: FF_X36_Y35_N27
\led_flash_cnt[2820][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2820][7]~66372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2820][7]~q\);

-- Location: LCCOMB_X36_Y35_N28
\WideAnd2820~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2820~1_combout\ = (\led_flash_cnt[2820][5]~q\ & \led_flash_cnt[2820][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2820][5]~q\,
	datad => \led_flash_cnt[2820][6]~q\,
	combout => \WideAnd2820~1_combout\);

-- Location: LCCOMB_X36_Y35_N4
\WideAnd2820~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2820~0_combout\ = (\led_flash_cnt[2820][4]~q\ & (\led_flash_cnt[2820][2]~q\ & (\led_flash_cnt[2820][1]~q\ & \led_flash_cnt[2820][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2820][4]~q\,
	datab => \led_flash_cnt[2820][2]~q\,
	datac => \led_flash_cnt[2820][1]~q\,
	datad => \led_flash_cnt[2820][3]~q\,
	combout => \WideAnd2820~0_combout\);

-- Location: LCCOMB_X36_Y35_N2
WideAnd2820 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2820~combout\ = (\led_flash_cnt[2820][7]~q\ & (\WideAnd2820~1_combout\ & (\WideAnd2820~0_combout\ & \led_flash_cnt[2820][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2820][7]~q\,
	datab => \WideAnd2820~1_combout\,
	datac => \WideAnd2820~0_combout\,
	datad => \led_flash_cnt[2820][0]~q\,
	combout => \WideAnd2820~combout\);

-- Location: FF_X36_Y35_N3
\led_flash_cnt_ands[2820]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2820~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2820));

-- Location: LCCOMB_X36_Y35_N30
\WideAnd4192~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4192~1_combout\ = (led_flash_cnt_ands(2821) & led_flash_cnt_ands(2820))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2821),
	datad => led_flash_cnt_ands(2820),
	combout => \WideAnd4192~1_combout\);

-- Location: LCCOMB_X35_Y30_N0
\led_flash_cnt[2823][0]~83463\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2823][0]~83463_combout\ = !\led_flash_cnt[2823][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2823][0]~q\,
	combout => \led_flash_cnt[2823][0]~83463_combout\);

-- Location: FF_X35_Y30_N1
\led_flash_cnt[2823][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2823][0]~83463_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2823][0]~q\);

-- Location: LCCOMB_X34_Y31_N0
\led_flash_cnt[2823][1]~66402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2823][1]~66402_combout\ = (\led_flash_cnt[2823][0]~q\ & (\led_flash_cnt[2823][1]~q\ $ (VCC))) # (!\led_flash_cnt[2823][0]~q\ & (\led_flash_cnt[2823][1]~q\ & VCC))
-- \led_flash_cnt[2823][1]~66403\ = CARRY((\led_flash_cnt[2823][0]~q\ & \led_flash_cnt[2823][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2823][0]~q\,
	datab => \led_flash_cnt[2823][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2823][1]~66402_combout\,
	cout => \led_flash_cnt[2823][1]~66403\);

-- Location: FF_X34_Y31_N1
\led_flash_cnt[2823][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2823][1]~66402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2823][1]~q\);

-- Location: LCCOMB_X34_Y31_N2
\led_flash_cnt[2823][2]~66404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2823][2]~66404_combout\ = (\led_flash_cnt[2823][2]~q\ & (!\led_flash_cnt[2823][1]~66403\)) # (!\led_flash_cnt[2823][2]~q\ & ((\led_flash_cnt[2823][1]~66403\) # (GND)))
-- \led_flash_cnt[2823][2]~66405\ = CARRY((!\led_flash_cnt[2823][1]~66403\) # (!\led_flash_cnt[2823][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2823][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2823][1]~66403\,
	combout => \led_flash_cnt[2823][2]~66404_combout\,
	cout => \led_flash_cnt[2823][2]~66405\);

-- Location: FF_X34_Y31_N3
\led_flash_cnt[2823][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2823][2]~66404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2823][2]~q\);

-- Location: LCCOMB_X34_Y31_N4
\led_flash_cnt[2823][3]~66406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2823][3]~66406_combout\ = (\led_flash_cnt[2823][3]~q\ & (\led_flash_cnt[2823][2]~66405\ $ (GND))) # (!\led_flash_cnt[2823][3]~q\ & (!\led_flash_cnt[2823][2]~66405\ & VCC))
-- \led_flash_cnt[2823][3]~66407\ = CARRY((\led_flash_cnt[2823][3]~q\ & !\led_flash_cnt[2823][2]~66405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2823][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2823][2]~66405\,
	combout => \led_flash_cnt[2823][3]~66406_combout\,
	cout => \led_flash_cnt[2823][3]~66407\);

-- Location: FF_X34_Y31_N5
\led_flash_cnt[2823][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2823][3]~66406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2823][3]~q\);

-- Location: LCCOMB_X34_Y31_N6
\led_flash_cnt[2823][4]~66408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2823][4]~66408_combout\ = (\led_flash_cnt[2823][4]~q\ & (!\led_flash_cnt[2823][3]~66407\)) # (!\led_flash_cnt[2823][4]~q\ & ((\led_flash_cnt[2823][3]~66407\) # (GND)))
-- \led_flash_cnt[2823][4]~66409\ = CARRY((!\led_flash_cnt[2823][3]~66407\) # (!\led_flash_cnt[2823][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2823][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2823][3]~66407\,
	combout => \led_flash_cnt[2823][4]~66408_combout\,
	cout => \led_flash_cnt[2823][4]~66409\);

-- Location: FF_X34_Y31_N7
\led_flash_cnt[2823][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2823][4]~66408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2823][4]~q\);

-- Location: LCCOMB_X34_Y31_N8
\led_flash_cnt[2823][5]~66410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2823][5]~66410_combout\ = (\led_flash_cnt[2823][5]~q\ & (\led_flash_cnt[2823][4]~66409\ $ (GND))) # (!\led_flash_cnt[2823][5]~q\ & (!\led_flash_cnt[2823][4]~66409\ & VCC))
-- \led_flash_cnt[2823][5]~66411\ = CARRY((\led_flash_cnt[2823][5]~q\ & !\led_flash_cnt[2823][4]~66409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2823][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2823][4]~66409\,
	combout => \led_flash_cnt[2823][5]~66410_combout\,
	cout => \led_flash_cnt[2823][5]~66411\);

-- Location: FF_X34_Y31_N9
\led_flash_cnt[2823][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2823][5]~66410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2823][5]~q\);

-- Location: LCCOMB_X34_Y31_N10
\led_flash_cnt[2823][6]~66412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2823][6]~66412_combout\ = (\led_flash_cnt[2823][6]~q\ & (!\led_flash_cnt[2823][5]~66411\)) # (!\led_flash_cnt[2823][6]~q\ & ((\led_flash_cnt[2823][5]~66411\) # (GND)))
-- \led_flash_cnt[2823][6]~66413\ = CARRY((!\led_flash_cnt[2823][5]~66411\) # (!\led_flash_cnt[2823][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2823][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2823][5]~66411\,
	combout => \led_flash_cnt[2823][6]~66412_combout\,
	cout => \led_flash_cnt[2823][6]~66413\);

-- Location: FF_X34_Y31_N11
\led_flash_cnt[2823][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2823][6]~66412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2823][6]~q\);

-- Location: LCCOMB_X34_Y31_N12
\led_flash_cnt[2823][7]~66414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2823][7]~66414_combout\ = \led_flash_cnt[2823][6]~66413\ $ (!\led_flash_cnt[2823][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2823][7]~q\,
	cin => \led_flash_cnt[2823][6]~66413\,
	combout => \led_flash_cnt[2823][7]~66414_combout\);

-- Location: FF_X34_Y31_N13
\led_flash_cnt[2823][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2823][7]~66414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2823][7]~q\);

-- Location: LCCOMB_X34_Y31_N30
\WideAnd2823~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2823~0_combout\ = (\led_flash_cnt[2823][4]~q\ & (\led_flash_cnt[2823][1]~q\ & (\led_flash_cnt[2823][3]~q\ & \led_flash_cnt[2823][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2823][4]~q\,
	datab => \led_flash_cnt[2823][1]~q\,
	datac => \led_flash_cnt[2823][3]~q\,
	datad => \led_flash_cnt[2823][2]~q\,
	combout => \WideAnd2823~0_combout\);

-- Location: LCCOMB_X35_Y31_N8
\WideAnd2823~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2823~1_combout\ = (\led_flash_cnt[2823][6]~q\ & \led_flash_cnt[2823][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2823][6]~q\,
	datad => \led_flash_cnt[2823][5]~q\,
	combout => \WideAnd2823~1_combout\);

-- Location: LCCOMB_X35_Y31_N30
WideAnd2823 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2823~combout\ = (\led_flash_cnt[2823][7]~q\ & (\WideAnd2823~0_combout\ & (\WideAnd2823~1_combout\ & \led_flash_cnt[2823][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2823][7]~q\,
	datab => \WideAnd2823~0_combout\,
	datac => \WideAnd2823~1_combout\,
	datad => \led_flash_cnt[2823][0]~q\,
	combout => \WideAnd2823~combout\);

-- Location: FF_X35_Y31_N31
\led_flash_cnt_ands[2823]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2823~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2823));

-- Location: LCCOMB_X35_Y30_N10
\led_flash_cnt[2819][0]~83459\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2819][0]~83459_combout\ = !\led_flash_cnt[2819][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2819][0]~q\,
	combout => \led_flash_cnt[2819][0]~83459_combout\);

-- Location: FF_X35_Y30_N11
\led_flash_cnt[2819][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2819][0]~83459_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2819][0]~q\);

-- Location: LCCOMB_X35_Y34_N18
\led_flash_cnt[2819][1]~66346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2819][1]~66346_combout\ = (\led_flash_cnt[2819][0]~q\ & (\led_flash_cnt[2819][1]~q\ $ (VCC))) # (!\led_flash_cnt[2819][0]~q\ & (\led_flash_cnt[2819][1]~q\ & VCC))
-- \led_flash_cnt[2819][1]~66347\ = CARRY((\led_flash_cnt[2819][0]~q\ & \led_flash_cnt[2819][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2819][0]~q\,
	datab => \led_flash_cnt[2819][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2819][1]~66346_combout\,
	cout => \led_flash_cnt[2819][1]~66347\);

-- Location: FF_X35_Y34_N19
\led_flash_cnt[2819][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2819][1]~66346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2819][1]~q\);

-- Location: LCCOMB_X35_Y34_N20
\led_flash_cnt[2819][2]~66348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2819][2]~66348_combout\ = (\led_flash_cnt[2819][2]~q\ & (!\led_flash_cnt[2819][1]~66347\)) # (!\led_flash_cnt[2819][2]~q\ & ((\led_flash_cnt[2819][1]~66347\) # (GND)))
-- \led_flash_cnt[2819][2]~66349\ = CARRY((!\led_flash_cnt[2819][1]~66347\) # (!\led_flash_cnt[2819][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2819][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2819][1]~66347\,
	combout => \led_flash_cnt[2819][2]~66348_combout\,
	cout => \led_flash_cnt[2819][2]~66349\);

-- Location: FF_X35_Y34_N21
\led_flash_cnt[2819][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2819][2]~66348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2819][2]~q\);

-- Location: LCCOMB_X35_Y34_N22
\led_flash_cnt[2819][3]~66350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2819][3]~66350_combout\ = (\led_flash_cnt[2819][3]~q\ & (\led_flash_cnt[2819][2]~66349\ $ (GND))) # (!\led_flash_cnt[2819][3]~q\ & (!\led_flash_cnt[2819][2]~66349\ & VCC))
-- \led_flash_cnt[2819][3]~66351\ = CARRY((\led_flash_cnt[2819][3]~q\ & !\led_flash_cnt[2819][2]~66349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2819][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2819][2]~66349\,
	combout => \led_flash_cnt[2819][3]~66350_combout\,
	cout => \led_flash_cnt[2819][3]~66351\);

-- Location: FF_X35_Y34_N23
\led_flash_cnt[2819][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2819][3]~66350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2819][3]~q\);

-- Location: LCCOMB_X35_Y34_N24
\led_flash_cnt[2819][4]~66352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2819][4]~66352_combout\ = (\led_flash_cnt[2819][4]~q\ & (!\led_flash_cnt[2819][3]~66351\)) # (!\led_flash_cnt[2819][4]~q\ & ((\led_flash_cnt[2819][3]~66351\) # (GND)))
-- \led_flash_cnt[2819][4]~66353\ = CARRY((!\led_flash_cnt[2819][3]~66351\) # (!\led_flash_cnt[2819][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2819][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2819][3]~66351\,
	combout => \led_flash_cnt[2819][4]~66352_combout\,
	cout => \led_flash_cnt[2819][4]~66353\);

-- Location: FF_X35_Y34_N25
\led_flash_cnt[2819][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2819][4]~66352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2819][4]~q\);

-- Location: LCCOMB_X35_Y34_N14
\WideAnd2819~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2819~0_combout\ = (\led_flash_cnt[2819][1]~q\ & (\led_flash_cnt[2819][4]~q\ & (\led_flash_cnt[2819][3]~q\ & \led_flash_cnt[2819][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2819][1]~q\,
	datab => \led_flash_cnt[2819][4]~q\,
	datac => \led_flash_cnt[2819][3]~q\,
	datad => \led_flash_cnt[2819][2]~q\,
	combout => \WideAnd2819~0_combout\);

-- Location: LCCOMB_X35_Y34_N26
\led_flash_cnt[2819][5]~66354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2819][5]~66354_combout\ = (\led_flash_cnt[2819][5]~q\ & (\led_flash_cnt[2819][4]~66353\ $ (GND))) # (!\led_flash_cnt[2819][5]~q\ & (!\led_flash_cnt[2819][4]~66353\ & VCC))
-- \led_flash_cnt[2819][5]~66355\ = CARRY((\led_flash_cnt[2819][5]~q\ & !\led_flash_cnt[2819][4]~66353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2819][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2819][4]~66353\,
	combout => \led_flash_cnt[2819][5]~66354_combout\,
	cout => \led_flash_cnt[2819][5]~66355\);

-- Location: FF_X35_Y34_N27
\led_flash_cnt[2819][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2819][5]~66354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2819][5]~q\);

-- Location: LCCOMB_X35_Y34_N28
\led_flash_cnt[2819][6]~66356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2819][6]~66356_combout\ = (\led_flash_cnt[2819][6]~q\ & (!\led_flash_cnt[2819][5]~66355\)) # (!\led_flash_cnt[2819][6]~q\ & ((\led_flash_cnt[2819][5]~66355\) # (GND)))
-- \led_flash_cnt[2819][6]~66357\ = CARRY((!\led_flash_cnt[2819][5]~66355\) # (!\led_flash_cnt[2819][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2819][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2819][5]~66355\,
	combout => \led_flash_cnt[2819][6]~66356_combout\,
	cout => \led_flash_cnt[2819][6]~66357\);

-- Location: FF_X35_Y34_N29
\led_flash_cnt[2819][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2819][6]~66356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2819][6]~q\);

-- Location: LCCOMB_X35_Y30_N4
\WideAnd2819~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2819~1_combout\ = (\led_flash_cnt[2819][5]~q\ & \led_flash_cnt[2819][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2819][5]~q\,
	datac => \led_flash_cnt[2819][6]~q\,
	combout => \WideAnd2819~1_combout\);

-- Location: LCCOMB_X35_Y34_N30
\led_flash_cnt[2819][7]~66358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2819][7]~66358_combout\ = \led_flash_cnt[2819][7]~q\ $ (!\led_flash_cnt[2819][6]~66357\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2819][7]~q\,
	cin => \led_flash_cnt[2819][6]~66357\,
	combout => \led_flash_cnt[2819][7]~66358_combout\);

-- Location: FF_X35_Y34_N31
\led_flash_cnt[2819][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2819][7]~66358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2819][7]~q\);

-- Location: LCCOMB_X35_Y30_N12
WideAnd2819 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2819~combout\ = (\led_flash_cnt[2819][0]~q\ & (\WideAnd2819~0_combout\ & (\WideAnd2819~1_combout\ & \led_flash_cnt[2819][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2819][0]~q\,
	datab => \WideAnd2819~0_combout\,
	datac => \WideAnd2819~1_combout\,
	datad => \led_flash_cnt[2819][7]~q\,
	combout => \WideAnd2819~combout\);

-- Location: FF_X35_Y30_N13
\led_flash_cnt_ands[2819]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2819~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2819));

-- Location: LCCOMB_X35_Y30_N30
\led_flash_cnt[2817][0]~83457\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2817][0]~83457_combout\ = !\led_flash_cnt[2817][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2817][0]~q\,
	combout => \led_flash_cnt[2817][0]~83457_combout\);

-- Location: FF_X35_Y30_N31
\led_flash_cnt[2817][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2817][0]~83457_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2817][0]~q\);

-- Location: LCCOMB_X35_Y29_N18
\led_flash_cnt[2817][1]~66318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2817][1]~66318_combout\ = (\led_flash_cnt[2817][0]~q\ & (\led_flash_cnt[2817][1]~q\ $ (VCC))) # (!\led_flash_cnt[2817][0]~q\ & (\led_flash_cnt[2817][1]~q\ & VCC))
-- \led_flash_cnt[2817][1]~66319\ = CARRY((\led_flash_cnt[2817][0]~q\ & \led_flash_cnt[2817][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2817][0]~q\,
	datab => \led_flash_cnt[2817][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2817][1]~66318_combout\,
	cout => \led_flash_cnt[2817][1]~66319\);

-- Location: FF_X35_Y29_N19
\led_flash_cnt[2817][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2817][1]~66318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2817][1]~q\);

-- Location: LCCOMB_X35_Y29_N20
\led_flash_cnt[2817][2]~66320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2817][2]~66320_combout\ = (\led_flash_cnt[2817][2]~q\ & (!\led_flash_cnt[2817][1]~66319\)) # (!\led_flash_cnt[2817][2]~q\ & ((\led_flash_cnt[2817][1]~66319\) # (GND)))
-- \led_flash_cnt[2817][2]~66321\ = CARRY((!\led_flash_cnt[2817][1]~66319\) # (!\led_flash_cnt[2817][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2817][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2817][1]~66319\,
	combout => \led_flash_cnt[2817][2]~66320_combout\,
	cout => \led_flash_cnt[2817][2]~66321\);

-- Location: FF_X35_Y29_N21
\led_flash_cnt[2817][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2817][2]~66320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2817][2]~q\);

-- Location: LCCOMB_X35_Y29_N22
\led_flash_cnt[2817][3]~66322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2817][3]~66322_combout\ = (\led_flash_cnt[2817][3]~q\ & (\led_flash_cnt[2817][2]~66321\ $ (GND))) # (!\led_flash_cnt[2817][3]~q\ & (!\led_flash_cnt[2817][2]~66321\ & VCC))
-- \led_flash_cnt[2817][3]~66323\ = CARRY((\led_flash_cnt[2817][3]~q\ & !\led_flash_cnt[2817][2]~66321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2817][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2817][2]~66321\,
	combout => \led_flash_cnt[2817][3]~66322_combout\,
	cout => \led_flash_cnt[2817][3]~66323\);

-- Location: FF_X35_Y29_N23
\led_flash_cnt[2817][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2817][3]~66322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2817][3]~q\);

-- Location: LCCOMB_X35_Y29_N24
\led_flash_cnt[2817][4]~66324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2817][4]~66324_combout\ = (\led_flash_cnt[2817][4]~q\ & (!\led_flash_cnt[2817][3]~66323\)) # (!\led_flash_cnt[2817][4]~q\ & ((\led_flash_cnt[2817][3]~66323\) # (GND)))
-- \led_flash_cnt[2817][4]~66325\ = CARRY((!\led_flash_cnt[2817][3]~66323\) # (!\led_flash_cnt[2817][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2817][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2817][3]~66323\,
	combout => \led_flash_cnt[2817][4]~66324_combout\,
	cout => \led_flash_cnt[2817][4]~66325\);

-- Location: FF_X35_Y29_N25
\led_flash_cnt[2817][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2817][4]~66324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2817][4]~q\);

-- Location: LCCOMB_X35_Y29_N26
\led_flash_cnt[2817][5]~66326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2817][5]~66326_combout\ = (\led_flash_cnt[2817][5]~q\ & (\led_flash_cnt[2817][4]~66325\ $ (GND))) # (!\led_flash_cnt[2817][5]~q\ & (!\led_flash_cnt[2817][4]~66325\ & VCC))
-- \led_flash_cnt[2817][5]~66327\ = CARRY((\led_flash_cnt[2817][5]~q\ & !\led_flash_cnt[2817][4]~66325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2817][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2817][4]~66325\,
	combout => \led_flash_cnt[2817][5]~66326_combout\,
	cout => \led_flash_cnt[2817][5]~66327\);

-- Location: FF_X35_Y29_N27
\led_flash_cnt[2817][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2817][5]~66326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2817][5]~q\);

-- Location: LCCOMB_X35_Y29_N28
\led_flash_cnt[2817][6]~66328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2817][6]~66328_combout\ = (\led_flash_cnt[2817][6]~q\ & (!\led_flash_cnt[2817][5]~66327\)) # (!\led_flash_cnt[2817][6]~q\ & ((\led_flash_cnt[2817][5]~66327\) # (GND)))
-- \led_flash_cnt[2817][6]~66329\ = CARRY((!\led_flash_cnt[2817][5]~66327\) # (!\led_flash_cnt[2817][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2817][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2817][5]~66327\,
	combout => \led_flash_cnt[2817][6]~66328_combout\,
	cout => \led_flash_cnt[2817][6]~66329\);

-- Location: FF_X35_Y29_N29
\led_flash_cnt[2817][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2817][6]~66328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2817][6]~q\);

-- Location: LCCOMB_X35_Y29_N30
\led_flash_cnt[2817][7]~66330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2817][7]~66330_combout\ = \led_flash_cnt[2817][7]~q\ $ (!\led_flash_cnt[2817][6]~66329\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2817][7]~q\,
	cin => \led_flash_cnt[2817][6]~66329\,
	combout => \led_flash_cnt[2817][7]~66330_combout\);

-- Location: FF_X35_Y29_N31
\led_flash_cnt[2817][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2817][7]~66330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2817][7]~q\);

-- Location: LCCOMB_X36_Y29_N12
\WideAnd2817~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2817~1_combout\ = (\led_flash_cnt[2817][5]~q\ & \led_flash_cnt[2817][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2817][5]~q\,
	datad => \led_flash_cnt[2817][6]~q\,
	combout => \WideAnd2817~1_combout\);

-- Location: LCCOMB_X36_Y29_N28
\WideAnd2817~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2817~0_combout\ = (\led_flash_cnt[2817][2]~q\ & (\led_flash_cnt[2817][3]~q\ & (\led_flash_cnt[2817][4]~q\ & \led_flash_cnt[2817][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2817][2]~q\,
	datab => \led_flash_cnt[2817][3]~q\,
	datac => \led_flash_cnt[2817][4]~q\,
	datad => \led_flash_cnt[2817][1]~q\,
	combout => \WideAnd2817~0_combout\);

-- Location: LCCOMB_X35_Y29_N0
WideAnd2817 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2817~combout\ = (\led_flash_cnt[2817][7]~q\ & (\WideAnd2817~1_combout\ & (\led_flash_cnt[2817][0]~q\ & \WideAnd2817~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2817][7]~q\,
	datab => \WideAnd2817~1_combout\,
	datac => \led_flash_cnt[2817][0]~q\,
	datad => \WideAnd2817~0_combout\,
	combout => \WideAnd2817~combout\);

-- Location: FF_X35_Y29_N1
\led_flash_cnt_ands[2817]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2817~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2817));

-- Location: LCCOMB_X27_Y30_N4
\led_flash_cnt[2816][0]~83456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2816][0]~83456_combout\ = !\led_flash_cnt[2816][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2816][0]~q\,
	combout => \led_flash_cnt[2816][0]~83456_combout\);

-- Location: FF_X27_Y30_N5
\led_flash_cnt[2816][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2816][0]~83456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2816][0]~q\);

-- Location: LCCOMB_X27_Y30_N10
\led_flash_cnt[2816][1]~66304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2816][1]~66304_combout\ = (\led_flash_cnt[2816][1]~q\ & (\led_flash_cnt[2816][0]~q\ $ (VCC))) # (!\led_flash_cnt[2816][1]~q\ & (\led_flash_cnt[2816][0]~q\ & VCC))
-- \led_flash_cnt[2816][1]~66305\ = CARRY((\led_flash_cnt[2816][1]~q\ & \led_flash_cnt[2816][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2816][1]~q\,
	datab => \led_flash_cnt[2816][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2816][1]~66304_combout\,
	cout => \led_flash_cnt[2816][1]~66305\);

-- Location: FF_X27_Y30_N11
\led_flash_cnt[2816][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2816][1]~66304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2816][1]~q\);

-- Location: LCCOMB_X27_Y30_N12
\led_flash_cnt[2816][2]~66306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2816][2]~66306_combout\ = (\led_flash_cnt[2816][2]~q\ & (!\led_flash_cnt[2816][1]~66305\)) # (!\led_flash_cnt[2816][2]~q\ & ((\led_flash_cnt[2816][1]~66305\) # (GND)))
-- \led_flash_cnt[2816][2]~66307\ = CARRY((!\led_flash_cnt[2816][1]~66305\) # (!\led_flash_cnt[2816][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2816][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2816][1]~66305\,
	combout => \led_flash_cnt[2816][2]~66306_combout\,
	cout => \led_flash_cnt[2816][2]~66307\);

-- Location: FF_X27_Y30_N13
\led_flash_cnt[2816][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2816][2]~66306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2816][2]~q\);

-- Location: LCCOMB_X27_Y30_N14
\led_flash_cnt[2816][3]~66308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2816][3]~66308_combout\ = (\led_flash_cnt[2816][3]~q\ & (\led_flash_cnt[2816][2]~66307\ $ (GND))) # (!\led_flash_cnt[2816][3]~q\ & (!\led_flash_cnt[2816][2]~66307\ & VCC))
-- \led_flash_cnt[2816][3]~66309\ = CARRY((\led_flash_cnt[2816][3]~q\ & !\led_flash_cnt[2816][2]~66307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2816][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2816][2]~66307\,
	combout => \led_flash_cnt[2816][3]~66308_combout\,
	cout => \led_flash_cnt[2816][3]~66309\);

-- Location: FF_X27_Y30_N15
\led_flash_cnt[2816][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2816][3]~66308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2816][3]~q\);

-- Location: LCCOMB_X27_Y30_N16
\led_flash_cnt[2816][4]~66310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2816][4]~66310_combout\ = (\led_flash_cnt[2816][4]~q\ & (!\led_flash_cnt[2816][3]~66309\)) # (!\led_flash_cnt[2816][4]~q\ & ((\led_flash_cnt[2816][3]~66309\) # (GND)))
-- \led_flash_cnt[2816][4]~66311\ = CARRY((!\led_flash_cnt[2816][3]~66309\) # (!\led_flash_cnt[2816][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2816][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2816][3]~66309\,
	combout => \led_flash_cnt[2816][4]~66310_combout\,
	cout => \led_flash_cnt[2816][4]~66311\);

-- Location: FF_X27_Y30_N17
\led_flash_cnt[2816][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2816][4]~66310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2816][4]~q\);

-- Location: LCCOMB_X27_Y30_N6
\WideAnd2816~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2816~0_combout\ = (\led_flash_cnt[2816][2]~q\ & (\led_flash_cnt[2816][4]~q\ & (\led_flash_cnt[2816][3]~q\ & \led_flash_cnt[2816][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2816][2]~q\,
	datab => \led_flash_cnt[2816][4]~q\,
	datac => \led_flash_cnt[2816][3]~q\,
	datad => \led_flash_cnt[2816][1]~q\,
	combout => \WideAnd2816~0_combout\);

-- Location: LCCOMB_X27_Y30_N18
\led_flash_cnt[2816][5]~66312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2816][5]~66312_combout\ = (\led_flash_cnt[2816][5]~q\ & (\led_flash_cnt[2816][4]~66311\ $ (GND))) # (!\led_flash_cnt[2816][5]~q\ & (!\led_flash_cnt[2816][4]~66311\ & VCC))
-- \led_flash_cnt[2816][5]~66313\ = CARRY((\led_flash_cnt[2816][5]~q\ & !\led_flash_cnt[2816][4]~66311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2816][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2816][4]~66311\,
	combout => \led_flash_cnt[2816][5]~66312_combout\,
	cout => \led_flash_cnt[2816][5]~66313\);

-- Location: FF_X27_Y30_N19
\led_flash_cnt[2816][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2816][5]~66312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2816][5]~q\);

-- Location: LCCOMB_X27_Y30_N20
\led_flash_cnt[2816][6]~66314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2816][6]~66314_combout\ = (\led_flash_cnt[2816][6]~q\ & (!\led_flash_cnt[2816][5]~66313\)) # (!\led_flash_cnt[2816][6]~q\ & ((\led_flash_cnt[2816][5]~66313\) # (GND)))
-- \led_flash_cnt[2816][6]~66315\ = CARRY((!\led_flash_cnt[2816][5]~66313\) # (!\led_flash_cnt[2816][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2816][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2816][5]~66313\,
	combout => \led_flash_cnt[2816][6]~66314_combout\,
	cout => \led_flash_cnt[2816][6]~66315\);

-- Location: FF_X27_Y30_N21
\led_flash_cnt[2816][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2816][6]~66314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2816][6]~q\);

-- Location: LCCOMB_X27_Y30_N22
\led_flash_cnt[2816][7]~66316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2816][7]~66316_combout\ = \led_flash_cnt[2816][7]~q\ $ (!\led_flash_cnt[2816][6]~66315\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2816][7]~q\,
	cin => \led_flash_cnt[2816][6]~66315\,
	combout => \led_flash_cnt[2816][7]~66316_combout\);

-- Location: FF_X27_Y30_N23
\led_flash_cnt[2816][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2816][7]~66316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2816][7]~q\);

-- Location: LCCOMB_X27_Y30_N28
\WideAnd2816~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2816~1_combout\ = (\led_flash_cnt[2816][5]~q\ & \led_flash_cnt[2816][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2816][5]~q\,
	datad => \led_flash_cnt[2816][6]~q\,
	combout => \WideAnd2816~1_combout\);

-- Location: LCCOMB_X27_Y30_N26
WideAnd2816 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2816~combout\ = (\WideAnd2816~0_combout\ & (\led_flash_cnt[2816][0]~q\ & (\led_flash_cnt[2816][7]~q\ & \WideAnd2816~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2816~0_combout\,
	datab => \led_flash_cnt[2816][0]~q\,
	datac => \led_flash_cnt[2816][7]~q\,
	datad => \WideAnd2816~1_combout\,
	combout => \WideAnd2816~combout\);

-- Location: FF_X27_Y30_N27
\led_flash_cnt_ands[2816]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2816~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2816));

-- Location: LCCOMB_X35_Y30_N6
\led_flash_cnt[2818][0]~83458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2818][0]~83458_combout\ = !\led_flash_cnt[2818][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2818][0]~q\,
	combout => \led_flash_cnt[2818][0]~83458_combout\);

-- Location: FF_X35_Y30_N7
\led_flash_cnt[2818][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2818][0]~83458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2818][0]~q\);

-- Location: LCCOMB_X36_Y30_N0
\led_flash_cnt[2818][1]~66332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2818][1]~66332_combout\ = (\led_flash_cnt[2818][0]~q\ & (\led_flash_cnt[2818][1]~q\ $ (VCC))) # (!\led_flash_cnt[2818][0]~q\ & (\led_flash_cnt[2818][1]~q\ & VCC))
-- \led_flash_cnt[2818][1]~66333\ = CARRY((\led_flash_cnt[2818][0]~q\ & \led_flash_cnt[2818][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2818][0]~q\,
	datab => \led_flash_cnt[2818][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2818][1]~66332_combout\,
	cout => \led_flash_cnt[2818][1]~66333\);

-- Location: FF_X36_Y30_N1
\led_flash_cnt[2818][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2818][1]~66332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2818][1]~q\);

-- Location: LCCOMB_X36_Y30_N2
\led_flash_cnt[2818][2]~66334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2818][2]~66334_combout\ = (\led_flash_cnt[2818][2]~q\ & (!\led_flash_cnt[2818][1]~66333\)) # (!\led_flash_cnt[2818][2]~q\ & ((\led_flash_cnt[2818][1]~66333\) # (GND)))
-- \led_flash_cnt[2818][2]~66335\ = CARRY((!\led_flash_cnt[2818][1]~66333\) # (!\led_flash_cnt[2818][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2818][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2818][1]~66333\,
	combout => \led_flash_cnt[2818][2]~66334_combout\,
	cout => \led_flash_cnt[2818][2]~66335\);

-- Location: FF_X36_Y30_N3
\led_flash_cnt[2818][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2818][2]~66334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2818][2]~q\);

-- Location: LCCOMB_X36_Y30_N4
\led_flash_cnt[2818][3]~66336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2818][3]~66336_combout\ = (\led_flash_cnt[2818][3]~q\ & (\led_flash_cnt[2818][2]~66335\ $ (GND))) # (!\led_flash_cnt[2818][3]~q\ & (!\led_flash_cnt[2818][2]~66335\ & VCC))
-- \led_flash_cnt[2818][3]~66337\ = CARRY((\led_flash_cnt[2818][3]~q\ & !\led_flash_cnt[2818][2]~66335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2818][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2818][2]~66335\,
	combout => \led_flash_cnt[2818][3]~66336_combout\,
	cout => \led_flash_cnt[2818][3]~66337\);

-- Location: FF_X36_Y30_N5
\led_flash_cnt[2818][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2818][3]~66336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2818][3]~q\);

-- Location: LCCOMB_X36_Y30_N6
\led_flash_cnt[2818][4]~66338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2818][4]~66338_combout\ = (\led_flash_cnt[2818][4]~q\ & (!\led_flash_cnt[2818][3]~66337\)) # (!\led_flash_cnt[2818][4]~q\ & ((\led_flash_cnt[2818][3]~66337\) # (GND)))
-- \led_flash_cnt[2818][4]~66339\ = CARRY((!\led_flash_cnt[2818][3]~66337\) # (!\led_flash_cnt[2818][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2818][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2818][3]~66337\,
	combout => \led_flash_cnt[2818][4]~66338_combout\,
	cout => \led_flash_cnt[2818][4]~66339\);

-- Location: FF_X36_Y30_N7
\led_flash_cnt[2818][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2818][4]~66338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2818][4]~q\);

-- Location: LCCOMB_X36_Y30_N8
\led_flash_cnt[2818][5]~66340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2818][5]~66340_combout\ = (\led_flash_cnt[2818][5]~q\ & (\led_flash_cnt[2818][4]~66339\ $ (GND))) # (!\led_flash_cnt[2818][5]~q\ & (!\led_flash_cnt[2818][4]~66339\ & VCC))
-- \led_flash_cnt[2818][5]~66341\ = CARRY((\led_flash_cnt[2818][5]~q\ & !\led_flash_cnt[2818][4]~66339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2818][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2818][4]~66339\,
	combout => \led_flash_cnt[2818][5]~66340_combout\,
	cout => \led_flash_cnt[2818][5]~66341\);

-- Location: FF_X36_Y30_N9
\led_flash_cnt[2818][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2818][5]~66340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2818][5]~q\);

-- Location: LCCOMB_X36_Y30_N10
\led_flash_cnt[2818][6]~66342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2818][6]~66342_combout\ = (\led_flash_cnt[2818][6]~q\ & (!\led_flash_cnt[2818][5]~66341\)) # (!\led_flash_cnt[2818][6]~q\ & ((\led_flash_cnt[2818][5]~66341\) # (GND)))
-- \led_flash_cnt[2818][6]~66343\ = CARRY((!\led_flash_cnt[2818][5]~66341\) # (!\led_flash_cnt[2818][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2818][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2818][5]~66341\,
	combout => \led_flash_cnt[2818][6]~66342_combout\,
	cout => \led_flash_cnt[2818][6]~66343\);

-- Location: FF_X36_Y30_N11
\led_flash_cnt[2818][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2818][6]~66342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2818][6]~q\);

-- Location: LCCOMB_X35_Y30_N28
\WideAnd2818~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2818~1_combout\ = (\led_flash_cnt[2818][6]~q\ & \led_flash_cnt[2818][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2818][6]~q\,
	datac => \led_flash_cnt[2818][5]~q\,
	combout => \WideAnd2818~1_combout\);

-- Location: LCCOMB_X36_Y30_N12
\led_flash_cnt[2818][7]~66344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2818][7]~66344_combout\ = \led_flash_cnt[2818][6]~66343\ $ (!\led_flash_cnt[2818][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2818][7]~q\,
	cin => \led_flash_cnt[2818][6]~66343\,
	combout => \led_flash_cnt[2818][7]~66344_combout\);

-- Location: FF_X36_Y30_N13
\led_flash_cnt[2818][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2818][7]~66344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2818][7]~q\);

-- Location: LCCOMB_X36_Y30_N28
\WideAnd2818~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2818~0_combout\ = (\led_flash_cnt[2818][4]~q\ & (\led_flash_cnt[2818][1]~q\ & (\led_flash_cnt[2818][3]~q\ & \led_flash_cnt[2818][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2818][4]~q\,
	datab => \led_flash_cnt[2818][1]~q\,
	datac => \led_flash_cnt[2818][3]~q\,
	datad => \led_flash_cnt[2818][2]~q\,
	combout => \WideAnd2818~0_combout\);

-- Location: LCCOMB_X35_Y30_N20
WideAnd2818 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2818~combout\ = (\led_flash_cnt[2818][0]~q\ & (\WideAnd2818~1_combout\ & (\led_flash_cnt[2818][7]~q\ & \WideAnd2818~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2818][0]~q\,
	datab => \WideAnd2818~1_combout\,
	datac => \led_flash_cnt[2818][7]~q\,
	datad => \WideAnd2818~0_combout\,
	combout => \WideAnd2818~combout\);

-- Location: FF_X35_Y30_N21
\led_flash_cnt_ands[2818]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2818~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2818));

-- Location: LCCOMB_X35_Y30_N16
\WideAnd4192~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4192~0_combout\ = (led_flash_cnt_ands(2819) & (led_flash_cnt_ands(2817) & (led_flash_cnt_ands(2816) & led_flash_cnt_ands(2818))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2819),
	datab => led_flash_cnt_ands(2817),
	datac => led_flash_cnt_ands(2816),
	datad => led_flash_cnt_ands(2818),
	combout => \WideAnd4192~0_combout\);

-- Location: LCCOMB_X35_Y30_N8
WideAnd4192 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4192~combout\ = (led_flash_cnt_ands(2822) & (\WideAnd4192~1_combout\ & (led_flash_cnt_ands(2823) & \WideAnd4192~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2822),
	datab => \WideAnd4192~1_combout\,
	datac => led_flash_cnt_ands(2823),
	datad => \WideAnd4192~0_combout\,
	combout => \WideAnd4192~combout\);

-- Location: FF_X35_Y30_N9
\led_flash_cnt_ands_1[352]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4192~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(352));

-- Location: LCCOMB_X27_Y35_N4
\WideAnd4364~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4364~0_combout\ = (led_flash_cnt_ands_1(355) & (led_flash_cnt_ands_1(353) & (led_flash_cnt_ands_1(354) & led_flash_cnt_ands_1(352))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(355),
	datab => led_flash_cnt_ands_1(353),
	datac => led_flash_cnt_ands_1(354),
	datad => led_flash_cnt_ands_1(352),
	combout => \WideAnd4364~0_combout\);

-- Location: LCCOMB_X1_Y23_N30
\led_flash_cnt[2854][0]~83494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2854][0]~83494_combout\ = !\led_flash_cnt[2854][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2854][0]~q\,
	combout => \led_flash_cnt[2854][0]~83494_combout\);

-- Location: FF_X1_Y23_N31
\led_flash_cnt[2854][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2854][0]~83494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2854][0]~q\);

-- Location: LCCOMB_X1_Y23_N2
\led_flash_cnt[2854][1]~66836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2854][1]~66836_combout\ = (\led_flash_cnt[2854][0]~q\ & (\led_flash_cnt[2854][1]~q\ $ (VCC))) # (!\led_flash_cnt[2854][0]~q\ & (\led_flash_cnt[2854][1]~q\ & VCC))
-- \led_flash_cnt[2854][1]~66837\ = CARRY((\led_flash_cnt[2854][0]~q\ & \led_flash_cnt[2854][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2854][0]~q\,
	datab => \led_flash_cnt[2854][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2854][1]~66836_combout\,
	cout => \led_flash_cnt[2854][1]~66837\);

-- Location: FF_X1_Y23_N3
\led_flash_cnt[2854][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2854][1]~66836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2854][1]~q\);

-- Location: LCCOMB_X1_Y23_N4
\led_flash_cnt[2854][2]~66838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2854][2]~66838_combout\ = (\led_flash_cnt[2854][2]~q\ & (!\led_flash_cnt[2854][1]~66837\)) # (!\led_flash_cnt[2854][2]~q\ & ((\led_flash_cnt[2854][1]~66837\) # (GND)))
-- \led_flash_cnt[2854][2]~66839\ = CARRY((!\led_flash_cnt[2854][1]~66837\) # (!\led_flash_cnt[2854][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2854][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2854][1]~66837\,
	combout => \led_flash_cnt[2854][2]~66838_combout\,
	cout => \led_flash_cnt[2854][2]~66839\);

-- Location: FF_X1_Y23_N5
\led_flash_cnt[2854][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2854][2]~66838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2854][2]~q\);

-- Location: LCCOMB_X1_Y23_N6
\led_flash_cnt[2854][3]~66840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2854][3]~66840_combout\ = (\led_flash_cnt[2854][3]~q\ & (\led_flash_cnt[2854][2]~66839\ $ (GND))) # (!\led_flash_cnt[2854][3]~q\ & (!\led_flash_cnt[2854][2]~66839\ & VCC))
-- \led_flash_cnt[2854][3]~66841\ = CARRY((\led_flash_cnt[2854][3]~q\ & !\led_flash_cnt[2854][2]~66839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2854][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2854][2]~66839\,
	combout => \led_flash_cnt[2854][3]~66840_combout\,
	cout => \led_flash_cnt[2854][3]~66841\);

-- Location: FF_X1_Y23_N7
\led_flash_cnt[2854][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2854][3]~66840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2854][3]~q\);

-- Location: LCCOMB_X1_Y23_N8
\led_flash_cnt[2854][4]~66842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2854][4]~66842_combout\ = (\led_flash_cnt[2854][4]~q\ & (!\led_flash_cnt[2854][3]~66841\)) # (!\led_flash_cnt[2854][4]~q\ & ((\led_flash_cnt[2854][3]~66841\) # (GND)))
-- \led_flash_cnt[2854][4]~66843\ = CARRY((!\led_flash_cnt[2854][3]~66841\) # (!\led_flash_cnt[2854][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2854][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2854][3]~66841\,
	combout => \led_flash_cnt[2854][4]~66842_combout\,
	cout => \led_flash_cnt[2854][4]~66843\);

-- Location: FF_X1_Y23_N9
\led_flash_cnt[2854][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2854][4]~66842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2854][4]~q\);

-- Location: LCCOMB_X1_Y23_N22
\WideAnd2854~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2854~0_combout\ = (\led_flash_cnt[2854][3]~q\ & (\led_flash_cnt[2854][4]~q\ & (\led_flash_cnt[2854][2]~q\ & \led_flash_cnt[2854][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2854][3]~q\,
	datab => \led_flash_cnt[2854][4]~q\,
	datac => \led_flash_cnt[2854][2]~q\,
	datad => \led_flash_cnt[2854][1]~q\,
	combout => \WideAnd2854~0_combout\);

-- Location: LCCOMB_X1_Y23_N10
\led_flash_cnt[2854][5]~66844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2854][5]~66844_combout\ = (\led_flash_cnt[2854][5]~q\ & (\led_flash_cnt[2854][4]~66843\ $ (GND))) # (!\led_flash_cnt[2854][5]~q\ & (!\led_flash_cnt[2854][4]~66843\ & VCC))
-- \led_flash_cnt[2854][5]~66845\ = CARRY((\led_flash_cnt[2854][5]~q\ & !\led_flash_cnt[2854][4]~66843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2854][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2854][4]~66843\,
	combout => \led_flash_cnt[2854][5]~66844_combout\,
	cout => \led_flash_cnt[2854][5]~66845\);

-- Location: FF_X1_Y23_N11
\led_flash_cnt[2854][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2854][5]~66844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2854][5]~q\);

-- Location: LCCOMB_X1_Y23_N12
\led_flash_cnt[2854][6]~66846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2854][6]~66846_combout\ = (\led_flash_cnt[2854][6]~q\ & (!\led_flash_cnt[2854][5]~66845\)) # (!\led_flash_cnt[2854][6]~q\ & ((\led_flash_cnt[2854][5]~66845\) # (GND)))
-- \led_flash_cnt[2854][6]~66847\ = CARRY((!\led_flash_cnt[2854][5]~66845\) # (!\led_flash_cnt[2854][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2854][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2854][5]~66845\,
	combout => \led_flash_cnt[2854][6]~66846_combout\,
	cout => \led_flash_cnt[2854][6]~66847\);

-- Location: FF_X1_Y23_N13
\led_flash_cnt[2854][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2854][6]~66846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2854][6]~q\);

-- Location: LCCOMB_X1_Y23_N14
\led_flash_cnt[2854][7]~66848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2854][7]~66848_combout\ = \led_flash_cnt[2854][7]~q\ $ (!\led_flash_cnt[2854][6]~66847\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2854][7]~q\,
	cin => \led_flash_cnt[2854][6]~66847\,
	combout => \led_flash_cnt[2854][7]~66848_combout\);

-- Location: FF_X1_Y23_N15
\led_flash_cnt[2854][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2854][7]~66848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2854][7]~q\);

-- Location: LCCOMB_X1_Y23_N24
\WideAnd2854~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2854~1_combout\ = (\led_flash_cnt[2854][5]~q\ & \led_flash_cnt[2854][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2854][5]~q\,
	datad => \led_flash_cnt[2854][6]~q\,
	combout => \WideAnd2854~1_combout\);

-- Location: LCCOMB_X1_Y23_N28
WideAnd2854 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2854~combout\ = (\WideAnd2854~0_combout\ & (\led_flash_cnt[2854][7]~q\ & (\led_flash_cnt[2854][0]~q\ & \WideAnd2854~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2854~0_combout\,
	datab => \led_flash_cnt[2854][7]~q\,
	datac => \led_flash_cnt[2854][0]~q\,
	datad => \WideAnd2854~1_combout\,
	combout => \WideAnd2854~combout\);

-- Location: FF_X1_Y23_N29
\led_flash_cnt_ands[2854]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2854~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2854));

-- Location: LCCOMB_X3_Y23_N28
\led_flash_cnt[2853][0]~83493\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2853][0]~83493_combout\ = !\led_flash_cnt[2853][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2853][0]~q\,
	combout => \led_flash_cnt[2853][0]~83493_combout\);

-- Location: FF_X3_Y23_N29
\led_flash_cnt[2853][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2853][0]~83493_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2853][0]~q\);

-- Location: LCCOMB_X2_Y23_N2
\led_flash_cnt[2853][1]~66822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2853][1]~66822_combout\ = (\led_flash_cnt[2853][0]~q\ & (\led_flash_cnt[2853][1]~q\ $ (VCC))) # (!\led_flash_cnt[2853][0]~q\ & (\led_flash_cnt[2853][1]~q\ & VCC))
-- \led_flash_cnt[2853][1]~66823\ = CARRY((\led_flash_cnt[2853][0]~q\ & \led_flash_cnt[2853][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2853][0]~q\,
	datab => \led_flash_cnt[2853][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2853][1]~66822_combout\,
	cout => \led_flash_cnt[2853][1]~66823\);

-- Location: FF_X2_Y23_N3
\led_flash_cnt[2853][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2853][1]~66822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2853][1]~q\);

-- Location: LCCOMB_X2_Y23_N4
\led_flash_cnt[2853][2]~66824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2853][2]~66824_combout\ = (\led_flash_cnt[2853][2]~q\ & (!\led_flash_cnt[2853][1]~66823\)) # (!\led_flash_cnt[2853][2]~q\ & ((\led_flash_cnt[2853][1]~66823\) # (GND)))
-- \led_flash_cnt[2853][2]~66825\ = CARRY((!\led_flash_cnt[2853][1]~66823\) # (!\led_flash_cnt[2853][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2853][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2853][1]~66823\,
	combout => \led_flash_cnt[2853][2]~66824_combout\,
	cout => \led_flash_cnt[2853][2]~66825\);

-- Location: FF_X2_Y23_N5
\led_flash_cnt[2853][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2853][2]~66824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2853][2]~q\);

-- Location: LCCOMB_X2_Y23_N6
\led_flash_cnt[2853][3]~66826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2853][3]~66826_combout\ = (\led_flash_cnt[2853][3]~q\ & (\led_flash_cnt[2853][2]~66825\ $ (GND))) # (!\led_flash_cnt[2853][3]~q\ & (!\led_flash_cnt[2853][2]~66825\ & VCC))
-- \led_flash_cnt[2853][3]~66827\ = CARRY((\led_flash_cnt[2853][3]~q\ & !\led_flash_cnt[2853][2]~66825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2853][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2853][2]~66825\,
	combout => \led_flash_cnt[2853][3]~66826_combout\,
	cout => \led_flash_cnt[2853][3]~66827\);

-- Location: FF_X2_Y23_N7
\led_flash_cnt[2853][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2853][3]~66826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2853][3]~q\);

-- Location: LCCOMB_X2_Y23_N8
\led_flash_cnt[2853][4]~66828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2853][4]~66828_combout\ = (\led_flash_cnt[2853][4]~q\ & (!\led_flash_cnt[2853][3]~66827\)) # (!\led_flash_cnt[2853][4]~q\ & ((\led_flash_cnt[2853][3]~66827\) # (GND)))
-- \led_flash_cnt[2853][4]~66829\ = CARRY((!\led_flash_cnt[2853][3]~66827\) # (!\led_flash_cnt[2853][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2853][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2853][3]~66827\,
	combout => \led_flash_cnt[2853][4]~66828_combout\,
	cout => \led_flash_cnt[2853][4]~66829\);

-- Location: FF_X2_Y23_N9
\led_flash_cnt[2853][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2853][4]~66828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2853][4]~q\);

-- Location: LCCOMB_X2_Y23_N10
\led_flash_cnt[2853][5]~66830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2853][5]~66830_combout\ = (\led_flash_cnt[2853][5]~q\ & (\led_flash_cnt[2853][4]~66829\ $ (GND))) # (!\led_flash_cnt[2853][5]~q\ & (!\led_flash_cnt[2853][4]~66829\ & VCC))
-- \led_flash_cnt[2853][5]~66831\ = CARRY((\led_flash_cnt[2853][5]~q\ & !\led_flash_cnt[2853][4]~66829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2853][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2853][4]~66829\,
	combout => \led_flash_cnt[2853][5]~66830_combout\,
	cout => \led_flash_cnt[2853][5]~66831\);

-- Location: FF_X2_Y23_N11
\led_flash_cnt[2853][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2853][5]~66830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2853][5]~q\);

-- Location: LCCOMB_X2_Y23_N12
\led_flash_cnt[2853][6]~66832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2853][6]~66832_combout\ = (\led_flash_cnt[2853][6]~q\ & (!\led_flash_cnt[2853][5]~66831\)) # (!\led_flash_cnt[2853][6]~q\ & ((\led_flash_cnt[2853][5]~66831\) # (GND)))
-- \led_flash_cnt[2853][6]~66833\ = CARRY((!\led_flash_cnt[2853][5]~66831\) # (!\led_flash_cnt[2853][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2853][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2853][5]~66831\,
	combout => \led_flash_cnt[2853][6]~66832_combout\,
	cout => \led_flash_cnt[2853][6]~66833\);

-- Location: FF_X2_Y23_N13
\led_flash_cnt[2853][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2853][6]~66832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2853][6]~q\);

-- Location: LCCOMB_X2_Y23_N14
\led_flash_cnt[2853][7]~66834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2853][7]~66834_combout\ = \led_flash_cnt[2853][7]~q\ $ (!\led_flash_cnt[2853][6]~66833\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2853][7]~q\,
	cin => \led_flash_cnt[2853][6]~66833\,
	combout => \led_flash_cnt[2853][7]~66834_combout\);

-- Location: FF_X2_Y23_N15
\led_flash_cnt[2853][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2853][7]~66834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2853][7]~q\);

-- Location: LCCOMB_X3_Y23_N16
\WideAnd2853~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2853~1_combout\ = (\led_flash_cnt[2853][5]~q\ & \led_flash_cnt[2853][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2853][5]~q\,
	datad => \led_flash_cnt[2853][6]~q\,
	combout => \WideAnd2853~1_combout\);

-- Location: LCCOMB_X2_Y23_N0
\WideAnd2853~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2853~0_combout\ = (\led_flash_cnt[2853][3]~q\ & (\led_flash_cnt[2853][4]~q\ & (\led_flash_cnt[2853][2]~q\ & \led_flash_cnt[2853][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2853][3]~q\,
	datab => \led_flash_cnt[2853][4]~q\,
	datac => \led_flash_cnt[2853][2]~q\,
	datad => \led_flash_cnt[2853][1]~q\,
	combout => \WideAnd2853~0_combout\);

-- Location: LCCOMB_X3_Y23_N30
WideAnd2853 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2853~combout\ = (\led_flash_cnt[2853][7]~q\ & (\WideAnd2853~1_combout\ & (\WideAnd2853~0_combout\ & \led_flash_cnt[2853][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2853][7]~q\,
	datab => \WideAnd2853~1_combout\,
	datac => \WideAnd2853~0_combout\,
	datad => \led_flash_cnt[2853][0]~q\,
	combout => \WideAnd2853~combout\);

-- Location: FF_X3_Y23_N31
\led_flash_cnt_ands[2853]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2853~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2853));

-- Location: LCCOMB_X3_Y23_N22
\led_flash_cnt[2852][0]~83492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2852][0]~83492_combout\ = !\led_flash_cnt[2852][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2852][0]~q\,
	combout => \led_flash_cnt[2852][0]~83492_combout\);

-- Location: FF_X3_Y23_N23
\led_flash_cnt[2852][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2852][0]~83492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2852][0]~q\);

-- Location: LCCOMB_X3_Y23_N2
\led_flash_cnt[2852][1]~66808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2852][1]~66808_combout\ = (\led_flash_cnt[2852][0]~q\ & (\led_flash_cnt[2852][1]~q\ $ (VCC))) # (!\led_flash_cnt[2852][0]~q\ & (\led_flash_cnt[2852][1]~q\ & VCC))
-- \led_flash_cnt[2852][1]~66809\ = CARRY((\led_flash_cnt[2852][0]~q\ & \led_flash_cnt[2852][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2852][0]~q\,
	datab => \led_flash_cnt[2852][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2852][1]~66808_combout\,
	cout => \led_flash_cnt[2852][1]~66809\);

-- Location: FF_X3_Y23_N3
\led_flash_cnt[2852][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2852][1]~66808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2852][1]~q\);

-- Location: LCCOMB_X3_Y23_N4
\led_flash_cnt[2852][2]~66810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2852][2]~66810_combout\ = (\led_flash_cnt[2852][2]~q\ & (!\led_flash_cnt[2852][1]~66809\)) # (!\led_flash_cnt[2852][2]~q\ & ((\led_flash_cnt[2852][1]~66809\) # (GND)))
-- \led_flash_cnt[2852][2]~66811\ = CARRY((!\led_flash_cnt[2852][1]~66809\) # (!\led_flash_cnt[2852][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2852][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2852][1]~66809\,
	combout => \led_flash_cnt[2852][2]~66810_combout\,
	cout => \led_flash_cnt[2852][2]~66811\);

-- Location: FF_X3_Y23_N5
\led_flash_cnt[2852][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2852][2]~66810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2852][2]~q\);

-- Location: LCCOMB_X3_Y23_N6
\led_flash_cnt[2852][3]~66812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2852][3]~66812_combout\ = (\led_flash_cnt[2852][3]~q\ & (\led_flash_cnt[2852][2]~66811\ $ (GND))) # (!\led_flash_cnt[2852][3]~q\ & (!\led_flash_cnt[2852][2]~66811\ & VCC))
-- \led_flash_cnt[2852][3]~66813\ = CARRY((\led_flash_cnt[2852][3]~q\ & !\led_flash_cnt[2852][2]~66811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2852][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2852][2]~66811\,
	combout => \led_flash_cnt[2852][3]~66812_combout\,
	cout => \led_flash_cnt[2852][3]~66813\);

-- Location: FF_X3_Y23_N7
\led_flash_cnt[2852][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2852][3]~66812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2852][3]~q\);

-- Location: LCCOMB_X3_Y23_N8
\led_flash_cnt[2852][4]~66814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2852][4]~66814_combout\ = (\led_flash_cnt[2852][4]~q\ & (!\led_flash_cnt[2852][3]~66813\)) # (!\led_flash_cnt[2852][4]~q\ & ((\led_flash_cnt[2852][3]~66813\) # (GND)))
-- \led_flash_cnt[2852][4]~66815\ = CARRY((!\led_flash_cnt[2852][3]~66813\) # (!\led_flash_cnt[2852][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2852][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2852][3]~66813\,
	combout => \led_flash_cnt[2852][4]~66814_combout\,
	cout => \led_flash_cnt[2852][4]~66815\);

-- Location: FF_X3_Y23_N9
\led_flash_cnt[2852][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2852][4]~66814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2852][4]~q\);

-- Location: LCCOMB_X3_Y23_N26
\WideAnd2852~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2852~0_combout\ = (\led_flash_cnt[2852][3]~q\ & (\led_flash_cnt[2852][2]~q\ & (\led_flash_cnt[2852][4]~q\ & \led_flash_cnt[2852][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2852][3]~q\,
	datab => \led_flash_cnt[2852][2]~q\,
	datac => \led_flash_cnt[2852][4]~q\,
	datad => \led_flash_cnt[2852][1]~q\,
	combout => \WideAnd2852~0_combout\);

-- Location: LCCOMB_X3_Y23_N10
\led_flash_cnt[2852][5]~66816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2852][5]~66816_combout\ = (\led_flash_cnt[2852][5]~q\ & (\led_flash_cnt[2852][4]~66815\ $ (GND))) # (!\led_flash_cnt[2852][5]~q\ & (!\led_flash_cnt[2852][4]~66815\ & VCC))
-- \led_flash_cnt[2852][5]~66817\ = CARRY((\led_flash_cnt[2852][5]~q\ & !\led_flash_cnt[2852][4]~66815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2852][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2852][4]~66815\,
	combout => \led_flash_cnt[2852][5]~66816_combout\,
	cout => \led_flash_cnt[2852][5]~66817\);

-- Location: FF_X3_Y23_N11
\led_flash_cnt[2852][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2852][5]~66816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2852][5]~q\);

-- Location: LCCOMB_X3_Y23_N12
\led_flash_cnt[2852][6]~66818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2852][6]~66818_combout\ = (\led_flash_cnt[2852][6]~q\ & (!\led_flash_cnt[2852][5]~66817\)) # (!\led_flash_cnt[2852][6]~q\ & ((\led_flash_cnt[2852][5]~66817\) # (GND)))
-- \led_flash_cnt[2852][6]~66819\ = CARRY((!\led_flash_cnt[2852][5]~66817\) # (!\led_flash_cnt[2852][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2852][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2852][5]~66817\,
	combout => \led_flash_cnt[2852][6]~66818_combout\,
	cout => \led_flash_cnt[2852][6]~66819\);

-- Location: FF_X3_Y23_N13
\led_flash_cnt[2852][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2852][6]~66818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2852][6]~q\);

-- Location: LCCOMB_X3_Y23_N14
\led_flash_cnt[2852][7]~66820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2852][7]~66820_combout\ = \led_flash_cnt[2852][7]~q\ $ (!\led_flash_cnt[2852][6]~66819\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2852][7]~q\,
	cin => \led_flash_cnt[2852][6]~66819\,
	combout => \led_flash_cnt[2852][7]~66820_combout\);

-- Location: FF_X3_Y23_N15
\led_flash_cnt[2852][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2852][7]~66820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2852][7]~q\);

-- Location: LCCOMB_X3_Y23_N18
\WideAnd2852~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2852~1_combout\ = (\led_flash_cnt[2852][5]~q\ & \led_flash_cnt[2852][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2852][5]~q\,
	datad => \led_flash_cnt[2852][6]~q\,
	combout => \WideAnd2852~1_combout\);

-- Location: LCCOMB_X3_Y23_N20
WideAnd2852 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2852~combout\ = (\WideAnd2852~0_combout\ & (\led_flash_cnt[2852][7]~q\ & (\led_flash_cnt[2852][0]~q\ & \WideAnd2852~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2852~0_combout\,
	datab => \led_flash_cnt[2852][7]~q\,
	datac => \led_flash_cnt[2852][0]~q\,
	datad => \WideAnd2852~1_combout\,
	combout => \WideAnd2852~combout\);

-- Location: FF_X3_Y23_N21
\led_flash_cnt_ands[2852]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2852~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2852));

-- Location: LCCOMB_X3_Y23_N24
\WideAnd4196~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4196~1_combout\ = (led_flash_cnt_ands(2853) & led_flash_cnt_ands(2852))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2853),
	datad => led_flash_cnt_ands(2852),
	combout => \WideAnd4196~1_combout\);

-- Location: LCCOMB_X65_Y1_N26
\led_flash_cnt[2851][0]~83491\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2851][0]~83491_combout\ = !\led_flash_cnt[2851][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2851][0]~q\,
	combout => \led_flash_cnt[2851][0]~83491_combout\);

-- Location: FF_X65_Y1_N27
\led_flash_cnt[2851][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2851][0]~83491_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2851][0]~q\);

-- Location: LCCOMB_X65_Y1_N4
\led_flash_cnt[2851][1]~66794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2851][1]~66794_combout\ = (\led_flash_cnt[2851][0]~q\ & (\led_flash_cnt[2851][1]~q\ $ (VCC))) # (!\led_flash_cnt[2851][0]~q\ & (\led_flash_cnt[2851][1]~q\ & VCC))
-- \led_flash_cnt[2851][1]~66795\ = CARRY((\led_flash_cnt[2851][0]~q\ & \led_flash_cnt[2851][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2851][0]~q\,
	datab => \led_flash_cnt[2851][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2851][1]~66794_combout\,
	cout => \led_flash_cnt[2851][1]~66795\);

-- Location: FF_X65_Y1_N5
\led_flash_cnt[2851][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2851][1]~66794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2851][1]~q\);

-- Location: LCCOMB_X65_Y1_N6
\led_flash_cnt[2851][2]~66796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2851][2]~66796_combout\ = (\led_flash_cnt[2851][2]~q\ & (!\led_flash_cnt[2851][1]~66795\)) # (!\led_flash_cnt[2851][2]~q\ & ((\led_flash_cnt[2851][1]~66795\) # (GND)))
-- \led_flash_cnt[2851][2]~66797\ = CARRY((!\led_flash_cnt[2851][1]~66795\) # (!\led_flash_cnt[2851][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2851][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2851][1]~66795\,
	combout => \led_flash_cnt[2851][2]~66796_combout\,
	cout => \led_flash_cnt[2851][2]~66797\);

-- Location: FF_X65_Y1_N7
\led_flash_cnt[2851][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2851][2]~66796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2851][2]~q\);

-- Location: LCCOMB_X65_Y1_N8
\led_flash_cnt[2851][3]~66798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2851][3]~66798_combout\ = (\led_flash_cnt[2851][3]~q\ & (\led_flash_cnt[2851][2]~66797\ $ (GND))) # (!\led_flash_cnt[2851][3]~q\ & (!\led_flash_cnt[2851][2]~66797\ & VCC))
-- \led_flash_cnt[2851][3]~66799\ = CARRY((\led_flash_cnt[2851][3]~q\ & !\led_flash_cnt[2851][2]~66797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2851][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2851][2]~66797\,
	combout => \led_flash_cnt[2851][3]~66798_combout\,
	cout => \led_flash_cnt[2851][3]~66799\);

-- Location: FF_X65_Y1_N9
\led_flash_cnt[2851][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2851][3]~66798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2851][3]~q\);

-- Location: LCCOMB_X65_Y1_N10
\led_flash_cnt[2851][4]~66800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2851][4]~66800_combout\ = (\led_flash_cnt[2851][4]~q\ & (!\led_flash_cnt[2851][3]~66799\)) # (!\led_flash_cnt[2851][4]~q\ & ((\led_flash_cnt[2851][3]~66799\) # (GND)))
-- \led_flash_cnt[2851][4]~66801\ = CARRY((!\led_flash_cnt[2851][3]~66799\) # (!\led_flash_cnt[2851][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2851][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2851][3]~66799\,
	combout => \led_flash_cnt[2851][4]~66800_combout\,
	cout => \led_flash_cnt[2851][4]~66801\);

-- Location: FF_X65_Y1_N11
\led_flash_cnt[2851][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2851][4]~66800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2851][4]~q\);

-- Location: LCCOMB_X65_Y1_N12
\led_flash_cnt[2851][5]~66802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2851][5]~66802_combout\ = (\led_flash_cnt[2851][5]~q\ & (\led_flash_cnt[2851][4]~66801\ $ (GND))) # (!\led_flash_cnt[2851][5]~q\ & (!\led_flash_cnt[2851][4]~66801\ & VCC))
-- \led_flash_cnt[2851][5]~66803\ = CARRY((\led_flash_cnt[2851][5]~q\ & !\led_flash_cnt[2851][4]~66801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2851][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2851][4]~66801\,
	combout => \led_flash_cnt[2851][5]~66802_combout\,
	cout => \led_flash_cnt[2851][5]~66803\);

-- Location: FF_X65_Y1_N13
\led_flash_cnt[2851][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2851][5]~66802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2851][5]~q\);

-- Location: LCCOMB_X65_Y1_N14
\led_flash_cnt[2851][6]~66804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2851][6]~66804_combout\ = (\led_flash_cnt[2851][6]~q\ & (!\led_flash_cnt[2851][5]~66803\)) # (!\led_flash_cnt[2851][6]~q\ & ((\led_flash_cnt[2851][5]~66803\) # (GND)))
-- \led_flash_cnt[2851][6]~66805\ = CARRY((!\led_flash_cnt[2851][5]~66803\) # (!\led_flash_cnt[2851][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2851][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2851][5]~66803\,
	combout => \led_flash_cnt[2851][6]~66804_combout\,
	cout => \led_flash_cnt[2851][6]~66805\);

-- Location: FF_X65_Y1_N15
\led_flash_cnt[2851][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2851][6]~66804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2851][6]~q\);

-- Location: LCCOMB_X65_Y1_N16
\led_flash_cnt[2851][7]~66806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2851][7]~66806_combout\ = \led_flash_cnt[2851][6]~66805\ $ (!\led_flash_cnt[2851][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2851][7]~q\,
	cin => \led_flash_cnt[2851][6]~66805\,
	combout => \led_flash_cnt[2851][7]~66806_combout\);

-- Location: FF_X65_Y1_N17
\led_flash_cnt[2851][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2851][7]~66806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2851][7]~q\);

-- Location: LCCOMB_X65_Y1_N30
\WideAnd2851~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2851~1_combout\ = (\led_flash_cnt[2851][6]~q\ & \led_flash_cnt[2851][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2851][6]~q\,
	datad => \led_flash_cnt[2851][5]~q\,
	combout => \WideAnd2851~1_combout\);

-- Location: LCCOMB_X65_Y1_N18
\WideAnd2851~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2851~0_combout\ = (\led_flash_cnt[2851][4]~q\ & (\led_flash_cnt[2851][1]~q\ & (\led_flash_cnt[2851][3]~q\ & \led_flash_cnt[2851][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2851][4]~q\,
	datab => \led_flash_cnt[2851][1]~q\,
	datac => \led_flash_cnt[2851][3]~q\,
	datad => \led_flash_cnt[2851][2]~q\,
	combout => \WideAnd2851~0_combout\);

-- Location: LCCOMB_X65_Y1_N22
WideAnd2851 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2851~combout\ = (\led_flash_cnt[2851][0]~q\ & (\led_flash_cnt[2851][7]~q\ & (\WideAnd2851~1_combout\ & \WideAnd2851~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2851][0]~q\,
	datab => \led_flash_cnt[2851][7]~q\,
	datac => \WideAnd2851~1_combout\,
	datad => \WideAnd2851~0_combout\,
	combout => \WideAnd2851~combout\);

-- Location: FF_X65_Y1_N23
\led_flash_cnt_ands[2851]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2851~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2851));

-- Location: LCCOMB_X65_Y1_N2
\led_flash_cnt[2850][0]~83490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2850][0]~83490_combout\ = !\led_flash_cnt[2850][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2850][0]~q\,
	combout => \led_flash_cnt[2850][0]~83490_combout\);

-- Location: FF_X65_Y1_N3
\led_flash_cnt[2850][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2850][0]~83490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2850][0]~q\);

-- Location: LCCOMB_X64_Y1_N2
\led_flash_cnt[2850][1]~66780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2850][1]~66780_combout\ = (\led_flash_cnt[2850][0]~q\ & (\led_flash_cnt[2850][1]~q\ $ (VCC))) # (!\led_flash_cnt[2850][0]~q\ & (\led_flash_cnt[2850][1]~q\ & VCC))
-- \led_flash_cnt[2850][1]~66781\ = CARRY((\led_flash_cnt[2850][0]~q\ & \led_flash_cnt[2850][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2850][0]~q\,
	datab => \led_flash_cnt[2850][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2850][1]~66780_combout\,
	cout => \led_flash_cnt[2850][1]~66781\);

-- Location: FF_X64_Y1_N3
\led_flash_cnt[2850][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2850][1]~66780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2850][1]~q\);

-- Location: LCCOMB_X64_Y1_N4
\led_flash_cnt[2850][2]~66782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2850][2]~66782_combout\ = (\led_flash_cnt[2850][2]~q\ & (!\led_flash_cnt[2850][1]~66781\)) # (!\led_flash_cnt[2850][2]~q\ & ((\led_flash_cnt[2850][1]~66781\) # (GND)))
-- \led_flash_cnt[2850][2]~66783\ = CARRY((!\led_flash_cnt[2850][1]~66781\) # (!\led_flash_cnt[2850][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2850][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2850][1]~66781\,
	combout => \led_flash_cnt[2850][2]~66782_combout\,
	cout => \led_flash_cnt[2850][2]~66783\);

-- Location: FF_X64_Y1_N5
\led_flash_cnt[2850][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2850][2]~66782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2850][2]~q\);

-- Location: LCCOMB_X64_Y1_N6
\led_flash_cnt[2850][3]~66784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2850][3]~66784_combout\ = (\led_flash_cnt[2850][3]~q\ & (\led_flash_cnt[2850][2]~66783\ $ (GND))) # (!\led_flash_cnt[2850][3]~q\ & (!\led_flash_cnt[2850][2]~66783\ & VCC))
-- \led_flash_cnt[2850][3]~66785\ = CARRY((\led_flash_cnt[2850][3]~q\ & !\led_flash_cnt[2850][2]~66783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2850][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2850][2]~66783\,
	combout => \led_flash_cnt[2850][3]~66784_combout\,
	cout => \led_flash_cnt[2850][3]~66785\);

-- Location: FF_X64_Y1_N7
\led_flash_cnt[2850][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2850][3]~66784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2850][3]~q\);

-- Location: LCCOMB_X64_Y1_N8
\led_flash_cnt[2850][4]~66786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2850][4]~66786_combout\ = (\led_flash_cnt[2850][4]~q\ & (!\led_flash_cnt[2850][3]~66785\)) # (!\led_flash_cnt[2850][4]~q\ & ((\led_flash_cnt[2850][3]~66785\) # (GND)))
-- \led_flash_cnt[2850][4]~66787\ = CARRY((!\led_flash_cnt[2850][3]~66785\) # (!\led_flash_cnt[2850][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2850][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2850][3]~66785\,
	combout => \led_flash_cnt[2850][4]~66786_combout\,
	cout => \led_flash_cnt[2850][4]~66787\);

-- Location: FF_X64_Y1_N9
\led_flash_cnt[2850][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2850][4]~66786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2850][4]~q\);

-- Location: LCCOMB_X64_Y1_N10
\led_flash_cnt[2850][5]~66788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2850][5]~66788_combout\ = (\led_flash_cnt[2850][5]~q\ & (\led_flash_cnt[2850][4]~66787\ $ (GND))) # (!\led_flash_cnt[2850][5]~q\ & (!\led_flash_cnt[2850][4]~66787\ & VCC))
-- \led_flash_cnt[2850][5]~66789\ = CARRY((\led_flash_cnt[2850][5]~q\ & !\led_flash_cnt[2850][4]~66787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2850][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2850][4]~66787\,
	combout => \led_flash_cnt[2850][5]~66788_combout\,
	cout => \led_flash_cnt[2850][5]~66789\);

-- Location: FF_X64_Y1_N11
\led_flash_cnt[2850][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2850][5]~66788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2850][5]~q\);

-- Location: LCCOMB_X64_Y1_N12
\led_flash_cnt[2850][6]~66790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2850][6]~66790_combout\ = (\led_flash_cnt[2850][6]~q\ & (!\led_flash_cnt[2850][5]~66789\)) # (!\led_flash_cnt[2850][6]~q\ & ((\led_flash_cnt[2850][5]~66789\) # (GND)))
-- \led_flash_cnt[2850][6]~66791\ = CARRY((!\led_flash_cnt[2850][5]~66789\) # (!\led_flash_cnt[2850][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2850][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2850][5]~66789\,
	combout => \led_flash_cnt[2850][6]~66790_combout\,
	cout => \led_flash_cnt[2850][6]~66791\);

-- Location: FF_X64_Y1_N13
\led_flash_cnt[2850][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2850][6]~66790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2850][6]~q\);

-- Location: LCCOMB_X64_Y1_N14
\led_flash_cnt[2850][7]~66792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2850][7]~66792_combout\ = \led_flash_cnt[2850][7]~q\ $ (!\led_flash_cnt[2850][6]~66791\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2850][7]~q\,
	cin => \led_flash_cnt[2850][6]~66791\,
	combout => \led_flash_cnt[2850][7]~66792_combout\);

-- Location: FF_X64_Y1_N15
\led_flash_cnt[2850][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2850][7]~66792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2850][7]~q\);

-- Location: LCCOMB_X65_Y1_N24
\WideAnd2850~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2850~1_combout\ = (\led_flash_cnt[2850][6]~q\ & \led_flash_cnt[2850][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2850][6]~q\,
	datad => \led_flash_cnt[2850][5]~q\,
	combout => \WideAnd2850~1_combout\);

-- Location: LCCOMB_X64_Y1_N0
\WideAnd2850~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2850~0_combout\ = (\led_flash_cnt[2850][3]~q\ & (\led_flash_cnt[2850][4]~q\ & (\led_flash_cnt[2850][2]~q\ & \led_flash_cnt[2850][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2850][3]~q\,
	datab => \led_flash_cnt[2850][4]~q\,
	datac => \led_flash_cnt[2850][2]~q\,
	datad => \led_flash_cnt[2850][1]~q\,
	combout => \WideAnd2850~0_combout\);

-- Location: LCCOMB_X65_Y1_N28
WideAnd2850 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2850~combout\ = (\led_flash_cnt[2850][7]~q\ & (\WideAnd2850~1_combout\ & (\WideAnd2850~0_combout\ & \led_flash_cnt[2850][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2850][7]~q\,
	datab => \WideAnd2850~1_combout\,
	datac => \WideAnd2850~0_combout\,
	datad => \led_flash_cnt[2850][0]~q\,
	combout => \WideAnd2850~combout\);

-- Location: FF_X65_Y1_N29
\led_flash_cnt_ands[2850]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2850~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2850));

-- Location: LCCOMB_X69_Y1_N26
\led_flash_cnt[2849][0]~83489\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2849][0]~83489_combout\ = !\led_flash_cnt[2849][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2849][0]~q\,
	combout => \led_flash_cnt[2849][0]~83489_combout\);

-- Location: FF_X69_Y1_N27
\led_flash_cnt[2849][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2849][0]~83489_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2849][0]~q\);

-- Location: LCCOMB_X69_Y1_N8
\led_flash_cnt[2849][1]~66766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2849][1]~66766_combout\ = (\led_flash_cnt[2849][0]~q\ & (\led_flash_cnt[2849][1]~q\ $ (VCC))) # (!\led_flash_cnt[2849][0]~q\ & (\led_flash_cnt[2849][1]~q\ & VCC))
-- \led_flash_cnt[2849][1]~66767\ = CARRY((\led_flash_cnt[2849][0]~q\ & \led_flash_cnt[2849][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2849][0]~q\,
	datab => \led_flash_cnt[2849][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2849][1]~66766_combout\,
	cout => \led_flash_cnt[2849][1]~66767\);

-- Location: FF_X69_Y1_N9
\led_flash_cnt[2849][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2849][1]~66766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2849][1]~q\);

-- Location: LCCOMB_X69_Y1_N10
\led_flash_cnt[2849][2]~66768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2849][2]~66768_combout\ = (\led_flash_cnt[2849][2]~q\ & (!\led_flash_cnt[2849][1]~66767\)) # (!\led_flash_cnt[2849][2]~q\ & ((\led_flash_cnt[2849][1]~66767\) # (GND)))
-- \led_flash_cnt[2849][2]~66769\ = CARRY((!\led_flash_cnt[2849][1]~66767\) # (!\led_flash_cnt[2849][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2849][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2849][1]~66767\,
	combout => \led_flash_cnt[2849][2]~66768_combout\,
	cout => \led_flash_cnt[2849][2]~66769\);

-- Location: FF_X69_Y1_N11
\led_flash_cnt[2849][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2849][2]~66768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2849][2]~q\);

-- Location: LCCOMB_X69_Y1_N12
\led_flash_cnt[2849][3]~66770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2849][3]~66770_combout\ = (\led_flash_cnt[2849][3]~q\ & (\led_flash_cnt[2849][2]~66769\ $ (GND))) # (!\led_flash_cnt[2849][3]~q\ & (!\led_flash_cnt[2849][2]~66769\ & VCC))
-- \led_flash_cnt[2849][3]~66771\ = CARRY((\led_flash_cnt[2849][3]~q\ & !\led_flash_cnt[2849][2]~66769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2849][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2849][2]~66769\,
	combout => \led_flash_cnt[2849][3]~66770_combout\,
	cout => \led_flash_cnt[2849][3]~66771\);

-- Location: FF_X69_Y1_N13
\led_flash_cnt[2849][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2849][3]~66770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2849][3]~q\);

-- Location: LCCOMB_X69_Y1_N14
\led_flash_cnt[2849][4]~66772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2849][4]~66772_combout\ = (\led_flash_cnt[2849][4]~q\ & (!\led_flash_cnt[2849][3]~66771\)) # (!\led_flash_cnt[2849][4]~q\ & ((\led_flash_cnt[2849][3]~66771\) # (GND)))
-- \led_flash_cnt[2849][4]~66773\ = CARRY((!\led_flash_cnt[2849][3]~66771\) # (!\led_flash_cnt[2849][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2849][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2849][3]~66771\,
	combout => \led_flash_cnt[2849][4]~66772_combout\,
	cout => \led_flash_cnt[2849][4]~66773\);

-- Location: FF_X69_Y1_N15
\led_flash_cnt[2849][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2849][4]~66772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2849][4]~q\);

-- Location: LCCOMB_X69_Y1_N16
\led_flash_cnt[2849][5]~66774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2849][5]~66774_combout\ = (\led_flash_cnt[2849][5]~q\ & (\led_flash_cnt[2849][4]~66773\ $ (GND))) # (!\led_flash_cnt[2849][5]~q\ & (!\led_flash_cnt[2849][4]~66773\ & VCC))
-- \led_flash_cnt[2849][5]~66775\ = CARRY((\led_flash_cnt[2849][5]~q\ & !\led_flash_cnt[2849][4]~66773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2849][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2849][4]~66773\,
	combout => \led_flash_cnt[2849][5]~66774_combout\,
	cout => \led_flash_cnt[2849][5]~66775\);

-- Location: FF_X69_Y1_N17
\led_flash_cnt[2849][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2849][5]~66774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2849][5]~q\);

-- Location: LCCOMB_X69_Y1_N18
\led_flash_cnt[2849][6]~66776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2849][6]~66776_combout\ = (\led_flash_cnt[2849][6]~q\ & (!\led_flash_cnt[2849][5]~66775\)) # (!\led_flash_cnt[2849][6]~q\ & ((\led_flash_cnt[2849][5]~66775\) # (GND)))
-- \led_flash_cnt[2849][6]~66777\ = CARRY((!\led_flash_cnt[2849][5]~66775\) # (!\led_flash_cnt[2849][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2849][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2849][5]~66775\,
	combout => \led_flash_cnt[2849][6]~66776_combout\,
	cout => \led_flash_cnt[2849][6]~66777\);

-- Location: FF_X69_Y1_N19
\led_flash_cnt[2849][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2849][6]~66776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2849][6]~q\);

-- Location: LCCOMB_X69_Y1_N20
\led_flash_cnt[2849][7]~66778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2849][7]~66778_combout\ = \led_flash_cnt[2849][6]~66777\ $ (!\led_flash_cnt[2849][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2849][7]~q\,
	cin => \led_flash_cnt[2849][6]~66777\,
	combout => \led_flash_cnt[2849][7]~66778_combout\);

-- Location: FF_X69_Y1_N21
\led_flash_cnt[2849][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2849][7]~66778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2849][7]~q\);

-- Location: LCCOMB_X69_Y1_N4
\WideAnd2849~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2849~1_combout\ = (\led_flash_cnt[2849][6]~q\ & \led_flash_cnt[2849][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2849][6]~q\,
	datad => \led_flash_cnt[2849][5]~q\,
	combout => \WideAnd2849~1_combout\);

-- Location: LCCOMB_X69_Y1_N24
\WideAnd2849~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2849~0_combout\ = (\led_flash_cnt[2849][3]~q\ & (\led_flash_cnt[2849][4]~q\ & (\led_flash_cnt[2849][1]~q\ & \led_flash_cnt[2849][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2849][3]~q\,
	datab => \led_flash_cnt[2849][4]~q\,
	datac => \led_flash_cnt[2849][1]~q\,
	datad => \led_flash_cnt[2849][2]~q\,
	combout => \WideAnd2849~0_combout\);

-- Location: LCCOMB_X69_Y1_N22
WideAnd2849 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2849~combout\ = (\led_flash_cnt[2849][0]~q\ & (\led_flash_cnt[2849][7]~q\ & (\WideAnd2849~1_combout\ & \WideAnd2849~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2849][0]~q\,
	datab => \led_flash_cnt[2849][7]~q\,
	datac => \WideAnd2849~1_combout\,
	datad => \WideAnd2849~0_combout\,
	combout => \WideAnd2849~combout\);

-- Location: FF_X69_Y1_N23
\led_flash_cnt_ands[2849]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2849~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2849));

-- Location: LCCOMB_X66_Y1_N24
\led_flash_cnt[2848][0]~83488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2848][0]~83488_combout\ = !\led_flash_cnt[2848][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2848][0]~q\,
	combout => \led_flash_cnt[2848][0]~83488_combout\);

-- Location: FF_X66_Y1_N25
\led_flash_cnt[2848][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2848][0]~83488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2848][0]~q\);

-- Location: LCCOMB_X66_Y1_N6
\led_flash_cnt[2848][1]~66752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2848][1]~66752_combout\ = (\led_flash_cnt[2848][1]~q\ & (\led_flash_cnt[2848][0]~q\ $ (VCC))) # (!\led_flash_cnt[2848][1]~q\ & (\led_flash_cnt[2848][0]~q\ & VCC))
-- \led_flash_cnt[2848][1]~66753\ = CARRY((\led_flash_cnt[2848][1]~q\ & \led_flash_cnt[2848][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2848][1]~q\,
	datab => \led_flash_cnt[2848][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2848][1]~66752_combout\,
	cout => \led_flash_cnt[2848][1]~66753\);

-- Location: FF_X66_Y1_N7
\led_flash_cnt[2848][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2848][1]~66752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2848][1]~q\);

-- Location: LCCOMB_X66_Y1_N8
\led_flash_cnt[2848][2]~66754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2848][2]~66754_combout\ = (\led_flash_cnt[2848][2]~q\ & (!\led_flash_cnt[2848][1]~66753\)) # (!\led_flash_cnt[2848][2]~q\ & ((\led_flash_cnt[2848][1]~66753\) # (GND)))
-- \led_flash_cnt[2848][2]~66755\ = CARRY((!\led_flash_cnt[2848][1]~66753\) # (!\led_flash_cnt[2848][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2848][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2848][1]~66753\,
	combout => \led_flash_cnt[2848][2]~66754_combout\,
	cout => \led_flash_cnt[2848][2]~66755\);

-- Location: FF_X66_Y1_N9
\led_flash_cnt[2848][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2848][2]~66754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2848][2]~q\);

-- Location: LCCOMB_X66_Y1_N10
\led_flash_cnt[2848][3]~66756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2848][3]~66756_combout\ = (\led_flash_cnt[2848][3]~q\ & (\led_flash_cnt[2848][2]~66755\ $ (GND))) # (!\led_flash_cnt[2848][3]~q\ & (!\led_flash_cnt[2848][2]~66755\ & VCC))
-- \led_flash_cnt[2848][3]~66757\ = CARRY((\led_flash_cnt[2848][3]~q\ & !\led_flash_cnt[2848][2]~66755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2848][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2848][2]~66755\,
	combout => \led_flash_cnt[2848][3]~66756_combout\,
	cout => \led_flash_cnt[2848][3]~66757\);

-- Location: FF_X66_Y1_N11
\led_flash_cnt[2848][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2848][3]~66756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2848][3]~q\);

-- Location: LCCOMB_X66_Y1_N12
\led_flash_cnt[2848][4]~66758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2848][4]~66758_combout\ = (\led_flash_cnt[2848][4]~q\ & (!\led_flash_cnt[2848][3]~66757\)) # (!\led_flash_cnt[2848][4]~q\ & ((\led_flash_cnt[2848][3]~66757\) # (GND)))
-- \led_flash_cnt[2848][4]~66759\ = CARRY((!\led_flash_cnt[2848][3]~66757\) # (!\led_flash_cnt[2848][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2848][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2848][3]~66757\,
	combout => \led_flash_cnt[2848][4]~66758_combout\,
	cout => \led_flash_cnt[2848][4]~66759\);

-- Location: FF_X66_Y1_N13
\led_flash_cnt[2848][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2848][4]~66758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2848][4]~q\);

-- Location: LCCOMB_X66_Y1_N14
\led_flash_cnt[2848][5]~66760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2848][5]~66760_combout\ = (\led_flash_cnt[2848][5]~q\ & (\led_flash_cnt[2848][4]~66759\ $ (GND))) # (!\led_flash_cnt[2848][5]~q\ & (!\led_flash_cnt[2848][4]~66759\ & VCC))
-- \led_flash_cnt[2848][5]~66761\ = CARRY((\led_flash_cnt[2848][5]~q\ & !\led_flash_cnt[2848][4]~66759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2848][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2848][4]~66759\,
	combout => \led_flash_cnt[2848][5]~66760_combout\,
	cout => \led_flash_cnt[2848][5]~66761\);

-- Location: FF_X66_Y1_N15
\led_flash_cnt[2848][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2848][5]~66760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2848][5]~q\);

-- Location: LCCOMB_X66_Y1_N16
\led_flash_cnt[2848][6]~66762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2848][6]~66762_combout\ = (\led_flash_cnt[2848][6]~q\ & (!\led_flash_cnt[2848][5]~66761\)) # (!\led_flash_cnt[2848][6]~q\ & ((\led_flash_cnt[2848][5]~66761\) # (GND)))
-- \led_flash_cnt[2848][6]~66763\ = CARRY((!\led_flash_cnt[2848][5]~66761\) # (!\led_flash_cnt[2848][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2848][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2848][5]~66761\,
	combout => \led_flash_cnt[2848][6]~66762_combout\,
	cout => \led_flash_cnt[2848][6]~66763\);

-- Location: FF_X66_Y1_N17
\led_flash_cnt[2848][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2848][6]~66762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2848][6]~q\);

-- Location: LCCOMB_X66_Y1_N26
\WideAnd2848~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2848~1_combout\ = (\led_flash_cnt[2848][5]~q\ & \led_flash_cnt[2848][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2848][5]~q\,
	datad => \led_flash_cnt[2848][6]~q\,
	combout => \WideAnd2848~1_combout\);

-- Location: LCCOMB_X66_Y1_N18
\led_flash_cnt[2848][7]~66764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2848][7]~66764_combout\ = \led_flash_cnt[2848][6]~66763\ $ (!\led_flash_cnt[2848][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2848][7]~q\,
	cin => \led_flash_cnt[2848][6]~66763\,
	combout => \led_flash_cnt[2848][7]~66764_combout\);

-- Location: FF_X66_Y1_N19
\led_flash_cnt[2848][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2848][7]~66764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2848][7]~q\);

-- Location: LCCOMB_X66_Y1_N22
\WideAnd2848~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2848~0_combout\ = (\led_flash_cnt[2848][4]~q\ & (\led_flash_cnt[2848][1]~q\ & (\led_flash_cnt[2848][2]~q\ & \led_flash_cnt[2848][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2848][4]~q\,
	datab => \led_flash_cnt[2848][1]~q\,
	datac => \led_flash_cnt[2848][2]~q\,
	datad => \led_flash_cnt[2848][3]~q\,
	combout => \WideAnd2848~0_combout\);

-- Location: LCCOMB_X66_Y1_N28
WideAnd2848 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2848~combout\ = (\WideAnd2848~1_combout\ & (\led_flash_cnt[2848][7]~q\ & (\WideAnd2848~0_combout\ & \led_flash_cnt[2848][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2848~1_combout\,
	datab => \led_flash_cnt[2848][7]~q\,
	datac => \WideAnd2848~0_combout\,
	datad => \led_flash_cnt[2848][0]~q\,
	combout => \WideAnd2848~combout\);

-- Location: FF_X66_Y1_N29
\led_flash_cnt_ands[2848]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2848~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2848));

-- Location: LCCOMB_X65_Y1_N20
\WideAnd4196~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4196~0_combout\ = (led_flash_cnt_ands(2851) & (led_flash_cnt_ands(2850) & (led_flash_cnt_ands(2849) & led_flash_cnt_ands(2848))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2851),
	datab => led_flash_cnt_ands(2850),
	datac => led_flash_cnt_ands(2849),
	datad => led_flash_cnt_ands(2848),
	combout => \WideAnd4196~0_combout\);

-- Location: LCCOMB_X4_Y23_N4
\led_flash_cnt[2855][0]~83495\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2855][0]~83495_combout\ = !\led_flash_cnt[2855][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2855][0]~q\,
	combout => \led_flash_cnt[2855][0]~83495_combout\);

-- Location: FF_X4_Y23_N5
\led_flash_cnt[2855][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2855][0]~83495_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2855][0]~q\);

-- Location: LCCOMB_X4_Y23_N10
\led_flash_cnt[2855][1]~66850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2855][1]~66850_combout\ = (\led_flash_cnt[2855][1]~q\ & (\led_flash_cnt[2855][0]~q\ $ (VCC))) # (!\led_flash_cnt[2855][1]~q\ & (\led_flash_cnt[2855][0]~q\ & VCC))
-- \led_flash_cnt[2855][1]~66851\ = CARRY((\led_flash_cnt[2855][1]~q\ & \led_flash_cnt[2855][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2855][1]~q\,
	datab => \led_flash_cnt[2855][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2855][1]~66850_combout\,
	cout => \led_flash_cnt[2855][1]~66851\);

-- Location: FF_X4_Y23_N11
\led_flash_cnt[2855][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2855][1]~66850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2855][1]~q\);

-- Location: LCCOMB_X4_Y23_N12
\led_flash_cnt[2855][2]~66852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2855][2]~66852_combout\ = (\led_flash_cnt[2855][2]~q\ & (!\led_flash_cnt[2855][1]~66851\)) # (!\led_flash_cnt[2855][2]~q\ & ((\led_flash_cnt[2855][1]~66851\) # (GND)))
-- \led_flash_cnt[2855][2]~66853\ = CARRY((!\led_flash_cnt[2855][1]~66851\) # (!\led_flash_cnt[2855][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2855][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2855][1]~66851\,
	combout => \led_flash_cnt[2855][2]~66852_combout\,
	cout => \led_flash_cnt[2855][2]~66853\);

-- Location: FF_X4_Y23_N13
\led_flash_cnt[2855][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2855][2]~66852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2855][2]~q\);

-- Location: LCCOMB_X4_Y23_N14
\led_flash_cnt[2855][3]~66854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2855][3]~66854_combout\ = (\led_flash_cnt[2855][3]~q\ & (\led_flash_cnt[2855][2]~66853\ $ (GND))) # (!\led_flash_cnt[2855][3]~q\ & (!\led_flash_cnt[2855][2]~66853\ & VCC))
-- \led_flash_cnt[2855][3]~66855\ = CARRY((\led_flash_cnt[2855][3]~q\ & !\led_flash_cnt[2855][2]~66853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2855][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2855][2]~66853\,
	combout => \led_flash_cnt[2855][3]~66854_combout\,
	cout => \led_flash_cnt[2855][3]~66855\);

-- Location: FF_X4_Y23_N15
\led_flash_cnt[2855][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2855][3]~66854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2855][3]~q\);

-- Location: LCCOMB_X4_Y23_N16
\led_flash_cnt[2855][4]~66856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2855][4]~66856_combout\ = (\led_flash_cnt[2855][4]~q\ & (!\led_flash_cnt[2855][3]~66855\)) # (!\led_flash_cnt[2855][4]~q\ & ((\led_flash_cnt[2855][3]~66855\) # (GND)))
-- \led_flash_cnt[2855][4]~66857\ = CARRY((!\led_flash_cnt[2855][3]~66855\) # (!\led_flash_cnt[2855][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2855][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2855][3]~66855\,
	combout => \led_flash_cnt[2855][4]~66856_combout\,
	cout => \led_flash_cnt[2855][4]~66857\);

-- Location: FF_X4_Y23_N17
\led_flash_cnt[2855][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2855][4]~66856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2855][4]~q\);

-- Location: LCCOMB_X4_Y23_N18
\led_flash_cnt[2855][5]~66858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2855][5]~66858_combout\ = (\led_flash_cnt[2855][5]~q\ & (\led_flash_cnt[2855][4]~66857\ $ (GND))) # (!\led_flash_cnt[2855][5]~q\ & (!\led_flash_cnt[2855][4]~66857\ & VCC))
-- \led_flash_cnt[2855][5]~66859\ = CARRY((\led_flash_cnt[2855][5]~q\ & !\led_flash_cnt[2855][4]~66857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2855][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2855][4]~66857\,
	combout => \led_flash_cnt[2855][5]~66858_combout\,
	cout => \led_flash_cnt[2855][5]~66859\);

-- Location: FF_X4_Y23_N19
\led_flash_cnt[2855][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2855][5]~66858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2855][5]~q\);

-- Location: LCCOMB_X4_Y23_N20
\led_flash_cnt[2855][6]~66860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2855][6]~66860_combout\ = (\led_flash_cnt[2855][6]~q\ & (!\led_flash_cnt[2855][5]~66859\)) # (!\led_flash_cnt[2855][6]~q\ & ((\led_flash_cnt[2855][5]~66859\) # (GND)))
-- \led_flash_cnt[2855][6]~66861\ = CARRY((!\led_flash_cnt[2855][5]~66859\) # (!\led_flash_cnt[2855][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2855][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2855][5]~66859\,
	combout => \led_flash_cnt[2855][6]~66860_combout\,
	cout => \led_flash_cnt[2855][6]~66861\);

-- Location: FF_X4_Y23_N21
\led_flash_cnt[2855][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2855][6]~66860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2855][6]~q\);

-- Location: LCCOMB_X4_Y23_N22
\led_flash_cnt[2855][7]~66862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2855][7]~66862_combout\ = \led_flash_cnt[2855][7]~q\ $ (!\led_flash_cnt[2855][6]~66861\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2855][7]~q\,
	cin => \led_flash_cnt[2855][6]~66861\,
	combout => \led_flash_cnt[2855][7]~66862_combout\);

-- Location: FF_X4_Y23_N23
\led_flash_cnt[2855][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2855][7]~66862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2855][7]~q\);

-- Location: LCCOMB_X4_Y23_N24
\WideAnd2855~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2855~1_combout\ = (\led_flash_cnt[2855][5]~q\ & \led_flash_cnt[2855][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2855][5]~q\,
	datad => \led_flash_cnt[2855][6]~q\,
	combout => \WideAnd2855~1_combout\);

-- Location: LCCOMB_X4_Y23_N2
\WideAnd2855~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2855~0_combout\ = (\led_flash_cnt[2855][2]~q\ & (\led_flash_cnt[2855][4]~q\ & (\led_flash_cnt[2855][3]~q\ & \led_flash_cnt[2855][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2855][2]~q\,
	datab => \led_flash_cnt[2855][4]~q\,
	datac => \led_flash_cnt[2855][3]~q\,
	datad => \led_flash_cnt[2855][1]~q\,
	combout => \WideAnd2855~0_combout\);

-- Location: LCCOMB_X4_Y23_N28
WideAnd2855 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2855~combout\ = (\led_flash_cnt[2855][7]~q\ & (\WideAnd2855~1_combout\ & (\led_flash_cnt[2855][0]~q\ & \WideAnd2855~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2855][7]~q\,
	datab => \WideAnd2855~1_combout\,
	datac => \led_flash_cnt[2855][0]~q\,
	datad => \WideAnd2855~0_combout\,
	combout => \WideAnd2855~combout\);

-- Location: FF_X4_Y23_N29
\led_flash_cnt_ands[2855]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2855~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2855));

-- Location: LCCOMB_X4_Y23_N8
WideAnd4196 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4196~combout\ = (led_flash_cnt_ands(2854) & (\WideAnd4196~1_combout\ & (\WideAnd4196~0_combout\ & led_flash_cnt_ands(2855))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2854),
	datab => \WideAnd4196~1_combout\,
	datac => \WideAnd4196~0_combout\,
	datad => led_flash_cnt_ands(2855),
	combout => \WideAnd4196~combout\);

-- Location: FF_X4_Y23_N9
\led_flash_cnt_ands_1[356]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4196~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(356));

-- Location: LCCOMB_X54_Y4_N28
\led_flash_cnt[2859][0]~83499\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2859][0]~83499_combout\ = !\led_flash_cnt[2859][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2859][0]~q\,
	combout => \led_flash_cnt[2859][0]~83499_combout\);

-- Location: FF_X54_Y4_N29
\led_flash_cnt[2859][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2859][0]~83499_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2859][0]~q\);

-- Location: LCCOMB_X55_Y4_N18
\led_flash_cnt[2859][1]~66906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2859][1]~66906_combout\ = (\led_flash_cnt[2859][0]~q\ & (\led_flash_cnt[2859][1]~q\ $ (VCC))) # (!\led_flash_cnt[2859][0]~q\ & (\led_flash_cnt[2859][1]~q\ & VCC))
-- \led_flash_cnt[2859][1]~66907\ = CARRY((\led_flash_cnt[2859][0]~q\ & \led_flash_cnt[2859][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2859][0]~q\,
	datab => \led_flash_cnt[2859][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2859][1]~66906_combout\,
	cout => \led_flash_cnt[2859][1]~66907\);

-- Location: FF_X55_Y4_N19
\led_flash_cnt[2859][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2859][1]~66906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2859][1]~q\);

-- Location: LCCOMB_X55_Y4_N20
\led_flash_cnt[2859][2]~66908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2859][2]~66908_combout\ = (\led_flash_cnt[2859][2]~q\ & (!\led_flash_cnt[2859][1]~66907\)) # (!\led_flash_cnt[2859][2]~q\ & ((\led_flash_cnt[2859][1]~66907\) # (GND)))
-- \led_flash_cnt[2859][2]~66909\ = CARRY((!\led_flash_cnt[2859][1]~66907\) # (!\led_flash_cnt[2859][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2859][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2859][1]~66907\,
	combout => \led_flash_cnt[2859][2]~66908_combout\,
	cout => \led_flash_cnt[2859][2]~66909\);

-- Location: FF_X55_Y4_N21
\led_flash_cnt[2859][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2859][2]~66908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2859][2]~q\);

-- Location: LCCOMB_X55_Y4_N22
\led_flash_cnt[2859][3]~66910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2859][3]~66910_combout\ = (\led_flash_cnt[2859][3]~q\ & (\led_flash_cnt[2859][2]~66909\ $ (GND))) # (!\led_flash_cnt[2859][3]~q\ & (!\led_flash_cnt[2859][2]~66909\ & VCC))
-- \led_flash_cnt[2859][3]~66911\ = CARRY((\led_flash_cnt[2859][3]~q\ & !\led_flash_cnt[2859][2]~66909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2859][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2859][2]~66909\,
	combout => \led_flash_cnt[2859][3]~66910_combout\,
	cout => \led_flash_cnt[2859][3]~66911\);

-- Location: FF_X55_Y4_N23
\led_flash_cnt[2859][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2859][3]~66910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2859][3]~q\);

-- Location: LCCOMB_X55_Y4_N24
\led_flash_cnt[2859][4]~66912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2859][4]~66912_combout\ = (\led_flash_cnt[2859][4]~q\ & (!\led_flash_cnt[2859][3]~66911\)) # (!\led_flash_cnt[2859][4]~q\ & ((\led_flash_cnt[2859][3]~66911\) # (GND)))
-- \led_flash_cnt[2859][4]~66913\ = CARRY((!\led_flash_cnt[2859][3]~66911\) # (!\led_flash_cnt[2859][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2859][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2859][3]~66911\,
	combout => \led_flash_cnt[2859][4]~66912_combout\,
	cout => \led_flash_cnt[2859][4]~66913\);

-- Location: FF_X55_Y4_N25
\led_flash_cnt[2859][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2859][4]~66912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2859][4]~q\);

-- Location: LCCOMB_X55_Y4_N2
\WideAnd2859~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2859~0_combout\ = (\led_flash_cnt[2859][4]~q\ & (\led_flash_cnt[2859][2]~q\ & (\led_flash_cnt[2859][3]~q\ & \led_flash_cnt[2859][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2859][4]~q\,
	datab => \led_flash_cnt[2859][2]~q\,
	datac => \led_flash_cnt[2859][3]~q\,
	datad => \led_flash_cnt[2859][1]~q\,
	combout => \WideAnd2859~0_combout\);

-- Location: LCCOMB_X55_Y4_N26
\led_flash_cnt[2859][5]~66914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2859][5]~66914_combout\ = (\led_flash_cnt[2859][5]~q\ & (\led_flash_cnt[2859][4]~66913\ $ (GND))) # (!\led_flash_cnt[2859][5]~q\ & (!\led_flash_cnt[2859][4]~66913\ & VCC))
-- \led_flash_cnt[2859][5]~66915\ = CARRY((\led_flash_cnt[2859][5]~q\ & !\led_flash_cnt[2859][4]~66913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2859][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2859][4]~66913\,
	combout => \led_flash_cnt[2859][5]~66914_combout\,
	cout => \led_flash_cnt[2859][5]~66915\);

-- Location: FF_X55_Y4_N27
\led_flash_cnt[2859][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2859][5]~66914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2859][5]~q\);

-- Location: LCCOMB_X55_Y4_N28
\led_flash_cnt[2859][6]~66916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2859][6]~66916_combout\ = (\led_flash_cnt[2859][6]~q\ & (!\led_flash_cnt[2859][5]~66915\)) # (!\led_flash_cnt[2859][6]~q\ & ((\led_flash_cnt[2859][5]~66915\) # (GND)))
-- \led_flash_cnt[2859][6]~66917\ = CARRY((!\led_flash_cnt[2859][5]~66915\) # (!\led_flash_cnt[2859][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2859][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2859][5]~66915\,
	combout => \led_flash_cnt[2859][6]~66916_combout\,
	cout => \led_flash_cnt[2859][6]~66917\);

-- Location: FF_X55_Y4_N29
\led_flash_cnt[2859][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2859][6]~66916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2859][6]~q\);

-- Location: LCCOMB_X54_Y4_N20
\WideAnd2859~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2859~1_combout\ = (\led_flash_cnt[2859][6]~q\ & \led_flash_cnt[2859][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2859][6]~q\,
	datad => \led_flash_cnt[2859][5]~q\,
	combout => \WideAnd2859~1_combout\);

-- Location: LCCOMB_X55_Y4_N30
\led_flash_cnt[2859][7]~66918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2859][7]~66918_combout\ = \led_flash_cnt[2859][7]~q\ $ (!\led_flash_cnt[2859][6]~66917\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2859][7]~q\,
	cin => \led_flash_cnt[2859][6]~66917\,
	combout => \led_flash_cnt[2859][7]~66918_combout\);

-- Location: FF_X55_Y4_N31
\led_flash_cnt[2859][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2859][7]~66918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2859][7]~q\);

-- Location: LCCOMB_X54_Y4_N30
WideAnd2859 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2859~combout\ = (\WideAnd2859~0_combout\ & (\WideAnd2859~1_combout\ & (\led_flash_cnt[2859][7]~q\ & \led_flash_cnt[2859][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2859~0_combout\,
	datab => \WideAnd2859~1_combout\,
	datac => \led_flash_cnt[2859][7]~q\,
	datad => \led_flash_cnt[2859][0]~q\,
	combout => \WideAnd2859~combout\);

-- Location: FF_X54_Y4_N31
\led_flash_cnt_ands[2859]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2859~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2859));

-- Location: LCCOMB_X54_Y3_N24
\led_flash_cnt[2857][0]~83497\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2857][0]~83497_combout\ = !\led_flash_cnt[2857][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2857][0]~q\,
	combout => \led_flash_cnt[2857][0]~83497_combout\);

-- Location: FF_X54_Y3_N25
\led_flash_cnt[2857][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2857][0]~83497_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2857][0]~q\);

-- Location: LCCOMB_X54_Y3_N6
\led_flash_cnt[2857][1]~66878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2857][1]~66878_combout\ = (\led_flash_cnt[2857][1]~q\ & (\led_flash_cnt[2857][0]~q\ $ (VCC))) # (!\led_flash_cnt[2857][1]~q\ & (\led_flash_cnt[2857][0]~q\ & VCC))
-- \led_flash_cnt[2857][1]~66879\ = CARRY((\led_flash_cnt[2857][1]~q\ & \led_flash_cnt[2857][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2857][1]~q\,
	datab => \led_flash_cnt[2857][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2857][1]~66878_combout\,
	cout => \led_flash_cnt[2857][1]~66879\);

-- Location: FF_X54_Y3_N7
\led_flash_cnt[2857][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2857][1]~66878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2857][1]~q\);

-- Location: LCCOMB_X54_Y3_N8
\led_flash_cnt[2857][2]~66880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2857][2]~66880_combout\ = (\led_flash_cnt[2857][2]~q\ & (!\led_flash_cnt[2857][1]~66879\)) # (!\led_flash_cnt[2857][2]~q\ & ((\led_flash_cnt[2857][1]~66879\) # (GND)))
-- \led_flash_cnt[2857][2]~66881\ = CARRY((!\led_flash_cnt[2857][1]~66879\) # (!\led_flash_cnt[2857][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2857][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2857][1]~66879\,
	combout => \led_flash_cnt[2857][2]~66880_combout\,
	cout => \led_flash_cnt[2857][2]~66881\);

-- Location: FF_X54_Y3_N9
\led_flash_cnt[2857][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2857][2]~66880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2857][2]~q\);

-- Location: LCCOMB_X54_Y3_N10
\led_flash_cnt[2857][3]~66882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2857][3]~66882_combout\ = (\led_flash_cnt[2857][3]~q\ & (\led_flash_cnt[2857][2]~66881\ $ (GND))) # (!\led_flash_cnt[2857][3]~q\ & (!\led_flash_cnt[2857][2]~66881\ & VCC))
-- \led_flash_cnt[2857][3]~66883\ = CARRY((\led_flash_cnt[2857][3]~q\ & !\led_flash_cnt[2857][2]~66881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2857][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2857][2]~66881\,
	combout => \led_flash_cnt[2857][3]~66882_combout\,
	cout => \led_flash_cnt[2857][3]~66883\);

-- Location: FF_X54_Y3_N11
\led_flash_cnt[2857][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2857][3]~66882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2857][3]~q\);

-- Location: LCCOMB_X54_Y3_N12
\led_flash_cnt[2857][4]~66884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2857][4]~66884_combout\ = (\led_flash_cnt[2857][4]~q\ & (!\led_flash_cnt[2857][3]~66883\)) # (!\led_flash_cnt[2857][4]~q\ & ((\led_flash_cnt[2857][3]~66883\) # (GND)))
-- \led_flash_cnt[2857][4]~66885\ = CARRY((!\led_flash_cnt[2857][3]~66883\) # (!\led_flash_cnt[2857][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2857][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2857][3]~66883\,
	combout => \led_flash_cnt[2857][4]~66884_combout\,
	cout => \led_flash_cnt[2857][4]~66885\);

-- Location: FF_X54_Y3_N13
\led_flash_cnt[2857][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2857][4]~66884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2857][4]~q\);

-- Location: LCCOMB_X54_Y3_N26
\WideAnd2857~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2857~0_combout\ = (\led_flash_cnt[2857][1]~q\ & (\led_flash_cnt[2857][4]~q\ & (\led_flash_cnt[2857][2]~q\ & \led_flash_cnt[2857][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2857][1]~q\,
	datab => \led_flash_cnt[2857][4]~q\,
	datac => \led_flash_cnt[2857][2]~q\,
	datad => \led_flash_cnt[2857][3]~q\,
	combout => \WideAnd2857~0_combout\);

-- Location: LCCOMB_X54_Y3_N14
\led_flash_cnt[2857][5]~66886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2857][5]~66886_combout\ = (\led_flash_cnt[2857][5]~q\ & (\led_flash_cnt[2857][4]~66885\ $ (GND))) # (!\led_flash_cnt[2857][5]~q\ & (!\led_flash_cnt[2857][4]~66885\ & VCC))
-- \led_flash_cnt[2857][5]~66887\ = CARRY((\led_flash_cnt[2857][5]~q\ & !\led_flash_cnt[2857][4]~66885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2857][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2857][4]~66885\,
	combout => \led_flash_cnt[2857][5]~66886_combout\,
	cout => \led_flash_cnt[2857][5]~66887\);

-- Location: FF_X54_Y3_N15
\led_flash_cnt[2857][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2857][5]~66886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2857][5]~q\);

-- Location: LCCOMB_X54_Y3_N16
\led_flash_cnt[2857][6]~66888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2857][6]~66888_combout\ = (\led_flash_cnt[2857][6]~q\ & (!\led_flash_cnt[2857][5]~66887\)) # (!\led_flash_cnt[2857][6]~q\ & ((\led_flash_cnt[2857][5]~66887\) # (GND)))
-- \led_flash_cnt[2857][6]~66889\ = CARRY((!\led_flash_cnt[2857][5]~66887\) # (!\led_flash_cnt[2857][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2857][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2857][5]~66887\,
	combout => \led_flash_cnt[2857][6]~66888_combout\,
	cout => \led_flash_cnt[2857][6]~66889\);

-- Location: FF_X54_Y3_N17
\led_flash_cnt[2857][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2857][6]~66888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2857][6]~q\);

-- Location: LCCOMB_X54_Y3_N22
\WideAnd2857~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2857~1_combout\ = (\led_flash_cnt[2857][5]~q\ & \led_flash_cnt[2857][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2857][5]~q\,
	datad => \led_flash_cnt[2857][6]~q\,
	combout => \WideAnd2857~1_combout\);

-- Location: LCCOMB_X54_Y3_N18
\led_flash_cnt[2857][7]~66890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2857][7]~66890_combout\ = \led_flash_cnt[2857][6]~66889\ $ (!\led_flash_cnt[2857][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2857][7]~q\,
	cin => \led_flash_cnt[2857][6]~66889\,
	combout => \led_flash_cnt[2857][7]~66890_combout\);

-- Location: FF_X54_Y3_N19
\led_flash_cnt[2857][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2857][7]~66890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2857][7]~q\);

-- Location: LCCOMB_X54_Y3_N0
WideAnd2857 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2857~combout\ = (\WideAnd2857~0_combout\ & (\led_flash_cnt[2857][0]~q\ & (\WideAnd2857~1_combout\ & \led_flash_cnt[2857][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2857~0_combout\,
	datab => \led_flash_cnt[2857][0]~q\,
	datac => \WideAnd2857~1_combout\,
	datad => \led_flash_cnt[2857][7]~q\,
	combout => \WideAnd2857~combout\);

-- Location: FF_X54_Y3_N1
\led_flash_cnt_ands[2857]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2857~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2857));

-- Location: LCCOMB_X54_Y1_N26
\led_flash_cnt[2858][0]~83498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2858][0]~83498_combout\ = !\led_flash_cnt[2858][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2858][0]~q\,
	combout => \led_flash_cnt[2858][0]~83498_combout\);

-- Location: FF_X54_Y1_N27
\led_flash_cnt[2858][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2858][0]~83498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2858][0]~q\);

-- Location: LCCOMB_X54_Y1_N8
\led_flash_cnt[2858][1]~66892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2858][1]~66892_combout\ = (\led_flash_cnt[2858][0]~q\ & (\led_flash_cnt[2858][1]~q\ $ (VCC))) # (!\led_flash_cnt[2858][0]~q\ & (\led_flash_cnt[2858][1]~q\ & VCC))
-- \led_flash_cnt[2858][1]~66893\ = CARRY((\led_flash_cnt[2858][0]~q\ & \led_flash_cnt[2858][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2858][0]~q\,
	datab => \led_flash_cnt[2858][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2858][1]~66892_combout\,
	cout => \led_flash_cnt[2858][1]~66893\);

-- Location: FF_X54_Y1_N9
\led_flash_cnt[2858][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2858][1]~66892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2858][1]~q\);

-- Location: LCCOMB_X54_Y1_N10
\led_flash_cnt[2858][2]~66894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2858][2]~66894_combout\ = (\led_flash_cnt[2858][2]~q\ & (!\led_flash_cnt[2858][1]~66893\)) # (!\led_flash_cnt[2858][2]~q\ & ((\led_flash_cnt[2858][1]~66893\) # (GND)))
-- \led_flash_cnt[2858][2]~66895\ = CARRY((!\led_flash_cnt[2858][1]~66893\) # (!\led_flash_cnt[2858][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2858][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2858][1]~66893\,
	combout => \led_flash_cnt[2858][2]~66894_combout\,
	cout => \led_flash_cnt[2858][2]~66895\);

-- Location: FF_X54_Y1_N11
\led_flash_cnt[2858][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2858][2]~66894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2858][2]~q\);

-- Location: LCCOMB_X54_Y1_N12
\led_flash_cnt[2858][3]~66896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2858][3]~66896_combout\ = (\led_flash_cnt[2858][3]~q\ & (\led_flash_cnt[2858][2]~66895\ $ (GND))) # (!\led_flash_cnt[2858][3]~q\ & (!\led_flash_cnt[2858][2]~66895\ & VCC))
-- \led_flash_cnt[2858][3]~66897\ = CARRY((\led_flash_cnt[2858][3]~q\ & !\led_flash_cnt[2858][2]~66895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2858][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2858][2]~66895\,
	combout => \led_flash_cnt[2858][3]~66896_combout\,
	cout => \led_flash_cnt[2858][3]~66897\);

-- Location: FF_X54_Y1_N13
\led_flash_cnt[2858][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2858][3]~66896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2858][3]~q\);

-- Location: LCCOMB_X54_Y1_N14
\led_flash_cnt[2858][4]~66898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2858][4]~66898_combout\ = (\led_flash_cnt[2858][4]~q\ & (!\led_flash_cnt[2858][3]~66897\)) # (!\led_flash_cnt[2858][4]~q\ & ((\led_flash_cnt[2858][3]~66897\) # (GND)))
-- \led_flash_cnt[2858][4]~66899\ = CARRY((!\led_flash_cnt[2858][3]~66897\) # (!\led_flash_cnt[2858][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2858][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2858][3]~66897\,
	combout => \led_flash_cnt[2858][4]~66898_combout\,
	cout => \led_flash_cnt[2858][4]~66899\);

-- Location: FF_X54_Y1_N15
\led_flash_cnt[2858][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2858][4]~66898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2858][4]~q\);

-- Location: LCCOMB_X54_Y1_N16
\led_flash_cnt[2858][5]~66900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2858][5]~66900_combout\ = (\led_flash_cnt[2858][5]~q\ & (\led_flash_cnt[2858][4]~66899\ $ (GND))) # (!\led_flash_cnt[2858][5]~q\ & (!\led_flash_cnt[2858][4]~66899\ & VCC))
-- \led_flash_cnt[2858][5]~66901\ = CARRY((\led_flash_cnt[2858][5]~q\ & !\led_flash_cnt[2858][4]~66899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2858][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2858][4]~66899\,
	combout => \led_flash_cnt[2858][5]~66900_combout\,
	cout => \led_flash_cnt[2858][5]~66901\);

-- Location: FF_X54_Y1_N17
\led_flash_cnt[2858][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2858][5]~66900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2858][5]~q\);

-- Location: LCCOMB_X54_Y1_N18
\led_flash_cnt[2858][6]~66902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2858][6]~66902_combout\ = (\led_flash_cnt[2858][6]~q\ & (!\led_flash_cnt[2858][5]~66901\)) # (!\led_flash_cnt[2858][6]~q\ & ((\led_flash_cnt[2858][5]~66901\) # (GND)))
-- \led_flash_cnt[2858][6]~66903\ = CARRY((!\led_flash_cnt[2858][5]~66901\) # (!\led_flash_cnt[2858][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2858][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2858][5]~66901\,
	combout => \led_flash_cnt[2858][6]~66902_combout\,
	cout => \led_flash_cnt[2858][6]~66903\);

-- Location: FF_X54_Y1_N19
\led_flash_cnt[2858][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2858][6]~66902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2858][6]~q\);

-- Location: LCCOMB_X54_Y1_N24
\WideAnd2858~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2858~1_combout\ = (\led_flash_cnt[2858][6]~q\ & \led_flash_cnt[2858][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2858][6]~q\,
	datad => \led_flash_cnt[2858][5]~q\,
	combout => \WideAnd2858~1_combout\);

-- Location: LCCOMB_X54_Y1_N4
\WideAnd2858~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2858~0_combout\ = (\led_flash_cnt[2858][3]~q\ & (\led_flash_cnt[2858][1]~q\ & (\led_flash_cnt[2858][4]~q\ & \led_flash_cnt[2858][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2858][3]~q\,
	datab => \led_flash_cnt[2858][1]~q\,
	datac => \led_flash_cnt[2858][4]~q\,
	datad => \led_flash_cnt[2858][2]~q\,
	combout => \WideAnd2858~0_combout\);

-- Location: LCCOMB_X54_Y1_N20
\led_flash_cnt[2858][7]~66904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2858][7]~66904_combout\ = \led_flash_cnt[2858][6]~66903\ $ (!\led_flash_cnt[2858][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2858][7]~q\,
	cin => \led_flash_cnt[2858][6]~66903\,
	combout => \led_flash_cnt[2858][7]~66904_combout\);

-- Location: FF_X54_Y1_N21
\led_flash_cnt[2858][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2858][7]~66904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2858][7]~q\);

-- Location: LCCOMB_X54_Y1_N22
WideAnd2858 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2858~combout\ = (\led_flash_cnt[2858][0]~q\ & (\WideAnd2858~1_combout\ & (\WideAnd2858~0_combout\ & \led_flash_cnt[2858][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2858][0]~q\,
	datab => \WideAnd2858~1_combout\,
	datac => \WideAnd2858~0_combout\,
	datad => \led_flash_cnt[2858][7]~q\,
	combout => \WideAnd2858~combout\);

-- Location: FF_X54_Y1_N23
\led_flash_cnt_ands[2858]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2858~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2858));

-- Location: LCCOMB_X54_Y4_N18
\led_flash_cnt[2856][0]~83496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2856][0]~83496_combout\ = !\led_flash_cnt[2856][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2856][0]~q\,
	combout => \led_flash_cnt[2856][0]~83496_combout\);

-- Location: FF_X54_Y4_N19
\led_flash_cnt[2856][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2856][0]~83496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2856][0]~q\);

-- Location: LCCOMB_X54_Y4_N0
\led_flash_cnt[2856][1]~66864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2856][1]~66864_combout\ = (\led_flash_cnt[2856][1]~q\ & (\led_flash_cnt[2856][0]~q\ $ (VCC))) # (!\led_flash_cnt[2856][1]~q\ & (\led_flash_cnt[2856][0]~q\ & VCC))
-- \led_flash_cnt[2856][1]~66865\ = CARRY((\led_flash_cnt[2856][1]~q\ & \led_flash_cnt[2856][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2856][1]~q\,
	datab => \led_flash_cnt[2856][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2856][1]~66864_combout\,
	cout => \led_flash_cnt[2856][1]~66865\);

-- Location: FF_X54_Y4_N1
\led_flash_cnt[2856][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2856][1]~66864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2856][1]~q\);

-- Location: LCCOMB_X54_Y4_N2
\led_flash_cnt[2856][2]~66866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2856][2]~66866_combout\ = (\led_flash_cnt[2856][2]~q\ & (!\led_flash_cnt[2856][1]~66865\)) # (!\led_flash_cnt[2856][2]~q\ & ((\led_flash_cnt[2856][1]~66865\) # (GND)))
-- \led_flash_cnt[2856][2]~66867\ = CARRY((!\led_flash_cnt[2856][1]~66865\) # (!\led_flash_cnt[2856][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2856][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2856][1]~66865\,
	combout => \led_flash_cnt[2856][2]~66866_combout\,
	cout => \led_flash_cnt[2856][2]~66867\);

-- Location: FF_X54_Y4_N3
\led_flash_cnt[2856][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2856][2]~66866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2856][2]~q\);

-- Location: LCCOMB_X54_Y4_N4
\led_flash_cnt[2856][3]~66868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2856][3]~66868_combout\ = (\led_flash_cnt[2856][3]~q\ & (\led_flash_cnt[2856][2]~66867\ $ (GND))) # (!\led_flash_cnt[2856][3]~q\ & (!\led_flash_cnt[2856][2]~66867\ & VCC))
-- \led_flash_cnt[2856][3]~66869\ = CARRY((\led_flash_cnt[2856][3]~q\ & !\led_flash_cnt[2856][2]~66867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2856][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2856][2]~66867\,
	combout => \led_flash_cnt[2856][3]~66868_combout\,
	cout => \led_flash_cnt[2856][3]~66869\);

-- Location: FF_X54_Y4_N5
\led_flash_cnt[2856][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2856][3]~66868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2856][3]~q\);

-- Location: LCCOMB_X54_Y4_N6
\led_flash_cnt[2856][4]~66870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2856][4]~66870_combout\ = (\led_flash_cnt[2856][4]~q\ & (!\led_flash_cnt[2856][3]~66869\)) # (!\led_flash_cnt[2856][4]~q\ & ((\led_flash_cnt[2856][3]~66869\) # (GND)))
-- \led_flash_cnt[2856][4]~66871\ = CARRY((!\led_flash_cnt[2856][3]~66869\) # (!\led_flash_cnt[2856][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2856][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2856][3]~66869\,
	combout => \led_flash_cnt[2856][4]~66870_combout\,
	cout => \led_flash_cnt[2856][4]~66871\);

-- Location: FF_X54_Y4_N7
\led_flash_cnt[2856][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2856][4]~66870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2856][4]~q\);

-- Location: LCCOMB_X54_Y4_N8
\led_flash_cnt[2856][5]~66872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2856][5]~66872_combout\ = (\led_flash_cnt[2856][5]~q\ & (\led_flash_cnt[2856][4]~66871\ $ (GND))) # (!\led_flash_cnt[2856][5]~q\ & (!\led_flash_cnt[2856][4]~66871\ & VCC))
-- \led_flash_cnt[2856][5]~66873\ = CARRY((\led_flash_cnt[2856][5]~q\ & !\led_flash_cnt[2856][4]~66871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2856][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2856][4]~66871\,
	combout => \led_flash_cnt[2856][5]~66872_combout\,
	cout => \led_flash_cnt[2856][5]~66873\);

-- Location: FF_X54_Y4_N9
\led_flash_cnt[2856][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2856][5]~66872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2856][5]~q\);

-- Location: LCCOMB_X54_Y4_N10
\led_flash_cnt[2856][6]~66874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2856][6]~66874_combout\ = (\led_flash_cnt[2856][6]~q\ & (!\led_flash_cnt[2856][5]~66873\)) # (!\led_flash_cnt[2856][6]~q\ & ((\led_flash_cnt[2856][5]~66873\) # (GND)))
-- \led_flash_cnt[2856][6]~66875\ = CARRY((!\led_flash_cnt[2856][5]~66873\) # (!\led_flash_cnt[2856][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2856][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2856][5]~66873\,
	combout => \led_flash_cnt[2856][6]~66874_combout\,
	cout => \led_flash_cnt[2856][6]~66875\);

-- Location: FF_X54_Y4_N11
\led_flash_cnt[2856][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2856][6]~66874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2856][6]~q\);

-- Location: LCCOMB_X54_Y4_N12
\led_flash_cnt[2856][7]~66876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2856][7]~66876_combout\ = \led_flash_cnt[2856][6]~66875\ $ (!\led_flash_cnt[2856][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2856][7]~q\,
	cin => \led_flash_cnt[2856][6]~66875\,
	combout => \led_flash_cnt[2856][7]~66876_combout\);

-- Location: FF_X54_Y4_N13
\led_flash_cnt[2856][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2856][7]~66876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2856][7]~q\);

-- Location: LCCOMB_X54_Y4_N24
\WideAnd2856~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2856~1_combout\ = (\led_flash_cnt[2856][5]~q\ & \led_flash_cnt[2856][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2856][5]~q\,
	datad => \led_flash_cnt[2856][6]~q\,
	combout => \WideAnd2856~1_combout\);

-- Location: LCCOMB_X54_Y4_N26
\WideAnd2856~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2856~0_combout\ = (\led_flash_cnt[2856][4]~q\ & (\led_flash_cnt[2856][1]~q\ & (\led_flash_cnt[2856][3]~q\ & \led_flash_cnt[2856][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2856][4]~q\,
	datab => \led_flash_cnt[2856][1]~q\,
	datac => \led_flash_cnt[2856][3]~q\,
	datad => \led_flash_cnt[2856][2]~q\,
	combout => \WideAnd2856~0_combout\);

-- Location: LCCOMB_X54_Y4_N16
WideAnd2856 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2856~combout\ = (\led_flash_cnt[2856][7]~q\ & (\WideAnd2856~1_combout\ & (\WideAnd2856~0_combout\ & \led_flash_cnt[2856][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2856][7]~q\,
	datab => \WideAnd2856~1_combout\,
	datac => \WideAnd2856~0_combout\,
	datad => \led_flash_cnt[2856][0]~q\,
	combout => \WideAnd2856~combout\);

-- Location: FF_X54_Y4_N17
\led_flash_cnt_ands[2856]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2856~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2856));

-- Location: LCCOMB_X54_Y4_N22
\WideAnd4197~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4197~0_combout\ = (led_flash_cnt_ands(2859) & (led_flash_cnt_ands(2857) & (led_flash_cnt_ands(2858) & led_flash_cnt_ands(2856))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2859),
	datab => led_flash_cnt_ands(2857),
	datac => led_flash_cnt_ands(2858),
	datad => led_flash_cnt_ands(2856),
	combout => \WideAnd4197~0_combout\);

-- Location: LCCOMB_X54_Y20_N0
\led_flash_cnt[2863][0]~83503\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2863][0]~83503_combout\ = !\led_flash_cnt[2863][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2863][0]~q\,
	combout => \led_flash_cnt[2863][0]~83503_combout\);

-- Location: FF_X54_Y20_N1
\led_flash_cnt[2863][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2863][0]~83503_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2863][0]~q\);

-- Location: LCCOMB_X54_Y20_N10
\led_flash_cnt[2863][1]~66962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2863][1]~66962_combout\ = (\led_flash_cnt[2863][1]~q\ & (\led_flash_cnt[2863][0]~q\ $ (VCC))) # (!\led_flash_cnt[2863][1]~q\ & (\led_flash_cnt[2863][0]~q\ & VCC))
-- \led_flash_cnt[2863][1]~66963\ = CARRY((\led_flash_cnt[2863][1]~q\ & \led_flash_cnt[2863][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2863][1]~q\,
	datab => \led_flash_cnt[2863][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2863][1]~66962_combout\,
	cout => \led_flash_cnt[2863][1]~66963\);

-- Location: FF_X54_Y20_N11
\led_flash_cnt[2863][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2863][1]~66962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2863][1]~q\);

-- Location: LCCOMB_X54_Y20_N12
\led_flash_cnt[2863][2]~66964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2863][2]~66964_combout\ = (\led_flash_cnt[2863][2]~q\ & (!\led_flash_cnt[2863][1]~66963\)) # (!\led_flash_cnt[2863][2]~q\ & ((\led_flash_cnt[2863][1]~66963\) # (GND)))
-- \led_flash_cnt[2863][2]~66965\ = CARRY((!\led_flash_cnt[2863][1]~66963\) # (!\led_flash_cnt[2863][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2863][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2863][1]~66963\,
	combout => \led_flash_cnt[2863][2]~66964_combout\,
	cout => \led_flash_cnt[2863][2]~66965\);

-- Location: FF_X54_Y20_N13
\led_flash_cnt[2863][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2863][2]~66964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2863][2]~q\);

-- Location: LCCOMB_X54_Y20_N14
\led_flash_cnt[2863][3]~66966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2863][3]~66966_combout\ = (\led_flash_cnt[2863][3]~q\ & (\led_flash_cnt[2863][2]~66965\ $ (GND))) # (!\led_flash_cnt[2863][3]~q\ & (!\led_flash_cnt[2863][2]~66965\ & VCC))
-- \led_flash_cnt[2863][3]~66967\ = CARRY((\led_flash_cnt[2863][3]~q\ & !\led_flash_cnt[2863][2]~66965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2863][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2863][2]~66965\,
	combout => \led_flash_cnt[2863][3]~66966_combout\,
	cout => \led_flash_cnt[2863][3]~66967\);

-- Location: FF_X54_Y20_N15
\led_flash_cnt[2863][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2863][3]~66966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2863][3]~q\);

-- Location: LCCOMB_X54_Y20_N16
\led_flash_cnt[2863][4]~66968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2863][4]~66968_combout\ = (\led_flash_cnt[2863][4]~q\ & (!\led_flash_cnt[2863][3]~66967\)) # (!\led_flash_cnt[2863][4]~q\ & ((\led_flash_cnt[2863][3]~66967\) # (GND)))
-- \led_flash_cnt[2863][4]~66969\ = CARRY((!\led_flash_cnt[2863][3]~66967\) # (!\led_flash_cnt[2863][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2863][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2863][3]~66967\,
	combout => \led_flash_cnt[2863][4]~66968_combout\,
	cout => \led_flash_cnt[2863][4]~66969\);

-- Location: FF_X54_Y20_N17
\led_flash_cnt[2863][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2863][4]~66968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2863][4]~q\);

-- Location: LCCOMB_X54_Y20_N6
\WideAnd2863~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2863~0_combout\ = (\led_flash_cnt[2863][1]~q\ & (\led_flash_cnt[2863][4]~q\ & (\led_flash_cnt[2863][3]~q\ & \led_flash_cnt[2863][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2863][1]~q\,
	datab => \led_flash_cnt[2863][4]~q\,
	datac => \led_flash_cnt[2863][3]~q\,
	datad => \led_flash_cnt[2863][2]~q\,
	combout => \WideAnd2863~0_combout\);

-- Location: LCCOMB_X54_Y20_N18
\led_flash_cnt[2863][5]~66970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2863][5]~66970_combout\ = (\led_flash_cnt[2863][5]~q\ & (\led_flash_cnt[2863][4]~66969\ $ (GND))) # (!\led_flash_cnt[2863][5]~q\ & (!\led_flash_cnt[2863][4]~66969\ & VCC))
-- \led_flash_cnt[2863][5]~66971\ = CARRY((\led_flash_cnt[2863][5]~q\ & !\led_flash_cnt[2863][4]~66969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2863][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2863][4]~66969\,
	combout => \led_flash_cnt[2863][5]~66970_combout\,
	cout => \led_flash_cnt[2863][5]~66971\);

-- Location: FF_X54_Y20_N19
\led_flash_cnt[2863][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2863][5]~66970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2863][5]~q\);

-- Location: LCCOMB_X54_Y20_N20
\led_flash_cnt[2863][6]~66972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2863][6]~66972_combout\ = (\led_flash_cnt[2863][6]~q\ & (!\led_flash_cnt[2863][5]~66971\)) # (!\led_flash_cnt[2863][6]~q\ & ((\led_flash_cnt[2863][5]~66971\) # (GND)))
-- \led_flash_cnt[2863][6]~66973\ = CARRY((!\led_flash_cnt[2863][5]~66971\) # (!\led_flash_cnt[2863][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2863][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2863][5]~66971\,
	combout => \led_flash_cnt[2863][6]~66972_combout\,
	cout => \led_flash_cnt[2863][6]~66973\);

-- Location: FF_X54_Y20_N21
\led_flash_cnt[2863][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2863][6]~66972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2863][6]~q\);

-- Location: LCCOMB_X54_Y20_N4
\WideAnd2863~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2863~1_combout\ = (\led_flash_cnt[2863][6]~q\ & \led_flash_cnt[2863][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2863][6]~q\,
	datac => \led_flash_cnt[2863][5]~q\,
	combout => \WideAnd2863~1_combout\);

-- Location: LCCOMB_X54_Y20_N22
\led_flash_cnt[2863][7]~66974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2863][7]~66974_combout\ = \led_flash_cnt[2863][7]~q\ $ (!\led_flash_cnt[2863][6]~66973\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2863][7]~q\,
	cin => \led_flash_cnt[2863][6]~66973\,
	combout => \led_flash_cnt[2863][7]~66974_combout\);

-- Location: FF_X54_Y20_N23
\led_flash_cnt[2863][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2863][7]~66974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2863][7]~q\);

-- Location: LCCOMB_X54_Y20_N8
WideAnd2863 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2863~combout\ = (\WideAnd2863~0_combout\ & (\WideAnd2863~1_combout\ & (\led_flash_cnt[2863][7]~q\ & \led_flash_cnt[2863][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2863~0_combout\,
	datab => \WideAnd2863~1_combout\,
	datac => \led_flash_cnt[2863][7]~q\,
	datad => \led_flash_cnt[2863][0]~q\,
	combout => \WideAnd2863~combout\);

-- Location: FF_X54_Y20_N9
\led_flash_cnt_ands[2863]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2863~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2863));

-- Location: LCCOMB_X66_Y13_N2
\led_flash_cnt[2861][0]~83501\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2861][0]~83501_combout\ = !\led_flash_cnt[2861][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2861][0]~q\,
	combout => \led_flash_cnt[2861][0]~83501_combout\);

-- Location: FF_X66_Y13_N3
\led_flash_cnt[2861][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2861][0]~83501_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2861][0]~q\);

-- Location: LCCOMB_X65_Y13_N18
\led_flash_cnt[2861][1]~66934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2861][1]~66934_combout\ = (\led_flash_cnt[2861][0]~q\ & (\led_flash_cnt[2861][1]~q\ $ (VCC))) # (!\led_flash_cnt[2861][0]~q\ & (\led_flash_cnt[2861][1]~q\ & VCC))
-- \led_flash_cnt[2861][1]~66935\ = CARRY((\led_flash_cnt[2861][0]~q\ & \led_flash_cnt[2861][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2861][0]~q\,
	datab => \led_flash_cnt[2861][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2861][1]~66934_combout\,
	cout => \led_flash_cnt[2861][1]~66935\);

-- Location: FF_X65_Y13_N19
\led_flash_cnt[2861][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2861][1]~66934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2861][1]~q\);

-- Location: LCCOMB_X65_Y13_N20
\led_flash_cnt[2861][2]~66936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2861][2]~66936_combout\ = (\led_flash_cnt[2861][2]~q\ & (!\led_flash_cnt[2861][1]~66935\)) # (!\led_flash_cnt[2861][2]~q\ & ((\led_flash_cnt[2861][1]~66935\) # (GND)))
-- \led_flash_cnt[2861][2]~66937\ = CARRY((!\led_flash_cnt[2861][1]~66935\) # (!\led_flash_cnt[2861][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2861][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2861][1]~66935\,
	combout => \led_flash_cnt[2861][2]~66936_combout\,
	cout => \led_flash_cnt[2861][2]~66937\);

-- Location: FF_X65_Y13_N21
\led_flash_cnt[2861][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2861][2]~66936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2861][2]~q\);

-- Location: LCCOMB_X65_Y13_N22
\led_flash_cnt[2861][3]~66938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2861][3]~66938_combout\ = (\led_flash_cnt[2861][3]~q\ & (\led_flash_cnt[2861][2]~66937\ $ (GND))) # (!\led_flash_cnt[2861][3]~q\ & (!\led_flash_cnt[2861][2]~66937\ & VCC))
-- \led_flash_cnt[2861][3]~66939\ = CARRY((\led_flash_cnt[2861][3]~q\ & !\led_flash_cnt[2861][2]~66937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2861][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2861][2]~66937\,
	combout => \led_flash_cnt[2861][3]~66938_combout\,
	cout => \led_flash_cnt[2861][3]~66939\);

-- Location: FF_X65_Y13_N23
\led_flash_cnt[2861][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2861][3]~66938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2861][3]~q\);

-- Location: LCCOMB_X65_Y13_N24
\led_flash_cnt[2861][4]~66940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2861][4]~66940_combout\ = (\led_flash_cnt[2861][4]~q\ & (!\led_flash_cnt[2861][3]~66939\)) # (!\led_flash_cnt[2861][4]~q\ & ((\led_flash_cnt[2861][3]~66939\) # (GND)))
-- \led_flash_cnt[2861][4]~66941\ = CARRY((!\led_flash_cnt[2861][3]~66939\) # (!\led_flash_cnt[2861][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2861][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2861][3]~66939\,
	combout => \led_flash_cnt[2861][4]~66940_combout\,
	cout => \led_flash_cnt[2861][4]~66941\);

-- Location: FF_X65_Y13_N25
\led_flash_cnt[2861][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2861][4]~66940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2861][4]~q\);

-- Location: LCCOMB_X65_Y13_N26
\led_flash_cnt[2861][5]~66942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2861][5]~66942_combout\ = (\led_flash_cnt[2861][5]~q\ & (\led_flash_cnt[2861][4]~66941\ $ (GND))) # (!\led_flash_cnt[2861][5]~q\ & (!\led_flash_cnt[2861][4]~66941\ & VCC))
-- \led_flash_cnt[2861][5]~66943\ = CARRY((\led_flash_cnt[2861][5]~q\ & !\led_flash_cnt[2861][4]~66941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2861][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2861][4]~66941\,
	combout => \led_flash_cnt[2861][5]~66942_combout\,
	cout => \led_flash_cnt[2861][5]~66943\);

-- Location: FF_X65_Y13_N27
\led_flash_cnt[2861][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2861][5]~66942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2861][5]~q\);

-- Location: LCCOMB_X65_Y13_N28
\led_flash_cnt[2861][6]~66944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2861][6]~66944_combout\ = (\led_flash_cnt[2861][6]~q\ & (!\led_flash_cnt[2861][5]~66943\)) # (!\led_flash_cnt[2861][6]~q\ & ((\led_flash_cnt[2861][5]~66943\) # (GND)))
-- \led_flash_cnt[2861][6]~66945\ = CARRY((!\led_flash_cnt[2861][5]~66943\) # (!\led_flash_cnt[2861][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2861][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2861][5]~66943\,
	combout => \led_flash_cnt[2861][6]~66944_combout\,
	cout => \led_flash_cnt[2861][6]~66945\);

-- Location: FF_X65_Y13_N29
\led_flash_cnt[2861][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2861][6]~66944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2861][6]~q\);

-- Location: LCCOMB_X66_Y13_N6
\WideAnd2861~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2861~1_combout\ = (\led_flash_cnt[2861][5]~q\ & \led_flash_cnt[2861][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2861][5]~q\,
	datad => \led_flash_cnt[2861][6]~q\,
	combout => \WideAnd2861~1_combout\);

-- Location: LCCOMB_X65_Y13_N30
\led_flash_cnt[2861][7]~66946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2861][7]~66946_combout\ = \led_flash_cnt[2861][7]~q\ $ (!\led_flash_cnt[2861][6]~66945\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2861][7]~q\,
	cin => \led_flash_cnt[2861][6]~66945\,
	combout => \led_flash_cnt[2861][7]~66946_combout\);

-- Location: FF_X65_Y13_N31
\led_flash_cnt[2861][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2861][7]~66946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2861][7]~q\);

-- Location: LCCOMB_X65_Y13_N0
\WideAnd2861~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2861~0_combout\ = (\led_flash_cnt[2861][4]~q\ & (\led_flash_cnt[2861][2]~q\ & (\led_flash_cnt[2861][3]~q\ & \led_flash_cnt[2861][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2861][4]~q\,
	datab => \led_flash_cnt[2861][2]~q\,
	datac => \led_flash_cnt[2861][3]~q\,
	datad => \led_flash_cnt[2861][1]~q\,
	combout => \WideAnd2861~0_combout\);

-- Location: LCCOMB_X66_Y13_N8
WideAnd2861 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2861~combout\ = (\WideAnd2861~1_combout\ & (\led_flash_cnt[2861][7]~q\ & (\WideAnd2861~0_combout\ & \led_flash_cnt[2861][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2861~1_combout\,
	datab => \led_flash_cnt[2861][7]~q\,
	datac => \WideAnd2861~0_combout\,
	datad => \led_flash_cnt[2861][0]~q\,
	combout => \WideAnd2861~combout\);

-- Location: FF_X66_Y13_N9
\led_flash_cnt_ands[2861]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2861~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2861));

-- Location: LCCOMB_X66_Y13_N12
\led_flash_cnt[2860][0]~83500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2860][0]~83500_combout\ = !\led_flash_cnt[2860][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2860][0]~q\,
	combout => \led_flash_cnt[2860][0]~83500_combout\);

-- Location: FF_X66_Y13_N13
\led_flash_cnt[2860][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2860][0]~83500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2860][0]~q\);

-- Location: LCCOMB_X66_Y13_N18
\led_flash_cnt[2860][1]~66920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2860][1]~66920_combout\ = (\led_flash_cnt[2860][0]~q\ & (\led_flash_cnt[2860][1]~q\ $ (VCC))) # (!\led_flash_cnt[2860][0]~q\ & (\led_flash_cnt[2860][1]~q\ & VCC))
-- \led_flash_cnt[2860][1]~66921\ = CARRY((\led_flash_cnt[2860][0]~q\ & \led_flash_cnt[2860][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2860][0]~q\,
	datab => \led_flash_cnt[2860][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2860][1]~66920_combout\,
	cout => \led_flash_cnt[2860][1]~66921\);

-- Location: FF_X66_Y13_N19
\led_flash_cnt[2860][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2860][1]~66920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2860][1]~q\);

-- Location: LCCOMB_X66_Y13_N20
\led_flash_cnt[2860][2]~66922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2860][2]~66922_combout\ = (\led_flash_cnt[2860][2]~q\ & (!\led_flash_cnt[2860][1]~66921\)) # (!\led_flash_cnt[2860][2]~q\ & ((\led_flash_cnt[2860][1]~66921\) # (GND)))
-- \led_flash_cnt[2860][2]~66923\ = CARRY((!\led_flash_cnt[2860][1]~66921\) # (!\led_flash_cnt[2860][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2860][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2860][1]~66921\,
	combout => \led_flash_cnt[2860][2]~66922_combout\,
	cout => \led_flash_cnt[2860][2]~66923\);

-- Location: FF_X66_Y13_N21
\led_flash_cnt[2860][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2860][2]~66922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2860][2]~q\);

-- Location: LCCOMB_X66_Y13_N22
\led_flash_cnt[2860][3]~66924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2860][3]~66924_combout\ = (\led_flash_cnt[2860][3]~q\ & (\led_flash_cnt[2860][2]~66923\ $ (GND))) # (!\led_flash_cnt[2860][3]~q\ & (!\led_flash_cnt[2860][2]~66923\ & VCC))
-- \led_flash_cnt[2860][3]~66925\ = CARRY((\led_flash_cnt[2860][3]~q\ & !\led_flash_cnt[2860][2]~66923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2860][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2860][2]~66923\,
	combout => \led_flash_cnt[2860][3]~66924_combout\,
	cout => \led_flash_cnt[2860][3]~66925\);

-- Location: FF_X66_Y13_N23
\led_flash_cnt[2860][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2860][3]~66924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2860][3]~q\);

-- Location: LCCOMB_X66_Y13_N24
\led_flash_cnt[2860][4]~66926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2860][4]~66926_combout\ = (\led_flash_cnt[2860][4]~q\ & (!\led_flash_cnt[2860][3]~66925\)) # (!\led_flash_cnt[2860][4]~q\ & ((\led_flash_cnt[2860][3]~66925\) # (GND)))
-- \led_flash_cnt[2860][4]~66927\ = CARRY((!\led_flash_cnt[2860][3]~66925\) # (!\led_flash_cnt[2860][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2860][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2860][3]~66925\,
	combout => \led_flash_cnt[2860][4]~66926_combout\,
	cout => \led_flash_cnt[2860][4]~66927\);

-- Location: FF_X66_Y13_N25
\led_flash_cnt[2860][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2860][4]~66926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2860][4]~q\);

-- Location: LCCOMB_X66_Y13_N26
\led_flash_cnt[2860][5]~66928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2860][5]~66928_combout\ = (\led_flash_cnt[2860][5]~q\ & (\led_flash_cnt[2860][4]~66927\ $ (GND))) # (!\led_flash_cnt[2860][5]~q\ & (!\led_flash_cnt[2860][4]~66927\ & VCC))
-- \led_flash_cnt[2860][5]~66929\ = CARRY((\led_flash_cnt[2860][5]~q\ & !\led_flash_cnt[2860][4]~66927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2860][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2860][4]~66927\,
	combout => \led_flash_cnt[2860][5]~66928_combout\,
	cout => \led_flash_cnt[2860][5]~66929\);

-- Location: FF_X66_Y13_N27
\led_flash_cnt[2860][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2860][5]~66928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2860][5]~q\);

-- Location: LCCOMB_X66_Y13_N28
\led_flash_cnt[2860][6]~66930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2860][6]~66930_combout\ = (\led_flash_cnt[2860][6]~q\ & (!\led_flash_cnt[2860][5]~66929\)) # (!\led_flash_cnt[2860][6]~q\ & ((\led_flash_cnt[2860][5]~66929\) # (GND)))
-- \led_flash_cnt[2860][6]~66931\ = CARRY((!\led_flash_cnt[2860][5]~66929\) # (!\led_flash_cnt[2860][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2860][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2860][5]~66929\,
	combout => \led_flash_cnt[2860][6]~66930_combout\,
	cout => \led_flash_cnt[2860][6]~66931\);

-- Location: FF_X66_Y13_N29
\led_flash_cnt[2860][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2860][6]~66930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2860][6]~q\);

-- Location: LCCOMB_X66_Y13_N10
\WideAnd2860~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2860~1_combout\ = (\led_flash_cnt[2860][5]~q\ & \led_flash_cnt[2860][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2860][5]~q\,
	datad => \led_flash_cnt[2860][6]~q\,
	combout => \WideAnd2860~1_combout\);

-- Location: LCCOMB_X66_Y13_N16
\WideAnd2860~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2860~0_combout\ = (\led_flash_cnt[2860][4]~q\ & (\led_flash_cnt[2860][2]~q\ & (\led_flash_cnt[2860][3]~q\ & \led_flash_cnt[2860][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2860][4]~q\,
	datab => \led_flash_cnt[2860][2]~q\,
	datac => \led_flash_cnt[2860][3]~q\,
	datad => \led_flash_cnt[2860][1]~q\,
	combout => \WideAnd2860~0_combout\);

-- Location: LCCOMB_X66_Y13_N30
\led_flash_cnt[2860][7]~66932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2860][7]~66932_combout\ = \led_flash_cnt[2860][7]~q\ $ (!\led_flash_cnt[2860][6]~66931\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2860][7]~q\,
	cin => \led_flash_cnt[2860][6]~66931\,
	combout => \led_flash_cnt[2860][7]~66932_combout\);

-- Location: FF_X66_Y13_N31
\led_flash_cnt[2860][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2860][7]~66932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2860][7]~q\);

-- Location: LCCOMB_X66_Y13_N0
WideAnd2860 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2860~combout\ = (\WideAnd2860~1_combout\ & (\WideAnd2860~0_combout\ & (\led_flash_cnt[2860][7]~q\ & \led_flash_cnt[2860][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2860~1_combout\,
	datab => \WideAnd2860~0_combout\,
	datac => \led_flash_cnt[2860][7]~q\,
	datad => \led_flash_cnt[2860][0]~q\,
	combout => \WideAnd2860~combout\);

-- Location: FF_X66_Y13_N1
\led_flash_cnt_ands[2860]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2860~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2860));

-- Location: LCCOMB_X66_Y13_N14
\WideAnd4197~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4197~1_combout\ = (led_flash_cnt_ands(2861) & led_flash_cnt_ands(2860))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2861),
	datad => led_flash_cnt_ands(2860),
	combout => \WideAnd4197~1_combout\);

-- Location: LCCOMB_X54_Y19_N12
\led_flash_cnt[2862][0]~83502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2862][0]~83502_combout\ = !\led_flash_cnt[2862][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2862][0]~q\,
	combout => \led_flash_cnt[2862][0]~83502_combout\);

-- Location: FF_X54_Y19_N13
\led_flash_cnt[2862][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2862][0]~83502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2862][0]~q\);

-- Location: LCCOMB_X54_Y19_N14
\led_flash_cnt[2862][1]~66948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2862][1]~66948_combout\ = (\led_flash_cnt[2862][0]~q\ & (\led_flash_cnt[2862][1]~q\ $ (VCC))) # (!\led_flash_cnt[2862][0]~q\ & (\led_flash_cnt[2862][1]~q\ & VCC))
-- \led_flash_cnt[2862][1]~66949\ = CARRY((\led_flash_cnt[2862][0]~q\ & \led_flash_cnt[2862][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2862][0]~q\,
	datab => \led_flash_cnt[2862][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2862][1]~66948_combout\,
	cout => \led_flash_cnt[2862][1]~66949\);

-- Location: FF_X54_Y19_N15
\led_flash_cnt[2862][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2862][1]~66948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2862][1]~q\);

-- Location: LCCOMB_X54_Y19_N16
\led_flash_cnt[2862][2]~66950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2862][2]~66950_combout\ = (\led_flash_cnt[2862][2]~q\ & (!\led_flash_cnt[2862][1]~66949\)) # (!\led_flash_cnt[2862][2]~q\ & ((\led_flash_cnt[2862][1]~66949\) # (GND)))
-- \led_flash_cnt[2862][2]~66951\ = CARRY((!\led_flash_cnt[2862][1]~66949\) # (!\led_flash_cnt[2862][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2862][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2862][1]~66949\,
	combout => \led_flash_cnt[2862][2]~66950_combout\,
	cout => \led_flash_cnt[2862][2]~66951\);

-- Location: FF_X54_Y19_N17
\led_flash_cnt[2862][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2862][2]~66950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2862][2]~q\);

-- Location: LCCOMB_X54_Y19_N18
\led_flash_cnt[2862][3]~66952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2862][3]~66952_combout\ = (\led_flash_cnt[2862][3]~q\ & (\led_flash_cnt[2862][2]~66951\ $ (GND))) # (!\led_flash_cnt[2862][3]~q\ & (!\led_flash_cnt[2862][2]~66951\ & VCC))
-- \led_flash_cnt[2862][3]~66953\ = CARRY((\led_flash_cnt[2862][3]~q\ & !\led_flash_cnt[2862][2]~66951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2862][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2862][2]~66951\,
	combout => \led_flash_cnt[2862][3]~66952_combout\,
	cout => \led_flash_cnt[2862][3]~66953\);

-- Location: FF_X54_Y19_N19
\led_flash_cnt[2862][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2862][3]~66952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2862][3]~q\);

-- Location: LCCOMB_X54_Y19_N20
\led_flash_cnt[2862][4]~66954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2862][4]~66954_combout\ = (\led_flash_cnt[2862][4]~q\ & (!\led_flash_cnt[2862][3]~66953\)) # (!\led_flash_cnt[2862][4]~q\ & ((\led_flash_cnt[2862][3]~66953\) # (GND)))
-- \led_flash_cnt[2862][4]~66955\ = CARRY((!\led_flash_cnt[2862][3]~66953\) # (!\led_flash_cnt[2862][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2862][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2862][3]~66953\,
	combout => \led_flash_cnt[2862][4]~66954_combout\,
	cout => \led_flash_cnt[2862][4]~66955\);

-- Location: FF_X54_Y19_N21
\led_flash_cnt[2862][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2862][4]~66954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2862][4]~q\);

-- Location: LCCOMB_X54_Y19_N22
\led_flash_cnt[2862][5]~66956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2862][5]~66956_combout\ = (\led_flash_cnt[2862][5]~q\ & (\led_flash_cnt[2862][4]~66955\ $ (GND))) # (!\led_flash_cnt[2862][5]~q\ & (!\led_flash_cnt[2862][4]~66955\ & VCC))
-- \led_flash_cnt[2862][5]~66957\ = CARRY((\led_flash_cnt[2862][5]~q\ & !\led_flash_cnt[2862][4]~66955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2862][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2862][4]~66955\,
	combout => \led_flash_cnt[2862][5]~66956_combout\,
	cout => \led_flash_cnt[2862][5]~66957\);

-- Location: FF_X54_Y19_N23
\led_flash_cnt[2862][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2862][5]~66956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2862][5]~q\);

-- Location: LCCOMB_X54_Y19_N24
\led_flash_cnt[2862][6]~66958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2862][6]~66958_combout\ = (\led_flash_cnt[2862][6]~q\ & (!\led_flash_cnt[2862][5]~66957\)) # (!\led_flash_cnt[2862][6]~q\ & ((\led_flash_cnt[2862][5]~66957\) # (GND)))
-- \led_flash_cnt[2862][6]~66959\ = CARRY((!\led_flash_cnt[2862][5]~66957\) # (!\led_flash_cnt[2862][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2862][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2862][5]~66957\,
	combout => \led_flash_cnt[2862][6]~66958_combout\,
	cout => \led_flash_cnt[2862][6]~66959\);

-- Location: FF_X54_Y19_N25
\led_flash_cnt[2862][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2862][6]~66958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2862][6]~q\);

-- Location: LCCOMB_X54_Y19_N26
\led_flash_cnt[2862][7]~66960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2862][7]~66960_combout\ = \led_flash_cnt[2862][7]~q\ $ (!\led_flash_cnt[2862][6]~66959\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2862][7]~q\,
	cin => \led_flash_cnt[2862][6]~66959\,
	combout => \led_flash_cnt[2862][7]~66960_combout\);

-- Location: FF_X54_Y19_N27
\led_flash_cnt[2862][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2862][7]~66960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2862][7]~q\);

-- Location: LCCOMB_X54_Y19_N28
\WideAnd2862~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2862~1_combout\ = (\led_flash_cnt[2862][5]~q\ & \led_flash_cnt[2862][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2862][5]~q\,
	datad => \led_flash_cnt[2862][6]~q\,
	combout => \WideAnd2862~1_combout\);

-- Location: LCCOMB_X54_Y19_N8
\WideAnd2862~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2862~0_combout\ = (\led_flash_cnt[2862][2]~q\ & (\led_flash_cnt[2862][3]~q\ & (\led_flash_cnt[2862][1]~q\ & \led_flash_cnt[2862][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2862][2]~q\,
	datab => \led_flash_cnt[2862][3]~q\,
	datac => \led_flash_cnt[2862][1]~q\,
	datad => \led_flash_cnt[2862][4]~q\,
	combout => \WideAnd2862~0_combout\);

-- Location: LCCOMB_X54_Y19_N10
WideAnd2862 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2862~combout\ = (\led_flash_cnt[2862][7]~q\ & (\WideAnd2862~1_combout\ & (\WideAnd2862~0_combout\ & \led_flash_cnt[2862][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2862][7]~q\,
	datab => \WideAnd2862~1_combout\,
	datac => \WideAnd2862~0_combout\,
	datad => \led_flash_cnt[2862][0]~q\,
	combout => \WideAnd2862~combout\);

-- Location: FF_X54_Y19_N11
\led_flash_cnt_ands[2862]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2862~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2862));

-- Location: LCCOMB_X54_Y19_N4
WideAnd4197 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4197~combout\ = (\WideAnd4197~0_combout\ & (led_flash_cnt_ands(2863) & (\WideAnd4197~1_combout\ & led_flash_cnt_ands(2862))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4197~0_combout\,
	datab => led_flash_cnt_ands(2863),
	datac => \WideAnd4197~1_combout\,
	datad => led_flash_cnt_ands(2862),
	combout => \WideAnd4197~combout\);

-- Location: FF_X54_Y19_N5
\led_flash_cnt_ands_1[357]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4197~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(357));

-- Location: LCCOMB_X54_Y23_N28
\WideAnd4364~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4364~1_combout\ = (led_flash_cnt_ands_1(356) & led_flash_cnt_ands_1(357))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(356),
	datad => led_flash_cnt_ands_1(357),
	combout => \WideAnd4364~1_combout\);

-- Location: LCCOMB_X54_Y23_N24
WideAnd4364 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4364~combout\ = (led_flash_cnt_ands_1(359) & (led_flash_cnt_ands_1(358) & (\WideAnd4364~0_combout\ & \WideAnd4364~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(359),
	datab => led_flash_cnt_ands_1(358),
	datac => \WideAnd4364~0_combout\,
	datad => \WideAnd4364~1_combout\,
	combout => \WideAnd4364~combout\);

-- Location: FF_X54_Y23_N25
\led_flash_cnt_ands_2[44]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4364~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(44));

-- Location: LCCOMB_X51_Y10_N12
\led_flash_cnt[2901][0]~83541\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2901][0]~83541_combout\ = !\led_flash_cnt[2901][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2901][0]~q\,
	combout => \led_flash_cnt[2901][0]~83541_combout\);

-- Location: FF_X51_Y10_N13
\led_flash_cnt[2901][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2901][0]~83541_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2901][0]~q\);

-- Location: LCCOMB_X51_Y10_N14
\led_flash_cnt[2901][1]~67494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2901][1]~67494_combout\ = (\led_flash_cnt[2901][0]~q\ & (\led_flash_cnt[2901][1]~q\ $ (VCC))) # (!\led_flash_cnt[2901][0]~q\ & (\led_flash_cnt[2901][1]~q\ & VCC))
-- \led_flash_cnt[2901][1]~67495\ = CARRY((\led_flash_cnt[2901][0]~q\ & \led_flash_cnt[2901][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2901][0]~q\,
	datab => \led_flash_cnt[2901][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2901][1]~67494_combout\,
	cout => \led_flash_cnt[2901][1]~67495\);

-- Location: FF_X51_Y10_N15
\led_flash_cnt[2901][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2901][1]~67494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2901][1]~q\);

-- Location: LCCOMB_X51_Y10_N16
\led_flash_cnt[2901][2]~67496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2901][2]~67496_combout\ = (\led_flash_cnt[2901][2]~q\ & (!\led_flash_cnt[2901][1]~67495\)) # (!\led_flash_cnt[2901][2]~q\ & ((\led_flash_cnt[2901][1]~67495\) # (GND)))
-- \led_flash_cnt[2901][2]~67497\ = CARRY((!\led_flash_cnt[2901][1]~67495\) # (!\led_flash_cnt[2901][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2901][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2901][1]~67495\,
	combout => \led_flash_cnt[2901][2]~67496_combout\,
	cout => \led_flash_cnt[2901][2]~67497\);

-- Location: FF_X51_Y10_N17
\led_flash_cnt[2901][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2901][2]~67496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2901][2]~q\);

-- Location: LCCOMB_X51_Y10_N18
\led_flash_cnt[2901][3]~67498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2901][3]~67498_combout\ = (\led_flash_cnt[2901][3]~q\ & (\led_flash_cnt[2901][2]~67497\ $ (GND))) # (!\led_flash_cnt[2901][3]~q\ & (!\led_flash_cnt[2901][2]~67497\ & VCC))
-- \led_flash_cnt[2901][3]~67499\ = CARRY((\led_flash_cnt[2901][3]~q\ & !\led_flash_cnt[2901][2]~67497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2901][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2901][2]~67497\,
	combout => \led_flash_cnt[2901][3]~67498_combout\,
	cout => \led_flash_cnt[2901][3]~67499\);

-- Location: FF_X51_Y10_N19
\led_flash_cnt[2901][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2901][3]~67498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2901][3]~q\);

-- Location: LCCOMB_X51_Y10_N20
\led_flash_cnt[2901][4]~67500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2901][4]~67500_combout\ = (\led_flash_cnt[2901][4]~q\ & (!\led_flash_cnt[2901][3]~67499\)) # (!\led_flash_cnt[2901][4]~q\ & ((\led_flash_cnt[2901][3]~67499\) # (GND)))
-- \led_flash_cnt[2901][4]~67501\ = CARRY((!\led_flash_cnt[2901][3]~67499\) # (!\led_flash_cnt[2901][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2901][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2901][3]~67499\,
	combout => \led_flash_cnt[2901][4]~67500_combout\,
	cout => \led_flash_cnt[2901][4]~67501\);

-- Location: FF_X51_Y10_N21
\led_flash_cnt[2901][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2901][4]~67500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2901][4]~q\);

-- Location: LCCOMB_X51_Y10_N22
\led_flash_cnt[2901][5]~67502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2901][5]~67502_combout\ = (\led_flash_cnt[2901][5]~q\ & (\led_flash_cnt[2901][4]~67501\ $ (GND))) # (!\led_flash_cnt[2901][5]~q\ & (!\led_flash_cnt[2901][4]~67501\ & VCC))
-- \led_flash_cnt[2901][5]~67503\ = CARRY((\led_flash_cnt[2901][5]~q\ & !\led_flash_cnt[2901][4]~67501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2901][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2901][4]~67501\,
	combout => \led_flash_cnt[2901][5]~67502_combout\,
	cout => \led_flash_cnt[2901][5]~67503\);

-- Location: FF_X51_Y10_N23
\led_flash_cnt[2901][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2901][5]~67502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2901][5]~q\);

-- Location: LCCOMB_X51_Y10_N24
\led_flash_cnt[2901][6]~67504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2901][6]~67504_combout\ = (\led_flash_cnt[2901][6]~q\ & (!\led_flash_cnt[2901][5]~67503\)) # (!\led_flash_cnt[2901][6]~q\ & ((\led_flash_cnt[2901][5]~67503\) # (GND)))
-- \led_flash_cnt[2901][6]~67505\ = CARRY((!\led_flash_cnt[2901][5]~67503\) # (!\led_flash_cnt[2901][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2901][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2901][5]~67503\,
	combout => \led_flash_cnt[2901][6]~67504_combout\,
	cout => \led_flash_cnt[2901][6]~67505\);

-- Location: FF_X51_Y10_N25
\led_flash_cnt[2901][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2901][6]~67504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2901][6]~q\);

-- Location: LCCOMB_X51_Y10_N0
\WideAnd2901~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2901~1_combout\ = (\led_flash_cnt[2901][5]~q\ & \led_flash_cnt[2901][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2901][5]~q\,
	datad => \led_flash_cnt[2901][6]~q\,
	combout => \WideAnd2901~1_combout\);

-- Location: LCCOMB_X51_Y10_N26
\led_flash_cnt[2901][7]~67506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2901][7]~67506_combout\ = \led_flash_cnt[2901][7]~q\ $ (!\led_flash_cnt[2901][6]~67505\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2901][7]~q\,
	cin => \led_flash_cnt[2901][6]~67505\,
	combout => \led_flash_cnt[2901][7]~67506_combout\);

-- Location: FF_X51_Y10_N27
\led_flash_cnt[2901][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2901][7]~67506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2901][7]~q\);

-- Location: LCCOMB_X51_Y10_N28
\WideAnd2901~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2901~0_combout\ = (\led_flash_cnt[2901][3]~q\ & (\led_flash_cnt[2901][4]~q\ & (\led_flash_cnt[2901][1]~q\ & \led_flash_cnt[2901][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2901][3]~q\,
	datab => \led_flash_cnt[2901][4]~q\,
	datac => \led_flash_cnt[2901][1]~q\,
	datad => \led_flash_cnt[2901][2]~q\,
	combout => \WideAnd2901~0_combout\);

-- Location: LCCOMB_X51_Y10_N30
WideAnd2901 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2901~combout\ = (\led_flash_cnt[2901][0]~q\ & (\WideAnd2901~1_combout\ & (\led_flash_cnt[2901][7]~q\ & \WideAnd2901~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2901][0]~q\,
	datab => \WideAnd2901~1_combout\,
	datac => \led_flash_cnt[2901][7]~q\,
	datad => \WideAnd2901~0_combout\,
	combout => \WideAnd2901~combout\);

-- Location: FF_X51_Y10_N31
\led_flash_cnt_ands[2901]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2901~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2901));

-- Location: LCCOMB_X51_Y10_N8
\led_flash_cnt[2900][0]~83540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2900][0]~83540_combout\ = !\led_flash_cnt[2900][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2900][0]~q\,
	combout => \led_flash_cnt[2900][0]~83540_combout\);

-- Location: FF_X51_Y10_N9
\led_flash_cnt[2900][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2900][0]~83540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2900][0]~q\);

-- Location: LCCOMB_X52_Y10_N2
\led_flash_cnt[2900][1]~67480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2900][1]~67480_combout\ = (\led_flash_cnt[2900][0]~q\ & (\led_flash_cnt[2900][1]~q\ $ (VCC))) # (!\led_flash_cnt[2900][0]~q\ & (\led_flash_cnt[2900][1]~q\ & VCC))
-- \led_flash_cnt[2900][1]~67481\ = CARRY((\led_flash_cnt[2900][0]~q\ & \led_flash_cnt[2900][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2900][0]~q\,
	datab => \led_flash_cnt[2900][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2900][1]~67480_combout\,
	cout => \led_flash_cnt[2900][1]~67481\);

-- Location: FF_X52_Y10_N3
\led_flash_cnt[2900][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2900][1]~67480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2900][1]~q\);

-- Location: LCCOMB_X52_Y10_N4
\led_flash_cnt[2900][2]~67482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2900][2]~67482_combout\ = (\led_flash_cnt[2900][2]~q\ & (!\led_flash_cnt[2900][1]~67481\)) # (!\led_flash_cnt[2900][2]~q\ & ((\led_flash_cnt[2900][1]~67481\) # (GND)))
-- \led_flash_cnt[2900][2]~67483\ = CARRY((!\led_flash_cnt[2900][1]~67481\) # (!\led_flash_cnt[2900][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2900][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2900][1]~67481\,
	combout => \led_flash_cnt[2900][2]~67482_combout\,
	cout => \led_flash_cnt[2900][2]~67483\);

-- Location: FF_X52_Y10_N5
\led_flash_cnt[2900][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2900][2]~67482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2900][2]~q\);

-- Location: LCCOMB_X52_Y10_N6
\led_flash_cnt[2900][3]~67484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2900][3]~67484_combout\ = (\led_flash_cnt[2900][3]~q\ & (\led_flash_cnt[2900][2]~67483\ $ (GND))) # (!\led_flash_cnt[2900][3]~q\ & (!\led_flash_cnt[2900][2]~67483\ & VCC))
-- \led_flash_cnt[2900][3]~67485\ = CARRY((\led_flash_cnt[2900][3]~q\ & !\led_flash_cnt[2900][2]~67483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2900][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2900][2]~67483\,
	combout => \led_flash_cnt[2900][3]~67484_combout\,
	cout => \led_flash_cnt[2900][3]~67485\);

-- Location: FF_X52_Y10_N7
\led_flash_cnt[2900][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2900][3]~67484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2900][3]~q\);

-- Location: LCCOMB_X52_Y10_N8
\led_flash_cnt[2900][4]~67486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2900][4]~67486_combout\ = (\led_flash_cnt[2900][4]~q\ & (!\led_flash_cnt[2900][3]~67485\)) # (!\led_flash_cnt[2900][4]~q\ & ((\led_flash_cnt[2900][3]~67485\) # (GND)))
-- \led_flash_cnt[2900][4]~67487\ = CARRY((!\led_flash_cnt[2900][3]~67485\) # (!\led_flash_cnt[2900][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2900][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2900][3]~67485\,
	combout => \led_flash_cnt[2900][4]~67486_combout\,
	cout => \led_flash_cnt[2900][4]~67487\);

-- Location: FF_X52_Y10_N9
\led_flash_cnt[2900][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2900][4]~67486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2900][4]~q\);

-- Location: LCCOMB_X52_Y10_N10
\led_flash_cnt[2900][5]~67488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2900][5]~67488_combout\ = (\led_flash_cnt[2900][5]~q\ & (\led_flash_cnt[2900][4]~67487\ $ (GND))) # (!\led_flash_cnt[2900][5]~q\ & (!\led_flash_cnt[2900][4]~67487\ & VCC))
-- \led_flash_cnt[2900][5]~67489\ = CARRY((\led_flash_cnt[2900][5]~q\ & !\led_flash_cnt[2900][4]~67487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2900][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2900][4]~67487\,
	combout => \led_flash_cnt[2900][5]~67488_combout\,
	cout => \led_flash_cnt[2900][5]~67489\);

-- Location: FF_X52_Y10_N11
\led_flash_cnt[2900][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2900][5]~67488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2900][5]~q\);

-- Location: LCCOMB_X52_Y10_N12
\led_flash_cnt[2900][6]~67490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2900][6]~67490_combout\ = (\led_flash_cnt[2900][6]~q\ & (!\led_flash_cnt[2900][5]~67489\)) # (!\led_flash_cnt[2900][6]~q\ & ((\led_flash_cnt[2900][5]~67489\) # (GND)))
-- \led_flash_cnt[2900][6]~67491\ = CARRY((!\led_flash_cnt[2900][5]~67489\) # (!\led_flash_cnt[2900][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2900][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2900][5]~67489\,
	combout => \led_flash_cnt[2900][6]~67490_combout\,
	cout => \led_flash_cnt[2900][6]~67491\);

-- Location: FF_X52_Y10_N13
\led_flash_cnt[2900][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2900][6]~67490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2900][6]~q\);

-- Location: LCCOMB_X51_Y10_N10
\WideAnd2900~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2900~1_combout\ = (\led_flash_cnt[2900][6]~q\ & \led_flash_cnt[2900][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2900][6]~q\,
	datac => \led_flash_cnt[2900][5]~q\,
	combout => \WideAnd2900~1_combout\);

-- Location: LCCOMB_X52_Y10_N0
\WideAnd2900~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2900~0_combout\ = (\led_flash_cnt[2900][3]~q\ & (\led_flash_cnt[2900][4]~q\ & (\led_flash_cnt[2900][2]~q\ & \led_flash_cnt[2900][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2900][3]~q\,
	datab => \led_flash_cnt[2900][4]~q\,
	datac => \led_flash_cnt[2900][2]~q\,
	datad => \led_flash_cnt[2900][1]~q\,
	combout => \WideAnd2900~0_combout\);

-- Location: LCCOMB_X52_Y10_N14
\led_flash_cnt[2900][7]~67492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2900][7]~67492_combout\ = \led_flash_cnt[2900][7]~q\ $ (!\led_flash_cnt[2900][6]~67491\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2900][7]~q\,
	cin => \led_flash_cnt[2900][6]~67491\,
	combout => \led_flash_cnt[2900][7]~67492_combout\);

-- Location: FF_X52_Y10_N15
\led_flash_cnt[2900][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2900][7]~67492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2900][7]~q\);

-- Location: LCCOMB_X51_Y10_N2
WideAnd2900 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2900~combout\ = (\WideAnd2900~1_combout\ & (\WideAnd2900~0_combout\ & (\led_flash_cnt[2900][7]~q\ & \led_flash_cnt[2900][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2900~1_combout\,
	datab => \WideAnd2900~0_combout\,
	datac => \led_flash_cnt[2900][7]~q\,
	datad => \led_flash_cnt[2900][0]~q\,
	combout => \WideAnd2900~combout\);

-- Location: FF_X51_Y10_N3
\led_flash_cnt_ands[2900]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2900~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2900));

-- Location: LCCOMB_X51_Y10_N6
\WideAnd4202~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4202~1_combout\ = (led_flash_cnt_ands(2901) & led_flash_cnt_ands(2900))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2901),
	datad => led_flash_cnt_ands(2900),
	combout => \WideAnd4202~1_combout\);

-- Location: LCCOMB_X54_Y10_N10
\led_flash_cnt[2903][0]~83543\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2903][0]~83543_combout\ = !\led_flash_cnt[2903][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2903][0]~q\,
	combout => \led_flash_cnt[2903][0]~83543_combout\);

-- Location: FF_X54_Y10_N11
\led_flash_cnt[2903][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2903][0]~83543_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2903][0]~q\);

-- Location: LCCOMB_X54_Y10_N16
\led_flash_cnt[2903][1]~67522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2903][1]~67522_combout\ = (\led_flash_cnt[2903][0]~q\ & (\led_flash_cnt[2903][1]~q\ $ (VCC))) # (!\led_flash_cnt[2903][0]~q\ & (\led_flash_cnt[2903][1]~q\ & VCC))
-- \led_flash_cnt[2903][1]~67523\ = CARRY((\led_flash_cnt[2903][0]~q\ & \led_flash_cnt[2903][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2903][0]~q\,
	datab => \led_flash_cnt[2903][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2903][1]~67522_combout\,
	cout => \led_flash_cnt[2903][1]~67523\);

-- Location: FF_X54_Y10_N17
\led_flash_cnt[2903][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2903][1]~67522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2903][1]~q\);

-- Location: LCCOMB_X54_Y10_N18
\led_flash_cnt[2903][2]~67524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2903][2]~67524_combout\ = (\led_flash_cnt[2903][2]~q\ & (!\led_flash_cnt[2903][1]~67523\)) # (!\led_flash_cnt[2903][2]~q\ & ((\led_flash_cnt[2903][1]~67523\) # (GND)))
-- \led_flash_cnt[2903][2]~67525\ = CARRY((!\led_flash_cnt[2903][1]~67523\) # (!\led_flash_cnt[2903][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2903][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2903][1]~67523\,
	combout => \led_flash_cnt[2903][2]~67524_combout\,
	cout => \led_flash_cnt[2903][2]~67525\);

-- Location: FF_X54_Y10_N19
\led_flash_cnt[2903][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2903][2]~67524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2903][2]~q\);

-- Location: LCCOMB_X54_Y10_N20
\led_flash_cnt[2903][3]~67526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2903][3]~67526_combout\ = (\led_flash_cnt[2903][3]~q\ & (\led_flash_cnt[2903][2]~67525\ $ (GND))) # (!\led_flash_cnt[2903][3]~q\ & (!\led_flash_cnt[2903][2]~67525\ & VCC))
-- \led_flash_cnt[2903][3]~67527\ = CARRY((\led_flash_cnt[2903][3]~q\ & !\led_flash_cnt[2903][2]~67525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2903][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2903][2]~67525\,
	combout => \led_flash_cnt[2903][3]~67526_combout\,
	cout => \led_flash_cnt[2903][3]~67527\);

-- Location: FF_X54_Y10_N21
\led_flash_cnt[2903][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2903][3]~67526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2903][3]~q\);

-- Location: LCCOMB_X54_Y10_N22
\led_flash_cnt[2903][4]~67528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2903][4]~67528_combout\ = (\led_flash_cnt[2903][4]~q\ & (!\led_flash_cnt[2903][3]~67527\)) # (!\led_flash_cnt[2903][4]~q\ & ((\led_flash_cnt[2903][3]~67527\) # (GND)))
-- \led_flash_cnt[2903][4]~67529\ = CARRY((!\led_flash_cnt[2903][3]~67527\) # (!\led_flash_cnt[2903][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2903][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2903][3]~67527\,
	combout => \led_flash_cnt[2903][4]~67528_combout\,
	cout => \led_flash_cnt[2903][4]~67529\);

-- Location: FF_X54_Y10_N23
\led_flash_cnt[2903][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2903][4]~67528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2903][4]~q\);

-- Location: LCCOMB_X54_Y10_N24
\led_flash_cnt[2903][5]~67530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2903][5]~67530_combout\ = (\led_flash_cnt[2903][5]~q\ & (\led_flash_cnt[2903][4]~67529\ $ (GND))) # (!\led_flash_cnt[2903][5]~q\ & (!\led_flash_cnt[2903][4]~67529\ & VCC))
-- \led_flash_cnt[2903][5]~67531\ = CARRY((\led_flash_cnt[2903][5]~q\ & !\led_flash_cnt[2903][4]~67529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2903][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2903][4]~67529\,
	combout => \led_flash_cnt[2903][5]~67530_combout\,
	cout => \led_flash_cnt[2903][5]~67531\);

-- Location: FF_X54_Y10_N25
\led_flash_cnt[2903][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2903][5]~67530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2903][5]~q\);

-- Location: LCCOMB_X54_Y10_N26
\led_flash_cnt[2903][6]~67532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2903][6]~67532_combout\ = (\led_flash_cnt[2903][6]~q\ & (!\led_flash_cnt[2903][5]~67531\)) # (!\led_flash_cnt[2903][6]~q\ & ((\led_flash_cnt[2903][5]~67531\) # (GND)))
-- \led_flash_cnt[2903][6]~67533\ = CARRY((!\led_flash_cnt[2903][5]~67531\) # (!\led_flash_cnt[2903][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2903][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2903][5]~67531\,
	combout => \led_flash_cnt[2903][6]~67532_combout\,
	cout => \led_flash_cnt[2903][6]~67533\);

-- Location: FF_X54_Y10_N27
\led_flash_cnt[2903][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2903][6]~67532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2903][6]~q\);

-- Location: LCCOMB_X54_Y10_N28
\led_flash_cnt[2903][7]~67534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2903][7]~67534_combout\ = \led_flash_cnt[2903][6]~67533\ $ (!\led_flash_cnt[2903][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2903][7]~q\,
	cin => \led_flash_cnt[2903][6]~67533\,
	combout => \led_flash_cnt[2903][7]~67534_combout\);

-- Location: FF_X54_Y10_N29
\led_flash_cnt[2903][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2903][7]~67534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2903][7]~q\);

-- Location: LCCOMB_X54_Y10_N8
\WideAnd2903~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2903~1_combout\ = (\led_flash_cnt[2903][6]~q\ & \led_flash_cnt[2903][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2903][6]~q\,
	datad => \led_flash_cnt[2903][5]~q\,
	combout => \WideAnd2903~1_combout\);

-- Location: LCCOMB_X54_Y10_N12
\WideAnd2903~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2903~0_combout\ = (\led_flash_cnt[2903][2]~q\ & (\led_flash_cnt[2903][3]~q\ & (\led_flash_cnt[2903][4]~q\ & \led_flash_cnt[2903][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2903][2]~q\,
	datab => \led_flash_cnt[2903][3]~q\,
	datac => \led_flash_cnt[2903][4]~q\,
	datad => \led_flash_cnt[2903][1]~q\,
	combout => \WideAnd2903~0_combout\);

-- Location: LCCOMB_X54_Y10_N4
WideAnd2903 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2903~combout\ = (\led_flash_cnt[2903][0]~q\ & (\led_flash_cnt[2903][7]~q\ & (\WideAnd2903~1_combout\ & \WideAnd2903~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2903][0]~q\,
	datab => \led_flash_cnt[2903][7]~q\,
	datac => \WideAnd2903~1_combout\,
	datad => \WideAnd2903~0_combout\,
	combout => \WideAnd2903~combout\);

-- Location: FF_X54_Y10_N5
\led_flash_cnt_ands[2903]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2903~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2903));

-- Location: LCCOMB_X47_Y6_N26
\led_flash_cnt[2898][0]~83538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2898][0]~83538_combout\ = !\led_flash_cnt[2898][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2898][0]~q\,
	combout => \led_flash_cnt[2898][0]~83538_combout\);

-- Location: FF_X47_Y6_N27
\led_flash_cnt[2898][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2898][0]~83538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2898][0]~q\);

-- Location: LCCOMB_X47_Y6_N8
\led_flash_cnt[2898][1]~67452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2898][1]~67452_combout\ = (\led_flash_cnt[2898][0]~q\ & (\led_flash_cnt[2898][1]~q\ $ (VCC))) # (!\led_flash_cnt[2898][0]~q\ & (\led_flash_cnt[2898][1]~q\ & VCC))
-- \led_flash_cnt[2898][1]~67453\ = CARRY((\led_flash_cnt[2898][0]~q\ & \led_flash_cnt[2898][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2898][0]~q\,
	datab => \led_flash_cnt[2898][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2898][1]~67452_combout\,
	cout => \led_flash_cnt[2898][1]~67453\);

-- Location: FF_X47_Y6_N9
\led_flash_cnt[2898][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2898][1]~67452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2898][1]~q\);

-- Location: LCCOMB_X47_Y6_N10
\led_flash_cnt[2898][2]~67454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2898][2]~67454_combout\ = (\led_flash_cnt[2898][2]~q\ & (!\led_flash_cnt[2898][1]~67453\)) # (!\led_flash_cnt[2898][2]~q\ & ((\led_flash_cnt[2898][1]~67453\) # (GND)))
-- \led_flash_cnt[2898][2]~67455\ = CARRY((!\led_flash_cnt[2898][1]~67453\) # (!\led_flash_cnt[2898][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2898][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2898][1]~67453\,
	combout => \led_flash_cnt[2898][2]~67454_combout\,
	cout => \led_flash_cnt[2898][2]~67455\);

-- Location: FF_X47_Y6_N11
\led_flash_cnt[2898][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2898][2]~67454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2898][2]~q\);

-- Location: LCCOMB_X47_Y6_N12
\led_flash_cnt[2898][3]~67456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2898][3]~67456_combout\ = (\led_flash_cnt[2898][3]~q\ & (\led_flash_cnt[2898][2]~67455\ $ (GND))) # (!\led_flash_cnt[2898][3]~q\ & (!\led_flash_cnt[2898][2]~67455\ & VCC))
-- \led_flash_cnt[2898][3]~67457\ = CARRY((\led_flash_cnt[2898][3]~q\ & !\led_flash_cnt[2898][2]~67455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2898][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2898][2]~67455\,
	combout => \led_flash_cnt[2898][3]~67456_combout\,
	cout => \led_flash_cnt[2898][3]~67457\);

-- Location: FF_X47_Y6_N13
\led_flash_cnt[2898][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2898][3]~67456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2898][3]~q\);

-- Location: LCCOMB_X47_Y6_N14
\led_flash_cnt[2898][4]~67458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2898][4]~67458_combout\ = (\led_flash_cnt[2898][4]~q\ & (!\led_flash_cnt[2898][3]~67457\)) # (!\led_flash_cnt[2898][4]~q\ & ((\led_flash_cnt[2898][3]~67457\) # (GND)))
-- \led_flash_cnt[2898][4]~67459\ = CARRY((!\led_flash_cnt[2898][3]~67457\) # (!\led_flash_cnt[2898][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2898][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2898][3]~67457\,
	combout => \led_flash_cnt[2898][4]~67458_combout\,
	cout => \led_flash_cnt[2898][4]~67459\);

-- Location: FF_X47_Y6_N15
\led_flash_cnt[2898][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2898][4]~67458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2898][4]~q\);

-- Location: LCCOMB_X47_Y6_N16
\led_flash_cnt[2898][5]~67460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2898][5]~67460_combout\ = (\led_flash_cnt[2898][5]~q\ & (\led_flash_cnt[2898][4]~67459\ $ (GND))) # (!\led_flash_cnt[2898][5]~q\ & (!\led_flash_cnt[2898][4]~67459\ & VCC))
-- \led_flash_cnt[2898][5]~67461\ = CARRY((\led_flash_cnt[2898][5]~q\ & !\led_flash_cnt[2898][4]~67459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2898][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2898][4]~67459\,
	combout => \led_flash_cnt[2898][5]~67460_combout\,
	cout => \led_flash_cnt[2898][5]~67461\);

-- Location: FF_X47_Y6_N17
\led_flash_cnt[2898][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2898][5]~67460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2898][5]~q\);

-- Location: LCCOMB_X47_Y6_N18
\led_flash_cnt[2898][6]~67462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2898][6]~67462_combout\ = (\led_flash_cnt[2898][6]~q\ & (!\led_flash_cnt[2898][5]~67461\)) # (!\led_flash_cnt[2898][6]~q\ & ((\led_flash_cnt[2898][5]~67461\) # (GND)))
-- \led_flash_cnt[2898][6]~67463\ = CARRY((!\led_flash_cnt[2898][5]~67461\) # (!\led_flash_cnt[2898][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2898][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2898][5]~67461\,
	combout => \led_flash_cnt[2898][6]~67462_combout\,
	cout => \led_flash_cnt[2898][6]~67463\);

-- Location: FF_X47_Y6_N19
\led_flash_cnt[2898][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2898][6]~67462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2898][6]~q\);

-- Location: LCCOMB_X47_Y6_N20
\led_flash_cnt[2898][7]~67464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2898][7]~67464_combout\ = \led_flash_cnt[2898][6]~67463\ $ (!\led_flash_cnt[2898][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2898][7]~q\,
	cin => \led_flash_cnt[2898][6]~67463\,
	combout => \led_flash_cnt[2898][7]~67464_combout\);

-- Location: FF_X47_Y6_N21
\led_flash_cnt[2898][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2898][7]~67464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2898][7]~q\);

-- Location: LCCOMB_X47_Y6_N22
\WideAnd2898~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2898~1_combout\ = (\led_flash_cnt[2898][5]~q\ & \led_flash_cnt[2898][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2898][5]~q\,
	datad => \led_flash_cnt[2898][6]~q\,
	combout => \WideAnd2898~1_combout\);

-- Location: LCCOMB_X47_Y6_N24
\WideAnd2898~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2898~0_combout\ = (\led_flash_cnt[2898][3]~q\ & (\led_flash_cnt[2898][4]~q\ & (\led_flash_cnt[2898][1]~q\ & \led_flash_cnt[2898][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2898][3]~q\,
	datab => \led_flash_cnt[2898][4]~q\,
	datac => \led_flash_cnt[2898][1]~q\,
	datad => \led_flash_cnt[2898][2]~q\,
	combout => \WideAnd2898~0_combout\);

-- Location: LCCOMB_X47_Y6_N2
WideAnd2898 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2898~combout\ = (\led_flash_cnt[2898][0]~q\ & (\led_flash_cnt[2898][7]~q\ & (\WideAnd2898~1_combout\ & \WideAnd2898~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2898][0]~q\,
	datab => \led_flash_cnt[2898][7]~q\,
	datac => \WideAnd2898~1_combout\,
	datad => \WideAnd2898~0_combout\,
	combout => \WideAnd2898~combout\);

-- Location: FF_X47_Y6_N3
\led_flash_cnt_ands[2898]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2898~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2898));

-- Location: LCCOMB_X46_Y6_N26
\led_flash_cnt[2896][0]~83536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2896][0]~83536_combout\ = !\led_flash_cnt[2896][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2896][0]~q\,
	combout => \led_flash_cnt[2896][0]~83536_combout\);

-- Location: FF_X46_Y6_N27
\led_flash_cnt[2896][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2896][0]~83536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2896][0]~q\);

-- Location: LCCOMB_X46_Y6_N8
\led_flash_cnt[2896][1]~67424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2896][1]~67424_combout\ = (\led_flash_cnt[2896][0]~q\ & (\led_flash_cnt[2896][1]~q\ $ (VCC))) # (!\led_flash_cnt[2896][0]~q\ & (\led_flash_cnt[2896][1]~q\ & VCC))
-- \led_flash_cnt[2896][1]~67425\ = CARRY((\led_flash_cnt[2896][0]~q\ & \led_flash_cnt[2896][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2896][0]~q\,
	datab => \led_flash_cnt[2896][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2896][1]~67424_combout\,
	cout => \led_flash_cnt[2896][1]~67425\);

-- Location: FF_X46_Y6_N9
\led_flash_cnt[2896][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2896][1]~67424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2896][1]~q\);

-- Location: LCCOMB_X46_Y6_N10
\led_flash_cnt[2896][2]~67426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2896][2]~67426_combout\ = (\led_flash_cnt[2896][2]~q\ & (!\led_flash_cnt[2896][1]~67425\)) # (!\led_flash_cnt[2896][2]~q\ & ((\led_flash_cnt[2896][1]~67425\) # (GND)))
-- \led_flash_cnt[2896][2]~67427\ = CARRY((!\led_flash_cnt[2896][1]~67425\) # (!\led_flash_cnt[2896][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2896][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2896][1]~67425\,
	combout => \led_flash_cnt[2896][2]~67426_combout\,
	cout => \led_flash_cnt[2896][2]~67427\);

-- Location: FF_X46_Y6_N11
\led_flash_cnt[2896][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2896][2]~67426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2896][2]~q\);

-- Location: LCCOMB_X46_Y6_N12
\led_flash_cnt[2896][3]~67428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2896][3]~67428_combout\ = (\led_flash_cnt[2896][3]~q\ & (\led_flash_cnt[2896][2]~67427\ $ (GND))) # (!\led_flash_cnt[2896][3]~q\ & (!\led_flash_cnt[2896][2]~67427\ & VCC))
-- \led_flash_cnt[2896][3]~67429\ = CARRY((\led_flash_cnt[2896][3]~q\ & !\led_flash_cnt[2896][2]~67427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2896][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2896][2]~67427\,
	combout => \led_flash_cnt[2896][3]~67428_combout\,
	cout => \led_flash_cnt[2896][3]~67429\);

-- Location: FF_X46_Y6_N13
\led_flash_cnt[2896][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2896][3]~67428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2896][3]~q\);

-- Location: LCCOMB_X46_Y6_N14
\led_flash_cnt[2896][4]~67430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2896][4]~67430_combout\ = (\led_flash_cnt[2896][4]~q\ & (!\led_flash_cnt[2896][3]~67429\)) # (!\led_flash_cnt[2896][4]~q\ & ((\led_flash_cnt[2896][3]~67429\) # (GND)))
-- \led_flash_cnt[2896][4]~67431\ = CARRY((!\led_flash_cnt[2896][3]~67429\) # (!\led_flash_cnt[2896][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2896][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2896][3]~67429\,
	combout => \led_flash_cnt[2896][4]~67430_combout\,
	cout => \led_flash_cnt[2896][4]~67431\);

-- Location: FF_X46_Y6_N15
\led_flash_cnt[2896][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2896][4]~67430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2896][4]~q\);

-- Location: LCCOMB_X46_Y6_N16
\led_flash_cnt[2896][5]~67432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2896][5]~67432_combout\ = (\led_flash_cnt[2896][5]~q\ & (\led_flash_cnt[2896][4]~67431\ $ (GND))) # (!\led_flash_cnt[2896][5]~q\ & (!\led_flash_cnt[2896][4]~67431\ & VCC))
-- \led_flash_cnt[2896][5]~67433\ = CARRY((\led_flash_cnt[2896][5]~q\ & !\led_flash_cnt[2896][4]~67431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2896][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2896][4]~67431\,
	combout => \led_flash_cnt[2896][5]~67432_combout\,
	cout => \led_flash_cnt[2896][5]~67433\);

-- Location: FF_X46_Y6_N17
\led_flash_cnt[2896][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2896][5]~67432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2896][5]~q\);

-- Location: LCCOMB_X46_Y6_N18
\led_flash_cnt[2896][6]~67434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2896][6]~67434_combout\ = (\led_flash_cnt[2896][6]~q\ & (!\led_flash_cnt[2896][5]~67433\)) # (!\led_flash_cnt[2896][6]~q\ & ((\led_flash_cnt[2896][5]~67433\) # (GND)))
-- \led_flash_cnt[2896][6]~67435\ = CARRY((!\led_flash_cnt[2896][5]~67433\) # (!\led_flash_cnt[2896][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2896][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2896][5]~67433\,
	combout => \led_flash_cnt[2896][6]~67434_combout\,
	cout => \led_flash_cnt[2896][6]~67435\);

-- Location: FF_X46_Y6_N19
\led_flash_cnt[2896][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2896][6]~67434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2896][6]~q\);

-- Location: LCCOMB_X46_Y6_N20
\led_flash_cnt[2896][7]~67436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2896][7]~67436_combout\ = \led_flash_cnt[2896][6]~67435\ $ (!\led_flash_cnt[2896][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2896][7]~q\,
	cin => \led_flash_cnt[2896][6]~67435\,
	combout => \led_flash_cnt[2896][7]~67436_combout\);

-- Location: FF_X46_Y6_N21
\led_flash_cnt[2896][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2896][7]~67436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2896][7]~q\);

-- Location: LCCOMB_X46_Y6_N22
\WideAnd2896~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2896~1_combout\ = (\led_flash_cnt[2896][6]~q\ & \led_flash_cnt[2896][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2896][6]~q\,
	datad => \led_flash_cnt[2896][5]~q\,
	combout => \WideAnd2896~1_combout\);

-- Location: LCCOMB_X46_Y6_N24
\WideAnd2896~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2896~0_combout\ = (\led_flash_cnt[2896][3]~q\ & (\led_flash_cnt[2896][1]~q\ & (\led_flash_cnt[2896][4]~q\ & \led_flash_cnt[2896][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2896][3]~q\,
	datab => \led_flash_cnt[2896][1]~q\,
	datac => \led_flash_cnt[2896][4]~q\,
	datad => \led_flash_cnt[2896][2]~q\,
	combout => \WideAnd2896~0_combout\);

-- Location: LCCOMB_X46_Y6_N2
WideAnd2896 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2896~combout\ = (\led_flash_cnt[2896][0]~q\ & (\led_flash_cnt[2896][7]~q\ & (\WideAnd2896~1_combout\ & \WideAnd2896~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2896][0]~q\,
	datab => \led_flash_cnt[2896][7]~q\,
	datac => \WideAnd2896~1_combout\,
	datad => \WideAnd2896~0_combout\,
	combout => \WideAnd2896~combout\);

-- Location: FF_X46_Y6_N3
\led_flash_cnt_ands[2896]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2896~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2896));

-- Location: LCCOMB_X30_Y2_N22
\led_flash_cnt[2899][0]~83539\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2899][0]~83539_combout\ = !\led_flash_cnt[2899][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2899][0]~q\,
	combout => \led_flash_cnt[2899][0]~83539_combout\);

-- Location: FF_X30_Y2_N23
\led_flash_cnt[2899][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2899][0]~83539_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2899][0]~q\);

-- Location: LCCOMB_X30_Y2_N2
\led_flash_cnt[2899][1]~67466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2899][1]~67466_combout\ = (\led_flash_cnt[2899][0]~q\ & (\led_flash_cnt[2899][1]~q\ $ (VCC))) # (!\led_flash_cnt[2899][0]~q\ & (\led_flash_cnt[2899][1]~q\ & VCC))
-- \led_flash_cnt[2899][1]~67467\ = CARRY((\led_flash_cnt[2899][0]~q\ & \led_flash_cnt[2899][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2899][0]~q\,
	datab => \led_flash_cnt[2899][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2899][1]~67466_combout\,
	cout => \led_flash_cnt[2899][1]~67467\);

-- Location: FF_X30_Y2_N3
\led_flash_cnt[2899][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2899][1]~67466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2899][1]~q\);

-- Location: LCCOMB_X30_Y2_N4
\led_flash_cnt[2899][2]~67468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2899][2]~67468_combout\ = (\led_flash_cnt[2899][2]~q\ & (!\led_flash_cnt[2899][1]~67467\)) # (!\led_flash_cnt[2899][2]~q\ & ((\led_flash_cnt[2899][1]~67467\) # (GND)))
-- \led_flash_cnt[2899][2]~67469\ = CARRY((!\led_flash_cnt[2899][1]~67467\) # (!\led_flash_cnt[2899][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2899][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2899][1]~67467\,
	combout => \led_flash_cnt[2899][2]~67468_combout\,
	cout => \led_flash_cnt[2899][2]~67469\);

-- Location: FF_X30_Y2_N5
\led_flash_cnt[2899][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2899][2]~67468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2899][2]~q\);

-- Location: LCCOMB_X30_Y2_N6
\led_flash_cnt[2899][3]~67470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2899][3]~67470_combout\ = (\led_flash_cnt[2899][3]~q\ & (\led_flash_cnt[2899][2]~67469\ $ (GND))) # (!\led_flash_cnt[2899][3]~q\ & (!\led_flash_cnt[2899][2]~67469\ & VCC))
-- \led_flash_cnt[2899][3]~67471\ = CARRY((\led_flash_cnt[2899][3]~q\ & !\led_flash_cnt[2899][2]~67469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2899][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2899][2]~67469\,
	combout => \led_flash_cnt[2899][3]~67470_combout\,
	cout => \led_flash_cnt[2899][3]~67471\);

-- Location: FF_X30_Y2_N7
\led_flash_cnt[2899][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2899][3]~67470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2899][3]~q\);

-- Location: LCCOMB_X30_Y2_N8
\led_flash_cnt[2899][4]~67472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2899][4]~67472_combout\ = (\led_flash_cnt[2899][4]~q\ & (!\led_flash_cnt[2899][3]~67471\)) # (!\led_flash_cnt[2899][4]~q\ & ((\led_flash_cnt[2899][3]~67471\) # (GND)))
-- \led_flash_cnt[2899][4]~67473\ = CARRY((!\led_flash_cnt[2899][3]~67471\) # (!\led_flash_cnt[2899][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2899][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2899][3]~67471\,
	combout => \led_flash_cnt[2899][4]~67472_combout\,
	cout => \led_flash_cnt[2899][4]~67473\);

-- Location: FF_X30_Y2_N9
\led_flash_cnt[2899][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2899][4]~67472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2899][4]~q\);

-- Location: LCCOMB_X30_Y2_N10
\led_flash_cnt[2899][5]~67474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2899][5]~67474_combout\ = (\led_flash_cnt[2899][5]~q\ & (\led_flash_cnt[2899][4]~67473\ $ (GND))) # (!\led_flash_cnt[2899][5]~q\ & (!\led_flash_cnt[2899][4]~67473\ & VCC))
-- \led_flash_cnt[2899][5]~67475\ = CARRY((\led_flash_cnt[2899][5]~q\ & !\led_flash_cnt[2899][4]~67473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2899][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2899][4]~67473\,
	combout => \led_flash_cnt[2899][5]~67474_combout\,
	cout => \led_flash_cnt[2899][5]~67475\);

-- Location: FF_X30_Y2_N11
\led_flash_cnt[2899][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2899][5]~67474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2899][5]~q\);

-- Location: LCCOMB_X30_Y2_N12
\led_flash_cnt[2899][6]~67476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2899][6]~67476_combout\ = (\led_flash_cnt[2899][6]~q\ & (!\led_flash_cnt[2899][5]~67475\)) # (!\led_flash_cnt[2899][6]~q\ & ((\led_flash_cnt[2899][5]~67475\) # (GND)))
-- \led_flash_cnt[2899][6]~67477\ = CARRY((!\led_flash_cnt[2899][5]~67475\) # (!\led_flash_cnt[2899][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2899][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2899][5]~67475\,
	combout => \led_flash_cnt[2899][6]~67476_combout\,
	cout => \led_flash_cnt[2899][6]~67477\);

-- Location: FF_X30_Y2_N13
\led_flash_cnt[2899][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2899][6]~67476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2899][6]~q\);

-- Location: LCCOMB_X30_Y2_N14
\led_flash_cnt[2899][7]~67478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2899][7]~67478_combout\ = \led_flash_cnt[2899][7]~q\ $ (!\led_flash_cnt[2899][6]~67477\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2899][7]~q\,
	cin => \led_flash_cnt[2899][6]~67477\,
	combout => \led_flash_cnt[2899][7]~67478_combout\);

-- Location: FF_X30_Y2_N15
\led_flash_cnt[2899][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2899][7]~67478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2899][7]~q\);

-- Location: LCCOMB_X30_Y2_N30
\WideAnd2899~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2899~1_combout\ = (\led_flash_cnt[2899][5]~q\ & \led_flash_cnt[2899][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2899][5]~q\,
	datad => \led_flash_cnt[2899][6]~q\,
	combout => \WideAnd2899~1_combout\);

-- Location: LCCOMB_X30_Y2_N18
\WideAnd2899~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2899~0_combout\ = (\led_flash_cnt[2899][3]~q\ & (\led_flash_cnt[2899][4]~q\ & (\led_flash_cnt[2899][2]~q\ & \led_flash_cnt[2899][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2899][3]~q\,
	datab => \led_flash_cnt[2899][4]~q\,
	datac => \led_flash_cnt[2899][2]~q\,
	datad => \led_flash_cnt[2899][1]~q\,
	combout => \WideAnd2899~0_combout\);

-- Location: LCCOMB_X30_Y2_N24
WideAnd2899 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2899~combout\ = (\led_flash_cnt[2899][0]~q\ & (\led_flash_cnt[2899][7]~q\ & (\WideAnd2899~1_combout\ & \WideAnd2899~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2899][0]~q\,
	datab => \led_flash_cnt[2899][7]~q\,
	datac => \WideAnd2899~1_combout\,
	datad => \WideAnd2899~0_combout\,
	combout => \WideAnd2899~combout\);

-- Location: FF_X30_Y2_N25
\led_flash_cnt_ands[2899]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2899~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2899));

-- Location: LCCOMB_X57_Y10_N12
\led_flash_cnt[2897][0]~83537\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2897][0]~83537_combout\ = !\led_flash_cnt[2897][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2897][0]~q\,
	combout => \led_flash_cnt[2897][0]~83537_combout\);

-- Location: FF_X57_Y10_N13
\led_flash_cnt[2897][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2897][0]~83537_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2897][0]~q\);

-- Location: LCCOMB_X57_Y10_N18
\led_flash_cnt[2897][1]~67438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2897][1]~67438_combout\ = (\led_flash_cnt[2897][0]~q\ & (\led_flash_cnt[2897][1]~q\ $ (VCC))) # (!\led_flash_cnt[2897][0]~q\ & (\led_flash_cnt[2897][1]~q\ & VCC))
-- \led_flash_cnt[2897][1]~67439\ = CARRY((\led_flash_cnt[2897][0]~q\ & \led_flash_cnt[2897][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2897][0]~q\,
	datab => \led_flash_cnt[2897][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2897][1]~67438_combout\,
	cout => \led_flash_cnt[2897][1]~67439\);

-- Location: FF_X57_Y10_N19
\led_flash_cnt[2897][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2897][1]~67438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2897][1]~q\);

-- Location: LCCOMB_X57_Y10_N20
\led_flash_cnt[2897][2]~67440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2897][2]~67440_combout\ = (\led_flash_cnt[2897][2]~q\ & (!\led_flash_cnt[2897][1]~67439\)) # (!\led_flash_cnt[2897][2]~q\ & ((\led_flash_cnt[2897][1]~67439\) # (GND)))
-- \led_flash_cnt[2897][2]~67441\ = CARRY((!\led_flash_cnt[2897][1]~67439\) # (!\led_flash_cnt[2897][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2897][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2897][1]~67439\,
	combout => \led_flash_cnt[2897][2]~67440_combout\,
	cout => \led_flash_cnt[2897][2]~67441\);

-- Location: FF_X57_Y10_N21
\led_flash_cnt[2897][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2897][2]~67440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2897][2]~q\);

-- Location: LCCOMB_X57_Y10_N22
\led_flash_cnt[2897][3]~67442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2897][3]~67442_combout\ = (\led_flash_cnt[2897][3]~q\ & (\led_flash_cnt[2897][2]~67441\ $ (GND))) # (!\led_flash_cnt[2897][3]~q\ & (!\led_flash_cnt[2897][2]~67441\ & VCC))
-- \led_flash_cnt[2897][3]~67443\ = CARRY((\led_flash_cnt[2897][3]~q\ & !\led_flash_cnt[2897][2]~67441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2897][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2897][2]~67441\,
	combout => \led_flash_cnt[2897][3]~67442_combout\,
	cout => \led_flash_cnt[2897][3]~67443\);

-- Location: FF_X57_Y10_N23
\led_flash_cnt[2897][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2897][3]~67442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2897][3]~q\);

-- Location: LCCOMB_X57_Y10_N24
\led_flash_cnt[2897][4]~67444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2897][4]~67444_combout\ = (\led_flash_cnt[2897][4]~q\ & (!\led_flash_cnt[2897][3]~67443\)) # (!\led_flash_cnt[2897][4]~q\ & ((\led_flash_cnt[2897][3]~67443\) # (GND)))
-- \led_flash_cnt[2897][4]~67445\ = CARRY((!\led_flash_cnt[2897][3]~67443\) # (!\led_flash_cnt[2897][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2897][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2897][3]~67443\,
	combout => \led_flash_cnt[2897][4]~67444_combout\,
	cout => \led_flash_cnt[2897][4]~67445\);

-- Location: FF_X57_Y10_N25
\led_flash_cnt[2897][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2897][4]~67444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2897][4]~q\);

-- Location: LCCOMB_X57_Y10_N26
\led_flash_cnt[2897][5]~67446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2897][5]~67446_combout\ = (\led_flash_cnt[2897][5]~q\ & (\led_flash_cnt[2897][4]~67445\ $ (GND))) # (!\led_flash_cnt[2897][5]~q\ & (!\led_flash_cnt[2897][4]~67445\ & VCC))
-- \led_flash_cnt[2897][5]~67447\ = CARRY((\led_flash_cnt[2897][5]~q\ & !\led_flash_cnt[2897][4]~67445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2897][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2897][4]~67445\,
	combout => \led_flash_cnt[2897][5]~67446_combout\,
	cout => \led_flash_cnt[2897][5]~67447\);

-- Location: FF_X57_Y10_N27
\led_flash_cnt[2897][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2897][5]~67446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2897][5]~q\);

-- Location: LCCOMB_X57_Y10_N28
\led_flash_cnt[2897][6]~67448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2897][6]~67448_combout\ = (\led_flash_cnt[2897][6]~q\ & (!\led_flash_cnt[2897][5]~67447\)) # (!\led_flash_cnt[2897][6]~q\ & ((\led_flash_cnt[2897][5]~67447\) # (GND)))
-- \led_flash_cnt[2897][6]~67449\ = CARRY((!\led_flash_cnt[2897][5]~67447\) # (!\led_flash_cnt[2897][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2897][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2897][5]~67447\,
	combout => \led_flash_cnt[2897][6]~67448_combout\,
	cout => \led_flash_cnt[2897][6]~67449\);

-- Location: FF_X57_Y10_N29
\led_flash_cnt[2897][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2897][6]~67448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2897][6]~q\);

-- Location: LCCOMB_X57_Y10_N10
\WideAnd2897~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2897~1_combout\ = (\led_flash_cnt[2897][5]~q\ & \led_flash_cnt[2897][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2897][5]~q\,
	datad => \led_flash_cnt[2897][6]~q\,
	combout => \WideAnd2897~1_combout\);

-- Location: LCCOMB_X57_Y10_N8
\WideAnd2897~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2897~0_combout\ = (\led_flash_cnt[2897][4]~q\ & (\led_flash_cnt[2897][2]~q\ & (\led_flash_cnt[2897][3]~q\ & \led_flash_cnt[2897][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2897][4]~q\,
	datab => \led_flash_cnt[2897][2]~q\,
	datac => \led_flash_cnt[2897][3]~q\,
	datad => \led_flash_cnt[2897][1]~q\,
	combout => \WideAnd2897~0_combout\);

-- Location: LCCOMB_X57_Y10_N30
\led_flash_cnt[2897][7]~67450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2897][7]~67450_combout\ = \led_flash_cnt[2897][7]~q\ $ (!\led_flash_cnt[2897][6]~67449\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2897][7]~q\,
	cin => \led_flash_cnt[2897][6]~67449\,
	combout => \led_flash_cnt[2897][7]~67450_combout\);

-- Location: FF_X57_Y10_N31
\led_flash_cnt[2897][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2897][7]~67450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2897][7]~q\);

-- Location: LCCOMB_X57_Y10_N16
WideAnd2897 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2897~combout\ = (\WideAnd2897~1_combout\ & (\WideAnd2897~0_combout\ & (\led_flash_cnt[2897][7]~q\ & \led_flash_cnt[2897][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2897~1_combout\,
	datab => \WideAnd2897~0_combout\,
	datac => \led_flash_cnt[2897][7]~q\,
	datad => \led_flash_cnt[2897][0]~q\,
	combout => \WideAnd2897~combout\);

-- Location: FF_X57_Y10_N17
\led_flash_cnt_ands[2897]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2897~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2897));

-- Location: LCCOMB_X46_Y6_N4
\WideAnd4202~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4202~0_combout\ = (led_flash_cnt_ands(2898) & (led_flash_cnt_ands(2896) & (led_flash_cnt_ands(2899) & led_flash_cnt_ands(2897))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2898),
	datab => led_flash_cnt_ands(2896),
	datac => led_flash_cnt_ands(2899),
	datad => led_flash_cnt_ands(2897),
	combout => \WideAnd4202~0_combout\);

-- Location: LCCOMB_X55_Y10_N20
\led_flash_cnt[2902][0]~83542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2902][0]~83542_combout\ = !\led_flash_cnt[2902][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2902][0]~q\,
	combout => \led_flash_cnt[2902][0]~83542_combout\);

-- Location: FF_X55_Y10_N21
\led_flash_cnt[2902][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2902][0]~83542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2902][0]~q\);

-- Location: LCCOMB_X55_Y10_N6
\led_flash_cnt[2902][1]~67508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2902][1]~67508_combout\ = (\led_flash_cnt[2902][1]~q\ & (\led_flash_cnt[2902][0]~q\ $ (VCC))) # (!\led_flash_cnt[2902][1]~q\ & (\led_flash_cnt[2902][0]~q\ & VCC))
-- \led_flash_cnt[2902][1]~67509\ = CARRY((\led_flash_cnt[2902][1]~q\ & \led_flash_cnt[2902][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2902][1]~q\,
	datab => \led_flash_cnt[2902][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2902][1]~67508_combout\,
	cout => \led_flash_cnt[2902][1]~67509\);

-- Location: FF_X55_Y10_N7
\led_flash_cnt[2902][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2902][1]~67508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2902][1]~q\);

-- Location: LCCOMB_X55_Y10_N8
\led_flash_cnt[2902][2]~67510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2902][2]~67510_combout\ = (\led_flash_cnt[2902][2]~q\ & (!\led_flash_cnt[2902][1]~67509\)) # (!\led_flash_cnt[2902][2]~q\ & ((\led_flash_cnt[2902][1]~67509\) # (GND)))
-- \led_flash_cnt[2902][2]~67511\ = CARRY((!\led_flash_cnt[2902][1]~67509\) # (!\led_flash_cnt[2902][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2902][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2902][1]~67509\,
	combout => \led_flash_cnt[2902][2]~67510_combout\,
	cout => \led_flash_cnt[2902][2]~67511\);

-- Location: FF_X55_Y10_N9
\led_flash_cnt[2902][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2902][2]~67510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2902][2]~q\);

-- Location: LCCOMB_X55_Y10_N10
\led_flash_cnt[2902][3]~67512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2902][3]~67512_combout\ = (\led_flash_cnt[2902][3]~q\ & (\led_flash_cnt[2902][2]~67511\ $ (GND))) # (!\led_flash_cnt[2902][3]~q\ & (!\led_flash_cnt[2902][2]~67511\ & VCC))
-- \led_flash_cnt[2902][3]~67513\ = CARRY((\led_flash_cnt[2902][3]~q\ & !\led_flash_cnt[2902][2]~67511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2902][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2902][2]~67511\,
	combout => \led_flash_cnt[2902][3]~67512_combout\,
	cout => \led_flash_cnt[2902][3]~67513\);

-- Location: FF_X55_Y10_N11
\led_flash_cnt[2902][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2902][3]~67512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2902][3]~q\);

-- Location: LCCOMB_X55_Y10_N12
\led_flash_cnt[2902][4]~67514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2902][4]~67514_combout\ = (\led_flash_cnt[2902][4]~q\ & (!\led_flash_cnt[2902][3]~67513\)) # (!\led_flash_cnt[2902][4]~q\ & ((\led_flash_cnt[2902][3]~67513\) # (GND)))
-- \led_flash_cnt[2902][4]~67515\ = CARRY((!\led_flash_cnt[2902][3]~67513\) # (!\led_flash_cnt[2902][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2902][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2902][3]~67513\,
	combout => \led_flash_cnt[2902][4]~67514_combout\,
	cout => \led_flash_cnt[2902][4]~67515\);

-- Location: FF_X55_Y10_N13
\led_flash_cnt[2902][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2902][4]~67514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2902][4]~q\);

-- Location: LCCOMB_X55_Y10_N22
\WideAnd2902~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2902~0_combout\ = (\led_flash_cnt[2902][4]~q\ & (\led_flash_cnt[2902][3]~q\ & (\led_flash_cnt[2902][2]~q\ & \led_flash_cnt[2902][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2902][4]~q\,
	datab => \led_flash_cnt[2902][3]~q\,
	datac => \led_flash_cnt[2902][2]~q\,
	datad => \led_flash_cnt[2902][1]~q\,
	combout => \WideAnd2902~0_combout\);

-- Location: LCCOMB_X55_Y10_N14
\led_flash_cnt[2902][5]~67516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2902][5]~67516_combout\ = (\led_flash_cnt[2902][5]~q\ & (\led_flash_cnt[2902][4]~67515\ $ (GND))) # (!\led_flash_cnt[2902][5]~q\ & (!\led_flash_cnt[2902][4]~67515\ & VCC))
-- \led_flash_cnt[2902][5]~67517\ = CARRY((\led_flash_cnt[2902][5]~q\ & !\led_flash_cnt[2902][4]~67515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2902][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2902][4]~67515\,
	combout => \led_flash_cnt[2902][5]~67516_combout\,
	cout => \led_flash_cnt[2902][5]~67517\);

-- Location: FF_X55_Y10_N15
\led_flash_cnt[2902][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2902][5]~67516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2902][5]~q\);

-- Location: LCCOMB_X55_Y10_N16
\led_flash_cnt[2902][6]~67518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2902][6]~67518_combout\ = (\led_flash_cnt[2902][6]~q\ & (!\led_flash_cnt[2902][5]~67517\)) # (!\led_flash_cnt[2902][6]~q\ & ((\led_flash_cnt[2902][5]~67517\) # (GND)))
-- \led_flash_cnt[2902][6]~67519\ = CARRY((!\led_flash_cnt[2902][5]~67517\) # (!\led_flash_cnt[2902][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2902][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2902][5]~67517\,
	combout => \led_flash_cnt[2902][6]~67518_combout\,
	cout => \led_flash_cnt[2902][6]~67519\);

-- Location: FF_X55_Y10_N17
\led_flash_cnt[2902][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2902][6]~67518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2902][6]~q\);

-- Location: LCCOMB_X55_Y10_N18
\led_flash_cnt[2902][7]~67520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2902][7]~67520_combout\ = \led_flash_cnt[2902][6]~67519\ $ (!\led_flash_cnt[2902][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2902][7]~q\,
	cin => \led_flash_cnt[2902][6]~67519\,
	combout => \led_flash_cnt[2902][7]~67520_combout\);

-- Location: FF_X55_Y10_N19
\led_flash_cnt[2902][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2902][7]~67520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2902][7]~q\);

-- Location: LCCOMB_X55_Y10_N4
\WideAnd2902~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2902~1_combout\ = (\led_flash_cnt[2902][5]~q\ & \led_flash_cnt[2902][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2902][5]~q\,
	datad => \led_flash_cnt[2902][6]~q\,
	combout => \WideAnd2902~1_combout\);

-- Location: LCCOMB_X55_Y10_N28
WideAnd2902 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2902~combout\ = (\WideAnd2902~0_combout\ & (\led_flash_cnt[2902][7]~q\ & (\WideAnd2902~1_combout\ & \led_flash_cnt[2902][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2902~0_combout\,
	datab => \led_flash_cnt[2902][7]~q\,
	datac => \WideAnd2902~1_combout\,
	datad => \led_flash_cnt[2902][0]~q\,
	combout => \WideAnd2902~combout\);

-- Location: FF_X55_Y10_N29
\led_flash_cnt_ands[2902]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2902~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2902));

-- Location: LCCOMB_X54_Y10_N2
WideAnd4202 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4202~combout\ = (\WideAnd4202~1_combout\ & (led_flash_cnt_ands(2903) & (\WideAnd4202~0_combout\ & led_flash_cnt_ands(2902))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4202~1_combout\,
	datab => led_flash_cnt_ands(2903),
	datac => \WideAnd4202~0_combout\,
	datad => led_flash_cnt_ands(2902),
	combout => \WideAnd4202~combout\);

-- Location: FF_X54_Y10_N3
\led_flash_cnt_ands_1[362]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4202~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(362));

-- Location: LCCOMB_X66_Y16_N12
\led_flash_cnt[2910][0]~83550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2910][0]~83550_combout\ = !\led_flash_cnt[2910][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2910][0]~q\,
	combout => \led_flash_cnt[2910][0]~83550_combout\);

-- Location: FF_X66_Y16_N13
\led_flash_cnt[2910][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2910][0]~83550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2910][0]~q\);

-- Location: LCCOMB_X66_Y16_N14
\led_flash_cnt[2910][1]~67620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2910][1]~67620_combout\ = (\led_flash_cnt[2910][0]~q\ & (\led_flash_cnt[2910][1]~q\ $ (VCC))) # (!\led_flash_cnt[2910][0]~q\ & (\led_flash_cnt[2910][1]~q\ & VCC))
-- \led_flash_cnt[2910][1]~67621\ = CARRY((\led_flash_cnt[2910][0]~q\ & \led_flash_cnt[2910][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2910][0]~q\,
	datab => \led_flash_cnt[2910][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2910][1]~67620_combout\,
	cout => \led_flash_cnt[2910][1]~67621\);

-- Location: FF_X66_Y16_N15
\led_flash_cnt[2910][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2910][1]~67620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2910][1]~q\);

-- Location: LCCOMB_X66_Y16_N16
\led_flash_cnt[2910][2]~67622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2910][2]~67622_combout\ = (\led_flash_cnt[2910][2]~q\ & (!\led_flash_cnt[2910][1]~67621\)) # (!\led_flash_cnt[2910][2]~q\ & ((\led_flash_cnt[2910][1]~67621\) # (GND)))
-- \led_flash_cnt[2910][2]~67623\ = CARRY((!\led_flash_cnt[2910][1]~67621\) # (!\led_flash_cnt[2910][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2910][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2910][1]~67621\,
	combout => \led_flash_cnt[2910][2]~67622_combout\,
	cout => \led_flash_cnt[2910][2]~67623\);

-- Location: FF_X66_Y16_N17
\led_flash_cnt[2910][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2910][2]~67622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2910][2]~q\);

-- Location: LCCOMB_X66_Y16_N18
\led_flash_cnt[2910][3]~67624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2910][3]~67624_combout\ = (\led_flash_cnt[2910][3]~q\ & (\led_flash_cnt[2910][2]~67623\ $ (GND))) # (!\led_flash_cnt[2910][3]~q\ & (!\led_flash_cnt[2910][2]~67623\ & VCC))
-- \led_flash_cnt[2910][3]~67625\ = CARRY((\led_flash_cnt[2910][3]~q\ & !\led_flash_cnt[2910][2]~67623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2910][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2910][2]~67623\,
	combout => \led_flash_cnt[2910][3]~67624_combout\,
	cout => \led_flash_cnt[2910][3]~67625\);

-- Location: FF_X66_Y16_N19
\led_flash_cnt[2910][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2910][3]~67624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2910][3]~q\);

-- Location: LCCOMB_X66_Y16_N20
\led_flash_cnt[2910][4]~67626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2910][4]~67626_combout\ = (\led_flash_cnt[2910][4]~q\ & (!\led_flash_cnt[2910][3]~67625\)) # (!\led_flash_cnt[2910][4]~q\ & ((\led_flash_cnt[2910][3]~67625\) # (GND)))
-- \led_flash_cnt[2910][4]~67627\ = CARRY((!\led_flash_cnt[2910][3]~67625\) # (!\led_flash_cnt[2910][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2910][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2910][3]~67625\,
	combout => \led_flash_cnt[2910][4]~67626_combout\,
	cout => \led_flash_cnt[2910][4]~67627\);

-- Location: FF_X66_Y16_N21
\led_flash_cnt[2910][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2910][4]~67626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2910][4]~q\);

-- Location: LCCOMB_X66_Y16_N22
\led_flash_cnt[2910][5]~67628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2910][5]~67628_combout\ = (\led_flash_cnt[2910][5]~q\ & (\led_flash_cnt[2910][4]~67627\ $ (GND))) # (!\led_flash_cnt[2910][5]~q\ & (!\led_flash_cnt[2910][4]~67627\ & VCC))
-- \led_flash_cnt[2910][5]~67629\ = CARRY((\led_flash_cnt[2910][5]~q\ & !\led_flash_cnt[2910][4]~67627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2910][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2910][4]~67627\,
	combout => \led_flash_cnt[2910][5]~67628_combout\,
	cout => \led_flash_cnt[2910][5]~67629\);

-- Location: FF_X66_Y16_N23
\led_flash_cnt[2910][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2910][5]~67628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2910][5]~q\);

-- Location: LCCOMB_X66_Y16_N24
\led_flash_cnt[2910][6]~67630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2910][6]~67630_combout\ = (\led_flash_cnt[2910][6]~q\ & (!\led_flash_cnt[2910][5]~67629\)) # (!\led_flash_cnt[2910][6]~q\ & ((\led_flash_cnt[2910][5]~67629\) # (GND)))
-- \led_flash_cnt[2910][6]~67631\ = CARRY((!\led_flash_cnt[2910][5]~67629\) # (!\led_flash_cnt[2910][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2910][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2910][5]~67629\,
	combout => \led_flash_cnt[2910][6]~67630_combout\,
	cout => \led_flash_cnt[2910][6]~67631\);

-- Location: FF_X66_Y16_N25
\led_flash_cnt[2910][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2910][6]~67630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2910][6]~q\);

-- Location: LCCOMB_X66_Y16_N2
\WideAnd2910~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2910~1_combout\ = (\led_flash_cnt[2910][5]~q\ & \led_flash_cnt[2910][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2910][5]~q\,
	datad => \led_flash_cnt[2910][6]~q\,
	combout => \WideAnd2910~1_combout\);

-- Location: LCCOMB_X66_Y16_N26
\led_flash_cnt[2910][7]~67632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2910][7]~67632_combout\ = \led_flash_cnt[2910][7]~q\ $ (!\led_flash_cnt[2910][6]~67631\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2910][7]~q\,
	cin => \led_flash_cnt[2910][6]~67631\,
	combout => \led_flash_cnt[2910][7]~67632_combout\);

-- Location: FF_X66_Y16_N27
\led_flash_cnt[2910][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2910][7]~67632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2910][7]~q\);

-- Location: LCCOMB_X66_Y16_N28
\WideAnd2910~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2910~0_combout\ = (\led_flash_cnt[2910][4]~q\ & (\led_flash_cnt[2910][3]~q\ & (\led_flash_cnt[2910][1]~q\ & \led_flash_cnt[2910][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2910][4]~q\,
	datab => \led_flash_cnt[2910][3]~q\,
	datac => \led_flash_cnt[2910][1]~q\,
	datad => \led_flash_cnt[2910][2]~q\,
	combout => \WideAnd2910~0_combout\);

-- Location: LCCOMB_X66_Y16_N10
WideAnd2910 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2910~combout\ = (\led_flash_cnt[2910][0]~q\ & (\WideAnd2910~1_combout\ & (\led_flash_cnt[2910][7]~q\ & \WideAnd2910~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2910][0]~q\,
	datab => \WideAnd2910~1_combout\,
	datac => \led_flash_cnt[2910][7]~q\,
	datad => \WideAnd2910~0_combout\,
	combout => \WideAnd2910~combout\);

-- Location: FF_X66_Y16_N11
\led_flash_cnt_ands[2910]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2910~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2910));

-- Location: LCCOMB_X54_Y11_N8
\led_flash_cnt[2909][0]~83549\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2909][0]~83549_combout\ = !\led_flash_cnt[2909][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2909][0]~q\,
	combout => \led_flash_cnt[2909][0]~83549_combout\);

-- Location: FF_X54_Y11_N9
\led_flash_cnt[2909][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2909][0]~83549_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2909][0]~q\);

-- Location: LCCOMB_X55_Y11_N16
\led_flash_cnt[2909][1]~67606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2909][1]~67606_combout\ = (\led_flash_cnt[2909][0]~q\ & (\led_flash_cnt[2909][1]~q\ $ (VCC))) # (!\led_flash_cnt[2909][0]~q\ & (\led_flash_cnt[2909][1]~q\ & VCC))
-- \led_flash_cnt[2909][1]~67607\ = CARRY((\led_flash_cnt[2909][0]~q\ & \led_flash_cnt[2909][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2909][0]~q\,
	datab => \led_flash_cnt[2909][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2909][1]~67606_combout\,
	cout => \led_flash_cnt[2909][1]~67607\);

-- Location: FF_X55_Y11_N17
\led_flash_cnt[2909][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2909][1]~67606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2909][1]~q\);

-- Location: LCCOMB_X55_Y11_N18
\led_flash_cnt[2909][2]~67608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2909][2]~67608_combout\ = (\led_flash_cnt[2909][2]~q\ & (!\led_flash_cnt[2909][1]~67607\)) # (!\led_flash_cnt[2909][2]~q\ & ((\led_flash_cnt[2909][1]~67607\) # (GND)))
-- \led_flash_cnt[2909][2]~67609\ = CARRY((!\led_flash_cnt[2909][1]~67607\) # (!\led_flash_cnt[2909][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2909][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2909][1]~67607\,
	combout => \led_flash_cnt[2909][2]~67608_combout\,
	cout => \led_flash_cnt[2909][2]~67609\);

-- Location: FF_X55_Y11_N19
\led_flash_cnt[2909][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2909][2]~67608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2909][2]~q\);

-- Location: LCCOMB_X55_Y11_N20
\led_flash_cnt[2909][3]~67610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2909][3]~67610_combout\ = (\led_flash_cnt[2909][3]~q\ & (\led_flash_cnt[2909][2]~67609\ $ (GND))) # (!\led_flash_cnt[2909][3]~q\ & (!\led_flash_cnt[2909][2]~67609\ & VCC))
-- \led_flash_cnt[2909][3]~67611\ = CARRY((\led_flash_cnt[2909][3]~q\ & !\led_flash_cnt[2909][2]~67609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2909][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2909][2]~67609\,
	combout => \led_flash_cnt[2909][3]~67610_combout\,
	cout => \led_flash_cnt[2909][3]~67611\);

-- Location: FF_X55_Y11_N21
\led_flash_cnt[2909][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2909][3]~67610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2909][3]~q\);

-- Location: LCCOMB_X55_Y11_N22
\led_flash_cnt[2909][4]~67612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2909][4]~67612_combout\ = (\led_flash_cnt[2909][4]~q\ & (!\led_flash_cnt[2909][3]~67611\)) # (!\led_flash_cnt[2909][4]~q\ & ((\led_flash_cnt[2909][3]~67611\) # (GND)))
-- \led_flash_cnt[2909][4]~67613\ = CARRY((!\led_flash_cnt[2909][3]~67611\) # (!\led_flash_cnt[2909][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2909][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2909][3]~67611\,
	combout => \led_flash_cnt[2909][4]~67612_combout\,
	cout => \led_flash_cnt[2909][4]~67613\);

-- Location: FF_X55_Y11_N23
\led_flash_cnt[2909][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2909][4]~67612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2909][4]~q\);

-- Location: LCCOMB_X55_Y11_N24
\led_flash_cnt[2909][5]~67614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2909][5]~67614_combout\ = (\led_flash_cnt[2909][5]~q\ & (\led_flash_cnt[2909][4]~67613\ $ (GND))) # (!\led_flash_cnt[2909][5]~q\ & (!\led_flash_cnt[2909][4]~67613\ & VCC))
-- \led_flash_cnt[2909][5]~67615\ = CARRY((\led_flash_cnt[2909][5]~q\ & !\led_flash_cnt[2909][4]~67613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2909][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2909][4]~67613\,
	combout => \led_flash_cnt[2909][5]~67614_combout\,
	cout => \led_flash_cnt[2909][5]~67615\);

-- Location: FF_X55_Y11_N25
\led_flash_cnt[2909][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2909][5]~67614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2909][5]~q\);

-- Location: LCCOMB_X55_Y11_N26
\led_flash_cnt[2909][6]~67616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2909][6]~67616_combout\ = (\led_flash_cnt[2909][6]~q\ & (!\led_flash_cnt[2909][5]~67615\)) # (!\led_flash_cnt[2909][6]~q\ & ((\led_flash_cnt[2909][5]~67615\) # (GND)))
-- \led_flash_cnt[2909][6]~67617\ = CARRY((!\led_flash_cnt[2909][5]~67615\) # (!\led_flash_cnt[2909][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2909][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2909][5]~67615\,
	combout => \led_flash_cnt[2909][6]~67616_combout\,
	cout => \led_flash_cnt[2909][6]~67617\);

-- Location: FF_X55_Y11_N27
\led_flash_cnt[2909][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2909][6]~67616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2909][6]~q\);

-- Location: LCCOMB_X54_Y11_N26
\WideAnd2909~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2909~1_combout\ = (\led_flash_cnt[2909][6]~q\ & \led_flash_cnt[2909][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2909][6]~q\,
	datad => \led_flash_cnt[2909][5]~q\,
	combout => \WideAnd2909~1_combout\);

-- Location: LCCOMB_X55_Y11_N30
\WideAnd2909~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2909~0_combout\ = (\led_flash_cnt[2909][1]~q\ & (\led_flash_cnt[2909][3]~q\ & (\led_flash_cnt[2909][4]~q\ & \led_flash_cnt[2909][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2909][1]~q\,
	datab => \led_flash_cnt[2909][3]~q\,
	datac => \led_flash_cnt[2909][4]~q\,
	datad => \led_flash_cnt[2909][2]~q\,
	combout => \WideAnd2909~0_combout\);

-- Location: LCCOMB_X55_Y11_N28
\led_flash_cnt[2909][7]~67618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2909][7]~67618_combout\ = \led_flash_cnt[2909][6]~67617\ $ (!\led_flash_cnt[2909][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2909][7]~q\,
	cin => \led_flash_cnt[2909][6]~67617\,
	combout => \led_flash_cnt[2909][7]~67618_combout\);

-- Location: FF_X55_Y11_N29
\led_flash_cnt[2909][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2909][7]~67618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2909][7]~q\);

-- Location: LCCOMB_X54_Y11_N30
WideAnd2909 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2909~combout\ = (\WideAnd2909~1_combout\ & (\led_flash_cnt[2909][0]~q\ & (\WideAnd2909~0_combout\ & \led_flash_cnt[2909][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2909~1_combout\,
	datab => \led_flash_cnt[2909][0]~q\,
	datac => \WideAnd2909~0_combout\,
	datad => \led_flash_cnt[2909][7]~q\,
	combout => \WideAnd2909~combout\);

-- Location: FF_X54_Y11_N31
\led_flash_cnt_ands[2909]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2909~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2909));

-- Location: LCCOMB_X54_Y11_N0
\led_flash_cnt[2908][0]~83548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2908][0]~83548_combout\ = !\led_flash_cnt[2908][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2908][0]~q\,
	combout => \led_flash_cnt[2908][0]~83548_combout\);

-- Location: FF_X54_Y11_N1
\led_flash_cnt[2908][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2908][0]~83548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2908][0]~q\);

-- Location: LCCOMB_X54_Y11_N12
\led_flash_cnt[2908][1]~67592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2908][1]~67592_combout\ = (\led_flash_cnt[2908][1]~q\ & (\led_flash_cnt[2908][0]~q\ $ (VCC))) # (!\led_flash_cnt[2908][1]~q\ & (\led_flash_cnt[2908][0]~q\ & VCC))
-- \led_flash_cnt[2908][1]~67593\ = CARRY((\led_flash_cnt[2908][1]~q\ & \led_flash_cnt[2908][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2908][1]~q\,
	datab => \led_flash_cnt[2908][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2908][1]~67592_combout\,
	cout => \led_flash_cnt[2908][1]~67593\);

-- Location: FF_X54_Y11_N13
\led_flash_cnt[2908][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2908][1]~67592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2908][1]~q\);

-- Location: LCCOMB_X54_Y11_N14
\led_flash_cnt[2908][2]~67594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2908][2]~67594_combout\ = (\led_flash_cnt[2908][2]~q\ & (!\led_flash_cnt[2908][1]~67593\)) # (!\led_flash_cnt[2908][2]~q\ & ((\led_flash_cnt[2908][1]~67593\) # (GND)))
-- \led_flash_cnt[2908][2]~67595\ = CARRY((!\led_flash_cnt[2908][1]~67593\) # (!\led_flash_cnt[2908][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2908][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2908][1]~67593\,
	combout => \led_flash_cnt[2908][2]~67594_combout\,
	cout => \led_flash_cnt[2908][2]~67595\);

-- Location: FF_X54_Y11_N15
\led_flash_cnt[2908][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2908][2]~67594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2908][2]~q\);

-- Location: LCCOMB_X54_Y11_N16
\led_flash_cnt[2908][3]~67596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2908][3]~67596_combout\ = (\led_flash_cnt[2908][3]~q\ & (\led_flash_cnt[2908][2]~67595\ $ (GND))) # (!\led_flash_cnt[2908][3]~q\ & (!\led_flash_cnt[2908][2]~67595\ & VCC))
-- \led_flash_cnt[2908][3]~67597\ = CARRY((\led_flash_cnt[2908][3]~q\ & !\led_flash_cnt[2908][2]~67595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2908][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2908][2]~67595\,
	combout => \led_flash_cnt[2908][3]~67596_combout\,
	cout => \led_flash_cnt[2908][3]~67597\);

-- Location: FF_X54_Y11_N17
\led_flash_cnt[2908][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2908][3]~67596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2908][3]~q\);

-- Location: LCCOMB_X54_Y11_N18
\led_flash_cnt[2908][4]~67598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2908][4]~67598_combout\ = (\led_flash_cnt[2908][4]~q\ & (!\led_flash_cnt[2908][3]~67597\)) # (!\led_flash_cnt[2908][4]~q\ & ((\led_flash_cnt[2908][3]~67597\) # (GND)))
-- \led_flash_cnt[2908][4]~67599\ = CARRY((!\led_flash_cnt[2908][3]~67597\) # (!\led_flash_cnt[2908][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2908][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2908][3]~67597\,
	combout => \led_flash_cnt[2908][4]~67598_combout\,
	cout => \led_flash_cnt[2908][4]~67599\);

-- Location: FF_X54_Y11_N19
\led_flash_cnt[2908][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2908][4]~67598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2908][4]~q\);

-- Location: LCCOMB_X54_Y11_N6
\WideAnd2908~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2908~0_combout\ = (\led_flash_cnt[2908][4]~q\ & (\led_flash_cnt[2908][3]~q\ & (\led_flash_cnt[2908][2]~q\ & \led_flash_cnt[2908][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2908][4]~q\,
	datab => \led_flash_cnt[2908][3]~q\,
	datac => \led_flash_cnt[2908][2]~q\,
	datad => \led_flash_cnt[2908][1]~q\,
	combout => \WideAnd2908~0_combout\);

-- Location: LCCOMB_X54_Y11_N20
\led_flash_cnt[2908][5]~67600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2908][5]~67600_combout\ = (\led_flash_cnt[2908][5]~q\ & (\led_flash_cnt[2908][4]~67599\ $ (GND))) # (!\led_flash_cnt[2908][5]~q\ & (!\led_flash_cnt[2908][4]~67599\ & VCC))
-- \led_flash_cnt[2908][5]~67601\ = CARRY((\led_flash_cnt[2908][5]~q\ & !\led_flash_cnt[2908][4]~67599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2908][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2908][4]~67599\,
	combout => \led_flash_cnt[2908][5]~67600_combout\,
	cout => \led_flash_cnt[2908][5]~67601\);

-- Location: FF_X54_Y11_N21
\led_flash_cnt[2908][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2908][5]~67600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2908][5]~q\);

-- Location: LCCOMB_X54_Y11_N22
\led_flash_cnt[2908][6]~67602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2908][6]~67602_combout\ = (\led_flash_cnt[2908][6]~q\ & (!\led_flash_cnt[2908][5]~67601\)) # (!\led_flash_cnt[2908][6]~q\ & ((\led_flash_cnt[2908][5]~67601\) # (GND)))
-- \led_flash_cnt[2908][6]~67603\ = CARRY((!\led_flash_cnt[2908][5]~67601\) # (!\led_flash_cnt[2908][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2908][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2908][5]~67601\,
	combout => \led_flash_cnt[2908][6]~67602_combout\,
	cout => \led_flash_cnt[2908][6]~67603\);

-- Location: FF_X54_Y11_N23
\led_flash_cnt[2908][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2908][6]~67602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2908][6]~q\);

-- Location: LCCOMB_X54_Y11_N4
\WideAnd2908~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2908~1_combout\ = (\led_flash_cnt[2908][6]~q\ & \led_flash_cnt[2908][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2908][6]~q\,
	datad => \led_flash_cnt[2908][5]~q\,
	combout => \WideAnd2908~1_combout\);

-- Location: LCCOMB_X54_Y11_N24
\led_flash_cnt[2908][7]~67604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2908][7]~67604_combout\ = \led_flash_cnt[2908][6]~67603\ $ (!\led_flash_cnt[2908][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2908][7]~q\,
	cin => \led_flash_cnt[2908][6]~67603\,
	combout => \led_flash_cnt[2908][7]~67604_combout\);

-- Location: FF_X54_Y11_N25
\led_flash_cnt[2908][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2908][7]~67604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2908][7]~q\);

-- Location: LCCOMB_X54_Y11_N10
WideAnd2908 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2908~combout\ = (\WideAnd2908~0_combout\ & (\led_flash_cnt[2908][0]~q\ & (\WideAnd2908~1_combout\ & \led_flash_cnt[2908][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2908~0_combout\,
	datab => \led_flash_cnt[2908][0]~q\,
	datac => \WideAnd2908~1_combout\,
	datad => \led_flash_cnt[2908][7]~q\,
	combout => \WideAnd2908~combout\);

-- Location: FF_X54_Y11_N11
\led_flash_cnt_ands[2908]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2908~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2908));

-- Location: LCCOMB_X54_Y11_N28
\WideAnd4203~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4203~1_combout\ = (led_flash_cnt_ands(2909) & led_flash_cnt_ands(2908))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2909),
	datad => led_flash_cnt_ands(2908),
	combout => \WideAnd4203~1_combout\);

-- Location: LCCOMB_X77_Y32_N30
\led_flash_cnt[2905][0]~83545\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2905][0]~83545_combout\ = !\led_flash_cnt[2905][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2905][0]~q\,
	combout => \led_flash_cnt[2905][0]~83545_combout\);

-- Location: FF_X77_Y32_N31
\led_flash_cnt[2905][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2905][0]~83545_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2905][0]~q\);

-- Location: LCCOMB_X77_Y32_N4
\led_flash_cnt[2905][1]~67550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2905][1]~67550_combout\ = (\led_flash_cnt[2905][0]~q\ & (\led_flash_cnt[2905][1]~q\ $ (VCC))) # (!\led_flash_cnt[2905][0]~q\ & (\led_flash_cnt[2905][1]~q\ & VCC))
-- \led_flash_cnt[2905][1]~67551\ = CARRY((\led_flash_cnt[2905][0]~q\ & \led_flash_cnt[2905][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2905][0]~q\,
	datab => \led_flash_cnt[2905][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2905][1]~67550_combout\,
	cout => \led_flash_cnt[2905][1]~67551\);

-- Location: FF_X77_Y32_N5
\led_flash_cnt[2905][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2905][1]~67550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2905][1]~q\);

-- Location: LCCOMB_X77_Y32_N6
\led_flash_cnt[2905][2]~67552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2905][2]~67552_combout\ = (\led_flash_cnt[2905][2]~q\ & (!\led_flash_cnt[2905][1]~67551\)) # (!\led_flash_cnt[2905][2]~q\ & ((\led_flash_cnt[2905][1]~67551\) # (GND)))
-- \led_flash_cnt[2905][2]~67553\ = CARRY((!\led_flash_cnt[2905][1]~67551\) # (!\led_flash_cnt[2905][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2905][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2905][1]~67551\,
	combout => \led_flash_cnt[2905][2]~67552_combout\,
	cout => \led_flash_cnt[2905][2]~67553\);

-- Location: FF_X77_Y32_N7
\led_flash_cnt[2905][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2905][2]~67552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2905][2]~q\);

-- Location: LCCOMB_X77_Y32_N8
\led_flash_cnt[2905][3]~67554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2905][3]~67554_combout\ = (\led_flash_cnt[2905][3]~q\ & (\led_flash_cnt[2905][2]~67553\ $ (GND))) # (!\led_flash_cnt[2905][3]~q\ & (!\led_flash_cnt[2905][2]~67553\ & VCC))
-- \led_flash_cnt[2905][3]~67555\ = CARRY((\led_flash_cnt[2905][3]~q\ & !\led_flash_cnt[2905][2]~67553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2905][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2905][2]~67553\,
	combout => \led_flash_cnt[2905][3]~67554_combout\,
	cout => \led_flash_cnt[2905][3]~67555\);

-- Location: FF_X77_Y32_N9
\led_flash_cnt[2905][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2905][3]~67554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2905][3]~q\);

-- Location: LCCOMB_X77_Y32_N10
\led_flash_cnt[2905][4]~67556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2905][4]~67556_combout\ = (\led_flash_cnt[2905][4]~q\ & (!\led_flash_cnt[2905][3]~67555\)) # (!\led_flash_cnt[2905][4]~q\ & ((\led_flash_cnt[2905][3]~67555\) # (GND)))
-- \led_flash_cnt[2905][4]~67557\ = CARRY((!\led_flash_cnt[2905][3]~67555\) # (!\led_flash_cnt[2905][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2905][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2905][3]~67555\,
	combout => \led_flash_cnt[2905][4]~67556_combout\,
	cout => \led_flash_cnt[2905][4]~67557\);

-- Location: FF_X77_Y32_N11
\led_flash_cnt[2905][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2905][4]~67556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2905][4]~q\);

-- Location: LCCOMB_X77_Y32_N12
\led_flash_cnt[2905][5]~67558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2905][5]~67558_combout\ = (\led_flash_cnt[2905][5]~q\ & (\led_flash_cnt[2905][4]~67557\ $ (GND))) # (!\led_flash_cnt[2905][5]~q\ & (!\led_flash_cnt[2905][4]~67557\ & VCC))
-- \led_flash_cnt[2905][5]~67559\ = CARRY((\led_flash_cnt[2905][5]~q\ & !\led_flash_cnt[2905][4]~67557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2905][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2905][4]~67557\,
	combout => \led_flash_cnt[2905][5]~67558_combout\,
	cout => \led_flash_cnt[2905][5]~67559\);

-- Location: FF_X77_Y32_N13
\led_flash_cnt[2905][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2905][5]~67558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2905][5]~q\);

-- Location: LCCOMB_X77_Y32_N14
\led_flash_cnt[2905][6]~67560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2905][6]~67560_combout\ = (\led_flash_cnt[2905][6]~q\ & (!\led_flash_cnt[2905][5]~67559\)) # (!\led_flash_cnt[2905][6]~q\ & ((\led_flash_cnt[2905][5]~67559\) # (GND)))
-- \led_flash_cnt[2905][6]~67561\ = CARRY((!\led_flash_cnt[2905][5]~67559\) # (!\led_flash_cnt[2905][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2905][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2905][5]~67559\,
	combout => \led_flash_cnt[2905][6]~67560_combout\,
	cout => \led_flash_cnt[2905][6]~67561\);

-- Location: FF_X77_Y32_N15
\led_flash_cnt[2905][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2905][6]~67560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2905][6]~q\);

-- Location: LCCOMB_X77_Y32_N16
\led_flash_cnt[2905][7]~67562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2905][7]~67562_combout\ = \led_flash_cnt[2905][6]~67561\ $ (!\led_flash_cnt[2905][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2905][7]~q\,
	cin => \led_flash_cnt[2905][6]~67561\,
	combout => \led_flash_cnt[2905][7]~67562_combout\);

-- Location: FF_X77_Y32_N17
\led_flash_cnt[2905][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2905][7]~67562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2905][7]~q\);

-- Location: LCCOMB_X77_Y32_N22
\WideAnd2905~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2905~1_combout\ = (\led_flash_cnt[2905][6]~q\ & \led_flash_cnt[2905][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2905][6]~q\,
	datad => \led_flash_cnt[2905][5]~q\,
	combout => \WideAnd2905~1_combout\);

-- Location: LCCOMB_X77_Y32_N18
\WideAnd2905~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2905~0_combout\ = (\led_flash_cnt[2905][4]~q\ & (\led_flash_cnt[2905][1]~q\ & (\led_flash_cnt[2905][3]~q\ & \led_flash_cnt[2905][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2905][4]~q\,
	datab => \led_flash_cnt[2905][1]~q\,
	datac => \led_flash_cnt[2905][3]~q\,
	datad => \led_flash_cnt[2905][2]~q\,
	combout => \WideAnd2905~0_combout\);

-- Location: LCCOMB_X77_Y32_N26
WideAnd2905 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2905~combout\ = (\led_flash_cnt[2905][0]~q\ & (\led_flash_cnt[2905][7]~q\ & (\WideAnd2905~1_combout\ & \WideAnd2905~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2905][0]~q\,
	datab => \led_flash_cnt[2905][7]~q\,
	datac => \WideAnd2905~1_combout\,
	datad => \WideAnd2905~0_combout\,
	combout => \WideAnd2905~combout\);

-- Location: FF_X77_Y32_N27
\led_flash_cnt_ands[2905]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2905~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2905));

-- Location: LCCOMB_X77_Y25_N10
\led_flash_cnt[2907][0]~83547\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2907][0]~83547_combout\ = !\led_flash_cnt[2907][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2907][0]~q\,
	combout => \led_flash_cnt[2907][0]~83547_combout\);

-- Location: FF_X77_Y25_N11
\led_flash_cnt[2907][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2907][0]~83547_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2907][0]~q\);

-- Location: LCCOMB_X77_Y25_N16
\led_flash_cnt[2907][1]~67578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2907][1]~67578_combout\ = (\led_flash_cnt[2907][0]~q\ & (\led_flash_cnt[2907][1]~q\ $ (VCC))) # (!\led_flash_cnt[2907][0]~q\ & (\led_flash_cnt[2907][1]~q\ & VCC))
-- \led_flash_cnt[2907][1]~67579\ = CARRY((\led_flash_cnt[2907][0]~q\ & \led_flash_cnt[2907][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2907][0]~q\,
	datab => \led_flash_cnt[2907][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2907][1]~67578_combout\,
	cout => \led_flash_cnt[2907][1]~67579\);

-- Location: FF_X77_Y25_N17
\led_flash_cnt[2907][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2907][1]~67578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2907][1]~q\);

-- Location: LCCOMB_X77_Y25_N18
\led_flash_cnt[2907][2]~67580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2907][2]~67580_combout\ = (\led_flash_cnt[2907][2]~q\ & (!\led_flash_cnt[2907][1]~67579\)) # (!\led_flash_cnt[2907][2]~q\ & ((\led_flash_cnt[2907][1]~67579\) # (GND)))
-- \led_flash_cnt[2907][2]~67581\ = CARRY((!\led_flash_cnt[2907][1]~67579\) # (!\led_flash_cnt[2907][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2907][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2907][1]~67579\,
	combout => \led_flash_cnt[2907][2]~67580_combout\,
	cout => \led_flash_cnt[2907][2]~67581\);

-- Location: FF_X77_Y25_N19
\led_flash_cnt[2907][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2907][2]~67580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2907][2]~q\);

-- Location: LCCOMB_X77_Y25_N20
\led_flash_cnt[2907][3]~67582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2907][3]~67582_combout\ = (\led_flash_cnt[2907][3]~q\ & (\led_flash_cnt[2907][2]~67581\ $ (GND))) # (!\led_flash_cnt[2907][3]~q\ & (!\led_flash_cnt[2907][2]~67581\ & VCC))
-- \led_flash_cnt[2907][3]~67583\ = CARRY((\led_flash_cnt[2907][3]~q\ & !\led_flash_cnt[2907][2]~67581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2907][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2907][2]~67581\,
	combout => \led_flash_cnt[2907][3]~67582_combout\,
	cout => \led_flash_cnt[2907][3]~67583\);

-- Location: FF_X77_Y25_N21
\led_flash_cnt[2907][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2907][3]~67582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2907][3]~q\);

-- Location: LCCOMB_X77_Y25_N22
\led_flash_cnt[2907][4]~67584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2907][4]~67584_combout\ = (\led_flash_cnt[2907][4]~q\ & (!\led_flash_cnt[2907][3]~67583\)) # (!\led_flash_cnt[2907][4]~q\ & ((\led_flash_cnt[2907][3]~67583\) # (GND)))
-- \led_flash_cnt[2907][4]~67585\ = CARRY((!\led_flash_cnt[2907][3]~67583\) # (!\led_flash_cnt[2907][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2907][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2907][3]~67583\,
	combout => \led_flash_cnt[2907][4]~67584_combout\,
	cout => \led_flash_cnt[2907][4]~67585\);

-- Location: FF_X77_Y25_N23
\led_flash_cnt[2907][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2907][4]~67584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2907][4]~q\);

-- Location: LCCOMB_X77_Y25_N24
\led_flash_cnt[2907][5]~67586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2907][5]~67586_combout\ = (\led_flash_cnt[2907][5]~q\ & (\led_flash_cnt[2907][4]~67585\ $ (GND))) # (!\led_flash_cnt[2907][5]~q\ & (!\led_flash_cnt[2907][4]~67585\ & VCC))
-- \led_flash_cnt[2907][5]~67587\ = CARRY((\led_flash_cnt[2907][5]~q\ & !\led_flash_cnt[2907][4]~67585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2907][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2907][4]~67585\,
	combout => \led_flash_cnt[2907][5]~67586_combout\,
	cout => \led_flash_cnt[2907][5]~67587\);

-- Location: FF_X77_Y25_N25
\led_flash_cnt[2907][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2907][5]~67586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2907][5]~q\);

-- Location: LCCOMB_X77_Y25_N26
\led_flash_cnt[2907][6]~67588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2907][6]~67588_combout\ = (\led_flash_cnt[2907][6]~q\ & (!\led_flash_cnt[2907][5]~67587\)) # (!\led_flash_cnt[2907][6]~q\ & ((\led_flash_cnt[2907][5]~67587\) # (GND)))
-- \led_flash_cnt[2907][6]~67589\ = CARRY((!\led_flash_cnt[2907][5]~67587\) # (!\led_flash_cnt[2907][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2907][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2907][5]~67587\,
	combout => \led_flash_cnt[2907][6]~67588_combout\,
	cout => \led_flash_cnt[2907][6]~67589\);

-- Location: FF_X77_Y25_N27
\led_flash_cnt[2907][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2907][6]~67588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2907][6]~q\);

-- Location: LCCOMB_X77_Y25_N28
\led_flash_cnt[2907][7]~67590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2907][7]~67590_combout\ = \led_flash_cnt[2907][6]~67589\ $ (!\led_flash_cnt[2907][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2907][7]~q\,
	cin => \led_flash_cnt[2907][6]~67589\,
	combout => \led_flash_cnt[2907][7]~67590_combout\);

-- Location: FF_X77_Y25_N29
\led_flash_cnt[2907][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2907][7]~67590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2907][7]~q\);

-- Location: LCCOMB_X77_Y25_N4
\WideAnd2907~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2907~1_combout\ = (\led_flash_cnt[2907][6]~q\ & \led_flash_cnt[2907][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2907][6]~q\,
	datad => \led_flash_cnt[2907][5]~q\,
	combout => \WideAnd2907~1_combout\);

-- Location: LCCOMB_X77_Y25_N12
\WideAnd2907~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2907~0_combout\ = (\led_flash_cnt[2907][3]~q\ & (\led_flash_cnt[2907][2]~q\ & (\led_flash_cnt[2907][4]~q\ & \led_flash_cnt[2907][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2907][3]~q\,
	datab => \led_flash_cnt[2907][2]~q\,
	datac => \led_flash_cnt[2907][4]~q\,
	datad => \led_flash_cnt[2907][1]~q\,
	combout => \WideAnd2907~0_combout\);

-- Location: LCCOMB_X77_Y25_N2
WideAnd2907 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2907~combout\ = (\led_flash_cnt[2907][0]~q\ & (\led_flash_cnt[2907][7]~q\ & (\WideAnd2907~1_combout\ & \WideAnd2907~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2907][0]~q\,
	datab => \led_flash_cnt[2907][7]~q\,
	datac => \WideAnd2907~1_combout\,
	datad => \WideAnd2907~0_combout\,
	combout => \WideAnd2907~combout\);

-- Location: FF_X77_Y25_N3
\led_flash_cnt_ands[2907]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2907~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2907));

-- Location: LCCOMB_X77_Y32_N0
\led_flash_cnt[2906][0]~83546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2906][0]~83546_combout\ = !\led_flash_cnt[2906][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2906][0]~q\,
	combout => \led_flash_cnt[2906][0]~83546_combout\);

-- Location: FF_X77_Y32_N1
\led_flash_cnt[2906][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2906][0]~83546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2906][0]~q\);

-- Location: LCCOMB_X77_Y33_N2
\led_flash_cnt[2906][1]~67564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2906][1]~67564_combout\ = (\led_flash_cnt[2906][1]~q\ & (\led_flash_cnt[2906][0]~q\ $ (VCC))) # (!\led_flash_cnt[2906][1]~q\ & (\led_flash_cnt[2906][0]~q\ & VCC))
-- \led_flash_cnt[2906][1]~67565\ = CARRY((\led_flash_cnt[2906][1]~q\ & \led_flash_cnt[2906][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2906][1]~q\,
	datab => \led_flash_cnt[2906][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2906][1]~67564_combout\,
	cout => \led_flash_cnt[2906][1]~67565\);

-- Location: FF_X77_Y33_N3
\led_flash_cnt[2906][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2906][1]~67564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2906][1]~q\);

-- Location: LCCOMB_X77_Y33_N4
\led_flash_cnt[2906][2]~67566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2906][2]~67566_combout\ = (\led_flash_cnt[2906][2]~q\ & (!\led_flash_cnt[2906][1]~67565\)) # (!\led_flash_cnt[2906][2]~q\ & ((\led_flash_cnt[2906][1]~67565\) # (GND)))
-- \led_flash_cnt[2906][2]~67567\ = CARRY((!\led_flash_cnt[2906][1]~67565\) # (!\led_flash_cnt[2906][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2906][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2906][1]~67565\,
	combout => \led_flash_cnt[2906][2]~67566_combout\,
	cout => \led_flash_cnt[2906][2]~67567\);

-- Location: FF_X77_Y33_N5
\led_flash_cnt[2906][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2906][2]~67566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2906][2]~q\);

-- Location: LCCOMB_X77_Y33_N6
\led_flash_cnt[2906][3]~67568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2906][3]~67568_combout\ = (\led_flash_cnt[2906][3]~q\ & (\led_flash_cnt[2906][2]~67567\ $ (GND))) # (!\led_flash_cnt[2906][3]~q\ & (!\led_flash_cnt[2906][2]~67567\ & VCC))
-- \led_flash_cnt[2906][3]~67569\ = CARRY((\led_flash_cnt[2906][3]~q\ & !\led_flash_cnt[2906][2]~67567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2906][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2906][2]~67567\,
	combout => \led_flash_cnt[2906][3]~67568_combout\,
	cout => \led_flash_cnt[2906][3]~67569\);

-- Location: FF_X77_Y33_N7
\led_flash_cnt[2906][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2906][3]~67568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2906][3]~q\);

-- Location: LCCOMB_X77_Y33_N8
\led_flash_cnt[2906][4]~67570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2906][4]~67570_combout\ = (\led_flash_cnt[2906][4]~q\ & (!\led_flash_cnt[2906][3]~67569\)) # (!\led_flash_cnt[2906][4]~q\ & ((\led_flash_cnt[2906][3]~67569\) # (GND)))
-- \led_flash_cnt[2906][4]~67571\ = CARRY((!\led_flash_cnt[2906][3]~67569\) # (!\led_flash_cnt[2906][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2906][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2906][3]~67569\,
	combout => \led_flash_cnt[2906][4]~67570_combout\,
	cout => \led_flash_cnt[2906][4]~67571\);

-- Location: FF_X77_Y33_N9
\led_flash_cnt[2906][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2906][4]~67570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2906][4]~q\);

-- Location: LCCOMB_X77_Y33_N10
\led_flash_cnt[2906][5]~67572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2906][5]~67572_combout\ = (\led_flash_cnt[2906][5]~q\ & (\led_flash_cnt[2906][4]~67571\ $ (GND))) # (!\led_flash_cnt[2906][5]~q\ & (!\led_flash_cnt[2906][4]~67571\ & VCC))
-- \led_flash_cnt[2906][5]~67573\ = CARRY((\led_flash_cnt[2906][5]~q\ & !\led_flash_cnt[2906][4]~67571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2906][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2906][4]~67571\,
	combout => \led_flash_cnt[2906][5]~67572_combout\,
	cout => \led_flash_cnt[2906][5]~67573\);

-- Location: FF_X77_Y33_N11
\led_flash_cnt[2906][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2906][5]~67572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2906][5]~q\);

-- Location: LCCOMB_X77_Y33_N12
\led_flash_cnt[2906][6]~67574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2906][6]~67574_combout\ = (\led_flash_cnt[2906][6]~q\ & (!\led_flash_cnt[2906][5]~67573\)) # (!\led_flash_cnt[2906][6]~q\ & ((\led_flash_cnt[2906][5]~67573\) # (GND)))
-- \led_flash_cnt[2906][6]~67575\ = CARRY((!\led_flash_cnt[2906][5]~67573\) # (!\led_flash_cnt[2906][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2906][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2906][5]~67573\,
	combout => \led_flash_cnt[2906][6]~67574_combout\,
	cout => \led_flash_cnt[2906][6]~67575\);

-- Location: FF_X77_Y33_N13
\led_flash_cnt[2906][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2906][6]~67574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2906][6]~q\);

-- Location: LCCOMB_X76_Y33_N8
\WideAnd2906~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2906~1_combout\ = (\led_flash_cnt[2906][6]~q\ & \led_flash_cnt[2906][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2906][6]~q\,
	datac => \led_flash_cnt[2906][5]~q\,
	combout => \WideAnd2906~1_combout\);

-- Location: LCCOMB_X77_Y33_N14
\led_flash_cnt[2906][7]~67576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2906][7]~67576_combout\ = \led_flash_cnt[2906][7]~q\ $ (!\led_flash_cnt[2906][6]~67575\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2906][7]~q\,
	cin => \led_flash_cnt[2906][6]~67575\,
	combout => \led_flash_cnt[2906][7]~67576_combout\);

-- Location: FF_X77_Y33_N15
\led_flash_cnt[2906][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2906][7]~67576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2906][7]~q\);

-- Location: LCCOMB_X77_Y33_N0
\WideAnd2906~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2906~0_combout\ = (\led_flash_cnt[2906][1]~q\ & (\led_flash_cnt[2906][4]~q\ & (\led_flash_cnt[2906][2]~q\ & \led_flash_cnt[2906][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2906][1]~q\,
	datab => \led_flash_cnt[2906][4]~q\,
	datac => \led_flash_cnt[2906][2]~q\,
	datad => \led_flash_cnt[2906][3]~q\,
	combout => \WideAnd2906~0_combout\);

-- Location: LCCOMB_X77_Y33_N30
WideAnd2906 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2906~combout\ = (\WideAnd2906~1_combout\ & (\led_flash_cnt[2906][0]~q\ & (\led_flash_cnt[2906][7]~q\ & \WideAnd2906~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2906~1_combout\,
	datab => \led_flash_cnt[2906][0]~q\,
	datac => \led_flash_cnt[2906][7]~q\,
	datad => \WideAnd2906~0_combout\,
	combout => \WideAnd2906~combout\);

-- Location: FF_X77_Y33_N31
\led_flash_cnt_ands[2906]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2906~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2906));

-- Location: LCCOMB_X77_Y35_N4
\led_flash_cnt[2904][0]~83544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2904][0]~83544_combout\ = !\led_flash_cnt[2904][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2904][0]~q\,
	combout => \led_flash_cnt[2904][0]~83544_combout\);

-- Location: FF_X77_Y35_N5
\led_flash_cnt[2904][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2904][0]~83544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2904][0]~q\);

-- Location: LCCOMB_X77_Y35_N10
\led_flash_cnt[2904][1]~67536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2904][1]~67536_combout\ = (\led_flash_cnt[2904][1]~q\ & (\led_flash_cnt[2904][0]~q\ $ (VCC))) # (!\led_flash_cnt[2904][1]~q\ & (\led_flash_cnt[2904][0]~q\ & VCC))
-- \led_flash_cnt[2904][1]~67537\ = CARRY((\led_flash_cnt[2904][1]~q\ & \led_flash_cnt[2904][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2904][1]~q\,
	datab => \led_flash_cnt[2904][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2904][1]~67536_combout\,
	cout => \led_flash_cnt[2904][1]~67537\);

-- Location: FF_X77_Y35_N11
\led_flash_cnt[2904][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2904][1]~67536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2904][1]~q\);

-- Location: LCCOMB_X77_Y35_N12
\led_flash_cnt[2904][2]~67538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2904][2]~67538_combout\ = (\led_flash_cnt[2904][2]~q\ & (!\led_flash_cnt[2904][1]~67537\)) # (!\led_flash_cnt[2904][2]~q\ & ((\led_flash_cnt[2904][1]~67537\) # (GND)))
-- \led_flash_cnt[2904][2]~67539\ = CARRY((!\led_flash_cnt[2904][1]~67537\) # (!\led_flash_cnt[2904][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2904][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2904][1]~67537\,
	combout => \led_flash_cnt[2904][2]~67538_combout\,
	cout => \led_flash_cnt[2904][2]~67539\);

-- Location: FF_X77_Y35_N13
\led_flash_cnt[2904][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2904][2]~67538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2904][2]~q\);

-- Location: LCCOMB_X77_Y35_N14
\led_flash_cnt[2904][3]~67540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2904][3]~67540_combout\ = (\led_flash_cnt[2904][3]~q\ & (\led_flash_cnt[2904][2]~67539\ $ (GND))) # (!\led_flash_cnt[2904][3]~q\ & (!\led_flash_cnt[2904][2]~67539\ & VCC))
-- \led_flash_cnt[2904][3]~67541\ = CARRY((\led_flash_cnt[2904][3]~q\ & !\led_flash_cnt[2904][2]~67539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2904][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2904][2]~67539\,
	combout => \led_flash_cnt[2904][3]~67540_combout\,
	cout => \led_flash_cnt[2904][3]~67541\);

-- Location: FF_X77_Y35_N15
\led_flash_cnt[2904][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2904][3]~67540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2904][3]~q\);

-- Location: LCCOMB_X77_Y35_N16
\led_flash_cnt[2904][4]~67542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2904][4]~67542_combout\ = (\led_flash_cnt[2904][4]~q\ & (!\led_flash_cnt[2904][3]~67541\)) # (!\led_flash_cnt[2904][4]~q\ & ((\led_flash_cnt[2904][3]~67541\) # (GND)))
-- \led_flash_cnt[2904][4]~67543\ = CARRY((!\led_flash_cnt[2904][3]~67541\) # (!\led_flash_cnt[2904][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2904][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2904][3]~67541\,
	combout => \led_flash_cnt[2904][4]~67542_combout\,
	cout => \led_flash_cnt[2904][4]~67543\);

-- Location: FF_X77_Y35_N17
\led_flash_cnt[2904][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2904][4]~67542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2904][4]~q\);

-- Location: LCCOMB_X77_Y35_N18
\led_flash_cnt[2904][5]~67544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2904][5]~67544_combout\ = (\led_flash_cnt[2904][5]~q\ & (\led_flash_cnt[2904][4]~67543\ $ (GND))) # (!\led_flash_cnt[2904][5]~q\ & (!\led_flash_cnt[2904][4]~67543\ & VCC))
-- \led_flash_cnt[2904][5]~67545\ = CARRY((\led_flash_cnt[2904][5]~q\ & !\led_flash_cnt[2904][4]~67543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2904][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2904][4]~67543\,
	combout => \led_flash_cnt[2904][5]~67544_combout\,
	cout => \led_flash_cnt[2904][5]~67545\);

-- Location: FF_X77_Y35_N19
\led_flash_cnt[2904][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2904][5]~67544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2904][5]~q\);

-- Location: LCCOMB_X77_Y35_N20
\led_flash_cnt[2904][6]~67546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2904][6]~67546_combout\ = (\led_flash_cnt[2904][6]~q\ & (!\led_flash_cnt[2904][5]~67545\)) # (!\led_flash_cnt[2904][6]~q\ & ((\led_flash_cnt[2904][5]~67545\) # (GND)))
-- \led_flash_cnt[2904][6]~67547\ = CARRY((!\led_flash_cnt[2904][5]~67545\) # (!\led_flash_cnt[2904][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2904][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2904][5]~67545\,
	combout => \led_flash_cnt[2904][6]~67546_combout\,
	cout => \led_flash_cnt[2904][6]~67547\);

-- Location: FF_X77_Y35_N21
\led_flash_cnt[2904][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2904][6]~67546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2904][6]~q\);

-- Location: LCCOMB_X77_Y35_N26
\WideAnd2904~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2904~1_combout\ = (\led_flash_cnt[2904][6]~q\ & \led_flash_cnt[2904][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2904][6]~q\,
	datad => \led_flash_cnt[2904][5]~q\,
	combout => \WideAnd2904~1_combout\);

-- Location: LCCOMB_X77_Y35_N22
\led_flash_cnt[2904][7]~67548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2904][7]~67548_combout\ = \led_flash_cnt[2904][7]~q\ $ (!\led_flash_cnt[2904][6]~67547\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2904][7]~q\,
	cin => \led_flash_cnt[2904][6]~67547\,
	combout => \led_flash_cnt[2904][7]~67548_combout\);

-- Location: FF_X77_Y35_N23
\led_flash_cnt[2904][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2904][7]~67548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2904][7]~q\);

-- Location: LCCOMB_X77_Y35_N24
\WideAnd2904~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2904~0_combout\ = (\led_flash_cnt[2904][2]~q\ & (\led_flash_cnt[2904][4]~q\ & (\led_flash_cnt[2904][3]~q\ & \led_flash_cnt[2904][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2904][2]~q\,
	datab => \led_flash_cnt[2904][4]~q\,
	datac => \led_flash_cnt[2904][3]~q\,
	datad => \led_flash_cnt[2904][1]~q\,
	combout => \WideAnd2904~0_combout\);

-- Location: LCCOMB_X77_Y35_N8
WideAnd2904 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2904~combout\ = (\WideAnd2904~1_combout\ & (\led_flash_cnt[2904][0]~q\ & (\led_flash_cnt[2904][7]~q\ & \WideAnd2904~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2904~1_combout\,
	datab => \led_flash_cnt[2904][0]~q\,
	datac => \led_flash_cnt[2904][7]~q\,
	datad => \WideAnd2904~0_combout\,
	combout => \WideAnd2904~combout\);

-- Location: FF_X77_Y35_N9
\led_flash_cnt_ands[2904]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2904~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2904));

-- Location: LCCOMB_X77_Y32_N28
\WideAnd4203~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4203~0_combout\ = (led_flash_cnt_ands(2905) & (led_flash_cnt_ands(2907) & (led_flash_cnt_ands(2906) & led_flash_cnt_ands(2904))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2905),
	datab => led_flash_cnt_ands(2907),
	datac => led_flash_cnt_ands(2906),
	datad => led_flash_cnt_ands(2904),
	combout => \WideAnd4203~0_combout\);

-- Location: LCCOMB_X58_Y16_N12
\led_flash_cnt[2911][0]~83551\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2911][0]~83551_combout\ = !\led_flash_cnt[2911][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2911][0]~q\,
	combout => \led_flash_cnt[2911][0]~83551_combout\);

-- Location: FF_X58_Y16_N13
\led_flash_cnt[2911][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2911][0]~83551_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2911][0]~q\);

-- Location: LCCOMB_X58_Y16_N18
\led_flash_cnt[2911][1]~67634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2911][1]~67634_combout\ = (\led_flash_cnt[2911][0]~q\ & (\led_flash_cnt[2911][1]~q\ $ (VCC))) # (!\led_flash_cnt[2911][0]~q\ & (\led_flash_cnt[2911][1]~q\ & VCC))
-- \led_flash_cnt[2911][1]~67635\ = CARRY((\led_flash_cnt[2911][0]~q\ & \led_flash_cnt[2911][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2911][0]~q\,
	datab => \led_flash_cnt[2911][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2911][1]~67634_combout\,
	cout => \led_flash_cnt[2911][1]~67635\);

-- Location: FF_X58_Y16_N19
\led_flash_cnt[2911][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2911][1]~67634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2911][1]~q\);

-- Location: LCCOMB_X58_Y16_N20
\led_flash_cnt[2911][2]~67636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2911][2]~67636_combout\ = (\led_flash_cnt[2911][2]~q\ & (!\led_flash_cnt[2911][1]~67635\)) # (!\led_flash_cnt[2911][2]~q\ & ((\led_flash_cnt[2911][1]~67635\) # (GND)))
-- \led_flash_cnt[2911][2]~67637\ = CARRY((!\led_flash_cnt[2911][1]~67635\) # (!\led_flash_cnt[2911][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2911][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2911][1]~67635\,
	combout => \led_flash_cnt[2911][2]~67636_combout\,
	cout => \led_flash_cnt[2911][2]~67637\);

-- Location: FF_X58_Y16_N21
\led_flash_cnt[2911][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2911][2]~67636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2911][2]~q\);

-- Location: LCCOMB_X58_Y16_N22
\led_flash_cnt[2911][3]~67638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2911][3]~67638_combout\ = (\led_flash_cnt[2911][3]~q\ & (\led_flash_cnt[2911][2]~67637\ $ (GND))) # (!\led_flash_cnt[2911][3]~q\ & (!\led_flash_cnt[2911][2]~67637\ & VCC))
-- \led_flash_cnt[2911][3]~67639\ = CARRY((\led_flash_cnt[2911][3]~q\ & !\led_flash_cnt[2911][2]~67637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2911][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2911][2]~67637\,
	combout => \led_flash_cnt[2911][3]~67638_combout\,
	cout => \led_flash_cnt[2911][3]~67639\);

-- Location: FF_X58_Y16_N23
\led_flash_cnt[2911][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2911][3]~67638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2911][3]~q\);

-- Location: LCCOMB_X58_Y16_N24
\led_flash_cnt[2911][4]~67640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2911][4]~67640_combout\ = (\led_flash_cnt[2911][4]~q\ & (!\led_flash_cnt[2911][3]~67639\)) # (!\led_flash_cnt[2911][4]~q\ & ((\led_flash_cnt[2911][3]~67639\) # (GND)))
-- \led_flash_cnt[2911][4]~67641\ = CARRY((!\led_flash_cnt[2911][3]~67639\) # (!\led_flash_cnt[2911][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2911][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2911][3]~67639\,
	combout => \led_flash_cnt[2911][4]~67640_combout\,
	cout => \led_flash_cnt[2911][4]~67641\);

-- Location: FF_X58_Y16_N25
\led_flash_cnt[2911][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2911][4]~67640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2911][4]~q\);

-- Location: LCCOMB_X58_Y16_N26
\led_flash_cnt[2911][5]~67642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2911][5]~67642_combout\ = (\led_flash_cnt[2911][5]~q\ & (\led_flash_cnt[2911][4]~67641\ $ (GND))) # (!\led_flash_cnt[2911][5]~q\ & (!\led_flash_cnt[2911][4]~67641\ & VCC))
-- \led_flash_cnt[2911][5]~67643\ = CARRY((\led_flash_cnt[2911][5]~q\ & !\led_flash_cnt[2911][4]~67641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2911][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2911][4]~67641\,
	combout => \led_flash_cnt[2911][5]~67642_combout\,
	cout => \led_flash_cnt[2911][5]~67643\);

-- Location: FF_X58_Y16_N27
\led_flash_cnt[2911][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2911][5]~67642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2911][5]~q\);

-- Location: LCCOMB_X58_Y16_N28
\led_flash_cnt[2911][6]~67644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2911][6]~67644_combout\ = (\led_flash_cnt[2911][6]~q\ & (!\led_flash_cnt[2911][5]~67643\)) # (!\led_flash_cnt[2911][6]~q\ & ((\led_flash_cnt[2911][5]~67643\) # (GND)))
-- \led_flash_cnt[2911][6]~67645\ = CARRY((!\led_flash_cnt[2911][5]~67643\) # (!\led_flash_cnt[2911][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2911][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2911][5]~67643\,
	combout => \led_flash_cnt[2911][6]~67644_combout\,
	cout => \led_flash_cnt[2911][6]~67645\);

-- Location: FF_X58_Y16_N29
\led_flash_cnt[2911][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2911][6]~67644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2911][6]~q\);

-- Location: LCCOMB_X58_Y16_N10
\WideAnd2911~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2911~1_combout\ = (\led_flash_cnt[2911][5]~q\ & \led_flash_cnt[2911][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2911][5]~q\,
	datad => \led_flash_cnt[2911][6]~q\,
	combout => \WideAnd2911~1_combout\);

-- Location: LCCOMB_X58_Y16_N16
\WideAnd2911~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2911~0_combout\ = (\led_flash_cnt[2911][4]~q\ & (\led_flash_cnt[2911][2]~q\ & (\led_flash_cnt[2911][3]~q\ & \led_flash_cnt[2911][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2911][4]~q\,
	datab => \led_flash_cnt[2911][2]~q\,
	datac => \led_flash_cnt[2911][3]~q\,
	datad => \led_flash_cnt[2911][1]~q\,
	combout => \WideAnd2911~0_combout\);

-- Location: LCCOMB_X58_Y16_N30
\led_flash_cnt[2911][7]~67646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2911][7]~67646_combout\ = \led_flash_cnt[2911][7]~q\ $ (!\led_flash_cnt[2911][6]~67645\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2911][7]~q\,
	cin => \led_flash_cnt[2911][6]~67645\,
	combout => \led_flash_cnt[2911][7]~67646_combout\);

-- Location: FF_X58_Y16_N31
\led_flash_cnt[2911][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2911][7]~67646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2911][7]~q\);

-- Location: LCCOMB_X58_Y16_N0
WideAnd2911 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2911~combout\ = (\WideAnd2911~1_combout\ & (\WideAnd2911~0_combout\ & (\led_flash_cnt[2911][7]~q\ & \led_flash_cnt[2911][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2911~1_combout\,
	datab => \WideAnd2911~0_combout\,
	datac => \led_flash_cnt[2911][7]~q\,
	datad => \led_flash_cnt[2911][0]~q\,
	combout => \WideAnd2911~combout\);

-- Location: FF_X58_Y16_N1
\led_flash_cnt_ands[2911]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2911~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2911));

-- Location: LCCOMB_X58_Y16_N14
WideAnd4203 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4203~combout\ = (led_flash_cnt_ands(2910) & (\WideAnd4203~1_combout\ & (\WideAnd4203~0_combout\ & led_flash_cnt_ands(2911))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2910),
	datab => \WideAnd4203~1_combout\,
	datac => \WideAnd4203~0_combout\,
	datad => led_flash_cnt_ands(2911),
	combout => \WideAnd4203~combout\);

-- Location: FF_X58_Y16_N15
\led_flash_cnt_ands_1[363]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4203~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(363));

-- Location: LCCOMB_X54_Y5_N24
\led_flash_cnt[2894][0]~83534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2894][0]~83534_combout\ = !\led_flash_cnt[2894][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2894][0]~q\,
	combout => \led_flash_cnt[2894][0]~83534_combout\);

-- Location: FF_X54_Y5_N25
\led_flash_cnt[2894][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2894][0]~83534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2894][0]~q\);

-- Location: LCCOMB_X54_Y5_N0
\led_flash_cnt[2894][1]~67396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2894][1]~67396_combout\ = (\led_flash_cnt[2894][1]~q\ & (\led_flash_cnt[2894][0]~q\ $ (VCC))) # (!\led_flash_cnt[2894][1]~q\ & (\led_flash_cnt[2894][0]~q\ & VCC))
-- \led_flash_cnt[2894][1]~67397\ = CARRY((\led_flash_cnt[2894][1]~q\ & \led_flash_cnt[2894][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2894][1]~q\,
	datab => \led_flash_cnt[2894][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2894][1]~67396_combout\,
	cout => \led_flash_cnt[2894][1]~67397\);

-- Location: FF_X54_Y5_N1
\led_flash_cnt[2894][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2894][1]~67396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2894][1]~q\);

-- Location: LCCOMB_X54_Y5_N2
\led_flash_cnt[2894][2]~67398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2894][2]~67398_combout\ = (\led_flash_cnt[2894][2]~q\ & (!\led_flash_cnt[2894][1]~67397\)) # (!\led_flash_cnt[2894][2]~q\ & ((\led_flash_cnt[2894][1]~67397\) # (GND)))
-- \led_flash_cnt[2894][2]~67399\ = CARRY((!\led_flash_cnt[2894][1]~67397\) # (!\led_flash_cnt[2894][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2894][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2894][1]~67397\,
	combout => \led_flash_cnt[2894][2]~67398_combout\,
	cout => \led_flash_cnt[2894][2]~67399\);

-- Location: FF_X54_Y5_N3
\led_flash_cnt[2894][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2894][2]~67398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2894][2]~q\);

-- Location: LCCOMB_X54_Y5_N4
\led_flash_cnt[2894][3]~67400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2894][3]~67400_combout\ = (\led_flash_cnt[2894][3]~q\ & (\led_flash_cnt[2894][2]~67399\ $ (GND))) # (!\led_flash_cnt[2894][3]~q\ & (!\led_flash_cnt[2894][2]~67399\ & VCC))
-- \led_flash_cnt[2894][3]~67401\ = CARRY((\led_flash_cnt[2894][3]~q\ & !\led_flash_cnt[2894][2]~67399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2894][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2894][2]~67399\,
	combout => \led_flash_cnt[2894][3]~67400_combout\,
	cout => \led_flash_cnt[2894][3]~67401\);

-- Location: FF_X54_Y5_N5
\led_flash_cnt[2894][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2894][3]~67400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2894][3]~q\);

-- Location: LCCOMB_X54_Y5_N6
\led_flash_cnt[2894][4]~67402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2894][4]~67402_combout\ = (\led_flash_cnt[2894][4]~q\ & (!\led_flash_cnt[2894][3]~67401\)) # (!\led_flash_cnt[2894][4]~q\ & ((\led_flash_cnt[2894][3]~67401\) # (GND)))
-- \led_flash_cnt[2894][4]~67403\ = CARRY((!\led_flash_cnt[2894][3]~67401\) # (!\led_flash_cnt[2894][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2894][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2894][3]~67401\,
	combout => \led_flash_cnt[2894][4]~67402_combout\,
	cout => \led_flash_cnt[2894][4]~67403\);

-- Location: FF_X54_Y5_N7
\led_flash_cnt[2894][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2894][4]~67402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2894][4]~q\);

-- Location: LCCOMB_X54_Y5_N8
\led_flash_cnt[2894][5]~67404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2894][5]~67404_combout\ = (\led_flash_cnt[2894][5]~q\ & (\led_flash_cnt[2894][4]~67403\ $ (GND))) # (!\led_flash_cnt[2894][5]~q\ & (!\led_flash_cnt[2894][4]~67403\ & VCC))
-- \led_flash_cnt[2894][5]~67405\ = CARRY((\led_flash_cnt[2894][5]~q\ & !\led_flash_cnt[2894][4]~67403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2894][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2894][4]~67403\,
	combout => \led_flash_cnt[2894][5]~67404_combout\,
	cout => \led_flash_cnt[2894][5]~67405\);

-- Location: FF_X54_Y5_N9
\led_flash_cnt[2894][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2894][5]~67404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2894][5]~q\);

-- Location: LCCOMB_X54_Y5_N10
\led_flash_cnt[2894][6]~67406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2894][6]~67406_combout\ = (\led_flash_cnt[2894][6]~q\ & (!\led_flash_cnt[2894][5]~67405\)) # (!\led_flash_cnt[2894][6]~q\ & ((\led_flash_cnt[2894][5]~67405\) # (GND)))
-- \led_flash_cnt[2894][6]~67407\ = CARRY((!\led_flash_cnt[2894][5]~67405\) # (!\led_flash_cnt[2894][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2894][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2894][5]~67405\,
	combout => \led_flash_cnt[2894][6]~67406_combout\,
	cout => \led_flash_cnt[2894][6]~67407\);

-- Location: FF_X54_Y5_N11
\led_flash_cnt[2894][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2894][6]~67406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2894][6]~q\);

-- Location: LCCOMB_X54_Y5_N12
\led_flash_cnt[2894][7]~67408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2894][7]~67408_combout\ = \led_flash_cnt[2894][6]~67407\ $ (!\led_flash_cnt[2894][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2894][7]~q\,
	cin => \led_flash_cnt[2894][6]~67407\,
	combout => \led_flash_cnt[2894][7]~67408_combout\);

-- Location: FF_X54_Y5_N13
\led_flash_cnt[2894][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2894][7]~67408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2894][7]~q\);

-- Location: LCCOMB_X54_Y5_N26
\WideAnd2894~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2894~0_combout\ = (\led_flash_cnt[2894][4]~q\ & (\led_flash_cnt[2894][1]~q\ & (\led_flash_cnt[2894][3]~q\ & \led_flash_cnt[2894][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2894][4]~q\,
	datab => \led_flash_cnt[2894][1]~q\,
	datac => \led_flash_cnt[2894][3]~q\,
	datad => \led_flash_cnt[2894][2]~q\,
	combout => \WideAnd2894~0_combout\);

-- Location: LCCOMB_X54_Y5_N18
\WideAnd2894~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2894~1_combout\ = (\led_flash_cnt[2894][5]~q\ & \led_flash_cnt[2894][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2894][5]~q\,
	datad => \led_flash_cnt[2894][6]~q\,
	combout => \WideAnd2894~1_combout\);

-- Location: LCCOMB_X54_Y5_N14
WideAnd2894 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2894~combout\ = (\led_flash_cnt[2894][7]~q\ & (\led_flash_cnt[2894][0]~q\ & (\WideAnd2894~0_combout\ & \WideAnd2894~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2894][7]~q\,
	datab => \led_flash_cnt[2894][0]~q\,
	datac => \WideAnd2894~0_combout\,
	datad => \WideAnd2894~1_combout\,
	combout => \WideAnd2894~combout\);

-- Location: FF_X54_Y5_N15
\led_flash_cnt_ands[2894]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2894~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2894));

-- Location: LCCOMB_X55_Y8_N10
\led_flash_cnt[2895][0]~83535\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2895][0]~83535_combout\ = !\led_flash_cnt[2895][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2895][0]~q\,
	combout => \led_flash_cnt[2895][0]~83535_combout\);

-- Location: FF_X55_Y8_N11
\led_flash_cnt[2895][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2895][0]~83535_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2895][0]~q\);

-- Location: LCCOMB_X55_Y8_N16
\led_flash_cnt[2895][1]~67410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2895][1]~67410_combout\ = (\led_flash_cnt[2895][0]~q\ & (\led_flash_cnt[2895][1]~q\ $ (VCC))) # (!\led_flash_cnt[2895][0]~q\ & (\led_flash_cnt[2895][1]~q\ & VCC))
-- \led_flash_cnt[2895][1]~67411\ = CARRY((\led_flash_cnt[2895][0]~q\ & \led_flash_cnt[2895][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2895][0]~q\,
	datab => \led_flash_cnt[2895][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2895][1]~67410_combout\,
	cout => \led_flash_cnt[2895][1]~67411\);

-- Location: FF_X55_Y8_N17
\led_flash_cnt[2895][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2895][1]~67410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2895][1]~q\);

-- Location: LCCOMB_X55_Y8_N18
\led_flash_cnt[2895][2]~67412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2895][2]~67412_combout\ = (\led_flash_cnt[2895][2]~q\ & (!\led_flash_cnt[2895][1]~67411\)) # (!\led_flash_cnt[2895][2]~q\ & ((\led_flash_cnt[2895][1]~67411\) # (GND)))
-- \led_flash_cnt[2895][2]~67413\ = CARRY((!\led_flash_cnt[2895][1]~67411\) # (!\led_flash_cnt[2895][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2895][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2895][1]~67411\,
	combout => \led_flash_cnt[2895][2]~67412_combout\,
	cout => \led_flash_cnt[2895][2]~67413\);

-- Location: FF_X55_Y8_N19
\led_flash_cnt[2895][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2895][2]~67412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2895][2]~q\);

-- Location: LCCOMB_X55_Y8_N20
\led_flash_cnt[2895][3]~67414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2895][3]~67414_combout\ = (\led_flash_cnt[2895][3]~q\ & (\led_flash_cnt[2895][2]~67413\ $ (GND))) # (!\led_flash_cnt[2895][3]~q\ & (!\led_flash_cnt[2895][2]~67413\ & VCC))
-- \led_flash_cnt[2895][3]~67415\ = CARRY((\led_flash_cnt[2895][3]~q\ & !\led_flash_cnt[2895][2]~67413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2895][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2895][2]~67413\,
	combout => \led_flash_cnt[2895][3]~67414_combout\,
	cout => \led_flash_cnt[2895][3]~67415\);

-- Location: FF_X55_Y8_N21
\led_flash_cnt[2895][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2895][3]~67414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2895][3]~q\);

-- Location: LCCOMB_X55_Y8_N22
\led_flash_cnt[2895][4]~67416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2895][4]~67416_combout\ = (\led_flash_cnt[2895][4]~q\ & (!\led_flash_cnt[2895][3]~67415\)) # (!\led_flash_cnt[2895][4]~q\ & ((\led_flash_cnt[2895][3]~67415\) # (GND)))
-- \led_flash_cnt[2895][4]~67417\ = CARRY((!\led_flash_cnt[2895][3]~67415\) # (!\led_flash_cnt[2895][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2895][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2895][3]~67415\,
	combout => \led_flash_cnt[2895][4]~67416_combout\,
	cout => \led_flash_cnt[2895][4]~67417\);

-- Location: FF_X55_Y8_N23
\led_flash_cnt[2895][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2895][4]~67416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2895][4]~q\);

-- Location: LCCOMB_X55_Y8_N24
\led_flash_cnt[2895][5]~67418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2895][5]~67418_combout\ = (\led_flash_cnt[2895][5]~q\ & (\led_flash_cnt[2895][4]~67417\ $ (GND))) # (!\led_flash_cnt[2895][5]~q\ & (!\led_flash_cnt[2895][4]~67417\ & VCC))
-- \led_flash_cnt[2895][5]~67419\ = CARRY((\led_flash_cnt[2895][5]~q\ & !\led_flash_cnt[2895][4]~67417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2895][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2895][4]~67417\,
	combout => \led_flash_cnt[2895][5]~67418_combout\,
	cout => \led_flash_cnt[2895][5]~67419\);

-- Location: FF_X55_Y8_N25
\led_flash_cnt[2895][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2895][5]~67418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2895][5]~q\);

-- Location: LCCOMB_X55_Y8_N26
\led_flash_cnt[2895][6]~67420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2895][6]~67420_combout\ = (\led_flash_cnt[2895][6]~q\ & (!\led_flash_cnt[2895][5]~67419\)) # (!\led_flash_cnt[2895][6]~q\ & ((\led_flash_cnt[2895][5]~67419\) # (GND)))
-- \led_flash_cnt[2895][6]~67421\ = CARRY((!\led_flash_cnt[2895][5]~67419\) # (!\led_flash_cnt[2895][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2895][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2895][5]~67419\,
	combout => \led_flash_cnt[2895][6]~67420_combout\,
	cout => \led_flash_cnt[2895][6]~67421\);

-- Location: FF_X55_Y8_N27
\led_flash_cnt[2895][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2895][6]~67420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2895][6]~q\);

-- Location: LCCOMB_X55_Y8_N28
\led_flash_cnt[2895][7]~67422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2895][7]~67422_combout\ = \led_flash_cnt[2895][6]~67421\ $ (!\led_flash_cnt[2895][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2895][7]~q\,
	cin => \led_flash_cnt[2895][6]~67421\,
	combout => \led_flash_cnt[2895][7]~67422_combout\);

-- Location: FF_X55_Y8_N29
\led_flash_cnt[2895][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2895][7]~67422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2895][7]~q\);

-- Location: LCCOMB_X55_Y8_N4
\WideAnd2895~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2895~1_combout\ = (\led_flash_cnt[2895][6]~q\ & \led_flash_cnt[2895][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2895][6]~q\,
	datad => \led_flash_cnt[2895][5]~q\,
	combout => \WideAnd2895~1_combout\);

-- Location: LCCOMB_X55_Y8_N12
\WideAnd2895~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2895~0_combout\ = (\led_flash_cnt[2895][1]~q\ & (\led_flash_cnt[2895][3]~q\ & (\led_flash_cnt[2895][4]~q\ & \led_flash_cnt[2895][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2895][1]~q\,
	datab => \led_flash_cnt[2895][3]~q\,
	datac => \led_flash_cnt[2895][4]~q\,
	datad => \led_flash_cnt[2895][2]~q\,
	combout => \WideAnd2895~0_combout\);

-- Location: LCCOMB_X55_Y8_N8
WideAnd2895 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2895~combout\ = (\led_flash_cnt[2895][0]~q\ & (\led_flash_cnt[2895][7]~q\ & (\WideAnd2895~1_combout\ & \WideAnd2895~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2895][0]~q\,
	datab => \led_flash_cnt[2895][7]~q\,
	datac => \WideAnd2895~1_combout\,
	datad => \WideAnd2895~0_combout\,
	combout => \WideAnd2895~combout\);

-- Location: FF_X55_Y8_N9
\led_flash_cnt_ands[2895]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2895~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2895));

-- Location: LCCOMB_X47_Y2_N18
\led_flash_cnt[2888][0]~83528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2888][0]~83528_combout\ = !\led_flash_cnt[2888][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2888][0]~q\,
	combout => \led_flash_cnt[2888][0]~83528_combout\);

-- Location: FF_X47_Y2_N19
\led_flash_cnt[2888][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2888][0]~83528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2888][0]~q\);

-- Location: LCCOMB_X47_Y2_N0
\led_flash_cnt[2888][1]~67312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2888][1]~67312_combout\ = (\led_flash_cnt[2888][1]~q\ & (\led_flash_cnt[2888][0]~q\ $ (VCC))) # (!\led_flash_cnt[2888][1]~q\ & (\led_flash_cnt[2888][0]~q\ & VCC))
-- \led_flash_cnt[2888][1]~67313\ = CARRY((\led_flash_cnt[2888][1]~q\ & \led_flash_cnt[2888][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2888][1]~q\,
	datab => \led_flash_cnt[2888][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2888][1]~67312_combout\,
	cout => \led_flash_cnt[2888][1]~67313\);

-- Location: FF_X47_Y2_N1
\led_flash_cnt[2888][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2888][1]~67312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2888][1]~q\);

-- Location: LCCOMB_X47_Y2_N2
\led_flash_cnt[2888][2]~67314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2888][2]~67314_combout\ = (\led_flash_cnt[2888][2]~q\ & (!\led_flash_cnt[2888][1]~67313\)) # (!\led_flash_cnt[2888][2]~q\ & ((\led_flash_cnt[2888][1]~67313\) # (GND)))
-- \led_flash_cnt[2888][2]~67315\ = CARRY((!\led_flash_cnt[2888][1]~67313\) # (!\led_flash_cnt[2888][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2888][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2888][1]~67313\,
	combout => \led_flash_cnt[2888][2]~67314_combout\,
	cout => \led_flash_cnt[2888][2]~67315\);

-- Location: FF_X47_Y2_N3
\led_flash_cnt[2888][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2888][2]~67314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2888][2]~q\);

-- Location: LCCOMB_X47_Y2_N4
\led_flash_cnt[2888][3]~67316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2888][3]~67316_combout\ = (\led_flash_cnt[2888][3]~q\ & (\led_flash_cnt[2888][2]~67315\ $ (GND))) # (!\led_flash_cnt[2888][3]~q\ & (!\led_flash_cnt[2888][2]~67315\ & VCC))
-- \led_flash_cnt[2888][3]~67317\ = CARRY((\led_flash_cnt[2888][3]~q\ & !\led_flash_cnt[2888][2]~67315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2888][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2888][2]~67315\,
	combout => \led_flash_cnt[2888][3]~67316_combout\,
	cout => \led_flash_cnt[2888][3]~67317\);

-- Location: FF_X47_Y2_N5
\led_flash_cnt[2888][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2888][3]~67316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2888][3]~q\);

-- Location: LCCOMB_X47_Y2_N6
\led_flash_cnt[2888][4]~67318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2888][4]~67318_combout\ = (\led_flash_cnt[2888][4]~q\ & (!\led_flash_cnt[2888][3]~67317\)) # (!\led_flash_cnt[2888][4]~q\ & ((\led_flash_cnt[2888][3]~67317\) # (GND)))
-- \led_flash_cnt[2888][4]~67319\ = CARRY((!\led_flash_cnt[2888][3]~67317\) # (!\led_flash_cnt[2888][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2888][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2888][3]~67317\,
	combout => \led_flash_cnt[2888][4]~67318_combout\,
	cout => \led_flash_cnt[2888][4]~67319\);

-- Location: FF_X47_Y2_N7
\led_flash_cnt[2888][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2888][4]~67318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2888][4]~q\);

-- Location: LCCOMB_X47_Y2_N8
\led_flash_cnt[2888][5]~67320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2888][5]~67320_combout\ = (\led_flash_cnt[2888][5]~q\ & (\led_flash_cnt[2888][4]~67319\ $ (GND))) # (!\led_flash_cnt[2888][5]~q\ & (!\led_flash_cnt[2888][4]~67319\ & VCC))
-- \led_flash_cnt[2888][5]~67321\ = CARRY((\led_flash_cnt[2888][5]~q\ & !\led_flash_cnt[2888][4]~67319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2888][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2888][4]~67319\,
	combout => \led_flash_cnt[2888][5]~67320_combout\,
	cout => \led_flash_cnt[2888][5]~67321\);

-- Location: FF_X47_Y2_N9
\led_flash_cnt[2888][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2888][5]~67320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2888][5]~q\);

-- Location: LCCOMB_X47_Y2_N10
\led_flash_cnt[2888][6]~67322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2888][6]~67322_combout\ = (\led_flash_cnt[2888][6]~q\ & (!\led_flash_cnt[2888][5]~67321\)) # (!\led_flash_cnt[2888][6]~q\ & ((\led_flash_cnt[2888][5]~67321\) # (GND)))
-- \led_flash_cnt[2888][6]~67323\ = CARRY((!\led_flash_cnt[2888][5]~67321\) # (!\led_flash_cnt[2888][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2888][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2888][5]~67321\,
	combout => \led_flash_cnt[2888][6]~67322_combout\,
	cout => \led_flash_cnt[2888][6]~67323\);

-- Location: FF_X47_Y2_N11
\led_flash_cnt[2888][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2888][6]~67322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2888][6]~q\);

-- Location: LCCOMB_X47_Y2_N12
\led_flash_cnt[2888][7]~67324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2888][7]~67324_combout\ = \led_flash_cnt[2888][6]~67323\ $ (!\led_flash_cnt[2888][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2888][7]~q\,
	cin => \led_flash_cnt[2888][6]~67323\,
	combout => \led_flash_cnt[2888][7]~67324_combout\);

-- Location: FF_X47_Y2_N13
\led_flash_cnt[2888][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2888][7]~67324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2888][7]~q\);

-- Location: LCCOMB_X47_Y2_N24
\WideAnd2888~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2888~1_combout\ = (\led_flash_cnt[2888][5]~q\ & \led_flash_cnt[2888][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2888][5]~q\,
	datad => \led_flash_cnt[2888][6]~q\,
	combout => \WideAnd2888~1_combout\);

-- Location: LCCOMB_X47_Y2_N26
\WideAnd2888~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2888~0_combout\ = (\led_flash_cnt[2888][4]~q\ & (\led_flash_cnt[2888][1]~q\ & (\led_flash_cnt[2888][3]~q\ & \led_flash_cnt[2888][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2888][4]~q\,
	datab => \led_flash_cnt[2888][1]~q\,
	datac => \led_flash_cnt[2888][3]~q\,
	datad => \led_flash_cnt[2888][2]~q\,
	combout => \WideAnd2888~0_combout\);

-- Location: LCCOMB_X47_Y2_N22
WideAnd2888 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2888~combout\ = (\led_flash_cnt[2888][7]~q\ & (\WideAnd2888~1_combout\ & (\WideAnd2888~0_combout\ & \led_flash_cnt[2888][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2888][7]~q\,
	datab => \WideAnd2888~1_combout\,
	datac => \WideAnd2888~0_combout\,
	datad => \led_flash_cnt[2888][0]~q\,
	combout => \WideAnd2888~combout\);

-- Location: FF_X47_Y2_N23
\led_flash_cnt_ands[2888]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2888~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2888));

-- Location: LCCOMB_X46_Y4_N4
\led_flash_cnt[2890][0]~83530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2890][0]~83530_combout\ = !\led_flash_cnt[2890][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2890][0]~q\,
	combout => \led_flash_cnt[2890][0]~83530_combout\);

-- Location: FF_X46_Y4_N5
\led_flash_cnt[2890][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2890][0]~83530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2890][0]~q\);

-- Location: LCCOMB_X45_Y4_N12
\led_flash_cnt[2890][1]~67340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2890][1]~67340_combout\ = (\led_flash_cnt[2890][0]~q\ & (\led_flash_cnt[2890][1]~q\ $ (VCC))) # (!\led_flash_cnt[2890][0]~q\ & (\led_flash_cnt[2890][1]~q\ & VCC))
-- \led_flash_cnt[2890][1]~67341\ = CARRY((\led_flash_cnt[2890][0]~q\ & \led_flash_cnt[2890][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2890][0]~q\,
	datab => \led_flash_cnt[2890][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2890][1]~67340_combout\,
	cout => \led_flash_cnt[2890][1]~67341\);

-- Location: FF_X45_Y4_N13
\led_flash_cnt[2890][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2890][1]~67340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2890][1]~q\);

-- Location: LCCOMB_X45_Y4_N14
\led_flash_cnt[2890][2]~67342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2890][2]~67342_combout\ = (\led_flash_cnt[2890][2]~q\ & (!\led_flash_cnt[2890][1]~67341\)) # (!\led_flash_cnt[2890][2]~q\ & ((\led_flash_cnt[2890][1]~67341\) # (GND)))
-- \led_flash_cnt[2890][2]~67343\ = CARRY((!\led_flash_cnt[2890][1]~67341\) # (!\led_flash_cnt[2890][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2890][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2890][1]~67341\,
	combout => \led_flash_cnt[2890][2]~67342_combout\,
	cout => \led_flash_cnt[2890][2]~67343\);

-- Location: FF_X45_Y4_N15
\led_flash_cnt[2890][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2890][2]~67342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2890][2]~q\);

-- Location: LCCOMB_X45_Y4_N16
\led_flash_cnt[2890][3]~67344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2890][3]~67344_combout\ = (\led_flash_cnt[2890][3]~q\ & (\led_flash_cnt[2890][2]~67343\ $ (GND))) # (!\led_flash_cnt[2890][3]~q\ & (!\led_flash_cnt[2890][2]~67343\ & VCC))
-- \led_flash_cnt[2890][3]~67345\ = CARRY((\led_flash_cnt[2890][3]~q\ & !\led_flash_cnt[2890][2]~67343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2890][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2890][2]~67343\,
	combout => \led_flash_cnt[2890][3]~67344_combout\,
	cout => \led_flash_cnt[2890][3]~67345\);

-- Location: FF_X45_Y4_N17
\led_flash_cnt[2890][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2890][3]~67344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2890][3]~q\);

-- Location: LCCOMB_X45_Y4_N18
\led_flash_cnt[2890][4]~67346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2890][4]~67346_combout\ = (\led_flash_cnt[2890][4]~q\ & (!\led_flash_cnt[2890][3]~67345\)) # (!\led_flash_cnt[2890][4]~q\ & ((\led_flash_cnt[2890][3]~67345\) # (GND)))
-- \led_flash_cnt[2890][4]~67347\ = CARRY((!\led_flash_cnt[2890][3]~67345\) # (!\led_flash_cnt[2890][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2890][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2890][3]~67345\,
	combout => \led_flash_cnt[2890][4]~67346_combout\,
	cout => \led_flash_cnt[2890][4]~67347\);

-- Location: FF_X45_Y4_N19
\led_flash_cnt[2890][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2890][4]~67346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2890][4]~q\);

-- Location: LCCOMB_X45_Y4_N20
\led_flash_cnt[2890][5]~67348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2890][5]~67348_combout\ = (\led_flash_cnt[2890][5]~q\ & (\led_flash_cnt[2890][4]~67347\ $ (GND))) # (!\led_flash_cnt[2890][5]~q\ & (!\led_flash_cnt[2890][4]~67347\ & VCC))
-- \led_flash_cnt[2890][5]~67349\ = CARRY((\led_flash_cnt[2890][5]~q\ & !\led_flash_cnt[2890][4]~67347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2890][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2890][4]~67347\,
	combout => \led_flash_cnt[2890][5]~67348_combout\,
	cout => \led_flash_cnt[2890][5]~67349\);

-- Location: FF_X45_Y4_N21
\led_flash_cnt[2890][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2890][5]~67348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2890][5]~q\);

-- Location: LCCOMB_X45_Y4_N22
\led_flash_cnt[2890][6]~67350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2890][6]~67350_combout\ = (\led_flash_cnt[2890][6]~q\ & (!\led_flash_cnt[2890][5]~67349\)) # (!\led_flash_cnt[2890][6]~q\ & ((\led_flash_cnt[2890][5]~67349\) # (GND)))
-- \led_flash_cnt[2890][6]~67351\ = CARRY((!\led_flash_cnt[2890][5]~67349\) # (!\led_flash_cnt[2890][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2890][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2890][5]~67349\,
	combout => \led_flash_cnt[2890][6]~67350_combout\,
	cout => \led_flash_cnt[2890][6]~67351\);

-- Location: FF_X45_Y4_N23
\led_flash_cnt[2890][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2890][6]~67350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2890][6]~q\);

-- Location: LCCOMB_X45_Y4_N24
\led_flash_cnt[2890][7]~67352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2890][7]~67352_combout\ = \led_flash_cnt[2890][6]~67351\ $ (!\led_flash_cnt[2890][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2890][7]~q\,
	cin => \led_flash_cnt[2890][6]~67351\,
	combout => \led_flash_cnt[2890][7]~67352_combout\);

-- Location: FF_X45_Y4_N25
\led_flash_cnt[2890][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2890][7]~67352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2890][7]~q\);

-- Location: LCCOMB_X45_Y4_N26
\WideAnd2890~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2890~1_combout\ = (\led_flash_cnt[2890][6]~q\ & \led_flash_cnt[2890][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2890][6]~q\,
	datad => \led_flash_cnt[2890][5]~q\,
	combout => \WideAnd2890~1_combout\);

-- Location: LCCOMB_X45_Y4_N0
\WideAnd2890~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2890~0_combout\ = (\led_flash_cnt[2890][1]~q\ & (\led_flash_cnt[2890][4]~q\ & (\led_flash_cnt[2890][2]~q\ & \led_flash_cnt[2890][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2890][1]~q\,
	datab => \led_flash_cnt[2890][4]~q\,
	datac => \led_flash_cnt[2890][2]~q\,
	datad => \led_flash_cnt[2890][3]~q\,
	combout => \WideAnd2890~0_combout\);

-- Location: LCCOMB_X45_Y4_N4
WideAnd2890 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2890~combout\ = (\led_flash_cnt[2890][0]~q\ & (\led_flash_cnt[2890][7]~q\ & (\WideAnd2890~1_combout\ & \WideAnd2890~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2890][0]~q\,
	datab => \led_flash_cnt[2890][7]~q\,
	datac => \WideAnd2890~1_combout\,
	datad => \WideAnd2890~0_combout\,
	combout => \WideAnd2890~combout\);

-- Location: FF_X45_Y4_N5
\led_flash_cnt_ands[2890]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2890~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2890));

-- Location: LCCOMB_X45_Y4_N2
\led_flash_cnt[2891][0]~83531\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2891][0]~83531_combout\ = !\led_flash_cnt[2891][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2891][0]~q\,
	combout => \led_flash_cnt[2891][0]~83531_combout\);

-- Location: FF_X45_Y4_N3
\led_flash_cnt[2891][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2891][0]~83531_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2891][0]~q\);

-- Location: LCCOMB_X44_Y4_N18
\led_flash_cnt[2891][1]~67354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2891][1]~67354_combout\ = (\led_flash_cnt[2891][0]~q\ & (\led_flash_cnt[2891][1]~q\ $ (VCC))) # (!\led_flash_cnt[2891][0]~q\ & (\led_flash_cnt[2891][1]~q\ & VCC))
-- \led_flash_cnt[2891][1]~67355\ = CARRY((\led_flash_cnt[2891][0]~q\ & \led_flash_cnt[2891][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2891][0]~q\,
	datab => \led_flash_cnt[2891][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2891][1]~67354_combout\,
	cout => \led_flash_cnt[2891][1]~67355\);

-- Location: FF_X44_Y4_N19
\led_flash_cnt[2891][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2891][1]~67354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2891][1]~q\);

-- Location: LCCOMB_X44_Y4_N20
\led_flash_cnt[2891][2]~67356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2891][2]~67356_combout\ = (\led_flash_cnt[2891][2]~q\ & (!\led_flash_cnt[2891][1]~67355\)) # (!\led_flash_cnt[2891][2]~q\ & ((\led_flash_cnt[2891][1]~67355\) # (GND)))
-- \led_flash_cnt[2891][2]~67357\ = CARRY((!\led_flash_cnt[2891][1]~67355\) # (!\led_flash_cnt[2891][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2891][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2891][1]~67355\,
	combout => \led_flash_cnt[2891][2]~67356_combout\,
	cout => \led_flash_cnt[2891][2]~67357\);

-- Location: FF_X44_Y4_N21
\led_flash_cnt[2891][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2891][2]~67356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2891][2]~q\);

-- Location: LCCOMB_X44_Y4_N22
\led_flash_cnt[2891][3]~67358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2891][3]~67358_combout\ = (\led_flash_cnt[2891][3]~q\ & (\led_flash_cnt[2891][2]~67357\ $ (GND))) # (!\led_flash_cnt[2891][3]~q\ & (!\led_flash_cnt[2891][2]~67357\ & VCC))
-- \led_flash_cnt[2891][3]~67359\ = CARRY((\led_flash_cnt[2891][3]~q\ & !\led_flash_cnt[2891][2]~67357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2891][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2891][2]~67357\,
	combout => \led_flash_cnt[2891][3]~67358_combout\,
	cout => \led_flash_cnt[2891][3]~67359\);

-- Location: FF_X44_Y4_N23
\led_flash_cnt[2891][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2891][3]~67358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2891][3]~q\);

-- Location: LCCOMB_X44_Y4_N24
\led_flash_cnt[2891][4]~67360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2891][4]~67360_combout\ = (\led_flash_cnt[2891][4]~q\ & (!\led_flash_cnt[2891][3]~67359\)) # (!\led_flash_cnt[2891][4]~q\ & ((\led_flash_cnt[2891][3]~67359\) # (GND)))
-- \led_flash_cnt[2891][4]~67361\ = CARRY((!\led_flash_cnt[2891][3]~67359\) # (!\led_flash_cnt[2891][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2891][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2891][3]~67359\,
	combout => \led_flash_cnt[2891][4]~67360_combout\,
	cout => \led_flash_cnt[2891][4]~67361\);

-- Location: FF_X44_Y4_N25
\led_flash_cnt[2891][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2891][4]~67360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2891][4]~q\);

-- Location: LCCOMB_X44_Y4_N26
\led_flash_cnt[2891][5]~67362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2891][5]~67362_combout\ = (\led_flash_cnt[2891][5]~q\ & (\led_flash_cnt[2891][4]~67361\ $ (GND))) # (!\led_flash_cnt[2891][5]~q\ & (!\led_flash_cnt[2891][4]~67361\ & VCC))
-- \led_flash_cnt[2891][5]~67363\ = CARRY((\led_flash_cnt[2891][5]~q\ & !\led_flash_cnt[2891][4]~67361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2891][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2891][4]~67361\,
	combout => \led_flash_cnt[2891][5]~67362_combout\,
	cout => \led_flash_cnt[2891][5]~67363\);

-- Location: FF_X44_Y4_N27
\led_flash_cnt[2891][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2891][5]~67362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2891][5]~q\);

-- Location: LCCOMB_X44_Y4_N28
\led_flash_cnt[2891][6]~67364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2891][6]~67364_combout\ = (\led_flash_cnt[2891][6]~q\ & (!\led_flash_cnt[2891][5]~67363\)) # (!\led_flash_cnt[2891][6]~q\ & ((\led_flash_cnt[2891][5]~67363\) # (GND)))
-- \led_flash_cnt[2891][6]~67365\ = CARRY((!\led_flash_cnt[2891][5]~67363\) # (!\led_flash_cnt[2891][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2891][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2891][5]~67363\,
	combout => \led_flash_cnt[2891][6]~67364_combout\,
	cout => \led_flash_cnt[2891][6]~67365\);

-- Location: FF_X44_Y4_N29
\led_flash_cnt[2891][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2891][6]~67364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2891][6]~q\);

-- Location: LCCOMB_X45_Y4_N10
\WideAnd2891~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2891~1_combout\ = (\led_flash_cnt[2891][5]~q\ & \led_flash_cnt[2891][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2891][5]~q\,
	datad => \led_flash_cnt[2891][6]~q\,
	combout => \WideAnd2891~1_combout\);

-- Location: LCCOMB_X44_Y4_N30
\led_flash_cnt[2891][7]~67366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2891][7]~67366_combout\ = \led_flash_cnt[2891][7]~q\ $ (!\led_flash_cnt[2891][6]~67365\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2891][7]~q\,
	cin => \led_flash_cnt[2891][6]~67365\,
	combout => \led_flash_cnt[2891][7]~67366_combout\);

-- Location: FF_X44_Y4_N31
\led_flash_cnt[2891][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2891][7]~67366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2891][7]~q\);

-- Location: LCCOMB_X45_Y4_N8
\WideAnd2891~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2891~0_combout\ = (\led_flash_cnt[2891][2]~q\ & (\led_flash_cnt[2891][3]~q\ & (\led_flash_cnt[2891][1]~q\ & \led_flash_cnt[2891][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2891][2]~q\,
	datab => \led_flash_cnt[2891][3]~q\,
	datac => \led_flash_cnt[2891][1]~q\,
	datad => \led_flash_cnt[2891][4]~q\,
	combout => \WideAnd2891~0_combout\);

-- Location: LCCOMB_X45_Y4_N30
WideAnd2891 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2891~combout\ = (\WideAnd2891~1_combout\ & (\led_flash_cnt[2891][7]~q\ & (\WideAnd2891~0_combout\ & \led_flash_cnt[2891][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2891~1_combout\,
	datab => \led_flash_cnt[2891][7]~q\,
	datac => \WideAnd2891~0_combout\,
	datad => \led_flash_cnt[2891][0]~q\,
	combout => \WideAnd2891~combout\);

-- Location: FF_X45_Y4_N31
\led_flash_cnt_ands[2891]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2891~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2891));

-- Location: LCCOMB_X57_Y4_N28
\led_flash_cnt[2889][0]~83529\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2889][0]~83529_combout\ = !\led_flash_cnt[2889][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2889][0]~q\,
	combout => \led_flash_cnt[2889][0]~83529_combout\);

-- Location: FF_X57_Y4_N29
\led_flash_cnt[2889][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2889][0]~83529_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2889][0]~q\);

-- Location: LCCOMB_X57_Y4_N12
\led_flash_cnt[2889][1]~67326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2889][1]~67326_combout\ = (\led_flash_cnt[2889][1]~q\ & (\led_flash_cnt[2889][0]~q\ $ (VCC))) # (!\led_flash_cnt[2889][1]~q\ & (\led_flash_cnt[2889][0]~q\ & VCC))
-- \led_flash_cnt[2889][1]~67327\ = CARRY((\led_flash_cnt[2889][1]~q\ & \led_flash_cnt[2889][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2889][1]~q\,
	datab => \led_flash_cnt[2889][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2889][1]~67326_combout\,
	cout => \led_flash_cnt[2889][1]~67327\);

-- Location: FF_X57_Y4_N13
\led_flash_cnt[2889][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2889][1]~67326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2889][1]~q\);

-- Location: LCCOMB_X57_Y4_N14
\led_flash_cnt[2889][2]~67328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2889][2]~67328_combout\ = (\led_flash_cnt[2889][2]~q\ & (!\led_flash_cnt[2889][1]~67327\)) # (!\led_flash_cnt[2889][2]~q\ & ((\led_flash_cnt[2889][1]~67327\) # (GND)))
-- \led_flash_cnt[2889][2]~67329\ = CARRY((!\led_flash_cnt[2889][1]~67327\) # (!\led_flash_cnt[2889][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2889][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2889][1]~67327\,
	combout => \led_flash_cnt[2889][2]~67328_combout\,
	cout => \led_flash_cnt[2889][2]~67329\);

-- Location: FF_X57_Y4_N15
\led_flash_cnt[2889][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2889][2]~67328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2889][2]~q\);

-- Location: LCCOMB_X57_Y4_N16
\led_flash_cnt[2889][3]~67330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2889][3]~67330_combout\ = (\led_flash_cnt[2889][3]~q\ & (\led_flash_cnt[2889][2]~67329\ $ (GND))) # (!\led_flash_cnt[2889][3]~q\ & (!\led_flash_cnt[2889][2]~67329\ & VCC))
-- \led_flash_cnt[2889][3]~67331\ = CARRY((\led_flash_cnt[2889][3]~q\ & !\led_flash_cnt[2889][2]~67329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2889][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2889][2]~67329\,
	combout => \led_flash_cnt[2889][3]~67330_combout\,
	cout => \led_flash_cnt[2889][3]~67331\);

-- Location: FF_X57_Y4_N17
\led_flash_cnt[2889][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2889][3]~67330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2889][3]~q\);

-- Location: LCCOMB_X57_Y4_N18
\led_flash_cnt[2889][4]~67332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2889][4]~67332_combout\ = (\led_flash_cnt[2889][4]~q\ & (!\led_flash_cnt[2889][3]~67331\)) # (!\led_flash_cnt[2889][4]~q\ & ((\led_flash_cnt[2889][3]~67331\) # (GND)))
-- \led_flash_cnt[2889][4]~67333\ = CARRY((!\led_flash_cnt[2889][3]~67331\) # (!\led_flash_cnt[2889][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2889][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2889][3]~67331\,
	combout => \led_flash_cnt[2889][4]~67332_combout\,
	cout => \led_flash_cnt[2889][4]~67333\);

-- Location: FF_X57_Y4_N19
\led_flash_cnt[2889][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2889][4]~67332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2889][4]~q\);

-- Location: LCCOMB_X57_Y4_N10
\WideAnd2889~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2889~0_combout\ = (\led_flash_cnt[2889][1]~q\ & (\led_flash_cnt[2889][4]~q\ & (\led_flash_cnt[2889][2]~q\ & \led_flash_cnt[2889][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2889][1]~q\,
	datab => \led_flash_cnt[2889][4]~q\,
	datac => \led_flash_cnt[2889][2]~q\,
	datad => \led_flash_cnt[2889][3]~q\,
	combout => \WideAnd2889~0_combout\);

-- Location: LCCOMB_X57_Y4_N20
\led_flash_cnt[2889][5]~67334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2889][5]~67334_combout\ = (\led_flash_cnt[2889][5]~q\ & (\led_flash_cnt[2889][4]~67333\ $ (GND))) # (!\led_flash_cnt[2889][5]~q\ & (!\led_flash_cnt[2889][4]~67333\ & VCC))
-- \led_flash_cnt[2889][5]~67335\ = CARRY((\led_flash_cnt[2889][5]~q\ & !\led_flash_cnt[2889][4]~67333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2889][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2889][4]~67333\,
	combout => \led_flash_cnt[2889][5]~67334_combout\,
	cout => \led_flash_cnt[2889][5]~67335\);

-- Location: FF_X57_Y4_N21
\led_flash_cnt[2889][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2889][5]~67334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2889][5]~q\);

-- Location: LCCOMB_X57_Y4_N22
\led_flash_cnt[2889][6]~67336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2889][6]~67336_combout\ = (\led_flash_cnt[2889][6]~q\ & (!\led_flash_cnt[2889][5]~67335\)) # (!\led_flash_cnt[2889][6]~q\ & ((\led_flash_cnt[2889][5]~67335\) # (GND)))
-- \led_flash_cnt[2889][6]~67337\ = CARRY((!\led_flash_cnt[2889][5]~67335\) # (!\led_flash_cnt[2889][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2889][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2889][5]~67335\,
	combout => \led_flash_cnt[2889][6]~67336_combout\,
	cout => \led_flash_cnt[2889][6]~67337\);

-- Location: FF_X57_Y4_N23
\led_flash_cnt[2889][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2889][6]~67336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2889][6]~q\);

-- Location: LCCOMB_X57_Y4_N24
\led_flash_cnt[2889][7]~67338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2889][7]~67338_combout\ = \led_flash_cnt[2889][6]~67337\ $ (!\led_flash_cnt[2889][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2889][7]~q\,
	cin => \led_flash_cnt[2889][6]~67337\,
	combout => \led_flash_cnt[2889][7]~67338_combout\);

-- Location: FF_X57_Y4_N25
\led_flash_cnt[2889][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2889][7]~67338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2889][7]~q\);

-- Location: LCCOMB_X57_Y4_N26
\WideAnd2889~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2889~1_combout\ = (\led_flash_cnt[2889][6]~q\ & \led_flash_cnt[2889][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2889][6]~q\,
	datad => \led_flash_cnt[2889][5]~q\,
	combout => \WideAnd2889~1_combout\);

-- Location: LCCOMB_X57_Y4_N6
WideAnd2889 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2889~combout\ = (\WideAnd2889~0_combout\ & (\led_flash_cnt[2889][7]~q\ & (\WideAnd2889~1_combout\ & \led_flash_cnt[2889][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2889~0_combout\,
	datab => \led_flash_cnt[2889][7]~q\,
	datac => \WideAnd2889~1_combout\,
	datad => \led_flash_cnt[2889][0]~q\,
	combout => \WideAnd2889~combout\);

-- Location: FF_X57_Y4_N7
\led_flash_cnt_ands[2889]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2889~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2889));

-- Location: LCCOMB_X49_Y4_N8
\WideAnd4201~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4201~0_combout\ = (led_flash_cnt_ands(2888) & (led_flash_cnt_ands(2890) & (led_flash_cnt_ands(2891) & led_flash_cnt_ands(2889))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2888),
	datab => led_flash_cnt_ands(2890),
	datac => led_flash_cnt_ands(2891),
	datad => led_flash_cnt_ands(2889),
	combout => \WideAnd4201~0_combout\);

-- Location: LCCOMB_X56_Y5_N26
\led_flash_cnt[2893][0]~83533\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2893][0]~83533_combout\ = !\led_flash_cnt[2893][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2893][0]~q\,
	combout => \led_flash_cnt[2893][0]~83533_combout\);

-- Location: FF_X56_Y5_N27
\led_flash_cnt[2893][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2893][0]~83533_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2893][0]~q\);

-- Location: LCCOMB_X57_Y5_N16
\led_flash_cnt[2893][1]~67382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2893][1]~67382_combout\ = (\led_flash_cnt[2893][0]~q\ & (\led_flash_cnt[2893][1]~q\ $ (VCC))) # (!\led_flash_cnt[2893][0]~q\ & (\led_flash_cnt[2893][1]~q\ & VCC))
-- \led_flash_cnt[2893][1]~67383\ = CARRY((\led_flash_cnt[2893][0]~q\ & \led_flash_cnt[2893][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2893][0]~q\,
	datab => \led_flash_cnt[2893][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2893][1]~67382_combout\,
	cout => \led_flash_cnt[2893][1]~67383\);

-- Location: FF_X57_Y5_N17
\led_flash_cnt[2893][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2893][1]~67382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2893][1]~q\);

-- Location: LCCOMB_X57_Y5_N18
\led_flash_cnt[2893][2]~67384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2893][2]~67384_combout\ = (\led_flash_cnt[2893][2]~q\ & (!\led_flash_cnt[2893][1]~67383\)) # (!\led_flash_cnt[2893][2]~q\ & ((\led_flash_cnt[2893][1]~67383\) # (GND)))
-- \led_flash_cnt[2893][2]~67385\ = CARRY((!\led_flash_cnt[2893][1]~67383\) # (!\led_flash_cnt[2893][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2893][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2893][1]~67383\,
	combout => \led_flash_cnt[2893][2]~67384_combout\,
	cout => \led_flash_cnt[2893][2]~67385\);

-- Location: FF_X57_Y5_N19
\led_flash_cnt[2893][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2893][2]~67384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2893][2]~q\);

-- Location: LCCOMB_X57_Y5_N20
\led_flash_cnt[2893][3]~67386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2893][3]~67386_combout\ = (\led_flash_cnt[2893][3]~q\ & (\led_flash_cnt[2893][2]~67385\ $ (GND))) # (!\led_flash_cnt[2893][3]~q\ & (!\led_flash_cnt[2893][2]~67385\ & VCC))
-- \led_flash_cnt[2893][3]~67387\ = CARRY((\led_flash_cnt[2893][3]~q\ & !\led_flash_cnt[2893][2]~67385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2893][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2893][2]~67385\,
	combout => \led_flash_cnt[2893][3]~67386_combout\,
	cout => \led_flash_cnt[2893][3]~67387\);

-- Location: FF_X57_Y5_N21
\led_flash_cnt[2893][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2893][3]~67386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2893][3]~q\);

-- Location: LCCOMB_X57_Y5_N22
\led_flash_cnt[2893][4]~67388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2893][4]~67388_combout\ = (\led_flash_cnt[2893][4]~q\ & (!\led_flash_cnt[2893][3]~67387\)) # (!\led_flash_cnt[2893][4]~q\ & ((\led_flash_cnt[2893][3]~67387\) # (GND)))
-- \led_flash_cnt[2893][4]~67389\ = CARRY((!\led_flash_cnt[2893][3]~67387\) # (!\led_flash_cnt[2893][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2893][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2893][3]~67387\,
	combout => \led_flash_cnt[2893][4]~67388_combout\,
	cout => \led_flash_cnt[2893][4]~67389\);

-- Location: FF_X57_Y5_N23
\led_flash_cnt[2893][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2893][4]~67388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2893][4]~q\);

-- Location: LCCOMB_X57_Y5_N0
\WideAnd2893~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2893~0_combout\ = (\led_flash_cnt[2893][3]~q\ & (\led_flash_cnt[2893][1]~q\ & (\led_flash_cnt[2893][4]~q\ & \led_flash_cnt[2893][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2893][3]~q\,
	datab => \led_flash_cnt[2893][1]~q\,
	datac => \led_flash_cnt[2893][4]~q\,
	datad => \led_flash_cnt[2893][2]~q\,
	combout => \WideAnd2893~0_combout\);

-- Location: LCCOMB_X57_Y5_N24
\led_flash_cnt[2893][5]~67390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2893][5]~67390_combout\ = (\led_flash_cnt[2893][5]~q\ & (\led_flash_cnt[2893][4]~67389\ $ (GND))) # (!\led_flash_cnt[2893][5]~q\ & (!\led_flash_cnt[2893][4]~67389\ & VCC))
-- \led_flash_cnt[2893][5]~67391\ = CARRY((\led_flash_cnt[2893][5]~q\ & !\led_flash_cnt[2893][4]~67389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2893][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2893][4]~67389\,
	combout => \led_flash_cnt[2893][5]~67390_combout\,
	cout => \led_flash_cnt[2893][5]~67391\);

-- Location: FF_X57_Y5_N25
\led_flash_cnt[2893][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2893][5]~67390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2893][5]~q\);

-- Location: LCCOMB_X57_Y5_N26
\led_flash_cnt[2893][6]~67392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2893][6]~67392_combout\ = (\led_flash_cnt[2893][6]~q\ & (!\led_flash_cnt[2893][5]~67391\)) # (!\led_flash_cnt[2893][6]~q\ & ((\led_flash_cnt[2893][5]~67391\) # (GND)))
-- \led_flash_cnt[2893][6]~67393\ = CARRY((!\led_flash_cnt[2893][5]~67391\) # (!\led_flash_cnt[2893][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2893][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2893][5]~67391\,
	combout => \led_flash_cnt[2893][6]~67392_combout\,
	cout => \led_flash_cnt[2893][6]~67393\);

-- Location: FF_X57_Y5_N27
\led_flash_cnt[2893][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2893][6]~67392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2893][6]~q\);

-- Location: LCCOMB_X56_Y5_N30
\WideAnd2893~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2893~1_combout\ = (\led_flash_cnt[2893][6]~q\ & \led_flash_cnt[2893][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2893][6]~q\,
	datad => \led_flash_cnt[2893][5]~q\,
	combout => \WideAnd2893~1_combout\);

-- Location: LCCOMB_X57_Y5_N28
\led_flash_cnt[2893][7]~67394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2893][7]~67394_combout\ = \led_flash_cnt[2893][6]~67393\ $ (!\led_flash_cnt[2893][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2893][7]~q\,
	cin => \led_flash_cnt[2893][6]~67393\,
	combout => \led_flash_cnt[2893][7]~67394_combout\);

-- Location: FF_X57_Y5_N29
\led_flash_cnt[2893][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2893][7]~67394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2893][7]~q\);

-- Location: LCCOMB_X56_Y5_N4
WideAnd2893 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2893~combout\ = (\led_flash_cnt[2893][0]~q\ & (\WideAnd2893~0_combout\ & (\WideAnd2893~1_combout\ & \led_flash_cnt[2893][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2893][0]~q\,
	datab => \WideAnd2893~0_combout\,
	datac => \WideAnd2893~1_combout\,
	datad => \led_flash_cnt[2893][7]~q\,
	combout => \WideAnd2893~combout\);

-- Location: FF_X56_Y5_N5
\led_flash_cnt_ands[2893]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2893~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2893));

-- Location: LCCOMB_X56_Y5_N2
\led_flash_cnt[2892][0]~83532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2892][0]~83532_combout\ = !\led_flash_cnt[2892][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2892][0]~q\,
	combout => \led_flash_cnt[2892][0]~83532_combout\);

-- Location: FF_X56_Y5_N3
\led_flash_cnt[2892][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2892][0]~83532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2892][0]~q\);

-- Location: LCCOMB_X56_Y5_N6
\led_flash_cnt[2892][1]~67368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2892][1]~67368_combout\ = (\led_flash_cnt[2892][1]~q\ & (\led_flash_cnt[2892][0]~q\ $ (VCC))) # (!\led_flash_cnt[2892][1]~q\ & (\led_flash_cnt[2892][0]~q\ & VCC))
-- \led_flash_cnt[2892][1]~67369\ = CARRY((\led_flash_cnt[2892][1]~q\ & \led_flash_cnt[2892][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2892][1]~q\,
	datab => \led_flash_cnt[2892][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2892][1]~67368_combout\,
	cout => \led_flash_cnt[2892][1]~67369\);

-- Location: FF_X56_Y5_N7
\led_flash_cnt[2892][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2892][1]~67368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2892][1]~q\);

-- Location: LCCOMB_X56_Y5_N8
\led_flash_cnt[2892][2]~67370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2892][2]~67370_combout\ = (\led_flash_cnt[2892][2]~q\ & (!\led_flash_cnt[2892][1]~67369\)) # (!\led_flash_cnt[2892][2]~q\ & ((\led_flash_cnt[2892][1]~67369\) # (GND)))
-- \led_flash_cnt[2892][2]~67371\ = CARRY((!\led_flash_cnt[2892][1]~67369\) # (!\led_flash_cnt[2892][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2892][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2892][1]~67369\,
	combout => \led_flash_cnt[2892][2]~67370_combout\,
	cout => \led_flash_cnt[2892][2]~67371\);

-- Location: FF_X56_Y5_N9
\led_flash_cnt[2892][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2892][2]~67370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2892][2]~q\);

-- Location: LCCOMB_X56_Y5_N10
\led_flash_cnt[2892][3]~67372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2892][3]~67372_combout\ = (\led_flash_cnt[2892][3]~q\ & (\led_flash_cnt[2892][2]~67371\ $ (GND))) # (!\led_flash_cnt[2892][3]~q\ & (!\led_flash_cnt[2892][2]~67371\ & VCC))
-- \led_flash_cnt[2892][3]~67373\ = CARRY((\led_flash_cnt[2892][3]~q\ & !\led_flash_cnt[2892][2]~67371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2892][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2892][2]~67371\,
	combout => \led_flash_cnt[2892][3]~67372_combout\,
	cout => \led_flash_cnt[2892][3]~67373\);

-- Location: FF_X56_Y5_N11
\led_flash_cnt[2892][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2892][3]~67372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2892][3]~q\);

-- Location: LCCOMB_X56_Y5_N12
\led_flash_cnt[2892][4]~67374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2892][4]~67374_combout\ = (\led_flash_cnt[2892][4]~q\ & (!\led_flash_cnt[2892][3]~67373\)) # (!\led_flash_cnt[2892][4]~q\ & ((\led_flash_cnt[2892][3]~67373\) # (GND)))
-- \led_flash_cnt[2892][4]~67375\ = CARRY((!\led_flash_cnt[2892][3]~67373\) # (!\led_flash_cnt[2892][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2892][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2892][3]~67373\,
	combout => \led_flash_cnt[2892][4]~67374_combout\,
	cout => \led_flash_cnt[2892][4]~67375\);

-- Location: FF_X56_Y5_N13
\led_flash_cnt[2892][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2892][4]~67374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2892][4]~q\);

-- Location: LCCOMB_X56_Y5_N14
\led_flash_cnt[2892][5]~67376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2892][5]~67376_combout\ = (\led_flash_cnt[2892][5]~q\ & (\led_flash_cnt[2892][4]~67375\ $ (GND))) # (!\led_flash_cnt[2892][5]~q\ & (!\led_flash_cnt[2892][4]~67375\ & VCC))
-- \led_flash_cnt[2892][5]~67377\ = CARRY((\led_flash_cnt[2892][5]~q\ & !\led_flash_cnt[2892][4]~67375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2892][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2892][4]~67375\,
	combout => \led_flash_cnt[2892][5]~67376_combout\,
	cout => \led_flash_cnt[2892][5]~67377\);

-- Location: FF_X56_Y5_N15
\led_flash_cnt[2892][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2892][5]~67376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2892][5]~q\);

-- Location: LCCOMB_X56_Y5_N16
\led_flash_cnt[2892][6]~67378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2892][6]~67378_combout\ = (\led_flash_cnt[2892][6]~q\ & (!\led_flash_cnt[2892][5]~67377\)) # (!\led_flash_cnt[2892][6]~q\ & ((\led_flash_cnt[2892][5]~67377\) # (GND)))
-- \led_flash_cnt[2892][6]~67379\ = CARRY((!\led_flash_cnt[2892][5]~67377\) # (!\led_flash_cnt[2892][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2892][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2892][5]~67377\,
	combout => \led_flash_cnt[2892][6]~67378_combout\,
	cout => \led_flash_cnt[2892][6]~67379\);

-- Location: FF_X56_Y5_N17
\led_flash_cnt[2892][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2892][6]~67378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2892][6]~q\);

-- Location: LCCOMB_X56_Y5_N18
\led_flash_cnt[2892][7]~67380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2892][7]~67380_combout\ = \led_flash_cnt[2892][7]~q\ $ (!\led_flash_cnt[2892][6]~67379\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2892][7]~q\,
	cin => \led_flash_cnt[2892][6]~67379\,
	combout => \led_flash_cnt[2892][7]~67380_combout\);

-- Location: FF_X56_Y5_N19
\led_flash_cnt[2892][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2892][7]~67380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2892][7]~q\);

-- Location: LCCOMB_X56_Y5_N22
\WideAnd2892~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2892~1_combout\ = (\led_flash_cnt[2892][5]~q\ & \led_flash_cnt[2892][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2892][5]~q\,
	datad => \led_flash_cnt[2892][6]~q\,
	combout => \WideAnd2892~1_combout\);

-- Location: LCCOMB_X56_Y5_N24
\WideAnd2892~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2892~0_combout\ = (\led_flash_cnt[2892][4]~q\ & (\led_flash_cnt[2892][1]~q\ & (\led_flash_cnt[2892][2]~q\ & \led_flash_cnt[2892][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2892][4]~q\,
	datab => \led_flash_cnt[2892][1]~q\,
	datac => \led_flash_cnt[2892][2]~q\,
	datad => \led_flash_cnt[2892][3]~q\,
	combout => \WideAnd2892~0_combout\);

-- Location: LCCOMB_X56_Y5_N20
WideAnd2892 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2892~combout\ = (\led_flash_cnt[2892][7]~q\ & (\led_flash_cnt[2892][0]~q\ & (\WideAnd2892~1_combout\ & \WideAnd2892~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2892][7]~q\,
	datab => \led_flash_cnt[2892][0]~q\,
	datac => \WideAnd2892~1_combout\,
	datad => \WideAnd2892~0_combout\,
	combout => \WideAnd2892~combout\);

-- Location: FF_X56_Y5_N21
\led_flash_cnt_ands[2892]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2892~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2892));

-- Location: LCCOMB_X56_Y5_N28
\WideAnd4201~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4201~1_combout\ = (led_flash_cnt_ands(2893) & led_flash_cnt_ands(2892))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2893),
	datad => led_flash_cnt_ands(2892),
	combout => \WideAnd4201~1_combout\);

-- Location: LCCOMB_X55_Y5_N20
WideAnd4201 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4201~combout\ = (led_flash_cnt_ands(2894) & (led_flash_cnt_ands(2895) & (\WideAnd4201~0_combout\ & \WideAnd4201~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2894),
	datab => led_flash_cnt_ands(2895),
	datac => \WideAnd4201~0_combout\,
	datad => \WideAnd4201~1_combout\,
	combout => \WideAnd4201~combout\);

-- Location: FF_X55_Y5_N21
\led_flash_cnt_ands_1[361]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4201~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(361));

-- Location: LCCOMB_X54_Y7_N6
\led_flash_cnt[2885][0]~83525\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2885][0]~83525_combout\ = !\led_flash_cnt[2885][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2885][0]~q\,
	combout => \led_flash_cnt[2885][0]~83525_combout\);

-- Location: FF_X54_Y7_N7
\led_flash_cnt[2885][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2885][0]~83525_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2885][0]~q\);

-- Location: LCCOMB_X55_Y7_N0
\led_flash_cnt[2885][1]~67270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2885][1]~67270_combout\ = (\led_flash_cnt[2885][1]~q\ & (\led_flash_cnt[2885][0]~q\ $ (VCC))) # (!\led_flash_cnt[2885][1]~q\ & (\led_flash_cnt[2885][0]~q\ & VCC))
-- \led_flash_cnt[2885][1]~67271\ = CARRY((\led_flash_cnt[2885][1]~q\ & \led_flash_cnt[2885][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2885][1]~q\,
	datab => \led_flash_cnt[2885][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2885][1]~67270_combout\,
	cout => \led_flash_cnt[2885][1]~67271\);

-- Location: FF_X55_Y7_N1
\led_flash_cnt[2885][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2885][1]~67270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2885][1]~q\);

-- Location: LCCOMB_X55_Y7_N2
\led_flash_cnt[2885][2]~67272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2885][2]~67272_combout\ = (\led_flash_cnt[2885][2]~q\ & (!\led_flash_cnt[2885][1]~67271\)) # (!\led_flash_cnt[2885][2]~q\ & ((\led_flash_cnt[2885][1]~67271\) # (GND)))
-- \led_flash_cnt[2885][2]~67273\ = CARRY((!\led_flash_cnt[2885][1]~67271\) # (!\led_flash_cnt[2885][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2885][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2885][1]~67271\,
	combout => \led_flash_cnt[2885][2]~67272_combout\,
	cout => \led_flash_cnt[2885][2]~67273\);

-- Location: FF_X55_Y7_N3
\led_flash_cnt[2885][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2885][2]~67272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2885][2]~q\);

-- Location: LCCOMB_X55_Y7_N4
\led_flash_cnt[2885][3]~67274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2885][3]~67274_combout\ = (\led_flash_cnt[2885][3]~q\ & (\led_flash_cnt[2885][2]~67273\ $ (GND))) # (!\led_flash_cnt[2885][3]~q\ & (!\led_flash_cnt[2885][2]~67273\ & VCC))
-- \led_flash_cnt[2885][3]~67275\ = CARRY((\led_flash_cnt[2885][3]~q\ & !\led_flash_cnt[2885][2]~67273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2885][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2885][2]~67273\,
	combout => \led_flash_cnt[2885][3]~67274_combout\,
	cout => \led_flash_cnt[2885][3]~67275\);

-- Location: FF_X55_Y7_N5
\led_flash_cnt[2885][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2885][3]~67274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2885][3]~q\);

-- Location: LCCOMB_X55_Y7_N6
\led_flash_cnt[2885][4]~67276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2885][4]~67276_combout\ = (\led_flash_cnt[2885][4]~q\ & (!\led_flash_cnt[2885][3]~67275\)) # (!\led_flash_cnt[2885][4]~q\ & ((\led_flash_cnt[2885][3]~67275\) # (GND)))
-- \led_flash_cnt[2885][4]~67277\ = CARRY((!\led_flash_cnt[2885][3]~67275\) # (!\led_flash_cnt[2885][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2885][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2885][3]~67275\,
	combout => \led_flash_cnt[2885][4]~67276_combout\,
	cout => \led_flash_cnt[2885][4]~67277\);

-- Location: FF_X55_Y7_N7
\led_flash_cnt[2885][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2885][4]~67276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2885][4]~q\);

-- Location: LCCOMB_X55_Y7_N8
\led_flash_cnt[2885][5]~67278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2885][5]~67278_combout\ = (\led_flash_cnt[2885][5]~q\ & (\led_flash_cnt[2885][4]~67277\ $ (GND))) # (!\led_flash_cnt[2885][5]~q\ & (!\led_flash_cnt[2885][4]~67277\ & VCC))
-- \led_flash_cnt[2885][5]~67279\ = CARRY((\led_flash_cnt[2885][5]~q\ & !\led_flash_cnt[2885][4]~67277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2885][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2885][4]~67277\,
	combout => \led_flash_cnt[2885][5]~67278_combout\,
	cout => \led_flash_cnt[2885][5]~67279\);

-- Location: FF_X55_Y7_N9
\led_flash_cnt[2885][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2885][5]~67278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2885][5]~q\);

-- Location: LCCOMB_X55_Y7_N10
\led_flash_cnt[2885][6]~67280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2885][6]~67280_combout\ = (\led_flash_cnt[2885][6]~q\ & (!\led_flash_cnt[2885][5]~67279\)) # (!\led_flash_cnt[2885][6]~q\ & ((\led_flash_cnt[2885][5]~67279\) # (GND)))
-- \led_flash_cnt[2885][6]~67281\ = CARRY((!\led_flash_cnt[2885][5]~67279\) # (!\led_flash_cnt[2885][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2885][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2885][5]~67279\,
	combout => \led_flash_cnt[2885][6]~67280_combout\,
	cout => \led_flash_cnt[2885][6]~67281\);

-- Location: FF_X55_Y7_N11
\led_flash_cnt[2885][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2885][6]~67280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2885][6]~q\);

-- Location: LCCOMB_X54_Y7_N26
\WideAnd2885~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2885~1_combout\ = (\led_flash_cnt[2885][6]~q\ & \led_flash_cnt[2885][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2885][6]~q\,
	datac => \led_flash_cnt[2885][5]~q\,
	combout => \WideAnd2885~1_combout\);

-- Location: LCCOMB_X54_Y7_N28
\WideAnd2885~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2885~0_combout\ = (\led_flash_cnt[2885][4]~q\ & (\led_flash_cnt[2885][2]~q\ & (\led_flash_cnt[2885][1]~q\ & \led_flash_cnt[2885][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2885][4]~q\,
	datab => \led_flash_cnt[2885][2]~q\,
	datac => \led_flash_cnt[2885][1]~q\,
	datad => \led_flash_cnt[2885][3]~q\,
	combout => \WideAnd2885~0_combout\);

-- Location: LCCOMB_X55_Y7_N12
\led_flash_cnt[2885][7]~67282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2885][7]~67282_combout\ = \led_flash_cnt[2885][6]~67281\ $ (!\led_flash_cnt[2885][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2885][7]~q\,
	cin => \led_flash_cnt[2885][6]~67281\,
	combout => \led_flash_cnt[2885][7]~67282_combout\);

-- Location: FF_X55_Y7_N13
\led_flash_cnt[2885][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2885][7]~67282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2885][7]~q\);

-- Location: LCCOMB_X54_Y7_N8
WideAnd2885 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2885~combout\ = (\WideAnd2885~1_combout\ & (\WideAnd2885~0_combout\ & (\led_flash_cnt[2885][7]~q\ & \led_flash_cnt[2885][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2885~1_combout\,
	datab => \WideAnd2885~0_combout\,
	datac => \led_flash_cnt[2885][7]~q\,
	datad => \led_flash_cnt[2885][0]~q\,
	combout => \WideAnd2885~combout\);

-- Location: FF_X54_Y7_N9
\led_flash_cnt_ands[2885]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2885~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2885));

-- Location: LCCOMB_X54_Y7_N0
\led_flash_cnt[2884][0]~83524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2884][0]~83524_combout\ = !\led_flash_cnt[2884][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2884][0]~q\,
	combout => \led_flash_cnt[2884][0]~83524_combout\);

-- Location: FF_X54_Y7_N1
\led_flash_cnt[2884][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2884][0]~83524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2884][0]~q\);

-- Location: LCCOMB_X54_Y7_N10
\led_flash_cnt[2884][1]~67256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2884][1]~67256_combout\ = (\led_flash_cnt[2884][1]~q\ & (\led_flash_cnt[2884][0]~q\ $ (VCC))) # (!\led_flash_cnt[2884][1]~q\ & (\led_flash_cnt[2884][0]~q\ & VCC))
-- \led_flash_cnt[2884][1]~67257\ = CARRY((\led_flash_cnt[2884][1]~q\ & \led_flash_cnt[2884][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2884][1]~q\,
	datab => \led_flash_cnt[2884][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2884][1]~67256_combout\,
	cout => \led_flash_cnt[2884][1]~67257\);

-- Location: FF_X54_Y7_N11
\led_flash_cnt[2884][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2884][1]~67256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2884][1]~q\);

-- Location: LCCOMB_X54_Y7_N12
\led_flash_cnt[2884][2]~67258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2884][2]~67258_combout\ = (\led_flash_cnt[2884][2]~q\ & (!\led_flash_cnt[2884][1]~67257\)) # (!\led_flash_cnt[2884][2]~q\ & ((\led_flash_cnt[2884][1]~67257\) # (GND)))
-- \led_flash_cnt[2884][2]~67259\ = CARRY((!\led_flash_cnt[2884][1]~67257\) # (!\led_flash_cnt[2884][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2884][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2884][1]~67257\,
	combout => \led_flash_cnt[2884][2]~67258_combout\,
	cout => \led_flash_cnt[2884][2]~67259\);

-- Location: FF_X54_Y7_N13
\led_flash_cnt[2884][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2884][2]~67258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2884][2]~q\);

-- Location: LCCOMB_X54_Y7_N14
\led_flash_cnt[2884][3]~67260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2884][3]~67260_combout\ = (\led_flash_cnt[2884][3]~q\ & (\led_flash_cnt[2884][2]~67259\ $ (GND))) # (!\led_flash_cnt[2884][3]~q\ & (!\led_flash_cnt[2884][2]~67259\ & VCC))
-- \led_flash_cnt[2884][3]~67261\ = CARRY((\led_flash_cnt[2884][3]~q\ & !\led_flash_cnt[2884][2]~67259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2884][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2884][2]~67259\,
	combout => \led_flash_cnt[2884][3]~67260_combout\,
	cout => \led_flash_cnt[2884][3]~67261\);

-- Location: FF_X54_Y7_N15
\led_flash_cnt[2884][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2884][3]~67260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2884][3]~q\);

-- Location: LCCOMB_X54_Y7_N16
\led_flash_cnt[2884][4]~67262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2884][4]~67262_combout\ = (\led_flash_cnt[2884][4]~q\ & (!\led_flash_cnt[2884][3]~67261\)) # (!\led_flash_cnt[2884][4]~q\ & ((\led_flash_cnt[2884][3]~67261\) # (GND)))
-- \led_flash_cnt[2884][4]~67263\ = CARRY((!\led_flash_cnt[2884][3]~67261\) # (!\led_flash_cnt[2884][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2884][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2884][3]~67261\,
	combout => \led_flash_cnt[2884][4]~67262_combout\,
	cout => \led_flash_cnt[2884][4]~67263\);

-- Location: FF_X54_Y7_N17
\led_flash_cnt[2884][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2884][4]~67262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2884][4]~q\);

-- Location: LCCOMB_X54_Y7_N18
\led_flash_cnt[2884][5]~67264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2884][5]~67264_combout\ = (\led_flash_cnt[2884][5]~q\ & (\led_flash_cnt[2884][4]~67263\ $ (GND))) # (!\led_flash_cnt[2884][5]~q\ & (!\led_flash_cnt[2884][4]~67263\ & VCC))
-- \led_flash_cnt[2884][5]~67265\ = CARRY((\led_flash_cnt[2884][5]~q\ & !\led_flash_cnt[2884][4]~67263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2884][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2884][4]~67263\,
	combout => \led_flash_cnt[2884][5]~67264_combout\,
	cout => \led_flash_cnt[2884][5]~67265\);

-- Location: FF_X54_Y7_N19
\led_flash_cnt[2884][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2884][5]~67264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2884][5]~q\);

-- Location: LCCOMB_X54_Y7_N20
\led_flash_cnt[2884][6]~67266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2884][6]~67266_combout\ = (\led_flash_cnt[2884][6]~q\ & (!\led_flash_cnt[2884][5]~67265\)) # (!\led_flash_cnt[2884][6]~q\ & ((\led_flash_cnt[2884][5]~67265\) # (GND)))
-- \led_flash_cnt[2884][6]~67267\ = CARRY((!\led_flash_cnt[2884][5]~67265\) # (!\led_flash_cnt[2884][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2884][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2884][5]~67265\,
	combout => \led_flash_cnt[2884][6]~67266_combout\,
	cout => \led_flash_cnt[2884][6]~67267\);

-- Location: FF_X54_Y7_N21
\led_flash_cnt[2884][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2884][6]~67266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2884][6]~q\);

-- Location: LCCOMB_X54_Y7_N22
\led_flash_cnt[2884][7]~67268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2884][7]~67268_combout\ = \led_flash_cnt[2884][7]~q\ $ (!\led_flash_cnt[2884][6]~67267\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2884][7]~q\,
	cin => \led_flash_cnt[2884][6]~67267\,
	combout => \led_flash_cnt[2884][7]~67268_combout\);

-- Location: FF_X54_Y7_N23
\led_flash_cnt[2884][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2884][7]~67268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2884][7]~q\);

-- Location: LCCOMB_X54_Y7_N4
\WideAnd2884~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2884~0_combout\ = (\led_flash_cnt[2884][1]~q\ & (\led_flash_cnt[2884][4]~q\ & (\led_flash_cnt[2884][3]~q\ & \led_flash_cnt[2884][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2884][1]~q\,
	datab => \led_flash_cnt[2884][4]~q\,
	datac => \led_flash_cnt[2884][3]~q\,
	datad => \led_flash_cnt[2884][2]~q\,
	combout => \WideAnd2884~0_combout\);

-- Location: LCCOMB_X54_Y7_N30
\WideAnd2884~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2884~1_combout\ = (\led_flash_cnt[2884][6]~q\ & \led_flash_cnt[2884][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2884][6]~q\,
	datad => \led_flash_cnt[2884][5]~q\,
	combout => \WideAnd2884~1_combout\);

-- Location: LCCOMB_X54_Y7_N2
WideAnd2884 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2884~combout\ = (\led_flash_cnt[2884][7]~q\ & (\led_flash_cnt[2884][0]~q\ & (\WideAnd2884~0_combout\ & \WideAnd2884~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2884][7]~q\,
	datab => \led_flash_cnt[2884][0]~q\,
	datac => \WideAnd2884~0_combout\,
	datad => \WideAnd2884~1_combout\,
	combout => \WideAnd2884~combout\);

-- Location: FF_X54_Y7_N3
\led_flash_cnt_ands[2884]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2884~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2884));

-- Location: LCCOMB_X54_Y7_N24
\WideAnd4200~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4200~1_combout\ = (led_flash_cnt_ands(2885) & led_flash_cnt_ands(2884))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2885),
	datad => led_flash_cnt_ands(2884),
	combout => \WideAnd4200~1_combout\);

-- Location: LCCOMB_X55_Y13_N2
\led_flash_cnt[2887][0]~83527\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2887][0]~83527_combout\ = !\led_flash_cnt[2887][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2887][0]~q\,
	combout => \led_flash_cnt[2887][0]~83527_combout\);

-- Location: FF_X55_Y13_N3
\led_flash_cnt[2887][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2887][0]~83527_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2887][0]~q\);

-- Location: LCCOMB_X56_Y13_N14
\led_flash_cnt[2887][1]~67298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2887][1]~67298_combout\ = (\led_flash_cnt[2887][0]~q\ & (\led_flash_cnt[2887][1]~q\ $ (VCC))) # (!\led_flash_cnt[2887][0]~q\ & (\led_flash_cnt[2887][1]~q\ & VCC))
-- \led_flash_cnt[2887][1]~67299\ = CARRY((\led_flash_cnt[2887][0]~q\ & \led_flash_cnt[2887][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2887][0]~q\,
	datab => \led_flash_cnt[2887][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2887][1]~67298_combout\,
	cout => \led_flash_cnt[2887][1]~67299\);

-- Location: FF_X56_Y13_N15
\led_flash_cnt[2887][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2887][1]~67298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2887][1]~q\);

-- Location: LCCOMB_X56_Y13_N16
\led_flash_cnt[2887][2]~67300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2887][2]~67300_combout\ = (\led_flash_cnt[2887][2]~q\ & (!\led_flash_cnt[2887][1]~67299\)) # (!\led_flash_cnt[2887][2]~q\ & ((\led_flash_cnt[2887][1]~67299\) # (GND)))
-- \led_flash_cnt[2887][2]~67301\ = CARRY((!\led_flash_cnt[2887][1]~67299\) # (!\led_flash_cnt[2887][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2887][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2887][1]~67299\,
	combout => \led_flash_cnt[2887][2]~67300_combout\,
	cout => \led_flash_cnt[2887][2]~67301\);

-- Location: FF_X56_Y13_N17
\led_flash_cnt[2887][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2887][2]~67300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2887][2]~q\);

-- Location: LCCOMB_X56_Y13_N18
\led_flash_cnt[2887][3]~67302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2887][3]~67302_combout\ = (\led_flash_cnt[2887][3]~q\ & (\led_flash_cnt[2887][2]~67301\ $ (GND))) # (!\led_flash_cnt[2887][3]~q\ & (!\led_flash_cnt[2887][2]~67301\ & VCC))
-- \led_flash_cnt[2887][3]~67303\ = CARRY((\led_flash_cnt[2887][3]~q\ & !\led_flash_cnt[2887][2]~67301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2887][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2887][2]~67301\,
	combout => \led_flash_cnt[2887][3]~67302_combout\,
	cout => \led_flash_cnt[2887][3]~67303\);

-- Location: FF_X56_Y13_N19
\led_flash_cnt[2887][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2887][3]~67302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2887][3]~q\);

-- Location: LCCOMB_X56_Y13_N20
\led_flash_cnt[2887][4]~67304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2887][4]~67304_combout\ = (\led_flash_cnt[2887][4]~q\ & (!\led_flash_cnt[2887][3]~67303\)) # (!\led_flash_cnt[2887][4]~q\ & ((\led_flash_cnt[2887][3]~67303\) # (GND)))
-- \led_flash_cnt[2887][4]~67305\ = CARRY((!\led_flash_cnt[2887][3]~67303\) # (!\led_flash_cnt[2887][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2887][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2887][3]~67303\,
	combout => \led_flash_cnt[2887][4]~67304_combout\,
	cout => \led_flash_cnt[2887][4]~67305\);

-- Location: FF_X56_Y13_N21
\led_flash_cnt[2887][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2887][4]~67304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2887][4]~q\);

-- Location: LCCOMB_X56_Y13_N22
\led_flash_cnt[2887][5]~67306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2887][5]~67306_combout\ = (\led_flash_cnt[2887][5]~q\ & (\led_flash_cnt[2887][4]~67305\ $ (GND))) # (!\led_flash_cnt[2887][5]~q\ & (!\led_flash_cnt[2887][4]~67305\ & VCC))
-- \led_flash_cnt[2887][5]~67307\ = CARRY((\led_flash_cnt[2887][5]~q\ & !\led_flash_cnt[2887][4]~67305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2887][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2887][4]~67305\,
	combout => \led_flash_cnt[2887][5]~67306_combout\,
	cout => \led_flash_cnt[2887][5]~67307\);

-- Location: FF_X56_Y13_N23
\led_flash_cnt[2887][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2887][5]~67306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2887][5]~q\);

-- Location: LCCOMB_X56_Y13_N24
\led_flash_cnt[2887][6]~67308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2887][6]~67308_combout\ = (\led_flash_cnt[2887][6]~q\ & (!\led_flash_cnt[2887][5]~67307\)) # (!\led_flash_cnt[2887][6]~q\ & ((\led_flash_cnt[2887][5]~67307\) # (GND)))
-- \led_flash_cnt[2887][6]~67309\ = CARRY((!\led_flash_cnt[2887][5]~67307\) # (!\led_flash_cnt[2887][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2887][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2887][5]~67307\,
	combout => \led_flash_cnt[2887][6]~67308_combout\,
	cout => \led_flash_cnt[2887][6]~67309\);

-- Location: FF_X56_Y13_N25
\led_flash_cnt[2887][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2887][6]~67308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2887][6]~q\);

-- Location: LCCOMB_X55_Y13_N6
\WideAnd2887~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2887~1_combout\ = (\led_flash_cnt[2887][5]~q\ & \led_flash_cnt[2887][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2887][5]~q\,
	datad => \led_flash_cnt[2887][6]~q\,
	combout => \WideAnd2887~1_combout\);

-- Location: LCCOMB_X56_Y13_N30
\WideAnd2887~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2887~0_combout\ = (\led_flash_cnt[2887][2]~q\ & (\led_flash_cnt[2887][3]~q\ & (\led_flash_cnt[2887][1]~q\ & \led_flash_cnt[2887][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2887][2]~q\,
	datab => \led_flash_cnt[2887][3]~q\,
	datac => \led_flash_cnt[2887][1]~q\,
	datad => \led_flash_cnt[2887][4]~q\,
	combout => \WideAnd2887~0_combout\);

-- Location: LCCOMB_X56_Y13_N26
\led_flash_cnt[2887][7]~67310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2887][7]~67310_combout\ = \led_flash_cnt[2887][7]~q\ $ (!\led_flash_cnt[2887][6]~67309\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2887][7]~q\,
	cin => \led_flash_cnt[2887][6]~67309\,
	combout => \led_flash_cnt[2887][7]~67310_combout\);

-- Location: FF_X56_Y13_N27
\led_flash_cnt[2887][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2887][7]~67310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2887][7]~q\);

-- Location: LCCOMB_X55_Y13_N0
WideAnd2887 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2887~combout\ = (\WideAnd2887~1_combout\ & (\led_flash_cnt[2887][0]~q\ & (\WideAnd2887~0_combout\ & \led_flash_cnt[2887][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2887~1_combout\,
	datab => \led_flash_cnt[2887][0]~q\,
	datac => \WideAnd2887~0_combout\,
	datad => \led_flash_cnt[2887][7]~q\,
	combout => \WideAnd2887~combout\);

-- Location: FF_X55_Y13_N1
\led_flash_cnt_ands[2887]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2887~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2887));

-- Location: LCCOMB_X55_Y13_N4
\led_flash_cnt[2886][0]~83526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2886][0]~83526_combout\ = !\led_flash_cnt[2886][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2886][0]~q\,
	combout => \led_flash_cnt[2886][0]~83526_combout\);

-- Location: FF_X55_Y13_N5
\led_flash_cnt[2886][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2886][0]~83526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2886][0]~q\);

-- Location: LCCOMB_X55_Y13_N10
\led_flash_cnt[2886][1]~67284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2886][1]~67284_combout\ = (\led_flash_cnt[2886][1]~q\ & (\led_flash_cnt[2886][0]~q\ $ (VCC))) # (!\led_flash_cnt[2886][1]~q\ & (\led_flash_cnt[2886][0]~q\ & VCC))
-- \led_flash_cnt[2886][1]~67285\ = CARRY((\led_flash_cnt[2886][1]~q\ & \led_flash_cnt[2886][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2886][1]~q\,
	datab => \led_flash_cnt[2886][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2886][1]~67284_combout\,
	cout => \led_flash_cnt[2886][1]~67285\);

-- Location: FF_X55_Y13_N11
\led_flash_cnt[2886][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2886][1]~67284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2886][1]~q\);

-- Location: LCCOMB_X55_Y13_N12
\led_flash_cnt[2886][2]~67286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2886][2]~67286_combout\ = (\led_flash_cnt[2886][2]~q\ & (!\led_flash_cnt[2886][1]~67285\)) # (!\led_flash_cnt[2886][2]~q\ & ((\led_flash_cnt[2886][1]~67285\) # (GND)))
-- \led_flash_cnt[2886][2]~67287\ = CARRY((!\led_flash_cnt[2886][1]~67285\) # (!\led_flash_cnt[2886][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2886][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2886][1]~67285\,
	combout => \led_flash_cnt[2886][2]~67286_combout\,
	cout => \led_flash_cnt[2886][2]~67287\);

-- Location: FF_X55_Y13_N13
\led_flash_cnt[2886][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2886][2]~67286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2886][2]~q\);

-- Location: LCCOMB_X55_Y13_N14
\led_flash_cnt[2886][3]~67288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2886][3]~67288_combout\ = (\led_flash_cnt[2886][3]~q\ & (\led_flash_cnt[2886][2]~67287\ $ (GND))) # (!\led_flash_cnt[2886][3]~q\ & (!\led_flash_cnt[2886][2]~67287\ & VCC))
-- \led_flash_cnt[2886][3]~67289\ = CARRY((\led_flash_cnt[2886][3]~q\ & !\led_flash_cnt[2886][2]~67287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2886][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2886][2]~67287\,
	combout => \led_flash_cnt[2886][3]~67288_combout\,
	cout => \led_flash_cnt[2886][3]~67289\);

-- Location: FF_X55_Y13_N15
\led_flash_cnt[2886][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2886][3]~67288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2886][3]~q\);

-- Location: LCCOMB_X55_Y13_N16
\led_flash_cnt[2886][4]~67290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2886][4]~67290_combout\ = (\led_flash_cnt[2886][4]~q\ & (!\led_flash_cnt[2886][3]~67289\)) # (!\led_flash_cnt[2886][4]~q\ & ((\led_flash_cnt[2886][3]~67289\) # (GND)))
-- \led_flash_cnt[2886][4]~67291\ = CARRY((!\led_flash_cnt[2886][3]~67289\) # (!\led_flash_cnt[2886][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2886][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2886][3]~67289\,
	combout => \led_flash_cnt[2886][4]~67290_combout\,
	cout => \led_flash_cnt[2886][4]~67291\);

-- Location: FF_X55_Y13_N17
\led_flash_cnt[2886][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2886][4]~67290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2886][4]~q\);

-- Location: LCCOMB_X55_Y13_N18
\led_flash_cnt[2886][5]~67292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2886][5]~67292_combout\ = (\led_flash_cnt[2886][5]~q\ & (\led_flash_cnt[2886][4]~67291\ $ (GND))) # (!\led_flash_cnt[2886][5]~q\ & (!\led_flash_cnt[2886][4]~67291\ & VCC))
-- \led_flash_cnt[2886][5]~67293\ = CARRY((\led_flash_cnt[2886][5]~q\ & !\led_flash_cnt[2886][4]~67291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2886][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2886][4]~67291\,
	combout => \led_flash_cnt[2886][5]~67292_combout\,
	cout => \led_flash_cnt[2886][5]~67293\);

-- Location: FF_X55_Y13_N19
\led_flash_cnt[2886][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2886][5]~67292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2886][5]~q\);

-- Location: LCCOMB_X55_Y13_N20
\led_flash_cnt[2886][6]~67294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2886][6]~67294_combout\ = (\led_flash_cnt[2886][6]~q\ & (!\led_flash_cnt[2886][5]~67293\)) # (!\led_flash_cnt[2886][6]~q\ & ((\led_flash_cnt[2886][5]~67293\) # (GND)))
-- \led_flash_cnt[2886][6]~67295\ = CARRY((!\led_flash_cnt[2886][5]~67293\) # (!\led_flash_cnt[2886][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2886][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2886][5]~67293\,
	combout => \led_flash_cnt[2886][6]~67294_combout\,
	cout => \led_flash_cnt[2886][6]~67295\);

-- Location: FF_X55_Y13_N21
\led_flash_cnt[2886][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2886][6]~67294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2886][6]~q\);

-- Location: LCCOMB_X55_Y13_N22
\led_flash_cnt[2886][7]~67296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2886][7]~67296_combout\ = \led_flash_cnt[2886][7]~q\ $ (!\led_flash_cnt[2886][6]~67295\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2886][7]~q\,
	cin => \led_flash_cnt[2886][6]~67295\,
	combout => \led_flash_cnt[2886][7]~67296_combout\);

-- Location: FF_X55_Y13_N23
\led_flash_cnt[2886][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2886][7]~67296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2886][7]~q\);

-- Location: LCCOMB_X55_Y13_N8
\WideAnd2886~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2886~0_combout\ = (\led_flash_cnt[2886][2]~q\ & (\led_flash_cnt[2886][4]~q\ & (\led_flash_cnt[2886][3]~q\ & \led_flash_cnt[2886][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2886][2]~q\,
	datab => \led_flash_cnt[2886][4]~q\,
	datac => \led_flash_cnt[2886][3]~q\,
	datad => \led_flash_cnt[2886][1]~q\,
	combout => \WideAnd2886~0_combout\);

-- Location: LCCOMB_X55_Y13_N24
\WideAnd2886~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2886~1_combout\ = (\led_flash_cnt[2886][6]~q\ & \led_flash_cnt[2886][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2886][6]~q\,
	datad => \led_flash_cnt[2886][5]~q\,
	combout => \WideAnd2886~1_combout\);

-- Location: LCCOMB_X55_Y13_N26
WideAnd2886 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2886~combout\ = (\led_flash_cnt[2886][7]~q\ & (\led_flash_cnt[2886][0]~q\ & (\WideAnd2886~0_combout\ & \WideAnd2886~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2886][7]~q\,
	datab => \led_flash_cnt[2886][0]~q\,
	datac => \WideAnd2886~0_combout\,
	datad => \WideAnd2886~1_combout\,
	combout => \WideAnd2886~combout\);

-- Location: FF_X55_Y13_N27
\led_flash_cnt_ands[2886]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2886~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2886));

-- Location: LCCOMB_X18_Y13_N26
\led_flash_cnt[2880][0]~83520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2880][0]~83520_combout\ = !\led_flash_cnt[2880][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2880][0]~q\,
	combout => \led_flash_cnt[2880][0]~83520_combout\);

-- Location: FF_X18_Y13_N27
\led_flash_cnt[2880][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2880][0]~83520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2880][0]~q\);

-- Location: LCCOMB_X18_Y13_N0
\led_flash_cnt[2880][1]~67200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2880][1]~67200_combout\ = (\led_flash_cnt[2880][0]~q\ & (\led_flash_cnt[2880][1]~q\ $ (VCC))) # (!\led_flash_cnt[2880][0]~q\ & (\led_flash_cnt[2880][1]~q\ & VCC))
-- \led_flash_cnt[2880][1]~67201\ = CARRY((\led_flash_cnt[2880][0]~q\ & \led_flash_cnt[2880][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2880][0]~q\,
	datab => \led_flash_cnt[2880][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2880][1]~67200_combout\,
	cout => \led_flash_cnt[2880][1]~67201\);

-- Location: FF_X18_Y13_N1
\led_flash_cnt[2880][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2880][1]~67200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2880][1]~q\);

-- Location: LCCOMB_X18_Y13_N2
\led_flash_cnt[2880][2]~67202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2880][2]~67202_combout\ = (\led_flash_cnt[2880][2]~q\ & (!\led_flash_cnt[2880][1]~67201\)) # (!\led_flash_cnt[2880][2]~q\ & ((\led_flash_cnt[2880][1]~67201\) # (GND)))
-- \led_flash_cnt[2880][2]~67203\ = CARRY((!\led_flash_cnt[2880][1]~67201\) # (!\led_flash_cnt[2880][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2880][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2880][1]~67201\,
	combout => \led_flash_cnt[2880][2]~67202_combout\,
	cout => \led_flash_cnt[2880][2]~67203\);

-- Location: FF_X18_Y13_N3
\led_flash_cnt[2880][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2880][2]~67202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2880][2]~q\);

-- Location: LCCOMB_X18_Y13_N4
\led_flash_cnt[2880][3]~67204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2880][3]~67204_combout\ = (\led_flash_cnt[2880][3]~q\ & (\led_flash_cnt[2880][2]~67203\ $ (GND))) # (!\led_flash_cnt[2880][3]~q\ & (!\led_flash_cnt[2880][2]~67203\ & VCC))
-- \led_flash_cnt[2880][3]~67205\ = CARRY((\led_flash_cnt[2880][3]~q\ & !\led_flash_cnt[2880][2]~67203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2880][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2880][2]~67203\,
	combout => \led_flash_cnt[2880][3]~67204_combout\,
	cout => \led_flash_cnt[2880][3]~67205\);

-- Location: FF_X18_Y13_N5
\led_flash_cnt[2880][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2880][3]~67204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2880][3]~q\);

-- Location: LCCOMB_X18_Y13_N6
\led_flash_cnt[2880][4]~67206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2880][4]~67206_combout\ = (\led_flash_cnt[2880][4]~q\ & (!\led_flash_cnt[2880][3]~67205\)) # (!\led_flash_cnt[2880][4]~q\ & ((\led_flash_cnt[2880][3]~67205\) # (GND)))
-- \led_flash_cnt[2880][4]~67207\ = CARRY((!\led_flash_cnt[2880][3]~67205\) # (!\led_flash_cnt[2880][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2880][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2880][3]~67205\,
	combout => \led_flash_cnt[2880][4]~67206_combout\,
	cout => \led_flash_cnt[2880][4]~67207\);

-- Location: FF_X18_Y13_N7
\led_flash_cnt[2880][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2880][4]~67206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2880][4]~q\);

-- Location: LCCOMB_X18_Y13_N8
\led_flash_cnt[2880][5]~67208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2880][5]~67208_combout\ = (\led_flash_cnt[2880][5]~q\ & (\led_flash_cnt[2880][4]~67207\ $ (GND))) # (!\led_flash_cnt[2880][5]~q\ & (!\led_flash_cnt[2880][4]~67207\ & VCC))
-- \led_flash_cnt[2880][5]~67209\ = CARRY((\led_flash_cnt[2880][5]~q\ & !\led_flash_cnt[2880][4]~67207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2880][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2880][4]~67207\,
	combout => \led_flash_cnt[2880][5]~67208_combout\,
	cout => \led_flash_cnt[2880][5]~67209\);

-- Location: FF_X18_Y13_N9
\led_flash_cnt[2880][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2880][5]~67208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2880][5]~q\);

-- Location: LCCOMB_X18_Y13_N10
\led_flash_cnt[2880][6]~67210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2880][6]~67210_combout\ = (\led_flash_cnt[2880][6]~q\ & (!\led_flash_cnt[2880][5]~67209\)) # (!\led_flash_cnt[2880][6]~q\ & ((\led_flash_cnt[2880][5]~67209\) # (GND)))
-- \led_flash_cnt[2880][6]~67211\ = CARRY((!\led_flash_cnt[2880][5]~67209\) # (!\led_flash_cnt[2880][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2880][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2880][5]~67209\,
	combout => \led_flash_cnt[2880][6]~67210_combout\,
	cout => \led_flash_cnt[2880][6]~67211\);

-- Location: FF_X18_Y13_N11
\led_flash_cnt[2880][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2880][6]~67210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2880][6]~q\);

-- Location: LCCOMB_X18_Y13_N12
\led_flash_cnt[2880][7]~67212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2880][7]~67212_combout\ = \led_flash_cnt[2880][6]~67211\ $ (!\led_flash_cnt[2880][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2880][7]~q\,
	cin => \led_flash_cnt[2880][6]~67211\,
	combout => \led_flash_cnt[2880][7]~67212_combout\);

-- Location: FF_X18_Y13_N13
\led_flash_cnt[2880][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2880][7]~67212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2880][7]~q\);

-- Location: LCCOMB_X18_Y13_N18
\WideAnd2880~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2880~1_combout\ = (\led_flash_cnt[2880][5]~q\ & \led_flash_cnt[2880][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2880][5]~q\,
	datad => \led_flash_cnt[2880][6]~q\,
	combout => \WideAnd2880~1_combout\);

-- Location: LCCOMB_X18_Y13_N28
\WideAnd2880~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2880~0_combout\ = (\led_flash_cnt[2880][4]~q\ & (\led_flash_cnt[2880][2]~q\ & (\led_flash_cnt[2880][3]~q\ & \led_flash_cnt[2880][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2880][4]~q\,
	datab => \led_flash_cnt[2880][2]~q\,
	datac => \led_flash_cnt[2880][3]~q\,
	datad => \led_flash_cnt[2880][1]~q\,
	combout => \WideAnd2880~0_combout\);

-- Location: LCCOMB_X18_Y13_N22
WideAnd2880 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2880~combout\ = (\led_flash_cnt[2880][7]~q\ & (\WideAnd2880~1_combout\ & (\led_flash_cnt[2880][0]~q\ & \WideAnd2880~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2880][7]~q\,
	datab => \WideAnd2880~1_combout\,
	datac => \led_flash_cnt[2880][0]~q\,
	datad => \WideAnd2880~0_combout\,
	combout => \WideAnd2880~combout\);

-- Location: FF_X18_Y13_N23
\led_flash_cnt_ands[2880]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2880~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2880));

-- Location: LCCOMB_X9_Y14_N12
\led_flash_cnt[2883][0]~83523\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2883][0]~83523_combout\ = !\led_flash_cnt[2883][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2883][0]~q\,
	combout => \led_flash_cnt[2883][0]~83523_combout\);

-- Location: FF_X9_Y14_N13
\led_flash_cnt[2883][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2883][0]~83523_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2883][0]~q\);

-- Location: LCCOMB_X9_Y14_N14
\led_flash_cnt[2883][1]~67242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2883][1]~67242_combout\ = (\led_flash_cnt[2883][0]~q\ & (\led_flash_cnt[2883][1]~q\ $ (VCC))) # (!\led_flash_cnt[2883][0]~q\ & (\led_flash_cnt[2883][1]~q\ & VCC))
-- \led_flash_cnt[2883][1]~67243\ = CARRY((\led_flash_cnt[2883][0]~q\ & \led_flash_cnt[2883][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2883][0]~q\,
	datab => \led_flash_cnt[2883][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2883][1]~67242_combout\,
	cout => \led_flash_cnt[2883][1]~67243\);

-- Location: FF_X9_Y14_N15
\led_flash_cnt[2883][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2883][1]~67242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2883][1]~q\);

-- Location: LCCOMB_X9_Y14_N16
\led_flash_cnt[2883][2]~67244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2883][2]~67244_combout\ = (\led_flash_cnt[2883][2]~q\ & (!\led_flash_cnt[2883][1]~67243\)) # (!\led_flash_cnt[2883][2]~q\ & ((\led_flash_cnt[2883][1]~67243\) # (GND)))
-- \led_flash_cnt[2883][2]~67245\ = CARRY((!\led_flash_cnt[2883][1]~67243\) # (!\led_flash_cnt[2883][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2883][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2883][1]~67243\,
	combout => \led_flash_cnt[2883][2]~67244_combout\,
	cout => \led_flash_cnt[2883][2]~67245\);

-- Location: FF_X9_Y14_N17
\led_flash_cnt[2883][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2883][2]~67244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2883][2]~q\);

-- Location: LCCOMB_X9_Y14_N18
\led_flash_cnt[2883][3]~67246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2883][3]~67246_combout\ = (\led_flash_cnt[2883][3]~q\ & (\led_flash_cnt[2883][2]~67245\ $ (GND))) # (!\led_flash_cnt[2883][3]~q\ & (!\led_flash_cnt[2883][2]~67245\ & VCC))
-- \led_flash_cnt[2883][3]~67247\ = CARRY((\led_flash_cnt[2883][3]~q\ & !\led_flash_cnt[2883][2]~67245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2883][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2883][2]~67245\,
	combout => \led_flash_cnt[2883][3]~67246_combout\,
	cout => \led_flash_cnt[2883][3]~67247\);

-- Location: FF_X9_Y14_N19
\led_flash_cnt[2883][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2883][3]~67246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2883][3]~q\);

-- Location: LCCOMB_X9_Y14_N20
\led_flash_cnt[2883][4]~67248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2883][4]~67248_combout\ = (\led_flash_cnt[2883][4]~q\ & (!\led_flash_cnt[2883][3]~67247\)) # (!\led_flash_cnt[2883][4]~q\ & ((\led_flash_cnt[2883][3]~67247\) # (GND)))
-- \led_flash_cnt[2883][4]~67249\ = CARRY((!\led_flash_cnt[2883][3]~67247\) # (!\led_flash_cnt[2883][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2883][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2883][3]~67247\,
	combout => \led_flash_cnt[2883][4]~67248_combout\,
	cout => \led_flash_cnt[2883][4]~67249\);

-- Location: FF_X9_Y14_N21
\led_flash_cnt[2883][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2883][4]~67248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2883][4]~q\);

-- Location: LCCOMB_X9_Y14_N22
\led_flash_cnt[2883][5]~67250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2883][5]~67250_combout\ = (\led_flash_cnt[2883][5]~q\ & (\led_flash_cnt[2883][4]~67249\ $ (GND))) # (!\led_flash_cnt[2883][5]~q\ & (!\led_flash_cnt[2883][4]~67249\ & VCC))
-- \led_flash_cnt[2883][5]~67251\ = CARRY((\led_flash_cnt[2883][5]~q\ & !\led_flash_cnt[2883][4]~67249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2883][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2883][4]~67249\,
	combout => \led_flash_cnt[2883][5]~67250_combout\,
	cout => \led_flash_cnt[2883][5]~67251\);

-- Location: FF_X9_Y14_N23
\led_flash_cnt[2883][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2883][5]~67250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2883][5]~q\);

-- Location: LCCOMB_X9_Y14_N24
\led_flash_cnt[2883][6]~67252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2883][6]~67252_combout\ = (\led_flash_cnt[2883][6]~q\ & (!\led_flash_cnt[2883][5]~67251\)) # (!\led_flash_cnt[2883][6]~q\ & ((\led_flash_cnt[2883][5]~67251\) # (GND)))
-- \led_flash_cnt[2883][6]~67253\ = CARRY((!\led_flash_cnt[2883][5]~67251\) # (!\led_flash_cnt[2883][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2883][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2883][5]~67251\,
	combout => \led_flash_cnt[2883][6]~67252_combout\,
	cout => \led_flash_cnt[2883][6]~67253\);

-- Location: FF_X9_Y14_N25
\led_flash_cnt[2883][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2883][6]~67252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2883][6]~q\);

-- Location: LCCOMB_X9_Y14_N6
\WideAnd2883~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2883~1_combout\ = (\led_flash_cnt[2883][5]~q\ & \led_flash_cnt[2883][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2883][5]~q\,
	datad => \led_flash_cnt[2883][6]~q\,
	combout => \WideAnd2883~1_combout\);

-- Location: LCCOMB_X9_Y14_N28
\WideAnd2883~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2883~0_combout\ = (\led_flash_cnt[2883][3]~q\ & (\led_flash_cnt[2883][2]~q\ & (\led_flash_cnt[2883][1]~q\ & \led_flash_cnt[2883][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2883][3]~q\,
	datab => \led_flash_cnt[2883][2]~q\,
	datac => \led_flash_cnt[2883][1]~q\,
	datad => \led_flash_cnt[2883][4]~q\,
	combout => \WideAnd2883~0_combout\);

-- Location: LCCOMB_X9_Y14_N26
\led_flash_cnt[2883][7]~67254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2883][7]~67254_combout\ = \led_flash_cnt[2883][7]~q\ $ (!\led_flash_cnt[2883][6]~67253\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2883][7]~q\,
	cin => \led_flash_cnt[2883][6]~67253\,
	combout => \led_flash_cnt[2883][7]~67254_combout\);

-- Location: FF_X9_Y14_N27
\led_flash_cnt[2883][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2883][7]~67254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2883][7]~q\);

-- Location: LCCOMB_X9_Y14_N30
WideAnd2883 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2883~combout\ = (\WideAnd2883~1_combout\ & (\WideAnd2883~0_combout\ & (\led_flash_cnt[2883][7]~q\ & \led_flash_cnt[2883][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2883~1_combout\,
	datab => \WideAnd2883~0_combout\,
	datac => \led_flash_cnt[2883][7]~q\,
	datad => \led_flash_cnt[2883][0]~q\,
	combout => \WideAnd2883~combout\);

-- Location: FF_X9_Y14_N31
\led_flash_cnt_ands[2883]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2883~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2883));

-- Location: LCCOMB_X12_Y17_N22
\led_flash_cnt[2882][0]~83522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2882][0]~83522_combout\ = !\led_flash_cnt[2882][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2882][0]~q\,
	combout => \led_flash_cnt[2882][0]~83522_combout\);

-- Location: FF_X12_Y17_N23
\led_flash_cnt[2882][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2882][0]~83522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2882][0]~q\);

-- Location: LCCOMB_X12_Y17_N8
\led_flash_cnt[2882][1]~67228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2882][1]~67228_combout\ = (\led_flash_cnt[2882][0]~q\ & (\led_flash_cnt[2882][1]~q\ $ (VCC))) # (!\led_flash_cnt[2882][0]~q\ & (\led_flash_cnt[2882][1]~q\ & VCC))
-- \led_flash_cnt[2882][1]~67229\ = CARRY((\led_flash_cnt[2882][0]~q\ & \led_flash_cnt[2882][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2882][0]~q\,
	datab => \led_flash_cnt[2882][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2882][1]~67228_combout\,
	cout => \led_flash_cnt[2882][1]~67229\);

-- Location: FF_X12_Y17_N9
\led_flash_cnt[2882][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2882][1]~67228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2882][1]~q\);

-- Location: LCCOMB_X12_Y17_N10
\led_flash_cnt[2882][2]~67230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2882][2]~67230_combout\ = (\led_flash_cnt[2882][2]~q\ & (!\led_flash_cnt[2882][1]~67229\)) # (!\led_flash_cnt[2882][2]~q\ & ((\led_flash_cnt[2882][1]~67229\) # (GND)))
-- \led_flash_cnt[2882][2]~67231\ = CARRY((!\led_flash_cnt[2882][1]~67229\) # (!\led_flash_cnt[2882][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2882][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2882][1]~67229\,
	combout => \led_flash_cnt[2882][2]~67230_combout\,
	cout => \led_flash_cnt[2882][2]~67231\);

-- Location: FF_X12_Y17_N11
\led_flash_cnt[2882][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2882][2]~67230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2882][2]~q\);

-- Location: LCCOMB_X12_Y17_N12
\led_flash_cnt[2882][3]~67232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2882][3]~67232_combout\ = (\led_flash_cnt[2882][3]~q\ & (\led_flash_cnt[2882][2]~67231\ $ (GND))) # (!\led_flash_cnt[2882][3]~q\ & (!\led_flash_cnt[2882][2]~67231\ & VCC))
-- \led_flash_cnt[2882][3]~67233\ = CARRY((\led_flash_cnt[2882][3]~q\ & !\led_flash_cnt[2882][2]~67231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2882][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2882][2]~67231\,
	combout => \led_flash_cnt[2882][3]~67232_combout\,
	cout => \led_flash_cnt[2882][3]~67233\);

-- Location: FF_X12_Y17_N13
\led_flash_cnt[2882][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2882][3]~67232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2882][3]~q\);

-- Location: LCCOMB_X12_Y17_N14
\led_flash_cnt[2882][4]~67234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2882][4]~67234_combout\ = (\led_flash_cnt[2882][4]~q\ & (!\led_flash_cnt[2882][3]~67233\)) # (!\led_flash_cnt[2882][4]~q\ & ((\led_flash_cnt[2882][3]~67233\) # (GND)))
-- \led_flash_cnt[2882][4]~67235\ = CARRY((!\led_flash_cnt[2882][3]~67233\) # (!\led_flash_cnt[2882][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2882][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2882][3]~67233\,
	combout => \led_flash_cnt[2882][4]~67234_combout\,
	cout => \led_flash_cnt[2882][4]~67235\);

-- Location: FF_X12_Y17_N15
\led_flash_cnt[2882][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2882][4]~67234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2882][4]~q\);

-- Location: LCCOMB_X12_Y17_N28
\WideAnd2882~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2882~0_combout\ = (\led_flash_cnt[2882][2]~q\ & (\led_flash_cnt[2882][4]~q\ & (\led_flash_cnt[2882][1]~q\ & \led_flash_cnt[2882][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2882][2]~q\,
	datab => \led_flash_cnt[2882][4]~q\,
	datac => \led_flash_cnt[2882][1]~q\,
	datad => \led_flash_cnt[2882][3]~q\,
	combout => \WideAnd2882~0_combout\);

-- Location: LCCOMB_X12_Y17_N16
\led_flash_cnt[2882][5]~67236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2882][5]~67236_combout\ = (\led_flash_cnt[2882][5]~q\ & (\led_flash_cnt[2882][4]~67235\ $ (GND))) # (!\led_flash_cnt[2882][5]~q\ & (!\led_flash_cnt[2882][4]~67235\ & VCC))
-- \led_flash_cnt[2882][5]~67237\ = CARRY((\led_flash_cnt[2882][5]~q\ & !\led_flash_cnt[2882][4]~67235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2882][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2882][4]~67235\,
	combout => \led_flash_cnt[2882][5]~67236_combout\,
	cout => \led_flash_cnt[2882][5]~67237\);

-- Location: FF_X12_Y17_N17
\led_flash_cnt[2882][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2882][5]~67236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2882][5]~q\);

-- Location: LCCOMB_X12_Y17_N18
\led_flash_cnt[2882][6]~67238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2882][6]~67238_combout\ = (\led_flash_cnt[2882][6]~q\ & (!\led_flash_cnt[2882][5]~67237\)) # (!\led_flash_cnt[2882][6]~q\ & ((\led_flash_cnt[2882][5]~67237\) # (GND)))
-- \led_flash_cnt[2882][6]~67239\ = CARRY((!\led_flash_cnt[2882][5]~67237\) # (!\led_flash_cnt[2882][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2882][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2882][5]~67237\,
	combout => \led_flash_cnt[2882][6]~67238_combout\,
	cout => \led_flash_cnt[2882][6]~67239\);

-- Location: FF_X12_Y17_N19
\led_flash_cnt[2882][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2882][6]~67238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2882][6]~q\);

-- Location: LCCOMB_X12_Y17_N4
\WideAnd2882~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2882~1_combout\ = (\led_flash_cnt[2882][6]~q\ & \led_flash_cnt[2882][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2882][6]~q\,
	datad => \led_flash_cnt[2882][5]~q\,
	combout => \WideAnd2882~1_combout\);

-- Location: LCCOMB_X12_Y17_N20
\led_flash_cnt[2882][7]~67240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2882][7]~67240_combout\ = \led_flash_cnt[2882][6]~67239\ $ (!\led_flash_cnt[2882][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2882][7]~q\,
	cin => \led_flash_cnt[2882][6]~67239\,
	combout => \led_flash_cnt[2882][7]~67240_combout\);

-- Location: FF_X12_Y17_N21
\led_flash_cnt[2882][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2882][7]~67240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2882][7]~q\);

-- Location: LCCOMB_X12_Y17_N26
WideAnd2882 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2882~combout\ = (\led_flash_cnt[2882][0]~q\ & (\WideAnd2882~0_combout\ & (\WideAnd2882~1_combout\ & \led_flash_cnt[2882][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2882][0]~q\,
	datab => \WideAnd2882~0_combout\,
	datac => \WideAnd2882~1_combout\,
	datad => \led_flash_cnt[2882][7]~q\,
	combout => \WideAnd2882~combout\);

-- Location: FF_X12_Y17_N27
\led_flash_cnt_ands[2882]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2882~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2882));

-- Location: LCCOMB_X12_Y17_N6
\led_flash_cnt[2881][0]~83521\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2881][0]~83521_combout\ = !\led_flash_cnt[2881][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2881][0]~q\,
	combout => \led_flash_cnt[2881][0]~83521_combout\);

-- Location: FF_X12_Y17_N7
\led_flash_cnt[2881][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2881][0]~83521_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2881][0]~q\);

-- Location: LCCOMB_X13_Y17_N18
\led_flash_cnt[2881][1]~67214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2881][1]~67214_combout\ = (\led_flash_cnt[2881][0]~q\ & (\led_flash_cnt[2881][1]~q\ $ (VCC))) # (!\led_flash_cnt[2881][0]~q\ & (\led_flash_cnt[2881][1]~q\ & VCC))
-- \led_flash_cnt[2881][1]~67215\ = CARRY((\led_flash_cnt[2881][0]~q\ & \led_flash_cnt[2881][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2881][0]~q\,
	datab => \led_flash_cnt[2881][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2881][1]~67214_combout\,
	cout => \led_flash_cnt[2881][1]~67215\);

-- Location: FF_X13_Y17_N19
\led_flash_cnt[2881][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2881][1]~67214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2881][1]~q\);

-- Location: LCCOMB_X13_Y17_N20
\led_flash_cnt[2881][2]~67216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2881][2]~67216_combout\ = (\led_flash_cnt[2881][2]~q\ & (!\led_flash_cnt[2881][1]~67215\)) # (!\led_flash_cnt[2881][2]~q\ & ((\led_flash_cnt[2881][1]~67215\) # (GND)))
-- \led_flash_cnt[2881][2]~67217\ = CARRY((!\led_flash_cnt[2881][1]~67215\) # (!\led_flash_cnt[2881][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2881][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2881][1]~67215\,
	combout => \led_flash_cnt[2881][2]~67216_combout\,
	cout => \led_flash_cnt[2881][2]~67217\);

-- Location: FF_X13_Y17_N21
\led_flash_cnt[2881][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2881][2]~67216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2881][2]~q\);

-- Location: LCCOMB_X13_Y17_N22
\led_flash_cnt[2881][3]~67218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2881][3]~67218_combout\ = (\led_flash_cnt[2881][3]~q\ & (\led_flash_cnt[2881][2]~67217\ $ (GND))) # (!\led_flash_cnt[2881][3]~q\ & (!\led_flash_cnt[2881][2]~67217\ & VCC))
-- \led_flash_cnt[2881][3]~67219\ = CARRY((\led_flash_cnt[2881][3]~q\ & !\led_flash_cnt[2881][2]~67217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2881][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2881][2]~67217\,
	combout => \led_flash_cnt[2881][3]~67218_combout\,
	cout => \led_flash_cnt[2881][3]~67219\);

-- Location: FF_X13_Y17_N23
\led_flash_cnt[2881][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2881][3]~67218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2881][3]~q\);

-- Location: LCCOMB_X13_Y17_N24
\led_flash_cnt[2881][4]~67220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2881][4]~67220_combout\ = (\led_flash_cnt[2881][4]~q\ & (!\led_flash_cnt[2881][3]~67219\)) # (!\led_flash_cnt[2881][4]~q\ & ((\led_flash_cnt[2881][3]~67219\) # (GND)))
-- \led_flash_cnt[2881][4]~67221\ = CARRY((!\led_flash_cnt[2881][3]~67219\) # (!\led_flash_cnt[2881][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2881][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2881][3]~67219\,
	combout => \led_flash_cnt[2881][4]~67220_combout\,
	cout => \led_flash_cnt[2881][4]~67221\);

-- Location: FF_X13_Y17_N25
\led_flash_cnt[2881][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2881][4]~67220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2881][4]~q\);

-- Location: LCCOMB_X13_Y17_N26
\led_flash_cnt[2881][5]~67222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2881][5]~67222_combout\ = (\led_flash_cnt[2881][5]~q\ & (\led_flash_cnt[2881][4]~67221\ $ (GND))) # (!\led_flash_cnt[2881][5]~q\ & (!\led_flash_cnt[2881][4]~67221\ & VCC))
-- \led_flash_cnt[2881][5]~67223\ = CARRY((\led_flash_cnt[2881][5]~q\ & !\led_flash_cnt[2881][4]~67221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2881][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2881][4]~67221\,
	combout => \led_flash_cnt[2881][5]~67222_combout\,
	cout => \led_flash_cnt[2881][5]~67223\);

-- Location: FF_X13_Y17_N27
\led_flash_cnt[2881][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2881][5]~67222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2881][5]~q\);

-- Location: LCCOMB_X13_Y17_N28
\led_flash_cnt[2881][6]~67224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2881][6]~67224_combout\ = (\led_flash_cnt[2881][6]~q\ & (!\led_flash_cnt[2881][5]~67223\)) # (!\led_flash_cnt[2881][6]~q\ & ((\led_flash_cnt[2881][5]~67223\) # (GND)))
-- \led_flash_cnt[2881][6]~67225\ = CARRY((!\led_flash_cnt[2881][5]~67223\) # (!\led_flash_cnt[2881][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2881][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2881][5]~67223\,
	combout => \led_flash_cnt[2881][6]~67224_combout\,
	cout => \led_flash_cnt[2881][6]~67225\);

-- Location: FF_X13_Y17_N29
\led_flash_cnt[2881][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2881][6]~67224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2881][6]~q\);

-- Location: LCCOMB_X12_Y17_N30
\WideAnd2881~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2881~1_combout\ = (\led_flash_cnt[2881][5]~q\ & \led_flash_cnt[2881][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2881][5]~q\,
	datad => \led_flash_cnt[2881][6]~q\,
	combout => \WideAnd2881~1_combout\);

-- Location: LCCOMB_X13_Y17_N14
\WideAnd2881~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2881~0_combout\ = (\led_flash_cnt[2881][1]~q\ & (\led_flash_cnt[2881][4]~q\ & (\led_flash_cnt[2881][3]~q\ & \led_flash_cnt[2881][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2881][1]~q\,
	datab => \led_flash_cnt[2881][4]~q\,
	datac => \led_flash_cnt[2881][3]~q\,
	datad => \led_flash_cnt[2881][2]~q\,
	combout => \WideAnd2881~0_combout\);

-- Location: LCCOMB_X13_Y17_N30
\led_flash_cnt[2881][7]~67226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2881][7]~67226_combout\ = \led_flash_cnt[2881][7]~q\ $ (!\led_flash_cnt[2881][6]~67225\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2881][7]~q\,
	cin => \led_flash_cnt[2881][6]~67225\,
	combout => \led_flash_cnt[2881][7]~67226_combout\);

-- Location: FF_X13_Y17_N31
\led_flash_cnt[2881][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2881][7]~67226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2881][7]~q\);

-- Location: LCCOMB_X12_Y17_N24
WideAnd2881 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2881~combout\ = (\WideAnd2881~1_combout\ & (\WideAnd2881~0_combout\ & (\led_flash_cnt[2881][7]~q\ & \led_flash_cnt[2881][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2881~1_combout\,
	datab => \WideAnd2881~0_combout\,
	datac => \led_flash_cnt[2881][7]~q\,
	datad => \led_flash_cnt[2881][0]~q\,
	combout => \WideAnd2881~combout\);

-- Location: FF_X12_Y17_N25
\led_flash_cnt_ands[2881]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2881~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2881));

-- Location: LCCOMB_X12_Y13_N2
\WideAnd4200~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4200~0_combout\ = (led_flash_cnt_ands(2880) & (led_flash_cnt_ands(2883) & (led_flash_cnt_ands(2882) & led_flash_cnt_ands(2881))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2880),
	datab => led_flash_cnt_ands(2883),
	datac => led_flash_cnt_ands(2882),
	datad => led_flash_cnt_ands(2881),
	combout => \WideAnd4200~0_combout\);

-- Location: LCCOMB_X55_Y13_N28
WideAnd4200 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4200~combout\ = (\WideAnd4200~1_combout\ & (led_flash_cnt_ands(2887) & (led_flash_cnt_ands(2886) & \WideAnd4200~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4200~1_combout\,
	datab => led_flash_cnt_ands(2887),
	datac => led_flash_cnt_ands(2886),
	datad => \WideAnd4200~0_combout\,
	combout => \WideAnd4200~combout\);

-- Location: FF_X55_Y13_N29
\led_flash_cnt_ands_1[360]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4200~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(360));

-- Location: LCCOMB_X55_Y13_N30
\WideAnd4365~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4365~0_combout\ = (led_flash_cnt_ands_1(362) & (led_flash_cnt_ands_1(363) & (led_flash_cnt_ands_1(361) & led_flash_cnt_ands_1(360))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(362),
	datab => led_flash_cnt_ands_1(363),
	datac => led_flash_cnt_ands_1(361),
	datad => led_flash_cnt_ands_1(360),
	combout => \WideAnd4365~0_combout\);

-- Location: LCCOMB_X64_Y45_N28
\led_flash_cnt[2941][0]~83581\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2941][0]~83581_combout\ = !\led_flash_cnt[2941][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2941][0]~q\,
	combout => \led_flash_cnt[2941][0]~83581_combout\);

-- Location: FF_X64_Y45_N29
\led_flash_cnt[2941][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2941][0]~83581_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2941][0]~q\);

-- Location: LCCOMB_X65_Y45_N2
\led_flash_cnt[2941][1]~68054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2941][1]~68054_combout\ = (\led_flash_cnt[2941][0]~q\ & (\led_flash_cnt[2941][1]~q\ $ (VCC))) # (!\led_flash_cnt[2941][0]~q\ & (\led_flash_cnt[2941][1]~q\ & VCC))
-- \led_flash_cnt[2941][1]~68055\ = CARRY((\led_flash_cnt[2941][0]~q\ & \led_flash_cnt[2941][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2941][0]~q\,
	datab => \led_flash_cnt[2941][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2941][1]~68054_combout\,
	cout => \led_flash_cnt[2941][1]~68055\);

-- Location: FF_X65_Y45_N3
\led_flash_cnt[2941][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2941][1]~68054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2941][1]~q\);

-- Location: LCCOMB_X65_Y45_N4
\led_flash_cnt[2941][2]~68056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2941][2]~68056_combout\ = (\led_flash_cnt[2941][2]~q\ & (!\led_flash_cnt[2941][1]~68055\)) # (!\led_flash_cnt[2941][2]~q\ & ((\led_flash_cnt[2941][1]~68055\) # (GND)))
-- \led_flash_cnt[2941][2]~68057\ = CARRY((!\led_flash_cnt[2941][1]~68055\) # (!\led_flash_cnt[2941][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2941][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2941][1]~68055\,
	combout => \led_flash_cnt[2941][2]~68056_combout\,
	cout => \led_flash_cnt[2941][2]~68057\);

-- Location: FF_X65_Y45_N5
\led_flash_cnt[2941][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2941][2]~68056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2941][2]~q\);

-- Location: LCCOMB_X65_Y45_N6
\led_flash_cnt[2941][3]~68058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2941][3]~68058_combout\ = (\led_flash_cnt[2941][3]~q\ & (\led_flash_cnt[2941][2]~68057\ $ (GND))) # (!\led_flash_cnt[2941][3]~q\ & (!\led_flash_cnt[2941][2]~68057\ & VCC))
-- \led_flash_cnt[2941][3]~68059\ = CARRY((\led_flash_cnt[2941][3]~q\ & !\led_flash_cnt[2941][2]~68057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2941][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2941][2]~68057\,
	combout => \led_flash_cnt[2941][3]~68058_combout\,
	cout => \led_flash_cnt[2941][3]~68059\);

-- Location: FF_X65_Y45_N7
\led_flash_cnt[2941][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2941][3]~68058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2941][3]~q\);

-- Location: LCCOMB_X65_Y45_N8
\led_flash_cnt[2941][4]~68060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2941][4]~68060_combout\ = (\led_flash_cnt[2941][4]~q\ & (!\led_flash_cnt[2941][3]~68059\)) # (!\led_flash_cnt[2941][4]~q\ & ((\led_flash_cnt[2941][3]~68059\) # (GND)))
-- \led_flash_cnt[2941][4]~68061\ = CARRY((!\led_flash_cnt[2941][3]~68059\) # (!\led_flash_cnt[2941][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2941][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2941][3]~68059\,
	combout => \led_flash_cnt[2941][4]~68060_combout\,
	cout => \led_flash_cnt[2941][4]~68061\);

-- Location: FF_X65_Y45_N9
\led_flash_cnt[2941][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2941][4]~68060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2941][4]~q\);

-- Location: LCCOMB_X65_Y45_N10
\led_flash_cnt[2941][5]~68062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2941][5]~68062_combout\ = (\led_flash_cnt[2941][5]~q\ & (\led_flash_cnt[2941][4]~68061\ $ (GND))) # (!\led_flash_cnt[2941][5]~q\ & (!\led_flash_cnt[2941][4]~68061\ & VCC))
-- \led_flash_cnt[2941][5]~68063\ = CARRY((\led_flash_cnt[2941][5]~q\ & !\led_flash_cnt[2941][4]~68061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2941][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2941][4]~68061\,
	combout => \led_flash_cnt[2941][5]~68062_combout\,
	cout => \led_flash_cnt[2941][5]~68063\);

-- Location: FF_X65_Y45_N11
\led_flash_cnt[2941][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2941][5]~68062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2941][5]~q\);

-- Location: LCCOMB_X65_Y45_N12
\led_flash_cnt[2941][6]~68064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2941][6]~68064_combout\ = (\led_flash_cnt[2941][6]~q\ & (!\led_flash_cnt[2941][5]~68063\)) # (!\led_flash_cnt[2941][6]~q\ & ((\led_flash_cnt[2941][5]~68063\) # (GND)))
-- \led_flash_cnt[2941][6]~68065\ = CARRY((!\led_flash_cnt[2941][5]~68063\) # (!\led_flash_cnt[2941][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2941][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2941][5]~68063\,
	combout => \led_flash_cnt[2941][6]~68064_combout\,
	cout => \led_flash_cnt[2941][6]~68065\);

-- Location: FF_X65_Y45_N13
\led_flash_cnt[2941][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2941][6]~68064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2941][6]~q\);

-- Location: LCCOMB_X64_Y45_N26
\WideAnd2941~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2941~1_combout\ = (\led_flash_cnt[2941][5]~q\ & \led_flash_cnt[2941][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2941][5]~q\,
	datac => \led_flash_cnt[2941][6]~q\,
	combout => \WideAnd2941~1_combout\);

-- Location: LCCOMB_X65_Y45_N14
\led_flash_cnt[2941][7]~68066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2941][7]~68066_combout\ = \led_flash_cnt[2941][7]~q\ $ (!\led_flash_cnt[2941][6]~68065\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2941][7]~q\,
	cin => \led_flash_cnt[2941][6]~68065\,
	combout => \led_flash_cnt[2941][7]~68066_combout\);

-- Location: FF_X65_Y45_N15
\led_flash_cnt[2941][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2941][7]~68066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2941][7]~q\);

-- Location: LCCOMB_X65_Y45_N16
\WideAnd2941~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2941~0_combout\ = (\led_flash_cnt[2941][3]~q\ & (\led_flash_cnt[2941][4]~q\ & (\led_flash_cnt[2941][2]~q\ & \led_flash_cnt[2941][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2941][3]~q\,
	datab => \led_flash_cnt[2941][4]~q\,
	datac => \led_flash_cnt[2941][2]~q\,
	datad => \led_flash_cnt[2941][1]~q\,
	combout => \WideAnd2941~0_combout\);

-- Location: LCCOMB_X64_Y45_N30
WideAnd2941 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2941~combout\ = (\WideAnd2941~1_combout\ & (\led_flash_cnt[2941][0]~q\ & (\led_flash_cnt[2941][7]~q\ & \WideAnd2941~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2941~1_combout\,
	datab => \led_flash_cnt[2941][0]~q\,
	datac => \led_flash_cnt[2941][7]~q\,
	datad => \WideAnd2941~0_combout\,
	combout => \WideAnd2941~combout\);

-- Location: FF_X64_Y45_N31
\led_flash_cnt_ands[2941]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2941~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2941));

-- Location: LCCOMB_X64_Y45_N24
\led_flash_cnt[2940][0]~83580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2940][0]~83580_combout\ = !\led_flash_cnt[2940][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2940][0]~q\,
	combout => \led_flash_cnt[2940][0]~83580_combout\);

-- Location: FF_X64_Y45_N25
\led_flash_cnt[2940][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2940][0]~83580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2940][0]~q\);

-- Location: LCCOMB_X64_Y45_N2
\led_flash_cnt[2940][1]~68040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2940][1]~68040_combout\ = (\led_flash_cnt[2940][1]~q\ & (\led_flash_cnt[2940][0]~q\ $ (VCC))) # (!\led_flash_cnt[2940][1]~q\ & (\led_flash_cnt[2940][0]~q\ & VCC))
-- \led_flash_cnt[2940][1]~68041\ = CARRY((\led_flash_cnt[2940][1]~q\ & \led_flash_cnt[2940][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2940][1]~q\,
	datab => \led_flash_cnt[2940][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2940][1]~68040_combout\,
	cout => \led_flash_cnt[2940][1]~68041\);

-- Location: FF_X64_Y45_N3
\led_flash_cnt[2940][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2940][1]~68040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2940][1]~q\);

-- Location: LCCOMB_X64_Y45_N4
\led_flash_cnt[2940][2]~68042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2940][2]~68042_combout\ = (\led_flash_cnt[2940][2]~q\ & (!\led_flash_cnt[2940][1]~68041\)) # (!\led_flash_cnt[2940][2]~q\ & ((\led_flash_cnt[2940][1]~68041\) # (GND)))
-- \led_flash_cnt[2940][2]~68043\ = CARRY((!\led_flash_cnt[2940][1]~68041\) # (!\led_flash_cnt[2940][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2940][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2940][1]~68041\,
	combout => \led_flash_cnt[2940][2]~68042_combout\,
	cout => \led_flash_cnt[2940][2]~68043\);

-- Location: FF_X64_Y45_N5
\led_flash_cnt[2940][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2940][2]~68042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2940][2]~q\);

-- Location: LCCOMB_X64_Y45_N6
\led_flash_cnt[2940][3]~68044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2940][3]~68044_combout\ = (\led_flash_cnt[2940][3]~q\ & (\led_flash_cnt[2940][2]~68043\ $ (GND))) # (!\led_flash_cnt[2940][3]~q\ & (!\led_flash_cnt[2940][2]~68043\ & VCC))
-- \led_flash_cnt[2940][3]~68045\ = CARRY((\led_flash_cnt[2940][3]~q\ & !\led_flash_cnt[2940][2]~68043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2940][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2940][2]~68043\,
	combout => \led_flash_cnt[2940][3]~68044_combout\,
	cout => \led_flash_cnt[2940][3]~68045\);

-- Location: FF_X64_Y45_N7
\led_flash_cnt[2940][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2940][3]~68044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2940][3]~q\);

-- Location: LCCOMB_X64_Y45_N8
\led_flash_cnt[2940][4]~68046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2940][4]~68046_combout\ = (\led_flash_cnt[2940][4]~q\ & (!\led_flash_cnt[2940][3]~68045\)) # (!\led_flash_cnt[2940][4]~q\ & ((\led_flash_cnt[2940][3]~68045\) # (GND)))
-- \led_flash_cnt[2940][4]~68047\ = CARRY((!\led_flash_cnt[2940][3]~68045\) # (!\led_flash_cnt[2940][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2940][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2940][3]~68045\,
	combout => \led_flash_cnt[2940][4]~68046_combout\,
	cout => \led_flash_cnt[2940][4]~68047\);

-- Location: FF_X64_Y45_N9
\led_flash_cnt[2940][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2940][4]~68046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2940][4]~q\);

-- Location: LCCOMB_X64_Y45_N10
\led_flash_cnt[2940][5]~68048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2940][5]~68048_combout\ = (\led_flash_cnt[2940][5]~q\ & (\led_flash_cnt[2940][4]~68047\ $ (GND))) # (!\led_flash_cnt[2940][5]~q\ & (!\led_flash_cnt[2940][4]~68047\ & VCC))
-- \led_flash_cnt[2940][5]~68049\ = CARRY((\led_flash_cnt[2940][5]~q\ & !\led_flash_cnt[2940][4]~68047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2940][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2940][4]~68047\,
	combout => \led_flash_cnt[2940][5]~68048_combout\,
	cout => \led_flash_cnt[2940][5]~68049\);

-- Location: FF_X64_Y45_N11
\led_flash_cnt[2940][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2940][5]~68048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2940][5]~q\);

-- Location: LCCOMB_X64_Y45_N12
\led_flash_cnt[2940][6]~68050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2940][6]~68050_combout\ = (\led_flash_cnt[2940][6]~q\ & (!\led_flash_cnt[2940][5]~68049\)) # (!\led_flash_cnt[2940][6]~q\ & ((\led_flash_cnt[2940][5]~68049\) # (GND)))
-- \led_flash_cnt[2940][6]~68051\ = CARRY((!\led_flash_cnt[2940][5]~68049\) # (!\led_flash_cnt[2940][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2940][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2940][5]~68049\,
	combout => \led_flash_cnt[2940][6]~68050_combout\,
	cout => \led_flash_cnt[2940][6]~68051\);

-- Location: FF_X64_Y45_N13
\led_flash_cnt[2940][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2940][6]~68050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2940][6]~q\);

-- Location: LCCOMB_X64_Y45_N22
\WideAnd2940~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2940~1_combout\ = (\led_flash_cnt[2940][6]~q\ & \led_flash_cnt[2940][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2940][6]~q\,
	datad => \led_flash_cnt[2940][5]~q\,
	combout => \WideAnd2940~1_combout\);

-- Location: LCCOMB_X64_Y45_N14
\led_flash_cnt[2940][7]~68052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2940][7]~68052_combout\ = \led_flash_cnt[2940][7]~q\ $ (!\led_flash_cnt[2940][6]~68051\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2940][7]~q\,
	cin => \led_flash_cnt[2940][6]~68051\,
	combout => \led_flash_cnt[2940][7]~68052_combout\);

-- Location: FF_X64_Y45_N15
\led_flash_cnt[2940][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2940][7]~68052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2940][7]~q\);

-- Location: LCCOMB_X64_Y45_N18
\WideAnd2940~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2940~0_combout\ = (\led_flash_cnt[2940][1]~q\ & (\led_flash_cnt[2940][4]~q\ & (\led_flash_cnt[2940][2]~q\ & \led_flash_cnt[2940][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2940][1]~q\,
	datab => \led_flash_cnt[2940][4]~q\,
	datac => \led_flash_cnt[2940][2]~q\,
	datad => \led_flash_cnt[2940][3]~q\,
	combout => \WideAnd2940~0_combout\);

-- Location: LCCOMB_X64_Y45_N20
WideAnd2940 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2940~combout\ = (\WideAnd2940~1_combout\ & (\led_flash_cnt[2940][0]~q\ & (\led_flash_cnt[2940][7]~q\ & \WideAnd2940~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2940~1_combout\,
	datab => \led_flash_cnt[2940][0]~q\,
	datac => \led_flash_cnt[2940][7]~q\,
	datad => \WideAnd2940~0_combout\,
	combout => \WideAnd2940~combout\);

-- Location: FF_X64_Y45_N21
\led_flash_cnt_ands[2940]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2940~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2940));

-- Location: LCCOMB_X64_Y45_N16
\WideAnd4207~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4207~1_combout\ = (led_flash_cnt_ands(2941) & led_flash_cnt_ands(2940))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2941),
	datad => led_flash_cnt_ands(2940),
	combout => \WideAnd4207~1_combout\);

-- Location: LCCOMB_X59_Y39_N10
\led_flash_cnt[2943][0]~83583\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2943][0]~83583_combout\ = !\led_flash_cnt[2943][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2943][0]~q\,
	combout => \led_flash_cnt[2943][0]~83583_combout\);

-- Location: FF_X59_Y39_N11
\led_flash_cnt[2943][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2943][0]~83583_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2943][0]~q\);

-- Location: LCCOMB_X59_Y39_N14
\led_flash_cnt[2943][1]~68082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2943][1]~68082_combout\ = (\led_flash_cnt[2943][0]~q\ & (\led_flash_cnt[2943][1]~q\ $ (VCC))) # (!\led_flash_cnt[2943][0]~q\ & (\led_flash_cnt[2943][1]~q\ & VCC))
-- \led_flash_cnt[2943][1]~68083\ = CARRY((\led_flash_cnt[2943][0]~q\ & \led_flash_cnt[2943][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2943][0]~q\,
	datab => \led_flash_cnt[2943][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2943][1]~68082_combout\,
	cout => \led_flash_cnt[2943][1]~68083\);

-- Location: FF_X59_Y39_N15
\led_flash_cnt[2943][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2943][1]~68082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2943][1]~q\);

-- Location: LCCOMB_X59_Y39_N16
\led_flash_cnt[2943][2]~68084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2943][2]~68084_combout\ = (\led_flash_cnt[2943][2]~q\ & (!\led_flash_cnt[2943][1]~68083\)) # (!\led_flash_cnt[2943][2]~q\ & ((\led_flash_cnt[2943][1]~68083\) # (GND)))
-- \led_flash_cnt[2943][2]~68085\ = CARRY((!\led_flash_cnt[2943][1]~68083\) # (!\led_flash_cnt[2943][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2943][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2943][1]~68083\,
	combout => \led_flash_cnt[2943][2]~68084_combout\,
	cout => \led_flash_cnt[2943][2]~68085\);

-- Location: FF_X59_Y39_N17
\led_flash_cnt[2943][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2943][2]~68084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2943][2]~q\);

-- Location: LCCOMB_X59_Y39_N18
\led_flash_cnt[2943][3]~68086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2943][3]~68086_combout\ = (\led_flash_cnt[2943][3]~q\ & (\led_flash_cnt[2943][2]~68085\ $ (GND))) # (!\led_flash_cnt[2943][3]~q\ & (!\led_flash_cnt[2943][2]~68085\ & VCC))
-- \led_flash_cnt[2943][3]~68087\ = CARRY((\led_flash_cnt[2943][3]~q\ & !\led_flash_cnt[2943][2]~68085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2943][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2943][2]~68085\,
	combout => \led_flash_cnt[2943][3]~68086_combout\,
	cout => \led_flash_cnt[2943][3]~68087\);

-- Location: FF_X59_Y39_N19
\led_flash_cnt[2943][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2943][3]~68086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2943][3]~q\);

-- Location: LCCOMB_X59_Y39_N20
\led_flash_cnt[2943][4]~68088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2943][4]~68088_combout\ = (\led_flash_cnt[2943][4]~q\ & (!\led_flash_cnt[2943][3]~68087\)) # (!\led_flash_cnt[2943][4]~q\ & ((\led_flash_cnt[2943][3]~68087\) # (GND)))
-- \led_flash_cnt[2943][4]~68089\ = CARRY((!\led_flash_cnt[2943][3]~68087\) # (!\led_flash_cnt[2943][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2943][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2943][3]~68087\,
	combout => \led_flash_cnt[2943][4]~68088_combout\,
	cout => \led_flash_cnt[2943][4]~68089\);

-- Location: FF_X59_Y39_N21
\led_flash_cnt[2943][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2943][4]~68088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2943][4]~q\);

-- Location: LCCOMB_X59_Y39_N6
\WideAnd2943~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2943~0_combout\ = (\led_flash_cnt[2943][4]~q\ & (\led_flash_cnt[2943][3]~q\ & (\led_flash_cnt[2943][1]~q\ & \led_flash_cnt[2943][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2943][4]~q\,
	datab => \led_flash_cnt[2943][3]~q\,
	datac => \led_flash_cnt[2943][1]~q\,
	datad => \led_flash_cnt[2943][2]~q\,
	combout => \WideAnd2943~0_combout\);

-- Location: LCCOMB_X59_Y39_N22
\led_flash_cnt[2943][5]~68090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2943][5]~68090_combout\ = (\led_flash_cnt[2943][5]~q\ & (\led_flash_cnt[2943][4]~68089\ $ (GND))) # (!\led_flash_cnt[2943][5]~q\ & (!\led_flash_cnt[2943][4]~68089\ & VCC))
-- \led_flash_cnt[2943][5]~68091\ = CARRY((\led_flash_cnt[2943][5]~q\ & !\led_flash_cnt[2943][4]~68089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2943][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2943][4]~68089\,
	combout => \led_flash_cnt[2943][5]~68090_combout\,
	cout => \led_flash_cnt[2943][5]~68091\);

-- Location: FF_X59_Y39_N23
\led_flash_cnt[2943][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2943][5]~68090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2943][5]~q\);

-- Location: LCCOMB_X59_Y39_N24
\led_flash_cnt[2943][6]~68092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2943][6]~68092_combout\ = (\led_flash_cnt[2943][6]~q\ & (!\led_flash_cnt[2943][5]~68091\)) # (!\led_flash_cnt[2943][6]~q\ & ((\led_flash_cnt[2943][5]~68091\) # (GND)))
-- \led_flash_cnt[2943][6]~68093\ = CARRY((!\led_flash_cnt[2943][5]~68091\) # (!\led_flash_cnt[2943][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2943][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2943][5]~68091\,
	combout => \led_flash_cnt[2943][6]~68092_combout\,
	cout => \led_flash_cnt[2943][6]~68093\);

-- Location: FF_X59_Y39_N25
\led_flash_cnt[2943][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2943][6]~68092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2943][6]~q\);

-- Location: LCCOMB_X59_Y39_N26
\led_flash_cnt[2943][7]~68094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2943][7]~68094_combout\ = \led_flash_cnt[2943][7]~q\ $ (!\led_flash_cnt[2943][6]~68093\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2943][7]~q\,
	cin => \led_flash_cnt[2943][6]~68093\,
	combout => \led_flash_cnt[2943][7]~68094_combout\);

-- Location: FF_X59_Y39_N27
\led_flash_cnt[2943][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2943][7]~68094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2943][7]~q\);

-- Location: LCCOMB_X59_Y39_N8
\WideAnd2943~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2943~1_combout\ = (\led_flash_cnt[2943][5]~q\ & \led_flash_cnt[2943][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2943][5]~q\,
	datac => \led_flash_cnt[2943][7]~q\,
	combout => \WideAnd2943~1_combout\);

-- Location: LCCOMB_X59_Y39_N0
WideAnd2943 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2943~combout\ = (\WideAnd2943~0_combout\ & (\led_flash_cnt[2943][6]~q\ & (\WideAnd2943~1_combout\ & \led_flash_cnt[2943][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2943~0_combout\,
	datab => \led_flash_cnt[2943][6]~q\,
	datac => \WideAnd2943~1_combout\,
	datad => \led_flash_cnt[2943][0]~q\,
	combout => \WideAnd2943~combout\);

-- Location: FF_X59_Y39_N1
\led_flash_cnt_ands[2943]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2943~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2943));

-- Location: LCCOMB_X52_Y13_N0
\led_flash_cnt[2937][0]~83577\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2937][0]~83577_combout\ = !\led_flash_cnt[2937][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2937][0]~q\,
	combout => \led_flash_cnt[2937][0]~83577_combout\);

-- Location: FF_X52_Y13_N1
\led_flash_cnt[2937][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2937][0]~83577_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2937][0]~q\);

-- Location: LCCOMB_X52_Y13_N12
\led_flash_cnt[2937][1]~67998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2937][1]~67998_combout\ = (\led_flash_cnt[2937][1]~q\ & (\led_flash_cnt[2937][0]~q\ $ (VCC))) # (!\led_flash_cnt[2937][1]~q\ & (\led_flash_cnt[2937][0]~q\ & VCC))
-- \led_flash_cnt[2937][1]~67999\ = CARRY((\led_flash_cnt[2937][1]~q\ & \led_flash_cnt[2937][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2937][1]~q\,
	datab => \led_flash_cnt[2937][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2937][1]~67998_combout\,
	cout => \led_flash_cnt[2937][1]~67999\);

-- Location: FF_X52_Y13_N13
\led_flash_cnt[2937][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2937][1]~67998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2937][1]~q\);

-- Location: LCCOMB_X52_Y13_N14
\led_flash_cnt[2937][2]~68000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2937][2]~68000_combout\ = (\led_flash_cnt[2937][2]~q\ & (!\led_flash_cnt[2937][1]~67999\)) # (!\led_flash_cnt[2937][2]~q\ & ((\led_flash_cnt[2937][1]~67999\) # (GND)))
-- \led_flash_cnt[2937][2]~68001\ = CARRY((!\led_flash_cnt[2937][1]~67999\) # (!\led_flash_cnt[2937][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2937][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2937][1]~67999\,
	combout => \led_flash_cnt[2937][2]~68000_combout\,
	cout => \led_flash_cnt[2937][2]~68001\);

-- Location: FF_X52_Y13_N15
\led_flash_cnt[2937][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2937][2]~68000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2937][2]~q\);

-- Location: LCCOMB_X52_Y13_N16
\led_flash_cnt[2937][3]~68002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2937][3]~68002_combout\ = (\led_flash_cnt[2937][3]~q\ & (\led_flash_cnt[2937][2]~68001\ $ (GND))) # (!\led_flash_cnt[2937][3]~q\ & (!\led_flash_cnt[2937][2]~68001\ & VCC))
-- \led_flash_cnt[2937][3]~68003\ = CARRY((\led_flash_cnt[2937][3]~q\ & !\led_flash_cnt[2937][2]~68001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2937][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2937][2]~68001\,
	combout => \led_flash_cnt[2937][3]~68002_combout\,
	cout => \led_flash_cnt[2937][3]~68003\);

-- Location: FF_X52_Y13_N17
\led_flash_cnt[2937][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2937][3]~68002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2937][3]~q\);

-- Location: LCCOMB_X52_Y13_N18
\led_flash_cnt[2937][4]~68004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2937][4]~68004_combout\ = (\led_flash_cnt[2937][4]~q\ & (!\led_flash_cnt[2937][3]~68003\)) # (!\led_flash_cnt[2937][4]~q\ & ((\led_flash_cnt[2937][3]~68003\) # (GND)))
-- \led_flash_cnt[2937][4]~68005\ = CARRY((!\led_flash_cnt[2937][3]~68003\) # (!\led_flash_cnt[2937][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2937][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2937][3]~68003\,
	combout => \led_flash_cnt[2937][4]~68004_combout\,
	cout => \led_flash_cnt[2937][4]~68005\);

-- Location: FF_X52_Y13_N19
\led_flash_cnt[2937][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2937][4]~68004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2937][4]~q\);

-- Location: LCCOMB_X52_Y13_N20
\led_flash_cnt[2937][5]~68006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2937][5]~68006_combout\ = (\led_flash_cnt[2937][5]~q\ & (\led_flash_cnt[2937][4]~68005\ $ (GND))) # (!\led_flash_cnt[2937][5]~q\ & (!\led_flash_cnt[2937][4]~68005\ & VCC))
-- \led_flash_cnt[2937][5]~68007\ = CARRY((\led_flash_cnt[2937][5]~q\ & !\led_flash_cnt[2937][4]~68005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2937][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2937][4]~68005\,
	combout => \led_flash_cnt[2937][5]~68006_combout\,
	cout => \led_flash_cnt[2937][5]~68007\);

-- Location: FF_X52_Y13_N21
\led_flash_cnt[2937][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2937][5]~68006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2937][5]~q\);

-- Location: LCCOMB_X52_Y13_N22
\led_flash_cnt[2937][6]~68008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2937][6]~68008_combout\ = (\led_flash_cnt[2937][6]~q\ & (!\led_flash_cnt[2937][5]~68007\)) # (!\led_flash_cnt[2937][6]~q\ & ((\led_flash_cnt[2937][5]~68007\) # (GND)))
-- \led_flash_cnt[2937][6]~68009\ = CARRY((!\led_flash_cnt[2937][5]~68007\) # (!\led_flash_cnt[2937][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2937][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2937][5]~68007\,
	combout => \led_flash_cnt[2937][6]~68008_combout\,
	cout => \led_flash_cnt[2937][6]~68009\);

-- Location: FF_X52_Y13_N23
\led_flash_cnt[2937][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2937][6]~68008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2937][6]~q\);

-- Location: LCCOMB_X52_Y13_N26
\WideAnd2937~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2937~1_combout\ = (\led_flash_cnt[2937][6]~q\ & \led_flash_cnt[2937][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2937][6]~q\,
	datad => \led_flash_cnt[2937][5]~q\,
	combout => \WideAnd2937~1_combout\);

-- Location: LCCOMB_X52_Y13_N30
\WideAnd2937~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2937~0_combout\ = (\led_flash_cnt[2937][1]~q\ & (\led_flash_cnt[2937][3]~q\ & (\led_flash_cnt[2937][2]~q\ & \led_flash_cnt[2937][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2937][1]~q\,
	datab => \led_flash_cnt[2937][3]~q\,
	datac => \led_flash_cnt[2937][2]~q\,
	datad => \led_flash_cnt[2937][4]~q\,
	combout => \WideAnd2937~0_combout\);

-- Location: LCCOMB_X52_Y13_N24
\led_flash_cnt[2937][7]~68010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2937][7]~68010_combout\ = \led_flash_cnt[2937][6]~68009\ $ (!\led_flash_cnt[2937][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2937][7]~q\,
	cin => \led_flash_cnt[2937][6]~68009\,
	combout => \led_flash_cnt[2937][7]~68010_combout\);

-- Location: FF_X52_Y13_N25
\led_flash_cnt[2937][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2937][7]~68010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2937][7]~q\);

-- Location: LCCOMB_X52_Y13_N6
WideAnd2937 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2937~combout\ = (\WideAnd2937~1_combout\ & (\led_flash_cnt[2937][0]~q\ & (\WideAnd2937~0_combout\ & \led_flash_cnt[2937][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2937~1_combout\,
	datab => \led_flash_cnt[2937][0]~q\,
	datac => \WideAnd2937~0_combout\,
	datad => \led_flash_cnt[2937][7]~q\,
	combout => \WideAnd2937~combout\);

-- Location: FF_X52_Y13_N7
\led_flash_cnt_ands[2937]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2937~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2937));

-- Location: LCCOMB_X52_Y12_N28
\led_flash_cnt[2939][0]~83579\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2939][0]~83579_combout\ = !\led_flash_cnt[2939][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2939][0]~q\,
	combout => \led_flash_cnt[2939][0]~83579_combout\);

-- Location: FF_X52_Y12_N29
\led_flash_cnt[2939][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2939][0]~83579_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2939][0]~q\);

-- Location: LCCOMB_X52_Y12_N10
\led_flash_cnt[2939][1]~68026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2939][1]~68026_combout\ = (\led_flash_cnt[2939][1]~q\ & (\led_flash_cnt[2939][0]~q\ $ (VCC))) # (!\led_flash_cnt[2939][1]~q\ & (\led_flash_cnt[2939][0]~q\ & VCC))
-- \led_flash_cnt[2939][1]~68027\ = CARRY((\led_flash_cnt[2939][1]~q\ & \led_flash_cnt[2939][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2939][1]~q\,
	datab => \led_flash_cnt[2939][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2939][1]~68026_combout\,
	cout => \led_flash_cnt[2939][1]~68027\);

-- Location: FF_X52_Y12_N11
\led_flash_cnt[2939][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2939][1]~68026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2939][1]~q\);

-- Location: LCCOMB_X52_Y12_N12
\led_flash_cnt[2939][2]~68028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2939][2]~68028_combout\ = (\led_flash_cnt[2939][2]~q\ & (!\led_flash_cnt[2939][1]~68027\)) # (!\led_flash_cnt[2939][2]~q\ & ((\led_flash_cnt[2939][1]~68027\) # (GND)))
-- \led_flash_cnt[2939][2]~68029\ = CARRY((!\led_flash_cnt[2939][1]~68027\) # (!\led_flash_cnt[2939][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2939][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2939][1]~68027\,
	combout => \led_flash_cnt[2939][2]~68028_combout\,
	cout => \led_flash_cnt[2939][2]~68029\);

-- Location: FF_X52_Y12_N13
\led_flash_cnt[2939][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2939][2]~68028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2939][2]~q\);

-- Location: LCCOMB_X52_Y12_N14
\led_flash_cnt[2939][3]~68030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2939][3]~68030_combout\ = (\led_flash_cnt[2939][3]~q\ & (\led_flash_cnt[2939][2]~68029\ $ (GND))) # (!\led_flash_cnt[2939][3]~q\ & (!\led_flash_cnt[2939][2]~68029\ & VCC))
-- \led_flash_cnt[2939][3]~68031\ = CARRY((\led_flash_cnt[2939][3]~q\ & !\led_flash_cnt[2939][2]~68029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2939][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2939][2]~68029\,
	combout => \led_flash_cnt[2939][3]~68030_combout\,
	cout => \led_flash_cnt[2939][3]~68031\);

-- Location: FF_X52_Y12_N15
\led_flash_cnt[2939][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2939][3]~68030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2939][3]~q\);

-- Location: LCCOMB_X52_Y12_N16
\led_flash_cnt[2939][4]~68032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2939][4]~68032_combout\ = (\led_flash_cnt[2939][4]~q\ & (!\led_flash_cnt[2939][3]~68031\)) # (!\led_flash_cnt[2939][4]~q\ & ((\led_flash_cnt[2939][3]~68031\) # (GND)))
-- \led_flash_cnt[2939][4]~68033\ = CARRY((!\led_flash_cnt[2939][3]~68031\) # (!\led_flash_cnt[2939][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2939][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2939][3]~68031\,
	combout => \led_flash_cnt[2939][4]~68032_combout\,
	cout => \led_flash_cnt[2939][4]~68033\);

-- Location: FF_X52_Y12_N17
\led_flash_cnt[2939][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2939][4]~68032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2939][4]~q\);

-- Location: LCCOMB_X52_Y12_N18
\led_flash_cnt[2939][5]~68034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2939][5]~68034_combout\ = (\led_flash_cnt[2939][5]~q\ & (\led_flash_cnt[2939][4]~68033\ $ (GND))) # (!\led_flash_cnt[2939][5]~q\ & (!\led_flash_cnt[2939][4]~68033\ & VCC))
-- \led_flash_cnt[2939][5]~68035\ = CARRY((\led_flash_cnt[2939][5]~q\ & !\led_flash_cnt[2939][4]~68033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2939][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2939][4]~68033\,
	combout => \led_flash_cnt[2939][5]~68034_combout\,
	cout => \led_flash_cnt[2939][5]~68035\);

-- Location: FF_X52_Y12_N19
\led_flash_cnt[2939][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2939][5]~68034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2939][5]~q\);

-- Location: LCCOMB_X52_Y12_N20
\led_flash_cnt[2939][6]~68036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2939][6]~68036_combout\ = (\led_flash_cnt[2939][6]~q\ & (!\led_flash_cnt[2939][5]~68035\)) # (!\led_flash_cnt[2939][6]~q\ & ((\led_flash_cnt[2939][5]~68035\) # (GND)))
-- \led_flash_cnt[2939][6]~68037\ = CARRY((!\led_flash_cnt[2939][5]~68035\) # (!\led_flash_cnt[2939][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2939][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2939][5]~68035\,
	combout => \led_flash_cnt[2939][6]~68036_combout\,
	cout => \led_flash_cnt[2939][6]~68037\);

-- Location: FF_X52_Y12_N21
\led_flash_cnt[2939][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2939][6]~68036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2939][6]~q\);

-- Location: LCCOMB_X52_Y12_N26
\WideAnd2939~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2939~1_combout\ = (\led_flash_cnt[2939][5]~q\ & \led_flash_cnt[2939][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2939][5]~q\,
	datad => \led_flash_cnt[2939][6]~q\,
	combout => \WideAnd2939~1_combout\);

-- Location: LCCOMB_X52_Y12_N24
\WideAnd2939~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2939~0_combout\ = (\led_flash_cnt[2939][2]~q\ & (\led_flash_cnt[2939][4]~q\ & (\led_flash_cnt[2939][3]~q\ & \led_flash_cnt[2939][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2939][2]~q\,
	datab => \led_flash_cnt[2939][4]~q\,
	datac => \led_flash_cnt[2939][3]~q\,
	datad => \led_flash_cnt[2939][1]~q\,
	combout => \WideAnd2939~0_combout\);

-- Location: LCCOMB_X52_Y12_N22
\led_flash_cnt[2939][7]~68038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2939][7]~68038_combout\ = \led_flash_cnt[2939][7]~q\ $ (!\led_flash_cnt[2939][6]~68037\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2939][7]~q\,
	cin => \led_flash_cnt[2939][6]~68037\,
	combout => \led_flash_cnt[2939][7]~68038_combout\);

-- Location: FF_X52_Y12_N23
\led_flash_cnt[2939][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2939][7]~68038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2939][7]~q\);

-- Location: LCCOMB_X52_Y12_N0
WideAnd2939 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2939~combout\ = (\WideAnd2939~1_combout\ & (\WideAnd2939~0_combout\ & (\led_flash_cnt[2939][7]~q\ & \led_flash_cnt[2939][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2939~1_combout\,
	datab => \WideAnd2939~0_combout\,
	datac => \led_flash_cnt[2939][7]~q\,
	datad => \led_flash_cnt[2939][0]~q\,
	combout => \WideAnd2939~combout\);

-- Location: FF_X52_Y12_N1
\led_flash_cnt_ands[2939]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2939~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2939));

-- Location: LCCOMB_X52_Y13_N2
\led_flash_cnt[2938][0]~83578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2938][0]~83578_combout\ = !\led_flash_cnt[2938][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2938][0]~q\,
	combout => \led_flash_cnt[2938][0]~83578_combout\);

-- Location: FF_X52_Y13_N3
\led_flash_cnt[2938][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2938][0]~83578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2938][0]~q\);

-- Location: LCCOMB_X51_Y13_N4
\led_flash_cnt[2938][1]~68012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2938][1]~68012_combout\ = (\led_flash_cnt[2938][0]~q\ & (\led_flash_cnt[2938][1]~q\ $ (VCC))) # (!\led_flash_cnt[2938][0]~q\ & (\led_flash_cnt[2938][1]~q\ & VCC))
-- \led_flash_cnt[2938][1]~68013\ = CARRY((\led_flash_cnt[2938][0]~q\ & \led_flash_cnt[2938][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2938][0]~q\,
	datab => \led_flash_cnt[2938][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2938][1]~68012_combout\,
	cout => \led_flash_cnt[2938][1]~68013\);

-- Location: FF_X51_Y13_N5
\led_flash_cnt[2938][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2938][1]~68012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2938][1]~q\);

-- Location: LCCOMB_X51_Y13_N6
\led_flash_cnt[2938][2]~68014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2938][2]~68014_combout\ = (\led_flash_cnt[2938][2]~q\ & (!\led_flash_cnt[2938][1]~68013\)) # (!\led_flash_cnt[2938][2]~q\ & ((\led_flash_cnt[2938][1]~68013\) # (GND)))
-- \led_flash_cnt[2938][2]~68015\ = CARRY((!\led_flash_cnt[2938][1]~68013\) # (!\led_flash_cnt[2938][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2938][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2938][1]~68013\,
	combout => \led_flash_cnt[2938][2]~68014_combout\,
	cout => \led_flash_cnt[2938][2]~68015\);

-- Location: FF_X51_Y13_N7
\led_flash_cnt[2938][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2938][2]~68014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2938][2]~q\);

-- Location: LCCOMB_X51_Y13_N8
\led_flash_cnt[2938][3]~68016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2938][3]~68016_combout\ = (\led_flash_cnt[2938][3]~q\ & (\led_flash_cnt[2938][2]~68015\ $ (GND))) # (!\led_flash_cnt[2938][3]~q\ & (!\led_flash_cnt[2938][2]~68015\ & VCC))
-- \led_flash_cnt[2938][3]~68017\ = CARRY((\led_flash_cnt[2938][3]~q\ & !\led_flash_cnt[2938][2]~68015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2938][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2938][2]~68015\,
	combout => \led_flash_cnt[2938][3]~68016_combout\,
	cout => \led_flash_cnt[2938][3]~68017\);

-- Location: FF_X51_Y13_N9
\led_flash_cnt[2938][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2938][3]~68016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2938][3]~q\);

-- Location: LCCOMB_X51_Y13_N10
\led_flash_cnt[2938][4]~68018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2938][4]~68018_combout\ = (\led_flash_cnt[2938][4]~q\ & (!\led_flash_cnt[2938][3]~68017\)) # (!\led_flash_cnt[2938][4]~q\ & ((\led_flash_cnt[2938][3]~68017\) # (GND)))
-- \led_flash_cnt[2938][4]~68019\ = CARRY((!\led_flash_cnt[2938][3]~68017\) # (!\led_flash_cnt[2938][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2938][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2938][3]~68017\,
	combout => \led_flash_cnt[2938][4]~68018_combout\,
	cout => \led_flash_cnt[2938][4]~68019\);

-- Location: FF_X51_Y13_N11
\led_flash_cnt[2938][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2938][4]~68018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2938][4]~q\);

-- Location: LCCOMB_X51_Y13_N12
\led_flash_cnt[2938][5]~68020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2938][5]~68020_combout\ = (\led_flash_cnt[2938][5]~q\ & (\led_flash_cnt[2938][4]~68019\ $ (GND))) # (!\led_flash_cnt[2938][5]~q\ & (!\led_flash_cnt[2938][4]~68019\ & VCC))
-- \led_flash_cnt[2938][5]~68021\ = CARRY((\led_flash_cnt[2938][5]~q\ & !\led_flash_cnt[2938][4]~68019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2938][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2938][4]~68019\,
	combout => \led_flash_cnt[2938][5]~68020_combout\,
	cout => \led_flash_cnt[2938][5]~68021\);

-- Location: FF_X51_Y13_N13
\led_flash_cnt[2938][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2938][5]~68020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2938][5]~q\);

-- Location: LCCOMB_X51_Y13_N14
\led_flash_cnt[2938][6]~68022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2938][6]~68022_combout\ = (\led_flash_cnt[2938][6]~q\ & (!\led_flash_cnt[2938][5]~68021\)) # (!\led_flash_cnt[2938][6]~q\ & ((\led_flash_cnt[2938][5]~68021\) # (GND)))
-- \led_flash_cnt[2938][6]~68023\ = CARRY((!\led_flash_cnt[2938][5]~68021\) # (!\led_flash_cnt[2938][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2938][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2938][5]~68021\,
	combout => \led_flash_cnt[2938][6]~68022_combout\,
	cout => \led_flash_cnt[2938][6]~68023\);

-- Location: FF_X51_Y13_N15
\led_flash_cnt[2938][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2938][6]~68022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2938][6]~q\);

-- Location: LCCOMB_X51_Y13_N16
\led_flash_cnt[2938][7]~68024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2938][7]~68024_combout\ = \led_flash_cnt[2938][6]~68023\ $ (!\led_flash_cnt[2938][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2938][7]~q\,
	cin => \led_flash_cnt[2938][6]~68023\,
	combout => \led_flash_cnt[2938][7]~68024_combout\);

-- Location: FF_X51_Y13_N17
\led_flash_cnt[2938][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2938][7]~68024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2938][7]~q\);

-- Location: LCCOMB_X52_Y13_N28
\WideAnd2938~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2938~1_combout\ = (\led_flash_cnt[2938][6]~q\ & \led_flash_cnt[2938][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2938][6]~q\,
	datad => \led_flash_cnt[2938][5]~q\,
	combout => \WideAnd2938~1_combout\);

-- Location: LCCOMB_X52_Y13_N8
\WideAnd2938~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2938~0_combout\ = (\led_flash_cnt[2938][4]~q\ & (\led_flash_cnt[2938][1]~q\ & (\led_flash_cnt[2938][2]~q\ & \led_flash_cnt[2938][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2938][4]~q\,
	datab => \led_flash_cnt[2938][1]~q\,
	datac => \led_flash_cnt[2938][2]~q\,
	datad => \led_flash_cnt[2938][3]~q\,
	combout => \WideAnd2938~0_combout\);

-- Location: LCCOMB_X52_Y13_N4
WideAnd2938 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2938~combout\ = (\led_flash_cnt[2938][7]~q\ & (\WideAnd2938~1_combout\ & (\WideAnd2938~0_combout\ & \led_flash_cnt[2938][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2938][7]~q\,
	datab => \WideAnd2938~1_combout\,
	datac => \WideAnd2938~0_combout\,
	datad => \led_flash_cnt[2938][0]~q\,
	combout => \WideAnd2938~combout\);

-- Location: FF_X52_Y13_N5
\led_flash_cnt_ands[2938]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2938~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2938));

-- Location: LCCOMB_X54_Y13_N26
\led_flash_cnt[2936][0]~83576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2936][0]~83576_combout\ = !\led_flash_cnt[2936][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2936][0]~q\,
	combout => \led_flash_cnt[2936][0]~83576_combout\);

-- Location: FF_X54_Y13_N27
\led_flash_cnt[2936][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2936][0]~83576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2936][0]~q\);

-- Location: LCCOMB_X54_Y13_N8
\led_flash_cnt[2936][1]~67984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2936][1]~67984_combout\ = (\led_flash_cnt[2936][0]~q\ & (\led_flash_cnt[2936][1]~q\ $ (VCC))) # (!\led_flash_cnt[2936][0]~q\ & (\led_flash_cnt[2936][1]~q\ & VCC))
-- \led_flash_cnt[2936][1]~67985\ = CARRY((\led_flash_cnt[2936][0]~q\ & \led_flash_cnt[2936][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2936][0]~q\,
	datab => \led_flash_cnt[2936][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2936][1]~67984_combout\,
	cout => \led_flash_cnt[2936][1]~67985\);

-- Location: FF_X54_Y13_N9
\led_flash_cnt[2936][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2936][1]~67984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2936][1]~q\);

-- Location: LCCOMB_X54_Y13_N10
\led_flash_cnt[2936][2]~67986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2936][2]~67986_combout\ = (\led_flash_cnt[2936][2]~q\ & (!\led_flash_cnt[2936][1]~67985\)) # (!\led_flash_cnt[2936][2]~q\ & ((\led_flash_cnt[2936][1]~67985\) # (GND)))
-- \led_flash_cnt[2936][2]~67987\ = CARRY((!\led_flash_cnt[2936][1]~67985\) # (!\led_flash_cnt[2936][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2936][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2936][1]~67985\,
	combout => \led_flash_cnt[2936][2]~67986_combout\,
	cout => \led_flash_cnt[2936][2]~67987\);

-- Location: FF_X54_Y13_N11
\led_flash_cnt[2936][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2936][2]~67986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2936][2]~q\);

-- Location: LCCOMB_X54_Y13_N12
\led_flash_cnt[2936][3]~67988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2936][3]~67988_combout\ = (\led_flash_cnt[2936][3]~q\ & (\led_flash_cnt[2936][2]~67987\ $ (GND))) # (!\led_flash_cnt[2936][3]~q\ & (!\led_flash_cnt[2936][2]~67987\ & VCC))
-- \led_flash_cnt[2936][3]~67989\ = CARRY((\led_flash_cnt[2936][3]~q\ & !\led_flash_cnt[2936][2]~67987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2936][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2936][2]~67987\,
	combout => \led_flash_cnt[2936][3]~67988_combout\,
	cout => \led_flash_cnt[2936][3]~67989\);

-- Location: FF_X54_Y13_N13
\led_flash_cnt[2936][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2936][3]~67988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2936][3]~q\);

-- Location: LCCOMB_X54_Y13_N14
\led_flash_cnt[2936][4]~67990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2936][4]~67990_combout\ = (\led_flash_cnt[2936][4]~q\ & (!\led_flash_cnt[2936][3]~67989\)) # (!\led_flash_cnt[2936][4]~q\ & ((\led_flash_cnt[2936][3]~67989\) # (GND)))
-- \led_flash_cnt[2936][4]~67991\ = CARRY((!\led_flash_cnt[2936][3]~67989\) # (!\led_flash_cnt[2936][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2936][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2936][3]~67989\,
	combout => \led_flash_cnt[2936][4]~67990_combout\,
	cout => \led_flash_cnt[2936][4]~67991\);

-- Location: FF_X54_Y13_N15
\led_flash_cnt[2936][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2936][4]~67990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2936][4]~q\);

-- Location: LCCOMB_X54_Y13_N16
\led_flash_cnt[2936][5]~67992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2936][5]~67992_combout\ = (\led_flash_cnt[2936][5]~q\ & (\led_flash_cnt[2936][4]~67991\ $ (GND))) # (!\led_flash_cnt[2936][5]~q\ & (!\led_flash_cnt[2936][4]~67991\ & VCC))
-- \led_flash_cnt[2936][5]~67993\ = CARRY((\led_flash_cnt[2936][5]~q\ & !\led_flash_cnt[2936][4]~67991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2936][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2936][4]~67991\,
	combout => \led_flash_cnt[2936][5]~67992_combout\,
	cout => \led_flash_cnt[2936][5]~67993\);

-- Location: FF_X54_Y13_N17
\led_flash_cnt[2936][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2936][5]~67992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2936][5]~q\);

-- Location: LCCOMB_X54_Y13_N18
\led_flash_cnt[2936][6]~67994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2936][6]~67994_combout\ = (\led_flash_cnt[2936][6]~q\ & (!\led_flash_cnt[2936][5]~67993\)) # (!\led_flash_cnt[2936][6]~q\ & ((\led_flash_cnt[2936][5]~67993\) # (GND)))
-- \led_flash_cnt[2936][6]~67995\ = CARRY((!\led_flash_cnt[2936][5]~67993\) # (!\led_flash_cnt[2936][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2936][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2936][5]~67993\,
	combout => \led_flash_cnt[2936][6]~67994_combout\,
	cout => \led_flash_cnt[2936][6]~67995\);

-- Location: FF_X54_Y13_N19
\led_flash_cnt[2936][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2936][6]~67994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2936][6]~q\);

-- Location: LCCOMB_X54_Y13_N20
\led_flash_cnt[2936][7]~67996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2936][7]~67996_combout\ = \led_flash_cnt[2936][6]~67995\ $ (!\led_flash_cnt[2936][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2936][7]~q\,
	cin => \led_flash_cnt[2936][6]~67995\,
	combout => \led_flash_cnt[2936][7]~67996_combout\);

-- Location: FF_X54_Y13_N21
\led_flash_cnt[2936][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2936][7]~67996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2936][7]~q\);

-- Location: LCCOMB_X54_Y13_N22
\WideAnd2936~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2936~1_combout\ = (\led_flash_cnt[2936][6]~q\ & \led_flash_cnt[2936][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2936][6]~q\,
	datad => \led_flash_cnt[2936][5]~q\,
	combout => \WideAnd2936~1_combout\);

-- Location: LCCOMB_X54_Y13_N24
\WideAnd2936~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2936~0_combout\ = (\led_flash_cnt[2936][3]~q\ & (\led_flash_cnt[2936][1]~q\ & (\led_flash_cnt[2936][4]~q\ & \led_flash_cnt[2936][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2936][3]~q\,
	datab => \led_flash_cnt[2936][1]~q\,
	datac => \led_flash_cnt[2936][4]~q\,
	datad => \led_flash_cnt[2936][2]~q\,
	combout => \WideAnd2936~0_combout\);

-- Location: LCCOMB_X54_Y13_N28
WideAnd2936 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2936~combout\ = (\led_flash_cnt[2936][0]~q\ & (\led_flash_cnt[2936][7]~q\ & (\WideAnd2936~1_combout\ & \WideAnd2936~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2936][0]~q\,
	datab => \led_flash_cnt[2936][7]~q\,
	datac => \WideAnd2936~1_combout\,
	datad => \WideAnd2936~0_combout\,
	combout => \WideAnd2936~combout\);

-- Location: FF_X54_Y13_N29
\led_flash_cnt_ands[2936]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2936~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2936));

-- Location: LCCOMB_X52_Y13_N10
\WideAnd4207~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4207~0_combout\ = (led_flash_cnt_ands(2937) & (led_flash_cnt_ands(2939) & (led_flash_cnt_ands(2938) & led_flash_cnt_ands(2936))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2937),
	datab => led_flash_cnt_ands(2939),
	datac => led_flash_cnt_ands(2938),
	datad => led_flash_cnt_ands(2936),
	combout => \WideAnd4207~0_combout\);

-- Location: LCCOMB_X59_Y39_N2
\led_flash_cnt[2942][0]~83582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2942][0]~83582_combout\ = !\led_flash_cnt[2942][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2942][0]~q\,
	combout => \led_flash_cnt[2942][0]~83582_combout\);

-- Location: FF_X59_Y39_N3
\led_flash_cnt[2942][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2942][0]~83582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2942][0]~q\);

-- Location: LCCOMB_X58_Y39_N18
\led_flash_cnt[2942][1]~68068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2942][1]~68068_combout\ = (\led_flash_cnt[2942][0]~q\ & (\led_flash_cnt[2942][1]~q\ $ (VCC))) # (!\led_flash_cnt[2942][0]~q\ & (\led_flash_cnt[2942][1]~q\ & VCC))
-- \led_flash_cnt[2942][1]~68069\ = CARRY((\led_flash_cnt[2942][0]~q\ & \led_flash_cnt[2942][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2942][0]~q\,
	datab => \led_flash_cnt[2942][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2942][1]~68068_combout\,
	cout => \led_flash_cnt[2942][1]~68069\);

-- Location: FF_X58_Y39_N19
\led_flash_cnt[2942][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2942][1]~68068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2942][1]~q\);

-- Location: LCCOMB_X58_Y39_N20
\led_flash_cnt[2942][2]~68070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2942][2]~68070_combout\ = (\led_flash_cnt[2942][2]~q\ & (!\led_flash_cnt[2942][1]~68069\)) # (!\led_flash_cnt[2942][2]~q\ & ((\led_flash_cnt[2942][1]~68069\) # (GND)))
-- \led_flash_cnt[2942][2]~68071\ = CARRY((!\led_flash_cnt[2942][1]~68069\) # (!\led_flash_cnt[2942][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2942][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2942][1]~68069\,
	combout => \led_flash_cnt[2942][2]~68070_combout\,
	cout => \led_flash_cnt[2942][2]~68071\);

-- Location: FF_X58_Y39_N21
\led_flash_cnt[2942][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2942][2]~68070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2942][2]~q\);

-- Location: LCCOMB_X58_Y39_N22
\led_flash_cnt[2942][3]~68072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2942][3]~68072_combout\ = (\led_flash_cnt[2942][3]~q\ & (\led_flash_cnt[2942][2]~68071\ $ (GND))) # (!\led_flash_cnt[2942][3]~q\ & (!\led_flash_cnt[2942][2]~68071\ & VCC))
-- \led_flash_cnt[2942][3]~68073\ = CARRY((\led_flash_cnt[2942][3]~q\ & !\led_flash_cnt[2942][2]~68071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2942][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2942][2]~68071\,
	combout => \led_flash_cnt[2942][3]~68072_combout\,
	cout => \led_flash_cnt[2942][3]~68073\);

-- Location: FF_X58_Y39_N23
\led_flash_cnt[2942][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2942][3]~68072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2942][3]~q\);

-- Location: LCCOMB_X58_Y39_N24
\led_flash_cnt[2942][4]~68074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2942][4]~68074_combout\ = (\led_flash_cnt[2942][4]~q\ & (!\led_flash_cnt[2942][3]~68073\)) # (!\led_flash_cnt[2942][4]~q\ & ((\led_flash_cnt[2942][3]~68073\) # (GND)))
-- \led_flash_cnt[2942][4]~68075\ = CARRY((!\led_flash_cnt[2942][3]~68073\) # (!\led_flash_cnt[2942][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2942][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2942][3]~68073\,
	combout => \led_flash_cnt[2942][4]~68074_combout\,
	cout => \led_flash_cnt[2942][4]~68075\);

-- Location: FF_X58_Y39_N25
\led_flash_cnt[2942][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2942][4]~68074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2942][4]~q\);

-- Location: LCCOMB_X58_Y39_N26
\led_flash_cnt[2942][5]~68076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2942][5]~68076_combout\ = (\led_flash_cnt[2942][5]~q\ & (\led_flash_cnt[2942][4]~68075\ $ (GND))) # (!\led_flash_cnt[2942][5]~q\ & (!\led_flash_cnt[2942][4]~68075\ & VCC))
-- \led_flash_cnt[2942][5]~68077\ = CARRY((\led_flash_cnt[2942][5]~q\ & !\led_flash_cnt[2942][4]~68075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2942][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2942][4]~68075\,
	combout => \led_flash_cnt[2942][5]~68076_combout\,
	cout => \led_flash_cnt[2942][5]~68077\);

-- Location: FF_X58_Y39_N27
\led_flash_cnt[2942][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2942][5]~68076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2942][5]~q\);

-- Location: LCCOMB_X58_Y39_N28
\led_flash_cnt[2942][6]~68078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2942][6]~68078_combout\ = (\led_flash_cnt[2942][6]~q\ & (!\led_flash_cnt[2942][5]~68077\)) # (!\led_flash_cnt[2942][6]~q\ & ((\led_flash_cnt[2942][5]~68077\) # (GND)))
-- \led_flash_cnt[2942][6]~68079\ = CARRY((!\led_flash_cnt[2942][5]~68077\) # (!\led_flash_cnt[2942][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2942][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2942][5]~68077\,
	combout => \led_flash_cnt[2942][6]~68078_combout\,
	cout => \led_flash_cnt[2942][6]~68079\);

-- Location: FF_X58_Y39_N29
\led_flash_cnt[2942][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2942][6]~68078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2942][6]~q\);

-- Location: LCCOMB_X58_Y39_N30
\led_flash_cnt[2942][7]~68080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2942][7]~68080_combout\ = \led_flash_cnt[2942][7]~q\ $ (!\led_flash_cnt[2942][6]~68079\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2942][7]~q\,
	cin => \led_flash_cnt[2942][6]~68079\,
	combout => \led_flash_cnt[2942][7]~68080_combout\);

-- Location: FF_X58_Y39_N31
\led_flash_cnt[2942][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2942][7]~68080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2942][7]~q\);

-- Location: LCCOMB_X59_Y39_N28
\WideAnd2942~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2942~1_combout\ = (\led_flash_cnt[2942][5]~q\ & \led_flash_cnt[2942][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2942][5]~q\,
	datad => \led_flash_cnt[2942][6]~q\,
	combout => \WideAnd2942~1_combout\);

-- Location: LCCOMB_X58_Y39_N0
\WideAnd2942~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2942~0_combout\ = (\led_flash_cnt[2942][4]~q\ & (\led_flash_cnt[2942][2]~q\ & (\led_flash_cnt[2942][3]~q\ & \led_flash_cnt[2942][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2942][4]~q\,
	datab => \led_flash_cnt[2942][2]~q\,
	datac => \led_flash_cnt[2942][3]~q\,
	datad => \led_flash_cnt[2942][1]~q\,
	combout => \WideAnd2942~0_combout\);

-- Location: LCCOMB_X59_Y39_N12
WideAnd2942 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2942~combout\ = (\led_flash_cnt[2942][7]~q\ & (\WideAnd2942~1_combout\ & (\WideAnd2942~0_combout\ & \led_flash_cnt[2942][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2942][7]~q\,
	datab => \WideAnd2942~1_combout\,
	datac => \WideAnd2942~0_combout\,
	datad => \led_flash_cnt[2942][0]~q\,
	combout => \WideAnd2942~combout\);

-- Location: FF_X59_Y39_N13
\led_flash_cnt_ands[2942]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2942~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2942));

-- Location: LCCOMB_X59_Y39_N4
WideAnd4207 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4207~combout\ = (\WideAnd4207~1_combout\ & (led_flash_cnt_ands(2943) & (\WideAnd4207~0_combout\ & led_flash_cnt_ands(2942))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4207~1_combout\,
	datab => led_flash_cnt_ands(2943),
	datac => \WideAnd4207~0_combout\,
	datad => led_flash_cnt_ands(2942),
	combout => \WideAnd4207~combout\);

-- Location: FF_X59_Y39_N5
\led_flash_cnt_ands_1[367]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4207~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(367));

-- Location: LCCOMB_X60_Y49_N2
\led_flash_cnt[2919][0]~83559\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2919][0]~83559_combout\ = !\led_flash_cnt[2919][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2919][0]~q\,
	combout => \led_flash_cnt[2919][0]~83559_combout\);

-- Location: FF_X60_Y49_N3
\led_flash_cnt[2919][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2919][0]~83559_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2919][0]~q\);

-- Location: LCCOMB_X61_Y49_N4
\led_flash_cnt[2919][1]~67746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2919][1]~67746_combout\ = (\led_flash_cnt[2919][0]~q\ & (\led_flash_cnt[2919][1]~q\ $ (VCC))) # (!\led_flash_cnt[2919][0]~q\ & (\led_flash_cnt[2919][1]~q\ & VCC))
-- \led_flash_cnt[2919][1]~67747\ = CARRY((\led_flash_cnt[2919][0]~q\ & \led_flash_cnt[2919][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2919][0]~q\,
	datab => \led_flash_cnt[2919][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2919][1]~67746_combout\,
	cout => \led_flash_cnt[2919][1]~67747\);

-- Location: FF_X61_Y49_N5
\led_flash_cnt[2919][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2919][1]~67746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2919][1]~q\);

-- Location: LCCOMB_X61_Y49_N6
\led_flash_cnt[2919][2]~67748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2919][2]~67748_combout\ = (\led_flash_cnt[2919][2]~q\ & (!\led_flash_cnt[2919][1]~67747\)) # (!\led_flash_cnt[2919][2]~q\ & ((\led_flash_cnt[2919][1]~67747\) # (GND)))
-- \led_flash_cnt[2919][2]~67749\ = CARRY((!\led_flash_cnt[2919][1]~67747\) # (!\led_flash_cnt[2919][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2919][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2919][1]~67747\,
	combout => \led_flash_cnt[2919][2]~67748_combout\,
	cout => \led_flash_cnt[2919][2]~67749\);

-- Location: FF_X61_Y49_N7
\led_flash_cnt[2919][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2919][2]~67748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2919][2]~q\);

-- Location: LCCOMB_X61_Y49_N8
\led_flash_cnt[2919][3]~67750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2919][3]~67750_combout\ = (\led_flash_cnt[2919][3]~q\ & (\led_flash_cnt[2919][2]~67749\ $ (GND))) # (!\led_flash_cnt[2919][3]~q\ & (!\led_flash_cnt[2919][2]~67749\ & VCC))
-- \led_flash_cnt[2919][3]~67751\ = CARRY((\led_flash_cnt[2919][3]~q\ & !\led_flash_cnt[2919][2]~67749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2919][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2919][2]~67749\,
	combout => \led_flash_cnt[2919][3]~67750_combout\,
	cout => \led_flash_cnt[2919][3]~67751\);

-- Location: FF_X61_Y49_N9
\led_flash_cnt[2919][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2919][3]~67750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2919][3]~q\);

-- Location: LCCOMB_X61_Y49_N10
\led_flash_cnt[2919][4]~67752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2919][4]~67752_combout\ = (\led_flash_cnt[2919][4]~q\ & (!\led_flash_cnt[2919][3]~67751\)) # (!\led_flash_cnt[2919][4]~q\ & ((\led_flash_cnt[2919][3]~67751\) # (GND)))
-- \led_flash_cnt[2919][4]~67753\ = CARRY((!\led_flash_cnt[2919][3]~67751\) # (!\led_flash_cnt[2919][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2919][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2919][3]~67751\,
	combout => \led_flash_cnt[2919][4]~67752_combout\,
	cout => \led_flash_cnt[2919][4]~67753\);

-- Location: FF_X61_Y49_N11
\led_flash_cnt[2919][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2919][4]~67752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2919][4]~q\);

-- Location: LCCOMB_X61_Y49_N2
\WideAnd2919~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2919~0_combout\ = (\led_flash_cnt[2919][2]~q\ & (\led_flash_cnt[2919][3]~q\ & (\led_flash_cnt[2919][1]~q\ & \led_flash_cnt[2919][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2919][2]~q\,
	datab => \led_flash_cnt[2919][3]~q\,
	datac => \led_flash_cnt[2919][1]~q\,
	datad => \led_flash_cnt[2919][4]~q\,
	combout => \WideAnd2919~0_combout\);

-- Location: LCCOMB_X61_Y49_N12
\led_flash_cnt[2919][5]~67754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2919][5]~67754_combout\ = (\led_flash_cnt[2919][5]~q\ & (\led_flash_cnt[2919][4]~67753\ $ (GND))) # (!\led_flash_cnt[2919][5]~q\ & (!\led_flash_cnt[2919][4]~67753\ & VCC))
-- \led_flash_cnt[2919][5]~67755\ = CARRY((\led_flash_cnt[2919][5]~q\ & !\led_flash_cnt[2919][4]~67753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2919][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2919][4]~67753\,
	combout => \led_flash_cnt[2919][5]~67754_combout\,
	cout => \led_flash_cnt[2919][5]~67755\);

-- Location: FF_X61_Y49_N13
\led_flash_cnt[2919][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2919][5]~67754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2919][5]~q\);

-- Location: LCCOMB_X61_Y49_N14
\led_flash_cnt[2919][6]~67756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2919][6]~67756_combout\ = (\led_flash_cnt[2919][6]~q\ & (!\led_flash_cnt[2919][5]~67755\)) # (!\led_flash_cnt[2919][6]~q\ & ((\led_flash_cnt[2919][5]~67755\) # (GND)))
-- \led_flash_cnt[2919][6]~67757\ = CARRY((!\led_flash_cnt[2919][5]~67755\) # (!\led_flash_cnt[2919][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2919][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2919][5]~67755\,
	combout => \led_flash_cnt[2919][6]~67756_combout\,
	cout => \led_flash_cnt[2919][6]~67757\);

-- Location: FF_X61_Y49_N15
\led_flash_cnt[2919][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2919][6]~67756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2919][6]~q\);

-- Location: LCCOMB_X60_Y49_N22
\WideAnd2919~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2919~1_combout\ = (\led_flash_cnt[2919][6]~q\ & \led_flash_cnt[2919][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2919][6]~q\,
	datac => \led_flash_cnt[2919][5]~q\,
	combout => \WideAnd2919~1_combout\);

-- Location: LCCOMB_X61_Y49_N16
\led_flash_cnt[2919][7]~67758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2919][7]~67758_combout\ = \led_flash_cnt[2919][6]~67757\ $ (!\led_flash_cnt[2919][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2919][7]~q\,
	cin => \led_flash_cnt[2919][6]~67757\,
	combout => \led_flash_cnt[2919][7]~67758_combout\);

-- Location: FF_X61_Y49_N17
\led_flash_cnt[2919][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2919][7]~67758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2919][7]~q\);

-- Location: LCCOMB_X60_Y49_N26
WideAnd2919 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2919~combout\ = (\WideAnd2919~0_combout\ & (\led_flash_cnt[2919][0]~q\ & (\WideAnd2919~1_combout\ & \led_flash_cnt[2919][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2919~0_combout\,
	datab => \led_flash_cnt[2919][0]~q\,
	datac => \WideAnd2919~1_combout\,
	datad => \led_flash_cnt[2919][7]~q\,
	combout => \WideAnd2919~combout\);

-- Location: FF_X60_Y49_N27
\led_flash_cnt_ands[2919]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2919~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2919));

-- Location: LCCOMB_X49_Y38_N12
\led_flash_cnt[2914][0]~83554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2914][0]~83554_combout\ = !\led_flash_cnt[2914][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2914][0]~q\,
	combout => \led_flash_cnt[2914][0]~83554_combout\);

-- Location: FF_X49_Y38_N13
\led_flash_cnt[2914][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2914][0]~83554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2914][0]~q\);

-- Location: LCCOMB_X49_Y38_N18
\led_flash_cnt[2914][1]~67676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2914][1]~67676_combout\ = (\led_flash_cnt[2914][0]~q\ & (\led_flash_cnt[2914][1]~q\ $ (VCC))) # (!\led_flash_cnt[2914][0]~q\ & (\led_flash_cnt[2914][1]~q\ & VCC))
-- \led_flash_cnt[2914][1]~67677\ = CARRY((\led_flash_cnt[2914][0]~q\ & \led_flash_cnt[2914][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2914][0]~q\,
	datab => \led_flash_cnt[2914][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2914][1]~67676_combout\,
	cout => \led_flash_cnt[2914][1]~67677\);

-- Location: FF_X49_Y38_N19
\led_flash_cnt[2914][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2914][1]~67676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2914][1]~q\);

-- Location: LCCOMB_X49_Y38_N20
\led_flash_cnt[2914][2]~67678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2914][2]~67678_combout\ = (\led_flash_cnt[2914][2]~q\ & (!\led_flash_cnt[2914][1]~67677\)) # (!\led_flash_cnt[2914][2]~q\ & ((\led_flash_cnt[2914][1]~67677\) # (GND)))
-- \led_flash_cnt[2914][2]~67679\ = CARRY((!\led_flash_cnt[2914][1]~67677\) # (!\led_flash_cnt[2914][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2914][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2914][1]~67677\,
	combout => \led_flash_cnt[2914][2]~67678_combout\,
	cout => \led_flash_cnt[2914][2]~67679\);

-- Location: FF_X49_Y38_N21
\led_flash_cnt[2914][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2914][2]~67678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2914][2]~q\);

-- Location: LCCOMB_X49_Y38_N22
\led_flash_cnt[2914][3]~67680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2914][3]~67680_combout\ = (\led_flash_cnt[2914][3]~q\ & (\led_flash_cnt[2914][2]~67679\ $ (GND))) # (!\led_flash_cnt[2914][3]~q\ & (!\led_flash_cnt[2914][2]~67679\ & VCC))
-- \led_flash_cnt[2914][3]~67681\ = CARRY((\led_flash_cnt[2914][3]~q\ & !\led_flash_cnt[2914][2]~67679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2914][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2914][2]~67679\,
	combout => \led_flash_cnt[2914][3]~67680_combout\,
	cout => \led_flash_cnt[2914][3]~67681\);

-- Location: FF_X49_Y38_N23
\led_flash_cnt[2914][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2914][3]~67680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2914][3]~q\);

-- Location: LCCOMB_X49_Y38_N24
\led_flash_cnt[2914][4]~67682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2914][4]~67682_combout\ = (\led_flash_cnt[2914][4]~q\ & (!\led_flash_cnt[2914][3]~67681\)) # (!\led_flash_cnt[2914][4]~q\ & ((\led_flash_cnt[2914][3]~67681\) # (GND)))
-- \led_flash_cnt[2914][4]~67683\ = CARRY((!\led_flash_cnt[2914][3]~67681\) # (!\led_flash_cnt[2914][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2914][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2914][3]~67681\,
	combout => \led_flash_cnt[2914][4]~67682_combout\,
	cout => \led_flash_cnt[2914][4]~67683\);

-- Location: FF_X49_Y38_N25
\led_flash_cnt[2914][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2914][4]~67682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2914][4]~q\);

-- Location: LCCOMB_X49_Y38_N2
\WideAnd2914~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2914~0_combout\ = (\led_flash_cnt[2914][4]~q\ & (\led_flash_cnt[2914][2]~q\ & (\led_flash_cnt[2914][3]~q\ & \led_flash_cnt[2914][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2914][4]~q\,
	datab => \led_flash_cnt[2914][2]~q\,
	datac => \led_flash_cnt[2914][3]~q\,
	datad => \led_flash_cnt[2914][1]~q\,
	combout => \WideAnd2914~0_combout\);

-- Location: LCCOMB_X49_Y38_N26
\led_flash_cnt[2914][5]~67684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2914][5]~67684_combout\ = (\led_flash_cnt[2914][5]~q\ & (\led_flash_cnt[2914][4]~67683\ $ (GND))) # (!\led_flash_cnt[2914][5]~q\ & (!\led_flash_cnt[2914][4]~67683\ & VCC))
-- \led_flash_cnt[2914][5]~67685\ = CARRY((\led_flash_cnt[2914][5]~q\ & !\led_flash_cnt[2914][4]~67683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2914][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2914][4]~67683\,
	combout => \led_flash_cnt[2914][5]~67684_combout\,
	cout => \led_flash_cnt[2914][5]~67685\);

-- Location: FF_X49_Y38_N27
\led_flash_cnt[2914][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2914][5]~67684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2914][5]~q\);

-- Location: LCCOMB_X49_Y38_N28
\led_flash_cnt[2914][6]~67686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2914][6]~67686_combout\ = (\led_flash_cnt[2914][6]~q\ & (!\led_flash_cnt[2914][5]~67685\)) # (!\led_flash_cnt[2914][6]~q\ & ((\led_flash_cnt[2914][5]~67685\) # (GND)))
-- \led_flash_cnt[2914][6]~67687\ = CARRY((!\led_flash_cnt[2914][5]~67685\) # (!\led_flash_cnt[2914][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2914][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2914][5]~67685\,
	combout => \led_flash_cnt[2914][6]~67686_combout\,
	cout => \led_flash_cnt[2914][6]~67687\);

-- Location: FF_X49_Y38_N29
\led_flash_cnt[2914][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2914][6]~67686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2914][6]~q\);

-- Location: LCCOMB_X49_Y38_N30
\led_flash_cnt[2914][7]~67688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2914][7]~67688_combout\ = \led_flash_cnt[2914][7]~q\ $ (!\led_flash_cnt[2914][6]~67687\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2914][7]~q\,
	cin => \led_flash_cnt[2914][6]~67687\,
	combout => \led_flash_cnt[2914][7]~67688_combout\);

-- Location: FF_X49_Y38_N31
\led_flash_cnt[2914][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2914][7]~67688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2914][7]~q\);

-- Location: LCCOMB_X49_Y38_N0
\WideAnd2914~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2914~1_combout\ = (\led_flash_cnt[2914][5]~q\ & \led_flash_cnt[2914][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2914][5]~q\,
	datad => \led_flash_cnt[2914][6]~q\,
	combout => \WideAnd2914~1_combout\);

-- Location: LCCOMB_X49_Y38_N6
WideAnd2914 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2914~combout\ = (\led_flash_cnt[2914][0]~q\ & (\WideAnd2914~0_combout\ & (\led_flash_cnt[2914][7]~q\ & \WideAnd2914~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2914][0]~q\,
	datab => \WideAnd2914~0_combout\,
	datac => \led_flash_cnt[2914][7]~q\,
	datad => \WideAnd2914~1_combout\,
	combout => \WideAnd2914~combout\);

-- Location: FF_X49_Y38_N7
\led_flash_cnt_ands[2914]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2914~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2914));

-- Location: LCCOMB_X52_Y42_N12
\led_flash_cnt[2915][0]~83555\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2915][0]~83555_combout\ = !\led_flash_cnt[2915][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2915][0]~q\,
	combout => \led_flash_cnt[2915][0]~83555_combout\);

-- Location: FF_X52_Y42_N13
\led_flash_cnt[2915][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2915][0]~83555_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2915][0]~q\);

-- Location: LCCOMB_X52_Y42_N14
\led_flash_cnt[2915][1]~67690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2915][1]~67690_combout\ = (\led_flash_cnt[2915][0]~q\ & (\led_flash_cnt[2915][1]~q\ $ (VCC))) # (!\led_flash_cnt[2915][0]~q\ & (\led_flash_cnt[2915][1]~q\ & VCC))
-- \led_flash_cnt[2915][1]~67691\ = CARRY((\led_flash_cnt[2915][0]~q\ & \led_flash_cnt[2915][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2915][0]~q\,
	datab => \led_flash_cnt[2915][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2915][1]~67690_combout\,
	cout => \led_flash_cnt[2915][1]~67691\);

-- Location: FF_X52_Y42_N15
\led_flash_cnt[2915][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2915][1]~67690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2915][1]~q\);

-- Location: LCCOMB_X52_Y42_N16
\led_flash_cnt[2915][2]~67692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2915][2]~67692_combout\ = (\led_flash_cnt[2915][2]~q\ & (!\led_flash_cnt[2915][1]~67691\)) # (!\led_flash_cnt[2915][2]~q\ & ((\led_flash_cnt[2915][1]~67691\) # (GND)))
-- \led_flash_cnt[2915][2]~67693\ = CARRY((!\led_flash_cnt[2915][1]~67691\) # (!\led_flash_cnt[2915][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2915][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2915][1]~67691\,
	combout => \led_flash_cnt[2915][2]~67692_combout\,
	cout => \led_flash_cnt[2915][2]~67693\);

-- Location: FF_X52_Y42_N17
\led_flash_cnt[2915][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2915][2]~67692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2915][2]~q\);

-- Location: LCCOMB_X52_Y42_N18
\led_flash_cnt[2915][3]~67694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2915][3]~67694_combout\ = (\led_flash_cnt[2915][3]~q\ & (\led_flash_cnt[2915][2]~67693\ $ (GND))) # (!\led_flash_cnt[2915][3]~q\ & (!\led_flash_cnt[2915][2]~67693\ & VCC))
-- \led_flash_cnt[2915][3]~67695\ = CARRY((\led_flash_cnt[2915][3]~q\ & !\led_flash_cnt[2915][2]~67693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2915][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2915][2]~67693\,
	combout => \led_flash_cnt[2915][3]~67694_combout\,
	cout => \led_flash_cnt[2915][3]~67695\);

-- Location: FF_X52_Y42_N19
\led_flash_cnt[2915][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2915][3]~67694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2915][3]~q\);

-- Location: LCCOMB_X52_Y42_N20
\led_flash_cnt[2915][4]~67696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2915][4]~67696_combout\ = (\led_flash_cnt[2915][4]~q\ & (!\led_flash_cnt[2915][3]~67695\)) # (!\led_flash_cnt[2915][4]~q\ & ((\led_flash_cnt[2915][3]~67695\) # (GND)))
-- \led_flash_cnt[2915][4]~67697\ = CARRY((!\led_flash_cnt[2915][3]~67695\) # (!\led_flash_cnt[2915][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2915][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2915][3]~67695\,
	combout => \led_flash_cnt[2915][4]~67696_combout\,
	cout => \led_flash_cnt[2915][4]~67697\);

-- Location: FF_X52_Y42_N21
\led_flash_cnt[2915][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2915][4]~67696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2915][4]~q\);

-- Location: LCCOMB_X52_Y42_N22
\led_flash_cnt[2915][5]~67698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2915][5]~67698_combout\ = (\led_flash_cnt[2915][5]~q\ & (\led_flash_cnt[2915][4]~67697\ $ (GND))) # (!\led_flash_cnt[2915][5]~q\ & (!\led_flash_cnt[2915][4]~67697\ & VCC))
-- \led_flash_cnt[2915][5]~67699\ = CARRY((\led_flash_cnt[2915][5]~q\ & !\led_flash_cnt[2915][4]~67697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2915][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2915][4]~67697\,
	combout => \led_flash_cnt[2915][5]~67698_combout\,
	cout => \led_flash_cnt[2915][5]~67699\);

-- Location: FF_X52_Y42_N23
\led_flash_cnt[2915][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2915][5]~67698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2915][5]~q\);

-- Location: LCCOMB_X52_Y42_N24
\led_flash_cnt[2915][6]~67700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2915][6]~67700_combout\ = (\led_flash_cnt[2915][6]~q\ & (!\led_flash_cnt[2915][5]~67699\)) # (!\led_flash_cnt[2915][6]~q\ & ((\led_flash_cnt[2915][5]~67699\) # (GND)))
-- \led_flash_cnt[2915][6]~67701\ = CARRY((!\led_flash_cnt[2915][5]~67699\) # (!\led_flash_cnt[2915][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2915][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2915][5]~67699\,
	combout => \led_flash_cnt[2915][6]~67700_combout\,
	cout => \led_flash_cnt[2915][6]~67701\);

-- Location: FF_X52_Y42_N25
\led_flash_cnt[2915][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2915][6]~67700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2915][6]~q\);

-- Location: LCCOMB_X52_Y42_N10
\WideAnd2915~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2915~1_combout\ = (\led_flash_cnt[2915][5]~q\ & \led_flash_cnt[2915][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2915][5]~q\,
	datad => \led_flash_cnt[2915][6]~q\,
	combout => \WideAnd2915~1_combout\);

-- Location: LCCOMB_X52_Y42_N8
\WideAnd2915~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2915~0_combout\ = (\led_flash_cnt[2915][3]~q\ & (\led_flash_cnt[2915][4]~q\ & (\led_flash_cnt[2915][1]~q\ & \led_flash_cnt[2915][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2915][3]~q\,
	datab => \led_flash_cnt[2915][4]~q\,
	datac => \led_flash_cnt[2915][1]~q\,
	datad => \led_flash_cnt[2915][2]~q\,
	combout => \WideAnd2915~0_combout\);

-- Location: LCCOMB_X52_Y42_N26
\led_flash_cnt[2915][7]~67702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2915][7]~67702_combout\ = \led_flash_cnt[2915][7]~q\ $ (!\led_flash_cnt[2915][6]~67701\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2915][7]~q\,
	cin => \led_flash_cnt[2915][6]~67701\,
	combout => \led_flash_cnt[2915][7]~67702_combout\);

-- Location: FF_X52_Y42_N27
\led_flash_cnt[2915][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2915][7]~67702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2915][7]~q\);

-- Location: LCCOMB_X52_Y42_N0
WideAnd2915 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2915~combout\ = (\WideAnd2915~1_combout\ & (\WideAnd2915~0_combout\ & (\led_flash_cnt[2915][7]~q\ & \led_flash_cnt[2915][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2915~1_combout\,
	datab => \WideAnd2915~0_combout\,
	datac => \led_flash_cnt[2915][7]~q\,
	datad => \led_flash_cnt[2915][0]~q\,
	combout => \WideAnd2915~combout\);

-- Location: FF_X52_Y42_N1
\led_flash_cnt_ands[2915]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2915~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2915));

-- Location: LCCOMB_X55_Y24_N0
\led_flash_cnt[2913][0]~83553\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2913][0]~83553_combout\ = !\led_flash_cnt[2913][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2913][0]~q\,
	combout => \led_flash_cnt[2913][0]~83553_combout\);

-- Location: FF_X55_Y24_N1
\led_flash_cnt[2913][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2913][0]~83553_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2913][0]~q\);

-- Location: LCCOMB_X55_Y24_N16
\led_flash_cnt[2913][1]~67662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2913][1]~67662_combout\ = (\led_flash_cnt[2913][0]~q\ & (\led_flash_cnt[2913][1]~q\ $ (VCC))) # (!\led_flash_cnt[2913][0]~q\ & (\led_flash_cnt[2913][1]~q\ & VCC))
-- \led_flash_cnt[2913][1]~67663\ = CARRY((\led_flash_cnt[2913][0]~q\ & \led_flash_cnt[2913][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2913][0]~q\,
	datab => \led_flash_cnt[2913][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2913][1]~67662_combout\,
	cout => \led_flash_cnt[2913][1]~67663\);

-- Location: FF_X55_Y24_N17
\led_flash_cnt[2913][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2913][1]~67662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2913][1]~q\);

-- Location: LCCOMB_X55_Y24_N18
\led_flash_cnt[2913][2]~67664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2913][2]~67664_combout\ = (\led_flash_cnt[2913][2]~q\ & (!\led_flash_cnt[2913][1]~67663\)) # (!\led_flash_cnt[2913][2]~q\ & ((\led_flash_cnt[2913][1]~67663\) # (GND)))
-- \led_flash_cnt[2913][2]~67665\ = CARRY((!\led_flash_cnt[2913][1]~67663\) # (!\led_flash_cnt[2913][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2913][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2913][1]~67663\,
	combout => \led_flash_cnt[2913][2]~67664_combout\,
	cout => \led_flash_cnt[2913][2]~67665\);

-- Location: FF_X55_Y24_N19
\led_flash_cnt[2913][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2913][2]~67664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2913][2]~q\);

-- Location: LCCOMB_X55_Y24_N20
\led_flash_cnt[2913][3]~67666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2913][3]~67666_combout\ = (\led_flash_cnt[2913][3]~q\ & (\led_flash_cnt[2913][2]~67665\ $ (GND))) # (!\led_flash_cnt[2913][3]~q\ & (!\led_flash_cnt[2913][2]~67665\ & VCC))
-- \led_flash_cnt[2913][3]~67667\ = CARRY((\led_flash_cnt[2913][3]~q\ & !\led_flash_cnt[2913][2]~67665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2913][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2913][2]~67665\,
	combout => \led_flash_cnt[2913][3]~67666_combout\,
	cout => \led_flash_cnt[2913][3]~67667\);

-- Location: FF_X55_Y24_N21
\led_flash_cnt[2913][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2913][3]~67666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2913][3]~q\);

-- Location: LCCOMB_X55_Y24_N22
\led_flash_cnt[2913][4]~67668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2913][4]~67668_combout\ = (\led_flash_cnt[2913][4]~q\ & (!\led_flash_cnt[2913][3]~67667\)) # (!\led_flash_cnt[2913][4]~q\ & ((\led_flash_cnt[2913][3]~67667\) # (GND)))
-- \led_flash_cnt[2913][4]~67669\ = CARRY((!\led_flash_cnt[2913][3]~67667\) # (!\led_flash_cnt[2913][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2913][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2913][3]~67667\,
	combout => \led_flash_cnt[2913][4]~67668_combout\,
	cout => \led_flash_cnt[2913][4]~67669\);

-- Location: FF_X55_Y24_N23
\led_flash_cnt[2913][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2913][4]~67668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2913][4]~q\);

-- Location: LCCOMB_X55_Y24_N24
\led_flash_cnt[2913][5]~67670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2913][5]~67670_combout\ = (\led_flash_cnt[2913][5]~q\ & (\led_flash_cnt[2913][4]~67669\ $ (GND))) # (!\led_flash_cnt[2913][5]~q\ & (!\led_flash_cnt[2913][4]~67669\ & VCC))
-- \led_flash_cnt[2913][5]~67671\ = CARRY((\led_flash_cnt[2913][5]~q\ & !\led_flash_cnt[2913][4]~67669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2913][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2913][4]~67669\,
	combout => \led_flash_cnt[2913][5]~67670_combout\,
	cout => \led_flash_cnt[2913][5]~67671\);

-- Location: FF_X55_Y24_N25
\led_flash_cnt[2913][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2913][5]~67670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2913][5]~q\);

-- Location: LCCOMB_X55_Y24_N26
\led_flash_cnt[2913][6]~67672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2913][6]~67672_combout\ = (\led_flash_cnt[2913][6]~q\ & (!\led_flash_cnt[2913][5]~67671\)) # (!\led_flash_cnt[2913][6]~q\ & ((\led_flash_cnt[2913][5]~67671\) # (GND)))
-- \led_flash_cnt[2913][6]~67673\ = CARRY((!\led_flash_cnt[2913][5]~67671\) # (!\led_flash_cnt[2913][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2913][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2913][5]~67671\,
	combout => \led_flash_cnt[2913][6]~67672_combout\,
	cout => \led_flash_cnt[2913][6]~67673\);

-- Location: FF_X55_Y24_N27
\led_flash_cnt[2913][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2913][6]~67672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2913][6]~q\);

-- Location: LCCOMB_X55_Y24_N10
\WideAnd2913~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2913~1_combout\ = (\led_flash_cnt[2913][6]~q\ & \led_flash_cnt[2913][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2913][6]~q\,
	datad => \led_flash_cnt[2913][5]~q\,
	combout => \WideAnd2913~1_combout\);

-- Location: LCCOMB_X55_Y24_N28
\led_flash_cnt[2913][7]~67674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2913][7]~67674_combout\ = \led_flash_cnt[2913][6]~67673\ $ (!\led_flash_cnt[2913][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2913][7]~q\,
	cin => \led_flash_cnt[2913][6]~67673\,
	combout => \led_flash_cnt[2913][7]~67674_combout\);

-- Location: FF_X55_Y24_N29
\led_flash_cnt[2913][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2913][7]~67674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2913][7]~q\);

-- Location: LCCOMB_X55_Y24_N14
\WideAnd2913~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2913~0_combout\ = (\led_flash_cnt[2913][3]~q\ & (\led_flash_cnt[2913][2]~q\ & (\led_flash_cnt[2913][4]~q\ & \led_flash_cnt[2913][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2913][3]~q\,
	datab => \led_flash_cnt[2913][2]~q\,
	datac => \led_flash_cnt[2913][4]~q\,
	datad => \led_flash_cnt[2913][1]~q\,
	combout => \WideAnd2913~0_combout\);

-- Location: LCCOMB_X55_Y24_N8
WideAnd2913 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2913~combout\ = (\WideAnd2913~1_combout\ & (\led_flash_cnt[2913][7]~q\ & (\WideAnd2913~0_combout\ & \led_flash_cnt[2913][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2913~1_combout\,
	datab => \led_flash_cnt[2913][7]~q\,
	datac => \WideAnd2913~0_combout\,
	datad => \led_flash_cnt[2913][0]~q\,
	combout => \WideAnd2913~combout\);

-- Location: FF_X55_Y24_N9
\led_flash_cnt_ands[2913]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2913~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2913));

-- Location: LCCOMB_X47_Y53_N0
\led_flash_cnt[2912][0]~83552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2912][0]~83552_combout\ = !\led_flash_cnt[2912][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2912][0]~q\,
	combout => \led_flash_cnt[2912][0]~83552_combout\);

-- Location: FF_X47_Y53_N1
\led_flash_cnt[2912][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2912][0]~83552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2912][0]~q\);

-- Location: LCCOMB_X47_Y53_N12
\led_flash_cnt[2912][1]~67648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2912][1]~67648_combout\ = (\led_flash_cnt[2912][1]~q\ & (\led_flash_cnt[2912][0]~q\ $ (VCC))) # (!\led_flash_cnt[2912][1]~q\ & (\led_flash_cnt[2912][0]~q\ & VCC))
-- \led_flash_cnt[2912][1]~67649\ = CARRY((\led_flash_cnt[2912][1]~q\ & \led_flash_cnt[2912][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2912][1]~q\,
	datab => \led_flash_cnt[2912][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2912][1]~67648_combout\,
	cout => \led_flash_cnt[2912][1]~67649\);

-- Location: FF_X47_Y53_N13
\led_flash_cnt[2912][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2912][1]~67648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2912][1]~q\);

-- Location: LCCOMB_X47_Y53_N14
\led_flash_cnt[2912][2]~67650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2912][2]~67650_combout\ = (\led_flash_cnt[2912][2]~q\ & (!\led_flash_cnt[2912][1]~67649\)) # (!\led_flash_cnt[2912][2]~q\ & ((\led_flash_cnt[2912][1]~67649\) # (GND)))
-- \led_flash_cnt[2912][2]~67651\ = CARRY((!\led_flash_cnt[2912][1]~67649\) # (!\led_flash_cnt[2912][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2912][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2912][1]~67649\,
	combout => \led_flash_cnt[2912][2]~67650_combout\,
	cout => \led_flash_cnt[2912][2]~67651\);

-- Location: FF_X47_Y53_N15
\led_flash_cnt[2912][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2912][2]~67650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2912][2]~q\);

-- Location: LCCOMB_X47_Y53_N16
\led_flash_cnt[2912][3]~67652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2912][3]~67652_combout\ = (\led_flash_cnt[2912][3]~q\ & (\led_flash_cnt[2912][2]~67651\ $ (GND))) # (!\led_flash_cnt[2912][3]~q\ & (!\led_flash_cnt[2912][2]~67651\ & VCC))
-- \led_flash_cnt[2912][3]~67653\ = CARRY((\led_flash_cnt[2912][3]~q\ & !\led_flash_cnt[2912][2]~67651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2912][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2912][2]~67651\,
	combout => \led_flash_cnt[2912][3]~67652_combout\,
	cout => \led_flash_cnt[2912][3]~67653\);

-- Location: FF_X47_Y53_N17
\led_flash_cnt[2912][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2912][3]~67652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2912][3]~q\);

-- Location: LCCOMB_X47_Y53_N18
\led_flash_cnt[2912][4]~67654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2912][4]~67654_combout\ = (\led_flash_cnt[2912][4]~q\ & (!\led_flash_cnt[2912][3]~67653\)) # (!\led_flash_cnt[2912][4]~q\ & ((\led_flash_cnt[2912][3]~67653\) # (GND)))
-- \led_flash_cnt[2912][4]~67655\ = CARRY((!\led_flash_cnt[2912][3]~67653\) # (!\led_flash_cnt[2912][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2912][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2912][3]~67653\,
	combout => \led_flash_cnt[2912][4]~67654_combout\,
	cout => \led_flash_cnt[2912][4]~67655\);

-- Location: FF_X47_Y53_N19
\led_flash_cnt[2912][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2912][4]~67654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2912][4]~q\);

-- Location: LCCOMB_X47_Y53_N20
\led_flash_cnt[2912][5]~67656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2912][5]~67656_combout\ = (\led_flash_cnt[2912][5]~q\ & (\led_flash_cnt[2912][4]~67655\ $ (GND))) # (!\led_flash_cnt[2912][5]~q\ & (!\led_flash_cnt[2912][4]~67655\ & VCC))
-- \led_flash_cnt[2912][5]~67657\ = CARRY((\led_flash_cnt[2912][5]~q\ & !\led_flash_cnt[2912][4]~67655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2912][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2912][4]~67655\,
	combout => \led_flash_cnt[2912][5]~67656_combout\,
	cout => \led_flash_cnt[2912][5]~67657\);

-- Location: FF_X47_Y53_N21
\led_flash_cnt[2912][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2912][5]~67656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2912][5]~q\);

-- Location: LCCOMB_X47_Y53_N22
\led_flash_cnt[2912][6]~67658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2912][6]~67658_combout\ = (\led_flash_cnt[2912][6]~q\ & (!\led_flash_cnt[2912][5]~67657\)) # (!\led_flash_cnt[2912][6]~q\ & ((\led_flash_cnt[2912][5]~67657\) # (GND)))
-- \led_flash_cnt[2912][6]~67659\ = CARRY((!\led_flash_cnt[2912][5]~67657\) # (!\led_flash_cnt[2912][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2912][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2912][5]~67657\,
	combout => \led_flash_cnt[2912][6]~67658_combout\,
	cout => \led_flash_cnt[2912][6]~67659\);

-- Location: FF_X47_Y53_N23
\led_flash_cnt[2912][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2912][6]~67658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2912][6]~q\);

-- Location: LCCOMB_X47_Y53_N10
\WideAnd2912~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2912~1_combout\ = (\led_flash_cnt[2912][6]~q\ & \led_flash_cnt[2912][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2912][6]~q\,
	datad => \led_flash_cnt[2912][5]~q\,
	combout => \WideAnd2912~1_combout\);

-- Location: LCCOMB_X47_Y53_N24
\led_flash_cnt[2912][7]~67660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2912][7]~67660_combout\ = \led_flash_cnt[2912][6]~67659\ $ (!\led_flash_cnt[2912][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2912][7]~q\,
	cin => \led_flash_cnt[2912][6]~67659\,
	combout => \led_flash_cnt[2912][7]~67660_combout\);

-- Location: FF_X47_Y53_N25
\led_flash_cnt[2912][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2912][7]~67660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2912][7]~q\);

-- Location: LCCOMB_X47_Y53_N8
\WideAnd2912~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2912~0_combout\ = (\led_flash_cnt[2912][1]~q\ & (\led_flash_cnt[2912][4]~q\ & (\led_flash_cnt[2912][2]~q\ & \led_flash_cnt[2912][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2912][1]~q\,
	datab => \led_flash_cnt[2912][4]~q\,
	datac => \led_flash_cnt[2912][2]~q\,
	datad => \led_flash_cnt[2912][3]~q\,
	combout => \WideAnd2912~0_combout\);

-- Location: LCCOMB_X47_Y53_N28
WideAnd2912 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2912~combout\ = (\WideAnd2912~1_combout\ & (\led_flash_cnt[2912][7]~q\ & (\WideAnd2912~0_combout\ & \led_flash_cnt[2912][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2912~1_combout\,
	datab => \led_flash_cnt[2912][7]~q\,
	datac => \WideAnd2912~0_combout\,
	datad => \led_flash_cnt[2912][0]~q\,
	combout => \WideAnd2912~combout\);

-- Location: FF_X47_Y53_N29
\led_flash_cnt_ands[2912]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2912~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2912));

-- Location: LCCOMB_X52_Y42_N4
\WideAnd4204~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4204~0_combout\ = (led_flash_cnt_ands(2914) & (led_flash_cnt_ands(2915) & (led_flash_cnt_ands(2913) & led_flash_cnt_ands(2912))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2914),
	datab => led_flash_cnt_ands(2915),
	datac => led_flash_cnt_ands(2913),
	datad => led_flash_cnt_ands(2912),
	combout => \WideAnd4204~0_combout\);

-- Location: LCCOMB_X70_Y49_N8
\led_flash_cnt[2916][0]~83556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2916][0]~83556_combout\ = !\led_flash_cnt[2916][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2916][0]~q\,
	combout => \led_flash_cnt[2916][0]~83556_combout\);

-- Location: FF_X70_Y49_N9
\led_flash_cnt[2916][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2916][0]~83556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2916][0]~q\);

-- Location: LCCOMB_X70_Y49_N10
\led_flash_cnt[2916][1]~67704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2916][1]~67704_combout\ = (\led_flash_cnt[2916][1]~q\ & (\led_flash_cnt[2916][0]~q\ $ (VCC))) # (!\led_flash_cnt[2916][1]~q\ & (\led_flash_cnt[2916][0]~q\ & VCC))
-- \led_flash_cnt[2916][1]~67705\ = CARRY((\led_flash_cnt[2916][1]~q\ & \led_flash_cnt[2916][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2916][1]~q\,
	datab => \led_flash_cnt[2916][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2916][1]~67704_combout\,
	cout => \led_flash_cnt[2916][1]~67705\);

-- Location: FF_X70_Y49_N11
\led_flash_cnt[2916][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2916][1]~67704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2916][1]~q\);

-- Location: LCCOMB_X70_Y49_N12
\led_flash_cnt[2916][2]~67706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2916][2]~67706_combout\ = (\led_flash_cnt[2916][2]~q\ & (!\led_flash_cnt[2916][1]~67705\)) # (!\led_flash_cnt[2916][2]~q\ & ((\led_flash_cnt[2916][1]~67705\) # (GND)))
-- \led_flash_cnt[2916][2]~67707\ = CARRY((!\led_flash_cnt[2916][1]~67705\) # (!\led_flash_cnt[2916][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2916][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2916][1]~67705\,
	combout => \led_flash_cnt[2916][2]~67706_combout\,
	cout => \led_flash_cnt[2916][2]~67707\);

-- Location: FF_X70_Y49_N13
\led_flash_cnt[2916][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2916][2]~67706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2916][2]~q\);

-- Location: LCCOMB_X70_Y49_N14
\led_flash_cnt[2916][3]~67708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2916][3]~67708_combout\ = (\led_flash_cnt[2916][3]~q\ & (\led_flash_cnt[2916][2]~67707\ $ (GND))) # (!\led_flash_cnt[2916][3]~q\ & (!\led_flash_cnt[2916][2]~67707\ & VCC))
-- \led_flash_cnt[2916][3]~67709\ = CARRY((\led_flash_cnt[2916][3]~q\ & !\led_flash_cnt[2916][2]~67707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2916][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2916][2]~67707\,
	combout => \led_flash_cnt[2916][3]~67708_combout\,
	cout => \led_flash_cnt[2916][3]~67709\);

-- Location: FF_X70_Y49_N15
\led_flash_cnt[2916][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2916][3]~67708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2916][3]~q\);

-- Location: LCCOMB_X70_Y49_N16
\led_flash_cnt[2916][4]~67710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2916][4]~67710_combout\ = (\led_flash_cnt[2916][4]~q\ & (!\led_flash_cnt[2916][3]~67709\)) # (!\led_flash_cnt[2916][4]~q\ & ((\led_flash_cnt[2916][3]~67709\) # (GND)))
-- \led_flash_cnt[2916][4]~67711\ = CARRY((!\led_flash_cnt[2916][3]~67709\) # (!\led_flash_cnt[2916][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2916][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2916][3]~67709\,
	combout => \led_flash_cnt[2916][4]~67710_combout\,
	cout => \led_flash_cnt[2916][4]~67711\);

-- Location: FF_X70_Y49_N17
\led_flash_cnt[2916][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2916][4]~67710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2916][4]~q\);

-- Location: LCCOMB_X70_Y49_N26
\WideAnd2916~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2916~0_combout\ = (\led_flash_cnt[2916][2]~q\ & (\led_flash_cnt[2916][4]~q\ & (\led_flash_cnt[2916][3]~q\ & \led_flash_cnt[2916][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2916][2]~q\,
	datab => \led_flash_cnt[2916][4]~q\,
	datac => \led_flash_cnt[2916][3]~q\,
	datad => \led_flash_cnt[2916][1]~q\,
	combout => \WideAnd2916~0_combout\);

-- Location: LCCOMB_X70_Y49_N18
\led_flash_cnt[2916][5]~67712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2916][5]~67712_combout\ = (\led_flash_cnt[2916][5]~q\ & (\led_flash_cnt[2916][4]~67711\ $ (GND))) # (!\led_flash_cnt[2916][5]~q\ & (!\led_flash_cnt[2916][4]~67711\ & VCC))
-- \led_flash_cnt[2916][5]~67713\ = CARRY((\led_flash_cnt[2916][5]~q\ & !\led_flash_cnt[2916][4]~67711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2916][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2916][4]~67711\,
	combout => \led_flash_cnt[2916][5]~67712_combout\,
	cout => \led_flash_cnt[2916][5]~67713\);

-- Location: FF_X70_Y49_N19
\led_flash_cnt[2916][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2916][5]~67712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2916][5]~q\);

-- Location: LCCOMB_X70_Y49_N20
\led_flash_cnt[2916][6]~67714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2916][6]~67714_combout\ = (\led_flash_cnt[2916][6]~q\ & (!\led_flash_cnt[2916][5]~67713\)) # (!\led_flash_cnt[2916][6]~q\ & ((\led_flash_cnt[2916][5]~67713\) # (GND)))
-- \led_flash_cnt[2916][6]~67715\ = CARRY((!\led_flash_cnt[2916][5]~67713\) # (!\led_flash_cnt[2916][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2916][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2916][5]~67713\,
	combout => \led_flash_cnt[2916][6]~67714_combout\,
	cout => \led_flash_cnt[2916][6]~67715\);

-- Location: FF_X70_Y49_N21
\led_flash_cnt[2916][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2916][6]~67714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2916][6]~q\);

-- Location: LCCOMB_X70_Y49_N22
\led_flash_cnt[2916][7]~67716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2916][7]~67716_combout\ = \led_flash_cnt[2916][7]~q\ $ (!\led_flash_cnt[2916][6]~67715\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2916][7]~q\,
	cin => \led_flash_cnt[2916][6]~67715\,
	combout => \led_flash_cnt[2916][7]~67716_combout\);

-- Location: FF_X70_Y49_N23
\led_flash_cnt[2916][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2916][7]~67716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2916][7]~q\);

-- Location: LCCOMB_X70_Y49_N6
\WideAnd2916~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2916~1_combout\ = (\led_flash_cnt[2916][6]~q\ & \led_flash_cnt[2916][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2916][6]~q\,
	datad => \led_flash_cnt[2916][5]~q\,
	combout => \WideAnd2916~1_combout\);

-- Location: LCCOMB_X70_Y49_N30
WideAnd2916 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2916~combout\ = (\WideAnd2916~0_combout\ & (\led_flash_cnt[2916][0]~q\ & (\led_flash_cnt[2916][7]~q\ & \WideAnd2916~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2916~0_combout\,
	datab => \led_flash_cnt[2916][0]~q\,
	datac => \led_flash_cnt[2916][7]~q\,
	datad => \WideAnd2916~1_combout\,
	combout => \WideAnd2916~combout\);

-- Location: FF_X70_Y49_N31
\led_flash_cnt_ands[2916]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2916~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2916));

-- Location: LCCOMB_X70_Y49_N2
\led_flash_cnt[2917][0]~83557\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2917][0]~83557_combout\ = !\led_flash_cnt[2917][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2917][0]~q\,
	combout => \led_flash_cnt[2917][0]~83557_combout\);

-- Location: FF_X70_Y49_N3
\led_flash_cnt[2917][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2917][0]~83557_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2917][0]~q\);

-- Location: LCCOMB_X69_Y49_N4
\led_flash_cnt[2917][1]~67718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2917][1]~67718_combout\ = (\led_flash_cnt[2917][0]~q\ & (\led_flash_cnt[2917][1]~q\ $ (VCC))) # (!\led_flash_cnt[2917][0]~q\ & (\led_flash_cnt[2917][1]~q\ & VCC))
-- \led_flash_cnt[2917][1]~67719\ = CARRY((\led_flash_cnt[2917][0]~q\ & \led_flash_cnt[2917][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2917][0]~q\,
	datab => \led_flash_cnt[2917][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2917][1]~67718_combout\,
	cout => \led_flash_cnt[2917][1]~67719\);

-- Location: FF_X69_Y49_N5
\led_flash_cnt[2917][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2917][1]~67718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2917][1]~q\);

-- Location: LCCOMB_X69_Y49_N6
\led_flash_cnt[2917][2]~67720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2917][2]~67720_combout\ = (\led_flash_cnt[2917][2]~q\ & (!\led_flash_cnt[2917][1]~67719\)) # (!\led_flash_cnt[2917][2]~q\ & ((\led_flash_cnt[2917][1]~67719\) # (GND)))
-- \led_flash_cnt[2917][2]~67721\ = CARRY((!\led_flash_cnt[2917][1]~67719\) # (!\led_flash_cnt[2917][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2917][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2917][1]~67719\,
	combout => \led_flash_cnt[2917][2]~67720_combout\,
	cout => \led_flash_cnt[2917][2]~67721\);

-- Location: FF_X69_Y49_N7
\led_flash_cnt[2917][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2917][2]~67720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2917][2]~q\);

-- Location: LCCOMB_X69_Y49_N8
\led_flash_cnt[2917][3]~67722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2917][3]~67722_combout\ = (\led_flash_cnt[2917][3]~q\ & (\led_flash_cnt[2917][2]~67721\ $ (GND))) # (!\led_flash_cnt[2917][3]~q\ & (!\led_flash_cnt[2917][2]~67721\ & VCC))
-- \led_flash_cnt[2917][3]~67723\ = CARRY((\led_flash_cnt[2917][3]~q\ & !\led_flash_cnt[2917][2]~67721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2917][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2917][2]~67721\,
	combout => \led_flash_cnt[2917][3]~67722_combout\,
	cout => \led_flash_cnt[2917][3]~67723\);

-- Location: FF_X69_Y49_N9
\led_flash_cnt[2917][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2917][3]~67722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2917][3]~q\);

-- Location: LCCOMB_X69_Y49_N10
\led_flash_cnt[2917][4]~67724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2917][4]~67724_combout\ = (\led_flash_cnt[2917][4]~q\ & (!\led_flash_cnt[2917][3]~67723\)) # (!\led_flash_cnt[2917][4]~q\ & ((\led_flash_cnt[2917][3]~67723\) # (GND)))
-- \led_flash_cnt[2917][4]~67725\ = CARRY((!\led_flash_cnt[2917][3]~67723\) # (!\led_flash_cnt[2917][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2917][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2917][3]~67723\,
	combout => \led_flash_cnt[2917][4]~67724_combout\,
	cout => \led_flash_cnt[2917][4]~67725\);

-- Location: FF_X69_Y49_N11
\led_flash_cnt[2917][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2917][4]~67724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2917][4]~q\);

-- Location: LCCOMB_X69_Y49_N0
\WideAnd2917~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2917~0_combout\ = (\led_flash_cnt[2917][4]~q\ & (\led_flash_cnt[2917][3]~q\ & (\led_flash_cnt[2917][1]~q\ & \led_flash_cnt[2917][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2917][4]~q\,
	datab => \led_flash_cnt[2917][3]~q\,
	datac => \led_flash_cnt[2917][1]~q\,
	datad => \led_flash_cnt[2917][2]~q\,
	combout => \WideAnd2917~0_combout\);

-- Location: LCCOMB_X69_Y49_N12
\led_flash_cnt[2917][5]~67726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2917][5]~67726_combout\ = (\led_flash_cnt[2917][5]~q\ & (\led_flash_cnt[2917][4]~67725\ $ (GND))) # (!\led_flash_cnt[2917][5]~q\ & (!\led_flash_cnt[2917][4]~67725\ & VCC))
-- \led_flash_cnt[2917][5]~67727\ = CARRY((\led_flash_cnt[2917][5]~q\ & !\led_flash_cnt[2917][4]~67725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2917][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2917][4]~67725\,
	combout => \led_flash_cnt[2917][5]~67726_combout\,
	cout => \led_flash_cnt[2917][5]~67727\);

-- Location: FF_X69_Y49_N13
\led_flash_cnt[2917][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2917][5]~67726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2917][5]~q\);

-- Location: LCCOMB_X69_Y49_N14
\led_flash_cnt[2917][6]~67728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2917][6]~67728_combout\ = (\led_flash_cnt[2917][6]~q\ & (!\led_flash_cnt[2917][5]~67727\)) # (!\led_flash_cnt[2917][6]~q\ & ((\led_flash_cnt[2917][5]~67727\) # (GND)))
-- \led_flash_cnt[2917][6]~67729\ = CARRY((!\led_flash_cnt[2917][5]~67727\) # (!\led_flash_cnt[2917][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2917][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2917][5]~67727\,
	combout => \led_flash_cnt[2917][6]~67728_combout\,
	cout => \led_flash_cnt[2917][6]~67729\);

-- Location: FF_X69_Y49_N15
\led_flash_cnt[2917][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2917][6]~67728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2917][6]~q\);

-- Location: LCCOMB_X70_Y49_N28
\WideAnd2917~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2917~1_combout\ = (\led_flash_cnt[2917][6]~q\ & \led_flash_cnt[2917][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2917][6]~q\,
	datad => \led_flash_cnt[2917][5]~q\,
	combout => \WideAnd2917~1_combout\);

-- Location: LCCOMB_X69_Y49_N16
\led_flash_cnt[2917][7]~67730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2917][7]~67730_combout\ = \led_flash_cnt[2917][6]~67729\ $ (!\led_flash_cnt[2917][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2917][7]~q\,
	cin => \led_flash_cnt[2917][6]~67729\,
	combout => \led_flash_cnt[2917][7]~67730_combout\);

-- Location: FF_X69_Y49_N17
\led_flash_cnt[2917][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2917][7]~67730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2917][7]~q\);

-- Location: LCCOMB_X70_Y49_N4
WideAnd2917 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2917~combout\ = (\WideAnd2917~0_combout\ & (\WideAnd2917~1_combout\ & (\led_flash_cnt[2917][7]~q\ & \led_flash_cnt[2917][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2917~0_combout\,
	datab => \WideAnd2917~1_combout\,
	datac => \led_flash_cnt[2917][7]~q\,
	datad => \led_flash_cnt[2917][0]~q\,
	combout => \WideAnd2917~combout\);

-- Location: FF_X70_Y49_N5
\led_flash_cnt_ands[2917]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2917~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2917));

-- Location: LCCOMB_X70_Y49_N24
\WideAnd4204~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4204~1_combout\ = (led_flash_cnt_ands(2916) & led_flash_cnt_ands(2917))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2916),
	datac => led_flash_cnt_ands(2917),
	combout => \WideAnd4204~1_combout\);

-- Location: LCCOMB_X60_Y49_N28
\led_flash_cnt[2918][0]~83558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2918][0]~83558_combout\ = !\led_flash_cnt[2918][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2918][0]~q\,
	combout => \led_flash_cnt[2918][0]~83558_combout\);

-- Location: FF_X60_Y49_N29
\led_flash_cnt[2918][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2918][0]~83558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2918][0]~q\);

-- Location: LCCOMB_X60_Y49_N6
\led_flash_cnt[2918][1]~67732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2918][1]~67732_combout\ = (\led_flash_cnt[2918][1]~q\ & (\led_flash_cnt[2918][0]~q\ $ (VCC))) # (!\led_flash_cnt[2918][1]~q\ & (\led_flash_cnt[2918][0]~q\ & VCC))
-- \led_flash_cnt[2918][1]~67733\ = CARRY((\led_flash_cnt[2918][1]~q\ & \led_flash_cnt[2918][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2918][1]~q\,
	datab => \led_flash_cnt[2918][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2918][1]~67732_combout\,
	cout => \led_flash_cnt[2918][1]~67733\);

-- Location: FF_X60_Y49_N7
\led_flash_cnt[2918][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2918][1]~67732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2918][1]~q\);

-- Location: LCCOMB_X60_Y49_N8
\led_flash_cnt[2918][2]~67734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2918][2]~67734_combout\ = (\led_flash_cnt[2918][2]~q\ & (!\led_flash_cnt[2918][1]~67733\)) # (!\led_flash_cnt[2918][2]~q\ & ((\led_flash_cnt[2918][1]~67733\) # (GND)))
-- \led_flash_cnt[2918][2]~67735\ = CARRY((!\led_flash_cnt[2918][1]~67733\) # (!\led_flash_cnt[2918][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2918][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2918][1]~67733\,
	combout => \led_flash_cnt[2918][2]~67734_combout\,
	cout => \led_flash_cnt[2918][2]~67735\);

-- Location: FF_X60_Y49_N9
\led_flash_cnt[2918][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2918][2]~67734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2918][2]~q\);

-- Location: LCCOMB_X60_Y49_N10
\led_flash_cnt[2918][3]~67736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2918][3]~67736_combout\ = (\led_flash_cnt[2918][3]~q\ & (\led_flash_cnt[2918][2]~67735\ $ (GND))) # (!\led_flash_cnt[2918][3]~q\ & (!\led_flash_cnt[2918][2]~67735\ & VCC))
-- \led_flash_cnt[2918][3]~67737\ = CARRY((\led_flash_cnt[2918][3]~q\ & !\led_flash_cnt[2918][2]~67735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2918][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2918][2]~67735\,
	combout => \led_flash_cnt[2918][3]~67736_combout\,
	cout => \led_flash_cnt[2918][3]~67737\);

-- Location: FF_X60_Y49_N11
\led_flash_cnt[2918][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2918][3]~67736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2918][3]~q\);

-- Location: LCCOMB_X60_Y49_N12
\led_flash_cnt[2918][4]~67738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2918][4]~67738_combout\ = (\led_flash_cnt[2918][4]~q\ & (!\led_flash_cnt[2918][3]~67737\)) # (!\led_flash_cnt[2918][4]~q\ & ((\led_flash_cnt[2918][3]~67737\) # (GND)))
-- \led_flash_cnt[2918][4]~67739\ = CARRY((!\led_flash_cnt[2918][3]~67737\) # (!\led_flash_cnt[2918][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2918][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2918][3]~67737\,
	combout => \led_flash_cnt[2918][4]~67738_combout\,
	cout => \led_flash_cnt[2918][4]~67739\);

-- Location: FF_X60_Y49_N13
\led_flash_cnt[2918][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2918][4]~67738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2918][4]~q\);

-- Location: LCCOMB_X60_Y49_N30
\WideAnd2918~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2918~0_combout\ = (\led_flash_cnt[2918][1]~q\ & (\led_flash_cnt[2918][3]~q\ & (\led_flash_cnt[2918][2]~q\ & \led_flash_cnt[2918][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2918][1]~q\,
	datab => \led_flash_cnt[2918][3]~q\,
	datac => \led_flash_cnt[2918][2]~q\,
	datad => \led_flash_cnt[2918][4]~q\,
	combout => \WideAnd2918~0_combout\);

-- Location: LCCOMB_X60_Y49_N14
\led_flash_cnt[2918][5]~67740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2918][5]~67740_combout\ = (\led_flash_cnt[2918][5]~q\ & (\led_flash_cnt[2918][4]~67739\ $ (GND))) # (!\led_flash_cnt[2918][5]~q\ & (!\led_flash_cnt[2918][4]~67739\ & VCC))
-- \led_flash_cnt[2918][5]~67741\ = CARRY((\led_flash_cnt[2918][5]~q\ & !\led_flash_cnt[2918][4]~67739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2918][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2918][4]~67739\,
	combout => \led_flash_cnt[2918][5]~67740_combout\,
	cout => \led_flash_cnt[2918][5]~67741\);

-- Location: FF_X60_Y49_N15
\led_flash_cnt[2918][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2918][5]~67740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2918][5]~q\);

-- Location: LCCOMB_X60_Y49_N16
\led_flash_cnt[2918][6]~67742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2918][6]~67742_combout\ = (\led_flash_cnt[2918][6]~q\ & (!\led_flash_cnt[2918][5]~67741\)) # (!\led_flash_cnt[2918][6]~q\ & ((\led_flash_cnt[2918][5]~67741\) # (GND)))
-- \led_flash_cnt[2918][6]~67743\ = CARRY((!\led_flash_cnt[2918][5]~67741\) # (!\led_flash_cnt[2918][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2918][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2918][5]~67741\,
	combout => \led_flash_cnt[2918][6]~67742_combout\,
	cout => \led_flash_cnt[2918][6]~67743\);

-- Location: FF_X60_Y49_N17
\led_flash_cnt[2918][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2918][6]~67742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2918][6]~q\);

-- Location: LCCOMB_X60_Y49_N4
\WideAnd2918~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2918~1_combout\ = (\led_flash_cnt[2918][5]~q\ & \led_flash_cnt[2918][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2918][5]~q\,
	datad => \led_flash_cnt[2918][6]~q\,
	combout => \WideAnd2918~1_combout\);

-- Location: LCCOMB_X60_Y49_N18
\led_flash_cnt[2918][7]~67744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2918][7]~67744_combout\ = \led_flash_cnt[2918][6]~67743\ $ (!\led_flash_cnt[2918][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2918][7]~q\,
	cin => \led_flash_cnt[2918][6]~67743\,
	combout => \led_flash_cnt[2918][7]~67744_combout\);

-- Location: FF_X60_Y49_N19
\led_flash_cnt[2918][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2918][7]~67744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2918][7]~q\);

-- Location: LCCOMB_X60_Y49_N24
WideAnd2918 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2918~combout\ = (\WideAnd2918~0_combout\ & (\led_flash_cnt[2918][0]~q\ & (\WideAnd2918~1_combout\ & \led_flash_cnt[2918][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2918~0_combout\,
	datab => \led_flash_cnt[2918][0]~q\,
	datac => \WideAnd2918~1_combout\,
	datad => \led_flash_cnt[2918][7]~q\,
	combout => \WideAnd2918~combout\);

-- Location: FF_X60_Y49_N25
\led_flash_cnt_ands[2918]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2918~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2918));

-- Location: LCCOMB_X60_Y49_N20
WideAnd4204 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4204~combout\ = (led_flash_cnt_ands(2919) & (\WideAnd4204~0_combout\ & (\WideAnd4204~1_combout\ & led_flash_cnt_ands(2918))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2919),
	datab => \WideAnd4204~0_combout\,
	datac => \WideAnd4204~1_combout\,
	datad => led_flash_cnt_ands(2918),
	combout => \WideAnd4204~combout\);

-- Location: FF_X60_Y49_N21
\led_flash_cnt_ands_1[364]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4204~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(364));

-- Location: LCCOMB_X59_Y19_N28
\led_flash_cnt[2925][0]~83565\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2925][0]~83565_combout\ = !\led_flash_cnt[2925][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2925][0]~q\,
	combout => \led_flash_cnt[2925][0]~83565_combout\);

-- Location: FF_X59_Y19_N29
\led_flash_cnt[2925][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2925][0]~83565_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2925][0]~q\);

-- Location: LCCOMB_X60_Y19_N16
\led_flash_cnt[2925][1]~67830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2925][1]~67830_combout\ = (\led_flash_cnt[2925][0]~q\ & (\led_flash_cnt[2925][1]~q\ $ (VCC))) # (!\led_flash_cnt[2925][0]~q\ & (\led_flash_cnt[2925][1]~q\ & VCC))
-- \led_flash_cnt[2925][1]~67831\ = CARRY((\led_flash_cnt[2925][0]~q\ & \led_flash_cnt[2925][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2925][0]~q\,
	datab => \led_flash_cnt[2925][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2925][1]~67830_combout\,
	cout => \led_flash_cnt[2925][1]~67831\);

-- Location: FF_X60_Y19_N17
\led_flash_cnt[2925][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2925][1]~67830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2925][1]~q\);

-- Location: LCCOMB_X60_Y19_N18
\led_flash_cnt[2925][2]~67832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2925][2]~67832_combout\ = (\led_flash_cnt[2925][2]~q\ & (!\led_flash_cnt[2925][1]~67831\)) # (!\led_flash_cnt[2925][2]~q\ & ((\led_flash_cnt[2925][1]~67831\) # (GND)))
-- \led_flash_cnt[2925][2]~67833\ = CARRY((!\led_flash_cnt[2925][1]~67831\) # (!\led_flash_cnt[2925][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2925][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2925][1]~67831\,
	combout => \led_flash_cnt[2925][2]~67832_combout\,
	cout => \led_flash_cnt[2925][2]~67833\);

-- Location: FF_X60_Y19_N19
\led_flash_cnt[2925][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2925][2]~67832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2925][2]~q\);

-- Location: LCCOMB_X60_Y19_N20
\led_flash_cnt[2925][3]~67834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2925][3]~67834_combout\ = (\led_flash_cnt[2925][3]~q\ & (\led_flash_cnt[2925][2]~67833\ $ (GND))) # (!\led_flash_cnt[2925][3]~q\ & (!\led_flash_cnt[2925][2]~67833\ & VCC))
-- \led_flash_cnt[2925][3]~67835\ = CARRY((\led_flash_cnt[2925][3]~q\ & !\led_flash_cnt[2925][2]~67833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2925][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2925][2]~67833\,
	combout => \led_flash_cnt[2925][3]~67834_combout\,
	cout => \led_flash_cnt[2925][3]~67835\);

-- Location: FF_X60_Y19_N21
\led_flash_cnt[2925][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2925][3]~67834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2925][3]~q\);

-- Location: LCCOMB_X60_Y19_N22
\led_flash_cnt[2925][4]~67836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2925][4]~67836_combout\ = (\led_flash_cnt[2925][4]~q\ & (!\led_flash_cnt[2925][3]~67835\)) # (!\led_flash_cnt[2925][4]~q\ & ((\led_flash_cnt[2925][3]~67835\) # (GND)))
-- \led_flash_cnt[2925][4]~67837\ = CARRY((!\led_flash_cnt[2925][3]~67835\) # (!\led_flash_cnt[2925][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2925][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2925][3]~67835\,
	combout => \led_flash_cnt[2925][4]~67836_combout\,
	cout => \led_flash_cnt[2925][4]~67837\);

-- Location: FF_X60_Y19_N23
\led_flash_cnt[2925][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2925][4]~67836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2925][4]~q\);

-- Location: LCCOMB_X60_Y19_N30
\WideAnd2925~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2925~0_combout\ = (\led_flash_cnt[2925][1]~q\ & (\led_flash_cnt[2925][2]~q\ & (\led_flash_cnt[2925][4]~q\ & \led_flash_cnt[2925][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2925][1]~q\,
	datab => \led_flash_cnt[2925][2]~q\,
	datac => \led_flash_cnt[2925][4]~q\,
	datad => \led_flash_cnt[2925][3]~q\,
	combout => \WideAnd2925~0_combout\);

-- Location: LCCOMB_X60_Y19_N24
\led_flash_cnt[2925][5]~67838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2925][5]~67838_combout\ = (\led_flash_cnt[2925][5]~q\ & (\led_flash_cnt[2925][4]~67837\ $ (GND))) # (!\led_flash_cnt[2925][5]~q\ & (!\led_flash_cnt[2925][4]~67837\ & VCC))
-- \led_flash_cnt[2925][5]~67839\ = CARRY((\led_flash_cnt[2925][5]~q\ & !\led_flash_cnt[2925][4]~67837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2925][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2925][4]~67837\,
	combout => \led_flash_cnt[2925][5]~67838_combout\,
	cout => \led_flash_cnt[2925][5]~67839\);

-- Location: FF_X60_Y19_N25
\led_flash_cnt[2925][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2925][5]~67838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2925][5]~q\);

-- Location: LCCOMB_X60_Y19_N26
\led_flash_cnt[2925][6]~67840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2925][6]~67840_combout\ = (\led_flash_cnt[2925][6]~q\ & (!\led_flash_cnt[2925][5]~67839\)) # (!\led_flash_cnt[2925][6]~q\ & ((\led_flash_cnt[2925][5]~67839\) # (GND)))
-- \led_flash_cnt[2925][6]~67841\ = CARRY((!\led_flash_cnt[2925][5]~67839\) # (!\led_flash_cnt[2925][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2925][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2925][5]~67839\,
	combout => \led_flash_cnt[2925][6]~67840_combout\,
	cout => \led_flash_cnt[2925][6]~67841\);

-- Location: FF_X60_Y19_N27
\led_flash_cnt[2925][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2925][6]~67840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2925][6]~q\);

-- Location: LCCOMB_X59_Y19_N26
\WideAnd2925~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2925~1_combout\ = (\led_flash_cnt[2925][6]~q\ & \led_flash_cnt[2925][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2925][6]~q\,
	datad => \led_flash_cnt[2925][5]~q\,
	combout => \WideAnd2925~1_combout\);

-- Location: LCCOMB_X60_Y19_N28
\led_flash_cnt[2925][7]~67842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2925][7]~67842_combout\ = \led_flash_cnt[2925][6]~67841\ $ (!\led_flash_cnt[2925][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2925][7]~q\,
	cin => \led_flash_cnt[2925][6]~67841\,
	combout => \led_flash_cnt[2925][7]~67842_combout\);

-- Location: FF_X60_Y19_N29
\led_flash_cnt[2925][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2925][7]~67842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2925][7]~q\);

-- Location: LCCOMB_X59_Y19_N22
WideAnd2925 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2925~combout\ = (\WideAnd2925~0_combout\ & (\led_flash_cnt[2925][0]~q\ & (\WideAnd2925~1_combout\ & \led_flash_cnt[2925][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2925~0_combout\,
	datab => \led_flash_cnt[2925][0]~q\,
	datac => \WideAnd2925~1_combout\,
	datad => \led_flash_cnt[2925][7]~q\,
	combout => \WideAnd2925~combout\);

-- Location: FF_X59_Y19_N23
\led_flash_cnt_ands[2925]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2925~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2925));

-- Location: LCCOMB_X59_Y19_N18
\led_flash_cnt[2924][0]~83564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2924][0]~83564_combout\ = !\led_flash_cnt[2924][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2924][0]~q\,
	combout => \led_flash_cnt[2924][0]~83564_combout\);

-- Location: FF_X59_Y19_N19
\led_flash_cnt[2924][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2924][0]~83564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2924][0]~q\);

-- Location: LCCOMB_X59_Y19_N0
\led_flash_cnt[2924][1]~67816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2924][1]~67816_combout\ = (\led_flash_cnt[2924][1]~q\ & (\led_flash_cnt[2924][0]~q\ $ (VCC))) # (!\led_flash_cnt[2924][1]~q\ & (\led_flash_cnt[2924][0]~q\ & VCC))
-- \led_flash_cnt[2924][1]~67817\ = CARRY((\led_flash_cnt[2924][1]~q\ & \led_flash_cnt[2924][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2924][1]~q\,
	datab => \led_flash_cnt[2924][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2924][1]~67816_combout\,
	cout => \led_flash_cnt[2924][1]~67817\);

-- Location: FF_X59_Y19_N1
\led_flash_cnt[2924][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2924][1]~67816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2924][1]~q\);

-- Location: LCCOMB_X59_Y19_N2
\led_flash_cnt[2924][2]~67818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2924][2]~67818_combout\ = (\led_flash_cnt[2924][2]~q\ & (!\led_flash_cnt[2924][1]~67817\)) # (!\led_flash_cnt[2924][2]~q\ & ((\led_flash_cnt[2924][1]~67817\) # (GND)))
-- \led_flash_cnt[2924][2]~67819\ = CARRY((!\led_flash_cnt[2924][1]~67817\) # (!\led_flash_cnt[2924][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2924][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2924][1]~67817\,
	combout => \led_flash_cnt[2924][2]~67818_combout\,
	cout => \led_flash_cnt[2924][2]~67819\);

-- Location: FF_X59_Y19_N3
\led_flash_cnt[2924][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2924][2]~67818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2924][2]~q\);

-- Location: LCCOMB_X59_Y19_N4
\led_flash_cnt[2924][3]~67820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2924][3]~67820_combout\ = (\led_flash_cnt[2924][3]~q\ & (\led_flash_cnt[2924][2]~67819\ $ (GND))) # (!\led_flash_cnt[2924][3]~q\ & (!\led_flash_cnt[2924][2]~67819\ & VCC))
-- \led_flash_cnt[2924][3]~67821\ = CARRY((\led_flash_cnt[2924][3]~q\ & !\led_flash_cnt[2924][2]~67819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2924][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2924][2]~67819\,
	combout => \led_flash_cnt[2924][3]~67820_combout\,
	cout => \led_flash_cnt[2924][3]~67821\);

-- Location: FF_X59_Y19_N5
\led_flash_cnt[2924][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2924][3]~67820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2924][3]~q\);

-- Location: LCCOMB_X59_Y19_N6
\led_flash_cnt[2924][4]~67822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2924][4]~67822_combout\ = (\led_flash_cnt[2924][4]~q\ & (!\led_flash_cnt[2924][3]~67821\)) # (!\led_flash_cnt[2924][4]~q\ & ((\led_flash_cnt[2924][3]~67821\) # (GND)))
-- \led_flash_cnt[2924][4]~67823\ = CARRY((!\led_flash_cnt[2924][3]~67821\) # (!\led_flash_cnt[2924][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2924][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2924][3]~67821\,
	combout => \led_flash_cnt[2924][4]~67822_combout\,
	cout => \led_flash_cnt[2924][4]~67823\);

-- Location: FF_X59_Y19_N7
\led_flash_cnt[2924][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2924][4]~67822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2924][4]~q\);

-- Location: LCCOMB_X59_Y19_N8
\led_flash_cnt[2924][5]~67824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2924][5]~67824_combout\ = (\led_flash_cnt[2924][5]~q\ & (\led_flash_cnt[2924][4]~67823\ $ (GND))) # (!\led_flash_cnt[2924][5]~q\ & (!\led_flash_cnt[2924][4]~67823\ & VCC))
-- \led_flash_cnt[2924][5]~67825\ = CARRY((\led_flash_cnt[2924][5]~q\ & !\led_flash_cnt[2924][4]~67823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2924][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2924][4]~67823\,
	combout => \led_flash_cnt[2924][5]~67824_combout\,
	cout => \led_flash_cnt[2924][5]~67825\);

-- Location: FF_X59_Y19_N9
\led_flash_cnt[2924][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2924][5]~67824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2924][5]~q\);

-- Location: LCCOMB_X59_Y19_N10
\led_flash_cnt[2924][6]~67826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2924][6]~67826_combout\ = (\led_flash_cnt[2924][6]~q\ & (!\led_flash_cnt[2924][5]~67825\)) # (!\led_flash_cnt[2924][6]~q\ & ((\led_flash_cnt[2924][5]~67825\) # (GND)))
-- \led_flash_cnt[2924][6]~67827\ = CARRY((!\led_flash_cnt[2924][5]~67825\) # (!\led_flash_cnt[2924][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2924][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2924][5]~67825\,
	combout => \led_flash_cnt[2924][6]~67826_combout\,
	cout => \led_flash_cnt[2924][6]~67827\);

-- Location: FF_X59_Y19_N11
\led_flash_cnt[2924][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2924][6]~67826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2924][6]~q\);

-- Location: LCCOMB_X59_Y19_N12
\led_flash_cnt[2924][7]~67828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2924][7]~67828_combout\ = \led_flash_cnt[2924][6]~67827\ $ (!\led_flash_cnt[2924][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2924][7]~q\,
	cin => \led_flash_cnt[2924][6]~67827\,
	combout => \led_flash_cnt[2924][7]~67828_combout\);

-- Location: FF_X59_Y19_N13
\led_flash_cnt[2924][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2924][7]~67828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2924][7]~q\);

-- Location: LCCOMB_X59_Y19_N20
\WideAnd2924~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2924~0_combout\ = (\led_flash_cnt[2924][4]~q\ & (\led_flash_cnt[2924][1]~q\ & (\led_flash_cnt[2924][3]~q\ & \led_flash_cnt[2924][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2924][4]~q\,
	datab => \led_flash_cnt[2924][1]~q\,
	datac => \led_flash_cnt[2924][3]~q\,
	datad => \led_flash_cnt[2924][2]~q\,
	combout => \WideAnd2924~0_combout\);

-- Location: LCCOMB_X59_Y19_N30
\WideAnd2924~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2924~1_combout\ = (\led_flash_cnt[2924][5]~q\ & \led_flash_cnt[2924][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2924][5]~q\,
	datad => \led_flash_cnt[2924][6]~q\,
	combout => \WideAnd2924~1_combout\);

-- Location: LCCOMB_X59_Y19_N16
WideAnd2924 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2924~combout\ = (\led_flash_cnt[2924][7]~q\ & (\WideAnd2924~0_combout\ & (\WideAnd2924~1_combout\ & \led_flash_cnt[2924][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2924][7]~q\,
	datab => \WideAnd2924~0_combout\,
	datac => \WideAnd2924~1_combout\,
	datad => \led_flash_cnt[2924][0]~q\,
	combout => \WideAnd2924~combout\);

-- Location: FF_X59_Y19_N17
\led_flash_cnt_ands[2924]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2924~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2924));

-- Location: LCCOMB_X59_Y19_N24
\WideAnd4205~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4205~1_combout\ = (led_flash_cnt_ands(2925) & led_flash_cnt_ands(2924))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2925),
	datad => led_flash_cnt_ands(2924),
	combout => \WideAnd4205~1_combout\);

-- Location: LCCOMB_X69_Y23_N12
\led_flash_cnt[2923][0]~83563\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2923][0]~83563_combout\ = !\led_flash_cnt[2923][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2923][0]~q\,
	combout => \led_flash_cnt[2923][0]~83563_combout\);

-- Location: FF_X69_Y23_N13
\led_flash_cnt[2923][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2923][0]~83563_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2923][0]~q\);

-- Location: LCCOMB_X69_Y23_N14
\led_flash_cnt[2923][1]~67802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2923][1]~67802_combout\ = (\led_flash_cnt[2923][0]~q\ & (\led_flash_cnt[2923][1]~q\ $ (VCC))) # (!\led_flash_cnt[2923][0]~q\ & (\led_flash_cnt[2923][1]~q\ & VCC))
-- \led_flash_cnt[2923][1]~67803\ = CARRY((\led_flash_cnt[2923][0]~q\ & \led_flash_cnt[2923][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2923][0]~q\,
	datab => \led_flash_cnt[2923][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2923][1]~67802_combout\,
	cout => \led_flash_cnt[2923][1]~67803\);

-- Location: FF_X69_Y23_N15
\led_flash_cnt[2923][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2923][1]~67802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2923][1]~q\);

-- Location: LCCOMB_X69_Y23_N16
\led_flash_cnt[2923][2]~67804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2923][2]~67804_combout\ = (\led_flash_cnt[2923][2]~q\ & (!\led_flash_cnt[2923][1]~67803\)) # (!\led_flash_cnt[2923][2]~q\ & ((\led_flash_cnt[2923][1]~67803\) # (GND)))
-- \led_flash_cnt[2923][2]~67805\ = CARRY((!\led_flash_cnt[2923][1]~67803\) # (!\led_flash_cnt[2923][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2923][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2923][1]~67803\,
	combout => \led_flash_cnt[2923][2]~67804_combout\,
	cout => \led_flash_cnt[2923][2]~67805\);

-- Location: FF_X69_Y23_N17
\led_flash_cnt[2923][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2923][2]~67804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2923][2]~q\);

-- Location: LCCOMB_X69_Y23_N18
\led_flash_cnt[2923][3]~67806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2923][3]~67806_combout\ = (\led_flash_cnt[2923][3]~q\ & (\led_flash_cnt[2923][2]~67805\ $ (GND))) # (!\led_flash_cnt[2923][3]~q\ & (!\led_flash_cnt[2923][2]~67805\ & VCC))
-- \led_flash_cnt[2923][3]~67807\ = CARRY((\led_flash_cnt[2923][3]~q\ & !\led_flash_cnt[2923][2]~67805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2923][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2923][2]~67805\,
	combout => \led_flash_cnt[2923][3]~67806_combout\,
	cout => \led_flash_cnt[2923][3]~67807\);

-- Location: FF_X69_Y23_N19
\led_flash_cnt[2923][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2923][3]~67806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2923][3]~q\);

-- Location: LCCOMB_X69_Y23_N20
\led_flash_cnt[2923][4]~67808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2923][4]~67808_combout\ = (\led_flash_cnt[2923][4]~q\ & (!\led_flash_cnt[2923][3]~67807\)) # (!\led_flash_cnt[2923][4]~q\ & ((\led_flash_cnt[2923][3]~67807\) # (GND)))
-- \led_flash_cnt[2923][4]~67809\ = CARRY((!\led_flash_cnt[2923][3]~67807\) # (!\led_flash_cnt[2923][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2923][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2923][3]~67807\,
	combout => \led_flash_cnt[2923][4]~67808_combout\,
	cout => \led_flash_cnt[2923][4]~67809\);

-- Location: FF_X69_Y23_N21
\led_flash_cnt[2923][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2923][4]~67808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2923][4]~q\);

-- Location: LCCOMB_X69_Y23_N22
\led_flash_cnt[2923][5]~67810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2923][5]~67810_combout\ = (\led_flash_cnt[2923][5]~q\ & (\led_flash_cnt[2923][4]~67809\ $ (GND))) # (!\led_flash_cnt[2923][5]~q\ & (!\led_flash_cnt[2923][4]~67809\ & VCC))
-- \led_flash_cnt[2923][5]~67811\ = CARRY((\led_flash_cnt[2923][5]~q\ & !\led_flash_cnt[2923][4]~67809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2923][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2923][4]~67809\,
	combout => \led_flash_cnt[2923][5]~67810_combout\,
	cout => \led_flash_cnt[2923][5]~67811\);

-- Location: FF_X69_Y23_N23
\led_flash_cnt[2923][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2923][5]~67810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2923][5]~q\);

-- Location: LCCOMB_X69_Y23_N24
\led_flash_cnt[2923][6]~67812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2923][6]~67812_combout\ = (\led_flash_cnt[2923][6]~q\ & (!\led_flash_cnt[2923][5]~67811\)) # (!\led_flash_cnt[2923][6]~q\ & ((\led_flash_cnt[2923][5]~67811\) # (GND)))
-- \led_flash_cnt[2923][6]~67813\ = CARRY((!\led_flash_cnt[2923][5]~67811\) # (!\led_flash_cnt[2923][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2923][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2923][5]~67811\,
	combout => \led_flash_cnt[2923][6]~67812_combout\,
	cout => \led_flash_cnt[2923][6]~67813\);

-- Location: FF_X69_Y23_N25
\led_flash_cnt[2923][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2923][6]~67812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2923][6]~q\);

-- Location: LCCOMB_X69_Y23_N26
\led_flash_cnt[2923][7]~67814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2923][7]~67814_combout\ = \led_flash_cnt[2923][7]~q\ $ (!\led_flash_cnt[2923][6]~67813\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2923][7]~q\,
	cin => \led_flash_cnt[2923][6]~67813\,
	combout => \led_flash_cnt[2923][7]~67814_combout\);

-- Location: FF_X69_Y23_N27
\led_flash_cnt[2923][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2923][7]~67814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2923][7]~q\);

-- Location: LCCOMB_X69_Y23_N4
\WideAnd2923~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2923~1_combout\ = (\led_flash_cnt[2923][5]~q\ & \led_flash_cnt[2923][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2923][5]~q\,
	datad => \led_flash_cnt[2923][6]~q\,
	combout => \WideAnd2923~1_combout\);

-- Location: LCCOMB_X69_Y23_N8
\WideAnd2923~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2923~0_combout\ = (\led_flash_cnt[2923][2]~q\ & (\led_flash_cnt[2923][3]~q\ & (\led_flash_cnt[2923][1]~q\ & \led_flash_cnt[2923][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2923][2]~q\,
	datab => \led_flash_cnt[2923][3]~q\,
	datac => \led_flash_cnt[2923][1]~q\,
	datad => \led_flash_cnt[2923][4]~q\,
	combout => \WideAnd2923~0_combout\);

-- Location: LCCOMB_X69_Y23_N28
WideAnd2923 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2923~combout\ = (\led_flash_cnt[2923][7]~q\ & (\WideAnd2923~1_combout\ & (\WideAnd2923~0_combout\ & \led_flash_cnt[2923][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2923][7]~q\,
	datab => \WideAnd2923~1_combout\,
	datac => \WideAnd2923~0_combout\,
	datad => \led_flash_cnt[2923][0]~q\,
	combout => \WideAnd2923~combout\);

-- Location: FF_X69_Y23_N29
\led_flash_cnt_ands[2923]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2923~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2923));

-- Location: LCCOMB_X75_Y34_N12
\led_flash_cnt[2920][0]~83560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2920][0]~83560_combout\ = !\led_flash_cnt[2920][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2920][0]~q\,
	combout => \led_flash_cnt[2920][0]~83560_combout\);

-- Location: FF_X75_Y34_N13
\led_flash_cnt[2920][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2920][0]~83560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2920][0]~q\);

-- Location: LCCOMB_X75_Y34_N18
\led_flash_cnt[2920][1]~67760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2920][1]~67760_combout\ = (\led_flash_cnt[2920][0]~q\ & (\led_flash_cnt[2920][1]~q\ $ (VCC))) # (!\led_flash_cnt[2920][0]~q\ & (\led_flash_cnt[2920][1]~q\ & VCC))
-- \led_flash_cnt[2920][1]~67761\ = CARRY((\led_flash_cnt[2920][0]~q\ & \led_flash_cnt[2920][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2920][0]~q\,
	datab => \led_flash_cnt[2920][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2920][1]~67760_combout\,
	cout => \led_flash_cnt[2920][1]~67761\);

-- Location: FF_X75_Y34_N19
\led_flash_cnt[2920][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2920][1]~67760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2920][1]~q\);

-- Location: LCCOMB_X75_Y34_N20
\led_flash_cnt[2920][2]~67762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2920][2]~67762_combout\ = (\led_flash_cnt[2920][2]~q\ & (!\led_flash_cnt[2920][1]~67761\)) # (!\led_flash_cnt[2920][2]~q\ & ((\led_flash_cnt[2920][1]~67761\) # (GND)))
-- \led_flash_cnt[2920][2]~67763\ = CARRY((!\led_flash_cnt[2920][1]~67761\) # (!\led_flash_cnt[2920][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2920][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2920][1]~67761\,
	combout => \led_flash_cnt[2920][2]~67762_combout\,
	cout => \led_flash_cnt[2920][2]~67763\);

-- Location: FF_X75_Y34_N21
\led_flash_cnt[2920][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2920][2]~67762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2920][2]~q\);

-- Location: LCCOMB_X75_Y34_N22
\led_flash_cnt[2920][3]~67764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2920][3]~67764_combout\ = (\led_flash_cnt[2920][3]~q\ & (\led_flash_cnt[2920][2]~67763\ $ (GND))) # (!\led_flash_cnt[2920][3]~q\ & (!\led_flash_cnt[2920][2]~67763\ & VCC))
-- \led_flash_cnt[2920][3]~67765\ = CARRY((\led_flash_cnt[2920][3]~q\ & !\led_flash_cnt[2920][2]~67763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2920][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2920][2]~67763\,
	combout => \led_flash_cnt[2920][3]~67764_combout\,
	cout => \led_flash_cnt[2920][3]~67765\);

-- Location: FF_X75_Y34_N23
\led_flash_cnt[2920][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2920][3]~67764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2920][3]~q\);

-- Location: LCCOMB_X75_Y34_N24
\led_flash_cnt[2920][4]~67766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2920][4]~67766_combout\ = (\led_flash_cnt[2920][4]~q\ & (!\led_flash_cnt[2920][3]~67765\)) # (!\led_flash_cnt[2920][4]~q\ & ((\led_flash_cnt[2920][3]~67765\) # (GND)))
-- \led_flash_cnt[2920][4]~67767\ = CARRY((!\led_flash_cnt[2920][3]~67765\) # (!\led_flash_cnt[2920][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2920][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2920][3]~67765\,
	combout => \led_flash_cnt[2920][4]~67766_combout\,
	cout => \led_flash_cnt[2920][4]~67767\);

-- Location: FF_X75_Y34_N25
\led_flash_cnt[2920][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2920][4]~67766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2920][4]~q\);

-- Location: LCCOMB_X75_Y34_N26
\led_flash_cnt[2920][5]~67768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2920][5]~67768_combout\ = (\led_flash_cnt[2920][5]~q\ & (\led_flash_cnt[2920][4]~67767\ $ (GND))) # (!\led_flash_cnt[2920][5]~q\ & (!\led_flash_cnt[2920][4]~67767\ & VCC))
-- \led_flash_cnt[2920][5]~67769\ = CARRY((\led_flash_cnt[2920][5]~q\ & !\led_flash_cnt[2920][4]~67767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2920][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2920][4]~67767\,
	combout => \led_flash_cnt[2920][5]~67768_combout\,
	cout => \led_flash_cnt[2920][5]~67769\);

-- Location: FF_X75_Y34_N27
\led_flash_cnt[2920][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2920][5]~67768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2920][5]~q\);

-- Location: LCCOMB_X75_Y34_N28
\led_flash_cnt[2920][6]~67770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2920][6]~67770_combout\ = (\led_flash_cnt[2920][6]~q\ & (!\led_flash_cnt[2920][5]~67769\)) # (!\led_flash_cnt[2920][6]~q\ & ((\led_flash_cnt[2920][5]~67769\) # (GND)))
-- \led_flash_cnt[2920][6]~67771\ = CARRY((!\led_flash_cnt[2920][5]~67769\) # (!\led_flash_cnt[2920][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2920][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2920][5]~67769\,
	combout => \led_flash_cnt[2920][6]~67770_combout\,
	cout => \led_flash_cnt[2920][6]~67771\);

-- Location: FF_X75_Y34_N29
\led_flash_cnt[2920][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2920][6]~67770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2920][6]~q\);

-- Location: LCCOMB_X75_Y34_N30
\led_flash_cnt[2920][7]~67772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2920][7]~67772_combout\ = \led_flash_cnt[2920][7]~q\ $ (!\led_flash_cnt[2920][6]~67771\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2920][7]~q\,
	cin => \led_flash_cnt[2920][6]~67771\,
	combout => \led_flash_cnt[2920][7]~67772_combout\);

-- Location: FF_X75_Y34_N31
\led_flash_cnt[2920][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2920][7]~67772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2920][7]~q\);

-- Location: LCCOMB_X75_Y34_N4
\WideAnd2920~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2920~1_combout\ = (\led_flash_cnt[2920][5]~q\ & \led_flash_cnt[2920][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2920][5]~q\,
	datad => \led_flash_cnt[2920][6]~q\,
	combout => \WideAnd2920~1_combout\);

-- Location: LCCOMB_X75_Y34_N8
\WideAnd2920~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2920~0_combout\ = (\led_flash_cnt[2920][1]~q\ & (\led_flash_cnt[2920][4]~q\ & (\led_flash_cnt[2920][3]~q\ & \led_flash_cnt[2920][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2920][1]~q\,
	datab => \led_flash_cnt[2920][4]~q\,
	datac => \led_flash_cnt[2920][3]~q\,
	datad => \led_flash_cnt[2920][2]~q\,
	combout => \WideAnd2920~0_combout\);

-- Location: LCCOMB_X75_Y34_N10
WideAnd2920 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2920~combout\ = (\led_flash_cnt[2920][7]~q\ & (\WideAnd2920~1_combout\ & (\WideAnd2920~0_combout\ & \led_flash_cnt[2920][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2920][7]~q\,
	datab => \WideAnd2920~1_combout\,
	datac => \WideAnd2920~0_combout\,
	datad => \led_flash_cnt[2920][0]~q\,
	combout => \WideAnd2920~combout\);

-- Location: FF_X75_Y34_N11
\led_flash_cnt_ands[2920]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2920~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2920));

-- Location: LCCOMB_X77_Y19_N14
\led_flash_cnt[2922][0]~83562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2922][0]~83562_combout\ = !\led_flash_cnt[2922][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2922][0]~q\,
	combout => \led_flash_cnt[2922][0]~83562_combout\);

-- Location: FF_X77_Y19_N15
\led_flash_cnt[2922][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2922][0]~83562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2922][0]~q\);

-- Location: LCCOMB_X77_Y19_N18
\led_flash_cnt[2922][1]~67788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2922][1]~67788_combout\ = (\led_flash_cnt[2922][1]~q\ & (\led_flash_cnt[2922][0]~q\ $ (VCC))) # (!\led_flash_cnt[2922][1]~q\ & (\led_flash_cnt[2922][0]~q\ & VCC))
-- \led_flash_cnt[2922][1]~67789\ = CARRY((\led_flash_cnt[2922][1]~q\ & \led_flash_cnt[2922][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2922][1]~q\,
	datab => \led_flash_cnt[2922][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2922][1]~67788_combout\,
	cout => \led_flash_cnt[2922][1]~67789\);

-- Location: FF_X77_Y19_N19
\led_flash_cnt[2922][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2922][1]~67788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2922][1]~q\);

-- Location: LCCOMB_X77_Y19_N20
\led_flash_cnt[2922][2]~67790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2922][2]~67790_combout\ = (\led_flash_cnt[2922][2]~q\ & (!\led_flash_cnt[2922][1]~67789\)) # (!\led_flash_cnt[2922][2]~q\ & ((\led_flash_cnt[2922][1]~67789\) # (GND)))
-- \led_flash_cnt[2922][2]~67791\ = CARRY((!\led_flash_cnt[2922][1]~67789\) # (!\led_flash_cnt[2922][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2922][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2922][1]~67789\,
	combout => \led_flash_cnt[2922][2]~67790_combout\,
	cout => \led_flash_cnt[2922][2]~67791\);

-- Location: FF_X77_Y19_N21
\led_flash_cnt[2922][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2922][2]~67790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2922][2]~q\);

-- Location: LCCOMB_X77_Y19_N22
\led_flash_cnt[2922][3]~67792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2922][3]~67792_combout\ = (\led_flash_cnt[2922][3]~q\ & (\led_flash_cnt[2922][2]~67791\ $ (GND))) # (!\led_flash_cnt[2922][3]~q\ & (!\led_flash_cnt[2922][2]~67791\ & VCC))
-- \led_flash_cnt[2922][3]~67793\ = CARRY((\led_flash_cnt[2922][3]~q\ & !\led_flash_cnt[2922][2]~67791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2922][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2922][2]~67791\,
	combout => \led_flash_cnt[2922][3]~67792_combout\,
	cout => \led_flash_cnt[2922][3]~67793\);

-- Location: FF_X77_Y19_N23
\led_flash_cnt[2922][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2922][3]~67792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2922][3]~q\);

-- Location: LCCOMB_X77_Y19_N24
\led_flash_cnt[2922][4]~67794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2922][4]~67794_combout\ = (\led_flash_cnt[2922][4]~q\ & (!\led_flash_cnt[2922][3]~67793\)) # (!\led_flash_cnt[2922][4]~q\ & ((\led_flash_cnt[2922][3]~67793\) # (GND)))
-- \led_flash_cnt[2922][4]~67795\ = CARRY((!\led_flash_cnt[2922][3]~67793\) # (!\led_flash_cnt[2922][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2922][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2922][3]~67793\,
	combout => \led_flash_cnt[2922][4]~67794_combout\,
	cout => \led_flash_cnt[2922][4]~67795\);

-- Location: FF_X77_Y19_N25
\led_flash_cnt[2922][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2922][4]~67794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2922][4]~q\);

-- Location: LCCOMB_X77_Y19_N26
\led_flash_cnt[2922][5]~67796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2922][5]~67796_combout\ = (\led_flash_cnt[2922][5]~q\ & (\led_flash_cnt[2922][4]~67795\ $ (GND))) # (!\led_flash_cnt[2922][5]~q\ & (!\led_flash_cnt[2922][4]~67795\ & VCC))
-- \led_flash_cnt[2922][5]~67797\ = CARRY((\led_flash_cnt[2922][5]~q\ & !\led_flash_cnt[2922][4]~67795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2922][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2922][4]~67795\,
	combout => \led_flash_cnt[2922][5]~67796_combout\,
	cout => \led_flash_cnt[2922][5]~67797\);

-- Location: FF_X77_Y19_N27
\led_flash_cnt[2922][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2922][5]~67796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2922][5]~q\);

-- Location: LCCOMB_X77_Y19_N28
\led_flash_cnt[2922][6]~67798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2922][6]~67798_combout\ = (\led_flash_cnt[2922][6]~q\ & (!\led_flash_cnt[2922][5]~67797\)) # (!\led_flash_cnt[2922][6]~q\ & ((\led_flash_cnt[2922][5]~67797\) # (GND)))
-- \led_flash_cnt[2922][6]~67799\ = CARRY((!\led_flash_cnt[2922][5]~67797\) # (!\led_flash_cnt[2922][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2922][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2922][5]~67797\,
	combout => \led_flash_cnt[2922][6]~67798_combout\,
	cout => \led_flash_cnt[2922][6]~67799\);

-- Location: FF_X77_Y19_N29
\led_flash_cnt[2922][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2922][6]~67798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2922][6]~q\);

-- Location: LCCOMB_X77_Y19_N30
\led_flash_cnt[2922][7]~67800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2922][7]~67800_combout\ = \led_flash_cnt[2922][7]~q\ $ (!\led_flash_cnt[2922][6]~67799\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2922][7]~q\,
	cin => \led_flash_cnt[2922][6]~67799\,
	combout => \led_flash_cnt[2922][7]~67800_combout\);

-- Location: FF_X77_Y19_N31
\led_flash_cnt[2922][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2922][7]~67800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2922][7]~q\);

-- Location: LCCOMB_X77_Y19_N16
\WideAnd2922~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2922~1_combout\ = (\led_flash_cnt[2922][5]~q\ & \led_flash_cnt[2922][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2922][5]~q\,
	datad => \led_flash_cnt[2922][6]~q\,
	combout => \WideAnd2922~1_combout\);

-- Location: LCCOMB_X77_Y19_N10
\WideAnd2922~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2922~0_combout\ = (\led_flash_cnt[2922][1]~q\ & (\led_flash_cnt[2922][4]~q\ & (\led_flash_cnt[2922][3]~q\ & \led_flash_cnt[2922][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2922][1]~q\,
	datab => \led_flash_cnt[2922][4]~q\,
	datac => \led_flash_cnt[2922][3]~q\,
	datad => \led_flash_cnt[2922][2]~q\,
	combout => \WideAnd2922~0_combout\);

-- Location: LCCOMB_X77_Y19_N4
WideAnd2922 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2922~combout\ = (\led_flash_cnt[2922][7]~q\ & (\WideAnd2922~1_combout\ & (\led_flash_cnt[2922][0]~q\ & \WideAnd2922~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2922][7]~q\,
	datab => \WideAnd2922~1_combout\,
	datac => \led_flash_cnt[2922][0]~q\,
	datad => \WideAnd2922~0_combout\,
	combout => \WideAnd2922~combout\);

-- Location: FF_X77_Y19_N5
\led_flash_cnt_ands[2922]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2922~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2922));

-- Location: LCCOMB_X72_Y30_N22
\led_flash_cnt[2921][0]~83561\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2921][0]~83561_combout\ = !\led_flash_cnt[2921][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2921][0]~q\,
	combout => \led_flash_cnt[2921][0]~83561_combout\);

-- Location: FF_X72_Y30_N23
\led_flash_cnt[2921][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2921][0]~83561_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2921][0]~q\);

-- Location: LCCOMB_X72_Y30_N6
\led_flash_cnt[2921][1]~67774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2921][1]~67774_combout\ = (\led_flash_cnt[2921][0]~q\ & (\led_flash_cnt[2921][1]~q\ $ (VCC))) # (!\led_flash_cnt[2921][0]~q\ & (\led_flash_cnt[2921][1]~q\ & VCC))
-- \led_flash_cnt[2921][1]~67775\ = CARRY((\led_flash_cnt[2921][0]~q\ & \led_flash_cnt[2921][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2921][0]~q\,
	datab => \led_flash_cnt[2921][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2921][1]~67774_combout\,
	cout => \led_flash_cnt[2921][1]~67775\);

-- Location: FF_X72_Y30_N7
\led_flash_cnt[2921][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2921][1]~67774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2921][1]~q\);

-- Location: LCCOMB_X72_Y30_N8
\led_flash_cnt[2921][2]~67776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2921][2]~67776_combout\ = (\led_flash_cnt[2921][2]~q\ & (!\led_flash_cnt[2921][1]~67775\)) # (!\led_flash_cnt[2921][2]~q\ & ((\led_flash_cnt[2921][1]~67775\) # (GND)))
-- \led_flash_cnt[2921][2]~67777\ = CARRY((!\led_flash_cnt[2921][1]~67775\) # (!\led_flash_cnt[2921][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2921][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2921][1]~67775\,
	combout => \led_flash_cnt[2921][2]~67776_combout\,
	cout => \led_flash_cnt[2921][2]~67777\);

-- Location: FF_X72_Y30_N9
\led_flash_cnt[2921][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2921][2]~67776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2921][2]~q\);

-- Location: LCCOMB_X72_Y30_N10
\led_flash_cnt[2921][3]~67778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2921][3]~67778_combout\ = (\led_flash_cnt[2921][3]~q\ & (\led_flash_cnt[2921][2]~67777\ $ (GND))) # (!\led_flash_cnt[2921][3]~q\ & (!\led_flash_cnt[2921][2]~67777\ & VCC))
-- \led_flash_cnt[2921][3]~67779\ = CARRY((\led_flash_cnt[2921][3]~q\ & !\led_flash_cnt[2921][2]~67777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2921][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2921][2]~67777\,
	combout => \led_flash_cnt[2921][3]~67778_combout\,
	cout => \led_flash_cnt[2921][3]~67779\);

-- Location: FF_X72_Y30_N11
\led_flash_cnt[2921][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2921][3]~67778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2921][3]~q\);

-- Location: LCCOMB_X72_Y30_N12
\led_flash_cnt[2921][4]~67780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2921][4]~67780_combout\ = (\led_flash_cnt[2921][4]~q\ & (!\led_flash_cnt[2921][3]~67779\)) # (!\led_flash_cnt[2921][4]~q\ & ((\led_flash_cnt[2921][3]~67779\) # (GND)))
-- \led_flash_cnt[2921][4]~67781\ = CARRY((!\led_flash_cnt[2921][3]~67779\) # (!\led_flash_cnt[2921][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2921][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2921][3]~67779\,
	combout => \led_flash_cnt[2921][4]~67780_combout\,
	cout => \led_flash_cnt[2921][4]~67781\);

-- Location: FF_X72_Y30_N13
\led_flash_cnt[2921][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2921][4]~67780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2921][4]~q\);

-- Location: LCCOMB_X72_Y30_N14
\led_flash_cnt[2921][5]~67782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2921][5]~67782_combout\ = (\led_flash_cnt[2921][5]~q\ & (\led_flash_cnt[2921][4]~67781\ $ (GND))) # (!\led_flash_cnt[2921][5]~q\ & (!\led_flash_cnt[2921][4]~67781\ & VCC))
-- \led_flash_cnt[2921][5]~67783\ = CARRY((\led_flash_cnt[2921][5]~q\ & !\led_flash_cnt[2921][4]~67781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2921][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2921][4]~67781\,
	combout => \led_flash_cnt[2921][5]~67782_combout\,
	cout => \led_flash_cnt[2921][5]~67783\);

-- Location: FF_X72_Y30_N15
\led_flash_cnt[2921][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2921][5]~67782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2921][5]~q\);

-- Location: LCCOMB_X72_Y30_N16
\led_flash_cnt[2921][6]~67784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2921][6]~67784_combout\ = (\led_flash_cnt[2921][6]~q\ & (!\led_flash_cnt[2921][5]~67783\)) # (!\led_flash_cnt[2921][6]~q\ & ((\led_flash_cnt[2921][5]~67783\) # (GND)))
-- \led_flash_cnt[2921][6]~67785\ = CARRY((!\led_flash_cnt[2921][5]~67783\) # (!\led_flash_cnt[2921][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2921][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2921][5]~67783\,
	combout => \led_flash_cnt[2921][6]~67784_combout\,
	cout => \led_flash_cnt[2921][6]~67785\);

-- Location: FF_X72_Y30_N17
\led_flash_cnt[2921][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2921][6]~67784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2921][6]~q\);

-- Location: LCCOMB_X72_Y30_N18
\led_flash_cnt[2921][7]~67786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2921][7]~67786_combout\ = \led_flash_cnt[2921][6]~67785\ $ (!\led_flash_cnt[2921][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2921][7]~q\,
	cin => \led_flash_cnt[2921][6]~67785\,
	combout => \led_flash_cnt[2921][7]~67786_combout\);

-- Location: FF_X72_Y30_N19
\led_flash_cnt[2921][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2921][7]~67786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2921][7]~q\);

-- Location: LCCOMB_X72_Y30_N26
\WideAnd2921~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2921~0_combout\ = (\led_flash_cnt[2921][3]~q\ & (\led_flash_cnt[2921][1]~q\ & (\led_flash_cnt[2921][2]~q\ & \led_flash_cnt[2921][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2921][3]~q\,
	datab => \led_flash_cnt[2921][1]~q\,
	datac => \led_flash_cnt[2921][2]~q\,
	datad => \led_flash_cnt[2921][4]~q\,
	combout => \WideAnd2921~0_combout\);

-- Location: LCCOMB_X72_Y30_N20
\WideAnd2921~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2921~1_combout\ = (\led_flash_cnt[2921][5]~q\ & \led_flash_cnt[2921][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2921][5]~q\,
	datad => \led_flash_cnt[2921][6]~q\,
	combout => \WideAnd2921~1_combout\);

-- Location: LCCOMB_X72_Y30_N24
WideAnd2921 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2921~combout\ = (\led_flash_cnt[2921][0]~q\ & (\led_flash_cnt[2921][7]~q\ & (\WideAnd2921~0_combout\ & \WideAnd2921~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2921][0]~q\,
	datab => \led_flash_cnt[2921][7]~q\,
	datac => \WideAnd2921~0_combout\,
	datad => \WideAnd2921~1_combout\,
	combout => \WideAnd2921~combout\);

-- Location: FF_X72_Y30_N25
\led_flash_cnt_ands[2921]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2921~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2921));

-- Location: LCCOMB_X72_Y30_N2
\WideAnd4205~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4205~0_combout\ = (led_flash_cnt_ands(2923) & (led_flash_cnt_ands(2920) & (led_flash_cnt_ands(2922) & led_flash_cnt_ands(2921))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2923),
	datab => led_flash_cnt_ands(2920),
	datac => led_flash_cnt_ands(2922),
	datad => led_flash_cnt_ands(2921),
	combout => \WideAnd4205~0_combout\);

-- Location: LCCOMB_X64_Y32_N4
\led_flash_cnt[2927][0]~83567\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2927][0]~83567_combout\ = !\led_flash_cnt[2927][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2927][0]~q\,
	combout => \led_flash_cnt[2927][0]~83567_combout\);

-- Location: FF_X64_Y32_N5
\led_flash_cnt[2927][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2927][0]~83567_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2927][0]~q\);

-- Location: LCCOMB_X63_Y32_N16
\led_flash_cnt[2927][1]~67858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2927][1]~67858_combout\ = (\led_flash_cnt[2927][0]~q\ & (\led_flash_cnt[2927][1]~q\ $ (VCC))) # (!\led_flash_cnt[2927][0]~q\ & (\led_flash_cnt[2927][1]~q\ & VCC))
-- \led_flash_cnt[2927][1]~67859\ = CARRY((\led_flash_cnt[2927][0]~q\ & \led_flash_cnt[2927][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2927][0]~q\,
	datab => \led_flash_cnt[2927][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2927][1]~67858_combout\,
	cout => \led_flash_cnt[2927][1]~67859\);

-- Location: FF_X63_Y32_N17
\led_flash_cnt[2927][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2927][1]~67858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2927][1]~q\);

-- Location: LCCOMB_X63_Y32_N18
\led_flash_cnt[2927][2]~67860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2927][2]~67860_combout\ = (\led_flash_cnt[2927][2]~q\ & (!\led_flash_cnt[2927][1]~67859\)) # (!\led_flash_cnt[2927][2]~q\ & ((\led_flash_cnt[2927][1]~67859\) # (GND)))
-- \led_flash_cnt[2927][2]~67861\ = CARRY((!\led_flash_cnt[2927][1]~67859\) # (!\led_flash_cnt[2927][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2927][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2927][1]~67859\,
	combout => \led_flash_cnt[2927][2]~67860_combout\,
	cout => \led_flash_cnt[2927][2]~67861\);

-- Location: FF_X63_Y32_N19
\led_flash_cnt[2927][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2927][2]~67860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2927][2]~q\);

-- Location: LCCOMB_X63_Y32_N20
\led_flash_cnt[2927][3]~67862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2927][3]~67862_combout\ = (\led_flash_cnt[2927][3]~q\ & (\led_flash_cnt[2927][2]~67861\ $ (GND))) # (!\led_flash_cnt[2927][3]~q\ & (!\led_flash_cnt[2927][2]~67861\ & VCC))
-- \led_flash_cnt[2927][3]~67863\ = CARRY((\led_flash_cnt[2927][3]~q\ & !\led_flash_cnt[2927][2]~67861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2927][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2927][2]~67861\,
	combout => \led_flash_cnt[2927][3]~67862_combout\,
	cout => \led_flash_cnt[2927][3]~67863\);

-- Location: FF_X63_Y32_N21
\led_flash_cnt[2927][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2927][3]~67862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2927][3]~q\);

-- Location: LCCOMB_X63_Y32_N22
\led_flash_cnt[2927][4]~67864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2927][4]~67864_combout\ = (\led_flash_cnt[2927][4]~q\ & (!\led_flash_cnt[2927][3]~67863\)) # (!\led_flash_cnt[2927][4]~q\ & ((\led_flash_cnt[2927][3]~67863\) # (GND)))
-- \led_flash_cnt[2927][4]~67865\ = CARRY((!\led_flash_cnt[2927][3]~67863\) # (!\led_flash_cnt[2927][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2927][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2927][3]~67863\,
	combout => \led_flash_cnt[2927][4]~67864_combout\,
	cout => \led_flash_cnt[2927][4]~67865\);

-- Location: FF_X63_Y32_N23
\led_flash_cnt[2927][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2927][4]~67864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2927][4]~q\);

-- Location: LCCOMB_X63_Y32_N24
\led_flash_cnt[2927][5]~67866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2927][5]~67866_combout\ = (\led_flash_cnt[2927][5]~q\ & (\led_flash_cnt[2927][4]~67865\ $ (GND))) # (!\led_flash_cnt[2927][5]~q\ & (!\led_flash_cnt[2927][4]~67865\ & VCC))
-- \led_flash_cnt[2927][5]~67867\ = CARRY((\led_flash_cnt[2927][5]~q\ & !\led_flash_cnt[2927][4]~67865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2927][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2927][4]~67865\,
	combout => \led_flash_cnt[2927][5]~67866_combout\,
	cout => \led_flash_cnt[2927][5]~67867\);

-- Location: FF_X63_Y32_N25
\led_flash_cnt[2927][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2927][5]~67866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2927][5]~q\);

-- Location: LCCOMB_X63_Y32_N26
\led_flash_cnt[2927][6]~67868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2927][6]~67868_combout\ = (\led_flash_cnt[2927][6]~q\ & (!\led_flash_cnt[2927][5]~67867\)) # (!\led_flash_cnt[2927][6]~q\ & ((\led_flash_cnt[2927][5]~67867\) # (GND)))
-- \led_flash_cnt[2927][6]~67869\ = CARRY((!\led_flash_cnt[2927][5]~67867\) # (!\led_flash_cnt[2927][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2927][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2927][5]~67867\,
	combout => \led_flash_cnt[2927][6]~67868_combout\,
	cout => \led_flash_cnt[2927][6]~67869\);

-- Location: FF_X63_Y32_N27
\led_flash_cnt[2927][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2927][6]~67868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2927][6]~q\);

-- Location: LCCOMB_X63_Y32_N30
\WideAnd2927~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2927~0_combout\ = (\led_flash_cnt[2927][6]~q\ & (\led_flash_cnt[2927][3]~q\ & (\led_flash_cnt[2927][4]~q\ & \led_flash_cnt[2927][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2927][6]~q\,
	datab => \led_flash_cnt[2927][3]~q\,
	datac => \led_flash_cnt[2927][4]~q\,
	datad => \led_flash_cnt[2927][2]~q\,
	combout => \WideAnd2927~0_combout\);

-- Location: LCCOMB_X63_Y32_N28
\led_flash_cnt[2927][7]~67870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2927][7]~67870_combout\ = \led_flash_cnt[2927][6]~67869\ $ (!\led_flash_cnt[2927][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2927][7]~q\,
	cin => \led_flash_cnt[2927][6]~67869\,
	combout => \led_flash_cnt[2927][7]~67870_combout\);

-- Location: FF_X63_Y32_N29
\led_flash_cnt[2927][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2927][7]~67870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2927][7]~q\);

-- Location: LCCOMB_X62_Y32_N26
\WideAnd2927~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2927~1_combout\ = (\led_flash_cnt[2927][1]~q\ & \led_flash_cnt[2927][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2927][1]~q\,
	datad => \led_flash_cnt[2927][7]~q\,
	combout => \WideAnd2927~1_combout\);

-- Location: LCCOMB_X63_Y32_N0
WideAnd2927 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2927~combout\ = (\WideAnd2927~0_combout\ & (\led_flash_cnt[2927][5]~q\ & (\WideAnd2927~1_combout\ & \led_flash_cnt[2927][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2927~0_combout\,
	datab => \led_flash_cnt[2927][5]~q\,
	datac => \WideAnd2927~1_combout\,
	datad => \led_flash_cnt[2927][0]~q\,
	combout => \WideAnd2927~combout\);

-- Location: FF_X63_Y32_N1
\led_flash_cnt_ands[2927]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2927~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2927));

-- Location: LCCOMB_X62_Y32_N28
\led_flash_cnt[2926][0]~83566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2926][0]~83566_combout\ = !\led_flash_cnt[2926][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2926][0]~q\,
	combout => \led_flash_cnt[2926][0]~83566_combout\);

-- Location: FF_X62_Y32_N29
\led_flash_cnt[2926][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2926][0]~83566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2926][0]~q\);

-- Location: LCCOMB_X61_Y32_N14
\led_flash_cnt[2926][1]~67844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2926][1]~67844_combout\ = (\led_flash_cnt[2926][0]~q\ & (\led_flash_cnt[2926][1]~q\ $ (VCC))) # (!\led_flash_cnt[2926][0]~q\ & (\led_flash_cnt[2926][1]~q\ & VCC))
-- \led_flash_cnt[2926][1]~67845\ = CARRY((\led_flash_cnt[2926][0]~q\ & \led_flash_cnt[2926][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2926][0]~q\,
	datab => \led_flash_cnt[2926][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2926][1]~67844_combout\,
	cout => \led_flash_cnt[2926][1]~67845\);

-- Location: FF_X61_Y32_N15
\led_flash_cnt[2926][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2926][1]~67844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2926][1]~q\);

-- Location: LCCOMB_X61_Y32_N16
\led_flash_cnt[2926][2]~67846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2926][2]~67846_combout\ = (\led_flash_cnt[2926][2]~q\ & (!\led_flash_cnt[2926][1]~67845\)) # (!\led_flash_cnt[2926][2]~q\ & ((\led_flash_cnt[2926][1]~67845\) # (GND)))
-- \led_flash_cnt[2926][2]~67847\ = CARRY((!\led_flash_cnt[2926][1]~67845\) # (!\led_flash_cnt[2926][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2926][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2926][1]~67845\,
	combout => \led_flash_cnt[2926][2]~67846_combout\,
	cout => \led_flash_cnt[2926][2]~67847\);

-- Location: FF_X61_Y32_N17
\led_flash_cnt[2926][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2926][2]~67846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2926][2]~q\);

-- Location: LCCOMB_X61_Y32_N18
\led_flash_cnt[2926][3]~67848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2926][3]~67848_combout\ = (\led_flash_cnt[2926][3]~q\ & (\led_flash_cnt[2926][2]~67847\ $ (GND))) # (!\led_flash_cnt[2926][3]~q\ & (!\led_flash_cnt[2926][2]~67847\ & VCC))
-- \led_flash_cnt[2926][3]~67849\ = CARRY((\led_flash_cnt[2926][3]~q\ & !\led_flash_cnt[2926][2]~67847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2926][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2926][2]~67847\,
	combout => \led_flash_cnt[2926][3]~67848_combout\,
	cout => \led_flash_cnt[2926][3]~67849\);

-- Location: FF_X61_Y32_N19
\led_flash_cnt[2926][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2926][3]~67848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2926][3]~q\);

-- Location: LCCOMB_X61_Y32_N20
\led_flash_cnt[2926][4]~67850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2926][4]~67850_combout\ = (\led_flash_cnt[2926][4]~q\ & (!\led_flash_cnt[2926][3]~67849\)) # (!\led_flash_cnt[2926][4]~q\ & ((\led_flash_cnt[2926][3]~67849\) # (GND)))
-- \led_flash_cnt[2926][4]~67851\ = CARRY((!\led_flash_cnt[2926][3]~67849\) # (!\led_flash_cnt[2926][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2926][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2926][3]~67849\,
	combout => \led_flash_cnt[2926][4]~67850_combout\,
	cout => \led_flash_cnt[2926][4]~67851\);

-- Location: FF_X61_Y32_N21
\led_flash_cnt[2926][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2926][4]~67850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2926][4]~q\);

-- Location: LCCOMB_X61_Y32_N22
\led_flash_cnt[2926][5]~67852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2926][5]~67852_combout\ = (\led_flash_cnt[2926][5]~q\ & (\led_flash_cnt[2926][4]~67851\ $ (GND))) # (!\led_flash_cnt[2926][5]~q\ & (!\led_flash_cnt[2926][4]~67851\ & VCC))
-- \led_flash_cnt[2926][5]~67853\ = CARRY((\led_flash_cnt[2926][5]~q\ & !\led_flash_cnt[2926][4]~67851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2926][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2926][4]~67851\,
	combout => \led_flash_cnt[2926][5]~67852_combout\,
	cout => \led_flash_cnt[2926][5]~67853\);

-- Location: FF_X61_Y32_N23
\led_flash_cnt[2926][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2926][5]~67852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2926][5]~q\);

-- Location: LCCOMB_X61_Y32_N24
\led_flash_cnt[2926][6]~67854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2926][6]~67854_combout\ = (\led_flash_cnt[2926][6]~q\ & (!\led_flash_cnt[2926][5]~67853\)) # (!\led_flash_cnt[2926][6]~q\ & ((\led_flash_cnt[2926][5]~67853\) # (GND)))
-- \led_flash_cnt[2926][6]~67855\ = CARRY((!\led_flash_cnt[2926][5]~67853\) # (!\led_flash_cnt[2926][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2926][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2926][5]~67853\,
	combout => \led_flash_cnt[2926][6]~67854_combout\,
	cout => \led_flash_cnt[2926][6]~67855\);

-- Location: FF_X61_Y32_N25
\led_flash_cnt[2926][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2926][6]~67854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2926][6]~q\);

-- Location: LCCOMB_X62_Y32_N30
\WideAnd2926~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2926~1_combout\ = (\led_flash_cnt[2926][6]~q\ & \led_flash_cnt[2926][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2926][6]~q\,
	datad => \led_flash_cnt[2926][5]~q\,
	combout => \WideAnd2926~1_combout\);

-- Location: LCCOMB_X61_Y32_N30
\WideAnd2926~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2926~0_combout\ = (\led_flash_cnt[2926][4]~q\ & (\led_flash_cnt[2926][3]~q\ & (\led_flash_cnt[2926][1]~q\ & \led_flash_cnt[2926][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2926][4]~q\,
	datab => \led_flash_cnt[2926][3]~q\,
	datac => \led_flash_cnt[2926][1]~q\,
	datad => \led_flash_cnt[2926][2]~q\,
	combout => \WideAnd2926~0_combout\);

-- Location: LCCOMB_X61_Y32_N26
\led_flash_cnt[2926][7]~67856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2926][7]~67856_combout\ = \led_flash_cnt[2926][7]~q\ $ (!\led_flash_cnt[2926][6]~67855\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2926][7]~q\,
	cin => \led_flash_cnt[2926][6]~67855\,
	combout => \led_flash_cnt[2926][7]~67856_combout\);

-- Location: FF_X61_Y32_N27
\led_flash_cnt[2926][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2926][7]~67856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2926][7]~q\);

-- Location: LCCOMB_X62_Y32_N2
WideAnd2926 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2926~combout\ = (\WideAnd2926~1_combout\ & (\WideAnd2926~0_combout\ & (\led_flash_cnt[2926][7]~q\ & \led_flash_cnt[2926][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2926~1_combout\,
	datab => \WideAnd2926~0_combout\,
	datac => \led_flash_cnt[2926][7]~q\,
	datad => \led_flash_cnt[2926][0]~q\,
	combout => \WideAnd2926~combout\);

-- Location: FF_X62_Y32_N3
\led_flash_cnt_ands[2926]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2926~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2926));

-- Location: LCCOMB_X62_Y32_N0
WideAnd4205 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4205~combout\ = (\WideAnd4205~1_combout\ & (\WideAnd4205~0_combout\ & (led_flash_cnt_ands(2927) & led_flash_cnt_ands(2926))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4205~1_combout\,
	datab => \WideAnd4205~0_combout\,
	datac => led_flash_cnt_ands(2927),
	datad => led_flash_cnt_ands(2926),
	combout => \WideAnd4205~combout\);

-- Location: FF_X62_Y32_N1
\led_flash_cnt_ands_1[365]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4205~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(365));

-- Location: LCCOMB_X60_Y32_N30
\WideAnd4365~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4365~1_combout\ = (led_flash_cnt_ands_1(364) & led_flash_cnt_ands_1(365))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(364),
	datad => led_flash_cnt_ands_1(365),
	combout => \WideAnd4365~1_combout\);

-- Location: LCCOMB_X57_Y27_N18
\led_flash_cnt[2934][0]~83574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2934][0]~83574_combout\ = !\led_flash_cnt[2934][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2934][0]~q\,
	combout => \led_flash_cnt[2934][0]~83574_combout\);

-- Location: FF_X57_Y27_N19
\led_flash_cnt[2934][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2934][0]~83574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2934][0]~q\);

-- Location: LCCOMB_X57_Y27_N4
\led_flash_cnt[2934][1]~67956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2934][1]~67956_combout\ = (\led_flash_cnt[2934][1]~q\ & (\led_flash_cnt[2934][0]~q\ $ (VCC))) # (!\led_flash_cnt[2934][1]~q\ & (\led_flash_cnt[2934][0]~q\ & VCC))
-- \led_flash_cnt[2934][1]~67957\ = CARRY((\led_flash_cnt[2934][1]~q\ & \led_flash_cnt[2934][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2934][1]~q\,
	datab => \led_flash_cnt[2934][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2934][1]~67956_combout\,
	cout => \led_flash_cnt[2934][1]~67957\);

-- Location: FF_X57_Y27_N5
\led_flash_cnt[2934][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2934][1]~67956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2934][1]~q\);

-- Location: LCCOMB_X57_Y27_N6
\led_flash_cnt[2934][2]~67958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2934][2]~67958_combout\ = (\led_flash_cnt[2934][2]~q\ & (!\led_flash_cnt[2934][1]~67957\)) # (!\led_flash_cnt[2934][2]~q\ & ((\led_flash_cnt[2934][1]~67957\) # (GND)))
-- \led_flash_cnt[2934][2]~67959\ = CARRY((!\led_flash_cnt[2934][1]~67957\) # (!\led_flash_cnt[2934][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2934][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2934][1]~67957\,
	combout => \led_flash_cnt[2934][2]~67958_combout\,
	cout => \led_flash_cnt[2934][2]~67959\);

-- Location: FF_X57_Y27_N7
\led_flash_cnt[2934][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2934][2]~67958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2934][2]~q\);

-- Location: LCCOMB_X57_Y27_N8
\led_flash_cnt[2934][3]~67960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2934][3]~67960_combout\ = (\led_flash_cnt[2934][3]~q\ & (\led_flash_cnt[2934][2]~67959\ $ (GND))) # (!\led_flash_cnt[2934][3]~q\ & (!\led_flash_cnt[2934][2]~67959\ & VCC))
-- \led_flash_cnt[2934][3]~67961\ = CARRY((\led_flash_cnt[2934][3]~q\ & !\led_flash_cnt[2934][2]~67959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2934][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2934][2]~67959\,
	combout => \led_flash_cnt[2934][3]~67960_combout\,
	cout => \led_flash_cnt[2934][3]~67961\);

-- Location: FF_X57_Y27_N9
\led_flash_cnt[2934][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2934][3]~67960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2934][3]~q\);

-- Location: LCCOMB_X57_Y27_N10
\led_flash_cnt[2934][4]~67962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2934][4]~67962_combout\ = (\led_flash_cnt[2934][4]~q\ & (!\led_flash_cnt[2934][3]~67961\)) # (!\led_flash_cnt[2934][4]~q\ & ((\led_flash_cnt[2934][3]~67961\) # (GND)))
-- \led_flash_cnt[2934][4]~67963\ = CARRY((!\led_flash_cnt[2934][3]~67961\) # (!\led_flash_cnt[2934][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2934][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2934][3]~67961\,
	combout => \led_flash_cnt[2934][4]~67962_combout\,
	cout => \led_flash_cnt[2934][4]~67963\);

-- Location: FF_X57_Y27_N11
\led_flash_cnt[2934][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2934][4]~67962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2934][4]~q\);

-- Location: LCCOMB_X57_Y27_N26
\WideAnd2934~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2934~0_combout\ = (\led_flash_cnt[2934][4]~q\ & (\led_flash_cnt[2934][1]~q\ & (\led_flash_cnt[2934][3]~q\ & \led_flash_cnt[2934][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2934][4]~q\,
	datab => \led_flash_cnt[2934][1]~q\,
	datac => \led_flash_cnt[2934][3]~q\,
	datad => \led_flash_cnt[2934][0]~q\,
	combout => \WideAnd2934~0_combout\);

-- Location: LCCOMB_X57_Y27_N12
\led_flash_cnt[2934][5]~67964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2934][5]~67964_combout\ = (\led_flash_cnt[2934][5]~q\ & (\led_flash_cnt[2934][4]~67963\ $ (GND))) # (!\led_flash_cnt[2934][5]~q\ & (!\led_flash_cnt[2934][4]~67963\ & VCC))
-- \led_flash_cnt[2934][5]~67965\ = CARRY((\led_flash_cnt[2934][5]~q\ & !\led_flash_cnt[2934][4]~67963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2934][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2934][4]~67963\,
	combout => \led_flash_cnt[2934][5]~67964_combout\,
	cout => \led_flash_cnt[2934][5]~67965\);

-- Location: FF_X57_Y27_N13
\led_flash_cnt[2934][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2934][5]~67964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2934][5]~q\);

-- Location: LCCOMB_X57_Y27_N14
\led_flash_cnt[2934][6]~67966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2934][6]~67966_combout\ = (\led_flash_cnt[2934][6]~q\ & (!\led_flash_cnt[2934][5]~67965\)) # (!\led_flash_cnt[2934][6]~q\ & ((\led_flash_cnt[2934][5]~67965\) # (GND)))
-- \led_flash_cnt[2934][6]~67967\ = CARRY((!\led_flash_cnt[2934][5]~67965\) # (!\led_flash_cnt[2934][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2934][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2934][5]~67965\,
	combout => \led_flash_cnt[2934][6]~67966_combout\,
	cout => \led_flash_cnt[2934][6]~67967\);

-- Location: FF_X57_Y27_N15
\led_flash_cnt[2934][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2934][6]~67966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2934][6]~q\);

-- Location: LCCOMB_X57_Y27_N16
\led_flash_cnt[2934][7]~67968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2934][7]~67968_combout\ = \led_flash_cnt[2934][6]~67967\ $ (!\led_flash_cnt[2934][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2934][7]~q\,
	cin => \led_flash_cnt[2934][6]~67967\,
	combout => \led_flash_cnt[2934][7]~67968_combout\);

-- Location: FF_X57_Y27_N17
\led_flash_cnt[2934][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2934][7]~67968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2934][7]~q\);

-- Location: LCCOMB_X57_Y27_N22
\WideAnd2934~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2934~1_combout\ = (\led_flash_cnt[2934][6]~q\ & \led_flash_cnt[2934][2]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2934][6]~q\,
	datad => \led_flash_cnt[2934][2]~q\,
	combout => \WideAnd2934~1_combout\);

-- Location: LCCOMB_X57_Y27_N2
WideAnd2934 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2934~combout\ = (\WideAnd2934~0_combout\ & (\led_flash_cnt[2934][7]~q\ & (\WideAnd2934~1_combout\ & \led_flash_cnt[2934][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2934~0_combout\,
	datab => \led_flash_cnt[2934][7]~q\,
	datac => \WideAnd2934~1_combout\,
	datad => \led_flash_cnt[2934][5]~q\,
	combout => \WideAnd2934~combout\);

-- Location: FF_X57_Y27_N3
\led_flash_cnt_ands[2934]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2934~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2934));

-- Location: LCCOMB_X56_Y31_N30
\led_flash_cnt[2935][0]~83575\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2935][0]~83575_combout\ = !\led_flash_cnt[2935][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2935][0]~q\,
	combout => \led_flash_cnt[2935][0]~83575_combout\);

-- Location: FF_X56_Y31_N31
\led_flash_cnt[2935][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2935][0]~83575_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2935][0]~q\);

-- Location: LCCOMB_X56_Y31_N14
\led_flash_cnt[2935][1]~67970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2935][1]~67970_combout\ = (\led_flash_cnt[2935][0]~q\ & (\led_flash_cnt[2935][1]~q\ $ (VCC))) # (!\led_flash_cnt[2935][0]~q\ & (\led_flash_cnt[2935][1]~q\ & VCC))
-- \led_flash_cnt[2935][1]~67971\ = CARRY((\led_flash_cnt[2935][0]~q\ & \led_flash_cnt[2935][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2935][0]~q\,
	datab => \led_flash_cnt[2935][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2935][1]~67970_combout\,
	cout => \led_flash_cnt[2935][1]~67971\);

-- Location: FF_X56_Y31_N15
\led_flash_cnt[2935][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2935][1]~67970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2935][1]~q\);

-- Location: LCCOMB_X56_Y31_N16
\led_flash_cnt[2935][2]~67972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2935][2]~67972_combout\ = (\led_flash_cnt[2935][2]~q\ & (!\led_flash_cnt[2935][1]~67971\)) # (!\led_flash_cnt[2935][2]~q\ & ((\led_flash_cnt[2935][1]~67971\) # (GND)))
-- \led_flash_cnt[2935][2]~67973\ = CARRY((!\led_flash_cnt[2935][1]~67971\) # (!\led_flash_cnt[2935][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2935][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2935][1]~67971\,
	combout => \led_flash_cnt[2935][2]~67972_combout\,
	cout => \led_flash_cnt[2935][2]~67973\);

-- Location: FF_X56_Y31_N17
\led_flash_cnt[2935][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2935][2]~67972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2935][2]~q\);

-- Location: LCCOMB_X56_Y31_N18
\led_flash_cnt[2935][3]~67974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2935][3]~67974_combout\ = (\led_flash_cnt[2935][3]~q\ & (\led_flash_cnt[2935][2]~67973\ $ (GND))) # (!\led_flash_cnt[2935][3]~q\ & (!\led_flash_cnt[2935][2]~67973\ & VCC))
-- \led_flash_cnt[2935][3]~67975\ = CARRY((\led_flash_cnt[2935][3]~q\ & !\led_flash_cnt[2935][2]~67973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2935][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2935][2]~67973\,
	combout => \led_flash_cnt[2935][3]~67974_combout\,
	cout => \led_flash_cnt[2935][3]~67975\);

-- Location: FF_X56_Y31_N19
\led_flash_cnt[2935][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2935][3]~67974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2935][3]~q\);

-- Location: LCCOMB_X56_Y31_N20
\led_flash_cnt[2935][4]~67976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2935][4]~67976_combout\ = (\led_flash_cnt[2935][4]~q\ & (!\led_flash_cnt[2935][3]~67975\)) # (!\led_flash_cnt[2935][4]~q\ & ((\led_flash_cnt[2935][3]~67975\) # (GND)))
-- \led_flash_cnt[2935][4]~67977\ = CARRY((!\led_flash_cnt[2935][3]~67975\) # (!\led_flash_cnt[2935][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2935][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2935][3]~67975\,
	combout => \led_flash_cnt[2935][4]~67976_combout\,
	cout => \led_flash_cnt[2935][4]~67977\);

-- Location: FF_X56_Y31_N21
\led_flash_cnt[2935][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2935][4]~67976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2935][4]~q\);

-- Location: LCCOMB_X56_Y31_N22
\led_flash_cnt[2935][5]~67978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2935][5]~67978_combout\ = (\led_flash_cnt[2935][5]~q\ & (\led_flash_cnt[2935][4]~67977\ $ (GND))) # (!\led_flash_cnt[2935][5]~q\ & (!\led_flash_cnt[2935][4]~67977\ & VCC))
-- \led_flash_cnt[2935][5]~67979\ = CARRY((\led_flash_cnt[2935][5]~q\ & !\led_flash_cnt[2935][4]~67977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2935][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2935][4]~67977\,
	combout => \led_flash_cnt[2935][5]~67978_combout\,
	cout => \led_flash_cnt[2935][5]~67979\);

-- Location: FF_X56_Y31_N23
\led_flash_cnt[2935][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2935][5]~67978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2935][5]~q\);

-- Location: LCCOMB_X56_Y31_N24
\led_flash_cnt[2935][6]~67980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2935][6]~67980_combout\ = (\led_flash_cnt[2935][6]~q\ & (!\led_flash_cnt[2935][5]~67979\)) # (!\led_flash_cnt[2935][6]~q\ & ((\led_flash_cnt[2935][5]~67979\) # (GND)))
-- \led_flash_cnt[2935][6]~67981\ = CARRY((!\led_flash_cnt[2935][5]~67979\) # (!\led_flash_cnt[2935][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2935][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2935][5]~67979\,
	combout => \led_flash_cnt[2935][6]~67980_combout\,
	cout => \led_flash_cnt[2935][6]~67981\);

-- Location: FF_X56_Y31_N25
\led_flash_cnt[2935][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2935][6]~67980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2935][6]~q\);

-- Location: LCCOMB_X56_Y31_N26
\led_flash_cnt[2935][7]~67982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2935][7]~67982_combout\ = \led_flash_cnt[2935][7]~q\ $ (!\led_flash_cnt[2935][6]~67981\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2935][7]~q\,
	cin => \led_flash_cnt[2935][6]~67981\,
	combout => \led_flash_cnt[2935][7]~67982_combout\);

-- Location: FF_X56_Y31_N27
\led_flash_cnt[2935][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2935][7]~67982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2935][7]~q\);

-- Location: LCCOMB_X56_Y31_N4
\WideAnd2935~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2935~1_combout\ = (\led_flash_cnt[2935][5]~q\ & \led_flash_cnt[2935][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2935][5]~q\,
	datad => \led_flash_cnt[2935][6]~q\,
	combout => \WideAnd2935~1_combout\);

-- Location: LCCOMB_X56_Y31_N2
\WideAnd2935~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2935~0_combout\ = (\led_flash_cnt[2935][2]~q\ & (\led_flash_cnt[2935][4]~q\ & (\led_flash_cnt[2935][1]~q\ & \led_flash_cnt[2935][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2935][2]~q\,
	datab => \led_flash_cnt[2935][4]~q\,
	datac => \led_flash_cnt[2935][1]~q\,
	datad => \led_flash_cnt[2935][3]~q\,
	combout => \WideAnd2935~0_combout\);

-- Location: LCCOMB_X56_Y31_N0
WideAnd2935 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2935~combout\ = (\led_flash_cnt[2935][7]~q\ & (\WideAnd2935~1_combout\ & (\led_flash_cnt[2935][0]~q\ & \WideAnd2935~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2935][7]~q\,
	datab => \WideAnd2935~1_combout\,
	datac => \led_flash_cnt[2935][0]~q\,
	datad => \WideAnd2935~0_combout\,
	combout => \WideAnd2935~combout\);

-- Location: FF_X56_Y31_N1
\led_flash_cnt_ands[2935]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2935~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2935));

-- Location: LCCOMB_X49_Y15_N6
\led_flash_cnt[2933][0]~83573\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2933][0]~83573_combout\ = !\led_flash_cnt[2933][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2933][0]~q\,
	combout => \led_flash_cnt[2933][0]~83573_combout\);

-- Location: FF_X49_Y15_N7
\led_flash_cnt[2933][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2933][0]~83573_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2933][0]~q\);

-- Location: LCCOMB_X50_Y15_N18
\led_flash_cnt[2933][1]~67942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2933][1]~67942_combout\ = (\led_flash_cnt[2933][0]~q\ & (\led_flash_cnt[2933][1]~q\ $ (VCC))) # (!\led_flash_cnt[2933][0]~q\ & (\led_flash_cnt[2933][1]~q\ & VCC))
-- \led_flash_cnt[2933][1]~67943\ = CARRY((\led_flash_cnt[2933][0]~q\ & \led_flash_cnt[2933][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2933][0]~q\,
	datab => \led_flash_cnt[2933][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2933][1]~67942_combout\,
	cout => \led_flash_cnt[2933][1]~67943\);

-- Location: FF_X50_Y15_N19
\led_flash_cnt[2933][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2933][1]~67942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2933][1]~q\);

-- Location: LCCOMB_X50_Y15_N20
\led_flash_cnt[2933][2]~67944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2933][2]~67944_combout\ = (\led_flash_cnt[2933][2]~q\ & (!\led_flash_cnt[2933][1]~67943\)) # (!\led_flash_cnt[2933][2]~q\ & ((\led_flash_cnt[2933][1]~67943\) # (GND)))
-- \led_flash_cnt[2933][2]~67945\ = CARRY((!\led_flash_cnt[2933][1]~67943\) # (!\led_flash_cnt[2933][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2933][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2933][1]~67943\,
	combout => \led_flash_cnt[2933][2]~67944_combout\,
	cout => \led_flash_cnt[2933][2]~67945\);

-- Location: FF_X50_Y15_N21
\led_flash_cnt[2933][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2933][2]~67944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2933][2]~q\);

-- Location: LCCOMB_X50_Y15_N22
\led_flash_cnt[2933][3]~67946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2933][3]~67946_combout\ = (\led_flash_cnt[2933][3]~q\ & (\led_flash_cnt[2933][2]~67945\ $ (GND))) # (!\led_flash_cnt[2933][3]~q\ & (!\led_flash_cnt[2933][2]~67945\ & VCC))
-- \led_flash_cnt[2933][3]~67947\ = CARRY((\led_flash_cnt[2933][3]~q\ & !\led_flash_cnt[2933][2]~67945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2933][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2933][2]~67945\,
	combout => \led_flash_cnt[2933][3]~67946_combout\,
	cout => \led_flash_cnt[2933][3]~67947\);

-- Location: FF_X50_Y15_N23
\led_flash_cnt[2933][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2933][3]~67946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2933][3]~q\);

-- Location: LCCOMB_X50_Y15_N24
\led_flash_cnt[2933][4]~67948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2933][4]~67948_combout\ = (\led_flash_cnt[2933][4]~q\ & (!\led_flash_cnt[2933][3]~67947\)) # (!\led_flash_cnt[2933][4]~q\ & ((\led_flash_cnt[2933][3]~67947\) # (GND)))
-- \led_flash_cnt[2933][4]~67949\ = CARRY((!\led_flash_cnt[2933][3]~67947\) # (!\led_flash_cnt[2933][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2933][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2933][3]~67947\,
	combout => \led_flash_cnt[2933][4]~67948_combout\,
	cout => \led_flash_cnt[2933][4]~67949\);

-- Location: FF_X50_Y15_N25
\led_flash_cnt[2933][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2933][4]~67948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2933][4]~q\);

-- Location: LCCOMB_X50_Y15_N26
\led_flash_cnt[2933][5]~67950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2933][5]~67950_combout\ = (\led_flash_cnt[2933][5]~q\ & (\led_flash_cnt[2933][4]~67949\ $ (GND))) # (!\led_flash_cnt[2933][5]~q\ & (!\led_flash_cnt[2933][4]~67949\ & VCC))
-- \led_flash_cnt[2933][5]~67951\ = CARRY((\led_flash_cnt[2933][5]~q\ & !\led_flash_cnt[2933][4]~67949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2933][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2933][4]~67949\,
	combout => \led_flash_cnt[2933][5]~67950_combout\,
	cout => \led_flash_cnt[2933][5]~67951\);

-- Location: FF_X50_Y15_N27
\led_flash_cnt[2933][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2933][5]~67950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2933][5]~q\);

-- Location: LCCOMB_X50_Y15_N28
\led_flash_cnt[2933][6]~67952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2933][6]~67952_combout\ = (\led_flash_cnt[2933][6]~q\ & (!\led_flash_cnt[2933][5]~67951\)) # (!\led_flash_cnt[2933][6]~q\ & ((\led_flash_cnt[2933][5]~67951\) # (GND)))
-- \led_flash_cnt[2933][6]~67953\ = CARRY((!\led_flash_cnt[2933][5]~67951\) # (!\led_flash_cnt[2933][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2933][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2933][5]~67951\,
	combout => \led_flash_cnt[2933][6]~67952_combout\,
	cout => \led_flash_cnt[2933][6]~67953\);

-- Location: FF_X50_Y15_N29
\led_flash_cnt[2933][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2933][6]~67952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2933][6]~q\);

-- Location: LCCOMB_X49_Y15_N30
\WideAnd2933~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2933~1_combout\ = (\led_flash_cnt[2933][6]~q\ & \led_flash_cnt[2933][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2933][6]~q\,
	datad => \led_flash_cnt[2933][5]~q\,
	combout => \WideAnd2933~1_combout\);

-- Location: LCCOMB_X50_Y15_N0
\WideAnd2933~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2933~0_combout\ = (\led_flash_cnt[2933][4]~q\ & (\led_flash_cnt[2933][2]~q\ & (\led_flash_cnt[2933][3]~q\ & \led_flash_cnt[2933][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2933][4]~q\,
	datab => \led_flash_cnt[2933][2]~q\,
	datac => \led_flash_cnt[2933][3]~q\,
	datad => \led_flash_cnt[2933][1]~q\,
	combout => \WideAnd2933~0_combout\);

-- Location: LCCOMB_X50_Y15_N30
\led_flash_cnt[2933][7]~67954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2933][7]~67954_combout\ = \led_flash_cnt[2933][7]~q\ $ (!\led_flash_cnt[2933][6]~67953\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2933][7]~q\,
	cin => \led_flash_cnt[2933][6]~67953\,
	combout => \led_flash_cnt[2933][7]~67954_combout\);

-- Location: FF_X50_Y15_N31
\led_flash_cnt[2933][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2933][7]~67954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2933][7]~q\);

-- Location: LCCOMB_X49_Y15_N4
WideAnd2933 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2933~combout\ = (\WideAnd2933~1_combout\ & (\WideAnd2933~0_combout\ & (\led_flash_cnt[2933][7]~q\ & \led_flash_cnt[2933][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2933~1_combout\,
	datab => \WideAnd2933~0_combout\,
	datac => \led_flash_cnt[2933][7]~q\,
	datad => \led_flash_cnt[2933][0]~q\,
	combout => \WideAnd2933~combout\);

-- Location: FF_X49_Y15_N5
\led_flash_cnt_ands[2933]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2933~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2933));

-- Location: LCCOMB_X49_Y15_N12
\led_flash_cnt[2932][0]~83572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2932][0]~83572_combout\ = !\led_flash_cnt[2932][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2932][0]~q\,
	combout => \led_flash_cnt[2932][0]~83572_combout\);

-- Location: FF_X49_Y15_N13
\led_flash_cnt[2932][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2932][0]~83572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2932][0]~q\);

-- Location: LCCOMB_X49_Y15_N14
\led_flash_cnt[2932][1]~67928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2932][1]~67928_combout\ = (\led_flash_cnt[2932][0]~q\ & (\led_flash_cnt[2932][1]~q\ $ (VCC))) # (!\led_flash_cnt[2932][0]~q\ & (\led_flash_cnt[2932][1]~q\ & VCC))
-- \led_flash_cnt[2932][1]~67929\ = CARRY((\led_flash_cnt[2932][0]~q\ & \led_flash_cnt[2932][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2932][0]~q\,
	datab => \led_flash_cnt[2932][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2932][1]~67928_combout\,
	cout => \led_flash_cnt[2932][1]~67929\);

-- Location: FF_X49_Y15_N15
\led_flash_cnt[2932][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2932][1]~67928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2932][1]~q\);

-- Location: LCCOMB_X49_Y15_N16
\led_flash_cnt[2932][2]~67930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2932][2]~67930_combout\ = (\led_flash_cnt[2932][2]~q\ & (!\led_flash_cnt[2932][1]~67929\)) # (!\led_flash_cnt[2932][2]~q\ & ((\led_flash_cnt[2932][1]~67929\) # (GND)))
-- \led_flash_cnt[2932][2]~67931\ = CARRY((!\led_flash_cnt[2932][1]~67929\) # (!\led_flash_cnt[2932][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2932][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2932][1]~67929\,
	combout => \led_flash_cnt[2932][2]~67930_combout\,
	cout => \led_flash_cnt[2932][2]~67931\);

-- Location: FF_X49_Y15_N17
\led_flash_cnt[2932][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2932][2]~67930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2932][2]~q\);

-- Location: LCCOMB_X49_Y15_N18
\led_flash_cnt[2932][3]~67932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2932][3]~67932_combout\ = (\led_flash_cnt[2932][3]~q\ & (\led_flash_cnt[2932][2]~67931\ $ (GND))) # (!\led_flash_cnt[2932][3]~q\ & (!\led_flash_cnt[2932][2]~67931\ & VCC))
-- \led_flash_cnt[2932][3]~67933\ = CARRY((\led_flash_cnt[2932][3]~q\ & !\led_flash_cnt[2932][2]~67931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2932][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2932][2]~67931\,
	combout => \led_flash_cnt[2932][3]~67932_combout\,
	cout => \led_flash_cnt[2932][3]~67933\);

-- Location: FF_X49_Y15_N19
\led_flash_cnt[2932][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2932][3]~67932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2932][3]~q\);

-- Location: LCCOMB_X49_Y15_N20
\led_flash_cnt[2932][4]~67934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2932][4]~67934_combout\ = (\led_flash_cnt[2932][4]~q\ & (!\led_flash_cnt[2932][3]~67933\)) # (!\led_flash_cnt[2932][4]~q\ & ((\led_flash_cnt[2932][3]~67933\) # (GND)))
-- \led_flash_cnt[2932][4]~67935\ = CARRY((!\led_flash_cnt[2932][3]~67933\) # (!\led_flash_cnt[2932][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2932][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2932][3]~67933\,
	combout => \led_flash_cnt[2932][4]~67934_combout\,
	cout => \led_flash_cnt[2932][4]~67935\);

-- Location: FF_X49_Y15_N21
\led_flash_cnt[2932][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2932][4]~67934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2932][4]~q\);

-- Location: LCCOMB_X49_Y15_N22
\led_flash_cnt[2932][5]~67936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2932][5]~67936_combout\ = (\led_flash_cnt[2932][5]~q\ & (\led_flash_cnt[2932][4]~67935\ $ (GND))) # (!\led_flash_cnt[2932][5]~q\ & (!\led_flash_cnt[2932][4]~67935\ & VCC))
-- \led_flash_cnt[2932][5]~67937\ = CARRY((\led_flash_cnt[2932][5]~q\ & !\led_flash_cnt[2932][4]~67935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2932][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2932][4]~67935\,
	combout => \led_flash_cnt[2932][5]~67936_combout\,
	cout => \led_flash_cnt[2932][5]~67937\);

-- Location: FF_X49_Y15_N23
\led_flash_cnt[2932][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2932][5]~67936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2932][5]~q\);

-- Location: LCCOMB_X49_Y15_N24
\led_flash_cnt[2932][6]~67938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2932][6]~67938_combout\ = (\led_flash_cnt[2932][6]~q\ & (!\led_flash_cnt[2932][5]~67937\)) # (!\led_flash_cnt[2932][6]~q\ & ((\led_flash_cnt[2932][5]~67937\) # (GND)))
-- \led_flash_cnt[2932][6]~67939\ = CARRY((!\led_flash_cnt[2932][5]~67937\) # (!\led_flash_cnt[2932][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2932][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2932][5]~67937\,
	combout => \led_flash_cnt[2932][6]~67938_combout\,
	cout => \led_flash_cnt[2932][6]~67939\);

-- Location: FF_X49_Y15_N25
\led_flash_cnt[2932][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2932][6]~67938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2932][6]~q\);

-- Location: LCCOMB_X49_Y15_N10
\WideAnd2932~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2932~1_combout\ = (\led_flash_cnt[2932][5]~q\ & \led_flash_cnt[2932][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2932][5]~q\,
	datad => \led_flash_cnt[2932][6]~q\,
	combout => \WideAnd2932~1_combout\);

-- Location: LCCOMB_X49_Y15_N28
\WideAnd2932~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2932~0_combout\ = (\led_flash_cnt[2932][3]~q\ & (\led_flash_cnt[2932][4]~q\ & (\led_flash_cnt[2932][1]~q\ & \led_flash_cnt[2932][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2932][3]~q\,
	datab => \led_flash_cnt[2932][4]~q\,
	datac => \led_flash_cnt[2932][1]~q\,
	datad => \led_flash_cnt[2932][2]~q\,
	combout => \WideAnd2932~0_combout\);

-- Location: LCCOMB_X49_Y15_N26
\led_flash_cnt[2932][7]~67940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2932][7]~67940_combout\ = \led_flash_cnt[2932][7]~q\ $ (!\led_flash_cnt[2932][6]~67939\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2932][7]~q\,
	cin => \led_flash_cnt[2932][6]~67939\,
	combout => \led_flash_cnt[2932][7]~67940_combout\);

-- Location: FF_X49_Y15_N27
\led_flash_cnt[2932][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2932][7]~67940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2932][7]~q\);

-- Location: LCCOMB_X49_Y15_N2
WideAnd2932 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2932~combout\ = (\WideAnd2932~1_combout\ & (\WideAnd2932~0_combout\ & (\led_flash_cnt[2932][7]~q\ & \led_flash_cnt[2932][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2932~1_combout\,
	datab => \WideAnd2932~0_combout\,
	datac => \led_flash_cnt[2932][7]~q\,
	datad => \led_flash_cnt[2932][0]~q\,
	combout => \WideAnd2932~combout\);

-- Location: FF_X49_Y15_N3
\led_flash_cnt_ands[2932]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2932~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2932));

-- Location: LCCOMB_X49_Y15_N8
\WideAnd4206~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4206~1_combout\ = (led_flash_cnt_ands(2933) & led_flash_cnt_ands(2932))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2933),
	datad => led_flash_cnt_ands(2932),
	combout => \WideAnd4206~1_combout\);

-- Location: LCCOMB_X10_Y36_N2
\led_flash_cnt[2931][0]~83571\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2931][0]~83571_combout\ = !\led_flash_cnt[2931][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2931][0]~q\,
	combout => \led_flash_cnt[2931][0]~83571_combout\);

-- Location: FF_X10_Y36_N3
\led_flash_cnt[2931][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2931][0]~83571_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2931][0]~q\);

-- Location: LCCOMB_X10_Y36_N6
\led_flash_cnt[2931][1]~67914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2931][1]~67914_combout\ = (\led_flash_cnt[2931][1]~q\ & (\led_flash_cnt[2931][0]~q\ $ (VCC))) # (!\led_flash_cnt[2931][1]~q\ & (\led_flash_cnt[2931][0]~q\ & VCC))
-- \led_flash_cnt[2931][1]~67915\ = CARRY((\led_flash_cnt[2931][1]~q\ & \led_flash_cnt[2931][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2931][1]~q\,
	datab => \led_flash_cnt[2931][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2931][1]~67914_combout\,
	cout => \led_flash_cnt[2931][1]~67915\);

-- Location: FF_X10_Y36_N7
\led_flash_cnt[2931][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2931][1]~67914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2931][1]~q\);

-- Location: LCCOMB_X10_Y36_N8
\led_flash_cnt[2931][2]~67916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2931][2]~67916_combout\ = (\led_flash_cnt[2931][2]~q\ & (!\led_flash_cnt[2931][1]~67915\)) # (!\led_flash_cnt[2931][2]~q\ & ((\led_flash_cnt[2931][1]~67915\) # (GND)))
-- \led_flash_cnt[2931][2]~67917\ = CARRY((!\led_flash_cnt[2931][1]~67915\) # (!\led_flash_cnt[2931][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2931][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2931][1]~67915\,
	combout => \led_flash_cnt[2931][2]~67916_combout\,
	cout => \led_flash_cnt[2931][2]~67917\);

-- Location: FF_X10_Y36_N9
\led_flash_cnt[2931][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2931][2]~67916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2931][2]~q\);

-- Location: LCCOMB_X10_Y36_N10
\led_flash_cnt[2931][3]~67918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2931][3]~67918_combout\ = (\led_flash_cnt[2931][3]~q\ & (\led_flash_cnt[2931][2]~67917\ $ (GND))) # (!\led_flash_cnt[2931][3]~q\ & (!\led_flash_cnt[2931][2]~67917\ & VCC))
-- \led_flash_cnt[2931][3]~67919\ = CARRY((\led_flash_cnt[2931][3]~q\ & !\led_flash_cnt[2931][2]~67917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2931][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2931][2]~67917\,
	combout => \led_flash_cnt[2931][3]~67918_combout\,
	cout => \led_flash_cnt[2931][3]~67919\);

-- Location: FF_X10_Y36_N11
\led_flash_cnt[2931][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2931][3]~67918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2931][3]~q\);

-- Location: LCCOMB_X10_Y36_N12
\led_flash_cnt[2931][4]~67920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2931][4]~67920_combout\ = (\led_flash_cnt[2931][4]~q\ & (!\led_flash_cnt[2931][3]~67919\)) # (!\led_flash_cnt[2931][4]~q\ & ((\led_flash_cnt[2931][3]~67919\) # (GND)))
-- \led_flash_cnt[2931][4]~67921\ = CARRY((!\led_flash_cnt[2931][3]~67919\) # (!\led_flash_cnt[2931][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2931][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2931][3]~67919\,
	combout => \led_flash_cnt[2931][4]~67920_combout\,
	cout => \led_flash_cnt[2931][4]~67921\);

-- Location: FF_X10_Y36_N13
\led_flash_cnt[2931][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2931][4]~67920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2931][4]~q\);

-- Location: LCCOMB_X10_Y36_N26
\WideAnd2931~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2931~0_combout\ = (\led_flash_cnt[2931][1]~q\ & (\led_flash_cnt[2931][4]~q\ & (\led_flash_cnt[2931][2]~q\ & \led_flash_cnt[2931][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2931][1]~q\,
	datab => \led_flash_cnt[2931][4]~q\,
	datac => \led_flash_cnt[2931][2]~q\,
	datad => \led_flash_cnt[2931][3]~q\,
	combout => \WideAnd2931~0_combout\);

-- Location: LCCOMB_X10_Y36_N14
\led_flash_cnt[2931][5]~67922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2931][5]~67922_combout\ = (\led_flash_cnt[2931][5]~q\ & (\led_flash_cnt[2931][4]~67921\ $ (GND))) # (!\led_flash_cnt[2931][5]~q\ & (!\led_flash_cnt[2931][4]~67921\ & VCC))
-- \led_flash_cnt[2931][5]~67923\ = CARRY((\led_flash_cnt[2931][5]~q\ & !\led_flash_cnt[2931][4]~67921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2931][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2931][4]~67921\,
	combout => \led_flash_cnt[2931][5]~67922_combout\,
	cout => \led_flash_cnt[2931][5]~67923\);

-- Location: FF_X10_Y36_N15
\led_flash_cnt[2931][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2931][5]~67922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2931][5]~q\);

-- Location: LCCOMB_X10_Y36_N16
\led_flash_cnt[2931][6]~67924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2931][6]~67924_combout\ = (\led_flash_cnt[2931][6]~q\ & (!\led_flash_cnt[2931][5]~67923\)) # (!\led_flash_cnt[2931][6]~q\ & ((\led_flash_cnt[2931][5]~67923\) # (GND)))
-- \led_flash_cnt[2931][6]~67925\ = CARRY((!\led_flash_cnt[2931][5]~67923\) # (!\led_flash_cnt[2931][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2931][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2931][5]~67923\,
	combout => \led_flash_cnt[2931][6]~67924_combout\,
	cout => \led_flash_cnt[2931][6]~67925\);

-- Location: FF_X10_Y36_N17
\led_flash_cnt[2931][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2931][6]~67924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2931][6]~q\);

-- Location: LCCOMB_X10_Y36_N22
\WideAnd2931~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2931~1_combout\ = (\led_flash_cnt[2931][5]~q\ & \led_flash_cnt[2931][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2931][5]~q\,
	datad => \led_flash_cnt[2931][6]~q\,
	combout => \WideAnd2931~1_combout\);

-- Location: LCCOMB_X10_Y36_N18
\led_flash_cnt[2931][7]~67926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2931][7]~67926_combout\ = \led_flash_cnt[2931][6]~67925\ $ (!\led_flash_cnt[2931][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2931][7]~q\,
	cin => \led_flash_cnt[2931][6]~67925\,
	combout => \led_flash_cnt[2931][7]~67926_combout\);

-- Location: FF_X10_Y36_N19
\led_flash_cnt[2931][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2931][7]~67926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2931][7]~q\);

-- Location: LCCOMB_X10_Y36_N24
WideAnd2931 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2931~combout\ = (\WideAnd2931~0_combout\ & (\led_flash_cnt[2931][0]~q\ & (\WideAnd2931~1_combout\ & \led_flash_cnt[2931][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2931~0_combout\,
	datab => \led_flash_cnt[2931][0]~q\,
	datac => \WideAnd2931~1_combout\,
	datad => \led_flash_cnt[2931][7]~q\,
	combout => \WideAnd2931~combout\);

-- Location: FF_X10_Y36_N25
\led_flash_cnt_ands[2931]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2931~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2931));

-- Location: LCCOMB_X16_Y36_N18
\led_flash_cnt[2930][0]~83570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2930][0]~83570_combout\ = !\led_flash_cnt[2930][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2930][0]~q\,
	combout => \led_flash_cnt[2930][0]~83570_combout\);

-- Location: FF_X16_Y36_N19
\led_flash_cnt[2930][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2930][0]~83570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2930][0]~q\);

-- Location: LCCOMB_X16_Y36_N0
\led_flash_cnt[2930][1]~67900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2930][1]~67900_combout\ = (\led_flash_cnt[2930][0]~q\ & (\led_flash_cnt[2930][1]~q\ $ (VCC))) # (!\led_flash_cnt[2930][0]~q\ & (\led_flash_cnt[2930][1]~q\ & VCC))
-- \led_flash_cnt[2930][1]~67901\ = CARRY((\led_flash_cnt[2930][0]~q\ & \led_flash_cnt[2930][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2930][0]~q\,
	datab => \led_flash_cnt[2930][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2930][1]~67900_combout\,
	cout => \led_flash_cnt[2930][1]~67901\);

-- Location: FF_X16_Y36_N1
\led_flash_cnt[2930][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2930][1]~67900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2930][1]~q\);

-- Location: LCCOMB_X16_Y36_N2
\led_flash_cnt[2930][2]~67902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2930][2]~67902_combout\ = (\led_flash_cnt[2930][2]~q\ & (!\led_flash_cnt[2930][1]~67901\)) # (!\led_flash_cnt[2930][2]~q\ & ((\led_flash_cnt[2930][1]~67901\) # (GND)))
-- \led_flash_cnt[2930][2]~67903\ = CARRY((!\led_flash_cnt[2930][1]~67901\) # (!\led_flash_cnt[2930][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2930][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2930][1]~67901\,
	combout => \led_flash_cnt[2930][2]~67902_combout\,
	cout => \led_flash_cnt[2930][2]~67903\);

-- Location: FF_X16_Y36_N3
\led_flash_cnt[2930][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2930][2]~67902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2930][2]~q\);

-- Location: LCCOMB_X16_Y36_N4
\led_flash_cnt[2930][3]~67904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2930][3]~67904_combout\ = (\led_flash_cnt[2930][3]~q\ & (\led_flash_cnt[2930][2]~67903\ $ (GND))) # (!\led_flash_cnt[2930][3]~q\ & (!\led_flash_cnt[2930][2]~67903\ & VCC))
-- \led_flash_cnt[2930][3]~67905\ = CARRY((\led_flash_cnt[2930][3]~q\ & !\led_flash_cnt[2930][2]~67903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2930][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2930][2]~67903\,
	combout => \led_flash_cnt[2930][3]~67904_combout\,
	cout => \led_flash_cnt[2930][3]~67905\);

-- Location: FF_X16_Y36_N5
\led_flash_cnt[2930][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2930][3]~67904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2930][3]~q\);

-- Location: LCCOMB_X16_Y36_N6
\led_flash_cnt[2930][4]~67906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2930][4]~67906_combout\ = (\led_flash_cnt[2930][4]~q\ & (!\led_flash_cnt[2930][3]~67905\)) # (!\led_flash_cnt[2930][4]~q\ & ((\led_flash_cnt[2930][3]~67905\) # (GND)))
-- \led_flash_cnt[2930][4]~67907\ = CARRY((!\led_flash_cnt[2930][3]~67905\) # (!\led_flash_cnt[2930][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2930][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2930][3]~67905\,
	combout => \led_flash_cnt[2930][4]~67906_combout\,
	cout => \led_flash_cnt[2930][4]~67907\);

-- Location: FF_X16_Y36_N7
\led_flash_cnt[2930][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2930][4]~67906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2930][4]~q\);

-- Location: LCCOMB_X16_Y36_N8
\led_flash_cnt[2930][5]~67908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2930][5]~67908_combout\ = (\led_flash_cnt[2930][5]~q\ & (\led_flash_cnt[2930][4]~67907\ $ (GND))) # (!\led_flash_cnt[2930][5]~q\ & (!\led_flash_cnt[2930][4]~67907\ & VCC))
-- \led_flash_cnt[2930][5]~67909\ = CARRY((\led_flash_cnt[2930][5]~q\ & !\led_flash_cnt[2930][4]~67907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2930][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2930][4]~67907\,
	combout => \led_flash_cnt[2930][5]~67908_combout\,
	cout => \led_flash_cnt[2930][5]~67909\);

-- Location: FF_X16_Y36_N9
\led_flash_cnt[2930][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2930][5]~67908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2930][5]~q\);

-- Location: LCCOMB_X16_Y36_N10
\led_flash_cnt[2930][6]~67910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2930][6]~67910_combout\ = (\led_flash_cnt[2930][6]~q\ & (!\led_flash_cnt[2930][5]~67909\)) # (!\led_flash_cnt[2930][6]~q\ & ((\led_flash_cnt[2930][5]~67909\) # (GND)))
-- \led_flash_cnt[2930][6]~67911\ = CARRY((!\led_flash_cnt[2930][5]~67909\) # (!\led_flash_cnt[2930][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2930][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2930][5]~67909\,
	combout => \led_flash_cnt[2930][6]~67910_combout\,
	cout => \led_flash_cnt[2930][6]~67911\);

-- Location: FF_X16_Y36_N11
\led_flash_cnt[2930][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2930][6]~67910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2930][6]~q\);

-- Location: LCCOMB_X16_Y36_N12
\led_flash_cnt[2930][7]~67912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2930][7]~67912_combout\ = \led_flash_cnt[2930][6]~67911\ $ (!\led_flash_cnt[2930][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2930][7]~q\,
	cin => \led_flash_cnt[2930][6]~67911\,
	combout => \led_flash_cnt[2930][7]~67912_combout\);

-- Location: FF_X16_Y36_N13
\led_flash_cnt[2930][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2930][7]~67912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2930][7]~q\);

-- Location: LCCOMB_X16_Y36_N16
\WideAnd2930~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2930~0_combout\ = (\led_flash_cnt[2930][4]~q\ & (\led_flash_cnt[2930][2]~q\ & (\led_flash_cnt[2930][3]~q\ & \led_flash_cnt[2930][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2930][4]~q\,
	datab => \led_flash_cnt[2930][2]~q\,
	datac => \led_flash_cnt[2930][3]~q\,
	datad => \led_flash_cnt[2930][1]~q\,
	combout => \WideAnd2930~0_combout\);

-- Location: LCCOMB_X16_Y36_N26
\WideAnd2930~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2930~1_combout\ = (\led_flash_cnt[2930][5]~q\ & \led_flash_cnt[2930][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2930][5]~q\,
	datad => \led_flash_cnt[2930][6]~q\,
	combout => \WideAnd2930~1_combout\);

-- Location: LCCOMB_X16_Y36_N28
WideAnd2930 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2930~combout\ = (\led_flash_cnt[2930][7]~q\ & (\WideAnd2930~0_combout\ & (\WideAnd2930~1_combout\ & \led_flash_cnt[2930][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2930][7]~q\,
	datab => \WideAnd2930~0_combout\,
	datac => \WideAnd2930~1_combout\,
	datad => \led_flash_cnt[2930][0]~q\,
	combout => \WideAnd2930~combout\);

-- Location: FF_X16_Y36_N29
\led_flash_cnt_ands[2930]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2930~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2930));

-- Location: LCCOMB_X9_Y36_N24
\led_flash_cnt[2929][0]~83569\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2929][0]~83569_combout\ = !\led_flash_cnt[2929][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2929][0]~q\,
	combout => \led_flash_cnt[2929][0]~83569_combout\);

-- Location: FF_X9_Y36_N25
\led_flash_cnt[2929][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2929][0]~83569_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2929][0]~q\);

-- Location: LCCOMB_X9_Y36_N8
\led_flash_cnt[2929][1]~67886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2929][1]~67886_combout\ = (\led_flash_cnt[2929][1]~q\ & (\led_flash_cnt[2929][0]~q\ $ (VCC))) # (!\led_flash_cnt[2929][1]~q\ & (\led_flash_cnt[2929][0]~q\ & VCC))
-- \led_flash_cnt[2929][1]~67887\ = CARRY((\led_flash_cnt[2929][1]~q\ & \led_flash_cnt[2929][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2929][1]~q\,
	datab => \led_flash_cnt[2929][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2929][1]~67886_combout\,
	cout => \led_flash_cnt[2929][1]~67887\);

-- Location: FF_X9_Y36_N9
\led_flash_cnt[2929][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2929][1]~67886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2929][1]~q\);

-- Location: LCCOMB_X9_Y36_N10
\led_flash_cnt[2929][2]~67888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2929][2]~67888_combout\ = (\led_flash_cnt[2929][2]~q\ & (!\led_flash_cnt[2929][1]~67887\)) # (!\led_flash_cnt[2929][2]~q\ & ((\led_flash_cnt[2929][1]~67887\) # (GND)))
-- \led_flash_cnt[2929][2]~67889\ = CARRY((!\led_flash_cnt[2929][1]~67887\) # (!\led_flash_cnt[2929][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2929][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2929][1]~67887\,
	combout => \led_flash_cnt[2929][2]~67888_combout\,
	cout => \led_flash_cnt[2929][2]~67889\);

-- Location: FF_X9_Y36_N11
\led_flash_cnt[2929][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2929][2]~67888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2929][2]~q\);

-- Location: LCCOMB_X9_Y36_N12
\led_flash_cnt[2929][3]~67890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2929][3]~67890_combout\ = (\led_flash_cnt[2929][3]~q\ & (\led_flash_cnt[2929][2]~67889\ $ (GND))) # (!\led_flash_cnt[2929][3]~q\ & (!\led_flash_cnt[2929][2]~67889\ & VCC))
-- \led_flash_cnt[2929][3]~67891\ = CARRY((\led_flash_cnt[2929][3]~q\ & !\led_flash_cnt[2929][2]~67889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2929][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2929][2]~67889\,
	combout => \led_flash_cnt[2929][3]~67890_combout\,
	cout => \led_flash_cnt[2929][3]~67891\);

-- Location: FF_X9_Y36_N13
\led_flash_cnt[2929][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2929][3]~67890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2929][3]~q\);

-- Location: LCCOMB_X9_Y36_N14
\led_flash_cnt[2929][4]~67892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2929][4]~67892_combout\ = (\led_flash_cnt[2929][4]~q\ & (!\led_flash_cnt[2929][3]~67891\)) # (!\led_flash_cnt[2929][4]~q\ & ((\led_flash_cnt[2929][3]~67891\) # (GND)))
-- \led_flash_cnt[2929][4]~67893\ = CARRY((!\led_flash_cnt[2929][3]~67891\) # (!\led_flash_cnt[2929][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2929][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2929][3]~67891\,
	combout => \led_flash_cnt[2929][4]~67892_combout\,
	cout => \led_flash_cnt[2929][4]~67893\);

-- Location: FF_X9_Y36_N15
\led_flash_cnt[2929][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2929][4]~67892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2929][4]~q\);

-- Location: LCCOMB_X9_Y36_N26
\WideAnd2929~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2929~0_combout\ = (\led_flash_cnt[2929][3]~q\ & (\led_flash_cnt[2929][1]~q\ & (\led_flash_cnt[2929][4]~q\ & \led_flash_cnt[2929][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2929][3]~q\,
	datab => \led_flash_cnt[2929][1]~q\,
	datac => \led_flash_cnt[2929][4]~q\,
	datad => \led_flash_cnt[2929][2]~q\,
	combout => \WideAnd2929~0_combout\);

-- Location: LCCOMB_X9_Y36_N16
\led_flash_cnt[2929][5]~67894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2929][5]~67894_combout\ = (\led_flash_cnt[2929][5]~q\ & (\led_flash_cnt[2929][4]~67893\ $ (GND))) # (!\led_flash_cnt[2929][5]~q\ & (!\led_flash_cnt[2929][4]~67893\ & VCC))
-- \led_flash_cnt[2929][5]~67895\ = CARRY((\led_flash_cnt[2929][5]~q\ & !\led_flash_cnt[2929][4]~67893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2929][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2929][4]~67893\,
	combout => \led_flash_cnt[2929][5]~67894_combout\,
	cout => \led_flash_cnt[2929][5]~67895\);

-- Location: FF_X9_Y36_N17
\led_flash_cnt[2929][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2929][5]~67894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2929][5]~q\);

-- Location: LCCOMB_X9_Y36_N18
\led_flash_cnt[2929][6]~67896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2929][6]~67896_combout\ = (\led_flash_cnt[2929][6]~q\ & (!\led_flash_cnt[2929][5]~67895\)) # (!\led_flash_cnt[2929][6]~q\ & ((\led_flash_cnt[2929][5]~67895\) # (GND)))
-- \led_flash_cnt[2929][6]~67897\ = CARRY((!\led_flash_cnt[2929][5]~67895\) # (!\led_flash_cnt[2929][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2929][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2929][5]~67895\,
	combout => \led_flash_cnt[2929][6]~67896_combout\,
	cout => \led_flash_cnt[2929][6]~67897\);

-- Location: FF_X9_Y36_N19
\led_flash_cnt[2929][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2929][6]~67896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2929][6]~q\);

-- Location: LCCOMB_X9_Y36_N20
\led_flash_cnt[2929][7]~67898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2929][7]~67898_combout\ = \led_flash_cnt[2929][6]~67897\ $ (!\led_flash_cnt[2929][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2929][7]~q\,
	cin => \led_flash_cnt[2929][6]~67897\,
	combout => \led_flash_cnt[2929][7]~67898_combout\);

-- Location: FF_X9_Y36_N21
\led_flash_cnt[2929][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2929][7]~67898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2929][7]~q\);

-- Location: LCCOMB_X9_Y36_N22
\WideAnd2929~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2929~1_combout\ = (\led_flash_cnt[2929][5]~q\ & \led_flash_cnt[2929][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2929][5]~q\,
	datad => \led_flash_cnt[2929][6]~q\,
	combout => \WideAnd2929~1_combout\);

-- Location: LCCOMB_X9_Y36_N2
WideAnd2929 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2929~combout\ = (\WideAnd2929~0_combout\ & (\led_flash_cnt[2929][7]~q\ & (\WideAnd2929~1_combout\ & \led_flash_cnt[2929][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2929~0_combout\,
	datab => \led_flash_cnt[2929][7]~q\,
	datac => \WideAnd2929~1_combout\,
	datad => \led_flash_cnt[2929][0]~q\,
	combout => \WideAnd2929~combout\);

-- Location: FF_X9_Y36_N3
\led_flash_cnt_ands[2929]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2929~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2929));

-- Location: LCCOMB_X17_Y36_N26
\led_flash_cnt[2928][0]~83568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2928][0]~83568_combout\ = !\led_flash_cnt[2928][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2928][0]~q\,
	combout => \led_flash_cnt[2928][0]~83568_combout\);

-- Location: FF_X17_Y36_N27
\led_flash_cnt[2928][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2928][0]~83568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2928][0]~q\);

-- Location: LCCOMB_X17_Y36_N8
\led_flash_cnt[2928][1]~67872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2928][1]~67872_combout\ = (\led_flash_cnt[2928][0]~q\ & (\led_flash_cnt[2928][1]~q\ $ (VCC))) # (!\led_flash_cnt[2928][0]~q\ & (\led_flash_cnt[2928][1]~q\ & VCC))
-- \led_flash_cnt[2928][1]~67873\ = CARRY((\led_flash_cnt[2928][0]~q\ & \led_flash_cnt[2928][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2928][0]~q\,
	datab => \led_flash_cnt[2928][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2928][1]~67872_combout\,
	cout => \led_flash_cnt[2928][1]~67873\);

-- Location: FF_X17_Y36_N9
\led_flash_cnt[2928][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2928][1]~67872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2928][1]~q\);

-- Location: LCCOMB_X17_Y36_N10
\led_flash_cnt[2928][2]~67874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2928][2]~67874_combout\ = (\led_flash_cnt[2928][2]~q\ & (!\led_flash_cnt[2928][1]~67873\)) # (!\led_flash_cnt[2928][2]~q\ & ((\led_flash_cnt[2928][1]~67873\) # (GND)))
-- \led_flash_cnt[2928][2]~67875\ = CARRY((!\led_flash_cnt[2928][1]~67873\) # (!\led_flash_cnt[2928][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2928][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2928][1]~67873\,
	combout => \led_flash_cnt[2928][2]~67874_combout\,
	cout => \led_flash_cnt[2928][2]~67875\);

-- Location: FF_X17_Y36_N11
\led_flash_cnt[2928][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2928][2]~67874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2928][2]~q\);

-- Location: LCCOMB_X17_Y36_N12
\led_flash_cnt[2928][3]~67876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2928][3]~67876_combout\ = (\led_flash_cnt[2928][3]~q\ & (\led_flash_cnt[2928][2]~67875\ $ (GND))) # (!\led_flash_cnt[2928][3]~q\ & (!\led_flash_cnt[2928][2]~67875\ & VCC))
-- \led_flash_cnt[2928][3]~67877\ = CARRY((\led_flash_cnt[2928][3]~q\ & !\led_flash_cnt[2928][2]~67875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2928][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2928][2]~67875\,
	combout => \led_flash_cnt[2928][3]~67876_combout\,
	cout => \led_flash_cnt[2928][3]~67877\);

-- Location: FF_X17_Y36_N13
\led_flash_cnt[2928][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2928][3]~67876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2928][3]~q\);

-- Location: LCCOMB_X17_Y36_N14
\led_flash_cnt[2928][4]~67878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2928][4]~67878_combout\ = (\led_flash_cnt[2928][4]~q\ & (!\led_flash_cnt[2928][3]~67877\)) # (!\led_flash_cnt[2928][4]~q\ & ((\led_flash_cnt[2928][3]~67877\) # (GND)))
-- \led_flash_cnt[2928][4]~67879\ = CARRY((!\led_flash_cnt[2928][3]~67877\) # (!\led_flash_cnt[2928][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2928][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2928][3]~67877\,
	combout => \led_flash_cnt[2928][4]~67878_combout\,
	cout => \led_flash_cnt[2928][4]~67879\);

-- Location: FF_X17_Y36_N15
\led_flash_cnt[2928][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2928][4]~67878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2928][4]~q\);

-- Location: LCCOMB_X17_Y36_N16
\led_flash_cnt[2928][5]~67880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2928][5]~67880_combout\ = (\led_flash_cnt[2928][5]~q\ & (\led_flash_cnt[2928][4]~67879\ $ (GND))) # (!\led_flash_cnt[2928][5]~q\ & (!\led_flash_cnt[2928][4]~67879\ & VCC))
-- \led_flash_cnt[2928][5]~67881\ = CARRY((\led_flash_cnt[2928][5]~q\ & !\led_flash_cnt[2928][4]~67879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2928][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2928][4]~67879\,
	combout => \led_flash_cnt[2928][5]~67880_combout\,
	cout => \led_flash_cnt[2928][5]~67881\);

-- Location: FF_X17_Y36_N17
\led_flash_cnt[2928][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2928][5]~67880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2928][5]~q\);

-- Location: LCCOMB_X17_Y36_N18
\led_flash_cnt[2928][6]~67882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2928][6]~67882_combout\ = (\led_flash_cnt[2928][6]~q\ & (!\led_flash_cnt[2928][5]~67881\)) # (!\led_flash_cnt[2928][6]~q\ & ((\led_flash_cnt[2928][5]~67881\) # (GND)))
-- \led_flash_cnt[2928][6]~67883\ = CARRY((!\led_flash_cnt[2928][5]~67881\) # (!\led_flash_cnt[2928][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2928][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2928][5]~67881\,
	combout => \led_flash_cnt[2928][6]~67882_combout\,
	cout => \led_flash_cnt[2928][6]~67883\);

-- Location: FF_X17_Y36_N19
\led_flash_cnt[2928][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2928][6]~67882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2928][6]~q\);

-- Location: LCCOMB_X17_Y36_N20
\led_flash_cnt[2928][7]~67884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2928][7]~67884_combout\ = \led_flash_cnt[2928][6]~67883\ $ (!\led_flash_cnt[2928][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2928][7]~q\,
	cin => \led_flash_cnt[2928][6]~67883\,
	combout => \led_flash_cnt[2928][7]~67884_combout\);

-- Location: FF_X17_Y36_N21
\led_flash_cnt[2928][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2928][7]~67884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2928][7]~q\);

-- Location: LCCOMB_X17_Y36_N22
\WideAnd2928~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2928~0_combout\ = (\led_flash_cnt[2928][3]~q\ & (\led_flash_cnt[2928][4]~q\ & (\led_flash_cnt[2928][1]~q\ & \led_flash_cnt[2928][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2928][3]~q\,
	datab => \led_flash_cnt[2928][4]~q\,
	datac => \led_flash_cnt[2928][1]~q\,
	datad => \led_flash_cnt[2928][2]~q\,
	combout => \WideAnd2928~0_combout\);

-- Location: LCCOMB_X17_Y36_N24
\WideAnd2928~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2928~1_combout\ = (\led_flash_cnt[2928][5]~q\ & \led_flash_cnt[2928][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2928][5]~q\,
	datad => \led_flash_cnt[2928][6]~q\,
	combout => \WideAnd2928~1_combout\);

-- Location: LCCOMB_X17_Y36_N28
WideAnd2928 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2928~combout\ = (\led_flash_cnt[2928][0]~q\ & (\led_flash_cnt[2928][7]~q\ & (\WideAnd2928~0_combout\ & \WideAnd2928~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2928][0]~q\,
	datab => \led_flash_cnt[2928][7]~q\,
	datac => \WideAnd2928~0_combout\,
	datad => \WideAnd2928~1_combout\,
	combout => \WideAnd2928~combout\);

-- Location: FF_X17_Y36_N29
\led_flash_cnt_ands[2928]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2928~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2928));

-- Location: LCCOMB_X16_Y36_N24
\WideAnd4206~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4206~0_combout\ = (led_flash_cnt_ands(2931) & (led_flash_cnt_ands(2930) & (led_flash_cnt_ands(2929) & led_flash_cnt_ands(2928))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2931),
	datab => led_flash_cnt_ands(2930),
	datac => led_flash_cnt_ands(2929),
	datad => led_flash_cnt_ands(2928),
	combout => \WideAnd4206~0_combout\);

-- Location: LCCOMB_X56_Y31_N10
WideAnd4206 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4206~combout\ = (led_flash_cnt_ands(2934) & (led_flash_cnt_ands(2935) & (\WideAnd4206~1_combout\ & \WideAnd4206~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2934),
	datab => led_flash_cnt_ands(2935),
	datac => \WideAnd4206~1_combout\,
	datad => \WideAnd4206~0_combout\,
	combout => \WideAnd4206~combout\);

-- Location: FF_X56_Y31_N11
\led_flash_cnt_ands_1[366]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4206~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(366));

-- Location: LCCOMB_X56_Y31_N28
WideAnd4365 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4365~combout\ = (\WideAnd4365~0_combout\ & (led_flash_cnt_ands_1(367) & (\WideAnd4365~1_combout\ & led_flash_cnt_ands_1(366))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4365~0_combout\,
	datab => led_flash_cnt_ands_1(367),
	datac => \WideAnd4365~1_combout\,
	datad => led_flash_cnt_ands_1(366),
	combout => \WideAnd4365~combout\);

-- Location: FF_X56_Y31_N29
\led_flash_cnt_ands_2[45]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4365~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(45));

-- Location: LCCOMB_X51_Y51_N2
\led_flash_cnt[3005][0]~83645\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3005][0]~83645_combout\ = !\led_flash_cnt[3005][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3005][0]~q\,
	combout => \led_flash_cnt[3005][0]~83645_combout\);

-- Location: FF_X51_Y51_N3
\led_flash_cnt[3005][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3005][0]~83645_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3005][0]~q\);

-- Location: LCCOMB_X50_Y51_N16
\led_flash_cnt[3005][1]~68950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3005][1]~68950_combout\ = (\led_flash_cnt[3005][0]~q\ & (\led_flash_cnt[3005][1]~q\ $ (VCC))) # (!\led_flash_cnt[3005][0]~q\ & (\led_flash_cnt[3005][1]~q\ & VCC))
-- \led_flash_cnt[3005][1]~68951\ = CARRY((\led_flash_cnt[3005][0]~q\ & \led_flash_cnt[3005][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3005][0]~q\,
	datab => \led_flash_cnt[3005][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3005][1]~68950_combout\,
	cout => \led_flash_cnt[3005][1]~68951\);

-- Location: FF_X50_Y51_N17
\led_flash_cnt[3005][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3005][1]~68950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3005][1]~q\);

-- Location: LCCOMB_X50_Y51_N18
\led_flash_cnt[3005][2]~68952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3005][2]~68952_combout\ = (\led_flash_cnt[3005][2]~q\ & (!\led_flash_cnt[3005][1]~68951\)) # (!\led_flash_cnt[3005][2]~q\ & ((\led_flash_cnt[3005][1]~68951\) # (GND)))
-- \led_flash_cnt[3005][2]~68953\ = CARRY((!\led_flash_cnt[3005][1]~68951\) # (!\led_flash_cnt[3005][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3005][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3005][1]~68951\,
	combout => \led_flash_cnt[3005][2]~68952_combout\,
	cout => \led_flash_cnt[3005][2]~68953\);

-- Location: FF_X50_Y51_N19
\led_flash_cnt[3005][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3005][2]~68952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3005][2]~q\);

-- Location: LCCOMB_X50_Y51_N20
\led_flash_cnt[3005][3]~68954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3005][3]~68954_combout\ = (\led_flash_cnt[3005][3]~q\ & (\led_flash_cnt[3005][2]~68953\ $ (GND))) # (!\led_flash_cnt[3005][3]~q\ & (!\led_flash_cnt[3005][2]~68953\ & VCC))
-- \led_flash_cnt[3005][3]~68955\ = CARRY((\led_flash_cnt[3005][3]~q\ & !\led_flash_cnt[3005][2]~68953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3005][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3005][2]~68953\,
	combout => \led_flash_cnt[3005][3]~68954_combout\,
	cout => \led_flash_cnt[3005][3]~68955\);

-- Location: FF_X50_Y51_N21
\led_flash_cnt[3005][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3005][3]~68954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3005][3]~q\);

-- Location: LCCOMB_X50_Y51_N22
\led_flash_cnt[3005][4]~68956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3005][4]~68956_combout\ = (\led_flash_cnt[3005][4]~q\ & (!\led_flash_cnt[3005][3]~68955\)) # (!\led_flash_cnt[3005][4]~q\ & ((\led_flash_cnt[3005][3]~68955\) # (GND)))
-- \led_flash_cnt[3005][4]~68957\ = CARRY((!\led_flash_cnt[3005][3]~68955\) # (!\led_flash_cnt[3005][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3005][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3005][3]~68955\,
	combout => \led_flash_cnt[3005][4]~68956_combout\,
	cout => \led_flash_cnt[3005][4]~68957\);

-- Location: FF_X50_Y51_N23
\led_flash_cnt[3005][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3005][4]~68956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3005][4]~q\);

-- Location: LCCOMB_X50_Y51_N24
\led_flash_cnt[3005][5]~68958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3005][5]~68958_combout\ = (\led_flash_cnt[3005][5]~q\ & (\led_flash_cnt[3005][4]~68957\ $ (GND))) # (!\led_flash_cnt[3005][5]~q\ & (!\led_flash_cnt[3005][4]~68957\ & VCC))
-- \led_flash_cnt[3005][5]~68959\ = CARRY((\led_flash_cnt[3005][5]~q\ & !\led_flash_cnt[3005][4]~68957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3005][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3005][4]~68957\,
	combout => \led_flash_cnt[3005][5]~68958_combout\,
	cout => \led_flash_cnt[3005][5]~68959\);

-- Location: FF_X50_Y51_N25
\led_flash_cnt[3005][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3005][5]~68958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3005][5]~q\);

-- Location: LCCOMB_X50_Y51_N26
\led_flash_cnt[3005][6]~68960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3005][6]~68960_combout\ = (\led_flash_cnt[3005][6]~q\ & (!\led_flash_cnt[3005][5]~68959\)) # (!\led_flash_cnt[3005][6]~q\ & ((\led_flash_cnt[3005][5]~68959\) # (GND)))
-- \led_flash_cnt[3005][6]~68961\ = CARRY((!\led_flash_cnt[3005][5]~68959\) # (!\led_flash_cnt[3005][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3005][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3005][5]~68959\,
	combout => \led_flash_cnt[3005][6]~68960_combout\,
	cout => \led_flash_cnt[3005][6]~68961\);

-- Location: FF_X50_Y51_N27
\led_flash_cnt[3005][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3005][6]~68960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3005][6]~q\);

-- Location: LCCOMB_X50_Y51_N28
\led_flash_cnt[3005][7]~68962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3005][7]~68962_combout\ = \led_flash_cnt[3005][6]~68961\ $ (!\led_flash_cnt[3005][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3005][7]~q\,
	cin => \led_flash_cnt[3005][6]~68961\,
	combout => \led_flash_cnt[3005][7]~68962_combout\);

-- Location: FF_X50_Y51_N29
\led_flash_cnt[3005][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3005][7]~68962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3005][7]~q\);

-- Location: LCCOMB_X51_Y51_N26
\WideAnd3005~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3005~1_combout\ = (\led_flash_cnt[3005][7]~q\ & \led_flash_cnt[3005][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3005][7]~q\,
	datad => \led_flash_cnt[3005][0]~q\,
	combout => \WideAnd3005~1_combout\);

-- Location: LCCOMB_X50_Y51_N0
\WideAnd3005~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3005~0_combout\ = (\led_flash_cnt[3005][2]~q\ & (\led_flash_cnt[3005][5]~q\ & (\led_flash_cnt[3005][6]~q\ & \led_flash_cnt[3005][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3005][2]~q\,
	datab => \led_flash_cnt[3005][5]~q\,
	datac => \led_flash_cnt[3005][6]~q\,
	datad => \led_flash_cnt[3005][1]~q\,
	combout => \WideAnd3005~0_combout\);

-- Location: LCCOMB_X51_Y51_N30
WideAnd3005 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3005~combout\ = (\WideAnd3005~1_combout\ & (\led_flash_cnt[3005][4]~q\ & (\WideAnd3005~0_combout\ & \led_flash_cnt[3005][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3005~1_combout\,
	datab => \led_flash_cnt[3005][4]~q\,
	datac => \WideAnd3005~0_combout\,
	datad => \led_flash_cnt[3005][3]~q\,
	combout => \WideAnd3005~combout\);

-- Location: FF_X51_Y51_N31
\led_flash_cnt_ands[3005]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3005~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3005));

-- Location: LCCOMB_X51_Y51_N28
\led_flash_cnt[3004][0]~83644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3004][0]~83644_combout\ = !\led_flash_cnt[3004][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3004][0]~q\,
	combout => \led_flash_cnt[3004][0]~83644_combout\);

-- Location: FF_X51_Y51_N29
\led_flash_cnt[3004][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3004][0]~83644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3004][0]~q\);

-- Location: LCCOMB_X51_Y51_N12
\led_flash_cnt[3004][1]~68936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3004][1]~68936_combout\ = (\led_flash_cnt[3004][1]~q\ & (\led_flash_cnt[3004][0]~q\ $ (VCC))) # (!\led_flash_cnt[3004][1]~q\ & (\led_flash_cnt[3004][0]~q\ & VCC))
-- \led_flash_cnt[3004][1]~68937\ = CARRY((\led_flash_cnt[3004][1]~q\ & \led_flash_cnt[3004][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3004][1]~q\,
	datab => \led_flash_cnt[3004][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3004][1]~68936_combout\,
	cout => \led_flash_cnt[3004][1]~68937\);

-- Location: FF_X51_Y51_N13
\led_flash_cnt[3004][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3004][1]~68936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3004][1]~q\);

-- Location: LCCOMB_X51_Y51_N14
\led_flash_cnt[3004][2]~68938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3004][2]~68938_combout\ = (\led_flash_cnt[3004][2]~q\ & (!\led_flash_cnt[3004][1]~68937\)) # (!\led_flash_cnt[3004][2]~q\ & ((\led_flash_cnt[3004][1]~68937\) # (GND)))
-- \led_flash_cnt[3004][2]~68939\ = CARRY((!\led_flash_cnt[3004][1]~68937\) # (!\led_flash_cnt[3004][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3004][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3004][1]~68937\,
	combout => \led_flash_cnt[3004][2]~68938_combout\,
	cout => \led_flash_cnt[3004][2]~68939\);

-- Location: FF_X51_Y51_N15
\led_flash_cnt[3004][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3004][2]~68938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3004][2]~q\);

-- Location: LCCOMB_X51_Y51_N16
\led_flash_cnt[3004][3]~68940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3004][3]~68940_combout\ = (\led_flash_cnt[3004][3]~q\ & (\led_flash_cnt[3004][2]~68939\ $ (GND))) # (!\led_flash_cnt[3004][3]~q\ & (!\led_flash_cnt[3004][2]~68939\ & VCC))
-- \led_flash_cnt[3004][3]~68941\ = CARRY((\led_flash_cnt[3004][3]~q\ & !\led_flash_cnt[3004][2]~68939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3004][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3004][2]~68939\,
	combout => \led_flash_cnt[3004][3]~68940_combout\,
	cout => \led_flash_cnt[3004][3]~68941\);

-- Location: FF_X51_Y51_N17
\led_flash_cnt[3004][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3004][3]~68940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3004][3]~q\);

-- Location: LCCOMB_X51_Y51_N18
\led_flash_cnt[3004][4]~68942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3004][4]~68942_combout\ = (\led_flash_cnt[3004][4]~q\ & (!\led_flash_cnt[3004][3]~68941\)) # (!\led_flash_cnt[3004][4]~q\ & ((\led_flash_cnt[3004][3]~68941\) # (GND)))
-- \led_flash_cnt[3004][4]~68943\ = CARRY((!\led_flash_cnt[3004][3]~68941\) # (!\led_flash_cnt[3004][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3004][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3004][3]~68941\,
	combout => \led_flash_cnt[3004][4]~68942_combout\,
	cout => \led_flash_cnt[3004][4]~68943\);

-- Location: FF_X51_Y51_N19
\led_flash_cnt[3004][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3004][4]~68942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3004][4]~q\);

-- Location: LCCOMB_X51_Y51_N10
\WideAnd3004~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3004~0_combout\ = (\led_flash_cnt[3004][4]~q\ & (\led_flash_cnt[3004][3]~q\ & (\led_flash_cnt[3004][2]~q\ & \led_flash_cnt[3004][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3004][4]~q\,
	datab => \led_flash_cnt[3004][3]~q\,
	datac => \led_flash_cnt[3004][2]~q\,
	datad => \led_flash_cnt[3004][1]~q\,
	combout => \WideAnd3004~0_combout\);

-- Location: LCCOMB_X51_Y51_N20
\led_flash_cnt[3004][5]~68944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3004][5]~68944_combout\ = (\led_flash_cnt[3004][5]~q\ & (\led_flash_cnt[3004][4]~68943\ $ (GND))) # (!\led_flash_cnt[3004][5]~q\ & (!\led_flash_cnt[3004][4]~68943\ & VCC))
-- \led_flash_cnt[3004][5]~68945\ = CARRY((\led_flash_cnt[3004][5]~q\ & !\led_flash_cnt[3004][4]~68943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3004][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3004][4]~68943\,
	combout => \led_flash_cnt[3004][5]~68944_combout\,
	cout => \led_flash_cnt[3004][5]~68945\);

-- Location: FF_X51_Y51_N21
\led_flash_cnt[3004][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3004][5]~68944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3004][5]~q\);

-- Location: LCCOMB_X51_Y51_N22
\led_flash_cnt[3004][6]~68946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3004][6]~68946_combout\ = (\led_flash_cnt[3004][6]~q\ & (!\led_flash_cnt[3004][5]~68945\)) # (!\led_flash_cnt[3004][6]~q\ & ((\led_flash_cnt[3004][5]~68945\) # (GND)))
-- \led_flash_cnt[3004][6]~68947\ = CARRY((!\led_flash_cnt[3004][5]~68945\) # (!\led_flash_cnt[3004][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3004][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3004][5]~68945\,
	combout => \led_flash_cnt[3004][6]~68946_combout\,
	cout => \led_flash_cnt[3004][6]~68947\);

-- Location: FF_X51_Y51_N23
\led_flash_cnt[3004][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3004][6]~68946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3004][6]~q\);

-- Location: LCCOMB_X51_Y51_N24
\led_flash_cnt[3004][7]~68948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3004][7]~68948_combout\ = \led_flash_cnt[3004][6]~68947\ $ (!\led_flash_cnt[3004][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3004][7]~q\,
	cin => \led_flash_cnt[3004][6]~68947\,
	combout => \led_flash_cnt[3004][7]~68948_combout\);

-- Location: FF_X51_Y51_N25
\led_flash_cnt[3004][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3004][7]~68948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3004][7]~q\);

-- Location: LCCOMB_X51_Y51_N4
\WideAnd3004~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3004~1_combout\ = (\led_flash_cnt[3004][6]~q\ & \led_flash_cnt[3004][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3004][6]~q\,
	datad => \led_flash_cnt[3004][5]~q\,
	combout => \WideAnd3004~1_combout\);

-- Location: LCCOMB_X51_Y51_N6
WideAnd3004 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3004~combout\ = (\WideAnd3004~0_combout\ & (\led_flash_cnt[3004][7]~q\ & (\WideAnd3004~1_combout\ & \led_flash_cnt[3004][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3004~0_combout\,
	datab => \led_flash_cnt[3004][7]~q\,
	datac => \WideAnd3004~1_combout\,
	datad => \led_flash_cnt[3004][0]~q\,
	combout => \WideAnd3004~combout\);

-- Location: FF_X51_Y51_N7
\led_flash_cnt_ands[3004]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3004~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3004));

-- Location: LCCOMB_X51_Y51_N8
\WideAnd4215~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4215~1_combout\ = (led_flash_cnt_ands(3005) & led_flash_cnt_ands(3004))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3005),
	datad => led_flash_cnt_ands(3004),
	combout => \WideAnd4215~1_combout\);

-- Location: LCCOMB_X52_Y45_N26
\led_flash_cnt[3007][0]~83647\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3007][0]~83647_combout\ = !\led_flash_cnt[3007][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3007][0]~q\,
	combout => \led_flash_cnt[3007][0]~83647_combout\);

-- Location: FF_X52_Y45_N27
\led_flash_cnt[3007][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3007][0]~83647_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3007][0]~q\);

-- Location: LCCOMB_X52_Y45_N8
\led_flash_cnt[3007][1]~68978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3007][1]~68978_combout\ = (\led_flash_cnt[3007][0]~q\ & (\led_flash_cnt[3007][1]~q\ $ (VCC))) # (!\led_flash_cnt[3007][0]~q\ & (\led_flash_cnt[3007][1]~q\ & VCC))
-- \led_flash_cnt[3007][1]~68979\ = CARRY((\led_flash_cnt[3007][0]~q\ & \led_flash_cnt[3007][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3007][0]~q\,
	datab => \led_flash_cnt[3007][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3007][1]~68978_combout\,
	cout => \led_flash_cnt[3007][1]~68979\);

-- Location: FF_X52_Y45_N9
\led_flash_cnt[3007][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3007][1]~68978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3007][1]~q\);

-- Location: LCCOMB_X52_Y45_N10
\led_flash_cnt[3007][2]~68980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3007][2]~68980_combout\ = (\led_flash_cnt[3007][2]~q\ & (!\led_flash_cnt[3007][1]~68979\)) # (!\led_flash_cnt[3007][2]~q\ & ((\led_flash_cnt[3007][1]~68979\) # (GND)))
-- \led_flash_cnt[3007][2]~68981\ = CARRY((!\led_flash_cnt[3007][1]~68979\) # (!\led_flash_cnt[3007][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3007][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3007][1]~68979\,
	combout => \led_flash_cnt[3007][2]~68980_combout\,
	cout => \led_flash_cnt[3007][2]~68981\);

-- Location: FF_X52_Y45_N11
\led_flash_cnt[3007][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3007][2]~68980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3007][2]~q\);

-- Location: LCCOMB_X52_Y45_N12
\led_flash_cnt[3007][3]~68982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3007][3]~68982_combout\ = (\led_flash_cnt[3007][3]~q\ & (\led_flash_cnt[3007][2]~68981\ $ (GND))) # (!\led_flash_cnt[3007][3]~q\ & (!\led_flash_cnt[3007][2]~68981\ & VCC))
-- \led_flash_cnt[3007][3]~68983\ = CARRY((\led_flash_cnt[3007][3]~q\ & !\led_flash_cnt[3007][2]~68981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3007][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3007][2]~68981\,
	combout => \led_flash_cnt[3007][3]~68982_combout\,
	cout => \led_flash_cnt[3007][3]~68983\);

-- Location: FF_X52_Y45_N13
\led_flash_cnt[3007][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3007][3]~68982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3007][3]~q\);

-- Location: LCCOMB_X52_Y45_N14
\led_flash_cnt[3007][4]~68984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3007][4]~68984_combout\ = (\led_flash_cnt[3007][4]~q\ & (!\led_flash_cnt[3007][3]~68983\)) # (!\led_flash_cnt[3007][4]~q\ & ((\led_flash_cnt[3007][3]~68983\) # (GND)))
-- \led_flash_cnt[3007][4]~68985\ = CARRY((!\led_flash_cnt[3007][3]~68983\) # (!\led_flash_cnt[3007][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3007][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3007][3]~68983\,
	combout => \led_flash_cnt[3007][4]~68984_combout\,
	cout => \led_flash_cnt[3007][4]~68985\);

-- Location: FF_X52_Y45_N15
\led_flash_cnt[3007][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3007][4]~68984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3007][4]~q\);

-- Location: LCCOMB_X52_Y45_N16
\led_flash_cnt[3007][5]~68986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3007][5]~68986_combout\ = (\led_flash_cnt[3007][5]~q\ & (\led_flash_cnt[3007][4]~68985\ $ (GND))) # (!\led_flash_cnt[3007][5]~q\ & (!\led_flash_cnt[3007][4]~68985\ & VCC))
-- \led_flash_cnt[3007][5]~68987\ = CARRY((\led_flash_cnt[3007][5]~q\ & !\led_flash_cnt[3007][4]~68985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3007][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3007][4]~68985\,
	combout => \led_flash_cnt[3007][5]~68986_combout\,
	cout => \led_flash_cnt[3007][5]~68987\);

-- Location: FF_X52_Y45_N17
\led_flash_cnt[3007][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3007][5]~68986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3007][5]~q\);

-- Location: LCCOMB_X52_Y45_N18
\led_flash_cnt[3007][6]~68988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3007][6]~68988_combout\ = (\led_flash_cnt[3007][6]~q\ & (!\led_flash_cnt[3007][5]~68987\)) # (!\led_flash_cnt[3007][6]~q\ & ((\led_flash_cnt[3007][5]~68987\) # (GND)))
-- \led_flash_cnt[3007][6]~68989\ = CARRY((!\led_flash_cnt[3007][5]~68987\) # (!\led_flash_cnt[3007][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3007][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3007][5]~68987\,
	combout => \led_flash_cnt[3007][6]~68988_combout\,
	cout => \led_flash_cnt[3007][6]~68989\);

-- Location: FF_X52_Y45_N19
\led_flash_cnt[3007][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3007][6]~68988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3007][6]~q\);

-- Location: LCCOMB_X52_Y45_N20
\led_flash_cnt[3007][7]~68990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3007][7]~68990_combout\ = \led_flash_cnt[3007][6]~68989\ $ (!\led_flash_cnt[3007][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3007][7]~q\,
	cin => \led_flash_cnt[3007][6]~68989\,
	combout => \led_flash_cnt[3007][7]~68990_combout\);

-- Location: FF_X52_Y45_N21
\led_flash_cnt[3007][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3007][7]~68990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3007][7]~q\);

-- Location: LCCOMB_X52_Y45_N22
\WideAnd3007~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3007~1_combout\ = (\led_flash_cnt[3007][6]~q\ & \led_flash_cnt[3007][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3007][6]~q\,
	datad => \led_flash_cnt[3007][5]~q\,
	combout => \WideAnd3007~1_combout\);

-- Location: LCCOMB_X52_Y45_N24
\WideAnd3007~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3007~0_combout\ = (\led_flash_cnt[3007][3]~q\ & (\led_flash_cnt[3007][4]~q\ & (\led_flash_cnt[3007][1]~q\ & \led_flash_cnt[3007][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3007][3]~q\,
	datab => \led_flash_cnt[3007][4]~q\,
	datac => \led_flash_cnt[3007][1]~q\,
	datad => \led_flash_cnt[3007][2]~q\,
	combout => \WideAnd3007~0_combout\);

-- Location: LCCOMB_X52_Y45_N4
WideAnd3007 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3007~combout\ = (\led_flash_cnt[3007][0]~q\ & (\led_flash_cnt[3007][7]~q\ & (\WideAnd3007~1_combout\ & \WideAnd3007~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3007][0]~q\,
	datab => \led_flash_cnt[3007][7]~q\,
	datac => \WideAnd3007~1_combout\,
	datad => \WideAnd3007~0_combout\,
	combout => \WideAnd3007~combout\);

-- Location: FF_X52_Y45_N5
\led_flash_cnt_ands[3007]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3007~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3007));

-- Location: LCCOMB_X49_Y45_N24
\led_flash_cnt[3003][0]~83643\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3003][0]~83643_combout\ = !\led_flash_cnt[3003][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3003][0]~q\,
	combout => \led_flash_cnt[3003][0]~83643_combout\);

-- Location: FF_X49_Y45_N25
\led_flash_cnt[3003][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3003][0]~83643_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3003][0]~q\);

-- Location: LCCOMB_X50_Y45_N2
\led_flash_cnt[3003][1]~68922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3003][1]~68922_combout\ = (\led_flash_cnt[3003][0]~q\ & (\led_flash_cnt[3003][1]~q\ $ (VCC))) # (!\led_flash_cnt[3003][0]~q\ & (\led_flash_cnt[3003][1]~q\ & VCC))
-- \led_flash_cnt[3003][1]~68923\ = CARRY((\led_flash_cnt[3003][0]~q\ & \led_flash_cnt[3003][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3003][0]~q\,
	datab => \led_flash_cnt[3003][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3003][1]~68922_combout\,
	cout => \led_flash_cnt[3003][1]~68923\);

-- Location: FF_X50_Y45_N3
\led_flash_cnt[3003][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3003][1]~68922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3003][1]~q\);

-- Location: LCCOMB_X50_Y45_N4
\led_flash_cnt[3003][2]~68924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3003][2]~68924_combout\ = (\led_flash_cnt[3003][2]~q\ & (!\led_flash_cnt[3003][1]~68923\)) # (!\led_flash_cnt[3003][2]~q\ & ((\led_flash_cnt[3003][1]~68923\) # (GND)))
-- \led_flash_cnt[3003][2]~68925\ = CARRY((!\led_flash_cnt[3003][1]~68923\) # (!\led_flash_cnt[3003][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3003][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3003][1]~68923\,
	combout => \led_flash_cnt[3003][2]~68924_combout\,
	cout => \led_flash_cnt[3003][2]~68925\);

-- Location: FF_X50_Y45_N5
\led_flash_cnt[3003][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3003][2]~68924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3003][2]~q\);

-- Location: LCCOMB_X50_Y45_N6
\led_flash_cnt[3003][3]~68926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3003][3]~68926_combout\ = (\led_flash_cnt[3003][3]~q\ & (\led_flash_cnt[3003][2]~68925\ $ (GND))) # (!\led_flash_cnt[3003][3]~q\ & (!\led_flash_cnt[3003][2]~68925\ & VCC))
-- \led_flash_cnt[3003][3]~68927\ = CARRY((\led_flash_cnt[3003][3]~q\ & !\led_flash_cnt[3003][2]~68925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3003][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3003][2]~68925\,
	combout => \led_flash_cnt[3003][3]~68926_combout\,
	cout => \led_flash_cnt[3003][3]~68927\);

-- Location: FF_X50_Y45_N7
\led_flash_cnt[3003][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3003][3]~68926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3003][3]~q\);

-- Location: LCCOMB_X50_Y45_N8
\led_flash_cnt[3003][4]~68928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3003][4]~68928_combout\ = (\led_flash_cnt[3003][4]~q\ & (!\led_flash_cnt[3003][3]~68927\)) # (!\led_flash_cnt[3003][4]~q\ & ((\led_flash_cnt[3003][3]~68927\) # (GND)))
-- \led_flash_cnt[3003][4]~68929\ = CARRY((!\led_flash_cnt[3003][3]~68927\) # (!\led_flash_cnt[3003][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3003][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3003][3]~68927\,
	combout => \led_flash_cnt[3003][4]~68928_combout\,
	cout => \led_flash_cnt[3003][4]~68929\);

-- Location: FF_X50_Y45_N9
\led_flash_cnt[3003][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3003][4]~68928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3003][4]~q\);

-- Location: LCCOMB_X50_Y45_N30
\WideAnd3003~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3003~0_combout\ = (\led_flash_cnt[3003][3]~q\ & (\led_flash_cnt[3003][4]~q\ & (\led_flash_cnt[3003][2]~q\ & \led_flash_cnt[3003][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3003][3]~q\,
	datab => \led_flash_cnt[3003][4]~q\,
	datac => \led_flash_cnt[3003][2]~q\,
	datad => \led_flash_cnt[3003][1]~q\,
	combout => \WideAnd3003~0_combout\);

-- Location: LCCOMB_X50_Y45_N10
\led_flash_cnt[3003][5]~68930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3003][5]~68930_combout\ = (\led_flash_cnt[3003][5]~q\ & (\led_flash_cnt[3003][4]~68929\ $ (GND))) # (!\led_flash_cnt[3003][5]~q\ & (!\led_flash_cnt[3003][4]~68929\ & VCC))
-- \led_flash_cnt[3003][5]~68931\ = CARRY((\led_flash_cnt[3003][5]~q\ & !\led_flash_cnt[3003][4]~68929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3003][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3003][4]~68929\,
	combout => \led_flash_cnt[3003][5]~68930_combout\,
	cout => \led_flash_cnt[3003][5]~68931\);

-- Location: FF_X50_Y45_N11
\led_flash_cnt[3003][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3003][5]~68930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3003][5]~q\);

-- Location: LCCOMB_X50_Y45_N12
\led_flash_cnt[3003][6]~68932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3003][6]~68932_combout\ = (\led_flash_cnt[3003][6]~q\ & (!\led_flash_cnt[3003][5]~68931\)) # (!\led_flash_cnt[3003][6]~q\ & ((\led_flash_cnt[3003][5]~68931\) # (GND)))
-- \led_flash_cnt[3003][6]~68933\ = CARRY((!\led_flash_cnt[3003][5]~68931\) # (!\led_flash_cnt[3003][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3003][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3003][5]~68931\,
	combout => \led_flash_cnt[3003][6]~68932_combout\,
	cout => \led_flash_cnt[3003][6]~68933\);

-- Location: FF_X50_Y45_N13
\led_flash_cnt[3003][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3003][6]~68932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3003][6]~q\);

-- Location: LCCOMB_X50_Y45_N14
\led_flash_cnt[3003][7]~68934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3003][7]~68934_combout\ = \led_flash_cnt[3003][7]~q\ $ (!\led_flash_cnt[3003][6]~68933\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3003][7]~q\,
	cin => \led_flash_cnt[3003][6]~68933\,
	combout => \led_flash_cnt[3003][7]~68934_combout\);

-- Location: FF_X50_Y45_N15
\led_flash_cnt[3003][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3003][7]~68934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3003][7]~q\);

-- Location: LCCOMB_X49_Y45_N20
\WideAnd3003~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3003~1_combout\ = (\led_flash_cnt[3003][6]~q\ & \led_flash_cnt[3003][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3003][6]~q\,
	datac => \led_flash_cnt[3003][5]~q\,
	combout => \WideAnd3003~1_combout\);

-- Location: LCCOMB_X49_Y45_N30
WideAnd3003 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3003~combout\ = (\WideAnd3003~0_combout\ & (\led_flash_cnt[3003][0]~q\ & (\led_flash_cnt[3003][7]~q\ & \WideAnd3003~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3003~0_combout\,
	datab => \led_flash_cnt[3003][0]~q\,
	datac => \led_flash_cnt[3003][7]~q\,
	datad => \WideAnd3003~1_combout\,
	combout => \WideAnd3003~combout\);

-- Location: FF_X49_Y45_N31
\led_flash_cnt_ands[3003]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3003~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3003));

-- Location: LCCOMB_X49_Y45_N18
\led_flash_cnt[3000][0]~83640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3000][0]~83640_combout\ = !\led_flash_cnt[3000][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3000][0]~q\,
	combout => \led_flash_cnt[3000][0]~83640_combout\);

-- Location: FF_X49_Y45_N19
\led_flash_cnt[3000][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3000][0]~83640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3000][0]~q\);

-- Location: LCCOMB_X49_Y45_N2
\led_flash_cnt[3000][1]~68880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3000][1]~68880_combout\ = (\led_flash_cnt[3000][1]~q\ & (\led_flash_cnt[3000][0]~q\ $ (VCC))) # (!\led_flash_cnt[3000][1]~q\ & (\led_flash_cnt[3000][0]~q\ & VCC))
-- \led_flash_cnt[3000][1]~68881\ = CARRY((\led_flash_cnt[3000][1]~q\ & \led_flash_cnt[3000][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3000][1]~q\,
	datab => \led_flash_cnt[3000][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3000][1]~68880_combout\,
	cout => \led_flash_cnt[3000][1]~68881\);

-- Location: FF_X49_Y45_N3
\led_flash_cnt[3000][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3000][1]~68880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3000][1]~q\);

-- Location: LCCOMB_X49_Y45_N4
\led_flash_cnt[3000][2]~68882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3000][2]~68882_combout\ = (\led_flash_cnt[3000][2]~q\ & (!\led_flash_cnt[3000][1]~68881\)) # (!\led_flash_cnt[3000][2]~q\ & ((\led_flash_cnt[3000][1]~68881\) # (GND)))
-- \led_flash_cnt[3000][2]~68883\ = CARRY((!\led_flash_cnt[3000][1]~68881\) # (!\led_flash_cnt[3000][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3000][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3000][1]~68881\,
	combout => \led_flash_cnt[3000][2]~68882_combout\,
	cout => \led_flash_cnt[3000][2]~68883\);

-- Location: FF_X49_Y45_N5
\led_flash_cnt[3000][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3000][2]~68882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3000][2]~q\);

-- Location: LCCOMB_X49_Y45_N6
\led_flash_cnt[3000][3]~68884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3000][3]~68884_combout\ = (\led_flash_cnt[3000][3]~q\ & (\led_flash_cnt[3000][2]~68883\ $ (GND))) # (!\led_flash_cnt[3000][3]~q\ & (!\led_flash_cnt[3000][2]~68883\ & VCC))
-- \led_flash_cnt[3000][3]~68885\ = CARRY((\led_flash_cnt[3000][3]~q\ & !\led_flash_cnt[3000][2]~68883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3000][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3000][2]~68883\,
	combout => \led_flash_cnt[3000][3]~68884_combout\,
	cout => \led_flash_cnt[3000][3]~68885\);

-- Location: FF_X49_Y45_N7
\led_flash_cnt[3000][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3000][3]~68884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3000][3]~q\);

-- Location: LCCOMB_X49_Y45_N8
\led_flash_cnt[3000][4]~68886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3000][4]~68886_combout\ = (\led_flash_cnt[3000][4]~q\ & (!\led_flash_cnt[3000][3]~68885\)) # (!\led_flash_cnt[3000][4]~q\ & ((\led_flash_cnt[3000][3]~68885\) # (GND)))
-- \led_flash_cnt[3000][4]~68887\ = CARRY((!\led_flash_cnt[3000][3]~68885\) # (!\led_flash_cnt[3000][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3000][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3000][3]~68885\,
	combout => \led_flash_cnt[3000][4]~68886_combout\,
	cout => \led_flash_cnt[3000][4]~68887\);

-- Location: FF_X49_Y45_N9
\led_flash_cnt[3000][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3000][4]~68886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3000][4]~q\);

-- Location: LCCOMB_X49_Y45_N10
\led_flash_cnt[3000][5]~68888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3000][5]~68888_combout\ = (\led_flash_cnt[3000][5]~q\ & (\led_flash_cnt[3000][4]~68887\ $ (GND))) # (!\led_flash_cnt[3000][5]~q\ & (!\led_flash_cnt[3000][4]~68887\ & VCC))
-- \led_flash_cnt[3000][5]~68889\ = CARRY((\led_flash_cnt[3000][5]~q\ & !\led_flash_cnt[3000][4]~68887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3000][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3000][4]~68887\,
	combout => \led_flash_cnt[3000][5]~68888_combout\,
	cout => \led_flash_cnt[3000][5]~68889\);

-- Location: FF_X49_Y45_N11
\led_flash_cnt[3000][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3000][5]~68888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3000][5]~q\);

-- Location: LCCOMB_X49_Y45_N12
\led_flash_cnt[3000][6]~68890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3000][6]~68890_combout\ = (\led_flash_cnt[3000][6]~q\ & (!\led_flash_cnt[3000][5]~68889\)) # (!\led_flash_cnt[3000][6]~q\ & ((\led_flash_cnt[3000][5]~68889\) # (GND)))
-- \led_flash_cnt[3000][6]~68891\ = CARRY((!\led_flash_cnt[3000][5]~68889\) # (!\led_flash_cnt[3000][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3000][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3000][5]~68889\,
	combout => \led_flash_cnt[3000][6]~68890_combout\,
	cout => \led_flash_cnt[3000][6]~68891\);

-- Location: FF_X49_Y45_N13
\led_flash_cnt[3000][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3000][6]~68890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3000][6]~q\);

-- Location: LCCOMB_X49_Y45_N22
\WideAnd3000~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3000~1_combout\ = (\led_flash_cnt[3000][6]~q\ & \led_flash_cnt[3000][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3000][6]~q\,
	datad => \led_flash_cnt[3000][5]~q\,
	combout => \WideAnd3000~1_combout\);

-- Location: LCCOMB_X49_Y45_N0
\WideAnd3000~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3000~0_combout\ = (\led_flash_cnt[3000][1]~q\ & (\led_flash_cnt[3000][4]~q\ & (\led_flash_cnt[3000][2]~q\ & \led_flash_cnt[3000][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3000][1]~q\,
	datab => \led_flash_cnt[3000][4]~q\,
	datac => \led_flash_cnt[3000][2]~q\,
	datad => \led_flash_cnt[3000][3]~q\,
	combout => \WideAnd3000~0_combout\);

-- Location: LCCOMB_X49_Y45_N14
\led_flash_cnt[3000][7]~68892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3000][7]~68892_combout\ = \led_flash_cnt[3000][7]~q\ $ (!\led_flash_cnt[3000][6]~68891\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3000][7]~q\,
	cin => \led_flash_cnt[3000][6]~68891\,
	combout => \led_flash_cnt[3000][7]~68892_combout\);

-- Location: FF_X49_Y45_N15
\led_flash_cnt[3000][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3000][7]~68892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3000][7]~q\);

-- Location: LCCOMB_X49_Y45_N16
WideAnd3000 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3000~combout\ = (\WideAnd3000~1_combout\ & (\WideAnd3000~0_combout\ & (\led_flash_cnt[3000][7]~q\ & \led_flash_cnt[3000][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3000~1_combout\,
	datab => \WideAnd3000~0_combout\,
	datac => \led_flash_cnt[3000][7]~q\,
	datad => \led_flash_cnt[3000][0]~q\,
	combout => \WideAnd3000~combout\);

-- Location: FF_X49_Y45_N17
\led_flash_cnt_ands[3000]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3000~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3000));

-- Location: LCCOMB_X38_Y38_N2
\led_flash_cnt[3001][0]~83641\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3001][0]~83641_combout\ = !\led_flash_cnt[3001][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3001][0]~q\,
	combout => \led_flash_cnt[3001][0]~83641_combout\);

-- Location: FF_X38_Y38_N3
\led_flash_cnt[3001][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3001][0]~83641_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3001][0]~q\);

-- Location: LCCOMB_X37_Y38_N18
\led_flash_cnt[3001][1]~68894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3001][1]~68894_combout\ = (\led_flash_cnt[3001][0]~q\ & (\led_flash_cnt[3001][1]~q\ $ (VCC))) # (!\led_flash_cnt[3001][0]~q\ & (\led_flash_cnt[3001][1]~q\ & VCC))
-- \led_flash_cnt[3001][1]~68895\ = CARRY((\led_flash_cnt[3001][0]~q\ & \led_flash_cnt[3001][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3001][0]~q\,
	datab => \led_flash_cnt[3001][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3001][1]~68894_combout\,
	cout => \led_flash_cnt[3001][1]~68895\);

-- Location: FF_X37_Y38_N19
\led_flash_cnt[3001][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3001][1]~68894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3001][1]~q\);

-- Location: LCCOMB_X37_Y38_N20
\led_flash_cnt[3001][2]~68896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3001][2]~68896_combout\ = (\led_flash_cnt[3001][2]~q\ & (!\led_flash_cnt[3001][1]~68895\)) # (!\led_flash_cnt[3001][2]~q\ & ((\led_flash_cnt[3001][1]~68895\) # (GND)))
-- \led_flash_cnt[3001][2]~68897\ = CARRY((!\led_flash_cnt[3001][1]~68895\) # (!\led_flash_cnt[3001][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3001][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3001][1]~68895\,
	combout => \led_flash_cnt[3001][2]~68896_combout\,
	cout => \led_flash_cnt[3001][2]~68897\);

-- Location: FF_X37_Y38_N21
\led_flash_cnt[3001][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3001][2]~68896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3001][2]~q\);

-- Location: LCCOMB_X37_Y38_N22
\led_flash_cnt[3001][3]~68898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3001][3]~68898_combout\ = (\led_flash_cnt[3001][3]~q\ & (\led_flash_cnt[3001][2]~68897\ $ (GND))) # (!\led_flash_cnt[3001][3]~q\ & (!\led_flash_cnt[3001][2]~68897\ & VCC))
-- \led_flash_cnt[3001][3]~68899\ = CARRY((\led_flash_cnt[3001][3]~q\ & !\led_flash_cnt[3001][2]~68897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3001][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3001][2]~68897\,
	combout => \led_flash_cnt[3001][3]~68898_combout\,
	cout => \led_flash_cnt[3001][3]~68899\);

-- Location: FF_X37_Y38_N23
\led_flash_cnt[3001][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3001][3]~68898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3001][3]~q\);

-- Location: LCCOMB_X37_Y38_N24
\led_flash_cnt[3001][4]~68900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3001][4]~68900_combout\ = (\led_flash_cnt[3001][4]~q\ & (!\led_flash_cnt[3001][3]~68899\)) # (!\led_flash_cnt[3001][4]~q\ & ((\led_flash_cnt[3001][3]~68899\) # (GND)))
-- \led_flash_cnt[3001][4]~68901\ = CARRY((!\led_flash_cnt[3001][3]~68899\) # (!\led_flash_cnt[3001][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3001][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3001][3]~68899\,
	combout => \led_flash_cnt[3001][4]~68900_combout\,
	cout => \led_flash_cnt[3001][4]~68901\);

-- Location: FF_X37_Y38_N25
\led_flash_cnt[3001][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3001][4]~68900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3001][4]~q\);

-- Location: LCCOMB_X37_Y38_N26
\led_flash_cnt[3001][5]~68902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3001][5]~68902_combout\ = (\led_flash_cnt[3001][5]~q\ & (\led_flash_cnt[3001][4]~68901\ $ (GND))) # (!\led_flash_cnt[3001][5]~q\ & (!\led_flash_cnt[3001][4]~68901\ & VCC))
-- \led_flash_cnt[3001][5]~68903\ = CARRY((\led_flash_cnt[3001][5]~q\ & !\led_flash_cnt[3001][4]~68901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3001][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3001][4]~68901\,
	combout => \led_flash_cnt[3001][5]~68902_combout\,
	cout => \led_flash_cnt[3001][5]~68903\);

-- Location: FF_X37_Y38_N27
\led_flash_cnt[3001][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3001][5]~68902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3001][5]~q\);

-- Location: LCCOMB_X37_Y38_N28
\led_flash_cnt[3001][6]~68904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3001][6]~68904_combout\ = (\led_flash_cnt[3001][6]~q\ & (!\led_flash_cnt[3001][5]~68903\)) # (!\led_flash_cnt[3001][6]~q\ & ((\led_flash_cnt[3001][5]~68903\) # (GND)))
-- \led_flash_cnt[3001][6]~68905\ = CARRY((!\led_flash_cnt[3001][5]~68903\) # (!\led_flash_cnt[3001][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3001][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3001][5]~68903\,
	combout => \led_flash_cnt[3001][6]~68904_combout\,
	cout => \led_flash_cnt[3001][6]~68905\);

-- Location: FF_X37_Y38_N29
\led_flash_cnt[3001][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3001][6]~68904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3001][6]~q\);

-- Location: LCCOMB_X38_Y38_N26
\WideAnd3001~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3001~1_combout\ = (\led_flash_cnt[3001][5]~q\ & \led_flash_cnt[3001][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3001][5]~q\,
	datad => \led_flash_cnt[3001][6]~q\,
	combout => \WideAnd3001~1_combout\);

-- Location: LCCOMB_X37_Y38_N30
\led_flash_cnt[3001][7]~68906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3001][7]~68906_combout\ = \led_flash_cnt[3001][7]~q\ $ (!\led_flash_cnt[3001][6]~68905\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3001][7]~q\,
	cin => \led_flash_cnt[3001][6]~68905\,
	combout => \led_flash_cnt[3001][7]~68906_combout\);

-- Location: FF_X37_Y38_N31
\led_flash_cnt[3001][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3001][7]~68906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3001][7]~q\);

-- Location: LCCOMB_X37_Y38_N16
\WideAnd3001~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3001~0_combout\ = (\led_flash_cnt[3001][4]~q\ & (\led_flash_cnt[3001][2]~q\ & (\led_flash_cnt[3001][3]~q\ & \led_flash_cnt[3001][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3001][4]~q\,
	datab => \led_flash_cnt[3001][2]~q\,
	datac => \led_flash_cnt[3001][3]~q\,
	datad => \led_flash_cnt[3001][1]~q\,
	combout => \WideAnd3001~0_combout\);

-- Location: LCCOMB_X38_Y38_N24
WideAnd3001 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3001~combout\ = (\WideAnd3001~1_combout\ & (\led_flash_cnt[3001][7]~q\ & (\WideAnd3001~0_combout\ & \led_flash_cnt[3001][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3001~1_combout\,
	datab => \led_flash_cnt[3001][7]~q\,
	datac => \WideAnd3001~0_combout\,
	datad => \led_flash_cnt[3001][0]~q\,
	combout => \WideAnd3001~combout\);

-- Location: FF_X38_Y38_N25
\led_flash_cnt_ands[3001]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3001~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3001));

-- Location: LCCOMB_X50_Y41_N6
\led_flash_cnt[3002][0]~83642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3002][0]~83642_combout\ = !\led_flash_cnt[3002][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3002][0]~q\,
	combout => \led_flash_cnt[3002][0]~83642_combout\);

-- Location: FF_X50_Y41_N7
\led_flash_cnt[3002][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3002][0]~83642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3002][0]~q\);

-- Location: LCCOMB_X50_Y43_N0
\led_flash_cnt[3002][1]~68908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3002][1]~68908_combout\ = (\led_flash_cnt[3002][0]~q\ & (\led_flash_cnt[3002][1]~q\ $ (VCC))) # (!\led_flash_cnt[3002][0]~q\ & (\led_flash_cnt[3002][1]~q\ & VCC))
-- \led_flash_cnt[3002][1]~68909\ = CARRY((\led_flash_cnt[3002][0]~q\ & \led_flash_cnt[3002][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3002][0]~q\,
	datab => \led_flash_cnt[3002][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3002][1]~68908_combout\,
	cout => \led_flash_cnt[3002][1]~68909\);

-- Location: FF_X50_Y43_N1
\led_flash_cnt[3002][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3002][1]~68908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3002][1]~q\);

-- Location: LCCOMB_X50_Y43_N2
\led_flash_cnt[3002][2]~68910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3002][2]~68910_combout\ = (\led_flash_cnt[3002][2]~q\ & (!\led_flash_cnt[3002][1]~68909\)) # (!\led_flash_cnt[3002][2]~q\ & ((\led_flash_cnt[3002][1]~68909\) # (GND)))
-- \led_flash_cnt[3002][2]~68911\ = CARRY((!\led_flash_cnt[3002][1]~68909\) # (!\led_flash_cnt[3002][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3002][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3002][1]~68909\,
	combout => \led_flash_cnt[3002][2]~68910_combout\,
	cout => \led_flash_cnt[3002][2]~68911\);

-- Location: FF_X50_Y43_N3
\led_flash_cnt[3002][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3002][2]~68910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3002][2]~q\);

-- Location: LCCOMB_X50_Y43_N4
\led_flash_cnt[3002][3]~68912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3002][3]~68912_combout\ = (\led_flash_cnt[3002][3]~q\ & (\led_flash_cnt[3002][2]~68911\ $ (GND))) # (!\led_flash_cnt[3002][3]~q\ & (!\led_flash_cnt[3002][2]~68911\ & VCC))
-- \led_flash_cnt[3002][3]~68913\ = CARRY((\led_flash_cnt[3002][3]~q\ & !\led_flash_cnt[3002][2]~68911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3002][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3002][2]~68911\,
	combout => \led_flash_cnt[3002][3]~68912_combout\,
	cout => \led_flash_cnt[3002][3]~68913\);

-- Location: FF_X50_Y43_N5
\led_flash_cnt[3002][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3002][3]~68912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3002][3]~q\);

-- Location: LCCOMB_X50_Y43_N6
\led_flash_cnt[3002][4]~68914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3002][4]~68914_combout\ = (\led_flash_cnt[3002][4]~q\ & (!\led_flash_cnt[3002][3]~68913\)) # (!\led_flash_cnt[3002][4]~q\ & ((\led_flash_cnt[3002][3]~68913\) # (GND)))
-- \led_flash_cnt[3002][4]~68915\ = CARRY((!\led_flash_cnt[3002][3]~68913\) # (!\led_flash_cnt[3002][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3002][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3002][3]~68913\,
	combout => \led_flash_cnt[3002][4]~68914_combout\,
	cout => \led_flash_cnt[3002][4]~68915\);

-- Location: FF_X50_Y43_N7
\led_flash_cnt[3002][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3002][4]~68914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3002][4]~q\);

-- Location: LCCOMB_X50_Y43_N28
\WideAnd3002~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3002~0_combout\ = (\led_flash_cnt[3002][4]~q\ & (\led_flash_cnt[3002][1]~q\ & (\led_flash_cnt[3002][3]~q\ & \led_flash_cnt[3002][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3002][4]~q\,
	datab => \led_flash_cnt[3002][1]~q\,
	datac => \led_flash_cnt[3002][3]~q\,
	datad => \led_flash_cnt[3002][2]~q\,
	combout => \WideAnd3002~0_combout\);

-- Location: LCCOMB_X50_Y43_N8
\led_flash_cnt[3002][5]~68916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3002][5]~68916_combout\ = (\led_flash_cnt[3002][5]~q\ & (\led_flash_cnt[3002][4]~68915\ $ (GND))) # (!\led_flash_cnt[3002][5]~q\ & (!\led_flash_cnt[3002][4]~68915\ & VCC))
-- \led_flash_cnt[3002][5]~68917\ = CARRY((\led_flash_cnt[3002][5]~q\ & !\led_flash_cnt[3002][4]~68915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3002][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3002][4]~68915\,
	combout => \led_flash_cnt[3002][5]~68916_combout\,
	cout => \led_flash_cnt[3002][5]~68917\);

-- Location: FF_X50_Y43_N9
\led_flash_cnt[3002][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3002][5]~68916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3002][5]~q\);

-- Location: LCCOMB_X50_Y43_N10
\led_flash_cnt[3002][6]~68918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3002][6]~68918_combout\ = (\led_flash_cnt[3002][6]~q\ & (!\led_flash_cnt[3002][5]~68917\)) # (!\led_flash_cnt[3002][6]~q\ & ((\led_flash_cnt[3002][5]~68917\) # (GND)))
-- \led_flash_cnt[3002][6]~68919\ = CARRY((!\led_flash_cnt[3002][5]~68917\) # (!\led_flash_cnt[3002][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3002][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3002][5]~68917\,
	combout => \led_flash_cnt[3002][6]~68918_combout\,
	cout => \led_flash_cnt[3002][6]~68919\);

-- Location: FF_X50_Y43_N11
\led_flash_cnt[3002][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3002][6]~68918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3002][6]~q\);

-- Location: LCCOMB_X49_Y43_N26
\WideAnd3002~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3002~1_combout\ = (\led_flash_cnt[3002][6]~q\ & \led_flash_cnt[3002][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3002][6]~q\,
	datac => \led_flash_cnt[3002][5]~q\,
	combout => \WideAnd3002~1_combout\);

-- Location: LCCOMB_X50_Y43_N12
\led_flash_cnt[3002][7]~68920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3002][7]~68920_combout\ = \led_flash_cnt[3002][6]~68919\ $ (!\led_flash_cnt[3002][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3002][7]~q\,
	cin => \led_flash_cnt[3002][6]~68919\,
	combout => \led_flash_cnt[3002][7]~68920_combout\);

-- Location: FF_X50_Y43_N13
\led_flash_cnt[3002][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3002][7]~68920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3002][7]~q\);

-- Location: LCCOMB_X50_Y43_N30
WideAnd3002 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3002~combout\ = (\led_flash_cnt[3002][0]~q\ & (\WideAnd3002~0_combout\ & (\WideAnd3002~1_combout\ & \led_flash_cnt[3002][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3002][0]~q\,
	datab => \WideAnd3002~0_combout\,
	datac => \WideAnd3002~1_combout\,
	datad => \led_flash_cnt[3002][7]~q\,
	combout => \WideAnd3002~combout\);

-- Location: FF_X50_Y43_N31
\led_flash_cnt_ands[3002]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3002~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3002));

-- Location: LCCOMB_X49_Y45_N28
\WideAnd4215~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4215~0_combout\ = (led_flash_cnt_ands(3003) & (led_flash_cnt_ands(3000) & (led_flash_cnt_ands(3001) & led_flash_cnt_ands(3002))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3003),
	datab => led_flash_cnt_ands(3000),
	datac => led_flash_cnt_ands(3001),
	datad => led_flash_cnt_ands(3002),
	combout => \WideAnd4215~0_combout\);

-- Location: LCCOMB_X52_Y45_N28
\led_flash_cnt[3006][0]~83646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3006][0]~83646_combout\ = !\led_flash_cnt[3006][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3006][0]~q\,
	combout => \led_flash_cnt[3006][0]~83646_combout\);

-- Location: FF_X52_Y45_N29
\led_flash_cnt[3006][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3006][0]~83646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3006][0]~q\);

-- Location: LCCOMB_X54_Y45_N0
\led_flash_cnt[3006][1]~68964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3006][1]~68964_combout\ = (\led_flash_cnt[3006][0]~q\ & (\led_flash_cnt[3006][1]~q\ $ (VCC))) # (!\led_flash_cnt[3006][0]~q\ & (\led_flash_cnt[3006][1]~q\ & VCC))
-- \led_flash_cnt[3006][1]~68965\ = CARRY((\led_flash_cnt[3006][0]~q\ & \led_flash_cnt[3006][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3006][0]~q\,
	datab => \led_flash_cnt[3006][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3006][1]~68964_combout\,
	cout => \led_flash_cnt[3006][1]~68965\);

-- Location: FF_X54_Y45_N1
\led_flash_cnt[3006][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3006][1]~68964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3006][1]~q\);

-- Location: LCCOMB_X54_Y45_N2
\led_flash_cnt[3006][2]~68966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3006][2]~68966_combout\ = (\led_flash_cnt[3006][2]~q\ & (!\led_flash_cnt[3006][1]~68965\)) # (!\led_flash_cnt[3006][2]~q\ & ((\led_flash_cnt[3006][1]~68965\) # (GND)))
-- \led_flash_cnt[3006][2]~68967\ = CARRY((!\led_flash_cnt[3006][1]~68965\) # (!\led_flash_cnt[3006][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3006][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3006][1]~68965\,
	combout => \led_flash_cnt[3006][2]~68966_combout\,
	cout => \led_flash_cnt[3006][2]~68967\);

-- Location: FF_X54_Y45_N3
\led_flash_cnt[3006][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3006][2]~68966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3006][2]~q\);

-- Location: LCCOMB_X54_Y45_N4
\led_flash_cnt[3006][3]~68968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3006][3]~68968_combout\ = (\led_flash_cnt[3006][3]~q\ & (\led_flash_cnt[3006][2]~68967\ $ (GND))) # (!\led_flash_cnt[3006][3]~q\ & (!\led_flash_cnt[3006][2]~68967\ & VCC))
-- \led_flash_cnt[3006][3]~68969\ = CARRY((\led_flash_cnt[3006][3]~q\ & !\led_flash_cnt[3006][2]~68967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3006][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3006][2]~68967\,
	combout => \led_flash_cnt[3006][3]~68968_combout\,
	cout => \led_flash_cnt[3006][3]~68969\);

-- Location: FF_X54_Y45_N5
\led_flash_cnt[3006][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3006][3]~68968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3006][3]~q\);

-- Location: LCCOMB_X54_Y45_N6
\led_flash_cnt[3006][4]~68970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3006][4]~68970_combout\ = (\led_flash_cnt[3006][4]~q\ & (!\led_flash_cnt[3006][3]~68969\)) # (!\led_flash_cnt[3006][4]~q\ & ((\led_flash_cnt[3006][3]~68969\) # (GND)))
-- \led_flash_cnt[3006][4]~68971\ = CARRY((!\led_flash_cnt[3006][3]~68969\) # (!\led_flash_cnt[3006][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3006][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3006][3]~68969\,
	combout => \led_flash_cnt[3006][4]~68970_combout\,
	cout => \led_flash_cnt[3006][4]~68971\);

-- Location: FF_X54_Y45_N7
\led_flash_cnt[3006][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3006][4]~68970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3006][4]~q\);

-- Location: LCCOMB_X54_Y45_N30
\WideAnd3006~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3006~0_combout\ = (\led_flash_cnt[3006][4]~q\ & (\led_flash_cnt[3006][1]~q\ & (\led_flash_cnt[3006][3]~q\ & \led_flash_cnt[3006][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3006][4]~q\,
	datab => \led_flash_cnt[3006][1]~q\,
	datac => \led_flash_cnt[3006][3]~q\,
	datad => \led_flash_cnt[3006][2]~q\,
	combout => \WideAnd3006~0_combout\);

-- Location: LCCOMB_X54_Y45_N8
\led_flash_cnt[3006][5]~68972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3006][5]~68972_combout\ = (\led_flash_cnt[3006][5]~q\ & (\led_flash_cnt[3006][4]~68971\ $ (GND))) # (!\led_flash_cnt[3006][5]~q\ & (!\led_flash_cnt[3006][4]~68971\ & VCC))
-- \led_flash_cnt[3006][5]~68973\ = CARRY((\led_flash_cnt[3006][5]~q\ & !\led_flash_cnt[3006][4]~68971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3006][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3006][4]~68971\,
	combout => \led_flash_cnt[3006][5]~68972_combout\,
	cout => \led_flash_cnt[3006][5]~68973\);

-- Location: FF_X54_Y45_N9
\led_flash_cnt[3006][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3006][5]~68972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3006][5]~q\);

-- Location: LCCOMB_X54_Y45_N10
\led_flash_cnt[3006][6]~68974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3006][6]~68974_combout\ = (\led_flash_cnt[3006][6]~q\ & (!\led_flash_cnt[3006][5]~68973\)) # (!\led_flash_cnt[3006][6]~q\ & ((\led_flash_cnt[3006][5]~68973\) # (GND)))
-- \led_flash_cnt[3006][6]~68975\ = CARRY((!\led_flash_cnt[3006][5]~68973\) # (!\led_flash_cnt[3006][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3006][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3006][5]~68973\,
	combout => \led_flash_cnt[3006][6]~68974_combout\,
	cout => \led_flash_cnt[3006][6]~68975\);

-- Location: FF_X54_Y45_N11
\led_flash_cnt[3006][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3006][6]~68974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3006][6]~q\);

-- Location: LCCOMB_X52_Y45_N30
\WideAnd3006~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3006~1_combout\ = (\led_flash_cnt[3006][6]~q\ & \led_flash_cnt[3006][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3006][6]~q\,
	datad => \led_flash_cnt[3006][5]~q\,
	combout => \WideAnd3006~1_combout\);

-- Location: LCCOMB_X54_Y45_N12
\led_flash_cnt[3006][7]~68976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3006][7]~68976_combout\ = \led_flash_cnt[3006][6]~68975\ $ (!\led_flash_cnt[3006][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3006][7]~q\,
	cin => \led_flash_cnt[3006][6]~68975\,
	combout => \led_flash_cnt[3006][7]~68976_combout\);

-- Location: FF_X54_Y45_N13
\led_flash_cnt[3006][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3006][7]~68976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3006][7]~q\);

-- Location: LCCOMB_X52_Y45_N6
WideAnd3006 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3006~combout\ = (\WideAnd3006~0_combout\ & (\led_flash_cnt[3006][0]~q\ & (\WideAnd3006~1_combout\ & \led_flash_cnt[3006][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3006~0_combout\,
	datab => \led_flash_cnt[3006][0]~q\,
	datac => \WideAnd3006~1_combout\,
	datad => \led_flash_cnt[3006][7]~q\,
	combout => \WideAnd3006~combout\);

-- Location: FF_X52_Y45_N7
\led_flash_cnt_ands[3006]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3006~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3006));

-- Location: LCCOMB_X52_Y45_N2
WideAnd4215 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4215~combout\ = (\WideAnd4215~1_combout\ & (led_flash_cnt_ands(3007) & (\WideAnd4215~0_combout\ & led_flash_cnt_ands(3006))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4215~1_combout\,
	datab => led_flash_cnt_ands(3007),
	datac => \WideAnd4215~0_combout\,
	datad => led_flash_cnt_ands(3006),
	combout => \WideAnd4215~combout\);

-- Location: FF_X52_Y45_N3
\led_flash_cnt_ands_1[375]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4215~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(375));

-- Location: LCCOMB_X69_Y24_N6
\led_flash_cnt[2973][0]~83613\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2973][0]~83613_combout\ = !\led_flash_cnt[2973][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2973][0]~q\,
	combout => \led_flash_cnt[2973][0]~83613_combout\);

-- Location: FF_X69_Y24_N7
\led_flash_cnt[2973][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2973][0]~83613_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2973][0]~q\);

-- Location: LCCOMB_X70_Y24_N2
\led_flash_cnt[2973][1]~68502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2973][1]~68502_combout\ = (\led_flash_cnt[2973][0]~q\ & (\led_flash_cnt[2973][1]~q\ $ (VCC))) # (!\led_flash_cnt[2973][0]~q\ & (\led_flash_cnt[2973][1]~q\ & VCC))
-- \led_flash_cnt[2973][1]~68503\ = CARRY((\led_flash_cnt[2973][0]~q\ & \led_flash_cnt[2973][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2973][0]~q\,
	datab => \led_flash_cnt[2973][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2973][1]~68502_combout\,
	cout => \led_flash_cnt[2973][1]~68503\);

-- Location: FF_X70_Y24_N3
\led_flash_cnt[2973][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2973][1]~68502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2973][1]~q\);

-- Location: LCCOMB_X70_Y24_N4
\led_flash_cnt[2973][2]~68504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2973][2]~68504_combout\ = (\led_flash_cnt[2973][2]~q\ & (!\led_flash_cnt[2973][1]~68503\)) # (!\led_flash_cnt[2973][2]~q\ & ((\led_flash_cnt[2973][1]~68503\) # (GND)))
-- \led_flash_cnt[2973][2]~68505\ = CARRY((!\led_flash_cnt[2973][1]~68503\) # (!\led_flash_cnt[2973][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2973][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2973][1]~68503\,
	combout => \led_flash_cnt[2973][2]~68504_combout\,
	cout => \led_flash_cnt[2973][2]~68505\);

-- Location: FF_X70_Y24_N5
\led_flash_cnt[2973][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2973][2]~68504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2973][2]~q\);

-- Location: LCCOMB_X70_Y24_N6
\led_flash_cnt[2973][3]~68506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2973][3]~68506_combout\ = (\led_flash_cnt[2973][3]~q\ & (\led_flash_cnt[2973][2]~68505\ $ (GND))) # (!\led_flash_cnt[2973][3]~q\ & (!\led_flash_cnt[2973][2]~68505\ & VCC))
-- \led_flash_cnt[2973][3]~68507\ = CARRY((\led_flash_cnt[2973][3]~q\ & !\led_flash_cnt[2973][2]~68505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2973][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2973][2]~68505\,
	combout => \led_flash_cnt[2973][3]~68506_combout\,
	cout => \led_flash_cnt[2973][3]~68507\);

-- Location: FF_X70_Y24_N7
\led_flash_cnt[2973][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2973][3]~68506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2973][3]~q\);

-- Location: LCCOMB_X70_Y24_N8
\led_flash_cnt[2973][4]~68508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2973][4]~68508_combout\ = (\led_flash_cnt[2973][4]~q\ & (!\led_flash_cnt[2973][3]~68507\)) # (!\led_flash_cnt[2973][4]~q\ & ((\led_flash_cnt[2973][3]~68507\) # (GND)))
-- \led_flash_cnt[2973][4]~68509\ = CARRY((!\led_flash_cnt[2973][3]~68507\) # (!\led_flash_cnt[2973][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2973][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2973][3]~68507\,
	combout => \led_flash_cnt[2973][4]~68508_combout\,
	cout => \led_flash_cnt[2973][4]~68509\);

-- Location: FF_X70_Y24_N9
\led_flash_cnt[2973][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2973][4]~68508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2973][4]~q\);

-- Location: LCCOMB_X70_Y24_N30
\WideAnd2973~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2973~0_combout\ = (\led_flash_cnt[2973][3]~q\ & (\led_flash_cnt[2973][4]~q\ & (\led_flash_cnt[2973][2]~q\ & \led_flash_cnt[2973][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2973][3]~q\,
	datab => \led_flash_cnt[2973][4]~q\,
	datac => \led_flash_cnt[2973][2]~q\,
	datad => \led_flash_cnt[2973][1]~q\,
	combout => \WideAnd2973~0_combout\);

-- Location: LCCOMB_X70_Y24_N10
\led_flash_cnt[2973][5]~68510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2973][5]~68510_combout\ = (\led_flash_cnt[2973][5]~q\ & (\led_flash_cnt[2973][4]~68509\ $ (GND))) # (!\led_flash_cnt[2973][5]~q\ & (!\led_flash_cnt[2973][4]~68509\ & VCC))
-- \led_flash_cnt[2973][5]~68511\ = CARRY((\led_flash_cnt[2973][5]~q\ & !\led_flash_cnt[2973][4]~68509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2973][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2973][4]~68509\,
	combout => \led_flash_cnt[2973][5]~68510_combout\,
	cout => \led_flash_cnt[2973][5]~68511\);

-- Location: FF_X70_Y24_N11
\led_flash_cnt[2973][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2973][5]~68510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2973][5]~q\);

-- Location: LCCOMB_X70_Y24_N12
\led_flash_cnt[2973][6]~68512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2973][6]~68512_combout\ = (\led_flash_cnt[2973][6]~q\ & (!\led_flash_cnt[2973][5]~68511\)) # (!\led_flash_cnt[2973][6]~q\ & ((\led_flash_cnt[2973][5]~68511\) # (GND)))
-- \led_flash_cnt[2973][6]~68513\ = CARRY((!\led_flash_cnt[2973][5]~68511\) # (!\led_flash_cnt[2973][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2973][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2973][5]~68511\,
	combout => \led_flash_cnt[2973][6]~68512_combout\,
	cout => \led_flash_cnt[2973][6]~68513\);

-- Location: FF_X70_Y24_N13
\led_flash_cnt[2973][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2973][6]~68512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2973][6]~q\);

-- Location: LCCOMB_X69_Y24_N2
\WideAnd2973~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2973~1_combout\ = (\led_flash_cnt[2973][6]~q\ & \led_flash_cnt[2973][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2973][6]~q\,
	datac => \led_flash_cnt[2973][5]~q\,
	combout => \WideAnd2973~1_combout\);

-- Location: LCCOMB_X70_Y24_N14
\led_flash_cnt[2973][7]~68514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2973][7]~68514_combout\ = \led_flash_cnt[2973][7]~q\ $ (!\led_flash_cnt[2973][6]~68513\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2973][7]~q\,
	cin => \led_flash_cnt[2973][6]~68513\,
	combout => \led_flash_cnt[2973][7]~68514_combout\);

-- Location: FF_X70_Y24_N15
\led_flash_cnt[2973][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2973][7]~68514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2973][7]~q\);

-- Location: LCCOMB_X69_Y24_N8
WideAnd2973 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2973~combout\ = (\WideAnd2973~0_combout\ & (\WideAnd2973~1_combout\ & (\led_flash_cnt[2973][7]~q\ & \led_flash_cnt[2973][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2973~0_combout\,
	datab => \WideAnd2973~1_combout\,
	datac => \led_flash_cnt[2973][7]~q\,
	datad => \led_flash_cnt[2973][0]~q\,
	combout => \WideAnd2973~combout\);

-- Location: FF_X69_Y24_N9
\led_flash_cnt_ands[2973]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2973~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2973));

-- Location: LCCOMB_X69_Y24_N12
\led_flash_cnt[2972][0]~83612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2972][0]~83612_combout\ = !\led_flash_cnt[2972][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2972][0]~q\,
	combout => \led_flash_cnt[2972][0]~83612_combout\);

-- Location: FF_X69_Y24_N13
\led_flash_cnt[2972][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2972][0]~83612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2972][0]~q\);

-- Location: LCCOMB_X69_Y24_N16
\led_flash_cnt[2972][1]~68488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2972][1]~68488_combout\ = (\led_flash_cnt[2972][0]~q\ & (\led_flash_cnt[2972][1]~q\ $ (VCC))) # (!\led_flash_cnt[2972][0]~q\ & (\led_flash_cnt[2972][1]~q\ & VCC))
-- \led_flash_cnt[2972][1]~68489\ = CARRY((\led_flash_cnt[2972][0]~q\ & \led_flash_cnt[2972][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2972][0]~q\,
	datab => \led_flash_cnt[2972][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2972][1]~68488_combout\,
	cout => \led_flash_cnt[2972][1]~68489\);

-- Location: FF_X69_Y24_N17
\led_flash_cnt[2972][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2972][1]~68488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2972][1]~q\);

-- Location: LCCOMB_X69_Y24_N18
\led_flash_cnt[2972][2]~68490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2972][2]~68490_combout\ = (\led_flash_cnt[2972][2]~q\ & (!\led_flash_cnt[2972][1]~68489\)) # (!\led_flash_cnt[2972][2]~q\ & ((\led_flash_cnt[2972][1]~68489\) # (GND)))
-- \led_flash_cnt[2972][2]~68491\ = CARRY((!\led_flash_cnt[2972][1]~68489\) # (!\led_flash_cnt[2972][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2972][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2972][1]~68489\,
	combout => \led_flash_cnt[2972][2]~68490_combout\,
	cout => \led_flash_cnt[2972][2]~68491\);

-- Location: FF_X69_Y24_N19
\led_flash_cnt[2972][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2972][2]~68490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2972][2]~q\);

-- Location: LCCOMB_X69_Y24_N20
\led_flash_cnt[2972][3]~68492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2972][3]~68492_combout\ = (\led_flash_cnt[2972][3]~q\ & (\led_flash_cnt[2972][2]~68491\ $ (GND))) # (!\led_flash_cnt[2972][3]~q\ & (!\led_flash_cnt[2972][2]~68491\ & VCC))
-- \led_flash_cnt[2972][3]~68493\ = CARRY((\led_flash_cnt[2972][3]~q\ & !\led_flash_cnt[2972][2]~68491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2972][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2972][2]~68491\,
	combout => \led_flash_cnt[2972][3]~68492_combout\,
	cout => \led_flash_cnt[2972][3]~68493\);

-- Location: FF_X69_Y24_N21
\led_flash_cnt[2972][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2972][3]~68492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2972][3]~q\);

-- Location: LCCOMB_X69_Y24_N22
\led_flash_cnt[2972][4]~68494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2972][4]~68494_combout\ = (\led_flash_cnt[2972][4]~q\ & (!\led_flash_cnt[2972][3]~68493\)) # (!\led_flash_cnt[2972][4]~q\ & ((\led_flash_cnt[2972][3]~68493\) # (GND)))
-- \led_flash_cnt[2972][4]~68495\ = CARRY((!\led_flash_cnt[2972][3]~68493\) # (!\led_flash_cnt[2972][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2972][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2972][3]~68493\,
	combout => \led_flash_cnt[2972][4]~68494_combout\,
	cout => \led_flash_cnt[2972][4]~68495\);

-- Location: FF_X69_Y24_N23
\led_flash_cnt[2972][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2972][4]~68494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2972][4]~q\);

-- Location: LCCOMB_X69_Y24_N24
\led_flash_cnt[2972][5]~68496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2972][5]~68496_combout\ = (\led_flash_cnt[2972][5]~q\ & (\led_flash_cnt[2972][4]~68495\ $ (GND))) # (!\led_flash_cnt[2972][5]~q\ & (!\led_flash_cnt[2972][4]~68495\ & VCC))
-- \led_flash_cnt[2972][5]~68497\ = CARRY((\led_flash_cnt[2972][5]~q\ & !\led_flash_cnt[2972][4]~68495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2972][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2972][4]~68495\,
	combout => \led_flash_cnt[2972][5]~68496_combout\,
	cout => \led_flash_cnt[2972][5]~68497\);

-- Location: FF_X69_Y24_N25
\led_flash_cnt[2972][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2972][5]~68496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2972][5]~q\);

-- Location: LCCOMB_X69_Y24_N26
\led_flash_cnt[2972][6]~68498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2972][6]~68498_combout\ = (\led_flash_cnt[2972][6]~q\ & (!\led_flash_cnt[2972][5]~68497\)) # (!\led_flash_cnt[2972][6]~q\ & ((\led_flash_cnt[2972][5]~68497\) # (GND)))
-- \led_flash_cnt[2972][6]~68499\ = CARRY((!\led_flash_cnt[2972][5]~68497\) # (!\led_flash_cnt[2972][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2972][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2972][5]~68497\,
	combout => \led_flash_cnt[2972][6]~68498_combout\,
	cout => \led_flash_cnt[2972][6]~68499\);

-- Location: FF_X69_Y24_N27
\led_flash_cnt[2972][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2972][6]~68498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2972][6]~q\);

-- Location: LCCOMB_X69_Y24_N30
\WideAnd2972~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2972~1_combout\ = (\led_flash_cnt[2972][6]~q\ & \led_flash_cnt[2972][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2972][6]~q\,
	datad => \led_flash_cnt[2972][5]~q\,
	combout => \WideAnd2972~1_combout\);

-- Location: LCCOMB_X69_Y24_N28
\led_flash_cnt[2972][7]~68500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2972][7]~68500_combout\ = \led_flash_cnt[2972][6]~68499\ $ (!\led_flash_cnt[2972][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2972][7]~q\,
	cin => \led_flash_cnt[2972][6]~68499\,
	combout => \led_flash_cnt[2972][7]~68500_combout\);

-- Location: FF_X69_Y24_N29
\led_flash_cnt[2972][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2972][7]~68500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2972][7]~q\);

-- Location: LCCOMB_X69_Y24_N14
\WideAnd2972~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2972~0_combout\ = (\led_flash_cnt[2972][3]~q\ & (\led_flash_cnt[2972][2]~q\ & (\led_flash_cnt[2972][4]~q\ & \led_flash_cnt[2972][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2972][3]~q\,
	datab => \led_flash_cnt[2972][2]~q\,
	datac => \led_flash_cnt[2972][4]~q\,
	datad => \led_flash_cnt[2972][1]~q\,
	combout => \WideAnd2972~0_combout\);

-- Location: LCCOMB_X69_Y24_N0
WideAnd2972 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2972~combout\ = (\WideAnd2972~1_combout\ & (\led_flash_cnt[2972][7]~q\ & (\WideAnd2972~0_combout\ & \led_flash_cnt[2972][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2972~1_combout\,
	datab => \led_flash_cnt[2972][7]~q\,
	datac => \WideAnd2972~0_combout\,
	datad => \led_flash_cnt[2972][0]~q\,
	combout => \WideAnd2972~combout\);

-- Location: FF_X69_Y24_N1
\led_flash_cnt_ands[2972]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2972~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2972));

-- Location: LCCOMB_X69_Y24_N4
\WideAnd4211~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4211~1_combout\ = (led_flash_cnt_ands(2973) & led_flash_cnt_ands(2972))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2973),
	datad => led_flash_cnt_ands(2972),
	combout => \WideAnd4211~1_combout\);

-- Location: LCCOMB_X70_Y25_N26
\led_flash_cnt[2975][0]~83615\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2975][0]~83615_combout\ = !\led_flash_cnt[2975][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2975][0]~q\,
	combout => \led_flash_cnt[2975][0]~83615_combout\);

-- Location: FF_X70_Y25_N27
\led_flash_cnt[2975][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2975][0]~83615_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2975][0]~q\);

-- Location: LCCOMB_X70_Y25_N2
\led_flash_cnt[2975][1]~68530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2975][1]~68530_combout\ = (\led_flash_cnt[2975][0]~q\ & (\led_flash_cnt[2975][1]~q\ $ (VCC))) # (!\led_flash_cnt[2975][0]~q\ & (\led_flash_cnt[2975][1]~q\ & VCC))
-- \led_flash_cnt[2975][1]~68531\ = CARRY((\led_flash_cnt[2975][0]~q\ & \led_flash_cnt[2975][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2975][0]~q\,
	datab => \led_flash_cnt[2975][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2975][1]~68530_combout\,
	cout => \led_flash_cnt[2975][1]~68531\);

-- Location: FF_X70_Y25_N3
\led_flash_cnt[2975][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2975][1]~68530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2975][1]~q\);

-- Location: LCCOMB_X70_Y25_N4
\led_flash_cnt[2975][2]~68532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2975][2]~68532_combout\ = (\led_flash_cnt[2975][2]~q\ & (!\led_flash_cnt[2975][1]~68531\)) # (!\led_flash_cnt[2975][2]~q\ & ((\led_flash_cnt[2975][1]~68531\) # (GND)))
-- \led_flash_cnt[2975][2]~68533\ = CARRY((!\led_flash_cnt[2975][1]~68531\) # (!\led_flash_cnt[2975][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2975][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2975][1]~68531\,
	combout => \led_flash_cnt[2975][2]~68532_combout\,
	cout => \led_flash_cnt[2975][2]~68533\);

-- Location: FF_X70_Y25_N5
\led_flash_cnt[2975][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2975][2]~68532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2975][2]~q\);

-- Location: LCCOMB_X70_Y25_N6
\led_flash_cnt[2975][3]~68534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2975][3]~68534_combout\ = (\led_flash_cnt[2975][3]~q\ & (\led_flash_cnt[2975][2]~68533\ $ (GND))) # (!\led_flash_cnt[2975][3]~q\ & (!\led_flash_cnt[2975][2]~68533\ & VCC))
-- \led_flash_cnt[2975][3]~68535\ = CARRY((\led_flash_cnt[2975][3]~q\ & !\led_flash_cnt[2975][2]~68533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2975][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2975][2]~68533\,
	combout => \led_flash_cnt[2975][3]~68534_combout\,
	cout => \led_flash_cnt[2975][3]~68535\);

-- Location: FF_X70_Y25_N7
\led_flash_cnt[2975][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2975][3]~68534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2975][3]~q\);

-- Location: LCCOMB_X70_Y25_N8
\led_flash_cnt[2975][4]~68536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2975][4]~68536_combout\ = (\led_flash_cnt[2975][4]~q\ & (!\led_flash_cnt[2975][3]~68535\)) # (!\led_flash_cnt[2975][4]~q\ & ((\led_flash_cnt[2975][3]~68535\) # (GND)))
-- \led_flash_cnt[2975][4]~68537\ = CARRY((!\led_flash_cnt[2975][3]~68535\) # (!\led_flash_cnt[2975][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2975][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2975][3]~68535\,
	combout => \led_flash_cnt[2975][4]~68536_combout\,
	cout => \led_flash_cnt[2975][4]~68537\);

-- Location: FF_X70_Y25_N9
\led_flash_cnt[2975][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2975][4]~68536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2975][4]~q\);

-- Location: LCCOMB_X70_Y25_N10
\led_flash_cnt[2975][5]~68538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2975][5]~68538_combout\ = (\led_flash_cnt[2975][5]~q\ & (\led_flash_cnt[2975][4]~68537\ $ (GND))) # (!\led_flash_cnt[2975][5]~q\ & (!\led_flash_cnt[2975][4]~68537\ & VCC))
-- \led_flash_cnt[2975][5]~68539\ = CARRY((\led_flash_cnt[2975][5]~q\ & !\led_flash_cnt[2975][4]~68537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2975][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2975][4]~68537\,
	combout => \led_flash_cnt[2975][5]~68538_combout\,
	cout => \led_flash_cnt[2975][5]~68539\);

-- Location: FF_X70_Y25_N11
\led_flash_cnt[2975][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2975][5]~68538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2975][5]~q\);

-- Location: LCCOMB_X70_Y25_N12
\led_flash_cnt[2975][6]~68540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2975][6]~68540_combout\ = (\led_flash_cnt[2975][6]~q\ & (!\led_flash_cnt[2975][5]~68539\)) # (!\led_flash_cnt[2975][6]~q\ & ((\led_flash_cnt[2975][5]~68539\) # (GND)))
-- \led_flash_cnt[2975][6]~68541\ = CARRY((!\led_flash_cnt[2975][5]~68539\) # (!\led_flash_cnt[2975][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2975][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2975][5]~68539\,
	combout => \led_flash_cnt[2975][6]~68540_combout\,
	cout => \led_flash_cnt[2975][6]~68541\);

-- Location: FF_X70_Y25_N13
\led_flash_cnt[2975][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2975][6]~68540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2975][6]~q\);

-- Location: LCCOMB_X70_Y25_N24
\WideAnd2975~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2975~1_combout\ = (\led_flash_cnt[2975][6]~q\ & \led_flash_cnt[2975][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2975][6]~q\,
	datad => \led_flash_cnt[2975][5]~q\,
	combout => \WideAnd2975~1_combout\);

-- Location: LCCOMB_X70_Y25_N14
\led_flash_cnt[2975][7]~68542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2975][7]~68542_combout\ = \led_flash_cnt[2975][7]~q\ $ (!\led_flash_cnt[2975][6]~68541\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2975][7]~q\,
	cin => \led_flash_cnt[2975][6]~68541\,
	combout => \led_flash_cnt[2975][7]~68542_combout\);

-- Location: FF_X70_Y25_N15
\led_flash_cnt[2975][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2975][7]~68542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2975][7]~q\);

-- Location: LCCOMB_X70_Y25_N18
\WideAnd2975~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2975~0_combout\ = (\led_flash_cnt[2975][3]~q\ & (\led_flash_cnt[2975][4]~q\ & (\led_flash_cnt[2975][2]~q\ & \led_flash_cnt[2975][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2975][3]~q\,
	datab => \led_flash_cnt[2975][4]~q\,
	datac => \led_flash_cnt[2975][2]~q\,
	datad => \led_flash_cnt[2975][1]~q\,
	combout => \WideAnd2975~0_combout\);

-- Location: LCCOMB_X70_Y25_N0
WideAnd2975 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2975~combout\ = (\led_flash_cnt[2975][0]~q\ & (\WideAnd2975~1_combout\ & (\led_flash_cnt[2975][7]~q\ & \WideAnd2975~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2975][0]~q\,
	datab => \WideAnd2975~1_combout\,
	datac => \led_flash_cnt[2975][7]~q\,
	datad => \WideAnd2975~0_combout\,
	combout => \WideAnd2975~combout\);

-- Location: FF_X70_Y25_N1
\led_flash_cnt_ands[2975]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2975~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2975));

-- Location: LCCOMB_X69_Y11_N30
\led_flash_cnt[2970][0]~83610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2970][0]~83610_combout\ = !\led_flash_cnt[2970][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2970][0]~q\,
	combout => \led_flash_cnt[2970][0]~83610_combout\);

-- Location: FF_X69_Y11_N31
\led_flash_cnt[2970][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2970][0]~83610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2970][0]~q\);

-- Location: LCCOMB_X69_Y11_N2
\led_flash_cnt[2970][1]~68460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2970][1]~68460_combout\ = (\led_flash_cnt[2970][0]~q\ & (\led_flash_cnt[2970][1]~q\ $ (VCC))) # (!\led_flash_cnt[2970][0]~q\ & (\led_flash_cnt[2970][1]~q\ & VCC))
-- \led_flash_cnt[2970][1]~68461\ = CARRY((\led_flash_cnt[2970][0]~q\ & \led_flash_cnt[2970][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2970][0]~q\,
	datab => \led_flash_cnt[2970][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2970][1]~68460_combout\,
	cout => \led_flash_cnt[2970][1]~68461\);

-- Location: FF_X69_Y11_N3
\led_flash_cnt[2970][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2970][1]~68460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2970][1]~q\);

-- Location: LCCOMB_X69_Y11_N4
\led_flash_cnt[2970][2]~68462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2970][2]~68462_combout\ = (\led_flash_cnt[2970][2]~q\ & (!\led_flash_cnt[2970][1]~68461\)) # (!\led_flash_cnt[2970][2]~q\ & ((\led_flash_cnt[2970][1]~68461\) # (GND)))
-- \led_flash_cnt[2970][2]~68463\ = CARRY((!\led_flash_cnt[2970][1]~68461\) # (!\led_flash_cnt[2970][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2970][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2970][1]~68461\,
	combout => \led_flash_cnt[2970][2]~68462_combout\,
	cout => \led_flash_cnt[2970][2]~68463\);

-- Location: FF_X69_Y11_N5
\led_flash_cnt[2970][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2970][2]~68462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2970][2]~q\);

-- Location: LCCOMB_X69_Y11_N6
\led_flash_cnt[2970][3]~68464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2970][3]~68464_combout\ = (\led_flash_cnt[2970][3]~q\ & (\led_flash_cnt[2970][2]~68463\ $ (GND))) # (!\led_flash_cnt[2970][3]~q\ & (!\led_flash_cnt[2970][2]~68463\ & VCC))
-- \led_flash_cnt[2970][3]~68465\ = CARRY((\led_flash_cnt[2970][3]~q\ & !\led_flash_cnt[2970][2]~68463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2970][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2970][2]~68463\,
	combout => \led_flash_cnt[2970][3]~68464_combout\,
	cout => \led_flash_cnt[2970][3]~68465\);

-- Location: FF_X69_Y11_N7
\led_flash_cnt[2970][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2970][3]~68464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2970][3]~q\);

-- Location: LCCOMB_X69_Y11_N8
\led_flash_cnt[2970][4]~68466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2970][4]~68466_combout\ = (\led_flash_cnt[2970][4]~q\ & (!\led_flash_cnt[2970][3]~68465\)) # (!\led_flash_cnt[2970][4]~q\ & ((\led_flash_cnt[2970][3]~68465\) # (GND)))
-- \led_flash_cnt[2970][4]~68467\ = CARRY((!\led_flash_cnt[2970][3]~68465\) # (!\led_flash_cnt[2970][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2970][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2970][3]~68465\,
	combout => \led_flash_cnt[2970][4]~68466_combout\,
	cout => \led_flash_cnt[2970][4]~68467\);

-- Location: FF_X69_Y11_N9
\led_flash_cnt[2970][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2970][4]~68466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2970][4]~q\);

-- Location: LCCOMB_X69_Y11_N10
\led_flash_cnt[2970][5]~68468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2970][5]~68468_combout\ = (\led_flash_cnt[2970][5]~q\ & (\led_flash_cnt[2970][4]~68467\ $ (GND))) # (!\led_flash_cnt[2970][5]~q\ & (!\led_flash_cnt[2970][4]~68467\ & VCC))
-- \led_flash_cnt[2970][5]~68469\ = CARRY((\led_flash_cnt[2970][5]~q\ & !\led_flash_cnt[2970][4]~68467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2970][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2970][4]~68467\,
	combout => \led_flash_cnt[2970][5]~68468_combout\,
	cout => \led_flash_cnt[2970][5]~68469\);

-- Location: FF_X69_Y11_N11
\led_flash_cnt[2970][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2970][5]~68468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2970][5]~q\);

-- Location: LCCOMB_X69_Y11_N12
\led_flash_cnt[2970][6]~68470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2970][6]~68470_combout\ = (\led_flash_cnt[2970][6]~q\ & (!\led_flash_cnt[2970][5]~68469\)) # (!\led_flash_cnt[2970][6]~q\ & ((\led_flash_cnt[2970][5]~68469\) # (GND)))
-- \led_flash_cnt[2970][6]~68471\ = CARRY((!\led_flash_cnt[2970][5]~68469\) # (!\led_flash_cnt[2970][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2970][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2970][5]~68469\,
	combout => \led_flash_cnt[2970][6]~68470_combout\,
	cout => \led_flash_cnt[2970][6]~68471\);

-- Location: FF_X69_Y11_N13
\led_flash_cnt[2970][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2970][6]~68470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2970][6]~q\);

-- Location: LCCOMB_X69_Y11_N26
\WideAnd2970~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2970~1_combout\ = (\led_flash_cnt[2970][6]~q\ & \led_flash_cnt[2970][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2970][6]~q\,
	datad => \led_flash_cnt[2970][5]~q\,
	combout => \WideAnd2970~1_combout\);

-- Location: LCCOMB_X69_Y11_N14
\led_flash_cnt[2970][7]~68472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2970][7]~68472_combout\ = \led_flash_cnt[2970][7]~q\ $ (!\led_flash_cnt[2970][6]~68471\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2970][7]~q\,
	cin => \led_flash_cnt[2970][6]~68471\,
	combout => \led_flash_cnt[2970][7]~68472_combout\);

-- Location: FF_X69_Y11_N15
\led_flash_cnt[2970][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2970][7]~68472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2970][7]~q\);

-- Location: LCCOMB_X69_Y11_N18
\WideAnd2970~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2970~0_combout\ = (\led_flash_cnt[2970][3]~q\ & (\led_flash_cnt[2970][4]~q\ & (\led_flash_cnt[2970][2]~q\ & \led_flash_cnt[2970][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2970][3]~q\,
	datab => \led_flash_cnt[2970][4]~q\,
	datac => \led_flash_cnt[2970][2]~q\,
	datad => \led_flash_cnt[2970][1]~q\,
	combout => \WideAnd2970~0_combout\);

-- Location: LCCOMB_X69_Y11_N22
WideAnd2970 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2970~combout\ = (\WideAnd2970~1_combout\ & (\led_flash_cnt[2970][7]~q\ & (\led_flash_cnt[2970][0]~q\ & \WideAnd2970~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2970~1_combout\,
	datab => \led_flash_cnt[2970][7]~q\,
	datac => \led_flash_cnt[2970][0]~q\,
	datad => \WideAnd2970~0_combout\,
	combout => \WideAnd2970~combout\);

-- Location: FF_X69_Y11_N23
\led_flash_cnt_ands[2970]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2970~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2970));

-- Location: LCCOMB_X76_Y8_N2
\led_flash_cnt[2969][0]~83609\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2969][0]~83609_combout\ = !\led_flash_cnt[2969][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2969][0]~q\,
	combout => \led_flash_cnt[2969][0]~83609_combout\);

-- Location: FF_X76_Y8_N3
\led_flash_cnt[2969][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2969][0]~83609_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2969][0]~q\);

-- Location: LCCOMB_X76_Y8_N12
\led_flash_cnt[2969][1]~68446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2969][1]~68446_combout\ = (\led_flash_cnt[2969][1]~q\ & (\led_flash_cnt[2969][0]~q\ $ (VCC))) # (!\led_flash_cnt[2969][1]~q\ & (\led_flash_cnt[2969][0]~q\ & VCC))
-- \led_flash_cnt[2969][1]~68447\ = CARRY((\led_flash_cnt[2969][1]~q\ & \led_flash_cnt[2969][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2969][1]~q\,
	datab => \led_flash_cnt[2969][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2969][1]~68446_combout\,
	cout => \led_flash_cnt[2969][1]~68447\);

-- Location: FF_X76_Y8_N13
\led_flash_cnt[2969][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2969][1]~68446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2969][1]~q\);

-- Location: LCCOMB_X76_Y8_N14
\led_flash_cnt[2969][2]~68448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2969][2]~68448_combout\ = (\led_flash_cnt[2969][2]~q\ & (!\led_flash_cnt[2969][1]~68447\)) # (!\led_flash_cnt[2969][2]~q\ & ((\led_flash_cnt[2969][1]~68447\) # (GND)))
-- \led_flash_cnt[2969][2]~68449\ = CARRY((!\led_flash_cnt[2969][1]~68447\) # (!\led_flash_cnt[2969][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2969][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2969][1]~68447\,
	combout => \led_flash_cnt[2969][2]~68448_combout\,
	cout => \led_flash_cnt[2969][2]~68449\);

-- Location: FF_X76_Y8_N15
\led_flash_cnt[2969][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2969][2]~68448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2969][2]~q\);

-- Location: LCCOMB_X76_Y8_N16
\led_flash_cnt[2969][3]~68450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2969][3]~68450_combout\ = (\led_flash_cnt[2969][3]~q\ & (\led_flash_cnt[2969][2]~68449\ $ (GND))) # (!\led_flash_cnt[2969][3]~q\ & (!\led_flash_cnt[2969][2]~68449\ & VCC))
-- \led_flash_cnt[2969][3]~68451\ = CARRY((\led_flash_cnt[2969][3]~q\ & !\led_flash_cnt[2969][2]~68449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2969][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2969][2]~68449\,
	combout => \led_flash_cnt[2969][3]~68450_combout\,
	cout => \led_flash_cnt[2969][3]~68451\);

-- Location: FF_X76_Y8_N17
\led_flash_cnt[2969][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2969][3]~68450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2969][3]~q\);

-- Location: LCCOMB_X76_Y8_N18
\led_flash_cnt[2969][4]~68452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2969][4]~68452_combout\ = (\led_flash_cnt[2969][4]~q\ & (!\led_flash_cnt[2969][3]~68451\)) # (!\led_flash_cnt[2969][4]~q\ & ((\led_flash_cnt[2969][3]~68451\) # (GND)))
-- \led_flash_cnt[2969][4]~68453\ = CARRY((!\led_flash_cnt[2969][3]~68451\) # (!\led_flash_cnt[2969][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2969][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2969][3]~68451\,
	combout => \led_flash_cnt[2969][4]~68452_combout\,
	cout => \led_flash_cnt[2969][4]~68453\);

-- Location: FF_X76_Y8_N19
\led_flash_cnt[2969][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2969][4]~68452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2969][4]~q\);

-- Location: LCCOMB_X76_Y8_N10
\WideAnd2969~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2969~0_combout\ = (\led_flash_cnt[2969][1]~q\ & (\led_flash_cnt[2969][4]~q\ & (\led_flash_cnt[2969][2]~q\ & \led_flash_cnt[2969][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2969][1]~q\,
	datab => \led_flash_cnt[2969][4]~q\,
	datac => \led_flash_cnt[2969][2]~q\,
	datad => \led_flash_cnt[2969][3]~q\,
	combout => \WideAnd2969~0_combout\);

-- Location: LCCOMB_X76_Y8_N20
\led_flash_cnt[2969][5]~68454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2969][5]~68454_combout\ = (\led_flash_cnt[2969][5]~q\ & (\led_flash_cnt[2969][4]~68453\ $ (GND))) # (!\led_flash_cnt[2969][5]~q\ & (!\led_flash_cnt[2969][4]~68453\ & VCC))
-- \led_flash_cnt[2969][5]~68455\ = CARRY((\led_flash_cnt[2969][5]~q\ & !\led_flash_cnt[2969][4]~68453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2969][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2969][4]~68453\,
	combout => \led_flash_cnt[2969][5]~68454_combout\,
	cout => \led_flash_cnt[2969][5]~68455\);

-- Location: FF_X76_Y8_N21
\led_flash_cnt[2969][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2969][5]~68454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2969][5]~q\);

-- Location: LCCOMB_X76_Y8_N22
\led_flash_cnt[2969][6]~68456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2969][6]~68456_combout\ = (\led_flash_cnt[2969][6]~q\ & (!\led_flash_cnt[2969][5]~68455\)) # (!\led_flash_cnt[2969][6]~q\ & ((\led_flash_cnt[2969][5]~68455\) # (GND)))
-- \led_flash_cnt[2969][6]~68457\ = CARRY((!\led_flash_cnt[2969][5]~68455\) # (!\led_flash_cnt[2969][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2969][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2969][5]~68455\,
	combout => \led_flash_cnt[2969][6]~68456_combout\,
	cout => \led_flash_cnt[2969][6]~68457\);

-- Location: FF_X76_Y8_N23
\led_flash_cnt[2969][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2969][6]~68456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2969][6]~q\);

-- Location: LCCOMB_X76_Y8_N4
\WideAnd2969~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2969~1_combout\ = (\led_flash_cnt[2969][6]~q\ & \led_flash_cnt[2969][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2969][6]~q\,
	datad => \led_flash_cnt[2969][5]~q\,
	combout => \WideAnd2969~1_combout\);

-- Location: LCCOMB_X76_Y8_N24
\led_flash_cnt[2969][7]~68458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2969][7]~68458_combout\ = \led_flash_cnt[2969][6]~68457\ $ (!\led_flash_cnt[2969][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2969][7]~q\,
	cin => \led_flash_cnt[2969][6]~68457\,
	combout => \led_flash_cnt[2969][7]~68458_combout\);

-- Location: FF_X76_Y8_N25
\led_flash_cnt[2969][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2969][7]~68458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2969][7]~q\);

-- Location: LCCOMB_X76_Y8_N26
WideAnd2969 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2969~combout\ = (\WideAnd2969~0_combout\ & (\led_flash_cnt[2969][0]~q\ & (\WideAnd2969~1_combout\ & \led_flash_cnt[2969][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2969~0_combout\,
	datab => \led_flash_cnt[2969][0]~q\,
	datac => \WideAnd2969~1_combout\,
	datad => \led_flash_cnt[2969][7]~q\,
	combout => \WideAnd2969~combout\);

-- Location: FF_X76_Y8_N27
\led_flash_cnt_ands[2969]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2969~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2969));

-- Location: LCCOMB_X72_Y3_N4
\led_flash_cnt[2968][0]~83608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2968][0]~83608_combout\ = !\led_flash_cnt[2968][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2968][0]~q\,
	combout => \led_flash_cnt[2968][0]~83608_combout\);

-- Location: FF_X72_Y3_N5
\led_flash_cnt[2968][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2968][0]~83608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2968][0]~q\);

-- Location: LCCOMB_X72_Y3_N10
\led_flash_cnt[2968][1]~68432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2968][1]~68432_combout\ = (\led_flash_cnt[2968][1]~q\ & (\led_flash_cnt[2968][0]~q\ $ (VCC))) # (!\led_flash_cnt[2968][1]~q\ & (\led_flash_cnt[2968][0]~q\ & VCC))
-- \led_flash_cnt[2968][1]~68433\ = CARRY((\led_flash_cnt[2968][1]~q\ & \led_flash_cnt[2968][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2968][1]~q\,
	datab => \led_flash_cnt[2968][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2968][1]~68432_combout\,
	cout => \led_flash_cnt[2968][1]~68433\);

-- Location: FF_X72_Y3_N11
\led_flash_cnt[2968][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2968][1]~68432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2968][1]~q\);

-- Location: LCCOMB_X72_Y3_N12
\led_flash_cnt[2968][2]~68434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2968][2]~68434_combout\ = (\led_flash_cnt[2968][2]~q\ & (!\led_flash_cnt[2968][1]~68433\)) # (!\led_flash_cnt[2968][2]~q\ & ((\led_flash_cnt[2968][1]~68433\) # (GND)))
-- \led_flash_cnt[2968][2]~68435\ = CARRY((!\led_flash_cnt[2968][1]~68433\) # (!\led_flash_cnt[2968][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2968][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2968][1]~68433\,
	combout => \led_flash_cnt[2968][2]~68434_combout\,
	cout => \led_flash_cnt[2968][2]~68435\);

-- Location: FF_X72_Y3_N13
\led_flash_cnt[2968][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2968][2]~68434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2968][2]~q\);

-- Location: LCCOMB_X72_Y3_N14
\led_flash_cnt[2968][3]~68436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2968][3]~68436_combout\ = (\led_flash_cnt[2968][3]~q\ & (\led_flash_cnt[2968][2]~68435\ $ (GND))) # (!\led_flash_cnt[2968][3]~q\ & (!\led_flash_cnt[2968][2]~68435\ & VCC))
-- \led_flash_cnt[2968][3]~68437\ = CARRY((\led_flash_cnt[2968][3]~q\ & !\led_flash_cnt[2968][2]~68435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2968][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2968][2]~68435\,
	combout => \led_flash_cnt[2968][3]~68436_combout\,
	cout => \led_flash_cnt[2968][3]~68437\);

-- Location: FF_X72_Y3_N15
\led_flash_cnt[2968][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2968][3]~68436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2968][3]~q\);

-- Location: LCCOMB_X72_Y3_N16
\led_flash_cnt[2968][4]~68438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2968][4]~68438_combout\ = (\led_flash_cnt[2968][4]~q\ & (!\led_flash_cnt[2968][3]~68437\)) # (!\led_flash_cnt[2968][4]~q\ & ((\led_flash_cnt[2968][3]~68437\) # (GND)))
-- \led_flash_cnt[2968][4]~68439\ = CARRY((!\led_flash_cnt[2968][3]~68437\) # (!\led_flash_cnt[2968][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2968][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2968][3]~68437\,
	combout => \led_flash_cnt[2968][4]~68438_combout\,
	cout => \led_flash_cnt[2968][4]~68439\);

-- Location: FF_X72_Y3_N17
\led_flash_cnt[2968][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2968][4]~68438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2968][4]~q\);

-- Location: LCCOMB_X72_Y3_N18
\led_flash_cnt[2968][5]~68440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2968][5]~68440_combout\ = (\led_flash_cnt[2968][5]~q\ & (\led_flash_cnt[2968][4]~68439\ $ (GND))) # (!\led_flash_cnt[2968][5]~q\ & (!\led_flash_cnt[2968][4]~68439\ & VCC))
-- \led_flash_cnt[2968][5]~68441\ = CARRY((\led_flash_cnt[2968][5]~q\ & !\led_flash_cnt[2968][4]~68439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2968][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2968][4]~68439\,
	combout => \led_flash_cnt[2968][5]~68440_combout\,
	cout => \led_flash_cnt[2968][5]~68441\);

-- Location: FF_X72_Y3_N19
\led_flash_cnt[2968][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2968][5]~68440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2968][5]~q\);

-- Location: LCCOMB_X72_Y3_N20
\led_flash_cnt[2968][6]~68442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2968][6]~68442_combout\ = (\led_flash_cnt[2968][6]~q\ & (!\led_flash_cnt[2968][5]~68441\)) # (!\led_flash_cnt[2968][6]~q\ & ((\led_flash_cnt[2968][5]~68441\) # (GND)))
-- \led_flash_cnt[2968][6]~68443\ = CARRY((!\led_flash_cnt[2968][5]~68441\) # (!\led_flash_cnt[2968][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2968][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2968][5]~68441\,
	combout => \led_flash_cnt[2968][6]~68442_combout\,
	cout => \led_flash_cnt[2968][6]~68443\);

-- Location: FF_X72_Y3_N21
\led_flash_cnt[2968][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2968][6]~68442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2968][6]~q\);

-- Location: LCCOMB_X72_Y3_N22
\led_flash_cnt[2968][7]~68444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2968][7]~68444_combout\ = \led_flash_cnt[2968][7]~q\ $ (!\led_flash_cnt[2968][6]~68443\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2968][7]~q\,
	cin => \led_flash_cnt[2968][6]~68443\,
	combout => \led_flash_cnt[2968][7]~68444_combout\);

-- Location: FF_X72_Y3_N23
\led_flash_cnt[2968][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2968][7]~68444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2968][7]~q\);

-- Location: LCCOMB_X72_Y3_N8
\WideAnd2968~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2968~0_combout\ = (\led_flash_cnt[2968][1]~q\ & (\led_flash_cnt[2968][4]~q\ & (\led_flash_cnt[2968][3]~q\ & \led_flash_cnt[2968][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2968][1]~q\,
	datab => \led_flash_cnt[2968][4]~q\,
	datac => \led_flash_cnt[2968][3]~q\,
	datad => \led_flash_cnt[2968][2]~q\,
	combout => \WideAnd2968~0_combout\);

-- Location: LCCOMB_X72_Y3_N2
\WideAnd2968~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2968~1_combout\ = (\led_flash_cnt[2968][5]~q\ & \led_flash_cnt[2968][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2968][5]~q\,
	datad => \led_flash_cnt[2968][6]~q\,
	combout => \WideAnd2968~1_combout\);

-- Location: LCCOMB_X72_Y3_N24
WideAnd2968 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2968~combout\ = (\led_flash_cnt[2968][7]~q\ & (\led_flash_cnt[2968][0]~q\ & (\WideAnd2968~0_combout\ & \WideAnd2968~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2968][7]~q\,
	datab => \led_flash_cnt[2968][0]~q\,
	datac => \WideAnd2968~0_combout\,
	datad => \WideAnd2968~1_combout\,
	combout => \WideAnd2968~combout\);

-- Location: FF_X72_Y3_N25
\led_flash_cnt_ands[2968]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2968~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2968));

-- Location: LCCOMB_X69_Y11_N0
\led_flash_cnt[2971][0]~83611\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2971][0]~83611_combout\ = !\led_flash_cnt[2971][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2971][0]~q\,
	combout => \led_flash_cnt[2971][0]~83611_combout\);

-- Location: FF_X69_Y11_N1
\led_flash_cnt[2971][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2971][0]~83611_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2971][0]~q\);

-- Location: LCCOMB_X67_Y11_N0
\led_flash_cnt[2971][1]~68474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2971][1]~68474_combout\ = (\led_flash_cnt[2971][0]~q\ & (\led_flash_cnt[2971][1]~q\ $ (VCC))) # (!\led_flash_cnt[2971][0]~q\ & (\led_flash_cnt[2971][1]~q\ & VCC))
-- \led_flash_cnt[2971][1]~68475\ = CARRY((\led_flash_cnt[2971][0]~q\ & \led_flash_cnt[2971][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2971][0]~q\,
	datab => \led_flash_cnt[2971][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2971][1]~68474_combout\,
	cout => \led_flash_cnt[2971][1]~68475\);

-- Location: FF_X67_Y11_N1
\led_flash_cnt[2971][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2971][1]~68474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2971][1]~q\);

-- Location: LCCOMB_X67_Y11_N2
\led_flash_cnt[2971][2]~68476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2971][2]~68476_combout\ = (\led_flash_cnt[2971][2]~q\ & (!\led_flash_cnt[2971][1]~68475\)) # (!\led_flash_cnt[2971][2]~q\ & ((\led_flash_cnt[2971][1]~68475\) # (GND)))
-- \led_flash_cnt[2971][2]~68477\ = CARRY((!\led_flash_cnt[2971][1]~68475\) # (!\led_flash_cnt[2971][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2971][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2971][1]~68475\,
	combout => \led_flash_cnt[2971][2]~68476_combout\,
	cout => \led_flash_cnt[2971][2]~68477\);

-- Location: FF_X67_Y11_N3
\led_flash_cnt[2971][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2971][2]~68476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2971][2]~q\);

-- Location: LCCOMB_X67_Y11_N4
\led_flash_cnt[2971][3]~68478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2971][3]~68478_combout\ = (\led_flash_cnt[2971][3]~q\ & (\led_flash_cnt[2971][2]~68477\ $ (GND))) # (!\led_flash_cnt[2971][3]~q\ & (!\led_flash_cnt[2971][2]~68477\ & VCC))
-- \led_flash_cnt[2971][3]~68479\ = CARRY((\led_flash_cnt[2971][3]~q\ & !\led_flash_cnt[2971][2]~68477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2971][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2971][2]~68477\,
	combout => \led_flash_cnt[2971][3]~68478_combout\,
	cout => \led_flash_cnt[2971][3]~68479\);

-- Location: FF_X67_Y11_N5
\led_flash_cnt[2971][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2971][3]~68478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2971][3]~q\);

-- Location: LCCOMB_X67_Y11_N6
\led_flash_cnt[2971][4]~68480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2971][4]~68480_combout\ = (\led_flash_cnt[2971][4]~q\ & (!\led_flash_cnt[2971][3]~68479\)) # (!\led_flash_cnt[2971][4]~q\ & ((\led_flash_cnt[2971][3]~68479\) # (GND)))
-- \led_flash_cnt[2971][4]~68481\ = CARRY((!\led_flash_cnt[2971][3]~68479\) # (!\led_flash_cnt[2971][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2971][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2971][3]~68479\,
	combout => \led_flash_cnt[2971][4]~68480_combout\,
	cout => \led_flash_cnt[2971][4]~68481\);

-- Location: FF_X67_Y11_N7
\led_flash_cnt[2971][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2971][4]~68480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2971][4]~q\);

-- Location: LCCOMB_X67_Y11_N8
\led_flash_cnt[2971][5]~68482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2971][5]~68482_combout\ = (\led_flash_cnt[2971][5]~q\ & (\led_flash_cnt[2971][4]~68481\ $ (GND))) # (!\led_flash_cnt[2971][5]~q\ & (!\led_flash_cnt[2971][4]~68481\ & VCC))
-- \led_flash_cnt[2971][5]~68483\ = CARRY((\led_flash_cnt[2971][5]~q\ & !\led_flash_cnt[2971][4]~68481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2971][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2971][4]~68481\,
	combout => \led_flash_cnt[2971][5]~68482_combout\,
	cout => \led_flash_cnt[2971][5]~68483\);

-- Location: FF_X67_Y11_N9
\led_flash_cnt[2971][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2971][5]~68482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2971][5]~q\);

-- Location: LCCOMB_X67_Y11_N10
\led_flash_cnt[2971][6]~68484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2971][6]~68484_combout\ = (\led_flash_cnt[2971][6]~q\ & (!\led_flash_cnt[2971][5]~68483\)) # (!\led_flash_cnt[2971][6]~q\ & ((\led_flash_cnt[2971][5]~68483\) # (GND)))
-- \led_flash_cnt[2971][6]~68485\ = CARRY((!\led_flash_cnt[2971][5]~68483\) # (!\led_flash_cnt[2971][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2971][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2971][5]~68483\,
	combout => \led_flash_cnt[2971][6]~68484_combout\,
	cout => \led_flash_cnt[2971][6]~68485\);

-- Location: FF_X67_Y11_N11
\led_flash_cnt[2971][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2971][6]~68484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2971][6]~q\);

-- Location: LCCOMB_X67_Y11_N12
\led_flash_cnt[2971][7]~68486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2971][7]~68486_combout\ = \led_flash_cnt[2971][6]~68485\ $ (!\led_flash_cnt[2971][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2971][7]~q\,
	cin => \led_flash_cnt[2971][6]~68485\,
	combout => \led_flash_cnt[2971][7]~68486_combout\);

-- Location: FF_X67_Y11_N13
\led_flash_cnt[2971][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2971][7]~68486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2971][7]~q\);

-- Location: LCCOMB_X69_Y11_N28
\WideAnd2971~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2971~1_combout\ = (\led_flash_cnt[2971][5]~q\ & \led_flash_cnt[2971][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2971][5]~q\,
	datad => \led_flash_cnt[2971][6]~q\,
	combout => \WideAnd2971~1_combout\);

-- Location: LCCOMB_X67_Y11_N14
\WideAnd2971~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2971~0_combout\ = (\led_flash_cnt[2971][4]~q\ & (\led_flash_cnt[2971][1]~q\ & (\led_flash_cnt[2971][3]~q\ & \led_flash_cnt[2971][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2971][4]~q\,
	datab => \led_flash_cnt[2971][1]~q\,
	datac => \led_flash_cnt[2971][3]~q\,
	datad => \led_flash_cnt[2971][2]~q\,
	combout => \WideAnd2971~0_combout\);

-- Location: LCCOMB_X69_Y11_N24
WideAnd2971 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2971~combout\ = (\led_flash_cnt[2971][7]~q\ & (\WideAnd2971~1_combout\ & (\WideAnd2971~0_combout\ & \led_flash_cnt[2971][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2971][7]~q\,
	datab => \WideAnd2971~1_combout\,
	datac => \WideAnd2971~0_combout\,
	datad => \led_flash_cnt[2971][0]~q\,
	combout => \WideAnd2971~combout\);

-- Location: FF_X69_Y11_N25
\led_flash_cnt_ands[2971]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2971~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2971));

-- Location: LCCOMB_X69_Y11_N20
\WideAnd4211~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4211~0_combout\ = (led_flash_cnt_ands(2970) & (led_flash_cnt_ands(2969) & (led_flash_cnt_ands(2968) & led_flash_cnt_ands(2971))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2970),
	datab => led_flash_cnt_ands(2969),
	datac => led_flash_cnt_ands(2968),
	datad => led_flash_cnt_ands(2971),
	combout => \WideAnd4211~0_combout\);

-- Location: LCCOMB_X71_Y25_N22
\led_flash_cnt[2974][0]~83614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2974][0]~83614_combout\ = !\led_flash_cnt[2974][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2974][0]~q\,
	combout => \led_flash_cnt[2974][0]~83614_combout\);

-- Location: FF_X71_Y25_N23
\led_flash_cnt[2974][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2974][0]~83614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2974][0]~q\);

-- Location: LCCOMB_X71_Y25_N4
\led_flash_cnt[2974][1]~68516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2974][1]~68516_combout\ = (\led_flash_cnt[2974][0]~q\ & (\led_flash_cnt[2974][1]~q\ $ (VCC))) # (!\led_flash_cnt[2974][0]~q\ & (\led_flash_cnt[2974][1]~q\ & VCC))
-- \led_flash_cnt[2974][1]~68517\ = CARRY((\led_flash_cnt[2974][0]~q\ & \led_flash_cnt[2974][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2974][0]~q\,
	datab => \led_flash_cnt[2974][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2974][1]~68516_combout\,
	cout => \led_flash_cnt[2974][1]~68517\);

-- Location: FF_X71_Y25_N5
\led_flash_cnt[2974][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2974][1]~68516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2974][1]~q\);

-- Location: LCCOMB_X71_Y25_N6
\led_flash_cnt[2974][2]~68518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2974][2]~68518_combout\ = (\led_flash_cnt[2974][2]~q\ & (!\led_flash_cnt[2974][1]~68517\)) # (!\led_flash_cnt[2974][2]~q\ & ((\led_flash_cnt[2974][1]~68517\) # (GND)))
-- \led_flash_cnt[2974][2]~68519\ = CARRY((!\led_flash_cnt[2974][1]~68517\) # (!\led_flash_cnt[2974][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2974][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2974][1]~68517\,
	combout => \led_flash_cnt[2974][2]~68518_combout\,
	cout => \led_flash_cnt[2974][2]~68519\);

-- Location: FF_X71_Y25_N7
\led_flash_cnt[2974][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2974][2]~68518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2974][2]~q\);

-- Location: LCCOMB_X71_Y25_N8
\led_flash_cnt[2974][3]~68520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2974][3]~68520_combout\ = (\led_flash_cnt[2974][3]~q\ & (\led_flash_cnt[2974][2]~68519\ $ (GND))) # (!\led_flash_cnt[2974][3]~q\ & (!\led_flash_cnt[2974][2]~68519\ & VCC))
-- \led_flash_cnt[2974][3]~68521\ = CARRY((\led_flash_cnt[2974][3]~q\ & !\led_flash_cnt[2974][2]~68519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2974][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2974][2]~68519\,
	combout => \led_flash_cnt[2974][3]~68520_combout\,
	cout => \led_flash_cnt[2974][3]~68521\);

-- Location: FF_X71_Y25_N9
\led_flash_cnt[2974][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2974][3]~68520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2974][3]~q\);

-- Location: LCCOMB_X71_Y25_N10
\led_flash_cnt[2974][4]~68522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2974][4]~68522_combout\ = (\led_flash_cnt[2974][4]~q\ & (!\led_flash_cnt[2974][3]~68521\)) # (!\led_flash_cnt[2974][4]~q\ & ((\led_flash_cnt[2974][3]~68521\) # (GND)))
-- \led_flash_cnt[2974][4]~68523\ = CARRY((!\led_flash_cnt[2974][3]~68521\) # (!\led_flash_cnt[2974][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2974][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2974][3]~68521\,
	combout => \led_flash_cnt[2974][4]~68522_combout\,
	cout => \led_flash_cnt[2974][4]~68523\);

-- Location: FF_X71_Y25_N11
\led_flash_cnt[2974][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2974][4]~68522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2974][4]~q\);

-- Location: LCCOMB_X71_Y25_N12
\led_flash_cnt[2974][5]~68524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2974][5]~68524_combout\ = (\led_flash_cnt[2974][5]~q\ & (\led_flash_cnt[2974][4]~68523\ $ (GND))) # (!\led_flash_cnt[2974][5]~q\ & (!\led_flash_cnt[2974][4]~68523\ & VCC))
-- \led_flash_cnt[2974][5]~68525\ = CARRY((\led_flash_cnt[2974][5]~q\ & !\led_flash_cnt[2974][4]~68523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2974][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2974][4]~68523\,
	combout => \led_flash_cnt[2974][5]~68524_combout\,
	cout => \led_flash_cnt[2974][5]~68525\);

-- Location: FF_X71_Y25_N13
\led_flash_cnt[2974][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2974][5]~68524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2974][5]~q\);

-- Location: LCCOMB_X71_Y25_N14
\led_flash_cnt[2974][6]~68526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2974][6]~68526_combout\ = (\led_flash_cnt[2974][6]~q\ & (!\led_flash_cnt[2974][5]~68525\)) # (!\led_flash_cnt[2974][6]~q\ & ((\led_flash_cnt[2974][5]~68525\) # (GND)))
-- \led_flash_cnt[2974][6]~68527\ = CARRY((!\led_flash_cnt[2974][5]~68525\) # (!\led_flash_cnt[2974][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2974][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2974][5]~68525\,
	combout => \led_flash_cnt[2974][6]~68526_combout\,
	cout => \led_flash_cnt[2974][6]~68527\);

-- Location: FF_X71_Y25_N15
\led_flash_cnt[2974][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2974][6]~68526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2974][6]~q\);

-- Location: LCCOMB_X71_Y25_N16
\led_flash_cnt[2974][7]~68528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2974][7]~68528_combout\ = \led_flash_cnt[2974][6]~68527\ $ (!\led_flash_cnt[2974][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2974][7]~q\,
	cin => \led_flash_cnt[2974][6]~68527\,
	combout => \led_flash_cnt[2974][7]~68528_combout\);

-- Location: FF_X71_Y25_N17
\led_flash_cnt[2974][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2974][7]~68528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2974][7]~q\);

-- Location: LCCOMB_X71_Y25_N26
\WideAnd2974~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2974~1_combout\ = (\led_flash_cnt[2974][6]~q\ & \led_flash_cnt[2974][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2974][6]~q\,
	datad => \led_flash_cnt[2974][5]~q\,
	combout => \WideAnd2974~1_combout\);

-- Location: LCCOMB_X71_Y25_N18
\WideAnd2974~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2974~0_combout\ = (\led_flash_cnt[2974][2]~q\ & (\led_flash_cnt[2974][3]~q\ & (\led_flash_cnt[2974][1]~q\ & \led_flash_cnt[2974][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2974][2]~q\,
	datab => \led_flash_cnt[2974][3]~q\,
	datac => \led_flash_cnt[2974][1]~q\,
	datad => \led_flash_cnt[2974][4]~q\,
	combout => \WideAnd2974~0_combout\);

-- Location: LCCOMB_X71_Y25_N28
WideAnd2974 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2974~combout\ = (\led_flash_cnt[2974][0]~q\ & (\led_flash_cnt[2974][7]~q\ & (\WideAnd2974~1_combout\ & \WideAnd2974~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2974][0]~q\,
	datab => \led_flash_cnt[2974][7]~q\,
	datac => \WideAnd2974~1_combout\,
	datad => \WideAnd2974~0_combout\,
	combout => \WideAnd2974~combout\);

-- Location: FF_X71_Y25_N29
\led_flash_cnt_ands[2974]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2974~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2974));

-- Location: LCCOMB_X70_Y25_N22
WideAnd4211 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4211~combout\ = (\WideAnd4211~1_combout\ & (led_flash_cnt_ands(2975) & (\WideAnd4211~0_combout\ & led_flash_cnt_ands(2974))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4211~1_combout\,
	datab => led_flash_cnt_ands(2975),
	datac => \WideAnd4211~0_combout\,
	datad => led_flash_cnt_ands(2974),
	combout => \WideAnd4211~combout\);

-- Location: FF_X70_Y25_N23
\led_flash_cnt_ands_1[371]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4211~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(371));

-- Location: LCCOMB_X69_Y41_N28
\led_flash_cnt[2951][0]~83591\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2951][0]~83591_combout\ = !\led_flash_cnt[2951][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2951][0]~q\,
	combout => \led_flash_cnt[2951][0]~83591_combout\);

-- Location: FF_X69_Y41_N29
\led_flash_cnt[2951][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2951][0]~83591_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2951][0]~q\);

-- Location: LCCOMB_X69_Y41_N12
\led_flash_cnt[2951][1]~68194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2951][1]~68194_combout\ = (\led_flash_cnt[2951][1]~q\ & (\led_flash_cnt[2951][0]~q\ $ (VCC))) # (!\led_flash_cnt[2951][1]~q\ & (\led_flash_cnt[2951][0]~q\ & VCC))
-- \led_flash_cnt[2951][1]~68195\ = CARRY((\led_flash_cnt[2951][1]~q\ & \led_flash_cnt[2951][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2951][1]~q\,
	datab => \led_flash_cnt[2951][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2951][1]~68194_combout\,
	cout => \led_flash_cnt[2951][1]~68195\);

-- Location: FF_X69_Y41_N13
\led_flash_cnt[2951][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2951][1]~68194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2951][1]~q\);

-- Location: LCCOMB_X69_Y41_N14
\led_flash_cnt[2951][2]~68196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2951][2]~68196_combout\ = (\led_flash_cnt[2951][2]~q\ & (!\led_flash_cnt[2951][1]~68195\)) # (!\led_flash_cnt[2951][2]~q\ & ((\led_flash_cnt[2951][1]~68195\) # (GND)))
-- \led_flash_cnt[2951][2]~68197\ = CARRY((!\led_flash_cnt[2951][1]~68195\) # (!\led_flash_cnt[2951][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2951][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2951][1]~68195\,
	combout => \led_flash_cnt[2951][2]~68196_combout\,
	cout => \led_flash_cnt[2951][2]~68197\);

-- Location: FF_X69_Y41_N15
\led_flash_cnt[2951][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2951][2]~68196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2951][2]~q\);

-- Location: LCCOMB_X69_Y41_N16
\led_flash_cnt[2951][3]~68198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2951][3]~68198_combout\ = (\led_flash_cnt[2951][3]~q\ & (\led_flash_cnt[2951][2]~68197\ $ (GND))) # (!\led_flash_cnt[2951][3]~q\ & (!\led_flash_cnt[2951][2]~68197\ & VCC))
-- \led_flash_cnt[2951][3]~68199\ = CARRY((\led_flash_cnt[2951][3]~q\ & !\led_flash_cnt[2951][2]~68197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2951][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2951][2]~68197\,
	combout => \led_flash_cnt[2951][3]~68198_combout\,
	cout => \led_flash_cnt[2951][3]~68199\);

-- Location: FF_X69_Y41_N17
\led_flash_cnt[2951][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2951][3]~68198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2951][3]~q\);

-- Location: LCCOMB_X69_Y41_N18
\led_flash_cnt[2951][4]~68200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2951][4]~68200_combout\ = (\led_flash_cnt[2951][4]~q\ & (!\led_flash_cnt[2951][3]~68199\)) # (!\led_flash_cnt[2951][4]~q\ & ((\led_flash_cnt[2951][3]~68199\) # (GND)))
-- \led_flash_cnt[2951][4]~68201\ = CARRY((!\led_flash_cnt[2951][3]~68199\) # (!\led_flash_cnt[2951][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2951][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2951][3]~68199\,
	combout => \led_flash_cnt[2951][4]~68200_combout\,
	cout => \led_flash_cnt[2951][4]~68201\);

-- Location: FF_X69_Y41_N19
\led_flash_cnt[2951][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2951][4]~68200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2951][4]~q\);

-- Location: LCCOMB_X69_Y41_N10
\WideAnd2951~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2951~0_combout\ = (\led_flash_cnt[2951][4]~q\ & (\led_flash_cnt[2951][3]~q\ & (\led_flash_cnt[2951][2]~q\ & \led_flash_cnt[2951][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2951][4]~q\,
	datab => \led_flash_cnt[2951][3]~q\,
	datac => \led_flash_cnt[2951][2]~q\,
	datad => \led_flash_cnt[2951][1]~q\,
	combout => \WideAnd2951~0_combout\);

-- Location: LCCOMB_X69_Y41_N20
\led_flash_cnt[2951][5]~68202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2951][5]~68202_combout\ = (\led_flash_cnt[2951][5]~q\ & (\led_flash_cnt[2951][4]~68201\ $ (GND))) # (!\led_flash_cnt[2951][5]~q\ & (!\led_flash_cnt[2951][4]~68201\ & VCC))
-- \led_flash_cnt[2951][5]~68203\ = CARRY((\led_flash_cnt[2951][5]~q\ & !\led_flash_cnt[2951][4]~68201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2951][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2951][4]~68201\,
	combout => \led_flash_cnt[2951][5]~68202_combout\,
	cout => \led_flash_cnt[2951][5]~68203\);

-- Location: FF_X69_Y41_N21
\led_flash_cnt[2951][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2951][5]~68202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2951][5]~q\);

-- Location: LCCOMB_X69_Y41_N22
\led_flash_cnt[2951][6]~68204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2951][6]~68204_combout\ = (\led_flash_cnt[2951][6]~q\ & (!\led_flash_cnt[2951][5]~68203\)) # (!\led_flash_cnt[2951][6]~q\ & ((\led_flash_cnt[2951][5]~68203\) # (GND)))
-- \led_flash_cnt[2951][6]~68205\ = CARRY((!\led_flash_cnt[2951][5]~68203\) # (!\led_flash_cnt[2951][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2951][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2951][5]~68203\,
	combout => \led_flash_cnt[2951][6]~68204_combout\,
	cout => \led_flash_cnt[2951][6]~68205\);

-- Location: FF_X69_Y41_N23
\led_flash_cnt[2951][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2951][6]~68204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2951][6]~q\);

-- Location: LCCOMB_X69_Y41_N24
\led_flash_cnt[2951][7]~68206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2951][7]~68206_combout\ = \led_flash_cnt[2951][6]~68205\ $ (!\led_flash_cnt[2951][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2951][7]~q\,
	cin => \led_flash_cnt[2951][6]~68205\,
	combout => \led_flash_cnt[2951][7]~68206_combout\);

-- Location: FF_X69_Y41_N25
\led_flash_cnt[2951][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2951][7]~68206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2951][7]~q\);

-- Location: LCCOMB_X69_Y41_N4
\WideAnd2951~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2951~1_combout\ = (\led_flash_cnt[2951][6]~q\ & \led_flash_cnt[2951][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2951][6]~q\,
	datad => \led_flash_cnt[2951][5]~q\,
	combout => \WideAnd2951~1_combout\);

-- Location: LCCOMB_X69_Y41_N26
WideAnd2951 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2951~combout\ = (\WideAnd2951~0_combout\ & (\led_flash_cnt[2951][7]~q\ & (\WideAnd2951~1_combout\ & \led_flash_cnt[2951][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2951~0_combout\,
	datab => \led_flash_cnt[2951][7]~q\,
	datac => \WideAnd2951~1_combout\,
	datad => \led_flash_cnt[2951][0]~q\,
	combout => \WideAnd2951~combout\);

-- Location: FF_X69_Y41_N27
\led_flash_cnt_ands[2951]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2951~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2951));

-- Location: LCCOMB_X63_Y38_N22
\led_flash_cnt[2946][0]~83586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2946][0]~83586_combout\ = !\led_flash_cnt[2946][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2946][0]~q\,
	combout => \led_flash_cnt[2946][0]~83586_combout\);

-- Location: FF_X63_Y38_N23
\led_flash_cnt[2946][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2946][0]~83586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2946][0]~q\);

-- Location: LCCOMB_X63_Y38_N2
\led_flash_cnt[2946][1]~68124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2946][1]~68124_combout\ = (\led_flash_cnt[2946][0]~q\ & (\led_flash_cnt[2946][1]~q\ $ (VCC))) # (!\led_flash_cnt[2946][0]~q\ & (\led_flash_cnt[2946][1]~q\ & VCC))
-- \led_flash_cnt[2946][1]~68125\ = CARRY((\led_flash_cnt[2946][0]~q\ & \led_flash_cnt[2946][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2946][0]~q\,
	datab => \led_flash_cnt[2946][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2946][1]~68124_combout\,
	cout => \led_flash_cnt[2946][1]~68125\);

-- Location: FF_X63_Y38_N3
\led_flash_cnt[2946][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2946][1]~68124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2946][1]~q\);

-- Location: LCCOMB_X63_Y38_N4
\led_flash_cnt[2946][2]~68126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2946][2]~68126_combout\ = (\led_flash_cnt[2946][2]~q\ & (!\led_flash_cnt[2946][1]~68125\)) # (!\led_flash_cnt[2946][2]~q\ & ((\led_flash_cnt[2946][1]~68125\) # (GND)))
-- \led_flash_cnt[2946][2]~68127\ = CARRY((!\led_flash_cnt[2946][1]~68125\) # (!\led_flash_cnt[2946][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2946][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2946][1]~68125\,
	combout => \led_flash_cnt[2946][2]~68126_combout\,
	cout => \led_flash_cnt[2946][2]~68127\);

-- Location: FF_X63_Y38_N5
\led_flash_cnt[2946][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2946][2]~68126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2946][2]~q\);

-- Location: LCCOMB_X63_Y38_N6
\led_flash_cnt[2946][3]~68128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2946][3]~68128_combout\ = (\led_flash_cnt[2946][3]~q\ & (\led_flash_cnt[2946][2]~68127\ $ (GND))) # (!\led_flash_cnt[2946][3]~q\ & (!\led_flash_cnt[2946][2]~68127\ & VCC))
-- \led_flash_cnt[2946][3]~68129\ = CARRY((\led_flash_cnt[2946][3]~q\ & !\led_flash_cnt[2946][2]~68127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2946][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2946][2]~68127\,
	combout => \led_flash_cnt[2946][3]~68128_combout\,
	cout => \led_flash_cnt[2946][3]~68129\);

-- Location: FF_X63_Y38_N7
\led_flash_cnt[2946][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2946][3]~68128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2946][3]~q\);

-- Location: LCCOMB_X63_Y38_N8
\led_flash_cnt[2946][4]~68130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2946][4]~68130_combout\ = (\led_flash_cnt[2946][4]~q\ & (!\led_flash_cnt[2946][3]~68129\)) # (!\led_flash_cnt[2946][4]~q\ & ((\led_flash_cnt[2946][3]~68129\) # (GND)))
-- \led_flash_cnt[2946][4]~68131\ = CARRY((!\led_flash_cnt[2946][3]~68129\) # (!\led_flash_cnt[2946][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2946][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2946][3]~68129\,
	combout => \led_flash_cnt[2946][4]~68130_combout\,
	cout => \led_flash_cnt[2946][4]~68131\);

-- Location: FF_X63_Y38_N9
\led_flash_cnt[2946][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2946][4]~68130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2946][4]~q\);

-- Location: LCCOMB_X63_Y38_N10
\led_flash_cnt[2946][5]~68132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2946][5]~68132_combout\ = (\led_flash_cnt[2946][5]~q\ & (\led_flash_cnt[2946][4]~68131\ $ (GND))) # (!\led_flash_cnt[2946][5]~q\ & (!\led_flash_cnt[2946][4]~68131\ & VCC))
-- \led_flash_cnt[2946][5]~68133\ = CARRY((\led_flash_cnt[2946][5]~q\ & !\led_flash_cnt[2946][4]~68131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2946][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2946][4]~68131\,
	combout => \led_flash_cnt[2946][5]~68132_combout\,
	cout => \led_flash_cnt[2946][5]~68133\);

-- Location: FF_X63_Y38_N11
\led_flash_cnt[2946][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2946][5]~68132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2946][5]~q\);

-- Location: LCCOMB_X63_Y38_N12
\led_flash_cnt[2946][6]~68134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2946][6]~68134_combout\ = (\led_flash_cnt[2946][6]~q\ & (!\led_flash_cnt[2946][5]~68133\)) # (!\led_flash_cnt[2946][6]~q\ & ((\led_flash_cnt[2946][5]~68133\) # (GND)))
-- \led_flash_cnt[2946][6]~68135\ = CARRY((!\led_flash_cnt[2946][5]~68133\) # (!\led_flash_cnt[2946][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2946][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2946][5]~68133\,
	combout => \led_flash_cnt[2946][6]~68134_combout\,
	cout => \led_flash_cnt[2946][6]~68135\);

-- Location: FF_X63_Y38_N13
\led_flash_cnt[2946][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2946][6]~68134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2946][6]~q\);

-- Location: LCCOMB_X63_Y38_N18
\WideAnd2946~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2946~1_combout\ = (\led_flash_cnt[2946][6]~q\ & \led_flash_cnt[2946][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2946][6]~q\,
	datad => \led_flash_cnt[2946][5]~q\,
	combout => \WideAnd2946~1_combout\);

-- Location: LCCOMB_X63_Y38_N14
\led_flash_cnt[2946][7]~68136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2946][7]~68136_combout\ = \led_flash_cnt[2946][7]~q\ $ (!\led_flash_cnt[2946][6]~68135\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2946][7]~q\,
	cin => \led_flash_cnt[2946][6]~68135\,
	combout => \led_flash_cnt[2946][7]~68136_combout\);

-- Location: FF_X63_Y38_N15
\led_flash_cnt[2946][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2946][7]~68136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2946][7]~q\);

-- Location: LCCOMB_X63_Y38_N24
\WideAnd2946~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2946~0_combout\ = (\led_flash_cnt[2946][3]~q\ & (\led_flash_cnt[2946][2]~q\ & (\led_flash_cnt[2946][4]~q\ & \led_flash_cnt[2946][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2946][3]~q\,
	datab => \led_flash_cnt[2946][2]~q\,
	datac => \led_flash_cnt[2946][4]~q\,
	datad => \led_flash_cnt[2946][1]~q\,
	combout => \WideAnd2946~0_combout\);

-- Location: LCCOMB_X63_Y38_N30
WideAnd2946 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2946~combout\ = (\led_flash_cnt[2946][0]~q\ & (\WideAnd2946~1_combout\ & (\led_flash_cnt[2946][7]~q\ & \WideAnd2946~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2946][0]~q\,
	datab => \WideAnd2946~1_combout\,
	datac => \led_flash_cnt[2946][7]~q\,
	datad => \WideAnd2946~0_combout\,
	combout => \WideAnd2946~combout\);

-- Location: FF_X63_Y38_N31
\led_flash_cnt_ands[2946]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2946~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2946));

-- Location: LCCOMB_X69_Y40_N24
\led_flash_cnt[2947][0]~83587\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2947][0]~83587_combout\ = !\led_flash_cnt[2947][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2947][0]~q\,
	combout => \led_flash_cnt[2947][0]~83587_combout\);

-- Location: FF_X69_Y40_N25
\led_flash_cnt[2947][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2947][0]~83587_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2947][0]~q\);

-- Location: LCCOMB_X69_Y40_N10
\led_flash_cnt[2947][1]~68138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2947][1]~68138_combout\ = (\led_flash_cnt[2947][1]~q\ & (\led_flash_cnt[2947][0]~q\ $ (VCC))) # (!\led_flash_cnt[2947][1]~q\ & (\led_flash_cnt[2947][0]~q\ & VCC))
-- \led_flash_cnt[2947][1]~68139\ = CARRY((\led_flash_cnt[2947][1]~q\ & \led_flash_cnt[2947][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2947][1]~q\,
	datab => \led_flash_cnt[2947][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2947][1]~68138_combout\,
	cout => \led_flash_cnt[2947][1]~68139\);

-- Location: FF_X69_Y40_N11
\led_flash_cnt[2947][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2947][1]~68138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2947][1]~q\);

-- Location: LCCOMB_X69_Y40_N12
\led_flash_cnt[2947][2]~68140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2947][2]~68140_combout\ = (\led_flash_cnt[2947][2]~q\ & (!\led_flash_cnt[2947][1]~68139\)) # (!\led_flash_cnt[2947][2]~q\ & ((\led_flash_cnt[2947][1]~68139\) # (GND)))
-- \led_flash_cnt[2947][2]~68141\ = CARRY((!\led_flash_cnt[2947][1]~68139\) # (!\led_flash_cnt[2947][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2947][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2947][1]~68139\,
	combout => \led_flash_cnt[2947][2]~68140_combout\,
	cout => \led_flash_cnt[2947][2]~68141\);

-- Location: FF_X69_Y40_N13
\led_flash_cnt[2947][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2947][2]~68140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2947][2]~q\);

-- Location: LCCOMB_X69_Y40_N14
\led_flash_cnt[2947][3]~68142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2947][3]~68142_combout\ = (\led_flash_cnt[2947][3]~q\ & (\led_flash_cnt[2947][2]~68141\ $ (GND))) # (!\led_flash_cnt[2947][3]~q\ & (!\led_flash_cnt[2947][2]~68141\ & VCC))
-- \led_flash_cnt[2947][3]~68143\ = CARRY((\led_flash_cnt[2947][3]~q\ & !\led_flash_cnt[2947][2]~68141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2947][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2947][2]~68141\,
	combout => \led_flash_cnt[2947][3]~68142_combout\,
	cout => \led_flash_cnt[2947][3]~68143\);

-- Location: FF_X69_Y40_N15
\led_flash_cnt[2947][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2947][3]~68142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2947][3]~q\);

-- Location: LCCOMB_X69_Y40_N16
\led_flash_cnt[2947][4]~68144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2947][4]~68144_combout\ = (\led_flash_cnt[2947][4]~q\ & (!\led_flash_cnt[2947][3]~68143\)) # (!\led_flash_cnt[2947][4]~q\ & ((\led_flash_cnt[2947][3]~68143\) # (GND)))
-- \led_flash_cnt[2947][4]~68145\ = CARRY((!\led_flash_cnt[2947][3]~68143\) # (!\led_flash_cnt[2947][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2947][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2947][3]~68143\,
	combout => \led_flash_cnt[2947][4]~68144_combout\,
	cout => \led_flash_cnt[2947][4]~68145\);

-- Location: FF_X69_Y40_N17
\led_flash_cnt[2947][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2947][4]~68144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2947][4]~q\);

-- Location: LCCOMB_X69_Y40_N18
\led_flash_cnt[2947][5]~68146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2947][5]~68146_combout\ = (\led_flash_cnt[2947][5]~q\ & (\led_flash_cnt[2947][4]~68145\ $ (GND))) # (!\led_flash_cnt[2947][5]~q\ & (!\led_flash_cnt[2947][4]~68145\ & VCC))
-- \led_flash_cnt[2947][5]~68147\ = CARRY((\led_flash_cnt[2947][5]~q\ & !\led_flash_cnt[2947][4]~68145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2947][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2947][4]~68145\,
	combout => \led_flash_cnt[2947][5]~68146_combout\,
	cout => \led_flash_cnt[2947][5]~68147\);

-- Location: FF_X69_Y40_N19
\led_flash_cnt[2947][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2947][5]~68146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2947][5]~q\);

-- Location: LCCOMB_X69_Y40_N20
\led_flash_cnt[2947][6]~68148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2947][6]~68148_combout\ = (\led_flash_cnt[2947][6]~q\ & (!\led_flash_cnt[2947][5]~68147\)) # (!\led_flash_cnt[2947][6]~q\ & ((\led_flash_cnt[2947][5]~68147\) # (GND)))
-- \led_flash_cnt[2947][6]~68149\ = CARRY((!\led_flash_cnt[2947][5]~68147\) # (!\led_flash_cnt[2947][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2947][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2947][5]~68147\,
	combout => \led_flash_cnt[2947][6]~68148_combout\,
	cout => \led_flash_cnt[2947][6]~68149\);

-- Location: FF_X69_Y40_N21
\led_flash_cnt[2947][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2947][6]~68148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2947][6]~q\);

-- Location: LCCOMB_X69_Y40_N26
\WideAnd2947~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2947~1_combout\ = (\led_flash_cnt[2947][6]~q\ & \led_flash_cnt[2947][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2947][6]~q\,
	datad => \led_flash_cnt[2947][5]~q\,
	combout => \WideAnd2947~1_combout\);

-- Location: LCCOMB_X69_Y40_N22
\led_flash_cnt[2947][7]~68150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2947][7]~68150_combout\ = \led_flash_cnt[2947][7]~q\ $ (!\led_flash_cnt[2947][6]~68149\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2947][7]~q\,
	cin => \led_flash_cnt[2947][6]~68149\,
	combout => \led_flash_cnt[2947][7]~68150_combout\);

-- Location: FF_X69_Y40_N23
\led_flash_cnt[2947][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2947][7]~68150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2947][7]~q\);

-- Location: LCCOMB_X69_Y40_N28
\WideAnd2947~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2947~0_combout\ = (\led_flash_cnt[2947][2]~q\ & (\led_flash_cnt[2947][4]~q\ & (\led_flash_cnt[2947][3]~q\ & \led_flash_cnt[2947][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2947][2]~q\,
	datab => \led_flash_cnt[2947][4]~q\,
	datac => \led_flash_cnt[2947][3]~q\,
	datad => \led_flash_cnt[2947][1]~q\,
	combout => \WideAnd2947~0_combout\);

-- Location: LCCOMB_X69_Y40_N4
WideAnd2947 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2947~combout\ = (\WideAnd2947~1_combout\ & (\led_flash_cnt[2947][0]~q\ & (\led_flash_cnt[2947][7]~q\ & \WideAnd2947~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2947~1_combout\,
	datab => \led_flash_cnt[2947][0]~q\,
	datac => \led_flash_cnt[2947][7]~q\,
	datad => \WideAnd2947~0_combout\,
	combout => \WideAnd2947~combout\);

-- Location: FF_X69_Y40_N5
\led_flash_cnt_ands[2947]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2947~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2947));

-- Location: LCCOMB_X67_Y40_N18
\led_flash_cnt[2945][0]~83585\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2945][0]~83585_combout\ = !\led_flash_cnt[2945][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2945][0]~q\,
	combout => \led_flash_cnt[2945][0]~83585_combout\);

-- Location: FF_X67_Y40_N19
\led_flash_cnt[2945][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2945][0]~83585_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2945][0]~q\);

-- Location: LCCOMB_X67_Y40_N0
\led_flash_cnt[2945][1]~68110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2945][1]~68110_combout\ = (\led_flash_cnt[2945][1]~q\ & (\led_flash_cnt[2945][0]~q\ $ (VCC))) # (!\led_flash_cnt[2945][1]~q\ & (\led_flash_cnt[2945][0]~q\ & VCC))
-- \led_flash_cnt[2945][1]~68111\ = CARRY((\led_flash_cnt[2945][1]~q\ & \led_flash_cnt[2945][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2945][1]~q\,
	datab => \led_flash_cnt[2945][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2945][1]~68110_combout\,
	cout => \led_flash_cnt[2945][1]~68111\);

-- Location: FF_X67_Y40_N1
\led_flash_cnt[2945][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2945][1]~68110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2945][1]~q\);

-- Location: LCCOMB_X67_Y40_N2
\led_flash_cnt[2945][2]~68112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2945][2]~68112_combout\ = (\led_flash_cnt[2945][2]~q\ & (!\led_flash_cnt[2945][1]~68111\)) # (!\led_flash_cnt[2945][2]~q\ & ((\led_flash_cnt[2945][1]~68111\) # (GND)))
-- \led_flash_cnt[2945][2]~68113\ = CARRY((!\led_flash_cnt[2945][1]~68111\) # (!\led_flash_cnt[2945][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2945][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2945][1]~68111\,
	combout => \led_flash_cnt[2945][2]~68112_combout\,
	cout => \led_flash_cnt[2945][2]~68113\);

-- Location: FF_X67_Y40_N3
\led_flash_cnt[2945][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2945][2]~68112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2945][2]~q\);

-- Location: LCCOMB_X67_Y40_N4
\led_flash_cnt[2945][3]~68114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2945][3]~68114_combout\ = (\led_flash_cnt[2945][3]~q\ & (\led_flash_cnt[2945][2]~68113\ $ (GND))) # (!\led_flash_cnt[2945][3]~q\ & (!\led_flash_cnt[2945][2]~68113\ & VCC))
-- \led_flash_cnt[2945][3]~68115\ = CARRY((\led_flash_cnt[2945][3]~q\ & !\led_flash_cnt[2945][2]~68113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2945][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2945][2]~68113\,
	combout => \led_flash_cnt[2945][3]~68114_combout\,
	cout => \led_flash_cnt[2945][3]~68115\);

-- Location: FF_X67_Y40_N5
\led_flash_cnt[2945][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2945][3]~68114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2945][3]~q\);

-- Location: LCCOMB_X67_Y40_N6
\led_flash_cnt[2945][4]~68116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2945][4]~68116_combout\ = (\led_flash_cnt[2945][4]~q\ & (!\led_flash_cnt[2945][3]~68115\)) # (!\led_flash_cnt[2945][4]~q\ & ((\led_flash_cnt[2945][3]~68115\) # (GND)))
-- \led_flash_cnt[2945][4]~68117\ = CARRY((!\led_flash_cnt[2945][3]~68115\) # (!\led_flash_cnt[2945][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2945][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2945][3]~68115\,
	combout => \led_flash_cnt[2945][4]~68116_combout\,
	cout => \led_flash_cnt[2945][4]~68117\);

-- Location: FF_X67_Y40_N7
\led_flash_cnt[2945][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2945][4]~68116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2945][4]~q\);

-- Location: LCCOMB_X67_Y40_N8
\led_flash_cnt[2945][5]~68118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2945][5]~68118_combout\ = (\led_flash_cnt[2945][5]~q\ & (\led_flash_cnt[2945][4]~68117\ $ (GND))) # (!\led_flash_cnt[2945][5]~q\ & (!\led_flash_cnt[2945][4]~68117\ & VCC))
-- \led_flash_cnt[2945][5]~68119\ = CARRY((\led_flash_cnt[2945][5]~q\ & !\led_flash_cnt[2945][4]~68117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2945][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2945][4]~68117\,
	combout => \led_flash_cnt[2945][5]~68118_combout\,
	cout => \led_flash_cnt[2945][5]~68119\);

-- Location: FF_X67_Y40_N9
\led_flash_cnt[2945][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2945][5]~68118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2945][5]~q\);

-- Location: LCCOMB_X67_Y40_N10
\led_flash_cnt[2945][6]~68120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2945][6]~68120_combout\ = (\led_flash_cnt[2945][6]~q\ & (!\led_flash_cnt[2945][5]~68119\)) # (!\led_flash_cnt[2945][6]~q\ & ((\led_flash_cnt[2945][5]~68119\) # (GND)))
-- \led_flash_cnt[2945][6]~68121\ = CARRY((!\led_flash_cnt[2945][5]~68119\) # (!\led_flash_cnt[2945][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2945][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2945][5]~68119\,
	combout => \led_flash_cnt[2945][6]~68120_combout\,
	cout => \led_flash_cnt[2945][6]~68121\);

-- Location: FF_X67_Y40_N11
\led_flash_cnt[2945][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2945][6]~68120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2945][6]~q\);

-- Location: LCCOMB_X67_Y40_N12
\led_flash_cnt[2945][7]~68122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2945][7]~68122_combout\ = \led_flash_cnt[2945][6]~68121\ $ (!\led_flash_cnt[2945][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2945][7]~q\,
	cin => \led_flash_cnt[2945][6]~68121\,
	combout => \led_flash_cnt[2945][7]~68122_combout\);

-- Location: FF_X67_Y40_N13
\led_flash_cnt[2945][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2945][7]~68122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2945][7]~q\);

-- Location: LCCOMB_X67_Y40_N24
\WideAnd2945~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2945~0_combout\ = (\led_flash_cnt[2945][4]~q\ & (\led_flash_cnt[2945][1]~q\ & (\led_flash_cnt[2945][3]~q\ & \led_flash_cnt[2945][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2945][4]~q\,
	datab => \led_flash_cnt[2945][1]~q\,
	datac => \led_flash_cnt[2945][3]~q\,
	datad => \led_flash_cnt[2945][2]~q\,
	combout => \WideAnd2945~0_combout\);

-- Location: LCCOMB_X67_Y40_N26
\WideAnd2945~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2945~1_combout\ = (\led_flash_cnt[2945][5]~q\ & \led_flash_cnt[2945][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2945][5]~q\,
	datad => \led_flash_cnt[2945][6]~q\,
	combout => \WideAnd2945~1_combout\);

-- Location: LCCOMB_X67_Y40_N22
WideAnd2945 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2945~combout\ = (\led_flash_cnt[2945][7]~q\ & (\WideAnd2945~0_combout\ & (\WideAnd2945~1_combout\ & \led_flash_cnt[2945][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2945][7]~q\,
	datab => \WideAnd2945~0_combout\,
	datac => \WideAnd2945~1_combout\,
	datad => \led_flash_cnt[2945][0]~q\,
	combout => \WideAnd2945~combout\);

-- Location: FF_X67_Y40_N23
\led_flash_cnt_ands[2945]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2945~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2945));

-- Location: LCCOMB_X74_Y40_N26
\led_flash_cnt[2944][0]~83584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2944][0]~83584_combout\ = !\led_flash_cnt[2944][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2944][0]~q\,
	combout => \led_flash_cnt[2944][0]~83584_combout\);

-- Location: FF_X74_Y40_N27
\led_flash_cnt[2944][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2944][0]~83584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2944][0]~q\);

-- Location: LCCOMB_X74_Y40_N2
\led_flash_cnt[2944][1]~68096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2944][1]~68096_combout\ = (\led_flash_cnt[2944][0]~q\ & (\led_flash_cnt[2944][1]~q\ $ (VCC))) # (!\led_flash_cnt[2944][0]~q\ & (\led_flash_cnt[2944][1]~q\ & VCC))
-- \led_flash_cnt[2944][1]~68097\ = CARRY((\led_flash_cnt[2944][0]~q\ & \led_flash_cnt[2944][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2944][0]~q\,
	datab => \led_flash_cnt[2944][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2944][1]~68096_combout\,
	cout => \led_flash_cnt[2944][1]~68097\);

-- Location: FF_X74_Y40_N3
\led_flash_cnt[2944][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2944][1]~68096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2944][1]~q\);

-- Location: LCCOMB_X74_Y40_N4
\led_flash_cnt[2944][2]~68098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2944][2]~68098_combout\ = (\led_flash_cnt[2944][2]~q\ & (!\led_flash_cnt[2944][1]~68097\)) # (!\led_flash_cnt[2944][2]~q\ & ((\led_flash_cnt[2944][1]~68097\) # (GND)))
-- \led_flash_cnt[2944][2]~68099\ = CARRY((!\led_flash_cnt[2944][1]~68097\) # (!\led_flash_cnt[2944][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2944][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2944][1]~68097\,
	combout => \led_flash_cnt[2944][2]~68098_combout\,
	cout => \led_flash_cnt[2944][2]~68099\);

-- Location: FF_X74_Y40_N5
\led_flash_cnt[2944][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2944][2]~68098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2944][2]~q\);

-- Location: LCCOMB_X74_Y40_N6
\led_flash_cnt[2944][3]~68100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2944][3]~68100_combout\ = (\led_flash_cnt[2944][3]~q\ & (\led_flash_cnt[2944][2]~68099\ $ (GND))) # (!\led_flash_cnt[2944][3]~q\ & (!\led_flash_cnt[2944][2]~68099\ & VCC))
-- \led_flash_cnt[2944][3]~68101\ = CARRY((\led_flash_cnt[2944][3]~q\ & !\led_flash_cnt[2944][2]~68099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2944][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2944][2]~68099\,
	combout => \led_flash_cnt[2944][3]~68100_combout\,
	cout => \led_flash_cnt[2944][3]~68101\);

-- Location: FF_X74_Y40_N7
\led_flash_cnt[2944][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2944][3]~68100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2944][3]~q\);

-- Location: LCCOMB_X74_Y40_N8
\led_flash_cnt[2944][4]~68102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2944][4]~68102_combout\ = (\led_flash_cnt[2944][4]~q\ & (!\led_flash_cnt[2944][3]~68101\)) # (!\led_flash_cnt[2944][4]~q\ & ((\led_flash_cnt[2944][3]~68101\) # (GND)))
-- \led_flash_cnt[2944][4]~68103\ = CARRY((!\led_flash_cnt[2944][3]~68101\) # (!\led_flash_cnt[2944][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2944][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2944][3]~68101\,
	combout => \led_flash_cnt[2944][4]~68102_combout\,
	cout => \led_flash_cnt[2944][4]~68103\);

-- Location: FF_X74_Y40_N9
\led_flash_cnt[2944][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2944][4]~68102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2944][4]~q\);

-- Location: LCCOMB_X74_Y40_N10
\led_flash_cnt[2944][5]~68104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2944][5]~68104_combout\ = (\led_flash_cnt[2944][5]~q\ & (\led_flash_cnt[2944][4]~68103\ $ (GND))) # (!\led_flash_cnt[2944][5]~q\ & (!\led_flash_cnt[2944][4]~68103\ & VCC))
-- \led_flash_cnt[2944][5]~68105\ = CARRY((\led_flash_cnt[2944][5]~q\ & !\led_flash_cnt[2944][4]~68103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2944][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2944][4]~68103\,
	combout => \led_flash_cnt[2944][5]~68104_combout\,
	cout => \led_flash_cnt[2944][5]~68105\);

-- Location: FF_X74_Y40_N11
\led_flash_cnt[2944][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2944][5]~68104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2944][5]~q\);

-- Location: LCCOMB_X74_Y40_N12
\led_flash_cnt[2944][6]~68106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2944][6]~68106_combout\ = (\led_flash_cnt[2944][6]~q\ & (!\led_flash_cnt[2944][5]~68105\)) # (!\led_flash_cnt[2944][6]~q\ & ((\led_flash_cnt[2944][5]~68105\) # (GND)))
-- \led_flash_cnt[2944][6]~68107\ = CARRY((!\led_flash_cnt[2944][5]~68105\) # (!\led_flash_cnt[2944][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2944][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2944][5]~68105\,
	combout => \led_flash_cnt[2944][6]~68106_combout\,
	cout => \led_flash_cnt[2944][6]~68107\);

-- Location: FF_X74_Y40_N13
\led_flash_cnt[2944][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2944][6]~68106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2944][6]~q\);

-- Location: LCCOMB_X74_Y40_N22
\WideAnd2944~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2944~1_combout\ = (\led_flash_cnt[2944][6]~q\ & \led_flash_cnt[2944][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2944][6]~q\,
	datad => \led_flash_cnt[2944][5]~q\,
	combout => \WideAnd2944~1_combout\);

-- Location: LCCOMB_X74_Y40_N14
\led_flash_cnt[2944][7]~68108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2944][7]~68108_combout\ = \led_flash_cnt[2944][7]~q\ $ (!\led_flash_cnt[2944][6]~68107\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2944][7]~q\,
	cin => \led_flash_cnt[2944][6]~68107\,
	combout => \led_flash_cnt[2944][7]~68108_combout\);

-- Location: FF_X74_Y40_N15
\led_flash_cnt[2944][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2944][7]~68108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2944][7]~q\);

-- Location: LCCOMB_X74_Y40_N18
\WideAnd2944~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2944~0_combout\ = (\led_flash_cnt[2944][3]~q\ & (\led_flash_cnt[2944][2]~q\ & (\led_flash_cnt[2944][4]~q\ & \led_flash_cnt[2944][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2944][3]~q\,
	datab => \led_flash_cnt[2944][2]~q\,
	datac => \led_flash_cnt[2944][4]~q\,
	datad => \led_flash_cnt[2944][1]~q\,
	combout => \WideAnd2944~0_combout\);

-- Location: LCCOMB_X74_Y40_N30
WideAnd2944 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2944~combout\ = (\WideAnd2944~1_combout\ & (\led_flash_cnt[2944][7]~q\ & (\led_flash_cnt[2944][0]~q\ & \WideAnd2944~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2944~1_combout\,
	datab => \led_flash_cnt[2944][7]~q\,
	datac => \led_flash_cnt[2944][0]~q\,
	datad => \WideAnd2944~0_combout\,
	combout => \WideAnd2944~combout\);

-- Location: FF_X74_Y40_N31
\led_flash_cnt_ands[2944]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2944~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2944));

-- Location: LCCOMB_X69_Y40_N0
\WideAnd4208~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4208~0_combout\ = (led_flash_cnt_ands(2946) & (led_flash_cnt_ands(2947) & (led_flash_cnt_ands(2945) & led_flash_cnt_ands(2944))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2946),
	datab => led_flash_cnt_ands(2947),
	datac => led_flash_cnt_ands(2945),
	datad => led_flash_cnt_ands(2944),
	combout => \WideAnd4208~0_combout\);

-- Location: LCCOMB_X60_Y41_N30
\led_flash_cnt[2949][0]~83589\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2949][0]~83589_combout\ = !\led_flash_cnt[2949][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2949][0]~q\,
	combout => \led_flash_cnt[2949][0]~83589_combout\);

-- Location: FF_X60_Y41_N31
\led_flash_cnt[2949][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2949][0]~83589_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2949][0]~q\);

-- Location: LCCOMB_X59_Y41_N2
\led_flash_cnt[2949][1]~68166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2949][1]~68166_combout\ = (\led_flash_cnt[2949][0]~q\ & (\led_flash_cnt[2949][1]~q\ $ (VCC))) # (!\led_flash_cnt[2949][0]~q\ & (\led_flash_cnt[2949][1]~q\ & VCC))
-- \led_flash_cnt[2949][1]~68167\ = CARRY((\led_flash_cnt[2949][0]~q\ & \led_flash_cnt[2949][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2949][0]~q\,
	datab => \led_flash_cnt[2949][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2949][1]~68166_combout\,
	cout => \led_flash_cnt[2949][1]~68167\);

-- Location: FF_X59_Y41_N3
\led_flash_cnt[2949][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2949][1]~68166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2949][1]~q\);

-- Location: LCCOMB_X59_Y41_N4
\led_flash_cnt[2949][2]~68168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2949][2]~68168_combout\ = (\led_flash_cnt[2949][2]~q\ & (!\led_flash_cnt[2949][1]~68167\)) # (!\led_flash_cnt[2949][2]~q\ & ((\led_flash_cnt[2949][1]~68167\) # (GND)))
-- \led_flash_cnt[2949][2]~68169\ = CARRY((!\led_flash_cnt[2949][1]~68167\) # (!\led_flash_cnt[2949][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2949][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2949][1]~68167\,
	combout => \led_flash_cnt[2949][2]~68168_combout\,
	cout => \led_flash_cnt[2949][2]~68169\);

-- Location: FF_X59_Y41_N5
\led_flash_cnt[2949][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2949][2]~68168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2949][2]~q\);

-- Location: LCCOMB_X59_Y41_N6
\led_flash_cnt[2949][3]~68170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2949][3]~68170_combout\ = (\led_flash_cnt[2949][3]~q\ & (\led_flash_cnt[2949][2]~68169\ $ (GND))) # (!\led_flash_cnt[2949][3]~q\ & (!\led_flash_cnt[2949][2]~68169\ & VCC))
-- \led_flash_cnt[2949][3]~68171\ = CARRY((\led_flash_cnt[2949][3]~q\ & !\led_flash_cnt[2949][2]~68169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2949][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2949][2]~68169\,
	combout => \led_flash_cnt[2949][3]~68170_combout\,
	cout => \led_flash_cnt[2949][3]~68171\);

-- Location: FF_X59_Y41_N7
\led_flash_cnt[2949][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2949][3]~68170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2949][3]~q\);

-- Location: LCCOMB_X59_Y41_N8
\led_flash_cnt[2949][4]~68172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2949][4]~68172_combout\ = (\led_flash_cnt[2949][4]~q\ & (!\led_flash_cnt[2949][3]~68171\)) # (!\led_flash_cnt[2949][4]~q\ & ((\led_flash_cnt[2949][3]~68171\) # (GND)))
-- \led_flash_cnt[2949][4]~68173\ = CARRY((!\led_flash_cnt[2949][3]~68171\) # (!\led_flash_cnt[2949][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2949][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2949][3]~68171\,
	combout => \led_flash_cnt[2949][4]~68172_combout\,
	cout => \led_flash_cnt[2949][4]~68173\);

-- Location: FF_X59_Y41_N9
\led_flash_cnt[2949][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2949][4]~68172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2949][4]~q\);

-- Location: LCCOMB_X59_Y41_N10
\led_flash_cnt[2949][5]~68174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2949][5]~68174_combout\ = (\led_flash_cnt[2949][5]~q\ & (\led_flash_cnt[2949][4]~68173\ $ (GND))) # (!\led_flash_cnt[2949][5]~q\ & (!\led_flash_cnt[2949][4]~68173\ & VCC))
-- \led_flash_cnt[2949][5]~68175\ = CARRY((\led_flash_cnt[2949][5]~q\ & !\led_flash_cnt[2949][4]~68173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2949][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2949][4]~68173\,
	combout => \led_flash_cnt[2949][5]~68174_combout\,
	cout => \led_flash_cnt[2949][5]~68175\);

-- Location: FF_X59_Y41_N11
\led_flash_cnt[2949][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2949][5]~68174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2949][5]~q\);

-- Location: LCCOMB_X59_Y41_N12
\led_flash_cnt[2949][6]~68176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2949][6]~68176_combout\ = (\led_flash_cnt[2949][6]~q\ & (!\led_flash_cnt[2949][5]~68175\)) # (!\led_flash_cnt[2949][6]~q\ & ((\led_flash_cnt[2949][5]~68175\) # (GND)))
-- \led_flash_cnt[2949][6]~68177\ = CARRY((!\led_flash_cnt[2949][5]~68175\) # (!\led_flash_cnt[2949][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2949][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2949][5]~68175\,
	combout => \led_flash_cnt[2949][6]~68176_combout\,
	cout => \led_flash_cnt[2949][6]~68177\);

-- Location: FF_X59_Y41_N13
\led_flash_cnt[2949][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2949][6]~68176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2949][6]~q\);

-- Location: LCCOMB_X59_Y41_N14
\led_flash_cnt[2949][7]~68178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2949][7]~68178_combout\ = \led_flash_cnt[2949][7]~q\ $ (!\led_flash_cnt[2949][6]~68177\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2949][7]~q\,
	cin => \led_flash_cnt[2949][6]~68177\,
	combout => \led_flash_cnt[2949][7]~68178_combout\);

-- Location: FF_X59_Y41_N15
\led_flash_cnt[2949][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2949][7]~68178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2949][7]~q\);

-- Location: LCCOMB_X59_Y41_N16
\WideAnd2949~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2949~0_combout\ = (\led_flash_cnt[2949][3]~q\ & (\led_flash_cnt[2949][2]~q\ & (\led_flash_cnt[2949][4]~q\ & \led_flash_cnt[2949][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2949][3]~q\,
	datab => \led_flash_cnt[2949][2]~q\,
	datac => \led_flash_cnt[2949][4]~q\,
	datad => \led_flash_cnt[2949][1]~q\,
	combout => \WideAnd2949~0_combout\);

-- Location: LCCOMB_X60_Y41_N6
\WideAnd2949~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2949~1_combout\ = (\led_flash_cnt[2949][5]~q\ & \led_flash_cnt[2949][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2949][5]~q\,
	datad => \led_flash_cnt[2949][6]~q\,
	combout => \WideAnd2949~1_combout\);

-- Location: LCCOMB_X60_Y41_N28
WideAnd2949 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2949~combout\ = (\led_flash_cnt[2949][7]~q\ & (\led_flash_cnt[2949][0]~q\ & (\WideAnd2949~0_combout\ & \WideAnd2949~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2949][7]~q\,
	datab => \led_flash_cnt[2949][0]~q\,
	datac => \WideAnd2949~0_combout\,
	datad => \WideAnd2949~1_combout\,
	combout => \WideAnd2949~combout\);

-- Location: FF_X60_Y41_N29
\led_flash_cnt_ands[2949]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2949~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2949));

-- Location: LCCOMB_X60_Y41_N8
\led_flash_cnt[2948][0]~83588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2948][0]~83588_combout\ = !\led_flash_cnt[2948][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2948][0]~q\,
	combout => \led_flash_cnt[2948][0]~83588_combout\);

-- Location: FF_X60_Y41_N9
\led_flash_cnt[2948][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2948][0]~83588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2948][0]~q\);

-- Location: LCCOMB_X60_Y41_N12
\led_flash_cnt[2948][1]~68152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2948][1]~68152_combout\ = (\led_flash_cnt[2948][1]~q\ & (\led_flash_cnt[2948][0]~q\ $ (VCC))) # (!\led_flash_cnt[2948][1]~q\ & (\led_flash_cnt[2948][0]~q\ & VCC))
-- \led_flash_cnt[2948][1]~68153\ = CARRY((\led_flash_cnt[2948][1]~q\ & \led_flash_cnt[2948][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2948][1]~q\,
	datab => \led_flash_cnt[2948][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2948][1]~68152_combout\,
	cout => \led_flash_cnt[2948][1]~68153\);

-- Location: FF_X60_Y41_N13
\led_flash_cnt[2948][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2948][1]~68152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2948][1]~q\);

-- Location: LCCOMB_X60_Y41_N14
\led_flash_cnt[2948][2]~68154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2948][2]~68154_combout\ = (\led_flash_cnt[2948][2]~q\ & (!\led_flash_cnt[2948][1]~68153\)) # (!\led_flash_cnt[2948][2]~q\ & ((\led_flash_cnt[2948][1]~68153\) # (GND)))
-- \led_flash_cnt[2948][2]~68155\ = CARRY((!\led_flash_cnt[2948][1]~68153\) # (!\led_flash_cnt[2948][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2948][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2948][1]~68153\,
	combout => \led_flash_cnt[2948][2]~68154_combout\,
	cout => \led_flash_cnt[2948][2]~68155\);

-- Location: FF_X60_Y41_N15
\led_flash_cnt[2948][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2948][2]~68154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2948][2]~q\);

-- Location: LCCOMB_X60_Y41_N16
\led_flash_cnt[2948][3]~68156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2948][3]~68156_combout\ = (\led_flash_cnt[2948][3]~q\ & (\led_flash_cnt[2948][2]~68155\ $ (GND))) # (!\led_flash_cnt[2948][3]~q\ & (!\led_flash_cnt[2948][2]~68155\ & VCC))
-- \led_flash_cnt[2948][3]~68157\ = CARRY((\led_flash_cnt[2948][3]~q\ & !\led_flash_cnt[2948][2]~68155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2948][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2948][2]~68155\,
	combout => \led_flash_cnt[2948][3]~68156_combout\,
	cout => \led_flash_cnt[2948][3]~68157\);

-- Location: FF_X60_Y41_N17
\led_flash_cnt[2948][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2948][3]~68156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2948][3]~q\);

-- Location: LCCOMB_X60_Y41_N18
\led_flash_cnt[2948][4]~68158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2948][4]~68158_combout\ = (\led_flash_cnt[2948][4]~q\ & (!\led_flash_cnt[2948][3]~68157\)) # (!\led_flash_cnt[2948][4]~q\ & ((\led_flash_cnt[2948][3]~68157\) # (GND)))
-- \led_flash_cnt[2948][4]~68159\ = CARRY((!\led_flash_cnt[2948][3]~68157\) # (!\led_flash_cnt[2948][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2948][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2948][3]~68157\,
	combout => \led_flash_cnt[2948][4]~68158_combout\,
	cout => \led_flash_cnt[2948][4]~68159\);

-- Location: FF_X60_Y41_N19
\led_flash_cnt[2948][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2948][4]~68158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2948][4]~q\);

-- Location: LCCOMB_X60_Y41_N20
\led_flash_cnt[2948][5]~68160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2948][5]~68160_combout\ = (\led_flash_cnt[2948][5]~q\ & (\led_flash_cnt[2948][4]~68159\ $ (GND))) # (!\led_flash_cnt[2948][5]~q\ & (!\led_flash_cnt[2948][4]~68159\ & VCC))
-- \led_flash_cnt[2948][5]~68161\ = CARRY((\led_flash_cnt[2948][5]~q\ & !\led_flash_cnt[2948][4]~68159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2948][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2948][4]~68159\,
	combout => \led_flash_cnt[2948][5]~68160_combout\,
	cout => \led_flash_cnt[2948][5]~68161\);

-- Location: FF_X60_Y41_N21
\led_flash_cnt[2948][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2948][5]~68160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2948][5]~q\);

-- Location: LCCOMB_X60_Y41_N22
\led_flash_cnt[2948][6]~68162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2948][6]~68162_combout\ = (\led_flash_cnt[2948][6]~q\ & (!\led_flash_cnt[2948][5]~68161\)) # (!\led_flash_cnt[2948][6]~q\ & ((\led_flash_cnt[2948][5]~68161\) # (GND)))
-- \led_flash_cnt[2948][6]~68163\ = CARRY((!\led_flash_cnt[2948][5]~68161\) # (!\led_flash_cnt[2948][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2948][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2948][5]~68161\,
	combout => \led_flash_cnt[2948][6]~68162_combout\,
	cout => \led_flash_cnt[2948][6]~68163\);

-- Location: FF_X60_Y41_N23
\led_flash_cnt[2948][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2948][6]~68162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2948][6]~q\);

-- Location: LCCOMB_X60_Y41_N26
\WideAnd2948~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2948~1_combout\ = (\led_flash_cnt[2948][6]~q\ & \led_flash_cnt[2948][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2948][6]~q\,
	datad => \led_flash_cnt[2948][5]~q\,
	combout => \WideAnd2948~1_combout\);

-- Location: LCCOMB_X60_Y41_N24
\led_flash_cnt[2948][7]~68164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2948][7]~68164_combout\ = \led_flash_cnt[2948][6]~68163\ $ (!\led_flash_cnt[2948][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2948][7]~q\,
	cin => \led_flash_cnt[2948][6]~68163\,
	combout => \led_flash_cnt[2948][7]~68164_combout\);

-- Location: FF_X60_Y41_N25
\led_flash_cnt[2948][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2948][7]~68164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2948][7]~q\);

-- Location: LCCOMB_X60_Y41_N10
\WideAnd2948~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2948~0_combout\ = (\led_flash_cnt[2948][1]~q\ & (\led_flash_cnt[2948][3]~q\ & (\led_flash_cnt[2948][2]~q\ & \led_flash_cnt[2948][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2948][1]~q\,
	datab => \led_flash_cnt[2948][3]~q\,
	datac => \led_flash_cnt[2948][2]~q\,
	datad => \led_flash_cnt[2948][4]~q\,
	combout => \WideAnd2948~0_combout\);

-- Location: LCCOMB_X60_Y41_N4
WideAnd2948 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2948~combout\ = (\WideAnd2948~1_combout\ & (\led_flash_cnt[2948][7]~q\ & (\led_flash_cnt[2948][0]~q\ & \WideAnd2948~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2948~1_combout\,
	datab => \led_flash_cnt[2948][7]~q\,
	datac => \led_flash_cnt[2948][0]~q\,
	datad => \WideAnd2948~0_combout\,
	combout => \WideAnd2948~combout\);

-- Location: FF_X60_Y41_N5
\led_flash_cnt_ands[2948]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2948~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2948));

-- Location: LCCOMB_X61_Y41_N28
\WideAnd4208~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4208~1_combout\ = (led_flash_cnt_ands(2949) & led_flash_cnt_ands(2948))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2949),
	datac => led_flash_cnt_ands(2948),
	combout => \WideAnd4208~1_combout\);

-- Location: LCCOMB_X70_Y41_N6
\led_flash_cnt[2950][0]~83590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2950][0]~83590_combout\ = !\led_flash_cnt[2950][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2950][0]~q\,
	combout => \led_flash_cnt[2950][0]~83590_combout\);

-- Location: FF_X70_Y41_N7
\led_flash_cnt[2950][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2950][0]~83590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2950][0]~q\);

-- Location: LCCOMB_X70_Y41_N8
\led_flash_cnt[2950][1]~68180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2950][1]~68180_combout\ = (\led_flash_cnt[2950][0]~q\ & (\led_flash_cnt[2950][1]~q\ $ (VCC))) # (!\led_flash_cnt[2950][0]~q\ & (\led_flash_cnt[2950][1]~q\ & VCC))
-- \led_flash_cnt[2950][1]~68181\ = CARRY((\led_flash_cnt[2950][0]~q\ & \led_flash_cnt[2950][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2950][0]~q\,
	datab => \led_flash_cnt[2950][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2950][1]~68180_combout\,
	cout => \led_flash_cnt[2950][1]~68181\);

-- Location: FF_X70_Y41_N9
\led_flash_cnt[2950][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2950][1]~68180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2950][1]~q\);

-- Location: LCCOMB_X70_Y41_N10
\led_flash_cnt[2950][2]~68182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2950][2]~68182_combout\ = (\led_flash_cnt[2950][2]~q\ & (!\led_flash_cnt[2950][1]~68181\)) # (!\led_flash_cnt[2950][2]~q\ & ((\led_flash_cnt[2950][1]~68181\) # (GND)))
-- \led_flash_cnt[2950][2]~68183\ = CARRY((!\led_flash_cnt[2950][1]~68181\) # (!\led_flash_cnt[2950][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2950][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2950][1]~68181\,
	combout => \led_flash_cnt[2950][2]~68182_combout\,
	cout => \led_flash_cnt[2950][2]~68183\);

-- Location: FF_X70_Y41_N11
\led_flash_cnt[2950][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2950][2]~68182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2950][2]~q\);

-- Location: LCCOMB_X70_Y41_N12
\led_flash_cnt[2950][3]~68184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2950][3]~68184_combout\ = (\led_flash_cnt[2950][3]~q\ & (\led_flash_cnt[2950][2]~68183\ $ (GND))) # (!\led_flash_cnt[2950][3]~q\ & (!\led_flash_cnt[2950][2]~68183\ & VCC))
-- \led_flash_cnt[2950][3]~68185\ = CARRY((\led_flash_cnt[2950][3]~q\ & !\led_flash_cnt[2950][2]~68183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2950][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2950][2]~68183\,
	combout => \led_flash_cnt[2950][3]~68184_combout\,
	cout => \led_flash_cnt[2950][3]~68185\);

-- Location: FF_X70_Y41_N13
\led_flash_cnt[2950][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2950][3]~68184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2950][3]~q\);

-- Location: LCCOMB_X70_Y41_N14
\led_flash_cnt[2950][4]~68186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2950][4]~68186_combout\ = (\led_flash_cnt[2950][4]~q\ & (!\led_flash_cnt[2950][3]~68185\)) # (!\led_flash_cnt[2950][4]~q\ & ((\led_flash_cnt[2950][3]~68185\) # (GND)))
-- \led_flash_cnt[2950][4]~68187\ = CARRY((!\led_flash_cnt[2950][3]~68185\) # (!\led_flash_cnt[2950][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2950][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2950][3]~68185\,
	combout => \led_flash_cnt[2950][4]~68186_combout\,
	cout => \led_flash_cnt[2950][4]~68187\);

-- Location: FF_X70_Y41_N15
\led_flash_cnt[2950][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2950][4]~68186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2950][4]~q\);

-- Location: LCCOMB_X70_Y41_N16
\led_flash_cnt[2950][5]~68188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2950][5]~68188_combout\ = (\led_flash_cnt[2950][5]~q\ & (\led_flash_cnt[2950][4]~68187\ $ (GND))) # (!\led_flash_cnt[2950][5]~q\ & (!\led_flash_cnt[2950][4]~68187\ & VCC))
-- \led_flash_cnt[2950][5]~68189\ = CARRY((\led_flash_cnt[2950][5]~q\ & !\led_flash_cnt[2950][4]~68187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2950][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2950][4]~68187\,
	combout => \led_flash_cnt[2950][5]~68188_combout\,
	cout => \led_flash_cnt[2950][5]~68189\);

-- Location: FF_X70_Y41_N17
\led_flash_cnt[2950][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2950][5]~68188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2950][5]~q\);

-- Location: LCCOMB_X70_Y41_N18
\led_flash_cnt[2950][6]~68190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2950][6]~68190_combout\ = (\led_flash_cnt[2950][6]~q\ & (!\led_flash_cnt[2950][5]~68189\)) # (!\led_flash_cnt[2950][6]~q\ & ((\led_flash_cnt[2950][5]~68189\) # (GND)))
-- \led_flash_cnt[2950][6]~68191\ = CARRY((!\led_flash_cnt[2950][5]~68189\) # (!\led_flash_cnt[2950][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2950][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2950][5]~68189\,
	combout => \led_flash_cnt[2950][6]~68190_combout\,
	cout => \led_flash_cnt[2950][6]~68191\);

-- Location: FF_X70_Y41_N19
\led_flash_cnt[2950][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2950][6]~68190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2950][6]~q\);

-- Location: LCCOMB_X70_Y41_N24
\WideAnd2950~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2950~1_combout\ = (\led_flash_cnt[2950][6]~q\ & \led_flash_cnt[2950][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2950][6]~q\,
	datad => \led_flash_cnt[2950][5]~q\,
	combout => \WideAnd2950~1_combout\);

-- Location: LCCOMB_X70_Y41_N22
\WideAnd2950~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2950~0_combout\ = (\led_flash_cnt[2950][2]~q\ & (\led_flash_cnt[2950][1]~q\ & (\led_flash_cnt[2950][4]~q\ & \led_flash_cnt[2950][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2950][2]~q\,
	datab => \led_flash_cnt[2950][1]~q\,
	datac => \led_flash_cnt[2950][4]~q\,
	datad => \led_flash_cnt[2950][3]~q\,
	combout => \WideAnd2950~0_combout\);

-- Location: LCCOMB_X70_Y41_N20
\led_flash_cnt[2950][7]~68192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2950][7]~68192_combout\ = \led_flash_cnt[2950][6]~68191\ $ (!\led_flash_cnt[2950][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2950][7]~q\,
	cin => \led_flash_cnt[2950][6]~68191\,
	combout => \led_flash_cnt[2950][7]~68192_combout\);

-- Location: FF_X70_Y41_N21
\led_flash_cnt[2950][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2950][7]~68192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2950][7]~q\);

-- Location: LCCOMB_X70_Y41_N28
WideAnd2950 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2950~combout\ = (\led_flash_cnt[2950][0]~q\ & (\WideAnd2950~1_combout\ & (\WideAnd2950~0_combout\ & \led_flash_cnt[2950][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2950][0]~q\,
	datab => \WideAnd2950~1_combout\,
	datac => \WideAnd2950~0_combout\,
	datad => \led_flash_cnt[2950][7]~q\,
	combout => \WideAnd2950~combout\);

-- Location: FF_X70_Y41_N29
\led_flash_cnt_ands[2950]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2950~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2950));

-- Location: LCCOMB_X69_Y41_N8
WideAnd4208 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4208~combout\ = (led_flash_cnt_ands(2951) & (\WideAnd4208~0_combout\ & (\WideAnd4208~1_combout\ & led_flash_cnt_ands(2950))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2951),
	datab => \WideAnd4208~0_combout\,
	datac => \WideAnd4208~1_combout\,
	datad => led_flash_cnt_ands(2950),
	combout => \WideAnd4208~combout\);

-- Location: FF_X69_Y41_N9
\led_flash_cnt_ands_1[368]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4208~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(368));

-- Location: LCCOMB_X55_Y44_N28
\led_flash_cnt[2967][0]~83607\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2967][0]~83607_combout\ = !\led_flash_cnt[2967][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2967][0]~q\,
	combout => \led_flash_cnt[2967][0]~83607_combout\);

-- Location: FF_X55_Y44_N29
\led_flash_cnt[2967][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2967][0]~83607_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2967][0]~q\);

-- Location: LCCOMB_X55_Y44_N12
\led_flash_cnt[2967][1]~68418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2967][1]~68418_combout\ = (\led_flash_cnt[2967][1]~q\ & (\led_flash_cnt[2967][0]~q\ $ (VCC))) # (!\led_flash_cnt[2967][1]~q\ & (\led_flash_cnt[2967][0]~q\ & VCC))
-- \led_flash_cnt[2967][1]~68419\ = CARRY((\led_flash_cnt[2967][1]~q\ & \led_flash_cnt[2967][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2967][1]~q\,
	datab => \led_flash_cnt[2967][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2967][1]~68418_combout\,
	cout => \led_flash_cnt[2967][1]~68419\);

-- Location: FF_X55_Y44_N13
\led_flash_cnt[2967][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2967][1]~68418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2967][1]~q\);

-- Location: LCCOMB_X55_Y44_N14
\led_flash_cnt[2967][2]~68420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2967][2]~68420_combout\ = (\led_flash_cnt[2967][2]~q\ & (!\led_flash_cnt[2967][1]~68419\)) # (!\led_flash_cnt[2967][2]~q\ & ((\led_flash_cnt[2967][1]~68419\) # (GND)))
-- \led_flash_cnt[2967][2]~68421\ = CARRY((!\led_flash_cnt[2967][1]~68419\) # (!\led_flash_cnt[2967][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2967][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2967][1]~68419\,
	combout => \led_flash_cnt[2967][2]~68420_combout\,
	cout => \led_flash_cnt[2967][2]~68421\);

-- Location: FF_X55_Y44_N15
\led_flash_cnt[2967][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2967][2]~68420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2967][2]~q\);

-- Location: LCCOMB_X55_Y44_N16
\led_flash_cnt[2967][3]~68422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2967][3]~68422_combout\ = (\led_flash_cnt[2967][3]~q\ & (\led_flash_cnt[2967][2]~68421\ $ (GND))) # (!\led_flash_cnt[2967][3]~q\ & (!\led_flash_cnt[2967][2]~68421\ & VCC))
-- \led_flash_cnt[2967][3]~68423\ = CARRY((\led_flash_cnt[2967][3]~q\ & !\led_flash_cnt[2967][2]~68421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2967][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2967][2]~68421\,
	combout => \led_flash_cnt[2967][3]~68422_combout\,
	cout => \led_flash_cnt[2967][3]~68423\);

-- Location: FF_X55_Y44_N17
\led_flash_cnt[2967][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2967][3]~68422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2967][3]~q\);

-- Location: LCCOMB_X55_Y44_N18
\led_flash_cnt[2967][4]~68424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2967][4]~68424_combout\ = (\led_flash_cnt[2967][4]~q\ & (!\led_flash_cnt[2967][3]~68423\)) # (!\led_flash_cnt[2967][4]~q\ & ((\led_flash_cnt[2967][3]~68423\) # (GND)))
-- \led_flash_cnt[2967][4]~68425\ = CARRY((!\led_flash_cnt[2967][3]~68423\) # (!\led_flash_cnt[2967][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2967][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2967][3]~68423\,
	combout => \led_flash_cnt[2967][4]~68424_combout\,
	cout => \led_flash_cnt[2967][4]~68425\);

-- Location: FF_X55_Y44_N19
\led_flash_cnt[2967][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2967][4]~68424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2967][4]~q\);

-- Location: LCCOMB_X55_Y44_N26
\WideAnd2967~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2967~0_combout\ = (\led_flash_cnt[2967][4]~q\ & (\led_flash_cnt[2967][3]~q\ & (\led_flash_cnt[2967][2]~q\ & \led_flash_cnt[2967][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2967][4]~q\,
	datab => \led_flash_cnt[2967][3]~q\,
	datac => \led_flash_cnt[2967][2]~q\,
	datad => \led_flash_cnt[2967][1]~q\,
	combout => \WideAnd2967~0_combout\);

-- Location: LCCOMB_X55_Y44_N20
\led_flash_cnt[2967][5]~68426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2967][5]~68426_combout\ = (\led_flash_cnt[2967][5]~q\ & (\led_flash_cnt[2967][4]~68425\ $ (GND))) # (!\led_flash_cnt[2967][5]~q\ & (!\led_flash_cnt[2967][4]~68425\ & VCC))
-- \led_flash_cnt[2967][5]~68427\ = CARRY((\led_flash_cnt[2967][5]~q\ & !\led_flash_cnt[2967][4]~68425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2967][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2967][4]~68425\,
	combout => \led_flash_cnt[2967][5]~68426_combout\,
	cout => \led_flash_cnt[2967][5]~68427\);

-- Location: FF_X55_Y44_N21
\led_flash_cnt[2967][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2967][5]~68426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2967][5]~q\);

-- Location: LCCOMB_X55_Y44_N22
\led_flash_cnt[2967][6]~68428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2967][6]~68428_combout\ = (\led_flash_cnt[2967][6]~q\ & (!\led_flash_cnt[2967][5]~68427\)) # (!\led_flash_cnt[2967][6]~q\ & ((\led_flash_cnt[2967][5]~68427\) # (GND)))
-- \led_flash_cnt[2967][6]~68429\ = CARRY((!\led_flash_cnt[2967][5]~68427\) # (!\led_flash_cnt[2967][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2967][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2967][5]~68427\,
	combout => \led_flash_cnt[2967][6]~68428_combout\,
	cout => \led_flash_cnt[2967][6]~68429\);

-- Location: FF_X55_Y44_N23
\led_flash_cnt[2967][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2967][6]~68428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2967][6]~q\);

-- Location: LCCOMB_X55_Y44_N24
\led_flash_cnt[2967][7]~68430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2967][7]~68430_combout\ = \led_flash_cnt[2967][6]~68429\ $ (!\led_flash_cnt[2967][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2967][7]~q\,
	cin => \led_flash_cnt[2967][6]~68429\,
	combout => \led_flash_cnt[2967][7]~68430_combout\);

-- Location: FF_X55_Y44_N25
\led_flash_cnt[2967][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2967][7]~68430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2967][7]~q\);

-- Location: LCCOMB_X55_Y44_N4
\WideAnd2967~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2967~1_combout\ = (\led_flash_cnt[2967][6]~q\ & \led_flash_cnt[2967][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2967][6]~q\,
	datad => \led_flash_cnt[2967][5]~q\,
	combout => \WideAnd2967~1_combout\);

-- Location: LCCOMB_X55_Y44_N10
WideAnd2967 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2967~combout\ = (\WideAnd2967~0_combout\ & (\led_flash_cnt[2967][7]~q\ & (\WideAnd2967~1_combout\ & \led_flash_cnt[2967][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2967~0_combout\,
	datab => \led_flash_cnt[2967][7]~q\,
	datac => \WideAnd2967~1_combout\,
	datad => \led_flash_cnt[2967][0]~q\,
	combout => \WideAnd2967~combout\);

-- Location: FF_X55_Y44_N11
\led_flash_cnt_ands[2967]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2967~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2967));

-- Location: LCCOMB_X63_Y48_N12
\led_flash_cnt[2966][0]~83606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2966][0]~83606_combout\ = !\led_flash_cnt[2966][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2966][0]~q\,
	combout => \led_flash_cnt[2966][0]~83606_combout\);

-- Location: FF_X63_Y48_N13
\led_flash_cnt[2966][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2966][0]~83606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2966][0]~q\);

-- Location: LCCOMB_X63_Y48_N18
\led_flash_cnt[2966][1]~68404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2966][1]~68404_combout\ = (\led_flash_cnt[2966][0]~q\ & (\led_flash_cnt[2966][1]~q\ $ (VCC))) # (!\led_flash_cnt[2966][0]~q\ & (\led_flash_cnt[2966][1]~q\ & VCC))
-- \led_flash_cnt[2966][1]~68405\ = CARRY((\led_flash_cnt[2966][0]~q\ & \led_flash_cnt[2966][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2966][0]~q\,
	datab => \led_flash_cnt[2966][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2966][1]~68404_combout\,
	cout => \led_flash_cnt[2966][1]~68405\);

-- Location: FF_X63_Y48_N19
\led_flash_cnt[2966][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2966][1]~68404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2966][1]~q\);

-- Location: LCCOMB_X63_Y48_N20
\led_flash_cnt[2966][2]~68406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2966][2]~68406_combout\ = (\led_flash_cnt[2966][2]~q\ & (!\led_flash_cnt[2966][1]~68405\)) # (!\led_flash_cnt[2966][2]~q\ & ((\led_flash_cnt[2966][1]~68405\) # (GND)))
-- \led_flash_cnt[2966][2]~68407\ = CARRY((!\led_flash_cnt[2966][1]~68405\) # (!\led_flash_cnt[2966][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2966][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2966][1]~68405\,
	combout => \led_flash_cnt[2966][2]~68406_combout\,
	cout => \led_flash_cnt[2966][2]~68407\);

-- Location: FF_X63_Y48_N21
\led_flash_cnt[2966][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2966][2]~68406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2966][2]~q\);

-- Location: LCCOMB_X63_Y48_N22
\led_flash_cnt[2966][3]~68408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2966][3]~68408_combout\ = (\led_flash_cnt[2966][3]~q\ & (\led_flash_cnt[2966][2]~68407\ $ (GND))) # (!\led_flash_cnt[2966][3]~q\ & (!\led_flash_cnt[2966][2]~68407\ & VCC))
-- \led_flash_cnt[2966][3]~68409\ = CARRY((\led_flash_cnt[2966][3]~q\ & !\led_flash_cnt[2966][2]~68407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2966][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2966][2]~68407\,
	combout => \led_flash_cnt[2966][3]~68408_combout\,
	cout => \led_flash_cnt[2966][3]~68409\);

-- Location: FF_X63_Y48_N23
\led_flash_cnt[2966][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2966][3]~68408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2966][3]~q\);

-- Location: LCCOMB_X63_Y48_N24
\led_flash_cnt[2966][4]~68410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2966][4]~68410_combout\ = (\led_flash_cnt[2966][4]~q\ & (!\led_flash_cnt[2966][3]~68409\)) # (!\led_flash_cnt[2966][4]~q\ & ((\led_flash_cnt[2966][3]~68409\) # (GND)))
-- \led_flash_cnt[2966][4]~68411\ = CARRY((!\led_flash_cnt[2966][3]~68409\) # (!\led_flash_cnt[2966][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2966][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2966][3]~68409\,
	combout => \led_flash_cnt[2966][4]~68410_combout\,
	cout => \led_flash_cnt[2966][4]~68411\);

-- Location: FF_X63_Y48_N25
\led_flash_cnt[2966][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2966][4]~68410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2966][4]~q\);

-- Location: LCCOMB_X63_Y48_N26
\led_flash_cnt[2966][5]~68412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2966][5]~68412_combout\ = (\led_flash_cnt[2966][5]~q\ & (\led_flash_cnt[2966][4]~68411\ $ (GND))) # (!\led_flash_cnt[2966][5]~q\ & (!\led_flash_cnt[2966][4]~68411\ & VCC))
-- \led_flash_cnt[2966][5]~68413\ = CARRY((\led_flash_cnt[2966][5]~q\ & !\led_flash_cnt[2966][4]~68411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2966][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2966][4]~68411\,
	combout => \led_flash_cnt[2966][5]~68412_combout\,
	cout => \led_flash_cnt[2966][5]~68413\);

-- Location: FF_X63_Y48_N27
\led_flash_cnt[2966][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2966][5]~68412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2966][5]~q\);

-- Location: LCCOMB_X63_Y48_N28
\led_flash_cnt[2966][6]~68414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2966][6]~68414_combout\ = (\led_flash_cnt[2966][6]~q\ & (!\led_flash_cnt[2966][5]~68413\)) # (!\led_flash_cnt[2966][6]~q\ & ((\led_flash_cnt[2966][5]~68413\) # (GND)))
-- \led_flash_cnt[2966][6]~68415\ = CARRY((!\led_flash_cnt[2966][5]~68413\) # (!\led_flash_cnt[2966][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2966][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2966][5]~68413\,
	combout => \led_flash_cnt[2966][6]~68414_combout\,
	cout => \led_flash_cnt[2966][6]~68415\);

-- Location: FF_X63_Y48_N29
\led_flash_cnt[2966][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2966][6]~68414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2966][6]~q\);

-- Location: LCCOMB_X63_Y48_N30
\led_flash_cnt[2966][7]~68416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2966][7]~68416_combout\ = \led_flash_cnt[2966][7]~q\ $ (!\led_flash_cnt[2966][6]~68415\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2966][7]~q\,
	cin => \led_flash_cnt[2966][6]~68415\,
	combout => \led_flash_cnt[2966][7]~68416_combout\);

-- Location: FF_X63_Y48_N31
\led_flash_cnt[2966][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2966][7]~68416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2966][7]~q\);

-- Location: LCCOMB_X63_Y48_N16
\WideAnd2966~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2966~1_combout\ = (\led_flash_cnt[2966][5]~q\ & \led_flash_cnt[2966][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2966][5]~q\,
	datad => \led_flash_cnt[2966][6]~q\,
	combout => \WideAnd2966~1_combout\);

-- Location: LCCOMB_X63_Y48_N4
\WideAnd2966~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2966~0_combout\ = (\led_flash_cnt[2966][4]~q\ & (\led_flash_cnt[2966][2]~q\ & (\led_flash_cnt[2966][3]~q\ & \led_flash_cnt[2966][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2966][4]~q\,
	datab => \led_flash_cnt[2966][2]~q\,
	datac => \led_flash_cnt[2966][3]~q\,
	datad => \led_flash_cnt[2966][1]~q\,
	combout => \WideAnd2966~0_combout\);

-- Location: LCCOMB_X63_Y48_N8
WideAnd2966 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2966~combout\ = (\led_flash_cnt[2966][7]~q\ & (\WideAnd2966~1_combout\ & (\WideAnd2966~0_combout\ & \led_flash_cnt[2966][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2966][7]~q\,
	datab => \WideAnd2966~1_combout\,
	datac => \WideAnd2966~0_combout\,
	datad => \led_flash_cnt[2966][0]~q\,
	combout => \WideAnd2966~combout\);

-- Location: FF_X63_Y48_N9
\led_flash_cnt_ands[2966]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2966~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2966));

-- Location: LCCOMB_X64_Y44_N2
\led_flash_cnt[2961][0]~83601\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2961][0]~83601_combout\ = !\led_flash_cnt[2961][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2961][0]~q\,
	combout => \led_flash_cnt[2961][0]~83601_combout\);

-- Location: FF_X64_Y44_N3
\led_flash_cnt[2961][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2961][0]~83601_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2961][0]~q\);

-- Location: LCCOMB_X63_Y44_N16
\led_flash_cnt[2961][1]~68334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2961][1]~68334_combout\ = (\led_flash_cnt[2961][0]~q\ & (\led_flash_cnt[2961][1]~q\ $ (VCC))) # (!\led_flash_cnt[2961][0]~q\ & (\led_flash_cnt[2961][1]~q\ & VCC))
-- \led_flash_cnt[2961][1]~68335\ = CARRY((\led_flash_cnt[2961][0]~q\ & \led_flash_cnt[2961][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2961][0]~q\,
	datab => \led_flash_cnt[2961][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2961][1]~68334_combout\,
	cout => \led_flash_cnt[2961][1]~68335\);

-- Location: FF_X63_Y44_N17
\led_flash_cnt[2961][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2961][1]~68334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2961][1]~q\);

-- Location: LCCOMB_X63_Y44_N18
\led_flash_cnt[2961][2]~68336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2961][2]~68336_combout\ = (\led_flash_cnt[2961][2]~q\ & (!\led_flash_cnt[2961][1]~68335\)) # (!\led_flash_cnt[2961][2]~q\ & ((\led_flash_cnt[2961][1]~68335\) # (GND)))
-- \led_flash_cnt[2961][2]~68337\ = CARRY((!\led_flash_cnt[2961][1]~68335\) # (!\led_flash_cnt[2961][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2961][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2961][1]~68335\,
	combout => \led_flash_cnt[2961][2]~68336_combout\,
	cout => \led_flash_cnt[2961][2]~68337\);

-- Location: FF_X63_Y44_N19
\led_flash_cnt[2961][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2961][2]~68336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2961][2]~q\);

-- Location: LCCOMB_X63_Y44_N20
\led_flash_cnt[2961][3]~68338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2961][3]~68338_combout\ = (\led_flash_cnt[2961][3]~q\ & (\led_flash_cnt[2961][2]~68337\ $ (GND))) # (!\led_flash_cnt[2961][3]~q\ & (!\led_flash_cnt[2961][2]~68337\ & VCC))
-- \led_flash_cnt[2961][3]~68339\ = CARRY((\led_flash_cnt[2961][3]~q\ & !\led_flash_cnt[2961][2]~68337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2961][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2961][2]~68337\,
	combout => \led_flash_cnt[2961][3]~68338_combout\,
	cout => \led_flash_cnt[2961][3]~68339\);

-- Location: FF_X63_Y44_N21
\led_flash_cnt[2961][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2961][3]~68338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2961][3]~q\);

-- Location: LCCOMB_X63_Y44_N22
\led_flash_cnt[2961][4]~68340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2961][4]~68340_combout\ = (\led_flash_cnt[2961][4]~q\ & (!\led_flash_cnt[2961][3]~68339\)) # (!\led_flash_cnt[2961][4]~q\ & ((\led_flash_cnt[2961][3]~68339\) # (GND)))
-- \led_flash_cnt[2961][4]~68341\ = CARRY((!\led_flash_cnt[2961][3]~68339\) # (!\led_flash_cnt[2961][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2961][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2961][3]~68339\,
	combout => \led_flash_cnt[2961][4]~68340_combout\,
	cout => \led_flash_cnt[2961][4]~68341\);

-- Location: FF_X63_Y44_N23
\led_flash_cnt[2961][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2961][4]~68340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2961][4]~q\);

-- Location: LCCOMB_X63_Y44_N14
\WideAnd2961~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2961~0_combout\ = (\led_flash_cnt[2961][1]~q\ & (\led_flash_cnt[2961][3]~q\ & (\led_flash_cnt[2961][4]~q\ & \led_flash_cnt[2961][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2961][1]~q\,
	datab => \led_flash_cnt[2961][3]~q\,
	datac => \led_flash_cnt[2961][4]~q\,
	datad => \led_flash_cnt[2961][2]~q\,
	combout => \WideAnd2961~0_combout\);

-- Location: LCCOMB_X63_Y44_N24
\led_flash_cnt[2961][5]~68342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2961][5]~68342_combout\ = (\led_flash_cnt[2961][5]~q\ & (\led_flash_cnt[2961][4]~68341\ $ (GND))) # (!\led_flash_cnt[2961][5]~q\ & (!\led_flash_cnt[2961][4]~68341\ & VCC))
-- \led_flash_cnt[2961][5]~68343\ = CARRY((\led_flash_cnt[2961][5]~q\ & !\led_flash_cnt[2961][4]~68341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2961][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2961][4]~68341\,
	combout => \led_flash_cnt[2961][5]~68342_combout\,
	cout => \led_flash_cnt[2961][5]~68343\);

-- Location: FF_X63_Y44_N25
\led_flash_cnt[2961][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2961][5]~68342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2961][5]~q\);

-- Location: LCCOMB_X63_Y44_N26
\led_flash_cnt[2961][6]~68344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2961][6]~68344_combout\ = (\led_flash_cnt[2961][6]~q\ & (!\led_flash_cnt[2961][5]~68343\)) # (!\led_flash_cnt[2961][6]~q\ & ((\led_flash_cnt[2961][5]~68343\) # (GND)))
-- \led_flash_cnt[2961][6]~68345\ = CARRY((!\led_flash_cnt[2961][5]~68343\) # (!\led_flash_cnt[2961][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2961][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2961][5]~68343\,
	combout => \led_flash_cnt[2961][6]~68344_combout\,
	cout => \led_flash_cnt[2961][6]~68345\);

-- Location: FF_X63_Y44_N27
\led_flash_cnt[2961][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2961][6]~68344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2961][6]~q\);

-- Location: LCCOMB_X63_Y44_N28
\led_flash_cnt[2961][7]~68346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2961][7]~68346_combout\ = \led_flash_cnt[2961][6]~68345\ $ (!\led_flash_cnt[2961][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2961][7]~q\,
	cin => \led_flash_cnt[2961][6]~68345\,
	combout => \led_flash_cnt[2961][7]~68346_combout\);

-- Location: FF_X63_Y44_N29
\led_flash_cnt[2961][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2961][7]~68346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2961][7]~q\);

-- Location: LCCOMB_X64_Y44_N8
\WideAnd2961~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2961~1_combout\ = (\led_flash_cnt[2961][6]~q\ & \led_flash_cnt[2961][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2961][6]~q\,
	datad => \led_flash_cnt[2961][5]~q\,
	combout => \WideAnd2961~1_combout\);

-- Location: LCCOMB_X64_Y44_N10
WideAnd2961 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2961~combout\ = (\WideAnd2961~0_combout\ & (\led_flash_cnt[2961][7]~q\ & (\WideAnd2961~1_combout\ & \led_flash_cnt[2961][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2961~0_combout\,
	datab => \led_flash_cnt[2961][7]~q\,
	datac => \WideAnd2961~1_combout\,
	datad => \led_flash_cnt[2961][0]~q\,
	combout => \WideAnd2961~combout\);

-- Location: FF_X64_Y44_N11
\led_flash_cnt_ands[2961]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2961~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2961));

-- Location: LCCOMB_X64_Y48_N26
\led_flash_cnt[2963][0]~83603\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2963][0]~83603_combout\ = !\led_flash_cnt[2963][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2963][0]~q\,
	combout => \led_flash_cnt[2963][0]~83603_combout\);

-- Location: FF_X64_Y48_N27
\led_flash_cnt[2963][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2963][0]~83603_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2963][0]~q\);

-- Location: LCCOMB_X64_Y48_N8
\led_flash_cnt[2963][1]~68362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2963][1]~68362_combout\ = (\led_flash_cnt[2963][0]~q\ & (\led_flash_cnt[2963][1]~q\ $ (VCC))) # (!\led_flash_cnt[2963][0]~q\ & (\led_flash_cnt[2963][1]~q\ & VCC))
-- \led_flash_cnt[2963][1]~68363\ = CARRY((\led_flash_cnt[2963][0]~q\ & \led_flash_cnt[2963][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2963][0]~q\,
	datab => \led_flash_cnt[2963][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2963][1]~68362_combout\,
	cout => \led_flash_cnt[2963][1]~68363\);

-- Location: FF_X64_Y48_N9
\led_flash_cnt[2963][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2963][1]~68362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2963][1]~q\);

-- Location: LCCOMB_X64_Y48_N10
\led_flash_cnt[2963][2]~68364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2963][2]~68364_combout\ = (\led_flash_cnt[2963][2]~q\ & (!\led_flash_cnt[2963][1]~68363\)) # (!\led_flash_cnt[2963][2]~q\ & ((\led_flash_cnt[2963][1]~68363\) # (GND)))
-- \led_flash_cnt[2963][2]~68365\ = CARRY((!\led_flash_cnt[2963][1]~68363\) # (!\led_flash_cnt[2963][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2963][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2963][1]~68363\,
	combout => \led_flash_cnt[2963][2]~68364_combout\,
	cout => \led_flash_cnt[2963][2]~68365\);

-- Location: FF_X64_Y48_N11
\led_flash_cnt[2963][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2963][2]~68364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2963][2]~q\);

-- Location: LCCOMB_X64_Y48_N12
\led_flash_cnt[2963][3]~68366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2963][3]~68366_combout\ = (\led_flash_cnt[2963][3]~q\ & (\led_flash_cnt[2963][2]~68365\ $ (GND))) # (!\led_flash_cnt[2963][3]~q\ & (!\led_flash_cnt[2963][2]~68365\ & VCC))
-- \led_flash_cnt[2963][3]~68367\ = CARRY((\led_flash_cnt[2963][3]~q\ & !\led_flash_cnt[2963][2]~68365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2963][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2963][2]~68365\,
	combout => \led_flash_cnt[2963][3]~68366_combout\,
	cout => \led_flash_cnt[2963][3]~68367\);

-- Location: FF_X64_Y48_N13
\led_flash_cnt[2963][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2963][3]~68366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2963][3]~q\);

-- Location: LCCOMB_X64_Y48_N14
\led_flash_cnt[2963][4]~68368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2963][4]~68368_combout\ = (\led_flash_cnt[2963][4]~q\ & (!\led_flash_cnt[2963][3]~68367\)) # (!\led_flash_cnt[2963][4]~q\ & ((\led_flash_cnt[2963][3]~68367\) # (GND)))
-- \led_flash_cnt[2963][4]~68369\ = CARRY((!\led_flash_cnt[2963][3]~68367\) # (!\led_flash_cnt[2963][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2963][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2963][3]~68367\,
	combout => \led_flash_cnt[2963][4]~68368_combout\,
	cout => \led_flash_cnt[2963][4]~68369\);

-- Location: FF_X64_Y48_N15
\led_flash_cnt[2963][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2963][4]~68368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2963][4]~q\);

-- Location: LCCOMB_X64_Y48_N16
\led_flash_cnt[2963][5]~68370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2963][5]~68370_combout\ = (\led_flash_cnt[2963][5]~q\ & (\led_flash_cnt[2963][4]~68369\ $ (GND))) # (!\led_flash_cnt[2963][5]~q\ & (!\led_flash_cnt[2963][4]~68369\ & VCC))
-- \led_flash_cnt[2963][5]~68371\ = CARRY((\led_flash_cnt[2963][5]~q\ & !\led_flash_cnt[2963][4]~68369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2963][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2963][4]~68369\,
	combout => \led_flash_cnt[2963][5]~68370_combout\,
	cout => \led_flash_cnt[2963][5]~68371\);

-- Location: FF_X64_Y48_N17
\led_flash_cnt[2963][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2963][5]~68370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2963][5]~q\);

-- Location: LCCOMB_X64_Y48_N18
\led_flash_cnt[2963][6]~68372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2963][6]~68372_combout\ = (\led_flash_cnt[2963][6]~q\ & (!\led_flash_cnt[2963][5]~68371\)) # (!\led_flash_cnt[2963][6]~q\ & ((\led_flash_cnt[2963][5]~68371\) # (GND)))
-- \led_flash_cnt[2963][6]~68373\ = CARRY((!\led_flash_cnt[2963][5]~68371\) # (!\led_flash_cnt[2963][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2963][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2963][5]~68371\,
	combout => \led_flash_cnt[2963][6]~68372_combout\,
	cout => \led_flash_cnt[2963][6]~68373\);

-- Location: FF_X64_Y48_N19
\led_flash_cnt[2963][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2963][6]~68372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2963][6]~q\);

-- Location: LCCOMB_X64_Y48_N20
\led_flash_cnt[2963][7]~68374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2963][7]~68374_combout\ = \led_flash_cnt[2963][6]~68373\ $ (!\led_flash_cnt[2963][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2963][7]~q\,
	cin => \led_flash_cnt[2963][6]~68373\,
	combout => \led_flash_cnt[2963][7]~68374_combout\);

-- Location: FF_X64_Y48_N21
\led_flash_cnt[2963][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2963][7]~68374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2963][7]~q\);

-- Location: LCCOMB_X64_Y48_N4
\WideAnd2963~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2963~1_combout\ = (\led_flash_cnt[2963][6]~q\ & \led_flash_cnt[2963][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2963][6]~q\,
	datad => \led_flash_cnt[2963][5]~q\,
	combout => \WideAnd2963~1_combout\);

-- Location: LCCOMB_X64_Y48_N24
\WideAnd2963~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2963~0_combout\ = (\led_flash_cnt[2963][3]~q\ & (\led_flash_cnt[2963][4]~q\ & (\led_flash_cnt[2963][1]~q\ & \led_flash_cnt[2963][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2963][3]~q\,
	datab => \led_flash_cnt[2963][4]~q\,
	datac => \led_flash_cnt[2963][1]~q\,
	datad => \led_flash_cnt[2963][2]~q\,
	combout => \WideAnd2963~0_combout\);

-- Location: LCCOMB_X64_Y48_N22
WideAnd2963 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2963~combout\ = (\led_flash_cnt[2963][0]~q\ & (\led_flash_cnt[2963][7]~q\ & (\WideAnd2963~1_combout\ & \WideAnd2963~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2963][0]~q\,
	datab => \led_flash_cnt[2963][7]~q\,
	datac => \WideAnd2963~1_combout\,
	datad => \WideAnd2963~0_combout\,
	combout => \WideAnd2963~combout\);

-- Location: FF_X64_Y48_N23
\led_flash_cnt_ands[2963]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2963~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2963));

-- Location: LCCOMB_X67_Y47_N24
\led_flash_cnt[2960][0]~83600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2960][0]~83600_combout\ = !\led_flash_cnt[2960][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2960][0]~q\,
	combout => \led_flash_cnt[2960][0]~83600_combout\);

-- Location: FF_X67_Y47_N25
\led_flash_cnt[2960][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2960][0]~83600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2960][0]~q\);

-- Location: LCCOMB_X67_Y47_N6
\led_flash_cnt[2960][1]~68320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2960][1]~68320_combout\ = (\led_flash_cnt[2960][1]~q\ & (\led_flash_cnt[2960][0]~q\ $ (VCC))) # (!\led_flash_cnt[2960][1]~q\ & (\led_flash_cnt[2960][0]~q\ & VCC))
-- \led_flash_cnt[2960][1]~68321\ = CARRY((\led_flash_cnt[2960][1]~q\ & \led_flash_cnt[2960][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2960][1]~q\,
	datab => \led_flash_cnt[2960][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2960][1]~68320_combout\,
	cout => \led_flash_cnt[2960][1]~68321\);

-- Location: FF_X67_Y47_N7
\led_flash_cnt[2960][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2960][1]~68320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2960][1]~q\);

-- Location: LCCOMB_X67_Y47_N8
\led_flash_cnt[2960][2]~68322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2960][2]~68322_combout\ = (\led_flash_cnt[2960][2]~q\ & (!\led_flash_cnt[2960][1]~68321\)) # (!\led_flash_cnt[2960][2]~q\ & ((\led_flash_cnt[2960][1]~68321\) # (GND)))
-- \led_flash_cnt[2960][2]~68323\ = CARRY((!\led_flash_cnt[2960][1]~68321\) # (!\led_flash_cnt[2960][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2960][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2960][1]~68321\,
	combout => \led_flash_cnt[2960][2]~68322_combout\,
	cout => \led_flash_cnt[2960][2]~68323\);

-- Location: FF_X67_Y47_N9
\led_flash_cnt[2960][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2960][2]~68322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2960][2]~q\);

-- Location: LCCOMB_X67_Y47_N10
\led_flash_cnt[2960][3]~68324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2960][3]~68324_combout\ = (\led_flash_cnt[2960][3]~q\ & (\led_flash_cnt[2960][2]~68323\ $ (GND))) # (!\led_flash_cnt[2960][3]~q\ & (!\led_flash_cnt[2960][2]~68323\ & VCC))
-- \led_flash_cnt[2960][3]~68325\ = CARRY((\led_flash_cnt[2960][3]~q\ & !\led_flash_cnt[2960][2]~68323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2960][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2960][2]~68323\,
	combout => \led_flash_cnt[2960][3]~68324_combout\,
	cout => \led_flash_cnt[2960][3]~68325\);

-- Location: FF_X67_Y47_N11
\led_flash_cnt[2960][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2960][3]~68324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2960][3]~q\);

-- Location: LCCOMB_X67_Y47_N12
\led_flash_cnt[2960][4]~68326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2960][4]~68326_combout\ = (\led_flash_cnt[2960][4]~q\ & (!\led_flash_cnt[2960][3]~68325\)) # (!\led_flash_cnt[2960][4]~q\ & ((\led_flash_cnt[2960][3]~68325\) # (GND)))
-- \led_flash_cnt[2960][4]~68327\ = CARRY((!\led_flash_cnt[2960][3]~68325\) # (!\led_flash_cnt[2960][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2960][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2960][3]~68325\,
	combout => \led_flash_cnt[2960][4]~68326_combout\,
	cout => \led_flash_cnt[2960][4]~68327\);

-- Location: FF_X67_Y47_N13
\led_flash_cnt[2960][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2960][4]~68326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2960][4]~q\);

-- Location: LCCOMB_X67_Y47_N26
\WideAnd2960~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2960~0_combout\ = (\led_flash_cnt[2960][3]~q\ & (\led_flash_cnt[2960][4]~q\ & (\led_flash_cnt[2960][2]~q\ & \led_flash_cnt[2960][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2960][3]~q\,
	datab => \led_flash_cnt[2960][4]~q\,
	datac => \led_flash_cnt[2960][2]~q\,
	datad => \led_flash_cnt[2960][1]~q\,
	combout => \WideAnd2960~0_combout\);

-- Location: LCCOMB_X67_Y47_N14
\led_flash_cnt[2960][5]~68328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2960][5]~68328_combout\ = (\led_flash_cnt[2960][5]~q\ & (\led_flash_cnt[2960][4]~68327\ $ (GND))) # (!\led_flash_cnt[2960][5]~q\ & (!\led_flash_cnt[2960][4]~68327\ & VCC))
-- \led_flash_cnt[2960][5]~68329\ = CARRY((\led_flash_cnt[2960][5]~q\ & !\led_flash_cnt[2960][4]~68327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2960][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2960][4]~68327\,
	combout => \led_flash_cnt[2960][5]~68328_combout\,
	cout => \led_flash_cnt[2960][5]~68329\);

-- Location: FF_X67_Y47_N15
\led_flash_cnt[2960][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2960][5]~68328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2960][5]~q\);

-- Location: LCCOMB_X67_Y47_N16
\led_flash_cnt[2960][6]~68330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2960][6]~68330_combout\ = (\led_flash_cnt[2960][6]~q\ & (!\led_flash_cnt[2960][5]~68329\)) # (!\led_flash_cnt[2960][6]~q\ & ((\led_flash_cnt[2960][5]~68329\) # (GND)))
-- \led_flash_cnt[2960][6]~68331\ = CARRY((!\led_flash_cnt[2960][5]~68329\) # (!\led_flash_cnt[2960][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2960][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2960][5]~68329\,
	combout => \led_flash_cnt[2960][6]~68330_combout\,
	cout => \led_flash_cnt[2960][6]~68331\);

-- Location: FF_X67_Y47_N17
\led_flash_cnt[2960][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2960][6]~68330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2960][6]~q\);

-- Location: LCCOMB_X67_Y47_N18
\led_flash_cnt[2960][7]~68332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2960][7]~68332_combout\ = \led_flash_cnt[2960][6]~68331\ $ (!\led_flash_cnt[2960][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2960][7]~q\,
	cin => \led_flash_cnt[2960][6]~68331\,
	combout => \led_flash_cnt[2960][7]~68332_combout\);

-- Location: FF_X67_Y47_N19
\led_flash_cnt[2960][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2960][7]~68332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2960][7]~q\);

-- Location: LCCOMB_X67_Y47_N4
\WideAnd2960~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2960~1_combout\ = (\led_flash_cnt[2960][5]~q\ & \led_flash_cnt[2960][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2960][5]~q\,
	datad => \led_flash_cnt[2960][6]~q\,
	combout => \WideAnd2960~1_combout\);

-- Location: LCCOMB_X67_Y47_N22
WideAnd2960 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2960~combout\ = (\WideAnd2960~0_combout\ & (\led_flash_cnt[2960][7]~q\ & (\WideAnd2960~1_combout\ & \led_flash_cnt[2960][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2960~0_combout\,
	datab => \led_flash_cnt[2960][7]~q\,
	datac => \WideAnd2960~1_combout\,
	datad => \led_flash_cnt[2960][0]~q\,
	combout => \WideAnd2960~combout\);

-- Location: FF_X67_Y47_N23
\led_flash_cnt_ands[2960]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2960~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2960));

-- Location: LCCOMB_X64_Y44_N6
\led_flash_cnt[2962][0]~83602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2962][0]~83602_combout\ = !\led_flash_cnt[2962][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2962][0]~q\,
	combout => \led_flash_cnt[2962][0]~83602_combout\);

-- Location: FF_X64_Y44_N7
\led_flash_cnt[2962][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2962][0]~83602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2962][0]~q\);

-- Location: LCCOMB_X64_Y44_N16
\led_flash_cnt[2962][1]~68348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2962][1]~68348_combout\ = (\led_flash_cnt[2962][0]~q\ & (\led_flash_cnt[2962][1]~q\ $ (VCC))) # (!\led_flash_cnt[2962][0]~q\ & (\led_flash_cnt[2962][1]~q\ & VCC))
-- \led_flash_cnt[2962][1]~68349\ = CARRY((\led_flash_cnt[2962][0]~q\ & \led_flash_cnt[2962][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2962][0]~q\,
	datab => \led_flash_cnt[2962][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2962][1]~68348_combout\,
	cout => \led_flash_cnt[2962][1]~68349\);

-- Location: FF_X64_Y44_N17
\led_flash_cnt[2962][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2962][1]~68348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2962][1]~q\);

-- Location: LCCOMB_X64_Y44_N18
\led_flash_cnt[2962][2]~68350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2962][2]~68350_combout\ = (\led_flash_cnt[2962][2]~q\ & (!\led_flash_cnt[2962][1]~68349\)) # (!\led_flash_cnt[2962][2]~q\ & ((\led_flash_cnt[2962][1]~68349\) # (GND)))
-- \led_flash_cnt[2962][2]~68351\ = CARRY((!\led_flash_cnt[2962][1]~68349\) # (!\led_flash_cnt[2962][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2962][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2962][1]~68349\,
	combout => \led_flash_cnt[2962][2]~68350_combout\,
	cout => \led_flash_cnt[2962][2]~68351\);

-- Location: FF_X64_Y44_N19
\led_flash_cnt[2962][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2962][2]~68350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2962][2]~q\);

-- Location: LCCOMB_X64_Y44_N20
\led_flash_cnt[2962][3]~68352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2962][3]~68352_combout\ = (\led_flash_cnt[2962][3]~q\ & (\led_flash_cnt[2962][2]~68351\ $ (GND))) # (!\led_flash_cnt[2962][3]~q\ & (!\led_flash_cnt[2962][2]~68351\ & VCC))
-- \led_flash_cnt[2962][3]~68353\ = CARRY((\led_flash_cnt[2962][3]~q\ & !\led_flash_cnt[2962][2]~68351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2962][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2962][2]~68351\,
	combout => \led_flash_cnt[2962][3]~68352_combout\,
	cout => \led_flash_cnt[2962][3]~68353\);

-- Location: FF_X64_Y44_N21
\led_flash_cnt[2962][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2962][3]~68352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2962][3]~q\);

-- Location: LCCOMB_X64_Y44_N22
\led_flash_cnt[2962][4]~68354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2962][4]~68354_combout\ = (\led_flash_cnt[2962][4]~q\ & (!\led_flash_cnt[2962][3]~68353\)) # (!\led_flash_cnt[2962][4]~q\ & ((\led_flash_cnt[2962][3]~68353\) # (GND)))
-- \led_flash_cnt[2962][4]~68355\ = CARRY((!\led_flash_cnt[2962][3]~68353\) # (!\led_flash_cnt[2962][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2962][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2962][3]~68353\,
	combout => \led_flash_cnt[2962][4]~68354_combout\,
	cout => \led_flash_cnt[2962][4]~68355\);

-- Location: FF_X64_Y44_N23
\led_flash_cnt[2962][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2962][4]~68354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2962][4]~q\);

-- Location: LCCOMB_X64_Y44_N24
\led_flash_cnt[2962][5]~68356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2962][5]~68356_combout\ = (\led_flash_cnt[2962][5]~q\ & (\led_flash_cnt[2962][4]~68355\ $ (GND))) # (!\led_flash_cnt[2962][5]~q\ & (!\led_flash_cnt[2962][4]~68355\ & VCC))
-- \led_flash_cnt[2962][5]~68357\ = CARRY((\led_flash_cnt[2962][5]~q\ & !\led_flash_cnt[2962][4]~68355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2962][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2962][4]~68355\,
	combout => \led_flash_cnt[2962][5]~68356_combout\,
	cout => \led_flash_cnt[2962][5]~68357\);

-- Location: FF_X64_Y44_N25
\led_flash_cnt[2962][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2962][5]~68356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2962][5]~q\);

-- Location: LCCOMB_X64_Y44_N26
\led_flash_cnt[2962][6]~68358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2962][6]~68358_combout\ = (\led_flash_cnt[2962][6]~q\ & (!\led_flash_cnt[2962][5]~68357\)) # (!\led_flash_cnt[2962][6]~q\ & ((\led_flash_cnt[2962][5]~68357\) # (GND)))
-- \led_flash_cnt[2962][6]~68359\ = CARRY((!\led_flash_cnt[2962][5]~68357\) # (!\led_flash_cnt[2962][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2962][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2962][5]~68357\,
	combout => \led_flash_cnt[2962][6]~68358_combout\,
	cout => \led_flash_cnt[2962][6]~68359\);

-- Location: FF_X64_Y44_N27
\led_flash_cnt[2962][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2962][6]~68358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2962][6]~q\);

-- Location: LCCOMB_X64_Y44_N28
\led_flash_cnt[2962][7]~68360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2962][7]~68360_combout\ = \led_flash_cnt[2962][6]~68359\ $ (!\led_flash_cnt[2962][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2962][7]~q\,
	cin => \led_flash_cnt[2962][6]~68359\,
	combout => \led_flash_cnt[2962][7]~68360_combout\);

-- Location: FF_X64_Y44_N29
\led_flash_cnt[2962][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2962][7]~68360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2962][7]~q\);

-- Location: LCCOMB_X64_Y44_N14
\WideAnd2962~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2962~1_combout\ = (\led_flash_cnt[2962][6]~q\ & \led_flash_cnt[2962][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2962][6]~q\,
	datad => \led_flash_cnt[2962][5]~q\,
	combout => \WideAnd2962~1_combout\);

-- Location: LCCOMB_X64_Y44_N12
\WideAnd2962~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2962~0_combout\ = (\led_flash_cnt[2962][3]~q\ & (\led_flash_cnt[2962][2]~q\ & (\led_flash_cnt[2962][4]~q\ & \led_flash_cnt[2962][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2962][3]~q\,
	datab => \led_flash_cnt[2962][2]~q\,
	datac => \led_flash_cnt[2962][4]~q\,
	datad => \led_flash_cnt[2962][1]~q\,
	combout => \WideAnd2962~0_combout\);

-- Location: LCCOMB_X64_Y44_N0
WideAnd2962 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2962~combout\ = (\led_flash_cnt[2962][0]~q\ & (\led_flash_cnt[2962][7]~q\ & (\WideAnd2962~1_combout\ & \WideAnd2962~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2962][0]~q\,
	datab => \led_flash_cnt[2962][7]~q\,
	datac => \WideAnd2962~1_combout\,
	datad => \WideAnd2962~0_combout\,
	combout => \WideAnd2962~combout\);

-- Location: FF_X64_Y44_N1
\led_flash_cnt_ands[2962]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2962~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2962));

-- Location: LCCOMB_X64_Y44_N30
\WideAnd4210~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4210~0_combout\ = (led_flash_cnt_ands(2961) & (led_flash_cnt_ands(2963) & (led_flash_cnt_ands(2960) & led_flash_cnt_ands(2962))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2961),
	datab => led_flash_cnt_ands(2963),
	datac => led_flash_cnt_ands(2960),
	datad => led_flash_cnt_ands(2962),
	combout => \WideAnd4210~0_combout\);

-- Location: LCCOMB_X12_Y29_N2
\led_flash_cnt[2965][0]~83605\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2965][0]~83605_combout\ = !\led_flash_cnt[2965][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2965][0]~q\,
	combout => \led_flash_cnt[2965][0]~83605_combout\);

-- Location: FF_X12_Y29_N3
\led_flash_cnt[2965][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2965][0]~83605_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2965][0]~q\);

-- Location: LCCOMB_X11_Y29_N14
\led_flash_cnt[2965][1]~68390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2965][1]~68390_combout\ = (\led_flash_cnt[2965][0]~q\ & (\led_flash_cnt[2965][1]~q\ $ (VCC))) # (!\led_flash_cnt[2965][0]~q\ & (\led_flash_cnt[2965][1]~q\ & VCC))
-- \led_flash_cnt[2965][1]~68391\ = CARRY((\led_flash_cnt[2965][0]~q\ & \led_flash_cnt[2965][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2965][0]~q\,
	datab => \led_flash_cnt[2965][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2965][1]~68390_combout\,
	cout => \led_flash_cnt[2965][1]~68391\);

-- Location: FF_X11_Y29_N15
\led_flash_cnt[2965][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2965][1]~68390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2965][1]~q\);

-- Location: LCCOMB_X11_Y29_N16
\led_flash_cnt[2965][2]~68392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2965][2]~68392_combout\ = (\led_flash_cnt[2965][2]~q\ & (!\led_flash_cnt[2965][1]~68391\)) # (!\led_flash_cnt[2965][2]~q\ & ((\led_flash_cnt[2965][1]~68391\) # (GND)))
-- \led_flash_cnt[2965][2]~68393\ = CARRY((!\led_flash_cnt[2965][1]~68391\) # (!\led_flash_cnt[2965][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2965][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2965][1]~68391\,
	combout => \led_flash_cnt[2965][2]~68392_combout\,
	cout => \led_flash_cnt[2965][2]~68393\);

-- Location: FF_X11_Y29_N17
\led_flash_cnt[2965][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2965][2]~68392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2965][2]~q\);

-- Location: LCCOMB_X11_Y29_N18
\led_flash_cnt[2965][3]~68394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2965][3]~68394_combout\ = (\led_flash_cnt[2965][3]~q\ & (\led_flash_cnt[2965][2]~68393\ $ (GND))) # (!\led_flash_cnt[2965][3]~q\ & (!\led_flash_cnt[2965][2]~68393\ & VCC))
-- \led_flash_cnt[2965][3]~68395\ = CARRY((\led_flash_cnt[2965][3]~q\ & !\led_flash_cnt[2965][2]~68393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2965][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2965][2]~68393\,
	combout => \led_flash_cnt[2965][3]~68394_combout\,
	cout => \led_flash_cnt[2965][3]~68395\);

-- Location: FF_X11_Y29_N19
\led_flash_cnt[2965][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2965][3]~68394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2965][3]~q\);

-- Location: LCCOMB_X11_Y29_N20
\led_flash_cnt[2965][4]~68396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2965][4]~68396_combout\ = (\led_flash_cnt[2965][4]~q\ & (!\led_flash_cnt[2965][3]~68395\)) # (!\led_flash_cnt[2965][4]~q\ & ((\led_flash_cnt[2965][3]~68395\) # (GND)))
-- \led_flash_cnt[2965][4]~68397\ = CARRY((!\led_flash_cnt[2965][3]~68395\) # (!\led_flash_cnt[2965][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2965][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2965][3]~68395\,
	combout => \led_flash_cnt[2965][4]~68396_combout\,
	cout => \led_flash_cnt[2965][4]~68397\);

-- Location: FF_X11_Y29_N21
\led_flash_cnt[2965][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2965][4]~68396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2965][4]~q\);

-- Location: LCCOMB_X11_Y29_N22
\led_flash_cnt[2965][5]~68398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2965][5]~68398_combout\ = (\led_flash_cnt[2965][5]~q\ & (\led_flash_cnt[2965][4]~68397\ $ (GND))) # (!\led_flash_cnt[2965][5]~q\ & (!\led_flash_cnt[2965][4]~68397\ & VCC))
-- \led_flash_cnt[2965][5]~68399\ = CARRY((\led_flash_cnt[2965][5]~q\ & !\led_flash_cnt[2965][4]~68397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2965][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2965][4]~68397\,
	combout => \led_flash_cnt[2965][5]~68398_combout\,
	cout => \led_flash_cnt[2965][5]~68399\);

-- Location: FF_X11_Y29_N23
\led_flash_cnt[2965][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2965][5]~68398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2965][5]~q\);

-- Location: LCCOMB_X11_Y29_N24
\led_flash_cnt[2965][6]~68400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2965][6]~68400_combout\ = (\led_flash_cnt[2965][6]~q\ & (!\led_flash_cnt[2965][5]~68399\)) # (!\led_flash_cnt[2965][6]~q\ & ((\led_flash_cnt[2965][5]~68399\) # (GND)))
-- \led_flash_cnt[2965][6]~68401\ = CARRY((!\led_flash_cnt[2965][5]~68399\) # (!\led_flash_cnt[2965][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2965][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2965][5]~68399\,
	combout => \led_flash_cnt[2965][6]~68400_combout\,
	cout => \led_flash_cnt[2965][6]~68401\);

-- Location: FF_X11_Y29_N25
\led_flash_cnt[2965][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2965][6]~68400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2965][6]~q\);

-- Location: LCCOMB_X12_Y29_N6
\WideAnd2965~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2965~1_combout\ = (\led_flash_cnt[2965][5]~q\ & \led_flash_cnt[2965][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2965][5]~q\,
	datad => \led_flash_cnt[2965][6]~q\,
	combout => \WideAnd2965~1_combout\);

-- Location: LCCOMB_X11_Y29_N28
\WideAnd2965~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2965~0_combout\ = (\led_flash_cnt[2965][4]~q\ & (\led_flash_cnt[2965][3]~q\ & (\led_flash_cnt[2965][1]~q\ & \led_flash_cnt[2965][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2965][4]~q\,
	datab => \led_flash_cnt[2965][3]~q\,
	datac => \led_flash_cnt[2965][1]~q\,
	datad => \led_flash_cnt[2965][2]~q\,
	combout => \WideAnd2965~0_combout\);

-- Location: LCCOMB_X11_Y29_N26
\led_flash_cnt[2965][7]~68402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2965][7]~68402_combout\ = \led_flash_cnt[2965][7]~q\ $ (!\led_flash_cnt[2965][6]~68401\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2965][7]~q\,
	cin => \led_flash_cnt[2965][6]~68401\,
	combout => \led_flash_cnt[2965][7]~68402_combout\);

-- Location: FF_X11_Y29_N27
\led_flash_cnt[2965][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2965][7]~68402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2965][7]~q\);

-- Location: LCCOMB_X12_Y29_N4
WideAnd2965 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2965~combout\ = (\WideAnd2965~1_combout\ & (\WideAnd2965~0_combout\ & (\led_flash_cnt[2965][7]~q\ & \led_flash_cnt[2965][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2965~1_combout\,
	datab => \WideAnd2965~0_combout\,
	datac => \led_flash_cnt[2965][7]~q\,
	datad => \led_flash_cnt[2965][0]~q\,
	combout => \WideAnd2965~combout\);

-- Location: FF_X12_Y29_N5
\led_flash_cnt_ands[2965]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2965~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2965));

-- Location: LCCOMB_X12_Y29_N0
\led_flash_cnt[2964][0]~83604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2964][0]~83604_combout\ = !\led_flash_cnt[2964][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2964][0]~q\,
	combout => \led_flash_cnt[2964][0]~83604_combout\);

-- Location: FF_X12_Y29_N1
\led_flash_cnt[2964][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2964][0]~83604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2964][0]~q\);

-- Location: LCCOMB_X12_Y29_N10
\led_flash_cnt[2964][1]~68376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2964][1]~68376_combout\ = (\led_flash_cnt[2964][1]~q\ & (\led_flash_cnt[2964][0]~q\ $ (VCC))) # (!\led_flash_cnt[2964][1]~q\ & (\led_flash_cnt[2964][0]~q\ & VCC))
-- \led_flash_cnt[2964][1]~68377\ = CARRY((\led_flash_cnt[2964][1]~q\ & \led_flash_cnt[2964][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2964][1]~q\,
	datab => \led_flash_cnt[2964][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2964][1]~68376_combout\,
	cout => \led_flash_cnt[2964][1]~68377\);

-- Location: FF_X12_Y29_N11
\led_flash_cnt[2964][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2964][1]~68376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2964][1]~q\);

-- Location: LCCOMB_X12_Y29_N12
\led_flash_cnt[2964][2]~68378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2964][2]~68378_combout\ = (\led_flash_cnt[2964][2]~q\ & (!\led_flash_cnt[2964][1]~68377\)) # (!\led_flash_cnt[2964][2]~q\ & ((\led_flash_cnt[2964][1]~68377\) # (GND)))
-- \led_flash_cnt[2964][2]~68379\ = CARRY((!\led_flash_cnt[2964][1]~68377\) # (!\led_flash_cnt[2964][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2964][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2964][1]~68377\,
	combout => \led_flash_cnt[2964][2]~68378_combout\,
	cout => \led_flash_cnt[2964][2]~68379\);

-- Location: FF_X12_Y29_N13
\led_flash_cnt[2964][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2964][2]~68378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2964][2]~q\);

-- Location: LCCOMB_X12_Y29_N14
\led_flash_cnt[2964][3]~68380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2964][3]~68380_combout\ = (\led_flash_cnt[2964][3]~q\ & (\led_flash_cnt[2964][2]~68379\ $ (GND))) # (!\led_flash_cnt[2964][3]~q\ & (!\led_flash_cnt[2964][2]~68379\ & VCC))
-- \led_flash_cnt[2964][3]~68381\ = CARRY((\led_flash_cnt[2964][3]~q\ & !\led_flash_cnt[2964][2]~68379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2964][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2964][2]~68379\,
	combout => \led_flash_cnt[2964][3]~68380_combout\,
	cout => \led_flash_cnt[2964][3]~68381\);

-- Location: FF_X12_Y29_N15
\led_flash_cnt[2964][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2964][3]~68380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2964][3]~q\);

-- Location: LCCOMB_X12_Y29_N16
\led_flash_cnt[2964][4]~68382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2964][4]~68382_combout\ = (\led_flash_cnt[2964][4]~q\ & (!\led_flash_cnt[2964][3]~68381\)) # (!\led_flash_cnt[2964][4]~q\ & ((\led_flash_cnt[2964][3]~68381\) # (GND)))
-- \led_flash_cnt[2964][4]~68383\ = CARRY((!\led_flash_cnt[2964][3]~68381\) # (!\led_flash_cnt[2964][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2964][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2964][3]~68381\,
	combout => \led_flash_cnt[2964][4]~68382_combout\,
	cout => \led_flash_cnt[2964][4]~68383\);

-- Location: FF_X12_Y29_N17
\led_flash_cnt[2964][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2964][4]~68382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2964][4]~q\);

-- Location: LCCOMB_X12_Y29_N18
\led_flash_cnt[2964][5]~68384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2964][5]~68384_combout\ = (\led_flash_cnt[2964][5]~q\ & (\led_flash_cnt[2964][4]~68383\ $ (GND))) # (!\led_flash_cnt[2964][5]~q\ & (!\led_flash_cnt[2964][4]~68383\ & VCC))
-- \led_flash_cnt[2964][5]~68385\ = CARRY((\led_flash_cnt[2964][5]~q\ & !\led_flash_cnt[2964][4]~68383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2964][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2964][4]~68383\,
	combout => \led_flash_cnt[2964][5]~68384_combout\,
	cout => \led_flash_cnt[2964][5]~68385\);

-- Location: FF_X12_Y29_N19
\led_flash_cnt[2964][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2964][5]~68384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2964][5]~q\);

-- Location: LCCOMB_X12_Y29_N20
\led_flash_cnt[2964][6]~68386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2964][6]~68386_combout\ = (\led_flash_cnt[2964][6]~q\ & (!\led_flash_cnt[2964][5]~68385\)) # (!\led_flash_cnt[2964][6]~q\ & ((\led_flash_cnt[2964][5]~68385\) # (GND)))
-- \led_flash_cnt[2964][6]~68387\ = CARRY((!\led_flash_cnt[2964][5]~68385\) # (!\led_flash_cnt[2964][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2964][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2964][5]~68385\,
	combout => \led_flash_cnt[2964][6]~68386_combout\,
	cout => \led_flash_cnt[2964][6]~68387\);

-- Location: FF_X12_Y29_N21
\led_flash_cnt[2964][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2964][6]~68386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2964][6]~q\);

-- Location: LCCOMB_X12_Y29_N26
\WideAnd2964~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2964~1_combout\ = (\led_flash_cnt[2964][6]~q\ & \led_flash_cnt[2964][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2964][6]~q\,
	datad => \led_flash_cnt[2964][5]~q\,
	combout => \WideAnd2964~1_combout\);

-- Location: LCCOMB_X12_Y29_N22
\led_flash_cnt[2964][7]~68388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2964][7]~68388_combout\ = \led_flash_cnt[2964][7]~q\ $ (!\led_flash_cnt[2964][6]~68387\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2964][7]~q\,
	cin => \led_flash_cnt[2964][6]~68387\,
	combout => \led_flash_cnt[2964][7]~68388_combout\);

-- Location: FF_X12_Y29_N23
\led_flash_cnt[2964][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2964][7]~68388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2964][7]~q\);

-- Location: LCCOMB_X12_Y29_N24
\WideAnd2964~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2964~0_combout\ = (\led_flash_cnt[2964][2]~q\ & (\led_flash_cnt[2964][4]~q\ & (\led_flash_cnt[2964][3]~q\ & \led_flash_cnt[2964][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2964][2]~q\,
	datab => \led_flash_cnt[2964][4]~q\,
	datac => \led_flash_cnt[2964][3]~q\,
	datad => \led_flash_cnt[2964][1]~q\,
	combout => \WideAnd2964~0_combout\);

-- Location: LCCOMB_X12_Y29_N28
WideAnd2964 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2964~combout\ = (\WideAnd2964~1_combout\ & (\led_flash_cnt[2964][0]~q\ & (\led_flash_cnt[2964][7]~q\ & \WideAnd2964~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2964~1_combout\,
	datab => \led_flash_cnt[2964][0]~q\,
	datac => \led_flash_cnt[2964][7]~q\,
	datad => \WideAnd2964~0_combout\,
	combout => \WideAnd2964~combout\);

-- Location: FF_X12_Y29_N29
\led_flash_cnt_ands[2964]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2964~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2964));

-- Location: LCCOMB_X12_Y29_N30
\WideAnd4210~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4210~1_combout\ = (led_flash_cnt_ands(2965) & led_flash_cnt_ands(2964))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2965),
	datad => led_flash_cnt_ands(2964),
	combout => \WideAnd4210~1_combout\);

-- Location: LCCOMB_X64_Y44_N4
WideAnd4210 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4210~combout\ = (led_flash_cnt_ands(2967) & (led_flash_cnt_ands(2966) & (\WideAnd4210~0_combout\ & \WideAnd4210~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2967),
	datab => led_flash_cnt_ands(2966),
	datac => \WideAnd4210~0_combout\,
	datad => \WideAnd4210~1_combout\,
	combout => \WideAnd4210~combout\);

-- Location: FF_X64_Y44_N5
\led_flash_cnt_ands_1[370]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4210~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(370));

-- Location: LCCOMB_X77_Y23_N24
\led_flash_cnt[2958][0]~83598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2958][0]~83598_combout\ = !\led_flash_cnt[2958][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2958][0]~q\,
	combout => \led_flash_cnt[2958][0]~83598_combout\);

-- Location: FF_X77_Y23_N25
\led_flash_cnt[2958][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2958][0]~83598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2958][0]~q\);

-- Location: LCCOMB_X77_Y23_N6
\led_flash_cnt[2958][1]~68292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2958][1]~68292_combout\ = (\led_flash_cnt[2958][1]~q\ & (\led_flash_cnt[2958][0]~q\ $ (VCC))) # (!\led_flash_cnt[2958][1]~q\ & (\led_flash_cnt[2958][0]~q\ & VCC))
-- \led_flash_cnt[2958][1]~68293\ = CARRY((\led_flash_cnt[2958][1]~q\ & \led_flash_cnt[2958][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2958][1]~q\,
	datab => \led_flash_cnt[2958][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2958][1]~68292_combout\,
	cout => \led_flash_cnt[2958][1]~68293\);

-- Location: FF_X77_Y23_N7
\led_flash_cnt[2958][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2958][1]~68292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2958][1]~q\);

-- Location: LCCOMB_X77_Y23_N8
\led_flash_cnt[2958][2]~68294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2958][2]~68294_combout\ = (\led_flash_cnt[2958][2]~q\ & (!\led_flash_cnt[2958][1]~68293\)) # (!\led_flash_cnt[2958][2]~q\ & ((\led_flash_cnt[2958][1]~68293\) # (GND)))
-- \led_flash_cnt[2958][2]~68295\ = CARRY((!\led_flash_cnt[2958][1]~68293\) # (!\led_flash_cnt[2958][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2958][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2958][1]~68293\,
	combout => \led_flash_cnt[2958][2]~68294_combout\,
	cout => \led_flash_cnt[2958][2]~68295\);

-- Location: FF_X77_Y23_N9
\led_flash_cnt[2958][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2958][2]~68294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2958][2]~q\);

-- Location: LCCOMB_X77_Y23_N10
\led_flash_cnt[2958][3]~68296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2958][3]~68296_combout\ = (\led_flash_cnt[2958][3]~q\ & (\led_flash_cnt[2958][2]~68295\ $ (GND))) # (!\led_flash_cnt[2958][3]~q\ & (!\led_flash_cnt[2958][2]~68295\ & VCC))
-- \led_flash_cnt[2958][3]~68297\ = CARRY((\led_flash_cnt[2958][3]~q\ & !\led_flash_cnt[2958][2]~68295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2958][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2958][2]~68295\,
	combout => \led_flash_cnt[2958][3]~68296_combout\,
	cout => \led_flash_cnt[2958][3]~68297\);

-- Location: FF_X77_Y23_N11
\led_flash_cnt[2958][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2958][3]~68296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2958][3]~q\);

-- Location: LCCOMB_X77_Y23_N12
\led_flash_cnt[2958][4]~68298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2958][4]~68298_combout\ = (\led_flash_cnt[2958][4]~q\ & (!\led_flash_cnt[2958][3]~68297\)) # (!\led_flash_cnt[2958][4]~q\ & ((\led_flash_cnt[2958][3]~68297\) # (GND)))
-- \led_flash_cnt[2958][4]~68299\ = CARRY((!\led_flash_cnt[2958][3]~68297\) # (!\led_flash_cnt[2958][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2958][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2958][3]~68297\,
	combout => \led_flash_cnt[2958][4]~68298_combout\,
	cout => \led_flash_cnt[2958][4]~68299\);

-- Location: FF_X77_Y23_N13
\led_flash_cnt[2958][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2958][4]~68298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2958][4]~q\);

-- Location: LCCOMB_X77_Y23_N26
\WideAnd2958~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2958~0_combout\ = (\led_flash_cnt[2958][3]~q\ & (\led_flash_cnt[2958][4]~q\ & (\led_flash_cnt[2958][2]~q\ & \led_flash_cnt[2958][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2958][3]~q\,
	datab => \led_flash_cnt[2958][4]~q\,
	datac => \led_flash_cnt[2958][2]~q\,
	datad => \led_flash_cnt[2958][1]~q\,
	combout => \WideAnd2958~0_combout\);

-- Location: LCCOMB_X77_Y23_N14
\led_flash_cnt[2958][5]~68300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2958][5]~68300_combout\ = (\led_flash_cnt[2958][5]~q\ & (\led_flash_cnt[2958][4]~68299\ $ (GND))) # (!\led_flash_cnt[2958][5]~q\ & (!\led_flash_cnt[2958][4]~68299\ & VCC))
-- \led_flash_cnt[2958][5]~68301\ = CARRY((\led_flash_cnt[2958][5]~q\ & !\led_flash_cnt[2958][4]~68299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2958][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2958][4]~68299\,
	combout => \led_flash_cnt[2958][5]~68300_combout\,
	cout => \led_flash_cnt[2958][5]~68301\);

-- Location: FF_X77_Y23_N15
\led_flash_cnt[2958][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2958][5]~68300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2958][5]~q\);

-- Location: LCCOMB_X77_Y23_N16
\led_flash_cnt[2958][6]~68302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2958][6]~68302_combout\ = (\led_flash_cnt[2958][6]~q\ & (!\led_flash_cnt[2958][5]~68301\)) # (!\led_flash_cnt[2958][6]~q\ & ((\led_flash_cnt[2958][5]~68301\) # (GND)))
-- \led_flash_cnt[2958][6]~68303\ = CARRY((!\led_flash_cnt[2958][5]~68301\) # (!\led_flash_cnt[2958][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2958][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2958][5]~68301\,
	combout => \led_flash_cnt[2958][6]~68302_combout\,
	cout => \led_flash_cnt[2958][6]~68303\);

-- Location: FF_X77_Y23_N17
\led_flash_cnt[2958][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2958][6]~68302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2958][6]~q\);

-- Location: LCCOMB_X77_Y23_N18
\led_flash_cnt[2958][7]~68304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2958][7]~68304_combout\ = \led_flash_cnt[2958][6]~68303\ $ (!\led_flash_cnt[2958][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2958][7]~q\,
	cin => \led_flash_cnt[2958][6]~68303\,
	combout => \led_flash_cnt[2958][7]~68304_combout\);

-- Location: FF_X77_Y23_N19
\led_flash_cnt[2958][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2958][7]~68304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2958][7]~q\);

-- Location: LCCOMB_X77_Y23_N4
\WideAnd2958~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2958~1_combout\ = (\led_flash_cnt[2958][5]~q\ & \led_flash_cnt[2958][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2958][5]~q\,
	datad => \led_flash_cnt[2958][6]~q\,
	combout => \WideAnd2958~1_combout\);

-- Location: LCCOMB_X77_Y23_N22
WideAnd2958 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2958~combout\ = (\WideAnd2958~0_combout\ & (\led_flash_cnt[2958][7]~q\ & (\WideAnd2958~1_combout\ & \led_flash_cnt[2958][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2958~0_combout\,
	datab => \led_flash_cnt[2958][7]~q\,
	datac => \WideAnd2958~1_combout\,
	datad => \led_flash_cnt[2958][0]~q\,
	combout => \WideAnd2958~combout\);

-- Location: FF_X77_Y23_N23
\led_flash_cnt_ands[2958]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2958~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2958));

-- Location: LCCOMB_X74_Y22_N18
\led_flash_cnt[2957][0]~83597\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2957][0]~83597_combout\ = !\led_flash_cnt[2957][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2957][0]~q\,
	combout => \led_flash_cnt[2957][0]~83597_combout\);

-- Location: FF_X74_Y22_N19
\led_flash_cnt[2957][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2957][0]~83597_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2957][0]~q\);

-- Location: LCCOMB_X74_Y22_N0
\led_flash_cnt[2957][1]~68278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2957][1]~68278_combout\ = (\led_flash_cnt[2957][1]~q\ & (\led_flash_cnt[2957][0]~q\ $ (VCC))) # (!\led_flash_cnt[2957][1]~q\ & (\led_flash_cnt[2957][0]~q\ & VCC))
-- \led_flash_cnt[2957][1]~68279\ = CARRY((\led_flash_cnt[2957][1]~q\ & \led_flash_cnt[2957][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2957][1]~q\,
	datab => \led_flash_cnt[2957][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2957][1]~68278_combout\,
	cout => \led_flash_cnt[2957][1]~68279\);

-- Location: FF_X74_Y22_N1
\led_flash_cnt[2957][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2957][1]~68278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2957][1]~q\);

-- Location: LCCOMB_X74_Y22_N2
\led_flash_cnt[2957][2]~68280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2957][2]~68280_combout\ = (\led_flash_cnt[2957][2]~q\ & (!\led_flash_cnt[2957][1]~68279\)) # (!\led_flash_cnt[2957][2]~q\ & ((\led_flash_cnt[2957][1]~68279\) # (GND)))
-- \led_flash_cnt[2957][2]~68281\ = CARRY((!\led_flash_cnt[2957][1]~68279\) # (!\led_flash_cnt[2957][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2957][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2957][1]~68279\,
	combout => \led_flash_cnt[2957][2]~68280_combout\,
	cout => \led_flash_cnt[2957][2]~68281\);

-- Location: FF_X74_Y22_N3
\led_flash_cnt[2957][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2957][2]~68280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2957][2]~q\);

-- Location: LCCOMB_X74_Y22_N4
\led_flash_cnt[2957][3]~68282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2957][3]~68282_combout\ = (\led_flash_cnt[2957][3]~q\ & (\led_flash_cnt[2957][2]~68281\ $ (GND))) # (!\led_flash_cnt[2957][3]~q\ & (!\led_flash_cnt[2957][2]~68281\ & VCC))
-- \led_flash_cnt[2957][3]~68283\ = CARRY((\led_flash_cnt[2957][3]~q\ & !\led_flash_cnt[2957][2]~68281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2957][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2957][2]~68281\,
	combout => \led_flash_cnt[2957][3]~68282_combout\,
	cout => \led_flash_cnt[2957][3]~68283\);

-- Location: FF_X74_Y22_N5
\led_flash_cnt[2957][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2957][3]~68282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2957][3]~q\);

-- Location: LCCOMB_X74_Y22_N6
\led_flash_cnt[2957][4]~68284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2957][4]~68284_combout\ = (\led_flash_cnt[2957][4]~q\ & (!\led_flash_cnt[2957][3]~68283\)) # (!\led_flash_cnt[2957][4]~q\ & ((\led_flash_cnt[2957][3]~68283\) # (GND)))
-- \led_flash_cnt[2957][4]~68285\ = CARRY((!\led_flash_cnt[2957][3]~68283\) # (!\led_flash_cnt[2957][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2957][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2957][3]~68283\,
	combout => \led_flash_cnt[2957][4]~68284_combout\,
	cout => \led_flash_cnt[2957][4]~68285\);

-- Location: FF_X74_Y22_N7
\led_flash_cnt[2957][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2957][4]~68284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2957][4]~q\);

-- Location: LCCOMB_X74_Y22_N8
\led_flash_cnt[2957][5]~68286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2957][5]~68286_combout\ = (\led_flash_cnt[2957][5]~q\ & (\led_flash_cnt[2957][4]~68285\ $ (GND))) # (!\led_flash_cnt[2957][5]~q\ & (!\led_flash_cnt[2957][4]~68285\ & VCC))
-- \led_flash_cnt[2957][5]~68287\ = CARRY((\led_flash_cnt[2957][5]~q\ & !\led_flash_cnt[2957][4]~68285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2957][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2957][4]~68285\,
	combout => \led_flash_cnt[2957][5]~68286_combout\,
	cout => \led_flash_cnt[2957][5]~68287\);

-- Location: FF_X74_Y22_N9
\led_flash_cnt[2957][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2957][5]~68286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2957][5]~q\);

-- Location: LCCOMB_X74_Y22_N10
\led_flash_cnt[2957][6]~68288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2957][6]~68288_combout\ = (\led_flash_cnt[2957][6]~q\ & (!\led_flash_cnt[2957][5]~68287\)) # (!\led_flash_cnt[2957][6]~q\ & ((\led_flash_cnt[2957][5]~68287\) # (GND)))
-- \led_flash_cnt[2957][6]~68289\ = CARRY((!\led_flash_cnt[2957][5]~68287\) # (!\led_flash_cnt[2957][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2957][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2957][5]~68287\,
	combout => \led_flash_cnt[2957][6]~68288_combout\,
	cout => \led_flash_cnt[2957][6]~68289\);

-- Location: FF_X74_Y22_N11
\led_flash_cnt[2957][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2957][6]~68288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2957][6]~q\);

-- Location: LCCOMB_X74_Y22_N12
\led_flash_cnt[2957][7]~68290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2957][7]~68290_combout\ = \led_flash_cnt[2957][6]~68289\ $ (!\led_flash_cnt[2957][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2957][7]~q\,
	cin => \led_flash_cnt[2957][6]~68289\,
	combout => \led_flash_cnt[2957][7]~68290_combout\);

-- Location: FF_X74_Y22_N13
\led_flash_cnt[2957][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2957][7]~68290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2957][7]~q\);

-- Location: LCCOMB_X74_Y22_N24
\WideAnd2957~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2957~1_combout\ = (\led_flash_cnt[2957][5]~q\ & \led_flash_cnt[2957][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2957][5]~q\,
	datad => \led_flash_cnt[2957][6]~q\,
	combout => \WideAnd2957~1_combout\);

-- Location: LCCOMB_X74_Y22_N22
\WideAnd2957~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2957~0_combout\ = (\led_flash_cnt[2957][4]~q\ & (\led_flash_cnt[2957][1]~q\ & (\led_flash_cnt[2957][3]~q\ & \led_flash_cnt[2957][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2957][4]~q\,
	datab => \led_flash_cnt[2957][1]~q\,
	datac => \led_flash_cnt[2957][3]~q\,
	datad => \led_flash_cnt[2957][2]~q\,
	combout => \WideAnd2957~0_combout\);

-- Location: LCCOMB_X74_Y22_N26
WideAnd2957 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2957~combout\ = (\led_flash_cnt[2957][7]~q\ & (\WideAnd2957~1_combout\ & (\WideAnd2957~0_combout\ & \led_flash_cnt[2957][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2957][7]~q\,
	datab => \WideAnd2957~1_combout\,
	datac => \WideAnd2957~0_combout\,
	datad => \led_flash_cnt[2957][0]~q\,
	combout => \WideAnd2957~combout\);

-- Location: FF_X74_Y22_N27
\led_flash_cnt_ands[2957]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2957~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2957));

-- Location: LCCOMB_X75_Y22_N24
\led_flash_cnt[2956][0]~83596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2956][0]~83596_combout\ = !\led_flash_cnt[2956][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2956][0]~q\,
	combout => \led_flash_cnt[2956][0]~83596_combout\);

-- Location: FF_X75_Y22_N25
\led_flash_cnt[2956][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2956][0]~83596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2956][0]~q\);

-- Location: LCCOMB_X75_Y22_N6
\led_flash_cnt[2956][1]~68264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2956][1]~68264_combout\ = (\led_flash_cnt[2956][1]~q\ & (\led_flash_cnt[2956][0]~q\ $ (VCC))) # (!\led_flash_cnt[2956][1]~q\ & (\led_flash_cnt[2956][0]~q\ & VCC))
-- \led_flash_cnt[2956][1]~68265\ = CARRY((\led_flash_cnt[2956][1]~q\ & \led_flash_cnt[2956][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2956][1]~q\,
	datab => \led_flash_cnt[2956][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2956][1]~68264_combout\,
	cout => \led_flash_cnt[2956][1]~68265\);

-- Location: FF_X75_Y22_N7
\led_flash_cnt[2956][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2956][1]~68264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2956][1]~q\);

-- Location: LCCOMB_X75_Y22_N8
\led_flash_cnt[2956][2]~68266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2956][2]~68266_combout\ = (\led_flash_cnt[2956][2]~q\ & (!\led_flash_cnt[2956][1]~68265\)) # (!\led_flash_cnt[2956][2]~q\ & ((\led_flash_cnt[2956][1]~68265\) # (GND)))
-- \led_flash_cnt[2956][2]~68267\ = CARRY((!\led_flash_cnt[2956][1]~68265\) # (!\led_flash_cnt[2956][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2956][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2956][1]~68265\,
	combout => \led_flash_cnt[2956][2]~68266_combout\,
	cout => \led_flash_cnt[2956][2]~68267\);

-- Location: FF_X75_Y22_N9
\led_flash_cnt[2956][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2956][2]~68266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2956][2]~q\);

-- Location: LCCOMB_X75_Y22_N10
\led_flash_cnt[2956][3]~68268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2956][3]~68268_combout\ = (\led_flash_cnt[2956][3]~q\ & (\led_flash_cnt[2956][2]~68267\ $ (GND))) # (!\led_flash_cnt[2956][3]~q\ & (!\led_flash_cnt[2956][2]~68267\ & VCC))
-- \led_flash_cnt[2956][3]~68269\ = CARRY((\led_flash_cnt[2956][3]~q\ & !\led_flash_cnt[2956][2]~68267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2956][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2956][2]~68267\,
	combout => \led_flash_cnt[2956][3]~68268_combout\,
	cout => \led_flash_cnt[2956][3]~68269\);

-- Location: FF_X75_Y22_N11
\led_flash_cnt[2956][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2956][3]~68268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2956][3]~q\);

-- Location: LCCOMB_X75_Y22_N12
\led_flash_cnt[2956][4]~68270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2956][4]~68270_combout\ = (\led_flash_cnt[2956][4]~q\ & (!\led_flash_cnt[2956][3]~68269\)) # (!\led_flash_cnt[2956][4]~q\ & ((\led_flash_cnt[2956][3]~68269\) # (GND)))
-- \led_flash_cnt[2956][4]~68271\ = CARRY((!\led_flash_cnt[2956][3]~68269\) # (!\led_flash_cnt[2956][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2956][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2956][3]~68269\,
	combout => \led_flash_cnt[2956][4]~68270_combout\,
	cout => \led_flash_cnt[2956][4]~68271\);

-- Location: FF_X75_Y22_N13
\led_flash_cnt[2956][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2956][4]~68270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2956][4]~q\);

-- Location: LCCOMB_X75_Y22_N26
\WideAnd2956~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2956~0_combout\ = (\led_flash_cnt[2956][3]~q\ & (\led_flash_cnt[2956][4]~q\ & (\led_flash_cnt[2956][2]~q\ & \led_flash_cnt[2956][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2956][3]~q\,
	datab => \led_flash_cnt[2956][4]~q\,
	datac => \led_flash_cnt[2956][2]~q\,
	datad => \led_flash_cnt[2956][1]~q\,
	combout => \WideAnd2956~0_combout\);

-- Location: LCCOMB_X75_Y22_N14
\led_flash_cnt[2956][5]~68272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2956][5]~68272_combout\ = (\led_flash_cnt[2956][5]~q\ & (\led_flash_cnt[2956][4]~68271\ $ (GND))) # (!\led_flash_cnt[2956][5]~q\ & (!\led_flash_cnt[2956][4]~68271\ & VCC))
-- \led_flash_cnt[2956][5]~68273\ = CARRY((\led_flash_cnt[2956][5]~q\ & !\led_flash_cnt[2956][4]~68271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2956][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2956][4]~68271\,
	combout => \led_flash_cnt[2956][5]~68272_combout\,
	cout => \led_flash_cnt[2956][5]~68273\);

-- Location: FF_X75_Y22_N15
\led_flash_cnt[2956][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2956][5]~68272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2956][5]~q\);

-- Location: LCCOMB_X75_Y22_N16
\led_flash_cnt[2956][6]~68274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2956][6]~68274_combout\ = (\led_flash_cnt[2956][6]~q\ & (!\led_flash_cnt[2956][5]~68273\)) # (!\led_flash_cnt[2956][6]~q\ & ((\led_flash_cnt[2956][5]~68273\) # (GND)))
-- \led_flash_cnt[2956][6]~68275\ = CARRY((!\led_flash_cnt[2956][5]~68273\) # (!\led_flash_cnt[2956][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2956][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2956][5]~68273\,
	combout => \led_flash_cnt[2956][6]~68274_combout\,
	cout => \led_flash_cnt[2956][6]~68275\);

-- Location: FF_X75_Y22_N17
\led_flash_cnt[2956][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2956][6]~68274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2956][6]~q\);

-- Location: LCCOMB_X75_Y22_N18
\led_flash_cnt[2956][7]~68276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2956][7]~68276_combout\ = \led_flash_cnt[2956][6]~68275\ $ (!\led_flash_cnt[2956][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2956][7]~q\,
	cin => \led_flash_cnt[2956][6]~68275\,
	combout => \led_flash_cnt[2956][7]~68276_combout\);

-- Location: FF_X75_Y22_N19
\led_flash_cnt[2956][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2956][7]~68276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2956][7]~q\);

-- Location: LCCOMB_X75_Y22_N22
\WideAnd2956~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2956~1_combout\ = (\led_flash_cnt[2956][5]~q\ & \led_flash_cnt[2956][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2956][5]~q\,
	datad => \led_flash_cnt[2956][6]~q\,
	combout => \WideAnd2956~1_combout\);

-- Location: LCCOMB_X75_Y22_N28
WideAnd2956 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2956~combout\ = (\WideAnd2956~0_combout\ & (\led_flash_cnt[2956][7]~q\ & (\WideAnd2956~1_combout\ & \led_flash_cnt[2956][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2956~0_combout\,
	datab => \led_flash_cnt[2956][7]~q\,
	datac => \WideAnd2956~1_combout\,
	datad => \led_flash_cnt[2956][0]~q\,
	combout => \WideAnd2956~combout\);

-- Location: FF_X75_Y22_N29
\led_flash_cnt_ands[2956]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2956~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2956));

-- Location: LCCOMB_X74_Y22_N28
\WideAnd4209~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4209~1_combout\ = (led_flash_cnt_ands(2957) & led_flash_cnt_ands(2956))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2957),
	datad => led_flash_cnt_ands(2956),
	combout => \WideAnd4209~1_combout\);

-- Location: LCCOMB_X74_Y21_N10
\led_flash_cnt[2953][0]~83593\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2953][0]~83593_combout\ = !\led_flash_cnt[2953][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2953][0]~q\,
	combout => \led_flash_cnt[2953][0]~83593_combout\);

-- Location: FF_X74_Y21_N11
\led_flash_cnt[2953][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2953][0]~83593_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2953][0]~q\);

-- Location: LCCOMB_X74_Y21_N16
\led_flash_cnt[2953][1]~68222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2953][1]~68222_combout\ = (\led_flash_cnt[2953][0]~q\ & (\led_flash_cnt[2953][1]~q\ $ (VCC))) # (!\led_flash_cnt[2953][0]~q\ & (\led_flash_cnt[2953][1]~q\ & VCC))
-- \led_flash_cnt[2953][1]~68223\ = CARRY((\led_flash_cnt[2953][0]~q\ & \led_flash_cnt[2953][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2953][0]~q\,
	datab => \led_flash_cnt[2953][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2953][1]~68222_combout\,
	cout => \led_flash_cnt[2953][1]~68223\);

-- Location: FF_X74_Y21_N17
\led_flash_cnt[2953][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2953][1]~68222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2953][1]~q\);

-- Location: LCCOMB_X74_Y21_N18
\led_flash_cnt[2953][2]~68224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2953][2]~68224_combout\ = (\led_flash_cnt[2953][2]~q\ & (!\led_flash_cnt[2953][1]~68223\)) # (!\led_flash_cnt[2953][2]~q\ & ((\led_flash_cnt[2953][1]~68223\) # (GND)))
-- \led_flash_cnt[2953][2]~68225\ = CARRY((!\led_flash_cnt[2953][1]~68223\) # (!\led_flash_cnt[2953][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2953][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2953][1]~68223\,
	combout => \led_flash_cnt[2953][2]~68224_combout\,
	cout => \led_flash_cnt[2953][2]~68225\);

-- Location: FF_X74_Y21_N19
\led_flash_cnt[2953][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2953][2]~68224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2953][2]~q\);

-- Location: LCCOMB_X74_Y21_N20
\led_flash_cnt[2953][3]~68226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2953][3]~68226_combout\ = (\led_flash_cnt[2953][3]~q\ & (\led_flash_cnt[2953][2]~68225\ $ (GND))) # (!\led_flash_cnt[2953][3]~q\ & (!\led_flash_cnt[2953][2]~68225\ & VCC))
-- \led_flash_cnt[2953][3]~68227\ = CARRY((\led_flash_cnt[2953][3]~q\ & !\led_flash_cnt[2953][2]~68225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2953][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2953][2]~68225\,
	combout => \led_flash_cnt[2953][3]~68226_combout\,
	cout => \led_flash_cnt[2953][3]~68227\);

-- Location: FF_X74_Y21_N21
\led_flash_cnt[2953][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2953][3]~68226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2953][3]~q\);

-- Location: LCCOMB_X74_Y21_N22
\led_flash_cnt[2953][4]~68228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2953][4]~68228_combout\ = (\led_flash_cnt[2953][4]~q\ & (!\led_flash_cnt[2953][3]~68227\)) # (!\led_flash_cnt[2953][4]~q\ & ((\led_flash_cnt[2953][3]~68227\) # (GND)))
-- \led_flash_cnt[2953][4]~68229\ = CARRY((!\led_flash_cnt[2953][3]~68227\) # (!\led_flash_cnt[2953][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2953][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2953][3]~68227\,
	combout => \led_flash_cnt[2953][4]~68228_combout\,
	cout => \led_flash_cnt[2953][4]~68229\);

-- Location: FF_X74_Y21_N23
\led_flash_cnt[2953][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2953][4]~68228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2953][4]~q\);

-- Location: LCCOMB_X74_Y21_N24
\led_flash_cnt[2953][5]~68230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2953][5]~68230_combout\ = (\led_flash_cnt[2953][5]~q\ & (\led_flash_cnt[2953][4]~68229\ $ (GND))) # (!\led_flash_cnt[2953][5]~q\ & (!\led_flash_cnt[2953][4]~68229\ & VCC))
-- \led_flash_cnt[2953][5]~68231\ = CARRY((\led_flash_cnt[2953][5]~q\ & !\led_flash_cnt[2953][4]~68229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2953][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2953][4]~68229\,
	combout => \led_flash_cnt[2953][5]~68230_combout\,
	cout => \led_flash_cnt[2953][5]~68231\);

-- Location: FF_X74_Y21_N25
\led_flash_cnt[2953][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2953][5]~68230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2953][5]~q\);

-- Location: LCCOMB_X74_Y21_N26
\led_flash_cnt[2953][6]~68232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2953][6]~68232_combout\ = (\led_flash_cnt[2953][6]~q\ & (!\led_flash_cnt[2953][5]~68231\)) # (!\led_flash_cnt[2953][6]~q\ & ((\led_flash_cnt[2953][5]~68231\) # (GND)))
-- \led_flash_cnt[2953][6]~68233\ = CARRY((!\led_flash_cnt[2953][5]~68231\) # (!\led_flash_cnt[2953][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2953][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2953][5]~68231\,
	combout => \led_flash_cnt[2953][6]~68232_combout\,
	cout => \led_flash_cnt[2953][6]~68233\);

-- Location: FF_X74_Y21_N27
\led_flash_cnt[2953][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2953][6]~68232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2953][6]~q\);

-- Location: LCCOMB_X74_Y21_N28
\led_flash_cnt[2953][7]~68234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2953][7]~68234_combout\ = \led_flash_cnt[2953][6]~68233\ $ (!\led_flash_cnt[2953][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2953][7]~q\,
	cin => \led_flash_cnt[2953][6]~68233\,
	combout => \led_flash_cnt[2953][7]~68234_combout\);

-- Location: FF_X74_Y21_N29
\led_flash_cnt[2953][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2953][7]~68234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2953][7]~q\);

-- Location: LCCOMB_X74_Y21_N4
\WideAnd2953~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2953~1_combout\ = (\led_flash_cnt[2953][6]~q\ & \led_flash_cnt[2953][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2953][6]~q\,
	datad => \led_flash_cnt[2953][5]~q\,
	combout => \WideAnd2953~1_combout\);

-- Location: LCCOMB_X74_Y21_N12
\WideAnd2953~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2953~0_combout\ = (\led_flash_cnt[2953][1]~q\ & (\led_flash_cnt[2953][3]~q\ & (\led_flash_cnt[2953][4]~q\ & \led_flash_cnt[2953][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2953][1]~q\,
	datab => \led_flash_cnt[2953][3]~q\,
	datac => \led_flash_cnt[2953][4]~q\,
	datad => \led_flash_cnt[2953][2]~q\,
	combout => \WideAnd2953~0_combout\);

-- Location: LCCOMB_X74_Y21_N0
WideAnd2953 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2953~combout\ = (\led_flash_cnt[2953][0]~q\ & (\led_flash_cnt[2953][7]~q\ & (\WideAnd2953~1_combout\ & \WideAnd2953~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2953][0]~q\,
	datab => \led_flash_cnt[2953][7]~q\,
	datac => \WideAnd2953~1_combout\,
	datad => \WideAnd2953~0_combout\,
	combout => \WideAnd2953~combout\);

-- Location: FF_X74_Y21_N1
\led_flash_cnt_ands[2953]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2953~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2953));

-- Location: LCCOMB_X66_Y43_N12
\led_flash_cnt[2954][0]~83594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2954][0]~83594_combout\ = !\led_flash_cnt[2954][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2954][0]~q\,
	combout => \led_flash_cnt[2954][0]~83594_combout\);

-- Location: FF_X66_Y43_N13
\led_flash_cnt[2954][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2954][0]~83594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2954][0]~q\);

-- Location: LCCOMB_X66_Y43_N14
\led_flash_cnt[2954][1]~68236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2954][1]~68236_combout\ = (\led_flash_cnt[2954][0]~q\ & (\led_flash_cnt[2954][1]~q\ $ (VCC))) # (!\led_flash_cnt[2954][0]~q\ & (\led_flash_cnt[2954][1]~q\ & VCC))
-- \led_flash_cnt[2954][1]~68237\ = CARRY((\led_flash_cnt[2954][0]~q\ & \led_flash_cnt[2954][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2954][0]~q\,
	datab => \led_flash_cnt[2954][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2954][1]~68236_combout\,
	cout => \led_flash_cnt[2954][1]~68237\);

-- Location: FF_X66_Y43_N15
\led_flash_cnt[2954][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2954][1]~68236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2954][1]~q\);

-- Location: LCCOMB_X66_Y43_N16
\led_flash_cnt[2954][2]~68238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2954][2]~68238_combout\ = (\led_flash_cnt[2954][2]~q\ & (!\led_flash_cnt[2954][1]~68237\)) # (!\led_flash_cnt[2954][2]~q\ & ((\led_flash_cnt[2954][1]~68237\) # (GND)))
-- \led_flash_cnt[2954][2]~68239\ = CARRY((!\led_flash_cnt[2954][1]~68237\) # (!\led_flash_cnt[2954][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2954][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2954][1]~68237\,
	combout => \led_flash_cnt[2954][2]~68238_combout\,
	cout => \led_flash_cnt[2954][2]~68239\);

-- Location: FF_X66_Y43_N17
\led_flash_cnt[2954][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2954][2]~68238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2954][2]~q\);

-- Location: LCCOMB_X66_Y43_N18
\led_flash_cnt[2954][3]~68240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2954][3]~68240_combout\ = (\led_flash_cnt[2954][3]~q\ & (\led_flash_cnt[2954][2]~68239\ $ (GND))) # (!\led_flash_cnt[2954][3]~q\ & (!\led_flash_cnt[2954][2]~68239\ & VCC))
-- \led_flash_cnt[2954][3]~68241\ = CARRY((\led_flash_cnt[2954][3]~q\ & !\led_flash_cnt[2954][2]~68239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2954][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2954][2]~68239\,
	combout => \led_flash_cnt[2954][3]~68240_combout\,
	cout => \led_flash_cnt[2954][3]~68241\);

-- Location: FF_X66_Y43_N19
\led_flash_cnt[2954][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2954][3]~68240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2954][3]~q\);

-- Location: LCCOMB_X66_Y43_N20
\led_flash_cnt[2954][4]~68242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2954][4]~68242_combout\ = (\led_flash_cnt[2954][4]~q\ & (!\led_flash_cnt[2954][3]~68241\)) # (!\led_flash_cnt[2954][4]~q\ & ((\led_flash_cnt[2954][3]~68241\) # (GND)))
-- \led_flash_cnt[2954][4]~68243\ = CARRY((!\led_flash_cnt[2954][3]~68241\) # (!\led_flash_cnt[2954][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2954][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2954][3]~68241\,
	combout => \led_flash_cnt[2954][4]~68242_combout\,
	cout => \led_flash_cnt[2954][4]~68243\);

-- Location: FF_X66_Y43_N21
\led_flash_cnt[2954][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2954][4]~68242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2954][4]~q\);

-- Location: LCCOMB_X66_Y43_N22
\led_flash_cnt[2954][5]~68244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2954][5]~68244_combout\ = (\led_flash_cnt[2954][5]~q\ & (\led_flash_cnt[2954][4]~68243\ $ (GND))) # (!\led_flash_cnt[2954][5]~q\ & (!\led_flash_cnt[2954][4]~68243\ & VCC))
-- \led_flash_cnt[2954][5]~68245\ = CARRY((\led_flash_cnt[2954][5]~q\ & !\led_flash_cnt[2954][4]~68243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2954][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2954][4]~68243\,
	combout => \led_flash_cnt[2954][5]~68244_combout\,
	cout => \led_flash_cnt[2954][5]~68245\);

-- Location: FF_X66_Y43_N23
\led_flash_cnt[2954][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2954][5]~68244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2954][5]~q\);

-- Location: LCCOMB_X66_Y43_N24
\led_flash_cnt[2954][6]~68246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2954][6]~68246_combout\ = (\led_flash_cnt[2954][6]~q\ & (!\led_flash_cnt[2954][5]~68245\)) # (!\led_flash_cnt[2954][6]~q\ & ((\led_flash_cnt[2954][5]~68245\) # (GND)))
-- \led_flash_cnt[2954][6]~68247\ = CARRY((!\led_flash_cnt[2954][5]~68245\) # (!\led_flash_cnt[2954][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2954][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2954][5]~68245\,
	combout => \led_flash_cnt[2954][6]~68246_combout\,
	cout => \led_flash_cnt[2954][6]~68247\);

-- Location: FF_X66_Y43_N25
\led_flash_cnt[2954][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2954][6]~68246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2954][6]~q\);

-- Location: LCCOMB_X66_Y43_N10
\WideAnd2954~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2954~1_combout\ = (\led_flash_cnt[2954][5]~q\ & \led_flash_cnt[2954][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2954][5]~q\,
	datad => \led_flash_cnt[2954][6]~q\,
	combout => \WideAnd2954~1_combout\);

-- Location: LCCOMB_X66_Y43_N8
\WideAnd2954~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2954~0_combout\ = (\led_flash_cnt[2954][4]~q\ & (\led_flash_cnt[2954][3]~q\ & (\led_flash_cnt[2954][1]~q\ & \led_flash_cnt[2954][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2954][4]~q\,
	datab => \led_flash_cnt[2954][3]~q\,
	datac => \led_flash_cnt[2954][1]~q\,
	datad => \led_flash_cnt[2954][2]~q\,
	combout => \WideAnd2954~0_combout\);

-- Location: LCCOMB_X66_Y43_N26
\led_flash_cnt[2954][7]~68248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2954][7]~68248_combout\ = \led_flash_cnt[2954][7]~q\ $ (!\led_flash_cnt[2954][6]~68247\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2954][7]~q\,
	cin => \led_flash_cnt[2954][6]~68247\,
	combout => \led_flash_cnt[2954][7]~68248_combout\);

-- Location: FF_X66_Y43_N27
\led_flash_cnt[2954][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2954][7]~68248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2954][7]~q\);

-- Location: LCCOMB_X66_Y43_N6
WideAnd2954 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2954~combout\ = (\WideAnd2954~1_combout\ & (\WideAnd2954~0_combout\ & (\led_flash_cnt[2954][7]~q\ & \led_flash_cnt[2954][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2954~1_combout\,
	datab => \WideAnd2954~0_combout\,
	datac => \led_flash_cnt[2954][7]~q\,
	datad => \led_flash_cnt[2954][0]~q\,
	combout => \WideAnd2954~combout\);

-- Location: FF_X66_Y43_N7
\led_flash_cnt_ands[2954]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2954~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2954));

-- Location: LCCOMB_X74_Y23_N12
\led_flash_cnt[2952][0]~83592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2952][0]~83592_combout\ = !\led_flash_cnt[2952][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2952][0]~q\,
	combout => \led_flash_cnt[2952][0]~83592_combout\);

-- Location: FF_X74_Y23_N13
\led_flash_cnt[2952][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2952][0]~83592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2952][0]~q\);

-- Location: LCCOMB_X74_Y23_N14
\led_flash_cnt[2952][1]~68208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2952][1]~68208_combout\ = (\led_flash_cnt[2952][0]~q\ & (\led_flash_cnt[2952][1]~q\ $ (VCC))) # (!\led_flash_cnt[2952][0]~q\ & (\led_flash_cnt[2952][1]~q\ & VCC))
-- \led_flash_cnt[2952][1]~68209\ = CARRY((\led_flash_cnt[2952][0]~q\ & \led_flash_cnt[2952][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2952][0]~q\,
	datab => \led_flash_cnt[2952][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2952][1]~68208_combout\,
	cout => \led_flash_cnt[2952][1]~68209\);

-- Location: FF_X74_Y23_N15
\led_flash_cnt[2952][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2952][1]~68208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2952][1]~q\);

-- Location: LCCOMB_X74_Y23_N16
\led_flash_cnt[2952][2]~68210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2952][2]~68210_combout\ = (\led_flash_cnt[2952][2]~q\ & (!\led_flash_cnt[2952][1]~68209\)) # (!\led_flash_cnt[2952][2]~q\ & ((\led_flash_cnt[2952][1]~68209\) # (GND)))
-- \led_flash_cnt[2952][2]~68211\ = CARRY((!\led_flash_cnt[2952][1]~68209\) # (!\led_flash_cnt[2952][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2952][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2952][1]~68209\,
	combout => \led_flash_cnt[2952][2]~68210_combout\,
	cout => \led_flash_cnt[2952][2]~68211\);

-- Location: FF_X74_Y23_N17
\led_flash_cnt[2952][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2952][2]~68210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2952][2]~q\);

-- Location: LCCOMB_X74_Y23_N18
\led_flash_cnt[2952][3]~68212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2952][3]~68212_combout\ = (\led_flash_cnt[2952][3]~q\ & (\led_flash_cnt[2952][2]~68211\ $ (GND))) # (!\led_flash_cnt[2952][3]~q\ & (!\led_flash_cnt[2952][2]~68211\ & VCC))
-- \led_flash_cnt[2952][3]~68213\ = CARRY((\led_flash_cnt[2952][3]~q\ & !\led_flash_cnt[2952][2]~68211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2952][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2952][2]~68211\,
	combout => \led_flash_cnt[2952][3]~68212_combout\,
	cout => \led_flash_cnt[2952][3]~68213\);

-- Location: FF_X74_Y23_N19
\led_flash_cnt[2952][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2952][3]~68212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2952][3]~q\);

-- Location: LCCOMB_X74_Y23_N20
\led_flash_cnt[2952][4]~68214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2952][4]~68214_combout\ = (\led_flash_cnt[2952][4]~q\ & (!\led_flash_cnt[2952][3]~68213\)) # (!\led_flash_cnt[2952][4]~q\ & ((\led_flash_cnt[2952][3]~68213\) # (GND)))
-- \led_flash_cnt[2952][4]~68215\ = CARRY((!\led_flash_cnt[2952][3]~68213\) # (!\led_flash_cnt[2952][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2952][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2952][3]~68213\,
	combout => \led_flash_cnt[2952][4]~68214_combout\,
	cout => \led_flash_cnt[2952][4]~68215\);

-- Location: FF_X74_Y23_N21
\led_flash_cnt[2952][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2952][4]~68214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2952][4]~q\);

-- Location: LCCOMB_X74_Y23_N22
\led_flash_cnt[2952][5]~68216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2952][5]~68216_combout\ = (\led_flash_cnt[2952][5]~q\ & (\led_flash_cnt[2952][4]~68215\ $ (GND))) # (!\led_flash_cnt[2952][5]~q\ & (!\led_flash_cnt[2952][4]~68215\ & VCC))
-- \led_flash_cnt[2952][5]~68217\ = CARRY((\led_flash_cnt[2952][5]~q\ & !\led_flash_cnt[2952][4]~68215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2952][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2952][4]~68215\,
	combout => \led_flash_cnt[2952][5]~68216_combout\,
	cout => \led_flash_cnt[2952][5]~68217\);

-- Location: FF_X74_Y23_N23
\led_flash_cnt[2952][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2952][5]~68216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2952][5]~q\);

-- Location: LCCOMB_X74_Y23_N24
\led_flash_cnt[2952][6]~68218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2952][6]~68218_combout\ = (\led_flash_cnt[2952][6]~q\ & (!\led_flash_cnt[2952][5]~68217\)) # (!\led_flash_cnt[2952][6]~q\ & ((\led_flash_cnt[2952][5]~68217\) # (GND)))
-- \led_flash_cnt[2952][6]~68219\ = CARRY((!\led_flash_cnt[2952][5]~68217\) # (!\led_flash_cnt[2952][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2952][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2952][5]~68217\,
	combout => \led_flash_cnt[2952][6]~68218_combout\,
	cout => \led_flash_cnt[2952][6]~68219\);

-- Location: FF_X74_Y23_N25
\led_flash_cnt[2952][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2952][6]~68218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2952][6]~q\);

-- Location: LCCOMB_X74_Y23_N28
\WideAnd2952~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2952~1_combout\ = (\led_flash_cnt[2952][5]~q\ & \led_flash_cnt[2952][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2952][5]~q\,
	datad => \led_flash_cnt[2952][6]~q\,
	combout => \WideAnd2952~1_combout\);

-- Location: LCCOMB_X74_Y23_N26
\led_flash_cnt[2952][7]~68220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2952][7]~68220_combout\ = \led_flash_cnt[2952][7]~q\ $ (!\led_flash_cnt[2952][6]~68219\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2952][7]~q\,
	cin => \led_flash_cnt[2952][6]~68219\,
	combout => \led_flash_cnt[2952][7]~68220_combout\);

-- Location: FF_X74_Y23_N27
\led_flash_cnt[2952][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2952][7]~68220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2952][7]~q\);

-- Location: LCCOMB_X74_Y23_N2
\WideAnd2952~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2952~0_combout\ = (\led_flash_cnt[2952][3]~q\ & (\led_flash_cnt[2952][4]~q\ & (\led_flash_cnt[2952][1]~q\ & \led_flash_cnt[2952][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2952][3]~q\,
	datab => \led_flash_cnt[2952][4]~q\,
	datac => \led_flash_cnt[2952][1]~q\,
	datad => \led_flash_cnt[2952][2]~q\,
	combout => \WideAnd2952~0_combout\);

-- Location: LCCOMB_X74_Y23_N8
WideAnd2952 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2952~combout\ = (\led_flash_cnt[2952][0]~q\ & (\WideAnd2952~1_combout\ & (\led_flash_cnt[2952][7]~q\ & \WideAnd2952~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2952][0]~q\,
	datab => \WideAnd2952~1_combout\,
	datac => \led_flash_cnt[2952][7]~q\,
	datad => \WideAnd2952~0_combout\,
	combout => \WideAnd2952~combout\);

-- Location: FF_X74_Y23_N9
\led_flash_cnt_ands[2952]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2952~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2952));

-- Location: LCCOMB_X74_Y19_N12
\led_flash_cnt[2955][0]~83595\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2955][0]~83595_combout\ = !\led_flash_cnt[2955][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2955][0]~q\,
	combout => \led_flash_cnt[2955][0]~83595_combout\);

-- Location: FF_X74_Y19_N13
\led_flash_cnt[2955][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2955][0]~83595_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2955][0]~q\);

-- Location: LCCOMB_X74_Y19_N18
\led_flash_cnt[2955][1]~68250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2955][1]~68250_combout\ = (\led_flash_cnt[2955][0]~q\ & (\led_flash_cnt[2955][1]~q\ $ (VCC))) # (!\led_flash_cnt[2955][0]~q\ & (\led_flash_cnt[2955][1]~q\ & VCC))
-- \led_flash_cnt[2955][1]~68251\ = CARRY((\led_flash_cnt[2955][0]~q\ & \led_flash_cnt[2955][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2955][0]~q\,
	datab => \led_flash_cnt[2955][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2955][1]~68250_combout\,
	cout => \led_flash_cnt[2955][1]~68251\);

-- Location: FF_X74_Y19_N19
\led_flash_cnt[2955][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2955][1]~68250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2955][1]~q\);

-- Location: LCCOMB_X74_Y19_N20
\led_flash_cnt[2955][2]~68252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2955][2]~68252_combout\ = (\led_flash_cnt[2955][2]~q\ & (!\led_flash_cnt[2955][1]~68251\)) # (!\led_flash_cnt[2955][2]~q\ & ((\led_flash_cnt[2955][1]~68251\) # (GND)))
-- \led_flash_cnt[2955][2]~68253\ = CARRY((!\led_flash_cnt[2955][1]~68251\) # (!\led_flash_cnt[2955][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2955][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2955][1]~68251\,
	combout => \led_flash_cnt[2955][2]~68252_combout\,
	cout => \led_flash_cnt[2955][2]~68253\);

-- Location: FF_X74_Y19_N21
\led_flash_cnt[2955][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2955][2]~68252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2955][2]~q\);

-- Location: LCCOMB_X74_Y19_N22
\led_flash_cnt[2955][3]~68254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2955][3]~68254_combout\ = (\led_flash_cnt[2955][3]~q\ & (\led_flash_cnt[2955][2]~68253\ $ (GND))) # (!\led_flash_cnt[2955][3]~q\ & (!\led_flash_cnt[2955][2]~68253\ & VCC))
-- \led_flash_cnt[2955][3]~68255\ = CARRY((\led_flash_cnt[2955][3]~q\ & !\led_flash_cnt[2955][2]~68253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2955][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2955][2]~68253\,
	combout => \led_flash_cnt[2955][3]~68254_combout\,
	cout => \led_flash_cnt[2955][3]~68255\);

-- Location: FF_X74_Y19_N23
\led_flash_cnt[2955][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2955][3]~68254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2955][3]~q\);

-- Location: LCCOMB_X74_Y19_N24
\led_flash_cnt[2955][4]~68256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2955][4]~68256_combout\ = (\led_flash_cnt[2955][4]~q\ & (!\led_flash_cnt[2955][3]~68255\)) # (!\led_flash_cnt[2955][4]~q\ & ((\led_flash_cnt[2955][3]~68255\) # (GND)))
-- \led_flash_cnt[2955][4]~68257\ = CARRY((!\led_flash_cnt[2955][3]~68255\) # (!\led_flash_cnt[2955][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2955][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2955][3]~68255\,
	combout => \led_flash_cnt[2955][4]~68256_combout\,
	cout => \led_flash_cnt[2955][4]~68257\);

-- Location: FF_X74_Y19_N25
\led_flash_cnt[2955][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2955][4]~68256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2955][4]~q\);

-- Location: LCCOMB_X74_Y19_N10
\WideAnd2955~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2955~0_combout\ = (\led_flash_cnt[2955][4]~q\ & (\led_flash_cnt[2955][2]~q\ & (\led_flash_cnt[2955][3]~q\ & \led_flash_cnt[2955][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2955][4]~q\,
	datab => \led_flash_cnt[2955][2]~q\,
	datac => \led_flash_cnt[2955][3]~q\,
	datad => \led_flash_cnt[2955][1]~q\,
	combout => \WideAnd2955~0_combout\);

-- Location: LCCOMB_X74_Y19_N26
\led_flash_cnt[2955][5]~68258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2955][5]~68258_combout\ = (\led_flash_cnt[2955][5]~q\ & (\led_flash_cnt[2955][4]~68257\ $ (GND))) # (!\led_flash_cnt[2955][5]~q\ & (!\led_flash_cnt[2955][4]~68257\ & VCC))
-- \led_flash_cnt[2955][5]~68259\ = CARRY((\led_flash_cnt[2955][5]~q\ & !\led_flash_cnt[2955][4]~68257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2955][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2955][4]~68257\,
	combout => \led_flash_cnt[2955][5]~68258_combout\,
	cout => \led_flash_cnt[2955][5]~68259\);

-- Location: FF_X74_Y19_N27
\led_flash_cnt[2955][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2955][5]~68258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2955][5]~q\);

-- Location: LCCOMB_X74_Y19_N28
\led_flash_cnt[2955][6]~68260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2955][6]~68260_combout\ = (\led_flash_cnt[2955][6]~q\ & (!\led_flash_cnt[2955][5]~68259\)) # (!\led_flash_cnt[2955][6]~q\ & ((\led_flash_cnt[2955][5]~68259\) # (GND)))
-- \led_flash_cnt[2955][6]~68261\ = CARRY((!\led_flash_cnt[2955][5]~68259\) # (!\led_flash_cnt[2955][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2955][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2955][5]~68259\,
	combout => \led_flash_cnt[2955][6]~68260_combout\,
	cout => \led_flash_cnt[2955][6]~68261\);

-- Location: FF_X74_Y19_N29
\led_flash_cnt[2955][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2955][6]~68260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2955][6]~q\);

-- Location: LCCOMB_X74_Y19_N4
\WideAnd2955~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2955~1_combout\ = (\led_flash_cnt[2955][5]~q\ & \led_flash_cnt[2955][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2955][5]~q\,
	datad => \led_flash_cnt[2955][6]~q\,
	combout => \WideAnd2955~1_combout\);

-- Location: LCCOMB_X74_Y19_N30
\led_flash_cnt[2955][7]~68262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2955][7]~68262_combout\ = \led_flash_cnt[2955][7]~q\ $ (!\led_flash_cnt[2955][6]~68261\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2955][7]~q\,
	cin => \led_flash_cnt[2955][6]~68261\,
	combout => \led_flash_cnt[2955][7]~68262_combout\);

-- Location: FF_X74_Y19_N31
\led_flash_cnt[2955][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2955][7]~68262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2955][7]~q\);

-- Location: LCCOMB_X74_Y19_N2
WideAnd2955 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2955~combout\ = (\WideAnd2955~0_combout\ & (\WideAnd2955~1_combout\ & (\led_flash_cnt[2955][7]~q\ & \led_flash_cnt[2955][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2955~0_combout\,
	datab => \WideAnd2955~1_combout\,
	datac => \led_flash_cnt[2955][7]~q\,
	datad => \led_flash_cnt[2955][0]~q\,
	combout => \WideAnd2955~combout\);

-- Location: FF_X74_Y19_N3
\led_flash_cnt_ands[2955]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2955~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2955));

-- Location: LCCOMB_X74_Y23_N4
\WideAnd4209~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4209~0_combout\ = (led_flash_cnt_ands(2953) & (led_flash_cnt_ands(2954) & (led_flash_cnt_ands(2952) & led_flash_cnt_ands(2955))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2953),
	datab => led_flash_cnt_ands(2954),
	datac => led_flash_cnt_ands(2952),
	datad => led_flash_cnt_ands(2955),
	combout => \WideAnd4209~0_combout\);

-- Location: LCCOMB_X75_Y23_N18
\led_flash_cnt[2959][0]~83599\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2959][0]~83599_combout\ = !\led_flash_cnt[2959][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2959][0]~q\,
	combout => \led_flash_cnt[2959][0]~83599_combout\);

-- Location: FF_X75_Y23_N19
\led_flash_cnt[2959][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2959][0]~83599_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2959][0]~q\);

-- Location: LCCOMB_X75_Y23_N0
\led_flash_cnt[2959][1]~68306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2959][1]~68306_combout\ = (\led_flash_cnt[2959][1]~q\ & (\led_flash_cnt[2959][0]~q\ $ (VCC))) # (!\led_flash_cnt[2959][1]~q\ & (\led_flash_cnt[2959][0]~q\ & VCC))
-- \led_flash_cnt[2959][1]~68307\ = CARRY((\led_flash_cnt[2959][1]~q\ & \led_flash_cnt[2959][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2959][1]~q\,
	datab => \led_flash_cnt[2959][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2959][1]~68306_combout\,
	cout => \led_flash_cnt[2959][1]~68307\);

-- Location: FF_X75_Y23_N1
\led_flash_cnt[2959][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2959][1]~68306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2959][1]~q\);

-- Location: LCCOMB_X75_Y23_N2
\led_flash_cnt[2959][2]~68308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2959][2]~68308_combout\ = (\led_flash_cnt[2959][2]~q\ & (!\led_flash_cnt[2959][1]~68307\)) # (!\led_flash_cnt[2959][2]~q\ & ((\led_flash_cnt[2959][1]~68307\) # (GND)))
-- \led_flash_cnt[2959][2]~68309\ = CARRY((!\led_flash_cnt[2959][1]~68307\) # (!\led_flash_cnt[2959][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2959][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2959][1]~68307\,
	combout => \led_flash_cnt[2959][2]~68308_combout\,
	cout => \led_flash_cnt[2959][2]~68309\);

-- Location: FF_X75_Y23_N3
\led_flash_cnt[2959][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2959][2]~68308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2959][2]~q\);

-- Location: LCCOMB_X75_Y23_N4
\led_flash_cnt[2959][3]~68310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2959][3]~68310_combout\ = (\led_flash_cnt[2959][3]~q\ & (\led_flash_cnt[2959][2]~68309\ $ (GND))) # (!\led_flash_cnt[2959][3]~q\ & (!\led_flash_cnt[2959][2]~68309\ & VCC))
-- \led_flash_cnt[2959][3]~68311\ = CARRY((\led_flash_cnt[2959][3]~q\ & !\led_flash_cnt[2959][2]~68309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2959][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2959][2]~68309\,
	combout => \led_flash_cnt[2959][3]~68310_combout\,
	cout => \led_flash_cnt[2959][3]~68311\);

-- Location: FF_X75_Y23_N5
\led_flash_cnt[2959][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2959][3]~68310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2959][3]~q\);

-- Location: LCCOMB_X75_Y23_N6
\led_flash_cnt[2959][4]~68312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2959][4]~68312_combout\ = (\led_flash_cnt[2959][4]~q\ & (!\led_flash_cnt[2959][3]~68311\)) # (!\led_flash_cnt[2959][4]~q\ & ((\led_flash_cnt[2959][3]~68311\) # (GND)))
-- \led_flash_cnt[2959][4]~68313\ = CARRY((!\led_flash_cnt[2959][3]~68311\) # (!\led_flash_cnt[2959][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2959][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2959][3]~68311\,
	combout => \led_flash_cnt[2959][4]~68312_combout\,
	cout => \led_flash_cnt[2959][4]~68313\);

-- Location: FF_X75_Y23_N7
\led_flash_cnt[2959][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2959][4]~68312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2959][4]~q\);

-- Location: LCCOMB_X75_Y23_N8
\led_flash_cnt[2959][5]~68314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2959][5]~68314_combout\ = (\led_flash_cnt[2959][5]~q\ & (\led_flash_cnt[2959][4]~68313\ $ (GND))) # (!\led_flash_cnt[2959][5]~q\ & (!\led_flash_cnt[2959][4]~68313\ & VCC))
-- \led_flash_cnt[2959][5]~68315\ = CARRY((\led_flash_cnt[2959][5]~q\ & !\led_flash_cnt[2959][4]~68313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2959][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2959][4]~68313\,
	combout => \led_flash_cnt[2959][5]~68314_combout\,
	cout => \led_flash_cnt[2959][5]~68315\);

-- Location: FF_X75_Y23_N9
\led_flash_cnt[2959][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2959][5]~68314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2959][5]~q\);

-- Location: LCCOMB_X75_Y23_N10
\led_flash_cnt[2959][6]~68316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2959][6]~68316_combout\ = (\led_flash_cnt[2959][6]~q\ & (!\led_flash_cnt[2959][5]~68315\)) # (!\led_flash_cnt[2959][6]~q\ & ((\led_flash_cnt[2959][5]~68315\) # (GND)))
-- \led_flash_cnt[2959][6]~68317\ = CARRY((!\led_flash_cnt[2959][5]~68315\) # (!\led_flash_cnt[2959][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2959][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2959][5]~68315\,
	combout => \led_flash_cnt[2959][6]~68316_combout\,
	cout => \led_flash_cnt[2959][6]~68317\);

-- Location: FF_X75_Y23_N11
\led_flash_cnt[2959][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2959][6]~68316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2959][6]~q\);

-- Location: LCCOMB_X75_Y23_N12
\led_flash_cnt[2959][7]~68318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2959][7]~68318_combout\ = \led_flash_cnt[2959][6]~68317\ $ (!\led_flash_cnt[2959][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2959][7]~q\,
	cin => \led_flash_cnt[2959][6]~68317\,
	combout => \led_flash_cnt[2959][7]~68318_combout\);

-- Location: FF_X75_Y23_N13
\led_flash_cnt[2959][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2959][7]~68318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2959][7]~q\);

-- Location: LCCOMB_X75_Y23_N24
\WideAnd2959~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2959~0_combout\ = (\led_flash_cnt[2959][4]~q\ & (\led_flash_cnt[2959][1]~q\ & (\led_flash_cnt[2959][3]~q\ & \led_flash_cnt[2959][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2959][4]~q\,
	datab => \led_flash_cnt[2959][1]~q\,
	datac => \led_flash_cnt[2959][3]~q\,
	datad => \led_flash_cnt[2959][2]~q\,
	combout => \WideAnd2959~0_combout\);

-- Location: LCCOMB_X75_Y23_N26
\WideAnd2959~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2959~1_combout\ = (\led_flash_cnt[2959][5]~q\ & \led_flash_cnt[2959][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2959][5]~q\,
	datad => \led_flash_cnt[2959][6]~q\,
	combout => \WideAnd2959~1_combout\);

-- Location: LCCOMB_X75_Y23_N28
WideAnd2959 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2959~combout\ = (\led_flash_cnt[2959][7]~q\ & (\WideAnd2959~0_combout\ & (\WideAnd2959~1_combout\ & \led_flash_cnt[2959][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2959][7]~q\,
	datab => \WideAnd2959~0_combout\,
	datac => \WideAnd2959~1_combout\,
	datad => \led_flash_cnt[2959][0]~q\,
	combout => \WideAnd2959~combout\);

-- Location: FF_X75_Y23_N29
\led_flash_cnt_ands[2959]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2959~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2959));

-- Location: LCCOMB_X74_Y23_N10
WideAnd4209 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4209~combout\ = (led_flash_cnt_ands(2958) & (\WideAnd4209~1_combout\ & (\WideAnd4209~0_combout\ & led_flash_cnt_ands(2959))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2958),
	datab => \WideAnd4209~1_combout\,
	datac => \WideAnd4209~0_combout\,
	datad => led_flash_cnt_ands(2959),
	combout => \WideAnd4209~combout\);

-- Location: FF_X74_Y23_N11
\led_flash_cnt_ands_1[369]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4209~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(369));

-- Location: LCCOMB_X70_Y34_N28
\WideAnd4366~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4366~0_combout\ = (led_flash_cnt_ands_1(371) & (led_flash_cnt_ands_1(368) & (led_flash_cnt_ands_1(370) & led_flash_cnt_ands_1(369))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(371),
	datab => led_flash_cnt_ands_1(368),
	datac => led_flash_cnt_ands_1(370),
	datad => led_flash_cnt_ands_1(369),
	combout => \WideAnd4366~0_combout\);

-- Location: LCCOMB_X76_Y34_N24
\led_flash_cnt[2998][0]~83638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2998][0]~83638_combout\ = !\led_flash_cnt[2998][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2998][0]~q\,
	combout => \led_flash_cnt[2998][0]~83638_combout\);

-- Location: FF_X76_Y34_N25
\led_flash_cnt[2998][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2998][0]~83638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2998][0]~q\);

-- Location: LCCOMB_X76_Y34_N6
\led_flash_cnt[2998][1]~68852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2998][1]~68852_combout\ = (\led_flash_cnt[2998][1]~q\ & (\led_flash_cnt[2998][0]~q\ $ (VCC))) # (!\led_flash_cnt[2998][1]~q\ & (\led_flash_cnt[2998][0]~q\ & VCC))
-- \led_flash_cnt[2998][1]~68853\ = CARRY((\led_flash_cnt[2998][1]~q\ & \led_flash_cnt[2998][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2998][1]~q\,
	datab => \led_flash_cnt[2998][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2998][1]~68852_combout\,
	cout => \led_flash_cnt[2998][1]~68853\);

-- Location: FF_X76_Y34_N7
\led_flash_cnt[2998][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2998][1]~68852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2998][1]~q\);

-- Location: LCCOMB_X76_Y34_N8
\led_flash_cnt[2998][2]~68854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2998][2]~68854_combout\ = (\led_flash_cnt[2998][2]~q\ & (!\led_flash_cnt[2998][1]~68853\)) # (!\led_flash_cnt[2998][2]~q\ & ((\led_flash_cnt[2998][1]~68853\) # (GND)))
-- \led_flash_cnt[2998][2]~68855\ = CARRY((!\led_flash_cnt[2998][1]~68853\) # (!\led_flash_cnt[2998][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2998][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2998][1]~68853\,
	combout => \led_flash_cnt[2998][2]~68854_combout\,
	cout => \led_flash_cnt[2998][2]~68855\);

-- Location: FF_X76_Y34_N9
\led_flash_cnt[2998][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2998][2]~68854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2998][2]~q\);

-- Location: LCCOMB_X76_Y34_N10
\led_flash_cnt[2998][3]~68856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2998][3]~68856_combout\ = (\led_flash_cnt[2998][3]~q\ & (\led_flash_cnt[2998][2]~68855\ $ (GND))) # (!\led_flash_cnt[2998][3]~q\ & (!\led_flash_cnt[2998][2]~68855\ & VCC))
-- \led_flash_cnt[2998][3]~68857\ = CARRY((\led_flash_cnt[2998][3]~q\ & !\led_flash_cnt[2998][2]~68855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2998][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2998][2]~68855\,
	combout => \led_flash_cnt[2998][3]~68856_combout\,
	cout => \led_flash_cnt[2998][3]~68857\);

-- Location: FF_X76_Y34_N11
\led_flash_cnt[2998][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2998][3]~68856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2998][3]~q\);

-- Location: LCCOMB_X76_Y34_N12
\led_flash_cnt[2998][4]~68858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2998][4]~68858_combout\ = (\led_flash_cnt[2998][4]~q\ & (!\led_flash_cnt[2998][3]~68857\)) # (!\led_flash_cnt[2998][4]~q\ & ((\led_flash_cnt[2998][3]~68857\) # (GND)))
-- \led_flash_cnt[2998][4]~68859\ = CARRY((!\led_flash_cnt[2998][3]~68857\) # (!\led_flash_cnt[2998][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2998][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2998][3]~68857\,
	combout => \led_flash_cnt[2998][4]~68858_combout\,
	cout => \led_flash_cnt[2998][4]~68859\);

-- Location: FF_X76_Y34_N13
\led_flash_cnt[2998][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2998][4]~68858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2998][4]~q\);

-- Location: LCCOMB_X76_Y34_N26
\WideAnd2998~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2998~0_combout\ = (\led_flash_cnt[2998][3]~q\ & (\led_flash_cnt[2998][4]~q\ & (\led_flash_cnt[2998][2]~q\ & \led_flash_cnt[2998][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2998][3]~q\,
	datab => \led_flash_cnt[2998][4]~q\,
	datac => \led_flash_cnt[2998][2]~q\,
	datad => \led_flash_cnt[2998][1]~q\,
	combout => \WideAnd2998~0_combout\);

-- Location: LCCOMB_X76_Y34_N14
\led_flash_cnt[2998][5]~68860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2998][5]~68860_combout\ = (\led_flash_cnt[2998][5]~q\ & (\led_flash_cnt[2998][4]~68859\ $ (GND))) # (!\led_flash_cnt[2998][5]~q\ & (!\led_flash_cnt[2998][4]~68859\ & VCC))
-- \led_flash_cnt[2998][5]~68861\ = CARRY((\led_flash_cnt[2998][5]~q\ & !\led_flash_cnt[2998][4]~68859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2998][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2998][4]~68859\,
	combout => \led_flash_cnt[2998][5]~68860_combout\,
	cout => \led_flash_cnt[2998][5]~68861\);

-- Location: FF_X76_Y34_N15
\led_flash_cnt[2998][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2998][5]~68860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2998][5]~q\);

-- Location: LCCOMB_X76_Y34_N16
\led_flash_cnt[2998][6]~68862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2998][6]~68862_combout\ = (\led_flash_cnt[2998][6]~q\ & (!\led_flash_cnt[2998][5]~68861\)) # (!\led_flash_cnt[2998][6]~q\ & ((\led_flash_cnt[2998][5]~68861\) # (GND)))
-- \led_flash_cnt[2998][6]~68863\ = CARRY((!\led_flash_cnt[2998][5]~68861\) # (!\led_flash_cnt[2998][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2998][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2998][5]~68861\,
	combout => \led_flash_cnt[2998][6]~68862_combout\,
	cout => \led_flash_cnt[2998][6]~68863\);

-- Location: FF_X76_Y34_N17
\led_flash_cnt[2998][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2998][6]~68862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2998][6]~q\);

-- Location: LCCOMB_X76_Y34_N18
\led_flash_cnt[2998][7]~68864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2998][7]~68864_combout\ = \led_flash_cnt[2998][6]~68863\ $ (!\led_flash_cnt[2998][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2998][7]~q\,
	cin => \led_flash_cnt[2998][6]~68863\,
	combout => \led_flash_cnt[2998][7]~68864_combout\);

-- Location: FF_X76_Y34_N19
\led_flash_cnt[2998][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2998][7]~68864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2998][7]~q\);

-- Location: LCCOMB_X76_Y34_N4
\WideAnd2998~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2998~1_combout\ = (\led_flash_cnt[2998][5]~q\ & \led_flash_cnt[2998][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2998][5]~q\,
	datad => \led_flash_cnt[2998][6]~q\,
	combout => \WideAnd2998~1_combout\);

-- Location: LCCOMB_X76_Y34_N22
WideAnd2998 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2998~combout\ = (\WideAnd2998~0_combout\ & (\led_flash_cnt[2998][7]~q\ & (\WideAnd2998~1_combout\ & \led_flash_cnt[2998][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2998~0_combout\,
	datab => \led_flash_cnt[2998][7]~q\,
	datac => \WideAnd2998~1_combout\,
	datad => \led_flash_cnt[2998][0]~q\,
	combout => \WideAnd2998~combout\);

-- Location: FF_X76_Y34_N23
\led_flash_cnt_ands[2998]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2998~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2998));

-- Location: LCCOMB_X67_Y33_N12
\led_flash_cnt[2996][0]~83636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2996][0]~83636_combout\ = !\led_flash_cnt[2996][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2996][0]~q\,
	combout => \led_flash_cnt[2996][0]~83636_combout\);

-- Location: FF_X67_Y33_N13
\led_flash_cnt[2996][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2996][0]~83636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2996][0]~q\);

-- Location: LCCOMB_X67_Y33_N14
\led_flash_cnt[2996][1]~68824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2996][1]~68824_combout\ = (\led_flash_cnt[2996][0]~q\ & (\led_flash_cnt[2996][1]~q\ $ (VCC))) # (!\led_flash_cnt[2996][0]~q\ & (\led_flash_cnt[2996][1]~q\ & VCC))
-- \led_flash_cnt[2996][1]~68825\ = CARRY((\led_flash_cnt[2996][0]~q\ & \led_flash_cnt[2996][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2996][0]~q\,
	datab => \led_flash_cnt[2996][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2996][1]~68824_combout\,
	cout => \led_flash_cnt[2996][1]~68825\);

-- Location: FF_X67_Y33_N15
\led_flash_cnt[2996][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2996][1]~68824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2996][1]~q\);

-- Location: LCCOMB_X67_Y33_N16
\led_flash_cnt[2996][2]~68826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2996][2]~68826_combout\ = (\led_flash_cnt[2996][2]~q\ & (!\led_flash_cnt[2996][1]~68825\)) # (!\led_flash_cnt[2996][2]~q\ & ((\led_flash_cnt[2996][1]~68825\) # (GND)))
-- \led_flash_cnt[2996][2]~68827\ = CARRY((!\led_flash_cnt[2996][1]~68825\) # (!\led_flash_cnt[2996][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2996][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2996][1]~68825\,
	combout => \led_flash_cnt[2996][2]~68826_combout\,
	cout => \led_flash_cnt[2996][2]~68827\);

-- Location: FF_X67_Y33_N17
\led_flash_cnt[2996][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2996][2]~68826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2996][2]~q\);

-- Location: LCCOMB_X67_Y33_N18
\led_flash_cnt[2996][3]~68828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2996][3]~68828_combout\ = (\led_flash_cnt[2996][3]~q\ & (\led_flash_cnt[2996][2]~68827\ $ (GND))) # (!\led_flash_cnt[2996][3]~q\ & (!\led_flash_cnt[2996][2]~68827\ & VCC))
-- \led_flash_cnt[2996][3]~68829\ = CARRY((\led_flash_cnt[2996][3]~q\ & !\led_flash_cnt[2996][2]~68827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2996][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2996][2]~68827\,
	combout => \led_flash_cnt[2996][3]~68828_combout\,
	cout => \led_flash_cnt[2996][3]~68829\);

-- Location: FF_X67_Y33_N19
\led_flash_cnt[2996][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2996][3]~68828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2996][3]~q\);

-- Location: LCCOMB_X67_Y33_N20
\led_flash_cnt[2996][4]~68830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2996][4]~68830_combout\ = (\led_flash_cnt[2996][4]~q\ & (!\led_flash_cnt[2996][3]~68829\)) # (!\led_flash_cnt[2996][4]~q\ & ((\led_flash_cnt[2996][3]~68829\) # (GND)))
-- \led_flash_cnt[2996][4]~68831\ = CARRY((!\led_flash_cnt[2996][3]~68829\) # (!\led_flash_cnt[2996][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2996][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2996][3]~68829\,
	combout => \led_flash_cnt[2996][4]~68830_combout\,
	cout => \led_flash_cnt[2996][4]~68831\);

-- Location: FF_X67_Y33_N21
\led_flash_cnt[2996][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2996][4]~68830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2996][4]~q\);

-- Location: LCCOMB_X67_Y33_N22
\led_flash_cnt[2996][5]~68832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2996][5]~68832_combout\ = (\led_flash_cnt[2996][5]~q\ & (\led_flash_cnt[2996][4]~68831\ $ (GND))) # (!\led_flash_cnt[2996][5]~q\ & (!\led_flash_cnt[2996][4]~68831\ & VCC))
-- \led_flash_cnt[2996][5]~68833\ = CARRY((\led_flash_cnt[2996][5]~q\ & !\led_flash_cnt[2996][4]~68831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2996][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2996][4]~68831\,
	combout => \led_flash_cnt[2996][5]~68832_combout\,
	cout => \led_flash_cnt[2996][5]~68833\);

-- Location: FF_X67_Y33_N23
\led_flash_cnt[2996][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2996][5]~68832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2996][5]~q\);

-- Location: LCCOMB_X67_Y33_N24
\led_flash_cnt[2996][6]~68834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2996][6]~68834_combout\ = (\led_flash_cnt[2996][6]~q\ & (!\led_flash_cnt[2996][5]~68833\)) # (!\led_flash_cnt[2996][6]~q\ & ((\led_flash_cnt[2996][5]~68833\) # (GND)))
-- \led_flash_cnt[2996][6]~68835\ = CARRY((!\led_flash_cnt[2996][5]~68833\) # (!\led_flash_cnt[2996][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2996][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2996][5]~68833\,
	combout => \led_flash_cnt[2996][6]~68834_combout\,
	cout => \led_flash_cnt[2996][6]~68835\);

-- Location: FF_X67_Y33_N25
\led_flash_cnt[2996][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2996][6]~68834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2996][6]~q\);

-- Location: LCCOMB_X67_Y33_N26
\led_flash_cnt[2996][7]~68836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2996][7]~68836_combout\ = \led_flash_cnt[2996][7]~q\ $ (!\led_flash_cnt[2996][6]~68835\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2996][7]~q\,
	cin => \led_flash_cnt[2996][6]~68835\,
	combout => \led_flash_cnt[2996][7]~68836_combout\);

-- Location: FF_X67_Y33_N27
\led_flash_cnt[2996][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2996][7]~68836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2996][7]~q\);

-- Location: LCCOMB_X67_Y33_N28
\WideAnd2996~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2996~0_combout\ = (\led_flash_cnt[2996][4]~q\ & (\led_flash_cnt[2996][3]~q\ & (\led_flash_cnt[2996][1]~q\ & \led_flash_cnt[2996][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2996][4]~q\,
	datab => \led_flash_cnt[2996][3]~q\,
	datac => \led_flash_cnt[2996][1]~q\,
	datad => \led_flash_cnt[2996][2]~q\,
	combout => \WideAnd2996~0_combout\);

-- Location: LCCOMB_X67_Y33_N4
\WideAnd2996~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2996~1_combout\ = (\led_flash_cnt[2996][5]~q\ & \led_flash_cnt[2996][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2996][5]~q\,
	datad => \led_flash_cnt[2996][6]~q\,
	combout => \WideAnd2996~1_combout\);

-- Location: LCCOMB_X67_Y33_N10
WideAnd2996 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2996~combout\ = (\led_flash_cnt[2996][7]~q\ & (\WideAnd2996~0_combout\ & (\WideAnd2996~1_combout\ & \led_flash_cnt[2996][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2996][7]~q\,
	datab => \WideAnd2996~0_combout\,
	datac => \WideAnd2996~1_combout\,
	datad => \led_flash_cnt[2996][0]~q\,
	combout => \WideAnd2996~combout\);

-- Location: FF_X67_Y33_N11
\led_flash_cnt_ands[2996]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2996~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2996));

-- Location: LCCOMB_X74_Y33_N8
\led_flash_cnt[2997][0]~83637\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2997][0]~83637_combout\ = !\led_flash_cnt[2997][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2997][0]~q\,
	combout => \led_flash_cnt[2997][0]~83637_combout\);

-- Location: FF_X74_Y33_N9
\led_flash_cnt[2997][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2997][0]~83637_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2997][0]~q\);

-- Location: LCCOMB_X74_Y33_N10
\led_flash_cnt[2997][1]~68838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2997][1]~68838_combout\ = (\led_flash_cnt[2997][1]~q\ & (\led_flash_cnt[2997][0]~q\ $ (VCC))) # (!\led_flash_cnt[2997][1]~q\ & (\led_flash_cnt[2997][0]~q\ & VCC))
-- \led_flash_cnt[2997][1]~68839\ = CARRY((\led_flash_cnt[2997][1]~q\ & \led_flash_cnt[2997][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2997][1]~q\,
	datab => \led_flash_cnt[2997][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2997][1]~68838_combout\,
	cout => \led_flash_cnt[2997][1]~68839\);

-- Location: FF_X74_Y33_N11
\led_flash_cnt[2997][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2997][1]~68838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2997][1]~q\);

-- Location: LCCOMB_X74_Y33_N12
\led_flash_cnt[2997][2]~68840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2997][2]~68840_combout\ = (\led_flash_cnt[2997][2]~q\ & (!\led_flash_cnt[2997][1]~68839\)) # (!\led_flash_cnt[2997][2]~q\ & ((\led_flash_cnt[2997][1]~68839\) # (GND)))
-- \led_flash_cnt[2997][2]~68841\ = CARRY((!\led_flash_cnt[2997][1]~68839\) # (!\led_flash_cnt[2997][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2997][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2997][1]~68839\,
	combout => \led_flash_cnt[2997][2]~68840_combout\,
	cout => \led_flash_cnt[2997][2]~68841\);

-- Location: FF_X74_Y33_N13
\led_flash_cnt[2997][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2997][2]~68840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2997][2]~q\);

-- Location: LCCOMB_X74_Y33_N14
\led_flash_cnt[2997][3]~68842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2997][3]~68842_combout\ = (\led_flash_cnt[2997][3]~q\ & (\led_flash_cnt[2997][2]~68841\ $ (GND))) # (!\led_flash_cnt[2997][3]~q\ & (!\led_flash_cnt[2997][2]~68841\ & VCC))
-- \led_flash_cnt[2997][3]~68843\ = CARRY((\led_flash_cnt[2997][3]~q\ & !\led_flash_cnt[2997][2]~68841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2997][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2997][2]~68841\,
	combout => \led_flash_cnt[2997][3]~68842_combout\,
	cout => \led_flash_cnt[2997][3]~68843\);

-- Location: FF_X74_Y33_N15
\led_flash_cnt[2997][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2997][3]~68842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2997][3]~q\);

-- Location: LCCOMB_X74_Y33_N16
\led_flash_cnt[2997][4]~68844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2997][4]~68844_combout\ = (\led_flash_cnt[2997][4]~q\ & (!\led_flash_cnt[2997][3]~68843\)) # (!\led_flash_cnt[2997][4]~q\ & ((\led_flash_cnt[2997][3]~68843\) # (GND)))
-- \led_flash_cnt[2997][4]~68845\ = CARRY((!\led_flash_cnt[2997][3]~68843\) # (!\led_flash_cnt[2997][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2997][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2997][3]~68843\,
	combout => \led_flash_cnt[2997][4]~68844_combout\,
	cout => \led_flash_cnt[2997][4]~68845\);

-- Location: FF_X74_Y33_N17
\led_flash_cnt[2997][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2997][4]~68844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2997][4]~q\);

-- Location: LCCOMB_X74_Y33_N18
\led_flash_cnt[2997][5]~68846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2997][5]~68846_combout\ = (\led_flash_cnt[2997][5]~q\ & (\led_flash_cnt[2997][4]~68845\ $ (GND))) # (!\led_flash_cnt[2997][5]~q\ & (!\led_flash_cnt[2997][4]~68845\ & VCC))
-- \led_flash_cnt[2997][5]~68847\ = CARRY((\led_flash_cnt[2997][5]~q\ & !\led_flash_cnt[2997][4]~68845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2997][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2997][4]~68845\,
	combout => \led_flash_cnt[2997][5]~68846_combout\,
	cout => \led_flash_cnt[2997][5]~68847\);

-- Location: FF_X74_Y33_N19
\led_flash_cnt[2997][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2997][5]~68846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2997][5]~q\);

-- Location: LCCOMB_X74_Y33_N20
\led_flash_cnt[2997][6]~68848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2997][6]~68848_combout\ = (\led_flash_cnt[2997][6]~q\ & (!\led_flash_cnt[2997][5]~68847\)) # (!\led_flash_cnt[2997][6]~q\ & ((\led_flash_cnt[2997][5]~68847\) # (GND)))
-- \led_flash_cnt[2997][6]~68849\ = CARRY((!\led_flash_cnt[2997][5]~68847\) # (!\led_flash_cnt[2997][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2997][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2997][5]~68847\,
	combout => \led_flash_cnt[2997][6]~68848_combout\,
	cout => \led_flash_cnt[2997][6]~68849\);

-- Location: FF_X74_Y33_N21
\led_flash_cnt[2997][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2997][6]~68848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2997][6]~q\);

-- Location: LCCOMB_X74_Y33_N22
\led_flash_cnt[2997][7]~68850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2997][7]~68850_combout\ = \led_flash_cnt[2997][7]~q\ $ (!\led_flash_cnt[2997][6]~68849\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2997][7]~q\,
	cin => \led_flash_cnt[2997][6]~68849\,
	combout => \led_flash_cnt[2997][7]~68850_combout\);

-- Location: FF_X74_Y33_N23
\led_flash_cnt[2997][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2997][7]~68850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2997][7]~q\);

-- Location: LCCOMB_X74_Y33_N24
\WideAnd2997~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2997~1_combout\ = (\led_flash_cnt[2997][6]~q\ & \led_flash_cnt[2997][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2997][6]~q\,
	datad => \led_flash_cnt[2997][5]~q\,
	combout => \WideAnd2997~1_combout\);

-- Location: LCCOMB_X74_Y33_N2
\WideAnd2997~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2997~0_combout\ = (\led_flash_cnt[2997][2]~q\ & (\led_flash_cnt[2997][4]~q\ & (\led_flash_cnt[2997][3]~q\ & \led_flash_cnt[2997][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2997][2]~q\,
	datab => \led_flash_cnt[2997][4]~q\,
	datac => \led_flash_cnt[2997][3]~q\,
	datad => \led_flash_cnt[2997][1]~q\,
	combout => \WideAnd2997~0_combout\);

-- Location: LCCOMB_X74_Y33_N4
WideAnd2997 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2997~combout\ = (\led_flash_cnt[2997][7]~q\ & (\WideAnd2997~1_combout\ & (\led_flash_cnt[2997][0]~q\ & \WideAnd2997~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2997][7]~q\,
	datab => \WideAnd2997~1_combout\,
	datac => \led_flash_cnt[2997][0]~q\,
	datad => \WideAnd2997~0_combout\,
	combout => \WideAnd2997~combout\);

-- Location: FF_X74_Y33_N5
\led_flash_cnt_ands[2997]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2997~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2997));

-- Location: LCCOMB_X70_Y33_N4
\WideAnd4214~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4214~1_combout\ = (led_flash_cnt_ands(2996) & led_flash_cnt_ands(2997))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2996),
	datad => led_flash_cnt_ands(2997),
	combout => \WideAnd4214~1_combout\);

-- Location: LCCOMB_X44_Y45_N18
\led_flash_cnt[2992][0]~83632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2992][0]~83632_combout\ = !\led_flash_cnt[2992][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2992][0]~q\,
	combout => \led_flash_cnt[2992][0]~83632_combout\);

-- Location: FF_X44_Y45_N19
\led_flash_cnt[2992][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2992][0]~83632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2992][0]~q\);

-- Location: LCCOMB_X44_Y45_N0
\led_flash_cnt[2992][1]~68768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2992][1]~68768_combout\ = (\led_flash_cnt[2992][1]~q\ & (\led_flash_cnt[2992][0]~q\ $ (VCC))) # (!\led_flash_cnt[2992][1]~q\ & (\led_flash_cnt[2992][0]~q\ & VCC))
-- \led_flash_cnt[2992][1]~68769\ = CARRY((\led_flash_cnt[2992][1]~q\ & \led_flash_cnt[2992][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2992][1]~q\,
	datab => \led_flash_cnt[2992][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2992][1]~68768_combout\,
	cout => \led_flash_cnt[2992][1]~68769\);

-- Location: FF_X44_Y45_N1
\led_flash_cnt[2992][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2992][1]~68768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2992][1]~q\);

-- Location: LCCOMB_X44_Y45_N2
\led_flash_cnt[2992][2]~68770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2992][2]~68770_combout\ = (\led_flash_cnt[2992][2]~q\ & (!\led_flash_cnt[2992][1]~68769\)) # (!\led_flash_cnt[2992][2]~q\ & ((\led_flash_cnt[2992][1]~68769\) # (GND)))
-- \led_flash_cnt[2992][2]~68771\ = CARRY((!\led_flash_cnt[2992][1]~68769\) # (!\led_flash_cnt[2992][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2992][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2992][1]~68769\,
	combout => \led_flash_cnt[2992][2]~68770_combout\,
	cout => \led_flash_cnt[2992][2]~68771\);

-- Location: FF_X44_Y45_N3
\led_flash_cnt[2992][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2992][2]~68770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2992][2]~q\);

-- Location: LCCOMB_X44_Y45_N4
\led_flash_cnt[2992][3]~68772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2992][3]~68772_combout\ = (\led_flash_cnt[2992][3]~q\ & (\led_flash_cnt[2992][2]~68771\ $ (GND))) # (!\led_flash_cnt[2992][3]~q\ & (!\led_flash_cnt[2992][2]~68771\ & VCC))
-- \led_flash_cnt[2992][3]~68773\ = CARRY((\led_flash_cnt[2992][3]~q\ & !\led_flash_cnt[2992][2]~68771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2992][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2992][2]~68771\,
	combout => \led_flash_cnt[2992][3]~68772_combout\,
	cout => \led_flash_cnt[2992][3]~68773\);

-- Location: FF_X44_Y45_N5
\led_flash_cnt[2992][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2992][3]~68772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2992][3]~q\);

-- Location: LCCOMB_X44_Y45_N6
\led_flash_cnt[2992][4]~68774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2992][4]~68774_combout\ = (\led_flash_cnt[2992][4]~q\ & (!\led_flash_cnt[2992][3]~68773\)) # (!\led_flash_cnt[2992][4]~q\ & ((\led_flash_cnt[2992][3]~68773\) # (GND)))
-- \led_flash_cnt[2992][4]~68775\ = CARRY((!\led_flash_cnt[2992][3]~68773\) # (!\led_flash_cnt[2992][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2992][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2992][3]~68773\,
	combout => \led_flash_cnt[2992][4]~68774_combout\,
	cout => \led_flash_cnt[2992][4]~68775\);

-- Location: FF_X44_Y45_N7
\led_flash_cnt[2992][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2992][4]~68774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2992][4]~q\);

-- Location: LCCOMB_X44_Y45_N8
\led_flash_cnt[2992][5]~68776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2992][5]~68776_combout\ = (\led_flash_cnt[2992][5]~q\ & (\led_flash_cnt[2992][4]~68775\ $ (GND))) # (!\led_flash_cnt[2992][5]~q\ & (!\led_flash_cnt[2992][4]~68775\ & VCC))
-- \led_flash_cnt[2992][5]~68777\ = CARRY((\led_flash_cnt[2992][5]~q\ & !\led_flash_cnt[2992][4]~68775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2992][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2992][4]~68775\,
	combout => \led_flash_cnt[2992][5]~68776_combout\,
	cout => \led_flash_cnt[2992][5]~68777\);

-- Location: FF_X44_Y45_N9
\led_flash_cnt[2992][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2992][5]~68776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2992][5]~q\);

-- Location: LCCOMB_X44_Y45_N10
\led_flash_cnt[2992][6]~68778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2992][6]~68778_combout\ = (\led_flash_cnt[2992][6]~q\ & (!\led_flash_cnt[2992][5]~68777\)) # (!\led_flash_cnt[2992][6]~q\ & ((\led_flash_cnt[2992][5]~68777\) # (GND)))
-- \led_flash_cnt[2992][6]~68779\ = CARRY((!\led_flash_cnt[2992][5]~68777\) # (!\led_flash_cnt[2992][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2992][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2992][5]~68777\,
	combout => \led_flash_cnt[2992][6]~68778_combout\,
	cout => \led_flash_cnt[2992][6]~68779\);

-- Location: FF_X44_Y45_N11
\led_flash_cnt[2992][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2992][6]~68778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2992][6]~q\);

-- Location: LCCOMB_X44_Y45_N26
\WideAnd2992~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2992~1_combout\ = (\led_flash_cnt[2992][5]~q\ & \led_flash_cnt[2992][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2992][5]~q\,
	datad => \led_flash_cnt[2992][6]~q\,
	combout => \WideAnd2992~1_combout\);

-- Location: LCCOMB_X44_Y45_N14
\WideAnd2992~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2992~0_combout\ = (\led_flash_cnt[2992][4]~q\ & (\led_flash_cnt[2992][1]~q\ & (\led_flash_cnt[2992][3]~q\ & \led_flash_cnt[2992][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2992][4]~q\,
	datab => \led_flash_cnt[2992][1]~q\,
	datac => \led_flash_cnt[2992][3]~q\,
	datad => \led_flash_cnt[2992][2]~q\,
	combout => \WideAnd2992~0_combout\);

-- Location: LCCOMB_X44_Y45_N12
\led_flash_cnt[2992][7]~68780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2992][7]~68780_combout\ = \led_flash_cnt[2992][6]~68779\ $ (!\led_flash_cnt[2992][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2992][7]~q\,
	cin => \led_flash_cnt[2992][6]~68779\,
	combout => \led_flash_cnt[2992][7]~68780_combout\);

-- Location: FF_X44_Y45_N13
\led_flash_cnt[2992][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2992][7]~68780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2992][7]~q\);

-- Location: LCCOMB_X44_Y45_N24
WideAnd2992 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2992~combout\ = (\WideAnd2992~1_combout\ & (\led_flash_cnt[2992][0]~q\ & (\WideAnd2992~0_combout\ & \led_flash_cnt[2992][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2992~1_combout\,
	datab => \led_flash_cnt[2992][0]~q\,
	datac => \WideAnd2992~0_combout\,
	datad => \led_flash_cnt[2992][7]~q\,
	combout => \WideAnd2992~combout\);

-- Location: FF_X44_Y45_N25
\led_flash_cnt_ands[2992]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2992~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2992));

-- Location: LCCOMB_X45_Y20_N28
\led_flash_cnt[2995][0]~83635\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2995][0]~83635_combout\ = !\led_flash_cnt[2995][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2995][0]~q\,
	combout => \led_flash_cnt[2995][0]~83635_combout\);

-- Location: FF_X45_Y20_N29
\led_flash_cnt[2995][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2995][0]~83635_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2995][0]~q\);

-- Location: LCCOMB_X45_Y20_N12
\led_flash_cnt[2995][1]~68810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2995][1]~68810_combout\ = (\led_flash_cnt[2995][1]~q\ & (\led_flash_cnt[2995][0]~q\ $ (VCC))) # (!\led_flash_cnt[2995][1]~q\ & (\led_flash_cnt[2995][0]~q\ & VCC))
-- \led_flash_cnt[2995][1]~68811\ = CARRY((\led_flash_cnt[2995][1]~q\ & \led_flash_cnt[2995][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2995][1]~q\,
	datab => \led_flash_cnt[2995][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2995][1]~68810_combout\,
	cout => \led_flash_cnt[2995][1]~68811\);

-- Location: FF_X45_Y20_N13
\led_flash_cnt[2995][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2995][1]~68810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2995][1]~q\);

-- Location: LCCOMB_X45_Y20_N14
\led_flash_cnt[2995][2]~68812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2995][2]~68812_combout\ = (\led_flash_cnt[2995][2]~q\ & (!\led_flash_cnt[2995][1]~68811\)) # (!\led_flash_cnt[2995][2]~q\ & ((\led_flash_cnt[2995][1]~68811\) # (GND)))
-- \led_flash_cnt[2995][2]~68813\ = CARRY((!\led_flash_cnt[2995][1]~68811\) # (!\led_flash_cnt[2995][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2995][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2995][1]~68811\,
	combout => \led_flash_cnt[2995][2]~68812_combout\,
	cout => \led_flash_cnt[2995][2]~68813\);

-- Location: FF_X45_Y20_N15
\led_flash_cnt[2995][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2995][2]~68812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2995][2]~q\);

-- Location: LCCOMB_X45_Y20_N16
\led_flash_cnt[2995][3]~68814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2995][3]~68814_combout\ = (\led_flash_cnt[2995][3]~q\ & (\led_flash_cnt[2995][2]~68813\ $ (GND))) # (!\led_flash_cnt[2995][3]~q\ & (!\led_flash_cnt[2995][2]~68813\ & VCC))
-- \led_flash_cnt[2995][3]~68815\ = CARRY((\led_flash_cnt[2995][3]~q\ & !\led_flash_cnt[2995][2]~68813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2995][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2995][2]~68813\,
	combout => \led_flash_cnt[2995][3]~68814_combout\,
	cout => \led_flash_cnt[2995][3]~68815\);

-- Location: FF_X45_Y20_N17
\led_flash_cnt[2995][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2995][3]~68814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2995][3]~q\);

-- Location: LCCOMB_X45_Y20_N18
\led_flash_cnt[2995][4]~68816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2995][4]~68816_combout\ = (\led_flash_cnt[2995][4]~q\ & (!\led_flash_cnt[2995][3]~68815\)) # (!\led_flash_cnt[2995][4]~q\ & ((\led_flash_cnt[2995][3]~68815\) # (GND)))
-- \led_flash_cnt[2995][4]~68817\ = CARRY((!\led_flash_cnt[2995][3]~68815\) # (!\led_flash_cnt[2995][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2995][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2995][3]~68815\,
	combout => \led_flash_cnt[2995][4]~68816_combout\,
	cout => \led_flash_cnt[2995][4]~68817\);

-- Location: FF_X45_Y20_N19
\led_flash_cnt[2995][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2995][4]~68816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2995][4]~q\);

-- Location: LCCOMB_X45_Y20_N6
\WideAnd2995~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2995~0_combout\ = (\led_flash_cnt[2995][1]~q\ & (\led_flash_cnt[2995][4]~q\ & (\led_flash_cnt[2995][2]~q\ & \led_flash_cnt[2995][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2995][1]~q\,
	datab => \led_flash_cnt[2995][4]~q\,
	datac => \led_flash_cnt[2995][2]~q\,
	datad => \led_flash_cnt[2995][3]~q\,
	combout => \WideAnd2995~0_combout\);

-- Location: LCCOMB_X45_Y20_N20
\led_flash_cnt[2995][5]~68818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2995][5]~68818_combout\ = (\led_flash_cnt[2995][5]~q\ & (\led_flash_cnt[2995][4]~68817\ $ (GND))) # (!\led_flash_cnt[2995][5]~q\ & (!\led_flash_cnt[2995][4]~68817\ & VCC))
-- \led_flash_cnt[2995][5]~68819\ = CARRY((\led_flash_cnt[2995][5]~q\ & !\led_flash_cnt[2995][4]~68817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2995][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2995][4]~68817\,
	combout => \led_flash_cnt[2995][5]~68818_combout\,
	cout => \led_flash_cnt[2995][5]~68819\);

-- Location: FF_X45_Y20_N21
\led_flash_cnt[2995][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2995][5]~68818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2995][5]~q\);

-- Location: LCCOMB_X45_Y20_N22
\led_flash_cnt[2995][6]~68820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2995][6]~68820_combout\ = (\led_flash_cnt[2995][6]~q\ & (!\led_flash_cnt[2995][5]~68819\)) # (!\led_flash_cnt[2995][6]~q\ & ((\led_flash_cnt[2995][5]~68819\) # (GND)))
-- \led_flash_cnt[2995][6]~68821\ = CARRY((!\led_flash_cnt[2995][5]~68819\) # (!\led_flash_cnt[2995][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2995][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2995][5]~68819\,
	combout => \led_flash_cnt[2995][6]~68820_combout\,
	cout => \led_flash_cnt[2995][6]~68821\);

-- Location: FF_X45_Y20_N23
\led_flash_cnt[2995][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2995][6]~68820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2995][6]~q\);

-- Location: LCCOMB_X45_Y20_N24
\led_flash_cnt[2995][7]~68822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2995][7]~68822_combout\ = \led_flash_cnt[2995][6]~68821\ $ (!\led_flash_cnt[2995][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2995][7]~q\,
	cin => \led_flash_cnt[2995][6]~68821\,
	combout => \led_flash_cnt[2995][7]~68822_combout\);

-- Location: FF_X45_Y20_N25
\led_flash_cnt[2995][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2995][7]~68822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2995][7]~q\);

-- Location: LCCOMB_X45_Y20_N4
\WideAnd2995~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2995~1_combout\ = (\led_flash_cnt[2995][6]~q\ & \led_flash_cnt[2995][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2995][6]~q\,
	datad => \led_flash_cnt[2995][5]~q\,
	combout => \WideAnd2995~1_combout\);

-- Location: LCCOMB_X45_Y20_N0
WideAnd2995 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2995~combout\ = (\WideAnd2995~0_combout\ & (\led_flash_cnt[2995][7]~q\ & (\WideAnd2995~1_combout\ & \led_flash_cnt[2995][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2995~0_combout\,
	datab => \led_flash_cnt[2995][7]~q\,
	datac => \WideAnd2995~1_combout\,
	datad => \led_flash_cnt[2995][0]~q\,
	combout => \WideAnd2995~combout\);

-- Location: FF_X45_Y20_N1
\led_flash_cnt_ands[2995]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2995~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2995));

-- Location: LCCOMB_X47_Y45_N8
\led_flash_cnt[2993][0]~83633\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2993][0]~83633_combout\ = !\led_flash_cnt[2993][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2993][0]~q\,
	combout => \led_flash_cnt[2993][0]~83633_combout\);

-- Location: FF_X47_Y45_N9
\led_flash_cnt[2993][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2993][0]~83633_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2993][0]~q\);

-- Location: LCCOMB_X47_Y45_N12
\led_flash_cnt[2993][1]~68782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2993][1]~68782_combout\ = (\led_flash_cnt[2993][1]~q\ & (\led_flash_cnt[2993][0]~q\ $ (VCC))) # (!\led_flash_cnt[2993][1]~q\ & (\led_flash_cnt[2993][0]~q\ & VCC))
-- \led_flash_cnt[2993][1]~68783\ = CARRY((\led_flash_cnt[2993][1]~q\ & \led_flash_cnt[2993][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2993][1]~q\,
	datab => \led_flash_cnt[2993][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2993][1]~68782_combout\,
	cout => \led_flash_cnt[2993][1]~68783\);

-- Location: FF_X47_Y45_N13
\led_flash_cnt[2993][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2993][1]~68782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2993][1]~q\);

-- Location: LCCOMB_X47_Y45_N14
\led_flash_cnt[2993][2]~68784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2993][2]~68784_combout\ = (\led_flash_cnt[2993][2]~q\ & (!\led_flash_cnt[2993][1]~68783\)) # (!\led_flash_cnt[2993][2]~q\ & ((\led_flash_cnt[2993][1]~68783\) # (GND)))
-- \led_flash_cnt[2993][2]~68785\ = CARRY((!\led_flash_cnt[2993][1]~68783\) # (!\led_flash_cnt[2993][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2993][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2993][1]~68783\,
	combout => \led_flash_cnt[2993][2]~68784_combout\,
	cout => \led_flash_cnt[2993][2]~68785\);

-- Location: FF_X47_Y45_N15
\led_flash_cnt[2993][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2993][2]~68784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2993][2]~q\);

-- Location: LCCOMB_X47_Y45_N16
\led_flash_cnt[2993][3]~68786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2993][3]~68786_combout\ = (\led_flash_cnt[2993][3]~q\ & (\led_flash_cnt[2993][2]~68785\ $ (GND))) # (!\led_flash_cnt[2993][3]~q\ & (!\led_flash_cnt[2993][2]~68785\ & VCC))
-- \led_flash_cnt[2993][3]~68787\ = CARRY((\led_flash_cnt[2993][3]~q\ & !\led_flash_cnt[2993][2]~68785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2993][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2993][2]~68785\,
	combout => \led_flash_cnt[2993][3]~68786_combout\,
	cout => \led_flash_cnt[2993][3]~68787\);

-- Location: FF_X47_Y45_N17
\led_flash_cnt[2993][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2993][3]~68786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2993][3]~q\);

-- Location: LCCOMB_X47_Y45_N18
\led_flash_cnt[2993][4]~68788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2993][4]~68788_combout\ = (\led_flash_cnt[2993][4]~q\ & (!\led_flash_cnt[2993][3]~68787\)) # (!\led_flash_cnt[2993][4]~q\ & ((\led_flash_cnt[2993][3]~68787\) # (GND)))
-- \led_flash_cnt[2993][4]~68789\ = CARRY((!\led_flash_cnt[2993][3]~68787\) # (!\led_flash_cnt[2993][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2993][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2993][3]~68787\,
	combout => \led_flash_cnt[2993][4]~68788_combout\,
	cout => \led_flash_cnt[2993][4]~68789\);

-- Location: FF_X47_Y45_N19
\led_flash_cnt[2993][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2993][4]~68788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2993][4]~q\);

-- Location: LCCOMB_X47_Y45_N20
\led_flash_cnt[2993][5]~68790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2993][5]~68790_combout\ = (\led_flash_cnt[2993][5]~q\ & (\led_flash_cnt[2993][4]~68789\ $ (GND))) # (!\led_flash_cnt[2993][5]~q\ & (!\led_flash_cnt[2993][4]~68789\ & VCC))
-- \led_flash_cnt[2993][5]~68791\ = CARRY((\led_flash_cnt[2993][5]~q\ & !\led_flash_cnt[2993][4]~68789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2993][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2993][4]~68789\,
	combout => \led_flash_cnt[2993][5]~68790_combout\,
	cout => \led_flash_cnt[2993][5]~68791\);

-- Location: FF_X47_Y45_N21
\led_flash_cnt[2993][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2993][5]~68790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2993][5]~q\);

-- Location: LCCOMB_X47_Y45_N22
\led_flash_cnt[2993][6]~68792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2993][6]~68792_combout\ = (\led_flash_cnt[2993][6]~q\ & (!\led_flash_cnt[2993][5]~68791\)) # (!\led_flash_cnt[2993][6]~q\ & ((\led_flash_cnt[2993][5]~68791\) # (GND)))
-- \led_flash_cnt[2993][6]~68793\ = CARRY((!\led_flash_cnt[2993][5]~68791\) # (!\led_flash_cnt[2993][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2993][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2993][5]~68791\,
	combout => \led_flash_cnt[2993][6]~68792_combout\,
	cout => \led_flash_cnt[2993][6]~68793\);

-- Location: FF_X47_Y45_N23
\led_flash_cnt[2993][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2993][6]~68792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2993][6]~q\);

-- Location: LCCOMB_X47_Y45_N10
\WideAnd2993~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2993~1_combout\ = (\led_flash_cnt[2993][6]~q\ & \led_flash_cnt[2993][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2993][6]~q\,
	datad => \led_flash_cnt[2993][5]~q\,
	combout => \WideAnd2993~1_combout\);

-- Location: LCCOMB_X47_Y45_N24
\led_flash_cnt[2993][7]~68794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2993][7]~68794_combout\ = \led_flash_cnt[2993][6]~68793\ $ (!\led_flash_cnt[2993][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2993][7]~q\,
	cin => \led_flash_cnt[2993][6]~68793\,
	combout => \led_flash_cnt[2993][7]~68794_combout\);

-- Location: FF_X47_Y45_N25
\led_flash_cnt[2993][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2993][7]~68794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2993][7]~q\);

-- Location: LCCOMB_X47_Y45_N28
\WideAnd2993~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2993~0_combout\ = (\led_flash_cnt[2993][1]~q\ & (\led_flash_cnt[2993][3]~q\ & (\led_flash_cnt[2993][2]~q\ & \led_flash_cnt[2993][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2993][1]~q\,
	datab => \led_flash_cnt[2993][3]~q\,
	datac => \led_flash_cnt[2993][2]~q\,
	datad => \led_flash_cnt[2993][4]~q\,
	combout => \WideAnd2993~0_combout\);

-- Location: LCCOMB_X47_Y45_N26
WideAnd2993 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2993~combout\ = (\WideAnd2993~1_combout\ & (\led_flash_cnt[2993][7]~q\ & (\led_flash_cnt[2993][0]~q\ & \WideAnd2993~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2993~1_combout\,
	datab => \led_flash_cnt[2993][7]~q\,
	datac => \led_flash_cnt[2993][0]~q\,
	datad => \WideAnd2993~0_combout\,
	combout => \WideAnd2993~combout\);

-- Location: FF_X47_Y45_N27
\led_flash_cnt_ands[2993]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2993~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2993));

-- Location: LCCOMB_X47_Y49_N6
\led_flash_cnt[2994][0]~83634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2994][0]~83634_combout\ = !\led_flash_cnt[2994][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2994][0]~q\,
	combout => \led_flash_cnt[2994][0]~83634_combout\);

-- Location: FF_X47_Y49_N7
\led_flash_cnt[2994][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2994][0]~83634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2994][0]~q\);

-- Location: LCCOMB_X47_Y49_N16
\led_flash_cnt[2994][1]~68796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2994][1]~68796_combout\ = (\led_flash_cnt[2994][0]~q\ & (\led_flash_cnt[2994][1]~q\ $ (VCC))) # (!\led_flash_cnt[2994][0]~q\ & (\led_flash_cnt[2994][1]~q\ & VCC))
-- \led_flash_cnt[2994][1]~68797\ = CARRY((\led_flash_cnt[2994][0]~q\ & \led_flash_cnt[2994][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2994][0]~q\,
	datab => \led_flash_cnt[2994][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2994][1]~68796_combout\,
	cout => \led_flash_cnt[2994][1]~68797\);

-- Location: FF_X47_Y49_N17
\led_flash_cnt[2994][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2994][1]~68796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2994][1]~q\);

-- Location: LCCOMB_X47_Y49_N18
\led_flash_cnt[2994][2]~68798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2994][2]~68798_combout\ = (\led_flash_cnt[2994][2]~q\ & (!\led_flash_cnt[2994][1]~68797\)) # (!\led_flash_cnt[2994][2]~q\ & ((\led_flash_cnt[2994][1]~68797\) # (GND)))
-- \led_flash_cnt[2994][2]~68799\ = CARRY((!\led_flash_cnt[2994][1]~68797\) # (!\led_flash_cnt[2994][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2994][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2994][1]~68797\,
	combout => \led_flash_cnt[2994][2]~68798_combout\,
	cout => \led_flash_cnt[2994][2]~68799\);

-- Location: FF_X47_Y49_N19
\led_flash_cnt[2994][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2994][2]~68798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2994][2]~q\);

-- Location: LCCOMB_X47_Y49_N20
\led_flash_cnt[2994][3]~68800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2994][3]~68800_combout\ = (\led_flash_cnt[2994][3]~q\ & (\led_flash_cnt[2994][2]~68799\ $ (GND))) # (!\led_flash_cnt[2994][3]~q\ & (!\led_flash_cnt[2994][2]~68799\ & VCC))
-- \led_flash_cnt[2994][3]~68801\ = CARRY((\led_flash_cnt[2994][3]~q\ & !\led_flash_cnt[2994][2]~68799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2994][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2994][2]~68799\,
	combout => \led_flash_cnt[2994][3]~68800_combout\,
	cout => \led_flash_cnt[2994][3]~68801\);

-- Location: FF_X47_Y49_N21
\led_flash_cnt[2994][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2994][3]~68800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2994][3]~q\);

-- Location: LCCOMB_X47_Y49_N22
\led_flash_cnt[2994][4]~68802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2994][4]~68802_combout\ = (\led_flash_cnt[2994][4]~q\ & (!\led_flash_cnt[2994][3]~68801\)) # (!\led_flash_cnt[2994][4]~q\ & ((\led_flash_cnt[2994][3]~68801\) # (GND)))
-- \led_flash_cnt[2994][4]~68803\ = CARRY((!\led_flash_cnt[2994][3]~68801\) # (!\led_flash_cnt[2994][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2994][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2994][3]~68801\,
	combout => \led_flash_cnt[2994][4]~68802_combout\,
	cout => \led_flash_cnt[2994][4]~68803\);

-- Location: FF_X47_Y49_N23
\led_flash_cnt[2994][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2994][4]~68802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2994][4]~q\);

-- Location: LCCOMB_X47_Y49_N24
\led_flash_cnt[2994][5]~68804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2994][5]~68804_combout\ = (\led_flash_cnt[2994][5]~q\ & (\led_flash_cnt[2994][4]~68803\ $ (GND))) # (!\led_flash_cnt[2994][5]~q\ & (!\led_flash_cnt[2994][4]~68803\ & VCC))
-- \led_flash_cnt[2994][5]~68805\ = CARRY((\led_flash_cnt[2994][5]~q\ & !\led_flash_cnt[2994][4]~68803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2994][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2994][4]~68803\,
	combout => \led_flash_cnt[2994][5]~68804_combout\,
	cout => \led_flash_cnt[2994][5]~68805\);

-- Location: FF_X47_Y49_N25
\led_flash_cnt[2994][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2994][5]~68804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2994][5]~q\);

-- Location: LCCOMB_X47_Y49_N26
\led_flash_cnt[2994][6]~68806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2994][6]~68806_combout\ = (\led_flash_cnt[2994][6]~q\ & (!\led_flash_cnt[2994][5]~68805\)) # (!\led_flash_cnt[2994][6]~q\ & ((\led_flash_cnt[2994][5]~68805\) # (GND)))
-- \led_flash_cnt[2994][6]~68807\ = CARRY((!\led_flash_cnt[2994][5]~68805\) # (!\led_flash_cnt[2994][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2994][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2994][5]~68805\,
	combout => \led_flash_cnt[2994][6]~68806_combout\,
	cout => \led_flash_cnt[2994][6]~68807\);

-- Location: FF_X47_Y49_N27
\led_flash_cnt[2994][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2994][6]~68806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2994][6]~q\);

-- Location: LCCOMB_X47_Y49_N28
\led_flash_cnt[2994][7]~68808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2994][7]~68808_combout\ = \led_flash_cnt[2994][6]~68807\ $ (!\led_flash_cnt[2994][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2994][7]~q\,
	cin => \led_flash_cnt[2994][6]~68807\,
	combout => \led_flash_cnt[2994][7]~68808_combout\);

-- Location: FF_X47_Y49_N29
\led_flash_cnt[2994][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2994][7]~68808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2994][7]~q\);

-- Location: LCCOMB_X47_Y49_N4
\WideAnd2994~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2994~0_combout\ = (\led_flash_cnt[2994][2]~q\ & (\led_flash_cnt[2994][1]~q\ & (\led_flash_cnt[2994][4]~q\ & \led_flash_cnt[2994][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2994][2]~q\,
	datab => \led_flash_cnt[2994][1]~q\,
	datac => \led_flash_cnt[2994][4]~q\,
	datad => \led_flash_cnt[2994][3]~q\,
	combout => \WideAnd2994~0_combout\);

-- Location: LCCOMB_X47_Y49_N12
\WideAnd2994~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2994~1_combout\ = (\led_flash_cnt[2994][6]~q\ & \led_flash_cnt[2994][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2994][6]~q\,
	datad => \led_flash_cnt[2994][5]~q\,
	combout => \WideAnd2994~1_combout\);

-- Location: LCCOMB_X47_Y49_N14
WideAnd2994 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2994~combout\ = (\led_flash_cnt[2994][0]~q\ & (\led_flash_cnt[2994][7]~q\ & (\WideAnd2994~0_combout\ & \WideAnd2994~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2994][0]~q\,
	datab => \led_flash_cnt[2994][7]~q\,
	datac => \WideAnd2994~0_combout\,
	datad => \WideAnd2994~1_combout\,
	combout => \WideAnd2994~combout\);

-- Location: FF_X47_Y49_N15
\led_flash_cnt_ands[2994]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2994~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2994));

-- Location: LCCOMB_X47_Y45_N6
\WideAnd4214~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4214~0_combout\ = (led_flash_cnt_ands(2992) & (led_flash_cnt_ands(2995) & (led_flash_cnt_ands(2993) & led_flash_cnt_ands(2994))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2992),
	datab => led_flash_cnt_ands(2995),
	datac => led_flash_cnt_ands(2993),
	datad => led_flash_cnt_ands(2994),
	combout => \WideAnd4214~0_combout\);

-- Location: LCCOMB_X69_Y34_N30
\led_flash_cnt[2999][0]~83639\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2999][0]~83639_combout\ = !\led_flash_cnt[2999][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2999][0]~q\,
	combout => \led_flash_cnt[2999][0]~83639_combout\);

-- Location: FF_X69_Y34_N31
\led_flash_cnt[2999][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2999][0]~83639_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2999][0]~q\);

-- Location: LCCOMB_X69_Y34_N8
\led_flash_cnt[2999][1]~68866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2999][1]~68866_combout\ = (\led_flash_cnt[2999][0]~q\ & (\led_flash_cnt[2999][1]~q\ $ (VCC))) # (!\led_flash_cnt[2999][0]~q\ & (\led_flash_cnt[2999][1]~q\ & VCC))
-- \led_flash_cnt[2999][1]~68867\ = CARRY((\led_flash_cnt[2999][0]~q\ & \led_flash_cnt[2999][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2999][0]~q\,
	datab => \led_flash_cnt[2999][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2999][1]~68866_combout\,
	cout => \led_flash_cnt[2999][1]~68867\);

-- Location: FF_X69_Y34_N9
\led_flash_cnt[2999][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2999][1]~68866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2999][1]~q\);

-- Location: LCCOMB_X69_Y34_N10
\led_flash_cnt[2999][2]~68868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2999][2]~68868_combout\ = (\led_flash_cnt[2999][2]~q\ & (!\led_flash_cnt[2999][1]~68867\)) # (!\led_flash_cnt[2999][2]~q\ & ((\led_flash_cnt[2999][1]~68867\) # (GND)))
-- \led_flash_cnt[2999][2]~68869\ = CARRY((!\led_flash_cnt[2999][1]~68867\) # (!\led_flash_cnt[2999][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2999][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2999][1]~68867\,
	combout => \led_flash_cnt[2999][2]~68868_combout\,
	cout => \led_flash_cnt[2999][2]~68869\);

-- Location: FF_X69_Y34_N11
\led_flash_cnt[2999][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2999][2]~68868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2999][2]~q\);

-- Location: LCCOMB_X69_Y34_N12
\led_flash_cnt[2999][3]~68870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2999][3]~68870_combout\ = (\led_flash_cnt[2999][3]~q\ & (\led_flash_cnt[2999][2]~68869\ $ (GND))) # (!\led_flash_cnt[2999][3]~q\ & (!\led_flash_cnt[2999][2]~68869\ & VCC))
-- \led_flash_cnt[2999][3]~68871\ = CARRY((\led_flash_cnt[2999][3]~q\ & !\led_flash_cnt[2999][2]~68869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2999][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2999][2]~68869\,
	combout => \led_flash_cnt[2999][3]~68870_combout\,
	cout => \led_flash_cnt[2999][3]~68871\);

-- Location: FF_X69_Y34_N13
\led_flash_cnt[2999][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2999][3]~68870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2999][3]~q\);

-- Location: LCCOMB_X69_Y34_N14
\led_flash_cnt[2999][4]~68872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2999][4]~68872_combout\ = (\led_flash_cnt[2999][4]~q\ & (!\led_flash_cnt[2999][3]~68871\)) # (!\led_flash_cnt[2999][4]~q\ & ((\led_flash_cnt[2999][3]~68871\) # (GND)))
-- \led_flash_cnt[2999][4]~68873\ = CARRY((!\led_flash_cnt[2999][3]~68871\) # (!\led_flash_cnt[2999][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2999][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2999][3]~68871\,
	combout => \led_flash_cnt[2999][4]~68872_combout\,
	cout => \led_flash_cnt[2999][4]~68873\);

-- Location: FF_X69_Y34_N15
\led_flash_cnt[2999][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2999][4]~68872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2999][4]~q\);

-- Location: LCCOMB_X69_Y34_N16
\led_flash_cnt[2999][5]~68874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2999][5]~68874_combout\ = (\led_flash_cnt[2999][5]~q\ & (\led_flash_cnt[2999][4]~68873\ $ (GND))) # (!\led_flash_cnt[2999][5]~q\ & (!\led_flash_cnt[2999][4]~68873\ & VCC))
-- \led_flash_cnt[2999][5]~68875\ = CARRY((\led_flash_cnt[2999][5]~q\ & !\led_flash_cnt[2999][4]~68873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2999][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2999][4]~68873\,
	combout => \led_flash_cnt[2999][5]~68874_combout\,
	cout => \led_flash_cnt[2999][5]~68875\);

-- Location: FF_X69_Y34_N17
\led_flash_cnt[2999][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2999][5]~68874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2999][5]~q\);

-- Location: LCCOMB_X69_Y34_N18
\led_flash_cnt[2999][6]~68876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2999][6]~68876_combout\ = (\led_flash_cnt[2999][6]~q\ & (!\led_flash_cnt[2999][5]~68875\)) # (!\led_flash_cnt[2999][6]~q\ & ((\led_flash_cnt[2999][5]~68875\) # (GND)))
-- \led_flash_cnt[2999][6]~68877\ = CARRY((!\led_flash_cnt[2999][5]~68875\) # (!\led_flash_cnt[2999][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2999][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2999][5]~68875\,
	combout => \led_flash_cnt[2999][6]~68876_combout\,
	cout => \led_flash_cnt[2999][6]~68877\);

-- Location: FF_X69_Y34_N19
\led_flash_cnt[2999][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2999][6]~68876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2999][6]~q\);

-- Location: LCCOMB_X69_Y34_N20
\led_flash_cnt[2999][7]~68878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2999][7]~68878_combout\ = \led_flash_cnt[2999][6]~68877\ $ (!\led_flash_cnt[2999][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2999][7]~q\,
	cin => \led_flash_cnt[2999][6]~68877\,
	combout => \led_flash_cnt[2999][7]~68878_combout\);

-- Location: FF_X69_Y34_N21
\led_flash_cnt[2999][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2999][7]~68878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2999][7]~q\);

-- Location: LCCOMB_X69_Y34_N26
\WideAnd2999~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2999~1_combout\ = (\led_flash_cnt[2999][6]~q\ & \led_flash_cnt[2999][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2999][6]~q\,
	datad => \led_flash_cnt[2999][5]~q\,
	combout => \WideAnd2999~1_combout\);

-- Location: LCCOMB_X69_Y34_N28
\WideAnd2999~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2999~0_combout\ = (\led_flash_cnt[2999][3]~q\ & (\led_flash_cnt[2999][4]~q\ & (\led_flash_cnt[2999][1]~q\ & \led_flash_cnt[2999][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2999][3]~q\,
	datab => \led_flash_cnt[2999][4]~q\,
	datac => \led_flash_cnt[2999][1]~q\,
	datad => \led_flash_cnt[2999][2]~q\,
	combout => \WideAnd2999~0_combout\);

-- Location: LCCOMB_X69_Y34_N24
WideAnd2999 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2999~combout\ = (\led_flash_cnt[2999][0]~q\ & (\led_flash_cnt[2999][7]~q\ & (\WideAnd2999~1_combout\ & \WideAnd2999~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2999][0]~q\,
	datab => \led_flash_cnt[2999][7]~q\,
	datac => \WideAnd2999~1_combout\,
	datad => \WideAnd2999~0_combout\,
	combout => \WideAnd2999~combout\);

-- Location: FF_X69_Y34_N25
\led_flash_cnt_ands[2999]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2999~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2999));

-- Location: LCCOMB_X69_Y34_N22
WideAnd4214 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4214~combout\ = (led_flash_cnt_ands(2998) & (\WideAnd4214~1_combout\ & (\WideAnd4214~0_combout\ & led_flash_cnt_ands(2999))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2998),
	datab => \WideAnd4214~1_combout\,
	datac => \WideAnd4214~0_combout\,
	datad => led_flash_cnt_ands(2999),
	combout => \WideAnd4214~combout\);

-- Location: FF_X69_Y34_N23
\led_flash_cnt_ands_1[374]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4214~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(374));

-- Location: LCCOMB_X74_Y42_N12
\led_flash_cnt[2977][0]~83617\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2977][0]~83617_combout\ = !\led_flash_cnt[2977][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2977][0]~q\,
	combout => \led_flash_cnt[2977][0]~83617_combout\);

-- Location: FF_X74_Y42_N13
\led_flash_cnt[2977][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2977][0]~83617_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2977][0]~q\);

-- Location: LCCOMB_X74_Y42_N18
\led_flash_cnt[2977][1]~68558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2977][1]~68558_combout\ = (\led_flash_cnt[2977][0]~q\ & (\led_flash_cnt[2977][1]~q\ $ (VCC))) # (!\led_flash_cnt[2977][0]~q\ & (\led_flash_cnt[2977][1]~q\ & VCC))
-- \led_flash_cnt[2977][1]~68559\ = CARRY((\led_flash_cnt[2977][0]~q\ & \led_flash_cnt[2977][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2977][0]~q\,
	datab => \led_flash_cnt[2977][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2977][1]~68558_combout\,
	cout => \led_flash_cnt[2977][1]~68559\);

-- Location: FF_X74_Y42_N19
\led_flash_cnt[2977][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2977][1]~68558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2977][1]~q\);

-- Location: LCCOMB_X74_Y42_N20
\led_flash_cnt[2977][2]~68560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2977][2]~68560_combout\ = (\led_flash_cnt[2977][2]~q\ & (!\led_flash_cnt[2977][1]~68559\)) # (!\led_flash_cnt[2977][2]~q\ & ((\led_flash_cnt[2977][1]~68559\) # (GND)))
-- \led_flash_cnt[2977][2]~68561\ = CARRY((!\led_flash_cnt[2977][1]~68559\) # (!\led_flash_cnt[2977][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2977][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2977][1]~68559\,
	combout => \led_flash_cnt[2977][2]~68560_combout\,
	cout => \led_flash_cnt[2977][2]~68561\);

-- Location: FF_X74_Y42_N21
\led_flash_cnt[2977][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2977][2]~68560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2977][2]~q\);

-- Location: LCCOMB_X74_Y42_N22
\led_flash_cnt[2977][3]~68562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2977][3]~68562_combout\ = (\led_flash_cnt[2977][3]~q\ & (\led_flash_cnt[2977][2]~68561\ $ (GND))) # (!\led_flash_cnt[2977][3]~q\ & (!\led_flash_cnt[2977][2]~68561\ & VCC))
-- \led_flash_cnt[2977][3]~68563\ = CARRY((\led_flash_cnt[2977][3]~q\ & !\led_flash_cnt[2977][2]~68561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2977][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2977][2]~68561\,
	combout => \led_flash_cnt[2977][3]~68562_combout\,
	cout => \led_flash_cnt[2977][3]~68563\);

-- Location: FF_X74_Y42_N23
\led_flash_cnt[2977][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2977][3]~68562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2977][3]~q\);

-- Location: LCCOMB_X74_Y42_N24
\led_flash_cnt[2977][4]~68564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2977][4]~68564_combout\ = (\led_flash_cnt[2977][4]~q\ & (!\led_flash_cnt[2977][3]~68563\)) # (!\led_flash_cnt[2977][4]~q\ & ((\led_flash_cnt[2977][3]~68563\) # (GND)))
-- \led_flash_cnt[2977][4]~68565\ = CARRY((!\led_flash_cnt[2977][3]~68563\) # (!\led_flash_cnt[2977][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2977][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2977][3]~68563\,
	combout => \led_flash_cnt[2977][4]~68564_combout\,
	cout => \led_flash_cnt[2977][4]~68565\);

-- Location: FF_X74_Y42_N25
\led_flash_cnt[2977][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2977][4]~68564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2977][4]~q\);

-- Location: LCCOMB_X74_Y42_N26
\led_flash_cnt[2977][5]~68566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2977][5]~68566_combout\ = (\led_flash_cnt[2977][5]~q\ & (\led_flash_cnt[2977][4]~68565\ $ (GND))) # (!\led_flash_cnt[2977][5]~q\ & (!\led_flash_cnt[2977][4]~68565\ & VCC))
-- \led_flash_cnt[2977][5]~68567\ = CARRY((\led_flash_cnt[2977][5]~q\ & !\led_flash_cnt[2977][4]~68565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2977][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2977][4]~68565\,
	combout => \led_flash_cnt[2977][5]~68566_combout\,
	cout => \led_flash_cnt[2977][5]~68567\);

-- Location: FF_X74_Y42_N27
\led_flash_cnt[2977][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2977][5]~68566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2977][5]~q\);

-- Location: LCCOMB_X74_Y42_N28
\led_flash_cnt[2977][6]~68568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2977][6]~68568_combout\ = (\led_flash_cnt[2977][6]~q\ & (!\led_flash_cnt[2977][5]~68567\)) # (!\led_flash_cnt[2977][6]~q\ & ((\led_flash_cnt[2977][5]~68567\) # (GND)))
-- \led_flash_cnt[2977][6]~68569\ = CARRY((!\led_flash_cnt[2977][5]~68567\) # (!\led_flash_cnt[2977][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2977][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2977][5]~68567\,
	combout => \led_flash_cnt[2977][6]~68568_combout\,
	cout => \led_flash_cnt[2977][6]~68569\);

-- Location: FF_X74_Y42_N29
\led_flash_cnt[2977][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2977][6]~68568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2977][6]~q\);

-- Location: LCCOMB_X74_Y42_N10
\WideAnd2977~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2977~1_combout\ = (\led_flash_cnt[2977][5]~q\ & \led_flash_cnt[2977][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2977][5]~q\,
	datad => \led_flash_cnt[2977][6]~q\,
	combout => \WideAnd2977~1_combout\);

-- Location: LCCOMB_X74_Y42_N4
\WideAnd2977~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2977~0_combout\ = (\led_flash_cnt[2977][4]~q\ & (\led_flash_cnt[2977][2]~q\ & (\led_flash_cnt[2977][3]~q\ & \led_flash_cnt[2977][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2977][4]~q\,
	datab => \led_flash_cnt[2977][2]~q\,
	datac => \led_flash_cnt[2977][3]~q\,
	datad => \led_flash_cnt[2977][1]~q\,
	combout => \WideAnd2977~0_combout\);

-- Location: LCCOMB_X74_Y42_N30
\led_flash_cnt[2977][7]~68570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2977][7]~68570_combout\ = \led_flash_cnt[2977][7]~q\ $ (!\led_flash_cnt[2977][6]~68569\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2977][7]~q\,
	cin => \led_flash_cnt[2977][6]~68569\,
	combout => \led_flash_cnt[2977][7]~68570_combout\);

-- Location: FF_X74_Y42_N31
\led_flash_cnt[2977][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2977][7]~68570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2977][7]~q\);

-- Location: LCCOMB_X74_Y42_N14
WideAnd2977 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2977~combout\ = (\WideAnd2977~1_combout\ & (\WideAnd2977~0_combout\ & (\led_flash_cnt[2977][7]~q\ & \led_flash_cnt[2977][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2977~1_combout\,
	datab => \WideAnd2977~0_combout\,
	datac => \led_flash_cnt[2977][7]~q\,
	datad => \led_flash_cnt[2977][0]~q\,
	combout => \WideAnd2977~combout\);

-- Location: FF_X74_Y42_N15
\led_flash_cnt_ands[2977]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2977~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2977));

-- Location: LCCOMB_X75_Y44_N0
\led_flash_cnt[2979][0]~83619\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2979][0]~83619_combout\ = !\led_flash_cnt[2979][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2979][0]~q\,
	combout => \led_flash_cnt[2979][0]~83619_combout\);

-- Location: FF_X75_Y44_N1
\led_flash_cnt[2979][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2979][0]~83619_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2979][0]~q\);

-- Location: LCCOMB_X75_Y44_N6
\led_flash_cnt[2979][1]~68586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2979][1]~68586_combout\ = (\led_flash_cnt[2979][1]~q\ & (\led_flash_cnt[2979][0]~q\ $ (VCC))) # (!\led_flash_cnt[2979][1]~q\ & (\led_flash_cnt[2979][0]~q\ & VCC))
-- \led_flash_cnt[2979][1]~68587\ = CARRY((\led_flash_cnt[2979][1]~q\ & \led_flash_cnt[2979][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2979][1]~q\,
	datab => \led_flash_cnt[2979][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2979][1]~68586_combout\,
	cout => \led_flash_cnt[2979][1]~68587\);

-- Location: FF_X75_Y44_N7
\led_flash_cnt[2979][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2979][1]~68586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2979][1]~q\);

-- Location: LCCOMB_X75_Y44_N8
\led_flash_cnt[2979][2]~68588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2979][2]~68588_combout\ = (\led_flash_cnt[2979][2]~q\ & (!\led_flash_cnt[2979][1]~68587\)) # (!\led_flash_cnt[2979][2]~q\ & ((\led_flash_cnt[2979][1]~68587\) # (GND)))
-- \led_flash_cnt[2979][2]~68589\ = CARRY((!\led_flash_cnt[2979][1]~68587\) # (!\led_flash_cnt[2979][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2979][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2979][1]~68587\,
	combout => \led_flash_cnt[2979][2]~68588_combout\,
	cout => \led_flash_cnt[2979][2]~68589\);

-- Location: FF_X75_Y44_N9
\led_flash_cnt[2979][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2979][2]~68588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2979][2]~q\);

-- Location: LCCOMB_X75_Y44_N10
\led_flash_cnt[2979][3]~68590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2979][3]~68590_combout\ = (\led_flash_cnt[2979][3]~q\ & (\led_flash_cnt[2979][2]~68589\ $ (GND))) # (!\led_flash_cnt[2979][3]~q\ & (!\led_flash_cnt[2979][2]~68589\ & VCC))
-- \led_flash_cnt[2979][3]~68591\ = CARRY((\led_flash_cnt[2979][3]~q\ & !\led_flash_cnt[2979][2]~68589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2979][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2979][2]~68589\,
	combout => \led_flash_cnt[2979][3]~68590_combout\,
	cout => \led_flash_cnt[2979][3]~68591\);

-- Location: FF_X75_Y44_N11
\led_flash_cnt[2979][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2979][3]~68590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2979][3]~q\);

-- Location: LCCOMB_X75_Y44_N12
\led_flash_cnt[2979][4]~68592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2979][4]~68592_combout\ = (\led_flash_cnt[2979][4]~q\ & (!\led_flash_cnt[2979][3]~68591\)) # (!\led_flash_cnt[2979][4]~q\ & ((\led_flash_cnt[2979][3]~68591\) # (GND)))
-- \led_flash_cnt[2979][4]~68593\ = CARRY((!\led_flash_cnt[2979][3]~68591\) # (!\led_flash_cnt[2979][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2979][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2979][3]~68591\,
	combout => \led_flash_cnt[2979][4]~68592_combout\,
	cout => \led_flash_cnt[2979][4]~68593\);

-- Location: FF_X75_Y44_N13
\led_flash_cnt[2979][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2979][4]~68592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2979][4]~q\);

-- Location: LCCOMB_X75_Y44_N26
\WideAnd2979~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2979~0_combout\ = (\led_flash_cnt[2979][4]~q\ & (\led_flash_cnt[2979][1]~q\ & (\led_flash_cnt[2979][2]~q\ & \led_flash_cnt[2979][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2979][4]~q\,
	datab => \led_flash_cnt[2979][1]~q\,
	datac => \led_flash_cnt[2979][2]~q\,
	datad => \led_flash_cnt[2979][3]~q\,
	combout => \WideAnd2979~0_combout\);

-- Location: LCCOMB_X75_Y44_N14
\led_flash_cnt[2979][5]~68594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2979][5]~68594_combout\ = (\led_flash_cnt[2979][5]~q\ & (\led_flash_cnt[2979][4]~68593\ $ (GND))) # (!\led_flash_cnt[2979][5]~q\ & (!\led_flash_cnt[2979][4]~68593\ & VCC))
-- \led_flash_cnt[2979][5]~68595\ = CARRY((\led_flash_cnt[2979][5]~q\ & !\led_flash_cnt[2979][4]~68593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2979][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2979][4]~68593\,
	combout => \led_flash_cnt[2979][5]~68594_combout\,
	cout => \led_flash_cnt[2979][5]~68595\);

-- Location: FF_X75_Y44_N15
\led_flash_cnt[2979][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2979][5]~68594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2979][5]~q\);

-- Location: LCCOMB_X75_Y44_N16
\led_flash_cnt[2979][6]~68596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2979][6]~68596_combout\ = (\led_flash_cnt[2979][6]~q\ & (!\led_flash_cnt[2979][5]~68595\)) # (!\led_flash_cnt[2979][6]~q\ & ((\led_flash_cnt[2979][5]~68595\) # (GND)))
-- \led_flash_cnt[2979][6]~68597\ = CARRY((!\led_flash_cnt[2979][5]~68595\) # (!\led_flash_cnt[2979][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2979][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2979][5]~68595\,
	combout => \led_flash_cnt[2979][6]~68596_combout\,
	cout => \led_flash_cnt[2979][6]~68597\);

-- Location: FF_X75_Y44_N17
\led_flash_cnt[2979][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2979][6]~68596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2979][6]~q\);

-- Location: LCCOMB_X75_Y44_N18
\led_flash_cnt[2979][7]~68598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2979][7]~68598_combout\ = \led_flash_cnt[2979][6]~68597\ $ (!\led_flash_cnt[2979][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2979][7]~q\,
	cin => \led_flash_cnt[2979][6]~68597\,
	combout => \led_flash_cnt[2979][7]~68598_combout\);

-- Location: FF_X75_Y44_N19
\led_flash_cnt[2979][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2979][7]~68598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2979][7]~q\);

-- Location: LCCOMB_X75_Y44_N22
\WideAnd2979~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2979~1_combout\ = (\led_flash_cnt[2979][5]~q\ & \led_flash_cnt[2979][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2979][5]~q\,
	datad => \led_flash_cnt[2979][6]~q\,
	combout => \WideAnd2979~1_combout\);

-- Location: LCCOMB_X75_Y44_N28
WideAnd2979 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2979~combout\ = (\WideAnd2979~0_combout\ & (\led_flash_cnt[2979][7]~q\ & (\WideAnd2979~1_combout\ & \led_flash_cnt[2979][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2979~0_combout\,
	datab => \led_flash_cnt[2979][7]~q\,
	datac => \WideAnd2979~1_combout\,
	datad => \led_flash_cnt[2979][0]~q\,
	combout => \WideAnd2979~combout\);

-- Location: FF_X75_Y44_N29
\led_flash_cnt_ands[2979]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2979~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2979));

-- Location: LCCOMB_X75_Y42_N12
\led_flash_cnt[2978][0]~83618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2978][0]~83618_combout\ = !\led_flash_cnt[2978][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2978][0]~q\,
	combout => \led_flash_cnt[2978][0]~83618_combout\);

-- Location: FF_X75_Y42_N13
\led_flash_cnt[2978][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2978][0]~83618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2978][0]~q\);

-- Location: LCCOMB_X75_Y42_N18
\led_flash_cnt[2978][1]~68572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2978][1]~68572_combout\ = (\led_flash_cnt[2978][0]~q\ & (\led_flash_cnt[2978][1]~q\ $ (VCC))) # (!\led_flash_cnt[2978][0]~q\ & (\led_flash_cnt[2978][1]~q\ & VCC))
-- \led_flash_cnt[2978][1]~68573\ = CARRY((\led_flash_cnt[2978][0]~q\ & \led_flash_cnt[2978][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2978][0]~q\,
	datab => \led_flash_cnt[2978][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2978][1]~68572_combout\,
	cout => \led_flash_cnt[2978][1]~68573\);

-- Location: FF_X75_Y42_N19
\led_flash_cnt[2978][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2978][1]~68572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2978][1]~q\);

-- Location: LCCOMB_X75_Y42_N20
\led_flash_cnt[2978][2]~68574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2978][2]~68574_combout\ = (\led_flash_cnt[2978][2]~q\ & (!\led_flash_cnt[2978][1]~68573\)) # (!\led_flash_cnt[2978][2]~q\ & ((\led_flash_cnt[2978][1]~68573\) # (GND)))
-- \led_flash_cnt[2978][2]~68575\ = CARRY((!\led_flash_cnt[2978][1]~68573\) # (!\led_flash_cnt[2978][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2978][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2978][1]~68573\,
	combout => \led_flash_cnt[2978][2]~68574_combout\,
	cout => \led_flash_cnt[2978][2]~68575\);

-- Location: FF_X75_Y42_N21
\led_flash_cnt[2978][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2978][2]~68574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2978][2]~q\);

-- Location: LCCOMB_X75_Y42_N22
\led_flash_cnt[2978][3]~68576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2978][3]~68576_combout\ = (\led_flash_cnt[2978][3]~q\ & (\led_flash_cnt[2978][2]~68575\ $ (GND))) # (!\led_flash_cnt[2978][3]~q\ & (!\led_flash_cnt[2978][2]~68575\ & VCC))
-- \led_flash_cnt[2978][3]~68577\ = CARRY((\led_flash_cnt[2978][3]~q\ & !\led_flash_cnt[2978][2]~68575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2978][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2978][2]~68575\,
	combout => \led_flash_cnt[2978][3]~68576_combout\,
	cout => \led_flash_cnt[2978][3]~68577\);

-- Location: FF_X75_Y42_N23
\led_flash_cnt[2978][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2978][3]~68576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2978][3]~q\);

-- Location: LCCOMB_X75_Y42_N24
\led_flash_cnt[2978][4]~68578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2978][4]~68578_combout\ = (\led_flash_cnt[2978][4]~q\ & (!\led_flash_cnt[2978][3]~68577\)) # (!\led_flash_cnt[2978][4]~q\ & ((\led_flash_cnt[2978][3]~68577\) # (GND)))
-- \led_flash_cnt[2978][4]~68579\ = CARRY((!\led_flash_cnt[2978][3]~68577\) # (!\led_flash_cnt[2978][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2978][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2978][3]~68577\,
	combout => \led_flash_cnt[2978][4]~68578_combout\,
	cout => \led_flash_cnt[2978][4]~68579\);

-- Location: FF_X75_Y42_N25
\led_flash_cnt[2978][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2978][4]~68578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2978][4]~q\);

-- Location: LCCOMB_X75_Y42_N10
\WideAnd2978~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2978~0_combout\ = (\led_flash_cnt[2978][1]~q\ & (\led_flash_cnt[2978][4]~q\ & (\led_flash_cnt[2978][3]~q\ & \led_flash_cnt[2978][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2978][1]~q\,
	datab => \led_flash_cnt[2978][4]~q\,
	datac => \led_flash_cnt[2978][3]~q\,
	datad => \led_flash_cnt[2978][2]~q\,
	combout => \WideAnd2978~0_combout\);

-- Location: LCCOMB_X75_Y42_N26
\led_flash_cnt[2978][5]~68580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2978][5]~68580_combout\ = (\led_flash_cnt[2978][5]~q\ & (\led_flash_cnt[2978][4]~68579\ $ (GND))) # (!\led_flash_cnt[2978][5]~q\ & (!\led_flash_cnt[2978][4]~68579\ & VCC))
-- \led_flash_cnt[2978][5]~68581\ = CARRY((\led_flash_cnt[2978][5]~q\ & !\led_flash_cnt[2978][4]~68579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2978][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2978][4]~68579\,
	combout => \led_flash_cnt[2978][5]~68580_combout\,
	cout => \led_flash_cnt[2978][5]~68581\);

-- Location: FF_X75_Y42_N27
\led_flash_cnt[2978][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2978][5]~68580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2978][5]~q\);

-- Location: LCCOMB_X75_Y42_N28
\led_flash_cnt[2978][6]~68582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2978][6]~68582_combout\ = (\led_flash_cnt[2978][6]~q\ & (!\led_flash_cnt[2978][5]~68581\)) # (!\led_flash_cnt[2978][6]~q\ & ((\led_flash_cnt[2978][5]~68581\) # (GND)))
-- \led_flash_cnt[2978][6]~68583\ = CARRY((!\led_flash_cnt[2978][5]~68581\) # (!\led_flash_cnt[2978][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2978][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2978][5]~68581\,
	combout => \led_flash_cnt[2978][6]~68582_combout\,
	cout => \led_flash_cnt[2978][6]~68583\);

-- Location: FF_X75_Y42_N29
\led_flash_cnt[2978][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2978][6]~68582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2978][6]~q\);

-- Location: LCCOMB_X75_Y42_N16
\WideAnd2978~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2978~1_combout\ = (\led_flash_cnt[2978][5]~q\ & \led_flash_cnt[2978][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2978][5]~q\,
	datad => \led_flash_cnt[2978][6]~q\,
	combout => \WideAnd2978~1_combout\);

-- Location: LCCOMB_X75_Y42_N30
\led_flash_cnt[2978][7]~68584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2978][7]~68584_combout\ = \led_flash_cnt[2978][7]~q\ $ (!\led_flash_cnt[2978][6]~68583\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2978][7]~q\,
	cin => \led_flash_cnt[2978][6]~68583\,
	combout => \led_flash_cnt[2978][7]~68584_combout\);

-- Location: FF_X75_Y42_N31
\led_flash_cnt[2978][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2978][7]~68584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2978][7]~q\);

-- Location: LCCOMB_X75_Y42_N4
WideAnd2978 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2978~combout\ = (\WideAnd2978~0_combout\ & (\WideAnd2978~1_combout\ & (\led_flash_cnt[2978][7]~q\ & \led_flash_cnt[2978][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2978~0_combout\,
	datab => \WideAnd2978~1_combout\,
	datac => \led_flash_cnt[2978][7]~q\,
	datad => \led_flash_cnt[2978][0]~q\,
	combout => \WideAnd2978~combout\);

-- Location: FF_X75_Y42_N5
\led_flash_cnt_ands[2978]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2978~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2978));

-- Location: LCCOMB_X76_Y42_N24
\led_flash_cnt[2976][0]~83616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2976][0]~83616_combout\ = !\led_flash_cnt[2976][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2976][0]~q\,
	combout => \led_flash_cnt[2976][0]~83616_combout\);

-- Location: FF_X76_Y42_N25
\led_flash_cnt[2976][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2976][0]~83616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2976][0]~q\);

-- Location: LCCOMB_X76_Y42_N2
\led_flash_cnt[2976][1]~68544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2976][1]~68544_combout\ = (\led_flash_cnt[2976][1]~q\ & (\led_flash_cnt[2976][0]~q\ $ (VCC))) # (!\led_flash_cnt[2976][1]~q\ & (\led_flash_cnt[2976][0]~q\ & VCC))
-- \led_flash_cnt[2976][1]~68545\ = CARRY((\led_flash_cnt[2976][1]~q\ & \led_flash_cnt[2976][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2976][1]~q\,
	datab => \led_flash_cnt[2976][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2976][1]~68544_combout\,
	cout => \led_flash_cnt[2976][1]~68545\);

-- Location: FF_X76_Y42_N3
\led_flash_cnt[2976][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2976][1]~68544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2976][1]~q\);

-- Location: LCCOMB_X76_Y42_N4
\led_flash_cnt[2976][2]~68546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2976][2]~68546_combout\ = (\led_flash_cnt[2976][2]~q\ & (!\led_flash_cnt[2976][1]~68545\)) # (!\led_flash_cnt[2976][2]~q\ & ((\led_flash_cnt[2976][1]~68545\) # (GND)))
-- \led_flash_cnt[2976][2]~68547\ = CARRY((!\led_flash_cnt[2976][1]~68545\) # (!\led_flash_cnt[2976][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2976][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2976][1]~68545\,
	combout => \led_flash_cnt[2976][2]~68546_combout\,
	cout => \led_flash_cnt[2976][2]~68547\);

-- Location: FF_X76_Y42_N5
\led_flash_cnt[2976][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2976][2]~68546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2976][2]~q\);

-- Location: LCCOMB_X76_Y42_N6
\led_flash_cnt[2976][3]~68548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2976][3]~68548_combout\ = (\led_flash_cnt[2976][3]~q\ & (\led_flash_cnt[2976][2]~68547\ $ (GND))) # (!\led_flash_cnt[2976][3]~q\ & (!\led_flash_cnt[2976][2]~68547\ & VCC))
-- \led_flash_cnt[2976][3]~68549\ = CARRY((\led_flash_cnt[2976][3]~q\ & !\led_flash_cnt[2976][2]~68547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2976][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2976][2]~68547\,
	combout => \led_flash_cnt[2976][3]~68548_combout\,
	cout => \led_flash_cnt[2976][3]~68549\);

-- Location: FF_X76_Y42_N7
\led_flash_cnt[2976][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2976][3]~68548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2976][3]~q\);

-- Location: LCCOMB_X76_Y42_N8
\led_flash_cnt[2976][4]~68550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2976][4]~68550_combout\ = (\led_flash_cnt[2976][4]~q\ & (!\led_flash_cnt[2976][3]~68549\)) # (!\led_flash_cnt[2976][4]~q\ & ((\led_flash_cnt[2976][3]~68549\) # (GND)))
-- \led_flash_cnt[2976][4]~68551\ = CARRY((!\led_flash_cnt[2976][3]~68549\) # (!\led_flash_cnt[2976][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2976][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2976][3]~68549\,
	combout => \led_flash_cnt[2976][4]~68550_combout\,
	cout => \led_flash_cnt[2976][4]~68551\);

-- Location: FF_X76_Y42_N9
\led_flash_cnt[2976][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2976][4]~68550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2976][4]~q\);

-- Location: LCCOMB_X76_Y42_N10
\led_flash_cnt[2976][5]~68552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2976][5]~68552_combout\ = (\led_flash_cnt[2976][5]~q\ & (\led_flash_cnt[2976][4]~68551\ $ (GND))) # (!\led_flash_cnt[2976][5]~q\ & (!\led_flash_cnt[2976][4]~68551\ & VCC))
-- \led_flash_cnt[2976][5]~68553\ = CARRY((\led_flash_cnt[2976][5]~q\ & !\led_flash_cnt[2976][4]~68551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2976][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2976][4]~68551\,
	combout => \led_flash_cnt[2976][5]~68552_combout\,
	cout => \led_flash_cnt[2976][5]~68553\);

-- Location: FF_X76_Y42_N11
\led_flash_cnt[2976][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2976][5]~68552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2976][5]~q\);

-- Location: LCCOMB_X76_Y42_N12
\led_flash_cnt[2976][6]~68554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2976][6]~68554_combout\ = (\led_flash_cnt[2976][6]~q\ & (!\led_flash_cnt[2976][5]~68553\)) # (!\led_flash_cnt[2976][6]~q\ & ((\led_flash_cnt[2976][5]~68553\) # (GND)))
-- \led_flash_cnt[2976][6]~68555\ = CARRY((!\led_flash_cnt[2976][5]~68553\) # (!\led_flash_cnt[2976][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2976][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2976][5]~68553\,
	combout => \led_flash_cnt[2976][6]~68554_combout\,
	cout => \led_flash_cnt[2976][6]~68555\);

-- Location: FF_X76_Y42_N13
\led_flash_cnt[2976][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2976][6]~68554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2976][6]~q\);

-- Location: LCCOMB_X76_Y42_N26
\WideAnd2976~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2976~1_combout\ = (\led_flash_cnt[2976][6]~q\ & \led_flash_cnt[2976][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2976][6]~q\,
	datad => \led_flash_cnt[2976][5]~q\,
	combout => \WideAnd2976~1_combout\);

-- Location: LCCOMB_X76_Y42_N14
\led_flash_cnt[2976][7]~68556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2976][7]~68556_combout\ = \led_flash_cnt[2976][7]~q\ $ (!\led_flash_cnt[2976][6]~68555\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2976][7]~q\,
	cin => \led_flash_cnt[2976][6]~68555\,
	combout => \led_flash_cnt[2976][7]~68556_combout\);

-- Location: FF_X76_Y42_N15
\led_flash_cnt[2976][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2976][7]~68556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2976][7]~q\);

-- Location: LCCOMB_X76_Y42_N18
\WideAnd2976~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2976~0_combout\ = (\led_flash_cnt[2976][3]~q\ & (\led_flash_cnt[2976][2]~q\ & (\led_flash_cnt[2976][4]~q\ & \led_flash_cnt[2976][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2976][3]~q\,
	datab => \led_flash_cnt[2976][2]~q\,
	datac => \led_flash_cnt[2976][4]~q\,
	datad => \led_flash_cnt[2976][1]~q\,
	combout => \WideAnd2976~0_combout\);

-- Location: LCCOMB_X76_Y42_N28
WideAnd2976 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2976~combout\ = (\WideAnd2976~1_combout\ & (\led_flash_cnt[2976][0]~q\ & (\led_flash_cnt[2976][7]~q\ & \WideAnd2976~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2976~1_combout\,
	datab => \led_flash_cnt[2976][0]~q\,
	datac => \led_flash_cnt[2976][7]~q\,
	datad => \WideAnd2976~0_combout\,
	combout => \WideAnd2976~combout\);

-- Location: FF_X76_Y42_N29
\led_flash_cnt_ands[2976]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2976~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2976));

-- Location: LCCOMB_X75_Y42_N8
\WideAnd4212~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4212~0_combout\ = (led_flash_cnt_ands(2977) & (led_flash_cnt_ands(2979) & (led_flash_cnt_ands(2978) & led_flash_cnt_ands(2976))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2977),
	datab => led_flash_cnt_ands(2979),
	datac => led_flash_cnt_ands(2978),
	datad => led_flash_cnt_ands(2976),
	combout => \WideAnd4212~0_combout\);

-- Location: LCCOMB_X75_Y36_N2
\led_flash_cnt[2983][0]~83623\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2983][0]~83623_combout\ = !\led_flash_cnt[2983][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2983][0]~q\,
	combout => \led_flash_cnt[2983][0]~83623_combout\);

-- Location: FF_X75_Y36_N3
\led_flash_cnt[2983][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2983][0]~83623_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2983][0]~q\);

-- Location: LCCOMB_X75_Y36_N12
\led_flash_cnt[2983][1]~68642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2983][1]~68642_combout\ = (\led_flash_cnt[2983][1]~q\ & (\led_flash_cnt[2983][0]~q\ $ (VCC))) # (!\led_flash_cnt[2983][1]~q\ & (\led_flash_cnt[2983][0]~q\ & VCC))
-- \led_flash_cnt[2983][1]~68643\ = CARRY((\led_flash_cnt[2983][1]~q\ & \led_flash_cnt[2983][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2983][1]~q\,
	datab => \led_flash_cnt[2983][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2983][1]~68642_combout\,
	cout => \led_flash_cnt[2983][1]~68643\);

-- Location: FF_X75_Y36_N13
\led_flash_cnt[2983][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2983][1]~68642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2983][1]~q\);

-- Location: LCCOMB_X75_Y36_N14
\led_flash_cnt[2983][2]~68644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2983][2]~68644_combout\ = (\led_flash_cnt[2983][2]~q\ & (!\led_flash_cnt[2983][1]~68643\)) # (!\led_flash_cnt[2983][2]~q\ & ((\led_flash_cnt[2983][1]~68643\) # (GND)))
-- \led_flash_cnt[2983][2]~68645\ = CARRY((!\led_flash_cnt[2983][1]~68643\) # (!\led_flash_cnt[2983][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2983][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2983][1]~68643\,
	combout => \led_flash_cnt[2983][2]~68644_combout\,
	cout => \led_flash_cnt[2983][2]~68645\);

-- Location: FF_X75_Y36_N15
\led_flash_cnt[2983][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2983][2]~68644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2983][2]~q\);

-- Location: LCCOMB_X75_Y36_N16
\led_flash_cnt[2983][3]~68646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2983][3]~68646_combout\ = (\led_flash_cnt[2983][3]~q\ & (\led_flash_cnt[2983][2]~68645\ $ (GND))) # (!\led_flash_cnt[2983][3]~q\ & (!\led_flash_cnt[2983][2]~68645\ & VCC))
-- \led_flash_cnt[2983][3]~68647\ = CARRY((\led_flash_cnt[2983][3]~q\ & !\led_flash_cnt[2983][2]~68645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2983][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2983][2]~68645\,
	combout => \led_flash_cnt[2983][3]~68646_combout\,
	cout => \led_flash_cnt[2983][3]~68647\);

-- Location: FF_X75_Y36_N17
\led_flash_cnt[2983][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2983][3]~68646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2983][3]~q\);

-- Location: LCCOMB_X75_Y36_N18
\led_flash_cnt[2983][4]~68648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2983][4]~68648_combout\ = (\led_flash_cnt[2983][4]~q\ & (!\led_flash_cnt[2983][3]~68647\)) # (!\led_flash_cnt[2983][4]~q\ & ((\led_flash_cnt[2983][3]~68647\) # (GND)))
-- \led_flash_cnt[2983][4]~68649\ = CARRY((!\led_flash_cnt[2983][3]~68647\) # (!\led_flash_cnt[2983][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2983][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2983][3]~68647\,
	combout => \led_flash_cnt[2983][4]~68648_combout\,
	cout => \led_flash_cnt[2983][4]~68649\);

-- Location: FF_X75_Y36_N19
\led_flash_cnt[2983][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2983][4]~68648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2983][4]~q\);

-- Location: LCCOMB_X75_Y36_N26
\WideAnd2983~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2983~0_combout\ = (\led_flash_cnt[2983][1]~q\ & (\led_flash_cnt[2983][4]~q\ & (\led_flash_cnt[2983][2]~q\ & \led_flash_cnt[2983][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2983][1]~q\,
	datab => \led_flash_cnt[2983][4]~q\,
	datac => \led_flash_cnt[2983][2]~q\,
	datad => \led_flash_cnt[2983][3]~q\,
	combout => \WideAnd2983~0_combout\);

-- Location: LCCOMB_X75_Y36_N20
\led_flash_cnt[2983][5]~68650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2983][5]~68650_combout\ = (\led_flash_cnt[2983][5]~q\ & (\led_flash_cnt[2983][4]~68649\ $ (GND))) # (!\led_flash_cnt[2983][5]~q\ & (!\led_flash_cnt[2983][4]~68649\ & VCC))
-- \led_flash_cnt[2983][5]~68651\ = CARRY((\led_flash_cnt[2983][5]~q\ & !\led_flash_cnt[2983][4]~68649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2983][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2983][4]~68649\,
	combout => \led_flash_cnt[2983][5]~68650_combout\,
	cout => \led_flash_cnt[2983][5]~68651\);

-- Location: FF_X75_Y36_N21
\led_flash_cnt[2983][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2983][5]~68650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2983][5]~q\);

-- Location: LCCOMB_X75_Y36_N22
\led_flash_cnt[2983][6]~68652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2983][6]~68652_combout\ = (\led_flash_cnt[2983][6]~q\ & (!\led_flash_cnt[2983][5]~68651\)) # (!\led_flash_cnt[2983][6]~q\ & ((\led_flash_cnt[2983][5]~68651\) # (GND)))
-- \led_flash_cnt[2983][6]~68653\ = CARRY((!\led_flash_cnt[2983][5]~68651\) # (!\led_flash_cnt[2983][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2983][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2983][5]~68651\,
	combout => \led_flash_cnt[2983][6]~68652_combout\,
	cout => \led_flash_cnt[2983][6]~68653\);

-- Location: FF_X75_Y36_N23
\led_flash_cnt[2983][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2983][6]~68652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2983][6]~q\);

-- Location: LCCOMB_X75_Y36_N24
\led_flash_cnt[2983][7]~68654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2983][7]~68654_combout\ = \led_flash_cnt[2983][6]~68653\ $ (!\led_flash_cnt[2983][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2983][7]~q\,
	cin => \led_flash_cnt[2983][6]~68653\,
	combout => \led_flash_cnt[2983][7]~68654_combout\);

-- Location: FF_X75_Y36_N25
\led_flash_cnt[2983][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2983][7]~68654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2983][7]~q\);

-- Location: LCCOMB_X75_Y36_N4
\WideAnd2983~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2983~1_combout\ = (\led_flash_cnt[2983][6]~q\ & \led_flash_cnt[2983][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2983][6]~q\,
	datad => \led_flash_cnt[2983][5]~q\,
	combout => \WideAnd2983~1_combout\);

-- Location: LCCOMB_X75_Y36_N8
WideAnd2983 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2983~combout\ = (\WideAnd2983~0_combout\ & (\led_flash_cnt[2983][7]~q\ & (\WideAnd2983~1_combout\ & \led_flash_cnt[2983][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2983~0_combout\,
	datab => \led_flash_cnt[2983][7]~q\,
	datac => \WideAnd2983~1_combout\,
	datad => \led_flash_cnt[2983][0]~q\,
	combout => \WideAnd2983~combout\);

-- Location: FF_X75_Y36_N9
\led_flash_cnt_ands[2983]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2983~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2983));

-- Location: LCCOMB_X75_Y39_N4
\led_flash_cnt[2982][0]~83622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2982][0]~83622_combout\ = !\led_flash_cnt[2982][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2982][0]~q\,
	combout => \led_flash_cnt[2982][0]~83622_combout\);

-- Location: FF_X75_Y39_N5
\led_flash_cnt[2982][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2982][0]~83622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2982][0]~q\);

-- Location: LCCOMB_X75_Y39_N10
\led_flash_cnt[2982][1]~68628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2982][1]~68628_combout\ = (\led_flash_cnt[2982][1]~q\ & (\led_flash_cnt[2982][0]~q\ $ (VCC))) # (!\led_flash_cnt[2982][1]~q\ & (\led_flash_cnt[2982][0]~q\ & VCC))
-- \led_flash_cnt[2982][1]~68629\ = CARRY((\led_flash_cnt[2982][1]~q\ & \led_flash_cnt[2982][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2982][1]~q\,
	datab => \led_flash_cnt[2982][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2982][1]~68628_combout\,
	cout => \led_flash_cnt[2982][1]~68629\);

-- Location: FF_X75_Y39_N11
\led_flash_cnt[2982][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2982][1]~68628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2982][1]~q\);

-- Location: LCCOMB_X75_Y39_N12
\led_flash_cnt[2982][2]~68630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2982][2]~68630_combout\ = (\led_flash_cnt[2982][2]~q\ & (!\led_flash_cnt[2982][1]~68629\)) # (!\led_flash_cnt[2982][2]~q\ & ((\led_flash_cnt[2982][1]~68629\) # (GND)))
-- \led_flash_cnt[2982][2]~68631\ = CARRY((!\led_flash_cnt[2982][1]~68629\) # (!\led_flash_cnt[2982][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2982][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2982][1]~68629\,
	combout => \led_flash_cnt[2982][2]~68630_combout\,
	cout => \led_flash_cnt[2982][2]~68631\);

-- Location: FF_X75_Y39_N13
\led_flash_cnt[2982][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2982][2]~68630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2982][2]~q\);

-- Location: LCCOMB_X75_Y39_N14
\led_flash_cnt[2982][3]~68632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2982][3]~68632_combout\ = (\led_flash_cnt[2982][3]~q\ & (\led_flash_cnt[2982][2]~68631\ $ (GND))) # (!\led_flash_cnt[2982][3]~q\ & (!\led_flash_cnt[2982][2]~68631\ & VCC))
-- \led_flash_cnt[2982][3]~68633\ = CARRY((\led_flash_cnt[2982][3]~q\ & !\led_flash_cnt[2982][2]~68631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2982][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2982][2]~68631\,
	combout => \led_flash_cnt[2982][3]~68632_combout\,
	cout => \led_flash_cnt[2982][3]~68633\);

-- Location: FF_X75_Y39_N15
\led_flash_cnt[2982][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2982][3]~68632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2982][3]~q\);

-- Location: LCCOMB_X75_Y39_N16
\led_flash_cnt[2982][4]~68634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2982][4]~68634_combout\ = (\led_flash_cnt[2982][4]~q\ & (!\led_flash_cnt[2982][3]~68633\)) # (!\led_flash_cnt[2982][4]~q\ & ((\led_flash_cnt[2982][3]~68633\) # (GND)))
-- \led_flash_cnt[2982][4]~68635\ = CARRY((!\led_flash_cnt[2982][3]~68633\) # (!\led_flash_cnt[2982][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2982][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2982][3]~68633\,
	combout => \led_flash_cnt[2982][4]~68634_combout\,
	cout => \led_flash_cnt[2982][4]~68635\);

-- Location: FF_X75_Y39_N17
\led_flash_cnt[2982][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2982][4]~68634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2982][4]~q\);

-- Location: LCCOMB_X75_Y39_N18
\led_flash_cnt[2982][5]~68636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2982][5]~68636_combout\ = (\led_flash_cnt[2982][5]~q\ & (\led_flash_cnt[2982][4]~68635\ $ (GND))) # (!\led_flash_cnt[2982][5]~q\ & (!\led_flash_cnt[2982][4]~68635\ & VCC))
-- \led_flash_cnt[2982][5]~68637\ = CARRY((\led_flash_cnt[2982][5]~q\ & !\led_flash_cnt[2982][4]~68635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2982][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2982][4]~68635\,
	combout => \led_flash_cnt[2982][5]~68636_combout\,
	cout => \led_flash_cnt[2982][5]~68637\);

-- Location: FF_X75_Y39_N19
\led_flash_cnt[2982][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2982][5]~68636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2982][5]~q\);

-- Location: LCCOMB_X75_Y39_N20
\led_flash_cnt[2982][6]~68638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2982][6]~68638_combout\ = (\led_flash_cnt[2982][6]~q\ & (!\led_flash_cnt[2982][5]~68637\)) # (!\led_flash_cnt[2982][6]~q\ & ((\led_flash_cnt[2982][5]~68637\) # (GND)))
-- \led_flash_cnt[2982][6]~68639\ = CARRY((!\led_flash_cnt[2982][5]~68637\) # (!\led_flash_cnt[2982][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2982][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2982][5]~68637\,
	combout => \led_flash_cnt[2982][6]~68638_combout\,
	cout => \led_flash_cnt[2982][6]~68639\);

-- Location: FF_X75_Y39_N21
\led_flash_cnt[2982][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2982][6]~68638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2982][6]~q\);

-- Location: LCCOMB_X75_Y39_N26
\WideAnd2982~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2982~1_combout\ = (\led_flash_cnt[2982][6]~q\ & \led_flash_cnt[2982][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2982][6]~q\,
	datad => \led_flash_cnt[2982][5]~q\,
	combout => \WideAnd2982~1_combout\);

-- Location: LCCOMB_X75_Y39_N22
\led_flash_cnt[2982][7]~68640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2982][7]~68640_combout\ = \led_flash_cnt[2982][7]~q\ $ (!\led_flash_cnt[2982][6]~68639\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2982][7]~q\,
	cin => \led_flash_cnt[2982][6]~68639\,
	combout => \led_flash_cnt[2982][7]~68640_combout\);

-- Location: FF_X75_Y39_N23
\led_flash_cnt[2982][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2982][7]~68640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2982][7]~q\);

-- Location: LCCOMB_X75_Y39_N24
\WideAnd2982~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2982~0_combout\ = (\led_flash_cnt[2982][2]~q\ & (\led_flash_cnt[2982][4]~q\ & (\led_flash_cnt[2982][3]~q\ & \led_flash_cnt[2982][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2982][2]~q\,
	datab => \led_flash_cnt[2982][4]~q\,
	datac => \led_flash_cnt[2982][3]~q\,
	datad => \led_flash_cnt[2982][1]~q\,
	combout => \WideAnd2982~0_combout\);

-- Location: LCCOMB_X75_Y39_N8
WideAnd2982 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2982~combout\ = (\WideAnd2982~1_combout\ & (\led_flash_cnt[2982][0]~q\ & (\led_flash_cnt[2982][7]~q\ & \WideAnd2982~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2982~1_combout\,
	datab => \led_flash_cnt[2982][0]~q\,
	datac => \led_flash_cnt[2982][7]~q\,
	datad => \WideAnd2982~0_combout\,
	combout => \WideAnd2982~combout\);

-- Location: FF_X75_Y39_N9
\led_flash_cnt_ands[2982]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2982~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2982));

-- Location: LCCOMB_X76_Y32_N28
\led_flash_cnt[2980][0]~83620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2980][0]~83620_combout\ = !\led_flash_cnt[2980][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2980][0]~q\,
	combout => \led_flash_cnt[2980][0]~83620_combout\);

-- Location: FF_X76_Y32_N29
\led_flash_cnt[2980][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2980][0]~83620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2980][0]~q\);

-- Location: LCCOMB_X76_Y32_N12
\led_flash_cnt[2980][1]~68600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2980][1]~68600_combout\ = (\led_flash_cnt[2980][1]~q\ & (\led_flash_cnt[2980][0]~q\ $ (VCC))) # (!\led_flash_cnt[2980][1]~q\ & (\led_flash_cnt[2980][0]~q\ & VCC))
-- \led_flash_cnt[2980][1]~68601\ = CARRY((\led_flash_cnt[2980][1]~q\ & \led_flash_cnt[2980][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2980][1]~q\,
	datab => \led_flash_cnt[2980][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2980][1]~68600_combout\,
	cout => \led_flash_cnt[2980][1]~68601\);

-- Location: FF_X76_Y32_N13
\led_flash_cnt[2980][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2980][1]~68600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2980][1]~q\);

-- Location: LCCOMB_X76_Y32_N14
\led_flash_cnt[2980][2]~68602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2980][2]~68602_combout\ = (\led_flash_cnt[2980][2]~q\ & (!\led_flash_cnt[2980][1]~68601\)) # (!\led_flash_cnt[2980][2]~q\ & ((\led_flash_cnt[2980][1]~68601\) # (GND)))
-- \led_flash_cnt[2980][2]~68603\ = CARRY((!\led_flash_cnt[2980][1]~68601\) # (!\led_flash_cnt[2980][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2980][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2980][1]~68601\,
	combout => \led_flash_cnt[2980][2]~68602_combout\,
	cout => \led_flash_cnt[2980][2]~68603\);

-- Location: FF_X76_Y32_N15
\led_flash_cnt[2980][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2980][2]~68602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2980][2]~q\);

-- Location: LCCOMB_X76_Y32_N16
\led_flash_cnt[2980][3]~68604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2980][3]~68604_combout\ = (\led_flash_cnt[2980][3]~q\ & (\led_flash_cnt[2980][2]~68603\ $ (GND))) # (!\led_flash_cnt[2980][3]~q\ & (!\led_flash_cnt[2980][2]~68603\ & VCC))
-- \led_flash_cnt[2980][3]~68605\ = CARRY((\led_flash_cnt[2980][3]~q\ & !\led_flash_cnt[2980][2]~68603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2980][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2980][2]~68603\,
	combout => \led_flash_cnt[2980][3]~68604_combout\,
	cout => \led_flash_cnt[2980][3]~68605\);

-- Location: FF_X76_Y32_N17
\led_flash_cnt[2980][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2980][3]~68604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2980][3]~q\);

-- Location: LCCOMB_X76_Y32_N18
\led_flash_cnt[2980][4]~68606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2980][4]~68606_combout\ = (\led_flash_cnt[2980][4]~q\ & (!\led_flash_cnt[2980][3]~68605\)) # (!\led_flash_cnt[2980][4]~q\ & ((\led_flash_cnt[2980][3]~68605\) # (GND)))
-- \led_flash_cnt[2980][4]~68607\ = CARRY((!\led_flash_cnt[2980][3]~68605\) # (!\led_flash_cnt[2980][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2980][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2980][3]~68605\,
	combout => \led_flash_cnt[2980][4]~68606_combout\,
	cout => \led_flash_cnt[2980][4]~68607\);

-- Location: FF_X76_Y32_N19
\led_flash_cnt[2980][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2980][4]~68606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2980][4]~q\);

-- Location: LCCOMB_X76_Y32_N10
\WideAnd2980~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2980~0_combout\ = (\led_flash_cnt[2980][1]~q\ & (\led_flash_cnt[2980][3]~q\ & (\led_flash_cnt[2980][2]~q\ & \led_flash_cnt[2980][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2980][1]~q\,
	datab => \led_flash_cnt[2980][3]~q\,
	datac => \led_flash_cnt[2980][2]~q\,
	datad => \led_flash_cnt[2980][4]~q\,
	combout => \WideAnd2980~0_combout\);

-- Location: LCCOMB_X76_Y32_N20
\led_flash_cnt[2980][5]~68608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2980][5]~68608_combout\ = (\led_flash_cnt[2980][5]~q\ & (\led_flash_cnt[2980][4]~68607\ $ (GND))) # (!\led_flash_cnt[2980][5]~q\ & (!\led_flash_cnt[2980][4]~68607\ & VCC))
-- \led_flash_cnt[2980][5]~68609\ = CARRY((\led_flash_cnt[2980][5]~q\ & !\led_flash_cnt[2980][4]~68607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2980][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2980][4]~68607\,
	combout => \led_flash_cnt[2980][5]~68608_combout\,
	cout => \led_flash_cnt[2980][5]~68609\);

-- Location: FF_X76_Y32_N21
\led_flash_cnt[2980][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2980][5]~68608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2980][5]~q\);

-- Location: LCCOMB_X76_Y32_N22
\led_flash_cnt[2980][6]~68610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2980][6]~68610_combout\ = (\led_flash_cnt[2980][6]~q\ & (!\led_flash_cnt[2980][5]~68609\)) # (!\led_flash_cnt[2980][6]~q\ & ((\led_flash_cnt[2980][5]~68609\) # (GND)))
-- \led_flash_cnt[2980][6]~68611\ = CARRY((!\led_flash_cnt[2980][5]~68609\) # (!\led_flash_cnt[2980][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2980][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2980][5]~68609\,
	combout => \led_flash_cnt[2980][6]~68610_combout\,
	cout => \led_flash_cnt[2980][6]~68611\);

-- Location: FF_X76_Y32_N23
\led_flash_cnt[2980][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2980][6]~68610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2980][6]~q\);

-- Location: LCCOMB_X76_Y32_N24
\led_flash_cnt[2980][7]~68612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2980][7]~68612_combout\ = \led_flash_cnt[2980][6]~68611\ $ (!\led_flash_cnt[2980][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2980][7]~q\,
	cin => \led_flash_cnt[2980][6]~68611\,
	combout => \led_flash_cnt[2980][7]~68612_combout\);

-- Location: FF_X76_Y32_N25
\led_flash_cnt[2980][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2980][7]~68612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2980][7]~q\);

-- Location: LCCOMB_X76_Y32_N8
\WideAnd2980~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2980~1_combout\ = (\led_flash_cnt[2980][6]~q\ & \led_flash_cnt[2980][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2980][6]~q\,
	datad => \led_flash_cnt[2980][5]~q\,
	combout => \WideAnd2980~1_combout\);

-- Location: LCCOMB_X76_Y32_N26
WideAnd2980 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2980~combout\ = (\WideAnd2980~0_combout\ & (\led_flash_cnt[2980][7]~q\ & (\WideAnd2980~1_combout\ & \led_flash_cnt[2980][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2980~0_combout\,
	datab => \led_flash_cnt[2980][7]~q\,
	datac => \WideAnd2980~1_combout\,
	datad => \led_flash_cnt[2980][0]~q\,
	combout => \WideAnd2980~combout\);

-- Location: FF_X76_Y32_N27
\led_flash_cnt_ands[2980]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2980~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2980));

-- Location: LCCOMB_X76_Y32_N2
\led_flash_cnt[2981][0]~83621\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2981][0]~83621_combout\ = !\led_flash_cnt[2981][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2981][0]~q\,
	combout => \led_flash_cnt[2981][0]~83621_combout\);

-- Location: FF_X76_Y32_N3
\led_flash_cnt[2981][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2981][0]~83621_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2981][0]~q\);

-- Location: LCCOMB_X75_Y32_N16
\led_flash_cnt[2981][1]~68614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2981][1]~68614_combout\ = (\led_flash_cnt[2981][0]~q\ & (\led_flash_cnt[2981][1]~q\ $ (VCC))) # (!\led_flash_cnt[2981][0]~q\ & (\led_flash_cnt[2981][1]~q\ & VCC))
-- \led_flash_cnt[2981][1]~68615\ = CARRY((\led_flash_cnt[2981][0]~q\ & \led_flash_cnt[2981][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2981][0]~q\,
	datab => \led_flash_cnt[2981][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2981][1]~68614_combout\,
	cout => \led_flash_cnt[2981][1]~68615\);

-- Location: FF_X75_Y32_N17
\led_flash_cnt[2981][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2981][1]~68614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2981][1]~q\);

-- Location: LCCOMB_X75_Y32_N18
\led_flash_cnt[2981][2]~68616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2981][2]~68616_combout\ = (\led_flash_cnt[2981][2]~q\ & (!\led_flash_cnt[2981][1]~68615\)) # (!\led_flash_cnt[2981][2]~q\ & ((\led_flash_cnt[2981][1]~68615\) # (GND)))
-- \led_flash_cnt[2981][2]~68617\ = CARRY((!\led_flash_cnt[2981][1]~68615\) # (!\led_flash_cnt[2981][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2981][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2981][1]~68615\,
	combout => \led_flash_cnt[2981][2]~68616_combout\,
	cout => \led_flash_cnt[2981][2]~68617\);

-- Location: FF_X75_Y32_N19
\led_flash_cnt[2981][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2981][2]~68616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2981][2]~q\);

-- Location: LCCOMB_X75_Y32_N20
\led_flash_cnt[2981][3]~68618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2981][3]~68618_combout\ = (\led_flash_cnt[2981][3]~q\ & (\led_flash_cnt[2981][2]~68617\ $ (GND))) # (!\led_flash_cnt[2981][3]~q\ & (!\led_flash_cnt[2981][2]~68617\ & VCC))
-- \led_flash_cnt[2981][3]~68619\ = CARRY((\led_flash_cnt[2981][3]~q\ & !\led_flash_cnt[2981][2]~68617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2981][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2981][2]~68617\,
	combout => \led_flash_cnt[2981][3]~68618_combout\,
	cout => \led_flash_cnt[2981][3]~68619\);

-- Location: FF_X75_Y32_N21
\led_flash_cnt[2981][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2981][3]~68618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2981][3]~q\);

-- Location: LCCOMB_X75_Y32_N22
\led_flash_cnt[2981][4]~68620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2981][4]~68620_combout\ = (\led_flash_cnt[2981][4]~q\ & (!\led_flash_cnt[2981][3]~68619\)) # (!\led_flash_cnt[2981][4]~q\ & ((\led_flash_cnt[2981][3]~68619\) # (GND)))
-- \led_flash_cnt[2981][4]~68621\ = CARRY((!\led_flash_cnt[2981][3]~68619\) # (!\led_flash_cnt[2981][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2981][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2981][3]~68619\,
	combout => \led_flash_cnt[2981][4]~68620_combout\,
	cout => \led_flash_cnt[2981][4]~68621\);

-- Location: FF_X75_Y32_N23
\led_flash_cnt[2981][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2981][4]~68620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2981][4]~q\);

-- Location: LCCOMB_X75_Y32_N24
\led_flash_cnt[2981][5]~68622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2981][5]~68622_combout\ = (\led_flash_cnt[2981][5]~q\ & (\led_flash_cnt[2981][4]~68621\ $ (GND))) # (!\led_flash_cnt[2981][5]~q\ & (!\led_flash_cnt[2981][4]~68621\ & VCC))
-- \led_flash_cnt[2981][5]~68623\ = CARRY((\led_flash_cnt[2981][5]~q\ & !\led_flash_cnt[2981][4]~68621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2981][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2981][4]~68621\,
	combout => \led_flash_cnt[2981][5]~68622_combout\,
	cout => \led_flash_cnt[2981][5]~68623\);

-- Location: FF_X75_Y32_N25
\led_flash_cnt[2981][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2981][5]~68622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2981][5]~q\);

-- Location: LCCOMB_X75_Y32_N26
\led_flash_cnt[2981][6]~68624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2981][6]~68624_combout\ = (\led_flash_cnt[2981][6]~q\ & (!\led_flash_cnt[2981][5]~68623\)) # (!\led_flash_cnt[2981][6]~q\ & ((\led_flash_cnt[2981][5]~68623\) # (GND)))
-- \led_flash_cnt[2981][6]~68625\ = CARRY((!\led_flash_cnt[2981][5]~68623\) # (!\led_flash_cnt[2981][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2981][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2981][5]~68623\,
	combout => \led_flash_cnt[2981][6]~68624_combout\,
	cout => \led_flash_cnt[2981][6]~68625\);

-- Location: FF_X75_Y32_N27
\led_flash_cnt[2981][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2981][6]~68624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2981][6]~q\);

-- Location: LCCOMB_X75_Y32_N28
\led_flash_cnt[2981][7]~68626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2981][7]~68626_combout\ = \led_flash_cnt[2981][6]~68625\ $ (!\led_flash_cnt[2981][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2981][7]~q\,
	cin => \led_flash_cnt[2981][6]~68625\,
	combout => \led_flash_cnt[2981][7]~68626_combout\);

-- Location: FF_X75_Y32_N29
\led_flash_cnt[2981][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2981][7]~68626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2981][7]~q\);

-- Location: LCCOMB_X76_Y32_N30
\WideAnd2981~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2981~1_combout\ = (\led_flash_cnt[2981][6]~q\ & \led_flash_cnt[2981][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2981][6]~q\,
	datad => \led_flash_cnt[2981][5]~q\,
	combout => \WideAnd2981~1_combout\);

-- Location: LCCOMB_X75_Y32_N30
\WideAnd2981~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2981~0_combout\ = (\led_flash_cnt[2981][1]~q\ & (\led_flash_cnt[2981][2]~q\ & (\led_flash_cnt[2981][4]~q\ & \led_flash_cnt[2981][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2981][1]~q\,
	datab => \led_flash_cnt[2981][2]~q\,
	datac => \led_flash_cnt[2981][4]~q\,
	datad => \led_flash_cnt[2981][3]~q\,
	combout => \WideAnd2981~0_combout\);

-- Location: LCCOMB_X76_Y32_N4
WideAnd2981 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2981~combout\ = (\led_flash_cnt[2981][0]~q\ & (\led_flash_cnt[2981][7]~q\ & (\WideAnd2981~1_combout\ & \WideAnd2981~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2981][0]~q\,
	datab => \led_flash_cnt[2981][7]~q\,
	datac => \WideAnd2981~1_combout\,
	datad => \WideAnd2981~0_combout\,
	combout => \WideAnd2981~combout\);

-- Location: FF_X76_Y32_N5
\led_flash_cnt_ands[2981]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2981~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2981));

-- Location: LCCOMB_X76_Y32_N6
\WideAnd4212~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4212~1_combout\ = (led_flash_cnt_ands(2980) & led_flash_cnt_ands(2981))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2980),
	datac => led_flash_cnt_ands(2981),
	combout => \WideAnd4212~1_combout\);

-- Location: LCCOMB_X75_Y36_N10
WideAnd4212 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4212~combout\ = (\WideAnd4212~0_combout\ & (led_flash_cnt_ands(2983) & (led_flash_cnt_ands(2982) & \WideAnd4212~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4212~0_combout\,
	datab => led_flash_cnt_ands(2983),
	datac => led_flash_cnt_ands(2982),
	datad => \WideAnd4212~1_combout\,
	combout => \WideAnd4212~combout\);

-- Location: FF_X75_Y36_N11
\led_flash_cnt_ands_1[372]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4212~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(372));

-- Location: LCCOMB_X77_Y30_N2
\led_flash_cnt[2989][0]~83629\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2989][0]~83629_combout\ = !\led_flash_cnt[2989][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2989][0]~q\,
	combout => \led_flash_cnt[2989][0]~83629_combout\);

-- Location: FF_X77_Y30_N3
\led_flash_cnt[2989][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2989][0]~83629_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2989][0]~q\);

-- Location: LCCOMB_X76_Y30_N18
\led_flash_cnt[2989][1]~68726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2989][1]~68726_combout\ = (\led_flash_cnt[2989][0]~q\ & (\led_flash_cnt[2989][1]~q\ $ (VCC))) # (!\led_flash_cnt[2989][0]~q\ & (\led_flash_cnt[2989][1]~q\ & VCC))
-- \led_flash_cnt[2989][1]~68727\ = CARRY((\led_flash_cnt[2989][0]~q\ & \led_flash_cnt[2989][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2989][0]~q\,
	datab => \led_flash_cnt[2989][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2989][1]~68726_combout\,
	cout => \led_flash_cnt[2989][1]~68727\);

-- Location: FF_X76_Y30_N19
\led_flash_cnt[2989][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2989][1]~68726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2989][1]~q\);

-- Location: LCCOMB_X76_Y30_N20
\led_flash_cnt[2989][2]~68728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2989][2]~68728_combout\ = (\led_flash_cnt[2989][2]~q\ & (!\led_flash_cnt[2989][1]~68727\)) # (!\led_flash_cnt[2989][2]~q\ & ((\led_flash_cnt[2989][1]~68727\) # (GND)))
-- \led_flash_cnt[2989][2]~68729\ = CARRY((!\led_flash_cnt[2989][1]~68727\) # (!\led_flash_cnt[2989][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2989][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2989][1]~68727\,
	combout => \led_flash_cnt[2989][2]~68728_combout\,
	cout => \led_flash_cnt[2989][2]~68729\);

-- Location: FF_X76_Y30_N21
\led_flash_cnt[2989][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2989][2]~68728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2989][2]~q\);

-- Location: LCCOMB_X76_Y30_N22
\led_flash_cnt[2989][3]~68730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2989][3]~68730_combout\ = (\led_flash_cnt[2989][3]~q\ & (\led_flash_cnt[2989][2]~68729\ $ (GND))) # (!\led_flash_cnt[2989][3]~q\ & (!\led_flash_cnt[2989][2]~68729\ & VCC))
-- \led_flash_cnt[2989][3]~68731\ = CARRY((\led_flash_cnt[2989][3]~q\ & !\led_flash_cnt[2989][2]~68729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2989][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2989][2]~68729\,
	combout => \led_flash_cnt[2989][3]~68730_combout\,
	cout => \led_flash_cnt[2989][3]~68731\);

-- Location: FF_X76_Y30_N23
\led_flash_cnt[2989][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2989][3]~68730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2989][3]~q\);

-- Location: LCCOMB_X76_Y30_N24
\led_flash_cnt[2989][4]~68732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2989][4]~68732_combout\ = (\led_flash_cnt[2989][4]~q\ & (!\led_flash_cnt[2989][3]~68731\)) # (!\led_flash_cnt[2989][4]~q\ & ((\led_flash_cnt[2989][3]~68731\) # (GND)))
-- \led_flash_cnt[2989][4]~68733\ = CARRY((!\led_flash_cnt[2989][3]~68731\) # (!\led_flash_cnt[2989][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2989][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2989][3]~68731\,
	combout => \led_flash_cnt[2989][4]~68732_combout\,
	cout => \led_flash_cnt[2989][4]~68733\);

-- Location: FF_X76_Y30_N25
\led_flash_cnt[2989][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2989][4]~68732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2989][4]~q\);

-- Location: LCCOMB_X76_Y30_N26
\led_flash_cnt[2989][5]~68734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2989][5]~68734_combout\ = (\led_flash_cnt[2989][5]~q\ & (\led_flash_cnt[2989][4]~68733\ $ (GND))) # (!\led_flash_cnt[2989][5]~q\ & (!\led_flash_cnt[2989][4]~68733\ & VCC))
-- \led_flash_cnt[2989][5]~68735\ = CARRY((\led_flash_cnt[2989][5]~q\ & !\led_flash_cnt[2989][4]~68733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2989][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2989][4]~68733\,
	combout => \led_flash_cnt[2989][5]~68734_combout\,
	cout => \led_flash_cnt[2989][5]~68735\);

-- Location: FF_X76_Y30_N27
\led_flash_cnt[2989][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2989][5]~68734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2989][5]~q\);

-- Location: LCCOMB_X76_Y30_N28
\led_flash_cnt[2989][6]~68736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2989][6]~68736_combout\ = (\led_flash_cnt[2989][6]~q\ & (!\led_flash_cnt[2989][5]~68735\)) # (!\led_flash_cnt[2989][6]~q\ & ((\led_flash_cnt[2989][5]~68735\) # (GND)))
-- \led_flash_cnt[2989][6]~68737\ = CARRY((!\led_flash_cnt[2989][5]~68735\) # (!\led_flash_cnt[2989][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2989][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2989][5]~68735\,
	combout => \led_flash_cnt[2989][6]~68736_combout\,
	cout => \led_flash_cnt[2989][6]~68737\);

-- Location: FF_X76_Y30_N29
\led_flash_cnt[2989][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2989][6]~68736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2989][6]~q\);

-- Location: LCCOMB_X77_Y30_N10
\WideAnd2989~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2989~1_combout\ = (\led_flash_cnt[2989][5]~q\ & \led_flash_cnt[2989][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2989][5]~q\,
	datad => \led_flash_cnt[2989][6]~q\,
	combout => \WideAnd2989~1_combout\);

-- Location: LCCOMB_X76_Y30_N30
\led_flash_cnt[2989][7]~68738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2989][7]~68738_combout\ = \led_flash_cnt[2989][7]~q\ $ (!\led_flash_cnt[2989][6]~68737\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2989][7]~q\,
	cin => \led_flash_cnt[2989][6]~68737\,
	combout => \led_flash_cnt[2989][7]~68738_combout\);

-- Location: FF_X76_Y30_N31
\led_flash_cnt[2989][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2989][7]~68738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2989][7]~q\);

-- Location: LCCOMB_X76_Y30_N14
\WideAnd2989~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2989~0_combout\ = (\led_flash_cnt[2989][2]~q\ & (\led_flash_cnt[2989][4]~q\ & (\led_flash_cnt[2989][3]~q\ & \led_flash_cnt[2989][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2989][2]~q\,
	datab => \led_flash_cnt[2989][4]~q\,
	datac => \led_flash_cnt[2989][3]~q\,
	datad => \led_flash_cnt[2989][1]~q\,
	combout => \WideAnd2989~0_combout\);

-- Location: LCCOMB_X77_Y30_N8
WideAnd2989 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2989~combout\ = (\WideAnd2989~1_combout\ & (\led_flash_cnt[2989][7]~q\ & (\led_flash_cnt[2989][0]~q\ & \WideAnd2989~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2989~1_combout\,
	datab => \led_flash_cnt[2989][7]~q\,
	datac => \led_flash_cnt[2989][0]~q\,
	datad => \WideAnd2989~0_combout\,
	combout => \WideAnd2989~combout\);

-- Location: FF_X77_Y30_N9
\led_flash_cnt_ands[2989]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2989~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2989));

-- Location: LCCOMB_X77_Y30_N12
\led_flash_cnt[2988][0]~83628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2988][0]~83628_combout\ = !\led_flash_cnt[2988][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2988][0]~q\,
	combout => \led_flash_cnt[2988][0]~83628_combout\);

-- Location: FF_X77_Y30_N13
\led_flash_cnt[2988][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2988][0]~83628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2988][0]~q\);

-- Location: LCCOMB_X77_Y30_N18
\led_flash_cnt[2988][1]~68712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2988][1]~68712_combout\ = (\led_flash_cnt[2988][0]~q\ & (\led_flash_cnt[2988][1]~q\ $ (VCC))) # (!\led_flash_cnt[2988][0]~q\ & (\led_flash_cnt[2988][1]~q\ & VCC))
-- \led_flash_cnt[2988][1]~68713\ = CARRY((\led_flash_cnt[2988][0]~q\ & \led_flash_cnt[2988][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2988][0]~q\,
	datab => \led_flash_cnt[2988][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2988][1]~68712_combout\,
	cout => \led_flash_cnt[2988][1]~68713\);

-- Location: FF_X77_Y30_N19
\led_flash_cnt[2988][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2988][1]~68712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2988][1]~q\);

-- Location: LCCOMB_X77_Y30_N20
\led_flash_cnt[2988][2]~68714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2988][2]~68714_combout\ = (\led_flash_cnt[2988][2]~q\ & (!\led_flash_cnt[2988][1]~68713\)) # (!\led_flash_cnt[2988][2]~q\ & ((\led_flash_cnt[2988][1]~68713\) # (GND)))
-- \led_flash_cnt[2988][2]~68715\ = CARRY((!\led_flash_cnt[2988][1]~68713\) # (!\led_flash_cnt[2988][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2988][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2988][1]~68713\,
	combout => \led_flash_cnt[2988][2]~68714_combout\,
	cout => \led_flash_cnt[2988][2]~68715\);

-- Location: FF_X77_Y30_N21
\led_flash_cnt[2988][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2988][2]~68714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2988][2]~q\);

-- Location: LCCOMB_X77_Y30_N22
\led_flash_cnt[2988][3]~68716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2988][3]~68716_combout\ = (\led_flash_cnt[2988][3]~q\ & (\led_flash_cnt[2988][2]~68715\ $ (GND))) # (!\led_flash_cnt[2988][3]~q\ & (!\led_flash_cnt[2988][2]~68715\ & VCC))
-- \led_flash_cnt[2988][3]~68717\ = CARRY((\led_flash_cnt[2988][3]~q\ & !\led_flash_cnt[2988][2]~68715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2988][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2988][2]~68715\,
	combout => \led_flash_cnt[2988][3]~68716_combout\,
	cout => \led_flash_cnt[2988][3]~68717\);

-- Location: FF_X77_Y30_N23
\led_flash_cnt[2988][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2988][3]~68716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2988][3]~q\);

-- Location: LCCOMB_X77_Y30_N24
\led_flash_cnt[2988][4]~68718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2988][4]~68718_combout\ = (\led_flash_cnt[2988][4]~q\ & (!\led_flash_cnt[2988][3]~68717\)) # (!\led_flash_cnt[2988][4]~q\ & ((\led_flash_cnt[2988][3]~68717\) # (GND)))
-- \led_flash_cnt[2988][4]~68719\ = CARRY((!\led_flash_cnt[2988][3]~68717\) # (!\led_flash_cnt[2988][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2988][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2988][3]~68717\,
	combout => \led_flash_cnt[2988][4]~68718_combout\,
	cout => \led_flash_cnt[2988][4]~68719\);

-- Location: FF_X77_Y30_N25
\led_flash_cnt[2988][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2988][4]~68718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2988][4]~q\);

-- Location: LCCOMB_X77_Y30_N26
\led_flash_cnt[2988][5]~68720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2988][5]~68720_combout\ = (\led_flash_cnt[2988][5]~q\ & (\led_flash_cnt[2988][4]~68719\ $ (GND))) # (!\led_flash_cnt[2988][5]~q\ & (!\led_flash_cnt[2988][4]~68719\ & VCC))
-- \led_flash_cnt[2988][5]~68721\ = CARRY((\led_flash_cnt[2988][5]~q\ & !\led_flash_cnt[2988][4]~68719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2988][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2988][4]~68719\,
	combout => \led_flash_cnt[2988][5]~68720_combout\,
	cout => \led_flash_cnt[2988][5]~68721\);

-- Location: FF_X77_Y30_N27
\led_flash_cnt[2988][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2988][5]~68720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2988][5]~q\);

-- Location: LCCOMB_X77_Y30_N28
\led_flash_cnt[2988][6]~68722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2988][6]~68722_combout\ = (\led_flash_cnt[2988][6]~q\ & (!\led_flash_cnt[2988][5]~68721\)) # (!\led_flash_cnt[2988][6]~q\ & ((\led_flash_cnt[2988][5]~68721\) # (GND)))
-- \led_flash_cnt[2988][6]~68723\ = CARRY((!\led_flash_cnt[2988][5]~68721\) # (!\led_flash_cnt[2988][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2988][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2988][5]~68721\,
	combout => \led_flash_cnt[2988][6]~68722_combout\,
	cout => \led_flash_cnt[2988][6]~68723\);

-- Location: FF_X77_Y30_N29
\led_flash_cnt[2988][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2988][6]~68722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2988][6]~q\);

-- Location: LCCOMB_X77_Y30_N6
\WideAnd2988~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2988~1_combout\ = (\led_flash_cnt[2988][5]~q\ & \led_flash_cnt[2988][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2988][5]~q\,
	datad => \led_flash_cnt[2988][6]~q\,
	combout => \WideAnd2988~1_combout\);

-- Location: LCCOMB_X77_Y30_N14
\WideAnd2988~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2988~0_combout\ = (\led_flash_cnt[2988][2]~q\ & (\led_flash_cnt[2988][4]~q\ & (\led_flash_cnt[2988][3]~q\ & \led_flash_cnt[2988][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2988][2]~q\,
	datab => \led_flash_cnt[2988][4]~q\,
	datac => \led_flash_cnt[2988][3]~q\,
	datad => \led_flash_cnt[2988][1]~q\,
	combout => \WideAnd2988~0_combout\);

-- Location: LCCOMB_X77_Y30_N30
\led_flash_cnt[2988][7]~68724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2988][7]~68724_combout\ = \led_flash_cnt[2988][7]~q\ $ (!\led_flash_cnt[2988][6]~68723\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2988][7]~q\,
	cin => \led_flash_cnt[2988][6]~68723\,
	combout => \led_flash_cnt[2988][7]~68724_combout\);

-- Location: FF_X77_Y30_N31
\led_flash_cnt[2988][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2988][7]~68724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2988][7]~q\);

-- Location: LCCOMB_X77_Y30_N16
WideAnd2988 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2988~combout\ = (\WideAnd2988~1_combout\ & (\WideAnd2988~0_combout\ & (\led_flash_cnt[2988][7]~q\ & \led_flash_cnt[2988][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2988~1_combout\,
	datab => \WideAnd2988~0_combout\,
	datac => \led_flash_cnt[2988][7]~q\,
	datad => \led_flash_cnt[2988][0]~q\,
	combout => \WideAnd2988~combout\);

-- Location: FF_X77_Y30_N17
\led_flash_cnt_ands[2988]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2988~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2988));

-- Location: LCCOMB_X77_Y30_N4
\WideAnd4213~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4213~1_combout\ = (led_flash_cnt_ands(2989) & led_flash_cnt_ands(2988))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2989),
	datad => led_flash_cnt_ands(2988),
	combout => \WideAnd4213~1_combout\);

-- Location: LCCOMB_X70_Y30_N2
\led_flash_cnt[2991][0]~83631\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2991][0]~83631_combout\ = !\led_flash_cnt[2991][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2991][0]~q\,
	combout => \led_flash_cnt[2991][0]~83631_combout\);

-- Location: FF_X70_Y30_N3
\led_flash_cnt[2991][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2991][0]~83631_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2991][0]~q\);

-- Location: LCCOMB_X69_Y30_N0
\led_flash_cnt[2991][1]~68754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2991][1]~68754_combout\ = (\led_flash_cnt[2991][0]~q\ & (\led_flash_cnt[2991][1]~q\ $ (VCC))) # (!\led_flash_cnt[2991][0]~q\ & (\led_flash_cnt[2991][1]~q\ & VCC))
-- \led_flash_cnt[2991][1]~68755\ = CARRY((\led_flash_cnt[2991][0]~q\ & \led_flash_cnt[2991][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2991][0]~q\,
	datab => \led_flash_cnt[2991][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2991][1]~68754_combout\,
	cout => \led_flash_cnt[2991][1]~68755\);

-- Location: FF_X69_Y30_N1
\led_flash_cnt[2991][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2991][1]~68754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2991][1]~q\);

-- Location: LCCOMB_X69_Y30_N2
\led_flash_cnt[2991][2]~68756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2991][2]~68756_combout\ = (\led_flash_cnt[2991][2]~q\ & (!\led_flash_cnt[2991][1]~68755\)) # (!\led_flash_cnt[2991][2]~q\ & ((\led_flash_cnt[2991][1]~68755\) # (GND)))
-- \led_flash_cnt[2991][2]~68757\ = CARRY((!\led_flash_cnt[2991][1]~68755\) # (!\led_flash_cnt[2991][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2991][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2991][1]~68755\,
	combout => \led_flash_cnt[2991][2]~68756_combout\,
	cout => \led_flash_cnt[2991][2]~68757\);

-- Location: FF_X69_Y30_N3
\led_flash_cnt[2991][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2991][2]~68756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2991][2]~q\);

-- Location: LCCOMB_X69_Y30_N4
\led_flash_cnt[2991][3]~68758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2991][3]~68758_combout\ = (\led_flash_cnt[2991][3]~q\ & (\led_flash_cnt[2991][2]~68757\ $ (GND))) # (!\led_flash_cnt[2991][3]~q\ & (!\led_flash_cnt[2991][2]~68757\ & VCC))
-- \led_flash_cnt[2991][3]~68759\ = CARRY((\led_flash_cnt[2991][3]~q\ & !\led_flash_cnt[2991][2]~68757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2991][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2991][2]~68757\,
	combout => \led_flash_cnt[2991][3]~68758_combout\,
	cout => \led_flash_cnt[2991][3]~68759\);

-- Location: FF_X69_Y30_N5
\led_flash_cnt[2991][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2991][3]~68758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2991][3]~q\);

-- Location: LCCOMB_X69_Y30_N6
\led_flash_cnt[2991][4]~68760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2991][4]~68760_combout\ = (\led_flash_cnt[2991][4]~q\ & (!\led_flash_cnt[2991][3]~68759\)) # (!\led_flash_cnt[2991][4]~q\ & ((\led_flash_cnt[2991][3]~68759\) # (GND)))
-- \led_flash_cnt[2991][4]~68761\ = CARRY((!\led_flash_cnt[2991][3]~68759\) # (!\led_flash_cnt[2991][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2991][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2991][3]~68759\,
	combout => \led_flash_cnt[2991][4]~68760_combout\,
	cout => \led_flash_cnt[2991][4]~68761\);

-- Location: FF_X69_Y30_N7
\led_flash_cnt[2991][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2991][4]~68760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2991][4]~q\);

-- Location: LCCOMB_X69_Y30_N8
\led_flash_cnt[2991][5]~68762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2991][5]~68762_combout\ = (\led_flash_cnt[2991][5]~q\ & (\led_flash_cnt[2991][4]~68761\ $ (GND))) # (!\led_flash_cnt[2991][5]~q\ & (!\led_flash_cnt[2991][4]~68761\ & VCC))
-- \led_flash_cnt[2991][5]~68763\ = CARRY((\led_flash_cnt[2991][5]~q\ & !\led_flash_cnt[2991][4]~68761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2991][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2991][4]~68761\,
	combout => \led_flash_cnt[2991][5]~68762_combout\,
	cout => \led_flash_cnt[2991][5]~68763\);

-- Location: FF_X69_Y30_N9
\led_flash_cnt[2991][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2991][5]~68762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2991][5]~q\);

-- Location: LCCOMB_X69_Y30_N10
\led_flash_cnt[2991][6]~68764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2991][6]~68764_combout\ = (\led_flash_cnt[2991][6]~q\ & (!\led_flash_cnt[2991][5]~68763\)) # (!\led_flash_cnt[2991][6]~q\ & ((\led_flash_cnt[2991][5]~68763\) # (GND)))
-- \led_flash_cnt[2991][6]~68765\ = CARRY((!\led_flash_cnt[2991][5]~68763\) # (!\led_flash_cnt[2991][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2991][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2991][5]~68763\,
	combout => \led_flash_cnt[2991][6]~68764_combout\,
	cout => \led_flash_cnt[2991][6]~68765\);

-- Location: FF_X69_Y30_N11
\led_flash_cnt[2991][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2991][6]~68764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2991][6]~q\);

-- Location: LCCOMB_X69_Y30_N12
\led_flash_cnt[2991][7]~68766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2991][7]~68766_combout\ = \led_flash_cnt[2991][6]~68765\ $ (!\led_flash_cnt[2991][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2991][7]~q\,
	cin => \led_flash_cnt[2991][6]~68765\,
	combout => \led_flash_cnt[2991][7]~68766_combout\);

-- Location: FF_X69_Y30_N13
\led_flash_cnt[2991][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2991][7]~68766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2991][7]~q\);

-- Location: LCCOMB_X70_Y30_N24
\WideAnd2991~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2991~0_combout\ = (\led_flash_cnt[2991][1]~q\ & (\led_flash_cnt[2991][4]~q\ & (\led_flash_cnt[2991][3]~q\ & \led_flash_cnt[2991][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2991][1]~q\,
	datab => \led_flash_cnt[2991][4]~q\,
	datac => \led_flash_cnt[2991][3]~q\,
	datad => \led_flash_cnt[2991][2]~q\,
	combout => \WideAnd2991~0_combout\);

-- Location: LCCOMB_X70_Y30_N30
\WideAnd2991~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2991~1_combout\ = (\led_flash_cnt[2991][6]~q\ & \led_flash_cnt[2991][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2991][6]~q\,
	datad => \led_flash_cnt[2991][5]~q\,
	combout => \WideAnd2991~1_combout\);

-- Location: LCCOMB_X70_Y30_N28
WideAnd2991 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2991~combout\ = (\led_flash_cnt[2991][7]~q\ & (\WideAnd2991~0_combout\ & (\WideAnd2991~1_combout\ & \led_flash_cnt[2991][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2991][7]~q\,
	datab => \WideAnd2991~0_combout\,
	datac => \WideAnd2991~1_combout\,
	datad => \led_flash_cnt[2991][0]~q\,
	combout => \WideAnd2991~combout\);

-- Location: FF_X70_Y30_N29
\led_flash_cnt_ands[2991]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2991~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2991));

-- Location: LCCOMB_X74_Y30_N4
\led_flash_cnt[2985][0]~83625\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2985][0]~83625_combout\ = !\led_flash_cnt[2985][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2985][0]~q\,
	combout => \led_flash_cnt[2985][0]~83625_combout\);

-- Location: FF_X74_Y30_N5
\led_flash_cnt[2985][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2985][0]~83625_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2985][0]~q\);

-- Location: LCCOMB_X74_Y30_N12
\led_flash_cnt[2985][1]~68670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2985][1]~68670_combout\ = (\led_flash_cnt[2985][1]~q\ & (\led_flash_cnt[2985][0]~q\ $ (VCC))) # (!\led_flash_cnt[2985][1]~q\ & (\led_flash_cnt[2985][0]~q\ & VCC))
-- \led_flash_cnt[2985][1]~68671\ = CARRY((\led_flash_cnt[2985][1]~q\ & \led_flash_cnt[2985][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2985][1]~q\,
	datab => \led_flash_cnt[2985][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2985][1]~68670_combout\,
	cout => \led_flash_cnt[2985][1]~68671\);

-- Location: FF_X74_Y30_N13
\led_flash_cnt[2985][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2985][1]~68670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2985][1]~q\);

-- Location: LCCOMB_X74_Y30_N14
\led_flash_cnt[2985][2]~68672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2985][2]~68672_combout\ = (\led_flash_cnt[2985][2]~q\ & (!\led_flash_cnt[2985][1]~68671\)) # (!\led_flash_cnt[2985][2]~q\ & ((\led_flash_cnt[2985][1]~68671\) # (GND)))
-- \led_flash_cnt[2985][2]~68673\ = CARRY((!\led_flash_cnt[2985][1]~68671\) # (!\led_flash_cnt[2985][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2985][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2985][1]~68671\,
	combout => \led_flash_cnt[2985][2]~68672_combout\,
	cout => \led_flash_cnt[2985][2]~68673\);

-- Location: FF_X74_Y30_N15
\led_flash_cnt[2985][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2985][2]~68672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2985][2]~q\);

-- Location: LCCOMB_X74_Y30_N16
\led_flash_cnt[2985][3]~68674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2985][3]~68674_combout\ = (\led_flash_cnt[2985][3]~q\ & (\led_flash_cnt[2985][2]~68673\ $ (GND))) # (!\led_flash_cnt[2985][3]~q\ & (!\led_flash_cnt[2985][2]~68673\ & VCC))
-- \led_flash_cnt[2985][3]~68675\ = CARRY((\led_flash_cnt[2985][3]~q\ & !\led_flash_cnt[2985][2]~68673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2985][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2985][2]~68673\,
	combout => \led_flash_cnt[2985][3]~68674_combout\,
	cout => \led_flash_cnt[2985][3]~68675\);

-- Location: FF_X74_Y30_N17
\led_flash_cnt[2985][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2985][3]~68674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2985][3]~q\);

-- Location: LCCOMB_X74_Y30_N18
\led_flash_cnt[2985][4]~68676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2985][4]~68676_combout\ = (\led_flash_cnt[2985][4]~q\ & (!\led_flash_cnt[2985][3]~68675\)) # (!\led_flash_cnt[2985][4]~q\ & ((\led_flash_cnt[2985][3]~68675\) # (GND)))
-- \led_flash_cnt[2985][4]~68677\ = CARRY((!\led_flash_cnt[2985][3]~68675\) # (!\led_flash_cnt[2985][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2985][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2985][3]~68675\,
	combout => \led_flash_cnt[2985][4]~68676_combout\,
	cout => \led_flash_cnt[2985][4]~68677\);

-- Location: FF_X74_Y30_N19
\led_flash_cnt[2985][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2985][4]~68676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2985][4]~q\);

-- Location: LCCOMB_X74_Y30_N10
\WideAnd2985~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2985~0_combout\ = (\led_flash_cnt[2985][1]~q\ & (\led_flash_cnt[2985][4]~q\ & (\led_flash_cnt[2985][2]~q\ & \led_flash_cnt[2985][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2985][1]~q\,
	datab => \led_flash_cnt[2985][4]~q\,
	datac => \led_flash_cnt[2985][2]~q\,
	datad => \led_flash_cnt[2985][3]~q\,
	combout => \WideAnd2985~0_combout\);

-- Location: LCCOMB_X74_Y30_N20
\led_flash_cnt[2985][5]~68678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2985][5]~68678_combout\ = (\led_flash_cnt[2985][5]~q\ & (\led_flash_cnt[2985][4]~68677\ $ (GND))) # (!\led_flash_cnt[2985][5]~q\ & (!\led_flash_cnt[2985][4]~68677\ & VCC))
-- \led_flash_cnt[2985][5]~68679\ = CARRY((\led_flash_cnt[2985][5]~q\ & !\led_flash_cnt[2985][4]~68677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2985][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2985][4]~68677\,
	combout => \led_flash_cnt[2985][5]~68678_combout\,
	cout => \led_flash_cnt[2985][5]~68679\);

-- Location: FF_X74_Y30_N21
\led_flash_cnt[2985][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2985][5]~68678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2985][5]~q\);

-- Location: LCCOMB_X74_Y30_N22
\led_flash_cnt[2985][6]~68680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2985][6]~68680_combout\ = (\led_flash_cnt[2985][6]~q\ & (!\led_flash_cnt[2985][5]~68679\)) # (!\led_flash_cnt[2985][6]~q\ & ((\led_flash_cnt[2985][5]~68679\) # (GND)))
-- \led_flash_cnt[2985][6]~68681\ = CARRY((!\led_flash_cnt[2985][5]~68679\) # (!\led_flash_cnt[2985][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2985][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2985][5]~68679\,
	combout => \led_flash_cnt[2985][6]~68680_combout\,
	cout => \led_flash_cnt[2985][6]~68681\);

-- Location: FF_X74_Y30_N23
\led_flash_cnt[2985][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2985][6]~68680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2985][6]~q\);

-- Location: LCCOMB_X74_Y30_N8
\WideAnd2985~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2985~1_combout\ = (\led_flash_cnt[2985][6]~q\ & \led_flash_cnt[2985][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2985][6]~q\,
	datad => \led_flash_cnt[2985][5]~q\,
	combout => \WideAnd2985~1_combout\);

-- Location: LCCOMB_X74_Y30_N24
\led_flash_cnt[2985][7]~68682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2985][7]~68682_combout\ = \led_flash_cnt[2985][6]~68681\ $ (!\led_flash_cnt[2985][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2985][7]~q\,
	cin => \led_flash_cnt[2985][6]~68681\,
	combout => \led_flash_cnt[2985][7]~68682_combout\);

-- Location: FF_X74_Y30_N25
\led_flash_cnt[2985][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2985][7]~68682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2985][7]~q\);

-- Location: LCCOMB_X74_Y30_N26
WideAnd2985 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2985~combout\ = (\WideAnd2985~0_combout\ & (\WideAnd2985~1_combout\ & (\led_flash_cnt[2985][0]~q\ & \led_flash_cnt[2985][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2985~0_combout\,
	datab => \WideAnd2985~1_combout\,
	datac => \led_flash_cnt[2985][0]~q\,
	datad => \led_flash_cnt[2985][7]~q\,
	combout => \WideAnd2985~combout\);

-- Location: FF_X74_Y30_N27
\led_flash_cnt_ands[2985]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2985~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2985));

-- Location: LCCOMB_X74_Y34_N8
\led_flash_cnt[2987][0]~83627\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2987][0]~83627_combout\ = !\led_flash_cnt[2987][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2987][0]~q\,
	combout => \led_flash_cnt[2987][0]~83627_combout\);

-- Location: FF_X74_Y34_N9
\led_flash_cnt[2987][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2987][0]~83627_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2987][0]~q\);

-- Location: LCCOMB_X74_Y34_N12
\led_flash_cnt[2987][1]~68698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2987][1]~68698_combout\ = (\led_flash_cnt[2987][1]~q\ & (\led_flash_cnt[2987][0]~q\ $ (VCC))) # (!\led_flash_cnt[2987][1]~q\ & (\led_flash_cnt[2987][0]~q\ & VCC))
-- \led_flash_cnt[2987][1]~68699\ = CARRY((\led_flash_cnt[2987][1]~q\ & \led_flash_cnt[2987][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2987][1]~q\,
	datab => \led_flash_cnt[2987][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2987][1]~68698_combout\,
	cout => \led_flash_cnt[2987][1]~68699\);

-- Location: FF_X74_Y34_N13
\led_flash_cnt[2987][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2987][1]~68698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2987][1]~q\);

-- Location: LCCOMB_X74_Y34_N14
\led_flash_cnt[2987][2]~68700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2987][2]~68700_combout\ = (\led_flash_cnt[2987][2]~q\ & (!\led_flash_cnt[2987][1]~68699\)) # (!\led_flash_cnt[2987][2]~q\ & ((\led_flash_cnt[2987][1]~68699\) # (GND)))
-- \led_flash_cnt[2987][2]~68701\ = CARRY((!\led_flash_cnt[2987][1]~68699\) # (!\led_flash_cnt[2987][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2987][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2987][1]~68699\,
	combout => \led_flash_cnt[2987][2]~68700_combout\,
	cout => \led_flash_cnt[2987][2]~68701\);

-- Location: FF_X74_Y34_N15
\led_flash_cnt[2987][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2987][2]~68700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2987][2]~q\);

-- Location: LCCOMB_X74_Y34_N16
\led_flash_cnt[2987][3]~68702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2987][3]~68702_combout\ = (\led_flash_cnt[2987][3]~q\ & (\led_flash_cnt[2987][2]~68701\ $ (GND))) # (!\led_flash_cnt[2987][3]~q\ & (!\led_flash_cnt[2987][2]~68701\ & VCC))
-- \led_flash_cnt[2987][3]~68703\ = CARRY((\led_flash_cnt[2987][3]~q\ & !\led_flash_cnt[2987][2]~68701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2987][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2987][2]~68701\,
	combout => \led_flash_cnt[2987][3]~68702_combout\,
	cout => \led_flash_cnt[2987][3]~68703\);

-- Location: FF_X74_Y34_N17
\led_flash_cnt[2987][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2987][3]~68702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2987][3]~q\);

-- Location: LCCOMB_X74_Y34_N18
\led_flash_cnt[2987][4]~68704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2987][4]~68704_combout\ = (\led_flash_cnt[2987][4]~q\ & (!\led_flash_cnt[2987][3]~68703\)) # (!\led_flash_cnt[2987][4]~q\ & ((\led_flash_cnt[2987][3]~68703\) # (GND)))
-- \led_flash_cnt[2987][4]~68705\ = CARRY((!\led_flash_cnt[2987][3]~68703\) # (!\led_flash_cnt[2987][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2987][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2987][3]~68703\,
	combout => \led_flash_cnt[2987][4]~68704_combout\,
	cout => \led_flash_cnt[2987][4]~68705\);

-- Location: FF_X74_Y34_N19
\led_flash_cnt[2987][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2987][4]~68704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2987][4]~q\);

-- Location: LCCOMB_X74_Y34_N10
\WideAnd2987~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2987~0_combout\ = (\led_flash_cnt[2987][1]~q\ & (\led_flash_cnt[2987][4]~q\ & (\led_flash_cnt[2987][2]~q\ & \led_flash_cnt[2987][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2987][1]~q\,
	datab => \led_flash_cnt[2987][4]~q\,
	datac => \led_flash_cnt[2987][2]~q\,
	datad => \led_flash_cnt[2987][3]~q\,
	combout => \WideAnd2987~0_combout\);

-- Location: LCCOMB_X74_Y34_N20
\led_flash_cnt[2987][5]~68706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2987][5]~68706_combout\ = (\led_flash_cnt[2987][5]~q\ & (\led_flash_cnt[2987][4]~68705\ $ (GND))) # (!\led_flash_cnt[2987][5]~q\ & (!\led_flash_cnt[2987][4]~68705\ & VCC))
-- \led_flash_cnt[2987][5]~68707\ = CARRY((\led_flash_cnt[2987][5]~q\ & !\led_flash_cnt[2987][4]~68705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2987][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2987][4]~68705\,
	combout => \led_flash_cnt[2987][5]~68706_combout\,
	cout => \led_flash_cnt[2987][5]~68707\);

-- Location: FF_X74_Y34_N21
\led_flash_cnt[2987][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2987][5]~68706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2987][5]~q\);

-- Location: LCCOMB_X74_Y34_N22
\led_flash_cnt[2987][6]~68708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2987][6]~68708_combout\ = (\led_flash_cnt[2987][6]~q\ & (!\led_flash_cnt[2987][5]~68707\)) # (!\led_flash_cnt[2987][6]~q\ & ((\led_flash_cnt[2987][5]~68707\) # (GND)))
-- \led_flash_cnt[2987][6]~68709\ = CARRY((!\led_flash_cnt[2987][5]~68707\) # (!\led_flash_cnt[2987][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2987][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2987][5]~68707\,
	combout => \led_flash_cnt[2987][6]~68708_combout\,
	cout => \led_flash_cnt[2987][6]~68709\);

-- Location: FF_X74_Y34_N23
\led_flash_cnt[2987][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2987][6]~68708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2987][6]~q\);

-- Location: LCCOMB_X74_Y34_N4
\WideAnd2987~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2987~1_combout\ = (\led_flash_cnt[2987][6]~q\ & \led_flash_cnt[2987][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2987][6]~q\,
	datad => \led_flash_cnt[2987][5]~q\,
	combout => \WideAnd2987~1_combout\);

-- Location: LCCOMB_X74_Y34_N24
\led_flash_cnt[2987][7]~68710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2987][7]~68710_combout\ = \led_flash_cnt[2987][6]~68709\ $ (!\led_flash_cnt[2987][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2987][7]~q\,
	cin => \led_flash_cnt[2987][6]~68709\,
	combout => \led_flash_cnt[2987][7]~68710_combout\);

-- Location: FF_X74_Y34_N25
\led_flash_cnt[2987][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2987][7]~68710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2987][7]~q\);

-- Location: LCCOMB_X74_Y34_N6
WideAnd2987 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2987~combout\ = (\WideAnd2987~0_combout\ & (\WideAnd2987~1_combout\ & (\led_flash_cnt[2987][0]~q\ & \led_flash_cnt[2987][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2987~0_combout\,
	datab => \WideAnd2987~1_combout\,
	datac => \led_flash_cnt[2987][0]~q\,
	datad => \led_flash_cnt[2987][7]~q\,
	combout => \WideAnd2987~combout\);

-- Location: FF_X74_Y34_N7
\led_flash_cnt_ands[2987]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2987~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2987));

-- Location: LCCOMB_X60_Y18_N28
\led_flash_cnt[2984][0]~83624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2984][0]~83624_combout\ = !\led_flash_cnt[2984][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2984][0]~q\,
	combout => \led_flash_cnt[2984][0]~83624_combout\);

-- Location: FF_X60_Y18_N29
\led_flash_cnt[2984][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2984][0]~83624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2984][0]~q\);

-- Location: LCCOMB_X60_Y18_N0
\led_flash_cnt[2984][1]~68656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2984][1]~68656_combout\ = (\led_flash_cnt[2984][0]~q\ & (\led_flash_cnt[2984][1]~q\ $ (VCC))) # (!\led_flash_cnt[2984][0]~q\ & (\led_flash_cnt[2984][1]~q\ & VCC))
-- \led_flash_cnt[2984][1]~68657\ = CARRY((\led_flash_cnt[2984][0]~q\ & \led_flash_cnt[2984][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2984][0]~q\,
	datab => \led_flash_cnt[2984][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2984][1]~68656_combout\,
	cout => \led_flash_cnt[2984][1]~68657\);

-- Location: FF_X60_Y18_N1
\led_flash_cnt[2984][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2984][1]~68656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2984][1]~q\);

-- Location: LCCOMB_X60_Y18_N2
\led_flash_cnt[2984][2]~68658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2984][2]~68658_combout\ = (\led_flash_cnt[2984][2]~q\ & (!\led_flash_cnt[2984][1]~68657\)) # (!\led_flash_cnt[2984][2]~q\ & ((\led_flash_cnt[2984][1]~68657\) # (GND)))
-- \led_flash_cnt[2984][2]~68659\ = CARRY((!\led_flash_cnt[2984][1]~68657\) # (!\led_flash_cnt[2984][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2984][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2984][1]~68657\,
	combout => \led_flash_cnt[2984][2]~68658_combout\,
	cout => \led_flash_cnt[2984][2]~68659\);

-- Location: FF_X60_Y18_N3
\led_flash_cnt[2984][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2984][2]~68658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2984][2]~q\);

-- Location: LCCOMB_X60_Y18_N4
\led_flash_cnt[2984][3]~68660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2984][3]~68660_combout\ = (\led_flash_cnt[2984][3]~q\ & (\led_flash_cnt[2984][2]~68659\ $ (GND))) # (!\led_flash_cnt[2984][3]~q\ & (!\led_flash_cnt[2984][2]~68659\ & VCC))
-- \led_flash_cnt[2984][3]~68661\ = CARRY((\led_flash_cnt[2984][3]~q\ & !\led_flash_cnt[2984][2]~68659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2984][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2984][2]~68659\,
	combout => \led_flash_cnt[2984][3]~68660_combout\,
	cout => \led_flash_cnt[2984][3]~68661\);

-- Location: FF_X60_Y18_N5
\led_flash_cnt[2984][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2984][3]~68660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2984][3]~q\);

-- Location: LCCOMB_X60_Y18_N6
\led_flash_cnt[2984][4]~68662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2984][4]~68662_combout\ = (\led_flash_cnt[2984][4]~q\ & (!\led_flash_cnt[2984][3]~68661\)) # (!\led_flash_cnt[2984][4]~q\ & ((\led_flash_cnt[2984][3]~68661\) # (GND)))
-- \led_flash_cnt[2984][4]~68663\ = CARRY((!\led_flash_cnt[2984][3]~68661\) # (!\led_flash_cnt[2984][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2984][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2984][3]~68661\,
	combout => \led_flash_cnt[2984][4]~68662_combout\,
	cout => \led_flash_cnt[2984][4]~68663\);

-- Location: FF_X60_Y18_N7
\led_flash_cnt[2984][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2984][4]~68662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2984][4]~q\);

-- Location: LCCOMB_X60_Y18_N8
\led_flash_cnt[2984][5]~68664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2984][5]~68664_combout\ = (\led_flash_cnt[2984][5]~q\ & (\led_flash_cnt[2984][4]~68663\ $ (GND))) # (!\led_flash_cnt[2984][5]~q\ & (!\led_flash_cnt[2984][4]~68663\ & VCC))
-- \led_flash_cnt[2984][5]~68665\ = CARRY((\led_flash_cnt[2984][5]~q\ & !\led_flash_cnt[2984][4]~68663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2984][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2984][4]~68663\,
	combout => \led_flash_cnt[2984][5]~68664_combout\,
	cout => \led_flash_cnt[2984][5]~68665\);

-- Location: FF_X60_Y18_N9
\led_flash_cnt[2984][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2984][5]~68664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2984][5]~q\);

-- Location: LCCOMB_X60_Y18_N10
\led_flash_cnt[2984][6]~68666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2984][6]~68666_combout\ = (\led_flash_cnt[2984][6]~q\ & (!\led_flash_cnt[2984][5]~68665\)) # (!\led_flash_cnt[2984][6]~q\ & ((\led_flash_cnt[2984][5]~68665\) # (GND)))
-- \led_flash_cnt[2984][6]~68667\ = CARRY((!\led_flash_cnt[2984][5]~68665\) # (!\led_flash_cnt[2984][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2984][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2984][5]~68665\,
	combout => \led_flash_cnt[2984][6]~68666_combout\,
	cout => \led_flash_cnt[2984][6]~68667\);

-- Location: FF_X60_Y18_N11
\led_flash_cnt[2984][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2984][6]~68666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2984][6]~q\);

-- Location: LCCOMB_X60_Y18_N12
\led_flash_cnt[2984][7]~68668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2984][7]~68668_combout\ = \led_flash_cnt[2984][6]~68667\ $ (!\led_flash_cnt[2984][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2984][7]~q\,
	cin => \led_flash_cnt[2984][6]~68667\,
	combout => \led_flash_cnt[2984][7]~68668_combout\);

-- Location: FF_X60_Y18_N13
\led_flash_cnt[2984][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2984][7]~68668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2984][7]~q\);

-- Location: LCCOMB_X60_Y18_N22
\WideAnd2984~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2984~1_combout\ = (\led_flash_cnt[2984][5]~q\ & \led_flash_cnt[2984][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2984][5]~q\,
	datad => \led_flash_cnt[2984][6]~q\,
	combout => \WideAnd2984~1_combout\);

-- Location: LCCOMB_X60_Y18_N18
\WideAnd2984~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2984~0_combout\ = (\led_flash_cnt[2984][4]~q\ & (\led_flash_cnt[2984][1]~q\ & (\led_flash_cnt[2984][3]~q\ & \led_flash_cnt[2984][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2984][4]~q\,
	datab => \led_flash_cnt[2984][1]~q\,
	datac => \led_flash_cnt[2984][3]~q\,
	datad => \led_flash_cnt[2984][2]~q\,
	combout => \WideAnd2984~0_combout\);

-- Location: LCCOMB_X60_Y18_N24
WideAnd2984 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2984~combout\ = (\led_flash_cnt[2984][7]~q\ & (\led_flash_cnt[2984][0]~q\ & (\WideAnd2984~1_combout\ & \WideAnd2984~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2984][7]~q\,
	datab => \led_flash_cnt[2984][0]~q\,
	datac => \WideAnd2984~1_combout\,
	datad => \WideAnd2984~0_combout\,
	combout => \WideAnd2984~combout\);

-- Location: FF_X60_Y18_N25
\led_flash_cnt_ands[2984]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2984~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2984));

-- Location: LCCOMB_X74_Y38_N28
\led_flash_cnt[2986][0]~83626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2986][0]~83626_combout\ = !\led_flash_cnt[2986][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2986][0]~q\,
	combout => \led_flash_cnt[2986][0]~83626_combout\);

-- Location: FF_X74_Y38_N29
\led_flash_cnt[2986][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2986][0]~83626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2986][0]~q\);

-- Location: LCCOMB_X74_Y38_N12
\led_flash_cnt[2986][1]~68684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2986][1]~68684_combout\ = (\led_flash_cnt[2986][1]~q\ & (\led_flash_cnt[2986][0]~q\ $ (VCC))) # (!\led_flash_cnt[2986][1]~q\ & (\led_flash_cnt[2986][0]~q\ & VCC))
-- \led_flash_cnt[2986][1]~68685\ = CARRY((\led_flash_cnt[2986][1]~q\ & \led_flash_cnt[2986][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2986][1]~q\,
	datab => \led_flash_cnt[2986][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2986][1]~68684_combout\,
	cout => \led_flash_cnt[2986][1]~68685\);

-- Location: FF_X74_Y38_N13
\led_flash_cnt[2986][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2986][1]~68684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2986][1]~q\);

-- Location: LCCOMB_X74_Y38_N14
\led_flash_cnt[2986][2]~68686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2986][2]~68686_combout\ = (\led_flash_cnt[2986][2]~q\ & (!\led_flash_cnt[2986][1]~68685\)) # (!\led_flash_cnt[2986][2]~q\ & ((\led_flash_cnt[2986][1]~68685\) # (GND)))
-- \led_flash_cnt[2986][2]~68687\ = CARRY((!\led_flash_cnt[2986][1]~68685\) # (!\led_flash_cnt[2986][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2986][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2986][1]~68685\,
	combout => \led_flash_cnt[2986][2]~68686_combout\,
	cout => \led_flash_cnt[2986][2]~68687\);

-- Location: FF_X74_Y38_N15
\led_flash_cnt[2986][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2986][2]~68686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2986][2]~q\);

-- Location: LCCOMB_X74_Y38_N16
\led_flash_cnt[2986][3]~68688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2986][3]~68688_combout\ = (\led_flash_cnt[2986][3]~q\ & (\led_flash_cnt[2986][2]~68687\ $ (GND))) # (!\led_flash_cnt[2986][3]~q\ & (!\led_flash_cnt[2986][2]~68687\ & VCC))
-- \led_flash_cnt[2986][3]~68689\ = CARRY((\led_flash_cnt[2986][3]~q\ & !\led_flash_cnt[2986][2]~68687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2986][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2986][2]~68687\,
	combout => \led_flash_cnt[2986][3]~68688_combout\,
	cout => \led_flash_cnt[2986][3]~68689\);

-- Location: FF_X74_Y38_N17
\led_flash_cnt[2986][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2986][3]~68688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2986][3]~q\);

-- Location: LCCOMB_X74_Y38_N18
\led_flash_cnt[2986][4]~68690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2986][4]~68690_combout\ = (\led_flash_cnt[2986][4]~q\ & (!\led_flash_cnt[2986][3]~68689\)) # (!\led_flash_cnt[2986][4]~q\ & ((\led_flash_cnt[2986][3]~68689\) # (GND)))
-- \led_flash_cnt[2986][4]~68691\ = CARRY((!\led_flash_cnt[2986][3]~68689\) # (!\led_flash_cnt[2986][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2986][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2986][3]~68689\,
	combout => \led_flash_cnt[2986][4]~68690_combout\,
	cout => \led_flash_cnt[2986][4]~68691\);

-- Location: FF_X74_Y38_N19
\led_flash_cnt[2986][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2986][4]~68690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2986][4]~q\);

-- Location: LCCOMB_X74_Y38_N10
\WideAnd2986~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2986~0_combout\ = (\led_flash_cnt[2986][4]~q\ & (\led_flash_cnt[2986][3]~q\ & (\led_flash_cnt[2986][2]~q\ & \led_flash_cnt[2986][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2986][4]~q\,
	datab => \led_flash_cnt[2986][3]~q\,
	datac => \led_flash_cnt[2986][2]~q\,
	datad => \led_flash_cnt[2986][1]~q\,
	combout => \WideAnd2986~0_combout\);

-- Location: LCCOMB_X74_Y38_N20
\led_flash_cnt[2986][5]~68692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2986][5]~68692_combout\ = (\led_flash_cnt[2986][5]~q\ & (\led_flash_cnt[2986][4]~68691\ $ (GND))) # (!\led_flash_cnt[2986][5]~q\ & (!\led_flash_cnt[2986][4]~68691\ & VCC))
-- \led_flash_cnt[2986][5]~68693\ = CARRY((\led_flash_cnt[2986][5]~q\ & !\led_flash_cnt[2986][4]~68691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2986][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2986][4]~68691\,
	combout => \led_flash_cnt[2986][5]~68692_combout\,
	cout => \led_flash_cnt[2986][5]~68693\);

-- Location: FF_X74_Y38_N21
\led_flash_cnt[2986][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2986][5]~68692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2986][5]~q\);

-- Location: LCCOMB_X74_Y38_N22
\led_flash_cnt[2986][6]~68694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2986][6]~68694_combout\ = (\led_flash_cnt[2986][6]~q\ & (!\led_flash_cnt[2986][5]~68693\)) # (!\led_flash_cnt[2986][6]~q\ & ((\led_flash_cnt[2986][5]~68693\) # (GND)))
-- \led_flash_cnt[2986][6]~68695\ = CARRY((!\led_flash_cnt[2986][5]~68693\) # (!\led_flash_cnt[2986][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2986][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2986][5]~68693\,
	combout => \led_flash_cnt[2986][6]~68694_combout\,
	cout => \led_flash_cnt[2986][6]~68695\);

-- Location: FF_X74_Y38_N23
\led_flash_cnt[2986][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2986][6]~68694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2986][6]~q\);

-- Location: LCCOMB_X74_Y38_N24
\led_flash_cnt[2986][7]~68696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2986][7]~68696_combout\ = \led_flash_cnt[2986][6]~68695\ $ (!\led_flash_cnt[2986][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2986][7]~q\,
	cin => \led_flash_cnt[2986][6]~68695\,
	combout => \led_flash_cnt[2986][7]~68696_combout\);

-- Location: FF_X74_Y38_N25
\led_flash_cnt[2986][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2986][7]~68696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2986][7]~q\);

-- Location: LCCOMB_X74_Y38_N4
\WideAnd2986~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2986~1_combout\ = (\led_flash_cnt[2986][6]~q\ & \led_flash_cnt[2986][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2986][6]~q\,
	datad => \led_flash_cnt[2986][5]~q\,
	combout => \WideAnd2986~1_combout\);

-- Location: LCCOMB_X74_Y38_N6
WideAnd2986 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2986~combout\ = (\WideAnd2986~0_combout\ & (\led_flash_cnt[2986][7]~q\ & (\WideAnd2986~1_combout\ & \led_flash_cnt[2986][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2986~0_combout\,
	datab => \led_flash_cnt[2986][7]~q\,
	datac => \WideAnd2986~1_combout\,
	datad => \led_flash_cnt[2986][0]~q\,
	combout => \WideAnd2986~combout\);

-- Location: FF_X74_Y38_N7
\led_flash_cnt_ands[2986]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2986~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2986));

-- Location: LCCOMB_X74_Y30_N28
\WideAnd4213~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4213~0_combout\ = (led_flash_cnt_ands(2985) & (led_flash_cnt_ands(2987) & (led_flash_cnt_ands(2984) & led_flash_cnt_ands(2986))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2985),
	datab => led_flash_cnt_ands(2987),
	datac => led_flash_cnt_ands(2984),
	datad => led_flash_cnt_ands(2986),
	combout => \WideAnd4213~0_combout\);

-- Location: LCCOMB_X70_Y30_N26
\led_flash_cnt[2990][0]~83630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2990][0]~83630_combout\ = !\led_flash_cnt[2990][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2990][0]~q\,
	combout => \led_flash_cnt[2990][0]~83630_combout\);

-- Location: FF_X70_Y30_N27
\led_flash_cnt[2990][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2990][0]~83630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2990][0]~q\);

-- Location: LCCOMB_X70_Y30_N4
\led_flash_cnt[2990][1]~68740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2990][1]~68740_combout\ = (\led_flash_cnt[2990][0]~q\ & (\led_flash_cnt[2990][1]~q\ $ (VCC))) # (!\led_flash_cnt[2990][0]~q\ & (\led_flash_cnt[2990][1]~q\ & VCC))
-- \led_flash_cnt[2990][1]~68741\ = CARRY((\led_flash_cnt[2990][0]~q\ & \led_flash_cnt[2990][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2990][0]~q\,
	datab => \led_flash_cnt[2990][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2990][1]~68740_combout\,
	cout => \led_flash_cnt[2990][1]~68741\);

-- Location: FF_X70_Y30_N5
\led_flash_cnt[2990][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2990][1]~68740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2990][1]~q\);

-- Location: LCCOMB_X70_Y30_N6
\led_flash_cnt[2990][2]~68742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2990][2]~68742_combout\ = (\led_flash_cnt[2990][2]~q\ & (!\led_flash_cnt[2990][1]~68741\)) # (!\led_flash_cnt[2990][2]~q\ & ((\led_flash_cnt[2990][1]~68741\) # (GND)))
-- \led_flash_cnt[2990][2]~68743\ = CARRY((!\led_flash_cnt[2990][1]~68741\) # (!\led_flash_cnt[2990][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2990][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2990][1]~68741\,
	combout => \led_flash_cnt[2990][2]~68742_combout\,
	cout => \led_flash_cnt[2990][2]~68743\);

-- Location: FF_X70_Y30_N7
\led_flash_cnt[2990][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2990][2]~68742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2990][2]~q\);

-- Location: LCCOMB_X70_Y30_N8
\led_flash_cnt[2990][3]~68744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2990][3]~68744_combout\ = (\led_flash_cnt[2990][3]~q\ & (\led_flash_cnt[2990][2]~68743\ $ (GND))) # (!\led_flash_cnt[2990][3]~q\ & (!\led_flash_cnt[2990][2]~68743\ & VCC))
-- \led_flash_cnt[2990][3]~68745\ = CARRY((\led_flash_cnt[2990][3]~q\ & !\led_flash_cnt[2990][2]~68743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2990][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2990][2]~68743\,
	combout => \led_flash_cnt[2990][3]~68744_combout\,
	cout => \led_flash_cnt[2990][3]~68745\);

-- Location: FF_X70_Y30_N9
\led_flash_cnt[2990][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2990][3]~68744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2990][3]~q\);

-- Location: LCCOMB_X70_Y30_N10
\led_flash_cnt[2990][4]~68746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2990][4]~68746_combout\ = (\led_flash_cnt[2990][4]~q\ & (!\led_flash_cnt[2990][3]~68745\)) # (!\led_flash_cnt[2990][4]~q\ & ((\led_flash_cnt[2990][3]~68745\) # (GND)))
-- \led_flash_cnt[2990][4]~68747\ = CARRY((!\led_flash_cnt[2990][3]~68745\) # (!\led_flash_cnt[2990][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2990][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2990][3]~68745\,
	combout => \led_flash_cnt[2990][4]~68746_combout\,
	cout => \led_flash_cnt[2990][4]~68747\);

-- Location: FF_X70_Y30_N11
\led_flash_cnt[2990][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2990][4]~68746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2990][4]~q\);

-- Location: LCCOMB_X70_Y30_N12
\led_flash_cnt[2990][5]~68748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2990][5]~68748_combout\ = (\led_flash_cnt[2990][5]~q\ & (\led_flash_cnt[2990][4]~68747\ $ (GND))) # (!\led_flash_cnt[2990][5]~q\ & (!\led_flash_cnt[2990][4]~68747\ & VCC))
-- \led_flash_cnt[2990][5]~68749\ = CARRY((\led_flash_cnt[2990][5]~q\ & !\led_flash_cnt[2990][4]~68747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2990][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2990][4]~68747\,
	combout => \led_flash_cnt[2990][5]~68748_combout\,
	cout => \led_flash_cnt[2990][5]~68749\);

-- Location: FF_X70_Y30_N13
\led_flash_cnt[2990][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2990][5]~68748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2990][5]~q\);

-- Location: LCCOMB_X70_Y30_N14
\led_flash_cnt[2990][6]~68750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2990][6]~68750_combout\ = (\led_flash_cnt[2990][6]~q\ & (!\led_flash_cnt[2990][5]~68749\)) # (!\led_flash_cnt[2990][6]~q\ & ((\led_flash_cnt[2990][5]~68749\) # (GND)))
-- \led_flash_cnt[2990][6]~68751\ = CARRY((!\led_flash_cnt[2990][5]~68749\) # (!\led_flash_cnt[2990][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2990][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2990][5]~68749\,
	combout => \led_flash_cnt[2990][6]~68750_combout\,
	cout => \led_flash_cnt[2990][6]~68751\);

-- Location: FF_X70_Y30_N15
\led_flash_cnt[2990][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2990][6]~68750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2990][6]~q\);

-- Location: LCCOMB_X70_Y30_N16
\led_flash_cnt[2990][7]~68752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2990][7]~68752_combout\ = \led_flash_cnt[2990][6]~68751\ $ (!\led_flash_cnt[2990][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2990][7]~q\,
	cin => \led_flash_cnt[2990][6]~68751\,
	combout => \led_flash_cnt[2990][7]~68752_combout\);

-- Location: FF_X70_Y30_N17
\led_flash_cnt[2990][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2990][7]~68752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2990][7]~q\);

-- Location: LCCOMB_X70_Y30_N22
\WideAnd2990~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2990~1_combout\ = (\led_flash_cnt[2990][6]~q\ & \led_flash_cnt[2990][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2990][6]~q\,
	datad => \led_flash_cnt[2990][5]~q\,
	combout => \WideAnd2990~1_combout\);

-- Location: LCCOMB_X70_Y30_N18
\WideAnd2990~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2990~0_combout\ = (\led_flash_cnt[2990][4]~q\ & (\led_flash_cnt[2990][1]~q\ & (\led_flash_cnt[2990][3]~q\ & \led_flash_cnt[2990][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2990][4]~q\,
	datab => \led_flash_cnt[2990][1]~q\,
	datac => \led_flash_cnt[2990][3]~q\,
	datad => \led_flash_cnt[2990][2]~q\,
	combout => \WideAnd2990~0_combout\);

-- Location: LCCOMB_X70_Y30_N0
WideAnd2990 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2990~combout\ = (\led_flash_cnt[2990][0]~q\ & (\led_flash_cnt[2990][7]~q\ & (\WideAnd2990~1_combout\ & \WideAnd2990~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2990][0]~q\,
	datab => \led_flash_cnt[2990][7]~q\,
	datac => \WideAnd2990~1_combout\,
	datad => \WideAnd2990~0_combout\,
	combout => \WideAnd2990~combout\);

-- Location: FF_X70_Y30_N1
\led_flash_cnt_ands[2990]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2990~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2990));

-- Location: LCCOMB_X70_Y30_N20
WideAnd4213 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4213~combout\ = (\WideAnd4213~1_combout\ & (led_flash_cnt_ands(2991) & (\WideAnd4213~0_combout\ & led_flash_cnt_ands(2990))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4213~1_combout\,
	datab => led_flash_cnt_ands(2991),
	datac => \WideAnd4213~0_combout\,
	datad => led_flash_cnt_ands(2990),
	combout => \WideAnd4213~combout\);

-- Location: FF_X70_Y30_N21
\led_flash_cnt_ands_1[373]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4213~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(373));

-- Location: LCCOMB_X70_Y34_N6
\WideAnd4366~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4366~1_combout\ = (led_flash_cnt_ands_1(372) & led_flash_cnt_ands_1(373))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands_1(372),
	datad => led_flash_cnt_ands_1(373),
	combout => \WideAnd4366~1_combout\);

-- Location: LCCOMB_X69_Y34_N4
WideAnd4366 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4366~combout\ = (led_flash_cnt_ands_1(375) & (\WideAnd4366~0_combout\ & (led_flash_cnt_ands_1(374) & \WideAnd4366~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(375),
	datab => \WideAnd4366~0_combout\,
	datac => led_flash_cnt_ands_1(374),
	datad => \WideAnd4366~1_combout\,
	combout => \WideAnd4366~combout\);

-- Location: FF_X69_Y34_N5
\led_flash_cnt_ands_2[46]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4366~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(46));

-- Location: LCCOMB_X42_Y36_N30
\led_flash_cnt[3030][0]~83670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3030][0]~83670_combout\ = !\led_flash_cnt[3030][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3030][0]~q\,
	combout => \led_flash_cnt[3030][0]~83670_combout\);

-- Location: FF_X42_Y36_N31
\led_flash_cnt[3030][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3030][0]~83670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3030][0]~q\);

-- Location: LCCOMB_X42_Y36_N16
\led_flash_cnt[3030][1]~69300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3030][1]~69300_combout\ = (\led_flash_cnt[3030][0]~q\ & (\led_flash_cnt[3030][1]~q\ $ (VCC))) # (!\led_flash_cnt[3030][0]~q\ & (\led_flash_cnt[3030][1]~q\ & VCC))
-- \led_flash_cnt[3030][1]~69301\ = CARRY((\led_flash_cnt[3030][0]~q\ & \led_flash_cnt[3030][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3030][0]~q\,
	datab => \led_flash_cnt[3030][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3030][1]~69300_combout\,
	cout => \led_flash_cnt[3030][1]~69301\);

-- Location: FF_X42_Y36_N17
\led_flash_cnt[3030][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3030][1]~69300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3030][1]~q\);

-- Location: LCCOMB_X42_Y36_N18
\led_flash_cnt[3030][2]~69302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3030][2]~69302_combout\ = (\led_flash_cnt[3030][2]~q\ & (!\led_flash_cnt[3030][1]~69301\)) # (!\led_flash_cnt[3030][2]~q\ & ((\led_flash_cnt[3030][1]~69301\) # (GND)))
-- \led_flash_cnt[3030][2]~69303\ = CARRY((!\led_flash_cnt[3030][1]~69301\) # (!\led_flash_cnt[3030][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3030][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3030][1]~69301\,
	combout => \led_flash_cnt[3030][2]~69302_combout\,
	cout => \led_flash_cnt[3030][2]~69303\);

-- Location: FF_X42_Y36_N19
\led_flash_cnt[3030][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3030][2]~69302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3030][2]~q\);

-- Location: LCCOMB_X42_Y36_N20
\led_flash_cnt[3030][3]~69304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3030][3]~69304_combout\ = (\led_flash_cnt[3030][3]~q\ & (\led_flash_cnt[3030][2]~69303\ $ (GND))) # (!\led_flash_cnt[3030][3]~q\ & (!\led_flash_cnt[3030][2]~69303\ & VCC))
-- \led_flash_cnt[3030][3]~69305\ = CARRY((\led_flash_cnt[3030][3]~q\ & !\led_flash_cnt[3030][2]~69303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3030][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3030][2]~69303\,
	combout => \led_flash_cnt[3030][3]~69304_combout\,
	cout => \led_flash_cnt[3030][3]~69305\);

-- Location: FF_X42_Y36_N21
\led_flash_cnt[3030][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3030][3]~69304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3030][3]~q\);

-- Location: LCCOMB_X42_Y36_N22
\led_flash_cnt[3030][4]~69306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3030][4]~69306_combout\ = (\led_flash_cnt[3030][4]~q\ & (!\led_flash_cnt[3030][3]~69305\)) # (!\led_flash_cnt[3030][4]~q\ & ((\led_flash_cnt[3030][3]~69305\) # (GND)))
-- \led_flash_cnt[3030][4]~69307\ = CARRY((!\led_flash_cnt[3030][3]~69305\) # (!\led_flash_cnt[3030][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3030][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3030][3]~69305\,
	combout => \led_flash_cnt[3030][4]~69306_combout\,
	cout => \led_flash_cnt[3030][4]~69307\);

-- Location: FF_X42_Y36_N23
\led_flash_cnt[3030][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3030][4]~69306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3030][4]~q\);

-- Location: LCCOMB_X42_Y36_N24
\led_flash_cnt[3030][5]~69308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3030][5]~69308_combout\ = (\led_flash_cnt[3030][5]~q\ & (\led_flash_cnt[3030][4]~69307\ $ (GND))) # (!\led_flash_cnt[3030][5]~q\ & (!\led_flash_cnt[3030][4]~69307\ & VCC))
-- \led_flash_cnt[3030][5]~69309\ = CARRY((\led_flash_cnt[3030][5]~q\ & !\led_flash_cnt[3030][4]~69307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3030][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3030][4]~69307\,
	combout => \led_flash_cnt[3030][5]~69308_combout\,
	cout => \led_flash_cnt[3030][5]~69309\);

-- Location: FF_X42_Y36_N25
\led_flash_cnt[3030][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3030][5]~69308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3030][5]~q\);

-- Location: LCCOMB_X42_Y36_N26
\led_flash_cnt[3030][6]~69310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3030][6]~69310_combout\ = (\led_flash_cnt[3030][6]~q\ & (!\led_flash_cnt[3030][5]~69309\)) # (!\led_flash_cnt[3030][6]~q\ & ((\led_flash_cnt[3030][5]~69309\) # (GND)))
-- \led_flash_cnt[3030][6]~69311\ = CARRY((!\led_flash_cnt[3030][5]~69309\) # (!\led_flash_cnt[3030][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3030][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3030][5]~69309\,
	combout => \led_flash_cnt[3030][6]~69310_combout\,
	cout => \led_flash_cnt[3030][6]~69311\);

-- Location: FF_X42_Y36_N27
\led_flash_cnt[3030][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3030][6]~69310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3030][6]~q\);

-- Location: LCCOMB_X42_Y36_N4
\WideAnd3030~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3030~1_combout\ = (\led_flash_cnt[3030][6]~q\ & \led_flash_cnt[3030][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3030][6]~q\,
	datad => \led_flash_cnt[3030][5]~q\,
	combout => \WideAnd3030~1_combout\);

-- Location: LCCOMB_X42_Y36_N14
\WideAnd3030~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3030~0_combout\ = (\led_flash_cnt[3030][3]~q\ & (\led_flash_cnt[3030][2]~q\ & (\led_flash_cnt[3030][4]~q\ & \led_flash_cnt[3030][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3030][3]~q\,
	datab => \led_flash_cnt[3030][2]~q\,
	datac => \led_flash_cnt[3030][4]~q\,
	datad => \led_flash_cnt[3030][1]~q\,
	combout => \WideAnd3030~0_combout\);

-- Location: LCCOMB_X42_Y36_N28
\led_flash_cnt[3030][7]~69312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3030][7]~69312_combout\ = \led_flash_cnt[3030][6]~69311\ $ (!\led_flash_cnt[3030][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3030][7]~q\,
	cin => \led_flash_cnt[3030][6]~69311\,
	combout => \led_flash_cnt[3030][7]~69312_combout\);

-- Location: FF_X42_Y36_N29
\led_flash_cnt[3030][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3030][7]~69312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3030][7]~q\);

-- Location: LCCOMB_X42_Y36_N10
WideAnd3030 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3030~combout\ = (\led_flash_cnt[3030][0]~q\ & (\WideAnd3030~1_combout\ & (\WideAnd3030~0_combout\ & \led_flash_cnt[3030][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3030][0]~q\,
	datab => \WideAnd3030~1_combout\,
	datac => \WideAnd3030~0_combout\,
	datad => \led_flash_cnt[3030][7]~q\,
	combout => \WideAnd3030~combout\);

-- Location: FF_X42_Y36_N11
\led_flash_cnt_ands[3030]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3030~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3030));

-- Location: LCCOMB_X40_Y37_N2
\led_flash_cnt[3028][0]~83668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3028][0]~83668_combout\ = !\led_flash_cnt[3028][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3028][0]~q\,
	combout => \led_flash_cnt[3028][0]~83668_combout\);

-- Location: FF_X40_Y37_N3
\led_flash_cnt[3028][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3028][0]~83668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3028][0]~q\);

-- Location: LCCOMB_X39_Y37_N0
\led_flash_cnt[3028][1]~69272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3028][1]~69272_combout\ = (\led_flash_cnt[3028][0]~q\ & (\led_flash_cnt[3028][1]~q\ $ (VCC))) # (!\led_flash_cnt[3028][0]~q\ & (\led_flash_cnt[3028][1]~q\ & VCC))
-- \led_flash_cnt[3028][1]~69273\ = CARRY((\led_flash_cnt[3028][0]~q\ & \led_flash_cnt[3028][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3028][0]~q\,
	datab => \led_flash_cnt[3028][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3028][1]~69272_combout\,
	cout => \led_flash_cnt[3028][1]~69273\);

-- Location: FF_X39_Y37_N1
\led_flash_cnt[3028][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3028][1]~69272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3028][1]~q\);

-- Location: LCCOMB_X39_Y37_N2
\led_flash_cnt[3028][2]~69274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3028][2]~69274_combout\ = (\led_flash_cnt[3028][2]~q\ & (!\led_flash_cnt[3028][1]~69273\)) # (!\led_flash_cnt[3028][2]~q\ & ((\led_flash_cnt[3028][1]~69273\) # (GND)))
-- \led_flash_cnt[3028][2]~69275\ = CARRY((!\led_flash_cnt[3028][1]~69273\) # (!\led_flash_cnt[3028][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3028][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3028][1]~69273\,
	combout => \led_flash_cnt[3028][2]~69274_combout\,
	cout => \led_flash_cnt[3028][2]~69275\);

-- Location: FF_X39_Y37_N3
\led_flash_cnt[3028][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3028][2]~69274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3028][2]~q\);

-- Location: LCCOMB_X39_Y37_N4
\led_flash_cnt[3028][3]~69276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3028][3]~69276_combout\ = (\led_flash_cnt[3028][3]~q\ & (\led_flash_cnt[3028][2]~69275\ $ (GND))) # (!\led_flash_cnt[3028][3]~q\ & (!\led_flash_cnt[3028][2]~69275\ & VCC))
-- \led_flash_cnt[3028][3]~69277\ = CARRY((\led_flash_cnt[3028][3]~q\ & !\led_flash_cnt[3028][2]~69275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3028][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3028][2]~69275\,
	combout => \led_flash_cnt[3028][3]~69276_combout\,
	cout => \led_flash_cnt[3028][3]~69277\);

-- Location: FF_X39_Y37_N5
\led_flash_cnt[3028][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3028][3]~69276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3028][3]~q\);

-- Location: LCCOMB_X39_Y37_N6
\led_flash_cnt[3028][4]~69278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3028][4]~69278_combout\ = (\led_flash_cnt[3028][4]~q\ & (!\led_flash_cnt[3028][3]~69277\)) # (!\led_flash_cnt[3028][4]~q\ & ((\led_flash_cnt[3028][3]~69277\) # (GND)))
-- \led_flash_cnt[3028][4]~69279\ = CARRY((!\led_flash_cnt[3028][3]~69277\) # (!\led_flash_cnt[3028][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3028][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3028][3]~69277\,
	combout => \led_flash_cnt[3028][4]~69278_combout\,
	cout => \led_flash_cnt[3028][4]~69279\);

-- Location: FF_X39_Y37_N7
\led_flash_cnt[3028][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3028][4]~69278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3028][4]~q\);

-- Location: LCCOMB_X39_Y37_N8
\led_flash_cnt[3028][5]~69280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3028][5]~69280_combout\ = (\led_flash_cnt[3028][5]~q\ & (\led_flash_cnt[3028][4]~69279\ $ (GND))) # (!\led_flash_cnt[3028][5]~q\ & (!\led_flash_cnt[3028][4]~69279\ & VCC))
-- \led_flash_cnt[3028][5]~69281\ = CARRY((\led_flash_cnt[3028][5]~q\ & !\led_flash_cnt[3028][4]~69279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3028][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3028][4]~69279\,
	combout => \led_flash_cnt[3028][5]~69280_combout\,
	cout => \led_flash_cnt[3028][5]~69281\);

-- Location: FF_X39_Y37_N9
\led_flash_cnt[3028][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3028][5]~69280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3028][5]~q\);

-- Location: LCCOMB_X39_Y37_N10
\led_flash_cnt[3028][6]~69282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3028][6]~69282_combout\ = (\led_flash_cnt[3028][6]~q\ & (!\led_flash_cnt[3028][5]~69281\)) # (!\led_flash_cnt[3028][6]~q\ & ((\led_flash_cnt[3028][5]~69281\) # (GND)))
-- \led_flash_cnt[3028][6]~69283\ = CARRY((!\led_flash_cnt[3028][5]~69281\) # (!\led_flash_cnt[3028][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3028][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3028][5]~69281\,
	combout => \led_flash_cnt[3028][6]~69282_combout\,
	cout => \led_flash_cnt[3028][6]~69283\);

-- Location: FF_X39_Y37_N11
\led_flash_cnt[3028][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3028][6]~69282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3028][6]~q\);

-- Location: LCCOMB_X39_Y37_N12
\led_flash_cnt[3028][7]~69284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3028][7]~69284_combout\ = \led_flash_cnt[3028][6]~69283\ $ (!\led_flash_cnt[3028][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3028][7]~q\,
	cin => \led_flash_cnt[3028][6]~69283\,
	combout => \led_flash_cnt[3028][7]~69284_combout\);

-- Location: FF_X39_Y37_N13
\led_flash_cnt[3028][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3028][7]~69284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3028][7]~q\);

-- Location: LCCOMB_X39_Y37_N30
\WideAnd3028~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3028~1_combout\ = (\led_flash_cnt[3028][5]~q\ & \led_flash_cnt[3028][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3028][5]~q\,
	datad => \led_flash_cnt[3028][6]~q\,
	combout => \WideAnd3028~1_combout\);

-- Location: LCCOMB_X40_Y37_N4
\WideAnd3028~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3028~0_combout\ = (\led_flash_cnt[3028][1]~q\ & (\led_flash_cnt[3028][4]~q\ & (\led_flash_cnt[3028][3]~q\ & \led_flash_cnt[3028][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3028][1]~q\,
	datab => \led_flash_cnt[3028][4]~q\,
	datac => \led_flash_cnt[3028][3]~q\,
	datad => \led_flash_cnt[3028][2]~q\,
	combout => \WideAnd3028~0_combout\);

-- Location: LCCOMB_X40_Y37_N30
WideAnd3028 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3028~combout\ = (\led_flash_cnt[3028][7]~q\ & (\WideAnd3028~1_combout\ & (\WideAnd3028~0_combout\ & \led_flash_cnt[3028][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3028][7]~q\,
	datab => \WideAnd3028~1_combout\,
	datac => \WideAnd3028~0_combout\,
	datad => \led_flash_cnt[3028][0]~q\,
	combout => \WideAnd3028~combout\);

-- Location: FF_X40_Y37_N31
\led_flash_cnt_ands[3028]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3028~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3028));

-- Location: LCCOMB_X32_Y35_N2
\led_flash_cnt[3029][0]~83669\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3029][0]~83669_combout\ = !\led_flash_cnt[3029][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3029][0]~q\,
	combout => \led_flash_cnt[3029][0]~83669_combout\);

-- Location: FF_X32_Y35_N3
\led_flash_cnt[3029][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3029][0]~83669_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3029][0]~q\);

-- Location: LCCOMB_X31_Y35_N16
\led_flash_cnt[3029][1]~69286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3029][1]~69286_combout\ = (\led_flash_cnt[3029][0]~q\ & (\led_flash_cnt[3029][1]~q\ $ (VCC))) # (!\led_flash_cnt[3029][0]~q\ & (\led_flash_cnt[3029][1]~q\ & VCC))
-- \led_flash_cnt[3029][1]~69287\ = CARRY((\led_flash_cnt[3029][0]~q\ & \led_flash_cnt[3029][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3029][0]~q\,
	datab => \led_flash_cnt[3029][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3029][1]~69286_combout\,
	cout => \led_flash_cnt[3029][1]~69287\);

-- Location: FF_X31_Y35_N17
\led_flash_cnt[3029][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3029][1]~69286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3029][1]~q\);

-- Location: LCCOMB_X31_Y35_N18
\led_flash_cnt[3029][2]~69288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3029][2]~69288_combout\ = (\led_flash_cnt[3029][2]~q\ & (!\led_flash_cnt[3029][1]~69287\)) # (!\led_flash_cnt[3029][2]~q\ & ((\led_flash_cnt[3029][1]~69287\) # (GND)))
-- \led_flash_cnt[3029][2]~69289\ = CARRY((!\led_flash_cnt[3029][1]~69287\) # (!\led_flash_cnt[3029][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3029][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3029][1]~69287\,
	combout => \led_flash_cnt[3029][2]~69288_combout\,
	cout => \led_flash_cnt[3029][2]~69289\);

-- Location: FF_X31_Y35_N19
\led_flash_cnt[3029][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3029][2]~69288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3029][2]~q\);

-- Location: LCCOMB_X31_Y35_N20
\led_flash_cnt[3029][3]~69290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3029][3]~69290_combout\ = (\led_flash_cnt[3029][3]~q\ & (\led_flash_cnt[3029][2]~69289\ $ (GND))) # (!\led_flash_cnt[3029][3]~q\ & (!\led_flash_cnt[3029][2]~69289\ & VCC))
-- \led_flash_cnt[3029][3]~69291\ = CARRY((\led_flash_cnt[3029][3]~q\ & !\led_flash_cnt[3029][2]~69289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3029][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3029][2]~69289\,
	combout => \led_flash_cnt[3029][3]~69290_combout\,
	cout => \led_flash_cnt[3029][3]~69291\);

-- Location: FF_X31_Y35_N21
\led_flash_cnt[3029][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3029][3]~69290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3029][3]~q\);

-- Location: LCCOMB_X31_Y35_N22
\led_flash_cnt[3029][4]~69292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3029][4]~69292_combout\ = (\led_flash_cnt[3029][4]~q\ & (!\led_flash_cnt[3029][3]~69291\)) # (!\led_flash_cnt[3029][4]~q\ & ((\led_flash_cnt[3029][3]~69291\) # (GND)))
-- \led_flash_cnt[3029][4]~69293\ = CARRY((!\led_flash_cnt[3029][3]~69291\) # (!\led_flash_cnt[3029][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3029][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3029][3]~69291\,
	combout => \led_flash_cnt[3029][4]~69292_combout\,
	cout => \led_flash_cnt[3029][4]~69293\);

-- Location: FF_X31_Y35_N23
\led_flash_cnt[3029][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3029][4]~69292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3029][4]~q\);

-- Location: LCCOMB_X31_Y35_N24
\led_flash_cnt[3029][5]~69294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3029][5]~69294_combout\ = (\led_flash_cnt[3029][5]~q\ & (\led_flash_cnt[3029][4]~69293\ $ (GND))) # (!\led_flash_cnt[3029][5]~q\ & (!\led_flash_cnt[3029][4]~69293\ & VCC))
-- \led_flash_cnt[3029][5]~69295\ = CARRY((\led_flash_cnt[3029][5]~q\ & !\led_flash_cnt[3029][4]~69293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3029][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3029][4]~69293\,
	combout => \led_flash_cnt[3029][5]~69294_combout\,
	cout => \led_flash_cnt[3029][5]~69295\);

-- Location: FF_X31_Y35_N25
\led_flash_cnt[3029][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3029][5]~69294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3029][5]~q\);

-- Location: LCCOMB_X31_Y35_N26
\led_flash_cnt[3029][6]~69296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3029][6]~69296_combout\ = (\led_flash_cnt[3029][6]~q\ & (!\led_flash_cnt[3029][5]~69295\)) # (!\led_flash_cnt[3029][6]~q\ & ((\led_flash_cnt[3029][5]~69295\) # (GND)))
-- \led_flash_cnt[3029][6]~69297\ = CARRY((!\led_flash_cnt[3029][5]~69295\) # (!\led_flash_cnt[3029][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3029][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3029][5]~69295\,
	combout => \led_flash_cnt[3029][6]~69296_combout\,
	cout => \led_flash_cnt[3029][6]~69297\);

-- Location: FF_X31_Y35_N27
\led_flash_cnt[3029][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3029][6]~69296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3029][6]~q\);

-- Location: LCCOMB_X31_Y35_N28
\led_flash_cnt[3029][7]~69298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3029][7]~69298_combout\ = \led_flash_cnt[3029][6]~69297\ $ (!\led_flash_cnt[3029][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3029][7]~q\,
	cin => \led_flash_cnt[3029][6]~69297\,
	combout => \led_flash_cnt[3029][7]~69298_combout\);

-- Location: FF_X31_Y35_N29
\led_flash_cnt[3029][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3029][7]~69298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3029][7]~q\);

-- Location: LCCOMB_X32_Y35_N4
\WideAnd3029~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3029~1_combout\ = (\led_flash_cnt[3029][6]~q\ & \led_flash_cnt[3029][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3029][6]~q\,
	datad => \led_flash_cnt[3029][5]~q\,
	combout => \WideAnd3029~1_combout\);

-- Location: LCCOMB_X31_Y35_N30
\WideAnd3029~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3029~0_combout\ = (\led_flash_cnt[3029][2]~q\ & (\led_flash_cnt[3029][3]~q\ & (\led_flash_cnt[3029][4]~q\ & \led_flash_cnt[3029][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3029][2]~q\,
	datab => \led_flash_cnt[3029][3]~q\,
	datac => \led_flash_cnt[3029][4]~q\,
	datad => \led_flash_cnt[3029][1]~q\,
	combout => \WideAnd3029~0_combout\);

-- Location: LCCOMB_X32_Y35_N0
WideAnd3029 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3029~combout\ = (\led_flash_cnt[3029][0]~q\ & (\led_flash_cnt[3029][7]~q\ & (\WideAnd3029~1_combout\ & \WideAnd3029~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3029][0]~q\,
	datab => \led_flash_cnt[3029][7]~q\,
	datac => \WideAnd3029~1_combout\,
	datad => \WideAnd3029~0_combout\,
	combout => \WideAnd3029~combout\);

-- Location: FF_X32_Y35_N1
\led_flash_cnt_ands[3029]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3029~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3029));

-- Location: LCCOMB_X39_Y36_N0
\WideAnd4218~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4218~1_combout\ = (led_flash_cnt_ands(3028) & led_flash_cnt_ands(3029))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3028),
	datad => led_flash_cnt_ands(3029),
	combout => \WideAnd4218~1_combout\);

-- Location: LCCOMB_X30_Y34_N30
\led_flash_cnt[3026][0]~83666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3026][0]~83666_combout\ = !\led_flash_cnt[3026][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3026][0]~q\,
	combout => \led_flash_cnt[3026][0]~83666_combout\);

-- Location: FF_X30_Y34_N31
\led_flash_cnt[3026][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3026][0]~83666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3026][0]~q\);

-- Location: LCCOMB_X30_Y36_N18
\led_flash_cnt[3026][1]~69244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3026][1]~69244_combout\ = (\led_flash_cnt[3026][0]~q\ & (\led_flash_cnt[3026][1]~q\ $ (VCC))) # (!\led_flash_cnt[3026][0]~q\ & (\led_flash_cnt[3026][1]~q\ & VCC))
-- \led_flash_cnt[3026][1]~69245\ = CARRY((\led_flash_cnt[3026][0]~q\ & \led_flash_cnt[3026][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3026][0]~q\,
	datab => \led_flash_cnt[3026][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3026][1]~69244_combout\,
	cout => \led_flash_cnt[3026][1]~69245\);

-- Location: FF_X30_Y36_N19
\led_flash_cnt[3026][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3026][1]~69244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3026][1]~q\);

-- Location: LCCOMB_X30_Y36_N20
\led_flash_cnt[3026][2]~69246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3026][2]~69246_combout\ = (\led_flash_cnt[3026][2]~q\ & (!\led_flash_cnt[3026][1]~69245\)) # (!\led_flash_cnt[3026][2]~q\ & ((\led_flash_cnt[3026][1]~69245\) # (GND)))
-- \led_flash_cnt[3026][2]~69247\ = CARRY((!\led_flash_cnt[3026][1]~69245\) # (!\led_flash_cnt[3026][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3026][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3026][1]~69245\,
	combout => \led_flash_cnt[3026][2]~69246_combout\,
	cout => \led_flash_cnt[3026][2]~69247\);

-- Location: FF_X30_Y36_N21
\led_flash_cnt[3026][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3026][2]~69246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3026][2]~q\);

-- Location: LCCOMB_X30_Y36_N22
\led_flash_cnt[3026][3]~69248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3026][3]~69248_combout\ = (\led_flash_cnt[3026][3]~q\ & (\led_flash_cnt[3026][2]~69247\ $ (GND))) # (!\led_flash_cnt[3026][3]~q\ & (!\led_flash_cnt[3026][2]~69247\ & VCC))
-- \led_flash_cnt[3026][3]~69249\ = CARRY((\led_flash_cnt[3026][3]~q\ & !\led_flash_cnt[3026][2]~69247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3026][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3026][2]~69247\,
	combout => \led_flash_cnt[3026][3]~69248_combout\,
	cout => \led_flash_cnt[3026][3]~69249\);

-- Location: FF_X30_Y36_N23
\led_flash_cnt[3026][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3026][3]~69248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3026][3]~q\);

-- Location: LCCOMB_X30_Y36_N24
\led_flash_cnt[3026][4]~69250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3026][4]~69250_combout\ = (\led_flash_cnt[3026][4]~q\ & (!\led_flash_cnt[3026][3]~69249\)) # (!\led_flash_cnt[3026][4]~q\ & ((\led_flash_cnt[3026][3]~69249\) # (GND)))
-- \led_flash_cnt[3026][4]~69251\ = CARRY((!\led_flash_cnt[3026][3]~69249\) # (!\led_flash_cnt[3026][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3026][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3026][3]~69249\,
	combout => \led_flash_cnt[3026][4]~69250_combout\,
	cout => \led_flash_cnt[3026][4]~69251\);

-- Location: FF_X30_Y36_N25
\led_flash_cnt[3026][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3026][4]~69250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3026][4]~q\);

-- Location: LCCOMB_X30_Y36_N14
\WideAnd3026~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3026~0_combout\ = (\led_flash_cnt[3026][2]~q\ & (\led_flash_cnt[3026][4]~q\ & (\led_flash_cnt[3026][3]~q\ & \led_flash_cnt[3026][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3026][2]~q\,
	datab => \led_flash_cnt[3026][4]~q\,
	datac => \led_flash_cnt[3026][3]~q\,
	datad => \led_flash_cnt[3026][1]~q\,
	combout => \WideAnd3026~0_combout\);

-- Location: LCCOMB_X30_Y36_N26
\led_flash_cnt[3026][5]~69252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3026][5]~69252_combout\ = (\led_flash_cnt[3026][5]~q\ & (\led_flash_cnt[3026][4]~69251\ $ (GND))) # (!\led_flash_cnt[3026][5]~q\ & (!\led_flash_cnt[3026][4]~69251\ & VCC))
-- \led_flash_cnt[3026][5]~69253\ = CARRY((\led_flash_cnt[3026][5]~q\ & !\led_flash_cnt[3026][4]~69251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3026][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3026][4]~69251\,
	combout => \led_flash_cnt[3026][5]~69252_combout\,
	cout => \led_flash_cnt[3026][5]~69253\);

-- Location: FF_X30_Y36_N27
\led_flash_cnt[3026][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3026][5]~69252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3026][5]~q\);

-- Location: LCCOMB_X30_Y36_N28
\led_flash_cnt[3026][6]~69254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3026][6]~69254_combout\ = (\led_flash_cnt[3026][6]~q\ & (!\led_flash_cnt[3026][5]~69253\)) # (!\led_flash_cnt[3026][6]~q\ & ((\led_flash_cnt[3026][5]~69253\) # (GND)))
-- \led_flash_cnt[3026][6]~69255\ = CARRY((!\led_flash_cnt[3026][5]~69253\) # (!\led_flash_cnt[3026][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3026][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3026][5]~69253\,
	combout => \led_flash_cnt[3026][6]~69254_combout\,
	cout => \led_flash_cnt[3026][6]~69255\);

-- Location: FF_X30_Y36_N29
\led_flash_cnt[3026][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3026][6]~69254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3026][6]~q\);

-- Location: LCCOMB_X30_Y35_N30
\WideAnd3026~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3026~1_combout\ = (\led_flash_cnt[3026][6]~q\ & \led_flash_cnt[3026][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3026][6]~q\,
	datac => \led_flash_cnt[3026][5]~q\,
	combout => \WideAnd3026~1_combout\);

-- Location: LCCOMB_X30_Y36_N30
\led_flash_cnt[3026][7]~69256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3026][7]~69256_combout\ = \led_flash_cnt[3026][7]~q\ $ (!\led_flash_cnt[3026][6]~69255\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3026][7]~q\,
	cin => \led_flash_cnt[3026][6]~69255\,
	combout => \led_flash_cnt[3026][7]~69256_combout\);

-- Location: FF_X30_Y36_N31
\led_flash_cnt[3026][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3026][7]~69256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3026][7]~q\);

-- Location: LCCOMB_X30_Y34_N26
WideAnd3026 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3026~combout\ = (\led_flash_cnt[3026][0]~q\ & (\WideAnd3026~0_combout\ & (\WideAnd3026~1_combout\ & \led_flash_cnt[3026][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3026][0]~q\,
	datab => \WideAnd3026~0_combout\,
	datac => \WideAnd3026~1_combout\,
	datad => \led_flash_cnt[3026][7]~q\,
	combout => \WideAnd3026~combout\);

-- Location: FF_X30_Y34_N27
\led_flash_cnt_ands[3026]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3026~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3026));

-- Location: LCCOMB_X31_Y34_N14
\led_flash_cnt[3025][0]~83665\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3025][0]~83665_combout\ = !\led_flash_cnt[3025][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3025][0]~q\,
	combout => \led_flash_cnt[3025][0]~83665_combout\);

-- Location: FF_X31_Y34_N15
\led_flash_cnt[3025][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3025][0]~83665_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3025][0]~q\);

-- Location: LCCOMB_X29_Y34_N14
\led_flash_cnt[3025][1]~69230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3025][1]~69230_combout\ = (\led_flash_cnt[3025][0]~q\ & (\led_flash_cnt[3025][1]~q\ $ (VCC))) # (!\led_flash_cnt[3025][0]~q\ & (\led_flash_cnt[3025][1]~q\ & VCC))
-- \led_flash_cnt[3025][1]~69231\ = CARRY((\led_flash_cnt[3025][0]~q\ & \led_flash_cnt[3025][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3025][0]~q\,
	datab => \led_flash_cnt[3025][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3025][1]~69230_combout\,
	cout => \led_flash_cnt[3025][1]~69231\);

-- Location: FF_X29_Y34_N15
\led_flash_cnt[3025][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3025][1]~69230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3025][1]~q\);

-- Location: LCCOMB_X29_Y34_N16
\led_flash_cnt[3025][2]~69232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3025][2]~69232_combout\ = (\led_flash_cnt[3025][2]~q\ & (!\led_flash_cnt[3025][1]~69231\)) # (!\led_flash_cnt[3025][2]~q\ & ((\led_flash_cnt[3025][1]~69231\) # (GND)))
-- \led_flash_cnt[3025][2]~69233\ = CARRY((!\led_flash_cnt[3025][1]~69231\) # (!\led_flash_cnt[3025][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3025][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3025][1]~69231\,
	combout => \led_flash_cnt[3025][2]~69232_combout\,
	cout => \led_flash_cnt[3025][2]~69233\);

-- Location: FF_X29_Y34_N17
\led_flash_cnt[3025][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3025][2]~69232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3025][2]~q\);

-- Location: LCCOMB_X29_Y34_N18
\led_flash_cnt[3025][3]~69234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3025][3]~69234_combout\ = (\led_flash_cnt[3025][3]~q\ & (\led_flash_cnt[3025][2]~69233\ $ (GND))) # (!\led_flash_cnt[3025][3]~q\ & (!\led_flash_cnt[3025][2]~69233\ & VCC))
-- \led_flash_cnt[3025][3]~69235\ = CARRY((\led_flash_cnt[3025][3]~q\ & !\led_flash_cnt[3025][2]~69233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3025][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3025][2]~69233\,
	combout => \led_flash_cnt[3025][3]~69234_combout\,
	cout => \led_flash_cnt[3025][3]~69235\);

-- Location: FF_X29_Y34_N19
\led_flash_cnt[3025][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3025][3]~69234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3025][3]~q\);

-- Location: LCCOMB_X29_Y34_N20
\led_flash_cnt[3025][4]~69236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3025][4]~69236_combout\ = (\led_flash_cnt[3025][4]~q\ & (!\led_flash_cnt[3025][3]~69235\)) # (!\led_flash_cnt[3025][4]~q\ & ((\led_flash_cnt[3025][3]~69235\) # (GND)))
-- \led_flash_cnt[3025][4]~69237\ = CARRY((!\led_flash_cnt[3025][3]~69235\) # (!\led_flash_cnt[3025][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3025][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3025][3]~69235\,
	combout => \led_flash_cnt[3025][4]~69236_combout\,
	cout => \led_flash_cnt[3025][4]~69237\);

-- Location: FF_X29_Y34_N21
\led_flash_cnt[3025][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3025][4]~69236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3025][4]~q\);

-- Location: LCCOMB_X29_Y34_N22
\led_flash_cnt[3025][5]~69238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3025][5]~69238_combout\ = (\led_flash_cnt[3025][5]~q\ & (\led_flash_cnt[3025][4]~69237\ $ (GND))) # (!\led_flash_cnt[3025][5]~q\ & (!\led_flash_cnt[3025][4]~69237\ & VCC))
-- \led_flash_cnt[3025][5]~69239\ = CARRY((\led_flash_cnt[3025][5]~q\ & !\led_flash_cnt[3025][4]~69237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3025][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3025][4]~69237\,
	combout => \led_flash_cnt[3025][5]~69238_combout\,
	cout => \led_flash_cnt[3025][5]~69239\);

-- Location: FF_X29_Y34_N23
\led_flash_cnt[3025][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3025][5]~69238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3025][5]~q\);

-- Location: LCCOMB_X29_Y34_N24
\led_flash_cnt[3025][6]~69240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3025][6]~69240_combout\ = (\led_flash_cnt[3025][6]~q\ & (!\led_flash_cnt[3025][5]~69239\)) # (!\led_flash_cnt[3025][6]~q\ & ((\led_flash_cnt[3025][5]~69239\) # (GND)))
-- \led_flash_cnt[3025][6]~69241\ = CARRY((!\led_flash_cnt[3025][5]~69239\) # (!\led_flash_cnt[3025][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3025][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3025][5]~69239\,
	combout => \led_flash_cnt[3025][6]~69240_combout\,
	cout => \led_flash_cnt[3025][6]~69241\);

-- Location: FF_X29_Y34_N25
\led_flash_cnt[3025][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3025][6]~69240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3025][6]~q\);

-- Location: LCCOMB_X29_Y34_N30
\WideAnd3025~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3025~1_combout\ = (\led_flash_cnt[3025][5]~q\ & \led_flash_cnt[3025][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3025][5]~q\,
	datad => \led_flash_cnt[3025][6]~q\,
	combout => \WideAnd3025~1_combout\);

-- Location: LCCOMB_X29_Y34_N26
\led_flash_cnt[3025][7]~69242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3025][7]~69242_combout\ = \led_flash_cnt[3025][7]~q\ $ (!\led_flash_cnt[3025][6]~69241\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3025][7]~q\,
	cin => \led_flash_cnt[3025][6]~69241\,
	combout => \led_flash_cnt[3025][7]~69242_combout\);

-- Location: FF_X29_Y34_N27
\led_flash_cnt[3025][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3025][7]~69242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3025][7]~q\);

-- Location: LCCOMB_X29_Y34_N28
\WideAnd3025~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3025~0_combout\ = (\led_flash_cnt[3025][4]~q\ & (\led_flash_cnt[3025][3]~q\ & (\led_flash_cnt[3025][1]~q\ & \led_flash_cnt[3025][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3025][4]~q\,
	datab => \led_flash_cnt[3025][3]~q\,
	datac => \led_flash_cnt[3025][1]~q\,
	datad => \led_flash_cnt[3025][2]~q\,
	combout => \WideAnd3025~0_combout\);

-- Location: LCCOMB_X30_Y34_N22
WideAnd3025 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3025~combout\ = (\led_flash_cnt[3025][0]~q\ & (\WideAnd3025~1_combout\ & (\led_flash_cnt[3025][7]~q\ & \WideAnd3025~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3025][0]~q\,
	datab => \WideAnd3025~1_combout\,
	datac => \led_flash_cnt[3025][7]~q\,
	datad => \WideAnd3025~0_combout\,
	combout => \WideAnd3025~combout\);

-- Location: FF_X30_Y34_N23
\led_flash_cnt_ands[3025]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3025~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3025));

-- Location: LCCOMB_X34_Y34_N12
\led_flash_cnt[3027][0]~83667\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3027][0]~83667_combout\ = !\led_flash_cnt[3027][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3027][0]~q\,
	combout => \led_flash_cnt[3027][0]~83667_combout\);

-- Location: FF_X34_Y34_N13
\led_flash_cnt[3027][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3027][0]~83667_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3027][0]~q\);

-- Location: LCCOMB_X30_Y34_N6
\led_flash_cnt[3027][1]~69258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3027][1]~69258_combout\ = (\led_flash_cnt[3027][1]~q\ & (\led_flash_cnt[3027][0]~q\ $ (VCC))) # (!\led_flash_cnt[3027][1]~q\ & (\led_flash_cnt[3027][0]~q\ & VCC))
-- \led_flash_cnt[3027][1]~69259\ = CARRY((\led_flash_cnt[3027][1]~q\ & \led_flash_cnt[3027][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3027][1]~q\,
	datab => \led_flash_cnt[3027][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3027][1]~69258_combout\,
	cout => \led_flash_cnt[3027][1]~69259\);

-- Location: FF_X30_Y34_N7
\led_flash_cnt[3027][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3027][1]~69258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3027][1]~q\);

-- Location: LCCOMB_X30_Y34_N8
\led_flash_cnt[3027][2]~69260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3027][2]~69260_combout\ = (\led_flash_cnt[3027][2]~q\ & (!\led_flash_cnt[3027][1]~69259\)) # (!\led_flash_cnt[3027][2]~q\ & ((\led_flash_cnt[3027][1]~69259\) # (GND)))
-- \led_flash_cnt[3027][2]~69261\ = CARRY((!\led_flash_cnt[3027][1]~69259\) # (!\led_flash_cnt[3027][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3027][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3027][1]~69259\,
	combout => \led_flash_cnt[3027][2]~69260_combout\,
	cout => \led_flash_cnt[3027][2]~69261\);

-- Location: FF_X30_Y34_N9
\led_flash_cnt[3027][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3027][2]~69260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3027][2]~q\);

-- Location: LCCOMB_X30_Y34_N10
\led_flash_cnt[3027][3]~69262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3027][3]~69262_combout\ = (\led_flash_cnt[3027][3]~q\ & (\led_flash_cnt[3027][2]~69261\ $ (GND))) # (!\led_flash_cnt[3027][3]~q\ & (!\led_flash_cnt[3027][2]~69261\ & VCC))
-- \led_flash_cnt[3027][3]~69263\ = CARRY((\led_flash_cnt[3027][3]~q\ & !\led_flash_cnt[3027][2]~69261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3027][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3027][2]~69261\,
	combout => \led_flash_cnt[3027][3]~69262_combout\,
	cout => \led_flash_cnt[3027][3]~69263\);

-- Location: FF_X30_Y34_N11
\led_flash_cnt[3027][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3027][3]~69262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3027][3]~q\);

-- Location: LCCOMB_X30_Y34_N12
\led_flash_cnt[3027][4]~69264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3027][4]~69264_combout\ = (\led_flash_cnt[3027][4]~q\ & (!\led_flash_cnt[3027][3]~69263\)) # (!\led_flash_cnt[3027][4]~q\ & ((\led_flash_cnt[3027][3]~69263\) # (GND)))
-- \led_flash_cnt[3027][4]~69265\ = CARRY((!\led_flash_cnt[3027][3]~69263\) # (!\led_flash_cnt[3027][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3027][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3027][3]~69263\,
	combout => \led_flash_cnt[3027][4]~69264_combout\,
	cout => \led_flash_cnt[3027][4]~69265\);

-- Location: FF_X30_Y34_N13
\led_flash_cnt[3027][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3027][4]~69264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3027][4]~q\);

-- Location: LCCOMB_X30_Y34_N14
\led_flash_cnt[3027][5]~69266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3027][5]~69266_combout\ = (\led_flash_cnt[3027][5]~q\ & (\led_flash_cnt[3027][4]~69265\ $ (GND))) # (!\led_flash_cnt[3027][5]~q\ & (!\led_flash_cnt[3027][4]~69265\ & VCC))
-- \led_flash_cnt[3027][5]~69267\ = CARRY((\led_flash_cnt[3027][5]~q\ & !\led_flash_cnt[3027][4]~69265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3027][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3027][4]~69265\,
	combout => \led_flash_cnt[3027][5]~69266_combout\,
	cout => \led_flash_cnt[3027][5]~69267\);

-- Location: FF_X30_Y34_N15
\led_flash_cnt[3027][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3027][5]~69266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3027][5]~q\);

-- Location: LCCOMB_X30_Y34_N16
\led_flash_cnt[3027][6]~69268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3027][6]~69268_combout\ = (\led_flash_cnt[3027][6]~q\ & (!\led_flash_cnt[3027][5]~69267\)) # (!\led_flash_cnt[3027][6]~q\ & ((\led_flash_cnt[3027][5]~69267\) # (GND)))
-- \led_flash_cnt[3027][6]~69269\ = CARRY((!\led_flash_cnt[3027][5]~69267\) # (!\led_flash_cnt[3027][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3027][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3027][5]~69267\,
	combout => \led_flash_cnt[3027][6]~69268_combout\,
	cout => \led_flash_cnt[3027][6]~69269\);

-- Location: FF_X30_Y34_N17
\led_flash_cnt[3027][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3027][6]~69268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3027][6]~q\);

-- Location: LCCOMB_X30_Y34_N18
\led_flash_cnt[3027][7]~69270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3027][7]~69270_combout\ = \led_flash_cnt[3027][7]~q\ $ (!\led_flash_cnt[3027][6]~69269\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3027][7]~q\,
	cin => \led_flash_cnt[3027][6]~69269\,
	combout => \led_flash_cnt[3027][7]~69270_combout\);

-- Location: FF_X30_Y34_N19
\led_flash_cnt[3027][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3027][7]~69270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3027][7]~q\);

-- Location: LCCOMB_X30_Y34_N20
\WideAnd3027~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3027~1_combout\ = (\led_flash_cnt[3027][5]~q\ & \led_flash_cnt[3027][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3027][5]~q\,
	datad => \led_flash_cnt[3027][6]~q\,
	combout => \WideAnd3027~1_combout\);

-- Location: LCCOMB_X30_Y34_N2
\WideAnd3027~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3027~0_combout\ = (\led_flash_cnt[3027][4]~q\ & (\led_flash_cnt[3027][3]~q\ & (\led_flash_cnt[3027][2]~q\ & \led_flash_cnt[3027][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3027][4]~q\,
	datab => \led_flash_cnt[3027][3]~q\,
	datac => \led_flash_cnt[3027][2]~q\,
	datad => \led_flash_cnt[3027][1]~q\,
	combout => \WideAnd3027~0_combout\);

-- Location: LCCOMB_X30_Y34_N4
WideAnd3027 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3027~combout\ = (\led_flash_cnt[3027][7]~q\ & (\WideAnd3027~1_combout\ & (\led_flash_cnt[3027][0]~q\ & \WideAnd3027~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3027][7]~q\,
	datab => \WideAnd3027~1_combout\,
	datac => \led_flash_cnt[3027][0]~q\,
	datad => \WideAnd3027~0_combout\,
	combout => \WideAnd3027~combout\);

-- Location: FF_X30_Y34_N5
\led_flash_cnt_ands[3027]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3027~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3027));

-- Location: LCCOMB_X32_Y35_N10
\led_flash_cnt[3024][0]~83664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3024][0]~83664_combout\ = !\led_flash_cnt[3024][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3024][0]~q\,
	combout => \led_flash_cnt[3024][0]~83664_combout\);

-- Location: FF_X32_Y35_N11
\led_flash_cnt[3024][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3024][0]~83664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3024][0]~q\);

-- Location: LCCOMB_X32_Y35_N16
\led_flash_cnt[3024][1]~69216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3024][1]~69216_combout\ = (\led_flash_cnt[3024][0]~q\ & (\led_flash_cnt[3024][1]~q\ $ (VCC))) # (!\led_flash_cnt[3024][0]~q\ & (\led_flash_cnt[3024][1]~q\ & VCC))
-- \led_flash_cnt[3024][1]~69217\ = CARRY((\led_flash_cnt[3024][0]~q\ & \led_flash_cnt[3024][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3024][0]~q\,
	datab => \led_flash_cnt[3024][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3024][1]~69216_combout\,
	cout => \led_flash_cnt[3024][1]~69217\);

-- Location: FF_X32_Y35_N17
\led_flash_cnt[3024][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3024][1]~69216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3024][1]~q\);

-- Location: LCCOMB_X32_Y35_N18
\led_flash_cnt[3024][2]~69218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3024][2]~69218_combout\ = (\led_flash_cnt[3024][2]~q\ & (!\led_flash_cnt[3024][1]~69217\)) # (!\led_flash_cnt[3024][2]~q\ & ((\led_flash_cnt[3024][1]~69217\) # (GND)))
-- \led_flash_cnt[3024][2]~69219\ = CARRY((!\led_flash_cnt[3024][1]~69217\) # (!\led_flash_cnt[3024][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3024][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3024][1]~69217\,
	combout => \led_flash_cnt[3024][2]~69218_combout\,
	cout => \led_flash_cnt[3024][2]~69219\);

-- Location: FF_X32_Y35_N19
\led_flash_cnt[3024][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3024][2]~69218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3024][2]~q\);

-- Location: LCCOMB_X32_Y35_N20
\led_flash_cnt[3024][3]~69220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3024][3]~69220_combout\ = (\led_flash_cnt[3024][3]~q\ & (\led_flash_cnt[3024][2]~69219\ $ (GND))) # (!\led_flash_cnt[3024][3]~q\ & (!\led_flash_cnt[3024][2]~69219\ & VCC))
-- \led_flash_cnt[3024][3]~69221\ = CARRY((\led_flash_cnt[3024][3]~q\ & !\led_flash_cnt[3024][2]~69219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3024][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3024][2]~69219\,
	combout => \led_flash_cnt[3024][3]~69220_combout\,
	cout => \led_flash_cnt[3024][3]~69221\);

-- Location: FF_X32_Y35_N21
\led_flash_cnt[3024][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3024][3]~69220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3024][3]~q\);

-- Location: LCCOMB_X32_Y35_N22
\led_flash_cnt[3024][4]~69222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3024][4]~69222_combout\ = (\led_flash_cnt[3024][4]~q\ & (!\led_flash_cnt[3024][3]~69221\)) # (!\led_flash_cnt[3024][4]~q\ & ((\led_flash_cnt[3024][3]~69221\) # (GND)))
-- \led_flash_cnt[3024][4]~69223\ = CARRY((!\led_flash_cnt[3024][3]~69221\) # (!\led_flash_cnt[3024][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3024][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3024][3]~69221\,
	combout => \led_flash_cnt[3024][4]~69222_combout\,
	cout => \led_flash_cnt[3024][4]~69223\);

-- Location: FF_X32_Y35_N23
\led_flash_cnt[3024][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3024][4]~69222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3024][4]~q\);

-- Location: LCCOMB_X32_Y35_N24
\led_flash_cnt[3024][5]~69224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3024][5]~69224_combout\ = (\led_flash_cnt[3024][5]~q\ & (\led_flash_cnt[3024][4]~69223\ $ (GND))) # (!\led_flash_cnt[3024][5]~q\ & (!\led_flash_cnt[3024][4]~69223\ & VCC))
-- \led_flash_cnt[3024][5]~69225\ = CARRY((\led_flash_cnt[3024][5]~q\ & !\led_flash_cnt[3024][4]~69223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3024][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3024][4]~69223\,
	combout => \led_flash_cnt[3024][5]~69224_combout\,
	cout => \led_flash_cnt[3024][5]~69225\);

-- Location: FF_X32_Y35_N25
\led_flash_cnt[3024][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3024][5]~69224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3024][5]~q\);

-- Location: LCCOMB_X32_Y35_N26
\led_flash_cnt[3024][6]~69226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3024][6]~69226_combout\ = (\led_flash_cnt[3024][6]~q\ & (!\led_flash_cnt[3024][5]~69225\)) # (!\led_flash_cnt[3024][6]~q\ & ((\led_flash_cnt[3024][5]~69225\) # (GND)))
-- \led_flash_cnt[3024][6]~69227\ = CARRY((!\led_flash_cnt[3024][5]~69225\) # (!\led_flash_cnt[3024][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3024][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3024][5]~69225\,
	combout => \led_flash_cnt[3024][6]~69226_combout\,
	cout => \led_flash_cnt[3024][6]~69227\);

-- Location: FF_X32_Y35_N27
\led_flash_cnt[3024][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3024][6]~69226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3024][6]~q\);

-- Location: LCCOMB_X32_Y35_N28
\led_flash_cnt[3024][7]~69228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3024][7]~69228_combout\ = \led_flash_cnt[3024][6]~69227\ $ (!\led_flash_cnt[3024][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3024][7]~q\,
	cin => \led_flash_cnt[3024][6]~69227\,
	combout => \led_flash_cnt[3024][7]~69228_combout\);

-- Location: FF_X32_Y35_N29
\led_flash_cnt[3024][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3024][7]~69228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3024][7]~q\);

-- Location: LCCOMB_X32_Y35_N8
\WideAnd3024~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3024~1_combout\ = (\led_flash_cnt[3024][6]~q\ & \led_flash_cnt[3024][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3024][6]~q\,
	datad => \led_flash_cnt[3024][5]~q\,
	combout => \WideAnd3024~1_combout\);

-- Location: LCCOMB_X32_Y35_N12
\WideAnd3024~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3024~0_combout\ = (\led_flash_cnt[3024][1]~q\ & (\led_flash_cnt[3024][3]~q\ & (\led_flash_cnt[3024][4]~q\ & \led_flash_cnt[3024][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3024][1]~q\,
	datab => \led_flash_cnt[3024][3]~q\,
	datac => \led_flash_cnt[3024][4]~q\,
	datad => \led_flash_cnt[3024][2]~q\,
	combout => \WideAnd3024~0_combout\);

-- Location: LCCOMB_X32_Y35_N30
WideAnd3024 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3024~combout\ = (\led_flash_cnt[3024][0]~q\ & (\led_flash_cnt[3024][7]~q\ & (\WideAnd3024~1_combout\ & \WideAnd3024~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3024][0]~q\,
	datab => \led_flash_cnt[3024][7]~q\,
	datac => \WideAnd3024~1_combout\,
	datad => \WideAnd3024~0_combout\,
	combout => \WideAnd3024~combout\);

-- Location: FF_X32_Y35_N31
\led_flash_cnt_ands[3024]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3024~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3024));

-- Location: LCCOMB_X31_Y34_N4
\WideAnd4218~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4218~0_combout\ = (led_flash_cnt_ands(3026) & (led_flash_cnt_ands(3025) & (led_flash_cnt_ands(3027) & led_flash_cnt_ands(3024))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3026),
	datab => led_flash_cnt_ands(3025),
	datac => led_flash_cnt_ands(3027),
	datad => led_flash_cnt_ands(3024),
	combout => \WideAnd4218~0_combout\);

-- Location: LCCOMB_X42_Y36_N6
\led_flash_cnt[3031][0]~83671\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3031][0]~83671_combout\ = !\led_flash_cnt[3031][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3031][0]~q\,
	combout => \led_flash_cnt[3031][0]~83671_combout\);

-- Location: FF_X42_Y36_N7
\led_flash_cnt[3031][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3031][0]~83671_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3031][0]~q\);

-- Location: LCCOMB_X43_Y36_N18
\led_flash_cnt[3031][1]~69314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3031][1]~69314_combout\ = (\led_flash_cnt[3031][0]~q\ & (\led_flash_cnt[3031][1]~q\ $ (VCC))) # (!\led_flash_cnt[3031][0]~q\ & (\led_flash_cnt[3031][1]~q\ & VCC))
-- \led_flash_cnt[3031][1]~69315\ = CARRY((\led_flash_cnt[3031][0]~q\ & \led_flash_cnt[3031][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3031][0]~q\,
	datab => \led_flash_cnt[3031][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3031][1]~69314_combout\,
	cout => \led_flash_cnt[3031][1]~69315\);

-- Location: FF_X43_Y36_N19
\led_flash_cnt[3031][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3031][1]~69314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3031][1]~q\);

-- Location: LCCOMB_X43_Y36_N20
\led_flash_cnt[3031][2]~69316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3031][2]~69316_combout\ = (\led_flash_cnt[3031][2]~q\ & (!\led_flash_cnt[3031][1]~69315\)) # (!\led_flash_cnt[3031][2]~q\ & ((\led_flash_cnt[3031][1]~69315\) # (GND)))
-- \led_flash_cnt[3031][2]~69317\ = CARRY((!\led_flash_cnt[3031][1]~69315\) # (!\led_flash_cnt[3031][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3031][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3031][1]~69315\,
	combout => \led_flash_cnt[3031][2]~69316_combout\,
	cout => \led_flash_cnt[3031][2]~69317\);

-- Location: FF_X43_Y36_N21
\led_flash_cnt[3031][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3031][2]~69316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3031][2]~q\);

-- Location: LCCOMB_X43_Y36_N22
\led_flash_cnt[3031][3]~69318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3031][3]~69318_combout\ = (\led_flash_cnt[3031][3]~q\ & (\led_flash_cnt[3031][2]~69317\ $ (GND))) # (!\led_flash_cnt[3031][3]~q\ & (!\led_flash_cnt[3031][2]~69317\ & VCC))
-- \led_flash_cnt[3031][3]~69319\ = CARRY((\led_flash_cnt[3031][3]~q\ & !\led_flash_cnt[3031][2]~69317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3031][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3031][2]~69317\,
	combout => \led_flash_cnt[3031][3]~69318_combout\,
	cout => \led_flash_cnt[3031][3]~69319\);

-- Location: FF_X43_Y36_N23
\led_flash_cnt[3031][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3031][3]~69318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3031][3]~q\);

-- Location: LCCOMB_X43_Y36_N24
\led_flash_cnt[3031][4]~69320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3031][4]~69320_combout\ = (\led_flash_cnt[3031][4]~q\ & (!\led_flash_cnt[3031][3]~69319\)) # (!\led_flash_cnt[3031][4]~q\ & ((\led_flash_cnt[3031][3]~69319\) # (GND)))
-- \led_flash_cnt[3031][4]~69321\ = CARRY((!\led_flash_cnt[3031][3]~69319\) # (!\led_flash_cnt[3031][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3031][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3031][3]~69319\,
	combout => \led_flash_cnt[3031][4]~69320_combout\,
	cout => \led_flash_cnt[3031][4]~69321\);

-- Location: FF_X43_Y36_N25
\led_flash_cnt[3031][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3031][4]~69320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3031][4]~q\);

-- Location: LCCOMB_X43_Y36_N26
\led_flash_cnt[3031][5]~69322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3031][5]~69322_combout\ = (\led_flash_cnt[3031][5]~q\ & (\led_flash_cnt[3031][4]~69321\ $ (GND))) # (!\led_flash_cnt[3031][5]~q\ & (!\led_flash_cnt[3031][4]~69321\ & VCC))
-- \led_flash_cnt[3031][5]~69323\ = CARRY((\led_flash_cnt[3031][5]~q\ & !\led_flash_cnt[3031][4]~69321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3031][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3031][4]~69321\,
	combout => \led_flash_cnt[3031][5]~69322_combout\,
	cout => \led_flash_cnt[3031][5]~69323\);

-- Location: FF_X43_Y36_N27
\led_flash_cnt[3031][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3031][5]~69322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3031][5]~q\);

-- Location: LCCOMB_X43_Y36_N28
\led_flash_cnt[3031][6]~69324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3031][6]~69324_combout\ = (\led_flash_cnt[3031][6]~q\ & (!\led_flash_cnt[3031][5]~69323\)) # (!\led_flash_cnt[3031][6]~q\ & ((\led_flash_cnt[3031][5]~69323\) # (GND)))
-- \led_flash_cnt[3031][6]~69325\ = CARRY((!\led_flash_cnt[3031][5]~69323\) # (!\led_flash_cnt[3031][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3031][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3031][5]~69323\,
	combout => \led_flash_cnt[3031][6]~69324_combout\,
	cout => \led_flash_cnt[3031][6]~69325\);

-- Location: FF_X43_Y36_N29
\led_flash_cnt[3031][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3031][6]~69324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3031][6]~q\);

-- Location: LCCOMB_X42_Y36_N12
\WideAnd3031~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3031~1_combout\ = (\led_flash_cnt[3031][5]~q\ & \led_flash_cnt[3031][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3031][5]~q\,
	datad => \led_flash_cnt[3031][6]~q\,
	combout => \WideAnd3031~1_combout\);

-- Location: LCCOMB_X43_Y36_N0
\WideAnd3031~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3031~0_combout\ = (\led_flash_cnt[3031][1]~q\ & (\led_flash_cnt[3031][4]~q\ & (\led_flash_cnt[3031][3]~q\ & \led_flash_cnt[3031][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3031][1]~q\,
	datab => \led_flash_cnt[3031][4]~q\,
	datac => \led_flash_cnt[3031][3]~q\,
	datad => \led_flash_cnt[3031][2]~q\,
	combout => \WideAnd3031~0_combout\);

-- Location: LCCOMB_X43_Y36_N30
\led_flash_cnt[3031][7]~69326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3031][7]~69326_combout\ = \led_flash_cnt[3031][7]~q\ $ (!\led_flash_cnt[3031][6]~69325\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3031][7]~q\,
	cin => \led_flash_cnt[3031][6]~69325\,
	combout => \led_flash_cnt[3031][7]~69326_combout\);

-- Location: FF_X43_Y36_N31
\led_flash_cnt[3031][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3031][7]~69326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3031][7]~q\);

-- Location: LCCOMB_X42_Y36_N2
WideAnd3031 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3031~combout\ = (\WideAnd3031~1_combout\ & (\WideAnd3031~0_combout\ & (\led_flash_cnt[3031][7]~q\ & \led_flash_cnt[3031][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3031~1_combout\,
	datab => \WideAnd3031~0_combout\,
	datac => \led_flash_cnt[3031][7]~q\,
	datad => \led_flash_cnt[3031][0]~q\,
	combout => \WideAnd3031~combout\);

-- Location: FF_X42_Y36_N3
\led_flash_cnt_ands[3031]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3031~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3031));

-- Location: LCCOMB_X42_Y36_N8
WideAnd4218 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4218~combout\ = (led_flash_cnt_ands(3030) & (\WideAnd4218~1_combout\ & (\WideAnd4218~0_combout\ & led_flash_cnt_ands(3031))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3030),
	datab => \WideAnd4218~1_combout\,
	datac => \WideAnd4218~0_combout\,
	datad => led_flash_cnt_ands(3031),
	combout => \WideAnd4218~combout\);

-- Location: FF_X42_Y36_N9
\led_flash_cnt_ands_1[378]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4218~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(378));

-- Location: LCCOMB_X57_Y31_N6
\led_flash_cnt[3039][0]~83679\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3039][0]~83679_combout\ = !\led_flash_cnt[3039][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3039][0]~q\,
	combout => \led_flash_cnt[3039][0]~83679_combout\);

-- Location: FF_X57_Y31_N7
\led_flash_cnt[3039][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3039][0]~83679_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3039][0]~q\);

-- Location: LCCOMB_X58_Y31_N18
\led_flash_cnt[3039][1]~69426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3039][1]~69426_combout\ = (\led_flash_cnt[3039][0]~q\ & (\led_flash_cnt[3039][1]~q\ $ (VCC))) # (!\led_flash_cnt[3039][0]~q\ & (\led_flash_cnt[3039][1]~q\ & VCC))
-- \led_flash_cnt[3039][1]~69427\ = CARRY((\led_flash_cnt[3039][0]~q\ & \led_flash_cnt[3039][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3039][0]~q\,
	datab => \led_flash_cnt[3039][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3039][1]~69426_combout\,
	cout => \led_flash_cnt[3039][1]~69427\);

-- Location: FF_X58_Y31_N19
\led_flash_cnt[3039][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3039][1]~69426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3039][1]~q\);

-- Location: LCCOMB_X58_Y31_N20
\led_flash_cnt[3039][2]~69428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3039][2]~69428_combout\ = (\led_flash_cnt[3039][2]~q\ & (!\led_flash_cnt[3039][1]~69427\)) # (!\led_flash_cnt[3039][2]~q\ & ((\led_flash_cnt[3039][1]~69427\) # (GND)))
-- \led_flash_cnt[3039][2]~69429\ = CARRY((!\led_flash_cnt[3039][1]~69427\) # (!\led_flash_cnt[3039][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3039][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3039][1]~69427\,
	combout => \led_flash_cnt[3039][2]~69428_combout\,
	cout => \led_flash_cnt[3039][2]~69429\);

-- Location: FF_X58_Y31_N21
\led_flash_cnt[3039][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3039][2]~69428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3039][2]~q\);

-- Location: LCCOMB_X58_Y31_N22
\led_flash_cnt[3039][3]~69430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3039][3]~69430_combout\ = (\led_flash_cnt[3039][3]~q\ & (\led_flash_cnt[3039][2]~69429\ $ (GND))) # (!\led_flash_cnt[3039][3]~q\ & (!\led_flash_cnt[3039][2]~69429\ & VCC))
-- \led_flash_cnt[3039][3]~69431\ = CARRY((\led_flash_cnt[3039][3]~q\ & !\led_flash_cnt[3039][2]~69429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3039][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3039][2]~69429\,
	combout => \led_flash_cnt[3039][3]~69430_combout\,
	cout => \led_flash_cnt[3039][3]~69431\);

-- Location: FF_X58_Y31_N23
\led_flash_cnt[3039][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3039][3]~69430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3039][3]~q\);

-- Location: LCCOMB_X58_Y31_N24
\led_flash_cnt[3039][4]~69432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3039][4]~69432_combout\ = (\led_flash_cnt[3039][4]~q\ & (!\led_flash_cnt[3039][3]~69431\)) # (!\led_flash_cnt[3039][4]~q\ & ((\led_flash_cnt[3039][3]~69431\) # (GND)))
-- \led_flash_cnt[3039][4]~69433\ = CARRY((!\led_flash_cnt[3039][3]~69431\) # (!\led_flash_cnt[3039][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3039][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3039][3]~69431\,
	combout => \led_flash_cnt[3039][4]~69432_combout\,
	cout => \led_flash_cnt[3039][4]~69433\);

-- Location: FF_X58_Y31_N25
\led_flash_cnt[3039][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3039][4]~69432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3039][4]~q\);

-- Location: LCCOMB_X58_Y31_N26
\led_flash_cnt[3039][5]~69434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3039][5]~69434_combout\ = (\led_flash_cnt[3039][5]~q\ & (\led_flash_cnt[3039][4]~69433\ $ (GND))) # (!\led_flash_cnt[3039][5]~q\ & (!\led_flash_cnt[3039][4]~69433\ & VCC))
-- \led_flash_cnt[3039][5]~69435\ = CARRY((\led_flash_cnt[3039][5]~q\ & !\led_flash_cnt[3039][4]~69433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3039][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3039][4]~69433\,
	combout => \led_flash_cnt[3039][5]~69434_combout\,
	cout => \led_flash_cnt[3039][5]~69435\);

-- Location: FF_X58_Y31_N27
\led_flash_cnt[3039][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3039][5]~69434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3039][5]~q\);

-- Location: LCCOMB_X58_Y31_N28
\led_flash_cnt[3039][6]~69436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3039][6]~69436_combout\ = (\led_flash_cnt[3039][6]~q\ & (!\led_flash_cnt[3039][5]~69435\)) # (!\led_flash_cnt[3039][6]~q\ & ((\led_flash_cnt[3039][5]~69435\) # (GND)))
-- \led_flash_cnt[3039][6]~69437\ = CARRY((!\led_flash_cnt[3039][5]~69435\) # (!\led_flash_cnt[3039][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3039][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3039][5]~69435\,
	combout => \led_flash_cnt[3039][6]~69436_combout\,
	cout => \led_flash_cnt[3039][6]~69437\);

-- Location: FF_X58_Y31_N29
\led_flash_cnt[3039][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3039][6]~69436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3039][6]~q\);

-- Location: LCCOMB_X57_Y31_N10
\WideAnd3039~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3039~1_combout\ = (\led_flash_cnt[3039][6]~q\ & \led_flash_cnt[3039][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3039][6]~q\,
	datad => \led_flash_cnt[3039][5]~q\,
	combout => \WideAnd3039~1_combout\);

-- Location: LCCOMB_X58_Y31_N0
\WideAnd3039~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3039~0_combout\ = (\led_flash_cnt[3039][4]~q\ & (\led_flash_cnt[3039][2]~q\ & (\led_flash_cnt[3039][3]~q\ & \led_flash_cnt[3039][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3039][4]~q\,
	datab => \led_flash_cnt[3039][2]~q\,
	datac => \led_flash_cnt[3039][3]~q\,
	datad => \led_flash_cnt[3039][1]~q\,
	combout => \WideAnd3039~0_combout\);

-- Location: LCCOMB_X58_Y31_N30
\led_flash_cnt[3039][7]~69438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3039][7]~69438_combout\ = \led_flash_cnt[3039][7]~q\ $ (!\led_flash_cnt[3039][6]~69437\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3039][7]~q\,
	cin => \led_flash_cnt[3039][6]~69437\,
	combout => \led_flash_cnt[3039][7]~69438_combout\);

-- Location: FF_X58_Y31_N31
\led_flash_cnt[3039][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3039][7]~69438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3039][7]~q\);

-- Location: LCCOMB_X57_Y31_N30
WideAnd3039 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3039~combout\ = (\WideAnd3039~1_combout\ & (\WideAnd3039~0_combout\ & (\led_flash_cnt[3039][7]~q\ & \led_flash_cnt[3039][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3039~1_combout\,
	datab => \WideAnd3039~0_combout\,
	datac => \led_flash_cnt[3039][7]~q\,
	datad => \led_flash_cnt[3039][0]~q\,
	combout => \WideAnd3039~combout\);

-- Location: FF_X57_Y31_N31
\led_flash_cnt_ands[3039]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3039~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3039));

-- Location: LCCOMB_X56_Y33_N18
\led_flash_cnt[3036][0]~83676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3036][0]~83676_combout\ = !\led_flash_cnt[3036][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3036][0]~q\,
	combout => \led_flash_cnt[3036][0]~83676_combout\);

-- Location: FF_X56_Y33_N19
\led_flash_cnt[3036][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3036][0]~83676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3036][0]~q\);

-- Location: LCCOMB_X56_Y33_N2
\led_flash_cnt[3036][1]~69384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3036][1]~69384_combout\ = (\led_flash_cnt[3036][1]~q\ & (\led_flash_cnt[3036][0]~q\ $ (VCC))) # (!\led_flash_cnt[3036][1]~q\ & (\led_flash_cnt[3036][0]~q\ & VCC))
-- \led_flash_cnt[3036][1]~69385\ = CARRY((\led_flash_cnt[3036][1]~q\ & \led_flash_cnt[3036][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3036][1]~q\,
	datab => \led_flash_cnt[3036][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3036][1]~69384_combout\,
	cout => \led_flash_cnt[3036][1]~69385\);

-- Location: FF_X56_Y33_N3
\led_flash_cnt[3036][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3036][1]~69384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3036][1]~q\);

-- Location: LCCOMB_X56_Y33_N4
\led_flash_cnt[3036][2]~69386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3036][2]~69386_combout\ = (\led_flash_cnt[3036][2]~q\ & (!\led_flash_cnt[3036][1]~69385\)) # (!\led_flash_cnt[3036][2]~q\ & ((\led_flash_cnt[3036][1]~69385\) # (GND)))
-- \led_flash_cnt[3036][2]~69387\ = CARRY((!\led_flash_cnt[3036][1]~69385\) # (!\led_flash_cnt[3036][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3036][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3036][1]~69385\,
	combout => \led_flash_cnt[3036][2]~69386_combout\,
	cout => \led_flash_cnt[3036][2]~69387\);

-- Location: FF_X56_Y33_N5
\led_flash_cnt[3036][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3036][2]~69386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3036][2]~q\);

-- Location: LCCOMB_X56_Y33_N6
\led_flash_cnt[3036][3]~69388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3036][3]~69388_combout\ = (\led_flash_cnt[3036][3]~q\ & (\led_flash_cnt[3036][2]~69387\ $ (GND))) # (!\led_flash_cnt[3036][3]~q\ & (!\led_flash_cnt[3036][2]~69387\ & VCC))
-- \led_flash_cnt[3036][3]~69389\ = CARRY((\led_flash_cnt[3036][3]~q\ & !\led_flash_cnt[3036][2]~69387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3036][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3036][2]~69387\,
	combout => \led_flash_cnt[3036][3]~69388_combout\,
	cout => \led_flash_cnt[3036][3]~69389\);

-- Location: FF_X56_Y33_N7
\led_flash_cnt[3036][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3036][3]~69388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3036][3]~q\);

-- Location: LCCOMB_X56_Y33_N8
\led_flash_cnt[3036][4]~69390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3036][4]~69390_combout\ = (\led_flash_cnt[3036][4]~q\ & (!\led_flash_cnt[3036][3]~69389\)) # (!\led_flash_cnt[3036][4]~q\ & ((\led_flash_cnt[3036][3]~69389\) # (GND)))
-- \led_flash_cnt[3036][4]~69391\ = CARRY((!\led_flash_cnt[3036][3]~69389\) # (!\led_flash_cnt[3036][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3036][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3036][3]~69389\,
	combout => \led_flash_cnt[3036][4]~69390_combout\,
	cout => \led_flash_cnt[3036][4]~69391\);

-- Location: FF_X56_Y33_N9
\led_flash_cnt[3036][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3036][4]~69390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3036][4]~q\);

-- Location: LCCOMB_X56_Y33_N10
\led_flash_cnt[3036][5]~69392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3036][5]~69392_combout\ = (\led_flash_cnt[3036][5]~q\ & (\led_flash_cnt[3036][4]~69391\ $ (GND))) # (!\led_flash_cnt[3036][5]~q\ & (!\led_flash_cnt[3036][4]~69391\ & VCC))
-- \led_flash_cnt[3036][5]~69393\ = CARRY((\led_flash_cnt[3036][5]~q\ & !\led_flash_cnt[3036][4]~69391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3036][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3036][4]~69391\,
	combout => \led_flash_cnt[3036][5]~69392_combout\,
	cout => \led_flash_cnt[3036][5]~69393\);

-- Location: FF_X56_Y33_N11
\led_flash_cnt[3036][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3036][5]~69392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3036][5]~q\);

-- Location: LCCOMB_X56_Y33_N12
\led_flash_cnt[3036][6]~69394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3036][6]~69394_combout\ = (\led_flash_cnt[3036][6]~q\ & (!\led_flash_cnt[3036][5]~69393\)) # (!\led_flash_cnt[3036][6]~q\ & ((\led_flash_cnt[3036][5]~69393\) # (GND)))
-- \led_flash_cnt[3036][6]~69395\ = CARRY((!\led_flash_cnt[3036][5]~69393\) # (!\led_flash_cnt[3036][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3036][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3036][5]~69393\,
	combout => \led_flash_cnt[3036][6]~69394_combout\,
	cout => \led_flash_cnt[3036][6]~69395\);

-- Location: FF_X56_Y33_N13
\led_flash_cnt[3036][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3036][6]~69394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3036][6]~q\);

-- Location: LCCOMB_X56_Y33_N26
\WideAnd3036~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3036~1_combout\ = (\led_flash_cnt[3036][5]~q\ & \led_flash_cnt[3036][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3036][5]~q\,
	datad => \led_flash_cnt[3036][6]~q\,
	combout => \WideAnd3036~1_combout\);

-- Location: LCCOMB_X56_Y33_N28
\WideAnd3036~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3036~0_combout\ = (\led_flash_cnt[3036][3]~q\ & (\led_flash_cnt[3036][4]~q\ & (\led_flash_cnt[3036][2]~q\ & \led_flash_cnt[3036][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3036][3]~q\,
	datab => \led_flash_cnt[3036][4]~q\,
	datac => \led_flash_cnt[3036][2]~q\,
	datad => \led_flash_cnt[3036][1]~q\,
	combout => \WideAnd3036~0_combout\);

-- Location: LCCOMB_X56_Y33_N14
\led_flash_cnt[3036][7]~69396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3036][7]~69396_combout\ = \led_flash_cnt[3036][7]~q\ $ (!\led_flash_cnt[3036][6]~69395\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3036][7]~q\,
	cin => \led_flash_cnt[3036][6]~69395\,
	combout => \led_flash_cnt[3036][7]~69396_combout\);

-- Location: FF_X56_Y33_N15
\led_flash_cnt[3036][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3036][7]~69396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3036][7]~q\);

-- Location: LCCOMB_X56_Y33_N30
WideAnd3036 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3036~combout\ = (\WideAnd3036~1_combout\ & (\WideAnd3036~0_combout\ & (\led_flash_cnt[3036][7]~q\ & \led_flash_cnt[3036][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3036~1_combout\,
	datab => \WideAnd3036~0_combout\,
	datac => \led_flash_cnt[3036][7]~q\,
	datad => \led_flash_cnt[3036][0]~q\,
	combout => \WideAnd3036~combout\);

-- Location: FF_X56_Y33_N31
\led_flash_cnt_ands[3036]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3036~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3036));

-- Location: LCCOMB_X37_Y32_N28
\led_flash_cnt[3037][0]~83677\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3037][0]~83677_combout\ = !\led_flash_cnt[3037][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3037][0]~q\,
	combout => \led_flash_cnt[3037][0]~83677_combout\);

-- Location: FF_X37_Y32_N29
\led_flash_cnt[3037][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3037][0]~83677_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3037][0]~q\);

-- Location: LCCOMB_X36_Y32_N0
\led_flash_cnt[3037][1]~69398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3037][1]~69398_combout\ = (\led_flash_cnt[3037][1]~q\ & (\led_flash_cnt[3037][0]~q\ $ (VCC))) # (!\led_flash_cnt[3037][1]~q\ & (\led_flash_cnt[3037][0]~q\ & VCC))
-- \led_flash_cnt[3037][1]~69399\ = CARRY((\led_flash_cnt[3037][1]~q\ & \led_flash_cnt[3037][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3037][1]~q\,
	datab => \led_flash_cnt[3037][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3037][1]~69398_combout\,
	cout => \led_flash_cnt[3037][1]~69399\);

-- Location: FF_X36_Y32_N1
\led_flash_cnt[3037][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3037][1]~69398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3037][1]~q\);

-- Location: LCCOMB_X36_Y32_N2
\led_flash_cnt[3037][2]~69400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3037][2]~69400_combout\ = (\led_flash_cnt[3037][2]~q\ & (!\led_flash_cnt[3037][1]~69399\)) # (!\led_flash_cnt[3037][2]~q\ & ((\led_flash_cnt[3037][1]~69399\) # (GND)))
-- \led_flash_cnt[3037][2]~69401\ = CARRY((!\led_flash_cnt[3037][1]~69399\) # (!\led_flash_cnt[3037][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3037][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3037][1]~69399\,
	combout => \led_flash_cnt[3037][2]~69400_combout\,
	cout => \led_flash_cnt[3037][2]~69401\);

-- Location: FF_X36_Y32_N3
\led_flash_cnt[3037][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3037][2]~69400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3037][2]~q\);

-- Location: LCCOMB_X36_Y32_N4
\led_flash_cnt[3037][3]~69402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3037][3]~69402_combout\ = (\led_flash_cnt[3037][3]~q\ & (\led_flash_cnt[3037][2]~69401\ $ (GND))) # (!\led_flash_cnt[3037][3]~q\ & (!\led_flash_cnt[3037][2]~69401\ & VCC))
-- \led_flash_cnt[3037][3]~69403\ = CARRY((\led_flash_cnt[3037][3]~q\ & !\led_flash_cnt[3037][2]~69401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3037][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3037][2]~69401\,
	combout => \led_flash_cnt[3037][3]~69402_combout\,
	cout => \led_flash_cnt[3037][3]~69403\);

-- Location: FF_X36_Y32_N5
\led_flash_cnt[3037][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3037][3]~69402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3037][3]~q\);

-- Location: LCCOMB_X36_Y32_N6
\led_flash_cnt[3037][4]~69404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3037][4]~69404_combout\ = (\led_flash_cnt[3037][4]~q\ & (!\led_flash_cnt[3037][3]~69403\)) # (!\led_flash_cnt[3037][4]~q\ & ((\led_flash_cnt[3037][3]~69403\) # (GND)))
-- \led_flash_cnt[3037][4]~69405\ = CARRY((!\led_flash_cnt[3037][3]~69403\) # (!\led_flash_cnt[3037][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3037][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3037][3]~69403\,
	combout => \led_flash_cnt[3037][4]~69404_combout\,
	cout => \led_flash_cnt[3037][4]~69405\);

-- Location: FF_X36_Y32_N7
\led_flash_cnt[3037][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3037][4]~69404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3037][4]~q\);

-- Location: LCCOMB_X36_Y32_N8
\led_flash_cnt[3037][5]~69406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3037][5]~69406_combout\ = (\led_flash_cnt[3037][5]~q\ & (\led_flash_cnt[3037][4]~69405\ $ (GND))) # (!\led_flash_cnt[3037][5]~q\ & (!\led_flash_cnt[3037][4]~69405\ & VCC))
-- \led_flash_cnt[3037][5]~69407\ = CARRY((\led_flash_cnt[3037][5]~q\ & !\led_flash_cnt[3037][4]~69405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3037][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3037][4]~69405\,
	combout => \led_flash_cnt[3037][5]~69406_combout\,
	cout => \led_flash_cnt[3037][5]~69407\);

-- Location: FF_X36_Y32_N9
\led_flash_cnt[3037][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3037][5]~69406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3037][5]~q\);

-- Location: LCCOMB_X36_Y32_N10
\led_flash_cnt[3037][6]~69408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3037][6]~69408_combout\ = (\led_flash_cnt[3037][6]~q\ & (!\led_flash_cnt[3037][5]~69407\)) # (!\led_flash_cnt[3037][6]~q\ & ((\led_flash_cnt[3037][5]~69407\) # (GND)))
-- \led_flash_cnt[3037][6]~69409\ = CARRY((!\led_flash_cnt[3037][5]~69407\) # (!\led_flash_cnt[3037][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3037][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3037][5]~69407\,
	combout => \led_flash_cnt[3037][6]~69408_combout\,
	cout => \led_flash_cnt[3037][6]~69409\);

-- Location: FF_X36_Y32_N11
\led_flash_cnt[3037][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3037][6]~69408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3037][6]~q\);

-- Location: LCCOMB_X36_Y32_N12
\led_flash_cnt[3037][7]~69410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3037][7]~69410_combout\ = \led_flash_cnt[3037][6]~69409\ $ (!\led_flash_cnt[3037][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3037][7]~q\,
	cin => \led_flash_cnt[3037][6]~69409\,
	combout => \led_flash_cnt[3037][7]~69410_combout\);

-- Location: FF_X36_Y32_N13
\led_flash_cnt[3037][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3037][7]~69410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3037][7]~q\);

-- Location: LCCOMB_X37_Y32_N20
\WideAnd3037~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3037~1_combout\ = (\led_flash_cnt[3037][6]~q\ & \led_flash_cnt[3037][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3037][6]~q\,
	datad => \led_flash_cnt[3037][5]~q\,
	combout => \WideAnd3037~1_combout\);

-- Location: LCCOMB_X37_Y32_N22
\WideAnd3037~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3037~0_combout\ = (\led_flash_cnt[3037][1]~q\ & (\led_flash_cnt[3037][4]~q\ & (\led_flash_cnt[3037][3]~q\ & \led_flash_cnt[3037][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3037][1]~q\,
	datab => \led_flash_cnt[3037][4]~q\,
	datac => \led_flash_cnt[3037][3]~q\,
	datad => \led_flash_cnt[3037][2]~q\,
	combout => \WideAnd3037~0_combout\);

-- Location: LCCOMB_X37_Y32_N26
WideAnd3037 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3037~combout\ = (\led_flash_cnt[3037][7]~q\ & (\WideAnd3037~1_combout\ & (\WideAnd3037~0_combout\ & \led_flash_cnt[3037][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3037][7]~q\,
	datab => \WideAnd3037~1_combout\,
	datac => \WideAnd3037~0_combout\,
	datad => \led_flash_cnt[3037][0]~q\,
	combout => \WideAnd3037~combout\);

-- Location: FF_X37_Y32_N27
\led_flash_cnt_ands[3037]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3037~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3037));

-- Location: LCCOMB_X56_Y32_N30
\WideAnd4219~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4219~1_combout\ = (led_flash_cnt_ands(3036) & led_flash_cnt_ands(3037))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3036),
	datad => led_flash_cnt_ands(3037),
	combout => \WideAnd4219~1_combout\);

-- Location: LCCOMB_X57_Y35_N6
\led_flash_cnt[3035][0]~83675\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3035][0]~83675_combout\ = !\led_flash_cnt[3035][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3035][0]~q\,
	combout => \led_flash_cnt[3035][0]~83675_combout\);

-- Location: FF_X57_Y35_N7
\led_flash_cnt[3035][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3035][0]~83675_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3035][0]~q\);

-- Location: LCCOMB_X58_Y35_N18
\led_flash_cnt[3035][1]~69370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3035][1]~69370_combout\ = (\led_flash_cnt[3035][0]~q\ & (\led_flash_cnt[3035][1]~q\ $ (VCC))) # (!\led_flash_cnt[3035][0]~q\ & (\led_flash_cnt[3035][1]~q\ & VCC))
-- \led_flash_cnt[3035][1]~69371\ = CARRY((\led_flash_cnt[3035][0]~q\ & \led_flash_cnt[3035][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3035][0]~q\,
	datab => \led_flash_cnt[3035][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3035][1]~69370_combout\,
	cout => \led_flash_cnt[3035][1]~69371\);

-- Location: FF_X58_Y35_N19
\led_flash_cnt[3035][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3035][1]~69370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3035][1]~q\);

-- Location: LCCOMB_X58_Y35_N20
\led_flash_cnt[3035][2]~69372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3035][2]~69372_combout\ = (\led_flash_cnt[3035][2]~q\ & (!\led_flash_cnt[3035][1]~69371\)) # (!\led_flash_cnt[3035][2]~q\ & ((\led_flash_cnt[3035][1]~69371\) # (GND)))
-- \led_flash_cnt[3035][2]~69373\ = CARRY((!\led_flash_cnt[3035][1]~69371\) # (!\led_flash_cnt[3035][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3035][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3035][1]~69371\,
	combout => \led_flash_cnt[3035][2]~69372_combout\,
	cout => \led_flash_cnt[3035][2]~69373\);

-- Location: FF_X58_Y35_N21
\led_flash_cnt[3035][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3035][2]~69372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3035][2]~q\);

-- Location: LCCOMB_X58_Y35_N22
\led_flash_cnt[3035][3]~69374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3035][3]~69374_combout\ = (\led_flash_cnt[3035][3]~q\ & (\led_flash_cnt[3035][2]~69373\ $ (GND))) # (!\led_flash_cnt[3035][3]~q\ & (!\led_flash_cnt[3035][2]~69373\ & VCC))
-- \led_flash_cnt[3035][3]~69375\ = CARRY((\led_flash_cnt[3035][3]~q\ & !\led_flash_cnt[3035][2]~69373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3035][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3035][2]~69373\,
	combout => \led_flash_cnt[3035][3]~69374_combout\,
	cout => \led_flash_cnt[3035][3]~69375\);

-- Location: FF_X58_Y35_N23
\led_flash_cnt[3035][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3035][3]~69374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3035][3]~q\);

-- Location: LCCOMB_X58_Y35_N24
\led_flash_cnt[3035][4]~69376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3035][4]~69376_combout\ = (\led_flash_cnt[3035][4]~q\ & (!\led_flash_cnt[3035][3]~69375\)) # (!\led_flash_cnt[3035][4]~q\ & ((\led_flash_cnt[3035][3]~69375\) # (GND)))
-- \led_flash_cnt[3035][4]~69377\ = CARRY((!\led_flash_cnt[3035][3]~69375\) # (!\led_flash_cnt[3035][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3035][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3035][3]~69375\,
	combout => \led_flash_cnt[3035][4]~69376_combout\,
	cout => \led_flash_cnt[3035][4]~69377\);

-- Location: FF_X58_Y35_N25
\led_flash_cnt[3035][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3035][4]~69376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3035][4]~q\);

-- Location: LCCOMB_X58_Y35_N0
\WideAnd3035~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3035~0_combout\ = (\led_flash_cnt[3035][1]~q\ & (\led_flash_cnt[3035][2]~q\ & (\led_flash_cnt[3035][3]~q\ & \led_flash_cnt[3035][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3035][1]~q\,
	datab => \led_flash_cnt[3035][2]~q\,
	datac => \led_flash_cnt[3035][3]~q\,
	datad => \led_flash_cnt[3035][4]~q\,
	combout => \WideAnd3035~0_combout\);

-- Location: LCCOMB_X58_Y35_N26
\led_flash_cnt[3035][5]~69378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3035][5]~69378_combout\ = (\led_flash_cnt[3035][5]~q\ & (\led_flash_cnt[3035][4]~69377\ $ (GND))) # (!\led_flash_cnt[3035][5]~q\ & (!\led_flash_cnt[3035][4]~69377\ & VCC))
-- \led_flash_cnt[3035][5]~69379\ = CARRY((\led_flash_cnt[3035][5]~q\ & !\led_flash_cnt[3035][4]~69377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3035][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3035][4]~69377\,
	combout => \led_flash_cnt[3035][5]~69378_combout\,
	cout => \led_flash_cnt[3035][5]~69379\);

-- Location: FF_X58_Y35_N27
\led_flash_cnt[3035][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3035][5]~69378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3035][5]~q\);

-- Location: LCCOMB_X58_Y35_N28
\led_flash_cnt[3035][6]~69380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3035][6]~69380_combout\ = (\led_flash_cnt[3035][6]~q\ & (!\led_flash_cnt[3035][5]~69379\)) # (!\led_flash_cnt[3035][6]~q\ & ((\led_flash_cnt[3035][5]~69379\) # (GND)))
-- \led_flash_cnt[3035][6]~69381\ = CARRY((!\led_flash_cnt[3035][5]~69379\) # (!\led_flash_cnt[3035][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3035][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3035][5]~69379\,
	combout => \led_flash_cnt[3035][6]~69380_combout\,
	cout => \led_flash_cnt[3035][6]~69381\);

-- Location: FF_X58_Y35_N29
\led_flash_cnt[3035][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3035][6]~69380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3035][6]~q\);

-- Location: LCCOMB_X58_Y35_N30
\led_flash_cnt[3035][7]~69382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3035][7]~69382_combout\ = \led_flash_cnt[3035][7]~q\ $ (!\led_flash_cnt[3035][6]~69381\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3035][7]~q\,
	cin => \led_flash_cnt[3035][6]~69381\,
	combout => \led_flash_cnt[3035][7]~69382_combout\);

-- Location: FF_X58_Y35_N31
\led_flash_cnt[3035][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3035][7]~69382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3035][7]~q\);

-- Location: LCCOMB_X57_Y35_N0
\WideAnd3035~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3035~1_combout\ = (\led_flash_cnt[3035][6]~q\ & \led_flash_cnt[3035][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3035][6]~q\,
	datad => \led_flash_cnt[3035][5]~q\,
	combout => \WideAnd3035~1_combout\);

-- Location: LCCOMB_X57_Y35_N26
WideAnd3035 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3035~combout\ = (\led_flash_cnt[3035][0]~q\ & (\WideAnd3035~0_combout\ & (\led_flash_cnt[3035][7]~q\ & \WideAnd3035~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3035][0]~q\,
	datab => \WideAnd3035~0_combout\,
	datac => \led_flash_cnt[3035][7]~q\,
	datad => \WideAnd3035~1_combout\,
	combout => \WideAnd3035~combout\);

-- Location: FF_X57_Y35_N27
\led_flash_cnt_ands[3035]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3035~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3035));

-- Location: LCCOMB_X57_Y35_N2
\led_flash_cnt[3032][0]~83672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3032][0]~83672_combout\ = !\led_flash_cnt[3032][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3032][0]~q\,
	combout => \led_flash_cnt[3032][0]~83672_combout\);

-- Location: FF_X57_Y35_N3
\led_flash_cnt[3032][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3032][0]~83672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3032][0]~q\);

-- Location: LCCOMB_X57_Y35_N10
\led_flash_cnt[3032][1]~69328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3032][1]~69328_combout\ = (\led_flash_cnt[3032][1]~q\ & (\led_flash_cnt[3032][0]~q\ $ (VCC))) # (!\led_flash_cnt[3032][1]~q\ & (\led_flash_cnt[3032][0]~q\ & VCC))
-- \led_flash_cnt[3032][1]~69329\ = CARRY((\led_flash_cnt[3032][1]~q\ & \led_flash_cnt[3032][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3032][1]~q\,
	datab => \led_flash_cnt[3032][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3032][1]~69328_combout\,
	cout => \led_flash_cnt[3032][1]~69329\);

-- Location: FF_X57_Y35_N11
\led_flash_cnt[3032][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3032][1]~69328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3032][1]~q\);

-- Location: LCCOMB_X57_Y35_N12
\led_flash_cnt[3032][2]~69330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3032][2]~69330_combout\ = (\led_flash_cnt[3032][2]~q\ & (!\led_flash_cnt[3032][1]~69329\)) # (!\led_flash_cnt[3032][2]~q\ & ((\led_flash_cnt[3032][1]~69329\) # (GND)))
-- \led_flash_cnt[3032][2]~69331\ = CARRY((!\led_flash_cnt[3032][1]~69329\) # (!\led_flash_cnt[3032][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3032][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3032][1]~69329\,
	combout => \led_flash_cnt[3032][2]~69330_combout\,
	cout => \led_flash_cnt[3032][2]~69331\);

-- Location: FF_X57_Y35_N13
\led_flash_cnt[3032][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3032][2]~69330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3032][2]~q\);

-- Location: LCCOMB_X57_Y35_N14
\led_flash_cnt[3032][3]~69332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3032][3]~69332_combout\ = (\led_flash_cnt[3032][3]~q\ & (\led_flash_cnt[3032][2]~69331\ $ (GND))) # (!\led_flash_cnt[3032][3]~q\ & (!\led_flash_cnt[3032][2]~69331\ & VCC))
-- \led_flash_cnt[3032][3]~69333\ = CARRY((\led_flash_cnt[3032][3]~q\ & !\led_flash_cnt[3032][2]~69331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3032][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3032][2]~69331\,
	combout => \led_flash_cnt[3032][3]~69332_combout\,
	cout => \led_flash_cnt[3032][3]~69333\);

-- Location: FF_X57_Y35_N15
\led_flash_cnt[3032][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3032][3]~69332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3032][3]~q\);

-- Location: LCCOMB_X57_Y35_N16
\led_flash_cnt[3032][4]~69334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3032][4]~69334_combout\ = (\led_flash_cnt[3032][4]~q\ & (!\led_flash_cnt[3032][3]~69333\)) # (!\led_flash_cnt[3032][4]~q\ & ((\led_flash_cnt[3032][3]~69333\) # (GND)))
-- \led_flash_cnt[3032][4]~69335\ = CARRY((!\led_flash_cnt[3032][3]~69333\) # (!\led_flash_cnt[3032][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3032][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3032][3]~69333\,
	combout => \led_flash_cnt[3032][4]~69334_combout\,
	cout => \led_flash_cnt[3032][4]~69335\);

-- Location: FF_X57_Y35_N17
\led_flash_cnt[3032][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3032][4]~69334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3032][4]~q\);

-- Location: LCCOMB_X57_Y35_N18
\led_flash_cnt[3032][5]~69336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3032][5]~69336_combout\ = (\led_flash_cnt[3032][5]~q\ & (\led_flash_cnt[3032][4]~69335\ $ (GND))) # (!\led_flash_cnt[3032][5]~q\ & (!\led_flash_cnt[3032][4]~69335\ & VCC))
-- \led_flash_cnt[3032][5]~69337\ = CARRY((\led_flash_cnt[3032][5]~q\ & !\led_flash_cnt[3032][4]~69335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3032][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3032][4]~69335\,
	combout => \led_flash_cnt[3032][5]~69336_combout\,
	cout => \led_flash_cnt[3032][5]~69337\);

-- Location: FF_X57_Y35_N19
\led_flash_cnt[3032][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3032][5]~69336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3032][5]~q\);

-- Location: LCCOMB_X57_Y35_N20
\led_flash_cnt[3032][6]~69338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3032][6]~69338_combout\ = (\led_flash_cnt[3032][6]~q\ & (!\led_flash_cnt[3032][5]~69337\)) # (!\led_flash_cnt[3032][6]~q\ & ((\led_flash_cnt[3032][5]~69337\) # (GND)))
-- \led_flash_cnt[3032][6]~69339\ = CARRY((!\led_flash_cnt[3032][5]~69337\) # (!\led_flash_cnt[3032][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3032][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3032][5]~69337\,
	combout => \led_flash_cnt[3032][6]~69338_combout\,
	cout => \led_flash_cnt[3032][6]~69339\);

-- Location: FF_X57_Y35_N21
\led_flash_cnt[3032][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3032][6]~69338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3032][6]~q\);

-- Location: LCCOMB_X57_Y35_N30
\WideAnd3032~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3032~1_combout\ = (\led_flash_cnt[3032][6]~q\ & \led_flash_cnt[3032][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3032][6]~q\,
	datad => \led_flash_cnt[3032][5]~q\,
	combout => \WideAnd3032~1_combout\);

-- Location: LCCOMB_X57_Y35_N22
\led_flash_cnt[3032][7]~69340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3032][7]~69340_combout\ = \led_flash_cnt[3032][7]~q\ $ (!\led_flash_cnt[3032][6]~69339\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3032][7]~q\,
	cin => \led_flash_cnt[3032][6]~69339\,
	combout => \led_flash_cnt[3032][7]~69340_combout\);

-- Location: FF_X57_Y35_N23
\led_flash_cnt[3032][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3032][7]~69340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3032][7]~q\);

-- Location: LCCOMB_X57_Y35_N28
\WideAnd3032~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3032~0_combout\ = (\led_flash_cnt[3032][2]~q\ & (\led_flash_cnt[3032][4]~q\ & (\led_flash_cnt[3032][3]~q\ & \led_flash_cnt[3032][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3032][2]~q\,
	datab => \led_flash_cnt[3032][4]~q\,
	datac => \led_flash_cnt[3032][3]~q\,
	datad => \led_flash_cnt[3032][1]~q\,
	combout => \WideAnd3032~0_combout\);

-- Location: LCCOMB_X57_Y35_N24
WideAnd3032 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3032~combout\ = (\WideAnd3032~1_combout\ & (\led_flash_cnt[3032][0]~q\ & (\led_flash_cnt[3032][7]~q\ & \WideAnd3032~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3032~1_combout\,
	datab => \led_flash_cnt[3032][0]~q\,
	datac => \led_flash_cnt[3032][7]~q\,
	datad => \WideAnd3032~0_combout\,
	combout => \WideAnd3032~combout\);

-- Location: FF_X57_Y35_N25
\led_flash_cnt_ands[3032]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3032~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3032));

-- Location: LCCOMB_X54_Y33_N18
\led_flash_cnt[3033][0]~83673\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3033][0]~83673_combout\ = !\led_flash_cnt[3033][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3033][0]~q\,
	combout => \led_flash_cnt[3033][0]~83673_combout\);

-- Location: FF_X54_Y33_N19
\led_flash_cnt[3033][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3033][0]~83673_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3033][0]~q\);

-- Location: LCCOMB_X55_Y33_N16
\led_flash_cnt[3033][1]~69342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3033][1]~69342_combout\ = (\led_flash_cnt[3033][0]~q\ & (\led_flash_cnt[3033][1]~q\ $ (VCC))) # (!\led_flash_cnt[3033][0]~q\ & (\led_flash_cnt[3033][1]~q\ & VCC))
-- \led_flash_cnt[3033][1]~69343\ = CARRY((\led_flash_cnt[3033][0]~q\ & \led_flash_cnt[3033][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3033][0]~q\,
	datab => \led_flash_cnt[3033][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3033][1]~69342_combout\,
	cout => \led_flash_cnt[3033][1]~69343\);

-- Location: FF_X55_Y33_N17
\led_flash_cnt[3033][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3033][1]~69342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3033][1]~q\);

-- Location: LCCOMB_X55_Y33_N18
\led_flash_cnt[3033][2]~69344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3033][2]~69344_combout\ = (\led_flash_cnt[3033][2]~q\ & (!\led_flash_cnt[3033][1]~69343\)) # (!\led_flash_cnt[3033][2]~q\ & ((\led_flash_cnt[3033][1]~69343\) # (GND)))
-- \led_flash_cnt[3033][2]~69345\ = CARRY((!\led_flash_cnt[3033][1]~69343\) # (!\led_flash_cnt[3033][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3033][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3033][1]~69343\,
	combout => \led_flash_cnt[3033][2]~69344_combout\,
	cout => \led_flash_cnt[3033][2]~69345\);

-- Location: FF_X55_Y33_N19
\led_flash_cnt[3033][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3033][2]~69344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3033][2]~q\);

-- Location: LCCOMB_X55_Y33_N20
\led_flash_cnt[3033][3]~69346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3033][3]~69346_combout\ = (\led_flash_cnt[3033][3]~q\ & (\led_flash_cnt[3033][2]~69345\ $ (GND))) # (!\led_flash_cnt[3033][3]~q\ & (!\led_flash_cnt[3033][2]~69345\ & VCC))
-- \led_flash_cnt[3033][3]~69347\ = CARRY((\led_flash_cnt[3033][3]~q\ & !\led_flash_cnt[3033][2]~69345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3033][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3033][2]~69345\,
	combout => \led_flash_cnt[3033][3]~69346_combout\,
	cout => \led_flash_cnt[3033][3]~69347\);

-- Location: FF_X55_Y33_N21
\led_flash_cnt[3033][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3033][3]~69346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3033][3]~q\);

-- Location: LCCOMB_X55_Y33_N22
\led_flash_cnt[3033][4]~69348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3033][4]~69348_combout\ = (\led_flash_cnt[3033][4]~q\ & (!\led_flash_cnt[3033][3]~69347\)) # (!\led_flash_cnt[3033][4]~q\ & ((\led_flash_cnt[3033][3]~69347\) # (GND)))
-- \led_flash_cnt[3033][4]~69349\ = CARRY((!\led_flash_cnt[3033][3]~69347\) # (!\led_flash_cnt[3033][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3033][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3033][3]~69347\,
	combout => \led_flash_cnt[3033][4]~69348_combout\,
	cout => \led_flash_cnt[3033][4]~69349\);

-- Location: FF_X55_Y33_N23
\led_flash_cnt[3033][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3033][4]~69348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3033][4]~q\);

-- Location: LCCOMB_X55_Y33_N30
\WideAnd3033~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3033~0_combout\ = (\led_flash_cnt[3033][1]~q\ & (\led_flash_cnt[3033][3]~q\ & (\led_flash_cnt[3033][4]~q\ & \led_flash_cnt[3033][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3033][1]~q\,
	datab => \led_flash_cnt[3033][3]~q\,
	datac => \led_flash_cnt[3033][4]~q\,
	datad => \led_flash_cnt[3033][2]~q\,
	combout => \WideAnd3033~0_combout\);

-- Location: LCCOMB_X55_Y33_N24
\led_flash_cnt[3033][5]~69350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3033][5]~69350_combout\ = (\led_flash_cnt[3033][5]~q\ & (\led_flash_cnt[3033][4]~69349\ $ (GND))) # (!\led_flash_cnt[3033][5]~q\ & (!\led_flash_cnt[3033][4]~69349\ & VCC))
-- \led_flash_cnt[3033][5]~69351\ = CARRY((\led_flash_cnt[3033][5]~q\ & !\led_flash_cnt[3033][4]~69349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3033][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3033][4]~69349\,
	combout => \led_flash_cnt[3033][5]~69350_combout\,
	cout => \led_flash_cnt[3033][5]~69351\);

-- Location: FF_X55_Y33_N25
\led_flash_cnt[3033][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3033][5]~69350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3033][5]~q\);

-- Location: LCCOMB_X55_Y33_N26
\led_flash_cnt[3033][6]~69352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3033][6]~69352_combout\ = (\led_flash_cnt[3033][6]~q\ & (!\led_flash_cnt[3033][5]~69351\)) # (!\led_flash_cnt[3033][6]~q\ & ((\led_flash_cnt[3033][5]~69351\) # (GND)))
-- \led_flash_cnt[3033][6]~69353\ = CARRY((!\led_flash_cnt[3033][5]~69351\) # (!\led_flash_cnt[3033][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3033][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3033][5]~69351\,
	combout => \led_flash_cnt[3033][6]~69352_combout\,
	cout => \led_flash_cnt[3033][6]~69353\);

-- Location: FF_X55_Y33_N27
\led_flash_cnt[3033][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3033][6]~69352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3033][6]~q\);

-- Location: LCCOMB_X54_Y33_N22
\WideAnd3033~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3033~1_combout\ = (\led_flash_cnt[3033][6]~q\ & \led_flash_cnt[3033][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3033][6]~q\,
	datad => \led_flash_cnt[3033][5]~q\,
	combout => \WideAnd3033~1_combout\);

-- Location: LCCOMB_X55_Y33_N28
\led_flash_cnt[3033][7]~69354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3033][7]~69354_combout\ = \led_flash_cnt[3033][6]~69353\ $ (!\led_flash_cnt[3033][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3033][7]~q\,
	cin => \led_flash_cnt[3033][6]~69353\,
	combout => \led_flash_cnt[3033][7]~69354_combout\);

-- Location: FF_X55_Y33_N29
\led_flash_cnt[3033][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3033][7]~69354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3033][7]~q\);

-- Location: LCCOMB_X54_Y33_N24
WideAnd3033 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3033~combout\ = (\WideAnd3033~0_combout\ & (\led_flash_cnt[3033][0]~q\ & (\WideAnd3033~1_combout\ & \led_flash_cnt[3033][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3033~0_combout\,
	datab => \led_flash_cnt[3033][0]~q\,
	datac => \WideAnd3033~1_combout\,
	datad => \led_flash_cnt[3033][7]~q\,
	combout => \WideAnd3033~combout\);

-- Location: FF_X54_Y33_N25
\led_flash_cnt_ands[3033]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3033~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3033));

-- Location: LCCOMB_X49_Y38_N8
\led_flash_cnt[3034][0]~83674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3034][0]~83674_combout\ = !\led_flash_cnt[3034][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3034][0]~q\,
	combout => \led_flash_cnt[3034][0]~83674_combout\);

-- Location: FF_X49_Y38_N9
\led_flash_cnt[3034][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3034][0]~83674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3034][0]~q\);

-- Location: LCCOMB_X50_Y38_N18
\led_flash_cnt[3034][1]~69356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3034][1]~69356_combout\ = (\led_flash_cnt[3034][0]~q\ & (\led_flash_cnt[3034][1]~q\ $ (VCC))) # (!\led_flash_cnt[3034][0]~q\ & (\led_flash_cnt[3034][1]~q\ & VCC))
-- \led_flash_cnt[3034][1]~69357\ = CARRY((\led_flash_cnt[3034][0]~q\ & \led_flash_cnt[3034][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3034][0]~q\,
	datab => \led_flash_cnt[3034][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3034][1]~69356_combout\,
	cout => \led_flash_cnt[3034][1]~69357\);

-- Location: FF_X50_Y38_N19
\led_flash_cnt[3034][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3034][1]~69356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3034][1]~q\);

-- Location: LCCOMB_X50_Y38_N20
\led_flash_cnt[3034][2]~69358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3034][2]~69358_combout\ = (\led_flash_cnt[3034][2]~q\ & (!\led_flash_cnt[3034][1]~69357\)) # (!\led_flash_cnt[3034][2]~q\ & ((\led_flash_cnt[3034][1]~69357\) # (GND)))
-- \led_flash_cnt[3034][2]~69359\ = CARRY((!\led_flash_cnt[3034][1]~69357\) # (!\led_flash_cnt[3034][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3034][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3034][1]~69357\,
	combout => \led_flash_cnt[3034][2]~69358_combout\,
	cout => \led_flash_cnt[3034][2]~69359\);

-- Location: FF_X50_Y38_N21
\led_flash_cnt[3034][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3034][2]~69358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3034][2]~q\);

-- Location: LCCOMB_X50_Y38_N22
\led_flash_cnt[3034][3]~69360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3034][3]~69360_combout\ = (\led_flash_cnt[3034][3]~q\ & (\led_flash_cnt[3034][2]~69359\ $ (GND))) # (!\led_flash_cnt[3034][3]~q\ & (!\led_flash_cnt[3034][2]~69359\ & VCC))
-- \led_flash_cnt[3034][3]~69361\ = CARRY((\led_flash_cnt[3034][3]~q\ & !\led_flash_cnt[3034][2]~69359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3034][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3034][2]~69359\,
	combout => \led_flash_cnt[3034][3]~69360_combout\,
	cout => \led_flash_cnt[3034][3]~69361\);

-- Location: FF_X50_Y38_N23
\led_flash_cnt[3034][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3034][3]~69360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3034][3]~q\);

-- Location: LCCOMB_X50_Y38_N24
\led_flash_cnt[3034][4]~69362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3034][4]~69362_combout\ = (\led_flash_cnt[3034][4]~q\ & (!\led_flash_cnt[3034][3]~69361\)) # (!\led_flash_cnt[3034][4]~q\ & ((\led_flash_cnt[3034][3]~69361\) # (GND)))
-- \led_flash_cnt[3034][4]~69363\ = CARRY((!\led_flash_cnt[3034][3]~69361\) # (!\led_flash_cnt[3034][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3034][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3034][3]~69361\,
	combout => \led_flash_cnt[3034][4]~69362_combout\,
	cout => \led_flash_cnt[3034][4]~69363\);

-- Location: FF_X50_Y38_N25
\led_flash_cnt[3034][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3034][4]~69362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3034][4]~q\);

-- Location: LCCOMB_X50_Y38_N26
\led_flash_cnt[3034][5]~69364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3034][5]~69364_combout\ = (\led_flash_cnt[3034][5]~q\ & (\led_flash_cnt[3034][4]~69363\ $ (GND))) # (!\led_flash_cnt[3034][5]~q\ & (!\led_flash_cnt[3034][4]~69363\ & VCC))
-- \led_flash_cnt[3034][5]~69365\ = CARRY((\led_flash_cnt[3034][5]~q\ & !\led_flash_cnt[3034][4]~69363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3034][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3034][4]~69363\,
	combout => \led_flash_cnt[3034][5]~69364_combout\,
	cout => \led_flash_cnt[3034][5]~69365\);

-- Location: FF_X50_Y38_N27
\led_flash_cnt[3034][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3034][5]~69364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3034][5]~q\);

-- Location: LCCOMB_X50_Y38_N28
\led_flash_cnt[3034][6]~69366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3034][6]~69366_combout\ = (\led_flash_cnt[3034][6]~q\ & (!\led_flash_cnt[3034][5]~69365\)) # (!\led_flash_cnt[3034][6]~q\ & ((\led_flash_cnt[3034][5]~69365\) # (GND)))
-- \led_flash_cnt[3034][6]~69367\ = CARRY((!\led_flash_cnt[3034][5]~69365\) # (!\led_flash_cnt[3034][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3034][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3034][5]~69365\,
	combout => \led_flash_cnt[3034][6]~69366_combout\,
	cout => \led_flash_cnt[3034][6]~69367\);

-- Location: FF_X50_Y38_N29
\led_flash_cnt[3034][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3034][6]~69366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3034][6]~q\);

-- Location: LCCOMB_X50_Y38_N30
\led_flash_cnt[3034][7]~69368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3034][7]~69368_combout\ = \led_flash_cnt[3034][7]~q\ $ (!\led_flash_cnt[3034][6]~69367\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3034][7]~q\,
	cin => \led_flash_cnt[3034][6]~69367\,
	combout => \led_flash_cnt[3034][7]~69368_combout\);

-- Location: FF_X50_Y38_N31
\led_flash_cnt[3034][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3034][7]~69368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3034][7]~q\);

-- Location: LCCOMB_X50_Y38_N0
\WideAnd3034~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3034~0_combout\ = (\led_flash_cnt[3034][4]~q\ & (\led_flash_cnt[3034][2]~q\ & (\led_flash_cnt[3034][3]~q\ & \led_flash_cnt[3034][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3034][4]~q\,
	datab => \led_flash_cnt[3034][2]~q\,
	datac => \led_flash_cnt[3034][3]~q\,
	datad => \led_flash_cnt[3034][1]~q\,
	combout => \WideAnd3034~0_combout\);

-- Location: LCCOMB_X49_Y38_N10
\WideAnd3034~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3034~1_combout\ = (\led_flash_cnt[3034][5]~q\ & \led_flash_cnt[3034][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3034][5]~q\,
	datad => \led_flash_cnt[3034][6]~q\,
	combout => \WideAnd3034~1_combout\);

-- Location: LCCOMB_X49_Y38_N4
WideAnd3034 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3034~combout\ = (\led_flash_cnt[3034][7]~q\ & (\led_flash_cnt[3034][0]~q\ & (\WideAnd3034~0_combout\ & \WideAnd3034~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3034][7]~q\,
	datab => \led_flash_cnt[3034][0]~q\,
	datac => \WideAnd3034~0_combout\,
	datad => \WideAnd3034~1_combout\,
	combout => \WideAnd3034~combout\);

-- Location: FF_X49_Y38_N5
\led_flash_cnt_ands[3034]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3034~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3034));

-- Location: LCCOMB_X57_Y35_N8
\WideAnd4219~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4219~0_combout\ = (led_flash_cnt_ands(3035) & (led_flash_cnt_ands(3032) & (led_flash_cnt_ands(3033) & led_flash_cnt_ands(3034))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3035),
	datab => led_flash_cnt_ands(3032),
	datac => led_flash_cnt_ands(3033),
	datad => led_flash_cnt_ands(3034),
	combout => \WideAnd4219~0_combout\);

-- Location: LCCOMB_X57_Y31_N12
\led_flash_cnt[3038][0]~83678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3038][0]~83678_combout\ = !\led_flash_cnt[3038][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3038][0]~q\,
	combout => \led_flash_cnt[3038][0]~83678_combout\);

-- Location: FF_X57_Y31_N13
\led_flash_cnt[3038][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3038][0]~83678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3038][0]~q\);

-- Location: LCCOMB_X57_Y31_N14
\led_flash_cnt[3038][1]~69412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3038][1]~69412_combout\ = (\led_flash_cnt[3038][0]~q\ & (\led_flash_cnt[3038][1]~q\ $ (VCC))) # (!\led_flash_cnt[3038][0]~q\ & (\led_flash_cnt[3038][1]~q\ & VCC))
-- \led_flash_cnt[3038][1]~69413\ = CARRY((\led_flash_cnt[3038][0]~q\ & \led_flash_cnt[3038][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3038][0]~q\,
	datab => \led_flash_cnt[3038][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3038][1]~69412_combout\,
	cout => \led_flash_cnt[3038][1]~69413\);

-- Location: FF_X57_Y31_N15
\led_flash_cnt[3038][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3038][1]~69412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3038][1]~q\);

-- Location: LCCOMB_X57_Y31_N16
\led_flash_cnt[3038][2]~69414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3038][2]~69414_combout\ = (\led_flash_cnt[3038][2]~q\ & (!\led_flash_cnt[3038][1]~69413\)) # (!\led_flash_cnt[3038][2]~q\ & ((\led_flash_cnt[3038][1]~69413\) # (GND)))
-- \led_flash_cnt[3038][2]~69415\ = CARRY((!\led_flash_cnt[3038][1]~69413\) # (!\led_flash_cnt[3038][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3038][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3038][1]~69413\,
	combout => \led_flash_cnt[3038][2]~69414_combout\,
	cout => \led_flash_cnt[3038][2]~69415\);

-- Location: FF_X57_Y31_N17
\led_flash_cnt[3038][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3038][2]~69414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3038][2]~q\);

-- Location: LCCOMB_X57_Y31_N18
\led_flash_cnt[3038][3]~69416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3038][3]~69416_combout\ = (\led_flash_cnt[3038][3]~q\ & (\led_flash_cnt[3038][2]~69415\ $ (GND))) # (!\led_flash_cnt[3038][3]~q\ & (!\led_flash_cnt[3038][2]~69415\ & VCC))
-- \led_flash_cnt[3038][3]~69417\ = CARRY((\led_flash_cnt[3038][3]~q\ & !\led_flash_cnt[3038][2]~69415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3038][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3038][2]~69415\,
	combout => \led_flash_cnt[3038][3]~69416_combout\,
	cout => \led_flash_cnt[3038][3]~69417\);

-- Location: FF_X57_Y31_N19
\led_flash_cnt[3038][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3038][3]~69416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3038][3]~q\);

-- Location: LCCOMB_X57_Y31_N20
\led_flash_cnt[3038][4]~69418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3038][4]~69418_combout\ = (\led_flash_cnt[3038][4]~q\ & (!\led_flash_cnt[3038][3]~69417\)) # (!\led_flash_cnt[3038][4]~q\ & ((\led_flash_cnt[3038][3]~69417\) # (GND)))
-- \led_flash_cnt[3038][4]~69419\ = CARRY((!\led_flash_cnt[3038][3]~69417\) # (!\led_flash_cnt[3038][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3038][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3038][3]~69417\,
	combout => \led_flash_cnt[3038][4]~69418_combout\,
	cout => \led_flash_cnt[3038][4]~69419\);

-- Location: FF_X57_Y31_N21
\led_flash_cnt[3038][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3038][4]~69418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3038][4]~q\);

-- Location: LCCOMB_X57_Y31_N22
\led_flash_cnt[3038][5]~69420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3038][5]~69420_combout\ = (\led_flash_cnt[3038][5]~q\ & (\led_flash_cnt[3038][4]~69419\ $ (GND))) # (!\led_flash_cnt[3038][5]~q\ & (!\led_flash_cnt[3038][4]~69419\ & VCC))
-- \led_flash_cnt[3038][5]~69421\ = CARRY((\led_flash_cnt[3038][5]~q\ & !\led_flash_cnt[3038][4]~69419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3038][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3038][4]~69419\,
	combout => \led_flash_cnt[3038][5]~69420_combout\,
	cout => \led_flash_cnt[3038][5]~69421\);

-- Location: FF_X57_Y31_N23
\led_flash_cnt[3038][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3038][5]~69420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3038][5]~q\);

-- Location: LCCOMB_X57_Y31_N24
\led_flash_cnt[3038][6]~69422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3038][6]~69422_combout\ = (\led_flash_cnt[3038][6]~q\ & (!\led_flash_cnt[3038][5]~69421\)) # (!\led_flash_cnt[3038][6]~q\ & ((\led_flash_cnt[3038][5]~69421\) # (GND)))
-- \led_flash_cnt[3038][6]~69423\ = CARRY((!\led_flash_cnt[3038][5]~69421\) # (!\led_flash_cnt[3038][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3038][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3038][5]~69421\,
	combout => \led_flash_cnt[3038][6]~69422_combout\,
	cout => \led_flash_cnt[3038][6]~69423\);

-- Location: FF_X57_Y31_N25
\led_flash_cnt[3038][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3038][6]~69422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3038][6]~q\);

-- Location: LCCOMB_X57_Y31_N26
\led_flash_cnt[3038][7]~69424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3038][7]~69424_combout\ = \led_flash_cnt[3038][7]~q\ $ (!\led_flash_cnt[3038][6]~69423\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3038][7]~q\,
	cin => \led_flash_cnt[3038][6]~69423\,
	combout => \led_flash_cnt[3038][7]~69424_combout\);

-- Location: FF_X57_Y31_N27
\led_flash_cnt[3038][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3038][7]~69424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3038][7]~q\);

-- Location: LCCOMB_X57_Y31_N28
\WideAnd3038~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3038~1_combout\ = (\led_flash_cnt[3038][5]~q\ & \led_flash_cnt[3038][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3038][5]~q\,
	datad => \led_flash_cnt[3038][6]~q\,
	combout => \WideAnd3038~1_combout\);

-- Location: LCCOMB_X57_Y31_N4
\WideAnd3038~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3038~0_combout\ = (\led_flash_cnt[3038][2]~q\ & (\led_flash_cnt[3038][3]~q\ & (\led_flash_cnt[3038][1]~q\ & \led_flash_cnt[3038][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3038][2]~q\,
	datab => \led_flash_cnt[3038][3]~q\,
	datac => \led_flash_cnt[3038][1]~q\,
	datad => \led_flash_cnt[3038][4]~q\,
	combout => \WideAnd3038~0_combout\);

-- Location: LCCOMB_X57_Y31_N0
WideAnd3038 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3038~combout\ = (\led_flash_cnt[3038][7]~q\ & (\WideAnd3038~1_combout\ & (\WideAnd3038~0_combout\ & \led_flash_cnt[3038][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3038][7]~q\,
	datab => \WideAnd3038~1_combout\,
	datac => \WideAnd3038~0_combout\,
	datad => \led_flash_cnt[3038][0]~q\,
	combout => \WideAnd3038~combout\);

-- Location: FF_X57_Y31_N1
\led_flash_cnt_ands[3038]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3038~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3038));

-- Location: LCCOMB_X57_Y31_N8
WideAnd4219 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4219~combout\ = (led_flash_cnt_ands(3039) & (\WideAnd4219~1_combout\ & (\WideAnd4219~0_combout\ & led_flash_cnt_ands(3038))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3039),
	datab => \WideAnd4219~1_combout\,
	datac => \WideAnd4219~0_combout\,
	datad => led_flash_cnt_ands(3038),
	combout => \WideAnd4219~combout\);

-- Location: FF_X57_Y31_N9
\led_flash_cnt_ands_1[379]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4219~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(379));

-- Location: LCCOMB_X25_Y33_N0
\led_flash_cnt[3011][0]~83651\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3011][0]~83651_combout\ = !\led_flash_cnt[3011][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3011][0]~q\,
	combout => \led_flash_cnt[3011][0]~83651_combout\);

-- Location: FF_X25_Y33_N1
\led_flash_cnt[3011][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3011][0]~83651_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3011][0]~q\);

-- Location: LCCOMB_X25_Y33_N10
\led_flash_cnt[3011][1]~69034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3011][1]~69034_combout\ = (\led_flash_cnt[3011][1]~q\ & (\led_flash_cnt[3011][0]~q\ $ (VCC))) # (!\led_flash_cnt[3011][1]~q\ & (\led_flash_cnt[3011][0]~q\ & VCC))
-- \led_flash_cnt[3011][1]~69035\ = CARRY((\led_flash_cnt[3011][1]~q\ & \led_flash_cnt[3011][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3011][1]~q\,
	datab => \led_flash_cnt[3011][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3011][1]~69034_combout\,
	cout => \led_flash_cnt[3011][1]~69035\);

-- Location: FF_X25_Y33_N11
\led_flash_cnt[3011][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3011][1]~69034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3011][1]~q\);

-- Location: LCCOMB_X25_Y33_N12
\led_flash_cnt[3011][2]~69036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3011][2]~69036_combout\ = (\led_flash_cnt[3011][2]~q\ & (!\led_flash_cnt[3011][1]~69035\)) # (!\led_flash_cnt[3011][2]~q\ & ((\led_flash_cnt[3011][1]~69035\) # (GND)))
-- \led_flash_cnt[3011][2]~69037\ = CARRY((!\led_flash_cnt[3011][1]~69035\) # (!\led_flash_cnt[3011][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3011][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3011][1]~69035\,
	combout => \led_flash_cnt[3011][2]~69036_combout\,
	cout => \led_flash_cnt[3011][2]~69037\);

-- Location: FF_X25_Y33_N13
\led_flash_cnt[3011][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3011][2]~69036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3011][2]~q\);

-- Location: LCCOMB_X25_Y33_N14
\led_flash_cnt[3011][3]~69038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3011][3]~69038_combout\ = (\led_flash_cnt[3011][3]~q\ & (\led_flash_cnt[3011][2]~69037\ $ (GND))) # (!\led_flash_cnt[3011][3]~q\ & (!\led_flash_cnt[3011][2]~69037\ & VCC))
-- \led_flash_cnt[3011][3]~69039\ = CARRY((\led_flash_cnt[3011][3]~q\ & !\led_flash_cnt[3011][2]~69037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3011][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3011][2]~69037\,
	combout => \led_flash_cnt[3011][3]~69038_combout\,
	cout => \led_flash_cnt[3011][3]~69039\);

-- Location: FF_X25_Y33_N15
\led_flash_cnt[3011][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3011][3]~69038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3011][3]~q\);

-- Location: LCCOMB_X25_Y33_N16
\led_flash_cnt[3011][4]~69040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3011][4]~69040_combout\ = (\led_flash_cnt[3011][4]~q\ & (!\led_flash_cnt[3011][3]~69039\)) # (!\led_flash_cnt[3011][4]~q\ & ((\led_flash_cnt[3011][3]~69039\) # (GND)))
-- \led_flash_cnt[3011][4]~69041\ = CARRY((!\led_flash_cnt[3011][3]~69039\) # (!\led_flash_cnt[3011][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3011][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3011][3]~69039\,
	combout => \led_flash_cnt[3011][4]~69040_combout\,
	cout => \led_flash_cnt[3011][4]~69041\);

-- Location: FF_X25_Y33_N17
\led_flash_cnt[3011][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3011][4]~69040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3011][4]~q\);

-- Location: LCCOMB_X25_Y33_N26
\WideAnd3011~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3011~0_combout\ = (\led_flash_cnt[3011][1]~q\ & (\led_flash_cnt[3011][4]~q\ & (\led_flash_cnt[3011][3]~q\ & \led_flash_cnt[3011][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3011][1]~q\,
	datab => \led_flash_cnt[3011][4]~q\,
	datac => \led_flash_cnt[3011][3]~q\,
	datad => \led_flash_cnt[3011][2]~q\,
	combout => \WideAnd3011~0_combout\);

-- Location: LCCOMB_X25_Y33_N18
\led_flash_cnt[3011][5]~69042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3011][5]~69042_combout\ = (\led_flash_cnt[3011][5]~q\ & (\led_flash_cnt[3011][4]~69041\ $ (GND))) # (!\led_flash_cnt[3011][5]~q\ & (!\led_flash_cnt[3011][4]~69041\ & VCC))
-- \led_flash_cnt[3011][5]~69043\ = CARRY((\led_flash_cnt[3011][5]~q\ & !\led_flash_cnt[3011][4]~69041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3011][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3011][4]~69041\,
	combout => \led_flash_cnt[3011][5]~69042_combout\,
	cout => \led_flash_cnt[3011][5]~69043\);

-- Location: FF_X25_Y33_N19
\led_flash_cnt[3011][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3011][5]~69042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3011][5]~q\);

-- Location: LCCOMB_X25_Y33_N20
\led_flash_cnt[3011][6]~69044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3011][6]~69044_combout\ = (\led_flash_cnt[3011][6]~q\ & (!\led_flash_cnt[3011][5]~69043\)) # (!\led_flash_cnt[3011][6]~q\ & ((\led_flash_cnt[3011][5]~69043\) # (GND)))
-- \led_flash_cnt[3011][6]~69045\ = CARRY((!\led_flash_cnt[3011][5]~69043\) # (!\led_flash_cnt[3011][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3011][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3011][5]~69043\,
	combout => \led_flash_cnt[3011][6]~69044_combout\,
	cout => \led_flash_cnt[3011][6]~69045\);

-- Location: FF_X25_Y33_N21
\led_flash_cnt[3011][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3011][6]~69044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3011][6]~q\);

-- Location: LCCOMB_X25_Y33_N22
\led_flash_cnt[3011][7]~69046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3011][7]~69046_combout\ = \led_flash_cnt[3011][7]~q\ $ (!\led_flash_cnt[3011][6]~69045\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3011][7]~q\,
	cin => \led_flash_cnt[3011][6]~69045\,
	combout => \led_flash_cnt[3011][7]~69046_combout\);

-- Location: FF_X25_Y33_N23
\led_flash_cnt[3011][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3011][7]~69046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3011][7]~q\);

-- Location: LCCOMB_X25_Y33_N6
\WideAnd3011~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3011~1_combout\ = (\led_flash_cnt[3011][5]~q\ & \led_flash_cnt[3011][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3011][5]~q\,
	datad => \led_flash_cnt[3011][6]~q\,
	combout => \WideAnd3011~1_combout\);

-- Location: LCCOMB_X25_Y33_N8
WideAnd3011 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3011~combout\ = (\WideAnd3011~0_combout\ & (\led_flash_cnt[3011][0]~q\ & (\led_flash_cnt[3011][7]~q\ & \WideAnd3011~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3011~0_combout\,
	datab => \led_flash_cnt[3011][0]~q\,
	datac => \led_flash_cnt[3011][7]~q\,
	datad => \WideAnd3011~1_combout\,
	combout => \WideAnd3011~combout\);

-- Location: FF_X25_Y33_N9
\led_flash_cnt_ands[3011]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3011~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3011));

-- Location: LCCOMB_X29_Y36_N22
\led_flash_cnt[3010][0]~83650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3010][0]~83650_combout\ = !\led_flash_cnt[3010][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3010][0]~q\,
	combout => \led_flash_cnt[3010][0]~83650_combout\);

-- Location: FF_X29_Y36_N23
\led_flash_cnt[3010][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3010][0]~83650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3010][0]~q\);

-- Location: LCCOMB_X29_Y36_N2
\led_flash_cnt[3010][1]~69020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3010][1]~69020_combout\ = (\led_flash_cnt[3010][0]~q\ & (\led_flash_cnt[3010][1]~q\ $ (VCC))) # (!\led_flash_cnt[3010][0]~q\ & (\led_flash_cnt[3010][1]~q\ & VCC))
-- \led_flash_cnt[3010][1]~69021\ = CARRY((\led_flash_cnt[3010][0]~q\ & \led_flash_cnt[3010][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3010][0]~q\,
	datab => \led_flash_cnt[3010][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3010][1]~69020_combout\,
	cout => \led_flash_cnt[3010][1]~69021\);

-- Location: FF_X29_Y36_N3
\led_flash_cnt[3010][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3010][1]~69020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3010][1]~q\);

-- Location: LCCOMB_X29_Y36_N4
\led_flash_cnt[3010][2]~69022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3010][2]~69022_combout\ = (\led_flash_cnt[3010][2]~q\ & (!\led_flash_cnt[3010][1]~69021\)) # (!\led_flash_cnt[3010][2]~q\ & ((\led_flash_cnt[3010][1]~69021\) # (GND)))
-- \led_flash_cnt[3010][2]~69023\ = CARRY((!\led_flash_cnt[3010][1]~69021\) # (!\led_flash_cnt[3010][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3010][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3010][1]~69021\,
	combout => \led_flash_cnt[3010][2]~69022_combout\,
	cout => \led_flash_cnt[3010][2]~69023\);

-- Location: FF_X29_Y36_N5
\led_flash_cnt[3010][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3010][2]~69022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3010][2]~q\);

-- Location: LCCOMB_X29_Y36_N6
\led_flash_cnt[3010][3]~69024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3010][3]~69024_combout\ = (\led_flash_cnt[3010][3]~q\ & (\led_flash_cnt[3010][2]~69023\ $ (GND))) # (!\led_flash_cnt[3010][3]~q\ & (!\led_flash_cnt[3010][2]~69023\ & VCC))
-- \led_flash_cnt[3010][3]~69025\ = CARRY((\led_flash_cnt[3010][3]~q\ & !\led_flash_cnt[3010][2]~69023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3010][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3010][2]~69023\,
	combout => \led_flash_cnt[3010][3]~69024_combout\,
	cout => \led_flash_cnt[3010][3]~69025\);

-- Location: FF_X29_Y36_N7
\led_flash_cnt[3010][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3010][3]~69024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3010][3]~q\);

-- Location: LCCOMB_X29_Y36_N8
\led_flash_cnt[3010][4]~69026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3010][4]~69026_combout\ = (\led_flash_cnt[3010][4]~q\ & (!\led_flash_cnt[3010][3]~69025\)) # (!\led_flash_cnt[3010][4]~q\ & ((\led_flash_cnt[3010][3]~69025\) # (GND)))
-- \led_flash_cnt[3010][4]~69027\ = CARRY((!\led_flash_cnt[3010][3]~69025\) # (!\led_flash_cnt[3010][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3010][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3010][3]~69025\,
	combout => \led_flash_cnt[3010][4]~69026_combout\,
	cout => \led_flash_cnt[3010][4]~69027\);

-- Location: FF_X29_Y36_N9
\led_flash_cnt[3010][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3010][4]~69026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3010][4]~q\);

-- Location: LCCOMB_X29_Y36_N10
\led_flash_cnt[3010][5]~69028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3010][5]~69028_combout\ = (\led_flash_cnt[3010][5]~q\ & (\led_flash_cnt[3010][4]~69027\ $ (GND))) # (!\led_flash_cnt[3010][5]~q\ & (!\led_flash_cnt[3010][4]~69027\ & VCC))
-- \led_flash_cnt[3010][5]~69029\ = CARRY((\led_flash_cnt[3010][5]~q\ & !\led_flash_cnt[3010][4]~69027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3010][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3010][4]~69027\,
	combout => \led_flash_cnt[3010][5]~69028_combout\,
	cout => \led_flash_cnt[3010][5]~69029\);

-- Location: FF_X29_Y36_N11
\led_flash_cnt[3010][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3010][5]~69028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3010][5]~q\);

-- Location: LCCOMB_X29_Y36_N12
\led_flash_cnt[3010][6]~69030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3010][6]~69030_combout\ = (\led_flash_cnt[3010][6]~q\ & (!\led_flash_cnt[3010][5]~69029\)) # (!\led_flash_cnt[3010][6]~q\ & ((\led_flash_cnt[3010][5]~69029\) # (GND)))
-- \led_flash_cnt[3010][6]~69031\ = CARRY((!\led_flash_cnt[3010][5]~69029\) # (!\led_flash_cnt[3010][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3010][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3010][5]~69029\,
	combout => \led_flash_cnt[3010][6]~69030_combout\,
	cout => \led_flash_cnt[3010][6]~69031\);

-- Location: FF_X29_Y36_N13
\led_flash_cnt[3010][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3010][6]~69030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3010][6]~q\);

-- Location: LCCOMB_X29_Y36_N30
\WideAnd3010~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3010~1_combout\ = (\led_flash_cnt[3010][6]~q\ & \led_flash_cnt[3010][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3010][6]~q\,
	datad => \led_flash_cnt[3010][5]~q\,
	combout => \WideAnd3010~1_combout\);

-- Location: LCCOMB_X29_Y36_N14
\led_flash_cnt[3010][7]~69032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3010][7]~69032_combout\ = \led_flash_cnt[3010][7]~q\ $ (!\led_flash_cnt[3010][6]~69031\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3010][7]~q\,
	cin => \led_flash_cnt[3010][6]~69031\,
	combout => \led_flash_cnt[3010][7]~69032_combout\);

-- Location: FF_X29_Y36_N15
\led_flash_cnt[3010][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3010][7]~69032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3010][7]~q\);

-- Location: LCCOMB_X29_Y36_N28
\WideAnd3010~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3010~0_combout\ = (\led_flash_cnt[3010][3]~q\ & (\led_flash_cnt[3010][2]~q\ & (\led_flash_cnt[3010][4]~q\ & \led_flash_cnt[3010][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3010][3]~q\,
	datab => \led_flash_cnt[3010][2]~q\,
	datac => \led_flash_cnt[3010][4]~q\,
	datad => \led_flash_cnt[3010][1]~q\,
	combout => \WideAnd3010~0_combout\);

-- Location: LCCOMB_X29_Y36_N24
WideAnd3010 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3010~combout\ = (\WideAnd3010~1_combout\ & (\led_flash_cnt[3010][7]~q\ & (\led_flash_cnt[3010][0]~q\ & \WideAnd3010~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3010~1_combout\,
	datab => \led_flash_cnt[3010][7]~q\,
	datac => \led_flash_cnt[3010][0]~q\,
	datad => \WideAnd3010~0_combout\,
	combout => \WideAnd3010~combout\);

-- Location: FF_X29_Y36_N25
\led_flash_cnt_ands[3010]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3010~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3010));

-- Location: LCCOMB_X25_Y33_N2
\led_flash_cnt[3009][0]~83649\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3009][0]~83649_combout\ = !\led_flash_cnt[3009][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3009][0]~q\,
	combout => \led_flash_cnt[3009][0]~83649_combout\);

-- Location: FF_X25_Y33_N3
\led_flash_cnt[3009][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3009][0]~83649_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3009][0]~q\);

-- Location: LCCOMB_X24_Y33_N0
\led_flash_cnt[3009][1]~69006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3009][1]~69006_combout\ = (\led_flash_cnt[3009][0]~q\ & (\led_flash_cnt[3009][1]~q\ $ (VCC))) # (!\led_flash_cnt[3009][0]~q\ & (\led_flash_cnt[3009][1]~q\ & VCC))
-- \led_flash_cnt[3009][1]~69007\ = CARRY((\led_flash_cnt[3009][0]~q\ & \led_flash_cnt[3009][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3009][0]~q\,
	datab => \led_flash_cnt[3009][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3009][1]~69006_combout\,
	cout => \led_flash_cnt[3009][1]~69007\);

-- Location: FF_X24_Y33_N1
\led_flash_cnt[3009][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3009][1]~69006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3009][1]~q\);

-- Location: LCCOMB_X24_Y33_N2
\led_flash_cnt[3009][2]~69008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3009][2]~69008_combout\ = (\led_flash_cnt[3009][2]~q\ & (!\led_flash_cnt[3009][1]~69007\)) # (!\led_flash_cnt[3009][2]~q\ & ((\led_flash_cnt[3009][1]~69007\) # (GND)))
-- \led_flash_cnt[3009][2]~69009\ = CARRY((!\led_flash_cnt[3009][1]~69007\) # (!\led_flash_cnt[3009][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3009][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3009][1]~69007\,
	combout => \led_flash_cnt[3009][2]~69008_combout\,
	cout => \led_flash_cnt[3009][2]~69009\);

-- Location: FF_X24_Y33_N3
\led_flash_cnt[3009][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3009][2]~69008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3009][2]~q\);

-- Location: LCCOMB_X24_Y33_N4
\led_flash_cnt[3009][3]~69010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3009][3]~69010_combout\ = (\led_flash_cnt[3009][3]~q\ & (\led_flash_cnt[3009][2]~69009\ $ (GND))) # (!\led_flash_cnt[3009][3]~q\ & (!\led_flash_cnt[3009][2]~69009\ & VCC))
-- \led_flash_cnt[3009][3]~69011\ = CARRY((\led_flash_cnt[3009][3]~q\ & !\led_flash_cnt[3009][2]~69009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3009][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3009][2]~69009\,
	combout => \led_flash_cnt[3009][3]~69010_combout\,
	cout => \led_flash_cnt[3009][3]~69011\);

-- Location: FF_X24_Y33_N5
\led_flash_cnt[3009][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3009][3]~69010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3009][3]~q\);

-- Location: LCCOMB_X24_Y33_N6
\led_flash_cnt[3009][4]~69012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3009][4]~69012_combout\ = (\led_flash_cnt[3009][4]~q\ & (!\led_flash_cnt[3009][3]~69011\)) # (!\led_flash_cnt[3009][4]~q\ & ((\led_flash_cnt[3009][3]~69011\) # (GND)))
-- \led_flash_cnt[3009][4]~69013\ = CARRY((!\led_flash_cnt[3009][3]~69011\) # (!\led_flash_cnt[3009][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3009][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3009][3]~69011\,
	combout => \led_flash_cnt[3009][4]~69012_combout\,
	cout => \led_flash_cnt[3009][4]~69013\);

-- Location: FF_X24_Y33_N7
\led_flash_cnt[3009][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3009][4]~69012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3009][4]~q\);

-- Location: LCCOMB_X24_Y33_N8
\led_flash_cnt[3009][5]~69014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3009][5]~69014_combout\ = (\led_flash_cnt[3009][5]~q\ & (\led_flash_cnt[3009][4]~69013\ $ (GND))) # (!\led_flash_cnt[3009][5]~q\ & (!\led_flash_cnt[3009][4]~69013\ & VCC))
-- \led_flash_cnt[3009][5]~69015\ = CARRY((\led_flash_cnt[3009][5]~q\ & !\led_flash_cnt[3009][4]~69013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3009][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3009][4]~69013\,
	combout => \led_flash_cnt[3009][5]~69014_combout\,
	cout => \led_flash_cnt[3009][5]~69015\);

-- Location: FF_X24_Y33_N9
\led_flash_cnt[3009][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3009][5]~69014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3009][5]~q\);

-- Location: LCCOMB_X24_Y33_N10
\led_flash_cnt[3009][6]~69016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3009][6]~69016_combout\ = (\led_flash_cnt[3009][6]~q\ & (!\led_flash_cnt[3009][5]~69015\)) # (!\led_flash_cnt[3009][6]~q\ & ((\led_flash_cnt[3009][5]~69015\) # (GND)))
-- \led_flash_cnt[3009][6]~69017\ = CARRY((!\led_flash_cnt[3009][5]~69015\) # (!\led_flash_cnt[3009][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3009][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3009][5]~69015\,
	combout => \led_flash_cnt[3009][6]~69016_combout\,
	cout => \led_flash_cnt[3009][6]~69017\);

-- Location: FF_X24_Y33_N11
\led_flash_cnt[3009][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3009][6]~69016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3009][6]~q\);

-- Location: LCCOMB_X24_Y33_N12
\led_flash_cnt[3009][7]~69018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3009][7]~69018_combout\ = \led_flash_cnt[3009][6]~69017\ $ (!\led_flash_cnt[3009][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3009][7]~q\,
	cin => \led_flash_cnt[3009][6]~69017\,
	combout => \led_flash_cnt[3009][7]~69018_combout\);

-- Location: FF_X24_Y33_N13
\led_flash_cnt[3009][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3009][7]~69018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3009][7]~q\);

-- Location: LCCOMB_X25_Y33_N24
\WideAnd3009~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3009~0_combout\ = (\led_flash_cnt[3009][1]~q\ & (\led_flash_cnt[3009][4]~q\ & (\led_flash_cnt[3009][3]~q\ & \led_flash_cnt[3009][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3009][1]~q\,
	datab => \led_flash_cnt[3009][4]~q\,
	datac => \led_flash_cnt[3009][3]~q\,
	datad => \led_flash_cnt[3009][2]~q\,
	combout => \WideAnd3009~0_combout\);

-- Location: LCCOMB_X25_Y33_N4
\WideAnd3009~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3009~1_combout\ = (\led_flash_cnt[3009][6]~q\ & \led_flash_cnt[3009][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3009][6]~q\,
	datad => \led_flash_cnt[3009][5]~q\,
	combout => \WideAnd3009~1_combout\);

-- Location: LCCOMB_X25_Y33_N30
WideAnd3009 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3009~combout\ = (\led_flash_cnt[3009][7]~q\ & (\WideAnd3009~0_combout\ & (\WideAnd3009~1_combout\ & \led_flash_cnt[3009][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3009][7]~q\,
	datab => \WideAnd3009~0_combout\,
	datac => \WideAnd3009~1_combout\,
	datad => \led_flash_cnt[3009][0]~q\,
	combout => \WideAnd3009~combout\);

-- Location: FF_X25_Y33_N31
\led_flash_cnt_ands[3009]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3009~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3009));

-- Location: LCCOMB_X30_Y35_N2
\led_flash_cnt[3008][0]~83648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3008][0]~83648_combout\ = !\led_flash_cnt[3008][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3008][0]~q\,
	combout => \led_flash_cnt[3008][0]~83648_combout\);

-- Location: FF_X30_Y35_N3
\led_flash_cnt[3008][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3008][0]~83648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3008][0]~q\);

-- Location: LCCOMB_X30_Y35_N8
\led_flash_cnt[3008][1]~68992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3008][1]~68992_combout\ = (\led_flash_cnt[3008][1]~q\ & (\led_flash_cnt[3008][0]~q\ $ (VCC))) # (!\led_flash_cnt[3008][1]~q\ & (\led_flash_cnt[3008][0]~q\ & VCC))
-- \led_flash_cnt[3008][1]~68993\ = CARRY((\led_flash_cnt[3008][1]~q\ & \led_flash_cnt[3008][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3008][1]~q\,
	datab => \led_flash_cnt[3008][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3008][1]~68992_combout\,
	cout => \led_flash_cnt[3008][1]~68993\);

-- Location: FF_X30_Y35_N9
\led_flash_cnt[3008][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3008][1]~68992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3008][1]~q\);

-- Location: LCCOMB_X30_Y35_N10
\led_flash_cnt[3008][2]~68994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3008][2]~68994_combout\ = (\led_flash_cnt[3008][2]~q\ & (!\led_flash_cnt[3008][1]~68993\)) # (!\led_flash_cnt[3008][2]~q\ & ((\led_flash_cnt[3008][1]~68993\) # (GND)))
-- \led_flash_cnt[3008][2]~68995\ = CARRY((!\led_flash_cnt[3008][1]~68993\) # (!\led_flash_cnt[3008][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3008][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3008][1]~68993\,
	combout => \led_flash_cnt[3008][2]~68994_combout\,
	cout => \led_flash_cnt[3008][2]~68995\);

-- Location: FF_X30_Y35_N11
\led_flash_cnt[3008][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3008][2]~68994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3008][2]~q\);

-- Location: LCCOMB_X30_Y35_N12
\led_flash_cnt[3008][3]~68996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3008][3]~68996_combout\ = (\led_flash_cnt[3008][3]~q\ & (\led_flash_cnt[3008][2]~68995\ $ (GND))) # (!\led_flash_cnt[3008][3]~q\ & (!\led_flash_cnt[3008][2]~68995\ & VCC))
-- \led_flash_cnt[3008][3]~68997\ = CARRY((\led_flash_cnt[3008][3]~q\ & !\led_flash_cnt[3008][2]~68995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3008][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3008][2]~68995\,
	combout => \led_flash_cnt[3008][3]~68996_combout\,
	cout => \led_flash_cnt[3008][3]~68997\);

-- Location: FF_X30_Y35_N13
\led_flash_cnt[3008][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3008][3]~68996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3008][3]~q\);

-- Location: LCCOMB_X30_Y35_N14
\led_flash_cnt[3008][4]~68998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3008][4]~68998_combout\ = (\led_flash_cnt[3008][4]~q\ & (!\led_flash_cnt[3008][3]~68997\)) # (!\led_flash_cnt[3008][4]~q\ & ((\led_flash_cnt[3008][3]~68997\) # (GND)))
-- \led_flash_cnt[3008][4]~68999\ = CARRY((!\led_flash_cnt[3008][3]~68997\) # (!\led_flash_cnt[3008][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3008][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3008][3]~68997\,
	combout => \led_flash_cnt[3008][4]~68998_combout\,
	cout => \led_flash_cnt[3008][4]~68999\);

-- Location: FF_X30_Y35_N15
\led_flash_cnt[3008][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3008][4]~68998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3008][4]~q\);

-- Location: LCCOMB_X30_Y35_N16
\led_flash_cnt[3008][5]~69000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3008][5]~69000_combout\ = (\led_flash_cnt[3008][5]~q\ & (\led_flash_cnt[3008][4]~68999\ $ (GND))) # (!\led_flash_cnt[3008][5]~q\ & (!\led_flash_cnt[3008][4]~68999\ & VCC))
-- \led_flash_cnt[3008][5]~69001\ = CARRY((\led_flash_cnt[3008][5]~q\ & !\led_flash_cnt[3008][4]~68999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3008][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3008][4]~68999\,
	combout => \led_flash_cnt[3008][5]~69000_combout\,
	cout => \led_flash_cnt[3008][5]~69001\);

-- Location: FF_X30_Y35_N17
\led_flash_cnt[3008][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3008][5]~69000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3008][5]~q\);

-- Location: LCCOMB_X30_Y35_N18
\led_flash_cnt[3008][6]~69002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3008][6]~69002_combout\ = (\led_flash_cnt[3008][6]~q\ & (!\led_flash_cnt[3008][5]~69001\)) # (!\led_flash_cnt[3008][6]~q\ & ((\led_flash_cnt[3008][5]~69001\) # (GND)))
-- \led_flash_cnt[3008][6]~69003\ = CARRY((!\led_flash_cnt[3008][5]~69001\) # (!\led_flash_cnt[3008][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3008][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3008][5]~69001\,
	combout => \led_flash_cnt[3008][6]~69002_combout\,
	cout => \led_flash_cnt[3008][6]~69003\);

-- Location: FF_X30_Y35_N19
\led_flash_cnt[3008][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3008][6]~69002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3008][6]~q\);

-- Location: LCCOMB_X30_Y35_N26
\WideAnd3008~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3008~1_combout\ = (\led_flash_cnt[3008][6]~q\ & \led_flash_cnt[3008][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3008][6]~q\,
	datad => \led_flash_cnt[3008][5]~q\,
	combout => \WideAnd3008~1_combout\);

-- Location: LCCOMB_X30_Y35_N20
\led_flash_cnt[3008][7]~69004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3008][7]~69004_combout\ = \led_flash_cnt[3008][6]~69003\ $ (!\led_flash_cnt[3008][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3008][7]~q\,
	cin => \led_flash_cnt[3008][6]~69003\,
	combout => \led_flash_cnt[3008][7]~69004_combout\);

-- Location: FF_X30_Y35_N21
\led_flash_cnt[3008][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3008][7]~69004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3008][7]~q\);

-- Location: LCCOMB_X30_Y35_N4
\WideAnd3008~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3008~0_combout\ = (\led_flash_cnt[3008][2]~q\ & (\led_flash_cnt[3008][4]~q\ & (\led_flash_cnt[3008][1]~q\ & \led_flash_cnt[3008][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3008][2]~q\,
	datab => \led_flash_cnt[3008][4]~q\,
	datac => \led_flash_cnt[3008][1]~q\,
	datad => \led_flash_cnt[3008][3]~q\,
	combout => \WideAnd3008~0_combout\);

-- Location: LCCOMB_X30_Y35_N22
WideAnd3008 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3008~combout\ = (\WideAnd3008~1_combout\ & (\led_flash_cnt[3008][7]~q\ & (\WideAnd3008~0_combout\ & \led_flash_cnt[3008][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3008~1_combout\,
	datab => \led_flash_cnt[3008][7]~q\,
	datac => \WideAnd3008~0_combout\,
	datad => \led_flash_cnt[3008][0]~q\,
	combout => \WideAnd3008~combout\);

-- Location: FF_X30_Y35_N23
\led_flash_cnt_ands[3008]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3008~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3008));

-- Location: LCCOMB_X29_Y33_N20
\WideAnd4216~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4216~0_combout\ = (led_flash_cnt_ands(3011) & (led_flash_cnt_ands(3010) & (led_flash_cnt_ands(3009) & led_flash_cnt_ands(3008))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3011),
	datab => led_flash_cnt_ands(3010),
	datac => led_flash_cnt_ands(3009),
	datad => led_flash_cnt_ands(3008),
	combout => \WideAnd4216~0_combout\);

-- Location: LCCOMB_X47_Y34_N30
\led_flash_cnt[3015][0]~83655\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3015][0]~83655_combout\ = !\led_flash_cnt[3015][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3015][0]~q\,
	combout => \led_flash_cnt[3015][0]~83655_combout\);

-- Location: FF_X47_Y34_N31
\led_flash_cnt[3015][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3015][0]~83655_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3015][0]~q\);

-- Location: LCCOMB_X47_Y34_N0
\led_flash_cnt[3015][1]~69090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3015][1]~69090_combout\ = (\led_flash_cnt[3015][0]~q\ & (\led_flash_cnt[3015][1]~q\ $ (VCC))) # (!\led_flash_cnt[3015][0]~q\ & (\led_flash_cnt[3015][1]~q\ & VCC))
-- \led_flash_cnt[3015][1]~69091\ = CARRY((\led_flash_cnt[3015][0]~q\ & \led_flash_cnt[3015][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3015][0]~q\,
	datab => \led_flash_cnt[3015][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3015][1]~69090_combout\,
	cout => \led_flash_cnt[3015][1]~69091\);

-- Location: FF_X47_Y34_N1
\led_flash_cnt[3015][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3015][1]~69090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3015][1]~q\);

-- Location: LCCOMB_X47_Y34_N2
\led_flash_cnt[3015][2]~69092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3015][2]~69092_combout\ = (\led_flash_cnt[3015][2]~q\ & (!\led_flash_cnt[3015][1]~69091\)) # (!\led_flash_cnt[3015][2]~q\ & ((\led_flash_cnt[3015][1]~69091\) # (GND)))
-- \led_flash_cnt[3015][2]~69093\ = CARRY((!\led_flash_cnt[3015][1]~69091\) # (!\led_flash_cnt[3015][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3015][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3015][1]~69091\,
	combout => \led_flash_cnt[3015][2]~69092_combout\,
	cout => \led_flash_cnt[3015][2]~69093\);

-- Location: FF_X47_Y34_N3
\led_flash_cnt[3015][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3015][2]~69092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3015][2]~q\);

-- Location: LCCOMB_X47_Y34_N4
\led_flash_cnt[3015][3]~69094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3015][3]~69094_combout\ = (\led_flash_cnt[3015][3]~q\ & (\led_flash_cnt[3015][2]~69093\ $ (GND))) # (!\led_flash_cnt[3015][3]~q\ & (!\led_flash_cnt[3015][2]~69093\ & VCC))
-- \led_flash_cnt[3015][3]~69095\ = CARRY((\led_flash_cnt[3015][3]~q\ & !\led_flash_cnt[3015][2]~69093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3015][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3015][2]~69093\,
	combout => \led_flash_cnt[3015][3]~69094_combout\,
	cout => \led_flash_cnt[3015][3]~69095\);

-- Location: FF_X47_Y34_N5
\led_flash_cnt[3015][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3015][3]~69094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3015][3]~q\);

-- Location: LCCOMB_X47_Y34_N6
\led_flash_cnt[3015][4]~69096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3015][4]~69096_combout\ = (\led_flash_cnt[3015][4]~q\ & (!\led_flash_cnt[3015][3]~69095\)) # (!\led_flash_cnt[3015][4]~q\ & ((\led_flash_cnt[3015][3]~69095\) # (GND)))
-- \led_flash_cnt[3015][4]~69097\ = CARRY((!\led_flash_cnt[3015][3]~69095\) # (!\led_flash_cnt[3015][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3015][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3015][3]~69095\,
	combout => \led_flash_cnt[3015][4]~69096_combout\,
	cout => \led_flash_cnt[3015][4]~69097\);

-- Location: FF_X47_Y34_N7
\led_flash_cnt[3015][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3015][4]~69096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3015][4]~q\);

-- Location: LCCOMB_X47_Y34_N8
\led_flash_cnt[3015][5]~69098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3015][5]~69098_combout\ = (\led_flash_cnt[3015][5]~q\ & (\led_flash_cnt[3015][4]~69097\ $ (GND))) # (!\led_flash_cnt[3015][5]~q\ & (!\led_flash_cnt[3015][4]~69097\ & VCC))
-- \led_flash_cnt[3015][5]~69099\ = CARRY((\led_flash_cnt[3015][5]~q\ & !\led_flash_cnt[3015][4]~69097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3015][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3015][4]~69097\,
	combout => \led_flash_cnt[3015][5]~69098_combout\,
	cout => \led_flash_cnt[3015][5]~69099\);

-- Location: FF_X47_Y34_N9
\led_flash_cnt[3015][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3015][5]~69098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3015][5]~q\);

-- Location: LCCOMB_X47_Y34_N10
\led_flash_cnt[3015][6]~69100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3015][6]~69100_combout\ = (\led_flash_cnt[3015][6]~q\ & (!\led_flash_cnt[3015][5]~69099\)) # (!\led_flash_cnt[3015][6]~q\ & ((\led_flash_cnt[3015][5]~69099\) # (GND)))
-- \led_flash_cnt[3015][6]~69101\ = CARRY((!\led_flash_cnt[3015][5]~69099\) # (!\led_flash_cnt[3015][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3015][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3015][5]~69099\,
	combout => \led_flash_cnt[3015][6]~69100_combout\,
	cout => \led_flash_cnt[3015][6]~69101\);

-- Location: FF_X47_Y34_N11
\led_flash_cnt[3015][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3015][6]~69100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3015][6]~q\);

-- Location: LCCOMB_X46_Y34_N10
\WideAnd3015~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3015~1_combout\ = (\led_flash_cnt[3015][6]~q\ & \led_flash_cnt[3015][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3015][6]~q\,
	datac => \led_flash_cnt[3015][5]~q\,
	combout => \WideAnd3015~1_combout\);

-- Location: LCCOMB_X47_Y34_N12
\led_flash_cnt[3015][7]~69102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3015][7]~69102_combout\ = \led_flash_cnt[3015][6]~69101\ $ (!\led_flash_cnt[3015][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3015][7]~q\,
	cin => \led_flash_cnt[3015][6]~69101\,
	combout => \led_flash_cnt[3015][7]~69102_combout\);

-- Location: FF_X47_Y34_N13
\led_flash_cnt[3015][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3015][7]~69102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3015][7]~q\);

-- Location: LCCOMB_X47_Y34_N14
\WideAnd3015~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3015~0_combout\ = (\led_flash_cnt[3015][4]~q\ & (\led_flash_cnt[3015][1]~q\ & (\led_flash_cnt[3015][3]~q\ & \led_flash_cnt[3015][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3015][4]~q\,
	datab => \led_flash_cnt[3015][1]~q\,
	datac => \led_flash_cnt[3015][3]~q\,
	datad => \led_flash_cnt[3015][2]~q\,
	combout => \WideAnd3015~0_combout\);

-- Location: LCCOMB_X46_Y34_N30
WideAnd3015 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3015~combout\ = (\WideAnd3015~1_combout\ & (\led_flash_cnt[3015][7]~q\ & (\led_flash_cnt[3015][0]~q\ & \WideAnd3015~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3015~1_combout\,
	datab => \led_flash_cnt[3015][7]~q\,
	datac => \led_flash_cnt[3015][0]~q\,
	datad => \WideAnd3015~0_combout\,
	combout => \WideAnd3015~combout\);

-- Location: FF_X46_Y34_N31
\led_flash_cnt_ands[3015]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3015~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3015));

-- Location: LCCOMB_X29_Y36_N20
\led_flash_cnt[3014][0]~83654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3014][0]~83654_combout\ = !\led_flash_cnt[3014][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3014][0]~q\,
	combout => \led_flash_cnt[3014][0]~83654_combout\);

-- Location: FF_X29_Y36_N21
\led_flash_cnt[3014][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3014][0]~83654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3014][0]~q\);

-- Location: LCCOMB_X29_Y32_N18
\led_flash_cnt[3014][1]~69076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3014][1]~69076_combout\ = (\led_flash_cnt[3014][0]~q\ & (\led_flash_cnt[3014][1]~q\ $ (VCC))) # (!\led_flash_cnt[3014][0]~q\ & (\led_flash_cnt[3014][1]~q\ & VCC))
-- \led_flash_cnt[3014][1]~69077\ = CARRY((\led_flash_cnt[3014][0]~q\ & \led_flash_cnt[3014][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3014][0]~q\,
	datab => \led_flash_cnt[3014][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3014][1]~69076_combout\,
	cout => \led_flash_cnt[3014][1]~69077\);

-- Location: FF_X29_Y32_N19
\led_flash_cnt[3014][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3014][1]~69076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3014][1]~q\);

-- Location: LCCOMB_X29_Y32_N20
\led_flash_cnt[3014][2]~69078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3014][2]~69078_combout\ = (\led_flash_cnt[3014][2]~q\ & (!\led_flash_cnt[3014][1]~69077\)) # (!\led_flash_cnt[3014][2]~q\ & ((\led_flash_cnt[3014][1]~69077\) # (GND)))
-- \led_flash_cnt[3014][2]~69079\ = CARRY((!\led_flash_cnt[3014][1]~69077\) # (!\led_flash_cnt[3014][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3014][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3014][1]~69077\,
	combout => \led_flash_cnt[3014][2]~69078_combout\,
	cout => \led_flash_cnt[3014][2]~69079\);

-- Location: FF_X29_Y32_N21
\led_flash_cnt[3014][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3014][2]~69078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3014][2]~q\);

-- Location: LCCOMB_X29_Y32_N22
\led_flash_cnt[3014][3]~69080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3014][3]~69080_combout\ = (\led_flash_cnt[3014][3]~q\ & (\led_flash_cnt[3014][2]~69079\ $ (GND))) # (!\led_flash_cnt[3014][3]~q\ & (!\led_flash_cnt[3014][2]~69079\ & VCC))
-- \led_flash_cnt[3014][3]~69081\ = CARRY((\led_flash_cnt[3014][3]~q\ & !\led_flash_cnt[3014][2]~69079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3014][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3014][2]~69079\,
	combout => \led_flash_cnt[3014][3]~69080_combout\,
	cout => \led_flash_cnt[3014][3]~69081\);

-- Location: FF_X29_Y32_N23
\led_flash_cnt[3014][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3014][3]~69080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3014][3]~q\);

-- Location: LCCOMB_X29_Y32_N24
\led_flash_cnt[3014][4]~69082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3014][4]~69082_combout\ = (\led_flash_cnt[3014][4]~q\ & (!\led_flash_cnt[3014][3]~69081\)) # (!\led_flash_cnt[3014][4]~q\ & ((\led_flash_cnt[3014][3]~69081\) # (GND)))
-- \led_flash_cnt[3014][4]~69083\ = CARRY((!\led_flash_cnt[3014][3]~69081\) # (!\led_flash_cnt[3014][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3014][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3014][3]~69081\,
	combout => \led_flash_cnt[3014][4]~69082_combout\,
	cout => \led_flash_cnt[3014][4]~69083\);

-- Location: FF_X29_Y32_N25
\led_flash_cnt[3014][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3014][4]~69082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3014][4]~q\);

-- Location: LCCOMB_X29_Y32_N26
\led_flash_cnt[3014][5]~69084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3014][5]~69084_combout\ = (\led_flash_cnt[3014][5]~q\ & (\led_flash_cnt[3014][4]~69083\ $ (GND))) # (!\led_flash_cnt[3014][5]~q\ & (!\led_flash_cnt[3014][4]~69083\ & VCC))
-- \led_flash_cnt[3014][5]~69085\ = CARRY((\led_flash_cnt[3014][5]~q\ & !\led_flash_cnt[3014][4]~69083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3014][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3014][4]~69083\,
	combout => \led_flash_cnt[3014][5]~69084_combout\,
	cout => \led_flash_cnt[3014][5]~69085\);

-- Location: FF_X29_Y32_N27
\led_flash_cnt[3014][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3014][5]~69084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3014][5]~q\);

-- Location: LCCOMB_X29_Y32_N28
\led_flash_cnt[3014][6]~69086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3014][6]~69086_combout\ = (\led_flash_cnt[3014][6]~q\ & (!\led_flash_cnt[3014][5]~69085\)) # (!\led_flash_cnt[3014][6]~q\ & ((\led_flash_cnt[3014][5]~69085\) # (GND)))
-- \led_flash_cnt[3014][6]~69087\ = CARRY((!\led_flash_cnt[3014][5]~69085\) # (!\led_flash_cnt[3014][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3014][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3014][5]~69085\,
	combout => \led_flash_cnt[3014][6]~69086_combout\,
	cout => \led_flash_cnt[3014][6]~69087\);

-- Location: FF_X29_Y32_N29
\led_flash_cnt[3014][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3014][6]~69086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3014][6]~q\);

-- Location: LCCOMB_X29_Y32_N16
\WideAnd3014~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3014~0_combout\ = (\led_flash_cnt[3014][2]~q\ & (\led_flash_cnt[3014][4]~q\ & (\led_flash_cnt[3014][3]~q\ & \led_flash_cnt[3014][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3014][2]~q\,
	datab => \led_flash_cnt[3014][4]~q\,
	datac => \led_flash_cnt[3014][3]~q\,
	datad => \led_flash_cnt[3014][6]~q\,
	combout => \WideAnd3014~0_combout\);

-- Location: LCCOMB_X29_Y32_N30
\led_flash_cnt[3014][7]~69088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3014][7]~69088_combout\ = \led_flash_cnt[3014][7]~q\ $ (!\led_flash_cnt[3014][6]~69087\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3014][7]~q\,
	cin => \led_flash_cnt[3014][6]~69087\,
	combout => \led_flash_cnt[3014][7]~69088_combout\);

-- Location: FF_X29_Y32_N31
\led_flash_cnt[3014][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3014][7]~69088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3014][7]~q\);

-- Location: LCCOMB_X29_Y36_N16
\WideAnd3014~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3014~1_combout\ = (\led_flash_cnt[3014][1]~q\ & \led_flash_cnt[3014][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3014][1]~q\,
	datad => \led_flash_cnt[3014][0]~q\,
	combout => \WideAnd3014~1_combout\);

-- Location: LCCOMB_X30_Y32_N0
WideAnd3014 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3014~combout\ = (\WideAnd3014~0_combout\ & (\led_flash_cnt[3014][7]~q\ & (\led_flash_cnt[3014][5]~q\ & \WideAnd3014~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3014~0_combout\,
	datab => \led_flash_cnt[3014][7]~q\,
	datac => \led_flash_cnt[3014][5]~q\,
	datad => \WideAnd3014~1_combout\,
	combout => \WideAnd3014~combout\);

-- Location: FF_X30_Y32_N1
\led_flash_cnt_ands[3014]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3014~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3014));

-- Location: LCCOMB_X38_Y30_N0
\led_flash_cnt[3013][0]~83653\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3013][0]~83653_combout\ = !\led_flash_cnt[3013][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3013][0]~q\,
	combout => \led_flash_cnt[3013][0]~83653_combout\);

-- Location: FF_X38_Y30_N1
\led_flash_cnt[3013][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3013][0]~83653_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3013][0]~q\);

-- Location: LCCOMB_X38_Y30_N10
\led_flash_cnt[3013][1]~69062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3013][1]~69062_combout\ = (\led_flash_cnt[3013][1]~q\ & (\led_flash_cnt[3013][0]~q\ $ (VCC))) # (!\led_flash_cnt[3013][1]~q\ & (\led_flash_cnt[3013][0]~q\ & VCC))
-- \led_flash_cnt[3013][1]~69063\ = CARRY((\led_flash_cnt[3013][1]~q\ & \led_flash_cnt[3013][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3013][1]~q\,
	datab => \led_flash_cnt[3013][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3013][1]~69062_combout\,
	cout => \led_flash_cnt[3013][1]~69063\);

-- Location: FF_X38_Y30_N11
\led_flash_cnt[3013][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3013][1]~69062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3013][1]~q\);

-- Location: LCCOMB_X38_Y30_N12
\led_flash_cnt[3013][2]~69064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3013][2]~69064_combout\ = (\led_flash_cnt[3013][2]~q\ & (!\led_flash_cnt[3013][1]~69063\)) # (!\led_flash_cnt[3013][2]~q\ & ((\led_flash_cnt[3013][1]~69063\) # (GND)))
-- \led_flash_cnt[3013][2]~69065\ = CARRY((!\led_flash_cnt[3013][1]~69063\) # (!\led_flash_cnt[3013][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3013][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3013][1]~69063\,
	combout => \led_flash_cnt[3013][2]~69064_combout\,
	cout => \led_flash_cnt[3013][2]~69065\);

-- Location: FF_X38_Y30_N13
\led_flash_cnt[3013][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3013][2]~69064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3013][2]~q\);

-- Location: LCCOMB_X38_Y30_N14
\led_flash_cnt[3013][3]~69066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3013][3]~69066_combout\ = (\led_flash_cnt[3013][3]~q\ & (\led_flash_cnt[3013][2]~69065\ $ (GND))) # (!\led_flash_cnt[3013][3]~q\ & (!\led_flash_cnt[3013][2]~69065\ & VCC))
-- \led_flash_cnt[3013][3]~69067\ = CARRY((\led_flash_cnt[3013][3]~q\ & !\led_flash_cnt[3013][2]~69065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3013][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3013][2]~69065\,
	combout => \led_flash_cnt[3013][3]~69066_combout\,
	cout => \led_flash_cnt[3013][3]~69067\);

-- Location: FF_X38_Y30_N15
\led_flash_cnt[3013][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3013][3]~69066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3013][3]~q\);

-- Location: LCCOMB_X38_Y30_N16
\led_flash_cnt[3013][4]~69068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3013][4]~69068_combout\ = (\led_flash_cnt[3013][4]~q\ & (!\led_flash_cnt[3013][3]~69067\)) # (!\led_flash_cnt[3013][4]~q\ & ((\led_flash_cnt[3013][3]~69067\) # (GND)))
-- \led_flash_cnt[3013][4]~69069\ = CARRY((!\led_flash_cnt[3013][3]~69067\) # (!\led_flash_cnt[3013][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3013][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3013][3]~69067\,
	combout => \led_flash_cnt[3013][4]~69068_combout\,
	cout => \led_flash_cnt[3013][4]~69069\);

-- Location: FF_X38_Y30_N17
\led_flash_cnt[3013][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3013][4]~69068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3013][4]~q\);

-- Location: LCCOMB_X38_Y30_N30
\WideAnd3013~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3013~0_combout\ = (\led_flash_cnt[3013][1]~q\ & (\led_flash_cnt[3013][4]~q\ & (\led_flash_cnt[3013][3]~q\ & \led_flash_cnt[3013][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3013][1]~q\,
	datab => \led_flash_cnt[3013][4]~q\,
	datac => \led_flash_cnt[3013][3]~q\,
	datad => \led_flash_cnt[3013][2]~q\,
	combout => \WideAnd3013~0_combout\);

-- Location: LCCOMB_X38_Y30_N18
\led_flash_cnt[3013][5]~69070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3013][5]~69070_combout\ = (\led_flash_cnt[3013][5]~q\ & (\led_flash_cnt[3013][4]~69069\ $ (GND))) # (!\led_flash_cnt[3013][5]~q\ & (!\led_flash_cnt[3013][4]~69069\ & VCC))
-- \led_flash_cnt[3013][5]~69071\ = CARRY((\led_flash_cnt[3013][5]~q\ & !\led_flash_cnt[3013][4]~69069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3013][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3013][4]~69069\,
	combout => \led_flash_cnt[3013][5]~69070_combout\,
	cout => \led_flash_cnt[3013][5]~69071\);

-- Location: FF_X38_Y30_N19
\led_flash_cnt[3013][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3013][5]~69070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3013][5]~q\);

-- Location: LCCOMB_X38_Y30_N20
\led_flash_cnt[3013][6]~69072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3013][6]~69072_combout\ = (\led_flash_cnt[3013][6]~q\ & (!\led_flash_cnt[3013][5]~69071\)) # (!\led_flash_cnt[3013][6]~q\ & ((\led_flash_cnt[3013][5]~69071\) # (GND)))
-- \led_flash_cnt[3013][6]~69073\ = CARRY((!\led_flash_cnt[3013][5]~69071\) # (!\led_flash_cnt[3013][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3013][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3013][5]~69071\,
	combout => \led_flash_cnt[3013][6]~69072_combout\,
	cout => \led_flash_cnt[3013][6]~69073\);

-- Location: FF_X38_Y30_N21
\led_flash_cnt[3013][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3013][6]~69072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3013][6]~q\);

-- Location: LCCOMB_X38_Y30_N2
\WideAnd3013~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3013~1_combout\ = (\led_flash_cnt[3013][5]~q\ & \led_flash_cnt[3013][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3013][5]~q\,
	datad => \led_flash_cnt[3013][6]~q\,
	combout => \WideAnd3013~1_combout\);

-- Location: LCCOMB_X38_Y30_N22
\led_flash_cnt[3013][7]~69074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3013][7]~69074_combout\ = \led_flash_cnt[3013][7]~q\ $ (!\led_flash_cnt[3013][6]~69073\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3013][7]~q\,
	cin => \led_flash_cnt[3013][6]~69073\,
	combout => \led_flash_cnt[3013][7]~69074_combout\);

-- Location: FF_X38_Y30_N23
\led_flash_cnt[3013][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3013][7]~69074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3013][7]~q\);

-- Location: LCCOMB_X38_Y30_N8
WideAnd3013 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3013~combout\ = (\WideAnd3013~0_combout\ & (\WideAnd3013~1_combout\ & (\led_flash_cnt[3013][7]~q\ & \led_flash_cnt[3013][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3013~0_combout\,
	datab => \WideAnd3013~1_combout\,
	datac => \led_flash_cnt[3013][7]~q\,
	datad => \led_flash_cnt[3013][0]~q\,
	combout => \WideAnd3013~combout\);

-- Location: FF_X38_Y30_N9
\led_flash_cnt_ands[3013]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3013~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3013));

-- Location: LCCOMB_X38_Y30_N6
\led_flash_cnt[3012][0]~83652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3012][0]~83652_combout\ = !\led_flash_cnt[3012][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3012][0]~q\,
	combout => \led_flash_cnt[3012][0]~83652_combout\);

-- Location: FF_X38_Y30_N7
\led_flash_cnt[3012][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3012][0]~83652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3012][0]~q\);

-- Location: LCCOMB_X39_Y30_N18
\led_flash_cnt[3012][1]~69048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3012][1]~69048_combout\ = (\led_flash_cnt[3012][0]~q\ & (\led_flash_cnt[3012][1]~q\ $ (VCC))) # (!\led_flash_cnt[3012][0]~q\ & (\led_flash_cnt[3012][1]~q\ & VCC))
-- \led_flash_cnt[3012][1]~69049\ = CARRY((\led_flash_cnt[3012][0]~q\ & \led_flash_cnt[3012][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3012][0]~q\,
	datab => \led_flash_cnt[3012][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3012][1]~69048_combout\,
	cout => \led_flash_cnt[3012][1]~69049\);

-- Location: FF_X39_Y30_N19
\led_flash_cnt[3012][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3012][1]~69048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3012][1]~q\);

-- Location: LCCOMB_X39_Y30_N20
\led_flash_cnt[3012][2]~69050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3012][2]~69050_combout\ = (\led_flash_cnt[3012][2]~q\ & (!\led_flash_cnt[3012][1]~69049\)) # (!\led_flash_cnt[3012][2]~q\ & ((\led_flash_cnt[3012][1]~69049\) # (GND)))
-- \led_flash_cnt[3012][2]~69051\ = CARRY((!\led_flash_cnt[3012][1]~69049\) # (!\led_flash_cnt[3012][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3012][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3012][1]~69049\,
	combout => \led_flash_cnt[3012][2]~69050_combout\,
	cout => \led_flash_cnt[3012][2]~69051\);

-- Location: FF_X39_Y30_N21
\led_flash_cnt[3012][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3012][2]~69050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3012][2]~q\);

-- Location: LCCOMB_X39_Y30_N22
\led_flash_cnt[3012][3]~69052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3012][3]~69052_combout\ = (\led_flash_cnt[3012][3]~q\ & (\led_flash_cnt[3012][2]~69051\ $ (GND))) # (!\led_flash_cnt[3012][3]~q\ & (!\led_flash_cnt[3012][2]~69051\ & VCC))
-- \led_flash_cnt[3012][3]~69053\ = CARRY((\led_flash_cnt[3012][3]~q\ & !\led_flash_cnt[3012][2]~69051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3012][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3012][2]~69051\,
	combout => \led_flash_cnt[3012][3]~69052_combout\,
	cout => \led_flash_cnt[3012][3]~69053\);

-- Location: FF_X39_Y30_N23
\led_flash_cnt[3012][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3012][3]~69052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3012][3]~q\);

-- Location: LCCOMB_X39_Y30_N24
\led_flash_cnt[3012][4]~69054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3012][4]~69054_combout\ = (\led_flash_cnt[3012][4]~q\ & (!\led_flash_cnt[3012][3]~69053\)) # (!\led_flash_cnt[3012][4]~q\ & ((\led_flash_cnt[3012][3]~69053\) # (GND)))
-- \led_flash_cnt[3012][4]~69055\ = CARRY((!\led_flash_cnt[3012][3]~69053\) # (!\led_flash_cnt[3012][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3012][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3012][3]~69053\,
	combout => \led_flash_cnt[3012][4]~69054_combout\,
	cout => \led_flash_cnt[3012][4]~69055\);

-- Location: FF_X39_Y30_N25
\led_flash_cnt[3012][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3012][4]~69054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3012][4]~q\);

-- Location: LCCOMB_X39_Y30_N26
\led_flash_cnt[3012][5]~69056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3012][5]~69056_combout\ = (\led_flash_cnt[3012][5]~q\ & (\led_flash_cnt[3012][4]~69055\ $ (GND))) # (!\led_flash_cnt[3012][5]~q\ & (!\led_flash_cnt[3012][4]~69055\ & VCC))
-- \led_flash_cnt[3012][5]~69057\ = CARRY((\led_flash_cnt[3012][5]~q\ & !\led_flash_cnt[3012][4]~69055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3012][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3012][4]~69055\,
	combout => \led_flash_cnt[3012][5]~69056_combout\,
	cout => \led_flash_cnt[3012][5]~69057\);

-- Location: FF_X39_Y30_N27
\led_flash_cnt[3012][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3012][5]~69056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3012][5]~q\);

-- Location: LCCOMB_X39_Y30_N28
\led_flash_cnt[3012][6]~69058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3012][6]~69058_combout\ = (\led_flash_cnt[3012][6]~q\ & (!\led_flash_cnt[3012][5]~69057\)) # (!\led_flash_cnt[3012][6]~q\ & ((\led_flash_cnt[3012][5]~69057\) # (GND)))
-- \led_flash_cnt[3012][6]~69059\ = CARRY((!\led_flash_cnt[3012][5]~69057\) # (!\led_flash_cnt[3012][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3012][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3012][5]~69057\,
	combout => \led_flash_cnt[3012][6]~69058_combout\,
	cout => \led_flash_cnt[3012][6]~69059\);

-- Location: FF_X39_Y30_N29
\led_flash_cnt[3012][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3012][6]~69058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3012][6]~q\);

-- Location: LCCOMB_X38_Y30_N26
\WideAnd3012~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3012~1_combout\ = (\led_flash_cnt[3012][6]~q\ & \led_flash_cnt[3012][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3012][6]~q\,
	datad => \led_flash_cnt[3012][5]~q\,
	combout => \WideAnd3012~1_combout\);

-- Location: LCCOMB_X39_Y30_N0
\WideAnd3012~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3012~0_combout\ = (\led_flash_cnt[3012][4]~q\ & (\led_flash_cnt[3012][2]~q\ & (\led_flash_cnt[3012][3]~q\ & \led_flash_cnt[3012][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3012][4]~q\,
	datab => \led_flash_cnt[3012][2]~q\,
	datac => \led_flash_cnt[3012][3]~q\,
	datad => \led_flash_cnt[3012][1]~q\,
	combout => \WideAnd3012~0_combout\);

-- Location: LCCOMB_X39_Y30_N30
\led_flash_cnt[3012][7]~69060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3012][7]~69060_combout\ = \led_flash_cnt[3012][7]~q\ $ (!\led_flash_cnt[3012][6]~69059\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3012][7]~q\,
	cin => \led_flash_cnt[3012][6]~69059\,
	combout => \led_flash_cnt[3012][7]~69060_combout\);

-- Location: FF_X39_Y30_N31
\led_flash_cnt[3012][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3012][7]~69060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3012][7]~q\);

-- Location: LCCOMB_X38_Y30_N24
WideAnd3012 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3012~combout\ = (\WideAnd3012~1_combout\ & (\WideAnd3012~0_combout\ & (\led_flash_cnt[3012][7]~q\ & \led_flash_cnt[3012][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3012~1_combout\,
	datab => \WideAnd3012~0_combout\,
	datac => \led_flash_cnt[3012][7]~q\,
	datad => \led_flash_cnt[3012][0]~q\,
	combout => \WideAnd3012~combout\);

-- Location: FF_X38_Y30_N25
\led_flash_cnt_ands[3012]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3012~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3012));

-- Location: LCCOMB_X38_Y30_N4
\WideAnd4216~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4216~1_combout\ = (led_flash_cnt_ands(3013) & led_flash_cnt_ands(3012))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3013),
	datad => led_flash_cnt_ands(3012),
	combout => \WideAnd4216~1_combout\);

-- Location: LCCOMB_X38_Y33_N0
WideAnd4216 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4216~combout\ = (\WideAnd4216~0_combout\ & (led_flash_cnt_ands(3015) & (led_flash_cnt_ands(3014) & \WideAnd4216~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4216~0_combout\,
	datab => led_flash_cnt_ands(3015),
	datac => led_flash_cnt_ands(3014),
	datad => \WideAnd4216~1_combout\,
	combout => \WideAnd4216~combout\);

-- Location: FF_X38_Y33_N1
\led_flash_cnt_ands_1[376]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4216~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(376));

-- Location: LCCOMB_X46_Y44_N6
\led_flash_cnt[3021][0]~83661\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3021][0]~83661_combout\ = !\led_flash_cnt[3021][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3021][0]~q\,
	combout => \led_flash_cnt[3021][0]~83661_combout\);

-- Location: FF_X46_Y44_N7
\led_flash_cnt[3021][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3021][0]~83661_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3021][0]~q\);

-- Location: LCCOMB_X47_Y44_N14
\led_flash_cnt[3021][1]~69174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3021][1]~69174_combout\ = (\led_flash_cnt[3021][1]~q\ & (\led_flash_cnt[3021][0]~q\ $ (VCC))) # (!\led_flash_cnt[3021][1]~q\ & (\led_flash_cnt[3021][0]~q\ & VCC))
-- \led_flash_cnt[3021][1]~69175\ = CARRY((\led_flash_cnt[3021][1]~q\ & \led_flash_cnt[3021][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3021][1]~q\,
	datab => \led_flash_cnt[3021][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3021][1]~69174_combout\,
	cout => \led_flash_cnt[3021][1]~69175\);

-- Location: FF_X47_Y44_N15
\led_flash_cnt[3021][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3021][1]~69174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3021][1]~q\);

-- Location: LCCOMB_X47_Y44_N16
\led_flash_cnt[3021][2]~69176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3021][2]~69176_combout\ = (\led_flash_cnt[3021][2]~q\ & (!\led_flash_cnt[3021][1]~69175\)) # (!\led_flash_cnt[3021][2]~q\ & ((\led_flash_cnt[3021][1]~69175\) # (GND)))
-- \led_flash_cnt[3021][2]~69177\ = CARRY((!\led_flash_cnt[3021][1]~69175\) # (!\led_flash_cnt[3021][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3021][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3021][1]~69175\,
	combout => \led_flash_cnt[3021][2]~69176_combout\,
	cout => \led_flash_cnt[3021][2]~69177\);

-- Location: FF_X47_Y44_N17
\led_flash_cnt[3021][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3021][2]~69176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3021][2]~q\);

-- Location: LCCOMB_X47_Y44_N18
\led_flash_cnt[3021][3]~69178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3021][3]~69178_combout\ = (\led_flash_cnt[3021][3]~q\ & (\led_flash_cnt[3021][2]~69177\ $ (GND))) # (!\led_flash_cnt[3021][3]~q\ & (!\led_flash_cnt[3021][2]~69177\ & VCC))
-- \led_flash_cnt[3021][3]~69179\ = CARRY((\led_flash_cnt[3021][3]~q\ & !\led_flash_cnt[3021][2]~69177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3021][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3021][2]~69177\,
	combout => \led_flash_cnt[3021][3]~69178_combout\,
	cout => \led_flash_cnt[3021][3]~69179\);

-- Location: FF_X47_Y44_N19
\led_flash_cnt[3021][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3021][3]~69178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3021][3]~q\);

-- Location: LCCOMB_X47_Y44_N20
\led_flash_cnt[3021][4]~69180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3021][4]~69180_combout\ = (\led_flash_cnt[3021][4]~q\ & (!\led_flash_cnt[3021][3]~69179\)) # (!\led_flash_cnt[3021][4]~q\ & ((\led_flash_cnt[3021][3]~69179\) # (GND)))
-- \led_flash_cnt[3021][4]~69181\ = CARRY((!\led_flash_cnt[3021][3]~69179\) # (!\led_flash_cnt[3021][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3021][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3021][3]~69179\,
	combout => \led_flash_cnt[3021][4]~69180_combout\,
	cout => \led_flash_cnt[3021][4]~69181\);

-- Location: FF_X47_Y44_N21
\led_flash_cnt[3021][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3021][4]~69180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3021][4]~q\);

-- Location: LCCOMB_X46_Y44_N10
\WideAnd3021~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3021~0_combout\ = (\led_flash_cnt[3021][4]~q\ & (\led_flash_cnt[3021][3]~q\ & (\led_flash_cnt[3021][1]~q\ & \led_flash_cnt[3021][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3021][4]~q\,
	datab => \led_flash_cnt[3021][3]~q\,
	datac => \led_flash_cnt[3021][1]~q\,
	datad => \led_flash_cnt[3021][2]~q\,
	combout => \WideAnd3021~0_combout\);

-- Location: LCCOMB_X47_Y44_N22
\led_flash_cnt[3021][5]~69182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3021][5]~69182_combout\ = (\led_flash_cnt[3021][5]~q\ & (\led_flash_cnt[3021][4]~69181\ $ (GND))) # (!\led_flash_cnt[3021][5]~q\ & (!\led_flash_cnt[3021][4]~69181\ & VCC))
-- \led_flash_cnt[3021][5]~69183\ = CARRY((\led_flash_cnt[3021][5]~q\ & !\led_flash_cnt[3021][4]~69181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3021][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3021][4]~69181\,
	combout => \led_flash_cnt[3021][5]~69182_combout\,
	cout => \led_flash_cnt[3021][5]~69183\);

-- Location: FF_X47_Y44_N23
\led_flash_cnt[3021][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3021][5]~69182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3021][5]~q\);

-- Location: LCCOMB_X47_Y44_N24
\led_flash_cnt[3021][6]~69184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3021][6]~69184_combout\ = (\led_flash_cnt[3021][6]~q\ & (!\led_flash_cnt[3021][5]~69183\)) # (!\led_flash_cnt[3021][6]~q\ & ((\led_flash_cnt[3021][5]~69183\) # (GND)))
-- \led_flash_cnt[3021][6]~69185\ = CARRY((!\led_flash_cnt[3021][5]~69183\) # (!\led_flash_cnt[3021][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3021][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3021][5]~69183\,
	combout => \led_flash_cnt[3021][6]~69184_combout\,
	cout => \led_flash_cnt[3021][6]~69185\);

-- Location: FF_X47_Y44_N25
\led_flash_cnt[3021][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3021][6]~69184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3021][6]~q\);

-- Location: LCCOMB_X47_Y44_N26
\led_flash_cnt[3021][7]~69186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3021][7]~69186_combout\ = \led_flash_cnt[3021][7]~q\ $ (!\led_flash_cnt[3021][6]~69185\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3021][7]~q\,
	cin => \led_flash_cnt[3021][6]~69185\,
	combout => \led_flash_cnt[3021][7]~69186_combout\);

-- Location: FF_X47_Y44_N27
\led_flash_cnt[3021][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3021][7]~69186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3021][7]~q\);

-- Location: LCCOMB_X46_Y44_N4
\WideAnd3021~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3021~1_combout\ = (\led_flash_cnt[3021][6]~q\ & \led_flash_cnt[3021][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3021][6]~q\,
	datad => \led_flash_cnt[3021][5]~q\,
	combout => \WideAnd3021~1_combout\);

-- Location: LCCOMB_X46_Y44_N8
WideAnd3021 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3021~combout\ = (\WideAnd3021~0_combout\ & (\led_flash_cnt[3021][7]~q\ & (\WideAnd3021~1_combout\ & \led_flash_cnt[3021][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3021~0_combout\,
	datab => \led_flash_cnt[3021][7]~q\,
	datac => \WideAnd3021~1_combout\,
	datad => \led_flash_cnt[3021][0]~q\,
	combout => \WideAnd3021~combout\);

-- Location: FF_X46_Y44_N9
\led_flash_cnt_ands[3021]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3021~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3021));

-- Location: LCCOMB_X45_Y44_N26
\led_flash_cnt[3020][0]~83660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3020][0]~83660_combout\ = !\led_flash_cnt[3020][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3020][0]~q\,
	combout => \led_flash_cnt[3020][0]~83660_combout\);

-- Location: FF_X45_Y44_N27
\led_flash_cnt[3020][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3020][0]~83660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3020][0]~q\);

-- Location: LCCOMB_X46_Y44_N16
\led_flash_cnt[3020][1]~69160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3020][1]~69160_combout\ = (\led_flash_cnt[3020][0]~q\ & (\led_flash_cnt[3020][1]~q\ $ (VCC))) # (!\led_flash_cnt[3020][0]~q\ & (\led_flash_cnt[3020][1]~q\ & VCC))
-- \led_flash_cnt[3020][1]~69161\ = CARRY((\led_flash_cnt[3020][0]~q\ & \led_flash_cnt[3020][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3020][0]~q\,
	datab => \led_flash_cnt[3020][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3020][1]~69160_combout\,
	cout => \led_flash_cnt[3020][1]~69161\);

-- Location: FF_X46_Y44_N17
\led_flash_cnt[3020][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3020][1]~69160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3020][1]~q\);

-- Location: LCCOMB_X46_Y44_N18
\led_flash_cnt[3020][2]~69162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3020][2]~69162_combout\ = (\led_flash_cnt[3020][2]~q\ & (!\led_flash_cnt[3020][1]~69161\)) # (!\led_flash_cnt[3020][2]~q\ & ((\led_flash_cnt[3020][1]~69161\) # (GND)))
-- \led_flash_cnt[3020][2]~69163\ = CARRY((!\led_flash_cnt[3020][1]~69161\) # (!\led_flash_cnt[3020][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3020][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3020][1]~69161\,
	combout => \led_flash_cnt[3020][2]~69162_combout\,
	cout => \led_flash_cnt[3020][2]~69163\);

-- Location: FF_X46_Y44_N19
\led_flash_cnt[3020][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3020][2]~69162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3020][2]~q\);

-- Location: LCCOMB_X46_Y44_N20
\led_flash_cnt[3020][3]~69164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3020][3]~69164_combout\ = (\led_flash_cnt[3020][3]~q\ & (\led_flash_cnt[3020][2]~69163\ $ (GND))) # (!\led_flash_cnt[3020][3]~q\ & (!\led_flash_cnt[3020][2]~69163\ & VCC))
-- \led_flash_cnt[3020][3]~69165\ = CARRY((\led_flash_cnt[3020][3]~q\ & !\led_flash_cnt[3020][2]~69163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3020][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3020][2]~69163\,
	combout => \led_flash_cnt[3020][3]~69164_combout\,
	cout => \led_flash_cnt[3020][3]~69165\);

-- Location: FF_X46_Y44_N21
\led_flash_cnt[3020][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3020][3]~69164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3020][3]~q\);

-- Location: LCCOMB_X46_Y44_N22
\led_flash_cnt[3020][4]~69166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3020][4]~69166_combout\ = (\led_flash_cnt[3020][4]~q\ & (!\led_flash_cnt[3020][3]~69165\)) # (!\led_flash_cnt[3020][4]~q\ & ((\led_flash_cnt[3020][3]~69165\) # (GND)))
-- \led_flash_cnt[3020][4]~69167\ = CARRY((!\led_flash_cnt[3020][3]~69165\) # (!\led_flash_cnt[3020][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3020][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3020][3]~69165\,
	combout => \led_flash_cnt[3020][4]~69166_combout\,
	cout => \led_flash_cnt[3020][4]~69167\);

-- Location: FF_X46_Y44_N23
\led_flash_cnt[3020][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3020][4]~69166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3020][4]~q\);

-- Location: LCCOMB_X46_Y44_N24
\led_flash_cnt[3020][5]~69168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3020][5]~69168_combout\ = (\led_flash_cnt[3020][5]~q\ & (\led_flash_cnt[3020][4]~69167\ $ (GND))) # (!\led_flash_cnt[3020][5]~q\ & (!\led_flash_cnt[3020][4]~69167\ & VCC))
-- \led_flash_cnt[3020][5]~69169\ = CARRY((\led_flash_cnt[3020][5]~q\ & !\led_flash_cnt[3020][4]~69167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3020][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3020][4]~69167\,
	combout => \led_flash_cnt[3020][5]~69168_combout\,
	cout => \led_flash_cnt[3020][5]~69169\);

-- Location: FF_X46_Y44_N25
\led_flash_cnt[3020][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3020][5]~69168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3020][5]~q\);

-- Location: LCCOMB_X46_Y44_N26
\led_flash_cnt[3020][6]~69170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3020][6]~69170_combout\ = (\led_flash_cnt[3020][6]~q\ & (!\led_flash_cnt[3020][5]~69169\)) # (!\led_flash_cnt[3020][6]~q\ & ((\led_flash_cnt[3020][5]~69169\) # (GND)))
-- \led_flash_cnt[3020][6]~69171\ = CARRY((!\led_flash_cnt[3020][5]~69169\) # (!\led_flash_cnt[3020][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3020][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3020][5]~69169\,
	combout => \led_flash_cnt[3020][6]~69170_combout\,
	cout => \led_flash_cnt[3020][6]~69171\);

-- Location: FF_X46_Y44_N27
\led_flash_cnt[3020][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3020][6]~69170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3020][6]~q\);

-- Location: LCCOMB_X46_Y44_N12
\WideAnd3020~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3020~1_combout\ = (\led_flash_cnt[3020][6]~q\ & \led_flash_cnt[3020][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3020][6]~q\,
	datad => \led_flash_cnt[3020][5]~q\,
	combout => \WideAnd3020~1_combout\);

-- Location: LCCOMB_X46_Y44_N2
\WideAnd3020~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3020~0_combout\ = (\led_flash_cnt[3020][3]~q\ & (\led_flash_cnt[3020][1]~q\ & (\led_flash_cnt[3020][4]~q\ & \led_flash_cnt[3020][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3020][3]~q\,
	datab => \led_flash_cnt[3020][1]~q\,
	datac => \led_flash_cnt[3020][4]~q\,
	datad => \led_flash_cnt[3020][2]~q\,
	combout => \WideAnd3020~0_combout\);

-- Location: LCCOMB_X46_Y44_N28
\led_flash_cnt[3020][7]~69172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3020][7]~69172_combout\ = \led_flash_cnt[3020][6]~69171\ $ (!\led_flash_cnt[3020][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3020][7]~q\,
	cin => \led_flash_cnt[3020][6]~69171\,
	combout => \led_flash_cnt[3020][7]~69172_combout\);

-- Location: FF_X46_Y44_N29
\led_flash_cnt[3020][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3020][7]~69172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3020][7]~q\);

-- Location: LCCOMB_X46_Y44_N0
WideAnd3020 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3020~combout\ = (\WideAnd3020~1_combout\ & (\WideAnd3020~0_combout\ & (\led_flash_cnt[3020][0]~q\ & \led_flash_cnt[3020][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3020~1_combout\,
	datab => \WideAnd3020~0_combout\,
	datac => \led_flash_cnt[3020][0]~q\,
	datad => \led_flash_cnt[3020][7]~q\,
	combout => \WideAnd3020~combout\);

-- Location: FF_X46_Y44_N1
\led_flash_cnt_ands[3020]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3020~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3020));

-- Location: LCCOMB_X46_Y44_N30
\WideAnd4217~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4217~1_combout\ = (led_flash_cnt_ands(3021) & led_flash_cnt_ands(3020))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3021),
	datad => led_flash_cnt_ands(3020),
	combout => \WideAnd4217~1_combout\);

-- Location: LCCOMB_X34_Y37_N2
\led_flash_cnt[3022][0]~83662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3022][0]~83662_combout\ = !\led_flash_cnt[3022][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3022][0]~q\,
	combout => \led_flash_cnt[3022][0]~83662_combout\);

-- Location: FF_X34_Y37_N3
\led_flash_cnt[3022][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3022][0]~83662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3022][0]~q\);

-- Location: LCCOMB_X34_Y37_N4
\led_flash_cnt[3022][1]~69188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3022][1]~69188_combout\ = (\led_flash_cnt[3022][0]~q\ & (\led_flash_cnt[3022][1]~q\ $ (VCC))) # (!\led_flash_cnt[3022][0]~q\ & (\led_flash_cnt[3022][1]~q\ & VCC))
-- \led_flash_cnt[3022][1]~69189\ = CARRY((\led_flash_cnt[3022][0]~q\ & \led_flash_cnt[3022][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3022][0]~q\,
	datab => \led_flash_cnt[3022][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3022][1]~69188_combout\,
	cout => \led_flash_cnt[3022][1]~69189\);

-- Location: FF_X34_Y37_N5
\led_flash_cnt[3022][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3022][1]~69188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3022][1]~q\);

-- Location: LCCOMB_X34_Y37_N6
\led_flash_cnt[3022][2]~69190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3022][2]~69190_combout\ = (\led_flash_cnt[3022][2]~q\ & (!\led_flash_cnt[3022][1]~69189\)) # (!\led_flash_cnt[3022][2]~q\ & ((\led_flash_cnt[3022][1]~69189\) # (GND)))
-- \led_flash_cnt[3022][2]~69191\ = CARRY((!\led_flash_cnt[3022][1]~69189\) # (!\led_flash_cnt[3022][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3022][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3022][1]~69189\,
	combout => \led_flash_cnt[3022][2]~69190_combout\,
	cout => \led_flash_cnt[3022][2]~69191\);

-- Location: FF_X34_Y37_N7
\led_flash_cnt[3022][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3022][2]~69190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3022][2]~q\);

-- Location: LCCOMB_X34_Y37_N8
\led_flash_cnt[3022][3]~69192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3022][3]~69192_combout\ = (\led_flash_cnt[3022][3]~q\ & (\led_flash_cnt[3022][2]~69191\ $ (GND))) # (!\led_flash_cnt[3022][3]~q\ & (!\led_flash_cnt[3022][2]~69191\ & VCC))
-- \led_flash_cnt[3022][3]~69193\ = CARRY((\led_flash_cnt[3022][3]~q\ & !\led_flash_cnt[3022][2]~69191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3022][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3022][2]~69191\,
	combout => \led_flash_cnt[3022][3]~69192_combout\,
	cout => \led_flash_cnt[3022][3]~69193\);

-- Location: FF_X34_Y37_N9
\led_flash_cnt[3022][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3022][3]~69192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3022][3]~q\);

-- Location: LCCOMB_X34_Y37_N10
\led_flash_cnt[3022][4]~69194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3022][4]~69194_combout\ = (\led_flash_cnt[3022][4]~q\ & (!\led_flash_cnt[3022][3]~69193\)) # (!\led_flash_cnt[3022][4]~q\ & ((\led_flash_cnt[3022][3]~69193\) # (GND)))
-- \led_flash_cnt[3022][4]~69195\ = CARRY((!\led_flash_cnt[3022][3]~69193\) # (!\led_flash_cnt[3022][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3022][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3022][3]~69193\,
	combout => \led_flash_cnt[3022][4]~69194_combout\,
	cout => \led_flash_cnt[3022][4]~69195\);

-- Location: FF_X34_Y37_N11
\led_flash_cnt[3022][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3022][4]~69194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3022][4]~q\);

-- Location: LCCOMB_X34_Y37_N26
\WideAnd3022~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3022~0_combout\ = (\led_flash_cnt[3022][2]~q\ & (\led_flash_cnt[3022][1]~q\ & (\led_flash_cnt[3022][3]~q\ & \led_flash_cnt[3022][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3022][2]~q\,
	datab => \led_flash_cnt[3022][1]~q\,
	datac => \led_flash_cnt[3022][3]~q\,
	datad => \led_flash_cnt[3022][4]~q\,
	combout => \WideAnd3022~0_combout\);

-- Location: LCCOMB_X34_Y37_N12
\led_flash_cnt[3022][5]~69196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3022][5]~69196_combout\ = (\led_flash_cnt[3022][5]~q\ & (\led_flash_cnt[3022][4]~69195\ $ (GND))) # (!\led_flash_cnt[3022][5]~q\ & (!\led_flash_cnt[3022][4]~69195\ & VCC))
-- \led_flash_cnt[3022][5]~69197\ = CARRY((\led_flash_cnt[3022][5]~q\ & !\led_flash_cnt[3022][4]~69195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3022][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3022][4]~69195\,
	combout => \led_flash_cnt[3022][5]~69196_combout\,
	cout => \led_flash_cnt[3022][5]~69197\);

-- Location: FF_X34_Y37_N13
\led_flash_cnt[3022][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3022][5]~69196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3022][5]~q\);

-- Location: LCCOMB_X34_Y37_N14
\led_flash_cnt[3022][6]~69198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3022][6]~69198_combout\ = (\led_flash_cnt[3022][6]~q\ & (!\led_flash_cnt[3022][5]~69197\)) # (!\led_flash_cnt[3022][6]~q\ & ((\led_flash_cnt[3022][5]~69197\) # (GND)))
-- \led_flash_cnt[3022][6]~69199\ = CARRY((!\led_flash_cnt[3022][5]~69197\) # (!\led_flash_cnt[3022][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3022][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3022][5]~69197\,
	combout => \led_flash_cnt[3022][6]~69198_combout\,
	cout => \led_flash_cnt[3022][6]~69199\);

-- Location: FF_X34_Y37_N15
\led_flash_cnt[3022][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3022][6]~69198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3022][6]~q\);

-- Location: LCCOMB_X34_Y37_N16
\led_flash_cnt[3022][7]~69200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3022][7]~69200_combout\ = \led_flash_cnt[3022][6]~69199\ $ (!\led_flash_cnt[3022][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3022][7]~q\,
	cin => \led_flash_cnt[3022][6]~69199\,
	combout => \led_flash_cnt[3022][7]~69200_combout\);

-- Location: FF_X34_Y37_N17
\led_flash_cnt[3022][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3022][7]~69200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3022][7]~q\);

-- Location: LCCOMB_X34_Y37_N22
\WideAnd3022~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3022~1_combout\ = (\led_flash_cnt[3022][6]~q\ & \led_flash_cnt[3022][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3022][6]~q\,
	datad => \led_flash_cnt[3022][5]~q\,
	combout => \WideAnd3022~1_combout\);

-- Location: LCCOMB_X34_Y37_N0
WideAnd3022 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3022~combout\ = (\WideAnd3022~0_combout\ & (\led_flash_cnt[3022][7]~q\ & (\WideAnd3022~1_combout\ & \led_flash_cnt[3022][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3022~0_combout\,
	datab => \led_flash_cnt[3022][7]~q\,
	datac => \WideAnd3022~1_combout\,
	datad => \led_flash_cnt[3022][0]~q\,
	combout => \WideAnd3022~combout\);

-- Location: FF_X34_Y37_N1
\led_flash_cnt_ands[3022]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3022~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3022));

-- Location: LCCOMB_X34_Y35_N8
\led_flash_cnt[3023][0]~83663\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3023][0]~83663_combout\ = !\led_flash_cnt[3023][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3023][0]~q\,
	combout => \led_flash_cnt[3023][0]~83663_combout\);

-- Location: FF_X34_Y35_N9
\led_flash_cnt[3023][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3023][0]~83663_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3023][0]~q\);

-- Location: LCCOMB_X39_Y35_N8
\led_flash_cnt[3023][1]~69202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3023][1]~69202_combout\ = (\led_flash_cnt[3023][0]~q\ & (\led_flash_cnt[3023][1]~q\ $ (VCC))) # (!\led_flash_cnt[3023][0]~q\ & (\led_flash_cnt[3023][1]~q\ & VCC))
-- \led_flash_cnt[3023][1]~69203\ = CARRY((\led_flash_cnt[3023][0]~q\ & \led_flash_cnt[3023][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3023][0]~q\,
	datab => \led_flash_cnt[3023][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3023][1]~69202_combout\,
	cout => \led_flash_cnt[3023][1]~69203\);

-- Location: FF_X39_Y35_N9
\led_flash_cnt[3023][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3023][1]~69202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3023][1]~q\);

-- Location: LCCOMB_X39_Y35_N10
\led_flash_cnt[3023][2]~69204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3023][2]~69204_combout\ = (\led_flash_cnt[3023][2]~q\ & (!\led_flash_cnt[3023][1]~69203\)) # (!\led_flash_cnt[3023][2]~q\ & ((\led_flash_cnt[3023][1]~69203\) # (GND)))
-- \led_flash_cnt[3023][2]~69205\ = CARRY((!\led_flash_cnt[3023][1]~69203\) # (!\led_flash_cnt[3023][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3023][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3023][1]~69203\,
	combout => \led_flash_cnt[3023][2]~69204_combout\,
	cout => \led_flash_cnt[3023][2]~69205\);

-- Location: FF_X39_Y35_N11
\led_flash_cnt[3023][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3023][2]~69204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3023][2]~q\);

-- Location: LCCOMB_X39_Y35_N12
\led_flash_cnt[3023][3]~69206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3023][3]~69206_combout\ = (\led_flash_cnt[3023][3]~q\ & (\led_flash_cnt[3023][2]~69205\ $ (GND))) # (!\led_flash_cnt[3023][3]~q\ & (!\led_flash_cnt[3023][2]~69205\ & VCC))
-- \led_flash_cnt[3023][3]~69207\ = CARRY((\led_flash_cnt[3023][3]~q\ & !\led_flash_cnt[3023][2]~69205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3023][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3023][2]~69205\,
	combout => \led_flash_cnt[3023][3]~69206_combout\,
	cout => \led_flash_cnt[3023][3]~69207\);

-- Location: FF_X39_Y35_N13
\led_flash_cnt[3023][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3023][3]~69206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3023][3]~q\);

-- Location: LCCOMB_X39_Y35_N14
\led_flash_cnt[3023][4]~69208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3023][4]~69208_combout\ = (\led_flash_cnt[3023][4]~q\ & (!\led_flash_cnt[3023][3]~69207\)) # (!\led_flash_cnt[3023][4]~q\ & ((\led_flash_cnt[3023][3]~69207\) # (GND)))
-- \led_flash_cnt[3023][4]~69209\ = CARRY((!\led_flash_cnt[3023][3]~69207\) # (!\led_flash_cnt[3023][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3023][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3023][3]~69207\,
	combout => \led_flash_cnt[3023][4]~69208_combout\,
	cout => \led_flash_cnt[3023][4]~69209\);

-- Location: FF_X39_Y35_N15
\led_flash_cnt[3023][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3023][4]~69208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3023][4]~q\);

-- Location: LCCOMB_X39_Y35_N16
\led_flash_cnt[3023][5]~69210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3023][5]~69210_combout\ = (\led_flash_cnt[3023][5]~q\ & (\led_flash_cnt[3023][4]~69209\ $ (GND))) # (!\led_flash_cnt[3023][5]~q\ & (!\led_flash_cnt[3023][4]~69209\ & VCC))
-- \led_flash_cnt[3023][5]~69211\ = CARRY((\led_flash_cnt[3023][5]~q\ & !\led_flash_cnt[3023][4]~69209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3023][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3023][4]~69209\,
	combout => \led_flash_cnt[3023][5]~69210_combout\,
	cout => \led_flash_cnt[3023][5]~69211\);

-- Location: FF_X39_Y35_N17
\led_flash_cnt[3023][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3023][5]~69210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3023][5]~q\);

-- Location: LCCOMB_X39_Y35_N18
\led_flash_cnt[3023][6]~69212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3023][6]~69212_combout\ = (\led_flash_cnt[3023][6]~q\ & (!\led_flash_cnt[3023][5]~69211\)) # (!\led_flash_cnt[3023][6]~q\ & ((\led_flash_cnt[3023][5]~69211\) # (GND)))
-- \led_flash_cnt[3023][6]~69213\ = CARRY((!\led_flash_cnt[3023][5]~69211\) # (!\led_flash_cnt[3023][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3023][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3023][5]~69211\,
	combout => \led_flash_cnt[3023][6]~69212_combout\,
	cout => \led_flash_cnt[3023][6]~69213\);

-- Location: FF_X39_Y35_N19
\led_flash_cnt[3023][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3023][6]~69212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3023][6]~q\);

-- Location: LCCOMB_X39_Y35_N20
\led_flash_cnt[3023][7]~69214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3023][7]~69214_combout\ = \led_flash_cnt[3023][6]~69213\ $ (!\led_flash_cnt[3023][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3023][7]~q\,
	cin => \led_flash_cnt[3023][6]~69213\,
	combout => \led_flash_cnt[3023][7]~69214_combout\);

-- Location: FF_X39_Y35_N21
\led_flash_cnt[3023][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3023][7]~69214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3023][7]~q\);

-- Location: LCCOMB_X39_Y35_N4
\WideAnd3023~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3023~1_combout\ = (\led_flash_cnt[3023][6]~q\ & \led_flash_cnt[3023][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3023][6]~q\,
	datad => \led_flash_cnt[3023][5]~q\,
	combout => \WideAnd3023~1_combout\);

-- Location: LCCOMB_X39_Y35_N6
\WideAnd3023~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3023~0_combout\ = (\led_flash_cnt[3023][3]~q\ & (\led_flash_cnt[3023][4]~q\ & (\led_flash_cnt[3023][1]~q\ & \led_flash_cnt[3023][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3023][3]~q\,
	datab => \led_flash_cnt[3023][4]~q\,
	datac => \led_flash_cnt[3023][1]~q\,
	datad => \led_flash_cnt[3023][2]~q\,
	combout => \WideAnd3023~0_combout\);

-- Location: LCCOMB_X39_Y35_N30
WideAnd3023 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3023~combout\ = (\led_flash_cnt[3023][0]~q\ & (\led_flash_cnt[3023][7]~q\ & (\WideAnd3023~1_combout\ & \WideAnd3023~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3023][0]~q\,
	datab => \led_flash_cnt[3023][7]~q\,
	datac => \WideAnd3023~1_combout\,
	datad => \WideAnd3023~0_combout\,
	combout => \WideAnd3023~combout\);

-- Location: FF_X39_Y35_N31
\led_flash_cnt_ands[3023]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3023~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3023));

-- Location: LCCOMB_X35_Y31_N6
\led_flash_cnt[3019][0]~83659\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3019][0]~83659_combout\ = !\led_flash_cnt[3019][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3019][0]~q\,
	combout => \led_flash_cnt[3019][0]~83659_combout\);

-- Location: FF_X35_Y31_N7
\led_flash_cnt[3019][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3019][0]~83659_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3019][0]~q\);

-- Location: LCCOMB_X36_Y31_N4
\led_flash_cnt[3019][1]~69146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3019][1]~69146_combout\ = (\led_flash_cnt[3019][0]~q\ & (\led_flash_cnt[3019][1]~q\ $ (VCC))) # (!\led_flash_cnt[3019][0]~q\ & (\led_flash_cnt[3019][1]~q\ & VCC))
-- \led_flash_cnt[3019][1]~69147\ = CARRY((\led_flash_cnt[3019][0]~q\ & \led_flash_cnt[3019][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3019][0]~q\,
	datab => \led_flash_cnt[3019][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3019][1]~69146_combout\,
	cout => \led_flash_cnt[3019][1]~69147\);

-- Location: FF_X36_Y31_N5
\led_flash_cnt[3019][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3019][1]~69146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3019][1]~q\);

-- Location: LCCOMB_X36_Y31_N6
\led_flash_cnt[3019][2]~69148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3019][2]~69148_combout\ = (\led_flash_cnt[3019][2]~q\ & (!\led_flash_cnt[3019][1]~69147\)) # (!\led_flash_cnt[3019][2]~q\ & ((\led_flash_cnt[3019][1]~69147\) # (GND)))
-- \led_flash_cnt[3019][2]~69149\ = CARRY((!\led_flash_cnt[3019][1]~69147\) # (!\led_flash_cnt[3019][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3019][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3019][1]~69147\,
	combout => \led_flash_cnt[3019][2]~69148_combout\,
	cout => \led_flash_cnt[3019][2]~69149\);

-- Location: FF_X36_Y31_N7
\led_flash_cnt[3019][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3019][2]~69148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3019][2]~q\);

-- Location: LCCOMB_X36_Y31_N8
\led_flash_cnt[3019][3]~69150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3019][3]~69150_combout\ = (\led_flash_cnt[3019][3]~q\ & (\led_flash_cnt[3019][2]~69149\ $ (GND))) # (!\led_flash_cnt[3019][3]~q\ & (!\led_flash_cnt[3019][2]~69149\ & VCC))
-- \led_flash_cnt[3019][3]~69151\ = CARRY((\led_flash_cnt[3019][3]~q\ & !\led_flash_cnt[3019][2]~69149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3019][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3019][2]~69149\,
	combout => \led_flash_cnt[3019][3]~69150_combout\,
	cout => \led_flash_cnt[3019][3]~69151\);

-- Location: FF_X36_Y31_N9
\led_flash_cnt[3019][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3019][3]~69150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3019][3]~q\);

-- Location: LCCOMB_X36_Y31_N10
\led_flash_cnt[3019][4]~69152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3019][4]~69152_combout\ = (\led_flash_cnt[3019][4]~q\ & (!\led_flash_cnt[3019][3]~69151\)) # (!\led_flash_cnt[3019][4]~q\ & ((\led_flash_cnt[3019][3]~69151\) # (GND)))
-- \led_flash_cnt[3019][4]~69153\ = CARRY((!\led_flash_cnt[3019][3]~69151\) # (!\led_flash_cnt[3019][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3019][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3019][3]~69151\,
	combout => \led_flash_cnt[3019][4]~69152_combout\,
	cout => \led_flash_cnt[3019][4]~69153\);

-- Location: FF_X36_Y31_N11
\led_flash_cnt[3019][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3019][4]~69152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3019][4]~q\);

-- Location: LCCOMB_X36_Y31_N12
\led_flash_cnt[3019][5]~69154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3019][5]~69154_combout\ = (\led_flash_cnt[3019][5]~q\ & (\led_flash_cnt[3019][4]~69153\ $ (GND))) # (!\led_flash_cnt[3019][5]~q\ & (!\led_flash_cnt[3019][4]~69153\ & VCC))
-- \led_flash_cnt[3019][5]~69155\ = CARRY((\led_flash_cnt[3019][5]~q\ & !\led_flash_cnt[3019][4]~69153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3019][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3019][4]~69153\,
	combout => \led_flash_cnt[3019][5]~69154_combout\,
	cout => \led_flash_cnt[3019][5]~69155\);

-- Location: FF_X36_Y31_N13
\led_flash_cnt[3019][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3019][5]~69154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3019][5]~q\);

-- Location: LCCOMB_X36_Y31_N14
\led_flash_cnt[3019][6]~69156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3019][6]~69156_combout\ = (\led_flash_cnt[3019][6]~q\ & (!\led_flash_cnt[3019][5]~69155\)) # (!\led_flash_cnt[3019][6]~q\ & ((\led_flash_cnt[3019][5]~69155\) # (GND)))
-- \led_flash_cnt[3019][6]~69157\ = CARRY((!\led_flash_cnt[3019][5]~69155\) # (!\led_flash_cnt[3019][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3019][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3019][5]~69155\,
	combout => \led_flash_cnt[3019][6]~69156_combout\,
	cout => \led_flash_cnt[3019][6]~69157\);

-- Location: FF_X36_Y31_N15
\led_flash_cnt[3019][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3019][6]~69156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3019][6]~q\);

-- Location: LCCOMB_X36_Y31_N16
\led_flash_cnt[3019][7]~69158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3019][7]~69158_combout\ = \led_flash_cnt[3019][6]~69157\ $ (!\led_flash_cnt[3019][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3019][7]~q\,
	cin => \led_flash_cnt[3019][6]~69157\,
	combout => \led_flash_cnt[3019][7]~69158_combout\);

-- Location: FF_X36_Y31_N17
\led_flash_cnt[3019][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3019][7]~69158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3019][7]~q\);

-- Location: LCCOMB_X35_Y31_N14
\WideAnd3019~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3019~1_combout\ = (\led_flash_cnt[3019][6]~q\ & \led_flash_cnt[3019][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3019][6]~q\,
	datac => \led_flash_cnt[3019][5]~q\,
	combout => \WideAnd3019~1_combout\);

-- Location: LCCOMB_X36_Y31_N2
\WideAnd3019~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3019~0_combout\ = (\led_flash_cnt[3019][4]~q\ & (\led_flash_cnt[3019][3]~q\ & (\led_flash_cnt[3019][1]~q\ & \led_flash_cnt[3019][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3019][4]~q\,
	datab => \led_flash_cnt[3019][3]~q\,
	datac => \led_flash_cnt[3019][1]~q\,
	datad => \led_flash_cnt[3019][2]~q\,
	combout => \WideAnd3019~0_combout\);

-- Location: LCCOMB_X35_Y31_N0
WideAnd3019 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3019~combout\ = (\led_flash_cnt[3019][0]~q\ & (\led_flash_cnt[3019][7]~q\ & (\WideAnd3019~1_combout\ & \WideAnd3019~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3019][0]~q\,
	datab => \led_flash_cnt[3019][7]~q\,
	datac => \WideAnd3019~1_combout\,
	datad => \WideAnd3019~0_combout\,
	combout => \WideAnd3019~combout\);

-- Location: FF_X35_Y31_N1
\led_flash_cnt_ands[3019]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3019~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3019));

-- Location: LCCOMB_X47_Y37_N10
\led_flash_cnt[3016][0]~83656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3016][0]~83656_combout\ = !\led_flash_cnt[3016][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3016][0]~q\,
	combout => \led_flash_cnt[3016][0]~83656_combout\);

-- Location: FF_X47_Y37_N11
\led_flash_cnt[3016][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3016][0]~83656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3016][0]~q\);

-- Location: LCCOMB_X47_Y37_N14
\led_flash_cnt[3016][1]~69104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3016][1]~69104_combout\ = (\led_flash_cnt[3016][0]~q\ & (\led_flash_cnt[3016][1]~q\ $ (VCC))) # (!\led_flash_cnt[3016][0]~q\ & (\led_flash_cnt[3016][1]~q\ & VCC))
-- \led_flash_cnt[3016][1]~69105\ = CARRY((\led_flash_cnt[3016][0]~q\ & \led_flash_cnt[3016][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3016][0]~q\,
	datab => \led_flash_cnt[3016][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3016][1]~69104_combout\,
	cout => \led_flash_cnt[3016][1]~69105\);

-- Location: FF_X47_Y37_N15
\led_flash_cnt[3016][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3016][1]~69104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3016][1]~q\);

-- Location: LCCOMB_X47_Y37_N16
\led_flash_cnt[3016][2]~69106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3016][2]~69106_combout\ = (\led_flash_cnt[3016][2]~q\ & (!\led_flash_cnt[3016][1]~69105\)) # (!\led_flash_cnt[3016][2]~q\ & ((\led_flash_cnt[3016][1]~69105\) # (GND)))
-- \led_flash_cnt[3016][2]~69107\ = CARRY((!\led_flash_cnt[3016][1]~69105\) # (!\led_flash_cnt[3016][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3016][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3016][1]~69105\,
	combout => \led_flash_cnt[3016][2]~69106_combout\,
	cout => \led_flash_cnt[3016][2]~69107\);

-- Location: FF_X47_Y37_N17
\led_flash_cnt[3016][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3016][2]~69106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3016][2]~q\);

-- Location: LCCOMB_X47_Y37_N18
\led_flash_cnt[3016][3]~69108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3016][3]~69108_combout\ = (\led_flash_cnt[3016][3]~q\ & (\led_flash_cnt[3016][2]~69107\ $ (GND))) # (!\led_flash_cnt[3016][3]~q\ & (!\led_flash_cnt[3016][2]~69107\ & VCC))
-- \led_flash_cnt[3016][3]~69109\ = CARRY((\led_flash_cnt[3016][3]~q\ & !\led_flash_cnt[3016][2]~69107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3016][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3016][2]~69107\,
	combout => \led_flash_cnt[3016][3]~69108_combout\,
	cout => \led_flash_cnt[3016][3]~69109\);

-- Location: FF_X47_Y37_N19
\led_flash_cnt[3016][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3016][3]~69108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3016][3]~q\);

-- Location: LCCOMB_X47_Y37_N20
\led_flash_cnt[3016][4]~69110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3016][4]~69110_combout\ = (\led_flash_cnt[3016][4]~q\ & (!\led_flash_cnt[3016][3]~69109\)) # (!\led_flash_cnt[3016][4]~q\ & ((\led_flash_cnt[3016][3]~69109\) # (GND)))
-- \led_flash_cnt[3016][4]~69111\ = CARRY((!\led_flash_cnt[3016][3]~69109\) # (!\led_flash_cnt[3016][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3016][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3016][3]~69109\,
	combout => \led_flash_cnt[3016][4]~69110_combout\,
	cout => \led_flash_cnt[3016][4]~69111\);

-- Location: FF_X47_Y37_N21
\led_flash_cnt[3016][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3016][4]~69110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3016][4]~q\);

-- Location: LCCOMB_X47_Y37_N2
\WideAnd3016~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3016~0_combout\ = (\led_flash_cnt[3016][2]~q\ & (\led_flash_cnt[3016][3]~q\ & (\led_flash_cnt[3016][1]~q\ & \led_flash_cnt[3016][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3016][2]~q\,
	datab => \led_flash_cnt[3016][3]~q\,
	datac => \led_flash_cnt[3016][1]~q\,
	datad => \led_flash_cnt[3016][4]~q\,
	combout => \WideAnd3016~0_combout\);

-- Location: LCCOMB_X47_Y37_N22
\led_flash_cnt[3016][5]~69112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3016][5]~69112_combout\ = (\led_flash_cnt[3016][5]~q\ & (\led_flash_cnt[3016][4]~69111\ $ (GND))) # (!\led_flash_cnt[3016][5]~q\ & (!\led_flash_cnt[3016][4]~69111\ & VCC))
-- \led_flash_cnt[3016][5]~69113\ = CARRY((\led_flash_cnt[3016][5]~q\ & !\led_flash_cnt[3016][4]~69111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3016][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3016][4]~69111\,
	combout => \led_flash_cnt[3016][5]~69112_combout\,
	cout => \led_flash_cnt[3016][5]~69113\);

-- Location: FF_X47_Y37_N23
\led_flash_cnt[3016][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3016][5]~69112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3016][5]~q\);

-- Location: LCCOMB_X47_Y37_N24
\led_flash_cnt[3016][6]~69114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3016][6]~69114_combout\ = (\led_flash_cnt[3016][6]~q\ & (!\led_flash_cnt[3016][5]~69113\)) # (!\led_flash_cnt[3016][6]~q\ & ((\led_flash_cnt[3016][5]~69113\) # (GND)))
-- \led_flash_cnt[3016][6]~69115\ = CARRY((!\led_flash_cnt[3016][5]~69113\) # (!\led_flash_cnt[3016][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3016][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3016][5]~69113\,
	combout => \led_flash_cnt[3016][6]~69114_combout\,
	cout => \led_flash_cnt[3016][6]~69115\);

-- Location: FF_X47_Y37_N25
\led_flash_cnt[3016][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3016][6]~69114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3016][6]~q\);

-- Location: LCCOMB_X47_Y37_N26
\led_flash_cnt[3016][7]~69116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3016][7]~69116_combout\ = \led_flash_cnt[3016][7]~q\ $ (!\led_flash_cnt[3016][6]~69115\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3016][7]~q\,
	cin => \led_flash_cnt[3016][6]~69115\,
	combout => \led_flash_cnt[3016][7]~69116_combout\);

-- Location: FF_X47_Y37_N27
\led_flash_cnt[3016][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3016][7]~69116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3016][7]~q\);

-- Location: LCCOMB_X47_Y37_N28
\WideAnd3016~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3016~1_combout\ = (\led_flash_cnt[3016][5]~q\ & \led_flash_cnt[3016][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3016][5]~q\,
	datad => \led_flash_cnt[3016][6]~q\,
	combout => \WideAnd3016~1_combout\);

-- Location: LCCOMB_X46_Y37_N24
WideAnd3016 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3016~combout\ = (\WideAnd3016~0_combout\ & (\led_flash_cnt[3016][7]~q\ & (\led_flash_cnt[3016][0]~q\ & \WideAnd3016~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3016~0_combout\,
	datab => \led_flash_cnt[3016][7]~q\,
	datac => \led_flash_cnt[3016][0]~q\,
	datad => \WideAnd3016~1_combout\,
	combout => \WideAnd3016~combout\);

-- Location: FF_X46_Y37_N25
\led_flash_cnt_ands[3016]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3016~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3016));

-- Location: LCCOMB_X35_Y31_N12
\led_flash_cnt[3018][0]~83658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3018][0]~83658_combout\ = !\led_flash_cnt[3018][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3018][0]~q\,
	combout => \led_flash_cnt[3018][0]~83658_combout\);

-- Location: FF_X35_Y31_N13
\led_flash_cnt[3018][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3018][0]~83658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3018][0]~q\);

-- Location: LCCOMB_X35_Y31_N16
\led_flash_cnt[3018][1]~69132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3018][1]~69132_combout\ = (\led_flash_cnt[3018][0]~q\ & (\led_flash_cnt[3018][1]~q\ $ (VCC))) # (!\led_flash_cnt[3018][0]~q\ & (\led_flash_cnt[3018][1]~q\ & VCC))
-- \led_flash_cnt[3018][1]~69133\ = CARRY((\led_flash_cnt[3018][0]~q\ & \led_flash_cnt[3018][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3018][0]~q\,
	datab => \led_flash_cnt[3018][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3018][1]~69132_combout\,
	cout => \led_flash_cnt[3018][1]~69133\);

-- Location: FF_X35_Y31_N17
\led_flash_cnt[3018][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3018][1]~69132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3018][1]~q\);

-- Location: LCCOMB_X35_Y31_N18
\led_flash_cnt[3018][2]~69134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3018][2]~69134_combout\ = (\led_flash_cnt[3018][2]~q\ & (!\led_flash_cnt[3018][1]~69133\)) # (!\led_flash_cnt[3018][2]~q\ & ((\led_flash_cnt[3018][1]~69133\) # (GND)))
-- \led_flash_cnt[3018][2]~69135\ = CARRY((!\led_flash_cnt[3018][1]~69133\) # (!\led_flash_cnt[3018][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3018][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3018][1]~69133\,
	combout => \led_flash_cnt[3018][2]~69134_combout\,
	cout => \led_flash_cnt[3018][2]~69135\);

-- Location: FF_X35_Y31_N19
\led_flash_cnt[3018][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3018][2]~69134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3018][2]~q\);

-- Location: LCCOMB_X35_Y31_N20
\led_flash_cnt[3018][3]~69136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3018][3]~69136_combout\ = (\led_flash_cnt[3018][3]~q\ & (\led_flash_cnt[3018][2]~69135\ $ (GND))) # (!\led_flash_cnt[3018][3]~q\ & (!\led_flash_cnt[3018][2]~69135\ & VCC))
-- \led_flash_cnt[3018][3]~69137\ = CARRY((\led_flash_cnt[3018][3]~q\ & !\led_flash_cnt[3018][2]~69135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3018][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3018][2]~69135\,
	combout => \led_flash_cnt[3018][3]~69136_combout\,
	cout => \led_flash_cnt[3018][3]~69137\);

-- Location: FF_X35_Y31_N21
\led_flash_cnt[3018][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3018][3]~69136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3018][3]~q\);

-- Location: LCCOMB_X35_Y31_N22
\led_flash_cnt[3018][4]~69138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3018][4]~69138_combout\ = (\led_flash_cnt[3018][4]~q\ & (!\led_flash_cnt[3018][3]~69137\)) # (!\led_flash_cnt[3018][4]~q\ & ((\led_flash_cnt[3018][3]~69137\) # (GND)))
-- \led_flash_cnt[3018][4]~69139\ = CARRY((!\led_flash_cnt[3018][3]~69137\) # (!\led_flash_cnt[3018][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3018][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3018][3]~69137\,
	combout => \led_flash_cnt[3018][4]~69138_combout\,
	cout => \led_flash_cnt[3018][4]~69139\);

-- Location: FF_X35_Y31_N23
\led_flash_cnt[3018][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3018][4]~69138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3018][4]~q\);

-- Location: LCCOMB_X35_Y31_N24
\led_flash_cnt[3018][5]~69140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3018][5]~69140_combout\ = (\led_flash_cnt[3018][5]~q\ & (\led_flash_cnt[3018][4]~69139\ $ (GND))) # (!\led_flash_cnt[3018][5]~q\ & (!\led_flash_cnt[3018][4]~69139\ & VCC))
-- \led_flash_cnt[3018][5]~69141\ = CARRY((\led_flash_cnt[3018][5]~q\ & !\led_flash_cnt[3018][4]~69139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3018][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3018][4]~69139\,
	combout => \led_flash_cnt[3018][5]~69140_combout\,
	cout => \led_flash_cnt[3018][5]~69141\);

-- Location: FF_X35_Y31_N25
\led_flash_cnt[3018][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3018][5]~69140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3018][5]~q\);

-- Location: LCCOMB_X35_Y31_N26
\led_flash_cnt[3018][6]~69142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3018][6]~69142_combout\ = (\led_flash_cnt[3018][6]~q\ & (!\led_flash_cnt[3018][5]~69141\)) # (!\led_flash_cnt[3018][6]~q\ & ((\led_flash_cnt[3018][5]~69141\) # (GND)))
-- \led_flash_cnt[3018][6]~69143\ = CARRY((!\led_flash_cnt[3018][5]~69141\) # (!\led_flash_cnt[3018][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3018][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3018][5]~69141\,
	combout => \led_flash_cnt[3018][6]~69142_combout\,
	cout => \led_flash_cnt[3018][6]~69143\);

-- Location: FF_X35_Y31_N27
\led_flash_cnt[3018][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3018][6]~69142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3018][6]~q\);

-- Location: LCCOMB_X35_Y31_N10
\WideAnd3018~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3018~1_combout\ = (\led_flash_cnt[3018][6]~q\ & \led_flash_cnt[3018][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3018][6]~q\,
	datad => \led_flash_cnt[3018][5]~q\,
	combout => \WideAnd3018~1_combout\);

-- Location: LCCOMB_X35_Y31_N28
\led_flash_cnt[3018][7]~69144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3018][7]~69144_combout\ = \led_flash_cnt[3018][6]~69143\ $ (!\led_flash_cnt[3018][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3018][7]~q\,
	cin => \led_flash_cnt[3018][6]~69143\,
	combout => \led_flash_cnt[3018][7]~69144_combout\);

-- Location: FF_X35_Y31_N29
\led_flash_cnt[3018][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3018][7]~69144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3018][7]~q\);

-- Location: LCCOMB_X35_Y31_N4
\WideAnd3018~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3018~0_combout\ = (\led_flash_cnt[3018][2]~q\ & (\led_flash_cnt[3018][3]~q\ & (\led_flash_cnt[3018][4]~q\ & \led_flash_cnt[3018][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3018][2]~q\,
	datab => \led_flash_cnt[3018][3]~q\,
	datac => \led_flash_cnt[3018][4]~q\,
	datad => \led_flash_cnt[3018][1]~q\,
	combout => \WideAnd3018~0_combout\);

-- Location: LCCOMB_X35_Y31_N2
WideAnd3018 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3018~combout\ = (\WideAnd3018~1_combout\ & (\led_flash_cnt[3018][7]~q\ & (\WideAnd3018~0_combout\ & \led_flash_cnt[3018][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3018~1_combout\,
	datab => \led_flash_cnt[3018][7]~q\,
	datac => \WideAnd3018~0_combout\,
	datad => \led_flash_cnt[3018][0]~q\,
	combout => \WideAnd3018~combout\);

-- Location: FF_X35_Y31_N3
\led_flash_cnt_ands[3018]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3018~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3018));

-- Location: LCCOMB_X47_Y37_N30
\led_flash_cnt[3017][0]~83657\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3017][0]~83657_combout\ = !\led_flash_cnt[3017][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3017][0]~q\,
	combout => \led_flash_cnt[3017][0]~83657_combout\);

-- Location: FF_X47_Y37_N31
\led_flash_cnt[3017][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3017][0]~83657_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3017][0]~q\);

-- Location: LCCOMB_X47_Y36_N14
\led_flash_cnt[3017][1]~69118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3017][1]~69118_combout\ = (\led_flash_cnt[3017][0]~q\ & (\led_flash_cnt[3017][1]~q\ $ (VCC))) # (!\led_flash_cnt[3017][0]~q\ & (\led_flash_cnt[3017][1]~q\ & VCC))
-- \led_flash_cnt[3017][1]~69119\ = CARRY((\led_flash_cnt[3017][0]~q\ & \led_flash_cnt[3017][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3017][0]~q\,
	datab => \led_flash_cnt[3017][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3017][1]~69118_combout\,
	cout => \led_flash_cnt[3017][1]~69119\);

-- Location: FF_X47_Y36_N15
\led_flash_cnt[3017][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3017][1]~69118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3017][1]~q\);

-- Location: LCCOMB_X47_Y36_N16
\led_flash_cnt[3017][2]~69120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3017][2]~69120_combout\ = (\led_flash_cnt[3017][2]~q\ & (!\led_flash_cnt[3017][1]~69119\)) # (!\led_flash_cnt[3017][2]~q\ & ((\led_flash_cnt[3017][1]~69119\) # (GND)))
-- \led_flash_cnt[3017][2]~69121\ = CARRY((!\led_flash_cnt[3017][1]~69119\) # (!\led_flash_cnt[3017][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3017][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3017][1]~69119\,
	combout => \led_flash_cnt[3017][2]~69120_combout\,
	cout => \led_flash_cnt[3017][2]~69121\);

-- Location: FF_X47_Y36_N17
\led_flash_cnt[3017][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3017][2]~69120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3017][2]~q\);

-- Location: LCCOMB_X47_Y36_N18
\led_flash_cnt[3017][3]~69122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3017][3]~69122_combout\ = (\led_flash_cnt[3017][3]~q\ & (\led_flash_cnt[3017][2]~69121\ $ (GND))) # (!\led_flash_cnt[3017][3]~q\ & (!\led_flash_cnt[3017][2]~69121\ & VCC))
-- \led_flash_cnt[3017][3]~69123\ = CARRY((\led_flash_cnt[3017][3]~q\ & !\led_flash_cnt[3017][2]~69121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3017][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3017][2]~69121\,
	combout => \led_flash_cnt[3017][3]~69122_combout\,
	cout => \led_flash_cnt[3017][3]~69123\);

-- Location: FF_X47_Y36_N19
\led_flash_cnt[3017][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3017][3]~69122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3017][3]~q\);

-- Location: LCCOMB_X47_Y36_N20
\led_flash_cnt[3017][4]~69124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3017][4]~69124_combout\ = (\led_flash_cnt[3017][4]~q\ & (!\led_flash_cnt[3017][3]~69123\)) # (!\led_flash_cnt[3017][4]~q\ & ((\led_flash_cnt[3017][3]~69123\) # (GND)))
-- \led_flash_cnt[3017][4]~69125\ = CARRY((!\led_flash_cnt[3017][3]~69123\) # (!\led_flash_cnt[3017][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3017][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3017][3]~69123\,
	combout => \led_flash_cnt[3017][4]~69124_combout\,
	cout => \led_flash_cnt[3017][4]~69125\);

-- Location: FF_X47_Y36_N21
\led_flash_cnt[3017][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3017][4]~69124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3017][4]~q\);

-- Location: LCCOMB_X47_Y36_N30
\WideAnd3017~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3017~0_combout\ = (\led_flash_cnt[3017][4]~q\ & (\led_flash_cnt[3017][3]~q\ & (\led_flash_cnt[3017][1]~q\ & \led_flash_cnt[3017][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3017][4]~q\,
	datab => \led_flash_cnt[3017][3]~q\,
	datac => \led_flash_cnt[3017][1]~q\,
	datad => \led_flash_cnt[3017][2]~q\,
	combout => \WideAnd3017~0_combout\);

-- Location: LCCOMB_X47_Y36_N22
\led_flash_cnt[3017][5]~69126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3017][5]~69126_combout\ = (\led_flash_cnt[3017][5]~q\ & (\led_flash_cnt[3017][4]~69125\ $ (GND))) # (!\led_flash_cnt[3017][5]~q\ & (!\led_flash_cnt[3017][4]~69125\ & VCC))
-- \led_flash_cnt[3017][5]~69127\ = CARRY((\led_flash_cnt[3017][5]~q\ & !\led_flash_cnt[3017][4]~69125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3017][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3017][4]~69125\,
	combout => \led_flash_cnt[3017][5]~69126_combout\,
	cout => \led_flash_cnt[3017][5]~69127\);

-- Location: FF_X47_Y36_N23
\led_flash_cnt[3017][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3017][5]~69126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3017][5]~q\);

-- Location: LCCOMB_X47_Y36_N24
\led_flash_cnt[3017][6]~69128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3017][6]~69128_combout\ = (\led_flash_cnt[3017][6]~q\ & (!\led_flash_cnt[3017][5]~69127\)) # (!\led_flash_cnt[3017][6]~q\ & ((\led_flash_cnt[3017][5]~69127\) # (GND)))
-- \led_flash_cnt[3017][6]~69129\ = CARRY((!\led_flash_cnt[3017][5]~69127\) # (!\led_flash_cnt[3017][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3017][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3017][5]~69127\,
	combout => \led_flash_cnt[3017][6]~69128_combout\,
	cout => \led_flash_cnt[3017][6]~69129\);

-- Location: FF_X47_Y36_N25
\led_flash_cnt[3017][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3017][6]~69128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3017][6]~q\);

-- Location: LCCOMB_X47_Y36_N26
\led_flash_cnt[3017][7]~69130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3017][7]~69130_combout\ = \led_flash_cnt[3017][7]~q\ $ (!\led_flash_cnt[3017][6]~69129\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3017][7]~q\,
	cin => \led_flash_cnt[3017][6]~69129\,
	combout => \led_flash_cnt[3017][7]~69130_combout\);

-- Location: FF_X47_Y36_N27
\led_flash_cnt[3017][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3017][7]~69130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3017][7]~q\);

-- Location: LCCOMB_X47_Y37_N0
\WideAnd3017~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3017~1_combout\ = (\led_flash_cnt[3017][6]~q\ & \led_flash_cnt[3017][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3017][6]~q\,
	datad => \led_flash_cnt[3017][5]~q\,
	combout => \WideAnd3017~1_combout\);

-- Location: LCCOMB_X47_Y37_N12
WideAnd3017 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3017~combout\ = (\led_flash_cnt[3017][0]~q\ & (\WideAnd3017~0_combout\ & (\led_flash_cnt[3017][7]~q\ & \WideAnd3017~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3017][0]~q\,
	datab => \WideAnd3017~0_combout\,
	datac => \led_flash_cnt[3017][7]~q\,
	datad => \WideAnd3017~1_combout\,
	combout => \WideAnd3017~combout\);

-- Location: FF_X47_Y37_N13
\led_flash_cnt_ands[3017]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3017~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3017));

-- Location: LCCOMB_X42_Y37_N0
\WideAnd4217~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4217~0_combout\ = (led_flash_cnt_ands(3019) & (led_flash_cnt_ands(3016) & (led_flash_cnt_ands(3018) & led_flash_cnt_ands(3017))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3019),
	datab => led_flash_cnt_ands(3016),
	datac => led_flash_cnt_ands(3018),
	datad => led_flash_cnt_ands(3017),
	combout => \WideAnd4217~0_combout\);

-- Location: LCCOMB_X42_Y37_N16
WideAnd4217 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4217~combout\ = (\WideAnd4217~1_combout\ & (led_flash_cnt_ands(3022) & (led_flash_cnt_ands(3023) & \WideAnd4217~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4217~1_combout\,
	datab => led_flash_cnt_ands(3022),
	datac => led_flash_cnt_ands(3023),
	datad => \WideAnd4217~0_combout\,
	combout => \WideAnd4217~combout\);

-- Location: FF_X42_Y37_N17
\led_flash_cnt_ands_1[377]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4217~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(377));

-- Location: LCCOMB_X42_Y34_N24
\WideAnd4367~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4367~0_combout\ = (led_flash_cnt_ands_1(378) & (led_flash_cnt_ands_1(379) & (led_flash_cnt_ands_1(376) & led_flash_cnt_ands_1(377))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(378),
	datab => led_flash_cnt_ands_1(379),
	datac => led_flash_cnt_ands_1(376),
	datad => led_flash_cnt_ands_1(377),
	combout => \WideAnd4367~0_combout\);

-- Location: LCCOMB_X20_Y36_N2
\led_flash_cnt[3065][0]~83705\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3065][0]~83705_combout\ = !\led_flash_cnt[3065][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3065][0]~q\,
	combout => \led_flash_cnt[3065][0]~83705_combout\);

-- Location: FF_X20_Y36_N3
\led_flash_cnt[3065][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3065][0]~83705_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3065][0]~q\);

-- Location: LCCOMB_X19_Y36_N18
\led_flash_cnt[3065][1]~69790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3065][1]~69790_combout\ = (\led_flash_cnt[3065][0]~q\ & (\led_flash_cnt[3065][1]~q\ $ (VCC))) # (!\led_flash_cnt[3065][0]~q\ & (\led_flash_cnt[3065][1]~q\ & VCC))
-- \led_flash_cnt[3065][1]~69791\ = CARRY((\led_flash_cnt[3065][0]~q\ & \led_flash_cnt[3065][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3065][0]~q\,
	datab => \led_flash_cnt[3065][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3065][1]~69790_combout\,
	cout => \led_flash_cnt[3065][1]~69791\);

-- Location: FF_X19_Y36_N19
\led_flash_cnt[3065][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3065][1]~69790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3065][1]~q\);

-- Location: LCCOMB_X19_Y36_N20
\led_flash_cnt[3065][2]~69792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3065][2]~69792_combout\ = (\led_flash_cnt[3065][2]~q\ & (!\led_flash_cnt[3065][1]~69791\)) # (!\led_flash_cnt[3065][2]~q\ & ((\led_flash_cnt[3065][1]~69791\) # (GND)))
-- \led_flash_cnt[3065][2]~69793\ = CARRY((!\led_flash_cnt[3065][1]~69791\) # (!\led_flash_cnt[3065][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3065][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3065][1]~69791\,
	combout => \led_flash_cnt[3065][2]~69792_combout\,
	cout => \led_flash_cnt[3065][2]~69793\);

-- Location: FF_X19_Y36_N21
\led_flash_cnt[3065][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3065][2]~69792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3065][2]~q\);

-- Location: LCCOMB_X19_Y36_N22
\led_flash_cnt[3065][3]~69794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3065][3]~69794_combout\ = (\led_flash_cnt[3065][3]~q\ & (\led_flash_cnt[3065][2]~69793\ $ (GND))) # (!\led_flash_cnt[3065][3]~q\ & (!\led_flash_cnt[3065][2]~69793\ & VCC))
-- \led_flash_cnt[3065][3]~69795\ = CARRY((\led_flash_cnt[3065][3]~q\ & !\led_flash_cnt[3065][2]~69793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3065][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3065][2]~69793\,
	combout => \led_flash_cnt[3065][3]~69794_combout\,
	cout => \led_flash_cnt[3065][3]~69795\);

-- Location: FF_X19_Y36_N23
\led_flash_cnt[3065][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3065][3]~69794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3065][3]~q\);

-- Location: LCCOMB_X19_Y36_N24
\led_flash_cnt[3065][4]~69796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3065][4]~69796_combout\ = (\led_flash_cnt[3065][4]~q\ & (!\led_flash_cnt[3065][3]~69795\)) # (!\led_flash_cnt[3065][4]~q\ & ((\led_flash_cnt[3065][3]~69795\) # (GND)))
-- \led_flash_cnt[3065][4]~69797\ = CARRY((!\led_flash_cnt[3065][3]~69795\) # (!\led_flash_cnt[3065][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3065][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3065][3]~69795\,
	combout => \led_flash_cnt[3065][4]~69796_combout\,
	cout => \led_flash_cnt[3065][4]~69797\);

-- Location: FF_X19_Y36_N25
\led_flash_cnt[3065][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3065][4]~69796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3065][4]~q\);

-- Location: LCCOMB_X19_Y36_N26
\led_flash_cnt[3065][5]~69798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3065][5]~69798_combout\ = (\led_flash_cnt[3065][5]~q\ & (\led_flash_cnt[3065][4]~69797\ $ (GND))) # (!\led_flash_cnt[3065][5]~q\ & (!\led_flash_cnt[3065][4]~69797\ & VCC))
-- \led_flash_cnt[3065][5]~69799\ = CARRY((\led_flash_cnt[3065][5]~q\ & !\led_flash_cnt[3065][4]~69797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3065][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3065][4]~69797\,
	combout => \led_flash_cnt[3065][5]~69798_combout\,
	cout => \led_flash_cnt[3065][5]~69799\);

-- Location: FF_X19_Y36_N27
\led_flash_cnt[3065][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3065][5]~69798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3065][5]~q\);

-- Location: LCCOMB_X19_Y36_N28
\led_flash_cnt[3065][6]~69800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3065][6]~69800_combout\ = (\led_flash_cnt[3065][6]~q\ & (!\led_flash_cnt[3065][5]~69799\)) # (!\led_flash_cnt[3065][6]~q\ & ((\led_flash_cnt[3065][5]~69799\) # (GND)))
-- \led_flash_cnt[3065][6]~69801\ = CARRY((!\led_flash_cnt[3065][5]~69799\) # (!\led_flash_cnt[3065][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3065][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3065][5]~69799\,
	combout => \led_flash_cnt[3065][6]~69800_combout\,
	cout => \led_flash_cnt[3065][6]~69801\);

-- Location: FF_X19_Y36_N29
\led_flash_cnt[3065][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3065][6]~69800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3065][6]~q\);

-- Location: LCCOMB_X19_Y36_N30
\led_flash_cnt[3065][7]~69802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3065][7]~69802_combout\ = \led_flash_cnt[3065][7]~q\ $ (!\led_flash_cnt[3065][6]~69801\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3065][7]~q\,
	cin => \led_flash_cnt[3065][6]~69801\,
	combout => \led_flash_cnt[3065][7]~69802_combout\);

-- Location: FF_X19_Y36_N31
\led_flash_cnt[3065][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3065][7]~69802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3065][7]~q\);

-- Location: LCCOMB_X20_Y36_N28
\WideAnd3065~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3065~1_combout\ = (\led_flash_cnt[3065][5]~q\ & \led_flash_cnt[3065][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3065][5]~q\,
	datad => \led_flash_cnt[3065][6]~q\,
	combout => \WideAnd3065~1_combout\);

-- Location: LCCOMB_X19_Y36_N16
\WideAnd3065~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3065~0_combout\ = (\led_flash_cnt[3065][1]~q\ & (\led_flash_cnt[3065][4]~q\ & (\led_flash_cnt[3065][3]~q\ & \led_flash_cnt[3065][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3065][1]~q\,
	datab => \led_flash_cnt[3065][4]~q\,
	datac => \led_flash_cnt[3065][3]~q\,
	datad => \led_flash_cnt[3065][2]~q\,
	combout => \WideAnd3065~0_combout\);

-- Location: LCCOMB_X20_Y36_N18
WideAnd3065 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3065~combout\ = (\led_flash_cnt[3065][7]~q\ & (\WideAnd3065~1_combout\ & (\WideAnd3065~0_combout\ & \led_flash_cnt[3065][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3065][7]~q\,
	datab => \WideAnd3065~1_combout\,
	datac => \WideAnd3065~0_combout\,
	datad => \led_flash_cnt[3065][0]~q\,
	combout => \WideAnd3065~combout\);

-- Location: FF_X20_Y36_N19
\led_flash_cnt_ands[3065]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3065~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3065));

-- Location: LCCOMB_X17_Y34_N28
\led_flash_cnt[3067][0]~83707\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3067][0]~83707_combout\ = !\led_flash_cnt[3067][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3067][0]~q\,
	combout => \led_flash_cnt[3067][0]~83707_combout\);

-- Location: FF_X17_Y34_N29
\led_flash_cnt[3067][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3067][0]~83707_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3067][0]~q\);

-- Location: LCCOMB_X18_Y34_N16
\led_flash_cnt[3067][1]~69818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3067][1]~69818_combout\ = (\led_flash_cnt[3067][0]~q\ & (\led_flash_cnt[3067][1]~q\ $ (VCC))) # (!\led_flash_cnt[3067][0]~q\ & (\led_flash_cnt[3067][1]~q\ & VCC))
-- \led_flash_cnt[3067][1]~69819\ = CARRY((\led_flash_cnt[3067][0]~q\ & \led_flash_cnt[3067][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3067][0]~q\,
	datab => \led_flash_cnt[3067][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3067][1]~69818_combout\,
	cout => \led_flash_cnt[3067][1]~69819\);

-- Location: FF_X18_Y34_N17
\led_flash_cnt[3067][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3067][1]~69818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3067][1]~q\);

-- Location: LCCOMB_X18_Y34_N18
\led_flash_cnt[3067][2]~69820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3067][2]~69820_combout\ = (\led_flash_cnt[3067][2]~q\ & (!\led_flash_cnt[3067][1]~69819\)) # (!\led_flash_cnt[3067][2]~q\ & ((\led_flash_cnt[3067][1]~69819\) # (GND)))
-- \led_flash_cnt[3067][2]~69821\ = CARRY((!\led_flash_cnt[3067][1]~69819\) # (!\led_flash_cnt[3067][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3067][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3067][1]~69819\,
	combout => \led_flash_cnt[3067][2]~69820_combout\,
	cout => \led_flash_cnt[3067][2]~69821\);

-- Location: FF_X18_Y34_N19
\led_flash_cnt[3067][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3067][2]~69820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3067][2]~q\);

-- Location: LCCOMB_X18_Y34_N20
\led_flash_cnt[3067][3]~69822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3067][3]~69822_combout\ = (\led_flash_cnt[3067][3]~q\ & (\led_flash_cnt[3067][2]~69821\ $ (GND))) # (!\led_flash_cnt[3067][3]~q\ & (!\led_flash_cnt[3067][2]~69821\ & VCC))
-- \led_flash_cnt[3067][3]~69823\ = CARRY((\led_flash_cnt[3067][3]~q\ & !\led_flash_cnt[3067][2]~69821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3067][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3067][2]~69821\,
	combout => \led_flash_cnt[3067][3]~69822_combout\,
	cout => \led_flash_cnt[3067][3]~69823\);

-- Location: FF_X18_Y34_N21
\led_flash_cnt[3067][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3067][3]~69822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3067][3]~q\);

-- Location: LCCOMB_X18_Y34_N22
\led_flash_cnt[3067][4]~69824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3067][4]~69824_combout\ = (\led_flash_cnt[3067][4]~q\ & (!\led_flash_cnt[3067][3]~69823\)) # (!\led_flash_cnt[3067][4]~q\ & ((\led_flash_cnt[3067][3]~69823\) # (GND)))
-- \led_flash_cnt[3067][4]~69825\ = CARRY((!\led_flash_cnt[3067][3]~69823\) # (!\led_flash_cnt[3067][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3067][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3067][3]~69823\,
	combout => \led_flash_cnt[3067][4]~69824_combout\,
	cout => \led_flash_cnt[3067][4]~69825\);

-- Location: FF_X18_Y34_N23
\led_flash_cnt[3067][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3067][4]~69824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3067][4]~q\);

-- Location: LCCOMB_X18_Y34_N24
\led_flash_cnt[3067][5]~69826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3067][5]~69826_combout\ = (\led_flash_cnt[3067][5]~q\ & (\led_flash_cnt[3067][4]~69825\ $ (GND))) # (!\led_flash_cnt[3067][5]~q\ & (!\led_flash_cnt[3067][4]~69825\ & VCC))
-- \led_flash_cnt[3067][5]~69827\ = CARRY((\led_flash_cnt[3067][5]~q\ & !\led_flash_cnt[3067][4]~69825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3067][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3067][4]~69825\,
	combout => \led_flash_cnt[3067][5]~69826_combout\,
	cout => \led_flash_cnt[3067][5]~69827\);

-- Location: FF_X18_Y34_N25
\led_flash_cnt[3067][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3067][5]~69826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3067][5]~q\);

-- Location: LCCOMB_X18_Y34_N26
\led_flash_cnt[3067][6]~69828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3067][6]~69828_combout\ = (\led_flash_cnt[3067][6]~q\ & (!\led_flash_cnt[3067][5]~69827\)) # (!\led_flash_cnt[3067][6]~q\ & ((\led_flash_cnt[3067][5]~69827\) # (GND)))
-- \led_flash_cnt[3067][6]~69829\ = CARRY((!\led_flash_cnt[3067][5]~69827\) # (!\led_flash_cnt[3067][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3067][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3067][5]~69827\,
	combout => \led_flash_cnt[3067][6]~69828_combout\,
	cout => \led_flash_cnt[3067][6]~69829\);

-- Location: FF_X18_Y34_N27
\led_flash_cnt[3067][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3067][6]~69828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3067][6]~q\);

-- Location: LCCOMB_X18_Y34_N28
\led_flash_cnt[3067][7]~69830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3067][7]~69830_combout\ = \led_flash_cnt[3067][6]~69829\ $ (!\led_flash_cnt[3067][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3067][7]~q\,
	cin => \led_flash_cnt[3067][6]~69829\,
	combout => \led_flash_cnt[3067][7]~69830_combout\);

-- Location: FF_X18_Y34_N29
\led_flash_cnt[3067][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3067][7]~69830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3067][7]~q\);

-- Location: LCCOMB_X18_Y34_N30
\WideAnd3067~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3067~0_combout\ = (\led_flash_cnt[3067][1]~q\ & (\led_flash_cnt[3067][2]~q\ & (\led_flash_cnt[3067][4]~q\ & \led_flash_cnt[3067][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3067][1]~q\,
	datab => \led_flash_cnt[3067][2]~q\,
	datac => \led_flash_cnt[3067][4]~q\,
	datad => \led_flash_cnt[3067][3]~q\,
	combout => \WideAnd3067~0_combout\);

-- Location: LCCOMB_X17_Y34_N24
\WideAnd3067~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3067~1_combout\ = (\led_flash_cnt[3067][6]~q\ & \led_flash_cnt[3067][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3067][6]~q\,
	datad => \led_flash_cnt[3067][5]~q\,
	combout => \WideAnd3067~1_combout\);

-- Location: LCCOMB_X17_Y34_N20
WideAnd3067 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3067~combout\ = (\led_flash_cnt[3067][7]~q\ & (\led_flash_cnt[3067][0]~q\ & (\WideAnd3067~0_combout\ & \WideAnd3067~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3067][7]~q\,
	datab => \led_flash_cnt[3067][0]~q\,
	datac => \WideAnd3067~0_combout\,
	datad => \WideAnd3067~1_combout\,
	combout => \WideAnd3067~combout\);

-- Location: FF_X17_Y34_N21
\led_flash_cnt_ands[3067]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3067~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3067));

-- Location: LCCOMB_X17_Y34_N2
\led_flash_cnt[3066][0]~83706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3066][0]~83706_combout\ = !\led_flash_cnt[3066][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3066][0]~q\,
	combout => \led_flash_cnt[3066][0]~83706_combout\);

-- Location: FF_X17_Y34_N3
\led_flash_cnt[3066][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3066][0]~83706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3066][0]~q\);

-- Location: LCCOMB_X17_Y34_N6
\led_flash_cnt[3066][1]~69804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3066][1]~69804_combout\ = (\led_flash_cnt[3066][1]~q\ & (\led_flash_cnt[3066][0]~q\ $ (VCC))) # (!\led_flash_cnt[3066][1]~q\ & (\led_flash_cnt[3066][0]~q\ & VCC))
-- \led_flash_cnt[3066][1]~69805\ = CARRY((\led_flash_cnt[3066][1]~q\ & \led_flash_cnt[3066][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3066][1]~q\,
	datab => \led_flash_cnt[3066][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3066][1]~69804_combout\,
	cout => \led_flash_cnt[3066][1]~69805\);

-- Location: FF_X17_Y34_N7
\led_flash_cnt[3066][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3066][1]~69804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3066][1]~q\);

-- Location: LCCOMB_X17_Y34_N8
\led_flash_cnt[3066][2]~69806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3066][2]~69806_combout\ = (\led_flash_cnt[3066][2]~q\ & (!\led_flash_cnt[3066][1]~69805\)) # (!\led_flash_cnt[3066][2]~q\ & ((\led_flash_cnt[3066][1]~69805\) # (GND)))
-- \led_flash_cnt[3066][2]~69807\ = CARRY((!\led_flash_cnt[3066][1]~69805\) # (!\led_flash_cnt[3066][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3066][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3066][1]~69805\,
	combout => \led_flash_cnt[3066][2]~69806_combout\,
	cout => \led_flash_cnt[3066][2]~69807\);

-- Location: FF_X17_Y34_N9
\led_flash_cnt[3066][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3066][2]~69806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3066][2]~q\);

-- Location: LCCOMB_X17_Y34_N10
\led_flash_cnt[3066][3]~69808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3066][3]~69808_combout\ = (\led_flash_cnt[3066][3]~q\ & (\led_flash_cnt[3066][2]~69807\ $ (GND))) # (!\led_flash_cnt[3066][3]~q\ & (!\led_flash_cnt[3066][2]~69807\ & VCC))
-- \led_flash_cnt[3066][3]~69809\ = CARRY((\led_flash_cnt[3066][3]~q\ & !\led_flash_cnt[3066][2]~69807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3066][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3066][2]~69807\,
	combout => \led_flash_cnt[3066][3]~69808_combout\,
	cout => \led_flash_cnt[3066][3]~69809\);

-- Location: FF_X17_Y34_N11
\led_flash_cnt[3066][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3066][3]~69808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3066][3]~q\);

-- Location: LCCOMB_X17_Y34_N12
\led_flash_cnt[3066][4]~69810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3066][4]~69810_combout\ = (\led_flash_cnt[3066][4]~q\ & (!\led_flash_cnt[3066][3]~69809\)) # (!\led_flash_cnt[3066][4]~q\ & ((\led_flash_cnt[3066][3]~69809\) # (GND)))
-- \led_flash_cnt[3066][4]~69811\ = CARRY((!\led_flash_cnt[3066][3]~69809\) # (!\led_flash_cnt[3066][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3066][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3066][3]~69809\,
	combout => \led_flash_cnt[3066][4]~69810_combout\,
	cout => \led_flash_cnt[3066][4]~69811\);

-- Location: FF_X17_Y34_N13
\led_flash_cnt[3066][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3066][4]~69810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3066][4]~q\);

-- Location: LCCOMB_X17_Y34_N14
\led_flash_cnt[3066][5]~69812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3066][5]~69812_combout\ = (\led_flash_cnt[3066][5]~q\ & (\led_flash_cnt[3066][4]~69811\ $ (GND))) # (!\led_flash_cnt[3066][5]~q\ & (!\led_flash_cnt[3066][4]~69811\ & VCC))
-- \led_flash_cnt[3066][5]~69813\ = CARRY((\led_flash_cnt[3066][5]~q\ & !\led_flash_cnt[3066][4]~69811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3066][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3066][4]~69811\,
	combout => \led_flash_cnt[3066][5]~69812_combout\,
	cout => \led_flash_cnt[3066][5]~69813\);

-- Location: FF_X17_Y34_N15
\led_flash_cnt[3066][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3066][5]~69812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3066][5]~q\);

-- Location: LCCOMB_X17_Y34_N16
\led_flash_cnt[3066][6]~69814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3066][6]~69814_combout\ = (\led_flash_cnt[3066][6]~q\ & (!\led_flash_cnt[3066][5]~69813\)) # (!\led_flash_cnt[3066][6]~q\ & ((\led_flash_cnt[3066][5]~69813\) # (GND)))
-- \led_flash_cnt[3066][6]~69815\ = CARRY((!\led_flash_cnt[3066][5]~69813\) # (!\led_flash_cnt[3066][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3066][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3066][5]~69813\,
	combout => \led_flash_cnt[3066][6]~69814_combout\,
	cout => \led_flash_cnt[3066][6]~69815\);

-- Location: FF_X17_Y34_N17
\led_flash_cnt[3066][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3066][6]~69814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3066][6]~q\);

-- Location: LCCOMB_X17_Y34_N26
\WideAnd3066~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3066~1_combout\ = (\led_flash_cnt[3066][5]~q\ & \led_flash_cnt[3066][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3066][5]~q\,
	datad => \led_flash_cnt[3066][6]~q\,
	combout => \WideAnd3066~1_combout\);

-- Location: LCCOMB_X17_Y34_N18
\led_flash_cnt[3066][7]~69816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3066][7]~69816_combout\ = \led_flash_cnt[3066][6]~69815\ $ (!\led_flash_cnt[3066][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3066][7]~q\,
	cin => \led_flash_cnt[3066][6]~69815\,
	combout => \led_flash_cnt[3066][7]~69816_combout\);

-- Location: FF_X17_Y34_N19
\led_flash_cnt[3066][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3066][7]~69816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3066][7]~q\);

-- Location: LCCOMB_X17_Y34_N4
\WideAnd3066~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3066~0_combout\ = (\led_flash_cnt[3066][4]~q\ & (\led_flash_cnt[3066][3]~q\ & (\led_flash_cnt[3066][2]~q\ & \led_flash_cnt[3066][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3066][4]~q\,
	datab => \led_flash_cnt[3066][3]~q\,
	datac => \led_flash_cnt[3066][2]~q\,
	datad => \led_flash_cnt[3066][1]~q\,
	combout => \WideAnd3066~0_combout\);

-- Location: LCCOMB_X17_Y34_N22
WideAnd3066 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3066~combout\ = (\WideAnd3066~1_combout\ & (\led_flash_cnt[3066][7]~q\ & (\WideAnd3066~0_combout\ & \led_flash_cnt[3066][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3066~1_combout\,
	datab => \led_flash_cnt[3066][7]~q\,
	datac => \WideAnd3066~0_combout\,
	datad => \led_flash_cnt[3066][0]~q\,
	combout => \WideAnd3066~combout\);

-- Location: FF_X17_Y34_N23
\led_flash_cnt_ands[3066]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3066~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3066));

-- Location: LCCOMB_X20_Y36_N26
\led_flash_cnt[3064][0]~83704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3064][0]~83704_combout\ = !\led_flash_cnt[3064][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3064][0]~q\,
	combout => \led_flash_cnt[3064][0]~83704_combout\);

-- Location: FF_X20_Y36_N27
\led_flash_cnt[3064][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3064][0]~83704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3064][0]~q\);

-- Location: LCCOMB_X20_Y36_N4
\led_flash_cnt[3064][1]~69776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3064][1]~69776_combout\ = (\led_flash_cnt[3064][0]~q\ & (\led_flash_cnt[3064][1]~q\ $ (VCC))) # (!\led_flash_cnt[3064][0]~q\ & (\led_flash_cnt[3064][1]~q\ & VCC))
-- \led_flash_cnt[3064][1]~69777\ = CARRY((\led_flash_cnt[3064][0]~q\ & \led_flash_cnt[3064][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3064][0]~q\,
	datab => \led_flash_cnt[3064][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3064][1]~69776_combout\,
	cout => \led_flash_cnt[3064][1]~69777\);

-- Location: FF_X20_Y36_N5
\led_flash_cnt[3064][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3064][1]~69776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3064][1]~q\);

-- Location: LCCOMB_X20_Y36_N6
\led_flash_cnt[3064][2]~69778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3064][2]~69778_combout\ = (\led_flash_cnt[3064][2]~q\ & (!\led_flash_cnt[3064][1]~69777\)) # (!\led_flash_cnt[3064][2]~q\ & ((\led_flash_cnt[3064][1]~69777\) # (GND)))
-- \led_flash_cnt[3064][2]~69779\ = CARRY((!\led_flash_cnt[3064][1]~69777\) # (!\led_flash_cnt[3064][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3064][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3064][1]~69777\,
	combout => \led_flash_cnt[3064][2]~69778_combout\,
	cout => \led_flash_cnt[3064][2]~69779\);

-- Location: FF_X20_Y36_N7
\led_flash_cnt[3064][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3064][2]~69778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3064][2]~q\);

-- Location: LCCOMB_X20_Y36_N8
\led_flash_cnt[3064][3]~69780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3064][3]~69780_combout\ = (\led_flash_cnt[3064][3]~q\ & (\led_flash_cnt[3064][2]~69779\ $ (GND))) # (!\led_flash_cnt[3064][3]~q\ & (!\led_flash_cnt[3064][2]~69779\ & VCC))
-- \led_flash_cnt[3064][3]~69781\ = CARRY((\led_flash_cnt[3064][3]~q\ & !\led_flash_cnt[3064][2]~69779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3064][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3064][2]~69779\,
	combout => \led_flash_cnt[3064][3]~69780_combout\,
	cout => \led_flash_cnt[3064][3]~69781\);

-- Location: FF_X20_Y36_N9
\led_flash_cnt[3064][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3064][3]~69780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3064][3]~q\);

-- Location: LCCOMB_X20_Y36_N10
\led_flash_cnt[3064][4]~69782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3064][4]~69782_combout\ = (\led_flash_cnt[3064][4]~q\ & (!\led_flash_cnt[3064][3]~69781\)) # (!\led_flash_cnt[3064][4]~q\ & ((\led_flash_cnt[3064][3]~69781\) # (GND)))
-- \led_flash_cnt[3064][4]~69783\ = CARRY((!\led_flash_cnt[3064][3]~69781\) # (!\led_flash_cnt[3064][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3064][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3064][3]~69781\,
	combout => \led_flash_cnt[3064][4]~69782_combout\,
	cout => \led_flash_cnt[3064][4]~69783\);

-- Location: FF_X20_Y36_N11
\led_flash_cnt[3064][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3064][4]~69782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3064][4]~q\);

-- Location: LCCOMB_X20_Y36_N22
\WideAnd3064~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3064~0_combout\ = (\led_flash_cnt[3064][2]~q\ & (\led_flash_cnt[3064][3]~q\ & (\led_flash_cnt[3064][1]~q\ & \led_flash_cnt[3064][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3064][2]~q\,
	datab => \led_flash_cnt[3064][3]~q\,
	datac => \led_flash_cnt[3064][1]~q\,
	datad => \led_flash_cnt[3064][4]~q\,
	combout => \WideAnd3064~0_combout\);

-- Location: LCCOMB_X20_Y36_N12
\led_flash_cnt[3064][5]~69784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3064][5]~69784_combout\ = (\led_flash_cnt[3064][5]~q\ & (\led_flash_cnt[3064][4]~69783\ $ (GND))) # (!\led_flash_cnt[3064][5]~q\ & (!\led_flash_cnt[3064][4]~69783\ & VCC))
-- \led_flash_cnt[3064][5]~69785\ = CARRY((\led_flash_cnt[3064][5]~q\ & !\led_flash_cnt[3064][4]~69783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3064][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3064][4]~69783\,
	combout => \led_flash_cnt[3064][5]~69784_combout\,
	cout => \led_flash_cnt[3064][5]~69785\);

-- Location: FF_X20_Y36_N13
\led_flash_cnt[3064][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3064][5]~69784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3064][5]~q\);

-- Location: LCCOMB_X20_Y36_N14
\led_flash_cnt[3064][6]~69786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3064][6]~69786_combout\ = (\led_flash_cnt[3064][6]~q\ & (!\led_flash_cnt[3064][5]~69785\)) # (!\led_flash_cnt[3064][6]~q\ & ((\led_flash_cnt[3064][5]~69785\) # (GND)))
-- \led_flash_cnt[3064][6]~69787\ = CARRY((!\led_flash_cnt[3064][5]~69785\) # (!\led_flash_cnt[3064][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3064][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3064][5]~69785\,
	combout => \led_flash_cnt[3064][6]~69786_combout\,
	cout => \led_flash_cnt[3064][6]~69787\);

-- Location: FF_X20_Y36_N15
\led_flash_cnt[3064][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3064][6]~69786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3064][6]~q\);

-- Location: LCCOMB_X20_Y36_N24
\WideAnd3064~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3064~1_combout\ = (\led_flash_cnt[3064][6]~q\ & \led_flash_cnt[3064][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3064][6]~q\,
	datad => \led_flash_cnt[3064][5]~q\,
	combout => \WideAnd3064~1_combout\);

-- Location: LCCOMB_X20_Y36_N16
\led_flash_cnt[3064][7]~69788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3064][7]~69788_combout\ = \led_flash_cnt[3064][6]~69787\ $ (!\led_flash_cnt[3064][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3064][7]~q\,
	cin => \led_flash_cnt[3064][6]~69787\,
	combout => \led_flash_cnt[3064][7]~69788_combout\);

-- Location: FF_X20_Y36_N17
\led_flash_cnt[3064][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3064][7]~69788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3064][7]~q\);

-- Location: LCCOMB_X20_Y36_N0
WideAnd3064 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3064~combout\ = (\WideAnd3064~0_combout\ & (\WideAnd3064~1_combout\ & (\led_flash_cnt[3064][0]~q\ & \led_flash_cnt[3064][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3064~0_combout\,
	datab => \WideAnd3064~1_combout\,
	datac => \led_flash_cnt[3064][0]~q\,
	datad => \led_flash_cnt[3064][7]~q\,
	combout => \WideAnd3064~combout\);

-- Location: FF_X20_Y36_N1
\led_flash_cnt_ands[3064]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3064~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3064));

-- Location: LCCOMB_X17_Y34_N0
\WideAnd4223~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4223~0_combout\ = (led_flash_cnt_ands(3065) & (led_flash_cnt_ands(3067) & (led_flash_cnt_ands(3066) & led_flash_cnt_ands(3064))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3065),
	datab => led_flash_cnt_ands(3067),
	datac => led_flash_cnt_ands(3066),
	datad => led_flash_cnt_ands(3064),
	combout => \WideAnd4223~0_combout\);

-- Location: LCCOMB_X23_Y31_N8
\led_flash_cnt[3070][0]~83710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3070][0]~83710_combout\ = !\led_flash_cnt[3070][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3070][0]~q\,
	combout => \led_flash_cnt[3070][0]~83710_combout\);

-- Location: FF_X23_Y31_N9
\led_flash_cnt[3070][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3070][0]~83710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3070][0]~q\);

-- Location: LCCOMB_X22_Y31_N14
\led_flash_cnt[3070][1]~69860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3070][1]~69860_combout\ = (\led_flash_cnt[3070][1]~q\ & (\led_flash_cnt[3070][0]~q\ $ (VCC))) # (!\led_flash_cnt[3070][1]~q\ & (\led_flash_cnt[3070][0]~q\ & VCC))
-- \led_flash_cnt[3070][1]~69861\ = CARRY((\led_flash_cnt[3070][1]~q\ & \led_flash_cnt[3070][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3070][1]~q\,
	datab => \led_flash_cnt[3070][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3070][1]~69860_combout\,
	cout => \led_flash_cnt[3070][1]~69861\);

-- Location: FF_X22_Y31_N15
\led_flash_cnt[3070][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3070][1]~69860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3070][1]~q\);

-- Location: LCCOMB_X22_Y31_N16
\led_flash_cnt[3070][2]~69862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3070][2]~69862_combout\ = (\led_flash_cnt[3070][2]~q\ & (!\led_flash_cnt[3070][1]~69861\)) # (!\led_flash_cnt[3070][2]~q\ & ((\led_flash_cnt[3070][1]~69861\) # (GND)))
-- \led_flash_cnt[3070][2]~69863\ = CARRY((!\led_flash_cnt[3070][1]~69861\) # (!\led_flash_cnt[3070][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3070][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3070][1]~69861\,
	combout => \led_flash_cnt[3070][2]~69862_combout\,
	cout => \led_flash_cnt[3070][2]~69863\);

-- Location: FF_X22_Y31_N17
\led_flash_cnt[3070][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3070][2]~69862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3070][2]~q\);

-- Location: LCCOMB_X22_Y31_N12
\WideAnd3070~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3070~1_combout\ = (\led_flash_cnt[3070][2]~q\ & \led_flash_cnt[3070][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3070][2]~q\,
	datac => \led_flash_cnt[3070][0]~q\,
	combout => \WideAnd3070~1_combout\);

-- Location: LCCOMB_X22_Y31_N18
\led_flash_cnt[3070][3]~69864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3070][3]~69864_combout\ = (\led_flash_cnt[3070][3]~q\ & (\led_flash_cnt[3070][2]~69863\ $ (GND))) # (!\led_flash_cnt[3070][3]~q\ & (!\led_flash_cnt[3070][2]~69863\ & VCC))
-- \led_flash_cnt[3070][3]~69865\ = CARRY((\led_flash_cnt[3070][3]~q\ & !\led_flash_cnt[3070][2]~69863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3070][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3070][2]~69863\,
	combout => \led_flash_cnt[3070][3]~69864_combout\,
	cout => \led_flash_cnt[3070][3]~69865\);

-- Location: FF_X22_Y31_N19
\led_flash_cnt[3070][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3070][3]~69864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3070][3]~q\);

-- Location: LCCOMB_X22_Y31_N20
\led_flash_cnt[3070][4]~69866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3070][4]~69866_combout\ = (\led_flash_cnt[3070][4]~q\ & (!\led_flash_cnt[3070][3]~69865\)) # (!\led_flash_cnt[3070][4]~q\ & ((\led_flash_cnt[3070][3]~69865\) # (GND)))
-- \led_flash_cnt[3070][4]~69867\ = CARRY((!\led_flash_cnt[3070][3]~69865\) # (!\led_flash_cnt[3070][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3070][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3070][3]~69865\,
	combout => \led_flash_cnt[3070][4]~69866_combout\,
	cout => \led_flash_cnt[3070][4]~69867\);

-- Location: FF_X22_Y31_N21
\led_flash_cnt[3070][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3070][4]~69866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3070][4]~q\);

-- Location: LCCOMB_X22_Y31_N22
\led_flash_cnt[3070][5]~69868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3070][5]~69868_combout\ = (\led_flash_cnt[3070][5]~q\ & (\led_flash_cnt[3070][4]~69867\ $ (GND))) # (!\led_flash_cnt[3070][5]~q\ & (!\led_flash_cnt[3070][4]~69867\ & VCC))
-- \led_flash_cnt[3070][5]~69869\ = CARRY((\led_flash_cnt[3070][5]~q\ & !\led_flash_cnt[3070][4]~69867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3070][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3070][4]~69867\,
	combout => \led_flash_cnt[3070][5]~69868_combout\,
	cout => \led_flash_cnt[3070][5]~69869\);

-- Location: FF_X22_Y31_N23
\led_flash_cnt[3070][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3070][5]~69868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3070][5]~q\);

-- Location: LCCOMB_X22_Y31_N24
\led_flash_cnt[3070][6]~69870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3070][6]~69870_combout\ = (\led_flash_cnt[3070][6]~q\ & (!\led_flash_cnt[3070][5]~69869\)) # (!\led_flash_cnt[3070][6]~q\ & ((\led_flash_cnt[3070][5]~69869\) # (GND)))
-- \led_flash_cnt[3070][6]~69871\ = CARRY((!\led_flash_cnt[3070][5]~69869\) # (!\led_flash_cnt[3070][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3070][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3070][5]~69869\,
	combout => \led_flash_cnt[3070][6]~69870_combout\,
	cout => \led_flash_cnt[3070][6]~69871\);

-- Location: FF_X22_Y31_N25
\led_flash_cnt[3070][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3070][6]~69870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3070][6]~q\);

-- Location: LCCOMB_X22_Y31_N26
\led_flash_cnt[3070][7]~69872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3070][7]~69872_combout\ = \led_flash_cnt[3070][7]~q\ $ (!\led_flash_cnt[3070][6]~69871\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3070][7]~q\,
	cin => \led_flash_cnt[3070][6]~69871\,
	combout => \led_flash_cnt[3070][7]~69872_combout\);

-- Location: FF_X22_Y31_N27
\led_flash_cnt[3070][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3070][7]~69872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3070][7]~q\);

-- Location: LCCOMB_X22_Y31_N0
\WideAnd3070~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3070~0_combout\ = (\led_flash_cnt[3070][1]~q\ & (\led_flash_cnt[3070][4]~q\ & (\led_flash_cnt[3070][5]~q\ & \led_flash_cnt[3070][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3070][1]~q\,
	datab => \led_flash_cnt[3070][4]~q\,
	datac => \led_flash_cnt[3070][5]~q\,
	datad => \led_flash_cnt[3070][3]~q\,
	combout => \WideAnd3070~0_combout\);

-- Location: LCCOMB_X22_Y31_N28
WideAnd3070 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3070~combout\ = (\WideAnd3070~1_combout\ & (\led_flash_cnt[3070][6]~q\ & (\led_flash_cnt[3070][7]~q\ & \WideAnd3070~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3070~1_combout\,
	datab => \led_flash_cnt[3070][6]~q\,
	datac => \led_flash_cnt[3070][7]~q\,
	datad => \WideAnd3070~0_combout\,
	combout => \WideAnd3070~combout\);

-- Location: FF_X22_Y31_N29
\led_flash_cnt_ands[3070]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3070~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3070));

-- Location: LCCOMB_X22_Y31_N2
\led_flash_cnt[3071][0]~83711\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3071][0]~83711_combout\ = !\led_flash_cnt[3071][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3071][0]~q\,
	combout => \led_flash_cnt[3071][0]~83711_combout\);

-- Location: FF_X22_Y31_N3
\led_flash_cnt[3071][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3071][0]~83711_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3071][0]~q\);

-- Location: LCCOMB_X21_Y31_N16
\led_flash_cnt[3071][1]~69874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3071][1]~69874_combout\ = (\led_flash_cnt[3071][0]~q\ & (\led_flash_cnt[3071][1]~q\ $ (VCC))) # (!\led_flash_cnt[3071][0]~q\ & (\led_flash_cnt[3071][1]~q\ & VCC))
-- \led_flash_cnt[3071][1]~69875\ = CARRY((\led_flash_cnt[3071][0]~q\ & \led_flash_cnt[3071][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3071][0]~q\,
	datab => \led_flash_cnt[3071][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3071][1]~69874_combout\,
	cout => \led_flash_cnt[3071][1]~69875\);

-- Location: FF_X21_Y31_N17
\led_flash_cnt[3071][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3071][1]~69874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3071][1]~q\);

-- Location: LCCOMB_X21_Y31_N18
\led_flash_cnt[3071][2]~69876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3071][2]~69876_combout\ = (\led_flash_cnt[3071][2]~q\ & (!\led_flash_cnt[3071][1]~69875\)) # (!\led_flash_cnt[3071][2]~q\ & ((\led_flash_cnt[3071][1]~69875\) # (GND)))
-- \led_flash_cnt[3071][2]~69877\ = CARRY((!\led_flash_cnt[3071][1]~69875\) # (!\led_flash_cnt[3071][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3071][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3071][1]~69875\,
	combout => \led_flash_cnt[3071][2]~69876_combout\,
	cout => \led_flash_cnt[3071][2]~69877\);

-- Location: FF_X21_Y31_N19
\led_flash_cnt[3071][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3071][2]~69876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3071][2]~q\);

-- Location: LCCOMB_X21_Y31_N20
\led_flash_cnt[3071][3]~69878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3071][3]~69878_combout\ = (\led_flash_cnt[3071][3]~q\ & (\led_flash_cnt[3071][2]~69877\ $ (GND))) # (!\led_flash_cnt[3071][3]~q\ & (!\led_flash_cnt[3071][2]~69877\ & VCC))
-- \led_flash_cnt[3071][3]~69879\ = CARRY((\led_flash_cnt[3071][3]~q\ & !\led_flash_cnt[3071][2]~69877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3071][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3071][2]~69877\,
	combout => \led_flash_cnt[3071][3]~69878_combout\,
	cout => \led_flash_cnt[3071][3]~69879\);

-- Location: FF_X21_Y31_N21
\led_flash_cnt[3071][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3071][3]~69878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3071][3]~q\);

-- Location: LCCOMB_X21_Y31_N22
\led_flash_cnt[3071][4]~69880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3071][4]~69880_combout\ = (\led_flash_cnt[3071][4]~q\ & (!\led_flash_cnt[3071][3]~69879\)) # (!\led_flash_cnt[3071][4]~q\ & ((\led_flash_cnt[3071][3]~69879\) # (GND)))
-- \led_flash_cnt[3071][4]~69881\ = CARRY((!\led_flash_cnt[3071][3]~69879\) # (!\led_flash_cnt[3071][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3071][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3071][3]~69879\,
	combout => \led_flash_cnt[3071][4]~69880_combout\,
	cout => \led_flash_cnt[3071][4]~69881\);

-- Location: FF_X21_Y31_N23
\led_flash_cnt[3071][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3071][4]~69880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3071][4]~q\);

-- Location: LCCOMB_X21_Y31_N24
\led_flash_cnt[3071][5]~69882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3071][5]~69882_combout\ = (\led_flash_cnt[3071][5]~q\ & (\led_flash_cnt[3071][4]~69881\ $ (GND))) # (!\led_flash_cnt[3071][5]~q\ & (!\led_flash_cnt[3071][4]~69881\ & VCC))
-- \led_flash_cnt[3071][5]~69883\ = CARRY((\led_flash_cnt[3071][5]~q\ & !\led_flash_cnt[3071][4]~69881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3071][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3071][4]~69881\,
	combout => \led_flash_cnt[3071][5]~69882_combout\,
	cout => \led_flash_cnt[3071][5]~69883\);

-- Location: FF_X21_Y31_N25
\led_flash_cnt[3071][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3071][5]~69882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3071][5]~q\);

-- Location: LCCOMB_X21_Y31_N26
\led_flash_cnt[3071][6]~69884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3071][6]~69884_combout\ = (\led_flash_cnt[3071][6]~q\ & (!\led_flash_cnt[3071][5]~69883\)) # (!\led_flash_cnt[3071][6]~q\ & ((\led_flash_cnt[3071][5]~69883\) # (GND)))
-- \led_flash_cnt[3071][6]~69885\ = CARRY((!\led_flash_cnt[3071][5]~69883\) # (!\led_flash_cnt[3071][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3071][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3071][5]~69883\,
	combout => \led_flash_cnt[3071][6]~69884_combout\,
	cout => \led_flash_cnt[3071][6]~69885\);

-- Location: FF_X21_Y31_N27
\led_flash_cnt[3071][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3071][6]~69884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3071][6]~q\);

-- Location: LCCOMB_X22_Y31_N10
\WideAnd3071~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3071~1_combout\ = (\led_flash_cnt[3071][6]~q\ & \led_flash_cnt[3071][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3071][6]~q\,
	datad => \led_flash_cnt[3071][5]~q\,
	combout => \WideAnd3071~1_combout\);

-- Location: LCCOMB_X21_Y31_N28
\led_flash_cnt[3071][7]~69886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3071][7]~69886_combout\ = \led_flash_cnt[3071][6]~69885\ $ (!\led_flash_cnt[3071][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3071][7]~q\,
	cin => \led_flash_cnt[3071][6]~69885\,
	combout => \led_flash_cnt[3071][7]~69886_combout\);

-- Location: FF_X21_Y31_N29
\led_flash_cnt[3071][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3071][7]~69886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3071][7]~q\);

-- Location: LCCOMB_X22_Y31_N30
\WideAnd3071~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3071~0_combout\ = (\led_flash_cnt[3071][2]~q\ & (\led_flash_cnt[3071][4]~q\ & (\led_flash_cnt[3071][1]~q\ & \led_flash_cnt[3071][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3071][2]~q\,
	datab => \led_flash_cnt[3071][4]~q\,
	datac => \led_flash_cnt[3071][1]~q\,
	datad => \led_flash_cnt[3071][3]~q\,
	combout => \WideAnd3071~0_combout\);

-- Location: LCCOMB_X22_Y31_N4
WideAnd3071 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3071~combout\ = (\WideAnd3071~1_combout\ & (\led_flash_cnt[3071][7]~q\ & (\WideAnd3071~0_combout\ & \led_flash_cnt[3071][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3071~1_combout\,
	datab => \led_flash_cnt[3071][7]~q\,
	datac => \WideAnd3071~0_combout\,
	datad => \led_flash_cnt[3071][0]~q\,
	combout => \WideAnd3071~combout\);

-- Location: FF_X22_Y31_N5
\led_flash_cnt_ands[3071]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3071~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3071));

-- Location: LCCOMB_X15_Y36_N2
\led_flash_cnt[3069][0]~83709\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3069][0]~83709_combout\ = !\led_flash_cnt[3069][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3069][0]~q\,
	combout => \led_flash_cnt[3069][0]~83709_combout\);

-- Location: FF_X15_Y36_N3
\led_flash_cnt[3069][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3069][0]~83709_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3069][0]~q\);

-- Location: LCCOMB_X14_Y36_N18
\led_flash_cnt[3069][1]~69846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3069][1]~69846_combout\ = (\led_flash_cnt[3069][0]~q\ & (\led_flash_cnt[3069][1]~q\ $ (VCC))) # (!\led_flash_cnt[3069][0]~q\ & (\led_flash_cnt[3069][1]~q\ & VCC))
-- \led_flash_cnt[3069][1]~69847\ = CARRY((\led_flash_cnt[3069][0]~q\ & \led_flash_cnt[3069][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3069][0]~q\,
	datab => \led_flash_cnt[3069][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3069][1]~69846_combout\,
	cout => \led_flash_cnt[3069][1]~69847\);

-- Location: FF_X14_Y36_N19
\led_flash_cnt[3069][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3069][1]~69846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3069][1]~q\);

-- Location: LCCOMB_X14_Y36_N20
\led_flash_cnt[3069][2]~69848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3069][2]~69848_combout\ = (\led_flash_cnt[3069][2]~q\ & (!\led_flash_cnt[3069][1]~69847\)) # (!\led_flash_cnt[3069][2]~q\ & ((\led_flash_cnt[3069][1]~69847\) # (GND)))
-- \led_flash_cnt[3069][2]~69849\ = CARRY((!\led_flash_cnt[3069][1]~69847\) # (!\led_flash_cnt[3069][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3069][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3069][1]~69847\,
	combout => \led_flash_cnt[3069][2]~69848_combout\,
	cout => \led_flash_cnt[3069][2]~69849\);

-- Location: FF_X14_Y36_N21
\led_flash_cnt[3069][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3069][2]~69848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3069][2]~q\);

-- Location: LCCOMB_X14_Y36_N22
\led_flash_cnt[3069][3]~69850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3069][3]~69850_combout\ = (\led_flash_cnt[3069][3]~q\ & (\led_flash_cnt[3069][2]~69849\ $ (GND))) # (!\led_flash_cnt[3069][3]~q\ & (!\led_flash_cnt[3069][2]~69849\ & VCC))
-- \led_flash_cnt[3069][3]~69851\ = CARRY((\led_flash_cnt[3069][3]~q\ & !\led_flash_cnt[3069][2]~69849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3069][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3069][2]~69849\,
	combout => \led_flash_cnt[3069][3]~69850_combout\,
	cout => \led_flash_cnt[3069][3]~69851\);

-- Location: FF_X14_Y36_N23
\led_flash_cnt[3069][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3069][3]~69850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3069][3]~q\);

-- Location: LCCOMB_X14_Y36_N24
\led_flash_cnt[3069][4]~69852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3069][4]~69852_combout\ = (\led_flash_cnt[3069][4]~q\ & (!\led_flash_cnt[3069][3]~69851\)) # (!\led_flash_cnt[3069][4]~q\ & ((\led_flash_cnt[3069][3]~69851\) # (GND)))
-- \led_flash_cnt[3069][4]~69853\ = CARRY((!\led_flash_cnt[3069][3]~69851\) # (!\led_flash_cnt[3069][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3069][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3069][3]~69851\,
	combout => \led_flash_cnt[3069][4]~69852_combout\,
	cout => \led_flash_cnt[3069][4]~69853\);

-- Location: FF_X14_Y36_N25
\led_flash_cnt[3069][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3069][4]~69852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3069][4]~q\);

-- Location: LCCOMB_X14_Y36_N26
\led_flash_cnt[3069][5]~69854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3069][5]~69854_combout\ = (\led_flash_cnt[3069][5]~q\ & (\led_flash_cnt[3069][4]~69853\ $ (GND))) # (!\led_flash_cnt[3069][5]~q\ & (!\led_flash_cnt[3069][4]~69853\ & VCC))
-- \led_flash_cnt[3069][5]~69855\ = CARRY((\led_flash_cnt[3069][5]~q\ & !\led_flash_cnt[3069][4]~69853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3069][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3069][4]~69853\,
	combout => \led_flash_cnt[3069][5]~69854_combout\,
	cout => \led_flash_cnt[3069][5]~69855\);

-- Location: FF_X14_Y36_N27
\led_flash_cnt[3069][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3069][5]~69854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3069][5]~q\);

-- Location: LCCOMB_X14_Y36_N28
\led_flash_cnt[3069][6]~69856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3069][6]~69856_combout\ = (\led_flash_cnt[3069][6]~q\ & (!\led_flash_cnt[3069][5]~69855\)) # (!\led_flash_cnt[3069][6]~q\ & ((\led_flash_cnt[3069][5]~69855\) # (GND)))
-- \led_flash_cnt[3069][6]~69857\ = CARRY((!\led_flash_cnt[3069][5]~69855\) # (!\led_flash_cnt[3069][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3069][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3069][5]~69855\,
	combout => \led_flash_cnt[3069][6]~69856_combout\,
	cout => \led_flash_cnt[3069][6]~69857\);

-- Location: FF_X14_Y36_N29
\led_flash_cnt[3069][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3069][6]~69856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3069][6]~q\);

-- Location: LCCOMB_X15_Y36_N26
\WideAnd3069~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3069~1_combout\ = (\led_flash_cnt[3069][5]~q\ & \led_flash_cnt[3069][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3069][5]~q\,
	datad => \led_flash_cnt[3069][6]~q\,
	combout => \WideAnd3069~1_combout\);

-- Location: LCCOMB_X14_Y36_N30
\led_flash_cnt[3069][7]~69858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3069][7]~69858_combout\ = \led_flash_cnt[3069][7]~q\ $ (!\led_flash_cnt[3069][6]~69857\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3069][7]~q\,
	cin => \led_flash_cnt[3069][6]~69857\,
	combout => \led_flash_cnt[3069][7]~69858_combout\);

-- Location: FF_X14_Y36_N31
\led_flash_cnt[3069][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3069][7]~69858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3069][7]~q\);

-- Location: LCCOMB_X14_Y36_N16
\WideAnd3069~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3069~0_combout\ = (\led_flash_cnt[3069][1]~q\ & (\led_flash_cnt[3069][4]~q\ & (\led_flash_cnt[3069][3]~q\ & \led_flash_cnt[3069][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3069][1]~q\,
	datab => \led_flash_cnt[3069][4]~q\,
	datac => \led_flash_cnt[3069][3]~q\,
	datad => \led_flash_cnt[3069][2]~q\,
	combout => \WideAnd3069~0_combout\);

-- Location: LCCOMB_X15_Y36_N0
WideAnd3069 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3069~combout\ = (\WideAnd3069~1_combout\ & (\led_flash_cnt[3069][7]~q\ & (\WideAnd3069~0_combout\ & \led_flash_cnt[3069][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3069~1_combout\,
	datab => \led_flash_cnt[3069][7]~q\,
	datac => \WideAnd3069~0_combout\,
	datad => \led_flash_cnt[3069][0]~q\,
	combout => \WideAnd3069~combout\);

-- Location: FF_X15_Y36_N1
\led_flash_cnt_ands[3069]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3069~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3069));

-- Location: LCCOMB_X16_Y36_N20
\led_flash_cnt[3068][0]~83708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3068][0]~83708_combout\ = !\led_flash_cnt[3068][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3068][0]~q\,
	combout => \led_flash_cnt[3068][0]~83708_combout\);

-- Location: FF_X16_Y36_N21
\led_flash_cnt[3068][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3068][0]~83708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3068][0]~q\);

-- Location: LCCOMB_X15_Y36_N4
\led_flash_cnt[3068][1]~69832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3068][1]~69832_combout\ = (\led_flash_cnt[3068][0]~q\ & (\led_flash_cnt[3068][1]~q\ $ (VCC))) # (!\led_flash_cnt[3068][0]~q\ & (\led_flash_cnt[3068][1]~q\ & VCC))
-- \led_flash_cnt[3068][1]~69833\ = CARRY((\led_flash_cnt[3068][0]~q\ & \led_flash_cnt[3068][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3068][0]~q\,
	datab => \led_flash_cnt[3068][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3068][1]~69832_combout\,
	cout => \led_flash_cnt[3068][1]~69833\);

-- Location: FF_X15_Y36_N5
\led_flash_cnt[3068][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3068][1]~69832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3068][1]~q\);

-- Location: LCCOMB_X15_Y36_N6
\led_flash_cnt[3068][2]~69834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3068][2]~69834_combout\ = (\led_flash_cnt[3068][2]~q\ & (!\led_flash_cnt[3068][1]~69833\)) # (!\led_flash_cnt[3068][2]~q\ & ((\led_flash_cnt[3068][1]~69833\) # (GND)))
-- \led_flash_cnt[3068][2]~69835\ = CARRY((!\led_flash_cnt[3068][1]~69833\) # (!\led_flash_cnt[3068][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3068][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3068][1]~69833\,
	combout => \led_flash_cnt[3068][2]~69834_combout\,
	cout => \led_flash_cnt[3068][2]~69835\);

-- Location: FF_X15_Y36_N7
\led_flash_cnt[3068][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3068][2]~69834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3068][2]~q\);

-- Location: LCCOMB_X15_Y36_N8
\led_flash_cnt[3068][3]~69836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3068][3]~69836_combout\ = (\led_flash_cnt[3068][3]~q\ & (\led_flash_cnt[3068][2]~69835\ $ (GND))) # (!\led_flash_cnt[3068][3]~q\ & (!\led_flash_cnt[3068][2]~69835\ & VCC))
-- \led_flash_cnt[3068][3]~69837\ = CARRY((\led_flash_cnt[3068][3]~q\ & !\led_flash_cnt[3068][2]~69835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3068][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3068][2]~69835\,
	combout => \led_flash_cnt[3068][3]~69836_combout\,
	cout => \led_flash_cnt[3068][3]~69837\);

-- Location: FF_X15_Y36_N9
\led_flash_cnt[3068][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3068][3]~69836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3068][3]~q\);

-- Location: LCCOMB_X15_Y36_N10
\led_flash_cnt[3068][4]~69838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3068][4]~69838_combout\ = (\led_flash_cnt[3068][4]~q\ & (!\led_flash_cnt[3068][3]~69837\)) # (!\led_flash_cnt[3068][4]~q\ & ((\led_flash_cnt[3068][3]~69837\) # (GND)))
-- \led_flash_cnt[3068][4]~69839\ = CARRY((!\led_flash_cnt[3068][3]~69837\) # (!\led_flash_cnt[3068][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3068][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3068][3]~69837\,
	combout => \led_flash_cnt[3068][4]~69838_combout\,
	cout => \led_flash_cnt[3068][4]~69839\);

-- Location: FF_X15_Y36_N11
\led_flash_cnt[3068][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3068][4]~69838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3068][4]~q\);

-- Location: LCCOMB_X15_Y36_N18
\WideAnd3068~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3068~0_combout\ = (\led_flash_cnt[3068][4]~q\ & (\led_flash_cnt[3068][1]~q\ & (\led_flash_cnt[3068][3]~q\ & \led_flash_cnt[3068][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3068][4]~q\,
	datab => \led_flash_cnt[3068][1]~q\,
	datac => \led_flash_cnt[3068][3]~q\,
	datad => \led_flash_cnt[3068][2]~q\,
	combout => \WideAnd3068~0_combout\);

-- Location: LCCOMB_X15_Y36_N12
\led_flash_cnt[3068][5]~69840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3068][5]~69840_combout\ = (\led_flash_cnt[3068][5]~q\ & (\led_flash_cnt[3068][4]~69839\ $ (GND))) # (!\led_flash_cnt[3068][5]~q\ & (!\led_flash_cnt[3068][4]~69839\ & VCC))
-- \led_flash_cnt[3068][5]~69841\ = CARRY((\led_flash_cnt[3068][5]~q\ & !\led_flash_cnt[3068][4]~69839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3068][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3068][4]~69839\,
	combout => \led_flash_cnt[3068][5]~69840_combout\,
	cout => \led_flash_cnt[3068][5]~69841\);

-- Location: FF_X15_Y36_N13
\led_flash_cnt[3068][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3068][5]~69840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3068][5]~q\);

-- Location: LCCOMB_X15_Y36_N14
\led_flash_cnt[3068][6]~69842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3068][6]~69842_combout\ = (\led_flash_cnt[3068][6]~q\ & (!\led_flash_cnt[3068][5]~69841\)) # (!\led_flash_cnt[3068][6]~q\ & ((\led_flash_cnt[3068][5]~69841\) # (GND)))
-- \led_flash_cnt[3068][6]~69843\ = CARRY((!\led_flash_cnt[3068][5]~69841\) # (!\led_flash_cnt[3068][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3068][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3068][5]~69841\,
	combout => \led_flash_cnt[3068][6]~69842_combout\,
	cout => \led_flash_cnt[3068][6]~69843\);

-- Location: FF_X15_Y36_N15
\led_flash_cnt[3068][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3068][6]~69842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3068][6]~q\);

-- Location: LCCOMB_X15_Y36_N30
\WideAnd3068~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3068~1_combout\ = (\led_flash_cnt[3068][6]~q\ & \led_flash_cnt[3068][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3068][6]~q\,
	datad => \led_flash_cnt[3068][5]~q\,
	combout => \WideAnd3068~1_combout\);

-- Location: LCCOMB_X15_Y36_N16
\led_flash_cnt[3068][7]~69844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3068][7]~69844_combout\ = \led_flash_cnt[3068][6]~69843\ $ (!\led_flash_cnt[3068][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3068][7]~q\,
	cin => \led_flash_cnt[3068][6]~69843\,
	combout => \led_flash_cnt[3068][7]~69844_combout\);

-- Location: FF_X15_Y36_N17
\led_flash_cnt[3068][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3068][7]~69844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3068][7]~q\);

-- Location: LCCOMB_X15_Y36_N22
WideAnd3068 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3068~combout\ = (\led_flash_cnt[3068][0]~q\ & (\WideAnd3068~0_combout\ & (\WideAnd3068~1_combout\ & \led_flash_cnt[3068][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3068][0]~q\,
	datab => \WideAnd3068~0_combout\,
	datac => \WideAnd3068~1_combout\,
	datad => \led_flash_cnt[3068][7]~q\,
	combout => \WideAnd3068~combout\);

-- Location: FF_X15_Y36_N23
\led_flash_cnt_ands[3068]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3068~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3068));

-- Location: LCCOMB_X16_Y36_N30
\WideAnd4223~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4223~1_combout\ = (led_flash_cnt_ands(3069) & led_flash_cnt_ands(3068))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3069),
	datad => led_flash_cnt_ands(3068),
	combout => \WideAnd4223~1_combout\);

-- Location: LCCOMB_X22_Y31_N8
WideAnd4223 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4223~combout\ = (\WideAnd4223~0_combout\ & (led_flash_cnt_ands(3070) & (led_flash_cnt_ands(3071) & \WideAnd4223~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4223~0_combout\,
	datab => led_flash_cnt_ands(3070),
	datac => led_flash_cnt_ands(3071),
	datad => \WideAnd4223~1_combout\,
	combout => \WideAnd4223~combout\);

-- Location: FF_X22_Y31_N9
\led_flash_cnt_ands_1[383]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4223~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(383));

-- Location: LCCOMB_X24_Y38_N20
\led_flash_cnt[3062][0]~83702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3062][0]~83702_combout\ = !\led_flash_cnt[3062][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3062][0]~q\,
	combout => \led_flash_cnt[3062][0]~83702_combout\);

-- Location: FF_X24_Y38_N21
\led_flash_cnt[3062][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3062][0]~83702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3062][0]~q\);

-- Location: LCCOMB_X24_Y38_N6
\led_flash_cnt[3062][1]~69748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3062][1]~69748_combout\ = (\led_flash_cnt[3062][1]~q\ & (\led_flash_cnt[3062][0]~q\ $ (VCC))) # (!\led_flash_cnt[3062][1]~q\ & (\led_flash_cnt[3062][0]~q\ & VCC))
-- \led_flash_cnt[3062][1]~69749\ = CARRY((\led_flash_cnt[3062][1]~q\ & \led_flash_cnt[3062][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3062][1]~q\,
	datab => \led_flash_cnt[3062][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3062][1]~69748_combout\,
	cout => \led_flash_cnt[3062][1]~69749\);

-- Location: FF_X24_Y38_N7
\led_flash_cnt[3062][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3062][1]~69748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3062][1]~q\);

-- Location: LCCOMB_X24_Y38_N8
\led_flash_cnt[3062][2]~69750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3062][2]~69750_combout\ = (\led_flash_cnt[3062][2]~q\ & (!\led_flash_cnt[3062][1]~69749\)) # (!\led_flash_cnt[3062][2]~q\ & ((\led_flash_cnt[3062][1]~69749\) # (GND)))
-- \led_flash_cnt[3062][2]~69751\ = CARRY((!\led_flash_cnt[3062][1]~69749\) # (!\led_flash_cnt[3062][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3062][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3062][1]~69749\,
	combout => \led_flash_cnt[3062][2]~69750_combout\,
	cout => \led_flash_cnt[3062][2]~69751\);

-- Location: FF_X24_Y38_N9
\led_flash_cnt[3062][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3062][2]~69750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3062][2]~q\);

-- Location: LCCOMB_X24_Y38_N10
\led_flash_cnt[3062][3]~69752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3062][3]~69752_combout\ = (\led_flash_cnt[3062][3]~q\ & (\led_flash_cnt[3062][2]~69751\ $ (GND))) # (!\led_flash_cnt[3062][3]~q\ & (!\led_flash_cnt[3062][2]~69751\ & VCC))
-- \led_flash_cnt[3062][3]~69753\ = CARRY((\led_flash_cnt[3062][3]~q\ & !\led_flash_cnt[3062][2]~69751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3062][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3062][2]~69751\,
	combout => \led_flash_cnt[3062][3]~69752_combout\,
	cout => \led_flash_cnt[3062][3]~69753\);

-- Location: FF_X24_Y38_N11
\led_flash_cnt[3062][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3062][3]~69752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3062][3]~q\);

-- Location: LCCOMB_X24_Y38_N12
\led_flash_cnt[3062][4]~69754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3062][4]~69754_combout\ = (\led_flash_cnt[3062][4]~q\ & (!\led_flash_cnt[3062][3]~69753\)) # (!\led_flash_cnt[3062][4]~q\ & ((\led_flash_cnt[3062][3]~69753\) # (GND)))
-- \led_flash_cnt[3062][4]~69755\ = CARRY((!\led_flash_cnt[3062][3]~69753\) # (!\led_flash_cnt[3062][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3062][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3062][3]~69753\,
	combout => \led_flash_cnt[3062][4]~69754_combout\,
	cout => \led_flash_cnt[3062][4]~69755\);

-- Location: FF_X24_Y38_N13
\led_flash_cnt[3062][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3062][4]~69754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3062][4]~q\);

-- Location: LCCOMB_X24_Y38_N14
\led_flash_cnt[3062][5]~69756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3062][5]~69756_combout\ = (\led_flash_cnt[3062][5]~q\ & (\led_flash_cnt[3062][4]~69755\ $ (GND))) # (!\led_flash_cnt[3062][5]~q\ & (!\led_flash_cnt[3062][4]~69755\ & VCC))
-- \led_flash_cnt[3062][5]~69757\ = CARRY((\led_flash_cnt[3062][5]~q\ & !\led_flash_cnt[3062][4]~69755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3062][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3062][4]~69755\,
	combout => \led_flash_cnt[3062][5]~69756_combout\,
	cout => \led_flash_cnt[3062][5]~69757\);

-- Location: FF_X24_Y38_N15
\led_flash_cnt[3062][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3062][5]~69756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3062][5]~q\);

-- Location: LCCOMB_X24_Y38_N16
\led_flash_cnt[3062][6]~69758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3062][6]~69758_combout\ = (\led_flash_cnt[3062][6]~q\ & (!\led_flash_cnt[3062][5]~69757\)) # (!\led_flash_cnt[3062][6]~q\ & ((\led_flash_cnt[3062][5]~69757\) # (GND)))
-- \led_flash_cnt[3062][6]~69759\ = CARRY((!\led_flash_cnt[3062][5]~69757\) # (!\led_flash_cnt[3062][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3062][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3062][5]~69757\,
	combout => \led_flash_cnt[3062][6]~69758_combout\,
	cout => \led_flash_cnt[3062][6]~69759\);

-- Location: FF_X24_Y38_N17
\led_flash_cnt[3062][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3062][6]~69758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3062][6]~q\);

-- Location: LCCOMB_X24_Y38_N18
\led_flash_cnt[3062][7]~69760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3062][7]~69760_combout\ = \led_flash_cnt[3062][7]~q\ $ (!\led_flash_cnt[3062][6]~69759\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3062][7]~q\,
	cin => \led_flash_cnt[3062][6]~69759\,
	combout => \led_flash_cnt[3062][7]~69760_combout\);

-- Location: FF_X24_Y38_N19
\led_flash_cnt[3062][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3062][7]~69760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3062][7]~q\);

-- Location: LCCOMB_X24_Y38_N30
\WideAnd3062~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3062~1_combout\ = (\led_flash_cnt[3062][5]~q\ & \led_flash_cnt[3062][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3062][5]~q\,
	datad => \led_flash_cnt[3062][6]~q\,
	combout => \WideAnd3062~1_combout\);

-- Location: LCCOMB_X24_Y38_N24
\WideAnd3062~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3062~0_combout\ = (\led_flash_cnt[3062][3]~q\ & (\led_flash_cnt[3062][4]~q\ & (\led_flash_cnt[3062][2]~q\ & \led_flash_cnt[3062][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3062][3]~q\,
	datab => \led_flash_cnt[3062][4]~q\,
	datac => \led_flash_cnt[3062][2]~q\,
	datad => \led_flash_cnt[3062][1]~q\,
	combout => \WideAnd3062~0_combout\);

-- Location: LCCOMB_X24_Y38_N26
WideAnd3062 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3062~combout\ = (\led_flash_cnt[3062][7]~q\ & (\led_flash_cnt[3062][0]~q\ & (\WideAnd3062~1_combout\ & \WideAnd3062~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3062][7]~q\,
	datab => \led_flash_cnt[3062][0]~q\,
	datac => \WideAnd3062~1_combout\,
	datad => \WideAnd3062~0_combout\,
	combout => \WideAnd3062~combout\);

-- Location: FF_X24_Y38_N27
\led_flash_cnt_ands[3062]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3062~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3062));

-- Location: LCCOMB_X25_Y38_N30
\led_flash_cnt[3061][0]~83701\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3061][0]~83701_combout\ = !\led_flash_cnt[3061][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3061][0]~q\,
	combout => \led_flash_cnt[3061][0]~83701_combout\);

-- Location: FF_X25_Y38_N31
\led_flash_cnt[3061][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3061][0]~83701_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3061][0]~q\);

-- Location: LCCOMB_X25_Y38_N2
\led_flash_cnt[3061][1]~69734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3061][1]~69734_combout\ = (\led_flash_cnt[3061][0]~q\ & (\led_flash_cnt[3061][1]~q\ $ (VCC))) # (!\led_flash_cnt[3061][0]~q\ & (\led_flash_cnt[3061][1]~q\ & VCC))
-- \led_flash_cnt[3061][1]~69735\ = CARRY((\led_flash_cnt[3061][0]~q\ & \led_flash_cnt[3061][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3061][0]~q\,
	datab => \led_flash_cnt[3061][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3061][1]~69734_combout\,
	cout => \led_flash_cnt[3061][1]~69735\);

-- Location: FF_X25_Y38_N3
\led_flash_cnt[3061][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3061][1]~69734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3061][1]~q\);

-- Location: LCCOMB_X25_Y38_N4
\led_flash_cnt[3061][2]~69736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3061][2]~69736_combout\ = (\led_flash_cnt[3061][2]~q\ & (!\led_flash_cnt[3061][1]~69735\)) # (!\led_flash_cnt[3061][2]~q\ & ((\led_flash_cnt[3061][1]~69735\) # (GND)))
-- \led_flash_cnt[3061][2]~69737\ = CARRY((!\led_flash_cnt[3061][1]~69735\) # (!\led_flash_cnt[3061][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3061][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3061][1]~69735\,
	combout => \led_flash_cnt[3061][2]~69736_combout\,
	cout => \led_flash_cnt[3061][2]~69737\);

-- Location: FF_X25_Y38_N5
\led_flash_cnt[3061][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3061][2]~69736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3061][2]~q\);

-- Location: LCCOMB_X25_Y38_N6
\led_flash_cnt[3061][3]~69738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3061][3]~69738_combout\ = (\led_flash_cnt[3061][3]~q\ & (\led_flash_cnt[3061][2]~69737\ $ (GND))) # (!\led_flash_cnt[3061][3]~q\ & (!\led_flash_cnt[3061][2]~69737\ & VCC))
-- \led_flash_cnt[3061][3]~69739\ = CARRY((\led_flash_cnt[3061][3]~q\ & !\led_flash_cnt[3061][2]~69737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3061][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3061][2]~69737\,
	combout => \led_flash_cnt[3061][3]~69738_combout\,
	cout => \led_flash_cnt[3061][3]~69739\);

-- Location: FF_X25_Y38_N7
\led_flash_cnt[3061][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3061][3]~69738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3061][3]~q\);

-- Location: LCCOMB_X25_Y38_N8
\led_flash_cnt[3061][4]~69740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3061][4]~69740_combout\ = (\led_flash_cnt[3061][4]~q\ & (!\led_flash_cnt[3061][3]~69739\)) # (!\led_flash_cnt[3061][4]~q\ & ((\led_flash_cnt[3061][3]~69739\) # (GND)))
-- \led_flash_cnt[3061][4]~69741\ = CARRY((!\led_flash_cnt[3061][3]~69739\) # (!\led_flash_cnt[3061][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3061][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3061][3]~69739\,
	combout => \led_flash_cnt[3061][4]~69740_combout\,
	cout => \led_flash_cnt[3061][4]~69741\);

-- Location: FF_X25_Y38_N9
\led_flash_cnt[3061][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3061][4]~69740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3061][4]~q\);

-- Location: LCCOMB_X25_Y38_N10
\led_flash_cnt[3061][5]~69742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3061][5]~69742_combout\ = (\led_flash_cnt[3061][5]~q\ & (\led_flash_cnt[3061][4]~69741\ $ (GND))) # (!\led_flash_cnt[3061][5]~q\ & (!\led_flash_cnt[3061][4]~69741\ & VCC))
-- \led_flash_cnt[3061][5]~69743\ = CARRY((\led_flash_cnt[3061][5]~q\ & !\led_flash_cnt[3061][4]~69741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3061][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3061][4]~69741\,
	combout => \led_flash_cnt[3061][5]~69742_combout\,
	cout => \led_flash_cnt[3061][5]~69743\);

-- Location: FF_X25_Y38_N11
\led_flash_cnt[3061][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3061][5]~69742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3061][5]~q\);

-- Location: LCCOMB_X25_Y38_N12
\led_flash_cnt[3061][6]~69744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3061][6]~69744_combout\ = (\led_flash_cnt[3061][6]~q\ & (!\led_flash_cnt[3061][5]~69743\)) # (!\led_flash_cnt[3061][6]~q\ & ((\led_flash_cnt[3061][5]~69743\) # (GND)))
-- \led_flash_cnt[3061][6]~69745\ = CARRY((!\led_flash_cnt[3061][5]~69743\) # (!\led_flash_cnt[3061][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3061][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3061][5]~69743\,
	combout => \led_flash_cnt[3061][6]~69744_combout\,
	cout => \led_flash_cnt[3061][6]~69745\);

-- Location: FF_X25_Y38_N13
\led_flash_cnt[3061][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3061][6]~69744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3061][6]~q\);

-- Location: LCCOMB_X25_Y38_N16
\WideAnd3061~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3061~1_combout\ = (\led_flash_cnt[3061][6]~q\ & \led_flash_cnt[3061][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3061][6]~q\,
	datad => \led_flash_cnt[3061][5]~q\,
	combout => \WideAnd3061~1_combout\);

-- Location: LCCOMB_X25_Y38_N14
\led_flash_cnt[3061][7]~69746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3061][7]~69746_combout\ = \led_flash_cnt[3061][7]~q\ $ (!\led_flash_cnt[3061][6]~69745\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3061][7]~q\,
	cin => \led_flash_cnt[3061][6]~69745\,
	combout => \led_flash_cnt[3061][7]~69746_combout\);

-- Location: FF_X25_Y38_N15
\led_flash_cnt[3061][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3061][7]~69746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3061][7]~q\);

-- Location: LCCOMB_X25_Y38_N20
\WideAnd3061~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3061~0_combout\ = (\led_flash_cnt[3061][3]~q\ & (\led_flash_cnt[3061][2]~q\ & (\led_flash_cnt[3061][4]~q\ & \led_flash_cnt[3061][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3061][3]~q\,
	datab => \led_flash_cnt[3061][2]~q\,
	datac => \led_flash_cnt[3061][4]~q\,
	datad => \led_flash_cnt[3061][1]~q\,
	combout => \WideAnd3061~0_combout\);

-- Location: LCCOMB_X25_Y38_N22
WideAnd3061 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3061~combout\ = (\led_flash_cnt[3061][0]~q\ & (\WideAnd3061~1_combout\ & (\led_flash_cnt[3061][7]~q\ & \WideAnd3061~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3061][0]~q\,
	datab => \WideAnd3061~1_combout\,
	datac => \led_flash_cnt[3061][7]~q\,
	datad => \WideAnd3061~0_combout\,
	combout => \WideAnd3061~combout\);

-- Location: FF_X25_Y38_N23
\led_flash_cnt_ands[3061]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3061~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3061));

-- Location: LCCOMB_X25_Y38_N0
\led_flash_cnt[3060][0]~83700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3060][0]~83700_combout\ = !\led_flash_cnt[3060][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3060][0]~q\,
	combout => \led_flash_cnt[3060][0]~83700_combout\);

-- Location: FF_X25_Y38_N1
\led_flash_cnt[3060][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3060][0]~83700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3060][0]~q\);

-- Location: LCCOMB_X26_Y38_N14
\led_flash_cnt[3060][1]~69720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3060][1]~69720_combout\ = (\led_flash_cnt[3060][0]~q\ & (\led_flash_cnt[3060][1]~q\ $ (VCC))) # (!\led_flash_cnt[3060][0]~q\ & (\led_flash_cnt[3060][1]~q\ & VCC))
-- \led_flash_cnt[3060][1]~69721\ = CARRY((\led_flash_cnt[3060][0]~q\ & \led_flash_cnt[3060][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3060][0]~q\,
	datab => \led_flash_cnt[3060][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3060][1]~69720_combout\,
	cout => \led_flash_cnt[3060][1]~69721\);

-- Location: FF_X26_Y38_N15
\led_flash_cnt[3060][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3060][1]~69720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3060][1]~q\);

-- Location: LCCOMB_X26_Y38_N16
\led_flash_cnt[3060][2]~69722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3060][2]~69722_combout\ = (\led_flash_cnt[3060][2]~q\ & (!\led_flash_cnt[3060][1]~69721\)) # (!\led_flash_cnt[3060][2]~q\ & ((\led_flash_cnt[3060][1]~69721\) # (GND)))
-- \led_flash_cnt[3060][2]~69723\ = CARRY((!\led_flash_cnt[3060][1]~69721\) # (!\led_flash_cnt[3060][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3060][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3060][1]~69721\,
	combout => \led_flash_cnt[3060][2]~69722_combout\,
	cout => \led_flash_cnt[3060][2]~69723\);

-- Location: FF_X26_Y38_N17
\led_flash_cnt[3060][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3060][2]~69722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3060][2]~q\);

-- Location: LCCOMB_X26_Y38_N18
\led_flash_cnt[3060][3]~69724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3060][3]~69724_combout\ = (\led_flash_cnt[3060][3]~q\ & (\led_flash_cnt[3060][2]~69723\ $ (GND))) # (!\led_flash_cnt[3060][3]~q\ & (!\led_flash_cnt[3060][2]~69723\ & VCC))
-- \led_flash_cnt[3060][3]~69725\ = CARRY((\led_flash_cnt[3060][3]~q\ & !\led_flash_cnt[3060][2]~69723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3060][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3060][2]~69723\,
	combout => \led_flash_cnt[3060][3]~69724_combout\,
	cout => \led_flash_cnt[3060][3]~69725\);

-- Location: FF_X26_Y38_N19
\led_flash_cnt[3060][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3060][3]~69724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3060][3]~q\);

-- Location: LCCOMB_X26_Y38_N20
\led_flash_cnt[3060][4]~69726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3060][4]~69726_combout\ = (\led_flash_cnt[3060][4]~q\ & (!\led_flash_cnt[3060][3]~69725\)) # (!\led_flash_cnt[3060][4]~q\ & ((\led_flash_cnt[3060][3]~69725\) # (GND)))
-- \led_flash_cnt[3060][4]~69727\ = CARRY((!\led_flash_cnt[3060][3]~69725\) # (!\led_flash_cnt[3060][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3060][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3060][3]~69725\,
	combout => \led_flash_cnt[3060][4]~69726_combout\,
	cout => \led_flash_cnt[3060][4]~69727\);

-- Location: FF_X26_Y38_N21
\led_flash_cnt[3060][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3060][4]~69726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3060][4]~q\);

-- Location: LCCOMB_X26_Y38_N30
\WideAnd3060~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3060~0_combout\ = (\led_flash_cnt[3060][2]~q\ & (\led_flash_cnt[3060][4]~q\ & (\led_flash_cnt[3060][1]~q\ & \led_flash_cnt[3060][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3060][2]~q\,
	datab => \led_flash_cnt[3060][4]~q\,
	datac => \led_flash_cnt[3060][1]~q\,
	datad => \led_flash_cnt[3060][3]~q\,
	combout => \WideAnd3060~0_combout\);

-- Location: LCCOMB_X26_Y38_N22
\led_flash_cnt[3060][5]~69728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3060][5]~69728_combout\ = (\led_flash_cnt[3060][5]~q\ & (\led_flash_cnt[3060][4]~69727\ $ (GND))) # (!\led_flash_cnt[3060][5]~q\ & (!\led_flash_cnt[3060][4]~69727\ & VCC))
-- \led_flash_cnt[3060][5]~69729\ = CARRY((\led_flash_cnt[3060][5]~q\ & !\led_flash_cnt[3060][4]~69727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3060][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3060][4]~69727\,
	combout => \led_flash_cnt[3060][5]~69728_combout\,
	cout => \led_flash_cnt[3060][5]~69729\);

-- Location: FF_X26_Y38_N23
\led_flash_cnt[3060][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3060][5]~69728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3060][5]~q\);

-- Location: LCCOMB_X26_Y38_N24
\led_flash_cnt[3060][6]~69730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3060][6]~69730_combout\ = (\led_flash_cnt[3060][6]~q\ & (!\led_flash_cnt[3060][5]~69729\)) # (!\led_flash_cnt[3060][6]~q\ & ((\led_flash_cnt[3060][5]~69729\) # (GND)))
-- \led_flash_cnt[3060][6]~69731\ = CARRY((!\led_flash_cnt[3060][5]~69729\) # (!\led_flash_cnt[3060][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3060][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3060][5]~69729\,
	combout => \led_flash_cnt[3060][6]~69730_combout\,
	cout => \led_flash_cnt[3060][6]~69731\);

-- Location: FF_X26_Y38_N25
\led_flash_cnt[3060][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3060][6]~69730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3060][6]~q\);

-- Location: LCCOMB_X25_Y38_N26
\WideAnd3060~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3060~1_combout\ = (\led_flash_cnt[3060][6]~q\ & \led_flash_cnt[3060][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3060][6]~q\,
	datad => \led_flash_cnt[3060][5]~q\,
	combout => \WideAnd3060~1_combout\);

-- Location: LCCOMB_X26_Y38_N26
\led_flash_cnt[3060][7]~69732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3060][7]~69732_combout\ = \led_flash_cnt[3060][7]~q\ $ (!\led_flash_cnt[3060][6]~69731\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3060][7]~q\,
	cin => \led_flash_cnt[3060][6]~69731\,
	combout => \led_flash_cnt[3060][7]~69732_combout\);

-- Location: FF_X26_Y38_N27
\led_flash_cnt[3060][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3060][7]~69732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3060][7]~q\);

-- Location: LCCOMB_X25_Y38_N18
WideAnd3060 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3060~combout\ = (\WideAnd3060~0_combout\ & (\led_flash_cnt[3060][0]~q\ & (\WideAnd3060~1_combout\ & \led_flash_cnt[3060][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3060~0_combout\,
	datab => \led_flash_cnt[3060][0]~q\,
	datac => \WideAnd3060~1_combout\,
	datad => \led_flash_cnt[3060][7]~q\,
	combout => \WideAnd3060~combout\);

-- Location: FF_X25_Y38_N19
\led_flash_cnt_ands[3060]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3060~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3060));

-- Location: LCCOMB_X25_Y38_N28
\WideAnd4222~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4222~1_combout\ = (led_flash_cnt_ands(3061) & led_flash_cnt_ands(3060))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(3061),
	datad => led_flash_cnt_ands(3060),
	combout => \WideAnd4222~1_combout\);

-- Location: LCCOMB_X49_Y42_N18
\led_flash_cnt[3057][0]~83697\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3057][0]~83697_combout\ = !\led_flash_cnt[3057][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3057][0]~q\,
	combout => \led_flash_cnt[3057][0]~83697_combout\);

-- Location: FF_X49_Y42_N19
\led_flash_cnt[3057][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3057][0]~83697_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3057][0]~q\);

-- Location: LCCOMB_X49_Y42_N0
\led_flash_cnt[3057][1]~69678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3057][1]~69678_combout\ = (\led_flash_cnt[3057][1]~q\ & (\led_flash_cnt[3057][0]~q\ $ (VCC))) # (!\led_flash_cnt[3057][1]~q\ & (\led_flash_cnt[3057][0]~q\ & VCC))
-- \led_flash_cnt[3057][1]~69679\ = CARRY((\led_flash_cnt[3057][1]~q\ & \led_flash_cnt[3057][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3057][1]~q\,
	datab => \led_flash_cnt[3057][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3057][1]~69678_combout\,
	cout => \led_flash_cnt[3057][1]~69679\);

-- Location: FF_X49_Y42_N1
\led_flash_cnt[3057][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3057][1]~69678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3057][1]~q\);

-- Location: LCCOMB_X49_Y42_N2
\led_flash_cnt[3057][2]~69680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3057][2]~69680_combout\ = (\led_flash_cnt[3057][2]~q\ & (!\led_flash_cnt[3057][1]~69679\)) # (!\led_flash_cnt[3057][2]~q\ & ((\led_flash_cnt[3057][1]~69679\) # (GND)))
-- \led_flash_cnt[3057][2]~69681\ = CARRY((!\led_flash_cnt[3057][1]~69679\) # (!\led_flash_cnt[3057][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3057][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3057][1]~69679\,
	combout => \led_flash_cnt[3057][2]~69680_combout\,
	cout => \led_flash_cnt[3057][2]~69681\);

-- Location: FF_X49_Y42_N3
\led_flash_cnt[3057][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3057][2]~69680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3057][2]~q\);

-- Location: LCCOMB_X49_Y42_N4
\led_flash_cnt[3057][3]~69682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3057][3]~69682_combout\ = (\led_flash_cnt[3057][3]~q\ & (\led_flash_cnt[3057][2]~69681\ $ (GND))) # (!\led_flash_cnt[3057][3]~q\ & (!\led_flash_cnt[3057][2]~69681\ & VCC))
-- \led_flash_cnt[3057][3]~69683\ = CARRY((\led_flash_cnt[3057][3]~q\ & !\led_flash_cnt[3057][2]~69681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3057][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3057][2]~69681\,
	combout => \led_flash_cnt[3057][3]~69682_combout\,
	cout => \led_flash_cnt[3057][3]~69683\);

-- Location: FF_X49_Y42_N5
\led_flash_cnt[3057][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3057][3]~69682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3057][3]~q\);

-- Location: LCCOMB_X49_Y42_N6
\led_flash_cnt[3057][4]~69684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3057][4]~69684_combout\ = (\led_flash_cnt[3057][4]~q\ & (!\led_flash_cnt[3057][3]~69683\)) # (!\led_flash_cnt[3057][4]~q\ & ((\led_flash_cnt[3057][3]~69683\) # (GND)))
-- \led_flash_cnt[3057][4]~69685\ = CARRY((!\led_flash_cnt[3057][3]~69683\) # (!\led_flash_cnt[3057][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3057][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3057][3]~69683\,
	combout => \led_flash_cnt[3057][4]~69684_combout\,
	cout => \led_flash_cnt[3057][4]~69685\);

-- Location: FF_X49_Y42_N7
\led_flash_cnt[3057][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3057][4]~69684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3057][4]~q\);

-- Location: LCCOMB_X49_Y42_N8
\led_flash_cnt[3057][5]~69686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3057][5]~69686_combout\ = (\led_flash_cnt[3057][5]~q\ & (\led_flash_cnt[3057][4]~69685\ $ (GND))) # (!\led_flash_cnt[3057][5]~q\ & (!\led_flash_cnt[3057][4]~69685\ & VCC))
-- \led_flash_cnt[3057][5]~69687\ = CARRY((\led_flash_cnt[3057][5]~q\ & !\led_flash_cnt[3057][4]~69685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3057][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3057][4]~69685\,
	combout => \led_flash_cnt[3057][5]~69686_combout\,
	cout => \led_flash_cnt[3057][5]~69687\);

-- Location: FF_X49_Y42_N9
\led_flash_cnt[3057][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3057][5]~69686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3057][5]~q\);

-- Location: LCCOMB_X49_Y42_N10
\led_flash_cnt[3057][6]~69688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3057][6]~69688_combout\ = (\led_flash_cnt[3057][6]~q\ & (!\led_flash_cnt[3057][5]~69687\)) # (!\led_flash_cnt[3057][6]~q\ & ((\led_flash_cnt[3057][5]~69687\) # (GND)))
-- \led_flash_cnt[3057][6]~69689\ = CARRY((!\led_flash_cnt[3057][5]~69687\) # (!\led_flash_cnt[3057][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3057][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3057][5]~69687\,
	combout => \led_flash_cnt[3057][6]~69688_combout\,
	cout => \led_flash_cnt[3057][6]~69689\);

-- Location: FF_X49_Y42_N11
\led_flash_cnt[3057][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3057][6]~69688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3057][6]~q\);

-- Location: LCCOMB_X49_Y42_N12
\led_flash_cnt[3057][7]~69690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3057][7]~69690_combout\ = \led_flash_cnt[3057][6]~69689\ $ (!\led_flash_cnt[3057][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3057][7]~q\,
	cin => \led_flash_cnt[3057][6]~69689\,
	combout => \led_flash_cnt[3057][7]~69690_combout\);

-- Location: FF_X49_Y42_N13
\led_flash_cnt[3057][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3057][7]~69690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3057][7]~q\);

-- Location: LCCOMB_X49_Y42_N16
\WideAnd3057~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3057~1_combout\ = (\led_flash_cnt[3057][5]~q\ & \led_flash_cnt[3057][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3057][5]~q\,
	datad => \led_flash_cnt[3057][6]~q\,
	combout => \WideAnd3057~1_combout\);

-- Location: LCCOMB_X49_Y42_N30
\WideAnd3057~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3057~0_combout\ = (\led_flash_cnt[3057][4]~q\ & (\led_flash_cnt[3057][2]~q\ & (\led_flash_cnt[3057][3]~q\ & \led_flash_cnt[3057][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3057][4]~q\,
	datab => \led_flash_cnt[3057][2]~q\,
	datac => \led_flash_cnt[3057][3]~q\,
	datad => \led_flash_cnt[3057][1]~q\,
	combout => \WideAnd3057~0_combout\);

-- Location: LCCOMB_X49_Y42_N24
WideAnd3057 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3057~combout\ = (\led_flash_cnt[3057][7]~q\ & (\WideAnd3057~1_combout\ & (\WideAnd3057~0_combout\ & \led_flash_cnt[3057][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3057][7]~q\,
	datab => \WideAnd3057~1_combout\,
	datac => \WideAnd3057~0_combout\,
	datad => \led_flash_cnt[3057][0]~q\,
	combout => \WideAnd3057~combout\);

-- Location: FF_X49_Y42_N25
\led_flash_cnt_ands[3057]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3057~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3057));

-- Location: LCCOMB_X24_Y35_N0
\led_flash_cnt[3058][0]~83698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3058][0]~83698_combout\ = !\led_flash_cnt[3058][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3058][0]~q\,
	combout => \led_flash_cnt[3058][0]~83698_combout\);

-- Location: FF_X24_Y35_N1
\led_flash_cnt[3058][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3058][0]~83698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3058][0]~q\);

-- Location: LCCOMB_X25_Y36_N18
\led_flash_cnt[3058][1]~69692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3058][1]~69692_combout\ = (\led_flash_cnt[3058][0]~q\ & (\led_flash_cnt[3058][1]~q\ $ (VCC))) # (!\led_flash_cnt[3058][0]~q\ & (\led_flash_cnt[3058][1]~q\ & VCC))
-- \led_flash_cnt[3058][1]~69693\ = CARRY((\led_flash_cnt[3058][0]~q\ & \led_flash_cnt[3058][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3058][0]~q\,
	datab => \led_flash_cnt[3058][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3058][1]~69692_combout\,
	cout => \led_flash_cnt[3058][1]~69693\);

-- Location: FF_X25_Y36_N19
\led_flash_cnt[3058][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3058][1]~69692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3058][1]~q\);

-- Location: LCCOMB_X25_Y36_N20
\led_flash_cnt[3058][2]~69694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3058][2]~69694_combout\ = (\led_flash_cnt[3058][2]~q\ & (!\led_flash_cnt[3058][1]~69693\)) # (!\led_flash_cnt[3058][2]~q\ & ((\led_flash_cnt[3058][1]~69693\) # (GND)))
-- \led_flash_cnt[3058][2]~69695\ = CARRY((!\led_flash_cnt[3058][1]~69693\) # (!\led_flash_cnt[3058][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3058][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3058][1]~69693\,
	combout => \led_flash_cnt[3058][2]~69694_combout\,
	cout => \led_flash_cnt[3058][2]~69695\);

-- Location: FF_X25_Y36_N21
\led_flash_cnt[3058][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3058][2]~69694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3058][2]~q\);

-- Location: LCCOMB_X25_Y36_N22
\led_flash_cnt[3058][3]~69696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3058][3]~69696_combout\ = (\led_flash_cnt[3058][3]~q\ & (\led_flash_cnt[3058][2]~69695\ $ (GND))) # (!\led_flash_cnt[3058][3]~q\ & (!\led_flash_cnt[3058][2]~69695\ & VCC))
-- \led_flash_cnt[3058][3]~69697\ = CARRY((\led_flash_cnt[3058][3]~q\ & !\led_flash_cnt[3058][2]~69695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3058][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3058][2]~69695\,
	combout => \led_flash_cnt[3058][3]~69696_combout\,
	cout => \led_flash_cnt[3058][3]~69697\);

-- Location: FF_X25_Y36_N23
\led_flash_cnt[3058][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3058][3]~69696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3058][3]~q\);

-- Location: LCCOMB_X25_Y36_N24
\led_flash_cnt[3058][4]~69698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3058][4]~69698_combout\ = (\led_flash_cnt[3058][4]~q\ & (!\led_flash_cnt[3058][3]~69697\)) # (!\led_flash_cnt[3058][4]~q\ & ((\led_flash_cnt[3058][3]~69697\) # (GND)))
-- \led_flash_cnt[3058][4]~69699\ = CARRY((!\led_flash_cnt[3058][3]~69697\) # (!\led_flash_cnt[3058][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3058][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3058][3]~69697\,
	combout => \led_flash_cnt[3058][4]~69698_combout\,
	cout => \led_flash_cnt[3058][4]~69699\);

-- Location: FF_X25_Y36_N25
\led_flash_cnt[3058][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3058][4]~69698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3058][4]~q\);

-- Location: LCCOMB_X25_Y36_N0
\WideAnd3058~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3058~0_combout\ = (\led_flash_cnt[3058][4]~q\ & (\led_flash_cnt[3058][2]~q\ & (\led_flash_cnt[3058][3]~q\ & \led_flash_cnt[3058][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3058][4]~q\,
	datab => \led_flash_cnt[3058][2]~q\,
	datac => \led_flash_cnt[3058][3]~q\,
	datad => \led_flash_cnt[3058][1]~q\,
	combout => \WideAnd3058~0_combout\);

-- Location: LCCOMB_X25_Y36_N26
\led_flash_cnt[3058][5]~69700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3058][5]~69700_combout\ = (\led_flash_cnt[3058][5]~q\ & (\led_flash_cnt[3058][4]~69699\ $ (GND))) # (!\led_flash_cnt[3058][5]~q\ & (!\led_flash_cnt[3058][4]~69699\ & VCC))
-- \led_flash_cnt[3058][5]~69701\ = CARRY((\led_flash_cnt[3058][5]~q\ & !\led_flash_cnt[3058][4]~69699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3058][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3058][4]~69699\,
	combout => \led_flash_cnt[3058][5]~69700_combout\,
	cout => \led_flash_cnt[3058][5]~69701\);

-- Location: FF_X25_Y36_N27
\led_flash_cnt[3058][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3058][5]~69700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3058][5]~q\);

-- Location: LCCOMB_X25_Y36_N28
\led_flash_cnt[3058][6]~69702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3058][6]~69702_combout\ = (\led_flash_cnt[3058][6]~q\ & (!\led_flash_cnt[3058][5]~69701\)) # (!\led_flash_cnt[3058][6]~q\ & ((\led_flash_cnt[3058][5]~69701\) # (GND)))
-- \led_flash_cnt[3058][6]~69703\ = CARRY((!\led_flash_cnt[3058][5]~69701\) # (!\led_flash_cnt[3058][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3058][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3058][5]~69701\,
	combout => \led_flash_cnt[3058][6]~69702_combout\,
	cout => \led_flash_cnt[3058][6]~69703\);

-- Location: FF_X25_Y36_N29
\led_flash_cnt[3058][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3058][6]~69702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3058][6]~q\);

-- Location: LCCOMB_X25_Y36_N30
\led_flash_cnt[3058][7]~69704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3058][7]~69704_combout\ = \led_flash_cnt[3058][7]~q\ $ (!\led_flash_cnt[3058][6]~69703\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3058][7]~q\,
	cin => \led_flash_cnt[3058][6]~69703\,
	combout => \led_flash_cnt[3058][7]~69704_combout\);

-- Location: FF_X25_Y36_N31
\led_flash_cnt[3058][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3058][7]~69704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3058][7]~q\);

-- Location: LCCOMB_X25_Y35_N6
\WideAnd3058~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3058~1_combout\ = (\led_flash_cnt[3058][5]~q\ & \led_flash_cnt[3058][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3058][5]~q\,
	datad => \led_flash_cnt[3058][6]~q\,
	combout => \WideAnd3058~1_combout\);

-- Location: LCCOMB_X25_Y35_N0
WideAnd3058 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3058~combout\ = (\WideAnd3058~0_combout\ & (\led_flash_cnt[3058][0]~q\ & (\led_flash_cnt[3058][7]~q\ & \WideAnd3058~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3058~0_combout\,
	datab => \led_flash_cnt[3058][0]~q\,
	datac => \led_flash_cnt[3058][7]~q\,
	datad => \WideAnd3058~1_combout\,
	combout => \WideAnd3058~combout\);

-- Location: FF_X25_Y35_N1
\led_flash_cnt_ands[3058]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3058~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3058));

-- Location: LCCOMB_X16_Y33_N0
\led_flash_cnt[3059][0]~83699\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3059][0]~83699_combout\ = !\led_flash_cnt[3059][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3059][0]~q\,
	combout => \led_flash_cnt[3059][0]~83699_combout\);

-- Location: FF_X16_Y33_N1
\led_flash_cnt[3059][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3059][0]~83699_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3059][0]~q\);

-- Location: LCCOMB_X16_Y34_N18
\led_flash_cnt[3059][1]~69706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3059][1]~69706_combout\ = (\led_flash_cnt[3059][1]~q\ & (\led_flash_cnt[3059][0]~q\ $ (VCC))) # (!\led_flash_cnt[3059][1]~q\ & (\led_flash_cnt[3059][0]~q\ & VCC))
-- \led_flash_cnt[3059][1]~69707\ = CARRY((\led_flash_cnt[3059][1]~q\ & \led_flash_cnt[3059][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3059][1]~q\,
	datab => \led_flash_cnt[3059][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3059][1]~69706_combout\,
	cout => \led_flash_cnt[3059][1]~69707\);

-- Location: FF_X16_Y34_N19
\led_flash_cnt[3059][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3059][1]~69706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3059][1]~q\);

-- Location: LCCOMB_X16_Y34_N20
\led_flash_cnt[3059][2]~69708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3059][2]~69708_combout\ = (\led_flash_cnt[3059][2]~q\ & (!\led_flash_cnt[3059][1]~69707\)) # (!\led_flash_cnt[3059][2]~q\ & ((\led_flash_cnt[3059][1]~69707\) # (GND)))
-- \led_flash_cnt[3059][2]~69709\ = CARRY((!\led_flash_cnt[3059][1]~69707\) # (!\led_flash_cnt[3059][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3059][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3059][1]~69707\,
	combout => \led_flash_cnt[3059][2]~69708_combout\,
	cout => \led_flash_cnt[3059][2]~69709\);

-- Location: FF_X16_Y34_N21
\led_flash_cnt[3059][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3059][2]~69708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3059][2]~q\);

-- Location: LCCOMB_X16_Y34_N22
\led_flash_cnt[3059][3]~69710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3059][3]~69710_combout\ = (\led_flash_cnt[3059][3]~q\ & (\led_flash_cnt[3059][2]~69709\ $ (GND))) # (!\led_flash_cnt[3059][3]~q\ & (!\led_flash_cnt[3059][2]~69709\ & VCC))
-- \led_flash_cnt[3059][3]~69711\ = CARRY((\led_flash_cnt[3059][3]~q\ & !\led_flash_cnt[3059][2]~69709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3059][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3059][2]~69709\,
	combout => \led_flash_cnt[3059][3]~69710_combout\,
	cout => \led_flash_cnt[3059][3]~69711\);

-- Location: FF_X16_Y34_N23
\led_flash_cnt[3059][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3059][3]~69710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3059][3]~q\);

-- Location: LCCOMB_X16_Y34_N24
\led_flash_cnt[3059][4]~69712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3059][4]~69712_combout\ = (\led_flash_cnt[3059][4]~q\ & (!\led_flash_cnt[3059][3]~69711\)) # (!\led_flash_cnt[3059][4]~q\ & ((\led_flash_cnt[3059][3]~69711\) # (GND)))
-- \led_flash_cnt[3059][4]~69713\ = CARRY((!\led_flash_cnt[3059][3]~69711\) # (!\led_flash_cnt[3059][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3059][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3059][3]~69711\,
	combout => \led_flash_cnt[3059][4]~69712_combout\,
	cout => \led_flash_cnt[3059][4]~69713\);

-- Location: FF_X16_Y34_N25
\led_flash_cnt[3059][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3059][4]~69712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3059][4]~q\);

-- Location: LCCOMB_X15_Y34_N10
\WideAnd3059~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3059~0_combout\ = (\led_flash_cnt[3059][3]~q\ & (\led_flash_cnt[3059][1]~q\ & (\led_flash_cnt[3059][2]~q\ & \led_flash_cnt[3059][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3059][3]~q\,
	datab => \led_flash_cnt[3059][1]~q\,
	datac => \led_flash_cnt[3059][2]~q\,
	datad => \led_flash_cnt[3059][4]~q\,
	combout => \WideAnd3059~0_combout\);

-- Location: LCCOMB_X16_Y34_N26
\led_flash_cnt[3059][5]~69714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3059][5]~69714_combout\ = (\led_flash_cnt[3059][5]~q\ & (\led_flash_cnt[3059][4]~69713\ $ (GND))) # (!\led_flash_cnt[3059][5]~q\ & (!\led_flash_cnt[3059][4]~69713\ & VCC))
-- \led_flash_cnt[3059][5]~69715\ = CARRY((\led_flash_cnt[3059][5]~q\ & !\led_flash_cnt[3059][4]~69713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3059][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3059][4]~69713\,
	combout => \led_flash_cnt[3059][5]~69714_combout\,
	cout => \led_flash_cnt[3059][5]~69715\);

-- Location: FF_X16_Y34_N27
\led_flash_cnt[3059][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3059][5]~69714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3059][5]~q\);

-- Location: LCCOMB_X16_Y34_N28
\led_flash_cnt[3059][6]~69716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3059][6]~69716_combout\ = (\led_flash_cnt[3059][6]~q\ & (!\led_flash_cnt[3059][5]~69715\)) # (!\led_flash_cnt[3059][6]~q\ & ((\led_flash_cnt[3059][5]~69715\) # (GND)))
-- \led_flash_cnt[3059][6]~69717\ = CARRY((!\led_flash_cnt[3059][5]~69715\) # (!\led_flash_cnt[3059][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3059][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3059][5]~69715\,
	combout => \led_flash_cnt[3059][6]~69716_combout\,
	cout => \led_flash_cnt[3059][6]~69717\);

-- Location: FF_X16_Y34_N29
\led_flash_cnt[3059][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3059][6]~69716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3059][6]~q\);

-- Location: LCCOMB_X15_Y34_N6
\WideAnd3059~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3059~1_combout\ = (\led_flash_cnt[3059][6]~q\ & \led_flash_cnt[3059][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3059][6]~q\,
	datac => \led_flash_cnt[3059][5]~q\,
	combout => \WideAnd3059~1_combout\);

-- Location: LCCOMB_X16_Y34_N30
\led_flash_cnt[3059][7]~69718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3059][7]~69718_combout\ = \led_flash_cnt[3059][7]~q\ $ (!\led_flash_cnt[3059][6]~69717\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3059][7]~q\,
	cin => \led_flash_cnt[3059][6]~69717\,
	combout => \led_flash_cnt[3059][7]~69718_combout\);

-- Location: FF_X16_Y34_N31
\led_flash_cnt[3059][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3059][7]~69718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3059][7]~q\);

-- Location: LCCOMB_X16_Y34_N0
WideAnd3059 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3059~combout\ = (\WideAnd3059~0_combout\ & (\WideAnd3059~1_combout\ & (\led_flash_cnt[3059][7]~q\ & \led_flash_cnt[3059][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3059~0_combout\,
	datab => \WideAnd3059~1_combout\,
	datac => \led_flash_cnt[3059][7]~q\,
	datad => \led_flash_cnt[3059][0]~q\,
	combout => \WideAnd3059~combout\);

-- Location: FF_X16_Y34_N1
\led_flash_cnt_ands[3059]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3059~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3059));

-- Location: LCCOMB_X21_Y35_N10
\led_flash_cnt[3056][0]~83696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3056][0]~83696_combout\ = !\led_flash_cnt[3056][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3056][0]~q\,
	combout => \led_flash_cnt[3056][0]~83696_combout\);

-- Location: FF_X21_Y35_N11
\led_flash_cnt[3056][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3056][0]~83696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3056][0]~q\);

-- Location: LCCOMB_X21_Y35_N14
\led_flash_cnt[3056][1]~69664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3056][1]~69664_combout\ = (\led_flash_cnt[3056][0]~q\ & (\led_flash_cnt[3056][1]~q\ $ (VCC))) # (!\led_flash_cnt[3056][0]~q\ & (\led_flash_cnt[3056][1]~q\ & VCC))
-- \led_flash_cnt[3056][1]~69665\ = CARRY((\led_flash_cnt[3056][0]~q\ & \led_flash_cnt[3056][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3056][0]~q\,
	datab => \led_flash_cnt[3056][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3056][1]~69664_combout\,
	cout => \led_flash_cnt[3056][1]~69665\);

-- Location: FF_X21_Y35_N15
\led_flash_cnt[3056][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3056][1]~69664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3056][1]~q\);

-- Location: LCCOMB_X21_Y35_N16
\led_flash_cnt[3056][2]~69666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3056][2]~69666_combout\ = (\led_flash_cnt[3056][2]~q\ & (!\led_flash_cnt[3056][1]~69665\)) # (!\led_flash_cnt[3056][2]~q\ & ((\led_flash_cnt[3056][1]~69665\) # (GND)))
-- \led_flash_cnt[3056][2]~69667\ = CARRY((!\led_flash_cnt[3056][1]~69665\) # (!\led_flash_cnt[3056][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3056][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3056][1]~69665\,
	combout => \led_flash_cnt[3056][2]~69666_combout\,
	cout => \led_flash_cnt[3056][2]~69667\);

-- Location: FF_X21_Y35_N17
\led_flash_cnt[3056][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3056][2]~69666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3056][2]~q\);

-- Location: LCCOMB_X21_Y35_N18
\led_flash_cnt[3056][3]~69668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3056][3]~69668_combout\ = (\led_flash_cnt[3056][3]~q\ & (\led_flash_cnt[3056][2]~69667\ $ (GND))) # (!\led_flash_cnt[3056][3]~q\ & (!\led_flash_cnt[3056][2]~69667\ & VCC))
-- \led_flash_cnt[3056][3]~69669\ = CARRY((\led_flash_cnt[3056][3]~q\ & !\led_flash_cnt[3056][2]~69667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3056][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3056][2]~69667\,
	combout => \led_flash_cnt[3056][3]~69668_combout\,
	cout => \led_flash_cnt[3056][3]~69669\);

-- Location: FF_X21_Y35_N19
\led_flash_cnt[3056][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3056][3]~69668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3056][3]~q\);

-- Location: LCCOMB_X21_Y35_N20
\led_flash_cnt[3056][4]~69670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3056][4]~69670_combout\ = (\led_flash_cnt[3056][4]~q\ & (!\led_flash_cnt[3056][3]~69669\)) # (!\led_flash_cnt[3056][4]~q\ & ((\led_flash_cnt[3056][3]~69669\) # (GND)))
-- \led_flash_cnt[3056][4]~69671\ = CARRY((!\led_flash_cnt[3056][3]~69669\) # (!\led_flash_cnt[3056][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3056][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3056][3]~69669\,
	combout => \led_flash_cnt[3056][4]~69670_combout\,
	cout => \led_flash_cnt[3056][4]~69671\);

-- Location: FF_X21_Y35_N21
\led_flash_cnt[3056][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3056][4]~69670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3056][4]~q\);

-- Location: LCCOMB_X21_Y35_N22
\led_flash_cnt[3056][5]~69672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3056][5]~69672_combout\ = (\led_flash_cnt[3056][5]~q\ & (\led_flash_cnt[3056][4]~69671\ $ (GND))) # (!\led_flash_cnt[3056][5]~q\ & (!\led_flash_cnt[3056][4]~69671\ & VCC))
-- \led_flash_cnt[3056][5]~69673\ = CARRY((\led_flash_cnt[3056][5]~q\ & !\led_flash_cnt[3056][4]~69671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3056][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3056][4]~69671\,
	combout => \led_flash_cnt[3056][5]~69672_combout\,
	cout => \led_flash_cnt[3056][5]~69673\);

-- Location: FF_X21_Y35_N23
\led_flash_cnt[3056][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3056][5]~69672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3056][5]~q\);

-- Location: LCCOMB_X21_Y35_N24
\led_flash_cnt[3056][6]~69674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3056][6]~69674_combout\ = (\led_flash_cnt[3056][6]~q\ & (!\led_flash_cnt[3056][5]~69673\)) # (!\led_flash_cnt[3056][6]~q\ & ((\led_flash_cnt[3056][5]~69673\) # (GND)))
-- \led_flash_cnt[3056][6]~69675\ = CARRY((!\led_flash_cnt[3056][5]~69673\) # (!\led_flash_cnt[3056][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3056][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3056][5]~69673\,
	combout => \led_flash_cnt[3056][6]~69674_combout\,
	cout => \led_flash_cnt[3056][6]~69675\);

-- Location: FF_X21_Y35_N25
\led_flash_cnt[3056][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3056][6]~69674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3056][6]~q\);

-- Location: LCCOMB_X21_Y35_N26
\led_flash_cnt[3056][7]~69676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3056][7]~69676_combout\ = \led_flash_cnt[3056][7]~q\ $ (!\led_flash_cnt[3056][6]~69675\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3056][7]~q\,
	cin => \led_flash_cnt[3056][6]~69675\,
	combout => \led_flash_cnt[3056][7]~69676_combout\);

-- Location: FF_X21_Y35_N27
\led_flash_cnt[3056][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3056][7]~69676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3056][7]~q\);

-- Location: LCCOMB_X21_Y35_N28
\WideAnd3056~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3056~0_combout\ = (\led_flash_cnt[3056][3]~q\ & (\led_flash_cnt[3056][2]~q\ & (\led_flash_cnt[3056][1]~q\ & \led_flash_cnt[3056][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3056][3]~q\,
	datab => \led_flash_cnt[3056][2]~q\,
	datac => \led_flash_cnt[3056][1]~q\,
	datad => \led_flash_cnt[3056][4]~q\,
	combout => \WideAnd3056~0_combout\);

-- Location: LCCOMB_X21_Y35_N8
\WideAnd3056~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3056~1_combout\ = (\led_flash_cnt[3056][5]~q\ & \led_flash_cnt[3056][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3056][5]~q\,
	datad => \led_flash_cnt[3056][6]~q\,
	combout => \WideAnd3056~1_combout\);

-- Location: LCCOMB_X21_Y35_N12
WideAnd3056 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3056~combout\ = (\led_flash_cnt[3056][7]~q\ & (\WideAnd3056~0_combout\ & (\WideAnd3056~1_combout\ & \led_flash_cnt[3056][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3056][7]~q\,
	datab => \WideAnd3056~0_combout\,
	datac => \WideAnd3056~1_combout\,
	datad => \led_flash_cnt[3056][0]~q\,
	combout => \WideAnd3056~combout\);

-- Location: FF_X21_Y35_N13
\led_flash_cnt_ands[3056]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3056~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3056));

-- Location: LCCOMB_X21_Y35_N4
\WideAnd4222~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4222~0_combout\ = (led_flash_cnt_ands(3057) & (led_flash_cnt_ands(3058) & (led_flash_cnt_ands(3059) & led_flash_cnt_ands(3056))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3057),
	datab => led_flash_cnt_ands(3058),
	datac => led_flash_cnt_ands(3059),
	datad => led_flash_cnt_ands(3056),
	combout => \WideAnd4222~0_combout\);

-- Location: LCCOMB_X24_Y38_N0
\led_flash_cnt[3063][0]~83703\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3063][0]~83703_combout\ = !\led_flash_cnt[3063][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3063][0]~q\,
	combout => \led_flash_cnt[3063][0]~83703_combout\);

-- Location: FF_X24_Y38_N1
\led_flash_cnt[3063][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3063][0]~83703_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3063][0]~q\);

-- Location: LCCOMB_X23_Y38_N0
\led_flash_cnt[3063][1]~69762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3063][1]~69762_combout\ = (\led_flash_cnt[3063][1]~q\ & (\led_flash_cnt[3063][0]~q\ $ (VCC))) # (!\led_flash_cnt[3063][1]~q\ & (\led_flash_cnt[3063][0]~q\ & VCC))
-- \led_flash_cnt[3063][1]~69763\ = CARRY((\led_flash_cnt[3063][1]~q\ & \led_flash_cnt[3063][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3063][1]~q\,
	datab => \led_flash_cnt[3063][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3063][1]~69762_combout\,
	cout => \led_flash_cnt[3063][1]~69763\);

-- Location: FF_X23_Y38_N1
\led_flash_cnt[3063][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3063][1]~69762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3063][1]~q\);

-- Location: LCCOMB_X23_Y38_N2
\led_flash_cnt[3063][2]~69764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3063][2]~69764_combout\ = (\led_flash_cnt[3063][2]~q\ & (!\led_flash_cnt[3063][1]~69763\)) # (!\led_flash_cnt[3063][2]~q\ & ((\led_flash_cnt[3063][1]~69763\) # (GND)))
-- \led_flash_cnt[3063][2]~69765\ = CARRY((!\led_flash_cnt[3063][1]~69763\) # (!\led_flash_cnt[3063][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3063][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3063][1]~69763\,
	combout => \led_flash_cnt[3063][2]~69764_combout\,
	cout => \led_flash_cnt[3063][2]~69765\);

-- Location: FF_X23_Y38_N3
\led_flash_cnt[3063][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3063][2]~69764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3063][2]~q\);

-- Location: LCCOMB_X23_Y38_N4
\led_flash_cnt[3063][3]~69766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3063][3]~69766_combout\ = (\led_flash_cnt[3063][3]~q\ & (\led_flash_cnt[3063][2]~69765\ $ (GND))) # (!\led_flash_cnt[3063][3]~q\ & (!\led_flash_cnt[3063][2]~69765\ & VCC))
-- \led_flash_cnt[3063][3]~69767\ = CARRY((\led_flash_cnt[3063][3]~q\ & !\led_flash_cnt[3063][2]~69765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3063][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3063][2]~69765\,
	combout => \led_flash_cnt[3063][3]~69766_combout\,
	cout => \led_flash_cnt[3063][3]~69767\);

-- Location: FF_X23_Y38_N5
\led_flash_cnt[3063][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3063][3]~69766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3063][3]~q\);

-- Location: LCCOMB_X23_Y38_N6
\led_flash_cnt[3063][4]~69768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3063][4]~69768_combout\ = (\led_flash_cnt[3063][4]~q\ & (!\led_flash_cnt[3063][3]~69767\)) # (!\led_flash_cnt[3063][4]~q\ & ((\led_flash_cnt[3063][3]~69767\) # (GND)))
-- \led_flash_cnt[3063][4]~69769\ = CARRY((!\led_flash_cnt[3063][3]~69767\) # (!\led_flash_cnt[3063][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3063][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3063][3]~69767\,
	combout => \led_flash_cnt[3063][4]~69768_combout\,
	cout => \led_flash_cnt[3063][4]~69769\);

-- Location: FF_X23_Y38_N7
\led_flash_cnt[3063][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3063][4]~69768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3063][4]~q\);

-- Location: LCCOMB_X23_Y38_N8
\led_flash_cnt[3063][5]~69770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3063][5]~69770_combout\ = (\led_flash_cnt[3063][5]~q\ & (\led_flash_cnt[3063][4]~69769\ $ (GND))) # (!\led_flash_cnt[3063][5]~q\ & (!\led_flash_cnt[3063][4]~69769\ & VCC))
-- \led_flash_cnt[3063][5]~69771\ = CARRY((\led_flash_cnt[3063][5]~q\ & !\led_flash_cnt[3063][4]~69769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3063][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3063][4]~69769\,
	combout => \led_flash_cnt[3063][5]~69770_combout\,
	cout => \led_flash_cnt[3063][5]~69771\);

-- Location: FF_X23_Y38_N9
\led_flash_cnt[3063][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3063][5]~69770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3063][5]~q\);

-- Location: LCCOMB_X23_Y38_N10
\led_flash_cnt[3063][6]~69772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3063][6]~69772_combout\ = (\led_flash_cnt[3063][6]~q\ & (!\led_flash_cnt[3063][5]~69771\)) # (!\led_flash_cnt[3063][6]~q\ & ((\led_flash_cnt[3063][5]~69771\) # (GND)))
-- \led_flash_cnt[3063][6]~69773\ = CARRY((!\led_flash_cnt[3063][5]~69771\) # (!\led_flash_cnt[3063][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3063][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3063][5]~69771\,
	combout => \led_flash_cnt[3063][6]~69772_combout\,
	cout => \led_flash_cnt[3063][6]~69773\);

-- Location: FF_X23_Y38_N11
\led_flash_cnt[3063][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3063][6]~69772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3063][6]~q\);

-- Location: LCCOMB_X23_Y38_N12
\led_flash_cnt[3063][7]~69774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3063][7]~69774_combout\ = \led_flash_cnt[3063][6]~69773\ $ (!\led_flash_cnt[3063][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3063][7]~q\,
	cin => \led_flash_cnt[3063][6]~69773\,
	combout => \led_flash_cnt[3063][7]~69774_combout\);

-- Location: FF_X23_Y38_N13
\led_flash_cnt[3063][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3063][7]~69774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3063][7]~q\);

-- Location: LCCOMB_X24_Y38_N4
\WideAnd3063~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3063~1_combout\ = (\led_flash_cnt[3063][6]~q\ & \led_flash_cnt[3063][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3063][6]~q\,
	datad => \led_flash_cnt[3063][5]~q\,
	combout => \WideAnd3063~1_combout\);

-- Location: LCCOMB_X24_Y38_N22
\WideAnd3063~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3063~0_combout\ = (\led_flash_cnt[3063][1]~q\ & (\led_flash_cnt[3063][4]~q\ & (\led_flash_cnt[3063][3]~q\ & \led_flash_cnt[3063][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3063][1]~q\,
	datab => \led_flash_cnt[3063][4]~q\,
	datac => \led_flash_cnt[3063][3]~q\,
	datad => \led_flash_cnt[3063][2]~q\,
	combout => \WideAnd3063~0_combout\);

-- Location: LCCOMB_X24_Y38_N28
WideAnd3063 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3063~combout\ = (\led_flash_cnt[3063][7]~q\ & (\WideAnd3063~1_combout\ & (\WideAnd3063~0_combout\ & \led_flash_cnt[3063][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3063][7]~q\,
	datab => \WideAnd3063~1_combout\,
	datac => \WideAnd3063~0_combout\,
	datad => \led_flash_cnt[3063][0]~q\,
	combout => \WideAnd3063~combout\);

-- Location: FF_X24_Y38_N29
\led_flash_cnt_ands[3063]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3063~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3063));

-- Location: LCCOMB_X24_Y38_N2
WideAnd4222 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4222~combout\ = (led_flash_cnt_ands(3062) & (\WideAnd4222~1_combout\ & (\WideAnd4222~0_combout\ & led_flash_cnt_ands(3063))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3062),
	datab => \WideAnd4222~1_combout\,
	datac => \WideAnd4222~0_combout\,
	datad => led_flash_cnt_ands(3063),
	combout => \WideAnd4222~combout\);

-- Location: FF_X24_Y38_N3
\led_flash_cnt_ands_1[382]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4222~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(382));

-- Location: LCCOMB_X31_Y34_N16
\led_flash_cnt[3046][0]~83686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3046][0]~83686_combout\ = !\led_flash_cnt[3046][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3046][0]~q\,
	combout => \led_flash_cnt[3046][0]~83686_combout\);

-- Location: FF_X31_Y34_N17
\led_flash_cnt[3046][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3046][0]~83686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3046][0]~q\);

-- Location: LCCOMB_X32_Y34_N18
\led_flash_cnt[3046][1]~69524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3046][1]~69524_combout\ = (\led_flash_cnt[3046][0]~q\ & (\led_flash_cnt[3046][1]~q\ $ (VCC))) # (!\led_flash_cnt[3046][0]~q\ & (\led_flash_cnt[3046][1]~q\ & VCC))
-- \led_flash_cnt[3046][1]~69525\ = CARRY((\led_flash_cnt[3046][0]~q\ & \led_flash_cnt[3046][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3046][0]~q\,
	datab => \led_flash_cnt[3046][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3046][1]~69524_combout\,
	cout => \led_flash_cnt[3046][1]~69525\);

-- Location: FF_X32_Y34_N19
\led_flash_cnt[3046][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3046][1]~69524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3046][1]~q\);

-- Location: LCCOMB_X32_Y34_N20
\led_flash_cnt[3046][2]~69526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3046][2]~69526_combout\ = (\led_flash_cnt[3046][2]~q\ & (!\led_flash_cnt[3046][1]~69525\)) # (!\led_flash_cnt[3046][2]~q\ & ((\led_flash_cnt[3046][1]~69525\) # (GND)))
-- \led_flash_cnt[3046][2]~69527\ = CARRY((!\led_flash_cnt[3046][1]~69525\) # (!\led_flash_cnt[3046][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3046][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3046][1]~69525\,
	combout => \led_flash_cnt[3046][2]~69526_combout\,
	cout => \led_flash_cnt[3046][2]~69527\);

-- Location: FF_X32_Y34_N21
\led_flash_cnt[3046][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3046][2]~69526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3046][2]~q\);

-- Location: LCCOMB_X32_Y34_N22
\led_flash_cnt[3046][3]~69528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3046][3]~69528_combout\ = (\led_flash_cnt[3046][3]~q\ & (\led_flash_cnt[3046][2]~69527\ $ (GND))) # (!\led_flash_cnt[3046][3]~q\ & (!\led_flash_cnt[3046][2]~69527\ & VCC))
-- \led_flash_cnt[3046][3]~69529\ = CARRY((\led_flash_cnt[3046][3]~q\ & !\led_flash_cnt[3046][2]~69527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3046][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3046][2]~69527\,
	combout => \led_flash_cnt[3046][3]~69528_combout\,
	cout => \led_flash_cnt[3046][3]~69529\);

-- Location: FF_X32_Y34_N23
\led_flash_cnt[3046][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3046][3]~69528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3046][3]~q\);

-- Location: LCCOMB_X32_Y34_N24
\led_flash_cnt[3046][4]~69530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3046][4]~69530_combout\ = (\led_flash_cnt[3046][4]~q\ & (!\led_flash_cnt[3046][3]~69529\)) # (!\led_flash_cnt[3046][4]~q\ & ((\led_flash_cnt[3046][3]~69529\) # (GND)))
-- \led_flash_cnt[3046][4]~69531\ = CARRY((!\led_flash_cnt[3046][3]~69529\) # (!\led_flash_cnt[3046][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3046][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3046][3]~69529\,
	combout => \led_flash_cnt[3046][4]~69530_combout\,
	cout => \led_flash_cnt[3046][4]~69531\);

-- Location: FF_X32_Y34_N25
\led_flash_cnt[3046][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3046][4]~69530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3046][4]~q\);

-- Location: LCCOMB_X32_Y34_N26
\led_flash_cnt[3046][5]~69532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3046][5]~69532_combout\ = (\led_flash_cnt[3046][5]~q\ & (\led_flash_cnt[3046][4]~69531\ $ (GND))) # (!\led_flash_cnt[3046][5]~q\ & (!\led_flash_cnt[3046][4]~69531\ & VCC))
-- \led_flash_cnt[3046][5]~69533\ = CARRY((\led_flash_cnt[3046][5]~q\ & !\led_flash_cnt[3046][4]~69531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3046][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3046][4]~69531\,
	combout => \led_flash_cnt[3046][5]~69532_combout\,
	cout => \led_flash_cnt[3046][5]~69533\);

-- Location: FF_X32_Y34_N27
\led_flash_cnt[3046][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3046][5]~69532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3046][5]~q\);

-- Location: LCCOMB_X32_Y34_N28
\led_flash_cnt[3046][6]~69534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3046][6]~69534_combout\ = (\led_flash_cnt[3046][6]~q\ & (!\led_flash_cnt[3046][5]~69533\)) # (!\led_flash_cnt[3046][6]~q\ & ((\led_flash_cnt[3046][5]~69533\) # (GND)))
-- \led_flash_cnt[3046][6]~69535\ = CARRY((!\led_flash_cnt[3046][5]~69533\) # (!\led_flash_cnt[3046][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3046][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3046][5]~69533\,
	combout => \led_flash_cnt[3046][6]~69534_combout\,
	cout => \led_flash_cnt[3046][6]~69535\);

-- Location: FF_X32_Y34_N29
\led_flash_cnt[3046][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3046][6]~69534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3046][6]~q\);

-- Location: LCCOMB_X32_Y34_N30
\led_flash_cnt[3046][7]~69536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3046][7]~69536_combout\ = \led_flash_cnt[3046][7]~q\ $ (!\led_flash_cnt[3046][6]~69535\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3046][7]~q\,
	cin => \led_flash_cnt[3046][6]~69535\,
	combout => \led_flash_cnt[3046][7]~69536_combout\);

-- Location: FF_X32_Y34_N31
\led_flash_cnt[3046][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3046][7]~69536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3046][7]~q\);

-- Location: LCCOMB_X32_Y34_N14
\WideAnd3046~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3046~0_combout\ = (\led_flash_cnt[3046][1]~q\ & (\led_flash_cnt[3046][4]~q\ & (\led_flash_cnt[3046][3]~q\ & \led_flash_cnt[3046][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3046][1]~q\,
	datab => \led_flash_cnt[3046][4]~q\,
	datac => \led_flash_cnt[3046][3]~q\,
	datad => \led_flash_cnt[3046][2]~q\,
	combout => \WideAnd3046~0_combout\);

-- Location: LCCOMB_X31_Y34_N12
\WideAnd3046~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3046~1_combout\ = (\led_flash_cnt[3046][5]~q\ & \led_flash_cnt[3046][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3046][5]~q\,
	datad => \led_flash_cnt[3046][6]~q\,
	combout => \WideAnd3046~1_combout\);

-- Location: LCCOMB_X31_Y34_N10
WideAnd3046 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3046~combout\ = (\led_flash_cnt[3046][7]~q\ & (\led_flash_cnt[3046][0]~q\ & (\WideAnd3046~0_combout\ & \WideAnd3046~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3046][7]~q\,
	datab => \led_flash_cnt[3046][0]~q\,
	datac => \WideAnd3046~0_combout\,
	datad => \WideAnd3046~1_combout\,
	combout => \WideAnd3046~combout\);

-- Location: FF_X31_Y34_N11
\led_flash_cnt_ands[3046]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3046~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3046));

-- Location: LCCOMB_X34_Y34_N28
\led_flash_cnt[3047][0]~83687\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3047][0]~83687_combout\ = !\led_flash_cnt[3047][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3047][0]~q\,
	combout => \led_flash_cnt[3047][0]~83687_combout\);

-- Location: FF_X34_Y34_N29
\led_flash_cnt[3047][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3047][0]~83687_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3047][0]~q\);

-- Location: LCCOMB_X31_Y34_N18
\led_flash_cnt[3047][1]~69538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3047][1]~69538_combout\ = (\led_flash_cnt[3047][1]~q\ & (\led_flash_cnt[3047][0]~q\ $ (VCC))) # (!\led_flash_cnt[3047][1]~q\ & (\led_flash_cnt[3047][0]~q\ & VCC))
-- \led_flash_cnt[3047][1]~69539\ = CARRY((\led_flash_cnt[3047][1]~q\ & \led_flash_cnt[3047][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3047][1]~q\,
	datab => \led_flash_cnt[3047][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3047][1]~69538_combout\,
	cout => \led_flash_cnt[3047][1]~69539\);

-- Location: FF_X31_Y34_N19
\led_flash_cnt[3047][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3047][1]~69538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3047][1]~q\);

-- Location: LCCOMB_X31_Y34_N20
\led_flash_cnt[3047][2]~69540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3047][2]~69540_combout\ = (\led_flash_cnt[3047][2]~q\ & (!\led_flash_cnt[3047][1]~69539\)) # (!\led_flash_cnt[3047][2]~q\ & ((\led_flash_cnt[3047][1]~69539\) # (GND)))
-- \led_flash_cnt[3047][2]~69541\ = CARRY((!\led_flash_cnt[3047][1]~69539\) # (!\led_flash_cnt[3047][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3047][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3047][1]~69539\,
	combout => \led_flash_cnt[3047][2]~69540_combout\,
	cout => \led_flash_cnt[3047][2]~69541\);

-- Location: FF_X31_Y34_N21
\led_flash_cnt[3047][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3047][2]~69540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3047][2]~q\);

-- Location: LCCOMB_X31_Y34_N22
\led_flash_cnt[3047][3]~69542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3047][3]~69542_combout\ = (\led_flash_cnt[3047][3]~q\ & (\led_flash_cnt[3047][2]~69541\ $ (GND))) # (!\led_flash_cnt[3047][3]~q\ & (!\led_flash_cnt[3047][2]~69541\ & VCC))
-- \led_flash_cnt[3047][3]~69543\ = CARRY((\led_flash_cnt[3047][3]~q\ & !\led_flash_cnt[3047][2]~69541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3047][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3047][2]~69541\,
	combout => \led_flash_cnt[3047][3]~69542_combout\,
	cout => \led_flash_cnt[3047][3]~69543\);

-- Location: FF_X31_Y34_N23
\led_flash_cnt[3047][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3047][3]~69542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3047][3]~q\);

-- Location: LCCOMB_X31_Y34_N24
\led_flash_cnt[3047][4]~69544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3047][4]~69544_combout\ = (\led_flash_cnt[3047][4]~q\ & (!\led_flash_cnt[3047][3]~69543\)) # (!\led_flash_cnt[3047][4]~q\ & ((\led_flash_cnt[3047][3]~69543\) # (GND)))
-- \led_flash_cnt[3047][4]~69545\ = CARRY((!\led_flash_cnt[3047][3]~69543\) # (!\led_flash_cnt[3047][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3047][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3047][3]~69543\,
	combout => \led_flash_cnt[3047][4]~69544_combout\,
	cout => \led_flash_cnt[3047][4]~69545\);

-- Location: FF_X31_Y34_N25
\led_flash_cnt[3047][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3047][4]~69544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3047][4]~q\);

-- Location: LCCOMB_X31_Y34_N6
\WideAnd3047~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3047~0_combout\ = (\led_flash_cnt[3047][4]~q\ & (\led_flash_cnt[3047][2]~q\ & (\led_flash_cnt[3047][3]~q\ & \led_flash_cnt[3047][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3047][4]~q\,
	datab => \led_flash_cnt[3047][2]~q\,
	datac => \led_flash_cnt[3047][3]~q\,
	datad => \led_flash_cnt[3047][1]~q\,
	combout => \WideAnd3047~0_combout\);

-- Location: LCCOMB_X31_Y34_N26
\led_flash_cnt[3047][5]~69546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3047][5]~69546_combout\ = (\led_flash_cnt[3047][5]~q\ & (\led_flash_cnt[3047][4]~69545\ $ (GND))) # (!\led_flash_cnt[3047][5]~q\ & (!\led_flash_cnt[3047][4]~69545\ & VCC))
-- \led_flash_cnt[3047][5]~69547\ = CARRY((\led_flash_cnt[3047][5]~q\ & !\led_flash_cnt[3047][4]~69545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3047][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3047][4]~69545\,
	combout => \led_flash_cnt[3047][5]~69546_combout\,
	cout => \led_flash_cnt[3047][5]~69547\);

-- Location: FF_X31_Y34_N27
\led_flash_cnt[3047][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3047][5]~69546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3047][5]~q\);

-- Location: LCCOMB_X31_Y34_N28
\led_flash_cnt[3047][6]~69548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3047][6]~69548_combout\ = (\led_flash_cnt[3047][6]~q\ & (!\led_flash_cnt[3047][5]~69547\)) # (!\led_flash_cnt[3047][6]~q\ & ((\led_flash_cnt[3047][5]~69547\) # (GND)))
-- \led_flash_cnt[3047][6]~69549\ = CARRY((!\led_flash_cnt[3047][5]~69547\) # (!\led_flash_cnt[3047][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3047][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3047][5]~69547\,
	combout => \led_flash_cnt[3047][6]~69548_combout\,
	cout => \led_flash_cnt[3047][6]~69549\);

-- Location: FF_X31_Y34_N29
\led_flash_cnt[3047][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3047][6]~69548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3047][6]~q\);

-- Location: LCCOMB_X31_Y34_N8
\WideAnd3047~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3047~1_combout\ = (\led_flash_cnt[3047][5]~q\ & \led_flash_cnt[3047][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3047][5]~q\,
	datad => \led_flash_cnt[3047][6]~q\,
	combout => \WideAnd3047~1_combout\);

-- Location: LCCOMB_X31_Y34_N30
\led_flash_cnt[3047][7]~69550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3047][7]~69550_combout\ = \led_flash_cnt[3047][7]~q\ $ (!\led_flash_cnt[3047][6]~69549\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3047][7]~q\,
	cin => \led_flash_cnt[3047][6]~69549\,
	combout => \led_flash_cnt[3047][7]~69550_combout\);

-- Location: FF_X31_Y34_N31
\led_flash_cnt[3047][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3047][7]~69550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3047][7]~q\);

-- Location: LCCOMB_X31_Y34_N2
WideAnd3047 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3047~combout\ = (\WideAnd3047~0_combout\ & (\WideAnd3047~1_combout\ & (\led_flash_cnt[3047][7]~q\ & \led_flash_cnt[3047][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3047~0_combout\,
	datab => \WideAnd3047~1_combout\,
	datac => \led_flash_cnt[3047][7]~q\,
	datad => \led_flash_cnt[3047][0]~q\,
	combout => \WideAnd3047~combout\);

-- Location: FF_X31_Y34_N3
\led_flash_cnt_ands[3047]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3047~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3047));

-- Location: LCCOMB_X8_Y29_N28
\led_flash_cnt[3045][0]~83685\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3045][0]~83685_combout\ = !\led_flash_cnt[3045][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3045][0]~q\,
	combout => \led_flash_cnt[3045][0]~83685_combout\);

-- Location: FF_X8_Y29_N29
\led_flash_cnt[3045][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3045][0]~83685_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3045][0]~q\);

-- Location: LCCOMB_X9_Y29_N0
\led_flash_cnt[3045][1]~69510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3045][1]~69510_combout\ = (\led_flash_cnt[3045][0]~q\ & (\led_flash_cnt[3045][1]~q\ $ (VCC))) # (!\led_flash_cnt[3045][0]~q\ & (\led_flash_cnt[3045][1]~q\ & VCC))
-- \led_flash_cnt[3045][1]~69511\ = CARRY((\led_flash_cnt[3045][0]~q\ & \led_flash_cnt[3045][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3045][0]~q\,
	datab => \led_flash_cnt[3045][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3045][1]~69510_combout\,
	cout => \led_flash_cnt[3045][1]~69511\);

-- Location: FF_X9_Y29_N1
\led_flash_cnt[3045][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3045][1]~69510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3045][1]~q\);

-- Location: LCCOMB_X9_Y29_N2
\led_flash_cnt[3045][2]~69512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3045][2]~69512_combout\ = (\led_flash_cnt[3045][2]~q\ & (!\led_flash_cnt[3045][1]~69511\)) # (!\led_flash_cnt[3045][2]~q\ & ((\led_flash_cnt[3045][1]~69511\) # (GND)))
-- \led_flash_cnt[3045][2]~69513\ = CARRY((!\led_flash_cnt[3045][1]~69511\) # (!\led_flash_cnt[3045][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3045][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3045][1]~69511\,
	combout => \led_flash_cnt[3045][2]~69512_combout\,
	cout => \led_flash_cnt[3045][2]~69513\);

-- Location: FF_X9_Y29_N3
\led_flash_cnt[3045][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3045][2]~69512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3045][2]~q\);

-- Location: LCCOMB_X9_Y29_N4
\led_flash_cnt[3045][3]~69514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3045][3]~69514_combout\ = (\led_flash_cnt[3045][3]~q\ & (\led_flash_cnt[3045][2]~69513\ $ (GND))) # (!\led_flash_cnt[3045][3]~q\ & (!\led_flash_cnt[3045][2]~69513\ & VCC))
-- \led_flash_cnt[3045][3]~69515\ = CARRY((\led_flash_cnt[3045][3]~q\ & !\led_flash_cnt[3045][2]~69513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3045][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3045][2]~69513\,
	combout => \led_flash_cnt[3045][3]~69514_combout\,
	cout => \led_flash_cnt[3045][3]~69515\);

-- Location: FF_X9_Y29_N5
\led_flash_cnt[3045][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3045][3]~69514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3045][3]~q\);

-- Location: LCCOMB_X9_Y29_N6
\led_flash_cnt[3045][4]~69516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3045][4]~69516_combout\ = (\led_flash_cnt[3045][4]~q\ & (!\led_flash_cnt[3045][3]~69515\)) # (!\led_flash_cnt[3045][4]~q\ & ((\led_flash_cnt[3045][3]~69515\) # (GND)))
-- \led_flash_cnt[3045][4]~69517\ = CARRY((!\led_flash_cnt[3045][3]~69515\) # (!\led_flash_cnt[3045][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3045][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3045][3]~69515\,
	combout => \led_flash_cnt[3045][4]~69516_combout\,
	cout => \led_flash_cnt[3045][4]~69517\);

-- Location: FF_X9_Y29_N7
\led_flash_cnt[3045][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3045][4]~69516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3045][4]~q\);

-- Location: LCCOMB_X9_Y29_N8
\led_flash_cnt[3045][5]~69518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3045][5]~69518_combout\ = (\led_flash_cnt[3045][5]~q\ & (\led_flash_cnt[3045][4]~69517\ $ (GND))) # (!\led_flash_cnt[3045][5]~q\ & (!\led_flash_cnt[3045][4]~69517\ & VCC))
-- \led_flash_cnt[3045][5]~69519\ = CARRY((\led_flash_cnt[3045][5]~q\ & !\led_flash_cnt[3045][4]~69517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3045][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3045][4]~69517\,
	combout => \led_flash_cnt[3045][5]~69518_combout\,
	cout => \led_flash_cnt[3045][5]~69519\);

-- Location: FF_X9_Y29_N9
\led_flash_cnt[3045][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3045][5]~69518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3045][5]~q\);

-- Location: LCCOMB_X9_Y29_N10
\led_flash_cnt[3045][6]~69520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3045][6]~69520_combout\ = (\led_flash_cnt[3045][6]~q\ & (!\led_flash_cnt[3045][5]~69519\)) # (!\led_flash_cnt[3045][6]~q\ & ((\led_flash_cnt[3045][5]~69519\) # (GND)))
-- \led_flash_cnt[3045][6]~69521\ = CARRY((!\led_flash_cnt[3045][5]~69519\) # (!\led_flash_cnt[3045][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3045][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3045][5]~69519\,
	combout => \led_flash_cnt[3045][6]~69520_combout\,
	cout => \led_flash_cnt[3045][6]~69521\);

-- Location: FF_X9_Y29_N11
\led_flash_cnt[3045][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3045][6]~69520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3045][6]~q\);

-- Location: LCCOMB_X8_Y29_N26
\WideAnd3045~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3045~1_combout\ = (\led_flash_cnt[3045][5]~q\ & \led_flash_cnt[3045][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3045][5]~q\,
	datac => \led_flash_cnt[3045][6]~q\,
	combout => \WideAnd3045~1_combout\);

-- Location: LCCOMB_X9_Y29_N12
\led_flash_cnt[3045][7]~69522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3045][7]~69522_combout\ = \led_flash_cnt[3045][6]~69521\ $ (!\led_flash_cnt[3045][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3045][7]~q\,
	cin => \led_flash_cnt[3045][6]~69521\,
	combout => \led_flash_cnt[3045][7]~69522_combout\);

-- Location: FF_X9_Y29_N13
\led_flash_cnt[3045][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3045][7]~69522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3045][7]~q\);

-- Location: LCCOMB_X9_Y29_N28
\WideAnd3045~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3045~0_combout\ = (\led_flash_cnt[3045][4]~q\ & (\led_flash_cnt[3045][1]~q\ & (\led_flash_cnt[3045][3]~q\ & \led_flash_cnt[3045][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3045][4]~q\,
	datab => \led_flash_cnt[3045][1]~q\,
	datac => \led_flash_cnt[3045][3]~q\,
	datad => \led_flash_cnt[3045][2]~q\,
	combout => \WideAnd3045~0_combout\);

-- Location: LCCOMB_X8_Y29_N20
WideAnd3045 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3045~combout\ = (\WideAnd3045~1_combout\ & (\led_flash_cnt[3045][0]~q\ & (\led_flash_cnt[3045][7]~q\ & \WideAnd3045~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3045~1_combout\,
	datab => \led_flash_cnt[3045][0]~q\,
	datac => \led_flash_cnt[3045][7]~q\,
	datad => \WideAnd3045~0_combout\,
	combout => \WideAnd3045~combout\);

-- Location: FF_X8_Y29_N21
\led_flash_cnt_ands[3045]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3045~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3045));

-- Location: LCCOMB_X8_Y29_N22
\led_flash_cnt[3044][0]~83684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3044][0]~83684_combout\ = !\led_flash_cnt[3044][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3044][0]~q\,
	combout => \led_flash_cnt[3044][0]~83684_combout\);

-- Location: FF_X8_Y29_N23
\led_flash_cnt[3044][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3044][0]~83684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3044][0]~q\);

-- Location: LCCOMB_X8_Y29_N4
\led_flash_cnt[3044][1]~69496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3044][1]~69496_combout\ = (\led_flash_cnt[3044][0]~q\ & (\led_flash_cnt[3044][1]~q\ $ (VCC))) # (!\led_flash_cnt[3044][0]~q\ & (\led_flash_cnt[3044][1]~q\ & VCC))
-- \led_flash_cnt[3044][1]~69497\ = CARRY((\led_flash_cnt[3044][0]~q\ & \led_flash_cnt[3044][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3044][0]~q\,
	datab => \led_flash_cnt[3044][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3044][1]~69496_combout\,
	cout => \led_flash_cnt[3044][1]~69497\);

-- Location: FF_X8_Y29_N5
\led_flash_cnt[3044][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3044][1]~69496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3044][1]~q\);

-- Location: LCCOMB_X8_Y29_N6
\led_flash_cnt[3044][2]~69498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3044][2]~69498_combout\ = (\led_flash_cnt[3044][2]~q\ & (!\led_flash_cnt[3044][1]~69497\)) # (!\led_flash_cnt[3044][2]~q\ & ((\led_flash_cnt[3044][1]~69497\) # (GND)))
-- \led_flash_cnt[3044][2]~69499\ = CARRY((!\led_flash_cnt[3044][1]~69497\) # (!\led_flash_cnt[3044][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3044][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3044][1]~69497\,
	combout => \led_flash_cnt[3044][2]~69498_combout\,
	cout => \led_flash_cnt[3044][2]~69499\);

-- Location: FF_X8_Y29_N7
\led_flash_cnt[3044][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3044][2]~69498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3044][2]~q\);

-- Location: LCCOMB_X8_Y29_N8
\led_flash_cnt[3044][3]~69500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3044][3]~69500_combout\ = (\led_flash_cnt[3044][3]~q\ & (\led_flash_cnt[3044][2]~69499\ $ (GND))) # (!\led_flash_cnt[3044][3]~q\ & (!\led_flash_cnt[3044][2]~69499\ & VCC))
-- \led_flash_cnt[3044][3]~69501\ = CARRY((\led_flash_cnt[3044][3]~q\ & !\led_flash_cnt[3044][2]~69499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3044][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3044][2]~69499\,
	combout => \led_flash_cnt[3044][3]~69500_combout\,
	cout => \led_flash_cnt[3044][3]~69501\);

-- Location: FF_X8_Y29_N9
\led_flash_cnt[3044][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3044][3]~69500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3044][3]~q\);

-- Location: LCCOMB_X8_Y29_N10
\led_flash_cnt[3044][4]~69502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3044][4]~69502_combout\ = (\led_flash_cnt[3044][4]~q\ & (!\led_flash_cnt[3044][3]~69501\)) # (!\led_flash_cnt[3044][4]~q\ & ((\led_flash_cnt[3044][3]~69501\) # (GND)))
-- \led_flash_cnt[3044][4]~69503\ = CARRY((!\led_flash_cnt[3044][3]~69501\) # (!\led_flash_cnt[3044][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3044][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3044][3]~69501\,
	combout => \led_flash_cnt[3044][4]~69502_combout\,
	cout => \led_flash_cnt[3044][4]~69503\);

-- Location: FF_X8_Y29_N11
\led_flash_cnt[3044][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3044][4]~69502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3044][4]~q\);

-- Location: LCCOMB_X8_Y29_N12
\led_flash_cnt[3044][5]~69504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3044][5]~69504_combout\ = (\led_flash_cnt[3044][5]~q\ & (\led_flash_cnt[3044][4]~69503\ $ (GND))) # (!\led_flash_cnt[3044][5]~q\ & (!\led_flash_cnt[3044][4]~69503\ & VCC))
-- \led_flash_cnt[3044][5]~69505\ = CARRY((\led_flash_cnt[3044][5]~q\ & !\led_flash_cnt[3044][4]~69503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3044][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3044][4]~69503\,
	combout => \led_flash_cnt[3044][5]~69504_combout\,
	cout => \led_flash_cnt[3044][5]~69505\);

-- Location: FF_X8_Y29_N13
\led_flash_cnt[3044][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3044][5]~69504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3044][5]~q\);

-- Location: LCCOMB_X8_Y29_N14
\led_flash_cnt[3044][6]~69506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3044][6]~69506_combout\ = (\led_flash_cnt[3044][6]~q\ & (!\led_flash_cnt[3044][5]~69505\)) # (!\led_flash_cnt[3044][6]~q\ & ((\led_flash_cnt[3044][5]~69505\) # (GND)))
-- \led_flash_cnt[3044][6]~69507\ = CARRY((!\led_flash_cnt[3044][5]~69505\) # (!\led_flash_cnt[3044][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3044][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3044][5]~69505\,
	combout => \led_flash_cnt[3044][6]~69506_combout\,
	cout => \led_flash_cnt[3044][6]~69507\);

-- Location: FF_X8_Y29_N15
\led_flash_cnt[3044][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3044][6]~69506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3044][6]~q\);

-- Location: LCCOMB_X8_Y29_N16
\led_flash_cnt[3044][7]~69508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3044][7]~69508_combout\ = \led_flash_cnt[3044][6]~69507\ $ (!\led_flash_cnt[3044][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3044][7]~q\,
	cin => \led_flash_cnt[3044][6]~69507\,
	combout => \led_flash_cnt[3044][7]~69508_combout\);

-- Location: FF_X8_Y29_N17
\led_flash_cnt[3044][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3044][7]~69508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3044][7]~q\);

-- Location: LCCOMB_X8_Y29_N30
\WideAnd3044~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3044~0_combout\ = (\led_flash_cnt[3044][2]~q\ & (\led_flash_cnt[3044][3]~q\ & (\led_flash_cnt[3044][1]~q\ & \led_flash_cnt[3044][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3044][2]~q\,
	datab => \led_flash_cnt[3044][3]~q\,
	datac => \led_flash_cnt[3044][1]~q\,
	datad => \led_flash_cnt[3044][4]~q\,
	combout => \WideAnd3044~0_combout\);

-- Location: LCCOMB_X8_Y29_N24
\WideAnd3044~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3044~1_combout\ = (\led_flash_cnt[3044][6]~q\ & \led_flash_cnt[3044][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3044][6]~q\,
	datad => \led_flash_cnt[3044][5]~q\,
	combout => \WideAnd3044~1_combout\);

-- Location: LCCOMB_X8_Y29_N2
WideAnd3044 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3044~combout\ = (\led_flash_cnt[3044][0]~q\ & (\led_flash_cnt[3044][7]~q\ & (\WideAnd3044~0_combout\ & \WideAnd3044~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3044][0]~q\,
	datab => \led_flash_cnt[3044][7]~q\,
	datac => \WideAnd3044~0_combout\,
	datad => \WideAnd3044~1_combout\,
	combout => \WideAnd3044~combout\);

-- Location: FF_X8_Y29_N3
\led_flash_cnt_ands[3044]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3044~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3044));

-- Location: LCCOMB_X8_Y29_N0
\WideAnd4220~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4220~1_combout\ = (led_flash_cnt_ands(3045) & led_flash_cnt_ands(3044))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(3045),
	datad => led_flash_cnt_ands(3044),
	combout => \WideAnd4220~1_combout\);

-- Location: LCCOMB_X54_Y26_N8
\led_flash_cnt[3041][0]~83681\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3041][0]~83681_combout\ = !\led_flash_cnt[3041][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3041][0]~q\,
	combout => \led_flash_cnt[3041][0]~83681_combout\);

-- Location: FF_X54_Y26_N9
\led_flash_cnt[3041][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3041][0]~83681_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3041][0]~q\);

-- Location: LCCOMB_X54_Y26_N12
\led_flash_cnt[3041][1]~69454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3041][1]~69454_combout\ = (\led_flash_cnt[3041][1]~q\ & (\led_flash_cnt[3041][0]~q\ $ (VCC))) # (!\led_flash_cnt[3041][1]~q\ & (\led_flash_cnt[3041][0]~q\ & VCC))
-- \led_flash_cnt[3041][1]~69455\ = CARRY((\led_flash_cnt[3041][1]~q\ & \led_flash_cnt[3041][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3041][1]~q\,
	datab => \led_flash_cnt[3041][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3041][1]~69454_combout\,
	cout => \led_flash_cnt[3041][1]~69455\);

-- Location: FF_X54_Y26_N13
\led_flash_cnt[3041][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3041][1]~69454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3041][1]~q\);

-- Location: LCCOMB_X54_Y26_N14
\led_flash_cnt[3041][2]~69456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3041][2]~69456_combout\ = (\led_flash_cnt[3041][2]~q\ & (!\led_flash_cnt[3041][1]~69455\)) # (!\led_flash_cnt[3041][2]~q\ & ((\led_flash_cnt[3041][1]~69455\) # (GND)))
-- \led_flash_cnt[3041][2]~69457\ = CARRY((!\led_flash_cnt[3041][1]~69455\) # (!\led_flash_cnt[3041][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3041][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3041][1]~69455\,
	combout => \led_flash_cnt[3041][2]~69456_combout\,
	cout => \led_flash_cnt[3041][2]~69457\);

-- Location: FF_X54_Y26_N15
\led_flash_cnt[3041][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3041][2]~69456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3041][2]~q\);

-- Location: LCCOMB_X54_Y26_N16
\led_flash_cnt[3041][3]~69458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3041][3]~69458_combout\ = (\led_flash_cnt[3041][3]~q\ & (\led_flash_cnt[3041][2]~69457\ $ (GND))) # (!\led_flash_cnt[3041][3]~q\ & (!\led_flash_cnt[3041][2]~69457\ & VCC))
-- \led_flash_cnt[3041][3]~69459\ = CARRY((\led_flash_cnt[3041][3]~q\ & !\led_flash_cnt[3041][2]~69457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3041][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3041][2]~69457\,
	combout => \led_flash_cnt[3041][3]~69458_combout\,
	cout => \led_flash_cnt[3041][3]~69459\);

-- Location: FF_X54_Y26_N17
\led_flash_cnt[3041][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3041][3]~69458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3041][3]~q\);

-- Location: LCCOMB_X54_Y26_N18
\led_flash_cnt[3041][4]~69460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3041][4]~69460_combout\ = (\led_flash_cnt[3041][4]~q\ & (!\led_flash_cnt[3041][3]~69459\)) # (!\led_flash_cnt[3041][4]~q\ & ((\led_flash_cnt[3041][3]~69459\) # (GND)))
-- \led_flash_cnt[3041][4]~69461\ = CARRY((!\led_flash_cnt[3041][3]~69459\) # (!\led_flash_cnt[3041][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3041][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3041][3]~69459\,
	combout => \led_flash_cnt[3041][4]~69460_combout\,
	cout => \led_flash_cnt[3041][4]~69461\);

-- Location: FF_X54_Y26_N19
\led_flash_cnt[3041][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3041][4]~69460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3041][4]~q\);

-- Location: LCCOMB_X54_Y26_N6
\WideAnd3041~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3041~0_combout\ = (\led_flash_cnt[3041][4]~q\ & (\led_flash_cnt[3041][3]~q\ & (\led_flash_cnt[3041][2]~q\ & \led_flash_cnt[3041][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3041][4]~q\,
	datab => \led_flash_cnt[3041][3]~q\,
	datac => \led_flash_cnt[3041][2]~q\,
	datad => \led_flash_cnt[3041][1]~q\,
	combout => \WideAnd3041~0_combout\);

-- Location: LCCOMB_X54_Y26_N20
\led_flash_cnt[3041][5]~69462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3041][5]~69462_combout\ = (\led_flash_cnt[3041][5]~q\ & (\led_flash_cnt[3041][4]~69461\ $ (GND))) # (!\led_flash_cnt[3041][5]~q\ & (!\led_flash_cnt[3041][4]~69461\ & VCC))
-- \led_flash_cnt[3041][5]~69463\ = CARRY((\led_flash_cnt[3041][5]~q\ & !\led_flash_cnt[3041][4]~69461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3041][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3041][4]~69461\,
	combout => \led_flash_cnt[3041][5]~69462_combout\,
	cout => \led_flash_cnt[3041][5]~69463\);

-- Location: FF_X54_Y26_N21
\led_flash_cnt[3041][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3041][5]~69462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3041][5]~q\);

-- Location: LCCOMB_X54_Y26_N22
\led_flash_cnt[3041][6]~69464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3041][6]~69464_combout\ = (\led_flash_cnt[3041][6]~q\ & (!\led_flash_cnt[3041][5]~69463\)) # (!\led_flash_cnt[3041][6]~q\ & ((\led_flash_cnt[3041][5]~69463\) # (GND)))
-- \led_flash_cnt[3041][6]~69465\ = CARRY((!\led_flash_cnt[3041][5]~69463\) # (!\led_flash_cnt[3041][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3041][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3041][5]~69463\,
	combout => \led_flash_cnt[3041][6]~69464_combout\,
	cout => \led_flash_cnt[3041][6]~69465\);

-- Location: FF_X54_Y26_N23
\led_flash_cnt[3041][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3041][6]~69464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3041][6]~q\);

-- Location: LCCOMB_X54_Y26_N4
\WideAnd3041~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3041~1_combout\ = (\led_flash_cnt[3041][6]~q\ & \led_flash_cnt[3041][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3041][6]~q\,
	datad => \led_flash_cnt[3041][5]~q\,
	combout => \WideAnd3041~1_combout\);

-- Location: LCCOMB_X54_Y26_N24
\led_flash_cnt[3041][7]~69466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3041][7]~69466_combout\ = \led_flash_cnt[3041][6]~69465\ $ (!\led_flash_cnt[3041][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3041][7]~q\,
	cin => \led_flash_cnt[3041][6]~69465\,
	combout => \led_flash_cnt[3041][7]~69466_combout\);

-- Location: FF_X54_Y26_N25
\led_flash_cnt[3041][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3041][7]~69466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3041][7]~q\);

-- Location: LCCOMB_X54_Y26_N10
WideAnd3041 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3041~combout\ = (\WideAnd3041~0_combout\ & (\WideAnd3041~1_combout\ & (\led_flash_cnt[3041][0]~q\ & \led_flash_cnt[3041][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3041~0_combout\,
	datab => \WideAnd3041~1_combout\,
	datac => \led_flash_cnt[3041][0]~q\,
	datad => \led_flash_cnt[3041][7]~q\,
	combout => \WideAnd3041~combout\);

-- Location: FF_X54_Y26_N11
\led_flash_cnt_ands[3041]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3041~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3041));

-- Location: LCCOMB_X49_Y28_N28
\led_flash_cnt[3040][0]~83680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3040][0]~83680_combout\ = !\led_flash_cnt[3040][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3040][0]~q\,
	combout => \led_flash_cnt[3040][0]~83680_combout\);

-- Location: FF_X49_Y28_N29
\led_flash_cnt[3040][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3040][0]~83680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3040][0]~q\);

-- Location: LCCOMB_X49_Y28_N2
\led_flash_cnt[3040][1]~69440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3040][1]~69440_combout\ = (\led_flash_cnt[3040][1]~q\ & (\led_flash_cnt[3040][0]~q\ $ (VCC))) # (!\led_flash_cnt[3040][1]~q\ & (\led_flash_cnt[3040][0]~q\ & VCC))
-- \led_flash_cnt[3040][1]~69441\ = CARRY((\led_flash_cnt[3040][1]~q\ & \led_flash_cnt[3040][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3040][1]~q\,
	datab => \led_flash_cnt[3040][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3040][1]~69440_combout\,
	cout => \led_flash_cnt[3040][1]~69441\);

-- Location: FF_X49_Y28_N3
\led_flash_cnt[3040][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3040][1]~69440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3040][1]~q\);

-- Location: LCCOMB_X49_Y28_N4
\led_flash_cnt[3040][2]~69442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3040][2]~69442_combout\ = (\led_flash_cnt[3040][2]~q\ & (!\led_flash_cnt[3040][1]~69441\)) # (!\led_flash_cnt[3040][2]~q\ & ((\led_flash_cnt[3040][1]~69441\) # (GND)))
-- \led_flash_cnt[3040][2]~69443\ = CARRY((!\led_flash_cnt[3040][1]~69441\) # (!\led_flash_cnt[3040][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3040][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3040][1]~69441\,
	combout => \led_flash_cnt[3040][2]~69442_combout\,
	cout => \led_flash_cnt[3040][2]~69443\);

-- Location: FF_X49_Y28_N5
\led_flash_cnt[3040][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3040][2]~69442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3040][2]~q\);

-- Location: LCCOMB_X49_Y28_N6
\led_flash_cnt[3040][3]~69444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3040][3]~69444_combout\ = (\led_flash_cnt[3040][3]~q\ & (\led_flash_cnt[3040][2]~69443\ $ (GND))) # (!\led_flash_cnt[3040][3]~q\ & (!\led_flash_cnt[3040][2]~69443\ & VCC))
-- \led_flash_cnt[3040][3]~69445\ = CARRY((\led_flash_cnt[3040][3]~q\ & !\led_flash_cnt[3040][2]~69443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3040][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3040][2]~69443\,
	combout => \led_flash_cnt[3040][3]~69444_combout\,
	cout => \led_flash_cnt[3040][3]~69445\);

-- Location: FF_X49_Y28_N7
\led_flash_cnt[3040][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3040][3]~69444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3040][3]~q\);

-- Location: LCCOMB_X49_Y28_N8
\led_flash_cnt[3040][4]~69446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3040][4]~69446_combout\ = (\led_flash_cnt[3040][4]~q\ & (!\led_flash_cnt[3040][3]~69445\)) # (!\led_flash_cnt[3040][4]~q\ & ((\led_flash_cnt[3040][3]~69445\) # (GND)))
-- \led_flash_cnt[3040][4]~69447\ = CARRY((!\led_flash_cnt[3040][3]~69445\) # (!\led_flash_cnt[3040][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3040][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3040][3]~69445\,
	combout => \led_flash_cnt[3040][4]~69446_combout\,
	cout => \led_flash_cnt[3040][4]~69447\);

-- Location: FF_X49_Y28_N9
\led_flash_cnt[3040][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3040][4]~69446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3040][4]~q\);

-- Location: LCCOMB_X49_Y28_N26
\WideAnd3040~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3040~0_combout\ = (\led_flash_cnt[3040][3]~q\ & (\led_flash_cnt[3040][2]~q\ & (\led_flash_cnt[3040][4]~q\ & \led_flash_cnt[3040][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3040][3]~q\,
	datab => \led_flash_cnt[3040][2]~q\,
	datac => \led_flash_cnt[3040][4]~q\,
	datad => \led_flash_cnt[3040][1]~q\,
	combout => \WideAnd3040~0_combout\);

-- Location: LCCOMB_X49_Y28_N10
\led_flash_cnt[3040][5]~69448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3040][5]~69448_combout\ = (\led_flash_cnt[3040][5]~q\ & (\led_flash_cnt[3040][4]~69447\ $ (GND))) # (!\led_flash_cnt[3040][5]~q\ & (!\led_flash_cnt[3040][4]~69447\ & VCC))
-- \led_flash_cnt[3040][5]~69449\ = CARRY((\led_flash_cnt[3040][5]~q\ & !\led_flash_cnt[3040][4]~69447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3040][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3040][4]~69447\,
	combout => \led_flash_cnt[3040][5]~69448_combout\,
	cout => \led_flash_cnt[3040][5]~69449\);

-- Location: FF_X49_Y28_N11
\led_flash_cnt[3040][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3040][5]~69448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3040][5]~q\);

-- Location: LCCOMB_X49_Y28_N12
\led_flash_cnt[3040][6]~69450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3040][6]~69450_combout\ = (\led_flash_cnt[3040][6]~q\ & (!\led_flash_cnt[3040][5]~69449\)) # (!\led_flash_cnt[3040][6]~q\ & ((\led_flash_cnt[3040][5]~69449\) # (GND)))
-- \led_flash_cnt[3040][6]~69451\ = CARRY((!\led_flash_cnt[3040][5]~69449\) # (!\led_flash_cnt[3040][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3040][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3040][5]~69449\,
	combout => \led_flash_cnt[3040][6]~69450_combout\,
	cout => \led_flash_cnt[3040][6]~69451\);

-- Location: FF_X49_Y28_N13
\led_flash_cnt[3040][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3040][6]~69450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3040][6]~q\);

-- Location: LCCOMB_X49_Y28_N14
\led_flash_cnt[3040][7]~69452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3040][7]~69452_combout\ = \led_flash_cnt[3040][7]~q\ $ (!\led_flash_cnt[3040][6]~69451\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3040][7]~q\,
	cin => \led_flash_cnt[3040][6]~69451\,
	combout => \led_flash_cnt[3040][7]~69452_combout\);

-- Location: FF_X49_Y28_N15
\led_flash_cnt[3040][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3040][7]~69452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3040][7]~q\);

-- Location: LCCOMB_X49_Y28_N18
\WideAnd3040~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3040~1_combout\ = (\led_flash_cnt[3040][6]~q\ & \led_flash_cnt[3040][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3040][6]~q\,
	datad => \led_flash_cnt[3040][5]~q\,
	combout => \WideAnd3040~1_combout\);

-- Location: LCCOMB_X49_Y28_N22
WideAnd3040 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3040~combout\ = (\WideAnd3040~0_combout\ & (\led_flash_cnt[3040][0]~q\ & (\led_flash_cnt[3040][7]~q\ & \WideAnd3040~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3040~0_combout\,
	datab => \led_flash_cnt[3040][0]~q\,
	datac => \led_flash_cnt[3040][7]~q\,
	datad => \WideAnd3040~1_combout\,
	combout => \WideAnd3040~combout\);

-- Location: FF_X49_Y28_N23
\led_flash_cnt_ands[3040]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3040~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3040));

-- Location: LCCOMB_X56_Y20_N4
\led_flash_cnt[3043][0]~83683\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3043][0]~83683_combout\ = !\led_flash_cnt[3043][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3043][0]~q\,
	combout => \led_flash_cnt[3043][0]~83683_combout\);

-- Location: FF_X56_Y20_N5
\led_flash_cnt[3043][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3043][0]~83683_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3043][0]~q\);

-- Location: LCCOMB_X55_Y20_N16
\led_flash_cnt[3043][1]~69482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3043][1]~69482_combout\ = (\led_flash_cnt[3043][0]~q\ & (\led_flash_cnt[3043][1]~q\ $ (VCC))) # (!\led_flash_cnt[3043][0]~q\ & (\led_flash_cnt[3043][1]~q\ & VCC))
-- \led_flash_cnt[3043][1]~69483\ = CARRY((\led_flash_cnt[3043][0]~q\ & \led_flash_cnt[3043][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3043][0]~q\,
	datab => \led_flash_cnt[3043][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3043][1]~69482_combout\,
	cout => \led_flash_cnt[3043][1]~69483\);

-- Location: FF_X55_Y20_N17
\led_flash_cnt[3043][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3043][1]~69482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3043][1]~q\);

-- Location: LCCOMB_X55_Y20_N18
\led_flash_cnt[3043][2]~69484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3043][2]~69484_combout\ = (\led_flash_cnt[3043][2]~q\ & (!\led_flash_cnt[3043][1]~69483\)) # (!\led_flash_cnt[3043][2]~q\ & ((\led_flash_cnt[3043][1]~69483\) # (GND)))
-- \led_flash_cnt[3043][2]~69485\ = CARRY((!\led_flash_cnt[3043][1]~69483\) # (!\led_flash_cnt[3043][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3043][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3043][1]~69483\,
	combout => \led_flash_cnt[3043][2]~69484_combout\,
	cout => \led_flash_cnt[3043][2]~69485\);

-- Location: FF_X55_Y20_N19
\led_flash_cnt[3043][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3043][2]~69484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3043][2]~q\);

-- Location: LCCOMB_X55_Y20_N20
\led_flash_cnt[3043][3]~69486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3043][3]~69486_combout\ = (\led_flash_cnt[3043][3]~q\ & (\led_flash_cnt[3043][2]~69485\ $ (GND))) # (!\led_flash_cnt[3043][3]~q\ & (!\led_flash_cnt[3043][2]~69485\ & VCC))
-- \led_flash_cnt[3043][3]~69487\ = CARRY((\led_flash_cnt[3043][3]~q\ & !\led_flash_cnt[3043][2]~69485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3043][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3043][2]~69485\,
	combout => \led_flash_cnt[3043][3]~69486_combout\,
	cout => \led_flash_cnt[3043][3]~69487\);

-- Location: FF_X55_Y20_N21
\led_flash_cnt[3043][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3043][3]~69486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3043][3]~q\);

-- Location: LCCOMB_X55_Y20_N22
\led_flash_cnt[3043][4]~69488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3043][4]~69488_combout\ = (\led_flash_cnt[3043][4]~q\ & (!\led_flash_cnt[3043][3]~69487\)) # (!\led_flash_cnt[3043][4]~q\ & ((\led_flash_cnt[3043][3]~69487\) # (GND)))
-- \led_flash_cnt[3043][4]~69489\ = CARRY((!\led_flash_cnt[3043][3]~69487\) # (!\led_flash_cnt[3043][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3043][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3043][3]~69487\,
	combout => \led_flash_cnt[3043][4]~69488_combout\,
	cout => \led_flash_cnt[3043][4]~69489\);

-- Location: FF_X55_Y20_N23
\led_flash_cnt[3043][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3043][4]~69488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3043][4]~q\);

-- Location: LCCOMB_X56_Y20_N10
\WideAnd3043~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3043~0_combout\ = (\led_flash_cnt[3043][4]~q\ & (\led_flash_cnt[3043][3]~q\ & (\led_flash_cnt[3043][1]~q\ & \led_flash_cnt[3043][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3043][4]~q\,
	datab => \led_flash_cnt[3043][3]~q\,
	datac => \led_flash_cnt[3043][1]~q\,
	datad => \led_flash_cnt[3043][2]~q\,
	combout => \WideAnd3043~0_combout\);

-- Location: LCCOMB_X55_Y20_N24
\led_flash_cnt[3043][5]~69490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3043][5]~69490_combout\ = (\led_flash_cnt[3043][5]~q\ & (\led_flash_cnt[3043][4]~69489\ $ (GND))) # (!\led_flash_cnt[3043][5]~q\ & (!\led_flash_cnt[3043][4]~69489\ & VCC))
-- \led_flash_cnt[3043][5]~69491\ = CARRY((\led_flash_cnt[3043][5]~q\ & !\led_flash_cnt[3043][4]~69489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3043][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3043][4]~69489\,
	combout => \led_flash_cnt[3043][5]~69490_combout\,
	cout => \led_flash_cnt[3043][5]~69491\);

-- Location: FF_X55_Y20_N25
\led_flash_cnt[3043][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3043][5]~69490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3043][5]~q\);

-- Location: LCCOMB_X55_Y20_N26
\led_flash_cnt[3043][6]~69492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3043][6]~69492_combout\ = (\led_flash_cnt[3043][6]~q\ & (!\led_flash_cnt[3043][5]~69491\)) # (!\led_flash_cnt[3043][6]~q\ & ((\led_flash_cnt[3043][5]~69491\) # (GND)))
-- \led_flash_cnt[3043][6]~69493\ = CARRY((!\led_flash_cnt[3043][5]~69491\) # (!\led_flash_cnt[3043][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3043][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3043][5]~69491\,
	combout => \led_flash_cnt[3043][6]~69492_combout\,
	cout => \led_flash_cnt[3043][6]~69493\);

-- Location: FF_X55_Y20_N27
\led_flash_cnt[3043][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3043][6]~69492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3043][6]~q\);

-- Location: LCCOMB_X55_Y20_N28
\led_flash_cnt[3043][7]~69494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3043][7]~69494_combout\ = \led_flash_cnt[3043][6]~69493\ $ (!\led_flash_cnt[3043][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3043][7]~q\,
	cin => \led_flash_cnt[3043][6]~69493\,
	combout => \led_flash_cnt[3043][7]~69494_combout\);

-- Location: FF_X55_Y20_N29
\led_flash_cnt[3043][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3043][7]~69494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3043][7]~q\);

-- Location: LCCOMB_X56_Y20_N2
\WideAnd3043~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3043~1_combout\ = (\led_flash_cnt[3043][6]~q\ & \led_flash_cnt[3043][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3043][6]~q\,
	datad => \led_flash_cnt[3043][5]~q\,
	combout => \WideAnd3043~1_combout\);

-- Location: LCCOMB_X56_Y20_N8
WideAnd3043 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3043~combout\ = (\WideAnd3043~0_combout\ & (\led_flash_cnt[3043][7]~q\ & (\led_flash_cnt[3043][0]~q\ & \WideAnd3043~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3043~0_combout\,
	datab => \led_flash_cnt[3043][7]~q\,
	datac => \led_flash_cnt[3043][0]~q\,
	datad => \WideAnd3043~1_combout\,
	combout => \WideAnd3043~combout\);

-- Location: FF_X56_Y20_N9
\led_flash_cnt_ands[3043]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3043~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3043));

-- Location: LCCOMB_X54_Y26_N26
\led_flash_cnt[3042][0]~83682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3042][0]~83682_combout\ = !\led_flash_cnt[3042][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3042][0]~q\,
	combout => \led_flash_cnt[3042][0]~83682_combout\);

-- Location: FF_X54_Y26_N27
\led_flash_cnt[3042][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3042][0]~83682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3042][0]~q\);

-- Location: LCCOMB_X54_Y29_N14
\led_flash_cnt[3042][1]~69468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3042][1]~69468_combout\ = (\led_flash_cnt[3042][0]~q\ & (\led_flash_cnt[3042][1]~q\ $ (VCC))) # (!\led_flash_cnt[3042][0]~q\ & (\led_flash_cnt[3042][1]~q\ & VCC))
-- \led_flash_cnt[3042][1]~69469\ = CARRY((\led_flash_cnt[3042][0]~q\ & \led_flash_cnt[3042][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3042][0]~q\,
	datab => \led_flash_cnt[3042][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3042][1]~69468_combout\,
	cout => \led_flash_cnt[3042][1]~69469\);

-- Location: FF_X54_Y29_N15
\led_flash_cnt[3042][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3042][1]~69468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3042][1]~q\);

-- Location: LCCOMB_X54_Y29_N16
\led_flash_cnt[3042][2]~69470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3042][2]~69470_combout\ = (\led_flash_cnt[3042][2]~q\ & (!\led_flash_cnt[3042][1]~69469\)) # (!\led_flash_cnt[3042][2]~q\ & ((\led_flash_cnt[3042][1]~69469\) # (GND)))
-- \led_flash_cnt[3042][2]~69471\ = CARRY((!\led_flash_cnt[3042][1]~69469\) # (!\led_flash_cnt[3042][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3042][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3042][1]~69469\,
	combout => \led_flash_cnt[3042][2]~69470_combout\,
	cout => \led_flash_cnt[3042][2]~69471\);

-- Location: FF_X54_Y29_N17
\led_flash_cnt[3042][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3042][2]~69470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3042][2]~q\);

-- Location: LCCOMB_X54_Y29_N18
\led_flash_cnt[3042][3]~69472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3042][3]~69472_combout\ = (\led_flash_cnt[3042][3]~q\ & (\led_flash_cnt[3042][2]~69471\ $ (GND))) # (!\led_flash_cnt[3042][3]~q\ & (!\led_flash_cnt[3042][2]~69471\ & VCC))
-- \led_flash_cnt[3042][3]~69473\ = CARRY((\led_flash_cnt[3042][3]~q\ & !\led_flash_cnt[3042][2]~69471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3042][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3042][2]~69471\,
	combout => \led_flash_cnt[3042][3]~69472_combout\,
	cout => \led_flash_cnt[3042][3]~69473\);

-- Location: FF_X54_Y29_N19
\led_flash_cnt[3042][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3042][3]~69472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3042][3]~q\);

-- Location: LCCOMB_X54_Y29_N20
\led_flash_cnt[3042][4]~69474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3042][4]~69474_combout\ = (\led_flash_cnt[3042][4]~q\ & (!\led_flash_cnt[3042][3]~69473\)) # (!\led_flash_cnt[3042][4]~q\ & ((\led_flash_cnt[3042][3]~69473\) # (GND)))
-- \led_flash_cnt[3042][4]~69475\ = CARRY((!\led_flash_cnt[3042][3]~69473\) # (!\led_flash_cnt[3042][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3042][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3042][3]~69473\,
	combout => \led_flash_cnt[3042][4]~69474_combout\,
	cout => \led_flash_cnt[3042][4]~69475\);

-- Location: FF_X54_Y29_N21
\led_flash_cnt[3042][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3042][4]~69474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3042][4]~q\);

-- Location: LCCOMB_X54_Y29_N30
\WideAnd3042~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3042~0_combout\ = (\led_flash_cnt[3042][4]~q\ & (\led_flash_cnt[3042][3]~q\ & (\led_flash_cnt[3042][1]~q\ & \led_flash_cnt[3042][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3042][4]~q\,
	datab => \led_flash_cnt[3042][3]~q\,
	datac => \led_flash_cnt[3042][1]~q\,
	datad => \led_flash_cnt[3042][2]~q\,
	combout => \WideAnd3042~0_combout\);

-- Location: LCCOMB_X54_Y29_N22
\led_flash_cnt[3042][5]~69476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3042][5]~69476_combout\ = (\led_flash_cnt[3042][5]~q\ & (\led_flash_cnt[3042][4]~69475\ $ (GND))) # (!\led_flash_cnt[3042][5]~q\ & (!\led_flash_cnt[3042][4]~69475\ & VCC))
-- \led_flash_cnt[3042][5]~69477\ = CARRY((\led_flash_cnt[3042][5]~q\ & !\led_flash_cnt[3042][4]~69475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3042][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3042][4]~69475\,
	combout => \led_flash_cnt[3042][5]~69476_combout\,
	cout => \led_flash_cnt[3042][5]~69477\);

-- Location: FF_X54_Y29_N23
\led_flash_cnt[3042][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3042][5]~69476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3042][5]~q\);

-- Location: LCCOMB_X54_Y29_N24
\led_flash_cnt[3042][6]~69478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3042][6]~69478_combout\ = (\led_flash_cnt[3042][6]~q\ & (!\led_flash_cnt[3042][5]~69477\)) # (!\led_flash_cnt[3042][6]~q\ & ((\led_flash_cnt[3042][5]~69477\) # (GND)))
-- \led_flash_cnt[3042][6]~69479\ = CARRY((!\led_flash_cnt[3042][5]~69477\) # (!\led_flash_cnt[3042][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3042][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3042][5]~69477\,
	combout => \led_flash_cnt[3042][6]~69478_combout\,
	cout => \led_flash_cnt[3042][6]~69479\);

-- Location: FF_X54_Y29_N25
\led_flash_cnt[3042][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3042][6]~69478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3042][6]~q\);

-- Location: LCCOMB_X54_Y26_N30
\WideAnd3042~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3042~1_combout\ = (\led_flash_cnt[3042][6]~q\ & \led_flash_cnt[3042][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3042][6]~q\,
	datad => \led_flash_cnt[3042][5]~q\,
	combout => \WideAnd3042~1_combout\);

-- Location: LCCOMB_X54_Y29_N26
\led_flash_cnt[3042][7]~69480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3042][7]~69480_combout\ = \led_flash_cnt[3042][7]~q\ $ (!\led_flash_cnt[3042][6]~69479\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3042][7]~q\,
	cin => \led_flash_cnt[3042][6]~69479\,
	combout => \led_flash_cnt[3042][7]~69480_combout\);

-- Location: FF_X54_Y29_N27
\led_flash_cnt[3042][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3042][7]~69480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3042][7]~q\);

-- Location: LCCOMB_X54_Y26_N2
WideAnd3042 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3042~combout\ = (\led_flash_cnt[3042][0]~q\ & (\WideAnd3042~0_combout\ & (\WideAnd3042~1_combout\ & \led_flash_cnt[3042][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3042][0]~q\,
	datab => \WideAnd3042~0_combout\,
	datac => \WideAnd3042~1_combout\,
	datad => \led_flash_cnt[3042][7]~q\,
	combout => \WideAnd3042~combout\);

-- Location: FF_X54_Y26_N3
\led_flash_cnt_ands[3042]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3042~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3042));

-- Location: LCCOMB_X54_Y26_N0
\WideAnd4220~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4220~0_combout\ = (led_flash_cnt_ands(3041) & (led_flash_cnt_ands(3040) & (led_flash_cnt_ands(3043) & led_flash_cnt_ands(3042))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3041),
	datab => led_flash_cnt_ands(3040),
	datac => led_flash_cnt_ands(3043),
	datad => led_flash_cnt_ands(3042),
	combout => \WideAnd4220~0_combout\);

-- Location: LCCOMB_X31_Y34_N0
WideAnd4220 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4220~combout\ = (led_flash_cnt_ands(3046) & (led_flash_cnt_ands(3047) & (\WideAnd4220~1_combout\ & \WideAnd4220~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3046),
	datab => led_flash_cnt_ands(3047),
	datac => \WideAnd4220~1_combout\,
	datad => \WideAnd4220~0_combout\,
	combout => \WideAnd4220~combout\);

-- Location: FF_X31_Y34_N1
\led_flash_cnt_ands_1[380]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4220~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(380));

-- Location: LCCOMB_X37_Y32_N30
\led_flash_cnt[3055][0]~83695\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3055][0]~83695_combout\ = !\led_flash_cnt[3055][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3055][0]~q\,
	combout => \led_flash_cnt[3055][0]~83695_combout\);

-- Location: FF_X37_Y32_N31
\led_flash_cnt[3055][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3055][0]~83695_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3055][0]~q\);

-- Location: LCCOMB_X37_Y32_N2
\led_flash_cnt[3055][1]~69650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3055][1]~69650_combout\ = (\led_flash_cnt[3055][0]~q\ & (\led_flash_cnt[3055][1]~q\ $ (VCC))) # (!\led_flash_cnt[3055][0]~q\ & (\led_flash_cnt[3055][1]~q\ & VCC))
-- \led_flash_cnt[3055][1]~69651\ = CARRY((\led_flash_cnt[3055][0]~q\ & \led_flash_cnt[3055][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3055][0]~q\,
	datab => \led_flash_cnt[3055][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3055][1]~69650_combout\,
	cout => \led_flash_cnt[3055][1]~69651\);

-- Location: FF_X37_Y32_N3
\led_flash_cnt[3055][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3055][1]~69650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3055][1]~q\);

-- Location: LCCOMB_X37_Y32_N4
\led_flash_cnt[3055][2]~69652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3055][2]~69652_combout\ = (\led_flash_cnt[3055][2]~q\ & (!\led_flash_cnt[3055][1]~69651\)) # (!\led_flash_cnt[3055][2]~q\ & ((\led_flash_cnt[3055][1]~69651\) # (GND)))
-- \led_flash_cnt[3055][2]~69653\ = CARRY((!\led_flash_cnt[3055][1]~69651\) # (!\led_flash_cnt[3055][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3055][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3055][1]~69651\,
	combout => \led_flash_cnt[3055][2]~69652_combout\,
	cout => \led_flash_cnt[3055][2]~69653\);

-- Location: FF_X37_Y32_N5
\led_flash_cnt[3055][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3055][2]~69652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3055][2]~q\);

-- Location: LCCOMB_X37_Y32_N6
\led_flash_cnt[3055][3]~69654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3055][3]~69654_combout\ = (\led_flash_cnt[3055][3]~q\ & (\led_flash_cnt[3055][2]~69653\ $ (GND))) # (!\led_flash_cnt[3055][3]~q\ & (!\led_flash_cnt[3055][2]~69653\ & VCC))
-- \led_flash_cnt[3055][3]~69655\ = CARRY((\led_flash_cnt[3055][3]~q\ & !\led_flash_cnt[3055][2]~69653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3055][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3055][2]~69653\,
	combout => \led_flash_cnt[3055][3]~69654_combout\,
	cout => \led_flash_cnt[3055][3]~69655\);

-- Location: FF_X37_Y32_N7
\led_flash_cnt[3055][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3055][3]~69654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3055][3]~q\);

-- Location: LCCOMB_X37_Y32_N8
\led_flash_cnt[3055][4]~69656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3055][4]~69656_combout\ = (\led_flash_cnt[3055][4]~q\ & (!\led_flash_cnt[3055][3]~69655\)) # (!\led_flash_cnt[3055][4]~q\ & ((\led_flash_cnt[3055][3]~69655\) # (GND)))
-- \led_flash_cnt[3055][4]~69657\ = CARRY((!\led_flash_cnt[3055][3]~69655\) # (!\led_flash_cnt[3055][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3055][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3055][3]~69655\,
	combout => \led_flash_cnt[3055][4]~69656_combout\,
	cout => \led_flash_cnt[3055][4]~69657\);

-- Location: FF_X37_Y32_N9
\led_flash_cnt[3055][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3055][4]~69656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3055][4]~q\);

-- Location: LCCOMB_X37_Y32_N10
\led_flash_cnt[3055][5]~69658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3055][5]~69658_combout\ = (\led_flash_cnt[3055][5]~q\ & (\led_flash_cnt[3055][4]~69657\ $ (GND))) # (!\led_flash_cnt[3055][5]~q\ & (!\led_flash_cnt[3055][4]~69657\ & VCC))
-- \led_flash_cnt[3055][5]~69659\ = CARRY((\led_flash_cnt[3055][5]~q\ & !\led_flash_cnt[3055][4]~69657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3055][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3055][4]~69657\,
	combout => \led_flash_cnt[3055][5]~69658_combout\,
	cout => \led_flash_cnt[3055][5]~69659\);

-- Location: FF_X37_Y32_N11
\led_flash_cnt[3055][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3055][5]~69658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3055][5]~q\);

-- Location: LCCOMB_X37_Y32_N12
\led_flash_cnt[3055][6]~69660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3055][6]~69660_combout\ = (\led_flash_cnt[3055][6]~q\ & (!\led_flash_cnt[3055][5]~69659\)) # (!\led_flash_cnt[3055][6]~q\ & ((\led_flash_cnt[3055][5]~69659\) # (GND)))
-- \led_flash_cnt[3055][6]~69661\ = CARRY((!\led_flash_cnt[3055][5]~69659\) # (!\led_flash_cnt[3055][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3055][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3055][5]~69659\,
	combout => \led_flash_cnt[3055][6]~69660_combout\,
	cout => \led_flash_cnt[3055][6]~69661\);

-- Location: FF_X37_Y32_N13
\led_flash_cnt[3055][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3055][6]~69660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3055][6]~q\);

-- Location: LCCOMB_X37_Y32_N18
\WideAnd3055~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3055~1_combout\ = (\led_flash_cnt[3055][5]~q\ & \led_flash_cnt[3055][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3055][5]~q\,
	datad => \led_flash_cnt[3055][6]~q\,
	combout => \WideAnd3055~1_combout\);

-- Location: LCCOMB_X37_Y32_N14
\led_flash_cnt[3055][7]~69662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3055][7]~69662_combout\ = \led_flash_cnt[3055][7]~q\ $ (!\led_flash_cnt[3055][6]~69661\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3055][7]~q\,
	cin => \led_flash_cnt[3055][6]~69661\,
	combout => \led_flash_cnt[3055][7]~69662_combout\);

-- Location: FF_X37_Y32_N15
\led_flash_cnt[3055][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3055][7]~69662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3055][7]~q\);

-- Location: LCCOMB_X37_Y32_N0
\WideAnd3055~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3055~0_combout\ = (\led_flash_cnt[3055][3]~q\ & (\led_flash_cnt[3055][2]~q\ & (\led_flash_cnt[3055][4]~q\ & \led_flash_cnt[3055][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3055][3]~q\,
	datab => \led_flash_cnt[3055][2]~q\,
	datac => \led_flash_cnt[3055][4]~q\,
	datad => \led_flash_cnt[3055][1]~q\,
	combout => \WideAnd3055~0_combout\);

-- Location: LCCOMB_X37_Y32_N16
WideAnd3055 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3055~combout\ = (\led_flash_cnt[3055][0]~q\ & (\WideAnd3055~1_combout\ & (\led_flash_cnt[3055][7]~q\ & \WideAnd3055~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3055][0]~q\,
	datab => \WideAnd3055~1_combout\,
	datac => \led_flash_cnt[3055][7]~q\,
	datad => \WideAnd3055~0_combout\,
	combout => \WideAnd3055~combout\);

-- Location: FF_X37_Y32_N17
\led_flash_cnt_ands[3055]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3055~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3055));

-- Location: LCCOMB_X38_Y36_N6
\led_flash_cnt[3052][0]~83692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3052][0]~83692_combout\ = !\led_flash_cnt[3052][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3052][0]~q\,
	combout => \led_flash_cnt[3052][0]~83692_combout\);

-- Location: FF_X38_Y36_N7
\led_flash_cnt[3052][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3052][0]~83692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3052][0]~q\);

-- Location: LCCOMB_X37_Y36_N4
\led_flash_cnt[3052][1]~69608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3052][1]~69608_combout\ = (\led_flash_cnt[3052][0]~q\ & (\led_flash_cnt[3052][1]~q\ $ (VCC))) # (!\led_flash_cnt[3052][0]~q\ & (\led_flash_cnt[3052][1]~q\ & VCC))
-- \led_flash_cnt[3052][1]~69609\ = CARRY((\led_flash_cnt[3052][0]~q\ & \led_flash_cnt[3052][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3052][0]~q\,
	datab => \led_flash_cnt[3052][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3052][1]~69608_combout\,
	cout => \led_flash_cnt[3052][1]~69609\);

-- Location: FF_X37_Y36_N5
\led_flash_cnt[3052][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3052][1]~69608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3052][1]~q\);

-- Location: LCCOMB_X37_Y36_N6
\led_flash_cnt[3052][2]~69610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3052][2]~69610_combout\ = (\led_flash_cnt[3052][2]~q\ & (!\led_flash_cnt[3052][1]~69609\)) # (!\led_flash_cnt[3052][2]~q\ & ((\led_flash_cnt[3052][1]~69609\) # (GND)))
-- \led_flash_cnt[3052][2]~69611\ = CARRY((!\led_flash_cnt[3052][1]~69609\) # (!\led_flash_cnt[3052][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3052][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3052][1]~69609\,
	combout => \led_flash_cnt[3052][2]~69610_combout\,
	cout => \led_flash_cnt[3052][2]~69611\);

-- Location: FF_X37_Y36_N7
\led_flash_cnt[3052][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3052][2]~69610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3052][2]~q\);

-- Location: LCCOMB_X37_Y36_N8
\led_flash_cnt[3052][3]~69612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3052][3]~69612_combout\ = (\led_flash_cnt[3052][3]~q\ & (\led_flash_cnt[3052][2]~69611\ $ (GND))) # (!\led_flash_cnt[3052][3]~q\ & (!\led_flash_cnt[3052][2]~69611\ & VCC))
-- \led_flash_cnt[3052][3]~69613\ = CARRY((\led_flash_cnt[3052][3]~q\ & !\led_flash_cnt[3052][2]~69611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3052][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3052][2]~69611\,
	combout => \led_flash_cnt[3052][3]~69612_combout\,
	cout => \led_flash_cnt[3052][3]~69613\);

-- Location: FF_X37_Y36_N9
\led_flash_cnt[3052][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3052][3]~69612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3052][3]~q\);

-- Location: LCCOMB_X37_Y36_N10
\led_flash_cnt[3052][4]~69614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3052][4]~69614_combout\ = (\led_flash_cnt[3052][4]~q\ & (!\led_flash_cnt[3052][3]~69613\)) # (!\led_flash_cnt[3052][4]~q\ & ((\led_flash_cnt[3052][3]~69613\) # (GND)))
-- \led_flash_cnt[3052][4]~69615\ = CARRY((!\led_flash_cnt[3052][3]~69613\) # (!\led_flash_cnt[3052][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3052][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3052][3]~69613\,
	combout => \led_flash_cnt[3052][4]~69614_combout\,
	cout => \led_flash_cnt[3052][4]~69615\);

-- Location: FF_X37_Y36_N11
\led_flash_cnt[3052][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3052][4]~69614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3052][4]~q\);

-- Location: LCCOMB_X37_Y36_N2
\WideAnd3052~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3052~0_combout\ = (\led_flash_cnt[3052][4]~q\ & (\led_flash_cnt[3052][1]~q\ & (\led_flash_cnt[3052][3]~q\ & \led_flash_cnt[3052][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3052][4]~q\,
	datab => \led_flash_cnt[3052][1]~q\,
	datac => \led_flash_cnt[3052][3]~q\,
	datad => \led_flash_cnt[3052][2]~q\,
	combout => \WideAnd3052~0_combout\);

-- Location: LCCOMB_X37_Y36_N12
\led_flash_cnt[3052][5]~69616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3052][5]~69616_combout\ = (\led_flash_cnt[3052][5]~q\ & (\led_flash_cnt[3052][4]~69615\ $ (GND))) # (!\led_flash_cnt[3052][5]~q\ & (!\led_flash_cnt[3052][4]~69615\ & VCC))
-- \led_flash_cnt[3052][5]~69617\ = CARRY((\led_flash_cnt[3052][5]~q\ & !\led_flash_cnt[3052][4]~69615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3052][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3052][4]~69615\,
	combout => \led_flash_cnt[3052][5]~69616_combout\,
	cout => \led_flash_cnt[3052][5]~69617\);

-- Location: FF_X37_Y36_N13
\led_flash_cnt[3052][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3052][5]~69616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3052][5]~q\);

-- Location: LCCOMB_X37_Y36_N14
\led_flash_cnt[3052][6]~69618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3052][6]~69618_combout\ = (\led_flash_cnt[3052][6]~q\ & (!\led_flash_cnt[3052][5]~69617\)) # (!\led_flash_cnt[3052][6]~q\ & ((\led_flash_cnt[3052][5]~69617\) # (GND)))
-- \led_flash_cnt[3052][6]~69619\ = CARRY((!\led_flash_cnt[3052][5]~69617\) # (!\led_flash_cnt[3052][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3052][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3052][5]~69617\,
	combout => \led_flash_cnt[3052][6]~69618_combout\,
	cout => \led_flash_cnt[3052][6]~69619\);

-- Location: FF_X37_Y36_N15
\led_flash_cnt[3052][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3052][6]~69618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3052][6]~q\);

-- Location: LCCOMB_X38_Y36_N0
\WideAnd3052~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3052~1_combout\ = (\led_flash_cnt[3052][6]~q\ & \led_flash_cnt[3052][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3052][6]~q\,
	datad => \led_flash_cnt[3052][5]~q\,
	combout => \WideAnd3052~1_combout\);

-- Location: LCCOMB_X37_Y36_N16
\led_flash_cnt[3052][7]~69620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3052][7]~69620_combout\ = \led_flash_cnt[3052][6]~69619\ $ (!\led_flash_cnt[3052][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3052][7]~q\,
	cin => \led_flash_cnt[3052][6]~69619\,
	combout => \led_flash_cnt[3052][7]~69620_combout\);

-- Location: FF_X37_Y36_N17
\led_flash_cnt[3052][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3052][7]~69620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3052][7]~q\);

-- Location: LCCOMB_X37_Y36_N0
WideAnd3052 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3052~combout\ = (\led_flash_cnt[3052][0]~q\ & (\WideAnd3052~0_combout\ & (\WideAnd3052~1_combout\ & \led_flash_cnt[3052][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3052][0]~q\,
	datab => \WideAnd3052~0_combout\,
	datac => \WideAnd3052~1_combout\,
	datad => \led_flash_cnt[3052][7]~q\,
	combout => \WideAnd3052~combout\);

-- Location: FF_X37_Y36_N1
\led_flash_cnt_ands[3052]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3052~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3052));

-- Location: LCCOMB_X38_Y32_N26
\led_flash_cnt[3053][0]~83693\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3053][0]~83693_combout\ = !\led_flash_cnt[3053][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3053][0]~q\,
	combout => \led_flash_cnt[3053][0]~83693_combout\);

-- Location: FF_X38_Y32_N27
\led_flash_cnt[3053][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3053][0]~83693_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3053][0]~q\);

-- Location: LCCOMB_X38_Y32_N8
\led_flash_cnt[3053][1]~69622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3053][1]~69622_combout\ = (\led_flash_cnt[3053][0]~q\ & (\led_flash_cnt[3053][1]~q\ $ (VCC))) # (!\led_flash_cnt[3053][0]~q\ & (\led_flash_cnt[3053][1]~q\ & VCC))
-- \led_flash_cnt[3053][1]~69623\ = CARRY((\led_flash_cnt[3053][0]~q\ & \led_flash_cnt[3053][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3053][0]~q\,
	datab => \led_flash_cnt[3053][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3053][1]~69622_combout\,
	cout => \led_flash_cnt[3053][1]~69623\);

-- Location: FF_X38_Y32_N9
\led_flash_cnt[3053][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3053][1]~69622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3053][1]~q\);

-- Location: LCCOMB_X38_Y32_N10
\led_flash_cnt[3053][2]~69624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3053][2]~69624_combout\ = (\led_flash_cnt[3053][2]~q\ & (!\led_flash_cnt[3053][1]~69623\)) # (!\led_flash_cnt[3053][2]~q\ & ((\led_flash_cnt[3053][1]~69623\) # (GND)))
-- \led_flash_cnt[3053][2]~69625\ = CARRY((!\led_flash_cnt[3053][1]~69623\) # (!\led_flash_cnt[3053][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3053][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3053][1]~69623\,
	combout => \led_flash_cnt[3053][2]~69624_combout\,
	cout => \led_flash_cnt[3053][2]~69625\);

-- Location: FF_X38_Y32_N11
\led_flash_cnt[3053][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3053][2]~69624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3053][2]~q\);

-- Location: LCCOMB_X38_Y32_N12
\led_flash_cnt[3053][3]~69626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3053][3]~69626_combout\ = (\led_flash_cnt[3053][3]~q\ & (\led_flash_cnt[3053][2]~69625\ $ (GND))) # (!\led_flash_cnt[3053][3]~q\ & (!\led_flash_cnt[3053][2]~69625\ & VCC))
-- \led_flash_cnt[3053][3]~69627\ = CARRY((\led_flash_cnt[3053][3]~q\ & !\led_flash_cnt[3053][2]~69625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3053][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3053][2]~69625\,
	combout => \led_flash_cnt[3053][3]~69626_combout\,
	cout => \led_flash_cnt[3053][3]~69627\);

-- Location: FF_X38_Y32_N13
\led_flash_cnt[3053][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3053][3]~69626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3053][3]~q\);

-- Location: LCCOMB_X38_Y32_N14
\led_flash_cnt[3053][4]~69628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3053][4]~69628_combout\ = (\led_flash_cnt[3053][4]~q\ & (!\led_flash_cnt[3053][3]~69627\)) # (!\led_flash_cnt[3053][4]~q\ & ((\led_flash_cnt[3053][3]~69627\) # (GND)))
-- \led_flash_cnt[3053][4]~69629\ = CARRY((!\led_flash_cnt[3053][3]~69627\) # (!\led_flash_cnt[3053][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3053][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3053][3]~69627\,
	combout => \led_flash_cnt[3053][4]~69628_combout\,
	cout => \led_flash_cnt[3053][4]~69629\);

-- Location: FF_X38_Y32_N15
\led_flash_cnt[3053][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3053][4]~69628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3053][4]~q\);

-- Location: LCCOMB_X38_Y32_N24
\WideAnd3053~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3053~0_combout\ = (\led_flash_cnt[3053][2]~q\ & (\led_flash_cnt[3053][4]~q\ & (\led_flash_cnt[3053][1]~q\ & \led_flash_cnt[3053][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3053][2]~q\,
	datab => \led_flash_cnt[3053][4]~q\,
	datac => \led_flash_cnt[3053][1]~q\,
	datad => \led_flash_cnt[3053][3]~q\,
	combout => \WideAnd3053~0_combout\);

-- Location: LCCOMB_X38_Y32_N16
\led_flash_cnt[3053][5]~69630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3053][5]~69630_combout\ = (\led_flash_cnt[3053][5]~q\ & (\led_flash_cnt[3053][4]~69629\ $ (GND))) # (!\led_flash_cnt[3053][5]~q\ & (!\led_flash_cnt[3053][4]~69629\ & VCC))
-- \led_flash_cnt[3053][5]~69631\ = CARRY((\led_flash_cnt[3053][5]~q\ & !\led_flash_cnt[3053][4]~69629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3053][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3053][4]~69629\,
	combout => \led_flash_cnt[3053][5]~69630_combout\,
	cout => \led_flash_cnt[3053][5]~69631\);

-- Location: FF_X38_Y32_N17
\led_flash_cnt[3053][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3053][5]~69630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3053][5]~q\);

-- Location: LCCOMB_X38_Y32_N18
\led_flash_cnt[3053][6]~69632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3053][6]~69632_combout\ = (\led_flash_cnt[3053][6]~q\ & (!\led_flash_cnt[3053][5]~69631\)) # (!\led_flash_cnt[3053][6]~q\ & ((\led_flash_cnt[3053][5]~69631\) # (GND)))
-- \led_flash_cnt[3053][6]~69633\ = CARRY((!\led_flash_cnt[3053][5]~69631\) # (!\led_flash_cnt[3053][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3053][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3053][5]~69631\,
	combout => \led_flash_cnt[3053][6]~69632_combout\,
	cout => \led_flash_cnt[3053][6]~69633\);

-- Location: FF_X38_Y32_N19
\led_flash_cnt[3053][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3053][6]~69632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3053][6]~q\);

-- Location: LCCOMB_X38_Y32_N4
\WideAnd3053~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3053~1_combout\ = (\led_flash_cnt[3053][5]~q\ & \led_flash_cnt[3053][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3053][5]~q\,
	datad => \led_flash_cnt[3053][6]~q\,
	combout => \WideAnd3053~1_combout\);

-- Location: LCCOMB_X38_Y32_N20
\led_flash_cnt[3053][7]~69634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3053][7]~69634_combout\ = \led_flash_cnt[3053][6]~69633\ $ (!\led_flash_cnt[3053][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3053][7]~q\,
	cin => \led_flash_cnt[3053][6]~69633\,
	combout => \led_flash_cnt[3053][7]~69634_combout\);

-- Location: FF_X38_Y32_N21
\led_flash_cnt[3053][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3053][7]~69634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3053][7]~q\);

-- Location: LCCOMB_X38_Y32_N2
WideAnd3053 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3053~combout\ = (\led_flash_cnt[3053][0]~q\ & (\WideAnd3053~0_combout\ & (\WideAnd3053~1_combout\ & \led_flash_cnt[3053][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3053][0]~q\,
	datab => \WideAnd3053~0_combout\,
	datac => \WideAnd3053~1_combout\,
	datad => \led_flash_cnt[3053][7]~q\,
	combout => \WideAnd3053~combout\);

-- Location: FF_X38_Y32_N3
\led_flash_cnt_ands[3053]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3053~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3053));

-- Location: LCCOMB_X38_Y32_N0
\WideAnd4221~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4221~1_combout\ = (led_flash_cnt_ands(3052) & led_flash_cnt_ands(3053))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3052),
	datad => led_flash_cnt_ands(3053),
	combout => \WideAnd4221~1_combout\);

-- Location: LCCOMB_X45_Y33_N2
\led_flash_cnt[3050][0]~83690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3050][0]~83690_combout\ = !\led_flash_cnt[3050][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3050][0]~q\,
	combout => \led_flash_cnt[3050][0]~83690_combout\);

-- Location: FF_X45_Y33_N3
\led_flash_cnt[3050][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3050][0]~83690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3050][0]~q\);

-- Location: LCCOMB_X44_Y33_N18
\led_flash_cnt[3050][1]~69580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3050][1]~69580_combout\ = (\led_flash_cnt[3050][0]~q\ & (\led_flash_cnt[3050][1]~q\ $ (VCC))) # (!\led_flash_cnt[3050][0]~q\ & (\led_flash_cnt[3050][1]~q\ & VCC))
-- \led_flash_cnt[3050][1]~69581\ = CARRY((\led_flash_cnt[3050][0]~q\ & \led_flash_cnt[3050][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3050][0]~q\,
	datab => \led_flash_cnt[3050][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3050][1]~69580_combout\,
	cout => \led_flash_cnt[3050][1]~69581\);

-- Location: FF_X44_Y33_N19
\led_flash_cnt[3050][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3050][1]~69580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3050][1]~q\);

-- Location: LCCOMB_X44_Y33_N20
\led_flash_cnt[3050][2]~69582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3050][2]~69582_combout\ = (\led_flash_cnt[3050][2]~q\ & (!\led_flash_cnt[3050][1]~69581\)) # (!\led_flash_cnt[3050][2]~q\ & ((\led_flash_cnt[3050][1]~69581\) # (GND)))
-- \led_flash_cnt[3050][2]~69583\ = CARRY((!\led_flash_cnt[3050][1]~69581\) # (!\led_flash_cnt[3050][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3050][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3050][1]~69581\,
	combout => \led_flash_cnt[3050][2]~69582_combout\,
	cout => \led_flash_cnt[3050][2]~69583\);

-- Location: FF_X44_Y33_N21
\led_flash_cnt[3050][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3050][2]~69582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3050][2]~q\);

-- Location: LCCOMB_X44_Y33_N22
\led_flash_cnt[3050][3]~69584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3050][3]~69584_combout\ = (\led_flash_cnt[3050][3]~q\ & (\led_flash_cnt[3050][2]~69583\ $ (GND))) # (!\led_flash_cnt[3050][3]~q\ & (!\led_flash_cnt[3050][2]~69583\ & VCC))
-- \led_flash_cnt[3050][3]~69585\ = CARRY((\led_flash_cnt[3050][3]~q\ & !\led_flash_cnt[3050][2]~69583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3050][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3050][2]~69583\,
	combout => \led_flash_cnt[3050][3]~69584_combout\,
	cout => \led_flash_cnt[3050][3]~69585\);

-- Location: FF_X44_Y33_N23
\led_flash_cnt[3050][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3050][3]~69584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3050][3]~q\);

-- Location: LCCOMB_X44_Y33_N24
\led_flash_cnt[3050][4]~69586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3050][4]~69586_combout\ = (\led_flash_cnt[3050][4]~q\ & (!\led_flash_cnt[3050][3]~69585\)) # (!\led_flash_cnt[3050][4]~q\ & ((\led_flash_cnt[3050][3]~69585\) # (GND)))
-- \led_flash_cnt[3050][4]~69587\ = CARRY((!\led_flash_cnt[3050][3]~69585\) # (!\led_flash_cnt[3050][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3050][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3050][3]~69585\,
	combout => \led_flash_cnt[3050][4]~69586_combout\,
	cout => \led_flash_cnt[3050][4]~69587\);

-- Location: FF_X44_Y33_N25
\led_flash_cnt[3050][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3050][4]~69586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3050][4]~q\);

-- Location: LCCOMB_X45_Y33_N6
\WideAnd3050~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3050~0_combout\ = (\led_flash_cnt[3050][3]~q\ & (\led_flash_cnt[3050][1]~q\ & (\led_flash_cnt[3050][4]~q\ & \led_flash_cnt[3050][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3050][3]~q\,
	datab => \led_flash_cnt[3050][1]~q\,
	datac => \led_flash_cnt[3050][4]~q\,
	datad => \led_flash_cnt[3050][2]~q\,
	combout => \WideAnd3050~0_combout\);

-- Location: LCCOMB_X44_Y33_N26
\led_flash_cnt[3050][5]~69588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3050][5]~69588_combout\ = (\led_flash_cnt[3050][5]~q\ & (\led_flash_cnt[3050][4]~69587\ $ (GND))) # (!\led_flash_cnt[3050][5]~q\ & (!\led_flash_cnt[3050][4]~69587\ & VCC))
-- \led_flash_cnt[3050][5]~69589\ = CARRY((\led_flash_cnt[3050][5]~q\ & !\led_flash_cnt[3050][4]~69587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3050][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3050][4]~69587\,
	combout => \led_flash_cnt[3050][5]~69588_combout\,
	cout => \led_flash_cnt[3050][5]~69589\);

-- Location: FF_X44_Y33_N27
\led_flash_cnt[3050][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3050][5]~69588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3050][5]~q\);

-- Location: LCCOMB_X44_Y33_N28
\led_flash_cnt[3050][6]~69590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3050][6]~69590_combout\ = (\led_flash_cnt[3050][6]~q\ & (!\led_flash_cnt[3050][5]~69589\)) # (!\led_flash_cnt[3050][6]~q\ & ((\led_flash_cnt[3050][5]~69589\) # (GND)))
-- \led_flash_cnt[3050][6]~69591\ = CARRY((!\led_flash_cnt[3050][5]~69589\) # (!\led_flash_cnt[3050][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3050][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3050][5]~69589\,
	combout => \led_flash_cnt[3050][6]~69590_combout\,
	cout => \led_flash_cnt[3050][6]~69591\);

-- Location: FF_X44_Y33_N29
\led_flash_cnt[3050][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3050][6]~69590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3050][6]~q\);

-- Location: LCCOMB_X44_Y33_N30
\led_flash_cnt[3050][7]~69592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3050][7]~69592_combout\ = \led_flash_cnt[3050][7]~q\ $ (!\led_flash_cnt[3050][6]~69591\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3050][7]~q\,
	cin => \led_flash_cnt[3050][6]~69591\,
	combout => \led_flash_cnt[3050][7]~69592_combout\);

-- Location: FF_X44_Y33_N31
\led_flash_cnt[3050][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3050][7]~69592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3050][7]~q\);

-- Location: LCCOMB_X45_Y33_N8
\WideAnd3050~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3050~1_combout\ = (\led_flash_cnt[3050][5]~q\ & \led_flash_cnt[3050][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3050][5]~q\,
	datad => \led_flash_cnt[3050][6]~q\,
	combout => \WideAnd3050~1_combout\);

-- Location: LCCOMB_X45_Y33_N28
WideAnd3050 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3050~combout\ = (\WideAnd3050~0_combout\ & (\led_flash_cnt[3050][7]~q\ & (\WideAnd3050~1_combout\ & \led_flash_cnt[3050][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3050~0_combout\,
	datab => \led_flash_cnt[3050][7]~q\,
	datac => \WideAnd3050~1_combout\,
	datad => \led_flash_cnt[3050][0]~q\,
	combout => \WideAnd3050~combout\);

-- Location: FF_X45_Y33_N29
\led_flash_cnt_ands[3050]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3050~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3050));

-- Location: LCCOMB_X37_Y34_N16
\led_flash_cnt[3049][0]~83689\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3049][0]~83689_combout\ = !\led_flash_cnt[3049][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3049][0]~q\,
	combout => \led_flash_cnt[3049][0]~83689_combout\);

-- Location: FF_X37_Y34_N17
\led_flash_cnt[3049][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3049][0]~83689_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3049][0]~q\);

-- Location: LCCOMB_X36_Y34_N2
\led_flash_cnt[3049][1]~69566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3049][1]~69566_combout\ = (\led_flash_cnt[3049][1]~q\ & (\led_flash_cnt[3049][0]~q\ $ (VCC))) # (!\led_flash_cnt[3049][1]~q\ & (\led_flash_cnt[3049][0]~q\ & VCC))
-- \led_flash_cnt[3049][1]~69567\ = CARRY((\led_flash_cnt[3049][1]~q\ & \led_flash_cnt[3049][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3049][1]~q\,
	datab => \led_flash_cnt[3049][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3049][1]~69566_combout\,
	cout => \led_flash_cnt[3049][1]~69567\);

-- Location: FF_X36_Y34_N3
\led_flash_cnt[3049][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3049][1]~69566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3049][1]~q\);

-- Location: LCCOMB_X36_Y34_N4
\led_flash_cnt[3049][2]~69568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3049][2]~69568_combout\ = (\led_flash_cnt[3049][2]~q\ & (!\led_flash_cnt[3049][1]~69567\)) # (!\led_flash_cnt[3049][2]~q\ & ((\led_flash_cnt[3049][1]~69567\) # (GND)))
-- \led_flash_cnt[3049][2]~69569\ = CARRY((!\led_flash_cnt[3049][1]~69567\) # (!\led_flash_cnt[3049][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3049][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3049][1]~69567\,
	combout => \led_flash_cnt[3049][2]~69568_combout\,
	cout => \led_flash_cnt[3049][2]~69569\);

-- Location: FF_X36_Y34_N5
\led_flash_cnt[3049][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3049][2]~69568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3049][2]~q\);

-- Location: LCCOMB_X36_Y34_N6
\led_flash_cnt[3049][3]~69570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3049][3]~69570_combout\ = (\led_flash_cnt[3049][3]~q\ & (\led_flash_cnt[3049][2]~69569\ $ (GND))) # (!\led_flash_cnt[3049][3]~q\ & (!\led_flash_cnt[3049][2]~69569\ & VCC))
-- \led_flash_cnt[3049][3]~69571\ = CARRY((\led_flash_cnt[3049][3]~q\ & !\led_flash_cnt[3049][2]~69569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3049][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3049][2]~69569\,
	combout => \led_flash_cnt[3049][3]~69570_combout\,
	cout => \led_flash_cnt[3049][3]~69571\);

-- Location: FF_X36_Y34_N7
\led_flash_cnt[3049][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3049][3]~69570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3049][3]~q\);

-- Location: LCCOMB_X36_Y34_N8
\led_flash_cnt[3049][4]~69572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3049][4]~69572_combout\ = (\led_flash_cnt[3049][4]~q\ & (!\led_flash_cnt[3049][3]~69571\)) # (!\led_flash_cnt[3049][4]~q\ & ((\led_flash_cnt[3049][3]~69571\) # (GND)))
-- \led_flash_cnt[3049][4]~69573\ = CARRY((!\led_flash_cnt[3049][3]~69571\) # (!\led_flash_cnt[3049][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3049][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3049][3]~69571\,
	combout => \led_flash_cnt[3049][4]~69572_combout\,
	cout => \led_flash_cnt[3049][4]~69573\);

-- Location: FF_X36_Y34_N9
\led_flash_cnt[3049][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3049][4]~69572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3049][4]~q\);

-- Location: LCCOMB_X36_Y34_N10
\led_flash_cnt[3049][5]~69574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3049][5]~69574_combout\ = (\led_flash_cnt[3049][5]~q\ & (\led_flash_cnt[3049][4]~69573\ $ (GND))) # (!\led_flash_cnt[3049][5]~q\ & (!\led_flash_cnt[3049][4]~69573\ & VCC))
-- \led_flash_cnt[3049][5]~69575\ = CARRY((\led_flash_cnt[3049][5]~q\ & !\led_flash_cnt[3049][4]~69573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3049][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3049][4]~69573\,
	combout => \led_flash_cnt[3049][5]~69574_combout\,
	cout => \led_flash_cnt[3049][5]~69575\);

-- Location: FF_X36_Y34_N11
\led_flash_cnt[3049][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3049][5]~69574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3049][5]~q\);

-- Location: LCCOMB_X36_Y34_N12
\led_flash_cnt[3049][6]~69576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3049][6]~69576_combout\ = (\led_flash_cnt[3049][6]~q\ & (!\led_flash_cnt[3049][5]~69575\)) # (!\led_flash_cnt[3049][6]~q\ & ((\led_flash_cnt[3049][5]~69575\) # (GND)))
-- \led_flash_cnt[3049][6]~69577\ = CARRY((!\led_flash_cnt[3049][5]~69575\) # (!\led_flash_cnt[3049][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3049][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3049][5]~69575\,
	combout => \led_flash_cnt[3049][6]~69576_combout\,
	cout => \led_flash_cnt[3049][6]~69577\);

-- Location: FF_X36_Y34_N13
\led_flash_cnt[3049][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3049][6]~69576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3049][6]~q\);

-- Location: LCCOMB_X36_Y34_N14
\led_flash_cnt[3049][7]~69578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3049][7]~69578_combout\ = \led_flash_cnt[3049][7]~q\ $ (!\led_flash_cnt[3049][6]~69577\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3049][7]~q\,
	cin => \led_flash_cnt[3049][6]~69577\,
	combout => \led_flash_cnt[3049][7]~69578_combout\);

-- Location: FF_X36_Y34_N15
\led_flash_cnt[3049][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3049][7]~69578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3049][7]~q\);

-- Location: LCCOMB_X37_Y34_N28
\WideAnd3049~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3049~1_combout\ = (\led_flash_cnt[3049][5]~q\ & \led_flash_cnt[3049][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3049][5]~q\,
	datad => \led_flash_cnt[3049][6]~q\,
	combout => \WideAnd3049~1_combout\);

-- Location: LCCOMB_X36_Y34_N16
\WideAnd3049~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3049~0_combout\ = (\led_flash_cnt[3049][1]~q\ & (\led_flash_cnt[3049][4]~q\ & (\led_flash_cnt[3049][2]~q\ & \led_flash_cnt[3049][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3049][1]~q\,
	datab => \led_flash_cnt[3049][4]~q\,
	datac => \led_flash_cnt[3049][2]~q\,
	datad => \led_flash_cnt[3049][3]~q\,
	combout => \WideAnd3049~0_combout\);

-- Location: LCCOMB_X37_Y34_N24
WideAnd3049 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3049~combout\ = (\led_flash_cnt[3049][7]~q\ & (\WideAnd3049~1_combout\ & (\WideAnd3049~0_combout\ & \led_flash_cnt[3049][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3049][7]~q\,
	datab => \WideAnd3049~1_combout\,
	datac => \WideAnd3049~0_combout\,
	datad => \led_flash_cnt[3049][0]~q\,
	combout => \WideAnd3049~combout\);

-- Location: FF_X37_Y34_N25
\led_flash_cnt_ands[3049]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3049~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3049));

-- Location: LCCOMB_X45_Y33_N0
\led_flash_cnt[3051][0]~83691\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3051][0]~83691_combout\ = !\led_flash_cnt[3051][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3051][0]~q\,
	combout => \led_flash_cnt[3051][0]~83691_combout\);

-- Location: FF_X45_Y33_N1
\led_flash_cnt[3051][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3051][0]~83691_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3051][0]~q\);

-- Location: LCCOMB_X45_Y33_N12
\led_flash_cnt[3051][1]~69594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3051][1]~69594_combout\ = (\led_flash_cnt[3051][1]~q\ & (\led_flash_cnt[3051][0]~q\ $ (VCC))) # (!\led_flash_cnt[3051][1]~q\ & (\led_flash_cnt[3051][0]~q\ & VCC))
-- \led_flash_cnt[3051][1]~69595\ = CARRY((\led_flash_cnt[3051][1]~q\ & \led_flash_cnt[3051][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3051][1]~q\,
	datab => \led_flash_cnt[3051][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3051][1]~69594_combout\,
	cout => \led_flash_cnt[3051][1]~69595\);

-- Location: FF_X45_Y33_N13
\led_flash_cnt[3051][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3051][1]~69594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3051][1]~q\);

-- Location: LCCOMB_X45_Y33_N14
\led_flash_cnt[3051][2]~69596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3051][2]~69596_combout\ = (\led_flash_cnt[3051][2]~q\ & (!\led_flash_cnt[3051][1]~69595\)) # (!\led_flash_cnt[3051][2]~q\ & ((\led_flash_cnt[3051][1]~69595\) # (GND)))
-- \led_flash_cnt[3051][2]~69597\ = CARRY((!\led_flash_cnt[3051][1]~69595\) # (!\led_flash_cnt[3051][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3051][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3051][1]~69595\,
	combout => \led_flash_cnt[3051][2]~69596_combout\,
	cout => \led_flash_cnt[3051][2]~69597\);

-- Location: FF_X45_Y33_N15
\led_flash_cnt[3051][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3051][2]~69596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3051][2]~q\);

-- Location: LCCOMB_X45_Y33_N16
\led_flash_cnt[3051][3]~69598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3051][3]~69598_combout\ = (\led_flash_cnt[3051][3]~q\ & (\led_flash_cnt[3051][2]~69597\ $ (GND))) # (!\led_flash_cnt[3051][3]~q\ & (!\led_flash_cnt[3051][2]~69597\ & VCC))
-- \led_flash_cnt[3051][3]~69599\ = CARRY((\led_flash_cnt[3051][3]~q\ & !\led_flash_cnt[3051][2]~69597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3051][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3051][2]~69597\,
	combout => \led_flash_cnt[3051][3]~69598_combout\,
	cout => \led_flash_cnt[3051][3]~69599\);

-- Location: FF_X45_Y33_N17
\led_flash_cnt[3051][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3051][3]~69598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3051][3]~q\);

-- Location: LCCOMB_X45_Y33_N18
\led_flash_cnt[3051][4]~69600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3051][4]~69600_combout\ = (\led_flash_cnt[3051][4]~q\ & (!\led_flash_cnt[3051][3]~69599\)) # (!\led_flash_cnt[3051][4]~q\ & ((\led_flash_cnt[3051][3]~69599\) # (GND)))
-- \led_flash_cnt[3051][4]~69601\ = CARRY((!\led_flash_cnt[3051][3]~69599\) # (!\led_flash_cnt[3051][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3051][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3051][3]~69599\,
	combout => \led_flash_cnt[3051][4]~69600_combout\,
	cout => \led_flash_cnt[3051][4]~69601\);

-- Location: FF_X45_Y33_N19
\led_flash_cnt[3051][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3051][4]~69600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3051][4]~q\);

-- Location: LCCOMB_X45_Y33_N20
\led_flash_cnt[3051][5]~69602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3051][5]~69602_combout\ = (\led_flash_cnt[3051][5]~q\ & (\led_flash_cnt[3051][4]~69601\ $ (GND))) # (!\led_flash_cnt[3051][5]~q\ & (!\led_flash_cnt[3051][4]~69601\ & VCC))
-- \led_flash_cnt[3051][5]~69603\ = CARRY((\led_flash_cnt[3051][5]~q\ & !\led_flash_cnt[3051][4]~69601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3051][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3051][4]~69601\,
	combout => \led_flash_cnt[3051][5]~69602_combout\,
	cout => \led_flash_cnt[3051][5]~69603\);

-- Location: FF_X45_Y33_N21
\led_flash_cnt[3051][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3051][5]~69602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3051][5]~q\);

-- Location: LCCOMB_X45_Y33_N22
\led_flash_cnt[3051][6]~69604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3051][6]~69604_combout\ = (\led_flash_cnt[3051][6]~q\ & (!\led_flash_cnt[3051][5]~69603\)) # (!\led_flash_cnt[3051][6]~q\ & ((\led_flash_cnt[3051][5]~69603\) # (GND)))
-- \led_flash_cnt[3051][6]~69605\ = CARRY((!\led_flash_cnt[3051][5]~69603\) # (!\led_flash_cnt[3051][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3051][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3051][5]~69603\,
	combout => \led_flash_cnt[3051][6]~69604_combout\,
	cout => \led_flash_cnt[3051][6]~69605\);

-- Location: FF_X45_Y33_N23
\led_flash_cnt[3051][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3051][6]~69604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3051][6]~q\);

-- Location: LCCOMB_X45_Y33_N26
\WideAnd3051~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3051~1_combout\ = (\led_flash_cnt[3051][6]~q\ & \led_flash_cnt[3051][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3051][6]~q\,
	datad => \led_flash_cnt[3051][5]~q\,
	combout => \WideAnd3051~1_combout\);

-- Location: LCCOMB_X45_Y33_N4
\WideAnd3051~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3051~0_combout\ = (\led_flash_cnt[3051][1]~q\ & (\led_flash_cnt[3051][3]~q\ & (\led_flash_cnt[3051][2]~q\ & \led_flash_cnt[3051][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3051][1]~q\,
	datab => \led_flash_cnt[3051][3]~q\,
	datac => \led_flash_cnt[3051][2]~q\,
	datad => \led_flash_cnt[3051][4]~q\,
	combout => \WideAnd3051~0_combout\);

-- Location: LCCOMB_X45_Y33_N24
\led_flash_cnt[3051][7]~69606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3051][7]~69606_combout\ = \led_flash_cnt[3051][6]~69605\ $ (!\led_flash_cnt[3051][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3051][7]~q\,
	cin => \led_flash_cnt[3051][6]~69605\,
	combout => \led_flash_cnt[3051][7]~69606_combout\);

-- Location: FF_X45_Y33_N25
\led_flash_cnt[3051][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3051][7]~69606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3051][7]~q\);

-- Location: LCCOMB_X45_Y33_N10
WideAnd3051 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3051~combout\ = (\WideAnd3051~1_combout\ & (\led_flash_cnt[3051][0]~q\ & (\WideAnd3051~0_combout\ & \led_flash_cnt[3051][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3051~1_combout\,
	datab => \led_flash_cnt[3051][0]~q\,
	datac => \WideAnd3051~0_combout\,
	datad => \led_flash_cnt[3051][7]~q\,
	combout => \WideAnd3051~combout\);

-- Location: FF_X45_Y33_N11
\led_flash_cnt_ands[3051]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3051~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3051));

-- Location: LCCOMB_X37_Y34_N22
\led_flash_cnt[3048][0]~83688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3048][0]~83688_combout\ = !\led_flash_cnt[3048][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3048][0]~q\,
	combout => \led_flash_cnt[3048][0]~83688_combout\);

-- Location: FF_X37_Y34_N23
\led_flash_cnt[3048][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3048][0]~83688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3048][0]~q\);

-- Location: LCCOMB_X37_Y34_N2
\led_flash_cnt[3048][1]~69552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3048][1]~69552_combout\ = (\led_flash_cnt[3048][0]~q\ & (\led_flash_cnt[3048][1]~q\ $ (VCC))) # (!\led_flash_cnt[3048][0]~q\ & (\led_flash_cnt[3048][1]~q\ & VCC))
-- \led_flash_cnt[3048][1]~69553\ = CARRY((\led_flash_cnt[3048][0]~q\ & \led_flash_cnt[3048][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3048][0]~q\,
	datab => \led_flash_cnt[3048][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3048][1]~69552_combout\,
	cout => \led_flash_cnt[3048][1]~69553\);

-- Location: FF_X37_Y34_N3
\led_flash_cnt[3048][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3048][1]~69552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3048][1]~q\);

-- Location: LCCOMB_X37_Y34_N4
\led_flash_cnt[3048][2]~69554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3048][2]~69554_combout\ = (\led_flash_cnt[3048][2]~q\ & (!\led_flash_cnt[3048][1]~69553\)) # (!\led_flash_cnt[3048][2]~q\ & ((\led_flash_cnt[3048][1]~69553\) # (GND)))
-- \led_flash_cnt[3048][2]~69555\ = CARRY((!\led_flash_cnt[3048][1]~69553\) # (!\led_flash_cnt[3048][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3048][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3048][1]~69553\,
	combout => \led_flash_cnt[3048][2]~69554_combout\,
	cout => \led_flash_cnt[3048][2]~69555\);

-- Location: FF_X37_Y34_N5
\led_flash_cnt[3048][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3048][2]~69554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3048][2]~q\);

-- Location: LCCOMB_X37_Y34_N6
\led_flash_cnt[3048][3]~69556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3048][3]~69556_combout\ = (\led_flash_cnt[3048][3]~q\ & (\led_flash_cnt[3048][2]~69555\ $ (GND))) # (!\led_flash_cnt[3048][3]~q\ & (!\led_flash_cnt[3048][2]~69555\ & VCC))
-- \led_flash_cnt[3048][3]~69557\ = CARRY((\led_flash_cnt[3048][3]~q\ & !\led_flash_cnt[3048][2]~69555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3048][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3048][2]~69555\,
	combout => \led_flash_cnt[3048][3]~69556_combout\,
	cout => \led_flash_cnt[3048][3]~69557\);

-- Location: FF_X37_Y34_N7
\led_flash_cnt[3048][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3048][3]~69556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3048][3]~q\);

-- Location: LCCOMB_X37_Y34_N8
\led_flash_cnt[3048][4]~69558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3048][4]~69558_combout\ = (\led_flash_cnt[3048][4]~q\ & (!\led_flash_cnt[3048][3]~69557\)) # (!\led_flash_cnt[3048][4]~q\ & ((\led_flash_cnt[3048][3]~69557\) # (GND)))
-- \led_flash_cnt[3048][4]~69559\ = CARRY((!\led_flash_cnt[3048][3]~69557\) # (!\led_flash_cnt[3048][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3048][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3048][3]~69557\,
	combout => \led_flash_cnt[3048][4]~69558_combout\,
	cout => \led_flash_cnt[3048][4]~69559\);

-- Location: FF_X37_Y34_N9
\led_flash_cnt[3048][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3048][4]~69558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3048][4]~q\);

-- Location: LCCOMB_X37_Y34_N26
\WideAnd3048~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3048~0_combout\ = (\led_flash_cnt[3048][3]~q\ & (\led_flash_cnt[3048][4]~q\ & (\led_flash_cnt[3048][2]~q\ & \led_flash_cnt[3048][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3048][3]~q\,
	datab => \led_flash_cnt[3048][4]~q\,
	datac => \led_flash_cnt[3048][2]~q\,
	datad => \led_flash_cnt[3048][1]~q\,
	combout => \WideAnd3048~0_combout\);

-- Location: LCCOMB_X37_Y34_N10
\led_flash_cnt[3048][5]~69560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3048][5]~69560_combout\ = (\led_flash_cnt[3048][5]~q\ & (\led_flash_cnt[3048][4]~69559\ $ (GND))) # (!\led_flash_cnt[3048][5]~q\ & (!\led_flash_cnt[3048][4]~69559\ & VCC))
-- \led_flash_cnt[3048][5]~69561\ = CARRY((\led_flash_cnt[3048][5]~q\ & !\led_flash_cnt[3048][4]~69559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3048][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3048][4]~69559\,
	combout => \led_flash_cnt[3048][5]~69560_combout\,
	cout => \led_flash_cnt[3048][5]~69561\);

-- Location: FF_X37_Y34_N11
\led_flash_cnt[3048][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3048][5]~69560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3048][5]~q\);

-- Location: LCCOMB_X37_Y34_N12
\led_flash_cnt[3048][6]~69562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3048][6]~69562_combout\ = (\led_flash_cnt[3048][6]~q\ & (!\led_flash_cnt[3048][5]~69561\)) # (!\led_flash_cnt[3048][6]~q\ & ((\led_flash_cnt[3048][5]~69561\) # (GND)))
-- \led_flash_cnt[3048][6]~69563\ = CARRY((!\led_flash_cnt[3048][5]~69561\) # (!\led_flash_cnt[3048][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3048][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3048][5]~69561\,
	combout => \led_flash_cnt[3048][6]~69562_combout\,
	cout => \led_flash_cnt[3048][6]~69563\);

-- Location: FF_X37_Y34_N13
\led_flash_cnt[3048][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3048][6]~69562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3048][6]~q\);

-- Location: LCCOMB_X37_Y34_N14
\led_flash_cnt[3048][7]~69564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3048][7]~69564_combout\ = \led_flash_cnt[3048][7]~q\ $ (!\led_flash_cnt[3048][6]~69563\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3048][7]~q\,
	cin => \led_flash_cnt[3048][6]~69563\,
	combout => \led_flash_cnt[3048][7]~69564_combout\);

-- Location: FF_X37_Y34_N15
\led_flash_cnt[3048][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3048][7]~69564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3048][7]~q\);

-- Location: LCCOMB_X37_Y34_N0
\WideAnd3048~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3048~1_combout\ = (\led_flash_cnt[3048][5]~q\ & \led_flash_cnt[3048][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3048][5]~q\,
	datad => \led_flash_cnt[3048][6]~q\,
	combout => \WideAnd3048~1_combout\);

-- Location: LCCOMB_X37_Y34_N30
WideAnd3048 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3048~combout\ = (\WideAnd3048~0_combout\ & (\led_flash_cnt[3048][7]~q\ & (\led_flash_cnt[3048][0]~q\ & \WideAnd3048~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3048~0_combout\,
	datab => \led_flash_cnt[3048][7]~q\,
	datac => \led_flash_cnt[3048][0]~q\,
	datad => \WideAnd3048~1_combout\,
	combout => \WideAnd3048~combout\);

-- Location: FF_X37_Y34_N31
\led_flash_cnt_ands[3048]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3048~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3048));

-- Location: LCCOMB_X38_Y33_N30
\WideAnd4221~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4221~0_combout\ = (led_flash_cnt_ands(3050) & (led_flash_cnt_ands(3049) & (led_flash_cnt_ands(3051) & led_flash_cnt_ands(3048))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3050),
	datab => led_flash_cnt_ands(3049),
	datac => led_flash_cnt_ands(3051),
	datad => led_flash_cnt_ands(3048),
	combout => \WideAnd4221~0_combout\);

-- Location: LCCOMB_X38_Y32_N6
\led_flash_cnt[3054][0]~83694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3054][0]~83694_combout\ = !\led_flash_cnt[3054][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3054][0]~q\,
	combout => \led_flash_cnt[3054][0]~83694_combout\);

-- Location: FF_X38_Y32_N7
\led_flash_cnt[3054][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3054][0]~83694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3054][0]~q\);

-- Location: LCCOMB_X39_Y32_N18
\led_flash_cnt[3054][1]~69636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3054][1]~69636_combout\ = (\led_flash_cnt[3054][0]~q\ & (\led_flash_cnt[3054][1]~q\ $ (VCC))) # (!\led_flash_cnt[3054][0]~q\ & (\led_flash_cnt[3054][1]~q\ & VCC))
-- \led_flash_cnt[3054][1]~69637\ = CARRY((\led_flash_cnt[3054][0]~q\ & \led_flash_cnt[3054][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3054][0]~q\,
	datab => \led_flash_cnt[3054][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3054][1]~69636_combout\,
	cout => \led_flash_cnt[3054][1]~69637\);

-- Location: FF_X39_Y32_N19
\led_flash_cnt[3054][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3054][1]~69636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3054][1]~q\);

-- Location: LCCOMB_X39_Y32_N20
\led_flash_cnt[3054][2]~69638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3054][2]~69638_combout\ = (\led_flash_cnt[3054][2]~q\ & (!\led_flash_cnt[3054][1]~69637\)) # (!\led_flash_cnt[3054][2]~q\ & ((\led_flash_cnt[3054][1]~69637\) # (GND)))
-- \led_flash_cnt[3054][2]~69639\ = CARRY((!\led_flash_cnt[3054][1]~69637\) # (!\led_flash_cnt[3054][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3054][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3054][1]~69637\,
	combout => \led_flash_cnt[3054][2]~69638_combout\,
	cout => \led_flash_cnt[3054][2]~69639\);

-- Location: FF_X39_Y32_N21
\led_flash_cnt[3054][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3054][2]~69638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3054][2]~q\);

-- Location: LCCOMB_X39_Y32_N22
\led_flash_cnt[3054][3]~69640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3054][3]~69640_combout\ = (\led_flash_cnt[3054][3]~q\ & (\led_flash_cnt[3054][2]~69639\ $ (GND))) # (!\led_flash_cnt[3054][3]~q\ & (!\led_flash_cnt[3054][2]~69639\ & VCC))
-- \led_flash_cnt[3054][3]~69641\ = CARRY((\led_flash_cnt[3054][3]~q\ & !\led_flash_cnt[3054][2]~69639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3054][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3054][2]~69639\,
	combout => \led_flash_cnt[3054][3]~69640_combout\,
	cout => \led_flash_cnt[3054][3]~69641\);

-- Location: FF_X39_Y32_N23
\led_flash_cnt[3054][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3054][3]~69640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3054][3]~q\);

-- Location: LCCOMB_X39_Y32_N24
\led_flash_cnt[3054][4]~69642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3054][4]~69642_combout\ = (\led_flash_cnt[3054][4]~q\ & (!\led_flash_cnt[3054][3]~69641\)) # (!\led_flash_cnt[3054][4]~q\ & ((\led_flash_cnt[3054][3]~69641\) # (GND)))
-- \led_flash_cnt[3054][4]~69643\ = CARRY((!\led_flash_cnt[3054][3]~69641\) # (!\led_flash_cnt[3054][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3054][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3054][3]~69641\,
	combout => \led_flash_cnt[3054][4]~69642_combout\,
	cout => \led_flash_cnt[3054][4]~69643\);

-- Location: FF_X39_Y32_N25
\led_flash_cnt[3054][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3054][4]~69642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3054][4]~q\);

-- Location: LCCOMB_X39_Y32_N26
\led_flash_cnt[3054][5]~69644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3054][5]~69644_combout\ = (\led_flash_cnt[3054][5]~q\ & (\led_flash_cnt[3054][4]~69643\ $ (GND))) # (!\led_flash_cnt[3054][5]~q\ & (!\led_flash_cnt[3054][4]~69643\ & VCC))
-- \led_flash_cnt[3054][5]~69645\ = CARRY((\led_flash_cnt[3054][5]~q\ & !\led_flash_cnt[3054][4]~69643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3054][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3054][4]~69643\,
	combout => \led_flash_cnt[3054][5]~69644_combout\,
	cout => \led_flash_cnt[3054][5]~69645\);

-- Location: FF_X39_Y32_N27
\led_flash_cnt[3054][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3054][5]~69644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3054][5]~q\);

-- Location: LCCOMB_X39_Y32_N28
\led_flash_cnt[3054][6]~69646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3054][6]~69646_combout\ = (\led_flash_cnt[3054][6]~q\ & (!\led_flash_cnt[3054][5]~69645\)) # (!\led_flash_cnt[3054][6]~q\ & ((\led_flash_cnt[3054][5]~69645\) # (GND)))
-- \led_flash_cnt[3054][6]~69647\ = CARRY((!\led_flash_cnt[3054][5]~69645\) # (!\led_flash_cnt[3054][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3054][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3054][5]~69645\,
	combout => \led_flash_cnt[3054][6]~69646_combout\,
	cout => \led_flash_cnt[3054][6]~69647\);

-- Location: FF_X39_Y32_N29
\led_flash_cnt[3054][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3054][6]~69646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3054][6]~q\);

-- Location: LCCOMB_X38_Y32_N30
\WideAnd3054~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3054~1_combout\ = (\led_flash_cnt[3054][6]~q\ & \led_flash_cnt[3054][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3054][6]~q\,
	datad => \led_flash_cnt[3054][5]~q\,
	combout => \WideAnd3054~1_combout\);

-- Location: LCCOMB_X39_Y32_N16
\WideAnd3054~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3054~0_combout\ = (\led_flash_cnt[3054][4]~q\ & (\led_flash_cnt[3054][2]~q\ & (\led_flash_cnt[3054][3]~q\ & \led_flash_cnt[3054][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3054][4]~q\,
	datab => \led_flash_cnt[3054][2]~q\,
	datac => \led_flash_cnt[3054][3]~q\,
	datad => \led_flash_cnt[3054][1]~q\,
	combout => \WideAnd3054~0_combout\);

-- Location: LCCOMB_X39_Y32_N30
\led_flash_cnt[3054][7]~69648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3054][7]~69648_combout\ = \led_flash_cnt[3054][7]~q\ $ (!\led_flash_cnt[3054][6]~69647\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3054][7]~q\,
	cin => \led_flash_cnt[3054][6]~69647\,
	combout => \led_flash_cnt[3054][7]~69648_combout\);

-- Location: FF_X39_Y32_N31
\led_flash_cnt[3054][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3054][7]~69648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3054][7]~q\);

-- Location: LCCOMB_X38_Y32_N28
WideAnd3054 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3054~combout\ = (\WideAnd3054~1_combout\ & (\WideAnd3054~0_combout\ & (\led_flash_cnt[3054][7]~q\ & \led_flash_cnt[3054][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3054~1_combout\,
	datab => \WideAnd3054~0_combout\,
	datac => \led_flash_cnt[3054][7]~q\,
	datad => \led_flash_cnt[3054][0]~q\,
	combout => \WideAnd3054~combout\);

-- Location: FF_X38_Y32_N29
\led_flash_cnt_ands[3054]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3054~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3054));

-- Location: LCCOMB_X38_Y32_N22
WideAnd4221 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4221~combout\ = (led_flash_cnt_ands(3055) & (\WideAnd4221~1_combout\ & (\WideAnd4221~0_combout\ & led_flash_cnt_ands(3054))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3055),
	datab => \WideAnd4221~1_combout\,
	datac => \WideAnd4221~0_combout\,
	datad => led_flash_cnt_ands(3054),
	combout => \WideAnd4221~combout\);

-- Location: FF_X38_Y32_N23
\led_flash_cnt_ands_1[381]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4221~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(381));

-- Location: LCCOMB_X39_Y34_N10
\WideAnd4367~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4367~1_combout\ = (led_flash_cnt_ands_1(380) & led_flash_cnt_ands_1(381))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(380),
	datad => led_flash_cnt_ands_1(381),
	combout => \WideAnd4367~1_combout\);

-- Location: LCCOMB_X39_Y34_N28
WideAnd4367 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4367~combout\ = (\WideAnd4367~0_combout\ & (led_flash_cnt_ands_1(383) & (led_flash_cnt_ands_1(382) & \WideAnd4367~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4367~0_combout\,
	datab => led_flash_cnt_ands_1(383),
	datac => led_flash_cnt_ands_1(382),
	datad => \WideAnd4367~1_combout\,
	combout => \WideAnd4367~combout\);

-- Location: FF_X39_Y34_N29
\led_flash_cnt_ands_2[47]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4367~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(47));

-- Location: LCCOMB_X55_Y31_N26
\WideAnd4380~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~13_combout\ = (led_flash_cnt_ands_2(44) & (led_flash_cnt_ands_2(45) & (led_flash_cnt_ands_2(46) & led_flash_cnt_ands_2(47))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(44),
	datab => led_flash_cnt_ands_2(45),
	datac => led_flash_cnt_ands_2(46),
	datad => led_flash_cnt_ands_2(47),
	combout => \WideAnd4380~13_combout\);

-- Location: LCCOMB_X40_Y8_N26
\led_flash_cnt[2327][0]~82967\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2327][0]~82967_combout\ = !\led_flash_cnt[2327][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2327][0]~q\,
	combout => \led_flash_cnt[2327][0]~82967_combout\);

-- Location: FF_X40_Y8_N27
\led_flash_cnt[2327][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2327][0]~82967_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2327][0]~q\);

-- Location: LCCOMB_X40_Y8_N4
\led_flash_cnt[2327][1]~59458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2327][1]~59458_combout\ = (\led_flash_cnt[2327][0]~q\ & (\led_flash_cnt[2327][1]~q\ $ (VCC))) # (!\led_flash_cnt[2327][0]~q\ & (\led_flash_cnt[2327][1]~q\ & VCC))
-- \led_flash_cnt[2327][1]~59459\ = CARRY((\led_flash_cnt[2327][0]~q\ & \led_flash_cnt[2327][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2327][0]~q\,
	datab => \led_flash_cnt[2327][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2327][1]~59458_combout\,
	cout => \led_flash_cnt[2327][1]~59459\);

-- Location: FF_X40_Y8_N5
\led_flash_cnt[2327][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2327][1]~59458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2327][1]~q\);

-- Location: LCCOMB_X40_Y8_N6
\led_flash_cnt[2327][2]~59460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2327][2]~59460_combout\ = (\led_flash_cnt[2327][2]~q\ & (!\led_flash_cnt[2327][1]~59459\)) # (!\led_flash_cnt[2327][2]~q\ & ((\led_flash_cnt[2327][1]~59459\) # (GND)))
-- \led_flash_cnt[2327][2]~59461\ = CARRY((!\led_flash_cnt[2327][1]~59459\) # (!\led_flash_cnt[2327][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2327][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2327][1]~59459\,
	combout => \led_flash_cnt[2327][2]~59460_combout\,
	cout => \led_flash_cnt[2327][2]~59461\);

-- Location: FF_X40_Y8_N7
\led_flash_cnt[2327][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2327][2]~59460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2327][2]~q\);

-- Location: LCCOMB_X40_Y8_N8
\led_flash_cnt[2327][3]~59462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2327][3]~59462_combout\ = (\led_flash_cnt[2327][3]~q\ & (\led_flash_cnt[2327][2]~59461\ $ (GND))) # (!\led_flash_cnt[2327][3]~q\ & (!\led_flash_cnt[2327][2]~59461\ & VCC))
-- \led_flash_cnt[2327][3]~59463\ = CARRY((\led_flash_cnt[2327][3]~q\ & !\led_flash_cnt[2327][2]~59461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2327][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2327][2]~59461\,
	combout => \led_flash_cnt[2327][3]~59462_combout\,
	cout => \led_flash_cnt[2327][3]~59463\);

-- Location: FF_X40_Y8_N9
\led_flash_cnt[2327][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2327][3]~59462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2327][3]~q\);

-- Location: LCCOMB_X40_Y8_N10
\led_flash_cnt[2327][4]~59464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2327][4]~59464_combout\ = (\led_flash_cnt[2327][4]~q\ & (!\led_flash_cnt[2327][3]~59463\)) # (!\led_flash_cnt[2327][4]~q\ & ((\led_flash_cnt[2327][3]~59463\) # (GND)))
-- \led_flash_cnt[2327][4]~59465\ = CARRY((!\led_flash_cnt[2327][3]~59463\) # (!\led_flash_cnt[2327][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2327][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2327][3]~59463\,
	combout => \led_flash_cnt[2327][4]~59464_combout\,
	cout => \led_flash_cnt[2327][4]~59465\);

-- Location: FF_X40_Y8_N11
\led_flash_cnt[2327][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2327][4]~59464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2327][4]~q\);

-- Location: LCCOMB_X40_Y8_N22
\WideAnd2327~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2327~0_combout\ = (\led_flash_cnt[2327][2]~q\ & (\led_flash_cnt[2327][1]~q\ & (\led_flash_cnt[2327][3]~q\ & \led_flash_cnt[2327][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2327][2]~q\,
	datab => \led_flash_cnt[2327][1]~q\,
	datac => \led_flash_cnt[2327][3]~q\,
	datad => \led_flash_cnt[2327][4]~q\,
	combout => \WideAnd2327~0_combout\);

-- Location: LCCOMB_X40_Y8_N12
\led_flash_cnt[2327][5]~59466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2327][5]~59466_combout\ = (\led_flash_cnt[2327][5]~q\ & (\led_flash_cnt[2327][4]~59465\ $ (GND))) # (!\led_flash_cnt[2327][5]~q\ & (!\led_flash_cnt[2327][4]~59465\ & VCC))
-- \led_flash_cnt[2327][5]~59467\ = CARRY((\led_flash_cnt[2327][5]~q\ & !\led_flash_cnt[2327][4]~59465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2327][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2327][4]~59465\,
	combout => \led_flash_cnt[2327][5]~59466_combout\,
	cout => \led_flash_cnt[2327][5]~59467\);

-- Location: FF_X40_Y8_N13
\led_flash_cnt[2327][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2327][5]~59466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2327][5]~q\);

-- Location: LCCOMB_X40_Y8_N14
\led_flash_cnt[2327][6]~59468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2327][6]~59468_combout\ = (\led_flash_cnt[2327][6]~q\ & (!\led_flash_cnt[2327][5]~59467\)) # (!\led_flash_cnt[2327][6]~q\ & ((\led_flash_cnt[2327][5]~59467\) # (GND)))
-- \led_flash_cnt[2327][6]~59469\ = CARRY((!\led_flash_cnt[2327][5]~59467\) # (!\led_flash_cnt[2327][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2327][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2327][5]~59467\,
	combout => \led_flash_cnt[2327][6]~59468_combout\,
	cout => \led_flash_cnt[2327][6]~59469\);

-- Location: FF_X40_Y8_N15
\led_flash_cnt[2327][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2327][6]~59468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2327][6]~q\);

-- Location: LCCOMB_X40_Y8_N24
\WideAnd2327~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2327~1_combout\ = (\led_flash_cnt[2327][6]~q\ & \led_flash_cnt[2327][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2327][6]~q\,
	datad => \led_flash_cnt[2327][5]~q\,
	combout => \WideAnd2327~1_combout\);

-- Location: LCCOMB_X40_Y8_N16
\led_flash_cnt[2327][7]~59470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2327][7]~59470_combout\ = \led_flash_cnt[2327][6]~59469\ $ (!\led_flash_cnt[2327][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2327][7]~q\,
	cin => \led_flash_cnt[2327][6]~59469\,
	combout => \led_flash_cnt[2327][7]~59470_combout\);

-- Location: FF_X40_Y8_N17
\led_flash_cnt[2327][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2327][7]~59470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2327][7]~q\);

-- Location: LCCOMB_X40_Y8_N30
WideAnd2327 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2327~combout\ = (\WideAnd2327~0_combout\ & (\WideAnd2327~1_combout\ & (\led_flash_cnt[2327][0]~q\ & \led_flash_cnt[2327][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2327~0_combout\,
	datab => \WideAnd2327~1_combout\,
	datac => \led_flash_cnt[2327][0]~q\,
	datad => \led_flash_cnt[2327][7]~q\,
	combout => \WideAnd2327~combout\);

-- Location: FF_X40_Y8_N31
\led_flash_cnt_ands[2327]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2327~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2327));

-- Location: LCCOMB_X39_Y9_N26
\led_flash_cnt[2320][0]~82960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2320][0]~82960_combout\ = !\led_flash_cnt[2320][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2320][0]~q\,
	combout => \led_flash_cnt[2320][0]~82960_combout\);

-- Location: FF_X39_Y9_N27
\led_flash_cnt[2320][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2320][0]~82960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2320][0]~q\);

-- Location: LCCOMB_X39_Y9_N6
\led_flash_cnt[2320][1]~59360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2320][1]~59360_combout\ = (\led_flash_cnt[2320][0]~q\ & (\led_flash_cnt[2320][1]~q\ $ (VCC))) # (!\led_flash_cnt[2320][0]~q\ & (\led_flash_cnt[2320][1]~q\ & VCC))
-- \led_flash_cnt[2320][1]~59361\ = CARRY((\led_flash_cnt[2320][0]~q\ & \led_flash_cnt[2320][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2320][0]~q\,
	datab => \led_flash_cnt[2320][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2320][1]~59360_combout\,
	cout => \led_flash_cnt[2320][1]~59361\);

-- Location: FF_X39_Y9_N7
\led_flash_cnt[2320][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2320][1]~59360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2320][1]~q\);

-- Location: LCCOMB_X39_Y9_N8
\led_flash_cnt[2320][2]~59362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2320][2]~59362_combout\ = (\led_flash_cnt[2320][2]~q\ & (!\led_flash_cnt[2320][1]~59361\)) # (!\led_flash_cnt[2320][2]~q\ & ((\led_flash_cnt[2320][1]~59361\) # (GND)))
-- \led_flash_cnt[2320][2]~59363\ = CARRY((!\led_flash_cnt[2320][1]~59361\) # (!\led_flash_cnt[2320][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2320][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2320][1]~59361\,
	combout => \led_flash_cnt[2320][2]~59362_combout\,
	cout => \led_flash_cnt[2320][2]~59363\);

-- Location: FF_X39_Y9_N9
\led_flash_cnt[2320][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2320][2]~59362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2320][2]~q\);

-- Location: LCCOMB_X39_Y9_N10
\led_flash_cnt[2320][3]~59364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2320][3]~59364_combout\ = (\led_flash_cnt[2320][3]~q\ & (\led_flash_cnt[2320][2]~59363\ $ (GND))) # (!\led_flash_cnt[2320][3]~q\ & (!\led_flash_cnt[2320][2]~59363\ & VCC))
-- \led_flash_cnt[2320][3]~59365\ = CARRY((\led_flash_cnt[2320][3]~q\ & !\led_flash_cnt[2320][2]~59363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2320][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2320][2]~59363\,
	combout => \led_flash_cnt[2320][3]~59364_combout\,
	cout => \led_flash_cnt[2320][3]~59365\);

-- Location: FF_X39_Y9_N11
\led_flash_cnt[2320][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2320][3]~59364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2320][3]~q\);

-- Location: LCCOMB_X39_Y9_N12
\led_flash_cnt[2320][4]~59366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2320][4]~59366_combout\ = (\led_flash_cnt[2320][4]~q\ & (!\led_flash_cnt[2320][3]~59365\)) # (!\led_flash_cnt[2320][4]~q\ & ((\led_flash_cnt[2320][3]~59365\) # (GND)))
-- \led_flash_cnt[2320][4]~59367\ = CARRY((!\led_flash_cnt[2320][3]~59365\) # (!\led_flash_cnt[2320][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2320][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2320][3]~59365\,
	combout => \led_flash_cnt[2320][4]~59366_combout\,
	cout => \led_flash_cnt[2320][4]~59367\);

-- Location: FF_X39_Y9_N13
\led_flash_cnt[2320][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2320][4]~59366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2320][4]~q\);

-- Location: LCCOMB_X39_Y9_N14
\led_flash_cnt[2320][5]~59368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2320][5]~59368_combout\ = (\led_flash_cnt[2320][5]~q\ & (\led_flash_cnt[2320][4]~59367\ $ (GND))) # (!\led_flash_cnt[2320][5]~q\ & (!\led_flash_cnt[2320][4]~59367\ & VCC))
-- \led_flash_cnt[2320][5]~59369\ = CARRY((\led_flash_cnt[2320][5]~q\ & !\led_flash_cnt[2320][4]~59367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2320][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2320][4]~59367\,
	combout => \led_flash_cnt[2320][5]~59368_combout\,
	cout => \led_flash_cnt[2320][5]~59369\);

-- Location: FF_X39_Y9_N15
\led_flash_cnt[2320][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2320][5]~59368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2320][5]~q\);

-- Location: LCCOMB_X39_Y9_N16
\led_flash_cnt[2320][6]~59370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2320][6]~59370_combout\ = (\led_flash_cnt[2320][6]~q\ & (!\led_flash_cnt[2320][5]~59369\)) # (!\led_flash_cnt[2320][6]~q\ & ((\led_flash_cnt[2320][5]~59369\) # (GND)))
-- \led_flash_cnt[2320][6]~59371\ = CARRY((!\led_flash_cnt[2320][5]~59369\) # (!\led_flash_cnt[2320][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2320][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2320][5]~59369\,
	combout => \led_flash_cnt[2320][6]~59370_combout\,
	cout => \led_flash_cnt[2320][6]~59371\);

-- Location: FF_X39_Y9_N17
\led_flash_cnt[2320][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2320][6]~59370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2320][6]~q\);

-- Location: LCCOMB_X39_Y9_N18
\led_flash_cnt[2320][7]~59372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2320][7]~59372_combout\ = \led_flash_cnt[2320][6]~59371\ $ (!\led_flash_cnt[2320][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2320][7]~q\,
	cin => \led_flash_cnt[2320][6]~59371\,
	combout => \led_flash_cnt[2320][7]~59372_combout\);

-- Location: FF_X39_Y9_N19
\led_flash_cnt[2320][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2320][7]~59372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2320][7]~q\);

-- Location: LCCOMB_X39_Y9_N30
\WideAnd2320~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2320~0_combout\ = (\led_flash_cnt[2320][4]~q\ & (\led_flash_cnt[2320][1]~q\ & (\led_flash_cnt[2320][2]~q\ & \led_flash_cnt[2320][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2320][4]~q\,
	datab => \led_flash_cnt[2320][1]~q\,
	datac => \led_flash_cnt[2320][2]~q\,
	datad => \led_flash_cnt[2320][3]~q\,
	combout => \WideAnd2320~0_combout\);

-- Location: LCCOMB_X39_Y9_N20
\WideAnd2320~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2320~1_combout\ = (\led_flash_cnt[2320][5]~q\ & \led_flash_cnt[2320][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2320][5]~q\,
	datad => \led_flash_cnt[2320][6]~q\,
	combout => \WideAnd2320~1_combout\);

-- Location: LCCOMB_X39_Y9_N28
WideAnd2320 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2320~combout\ = (\led_flash_cnt[2320][0]~q\ & (\led_flash_cnt[2320][7]~q\ & (\WideAnd2320~0_combout\ & \WideAnd2320~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2320][0]~q\,
	datab => \led_flash_cnt[2320][7]~q\,
	datac => \WideAnd2320~0_combout\,
	datad => \WideAnd2320~1_combout\,
	combout => \WideAnd2320~combout\);

-- Location: FF_X39_Y9_N29
\led_flash_cnt_ands[2320]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2320~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2320));

-- Location: LCCOMB_X39_Y9_N4
\led_flash_cnt[2323][0]~82963\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2323][0]~82963_combout\ = !\led_flash_cnt[2323][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2323][0]~q\,
	combout => \led_flash_cnt[2323][0]~82963_combout\);

-- Location: FF_X39_Y9_N5
\led_flash_cnt[2323][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2323][0]~82963_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2323][0]~q\);

-- Location: LCCOMB_X39_Y5_N4
\led_flash_cnt[2323][1]~59402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2323][1]~59402_combout\ = (\led_flash_cnt[2323][0]~q\ & (\led_flash_cnt[2323][1]~q\ $ (VCC))) # (!\led_flash_cnt[2323][0]~q\ & (\led_flash_cnt[2323][1]~q\ & VCC))
-- \led_flash_cnt[2323][1]~59403\ = CARRY((\led_flash_cnt[2323][0]~q\ & \led_flash_cnt[2323][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2323][0]~q\,
	datab => \led_flash_cnt[2323][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2323][1]~59402_combout\,
	cout => \led_flash_cnt[2323][1]~59403\);

-- Location: FF_X39_Y5_N5
\led_flash_cnt[2323][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2323][1]~59402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2323][1]~q\);

-- Location: LCCOMB_X39_Y5_N6
\led_flash_cnt[2323][2]~59404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2323][2]~59404_combout\ = (\led_flash_cnt[2323][2]~q\ & (!\led_flash_cnt[2323][1]~59403\)) # (!\led_flash_cnt[2323][2]~q\ & ((\led_flash_cnt[2323][1]~59403\) # (GND)))
-- \led_flash_cnt[2323][2]~59405\ = CARRY((!\led_flash_cnt[2323][1]~59403\) # (!\led_flash_cnt[2323][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2323][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2323][1]~59403\,
	combout => \led_flash_cnt[2323][2]~59404_combout\,
	cout => \led_flash_cnt[2323][2]~59405\);

-- Location: FF_X39_Y5_N7
\led_flash_cnt[2323][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2323][2]~59404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2323][2]~q\);

-- Location: LCCOMB_X39_Y5_N8
\led_flash_cnt[2323][3]~59406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2323][3]~59406_combout\ = (\led_flash_cnt[2323][3]~q\ & (\led_flash_cnt[2323][2]~59405\ $ (GND))) # (!\led_flash_cnt[2323][3]~q\ & (!\led_flash_cnt[2323][2]~59405\ & VCC))
-- \led_flash_cnt[2323][3]~59407\ = CARRY((\led_flash_cnt[2323][3]~q\ & !\led_flash_cnt[2323][2]~59405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2323][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2323][2]~59405\,
	combout => \led_flash_cnt[2323][3]~59406_combout\,
	cout => \led_flash_cnt[2323][3]~59407\);

-- Location: FF_X39_Y5_N9
\led_flash_cnt[2323][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2323][3]~59406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2323][3]~q\);

-- Location: LCCOMB_X39_Y5_N10
\led_flash_cnt[2323][4]~59408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2323][4]~59408_combout\ = (\led_flash_cnt[2323][4]~q\ & (!\led_flash_cnt[2323][3]~59407\)) # (!\led_flash_cnt[2323][4]~q\ & ((\led_flash_cnt[2323][3]~59407\) # (GND)))
-- \led_flash_cnt[2323][4]~59409\ = CARRY((!\led_flash_cnt[2323][3]~59407\) # (!\led_flash_cnt[2323][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2323][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2323][3]~59407\,
	combout => \led_flash_cnt[2323][4]~59408_combout\,
	cout => \led_flash_cnt[2323][4]~59409\);

-- Location: FF_X39_Y5_N11
\led_flash_cnt[2323][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2323][4]~59408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2323][4]~q\);

-- Location: LCCOMB_X39_Y5_N2
\WideAnd2323~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2323~0_combout\ = (\led_flash_cnt[2323][4]~q\ & (\led_flash_cnt[2323][3]~q\ & (\led_flash_cnt[2323][1]~q\ & \led_flash_cnt[2323][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2323][4]~q\,
	datab => \led_flash_cnt[2323][3]~q\,
	datac => \led_flash_cnt[2323][1]~q\,
	datad => \led_flash_cnt[2323][2]~q\,
	combout => \WideAnd2323~0_combout\);

-- Location: LCCOMB_X39_Y5_N12
\led_flash_cnt[2323][5]~59410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2323][5]~59410_combout\ = (\led_flash_cnt[2323][5]~q\ & (\led_flash_cnt[2323][4]~59409\ $ (GND))) # (!\led_flash_cnt[2323][5]~q\ & (!\led_flash_cnt[2323][4]~59409\ & VCC))
-- \led_flash_cnt[2323][5]~59411\ = CARRY((\led_flash_cnt[2323][5]~q\ & !\led_flash_cnt[2323][4]~59409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2323][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2323][4]~59409\,
	combout => \led_flash_cnt[2323][5]~59410_combout\,
	cout => \led_flash_cnt[2323][5]~59411\);

-- Location: FF_X39_Y5_N13
\led_flash_cnt[2323][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2323][5]~59410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2323][5]~q\);

-- Location: LCCOMB_X39_Y5_N14
\led_flash_cnt[2323][6]~59412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2323][6]~59412_combout\ = (\led_flash_cnt[2323][6]~q\ & (!\led_flash_cnt[2323][5]~59411\)) # (!\led_flash_cnt[2323][6]~q\ & ((\led_flash_cnt[2323][5]~59411\) # (GND)))
-- \led_flash_cnt[2323][6]~59413\ = CARRY((!\led_flash_cnt[2323][5]~59411\) # (!\led_flash_cnt[2323][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2323][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2323][5]~59411\,
	combout => \led_flash_cnt[2323][6]~59412_combout\,
	cout => \led_flash_cnt[2323][6]~59413\);

-- Location: FF_X39_Y5_N15
\led_flash_cnt[2323][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2323][6]~59412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2323][6]~q\);

-- Location: LCCOMB_X39_Y5_N16
\led_flash_cnt[2323][7]~59414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2323][7]~59414_combout\ = \led_flash_cnt[2323][6]~59413\ $ (!\led_flash_cnt[2323][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2323][7]~q\,
	cin => \led_flash_cnt[2323][6]~59413\,
	combout => \led_flash_cnt[2323][7]~59414_combout\);

-- Location: FF_X39_Y5_N17
\led_flash_cnt[2323][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2323][7]~59414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2323][7]~q\);

-- Location: LCCOMB_X39_Y9_N24
\WideAnd2323~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2323~1_combout\ = (\led_flash_cnt[2323][5]~q\ & \led_flash_cnt[2323][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2323][5]~q\,
	datad => \led_flash_cnt[2323][6]~q\,
	combout => \WideAnd2323~1_combout\);

-- Location: LCCOMB_X39_Y9_N22
WideAnd2323 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2323~combout\ = (\WideAnd2323~0_combout\ & (\led_flash_cnt[2323][0]~q\ & (\led_flash_cnt[2323][7]~q\ & \WideAnd2323~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2323~0_combout\,
	datab => \led_flash_cnt[2323][0]~q\,
	datac => \led_flash_cnt[2323][7]~q\,
	datad => \WideAnd2323~1_combout\,
	combout => \WideAnd2323~combout\);

-- Location: FF_X39_Y9_N23
\led_flash_cnt_ands[2323]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2323~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2323));

-- Location: LCCOMB_X50_Y6_N2
\led_flash_cnt[2322][0]~82962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2322][0]~82962_combout\ = !\led_flash_cnt[2322][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2322][0]~q\,
	combout => \led_flash_cnt[2322][0]~82962_combout\);

-- Location: FF_X50_Y6_N3
\led_flash_cnt[2322][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2322][0]~82962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2322][0]~q\);

-- Location: LCCOMB_X49_Y6_N0
\led_flash_cnt[2322][1]~59388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2322][1]~59388_combout\ = (\led_flash_cnt[2322][0]~q\ & (\led_flash_cnt[2322][1]~q\ $ (VCC))) # (!\led_flash_cnt[2322][0]~q\ & (\led_flash_cnt[2322][1]~q\ & VCC))
-- \led_flash_cnt[2322][1]~59389\ = CARRY((\led_flash_cnt[2322][0]~q\ & \led_flash_cnt[2322][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2322][0]~q\,
	datab => \led_flash_cnt[2322][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2322][1]~59388_combout\,
	cout => \led_flash_cnt[2322][1]~59389\);

-- Location: FF_X49_Y6_N1
\led_flash_cnt[2322][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2322][1]~59388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2322][1]~q\);

-- Location: LCCOMB_X49_Y6_N2
\led_flash_cnt[2322][2]~59390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2322][2]~59390_combout\ = (\led_flash_cnt[2322][2]~q\ & (!\led_flash_cnt[2322][1]~59389\)) # (!\led_flash_cnt[2322][2]~q\ & ((\led_flash_cnt[2322][1]~59389\) # (GND)))
-- \led_flash_cnt[2322][2]~59391\ = CARRY((!\led_flash_cnt[2322][1]~59389\) # (!\led_flash_cnt[2322][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2322][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2322][1]~59389\,
	combout => \led_flash_cnt[2322][2]~59390_combout\,
	cout => \led_flash_cnt[2322][2]~59391\);

-- Location: FF_X49_Y6_N3
\led_flash_cnt[2322][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2322][2]~59390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2322][2]~q\);

-- Location: LCCOMB_X49_Y6_N4
\led_flash_cnt[2322][3]~59392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2322][3]~59392_combout\ = (\led_flash_cnt[2322][3]~q\ & (\led_flash_cnt[2322][2]~59391\ $ (GND))) # (!\led_flash_cnt[2322][3]~q\ & (!\led_flash_cnt[2322][2]~59391\ & VCC))
-- \led_flash_cnt[2322][3]~59393\ = CARRY((\led_flash_cnt[2322][3]~q\ & !\led_flash_cnt[2322][2]~59391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2322][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2322][2]~59391\,
	combout => \led_flash_cnt[2322][3]~59392_combout\,
	cout => \led_flash_cnt[2322][3]~59393\);

-- Location: FF_X49_Y6_N5
\led_flash_cnt[2322][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2322][3]~59392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2322][3]~q\);

-- Location: LCCOMB_X49_Y6_N6
\led_flash_cnt[2322][4]~59394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2322][4]~59394_combout\ = (\led_flash_cnt[2322][4]~q\ & (!\led_flash_cnt[2322][3]~59393\)) # (!\led_flash_cnt[2322][4]~q\ & ((\led_flash_cnt[2322][3]~59393\) # (GND)))
-- \led_flash_cnt[2322][4]~59395\ = CARRY((!\led_flash_cnt[2322][3]~59393\) # (!\led_flash_cnt[2322][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2322][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2322][3]~59393\,
	combout => \led_flash_cnt[2322][4]~59394_combout\,
	cout => \led_flash_cnt[2322][4]~59395\);

-- Location: FF_X49_Y6_N7
\led_flash_cnt[2322][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2322][4]~59394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2322][4]~q\);

-- Location: LCCOMB_X49_Y6_N8
\led_flash_cnt[2322][5]~59396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2322][5]~59396_combout\ = (\led_flash_cnt[2322][5]~q\ & (\led_flash_cnt[2322][4]~59395\ $ (GND))) # (!\led_flash_cnt[2322][5]~q\ & (!\led_flash_cnt[2322][4]~59395\ & VCC))
-- \led_flash_cnt[2322][5]~59397\ = CARRY((\led_flash_cnt[2322][5]~q\ & !\led_flash_cnt[2322][4]~59395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2322][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2322][4]~59395\,
	combout => \led_flash_cnt[2322][5]~59396_combout\,
	cout => \led_flash_cnt[2322][5]~59397\);

-- Location: FF_X49_Y6_N9
\led_flash_cnt[2322][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2322][5]~59396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2322][5]~q\);

-- Location: LCCOMB_X49_Y6_N10
\led_flash_cnt[2322][6]~59398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2322][6]~59398_combout\ = (\led_flash_cnt[2322][6]~q\ & (!\led_flash_cnt[2322][5]~59397\)) # (!\led_flash_cnt[2322][6]~q\ & ((\led_flash_cnt[2322][5]~59397\) # (GND)))
-- \led_flash_cnt[2322][6]~59399\ = CARRY((!\led_flash_cnt[2322][5]~59397\) # (!\led_flash_cnt[2322][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2322][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2322][5]~59397\,
	combout => \led_flash_cnt[2322][6]~59398_combout\,
	cout => \led_flash_cnt[2322][6]~59399\);

-- Location: FF_X49_Y6_N11
\led_flash_cnt[2322][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2322][6]~59398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2322][6]~q\);

-- Location: LCCOMB_X49_Y6_N12
\led_flash_cnt[2322][7]~59400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2322][7]~59400_combout\ = \led_flash_cnt[2322][6]~59399\ $ (!\led_flash_cnt[2322][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2322][7]~q\,
	cin => \led_flash_cnt[2322][6]~59399\,
	combout => \led_flash_cnt[2322][7]~59400_combout\);

-- Location: FF_X49_Y6_N13
\led_flash_cnt[2322][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2322][7]~59400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2322][7]~q\);

-- Location: LCCOMB_X49_Y6_N30
\WideAnd2322~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2322~0_combout\ = (\led_flash_cnt[2322][4]~q\ & (\led_flash_cnt[2322][2]~q\ & (\led_flash_cnt[2322][3]~q\ & \led_flash_cnt[2322][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2322][4]~q\,
	datab => \led_flash_cnt[2322][2]~q\,
	datac => \led_flash_cnt[2322][3]~q\,
	datad => \led_flash_cnt[2322][1]~q\,
	combout => \WideAnd2322~0_combout\);

-- Location: LCCOMB_X50_Y6_N8
\WideAnd2322~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2322~1_combout\ = (\led_flash_cnt[2322][6]~q\ & \led_flash_cnt[2322][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2322][6]~q\,
	datad => \led_flash_cnt[2322][5]~q\,
	combout => \WideAnd2322~1_combout\);

-- Location: LCCOMB_X50_Y6_N26
WideAnd2322 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2322~combout\ = (\led_flash_cnt[2322][7]~q\ & (\WideAnd2322~0_combout\ & (\WideAnd2322~1_combout\ & \led_flash_cnt[2322][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2322][7]~q\,
	datab => \WideAnd2322~0_combout\,
	datac => \WideAnd2322~1_combout\,
	datad => \led_flash_cnt[2322][0]~q\,
	combout => \WideAnd2322~combout\);

-- Location: FF_X50_Y6_N27
\led_flash_cnt_ands[2322]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2322~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2322));

-- Location: LCCOMB_X34_Y6_N12
\led_flash_cnt[2321][0]~82961\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2321][0]~82961_combout\ = !\led_flash_cnt[2321][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2321][0]~q\,
	combout => \led_flash_cnt[2321][0]~82961_combout\);

-- Location: FF_X34_Y6_N13
\led_flash_cnt[2321][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2321][0]~82961_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2321][0]~q\);

-- Location: LCCOMB_X34_Y6_N16
\led_flash_cnt[2321][1]~59374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2321][1]~59374_combout\ = (\led_flash_cnt[2321][0]~q\ & (\led_flash_cnt[2321][1]~q\ $ (VCC))) # (!\led_flash_cnt[2321][0]~q\ & (\led_flash_cnt[2321][1]~q\ & VCC))
-- \led_flash_cnt[2321][1]~59375\ = CARRY((\led_flash_cnt[2321][0]~q\ & \led_flash_cnt[2321][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2321][0]~q\,
	datab => \led_flash_cnt[2321][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2321][1]~59374_combout\,
	cout => \led_flash_cnt[2321][1]~59375\);

-- Location: FF_X34_Y6_N17
\led_flash_cnt[2321][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2321][1]~59374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2321][1]~q\);

-- Location: LCCOMB_X34_Y6_N18
\led_flash_cnt[2321][2]~59376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2321][2]~59376_combout\ = (\led_flash_cnt[2321][2]~q\ & (!\led_flash_cnt[2321][1]~59375\)) # (!\led_flash_cnt[2321][2]~q\ & ((\led_flash_cnt[2321][1]~59375\) # (GND)))
-- \led_flash_cnt[2321][2]~59377\ = CARRY((!\led_flash_cnt[2321][1]~59375\) # (!\led_flash_cnt[2321][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2321][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2321][1]~59375\,
	combout => \led_flash_cnt[2321][2]~59376_combout\,
	cout => \led_flash_cnt[2321][2]~59377\);

-- Location: FF_X34_Y6_N19
\led_flash_cnt[2321][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2321][2]~59376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2321][2]~q\);

-- Location: LCCOMB_X34_Y6_N20
\led_flash_cnt[2321][3]~59378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2321][3]~59378_combout\ = (\led_flash_cnt[2321][3]~q\ & (\led_flash_cnt[2321][2]~59377\ $ (GND))) # (!\led_flash_cnt[2321][3]~q\ & (!\led_flash_cnt[2321][2]~59377\ & VCC))
-- \led_flash_cnt[2321][3]~59379\ = CARRY((\led_flash_cnt[2321][3]~q\ & !\led_flash_cnt[2321][2]~59377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2321][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2321][2]~59377\,
	combout => \led_flash_cnt[2321][3]~59378_combout\,
	cout => \led_flash_cnt[2321][3]~59379\);

-- Location: FF_X34_Y6_N21
\led_flash_cnt[2321][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2321][3]~59378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2321][3]~q\);

-- Location: LCCOMB_X34_Y6_N22
\led_flash_cnt[2321][4]~59380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2321][4]~59380_combout\ = (\led_flash_cnt[2321][4]~q\ & (!\led_flash_cnt[2321][3]~59379\)) # (!\led_flash_cnt[2321][4]~q\ & ((\led_flash_cnt[2321][3]~59379\) # (GND)))
-- \led_flash_cnt[2321][4]~59381\ = CARRY((!\led_flash_cnt[2321][3]~59379\) # (!\led_flash_cnt[2321][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2321][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2321][3]~59379\,
	combout => \led_flash_cnt[2321][4]~59380_combout\,
	cout => \led_flash_cnt[2321][4]~59381\);

-- Location: FF_X34_Y6_N23
\led_flash_cnt[2321][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2321][4]~59380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2321][4]~q\);

-- Location: LCCOMB_X34_Y6_N24
\led_flash_cnt[2321][5]~59382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2321][5]~59382_combout\ = (\led_flash_cnt[2321][5]~q\ & (\led_flash_cnt[2321][4]~59381\ $ (GND))) # (!\led_flash_cnt[2321][5]~q\ & (!\led_flash_cnt[2321][4]~59381\ & VCC))
-- \led_flash_cnt[2321][5]~59383\ = CARRY((\led_flash_cnt[2321][5]~q\ & !\led_flash_cnt[2321][4]~59381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2321][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2321][4]~59381\,
	combout => \led_flash_cnt[2321][5]~59382_combout\,
	cout => \led_flash_cnt[2321][5]~59383\);

-- Location: FF_X34_Y6_N25
\led_flash_cnt[2321][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2321][5]~59382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2321][5]~q\);

-- Location: LCCOMB_X34_Y6_N26
\led_flash_cnt[2321][6]~59384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2321][6]~59384_combout\ = (\led_flash_cnt[2321][6]~q\ & (!\led_flash_cnt[2321][5]~59383\)) # (!\led_flash_cnt[2321][6]~q\ & ((\led_flash_cnt[2321][5]~59383\) # (GND)))
-- \led_flash_cnt[2321][6]~59385\ = CARRY((!\led_flash_cnt[2321][5]~59383\) # (!\led_flash_cnt[2321][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2321][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2321][5]~59383\,
	combout => \led_flash_cnt[2321][6]~59384_combout\,
	cout => \led_flash_cnt[2321][6]~59385\);

-- Location: FF_X34_Y6_N27
\led_flash_cnt[2321][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2321][6]~59384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2321][6]~q\);

-- Location: LCCOMB_X34_Y6_N2
\WideAnd2321~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2321~1_combout\ = (\led_flash_cnt[2321][6]~q\ & \led_flash_cnt[2321][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2321][6]~q\,
	datad => \led_flash_cnt[2321][5]~q\,
	combout => \WideAnd2321~1_combout\);

-- Location: LCCOMB_X34_Y6_N4
\WideAnd2321~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2321~0_combout\ = (\led_flash_cnt[2321][2]~q\ & (\led_flash_cnt[2321][3]~q\ & (\led_flash_cnt[2321][4]~q\ & \led_flash_cnt[2321][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2321][2]~q\,
	datab => \led_flash_cnt[2321][3]~q\,
	datac => \led_flash_cnt[2321][4]~q\,
	datad => \led_flash_cnt[2321][1]~q\,
	combout => \WideAnd2321~0_combout\);

-- Location: LCCOMB_X34_Y6_N28
\led_flash_cnt[2321][7]~59386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2321][7]~59386_combout\ = \led_flash_cnt[2321][6]~59385\ $ (!\led_flash_cnt[2321][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2321][7]~q\,
	cin => \led_flash_cnt[2321][6]~59385\,
	combout => \led_flash_cnt[2321][7]~59386_combout\);

-- Location: FF_X34_Y6_N29
\led_flash_cnt[2321][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2321][7]~59386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2321][7]~q\);

-- Location: LCCOMB_X34_Y6_N30
WideAnd2321 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2321~combout\ = (\led_flash_cnt[2321][0]~q\ & (\WideAnd2321~1_combout\ & (\WideAnd2321~0_combout\ & \led_flash_cnt[2321][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2321][0]~q\,
	datab => \WideAnd2321~1_combout\,
	datac => \WideAnd2321~0_combout\,
	datad => \led_flash_cnt[2321][7]~q\,
	combout => \WideAnd2321~combout\);

-- Location: FF_X34_Y6_N31
\led_flash_cnt_ands[2321]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2321~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2321));

-- Location: LCCOMB_X39_Y6_N16
\WideAnd4130~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4130~0_combout\ = (led_flash_cnt_ands(2320) & (led_flash_cnt_ands(2323) & (led_flash_cnt_ands(2322) & led_flash_cnt_ands(2321))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2320),
	datab => led_flash_cnt_ands(2323),
	datac => led_flash_cnt_ands(2322),
	datad => led_flash_cnt_ands(2321),
	combout => \WideAnd4130~0_combout\);

-- Location: LCCOMB_X50_Y6_N28
\led_flash_cnt[2325][0]~82965\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2325][0]~82965_combout\ = !\led_flash_cnt[2325][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2325][0]~q\,
	combout => \led_flash_cnt[2325][0]~82965_combout\);

-- Location: FF_X50_Y6_N29
\led_flash_cnt[2325][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2325][0]~82965_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2325][0]~q\);

-- Location: LCCOMB_X50_Y6_N10
\led_flash_cnt[2325][1]~59430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2325][1]~59430_combout\ = (\led_flash_cnt[2325][1]~q\ & (\led_flash_cnt[2325][0]~q\ $ (VCC))) # (!\led_flash_cnt[2325][1]~q\ & (\led_flash_cnt[2325][0]~q\ & VCC))
-- \led_flash_cnt[2325][1]~59431\ = CARRY((\led_flash_cnt[2325][1]~q\ & \led_flash_cnt[2325][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2325][1]~q\,
	datab => \led_flash_cnt[2325][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2325][1]~59430_combout\,
	cout => \led_flash_cnt[2325][1]~59431\);

-- Location: FF_X50_Y6_N11
\led_flash_cnt[2325][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2325][1]~59430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2325][1]~q\);

-- Location: LCCOMB_X50_Y6_N12
\led_flash_cnt[2325][2]~59432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2325][2]~59432_combout\ = (\led_flash_cnt[2325][2]~q\ & (!\led_flash_cnt[2325][1]~59431\)) # (!\led_flash_cnt[2325][2]~q\ & ((\led_flash_cnt[2325][1]~59431\) # (GND)))
-- \led_flash_cnt[2325][2]~59433\ = CARRY((!\led_flash_cnt[2325][1]~59431\) # (!\led_flash_cnt[2325][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2325][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2325][1]~59431\,
	combout => \led_flash_cnt[2325][2]~59432_combout\,
	cout => \led_flash_cnt[2325][2]~59433\);

-- Location: FF_X50_Y6_N13
\led_flash_cnt[2325][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2325][2]~59432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2325][2]~q\);

-- Location: LCCOMB_X50_Y6_N14
\led_flash_cnt[2325][3]~59434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2325][3]~59434_combout\ = (\led_flash_cnt[2325][3]~q\ & (\led_flash_cnt[2325][2]~59433\ $ (GND))) # (!\led_flash_cnt[2325][3]~q\ & (!\led_flash_cnt[2325][2]~59433\ & VCC))
-- \led_flash_cnt[2325][3]~59435\ = CARRY((\led_flash_cnt[2325][3]~q\ & !\led_flash_cnt[2325][2]~59433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2325][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2325][2]~59433\,
	combout => \led_flash_cnt[2325][3]~59434_combout\,
	cout => \led_flash_cnt[2325][3]~59435\);

-- Location: FF_X50_Y6_N15
\led_flash_cnt[2325][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2325][3]~59434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2325][3]~q\);

-- Location: LCCOMB_X50_Y6_N16
\led_flash_cnt[2325][4]~59436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2325][4]~59436_combout\ = (\led_flash_cnt[2325][4]~q\ & (!\led_flash_cnt[2325][3]~59435\)) # (!\led_flash_cnt[2325][4]~q\ & ((\led_flash_cnt[2325][3]~59435\) # (GND)))
-- \led_flash_cnt[2325][4]~59437\ = CARRY((!\led_flash_cnt[2325][3]~59435\) # (!\led_flash_cnt[2325][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2325][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2325][3]~59435\,
	combout => \led_flash_cnt[2325][4]~59436_combout\,
	cout => \led_flash_cnt[2325][4]~59437\);

-- Location: FF_X50_Y6_N17
\led_flash_cnt[2325][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2325][4]~59436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2325][4]~q\);

-- Location: LCCOMB_X50_Y6_N18
\led_flash_cnt[2325][5]~59438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2325][5]~59438_combout\ = (\led_flash_cnt[2325][5]~q\ & (\led_flash_cnt[2325][4]~59437\ $ (GND))) # (!\led_flash_cnt[2325][5]~q\ & (!\led_flash_cnt[2325][4]~59437\ & VCC))
-- \led_flash_cnt[2325][5]~59439\ = CARRY((\led_flash_cnt[2325][5]~q\ & !\led_flash_cnt[2325][4]~59437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2325][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2325][4]~59437\,
	combout => \led_flash_cnt[2325][5]~59438_combout\,
	cout => \led_flash_cnt[2325][5]~59439\);

-- Location: FF_X50_Y6_N19
\led_flash_cnt[2325][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2325][5]~59438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2325][5]~q\);

-- Location: LCCOMB_X50_Y6_N20
\led_flash_cnt[2325][6]~59440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2325][6]~59440_combout\ = (\led_flash_cnt[2325][6]~q\ & (!\led_flash_cnt[2325][5]~59439\)) # (!\led_flash_cnt[2325][6]~q\ & ((\led_flash_cnt[2325][5]~59439\) # (GND)))
-- \led_flash_cnt[2325][6]~59441\ = CARRY((!\led_flash_cnt[2325][5]~59439\) # (!\led_flash_cnt[2325][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2325][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2325][5]~59439\,
	combout => \led_flash_cnt[2325][6]~59440_combout\,
	cout => \led_flash_cnt[2325][6]~59441\);

-- Location: FF_X50_Y6_N21
\led_flash_cnt[2325][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2325][6]~59440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2325][6]~q\);

-- Location: LCCOMB_X50_Y6_N22
\led_flash_cnt[2325][7]~59442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2325][7]~59442_combout\ = \led_flash_cnt[2325][7]~q\ $ (!\led_flash_cnt[2325][6]~59441\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2325][7]~q\,
	cin => \led_flash_cnt[2325][6]~59441\,
	combout => \led_flash_cnt[2325][7]~59442_combout\);

-- Location: FF_X50_Y6_N23
\led_flash_cnt[2325][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2325][7]~59442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2325][7]~q\);

-- Location: LCCOMB_X50_Y6_N30
\WideAnd2325~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2325~0_combout\ = (\led_flash_cnt[2325][2]~q\ & (\led_flash_cnt[2325][4]~q\ & (\led_flash_cnt[2325][3]~q\ & \led_flash_cnt[2325][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2325][2]~q\,
	datab => \led_flash_cnt[2325][4]~q\,
	datac => \led_flash_cnt[2325][3]~q\,
	datad => \led_flash_cnt[2325][1]~q\,
	combout => \WideAnd2325~0_combout\);

-- Location: LCCOMB_X50_Y6_N24
\WideAnd2325~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2325~1_combout\ = (\led_flash_cnt[2325][6]~q\ & \led_flash_cnt[2325][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2325][6]~q\,
	datad => \led_flash_cnt[2325][5]~q\,
	combout => \WideAnd2325~1_combout\);

-- Location: LCCOMB_X50_Y6_N4
WideAnd2325 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2325~combout\ = (\led_flash_cnt[2325][7]~q\ & (\led_flash_cnt[2325][0]~q\ & (\WideAnd2325~0_combout\ & \WideAnd2325~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2325][7]~q\,
	datab => \led_flash_cnt[2325][0]~q\,
	datac => \WideAnd2325~0_combout\,
	datad => \WideAnd2325~1_combout\,
	combout => \WideAnd2325~combout\);

-- Location: FF_X50_Y6_N5
\led_flash_cnt_ands[2325]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2325~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2325));

-- Location: LCCOMB_X36_Y6_N6
\led_flash_cnt[2324][0]~82964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2324][0]~82964_combout\ = !\led_flash_cnt[2324][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2324][0]~q\,
	combout => \led_flash_cnt[2324][0]~82964_combout\);

-- Location: FF_X36_Y6_N7
\led_flash_cnt[2324][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2324][0]~82964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2324][0]~q\);

-- Location: LCCOMB_X35_Y6_N4
\led_flash_cnt[2324][1]~59416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2324][1]~59416_combout\ = (\led_flash_cnt[2324][0]~q\ & (\led_flash_cnt[2324][1]~q\ $ (VCC))) # (!\led_flash_cnt[2324][0]~q\ & (\led_flash_cnt[2324][1]~q\ & VCC))
-- \led_flash_cnt[2324][1]~59417\ = CARRY((\led_flash_cnt[2324][0]~q\ & \led_flash_cnt[2324][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2324][0]~q\,
	datab => \led_flash_cnt[2324][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2324][1]~59416_combout\,
	cout => \led_flash_cnt[2324][1]~59417\);

-- Location: FF_X35_Y6_N5
\led_flash_cnt[2324][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2324][1]~59416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2324][1]~q\);

-- Location: LCCOMB_X35_Y6_N6
\led_flash_cnt[2324][2]~59418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2324][2]~59418_combout\ = (\led_flash_cnt[2324][2]~q\ & (!\led_flash_cnt[2324][1]~59417\)) # (!\led_flash_cnt[2324][2]~q\ & ((\led_flash_cnt[2324][1]~59417\) # (GND)))
-- \led_flash_cnt[2324][2]~59419\ = CARRY((!\led_flash_cnt[2324][1]~59417\) # (!\led_flash_cnt[2324][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2324][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2324][1]~59417\,
	combout => \led_flash_cnt[2324][2]~59418_combout\,
	cout => \led_flash_cnt[2324][2]~59419\);

-- Location: FF_X35_Y6_N7
\led_flash_cnt[2324][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2324][2]~59418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2324][2]~q\);

-- Location: LCCOMB_X35_Y6_N8
\led_flash_cnt[2324][3]~59420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2324][3]~59420_combout\ = (\led_flash_cnt[2324][3]~q\ & (\led_flash_cnt[2324][2]~59419\ $ (GND))) # (!\led_flash_cnt[2324][3]~q\ & (!\led_flash_cnt[2324][2]~59419\ & VCC))
-- \led_flash_cnt[2324][3]~59421\ = CARRY((\led_flash_cnt[2324][3]~q\ & !\led_flash_cnt[2324][2]~59419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2324][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2324][2]~59419\,
	combout => \led_flash_cnt[2324][3]~59420_combout\,
	cout => \led_flash_cnt[2324][3]~59421\);

-- Location: FF_X35_Y6_N9
\led_flash_cnt[2324][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2324][3]~59420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2324][3]~q\);

-- Location: LCCOMB_X35_Y6_N10
\led_flash_cnt[2324][4]~59422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2324][4]~59422_combout\ = (\led_flash_cnt[2324][4]~q\ & (!\led_flash_cnt[2324][3]~59421\)) # (!\led_flash_cnt[2324][4]~q\ & ((\led_flash_cnt[2324][3]~59421\) # (GND)))
-- \led_flash_cnt[2324][4]~59423\ = CARRY((!\led_flash_cnt[2324][3]~59421\) # (!\led_flash_cnt[2324][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2324][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2324][3]~59421\,
	combout => \led_flash_cnt[2324][4]~59422_combout\,
	cout => \led_flash_cnt[2324][4]~59423\);

-- Location: FF_X35_Y6_N11
\led_flash_cnt[2324][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2324][4]~59422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2324][4]~q\);

-- Location: LCCOMB_X35_Y6_N0
\WideAnd2324~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2324~0_combout\ = (\led_flash_cnt[2324][4]~q\ & (\led_flash_cnt[2324][3]~q\ & (\led_flash_cnt[2324][1]~q\ & \led_flash_cnt[2324][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2324][4]~q\,
	datab => \led_flash_cnt[2324][3]~q\,
	datac => \led_flash_cnt[2324][1]~q\,
	datad => \led_flash_cnt[2324][2]~q\,
	combout => \WideAnd2324~0_combout\);

-- Location: LCCOMB_X35_Y6_N12
\led_flash_cnt[2324][5]~59424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2324][5]~59424_combout\ = (\led_flash_cnt[2324][5]~q\ & (\led_flash_cnt[2324][4]~59423\ $ (GND))) # (!\led_flash_cnt[2324][5]~q\ & (!\led_flash_cnt[2324][4]~59423\ & VCC))
-- \led_flash_cnt[2324][5]~59425\ = CARRY((\led_flash_cnt[2324][5]~q\ & !\led_flash_cnt[2324][4]~59423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2324][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2324][4]~59423\,
	combout => \led_flash_cnt[2324][5]~59424_combout\,
	cout => \led_flash_cnt[2324][5]~59425\);

-- Location: FF_X35_Y6_N13
\led_flash_cnt[2324][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2324][5]~59424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2324][5]~q\);

-- Location: LCCOMB_X35_Y6_N14
\led_flash_cnt[2324][6]~59426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2324][6]~59426_combout\ = (\led_flash_cnt[2324][6]~q\ & (!\led_flash_cnt[2324][5]~59425\)) # (!\led_flash_cnt[2324][6]~q\ & ((\led_flash_cnt[2324][5]~59425\) # (GND)))
-- \led_flash_cnt[2324][6]~59427\ = CARRY((!\led_flash_cnt[2324][5]~59425\) # (!\led_flash_cnt[2324][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2324][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2324][5]~59425\,
	combout => \led_flash_cnt[2324][6]~59426_combout\,
	cout => \led_flash_cnt[2324][6]~59427\);

-- Location: FF_X35_Y6_N15
\led_flash_cnt[2324][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2324][6]~59426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2324][6]~q\);

-- Location: LCCOMB_X34_Y6_N0
\WideAnd2324~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2324~1_combout\ = (\led_flash_cnt[2324][6]~q\ & \led_flash_cnt[2324][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2324][6]~q\,
	datac => \led_flash_cnt[2324][5]~q\,
	combout => \WideAnd2324~1_combout\);

-- Location: LCCOMB_X35_Y6_N16
\led_flash_cnt[2324][7]~59428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2324][7]~59428_combout\ = \led_flash_cnt[2324][6]~59427\ $ (!\led_flash_cnt[2324][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2324][7]~q\,
	cin => \led_flash_cnt[2324][6]~59427\,
	combout => \led_flash_cnt[2324][7]~59428_combout\);

-- Location: FF_X35_Y6_N17
\led_flash_cnt[2324][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2324][7]~59428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2324][7]~q\);

-- Location: LCCOMB_X35_Y6_N2
WideAnd2324 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2324~combout\ = (\led_flash_cnt[2324][0]~q\ & (\WideAnd2324~0_combout\ & (\WideAnd2324~1_combout\ & \led_flash_cnt[2324][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2324][0]~q\,
	datab => \WideAnd2324~0_combout\,
	datac => \WideAnd2324~1_combout\,
	datad => \led_flash_cnt[2324][7]~q\,
	combout => \WideAnd2324~combout\);

-- Location: FF_X35_Y6_N3
\led_flash_cnt_ands[2324]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2324~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2324));

-- Location: LCCOMB_X39_Y6_N22
\WideAnd4130~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4130~1_combout\ = (led_flash_cnt_ands(2325) & led_flash_cnt_ands(2324))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2325),
	datad => led_flash_cnt_ands(2324),
	combout => \WideAnd4130~1_combout\);

-- Location: LCCOMB_X40_Y8_N2
\led_flash_cnt[2326][0]~82966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2326][0]~82966_combout\ = !\led_flash_cnt[2326][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2326][0]~q\,
	combout => \led_flash_cnt[2326][0]~82966_combout\);

-- Location: FF_X40_Y8_N3
\led_flash_cnt[2326][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2326][0]~82966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2326][0]~q\);

-- Location: LCCOMB_X39_Y8_N18
\led_flash_cnt[2326][1]~59444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2326][1]~59444_combout\ = (\led_flash_cnt[2326][0]~q\ & (\led_flash_cnt[2326][1]~q\ $ (VCC))) # (!\led_flash_cnt[2326][0]~q\ & (\led_flash_cnt[2326][1]~q\ & VCC))
-- \led_flash_cnt[2326][1]~59445\ = CARRY((\led_flash_cnt[2326][0]~q\ & \led_flash_cnt[2326][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2326][0]~q\,
	datab => \led_flash_cnt[2326][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2326][1]~59444_combout\,
	cout => \led_flash_cnt[2326][1]~59445\);

-- Location: FF_X39_Y8_N19
\led_flash_cnt[2326][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2326][1]~59444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2326][1]~q\);

-- Location: LCCOMB_X39_Y8_N20
\led_flash_cnt[2326][2]~59446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2326][2]~59446_combout\ = (\led_flash_cnt[2326][2]~q\ & (!\led_flash_cnt[2326][1]~59445\)) # (!\led_flash_cnt[2326][2]~q\ & ((\led_flash_cnt[2326][1]~59445\) # (GND)))
-- \led_flash_cnt[2326][2]~59447\ = CARRY((!\led_flash_cnt[2326][1]~59445\) # (!\led_flash_cnt[2326][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2326][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2326][1]~59445\,
	combout => \led_flash_cnt[2326][2]~59446_combout\,
	cout => \led_flash_cnt[2326][2]~59447\);

-- Location: FF_X39_Y8_N21
\led_flash_cnt[2326][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2326][2]~59446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2326][2]~q\);

-- Location: LCCOMB_X39_Y8_N22
\led_flash_cnt[2326][3]~59448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2326][3]~59448_combout\ = (\led_flash_cnt[2326][3]~q\ & (\led_flash_cnt[2326][2]~59447\ $ (GND))) # (!\led_flash_cnt[2326][3]~q\ & (!\led_flash_cnt[2326][2]~59447\ & VCC))
-- \led_flash_cnt[2326][3]~59449\ = CARRY((\led_flash_cnt[2326][3]~q\ & !\led_flash_cnt[2326][2]~59447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2326][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2326][2]~59447\,
	combout => \led_flash_cnt[2326][3]~59448_combout\,
	cout => \led_flash_cnt[2326][3]~59449\);

-- Location: FF_X39_Y8_N23
\led_flash_cnt[2326][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2326][3]~59448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2326][3]~q\);

-- Location: LCCOMB_X39_Y8_N24
\led_flash_cnt[2326][4]~59450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2326][4]~59450_combout\ = (\led_flash_cnt[2326][4]~q\ & (!\led_flash_cnt[2326][3]~59449\)) # (!\led_flash_cnt[2326][4]~q\ & ((\led_flash_cnt[2326][3]~59449\) # (GND)))
-- \led_flash_cnt[2326][4]~59451\ = CARRY((!\led_flash_cnt[2326][3]~59449\) # (!\led_flash_cnt[2326][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2326][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2326][3]~59449\,
	combout => \led_flash_cnt[2326][4]~59450_combout\,
	cout => \led_flash_cnt[2326][4]~59451\);

-- Location: FF_X39_Y8_N25
\led_flash_cnt[2326][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2326][4]~59450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2326][4]~q\);

-- Location: LCCOMB_X39_Y8_N2
\WideAnd2326~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2326~0_combout\ = (\led_flash_cnt[2326][1]~q\ & (\led_flash_cnt[2326][2]~q\ & (\led_flash_cnt[2326][3]~q\ & \led_flash_cnt[2326][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2326][1]~q\,
	datab => \led_flash_cnt[2326][2]~q\,
	datac => \led_flash_cnt[2326][3]~q\,
	datad => \led_flash_cnt[2326][4]~q\,
	combout => \WideAnd2326~0_combout\);

-- Location: LCCOMB_X39_Y8_N26
\led_flash_cnt[2326][5]~59452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2326][5]~59452_combout\ = (\led_flash_cnt[2326][5]~q\ & (\led_flash_cnt[2326][4]~59451\ $ (GND))) # (!\led_flash_cnt[2326][5]~q\ & (!\led_flash_cnt[2326][4]~59451\ & VCC))
-- \led_flash_cnt[2326][5]~59453\ = CARRY((\led_flash_cnt[2326][5]~q\ & !\led_flash_cnt[2326][4]~59451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2326][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2326][4]~59451\,
	combout => \led_flash_cnt[2326][5]~59452_combout\,
	cout => \led_flash_cnt[2326][5]~59453\);

-- Location: FF_X39_Y8_N27
\led_flash_cnt[2326][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2326][5]~59452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2326][5]~q\);

-- Location: LCCOMB_X39_Y8_N28
\led_flash_cnt[2326][6]~59454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2326][6]~59454_combout\ = (\led_flash_cnt[2326][6]~q\ & (!\led_flash_cnt[2326][5]~59453\)) # (!\led_flash_cnt[2326][6]~q\ & ((\led_flash_cnt[2326][5]~59453\) # (GND)))
-- \led_flash_cnt[2326][6]~59455\ = CARRY((!\led_flash_cnt[2326][5]~59453\) # (!\led_flash_cnt[2326][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2326][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2326][5]~59453\,
	combout => \led_flash_cnt[2326][6]~59454_combout\,
	cout => \led_flash_cnt[2326][6]~59455\);

-- Location: FF_X39_Y8_N29
\led_flash_cnt[2326][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2326][6]~59454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2326][6]~q\);

-- Location: LCCOMB_X39_Y8_N30
\led_flash_cnt[2326][7]~59456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2326][7]~59456_combout\ = \led_flash_cnt[2326][7]~q\ $ (!\led_flash_cnt[2326][6]~59455\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2326][7]~q\,
	cin => \led_flash_cnt[2326][6]~59455\,
	combout => \led_flash_cnt[2326][7]~59456_combout\);

-- Location: FF_X39_Y8_N31
\led_flash_cnt[2326][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2326][7]~59456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2326][7]~q\);

-- Location: LCCOMB_X40_Y8_N18
\WideAnd2326~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2326~1_combout\ = (\led_flash_cnt[2326][5]~q\ & \led_flash_cnt[2326][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2326][5]~q\,
	datad => \led_flash_cnt[2326][6]~q\,
	combout => \WideAnd2326~1_combout\);

-- Location: LCCOMB_X40_Y8_N20
WideAnd2326 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2326~combout\ = (\WideAnd2326~0_combout\ & (\led_flash_cnt[2326][7]~q\ & (\led_flash_cnt[2326][0]~q\ & \WideAnd2326~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2326~0_combout\,
	datab => \led_flash_cnt[2326][7]~q\,
	datac => \led_flash_cnt[2326][0]~q\,
	datad => \WideAnd2326~1_combout\,
	combout => \WideAnd2326~combout\);

-- Location: FF_X40_Y8_N21
\led_flash_cnt_ands[2326]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2326~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2326));

-- Location: LCCOMB_X40_Y8_N28
WideAnd4130 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4130~combout\ = (led_flash_cnt_ands(2327) & (\WideAnd4130~0_combout\ & (\WideAnd4130~1_combout\ & led_flash_cnt_ands(2326))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2327),
	datab => \WideAnd4130~0_combout\,
	datac => \WideAnd4130~1_combout\,
	datad => led_flash_cnt_ands(2326),
	combout => \WideAnd4130~combout\);

-- Location: FF_X40_Y8_N29
\led_flash_cnt_ands_1[290]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4130~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(290));

-- Location: LCCOMB_X17_Y17_N12
\led_flash_cnt[2330][0]~82969\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2330][0]~82969_combout\ = !\led_flash_cnt[2330][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2330][0]~q\,
	combout => \led_flash_cnt[2330][0]~82969_combout\);

-- Location: FF_X17_Y17_N13
\led_flash_cnt[2330][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2330][0]~82969_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2330][0]~q\);

-- Location: LCCOMB_X17_Y17_N18
\led_flash_cnt[2330][1]~59486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2330][1]~59486_combout\ = (\led_flash_cnt[2330][0]~q\ & (\led_flash_cnt[2330][1]~q\ $ (VCC))) # (!\led_flash_cnt[2330][0]~q\ & (\led_flash_cnt[2330][1]~q\ & VCC))
-- \led_flash_cnt[2330][1]~59487\ = CARRY((\led_flash_cnt[2330][0]~q\ & \led_flash_cnt[2330][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2330][0]~q\,
	datab => \led_flash_cnt[2330][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2330][1]~59486_combout\,
	cout => \led_flash_cnt[2330][1]~59487\);

-- Location: FF_X17_Y17_N19
\led_flash_cnt[2330][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2330][1]~59486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2330][1]~q\);

-- Location: LCCOMB_X17_Y17_N20
\led_flash_cnt[2330][2]~59488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2330][2]~59488_combout\ = (\led_flash_cnt[2330][2]~q\ & (!\led_flash_cnt[2330][1]~59487\)) # (!\led_flash_cnt[2330][2]~q\ & ((\led_flash_cnt[2330][1]~59487\) # (GND)))
-- \led_flash_cnt[2330][2]~59489\ = CARRY((!\led_flash_cnt[2330][1]~59487\) # (!\led_flash_cnt[2330][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2330][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2330][1]~59487\,
	combout => \led_flash_cnt[2330][2]~59488_combout\,
	cout => \led_flash_cnt[2330][2]~59489\);

-- Location: FF_X17_Y17_N21
\led_flash_cnt[2330][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2330][2]~59488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2330][2]~q\);

-- Location: LCCOMB_X17_Y17_N22
\led_flash_cnt[2330][3]~59490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2330][3]~59490_combout\ = (\led_flash_cnt[2330][3]~q\ & (\led_flash_cnt[2330][2]~59489\ $ (GND))) # (!\led_flash_cnt[2330][3]~q\ & (!\led_flash_cnt[2330][2]~59489\ & VCC))
-- \led_flash_cnt[2330][3]~59491\ = CARRY((\led_flash_cnt[2330][3]~q\ & !\led_flash_cnt[2330][2]~59489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2330][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2330][2]~59489\,
	combout => \led_flash_cnt[2330][3]~59490_combout\,
	cout => \led_flash_cnt[2330][3]~59491\);

-- Location: FF_X17_Y17_N23
\led_flash_cnt[2330][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2330][3]~59490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2330][3]~q\);

-- Location: LCCOMB_X17_Y17_N24
\led_flash_cnt[2330][4]~59492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2330][4]~59492_combout\ = (\led_flash_cnt[2330][4]~q\ & (!\led_flash_cnt[2330][3]~59491\)) # (!\led_flash_cnt[2330][4]~q\ & ((\led_flash_cnt[2330][3]~59491\) # (GND)))
-- \led_flash_cnt[2330][4]~59493\ = CARRY((!\led_flash_cnt[2330][3]~59491\) # (!\led_flash_cnt[2330][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2330][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2330][3]~59491\,
	combout => \led_flash_cnt[2330][4]~59492_combout\,
	cout => \led_flash_cnt[2330][4]~59493\);

-- Location: FF_X17_Y17_N25
\led_flash_cnt[2330][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2330][4]~59492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2330][4]~q\);

-- Location: LCCOMB_X17_Y17_N26
\led_flash_cnt[2330][5]~59494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2330][5]~59494_combout\ = (\led_flash_cnt[2330][5]~q\ & (\led_flash_cnt[2330][4]~59493\ $ (GND))) # (!\led_flash_cnt[2330][5]~q\ & (!\led_flash_cnt[2330][4]~59493\ & VCC))
-- \led_flash_cnt[2330][5]~59495\ = CARRY((\led_flash_cnt[2330][5]~q\ & !\led_flash_cnt[2330][4]~59493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2330][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2330][4]~59493\,
	combout => \led_flash_cnt[2330][5]~59494_combout\,
	cout => \led_flash_cnt[2330][5]~59495\);

-- Location: FF_X17_Y17_N27
\led_flash_cnt[2330][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2330][5]~59494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2330][5]~q\);

-- Location: LCCOMB_X17_Y17_N28
\led_flash_cnt[2330][6]~59496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2330][6]~59496_combout\ = (\led_flash_cnt[2330][6]~q\ & (!\led_flash_cnt[2330][5]~59495\)) # (!\led_flash_cnt[2330][6]~q\ & ((\led_flash_cnt[2330][5]~59495\) # (GND)))
-- \led_flash_cnt[2330][6]~59497\ = CARRY((!\led_flash_cnt[2330][5]~59495\) # (!\led_flash_cnt[2330][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2330][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2330][5]~59495\,
	combout => \led_flash_cnt[2330][6]~59496_combout\,
	cout => \led_flash_cnt[2330][6]~59497\);

-- Location: FF_X17_Y17_N29
\led_flash_cnt[2330][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2330][6]~59496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2330][6]~q\);

-- Location: LCCOMB_X17_Y17_N30
\led_flash_cnt[2330][7]~59498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2330][7]~59498_combout\ = \led_flash_cnt[2330][7]~q\ $ (!\led_flash_cnt[2330][6]~59497\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2330][7]~q\,
	cin => \led_flash_cnt[2330][6]~59497\,
	combout => \led_flash_cnt[2330][7]~59498_combout\);

-- Location: FF_X17_Y17_N31
\led_flash_cnt[2330][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2330][7]~59498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2330][7]~q\);

-- Location: LCCOMB_X17_Y17_N14
\WideAnd2330~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2330~1_combout\ = (\led_flash_cnt[2330][5]~q\ & \led_flash_cnt[2330][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2330][5]~q\,
	datad => \led_flash_cnt[2330][6]~q\,
	combout => \WideAnd2330~1_combout\);

-- Location: LCCOMB_X17_Y17_N4
\WideAnd2330~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2330~0_combout\ = (\led_flash_cnt[2330][1]~q\ & (\led_flash_cnt[2330][4]~q\ & (\led_flash_cnt[2330][3]~q\ & \led_flash_cnt[2330][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2330][1]~q\,
	datab => \led_flash_cnt[2330][4]~q\,
	datac => \led_flash_cnt[2330][3]~q\,
	datad => \led_flash_cnt[2330][2]~q\,
	combout => \WideAnd2330~0_combout\);

-- Location: LCCOMB_X17_Y17_N16
WideAnd2330 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2330~combout\ = (\led_flash_cnt[2330][7]~q\ & (\WideAnd2330~1_combout\ & (\WideAnd2330~0_combout\ & \led_flash_cnt[2330][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2330][7]~q\,
	datab => \WideAnd2330~1_combout\,
	datac => \WideAnd2330~0_combout\,
	datad => \led_flash_cnt[2330][0]~q\,
	combout => \WideAnd2330~combout\);

-- Location: FF_X17_Y17_N17
\led_flash_cnt_ands[2330]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2330~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2330));

-- Location: LCCOMB_X51_Y24_N28
\led_flash_cnt[2329][0]~82975\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2329][0]~82975_combout\ = !\led_flash_cnt[2329][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2329][0]~q\,
	combout => \led_flash_cnt[2329][0]~82975_combout\);

-- Location: FF_X51_Y24_N29
\led_flash_cnt[2329][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2329][0]~82975_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2329][0]~q\);

-- Location: LCCOMB_X54_Y24_N2
\led_flash_cnt[2329][1]~59570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2329][1]~59570_combout\ = (\led_flash_cnt[2329][0]~q\ & (\led_flash_cnt[2329][1]~q\ $ (VCC))) # (!\led_flash_cnt[2329][0]~q\ & (\led_flash_cnt[2329][1]~q\ & VCC))
-- \led_flash_cnt[2329][1]~59571\ = CARRY((\led_flash_cnt[2329][0]~q\ & \led_flash_cnt[2329][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2329][0]~q\,
	datab => \led_flash_cnt[2329][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2329][1]~59570_combout\,
	cout => \led_flash_cnt[2329][1]~59571\);

-- Location: FF_X54_Y24_N3
\led_flash_cnt[2329][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2329][1]~59570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2329][1]~q\);

-- Location: LCCOMB_X54_Y24_N4
\led_flash_cnt[2329][2]~59572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2329][2]~59572_combout\ = (\led_flash_cnt[2329][2]~q\ & (!\led_flash_cnt[2329][1]~59571\)) # (!\led_flash_cnt[2329][2]~q\ & ((\led_flash_cnt[2329][1]~59571\) # (GND)))
-- \led_flash_cnt[2329][2]~59573\ = CARRY((!\led_flash_cnt[2329][1]~59571\) # (!\led_flash_cnt[2329][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2329][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2329][1]~59571\,
	combout => \led_flash_cnt[2329][2]~59572_combout\,
	cout => \led_flash_cnt[2329][2]~59573\);

-- Location: FF_X54_Y24_N5
\led_flash_cnt[2329][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2329][2]~59572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2329][2]~q\);

-- Location: LCCOMB_X54_Y24_N6
\led_flash_cnt[2329][3]~59574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2329][3]~59574_combout\ = (\led_flash_cnt[2329][3]~q\ & (\led_flash_cnt[2329][2]~59573\ $ (GND))) # (!\led_flash_cnt[2329][3]~q\ & (!\led_flash_cnt[2329][2]~59573\ & VCC))
-- \led_flash_cnt[2329][3]~59575\ = CARRY((\led_flash_cnt[2329][3]~q\ & !\led_flash_cnt[2329][2]~59573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2329][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2329][2]~59573\,
	combout => \led_flash_cnt[2329][3]~59574_combout\,
	cout => \led_flash_cnt[2329][3]~59575\);

-- Location: FF_X54_Y24_N7
\led_flash_cnt[2329][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2329][3]~59574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2329][3]~q\);

-- Location: LCCOMB_X54_Y24_N8
\led_flash_cnt[2329][4]~59576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2329][4]~59576_combout\ = (\led_flash_cnt[2329][4]~q\ & (!\led_flash_cnt[2329][3]~59575\)) # (!\led_flash_cnt[2329][4]~q\ & ((\led_flash_cnt[2329][3]~59575\) # (GND)))
-- \led_flash_cnt[2329][4]~59577\ = CARRY((!\led_flash_cnt[2329][3]~59575\) # (!\led_flash_cnt[2329][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2329][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2329][3]~59575\,
	combout => \led_flash_cnt[2329][4]~59576_combout\,
	cout => \led_flash_cnt[2329][4]~59577\);

-- Location: FF_X54_Y24_N9
\led_flash_cnt[2329][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2329][4]~59576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2329][4]~q\);

-- Location: LCCOMB_X54_Y24_N10
\led_flash_cnt[2329][5]~59578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2329][5]~59578_combout\ = (\led_flash_cnt[2329][5]~q\ & (\led_flash_cnt[2329][4]~59577\ $ (GND))) # (!\led_flash_cnt[2329][5]~q\ & (!\led_flash_cnt[2329][4]~59577\ & VCC))
-- \led_flash_cnt[2329][5]~59579\ = CARRY((\led_flash_cnt[2329][5]~q\ & !\led_flash_cnt[2329][4]~59577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2329][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2329][4]~59577\,
	combout => \led_flash_cnt[2329][5]~59578_combout\,
	cout => \led_flash_cnt[2329][5]~59579\);

-- Location: FF_X54_Y24_N11
\led_flash_cnt[2329][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2329][5]~59578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2329][5]~q\);

-- Location: LCCOMB_X54_Y24_N12
\led_flash_cnt[2329][6]~59580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2329][6]~59580_combout\ = (\led_flash_cnt[2329][6]~q\ & (!\led_flash_cnt[2329][5]~59579\)) # (!\led_flash_cnt[2329][6]~q\ & ((\led_flash_cnt[2329][5]~59579\) # (GND)))
-- \led_flash_cnt[2329][6]~59581\ = CARRY((!\led_flash_cnt[2329][5]~59579\) # (!\led_flash_cnt[2329][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2329][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2329][5]~59579\,
	combout => \led_flash_cnt[2329][6]~59580_combout\,
	cout => \led_flash_cnt[2329][6]~59581\);

-- Location: FF_X54_Y24_N13
\led_flash_cnt[2329][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2329][6]~59580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2329][6]~q\);

-- Location: LCCOMB_X54_Y24_N14
\led_flash_cnt[2329][7]~59582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2329][7]~59582_combout\ = \led_flash_cnt[2329][7]~q\ $ (!\led_flash_cnt[2329][6]~59581\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2329][7]~q\,
	cin => \led_flash_cnt[2329][6]~59581\,
	combout => \led_flash_cnt[2329][7]~59582_combout\);

-- Location: FF_X54_Y24_N15
\led_flash_cnt[2329][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2329][7]~59582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2329][7]~q\);

-- Location: LCCOMB_X54_Y24_N30
\WideAnd2329~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2329~0_combout\ = (\led_flash_cnt[2329][3]~q\ & (\led_flash_cnt[2329][4]~q\ & (\led_flash_cnt[2329][2]~q\ & \led_flash_cnt[2329][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2329][3]~q\,
	datab => \led_flash_cnt[2329][4]~q\,
	datac => \led_flash_cnt[2329][2]~q\,
	datad => \led_flash_cnt[2329][1]~q\,
	combout => \WideAnd2329~0_combout\);

-- Location: LCCOMB_X55_Y24_N6
\WideAnd2329~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2329~1_combout\ = (\led_flash_cnt[2329][6]~q\ & \led_flash_cnt[2329][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2329][6]~q\,
	datad => \led_flash_cnt[2329][5]~q\,
	combout => \WideAnd2329~1_combout\);

-- Location: LCCOMB_X54_Y24_N0
WideAnd2329 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2329~combout\ = (\led_flash_cnt[2329][0]~q\ & (\led_flash_cnt[2329][7]~q\ & (\WideAnd2329~0_combout\ & \WideAnd2329~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2329][0]~q\,
	datab => \led_flash_cnt[2329][7]~q\,
	datac => \WideAnd2329~0_combout\,
	datad => \WideAnd2329~1_combout\,
	combout => \WideAnd2329~combout\);

-- Location: FF_X54_Y24_N1
\led_flash_cnt_ands[2329]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2329~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2329));

-- Location: LCCOMB_X13_Y16_N6
\led_flash_cnt[2328][0]~82974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2328][0]~82974_combout\ = !\led_flash_cnt[2328][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2328][0]~q\,
	combout => \led_flash_cnt[2328][0]~82974_combout\);

-- Location: FF_X13_Y16_N7
\led_flash_cnt[2328][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2328][0]~82974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2328][0]~q\);

-- Location: LCCOMB_X14_Y13_N16
\led_flash_cnt[2328][1]~59556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2328][1]~59556_combout\ = (\led_flash_cnt[2328][0]~q\ & (\led_flash_cnt[2328][1]~q\ $ (VCC))) # (!\led_flash_cnt[2328][0]~q\ & (\led_flash_cnt[2328][1]~q\ & VCC))
-- \led_flash_cnt[2328][1]~59557\ = CARRY((\led_flash_cnt[2328][0]~q\ & \led_flash_cnt[2328][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2328][0]~q\,
	datab => \led_flash_cnt[2328][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2328][1]~59556_combout\,
	cout => \led_flash_cnt[2328][1]~59557\);

-- Location: FF_X14_Y13_N17
\led_flash_cnt[2328][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2328][1]~59556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2328][1]~q\);

-- Location: LCCOMB_X14_Y13_N18
\led_flash_cnt[2328][2]~59558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2328][2]~59558_combout\ = (\led_flash_cnt[2328][2]~q\ & (!\led_flash_cnt[2328][1]~59557\)) # (!\led_flash_cnt[2328][2]~q\ & ((\led_flash_cnt[2328][1]~59557\) # (GND)))
-- \led_flash_cnt[2328][2]~59559\ = CARRY((!\led_flash_cnt[2328][1]~59557\) # (!\led_flash_cnt[2328][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2328][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2328][1]~59557\,
	combout => \led_flash_cnt[2328][2]~59558_combout\,
	cout => \led_flash_cnt[2328][2]~59559\);

-- Location: FF_X14_Y13_N19
\led_flash_cnt[2328][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2328][2]~59558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2328][2]~q\);

-- Location: LCCOMB_X14_Y13_N20
\led_flash_cnt[2328][3]~59560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2328][3]~59560_combout\ = (\led_flash_cnt[2328][3]~q\ & (\led_flash_cnt[2328][2]~59559\ $ (GND))) # (!\led_flash_cnt[2328][3]~q\ & (!\led_flash_cnt[2328][2]~59559\ & VCC))
-- \led_flash_cnt[2328][3]~59561\ = CARRY((\led_flash_cnt[2328][3]~q\ & !\led_flash_cnt[2328][2]~59559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2328][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2328][2]~59559\,
	combout => \led_flash_cnt[2328][3]~59560_combout\,
	cout => \led_flash_cnt[2328][3]~59561\);

-- Location: FF_X14_Y13_N21
\led_flash_cnt[2328][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2328][3]~59560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2328][3]~q\);

-- Location: LCCOMB_X14_Y13_N22
\led_flash_cnt[2328][4]~59562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2328][4]~59562_combout\ = (\led_flash_cnt[2328][4]~q\ & (!\led_flash_cnt[2328][3]~59561\)) # (!\led_flash_cnt[2328][4]~q\ & ((\led_flash_cnt[2328][3]~59561\) # (GND)))
-- \led_flash_cnt[2328][4]~59563\ = CARRY((!\led_flash_cnt[2328][3]~59561\) # (!\led_flash_cnt[2328][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2328][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2328][3]~59561\,
	combout => \led_flash_cnt[2328][4]~59562_combout\,
	cout => \led_flash_cnt[2328][4]~59563\);

-- Location: FF_X14_Y13_N23
\led_flash_cnt[2328][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2328][4]~59562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2328][4]~q\);

-- Location: LCCOMB_X14_Y13_N24
\led_flash_cnt[2328][5]~59564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2328][5]~59564_combout\ = (\led_flash_cnt[2328][5]~q\ & (\led_flash_cnt[2328][4]~59563\ $ (GND))) # (!\led_flash_cnt[2328][5]~q\ & (!\led_flash_cnt[2328][4]~59563\ & VCC))
-- \led_flash_cnt[2328][5]~59565\ = CARRY((\led_flash_cnt[2328][5]~q\ & !\led_flash_cnt[2328][4]~59563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2328][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2328][4]~59563\,
	combout => \led_flash_cnt[2328][5]~59564_combout\,
	cout => \led_flash_cnt[2328][5]~59565\);

-- Location: FF_X14_Y13_N25
\led_flash_cnt[2328][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2328][5]~59564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2328][5]~q\);

-- Location: LCCOMB_X14_Y13_N26
\led_flash_cnt[2328][6]~59566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2328][6]~59566_combout\ = (\led_flash_cnt[2328][6]~q\ & (!\led_flash_cnt[2328][5]~59565\)) # (!\led_flash_cnt[2328][6]~q\ & ((\led_flash_cnt[2328][5]~59565\) # (GND)))
-- \led_flash_cnt[2328][6]~59567\ = CARRY((!\led_flash_cnt[2328][5]~59565\) # (!\led_flash_cnt[2328][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2328][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2328][5]~59565\,
	combout => \led_flash_cnt[2328][6]~59566_combout\,
	cout => \led_flash_cnt[2328][6]~59567\);

-- Location: FF_X14_Y13_N27
\led_flash_cnt[2328][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2328][6]~59566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2328][6]~q\);

-- Location: LCCOMB_X14_Y13_N28
\led_flash_cnt[2328][7]~59568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2328][7]~59568_combout\ = \led_flash_cnt[2328][6]~59567\ $ (!\led_flash_cnt[2328][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2328][7]~q\,
	cin => \led_flash_cnt[2328][6]~59567\,
	combout => \led_flash_cnt[2328][7]~59568_combout\);

-- Location: FF_X14_Y13_N29
\led_flash_cnt[2328][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2328][7]~59568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2328][7]~q\);

-- Location: LCCOMB_X15_Y13_N8
\WideAnd2328~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2328~0_combout\ = (\led_flash_cnt[2328][4]~q\ & (\led_flash_cnt[2328][3]~q\ & (\led_flash_cnt[2328][1]~q\ & \led_flash_cnt[2328][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2328][4]~q\,
	datab => \led_flash_cnt[2328][3]~q\,
	datac => \led_flash_cnt[2328][1]~q\,
	datad => \led_flash_cnt[2328][2]~q\,
	combout => \WideAnd2328~0_combout\);

-- Location: LCCOMB_X15_Y13_N2
\WideAnd2328~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2328~1_combout\ = (\led_flash_cnt[2328][6]~q\ & \led_flash_cnt[2328][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2328][6]~q\,
	datad => \led_flash_cnt[2328][5]~q\,
	combout => \WideAnd2328~1_combout\);

-- Location: LCCOMB_X14_Y13_N30
WideAnd2328 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2328~combout\ = (\led_flash_cnt[2328][0]~q\ & (\led_flash_cnt[2328][7]~q\ & (\WideAnd2328~0_combout\ & \WideAnd2328~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2328][0]~q\,
	datab => \led_flash_cnt[2328][7]~q\,
	datac => \WideAnd2328~0_combout\,
	datad => \WideAnd2328~1_combout\,
	combout => \WideAnd2328~combout\);

-- Location: FF_X14_Y13_N31
\led_flash_cnt_ands[2328]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2328~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2328));

-- Location: LCCOMB_X26_Y13_N8
\WideAnd4131~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4131~1_combout\ = (led_flash_cnt_ands(2329) & led_flash_cnt_ands(2328))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2329),
	datad => led_flash_cnt_ands(2328),
	combout => \WideAnd4131~1_combout\);

-- Location: LCCOMB_X43_Y12_N2
\led_flash_cnt[2333][0]~82973\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2333][0]~82973_combout\ = !\led_flash_cnt[2333][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2333][0]~q\,
	combout => \led_flash_cnt[2333][0]~82973_combout\);

-- Location: FF_X43_Y12_N3
\led_flash_cnt[2333][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2333][0]~82973_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2333][0]~q\);

-- Location: LCCOMB_X44_Y12_N14
\led_flash_cnt[2333][1]~59542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2333][1]~59542_combout\ = (\led_flash_cnt[2333][0]~q\ & (\led_flash_cnt[2333][1]~q\ $ (VCC))) # (!\led_flash_cnt[2333][0]~q\ & (\led_flash_cnt[2333][1]~q\ & VCC))
-- \led_flash_cnt[2333][1]~59543\ = CARRY((\led_flash_cnt[2333][0]~q\ & \led_flash_cnt[2333][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2333][0]~q\,
	datab => \led_flash_cnt[2333][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2333][1]~59542_combout\,
	cout => \led_flash_cnt[2333][1]~59543\);

-- Location: FF_X44_Y12_N15
\led_flash_cnt[2333][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2333][1]~59542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2333][1]~q\);

-- Location: LCCOMB_X44_Y12_N16
\led_flash_cnt[2333][2]~59544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2333][2]~59544_combout\ = (\led_flash_cnt[2333][2]~q\ & (!\led_flash_cnt[2333][1]~59543\)) # (!\led_flash_cnt[2333][2]~q\ & ((\led_flash_cnt[2333][1]~59543\) # (GND)))
-- \led_flash_cnt[2333][2]~59545\ = CARRY((!\led_flash_cnt[2333][1]~59543\) # (!\led_flash_cnt[2333][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2333][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2333][1]~59543\,
	combout => \led_flash_cnt[2333][2]~59544_combout\,
	cout => \led_flash_cnt[2333][2]~59545\);

-- Location: FF_X44_Y12_N17
\led_flash_cnt[2333][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2333][2]~59544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2333][2]~q\);

-- Location: LCCOMB_X44_Y12_N18
\led_flash_cnt[2333][3]~59546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2333][3]~59546_combout\ = (\led_flash_cnt[2333][3]~q\ & (\led_flash_cnt[2333][2]~59545\ $ (GND))) # (!\led_flash_cnt[2333][3]~q\ & (!\led_flash_cnt[2333][2]~59545\ & VCC))
-- \led_flash_cnt[2333][3]~59547\ = CARRY((\led_flash_cnt[2333][3]~q\ & !\led_flash_cnt[2333][2]~59545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2333][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2333][2]~59545\,
	combout => \led_flash_cnt[2333][3]~59546_combout\,
	cout => \led_flash_cnt[2333][3]~59547\);

-- Location: FF_X44_Y12_N19
\led_flash_cnt[2333][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2333][3]~59546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2333][3]~q\);

-- Location: LCCOMB_X44_Y12_N20
\led_flash_cnt[2333][4]~59548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2333][4]~59548_combout\ = (\led_flash_cnt[2333][4]~q\ & (!\led_flash_cnt[2333][3]~59547\)) # (!\led_flash_cnt[2333][4]~q\ & ((\led_flash_cnt[2333][3]~59547\) # (GND)))
-- \led_flash_cnt[2333][4]~59549\ = CARRY((!\led_flash_cnt[2333][3]~59547\) # (!\led_flash_cnt[2333][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2333][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2333][3]~59547\,
	combout => \led_flash_cnt[2333][4]~59548_combout\,
	cout => \led_flash_cnt[2333][4]~59549\);

-- Location: FF_X44_Y12_N21
\led_flash_cnt[2333][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2333][4]~59548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2333][4]~q\);

-- Location: LCCOMB_X44_Y12_N30
\WideAnd2333~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2333~0_combout\ = (\led_flash_cnt[2333][4]~q\ & (\led_flash_cnt[2333][3]~q\ & (\led_flash_cnt[2333][1]~q\ & \led_flash_cnt[2333][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2333][4]~q\,
	datab => \led_flash_cnt[2333][3]~q\,
	datac => \led_flash_cnt[2333][1]~q\,
	datad => \led_flash_cnt[2333][2]~q\,
	combout => \WideAnd2333~0_combout\);

-- Location: LCCOMB_X44_Y12_N22
\led_flash_cnt[2333][5]~59550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2333][5]~59550_combout\ = (\led_flash_cnt[2333][5]~q\ & (\led_flash_cnt[2333][4]~59549\ $ (GND))) # (!\led_flash_cnt[2333][5]~q\ & (!\led_flash_cnt[2333][4]~59549\ & VCC))
-- \led_flash_cnt[2333][5]~59551\ = CARRY((\led_flash_cnt[2333][5]~q\ & !\led_flash_cnt[2333][4]~59549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2333][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2333][4]~59549\,
	combout => \led_flash_cnt[2333][5]~59550_combout\,
	cout => \led_flash_cnt[2333][5]~59551\);

-- Location: FF_X44_Y12_N23
\led_flash_cnt[2333][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2333][5]~59550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2333][5]~q\);

-- Location: LCCOMB_X44_Y12_N24
\led_flash_cnt[2333][6]~59552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2333][6]~59552_combout\ = (\led_flash_cnt[2333][6]~q\ & (!\led_flash_cnt[2333][5]~59551\)) # (!\led_flash_cnt[2333][6]~q\ & ((\led_flash_cnt[2333][5]~59551\) # (GND)))
-- \led_flash_cnt[2333][6]~59553\ = CARRY((!\led_flash_cnt[2333][5]~59551\) # (!\led_flash_cnt[2333][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2333][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2333][5]~59551\,
	combout => \led_flash_cnt[2333][6]~59552_combout\,
	cout => \led_flash_cnt[2333][6]~59553\);

-- Location: FF_X44_Y12_N25
\led_flash_cnt[2333][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2333][6]~59552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2333][6]~q\);

-- Location: LCCOMB_X43_Y12_N4
\WideAnd2333~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2333~1_combout\ = (\led_flash_cnt[2333][6]~q\ & \led_flash_cnt[2333][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2333][6]~q\,
	datad => \led_flash_cnt[2333][5]~q\,
	combout => \WideAnd2333~1_combout\);

-- Location: LCCOMB_X44_Y12_N26
\led_flash_cnt[2333][7]~59554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2333][7]~59554_combout\ = \led_flash_cnt[2333][7]~q\ $ (!\led_flash_cnt[2333][6]~59553\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2333][7]~q\,
	cin => \led_flash_cnt[2333][6]~59553\,
	combout => \led_flash_cnt[2333][7]~59554_combout\);

-- Location: FF_X44_Y12_N27
\led_flash_cnt[2333][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2333][7]~59554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2333][7]~q\);

-- Location: LCCOMB_X43_Y12_N20
WideAnd2333 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2333~combout\ = (\WideAnd2333~0_combout\ & (\led_flash_cnt[2333][0]~q\ & (\WideAnd2333~1_combout\ & \led_flash_cnt[2333][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2333~0_combout\,
	datab => \led_flash_cnt[2333][0]~q\,
	datac => \WideAnd2333~1_combout\,
	datad => \led_flash_cnt[2333][7]~q\,
	combout => \WideAnd2333~combout\);

-- Location: FF_X43_Y12_N21
\led_flash_cnt_ands[2333]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2333~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2333));

-- Location: LCCOMB_X43_Y22_N2
\led_flash_cnt[2331][0]~82971\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2331][0]~82971_combout\ = !\led_flash_cnt[2331][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2331][0]~q\,
	combout => \led_flash_cnt[2331][0]~82971_combout\);

-- Location: FF_X43_Y22_N3
\led_flash_cnt[2331][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2331][0]~82971_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2331][0]~q\);

-- Location: LCCOMB_X42_Y22_N0
\led_flash_cnt[2331][1]~59514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2331][1]~59514_combout\ = (\led_flash_cnt[2331][0]~q\ & (\led_flash_cnt[2331][1]~q\ $ (VCC))) # (!\led_flash_cnt[2331][0]~q\ & (\led_flash_cnt[2331][1]~q\ & VCC))
-- \led_flash_cnt[2331][1]~59515\ = CARRY((\led_flash_cnt[2331][0]~q\ & \led_flash_cnt[2331][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2331][0]~q\,
	datab => \led_flash_cnt[2331][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2331][1]~59514_combout\,
	cout => \led_flash_cnt[2331][1]~59515\);

-- Location: FF_X42_Y22_N1
\led_flash_cnt[2331][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2331][1]~59514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2331][1]~q\);

-- Location: LCCOMB_X42_Y22_N2
\led_flash_cnt[2331][2]~59516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2331][2]~59516_combout\ = (\led_flash_cnt[2331][2]~q\ & (!\led_flash_cnt[2331][1]~59515\)) # (!\led_flash_cnt[2331][2]~q\ & ((\led_flash_cnt[2331][1]~59515\) # (GND)))
-- \led_flash_cnt[2331][2]~59517\ = CARRY((!\led_flash_cnt[2331][1]~59515\) # (!\led_flash_cnt[2331][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2331][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2331][1]~59515\,
	combout => \led_flash_cnt[2331][2]~59516_combout\,
	cout => \led_flash_cnt[2331][2]~59517\);

-- Location: FF_X42_Y22_N3
\led_flash_cnt[2331][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2331][2]~59516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2331][2]~q\);

-- Location: LCCOMB_X42_Y22_N4
\led_flash_cnt[2331][3]~59518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2331][3]~59518_combout\ = (\led_flash_cnt[2331][3]~q\ & (\led_flash_cnt[2331][2]~59517\ $ (GND))) # (!\led_flash_cnt[2331][3]~q\ & (!\led_flash_cnt[2331][2]~59517\ & VCC))
-- \led_flash_cnt[2331][3]~59519\ = CARRY((\led_flash_cnt[2331][3]~q\ & !\led_flash_cnt[2331][2]~59517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2331][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2331][2]~59517\,
	combout => \led_flash_cnt[2331][3]~59518_combout\,
	cout => \led_flash_cnt[2331][3]~59519\);

-- Location: FF_X42_Y22_N5
\led_flash_cnt[2331][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2331][3]~59518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2331][3]~q\);

-- Location: LCCOMB_X42_Y22_N6
\led_flash_cnt[2331][4]~59520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2331][4]~59520_combout\ = (\led_flash_cnt[2331][4]~q\ & (!\led_flash_cnt[2331][3]~59519\)) # (!\led_flash_cnt[2331][4]~q\ & ((\led_flash_cnt[2331][3]~59519\) # (GND)))
-- \led_flash_cnt[2331][4]~59521\ = CARRY((!\led_flash_cnt[2331][3]~59519\) # (!\led_flash_cnt[2331][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2331][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2331][3]~59519\,
	combout => \led_flash_cnt[2331][4]~59520_combout\,
	cout => \led_flash_cnt[2331][4]~59521\);

-- Location: FF_X42_Y22_N7
\led_flash_cnt[2331][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2331][4]~59520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2331][4]~q\);

-- Location: LCCOMB_X42_Y22_N8
\led_flash_cnt[2331][5]~59522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2331][5]~59522_combout\ = (\led_flash_cnt[2331][5]~q\ & (\led_flash_cnt[2331][4]~59521\ $ (GND))) # (!\led_flash_cnt[2331][5]~q\ & (!\led_flash_cnt[2331][4]~59521\ & VCC))
-- \led_flash_cnt[2331][5]~59523\ = CARRY((\led_flash_cnt[2331][5]~q\ & !\led_flash_cnt[2331][4]~59521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2331][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2331][4]~59521\,
	combout => \led_flash_cnt[2331][5]~59522_combout\,
	cout => \led_flash_cnt[2331][5]~59523\);

-- Location: FF_X42_Y22_N9
\led_flash_cnt[2331][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2331][5]~59522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2331][5]~q\);

-- Location: LCCOMB_X42_Y22_N10
\led_flash_cnt[2331][6]~59524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2331][6]~59524_combout\ = (\led_flash_cnt[2331][6]~q\ & (!\led_flash_cnt[2331][5]~59523\)) # (!\led_flash_cnt[2331][6]~q\ & ((\led_flash_cnt[2331][5]~59523\) # (GND)))
-- \led_flash_cnt[2331][6]~59525\ = CARRY((!\led_flash_cnt[2331][5]~59523\) # (!\led_flash_cnt[2331][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2331][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2331][5]~59523\,
	combout => \led_flash_cnt[2331][6]~59524_combout\,
	cout => \led_flash_cnt[2331][6]~59525\);

-- Location: FF_X42_Y22_N11
\led_flash_cnt[2331][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2331][6]~59524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2331][6]~q\);

-- Location: LCCOMB_X42_Y22_N12
\led_flash_cnt[2331][7]~59526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2331][7]~59526_combout\ = \led_flash_cnt[2331][6]~59525\ $ (!\led_flash_cnt[2331][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2331][7]~q\,
	cin => \led_flash_cnt[2331][6]~59525\,
	combout => \led_flash_cnt[2331][7]~59526_combout\);

-- Location: FF_X42_Y22_N13
\led_flash_cnt[2331][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2331][7]~59526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2331][7]~q\);

-- Location: LCCOMB_X42_Y22_N30
\WideAnd2331~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2331~0_combout\ = (\led_flash_cnt[2331][4]~q\ & (\led_flash_cnt[2331][1]~q\ & (\led_flash_cnt[2331][3]~q\ & \led_flash_cnt[2331][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2331][4]~q\,
	datab => \led_flash_cnt[2331][1]~q\,
	datac => \led_flash_cnt[2331][3]~q\,
	datad => \led_flash_cnt[2331][2]~q\,
	combout => \WideAnd2331~0_combout\);

-- Location: LCCOMB_X43_Y22_N30
\WideAnd2331~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2331~1_combout\ = (\led_flash_cnt[2331][6]~q\ & \led_flash_cnt[2331][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2331][6]~q\,
	datad => \led_flash_cnt[2331][5]~q\,
	combout => \WideAnd2331~1_combout\);

-- Location: LCCOMB_X43_Y22_N20
WideAnd2331 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2331~combout\ = (\led_flash_cnt[2331][7]~q\ & (\WideAnd2331~0_combout\ & (\WideAnd2331~1_combout\ & \led_flash_cnt[2331][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2331][7]~q\,
	datab => \WideAnd2331~0_combout\,
	datac => \WideAnd2331~1_combout\,
	datad => \led_flash_cnt[2331][0]~q\,
	combout => \WideAnd2331~combout\);

-- Location: FF_X43_Y22_N21
\led_flash_cnt_ands[2331]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2331~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2331));

-- Location: LCCOMB_X43_Y22_N22
\led_flash_cnt[2332][0]~82972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2332][0]~82972_combout\ = !\led_flash_cnt[2332][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2332][0]~q\,
	combout => \led_flash_cnt[2332][0]~82972_combout\);

-- Location: FF_X43_Y22_N23
\led_flash_cnt[2332][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2332][0]~82972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2332][0]~q\);

-- Location: LCCOMB_X43_Y22_N4
\led_flash_cnt[2332][1]~59528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2332][1]~59528_combout\ = (\led_flash_cnt[2332][0]~q\ & (\led_flash_cnt[2332][1]~q\ $ (VCC))) # (!\led_flash_cnt[2332][0]~q\ & (\led_flash_cnt[2332][1]~q\ & VCC))
-- \led_flash_cnt[2332][1]~59529\ = CARRY((\led_flash_cnt[2332][0]~q\ & \led_flash_cnt[2332][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2332][0]~q\,
	datab => \led_flash_cnt[2332][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2332][1]~59528_combout\,
	cout => \led_flash_cnt[2332][1]~59529\);

-- Location: FF_X43_Y22_N5
\led_flash_cnt[2332][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2332][1]~59528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2332][1]~q\);

-- Location: LCCOMB_X43_Y22_N6
\led_flash_cnt[2332][2]~59530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2332][2]~59530_combout\ = (\led_flash_cnt[2332][2]~q\ & (!\led_flash_cnt[2332][1]~59529\)) # (!\led_flash_cnt[2332][2]~q\ & ((\led_flash_cnt[2332][1]~59529\) # (GND)))
-- \led_flash_cnt[2332][2]~59531\ = CARRY((!\led_flash_cnt[2332][1]~59529\) # (!\led_flash_cnt[2332][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2332][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2332][1]~59529\,
	combout => \led_flash_cnt[2332][2]~59530_combout\,
	cout => \led_flash_cnt[2332][2]~59531\);

-- Location: FF_X43_Y22_N7
\led_flash_cnt[2332][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2332][2]~59530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2332][2]~q\);

-- Location: LCCOMB_X43_Y22_N8
\led_flash_cnt[2332][3]~59532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2332][3]~59532_combout\ = (\led_flash_cnt[2332][3]~q\ & (\led_flash_cnt[2332][2]~59531\ $ (GND))) # (!\led_flash_cnt[2332][3]~q\ & (!\led_flash_cnt[2332][2]~59531\ & VCC))
-- \led_flash_cnt[2332][3]~59533\ = CARRY((\led_flash_cnt[2332][3]~q\ & !\led_flash_cnt[2332][2]~59531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2332][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2332][2]~59531\,
	combout => \led_flash_cnt[2332][3]~59532_combout\,
	cout => \led_flash_cnt[2332][3]~59533\);

-- Location: FF_X43_Y22_N9
\led_flash_cnt[2332][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2332][3]~59532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2332][3]~q\);

-- Location: LCCOMB_X43_Y22_N10
\led_flash_cnt[2332][4]~59534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2332][4]~59534_combout\ = (\led_flash_cnt[2332][4]~q\ & (!\led_flash_cnt[2332][3]~59533\)) # (!\led_flash_cnt[2332][4]~q\ & ((\led_flash_cnt[2332][3]~59533\) # (GND)))
-- \led_flash_cnt[2332][4]~59535\ = CARRY((!\led_flash_cnt[2332][3]~59533\) # (!\led_flash_cnt[2332][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2332][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2332][3]~59533\,
	combout => \led_flash_cnt[2332][4]~59534_combout\,
	cout => \led_flash_cnt[2332][4]~59535\);

-- Location: FF_X43_Y22_N11
\led_flash_cnt[2332][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2332][4]~59534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2332][4]~q\);

-- Location: LCCOMB_X43_Y22_N12
\led_flash_cnt[2332][5]~59536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2332][5]~59536_combout\ = (\led_flash_cnt[2332][5]~q\ & (\led_flash_cnt[2332][4]~59535\ $ (GND))) # (!\led_flash_cnt[2332][5]~q\ & (!\led_flash_cnt[2332][4]~59535\ & VCC))
-- \led_flash_cnt[2332][5]~59537\ = CARRY((\led_flash_cnt[2332][5]~q\ & !\led_flash_cnt[2332][4]~59535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2332][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2332][4]~59535\,
	combout => \led_flash_cnt[2332][5]~59536_combout\,
	cout => \led_flash_cnt[2332][5]~59537\);

-- Location: FF_X43_Y22_N13
\led_flash_cnt[2332][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2332][5]~59536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2332][5]~q\);

-- Location: LCCOMB_X43_Y22_N14
\led_flash_cnt[2332][6]~59538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2332][6]~59538_combout\ = (\led_flash_cnt[2332][6]~q\ & (!\led_flash_cnt[2332][5]~59537\)) # (!\led_flash_cnt[2332][6]~q\ & ((\led_flash_cnt[2332][5]~59537\) # (GND)))
-- \led_flash_cnt[2332][6]~59539\ = CARRY((!\led_flash_cnt[2332][5]~59537\) # (!\led_flash_cnt[2332][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2332][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2332][5]~59537\,
	combout => \led_flash_cnt[2332][6]~59538_combout\,
	cout => \led_flash_cnt[2332][6]~59539\);

-- Location: FF_X43_Y22_N15
\led_flash_cnt[2332][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2332][6]~59538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2332][6]~q\);

-- Location: LCCOMB_X43_Y22_N26
\WideAnd2332~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2332~1_combout\ = (\led_flash_cnt[2332][6]~q\ & \led_flash_cnt[2332][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2332][6]~q\,
	datad => \led_flash_cnt[2332][5]~q\,
	combout => \WideAnd2332~1_combout\);

-- Location: LCCOMB_X43_Y22_N16
\led_flash_cnt[2332][7]~59540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2332][7]~59540_combout\ = \led_flash_cnt[2332][6]~59539\ $ (!\led_flash_cnt[2332][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2332][7]~q\,
	cin => \led_flash_cnt[2332][6]~59539\,
	combout => \led_flash_cnt[2332][7]~59540_combout\);

-- Location: FF_X43_Y22_N17
\led_flash_cnt[2332][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2332][7]~59540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2332][7]~q\);

-- Location: LCCOMB_X43_Y22_N24
\WideAnd2332~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2332~0_combout\ = (\led_flash_cnt[2332][4]~q\ & (\led_flash_cnt[2332][3]~q\ & (\led_flash_cnt[2332][1]~q\ & \led_flash_cnt[2332][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2332][4]~q\,
	datab => \led_flash_cnt[2332][3]~q\,
	datac => \led_flash_cnt[2332][1]~q\,
	datad => \led_flash_cnt[2332][2]~q\,
	combout => \WideAnd2332~0_combout\);

-- Location: LCCOMB_X43_Y22_N18
WideAnd2332 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2332~combout\ = (\WideAnd2332~1_combout\ & (\led_flash_cnt[2332][7]~q\ & (\led_flash_cnt[2332][0]~q\ & \WideAnd2332~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2332~1_combout\,
	datab => \led_flash_cnt[2332][7]~q\,
	datac => \led_flash_cnt[2332][0]~q\,
	datad => \WideAnd2332~0_combout\,
	combout => \WideAnd2332~combout\);

-- Location: FF_X43_Y22_N19
\led_flash_cnt_ands[2332]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2332~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2332));

-- Location: LCCOMB_X43_Y14_N6
\led_flash_cnt[2334][0]~82970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2334][0]~82970_combout\ = !\led_flash_cnt[2334][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2334][0]~q\,
	combout => \led_flash_cnt[2334][0]~82970_combout\);

-- Location: FF_X43_Y14_N7
\led_flash_cnt[2334][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2334][0]~82970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2334][0]~q\);

-- Location: LCCOMB_X43_Y12_N6
\led_flash_cnt[2334][1]~59500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2334][1]~59500_combout\ = (\led_flash_cnt[2334][1]~q\ & (\led_flash_cnt[2334][0]~q\ $ (VCC))) # (!\led_flash_cnt[2334][1]~q\ & (\led_flash_cnt[2334][0]~q\ & VCC))
-- \led_flash_cnt[2334][1]~59501\ = CARRY((\led_flash_cnt[2334][1]~q\ & \led_flash_cnt[2334][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2334][1]~q\,
	datab => \led_flash_cnt[2334][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2334][1]~59500_combout\,
	cout => \led_flash_cnt[2334][1]~59501\);

-- Location: FF_X43_Y12_N7
\led_flash_cnt[2334][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2334][1]~59500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2334][1]~q\);

-- Location: LCCOMB_X43_Y12_N8
\led_flash_cnt[2334][2]~59502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2334][2]~59502_combout\ = (\led_flash_cnt[2334][2]~q\ & (!\led_flash_cnt[2334][1]~59501\)) # (!\led_flash_cnt[2334][2]~q\ & ((\led_flash_cnt[2334][1]~59501\) # (GND)))
-- \led_flash_cnt[2334][2]~59503\ = CARRY((!\led_flash_cnt[2334][1]~59501\) # (!\led_flash_cnt[2334][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2334][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2334][1]~59501\,
	combout => \led_flash_cnt[2334][2]~59502_combout\,
	cout => \led_flash_cnt[2334][2]~59503\);

-- Location: FF_X43_Y12_N9
\led_flash_cnt[2334][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2334][2]~59502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2334][2]~q\);

-- Location: LCCOMB_X43_Y12_N10
\led_flash_cnt[2334][3]~59504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2334][3]~59504_combout\ = (\led_flash_cnt[2334][3]~q\ & (\led_flash_cnt[2334][2]~59503\ $ (GND))) # (!\led_flash_cnt[2334][3]~q\ & (!\led_flash_cnt[2334][2]~59503\ & VCC))
-- \led_flash_cnt[2334][3]~59505\ = CARRY((\led_flash_cnt[2334][3]~q\ & !\led_flash_cnt[2334][2]~59503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2334][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2334][2]~59503\,
	combout => \led_flash_cnt[2334][3]~59504_combout\,
	cout => \led_flash_cnt[2334][3]~59505\);

-- Location: FF_X43_Y12_N11
\led_flash_cnt[2334][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2334][3]~59504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2334][3]~q\);

-- Location: LCCOMB_X43_Y12_N12
\led_flash_cnt[2334][4]~59506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2334][4]~59506_combout\ = (\led_flash_cnt[2334][4]~q\ & (!\led_flash_cnt[2334][3]~59505\)) # (!\led_flash_cnt[2334][4]~q\ & ((\led_flash_cnt[2334][3]~59505\) # (GND)))
-- \led_flash_cnt[2334][4]~59507\ = CARRY((!\led_flash_cnt[2334][3]~59505\) # (!\led_flash_cnt[2334][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2334][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2334][3]~59505\,
	combout => \led_flash_cnt[2334][4]~59506_combout\,
	cout => \led_flash_cnt[2334][4]~59507\);

-- Location: FF_X43_Y12_N13
\led_flash_cnt[2334][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2334][4]~59506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2334][4]~q\);

-- Location: LCCOMB_X43_Y12_N26
\WideAnd2334~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2334~0_combout\ = (\led_flash_cnt[2334][4]~q\ & (\led_flash_cnt[2334][3]~q\ & (\led_flash_cnt[2334][2]~q\ & \led_flash_cnt[2334][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2334][4]~q\,
	datab => \led_flash_cnt[2334][3]~q\,
	datac => \led_flash_cnt[2334][2]~q\,
	datad => \led_flash_cnt[2334][1]~q\,
	combout => \WideAnd2334~0_combout\);

-- Location: LCCOMB_X43_Y12_N14
\led_flash_cnt[2334][5]~59508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2334][5]~59508_combout\ = (\led_flash_cnt[2334][5]~q\ & (\led_flash_cnt[2334][4]~59507\ $ (GND))) # (!\led_flash_cnt[2334][5]~q\ & (!\led_flash_cnt[2334][4]~59507\ & VCC))
-- \led_flash_cnt[2334][5]~59509\ = CARRY((\led_flash_cnt[2334][5]~q\ & !\led_flash_cnt[2334][4]~59507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2334][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2334][4]~59507\,
	combout => \led_flash_cnt[2334][5]~59508_combout\,
	cout => \led_flash_cnt[2334][5]~59509\);

-- Location: FF_X43_Y12_N15
\led_flash_cnt[2334][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2334][5]~59508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2334][5]~q\);

-- Location: LCCOMB_X43_Y12_N16
\led_flash_cnt[2334][6]~59510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2334][6]~59510_combout\ = (\led_flash_cnt[2334][6]~q\ & (!\led_flash_cnt[2334][5]~59509\)) # (!\led_flash_cnt[2334][6]~q\ & ((\led_flash_cnt[2334][5]~59509\) # (GND)))
-- \led_flash_cnt[2334][6]~59511\ = CARRY((!\led_flash_cnt[2334][5]~59509\) # (!\led_flash_cnt[2334][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2334][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2334][5]~59509\,
	combout => \led_flash_cnt[2334][6]~59510_combout\,
	cout => \led_flash_cnt[2334][6]~59511\);

-- Location: FF_X43_Y12_N17
\led_flash_cnt[2334][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2334][6]~59510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2334][6]~q\);

-- Location: LCCOMB_X43_Y12_N18
\led_flash_cnt[2334][7]~59512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2334][7]~59512_combout\ = \led_flash_cnt[2334][7]~q\ $ (!\led_flash_cnt[2334][6]~59511\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2334][7]~q\,
	cin => \led_flash_cnt[2334][6]~59511\,
	combout => \led_flash_cnt[2334][7]~59512_combout\);

-- Location: FF_X43_Y12_N19
\led_flash_cnt[2334][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2334][7]~59512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2334][7]~q\);

-- Location: LCCOMB_X43_Y12_N0
\WideAnd2334~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2334~1_combout\ = (\led_flash_cnt[2334][5]~q\ & \led_flash_cnt[2334][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2334][5]~q\,
	datad => \led_flash_cnt[2334][6]~q\,
	combout => \WideAnd2334~1_combout\);

-- Location: LCCOMB_X43_Y12_N28
WideAnd2334 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2334~combout\ = (\WideAnd2334~0_combout\ & (\led_flash_cnt[2334][0]~q\ & (\led_flash_cnt[2334][7]~q\ & \WideAnd2334~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2334~0_combout\,
	datab => \led_flash_cnt[2334][0]~q\,
	datac => \led_flash_cnt[2334][7]~q\,
	datad => \WideAnd2334~1_combout\,
	combout => \WideAnd2334~combout\);

-- Location: FF_X43_Y12_N29
\led_flash_cnt_ands[2334]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2334~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2334));

-- Location: LCCOMB_X43_Y14_N2
\WideAnd4131~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4131~0_combout\ = (led_flash_cnt_ands(2333) & (led_flash_cnt_ands(2331) & (led_flash_cnt_ands(2332) & led_flash_cnt_ands(2334))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2333),
	datab => led_flash_cnt_ands(2331),
	datac => led_flash_cnt_ands(2332),
	datad => led_flash_cnt_ands(2334),
	combout => \WideAnd4131~0_combout\);

-- Location: LCCOMB_X24_Y21_N26
\led_flash_cnt[2335][0]~82968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2335][0]~82968_combout\ = !\led_flash_cnt[2335][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2335][0]~q\,
	combout => \led_flash_cnt[2335][0]~82968_combout\);

-- Location: FF_X24_Y21_N27
\led_flash_cnt[2335][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2335][0]~82968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2335][0]~q\);

-- Location: LCCOMB_X24_Y21_N4
\led_flash_cnt[2335][1]~59472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2335][1]~59472_combout\ = (\led_flash_cnt[2335][0]~q\ & (\led_flash_cnt[2335][1]~q\ $ (VCC))) # (!\led_flash_cnt[2335][0]~q\ & (\led_flash_cnt[2335][1]~q\ & VCC))
-- \led_flash_cnt[2335][1]~59473\ = CARRY((\led_flash_cnt[2335][0]~q\ & \led_flash_cnt[2335][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2335][0]~q\,
	datab => \led_flash_cnt[2335][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2335][1]~59472_combout\,
	cout => \led_flash_cnt[2335][1]~59473\);

-- Location: FF_X24_Y21_N5
\led_flash_cnt[2335][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2335][1]~59472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2335][1]~q\);

-- Location: LCCOMB_X24_Y21_N6
\led_flash_cnt[2335][2]~59474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2335][2]~59474_combout\ = (\led_flash_cnt[2335][2]~q\ & (!\led_flash_cnt[2335][1]~59473\)) # (!\led_flash_cnt[2335][2]~q\ & ((\led_flash_cnt[2335][1]~59473\) # (GND)))
-- \led_flash_cnt[2335][2]~59475\ = CARRY((!\led_flash_cnt[2335][1]~59473\) # (!\led_flash_cnt[2335][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2335][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2335][1]~59473\,
	combout => \led_flash_cnt[2335][2]~59474_combout\,
	cout => \led_flash_cnt[2335][2]~59475\);

-- Location: FF_X24_Y21_N7
\led_flash_cnt[2335][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2335][2]~59474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2335][2]~q\);

-- Location: LCCOMB_X24_Y21_N8
\led_flash_cnt[2335][3]~59476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2335][3]~59476_combout\ = (\led_flash_cnt[2335][3]~q\ & (\led_flash_cnt[2335][2]~59475\ $ (GND))) # (!\led_flash_cnt[2335][3]~q\ & (!\led_flash_cnt[2335][2]~59475\ & VCC))
-- \led_flash_cnt[2335][3]~59477\ = CARRY((\led_flash_cnt[2335][3]~q\ & !\led_flash_cnt[2335][2]~59475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2335][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2335][2]~59475\,
	combout => \led_flash_cnt[2335][3]~59476_combout\,
	cout => \led_flash_cnt[2335][3]~59477\);

-- Location: FF_X24_Y21_N9
\led_flash_cnt[2335][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2335][3]~59476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2335][3]~q\);

-- Location: LCCOMB_X24_Y21_N10
\led_flash_cnt[2335][4]~59478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2335][4]~59478_combout\ = (\led_flash_cnt[2335][4]~q\ & (!\led_flash_cnt[2335][3]~59477\)) # (!\led_flash_cnt[2335][4]~q\ & ((\led_flash_cnt[2335][3]~59477\) # (GND)))
-- \led_flash_cnt[2335][4]~59479\ = CARRY((!\led_flash_cnt[2335][3]~59477\) # (!\led_flash_cnt[2335][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2335][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2335][3]~59477\,
	combout => \led_flash_cnt[2335][4]~59478_combout\,
	cout => \led_flash_cnt[2335][4]~59479\);

-- Location: FF_X24_Y21_N11
\led_flash_cnt[2335][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2335][4]~59478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2335][4]~q\);

-- Location: LCCOMB_X24_Y21_N12
\led_flash_cnt[2335][5]~59480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2335][5]~59480_combout\ = (\led_flash_cnt[2335][5]~q\ & (\led_flash_cnt[2335][4]~59479\ $ (GND))) # (!\led_flash_cnt[2335][5]~q\ & (!\led_flash_cnt[2335][4]~59479\ & VCC))
-- \led_flash_cnt[2335][5]~59481\ = CARRY((\led_flash_cnt[2335][5]~q\ & !\led_flash_cnt[2335][4]~59479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2335][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2335][4]~59479\,
	combout => \led_flash_cnt[2335][5]~59480_combout\,
	cout => \led_flash_cnt[2335][5]~59481\);

-- Location: FF_X24_Y21_N13
\led_flash_cnt[2335][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2335][5]~59480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2335][5]~q\);

-- Location: LCCOMB_X24_Y21_N14
\led_flash_cnt[2335][6]~59482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2335][6]~59482_combout\ = (\led_flash_cnt[2335][6]~q\ & (!\led_flash_cnt[2335][5]~59481\)) # (!\led_flash_cnt[2335][6]~q\ & ((\led_flash_cnt[2335][5]~59481\) # (GND)))
-- \led_flash_cnt[2335][6]~59483\ = CARRY((!\led_flash_cnt[2335][5]~59481\) # (!\led_flash_cnt[2335][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2335][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2335][5]~59481\,
	combout => \led_flash_cnt[2335][6]~59482_combout\,
	cout => \led_flash_cnt[2335][6]~59483\);

-- Location: FF_X24_Y21_N15
\led_flash_cnt[2335][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2335][6]~59482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2335][6]~q\);

-- Location: LCCOMB_X24_Y21_N2
\WideAnd2335~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2335~1_combout\ = (\led_flash_cnt[2335][6]~q\ & \led_flash_cnt[2335][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2335][6]~q\,
	datad => \led_flash_cnt[2335][5]~q\,
	combout => \WideAnd2335~1_combout\);

-- Location: LCCOMB_X24_Y21_N30
\WideAnd2335~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2335~0_combout\ = (\led_flash_cnt[2335][2]~q\ & (\led_flash_cnt[2335][1]~q\ & (\led_flash_cnt[2335][3]~q\ & \led_flash_cnt[2335][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2335][2]~q\,
	datab => \led_flash_cnt[2335][1]~q\,
	datac => \led_flash_cnt[2335][3]~q\,
	datad => \led_flash_cnt[2335][4]~q\,
	combout => \WideAnd2335~0_combout\);

-- Location: LCCOMB_X24_Y21_N16
\led_flash_cnt[2335][7]~59484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2335][7]~59484_combout\ = \led_flash_cnt[2335][6]~59483\ $ (!\led_flash_cnt[2335][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2335][7]~q\,
	cin => \led_flash_cnt[2335][6]~59483\,
	combout => \led_flash_cnt[2335][7]~59484_combout\);

-- Location: FF_X24_Y21_N17
\led_flash_cnt[2335][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2335][7]~59484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2335][7]~q\);

-- Location: LCCOMB_X24_Y21_N0
WideAnd2335 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2335~combout\ = (\led_flash_cnt[2335][0]~q\ & (\WideAnd2335~1_combout\ & (\WideAnd2335~0_combout\ & \led_flash_cnt[2335][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2335][0]~q\,
	datab => \WideAnd2335~1_combout\,
	datac => \WideAnd2335~0_combout\,
	datad => \led_flash_cnt[2335][7]~q\,
	combout => \WideAnd2335~combout\);

-- Location: FF_X24_Y21_N1
\led_flash_cnt_ands[2335]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2335~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2335));

-- Location: LCCOMB_X25_Y17_N8
WideAnd4131 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4131~combout\ = (led_flash_cnt_ands(2330) & (\WideAnd4131~1_combout\ & (\WideAnd4131~0_combout\ & led_flash_cnt_ands(2335))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2330),
	datab => \WideAnd4131~1_combout\,
	datac => \WideAnd4131~0_combout\,
	datad => led_flash_cnt_ands(2335),
	combout => \WideAnd4131~combout\);

-- Location: FF_X25_Y17_N9
\led_flash_cnt_ands_1[291]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4131~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(291));

-- Location: LCCOMB_X40_Y14_N2
\led_flash_cnt[2311][0]~82951\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2311][0]~82951_combout\ = !\led_flash_cnt[2311][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2311][0]~q\,
	combout => \led_flash_cnt[2311][0]~82951_combout\);

-- Location: FF_X40_Y14_N3
\led_flash_cnt[2311][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2311][0]~82951_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2311][0]~q\);

-- Location: LCCOMB_X39_Y14_N0
\led_flash_cnt[2311][1]~59234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2311][1]~59234_combout\ = (\led_flash_cnt[2311][0]~q\ & (\led_flash_cnt[2311][1]~q\ $ (VCC))) # (!\led_flash_cnt[2311][0]~q\ & (\led_flash_cnt[2311][1]~q\ & VCC))
-- \led_flash_cnt[2311][1]~59235\ = CARRY((\led_flash_cnt[2311][0]~q\ & \led_flash_cnt[2311][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2311][0]~q\,
	datab => \led_flash_cnt[2311][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2311][1]~59234_combout\,
	cout => \led_flash_cnt[2311][1]~59235\);

-- Location: FF_X39_Y14_N1
\led_flash_cnt[2311][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2311][1]~59234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2311][1]~q\);

-- Location: LCCOMB_X39_Y14_N2
\led_flash_cnt[2311][2]~59236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2311][2]~59236_combout\ = (\led_flash_cnt[2311][2]~q\ & (!\led_flash_cnt[2311][1]~59235\)) # (!\led_flash_cnt[2311][2]~q\ & ((\led_flash_cnt[2311][1]~59235\) # (GND)))
-- \led_flash_cnt[2311][2]~59237\ = CARRY((!\led_flash_cnt[2311][1]~59235\) # (!\led_flash_cnt[2311][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2311][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2311][1]~59235\,
	combout => \led_flash_cnt[2311][2]~59236_combout\,
	cout => \led_flash_cnt[2311][2]~59237\);

-- Location: FF_X39_Y14_N3
\led_flash_cnt[2311][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2311][2]~59236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2311][2]~q\);

-- Location: LCCOMB_X39_Y14_N4
\led_flash_cnt[2311][3]~59238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2311][3]~59238_combout\ = (\led_flash_cnt[2311][3]~q\ & (\led_flash_cnt[2311][2]~59237\ $ (GND))) # (!\led_flash_cnt[2311][3]~q\ & (!\led_flash_cnt[2311][2]~59237\ & VCC))
-- \led_flash_cnt[2311][3]~59239\ = CARRY((\led_flash_cnt[2311][3]~q\ & !\led_flash_cnt[2311][2]~59237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2311][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2311][2]~59237\,
	combout => \led_flash_cnt[2311][3]~59238_combout\,
	cout => \led_flash_cnt[2311][3]~59239\);

-- Location: FF_X39_Y14_N5
\led_flash_cnt[2311][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2311][3]~59238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2311][3]~q\);

-- Location: LCCOMB_X39_Y14_N6
\led_flash_cnt[2311][4]~59240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2311][4]~59240_combout\ = (\led_flash_cnt[2311][4]~q\ & (!\led_flash_cnt[2311][3]~59239\)) # (!\led_flash_cnt[2311][4]~q\ & ((\led_flash_cnt[2311][3]~59239\) # (GND)))
-- \led_flash_cnt[2311][4]~59241\ = CARRY((!\led_flash_cnt[2311][3]~59239\) # (!\led_flash_cnt[2311][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2311][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2311][3]~59239\,
	combout => \led_flash_cnt[2311][4]~59240_combout\,
	cout => \led_flash_cnt[2311][4]~59241\);

-- Location: FF_X39_Y14_N7
\led_flash_cnt[2311][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2311][4]~59240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2311][4]~q\);

-- Location: LCCOMB_X39_Y14_N8
\led_flash_cnt[2311][5]~59242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2311][5]~59242_combout\ = (\led_flash_cnt[2311][5]~q\ & (\led_flash_cnt[2311][4]~59241\ $ (GND))) # (!\led_flash_cnt[2311][5]~q\ & (!\led_flash_cnt[2311][4]~59241\ & VCC))
-- \led_flash_cnt[2311][5]~59243\ = CARRY((\led_flash_cnt[2311][5]~q\ & !\led_flash_cnt[2311][4]~59241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2311][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2311][4]~59241\,
	combout => \led_flash_cnt[2311][5]~59242_combout\,
	cout => \led_flash_cnt[2311][5]~59243\);

-- Location: FF_X39_Y14_N9
\led_flash_cnt[2311][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2311][5]~59242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2311][5]~q\);

-- Location: LCCOMB_X39_Y14_N10
\led_flash_cnt[2311][6]~59244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2311][6]~59244_combout\ = (\led_flash_cnt[2311][6]~q\ & (!\led_flash_cnt[2311][5]~59243\)) # (!\led_flash_cnt[2311][6]~q\ & ((\led_flash_cnt[2311][5]~59243\) # (GND)))
-- \led_flash_cnt[2311][6]~59245\ = CARRY((!\led_flash_cnt[2311][5]~59243\) # (!\led_flash_cnt[2311][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2311][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2311][5]~59243\,
	combout => \led_flash_cnt[2311][6]~59244_combout\,
	cout => \led_flash_cnt[2311][6]~59245\);

-- Location: FF_X39_Y14_N11
\led_flash_cnt[2311][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2311][6]~59244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2311][6]~q\);

-- Location: LCCOMB_X39_Y14_N12
\led_flash_cnt[2311][7]~59246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2311][7]~59246_combout\ = \led_flash_cnt[2311][6]~59245\ $ (!\led_flash_cnt[2311][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2311][7]~q\,
	cin => \led_flash_cnt[2311][6]~59245\,
	combout => \led_flash_cnt[2311][7]~59246_combout\);

-- Location: FF_X39_Y14_N13
\led_flash_cnt[2311][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2311][7]~59246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2311][7]~q\);

-- Location: LCCOMB_X40_Y14_N0
\WideAnd2311~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2311~1_combout\ = (\led_flash_cnt[2311][6]~q\ & \led_flash_cnt[2311][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2311][6]~q\,
	datad => \led_flash_cnt[2311][5]~q\,
	combout => \WideAnd2311~1_combout\);

-- Location: LCCOMB_X39_Y14_N16
\WideAnd2311~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2311~0_combout\ = (\led_flash_cnt[2311][4]~q\ & (\led_flash_cnt[2311][1]~q\ & (\led_flash_cnt[2311][3]~q\ & \led_flash_cnt[2311][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2311][4]~q\,
	datab => \led_flash_cnt[2311][1]~q\,
	datac => \led_flash_cnt[2311][3]~q\,
	datad => \led_flash_cnt[2311][2]~q\,
	combout => \WideAnd2311~0_combout\);

-- Location: LCCOMB_X40_Y14_N10
WideAnd2311 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2311~combout\ = (\led_flash_cnt[2311][7]~q\ & (\WideAnd2311~1_combout\ & (\WideAnd2311~0_combout\ & \led_flash_cnt[2311][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2311][7]~q\,
	datab => \WideAnd2311~1_combout\,
	datac => \WideAnd2311~0_combout\,
	datad => \led_flash_cnt[2311][0]~q\,
	combout => \WideAnd2311~combout\);

-- Location: FF_X40_Y14_N11
\led_flash_cnt_ands[2311]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2311~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2311));

-- Location: LCCOMB_X38_Y30_N28
\led_flash_cnt[2309][0]~82949\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2309][0]~82949_combout\ = !\led_flash_cnt[2309][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2309][0]~q\,
	combout => \led_flash_cnt[2309][0]~82949_combout\);

-- Location: FF_X38_Y30_N29
\led_flash_cnt[2309][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2309][0]~82949_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2309][0]~q\);

-- Location: LCCOMB_X38_Y29_N14
\led_flash_cnt[2309][1]~59206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2309][1]~59206_combout\ = (\led_flash_cnt[2309][0]~q\ & (\led_flash_cnt[2309][1]~q\ $ (VCC))) # (!\led_flash_cnt[2309][0]~q\ & (\led_flash_cnt[2309][1]~q\ & VCC))
-- \led_flash_cnt[2309][1]~59207\ = CARRY((\led_flash_cnt[2309][0]~q\ & \led_flash_cnt[2309][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2309][0]~q\,
	datab => \led_flash_cnt[2309][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2309][1]~59206_combout\,
	cout => \led_flash_cnt[2309][1]~59207\);

-- Location: FF_X38_Y29_N15
\led_flash_cnt[2309][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2309][1]~59206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2309][1]~q\);

-- Location: LCCOMB_X38_Y29_N16
\led_flash_cnt[2309][2]~59208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2309][2]~59208_combout\ = (\led_flash_cnt[2309][2]~q\ & (!\led_flash_cnt[2309][1]~59207\)) # (!\led_flash_cnt[2309][2]~q\ & ((\led_flash_cnt[2309][1]~59207\) # (GND)))
-- \led_flash_cnt[2309][2]~59209\ = CARRY((!\led_flash_cnt[2309][1]~59207\) # (!\led_flash_cnt[2309][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2309][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2309][1]~59207\,
	combout => \led_flash_cnt[2309][2]~59208_combout\,
	cout => \led_flash_cnt[2309][2]~59209\);

-- Location: FF_X38_Y29_N17
\led_flash_cnt[2309][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2309][2]~59208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2309][2]~q\);

-- Location: LCCOMB_X38_Y29_N18
\led_flash_cnt[2309][3]~59210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2309][3]~59210_combout\ = (\led_flash_cnt[2309][3]~q\ & (\led_flash_cnt[2309][2]~59209\ $ (GND))) # (!\led_flash_cnt[2309][3]~q\ & (!\led_flash_cnt[2309][2]~59209\ & VCC))
-- \led_flash_cnt[2309][3]~59211\ = CARRY((\led_flash_cnt[2309][3]~q\ & !\led_flash_cnt[2309][2]~59209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2309][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2309][2]~59209\,
	combout => \led_flash_cnt[2309][3]~59210_combout\,
	cout => \led_flash_cnt[2309][3]~59211\);

-- Location: FF_X38_Y29_N19
\led_flash_cnt[2309][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2309][3]~59210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2309][3]~q\);

-- Location: LCCOMB_X38_Y29_N20
\led_flash_cnt[2309][4]~59212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2309][4]~59212_combout\ = (\led_flash_cnt[2309][4]~q\ & (!\led_flash_cnt[2309][3]~59211\)) # (!\led_flash_cnt[2309][4]~q\ & ((\led_flash_cnt[2309][3]~59211\) # (GND)))
-- \led_flash_cnt[2309][4]~59213\ = CARRY((!\led_flash_cnt[2309][3]~59211\) # (!\led_flash_cnt[2309][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2309][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2309][3]~59211\,
	combout => \led_flash_cnt[2309][4]~59212_combout\,
	cout => \led_flash_cnt[2309][4]~59213\);

-- Location: FF_X38_Y29_N21
\led_flash_cnt[2309][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2309][4]~59212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2309][4]~q\);

-- Location: LCCOMB_X38_Y29_N30
\WideAnd2309~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2309~0_combout\ = (\led_flash_cnt[2309][2]~q\ & (\led_flash_cnt[2309][3]~q\ & (\led_flash_cnt[2309][1]~q\ & \led_flash_cnt[2309][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2309][2]~q\,
	datab => \led_flash_cnt[2309][3]~q\,
	datac => \led_flash_cnt[2309][1]~q\,
	datad => \led_flash_cnt[2309][4]~q\,
	combout => \WideAnd2309~0_combout\);

-- Location: LCCOMB_X38_Y29_N22
\led_flash_cnt[2309][5]~59214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2309][5]~59214_combout\ = (\led_flash_cnt[2309][5]~q\ & (\led_flash_cnt[2309][4]~59213\ $ (GND))) # (!\led_flash_cnt[2309][5]~q\ & (!\led_flash_cnt[2309][4]~59213\ & VCC))
-- \led_flash_cnt[2309][5]~59215\ = CARRY((\led_flash_cnt[2309][5]~q\ & !\led_flash_cnt[2309][4]~59213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2309][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2309][4]~59213\,
	combout => \led_flash_cnt[2309][5]~59214_combout\,
	cout => \led_flash_cnt[2309][5]~59215\);

-- Location: FF_X38_Y29_N23
\led_flash_cnt[2309][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2309][5]~59214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2309][5]~q\);

-- Location: LCCOMB_X38_Y29_N24
\led_flash_cnt[2309][6]~59216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2309][6]~59216_combout\ = (\led_flash_cnt[2309][6]~q\ & (!\led_flash_cnt[2309][5]~59215\)) # (!\led_flash_cnt[2309][6]~q\ & ((\led_flash_cnt[2309][5]~59215\) # (GND)))
-- \led_flash_cnt[2309][6]~59217\ = CARRY((!\led_flash_cnt[2309][5]~59215\) # (!\led_flash_cnt[2309][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2309][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2309][5]~59215\,
	combout => \led_flash_cnt[2309][6]~59216_combout\,
	cout => \led_flash_cnt[2309][6]~59217\);

-- Location: FF_X38_Y29_N25
\led_flash_cnt[2309][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2309][6]~59216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2309][6]~q\);

-- Location: LCCOMB_X37_Y29_N28
\WideAnd2309~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2309~1_combout\ = (\led_flash_cnt[2309][6]~q\ & \led_flash_cnt[2309][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2309][6]~q\,
	datad => \led_flash_cnt[2309][5]~q\,
	combout => \WideAnd2309~1_combout\);

-- Location: LCCOMB_X38_Y29_N26
\led_flash_cnt[2309][7]~59218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2309][7]~59218_combout\ = \led_flash_cnt[2309][7]~q\ $ (!\led_flash_cnt[2309][6]~59217\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2309][7]~q\,
	cin => \led_flash_cnt[2309][6]~59217\,
	combout => \led_flash_cnt[2309][7]~59218_combout\);

-- Location: FF_X38_Y29_N27
\led_flash_cnt[2309][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2309][7]~59218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2309][7]~q\);

-- Location: LCCOMB_X37_Y29_N30
WideAnd2309 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2309~combout\ = (\WideAnd2309~0_combout\ & (\WideAnd2309~1_combout\ & (\led_flash_cnt[2309][0]~q\ & \led_flash_cnt[2309][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2309~0_combout\,
	datab => \WideAnd2309~1_combout\,
	datac => \led_flash_cnt[2309][0]~q\,
	datad => \led_flash_cnt[2309][7]~q\,
	combout => \WideAnd2309~combout\);

-- Location: FF_X37_Y29_N31
\led_flash_cnt_ands[2309]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2309~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2309));

-- Location: LCCOMB_X37_Y29_N6
\led_flash_cnt[2308][0]~82948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2308][0]~82948_combout\ = !\led_flash_cnt[2308][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2308][0]~q\,
	combout => \led_flash_cnt[2308][0]~82948_combout\);

-- Location: FF_X37_Y29_N7
\led_flash_cnt[2308][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2308][0]~82948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2308][0]~q\);

-- Location: LCCOMB_X37_Y29_N8
\led_flash_cnt[2308][1]~59192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2308][1]~59192_combout\ = (\led_flash_cnt[2308][0]~q\ & (\led_flash_cnt[2308][1]~q\ $ (VCC))) # (!\led_flash_cnt[2308][0]~q\ & (\led_flash_cnt[2308][1]~q\ & VCC))
-- \led_flash_cnt[2308][1]~59193\ = CARRY((\led_flash_cnt[2308][0]~q\ & \led_flash_cnt[2308][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2308][0]~q\,
	datab => \led_flash_cnt[2308][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2308][1]~59192_combout\,
	cout => \led_flash_cnt[2308][1]~59193\);

-- Location: FF_X37_Y29_N9
\led_flash_cnt[2308][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2308][1]~59192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2308][1]~q\);

-- Location: LCCOMB_X37_Y29_N10
\led_flash_cnt[2308][2]~59194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2308][2]~59194_combout\ = (\led_flash_cnt[2308][2]~q\ & (!\led_flash_cnt[2308][1]~59193\)) # (!\led_flash_cnt[2308][2]~q\ & ((\led_flash_cnt[2308][1]~59193\) # (GND)))
-- \led_flash_cnt[2308][2]~59195\ = CARRY((!\led_flash_cnt[2308][1]~59193\) # (!\led_flash_cnt[2308][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2308][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2308][1]~59193\,
	combout => \led_flash_cnt[2308][2]~59194_combout\,
	cout => \led_flash_cnt[2308][2]~59195\);

-- Location: FF_X37_Y29_N11
\led_flash_cnt[2308][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2308][2]~59194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2308][2]~q\);

-- Location: LCCOMB_X37_Y29_N12
\led_flash_cnt[2308][3]~59196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2308][3]~59196_combout\ = (\led_flash_cnt[2308][3]~q\ & (\led_flash_cnt[2308][2]~59195\ $ (GND))) # (!\led_flash_cnt[2308][3]~q\ & (!\led_flash_cnt[2308][2]~59195\ & VCC))
-- \led_flash_cnt[2308][3]~59197\ = CARRY((\led_flash_cnt[2308][3]~q\ & !\led_flash_cnt[2308][2]~59195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2308][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2308][2]~59195\,
	combout => \led_flash_cnt[2308][3]~59196_combout\,
	cout => \led_flash_cnt[2308][3]~59197\);

-- Location: FF_X37_Y29_N13
\led_flash_cnt[2308][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2308][3]~59196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2308][3]~q\);

-- Location: LCCOMB_X37_Y29_N14
\led_flash_cnt[2308][4]~59198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2308][4]~59198_combout\ = (\led_flash_cnt[2308][4]~q\ & (!\led_flash_cnt[2308][3]~59197\)) # (!\led_flash_cnt[2308][4]~q\ & ((\led_flash_cnt[2308][3]~59197\) # (GND)))
-- \led_flash_cnt[2308][4]~59199\ = CARRY((!\led_flash_cnt[2308][3]~59197\) # (!\led_flash_cnt[2308][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2308][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2308][3]~59197\,
	combout => \led_flash_cnt[2308][4]~59198_combout\,
	cout => \led_flash_cnt[2308][4]~59199\);

-- Location: FF_X37_Y29_N15
\led_flash_cnt[2308][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2308][4]~59198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2308][4]~q\);

-- Location: LCCOMB_X37_Y29_N16
\led_flash_cnt[2308][5]~59200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2308][5]~59200_combout\ = (\led_flash_cnt[2308][5]~q\ & (\led_flash_cnt[2308][4]~59199\ $ (GND))) # (!\led_flash_cnt[2308][5]~q\ & (!\led_flash_cnt[2308][4]~59199\ & VCC))
-- \led_flash_cnt[2308][5]~59201\ = CARRY((\led_flash_cnt[2308][5]~q\ & !\led_flash_cnt[2308][4]~59199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2308][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2308][4]~59199\,
	combout => \led_flash_cnt[2308][5]~59200_combout\,
	cout => \led_flash_cnt[2308][5]~59201\);

-- Location: FF_X37_Y29_N17
\led_flash_cnt[2308][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2308][5]~59200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2308][5]~q\);

-- Location: LCCOMB_X37_Y29_N18
\led_flash_cnt[2308][6]~59202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2308][6]~59202_combout\ = (\led_flash_cnt[2308][6]~q\ & (!\led_flash_cnt[2308][5]~59201\)) # (!\led_flash_cnt[2308][6]~q\ & ((\led_flash_cnt[2308][5]~59201\) # (GND)))
-- \led_flash_cnt[2308][6]~59203\ = CARRY((!\led_flash_cnt[2308][5]~59201\) # (!\led_flash_cnt[2308][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2308][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2308][5]~59201\,
	combout => \led_flash_cnt[2308][6]~59202_combout\,
	cout => \led_flash_cnt[2308][6]~59203\);

-- Location: FF_X37_Y29_N19
\led_flash_cnt[2308][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2308][6]~59202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2308][6]~q\);

-- Location: LCCOMB_X37_Y29_N20
\led_flash_cnt[2308][7]~59204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2308][7]~59204_combout\ = \led_flash_cnt[2308][6]~59203\ $ (!\led_flash_cnt[2308][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2308][7]~q\,
	cin => \led_flash_cnt[2308][6]~59203\,
	combout => \led_flash_cnt[2308][7]~59204_combout\);

-- Location: FF_X37_Y29_N21
\led_flash_cnt[2308][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2308][7]~59204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2308][7]~q\);

-- Location: LCCOMB_X37_Y29_N26
\WideAnd2308~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2308~1_combout\ = (\led_flash_cnt[2308][6]~q\ & \led_flash_cnt[2308][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2308][6]~q\,
	datad => \led_flash_cnt[2308][5]~q\,
	combout => \WideAnd2308~1_combout\);

-- Location: LCCOMB_X37_Y29_N2
\WideAnd2308~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2308~0_combout\ = (\led_flash_cnt[2308][3]~q\ & (\led_flash_cnt[2308][1]~q\ & (\led_flash_cnt[2308][4]~q\ & \led_flash_cnt[2308][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2308][3]~q\,
	datab => \led_flash_cnt[2308][1]~q\,
	datac => \led_flash_cnt[2308][4]~q\,
	datad => \led_flash_cnt[2308][2]~q\,
	combout => \WideAnd2308~0_combout\);

-- Location: LCCOMB_X37_Y29_N24
WideAnd2308 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2308~combout\ = (\led_flash_cnt[2308][0]~q\ & (\led_flash_cnt[2308][7]~q\ & (\WideAnd2308~1_combout\ & \WideAnd2308~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2308][0]~q\,
	datab => \led_flash_cnt[2308][7]~q\,
	datac => \WideAnd2308~1_combout\,
	datad => \WideAnd2308~0_combout\,
	combout => \WideAnd2308~combout\);

-- Location: FF_X37_Y29_N25
\led_flash_cnt_ands[2308]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2308~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2308));

-- Location: LCCOMB_X37_Y29_N22
\WideAnd4128~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4128~1_combout\ = (led_flash_cnt_ands(2309) & led_flash_cnt_ands(2308))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2309),
	datad => led_flash_cnt_ands(2308),
	combout => \WideAnd4128~1_combout\);

-- Location: LCCOMB_X40_Y14_N12
\led_flash_cnt[2310][0]~82950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2310][0]~82950_combout\ = !\led_flash_cnt[2310][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2310][0]~q\,
	combout => \led_flash_cnt[2310][0]~82950_combout\);

-- Location: FF_X40_Y14_N13
\led_flash_cnt[2310][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2310][0]~82950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2310][0]~q\);

-- Location: LCCOMB_X40_Y14_N16
\led_flash_cnt[2310][1]~59220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2310][1]~59220_combout\ = (\led_flash_cnt[2310][0]~q\ & (\led_flash_cnt[2310][1]~q\ $ (VCC))) # (!\led_flash_cnt[2310][0]~q\ & (\led_flash_cnt[2310][1]~q\ & VCC))
-- \led_flash_cnt[2310][1]~59221\ = CARRY((\led_flash_cnt[2310][0]~q\ & \led_flash_cnt[2310][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2310][0]~q\,
	datab => \led_flash_cnt[2310][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2310][1]~59220_combout\,
	cout => \led_flash_cnt[2310][1]~59221\);

-- Location: FF_X40_Y14_N17
\led_flash_cnt[2310][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2310][1]~59220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2310][1]~q\);

-- Location: LCCOMB_X40_Y14_N18
\led_flash_cnt[2310][2]~59222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2310][2]~59222_combout\ = (\led_flash_cnt[2310][2]~q\ & (!\led_flash_cnt[2310][1]~59221\)) # (!\led_flash_cnt[2310][2]~q\ & ((\led_flash_cnt[2310][1]~59221\) # (GND)))
-- \led_flash_cnt[2310][2]~59223\ = CARRY((!\led_flash_cnt[2310][1]~59221\) # (!\led_flash_cnt[2310][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2310][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2310][1]~59221\,
	combout => \led_flash_cnt[2310][2]~59222_combout\,
	cout => \led_flash_cnt[2310][2]~59223\);

-- Location: FF_X40_Y14_N19
\led_flash_cnt[2310][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2310][2]~59222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2310][2]~q\);

-- Location: LCCOMB_X40_Y14_N20
\led_flash_cnt[2310][3]~59224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2310][3]~59224_combout\ = (\led_flash_cnt[2310][3]~q\ & (\led_flash_cnt[2310][2]~59223\ $ (GND))) # (!\led_flash_cnt[2310][3]~q\ & (!\led_flash_cnt[2310][2]~59223\ & VCC))
-- \led_flash_cnt[2310][3]~59225\ = CARRY((\led_flash_cnt[2310][3]~q\ & !\led_flash_cnt[2310][2]~59223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2310][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2310][2]~59223\,
	combout => \led_flash_cnt[2310][3]~59224_combout\,
	cout => \led_flash_cnt[2310][3]~59225\);

-- Location: FF_X40_Y14_N21
\led_flash_cnt[2310][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2310][3]~59224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2310][3]~q\);

-- Location: LCCOMB_X40_Y14_N22
\led_flash_cnt[2310][4]~59226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2310][4]~59226_combout\ = (\led_flash_cnt[2310][4]~q\ & (!\led_flash_cnt[2310][3]~59225\)) # (!\led_flash_cnt[2310][4]~q\ & ((\led_flash_cnt[2310][3]~59225\) # (GND)))
-- \led_flash_cnt[2310][4]~59227\ = CARRY((!\led_flash_cnt[2310][3]~59225\) # (!\led_flash_cnt[2310][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2310][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2310][3]~59225\,
	combout => \led_flash_cnt[2310][4]~59226_combout\,
	cout => \led_flash_cnt[2310][4]~59227\);

-- Location: FF_X40_Y14_N23
\led_flash_cnt[2310][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2310][4]~59226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2310][4]~q\);

-- Location: LCCOMB_X40_Y14_N6
\WideAnd2310~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2310~0_combout\ = (\led_flash_cnt[2310][2]~q\ & (\led_flash_cnt[2310][3]~q\ & (\led_flash_cnt[2310][4]~q\ & \led_flash_cnt[2310][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2310][2]~q\,
	datab => \led_flash_cnt[2310][3]~q\,
	datac => \led_flash_cnt[2310][4]~q\,
	datad => \led_flash_cnt[2310][1]~q\,
	combout => \WideAnd2310~0_combout\);

-- Location: LCCOMB_X40_Y14_N24
\led_flash_cnt[2310][5]~59228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2310][5]~59228_combout\ = (\led_flash_cnt[2310][5]~q\ & (\led_flash_cnt[2310][4]~59227\ $ (GND))) # (!\led_flash_cnt[2310][5]~q\ & (!\led_flash_cnt[2310][4]~59227\ & VCC))
-- \led_flash_cnt[2310][5]~59229\ = CARRY((\led_flash_cnt[2310][5]~q\ & !\led_flash_cnt[2310][4]~59227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2310][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2310][4]~59227\,
	combout => \led_flash_cnt[2310][5]~59228_combout\,
	cout => \led_flash_cnt[2310][5]~59229\);

-- Location: FF_X40_Y14_N25
\led_flash_cnt[2310][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2310][5]~59228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2310][5]~q\);

-- Location: LCCOMB_X40_Y14_N26
\led_flash_cnt[2310][6]~59230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2310][6]~59230_combout\ = (\led_flash_cnt[2310][6]~q\ & (!\led_flash_cnt[2310][5]~59229\)) # (!\led_flash_cnt[2310][6]~q\ & ((\led_flash_cnt[2310][5]~59229\) # (GND)))
-- \led_flash_cnt[2310][6]~59231\ = CARRY((!\led_flash_cnt[2310][5]~59229\) # (!\led_flash_cnt[2310][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2310][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2310][5]~59229\,
	combout => \led_flash_cnt[2310][6]~59230_combout\,
	cout => \led_flash_cnt[2310][6]~59231\);

-- Location: FF_X40_Y14_N27
\led_flash_cnt[2310][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2310][6]~59230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2310][6]~q\);

-- Location: LCCOMB_X40_Y14_N28
\led_flash_cnt[2310][7]~59232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2310][7]~59232_combout\ = \led_flash_cnt[2310][6]~59231\ $ (!\led_flash_cnt[2310][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2310][7]~q\,
	cin => \led_flash_cnt[2310][6]~59231\,
	combout => \led_flash_cnt[2310][7]~59232_combout\);

-- Location: FF_X40_Y14_N29
\led_flash_cnt[2310][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2310][7]~59232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2310][7]~q\);

-- Location: LCCOMB_X40_Y14_N4
\WideAnd2310~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2310~1_combout\ = (\led_flash_cnt[2310][6]~q\ & \led_flash_cnt[2310][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2310][6]~q\,
	datad => \led_flash_cnt[2310][5]~q\,
	combout => \WideAnd2310~1_combout\);

-- Location: LCCOMB_X40_Y14_N30
WideAnd2310 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2310~combout\ = (\WideAnd2310~0_combout\ & (\led_flash_cnt[2310][7]~q\ & (\WideAnd2310~1_combout\ & \led_flash_cnt[2310][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2310~0_combout\,
	datab => \led_flash_cnt[2310][7]~q\,
	datac => \WideAnd2310~1_combout\,
	datad => \led_flash_cnt[2310][0]~q\,
	combout => \WideAnd2310~combout\);

-- Location: FF_X40_Y14_N31
\led_flash_cnt_ands[2310]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2310~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2310));

-- Location: LCCOMB_X40_Y18_N6
\led_flash_cnt[2304][0]~82944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2304][0]~82944_combout\ = !\led_flash_cnt[2304][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2304][0]~q\,
	combout => \led_flash_cnt[2304][0]~82944_combout\);

-- Location: FF_X40_Y18_N7
\led_flash_cnt[2304][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2304][0]~82944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2304][0]~q\);

-- Location: LCCOMB_X40_Y18_N16
\led_flash_cnt[2304][1]~59136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2304][1]~59136_combout\ = (\led_flash_cnt[2304][0]~q\ & (\led_flash_cnt[2304][1]~q\ $ (VCC))) # (!\led_flash_cnt[2304][0]~q\ & (\led_flash_cnt[2304][1]~q\ & VCC))
-- \led_flash_cnt[2304][1]~59137\ = CARRY((\led_flash_cnt[2304][0]~q\ & \led_flash_cnt[2304][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2304][0]~q\,
	datab => \led_flash_cnt[2304][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2304][1]~59136_combout\,
	cout => \led_flash_cnt[2304][1]~59137\);

-- Location: FF_X40_Y18_N17
\led_flash_cnt[2304][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2304][1]~59136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2304][1]~q\);

-- Location: LCCOMB_X40_Y18_N18
\led_flash_cnt[2304][2]~59138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2304][2]~59138_combout\ = (\led_flash_cnt[2304][2]~q\ & (!\led_flash_cnt[2304][1]~59137\)) # (!\led_flash_cnt[2304][2]~q\ & ((\led_flash_cnt[2304][1]~59137\) # (GND)))
-- \led_flash_cnt[2304][2]~59139\ = CARRY((!\led_flash_cnt[2304][1]~59137\) # (!\led_flash_cnt[2304][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2304][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2304][1]~59137\,
	combout => \led_flash_cnt[2304][2]~59138_combout\,
	cout => \led_flash_cnt[2304][2]~59139\);

-- Location: FF_X40_Y18_N19
\led_flash_cnt[2304][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2304][2]~59138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2304][2]~q\);

-- Location: LCCOMB_X40_Y18_N20
\led_flash_cnt[2304][3]~59140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2304][3]~59140_combout\ = (\led_flash_cnt[2304][3]~q\ & (\led_flash_cnt[2304][2]~59139\ $ (GND))) # (!\led_flash_cnt[2304][3]~q\ & (!\led_flash_cnt[2304][2]~59139\ & VCC))
-- \led_flash_cnt[2304][3]~59141\ = CARRY((\led_flash_cnt[2304][3]~q\ & !\led_flash_cnt[2304][2]~59139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2304][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2304][2]~59139\,
	combout => \led_flash_cnt[2304][3]~59140_combout\,
	cout => \led_flash_cnt[2304][3]~59141\);

-- Location: FF_X40_Y18_N21
\led_flash_cnt[2304][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2304][3]~59140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2304][3]~q\);

-- Location: LCCOMB_X40_Y18_N22
\led_flash_cnt[2304][4]~59142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2304][4]~59142_combout\ = (\led_flash_cnt[2304][4]~q\ & (!\led_flash_cnt[2304][3]~59141\)) # (!\led_flash_cnt[2304][4]~q\ & ((\led_flash_cnt[2304][3]~59141\) # (GND)))
-- \led_flash_cnt[2304][4]~59143\ = CARRY((!\led_flash_cnt[2304][3]~59141\) # (!\led_flash_cnt[2304][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2304][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2304][3]~59141\,
	combout => \led_flash_cnt[2304][4]~59142_combout\,
	cout => \led_flash_cnt[2304][4]~59143\);

-- Location: FF_X40_Y18_N23
\led_flash_cnt[2304][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2304][4]~59142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2304][4]~q\);

-- Location: LCCOMB_X40_Y18_N24
\led_flash_cnt[2304][5]~59144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2304][5]~59144_combout\ = (\led_flash_cnt[2304][5]~q\ & (\led_flash_cnt[2304][4]~59143\ $ (GND))) # (!\led_flash_cnt[2304][5]~q\ & (!\led_flash_cnt[2304][4]~59143\ & VCC))
-- \led_flash_cnt[2304][5]~59145\ = CARRY((\led_flash_cnt[2304][5]~q\ & !\led_flash_cnt[2304][4]~59143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2304][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2304][4]~59143\,
	combout => \led_flash_cnt[2304][5]~59144_combout\,
	cout => \led_flash_cnt[2304][5]~59145\);

-- Location: FF_X40_Y18_N25
\led_flash_cnt[2304][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2304][5]~59144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2304][5]~q\);

-- Location: LCCOMB_X40_Y18_N26
\led_flash_cnt[2304][6]~59146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2304][6]~59146_combout\ = (\led_flash_cnt[2304][6]~q\ & (!\led_flash_cnt[2304][5]~59145\)) # (!\led_flash_cnt[2304][6]~q\ & ((\led_flash_cnt[2304][5]~59145\) # (GND)))
-- \led_flash_cnt[2304][6]~59147\ = CARRY((!\led_flash_cnt[2304][5]~59145\) # (!\led_flash_cnt[2304][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2304][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2304][5]~59145\,
	combout => \led_flash_cnt[2304][6]~59146_combout\,
	cout => \led_flash_cnt[2304][6]~59147\);

-- Location: FF_X40_Y18_N27
\led_flash_cnt[2304][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2304][6]~59146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2304][6]~q\);

-- Location: LCCOMB_X40_Y18_N28
\led_flash_cnt[2304][7]~59148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2304][7]~59148_combout\ = \led_flash_cnt[2304][6]~59147\ $ (!\led_flash_cnt[2304][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2304][7]~q\,
	cin => \led_flash_cnt[2304][6]~59147\,
	combout => \led_flash_cnt[2304][7]~59148_combout\);

-- Location: FF_X40_Y18_N29
\led_flash_cnt[2304][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2304][7]~59148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2304][7]~q\);

-- Location: LCCOMB_X40_Y18_N4
\WideAnd2304~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2304~0_combout\ = (\led_flash_cnt[2304][2]~q\ & (\led_flash_cnt[2304][3]~q\ & (\led_flash_cnt[2304][4]~q\ & \led_flash_cnt[2304][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2304][2]~q\,
	datab => \led_flash_cnt[2304][3]~q\,
	datac => \led_flash_cnt[2304][4]~q\,
	datad => \led_flash_cnt[2304][1]~q\,
	combout => \WideAnd2304~0_combout\);

-- Location: LCCOMB_X40_Y18_N10
\WideAnd2304~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2304~1_combout\ = (\led_flash_cnt[2304][6]~q\ & \led_flash_cnt[2304][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2304][6]~q\,
	datad => \led_flash_cnt[2304][5]~q\,
	combout => \WideAnd2304~1_combout\);

-- Location: LCCOMB_X40_Y18_N12
WideAnd2304 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2304~combout\ = (\led_flash_cnt[2304][0]~q\ & (\led_flash_cnt[2304][7]~q\ & (\WideAnd2304~0_combout\ & \WideAnd2304~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2304][0]~q\,
	datab => \led_flash_cnt[2304][7]~q\,
	datac => \WideAnd2304~0_combout\,
	datad => \WideAnd2304~1_combout\,
	combout => \WideAnd2304~combout\);

-- Location: FF_X40_Y18_N13
\led_flash_cnt_ands[2304]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2304~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2304));

-- Location: LCCOMB_X40_Y18_N0
\led_flash_cnt[2306][0]~82946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2306][0]~82946_combout\ = !\led_flash_cnt[2306][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2306][0]~q\,
	combout => \led_flash_cnt[2306][0]~82946_combout\);

-- Location: FF_X40_Y18_N1
\led_flash_cnt[2306][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2306][0]~82946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2306][0]~q\);

-- Location: LCCOMB_X40_Y19_N0
\led_flash_cnt[2306][1]~59164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2306][1]~59164_combout\ = (\led_flash_cnt[2306][0]~q\ & (\led_flash_cnt[2306][1]~q\ $ (VCC))) # (!\led_flash_cnt[2306][0]~q\ & (\led_flash_cnt[2306][1]~q\ & VCC))
-- \led_flash_cnt[2306][1]~59165\ = CARRY((\led_flash_cnt[2306][0]~q\ & \led_flash_cnt[2306][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2306][0]~q\,
	datab => \led_flash_cnt[2306][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2306][1]~59164_combout\,
	cout => \led_flash_cnt[2306][1]~59165\);

-- Location: FF_X40_Y19_N1
\led_flash_cnt[2306][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2306][1]~59164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2306][1]~q\);

-- Location: LCCOMB_X40_Y19_N2
\led_flash_cnt[2306][2]~59166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2306][2]~59166_combout\ = (\led_flash_cnt[2306][2]~q\ & (!\led_flash_cnt[2306][1]~59165\)) # (!\led_flash_cnt[2306][2]~q\ & ((\led_flash_cnt[2306][1]~59165\) # (GND)))
-- \led_flash_cnt[2306][2]~59167\ = CARRY((!\led_flash_cnt[2306][1]~59165\) # (!\led_flash_cnt[2306][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2306][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2306][1]~59165\,
	combout => \led_flash_cnt[2306][2]~59166_combout\,
	cout => \led_flash_cnt[2306][2]~59167\);

-- Location: FF_X40_Y19_N3
\led_flash_cnt[2306][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2306][2]~59166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2306][2]~q\);

-- Location: LCCOMB_X40_Y19_N4
\led_flash_cnt[2306][3]~59168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2306][3]~59168_combout\ = (\led_flash_cnt[2306][3]~q\ & (\led_flash_cnt[2306][2]~59167\ $ (GND))) # (!\led_flash_cnt[2306][3]~q\ & (!\led_flash_cnt[2306][2]~59167\ & VCC))
-- \led_flash_cnt[2306][3]~59169\ = CARRY((\led_flash_cnt[2306][3]~q\ & !\led_flash_cnt[2306][2]~59167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2306][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2306][2]~59167\,
	combout => \led_flash_cnt[2306][3]~59168_combout\,
	cout => \led_flash_cnt[2306][3]~59169\);

-- Location: FF_X40_Y19_N5
\led_flash_cnt[2306][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2306][3]~59168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2306][3]~q\);

-- Location: LCCOMB_X40_Y19_N6
\led_flash_cnt[2306][4]~59170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2306][4]~59170_combout\ = (\led_flash_cnt[2306][4]~q\ & (!\led_flash_cnt[2306][3]~59169\)) # (!\led_flash_cnt[2306][4]~q\ & ((\led_flash_cnt[2306][3]~59169\) # (GND)))
-- \led_flash_cnt[2306][4]~59171\ = CARRY((!\led_flash_cnt[2306][3]~59169\) # (!\led_flash_cnt[2306][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2306][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2306][3]~59169\,
	combout => \led_flash_cnt[2306][4]~59170_combout\,
	cout => \led_flash_cnt[2306][4]~59171\);

-- Location: FF_X40_Y19_N7
\led_flash_cnt[2306][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2306][4]~59170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2306][4]~q\);

-- Location: LCCOMB_X40_Y19_N30
\WideAnd2306~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2306~0_combout\ = (\led_flash_cnt[2306][4]~q\ & (\led_flash_cnt[2306][1]~q\ & (\led_flash_cnt[2306][3]~q\ & \led_flash_cnt[2306][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2306][4]~q\,
	datab => \led_flash_cnt[2306][1]~q\,
	datac => \led_flash_cnt[2306][3]~q\,
	datad => \led_flash_cnt[2306][2]~q\,
	combout => \WideAnd2306~0_combout\);

-- Location: LCCOMB_X40_Y19_N8
\led_flash_cnt[2306][5]~59172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2306][5]~59172_combout\ = (\led_flash_cnt[2306][5]~q\ & (\led_flash_cnt[2306][4]~59171\ $ (GND))) # (!\led_flash_cnt[2306][5]~q\ & (!\led_flash_cnt[2306][4]~59171\ & VCC))
-- \led_flash_cnt[2306][5]~59173\ = CARRY((\led_flash_cnt[2306][5]~q\ & !\led_flash_cnt[2306][4]~59171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2306][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2306][4]~59171\,
	combout => \led_flash_cnt[2306][5]~59172_combout\,
	cout => \led_flash_cnt[2306][5]~59173\);

-- Location: FF_X40_Y19_N9
\led_flash_cnt[2306][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2306][5]~59172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2306][5]~q\);

-- Location: LCCOMB_X40_Y19_N10
\led_flash_cnt[2306][6]~59174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2306][6]~59174_combout\ = (\led_flash_cnt[2306][6]~q\ & (!\led_flash_cnt[2306][5]~59173\)) # (!\led_flash_cnt[2306][6]~q\ & ((\led_flash_cnt[2306][5]~59173\) # (GND)))
-- \led_flash_cnt[2306][6]~59175\ = CARRY((!\led_flash_cnt[2306][5]~59173\) # (!\led_flash_cnt[2306][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2306][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2306][5]~59173\,
	combout => \led_flash_cnt[2306][6]~59174_combout\,
	cout => \led_flash_cnt[2306][6]~59175\);

-- Location: FF_X40_Y19_N11
\led_flash_cnt[2306][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2306][6]~59174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2306][6]~q\);

-- Location: LCCOMB_X40_Y19_N12
\led_flash_cnt[2306][7]~59176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2306][7]~59176_combout\ = \led_flash_cnt[2306][6]~59175\ $ (!\led_flash_cnt[2306][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2306][7]~q\,
	cin => \led_flash_cnt[2306][6]~59175\,
	combout => \led_flash_cnt[2306][7]~59176_combout\);

-- Location: FF_X40_Y19_N13
\led_flash_cnt[2306][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2306][7]~59176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2306][7]~q\);

-- Location: LCCOMB_X40_Y19_N14
\WideAnd2306~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2306~1_combout\ = (\led_flash_cnt[2306][7]~q\ & \led_flash_cnt[2306][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2306][7]~q\,
	datad => \led_flash_cnt[2306][6]~q\,
	combout => \WideAnd2306~1_combout\);

-- Location: LCCOMB_X40_Y18_N8
WideAnd2306 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2306~combout\ = (\WideAnd2306~0_combout\ & (\WideAnd2306~1_combout\ & (\led_flash_cnt[2306][5]~q\ & \led_flash_cnt[2306][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2306~0_combout\,
	datab => \WideAnd2306~1_combout\,
	datac => \led_flash_cnt[2306][5]~q\,
	datad => \led_flash_cnt[2306][0]~q\,
	combout => \WideAnd2306~combout\);

-- Location: FF_X40_Y18_N9
\led_flash_cnt_ands[2306]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2306~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2306));

-- Location: LCCOMB_X37_Y14_N12
\led_flash_cnt[2307][0]~82947\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2307][0]~82947_combout\ = !\led_flash_cnt[2307][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2307][0]~q\,
	combout => \led_flash_cnt[2307][0]~82947_combout\);

-- Location: FF_X37_Y14_N13
\led_flash_cnt[2307][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2307][0]~82947_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2307][0]~q\);

-- Location: LCCOMB_X37_Y14_N18
\led_flash_cnt[2307][1]~59178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2307][1]~59178_combout\ = (\led_flash_cnt[2307][0]~q\ & (\led_flash_cnt[2307][1]~q\ $ (VCC))) # (!\led_flash_cnt[2307][0]~q\ & (\led_flash_cnt[2307][1]~q\ & VCC))
-- \led_flash_cnt[2307][1]~59179\ = CARRY((\led_flash_cnt[2307][0]~q\ & \led_flash_cnt[2307][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2307][0]~q\,
	datab => \led_flash_cnt[2307][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2307][1]~59178_combout\,
	cout => \led_flash_cnt[2307][1]~59179\);

-- Location: FF_X37_Y14_N19
\led_flash_cnt[2307][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2307][1]~59178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2307][1]~q\);

-- Location: LCCOMB_X37_Y14_N20
\led_flash_cnt[2307][2]~59180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2307][2]~59180_combout\ = (\led_flash_cnt[2307][2]~q\ & (!\led_flash_cnt[2307][1]~59179\)) # (!\led_flash_cnt[2307][2]~q\ & ((\led_flash_cnt[2307][1]~59179\) # (GND)))
-- \led_flash_cnt[2307][2]~59181\ = CARRY((!\led_flash_cnt[2307][1]~59179\) # (!\led_flash_cnt[2307][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2307][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2307][1]~59179\,
	combout => \led_flash_cnt[2307][2]~59180_combout\,
	cout => \led_flash_cnt[2307][2]~59181\);

-- Location: FF_X37_Y14_N21
\led_flash_cnt[2307][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2307][2]~59180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2307][2]~q\);

-- Location: LCCOMB_X37_Y14_N22
\led_flash_cnt[2307][3]~59182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2307][3]~59182_combout\ = (\led_flash_cnt[2307][3]~q\ & (\led_flash_cnt[2307][2]~59181\ $ (GND))) # (!\led_flash_cnt[2307][3]~q\ & (!\led_flash_cnt[2307][2]~59181\ & VCC))
-- \led_flash_cnt[2307][3]~59183\ = CARRY((\led_flash_cnt[2307][3]~q\ & !\led_flash_cnt[2307][2]~59181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2307][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2307][2]~59181\,
	combout => \led_flash_cnt[2307][3]~59182_combout\,
	cout => \led_flash_cnt[2307][3]~59183\);

-- Location: FF_X37_Y14_N23
\led_flash_cnt[2307][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2307][3]~59182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2307][3]~q\);

-- Location: LCCOMB_X37_Y14_N24
\led_flash_cnt[2307][4]~59184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2307][4]~59184_combout\ = (\led_flash_cnt[2307][4]~q\ & (!\led_flash_cnt[2307][3]~59183\)) # (!\led_flash_cnt[2307][4]~q\ & ((\led_flash_cnt[2307][3]~59183\) # (GND)))
-- \led_flash_cnt[2307][4]~59185\ = CARRY((!\led_flash_cnt[2307][3]~59183\) # (!\led_flash_cnt[2307][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2307][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2307][3]~59183\,
	combout => \led_flash_cnt[2307][4]~59184_combout\,
	cout => \led_flash_cnt[2307][4]~59185\);

-- Location: FF_X37_Y14_N25
\led_flash_cnt[2307][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2307][4]~59184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2307][4]~q\);

-- Location: LCCOMB_X37_Y14_N26
\led_flash_cnt[2307][5]~59186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2307][5]~59186_combout\ = (\led_flash_cnt[2307][5]~q\ & (\led_flash_cnt[2307][4]~59185\ $ (GND))) # (!\led_flash_cnt[2307][5]~q\ & (!\led_flash_cnt[2307][4]~59185\ & VCC))
-- \led_flash_cnt[2307][5]~59187\ = CARRY((\led_flash_cnt[2307][5]~q\ & !\led_flash_cnt[2307][4]~59185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2307][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2307][4]~59185\,
	combout => \led_flash_cnt[2307][5]~59186_combout\,
	cout => \led_flash_cnt[2307][5]~59187\);

-- Location: FF_X37_Y14_N27
\led_flash_cnt[2307][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2307][5]~59186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2307][5]~q\);

-- Location: LCCOMB_X37_Y14_N28
\led_flash_cnt[2307][6]~59188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2307][6]~59188_combout\ = (\led_flash_cnt[2307][6]~q\ & (!\led_flash_cnt[2307][5]~59187\)) # (!\led_flash_cnt[2307][6]~q\ & ((\led_flash_cnt[2307][5]~59187\) # (GND)))
-- \led_flash_cnt[2307][6]~59189\ = CARRY((!\led_flash_cnt[2307][5]~59187\) # (!\led_flash_cnt[2307][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2307][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2307][5]~59187\,
	combout => \led_flash_cnt[2307][6]~59188_combout\,
	cout => \led_flash_cnt[2307][6]~59189\);

-- Location: FF_X37_Y14_N29
\led_flash_cnt[2307][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2307][6]~59188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2307][6]~q\);

-- Location: LCCOMB_X37_Y14_N30
\led_flash_cnt[2307][7]~59190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2307][7]~59190_combout\ = \led_flash_cnt[2307][7]~q\ $ (!\led_flash_cnt[2307][6]~59189\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2307][7]~q\,
	cin => \led_flash_cnt[2307][6]~59189\,
	combout => \led_flash_cnt[2307][7]~59190_combout\);

-- Location: FF_X37_Y14_N31
\led_flash_cnt[2307][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2307][7]~59190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2307][7]~q\);

-- Location: LCCOMB_X37_Y14_N4
\WideAnd2307~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2307~0_combout\ = (\led_flash_cnt[2307][4]~q\ & (\led_flash_cnt[2307][2]~q\ & (\led_flash_cnt[2307][3]~q\ & \led_flash_cnt[2307][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2307][4]~q\,
	datab => \led_flash_cnt[2307][2]~q\,
	datac => \led_flash_cnt[2307][3]~q\,
	datad => \led_flash_cnt[2307][1]~q\,
	combout => \WideAnd2307~0_combout\);

-- Location: LCCOMB_X37_Y14_N14
\WideAnd2307~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2307~1_combout\ = (\led_flash_cnt[2307][5]~q\ & \led_flash_cnt[2307][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2307][5]~q\,
	datad => \led_flash_cnt[2307][6]~q\,
	combout => \WideAnd2307~1_combout\);

-- Location: LCCOMB_X37_Y14_N10
WideAnd2307 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2307~combout\ = (\led_flash_cnt[2307][7]~q\ & (\WideAnd2307~0_combout\ & (\WideAnd2307~1_combout\ & \led_flash_cnt[2307][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2307][7]~q\,
	datab => \WideAnd2307~0_combout\,
	datac => \WideAnd2307~1_combout\,
	datad => \led_flash_cnt[2307][0]~q\,
	combout => \WideAnd2307~combout\);

-- Location: FF_X37_Y14_N11
\led_flash_cnt_ands[2307]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2307~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2307));

-- Location: LCCOMB_X44_Y15_N6
\led_flash_cnt[2305][0]~82945\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2305][0]~82945_combout\ = !\led_flash_cnt[2305][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2305][0]~q\,
	combout => \led_flash_cnt[2305][0]~82945_combout\);

-- Location: FF_X44_Y15_N7
\led_flash_cnt[2305][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2305][0]~82945_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2305][0]~q\);

-- Location: LCCOMB_X45_Y11_N18
\led_flash_cnt[2305][1]~59150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2305][1]~59150_combout\ = (\led_flash_cnt[2305][1]~q\ & (\led_flash_cnt[2305][0]~q\ $ (VCC))) # (!\led_flash_cnt[2305][1]~q\ & (\led_flash_cnt[2305][0]~q\ & VCC))
-- \led_flash_cnt[2305][1]~59151\ = CARRY((\led_flash_cnt[2305][1]~q\ & \led_flash_cnt[2305][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2305][1]~q\,
	datab => \led_flash_cnt[2305][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2305][1]~59150_combout\,
	cout => \led_flash_cnt[2305][1]~59151\);

-- Location: FF_X45_Y11_N19
\led_flash_cnt[2305][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2305][1]~59150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2305][1]~q\);

-- Location: LCCOMB_X45_Y11_N20
\led_flash_cnt[2305][2]~59152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2305][2]~59152_combout\ = (\led_flash_cnt[2305][2]~q\ & (!\led_flash_cnt[2305][1]~59151\)) # (!\led_flash_cnt[2305][2]~q\ & ((\led_flash_cnt[2305][1]~59151\) # (GND)))
-- \led_flash_cnt[2305][2]~59153\ = CARRY((!\led_flash_cnt[2305][1]~59151\) # (!\led_flash_cnt[2305][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2305][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2305][1]~59151\,
	combout => \led_flash_cnt[2305][2]~59152_combout\,
	cout => \led_flash_cnt[2305][2]~59153\);

-- Location: FF_X45_Y11_N21
\led_flash_cnt[2305][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2305][2]~59152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2305][2]~q\);

-- Location: LCCOMB_X45_Y11_N22
\led_flash_cnt[2305][3]~59154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2305][3]~59154_combout\ = (\led_flash_cnt[2305][3]~q\ & (\led_flash_cnt[2305][2]~59153\ $ (GND))) # (!\led_flash_cnt[2305][3]~q\ & (!\led_flash_cnt[2305][2]~59153\ & VCC))
-- \led_flash_cnt[2305][3]~59155\ = CARRY((\led_flash_cnt[2305][3]~q\ & !\led_flash_cnt[2305][2]~59153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2305][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2305][2]~59153\,
	combout => \led_flash_cnt[2305][3]~59154_combout\,
	cout => \led_flash_cnt[2305][3]~59155\);

-- Location: FF_X45_Y11_N23
\led_flash_cnt[2305][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2305][3]~59154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2305][3]~q\);

-- Location: LCCOMB_X45_Y11_N24
\led_flash_cnt[2305][4]~59156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2305][4]~59156_combout\ = (\led_flash_cnt[2305][4]~q\ & (!\led_flash_cnt[2305][3]~59155\)) # (!\led_flash_cnt[2305][4]~q\ & ((\led_flash_cnt[2305][3]~59155\) # (GND)))
-- \led_flash_cnt[2305][4]~59157\ = CARRY((!\led_flash_cnt[2305][3]~59155\) # (!\led_flash_cnt[2305][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2305][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2305][3]~59155\,
	combout => \led_flash_cnt[2305][4]~59156_combout\,
	cout => \led_flash_cnt[2305][4]~59157\);

-- Location: FF_X45_Y11_N25
\led_flash_cnt[2305][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2305][4]~59156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2305][4]~q\);

-- Location: LCCOMB_X45_Y11_N26
\led_flash_cnt[2305][5]~59158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2305][5]~59158_combout\ = (\led_flash_cnt[2305][5]~q\ & (\led_flash_cnt[2305][4]~59157\ $ (GND))) # (!\led_flash_cnt[2305][5]~q\ & (!\led_flash_cnt[2305][4]~59157\ & VCC))
-- \led_flash_cnt[2305][5]~59159\ = CARRY((\led_flash_cnt[2305][5]~q\ & !\led_flash_cnt[2305][4]~59157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2305][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2305][4]~59157\,
	combout => \led_flash_cnt[2305][5]~59158_combout\,
	cout => \led_flash_cnt[2305][5]~59159\);

-- Location: FF_X45_Y11_N27
\led_flash_cnt[2305][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2305][5]~59158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2305][5]~q\);

-- Location: LCCOMB_X45_Y11_N28
\led_flash_cnt[2305][6]~59160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2305][6]~59160_combout\ = (\led_flash_cnt[2305][6]~q\ & (!\led_flash_cnt[2305][5]~59159\)) # (!\led_flash_cnt[2305][6]~q\ & ((\led_flash_cnt[2305][5]~59159\) # (GND)))
-- \led_flash_cnt[2305][6]~59161\ = CARRY((!\led_flash_cnt[2305][5]~59159\) # (!\led_flash_cnt[2305][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2305][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2305][5]~59159\,
	combout => \led_flash_cnt[2305][6]~59160_combout\,
	cout => \led_flash_cnt[2305][6]~59161\);

-- Location: FF_X45_Y11_N29
\led_flash_cnt[2305][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2305][6]~59160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2305][6]~q\);

-- Location: LCCOMB_X45_Y13_N10
\WideAnd2305~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2305~1_combout\ = (\led_flash_cnt[2305][6]~q\ & \led_flash_cnt[2305][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2305][6]~q\,
	datad => \led_flash_cnt[2305][5]~q\,
	combout => \WideAnd2305~1_combout\);

-- Location: LCCOMB_X45_Y11_N16
\WideAnd2305~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2305~0_combout\ = (\led_flash_cnt[2305][1]~q\ & (\led_flash_cnt[2305][2]~q\ & (\led_flash_cnt[2305][3]~q\ & \led_flash_cnt[2305][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2305][1]~q\,
	datab => \led_flash_cnt[2305][2]~q\,
	datac => \led_flash_cnt[2305][3]~q\,
	datad => \led_flash_cnt[2305][4]~q\,
	combout => \WideAnd2305~0_combout\);

-- Location: LCCOMB_X45_Y11_N30
\led_flash_cnt[2305][7]~59162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2305][7]~59162_combout\ = \led_flash_cnt[2305][7]~q\ $ (!\led_flash_cnt[2305][6]~59161\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2305][7]~q\,
	cin => \led_flash_cnt[2305][6]~59161\,
	combout => \led_flash_cnt[2305][7]~59162_combout\);

-- Location: FF_X45_Y11_N31
\led_flash_cnt[2305][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2305][7]~59162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2305][7]~q\);

-- Location: LCCOMB_X44_Y15_N14
WideAnd2305 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2305~combout\ = (\WideAnd2305~1_combout\ & (\WideAnd2305~0_combout\ & (\led_flash_cnt[2305][7]~q\ & \led_flash_cnt[2305][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2305~1_combout\,
	datab => \WideAnd2305~0_combout\,
	datac => \led_flash_cnt[2305][7]~q\,
	datad => \led_flash_cnt[2305][0]~q\,
	combout => \WideAnd2305~combout\);

-- Location: FF_X44_Y15_N15
\led_flash_cnt_ands[2305]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2305~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2305));

-- Location: LCCOMB_X40_Y18_N30
\WideAnd4128~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4128~0_combout\ = (led_flash_cnt_ands(2304) & (led_flash_cnt_ands(2306) & (led_flash_cnt_ands(2307) & led_flash_cnt_ands(2305))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2304),
	datab => led_flash_cnt_ands(2306),
	datac => led_flash_cnt_ands(2307),
	datad => led_flash_cnt_ands(2305),
	combout => \WideAnd4128~0_combout\);

-- Location: LCCOMB_X40_Y14_N8
WideAnd4128 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4128~combout\ = (led_flash_cnt_ands(2311) & (\WideAnd4128~1_combout\ & (led_flash_cnt_ands(2310) & \WideAnd4128~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2311),
	datab => \WideAnd4128~1_combout\,
	datac => led_flash_cnt_ands(2310),
	datad => \WideAnd4128~0_combout\,
	combout => \WideAnd4128~combout\);

-- Location: FF_X40_Y14_N9
\led_flash_cnt_ands_1[288]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4128~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(288));

-- Location: LCCOMB_X37_Y4_N30
\led_flash_cnt[2318][0]~82958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2318][0]~82958_combout\ = !\led_flash_cnt[2318][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2318][0]~q\,
	combout => \led_flash_cnt[2318][0]~82958_combout\);

-- Location: FF_X37_Y4_N31
\led_flash_cnt[2318][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2318][0]~82958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2318][0]~q\);

-- Location: LCCOMB_X40_Y4_N18
\led_flash_cnt[2318][1]~59332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2318][1]~59332_combout\ = (\led_flash_cnt[2318][0]~q\ & (\led_flash_cnt[2318][1]~q\ $ (VCC))) # (!\led_flash_cnt[2318][0]~q\ & (\led_flash_cnt[2318][1]~q\ & VCC))
-- \led_flash_cnt[2318][1]~59333\ = CARRY((\led_flash_cnt[2318][0]~q\ & \led_flash_cnt[2318][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2318][0]~q\,
	datab => \led_flash_cnt[2318][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2318][1]~59332_combout\,
	cout => \led_flash_cnt[2318][1]~59333\);

-- Location: FF_X40_Y4_N19
\led_flash_cnt[2318][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2318][1]~59332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2318][1]~q\);

-- Location: LCCOMB_X40_Y4_N20
\led_flash_cnt[2318][2]~59334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2318][2]~59334_combout\ = (\led_flash_cnt[2318][2]~q\ & (!\led_flash_cnt[2318][1]~59333\)) # (!\led_flash_cnt[2318][2]~q\ & ((\led_flash_cnt[2318][1]~59333\) # (GND)))
-- \led_flash_cnt[2318][2]~59335\ = CARRY((!\led_flash_cnt[2318][1]~59333\) # (!\led_flash_cnt[2318][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2318][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2318][1]~59333\,
	combout => \led_flash_cnt[2318][2]~59334_combout\,
	cout => \led_flash_cnt[2318][2]~59335\);

-- Location: FF_X40_Y4_N21
\led_flash_cnt[2318][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2318][2]~59334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2318][2]~q\);

-- Location: LCCOMB_X40_Y4_N22
\led_flash_cnt[2318][3]~59336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2318][3]~59336_combout\ = (\led_flash_cnt[2318][3]~q\ & (\led_flash_cnt[2318][2]~59335\ $ (GND))) # (!\led_flash_cnt[2318][3]~q\ & (!\led_flash_cnt[2318][2]~59335\ & VCC))
-- \led_flash_cnt[2318][3]~59337\ = CARRY((\led_flash_cnt[2318][3]~q\ & !\led_flash_cnt[2318][2]~59335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2318][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2318][2]~59335\,
	combout => \led_flash_cnt[2318][3]~59336_combout\,
	cout => \led_flash_cnt[2318][3]~59337\);

-- Location: FF_X40_Y4_N23
\led_flash_cnt[2318][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2318][3]~59336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2318][3]~q\);

-- Location: LCCOMB_X40_Y4_N24
\led_flash_cnt[2318][4]~59338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2318][4]~59338_combout\ = (\led_flash_cnt[2318][4]~q\ & (!\led_flash_cnt[2318][3]~59337\)) # (!\led_flash_cnt[2318][4]~q\ & ((\led_flash_cnt[2318][3]~59337\) # (GND)))
-- \led_flash_cnt[2318][4]~59339\ = CARRY((!\led_flash_cnt[2318][3]~59337\) # (!\led_flash_cnt[2318][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2318][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2318][3]~59337\,
	combout => \led_flash_cnt[2318][4]~59338_combout\,
	cout => \led_flash_cnt[2318][4]~59339\);

-- Location: FF_X40_Y4_N25
\led_flash_cnt[2318][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2318][4]~59338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2318][4]~q\);

-- Location: LCCOMB_X40_Y4_N14
\WideAnd2318~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2318~0_combout\ = (\led_flash_cnt[2318][4]~q\ & (\led_flash_cnt[2318][1]~q\ & (\led_flash_cnt[2318][3]~q\ & \led_flash_cnt[2318][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2318][4]~q\,
	datab => \led_flash_cnt[2318][1]~q\,
	datac => \led_flash_cnt[2318][3]~q\,
	datad => \led_flash_cnt[2318][2]~q\,
	combout => \WideAnd2318~0_combout\);

-- Location: LCCOMB_X40_Y4_N26
\led_flash_cnt[2318][5]~59340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2318][5]~59340_combout\ = (\led_flash_cnt[2318][5]~q\ & (\led_flash_cnt[2318][4]~59339\ $ (GND))) # (!\led_flash_cnt[2318][5]~q\ & (!\led_flash_cnt[2318][4]~59339\ & VCC))
-- \led_flash_cnt[2318][5]~59341\ = CARRY((\led_flash_cnt[2318][5]~q\ & !\led_flash_cnt[2318][4]~59339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2318][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2318][4]~59339\,
	combout => \led_flash_cnt[2318][5]~59340_combout\,
	cout => \led_flash_cnt[2318][5]~59341\);

-- Location: FF_X40_Y4_N27
\led_flash_cnt[2318][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2318][5]~59340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2318][5]~q\);

-- Location: LCCOMB_X40_Y4_N28
\led_flash_cnt[2318][6]~59342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2318][6]~59342_combout\ = (\led_flash_cnt[2318][6]~q\ & (!\led_flash_cnt[2318][5]~59341\)) # (!\led_flash_cnt[2318][6]~q\ & ((\led_flash_cnt[2318][5]~59341\) # (GND)))
-- \led_flash_cnt[2318][6]~59343\ = CARRY((!\led_flash_cnt[2318][5]~59341\) # (!\led_flash_cnt[2318][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2318][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2318][5]~59341\,
	combout => \led_flash_cnt[2318][6]~59342_combout\,
	cout => \led_flash_cnt[2318][6]~59343\);

-- Location: FF_X40_Y4_N29
\led_flash_cnt[2318][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2318][6]~59342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2318][6]~q\);

-- Location: LCCOMB_X40_Y4_N30
\led_flash_cnt[2318][7]~59344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2318][7]~59344_combout\ = \led_flash_cnt[2318][7]~q\ $ (!\led_flash_cnt[2318][6]~59343\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2318][7]~q\,
	cin => \led_flash_cnt[2318][6]~59343\,
	combout => \led_flash_cnt[2318][7]~59344_combout\);

-- Location: FF_X40_Y4_N31
\led_flash_cnt[2318][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2318][7]~59344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2318][7]~q\);

-- Location: LCCOMB_X41_Y4_N24
\WideAnd2318~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2318~1_combout\ = (\led_flash_cnt[2318][5]~q\ & \led_flash_cnt[2318][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2318][5]~q\,
	datad => \led_flash_cnt[2318][6]~q\,
	combout => \WideAnd2318~1_combout\);

-- Location: LCCOMB_X41_Y4_N4
WideAnd2318 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2318~combout\ = (\WideAnd2318~0_combout\ & (\led_flash_cnt[2318][7]~q\ & (\led_flash_cnt[2318][0]~q\ & \WideAnd2318~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2318~0_combout\,
	datab => \led_flash_cnt[2318][7]~q\,
	datac => \led_flash_cnt[2318][0]~q\,
	datad => \WideAnd2318~1_combout\,
	combout => \WideAnd2318~combout\);

-- Location: FF_X41_Y4_N5
\led_flash_cnt_ands[2318]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2318~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2318));

-- Location: LCCOMB_X45_Y4_N6
\led_flash_cnt[2319][0]~82959\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2319][0]~82959_combout\ = !\led_flash_cnt[2319][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2319][0]~q\,
	combout => \led_flash_cnt[2319][0]~82959_combout\);

-- Location: FF_X45_Y4_N7
\led_flash_cnt[2319][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2319][0]~82959_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2319][0]~q\);

-- Location: LCCOMB_X44_Y4_N0
\led_flash_cnt[2319][1]~59346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2319][1]~59346_combout\ = (\led_flash_cnt[2319][0]~q\ & (\led_flash_cnt[2319][1]~q\ $ (VCC))) # (!\led_flash_cnt[2319][0]~q\ & (\led_flash_cnt[2319][1]~q\ & VCC))
-- \led_flash_cnt[2319][1]~59347\ = CARRY((\led_flash_cnt[2319][0]~q\ & \led_flash_cnt[2319][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2319][0]~q\,
	datab => \led_flash_cnt[2319][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2319][1]~59346_combout\,
	cout => \led_flash_cnt[2319][1]~59347\);

-- Location: FF_X44_Y4_N1
\led_flash_cnt[2319][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2319][1]~59346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2319][1]~q\);

-- Location: LCCOMB_X44_Y4_N2
\led_flash_cnt[2319][2]~59348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2319][2]~59348_combout\ = (\led_flash_cnt[2319][2]~q\ & (!\led_flash_cnt[2319][1]~59347\)) # (!\led_flash_cnt[2319][2]~q\ & ((\led_flash_cnt[2319][1]~59347\) # (GND)))
-- \led_flash_cnt[2319][2]~59349\ = CARRY((!\led_flash_cnt[2319][1]~59347\) # (!\led_flash_cnt[2319][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2319][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2319][1]~59347\,
	combout => \led_flash_cnt[2319][2]~59348_combout\,
	cout => \led_flash_cnt[2319][2]~59349\);

-- Location: FF_X44_Y4_N3
\led_flash_cnt[2319][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2319][2]~59348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2319][2]~q\);

-- Location: LCCOMB_X44_Y4_N4
\led_flash_cnt[2319][3]~59350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2319][3]~59350_combout\ = (\led_flash_cnt[2319][3]~q\ & (\led_flash_cnt[2319][2]~59349\ $ (GND))) # (!\led_flash_cnt[2319][3]~q\ & (!\led_flash_cnt[2319][2]~59349\ & VCC))
-- \led_flash_cnt[2319][3]~59351\ = CARRY((\led_flash_cnt[2319][3]~q\ & !\led_flash_cnt[2319][2]~59349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2319][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2319][2]~59349\,
	combout => \led_flash_cnt[2319][3]~59350_combout\,
	cout => \led_flash_cnt[2319][3]~59351\);

-- Location: FF_X44_Y4_N5
\led_flash_cnt[2319][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2319][3]~59350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2319][3]~q\);

-- Location: LCCOMB_X44_Y4_N6
\led_flash_cnt[2319][4]~59352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2319][4]~59352_combout\ = (\led_flash_cnt[2319][4]~q\ & (!\led_flash_cnt[2319][3]~59351\)) # (!\led_flash_cnt[2319][4]~q\ & ((\led_flash_cnt[2319][3]~59351\) # (GND)))
-- \led_flash_cnt[2319][4]~59353\ = CARRY((!\led_flash_cnt[2319][3]~59351\) # (!\led_flash_cnt[2319][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2319][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2319][3]~59351\,
	combout => \led_flash_cnt[2319][4]~59352_combout\,
	cout => \led_flash_cnt[2319][4]~59353\);

-- Location: FF_X44_Y4_N7
\led_flash_cnt[2319][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2319][4]~59352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2319][4]~q\);

-- Location: LCCOMB_X44_Y4_N8
\led_flash_cnt[2319][5]~59354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2319][5]~59354_combout\ = (\led_flash_cnt[2319][5]~q\ & (\led_flash_cnt[2319][4]~59353\ $ (GND))) # (!\led_flash_cnt[2319][5]~q\ & (!\led_flash_cnt[2319][4]~59353\ & VCC))
-- \led_flash_cnt[2319][5]~59355\ = CARRY((\led_flash_cnt[2319][5]~q\ & !\led_flash_cnt[2319][4]~59353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2319][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2319][4]~59353\,
	combout => \led_flash_cnt[2319][5]~59354_combout\,
	cout => \led_flash_cnt[2319][5]~59355\);

-- Location: FF_X44_Y4_N9
\led_flash_cnt[2319][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2319][5]~59354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2319][5]~q\);

-- Location: LCCOMB_X44_Y4_N10
\led_flash_cnt[2319][6]~59356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2319][6]~59356_combout\ = (\led_flash_cnt[2319][6]~q\ & (!\led_flash_cnt[2319][5]~59355\)) # (!\led_flash_cnt[2319][6]~q\ & ((\led_flash_cnt[2319][5]~59355\) # (GND)))
-- \led_flash_cnt[2319][6]~59357\ = CARRY((!\led_flash_cnt[2319][5]~59355\) # (!\led_flash_cnt[2319][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2319][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2319][5]~59355\,
	combout => \led_flash_cnt[2319][6]~59356_combout\,
	cout => \led_flash_cnt[2319][6]~59357\);

-- Location: FF_X44_Y4_N11
\led_flash_cnt[2319][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2319][6]~59356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2319][6]~q\);

-- Location: LCCOMB_X44_Y4_N12
\led_flash_cnt[2319][7]~59358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2319][7]~59358_combout\ = \led_flash_cnt[2319][6]~59357\ $ (!\led_flash_cnt[2319][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2319][7]~q\,
	cin => \led_flash_cnt[2319][6]~59357\,
	combout => \led_flash_cnt[2319][7]~59358_combout\);

-- Location: FF_X44_Y4_N13
\led_flash_cnt[2319][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2319][7]~59358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2319][7]~q\);

-- Location: LCCOMB_X45_Y4_N28
\WideAnd2319~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2319~1_combout\ = (\led_flash_cnt[2319][6]~q\ & \led_flash_cnt[2319][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2319][6]~q\,
	datad => \led_flash_cnt[2319][5]~q\,
	combout => \WideAnd2319~1_combout\);

-- Location: LCCOMB_X44_Y4_N14
\WideAnd2319~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2319~0_combout\ = (\led_flash_cnt[2319][4]~q\ & (\led_flash_cnt[2319][2]~q\ & (\led_flash_cnt[2319][3]~q\ & \led_flash_cnt[2319][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2319][4]~q\,
	datab => \led_flash_cnt[2319][2]~q\,
	datac => \led_flash_cnt[2319][3]~q\,
	datad => \led_flash_cnt[2319][1]~q\,
	combout => \WideAnd2319~0_combout\);

-- Location: LCCOMB_X44_Y4_N16
WideAnd2319 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2319~combout\ = (\led_flash_cnt[2319][7]~q\ & (\WideAnd2319~1_combout\ & (\WideAnd2319~0_combout\ & \led_flash_cnt[2319][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2319][7]~q\,
	datab => \WideAnd2319~1_combout\,
	datac => \WideAnd2319~0_combout\,
	datad => \led_flash_cnt[2319][0]~q\,
	combout => \WideAnd2319~combout\);

-- Location: FF_X44_Y4_N17
\led_flash_cnt_ands[2319]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2319~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2319));

-- Location: LCCOMB_X35_Y11_N22
\led_flash_cnt[2315][0]~82955\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2315][0]~82955_combout\ = !\led_flash_cnt[2315][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2315][0]~q\,
	combout => \led_flash_cnt[2315][0]~82955_combout\);

-- Location: FF_X35_Y11_N23
\led_flash_cnt[2315][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2315][0]~82955_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2315][0]~q\);

-- Location: LCCOMB_X35_Y11_N2
\led_flash_cnt[2315][1]~59290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2315][1]~59290_combout\ = (\led_flash_cnt[2315][0]~q\ & (\led_flash_cnt[2315][1]~q\ $ (VCC))) # (!\led_flash_cnt[2315][0]~q\ & (\led_flash_cnt[2315][1]~q\ & VCC))
-- \led_flash_cnt[2315][1]~59291\ = CARRY((\led_flash_cnt[2315][0]~q\ & \led_flash_cnt[2315][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2315][0]~q\,
	datab => \led_flash_cnt[2315][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2315][1]~59290_combout\,
	cout => \led_flash_cnt[2315][1]~59291\);

-- Location: FF_X35_Y11_N3
\led_flash_cnt[2315][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2315][1]~59290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2315][1]~q\);

-- Location: LCCOMB_X35_Y11_N4
\led_flash_cnt[2315][2]~59292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2315][2]~59292_combout\ = (\led_flash_cnt[2315][2]~q\ & (!\led_flash_cnt[2315][1]~59291\)) # (!\led_flash_cnt[2315][2]~q\ & ((\led_flash_cnt[2315][1]~59291\) # (GND)))
-- \led_flash_cnt[2315][2]~59293\ = CARRY((!\led_flash_cnt[2315][1]~59291\) # (!\led_flash_cnt[2315][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2315][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2315][1]~59291\,
	combout => \led_flash_cnt[2315][2]~59292_combout\,
	cout => \led_flash_cnt[2315][2]~59293\);

-- Location: FF_X35_Y11_N5
\led_flash_cnt[2315][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2315][2]~59292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2315][2]~q\);

-- Location: LCCOMB_X35_Y11_N6
\led_flash_cnt[2315][3]~59294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2315][3]~59294_combout\ = (\led_flash_cnt[2315][3]~q\ & (\led_flash_cnt[2315][2]~59293\ $ (GND))) # (!\led_flash_cnt[2315][3]~q\ & (!\led_flash_cnt[2315][2]~59293\ & VCC))
-- \led_flash_cnt[2315][3]~59295\ = CARRY((\led_flash_cnt[2315][3]~q\ & !\led_flash_cnt[2315][2]~59293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2315][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2315][2]~59293\,
	combout => \led_flash_cnt[2315][3]~59294_combout\,
	cout => \led_flash_cnt[2315][3]~59295\);

-- Location: FF_X35_Y11_N7
\led_flash_cnt[2315][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2315][3]~59294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2315][3]~q\);

-- Location: LCCOMB_X35_Y11_N8
\led_flash_cnt[2315][4]~59296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2315][4]~59296_combout\ = (\led_flash_cnt[2315][4]~q\ & (!\led_flash_cnt[2315][3]~59295\)) # (!\led_flash_cnt[2315][4]~q\ & ((\led_flash_cnt[2315][3]~59295\) # (GND)))
-- \led_flash_cnt[2315][4]~59297\ = CARRY((!\led_flash_cnt[2315][3]~59295\) # (!\led_flash_cnt[2315][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2315][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2315][3]~59295\,
	combout => \led_flash_cnt[2315][4]~59296_combout\,
	cout => \led_flash_cnt[2315][4]~59297\);

-- Location: FF_X35_Y11_N9
\led_flash_cnt[2315][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2315][4]~59296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2315][4]~q\);

-- Location: LCCOMB_X35_Y11_N30
\WideAnd2315~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2315~0_combout\ = (\led_flash_cnt[2315][3]~q\ & (\led_flash_cnt[2315][4]~q\ & (\led_flash_cnt[2315][2]~q\ & \led_flash_cnt[2315][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2315][3]~q\,
	datab => \led_flash_cnt[2315][4]~q\,
	datac => \led_flash_cnt[2315][2]~q\,
	datad => \led_flash_cnt[2315][1]~q\,
	combout => \WideAnd2315~0_combout\);

-- Location: LCCOMB_X35_Y11_N10
\led_flash_cnt[2315][5]~59298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2315][5]~59298_combout\ = (\led_flash_cnt[2315][5]~q\ & (\led_flash_cnt[2315][4]~59297\ $ (GND))) # (!\led_flash_cnt[2315][5]~q\ & (!\led_flash_cnt[2315][4]~59297\ & VCC))
-- \led_flash_cnt[2315][5]~59299\ = CARRY((\led_flash_cnt[2315][5]~q\ & !\led_flash_cnt[2315][4]~59297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2315][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2315][4]~59297\,
	combout => \led_flash_cnt[2315][5]~59298_combout\,
	cout => \led_flash_cnt[2315][5]~59299\);

-- Location: FF_X35_Y11_N11
\led_flash_cnt[2315][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2315][5]~59298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2315][5]~q\);

-- Location: LCCOMB_X35_Y11_N12
\led_flash_cnt[2315][6]~59300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2315][6]~59300_combout\ = (\led_flash_cnt[2315][6]~q\ & (!\led_flash_cnt[2315][5]~59299\)) # (!\led_flash_cnt[2315][6]~q\ & ((\led_flash_cnt[2315][5]~59299\) # (GND)))
-- \led_flash_cnt[2315][6]~59301\ = CARRY((!\led_flash_cnt[2315][5]~59299\) # (!\led_flash_cnt[2315][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2315][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2315][5]~59299\,
	combout => \led_flash_cnt[2315][6]~59300_combout\,
	cout => \led_flash_cnt[2315][6]~59301\);

-- Location: FF_X35_Y11_N13
\led_flash_cnt[2315][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2315][6]~59300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2315][6]~q\);

-- Location: LCCOMB_X35_Y11_N14
\led_flash_cnt[2315][7]~59302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2315][7]~59302_combout\ = \led_flash_cnt[2315][7]~q\ $ (!\led_flash_cnt[2315][6]~59301\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2315][7]~q\,
	cin => \led_flash_cnt[2315][6]~59301\,
	combout => \led_flash_cnt[2315][7]~59302_combout\);

-- Location: FF_X35_Y11_N15
\led_flash_cnt[2315][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2315][7]~59302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2315][7]~q\);

-- Location: LCCOMB_X35_Y11_N18
\WideAnd2315~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2315~1_combout\ = (\led_flash_cnt[2315][6]~q\ & \led_flash_cnt[2315][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2315][6]~q\,
	datad => \led_flash_cnt[2315][5]~q\,
	combout => \WideAnd2315~1_combout\);

-- Location: LCCOMB_X35_Y11_N26
WideAnd2315 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2315~combout\ = (\WideAnd2315~0_combout\ & (\led_flash_cnt[2315][7]~q\ & (\led_flash_cnt[2315][0]~q\ & \WideAnd2315~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2315~0_combout\,
	datab => \led_flash_cnt[2315][7]~q\,
	datac => \led_flash_cnt[2315][0]~q\,
	datad => \WideAnd2315~1_combout\,
	combout => \WideAnd2315~combout\);

-- Location: FF_X35_Y11_N27
\led_flash_cnt_ands[2315]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2315~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2315));

-- Location: LCCOMB_X41_Y4_N0
\led_flash_cnt[2312][0]~82952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2312][0]~82952_combout\ = !\led_flash_cnt[2312][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2312][0]~q\,
	combout => \led_flash_cnt[2312][0]~82952_combout\);

-- Location: FF_X41_Y4_N1
\led_flash_cnt[2312][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2312][0]~82952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2312][0]~q\);

-- Location: LCCOMB_X41_Y4_N10
\led_flash_cnt[2312][1]~59248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2312][1]~59248_combout\ = (\led_flash_cnt[2312][1]~q\ & (\led_flash_cnt[2312][0]~q\ $ (VCC))) # (!\led_flash_cnt[2312][1]~q\ & (\led_flash_cnt[2312][0]~q\ & VCC))
-- \led_flash_cnt[2312][1]~59249\ = CARRY((\led_flash_cnt[2312][1]~q\ & \led_flash_cnt[2312][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2312][1]~q\,
	datab => \led_flash_cnt[2312][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2312][1]~59248_combout\,
	cout => \led_flash_cnt[2312][1]~59249\);

-- Location: FF_X41_Y4_N11
\led_flash_cnt[2312][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2312][1]~59248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2312][1]~q\);

-- Location: LCCOMB_X41_Y4_N12
\led_flash_cnt[2312][2]~59250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2312][2]~59250_combout\ = (\led_flash_cnt[2312][2]~q\ & (!\led_flash_cnt[2312][1]~59249\)) # (!\led_flash_cnt[2312][2]~q\ & ((\led_flash_cnt[2312][1]~59249\) # (GND)))
-- \led_flash_cnt[2312][2]~59251\ = CARRY((!\led_flash_cnt[2312][1]~59249\) # (!\led_flash_cnt[2312][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2312][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2312][1]~59249\,
	combout => \led_flash_cnt[2312][2]~59250_combout\,
	cout => \led_flash_cnt[2312][2]~59251\);

-- Location: FF_X41_Y4_N13
\led_flash_cnt[2312][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2312][2]~59250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2312][2]~q\);

-- Location: LCCOMB_X41_Y4_N14
\led_flash_cnt[2312][3]~59252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2312][3]~59252_combout\ = (\led_flash_cnt[2312][3]~q\ & (\led_flash_cnt[2312][2]~59251\ $ (GND))) # (!\led_flash_cnt[2312][3]~q\ & (!\led_flash_cnt[2312][2]~59251\ & VCC))
-- \led_flash_cnt[2312][3]~59253\ = CARRY((\led_flash_cnt[2312][3]~q\ & !\led_flash_cnt[2312][2]~59251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2312][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2312][2]~59251\,
	combout => \led_flash_cnt[2312][3]~59252_combout\,
	cout => \led_flash_cnt[2312][3]~59253\);

-- Location: FF_X41_Y4_N15
\led_flash_cnt[2312][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2312][3]~59252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2312][3]~q\);

-- Location: LCCOMB_X41_Y4_N16
\led_flash_cnt[2312][4]~59254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2312][4]~59254_combout\ = (\led_flash_cnt[2312][4]~q\ & (!\led_flash_cnt[2312][3]~59253\)) # (!\led_flash_cnt[2312][4]~q\ & ((\led_flash_cnt[2312][3]~59253\) # (GND)))
-- \led_flash_cnt[2312][4]~59255\ = CARRY((!\led_flash_cnt[2312][3]~59253\) # (!\led_flash_cnt[2312][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2312][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2312][3]~59253\,
	combout => \led_flash_cnt[2312][4]~59254_combout\,
	cout => \led_flash_cnt[2312][4]~59255\);

-- Location: FF_X41_Y4_N17
\led_flash_cnt[2312][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2312][4]~59254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2312][4]~q\);

-- Location: LCCOMB_X41_Y4_N18
\led_flash_cnt[2312][5]~59256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2312][5]~59256_combout\ = (\led_flash_cnt[2312][5]~q\ & (\led_flash_cnt[2312][4]~59255\ $ (GND))) # (!\led_flash_cnt[2312][5]~q\ & (!\led_flash_cnt[2312][4]~59255\ & VCC))
-- \led_flash_cnt[2312][5]~59257\ = CARRY((\led_flash_cnt[2312][5]~q\ & !\led_flash_cnt[2312][4]~59255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2312][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2312][4]~59255\,
	combout => \led_flash_cnt[2312][5]~59256_combout\,
	cout => \led_flash_cnt[2312][5]~59257\);

-- Location: FF_X41_Y4_N19
\led_flash_cnt[2312][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2312][5]~59256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2312][5]~q\);

-- Location: LCCOMB_X41_Y4_N20
\led_flash_cnt[2312][6]~59258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2312][6]~59258_combout\ = (\led_flash_cnt[2312][6]~q\ & (!\led_flash_cnt[2312][5]~59257\)) # (!\led_flash_cnt[2312][6]~q\ & ((\led_flash_cnt[2312][5]~59257\) # (GND)))
-- \led_flash_cnt[2312][6]~59259\ = CARRY((!\led_flash_cnt[2312][5]~59257\) # (!\led_flash_cnt[2312][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2312][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2312][5]~59257\,
	combout => \led_flash_cnt[2312][6]~59258_combout\,
	cout => \led_flash_cnt[2312][6]~59259\);

-- Location: FF_X41_Y4_N21
\led_flash_cnt[2312][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2312][6]~59258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2312][6]~q\);

-- Location: LCCOMB_X41_Y4_N26
\WideAnd2312~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2312~1_combout\ = (\led_flash_cnt[2312][6]~q\ & \led_flash_cnt[2312][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2312][6]~q\,
	datad => \led_flash_cnt[2312][5]~q\,
	combout => \WideAnd2312~1_combout\);

-- Location: LCCOMB_X41_Y4_N22
\led_flash_cnt[2312][7]~59260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2312][7]~59260_combout\ = \led_flash_cnt[2312][7]~q\ $ (!\led_flash_cnt[2312][6]~59259\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2312][7]~q\,
	cin => \led_flash_cnt[2312][6]~59259\,
	combout => \led_flash_cnt[2312][7]~59260_combout\);

-- Location: FF_X41_Y4_N23
\led_flash_cnt[2312][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2312][7]~59260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2312][7]~q\);

-- Location: LCCOMB_X41_Y4_N2
\WideAnd2312~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2312~0_combout\ = (\led_flash_cnt[2312][1]~q\ & (\led_flash_cnt[2312][4]~q\ & (\led_flash_cnt[2312][3]~q\ & \led_flash_cnt[2312][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2312][1]~q\,
	datab => \led_flash_cnt[2312][4]~q\,
	datac => \led_flash_cnt[2312][3]~q\,
	datad => \led_flash_cnt[2312][2]~q\,
	combout => \WideAnd2312~0_combout\);

-- Location: LCCOMB_X41_Y4_N28
WideAnd2312 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2312~combout\ = (\WideAnd2312~1_combout\ & (\led_flash_cnt[2312][0]~q\ & (\led_flash_cnt[2312][7]~q\ & \WideAnd2312~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2312~1_combout\,
	datab => \led_flash_cnt[2312][0]~q\,
	datac => \led_flash_cnt[2312][7]~q\,
	datad => \WideAnd2312~0_combout\,
	combout => \WideAnd2312~combout\);

-- Location: FF_X41_Y4_N29
\led_flash_cnt_ands[2312]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2312~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2312));

-- Location: LCCOMB_X37_Y14_N2
\led_flash_cnt[2313][0]~82953\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2313][0]~82953_combout\ = !\led_flash_cnt[2313][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2313][0]~q\,
	combout => \led_flash_cnt[2313][0]~82953_combout\);

-- Location: FF_X37_Y14_N3
\led_flash_cnt[2313][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2313][0]~82953_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2313][0]~q\);

-- Location: LCCOMB_X36_Y14_N18
\led_flash_cnt[2313][1]~59262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2313][1]~59262_combout\ = (\led_flash_cnt[2313][0]~q\ & (\led_flash_cnt[2313][1]~q\ $ (VCC))) # (!\led_flash_cnt[2313][0]~q\ & (\led_flash_cnt[2313][1]~q\ & VCC))
-- \led_flash_cnt[2313][1]~59263\ = CARRY((\led_flash_cnt[2313][0]~q\ & \led_flash_cnt[2313][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2313][0]~q\,
	datab => \led_flash_cnt[2313][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2313][1]~59262_combout\,
	cout => \led_flash_cnt[2313][1]~59263\);

-- Location: FF_X36_Y14_N19
\led_flash_cnt[2313][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2313][1]~59262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2313][1]~q\);

-- Location: LCCOMB_X36_Y14_N20
\led_flash_cnt[2313][2]~59264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2313][2]~59264_combout\ = (\led_flash_cnt[2313][2]~q\ & (!\led_flash_cnt[2313][1]~59263\)) # (!\led_flash_cnt[2313][2]~q\ & ((\led_flash_cnt[2313][1]~59263\) # (GND)))
-- \led_flash_cnt[2313][2]~59265\ = CARRY((!\led_flash_cnt[2313][1]~59263\) # (!\led_flash_cnt[2313][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2313][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2313][1]~59263\,
	combout => \led_flash_cnt[2313][2]~59264_combout\,
	cout => \led_flash_cnt[2313][2]~59265\);

-- Location: FF_X36_Y14_N21
\led_flash_cnt[2313][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2313][2]~59264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2313][2]~q\);

-- Location: LCCOMB_X36_Y14_N22
\led_flash_cnt[2313][3]~59266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2313][3]~59266_combout\ = (\led_flash_cnt[2313][3]~q\ & (\led_flash_cnt[2313][2]~59265\ $ (GND))) # (!\led_flash_cnt[2313][3]~q\ & (!\led_flash_cnt[2313][2]~59265\ & VCC))
-- \led_flash_cnt[2313][3]~59267\ = CARRY((\led_flash_cnt[2313][3]~q\ & !\led_flash_cnt[2313][2]~59265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2313][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2313][2]~59265\,
	combout => \led_flash_cnt[2313][3]~59266_combout\,
	cout => \led_flash_cnt[2313][3]~59267\);

-- Location: FF_X36_Y14_N23
\led_flash_cnt[2313][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2313][3]~59266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2313][3]~q\);

-- Location: LCCOMB_X36_Y14_N24
\led_flash_cnt[2313][4]~59268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2313][4]~59268_combout\ = (\led_flash_cnt[2313][4]~q\ & (!\led_flash_cnt[2313][3]~59267\)) # (!\led_flash_cnt[2313][4]~q\ & ((\led_flash_cnt[2313][3]~59267\) # (GND)))
-- \led_flash_cnt[2313][4]~59269\ = CARRY((!\led_flash_cnt[2313][3]~59267\) # (!\led_flash_cnt[2313][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2313][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2313][3]~59267\,
	combout => \led_flash_cnt[2313][4]~59268_combout\,
	cout => \led_flash_cnt[2313][4]~59269\);

-- Location: FF_X36_Y14_N25
\led_flash_cnt[2313][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2313][4]~59268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2313][4]~q\);

-- Location: LCCOMB_X36_Y14_N26
\led_flash_cnt[2313][5]~59270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2313][5]~59270_combout\ = (\led_flash_cnt[2313][5]~q\ & (\led_flash_cnt[2313][4]~59269\ $ (GND))) # (!\led_flash_cnt[2313][5]~q\ & (!\led_flash_cnt[2313][4]~59269\ & VCC))
-- \led_flash_cnt[2313][5]~59271\ = CARRY((\led_flash_cnt[2313][5]~q\ & !\led_flash_cnt[2313][4]~59269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2313][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2313][4]~59269\,
	combout => \led_flash_cnt[2313][5]~59270_combout\,
	cout => \led_flash_cnt[2313][5]~59271\);

-- Location: FF_X36_Y14_N27
\led_flash_cnt[2313][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2313][5]~59270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2313][5]~q\);

-- Location: LCCOMB_X36_Y14_N28
\led_flash_cnt[2313][6]~59272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2313][6]~59272_combout\ = (\led_flash_cnt[2313][6]~q\ & (!\led_flash_cnt[2313][5]~59271\)) # (!\led_flash_cnt[2313][6]~q\ & ((\led_flash_cnt[2313][5]~59271\) # (GND)))
-- \led_flash_cnt[2313][6]~59273\ = CARRY((!\led_flash_cnt[2313][5]~59271\) # (!\led_flash_cnt[2313][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2313][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2313][5]~59271\,
	combout => \led_flash_cnt[2313][6]~59272_combout\,
	cout => \led_flash_cnt[2313][6]~59273\);

-- Location: FF_X36_Y14_N29
\led_flash_cnt[2313][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2313][6]~59272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2313][6]~q\);

-- Location: LCCOMB_X36_Y14_N30
\led_flash_cnt[2313][7]~59274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2313][7]~59274_combout\ = \led_flash_cnt[2313][7]~q\ $ (!\led_flash_cnt[2313][6]~59273\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2313][7]~q\,
	cin => \led_flash_cnt[2313][6]~59273\,
	combout => \led_flash_cnt[2313][7]~59274_combout\);

-- Location: FF_X36_Y14_N31
\led_flash_cnt[2313][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2313][7]~59274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2313][7]~q\);

-- Location: LCCOMB_X36_Y14_N16
\WideAnd2313~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2313~0_combout\ = (\led_flash_cnt[2313][4]~q\ & (\led_flash_cnt[2313][2]~q\ & (\led_flash_cnt[2313][3]~q\ & \led_flash_cnt[2313][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2313][4]~q\,
	datab => \led_flash_cnt[2313][2]~q\,
	datac => \led_flash_cnt[2313][3]~q\,
	datad => \led_flash_cnt[2313][1]~q\,
	combout => \WideAnd2313~0_combout\);

-- Location: LCCOMB_X37_Y14_N16
\WideAnd2313~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2313~1_combout\ = (\led_flash_cnt[2313][5]~q\ & \led_flash_cnt[2313][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2313][5]~q\,
	datad => \led_flash_cnt[2313][6]~q\,
	combout => \WideAnd2313~1_combout\);

-- Location: LCCOMB_X37_Y14_N0
WideAnd2313 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2313~combout\ = (\led_flash_cnt[2313][0]~q\ & (\led_flash_cnt[2313][7]~q\ & (\WideAnd2313~0_combout\ & \WideAnd2313~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2313][0]~q\,
	datab => \led_flash_cnt[2313][7]~q\,
	datac => \WideAnd2313~0_combout\,
	datad => \WideAnd2313~1_combout\,
	combout => \WideAnd2313~combout\);

-- Location: FF_X37_Y14_N1
\led_flash_cnt_ands[2313]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2313~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2313));

-- Location: LCCOMB_X35_Y11_N20
\led_flash_cnt[2314][0]~82954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2314][0]~82954_combout\ = !\led_flash_cnt[2314][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2314][0]~q\,
	combout => \led_flash_cnt[2314][0]~82954_combout\);

-- Location: FF_X35_Y11_N21
\led_flash_cnt[2314][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2314][0]~82954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2314][0]~q\);

-- Location: LCCOMB_X36_Y9_N0
\led_flash_cnt[2314][1]~59276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2314][1]~59276_combout\ = (\led_flash_cnt[2314][0]~q\ & (\led_flash_cnt[2314][1]~q\ $ (VCC))) # (!\led_flash_cnt[2314][0]~q\ & (\led_flash_cnt[2314][1]~q\ & VCC))
-- \led_flash_cnt[2314][1]~59277\ = CARRY((\led_flash_cnt[2314][0]~q\ & \led_flash_cnt[2314][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2314][0]~q\,
	datab => \led_flash_cnt[2314][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2314][1]~59276_combout\,
	cout => \led_flash_cnt[2314][1]~59277\);

-- Location: FF_X36_Y9_N1
\led_flash_cnt[2314][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2314][1]~59276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2314][1]~q\);

-- Location: LCCOMB_X36_Y9_N2
\led_flash_cnt[2314][2]~59278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2314][2]~59278_combout\ = (\led_flash_cnt[2314][2]~q\ & (!\led_flash_cnt[2314][1]~59277\)) # (!\led_flash_cnt[2314][2]~q\ & ((\led_flash_cnt[2314][1]~59277\) # (GND)))
-- \led_flash_cnt[2314][2]~59279\ = CARRY((!\led_flash_cnt[2314][1]~59277\) # (!\led_flash_cnt[2314][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2314][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2314][1]~59277\,
	combout => \led_flash_cnt[2314][2]~59278_combout\,
	cout => \led_flash_cnt[2314][2]~59279\);

-- Location: FF_X36_Y9_N3
\led_flash_cnt[2314][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2314][2]~59278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2314][2]~q\);

-- Location: LCCOMB_X36_Y9_N4
\led_flash_cnt[2314][3]~59280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2314][3]~59280_combout\ = (\led_flash_cnt[2314][3]~q\ & (\led_flash_cnt[2314][2]~59279\ $ (GND))) # (!\led_flash_cnt[2314][3]~q\ & (!\led_flash_cnt[2314][2]~59279\ & VCC))
-- \led_flash_cnt[2314][3]~59281\ = CARRY((\led_flash_cnt[2314][3]~q\ & !\led_flash_cnt[2314][2]~59279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2314][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2314][2]~59279\,
	combout => \led_flash_cnt[2314][3]~59280_combout\,
	cout => \led_flash_cnt[2314][3]~59281\);

-- Location: FF_X36_Y9_N5
\led_flash_cnt[2314][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2314][3]~59280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2314][3]~q\);

-- Location: LCCOMB_X36_Y9_N6
\led_flash_cnt[2314][4]~59282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2314][4]~59282_combout\ = (\led_flash_cnt[2314][4]~q\ & (!\led_flash_cnt[2314][3]~59281\)) # (!\led_flash_cnt[2314][4]~q\ & ((\led_flash_cnt[2314][3]~59281\) # (GND)))
-- \led_flash_cnt[2314][4]~59283\ = CARRY((!\led_flash_cnt[2314][3]~59281\) # (!\led_flash_cnt[2314][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2314][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2314][3]~59281\,
	combout => \led_flash_cnt[2314][4]~59282_combout\,
	cout => \led_flash_cnt[2314][4]~59283\);

-- Location: FF_X36_Y9_N7
\led_flash_cnt[2314][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2314][4]~59282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2314][4]~q\);

-- Location: LCCOMB_X36_Y9_N30
\WideAnd2314~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2314~0_combout\ = (\led_flash_cnt[2314][4]~q\ & (\led_flash_cnt[2314][1]~q\ & (\led_flash_cnt[2314][3]~q\ & \led_flash_cnt[2314][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2314][4]~q\,
	datab => \led_flash_cnt[2314][1]~q\,
	datac => \led_flash_cnt[2314][3]~q\,
	datad => \led_flash_cnt[2314][2]~q\,
	combout => \WideAnd2314~0_combout\);

-- Location: LCCOMB_X36_Y9_N8
\led_flash_cnt[2314][5]~59284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2314][5]~59284_combout\ = (\led_flash_cnt[2314][5]~q\ & (\led_flash_cnt[2314][4]~59283\ $ (GND))) # (!\led_flash_cnt[2314][5]~q\ & (!\led_flash_cnt[2314][4]~59283\ & VCC))
-- \led_flash_cnt[2314][5]~59285\ = CARRY((\led_flash_cnt[2314][5]~q\ & !\led_flash_cnt[2314][4]~59283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2314][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2314][4]~59283\,
	combout => \led_flash_cnt[2314][5]~59284_combout\,
	cout => \led_flash_cnt[2314][5]~59285\);

-- Location: FF_X36_Y9_N9
\led_flash_cnt[2314][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2314][5]~59284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2314][5]~q\);

-- Location: LCCOMB_X36_Y9_N10
\led_flash_cnt[2314][6]~59286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2314][6]~59286_combout\ = (\led_flash_cnt[2314][6]~q\ & (!\led_flash_cnt[2314][5]~59285\)) # (!\led_flash_cnt[2314][6]~q\ & ((\led_flash_cnt[2314][5]~59285\) # (GND)))
-- \led_flash_cnt[2314][6]~59287\ = CARRY((!\led_flash_cnt[2314][5]~59285\) # (!\led_flash_cnt[2314][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2314][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2314][5]~59285\,
	combout => \led_flash_cnt[2314][6]~59286_combout\,
	cout => \led_flash_cnt[2314][6]~59287\);

-- Location: FF_X36_Y9_N11
\led_flash_cnt[2314][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2314][6]~59286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2314][6]~q\);

-- Location: LCCOMB_X36_Y9_N12
\led_flash_cnt[2314][7]~59288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2314][7]~59288_combout\ = \led_flash_cnt[2314][6]~59287\ $ (!\led_flash_cnt[2314][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2314][7]~q\,
	cin => \led_flash_cnt[2314][6]~59287\,
	combout => \led_flash_cnt[2314][7]~59288_combout\);

-- Location: FF_X36_Y9_N13
\led_flash_cnt[2314][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2314][7]~59288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2314][7]~q\);

-- Location: LCCOMB_X35_Y11_N24
\WideAnd2314~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2314~1_combout\ = (\led_flash_cnt[2314][5]~q\ & \led_flash_cnt[2314][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2314][5]~q\,
	datac => \led_flash_cnt[2314][6]~q\,
	combout => \WideAnd2314~1_combout\);

-- Location: LCCOMB_X35_Y11_N28
WideAnd2314 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2314~combout\ = (\WideAnd2314~0_combout\ & (\led_flash_cnt[2314][0]~q\ & (\led_flash_cnt[2314][7]~q\ & \WideAnd2314~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2314~0_combout\,
	datab => \led_flash_cnt[2314][0]~q\,
	datac => \led_flash_cnt[2314][7]~q\,
	datad => \WideAnd2314~1_combout\,
	combout => \WideAnd2314~combout\);

-- Location: FF_X35_Y11_N29
\led_flash_cnt_ands[2314]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2314~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2314));

-- Location: LCCOMB_X36_Y11_N26
\WideAnd4129~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4129~0_combout\ = (led_flash_cnt_ands(2315) & (led_flash_cnt_ands(2312) & (led_flash_cnt_ands(2313) & led_flash_cnt_ands(2314))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2315),
	datab => led_flash_cnt_ands(2312),
	datac => led_flash_cnt_ands(2313),
	datad => led_flash_cnt_ands(2314),
	combout => \WideAnd4129~0_combout\);

-- Location: LCCOMB_X44_Y14_N6
\led_flash_cnt[2317][0]~82957\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2317][0]~82957_combout\ = !\led_flash_cnt[2317][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2317][0]~q\,
	combout => \led_flash_cnt[2317][0]~82957_combout\);

-- Location: FF_X44_Y14_N7
\led_flash_cnt[2317][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2317][0]~82957_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2317][0]~q\);

-- Location: LCCOMB_X45_Y14_N4
\led_flash_cnt[2317][1]~59318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2317][1]~59318_combout\ = (\led_flash_cnt[2317][0]~q\ & (\led_flash_cnt[2317][1]~q\ $ (VCC))) # (!\led_flash_cnt[2317][0]~q\ & (\led_flash_cnt[2317][1]~q\ & VCC))
-- \led_flash_cnt[2317][1]~59319\ = CARRY((\led_flash_cnt[2317][0]~q\ & \led_flash_cnt[2317][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2317][0]~q\,
	datab => \led_flash_cnt[2317][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2317][1]~59318_combout\,
	cout => \led_flash_cnt[2317][1]~59319\);

-- Location: FF_X45_Y14_N5
\led_flash_cnt[2317][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2317][1]~59318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2317][1]~q\);

-- Location: LCCOMB_X45_Y14_N6
\led_flash_cnt[2317][2]~59320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2317][2]~59320_combout\ = (\led_flash_cnt[2317][2]~q\ & (!\led_flash_cnt[2317][1]~59319\)) # (!\led_flash_cnt[2317][2]~q\ & ((\led_flash_cnt[2317][1]~59319\) # (GND)))
-- \led_flash_cnt[2317][2]~59321\ = CARRY((!\led_flash_cnt[2317][1]~59319\) # (!\led_flash_cnt[2317][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2317][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2317][1]~59319\,
	combout => \led_flash_cnt[2317][2]~59320_combout\,
	cout => \led_flash_cnt[2317][2]~59321\);

-- Location: FF_X45_Y14_N7
\led_flash_cnt[2317][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2317][2]~59320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2317][2]~q\);

-- Location: LCCOMB_X45_Y14_N8
\led_flash_cnt[2317][3]~59322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2317][3]~59322_combout\ = (\led_flash_cnt[2317][3]~q\ & (\led_flash_cnt[2317][2]~59321\ $ (GND))) # (!\led_flash_cnt[2317][3]~q\ & (!\led_flash_cnt[2317][2]~59321\ & VCC))
-- \led_flash_cnt[2317][3]~59323\ = CARRY((\led_flash_cnt[2317][3]~q\ & !\led_flash_cnt[2317][2]~59321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2317][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2317][2]~59321\,
	combout => \led_flash_cnt[2317][3]~59322_combout\,
	cout => \led_flash_cnt[2317][3]~59323\);

-- Location: FF_X45_Y14_N9
\led_flash_cnt[2317][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2317][3]~59322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2317][3]~q\);

-- Location: LCCOMB_X45_Y14_N10
\led_flash_cnt[2317][4]~59324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2317][4]~59324_combout\ = (\led_flash_cnt[2317][4]~q\ & (!\led_flash_cnt[2317][3]~59323\)) # (!\led_flash_cnt[2317][4]~q\ & ((\led_flash_cnt[2317][3]~59323\) # (GND)))
-- \led_flash_cnt[2317][4]~59325\ = CARRY((!\led_flash_cnt[2317][3]~59323\) # (!\led_flash_cnt[2317][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2317][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2317][3]~59323\,
	combout => \led_flash_cnt[2317][4]~59324_combout\,
	cout => \led_flash_cnt[2317][4]~59325\);

-- Location: FF_X45_Y14_N11
\led_flash_cnt[2317][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2317][4]~59324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2317][4]~q\);

-- Location: LCCOMB_X45_Y14_N12
\led_flash_cnt[2317][5]~59326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2317][5]~59326_combout\ = (\led_flash_cnt[2317][5]~q\ & (\led_flash_cnt[2317][4]~59325\ $ (GND))) # (!\led_flash_cnt[2317][5]~q\ & (!\led_flash_cnt[2317][4]~59325\ & VCC))
-- \led_flash_cnt[2317][5]~59327\ = CARRY((\led_flash_cnt[2317][5]~q\ & !\led_flash_cnt[2317][4]~59325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2317][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2317][4]~59325\,
	combout => \led_flash_cnt[2317][5]~59326_combout\,
	cout => \led_flash_cnt[2317][5]~59327\);

-- Location: FF_X45_Y14_N13
\led_flash_cnt[2317][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2317][5]~59326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2317][5]~q\);

-- Location: LCCOMB_X45_Y14_N14
\led_flash_cnt[2317][6]~59328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2317][6]~59328_combout\ = (\led_flash_cnt[2317][6]~q\ & (!\led_flash_cnt[2317][5]~59327\)) # (!\led_flash_cnt[2317][6]~q\ & ((\led_flash_cnt[2317][5]~59327\) # (GND)))
-- \led_flash_cnt[2317][6]~59329\ = CARRY((!\led_flash_cnt[2317][5]~59327\) # (!\led_flash_cnt[2317][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2317][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2317][5]~59327\,
	combout => \led_flash_cnt[2317][6]~59328_combout\,
	cout => \led_flash_cnt[2317][6]~59329\);

-- Location: FF_X45_Y14_N15
\led_flash_cnt[2317][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2317][6]~59328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2317][6]~q\);

-- Location: LCCOMB_X44_Y14_N28
\WideAnd2317~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2317~1_combout\ = (\led_flash_cnt[2317][5]~q\ & \led_flash_cnt[2317][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2317][5]~q\,
	datac => \led_flash_cnt[2317][6]~q\,
	combout => \WideAnd2317~1_combout\);

-- Location: LCCOMB_X45_Y14_N0
\WideAnd2317~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2317~0_combout\ = (\led_flash_cnt[2317][4]~q\ & (\led_flash_cnt[2317][3]~q\ & (\led_flash_cnt[2317][1]~q\ & \led_flash_cnt[2317][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2317][4]~q\,
	datab => \led_flash_cnt[2317][3]~q\,
	datac => \led_flash_cnt[2317][1]~q\,
	datad => \led_flash_cnt[2317][2]~q\,
	combout => \WideAnd2317~0_combout\);

-- Location: LCCOMB_X45_Y14_N16
\led_flash_cnt[2317][7]~59330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2317][7]~59330_combout\ = \led_flash_cnt[2317][6]~59329\ $ (!\led_flash_cnt[2317][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2317][7]~q\,
	cin => \led_flash_cnt[2317][6]~59329\,
	combout => \led_flash_cnt[2317][7]~59330_combout\);

-- Location: FF_X45_Y14_N17
\led_flash_cnt[2317][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2317][7]~59330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2317][7]~q\);

-- Location: LCCOMB_X44_Y14_N8
WideAnd2317 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2317~combout\ = (\led_flash_cnt[2317][0]~q\ & (\WideAnd2317~1_combout\ & (\WideAnd2317~0_combout\ & \led_flash_cnt[2317][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2317][0]~q\,
	datab => \WideAnd2317~1_combout\,
	datac => \WideAnd2317~0_combout\,
	datad => \led_flash_cnt[2317][7]~q\,
	combout => \WideAnd2317~combout\);

-- Location: FF_X44_Y14_N9
\led_flash_cnt_ands[2317]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2317~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2317));

-- Location: LCCOMB_X44_Y14_N2
\led_flash_cnt[2316][0]~82956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2316][0]~82956_combout\ = !\led_flash_cnt[2316][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2316][0]~q\,
	combout => \led_flash_cnt[2316][0]~82956_combout\);

-- Location: FF_X44_Y14_N3
\led_flash_cnt[2316][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2316][0]~82956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2316][0]~q\);

-- Location: LCCOMB_X44_Y14_N12
\led_flash_cnt[2316][1]~59304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2316][1]~59304_combout\ = (\led_flash_cnt[2316][1]~q\ & (\led_flash_cnt[2316][0]~q\ $ (VCC))) # (!\led_flash_cnt[2316][1]~q\ & (\led_flash_cnt[2316][0]~q\ & VCC))
-- \led_flash_cnt[2316][1]~59305\ = CARRY((\led_flash_cnt[2316][1]~q\ & \led_flash_cnt[2316][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2316][1]~q\,
	datab => \led_flash_cnt[2316][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2316][1]~59304_combout\,
	cout => \led_flash_cnt[2316][1]~59305\);

-- Location: FF_X44_Y14_N13
\led_flash_cnt[2316][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2316][1]~59304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2316][1]~q\);

-- Location: LCCOMB_X44_Y14_N14
\led_flash_cnt[2316][2]~59306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2316][2]~59306_combout\ = (\led_flash_cnt[2316][2]~q\ & (!\led_flash_cnt[2316][1]~59305\)) # (!\led_flash_cnt[2316][2]~q\ & ((\led_flash_cnt[2316][1]~59305\) # (GND)))
-- \led_flash_cnt[2316][2]~59307\ = CARRY((!\led_flash_cnt[2316][1]~59305\) # (!\led_flash_cnt[2316][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2316][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2316][1]~59305\,
	combout => \led_flash_cnt[2316][2]~59306_combout\,
	cout => \led_flash_cnt[2316][2]~59307\);

-- Location: FF_X44_Y14_N15
\led_flash_cnt[2316][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2316][2]~59306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2316][2]~q\);

-- Location: LCCOMB_X44_Y14_N16
\led_flash_cnt[2316][3]~59308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2316][3]~59308_combout\ = (\led_flash_cnt[2316][3]~q\ & (\led_flash_cnt[2316][2]~59307\ $ (GND))) # (!\led_flash_cnt[2316][3]~q\ & (!\led_flash_cnt[2316][2]~59307\ & VCC))
-- \led_flash_cnt[2316][3]~59309\ = CARRY((\led_flash_cnt[2316][3]~q\ & !\led_flash_cnt[2316][2]~59307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2316][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2316][2]~59307\,
	combout => \led_flash_cnt[2316][3]~59308_combout\,
	cout => \led_flash_cnt[2316][3]~59309\);

-- Location: FF_X44_Y14_N17
\led_flash_cnt[2316][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2316][3]~59308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2316][3]~q\);

-- Location: LCCOMB_X44_Y14_N18
\led_flash_cnt[2316][4]~59310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2316][4]~59310_combout\ = (\led_flash_cnt[2316][4]~q\ & (!\led_flash_cnt[2316][3]~59309\)) # (!\led_flash_cnt[2316][4]~q\ & ((\led_flash_cnt[2316][3]~59309\) # (GND)))
-- \led_flash_cnt[2316][4]~59311\ = CARRY((!\led_flash_cnt[2316][3]~59309\) # (!\led_flash_cnt[2316][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2316][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2316][3]~59309\,
	combout => \led_flash_cnt[2316][4]~59310_combout\,
	cout => \led_flash_cnt[2316][4]~59311\);

-- Location: FF_X44_Y14_N19
\led_flash_cnt[2316][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2316][4]~59310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2316][4]~q\);

-- Location: LCCOMB_X44_Y14_N26
\WideAnd2316~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2316~0_combout\ = (\led_flash_cnt[2316][1]~q\ & (\led_flash_cnt[2316][3]~q\ & (\led_flash_cnt[2316][2]~q\ & \led_flash_cnt[2316][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2316][1]~q\,
	datab => \led_flash_cnt[2316][3]~q\,
	datac => \led_flash_cnt[2316][2]~q\,
	datad => \led_flash_cnt[2316][4]~q\,
	combout => \WideAnd2316~0_combout\);

-- Location: LCCOMB_X44_Y14_N20
\led_flash_cnt[2316][5]~59312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2316][5]~59312_combout\ = (\led_flash_cnt[2316][5]~q\ & (\led_flash_cnt[2316][4]~59311\ $ (GND))) # (!\led_flash_cnt[2316][5]~q\ & (!\led_flash_cnt[2316][4]~59311\ & VCC))
-- \led_flash_cnt[2316][5]~59313\ = CARRY((\led_flash_cnt[2316][5]~q\ & !\led_flash_cnt[2316][4]~59311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2316][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2316][4]~59311\,
	combout => \led_flash_cnt[2316][5]~59312_combout\,
	cout => \led_flash_cnt[2316][5]~59313\);

-- Location: FF_X44_Y14_N21
\led_flash_cnt[2316][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2316][5]~59312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2316][5]~q\);

-- Location: LCCOMB_X44_Y14_N22
\led_flash_cnt[2316][6]~59314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2316][6]~59314_combout\ = (\led_flash_cnt[2316][6]~q\ & (!\led_flash_cnt[2316][5]~59313\)) # (!\led_flash_cnt[2316][6]~q\ & ((\led_flash_cnt[2316][5]~59313\) # (GND)))
-- \led_flash_cnt[2316][6]~59315\ = CARRY((!\led_flash_cnt[2316][5]~59313\) # (!\led_flash_cnt[2316][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2316][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2316][5]~59313\,
	combout => \led_flash_cnt[2316][6]~59314_combout\,
	cout => \led_flash_cnt[2316][6]~59315\);

-- Location: FF_X44_Y14_N23
\led_flash_cnt[2316][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2316][6]~59314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2316][6]~q\);

-- Location: LCCOMB_X44_Y14_N24
\led_flash_cnt[2316][7]~59316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2316][7]~59316_combout\ = \led_flash_cnt[2316][6]~59315\ $ (!\led_flash_cnt[2316][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2316][7]~q\,
	cin => \led_flash_cnt[2316][6]~59315\,
	combout => \led_flash_cnt[2316][7]~59316_combout\);

-- Location: FF_X44_Y14_N25
\led_flash_cnt[2316][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2316][7]~59316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2316][7]~q\);

-- Location: LCCOMB_X44_Y14_N4
\WideAnd2316~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2316~1_combout\ = (\led_flash_cnt[2316][6]~q\ & \led_flash_cnt[2316][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2316][6]~q\,
	datad => \led_flash_cnt[2316][5]~q\,
	combout => \WideAnd2316~1_combout\);

-- Location: LCCOMB_X44_Y14_N10
WideAnd2316 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2316~combout\ = (\WideAnd2316~0_combout\ & (\led_flash_cnt[2316][7]~q\ & (\WideAnd2316~1_combout\ & \led_flash_cnt[2316][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2316~0_combout\,
	datab => \led_flash_cnt[2316][7]~q\,
	datac => \WideAnd2316~1_combout\,
	datad => \led_flash_cnt[2316][0]~q\,
	combout => \WideAnd2316~combout\);

-- Location: FF_X44_Y14_N11
\led_flash_cnt_ands[2316]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2316~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2316));

-- Location: LCCOMB_X44_Y14_N30
\WideAnd4129~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4129~1_combout\ = (led_flash_cnt_ands(2317) & led_flash_cnt_ands(2316))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2317),
	datad => led_flash_cnt_ands(2316),
	combout => \WideAnd4129~1_combout\);

-- Location: LCCOMB_X40_Y7_N22
WideAnd4129 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4129~combout\ = (led_flash_cnt_ands(2318) & (led_flash_cnt_ands(2319) & (\WideAnd4129~0_combout\ & \WideAnd4129~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2318),
	datab => led_flash_cnt_ands(2319),
	datac => \WideAnd4129~0_combout\,
	datad => \WideAnd4129~1_combout\,
	combout => \WideAnd4129~combout\);

-- Location: FF_X40_Y7_N23
\led_flash_cnt_ands_1[289]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4129~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(289));

-- Location: LCCOMB_X40_Y14_N14
\WideAnd4356~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4356~0_combout\ = (led_flash_cnt_ands_1(290) & (led_flash_cnt_ands_1(291) & (led_flash_cnt_ands_1(288) & led_flash_cnt_ands_1(289))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(290),
	datab => led_flash_cnt_ands_1(291),
	datac => led_flash_cnt_ands_1(288),
	datad => led_flash_cnt_ands_1(289),
	combout => \WideAnd4356~0_combout\);

-- Location: LCCOMB_X41_Y16_N0
\led_flash_cnt[2367][0]~83007\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2367][0]~83007_combout\ = !\led_flash_cnt[2367][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2367][0]~q\,
	combout => \led_flash_cnt[2367][0]~83007_combout\);

-- Location: FF_X41_Y16_N1
\led_flash_cnt[2367][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2367][0]~83007_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2367][0]~q\);

-- Location: LCCOMB_X45_Y16_N18
\led_flash_cnt[2367][1]~60018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2367][1]~60018_combout\ = (\led_flash_cnt[2367][0]~q\ & (\led_flash_cnt[2367][1]~q\ $ (VCC))) # (!\led_flash_cnt[2367][0]~q\ & (\led_flash_cnt[2367][1]~q\ & VCC))
-- \led_flash_cnt[2367][1]~60019\ = CARRY((\led_flash_cnt[2367][0]~q\ & \led_flash_cnt[2367][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2367][0]~q\,
	datab => \led_flash_cnt[2367][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2367][1]~60018_combout\,
	cout => \led_flash_cnt[2367][1]~60019\);

-- Location: FF_X45_Y16_N19
\led_flash_cnt[2367][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2367][1]~60018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2367][1]~q\);

-- Location: LCCOMB_X45_Y16_N20
\led_flash_cnt[2367][2]~60020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2367][2]~60020_combout\ = (\led_flash_cnt[2367][2]~q\ & (!\led_flash_cnt[2367][1]~60019\)) # (!\led_flash_cnt[2367][2]~q\ & ((\led_flash_cnt[2367][1]~60019\) # (GND)))
-- \led_flash_cnt[2367][2]~60021\ = CARRY((!\led_flash_cnt[2367][1]~60019\) # (!\led_flash_cnt[2367][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2367][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2367][1]~60019\,
	combout => \led_flash_cnt[2367][2]~60020_combout\,
	cout => \led_flash_cnt[2367][2]~60021\);

-- Location: FF_X45_Y16_N21
\led_flash_cnt[2367][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2367][2]~60020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2367][2]~q\);

-- Location: LCCOMB_X45_Y16_N22
\led_flash_cnt[2367][3]~60022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2367][3]~60022_combout\ = (\led_flash_cnt[2367][3]~q\ & (\led_flash_cnt[2367][2]~60021\ $ (GND))) # (!\led_flash_cnt[2367][3]~q\ & (!\led_flash_cnt[2367][2]~60021\ & VCC))
-- \led_flash_cnt[2367][3]~60023\ = CARRY((\led_flash_cnt[2367][3]~q\ & !\led_flash_cnt[2367][2]~60021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2367][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2367][2]~60021\,
	combout => \led_flash_cnt[2367][3]~60022_combout\,
	cout => \led_flash_cnt[2367][3]~60023\);

-- Location: FF_X45_Y16_N23
\led_flash_cnt[2367][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2367][3]~60022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2367][3]~q\);

-- Location: LCCOMB_X45_Y16_N24
\led_flash_cnt[2367][4]~60024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2367][4]~60024_combout\ = (\led_flash_cnt[2367][4]~q\ & (!\led_flash_cnt[2367][3]~60023\)) # (!\led_flash_cnt[2367][4]~q\ & ((\led_flash_cnt[2367][3]~60023\) # (GND)))
-- \led_flash_cnt[2367][4]~60025\ = CARRY((!\led_flash_cnt[2367][3]~60023\) # (!\led_flash_cnt[2367][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2367][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2367][3]~60023\,
	combout => \led_flash_cnt[2367][4]~60024_combout\,
	cout => \led_flash_cnt[2367][4]~60025\);

-- Location: FF_X45_Y16_N25
\led_flash_cnt[2367][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2367][4]~60024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2367][4]~q\);

-- Location: LCCOMB_X45_Y16_N26
\led_flash_cnt[2367][5]~60026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2367][5]~60026_combout\ = (\led_flash_cnt[2367][5]~q\ & (\led_flash_cnt[2367][4]~60025\ $ (GND))) # (!\led_flash_cnt[2367][5]~q\ & (!\led_flash_cnt[2367][4]~60025\ & VCC))
-- \led_flash_cnt[2367][5]~60027\ = CARRY((\led_flash_cnt[2367][5]~q\ & !\led_flash_cnt[2367][4]~60025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2367][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2367][4]~60025\,
	combout => \led_flash_cnt[2367][5]~60026_combout\,
	cout => \led_flash_cnt[2367][5]~60027\);

-- Location: FF_X45_Y16_N27
\led_flash_cnt[2367][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2367][5]~60026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2367][5]~q\);

-- Location: LCCOMB_X45_Y16_N28
\led_flash_cnt[2367][6]~60028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2367][6]~60028_combout\ = (\led_flash_cnt[2367][6]~q\ & (!\led_flash_cnt[2367][5]~60027\)) # (!\led_flash_cnt[2367][6]~q\ & ((\led_flash_cnt[2367][5]~60027\) # (GND)))
-- \led_flash_cnt[2367][6]~60029\ = CARRY((!\led_flash_cnt[2367][5]~60027\) # (!\led_flash_cnt[2367][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2367][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2367][5]~60027\,
	combout => \led_flash_cnt[2367][6]~60028_combout\,
	cout => \led_flash_cnt[2367][6]~60029\);

-- Location: FF_X45_Y16_N29
\led_flash_cnt[2367][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2367][6]~60028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2367][6]~q\);

-- Location: LCCOMB_X44_Y16_N12
\WideAnd2367~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2367~1_combout\ = (\led_flash_cnt[2367][6]~q\ & \led_flash_cnt[2367][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2367][6]~q\,
	datad => \led_flash_cnt[2367][5]~q\,
	combout => \WideAnd2367~1_combout\);

-- Location: LCCOMB_X45_Y16_N0
\WideAnd2367~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2367~0_combout\ = (\led_flash_cnt[2367][2]~q\ & (\led_flash_cnt[2367][1]~q\ & (\led_flash_cnt[2367][3]~q\ & \led_flash_cnt[2367][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2367][2]~q\,
	datab => \led_flash_cnt[2367][1]~q\,
	datac => \led_flash_cnt[2367][3]~q\,
	datad => \led_flash_cnt[2367][4]~q\,
	combout => \WideAnd2367~0_combout\);

-- Location: LCCOMB_X45_Y16_N30
\led_flash_cnt[2367][7]~60030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2367][7]~60030_combout\ = \led_flash_cnt[2367][7]~q\ $ (!\led_flash_cnt[2367][6]~60029\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2367][7]~q\,
	cin => \led_flash_cnt[2367][6]~60029\,
	combout => \led_flash_cnt[2367][7]~60030_combout\);

-- Location: FF_X45_Y16_N31
\led_flash_cnt[2367][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2367][7]~60030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2367][7]~q\);

-- Location: LCCOMB_X41_Y16_N22
WideAnd2367 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2367~combout\ = (\WideAnd2367~1_combout\ & (\led_flash_cnt[2367][0]~q\ & (\WideAnd2367~0_combout\ & \led_flash_cnt[2367][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2367~1_combout\,
	datab => \led_flash_cnt[2367][0]~q\,
	datac => \WideAnd2367~0_combout\,
	datad => \led_flash_cnt[2367][7]~q\,
	combout => \WideAnd2367~combout\);

-- Location: FF_X41_Y16_N23
\led_flash_cnt_ands[2367]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2367~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2367));

-- Location: LCCOMB_X34_Y12_N24
\led_flash_cnt[2361][0]~83001\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2361][0]~83001_combout\ = !\led_flash_cnt[2361][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2361][0]~q\,
	combout => \led_flash_cnt[2361][0]~83001_combout\);

-- Location: FF_X34_Y12_N25
\led_flash_cnt[2361][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2361][0]~83001_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2361][0]~q\);

-- Location: LCCOMB_X37_Y13_N2
\led_flash_cnt[2361][1]~59934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2361][1]~59934_combout\ = (\led_flash_cnt[2361][0]~q\ & (\led_flash_cnt[2361][1]~q\ $ (VCC))) # (!\led_flash_cnt[2361][0]~q\ & (\led_flash_cnt[2361][1]~q\ & VCC))
-- \led_flash_cnt[2361][1]~59935\ = CARRY((\led_flash_cnt[2361][0]~q\ & \led_flash_cnt[2361][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2361][0]~q\,
	datab => \led_flash_cnt[2361][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2361][1]~59934_combout\,
	cout => \led_flash_cnt[2361][1]~59935\);

-- Location: FF_X37_Y13_N3
\led_flash_cnt[2361][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2361][1]~59934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2361][1]~q\);

-- Location: LCCOMB_X37_Y13_N4
\led_flash_cnt[2361][2]~59936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2361][2]~59936_combout\ = (\led_flash_cnt[2361][2]~q\ & (!\led_flash_cnt[2361][1]~59935\)) # (!\led_flash_cnt[2361][2]~q\ & ((\led_flash_cnt[2361][1]~59935\) # (GND)))
-- \led_flash_cnt[2361][2]~59937\ = CARRY((!\led_flash_cnt[2361][1]~59935\) # (!\led_flash_cnt[2361][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2361][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2361][1]~59935\,
	combout => \led_flash_cnt[2361][2]~59936_combout\,
	cout => \led_flash_cnt[2361][2]~59937\);

-- Location: FF_X37_Y13_N5
\led_flash_cnt[2361][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2361][2]~59936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2361][2]~q\);

-- Location: LCCOMB_X37_Y13_N6
\led_flash_cnt[2361][3]~59938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2361][3]~59938_combout\ = (\led_flash_cnt[2361][3]~q\ & (\led_flash_cnt[2361][2]~59937\ $ (GND))) # (!\led_flash_cnt[2361][3]~q\ & (!\led_flash_cnt[2361][2]~59937\ & VCC))
-- \led_flash_cnt[2361][3]~59939\ = CARRY((\led_flash_cnt[2361][3]~q\ & !\led_flash_cnt[2361][2]~59937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2361][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2361][2]~59937\,
	combout => \led_flash_cnt[2361][3]~59938_combout\,
	cout => \led_flash_cnt[2361][3]~59939\);

-- Location: FF_X37_Y13_N7
\led_flash_cnt[2361][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2361][3]~59938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2361][3]~q\);

-- Location: LCCOMB_X37_Y13_N8
\led_flash_cnt[2361][4]~59940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2361][4]~59940_combout\ = (\led_flash_cnt[2361][4]~q\ & (!\led_flash_cnt[2361][3]~59939\)) # (!\led_flash_cnt[2361][4]~q\ & ((\led_flash_cnt[2361][3]~59939\) # (GND)))
-- \led_flash_cnt[2361][4]~59941\ = CARRY((!\led_flash_cnt[2361][3]~59939\) # (!\led_flash_cnt[2361][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2361][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2361][3]~59939\,
	combout => \led_flash_cnt[2361][4]~59940_combout\,
	cout => \led_flash_cnt[2361][4]~59941\);

-- Location: FF_X37_Y13_N9
\led_flash_cnt[2361][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2361][4]~59940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2361][4]~q\);

-- Location: LCCOMB_X37_Y13_N10
\led_flash_cnt[2361][5]~59942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2361][5]~59942_combout\ = (\led_flash_cnt[2361][5]~q\ & (\led_flash_cnt[2361][4]~59941\ $ (GND))) # (!\led_flash_cnt[2361][5]~q\ & (!\led_flash_cnt[2361][4]~59941\ & VCC))
-- \led_flash_cnt[2361][5]~59943\ = CARRY((\led_flash_cnt[2361][5]~q\ & !\led_flash_cnt[2361][4]~59941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2361][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2361][4]~59941\,
	combout => \led_flash_cnt[2361][5]~59942_combout\,
	cout => \led_flash_cnt[2361][5]~59943\);

-- Location: FF_X37_Y13_N11
\led_flash_cnt[2361][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2361][5]~59942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2361][5]~q\);

-- Location: LCCOMB_X37_Y13_N12
\led_flash_cnt[2361][6]~59944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2361][6]~59944_combout\ = (\led_flash_cnt[2361][6]~q\ & (!\led_flash_cnt[2361][5]~59943\)) # (!\led_flash_cnt[2361][6]~q\ & ((\led_flash_cnt[2361][5]~59943\) # (GND)))
-- \led_flash_cnt[2361][6]~59945\ = CARRY((!\led_flash_cnt[2361][5]~59943\) # (!\led_flash_cnt[2361][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2361][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2361][5]~59943\,
	combout => \led_flash_cnt[2361][6]~59944_combout\,
	cout => \led_flash_cnt[2361][6]~59945\);

-- Location: FF_X37_Y13_N13
\led_flash_cnt[2361][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2361][6]~59944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2361][6]~q\);

-- Location: LCCOMB_X36_Y13_N24
\WideAnd2361~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2361~1_combout\ = (\led_flash_cnt[2361][6]~q\ & \led_flash_cnt[2361][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2361][6]~q\,
	datac => \led_flash_cnt[2361][5]~q\,
	combout => \WideAnd2361~1_combout\);

-- Location: LCCOMB_X37_Y13_N14
\led_flash_cnt[2361][7]~59946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2361][7]~59946_combout\ = \led_flash_cnt[2361][7]~q\ $ (!\led_flash_cnt[2361][6]~59945\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2361][7]~q\,
	cin => \led_flash_cnt[2361][6]~59945\,
	combout => \led_flash_cnt[2361][7]~59946_combout\);

-- Location: FF_X37_Y13_N15
\led_flash_cnt[2361][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2361][7]~59946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2361][7]~q\);

-- Location: LCCOMB_X37_Y13_N16
\WideAnd2361~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2361~0_combout\ = (\led_flash_cnt[2361][3]~q\ & (\led_flash_cnt[2361][4]~q\ & (\led_flash_cnt[2361][2]~q\ & \led_flash_cnt[2361][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2361][3]~q\,
	datab => \led_flash_cnt[2361][4]~q\,
	datac => \led_flash_cnt[2361][2]~q\,
	datad => \led_flash_cnt[2361][1]~q\,
	combout => \WideAnd2361~0_combout\);

-- Location: LCCOMB_X36_Y13_N26
WideAnd2361 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2361~combout\ = (\led_flash_cnt[2361][0]~q\ & (\WideAnd2361~1_combout\ & (\led_flash_cnt[2361][7]~q\ & \WideAnd2361~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2361][0]~q\,
	datab => \WideAnd2361~1_combout\,
	datac => \led_flash_cnt[2361][7]~q\,
	datad => \WideAnd2361~0_combout\,
	combout => \WideAnd2361~combout\);

-- Location: FF_X36_Y13_N27
\led_flash_cnt_ands[2361]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2361~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2361));

-- Location: LCCOMB_X35_Y16_N28
\led_flash_cnt[2363][0]~83003\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2363][0]~83003_combout\ = !\led_flash_cnt[2363][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2363][0]~q\,
	combout => \led_flash_cnt[2363][0]~83003_combout\);

-- Location: FF_X35_Y16_N29
\led_flash_cnt[2363][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2363][0]~83003_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2363][0]~q\);

-- Location: LCCOMB_X35_Y13_N0
\led_flash_cnt[2363][1]~59962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2363][1]~59962_combout\ = (\led_flash_cnt[2363][0]~q\ & (\led_flash_cnt[2363][1]~q\ $ (VCC))) # (!\led_flash_cnt[2363][0]~q\ & (\led_flash_cnt[2363][1]~q\ & VCC))
-- \led_flash_cnt[2363][1]~59963\ = CARRY((\led_flash_cnt[2363][0]~q\ & \led_flash_cnt[2363][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2363][0]~q\,
	datab => \led_flash_cnt[2363][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2363][1]~59962_combout\,
	cout => \led_flash_cnt[2363][1]~59963\);

-- Location: FF_X35_Y13_N1
\led_flash_cnt[2363][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2363][1]~59962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2363][1]~q\);

-- Location: LCCOMB_X35_Y13_N2
\led_flash_cnt[2363][2]~59964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2363][2]~59964_combout\ = (\led_flash_cnt[2363][2]~q\ & (!\led_flash_cnt[2363][1]~59963\)) # (!\led_flash_cnt[2363][2]~q\ & ((\led_flash_cnt[2363][1]~59963\) # (GND)))
-- \led_flash_cnt[2363][2]~59965\ = CARRY((!\led_flash_cnt[2363][1]~59963\) # (!\led_flash_cnt[2363][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2363][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2363][1]~59963\,
	combout => \led_flash_cnt[2363][2]~59964_combout\,
	cout => \led_flash_cnt[2363][2]~59965\);

-- Location: FF_X35_Y13_N3
\led_flash_cnt[2363][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2363][2]~59964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2363][2]~q\);

-- Location: LCCOMB_X35_Y13_N4
\led_flash_cnt[2363][3]~59966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2363][3]~59966_combout\ = (\led_flash_cnt[2363][3]~q\ & (\led_flash_cnt[2363][2]~59965\ $ (GND))) # (!\led_flash_cnt[2363][3]~q\ & (!\led_flash_cnt[2363][2]~59965\ & VCC))
-- \led_flash_cnt[2363][3]~59967\ = CARRY((\led_flash_cnt[2363][3]~q\ & !\led_flash_cnt[2363][2]~59965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2363][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2363][2]~59965\,
	combout => \led_flash_cnt[2363][3]~59966_combout\,
	cout => \led_flash_cnt[2363][3]~59967\);

-- Location: FF_X35_Y13_N5
\led_flash_cnt[2363][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2363][3]~59966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2363][3]~q\);

-- Location: LCCOMB_X35_Y13_N6
\led_flash_cnt[2363][4]~59968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2363][4]~59968_combout\ = (\led_flash_cnt[2363][4]~q\ & (!\led_flash_cnt[2363][3]~59967\)) # (!\led_flash_cnt[2363][4]~q\ & ((\led_flash_cnt[2363][3]~59967\) # (GND)))
-- \led_flash_cnt[2363][4]~59969\ = CARRY((!\led_flash_cnt[2363][3]~59967\) # (!\led_flash_cnt[2363][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2363][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2363][3]~59967\,
	combout => \led_flash_cnt[2363][4]~59968_combout\,
	cout => \led_flash_cnt[2363][4]~59969\);

-- Location: FF_X35_Y13_N7
\led_flash_cnt[2363][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2363][4]~59968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2363][4]~q\);

-- Location: LCCOMB_X35_Y13_N8
\led_flash_cnt[2363][5]~59970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2363][5]~59970_combout\ = (\led_flash_cnt[2363][5]~q\ & (\led_flash_cnt[2363][4]~59969\ $ (GND))) # (!\led_flash_cnt[2363][5]~q\ & (!\led_flash_cnt[2363][4]~59969\ & VCC))
-- \led_flash_cnt[2363][5]~59971\ = CARRY((\led_flash_cnt[2363][5]~q\ & !\led_flash_cnt[2363][4]~59969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2363][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2363][4]~59969\,
	combout => \led_flash_cnt[2363][5]~59970_combout\,
	cout => \led_flash_cnt[2363][5]~59971\);

-- Location: FF_X35_Y13_N9
\led_flash_cnt[2363][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2363][5]~59970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2363][5]~q\);

-- Location: LCCOMB_X35_Y13_N10
\led_flash_cnt[2363][6]~59972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2363][6]~59972_combout\ = (\led_flash_cnt[2363][6]~q\ & (!\led_flash_cnt[2363][5]~59971\)) # (!\led_flash_cnt[2363][6]~q\ & ((\led_flash_cnt[2363][5]~59971\) # (GND)))
-- \led_flash_cnt[2363][6]~59973\ = CARRY((!\led_flash_cnt[2363][5]~59971\) # (!\led_flash_cnt[2363][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2363][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2363][5]~59971\,
	combout => \led_flash_cnt[2363][6]~59972_combout\,
	cout => \led_flash_cnt[2363][6]~59973\);

-- Location: FF_X35_Y13_N11
\led_flash_cnt[2363][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2363][6]~59972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2363][6]~q\);

-- Location: LCCOMB_X35_Y13_N12
\led_flash_cnt[2363][7]~59974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2363][7]~59974_combout\ = \led_flash_cnt[2363][6]~59973\ $ (!\led_flash_cnt[2363][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2363][7]~q\,
	cin => \led_flash_cnt[2363][6]~59973\,
	combout => \led_flash_cnt[2363][7]~59974_combout\);

-- Location: FF_X35_Y13_N13
\led_flash_cnt[2363][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2363][7]~59974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2363][7]~q\);

-- Location: LCCOMB_X36_Y13_N22
\WideAnd2363~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2363~1_combout\ = (\led_flash_cnt[2363][6]~q\ & \led_flash_cnt[2363][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2363][6]~q\,
	datad => \led_flash_cnt[2363][5]~q\,
	combout => \WideAnd2363~1_combout\);

-- Location: LCCOMB_X36_Y13_N28
\WideAnd2363~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2363~0_combout\ = (\led_flash_cnt[2363][1]~q\ & (\led_flash_cnt[2363][3]~q\ & (\led_flash_cnt[2363][4]~q\ & \led_flash_cnt[2363][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2363][1]~q\,
	datab => \led_flash_cnt[2363][3]~q\,
	datac => \led_flash_cnt[2363][4]~q\,
	datad => \led_flash_cnt[2363][2]~q\,
	combout => \WideAnd2363~0_combout\);

-- Location: LCCOMB_X35_Y13_N30
WideAnd2363 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2363~combout\ = (\led_flash_cnt[2363][7]~q\ & (\WideAnd2363~1_combout\ & (\led_flash_cnt[2363][0]~q\ & \WideAnd2363~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2363][7]~q\,
	datab => \WideAnd2363~1_combout\,
	datac => \led_flash_cnt[2363][0]~q\,
	datad => \WideAnd2363~0_combout\,
	combout => \WideAnd2363~combout\);

-- Location: FF_X35_Y13_N31
\led_flash_cnt_ands[2363]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2363~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2363));

-- Location: LCCOMB_X24_Y8_N26
\led_flash_cnt[2362][0]~83002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2362][0]~83002_combout\ = !\led_flash_cnt[2362][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2362][0]~q\,
	combout => \led_flash_cnt[2362][0]~83002_combout\);

-- Location: FF_X24_Y8_N27
\led_flash_cnt[2362][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2362][0]~83002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2362][0]~q\);

-- Location: LCCOMB_X23_Y8_N6
\led_flash_cnt[2362][1]~59948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2362][1]~59948_combout\ = (\led_flash_cnt[2362][1]~q\ & (\led_flash_cnt[2362][0]~q\ $ (VCC))) # (!\led_flash_cnt[2362][1]~q\ & (\led_flash_cnt[2362][0]~q\ & VCC))
-- \led_flash_cnt[2362][1]~59949\ = CARRY((\led_flash_cnt[2362][1]~q\ & \led_flash_cnt[2362][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2362][1]~q\,
	datab => \led_flash_cnt[2362][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2362][1]~59948_combout\,
	cout => \led_flash_cnt[2362][1]~59949\);

-- Location: FF_X23_Y8_N7
\led_flash_cnt[2362][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2362][1]~59948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2362][1]~q\);

-- Location: LCCOMB_X23_Y8_N8
\led_flash_cnt[2362][2]~59950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2362][2]~59950_combout\ = (\led_flash_cnt[2362][2]~q\ & (!\led_flash_cnt[2362][1]~59949\)) # (!\led_flash_cnt[2362][2]~q\ & ((\led_flash_cnt[2362][1]~59949\) # (GND)))
-- \led_flash_cnt[2362][2]~59951\ = CARRY((!\led_flash_cnt[2362][1]~59949\) # (!\led_flash_cnt[2362][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2362][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2362][1]~59949\,
	combout => \led_flash_cnt[2362][2]~59950_combout\,
	cout => \led_flash_cnt[2362][2]~59951\);

-- Location: FF_X23_Y8_N9
\led_flash_cnt[2362][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2362][2]~59950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2362][2]~q\);

-- Location: LCCOMB_X23_Y8_N10
\led_flash_cnt[2362][3]~59952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2362][3]~59952_combout\ = (\led_flash_cnt[2362][3]~q\ & (\led_flash_cnt[2362][2]~59951\ $ (GND))) # (!\led_flash_cnt[2362][3]~q\ & (!\led_flash_cnt[2362][2]~59951\ & VCC))
-- \led_flash_cnt[2362][3]~59953\ = CARRY((\led_flash_cnt[2362][3]~q\ & !\led_flash_cnt[2362][2]~59951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2362][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2362][2]~59951\,
	combout => \led_flash_cnt[2362][3]~59952_combout\,
	cout => \led_flash_cnt[2362][3]~59953\);

-- Location: FF_X23_Y8_N11
\led_flash_cnt[2362][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2362][3]~59952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2362][3]~q\);

-- Location: LCCOMB_X23_Y8_N12
\led_flash_cnt[2362][4]~59954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2362][4]~59954_combout\ = (\led_flash_cnt[2362][4]~q\ & (!\led_flash_cnt[2362][3]~59953\)) # (!\led_flash_cnt[2362][4]~q\ & ((\led_flash_cnt[2362][3]~59953\) # (GND)))
-- \led_flash_cnt[2362][4]~59955\ = CARRY((!\led_flash_cnt[2362][3]~59953\) # (!\led_flash_cnt[2362][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2362][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2362][3]~59953\,
	combout => \led_flash_cnt[2362][4]~59954_combout\,
	cout => \led_flash_cnt[2362][4]~59955\);

-- Location: FF_X23_Y8_N13
\led_flash_cnt[2362][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2362][4]~59954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2362][4]~q\);

-- Location: LCCOMB_X23_Y8_N14
\led_flash_cnt[2362][5]~59956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2362][5]~59956_combout\ = (\led_flash_cnt[2362][5]~q\ & (\led_flash_cnt[2362][4]~59955\ $ (GND))) # (!\led_flash_cnt[2362][5]~q\ & (!\led_flash_cnt[2362][4]~59955\ & VCC))
-- \led_flash_cnt[2362][5]~59957\ = CARRY((\led_flash_cnt[2362][5]~q\ & !\led_flash_cnt[2362][4]~59955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2362][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2362][4]~59955\,
	combout => \led_flash_cnt[2362][5]~59956_combout\,
	cout => \led_flash_cnt[2362][5]~59957\);

-- Location: FF_X23_Y8_N15
\led_flash_cnt[2362][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2362][5]~59956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2362][5]~q\);

-- Location: LCCOMB_X23_Y8_N16
\led_flash_cnt[2362][6]~59958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2362][6]~59958_combout\ = (\led_flash_cnt[2362][6]~q\ & (!\led_flash_cnt[2362][5]~59957\)) # (!\led_flash_cnt[2362][6]~q\ & ((\led_flash_cnt[2362][5]~59957\) # (GND)))
-- \led_flash_cnt[2362][6]~59959\ = CARRY((!\led_flash_cnt[2362][5]~59957\) # (!\led_flash_cnt[2362][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2362][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2362][5]~59957\,
	combout => \led_flash_cnt[2362][6]~59958_combout\,
	cout => \led_flash_cnt[2362][6]~59959\);

-- Location: FF_X23_Y8_N17
\led_flash_cnt[2362][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2362][6]~59958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2362][6]~q\);

-- Location: LCCOMB_X23_Y8_N24
\WideAnd2362~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2362~1_combout\ = (\led_flash_cnt[2362][5]~q\ & \led_flash_cnt[2362][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2362][5]~q\,
	datad => \led_flash_cnt[2362][6]~q\,
	combout => \WideAnd2362~1_combout\);

-- Location: LCCOMB_X23_Y8_N26
\WideAnd2362~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2362~0_combout\ = (\led_flash_cnt[2362][3]~q\ & (\led_flash_cnt[2362][4]~q\ & (\led_flash_cnt[2362][2]~q\ & \led_flash_cnt[2362][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2362][3]~q\,
	datab => \led_flash_cnt[2362][4]~q\,
	datac => \led_flash_cnt[2362][2]~q\,
	datad => \led_flash_cnt[2362][1]~q\,
	combout => \WideAnd2362~0_combout\);

-- Location: LCCOMB_X23_Y8_N18
\led_flash_cnt[2362][7]~59960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2362][7]~59960_combout\ = \led_flash_cnt[2362][6]~59959\ $ (!\led_flash_cnt[2362][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2362][7]~q\,
	cin => \led_flash_cnt[2362][6]~59959\,
	combout => \led_flash_cnt[2362][7]~59960_combout\);

-- Location: FF_X23_Y8_N19
\led_flash_cnt[2362][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2362][7]~59960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2362][7]~q\);

-- Location: LCCOMB_X24_Y8_N24
WideAnd2362 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2362~combout\ = (\led_flash_cnt[2362][0]~q\ & (\WideAnd2362~1_combout\ & (\WideAnd2362~0_combout\ & \led_flash_cnt[2362][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2362][0]~q\,
	datab => \WideAnd2362~1_combout\,
	datac => \WideAnd2362~0_combout\,
	datad => \led_flash_cnt[2362][7]~q\,
	combout => \WideAnd2362~combout\);

-- Location: FF_X24_Y8_N25
\led_flash_cnt_ands[2362]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2362~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2362));

-- Location: LCCOMB_X36_Y13_N30
\led_flash_cnt[2360][0]~83000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2360][0]~83000_combout\ = !\led_flash_cnt[2360][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2360][0]~q\,
	combout => \led_flash_cnt[2360][0]~83000_combout\);

-- Location: FF_X36_Y13_N31
\led_flash_cnt[2360][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2360][0]~83000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2360][0]~q\);

-- Location: LCCOMB_X36_Y13_N4
\led_flash_cnt[2360][1]~59920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2360][1]~59920_combout\ = (\led_flash_cnt[2360][0]~q\ & (\led_flash_cnt[2360][1]~q\ $ (VCC))) # (!\led_flash_cnt[2360][0]~q\ & (\led_flash_cnt[2360][1]~q\ & VCC))
-- \led_flash_cnt[2360][1]~59921\ = CARRY((\led_flash_cnt[2360][0]~q\ & \led_flash_cnt[2360][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2360][0]~q\,
	datab => \led_flash_cnt[2360][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2360][1]~59920_combout\,
	cout => \led_flash_cnt[2360][1]~59921\);

-- Location: FF_X36_Y13_N5
\led_flash_cnt[2360][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2360][1]~59920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2360][1]~q\);

-- Location: LCCOMB_X36_Y13_N6
\led_flash_cnt[2360][2]~59922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2360][2]~59922_combout\ = (\led_flash_cnt[2360][2]~q\ & (!\led_flash_cnt[2360][1]~59921\)) # (!\led_flash_cnt[2360][2]~q\ & ((\led_flash_cnt[2360][1]~59921\) # (GND)))
-- \led_flash_cnt[2360][2]~59923\ = CARRY((!\led_flash_cnt[2360][1]~59921\) # (!\led_flash_cnt[2360][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2360][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2360][1]~59921\,
	combout => \led_flash_cnt[2360][2]~59922_combout\,
	cout => \led_flash_cnt[2360][2]~59923\);

-- Location: FF_X36_Y13_N7
\led_flash_cnt[2360][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2360][2]~59922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2360][2]~q\);

-- Location: LCCOMB_X36_Y13_N8
\led_flash_cnt[2360][3]~59924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2360][3]~59924_combout\ = (\led_flash_cnt[2360][3]~q\ & (\led_flash_cnt[2360][2]~59923\ $ (GND))) # (!\led_flash_cnt[2360][3]~q\ & (!\led_flash_cnt[2360][2]~59923\ & VCC))
-- \led_flash_cnt[2360][3]~59925\ = CARRY((\led_flash_cnt[2360][3]~q\ & !\led_flash_cnt[2360][2]~59923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2360][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2360][2]~59923\,
	combout => \led_flash_cnt[2360][3]~59924_combout\,
	cout => \led_flash_cnt[2360][3]~59925\);

-- Location: FF_X36_Y13_N9
\led_flash_cnt[2360][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2360][3]~59924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2360][3]~q\);

-- Location: LCCOMB_X36_Y13_N10
\led_flash_cnt[2360][4]~59926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2360][4]~59926_combout\ = (\led_flash_cnt[2360][4]~q\ & (!\led_flash_cnt[2360][3]~59925\)) # (!\led_flash_cnt[2360][4]~q\ & ((\led_flash_cnt[2360][3]~59925\) # (GND)))
-- \led_flash_cnt[2360][4]~59927\ = CARRY((!\led_flash_cnt[2360][3]~59925\) # (!\led_flash_cnt[2360][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2360][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2360][3]~59925\,
	combout => \led_flash_cnt[2360][4]~59926_combout\,
	cout => \led_flash_cnt[2360][4]~59927\);

-- Location: FF_X36_Y13_N11
\led_flash_cnt[2360][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2360][4]~59926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2360][4]~q\);

-- Location: LCCOMB_X36_Y13_N12
\led_flash_cnt[2360][5]~59928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2360][5]~59928_combout\ = (\led_flash_cnt[2360][5]~q\ & (\led_flash_cnt[2360][4]~59927\ $ (GND))) # (!\led_flash_cnt[2360][5]~q\ & (!\led_flash_cnt[2360][4]~59927\ & VCC))
-- \led_flash_cnt[2360][5]~59929\ = CARRY((\led_flash_cnt[2360][5]~q\ & !\led_flash_cnt[2360][4]~59927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2360][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2360][4]~59927\,
	combout => \led_flash_cnt[2360][5]~59928_combout\,
	cout => \led_flash_cnt[2360][5]~59929\);

-- Location: FF_X36_Y13_N13
\led_flash_cnt[2360][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2360][5]~59928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2360][5]~q\);

-- Location: LCCOMB_X36_Y13_N14
\led_flash_cnt[2360][6]~59930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2360][6]~59930_combout\ = (\led_flash_cnt[2360][6]~q\ & (!\led_flash_cnt[2360][5]~59929\)) # (!\led_flash_cnt[2360][6]~q\ & ((\led_flash_cnt[2360][5]~59929\) # (GND)))
-- \led_flash_cnt[2360][6]~59931\ = CARRY((!\led_flash_cnt[2360][5]~59929\) # (!\led_flash_cnt[2360][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2360][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2360][5]~59929\,
	combout => \led_flash_cnt[2360][6]~59930_combout\,
	cout => \led_flash_cnt[2360][6]~59931\);

-- Location: FF_X36_Y13_N15
\led_flash_cnt[2360][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2360][6]~59930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2360][6]~q\);

-- Location: LCCOMB_X36_Y13_N18
\WideAnd2360~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2360~1_combout\ = (\led_flash_cnt[2360][6]~q\ & \led_flash_cnt[2360][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2360][6]~q\,
	datad => \led_flash_cnt[2360][5]~q\,
	combout => \WideAnd2360~1_combout\);

-- Location: LCCOMB_X36_Y13_N2
\WideAnd2360~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2360~0_combout\ = (\led_flash_cnt[2360][4]~q\ & (\led_flash_cnt[2360][3]~q\ & (\led_flash_cnt[2360][1]~q\ & \led_flash_cnt[2360][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2360][4]~q\,
	datab => \led_flash_cnt[2360][3]~q\,
	datac => \led_flash_cnt[2360][1]~q\,
	datad => \led_flash_cnt[2360][2]~q\,
	combout => \WideAnd2360~0_combout\);

-- Location: LCCOMB_X36_Y13_N16
\led_flash_cnt[2360][7]~59932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2360][7]~59932_combout\ = \led_flash_cnt[2360][6]~59931\ $ (!\led_flash_cnt[2360][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2360][7]~q\,
	cin => \led_flash_cnt[2360][6]~59931\,
	combout => \led_flash_cnt[2360][7]~59932_combout\);

-- Location: FF_X36_Y13_N17
\led_flash_cnt[2360][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2360][7]~59932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2360][7]~q\);

-- Location: LCCOMB_X36_Y13_N0
WideAnd2360 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2360~combout\ = (\WideAnd2360~1_combout\ & (\WideAnd2360~0_combout\ & (\led_flash_cnt[2360][0]~q\ & \led_flash_cnt[2360][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2360~1_combout\,
	datab => \WideAnd2360~0_combout\,
	datac => \led_flash_cnt[2360][0]~q\,
	datad => \led_flash_cnt[2360][7]~q\,
	combout => \WideAnd2360~combout\);

-- Location: FF_X36_Y13_N1
\led_flash_cnt_ands[2360]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2360~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2360));

-- Location: LCCOMB_X36_Y13_N20
\WideAnd4135~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4135~0_combout\ = (led_flash_cnt_ands(2361) & (led_flash_cnt_ands(2363) & (led_flash_cnt_ands(2362) & led_flash_cnt_ands(2360))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2361),
	datab => led_flash_cnt_ands(2363),
	datac => led_flash_cnt_ands(2362),
	datad => led_flash_cnt_ands(2360),
	combout => \WideAnd4135~0_combout\);

-- Location: LCCOMB_X37_Y10_N0
\led_flash_cnt[2364][0]~83004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2364][0]~83004_combout\ = !\led_flash_cnt[2364][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2364][0]~q\,
	combout => \led_flash_cnt[2364][0]~83004_combout\);

-- Location: FF_X37_Y10_N1
\led_flash_cnt[2364][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2364][0]~83004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2364][0]~q\);

-- Location: LCCOMB_X32_Y10_N18
\led_flash_cnt[2364][1]~59976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2364][1]~59976_combout\ = (\led_flash_cnt[2364][0]~q\ & (\led_flash_cnt[2364][1]~q\ $ (VCC))) # (!\led_flash_cnt[2364][0]~q\ & (\led_flash_cnt[2364][1]~q\ & VCC))
-- \led_flash_cnt[2364][1]~59977\ = CARRY((\led_flash_cnt[2364][0]~q\ & \led_flash_cnt[2364][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2364][0]~q\,
	datab => \led_flash_cnt[2364][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2364][1]~59976_combout\,
	cout => \led_flash_cnt[2364][1]~59977\);

-- Location: FF_X32_Y10_N19
\led_flash_cnt[2364][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2364][1]~59976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2364][1]~q\);

-- Location: LCCOMB_X32_Y10_N20
\led_flash_cnt[2364][2]~59978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2364][2]~59978_combout\ = (\led_flash_cnt[2364][2]~q\ & (!\led_flash_cnt[2364][1]~59977\)) # (!\led_flash_cnt[2364][2]~q\ & ((\led_flash_cnt[2364][1]~59977\) # (GND)))
-- \led_flash_cnt[2364][2]~59979\ = CARRY((!\led_flash_cnt[2364][1]~59977\) # (!\led_flash_cnt[2364][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2364][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2364][1]~59977\,
	combout => \led_flash_cnt[2364][2]~59978_combout\,
	cout => \led_flash_cnt[2364][2]~59979\);

-- Location: FF_X32_Y10_N21
\led_flash_cnt[2364][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2364][2]~59978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2364][2]~q\);

-- Location: LCCOMB_X32_Y10_N22
\led_flash_cnt[2364][3]~59980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2364][3]~59980_combout\ = (\led_flash_cnt[2364][3]~q\ & (\led_flash_cnt[2364][2]~59979\ $ (GND))) # (!\led_flash_cnt[2364][3]~q\ & (!\led_flash_cnt[2364][2]~59979\ & VCC))
-- \led_flash_cnt[2364][3]~59981\ = CARRY((\led_flash_cnt[2364][3]~q\ & !\led_flash_cnt[2364][2]~59979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2364][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2364][2]~59979\,
	combout => \led_flash_cnt[2364][3]~59980_combout\,
	cout => \led_flash_cnt[2364][3]~59981\);

-- Location: FF_X32_Y10_N23
\led_flash_cnt[2364][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2364][3]~59980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2364][3]~q\);

-- Location: LCCOMB_X32_Y10_N24
\led_flash_cnt[2364][4]~59982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2364][4]~59982_combout\ = (\led_flash_cnt[2364][4]~q\ & (!\led_flash_cnt[2364][3]~59981\)) # (!\led_flash_cnt[2364][4]~q\ & ((\led_flash_cnt[2364][3]~59981\) # (GND)))
-- \led_flash_cnt[2364][4]~59983\ = CARRY((!\led_flash_cnt[2364][3]~59981\) # (!\led_flash_cnt[2364][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2364][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2364][3]~59981\,
	combout => \led_flash_cnt[2364][4]~59982_combout\,
	cout => \led_flash_cnt[2364][4]~59983\);

-- Location: FF_X32_Y10_N25
\led_flash_cnt[2364][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2364][4]~59982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2364][4]~q\);

-- Location: LCCOMB_X32_Y10_N14
\WideAnd2364~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2364~0_combout\ = (\led_flash_cnt[2364][4]~q\ & (\led_flash_cnt[2364][2]~q\ & (\led_flash_cnt[2364][3]~q\ & \led_flash_cnt[2364][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2364][4]~q\,
	datab => \led_flash_cnt[2364][2]~q\,
	datac => \led_flash_cnt[2364][3]~q\,
	datad => \led_flash_cnt[2364][1]~q\,
	combout => \WideAnd2364~0_combout\);

-- Location: LCCOMB_X32_Y10_N26
\led_flash_cnt[2364][5]~59984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2364][5]~59984_combout\ = (\led_flash_cnt[2364][5]~q\ & (\led_flash_cnt[2364][4]~59983\ $ (GND))) # (!\led_flash_cnt[2364][5]~q\ & (!\led_flash_cnt[2364][4]~59983\ & VCC))
-- \led_flash_cnt[2364][5]~59985\ = CARRY((\led_flash_cnt[2364][5]~q\ & !\led_flash_cnt[2364][4]~59983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2364][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2364][4]~59983\,
	combout => \led_flash_cnt[2364][5]~59984_combout\,
	cout => \led_flash_cnt[2364][5]~59985\);

-- Location: FF_X32_Y10_N27
\led_flash_cnt[2364][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2364][5]~59984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2364][5]~q\);

-- Location: LCCOMB_X32_Y10_N28
\led_flash_cnt[2364][6]~59986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2364][6]~59986_combout\ = (\led_flash_cnt[2364][6]~q\ & (!\led_flash_cnt[2364][5]~59985\)) # (!\led_flash_cnt[2364][6]~q\ & ((\led_flash_cnt[2364][5]~59985\) # (GND)))
-- \led_flash_cnt[2364][6]~59987\ = CARRY((!\led_flash_cnt[2364][5]~59985\) # (!\led_flash_cnt[2364][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2364][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2364][5]~59985\,
	combout => \led_flash_cnt[2364][6]~59986_combout\,
	cout => \led_flash_cnt[2364][6]~59987\);

-- Location: FF_X32_Y10_N29
\led_flash_cnt[2364][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2364][6]~59986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2364][6]~q\);

-- Location: LCCOMB_X32_Y10_N30
\led_flash_cnt[2364][7]~59988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2364][7]~59988_combout\ = \led_flash_cnt[2364][7]~q\ $ (!\led_flash_cnt[2364][6]~59987\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2364][7]~q\,
	cin => \led_flash_cnt[2364][6]~59987\,
	combout => \led_flash_cnt[2364][7]~59988_combout\);

-- Location: FF_X32_Y10_N31
\led_flash_cnt[2364][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2364][7]~59988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2364][7]~q\);

-- Location: LCCOMB_X32_Y10_N12
\WideAnd2364~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2364~1_combout\ = (\led_flash_cnt[2364][5]~q\ & \led_flash_cnt[2364][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2364][5]~q\,
	datad => \led_flash_cnt[2364][6]~q\,
	combout => \WideAnd2364~1_combout\);

-- Location: LCCOMB_X32_Y10_N8
WideAnd2364 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2364~combout\ = (\led_flash_cnt[2364][0]~q\ & (\WideAnd2364~0_combout\ & (\led_flash_cnt[2364][7]~q\ & \WideAnd2364~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2364][0]~q\,
	datab => \WideAnd2364~0_combout\,
	datac => \led_flash_cnt[2364][7]~q\,
	datad => \WideAnd2364~1_combout\,
	combout => \WideAnd2364~combout\);

-- Location: FF_X32_Y10_N9
\led_flash_cnt_ands[2364]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2364~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2364));

-- Location: LCCOMB_X32_Y10_N2
\led_flash_cnt[2365][0]~83005\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2365][0]~83005_combout\ = !\led_flash_cnt[2365][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2365][0]~q\,
	combout => \led_flash_cnt[2365][0]~83005_combout\);

-- Location: FF_X32_Y10_N3
\led_flash_cnt[2365][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2365][0]~83005_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2365][0]~q\);

-- Location: LCCOMB_X32_Y12_N0
\led_flash_cnt[2365][1]~59990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2365][1]~59990_combout\ = (\led_flash_cnt[2365][0]~q\ & (\led_flash_cnt[2365][1]~q\ $ (VCC))) # (!\led_flash_cnt[2365][0]~q\ & (\led_flash_cnt[2365][1]~q\ & VCC))
-- \led_flash_cnt[2365][1]~59991\ = CARRY((\led_flash_cnt[2365][0]~q\ & \led_flash_cnt[2365][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2365][0]~q\,
	datab => \led_flash_cnt[2365][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2365][1]~59990_combout\,
	cout => \led_flash_cnt[2365][1]~59991\);

-- Location: FF_X32_Y12_N1
\led_flash_cnt[2365][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2365][1]~59990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2365][1]~q\);

-- Location: LCCOMB_X32_Y12_N2
\led_flash_cnt[2365][2]~59992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2365][2]~59992_combout\ = (\led_flash_cnt[2365][2]~q\ & (!\led_flash_cnt[2365][1]~59991\)) # (!\led_flash_cnt[2365][2]~q\ & ((\led_flash_cnt[2365][1]~59991\) # (GND)))
-- \led_flash_cnt[2365][2]~59993\ = CARRY((!\led_flash_cnt[2365][1]~59991\) # (!\led_flash_cnt[2365][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2365][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2365][1]~59991\,
	combout => \led_flash_cnt[2365][2]~59992_combout\,
	cout => \led_flash_cnt[2365][2]~59993\);

-- Location: FF_X32_Y12_N3
\led_flash_cnt[2365][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2365][2]~59992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2365][2]~q\);

-- Location: LCCOMB_X32_Y12_N4
\led_flash_cnt[2365][3]~59994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2365][3]~59994_combout\ = (\led_flash_cnt[2365][3]~q\ & (\led_flash_cnt[2365][2]~59993\ $ (GND))) # (!\led_flash_cnt[2365][3]~q\ & (!\led_flash_cnt[2365][2]~59993\ & VCC))
-- \led_flash_cnt[2365][3]~59995\ = CARRY((\led_flash_cnt[2365][3]~q\ & !\led_flash_cnt[2365][2]~59993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2365][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2365][2]~59993\,
	combout => \led_flash_cnt[2365][3]~59994_combout\,
	cout => \led_flash_cnt[2365][3]~59995\);

-- Location: FF_X32_Y12_N5
\led_flash_cnt[2365][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2365][3]~59994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2365][3]~q\);

-- Location: LCCOMB_X32_Y12_N6
\led_flash_cnt[2365][4]~59996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2365][4]~59996_combout\ = (\led_flash_cnt[2365][4]~q\ & (!\led_flash_cnt[2365][3]~59995\)) # (!\led_flash_cnt[2365][4]~q\ & ((\led_flash_cnt[2365][3]~59995\) # (GND)))
-- \led_flash_cnt[2365][4]~59997\ = CARRY((!\led_flash_cnt[2365][3]~59995\) # (!\led_flash_cnt[2365][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2365][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2365][3]~59995\,
	combout => \led_flash_cnt[2365][4]~59996_combout\,
	cout => \led_flash_cnt[2365][4]~59997\);

-- Location: FF_X32_Y12_N7
\led_flash_cnt[2365][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2365][4]~59996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2365][4]~q\);

-- Location: LCCOMB_X32_Y12_N8
\led_flash_cnt[2365][5]~59998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2365][5]~59998_combout\ = (\led_flash_cnt[2365][5]~q\ & (\led_flash_cnt[2365][4]~59997\ $ (GND))) # (!\led_flash_cnt[2365][5]~q\ & (!\led_flash_cnt[2365][4]~59997\ & VCC))
-- \led_flash_cnt[2365][5]~59999\ = CARRY((\led_flash_cnt[2365][5]~q\ & !\led_flash_cnt[2365][4]~59997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2365][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2365][4]~59997\,
	combout => \led_flash_cnt[2365][5]~59998_combout\,
	cout => \led_flash_cnt[2365][5]~59999\);

-- Location: FF_X32_Y12_N9
\led_flash_cnt[2365][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2365][5]~59998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2365][5]~q\);

-- Location: LCCOMB_X32_Y12_N10
\led_flash_cnt[2365][6]~60000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2365][6]~60000_combout\ = (\led_flash_cnt[2365][6]~q\ & (!\led_flash_cnt[2365][5]~59999\)) # (!\led_flash_cnt[2365][6]~q\ & ((\led_flash_cnt[2365][5]~59999\) # (GND)))
-- \led_flash_cnt[2365][6]~60001\ = CARRY((!\led_flash_cnt[2365][5]~59999\) # (!\led_flash_cnt[2365][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2365][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2365][5]~59999\,
	combout => \led_flash_cnt[2365][6]~60000_combout\,
	cout => \led_flash_cnt[2365][6]~60001\);

-- Location: FF_X32_Y12_N11
\led_flash_cnt[2365][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2365][6]~60000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2365][6]~q\);

-- Location: LCCOMB_X32_Y10_N10
\WideAnd2365~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2365~1_combout\ = (\led_flash_cnt[2365][6]~q\ & \led_flash_cnt[2365][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2365][6]~q\,
	datad => \led_flash_cnt[2365][5]~q\,
	combout => \WideAnd2365~1_combout\);

-- Location: LCCOMB_X32_Y12_N12
\led_flash_cnt[2365][7]~60002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2365][7]~60002_combout\ = \led_flash_cnt[2365][6]~60001\ $ (!\led_flash_cnt[2365][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2365][7]~q\,
	cin => \led_flash_cnt[2365][6]~60001\,
	combout => \led_flash_cnt[2365][7]~60002_combout\);

-- Location: FF_X32_Y12_N13
\led_flash_cnt[2365][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2365][7]~60002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2365][7]~q\);

-- Location: LCCOMB_X32_Y12_N30
\WideAnd2365~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2365~0_combout\ = (\led_flash_cnt[2365][4]~q\ & (\led_flash_cnt[2365][1]~q\ & (\led_flash_cnt[2365][3]~q\ & \led_flash_cnt[2365][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2365][4]~q\,
	datab => \led_flash_cnt[2365][1]~q\,
	datac => \led_flash_cnt[2365][3]~q\,
	datad => \led_flash_cnt[2365][2]~q\,
	combout => \WideAnd2365~0_combout\);

-- Location: LCCOMB_X32_Y10_N4
WideAnd2365 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2365~combout\ = (\WideAnd2365~1_combout\ & (\led_flash_cnt[2365][7]~q\ & (\WideAnd2365~0_combout\ & \led_flash_cnt[2365][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2365~1_combout\,
	datab => \led_flash_cnt[2365][7]~q\,
	datac => \WideAnd2365~0_combout\,
	datad => \led_flash_cnt[2365][0]~q\,
	combout => \WideAnd2365~combout\);

-- Location: FF_X32_Y10_N5
\led_flash_cnt_ands[2365]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2365~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2365));

-- Location: LCCOMB_X32_Y10_N16
\WideAnd4135~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4135~1_combout\ = (led_flash_cnt_ands(2364) & led_flash_cnt_ands(2365))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2364),
	datac => led_flash_cnt_ands(2365),
	combout => \WideAnd4135~1_combout\);

-- Location: LCCOMB_X41_Y16_N18
\led_flash_cnt[2366][0]~83006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2366][0]~83006_combout\ = !\led_flash_cnt[2366][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2366][0]~q\,
	combout => \led_flash_cnt[2366][0]~83006_combout\);

-- Location: FF_X41_Y16_N19
\led_flash_cnt[2366][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2366][0]~83006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2366][0]~q\);

-- Location: LCCOMB_X41_Y16_N4
\led_flash_cnt[2366][1]~60004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2366][1]~60004_combout\ = (\led_flash_cnt[2366][1]~q\ & (\led_flash_cnt[2366][0]~q\ $ (VCC))) # (!\led_flash_cnt[2366][1]~q\ & (\led_flash_cnt[2366][0]~q\ & VCC))
-- \led_flash_cnt[2366][1]~60005\ = CARRY((\led_flash_cnt[2366][1]~q\ & \led_flash_cnt[2366][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2366][1]~q\,
	datab => \led_flash_cnt[2366][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2366][1]~60004_combout\,
	cout => \led_flash_cnt[2366][1]~60005\);

-- Location: FF_X41_Y16_N5
\led_flash_cnt[2366][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2366][1]~60004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2366][1]~q\);

-- Location: LCCOMB_X41_Y16_N6
\led_flash_cnt[2366][2]~60006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2366][2]~60006_combout\ = (\led_flash_cnt[2366][2]~q\ & (!\led_flash_cnt[2366][1]~60005\)) # (!\led_flash_cnt[2366][2]~q\ & ((\led_flash_cnt[2366][1]~60005\) # (GND)))
-- \led_flash_cnt[2366][2]~60007\ = CARRY((!\led_flash_cnt[2366][1]~60005\) # (!\led_flash_cnt[2366][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2366][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2366][1]~60005\,
	combout => \led_flash_cnt[2366][2]~60006_combout\,
	cout => \led_flash_cnt[2366][2]~60007\);

-- Location: FF_X41_Y16_N7
\led_flash_cnt[2366][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2366][2]~60006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2366][2]~q\);

-- Location: LCCOMB_X41_Y16_N8
\led_flash_cnt[2366][3]~60008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2366][3]~60008_combout\ = (\led_flash_cnt[2366][3]~q\ & (\led_flash_cnt[2366][2]~60007\ $ (GND))) # (!\led_flash_cnt[2366][3]~q\ & (!\led_flash_cnt[2366][2]~60007\ & VCC))
-- \led_flash_cnt[2366][3]~60009\ = CARRY((\led_flash_cnt[2366][3]~q\ & !\led_flash_cnt[2366][2]~60007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2366][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2366][2]~60007\,
	combout => \led_flash_cnt[2366][3]~60008_combout\,
	cout => \led_flash_cnt[2366][3]~60009\);

-- Location: FF_X41_Y16_N9
\led_flash_cnt[2366][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2366][3]~60008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2366][3]~q\);

-- Location: LCCOMB_X41_Y16_N10
\led_flash_cnt[2366][4]~60010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2366][4]~60010_combout\ = (\led_flash_cnt[2366][4]~q\ & (!\led_flash_cnt[2366][3]~60009\)) # (!\led_flash_cnt[2366][4]~q\ & ((\led_flash_cnt[2366][3]~60009\) # (GND)))
-- \led_flash_cnt[2366][4]~60011\ = CARRY((!\led_flash_cnt[2366][3]~60009\) # (!\led_flash_cnt[2366][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2366][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2366][3]~60009\,
	combout => \led_flash_cnt[2366][4]~60010_combout\,
	cout => \led_flash_cnt[2366][4]~60011\);

-- Location: FF_X41_Y16_N11
\led_flash_cnt[2366][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2366][4]~60010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2366][4]~q\);

-- Location: LCCOMB_X41_Y16_N30
\WideAnd2366~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2366~0_combout\ = (\led_flash_cnt[2366][2]~q\ & (\led_flash_cnt[2366][1]~q\ & (\led_flash_cnt[2366][3]~q\ & \led_flash_cnt[2366][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2366][2]~q\,
	datab => \led_flash_cnt[2366][1]~q\,
	datac => \led_flash_cnt[2366][3]~q\,
	datad => \led_flash_cnt[2366][4]~q\,
	combout => \WideAnd2366~0_combout\);

-- Location: LCCOMB_X41_Y16_N12
\led_flash_cnt[2366][5]~60012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2366][5]~60012_combout\ = (\led_flash_cnt[2366][5]~q\ & (\led_flash_cnt[2366][4]~60011\ $ (GND))) # (!\led_flash_cnt[2366][5]~q\ & (!\led_flash_cnt[2366][4]~60011\ & VCC))
-- \led_flash_cnt[2366][5]~60013\ = CARRY((\led_flash_cnt[2366][5]~q\ & !\led_flash_cnt[2366][4]~60011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2366][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2366][4]~60011\,
	combout => \led_flash_cnt[2366][5]~60012_combout\,
	cout => \led_flash_cnt[2366][5]~60013\);

-- Location: FF_X41_Y16_N13
\led_flash_cnt[2366][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2366][5]~60012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2366][5]~q\);

-- Location: LCCOMB_X41_Y16_N14
\led_flash_cnt[2366][6]~60014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2366][6]~60014_combout\ = (\led_flash_cnt[2366][6]~q\ & (!\led_flash_cnt[2366][5]~60013\)) # (!\led_flash_cnt[2366][6]~q\ & ((\led_flash_cnt[2366][5]~60013\) # (GND)))
-- \led_flash_cnt[2366][6]~60015\ = CARRY((!\led_flash_cnt[2366][5]~60013\) # (!\led_flash_cnt[2366][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2366][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2366][5]~60013\,
	combout => \led_flash_cnt[2366][6]~60014_combout\,
	cout => \led_flash_cnt[2366][6]~60015\);

-- Location: FF_X41_Y16_N15
\led_flash_cnt[2366][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2366][6]~60014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2366][6]~q\);

-- Location: LCCOMB_X41_Y16_N16
\led_flash_cnt[2366][7]~60016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2366][7]~60016_combout\ = \led_flash_cnt[2366][6]~60015\ $ (!\led_flash_cnt[2366][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2366][7]~q\,
	cin => \led_flash_cnt[2366][6]~60015\,
	combout => \led_flash_cnt[2366][7]~60016_combout\);

-- Location: FF_X41_Y16_N17
\led_flash_cnt[2366][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2366][7]~60016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2366][7]~q\);

-- Location: LCCOMB_X41_Y30_N30
\WideAnd2366~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2366~1_combout\ = (\led_flash_cnt[2366][5]~q\ & \led_flash_cnt[2366][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2366][5]~q\,
	datad => \led_flash_cnt[2366][6]~q\,
	combout => \WideAnd2366~1_combout\);

-- Location: LCCOMB_X41_Y16_N24
WideAnd2366 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2366~combout\ = (\WideAnd2366~0_combout\ & (\led_flash_cnt[2366][7]~q\ & (\WideAnd2366~1_combout\ & \led_flash_cnt[2366][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2366~0_combout\,
	datab => \led_flash_cnt[2366][7]~q\,
	datac => \WideAnd2366~1_combout\,
	datad => \led_flash_cnt[2366][0]~q\,
	combout => \WideAnd2366~combout\);

-- Location: FF_X41_Y16_N25
\led_flash_cnt_ands[2366]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2366~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2366));

-- Location: LCCOMB_X41_Y16_N20
WideAnd4135 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4135~combout\ = (led_flash_cnt_ands(2367) & (\WideAnd4135~0_combout\ & (\WideAnd4135~1_combout\ & led_flash_cnt_ands(2366))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2367),
	datab => \WideAnd4135~0_combout\,
	datac => \WideAnd4135~1_combout\,
	datad => led_flash_cnt_ands(2366),
	combout => \WideAnd4135~combout\);

-- Location: FF_X41_Y16_N21
\led_flash_cnt_ands_1[295]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4135~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(295));

-- Location: LCCOMB_X39_Y4_N8
\led_flash_cnt[2358][0]~82992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2358][0]~82992_combout\ = !\led_flash_cnt[2358][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2358][0]~q\,
	combout => \led_flash_cnt[2358][0]~82992_combout\);

-- Location: FF_X39_Y4_N9
\led_flash_cnt[2358][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2358][0]~82992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2358][0]~q\);

-- Location: LCCOMB_X39_Y4_N10
\led_flash_cnt[2358][1]~59808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2358][1]~59808_combout\ = (\led_flash_cnt[2358][1]~q\ & (\led_flash_cnt[2358][0]~q\ $ (VCC))) # (!\led_flash_cnt[2358][1]~q\ & (\led_flash_cnt[2358][0]~q\ & VCC))
-- \led_flash_cnt[2358][1]~59809\ = CARRY((\led_flash_cnt[2358][1]~q\ & \led_flash_cnt[2358][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2358][1]~q\,
	datab => \led_flash_cnt[2358][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2358][1]~59808_combout\,
	cout => \led_flash_cnt[2358][1]~59809\);

-- Location: FF_X39_Y4_N11
\led_flash_cnt[2358][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2358][1]~59808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2358][1]~q\);

-- Location: LCCOMB_X39_Y4_N12
\led_flash_cnt[2358][2]~59810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2358][2]~59810_combout\ = (\led_flash_cnt[2358][2]~q\ & (!\led_flash_cnt[2358][1]~59809\)) # (!\led_flash_cnt[2358][2]~q\ & ((\led_flash_cnt[2358][1]~59809\) # (GND)))
-- \led_flash_cnt[2358][2]~59811\ = CARRY((!\led_flash_cnt[2358][1]~59809\) # (!\led_flash_cnt[2358][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2358][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2358][1]~59809\,
	combout => \led_flash_cnt[2358][2]~59810_combout\,
	cout => \led_flash_cnt[2358][2]~59811\);

-- Location: FF_X39_Y4_N13
\led_flash_cnt[2358][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2358][2]~59810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2358][2]~q\);

-- Location: LCCOMB_X39_Y4_N14
\led_flash_cnt[2358][3]~59812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2358][3]~59812_combout\ = (\led_flash_cnt[2358][3]~q\ & (\led_flash_cnt[2358][2]~59811\ $ (GND))) # (!\led_flash_cnt[2358][3]~q\ & (!\led_flash_cnt[2358][2]~59811\ & VCC))
-- \led_flash_cnt[2358][3]~59813\ = CARRY((\led_flash_cnt[2358][3]~q\ & !\led_flash_cnt[2358][2]~59811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2358][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2358][2]~59811\,
	combout => \led_flash_cnt[2358][3]~59812_combout\,
	cout => \led_flash_cnt[2358][3]~59813\);

-- Location: FF_X39_Y4_N15
\led_flash_cnt[2358][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2358][3]~59812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2358][3]~q\);

-- Location: LCCOMB_X39_Y4_N16
\led_flash_cnt[2358][4]~59814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2358][4]~59814_combout\ = (\led_flash_cnt[2358][4]~q\ & (!\led_flash_cnt[2358][3]~59813\)) # (!\led_flash_cnt[2358][4]~q\ & ((\led_flash_cnt[2358][3]~59813\) # (GND)))
-- \led_flash_cnt[2358][4]~59815\ = CARRY((!\led_flash_cnt[2358][3]~59813\) # (!\led_flash_cnt[2358][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2358][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2358][3]~59813\,
	combout => \led_flash_cnt[2358][4]~59814_combout\,
	cout => \led_flash_cnt[2358][4]~59815\);

-- Location: FF_X39_Y4_N17
\led_flash_cnt[2358][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2358][4]~59814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2358][4]~q\);

-- Location: LCCOMB_X39_Y4_N18
\led_flash_cnt[2358][5]~59816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2358][5]~59816_combout\ = (\led_flash_cnt[2358][5]~q\ & (\led_flash_cnt[2358][4]~59815\ $ (GND))) # (!\led_flash_cnt[2358][5]~q\ & (!\led_flash_cnt[2358][4]~59815\ & VCC))
-- \led_flash_cnt[2358][5]~59817\ = CARRY((\led_flash_cnt[2358][5]~q\ & !\led_flash_cnt[2358][4]~59815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2358][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2358][4]~59815\,
	combout => \led_flash_cnt[2358][5]~59816_combout\,
	cout => \led_flash_cnt[2358][5]~59817\);

-- Location: FF_X39_Y4_N19
\led_flash_cnt[2358][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2358][5]~59816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2358][5]~q\);

-- Location: LCCOMB_X39_Y4_N20
\led_flash_cnt[2358][6]~59818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2358][6]~59818_combout\ = (\led_flash_cnt[2358][6]~q\ & (!\led_flash_cnt[2358][5]~59817\)) # (!\led_flash_cnt[2358][6]~q\ & ((\led_flash_cnt[2358][5]~59817\) # (GND)))
-- \led_flash_cnt[2358][6]~59819\ = CARRY((!\led_flash_cnt[2358][5]~59817\) # (!\led_flash_cnt[2358][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2358][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2358][5]~59817\,
	combout => \led_flash_cnt[2358][6]~59818_combout\,
	cout => \led_flash_cnt[2358][6]~59819\);

-- Location: FF_X39_Y4_N21
\led_flash_cnt[2358][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2358][6]~59818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2358][6]~q\);

-- Location: LCCOMB_X39_Y4_N22
\led_flash_cnt[2358][7]~59820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2358][7]~59820_combout\ = \led_flash_cnt[2358][7]~q\ $ (!\led_flash_cnt[2358][6]~59819\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2358][7]~q\,
	cin => \led_flash_cnt[2358][6]~59819\,
	combout => \led_flash_cnt[2358][7]~59820_combout\);

-- Location: FF_X39_Y4_N23
\led_flash_cnt[2358][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2358][7]~59820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2358][7]~q\);

-- Location: LCCOMB_X39_Y4_N4
\WideAnd2358~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2358~0_combout\ = (\led_flash_cnt[2358][1]~q\ & (\led_flash_cnt[2358][4]~q\ & (\led_flash_cnt[2358][3]~q\ & \led_flash_cnt[2358][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2358][1]~q\,
	datab => \led_flash_cnt[2358][4]~q\,
	datac => \led_flash_cnt[2358][3]~q\,
	datad => \led_flash_cnt[2358][2]~q\,
	combout => \WideAnd2358~0_combout\);

-- Location: LCCOMB_X39_Y4_N2
\WideAnd2358~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2358~1_combout\ = (\led_flash_cnt[2358][6]~q\ & \led_flash_cnt[2358][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2358][6]~q\,
	datad => \led_flash_cnt[2358][5]~q\,
	combout => \WideAnd2358~1_combout\);

-- Location: LCCOMB_X39_Y4_N0
WideAnd2358 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2358~combout\ = (\led_flash_cnt[2358][7]~q\ & (\WideAnd2358~0_combout\ & (\led_flash_cnt[2358][0]~q\ & \WideAnd2358~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2358][7]~q\,
	datab => \WideAnd2358~0_combout\,
	datac => \led_flash_cnt[2358][0]~q\,
	datad => \WideAnd2358~1_combout\,
	combout => \WideAnd2358~combout\);

-- Location: FF_X39_Y4_N1
\led_flash_cnt_ands[2358]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2358~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2358));

-- Location: LCCOMB_X41_Y17_N24
\led_flash_cnt[2357][0]~82993\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2357][0]~82993_combout\ = !\led_flash_cnt[2357][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2357][0]~q\,
	combout => \led_flash_cnt[2357][0]~82993_combout\);

-- Location: FF_X41_Y17_N25
\led_flash_cnt[2357][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2357][0]~82993_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2357][0]~q\);

-- Location: LCCOMB_X42_Y17_N16
\led_flash_cnt[2357][1]~59822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2357][1]~59822_combout\ = (\led_flash_cnt[2357][0]~q\ & (\led_flash_cnt[2357][1]~q\ $ (VCC))) # (!\led_flash_cnt[2357][0]~q\ & (\led_flash_cnt[2357][1]~q\ & VCC))
-- \led_flash_cnt[2357][1]~59823\ = CARRY((\led_flash_cnt[2357][0]~q\ & \led_flash_cnt[2357][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2357][0]~q\,
	datab => \led_flash_cnt[2357][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2357][1]~59822_combout\,
	cout => \led_flash_cnt[2357][1]~59823\);

-- Location: FF_X42_Y17_N17
\led_flash_cnt[2357][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2357][1]~59822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2357][1]~q\);

-- Location: LCCOMB_X42_Y17_N18
\led_flash_cnt[2357][2]~59824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2357][2]~59824_combout\ = (\led_flash_cnt[2357][2]~q\ & (!\led_flash_cnt[2357][1]~59823\)) # (!\led_flash_cnt[2357][2]~q\ & ((\led_flash_cnt[2357][1]~59823\) # (GND)))
-- \led_flash_cnt[2357][2]~59825\ = CARRY((!\led_flash_cnt[2357][1]~59823\) # (!\led_flash_cnt[2357][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2357][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2357][1]~59823\,
	combout => \led_flash_cnt[2357][2]~59824_combout\,
	cout => \led_flash_cnt[2357][2]~59825\);

-- Location: FF_X42_Y17_N19
\led_flash_cnt[2357][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2357][2]~59824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2357][2]~q\);

-- Location: LCCOMB_X42_Y17_N20
\led_flash_cnt[2357][3]~59826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2357][3]~59826_combout\ = (\led_flash_cnt[2357][3]~q\ & (\led_flash_cnt[2357][2]~59825\ $ (GND))) # (!\led_flash_cnt[2357][3]~q\ & (!\led_flash_cnt[2357][2]~59825\ & VCC))
-- \led_flash_cnt[2357][3]~59827\ = CARRY((\led_flash_cnt[2357][3]~q\ & !\led_flash_cnt[2357][2]~59825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2357][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2357][2]~59825\,
	combout => \led_flash_cnt[2357][3]~59826_combout\,
	cout => \led_flash_cnt[2357][3]~59827\);

-- Location: FF_X42_Y17_N21
\led_flash_cnt[2357][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2357][3]~59826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2357][3]~q\);

-- Location: LCCOMB_X42_Y17_N22
\led_flash_cnt[2357][4]~59828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2357][4]~59828_combout\ = (\led_flash_cnt[2357][4]~q\ & (!\led_flash_cnt[2357][3]~59827\)) # (!\led_flash_cnt[2357][4]~q\ & ((\led_flash_cnt[2357][3]~59827\) # (GND)))
-- \led_flash_cnt[2357][4]~59829\ = CARRY((!\led_flash_cnt[2357][3]~59827\) # (!\led_flash_cnt[2357][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2357][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2357][3]~59827\,
	combout => \led_flash_cnt[2357][4]~59828_combout\,
	cout => \led_flash_cnt[2357][4]~59829\);

-- Location: FF_X42_Y17_N23
\led_flash_cnt[2357][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2357][4]~59828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2357][4]~q\);

-- Location: LCCOMB_X42_Y17_N24
\led_flash_cnt[2357][5]~59830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2357][5]~59830_combout\ = (\led_flash_cnt[2357][5]~q\ & (\led_flash_cnt[2357][4]~59829\ $ (GND))) # (!\led_flash_cnt[2357][5]~q\ & (!\led_flash_cnt[2357][4]~59829\ & VCC))
-- \led_flash_cnt[2357][5]~59831\ = CARRY((\led_flash_cnt[2357][5]~q\ & !\led_flash_cnt[2357][4]~59829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2357][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2357][4]~59829\,
	combout => \led_flash_cnt[2357][5]~59830_combout\,
	cout => \led_flash_cnt[2357][5]~59831\);

-- Location: FF_X42_Y17_N25
\led_flash_cnt[2357][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2357][5]~59830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2357][5]~q\);

-- Location: LCCOMB_X42_Y17_N26
\led_flash_cnt[2357][6]~59832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2357][6]~59832_combout\ = (\led_flash_cnt[2357][6]~q\ & (!\led_flash_cnt[2357][5]~59831\)) # (!\led_flash_cnt[2357][6]~q\ & ((\led_flash_cnt[2357][5]~59831\) # (GND)))
-- \led_flash_cnt[2357][6]~59833\ = CARRY((!\led_flash_cnt[2357][5]~59831\) # (!\led_flash_cnt[2357][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2357][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2357][5]~59831\,
	combout => \led_flash_cnt[2357][6]~59832_combout\,
	cout => \led_flash_cnt[2357][6]~59833\);

-- Location: FF_X42_Y17_N27
\led_flash_cnt[2357][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2357][6]~59832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2357][6]~q\);

-- Location: LCCOMB_X41_Y17_N22
\WideAnd2357~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2357~1_combout\ = (\led_flash_cnt[2357][6]~q\ & \led_flash_cnt[2357][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2357][6]~q\,
	datad => \led_flash_cnt[2357][5]~q\,
	combout => \WideAnd2357~1_combout\);

-- Location: LCCOMB_X42_Y17_N28
\led_flash_cnt[2357][7]~59834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2357][7]~59834_combout\ = \led_flash_cnt[2357][6]~59833\ $ (!\led_flash_cnt[2357][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2357][7]~q\,
	cin => \led_flash_cnt[2357][6]~59833\,
	combout => \led_flash_cnt[2357][7]~59834_combout\);

-- Location: FF_X42_Y17_N29
\led_flash_cnt[2357][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2357][7]~59834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2357][7]~q\);

-- Location: LCCOMB_X42_Y17_N14
\WideAnd2357~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2357~0_combout\ = (\led_flash_cnt[2357][1]~q\ & (\led_flash_cnt[2357][3]~q\ & (\led_flash_cnt[2357][4]~q\ & \led_flash_cnt[2357][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2357][1]~q\,
	datab => \led_flash_cnt[2357][3]~q\,
	datac => \led_flash_cnt[2357][4]~q\,
	datad => \led_flash_cnt[2357][2]~q\,
	combout => \WideAnd2357~0_combout\);

-- Location: LCCOMB_X41_Y17_N0
WideAnd2357 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2357~combout\ = (\WideAnd2357~1_combout\ & (\led_flash_cnt[2357][7]~q\ & (\WideAnd2357~0_combout\ & \led_flash_cnt[2357][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2357~1_combout\,
	datab => \led_flash_cnt[2357][7]~q\,
	datac => \WideAnd2357~0_combout\,
	datad => \led_flash_cnt[2357][0]~q\,
	combout => \WideAnd2357~combout\);

-- Location: FF_X41_Y17_N1
\led_flash_cnt_ands[2357]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2357~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2357));

-- Location: LCCOMB_X40_Y6_N22
\led_flash_cnt[2356][0]~82994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2356][0]~82994_combout\ = !\led_flash_cnt[2356][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2356][0]~q\,
	combout => \led_flash_cnt[2356][0]~82994_combout\);

-- Location: FF_X40_Y6_N23
\led_flash_cnt[2356][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2356][0]~82994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2356][0]~q\);

-- Location: LCCOMB_X40_Y6_N4
\led_flash_cnt[2356][1]~59836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2356][1]~59836_combout\ = (\led_flash_cnt[2356][0]~q\ & (\led_flash_cnt[2356][1]~q\ $ (VCC))) # (!\led_flash_cnt[2356][0]~q\ & (\led_flash_cnt[2356][1]~q\ & VCC))
-- \led_flash_cnt[2356][1]~59837\ = CARRY((\led_flash_cnt[2356][0]~q\ & \led_flash_cnt[2356][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2356][0]~q\,
	datab => \led_flash_cnt[2356][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2356][1]~59836_combout\,
	cout => \led_flash_cnt[2356][1]~59837\);

-- Location: FF_X40_Y6_N5
\led_flash_cnt[2356][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2356][1]~59836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2356][1]~q\);

-- Location: LCCOMB_X40_Y6_N6
\led_flash_cnt[2356][2]~59838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2356][2]~59838_combout\ = (\led_flash_cnt[2356][2]~q\ & (!\led_flash_cnt[2356][1]~59837\)) # (!\led_flash_cnt[2356][2]~q\ & ((\led_flash_cnt[2356][1]~59837\) # (GND)))
-- \led_flash_cnt[2356][2]~59839\ = CARRY((!\led_flash_cnt[2356][1]~59837\) # (!\led_flash_cnt[2356][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2356][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2356][1]~59837\,
	combout => \led_flash_cnt[2356][2]~59838_combout\,
	cout => \led_flash_cnt[2356][2]~59839\);

-- Location: FF_X40_Y6_N7
\led_flash_cnt[2356][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2356][2]~59838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2356][2]~q\);

-- Location: LCCOMB_X40_Y6_N8
\led_flash_cnt[2356][3]~59840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2356][3]~59840_combout\ = (\led_flash_cnt[2356][3]~q\ & (\led_flash_cnt[2356][2]~59839\ $ (GND))) # (!\led_flash_cnt[2356][3]~q\ & (!\led_flash_cnt[2356][2]~59839\ & VCC))
-- \led_flash_cnt[2356][3]~59841\ = CARRY((\led_flash_cnt[2356][3]~q\ & !\led_flash_cnt[2356][2]~59839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2356][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2356][2]~59839\,
	combout => \led_flash_cnt[2356][3]~59840_combout\,
	cout => \led_flash_cnt[2356][3]~59841\);

-- Location: FF_X40_Y6_N9
\led_flash_cnt[2356][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2356][3]~59840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2356][3]~q\);

-- Location: LCCOMB_X40_Y6_N10
\led_flash_cnt[2356][4]~59842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2356][4]~59842_combout\ = (\led_flash_cnt[2356][4]~q\ & (!\led_flash_cnt[2356][3]~59841\)) # (!\led_flash_cnt[2356][4]~q\ & ((\led_flash_cnt[2356][3]~59841\) # (GND)))
-- \led_flash_cnt[2356][4]~59843\ = CARRY((!\led_flash_cnt[2356][3]~59841\) # (!\led_flash_cnt[2356][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2356][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2356][3]~59841\,
	combout => \led_flash_cnt[2356][4]~59842_combout\,
	cout => \led_flash_cnt[2356][4]~59843\);

-- Location: FF_X40_Y6_N11
\led_flash_cnt[2356][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2356][4]~59842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2356][4]~q\);

-- Location: LCCOMB_X40_Y6_N12
\led_flash_cnt[2356][5]~59844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2356][5]~59844_combout\ = (\led_flash_cnt[2356][5]~q\ & (\led_flash_cnt[2356][4]~59843\ $ (GND))) # (!\led_flash_cnt[2356][5]~q\ & (!\led_flash_cnt[2356][4]~59843\ & VCC))
-- \led_flash_cnt[2356][5]~59845\ = CARRY((\led_flash_cnt[2356][5]~q\ & !\led_flash_cnt[2356][4]~59843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2356][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2356][4]~59843\,
	combout => \led_flash_cnt[2356][5]~59844_combout\,
	cout => \led_flash_cnt[2356][5]~59845\);

-- Location: FF_X40_Y6_N13
\led_flash_cnt[2356][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2356][5]~59844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2356][5]~q\);

-- Location: LCCOMB_X40_Y6_N14
\led_flash_cnt[2356][6]~59846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2356][6]~59846_combout\ = (\led_flash_cnt[2356][6]~q\ & (!\led_flash_cnt[2356][5]~59845\)) # (!\led_flash_cnt[2356][6]~q\ & ((\led_flash_cnt[2356][5]~59845\) # (GND)))
-- \led_flash_cnt[2356][6]~59847\ = CARRY((!\led_flash_cnt[2356][5]~59845\) # (!\led_flash_cnt[2356][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2356][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2356][5]~59845\,
	combout => \led_flash_cnt[2356][6]~59846_combout\,
	cout => \led_flash_cnt[2356][6]~59847\);

-- Location: FF_X40_Y6_N15
\led_flash_cnt[2356][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2356][6]~59846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2356][6]~q\);

-- Location: LCCOMB_X40_Y6_N16
\led_flash_cnt[2356][7]~59848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2356][7]~59848_combout\ = \led_flash_cnt[2356][6]~59847\ $ (!\led_flash_cnt[2356][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2356][7]~q\,
	cin => \led_flash_cnt[2356][6]~59847\,
	combout => \led_flash_cnt[2356][7]~59848_combout\);

-- Location: FF_X40_Y6_N17
\led_flash_cnt[2356][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2356][7]~59848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2356][7]~q\);

-- Location: LCCOMB_X40_Y6_N26
\WideAnd2356~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2356~0_combout\ = (\led_flash_cnt[2356][4]~q\ & (\led_flash_cnt[2356][1]~q\ & (\led_flash_cnt[2356][3]~q\ & \led_flash_cnt[2356][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2356][4]~q\,
	datab => \led_flash_cnt[2356][1]~q\,
	datac => \led_flash_cnt[2356][3]~q\,
	datad => \led_flash_cnt[2356][2]~q\,
	combout => \WideAnd2356~0_combout\);

-- Location: LCCOMB_X40_Y6_N2
\WideAnd2356~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2356~1_combout\ = (\led_flash_cnt[2356][6]~q\ & \led_flash_cnt[2356][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2356][6]~q\,
	datad => \led_flash_cnt[2356][5]~q\,
	combout => \WideAnd2356~1_combout\);

-- Location: LCCOMB_X40_Y6_N24
WideAnd2356 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2356~combout\ = (\led_flash_cnt[2356][0]~q\ & (\led_flash_cnt[2356][7]~q\ & (\WideAnd2356~0_combout\ & \WideAnd2356~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2356][0]~q\,
	datab => \led_flash_cnt[2356][7]~q\,
	datac => \WideAnd2356~0_combout\,
	datad => \WideAnd2356~1_combout\,
	combout => \WideAnd2356~combout\);

-- Location: FF_X40_Y6_N25
\led_flash_cnt_ands[2356]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2356~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2356));

-- Location: LCCOMB_X44_Y21_N26
\led_flash_cnt[2355][0]~82997\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2355][0]~82997_combout\ = !\led_flash_cnt[2355][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2355][0]~q\,
	combout => \led_flash_cnt[2355][0]~82997_combout\);

-- Location: FF_X44_Y21_N27
\led_flash_cnt[2355][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2355][0]~82997_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2355][0]~q\);

-- Location: LCCOMB_X44_Y21_N4
\led_flash_cnt[2355][1]~59878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2355][1]~59878_combout\ = (\led_flash_cnt[2355][0]~q\ & (\led_flash_cnt[2355][1]~q\ $ (VCC))) # (!\led_flash_cnt[2355][0]~q\ & (\led_flash_cnt[2355][1]~q\ & VCC))
-- \led_flash_cnt[2355][1]~59879\ = CARRY((\led_flash_cnt[2355][0]~q\ & \led_flash_cnt[2355][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2355][0]~q\,
	datab => \led_flash_cnt[2355][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2355][1]~59878_combout\,
	cout => \led_flash_cnt[2355][1]~59879\);

-- Location: FF_X44_Y21_N5
\led_flash_cnt[2355][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2355][1]~59878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2355][1]~q\);

-- Location: LCCOMB_X44_Y21_N6
\led_flash_cnt[2355][2]~59880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2355][2]~59880_combout\ = (\led_flash_cnt[2355][2]~q\ & (!\led_flash_cnt[2355][1]~59879\)) # (!\led_flash_cnt[2355][2]~q\ & ((\led_flash_cnt[2355][1]~59879\) # (GND)))
-- \led_flash_cnt[2355][2]~59881\ = CARRY((!\led_flash_cnt[2355][1]~59879\) # (!\led_flash_cnt[2355][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2355][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2355][1]~59879\,
	combout => \led_flash_cnt[2355][2]~59880_combout\,
	cout => \led_flash_cnt[2355][2]~59881\);

-- Location: FF_X44_Y21_N7
\led_flash_cnt[2355][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2355][2]~59880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2355][2]~q\);

-- Location: LCCOMB_X44_Y21_N8
\led_flash_cnt[2355][3]~59882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2355][3]~59882_combout\ = (\led_flash_cnt[2355][3]~q\ & (\led_flash_cnt[2355][2]~59881\ $ (GND))) # (!\led_flash_cnt[2355][3]~q\ & (!\led_flash_cnt[2355][2]~59881\ & VCC))
-- \led_flash_cnt[2355][3]~59883\ = CARRY((\led_flash_cnt[2355][3]~q\ & !\led_flash_cnt[2355][2]~59881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2355][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2355][2]~59881\,
	combout => \led_flash_cnt[2355][3]~59882_combout\,
	cout => \led_flash_cnt[2355][3]~59883\);

-- Location: FF_X44_Y21_N9
\led_flash_cnt[2355][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2355][3]~59882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2355][3]~q\);

-- Location: LCCOMB_X44_Y21_N10
\led_flash_cnt[2355][4]~59884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2355][4]~59884_combout\ = (\led_flash_cnt[2355][4]~q\ & (!\led_flash_cnt[2355][3]~59883\)) # (!\led_flash_cnt[2355][4]~q\ & ((\led_flash_cnt[2355][3]~59883\) # (GND)))
-- \led_flash_cnt[2355][4]~59885\ = CARRY((!\led_flash_cnt[2355][3]~59883\) # (!\led_flash_cnt[2355][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2355][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2355][3]~59883\,
	combout => \led_flash_cnt[2355][4]~59884_combout\,
	cout => \led_flash_cnt[2355][4]~59885\);

-- Location: FF_X44_Y21_N11
\led_flash_cnt[2355][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2355][4]~59884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2355][4]~q\);

-- Location: LCCOMB_X44_Y21_N12
\led_flash_cnt[2355][5]~59886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2355][5]~59886_combout\ = (\led_flash_cnt[2355][5]~q\ & (\led_flash_cnt[2355][4]~59885\ $ (GND))) # (!\led_flash_cnt[2355][5]~q\ & (!\led_flash_cnt[2355][4]~59885\ & VCC))
-- \led_flash_cnt[2355][5]~59887\ = CARRY((\led_flash_cnt[2355][5]~q\ & !\led_flash_cnt[2355][4]~59885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2355][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2355][4]~59885\,
	combout => \led_flash_cnt[2355][5]~59886_combout\,
	cout => \led_flash_cnt[2355][5]~59887\);

-- Location: FF_X44_Y21_N13
\led_flash_cnt[2355][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2355][5]~59886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2355][5]~q\);

-- Location: LCCOMB_X44_Y21_N14
\led_flash_cnt[2355][6]~59888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2355][6]~59888_combout\ = (\led_flash_cnt[2355][6]~q\ & (!\led_flash_cnt[2355][5]~59887\)) # (!\led_flash_cnt[2355][6]~q\ & ((\led_flash_cnt[2355][5]~59887\) # (GND)))
-- \led_flash_cnt[2355][6]~59889\ = CARRY((!\led_flash_cnt[2355][5]~59887\) # (!\led_flash_cnt[2355][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2355][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2355][5]~59887\,
	combout => \led_flash_cnt[2355][6]~59888_combout\,
	cout => \led_flash_cnt[2355][6]~59889\);

-- Location: FF_X44_Y21_N15
\led_flash_cnt[2355][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2355][6]~59888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2355][6]~q\);

-- Location: LCCOMB_X44_Y21_N0
\WideAnd2355~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2355~1_combout\ = (\led_flash_cnt[2355][6]~q\ & \led_flash_cnt[2355][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2355][6]~q\,
	datad => \led_flash_cnt[2355][5]~q\,
	combout => \WideAnd2355~1_combout\);

-- Location: LCCOMB_X44_Y21_N30
\WideAnd2355~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2355~0_combout\ = (\led_flash_cnt[2355][4]~q\ & (\led_flash_cnt[2355][1]~q\ & (\led_flash_cnt[2355][3]~q\ & \led_flash_cnt[2355][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2355][4]~q\,
	datab => \led_flash_cnt[2355][1]~q\,
	datac => \led_flash_cnt[2355][3]~q\,
	datad => \led_flash_cnt[2355][2]~q\,
	combout => \WideAnd2355~0_combout\);

-- Location: LCCOMB_X44_Y21_N16
\led_flash_cnt[2355][7]~59890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2355][7]~59890_combout\ = \led_flash_cnt[2355][6]~59889\ $ (!\led_flash_cnt[2355][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2355][7]~q\,
	cin => \led_flash_cnt[2355][6]~59889\,
	combout => \led_flash_cnt[2355][7]~59890_combout\);

-- Location: FF_X44_Y21_N17
\led_flash_cnt[2355][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2355][7]~59890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2355][7]~q\);

-- Location: LCCOMB_X44_Y21_N20
WideAnd2355 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2355~combout\ = (\led_flash_cnt[2355][0]~q\ & (\WideAnd2355~1_combout\ & (\WideAnd2355~0_combout\ & \led_flash_cnt[2355][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2355][0]~q\,
	datab => \WideAnd2355~1_combout\,
	datac => \WideAnd2355~0_combout\,
	datad => \led_flash_cnt[2355][7]~q\,
	combout => \WideAnd2355~combout\);

-- Location: FF_X44_Y21_N21
\led_flash_cnt_ands[2355]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2355~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2355));

-- Location: LCCOMB_X50_Y24_N24
\led_flash_cnt[2353][0]~82996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2353][0]~82996_combout\ = !\led_flash_cnt[2353][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2353][0]~q\,
	combout => \led_flash_cnt[2353][0]~82996_combout\);

-- Location: FF_X50_Y24_N25
\led_flash_cnt[2353][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2353][0]~82996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2353][0]~q\);

-- Location: LCCOMB_X49_Y24_N16
\led_flash_cnt[2353][1]~59864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2353][1]~59864_combout\ = (\led_flash_cnt[2353][1]~q\ & (\led_flash_cnt[2353][0]~q\ $ (VCC))) # (!\led_flash_cnt[2353][1]~q\ & (\led_flash_cnt[2353][0]~q\ & VCC))
-- \led_flash_cnt[2353][1]~59865\ = CARRY((\led_flash_cnt[2353][1]~q\ & \led_flash_cnt[2353][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2353][1]~q\,
	datab => \led_flash_cnt[2353][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2353][1]~59864_combout\,
	cout => \led_flash_cnt[2353][1]~59865\);

-- Location: FF_X49_Y24_N17
\led_flash_cnt[2353][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2353][1]~59864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2353][1]~q\);

-- Location: LCCOMB_X49_Y24_N18
\led_flash_cnt[2353][2]~59866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2353][2]~59866_combout\ = (\led_flash_cnt[2353][2]~q\ & (!\led_flash_cnt[2353][1]~59865\)) # (!\led_flash_cnt[2353][2]~q\ & ((\led_flash_cnt[2353][1]~59865\) # (GND)))
-- \led_flash_cnt[2353][2]~59867\ = CARRY((!\led_flash_cnt[2353][1]~59865\) # (!\led_flash_cnt[2353][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2353][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2353][1]~59865\,
	combout => \led_flash_cnt[2353][2]~59866_combout\,
	cout => \led_flash_cnt[2353][2]~59867\);

-- Location: FF_X49_Y24_N19
\led_flash_cnt[2353][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2353][2]~59866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2353][2]~q\);

-- Location: LCCOMB_X49_Y24_N20
\led_flash_cnt[2353][3]~59868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2353][3]~59868_combout\ = (\led_flash_cnt[2353][3]~q\ & (\led_flash_cnt[2353][2]~59867\ $ (GND))) # (!\led_flash_cnt[2353][3]~q\ & (!\led_flash_cnt[2353][2]~59867\ & VCC))
-- \led_flash_cnt[2353][3]~59869\ = CARRY((\led_flash_cnt[2353][3]~q\ & !\led_flash_cnt[2353][2]~59867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2353][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2353][2]~59867\,
	combout => \led_flash_cnt[2353][3]~59868_combout\,
	cout => \led_flash_cnt[2353][3]~59869\);

-- Location: FF_X49_Y24_N21
\led_flash_cnt[2353][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2353][3]~59868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2353][3]~q\);

-- Location: LCCOMB_X49_Y24_N22
\led_flash_cnt[2353][4]~59870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2353][4]~59870_combout\ = (\led_flash_cnt[2353][4]~q\ & (!\led_flash_cnt[2353][3]~59869\)) # (!\led_flash_cnt[2353][4]~q\ & ((\led_flash_cnt[2353][3]~59869\) # (GND)))
-- \led_flash_cnt[2353][4]~59871\ = CARRY((!\led_flash_cnt[2353][3]~59869\) # (!\led_flash_cnt[2353][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2353][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2353][3]~59869\,
	combout => \led_flash_cnt[2353][4]~59870_combout\,
	cout => \led_flash_cnt[2353][4]~59871\);

-- Location: FF_X49_Y24_N23
\led_flash_cnt[2353][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2353][4]~59870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2353][4]~q\);

-- Location: LCCOMB_X49_Y24_N24
\led_flash_cnt[2353][5]~59872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2353][5]~59872_combout\ = (\led_flash_cnt[2353][5]~q\ & (\led_flash_cnt[2353][4]~59871\ $ (GND))) # (!\led_flash_cnt[2353][5]~q\ & (!\led_flash_cnt[2353][4]~59871\ & VCC))
-- \led_flash_cnt[2353][5]~59873\ = CARRY((\led_flash_cnt[2353][5]~q\ & !\led_flash_cnt[2353][4]~59871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2353][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2353][4]~59871\,
	combout => \led_flash_cnt[2353][5]~59872_combout\,
	cout => \led_flash_cnt[2353][5]~59873\);

-- Location: FF_X49_Y24_N25
\led_flash_cnt[2353][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2353][5]~59872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2353][5]~q\);

-- Location: LCCOMB_X49_Y24_N26
\led_flash_cnt[2353][6]~59874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2353][6]~59874_combout\ = (\led_flash_cnt[2353][6]~q\ & (!\led_flash_cnt[2353][5]~59873\)) # (!\led_flash_cnt[2353][6]~q\ & ((\led_flash_cnt[2353][5]~59873\) # (GND)))
-- \led_flash_cnt[2353][6]~59875\ = CARRY((!\led_flash_cnt[2353][5]~59873\) # (!\led_flash_cnt[2353][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2353][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2353][5]~59873\,
	combout => \led_flash_cnt[2353][6]~59874_combout\,
	cout => \led_flash_cnt[2353][6]~59875\);

-- Location: FF_X49_Y24_N27
\led_flash_cnt[2353][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2353][6]~59874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2353][6]~q\);

-- Location: LCCOMB_X49_Y24_N28
\led_flash_cnt[2353][7]~59876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2353][7]~59876_combout\ = \led_flash_cnt[2353][6]~59875\ $ (!\led_flash_cnt[2353][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2353][7]~q\,
	cin => \led_flash_cnt[2353][6]~59875\,
	combout => \led_flash_cnt[2353][7]~59876_combout\);

-- Location: FF_X49_Y24_N29
\led_flash_cnt[2353][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2353][7]~59876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2353][7]~q\);

-- Location: LCCOMB_X50_Y24_N30
\WideAnd2353~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2353~1_combout\ = (\led_flash_cnt[2353][6]~q\ & \led_flash_cnt[2353][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2353][6]~q\,
	datad => \led_flash_cnt[2353][5]~q\,
	combout => \WideAnd2353~1_combout\);

-- Location: LCCOMB_X50_Y24_N16
\WideAnd2353~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2353~0_combout\ = (\led_flash_cnt[2353][2]~q\ & (\led_flash_cnt[2353][3]~q\ & (\led_flash_cnt[2353][1]~q\ & \led_flash_cnt[2353][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2353][2]~q\,
	datab => \led_flash_cnt[2353][3]~q\,
	datac => \led_flash_cnt[2353][1]~q\,
	datad => \led_flash_cnt[2353][4]~q\,
	combout => \WideAnd2353~0_combout\);

-- Location: LCCOMB_X50_Y24_N26
WideAnd2353 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2353~combout\ = (\led_flash_cnt[2353][0]~q\ & (\led_flash_cnt[2353][7]~q\ & (\WideAnd2353~1_combout\ & \WideAnd2353~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2353][0]~q\,
	datab => \led_flash_cnt[2353][7]~q\,
	datac => \WideAnd2353~1_combout\,
	datad => \WideAnd2353~0_combout\,
	combout => \WideAnd2353~combout\);

-- Location: FF_X50_Y24_N27
\led_flash_cnt_ands[2353]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2353~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2353));

-- Location: LCCOMB_X44_Y21_N2
\led_flash_cnt[2352][0]~82995\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2352][0]~82995_combout\ = !\led_flash_cnt[2352][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2352][0]~q\,
	combout => \led_flash_cnt[2352][0]~82995_combout\);

-- Location: FF_X44_Y21_N3
\led_flash_cnt[2352][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2352][0]~82995_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2352][0]~q\);

-- Location: LCCOMB_X43_Y21_N2
\led_flash_cnt[2352][1]~59850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2352][1]~59850_combout\ = (\led_flash_cnt[2352][0]~q\ & (\led_flash_cnt[2352][1]~q\ $ (VCC))) # (!\led_flash_cnt[2352][0]~q\ & (\led_flash_cnt[2352][1]~q\ & VCC))
-- \led_flash_cnt[2352][1]~59851\ = CARRY((\led_flash_cnt[2352][0]~q\ & \led_flash_cnt[2352][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2352][0]~q\,
	datab => \led_flash_cnt[2352][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2352][1]~59850_combout\,
	cout => \led_flash_cnt[2352][1]~59851\);

-- Location: FF_X43_Y21_N3
\led_flash_cnt[2352][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2352][1]~59850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2352][1]~q\);

-- Location: LCCOMB_X43_Y21_N4
\led_flash_cnt[2352][2]~59852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2352][2]~59852_combout\ = (\led_flash_cnt[2352][2]~q\ & (!\led_flash_cnt[2352][1]~59851\)) # (!\led_flash_cnt[2352][2]~q\ & ((\led_flash_cnt[2352][1]~59851\) # (GND)))
-- \led_flash_cnt[2352][2]~59853\ = CARRY((!\led_flash_cnt[2352][1]~59851\) # (!\led_flash_cnt[2352][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2352][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2352][1]~59851\,
	combout => \led_flash_cnt[2352][2]~59852_combout\,
	cout => \led_flash_cnt[2352][2]~59853\);

-- Location: FF_X43_Y21_N5
\led_flash_cnt[2352][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2352][2]~59852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2352][2]~q\);

-- Location: LCCOMB_X43_Y21_N6
\led_flash_cnt[2352][3]~59854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2352][3]~59854_combout\ = (\led_flash_cnt[2352][3]~q\ & (\led_flash_cnt[2352][2]~59853\ $ (GND))) # (!\led_flash_cnt[2352][3]~q\ & (!\led_flash_cnt[2352][2]~59853\ & VCC))
-- \led_flash_cnt[2352][3]~59855\ = CARRY((\led_flash_cnt[2352][3]~q\ & !\led_flash_cnt[2352][2]~59853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2352][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2352][2]~59853\,
	combout => \led_flash_cnt[2352][3]~59854_combout\,
	cout => \led_flash_cnt[2352][3]~59855\);

-- Location: FF_X43_Y21_N7
\led_flash_cnt[2352][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2352][3]~59854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2352][3]~q\);

-- Location: LCCOMB_X43_Y21_N8
\led_flash_cnt[2352][4]~59856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2352][4]~59856_combout\ = (\led_flash_cnt[2352][4]~q\ & (!\led_flash_cnt[2352][3]~59855\)) # (!\led_flash_cnt[2352][4]~q\ & ((\led_flash_cnt[2352][3]~59855\) # (GND)))
-- \led_flash_cnt[2352][4]~59857\ = CARRY((!\led_flash_cnt[2352][3]~59855\) # (!\led_flash_cnt[2352][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2352][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2352][3]~59855\,
	combout => \led_flash_cnt[2352][4]~59856_combout\,
	cout => \led_flash_cnt[2352][4]~59857\);

-- Location: FF_X43_Y21_N9
\led_flash_cnt[2352][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2352][4]~59856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2352][4]~q\);

-- Location: LCCOMB_X43_Y21_N10
\led_flash_cnt[2352][5]~59858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2352][5]~59858_combout\ = (\led_flash_cnt[2352][5]~q\ & (\led_flash_cnt[2352][4]~59857\ $ (GND))) # (!\led_flash_cnt[2352][5]~q\ & (!\led_flash_cnt[2352][4]~59857\ & VCC))
-- \led_flash_cnt[2352][5]~59859\ = CARRY((\led_flash_cnt[2352][5]~q\ & !\led_flash_cnt[2352][4]~59857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2352][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2352][4]~59857\,
	combout => \led_flash_cnt[2352][5]~59858_combout\,
	cout => \led_flash_cnt[2352][5]~59859\);

-- Location: FF_X43_Y21_N11
\led_flash_cnt[2352][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2352][5]~59858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2352][5]~q\);

-- Location: LCCOMB_X43_Y21_N12
\led_flash_cnt[2352][6]~59860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2352][6]~59860_combout\ = (\led_flash_cnt[2352][6]~q\ & (!\led_flash_cnt[2352][5]~59859\)) # (!\led_flash_cnt[2352][6]~q\ & ((\led_flash_cnt[2352][5]~59859\) # (GND)))
-- \led_flash_cnt[2352][6]~59861\ = CARRY((!\led_flash_cnt[2352][5]~59859\) # (!\led_flash_cnt[2352][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2352][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2352][5]~59859\,
	combout => \led_flash_cnt[2352][6]~59860_combout\,
	cout => \led_flash_cnt[2352][6]~59861\);

-- Location: FF_X43_Y21_N13
\led_flash_cnt[2352][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2352][6]~59860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2352][6]~q\);

-- Location: LCCOMB_X43_Y21_N14
\led_flash_cnt[2352][7]~59862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2352][7]~59862_combout\ = \led_flash_cnt[2352][7]~q\ $ (!\led_flash_cnt[2352][6]~59861\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2352][7]~q\,
	cin => \led_flash_cnt[2352][6]~59861\,
	combout => \led_flash_cnt[2352][7]~59862_combout\);

-- Location: FF_X43_Y21_N15
\led_flash_cnt[2352][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2352][7]~59862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2352][7]~q\);

-- Location: LCCOMB_X44_Y21_N24
\WideAnd2352~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2352~1_combout\ = (\led_flash_cnt[2352][6]~q\ & \led_flash_cnt[2352][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2352][6]~q\,
	datad => \led_flash_cnt[2352][5]~q\,
	combout => \WideAnd2352~1_combout\);

-- Location: LCCOMB_X43_Y21_N0
\WideAnd2352~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2352~0_combout\ = (\led_flash_cnt[2352][3]~q\ & (\led_flash_cnt[2352][4]~q\ & (\led_flash_cnt[2352][2]~q\ & \led_flash_cnt[2352][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2352][3]~q\,
	datab => \led_flash_cnt[2352][4]~q\,
	datac => \led_flash_cnt[2352][2]~q\,
	datad => \led_flash_cnt[2352][1]~q\,
	combout => \WideAnd2352~0_combout\);

-- Location: LCCOMB_X44_Y21_N18
WideAnd2352 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2352~combout\ = (\led_flash_cnt[2352][7]~q\ & (\WideAnd2352~1_combout\ & (\WideAnd2352~0_combout\ & \led_flash_cnt[2352][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2352][7]~q\,
	datab => \WideAnd2352~1_combout\,
	datac => \WideAnd2352~0_combout\,
	datad => \led_flash_cnt[2352][0]~q\,
	combout => \WideAnd2352~combout\);

-- Location: FF_X44_Y21_N19
\led_flash_cnt_ands[2352]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2352~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2352));

-- Location: LCCOMB_X44_Y21_N28
\WideAnd4134~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4134~0_combout\ = (led_flash_cnt_ands(2356) & (led_flash_cnt_ands(2355) & (led_flash_cnt_ands(2353) & led_flash_cnt_ands(2352))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2356),
	datab => led_flash_cnt_ands(2355),
	datac => led_flash_cnt_ands(2353),
	datad => led_flash_cnt_ands(2352),
	combout => \WideAnd4134~0_combout\);

-- Location: LCCOMB_X27_Y6_N6
\led_flash_cnt[2354][0]~82999\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2354][0]~82999_combout\ = !\led_flash_cnt[2354][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2354][0]~q\,
	combout => \led_flash_cnt[2354][0]~82999_combout\);

-- Location: FF_X27_Y6_N7
\led_flash_cnt[2354][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2354][0]~82999_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2354][0]~q\);

-- Location: LCCOMB_X27_Y6_N8
\led_flash_cnt[2354][1]~59906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2354][1]~59906_combout\ = (\led_flash_cnt[2354][0]~q\ & (\led_flash_cnt[2354][1]~q\ $ (VCC))) # (!\led_flash_cnt[2354][0]~q\ & (\led_flash_cnt[2354][1]~q\ & VCC))
-- \led_flash_cnt[2354][1]~59907\ = CARRY((\led_flash_cnt[2354][0]~q\ & \led_flash_cnt[2354][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2354][0]~q\,
	datab => \led_flash_cnt[2354][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2354][1]~59906_combout\,
	cout => \led_flash_cnt[2354][1]~59907\);

-- Location: FF_X27_Y6_N9
\led_flash_cnt[2354][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2354][1]~59906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2354][1]~q\);

-- Location: LCCOMB_X27_Y6_N10
\led_flash_cnt[2354][2]~59908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2354][2]~59908_combout\ = (\led_flash_cnt[2354][2]~q\ & (!\led_flash_cnt[2354][1]~59907\)) # (!\led_flash_cnt[2354][2]~q\ & ((\led_flash_cnt[2354][1]~59907\) # (GND)))
-- \led_flash_cnt[2354][2]~59909\ = CARRY((!\led_flash_cnt[2354][1]~59907\) # (!\led_flash_cnt[2354][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2354][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2354][1]~59907\,
	combout => \led_flash_cnt[2354][2]~59908_combout\,
	cout => \led_flash_cnt[2354][2]~59909\);

-- Location: FF_X27_Y6_N11
\led_flash_cnt[2354][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2354][2]~59908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2354][2]~q\);

-- Location: LCCOMB_X27_Y6_N12
\led_flash_cnt[2354][3]~59910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2354][3]~59910_combout\ = (\led_flash_cnt[2354][3]~q\ & (\led_flash_cnt[2354][2]~59909\ $ (GND))) # (!\led_flash_cnt[2354][3]~q\ & (!\led_flash_cnt[2354][2]~59909\ & VCC))
-- \led_flash_cnt[2354][3]~59911\ = CARRY((\led_flash_cnt[2354][3]~q\ & !\led_flash_cnt[2354][2]~59909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2354][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2354][2]~59909\,
	combout => \led_flash_cnt[2354][3]~59910_combout\,
	cout => \led_flash_cnt[2354][3]~59911\);

-- Location: FF_X27_Y6_N13
\led_flash_cnt[2354][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2354][3]~59910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2354][3]~q\);

-- Location: LCCOMB_X27_Y6_N14
\led_flash_cnt[2354][4]~59912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2354][4]~59912_combout\ = (\led_flash_cnt[2354][4]~q\ & (!\led_flash_cnt[2354][3]~59911\)) # (!\led_flash_cnt[2354][4]~q\ & ((\led_flash_cnt[2354][3]~59911\) # (GND)))
-- \led_flash_cnt[2354][4]~59913\ = CARRY((!\led_flash_cnt[2354][3]~59911\) # (!\led_flash_cnt[2354][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2354][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2354][3]~59911\,
	combout => \led_flash_cnt[2354][4]~59912_combout\,
	cout => \led_flash_cnt[2354][4]~59913\);

-- Location: FF_X27_Y6_N15
\led_flash_cnt[2354][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2354][4]~59912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2354][4]~q\);

-- Location: LCCOMB_X27_Y6_N16
\led_flash_cnt[2354][5]~59914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2354][5]~59914_combout\ = (\led_flash_cnt[2354][5]~q\ & (\led_flash_cnt[2354][4]~59913\ $ (GND))) # (!\led_flash_cnt[2354][5]~q\ & (!\led_flash_cnt[2354][4]~59913\ & VCC))
-- \led_flash_cnt[2354][5]~59915\ = CARRY((\led_flash_cnt[2354][5]~q\ & !\led_flash_cnt[2354][4]~59913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2354][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2354][4]~59913\,
	combout => \led_flash_cnt[2354][5]~59914_combout\,
	cout => \led_flash_cnt[2354][5]~59915\);

-- Location: FF_X27_Y6_N17
\led_flash_cnt[2354][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2354][5]~59914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2354][5]~q\);

-- Location: LCCOMB_X27_Y6_N18
\led_flash_cnt[2354][6]~59916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2354][6]~59916_combout\ = (\led_flash_cnt[2354][6]~q\ & (!\led_flash_cnt[2354][5]~59915\)) # (!\led_flash_cnt[2354][6]~q\ & ((\led_flash_cnt[2354][5]~59915\) # (GND)))
-- \led_flash_cnt[2354][6]~59917\ = CARRY((!\led_flash_cnt[2354][5]~59915\) # (!\led_flash_cnt[2354][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2354][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2354][5]~59915\,
	combout => \led_flash_cnt[2354][6]~59916_combout\,
	cout => \led_flash_cnt[2354][6]~59917\);

-- Location: FF_X27_Y6_N19
\led_flash_cnt[2354][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2354][6]~59916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2354][6]~q\);

-- Location: LCCOMB_X27_Y6_N20
\led_flash_cnt[2354][7]~59918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2354][7]~59918_combout\ = \led_flash_cnt[2354][6]~59917\ $ (!\led_flash_cnt[2354][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2354][7]~q\,
	cin => \led_flash_cnt[2354][6]~59917\,
	combout => \led_flash_cnt[2354][7]~59918_combout\);

-- Location: FF_X27_Y6_N21
\led_flash_cnt[2354][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2354][7]~59918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2354][7]~q\);

-- Location: LCCOMB_X27_Y6_N30
\WideAnd2354~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2354~1_combout\ = (\led_flash_cnt[2354][6]~q\ & \led_flash_cnt[2354][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2354][6]~q\,
	datad => \led_flash_cnt[2354][5]~q\,
	combout => \WideAnd2354~1_combout\);

-- Location: LCCOMB_X27_Y6_N28
\WideAnd2354~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2354~0_combout\ = (\led_flash_cnt[2354][3]~q\ & (\led_flash_cnt[2354][4]~q\ & (\led_flash_cnt[2354][1]~q\ & \led_flash_cnt[2354][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2354][3]~q\,
	datab => \led_flash_cnt[2354][4]~q\,
	datac => \led_flash_cnt[2354][1]~q\,
	datad => \led_flash_cnt[2354][2]~q\,
	combout => \WideAnd2354~0_combout\);

-- Location: LCCOMB_X27_Y6_N26
WideAnd2354 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2354~combout\ = (\led_flash_cnt[2354][0]~q\ & (\led_flash_cnt[2354][7]~q\ & (\WideAnd2354~1_combout\ & \WideAnd2354~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2354][0]~q\,
	datab => \led_flash_cnt[2354][7]~q\,
	datac => \WideAnd2354~1_combout\,
	datad => \WideAnd2354~0_combout\,
	combout => \WideAnd2354~combout\);

-- Location: FF_X27_Y6_N27
\led_flash_cnt_ands[2354]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2354~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2354));

-- Location: LCCOMB_X41_Y17_N20
\led_flash_cnt[2359][0]~82998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2359][0]~82998_combout\ = !\led_flash_cnt[2359][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2359][0]~q\,
	combout => \led_flash_cnt[2359][0]~82998_combout\);

-- Location: FF_X41_Y17_N21
\led_flash_cnt[2359][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2359][0]~82998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2359][0]~q\);

-- Location: LCCOMB_X41_Y17_N6
\led_flash_cnt[2359][1]~59892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2359][1]~59892_combout\ = (\led_flash_cnt[2359][1]~q\ & (\led_flash_cnt[2359][0]~q\ $ (VCC))) # (!\led_flash_cnt[2359][1]~q\ & (\led_flash_cnt[2359][0]~q\ & VCC))
-- \led_flash_cnt[2359][1]~59893\ = CARRY((\led_flash_cnt[2359][1]~q\ & \led_flash_cnt[2359][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2359][1]~q\,
	datab => \led_flash_cnt[2359][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2359][1]~59892_combout\,
	cout => \led_flash_cnt[2359][1]~59893\);

-- Location: FF_X41_Y17_N7
\led_flash_cnt[2359][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2359][1]~59892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2359][1]~q\);

-- Location: LCCOMB_X41_Y17_N8
\led_flash_cnt[2359][2]~59894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2359][2]~59894_combout\ = (\led_flash_cnt[2359][2]~q\ & (!\led_flash_cnt[2359][1]~59893\)) # (!\led_flash_cnt[2359][2]~q\ & ((\led_flash_cnt[2359][1]~59893\) # (GND)))
-- \led_flash_cnt[2359][2]~59895\ = CARRY((!\led_flash_cnt[2359][1]~59893\) # (!\led_flash_cnt[2359][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2359][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2359][1]~59893\,
	combout => \led_flash_cnt[2359][2]~59894_combout\,
	cout => \led_flash_cnt[2359][2]~59895\);

-- Location: FF_X41_Y17_N9
\led_flash_cnt[2359][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2359][2]~59894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2359][2]~q\);

-- Location: LCCOMB_X41_Y17_N10
\led_flash_cnt[2359][3]~59896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2359][3]~59896_combout\ = (\led_flash_cnt[2359][3]~q\ & (\led_flash_cnt[2359][2]~59895\ $ (GND))) # (!\led_flash_cnt[2359][3]~q\ & (!\led_flash_cnt[2359][2]~59895\ & VCC))
-- \led_flash_cnt[2359][3]~59897\ = CARRY((\led_flash_cnt[2359][3]~q\ & !\led_flash_cnt[2359][2]~59895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2359][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2359][2]~59895\,
	combout => \led_flash_cnt[2359][3]~59896_combout\,
	cout => \led_flash_cnt[2359][3]~59897\);

-- Location: FF_X41_Y17_N11
\led_flash_cnt[2359][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2359][3]~59896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2359][3]~q\);

-- Location: LCCOMB_X41_Y17_N12
\led_flash_cnt[2359][4]~59898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2359][4]~59898_combout\ = (\led_flash_cnt[2359][4]~q\ & (!\led_flash_cnt[2359][3]~59897\)) # (!\led_flash_cnt[2359][4]~q\ & ((\led_flash_cnt[2359][3]~59897\) # (GND)))
-- \led_flash_cnt[2359][4]~59899\ = CARRY((!\led_flash_cnt[2359][3]~59897\) # (!\led_flash_cnt[2359][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2359][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2359][3]~59897\,
	combout => \led_flash_cnt[2359][4]~59898_combout\,
	cout => \led_flash_cnt[2359][4]~59899\);

-- Location: FF_X41_Y17_N13
\led_flash_cnt[2359][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2359][4]~59898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2359][4]~q\);

-- Location: LCCOMB_X41_Y17_N26
\WideAnd2359~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2359~0_combout\ = (\led_flash_cnt[2359][3]~q\ & (\led_flash_cnt[2359][4]~q\ & (\led_flash_cnt[2359][2]~q\ & \led_flash_cnt[2359][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2359][3]~q\,
	datab => \led_flash_cnt[2359][4]~q\,
	datac => \led_flash_cnt[2359][2]~q\,
	datad => \led_flash_cnt[2359][1]~q\,
	combout => \WideAnd2359~0_combout\);

-- Location: LCCOMB_X41_Y17_N14
\led_flash_cnt[2359][5]~59900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2359][5]~59900_combout\ = (\led_flash_cnt[2359][5]~q\ & (\led_flash_cnt[2359][4]~59899\ $ (GND))) # (!\led_flash_cnt[2359][5]~q\ & (!\led_flash_cnt[2359][4]~59899\ & VCC))
-- \led_flash_cnt[2359][5]~59901\ = CARRY((\led_flash_cnt[2359][5]~q\ & !\led_flash_cnt[2359][4]~59899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2359][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2359][4]~59899\,
	combout => \led_flash_cnt[2359][5]~59900_combout\,
	cout => \led_flash_cnt[2359][5]~59901\);

-- Location: FF_X41_Y17_N15
\led_flash_cnt[2359][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2359][5]~59900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2359][5]~q\);

-- Location: LCCOMB_X41_Y17_N16
\led_flash_cnt[2359][6]~59902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2359][6]~59902_combout\ = (\led_flash_cnt[2359][6]~q\ & (!\led_flash_cnt[2359][5]~59901\)) # (!\led_flash_cnt[2359][6]~q\ & ((\led_flash_cnt[2359][5]~59901\) # (GND)))
-- \led_flash_cnt[2359][6]~59903\ = CARRY((!\led_flash_cnt[2359][5]~59901\) # (!\led_flash_cnt[2359][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2359][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2359][5]~59901\,
	combout => \led_flash_cnt[2359][6]~59902_combout\,
	cout => \led_flash_cnt[2359][6]~59903\);

-- Location: FF_X41_Y17_N17
\led_flash_cnt[2359][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2359][6]~59902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2359][6]~q\);

-- Location: LCCOMB_X41_Y17_N18
\led_flash_cnt[2359][7]~59904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2359][7]~59904_combout\ = \led_flash_cnt[2359][6]~59903\ $ (!\led_flash_cnt[2359][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2359][7]~q\,
	cin => \led_flash_cnt[2359][6]~59903\,
	combout => \led_flash_cnt[2359][7]~59904_combout\);

-- Location: FF_X41_Y17_N19
\led_flash_cnt[2359][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2359][7]~59904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2359][7]~q\);

-- Location: LCCOMB_X41_Y17_N4
\WideAnd2359~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2359~1_combout\ = (\led_flash_cnt[2359][5]~q\ & \led_flash_cnt[2359][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2359][5]~q\,
	datad => \led_flash_cnt[2359][6]~q\,
	combout => \WideAnd2359~1_combout\);

-- Location: LCCOMB_X41_Y17_N2
WideAnd2359 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2359~combout\ = (\WideAnd2359~0_combout\ & (\led_flash_cnt[2359][7]~q\ & (\WideAnd2359~1_combout\ & \led_flash_cnt[2359][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2359~0_combout\,
	datab => \led_flash_cnt[2359][7]~q\,
	datac => \WideAnd2359~1_combout\,
	datad => \led_flash_cnt[2359][0]~q\,
	combout => \WideAnd2359~combout\);

-- Location: FF_X41_Y17_N3
\led_flash_cnt_ands[2359]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2359~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2359));

-- Location: LCCOMB_X41_Y17_N28
\WideAnd4134~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4134~1_combout\ = (led_flash_cnt_ands(2354) & led_flash_cnt_ands(2359))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2354),
	datad => led_flash_cnt_ands(2359),
	combout => \WideAnd4134~1_combout\);

-- Location: LCCOMB_X41_Y17_N30
WideAnd4134 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4134~combout\ = (led_flash_cnt_ands(2358) & (led_flash_cnt_ands(2357) & (\WideAnd4134~0_combout\ & \WideAnd4134~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2358),
	datab => led_flash_cnt_ands(2357),
	datac => \WideAnd4134~0_combout\,
	datad => \WideAnd4134~1_combout\,
	combout => \WideAnd4134~combout\);

-- Location: FF_X41_Y17_N31
\led_flash_cnt_ands_1[294]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4134~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(294));

-- Location: LCCOMB_X62_Y27_N2
\led_flash_cnt[2343][0]~82983\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2343][0]~82983_combout\ = !\led_flash_cnt[2343][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2343][0]~q\,
	combout => \led_flash_cnt[2343][0]~82983_combout\);

-- Location: FF_X62_Y27_N3
\led_flash_cnt[2343][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2343][0]~82983_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2343][0]~q\);

-- Location: LCCOMB_X61_Y27_N16
\led_flash_cnt[2343][1]~59682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2343][1]~59682_combout\ = (\led_flash_cnt[2343][0]~q\ & (\led_flash_cnt[2343][1]~q\ $ (VCC))) # (!\led_flash_cnt[2343][0]~q\ & (\led_flash_cnt[2343][1]~q\ & VCC))
-- \led_flash_cnt[2343][1]~59683\ = CARRY((\led_flash_cnt[2343][0]~q\ & \led_flash_cnt[2343][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2343][0]~q\,
	datab => \led_flash_cnt[2343][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2343][1]~59682_combout\,
	cout => \led_flash_cnt[2343][1]~59683\);

-- Location: FF_X61_Y27_N17
\led_flash_cnt[2343][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2343][1]~59682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2343][1]~q\);

-- Location: LCCOMB_X61_Y27_N18
\led_flash_cnt[2343][2]~59684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2343][2]~59684_combout\ = (\led_flash_cnt[2343][2]~q\ & (!\led_flash_cnt[2343][1]~59683\)) # (!\led_flash_cnt[2343][2]~q\ & ((\led_flash_cnt[2343][1]~59683\) # (GND)))
-- \led_flash_cnt[2343][2]~59685\ = CARRY((!\led_flash_cnt[2343][1]~59683\) # (!\led_flash_cnt[2343][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2343][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2343][1]~59683\,
	combout => \led_flash_cnt[2343][2]~59684_combout\,
	cout => \led_flash_cnt[2343][2]~59685\);

-- Location: FF_X61_Y27_N19
\led_flash_cnt[2343][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2343][2]~59684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2343][2]~q\);

-- Location: LCCOMB_X61_Y27_N20
\led_flash_cnt[2343][3]~59686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2343][3]~59686_combout\ = (\led_flash_cnt[2343][3]~q\ & (\led_flash_cnt[2343][2]~59685\ $ (GND))) # (!\led_flash_cnt[2343][3]~q\ & (!\led_flash_cnt[2343][2]~59685\ & VCC))
-- \led_flash_cnt[2343][3]~59687\ = CARRY((\led_flash_cnt[2343][3]~q\ & !\led_flash_cnt[2343][2]~59685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2343][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2343][2]~59685\,
	combout => \led_flash_cnt[2343][3]~59686_combout\,
	cout => \led_flash_cnt[2343][3]~59687\);

-- Location: FF_X61_Y27_N21
\led_flash_cnt[2343][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2343][3]~59686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2343][3]~q\);

-- Location: LCCOMB_X61_Y27_N22
\led_flash_cnt[2343][4]~59688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2343][4]~59688_combout\ = (\led_flash_cnt[2343][4]~q\ & (!\led_flash_cnt[2343][3]~59687\)) # (!\led_flash_cnt[2343][4]~q\ & ((\led_flash_cnt[2343][3]~59687\) # (GND)))
-- \led_flash_cnt[2343][4]~59689\ = CARRY((!\led_flash_cnt[2343][3]~59687\) # (!\led_flash_cnt[2343][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2343][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2343][3]~59687\,
	combout => \led_flash_cnt[2343][4]~59688_combout\,
	cout => \led_flash_cnt[2343][4]~59689\);

-- Location: FF_X61_Y27_N23
\led_flash_cnt[2343][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2343][4]~59688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2343][4]~q\);

-- Location: LCCOMB_X62_Y27_N26
\WideAnd2343~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2343~0_combout\ = (\led_flash_cnt[2343][4]~q\ & (\led_flash_cnt[2343][3]~q\ & (\led_flash_cnt[2343][1]~q\ & \led_flash_cnt[2343][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2343][4]~q\,
	datab => \led_flash_cnt[2343][3]~q\,
	datac => \led_flash_cnt[2343][1]~q\,
	datad => \led_flash_cnt[2343][2]~q\,
	combout => \WideAnd2343~0_combout\);

-- Location: LCCOMB_X61_Y27_N24
\led_flash_cnt[2343][5]~59690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2343][5]~59690_combout\ = (\led_flash_cnt[2343][5]~q\ & (\led_flash_cnt[2343][4]~59689\ $ (GND))) # (!\led_flash_cnt[2343][5]~q\ & (!\led_flash_cnt[2343][4]~59689\ & VCC))
-- \led_flash_cnt[2343][5]~59691\ = CARRY((\led_flash_cnt[2343][5]~q\ & !\led_flash_cnt[2343][4]~59689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2343][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2343][4]~59689\,
	combout => \led_flash_cnt[2343][5]~59690_combout\,
	cout => \led_flash_cnt[2343][5]~59691\);

-- Location: FF_X61_Y27_N25
\led_flash_cnt[2343][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2343][5]~59690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2343][5]~q\);

-- Location: LCCOMB_X61_Y27_N26
\led_flash_cnt[2343][6]~59692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2343][6]~59692_combout\ = (\led_flash_cnt[2343][6]~q\ & (!\led_flash_cnt[2343][5]~59691\)) # (!\led_flash_cnt[2343][6]~q\ & ((\led_flash_cnt[2343][5]~59691\) # (GND)))
-- \led_flash_cnt[2343][6]~59693\ = CARRY((!\led_flash_cnt[2343][5]~59691\) # (!\led_flash_cnt[2343][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2343][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2343][5]~59691\,
	combout => \led_flash_cnt[2343][6]~59692_combout\,
	cout => \led_flash_cnt[2343][6]~59693\);

-- Location: FF_X61_Y27_N27
\led_flash_cnt[2343][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2343][6]~59692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2343][6]~q\);

-- Location: LCCOMB_X61_Y27_N28
\led_flash_cnt[2343][7]~59694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2343][7]~59694_combout\ = \led_flash_cnt[2343][6]~59693\ $ (!\led_flash_cnt[2343][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2343][7]~q\,
	cin => \led_flash_cnt[2343][6]~59693\,
	combout => \led_flash_cnt[2343][7]~59694_combout\);

-- Location: FF_X61_Y27_N29
\led_flash_cnt[2343][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2343][7]~59694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2343][7]~q\);

-- Location: LCCOMB_X62_Y27_N4
\WideAnd2343~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2343~1_combout\ = (\led_flash_cnt[2343][6]~q\ & \led_flash_cnt[2343][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2343][6]~q\,
	datad => \led_flash_cnt[2343][5]~q\,
	combout => \WideAnd2343~1_combout\);

-- Location: LCCOMB_X62_Y27_N24
WideAnd2343 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2343~combout\ = (\WideAnd2343~0_combout\ & (\led_flash_cnt[2343][7]~q\ & (\WideAnd2343~1_combout\ & \led_flash_cnt[2343][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2343~0_combout\,
	datab => \led_flash_cnt[2343][7]~q\,
	datac => \WideAnd2343~1_combout\,
	datad => \led_flash_cnt[2343][0]~q\,
	combout => \WideAnd2343~combout\);

-- Location: FF_X62_Y27_N25
\led_flash_cnt_ands[2343]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2343~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2343));

-- Location: LCCOMB_X51_Y22_N2
\led_flash_cnt[2341][0]~82981\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2341][0]~82981_combout\ = !\led_flash_cnt[2341][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2341][0]~q\,
	combout => \led_flash_cnt[2341][0]~82981_combout\);

-- Location: FF_X51_Y22_N3
\led_flash_cnt[2341][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2341][0]~82981_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2341][0]~q\);

-- Location: LCCOMB_X50_Y22_N18
\led_flash_cnt[2341][1]~59654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2341][1]~59654_combout\ = (\led_flash_cnt[2341][0]~q\ & (\led_flash_cnt[2341][1]~q\ $ (VCC))) # (!\led_flash_cnt[2341][0]~q\ & (\led_flash_cnt[2341][1]~q\ & VCC))
-- \led_flash_cnt[2341][1]~59655\ = CARRY((\led_flash_cnt[2341][0]~q\ & \led_flash_cnt[2341][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2341][0]~q\,
	datab => \led_flash_cnt[2341][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2341][1]~59654_combout\,
	cout => \led_flash_cnt[2341][1]~59655\);

-- Location: FF_X50_Y22_N19
\led_flash_cnt[2341][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2341][1]~59654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2341][1]~q\);

-- Location: LCCOMB_X50_Y22_N20
\led_flash_cnt[2341][2]~59656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2341][2]~59656_combout\ = (\led_flash_cnt[2341][2]~q\ & (!\led_flash_cnt[2341][1]~59655\)) # (!\led_flash_cnt[2341][2]~q\ & ((\led_flash_cnt[2341][1]~59655\) # (GND)))
-- \led_flash_cnt[2341][2]~59657\ = CARRY((!\led_flash_cnt[2341][1]~59655\) # (!\led_flash_cnt[2341][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2341][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2341][1]~59655\,
	combout => \led_flash_cnt[2341][2]~59656_combout\,
	cout => \led_flash_cnt[2341][2]~59657\);

-- Location: FF_X50_Y22_N21
\led_flash_cnt[2341][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2341][2]~59656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2341][2]~q\);

-- Location: LCCOMB_X50_Y22_N22
\led_flash_cnt[2341][3]~59658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2341][3]~59658_combout\ = (\led_flash_cnt[2341][3]~q\ & (\led_flash_cnt[2341][2]~59657\ $ (GND))) # (!\led_flash_cnt[2341][3]~q\ & (!\led_flash_cnt[2341][2]~59657\ & VCC))
-- \led_flash_cnt[2341][3]~59659\ = CARRY((\led_flash_cnt[2341][3]~q\ & !\led_flash_cnt[2341][2]~59657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2341][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2341][2]~59657\,
	combout => \led_flash_cnt[2341][3]~59658_combout\,
	cout => \led_flash_cnt[2341][3]~59659\);

-- Location: FF_X50_Y22_N23
\led_flash_cnt[2341][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2341][3]~59658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2341][3]~q\);

-- Location: LCCOMB_X50_Y22_N24
\led_flash_cnt[2341][4]~59660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2341][4]~59660_combout\ = (\led_flash_cnt[2341][4]~q\ & (!\led_flash_cnt[2341][3]~59659\)) # (!\led_flash_cnt[2341][4]~q\ & ((\led_flash_cnt[2341][3]~59659\) # (GND)))
-- \led_flash_cnt[2341][4]~59661\ = CARRY((!\led_flash_cnt[2341][3]~59659\) # (!\led_flash_cnt[2341][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2341][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2341][3]~59659\,
	combout => \led_flash_cnt[2341][4]~59660_combout\,
	cout => \led_flash_cnt[2341][4]~59661\);

-- Location: FF_X50_Y22_N25
\led_flash_cnt[2341][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2341][4]~59660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2341][4]~q\);

-- Location: LCCOMB_X50_Y22_N0
\WideAnd2341~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2341~0_combout\ = (\led_flash_cnt[2341][4]~q\ & (\led_flash_cnt[2341][2]~q\ & (\led_flash_cnt[2341][3]~q\ & \led_flash_cnt[2341][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2341][4]~q\,
	datab => \led_flash_cnt[2341][2]~q\,
	datac => \led_flash_cnt[2341][3]~q\,
	datad => \led_flash_cnt[2341][1]~q\,
	combout => \WideAnd2341~0_combout\);

-- Location: LCCOMB_X50_Y22_N26
\led_flash_cnt[2341][5]~59662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2341][5]~59662_combout\ = (\led_flash_cnt[2341][5]~q\ & (\led_flash_cnt[2341][4]~59661\ $ (GND))) # (!\led_flash_cnt[2341][5]~q\ & (!\led_flash_cnt[2341][4]~59661\ & VCC))
-- \led_flash_cnt[2341][5]~59663\ = CARRY((\led_flash_cnt[2341][5]~q\ & !\led_flash_cnt[2341][4]~59661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2341][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2341][4]~59661\,
	combout => \led_flash_cnt[2341][5]~59662_combout\,
	cout => \led_flash_cnt[2341][5]~59663\);

-- Location: FF_X50_Y22_N27
\led_flash_cnt[2341][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2341][5]~59662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2341][5]~q\);

-- Location: LCCOMB_X50_Y22_N28
\led_flash_cnt[2341][6]~59664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2341][6]~59664_combout\ = (\led_flash_cnt[2341][6]~q\ & (!\led_flash_cnt[2341][5]~59663\)) # (!\led_flash_cnt[2341][6]~q\ & ((\led_flash_cnt[2341][5]~59663\) # (GND)))
-- \led_flash_cnt[2341][6]~59665\ = CARRY((!\led_flash_cnt[2341][5]~59663\) # (!\led_flash_cnt[2341][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2341][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2341][5]~59663\,
	combout => \led_flash_cnt[2341][6]~59664_combout\,
	cout => \led_flash_cnt[2341][6]~59665\);

-- Location: FF_X50_Y22_N29
\led_flash_cnt[2341][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2341][6]~59664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2341][6]~q\);

-- Location: LCCOMB_X51_Y22_N28
\WideAnd2341~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2341~1_combout\ = (\led_flash_cnt[2341][5]~q\ & \led_flash_cnt[2341][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2341][5]~q\,
	datad => \led_flash_cnt[2341][6]~q\,
	combout => \WideAnd2341~1_combout\);

-- Location: LCCOMB_X50_Y22_N30
\led_flash_cnt[2341][7]~59666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2341][7]~59666_combout\ = \led_flash_cnt[2341][7]~q\ $ (!\led_flash_cnt[2341][6]~59665\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2341][7]~q\,
	cin => \led_flash_cnt[2341][6]~59665\,
	combout => \led_flash_cnt[2341][7]~59666_combout\);

-- Location: FF_X50_Y22_N31
\led_flash_cnt[2341][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2341][7]~59666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2341][7]~q\);

-- Location: LCCOMB_X51_Y22_N0
WideAnd2341 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2341~combout\ = (\WideAnd2341~0_combout\ & (\WideAnd2341~1_combout\ & (\led_flash_cnt[2341][0]~q\ & \led_flash_cnt[2341][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2341~0_combout\,
	datab => \WideAnd2341~1_combout\,
	datac => \led_flash_cnt[2341][0]~q\,
	datad => \led_flash_cnt[2341][7]~q\,
	combout => \WideAnd2341~combout\);

-- Location: FF_X51_Y22_N1
\led_flash_cnt_ands[2341]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2341~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2341));

-- Location: LCCOMB_X51_Y22_N22
\led_flash_cnt[2340][0]~82980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2340][0]~82980_combout\ = !\led_flash_cnt[2340][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2340][0]~q\,
	combout => \led_flash_cnt[2340][0]~82980_combout\);

-- Location: FF_X51_Y22_N23
\led_flash_cnt[2340][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2340][0]~82980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2340][0]~q\);

-- Location: LCCOMB_X51_Y22_N4
\led_flash_cnt[2340][1]~59640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2340][1]~59640_combout\ = (\led_flash_cnt[2340][0]~q\ & (\led_flash_cnt[2340][1]~q\ $ (VCC))) # (!\led_flash_cnt[2340][0]~q\ & (\led_flash_cnt[2340][1]~q\ & VCC))
-- \led_flash_cnt[2340][1]~59641\ = CARRY((\led_flash_cnt[2340][0]~q\ & \led_flash_cnt[2340][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2340][0]~q\,
	datab => \led_flash_cnt[2340][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2340][1]~59640_combout\,
	cout => \led_flash_cnt[2340][1]~59641\);

-- Location: FF_X51_Y22_N5
\led_flash_cnt[2340][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2340][1]~59640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2340][1]~q\);

-- Location: LCCOMB_X51_Y22_N6
\led_flash_cnt[2340][2]~59642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2340][2]~59642_combout\ = (\led_flash_cnt[2340][2]~q\ & (!\led_flash_cnt[2340][1]~59641\)) # (!\led_flash_cnt[2340][2]~q\ & ((\led_flash_cnt[2340][1]~59641\) # (GND)))
-- \led_flash_cnt[2340][2]~59643\ = CARRY((!\led_flash_cnt[2340][1]~59641\) # (!\led_flash_cnt[2340][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2340][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2340][1]~59641\,
	combout => \led_flash_cnt[2340][2]~59642_combout\,
	cout => \led_flash_cnt[2340][2]~59643\);

-- Location: FF_X51_Y22_N7
\led_flash_cnt[2340][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2340][2]~59642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2340][2]~q\);

-- Location: LCCOMB_X51_Y22_N8
\led_flash_cnt[2340][3]~59644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2340][3]~59644_combout\ = (\led_flash_cnt[2340][3]~q\ & (\led_flash_cnt[2340][2]~59643\ $ (GND))) # (!\led_flash_cnt[2340][3]~q\ & (!\led_flash_cnt[2340][2]~59643\ & VCC))
-- \led_flash_cnt[2340][3]~59645\ = CARRY((\led_flash_cnt[2340][3]~q\ & !\led_flash_cnt[2340][2]~59643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2340][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2340][2]~59643\,
	combout => \led_flash_cnt[2340][3]~59644_combout\,
	cout => \led_flash_cnt[2340][3]~59645\);

-- Location: FF_X51_Y22_N9
\led_flash_cnt[2340][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2340][3]~59644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2340][3]~q\);

-- Location: LCCOMB_X51_Y22_N10
\led_flash_cnt[2340][4]~59646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2340][4]~59646_combout\ = (\led_flash_cnt[2340][4]~q\ & (!\led_flash_cnt[2340][3]~59645\)) # (!\led_flash_cnt[2340][4]~q\ & ((\led_flash_cnt[2340][3]~59645\) # (GND)))
-- \led_flash_cnt[2340][4]~59647\ = CARRY((!\led_flash_cnt[2340][3]~59645\) # (!\led_flash_cnt[2340][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2340][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2340][3]~59645\,
	combout => \led_flash_cnt[2340][4]~59646_combout\,
	cout => \led_flash_cnt[2340][4]~59647\);

-- Location: FF_X51_Y22_N11
\led_flash_cnt[2340][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2340][4]~59646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2340][4]~q\);

-- Location: LCCOMB_X51_Y22_N12
\led_flash_cnt[2340][5]~59648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2340][5]~59648_combout\ = (\led_flash_cnt[2340][5]~q\ & (\led_flash_cnt[2340][4]~59647\ $ (GND))) # (!\led_flash_cnt[2340][5]~q\ & (!\led_flash_cnt[2340][4]~59647\ & VCC))
-- \led_flash_cnt[2340][5]~59649\ = CARRY((\led_flash_cnt[2340][5]~q\ & !\led_flash_cnt[2340][4]~59647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2340][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2340][4]~59647\,
	combout => \led_flash_cnt[2340][5]~59648_combout\,
	cout => \led_flash_cnt[2340][5]~59649\);

-- Location: FF_X51_Y22_N13
\led_flash_cnt[2340][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2340][5]~59648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2340][5]~q\);

-- Location: LCCOMB_X51_Y22_N14
\led_flash_cnt[2340][6]~59650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2340][6]~59650_combout\ = (\led_flash_cnt[2340][6]~q\ & (!\led_flash_cnt[2340][5]~59649\)) # (!\led_flash_cnt[2340][6]~q\ & ((\led_flash_cnt[2340][5]~59649\) # (GND)))
-- \led_flash_cnt[2340][6]~59651\ = CARRY((!\led_flash_cnt[2340][5]~59649\) # (!\led_flash_cnt[2340][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2340][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2340][5]~59649\,
	combout => \led_flash_cnt[2340][6]~59650_combout\,
	cout => \led_flash_cnt[2340][6]~59651\);

-- Location: FF_X51_Y22_N15
\led_flash_cnt[2340][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2340][6]~59650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2340][6]~q\);

-- Location: LCCOMB_X51_Y22_N16
\led_flash_cnt[2340][7]~59652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2340][7]~59652_combout\ = \led_flash_cnt[2340][6]~59651\ $ (!\led_flash_cnt[2340][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2340][7]~q\,
	cin => \led_flash_cnt[2340][6]~59651\,
	combout => \led_flash_cnt[2340][7]~59652_combout\);

-- Location: FF_X51_Y22_N17
\led_flash_cnt[2340][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2340][7]~59652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2340][7]~q\);

-- Location: LCCOMB_X51_Y22_N26
\WideAnd2340~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2340~0_combout\ = (\led_flash_cnt[2340][4]~q\ & (\led_flash_cnt[2340][1]~q\ & (\led_flash_cnt[2340][3]~q\ & \led_flash_cnt[2340][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2340][4]~q\,
	datab => \led_flash_cnt[2340][1]~q\,
	datac => \led_flash_cnt[2340][3]~q\,
	datad => \led_flash_cnt[2340][2]~q\,
	combout => \WideAnd2340~0_combout\);

-- Location: LCCOMB_X51_Y22_N20
\WideAnd2340~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2340~1_combout\ = (\led_flash_cnt[2340][6]~q\ & \led_flash_cnt[2340][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2340][6]~q\,
	datad => \led_flash_cnt[2340][5]~q\,
	combout => \WideAnd2340~1_combout\);

-- Location: LCCOMB_X51_Y22_N18
WideAnd2340 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2340~combout\ = (\led_flash_cnt[2340][0]~q\ & (\led_flash_cnt[2340][7]~q\ & (\WideAnd2340~0_combout\ & \WideAnd2340~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2340][0]~q\,
	datab => \led_flash_cnt[2340][7]~q\,
	datac => \WideAnd2340~0_combout\,
	datad => \WideAnd2340~1_combout\,
	combout => \WideAnd2340~combout\);

-- Location: FF_X51_Y22_N19
\led_flash_cnt_ands[2340]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2340~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2340));

-- Location: LCCOMB_X51_Y22_N24
\WideAnd4132~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4132~1_combout\ = (led_flash_cnt_ands(2341) & led_flash_cnt_ands(2340))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2341),
	datad => led_flash_cnt_ands(2340),
	combout => \WideAnd4132~1_combout\);

-- Location: LCCOMB_X46_Y19_N12
\led_flash_cnt[2342][0]~82982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2342][0]~82982_combout\ = !\led_flash_cnt[2342][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2342][0]~q\,
	combout => \led_flash_cnt[2342][0]~82982_combout\);

-- Location: FF_X46_Y19_N13
\led_flash_cnt[2342][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2342][0]~82982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2342][0]~q\);

-- Location: LCCOMB_X46_Y19_N16
\led_flash_cnt[2342][1]~59668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2342][1]~59668_combout\ = (\led_flash_cnt[2342][0]~q\ & (\led_flash_cnt[2342][1]~q\ $ (VCC))) # (!\led_flash_cnt[2342][0]~q\ & (\led_flash_cnt[2342][1]~q\ & VCC))
-- \led_flash_cnt[2342][1]~59669\ = CARRY((\led_flash_cnt[2342][0]~q\ & \led_flash_cnt[2342][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2342][0]~q\,
	datab => \led_flash_cnt[2342][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2342][1]~59668_combout\,
	cout => \led_flash_cnt[2342][1]~59669\);

-- Location: FF_X46_Y19_N17
\led_flash_cnt[2342][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2342][1]~59668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2342][1]~q\);

-- Location: LCCOMB_X46_Y19_N18
\led_flash_cnt[2342][2]~59670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2342][2]~59670_combout\ = (\led_flash_cnt[2342][2]~q\ & (!\led_flash_cnt[2342][1]~59669\)) # (!\led_flash_cnt[2342][2]~q\ & ((\led_flash_cnt[2342][1]~59669\) # (GND)))
-- \led_flash_cnt[2342][2]~59671\ = CARRY((!\led_flash_cnt[2342][1]~59669\) # (!\led_flash_cnt[2342][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2342][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2342][1]~59669\,
	combout => \led_flash_cnt[2342][2]~59670_combout\,
	cout => \led_flash_cnt[2342][2]~59671\);

-- Location: FF_X46_Y19_N19
\led_flash_cnt[2342][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2342][2]~59670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2342][2]~q\);

-- Location: LCCOMB_X46_Y19_N20
\led_flash_cnt[2342][3]~59672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2342][3]~59672_combout\ = (\led_flash_cnt[2342][3]~q\ & (\led_flash_cnt[2342][2]~59671\ $ (GND))) # (!\led_flash_cnt[2342][3]~q\ & (!\led_flash_cnt[2342][2]~59671\ & VCC))
-- \led_flash_cnt[2342][3]~59673\ = CARRY((\led_flash_cnt[2342][3]~q\ & !\led_flash_cnt[2342][2]~59671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2342][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2342][2]~59671\,
	combout => \led_flash_cnt[2342][3]~59672_combout\,
	cout => \led_flash_cnt[2342][3]~59673\);

-- Location: FF_X46_Y19_N21
\led_flash_cnt[2342][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2342][3]~59672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2342][3]~q\);

-- Location: LCCOMB_X46_Y19_N22
\led_flash_cnt[2342][4]~59674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2342][4]~59674_combout\ = (\led_flash_cnt[2342][4]~q\ & (!\led_flash_cnt[2342][3]~59673\)) # (!\led_flash_cnt[2342][4]~q\ & ((\led_flash_cnt[2342][3]~59673\) # (GND)))
-- \led_flash_cnt[2342][4]~59675\ = CARRY((!\led_flash_cnt[2342][3]~59673\) # (!\led_flash_cnt[2342][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2342][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2342][3]~59673\,
	combout => \led_flash_cnt[2342][4]~59674_combout\,
	cout => \led_flash_cnt[2342][4]~59675\);

-- Location: FF_X46_Y19_N23
\led_flash_cnt[2342][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2342][4]~59674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2342][4]~q\);

-- Location: LCCOMB_X46_Y19_N24
\led_flash_cnt[2342][5]~59676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2342][5]~59676_combout\ = (\led_flash_cnt[2342][5]~q\ & (\led_flash_cnt[2342][4]~59675\ $ (GND))) # (!\led_flash_cnt[2342][5]~q\ & (!\led_flash_cnt[2342][4]~59675\ & VCC))
-- \led_flash_cnt[2342][5]~59677\ = CARRY((\led_flash_cnt[2342][5]~q\ & !\led_flash_cnt[2342][4]~59675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2342][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2342][4]~59675\,
	combout => \led_flash_cnt[2342][5]~59676_combout\,
	cout => \led_flash_cnt[2342][5]~59677\);

-- Location: FF_X46_Y19_N25
\led_flash_cnt[2342][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2342][5]~59676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2342][5]~q\);

-- Location: LCCOMB_X46_Y19_N26
\led_flash_cnt[2342][6]~59678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2342][6]~59678_combout\ = (\led_flash_cnt[2342][6]~q\ & (!\led_flash_cnt[2342][5]~59677\)) # (!\led_flash_cnt[2342][6]~q\ & ((\led_flash_cnt[2342][5]~59677\) # (GND)))
-- \led_flash_cnt[2342][6]~59679\ = CARRY((!\led_flash_cnt[2342][5]~59677\) # (!\led_flash_cnt[2342][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2342][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2342][5]~59677\,
	combout => \led_flash_cnt[2342][6]~59678_combout\,
	cout => \led_flash_cnt[2342][6]~59679\);

-- Location: FF_X46_Y19_N27
\led_flash_cnt[2342][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2342][6]~59678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2342][6]~q\);

-- Location: LCCOMB_X46_Y19_N10
\WideAnd2342~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2342~1_combout\ = (\led_flash_cnt[2342][6]~q\ & \led_flash_cnt[2342][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2342][6]~q\,
	datad => \led_flash_cnt[2342][5]~q\,
	combout => \WideAnd2342~1_combout\);

-- Location: LCCOMB_X46_Y19_N28
\led_flash_cnt[2342][7]~59680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2342][7]~59680_combout\ = \led_flash_cnt[2342][6]~59679\ $ (!\led_flash_cnt[2342][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2342][7]~q\,
	cin => \led_flash_cnt[2342][6]~59679\,
	combout => \led_flash_cnt[2342][7]~59680_combout\);

-- Location: FF_X46_Y19_N29
\led_flash_cnt[2342][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2342][7]~59680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2342][7]~q\);

-- Location: LCCOMB_X46_Y19_N30
\WideAnd2342~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2342~0_combout\ = (\led_flash_cnt[2342][2]~q\ & (\led_flash_cnt[2342][1]~q\ & (\led_flash_cnt[2342][4]~q\ & \led_flash_cnt[2342][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2342][2]~q\,
	datab => \led_flash_cnt[2342][1]~q\,
	datac => \led_flash_cnt[2342][4]~q\,
	datad => \led_flash_cnt[2342][3]~q\,
	combout => \WideAnd2342~0_combout\);

-- Location: LCCOMB_X46_Y19_N6
WideAnd2342 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2342~combout\ = (\WideAnd2342~1_combout\ & (\led_flash_cnt[2342][7]~q\ & (\WideAnd2342~0_combout\ & \led_flash_cnt[2342][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2342~1_combout\,
	datab => \led_flash_cnt[2342][7]~q\,
	datac => \WideAnd2342~0_combout\,
	datad => \led_flash_cnt[2342][0]~q\,
	combout => \WideAnd2342~combout\);

-- Location: FF_X46_Y19_N7
\led_flash_cnt_ands[2342]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2342~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2342));

-- Location: LCCOMB_X47_Y26_N20
\led_flash_cnt[2339][0]~82979\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2339][0]~82979_combout\ = !\led_flash_cnt[2339][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2339][0]~q\,
	combout => \led_flash_cnt[2339][0]~82979_combout\);

-- Location: FF_X47_Y26_N21
\led_flash_cnt[2339][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2339][0]~82979_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2339][0]~q\);

-- Location: LCCOMB_X47_Y26_N0
\led_flash_cnt[2339][1]~59626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2339][1]~59626_combout\ = (\led_flash_cnt[2339][1]~q\ & (\led_flash_cnt[2339][0]~q\ $ (VCC))) # (!\led_flash_cnt[2339][1]~q\ & (\led_flash_cnt[2339][0]~q\ & VCC))
-- \led_flash_cnt[2339][1]~59627\ = CARRY((\led_flash_cnt[2339][1]~q\ & \led_flash_cnt[2339][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2339][1]~q\,
	datab => \led_flash_cnt[2339][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2339][1]~59626_combout\,
	cout => \led_flash_cnt[2339][1]~59627\);

-- Location: FF_X47_Y26_N1
\led_flash_cnt[2339][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2339][1]~59626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2339][1]~q\);

-- Location: LCCOMB_X47_Y26_N2
\led_flash_cnt[2339][2]~59628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2339][2]~59628_combout\ = (\led_flash_cnt[2339][2]~q\ & (!\led_flash_cnt[2339][1]~59627\)) # (!\led_flash_cnt[2339][2]~q\ & ((\led_flash_cnt[2339][1]~59627\) # (GND)))
-- \led_flash_cnt[2339][2]~59629\ = CARRY((!\led_flash_cnt[2339][1]~59627\) # (!\led_flash_cnt[2339][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2339][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2339][1]~59627\,
	combout => \led_flash_cnt[2339][2]~59628_combout\,
	cout => \led_flash_cnt[2339][2]~59629\);

-- Location: FF_X47_Y26_N3
\led_flash_cnt[2339][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2339][2]~59628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2339][2]~q\);

-- Location: LCCOMB_X47_Y26_N4
\led_flash_cnt[2339][3]~59630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2339][3]~59630_combout\ = (\led_flash_cnt[2339][3]~q\ & (\led_flash_cnt[2339][2]~59629\ $ (GND))) # (!\led_flash_cnt[2339][3]~q\ & (!\led_flash_cnt[2339][2]~59629\ & VCC))
-- \led_flash_cnt[2339][3]~59631\ = CARRY((\led_flash_cnt[2339][3]~q\ & !\led_flash_cnt[2339][2]~59629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2339][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2339][2]~59629\,
	combout => \led_flash_cnt[2339][3]~59630_combout\,
	cout => \led_flash_cnt[2339][3]~59631\);

-- Location: FF_X47_Y26_N5
\led_flash_cnt[2339][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2339][3]~59630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2339][3]~q\);

-- Location: LCCOMB_X47_Y26_N6
\led_flash_cnt[2339][4]~59632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2339][4]~59632_combout\ = (\led_flash_cnt[2339][4]~q\ & (!\led_flash_cnt[2339][3]~59631\)) # (!\led_flash_cnt[2339][4]~q\ & ((\led_flash_cnt[2339][3]~59631\) # (GND)))
-- \led_flash_cnt[2339][4]~59633\ = CARRY((!\led_flash_cnt[2339][3]~59631\) # (!\led_flash_cnt[2339][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2339][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2339][3]~59631\,
	combout => \led_flash_cnt[2339][4]~59632_combout\,
	cout => \led_flash_cnt[2339][4]~59633\);

-- Location: FF_X47_Y26_N7
\led_flash_cnt[2339][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2339][4]~59632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2339][4]~q\);

-- Location: LCCOMB_X47_Y26_N8
\led_flash_cnt[2339][5]~59634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2339][5]~59634_combout\ = (\led_flash_cnt[2339][5]~q\ & (\led_flash_cnt[2339][4]~59633\ $ (GND))) # (!\led_flash_cnt[2339][5]~q\ & (!\led_flash_cnt[2339][4]~59633\ & VCC))
-- \led_flash_cnt[2339][5]~59635\ = CARRY((\led_flash_cnt[2339][5]~q\ & !\led_flash_cnt[2339][4]~59633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2339][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2339][4]~59633\,
	combout => \led_flash_cnt[2339][5]~59634_combout\,
	cout => \led_flash_cnt[2339][5]~59635\);

-- Location: FF_X47_Y26_N9
\led_flash_cnt[2339][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2339][5]~59634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2339][5]~q\);

-- Location: LCCOMB_X47_Y26_N10
\led_flash_cnt[2339][6]~59636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2339][6]~59636_combout\ = (\led_flash_cnt[2339][6]~q\ & (!\led_flash_cnt[2339][5]~59635\)) # (!\led_flash_cnt[2339][6]~q\ & ((\led_flash_cnt[2339][5]~59635\) # (GND)))
-- \led_flash_cnt[2339][6]~59637\ = CARRY((!\led_flash_cnt[2339][5]~59635\) # (!\led_flash_cnt[2339][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2339][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2339][5]~59635\,
	combout => \led_flash_cnt[2339][6]~59636_combout\,
	cout => \led_flash_cnt[2339][6]~59637\);

-- Location: FF_X47_Y26_N11
\led_flash_cnt[2339][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2339][6]~59636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2339][6]~q\);

-- Location: LCCOMB_X47_Y26_N12
\led_flash_cnt[2339][7]~59638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2339][7]~59638_combout\ = \led_flash_cnt[2339][6]~59637\ $ (!\led_flash_cnt[2339][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2339][7]~q\,
	cin => \led_flash_cnt[2339][6]~59637\,
	combout => \led_flash_cnt[2339][7]~59638_combout\);

-- Location: FF_X47_Y26_N13
\led_flash_cnt[2339][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2339][7]~59638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2339][7]~q\);

-- Location: LCCOMB_X47_Y26_N26
\WideAnd2339~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2339~0_combout\ = (\led_flash_cnt[2339][4]~q\ & (\led_flash_cnt[2339][1]~q\ & (\led_flash_cnt[2339][3]~q\ & \led_flash_cnt[2339][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2339][4]~q\,
	datab => \led_flash_cnt[2339][1]~q\,
	datac => \led_flash_cnt[2339][3]~q\,
	datad => \led_flash_cnt[2339][2]~q\,
	combout => \WideAnd2339~0_combout\);

-- Location: LCCOMB_X47_Y26_N18
\WideAnd2339~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2339~1_combout\ = (\led_flash_cnt[2339][5]~q\ & \led_flash_cnt[2339][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2339][5]~q\,
	datad => \led_flash_cnt[2339][6]~q\,
	combout => \WideAnd2339~1_combout\);

-- Location: LCCOMB_X47_Y26_N24
WideAnd2339 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2339~combout\ = (\led_flash_cnt[2339][7]~q\ & (\led_flash_cnt[2339][0]~q\ & (\WideAnd2339~0_combout\ & \WideAnd2339~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2339][7]~q\,
	datab => \led_flash_cnt[2339][0]~q\,
	datac => \WideAnd2339~0_combout\,
	datad => \WideAnd2339~1_combout\,
	combout => \WideAnd2339~combout\);

-- Location: FF_X47_Y26_N25
\led_flash_cnt_ands[2339]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2339~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2339));

-- Location: LCCOMB_X57_Y20_N6
\led_flash_cnt[2338][0]~82978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2338][0]~82978_combout\ = !\led_flash_cnt[2338][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2338][0]~q\,
	combout => \led_flash_cnt[2338][0]~82978_combout\);

-- Location: FF_X57_Y20_N7
\led_flash_cnt[2338][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2338][0]~82978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2338][0]~q\);

-- Location: LCCOMB_X58_Y20_N18
\led_flash_cnt[2338][1]~59612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2338][1]~59612_combout\ = (\led_flash_cnt[2338][0]~q\ & (\led_flash_cnt[2338][1]~q\ $ (VCC))) # (!\led_flash_cnt[2338][0]~q\ & (\led_flash_cnt[2338][1]~q\ & VCC))
-- \led_flash_cnt[2338][1]~59613\ = CARRY((\led_flash_cnt[2338][0]~q\ & \led_flash_cnt[2338][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2338][0]~q\,
	datab => \led_flash_cnt[2338][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2338][1]~59612_combout\,
	cout => \led_flash_cnt[2338][1]~59613\);

-- Location: FF_X58_Y20_N19
\led_flash_cnt[2338][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2338][1]~59612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2338][1]~q\);

-- Location: LCCOMB_X58_Y20_N20
\led_flash_cnt[2338][2]~59614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2338][2]~59614_combout\ = (\led_flash_cnt[2338][2]~q\ & (!\led_flash_cnt[2338][1]~59613\)) # (!\led_flash_cnt[2338][2]~q\ & ((\led_flash_cnt[2338][1]~59613\) # (GND)))
-- \led_flash_cnt[2338][2]~59615\ = CARRY((!\led_flash_cnt[2338][1]~59613\) # (!\led_flash_cnt[2338][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2338][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2338][1]~59613\,
	combout => \led_flash_cnt[2338][2]~59614_combout\,
	cout => \led_flash_cnt[2338][2]~59615\);

-- Location: FF_X58_Y20_N21
\led_flash_cnt[2338][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2338][2]~59614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2338][2]~q\);

-- Location: LCCOMB_X58_Y20_N22
\led_flash_cnt[2338][3]~59616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2338][3]~59616_combout\ = (\led_flash_cnt[2338][3]~q\ & (\led_flash_cnt[2338][2]~59615\ $ (GND))) # (!\led_flash_cnt[2338][3]~q\ & (!\led_flash_cnt[2338][2]~59615\ & VCC))
-- \led_flash_cnt[2338][3]~59617\ = CARRY((\led_flash_cnt[2338][3]~q\ & !\led_flash_cnt[2338][2]~59615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2338][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2338][2]~59615\,
	combout => \led_flash_cnt[2338][3]~59616_combout\,
	cout => \led_flash_cnt[2338][3]~59617\);

-- Location: FF_X58_Y20_N23
\led_flash_cnt[2338][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2338][3]~59616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2338][3]~q\);

-- Location: LCCOMB_X58_Y20_N24
\led_flash_cnt[2338][4]~59618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2338][4]~59618_combout\ = (\led_flash_cnt[2338][4]~q\ & (!\led_flash_cnt[2338][3]~59617\)) # (!\led_flash_cnt[2338][4]~q\ & ((\led_flash_cnt[2338][3]~59617\) # (GND)))
-- \led_flash_cnt[2338][4]~59619\ = CARRY((!\led_flash_cnt[2338][3]~59617\) # (!\led_flash_cnt[2338][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2338][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2338][3]~59617\,
	combout => \led_flash_cnt[2338][4]~59618_combout\,
	cout => \led_flash_cnt[2338][4]~59619\);

-- Location: FF_X58_Y20_N25
\led_flash_cnt[2338][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2338][4]~59618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2338][4]~q\);

-- Location: LCCOMB_X58_Y20_N26
\led_flash_cnt[2338][5]~59620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2338][5]~59620_combout\ = (\led_flash_cnt[2338][5]~q\ & (\led_flash_cnt[2338][4]~59619\ $ (GND))) # (!\led_flash_cnt[2338][5]~q\ & (!\led_flash_cnt[2338][4]~59619\ & VCC))
-- \led_flash_cnt[2338][5]~59621\ = CARRY((\led_flash_cnt[2338][5]~q\ & !\led_flash_cnt[2338][4]~59619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2338][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2338][4]~59619\,
	combout => \led_flash_cnt[2338][5]~59620_combout\,
	cout => \led_flash_cnt[2338][5]~59621\);

-- Location: FF_X58_Y20_N27
\led_flash_cnt[2338][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2338][5]~59620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2338][5]~q\);

-- Location: LCCOMB_X58_Y20_N28
\led_flash_cnt[2338][6]~59622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2338][6]~59622_combout\ = (\led_flash_cnt[2338][6]~q\ & (!\led_flash_cnt[2338][5]~59621\)) # (!\led_flash_cnt[2338][6]~q\ & ((\led_flash_cnt[2338][5]~59621\) # (GND)))
-- \led_flash_cnt[2338][6]~59623\ = CARRY((!\led_flash_cnt[2338][5]~59621\) # (!\led_flash_cnt[2338][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2338][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2338][5]~59621\,
	combout => \led_flash_cnt[2338][6]~59622_combout\,
	cout => \led_flash_cnt[2338][6]~59623\);

-- Location: FF_X58_Y20_N29
\led_flash_cnt[2338][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2338][6]~59622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2338][6]~q\);

-- Location: LCCOMB_X57_Y20_N26
\WideAnd2338~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2338~1_combout\ = (\led_flash_cnt[2338][6]~q\ & \led_flash_cnt[2338][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2338][6]~q\,
	datad => \led_flash_cnt[2338][5]~q\,
	combout => \WideAnd2338~1_combout\);

-- Location: LCCOMB_X57_Y20_N8
\WideAnd2338~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2338~0_combout\ = (\led_flash_cnt[2338][3]~q\ & (\led_flash_cnt[2338][4]~q\ & (\led_flash_cnt[2338][2]~q\ & \led_flash_cnt[2338][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2338][3]~q\,
	datab => \led_flash_cnt[2338][4]~q\,
	datac => \led_flash_cnt[2338][2]~q\,
	datad => \led_flash_cnt[2338][1]~q\,
	combout => \WideAnd2338~0_combout\);

-- Location: LCCOMB_X58_Y20_N30
\led_flash_cnt[2338][7]~59624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2338][7]~59624_combout\ = \led_flash_cnt[2338][7]~q\ $ (!\led_flash_cnt[2338][6]~59623\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2338][7]~q\,
	cin => \led_flash_cnt[2338][6]~59623\,
	combout => \led_flash_cnt[2338][7]~59624_combout\);

-- Location: FF_X58_Y20_N31
\led_flash_cnt[2338][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2338][7]~59624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2338][7]~q\);

-- Location: LCCOMB_X57_Y20_N4
WideAnd2338 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2338~combout\ = (\WideAnd2338~1_combout\ & (\WideAnd2338~0_combout\ & (\led_flash_cnt[2338][7]~q\ & \led_flash_cnt[2338][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2338~1_combout\,
	datab => \WideAnd2338~0_combout\,
	datac => \led_flash_cnt[2338][7]~q\,
	datad => \led_flash_cnt[2338][0]~q\,
	combout => \WideAnd2338~combout\);

-- Location: FF_X57_Y20_N5
\led_flash_cnt_ands[2338]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2338~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2338));

-- Location: LCCOMB_X38_Y11_N2
\led_flash_cnt[2337][0]~82977\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2337][0]~82977_combout\ = !\led_flash_cnt[2337][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2337][0]~q\,
	combout => \led_flash_cnt[2337][0]~82977_combout\);

-- Location: FF_X38_Y11_N3
\led_flash_cnt[2337][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2337][0]~82977_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2337][0]~q\);

-- Location: LCCOMB_X37_Y11_N16
\led_flash_cnt[2337][1]~59598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2337][1]~59598_combout\ = (\led_flash_cnt[2337][0]~q\ & (\led_flash_cnt[2337][1]~q\ $ (VCC))) # (!\led_flash_cnt[2337][0]~q\ & (\led_flash_cnt[2337][1]~q\ & VCC))
-- \led_flash_cnt[2337][1]~59599\ = CARRY((\led_flash_cnt[2337][0]~q\ & \led_flash_cnt[2337][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2337][0]~q\,
	datab => \led_flash_cnt[2337][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2337][1]~59598_combout\,
	cout => \led_flash_cnt[2337][1]~59599\);

-- Location: FF_X37_Y11_N17
\led_flash_cnt[2337][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2337][1]~59598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2337][1]~q\);

-- Location: LCCOMB_X37_Y11_N18
\led_flash_cnt[2337][2]~59600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2337][2]~59600_combout\ = (\led_flash_cnt[2337][2]~q\ & (!\led_flash_cnt[2337][1]~59599\)) # (!\led_flash_cnt[2337][2]~q\ & ((\led_flash_cnt[2337][1]~59599\) # (GND)))
-- \led_flash_cnt[2337][2]~59601\ = CARRY((!\led_flash_cnt[2337][1]~59599\) # (!\led_flash_cnt[2337][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2337][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2337][1]~59599\,
	combout => \led_flash_cnt[2337][2]~59600_combout\,
	cout => \led_flash_cnt[2337][2]~59601\);

-- Location: FF_X37_Y11_N19
\led_flash_cnt[2337][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2337][2]~59600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2337][2]~q\);

-- Location: LCCOMB_X37_Y11_N20
\led_flash_cnt[2337][3]~59602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2337][3]~59602_combout\ = (\led_flash_cnt[2337][3]~q\ & (\led_flash_cnt[2337][2]~59601\ $ (GND))) # (!\led_flash_cnt[2337][3]~q\ & (!\led_flash_cnt[2337][2]~59601\ & VCC))
-- \led_flash_cnt[2337][3]~59603\ = CARRY((\led_flash_cnt[2337][3]~q\ & !\led_flash_cnt[2337][2]~59601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2337][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2337][2]~59601\,
	combout => \led_flash_cnt[2337][3]~59602_combout\,
	cout => \led_flash_cnt[2337][3]~59603\);

-- Location: FF_X37_Y11_N21
\led_flash_cnt[2337][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2337][3]~59602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2337][3]~q\);

-- Location: LCCOMB_X37_Y11_N22
\led_flash_cnt[2337][4]~59604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2337][4]~59604_combout\ = (\led_flash_cnt[2337][4]~q\ & (!\led_flash_cnt[2337][3]~59603\)) # (!\led_flash_cnt[2337][4]~q\ & ((\led_flash_cnt[2337][3]~59603\) # (GND)))
-- \led_flash_cnt[2337][4]~59605\ = CARRY((!\led_flash_cnt[2337][3]~59603\) # (!\led_flash_cnt[2337][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2337][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2337][3]~59603\,
	combout => \led_flash_cnt[2337][4]~59604_combout\,
	cout => \led_flash_cnt[2337][4]~59605\);

-- Location: FF_X37_Y11_N23
\led_flash_cnt[2337][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2337][4]~59604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2337][4]~q\);

-- Location: LCCOMB_X37_Y11_N14
\WideAnd2337~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2337~0_combout\ = (\led_flash_cnt[2337][3]~q\ & (\led_flash_cnt[2337][2]~q\ & (\led_flash_cnt[2337][4]~q\ & \led_flash_cnt[2337][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2337][3]~q\,
	datab => \led_flash_cnt[2337][2]~q\,
	datac => \led_flash_cnt[2337][4]~q\,
	datad => \led_flash_cnt[2337][1]~q\,
	combout => \WideAnd2337~0_combout\);

-- Location: LCCOMB_X37_Y11_N24
\led_flash_cnt[2337][5]~59606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2337][5]~59606_combout\ = (\led_flash_cnt[2337][5]~q\ & (\led_flash_cnt[2337][4]~59605\ $ (GND))) # (!\led_flash_cnt[2337][5]~q\ & (!\led_flash_cnt[2337][4]~59605\ & VCC))
-- \led_flash_cnt[2337][5]~59607\ = CARRY((\led_flash_cnt[2337][5]~q\ & !\led_flash_cnt[2337][4]~59605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2337][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2337][4]~59605\,
	combout => \led_flash_cnt[2337][5]~59606_combout\,
	cout => \led_flash_cnt[2337][5]~59607\);

-- Location: FF_X37_Y11_N25
\led_flash_cnt[2337][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2337][5]~59606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2337][5]~q\);

-- Location: LCCOMB_X37_Y11_N26
\led_flash_cnt[2337][6]~59608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2337][6]~59608_combout\ = (\led_flash_cnt[2337][6]~q\ & (!\led_flash_cnt[2337][5]~59607\)) # (!\led_flash_cnt[2337][6]~q\ & ((\led_flash_cnt[2337][5]~59607\) # (GND)))
-- \led_flash_cnt[2337][6]~59609\ = CARRY((!\led_flash_cnt[2337][5]~59607\) # (!\led_flash_cnt[2337][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2337][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2337][5]~59607\,
	combout => \led_flash_cnt[2337][6]~59608_combout\,
	cout => \led_flash_cnt[2337][6]~59609\);

-- Location: FF_X37_Y11_N27
\led_flash_cnt[2337][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2337][6]~59608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2337][6]~q\);

-- Location: LCCOMB_X37_Y11_N28
\led_flash_cnt[2337][7]~59610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2337][7]~59610_combout\ = \led_flash_cnt[2337][6]~59609\ $ (!\led_flash_cnt[2337][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2337][7]~q\,
	cin => \led_flash_cnt[2337][6]~59609\,
	combout => \led_flash_cnt[2337][7]~59610_combout\);

-- Location: FF_X37_Y11_N29
\led_flash_cnt[2337][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2337][7]~59610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2337][7]~q\);

-- Location: LCCOMB_X38_Y11_N18
\WideAnd2337~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2337~1_combout\ = (\led_flash_cnt[2337][6]~q\ & \led_flash_cnt[2337][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2337][6]~q\,
	datad => \led_flash_cnt[2337][5]~q\,
	combout => \WideAnd2337~1_combout\);

-- Location: LCCOMB_X38_Y11_N0
WideAnd2337 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2337~combout\ = (\WideAnd2337~0_combout\ & (\led_flash_cnt[2337][7]~q\ & (\led_flash_cnt[2337][0]~q\ & \WideAnd2337~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2337~0_combout\,
	datab => \led_flash_cnt[2337][7]~q\,
	datac => \led_flash_cnt[2337][0]~q\,
	datad => \WideAnd2337~1_combout\,
	combout => \WideAnd2337~combout\);

-- Location: FF_X38_Y11_N1
\led_flash_cnt_ands[2337]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2337~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2337));

-- Location: LCCOMB_X57_Y20_N0
\led_flash_cnt[2336][0]~82976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2336][0]~82976_combout\ = !\led_flash_cnt[2336][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2336][0]~q\,
	combout => \led_flash_cnt[2336][0]~82976_combout\);

-- Location: FF_X57_Y20_N1
\led_flash_cnt[2336][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2336][0]~82976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2336][0]~q\);

-- Location: LCCOMB_X57_Y20_N10
\led_flash_cnt[2336][1]~59584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2336][1]~59584_combout\ = (\led_flash_cnt[2336][1]~q\ & (\led_flash_cnt[2336][0]~q\ $ (VCC))) # (!\led_flash_cnt[2336][1]~q\ & (\led_flash_cnt[2336][0]~q\ & VCC))
-- \led_flash_cnt[2336][1]~59585\ = CARRY((\led_flash_cnt[2336][1]~q\ & \led_flash_cnt[2336][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2336][1]~q\,
	datab => \led_flash_cnt[2336][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2336][1]~59584_combout\,
	cout => \led_flash_cnt[2336][1]~59585\);

-- Location: FF_X57_Y20_N11
\led_flash_cnt[2336][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2336][1]~59584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2336][1]~q\);

-- Location: LCCOMB_X57_Y20_N12
\led_flash_cnt[2336][2]~59586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2336][2]~59586_combout\ = (\led_flash_cnt[2336][2]~q\ & (!\led_flash_cnt[2336][1]~59585\)) # (!\led_flash_cnt[2336][2]~q\ & ((\led_flash_cnt[2336][1]~59585\) # (GND)))
-- \led_flash_cnt[2336][2]~59587\ = CARRY((!\led_flash_cnt[2336][1]~59585\) # (!\led_flash_cnt[2336][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2336][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2336][1]~59585\,
	combout => \led_flash_cnt[2336][2]~59586_combout\,
	cout => \led_flash_cnt[2336][2]~59587\);

-- Location: FF_X57_Y20_N13
\led_flash_cnt[2336][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2336][2]~59586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2336][2]~q\);

-- Location: LCCOMB_X57_Y20_N14
\led_flash_cnt[2336][3]~59588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2336][3]~59588_combout\ = (\led_flash_cnt[2336][3]~q\ & (\led_flash_cnt[2336][2]~59587\ $ (GND))) # (!\led_flash_cnt[2336][3]~q\ & (!\led_flash_cnt[2336][2]~59587\ & VCC))
-- \led_flash_cnt[2336][3]~59589\ = CARRY((\led_flash_cnt[2336][3]~q\ & !\led_flash_cnt[2336][2]~59587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2336][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2336][2]~59587\,
	combout => \led_flash_cnt[2336][3]~59588_combout\,
	cout => \led_flash_cnt[2336][3]~59589\);

-- Location: FF_X57_Y20_N15
\led_flash_cnt[2336][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2336][3]~59588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2336][3]~q\);

-- Location: LCCOMB_X57_Y20_N16
\led_flash_cnt[2336][4]~59590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2336][4]~59590_combout\ = (\led_flash_cnt[2336][4]~q\ & (!\led_flash_cnt[2336][3]~59589\)) # (!\led_flash_cnt[2336][4]~q\ & ((\led_flash_cnt[2336][3]~59589\) # (GND)))
-- \led_flash_cnt[2336][4]~59591\ = CARRY((!\led_flash_cnt[2336][3]~59589\) # (!\led_flash_cnt[2336][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2336][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2336][3]~59589\,
	combout => \led_flash_cnt[2336][4]~59590_combout\,
	cout => \led_flash_cnt[2336][4]~59591\);

-- Location: FF_X57_Y20_N17
\led_flash_cnt[2336][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2336][4]~59590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2336][4]~q\);

-- Location: LCCOMB_X57_Y20_N18
\led_flash_cnt[2336][5]~59592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2336][5]~59592_combout\ = (\led_flash_cnt[2336][5]~q\ & (\led_flash_cnt[2336][4]~59591\ $ (GND))) # (!\led_flash_cnt[2336][5]~q\ & (!\led_flash_cnt[2336][4]~59591\ & VCC))
-- \led_flash_cnt[2336][5]~59593\ = CARRY((\led_flash_cnt[2336][5]~q\ & !\led_flash_cnt[2336][4]~59591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2336][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2336][4]~59591\,
	combout => \led_flash_cnt[2336][5]~59592_combout\,
	cout => \led_flash_cnt[2336][5]~59593\);

-- Location: FF_X57_Y20_N19
\led_flash_cnt[2336][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2336][5]~59592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2336][5]~q\);

-- Location: LCCOMB_X57_Y20_N20
\led_flash_cnt[2336][6]~59594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2336][6]~59594_combout\ = (\led_flash_cnt[2336][6]~q\ & (!\led_flash_cnt[2336][5]~59593\)) # (!\led_flash_cnt[2336][6]~q\ & ((\led_flash_cnt[2336][5]~59593\) # (GND)))
-- \led_flash_cnt[2336][6]~59595\ = CARRY((!\led_flash_cnt[2336][5]~59593\) # (!\led_flash_cnt[2336][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2336][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2336][5]~59593\,
	combout => \led_flash_cnt[2336][6]~59594_combout\,
	cout => \led_flash_cnt[2336][6]~59595\);

-- Location: FF_X57_Y20_N21
\led_flash_cnt[2336][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2336][6]~59594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2336][6]~q\);

-- Location: LCCOMB_X57_Y20_N30
\WideAnd2336~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2336~1_combout\ = (\led_flash_cnt[2336][6]~q\ & \led_flash_cnt[2336][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2336][6]~q\,
	datad => \led_flash_cnt[2336][5]~q\,
	combout => \WideAnd2336~1_combout\);

-- Location: LCCOMB_X57_Y20_N22
\led_flash_cnt[2336][7]~59596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2336][7]~59596_combout\ = \led_flash_cnt[2336][7]~q\ $ (!\led_flash_cnt[2336][6]~59595\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2336][7]~q\,
	cin => \led_flash_cnt[2336][6]~59595\,
	combout => \led_flash_cnt[2336][7]~59596_combout\);

-- Location: FF_X57_Y20_N23
\led_flash_cnt[2336][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2336][7]~59596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2336][7]~q\);

-- Location: LCCOMB_X57_Y20_N2
\WideAnd2336~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2336~0_combout\ = (\led_flash_cnt[2336][2]~q\ & (\led_flash_cnt[2336][4]~q\ & (\led_flash_cnt[2336][3]~q\ & \led_flash_cnt[2336][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2336][2]~q\,
	datab => \led_flash_cnt[2336][4]~q\,
	datac => \led_flash_cnt[2336][3]~q\,
	datad => \led_flash_cnt[2336][1]~q\,
	combout => \WideAnd2336~0_combout\);

-- Location: LCCOMB_X57_Y20_N24
WideAnd2336 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2336~combout\ = (\WideAnd2336~1_combout\ & (\led_flash_cnt[2336][0]~q\ & (\led_flash_cnt[2336][7]~q\ & \WideAnd2336~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2336~1_combout\,
	datab => \led_flash_cnt[2336][0]~q\,
	datac => \led_flash_cnt[2336][7]~q\,
	datad => \WideAnd2336~0_combout\,
	combout => \WideAnd2336~combout\);

-- Location: FF_X57_Y20_N25
\led_flash_cnt_ands[2336]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2336~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2336));

-- Location: LCCOMB_X54_Y20_N24
\WideAnd4132~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4132~0_combout\ = (led_flash_cnt_ands(2339) & (led_flash_cnt_ands(2338) & (led_flash_cnt_ands(2337) & led_flash_cnt_ands(2336))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2339),
	datab => led_flash_cnt_ands(2338),
	datac => led_flash_cnt_ands(2337),
	datad => led_flash_cnt_ands(2336),
	combout => \WideAnd4132~0_combout\);

-- Location: LCCOMB_X54_Y20_N30
WideAnd4132 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4132~combout\ = (led_flash_cnt_ands(2343) & (\WideAnd4132~1_combout\ & (led_flash_cnt_ands(2342) & \WideAnd4132~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2343),
	datab => \WideAnd4132~1_combout\,
	datac => led_flash_cnt_ands(2342),
	datad => \WideAnd4132~0_combout\,
	combout => \WideAnd4132~combout\);

-- Location: FF_X54_Y20_N31
\led_flash_cnt_ands_1[292]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4132~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(292));

-- Location: LCCOMB_X62_Y30_N16
\led_flash_cnt[2350][0]~82990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2350][0]~82990_combout\ = !\led_flash_cnt[2350][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2350][0]~q\,
	combout => \led_flash_cnt[2350][0]~82990_combout\);

-- Location: FF_X62_Y30_N17
\led_flash_cnt[2350][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2350][0]~82990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2350][0]~q\);

-- Location: LCCOMB_X61_Y30_N18
\led_flash_cnt[2350][1]~59780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2350][1]~59780_combout\ = (\led_flash_cnt[2350][1]~q\ & (\led_flash_cnt[2350][0]~q\ $ (VCC))) # (!\led_flash_cnt[2350][1]~q\ & (\led_flash_cnt[2350][0]~q\ & VCC))
-- \led_flash_cnt[2350][1]~59781\ = CARRY((\led_flash_cnt[2350][1]~q\ & \led_flash_cnt[2350][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2350][1]~q\,
	datab => \led_flash_cnt[2350][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2350][1]~59780_combout\,
	cout => \led_flash_cnt[2350][1]~59781\);

-- Location: FF_X61_Y30_N19
\led_flash_cnt[2350][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2350][1]~59780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2350][1]~q\);

-- Location: LCCOMB_X61_Y30_N20
\led_flash_cnt[2350][2]~59782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2350][2]~59782_combout\ = (\led_flash_cnt[2350][2]~q\ & (!\led_flash_cnt[2350][1]~59781\)) # (!\led_flash_cnt[2350][2]~q\ & ((\led_flash_cnt[2350][1]~59781\) # (GND)))
-- \led_flash_cnt[2350][2]~59783\ = CARRY((!\led_flash_cnt[2350][1]~59781\) # (!\led_flash_cnt[2350][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2350][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2350][1]~59781\,
	combout => \led_flash_cnt[2350][2]~59782_combout\,
	cout => \led_flash_cnt[2350][2]~59783\);

-- Location: FF_X61_Y30_N21
\led_flash_cnt[2350][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2350][2]~59782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2350][2]~q\);

-- Location: LCCOMB_X61_Y30_N22
\led_flash_cnt[2350][3]~59784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2350][3]~59784_combout\ = (\led_flash_cnt[2350][3]~q\ & (\led_flash_cnt[2350][2]~59783\ $ (GND))) # (!\led_flash_cnt[2350][3]~q\ & (!\led_flash_cnt[2350][2]~59783\ & VCC))
-- \led_flash_cnt[2350][3]~59785\ = CARRY((\led_flash_cnt[2350][3]~q\ & !\led_flash_cnt[2350][2]~59783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2350][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2350][2]~59783\,
	combout => \led_flash_cnt[2350][3]~59784_combout\,
	cout => \led_flash_cnt[2350][3]~59785\);

-- Location: FF_X61_Y30_N23
\led_flash_cnt[2350][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2350][3]~59784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2350][3]~q\);

-- Location: LCCOMB_X61_Y30_N24
\led_flash_cnt[2350][4]~59786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2350][4]~59786_combout\ = (\led_flash_cnt[2350][4]~q\ & (!\led_flash_cnt[2350][3]~59785\)) # (!\led_flash_cnt[2350][4]~q\ & ((\led_flash_cnt[2350][3]~59785\) # (GND)))
-- \led_flash_cnt[2350][4]~59787\ = CARRY((!\led_flash_cnt[2350][3]~59785\) # (!\led_flash_cnt[2350][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2350][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2350][3]~59785\,
	combout => \led_flash_cnt[2350][4]~59786_combout\,
	cout => \led_flash_cnt[2350][4]~59787\);

-- Location: FF_X61_Y30_N25
\led_flash_cnt[2350][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2350][4]~59786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2350][4]~q\);

-- Location: LCCOMB_X62_Y30_N26
\WideAnd2350~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2350~0_combout\ = (\led_flash_cnt[2350][2]~q\ & (\led_flash_cnt[2350][3]~q\ & (\led_flash_cnt[2350][4]~q\ & \led_flash_cnt[2350][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2350][2]~q\,
	datab => \led_flash_cnt[2350][3]~q\,
	datac => \led_flash_cnt[2350][4]~q\,
	datad => \led_flash_cnt[2350][1]~q\,
	combout => \WideAnd2350~0_combout\);

-- Location: LCCOMB_X61_Y30_N26
\led_flash_cnt[2350][5]~59788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2350][5]~59788_combout\ = (\led_flash_cnt[2350][5]~q\ & (\led_flash_cnt[2350][4]~59787\ $ (GND))) # (!\led_flash_cnt[2350][5]~q\ & (!\led_flash_cnt[2350][4]~59787\ & VCC))
-- \led_flash_cnt[2350][5]~59789\ = CARRY((\led_flash_cnt[2350][5]~q\ & !\led_flash_cnt[2350][4]~59787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2350][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2350][4]~59787\,
	combout => \led_flash_cnt[2350][5]~59788_combout\,
	cout => \led_flash_cnt[2350][5]~59789\);

-- Location: FF_X61_Y30_N27
\led_flash_cnt[2350][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2350][5]~59788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2350][5]~q\);

-- Location: LCCOMB_X61_Y30_N28
\led_flash_cnt[2350][6]~59790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2350][6]~59790_combout\ = (\led_flash_cnt[2350][6]~q\ & (!\led_flash_cnt[2350][5]~59789\)) # (!\led_flash_cnt[2350][6]~q\ & ((\led_flash_cnt[2350][5]~59789\) # (GND)))
-- \led_flash_cnt[2350][6]~59791\ = CARRY((!\led_flash_cnt[2350][5]~59789\) # (!\led_flash_cnt[2350][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2350][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2350][5]~59789\,
	combout => \led_flash_cnt[2350][6]~59790_combout\,
	cout => \led_flash_cnt[2350][6]~59791\);

-- Location: FF_X61_Y30_N29
\led_flash_cnt[2350][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2350][6]~59790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2350][6]~q\);

-- Location: LCCOMB_X61_Y30_N30
\led_flash_cnt[2350][7]~59792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2350][7]~59792_combout\ = \led_flash_cnt[2350][7]~q\ $ (!\led_flash_cnt[2350][6]~59791\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2350][7]~q\,
	cin => \led_flash_cnt[2350][6]~59791\,
	combout => \led_flash_cnt[2350][7]~59792_combout\);

-- Location: FF_X61_Y30_N31
\led_flash_cnt[2350][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2350][7]~59792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2350][7]~q\);

-- Location: LCCOMB_X62_Y30_N30
\WideAnd2350~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2350~1_combout\ = (\led_flash_cnt[2350][5]~q\ & \led_flash_cnt[2350][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2350][5]~q\,
	datad => \led_flash_cnt[2350][6]~q\,
	combout => \WideAnd2350~1_combout\);

-- Location: LCCOMB_X62_Y30_N28
WideAnd2350 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2350~combout\ = (\WideAnd2350~0_combout\ & (\led_flash_cnt[2350][7]~q\ & (\WideAnd2350~1_combout\ & \led_flash_cnt[2350][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2350~0_combout\,
	datab => \led_flash_cnt[2350][7]~q\,
	datac => \WideAnd2350~1_combout\,
	datad => \led_flash_cnt[2350][0]~q\,
	combout => \WideAnd2350~combout\);

-- Location: FF_X62_Y30_N29
\led_flash_cnt_ands[2350]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2350~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2350));

-- Location: LCCOMB_X60_Y29_N12
\led_flash_cnt[2347][0]~82987\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2347][0]~82987_combout\ = !\led_flash_cnt[2347][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2347][0]~q\,
	combout => \led_flash_cnt[2347][0]~82987_combout\);

-- Location: FF_X60_Y29_N13
\led_flash_cnt[2347][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2347][0]~82987_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2347][0]~q\);

-- Location: LCCOMB_X59_Y29_N16
\led_flash_cnt[2347][1]~59738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2347][1]~59738_combout\ = (\led_flash_cnt[2347][0]~q\ & (\led_flash_cnt[2347][1]~q\ $ (VCC))) # (!\led_flash_cnt[2347][0]~q\ & (\led_flash_cnt[2347][1]~q\ & VCC))
-- \led_flash_cnt[2347][1]~59739\ = CARRY((\led_flash_cnt[2347][0]~q\ & \led_flash_cnt[2347][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2347][0]~q\,
	datab => \led_flash_cnt[2347][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2347][1]~59738_combout\,
	cout => \led_flash_cnt[2347][1]~59739\);

-- Location: FF_X59_Y29_N17
\led_flash_cnt[2347][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2347][1]~59738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2347][1]~q\);

-- Location: LCCOMB_X59_Y29_N18
\led_flash_cnt[2347][2]~59740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2347][2]~59740_combout\ = (\led_flash_cnt[2347][2]~q\ & (!\led_flash_cnt[2347][1]~59739\)) # (!\led_flash_cnt[2347][2]~q\ & ((\led_flash_cnt[2347][1]~59739\) # (GND)))
-- \led_flash_cnt[2347][2]~59741\ = CARRY((!\led_flash_cnt[2347][1]~59739\) # (!\led_flash_cnt[2347][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2347][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2347][1]~59739\,
	combout => \led_flash_cnt[2347][2]~59740_combout\,
	cout => \led_flash_cnt[2347][2]~59741\);

-- Location: FF_X59_Y29_N19
\led_flash_cnt[2347][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2347][2]~59740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2347][2]~q\);

-- Location: LCCOMB_X59_Y29_N20
\led_flash_cnt[2347][3]~59742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2347][3]~59742_combout\ = (\led_flash_cnt[2347][3]~q\ & (\led_flash_cnt[2347][2]~59741\ $ (GND))) # (!\led_flash_cnt[2347][3]~q\ & (!\led_flash_cnt[2347][2]~59741\ & VCC))
-- \led_flash_cnt[2347][3]~59743\ = CARRY((\led_flash_cnt[2347][3]~q\ & !\led_flash_cnt[2347][2]~59741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2347][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2347][2]~59741\,
	combout => \led_flash_cnt[2347][3]~59742_combout\,
	cout => \led_flash_cnt[2347][3]~59743\);

-- Location: FF_X59_Y29_N21
\led_flash_cnt[2347][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2347][3]~59742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2347][3]~q\);

-- Location: LCCOMB_X59_Y29_N22
\led_flash_cnt[2347][4]~59744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2347][4]~59744_combout\ = (\led_flash_cnt[2347][4]~q\ & (!\led_flash_cnt[2347][3]~59743\)) # (!\led_flash_cnt[2347][4]~q\ & ((\led_flash_cnt[2347][3]~59743\) # (GND)))
-- \led_flash_cnt[2347][4]~59745\ = CARRY((!\led_flash_cnt[2347][3]~59743\) # (!\led_flash_cnt[2347][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2347][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2347][3]~59743\,
	combout => \led_flash_cnt[2347][4]~59744_combout\,
	cout => \led_flash_cnt[2347][4]~59745\);

-- Location: FF_X59_Y29_N23
\led_flash_cnt[2347][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2347][4]~59744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2347][4]~q\);

-- Location: LCCOMB_X59_Y29_N14
\WideAnd2347~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2347~0_combout\ = (\led_flash_cnt[2347][3]~q\ & (\led_flash_cnt[2347][2]~q\ & (\led_flash_cnt[2347][4]~q\ & \led_flash_cnt[2347][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2347][3]~q\,
	datab => \led_flash_cnt[2347][2]~q\,
	datac => \led_flash_cnt[2347][4]~q\,
	datad => \led_flash_cnt[2347][1]~q\,
	combout => \WideAnd2347~0_combout\);

-- Location: LCCOMB_X59_Y29_N24
\led_flash_cnt[2347][5]~59746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2347][5]~59746_combout\ = (\led_flash_cnt[2347][5]~q\ & (\led_flash_cnt[2347][4]~59745\ $ (GND))) # (!\led_flash_cnt[2347][5]~q\ & (!\led_flash_cnt[2347][4]~59745\ & VCC))
-- \led_flash_cnt[2347][5]~59747\ = CARRY((\led_flash_cnt[2347][5]~q\ & !\led_flash_cnt[2347][4]~59745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2347][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2347][4]~59745\,
	combout => \led_flash_cnt[2347][5]~59746_combout\,
	cout => \led_flash_cnt[2347][5]~59747\);

-- Location: FF_X59_Y29_N25
\led_flash_cnt[2347][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2347][5]~59746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2347][5]~q\);

-- Location: LCCOMB_X59_Y29_N26
\led_flash_cnt[2347][6]~59748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2347][6]~59748_combout\ = (\led_flash_cnt[2347][6]~q\ & (!\led_flash_cnt[2347][5]~59747\)) # (!\led_flash_cnt[2347][6]~q\ & ((\led_flash_cnt[2347][5]~59747\) # (GND)))
-- \led_flash_cnt[2347][6]~59749\ = CARRY((!\led_flash_cnt[2347][5]~59747\) # (!\led_flash_cnt[2347][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2347][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2347][5]~59747\,
	combout => \led_flash_cnt[2347][6]~59748_combout\,
	cout => \led_flash_cnt[2347][6]~59749\);

-- Location: FF_X59_Y29_N27
\led_flash_cnt[2347][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2347][6]~59748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2347][6]~q\);

-- Location: LCCOMB_X59_Y29_N28
\led_flash_cnt[2347][7]~59750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2347][7]~59750_combout\ = \led_flash_cnt[2347][6]~59749\ $ (!\led_flash_cnt[2347][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2347][7]~q\,
	cin => \led_flash_cnt[2347][6]~59749\,
	combout => \led_flash_cnt[2347][7]~59750_combout\);

-- Location: FF_X59_Y29_N29
\led_flash_cnt[2347][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2347][7]~59750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2347][7]~q\);

-- Location: LCCOMB_X60_Y29_N30
\WideAnd2347~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2347~1_combout\ = (\led_flash_cnt[2347][6]~q\ & \led_flash_cnt[2347][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2347][6]~q\,
	datad => \led_flash_cnt[2347][5]~q\,
	combout => \WideAnd2347~1_combout\);

-- Location: LCCOMB_X60_Y29_N6
WideAnd2347 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2347~combout\ = (\WideAnd2347~0_combout\ & (\led_flash_cnt[2347][7]~q\ & (\WideAnd2347~1_combout\ & \led_flash_cnt[2347][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2347~0_combout\,
	datab => \led_flash_cnt[2347][7]~q\,
	datac => \WideAnd2347~1_combout\,
	datad => \led_flash_cnt[2347][0]~q\,
	combout => \WideAnd2347~combout\);

-- Location: FF_X60_Y29_N7
\led_flash_cnt_ands[2347]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2347~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2347));

-- Location: LCCOMB_X57_Y29_N2
\led_flash_cnt[2345][0]~82985\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2345][0]~82985_combout\ = !\led_flash_cnt[2345][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2345][0]~q\,
	combout => \led_flash_cnt[2345][0]~82985_combout\);

-- Location: FF_X57_Y29_N3
\led_flash_cnt[2345][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2345][0]~82985_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2345][0]~q\);

-- Location: LCCOMB_X56_Y29_N18
\led_flash_cnt[2345][1]~59710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2345][1]~59710_combout\ = (\led_flash_cnt[2345][0]~q\ & (\led_flash_cnt[2345][1]~q\ $ (VCC))) # (!\led_flash_cnt[2345][0]~q\ & (\led_flash_cnt[2345][1]~q\ & VCC))
-- \led_flash_cnt[2345][1]~59711\ = CARRY((\led_flash_cnt[2345][0]~q\ & \led_flash_cnt[2345][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2345][0]~q\,
	datab => \led_flash_cnt[2345][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2345][1]~59710_combout\,
	cout => \led_flash_cnt[2345][1]~59711\);

-- Location: FF_X56_Y29_N19
\led_flash_cnt[2345][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2345][1]~59710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2345][1]~q\);

-- Location: LCCOMB_X56_Y29_N20
\led_flash_cnt[2345][2]~59712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2345][2]~59712_combout\ = (\led_flash_cnt[2345][2]~q\ & (!\led_flash_cnt[2345][1]~59711\)) # (!\led_flash_cnt[2345][2]~q\ & ((\led_flash_cnt[2345][1]~59711\) # (GND)))
-- \led_flash_cnt[2345][2]~59713\ = CARRY((!\led_flash_cnt[2345][1]~59711\) # (!\led_flash_cnt[2345][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2345][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2345][1]~59711\,
	combout => \led_flash_cnt[2345][2]~59712_combout\,
	cout => \led_flash_cnt[2345][2]~59713\);

-- Location: FF_X56_Y29_N21
\led_flash_cnt[2345][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2345][2]~59712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2345][2]~q\);

-- Location: LCCOMB_X56_Y29_N22
\led_flash_cnt[2345][3]~59714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2345][3]~59714_combout\ = (\led_flash_cnt[2345][3]~q\ & (\led_flash_cnt[2345][2]~59713\ $ (GND))) # (!\led_flash_cnt[2345][3]~q\ & (!\led_flash_cnt[2345][2]~59713\ & VCC))
-- \led_flash_cnt[2345][3]~59715\ = CARRY((\led_flash_cnt[2345][3]~q\ & !\led_flash_cnt[2345][2]~59713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2345][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2345][2]~59713\,
	combout => \led_flash_cnt[2345][3]~59714_combout\,
	cout => \led_flash_cnt[2345][3]~59715\);

-- Location: FF_X56_Y29_N23
\led_flash_cnt[2345][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2345][3]~59714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2345][3]~q\);

-- Location: LCCOMB_X56_Y29_N24
\led_flash_cnt[2345][4]~59716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2345][4]~59716_combout\ = (\led_flash_cnt[2345][4]~q\ & (!\led_flash_cnt[2345][3]~59715\)) # (!\led_flash_cnt[2345][4]~q\ & ((\led_flash_cnt[2345][3]~59715\) # (GND)))
-- \led_flash_cnt[2345][4]~59717\ = CARRY((!\led_flash_cnt[2345][3]~59715\) # (!\led_flash_cnt[2345][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2345][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2345][3]~59715\,
	combout => \led_flash_cnt[2345][4]~59716_combout\,
	cout => \led_flash_cnt[2345][4]~59717\);

-- Location: FF_X56_Y29_N25
\led_flash_cnt[2345][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2345][4]~59716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2345][4]~q\);

-- Location: LCCOMB_X56_Y29_N26
\led_flash_cnt[2345][5]~59718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2345][5]~59718_combout\ = (\led_flash_cnt[2345][5]~q\ & (\led_flash_cnt[2345][4]~59717\ $ (GND))) # (!\led_flash_cnt[2345][5]~q\ & (!\led_flash_cnt[2345][4]~59717\ & VCC))
-- \led_flash_cnt[2345][5]~59719\ = CARRY((\led_flash_cnt[2345][5]~q\ & !\led_flash_cnt[2345][4]~59717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2345][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2345][4]~59717\,
	combout => \led_flash_cnt[2345][5]~59718_combout\,
	cout => \led_flash_cnt[2345][5]~59719\);

-- Location: FF_X56_Y29_N27
\led_flash_cnt[2345][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2345][5]~59718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2345][5]~q\);

-- Location: LCCOMB_X56_Y29_N28
\led_flash_cnt[2345][6]~59720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2345][6]~59720_combout\ = (\led_flash_cnt[2345][6]~q\ & (!\led_flash_cnt[2345][5]~59719\)) # (!\led_flash_cnt[2345][6]~q\ & ((\led_flash_cnt[2345][5]~59719\) # (GND)))
-- \led_flash_cnt[2345][6]~59721\ = CARRY((!\led_flash_cnt[2345][5]~59719\) # (!\led_flash_cnt[2345][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2345][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2345][5]~59719\,
	combout => \led_flash_cnt[2345][6]~59720_combout\,
	cout => \led_flash_cnt[2345][6]~59721\);

-- Location: FF_X56_Y29_N29
\led_flash_cnt[2345][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2345][6]~59720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2345][6]~q\);

-- Location: LCCOMB_X57_Y29_N30
\WideAnd2345~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2345~1_combout\ = (\led_flash_cnt[2345][5]~q\ & \led_flash_cnt[2345][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2345][5]~q\,
	datad => \led_flash_cnt[2345][6]~q\,
	combout => \WideAnd2345~1_combout\);

-- Location: LCCOMB_X56_Y29_N30
\led_flash_cnt[2345][7]~59722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2345][7]~59722_combout\ = \led_flash_cnt[2345][7]~q\ $ (!\led_flash_cnt[2345][6]~59721\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2345][7]~q\,
	cin => \led_flash_cnt[2345][6]~59721\,
	combout => \led_flash_cnt[2345][7]~59722_combout\);

-- Location: FF_X56_Y29_N31
\led_flash_cnt[2345][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2345][7]~59722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2345][7]~q\);

-- Location: LCCOMB_X56_Y29_N0
\WideAnd2345~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2345~0_combout\ = (\led_flash_cnt[2345][4]~q\ & (\led_flash_cnt[2345][2]~q\ & (\led_flash_cnt[2345][3]~q\ & \led_flash_cnt[2345][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2345][4]~q\,
	datab => \led_flash_cnt[2345][2]~q\,
	datac => \led_flash_cnt[2345][3]~q\,
	datad => \led_flash_cnt[2345][1]~q\,
	combout => \WideAnd2345~0_combout\);

-- Location: LCCOMB_X57_Y29_N6
WideAnd2345 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2345~combout\ = (\WideAnd2345~1_combout\ & (\led_flash_cnt[2345][7]~q\ & (\WideAnd2345~0_combout\ & \led_flash_cnt[2345][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2345~1_combout\,
	datab => \led_flash_cnt[2345][7]~q\,
	datac => \WideAnd2345~0_combout\,
	datad => \led_flash_cnt[2345][0]~q\,
	combout => \WideAnd2345~combout\);

-- Location: FF_X57_Y29_N7
\led_flash_cnt_ands[2345]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2345~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2345));

-- Location: LCCOMB_X57_Y29_N12
\led_flash_cnt[2346][0]~82986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2346][0]~82986_combout\ = !\led_flash_cnt[2346][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2346][0]~q\,
	combout => \led_flash_cnt[2346][0]~82986_combout\);

-- Location: FF_X57_Y29_N13
\led_flash_cnt[2346][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2346][0]~82986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2346][0]~q\);

-- Location: LCCOMB_X57_Y29_N16
\led_flash_cnt[2346][1]~59724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2346][1]~59724_combout\ = (\led_flash_cnt[2346][0]~q\ & (\led_flash_cnt[2346][1]~q\ $ (VCC))) # (!\led_flash_cnt[2346][0]~q\ & (\led_flash_cnt[2346][1]~q\ & VCC))
-- \led_flash_cnt[2346][1]~59725\ = CARRY((\led_flash_cnt[2346][0]~q\ & \led_flash_cnt[2346][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2346][0]~q\,
	datab => \led_flash_cnt[2346][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2346][1]~59724_combout\,
	cout => \led_flash_cnt[2346][1]~59725\);

-- Location: FF_X57_Y29_N17
\led_flash_cnt[2346][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2346][1]~59724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2346][1]~q\);

-- Location: LCCOMB_X57_Y29_N18
\led_flash_cnt[2346][2]~59726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2346][2]~59726_combout\ = (\led_flash_cnt[2346][2]~q\ & (!\led_flash_cnt[2346][1]~59725\)) # (!\led_flash_cnt[2346][2]~q\ & ((\led_flash_cnt[2346][1]~59725\) # (GND)))
-- \led_flash_cnt[2346][2]~59727\ = CARRY((!\led_flash_cnt[2346][1]~59725\) # (!\led_flash_cnt[2346][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2346][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2346][1]~59725\,
	combout => \led_flash_cnt[2346][2]~59726_combout\,
	cout => \led_flash_cnt[2346][2]~59727\);

-- Location: FF_X57_Y29_N19
\led_flash_cnt[2346][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2346][2]~59726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2346][2]~q\);

-- Location: LCCOMB_X57_Y29_N20
\led_flash_cnt[2346][3]~59728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2346][3]~59728_combout\ = (\led_flash_cnt[2346][3]~q\ & (\led_flash_cnt[2346][2]~59727\ $ (GND))) # (!\led_flash_cnt[2346][3]~q\ & (!\led_flash_cnt[2346][2]~59727\ & VCC))
-- \led_flash_cnt[2346][3]~59729\ = CARRY((\led_flash_cnt[2346][3]~q\ & !\led_flash_cnt[2346][2]~59727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2346][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2346][2]~59727\,
	combout => \led_flash_cnt[2346][3]~59728_combout\,
	cout => \led_flash_cnt[2346][3]~59729\);

-- Location: FF_X57_Y29_N21
\led_flash_cnt[2346][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2346][3]~59728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2346][3]~q\);

-- Location: LCCOMB_X57_Y29_N22
\led_flash_cnt[2346][4]~59730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2346][4]~59730_combout\ = (\led_flash_cnt[2346][4]~q\ & (!\led_flash_cnt[2346][3]~59729\)) # (!\led_flash_cnt[2346][4]~q\ & ((\led_flash_cnt[2346][3]~59729\) # (GND)))
-- \led_flash_cnt[2346][4]~59731\ = CARRY((!\led_flash_cnt[2346][3]~59729\) # (!\led_flash_cnt[2346][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2346][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2346][3]~59729\,
	combout => \led_flash_cnt[2346][4]~59730_combout\,
	cout => \led_flash_cnt[2346][4]~59731\);

-- Location: FF_X57_Y29_N23
\led_flash_cnt[2346][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2346][4]~59730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2346][4]~q\);

-- Location: LCCOMB_X57_Y29_N24
\led_flash_cnt[2346][5]~59732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2346][5]~59732_combout\ = (\led_flash_cnt[2346][5]~q\ & (\led_flash_cnt[2346][4]~59731\ $ (GND))) # (!\led_flash_cnt[2346][5]~q\ & (!\led_flash_cnt[2346][4]~59731\ & VCC))
-- \led_flash_cnt[2346][5]~59733\ = CARRY((\led_flash_cnt[2346][5]~q\ & !\led_flash_cnt[2346][4]~59731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2346][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2346][4]~59731\,
	combout => \led_flash_cnt[2346][5]~59732_combout\,
	cout => \led_flash_cnt[2346][5]~59733\);

-- Location: FF_X57_Y29_N25
\led_flash_cnt[2346][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2346][5]~59732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2346][5]~q\);

-- Location: LCCOMB_X57_Y29_N26
\led_flash_cnt[2346][6]~59734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2346][6]~59734_combout\ = (\led_flash_cnt[2346][6]~q\ & (!\led_flash_cnt[2346][5]~59733\)) # (!\led_flash_cnt[2346][6]~q\ & ((\led_flash_cnt[2346][5]~59733\) # (GND)))
-- \led_flash_cnt[2346][6]~59735\ = CARRY((!\led_flash_cnt[2346][5]~59733\) # (!\led_flash_cnt[2346][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2346][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2346][5]~59733\,
	combout => \led_flash_cnt[2346][6]~59734_combout\,
	cout => \led_flash_cnt[2346][6]~59735\);

-- Location: FF_X57_Y29_N27
\led_flash_cnt[2346][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2346][6]~59734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2346][6]~q\);

-- Location: LCCOMB_X57_Y29_N10
\WideAnd2346~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2346~1_combout\ = (\led_flash_cnt[2346][6]~q\ & \led_flash_cnt[2346][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2346][6]~q\,
	datad => \led_flash_cnt[2346][5]~q\,
	combout => \WideAnd2346~1_combout\);

-- Location: LCCOMB_X57_Y29_N28
\led_flash_cnt[2346][7]~59736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2346][7]~59736_combout\ = \led_flash_cnt[2346][6]~59735\ $ (!\led_flash_cnt[2346][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2346][7]~q\,
	cin => \led_flash_cnt[2346][6]~59735\,
	combout => \led_flash_cnt[2346][7]~59736_combout\);

-- Location: FF_X57_Y29_N29
\led_flash_cnt[2346][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2346][7]~59736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2346][7]~q\);

-- Location: LCCOMB_X57_Y29_N4
\WideAnd2346~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2346~0_combout\ = (\led_flash_cnt[2346][3]~q\ & (\led_flash_cnt[2346][2]~q\ & (\led_flash_cnt[2346][4]~q\ & \led_flash_cnt[2346][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2346][3]~q\,
	datab => \led_flash_cnt[2346][2]~q\,
	datac => \led_flash_cnt[2346][4]~q\,
	datad => \led_flash_cnt[2346][1]~q\,
	combout => \WideAnd2346~0_combout\);

-- Location: LCCOMB_X57_Y29_N14
WideAnd2346 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2346~combout\ = (\WideAnd2346~1_combout\ & (\led_flash_cnt[2346][7]~q\ & (\WideAnd2346~0_combout\ & \led_flash_cnt[2346][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2346~1_combout\,
	datab => \led_flash_cnt[2346][7]~q\,
	datac => \WideAnd2346~0_combout\,
	datad => \led_flash_cnt[2346][0]~q\,
	combout => \WideAnd2346~combout\);

-- Location: FF_X57_Y29_N15
\led_flash_cnt_ands[2346]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2346~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2346));

-- Location: LCCOMB_X60_Y29_N10
\led_flash_cnt[2344][0]~82984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2344][0]~82984_combout\ = !\led_flash_cnt[2344][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2344][0]~q\,
	combout => \led_flash_cnt[2344][0]~82984_combout\);

-- Location: FF_X60_Y29_N11
\led_flash_cnt[2344][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2344][0]~82984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2344][0]~q\);

-- Location: LCCOMB_X60_Y29_N14
\led_flash_cnt[2344][1]~59696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2344][1]~59696_combout\ = (\led_flash_cnt[2344][0]~q\ & (\led_flash_cnt[2344][1]~q\ $ (VCC))) # (!\led_flash_cnt[2344][0]~q\ & (\led_flash_cnt[2344][1]~q\ & VCC))
-- \led_flash_cnt[2344][1]~59697\ = CARRY((\led_flash_cnt[2344][0]~q\ & \led_flash_cnt[2344][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2344][0]~q\,
	datab => \led_flash_cnt[2344][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2344][1]~59696_combout\,
	cout => \led_flash_cnt[2344][1]~59697\);

-- Location: FF_X60_Y29_N15
\led_flash_cnt[2344][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2344][1]~59696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2344][1]~q\);

-- Location: LCCOMB_X60_Y29_N16
\led_flash_cnt[2344][2]~59698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2344][2]~59698_combout\ = (\led_flash_cnt[2344][2]~q\ & (!\led_flash_cnt[2344][1]~59697\)) # (!\led_flash_cnt[2344][2]~q\ & ((\led_flash_cnt[2344][1]~59697\) # (GND)))
-- \led_flash_cnt[2344][2]~59699\ = CARRY((!\led_flash_cnt[2344][1]~59697\) # (!\led_flash_cnt[2344][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2344][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2344][1]~59697\,
	combout => \led_flash_cnt[2344][2]~59698_combout\,
	cout => \led_flash_cnt[2344][2]~59699\);

-- Location: FF_X60_Y29_N17
\led_flash_cnt[2344][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2344][2]~59698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2344][2]~q\);

-- Location: LCCOMB_X60_Y29_N18
\led_flash_cnt[2344][3]~59700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2344][3]~59700_combout\ = (\led_flash_cnt[2344][3]~q\ & (\led_flash_cnt[2344][2]~59699\ $ (GND))) # (!\led_flash_cnt[2344][3]~q\ & (!\led_flash_cnt[2344][2]~59699\ & VCC))
-- \led_flash_cnt[2344][3]~59701\ = CARRY((\led_flash_cnt[2344][3]~q\ & !\led_flash_cnt[2344][2]~59699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2344][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2344][2]~59699\,
	combout => \led_flash_cnt[2344][3]~59700_combout\,
	cout => \led_flash_cnt[2344][3]~59701\);

-- Location: FF_X60_Y29_N19
\led_flash_cnt[2344][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2344][3]~59700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2344][3]~q\);

-- Location: LCCOMB_X60_Y29_N20
\led_flash_cnt[2344][4]~59702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2344][4]~59702_combout\ = (\led_flash_cnt[2344][4]~q\ & (!\led_flash_cnt[2344][3]~59701\)) # (!\led_flash_cnt[2344][4]~q\ & ((\led_flash_cnt[2344][3]~59701\) # (GND)))
-- \led_flash_cnt[2344][4]~59703\ = CARRY((!\led_flash_cnt[2344][3]~59701\) # (!\led_flash_cnt[2344][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2344][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2344][3]~59701\,
	combout => \led_flash_cnt[2344][4]~59702_combout\,
	cout => \led_flash_cnt[2344][4]~59703\);

-- Location: FF_X60_Y29_N21
\led_flash_cnt[2344][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2344][4]~59702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2344][4]~q\);

-- Location: LCCOMB_X60_Y29_N22
\led_flash_cnt[2344][5]~59704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2344][5]~59704_combout\ = (\led_flash_cnt[2344][5]~q\ & (\led_flash_cnt[2344][4]~59703\ $ (GND))) # (!\led_flash_cnt[2344][5]~q\ & (!\led_flash_cnt[2344][4]~59703\ & VCC))
-- \led_flash_cnt[2344][5]~59705\ = CARRY((\led_flash_cnt[2344][5]~q\ & !\led_flash_cnt[2344][4]~59703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2344][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2344][4]~59703\,
	combout => \led_flash_cnt[2344][5]~59704_combout\,
	cout => \led_flash_cnt[2344][5]~59705\);

-- Location: FF_X60_Y29_N23
\led_flash_cnt[2344][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2344][5]~59704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2344][5]~q\);

-- Location: LCCOMB_X60_Y29_N24
\led_flash_cnt[2344][6]~59706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2344][6]~59706_combout\ = (\led_flash_cnt[2344][6]~q\ & (!\led_flash_cnt[2344][5]~59705\)) # (!\led_flash_cnt[2344][6]~q\ & ((\led_flash_cnt[2344][5]~59705\) # (GND)))
-- \led_flash_cnt[2344][6]~59707\ = CARRY((!\led_flash_cnt[2344][5]~59705\) # (!\led_flash_cnt[2344][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2344][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2344][5]~59705\,
	combout => \led_flash_cnt[2344][6]~59706_combout\,
	cout => \led_flash_cnt[2344][6]~59707\);

-- Location: FF_X60_Y29_N25
\led_flash_cnt[2344][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2344][6]~59706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2344][6]~q\);

-- Location: LCCOMB_X60_Y29_N2
\WideAnd2344~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2344~1_combout\ = (\led_flash_cnt[2344][5]~q\ & \led_flash_cnt[2344][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2344][5]~q\,
	datad => \led_flash_cnt[2344][6]~q\,
	combout => \WideAnd2344~1_combout\);

-- Location: LCCOMB_X60_Y29_N26
\led_flash_cnt[2344][7]~59708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2344][7]~59708_combout\ = \led_flash_cnt[2344][7]~q\ $ (!\led_flash_cnt[2344][6]~59707\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2344][7]~q\,
	cin => \led_flash_cnt[2344][6]~59707\,
	combout => \led_flash_cnt[2344][7]~59708_combout\);

-- Location: FF_X60_Y29_N27
\led_flash_cnt[2344][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2344][7]~59708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2344][7]~q\);

-- Location: LCCOMB_X60_Y29_N28
\WideAnd2344~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2344~0_combout\ = (\led_flash_cnt[2344][4]~q\ & (\led_flash_cnt[2344][3]~q\ & (\led_flash_cnt[2344][1]~q\ & \led_flash_cnt[2344][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2344][4]~q\,
	datab => \led_flash_cnt[2344][3]~q\,
	datac => \led_flash_cnt[2344][1]~q\,
	datad => \led_flash_cnt[2344][2]~q\,
	combout => \WideAnd2344~0_combout\);

-- Location: LCCOMB_X60_Y29_N0
WideAnd2344 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2344~combout\ = (\led_flash_cnt[2344][0]~q\ & (\WideAnd2344~1_combout\ & (\led_flash_cnt[2344][7]~q\ & \WideAnd2344~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2344][0]~q\,
	datab => \WideAnd2344~1_combout\,
	datac => \led_flash_cnt[2344][7]~q\,
	datad => \WideAnd2344~0_combout\,
	combout => \WideAnd2344~combout\);

-- Location: FF_X60_Y29_N1
\led_flash_cnt_ands[2344]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2344~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2344));

-- Location: LCCOMB_X60_Y29_N4
\WideAnd4133~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4133~0_combout\ = (led_flash_cnt_ands(2347) & (led_flash_cnt_ands(2345) & (led_flash_cnt_ands(2346) & led_flash_cnt_ands(2344))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2347),
	datab => led_flash_cnt_ands(2345),
	datac => led_flash_cnt_ands(2346),
	datad => led_flash_cnt_ands(2344),
	combout => \WideAnd4133~0_combout\);

-- Location: LCCOMB_X67_Y26_N6
\led_flash_cnt[2349][0]~82989\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2349][0]~82989_combout\ = !\led_flash_cnt[2349][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2349][0]~q\,
	combout => \led_flash_cnt[2349][0]~82989_combout\);

-- Location: FF_X67_Y26_N7
\led_flash_cnt[2349][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2349][0]~82989_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2349][0]~q\);

-- Location: LCCOMB_X67_Y26_N14
\led_flash_cnt[2349][1]~59766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2349][1]~59766_combout\ = (\led_flash_cnt[2349][0]~q\ & (\led_flash_cnt[2349][1]~q\ $ (VCC))) # (!\led_flash_cnt[2349][0]~q\ & (\led_flash_cnt[2349][1]~q\ & VCC))
-- \led_flash_cnt[2349][1]~59767\ = CARRY((\led_flash_cnt[2349][0]~q\ & \led_flash_cnt[2349][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2349][0]~q\,
	datab => \led_flash_cnt[2349][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2349][1]~59766_combout\,
	cout => \led_flash_cnt[2349][1]~59767\);

-- Location: FF_X67_Y26_N15
\led_flash_cnt[2349][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2349][1]~59766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2349][1]~q\);

-- Location: LCCOMB_X67_Y26_N16
\led_flash_cnt[2349][2]~59768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2349][2]~59768_combout\ = (\led_flash_cnt[2349][2]~q\ & (!\led_flash_cnt[2349][1]~59767\)) # (!\led_flash_cnt[2349][2]~q\ & ((\led_flash_cnt[2349][1]~59767\) # (GND)))
-- \led_flash_cnt[2349][2]~59769\ = CARRY((!\led_flash_cnt[2349][1]~59767\) # (!\led_flash_cnt[2349][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2349][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2349][1]~59767\,
	combout => \led_flash_cnt[2349][2]~59768_combout\,
	cout => \led_flash_cnt[2349][2]~59769\);

-- Location: FF_X67_Y26_N17
\led_flash_cnt[2349][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2349][2]~59768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2349][2]~q\);

-- Location: LCCOMB_X67_Y26_N18
\led_flash_cnt[2349][3]~59770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2349][3]~59770_combout\ = (\led_flash_cnt[2349][3]~q\ & (\led_flash_cnt[2349][2]~59769\ $ (GND))) # (!\led_flash_cnt[2349][3]~q\ & (!\led_flash_cnt[2349][2]~59769\ & VCC))
-- \led_flash_cnt[2349][3]~59771\ = CARRY((\led_flash_cnt[2349][3]~q\ & !\led_flash_cnt[2349][2]~59769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2349][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2349][2]~59769\,
	combout => \led_flash_cnt[2349][3]~59770_combout\,
	cout => \led_flash_cnt[2349][3]~59771\);

-- Location: FF_X67_Y26_N19
\led_flash_cnt[2349][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2349][3]~59770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2349][3]~q\);

-- Location: LCCOMB_X67_Y26_N20
\led_flash_cnt[2349][4]~59772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2349][4]~59772_combout\ = (\led_flash_cnt[2349][4]~q\ & (!\led_flash_cnt[2349][3]~59771\)) # (!\led_flash_cnt[2349][4]~q\ & ((\led_flash_cnt[2349][3]~59771\) # (GND)))
-- \led_flash_cnt[2349][4]~59773\ = CARRY((!\led_flash_cnt[2349][3]~59771\) # (!\led_flash_cnt[2349][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2349][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2349][3]~59771\,
	combout => \led_flash_cnt[2349][4]~59772_combout\,
	cout => \led_flash_cnt[2349][4]~59773\);

-- Location: FF_X67_Y26_N21
\led_flash_cnt[2349][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2349][4]~59772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2349][4]~q\);

-- Location: LCCOMB_X67_Y26_N22
\led_flash_cnt[2349][5]~59774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2349][5]~59774_combout\ = (\led_flash_cnt[2349][5]~q\ & (\led_flash_cnt[2349][4]~59773\ $ (GND))) # (!\led_flash_cnt[2349][5]~q\ & (!\led_flash_cnt[2349][4]~59773\ & VCC))
-- \led_flash_cnt[2349][5]~59775\ = CARRY((\led_flash_cnt[2349][5]~q\ & !\led_flash_cnt[2349][4]~59773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2349][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2349][4]~59773\,
	combout => \led_flash_cnt[2349][5]~59774_combout\,
	cout => \led_flash_cnt[2349][5]~59775\);

-- Location: FF_X67_Y26_N23
\led_flash_cnt[2349][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2349][5]~59774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2349][5]~q\);

-- Location: LCCOMB_X67_Y26_N24
\led_flash_cnt[2349][6]~59776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2349][6]~59776_combout\ = (\led_flash_cnt[2349][6]~q\ & (!\led_flash_cnt[2349][5]~59775\)) # (!\led_flash_cnt[2349][6]~q\ & ((\led_flash_cnt[2349][5]~59775\) # (GND)))
-- \led_flash_cnt[2349][6]~59777\ = CARRY((!\led_flash_cnt[2349][5]~59775\) # (!\led_flash_cnt[2349][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2349][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2349][5]~59775\,
	combout => \led_flash_cnt[2349][6]~59776_combout\,
	cout => \led_flash_cnt[2349][6]~59777\);

-- Location: FF_X67_Y26_N25
\led_flash_cnt[2349][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2349][6]~59776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2349][6]~q\);

-- Location: LCCOMB_X67_Y26_N26
\led_flash_cnt[2349][7]~59778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2349][7]~59778_combout\ = \led_flash_cnt[2349][7]~q\ $ (!\led_flash_cnt[2349][6]~59777\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2349][7]~q\,
	cin => \led_flash_cnt[2349][6]~59777\,
	combout => \led_flash_cnt[2349][7]~59778_combout\);

-- Location: FF_X67_Y26_N27
\led_flash_cnt[2349][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2349][7]~59778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2349][7]~q\);

-- Location: LCCOMB_X67_Y26_N0
\WideAnd2349~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2349~1_combout\ = (\led_flash_cnt[2349][5]~q\ & \led_flash_cnt[2349][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2349][5]~q\,
	datad => \led_flash_cnt[2349][6]~q\,
	combout => \WideAnd2349~1_combout\);

-- Location: LCCOMB_X67_Y26_N30
\WideAnd2349~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2349~0_combout\ = (\led_flash_cnt[2349][4]~q\ & (\led_flash_cnt[2349][3]~q\ & (\led_flash_cnt[2349][1]~q\ & \led_flash_cnt[2349][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2349][4]~q\,
	datab => \led_flash_cnt[2349][3]~q\,
	datac => \led_flash_cnt[2349][1]~q\,
	datad => \led_flash_cnt[2349][2]~q\,
	combout => \WideAnd2349~0_combout\);

-- Location: LCCOMB_X67_Y26_N4
WideAnd2349 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2349~combout\ = (\led_flash_cnt[2349][7]~q\ & (\WideAnd2349~1_combout\ & (\WideAnd2349~0_combout\ & \led_flash_cnt[2349][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2349][7]~q\,
	datab => \WideAnd2349~1_combout\,
	datac => \WideAnd2349~0_combout\,
	datad => \led_flash_cnt[2349][0]~q\,
	combout => \WideAnd2349~combout\);

-- Location: FF_X67_Y26_N5
\led_flash_cnt_ands[2349]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2349~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2349));

-- Location: LCCOMB_X67_Y26_N2
\led_flash_cnt[2348][0]~82988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2348][0]~82988_combout\ = !\led_flash_cnt[2348][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2348][0]~q\,
	combout => \led_flash_cnt[2348][0]~82988_combout\);

-- Location: FF_X67_Y26_N3
\led_flash_cnt[2348][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2348][0]~82988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2348][0]~q\);

-- Location: LCCOMB_X66_Y26_N2
\led_flash_cnt[2348][1]~59752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2348][1]~59752_combout\ = (\led_flash_cnt[2348][0]~q\ & (\led_flash_cnt[2348][1]~q\ $ (VCC))) # (!\led_flash_cnt[2348][0]~q\ & (\led_flash_cnt[2348][1]~q\ & VCC))
-- \led_flash_cnt[2348][1]~59753\ = CARRY((\led_flash_cnt[2348][0]~q\ & \led_flash_cnt[2348][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2348][0]~q\,
	datab => \led_flash_cnt[2348][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2348][1]~59752_combout\,
	cout => \led_flash_cnt[2348][1]~59753\);

-- Location: FF_X66_Y26_N3
\led_flash_cnt[2348][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2348][1]~59752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2348][1]~q\);

-- Location: LCCOMB_X66_Y26_N4
\led_flash_cnt[2348][2]~59754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2348][2]~59754_combout\ = (\led_flash_cnt[2348][2]~q\ & (!\led_flash_cnt[2348][1]~59753\)) # (!\led_flash_cnt[2348][2]~q\ & ((\led_flash_cnt[2348][1]~59753\) # (GND)))
-- \led_flash_cnt[2348][2]~59755\ = CARRY((!\led_flash_cnt[2348][1]~59753\) # (!\led_flash_cnt[2348][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2348][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2348][1]~59753\,
	combout => \led_flash_cnt[2348][2]~59754_combout\,
	cout => \led_flash_cnt[2348][2]~59755\);

-- Location: FF_X66_Y26_N5
\led_flash_cnt[2348][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2348][2]~59754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2348][2]~q\);

-- Location: LCCOMB_X66_Y26_N6
\led_flash_cnt[2348][3]~59756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2348][3]~59756_combout\ = (\led_flash_cnt[2348][3]~q\ & (\led_flash_cnt[2348][2]~59755\ $ (GND))) # (!\led_flash_cnt[2348][3]~q\ & (!\led_flash_cnt[2348][2]~59755\ & VCC))
-- \led_flash_cnt[2348][3]~59757\ = CARRY((\led_flash_cnt[2348][3]~q\ & !\led_flash_cnt[2348][2]~59755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2348][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2348][2]~59755\,
	combout => \led_flash_cnt[2348][3]~59756_combout\,
	cout => \led_flash_cnt[2348][3]~59757\);

-- Location: FF_X66_Y26_N7
\led_flash_cnt[2348][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2348][3]~59756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2348][3]~q\);

-- Location: LCCOMB_X66_Y26_N8
\led_flash_cnt[2348][4]~59758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2348][4]~59758_combout\ = (\led_flash_cnt[2348][4]~q\ & (!\led_flash_cnt[2348][3]~59757\)) # (!\led_flash_cnt[2348][4]~q\ & ((\led_flash_cnt[2348][3]~59757\) # (GND)))
-- \led_flash_cnt[2348][4]~59759\ = CARRY((!\led_flash_cnt[2348][3]~59757\) # (!\led_flash_cnt[2348][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2348][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2348][3]~59757\,
	combout => \led_flash_cnt[2348][4]~59758_combout\,
	cout => \led_flash_cnt[2348][4]~59759\);

-- Location: FF_X66_Y26_N9
\led_flash_cnt[2348][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2348][4]~59758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2348][4]~q\);

-- Location: LCCOMB_X66_Y26_N10
\led_flash_cnt[2348][5]~59760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2348][5]~59760_combout\ = (\led_flash_cnt[2348][5]~q\ & (\led_flash_cnt[2348][4]~59759\ $ (GND))) # (!\led_flash_cnt[2348][5]~q\ & (!\led_flash_cnt[2348][4]~59759\ & VCC))
-- \led_flash_cnt[2348][5]~59761\ = CARRY((\led_flash_cnt[2348][5]~q\ & !\led_flash_cnt[2348][4]~59759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2348][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2348][4]~59759\,
	combout => \led_flash_cnt[2348][5]~59760_combout\,
	cout => \led_flash_cnt[2348][5]~59761\);

-- Location: FF_X66_Y26_N11
\led_flash_cnt[2348][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2348][5]~59760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2348][5]~q\);

-- Location: LCCOMB_X66_Y26_N12
\led_flash_cnt[2348][6]~59762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2348][6]~59762_combout\ = (\led_flash_cnt[2348][6]~q\ & (!\led_flash_cnt[2348][5]~59761\)) # (!\led_flash_cnt[2348][6]~q\ & ((\led_flash_cnt[2348][5]~59761\) # (GND)))
-- \led_flash_cnt[2348][6]~59763\ = CARRY((!\led_flash_cnt[2348][5]~59761\) # (!\led_flash_cnt[2348][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2348][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2348][5]~59761\,
	combout => \led_flash_cnt[2348][6]~59762_combout\,
	cout => \led_flash_cnt[2348][6]~59763\);

-- Location: FF_X66_Y26_N13
\led_flash_cnt[2348][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2348][6]~59762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2348][6]~q\);

-- Location: LCCOMB_X66_Y26_N14
\led_flash_cnt[2348][7]~59764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2348][7]~59764_combout\ = \led_flash_cnt[2348][7]~q\ $ (!\led_flash_cnt[2348][6]~59763\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2348][7]~q\,
	cin => \led_flash_cnt[2348][6]~59763\,
	combout => \led_flash_cnt[2348][7]~59764_combout\);

-- Location: FF_X66_Y26_N15
\led_flash_cnt[2348][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2348][7]~59764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2348][7]~q\);

-- Location: LCCOMB_X67_Y26_N8
\WideAnd2348~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2348~1_combout\ = (\led_flash_cnt[2348][6]~q\ & \led_flash_cnt[2348][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2348][6]~q\,
	datad => \led_flash_cnt[2348][5]~q\,
	combout => \WideAnd2348~1_combout\);

-- Location: LCCOMB_X66_Y26_N0
\WideAnd2348~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2348~0_combout\ = (\led_flash_cnt[2348][3]~q\ & (\led_flash_cnt[2348][4]~q\ & (\led_flash_cnt[2348][2]~q\ & \led_flash_cnt[2348][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2348][3]~q\,
	datab => \led_flash_cnt[2348][4]~q\,
	datac => \led_flash_cnt[2348][2]~q\,
	datad => \led_flash_cnt[2348][1]~q\,
	combout => \WideAnd2348~0_combout\);

-- Location: LCCOMB_X67_Y26_N12
WideAnd2348 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2348~combout\ = (\led_flash_cnt[2348][7]~q\ & (\WideAnd2348~1_combout\ & (\WideAnd2348~0_combout\ & \led_flash_cnt[2348][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2348][7]~q\,
	datab => \WideAnd2348~1_combout\,
	datac => \WideAnd2348~0_combout\,
	datad => \led_flash_cnt[2348][0]~q\,
	combout => \WideAnd2348~combout\);

-- Location: FF_X67_Y26_N13
\led_flash_cnt_ands[2348]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2348~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2348));

-- Location: LCCOMB_X67_Y26_N28
\WideAnd4133~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4133~1_combout\ = (led_flash_cnt_ands(2349) & led_flash_cnt_ands(2348))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2349),
	datad => led_flash_cnt_ands(2348),
	combout => \WideAnd4133~1_combout\);

-- Location: LCCOMB_X63_Y29_N16
\led_flash_cnt[2351][0]~82991\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2351][0]~82991_combout\ = !\led_flash_cnt[2351][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2351][0]~q\,
	combout => \led_flash_cnt[2351][0]~82991_combout\);

-- Location: FF_X63_Y29_N17
\led_flash_cnt[2351][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2351][0]~82991_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2351][0]~q\);

-- Location: LCCOMB_X62_Y29_N16
\led_flash_cnt[2351][1]~59794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2351][1]~59794_combout\ = (\led_flash_cnt[2351][1]~q\ & (\led_flash_cnt[2351][0]~q\ $ (VCC))) # (!\led_flash_cnt[2351][1]~q\ & (\led_flash_cnt[2351][0]~q\ & VCC))
-- \led_flash_cnt[2351][1]~59795\ = CARRY((\led_flash_cnt[2351][1]~q\ & \led_flash_cnt[2351][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2351][1]~q\,
	datab => \led_flash_cnt[2351][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2351][1]~59794_combout\,
	cout => \led_flash_cnt[2351][1]~59795\);

-- Location: FF_X62_Y29_N17
\led_flash_cnt[2351][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2351][1]~59794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2351][1]~q\);

-- Location: LCCOMB_X62_Y29_N18
\led_flash_cnt[2351][2]~59796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2351][2]~59796_combout\ = (\led_flash_cnt[2351][2]~q\ & (!\led_flash_cnt[2351][1]~59795\)) # (!\led_flash_cnt[2351][2]~q\ & ((\led_flash_cnt[2351][1]~59795\) # (GND)))
-- \led_flash_cnt[2351][2]~59797\ = CARRY((!\led_flash_cnt[2351][1]~59795\) # (!\led_flash_cnt[2351][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2351][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2351][1]~59795\,
	combout => \led_flash_cnt[2351][2]~59796_combout\,
	cout => \led_flash_cnt[2351][2]~59797\);

-- Location: FF_X62_Y29_N19
\led_flash_cnt[2351][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2351][2]~59796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2351][2]~q\);

-- Location: LCCOMB_X62_Y29_N20
\led_flash_cnt[2351][3]~59798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2351][3]~59798_combout\ = (\led_flash_cnt[2351][3]~q\ & (\led_flash_cnt[2351][2]~59797\ $ (GND))) # (!\led_flash_cnt[2351][3]~q\ & (!\led_flash_cnt[2351][2]~59797\ & VCC))
-- \led_flash_cnt[2351][3]~59799\ = CARRY((\led_flash_cnt[2351][3]~q\ & !\led_flash_cnt[2351][2]~59797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2351][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2351][2]~59797\,
	combout => \led_flash_cnt[2351][3]~59798_combout\,
	cout => \led_flash_cnt[2351][3]~59799\);

-- Location: FF_X62_Y29_N21
\led_flash_cnt[2351][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2351][3]~59798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2351][3]~q\);

-- Location: LCCOMB_X62_Y29_N22
\led_flash_cnt[2351][4]~59800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2351][4]~59800_combout\ = (\led_flash_cnt[2351][4]~q\ & (!\led_flash_cnt[2351][3]~59799\)) # (!\led_flash_cnt[2351][4]~q\ & ((\led_flash_cnt[2351][3]~59799\) # (GND)))
-- \led_flash_cnt[2351][4]~59801\ = CARRY((!\led_flash_cnt[2351][3]~59799\) # (!\led_flash_cnt[2351][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2351][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2351][3]~59799\,
	combout => \led_flash_cnt[2351][4]~59800_combout\,
	cout => \led_flash_cnt[2351][4]~59801\);

-- Location: FF_X62_Y29_N23
\led_flash_cnt[2351][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2351][4]~59800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2351][4]~q\);

-- Location: LCCOMB_X62_Y29_N14
\WideAnd2351~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2351~0_combout\ = (\led_flash_cnt[2351][1]~q\ & (\led_flash_cnt[2351][3]~q\ & (\led_flash_cnt[2351][4]~q\ & \led_flash_cnt[2351][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2351][1]~q\,
	datab => \led_flash_cnt[2351][3]~q\,
	datac => \led_flash_cnt[2351][4]~q\,
	datad => \led_flash_cnt[2351][2]~q\,
	combout => \WideAnd2351~0_combout\);

-- Location: LCCOMB_X62_Y29_N24
\led_flash_cnt[2351][5]~59802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2351][5]~59802_combout\ = (\led_flash_cnt[2351][5]~q\ & (\led_flash_cnt[2351][4]~59801\ $ (GND))) # (!\led_flash_cnt[2351][5]~q\ & (!\led_flash_cnt[2351][4]~59801\ & VCC))
-- \led_flash_cnt[2351][5]~59803\ = CARRY((\led_flash_cnt[2351][5]~q\ & !\led_flash_cnt[2351][4]~59801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2351][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2351][4]~59801\,
	combout => \led_flash_cnt[2351][5]~59802_combout\,
	cout => \led_flash_cnt[2351][5]~59803\);

-- Location: FF_X62_Y29_N25
\led_flash_cnt[2351][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2351][5]~59802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2351][5]~q\);

-- Location: LCCOMB_X62_Y29_N26
\led_flash_cnt[2351][6]~59804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2351][6]~59804_combout\ = (\led_flash_cnt[2351][6]~q\ & (!\led_flash_cnt[2351][5]~59803\)) # (!\led_flash_cnt[2351][6]~q\ & ((\led_flash_cnt[2351][5]~59803\) # (GND)))
-- \led_flash_cnt[2351][6]~59805\ = CARRY((!\led_flash_cnt[2351][5]~59803\) # (!\led_flash_cnt[2351][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2351][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2351][5]~59803\,
	combout => \led_flash_cnt[2351][6]~59804_combout\,
	cout => \led_flash_cnt[2351][6]~59805\);

-- Location: FF_X62_Y29_N27
\led_flash_cnt[2351][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2351][6]~59804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2351][6]~q\);

-- Location: LCCOMB_X62_Y29_N28
\led_flash_cnt[2351][7]~59806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2351][7]~59806_combout\ = \led_flash_cnt[2351][6]~59805\ $ (!\led_flash_cnt[2351][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2351][7]~q\,
	cin => \led_flash_cnt[2351][6]~59805\,
	combout => \led_flash_cnt[2351][7]~59806_combout\);

-- Location: FF_X62_Y29_N29
\led_flash_cnt[2351][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2351][7]~59806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2351][7]~q\);

-- Location: LCCOMB_X63_Y29_N26
\WideAnd2351~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2351~1_combout\ = (\led_flash_cnt[2351][6]~q\ & \led_flash_cnt[2351][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2351][6]~q\,
	datad => \led_flash_cnt[2351][5]~q\,
	combout => \WideAnd2351~1_combout\);

-- Location: LCCOMB_X63_Y29_N0
WideAnd2351 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2351~combout\ = (\WideAnd2351~0_combout\ & (\led_flash_cnt[2351][7]~q\ & (\WideAnd2351~1_combout\ & \led_flash_cnt[2351][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2351~0_combout\,
	datab => \led_flash_cnt[2351][7]~q\,
	datac => \WideAnd2351~1_combout\,
	datad => \led_flash_cnt[2351][0]~q\,
	combout => \WideAnd2351~combout\);

-- Location: FF_X63_Y29_N1
\led_flash_cnt_ands[2351]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2351~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2351));

-- Location: LCCOMB_X63_Y29_N20
WideAnd4133 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4133~combout\ = (led_flash_cnt_ands(2350) & (\WideAnd4133~0_combout\ & (\WideAnd4133~1_combout\ & led_flash_cnt_ands(2351))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2350),
	datab => \WideAnd4133~0_combout\,
	datac => \WideAnd4133~1_combout\,
	datad => led_flash_cnt_ands(2351),
	combout => \WideAnd4133~combout\);

-- Location: FF_X63_Y29_N21
\led_flash_cnt_ands_1[293]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4133~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(293));

-- Location: LCCOMB_X54_Y20_N26
\WideAnd4356~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4356~1_combout\ = (led_flash_cnt_ands_1(292) & led_flash_cnt_ands_1(293))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(292),
	datad => led_flash_cnt_ands_1(293),
	combout => \WideAnd4356~1_combout\);

-- Location: LCCOMB_X41_Y16_N26
WideAnd4356 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4356~combout\ = (\WideAnd4356~0_combout\ & (led_flash_cnt_ands_1(295) & (led_flash_cnt_ands_1(294) & \WideAnd4356~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4356~0_combout\,
	datab => led_flash_cnt_ands_1(295),
	datac => led_flash_cnt_ands_1(294),
	datad => \WideAnd4356~1_combout\,
	combout => \WideAnd4356~combout\);

-- Location: FF_X41_Y16_N27
\led_flash_cnt_ands_2[36]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4356~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(36));

-- Location: LCCOMB_X39_Y7_N12
\led_flash_cnt[2407][0]~83047\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2407][0]~83047_combout\ = !\led_flash_cnt[2407][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2407][0]~q\,
	combout => \led_flash_cnt[2407][0]~83047_combout\);

-- Location: FF_X39_Y7_N13
\led_flash_cnt[2407][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2407][0]~83047_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2407][0]~q\);

-- Location: LCCOMB_X36_Y7_N16
\led_flash_cnt[2407][1]~60578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2407][1]~60578_combout\ = (\led_flash_cnt[2407][0]~q\ & (\led_flash_cnt[2407][1]~q\ $ (VCC))) # (!\led_flash_cnt[2407][0]~q\ & (\led_flash_cnt[2407][1]~q\ & VCC))
-- \led_flash_cnt[2407][1]~60579\ = CARRY((\led_flash_cnt[2407][0]~q\ & \led_flash_cnt[2407][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2407][0]~q\,
	datab => \led_flash_cnt[2407][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2407][1]~60578_combout\,
	cout => \led_flash_cnt[2407][1]~60579\);

-- Location: FF_X36_Y7_N17
\led_flash_cnt[2407][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2407][1]~60578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2407][1]~q\);

-- Location: LCCOMB_X36_Y7_N18
\led_flash_cnt[2407][2]~60580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2407][2]~60580_combout\ = (\led_flash_cnt[2407][2]~q\ & (!\led_flash_cnt[2407][1]~60579\)) # (!\led_flash_cnt[2407][2]~q\ & ((\led_flash_cnt[2407][1]~60579\) # (GND)))
-- \led_flash_cnt[2407][2]~60581\ = CARRY((!\led_flash_cnt[2407][1]~60579\) # (!\led_flash_cnt[2407][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2407][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2407][1]~60579\,
	combout => \led_flash_cnt[2407][2]~60580_combout\,
	cout => \led_flash_cnt[2407][2]~60581\);

-- Location: FF_X36_Y7_N19
\led_flash_cnt[2407][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2407][2]~60580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2407][2]~q\);

-- Location: LCCOMB_X36_Y7_N20
\led_flash_cnt[2407][3]~60582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2407][3]~60582_combout\ = (\led_flash_cnt[2407][3]~q\ & (\led_flash_cnt[2407][2]~60581\ $ (GND))) # (!\led_flash_cnt[2407][3]~q\ & (!\led_flash_cnt[2407][2]~60581\ & VCC))
-- \led_flash_cnt[2407][3]~60583\ = CARRY((\led_flash_cnt[2407][3]~q\ & !\led_flash_cnt[2407][2]~60581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2407][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2407][2]~60581\,
	combout => \led_flash_cnt[2407][3]~60582_combout\,
	cout => \led_flash_cnt[2407][3]~60583\);

-- Location: FF_X36_Y7_N21
\led_flash_cnt[2407][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2407][3]~60582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2407][3]~q\);

-- Location: LCCOMB_X36_Y7_N22
\led_flash_cnt[2407][4]~60584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2407][4]~60584_combout\ = (\led_flash_cnt[2407][4]~q\ & (!\led_flash_cnt[2407][3]~60583\)) # (!\led_flash_cnt[2407][4]~q\ & ((\led_flash_cnt[2407][3]~60583\) # (GND)))
-- \led_flash_cnt[2407][4]~60585\ = CARRY((!\led_flash_cnt[2407][3]~60583\) # (!\led_flash_cnt[2407][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2407][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2407][3]~60583\,
	combout => \led_flash_cnt[2407][4]~60584_combout\,
	cout => \led_flash_cnt[2407][4]~60585\);

-- Location: FF_X36_Y7_N23
\led_flash_cnt[2407][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2407][4]~60584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2407][4]~q\);

-- Location: LCCOMB_X36_Y7_N24
\led_flash_cnt[2407][5]~60586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2407][5]~60586_combout\ = (\led_flash_cnt[2407][5]~q\ & (\led_flash_cnt[2407][4]~60585\ $ (GND))) # (!\led_flash_cnt[2407][5]~q\ & (!\led_flash_cnt[2407][4]~60585\ & VCC))
-- \led_flash_cnt[2407][5]~60587\ = CARRY((\led_flash_cnt[2407][5]~q\ & !\led_flash_cnt[2407][4]~60585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2407][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2407][4]~60585\,
	combout => \led_flash_cnt[2407][5]~60586_combout\,
	cout => \led_flash_cnt[2407][5]~60587\);

-- Location: FF_X36_Y7_N25
\led_flash_cnt[2407][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2407][5]~60586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2407][5]~q\);

-- Location: LCCOMB_X36_Y7_N26
\led_flash_cnt[2407][6]~60588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2407][6]~60588_combout\ = (\led_flash_cnt[2407][6]~q\ & (!\led_flash_cnt[2407][5]~60587\)) # (!\led_flash_cnt[2407][6]~q\ & ((\led_flash_cnt[2407][5]~60587\) # (GND)))
-- \led_flash_cnt[2407][6]~60589\ = CARRY((!\led_flash_cnt[2407][5]~60587\) # (!\led_flash_cnt[2407][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2407][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2407][5]~60587\,
	combout => \led_flash_cnt[2407][6]~60588_combout\,
	cout => \led_flash_cnt[2407][6]~60589\);

-- Location: FF_X36_Y7_N27
\led_flash_cnt[2407][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2407][6]~60588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2407][6]~q\);

-- Location: LCCOMB_X36_Y7_N28
\led_flash_cnt[2407][7]~60590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2407][7]~60590_combout\ = \led_flash_cnt[2407][6]~60589\ $ (!\led_flash_cnt[2407][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2407][7]~q\,
	cin => \led_flash_cnt[2407][6]~60589\,
	combout => \led_flash_cnt[2407][7]~60590_combout\);

-- Location: FF_X36_Y7_N29
\led_flash_cnt[2407][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2407][7]~60590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2407][7]~q\);

-- Location: LCCOMB_X36_Y7_N14
\WideAnd2407~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2407~0_combout\ = (\led_flash_cnt[2407][3]~q\ & (\led_flash_cnt[2407][2]~q\ & (\led_flash_cnt[2407][4]~q\ & \led_flash_cnt[2407][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2407][3]~q\,
	datab => \led_flash_cnt[2407][2]~q\,
	datac => \led_flash_cnt[2407][4]~q\,
	datad => \led_flash_cnt[2407][1]~q\,
	combout => \WideAnd2407~0_combout\);

-- Location: LCCOMB_X37_Y7_N26
\WideAnd2407~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2407~1_combout\ = (\led_flash_cnt[2407][6]~q\ & \led_flash_cnt[2407][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2407][6]~q\,
	datad => \led_flash_cnt[2407][5]~q\,
	combout => \WideAnd2407~1_combout\);

-- Location: LCCOMB_X36_Y7_N30
WideAnd2407 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2407~combout\ = (\led_flash_cnt[2407][0]~q\ & (\led_flash_cnt[2407][7]~q\ & (\WideAnd2407~0_combout\ & \WideAnd2407~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2407][0]~q\,
	datab => \led_flash_cnt[2407][7]~q\,
	datac => \WideAnd2407~0_combout\,
	datad => \WideAnd2407~1_combout\,
	combout => \WideAnd2407~combout\);

-- Location: FF_X36_Y7_N31
\led_flash_cnt_ands[2407]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2407~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2407));

-- Location: LCCOMB_X32_Y2_N2
\led_flash_cnt[2406][0]~83046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2406][0]~83046_combout\ = !\led_flash_cnt[2406][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2406][0]~q\,
	combout => \led_flash_cnt[2406][0]~83046_combout\);

-- Location: FF_X32_Y2_N3
\led_flash_cnt[2406][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2406][0]~83046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2406][0]~q\);

-- Location: LCCOMB_X31_Y2_N18
\led_flash_cnt[2406][1]~60564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2406][1]~60564_combout\ = (\led_flash_cnt[2406][0]~q\ & (\led_flash_cnt[2406][1]~q\ $ (VCC))) # (!\led_flash_cnt[2406][0]~q\ & (\led_flash_cnt[2406][1]~q\ & VCC))
-- \led_flash_cnt[2406][1]~60565\ = CARRY((\led_flash_cnt[2406][0]~q\ & \led_flash_cnt[2406][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2406][0]~q\,
	datab => \led_flash_cnt[2406][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2406][1]~60564_combout\,
	cout => \led_flash_cnt[2406][1]~60565\);

-- Location: FF_X31_Y2_N19
\led_flash_cnt[2406][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2406][1]~60564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2406][1]~q\);

-- Location: LCCOMB_X31_Y2_N20
\led_flash_cnt[2406][2]~60566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2406][2]~60566_combout\ = (\led_flash_cnt[2406][2]~q\ & (!\led_flash_cnt[2406][1]~60565\)) # (!\led_flash_cnt[2406][2]~q\ & ((\led_flash_cnt[2406][1]~60565\) # (GND)))
-- \led_flash_cnt[2406][2]~60567\ = CARRY((!\led_flash_cnt[2406][1]~60565\) # (!\led_flash_cnt[2406][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2406][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2406][1]~60565\,
	combout => \led_flash_cnt[2406][2]~60566_combout\,
	cout => \led_flash_cnt[2406][2]~60567\);

-- Location: FF_X31_Y2_N21
\led_flash_cnt[2406][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2406][2]~60566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2406][2]~q\);

-- Location: LCCOMB_X31_Y2_N22
\led_flash_cnt[2406][3]~60568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2406][3]~60568_combout\ = (\led_flash_cnt[2406][3]~q\ & (\led_flash_cnt[2406][2]~60567\ $ (GND))) # (!\led_flash_cnt[2406][3]~q\ & (!\led_flash_cnt[2406][2]~60567\ & VCC))
-- \led_flash_cnt[2406][3]~60569\ = CARRY((\led_flash_cnt[2406][3]~q\ & !\led_flash_cnt[2406][2]~60567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2406][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2406][2]~60567\,
	combout => \led_flash_cnt[2406][3]~60568_combout\,
	cout => \led_flash_cnt[2406][3]~60569\);

-- Location: FF_X31_Y2_N23
\led_flash_cnt[2406][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2406][3]~60568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2406][3]~q\);

-- Location: LCCOMB_X31_Y2_N24
\led_flash_cnt[2406][4]~60570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2406][4]~60570_combout\ = (\led_flash_cnt[2406][4]~q\ & (!\led_flash_cnt[2406][3]~60569\)) # (!\led_flash_cnt[2406][4]~q\ & ((\led_flash_cnt[2406][3]~60569\) # (GND)))
-- \led_flash_cnt[2406][4]~60571\ = CARRY((!\led_flash_cnt[2406][3]~60569\) # (!\led_flash_cnt[2406][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2406][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2406][3]~60569\,
	combout => \led_flash_cnt[2406][4]~60570_combout\,
	cout => \led_flash_cnt[2406][4]~60571\);

-- Location: FF_X31_Y2_N25
\led_flash_cnt[2406][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2406][4]~60570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2406][4]~q\);

-- Location: LCCOMB_X31_Y2_N26
\led_flash_cnt[2406][5]~60572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2406][5]~60572_combout\ = (\led_flash_cnt[2406][5]~q\ & (\led_flash_cnt[2406][4]~60571\ $ (GND))) # (!\led_flash_cnt[2406][5]~q\ & (!\led_flash_cnt[2406][4]~60571\ & VCC))
-- \led_flash_cnt[2406][5]~60573\ = CARRY((\led_flash_cnt[2406][5]~q\ & !\led_flash_cnt[2406][4]~60571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2406][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2406][4]~60571\,
	combout => \led_flash_cnt[2406][5]~60572_combout\,
	cout => \led_flash_cnt[2406][5]~60573\);

-- Location: FF_X31_Y2_N27
\led_flash_cnt[2406][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2406][5]~60572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2406][5]~q\);

-- Location: LCCOMB_X31_Y2_N28
\led_flash_cnt[2406][6]~60574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2406][6]~60574_combout\ = (\led_flash_cnt[2406][6]~q\ & (!\led_flash_cnt[2406][5]~60573\)) # (!\led_flash_cnt[2406][6]~q\ & ((\led_flash_cnt[2406][5]~60573\) # (GND)))
-- \led_flash_cnt[2406][6]~60575\ = CARRY((!\led_flash_cnt[2406][5]~60573\) # (!\led_flash_cnt[2406][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2406][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2406][5]~60573\,
	combout => \led_flash_cnt[2406][6]~60574_combout\,
	cout => \led_flash_cnt[2406][6]~60575\);

-- Location: FF_X31_Y2_N29
\led_flash_cnt[2406][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2406][6]~60574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2406][6]~q\);

-- Location: LCCOMB_X32_Y2_N10
\WideAnd2406~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2406~1_combout\ = (\led_flash_cnt[2406][5]~q\ & \led_flash_cnt[2406][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2406][5]~q\,
	datad => \led_flash_cnt[2406][6]~q\,
	combout => \WideAnd2406~1_combout\);

-- Location: LCCOMB_X31_Y2_N30
\led_flash_cnt[2406][7]~60576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2406][7]~60576_combout\ = \led_flash_cnt[2406][7]~q\ $ (!\led_flash_cnt[2406][6]~60575\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2406][7]~q\,
	cin => \led_flash_cnt[2406][6]~60575\,
	combout => \led_flash_cnt[2406][7]~60576_combout\);

-- Location: FF_X31_Y2_N31
\led_flash_cnt[2406][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2406][7]~60576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2406][7]~q\);

-- Location: LCCOMB_X31_Y2_N0
\WideAnd2406~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2406~0_combout\ = (\led_flash_cnt[2406][4]~q\ & (\led_flash_cnt[2406][1]~q\ & (\led_flash_cnt[2406][3]~q\ & \led_flash_cnt[2406][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2406][4]~q\,
	datab => \led_flash_cnt[2406][1]~q\,
	datac => \led_flash_cnt[2406][3]~q\,
	datad => \led_flash_cnt[2406][2]~q\,
	combout => \WideAnd2406~0_combout\);

-- Location: LCCOMB_X32_Y2_N28
WideAnd2406 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2406~combout\ = (\WideAnd2406~1_combout\ & (\led_flash_cnt[2406][7]~q\ & (\WideAnd2406~0_combout\ & \led_flash_cnt[2406][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2406~1_combout\,
	datab => \led_flash_cnt[2406][7]~q\,
	datac => \WideAnd2406~0_combout\,
	datad => \led_flash_cnt[2406][0]~q\,
	combout => \WideAnd2406~combout\);

-- Location: FF_X32_Y2_N29
\led_flash_cnt_ands[2406]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2406~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2406));

-- Location: LCCOMB_X49_Y21_N22
\led_flash_cnt[2403][0]~83043\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2403][0]~83043_combout\ = !\led_flash_cnt[2403][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2403][0]~q\,
	combout => \led_flash_cnt[2403][0]~83043_combout\);

-- Location: FF_X49_Y21_N23
\led_flash_cnt[2403][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2403][0]~83043_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2403][0]~q\);

-- Location: LCCOMB_X49_Y21_N2
\led_flash_cnt[2403][1]~60522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2403][1]~60522_combout\ = (\led_flash_cnt[2403][0]~q\ & (\led_flash_cnt[2403][1]~q\ $ (VCC))) # (!\led_flash_cnt[2403][0]~q\ & (\led_flash_cnt[2403][1]~q\ & VCC))
-- \led_flash_cnt[2403][1]~60523\ = CARRY((\led_flash_cnt[2403][0]~q\ & \led_flash_cnt[2403][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2403][0]~q\,
	datab => \led_flash_cnt[2403][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2403][1]~60522_combout\,
	cout => \led_flash_cnt[2403][1]~60523\);

-- Location: FF_X49_Y21_N3
\led_flash_cnt[2403][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2403][1]~60522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2403][1]~q\);

-- Location: LCCOMB_X49_Y21_N4
\led_flash_cnt[2403][2]~60524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2403][2]~60524_combout\ = (\led_flash_cnt[2403][2]~q\ & (!\led_flash_cnt[2403][1]~60523\)) # (!\led_flash_cnt[2403][2]~q\ & ((\led_flash_cnt[2403][1]~60523\) # (GND)))
-- \led_flash_cnt[2403][2]~60525\ = CARRY((!\led_flash_cnt[2403][1]~60523\) # (!\led_flash_cnt[2403][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2403][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2403][1]~60523\,
	combout => \led_flash_cnt[2403][2]~60524_combout\,
	cout => \led_flash_cnt[2403][2]~60525\);

-- Location: FF_X49_Y21_N5
\led_flash_cnt[2403][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2403][2]~60524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2403][2]~q\);

-- Location: LCCOMB_X49_Y21_N6
\led_flash_cnt[2403][3]~60526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2403][3]~60526_combout\ = (\led_flash_cnt[2403][3]~q\ & (\led_flash_cnt[2403][2]~60525\ $ (GND))) # (!\led_flash_cnt[2403][3]~q\ & (!\led_flash_cnt[2403][2]~60525\ & VCC))
-- \led_flash_cnt[2403][3]~60527\ = CARRY((\led_flash_cnt[2403][3]~q\ & !\led_flash_cnt[2403][2]~60525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2403][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2403][2]~60525\,
	combout => \led_flash_cnt[2403][3]~60526_combout\,
	cout => \led_flash_cnt[2403][3]~60527\);

-- Location: FF_X49_Y21_N7
\led_flash_cnt[2403][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2403][3]~60526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2403][3]~q\);

-- Location: LCCOMB_X49_Y21_N8
\led_flash_cnt[2403][4]~60528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2403][4]~60528_combout\ = (\led_flash_cnt[2403][4]~q\ & (!\led_flash_cnt[2403][3]~60527\)) # (!\led_flash_cnt[2403][4]~q\ & ((\led_flash_cnt[2403][3]~60527\) # (GND)))
-- \led_flash_cnt[2403][4]~60529\ = CARRY((!\led_flash_cnt[2403][3]~60527\) # (!\led_flash_cnt[2403][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2403][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2403][3]~60527\,
	combout => \led_flash_cnt[2403][4]~60528_combout\,
	cout => \led_flash_cnt[2403][4]~60529\);

-- Location: FF_X49_Y21_N9
\led_flash_cnt[2403][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2403][4]~60528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2403][4]~q\);

-- Location: LCCOMB_X49_Y21_N24
\WideAnd2403~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2403~0_combout\ = (\led_flash_cnt[2403][3]~q\ & (\led_flash_cnt[2403][4]~q\ & (\led_flash_cnt[2403][2]~q\ & \led_flash_cnt[2403][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2403][3]~q\,
	datab => \led_flash_cnt[2403][4]~q\,
	datac => \led_flash_cnt[2403][2]~q\,
	datad => \led_flash_cnt[2403][1]~q\,
	combout => \WideAnd2403~0_combout\);

-- Location: LCCOMB_X49_Y21_N10
\led_flash_cnt[2403][5]~60530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2403][5]~60530_combout\ = (\led_flash_cnt[2403][5]~q\ & (\led_flash_cnt[2403][4]~60529\ $ (GND))) # (!\led_flash_cnt[2403][5]~q\ & (!\led_flash_cnt[2403][4]~60529\ & VCC))
-- \led_flash_cnt[2403][5]~60531\ = CARRY((\led_flash_cnt[2403][5]~q\ & !\led_flash_cnt[2403][4]~60529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2403][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2403][4]~60529\,
	combout => \led_flash_cnt[2403][5]~60530_combout\,
	cout => \led_flash_cnt[2403][5]~60531\);

-- Location: FF_X49_Y21_N11
\led_flash_cnt[2403][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2403][5]~60530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2403][5]~q\);

-- Location: LCCOMB_X49_Y21_N12
\led_flash_cnt[2403][6]~60532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2403][6]~60532_combout\ = (\led_flash_cnt[2403][6]~q\ & (!\led_flash_cnt[2403][5]~60531\)) # (!\led_flash_cnt[2403][6]~q\ & ((\led_flash_cnt[2403][5]~60531\) # (GND)))
-- \led_flash_cnt[2403][6]~60533\ = CARRY((!\led_flash_cnt[2403][5]~60531\) # (!\led_flash_cnt[2403][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2403][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2403][5]~60531\,
	combout => \led_flash_cnt[2403][6]~60532_combout\,
	cout => \led_flash_cnt[2403][6]~60533\);

-- Location: FF_X49_Y21_N13
\led_flash_cnt[2403][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2403][6]~60532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2403][6]~q\);

-- Location: LCCOMB_X49_Y21_N14
\led_flash_cnt[2403][7]~60534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2403][7]~60534_combout\ = \led_flash_cnt[2403][7]~q\ $ (!\led_flash_cnt[2403][6]~60533\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2403][7]~q\,
	cin => \led_flash_cnt[2403][6]~60533\,
	combout => \led_flash_cnt[2403][7]~60534_combout\);

-- Location: FF_X49_Y21_N15
\led_flash_cnt[2403][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2403][7]~60534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2403][7]~q\);

-- Location: LCCOMB_X49_Y21_N18
\WideAnd2403~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2403~1_combout\ = (\led_flash_cnt[2403][6]~q\ & \led_flash_cnt[2403][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2403][6]~q\,
	datad => \led_flash_cnt[2403][5]~q\,
	combout => \WideAnd2403~1_combout\);

-- Location: LCCOMB_X49_Y21_N28
WideAnd2403 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2403~combout\ = (\led_flash_cnt[2403][0]~q\ & (\WideAnd2403~0_combout\ & (\led_flash_cnt[2403][7]~q\ & \WideAnd2403~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2403][0]~q\,
	datab => \WideAnd2403~0_combout\,
	datac => \led_flash_cnt[2403][7]~q\,
	datad => \WideAnd2403~1_combout\,
	combout => \WideAnd2403~combout\);

-- Location: FF_X49_Y21_N29
\led_flash_cnt_ands[2403]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2403~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2403));

-- Location: LCCOMB_X32_Y18_N6
\led_flash_cnt[2402][0]~83042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2402][0]~83042_combout\ = !\led_flash_cnt[2402][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2402][0]~q\,
	combout => \led_flash_cnt[2402][0]~83042_combout\);

-- Location: FF_X32_Y18_N7
\led_flash_cnt[2402][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2402][0]~83042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2402][0]~q\);

-- Location: LCCOMB_X32_Y18_N16
\led_flash_cnt[2402][1]~60508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2402][1]~60508_combout\ = (\led_flash_cnt[2402][0]~q\ & (\led_flash_cnt[2402][1]~q\ $ (VCC))) # (!\led_flash_cnt[2402][0]~q\ & (\led_flash_cnt[2402][1]~q\ & VCC))
-- \led_flash_cnt[2402][1]~60509\ = CARRY((\led_flash_cnt[2402][0]~q\ & \led_flash_cnt[2402][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2402][0]~q\,
	datab => \led_flash_cnt[2402][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2402][1]~60508_combout\,
	cout => \led_flash_cnt[2402][1]~60509\);

-- Location: FF_X32_Y18_N17
\led_flash_cnt[2402][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2402][1]~60508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2402][1]~q\);

-- Location: LCCOMB_X32_Y18_N18
\led_flash_cnt[2402][2]~60510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2402][2]~60510_combout\ = (\led_flash_cnt[2402][2]~q\ & (!\led_flash_cnt[2402][1]~60509\)) # (!\led_flash_cnt[2402][2]~q\ & ((\led_flash_cnt[2402][1]~60509\) # (GND)))
-- \led_flash_cnt[2402][2]~60511\ = CARRY((!\led_flash_cnt[2402][1]~60509\) # (!\led_flash_cnt[2402][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2402][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2402][1]~60509\,
	combout => \led_flash_cnt[2402][2]~60510_combout\,
	cout => \led_flash_cnt[2402][2]~60511\);

-- Location: FF_X32_Y18_N19
\led_flash_cnt[2402][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2402][2]~60510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2402][2]~q\);

-- Location: LCCOMB_X32_Y18_N20
\led_flash_cnt[2402][3]~60512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2402][3]~60512_combout\ = (\led_flash_cnt[2402][3]~q\ & (\led_flash_cnt[2402][2]~60511\ $ (GND))) # (!\led_flash_cnt[2402][3]~q\ & (!\led_flash_cnt[2402][2]~60511\ & VCC))
-- \led_flash_cnt[2402][3]~60513\ = CARRY((\led_flash_cnt[2402][3]~q\ & !\led_flash_cnt[2402][2]~60511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2402][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2402][2]~60511\,
	combout => \led_flash_cnt[2402][3]~60512_combout\,
	cout => \led_flash_cnt[2402][3]~60513\);

-- Location: FF_X32_Y18_N21
\led_flash_cnt[2402][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2402][3]~60512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2402][3]~q\);

-- Location: LCCOMB_X32_Y18_N22
\led_flash_cnt[2402][4]~60514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2402][4]~60514_combout\ = (\led_flash_cnt[2402][4]~q\ & (!\led_flash_cnt[2402][3]~60513\)) # (!\led_flash_cnt[2402][4]~q\ & ((\led_flash_cnt[2402][3]~60513\) # (GND)))
-- \led_flash_cnt[2402][4]~60515\ = CARRY((!\led_flash_cnt[2402][3]~60513\) # (!\led_flash_cnt[2402][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2402][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2402][3]~60513\,
	combout => \led_flash_cnt[2402][4]~60514_combout\,
	cout => \led_flash_cnt[2402][4]~60515\);

-- Location: FF_X32_Y18_N23
\led_flash_cnt[2402][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2402][4]~60514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2402][4]~q\);

-- Location: LCCOMB_X32_Y18_N24
\led_flash_cnt[2402][5]~60516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2402][5]~60516_combout\ = (\led_flash_cnt[2402][5]~q\ & (\led_flash_cnt[2402][4]~60515\ $ (GND))) # (!\led_flash_cnt[2402][5]~q\ & (!\led_flash_cnt[2402][4]~60515\ & VCC))
-- \led_flash_cnt[2402][5]~60517\ = CARRY((\led_flash_cnt[2402][5]~q\ & !\led_flash_cnt[2402][4]~60515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2402][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2402][4]~60515\,
	combout => \led_flash_cnt[2402][5]~60516_combout\,
	cout => \led_flash_cnt[2402][5]~60517\);

-- Location: FF_X32_Y18_N25
\led_flash_cnt[2402][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2402][5]~60516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2402][5]~q\);

-- Location: LCCOMB_X32_Y18_N26
\led_flash_cnt[2402][6]~60518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2402][6]~60518_combout\ = (\led_flash_cnt[2402][6]~q\ & (!\led_flash_cnt[2402][5]~60517\)) # (!\led_flash_cnt[2402][6]~q\ & ((\led_flash_cnt[2402][5]~60517\) # (GND)))
-- \led_flash_cnt[2402][6]~60519\ = CARRY((!\led_flash_cnt[2402][5]~60517\) # (!\led_flash_cnt[2402][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2402][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2402][5]~60517\,
	combout => \led_flash_cnt[2402][6]~60518_combout\,
	cout => \led_flash_cnt[2402][6]~60519\);

-- Location: FF_X32_Y18_N27
\led_flash_cnt[2402][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2402][6]~60518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2402][6]~q\);

-- Location: LCCOMB_X32_Y18_N0
\WideAnd2402~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2402~1_combout\ = (\led_flash_cnt[2402][6]~q\ & \led_flash_cnt[2402][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2402][6]~q\,
	datad => \led_flash_cnt[2402][5]~q\,
	combout => \WideAnd2402~1_combout\);

-- Location: LCCOMB_X32_Y18_N14
\WideAnd2402~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2402~0_combout\ = (\led_flash_cnt[2402][2]~q\ & (\led_flash_cnt[2402][3]~q\ & (\led_flash_cnt[2402][4]~q\ & \led_flash_cnt[2402][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2402][2]~q\,
	datab => \led_flash_cnt[2402][3]~q\,
	datac => \led_flash_cnt[2402][4]~q\,
	datad => \led_flash_cnt[2402][1]~q\,
	combout => \WideAnd2402~0_combout\);

-- Location: LCCOMB_X32_Y18_N28
\led_flash_cnt[2402][7]~60520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2402][7]~60520_combout\ = \led_flash_cnt[2402][6]~60519\ $ (!\led_flash_cnt[2402][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2402][7]~q\,
	cin => \led_flash_cnt[2402][6]~60519\,
	combout => \led_flash_cnt[2402][7]~60520_combout\);

-- Location: FF_X32_Y18_N29
\led_flash_cnt[2402][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2402][7]~60520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2402][7]~q\);

-- Location: LCCOMB_X32_Y18_N4
WideAnd2402 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2402~combout\ = (\led_flash_cnt[2402][0]~q\ & (\WideAnd2402~1_combout\ & (\WideAnd2402~0_combout\ & \led_flash_cnt[2402][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2402][0]~q\,
	datab => \WideAnd2402~1_combout\,
	datac => \WideAnd2402~0_combout\,
	datad => \led_flash_cnt[2402][7]~q\,
	combout => \WideAnd2402~combout\);

-- Location: FF_X32_Y18_N5
\led_flash_cnt_ands[2402]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2402~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2402));

-- Location: LCCOMB_X35_Y4_N0
\led_flash_cnt[2401][0]~83041\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2401][0]~83041_combout\ = !\led_flash_cnt[2401][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2401][0]~q\,
	combout => \led_flash_cnt[2401][0]~83041_combout\);

-- Location: FF_X35_Y4_N1
\led_flash_cnt[2401][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2401][0]~83041_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2401][0]~q\);

-- Location: LCCOMB_X35_Y5_N2
\led_flash_cnt[2401][1]~60494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2401][1]~60494_combout\ = (\led_flash_cnt[2401][0]~q\ & (\led_flash_cnt[2401][1]~q\ $ (VCC))) # (!\led_flash_cnt[2401][0]~q\ & (\led_flash_cnt[2401][1]~q\ & VCC))
-- \led_flash_cnt[2401][1]~60495\ = CARRY((\led_flash_cnt[2401][0]~q\ & \led_flash_cnt[2401][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2401][0]~q\,
	datab => \led_flash_cnt[2401][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2401][1]~60494_combout\,
	cout => \led_flash_cnt[2401][1]~60495\);

-- Location: FF_X35_Y5_N3
\led_flash_cnt[2401][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2401][1]~60494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2401][1]~q\);

-- Location: LCCOMB_X35_Y5_N4
\led_flash_cnt[2401][2]~60496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2401][2]~60496_combout\ = (\led_flash_cnt[2401][2]~q\ & (!\led_flash_cnt[2401][1]~60495\)) # (!\led_flash_cnt[2401][2]~q\ & ((\led_flash_cnt[2401][1]~60495\) # (GND)))
-- \led_flash_cnt[2401][2]~60497\ = CARRY((!\led_flash_cnt[2401][1]~60495\) # (!\led_flash_cnt[2401][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2401][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2401][1]~60495\,
	combout => \led_flash_cnt[2401][2]~60496_combout\,
	cout => \led_flash_cnt[2401][2]~60497\);

-- Location: FF_X35_Y5_N5
\led_flash_cnt[2401][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2401][2]~60496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2401][2]~q\);

-- Location: LCCOMB_X35_Y5_N6
\led_flash_cnt[2401][3]~60498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2401][3]~60498_combout\ = (\led_flash_cnt[2401][3]~q\ & (\led_flash_cnt[2401][2]~60497\ $ (GND))) # (!\led_flash_cnt[2401][3]~q\ & (!\led_flash_cnt[2401][2]~60497\ & VCC))
-- \led_flash_cnt[2401][3]~60499\ = CARRY((\led_flash_cnt[2401][3]~q\ & !\led_flash_cnt[2401][2]~60497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2401][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2401][2]~60497\,
	combout => \led_flash_cnt[2401][3]~60498_combout\,
	cout => \led_flash_cnt[2401][3]~60499\);

-- Location: FF_X35_Y5_N7
\led_flash_cnt[2401][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2401][3]~60498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2401][3]~q\);

-- Location: LCCOMB_X35_Y5_N8
\led_flash_cnt[2401][4]~60500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2401][4]~60500_combout\ = (\led_flash_cnt[2401][4]~q\ & (!\led_flash_cnt[2401][3]~60499\)) # (!\led_flash_cnt[2401][4]~q\ & ((\led_flash_cnt[2401][3]~60499\) # (GND)))
-- \led_flash_cnt[2401][4]~60501\ = CARRY((!\led_flash_cnt[2401][3]~60499\) # (!\led_flash_cnt[2401][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2401][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2401][3]~60499\,
	combout => \led_flash_cnt[2401][4]~60500_combout\,
	cout => \led_flash_cnt[2401][4]~60501\);

-- Location: FF_X35_Y5_N9
\led_flash_cnt[2401][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2401][4]~60500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2401][4]~q\);

-- Location: LCCOMB_X35_Y5_N0
\WideAnd2401~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2401~0_combout\ = (\led_flash_cnt[2401][3]~q\ & (\led_flash_cnt[2401][2]~q\ & (\led_flash_cnt[2401][4]~q\ & \led_flash_cnt[2401][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2401][3]~q\,
	datab => \led_flash_cnt[2401][2]~q\,
	datac => \led_flash_cnt[2401][4]~q\,
	datad => \led_flash_cnt[2401][1]~q\,
	combout => \WideAnd2401~0_combout\);

-- Location: LCCOMB_X35_Y5_N10
\led_flash_cnt[2401][5]~60502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2401][5]~60502_combout\ = (\led_flash_cnt[2401][5]~q\ & (\led_flash_cnt[2401][4]~60501\ $ (GND))) # (!\led_flash_cnt[2401][5]~q\ & (!\led_flash_cnt[2401][4]~60501\ & VCC))
-- \led_flash_cnt[2401][5]~60503\ = CARRY((\led_flash_cnt[2401][5]~q\ & !\led_flash_cnt[2401][4]~60501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2401][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2401][4]~60501\,
	combout => \led_flash_cnt[2401][5]~60502_combout\,
	cout => \led_flash_cnt[2401][5]~60503\);

-- Location: FF_X35_Y5_N11
\led_flash_cnt[2401][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2401][5]~60502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2401][5]~q\);

-- Location: LCCOMB_X35_Y5_N12
\led_flash_cnt[2401][6]~60504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2401][6]~60504_combout\ = (\led_flash_cnt[2401][6]~q\ & (!\led_flash_cnt[2401][5]~60503\)) # (!\led_flash_cnt[2401][6]~q\ & ((\led_flash_cnt[2401][5]~60503\) # (GND)))
-- \led_flash_cnt[2401][6]~60505\ = CARRY((!\led_flash_cnt[2401][5]~60503\) # (!\led_flash_cnt[2401][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2401][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2401][5]~60503\,
	combout => \led_flash_cnt[2401][6]~60504_combout\,
	cout => \led_flash_cnt[2401][6]~60505\);

-- Location: FF_X35_Y5_N13
\led_flash_cnt[2401][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2401][6]~60504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2401][6]~q\);

-- Location: LCCOMB_X36_Y5_N4
\WideAnd2401~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2401~1_combout\ = (\led_flash_cnt[2401][6]~q\ & \led_flash_cnt[2401][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2401][6]~q\,
	datad => \led_flash_cnt[2401][5]~q\,
	combout => \WideAnd2401~1_combout\);

-- Location: LCCOMB_X35_Y5_N14
\led_flash_cnt[2401][7]~60506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2401][7]~60506_combout\ = \led_flash_cnt[2401][7]~q\ $ (!\led_flash_cnt[2401][6]~60505\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2401][7]~q\,
	cin => \led_flash_cnt[2401][6]~60505\,
	combout => \led_flash_cnt[2401][7]~60506_combout\);

-- Location: FF_X35_Y5_N15
\led_flash_cnt[2401][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2401][7]~60506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2401][7]~q\);

-- Location: LCCOMB_X36_Y5_N30
WideAnd2401 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2401~combout\ = (\WideAnd2401~0_combout\ & (\WideAnd2401~1_combout\ & (\led_flash_cnt[2401][0]~q\ & \led_flash_cnt[2401][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2401~0_combout\,
	datab => \WideAnd2401~1_combout\,
	datac => \led_flash_cnt[2401][0]~q\,
	datad => \led_flash_cnt[2401][7]~q\,
	combout => \WideAnd2401~combout\);

-- Location: FF_X36_Y5_N31
\led_flash_cnt_ands[2401]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2401~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2401));

-- Location: LCCOMB_X35_Y4_N4
\led_flash_cnt[2400][0]~83040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2400][0]~83040_combout\ = !\led_flash_cnt[2400][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2400][0]~q\,
	combout => \led_flash_cnt[2400][0]~83040_combout\);

-- Location: FF_X35_Y4_N5
\led_flash_cnt[2400][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2400][0]~83040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2400][0]~q\);

-- Location: LCCOMB_X35_Y4_N12
\led_flash_cnt[2400][1]~60480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2400][1]~60480_combout\ = (\led_flash_cnt[2400][1]~q\ & (\led_flash_cnt[2400][0]~q\ $ (VCC))) # (!\led_flash_cnt[2400][1]~q\ & (\led_flash_cnt[2400][0]~q\ & VCC))
-- \led_flash_cnt[2400][1]~60481\ = CARRY((\led_flash_cnt[2400][1]~q\ & \led_flash_cnt[2400][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2400][1]~q\,
	datab => \led_flash_cnt[2400][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2400][1]~60480_combout\,
	cout => \led_flash_cnt[2400][1]~60481\);

-- Location: FF_X35_Y4_N13
\led_flash_cnt[2400][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2400][1]~60480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2400][1]~q\);

-- Location: LCCOMB_X35_Y4_N14
\led_flash_cnt[2400][2]~60482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2400][2]~60482_combout\ = (\led_flash_cnt[2400][2]~q\ & (!\led_flash_cnt[2400][1]~60481\)) # (!\led_flash_cnt[2400][2]~q\ & ((\led_flash_cnt[2400][1]~60481\) # (GND)))
-- \led_flash_cnt[2400][2]~60483\ = CARRY((!\led_flash_cnt[2400][1]~60481\) # (!\led_flash_cnt[2400][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2400][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2400][1]~60481\,
	combout => \led_flash_cnt[2400][2]~60482_combout\,
	cout => \led_flash_cnt[2400][2]~60483\);

-- Location: FF_X35_Y4_N15
\led_flash_cnt[2400][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2400][2]~60482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2400][2]~q\);

-- Location: LCCOMB_X35_Y4_N16
\led_flash_cnt[2400][3]~60484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2400][3]~60484_combout\ = (\led_flash_cnt[2400][3]~q\ & (\led_flash_cnt[2400][2]~60483\ $ (GND))) # (!\led_flash_cnt[2400][3]~q\ & (!\led_flash_cnt[2400][2]~60483\ & VCC))
-- \led_flash_cnt[2400][3]~60485\ = CARRY((\led_flash_cnt[2400][3]~q\ & !\led_flash_cnt[2400][2]~60483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2400][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2400][2]~60483\,
	combout => \led_flash_cnt[2400][3]~60484_combout\,
	cout => \led_flash_cnt[2400][3]~60485\);

-- Location: FF_X35_Y4_N17
\led_flash_cnt[2400][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2400][3]~60484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2400][3]~q\);

-- Location: LCCOMB_X35_Y4_N18
\led_flash_cnt[2400][4]~60486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2400][4]~60486_combout\ = (\led_flash_cnt[2400][4]~q\ & (!\led_flash_cnt[2400][3]~60485\)) # (!\led_flash_cnt[2400][4]~q\ & ((\led_flash_cnt[2400][3]~60485\) # (GND)))
-- \led_flash_cnt[2400][4]~60487\ = CARRY((!\led_flash_cnt[2400][3]~60485\) # (!\led_flash_cnt[2400][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2400][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2400][3]~60485\,
	combout => \led_flash_cnt[2400][4]~60486_combout\,
	cout => \led_flash_cnt[2400][4]~60487\);

-- Location: FF_X35_Y4_N19
\led_flash_cnt[2400][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2400][4]~60486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2400][4]~q\);

-- Location: LCCOMB_X35_Y4_N10
\WideAnd2400~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2400~0_combout\ = (\led_flash_cnt[2400][4]~q\ & (\led_flash_cnt[2400][3]~q\ & (\led_flash_cnt[2400][2]~q\ & \led_flash_cnt[2400][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2400][4]~q\,
	datab => \led_flash_cnt[2400][3]~q\,
	datac => \led_flash_cnt[2400][2]~q\,
	datad => \led_flash_cnt[2400][1]~q\,
	combout => \WideAnd2400~0_combout\);

-- Location: LCCOMB_X35_Y4_N20
\led_flash_cnt[2400][5]~60488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2400][5]~60488_combout\ = (\led_flash_cnt[2400][5]~q\ & (\led_flash_cnt[2400][4]~60487\ $ (GND))) # (!\led_flash_cnt[2400][5]~q\ & (!\led_flash_cnt[2400][4]~60487\ & VCC))
-- \led_flash_cnt[2400][5]~60489\ = CARRY((\led_flash_cnt[2400][5]~q\ & !\led_flash_cnt[2400][4]~60487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2400][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2400][4]~60487\,
	combout => \led_flash_cnt[2400][5]~60488_combout\,
	cout => \led_flash_cnt[2400][5]~60489\);

-- Location: FF_X35_Y4_N21
\led_flash_cnt[2400][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2400][5]~60488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2400][5]~q\);

-- Location: LCCOMB_X35_Y4_N22
\led_flash_cnt[2400][6]~60490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2400][6]~60490_combout\ = (\led_flash_cnt[2400][6]~q\ & (!\led_flash_cnt[2400][5]~60489\)) # (!\led_flash_cnt[2400][6]~q\ & ((\led_flash_cnt[2400][5]~60489\) # (GND)))
-- \led_flash_cnt[2400][6]~60491\ = CARRY((!\led_flash_cnt[2400][5]~60489\) # (!\led_flash_cnt[2400][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2400][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2400][5]~60489\,
	combout => \led_flash_cnt[2400][6]~60490_combout\,
	cout => \led_flash_cnt[2400][6]~60491\);

-- Location: FF_X35_Y4_N23
\led_flash_cnt[2400][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2400][6]~60490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2400][6]~q\);

-- Location: LCCOMB_X35_Y4_N8
\WideAnd2400~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2400~1_combout\ = (\led_flash_cnt[2400][6]~q\ & \led_flash_cnt[2400][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2400][6]~q\,
	datad => \led_flash_cnt[2400][5]~q\,
	combout => \WideAnd2400~1_combout\);

-- Location: LCCOMB_X35_Y4_N24
\led_flash_cnt[2400][7]~60492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2400][7]~60492_combout\ = \led_flash_cnt[2400][6]~60491\ $ (!\led_flash_cnt[2400][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2400][7]~q\,
	cin => \led_flash_cnt[2400][6]~60491\,
	combout => \led_flash_cnt[2400][7]~60492_combout\);

-- Location: FF_X35_Y4_N25
\led_flash_cnt[2400][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2400][7]~60492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2400][7]~q\);

-- Location: LCCOMB_X35_Y4_N28
WideAnd2400 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2400~combout\ = (\WideAnd2400~0_combout\ & (\led_flash_cnt[2400][0]~q\ & (\WideAnd2400~1_combout\ & \led_flash_cnt[2400][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2400~0_combout\,
	datab => \led_flash_cnt[2400][0]~q\,
	datac => \WideAnd2400~1_combout\,
	datad => \led_flash_cnt[2400][7]~q\,
	combout => \WideAnd2400~combout\);

-- Location: FF_X35_Y4_N29
\led_flash_cnt_ands[2400]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2400~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2400));

-- Location: LCCOMB_X36_Y4_N10
\WideAnd4140~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4140~0_combout\ = (led_flash_cnt_ands(2403) & (led_flash_cnt_ands(2402) & (led_flash_cnt_ands(2401) & led_flash_cnt_ands(2400))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2403),
	datab => led_flash_cnt_ands(2402),
	datac => led_flash_cnt_ands(2401),
	datad => led_flash_cnt_ands(2400),
	combout => \WideAnd4140~0_combout\);

-- Location: LCCOMB_X36_Y3_N18
\led_flash_cnt[2405][0]~83045\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2405][0]~83045_combout\ = !\led_flash_cnt[2405][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2405][0]~q\,
	combout => \led_flash_cnt[2405][0]~83045_combout\);

-- Location: FF_X36_Y3_N19
\led_flash_cnt[2405][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2405][0]~83045_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2405][0]~q\);

-- Location: LCCOMB_X37_Y3_N0
\led_flash_cnt[2405][1]~60550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2405][1]~60550_combout\ = (\led_flash_cnt[2405][0]~q\ & (\led_flash_cnt[2405][1]~q\ $ (VCC))) # (!\led_flash_cnt[2405][0]~q\ & (\led_flash_cnt[2405][1]~q\ & VCC))
-- \led_flash_cnt[2405][1]~60551\ = CARRY((\led_flash_cnt[2405][0]~q\ & \led_flash_cnt[2405][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2405][0]~q\,
	datab => \led_flash_cnt[2405][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2405][1]~60550_combout\,
	cout => \led_flash_cnt[2405][1]~60551\);

-- Location: FF_X37_Y3_N1
\led_flash_cnt[2405][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2405][1]~60550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2405][1]~q\);

-- Location: LCCOMB_X37_Y3_N2
\led_flash_cnt[2405][2]~60552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2405][2]~60552_combout\ = (\led_flash_cnt[2405][2]~q\ & (!\led_flash_cnt[2405][1]~60551\)) # (!\led_flash_cnt[2405][2]~q\ & ((\led_flash_cnt[2405][1]~60551\) # (GND)))
-- \led_flash_cnt[2405][2]~60553\ = CARRY((!\led_flash_cnt[2405][1]~60551\) # (!\led_flash_cnt[2405][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2405][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2405][1]~60551\,
	combout => \led_flash_cnt[2405][2]~60552_combout\,
	cout => \led_flash_cnt[2405][2]~60553\);

-- Location: FF_X37_Y3_N3
\led_flash_cnt[2405][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2405][2]~60552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2405][2]~q\);

-- Location: LCCOMB_X37_Y3_N4
\led_flash_cnt[2405][3]~60554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2405][3]~60554_combout\ = (\led_flash_cnt[2405][3]~q\ & (\led_flash_cnt[2405][2]~60553\ $ (GND))) # (!\led_flash_cnt[2405][3]~q\ & (!\led_flash_cnt[2405][2]~60553\ & VCC))
-- \led_flash_cnt[2405][3]~60555\ = CARRY((\led_flash_cnt[2405][3]~q\ & !\led_flash_cnt[2405][2]~60553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2405][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2405][2]~60553\,
	combout => \led_flash_cnt[2405][3]~60554_combout\,
	cout => \led_flash_cnt[2405][3]~60555\);

-- Location: FF_X37_Y3_N5
\led_flash_cnt[2405][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2405][3]~60554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2405][3]~q\);

-- Location: LCCOMB_X37_Y3_N6
\led_flash_cnt[2405][4]~60556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2405][4]~60556_combout\ = (\led_flash_cnt[2405][4]~q\ & (!\led_flash_cnt[2405][3]~60555\)) # (!\led_flash_cnt[2405][4]~q\ & ((\led_flash_cnt[2405][3]~60555\) # (GND)))
-- \led_flash_cnt[2405][4]~60557\ = CARRY((!\led_flash_cnt[2405][3]~60555\) # (!\led_flash_cnt[2405][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2405][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2405][3]~60555\,
	combout => \led_flash_cnt[2405][4]~60556_combout\,
	cout => \led_flash_cnt[2405][4]~60557\);

-- Location: FF_X37_Y3_N7
\led_flash_cnt[2405][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2405][4]~60556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2405][4]~q\);

-- Location: LCCOMB_X37_Y3_N8
\led_flash_cnt[2405][5]~60558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2405][5]~60558_combout\ = (\led_flash_cnt[2405][5]~q\ & (\led_flash_cnt[2405][4]~60557\ $ (GND))) # (!\led_flash_cnt[2405][5]~q\ & (!\led_flash_cnt[2405][4]~60557\ & VCC))
-- \led_flash_cnt[2405][5]~60559\ = CARRY((\led_flash_cnt[2405][5]~q\ & !\led_flash_cnt[2405][4]~60557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2405][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2405][4]~60557\,
	combout => \led_flash_cnt[2405][5]~60558_combout\,
	cout => \led_flash_cnt[2405][5]~60559\);

-- Location: FF_X37_Y3_N9
\led_flash_cnt[2405][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2405][5]~60558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2405][5]~q\);

-- Location: LCCOMB_X37_Y3_N10
\led_flash_cnt[2405][6]~60560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2405][6]~60560_combout\ = (\led_flash_cnt[2405][6]~q\ & (!\led_flash_cnt[2405][5]~60559\)) # (!\led_flash_cnt[2405][6]~q\ & ((\led_flash_cnt[2405][5]~60559\) # (GND)))
-- \led_flash_cnt[2405][6]~60561\ = CARRY((!\led_flash_cnt[2405][5]~60559\) # (!\led_flash_cnt[2405][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2405][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2405][5]~60559\,
	combout => \led_flash_cnt[2405][6]~60560_combout\,
	cout => \led_flash_cnt[2405][6]~60561\);

-- Location: FF_X37_Y3_N11
\led_flash_cnt[2405][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2405][6]~60560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2405][6]~q\);

-- Location: LCCOMB_X36_Y3_N22
\WideAnd2405~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2405~1_combout\ = (\led_flash_cnt[2405][6]~q\ & \led_flash_cnt[2405][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2405][6]~q\,
	datac => \led_flash_cnt[2405][5]~q\,
	combout => \WideAnd2405~1_combout\);

-- Location: LCCOMB_X37_Y3_N12
\led_flash_cnt[2405][7]~60562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2405][7]~60562_combout\ = \led_flash_cnt[2405][6]~60561\ $ (!\led_flash_cnt[2405][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2405][7]~q\,
	cin => \led_flash_cnt[2405][6]~60561\,
	combout => \led_flash_cnt[2405][7]~60562_combout\);

-- Location: FF_X37_Y3_N13
\led_flash_cnt[2405][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2405][7]~60562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2405][7]~q\);

-- Location: LCCOMB_X37_Y3_N28
\WideAnd2405~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2405~0_combout\ = (\led_flash_cnt[2405][4]~q\ & (\led_flash_cnt[2405][1]~q\ & (\led_flash_cnt[2405][3]~q\ & \led_flash_cnt[2405][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2405][4]~q\,
	datab => \led_flash_cnt[2405][1]~q\,
	datac => \led_flash_cnt[2405][3]~q\,
	datad => \led_flash_cnt[2405][2]~q\,
	combout => \WideAnd2405~0_combout\);

-- Location: LCCOMB_X36_Y3_N30
WideAnd2405 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2405~combout\ = (\WideAnd2405~1_combout\ & (\led_flash_cnt[2405][0]~q\ & (\led_flash_cnt[2405][7]~q\ & \WideAnd2405~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2405~1_combout\,
	datab => \led_flash_cnt[2405][0]~q\,
	datac => \led_flash_cnt[2405][7]~q\,
	datad => \WideAnd2405~0_combout\,
	combout => \WideAnd2405~combout\);

-- Location: FF_X36_Y3_N31
\led_flash_cnt_ands[2405]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2405~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2405));

-- Location: LCCOMB_X32_Y2_N30
\led_flash_cnt[2404][0]~83044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2404][0]~83044_combout\ = !\led_flash_cnt[2404][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2404][0]~q\,
	combout => \led_flash_cnt[2404][0]~83044_combout\);

-- Location: FF_X32_Y2_N31
\led_flash_cnt[2404][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2404][0]~83044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2404][0]~q\);

-- Location: LCCOMB_X32_Y2_N14
\led_flash_cnt[2404][1]~60536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2404][1]~60536_combout\ = (\led_flash_cnt[2404][0]~q\ & (\led_flash_cnt[2404][1]~q\ $ (VCC))) # (!\led_flash_cnt[2404][0]~q\ & (\led_flash_cnt[2404][1]~q\ & VCC))
-- \led_flash_cnt[2404][1]~60537\ = CARRY((\led_flash_cnt[2404][0]~q\ & \led_flash_cnt[2404][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2404][0]~q\,
	datab => \led_flash_cnt[2404][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2404][1]~60536_combout\,
	cout => \led_flash_cnt[2404][1]~60537\);

-- Location: FF_X32_Y2_N15
\led_flash_cnt[2404][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2404][1]~60536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2404][1]~q\);

-- Location: LCCOMB_X32_Y2_N16
\led_flash_cnt[2404][2]~60538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2404][2]~60538_combout\ = (\led_flash_cnt[2404][2]~q\ & (!\led_flash_cnt[2404][1]~60537\)) # (!\led_flash_cnt[2404][2]~q\ & ((\led_flash_cnt[2404][1]~60537\) # (GND)))
-- \led_flash_cnt[2404][2]~60539\ = CARRY((!\led_flash_cnt[2404][1]~60537\) # (!\led_flash_cnt[2404][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2404][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2404][1]~60537\,
	combout => \led_flash_cnt[2404][2]~60538_combout\,
	cout => \led_flash_cnt[2404][2]~60539\);

-- Location: FF_X32_Y2_N17
\led_flash_cnt[2404][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2404][2]~60538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2404][2]~q\);

-- Location: LCCOMB_X32_Y2_N18
\led_flash_cnt[2404][3]~60540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2404][3]~60540_combout\ = (\led_flash_cnt[2404][3]~q\ & (\led_flash_cnt[2404][2]~60539\ $ (GND))) # (!\led_flash_cnt[2404][3]~q\ & (!\led_flash_cnt[2404][2]~60539\ & VCC))
-- \led_flash_cnt[2404][3]~60541\ = CARRY((\led_flash_cnt[2404][3]~q\ & !\led_flash_cnt[2404][2]~60539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2404][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2404][2]~60539\,
	combout => \led_flash_cnt[2404][3]~60540_combout\,
	cout => \led_flash_cnt[2404][3]~60541\);

-- Location: FF_X32_Y2_N19
\led_flash_cnt[2404][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2404][3]~60540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2404][3]~q\);

-- Location: LCCOMB_X32_Y2_N20
\led_flash_cnt[2404][4]~60542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2404][4]~60542_combout\ = (\led_flash_cnt[2404][4]~q\ & (!\led_flash_cnt[2404][3]~60541\)) # (!\led_flash_cnt[2404][4]~q\ & ((\led_flash_cnt[2404][3]~60541\) # (GND)))
-- \led_flash_cnt[2404][4]~60543\ = CARRY((!\led_flash_cnt[2404][3]~60541\) # (!\led_flash_cnt[2404][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2404][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2404][3]~60541\,
	combout => \led_flash_cnt[2404][4]~60542_combout\,
	cout => \led_flash_cnt[2404][4]~60543\);

-- Location: FF_X32_Y2_N21
\led_flash_cnt[2404][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2404][4]~60542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2404][4]~q\);

-- Location: LCCOMB_X32_Y2_N22
\led_flash_cnt[2404][5]~60544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2404][5]~60544_combout\ = (\led_flash_cnt[2404][5]~q\ & (\led_flash_cnt[2404][4]~60543\ $ (GND))) # (!\led_flash_cnt[2404][5]~q\ & (!\led_flash_cnt[2404][4]~60543\ & VCC))
-- \led_flash_cnt[2404][5]~60545\ = CARRY((\led_flash_cnt[2404][5]~q\ & !\led_flash_cnt[2404][4]~60543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2404][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2404][4]~60543\,
	combout => \led_flash_cnt[2404][5]~60544_combout\,
	cout => \led_flash_cnt[2404][5]~60545\);

-- Location: FF_X32_Y2_N23
\led_flash_cnt[2404][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2404][5]~60544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2404][5]~q\);

-- Location: LCCOMB_X32_Y2_N24
\led_flash_cnt[2404][6]~60546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2404][6]~60546_combout\ = (\led_flash_cnt[2404][6]~q\ & (!\led_flash_cnt[2404][5]~60545\)) # (!\led_flash_cnt[2404][6]~q\ & ((\led_flash_cnt[2404][5]~60545\) # (GND)))
-- \led_flash_cnt[2404][6]~60547\ = CARRY((!\led_flash_cnt[2404][5]~60545\) # (!\led_flash_cnt[2404][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2404][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2404][5]~60545\,
	combout => \led_flash_cnt[2404][6]~60546_combout\,
	cout => \led_flash_cnt[2404][6]~60547\);

-- Location: FF_X32_Y2_N25
\led_flash_cnt[2404][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2404][6]~60546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2404][6]~q\);

-- Location: LCCOMB_X32_Y2_N26
\led_flash_cnt[2404][7]~60548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2404][7]~60548_combout\ = \led_flash_cnt[2404][7]~q\ $ (!\led_flash_cnt[2404][6]~60547\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2404][7]~q\,
	cin => \led_flash_cnt[2404][6]~60547\,
	combout => \led_flash_cnt[2404][7]~60548_combout\);

-- Location: FF_X32_Y2_N27
\led_flash_cnt[2404][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2404][7]~60548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2404][7]~q\);

-- Location: LCCOMB_X32_Y2_N4
\WideAnd2404~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2404~0_combout\ = (\led_flash_cnt[2404][3]~q\ & (\led_flash_cnt[2404][2]~q\ & (\led_flash_cnt[2404][1]~q\ & \led_flash_cnt[2404][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2404][3]~q\,
	datab => \led_flash_cnt[2404][2]~q\,
	datac => \led_flash_cnt[2404][1]~q\,
	datad => \led_flash_cnt[2404][4]~q\,
	combout => \WideAnd2404~0_combout\);

-- Location: LCCOMB_X32_Y2_N6
\WideAnd2404~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2404~1_combout\ = (\led_flash_cnt[2404][5]~q\ & \led_flash_cnt[2404][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2404][5]~q\,
	datad => \led_flash_cnt[2404][6]~q\,
	combout => \WideAnd2404~1_combout\);

-- Location: LCCOMB_X32_Y2_N12
WideAnd2404 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2404~combout\ = (\led_flash_cnt[2404][7]~q\ & (\WideAnd2404~0_combout\ & (\led_flash_cnt[2404][0]~q\ & \WideAnd2404~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2404][7]~q\,
	datab => \WideAnd2404~0_combout\,
	datac => \led_flash_cnt[2404][0]~q\,
	datad => \WideAnd2404~1_combout\,
	combout => \WideAnd2404~combout\);

-- Location: FF_X32_Y2_N13
\led_flash_cnt_ands[2404]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2404~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2404));

-- Location: LCCOMB_X32_Y2_N0
\WideAnd4140~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4140~1_combout\ = (led_flash_cnt_ands(2405) & led_flash_cnt_ands(2404))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2405),
	datad => led_flash_cnt_ands(2404),
	combout => \WideAnd4140~1_combout\);

-- Location: LCCOMB_X32_Y2_N8
WideAnd4140 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4140~combout\ = (led_flash_cnt_ands(2407) & (led_flash_cnt_ands(2406) & (\WideAnd4140~0_combout\ & \WideAnd4140~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2407),
	datab => led_flash_cnt_ands(2406),
	datac => \WideAnd4140~0_combout\,
	datad => \WideAnd4140~1_combout\,
	combout => \WideAnd4140~combout\);

-- Location: FF_X32_Y2_N9
\led_flash_cnt_ands_1[300]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4140~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(300));

-- Location: LCCOMB_X25_Y30_N6
\led_flash_cnt[2414][0]~83054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2414][0]~83054_combout\ = !\led_flash_cnt[2414][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2414][0]~q\,
	combout => \led_flash_cnt[2414][0]~83054_combout\);

-- Location: FF_X25_Y30_N7
\led_flash_cnt[2414][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2414][0]~83054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2414][0]~q\);

-- Location: LCCOMB_X26_Y30_N4
\led_flash_cnt[2414][1]~60676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2414][1]~60676_combout\ = (\led_flash_cnt[2414][0]~q\ & (\led_flash_cnt[2414][1]~q\ $ (VCC))) # (!\led_flash_cnt[2414][0]~q\ & (\led_flash_cnt[2414][1]~q\ & VCC))
-- \led_flash_cnt[2414][1]~60677\ = CARRY((\led_flash_cnt[2414][0]~q\ & \led_flash_cnt[2414][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2414][0]~q\,
	datab => \led_flash_cnt[2414][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2414][1]~60676_combout\,
	cout => \led_flash_cnt[2414][1]~60677\);

-- Location: FF_X26_Y30_N5
\led_flash_cnt[2414][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2414][1]~60676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2414][1]~q\);

-- Location: LCCOMB_X26_Y30_N6
\led_flash_cnt[2414][2]~60678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2414][2]~60678_combout\ = (\led_flash_cnt[2414][2]~q\ & (!\led_flash_cnt[2414][1]~60677\)) # (!\led_flash_cnt[2414][2]~q\ & ((\led_flash_cnt[2414][1]~60677\) # (GND)))
-- \led_flash_cnt[2414][2]~60679\ = CARRY((!\led_flash_cnt[2414][1]~60677\) # (!\led_flash_cnt[2414][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2414][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2414][1]~60677\,
	combout => \led_flash_cnt[2414][2]~60678_combout\,
	cout => \led_flash_cnt[2414][2]~60679\);

-- Location: FF_X26_Y30_N7
\led_flash_cnt[2414][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2414][2]~60678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2414][2]~q\);

-- Location: LCCOMB_X26_Y30_N8
\led_flash_cnt[2414][3]~60680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2414][3]~60680_combout\ = (\led_flash_cnt[2414][3]~q\ & (\led_flash_cnt[2414][2]~60679\ $ (GND))) # (!\led_flash_cnt[2414][3]~q\ & (!\led_flash_cnt[2414][2]~60679\ & VCC))
-- \led_flash_cnt[2414][3]~60681\ = CARRY((\led_flash_cnt[2414][3]~q\ & !\led_flash_cnt[2414][2]~60679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2414][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2414][2]~60679\,
	combout => \led_flash_cnt[2414][3]~60680_combout\,
	cout => \led_flash_cnt[2414][3]~60681\);

-- Location: FF_X26_Y30_N9
\led_flash_cnt[2414][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2414][3]~60680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2414][3]~q\);

-- Location: LCCOMB_X26_Y30_N10
\led_flash_cnt[2414][4]~60682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2414][4]~60682_combout\ = (\led_flash_cnt[2414][4]~q\ & (!\led_flash_cnt[2414][3]~60681\)) # (!\led_flash_cnt[2414][4]~q\ & ((\led_flash_cnt[2414][3]~60681\) # (GND)))
-- \led_flash_cnt[2414][4]~60683\ = CARRY((!\led_flash_cnt[2414][3]~60681\) # (!\led_flash_cnt[2414][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2414][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2414][3]~60681\,
	combout => \led_flash_cnt[2414][4]~60682_combout\,
	cout => \led_flash_cnt[2414][4]~60683\);

-- Location: FF_X26_Y30_N11
\led_flash_cnt[2414][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2414][4]~60682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2414][4]~q\);

-- Location: LCCOMB_X26_Y30_N0
\WideAnd2414~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2414~0_combout\ = (\led_flash_cnt[2414][2]~q\ & (\led_flash_cnt[2414][3]~q\ & (\led_flash_cnt[2414][1]~q\ & \led_flash_cnt[2414][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2414][2]~q\,
	datab => \led_flash_cnt[2414][3]~q\,
	datac => \led_flash_cnt[2414][1]~q\,
	datad => \led_flash_cnt[2414][4]~q\,
	combout => \WideAnd2414~0_combout\);

-- Location: LCCOMB_X26_Y30_N12
\led_flash_cnt[2414][5]~60684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2414][5]~60684_combout\ = (\led_flash_cnt[2414][5]~q\ & (\led_flash_cnt[2414][4]~60683\ $ (GND))) # (!\led_flash_cnt[2414][5]~q\ & (!\led_flash_cnt[2414][4]~60683\ & VCC))
-- \led_flash_cnt[2414][5]~60685\ = CARRY((\led_flash_cnt[2414][5]~q\ & !\led_flash_cnt[2414][4]~60683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2414][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2414][4]~60683\,
	combout => \led_flash_cnt[2414][5]~60684_combout\,
	cout => \led_flash_cnt[2414][5]~60685\);

-- Location: FF_X26_Y30_N13
\led_flash_cnt[2414][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2414][5]~60684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2414][5]~q\);

-- Location: LCCOMB_X26_Y30_N14
\led_flash_cnt[2414][6]~60686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2414][6]~60686_combout\ = (\led_flash_cnt[2414][6]~q\ & (!\led_flash_cnt[2414][5]~60685\)) # (!\led_flash_cnt[2414][6]~q\ & ((\led_flash_cnt[2414][5]~60685\) # (GND)))
-- \led_flash_cnt[2414][6]~60687\ = CARRY((!\led_flash_cnt[2414][5]~60685\) # (!\led_flash_cnt[2414][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2414][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2414][5]~60685\,
	combout => \led_flash_cnt[2414][6]~60686_combout\,
	cout => \led_flash_cnt[2414][6]~60687\);

-- Location: FF_X26_Y30_N15
\led_flash_cnt[2414][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2414][6]~60686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2414][6]~q\);

-- Location: LCCOMB_X25_Y30_N4
\WideAnd2414~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2414~1_combout\ = (\led_flash_cnt[2414][5]~q\ & \led_flash_cnt[2414][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2414][5]~q\,
	datac => \led_flash_cnt[2414][6]~q\,
	combout => \WideAnd2414~1_combout\);

-- Location: LCCOMB_X26_Y30_N16
\led_flash_cnt[2414][7]~60688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2414][7]~60688_combout\ = \led_flash_cnt[2414][6]~60687\ $ (!\led_flash_cnt[2414][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2414][7]~q\,
	cin => \led_flash_cnt[2414][6]~60687\,
	combout => \led_flash_cnt[2414][7]~60688_combout\);

-- Location: FF_X26_Y30_N17
\led_flash_cnt[2414][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2414][7]~60688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2414][7]~q\);

-- Location: LCCOMB_X25_Y30_N2
WideAnd2414 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2414~combout\ = (\led_flash_cnt[2414][0]~q\ & (\WideAnd2414~0_combout\ & (\WideAnd2414~1_combout\ & \led_flash_cnt[2414][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2414][0]~q\,
	datab => \WideAnd2414~0_combout\,
	datac => \WideAnd2414~1_combout\,
	datad => \led_flash_cnt[2414][7]~q\,
	combout => \WideAnd2414~combout\);

-- Location: FF_X25_Y30_N3
\led_flash_cnt_ands[2414]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2414~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2414));

-- Location: LCCOMB_X35_Y1_N2
\led_flash_cnt[2411][0]~83051\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2411][0]~83051_combout\ = !\led_flash_cnt[2411][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2411][0]~q\,
	combout => \led_flash_cnt[2411][0]~83051_combout\);

-- Location: FF_X35_Y1_N3
\led_flash_cnt[2411][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2411][0]~83051_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2411][0]~q\);

-- Location: LCCOMB_X34_Y1_N18
\led_flash_cnt[2411][1]~60634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2411][1]~60634_combout\ = (\led_flash_cnt[2411][0]~q\ & (\led_flash_cnt[2411][1]~q\ $ (VCC))) # (!\led_flash_cnt[2411][0]~q\ & (\led_flash_cnt[2411][1]~q\ & VCC))
-- \led_flash_cnt[2411][1]~60635\ = CARRY((\led_flash_cnt[2411][0]~q\ & \led_flash_cnt[2411][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2411][0]~q\,
	datab => \led_flash_cnt[2411][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2411][1]~60634_combout\,
	cout => \led_flash_cnt[2411][1]~60635\);

-- Location: FF_X34_Y1_N19
\led_flash_cnt[2411][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2411][1]~60634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2411][1]~q\);

-- Location: LCCOMB_X34_Y1_N20
\led_flash_cnt[2411][2]~60636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2411][2]~60636_combout\ = (\led_flash_cnt[2411][2]~q\ & (!\led_flash_cnt[2411][1]~60635\)) # (!\led_flash_cnt[2411][2]~q\ & ((\led_flash_cnt[2411][1]~60635\) # (GND)))
-- \led_flash_cnt[2411][2]~60637\ = CARRY((!\led_flash_cnt[2411][1]~60635\) # (!\led_flash_cnt[2411][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2411][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2411][1]~60635\,
	combout => \led_flash_cnt[2411][2]~60636_combout\,
	cout => \led_flash_cnt[2411][2]~60637\);

-- Location: FF_X34_Y1_N21
\led_flash_cnt[2411][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2411][2]~60636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2411][2]~q\);

-- Location: LCCOMB_X34_Y1_N22
\led_flash_cnt[2411][3]~60638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2411][3]~60638_combout\ = (\led_flash_cnt[2411][3]~q\ & (\led_flash_cnt[2411][2]~60637\ $ (GND))) # (!\led_flash_cnt[2411][3]~q\ & (!\led_flash_cnt[2411][2]~60637\ & VCC))
-- \led_flash_cnt[2411][3]~60639\ = CARRY((\led_flash_cnt[2411][3]~q\ & !\led_flash_cnt[2411][2]~60637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2411][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2411][2]~60637\,
	combout => \led_flash_cnt[2411][3]~60638_combout\,
	cout => \led_flash_cnt[2411][3]~60639\);

-- Location: FF_X34_Y1_N23
\led_flash_cnt[2411][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2411][3]~60638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2411][3]~q\);

-- Location: LCCOMB_X34_Y1_N24
\led_flash_cnt[2411][4]~60640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2411][4]~60640_combout\ = (\led_flash_cnt[2411][4]~q\ & (!\led_flash_cnt[2411][3]~60639\)) # (!\led_flash_cnt[2411][4]~q\ & ((\led_flash_cnt[2411][3]~60639\) # (GND)))
-- \led_flash_cnt[2411][4]~60641\ = CARRY((!\led_flash_cnt[2411][3]~60639\) # (!\led_flash_cnt[2411][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2411][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2411][3]~60639\,
	combout => \led_flash_cnt[2411][4]~60640_combout\,
	cout => \led_flash_cnt[2411][4]~60641\);

-- Location: FF_X34_Y1_N25
\led_flash_cnt[2411][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2411][4]~60640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2411][4]~q\);

-- Location: LCCOMB_X34_Y1_N26
\led_flash_cnt[2411][5]~60642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2411][5]~60642_combout\ = (\led_flash_cnt[2411][5]~q\ & (\led_flash_cnt[2411][4]~60641\ $ (GND))) # (!\led_flash_cnt[2411][5]~q\ & (!\led_flash_cnt[2411][4]~60641\ & VCC))
-- \led_flash_cnt[2411][5]~60643\ = CARRY((\led_flash_cnt[2411][5]~q\ & !\led_flash_cnt[2411][4]~60641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2411][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2411][4]~60641\,
	combout => \led_flash_cnt[2411][5]~60642_combout\,
	cout => \led_flash_cnt[2411][5]~60643\);

-- Location: FF_X34_Y1_N27
\led_flash_cnt[2411][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2411][5]~60642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2411][5]~q\);

-- Location: LCCOMB_X34_Y1_N28
\led_flash_cnt[2411][6]~60644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2411][6]~60644_combout\ = (\led_flash_cnt[2411][6]~q\ & (!\led_flash_cnt[2411][5]~60643\)) # (!\led_flash_cnt[2411][6]~q\ & ((\led_flash_cnt[2411][5]~60643\) # (GND)))
-- \led_flash_cnt[2411][6]~60645\ = CARRY((!\led_flash_cnt[2411][5]~60643\) # (!\led_flash_cnt[2411][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2411][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2411][5]~60643\,
	combout => \led_flash_cnt[2411][6]~60644_combout\,
	cout => \led_flash_cnt[2411][6]~60645\);

-- Location: FF_X34_Y1_N29
\led_flash_cnt[2411][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2411][6]~60644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2411][6]~q\);

-- Location: LCCOMB_X35_Y1_N26
\WideAnd2411~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2411~1_combout\ = (\led_flash_cnt[2411][5]~q\ & \led_flash_cnt[2411][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2411][5]~q\,
	datad => \led_flash_cnt[2411][6]~q\,
	combout => \WideAnd2411~1_combout\);

-- Location: LCCOMB_X34_Y1_N30
\led_flash_cnt[2411][7]~60646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2411][7]~60646_combout\ = \led_flash_cnt[2411][7]~q\ $ (!\led_flash_cnt[2411][6]~60645\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2411][7]~q\,
	cin => \led_flash_cnt[2411][6]~60645\,
	combout => \led_flash_cnt[2411][7]~60646_combout\);

-- Location: FF_X34_Y1_N31
\led_flash_cnt[2411][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2411][7]~60646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2411][7]~q\);

-- Location: LCCOMB_X34_Y1_N0
\WideAnd2411~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2411~0_combout\ = (\led_flash_cnt[2411][1]~q\ & (\led_flash_cnt[2411][2]~q\ & (\led_flash_cnt[2411][3]~q\ & \led_flash_cnt[2411][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2411][1]~q\,
	datab => \led_flash_cnt[2411][2]~q\,
	datac => \led_flash_cnt[2411][3]~q\,
	datad => \led_flash_cnt[2411][4]~q\,
	combout => \WideAnd2411~0_combout\);

-- Location: LCCOMB_X35_Y1_N30
WideAnd2411 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2411~combout\ = (\WideAnd2411~1_combout\ & (\led_flash_cnt[2411][7]~q\ & (\WideAnd2411~0_combout\ & \led_flash_cnt[2411][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2411~1_combout\,
	datab => \led_flash_cnt[2411][7]~q\,
	datac => \WideAnd2411~0_combout\,
	datad => \led_flash_cnt[2411][0]~q\,
	combout => \WideAnd2411~combout\);

-- Location: FF_X35_Y1_N31
\led_flash_cnt_ands[2411]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2411~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2411));

-- Location: LCCOMB_X35_Y1_N22
\led_flash_cnt[2410][0]~83050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2410][0]~83050_combout\ = !\led_flash_cnt[2410][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2410][0]~q\,
	combout => \led_flash_cnt[2410][0]~83050_combout\);

-- Location: FF_X35_Y1_N23
\led_flash_cnt[2410][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2410][0]~83050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2410][0]~q\);

-- Location: LCCOMB_X35_Y1_N8
\led_flash_cnt[2410][1]~60620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2410][1]~60620_combout\ = (\led_flash_cnt[2410][0]~q\ & (\led_flash_cnt[2410][1]~q\ $ (VCC))) # (!\led_flash_cnt[2410][0]~q\ & (\led_flash_cnt[2410][1]~q\ & VCC))
-- \led_flash_cnt[2410][1]~60621\ = CARRY((\led_flash_cnt[2410][0]~q\ & \led_flash_cnt[2410][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2410][0]~q\,
	datab => \led_flash_cnt[2410][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2410][1]~60620_combout\,
	cout => \led_flash_cnt[2410][1]~60621\);

-- Location: FF_X35_Y1_N9
\led_flash_cnt[2410][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2410][1]~60620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2410][1]~q\);

-- Location: LCCOMB_X35_Y1_N10
\led_flash_cnt[2410][2]~60622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2410][2]~60622_combout\ = (\led_flash_cnt[2410][2]~q\ & (!\led_flash_cnt[2410][1]~60621\)) # (!\led_flash_cnt[2410][2]~q\ & ((\led_flash_cnt[2410][1]~60621\) # (GND)))
-- \led_flash_cnt[2410][2]~60623\ = CARRY((!\led_flash_cnt[2410][1]~60621\) # (!\led_flash_cnt[2410][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2410][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2410][1]~60621\,
	combout => \led_flash_cnt[2410][2]~60622_combout\,
	cout => \led_flash_cnt[2410][2]~60623\);

-- Location: FF_X35_Y1_N11
\led_flash_cnt[2410][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2410][2]~60622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2410][2]~q\);

-- Location: LCCOMB_X35_Y1_N12
\led_flash_cnt[2410][3]~60624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2410][3]~60624_combout\ = (\led_flash_cnt[2410][3]~q\ & (\led_flash_cnt[2410][2]~60623\ $ (GND))) # (!\led_flash_cnt[2410][3]~q\ & (!\led_flash_cnt[2410][2]~60623\ & VCC))
-- \led_flash_cnt[2410][3]~60625\ = CARRY((\led_flash_cnt[2410][3]~q\ & !\led_flash_cnt[2410][2]~60623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2410][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2410][2]~60623\,
	combout => \led_flash_cnt[2410][3]~60624_combout\,
	cout => \led_flash_cnt[2410][3]~60625\);

-- Location: FF_X35_Y1_N13
\led_flash_cnt[2410][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2410][3]~60624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2410][3]~q\);

-- Location: LCCOMB_X35_Y1_N14
\led_flash_cnt[2410][4]~60626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2410][4]~60626_combout\ = (\led_flash_cnt[2410][4]~q\ & (!\led_flash_cnt[2410][3]~60625\)) # (!\led_flash_cnt[2410][4]~q\ & ((\led_flash_cnt[2410][3]~60625\) # (GND)))
-- \led_flash_cnt[2410][4]~60627\ = CARRY((!\led_flash_cnt[2410][3]~60625\) # (!\led_flash_cnt[2410][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2410][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2410][3]~60625\,
	combout => \led_flash_cnt[2410][4]~60626_combout\,
	cout => \led_flash_cnt[2410][4]~60627\);

-- Location: FF_X35_Y1_N15
\led_flash_cnt[2410][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2410][4]~60626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2410][4]~q\);

-- Location: LCCOMB_X35_Y1_N16
\led_flash_cnt[2410][5]~60628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2410][5]~60628_combout\ = (\led_flash_cnt[2410][5]~q\ & (\led_flash_cnt[2410][4]~60627\ $ (GND))) # (!\led_flash_cnt[2410][5]~q\ & (!\led_flash_cnt[2410][4]~60627\ & VCC))
-- \led_flash_cnt[2410][5]~60629\ = CARRY((\led_flash_cnt[2410][5]~q\ & !\led_flash_cnt[2410][4]~60627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2410][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2410][4]~60627\,
	combout => \led_flash_cnt[2410][5]~60628_combout\,
	cout => \led_flash_cnt[2410][5]~60629\);

-- Location: FF_X35_Y1_N17
\led_flash_cnt[2410][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2410][5]~60628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2410][5]~q\);

-- Location: LCCOMB_X35_Y1_N18
\led_flash_cnt[2410][6]~60630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2410][6]~60630_combout\ = (\led_flash_cnt[2410][6]~q\ & (!\led_flash_cnt[2410][5]~60629\)) # (!\led_flash_cnt[2410][6]~q\ & ((\led_flash_cnt[2410][5]~60629\) # (GND)))
-- \led_flash_cnt[2410][6]~60631\ = CARRY((!\led_flash_cnt[2410][5]~60629\) # (!\led_flash_cnt[2410][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2410][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2410][5]~60629\,
	combout => \led_flash_cnt[2410][6]~60630_combout\,
	cout => \led_flash_cnt[2410][6]~60631\);

-- Location: FF_X35_Y1_N19
\led_flash_cnt[2410][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2410][6]~60630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2410][6]~q\);

-- Location: LCCOMB_X35_Y1_N20
\led_flash_cnt[2410][7]~60632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2410][7]~60632_combout\ = \led_flash_cnt[2410][6]~60631\ $ (!\led_flash_cnt[2410][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2410][7]~q\,
	cin => \led_flash_cnt[2410][6]~60631\,
	combout => \led_flash_cnt[2410][7]~60632_combout\);

-- Location: FF_X35_Y1_N21
\led_flash_cnt[2410][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2410][7]~60632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2410][7]~q\);

-- Location: LCCOMB_X35_Y1_N4
\WideAnd2410~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2410~1_combout\ = (\led_flash_cnt[2410][6]~q\ & \led_flash_cnt[2410][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2410][6]~q\,
	datad => \led_flash_cnt[2410][5]~q\,
	combout => \WideAnd2410~1_combout\);

-- Location: LCCOMB_X35_Y1_N24
\WideAnd2410~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2410~0_combout\ = (\led_flash_cnt[2410][3]~q\ & (\led_flash_cnt[2410][1]~q\ & (\led_flash_cnt[2410][4]~q\ & \led_flash_cnt[2410][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2410][3]~q\,
	datab => \led_flash_cnt[2410][1]~q\,
	datac => \led_flash_cnt[2410][4]~q\,
	datad => \led_flash_cnt[2410][2]~q\,
	combout => \WideAnd2410~0_combout\);

-- Location: LCCOMB_X35_Y1_N28
WideAnd2410 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2410~combout\ = (\led_flash_cnt[2410][0]~q\ & (\led_flash_cnt[2410][7]~q\ & (\WideAnd2410~1_combout\ & \WideAnd2410~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2410][0]~q\,
	datab => \led_flash_cnt[2410][7]~q\,
	datac => \WideAnd2410~1_combout\,
	datad => \WideAnd2410~0_combout\,
	combout => \WideAnd2410~combout\);

-- Location: FF_X35_Y1_N29
\led_flash_cnt_ands[2410]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2410~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2410));

-- Location: LCCOMB_X31_Y7_N6
\led_flash_cnt[2409][0]~83049\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2409][0]~83049_combout\ = !\led_flash_cnt[2409][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2409][0]~q\,
	combout => \led_flash_cnt[2409][0]~83049_combout\);

-- Location: FF_X31_Y7_N7
\led_flash_cnt[2409][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2409][0]~83049_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2409][0]~q\);

-- Location: LCCOMB_X32_Y7_N4
\led_flash_cnt[2409][1]~60606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2409][1]~60606_combout\ = (\led_flash_cnt[2409][0]~q\ & (\led_flash_cnt[2409][1]~q\ $ (VCC))) # (!\led_flash_cnt[2409][0]~q\ & (\led_flash_cnt[2409][1]~q\ & VCC))
-- \led_flash_cnt[2409][1]~60607\ = CARRY((\led_flash_cnt[2409][0]~q\ & \led_flash_cnt[2409][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2409][0]~q\,
	datab => \led_flash_cnt[2409][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2409][1]~60606_combout\,
	cout => \led_flash_cnt[2409][1]~60607\);

-- Location: FF_X32_Y7_N5
\led_flash_cnt[2409][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2409][1]~60606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2409][1]~q\);

-- Location: LCCOMB_X32_Y7_N6
\led_flash_cnt[2409][2]~60608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2409][2]~60608_combout\ = (\led_flash_cnt[2409][2]~q\ & (!\led_flash_cnt[2409][1]~60607\)) # (!\led_flash_cnt[2409][2]~q\ & ((\led_flash_cnt[2409][1]~60607\) # (GND)))
-- \led_flash_cnt[2409][2]~60609\ = CARRY((!\led_flash_cnt[2409][1]~60607\) # (!\led_flash_cnt[2409][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2409][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2409][1]~60607\,
	combout => \led_flash_cnt[2409][2]~60608_combout\,
	cout => \led_flash_cnt[2409][2]~60609\);

-- Location: FF_X32_Y7_N7
\led_flash_cnt[2409][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2409][2]~60608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2409][2]~q\);

-- Location: LCCOMB_X32_Y7_N8
\led_flash_cnt[2409][3]~60610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2409][3]~60610_combout\ = (\led_flash_cnt[2409][3]~q\ & (\led_flash_cnt[2409][2]~60609\ $ (GND))) # (!\led_flash_cnt[2409][3]~q\ & (!\led_flash_cnt[2409][2]~60609\ & VCC))
-- \led_flash_cnt[2409][3]~60611\ = CARRY((\led_flash_cnt[2409][3]~q\ & !\led_flash_cnt[2409][2]~60609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2409][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2409][2]~60609\,
	combout => \led_flash_cnt[2409][3]~60610_combout\,
	cout => \led_flash_cnt[2409][3]~60611\);

-- Location: FF_X32_Y7_N9
\led_flash_cnt[2409][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2409][3]~60610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2409][3]~q\);

-- Location: LCCOMB_X32_Y7_N10
\led_flash_cnt[2409][4]~60612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2409][4]~60612_combout\ = (\led_flash_cnt[2409][4]~q\ & (!\led_flash_cnt[2409][3]~60611\)) # (!\led_flash_cnt[2409][4]~q\ & ((\led_flash_cnt[2409][3]~60611\) # (GND)))
-- \led_flash_cnt[2409][4]~60613\ = CARRY((!\led_flash_cnt[2409][3]~60611\) # (!\led_flash_cnt[2409][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2409][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2409][3]~60611\,
	combout => \led_flash_cnt[2409][4]~60612_combout\,
	cout => \led_flash_cnt[2409][4]~60613\);

-- Location: FF_X32_Y7_N11
\led_flash_cnt[2409][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2409][4]~60612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2409][4]~q\);

-- Location: LCCOMB_X32_Y7_N0
\WideAnd2409~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2409~0_combout\ = (\led_flash_cnt[2409][2]~q\ & (\led_flash_cnt[2409][3]~q\ & (\led_flash_cnt[2409][1]~q\ & \led_flash_cnt[2409][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2409][2]~q\,
	datab => \led_flash_cnt[2409][3]~q\,
	datac => \led_flash_cnt[2409][1]~q\,
	datad => \led_flash_cnt[2409][4]~q\,
	combout => \WideAnd2409~0_combout\);

-- Location: LCCOMB_X32_Y7_N12
\led_flash_cnt[2409][5]~60614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2409][5]~60614_combout\ = (\led_flash_cnt[2409][5]~q\ & (\led_flash_cnt[2409][4]~60613\ $ (GND))) # (!\led_flash_cnt[2409][5]~q\ & (!\led_flash_cnt[2409][4]~60613\ & VCC))
-- \led_flash_cnt[2409][5]~60615\ = CARRY((\led_flash_cnt[2409][5]~q\ & !\led_flash_cnt[2409][4]~60613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2409][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2409][4]~60613\,
	combout => \led_flash_cnt[2409][5]~60614_combout\,
	cout => \led_flash_cnt[2409][5]~60615\);

-- Location: FF_X32_Y7_N13
\led_flash_cnt[2409][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2409][5]~60614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2409][5]~q\);

-- Location: LCCOMB_X32_Y7_N14
\led_flash_cnt[2409][6]~60616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2409][6]~60616_combout\ = (\led_flash_cnt[2409][6]~q\ & (!\led_flash_cnt[2409][5]~60615\)) # (!\led_flash_cnt[2409][6]~q\ & ((\led_flash_cnt[2409][5]~60615\) # (GND)))
-- \led_flash_cnt[2409][6]~60617\ = CARRY((!\led_flash_cnt[2409][5]~60615\) # (!\led_flash_cnt[2409][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2409][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2409][5]~60615\,
	combout => \led_flash_cnt[2409][6]~60616_combout\,
	cout => \led_flash_cnt[2409][6]~60617\);

-- Location: FF_X32_Y7_N15
\led_flash_cnt[2409][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2409][6]~60616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2409][6]~q\);

-- Location: LCCOMB_X31_Y7_N14
\WideAnd2409~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2409~1_combout\ = (\led_flash_cnt[2409][6]~q\ & \led_flash_cnt[2409][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2409][6]~q\,
	datac => \led_flash_cnt[2409][5]~q\,
	combout => \WideAnd2409~1_combout\);

-- Location: LCCOMB_X32_Y7_N16
\led_flash_cnt[2409][7]~60618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2409][7]~60618_combout\ = \led_flash_cnt[2409][6]~60617\ $ (!\led_flash_cnt[2409][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2409][7]~q\,
	cin => \led_flash_cnt[2409][6]~60617\,
	combout => \led_flash_cnt[2409][7]~60618_combout\);

-- Location: FF_X32_Y7_N17
\led_flash_cnt[2409][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2409][7]~60618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2409][7]~q\);

-- Location: LCCOMB_X31_Y7_N8
WideAnd2409 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2409~combout\ = (\led_flash_cnt[2409][0]~q\ & (\WideAnd2409~0_combout\ & (\WideAnd2409~1_combout\ & \led_flash_cnt[2409][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2409][0]~q\,
	datab => \WideAnd2409~0_combout\,
	datac => \WideAnd2409~1_combout\,
	datad => \led_flash_cnt[2409][7]~q\,
	combout => \WideAnd2409~combout\);

-- Location: FF_X31_Y7_N9
\led_flash_cnt_ands[2409]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2409~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2409));

-- Location: LCCOMB_X35_Y1_N6
\led_flash_cnt[2408][0]~83048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2408][0]~83048_combout\ = !\led_flash_cnt[2408][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2408][0]~q\,
	combout => \led_flash_cnt[2408][0]~83048_combout\);

-- Location: FF_X35_Y1_N7
\led_flash_cnt[2408][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2408][0]~83048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2408][0]~q\);

-- Location: LCCOMB_X36_Y1_N0
\led_flash_cnt[2408][1]~60592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2408][1]~60592_combout\ = (\led_flash_cnt[2408][1]~q\ & (\led_flash_cnt[2408][0]~q\ $ (VCC))) # (!\led_flash_cnt[2408][1]~q\ & (\led_flash_cnt[2408][0]~q\ & VCC))
-- \led_flash_cnt[2408][1]~60593\ = CARRY((\led_flash_cnt[2408][1]~q\ & \led_flash_cnt[2408][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2408][1]~q\,
	datab => \led_flash_cnt[2408][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2408][1]~60592_combout\,
	cout => \led_flash_cnt[2408][1]~60593\);

-- Location: FF_X36_Y1_N1
\led_flash_cnt[2408][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2408][1]~60592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2408][1]~q\);

-- Location: LCCOMB_X36_Y1_N2
\led_flash_cnt[2408][2]~60594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2408][2]~60594_combout\ = (\led_flash_cnt[2408][2]~q\ & (!\led_flash_cnt[2408][1]~60593\)) # (!\led_flash_cnt[2408][2]~q\ & ((\led_flash_cnt[2408][1]~60593\) # (GND)))
-- \led_flash_cnt[2408][2]~60595\ = CARRY((!\led_flash_cnt[2408][1]~60593\) # (!\led_flash_cnt[2408][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2408][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2408][1]~60593\,
	combout => \led_flash_cnt[2408][2]~60594_combout\,
	cout => \led_flash_cnt[2408][2]~60595\);

-- Location: FF_X36_Y1_N3
\led_flash_cnt[2408][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2408][2]~60594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2408][2]~q\);

-- Location: LCCOMB_X36_Y1_N4
\led_flash_cnt[2408][3]~60596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2408][3]~60596_combout\ = (\led_flash_cnt[2408][3]~q\ & (\led_flash_cnt[2408][2]~60595\ $ (GND))) # (!\led_flash_cnt[2408][3]~q\ & (!\led_flash_cnt[2408][2]~60595\ & VCC))
-- \led_flash_cnt[2408][3]~60597\ = CARRY((\led_flash_cnt[2408][3]~q\ & !\led_flash_cnt[2408][2]~60595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2408][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2408][2]~60595\,
	combout => \led_flash_cnt[2408][3]~60596_combout\,
	cout => \led_flash_cnt[2408][3]~60597\);

-- Location: FF_X36_Y1_N5
\led_flash_cnt[2408][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2408][3]~60596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2408][3]~q\);

-- Location: LCCOMB_X36_Y1_N6
\led_flash_cnt[2408][4]~60598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2408][4]~60598_combout\ = (\led_flash_cnt[2408][4]~q\ & (!\led_flash_cnt[2408][3]~60597\)) # (!\led_flash_cnt[2408][4]~q\ & ((\led_flash_cnt[2408][3]~60597\) # (GND)))
-- \led_flash_cnt[2408][4]~60599\ = CARRY((!\led_flash_cnt[2408][3]~60597\) # (!\led_flash_cnt[2408][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2408][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2408][3]~60597\,
	combout => \led_flash_cnt[2408][4]~60598_combout\,
	cout => \led_flash_cnt[2408][4]~60599\);

-- Location: FF_X36_Y1_N7
\led_flash_cnt[2408][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2408][4]~60598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2408][4]~q\);

-- Location: LCCOMB_X36_Y1_N8
\led_flash_cnt[2408][5]~60600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2408][5]~60600_combout\ = (\led_flash_cnt[2408][5]~q\ & (\led_flash_cnt[2408][4]~60599\ $ (GND))) # (!\led_flash_cnt[2408][5]~q\ & (!\led_flash_cnt[2408][4]~60599\ & VCC))
-- \led_flash_cnt[2408][5]~60601\ = CARRY((\led_flash_cnt[2408][5]~q\ & !\led_flash_cnt[2408][4]~60599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2408][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2408][4]~60599\,
	combout => \led_flash_cnt[2408][5]~60600_combout\,
	cout => \led_flash_cnt[2408][5]~60601\);

-- Location: FF_X36_Y1_N9
\led_flash_cnt[2408][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2408][5]~60600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2408][5]~q\);

-- Location: LCCOMB_X36_Y1_N10
\led_flash_cnt[2408][6]~60602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2408][6]~60602_combout\ = (\led_flash_cnt[2408][6]~q\ & (!\led_flash_cnt[2408][5]~60601\)) # (!\led_flash_cnt[2408][6]~q\ & ((\led_flash_cnt[2408][5]~60601\) # (GND)))
-- \led_flash_cnt[2408][6]~60603\ = CARRY((!\led_flash_cnt[2408][5]~60601\) # (!\led_flash_cnt[2408][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2408][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2408][5]~60601\,
	combout => \led_flash_cnt[2408][6]~60602_combout\,
	cout => \led_flash_cnt[2408][6]~60603\);

-- Location: FF_X36_Y1_N11
\led_flash_cnt[2408][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2408][6]~60602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2408][6]~q\);

-- Location: LCCOMB_X36_Y1_N12
\led_flash_cnt[2408][7]~60604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2408][7]~60604_combout\ = \led_flash_cnt[2408][6]~60603\ $ (!\led_flash_cnt[2408][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2408][7]~q\,
	cin => \led_flash_cnt[2408][6]~60603\,
	combout => \led_flash_cnt[2408][7]~60604_combout\);

-- Location: FF_X36_Y1_N13
\led_flash_cnt[2408][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2408][7]~60604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2408][7]~q\);

-- Location: LCCOMB_X37_Y1_N28
\WideAnd2408~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2408~0_combout\ = (\led_flash_cnt[2408][1]~q\ & (\led_flash_cnt[2408][4]~q\ & (\led_flash_cnt[2408][3]~q\ & \led_flash_cnt[2408][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2408][1]~q\,
	datab => \led_flash_cnt[2408][4]~q\,
	datac => \led_flash_cnt[2408][3]~q\,
	datad => \led_flash_cnt[2408][2]~q\,
	combout => \WideAnd2408~0_combout\);

-- Location: LCCOMB_X37_Y1_N4
\WideAnd2408~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2408~1_combout\ = (\led_flash_cnt[2408][6]~q\ & \led_flash_cnt[2408][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2408][6]~q\,
	datad => \led_flash_cnt[2408][5]~q\,
	combout => \WideAnd2408~1_combout\);

-- Location: LCCOMB_X36_Y1_N28
WideAnd2408 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2408~combout\ = (\led_flash_cnt[2408][7]~q\ & (\WideAnd2408~0_combout\ & (\led_flash_cnt[2408][0]~q\ & \WideAnd2408~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2408][7]~q\,
	datab => \WideAnd2408~0_combout\,
	datac => \led_flash_cnt[2408][0]~q\,
	datad => \WideAnd2408~1_combout\,
	combout => \WideAnd2408~combout\);

-- Location: FF_X36_Y1_N29
\led_flash_cnt_ands[2408]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2408~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2408));

-- Location: LCCOMB_X35_Y1_N0
\WideAnd4141~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4141~0_combout\ = (led_flash_cnt_ands(2411) & (led_flash_cnt_ands(2410) & (led_flash_cnt_ands(2409) & led_flash_cnt_ands(2408))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2411),
	datab => led_flash_cnt_ands(2410),
	datac => led_flash_cnt_ands(2409),
	datad => led_flash_cnt_ands(2408),
	combout => \WideAnd4141~0_combout\);

-- Location: LCCOMB_X30_Y1_N2
\led_flash_cnt[2413][0]~83053\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2413][0]~83053_combout\ = !\led_flash_cnt[2413][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2413][0]~q\,
	combout => \led_flash_cnt[2413][0]~83053_combout\);

-- Location: FF_X30_Y1_N3
\led_flash_cnt[2413][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2413][0]~83053_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2413][0]~q\);

-- Location: LCCOMB_X29_Y1_N0
\led_flash_cnt[2413][1]~60662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2413][1]~60662_combout\ = (\led_flash_cnt[2413][0]~q\ & (\led_flash_cnt[2413][1]~q\ $ (VCC))) # (!\led_flash_cnt[2413][0]~q\ & (\led_flash_cnt[2413][1]~q\ & VCC))
-- \led_flash_cnt[2413][1]~60663\ = CARRY((\led_flash_cnt[2413][0]~q\ & \led_flash_cnt[2413][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2413][0]~q\,
	datab => \led_flash_cnt[2413][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2413][1]~60662_combout\,
	cout => \led_flash_cnt[2413][1]~60663\);

-- Location: FF_X29_Y1_N1
\led_flash_cnt[2413][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2413][1]~60662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2413][1]~q\);

-- Location: LCCOMB_X29_Y1_N2
\led_flash_cnt[2413][2]~60664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2413][2]~60664_combout\ = (\led_flash_cnt[2413][2]~q\ & (!\led_flash_cnt[2413][1]~60663\)) # (!\led_flash_cnt[2413][2]~q\ & ((\led_flash_cnt[2413][1]~60663\) # (GND)))
-- \led_flash_cnt[2413][2]~60665\ = CARRY((!\led_flash_cnt[2413][1]~60663\) # (!\led_flash_cnt[2413][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2413][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2413][1]~60663\,
	combout => \led_flash_cnt[2413][2]~60664_combout\,
	cout => \led_flash_cnt[2413][2]~60665\);

-- Location: FF_X29_Y1_N3
\led_flash_cnt[2413][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2413][2]~60664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2413][2]~q\);

-- Location: LCCOMB_X29_Y1_N4
\led_flash_cnt[2413][3]~60666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2413][3]~60666_combout\ = (\led_flash_cnt[2413][3]~q\ & (\led_flash_cnt[2413][2]~60665\ $ (GND))) # (!\led_flash_cnt[2413][3]~q\ & (!\led_flash_cnt[2413][2]~60665\ & VCC))
-- \led_flash_cnt[2413][3]~60667\ = CARRY((\led_flash_cnt[2413][3]~q\ & !\led_flash_cnt[2413][2]~60665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2413][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2413][2]~60665\,
	combout => \led_flash_cnt[2413][3]~60666_combout\,
	cout => \led_flash_cnt[2413][3]~60667\);

-- Location: FF_X29_Y1_N5
\led_flash_cnt[2413][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2413][3]~60666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2413][3]~q\);

-- Location: LCCOMB_X29_Y1_N6
\led_flash_cnt[2413][4]~60668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2413][4]~60668_combout\ = (\led_flash_cnt[2413][4]~q\ & (!\led_flash_cnt[2413][3]~60667\)) # (!\led_flash_cnt[2413][4]~q\ & ((\led_flash_cnt[2413][3]~60667\) # (GND)))
-- \led_flash_cnt[2413][4]~60669\ = CARRY((!\led_flash_cnt[2413][3]~60667\) # (!\led_flash_cnt[2413][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2413][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2413][3]~60667\,
	combout => \led_flash_cnt[2413][4]~60668_combout\,
	cout => \led_flash_cnt[2413][4]~60669\);

-- Location: FF_X29_Y1_N7
\led_flash_cnt[2413][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2413][4]~60668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2413][4]~q\);

-- Location: LCCOMB_X29_Y1_N8
\led_flash_cnt[2413][5]~60670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2413][5]~60670_combout\ = (\led_flash_cnt[2413][5]~q\ & (\led_flash_cnt[2413][4]~60669\ $ (GND))) # (!\led_flash_cnt[2413][5]~q\ & (!\led_flash_cnt[2413][4]~60669\ & VCC))
-- \led_flash_cnt[2413][5]~60671\ = CARRY((\led_flash_cnt[2413][5]~q\ & !\led_flash_cnt[2413][4]~60669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2413][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2413][4]~60669\,
	combout => \led_flash_cnt[2413][5]~60670_combout\,
	cout => \led_flash_cnt[2413][5]~60671\);

-- Location: FF_X29_Y1_N9
\led_flash_cnt[2413][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2413][5]~60670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2413][5]~q\);

-- Location: LCCOMB_X29_Y1_N10
\led_flash_cnt[2413][6]~60672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2413][6]~60672_combout\ = (\led_flash_cnt[2413][6]~q\ & (!\led_flash_cnt[2413][5]~60671\)) # (!\led_flash_cnt[2413][6]~q\ & ((\led_flash_cnt[2413][5]~60671\) # (GND)))
-- \led_flash_cnt[2413][6]~60673\ = CARRY((!\led_flash_cnt[2413][5]~60671\) # (!\led_flash_cnt[2413][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2413][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2413][5]~60671\,
	combout => \led_flash_cnt[2413][6]~60672_combout\,
	cout => \led_flash_cnt[2413][6]~60673\);

-- Location: FF_X29_Y1_N11
\led_flash_cnt[2413][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2413][6]~60672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2413][6]~q\);

-- Location: LCCOMB_X29_Y1_N12
\led_flash_cnt[2413][7]~60674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2413][7]~60674_combout\ = \led_flash_cnt[2413][6]~60673\ $ (!\led_flash_cnt[2413][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2413][7]~q\,
	cin => \led_flash_cnt[2413][6]~60673\,
	combout => \led_flash_cnt[2413][7]~60674_combout\);

-- Location: FF_X29_Y1_N13
\led_flash_cnt[2413][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2413][7]~60674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2413][7]~q\);

-- Location: LCCOMB_X29_Y1_N30
\WideAnd2413~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2413~0_combout\ = (\led_flash_cnt[2413][4]~q\ & (\led_flash_cnt[2413][2]~q\ & (\led_flash_cnt[2413][3]~q\ & \led_flash_cnt[2413][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2413][4]~q\,
	datab => \led_flash_cnt[2413][2]~q\,
	datac => \led_flash_cnt[2413][3]~q\,
	datad => \led_flash_cnt[2413][1]~q\,
	combout => \WideAnd2413~0_combout\);

-- Location: LCCOMB_X30_Y1_N30
\WideAnd2413~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2413~1_combout\ = (\led_flash_cnt[2413][5]~q\ & \led_flash_cnt[2413][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2413][5]~q\,
	datad => \led_flash_cnt[2413][6]~q\,
	combout => \WideAnd2413~1_combout\);

-- Location: LCCOMB_X30_Y1_N4
WideAnd2413 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2413~combout\ = (\led_flash_cnt[2413][7]~q\ & (\WideAnd2413~0_combout\ & (\WideAnd2413~1_combout\ & \led_flash_cnt[2413][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2413][7]~q\,
	datab => \WideAnd2413~0_combout\,
	datac => \WideAnd2413~1_combout\,
	datad => \led_flash_cnt[2413][0]~q\,
	combout => \WideAnd2413~combout\);

-- Location: FF_X30_Y1_N5
\led_flash_cnt_ands[2413]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2413~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2413));

-- Location: LCCOMB_X30_Y1_N0
\led_flash_cnt[2412][0]~83052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2412][0]~83052_combout\ = !\led_flash_cnt[2412][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2412][0]~q\,
	combout => \led_flash_cnt[2412][0]~83052_combout\);

-- Location: FF_X30_Y1_N1
\led_flash_cnt[2412][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2412][0]~83052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2412][0]~q\);

-- Location: LCCOMB_X30_Y1_N12
\led_flash_cnt[2412][1]~60648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2412][1]~60648_combout\ = (\led_flash_cnt[2412][1]~q\ & (\led_flash_cnt[2412][0]~q\ $ (VCC))) # (!\led_flash_cnt[2412][1]~q\ & (\led_flash_cnt[2412][0]~q\ & VCC))
-- \led_flash_cnt[2412][1]~60649\ = CARRY((\led_flash_cnt[2412][1]~q\ & \led_flash_cnt[2412][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2412][1]~q\,
	datab => \led_flash_cnt[2412][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2412][1]~60648_combout\,
	cout => \led_flash_cnt[2412][1]~60649\);

-- Location: FF_X30_Y1_N13
\led_flash_cnt[2412][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2412][1]~60648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2412][1]~q\);

-- Location: LCCOMB_X30_Y1_N14
\led_flash_cnt[2412][2]~60650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2412][2]~60650_combout\ = (\led_flash_cnt[2412][2]~q\ & (!\led_flash_cnt[2412][1]~60649\)) # (!\led_flash_cnt[2412][2]~q\ & ((\led_flash_cnt[2412][1]~60649\) # (GND)))
-- \led_flash_cnt[2412][2]~60651\ = CARRY((!\led_flash_cnt[2412][1]~60649\) # (!\led_flash_cnt[2412][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2412][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2412][1]~60649\,
	combout => \led_flash_cnt[2412][2]~60650_combout\,
	cout => \led_flash_cnt[2412][2]~60651\);

-- Location: FF_X30_Y1_N15
\led_flash_cnt[2412][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2412][2]~60650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2412][2]~q\);

-- Location: LCCOMB_X30_Y1_N16
\led_flash_cnt[2412][3]~60652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2412][3]~60652_combout\ = (\led_flash_cnt[2412][3]~q\ & (\led_flash_cnt[2412][2]~60651\ $ (GND))) # (!\led_flash_cnt[2412][3]~q\ & (!\led_flash_cnt[2412][2]~60651\ & VCC))
-- \led_flash_cnt[2412][3]~60653\ = CARRY((\led_flash_cnt[2412][3]~q\ & !\led_flash_cnt[2412][2]~60651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2412][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2412][2]~60651\,
	combout => \led_flash_cnt[2412][3]~60652_combout\,
	cout => \led_flash_cnt[2412][3]~60653\);

-- Location: FF_X30_Y1_N17
\led_flash_cnt[2412][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2412][3]~60652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2412][3]~q\);

-- Location: LCCOMB_X30_Y1_N18
\led_flash_cnt[2412][4]~60654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2412][4]~60654_combout\ = (\led_flash_cnt[2412][4]~q\ & (!\led_flash_cnt[2412][3]~60653\)) # (!\led_flash_cnt[2412][4]~q\ & ((\led_flash_cnt[2412][3]~60653\) # (GND)))
-- \led_flash_cnt[2412][4]~60655\ = CARRY((!\led_flash_cnt[2412][3]~60653\) # (!\led_flash_cnt[2412][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2412][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2412][3]~60653\,
	combout => \led_flash_cnt[2412][4]~60654_combout\,
	cout => \led_flash_cnt[2412][4]~60655\);

-- Location: FF_X30_Y1_N19
\led_flash_cnt[2412][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2412][4]~60654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2412][4]~q\);

-- Location: LCCOMB_X30_Y1_N6
\WideAnd2412~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2412~0_combout\ = (\led_flash_cnt[2412][1]~q\ & (\led_flash_cnt[2412][3]~q\ & (\led_flash_cnt[2412][2]~q\ & \led_flash_cnt[2412][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2412][1]~q\,
	datab => \led_flash_cnt[2412][3]~q\,
	datac => \led_flash_cnt[2412][2]~q\,
	datad => \led_flash_cnt[2412][4]~q\,
	combout => \WideAnd2412~0_combout\);

-- Location: LCCOMB_X30_Y1_N20
\led_flash_cnt[2412][5]~60656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2412][5]~60656_combout\ = (\led_flash_cnt[2412][5]~q\ & (\led_flash_cnt[2412][4]~60655\ $ (GND))) # (!\led_flash_cnt[2412][5]~q\ & (!\led_flash_cnt[2412][4]~60655\ & VCC))
-- \led_flash_cnt[2412][5]~60657\ = CARRY((\led_flash_cnt[2412][5]~q\ & !\led_flash_cnt[2412][4]~60655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2412][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2412][4]~60655\,
	combout => \led_flash_cnt[2412][5]~60656_combout\,
	cout => \led_flash_cnt[2412][5]~60657\);

-- Location: FF_X30_Y1_N21
\led_flash_cnt[2412][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2412][5]~60656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2412][5]~q\);

-- Location: LCCOMB_X30_Y1_N22
\led_flash_cnt[2412][6]~60658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2412][6]~60658_combout\ = (\led_flash_cnt[2412][6]~q\ & (!\led_flash_cnt[2412][5]~60657\)) # (!\led_flash_cnt[2412][6]~q\ & ((\led_flash_cnt[2412][5]~60657\) # (GND)))
-- \led_flash_cnt[2412][6]~60659\ = CARRY((!\led_flash_cnt[2412][5]~60657\) # (!\led_flash_cnt[2412][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2412][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2412][5]~60657\,
	combout => \led_flash_cnt[2412][6]~60658_combout\,
	cout => \led_flash_cnt[2412][6]~60659\);

-- Location: FF_X30_Y1_N23
\led_flash_cnt[2412][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2412][6]~60658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2412][6]~q\);

-- Location: LCCOMB_X30_Y1_N24
\led_flash_cnt[2412][7]~60660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2412][7]~60660_combout\ = \led_flash_cnt[2412][6]~60659\ $ (!\led_flash_cnt[2412][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2412][7]~q\,
	cin => \led_flash_cnt[2412][6]~60659\,
	combout => \led_flash_cnt[2412][7]~60660_combout\);

-- Location: FF_X30_Y1_N25
\led_flash_cnt[2412][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2412][7]~60660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2412][7]~q\);

-- Location: LCCOMB_X30_Y1_N26
\WideAnd2412~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2412~1_combout\ = (\led_flash_cnt[2412][6]~q\ & \led_flash_cnt[2412][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2412][6]~q\,
	datad => \led_flash_cnt[2412][5]~q\,
	combout => \WideAnd2412~1_combout\);

-- Location: LCCOMB_X30_Y1_N8
WideAnd2412 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2412~combout\ = (\WideAnd2412~0_combout\ & (\led_flash_cnt[2412][7]~q\ & (\WideAnd2412~1_combout\ & \led_flash_cnt[2412][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2412~0_combout\,
	datab => \led_flash_cnt[2412][7]~q\,
	datac => \WideAnd2412~1_combout\,
	datad => \led_flash_cnt[2412][0]~q\,
	combout => \WideAnd2412~combout\);

-- Location: FF_X30_Y1_N9
\led_flash_cnt_ands[2412]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2412~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2412));

-- Location: LCCOMB_X31_Y1_N26
\WideAnd4141~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4141~1_combout\ = (led_flash_cnt_ands(2413) & led_flash_cnt_ands(2412))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2413),
	datad => led_flash_cnt_ands(2412),
	combout => \WideAnd4141~1_combout\);

-- Location: LCCOMB_X31_Y10_N2
\led_flash_cnt[2415][0]~83055\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2415][0]~83055_combout\ = !\led_flash_cnt[2415][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2415][0]~q\,
	combout => \led_flash_cnt[2415][0]~83055_combout\);

-- Location: FF_X31_Y10_N3
\led_flash_cnt[2415][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2415][0]~83055_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2415][0]~q\);

-- Location: LCCOMB_X30_Y10_N0
\led_flash_cnt[2415][1]~60690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2415][1]~60690_combout\ = (\led_flash_cnt[2415][0]~q\ & (\led_flash_cnt[2415][1]~q\ $ (VCC))) # (!\led_flash_cnt[2415][0]~q\ & (\led_flash_cnt[2415][1]~q\ & VCC))
-- \led_flash_cnt[2415][1]~60691\ = CARRY((\led_flash_cnt[2415][0]~q\ & \led_flash_cnt[2415][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2415][0]~q\,
	datab => \led_flash_cnt[2415][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2415][1]~60690_combout\,
	cout => \led_flash_cnt[2415][1]~60691\);

-- Location: FF_X30_Y10_N1
\led_flash_cnt[2415][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2415][1]~60690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2415][1]~q\);

-- Location: LCCOMB_X30_Y10_N2
\led_flash_cnt[2415][2]~60692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2415][2]~60692_combout\ = (\led_flash_cnt[2415][2]~q\ & (!\led_flash_cnt[2415][1]~60691\)) # (!\led_flash_cnt[2415][2]~q\ & ((\led_flash_cnt[2415][1]~60691\) # (GND)))
-- \led_flash_cnt[2415][2]~60693\ = CARRY((!\led_flash_cnt[2415][1]~60691\) # (!\led_flash_cnt[2415][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2415][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2415][1]~60691\,
	combout => \led_flash_cnt[2415][2]~60692_combout\,
	cout => \led_flash_cnt[2415][2]~60693\);

-- Location: FF_X30_Y10_N3
\led_flash_cnt[2415][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2415][2]~60692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2415][2]~q\);

-- Location: LCCOMB_X30_Y10_N4
\led_flash_cnt[2415][3]~60694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2415][3]~60694_combout\ = (\led_flash_cnt[2415][3]~q\ & (\led_flash_cnt[2415][2]~60693\ $ (GND))) # (!\led_flash_cnt[2415][3]~q\ & (!\led_flash_cnt[2415][2]~60693\ & VCC))
-- \led_flash_cnt[2415][3]~60695\ = CARRY((\led_flash_cnt[2415][3]~q\ & !\led_flash_cnt[2415][2]~60693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2415][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2415][2]~60693\,
	combout => \led_flash_cnt[2415][3]~60694_combout\,
	cout => \led_flash_cnt[2415][3]~60695\);

-- Location: FF_X30_Y10_N5
\led_flash_cnt[2415][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2415][3]~60694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2415][3]~q\);

-- Location: LCCOMB_X30_Y10_N6
\led_flash_cnt[2415][4]~60696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2415][4]~60696_combout\ = (\led_flash_cnt[2415][4]~q\ & (!\led_flash_cnt[2415][3]~60695\)) # (!\led_flash_cnt[2415][4]~q\ & ((\led_flash_cnt[2415][3]~60695\) # (GND)))
-- \led_flash_cnt[2415][4]~60697\ = CARRY((!\led_flash_cnt[2415][3]~60695\) # (!\led_flash_cnt[2415][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2415][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2415][3]~60695\,
	combout => \led_flash_cnt[2415][4]~60696_combout\,
	cout => \led_flash_cnt[2415][4]~60697\);

-- Location: FF_X30_Y10_N7
\led_flash_cnt[2415][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2415][4]~60696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2415][4]~q\);

-- Location: LCCOMB_X30_Y10_N8
\led_flash_cnt[2415][5]~60698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2415][5]~60698_combout\ = (\led_flash_cnt[2415][5]~q\ & (\led_flash_cnt[2415][4]~60697\ $ (GND))) # (!\led_flash_cnt[2415][5]~q\ & (!\led_flash_cnt[2415][4]~60697\ & VCC))
-- \led_flash_cnt[2415][5]~60699\ = CARRY((\led_flash_cnt[2415][5]~q\ & !\led_flash_cnt[2415][4]~60697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2415][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2415][4]~60697\,
	combout => \led_flash_cnt[2415][5]~60698_combout\,
	cout => \led_flash_cnt[2415][5]~60699\);

-- Location: FF_X30_Y10_N9
\led_flash_cnt[2415][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2415][5]~60698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2415][5]~q\);

-- Location: LCCOMB_X30_Y10_N10
\led_flash_cnt[2415][6]~60700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2415][6]~60700_combout\ = (\led_flash_cnt[2415][6]~q\ & (!\led_flash_cnt[2415][5]~60699\)) # (!\led_flash_cnt[2415][6]~q\ & ((\led_flash_cnt[2415][5]~60699\) # (GND)))
-- \led_flash_cnt[2415][6]~60701\ = CARRY((!\led_flash_cnt[2415][5]~60699\) # (!\led_flash_cnt[2415][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2415][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2415][5]~60699\,
	combout => \led_flash_cnt[2415][6]~60700_combout\,
	cout => \led_flash_cnt[2415][6]~60701\);

-- Location: FF_X30_Y10_N11
\led_flash_cnt[2415][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2415][6]~60700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2415][6]~q\);

-- Location: LCCOMB_X30_Y10_N12
\led_flash_cnt[2415][7]~60702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2415][7]~60702_combout\ = \led_flash_cnt[2415][6]~60701\ $ (!\led_flash_cnt[2415][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2415][7]~q\,
	cin => \led_flash_cnt[2415][6]~60701\,
	combout => \led_flash_cnt[2415][7]~60702_combout\);

-- Location: FF_X30_Y10_N13
\led_flash_cnt[2415][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2415][7]~60702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2415][7]~q\);

-- Location: LCCOMB_X31_Y10_N24
\WideAnd2415~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2415~0_combout\ = (\led_flash_cnt[2415][1]~q\ & (\led_flash_cnt[2415][3]~q\ & (\led_flash_cnt[2415][4]~q\ & \led_flash_cnt[2415][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2415][1]~q\,
	datab => \led_flash_cnt[2415][3]~q\,
	datac => \led_flash_cnt[2415][4]~q\,
	datad => \led_flash_cnt[2415][2]~q\,
	combout => \WideAnd2415~0_combout\);

-- Location: LCCOMB_X31_Y10_N30
\WideAnd2415~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2415~1_combout\ = (\led_flash_cnt[2415][5]~q\ & \led_flash_cnt[2415][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2415][5]~q\,
	datac => \led_flash_cnt[2415][6]~q\,
	combout => \WideAnd2415~1_combout\);

-- Location: LCCOMB_X31_Y10_N6
WideAnd2415 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2415~combout\ = (\led_flash_cnt[2415][7]~q\ & (\WideAnd2415~0_combout\ & (\WideAnd2415~1_combout\ & \led_flash_cnt[2415][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2415][7]~q\,
	datab => \WideAnd2415~0_combout\,
	datac => \WideAnd2415~1_combout\,
	datad => \led_flash_cnt[2415][0]~q\,
	combout => \WideAnd2415~combout\);

-- Location: FF_X31_Y10_N7
\led_flash_cnt_ands[2415]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2415~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2415));

-- Location: LCCOMB_X31_Y10_N26
WideAnd4141 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4141~combout\ = (led_flash_cnt_ands(2414) & (\WideAnd4141~0_combout\ & (\WideAnd4141~1_combout\ & led_flash_cnt_ands(2415))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2414),
	datab => \WideAnd4141~0_combout\,
	datac => \WideAnd4141~1_combout\,
	datad => led_flash_cnt_ands(2415),
	combout => \WideAnd4141~combout\);

-- Location: FF_X31_Y10_N27
\led_flash_cnt_ands_1[301]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4141~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(301));

-- Location: LCCOMB_X31_Y10_N0
\WideAnd4357~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4357~1_combout\ = (led_flash_cnt_ands_1(300) & led_flash_cnt_ands_1(301))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands_1(300),
	datac => led_flash_cnt_ands_1(301),
	combout => \WideAnd4357~1_combout\);

-- Location: LCCOMB_X29_Y8_N12
\led_flash_cnt[2428][0]~83068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2428][0]~83068_combout\ = !\led_flash_cnt[2428][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2428][0]~q\,
	combout => \led_flash_cnt[2428][0]~83068_combout\);

-- Location: FF_X29_Y8_N13
\led_flash_cnt[2428][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2428][0]~83068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2428][0]~q\);

-- Location: LCCOMB_X29_Y8_N14
\led_flash_cnt[2428][1]~60872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2428][1]~60872_combout\ = (\led_flash_cnt[2428][0]~q\ & (\led_flash_cnt[2428][1]~q\ $ (VCC))) # (!\led_flash_cnt[2428][0]~q\ & (\led_flash_cnt[2428][1]~q\ & VCC))
-- \led_flash_cnt[2428][1]~60873\ = CARRY((\led_flash_cnt[2428][0]~q\ & \led_flash_cnt[2428][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2428][0]~q\,
	datab => \led_flash_cnt[2428][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2428][1]~60872_combout\,
	cout => \led_flash_cnt[2428][1]~60873\);

-- Location: FF_X29_Y8_N15
\led_flash_cnt[2428][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2428][1]~60872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2428][1]~q\);

-- Location: LCCOMB_X29_Y8_N16
\led_flash_cnt[2428][2]~60874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2428][2]~60874_combout\ = (\led_flash_cnt[2428][2]~q\ & (!\led_flash_cnt[2428][1]~60873\)) # (!\led_flash_cnt[2428][2]~q\ & ((\led_flash_cnt[2428][1]~60873\) # (GND)))
-- \led_flash_cnt[2428][2]~60875\ = CARRY((!\led_flash_cnt[2428][1]~60873\) # (!\led_flash_cnt[2428][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2428][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2428][1]~60873\,
	combout => \led_flash_cnt[2428][2]~60874_combout\,
	cout => \led_flash_cnt[2428][2]~60875\);

-- Location: FF_X29_Y8_N17
\led_flash_cnt[2428][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2428][2]~60874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2428][2]~q\);

-- Location: LCCOMB_X29_Y8_N18
\led_flash_cnt[2428][3]~60876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2428][3]~60876_combout\ = (\led_flash_cnt[2428][3]~q\ & (\led_flash_cnt[2428][2]~60875\ $ (GND))) # (!\led_flash_cnt[2428][3]~q\ & (!\led_flash_cnt[2428][2]~60875\ & VCC))
-- \led_flash_cnt[2428][3]~60877\ = CARRY((\led_flash_cnt[2428][3]~q\ & !\led_flash_cnt[2428][2]~60875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2428][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2428][2]~60875\,
	combout => \led_flash_cnt[2428][3]~60876_combout\,
	cout => \led_flash_cnt[2428][3]~60877\);

-- Location: FF_X29_Y8_N19
\led_flash_cnt[2428][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2428][3]~60876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2428][3]~q\);

-- Location: LCCOMB_X29_Y8_N20
\led_flash_cnt[2428][4]~60878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2428][4]~60878_combout\ = (\led_flash_cnt[2428][4]~q\ & (!\led_flash_cnt[2428][3]~60877\)) # (!\led_flash_cnt[2428][4]~q\ & ((\led_flash_cnt[2428][3]~60877\) # (GND)))
-- \led_flash_cnt[2428][4]~60879\ = CARRY((!\led_flash_cnt[2428][3]~60877\) # (!\led_flash_cnt[2428][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2428][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2428][3]~60877\,
	combout => \led_flash_cnt[2428][4]~60878_combout\,
	cout => \led_flash_cnt[2428][4]~60879\);

-- Location: FF_X29_Y8_N21
\led_flash_cnt[2428][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2428][4]~60878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2428][4]~q\);

-- Location: LCCOMB_X29_Y8_N22
\led_flash_cnt[2428][5]~60880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2428][5]~60880_combout\ = (\led_flash_cnt[2428][5]~q\ & (\led_flash_cnt[2428][4]~60879\ $ (GND))) # (!\led_flash_cnt[2428][5]~q\ & (!\led_flash_cnt[2428][4]~60879\ & VCC))
-- \led_flash_cnt[2428][5]~60881\ = CARRY((\led_flash_cnt[2428][5]~q\ & !\led_flash_cnt[2428][4]~60879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2428][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2428][4]~60879\,
	combout => \led_flash_cnt[2428][5]~60880_combout\,
	cout => \led_flash_cnt[2428][5]~60881\);

-- Location: FF_X29_Y8_N23
\led_flash_cnt[2428][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2428][5]~60880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2428][5]~q\);

-- Location: LCCOMB_X29_Y8_N24
\led_flash_cnt[2428][6]~60882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2428][6]~60882_combout\ = (\led_flash_cnt[2428][6]~q\ & (!\led_flash_cnt[2428][5]~60881\)) # (!\led_flash_cnt[2428][6]~q\ & ((\led_flash_cnt[2428][5]~60881\) # (GND)))
-- \led_flash_cnt[2428][6]~60883\ = CARRY((!\led_flash_cnt[2428][5]~60881\) # (!\led_flash_cnt[2428][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2428][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2428][5]~60881\,
	combout => \led_flash_cnt[2428][6]~60882_combout\,
	cout => \led_flash_cnt[2428][6]~60883\);

-- Location: FF_X29_Y8_N25
\led_flash_cnt[2428][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2428][6]~60882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2428][6]~q\);

-- Location: LCCOMB_X29_Y8_N10
\WideAnd2428~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2428~1_combout\ = (\led_flash_cnt[2428][5]~q\ & \led_flash_cnt[2428][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2428][5]~q\,
	datad => \led_flash_cnt[2428][6]~q\,
	combout => \WideAnd2428~1_combout\);

-- Location: LCCOMB_X29_Y8_N28
\WideAnd2428~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2428~0_combout\ = (\led_flash_cnt[2428][3]~q\ & (\led_flash_cnt[2428][4]~q\ & (\led_flash_cnt[2428][1]~q\ & \led_flash_cnt[2428][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2428][3]~q\,
	datab => \led_flash_cnt[2428][4]~q\,
	datac => \led_flash_cnt[2428][1]~q\,
	datad => \led_flash_cnt[2428][2]~q\,
	combout => \WideAnd2428~0_combout\);

-- Location: LCCOMB_X29_Y8_N26
\led_flash_cnt[2428][7]~60884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2428][7]~60884_combout\ = \led_flash_cnt[2428][7]~q\ $ (!\led_flash_cnt[2428][6]~60883\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2428][7]~q\,
	cin => \led_flash_cnt[2428][6]~60883\,
	combout => \led_flash_cnt[2428][7]~60884_combout\);

-- Location: FF_X29_Y8_N27
\led_flash_cnt[2428][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2428][7]~60884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2428][7]~q\);

-- Location: LCCOMB_X29_Y8_N8
WideAnd2428 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2428~combout\ = (\WideAnd2428~1_combout\ & (\WideAnd2428~0_combout\ & (\led_flash_cnt[2428][7]~q\ & \led_flash_cnt[2428][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2428~1_combout\,
	datab => \WideAnd2428~0_combout\,
	datac => \led_flash_cnt[2428][7]~q\,
	datad => \led_flash_cnt[2428][0]~q\,
	combout => \WideAnd2428~combout\);

-- Location: FF_X29_Y8_N9
\led_flash_cnt_ands[2428]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2428~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2428));

-- Location: LCCOMB_X29_Y5_N26
\led_flash_cnt[2429][0]~83069\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2429][0]~83069_combout\ = !\led_flash_cnt[2429][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2429][0]~q\,
	combout => \led_flash_cnt[2429][0]~83069_combout\);

-- Location: FF_X29_Y5_N27
\led_flash_cnt[2429][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2429][0]~83069_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2429][0]~q\);

-- Location: LCCOMB_X29_Y5_N2
\led_flash_cnt[2429][1]~60886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2429][1]~60886_combout\ = (\led_flash_cnt[2429][0]~q\ & (\led_flash_cnt[2429][1]~q\ $ (VCC))) # (!\led_flash_cnt[2429][0]~q\ & (\led_flash_cnt[2429][1]~q\ & VCC))
-- \led_flash_cnt[2429][1]~60887\ = CARRY((\led_flash_cnt[2429][0]~q\ & \led_flash_cnt[2429][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2429][0]~q\,
	datab => \led_flash_cnt[2429][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2429][1]~60886_combout\,
	cout => \led_flash_cnt[2429][1]~60887\);

-- Location: FF_X29_Y5_N3
\led_flash_cnt[2429][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2429][1]~60886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2429][1]~q\);

-- Location: LCCOMB_X29_Y5_N4
\led_flash_cnt[2429][2]~60888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2429][2]~60888_combout\ = (\led_flash_cnt[2429][2]~q\ & (!\led_flash_cnt[2429][1]~60887\)) # (!\led_flash_cnt[2429][2]~q\ & ((\led_flash_cnt[2429][1]~60887\) # (GND)))
-- \led_flash_cnt[2429][2]~60889\ = CARRY((!\led_flash_cnt[2429][1]~60887\) # (!\led_flash_cnt[2429][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2429][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2429][1]~60887\,
	combout => \led_flash_cnt[2429][2]~60888_combout\,
	cout => \led_flash_cnt[2429][2]~60889\);

-- Location: FF_X29_Y5_N5
\led_flash_cnt[2429][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2429][2]~60888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2429][2]~q\);

-- Location: LCCOMB_X29_Y5_N6
\led_flash_cnt[2429][3]~60890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2429][3]~60890_combout\ = (\led_flash_cnt[2429][3]~q\ & (\led_flash_cnt[2429][2]~60889\ $ (GND))) # (!\led_flash_cnt[2429][3]~q\ & (!\led_flash_cnt[2429][2]~60889\ & VCC))
-- \led_flash_cnt[2429][3]~60891\ = CARRY((\led_flash_cnt[2429][3]~q\ & !\led_flash_cnt[2429][2]~60889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2429][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2429][2]~60889\,
	combout => \led_flash_cnt[2429][3]~60890_combout\,
	cout => \led_flash_cnt[2429][3]~60891\);

-- Location: FF_X29_Y5_N7
\led_flash_cnt[2429][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2429][3]~60890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2429][3]~q\);

-- Location: LCCOMB_X29_Y5_N8
\led_flash_cnt[2429][4]~60892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2429][4]~60892_combout\ = (\led_flash_cnt[2429][4]~q\ & (!\led_flash_cnt[2429][3]~60891\)) # (!\led_flash_cnt[2429][4]~q\ & ((\led_flash_cnt[2429][3]~60891\) # (GND)))
-- \led_flash_cnt[2429][4]~60893\ = CARRY((!\led_flash_cnt[2429][3]~60891\) # (!\led_flash_cnt[2429][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2429][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2429][3]~60891\,
	combout => \led_flash_cnt[2429][4]~60892_combout\,
	cout => \led_flash_cnt[2429][4]~60893\);

-- Location: FF_X29_Y5_N9
\led_flash_cnt[2429][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2429][4]~60892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2429][4]~q\);

-- Location: LCCOMB_X29_Y5_N24
\WideAnd2429~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2429~0_combout\ = (\led_flash_cnt[2429][3]~q\ & (\led_flash_cnt[2429][2]~q\ & (\led_flash_cnt[2429][4]~q\ & \led_flash_cnt[2429][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2429][3]~q\,
	datab => \led_flash_cnt[2429][2]~q\,
	datac => \led_flash_cnt[2429][4]~q\,
	datad => \led_flash_cnt[2429][1]~q\,
	combout => \WideAnd2429~0_combout\);

-- Location: LCCOMB_X29_Y5_N10
\led_flash_cnt[2429][5]~60894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2429][5]~60894_combout\ = (\led_flash_cnt[2429][5]~q\ & (\led_flash_cnt[2429][4]~60893\ $ (GND))) # (!\led_flash_cnt[2429][5]~q\ & (!\led_flash_cnt[2429][4]~60893\ & VCC))
-- \led_flash_cnt[2429][5]~60895\ = CARRY((\led_flash_cnt[2429][5]~q\ & !\led_flash_cnt[2429][4]~60893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2429][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2429][4]~60893\,
	combout => \led_flash_cnt[2429][5]~60894_combout\,
	cout => \led_flash_cnt[2429][5]~60895\);

-- Location: FF_X29_Y5_N11
\led_flash_cnt[2429][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2429][5]~60894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2429][5]~q\);

-- Location: LCCOMB_X29_Y5_N12
\led_flash_cnt[2429][6]~60896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2429][6]~60896_combout\ = (\led_flash_cnt[2429][6]~q\ & (!\led_flash_cnt[2429][5]~60895\)) # (!\led_flash_cnt[2429][6]~q\ & ((\led_flash_cnt[2429][5]~60895\) # (GND)))
-- \led_flash_cnt[2429][6]~60897\ = CARRY((!\led_flash_cnt[2429][5]~60895\) # (!\led_flash_cnt[2429][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2429][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2429][5]~60895\,
	combout => \led_flash_cnt[2429][6]~60896_combout\,
	cout => \led_flash_cnt[2429][6]~60897\);

-- Location: FF_X29_Y5_N13
\led_flash_cnt[2429][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2429][6]~60896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2429][6]~q\);

-- Location: LCCOMB_X29_Y5_N14
\led_flash_cnt[2429][7]~60898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2429][7]~60898_combout\ = \led_flash_cnt[2429][7]~q\ $ (!\led_flash_cnt[2429][6]~60897\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2429][7]~q\,
	cin => \led_flash_cnt[2429][6]~60897\,
	combout => \led_flash_cnt[2429][7]~60898_combout\);

-- Location: FF_X29_Y5_N15
\led_flash_cnt[2429][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2429][7]~60898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2429][7]~q\);

-- Location: LCCOMB_X29_Y5_N18
\WideAnd2429~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2429~1_combout\ = (\led_flash_cnt[2429][5]~q\ & \led_flash_cnt[2429][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2429][5]~q\,
	datad => \led_flash_cnt[2429][6]~q\,
	combout => \WideAnd2429~1_combout\);

-- Location: LCCOMB_X29_Y5_N16
WideAnd2429 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2429~combout\ = (\led_flash_cnt[2429][0]~q\ & (\WideAnd2429~0_combout\ & (\led_flash_cnt[2429][7]~q\ & \WideAnd2429~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2429][0]~q\,
	datab => \WideAnd2429~0_combout\,
	datac => \led_flash_cnt[2429][7]~q\,
	datad => \WideAnd2429~1_combout\,
	combout => \WideAnd2429~combout\);

-- Location: FF_X29_Y5_N17
\led_flash_cnt_ands[2429]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2429~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2429));

-- Location: LCCOMB_X29_Y8_N4
\WideAnd4143~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4143~1_combout\ = (led_flash_cnt_ands(2428) & led_flash_cnt_ands(2429))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2428),
	datac => led_flash_cnt_ands(2429),
	combout => \WideAnd4143~1_combout\);

-- Location: LCCOMB_X30_Y11_N26
\led_flash_cnt[2430][0]~83070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2430][0]~83070_combout\ = !\led_flash_cnt[2430][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2430][0]~q\,
	combout => \led_flash_cnt[2430][0]~83070_combout\);

-- Location: FF_X30_Y11_N27
\led_flash_cnt[2430][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2430][0]~83070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2430][0]~q\);

-- Location: LCCOMB_X30_Y11_N8
\led_flash_cnt[2430][1]~60900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2430][1]~60900_combout\ = (\led_flash_cnt[2430][0]~q\ & (\led_flash_cnt[2430][1]~q\ $ (VCC))) # (!\led_flash_cnt[2430][0]~q\ & (\led_flash_cnt[2430][1]~q\ & VCC))
-- \led_flash_cnt[2430][1]~60901\ = CARRY((\led_flash_cnt[2430][0]~q\ & \led_flash_cnt[2430][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2430][0]~q\,
	datab => \led_flash_cnt[2430][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2430][1]~60900_combout\,
	cout => \led_flash_cnt[2430][1]~60901\);

-- Location: FF_X30_Y11_N9
\led_flash_cnt[2430][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2430][1]~60900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2430][1]~q\);

-- Location: LCCOMB_X30_Y11_N10
\led_flash_cnt[2430][2]~60902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2430][2]~60902_combout\ = (\led_flash_cnt[2430][2]~q\ & (!\led_flash_cnt[2430][1]~60901\)) # (!\led_flash_cnt[2430][2]~q\ & ((\led_flash_cnt[2430][1]~60901\) # (GND)))
-- \led_flash_cnt[2430][2]~60903\ = CARRY((!\led_flash_cnt[2430][1]~60901\) # (!\led_flash_cnt[2430][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2430][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2430][1]~60901\,
	combout => \led_flash_cnt[2430][2]~60902_combout\,
	cout => \led_flash_cnt[2430][2]~60903\);

-- Location: FF_X30_Y11_N11
\led_flash_cnt[2430][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2430][2]~60902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2430][2]~q\);

-- Location: LCCOMB_X30_Y11_N12
\led_flash_cnt[2430][3]~60904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2430][3]~60904_combout\ = (\led_flash_cnt[2430][3]~q\ & (\led_flash_cnt[2430][2]~60903\ $ (GND))) # (!\led_flash_cnt[2430][3]~q\ & (!\led_flash_cnt[2430][2]~60903\ & VCC))
-- \led_flash_cnt[2430][3]~60905\ = CARRY((\led_flash_cnt[2430][3]~q\ & !\led_flash_cnt[2430][2]~60903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2430][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2430][2]~60903\,
	combout => \led_flash_cnt[2430][3]~60904_combout\,
	cout => \led_flash_cnt[2430][3]~60905\);

-- Location: FF_X30_Y11_N13
\led_flash_cnt[2430][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2430][3]~60904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2430][3]~q\);

-- Location: LCCOMB_X30_Y11_N14
\led_flash_cnt[2430][4]~60906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2430][4]~60906_combout\ = (\led_flash_cnt[2430][4]~q\ & (!\led_flash_cnt[2430][3]~60905\)) # (!\led_flash_cnt[2430][4]~q\ & ((\led_flash_cnt[2430][3]~60905\) # (GND)))
-- \led_flash_cnt[2430][4]~60907\ = CARRY((!\led_flash_cnt[2430][3]~60905\) # (!\led_flash_cnt[2430][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2430][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2430][3]~60905\,
	combout => \led_flash_cnt[2430][4]~60906_combout\,
	cout => \led_flash_cnt[2430][4]~60907\);

-- Location: FF_X30_Y11_N15
\led_flash_cnt[2430][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2430][4]~60906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2430][4]~q\);

-- Location: LCCOMB_X30_Y11_N16
\led_flash_cnt[2430][5]~60908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2430][5]~60908_combout\ = (\led_flash_cnt[2430][5]~q\ & (\led_flash_cnt[2430][4]~60907\ $ (GND))) # (!\led_flash_cnt[2430][5]~q\ & (!\led_flash_cnt[2430][4]~60907\ & VCC))
-- \led_flash_cnt[2430][5]~60909\ = CARRY((\led_flash_cnt[2430][5]~q\ & !\led_flash_cnt[2430][4]~60907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2430][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2430][4]~60907\,
	combout => \led_flash_cnt[2430][5]~60908_combout\,
	cout => \led_flash_cnt[2430][5]~60909\);

-- Location: FF_X30_Y11_N17
\led_flash_cnt[2430][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2430][5]~60908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2430][5]~q\);

-- Location: LCCOMB_X30_Y11_N18
\led_flash_cnt[2430][6]~60910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2430][6]~60910_combout\ = (\led_flash_cnt[2430][6]~q\ & (!\led_flash_cnt[2430][5]~60909\)) # (!\led_flash_cnt[2430][6]~q\ & ((\led_flash_cnt[2430][5]~60909\) # (GND)))
-- \led_flash_cnt[2430][6]~60911\ = CARRY((!\led_flash_cnt[2430][5]~60909\) # (!\led_flash_cnt[2430][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2430][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2430][5]~60909\,
	combout => \led_flash_cnt[2430][6]~60910_combout\,
	cout => \led_flash_cnt[2430][6]~60911\);

-- Location: FF_X30_Y11_N19
\led_flash_cnt[2430][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2430][6]~60910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2430][6]~q\);

-- Location: LCCOMB_X30_Y11_N20
\led_flash_cnt[2430][7]~60912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2430][7]~60912_combout\ = \led_flash_cnt[2430][6]~60911\ $ (!\led_flash_cnt[2430][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2430][7]~q\,
	cin => \led_flash_cnt[2430][6]~60911\,
	combout => \led_flash_cnt[2430][7]~60912_combout\);

-- Location: FF_X30_Y11_N21
\led_flash_cnt[2430][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2430][7]~60912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2430][7]~q\);

-- Location: LCCOMB_X30_Y11_N30
\WideAnd2430~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2430~0_combout\ = (\led_flash_cnt[2430][3]~q\ & (\led_flash_cnt[2430][4]~q\ & (\led_flash_cnt[2430][1]~q\ & \led_flash_cnt[2430][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2430][3]~q\,
	datab => \led_flash_cnt[2430][4]~q\,
	datac => \led_flash_cnt[2430][1]~q\,
	datad => \led_flash_cnt[2430][2]~q\,
	combout => \WideAnd2430~0_combout\);

-- Location: LCCOMB_X30_Y11_N2
\WideAnd2430~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2430~1_combout\ = (\led_flash_cnt[2430][5]~q\ & \led_flash_cnt[2430][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2430][5]~q\,
	datad => \led_flash_cnt[2430][6]~q\,
	combout => \WideAnd2430~1_combout\);

-- Location: LCCOMB_X30_Y11_N4
WideAnd2430 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2430~combout\ = (\led_flash_cnt[2430][0]~q\ & (\led_flash_cnt[2430][7]~q\ & (\WideAnd2430~0_combout\ & \WideAnd2430~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2430][0]~q\,
	datab => \led_flash_cnt[2430][7]~q\,
	datac => \WideAnd2430~0_combout\,
	datad => \WideAnd2430~1_combout\,
	combout => \WideAnd2430~combout\);

-- Location: FF_X30_Y11_N5
\led_flash_cnt_ands[2430]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2430~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2430));

-- Location: LCCOMB_X60_Y5_N12
\led_flash_cnt[2426][0]~83066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2426][0]~83066_combout\ = !\led_flash_cnt[2426][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2426][0]~q\,
	combout => \led_flash_cnt[2426][0]~83066_combout\);

-- Location: FF_X60_Y5_N13
\led_flash_cnt[2426][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2426][0]~83066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2426][0]~q\);

-- Location: LCCOMB_X60_Y5_N18
\led_flash_cnt[2426][1]~60844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2426][1]~60844_combout\ = (\led_flash_cnt[2426][0]~q\ & (\led_flash_cnt[2426][1]~q\ $ (VCC))) # (!\led_flash_cnt[2426][0]~q\ & (\led_flash_cnt[2426][1]~q\ & VCC))
-- \led_flash_cnt[2426][1]~60845\ = CARRY((\led_flash_cnt[2426][0]~q\ & \led_flash_cnt[2426][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2426][0]~q\,
	datab => \led_flash_cnt[2426][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2426][1]~60844_combout\,
	cout => \led_flash_cnt[2426][1]~60845\);

-- Location: FF_X60_Y5_N19
\led_flash_cnt[2426][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2426][1]~60844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2426][1]~q\);

-- Location: LCCOMB_X60_Y5_N20
\led_flash_cnt[2426][2]~60846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2426][2]~60846_combout\ = (\led_flash_cnt[2426][2]~q\ & (!\led_flash_cnt[2426][1]~60845\)) # (!\led_flash_cnt[2426][2]~q\ & ((\led_flash_cnt[2426][1]~60845\) # (GND)))
-- \led_flash_cnt[2426][2]~60847\ = CARRY((!\led_flash_cnt[2426][1]~60845\) # (!\led_flash_cnt[2426][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2426][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2426][1]~60845\,
	combout => \led_flash_cnt[2426][2]~60846_combout\,
	cout => \led_flash_cnt[2426][2]~60847\);

-- Location: FF_X60_Y5_N21
\led_flash_cnt[2426][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2426][2]~60846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2426][2]~q\);

-- Location: LCCOMB_X60_Y5_N22
\led_flash_cnt[2426][3]~60848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2426][3]~60848_combout\ = (\led_flash_cnt[2426][3]~q\ & (\led_flash_cnt[2426][2]~60847\ $ (GND))) # (!\led_flash_cnt[2426][3]~q\ & (!\led_flash_cnt[2426][2]~60847\ & VCC))
-- \led_flash_cnt[2426][3]~60849\ = CARRY((\led_flash_cnt[2426][3]~q\ & !\led_flash_cnt[2426][2]~60847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2426][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2426][2]~60847\,
	combout => \led_flash_cnt[2426][3]~60848_combout\,
	cout => \led_flash_cnt[2426][3]~60849\);

-- Location: FF_X60_Y5_N23
\led_flash_cnt[2426][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2426][3]~60848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2426][3]~q\);

-- Location: LCCOMB_X60_Y5_N24
\led_flash_cnt[2426][4]~60850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2426][4]~60850_combout\ = (\led_flash_cnt[2426][4]~q\ & (!\led_flash_cnt[2426][3]~60849\)) # (!\led_flash_cnt[2426][4]~q\ & ((\led_flash_cnt[2426][3]~60849\) # (GND)))
-- \led_flash_cnt[2426][4]~60851\ = CARRY((!\led_flash_cnt[2426][3]~60849\) # (!\led_flash_cnt[2426][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2426][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2426][3]~60849\,
	combout => \led_flash_cnt[2426][4]~60850_combout\,
	cout => \led_flash_cnt[2426][4]~60851\);

-- Location: FF_X60_Y5_N25
\led_flash_cnt[2426][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2426][4]~60850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2426][4]~q\);

-- Location: LCCOMB_X60_Y5_N26
\led_flash_cnt[2426][5]~60852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2426][5]~60852_combout\ = (\led_flash_cnt[2426][5]~q\ & (\led_flash_cnt[2426][4]~60851\ $ (GND))) # (!\led_flash_cnt[2426][5]~q\ & (!\led_flash_cnt[2426][4]~60851\ & VCC))
-- \led_flash_cnt[2426][5]~60853\ = CARRY((\led_flash_cnt[2426][5]~q\ & !\led_flash_cnt[2426][4]~60851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2426][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2426][4]~60851\,
	combout => \led_flash_cnt[2426][5]~60852_combout\,
	cout => \led_flash_cnt[2426][5]~60853\);

-- Location: FF_X60_Y5_N27
\led_flash_cnt[2426][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2426][5]~60852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2426][5]~q\);

-- Location: LCCOMB_X60_Y5_N28
\led_flash_cnt[2426][6]~60854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2426][6]~60854_combout\ = (\led_flash_cnt[2426][6]~q\ & (!\led_flash_cnt[2426][5]~60853\)) # (!\led_flash_cnt[2426][6]~q\ & ((\led_flash_cnt[2426][5]~60853\) # (GND)))
-- \led_flash_cnt[2426][6]~60855\ = CARRY((!\led_flash_cnt[2426][5]~60853\) # (!\led_flash_cnt[2426][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2426][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2426][5]~60853\,
	combout => \led_flash_cnt[2426][6]~60854_combout\,
	cout => \led_flash_cnt[2426][6]~60855\);

-- Location: FF_X60_Y5_N29
\led_flash_cnt[2426][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2426][6]~60854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2426][6]~q\);

-- Location: LCCOMB_X60_Y5_N10
\WideAnd2426~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2426~1_combout\ = (\led_flash_cnt[2426][5]~q\ & \led_flash_cnt[2426][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2426][5]~q\,
	datad => \led_flash_cnt[2426][6]~q\,
	combout => \WideAnd2426~1_combout\);

-- Location: LCCOMB_X60_Y5_N4
\WideAnd2426~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2426~0_combout\ = (\led_flash_cnt[2426][4]~q\ & (\led_flash_cnt[2426][2]~q\ & (\led_flash_cnt[2426][3]~q\ & \led_flash_cnt[2426][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2426][4]~q\,
	datab => \led_flash_cnt[2426][2]~q\,
	datac => \led_flash_cnt[2426][3]~q\,
	datad => \led_flash_cnt[2426][1]~q\,
	combout => \WideAnd2426~0_combout\);

-- Location: LCCOMB_X60_Y5_N30
\led_flash_cnt[2426][7]~60856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2426][7]~60856_combout\ = \led_flash_cnt[2426][7]~q\ $ (!\led_flash_cnt[2426][6]~60855\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2426][7]~q\,
	cin => \led_flash_cnt[2426][6]~60855\,
	combout => \led_flash_cnt[2426][7]~60856_combout\);

-- Location: FF_X60_Y5_N31
\led_flash_cnt[2426][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2426][7]~60856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2426][7]~q\);

-- Location: LCCOMB_X60_Y5_N8
WideAnd2426 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2426~combout\ = (\WideAnd2426~1_combout\ & (\WideAnd2426~0_combout\ & (\led_flash_cnt[2426][7]~q\ & \led_flash_cnt[2426][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2426~1_combout\,
	datab => \WideAnd2426~0_combout\,
	datac => \led_flash_cnt[2426][7]~q\,
	datad => \led_flash_cnt[2426][0]~q\,
	combout => \WideAnd2426~combout\);

-- Location: FF_X60_Y5_N9
\led_flash_cnt_ands[2426]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2426~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2426));

-- Location: LCCOMB_X56_Y1_N24
\led_flash_cnt[2425][0]~83065\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2425][0]~83065_combout\ = !\led_flash_cnt[2425][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2425][0]~q\,
	combout => \led_flash_cnt[2425][0]~83065_combout\);

-- Location: FF_X56_Y1_N25
\led_flash_cnt[2425][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2425][0]~83065_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2425][0]~q\);

-- Location: LCCOMB_X56_Y1_N2
\led_flash_cnt[2425][1]~60830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2425][1]~60830_combout\ = (\led_flash_cnt[2425][1]~q\ & (\led_flash_cnt[2425][0]~q\ $ (VCC))) # (!\led_flash_cnt[2425][1]~q\ & (\led_flash_cnt[2425][0]~q\ & VCC))
-- \led_flash_cnt[2425][1]~60831\ = CARRY((\led_flash_cnt[2425][1]~q\ & \led_flash_cnt[2425][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2425][1]~q\,
	datab => \led_flash_cnt[2425][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2425][1]~60830_combout\,
	cout => \led_flash_cnt[2425][1]~60831\);

-- Location: FF_X56_Y1_N3
\led_flash_cnt[2425][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2425][1]~60830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2425][1]~q\);

-- Location: LCCOMB_X56_Y1_N4
\led_flash_cnt[2425][2]~60832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2425][2]~60832_combout\ = (\led_flash_cnt[2425][2]~q\ & (!\led_flash_cnt[2425][1]~60831\)) # (!\led_flash_cnt[2425][2]~q\ & ((\led_flash_cnt[2425][1]~60831\) # (GND)))
-- \led_flash_cnt[2425][2]~60833\ = CARRY((!\led_flash_cnt[2425][1]~60831\) # (!\led_flash_cnt[2425][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2425][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2425][1]~60831\,
	combout => \led_flash_cnt[2425][2]~60832_combout\,
	cout => \led_flash_cnt[2425][2]~60833\);

-- Location: FF_X56_Y1_N5
\led_flash_cnt[2425][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2425][2]~60832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2425][2]~q\);

-- Location: LCCOMB_X56_Y1_N6
\led_flash_cnt[2425][3]~60834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2425][3]~60834_combout\ = (\led_flash_cnt[2425][3]~q\ & (\led_flash_cnt[2425][2]~60833\ $ (GND))) # (!\led_flash_cnt[2425][3]~q\ & (!\led_flash_cnt[2425][2]~60833\ & VCC))
-- \led_flash_cnt[2425][3]~60835\ = CARRY((\led_flash_cnt[2425][3]~q\ & !\led_flash_cnt[2425][2]~60833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2425][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2425][2]~60833\,
	combout => \led_flash_cnt[2425][3]~60834_combout\,
	cout => \led_flash_cnt[2425][3]~60835\);

-- Location: FF_X56_Y1_N7
\led_flash_cnt[2425][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2425][3]~60834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2425][3]~q\);

-- Location: LCCOMB_X56_Y1_N8
\led_flash_cnt[2425][4]~60836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2425][4]~60836_combout\ = (\led_flash_cnt[2425][4]~q\ & (!\led_flash_cnt[2425][3]~60835\)) # (!\led_flash_cnt[2425][4]~q\ & ((\led_flash_cnt[2425][3]~60835\) # (GND)))
-- \led_flash_cnt[2425][4]~60837\ = CARRY((!\led_flash_cnt[2425][3]~60835\) # (!\led_flash_cnt[2425][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2425][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2425][3]~60835\,
	combout => \led_flash_cnt[2425][4]~60836_combout\,
	cout => \led_flash_cnt[2425][4]~60837\);

-- Location: FF_X56_Y1_N9
\led_flash_cnt[2425][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2425][4]~60836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2425][4]~q\);

-- Location: LCCOMB_X56_Y1_N10
\led_flash_cnt[2425][5]~60838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2425][5]~60838_combout\ = (\led_flash_cnt[2425][5]~q\ & (\led_flash_cnt[2425][4]~60837\ $ (GND))) # (!\led_flash_cnt[2425][5]~q\ & (!\led_flash_cnt[2425][4]~60837\ & VCC))
-- \led_flash_cnt[2425][5]~60839\ = CARRY((\led_flash_cnt[2425][5]~q\ & !\led_flash_cnt[2425][4]~60837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2425][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2425][4]~60837\,
	combout => \led_flash_cnt[2425][5]~60838_combout\,
	cout => \led_flash_cnt[2425][5]~60839\);

-- Location: FF_X56_Y1_N11
\led_flash_cnt[2425][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2425][5]~60838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2425][5]~q\);

-- Location: LCCOMB_X56_Y1_N12
\led_flash_cnt[2425][6]~60840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2425][6]~60840_combout\ = (\led_flash_cnt[2425][6]~q\ & (!\led_flash_cnt[2425][5]~60839\)) # (!\led_flash_cnt[2425][6]~q\ & ((\led_flash_cnt[2425][5]~60839\) # (GND)))
-- \led_flash_cnt[2425][6]~60841\ = CARRY((!\led_flash_cnt[2425][5]~60839\) # (!\led_flash_cnt[2425][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2425][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2425][5]~60839\,
	combout => \led_flash_cnt[2425][6]~60840_combout\,
	cout => \led_flash_cnt[2425][6]~60841\);

-- Location: FF_X56_Y1_N13
\led_flash_cnt[2425][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2425][6]~60840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2425][6]~q\);

-- Location: LCCOMB_X56_Y1_N26
\WideAnd2425~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2425~1_combout\ = (\led_flash_cnt[2425][5]~q\ & \led_flash_cnt[2425][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2425][5]~q\,
	datad => \led_flash_cnt[2425][6]~q\,
	combout => \WideAnd2425~1_combout\);

-- Location: LCCOMB_X56_Y1_N14
\led_flash_cnt[2425][7]~60842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2425][7]~60842_combout\ = \led_flash_cnt[2425][7]~q\ $ (!\led_flash_cnt[2425][6]~60841\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2425][7]~q\,
	cin => \led_flash_cnt[2425][6]~60841\,
	combout => \led_flash_cnt[2425][7]~60842_combout\);

-- Location: FF_X56_Y1_N15
\led_flash_cnt[2425][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2425][7]~60842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2425][7]~q\);

-- Location: LCCOMB_X56_Y1_N18
\WideAnd2425~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2425~0_combout\ = (\led_flash_cnt[2425][1]~q\ & (\led_flash_cnt[2425][4]~q\ & (\led_flash_cnt[2425][2]~q\ & \led_flash_cnt[2425][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2425][1]~q\,
	datab => \led_flash_cnt[2425][4]~q\,
	datac => \led_flash_cnt[2425][2]~q\,
	datad => \led_flash_cnt[2425][3]~q\,
	combout => \WideAnd2425~0_combout\);

-- Location: LCCOMB_X56_Y1_N16
WideAnd2425 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2425~combout\ = (\WideAnd2425~1_combout\ & (\led_flash_cnt[2425][0]~q\ & (\led_flash_cnt[2425][7]~q\ & \WideAnd2425~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2425~1_combout\,
	datab => \led_flash_cnt[2425][0]~q\,
	datac => \led_flash_cnt[2425][7]~q\,
	datad => \WideAnd2425~0_combout\,
	combout => \WideAnd2425~combout\);

-- Location: FF_X56_Y1_N17
\led_flash_cnt_ands[2425]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2425~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2425));

-- Location: LCCOMB_X37_Y30_N16
\led_flash_cnt[2427][0]~83067\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2427][0]~83067_combout\ = !\led_flash_cnt[2427][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2427][0]~q\,
	combout => \led_flash_cnt[2427][0]~83067_combout\);

-- Location: FF_X37_Y30_N17
\led_flash_cnt[2427][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2427][0]~83067_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2427][0]~q\);

-- Location: LCCOMB_X37_Y30_N0
\led_flash_cnt[2427][1]~60858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2427][1]~60858_combout\ = (\led_flash_cnt[2427][1]~q\ & (\led_flash_cnt[2427][0]~q\ $ (VCC))) # (!\led_flash_cnt[2427][1]~q\ & (\led_flash_cnt[2427][0]~q\ & VCC))
-- \led_flash_cnt[2427][1]~60859\ = CARRY((\led_flash_cnt[2427][1]~q\ & \led_flash_cnt[2427][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2427][1]~q\,
	datab => \led_flash_cnt[2427][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2427][1]~60858_combout\,
	cout => \led_flash_cnt[2427][1]~60859\);

-- Location: FF_X37_Y30_N1
\led_flash_cnt[2427][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2427][1]~60858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2427][1]~q\);

-- Location: LCCOMB_X37_Y30_N2
\led_flash_cnt[2427][2]~60860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2427][2]~60860_combout\ = (\led_flash_cnt[2427][2]~q\ & (!\led_flash_cnt[2427][1]~60859\)) # (!\led_flash_cnt[2427][2]~q\ & ((\led_flash_cnt[2427][1]~60859\) # (GND)))
-- \led_flash_cnt[2427][2]~60861\ = CARRY((!\led_flash_cnt[2427][1]~60859\) # (!\led_flash_cnt[2427][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2427][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2427][1]~60859\,
	combout => \led_flash_cnt[2427][2]~60860_combout\,
	cout => \led_flash_cnt[2427][2]~60861\);

-- Location: FF_X37_Y30_N3
\led_flash_cnt[2427][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2427][2]~60860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2427][2]~q\);

-- Location: LCCOMB_X37_Y30_N4
\led_flash_cnt[2427][3]~60862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2427][3]~60862_combout\ = (\led_flash_cnt[2427][3]~q\ & (\led_flash_cnt[2427][2]~60861\ $ (GND))) # (!\led_flash_cnt[2427][3]~q\ & (!\led_flash_cnt[2427][2]~60861\ & VCC))
-- \led_flash_cnt[2427][3]~60863\ = CARRY((\led_flash_cnt[2427][3]~q\ & !\led_flash_cnt[2427][2]~60861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2427][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2427][2]~60861\,
	combout => \led_flash_cnt[2427][3]~60862_combout\,
	cout => \led_flash_cnt[2427][3]~60863\);

-- Location: FF_X37_Y30_N5
\led_flash_cnt[2427][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2427][3]~60862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2427][3]~q\);

-- Location: LCCOMB_X37_Y30_N6
\led_flash_cnt[2427][4]~60864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2427][4]~60864_combout\ = (\led_flash_cnt[2427][4]~q\ & (!\led_flash_cnt[2427][3]~60863\)) # (!\led_flash_cnt[2427][4]~q\ & ((\led_flash_cnt[2427][3]~60863\) # (GND)))
-- \led_flash_cnt[2427][4]~60865\ = CARRY((!\led_flash_cnt[2427][3]~60863\) # (!\led_flash_cnt[2427][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2427][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2427][3]~60863\,
	combout => \led_flash_cnt[2427][4]~60864_combout\,
	cout => \led_flash_cnt[2427][4]~60865\);

-- Location: FF_X37_Y30_N7
\led_flash_cnt[2427][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2427][4]~60864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2427][4]~q\);

-- Location: LCCOMB_X37_Y30_N8
\led_flash_cnt[2427][5]~60866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2427][5]~60866_combout\ = (\led_flash_cnt[2427][5]~q\ & (\led_flash_cnt[2427][4]~60865\ $ (GND))) # (!\led_flash_cnt[2427][5]~q\ & (!\led_flash_cnt[2427][4]~60865\ & VCC))
-- \led_flash_cnt[2427][5]~60867\ = CARRY((\led_flash_cnt[2427][5]~q\ & !\led_flash_cnt[2427][4]~60865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2427][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2427][4]~60865\,
	combout => \led_flash_cnt[2427][5]~60866_combout\,
	cout => \led_flash_cnt[2427][5]~60867\);

-- Location: FF_X37_Y30_N9
\led_flash_cnt[2427][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2427][5]~60866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2427][5]~q\);

-- Location: LCCOMB_X37_Y30_N10
\led_flash_cnt[2427][6]~60868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2427][6]~60868_combout\ = (\led_flash_cnt[2427][6]~q\ & (!\led_flash_cnt[2427][5]~60867\)) # (!\led_flash_cnt[2427][6]~q\ & ((\led_flash_cnt[2427][5]~60867\) # (GND)))
-- \led_flash_cnt[2427][6]~60869\ = CARRY((!\led_flash_cnt[2427][5]~60867\) # (!\led_flash_cnt[2427][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2427][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2427][5]~60867\,
	combout => \led_flash_cnt[2427][6]~60868_combout\,
	cout => \led_flash_cnt[2427][6]~60869\);

-- Location: FF_X37_Y30_N11
\led_flash_cnt[2427][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2427][6]~60868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2427][6]~q\);

-- Location: LCCOMB_X37_Y30_N12
\led_flash_cnt[2427][7]~60870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2427][7]~60870_combout\ = \led_flash_cnt[2427][6]~60869\ $ (!\led_flash_cnt[2427][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2427][7]~q\,
	cin => \led_flash_cnt[2427][6]~60869\,
	combout => \led_flash_cnt[2427][7]~60870_combout\);

-- Location: FF_X37_Y30_N13
\led_flash_cnt[2427][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2427][7]~60870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2427][7]~q\);

-- Location: LCCOMB_X37_Y30_N24
\WideAnd2427~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2427~0_combout\ = (\led_flash_cnt[2427][4]~q\ & (\led_flash_cnt[2427][1]~q\ & (\led_flash_cnt[2427][3]~q\ & \led_flash_cnt[2427][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2427][4]~q\,
	datab => \led_flash_cnt[2427][1]~q\,
	datac => \led_flash_cnt[2427][3]~q\,
	datad => \led_flash_cnt[2427][2]~q\,
	combout => \WideAnd2427~0_combout\);

-- Location: LCCOMB_X37_Y30_N22
\WideAnd2427~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2427~1_combout\ = (\led_flash_cnt[2427][5]~q\ & \led_flash_cnt[2427][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2427][5]~q\,
	datad => \led_flash_cnt[2427][6]~q\,
	combout => \WideAnd2427~1_combout\);

-- Location: LCCOMB_X37_Y30_N20
WideAnd2427 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2427~combout\ = (\led_flash_cnt[2427][7]~q\ & (\WideAnd2427~0_combout\ & (\WideAnd2427~1_combout\ & \led_flash_cnt[2427][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2427][7]~q\,
	datab => \WideAnd2427~0_combout\,
	datac => \WideAnd2427~1_combout\,
	datad => \led_flash_cnt[2427][0]~q\,
	combout => \WideAnd2427~combout\);

-- Location: FF_X37_Y30_N21
\led_flash_cnt_ands[2427]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2427~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2427));

-- Location: LCCOMB_X56_Y8_N28
\led_flash_cnt[2424][0]~83064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2424][0]~83064_combout\ = !\led_flash_cnt[2424][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2424][0]~q\,
	combout => \led_flash_cnt[2424][0]~83064_combout\);

-- Location: FF_X56_Y8_N29
\led_flash_cnt[2424][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2424][0]~83064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2424][0]~q\);

-- Location: LCCOMB_X56_Y8_N6
\led_flash_cnt[2424][1]~60816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2424][1]~60816_combout\ = (\led_flash_cnt[2424][1]~q\ & (\led_flash_cnt[2424][0]~q\ $ (VCC))) # (!\led_flash_cnt[2424][1]~q\ & (\led_flash_cnt[2424][0]~q\ & VCC))
-- \led_flash_cnt[2424][1]~60817\ = CARRY((\led_flash_cnt[2424][1]~q\ & \led_flash_cnt[2424][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2424][1]~q\,
	datab => \led_flash_cnt[2424][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2424][1]~60816_combout\,
	cout => \led_flash_cnt[2424][1]~60817\);

-- Location: FF_X56_Y8_N7
\led_flash_cnt[2424][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2424][1]~60816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2424][1]~q\);

-- Location: LCCOMB_X56_Y8_N8
\led_flash_cnt[2424][2]~60818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2424][2]~60818_combout\ = (\led_flash_cnt[2424][2]~q\ & (!\led_flash_cnt[2424][1]~60817\)) # (!\led_flash_cnt[2424][2]~q\ & ((\led_flash_cnt[2424][1]~60817\) # (GND)))
-- \led_flash_cnt[2424][2]~60819\ = CARRY((!\led_flash_cnt[2424][1]~60817\) # (!\led_flash_cnt[2424][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2424][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2424][1]~60817\,
	combout => \led_flash_cnt[2424][2]~60818_combout\,
	cout => \led_flash_cnt[2424][2]~60819\);

-- Location: FF_X56_Y8_N9
\led_flash_cnt[2424][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2424][2]~60818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2424][2]~q\);

-- Location: LCCOMB_X56_Y8_N10
\led_flash_cnt[2424][3]~60820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2424][3]~60820_combout\ = (\led_flash_cnt[2424][3]~q\ & (\led_flash_cnt[2424][2]~60819\ $ (GND))) # (!\led_flash_cnt[2424][3]~q\ & (!\led_flash_cnt[2424][2]~60819\ & VCC))
-- \led_flash_cnt[2424][3]~60821\ = CARRY((\led_flash_cnt[2424][3]~q\ & !\led_flash_cnt[2424][2]~60819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2424][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2424][2]~60819\,
	combout => \led_flash_cnt[2424][3]~60820_combout\,
	cout => \led_flash_cnt[2424][3]~60821\);

-- Location: FF_X56_Y8_N11
\led_flash_cnt[2424][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2424][3]~60820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2424][3]~q\);

-- Location: LCCOMB_X56_Y8_N12
\led_flash_cnt[2424][4]~60822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2424][4]~60822_combout\ = (\led_flash_cnt[2424][4]~q\ & (!\led_flash_cnt[2424][3]~60821\)) # (!\led_flash_cnt[2424][4]~q\ & ((\led_flash_cnt[2424][3]~60821\) # (GND)))
-- \led_flash_cnt[2424][4]~60823\ = CARRY((!\led_flash_cnt[2424][3]~60821\) # (!\led_flash_cnt[2424][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2424][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2424][3]~60821\,
	combout => \led_flash_cnt[2424][4]~60822_combout\,
	cout => \led_flash_cnt[2424][4]~60823\);

-- Location: FF_X56_Y8_N13
\led_flash_cnt[2424][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2424][4]~60822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2424][4]~q\);

-- Location: LCCOMB_X56_Y8_N14
\led_flash_cnt[2424][5]~60824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2424][5]~60824_combout\ = (\led_flash_cnt[2424][5]~q\ & (\led_flash_cnt[2424][4]~60823\ $ (GND))) # (!\led_flash_cnt[2424][5]~q\ & (!\led_flash_cnt[2424][4]~60823\ & VCC))
-- \led_flash_cnt[2424][5]~60825\ = CARRY((\led_flash_cnt[2424][5]~q\ & !\led_flash_cnt[2424][4]~60823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2424][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2424][4]~60823\,
	combout => \led_flash_cnt[2424][5]~60824_combout\,
	cout => \led_flash_cnt[2424][5]~60825\);

-- Location: FF_X56_Y8_N15
\led_flash_cnt[2424][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2424][5]~60824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2424][5]~q\);

-- Location: LCCOMB_X56_Y8_N16
\led_flash_cnt[2424][6]~60826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2424][6]~60826_combout\ = (\led_flash_cnt[2424][6]~q\ & (!\led_flash_cnt[2424][5]~60825\)) # (!\led_flash_cnt[2424][6]~q\ & ((\led_flash_cnt[2424][5]~60825\) # (GND)))
-- \led_flash_cnt[2424][6]~60827\ = CARRY((!\led_flash_cnt[2424][5]~60825\) # (!\led_flash_cnt[2424][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2424][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2424][5]~60825\,
	combout => \led_flash_cnt[2424][6]~60826_combout\,
	cout => \led_flash_cnt[2424][6]~60827\);

-- Location: FF_X56_Y8_N17
\led_flash_cnt[2424][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2424][6]~60826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2424][6]~q\);

-- Location: LCCOMB_X56_Y8_N22
\WideAnd2424~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2424~0_combout\ = (\led_flash_cnt[2424][1]~q\ & (\led_flash_cnt[2424][5]~q\ & (\led_flash_cnt[2424][2]~q\ & \led_flash_cnt[2424][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2424][1]~q\,
	datab => \led_flash_cnt[2424][5]~q\,
	datac => \led_flash_cnt[2424][2]~q\,
	datad => \led_flash_cnt[2424][6]~q\,
	combout => \WideAnd2424~0_combout\);

-- Location: LCCOMB_X56_Y8_N18
\led_flash_cnt[2424][7]~60828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2424][7]~60828_combout\ = \led_flash_cnt[2424][6]~60827\ $ (!\led_flash_cnt[2424][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2424][7]~q\,
	cin => \led_flash_cnt[2424][6]~60827\,
	combout => \led_flash_cnt[2424][7]~60828_combout\);

-- Location: FF_X56_Y8_N19
\led_flash_cnt[2424][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2424][7]~60828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2424][7]~q\);

-- Location: LCCOMB_X56_Y8_N4
\WideAnd2424~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2424~1_combout\ = (\led_flash_cnt[2424][7]~q\ & \led_flash_cnt[2424][4]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2424][7]~q\,
	datad => \led_flash_cnt[2424][4]~q\,
	combout => \WideAnd2424~1_combout\);

-- Location: LCCOMB_X56_Y8_N20
WideAnd2424 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2424~combout\ = (\WideAnd2424~0_combout\ & (\led_flash_cnt[2424][0]~q\ & (\WideAnd2424~1_combout\ & \led_flash_cnt[2424][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2424~0_combout\,
	datab => \led_flash_cnt[2424][0]~q\,
	datac => \WideAnd2424~1_combout\,
	datad => \led_flash_cnt[2424][3]~q\,
	combout => \WideAnd2424~combout\);

-- Location: FF_X56_Y8_N21
\led_flash_cnt_ands[2424]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2424~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2424));

-- Location: LCCOMB_X56_Y8_N24
\WideAnd4143~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4143~0_combout\ = (led_flash_cnt_ands(2426) & (led_flash_cnt_ands(2425) & (led_flash_cnt_ands(2427) & led_flash_cnt_ands(2424))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2426),
	datab => led_flash_cnt_ands(2425),
	datac => led_flash_cnt_ands(2427),
	datad => led_flash_cnt_ands(2424),
	combout => \WideAnd4143~0_combout\);

-- Location: LCCOMB_X30_Y13_N24
\led_flash_cnt[2431][0]~83071\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2431][0]~83071_combout\ = !\led_flash_cnt[2431][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2431][0]~q\,
	combout => \led_flash_cnt[2431][0]~83071_combout\);

-- Location: FF_X30_Y13_N25
\led_flash_cnt[2431][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2431][0]~83071_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2431][0]~q\);

-- Location: LCCOMB_X30_Y13_N6
\led_flash_cnt[2431][1]~60914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2431][1]~60914_combout\ = (\led_flash_cnt[2431][1]~q\ & (\led_flash_cnt[2431][0]~q\ $ (VCC))) # (!\led_flash_cnt[2431][1]~q\ & (\led_flash_cnt[2431][0]~q\ & VCC))
-- \led_flash_cnt[2431][1]~60915\ = CARRY((\led_flash_cnt[2431][1]~q\ & \led_flash_cnt[2431][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2431][1]~q\,
	datab => \led_flash_cnt[2431][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2431][1]~60914_combout\,
	cout => \led_flash_cnt[2431][1]~60915\);

-- Location: FF_X30_Y13_N7
\led_flash_cnt[2431][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2431][1]~60914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2431][1]~q\);

-- Location: LCCOMB_X30_Y13_N8
\led_flash_cnt[2431][2]~60916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2431][2]~60916_combout\ = (\led_flash_cnt[2431][2]~q\ & (!\led_flash_cnt[2431][1]~60915\)) # (!\led_flash_cnt[2431][2]~q\ & ((\led_flash_cnt[2431][1]~60915\) # (GND)))
-- \led_flash_cnt[2431][2]~60917\ = CARRY((!\led_flash_cnt[2431][1]~60915\) # (!\led_flash_cnt[2431][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2431][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2431][1]~60915\,
	combout => \led_flash_cnt[2431][2]~60916_combout\,
	cout => \led_flash_cnt[2431][2]~60917\);

-- Location: FF_X30_Y13_N9
\led_flash_cnt[2431][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2431][2]~60916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2431][2]~q\);

-- Location: LCCOMB_X30_Y13_N10
\led_flash_cnt[2431][3]~60918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2431][3]~60918_combout\ = (\led_flash_cnt[2431][3]~q\ & (\led_flash_cnt[2431][2]~60917\ $ (GND))) # (!\led_flash_cnt[2431][3]~q\ & (!\led_flash_cnt[2431][2]~60917\ & VCC))
-- \led_flash_cnt[2431][3]~60919\ = CARRY((\led_flash_cnt[2431][3]~q\ & !\led_flash_cnt[2431][2]~60917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2431][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2431][2]~60917\,
	combout => \led_flash_cnt[2431][3]~60918_combout\,
	cout => \led_flash_cnt[2431][3]~60919\);

-- Location: FF_X30_Y13_N11
\led_flash_cnt[2431][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2431][3]~60918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2431][3]~q\);

-- Location: LCCOMB_X30_Y13_N12
\led_flash_cnt[2431][4]~60920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2431][4]~60920_combout\ = (\led_flash_cnt[2431][4]~q\ & (!\led_flash_cnt[2431][3]~60919\)) # (!\led_flash_cnt[2431][4]~q\ & ((\led_flash_cnt[2431][3]~60919\) # (GND)))
-- \led_flash_cnt[2431][4]~60921\ = CARRY((!\led_flash_cnt[2431][3]~60919\) # (!\led_flash_cnt[2431][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2431][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2431][3]~60919\,
	combout => \led_flash_cnt[2431][4]~60920_combout\,
	cout => \led_flash_cnt[2431][4]~60921\);

-- Location: FF_X30_Y13_N13
\led_flash_cnt[2431][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2431][4]~60920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2431][4]~q\);

-- Location: LCCOMB_X30_Y13_N26
\WideAnd2431~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2431~0_combout\ = (\led_flash_cnt[2431][1]~q\ & (\led_flash_cnt[2431][4]~q\ & (\led_flash_cnt[2431][2]~q\ & \led_flash_cnt[2431][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2431][1]~q\,
	datab => \led_flash_cnt[2431][4]~q\,
	datac => \led_flash_cnt[2431][2]~q\,
	datad => \led_flash_cnt[2431][3]~q\,
	combout => \WideAnd2431~0_combout\);

-- Location: LCCOMB_X30_Y13_N14
\led_flash_cnt[2431][5]~60922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2431][5]~60922_combout\ = (\led_flash_cnt[2431][5]~q\ & (\led_flash_cnt[2431][4]~60921\ $ (GND))) # (!\led_flash_cnt[2431][5]~q\ & (!\led_flash_cnt[2431][4]~60921\ & VCC))
-- \led_flash_cnt[2431][5]~60923\ = CARRY((\led_flash_cnt[2431][5]~q\ & !\led_flash_cnt[2431][4]~60921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2431][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2431][4]~60921\,
	combout => \led_flash_cnt[2431][5]~60922_combout\,
	cout => \led_flash_cnt[2431][5]~60923\);

-- Location: FF_X30_Y13_N15
\led_flash_cnt[2431][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2431][5]~60922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2431][5]~q\);

-- Location: LCCOMB_X30_Y13_N16
\led_flash_cnt[2431][6]~60924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2431][6]~60924_combout\ = (\led_flash_cnt[2431][6]~q\ & (!\led_flash_cnt[2431][5]~60923\)) # (!\led_flash_cnt[2431][6]~q\ & ((\led_flash_cnt[2431][5]~60923\) # (GND)))
-- \led_flash_cnt[2431][6]~60925\ = CARRY((!\led_flash_cnt[2431][5]~60923\) # (!\led_flash_cnt[2431][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2431][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2431][5]~60923\,
	combout => \led_flash_cnt[2431][6]~60924_combout\,
	cout => \led_flash_cnt[2431][6]~60925\);

-- Location: FF_X30_Y13_N17
\led_flash_cnt[2431][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2431][6]~60924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2431][6]~q\);

-- Location: LCCOMB_X30_Y13_N0
\WideAnd2431~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2431~1_combout\ = (\led_flash_cnt[2431][5]~q\ & \led_flash_cnt[2431][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2431][5]~q\,
	datad => \led_flash_cnt[2431][6]~q\,
	combout => \WideAnd2431~1_combout\);

-- Location: LCCOMB_X30_Y13_N18
\led_flash_cnt[2431][7]~60926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2431][7]~60926_combout\ = \led_flash_cnt[2431][7]~q\ $ (!\led_flash_cnt[2431][6]~60925\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2431][7]~q\,
	cin => \led_flash_cnt[2431][6]~60925\,
	combout => \led_flash_cnt[2431][7]~60926_combout\);

-- Location: FF_X30_Y13_N19
\led_flash_cnt[2431][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2431][7]~60926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2431][7]~q\);

-- Location: LCCOMB_X30_Y13_N28
WideAnd2431 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2431~combout\ = (\WideAnd2431~0_combout\ & (\WideAnd2431~1_combout\ & (\led_flash_cnt[2431][7]~q\ & \led_flash_cnt[2431][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2431~0_combout\,
	datab => \WideAnd2431~1_combout\,
	datac => \led_flash_cnt[2431][7]~q\,
	datad => \led_flash_cnt[2431][0]~q\,
	combout => \WideAnd2431~combout\);

-- Location: FF_X30_Y13_N29
\led_flash_cnt_ands[2431]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2431~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2431));

-- Location: LCCOMB_X30_Y11_N0
WideAnd4143 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4143~combout\ = (\WideAnd4143~1_combout\ & (led_flash_cnt_ands(2430) & (\WideAnd4143~0_combout\ & led_flash_cnt_ands(2431))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4143~1_combout\,
	datab => led_flash_cnt_ands(2430),
	datac => \WideAnd4143~0_combout\,
	datad => led_flash_cnt_ands(2431),
	combout => \WideAnd4143~combout\);

-- Location: FF_X30_Y11_N1
\led_flash_cnt_ands_1[303]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4143~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(303));

-- Location: LCCOMB_X29_Y29_N10
\led_flash_cnt[2423][0]~83063\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2423][0]~83063_combout\ = !\led_flash_cnt[2423][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2423][0]~q\,
	combout => \led_flash_cnt[2423][0]~83063_combout\);

-- Location: FF_X29_Y29_N11
\led_flash_cnt[2423][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2423][0]~83063_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2423][0]~q\);

-- Location: LCCOMB_X29_Y29_N16
\led_flash_cnt[2423][1]~60802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2423][1]~60802_combout\ = (\led_flash_cnt[2423][0]~q\ & (\led_flash_cnt[2423][1]~q\ $ (VCC))) # (!\led_flash_cnt[2423][0]~q\ & (\led_flash_cnt[2423][1]~q\ & VCC))
-- \led_flash_cnt[2423][1]~60803\ = CARRY((\led_flash_cnt[2423][0]~q\ & \led_flash_cnt[2423][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2423][0]~q\,
	datab => \led_flash_cnt[2423][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2423][1]~60802_combout\,
	cout => \led_flash_cnt[2423][1]~60803\);

-- Location: FF_X29_Y29_N17
\led_flash_cnt[2423][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2423][1]~60802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2423][1]~q\);

-- Location: LCCOMB_X29_Y29_N18
\led_flash_cnt[2423][2]~60804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2423][2]~60804_combout\ = (\led_flash_cnt[2423][2]~q\ & (!\led_flash_cnt[2423][1]~60803\)) # (!\led_flash_cnt[2423][2]~q\ & ((\led_flash_cnt[2423][1]~60803\) # (GND)))
-- \led_flash_cnt[2423][2]~60805\ = CARRY((!\led_flash_cnt[2423][1]~60803\) # (!\led_flash_cnt[2423][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2423][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2423][1]~60803\,
	combout => \led_flash_cnt[2423][2]~60804_combout\,
	cout => \led_flash_cnt[2423][2]~60805\);

-- Location: FF_X29_Y29_N19
\led_flash_cnt[2423][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2423][2]~60804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2423][2]~q\);

-- Location: LCCOMB_X29_Y29_N20
\led_flash_cnt[2423][3]~60806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2423][3]~60806_combout\ = (\led_flash_cnt[2423][3]~q\ & (\led_flash_cnt[2423][2]~60805\ $ (GND))) # (!\led_flash_cnt[2423][3]~q\ & (!\led_flash_cnt[2423][2]~60805\ & VCC))
-- \led_flash_cnt[2423][3]~60807\ = CARRY((\led_flash_cnt[2423][3]~q\ & !\led_flash_cnt[2423][2]~60805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2423][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2423][2]~60805\,
	combout => \led_flash_cnt[2423][3]~60806_combout\,
	cout => \led_flash_cnt[2423][3]~60807\);

-- Location: FF_X29_Y29_N21
\led_flash_cnt[2423][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2423][3]~60806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2423][3]~q\);

-- Location: LCCOMB_X29_Y29_N22
\led_flash_cnt[2423][4]~60808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2423][4]~60808_combout\ = (\led_flash_cnt[2423][4]~q\ & (!\led_flash_cnt[2423][3]~60807\)) # (!\led_flash_cnt[2423][4]~q\ & ((\led_flash_cnt[2423][3]~60807\) # (GND)))
-- \led_flash_cnt[2423][4]~60809\ = CARRY((!\led_flash_cnt[2423][3]~60807\) # (!\led_flash_cnt[2423][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2423][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2423][3]~60807\,
	combout => \led_flash_cnt[2423][4]~60808_combout\,
	cout => \led_flash_cnt[2423][4]~60809\);

-- Location: FF_X29_Y29_N23
\led_flash_cnt[2423][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2423][4]~60808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2423][4]~q\);

-- Location: LCCOMB_X29_Y29_N24
\led_flash_cnt[2423][5]~60810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2423][5]~60810_combout\ = (\led_flash_cnt[2423][5]~q\ & (\led_flash_cnt[2423][4]~60809\ $ (GND))) # (!\led_flash_cnt[2423][5]~q\ & (!\led_flash_cnt[2423][4]~60809\ & VCC))
-- \led_flash_cnt[2423][5]~60811\ = CARRY((\led_flash_cnt[2423][5]~q\ & !\led_flash_cnt[2423][4]~60809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2423][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2423][4]~60809\,
	combout => \led_flash_cnt[2423][5]~60810_combout\,
	cout => \led_flash_cnt[2423][5]~60811\);

-- Location: FF_X29_Y29_N25
\led_flash_cnt[2423][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2423][5]~60810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2423][5]~q\);

-- Location: LCCOMB_X29_Y29_N26
\led_flash_cnt[2423][6]~60812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2423][6]~60812_combout\ = (\led_flash_cnt[2423][6]~q\ & (!\led_flash_cnt[2423][5]~60811\)) # (!\led_flash_cnt[2423][6]~q\ & ((\led_flash_cnt[2423][5]~60811\) # (GND)))
-- \led_flash_cnt[2423][6]~60813\ = CARRY((!\led_flash_cnt[2423][5]~60811\) # (!\led_flash_cnt[2423][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2423][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2423][5]~60811\,
	combout => \led_flash_cnt[2423][6]~60812_combout\,
	cout => \led_flash_cnt[2423][6]~60813\);

-- Location: FF_X29_Y29_N27
\led_flash_cnt[2423][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2423][6]~60812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2423][6]~q\);

-- Location: LCCOMB_X29_Y29_N28
\led_flash_cnt[2423][7]~60814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2423][7]~60814_combout\ = \led_flash_cnt[2423][6]~60813\ $ (!\led_flash_cnt[2423][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2423][7]~q\,
	cin => \led_flash_cnt[2423][6]~60813\,
	combout => \led_flash_cnt[2423][7]~60814_combout\);

-- Location: FF_X29_Y29_N29
\led_flash_cnt[2423][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2423][7]~60814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2423][7]~q\);

-- Location: LCCOMB_X29_Y29_N4
\WideAnd2423~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2423~1_combout\ = (\led_flash_cnt[2423][6]~q\ & \led_flash_cnt[2423][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2423][6]~q\,
	datad => \led_flash_cnt[2423][5]~q\,
	combout => \WideAnd2423~1_combout\);

-- Location: LCCOMB_X29_Y29_N12
\WideAnd2423~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2423~0_combout\ = (\led_flash_cnt[2423][3]~q\ & (\led_flash_cnt[2423][1]~q\ & (\led_flash_cnt[2423][4]~q\ & \led_flash_cnt[2423][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2423][3]~q\,
	datab => \led_flash_cnt[2423][1]~q\,
	datac => \led_flash_cnt[2423][4]~q\,
	datad => \led_flash_cnt[2423][2]~q\,
	combout => \WideAnd2423~0_combout\);

-- Location: LCCOMB_X29_Y29_N6
WideAnd2423 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2423~combout\ = (\led_flash_cnt[2423][0]~q\ & (\led_flash_cnt[2423][7]~q\ & (\WideAnd2423~1_combout\ & \WideAnd2423~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2423][0]~q\,
	datab => \led_flash_cnt[2423][7]~q\,
	datac => \WideAnd2423~1_combout\,
	datad => \WideAnd2423~0_combout\,
	combout => \WideAnd2423~combout\);

-- Location: FF_X29_Y29_N7
\led_flash_cnt_ands[2423]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2423~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2423));

-- Location: LCCOMB_X20_Y31_N10
\led_flash_cnt[2422][0]~83062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2422][0]~83062_combout\ = !\led_flash_cnt[2422][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2422][0]~q\,
	combout => \led_flash_cnt[2422][0]~83062_combout\);

-- Location: FF_X20_Y31_N11
\led_flash_cnt[2422][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2422][0]~83062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2422][0]~q\);

-- Location: LCCOMB_X20_Y31_N18
\led_flash_cnt[2422][1]~60788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2422][1]~60788_combout\ = (\led_flash_cnt[2422][0]~q\ & (\led_flash_cnt[2422][1]~q\ $ (VCC))) # (!\led_flash_cnt[2422][0]~q\ & (\led_flash_cnt[2422][1]~q\ & VCC))
-- \led_flash_cnt[2422][1]~60789\ = CARRY((\led_flash_cnt[2422][0]~q\ & \led_flash_cnt[2422][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2422][0]~q\,
	datab => \led_flash_cnt[2422][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2422][1]~60788_combout\,
	cout => \led_flash_cnt[2422][1]~60789\);

-- Location: FF_X20_Y31_N19
\led_flash_cnt[2422][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2422][1]~60788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2422][1]~q\);

-- Location: LCCOMB_X20_Y31_N20
\led_flash_cnt[2422][2]~60790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2422][2]~60790_combout\ = (\led_flash_cnt[2422][2]~q\ & (!\led_flash_cnt[2422][1]~60789\)) # (!\led_flash_cnt[2422][2]~q\ & ((\led_flash_cnt[2422][1]~60789\) # (GND)))
-- \led_flash_cnt[2422][2]~60791\ = CARRY((!\led_flash_cnt[2422][1]~60789\) # (!\led_flash_cnt[2422][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2422][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2422][1]~60789\,
	combout => \led_flash_cnt[2422][2]~60790_combout\,
	cout => \led_flash_cnt[2422][2]~60791\);

-- Location: FF_X20_Y31_N21
\led_flash_cnt[2422][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2422][2]~60790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2422][2]~q\);

-- Location: LCCOMB_X20_Y31_N22
\led_flash_cnt[2422][3]~60792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2422][3]~60792_combout\ = (\led_flash_cnt[2422][3]~q\ & (\led_flash_cnt[2422][2]~60791\ $ (GND))) # (!\led_flash_cnt[2422][3]~q\ & (!\led_flash_cnt[2422][2]~60791\ & VCC))
-- \led_flash_cnt[2422][3]~60793\ = CARRY((\led_flash_cnt[2422][3]~q\ & !\led_flash_cnt[2422][2]~60791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2422][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2422][2]~60791\,
	combout => \led_flash_cnt[2422][3]~60792_combout\,
	cout => \led_flash_cnt[2422][3]~60793\);

-- Location: FF_X20_Y31_N23
\led_flash_cnt[2422][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2422][3]~60792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2422][3]~q\);

-- Location: LCCOMB_X20_Y31_N24
\led_flash_cnt[2422][4]~60794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2422][4]~60794_combout\ = (\led_flash_cnt[2422][4]~q\ & (!\led_flash_cnt[2422][3]~60793\)) # (!\led_flash_cnt[2422][4]~q\ & ((\led_flash_cnt[2422][3]~60793\) # (GND)))
-- \led_flash_cnt[2422][4]~60795\ = CARRY((!\led_flash_cnt[2422][3]~60793\) # (!\led_flash_cnt[2422][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2422][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2422][3]~60793\,
	combout => \led_flash_cnt[2422][4]~60794_combout\,
	cout => \led_flash_cnt[2422][4]~60795\);

-- Location: FF_X20_Y31_N25
\led_flash_cnt[2422][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2422][4]~60794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2422][4]~q\);

-- Location: LCCOMB_X20_Y31_N4
\WideAnd2422~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2422~0_combout\ = (\led_flash_cnt[2422][1]~q\ & (\led_flash_cnt[2422][4]~q\ & (\led_flash_cnt[2422][3]~q\ & \led_flash_cnt[2422][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2422][1]~q\,
	datab => \led_flash_cnt[2422][4]~q\,
	datac => \led_flash_cnt[2422][3]~q\,
	datad => \led_flash_cnt[2422][2]~q\,
	combout => \WideAnd2422~0_combout\);

-- Location: LCCOMB_X20_Y31_N26
\led_flash_cnt[2422][5]~60796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2422][5]~60796_combout\ = (\led_flash_cnt[2422][5]~q\ & (\led_flash_cnt[2422][4]~60795\ $ (GND))) # (!\led_flash_cnt[2422][5]~q\ & (!\led_flash_cnt[2422][4]~60795\ & VCC))
-- \led_flash_cnt[2422][5]~60797\ = CARRY((\led_flash_cnt[2422][5]~q\ & !\led_flash_cnt[2422][4]~60795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2422][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2422][4]~60795\,
	combout => \led_flash_cnt[2422][5]~60796_combout\,
	cout => \led_flash_cnt[2422][5]~60797\);

-- Location: FF_X20_Y31_N27
\led_flash_cnt[2422][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2422][5]~60796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2422][5]~q\);

-- Location: LCCOMB_X20_Y31_N28
\led_flash_cnt[2422][6]~60798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2422][6]~60798_combout\ = (\led_flash_cnt[2422][6]~q\ & (!\led_flash_cnt[2422][5]~60797\)) # (!\led_flash_cnt[2422][6]~q\ & ((\led_flash_cnt[2422][5]~60797\) # (GND)))
-- \led_flash_cnt[2422][6]~60799\ = CARRY((!\led_flash_cnt[2422][5]~60797\) # (!\led_flash_cnt[2422][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2422][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2422][5]~60797\,
	combout => \led_flash_cnt[2422][6]~60798_combout\,
	cout => \led_flash_cnt[2422][6]~60799\);

-- Location: FF_X20_Y31_N29
\led_flash_cnt[2422][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2422][6]~60798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2422][6]~q\);

-- Location: LCCOMB_X20_Y31_N30
\led_flash_cnt[2422][7]~60800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2422][7]~60800_combout\ = \led_flash_cnt[2422][7]~q\ $ (!\led_flash_cnt[2422][6]~60799\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2422][7]~q\,
	cin => \led_flash_cnt[2422][6]~60799\,
	combout => \led_flash_cnt[2422][7]~60800_combout\);

-- Location: FF_X20_Y31_N31
\led_flash_cnt[2422][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2422][7]~60800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2422][7]~q\);

-- Location: LCCOMB_X20_Y31_N12
\WideAnd2422~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2422~1_combout\ = (\led_flash_cnt[2422][5]~q\ & \led_flash_cnt[2422][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2422][5]~q\,
	datad => \led_flash_cnt[2422][6]~q\,
	combout => \WideAnd2422~1_combout\);

-- Location: LCCOMB_X20_Y31_N8
WideAnd2422 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2422~combout\ = (\led_flash_cnt[2422][0]~q\ & (\WideAnd2422~0_combout\ & (\led_flash_cnt[2422][7]~q\ & \WideAnd2422~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2422][0]~q\,
	datab => \WideAnd2422~0_combout\,
	datac => \led_flash_cnt[2422][7]~q\,
	datad => \WideAnd2422~1_combout\,
	combout => \WideAnd2422~combout\);

-- Location: FF_X20_Y31_N9
\led_flash_cnt_ands[2422]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2422~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2422));

-- Location: LCCOMB_X26_Y31_N2
\led_flash_cnt[2418][0]~83058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2418][0]~83058_combout\ = !\led_flash_cnt[2418][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2418][0]~q\,
	combout => \led_flash_cnt[2418][0]~83058_combout\);

-- Location: FF_X26_Y31_N3
\led_flash_cnt[2418][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2418][0]~83058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2418][0]~q\);

-- Location: LCCOMB_X25_Y31_N0
\led_flash_cnt[2418][1]~60732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2418][1]~60732_combout\ = (\led_flash_cnt[2418][0]~q\ & (\led_flash_cnt[2418][1]~q\ $ (VCC))) # (!\led_flash_cnt[2418][0]~q\ & (\led_flash_cnt[2418][1]~q\ & VCC))
-- \led_flash_cnt[2418][1]~60733\ = CARRY((\led_flash_cnt[2418][0]~q\ & \led_flash_cnt[2418][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2418][0]~q\,
	datab => \led_flash_cnt[2418][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2418][1]~60732_combout\,
	cout => \led_flash_cnt[2418][1]~60733\);

-- Location: FF_X25_Y31_N1
\led_flash_cnt[2418][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2418][1]~60732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2418][1]~q\);

-- Location: LCCOMB_X25_Y31_N2
\led_flash_cnt[2418][2]~60734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2418][2]~60734_combout\ = (\led_flash_cnt[2418][2]~q\ & (!\led_flash_cnt[2418][1]~60733\)) # (!\led_flash_cnt[2418][2]~q\ & ((\led_flash_cnt[2418][1]~60733\) # (GND)))
-- \led_flash_cnt[2418][2]~60735\ = CARRY((!\led_flash_cnt[2418][1]~60733\) # (!\led_flash_cnt[2418][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2418][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2418][1]~60733\,
	combout => \led_flash_cnt[2418][2]~60734_combout\,
	cout => \led_flash_cnt[2418][2]~60735\);

-- Location: FF_X25_Y31_N3
\led_flash_cnt[2418][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2418][2]~60734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2418][2]~q\);

-- Location: LCCOMB_X25_Y31_N4
\led_flash_cnt[2418][3]~60736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2418][3]~60736_combout\ = (\led_flash_cnt[2418][3]~q\ & (\led_flash_cnt[2418][2]~60735\ $ (GND))) # (!\led_flash_cnt[2418][3]~q\ & (!\led_flash_cnt[2418][2]~60735\ & VCC))
-- \led_flash_cnt[2418][3]~60737\ = CARRY((\led_flash_cnt[2418][3]~q\ & !\led_flash_cnt[2418][2]~60735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2418][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2418][2]~60735\,
	combout => \led_flash_cnt[2418][3]~60736_combout\,
	cout => \led_flash_cnt[2418][3]~60737\);

-- Location: FF_X25_Y31_N5
\led_flash_cnt[2418][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2418][3]~60736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2418][3]~q\);

-- Location: LCCOMB_X25_Y31_N6
\led_flash_cnt[2418][4]~60738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2418][4]~60738_combout\ = (\led_flash_cnt[2418][4]~q\ & (!\led_flash_cnt[2418][3]~60737\)) # (!\led_flash_cnt[2418][4]~q\ & ((\led_flash_cnt[2418][3]~60737\) # (GND)))
-- \led_flash_cnt[2418][4]~60739\ = CARRY((!\led_flash_cnt[2418][3]~60737\) # (!\led_flash_cnt[2418][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2418][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2418][3]~60737\,
	combout => \led_flash_cnt[2418][4]~60738_combout\,
	cout => \led_flash_cnt[2418][4]~60739\);

-- Location: FF_X25_Y31_N7
\led_flash_cnt[2418][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2418][4]~60738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2418][4]~q\);

-- Location: LCCOMB_X25_Y31_N8
\led_flash_cnt[2418][5]~60740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2418][5]~60740_combout\ = (\led_flash_cnt[2418][5]~q\ & (\led_flash_cnt[2418][4]~60739\ $ (GND))) # (!\led_flash_cnt[2418][5]~q\ & (!\led_flash_cnt[2418][4]~60739\ & VCC))
-- \led_flash_cnt[2418][5]~60741\ = CARRY((\led_flash_cnt[2418][5]~q\ & !\led_flash_cnt[2418][4]~60739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2418][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2418][4]~60739\,
	combout => \led_flash_cnt[2418][5]~60740_combout\,
	cout => \led_flash_cnt[2418][5]~60741\);

-- Location: FF_X25_Y31_N9
\led_flash_cnt[2418][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2418][5]~60740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2418][5]~q\);

-- Location: LCCOMB_X25_Y31_N10
\led_flash_cnt[2418][6]~60742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2418][6]~60742_combout\ = (\led_flash_cnt[2418][6]~q\ & (!\led_flash_cnt[2418][5]~60741\)) # (!\led_flash_cnt[2418][6]~q\ & ((\led_flash_cnt[2418][5]~60741\) # (GND)))
-- \led_flash_cnt[2418][6]~60743\ = CARRY((!\led_flash_cnt[2418][5]~60741\) # (!\led_flash_cnt[2418][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2418][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2418][5]~60741\,
	combout => \led_flash_cnt[2418][6]~60742_combout\,
	cout => \led_flash_cnt[2418][6]~60743\);

-- Location: FF_X25_Y31_N11
\led_flash_cnt[2418][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2418][6]~60742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2418][6]~q\);

-- Location: LCCOMB_X25_Y31_N12
\led_flash_cnt[2418][7]~60744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2418][7]~60744_combout\ = \led_flash_cnt[2418][6]~60743\ $ (!\led_flash_cnt[2418][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2418][7]~q\,
	cin => \led_flash_cnt[2418][6]~60743\,
	combout => \led_flash_cnt[2418][7]~60744_combout\);

-- Location: FF_X25_Y31_N13
\led_flash_cnt[2418][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2418][7]~60744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2418][7]~q\);

-- Location: LCCOMB_X25_Y31_N28
\WideAnd2418~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2418~0_combout\ = (\led_flash_cnt[2418][4]~q\ & (\led_flash_cnt[2418][2]~q\ & (\led_flash_cnt[2418][3]~q\ & \led_flash_cnt[2418][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2418][4]~q\,
	datab => \led_flash_cnt[2418][2]~q\,
	datac => \led_flash_cnt[2418][3]~q\,
	datad => \led_flash_cnt[2418][1]~q\,
	combout => \WideAnd2418~0_combout\);

-- Location: LCCOMB_X25_Y31_N30
\WideAnd2418~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2418~1_combout\ = (\led_flash_cnt[2418][5]~q\ & \led_flash_cnt[2418][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2418][5]~q\,
	datad => \led_flash_cnt[2418][6]~q\,
	combout => \WideAnd2418~1_combout\);

-- Location: LCCOMB_X26_Y31_N12
WideAnd2418 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2418~combout\ = (\led_flash_cnt[2418][7]~q\ & (\WideAnd2418~0_combout\ & (\led_flash_cnt[2418][0]~q\ & \WideAnd2418~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2418][7]~q\,
	datab => \WideAnd2418~0_combout\,
	datac => \led_flash_cnt[2418][0]~q\,
	datad => \WideAnd2418~1_combout\,
	combout => \WideAnd2418~combout\);

-- Location: FF_X26_Y31_N13
\led_flash_cnt_ands[2418]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2418~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2418));

-- Location: LCCOMB_X25_Y30_N28
\led_flash_cnt[2419][0]~83059\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2419][0]~83059_combout\ = !\led_flash_cnt[2419][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2419][0]~q\,
	combout => \led_flash_cnt[2419][0]~83059_combout\);

-- Location: FF_X25_Y30_N29
\led_flash_cnt[2419][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2419][0]~83059_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2419][0]~q\);

-- Location: LCCOMB_X26_Y31_N18
\led_flash_cnt[2419][1]~60746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2419][1]~60746_combout\ = (\led_flash_cnt[2419][0]~q\ & (\led_flash_cnt[2419][1]~q\ $ (VCC))) # (!\led_flash_cnt[2419][0]~q\ & (\led_flash_cnt[2419][1]~q\ & VCC))
-- \led_flash_cnt[2419][1]~60747\ = CARRY((\led_flash_cnt[2419][0]~q\ & \led_flash_cnt[2419][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2419][0]~q\,
	datab => \led_flash_cnt[2419][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2419][1]~60746_combout\,
	cout => \led_flash_cnt[2419][1]~60747\);

-- Location: FF_X26_Y31_N19
\led_flash_cnt[2419][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2419][1]~60746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2419][1]~q\);

-- Location: LCCOMB_X26_Y31_N20
\led_flash_cnt[2419][2]~60748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2419][2]~60748_combout\ = (\led_flash_cnt[2419][2]~q\ & (!\led_flash_cnt[2419][1]~60747\)) # (!\led_flash_cnt[2419][2]~q\ & ((\led_flash_cnt[2419][1]~60747\) # (GND)))
-- \led_flash_cnt[2419][2]~60749\ = CARRY((!\led_flash_cnt[2419][1]~60747\) # (!\led_flash_cnt[2419][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2419][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2419][1]~60747\,
	combout => \led_flash_cnt[2419][2]~60748_combout\,
	cout => \led_flash_cnt[2419][2]~60749\);

-- Location: FF_X26_Y31_N21
\led_flash_cnt[2419][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2419][2]~60748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2419][2]~q\);

-- Location: LCCOMB_X26_Y31_N22
\led_flash_cnt[2419][3]~60750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2419][3]~60750_combout\ = (\led_flash_cnt[2419][3]~q\ & (\led_flash_cnt[2419][2]~60749\ $ (GND))) # (!\led_flash_cnt[2419][3]~q\ & (!\led_flash_cnt[2419][2]~60749\ & VCC))
-- \led_flash_cnt[2419][3]~60751\ = CARRY((\led_flash_cnt[2419][3]~q\ & !\led_flash_cnt[2419][2]~60749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2419][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2419][2]~60749\,
	combout => \led_flash_cnt[2419][3]~60750_combout\,
	cout => \led_flash_cnt[2419][3]~60751\);

-- Location: FF_X26_Y31_N23
\led_flash_cnt[2419][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2419][3]~60750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2419][3]~q\);

-- Location: LCCOMB_X26_Y31_N24
\led_flash_cnt[2419][4]~60752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2419][4]~60752_combout\ = (\led_flash_cnt[2419][4]~q\ & (!\led_flash_cnt[2419][3]~60751\)) # (!\led_flash_cnt[2419][4]~q\ & ((\led_flash_cnt[2419][3]~60751\) # (GND)))
-- \led_flash_cnt[2419][4]~60753\ = CARRY((!\led_flash_cnt[2419][3]~60751\) # (!\led_flash_cnt[2419][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2419][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2419][3]~60751\,
	combout => \led_flash_cnt[2419][4]~60752_combout\,
	cout => \led_flash_cnt[2419][4]~60753\);

-- Location: FF_X26_Y31_N25
\led_flash_cnt[2419][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2419][4]~60752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2419][4]~q\);

-- Location: LCCOMB_X26_Y31_N26
\led_flash_cnt[2419][5]~60754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2419][5]~60754_combout\ = (\led_flash_cnt[2419][5]~q\ & (\led_flash_cnt[2419][4]~60753\ $ (GND))) # (!\led_flash_cnt[2419][5]~q\ & (!\led_flash_cnt[2419][4]~60753\ & VCC))
-- \led_flash_cnt[2419][5]~60755\ = CARRY((\led_flash_cnt[2419][5]~q\ & !\led_flash_cnt[2419][4]~60753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2419][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2419][4]~60753\,
	combout => \led_flash_cnt[2419][5]~60754_combout\,
	cout => \led_flash_cnt[2419][5]~60755\);

-- Location: FF_X26_Y31_N27
\led_flash_cnt[2419][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2419][5]~60754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2419][5]~q\);

-- Location: LCCOMB_X26_Y31_N28
\led_flash_cnt[2419][6]~60756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2419][6]~60756_combout\ = (\led_flash_cnt[2419][6]~q\ & (!\led_flash_cnt[2419][5]~60755\)) # (!\led_flash_cnt[2419][6]~q\ & ((\led_flash_cnt[2419][5]~60755\) # (GND)))
-- \led_flash_cnt[2419][6]~60757\ = CARRY((!\led_flash_cnt[2419][5]~60755\) # (!\led_flash_cnt[2419][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2419][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2419][5]~60755\,
	combout => \led_flash_cnt[2419][6]~60756_combout\,
	cout => \led_flash_cnt[2419][6]~60757\);

-- Location: FF_X26_Y31_N29
\led_flash_cnt[2419][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2419][6]~60756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2419][6]~q\);

-- Location: LCCOMB_X26_Y31_N30
\led_flash_cnt[2419][7]~60758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2419][7]~60758_combout\ = \led_flash_cnt[2419][7]~q\ $ (!\led_flash_cnt[2419][6]~60757\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2419][7]~q\,
	cin => \led_flash_cnt[2419][6]~60757\,
	combout => \led_flash_cnt[2419][7]~60758_combout\);

-- Location: FF_X26_Y31_N31
\led_flash_cnt[2419][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2419][7]~60758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2419][7]~q\);

-- Location: LCCOMB_X26_Y31_N16
\WideAnd2419~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2419~1_combout\ = (\led_flash_cnt[2419][5]~q\ & \led_flash_cnt[2419][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2419][5]~q\,
	datad => \led_flash_cnt[2419][6]~q\,
	combout => \WideAnd2419~1_combout\);

-- Location: LCCOMB_X26_Y31_N6
\WideAnd2419~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2419~0_combout\ = (\led_flash_cnt[2419][4]~q\ & (\led_flash_cnt[2419][1]~q\ & (\led_flash_cnt[2419][3]~q\ & \led_flash_cnt[2419][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2419][4]~q\,
	datab => \led_flash_cnt[2419][1]~q\,
	datac => \led_flash_cnt[2419][3]~q\,
	datad => \led_flash_cnt[2419][2]~q\,
	combout => \WideAnd2419~0_combout\);

-- Location: LCCOMB_X26_Y31_N4
WideAnd2419 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2419~combout\ = (\led_flash_cnt[2419][7]~q\ & (\WideAnd2419~1_combout\ & (\led_flash_cnt[2419][0]~q\ & \WideAnd2419~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2419][7]~q\,
	datab => \WideAnd2419~1_combout\,
	datac => \led_flash_cnt[2419][0]~q\,
	datad => \WideAnd2419~0_combout\,
	combout => \WideAnd2419~combout\);

-- Location: FF_X26_Y31_N5
\led_flash_cnt_ands[2419]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2419~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2419));

-- Location: LCCOMB_X26_Y29_N30
\led_flash_cnt[2417][0]~83057\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2417][0]~83057_combout\ = !\led_flash_cnt[2417][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2417][0]~q\,
	combout => \led_flash_cnt[2417][0]~83057_combout\);

-- Location: FF_X26_Y29_N31
\led_flash_cnt[2417][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2417][0]~83057_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2417][0]~q\);

-- Location: LCCOMB_X25_Y25_N18
\led_flash_cnt[2417][1]~60718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2417][1]~60718_combout\ = (\led_flash_cnt[2417][0]~q\ & (\led_flash_cnt[2417][1]~q\ $ (VCC))) # (!\led_flash_cnt[2417][0]~q\ & (\led_flash_cnt[2417][1]~q\ & VCC))
-- \led_flash_cnt[2417][1]~60719\ = CARRY((\led_flash_cnt[2417][0]~q\ & \led_flash_cnt[2417][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2417][0]~q\,
	datab => \led_flash_cnt[2417][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2417][1]~60718_combout\,
	cout => \led_flash_cnt[2417][1]~60719\);

-- Location: FF_X25_Y25_N19
\led_flash_cnt[2417][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2417][1]~60718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2417][1]~q\);

-- Location: LCCOMB_X25_Y25_N20
\led_flash_cnt[2417][2]~60720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2417][2]~60720_combout\ = (\led_flash_cnt[2417][2]~q\ & (!\led_flash_cnt[2417][1]~60719\)) # (!\led_flash_cnt[2417][2]~q\ & ((\led_flash_cnt[2417][1]~60719\) # (GND)))
-- \led_flash_cnt[2417][2]~60721\ = CARRY((!\led_flash_cnt[2417][1]~60719\) # (!\led_flash_cnt[2417][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2417][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2417][1]~60719\,
	combout => \led_flash_cnt[2417][2]~60720_combout\,
	cout => \led_flash_cnt[2417][2]~60721\);

-- Location: FF_X25_Y25_N21
\led_flash_cnt[2417][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2417][2]~60720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2417][2]~q\);

-- Location: LCCOMB_X25_Y25_N22
\led_flash_cnt[2417][3]~60722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2417][3]~60722_combout\ = (\led_flash_cnt[2417][3]~q\ & (\led_flash_cnt[2417][2]~60721\ $ (GND))) # (!\led_flash_cnt[2417][3]~q\ & (!\led_flash_cnt[2417][2]~60721\ & VCC))
-- \led_flash_cnt[2417][3]~60723\ = CARRY((\led_flash_cnt[2417][3]~q\ & !\led_flash_cnt[2417][2]~60721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2417][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2417][2]~60721\,
	combout => \led_flash_cnt[2417][3]~60722_combout\,
	cout => \led_flash_cnt[2417][3]~60723\);

-- Location: FF_X25_Y25_N23
\led_flash_cnt[2417][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2417][3]~60722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2417][3]~q\);

-- Location: LCCOMB_X25_Y25_N24
\led_flash_cnt[2417][4]~60724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2417][4]~60724_combout\ = (\led_flash_cnt[2417][4]~q\ & (!\led_flash_cnt[2417][3]~60723\)) # (!\led_flash_cnt[2417][4]~q\ & ((\led_flash_cnt[2417][3]~60723\) # (GND)))
-- \led_flash_cnt[2417][4]~60725\ = CARRY((!\led_flash_cnt[2417][3]~60723\) # (!\led_flash_cnt[2417][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2417][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2417][3]~60723\,
	combout => \led_flash_cnt[2417][4]~60724_combout\,
	cout => \led_flash_cnt[2417][4]~60725\);

-- Location: FF_X25_Y25_N25
\led_flash_cnt[2417][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2417][4]~60724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2417][4]~q\);

-- Location: LCCOMB_X25_Y25_N26
\led_flash_cnt[2417][5]~60726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2417][5]~60726_combout\ = (\led_flash_cnt[2417][5]~q\ & (\led_flash_cnt[2417][4]~60725\ $ (GND))) # (!\led_flash_cnt[2417][5]~q\ & (!\led_flash_cnt[2417][4]~60725\ & VCC))
-- \led_flash_cnt[2417][5]~60727\ = CARRY((\led_flash_cnt[2417][5]~q\ & !\led_flash_cnt[2417][4]~60725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2417][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2417][4]~60725\,
	combout => \led_flash_cnt[2417][5]~60726_combout\,
	cout => \led_flash_cnt[2417][5]~60727\);

-- Location: FF_X25_Y25_N27
\led_flash_cnt[2417][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2417][5]~60726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2417][5]~q\);

-- Location: LCCOMB_X25_Y25_N28
\led_flash_cnt[2417][6]~60728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2417][6]~60728_combout\ = (\led_flash_cnt[2417][6]~q\ & (!\led_flash_cnt[2417][5]~60727\)) # (!\led_flash_cnt[2417][6]~q\ & ((\led_flash_cnt[2417][5]~60727\) # (GND)))
-- \led_flash_cnt[2417][6]~60729\ = CARRY((!\led_flash_cnt[2417][5]~60727\) # (!\led_flash_cnt[2417][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2417][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2417][5]~60727\,
	combout => \led_flash_cnt[2417][6]~60728_combout\,
	cout => \led_flash_cnt[2417][6]~60729\);

-- Location: FF_X25_Y25_N29
\led_flash_cnt[2417][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2417][6]~60728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2417][6]~q\);

-- Location: LCCOMB_X26_Y29_N2
\WideAnd2417~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2417~1_combout\ = (\led_flash_cnt[2417][5]~q\ & \led_flash_cnt[2417][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2417][5]~q\,
	datad => \led_flash_cnt[2417][6]~q\,
	combout => \WideAnd2417~1_combout\);

-- Location: LCCOMB_X25_Y25_N0
\WideAnd2417~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2417~0_combout\ = (\led_flash_cnt[2417][2]~q\ & (\led_flash_cnt[2417][4]~q\ & (\led_flash_cnt[2417][3]~q\ & \led_flash_cnt[2417][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2417][2]~q\,
	datab => \led_flash_cnt[2417][4]~q\,
	datac => \led_flash_cnt[2417][3]~q\,
	datad => \led_flash_cnt[2417][1]~q\,
	combout => \WideAnd2417~0_combout\);

-- Location: LCCOMB_X25_Y25_N30
\led_flash_cnt[2417][7]~60730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2417][7]~60730_combout\ = \led_flash_cnt[2417][7]~q\ $ (!\led_flash_cnt[2417][6]~60729\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2417][7]~q\,
	cin => \led_flash_cnt[2417][6]~60729\,
	combout => \led_flash_cnt[2417][7]~60730_combout\);

-- Location: FF_X25_Y25_N31
\led_flash_cnt[2417][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2417][7]~60730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2417][7]~q\);

-- Location: LCCOMB_X26_Y29_N10
WideAnd2417 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2417~combout\ = (\led_flash_cnt[2417][0]~q\ & (\WideAnd2417~1_combout\ & (\WideAnd2417~0_combout\ & \led_flash_cnt[2417][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2417][0]~q\,
	datab => \WideAnd2417~1_combout\,
	datac => \WideAnd2417~0_combout\,
	datad => \led_flash_cnt[2417][7]~q\,
	combout => \WideAnd2417~combout\);

-- Location: FF_X26_Y29_N11
\led_flash_cnt_ands[2417]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2417~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2417));

-- Location: LCCOMB_X26_Y31_N8
\led_flash_cnt[2416][0]~83056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2416][0]~83056_combout\ = !\led_flash_cnt[2416][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2416][0]~q\,
	combout => \led_flash_cnt[2416][0]~83056_combout\);

-- Location: FF_X26_Y31_N9
\led_flash_cnt[2416][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2416][0]~83056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2416][0]~q\);

-- Location: LCCOMB_X27_Y31_N2
\led_flash_cnt[2416][1]~60704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2416][1]~60704_combout\ = (\led_flash_cnt[2416][0]~q\ & (\led_flash_cnt[2416][1]~q\ $ (VCC))) # (!\led_flash_cnt[2416][0]~q\ & (\led_flash_cnt[2416][1]~q\ & VCC))
-- \led_flash_cnt[2416][1]~60705\ = CARRY((\led_flash_cnt[2416][0]~q\ & \led_flash_cnt[2416][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2416][0]~q\,
	datab => \led_flash_cnt[2416][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2416][1]~60704_combout\,
	cout => \led_flash_cnt[2416][1]~60705\);

-- Location: FF_X27_Y31_N3
\led_flash_cnt[2416][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2416][1]~60704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2416][1]~q\);

-- Location: LCCOMB_X27_Y31_N4
\led_flash_cnt[2416][2]~60706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2416][2]~60706_combout\ = (\led_flash_cnt[2416][2]~q\ & (!\led_flash_cnt[2416][1]~60705\)) # (!\led_flash_cnt[2416][2]~q\ & ((\led_flash_cnt[2416][1]~60705\) # (GND)))
-- \led_flash_cnt[2416][2]~60707\ = CARRY((!\led_flash_cnt[2416][1]~60705\) # (!\led_flash_cnt[2416][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2416][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2416][1]~60705\,
	combout => \led_flash_cnt[2416][2]~60706_combout\,
	cout => \led_flash_cnt[2416][2]~60707\);

-- Location: FF_X27_Y31_N5
\led_flash_cnt[2416][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2416][2]~60706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2416][2]~q\);

-- Location: LCCOMB_X27_Y31_N6
\led_flash_cnt[2416][3]~60708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2416][3]~60708_combout\ = (\led_flash_cnt[2416][3]~q\ & (\led_flash_cnt[2416][2]~60707\ $ (GND))) # (!\led_flash_cnt[2416][3]~q\ & (!\led_flash_cnt[2416][2]~60707\ & VCC))
-- \led_flash_cnt[2416][3]~60709\ = CARRY((\led_flash_cnt[2416][3]~q\ & !\led_flash_cnt[2416][2]~60707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2416][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2416][2]~60707\,
	combout => \led_flash_cnt[2416][3]~60708_combout\,
	cout => \led_flash_cnt[2416][3]~60709\);

-- Location: FF_X27_Y31_N7
\led_flash_cnt[2416][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2416][3]~60708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2416][3]~q\);

-- Location: LCCOMB_X27_Y31_N8
\led_flash_cnt[2416][4]~60710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2416][4]~60710_combout\ = (\led_flash_cnt[2416][4]~q\ & (!\led_flash_cnt[2416][3]~60709\)) # (!\led_flash_cnt[2416][4]~q\ & ((\led_flash_cnt[2416][3]~60709\) # (GND)))
-- \led_flash_cnt[2416][4]~60711\ = CARRY((!\led_flash_cnt[2416][3]~60709\) # (!\led_flash_cnt[2416][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2416][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2416][3]~60709\,
	combout => \led_flash_cnt[2416][4]~60710_combout\,
	cout => \led_flash_cnt[2416][4]~60711\);

-- Location: FF_X27_Y31_N9
\led_flash_cnt[2416][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2416][4]~60710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2416][4]~q\);

-- Location: LCCOMB_X27_Y31_N30
\WideAnd2416~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2416~0_combout\ = (\led_flash_cnt[2416][3]~q\ & (\led_flash_cnt[2416][4]~q\ & (\led_flash_cnt[2416][2]~q\ & \led_flash_cnt[2416][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2416][3]~q\,
	datab => \led_flash_cnt[2416][4]~q\,
	datac => \led_flash_cnt[2416][2]~q\,
	datad => \led_flash_cnt[2416][1]~q\,
	combout => \WideAnd2416~0_combout\);

-- Location: LCCOMB_X27_Y31_N10
\led_flash_cnt[2416][5]~60712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2416][5]~60712_combout\ = (\led_flash_cnt[2416][5]~q\ & (\led_flash_cnt[2416][4]~60711\ $ (GND))) # (!\led_flash_cnt[2416][5]~q\ & (!\led_flash_cnt[2416][4]~60711\ & VCC))
-- \led_flash_cnt[2416][5]~60713\ = CARRY((\led_flash_cnt[2416][5]~q\ & !\led_flash_cnt[2416][4]~60711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2416][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2416][4]~60711\,
	combout => \led_flash_cnt[2416][5]~60712_combout\,
	cout => \led_flash_cnt[2416][5]~60713\);

-- Location: FF_X27_Y31_N11
\led_flash_cnt[2416][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2416][5]~60712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2416][5]~q\);

-- Location: LCCOMB_X27_Y31_N12
\led_flash_cnt[2416][6]~60714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2416][6]~60714_combout\ = (\led_flash_cnt[2416][6]~q\ & (!\led_flash_cnt[2416][5]~60713\)) # (!\led_flash_cnt[2416][6]~q\ & ((\led_flash_cnt[2416][5]~60713\) # (GND)))
-- \led_flash_cnt[2416][6]~60715\ = CARRY((!\led_flash_cnt[2416][5]~60713\) # (!\led_flash_cnt[2416][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2416][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2416][5]~60713\,
	combout => \led_flash_cnt[2416][6]~60714_combout\,
	cout => \led_flash_cnt[2416][6]~60715\);

-- Location: FF_X27_Y31_N13
\led_flash_cnt[2416][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2416][6]~60714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2416][6]~q\);

-- Location: LCCOMB_X27_Y31_N14
\led_flash_cnt[2416][7]~60716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2416][7]~60716_combout\ = \led_flash_cnt[2416][7]~q\ $ (!\led_flash_cnt[2416][6]~60715\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2416][7]~q\,
	cin => \led_flash_cnt[2416][6]~60715\,
	combout => \led_flash_cnt[2416][7]~60716_combout\);

-- Location: FF_X27_Y31_N15
\led_flash_cnt[2416][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2416][7]~60716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2416][7]~q\);

-- Location: LCCOMB_X26_Y31_N10
\WideAnd2416~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2416~1_combout\ = (\led_flash_cnt[2416][6]~q\ & \led_flash_cnt[2416][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2416][6]~q\,
	datad => \led_flash_cnt[2416][5]~q\,
	combout => \WideAnd2416~1_combout\);

-- Location: LCCOMB_X26_Y31_N0
WideAnd2416 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2416~combout\ = (\WideAnd2416~0_combout\ & (\led_flash_cnt[2416][0]~q\ & (\led_flash_cnt[2416][7]~q\ & \WideAnd2416~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2416~0_combout\,
	datab => \led_flash_cnt[2416][0]~q\,
	datac => \led_flash_cnt[2416][7]~q\,
	datad => \WideAnd2416~1_combout\,
	combout => \WideAnd2416~combout\);

-- Location: FF_X26_Y31_N1
\led_flash_cnt_ands[2416]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2416~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2416));

-- Location: LCCOMB_X26_Y31_N14
\WideAnd4142~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4142~0_combout\ = (led_flash_cnt_ands(2418) & (led_flash_cnt_ands(2419) & (led_flash_cnt_ands(2417) & led_flash_cnt_ands(2416))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2418),
	datab => led_flash_cnt_ands(2419),
	datac => led_flash_cnt_ands(2417),
	datad => led_flash_cnt_ands(2416),
	combout => \WideAnd4142~0_combout\);

-- Location: LCCOMB_X46_Y52_N2
\led_flash_cnt[2421][0]~83061\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2421][0]~83061_combout\ = !\led_flash_cnt[2421][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2421][0]~q\,
	combout => \led_flash_cnt[2421][0]~83061_combout\);

-- Location: FF_X46_Y52_N3
\led_flash_cnt[2421][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2421][0]~83061_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2421][0]~q\);

-- Location: LCCOMB_X45_Y52_N16
\led_flash_cnt[2421][1]~60774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2421][1]~60774_combout\ = (\led_flash_cnt[2421][0]~q\ & (\led_flash_cnt[2421][1]~q\ $ (VCC))) # (!\led_flash_cnt[2421][0]~q\ & (\led_flash_cnt[2421][1]~q\ & VCC))
-- \led_flash_cnt[2421][1]~60775\ = CARRY((\led_flash_cnt[2421][0]~q\ & \led_flash_cnt[2421][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2421][0]~q\,
	datab => \led_flash_cnt[2421][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2421][1]~60774_combout\,
	cout => \led_flash_cnt[2421][1]~60775\);

-- Location: FF_X45_Y52_N17
\led_flash_cnt[2421][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2421][1]~60774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2421][1]~q\);

-- Location: LCCOMB_X45_Y52_N18
\led_flash_cnt[2421][2]~60776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2421][2]~60776_combout\ = (\led_flash_cnt[2421][2]~q\ & (!\led_flash_cnt[2421][1]~60775\)) # (!\led_flash_cnt[2421][2]~q\ & ((\led_flash_cnt[2421][1]~60775\) # (GND)))
-- \led_flash_cnt[2421][2]~60777\ = CARRY((!\led_flash_cnt[2421][1]~60775\) # (!\led_flash_cnt[2421][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2421][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2421][1]~60775\,
	combout => \led_flash_cnt[2421][2]~60776_combout\,
	cout => \led_flash_cnt[2421][2]~60777\);

-- Location: FF_X45_Y52_N19
\led_flash_cnt[2421][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2421][2]~60776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2421][2]~q\);

-- Location: LCCOMB_X45_Y52_N20
\led_flash_cnt[2421][3]~60778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2421][3]~60778_combout\ = (\led_flash_cnt[2421][3]~q\ & (\led_flash_cnt[2421][2]~60777\ $ (GND))) # (!\led_flash_cnt[2421][3]~q\ & (!\led_flash_cnt[2421][2]~60777\ & VCC))
-- \led_flash_cnt[2421][3]~60779\ = CARRY((\led_flash_cnt[2421][3]~q\ & !\led_flash_cnt[2421][2]~60777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2421][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2421][2]~60777\,
	combout => \led_flash_cnt[2421][3]~60778_combout\,
	cout => \led_flash_cnt[2421][3]~60779\);

-- Location: FF_X45_Y52_N21
\led_flash_cnt[2421][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2421][3]~60778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2421][3]~q\);

-- Location: LCCOMB_X45_Y52_N22
\led_flash_cnt[2421][4]~60780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2421][4]~60780_combout\ = (\led_flash_cnt[2421][4]~q\ & (!\led_flash_cnt[2421][3]~60779\)) # (!\led_flash_cnt[2421][4]~q\ & ((\led_flash_cnt[2421][3]~60779\) # (GND)))
-- \led_flash_cnt[2421][4]~60781\ = CARRY((!\led_flash_cnt[2421][3]~60779\) # (!\led_flash_cnt[2421][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2421][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2421][3]~60779\,
	combout => \led_flash_cnt[2421][4]~60780_combout\,
	cout => \led_flash_cnt[2421][4]~60781\);

-- Location: FF_X45_Y52_N23
\led_flash_cnt[2421][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2421][4]~60780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2421][4]~q\);

-- Location: LCCOMB_X45_Y52_N14
\WideAnd2421~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2421~0_combout\ = (\led_flash_cnt[2421][2]~q\ & (\led_flash_cnt[2421][1]~q\ & (\led_flash_cnt[2421][4]~q\ & \led_flash_cnt[2421][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2421][2]~q\,
	datab => \led_flash_cnt[2421][1]~q\,
	datac => \led_flash_cnt[2421][4]~q\,
	datad => \led_flash_cnt[2421][3]~q\,
	combout => \WideAnd2421~0_combout\);

-- Location: LCCOMB_X45_Y52_N24
\led_flash_cnt[2421][5]~60782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2421][5]~60782_combout\ = (\led_flash_cnt[2421][5]~q\ & (\led_flash_cnt[2421][4]~60781\ $ (GND))) # (!\led_flash_cnt[2421][5]~q\ & (!\led_flash_cnt[2421][4]~60781\ & VCC))
-- \led_flash_cnt[2421][5]~60783\ = CARRY((\led_flash_cnt[2421][5]~q\ & !\led_flash_cnt[2421][4]~60781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2421][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2421][4]~60781\,
	combout => \led_flash_cnt[2421][5]~60782_combout\,
	cout => \led_flash_cnt[2421][5]~60783\);

-- Location: FF_X45_Y52_N25
\led_flash_cnt[2421][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2421][5]~60782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2421][5]~q\);

-- Location: LCCOMB_X45_Y52_N26
\led_flash_cnt[2421][6]~60784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2421][6]~60784_combout\ = (\led_flash_cnt[2421][6]~q\ & (!\led_flash_cnt[2421][5]~60783\)) # (!\led_flash_cnt[2421][6]~q\ & ((\led_flash_cnt[2421][5]~60783\) # (GND)))
-- \led_flash_cnt[2421][6]~60785\ = CARRY((!\led_flash_cnt[2421][5]~60783\) # (!\led_flash_cnt[2421][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2421][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2421][5]~60783\,
	combout => \led_flash_cnt[2421][6]~60784_combout\,
	cout => \led_flash_cnt[2421][6]~60785\);

-- Location: FF_X45_Y52_N27
\led_flash_cnt[2421][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2421][6]~60784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2421][6]~q\);

-- Location: LCCOMB_X45_Y52_N28
\led_flash_cnt[2421][7]~60786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2421][7]~60786_combout\ = \led_flash_cnt[2421][6]~60785\ $ (!\led_flash_cnt[2421][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2421][7]~q\,
	cin => \led_flash_cnt[2421][6]~60785\,
	combout => \led_flash_cnt[2421][7]~60786_combout\);

-- Location: FF_X45_Y52_N29
\led_flash_cnt[2421][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2421][7]~60786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2421][7]~q\);

-- Location: LCCOMB_X49_Y52_N8
\WideAnd2421~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2421~1_combout\ = (\led_flash_cnt[2421][6]~q\ & \led_flash_cnt[2421][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2421][6]~q\,
	datac => \led_flash_cnt[2421][5]~q\,
	combout => \WideAnd2421~1_combout\);

-- Location: LCCOMB_X46_Y52_N4
WideAnd2421 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2421~combout\ = (\WideAnd2421~0_combout\ & (\led_flash_cnt[2421][7]~q\ & (\WideAnd2421~1_combout\ & \led_flash_cnt[2421][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2421~0_combout\,
	datab => \led_flash_cnt[2421][7]~q\,
	datac => \WideAnd2421~1_combout\,
	datad => \led_flash_cnt[2421][0]~q\,
	combout => \WideAnd2421~combout\);

-- Location: FF_X46_Y52_N5
\led_flash_cnt_ands[2421]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2421~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2421));

-- Location: LCCOMB_X29_Y29_N14
\led_flash_cnt[2420][0]~83060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2420][0]~83060_combout\ = !\led_flash_cnt[2420][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2420][0]~q\,
	combout => \led_flash_cnt[2420][0]~83060_combout\);

-- Location: FF_X29_Y29_N15
\led_flash_cnt[2420][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2420][0]~83060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2420][0]~q\);

-- Location: LCCOMB_X29_Y27_N16
\led_flash_cnt[2420][1]~60760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2420][1]~60760_combout\ = (\led_flash_cnt[2420][0]~q\ & (\led_flash_cnt[2420][1]~q\ $ (VCC))) # (!\led_flash_cnt[2420][0]~q\ & (\led_flash_cnt[2420][1]~q\ & VCC))
-- \led_flash_cnt[2420][1]~60761\ = CARRY((\led_flash_cnt[2420][0]~q\ & \led_flash_cnt[2420][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2420][0]~q\,
	datab => \led_flash_cnt[2420][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2420][1]~60760_combout\,
	cout => \led_flash_cnt[2420][1]~60761\);

-- Location: FF_X29_Y27_N17
\led_flash_cnt[2420][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2420][1]~60760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2420][1]~q\);

-- Location: LCCOMB_X29_Y27_N18
\led_flash_cnt[2420][2]~60762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2420][2]~60762_combout\ = (\led_flash_cnt[2420][2]~q\ & (!\led_flash_cnt[2420][1]~60761\)) # (!\led_flash_cnt[2420][2]~q\ & ((\led_flash_cnt[2420][1]~60761\) # (GND)))
-- \led_flash_cnt[2420][2]~60763\ = CARRY((!\led_flash_cnt[2420][1]~60761\) # (!\led_flash_cnt[2420][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2420][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2420][1]~60761\,
	combout => \led_flash_cnt[2420][2]~60762_combout\,
	cout => \led_flash_cnt[2420][2]~60763\);

-- Location: FF_X29_Y27_N19
\led_flash_cnt[2420][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2420][2]~60762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2420][2]~q\);

-- Location: LCCOMB_X29_Y27_N20
\led_flash_cnt[2420][3]~60764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2420][3]~60764_combout\ = (\led_flash_cnt[2420][3]~q\ & (\led_flash_cnt[2420][2]~60763\ $ (GND))) # (!\led_flash_cnt[2420][3]~q\ & (!\led_flash_cnt[2420][2]~60763\ & VCC))
-- \led_flash_cnt[2420][3]~60765\ = CARRY((\led_flash_cnt[2420][3]~q\ & !\led_flash_cnt[2420][2]~60763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2420][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2420][2]~60763\,
	combout => \led_flash_cnt[2420][3]~60764_combout\,
	cout => \led_flash_cnt[2420][3]~60765\);

-- Location: FF_X29_Y27_N21
\led_flash_cnt[2420][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2420][3]~60764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2420][3]~q\);

-- Location: LCCOMB_X29_Y27_N22
\led_flash_cnt[2420][4]~60766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2420][4]~60766_combout\ = (\led_flash_cnt[2420][4]~q\ & (!\led_flash_cnt[2420][3]~60765\)) # (!\led_flash_cnt[2420][4]~q\ & ((\led_flash_cnt[2420][3]~60765\) # (GND)))
-- \led_flash_cnt[2420][4]~60767\ = CARRY((!\led_flash_cnt[2420][3]~60765\) # (!\led_flash_cnt[2420][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2420][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2420][3]~60765\,
	combout => \led_flash_cnt[2420][4]~60766_combout\,
	cout => \led_flash_cnt[2420][4]~60767\);

-- Location: FF_X29_Y27_N23
\led_flash_cnt[2420][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2420][4]~60766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2420][4]~q\);

-- Location: LCCOMB_X29_Y27_N24
\led_flash_cnt[2420][5]~60768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2420][5]~60768_combout\ = (\led_flash_cnt[2420][5]~q\ & (\led_flash_cnt[2420][4]~60767\ $ (GND))) # (!\led_flash_cnt[2420][5]~q\ & (!\led_flash_cnt[2420][4]~60767\ & VCC))
-- \led_flash_cnt[2420][5]~60769\ = CARRY((\led_flash_cnt[2420][5]~q\ & !\led_flash_cnt[2420][4]~60767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2420][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2420][4]~60767\,
	combout => \led_flash_cnt[2420][5]~60768_combout\,
	cout => \led_flash_cnt[2420][5]~60769\);

-- Location: FF_X29_Y27_N25
\led_flash_cnt[2420][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2420][5]~60768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2420][5]~q\);

-- Location: LCCOMB_X29_Y27_N26
\led_flash_cnt[2420][6]~60770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2420][6]~60770_combout\ = (\led_flash_cnt[2420][6]~q\ & (!\led_flash_cnt[2420][5]~60769\)) # (!\led_flash_cnt[2420][6]~q\ & ((\led_flash_cnt[2420][5]~60769\) # (GND)))
-- \led_flash_cnt[2420][6]~60771\ = CARRY((!\led_flash_cnt[2420][5]~60769\) # (!\led_flash_cnt[2420][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2420][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2420][5]~60769\,
	combout => \led_flash_cnt[2420][6]~60770_combout\,
	cout => \led_flash_cnt[2420][6]~60771\);

-- Location: FF_X29_Y27_N27
\led_flash_cnt[2420][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2420][6]~60770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2420][6]~q\);

-- Location: LCCOMB_X29_Y27_N28
\led_flash_cnt[2420][7]~60772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2420][7]~60772_combout\ = \led_flash_cnt[2420][6]~60771\ $ (!\led_flash_cnt[2420][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2420][7]~q\,
	cin => \led_flash_cnt[2420][6]~60771\,
	combout => \led_flash_cnt[2420][7]~60772_combout\);

-- Location: FF_X29_Y27_N29
\led_flash_cnt[2420][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2420][7]~60772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2420][7]~q\);

-- Location: LCCOMB_X29_Y29_N8
\WideAnd2420~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2420~1_combout\ = (\led_flash_cnt[2420][6]~q\ & \led_flash_cnt[2420][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2420][6]~q\,
	datad => \led_flash_cnt[2420][5]~q\,
	combout => \WideAnd2420~1_combout\);

-- Location: LCCOMB_X29_Y27_N0
\WideAnd2420~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2420~0_combout\ = (\led_flash_cnt[2420][1]~q\ & (\led_flash_cnt[2420][2]~q\ & (\led_flash_cnt[2420][4]~q\ & \led_flash_cnt[2420][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2420][1]~q\,
	datab => \led_flash_cnt[2420][2]~q\,
	datac => \led_flash_cnt[2420][4]~q\,
	datad => \led_flash_cnt[2420][3]~q\,
	combout => \WideAnd2420~0_combout\);

-- Location: LCCOMB_X29_Y29_N2
WideAnd2420 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2420~combout\ = (\led_flash_cnt[2420][7]~q\ & (\WideAnd2420~1_combout\ & (\led_flash_cnt[2420][0]~q\ & \WideAnd2420~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2420][7]~q\,
	datab => \WideAnd2420~1_combout\,
	datac => \led_flash_cnt[2420][0]~q\,
	datad => \WideAnd2420~0_combout\,
	combout => \WideAnd2420~combout\);

-- Location: FF_X29_Y29_N3
\led_flash_cnt_ands[2420]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2420~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2420));

-- Location: LCCOMB_X29_Y29_N0
\WideAnd4142~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4142~1_combout\ = (led_flash_cnt_ands(2421) & led_flash_cnt_ands(2420))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2421),
	datad => led_flash_cnt_ands(2420),
	combout => \WideAnd4142~1_combout\);

-- Location: LCCOMB_X29_Y29_N30
WideAnd4142 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4142~combout\ = (led_flash_cnt_ands(2423) & (led_flash_cnt_ands(2422) & (\WideAnd4142~0_combout\ & \WideAnd4142~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2423),
	datab => led_flash_cnt_ands(2422),
	datac => \WideAnd4142~0_combout\,
	datad => \WideAnd4142~1_combout\,
	combout => \WideAnd4142~combout\);

-- Location: FF_X29_Y29_N31
\led_flash_cnt_ands_1[302]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4142~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(302));

-- Location: LCCOMB_X25_Y10_N18
\led_flash_cnt[2384][0]~83024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2384][0]~83024_combout\ = !\led_flash_cnt[2384][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2384][0]~q\,
	combout => \led_flash_cnt[2384][0]~83024_combout\);

-- Location: FF_X25_Y10_N19
\led_flash_cnt[2384][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2384][0]~83024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2384][0]~q\);

-- Location: LCCOMB_X26_Y10_N16
\led_flash_cnt[2384][1]~60256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2384][1]~60256_combout\ = (\led_flash_cnt[2384][0]~q\ & (\led_flash_cnt[2384][1]~q\ $ (VCC))) # (!\led_flash_cnt[2384][0]~q\ & (\led_flash_cnt[2384][1]~q\ & VCC))
-- \led_flash_cnt[2384][1]~60257\ = CARRY((\led_flash_cnt[2384][0]~q\ & \led_flash_cnt[2384][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2384][0]~q\,
	datab => \led_flash_cnt[2384][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2384][1]~60256_combout\,
	cout => \led_flash_cnt[2384][1]~60257\);

-- Location: FF_X26_Y10_N17
\led_flash_cnt[2384][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2384][1]~60256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2384][1]~q\);

-- Location: LCCOMB_X26_Y10_N18
\led_flash_cnt[2384][2]~60258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2384][2]~60258_combout\ = (\led_flash_cnt[2384][2]~q\ & (!\led_flash_cnt[2384][1]~60257\)) # (!\led_flash_cnt[2384][2]~q\ & ((\led_flash_cnt[2384][1]~60257\) # (GND)))
-- \led_flash_cnt[2384][2]~60259\ = CARRY((!\led_flash_cnt[2384][1]~60257\) # (!\led_flash_cnt[2384][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2384][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2384][1]~60257\,
	combout => \led_flash_cnt[2384][2]~60258_combout\,
	cout => \led_flash_cnt[2384][2]~60259\);

-- Location: FF_X26_Y10_N19
\led_flash_cnt[2384][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2384][2]~60258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2384][2]~q\);

-- Location: LCCOMB_X26_Y10_N20
\led_flash_cnt[2384][3]~60260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2384][3]~60260_combout\ = (\led_flash_cnt[2384][3]~q\ & (\led_flash_cnt[2384][2]~60259\ $ (GND))) # (!\led_flash_cnt[2384][3]~q\ & (!\led_flash_cnt[2384][2]~60259\ & VCC))
-- \led_flash_cnt[2384][3]~60261\ = CARRY((\led_flash_cnt[2384][3]~q\ & !\led_flash_cnt[2384][2]~60259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2384][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2384][2]~60259\,
	combout => \led_flash_cnt[2384][3]~60260_combout\,
	cout => \led_flash_cnt[2384][3]~60261\);

-- Location: FF_X26_Y10_N21
\led_flash_cnt[2384][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2384][3]~60260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2384][3]~q\);

-- Location: LCCOMB_X26_Y10_N22
\led_flash_cnt[2384][4]~60262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2384][4]~60262_combout\ = (\led_flash_cnt[2384][4]~q\ & (!\led_flash_cnt[2384][3]~60261\)) # (!\led_flash_cnt[2384][4]~q\ & ((\led_flash_cnt[2384][3]~60261\) # (GND)))
-- \led_flash_cnt[2384][4]~60263\ = CARRY((!\led_flash_cnt[2384][3]~60261\) # (!\led_flash_cnt[2384][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2384][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2384][3]~60261\,
	combout => \led_flash_cnt[2384][4]~60262_combout\,
	cout => \led_flash_cnt[2384][4]~60263\);

-- Location: FF_X26_Y10_N23
\led_flash_cnt[2384][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2384][4]~60262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2384][4]~q\);

-- Location: LCCOMB_X26_Y10_N30
\WideAnd2384~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2384~0_combout\ = (\led_flash_cnt[2384][2]~q\ & (\led_flash_cnt[2384][3]~q\ & (\led_flash_cnt[2384][4]~q\ & \led_flash_cnt[2384][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2384][2]~q\,
	datab => \led_flash_cnt[2384][3]~q\,
	datac => \led_flash_cnt[2384][4]~q\,
	datad => \led_flash_cnt[2384][1]~q\,
	combout => \WideAnd2384~0_combout\);

-- Location: LCCOMB_X26_Y10_N24
\led_flash_cnt[2384][5]~60264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2384][5]~60264_combout\ = (\led_flash_cnt[2384][5]~q\ & (\led_flash_cnt[2384][4]~60263\ $ (GND))) # (!\led_flash_cnt[2384][5]~q\ & (!\led_flash_cnt[2384][4]~60263\ & VCC))
-- \led_flash_cnt[2384][5]~60265\ = CARRY((\led_flash_cnt[2384][5]~q\ & !\led_flash_cnt[2384][4]~60263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2384][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2384][4]~60263\,
	combout => \led_flash_cnt[2384][5]~60264_combout\,
	cout => \led_flash_cnt[2384][5]~60265\);

-- Location: FF_X26_Y10_N25
\led_flash_cnt[2384][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2384][5]~60264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2384][5]~q\);

-- Location: LCCOMB_X26_Y10_N26
\led_flash_cnt[2384][6]~60266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2384][6]~60266_combout\ = (\led_flash_cnt[2384][6]~q\ & (!\led_flash_cnt[2384][5]~60265\)) # (!\led_flash_cnt[2384][6]~q\ & ((\led_flash_cnt[2384][5]~60265\) # (GND)))
-- \led_flash_cnt[2384][6]~60267\ = CARRY((!\led_flash_cnt[2384][5]~60265\) # (!\led_flash_cnt[2384][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2384][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2384][5]~60265\,
	combout => \led_flash_cnt[2384][6]~60266_combout\,
	cout => \led_flash_cnt[2384][6]~60267\);

-- Location: FF_X26_Y10_N27
\led_flash_cnt[2384][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2384][6]~60266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2384][6]~q\);

-- Location: LCCOMB_X25_Y10_N26
\WideAnd2384~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2384~1_combout\ = (\led_flash_cnt[2384][6]~q\ & \led_flash_cnt[2384][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2384][6]~q\,
	datad => \led_flash_cnt[2384][5]~q\,
	combout => \WideAnd2384~1_combout\);

-- Location: LCCOMB_X26_Y10_N28
\led_flash_cnt[2384][7]~60268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2384][7]~60268_combout\ = \led_flash_cnt[2384][6]~60267\ $ (!\led_flash_cnt[2384][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2384][7]~q\,
	cin => \led_flash_cnt[2384][6]~60267\,
	combout => \led_flash_cnt[2384][7]~60268_combout\);

-- Location: FF_X26_Y10_N29
\led_flash_cnt[2384][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2384][7]~60268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2384][7]~q\);

-- Location: LCCOMB_X25_Y10_N24
WideAnd2384 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2384~combout\ = (\WideAnd2384~0_combout\ & (\led_flash_cnt[2384][0]~q\ & (\WideAnd2384~1_combout\ & \led_flash_cnt[2384][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2384~0_combout\,
	datab => \led_flash_cnt[2384][0]~q\,
	datac => \WideAnd2384~1_combout\,
	datad => \led_flash_cnt[2384][7]~q\,
	combout => \WideAnd2384~combout\);

-- Location: FF_X25_Y10_N25
\led_flash_cnt_ands[2384]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2384~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2384));

-- Location: LCCOMB_X31_Y15_N20
\led_flash_cnt[2385][0]~83025\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2385][0]~83025_combout\ = !\led_flash_cnt[2385][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2385][0]~q\,
	combout => \led_flash_cnt[2385][0]~83025_combout\);

-- Location: FF_X31_Y15_N21
\led_flash_cnt[2385][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2385][0]~83025_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2385][0]~q\);

-- Location: LCCOMB_X30_Y15_N18
\led_flash_cnt[2385][1]~60270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2385][1]~60270_combout\ = (\led_flash_cnt[2385][0]~q\ & (\led_flash_cnt[2385][1]~q\ $ (VCC))) # (!\led_flash_cnt[2385][0]~q\ & (\led_flash_cnt[2385][1]~q\ & VCC))
-- \led_flash_cnt[2385][1]~60271\ = CARRY((\led_flash_cnt[2385][0]~q\ & \led_flash_cnt[2385][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2385][0]~q\,
	datab => \led_flash_cnt[2385][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2385][1]~60270_combout\,
	cout => \led_flash_cnt[2385][1]~60271\);

-- Location: FF_X30_Y15_N19
\led_flash_cnt[2385][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2385][1]~60270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2385][1]~q\);

-- Location: LCCOMB_X30_Y15_N20
\led_flash_cnt[2385][2]~60272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2385][2]~60272_combout\ = (\led_flash_cnt[2385][2]~q\ & (!\led_flash_cnt[2385][1]~60271\)) # (!\led_flash_cnt[2385][2]~q\ & ((\led_flash_cnt[2385][1]~60271\) # (GND)))
-- \led_flash_cnt[2385][2]~60273\ = CARRY((!\led_flash_cnt[2385][1]~60271\) # (!\led_flash_cnt[2385][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2385][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2385][1]~60271\,
	combout => \led_flash_cnt[2385][2]~60272_combout\,
	cout => \led_flash_cnt[2385][2]~60273\);

-- Location: FF_X30_Y15_N21
\led_flash_cnt[2385][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2385][2]~60272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2385][2]~q\);

-- Location: LCCOMB_X30_Y15_N22
\led_flash_cnt[2385][3]~60274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2385][3]~60274_combout\ = (\led_flash_cnt[2385][3]~q\ & (\led_flash_cnt[2385][2]~60273\ $ (GND))) # (!\led_flash_cnt[2385][3]~q\ & (!\led_flash_cnt[2385][2]~60273\ & VCC))
-- \led_flash_cnt[2385][3]~60275\ = CARRY((\led_flash_cnt[2385][3]~q\ & !\led_flash_cnt[2385][2]~60273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2385][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2385][2]~60273\,
	combout => \led_flash_cnt[2385][3]~60274_combout\,
	cout => \led_flash_cnt[2385][3]~60275\);

-- Location: FF_X30_Y15_N23
\led_flash_cnt[2385][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2385][3]~60274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2385][3]~q\);

-- Location: LCCOMB_X30_Y15_N24
\led_flash_cnt[2385][4]~60276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2385][4]~60276_combout\ = (\led_flash_cnt[2385][4]~q\ & (!\led_flash_cnt[2385][3]~60275\)) # (!\led_flash_cnt[2385][4]~q\ & ((\led_flash_cnt[2385][3]~60275\) # (GND)))
-- \led_flash_cnt[2385][4]~60277\ = CARRY((!\led_flash_cnt[2385][3]~60275\) # (!\led_flash_cnt[2385][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2385][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2385][3]~60275\,
	combout => \led_flash_cnt[2385][4]~60276_combout\,
	cout => \led_flash_cnt[2385][4]~60277\);

-- Location: FF_X30_Y15_N25
\led_flash_cnt[2385][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2385][4]~60276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2385][4]~q\);

-- Location: LCCOMB_X30_Y15_N14
\WideAnd2385~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2385~0_combout\ = (\led_flash_cnt[2385][2]~q\ & (\led_flash_cnt[2385][1]~q\ & (\led_flash_cnt[2385][3]~q\ & \led_flash_cnt[2385][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2385][2]~q\,
	datab => \led_flash_cnt[2385][1]~q\,
	datac => \led_flash_cnt[2385][3]~q\,
	datad => \led_flash_cnt[2385][4]~q\,
	combout => \WideAnd2385~0_combout\);

-- Location: LCCOMB_X30_Y15_N26
\led_flash_cnt[2385][5]~60278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2385][5]~60278_combout\ = (\led_flash_cnt[2385][5]~q\ & (\led_flash_cnt[2385][4]~60277\ $ (GND))) # (!\led_flash_cnt[2385][5]~q\ & (!\led_flash_cnt[2385][4]~60277\ & VCC))
-- \led_flash_cnt[2385][5]~60279\ = CARRY((\led_flash_cnt[2385][5]~q\ & !\led_flash_cnt[2385][4]~60277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2385][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2385][4]~60277\,
	combout => \led_flash_cnt[2385][5]~60278_combout\,
	cout => \led_flash_cnt[2385][5]~60279\);

-- Location: FF_X30_Y15_N27
\led_flash_cnt[2385][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2385][5]~60278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2385][5]~q\);

-- Location: LCCOMB_X30_Y15_N28
\led_flash_cnt[2385][6]~60280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2385][6]~60280_combout\ = (\led_flash_cnt[2385][6]~q\ & (!\led_flash_cnt[2385][5]~60279\)) # (!\led_flash_cnt[2385][6]~q\ & ((\led_flash_cnt[2385][5]~60279\) # (GND)))
-- \led_flash_cnt[2385][6]~60281\ = CARRY((!\led_flash_cnt[2385][5]~60279\) # (!\led_flash_cnt[2385][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2385][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2385][5]~60279\,
	combout => \led_flash_cnt[2385][6]~60280_combout\,
	cout => \led_flash_cnt[2385][6]~60281\);

-- Location: FF_X30_Y15_N29
\led_flash_cnt[2385][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2385][6]~60280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2385][6]~q\);

-- Location: LCCOMB_X30_Y15_N30
\led_flash_cnt[2385][7]~60282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2385][7]~60282_combout\ = \led_flash_cnt[2385][7]~q\ $ (!\led_flash_cnt[2385][6]~60281\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2385][7]~q\,
	cin => \led_flash_cnt[2385][6]~60281\,
	combout => \led_flash_cnt[2385][7]~60282_combout\);

-- Location: FF_X30_Y15_N31
\led_flash_cnt[2385][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2385][7]~60282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2385][7]~q\);

-- Location: LCCOMB_X31_Y15_N30
\WideAnd2385~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2385~1_combout\ = (\led_flash_cnt[2385][5]~q\ & \led_flash_cnt[2385][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2385][5]~q\,
	datad => \led_flash_cnt[2385][6]~q\,
	combout => \WideAnd2385~1_combout\);

-- Location: LCCOMB_X31_Y15_N22
WideAnd2385 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2385~combout\ = (\WideAnd2385~0_combout\ & (\led_flash_cnt[2385][7]~q\ & (\WideAnd2385~1_combout\ & \led_flash_cnt[2385][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2385~0_combout\,
	datab => \led_flash_cnt[2385][7]~q\,
	datac => \WideAnd2385~1_combout\,
	datad => \led_flash_cnt[2385][0]~q\,
	combout => \WideAnd2385~combout\);

-- Location: FF_X31_Y15_N23
\led_flash_cnt_ands[2385]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2385~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2385));

-- Location: LCCOMB_X29_Y13_N10
\led_flash_cnt[2386][0]~83026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2386][0]~83026_combout\ = !\led_flash_cnt[2386][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2386][0]~q\,
	combout => \led_flash_cnt[2386][0]~83026_combout\);

-- Location: FF_X29_Y13_N11
\led_flash_cnt[2386][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2386][0]~83026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2386][0]~q\);

-- Location: LCCOMB_X27_Y9_N18
\led_flash_cnt[2386][1]~60284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2386][1]~60284_combout\ = (\led_flash_cnt[2386][0]~q\ & (\led_flash_cnt[2386][1]~q\ $ (VCC))) # (!\led_flash_cnt[2386][0]~q\ & (\led_flash_cnt[2386][1]~q\ & VCC))
-- \led_flash_cnt[2386][1]~60285\ = CARRY((\led_flash_cnt[2386][0]~q\ & \led_flash_cnt[2386][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2386][0]~q\,
	datab => \led_flash_cnt[2386][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2386][1]~60284_combout\,
	cout => \led_flash_cnt[2386][1]~60285\);

-- Location: FF_X27_Y9_N19
\led_flash_cnt[2386][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2386][1]~60284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2386][1]~q\);

-- Location: LCCOMB_X27_Y9_N20
\led_flash_cnt[2386][2]~60286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2386][2]~60286_combout\ = (\led_flash_cnt[2386][2]~q\ & (!\led_flash_cnt[2386][1]~60285\)) # (!\led_flash_cnt[2386][2]~q\ & ((\led_flash_cnt[2386][1]~60285\) # (GND)))
-- \led_flash_cnt[2386][2]~60287\ = CARRY((!\led_flash_cnt[2386][1]~60285\) # (!\led_flash_cnt[2386][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2386][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2386][1]~60285\,
	combout => \led_flash_cnt[2386][2]~60286_combout\,
	cout => \led_flash_cnt[2386][2]~60287\);

-- Location: FF_X27_Y9_N21
\led_flash_cnt[2386][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2386][2]~60286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2386][2]~q\);

-- Location: LCCOMB_X27_Y9_N22
\led_flash_cnt[2386][3]~60288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2386][3]~60288_combout\ = (\led_flash_cnt[2386][3]~q\ & (\led_flash_cnt[2386][2]~60287\ $ (GND))) # (!\led_flash_cnt[2386][3]~q\ & (!\led_flash_cnt[2386][2]~60287\ & VCC))
-- \led_flash_cnt[2386][3]~60289\ = CARRY((\led_flash_cnt[2386][3]~q\ & !\led_flash_cnt[2386][2]~60287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2386][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2386][2]~60287\,
	combout => \led_flash_cnt[2386][3]~60288_combout\,
	cout => \led_flash_cnt[2386][3]~60289\);

-- Location: FF_X27_Y9_N23
\led_flash_cnt[2386][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2386][3]~60288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2386][3]~q\);

-- Location: LCCOMB_X27_Y9_N24
\led_flash_cnt[2386][4]~60290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2386][4]~60290_combout\ = (\led_flash_cnt[2386][4]~q\ & (!\led_flash_cnt[2386][3]~60289\)) # (!\led_flash_cnt[2386][4]~q\ & ((\led_flash_cnt[2386][3]~60289\) # (GND)))
-- \led_flash_cnt[2386][4]~60291\ = CARRY((!\led_flash_cnt[2386][3]~60289\) # (!\led_flash_cnt[2386][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2386][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2386][3]~60289\,
	combout => \led_flash_cnt[2386][4]~60290_combout\,
	cout => \led_flash_cnt[2386][4]~60291\);

-- Location: FF_X27_Y9_N25
\led_flash_cnt[2386][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2386][4]~60290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2386][4]~q\);

-- Location: LCCOMB_X27_Y9_N16
\WideAnd2386~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2386~0_combout\ = (\led_flash_cnt[2386][1]~q\ & (\led_flash_cnt[2386][4]~q\ & (\led_flash_cnt[2386][3]~q\ & \led_flash_cnt[2386][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2386][1]~q\,
	datab => \led_flash_cnt[2386][4]~q\,
	datac => \led_flash_cnt[2386][3]~q\,
	datad => \led_flash_cnt[2386][2]~q\,
	combout => \WideAnd2386~0_combout\);

-- Location: LCCOMB_X27_Y9_N26
\led_flash_cnt[2386][5]~60292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2386][5]~60292_combout\ = (\led_flash_cnt[2386][5]~q\ & (\led_flash_cnt[2386][4]~60291\ $ (GND))) # (!\led_flash_cnt[2386][5]~q\ & (!\led_flash_cnt[2386][4]~60291\ & VCC))
-- \led_flash_cnt[2386][5]~60293\ = CARRY((\led_flash_cnt[2386][5]~q\ & !\led_flash_cnt[2386][4]~60291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2386][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2386][4]~60291\,
	combout => \led_flash_cnt[2386][5]~60292_combout\,
	cout => \led_flash_cnt[2386][5]~60293\);

-- Location: FF_X27_Y9_N27
\led_flash_cnt[2386][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2386][5]~60292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2386][5]~q\);

-- Location: LCCOMB_X27_Y9_N28
\led_flash_cnt[2386][6]~60294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2386][6]~60294_combout\ = (\led_flash_cnt[2386][6]~q\ & (!\led_flash_cnt[2386][5]~60293\)) # (!\led_flash_cnt[2386][6]~q\ & ((\led_flash_cnt[2386][5]~60293\) # (GND)))
-- \led_flash_cnt[2386][6]~60295\ = CARRY((!\led_flash_cnt[2386][5]~60293\) # (!\led_flash_cnt[2386][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2386][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2386][5]~60293\,
	combout => \led_flash_cnt[2386][6]~60294_combout\,
	cout => \led_flash_cnt[2386][6]~60295\);

-- Location: FF_X27_Y9_N29
\led_flash_cnt[2386][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2386][6]~60294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2386][6]~q\);

-- Location: LCCOMB_X27_Y8_N14
\WideAnd2386~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2386~1_combout\ = (\led_flash_cnt[2386][6]~q\ & \led_flash_cnt[2386][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2386][6]~q\,
	datad => \led_flash_cnt[2386][5]~q\,
	combout => \WideAnd2386~1_combout\);

-- Location: LCCOMB_X27_Y9_N30
\led_flash_cnt[2386][7]~60296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2386][7]~60296_combout\ = \led_flash_cnt[2386][7]~q\ $ (!\led_flash_cnt[2386][6]~60295\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2386][7]~q\,
	cin => \led_flash_cnt[2386][6]~60295\,
	combout => \led_flash_cnt[2386][7]~60296_combout\);

-- Location: FF_X27_Y9_N31
\led_flash_cnt[2386][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2386][7]~60296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2386][7]~q\);

-- Location: LCCOMB_X27_Y11_N4
WideAnd2386 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2386~combout\ = (\led_flash_cnt[2386][0]~q\ & (\WideAnd2386~0_combout\ & (\WideAnd2386~1_combout\ & \led_flash_cnt[2386][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2386][0]~q\,
	datab => \WideAnd2386~0_combout\,
	datac => \WideAnd2386~1_combout\,
	datad => \led_flash_cnt[2386][7]~q\,
	combout => \WideAnd2386~combout\);

-- Location: FF_X27_Y11_N5
\led_flash_cnt_ands[2386]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2386~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2386));

-- Location: LCCOMB_X29_Y13_N16
\led_flash_cnt[2387][0]~83027\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2387][0]~83027_combout\ = !\led_flash_cnt[2387][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2387][0]~q\,
	combout => \led_flash_cnt[2387][0]~83027_combout\);

-- Location: FF_X29_Y13_N17
\led_flash_cnt[2387][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2387][0]~83027_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2387][0]~q\);

-- Location: LCCOMB_X29_Y20_N2
\led_flash_cnt[2387][1]~60298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2387][1]~60298_combout\ = (\led_flash_cnt[2387][0]~q\ & (\led_flash_cnt[2387][1]~q\ $ (VCC))) # (!\led_flash_cnt[2387][0]~q\ & (\led_flash_cnt[2387][1]~q\ & VCC))
-- \led_flash_cnt[2387][1]~60299\ = CARRY((\led_flash_cnt[2387][0]~q\ & \led_flash_cnt[2387][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2387][0]~q\,
	datab => \led_flash_cnt[2387][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2387][1]~60298_combout\,
	cout => \led_flash_cnt[2387][1]~60299\);

-- Location: FF_X29_Y20_N3
\led_flash_cnt[2387][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2387][1]~60298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2387][1]~q\);

-- Location: LCCOMB_X29_Y20_N4
\led_flash_cnt[2387][2]~60300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2387][2]~60300_combout\ = (\led_flash_cnt[2387][2]~q\ & (!\led_flash_cnt[2387][1]~60299\)) # (!\led_flash_cnt[2387][2]~q\ & ((\led_flash_cnt[2387][1]~60299\) # (GND)))
-- \led_flash_cnt[2387][2]~60301\ = CARRY((!\led_flash_cnt[2387][1]~60299\) # (!\led_flash_cnt[2387][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2387][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2387][1]~60299\,
	combout => \led_flash_cnt[2387][2]~60300_combout\,
	cout => \led_flash_cnt[2387][2]~60301\);

-- Location: FF_X29_Y20_N5
\led_flash_cnt[2387][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2387][2]~60300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2387][2]~q\);

-- Location: LCCOMB_X29_Y20_N6
\led_flash_cnt[2387][3]~60302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2387][3]~60302_combout\ = (\led_flash_cnt[2387][3]~q\ & (\led_flash_cnt[2387][2]~60301\ $ (GND))) # (!\led_flash_cnt[2387][3]~q\ & (!\led_flash_cnt[2387][2]~60301\ & VCC))
-- \led_flash_cnt[2387][3]~60303\ = CARRY((\led_flash_cnt[2387][3]~q\ & !\led_flash_cnt[2387][2]~60301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2387][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2387][2]~60301\,
	combout => \led_flash_cnt[2387][3]~60302_combout\,
	cout => \led_flash_cnt[2387][3]~60303\);

-- Location: FF_X29_Y20_N7
\led_flash_cnt[2387][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2387][3]~60302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2387][3]~q\);

-- Location: LCCOMB_X29_Y20_N8
\led_flash_cnt[2387][4]~60304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2387][4]~60304_combout\ = (\led_flash_cnt[2387][4]~q\ & (!\led_flash_cnt[2387][3]~60303\)) # (!\led_flash_cnt[2387][4]~q\ & ((\led_flash_cnt[2387][3]~60303\) # (GND)))
-- \led_flash_cnt[2387][4]~60305\ = CARRY((!\led_flash_cnt[2387][3]~60303\) # (!\led_flash_cnt[2387][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2387][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2387][3]~60303\,
	combout => \led_flash_cnt[2387][4]~60304_combout\,
	cout => \led_flash_cnt[2387][4]~60305\);

-- Location: FF_X29_Y20_N9
\led_flash_cnt[2387][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2387][4]~60304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2387][4]~q\);

-- Location: LCCOMB_X29_Y20_N0
\WideAnd2387~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2387~0_combout\ = (\led_flash_cnt[2387][3]~q\ & (\led_flash_cnt[2387][2]~q\ & (\led_flash_cnt[2387][4]~q\ & \led_flash_cnt[2387][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2387][3]~q\,
	datab => \led_flash_cnt[2387][2]~q\,
	datac => \led_flash_cnt[2387][4]~q\,
	datad => \led_flash_cnt[2387][1]~q\,
	combout => \WideAnd2387~0_combout\);

-- Location: LCCOMB_X29_Y20_N10
\led_flash_cnt[2387][5]~60306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2387][5]~60306_combout\ = (\led_flash_cnt[2387][5]~q\ & (\led_flash_cnt[2387][4]~60305\ $ (GND))) # (!\led_flash_cnt[2387][5]~q\ & (!\led_flash_cnt[2387][4]~60305\ & VCC))
-- \led_flash_cnt[2387][5]~60307\ = CARRY((\led_flash_cnt[2387][5]~q\ & !\led_flash_cnt[2387][4]~60305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2387][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2387][4]~60305\,
	combout => \led_flash_cnt[2387][5]~60306_combout\,
	cout => \led_flash_cnt[2387][5]~60307\);

-- Location: FF_X29_Y20_N11
\led_flash_cnt[2387][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2387][5]~60306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2387][5]~q\);

-- Location: LCCOMB_X29_Y20_N12
\led_flash_cnt[2387][6]~60308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2387][6]~60308_combout\ = (\led_flash_cnt[2387][6]~q\ & (!\led_flash_cnt[2387][5]~60307\)) # (!\led_flash_cnt[2387][6]~q\ & ((\led_flash_cnt[2387][5]~60307\) # (GND)))
-- \led_flash_cnt[2387][6]~60309\ = CARRY((!\led_flash_cnt[2387][5]~60307\) # (!\led_flash_cnt[2387][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2387][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2387][5]~60307\,
	combout => \led_flash_cnt[2387][6]~60308_combout\,
	cout => \led_flash_cnt[2387][6]~60309\);

-- Location: FF_X29_Y20_N13
\led_flash_cnt[2387][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2387][6]~60308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2387][6]~q\);

-- Location: LCCOMB_X29_Y20_N14
\led_flash_cnt[2387][7]~60310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2387][7]~60310_combout\ = \led_flash_cnt[2387][7]~q\ $ (!\led_flash_cnt[2387][6]~60309\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2387][7]~q\,
	cin => \led_flash_cnt[2387][6]~60309\,
	combout => \led_flash_cnt[2387][7]~60310_combout\);

-- Location: FF_X29_Y20_N15
\led_flash_cnt[2387][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2387][7]~60310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2387][7]~q\);

-- Location: LCCOMB_X29_Y20_N16
\WideAnd2387~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2387~1_combout\ = (\led_flash_cnt[2387][5]~q\ & \led_flash_cnt[2387][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2387][5]~q\,
	datad => \led_flash_cnt[2387][6]~q\,
	combout => \WideAnd2387~1_combout\);

-- Location: LCCOMB_X29_Y13_N0
WideAnd2387 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2387~combout\ = (\WideAnd2387~0_combout\ & (\led_flash_cnt[2387][0]~q\ & (\led_flash_cnt[2387][7]~q\ & \WideAnd2387~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2387~0_combout\,
	datab => \led_flash_cnt[2387][0]~q\,
	datac => \led_flash_cnt[2387][7]~q\,
	datad => \WideAnd2387~1_combout\,
	combout => \WideAnd2387~combout\);

-- Location: FF_X29_Y13_N1
\led_flash_cnt_ands[2387]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2387~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2387));

-- Location: LCCOMB_X29_Y13_N14
\WideAnd4138~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4138~0_combout\ = (led_flash_cnt_ands(2384) & (led_flash_cnt_ands(2385) & (led_flash_cnt_ands(2386) & led_flash_cnt_ands(2387))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2384),
	datab => led_flash_cnt_ands(2385),
	datac => led_flash_cnt_ands(2386),
	datad => led_flash_cnt_ands(2387),
	combout => \WideAnd4138~0_combout\);

-- Location: LCCOMB_X34_Y20_N24
\led_flash_cnt[2388][0]~83028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2388][0]~83028_combout\ = !\led_flash_cnt[2388][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2388][0]~q\,
	combout => \led_flash_cnt[2388][0]~83028_combout\);

-- Location: FF_X34_Y20_N25
\led_flash_cnt[2388][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2388][0]~83028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2388][0]~q\);

-- Location: LCCOMB_X32_Y20_N2
\led_flash_cnt[2388][1]~60312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2388][1]~60312_combout\ = (\led_flash_cnt[2388][0]~q\ & (\led_flash_cnt[2388][1]~q\ $ (VCC))) # (!\led_flash_cnt[2388][0]~q\ & (\led_flash_cnt[2388][1]~q\ & VCC))
-- \led_flash_cnt[2388][1]~60313\ = CARRY((\led_flash_cnt[2388][0]~q\ & \led_flash_cnt[2388][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2388][0]~q\,
	datab => \led_flash_cnt[2388][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2388][1]~60312_combout\,
	cout => \led_flash_cnt[2388][1]~60313\);

-- Location: FF_X32_Y20_N3
\led_flash_cnt[2388][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2388][1]~60312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2388][1]~q\);

-- Location: LCCOMB_X32_Y20_N4
\led_flash_cnt[2388][2]~60314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2388][2]~60314_combout\ = (\led_flash_cnt[2388][2]~q\ & (!\led_flash_cnt[2388][1]~60313\)) # (!\led_flash_cnt[2388][2]~q\ & ((\led_flash_cnt[2388][1]~60313\) # (GND)))
-- \led_flash_cnt[2388][2]~60315\ = CARRY((!\led_flash_cnt[2388][1]~60313\) # (!\led_flash_cnt[2388][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2388][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2388][1]~60313\,
	combout => \led_flash_cnt[2388][2]~60314_combout\,
	cout => \led_flash_cnt[2388][2]~60315\);

-- Location: FF_X32_Y20_N5
\led_flash_cnt[2388][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2388][2]~60314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2388][2]~q\);

-- Location: LCCOMB_X32_Y20_N6
\led_flash_cnt[2388][3]~60316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2388][3]~60316_combout\ = (\led_flash_cnt[2388][3]~q\ & (\led_flash_cnt[2388][2]~60315\ $ (GND))) # (!\led_flash_cnt[2388][3]~q\ & (!\led_flash_cnt[2388][2]~60315\ & VCC))
-- \led_flash_cnt[2388][3]~60317\ = CARRY((\led_flash_cnt[2388][3]~q\ & !\led_flash_cnt[2388][2]~60315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2388][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2388][2]~60315\,
	combout => \led_flash_cnt[2388][3]~60316_combout\,
	cout => \led_flash_cnt[2388][3]~60317\);

-- Location: FF_X32_Y20_N7
\led_flash_cnt[2388][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2388][3]~60316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2388][3]~q\);

-- Location: LCCOMB_X32_Y20_N8
\led_flash_cnt[2388][4]~60318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2388][4]~60318_combout\ = (\led_flash_cnt[2388][4]~q\ & (!\led_flash_cnt[2388][3]~60317\)) # (!\led_flash_cnt[2388][4]~q\ & ((\led_flash_cnt[2388][3]~60317\) # (GND)))
-- \led_flash_cnt[2388][4]~60319\ = CARRY((!\led_flash_cnt[2388][3]~60317\) # (!\led_flash_cnt[2388][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2388][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2388][3]~60317\,
	combout => \led_flash_cnt[2388][4]~60318_combout\,
	cout => \led_flash_cnt[2388][4]~60319\);

-- Location: FF_X32_Y20_N9
\led_flash_cnt[2388][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2388][4]~60318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2388][4]~q\);

-- Location: LCCOMB_X32_Y20_N10
\led_flash_cnt[2388][5]~60320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2388][5]~60320_combout\ = (\led_flash_cnt[2388][5]~q\ & (\led_flash_cnt[2388][4]~60319\ $ (GND))) # (!\led_flash_cnt[2388][5]~q\ & (!\led_flash_cnt[2388][4]~60319\ & VCC))
-- \led_flash_cnt[2388][5]~60321\ = CARRY((\led_flash_cnt[2388][5]~q\ & !\led_flash_cnt[2388][4]~60319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2388][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2388][4]~60319\,
	combout => \led_flash_cnt[2388][5]~60320_combout\,
	cout => \led_flash_cnt[2388][5]~60321\);

-- Location: FF_X32_Y20_N11
\led_flash_cnt[2388][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2388][5]~60320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2388][5]~q\);

-- Location: LCCOMB_X32_Y20_N12
\led_flash_cnt[2388][6]~60322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2388][6]~60322_combout\ = (\led_flash_cnt[2388][6]~q\ & (!\led_flash_cnt[2388][5]~60321\)) # (!\led_flash_cnt[2388][6]~q\ & ((\led_flash_cnt[2388][5]~60321\) # (GND)))
-- \led_flash_cnt[2388][6]~60323\ = CARRY((!\led_flash_cnt[2388][5]~60321\) # (!\led_flash_cnt[2388][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2388][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2388][5]~60321\,
	combout => \led_flash_cnt[2388][6]~60322_combout\,
	cout => \led_flash_cnt[2388][6]~60323\);

-- Location: FF_X32_Y20_N13
\led_flash_cnt[2388][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2388][6]~60322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2388][6]~q\);

-- Location: LCCOMB_X32_Y20_N14
\led_flash_cnt[2388][7]~60324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2388][7]~60324_combout\ = \led_flash_cnt[2388][7]~q\ $ (!\led_flash_cnt[2388][6]~60323\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2388][7]~q\,
	cin => \led_flash_cnt[2388][6]~60323\,
	combout => \led_flash_cnt[2388][7]~60324_combout\);

-- Location: FF_X32_Y20_N15
\led_flash_cnt[2388][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2388][7]~60324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2388][7]~q\);

-- Location: LCCOMB_X32_Y20_N0
\WideAnd2388~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2388~0_combout\ = (\led_flash_cnt[2388][3]~q\ & (\led_flash_cnt[2388][4]~q\ & (\led_flash_cnt[2388][2]~q\ & \led_flash_cnt[2388][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2388][3]~q\,
	datab => \led_flash_cnt[2388][4]~q\,
	datac => \led_flash_cnt[2388][2]~q\,
	datad => \led_flash_cnt[2388][1]~q\,
	combout => \WideAnd2388~0_combout\);

-- Location: LCCOMB_X34_Y20_N28
\WideAnd2388~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2388~1_combout\ = (\led_flash_cnt[2388][5]~q\ & \led_flash_cnt[2388][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2388][5]~q\,
	datad => \led_flash_cnt[2388][6]~q\,
	combout => \WideAnd2388~1_combout\);

-- Location: LCCOMB_X34_Y20_N20
WideAnd2388 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2388~combout\ = (\led_flash_cnt[2388][0]~q\ & (\led_flash_cnt[2388][7]~q\ & (\WideAnd2388~0_combout\ & \WideAnd2388~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2388][0]~q\,
	datab => \led_flash_cnt[2388][7]~q\,
	datac => \WideAnd2388~0_combout\,
	datad => \WideAnd2388~1_combout\,
	combout => \WideAnd2388~combout\);

-- Location: FF_X34_Y20_N21
\led_flash_cnt_ands[2388]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2388~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2388));

-- Location: LCCOMB_X30_Y21_N6
\led_flash_cnt[2389][0]~83029\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2389][0]~83029_combout\ = !\led_flash_cnt[2389][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2389][0]~q\,
	combout => \led_flash_cnt[2389][0]~83029_combout\);

-- Location: FF_X30_Y21_N7
\led_flash_cnt[2389][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2389][0]~83029_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2389][0]~q\);

-- Location: LCCOMB_X31_Y21_N4
\led_flash_cnt[2389][1]~60326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2389][1]~60326_combout\ = (\led_flash_cnt[2389][0]~q\ & (\led_flash_cnt[2389][1]~q\ $ (VCC))) # (!\led_flash_cnt[2389][0]~q\ & (\led_flash_cnt[2389][1]~q\ & VCC))
-- \led_flash_cnt[2389][1]~60327\ = CARRY((\led_flash_cnt[2389][0]~q\ & \led_flash_cnt[2389][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2389][0]~q\,
	datab => \led_flash_cnt[2389][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2389][1]~60326_combout\,
	cout => \led_flash_cnt[2389][1]~60327\);

-- Location: FF_X31_Y21_N5
\led_flash_cnt[2389][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2389][1]~60326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2389][1]~q\);

-- Location: LCCOMB_X31_Y21_N6
\led_flash_cnt[2389][2]~60328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2389][2]~60328_combout\ = (\led_flash_cnt[2389][2]~q\ & (!\led_flash_cnt[2389][1]~60327\)) # (!\led_flash_cnt[2389][2]~q\ & ((\led_flash_cnt[2389][1]~60327\) # (GND)))
-- \led_flash_cnt[2389][2]~60329\ = CARRY((!\led_flash_cnt[2389][1]~60327\) # (!\led_flash_cnt[2389][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2389][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2389][1]~60327\,
	combout => \led_flash_cnt[2389][2]~60328_combout\,
	cout => \led_flash_cnt[2389][2]~60329\);

-- Location: FF_X31_Y21_N7
\led_flash_cnt[2389][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2389][2]~60328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2389][2]~q\);

-- Location: LCCOMB_X31_Y21_N8
\led_flash_cnt[2389][3]~60330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2389][3]~60330_combout\ = (\led_flash_cnt[2389][3]~q\ & (\led_flash_cnt[2389][2]~60329\ $ (GND))) # (!\led_flash_cnt[2389][3]~q\ & (!\led_flash_cnt[2389][2]~60329\ & VCC))
-- \led_flash_cnt[2389][3]~60331\ = CARRY((\led_flash_cnt[2389][3]~q\ & !\led_flash_cnt[2389][2]~60329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2389][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2389][2]~60329\,
	combout => \led_flash_cnt[2389][3]~60330_combout\,
	cout => \led_flash_cnt[2389][3]~60331\);

-- Location: FF_X31_Y21_N9
\led_flash_cnt[2389][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2389][3]~60330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2389][3]~q\);

-- Location: LCCOMB_X31_Y21_N10
\led_flash_cnt[2389][4]~60332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2389][4]~60332_combout\ = (\led_flash_cnt[2389][4]~q\ & (!\led_flash_cnt[2389][3]~60331\)) # (!\led_flash_cnt[2389][4]~q\ & ((\led_flash_cnt[2389][3]~60331\) # (GND)))
-- \led_flash_cnt[2389][4]~60333\ = CARRY((!\led_flash_cnt[2389][3]~60331\) # (!\led_flash_cnt[2389][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2389][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2389][3]~60331\,
	combout => \led_flash_cnt[2389][4]~60332_combout\,
	cout => \led_flash_cnt[2389][4]~60333\);

-- Location: FF_X31_Y21_N11
\led_flash_cnt[2389][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2389][4]~60332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2389][4]~q\);

-- Location: LCCOMB_X31_Y21_N12
\led_flash_cnt[2389][5]~60334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2389][5]~60334_combout\ = (\led_flash_cnt[2389][5]~q\ & (\led_flash_cnt[2389][4]~60333\ $ (GND))) # (!\led_flash_cnt[2389][5]~q\ & (!\led_flash_cnt[2389][4]~60333\ & VCC))
-- \led_flash_cnt[2389][5]~60335\ = CARRY((\led_flash_cnt[2389][5]~q\ & !\led_flash_cnt[2389][4]~60333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2389][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2389][4]~60333\,
	combout => \led_flash_cnt[2389][5]~60334_combout\,
	cout => \led_flash_cnt[2389][5]~60335\);

-- Location: FF_X31_Y21_N13
\led_flash_cnt[2389][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2389][5]~60334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2389][5]~q\);

-- Location: LCCOMB_X31_Y21_N14
\led_flash_cnt[2389][6]~60336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2389][6]~60336_combout\ = (\led_flash_cnt[2389][6]~q\ & (!\led_flash_cnt[2389][5]~60335\)) # (!\led_flash_cnt[2389][6]~q\ & ((\led_flash_cnt[2389][5]~60335\) # (GND)))
-- \led_flash_cnt[2389][6]~60337\ = CARRY((!\led_flash_cnt[2389][5]~60335\) # (!\led_flash_cnt[2389][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2389][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2389][5]~60335\,
	combout => \led_flash_cnt[2389][6]~60336_combout\,
	cout => \led_flash_cnt[2389][6]~60337\);

-- Location: FF_X31_Y21_N15
\led_flash_cnt[2389][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2389][6]~60336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2389][6]~q\);

-- Location: LCCOMB_X31_Y21_N16
\led_flash_cnt[2389][7]~60338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2389][7]~60338_combout\ = \led_flash_cnt[2389][6]~60337\ $ (!\led_flash_cnt[2389][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2389][7]~q\,
	cin => \led_flash_cnt[2389][6]~60337\,
	combout => \led_flash_cnt[2389][7]~60338_combout\);

-- Location: FF_X31_Y21_N17
\led_flash_cnt[2389][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2389][7]~60338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2389][7]~q\);

-- Location: LCCOMB_X30_Y21_N8
\WideAnd2389~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2389~1_combout\ = (\led_flash_cnt[2389][5]~q\ & \led_flash_cnt[2389][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2389][5]~q\,
	datac => \led_flash_cnt[2389][6]~q\,
	combout => \WideAnd2389~1_combout\);

-- Location: LCCOMB_X31_Y21_N2
\WideAnd2389~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2389~0_combout\ = (\led_flash_cnt[2389][2]~q\ & (\led_flash_cnt[2389][3]~q\ & (\led_flash_cnt[2389][1]~q\ & \led_flash_cnt[2389][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2389][2]~q\,
	datab => \led_flash_cnt[2389][3]~q\,
	datac => \led_flash_cnt[2389][1]~q\,
	datad => \led_flash_cnt[2389][4]~q\,
	combout => \WideAnd2389~0_combout\);

-- Location: LCCOMB_X30_Y21_N28
WideAnd2389 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2389~combout\ = (\led_flash_cnt[2389][0]~q\ & (\led_flash_cnt[2389][7]~q\ & (\WideAnd2389~1_combout\ & \WideAnd2389~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2389][0]~q\,
	datab => \led_flash_cnt[2389][7]~q\,
	datac => \WideAnd2389~1_combout\,
	datad => \WideAnd2389~0_combout\,
	combout => \WideAnd2389~combout\);

-- Location: FF_X30_Y21_N29
\led_flash_cnt_ands[2389]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2389~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2389));

-- Location: LCCOMB_X30_Y17_N0
\WideAnd4138~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4138~1_combout\ = (led_flash_cnt_ands(2388) & led_flash_cnt_ands(2389))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2388),
	datad => led_flash_cnt_ands(2389),
	combout => \WideAnd4138~1_combout\);

-- Location: LCCOMB_X30_Y17_N4
\led_flash_cnt[2390][0]~83030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2390][0]~83030_combout\ = !\led_flash_cnt[2390][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2390][0]~q\,
	combout => \led_flash_cnt[2390][0]~83030_combout\);

-- Location: FF_X30_Y17_N5
\led_flash_cnt[2390][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2390][0]~83030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2390][0]~q\);

-- Location: LCCOMB_X30_Y17_N10
\led_flash_cnt[2390][1]~60340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2390][1]~60340_combout\ = (\led_flash_cnt[2390][1]~q\ & (\led_flash_cnt[2390][0]~q\ $ (VCC))) # (!\led_flash_cnt[2390][1]~q\ & (\led_flash_cnt[2390][0]~q\ & VCC))
-- \led_flash_cnt[2390][1]~60341\ = CARRY((\led_flash_cnt[2390][1]~q\ & \led_flash_cnt[2390][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2390][1]~q\,
	datab => \led_flash_cnt[2390][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2390][1]~60340_combout\,
	cout => \led_flash_cnt[2390][1]~60341\);

-- Location: FF_X30_Y17_N11
\led_flash_cnt[2390][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2390][1]~60340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2390][1]~q\);

-- Location: LCCOMB_X30_Y17_N12
\led_flash_cnt[2390][2]~60342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2390][2]~60342_combout\ = (\led_flash_cnt[2390][2]~q\ & (!\led_flash_cnt[2390][1]~60341\)) # (!\led_flash_cnt[2390][2]~q\ & ((\led_flash_cnt[2390][1]~60341\) # (GND)))
-- \led_flash_cnt[2390][2]~60343\ = CARRY((!\led_flash_cnt[2390][1]~60341\) # (!\led_flash_cnt[2390][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2390][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2390][1]~60341\,
	combout => \led_flash_cnt[2390][2]~60342_combout\,
	cout => \led_flash_cnt[2390][2]~60343\);

-- Location: FF_X30_Y17_N13
\led_flash_cnt[2390][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2390][2]~60342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2390][2]~q\);

-- Location: LCCOMB_X30_Y17_N14
\led_flash_cnt[2390][3]~60344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2390][3]~60344_combout\ = (\led_flash_cnt[2390][3]~q\ & (\led_flash_cnt[2390][2]~60343\ $ (GND))) # (!\led_flash_cnt[2390][3]~q\ & (!\led_flash_cnt[2390][2]~60343\ & VCC))
-- \led_flash_cnt[2390][3]~60345\ = CARRY((\led_flash_cnt[2390][3]~q\ & !\led_flash_cnt[2390][2]~60343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2390][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2390][2]~60343\,
	combout => \led_flash_cnt[2390][3]~60344_combout\,
	cout => \led_flash_cnt[2390][3]~60345\);

-- Location: FF_X30_Y17_N15
\led_flash_cnt[2390][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2390][3]~60344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2390][3]~q\);

-- Location: LCCOMB_X30_Y17_N16
\led_flash_cnt[2390][4]~60346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2390][4]~60346_combout\ = (\led_flash_cnt[2390][4]~q\ & (!\led_flash_cnt[2390][3]~60345\)) # (!\led_flash_cnt[2390][4]~q\ & ((\led_flash_cnt[2390][3]~60345\) # (GND)))
-- \led_flash_cnt[2390][4]~60347\ = CARRY((!\led_flash_cnt[2390][3]~60345\) # (!\led_flash_cnt[2390][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2390][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2390][3]~60345\,
	combout => \led_flash_cnt[2390][4]~60346_combout\,
	cout => \led_flash_cnt[2390][4]~60347\);

-- Location: FF_X30_Y17_N17
\led_flash_cnt[2390][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2390][4]~60346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2390][4]~q\);

-- Location: LCCOMB_X30_Y17_N18
\led_flash_cnt[2390][5]~60348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2390][5]~60348_combout\ = (\led_flash_cnt[2390][5]~q\ & (\led_flash_cnt[2390][4]~60347\ $ (GND))) # (!\led_flash_cnt[2390][5]~q\ & (!\led_flash_cnt[2390][4]~60347\ & VCC))
-- \led_flash_cnt[2390][5]~60349\ = CARRY((\led_flash_cnt[2390][5]~q\ & !\led_flash_cnt[2390][4]~60347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2390][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2390][4]~60347\,
	combout => \led_flash_cnt[2390][5]~60348_combout\,
	cout => \led_flash_cnt[2390][5]~60349\);

-- Location: FF_X30_Y17_N19
\led_flash_cnt[2390][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2390][5]~60348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2390][5]~q\);

-- Location: LCCOMB_X30_Y17_N20
\led_flash_cnt[2390][6]~60350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2390][6]~60350_combout\ = (\led_flash_cnt[2390][6]~q\ & (!\led_flash_cnt[2390][5]~60349\)) # (!\led_flash_cnt[2390][6]~q\ & ((\led_flash_cnt[2390][5]~60349\) # (GND)))
-- \led_flash_cnt[2390][6]~60351\ = CARRY((!\led_flash_cnt[2390][5]~60349\) # (!\led_flash_cnt[2390][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2390][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2390][5]~60349\,
	combout => \led_flash_cnt[2390][6]~60350_combout\,
	cout => \led_flash_cnt[2390][6]~60351\);

-- Location: FF_X30_Y17_N21
\led_flash_cnt[2390][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2390][6]~60350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2390][6]~q\);

-- Location: LCCOMB_X30_Y17_N22
\led_flash_cnt[2390][7]~60352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2390][7]~60352_combout\ = \led_flash_cnt[2390][7]~q\ $ (!\led_flash_cnt[2390][6]~60351\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2390][7]~q\,
	cin => \led_flash_cnt[2390][6]~60351\,
	combout => \led_flash_cnt[2390][7]~60352_combout\);

-- Location: FF_X30_Y17_N23
\led_flash_cnt[2390][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2390][7]~60352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2390][7]~q\);

-- Location: LCCOMB_X30_Y17_N28
\WideAnd2390~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2390~1_combout\ = (\led_flash_cnt[2390][5]~q\ & \led_flash_cnt[2390][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2390][5]~q\,
	datad => \led_flash_cnt[2390][6]~q\,
	combout => \WideAnd2390~1_combout\);

-- Location: LCCOMB_X30_Y17_N2
\WideAnd2390~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2390~0_combout\ = (\led_flash_cnt[2390][1]~q\ & (\led_flash_cnt[2390][4]~q\ & (\led_flash_cnt[2390][3]~q\ & \led_flash_cnt[2390][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2390][1]~q\,
	datab => \led_flash_cnt[2390][4]~q\,
	datac => \led_flash_cnt[2390][3]~q\,
	datad => \led_flash_cnt[2390][2]~q\,
	combout => \WideAnd2390~0_combout\);

-- Location: LCCOMB_X30_Y17_N8
WideAnd2390 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2390~combout\ = (\led_flash_cnt[2390][7]~q\ & (\WideAnd2390~1_combout\ & (\led_flash_cnt[2390][0]~q\ & \WideAnd2390~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2390][7]~q\,
	datab => \WideAnd2390~1_combout\,
	datac => \led_flash_cnt[2390][0]~q\,
	datad => \WideAnd2390~0_combout\,
	combout => \WideAnd2390~combout\);

-- Location: FF_X30_Y17_N9
\led_flash_cnt_ands[2390]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2390~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2390));

-- Location: LCCOMB_X30_Y17_N26
\led_flash_cnt[2391][0]~83031\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2391][0]~83031_combout\ = !\led_flash_cnt[2391][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2391][0]~q\,
	combout => \led_flash_cnt[2391][0]~83031_combout\);

-- Location: FF_X30_Y17_N27
\led_flash_cnt[2391][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2391][0]~83031_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2391][0]~q\);

-- Location: LCCOMB_X29_Y17_N16
\led_flash_cnt[2391][1]~60354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2391][1]~60354_combout\ = (\led_flash_cnt[2391][1]~q\ & (\led_flash_cnt[2391][0]~q\ $ (VCC))) # (!\led_flash_cnt[2391][1]~q\ & (\led_flash_cnt[2391][0]~q\ & VCC))
-- \led_flash_cnt[2391][1]~60355\ = CARRY((\led_flash_cnt[2391][1]~q\ & \led_flash_cnt[2391][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2391][1]~q\,
	datab => \led_flash_cnt[2391][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2391][1]~60354_combout\,
	cout => \led_flash_cnt[2391][1]~60355\);

-- Location: FF_X29_Y17_N17
\led_flash_cnt[2391][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2391][1]~60354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2391][1]~q\);

-- Location: LCCOMB_X29_Y17_N18
\led_flash_cnt[2391][2]~60356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2391][2]~60356_combout\ = (\led_flash_cnt[2391][2]~q\ & (!\led_flash_cnt[2391][1]~60355\)) # (!\led_flash_cnt[2391][2]~q\ & ((\led_flash_cnt[2391][1]~60355\) # (GND)))
-- \led_flash_cnt[2391][2]~60357\ = CARRY((!\led_flash_cnt[2391][1]~60355\) # (!\led_flash_cnt[2391][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2391][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2391][1]~60355\,
	combout => \led_flash_cnt[2391][2]~60356_combout\,
	cout => \led_flash_cnt[2391][2]~60357\);

-- Location: FF_X29_Y17_N19
\led_flash_cnt[2391][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2391][2]~60356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2391][2]~q\);

-- Location: LCCOMB_X29_Y17_N20
\led_flash_cnt[2391][3]~60358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2391][3]~60358_combout\ = (\led_flash_cnt[2391][3]~q\ & (\led_flash_cnt[2391][2]~60357\ $ (GND))) # (!\led_flash_cnt[2391][3]~q\ & (!\led_flash_cnt[2391][2]~60357\ & VCC))
-- \led_flash_cnt[2391][3]~60359\ = CARRY((\led_flash_cnt[2391][3]~q\ & !\led_flash_cnt[2391][2]~60357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2391][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2391][2]~60357\,
	combout => \led_flash_cnt[2391][3]~60358_combout\,
	cout => \led_flash_cnt[2391][3]~60359\);

-- Location: FF_X29_Y17_N21
\led_flash_cnt[2391][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2391][3]~60358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2391][3]~q\);

-- Location: LCCOMB_X29_Y17_N22
\led_flash_cnt[2391][4]~60360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2391][4]~60360_combout\ = (\led_flash_cnt[2391][4]~q\ & (!\led_flash_cnt[2391][3]~60359\)) # (!\led_flash_cnt[2391][4]~q\ & ((\led_flash_cnt[2391][3]~60359\) # (GND)))
-- \led_flash_cnt[2391][4]~60361\ = CARRY((!\led_flash_cnt[2391][3]~60359\) # (!\led_flash_cnt[2391][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2391][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2391][3]~60359\,
	combout => \led_flash_cnt[2391][4]~60360_combout\,
	cout => \led_flash_cnt[2391][4]~60361\);

-- Location: FF_X29_Y17_N23
\led_flash_cnt[2391][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2391][4]~60360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2391][4]~q\);

-- Location: LCCOMB_X29_Y17_N24
\led_flash_cnt[2391][5]~60362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2391][5]~60362_combout\ = (\led_flash_cnt[2391][5]~q\ & (\led_flash_cnt[2391][4]~60361\ $ (GND))) # (!\led_flash_cnt[2391][5]~q\ & (!\led_flash_cnt[2391][4]~60361\ & VCC))
-- \led_flash_cnt[2391][5]~60363\ = CARRY((\led_flash_cnt[2391][5]~q\ & !\led_flash_cnt[2391][4]~60361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2391][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2391][4]~60361\,
	combout => \led_flash_cnt[2391][5]~60362_combout\,
	cout => \led_flash_cnt[2391][5]~60363\);

-- Location: FF_X29_Y17_N25
\led_flash_cnt[2391][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2391][5]~60362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2391][5]~q\);

-- Location: LCCOMB_X29_Y17_N26
\led_flash_cnt[2391][6]~60364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2391][6]~60364_combout\ = (\led_flash_cnt[2391][6]~q\ & (!\led_flash_cnt[2391][5]~60363\)) # (!\led_flash_cnt[2391][6]~q\ & ((\led_flash_cnt[2391][5]~60363\) # (GND)))
-- \led_flash_cnt[2391][6]~60365\ = CARRY((!\led_flash_cnt[2391][5]~60363\) # (!\led_flash_cnt[2391][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2391][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2391][5]~60363\,
	combout => \led_flash_cnt[2391][6]~60364_combout\,
	cout => \led_flash_cnt[2391][6]~60365\);

-- Location: FF_X29_Y17_N27
\led_flash_cnt[2391][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2391][6]~60364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2391][6]~q\);

-- Location: LCCOMB_X30_Y17_N6
\WideAnd2391~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2391~1_combout\ = (\led_flash_cnt[2391][6]~q\ & \led_flash_cnt[2391][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2391][6]~q\,
	datad => \led_flash_cnt[2391][5]~q\,
	combout => \WideAnd2391~1_combout\);

-- Location: LCCOMB_X29_Y17_N28
\led_flash_cnt[2391][7]~60366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2391][7]~60366_combout\ = \led_flash_cnt[2391][6]~60365\ $ (!\led_flash_cnt[2391][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2391][7]~q\,
	cin => \led_flash_cnt[2391][6]~60365\,
	combout => \led_flash_cnt[2391][7]~60366_combout\);

-- Location: FF_X29_Y17_N29
\led_flash_cnt[2391][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2391][7]~60366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2391][7]~q\);

-- Location: LCCOMB_X29_Y17_N30
\WideAnd2391~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2391~0_combout\ = (\led_flash_cnt[2391][1]~q\ & (\led_flash_cnt[2391][2]~q\ & (\led_flash_cnt[2391][4]~q\ & \led_flash_cnt[2391][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2391][1]~q\,
	datab => \led_flash_cnt[2391][2]~q\,
	datac => \led_flash_cnt[2391][4]~q\,
	datad => \led_flash_cnt[2391][3]~q\,
	combout => \WideAnd2391~0_combout\);

-- Location: LCCOMB_X30_Y17_N24
WideAnd2391 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2391~combout\ = (\WideAnd2391~1_combout\ & (\led_flash_cnt[2391][7]~q\ & (\led_flash_cnt[2391][0]~q\ & \WideAnd2391~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2391~1_combout\,
	datab => \led_flash_cnt[2391][7]~q\,
	datac => \led_flash_cnt[2391][0]~q\,
	datad => \WideAnd2391~0_combout\,
	combout => \WideAnd2391~combout\);

-- Location: FF_X30_Y17_N25
\led_flash_cnt_ands[2391]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2391~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2391));

-- Location: LCCOMB_X30_Y17_N30
WideAnd4138 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4138~combout\ = (\WideAnd4138~0_combout\ & (\WideAnd4138~1_combout\ & (led_flash_cnt_ands(2390) & led_flash_cnt_ands(2391))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4138~0_combout\,
	datab => \WideAnd4138~1_combout\,
	datac => led_flash_cnt_ands(2390),
	datad => led_flash_cnt_ands(2391),
	combout => \WideAnd4138~combout\);

-- Location: FF_X30_Y17_N31
\led_flash_cnt_ands_1[298]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4138~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(298));

-- Location: LCCOMB_X30_Y3_N0
\led_flash_cnt[2394][0]~83034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2394][0]~83034_combout\ = !\led_flash_cnt[2394][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2394][0]~q\,
	combout => \led_flash_cnt[2394][0]~83034_combout\);

-- Location: FF_X30_Y3_N1
\led_flash_cnt[2394][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2394][0]~83034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2394][0]~q\);

-- Location: LCCOMB_X30_Y4_N18
\led_flash_cnt[2394][1]~60396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2394][1]~60396_combout\ = (\led_flash_cnt[2394][0]~q\ & (\led_flash_cnt[2394][1]~q\ $ (VCC))) # (!\led_flash_cnt[2394][0]~q\ & (\led_flash_cnt[2394][1]~q\ & VCC))
-- \led_flash_cnt[2394][1]~60397\ = CARRY((\led_flash_cnt[2394][0]~q\ & \led_flash_cnt[2394][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2394][0]~q\,
	datab => \led_flash_cnt[2394][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2394][1]~60396_combout\,
	cout => \led_flash_cnt[2394][1]~60397\);

-- Location: FF_X30_Y4_N19
\led_flash_cnt[2394][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2394][1]~60396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2394][1]~q\);

-- Location: LCCOMB_X30_Y4_N20
\led_flash_cnt[2394][2]~60398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2394][2]~60398_combout\ = (\led_flash_cnt[2394][2]~q\ & (!\led_flash_cnt[2394][1]~60397\)) # (!\led_flash_cnt[2394][2]~q\ & ((\led_flash_cnt[2394][1]~60397\) # (GND)))
-- \led_flash_cnt[2394][2]~60399\ = CARRY((!\led_flash_cnt[2394][1]~60397\) # (!\led_flash_cnt[2394][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2394][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2394][1]~60397\,
	combout => \led_flash_cnt[2394][2]~60398_combout\,
	cout => \led_flash_cnt[2394][2]~60399\);

-- Location: FF_X30_Y4_N21
\led_flash_cnt[2394][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2394][2]~60398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2394][2]~q\);

-- Location: LCCOMB_X30_Y4_N22
\led_flash_cnt[2394][3]~60400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2394][3]~60400_combout\ = (\led_flash_cnt[2394][3]~q\ & (\led_flash_cnt[2394][2]~60399\ $ (GND))) # (!\led_flash_cnt[2394][3]~q\ & (!\led_flash_cnt[2394][2]~60399\ & VCC))
-- \led_flash_cnt[2394][3]~60401\ = CARRY((\led_flash_cnt[2394][3]~q\ & !\led_flash_cnt[2394][2]~60399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2394][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2394][2]~60399\,
	combout => \led_flash_cnt[2394][3]~60400_combout\,
	cout => \led_flash_cnt[2394][3]~60401\);

-- Location: FF_X30_Y4_N23
\led_flash_cnt[2394][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2394][3]~60400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2394][3]~q\);

-- Location: LCCOMB_X30_Y4_N24
\led_flash_cnt[2394][4]~60402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2394][4]~60402_combout\ = (\led_flash_cnt[2394][4]~q\ & (!\led_flash_cnt[2394][3]~60401\)) # (!\led_flash_cnt[2394][4]~q\ & ((\led_flash_cnt[2394][3]~60401\) # (GND)))
-- \led_flash_cnt[2394][4]~60403\ = CARRY((!\led_flash_cnt[2394][3]~60401\) # (!\led_flash_cnt[2394][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2394][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2394][3]~60401\,
	combout => \led_flash_cnt[2394][4]~60402_combout\,
	cout => \led_flash_cnt[2394][4]~60403\);

-- Location: FF_X30_Y4_N25
\led_flash_cnt[2394][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2394][4]~60402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2394][4]~q\);

-- Location: LCCOMB_X30_Y4_N26
\led_flash_cnt[2394][5]~60404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2394][5]~60404_combout\ = (\led_flash_cnt[2394][5]~q\ & (\led_flash_cnt[2394][4]~60403\ $ (GND))) # (!\led_flash_cnt[2394][5]~q\ & (!\led_flash_cnt[2394][4]~60403\ & VCC))
-- \led_flash_cnt[2394][5]~60405\ = CARRY((\led_flash_cnt[2394][5]~q\ & !\led_flash_cnt[2394][4]~60403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2394][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2394][4]~60403\,
	combout => \led_flash_cnt[2394][5]~60404_combout\,
	cout => \led_flash_cnt[2394][5]~60405\);

-- Location: FF_X30_Y4_N27
\led_flash_cnt[2394][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2394][5]~60404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2394][5]~q\);

-- Location: LCCOMB_X30_Y4_N28
\led_flash_cnt[2394][6]~60406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2394][6]~60406_combout\ = (\led_flash_cnt[2394][6]~q\ & (!\led_flash_cnt[2394][5]~60405\)) # (!\led_flash_cnt[2394][6]~q\ & ((\led_flash_cnt[2394][5]~60405\) # (GND)))
-- \led_flash_cnt[2394][6]~60407\ = CARRY((!\led_flash_cnt[2394][5]~60405\) # (!\led_flash_cnt[2394][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2394][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2394][5]~60405\,
	combout => \led_flash_cnt[2394][6]~60406_combout\,
	cout => \led_flash_cnt[2394][6]~60407\);

-- Location: FF_X30_Y4_N29
\led_flash_cnt[2394][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2394][6]~60406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2394][6]~q\);

-- Location: LCCOMB_X29_Y4_N4
\WideAnd2394~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2394~1_combout\ = (\led_flash_cnt[2394][6]~q\ & \led_flash_cnt[2394][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2394][6]~q\,
	datad => \led_flash_cnt[2394][5]~q\,
	combout => \WideAnd2394~1_combout\);

-- Location: LCCOMB_X30_Y4_N30
\led_flash_cnt[2394][7]~60408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2394][7]~60408_combout\ = \led_flash_cnt[2394][7]~q\ $ (!\led_flash_cnt[2394][6]~60407\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2394][7]~q\,
	cin => \led_flash_cnt[2394][6]~60407\,
	combout => \led_flash_cnt[2394][7]~60408_combout\);

-- Location: FF_X30_Y4_N31
\led_flash_cnt[2394][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2394][7]~60408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2394][7]~q\);

-- Location: LCCOMB_X30_Y4_N16
\WideAnd2394~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2394~0_combout\ = (\led_flash_cnt[2394][1]~q\ & (\led_flash_cnt[2394][4]~q\ & (\led_flash_cnt[2394][3]~q\ & \led_flash_cnt[2394][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2394][1]~q\,
	datab => \led_flash_cnt[2394][4]~q\,
	datac => \led_flash_cnt[2394][3]~q\,
	datad => \led_flash_cnt[2394][2]~q\,
	combout => \WideAnd2394~0_combout\);

-- Location: LCCOMB_X29_Y4_N28
WideAnd2394 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2394~combout\ = (\led_flash_cnt[2394][0]~q\ & (\WideAnd2394~1_combout\ & (\led_flash_cnt[2394][7]~q\ & \WideAnd2394~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2394][0]~q\,
	datab => \WideAnd2394~1_combout\,
	datac => \led_flash_cnt[2394][7]~q\,
	datad => \WideAnd2394~0_combout\,
	combout => \WideAnd2394~combout\);

-- Location: FF_X29_Y4_N29
\led_flash_cnt_ands[2394]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2394~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2394));

-- Location: LCCOMB_X27_Y4_N26
\led_flash_cnt[2392][0]~83032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2392][0]~83032_combout\ = !\led_flash_cnt[2392][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2392][0]~q\,
	combout => \led_flash_cnt[2392][0]~83032_combout\);

-- Location: FF_X27_Y4_N27
\led_flash_cnt[2392][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2392][0]~83032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2392][0]~q\);

-- Location: LCCOMB_X27_Y4_N4
\led_flash_cnt[2392][1]~60368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2392][1]~60368_combout\ = (\led_flash_cnt[2392][0]~q\ & (\led_flash_cnt[2392][1]~q\ $ (VCC))) # (!\led_flash_cnt[2392][0]~q\ & (\led_flash_cnt[2392][1]~q\ & VCC))
-- \led_flash_cnt[2392][1]~60369\ = CARRY((\led_flash_cnt[2392][0]~q\ & \led_flash_cnt[2392][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2392][0]~q\,
	datab => \led_flash_cnt[2392][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2392][1]~60368_combout\,
	cout => \led_flash_cnt[2392][1]~60369\);

-- Location: FF_X27_Y4_N5
\led_flash_cnt[2392][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2392][1]~60368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2392][1]~q\);

-- Location: LCCOMB_X27_Y4_N6
\led_flash_cnt[2392][2]~60370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2392][2]~60370_combout\ = (\led_flash_cnt[2392][2]~q\ & (!\led_flash_cnt[2392][1]~60369\)) # (!\led_flash_cnt[2392][2]~q\ & ((\led_flash_cnt[2392][1]~60369\) # (GND)))
-- \led_flash_cnt[2392][2]~60371\ = CARRY((!\led_flash_cnt[2392][1]~60369\) # (!\led_flash_cnt[2392][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2392][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2392][1]~60369\,
	combout => \led_flash_cnt[2392][2]~60370_combout\,
	cout => \led_flash_cnt[2392][2]~60371\);

-- Location: FF_X27_Y4_N7
\led_flash_cnt[2392][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2392][2]~60370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2392][2]~q\);

-- Location: LCCOMB_X27_Y4_N8
\led_flash_cnt[2392][3]~60372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2392][3]~60372_combout\ = (\led_flash_cnt[2392][3]~q\ & (\led_flash_cnt[2392][2]~60371\ $ (GND))) # (!\led_flash_cnt[2392][3]~q\ & (!\led_flash_cnt[2392][2]~60371\ & VCC))
-- \led_flash_cnt[2392][3]~60373\ = CARRY((\led_flash_cnt[2392][3]~q\ & !\led_flash_cnt[2392][2]~60371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2392][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2392][2]~60371\,
	combout => \led_flash_cnt[2392][3]~60372_combout\,
	cout => \led_flash_cnt[2392][3]~60373\);

-- Location: FF_X27_Y4_N9
\led_flash_cnt[2392][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2392][3]~60372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2392][3]~q\);

-- Location: LCCOMB_X27_Y4_N10
\led_flash_cnt[2392][4]~60374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2392][4]~60374_combout\ = (\led_flash_cnt[2392][4]~q\ & (!\led_flash_cnt[2392][3]~60373\)) # (!\led_flash_cnt[2392][4]~q\ & ((\led_flash_cnt[2392][3]~60373\) # (GND)))
-- \led_flash_cnt[2392][4]~60375\ = CARRY((!\led_flash_cnt[2392][3]~60373\) # (!\led_flash_cnt[2392][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2392][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2392][3]~60373\,
	combout => \led_flash_cnt[2392][4]~60374_combout\,
	cout => \led_flash_cnt[2392][4]~60375\);

-- Location: FF_X27_Y4_N11
\led_flash_cnt[2392][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2392][4]~60374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2392][4]~q\);

-- Location: LCCOMB_X27_Y4_N12
\led_flash_cnt[2392][5]~60376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2392][5]~60376_combout\ = (\led_flash_cnt[2392][5]~q\ & (\led_flash_cnt[2392][4]~60375\ $ (GND))) # (!\led_flash_cnt[2392][5]~q\ & (!\led_flash_cnt[2392][4]~60375\ & VCC))
-- \led_flash_cnt[2392][5]~60377\ = CARRY((\led_flash_cnt[2392][5]~q\ & !\led_flash_cnt[2392][4]~60375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2392][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2392][4]~60375\,
	combout => \led_flash_cnt[2392][5]~60376_combout\,
	cout => \led_flash_cnt[2392][5]~60377\);

-- Location: FF_X27_Y4_N13
\led_flash_cnt[2392][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2392][5]~60376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2392][5]~q\);

-- Location: LCCOMB_X27_Y4_N14
\led_flash_cnt[2392][6]~60378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2392][6]~60378_combout\ = (\led_flash_cnt[2392][6]~q\ & (!\led_flash_cnt[2392][5]~60377\)) # (!\led_flash_cnt[2392][6]~q\ & ((\led_flash_cnt[2392][5]~60377\) # (GND)))
-- \led_flash_cnt[2392][6]~60379\ = CARRY((!\led_flash_cnt[2392][5]~60377\) # (!\led_flash_cnt[2392][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2392][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2392][5]~60377\,
	combout => \led_flash_cnt[2392][6]~60378_combout\,
	cout => \led_flash_cnt[2392][6]~60379\);

-- Location: FF_X27_Y4_N15
\led_flash_cnt[2392][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2392][6]~60378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2392][6]~q\);

-- Location: LCCOMB_X27_Y4_N16
\led_flash_cnt[2392][7]~60380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2392][7]~60380_combout\ = \led_flash_cnt[2392][6]~60379\ $ (!\led_flash_cnt[2392][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2392][7]~q\,
	cin => \led_flash_cnt[2392][6]~60379\,
	combout => \led_flash_cnt[2392][7]~60380_combout\);

-- Location: FF_X27_Y4_N17
\led_flash_cnt[2392][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2392][7]~60380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2392][7]~q\);

-- Location: LCCOMB_X27_Y4_N30
\WideAnd2392~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2392~1_combout\ = (\led_flash_cnt[2392][6]~q\ & \led_flash_cnt[2392][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2392][6]~q\,
	datad => \led_flash_cnt[2392][5]~q\,
	combout => \WideAnd2392~1_combout\);

-- Location: LCCOMB_X27_Y4_N20
\WideAnd2392~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2392~0_combout\ = (\led_flash_cnt[2392][4]~q\ & (\led_flash_cnt[2392][3]~q\ & (\led_flash_cnt[2392][1]~q\ & \led_flash_cnt[2392][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2392][4]~q\,
	datab => \led_flash_cnt[2392][3]~q\,
	datac => \led_flash_cnt[2392][1]~q\,
	datad => \led_flash_cnt[2392][2]~q\,
	combout => \WideAnd2392~0_combout\);

-- Location: LCCOMB_X27_Y4_N24
WideAnd2392 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2392~combout\ = (\led_flash_cnt[2392][0]~q\ & (\led_flash_cnt[2392][7]~q\ & (\WideAnd2392~1_combout\ & \WideAnd2392~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2392][0]~q\,
	datab => \led_flash_cnt[2392][7]~q\,
	datac => \WideAnd2392~1_combout\,
	datad => \WideAnd2392~0_combout\,
	combout => \WideAnd2392~combout\);

-- Location: FF_X27_Y4_N25
\led_flash_cnt_ands[2392]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2392~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2392));

-- Location: LCCOMB_X34_Y4_N30
\led_flash_cnt[2393][0]~83033\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2393][0]~83033_combout\ = !\led_flash_cnt[2393][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2393][0]~q\,
	combout => \led_flash_cnt[2393][0]~83033_combout\);

-- Location: FF_X34_Y4_N31
\led_flash_cnt[2393][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2393][0]~83033_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2393][0]~q\);

-- Location: LCCOMB_X34_Y3_N14
\led_flash_cnt[2393][1]~60382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2393][1]~60382_combout\ = (\led_flash_cnt[2393][0]~q\ & (\led_flash_cnt[2393][1]~q\ $ (VCC))) # (!\led_flash_cnt[2393][0]~q\ & (\led_flash_cnt[2393][1]~q\ & VCC))
-- \led_flash_cnt[2393][1]~60383\ = CARRY((\led_flash_cnt[2393][0]~q\ & \led_flash_cnt[2393][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2393][0]~q\,
	datab => \led_flash_cnt[2393][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2393][1]~60382_combout\,
	cout => \led_flash_cnt[2393][1]~60383\);

-- Location: FF_X34_Y3_N15
\led_flash_cnt[2393][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2393][1]~60382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2393][1]~q\);

-- Location: LCCOMB_X34_Y3_N16
\led_flash_cnt[2393][2]~60384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2393][2]~60384_combout\ = (\led_flash_cnt[2393][2]~q\ & (!\led_flash_cnt[2393][1]~60383\)) # (!\led_flash_cnt[2393][2]~q\ & ((\led_flash_cnt[2393][1]~60383\) # (GND)))
-- \led_flash_cnt[2393][2]~60385\ = CARRY((!\led_flash_cnt[2393][1]~60383\) # (!\led_flash_cnt[2393][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2393][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2393][1]~60383\,
	combout => \led_flash_cnt[2393][2]~60384_combout\,
	cout => \led_flash_cnt[2393][2]~60385\);

-- Location: FF_X34_Y3_N17
\led_flash_cnt[2393][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2393][2]~60384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2393][2]~q\);

-- Location: LCCOMB_X34_Y3_N18
\led_flash_cnt[2393][3]~60386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2393][3]~60386_combout\ = (\led_flash_cnt[2393][3]~q\ & (\led_flash_cnt[2393][2]~60385\ $ (GND))) # (!\led_flash_cnt[2393][3]~q\ & (!\led_flash_cnt[2393][2]~60385\ & VCC))
-- \led_flash_cnt[2393][3]~60387\ = CARRY((\led_flash_cnt[2393][3]~q\ & !\led_flash_cnt[2393][2]~60385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2393][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2393][2]~60385\,
	combout => \led_flash_cnt[2393][3]~60386_combout\,
	cout => \led_flash_cnt[2393][3]~60387\);

-- Location: FF_X34_Y3_N19
\led_flash_cnt[2393][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2393][3]~60386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2393][3]~q\);

-- Location: LCCOMB_X34_Y3_N20
\led_flash_cnt[2393][4]~60388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2393][4]~60388_combout\ = (\led_flash_cnt[2393][4]~q\ & (!\led_flash_cnt[2393][3]~60387\)) # (!\led_flash_cnt[2393][4]~q\ & ((\led_flash_cnt[2393][3]~60387\) # (GND)))
-- \led_flash_cnt[2393][4]~60389\ = CARRY((!\led_flash_cnt[2393][3]~60387\) # (!\led_flash_cnt[2393][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2393][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2393][3]~60387\,
	combout => \led_flash_cnt[2393][4]~60388_combout\,
	cout => \led_flash_cnt[2393][4]~60389\);

-- Location: FF_X34_Y3_N21
\led_flash_cnt[2393][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2393][4]~60388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2393][4]~q\);

-- Location: LCCOMB_X34_Y3_N22
\led_flash_cnt[2393][5]~60390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2393][5]~60390_combout\ = (\led_flash_cnt[2393][5]~q\ & (\led_flash_cnt[2393][4]~60389\ $ (GND))) # (!\led_flash_cnt[2393][5]~q\ & (!\led_flash_cnt[2393][4]~60389\ & VCC))
-- \led_flash_cnt[2393][5]~60391\ = CARRY((\led_flash_cnt[2393][5]~q\ & !\led_flash_cnt[2393][4]~60389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2393][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2393][4]~60389\,
	combout => \led_flash_cnt[2393][5]~60390_combout\,
	cout => \led_flash_cnt[2393][5]~60391\);

-- Location: FF_X34_Y3_N23
\led_flash_cnt[2393][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2393][5]~60390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2393][5]~q\);

-- Location: LCCOMB_X34_Y3_N24
\led_flash_cnt[2393][6]~60392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2393][6]~60392_combout\ = (\led_flash_cnt[2393][6]~q\ & (!\led_flash_cnt[2393][5]~60391\)) # (!\led_flash_cnt[2393][6]~q\ & ((\led_flash_cnt[2393][5]~60391\) # (GND)))
-- \led_flash_cnt[2393][6]~60393\ = CARRY((!\led_flash_cnt[2393][5]~60391\) # (!\led_flash_cnt[2393][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2393][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2393][5]~60391\,
	combout => \led_flash_cnt[2393][6]~60392_combout\,
	cout => \led_flash_cnt[2393][6]~60393\);

-- Location: FF_X34_Y3_N25
\led_flash_cnt[2393][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2393][6]~60392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2393][6]~q\);

-- Location: LCCOMB_X34_Y4_N6
\WideAnd2393~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2393~1_combout\ = (\led_flash_cnt[2393][6]~q\ & \led_flash_cnt[2393][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2393][6]~q\,
	datad => \led_flash_cnt[2393][5]~q\,
	combout => \WideAnd2393~1_combout\);

-- Location: LCCOMB_X34_Y3_N28
\WideAnd2393~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2393~0_combout\ = (\led_flash_cnt[2393][3]~q\ & (\led_flash_cnt[2393][4]~q\ & (\led_flash_cnt[2393][1]~q\ & \led_flash_cnt[2393][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2393][3]~q\,
	datab => \led_flash_cnt[2393][4]~q\,
	datac => \led_flash_cnt[2393][1]~q\,
	datad => \led_flash_cnt[2393][2]~q\,
	combout => \WideAnd2393~0_combout\);

-- Location: LCCOMB_X34_Y3_N26
\led_flash_cnt[2393][7]~60394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2393][7]~60394_combout\ = \led_flash_cnt[2393][7]~q\ $ (!\led_flash_cnt[2393][6]~60393\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2393][7]~q\,
	cin => \led_flash_cnt[2393][6]~60393\,
	combout => \led_flash_cnt[2393][7]~60394_combout\);

-- Location: FF_X34_Y3_N27
\led_flash_cnt[2393][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2393][7]~60394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2393][7]~q\);

-- Location: LCCOMB_X34_Y4_N8
WideAnd2393 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2393~combout\ = (\WideAnd2393~1_combout\ & (\WideAnd2393~0_combout\ & (\led_flash_cnt[2393][0]~q\ & \led_flash_cnt[2393][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2393~1_combout\,
	datab => \WideAnd2393~0_combout\,
	datac => \led_flash_cnt[2393][0]~q\,
	datad => \led_flash_cnt[2393][7]~q\,
	combout => \WideAnd2393~combout\);

-- Location: FF_X34_Y4_N9
\led_flash_cnt_ands[2393]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2393~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2393));

-- Location: LCCOMB_X29_Y4_N8
\led_flash_cnt[2395][0]~83035\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2395][0]~83035_combout\ = !\led_flash_cnt[2395][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2395][0]~q\,
	combout => \led_flash_cnt[2395][0]~83035_combout\);

-- Location: FF_X29_Y4_N9
\led_flash_cnt[2395][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2395][0]~83035_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2395][0]~q\);

-- Location: LCCOMB_X26_Y4_N16
\led_flash_cnt[2395][1]~60410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2395][1]~60410_combout\ = (\led_flash_cnt[2395][0]~q\ & (\led_flash_cnt[2395][1]~q\ $ (VCC))) # (!\led_flash_cnt[2395][0]~q\ & (\led_flash_cnt[2395][1]~q\ & VCC))
-- \led_flash_cnt[2395][1]~60411\ = CARRY((\led_flash_cnt[2395][0]~q\ & \led_flash_cnt[2395][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2395][0]~q\,
	datab => \led_flash_cnt[2395][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2395][1]~60410_combout\,
	cout => \led_flash_cnt[2395][1]~60411\);

-- Location: FF_X26_Y4_N17
\led_flash_cnt[2395][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2395][1]~60410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2395][1]~q\);

-- Location: LCCOMB_X26_Y4_N18
\led_flash_cnt[2395][2]~60412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2395][2]~60412_combout\ = (\led_flash_cnt[2395][2]~q\ & (!\led_flash_cnt[2395][1]~60411\)) # (!\led_flash_cnt[2395][2]~q\ & ((\led_flash_cnt[2395][1]~60411\) # (GND)))
-- \led_flash_cnt[2395][2]~60413\ = CARRY((!\led_flash_cnt[2395][1]~60411\) # (!\led_flash_cnt[2395][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2395][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2395][1]~60411\,
	combout => \led_flash_cnt[2395][2]~60412_combout\,
	cout => \led_flash_cnt[2395][2]~60413\);

-- Location: FF_X26_Y4_N19
\led_flash_cnt[2395][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2395][2]~60412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2395][2]~q\);

-- Location: LCCOMB_X26_Y4_N20
\led_flash_cnt[2395][3]~60414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2395][3]~60414_combout\ = (\led_flash_cnt[2395][3]~q\ & (\led_flash_cnt[2395][2]~60413\ $ (GND))) # (!\led_flash_cnt[2395][3]~q\ & (!\led_flash_cnt[2395][2]~60413\ & VCC))
-- \led_flash_cnt[2395][3]~60415\ = CARRY((\led_flash_cnt[2395][3]~q\ & !\led_flash_cnt[2395][2]~60413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2395][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2395][2]~60413\,
	combout => \led_flash_cnt[2395][3]~60414_combout\,
	cout => \led_flash_cnt[2395][3]~60415\);

-- Location: FF_X26_Y4_N21
\led_flash_cnt[2395][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2395][3]~60414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2395][3]~q\);

-- Location: LCCOMB_X26_Y4_N22
\led_flash_cnt[2395][4]~60416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2395][4]~60416_combout\ = (\led_flash_cnt[2395][4]~q\ & (!\led_flash_cnt[2395][3]~60415\)) # (!\led_flash_cnt[2395][4]~q\ & ((\led_flash_cnt[2395][3]~60415\) # (GND)))
-- \led_flash_cnt[2395][4]~60417\ = CARRY((!\led_flash_cnt[2395][3]~60415\) # (!\led_flash_cnt[2395][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2395][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2395][3]~60415\,
	combout => \led_flash_cnt[2395][4]~60416_combout\,
	cout => \led_flash_cnt[2395][4]~60417\);

-- Location: FF_X26_Y4_N23
\led_flash_cnt[2395][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2395][4]~60416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2395][4]~q\);

-- Location: LCCOMB_X26_Y4_N24
\led_flash_cnt[2395][5]~60418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2395][5]~60418_combout\ = (\led_flash_cnt[2395][5]~q\ & (\led_flash_cnt[2395][4]~60417\ $ (GND))) # (!\led_flash_cnt[2395][5]~q\ & (!\led_flash_cnt[2395][4]~60417\ & VCC))
-- \led_flash_cnt[2395][5]~60419\ = CARRY((\led_flash_cnt[2395][5]~q\ & !\led_flash_cnt[2395][4]~60417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2395][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2395][4]~60417\,
	combout => \led_flash_cnt[2395][5]~60418_combout\,
	cout => \led_flash_cnt[2395][5]~60419\);

-- Location: FF_X26_Y4_N25
\led_flash_cnt[2395][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2395][5]~60418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2395][5]~q\);

-- Location: LCCOMB_X26_Y4_N26
\led_flash_cnt[2395][6]~60420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2395][6]~60420_combout\ = (\led_flash_cnt[2395][6]~q\ & (!\led_flash_cnt[2395][5]~60419\)) # (!\led_flash_cnt[2395][6]~q\ & ((\led_flash_cnt[2395][5]~60419\) # (GND)))
-- \led_flash_cnt[2395][6]~60421\ = CARRY((!\led_flash_cnt[2395][5]~60419\) # (!\led_flash_cnt[2395][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2395][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2395][5]~60419\,
	combout => \led_flash_cnt[2395][6]~60420_combout\,
	cout => \led_flash_cnt[2395][6]~60421\);

-- Location: FF_X26_Y4_N27
\led_flash_cnt[2395][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2395][6]~60420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2395][6]~q\);

-- Location: LCCOMB_X27_Y4_N22
\WideAnd2395~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2395~1_combout\ = (\led_flash_cnt[2395][6]~q\ & \led_flash_cnt[2395][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2395][6]~q\,
	datad => \led_flash_cnt[2395][5]~q\,
	combout => \WideAnd2395~1_combout\);

-- Location: LCCOMB_X26_Y4_N30
\WideAnd2395~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2395~0_combout\ = (\led_flash_cnt[2395][3]~q\ & (\led_flash_cnt[2395][2]~q\ & (\led_flash_cnt[2395][4]~q\ & \led_flash_cnt[2395][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2395][3]~q\,
	datab => \led_flash_cnt[2395][2]~q\,
	datac => \led_flash_cnt[2395][4]~q\,
	datad => \led_flash_cnt[2395][1]~q\,
	combout => \WideAnd2395~0_combout\);

-- Location: LCCOMB_X26_Y4_N28
\led_flash_cnt[2395][7]~60422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2395][7]~60422_combout\ = \led_flash_cnt[2395][6]~60421\ $ (!\led_flash_cnt[2395][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2395][7]~q\,
	cin => \led_flash_cnt[2395][6]~60421\,
	combout => \led_flash_cnt[2395][7]~60422_combout\);

-- Location: FF_X26_Y4_N29
\led_flash_cnt[2395][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2395][7]~60422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2395][7]~q\);

-- Location: LCCOMB_X27_Y4_N18
WideAnd2395 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2395~combout\ = (\WideAnd2395~1_combout\ & (\WideAnd2395~0_combout\ & (\led_flash_cnt[2395][0]~q\ & \led_flash_cnt[2395][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2395~1_combout\,
	datab => \WideAnd2395~0_combout\,
	datac => \led_flash_cnt[2395][0]~q\,
	datad => \led_flash_cnt[2395][7]~q\,
	combout => \WideAnd2395~combout\);

-- Location: FF_X27_Y4_N19
\led_flash_cnt_ands[2395]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2395~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2395));

-- Location: LCCOMB_X27_Y4_N0
\WideAnd4139~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4139~0_combout\ = (led_flash_cnt_ands(2394) & (led_flash_cnt_ands(2392) & (led_flash_cnt_ands(2393) & led_flash_cnt_ands(2395))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2394),
	datab => led_flash_cnt_ands(2392),
	datac => led_flash_cnt_ands(2393),
	datad => led_flash_cnt_ands(2395),
	combout => \WideAnd4139~0_combout\);

-- Location: LCCOMB_X30_Y11_N22
\led_flash_cnt[2397][0]~83037\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2397][0]~83037_combout\ = !\led_flash_cnt[2397][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2397][0]~q\,
	combout => \led_flash_cnt[2397][0]~83037_combout\);

-- Location: FF_X30_Y11_N23
\led_flash_cnt[2397][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2397][0]~83037_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2397][0]~q\);

-- Location: LCCOMB_X30_Y8_N8
\led_flash_cnt[2397][1]~60438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2397][1]~60438_combout\ = (\led_flash_cnt[2397][0]~q\ & (\led_flash_cnt[2397][1]~q\ $ (VCC))) # (!\led_flash_cnt[2397][0]~q\ & (\led_flash_cnt[2397][1]~q\ & VCC))
-- \led_flash_cnt[2397][1]~60439\ = CARRY((\led_flash_cnt[2397][0]~q\ & \led_flash_cnt[2397][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2397][0]~q\,
	datab => \led_flash_cnt[2397][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2397][1]~60438_combout\,
	cout => \led_flash_cnt[2397][1]~60439\);

-- Location: FF_X30_Y8_N9
\led_flash_cnt[2397][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2397][1]~60438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2397][1]~q\);

-- Location: LCCOMB_X30_Y8_N10
\led_flash_cnt[2397][2]~60440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2397][2]~60440_combout\ = (\led_flash_cnt[2397][2]~q\ & (!\led_flash_cnt[2397][1]~60439\)) # (!\led_flash_cnt[2397][2]~q\ & ((\led_flash_cnt[2397][1]~60439\) # (GND)))
-- \led_flash_cnt[2397][2]~60441\ = CARRY((!\led_flash_cnt[2397][1]~60439\) # (!\led_flash_cnt[2397][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2397][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2397][1]~60439\,
	combout => \led_flash_cnt[2397][2]~60440_combout\,
	cout => \led_flash_cnt[2397][2]~60441\);

-- Location: FF_X30_Y8_N11
\led_flash_cnt[2397][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2397][2]~60440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2397][2]~q\);

-- Location: LCCOMB_X30_Y8_N12
\led_flash_cnt[2397][3]~60442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2397][3]~60442_combout\ = (\led_flash_cnt[2397][3]~q\ & (\led_flash_cnt[2397][2]~60441\ $ (GND))) # (!\led_flash_cnt[2397][3]~q\ & (!\led_flash_cnt[2397][2]~60441\ & VCC))
-- \led_flash_cnt[2397][3]~60443\ = CARRY((\led_flash_cnt[2397][3]~q\ & !\led_flash_cnt[2397][2]~60441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2397][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2397][2]~60441\,
	combout => \led_flash_cnt[2397][3]~60442_combout\,
	cout => \led_flash_cnt[2397][3]~60443\);

-- Location: FF_X30_Y8_N13
\led_flash_cnt[2397][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2397][3]~60442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2397][3]~q\);

-- Location: LCCOMB_X30_Y8_N14
\led_flash_cnt[2397][4]~60444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2397][4]~60444_combout\ = (\led_flash_cnt[2397][4]~q\ & (!\led_flash_cnt[2397][3]~60443\)) # (!\led_flash_cnt[2397][4]~q\ & ((\led_flash_cnt[2397][3]~60443\) # (GND)))
-- \led_flash_cnt[2397][4]~60445\ = CARRY((!\led_flash_cnt[2397][3]~60443\) # (!\led_flash_cnt[2397][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2397][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2397][3]~60443\,
	combout => \led_flash_cnt[2397][4]~60444_combout\,
	cout => \led_flash_cnt[2397][4]~60445\);

-- Location: FF_X30_Y8_N15
\led_flash_cnt[2397][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2397][4]~60444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2397][4]~q\);

-- Location: LCCOMB_X30_Y8_N16
\led_flash_cnt[2397][5]~60446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2397][5]~60446_combout\ = (\led_flash_cnt[2397][5]~q\ & (\led_flash_cnt[2397][4]~60445\ $ (GND))) # (!\led_flash_cnt[2397][5]~q\ & (!\led_flash_cnt[2397][4]~60445\ & VCC))
-- \led_flash_cnt[2397][5]~60447\ = CARRY((\led_flash_cnt[2397][5]~q\ & !\led_flash_cnt[2397][4]~60445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2397][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2397][4]~60445\,
	combout => \led_flash_cnt[2397][5]~60446_combout\,
	cout => \led_flash_cnt[2397][5]~60447\);

-- Location: FF_X30_Y8_N17
\led_flash_cnt[2397][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2397][5]~60446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2397][5]~q\);

-- Location: LCCOMB_X30_Y8_N18
\led_flash_cnt[2397][6]~60448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2397][6]~60448_combout\ = (\led_flash_cnt[2397][6]~q\ & (!\led_flash_cnt[2397][5]~60447\)) # (!\led_flash_cnt[2397][6]~q\ & ((\led_flash_cnt[2397][5]~60447\) # (GND)))
-- \led_flash_cnt[2397][6]~60449\ = CARRY((!\led_flash_cnt[2397][5]~60447\) # (!\led_flash_cnt[2397][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2397][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2397][5]~60447\,
	combout => \led_flash_cnt[2397][6]~60448_combout\,
	cout => \led_flash_cnt[2397][6]~60449\);

-- Location: FF_X30_Y8_N19
\led_flash_cnt[2397][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2397][6]~60448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2397][6]~q\);

-- Location: LCCOMB_X30_Y8_N20
\led_flash_cnt[2397][7]~60450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2397][7]~60450_combout\ = \led_flash_cnt[2397][6]~60449\ $ (!\led_flash_cnt[2397][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2397][7]~q\,
	cin => \led_flash_cnt[2397][6]~60449\,
	combout => \led_flash_cnt[2397][7]~60450_combout\);

-- Location: FF_X30_Y8_N21
\led_flash_cnt[2397][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2397][7]~60450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2397][7]~q\);

-- Location: LCCOMB_X30_Y8_N30
\WideAnd2397~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2397~0_combout\ = (\led_flash_cnt[2397][3]~q\ & (\led_flash_cnt[2397][1]~q\ & (\led_flash_cnt[2397][4]~q\ & \led_flash_cnt[2397][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2397][3]~q\,
	datab => \led_flash_cnt[2397][1]~q\,
	datac => \led_flash_cnt[2397][4]~q\,
	datad => \led_flash_cnt[2397][2]~q\,
	combout => \WideAnd2397~0_combout\);

-- Location: LCCOMB_X30_Y8_N24
\WideAnd2397~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2397~1_combout\ = (\led_flash_cnt[2397][5]~q\ & \led_flash_cnt[2397][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2397][5]~q\,
	datad => \led_flash_cnt[2397][6]~q\,
	combout => \WideAnd2397~1_combout\);

-- Location: LCCOMB_X30_Y8_N26
WideAnd2397 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2397~combout\ = (\led_flash_cnt[2397][0]~q\ & (\led_flash_cnt[2397][7]~q\ & (\WideAnd2397~0_combout\ & \WideAnd2397~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2397][0]~q\,
	datab => \led_flash_cnt[2397][7]~q\,
	datac => \WideAnd2397~0_combout\,
	datad => \WideAnd2397~1_combout\,
	combout => \WideAnd2397~combout\);

-- Location: FF_X30_Y8_N27
\led_flash_cnt_ands[2397]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2397~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2397));

-- Location: LCCOMB_X30_Y9_N6
\led_flash_cnt[2396][0]~83036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2396][0]~83036_combout\ = !\led_flash_cnt[2396][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2396][0]~q\,
	combout => \led_flash_cnt[2396][0]~83036_combout\);

-- Location: FF_X30_Y9_N7
\led_flash_cnt[2396][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2396][0]~83036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2396][0]~q\);

-- Location: LCCOMB_X31_Y9_N18
\led_flash_cnt[2396][1]~60424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2396][1]~60424_combout\ = (\led_flash_cnt[2396][0]~q\ & (\led_flash_cnt[2396][1]~q\ $ (VCC))) # (!\led_flash_cnt[2396][0]~q\ & (\led_flash_cnt[2396][1]~q\ & VCC))
-- \led_flash_cnt[2396][1]~60425\ = CARRY((\led_flash_cnt[2396][0]~q\ & \led_flash_cnt[2396][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2396][0]~q\,
	datab => \led_flash_cnt[2396][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2396][1]~60424_combout\,
	cout => \led_flash_cnt[2396][1]~60425\);

-- Location: FF_X31_Y9_N19
\led_flash_cnt[2396][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2396][1]~60424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2396][1]~q\);

-- Location: LCCOMB_X31_Y9_N20
\led_flash_cnt[2396][2]~60426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2396][2]~60426_combout\ = (\led_flash_cnt[2396][2]~q\ & (!\led_flash_cnt[2396][1]~60425\)) # (!\led_flash_cnt[2396][2]~q\ & ((\led_flash_cnt[2396][1]~60425\) # (GND)))
-- \led_flash_cnt[2396][2]~60427\ = CARRY((!\led_flash_cnt[2396][1]~60425\) # (!\led_flash_cnt[2396][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2396][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2396][1]~60425\,
	combout => \led_flash_cnt[2396][2]~60426_combout\,
	cout => \led_flash_cnt[2396][2]~60427\);

-- Location: FF_X31_Y9_N21
\led_flash_cnt[2396][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2396][2]~60426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2396][2]~q\);

-- Location: LCCOMB_X31_Y9_N22
\led_flash_cnt[2396][3]~60428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2396][3]~60428_combout\ = (\led_flash_cnt[2396][3]~q\ & (\led_flash_cnt[2396][2]~60427\ $ (GND))) # (!\led_flash_cnt[2396][3]~q\ & (!\led_flash_cnt[2396][2]~60427\ & VCC))
-- \led_flash_cnt[2396][3]~60429\ = CARRY((\led_flash_cnt[2396][3]~q\ & !\led_flash_cnt[2396][2]~60427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2396][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2396][2]~60427\,
	combout => \led_flash_cnt[2396][3]~60428_combout\,
	cout => \led_flash_cnt[2396][3]~60429\);

-- Location: FF_X31_Y9_N23
\led_flash_cnt[2396][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2396][3]~60428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2396][3]~q\);

-- Location: LCCOMB_X31_Y9_N24
\led_flash_cnt[2396][4]~60430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2396][4]~60430_combout\ = (\led_flash_cnt[2396][4]~q\ & (!\led_flash_cnt[2396][3]~60429\)) # (!\led_flash_cnt[2396][4]~q\ & ((\led_flash_cnt[2396][3]~60429\) # (GND)))
-- \led_flash_cnt[2396][4]~60431\ = CARRY((!\led_flash_cnt[2396][3]~60429\) # (!\led_flash_cnt[2396][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2396][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2396][3]~60429\,
	combout => \led_flash_cnt[2396][4]~60430_combout\,
	cout => \led_flash_cnt[2396][4]~60431\);

-- Location: FF_X31_Y9_N25
\led_flash_cnt[2396][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2396][4]~60430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2396][4]~q\);

-- Location: LCCOMB_X31_Y9_N0
\WideAnd2396~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2396~0_combout\ = (\led_flash_cnt[2396][4]~q\ & (\led_flash_cnt[2396][2]~q\ & (\led_flash_cnt[2396][3]~q\ & \led_flash_cnt[2396][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2396][4]~q\,
	datab => \led_flash_cnt[2396][2]~q\,
	datac => \led_flash_cnt[2396][3]~q\,
	datad => \led_flash_cnt[2396][1]~q\,
	combout => \WideAnd2396~0_combout\);

-- Location: LCCOMB_X31_Y9_N26
\led_flash_cnt[2396][5]~60432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2396][5]~60432_combout\ = (\led_flash_cnt[2396][5]~q\ & (\led_flash_cnt[2396][4]~60431\ $ (GND))) # (!\led_flash_cnt[2396][5]~q\ & (!\led_flash_cnt[2396][4]~60431\ & VCC))
-- \led_flash_cnt[2396][5]~60433\ = CARRY((\led_flash_cnt[2396][5]~q\ & !\led_flash_cnt[2396][4]~60431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2396][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2396][4]~60431\,
	combout => \led_flash_cnt[2396][5]~60432_combout\,
	cout => \led_flash_cnt[2396][5]~60433\);

-- Location: FF_X31_Y9_N27
\led_flash_cnt[2396][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2396][5]~60432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2396][5]~q\);

-- Location: LCCOMB_X31_Y9_N28
\led_flash_cnt[2396][6]~60434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2396][6]~60434_combout\ = (\led_flash_cnt[2396][6]~q\ & (!\led_flash_cnt[2396][5]~60433\)) # (!\led_flash_cnt[2396][6]~q\ & ((\led_flash_cnt[2396][5]~60433\) # (GND)))
-- \led_flash_cnt[2396][6]~60435\ = CARRY((!\led_flash_cnt[2396][5]~60433\) # (!\led_flash_cnt[2396][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2396][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2396][5]~60433\,
	combout => \led_flash_cnt[2396][6]~60434_combout\,
	cout => \led_flash_cnt[2396][6]~60435\);

-- Location: FF_X31_Y9_N29
\led_flash_cnt[2396][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2396][6]~60434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2396][6]~q\);

-- Location: LCCOMB_X31_Y9_N30
\led_flash_cnt[2396][7]~60436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2396][7]~60436_combout\ = \led_flash_cnt[2396][7]~q\ $ (!\led_flash_cnt[2396][6]~60435\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2396][7]~q\,
	cin => \led_flash_cnt[2396][6]~60435\,
	combout => \led_flash_cnt[2396][7]~60436_combout\);

-- Location: FF_X31_Y9_N31
\led_flash_cnt[2396][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2396][7]~60436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2396][7]~q\);

-- Location: LCCOMB_X31_Y9_N16
\WideAnd2396~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2396~1_combout\ = (\led_flash_cnt[2396][5]~q\ & \led_flash_cnt[2396][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2396][5]~q\,
	datad => \led_flash_cnt[2396][6]~q\,
	combout => \WideAnd2396~1_combout\);

-- Location: LCCOMB_X30_Y9_N30
WideAnd2396 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2396~combout\ = (\led_flash_cnt[2396][0]~q\ & (\WideAnd2396~0_combout\ & (\led_flash_cnt[2396][7]~q\ & \WideAnd2396~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2396][0]~q\,
	datab => \WideAnd2396~0_combout\,
	datac => \led_flash_cnt[2396][7]~q\,
	datad => \WideAnd2396~1_combout\,
	combout => \WideAnd2396~combout\);

-- Location: FF_X30_Y9_N31
\led_flash_cnt_ands[2396]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2396~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2396));

-- Location: LCCOMB_X30_Y8_N28
\WideAnd4139~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4139~1_combout\ = (led_flash_cnt_ands(2397) & led_flash_cnt_ands(2396))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2397),
	datac => led_flash_cnt_ands(2396),
	combout => \WideAnd4139~1_combout\);

-- Location: LCCOMB_X34_Y4_N24
\led_flash_cnt[2398][0]~83038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2398][0]~83038_combout\ = !\led_flash_cnt[2398][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2398][0]~q\,
	combout => \led_flash_cnt[2398][0]~83038_combout\);

-- Location: FF_X34_Y4_N25
\led_flash_cnt[2398][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2398][0]~83038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2398][0]~q\);

-- Location: LCCOMB_X32_Y4_N16
\led_flash_cnt[2398][1]~60452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2398][1]~60452_combout\ = (\led_flash_cnt[2398][0]~q\ & (\led_flash_cnt[2398][1]~q\ $ (VCC))) # (!\led_flash_cnt[2398][0]~q\ & (\led_flash_cnt[2398][1]~q\ & VCC))
-- \led_flash_cnt[2398][1]~60453\ = CARRY((\led_flash_cnt[2398][0]~q\ & \led_flash_cnt[2398][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2398][0]~q\,
	datab => \led_flash_cnt[2398][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2398][1]~60452_combout\,
	cout => \led_flash_cnt[2398][1]~60453\);

-- Location: FF_X32_Y4_N17
\led_flash_cnt[2398][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2398][1]~60452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2398][1]~q\);

-- Location: LCCOMB_X32_Y4_N18
\led_flash_cnt[2398][2]~60454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2398][2]~60454_combout\ = (\led_flash_cnt[2398][2]~q\ & (!\led_flash_cnt[2398][1]~60453\)) # (!\led_flash_cnt[2398][2]~q\ & ((\led_flash_cnt[2398][1]~60453\) # (GND)))
-- \led_flash_cnt[2398][2]~60455\ = CARRY((!\led_flash_cnt[2398][1]~60453\) # (!\led_flash_cnt[2398][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2398][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2398][1]~60453\,
	combout => \led_flash_cnt[2398][2]~60454_combout\,
	cout => \led_flash_cnt[2398][2]~60455\);

-- Location: FF_X32_Y4_N19
\led_flash_cnt[2398][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2398][2]~60454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2398][2]~q\);

-- Location: LCCOMB_X32_Y4_N20
\led_flash_cnt[2398][3]~60456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2398][3]~60456_combout\ = (\led_flash_cnt[2398][3]~q\ & (\led_flash_cnt[2398][2]~60455\ $ (GND))) # (!\led_flash_cnt[2398][3]~q\ & (!\led_flash_cnt[2398][2]~60455\ & VCC))
-- \led_flash_cnt[2398][3]~60457\ = CARRY((\led_flash_cnt[2398][3]~q\ & !\led_flash_cnt[2398][2]~60455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2398][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2398][2]~60455\,
	combout => \led_flash_cnt[2398][3]~60456_combout\,
	cout => \led_flash_cnt[2398][3]~60457\);

-- Location: FF_X32_Y4_N21
\led_flash_cnt[2398][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2398][3]~60456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2398][3]~q\);

-- Location: LCCOMB_X32_Y4_N22
\led_flash_cnt[2398][4]~60458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2398][4]~60458_combout\ = (\led_flash_cnt[2398][4]~q\ & (!\led_flash_cnt[2398][3]~60457\)) # (!\led_flash_cnt[2398][4]~q\ & ((\led_flash_cnt[2398][3]~60457\) # (GND)))
-- \led_flash_cnt[2398][4]~60459\ = CARRY((!\led_flash_cnt[2398][3]~60457\) # (!\led_flash_cnt[2398][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2398][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2398][3]~60457\,
	combout => \led_flash_cnt[2398][4]~60458_combout\,
	cout => \led_flash_cnt[2398][4]~60459\);

-- Location: FF_X32_Y4_N23
\led_flash_cnt[2398][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2398][4]~60458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2398][4]~q\);

-- Location: LCCOMB_X32_Y4_N30
\WideAnd2398~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2398~0_combout\ = (\led_flash_cnt[2398][3]~q\ & (\led_flash_cnt[2398][1]~q\ & (\led_flash_cnt[2398][4]~q\ & \led_flash_cnt[2398][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2398][3]~q\,
	datab => \led_flash_cnt[2398][1]~q\,
	datac => \led_flash_cnt[2398][4]~q\,
	datad => \led_flash_cnt[2398][2]~q\,
	combout => \WideAnd2398~0_combout\);

-- Location: LCCOMB_X32_Y4_N24
\led_flash_cnt[2398][5]~60460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2398][5]~60460_combout\ = (\led_flash_cnt[2398][5]~q\ & (\led_flash_cnt[2398][4]~60459\ $ (GND))) # (!\led_flash_cnt[2398][5]~q\ & (!\led_flash_cnt[2398][4]~60459\ & VCC))
-- \led_flash_cnt[2398][5]~60461\ = CARRY((\led_flash_cnt[2398][5]~q\ & !\led_flash_cnt[2398][4]~60459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2398][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2398][4]~60459\,
	combout => \led_flash_cnt[2398][5]~60460_combout\,
	cout => \led_flash_cnt[2398][5]~60461\);

-- Location: FF_X32_Y4_N25
\led_flash_cnt[2398][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2398][5]~60460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2398][5]~q\);

-- Location: LCCOMB_X32_Y4_N26
\led_flash_cnt[2398][6]~60462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2398][6]~60462_combout\ = (\led_flash_cnt[2398][6]~q\ & (!\led_flash_cnt[2398][5]~60461\)) # (!\led_flash_cnt[2398][6]~q\ & ((\led_flash_cnt[2398][5]~60461\) # (GND)))
-- \led_flash_cnt[2398][6]~60463\ = CARRY((!\led_flash_cnt[2398][5]~60461\) # (!\led_flash_cnt[2398][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2398][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2398][5]~60461\,
	combout => \led_flash_cnt[2398][6]~60462_combout\,
	cout => \led_flash_cnt[2398][6]~60463\);

-- Location: FF_X32_Y4_N27
\led_flash_cnt[2398][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2398][6]~60462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2398][6]~q\);

-- Location: LCCOMB_X32_Y4_N28
\led_flash_cnt[2398][7]~60464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2398][7]~60464_combout\ = \led_flash_cnt[2398][6]~60463\ $ (!\led_flash_cnt[2398][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2398][7]~q\,
	cin => \led_flash_cnt[2398][6]~60463\,
	combout => \led_flash_cnt[2398][7]~60464_combout\);

-- Location: FF_X32_Y4_N29
\led_flash_cnt[2398][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2398][7]~60464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2398][7]~q\);

-- Location: LCCOMB_X35_Y4_N26
\WideAnd2398~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2398~1_combout\ = (\led_flash_cnt[2398][6]~q\ & \led_flash_cnt[2398][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2398][6]~q\,
	datad => \led_flash_cnt[2398][5]~q\,
	combout => \WideAnd2398~1_combout\);

-- Location: LCCOMB_X34_Y4_N2
WideAnd2398 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2398~combout\ = (\WideAnd2398~0_combout\ & (\led_flash_cnt[2398][0]~q\ & (\led_flash_cnt[2398][7]~q\ & \WideAnd2398~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2398~0_combout\,
	datab => \led_flash_cnt[2398][0]~q\,
	datac => \led_flash_cnt[2398][7]~q\,
	datad => \WideAnd2398~1_combout\,
	combout => \WideAnd2398~combout\);

-- Location: FF_X34_Y4_N3
\led_flash_cnt_ands[2398]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2398~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2398));

-- Location: LCCOMB_X30_Y8_N6
\led_flash_cnt[2399][0]~83039\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2399][0]~83039_combout\ = !\led_flash_cnt[2399][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2399][0]~q\,
	combout => \led_flash_cnt[2399][0]~83039_combout\);

-- Location: FF_X30_Y8_N7
\led_flash_cnt[2399][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2399][0]~83039_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2399][0]~q\);

-- Location: LCCOMB_X31_Y8_N4
\led_flash_cnt[2399][1]~60466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2399][1]~60466_combout\ = (\led_flash_cnt[2399][0]~q\ & (\led_flash_cnt[2399][1]~q\ $ (VCC))) # (!\led_flash_cnt[2399][0]~q\ & (\led_flash_cnt[2399][1]~q\ & VCC))
-- \led_flash_cnt[2399][1]~60467\ = CARRY((\led_flash_cnt[2399][0]~q\ & \led_flash_cnt[2399][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2399][0]~q\,
	datab => \led_flash_cnt[2399][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2399][1]~60466_combout\,
	cout => \led_flash_cnt[2399][1]~60467\);

-- Location: FF_X31_Y8_N5
\led_flash_cnt[2399][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2399][1]~60466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2399][1]~q\);

-- Location: LCCOMB_X31_Y8_N6
\led_flash_cnt[2399][2]~60468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2399][2]~60468_combout\ = (\led_flash_cnt[2399][2]~q\ & (!\led_flash_cnt[2399][1]~60467\)) # (!\led_flash_cnt[2399][2]~q\ & ((\led_flash_cnt[2399][1]~60467\) # (GND)))
-- \led_flash_cnt[2399][2]~60469\ = CARRY((!\led_flash_cnt[2399][1]~60467\) # (!\led_flash_cnt[2399][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2399][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2399][1]~60467\,
	combout => \led_flash_cnt[2399][2]~60468_combout\,
	cout => \led_flash_cnt[2399][2]~60469\);

-- Location: FF_X31_Y8_N7
\led_flash_cnt[2399][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2399][2]~60468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2399][2]~q\);

-- Location: LCCOMB_X31_Y8_N8
\led_flash_cnt[2399][3]~60470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2399][3]~60470_combout\ = (\led_flash_cnt[2399][3]~q\ & (\led_flash_cnt[2399][2]~60469\ $ (GND))) # (!\led_flash_cnt[2399][3]~q\ & (!\led_flash_cnt[2399][2]~60469\ & VCC))
-- \led_flash_cnt[2399][3]~60471\ = CARRY((\led_flash_cnt[2399][3]~q\ & !\led_flash_cnt[2399][2]~60469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2399][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2399][2]~60469\,
	combout => \led_flash_cnt[2399][3]~60470_combout\,
	cout => \led_flash_cnt[2399][3]~60471\);

-- Location: FF_X31_Y8_N9
\led_flash_cnt[2399][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2399][3]~60470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2399][3]~q\);

-- Location: LCCOMB_X31_Y8_N10
\led_flash_cnt[2399][4]~60472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2399][4]~60472_combout\ = (\led_flash_cnt[2399][4]~q\ & (!\led_flash_cnt[2399][3]~60471\)) # (!\led_flash_cnt[2399][4]~q\ & ((\led_flash_cnt[2399][3]~60471\) # (GND)))
-- \led_flash_cnt[2399][4]~60473\ = CARRY((!\led_flash_cnt[2399][3]~60471\) # (!\led_flash_cnt[2399][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2399][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2399][3]~60471\,
	combout => \led_flash_cnt[2399][4]~60472_combout\,
	cout => \led_flash_cnt[2399][4]~60473\);

-- Location: FF_X31_Y8_N11
\led_flash_cnt[2399][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2399][4]~60472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2399][4]~q\);

-- Location: LCCOMB_X31_Y8_N12
\led_flash_cnt[2399][5]~60474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2399][5]~60474_combout\ = (\led_flash_cnt[2399][5]~q\ & (\led_flash_cnt[2399][4]~60473\ $ (GND))) # (!\led_flash_cnt[2399][5]~q\ & (!\led_flash_cnt[2399][4]~60473\ & VCC))
-- \led_flash_cnt[2399][5]~60475\ = CARRY((\led_flash_cnt[2399][5]~q\ & !\led_flash_cnt[2399][4]~60473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2399][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2399][4]~60473\,
	combout => \led_flash_cnt[2399][5]~60474_combout\,
	cout => \led_flash_cnt[2399][5]~60475\);

-- Location: FF_X31_Y8_N13
\led_flash_cnt[2399][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2399][5]~60474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2399][5]~q\);

-- Location: LCCOMB_X31_Y8_N14
\led_flash_cnt[2399][6]~60476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2399][6]~60476_combout\ = (\led_flash_cnt[2399][6]~q\ & (!\led_flash_cnt[2399][5]~60475\)) # (!\led_flash_cnt[2399][6]~q\ & ((\led_flash_cnt[2399][5]~60475\) # (GND)))
-- \led_flash_cnt[2399][6]~60477\ = CARRY((!\led_flash_cnt[2399][5]~60475\) # (!\led_flash_cnt[2399][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2399][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2399][5]~60475\,
	combout => \led_flash_cnt[2399][6]~60476_combout\,
	cout => \led_flash_cnt[2399][6]~60477\);

-- Location: FF_X31_Y8_N15
\led_flash_cnt[2399][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2399][6]~60476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2399][6]~q\);

-- Location: LCCOMB_X31_Y8_N16
\led_flash_cnt[2399][7]~60478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2399][7]~60478_combout\ = \led_flash_cnt[2399][6]~60477\ $ (!\led_flash_cnt[2399][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2399][7]~q\,
	cin => \led_flash_cnt[2399][6]~60477\,
	combout => \led_flash_cnt[2399][7]~60478_combout\);

-- Location: FF_X31_Y8_N17
\led_flash_cnt[2399][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2399][7]~60478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2399][7]~q\);

-- Location: LCCOMB_X31_Y8_N0
\WideAnd2399~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2399~1_combout\ = (\led_flash_cnt[2399][6]~q\ & \led_flash_cnt[2399][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2399][6]~q\,
	datad => \led_flash_cnt[2399][5]~q\,
	combout => \WideAnd2399~1_combout\);

-- Location: LCCOMB_X31_Y8_N2
\WideAnd2399~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2399~0_combout\ = (\led_flash_cnt[2399][2]~q\ & (\led_flash_cnt[2399][1]~q\ & (\led_flash_cnt[2399][3]~q\ & \led_flash_cnt[2399][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2399][2]~q\,
	datab => \led_flash_cnt[2399][1]~q\,
	datac => \led_flash_cnt[2399][3]~q\,
	datad => \led_flash_cnt[2399][4]~q\,
	combout => \WideAnd2399~0_combout\);

-- Location: LCCOMB_X30_Y8_N2
WideAnd2399 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2399~combout\ = (\led_flash_cnt[2399][0]~q\ & (\led_flash_cnt[2399][7]~q\ & (\WideAnd2399~1_combout\ & \WideAnd2399~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2399][0]~q\,
	datab => \led_flash_cnt[2399][7]~q\,
	datac => \WideAnd2399~1_combout\,
	datad => \WideAnd2399~0_combout\,
	combout => \WideAnd2399~combout\);

-- Location: FF_X30_Y8_N3
\led_flash_cnt_ands[2399]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2399~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2399));

-- Location: LCCOMB_X30_Y8_N22
WideAnd4139 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4139~combout\ = (\WideAnd4139~0_combout\ & (\WideAnd4139~1_combout\ & (led_flash_cnt_ands(2398) & led_flash_cnt_ands(2399))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4139~0_combout\,
	datab => \WideAnd4139~1_combout\,
	datac => led_flash_cnt_ands(2398),
	datad => led_flash_cnt_ands(2399),
	combout => \WideAnd4139~combout\);

-- Location: FF_X30_Y8_N23
\led_flash_cnt_ands_1[299]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4139~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(299));

-- Location: LCCOMB_X26_Y13_N6
\led_flash_cnt[2377][0]~83017\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2377][0]~83017_combout\ = !\led_flash_cnt[2377][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2377][0]~q\,
	combout => \led_flash_cnt[2377][0]~83017_combout\);

-- Location: FF_X26_Y13_N7
\led_flash_cnt[2377][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2377][0]~83017_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2377][0]~q\);

-- Location: LCCOMB_X25_Y13_N0
\led_flash_cnt[2377][1]~60158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2377][1]~60158_combout\ = (\led_flash_cnt[2377][0]~q\ & (\led_flash_cnt[2377][1]~q\ $ (VCC))) # (!\led_flash_cnt[2377][0]~q\ & (\led_flash_cnt[2377][1]~q\ & VCC))
-- \led_flash_cnt[2377][1]~60159\ = CARRY((\led_flash_cnt[2377][0]~q\ & \led_flash_cnt[2377][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2377][0]~q\,
	datab => \led_flash_cnt[2377][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2377][1]~60158_combout\,
	cout => \led_flash_cnt[2377][1]~60159\);

-- Location: FF_X25_Y13_N1
\led_flash_cnt[2377][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2377][1]~60158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2377][1]~q\);

-- Location: LCCOMB_X25_Y13_N2
\led_flash_cnt[2377][2]~60160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2377][2]~60160_combout\ = (\led_flash_cnt[2377][2]~q\ & (!\led_flash_cnt[2377][1]~60159\)) # (!\led_flash_cnt[2377][2]~q\ & ((\led_flash_cnt[2377][1]~60159\) # (GND)))
-- \led_flash_cnt[2377][2]~60161\ = CARRY((!\led_flash_cnt[2377][1]~60159\) # (!\led_flash_cnt[2377][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2377][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2377][1]~60159\,
	combout => \led_flash_cnt[2377][2]~60160_combout\,
	cout => \led_flash_cnt[2377][2]~60161\);

-- Location: FF_X25_Y13_N3
\led_flash_cnt[2377][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2377][2]~60160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2377][2]~q\);

-- Location: LCCOMB_X25_Y13_N4
\led_flash_cnt[2377][3]~60162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2377][3]~60162_combout\ = (\led_flash_cnt[2377][3]~q\ & (\led_flash_cnt[2377][2]~60161\ $ (GND))) # (!\led_flash_cnt[2377][3]~q\ & (!\led_flash_cnt[2377][2]~60161\ & VCC))
-- \led_flash_cnt[2377][3]~60163\ = CARRY((\led_flash_cnt[2377][3]~q\ & !\led_flash_cnt[2377][2]~60161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2377][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2377][2]~60161\,
	combout => \led_flash_cnt[2377][3]~60162_combout\,
	cout => \led_flash_cnt[2377][3]~60163\);

-- Location: FF_X25_Y13_N5
\led_flash_cnt[2377][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2377][3]~60162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2377][3]~q\);

-- Location: LCCOMB_X25_Y13_N6
\led_flash_cnt[2377][4]~60164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2377][4]~60164_combout\ = (\led_flash_cnt[2377][4]~q\ & (!\led_flash_cnt[2377][3]~60163\)) # (!\led_flash_cnt[2377][4]~q\ & ((\led_flash_cnt[2377][3]~60163\) # (GND)))
-- \led_flash_cnt[2377][4]~60165\ = CARRY((!\led_flash_cnt[2377][3]~60163\) # (!\led_flash_cnt[2377][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2377][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2377][3]~60163\,
	combout => \led_flash_cnt[2377][4]~60164_combout\,
	cout => \led_flash_cnt[2377][4]~60165\);

-- Location: FF_X25_Y13_N7
\led_flash_cnt[2377][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2377][4]~60164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2377][4]~q\);

-- Location: LCCOMB_X25_Y13_N8
\led_flash_cnt[2377][5]~60166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2377][5]~60166_combout\ = (\led_flash_cnt[2377][5]~q\ & (\led_flash_cnt[2377][4]~60165\ $ (GND))) # (!\led_flash_cnt[2377][5]~q\ & (!\led_flash_cnt[2377][4]~60165\ & VCC))
-- \led_flash_cnt[2377][5]~60167\ = CARRY((\led_flash_cnt[2377][5]~q\ & !\led_flash_cnt[2377][4]~60165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2377][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2377][4]~60165\,
	combout => \led_flash_cnt[2377][5]~60166_combout\,
	cout => \led_flash_cnt[2377][5]~60167\);

-- Location: FF_X25_Y13_N9
\led_flash_cnt[2377][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2377][5]~60166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2377][5]~q\);

-- Location: LCCOMB_X25_Y13_N10
\led_flash_cnt[2377][6]~60168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2377][6]~60168_combout\ = (\led_flash_cnt[2377][6]~q\ & (!\led_flash_cnt[2377][5]~60167\)) # (!\led_flash_cnt[2377][6]~q\ & ((\led_flash_cnt[2377][5]~60167\) # (GND)))
-- \led_flash_cnt[2377][6]~60169\ = CARRY((!\led_flash_cnt[2377][5]~60167\) # (!\led_flash_cnt[2377][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2377][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2377][5]~60167\,
	combout => \led_flash_cnt[2377][6]~60168_combout\,
	cout => \led_flash_cnt[2377][6]~60169\);

-- Location: FF_X25_Y13_N11
\led_flash_cnt[2377][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2377][6]~60168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2377][6]~q\);

-- Location: LCCOMB_X26_Y13_N28
\WideAnd2377~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2377~1_combout\ = (\led_flash_cnt[2377][6]~q\ & \led_flash_cnt[2377][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2377][6]~q\,
	datad => \led_flash_cnt[2377][5]~q\,
	combout => \WideAnd2377~1_combout\);

-- Location: LCCOMB_X25_Y13_N30
\WideAnd2377~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2377~0_combout\ = (\led_flash_cnt[2377][4]~q\ & (\led_flash_cnt[2377][2]~q\ & (\led_flash_cnt[2377][3]~q\ & \led_flash_cnt[2377][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2377][4]~q\,
	datab => \led_flash_cnt[2377][2]~q\,
	datac => \led_flash_cnt[2377][3]~q\,
	datad => \led_flash_cnt[2377][1]~q\,
	combout => \WideAnd2377~0_combout\);

-- Location: LCCOMB_X25_Y13_N12
\led_flash_cnt[2377][7]~60170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2377][7]~60170_combout\ = \led_flash_cnt[2377][6]~60169\ $ (!\led_flash_cnt[2377][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2377][7]~q\,
	cin => \led_flash_cnt[2377][6]~60169\,
	combout => \led_flash_cnt[2377][7]~60170_combout\);

-- Location: FF_X25_Y13_N13
\led_flash_cnt[2377][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2377][7]~60170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2377][7]~q\);

-- Location: LCCOMB_X25_Y13_N14
WideAnd2377 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2377~combout\ = (\led_flash_cnt[2377][0]~q\ & (\WideAnd2377~1_combout\ & (\WideAnd2377~0_combout\ & \led_flash_cnt[2377][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2377][0]~q\,
	datab => \WideAnd2377~1_combout\,
	datac => \WideAnd2377~0_combout\,
	datad => \led_flash_cnt[2377][7]~q\,
	combout => \WideAnd2377~combout\);

-- Location: FF_X25_Y13_N15
\led_flash_cnt_ands[2377]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2377~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2377));

-- Location: LCCOMB_X30_Y13_N4
\led_flash_cnt[2378][0]~83018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2378][0]~83018_combout\ = !\led_flash_cnt[2378][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2378][0]~q\,
	combout => \led_flash_cnt[2378][0]~83018_combout\);

-- Location: FF_X30_Y13_N5
\led_flash_cnt[2378][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2378][0]~83018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2378][0]~q\);

-- Location: LCCOMB_X27_Y13_N16
\led_flash_cnt[2378][1]~60172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2378][1]~60172_combout\ = (\led_flash_cnt[2378][0]~q\ & (\led_flash_cnt[2378][1]~q\ $ (VCC))) # (!\led_flash_cnt[2378][0]~q\ & (\led_flash_cnt[2378][1]~q\ & VCC))
-- \led_flash_cnt[2378][1]~60173\ = CARRY((\led_flash_cnt[2378][0]~q\ & \led_flash_cnt[2378][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2378][0]~q\,
	datab => \led_flash_cnt[2378][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2378][1]~60172_combout\,
	cout => \led_flash_cnt[2378][1]~60173\);

-- Location: FF_X27_Y13_N17
\led_flash_cnt[2378][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2378][1]~60172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2378][1]~q\);

-- Location: LCCOMB_X27_Y13_N18
\led_flash_cnt[2378][2]~60174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2378][2]~60174_combout\ = (\led_flash_cnt[2378][2]~q\ & (!\led_flash_cnt[2378][1]~60173\)) # (!\led_flash_cnt[2378][2]~q\ & ((\led_flash_cnt[2378][1]~60173\) # (GND)))
-- \led_flash_cnt[2378][2]~60175\ = CARRY((!\led_flash_cnt[2378][1]~60173\) # (!\led_flash_cnt[2378][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2378][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2378][1]~60173\,
	combout => \led_flash_cnt[2378][2]~60174_combout\,
	cout => \led_flash_cnt[2378][2]~60175\);

-- Location: FF_X27_Y13_N19
\led_flash_cnt[2378][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2378][2]~60174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2378][2]~q\);

-- Location: LCCOMB_X27_Y13_N20
\led_flash_cnt[2378][3]~60176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2378][3]~60176_combout\ = (\led_flash_cnt[2378][3]~q\ & (\led_flash_cnt[2378][2]~60175\ $ (GND))) # (!\led_flash_cnt[2378][3]~q\ & (!\led_flash_cnt[2378][2]~60175\ & VCC))
-- \led_flash_cnt[2378][3]~60177\ = CARRY((\led_flash_cnt[2378][3]~q\ & !\led_flash_cnt[2378][2]~60175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2378][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2378][2]~60175\,
	combout => \led_flash_cnt[2378][3]~60176_combout\,
	cout => \led_flash_cnt[2378][3]~60177\);

-- Location: FF_X27_Y13_N21
\led_flash_cnt[2378][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2378][3]~60176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2378][3]~q\);

-- Location: LCCOMB_X27_Y13_N22
\led_flash_cnt[2378][4]~60178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2378][4]~60178_combout\ = (\led_flash_cnt[2378][4]~q\ & (!\led_flash_cnt[2378][3]~60177\)) # (!\led_flash_cnt[2378][4]~q\ & ((\led_flash_cnt[2378][3]~60177\) # (GND)))
-- \led_flash_cnt[2378][4]~60179\ = CARRY((!\led_flash_cnt[2378][3]~60177\) # (!\led_flash_cnt[2378][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2378][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2378][3]~60177\,
	combout => \led_flash_cnt[2378][4]~60178_combout\,
	cout => \led_flash_cnt[2378][4]~60179\);

-- Location: FF_X27_Y13_N23
\led_flash_cnt[2378][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2378][4]~60178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2378][4]~q\);

-- Location: LCCOMB_X27_Y13_N14
\WideAnd2378~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2378~0_combout\ = (\led_flash_cnt[2378][3]~q\ & (\led_flash_cnt[2378][2]~q\ & (\led_flash_cnt[2378][4]~q\ & \led_flash_cnt[2378][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2378][3]~q\,
	datab => \led_flash_cnt[2378][2]~q\,
	datac => \led_flash_cnt[2378][4]~q\,
	datad => \led_flash_cnt[2378][1]~q\,
	combout => \WideAnd2378~0_combout\);

-- Location: LCCOMB_X27_Y13_N24
\led_flash_cnt[2378][5]~60180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2378][5]~60180_combout\ = (\led_flash_cnt[2378][5]~q\ & (\led_flash_cnt[2378][4]~60179\ $ (GND))) # (!\led_flash_cnt[2378][5]~q\ & (!\led_flash_cnt[2378][4]~60179\ & VCC))
-- \led_flash_cnt[2378][5]~60181\ = CARRY((\led_flash_cnt[2378][5]~q\ & !\led_flash_cnt[2378][4]~60179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2378][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2378][4]~60179\,
	combout => \led_flash_cnt[2378][5]~60180_combout\,
	cout => \led_flash_cnt[2378][5]~60181\);

-- Location: FF_X27_Y13_N25
\led_flash_cnt[2378][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2378][5]~60180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2378][5]~q\);

-- Location: LCCOMB_X27_Y13_N26
\led_flash_cnt[2378][6]~60182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2378][6]~60182_combout\ = (\led_flash_cnt[2378][6]~q\ & (!\led_flash_cnt[2378][5]~60181\)) # (!\led_flash_cnt[2378][6]~q\ & ((\led_flash_cnt[2378][5]~60181\) # (GND)))
-- \led_flash_cnt[2378][6]~60183\ = CARRY((!\led_flash_cnt[2378][5]~60181\) # (!\led_flash_cnt[2378][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2378][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2378][5]~60181\,
	combout => \led_flash_cnt[2378][6]~60182_combout\,
	cout => \led_flash_cnt[2378][6]~60183\);

-- Location: FF_X27_Y13_N27
\led_flash_cnt[2378][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2378][6]~60182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2378][6]~q\);

-- Location: LCCOMB_X29_Y13_N4
\WideAnd2378~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2378~1_combout\ = (\led_flash_cnt[2378][6]~q\ & \led_flash_cnt[2378][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2378][6]~q\,
	datac => \led_flash_cnt[2378][5]~q\,
	combout => \WideAnd2378~1_combout\);

-- Location: LCCOMB_X27_Y13_N28
\led_flash_cnt[2378][7]~60184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2378][7]~60184_combout\ = \led_flash_cnt[2378][6]~60183\ $ (!\led_flash_cnt[2378][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2378][7]~q\,
	cin => \led_flash_cnt[2378][6]~60183\,
	combout => \led_flash_cnt[2378][7]~60184_combout\);

-- Location: FF_X27_Y13_N29
\led_flash_cnt[2378][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2378][7]~60184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2378][7]~q\);

-- Location: LCCOMB_X26_Y13_N2
WideAnd2378 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2378~combout\ = (\led_flash_cnt[2378][0]~q\ & (\WideAnd2378~0_combout\ & (\WideAnd2378~1_combout\ & \led_flash_cnt[2378][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2378][0]~q\,
	datab => \WideAnd2378~0_combout\,
	datac => \WideAnd2378~1_combout\,
	datad => \led_flash_cnt[2378][7]~q\,
	combout => \WideAnd2378~combout\);

-- Location: FF_X26_Y13_N3
\led_flash_cnt_ands[2378]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2378~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2378));

-- Location: LCCOMB_X26_Y13_N0
\led_flash_cnt[2376][0]~83016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2376][0]~83016_combout\ = !\led_flash_cnt[2376][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2376][0]~q\,
	combout => \led_flash_cnt[2376][0]~83016_combout\);

-- Location: FF_X26_Y13_N1
\led_flash_cnt[2376][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2376][0]~83016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2376][0]~q\);

-- Location: LCCOMB_X26_Y13_N12
\led_flash_cnt[2376][1]~60144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2376][1]~60144_combout\ = (\led_flash_cnt[2376][1]~q\ & (\led_flash_cnt[2376][0]~q\ $ (VCC))) # (!\led_flash_cnt[2376][1]~q\ & (\led_flash_cnt[2376][0]~q\ & VCC))
-- \led_flash_cnt[2376][1]~60145\ = CARRY((\led_flash_cnt[2376][1]~q\ & \led_flash_cnt[2376][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2376][1]~q\,
	datab => \led_flash_cnt[2376][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2376][1]~60144_combout\,
	cout => \led_flash_cnt[2376][1]~60145\);

-- Location: FF_X26_Y13_N13
\led_flash_cnt[2376][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2376][1]~60144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2376][1]~q\);

-- Location: LCCOMB_X26_Y13_N14
\led_flash_cnt[2376][2]~60146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2376][2]~60146_combout\ = (\led_flash_cnt[2376][2]~q\ & (!\led_flash_cnt[2376][1]~60145\)) # (!\led_flash_cnt[2376][2]~q\ & ((\led_flash_cnt[2376][1]~60145\) # (GND)))
-- \led_flash_cnt[2376][2]~60147\ = CARRY((!\led_flash_cnt[2376][1]~60145\) # (!\led_flash_cnt[2376][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2376][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2376][1]~60145\,
	combout => \led_flash_cnt[2376][2]~60146_combout\,
	cout => \led_flash_cnt[2376][2]~60147\);

-- Location: FF_X26_Y13_N15
\led_flash_cnt[2376][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2376][2]~60146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2376][2]~q\);

-- Location: LCCOMB_X26_Y13_N16
\led_flash_cnt[2376][3]~60148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2376][3]~60148_combout\ = (\led_flash_cnt[2376][3]~q\ & (\led_flash_cnt[2376][2]~60147\ $ (GND))) # (!\led_flash_cnt[2376][3]~q\ & (!\led_flash_cnt[2376][2]~60147\ & VCC))
-- \led_flash_cnt[2376][3]~60149\ = CARRY((\led_flash_cnt[2376][3]~q\ & !\led_flash_cnt[2376][2]~60147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2376][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2376][2]~60147\,
	combout => \led_flash_cnt[2376][3]~60148_combout\,
	cout => \led_flash_cnt[2376][3]~60149\);

-- Location: FF_X26_Y13_N17
\led_flash_cnt[2376][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2376][3]~60148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2376][3]~q\);

-- Location: LCCOMB_X26_Y13_N18
\led_flash_cnt[2376][4]~60150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2376][4]~60150_combout\ = (\led_flash_cnt[2376][4]~q\ & (!\led_flash_cnt[2376][3]~60149\)) # (!\led_flash_cnt[2376][4]~q\ & ((\led_flash_cnt[2376][3]~60149\) # (GND)))
-- \led_flash_cnt[2376][4]~60151\ = CARRY((!\led_flash_cnt[2376][3]~60149\) # (!\led_flash_cnt[2376][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2376][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2376][3]~60149\,
	combout => \led_flash_cnt[2376][4]~60150_combout\,
	cout => \led_flash_cnt[2376][4]~60151\);

-- Location: FF_X26_Y13_N19
\led_flash_cnt[2376][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2376][4]~60150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2376][4]~q\);

-- Location: LCCOMB_X26_Y13_N20
\led_flash_cnt[2376][5]~60152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2376][5]~60152_combout\ = (\led_flash_cnt[2376][5]~q\ & (\led_flash_cnt[2376][4]~60151\ $ (GND))) # (!\led_flash_cnt[2376][5]~q\ & (!\led_flash_cnt[2376][4]~60151\ & VCC))
-- \led_flash_cnt[2376][5]~60153\ = CARRY((\led_flash_cnt[2376][5]~q\ & !\led_flash_cnt[2376][4]~60151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2376][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2376][4]~60151\,
	combout => \led_flash_cnt[2376][5]~60152_combout\,
	cout => \led_flash_cnt[2376][5]~60153\);

-- Location: FF_X26_Y13_N21
\led_flash_cnt[2376][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2376][5]~60152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2376][5]~q\);

-- Location: LCCOMB_X26_Y13_N22
\led_flash_cnt[2376][6]~60154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2376][6]~60154_combout\ = (\led_flash_cnt[2376][6]~q\ & (!\led_flash_cnt[2376][5]~60153\)) # (!\led_flash_cnt[2376][6]~q\ & ((\led_flash_cnt[2376][5]~60153\) # (GND)))
-- \led_flash_cnt[2376][6]~60155\ = CARRY((!\led_flash_cnt[2376][5]~60153\) # (!\led_flash_cnt[2376][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2376][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2376][5]~60153\,
	combout => \led_flash_cnt[2376][6]~60154_combout\,
	cout => \led_flash_cnt[2376][6]~60155\);

-- Location: FF_X26_Y13_N23
\led_flash_cnt[2376][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2376][6]~60154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2376][6]~q\);

-- Location: LCCOMB_X26_Y13_N10
\WideAnd2376~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2376~1_combout\ = (\led_flash_cnt[2376][6]~q\ & \led_flash_cnt[2376][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2376][6]~q\,
	datad => \led_flash_cnt[2376][5]~q\,
	combout => \WideAnd2376~1_combout\);

-- Location: LCCOMB_X26_Y13_N30
\WideAnd2376~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2376~0_combout\ = (\led_flash_cnt[2376][1]~q\ & (\led_flash_cnt[2376][2]~q\ & (\led_flash_cnt[2376][4]~q\ & \led_flash_cnt[2376][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2376][1]~q\,
	datab => \led_flash_cnt[2376][2]~q\,
	datac => \led_flash_cnt[2376][4]~q\,
	datad => \led_flash_cnt[2376][3]~q\,
	combout => \WideAnd2376~0_combout\);

-- Location: LCCOMB_X26_Y13_N24
\led_flash_cnt[2376][7]~60156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2376][7]~60156_combout\ = \led_flash_cnt[2376][6]~60155\ $ (!\led_flash_cnt[2376][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2376][7]~q\,
	cin => \led_flash_cnt[2376][6]~60155\,
	combout => \led_flash_cnt[2376][7]~60156_combout\);

-- Location: FF_X26_Y13_N25
\led_flash_cnt[2376][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2376][7]~60156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2376][7]~q\);

-- Location: LCCOMB_X26_Y13_N4
WideAnd2376 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2376~combout\ = (\WideAnd2376~1_combout\ & (\led_flash_cnt[2376][0]~q\ & (\WideAnd2376~0_combout\ & \led_flash_cnt[2376][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2376~1_combout\,
	datab => \led_flash_cnt[2376][0]~q\,
	datac => \WideAnd2376~0_combout\,
	datad => \led_flash_cnt[2376][7]~q\,
	combout => \WideAnd2376~combout\);

-- Location: FF_X26_Y13_N5
\led_flash_cnt_ands[2376]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2376~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2376));

-- Location: LCCOMB_X27_Y17_N2
\led_flash_cnt[2379][0]~83019\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2379][0]~83019_combout\ = !\led_flash_cnt[2379][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2379][0]~q\,
	combout => \led_flash_cnt[2379][0]~83019_combout\);

-- Location: FF_X27_Y17_N3
\led_flash_cnt[2379][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2379][0]~83019_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2379][0]~q\);

-- Location: LCCOMB_X26_Y17_N16
\led_flash_cnt[2379][1]~60186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2379][1]~60186_combout\ = (\led_flash_cnt[2379][0]~q\ & (\led_flash_cnt[2379][1]~q\ $ (VCC))) # (!\led_flash_cnt[2379][0]~q\ & (\led_flash_cnt[2379][1]~q\ & VCC))
-- \led_flash_cnt[2379][1]~60187\ = CARRY((\led_flash_cnt[2379][0]~q\ & \led_flash_cnt[2379][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2379][0]~q\,
	datab => \led_flash_cnt[2379][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2379][1]~60186_combout\,
	cout => \led_flash_cnt[2379][1]~60187\);

-- Location: FF_X26_Y17_N17
\led_flash_cnt[2379][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2379][1]~60186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2379][1]~q\);

-- Location: LCCOMB_X26_Y17_N18
\led_flash_cnt[2379][2]~60188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2379][2]~60188_combout\ = (\led_flash_cnt[2379][2]~q\ & (!\led_flash_cnt[2379][1]~60187\)) # (!\led_flash_cnt[2379][2]~q\ & ((\led_flash_cnt[2379][1]~60187\) # (GND)))
-- \led_flash_cnt[2379][2]~60189\ = CARRY((!\led_flash_cnt[2379][1]~60187\) # (!\led_flash_cnt[2379][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2379][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2379][1]~60187\,
	combout => \led_flash_cnt[2379][2]~60188_combout\,
	cout => \led_flash_cnt[2379][2]~60189\);

-- Location: FF_X26_Y17_N19
\led_flash_cnt[2379][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2379][2]~60188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2379][2]~q\);

-- Location: LCCOMB_X26_Y17_N20
\led_flash_cnt[2379][3]~60190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2379][3]~60190_combout\ = (\led_flash_cnt[2379][3]~q\ & (\led_flash_cnt[2379][2]~60189\ $ (GND))) # (!\led_flash_cnt[2379][3]~q\ & (!\led_flash_cnt[2379][2]~60189\ & VCC))
-- \led_flash_cnt[2379][3]~60191\ = CARRY((\led_flash_cnt[2379][3]~q\ & !\led_flash_cnt[2379][2]~60189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2379][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2379][2]~60189\,
	combout => \led_flash_cnt[2379][3]~60190_combout\,
	cout => \led_flash_cnt[2379][3]~60191\);

-- Location: FF_X26_Y17_N21
\led_flash_cnt[2379][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2379][3]~60190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2379][3]~q\);

-- Location: LCCOMB_X26_Y17_N22
\led_flash_cnt[2379][4]~60192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2379][4]~60192_combout\ = (\led_flash_cnt[2379][4]~q\ & (!\led_flash_cnt[2379][3]~60191\)) # (!\led_flash_cnt[2379][4]~q\ & ((\led_flash_cnt[2379][3]~60191\) # (GND)))
-- \led_flash_cnt[2379][4]~60193\ = CARRY((!\led_flash_cnt[2379][3]~60191\) # (!\led_flash_cnt[2379][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2379][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2379][3]~60191\,
	combout => \led_flash_cnt[2379][4]~60192_combout\,
	cout => \led_flash_cnt[2379][4]~60193\);

-- Location: FF_X26_Y17_N23
\led_flash_cnt[2379][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2379][4]~60192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2379][4]~q\);

-- Location: LCCOMB_X26_Y17_N14
\WideAnd2379~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2379~0_combout\ = (\led_flash_cnt[2379][3]~q\ & (\led_flash_cnt[2379][1]~q\ & (\led_flash_cnt[2379][4]~q\ & \led_flash_cnt[2379][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2379][3]~q\,
	datab => \led_flash_cnt[2379][1]~q\,
	datac => \led_flash_cnt[2379][4]~q\,
	datad => \led_flash_cnt[2379][2]~q\,
	combout => \WideAnd2379~0_combout\);

-- Location: LCCOMB_X26_Y17_N24
\led_flash_cnt[2379][5]~60194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2379][5]~60194_combout\ = (\led_flash_cnt[2379][5]~q\ & (\led_flash_cnt[2379][4]~60193\ $ (GND))) # (!\led_flash_cnt[2379][5]~q\ & (!\led_flash_cnt[2379][4]~60193\ & VCC))
-- \led_flash_cnt[2379][5]~60195\ = CARRY((\led_flash_cnt[2379][5]~q\ & !\led_flash_cnt[2379][4]~60193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2379][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2379][4]~60193\,
	combout => \led_flash_cnt[2379][5]~60194_combout\,
	cout => \led_flash_cnt[2379][5]~60195\);

-- Location: FF_X26_Y17_N25
\led_flash_cnt[2379][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2379][5]~60194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2379][5]~q\);

-- Location: LCCOMB_X26_Y17_N26
\led_flash_cnt[2379][6]~60196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2379][6]~60196_combout\ = (\led_flash_cnt[2379][6]~q\ & (!\led_flash_cnt[2379][5]~60195\)) # (!\led_flash_cnt[2379][6]~q\ & ((\led_flash_cnt[2379][5]~60195\) # (GND)))
-- \led_flash_cnt[2379][6]~60197\ = CARRY((!\led_flash_cnt[2379][5]~60195\) # (!\led_flash_cnt[2379][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2379][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2379][5]~60195\,
	combout => \led_flash_cnt[2379][6]~60196_combout\,
	cout => \led_flash_cnt[2379][6]~60197\);

-- Location: FF_X26_Y17_N27
\led_flash_cnt[2379][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2379][6]~60196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2379][6]~q\);

-- Location: LCCOMB_X26_Y17_N28
\led_flash_cnt[2379][7]~60198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2379][7]~60198_combout\ = \led_flash_cnt[2379][6]~60197\ $ (!\led_flash_cnt[2379][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2379][7]~q\,
	cin => \led_flash_cnt[2379][6]~60197\,
	combout => \led_flash_cnt[2379][7]~60198_combout\);

-- Location: FF_X26_Y17_N29
\led_flash_cnt[2379][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2379][7]~60198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2379][7]~q\);

-- Location: LCCOMB_X27_Y17_N8
\WideAnd2379~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2379~1_combout\ = (\led_flash_cnt[2379][6]~q\ & \led_flash_cnt[2379][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2379][6]~q\,
	datad => \led_flash_cnt[2379][5]~q\,
	combout => \WideAnd2379~1_combout\);

-- Location: LCCOMB_X27_Y17_N4
WideAnd2379 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2379~combout\ = (\WideAnd2379~0_combout\ & (\led_flash_cnt[2379][7]~q\ & (\WideAnd2379~1_combout\ & \led_flash_cnt[2379][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2379~0_combout\,
	datab => \led_flash_cnt[2379][7]~q\,
	datac => \WideAnd2379~1_combout\,
	datad => \led_flash_cnt[2379][0]~q\,
	combout => \WideAnd2379~combout\);

-- Location: FF_X27_Y17_N5
\led_flash_cnt_ands[2379]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2379~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2379));

-- Location: LCCOMB_X26_Y13_N26
\WideAnd4137~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4137~0_combout\ = (led_flash_cnt_ands(2377) & (led_flash_cnt_ands(2378) & (led_flash_cnt_ands(2376) & led_flash_cnt_ands(2379))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2377),
	datab => led_flash_cnt_ands(2378),
	datac => led_flash_cnt_ands(2376),
	datad => led_flash_cnt_ands(2379),
	combout => \WideAnd4137~0_combout\);

-- Location: LCCOMB_X34_Y11_N20
\led_flash_cnt[2382][0]~83022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2382][0]~83022_combout\ = !\led_flash_cnt[2382][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2382][0]~q\,
	combout => \led_flash_cnt[2382][0]~83022_combout\);

-- Location: FF_X34_Y11_N21
\led_flash_cnt[2382][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2382][0]~83022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2382][0]~q\);

-- Location: LCCOMB_X31_Y11_N2
\led_flash_cnt[2382][1]~60228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2382][1]~60228_combout\ = (\led_flash_cnt[2382][0]~q\ & (\led_flash_cnt[2382][1]~q\ $ (VCC))) # (!\led_flash_cnt[2382][0]~q\ & (\led_flash_cnt[2382][1]~q\ & VCC))
-- \led_flash_cnt[2382][1]~60229\ = CARRY((\led_flash_cnt[2382][0]~q\ & \led_flash_cnt[2382][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2382][0]~q\,
	datab => \led_flash_cnt[2382][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2382][1]~60228_combout\,
	cout => \led_flash_cnt[2382][1]~60229\);

-- Location: FF_X31_Y11_N3
\led_flash_cnt[2382][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2382][1]~60228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2382][1]~q\);

-- Location: LCCOMB_X31_Y11_N4
\led_flash_cnt[2382][2]~60230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2382][2]~60230_combout\ = (\led_flash_cnt[2382][2]~q\ & (!\led_flash_cnt[2382][1]~60229\)) # (!\led_flash_cnt[2382][2]~q\ & ((\led_flash_cnt[2382][1]~60229\) # (GND)))
-- \led_flash_cnt[2382][2]~60231\ = CARRY((!\led_flash_cnt[2382][1]~60229\) # (!\led_flash_cnt[2382][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2382][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2382][1]~60229\,
	combout => \led_flash_cnt[2382][2]~60230_combout\,
	cout => \led_flash_cnt[2382][2]~60231\);

-- Location: FF_X31_Y11_N5
\led_flash_cnt[2382][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2382][2]~60230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2382][2]~q\);

-- Location: LCCOMB_X31_Y11_N6
\led_flash_cnt[2382][3]~60232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2382][3]~60232_combout\ = (\led_flash_cnt[2382][3]~q\ & (\led_flash_cnt[2382][2]~60231\ $ (GND))) # (!\led_flash_cnt[2382][3]~q\ & (!\led_flash_cnt[2382][2]~60231\ & VCC))
-- \led_flash_cnt[2382][3]~60233\ = CARRY((\led_flash_cnt[2382][3]~q\ & !\led_flash_cnt[2382][2]~60231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2382][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2382][2]~60231\,
	combout => \led_flash_cnt[2382][3]~60232_combout\,
	cout => \led_flash_cnt[2382][3]~60233\);

-- Location: FF_X31_Y11_N7
\led_flash_cnt[2382][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2382][3]~60232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2382][3]~q\);

-- Location: LCCOMB_X31_Y11_N8
\led_flash_cnt[2382][4]~60234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2382][4]~60234_combout\ = (\led_flash_cnt[2382][4]~q\ & (!\led_flash_cnt[2382][3]~60233\)) # (!\led_flash_cnt[2382][4]~q\ & ((\led_flash_cnt[2382][3]~60233\) # (GND)))
-- \led_flash_cnt[2382][4]~60235\ = CARRY((!\led_flash_cnt[2382][3]~60233\) # (!\led_flash_cnt[2382][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2382][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2382][3]~60233\,
	combout => \led_flash_cnt[2382][4]~60234_combout\,
	cout => \led_flash_cnt[2382][4]~60235\);

-- Location: FF_X31_Y11_N9
\led_flash_cnt[2382][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2382][4]~60234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2382][4]~q\);

-- Location: LCCOMB_X31_Y11_N10
\led_flash_cnt[2382][5]~60236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2382][5]~60236_combout\ = (\led_flash_cnt[2382][5]~q\ & (\led_flash_cnt[2382][4]~60235\ $ (GND))) # (!\led_flash_cnt[2382][5]~q\ & (!\led_flash_cnt[2382][4]~60235\ & VCC))
-- \led_flash_cnt[2382][5]~60237\ = CARRY((\led_flash_cnt[2382][5]~q\ & !\led_flash_cnt[2382][4]~60235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2382][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2382][4]~60235\,
	combout => \led_flash_cnt[2382][5]~60236_combout\,
	cout => \led_flash_cnt[2382][5]~60237\);

-- Location: FF_X31_Y11_N11
\led_flash_cnt[2382][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2382][5]~60236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2382][5]~q\);

-- Location: LCCOMB_X31_Y11_N12
\led_flash_cnt[2382][6]~60238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2382][6]~60238_combout\ = (\led_flash_cnt[2382][6]~q\ & (!\led_flash_cnt[2382][5]~60237\)) # (!\led_flash_cnt[2382][6]~q\ & ((\led_flash_cnt[2382][5]~60237\) # (GND)))
-- \led_flash_cnt[2382][6]~60239\ = CARRY((!\led_flash_cnt[2382][5]~60237\) # (!\led_flash_cnt[2382][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2382][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2382][5]~60237\,
	combout => \led_flash_cnt[2382][6]~60238_combout\,
	cout => \led_flash_cnt[2382][6]~60239\);

-- Location: FF_X31_Y11_N13
\led_flash_cnt[2382][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2382][6]~60238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2382][6]~q\);

-- Location: LCCOMB_X30_Y11_N24
\WideAnd2382~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2382~1_combout\ = (\led_flash_cnt[2382][5]~q\ & \led_flash_cnt[2382][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2382][5]~q\,
	datac => \led_flash_cnt[2382][6]~q\,
	combout => \WideAnd2382~1_combout\);

-- Location: LCCOMB_X31_Y11_N14
\led_flash_cnt[2382][7]~60240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2382][7]~60240_combout\ = \led_flash_cnt[2382][7]~q\ $ (!\led_flash_cnt[2382][6]~60239\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2382][7]~q\,
	cin => \led_flash_cnt[2382][6]~60239\,
	combout => \led_flash_cnt[2382][7]~60240_combout\);

-- Location: FF_X31_Y11_N15
\led_flash_cnt[2382][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2382][7]~60240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2382][7]~q\);

-- Location: LCCOMB_X31_Y11_N0
\WideAnd2382~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2382~0_combout\ = (\led_flash_cnt[2382][3]~q\ & (\led_flash_cnt[2382][2]~q\ & (\led_flash_cnt[2382][4]~q\ & \led_flash_cnt[2382][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2382][3]~q\,
	datab => \led_flash_cnt[2382][2]~q\,
	datac => \led_flash_cnt[2382][4]~q\,
	datad => \led_flash_cnt[2382][1]~q\,
	combout => \WideAnd2382~0_combout\);

-- Location: LCCOMB_X31_Y11_N16
WideAnd2382 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2382~combout\ = (\led_flash_cnt[2382][0]~q\ & (\WideAnd2382~1_combout\ & (\led_flash_cnt[2382][7]~q\ & \WideAnd2382~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2382][0]~q\,
	datab => \WideAnd2382~1_combout\,
	datac => \led_flash_cnt[2382][7]~q\,
	datad => \WideAnd2382~0_combout\,
	combout => \WideAnd2382~combout\);

-- Location: FF_X31_Y11_N17
\led_flash_cnt_ands[2382]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2382~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2382));

-- Location: LCCOMB_X31_Y14_N20
\led_flash_cnt[2381][0]~83021\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2381][0]~83021_combout\ = !\led_flash_cnt[2381][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2381][0]~q\,
	combout => \led_flash_cnt[2381][0]~83021_combout\);

-- Location: FF_X31_Y14_N21
\led_flash_cnt[2381][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2381][0]~83021_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2381][0]~q\);

-- Location: LCCOMB_X30_Y14_N2
\led_flash_cnt[2381][1]~60214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2381][1]~60214_combout\ = (\led_flash_cnt[2381][0]~q\ & (\led_flash_cnt[2381][1]~q\ $ (VCC))) # (!\led_flash_cnt[2381][0]~q\ & (\led_flash_cnt[2381][1]~q\ & VCC))
-- \led_flash_cnt[2381][1]~60215\ = CARRY((\led_flash_cnt[2381][0]~q\ & \led_flash_cnt[2381][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2381][0]~q\,
	datab => \led_flash_cnt[2381][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2381][1]~60214_combout\,
	cout => \led_flash_cnt[2381][1]~60215\);

-- Location: FF_X30_Y14_N3
\led_flash_cnt[2381][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2381][1]~60214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2381][1]~q\);

-- Location: LCCOMB_X30_Y14_N4
\led_flash_cnt[2381][2]~60216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2381][2]~60216_combout\ = (\led_flash_cnt[2381][2]~q\ & (!\led_flash_cnt[2381][1]~60215\)) # (!\led_flash_cnt[2381][2]~q\ & ((\led_flash_cnt[2381][1]~60215\) # (GND)))
-- \led_flash_cnt[2381][2]~60217\ = CARRY((!\led_flash_cnt[2381][1]~60215\) # (!\led_flash_cnt[2381][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2381][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2381][1]~60215\,
	combout => \led_flash_cnt[2381][2]~60216_combout\,
	cout => \led_flash_cnt[2381][2]~60217\);

-- Location: FF_X30_Y14_N5
\led_flash_cnt[2381][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2381][2]~60216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2381][2]~q\);

-- Location: LCCOMB_X30_Y14_N6
\led_flash_cnt[2381][3]~60218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2381][3]~60218_combout\ = (\led_flash_cnt[2381][3]~q\ & (\led_flash_cnt[2381][2]~60217\ $ (GND))) # (!\led_flash_cnt[2381][3]~q\ & (!\led_flash_cnt[2381][2]~60217\ & VCC))
-- \led_flash_cnt[2381][3]~60219\ = CARRY((\led_flash_cnt[2381][3]~q\ & !\led_flash_cnt[2381][2]~60217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2381][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2381][2]~60217\,
	combout => \led_flash_cnt[2381][3]~60218_combout\,
	cout => \led_flash_cnt[2381][3]~60219\);

-- Location: FF_X30_Y14_N7
\led_flash_cnt[2381][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2381][3]~60218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2381][3]~q\);

-- Location: LCCOMB_X30_Y14_N8
\led_flash_cnt[2381][4]~60220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2381][4]~60220_combout\ = (\led_flash_cnt[2381][4]~q\ & (!\led_flash_cnt[2381][3]~60219\)) # (!\led_flash_cnt[2381][4]~q\ & ((\led_flash_cnt[2381][3]~60219\) # (GND)))
-- \led_flash_cnt[2381][4]~60221\ = CARRY((!\led_flash_cnt[2381][3]~60219\) # (!\led_flash_cnt[2381][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2381][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2381][3]~60219\,
	combout => \led_flash_cnt[2381][4]~60220_combout\,
	cout => \led_flash_cnt[2381][4]~60221\);

-- Location: FF_X30_Y14_N9
\led_flash_cnt[2381][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2381][4]~60220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2381][4]~q\);

-- Location: LCCOMB_X30_Y14_N10
\led_flash_cnt[2381][5]~60222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2381][5]~60222_combout\ = (\led_flash_cnt[2381][5]~q\ & (\led_flash_cnt[2381][4]~60221\ $ (GND))) # (!\led_flash_cnt[2381][5]~q\ & (!\led_flash_cnt[2381][4]~60221\ & VCC))
-- \led_flash_cnt[2381][5]~60223\ = CARRY((\led_flash_cnt[2381][5]~q\ & !\led_flash_cnt[2381][4]~60221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2381][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2381][4]~60221\,
	combout => \led_flash_cnt[2381][5]~60222_combout\,
	cout => \led_flash_cnt[2381][5]~60223\);

-- Location: FF_X30_Y14_N11
\led_flash_cnt[2381][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2381][5]~60222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2381][5]~q\);

-- Location: LCCOMB_X30_Y14_N12
\led_flash_cnt[2381][6]~60224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2381][6]~60224_combout\ = (\led_flash_cnt[2381][6]~q\ & (!\led_flash_cnt[2381][5]~60223\)) # (!\led_flash_cnt[2381][6]~q\ & ((\led_flash_cnt[2381][5]~60223\) # (GND)))
-- \led_flash_cnt[2381][6]~60225\ = CARRY((!\led_flash_cnt[2381][5]~60223\) # (!\led_flash_cnt[2381][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2381][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2381][5]~60223\,
	combout => \led_flash_cnt[2381][6]~60224_combout\,
	cout => \led_flash_cnt[2381][6]~60225\);

-- Location: FF_X30_Y14_N13
\led_flash_cnt[2381][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2381][6]~60224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2381][6]~q\);

-- Location: LCCOMB_X30_Y14_N14
\led_flash_cnt[2381][7]~60226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2381][7]~60226_combout\ = \led_flash_cnt[2381][7]~q\ $ (!\led_flash_cnt[2381][6]~60225\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2381][7]~q\,
	cin => \led_flash_cnt[2381][6]~60225\,
	combout => \led_flash_cnt[2381][7]~60226_combout\);

-- Location: FF_X30_Y14_N15
\led_flash_cnt[2381][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2381][7]~60226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2381][7]~q\);

-- Location: LCCOMB_X31_Y14_N28
\WideAnd2381~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2381~1_combout\ = (\led_flash_cnt[2381][5]~q\ & \led_flash_cnt[2381][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2381][5]~q\,
	datad => \led_flash_cnt[2381][6]~q\,
	combout => \WideAnd2381~1_combout\);

-- Location: LCCOMB_X30_Y14_N0
\WideAnd2381~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2381~0_combout\ = (\led_flash_cnt[2381][3]~q\ & (\led_flash_cnt[2381][4]~q\ & (\led_flash_cnt[2381][2]~q\ & \led_flash_cnt[2381][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2381][3]~q\,
	datab => \led_flash_cnt[2381][4]~q\,
	datac => \led_flash_cnt[2381][2]~q\,
	datad => \led_flash_cnt[2381][1]~q\,
	combout => \WideAnd2381~0_combout\);

-- Location: LCCOMB_X31_Y14_N26
WideAnd2381 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2381~combout\ = (\led_flash_cnt[2381][7]~q\ & (\WideAnd2381~1_combout\ & (\WideAnd2381~0_combout\ & \led_flash_cnt[2381][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2381][7]~q\,
	datab => \WideAnd2381~1_combout\,
	datac => \WideAnd2381~0_combout\,
	datad => \led_flash_cnt[2381][0]~q\,
	combout => \WideAnd2381~combout\);

-- Location: FF_X31_Y14_N27
\led_flash_cnt_ands[2381]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2381~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2381));

-- Location: LCCOMB_X31_Y14_N0
\led_flash_cnt[2380][0]~83020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2380][0]~83020_combout\ = !\led_flash_cnt[2380][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2380][0]~q\,
	combout => \led_flash_cnt[2380][0]~83020_combout\);

-- Location: FF_X31_Y14_N1
\led_flash_cnt[2380][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2380][0]~83020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2380][0]~q\);

-- Location: LCCOMB_X32_Y15_N18
\led_flash_cnt[2380][1]~60200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2380][1]~60200_combout\ = (\led_flash_cnt[2380][0]~q\ & (\led_flash_cnt[2380][1]~q\ $ (VCC))) # (!\led_flash_cnt[2380][0]~q\ & (\led_flash_cnt[2380][1]~q\ & VCC))
-- \led_flash_cnt[2380][1]~60201\ = CARRY((\led_flash_cnt[2380][0]~q\ & \led_flash_cnt[2380][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2380][0]~q\,
	datab => \led_flash_cnt[2380][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2380][1]~60200_combout\,
	cout => \led_flash_cnt[2380][1]~60201\);

-- Location: FF_X32_Y15_N19
\led_flash_cnt[2380][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2380][1]~60200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2380][1]~q\);

-- Location: LCCOMB_X32_Y15_N20
\led_flash_cnt[2380][2]~60202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2380][2]~60202_combout\ = (\led_flash_cnt[2380][2]~q\ & (!\led_flash_cnt[2380][1]~60201\)) # (!\led_flash_cnt[2380][2]~q\ & ((\led_flash_cnt[2380][1]~60201\) # (GND)))
-- \led_flash_cnt[2380][2]~60203\ = CARRY((!\led_flash_cnt[2380][1]~60201\) # (!\led_flash_cnt[2380][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2380][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2380][1]~60201\,
	combout => \led_flash_cnt[2380][2]~60202_combout\,
	cout => \led_flash_cnt[2380][2]~60203\);

-- Location: FF_X32_Y15_N21
\led_flash_cnt[2380][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2380][2]~60202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2380][2]~q\);

-- Location: LCCOMB_X32_Y15_N22
\led_flash_cnt[2380][3]~60204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2380][3]~60204_combout\ = (\led_flash_cnt[2380][3]~q\ & (\led_flash_cnt[2380][2]~60203\ $ (GND))) # (!\led_flash_cnt[2380][3]~q\ & (!\led_flash_cnt[2380][2]~60203\ & VCC))
-- \led_flash_cnt[2380][3]~60205\ = CARRY((\led_flash_cnt[2380][3]~q\ & !\led_flash_cnt[2380][2]~60203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2380][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2380][2]~60203\,
	combout => \led_flash_cnt[2380][3]~60204_combout\,
	cout => \led_flash_cnt[2380][3]~60205\);

-- Location: FF_X32_Y15_N23
\led_flash_cnt[2380][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2380][3]~60204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2380][3]~q\);

-- Location: LCCOMB_X32_Y15_N24
\led_flash_cnt[2380][4]~60206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2380][4]~60206_combout\ = (\led_flash_cnt[2380][4]~q\ & (!\led_flash_cnt[2380][3]~60205\)) # (!\led_flash_cnt[2380][4]~q\ & ((\led_flash_cnt[2380][3]~60205\) # (GND)))
-- \led_flash_cnt[2380][4]~60207\ = CARRY((!\led_flash_cnt[2380][3]~60205\) # (!\led_flash_cnt[2380][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2380][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2380][3]~60205\,
	combout => \led_flash_cnt[2380][4]~60206_combout\,
	cout => \led_flash_cnt[2380][4]~60207\);

-- Location: FF_X32_Y15_N25
\led_flash_cnt[2380][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2380][4]~60206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2380][4]~q\);

-- Location: LCCOMB_X32_Y15_N26
\led_flash_cnt[2380][5]~60208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2380][5]~60208_combout\ = (\led_flash_cnt[2380][5]~q\ & (\led_flash_cnt[2380][4]~60207\ $ (GND))) # (!\led_flash_cnt[2380][5]~q\ & (!\led_flash_cnt[2380][4]~60207\ & VCC))
-- \led_flash_cnt[2380][5]~60209\ = CARRY((\led_flash_cnt[2380][5]~q\ & !\led_flash_cnt[2380][4]~60207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2380][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2380][4]~60207\,
	combout => \led_flash_cnt[2380][5]~60208_combout\,
	cout => \led_flash_cnt[2380][5]~60209\);

-- Location: FF_X32_Y15_N27
\led_flash_cnt[2380][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2380][5]~60208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2380][5]~q\);

-- Location: LCCOMB_X32_Y15_N28
\led_flash_cnt[2380][6]~60210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2380][6]~60210_combout\ = (\led_flash_cnt[2380][6]~q\ & (!\led_flash_cnt[2380][5]~60209\)) # (!\led_flash_cnt[2380][6]~q\ & ((\led_flash_cnt[2380][5]~60209\) # (GND)))
-- \led_flash_cnt[2380][6]~60211\ = CARRY((!\led_flash_cnt[2380][5]~60209\) # (!\led_flash_cnt[2380][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2380][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2380][5]~60209\,
	combout => \led_flash_cnt[2380][6]~60210_combout\,
	cout => \led_flash_cnt[2380][6]~60211\);

-- Location: FF_X32_Y15_N29
\led_flash_cnt[2380][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2380][6]~60210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2380][6]~q\);

-- Location: LCCOMB_X32_Y15_N30
\led_flash_cnt[2380][7]~60212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2380][7]~60212_combout\ = \led_flash_cnt[2380][7]~q\ $ (!\led_flash_cnt[2380][6]~60211\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2380][7]~q\,
	cin => \led_flash_cnt[2380][6]~60211\,
	combout => \led_flash_cnt[2380][7]~60212_combout\);

-- Location: FF_X32_Y15_N31
\led_flash_cnt[2380][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2380][7]~60212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2380][7]~q\);

-- Location: LCCOMB_X32_Y15_N14
\WideAnd2380~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2380~0_combout\ = (\led_flash_cnt[2380][2]~q\ & (\led_flash_cnt[2380][4]~q\ & (\led_flash_cnt[2380][3]~q\ & \led_flash_cnt[2380][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2380][2]~q\,
	datab => \led_flash_cnt[2380][4]~q\,
	datac => \led_flash_cnt[2380][3]~q\,
	datad => \led_flash_cnt[2380][1]~q\,
	combout => \WideAnd2380~0_combout\);

-- Location: LCCOMB_X32_Y14_N24
\WideAnd2380~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2380~1_combout\ = (\led_flash_cnt[2380][6]~q\ & \led_flash_cnt[2380][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2380][6]~q\,
	datad => \led_flash_cnt[2380][5]~q\,
	combout => \WideAnd2380~1_combout\);

-- Location: LCCOMB_X32_Y14_N28
WideAnd2380 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2380~combout\ = (\led_flash_cnt[2380][7]~q\ & (\led_flash_cnt[2380][0]~q\ & (\WideAnd2380~0_combout\ & \WideAnd2380~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2380][7]~q\,
	datab => \led_flash_cnt[2380][0]~q\,
	datac => \WideAnd2380~0_combout\,
	datad => \WideAnd2380~1_combout\,
	combout => \WideAnd2380~combout\);

-- Location: FF_X32_Y14_N29
\led_flash_cnt_ands[2380]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2380~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2380));

-- Location: LCCOMB_X31_Y14_N16
\WideAnd4137~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4137~1_combout\ = (led_flash_cnt_ands(2381) & led_flash_cnt_ands(2380))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2381),
	datad => led_flash_cnt_ands(2380),
	combout => \WideAnd4137~1_combout\);

-- Location: LCCOMB_X27_Y17_N0
\led_flash_cnt[2383][0]~83023\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2383][0]~83023_combout\ = !\led_flash_cnt[2383][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2383][0]~q\,
	combout => \led_flash_cnt[2383][0]~83023_combout\);

-- Location: FF_X27_Y17_N1
\led_flash_cnt[2383][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2383][0]~83023_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2383][0]~q\);

-- Location: LCCOMB_X27_Y18_N18
\led_flash_cnt[2383][1]~60242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2383][1]~60242_combout\ = (\led_flash_cnt[2383][0]~q\ & (\led_flash_cnt[2383][1]~q\ $ (VCC))) # (!\led_flash_cnt[2383][0]~q\ & (\led_flash_cnt[2383][1]~q\ & VCC))
-- \led_flash_cnt[2383][1]~60243\ = CARRY((\led_flash_cnt[2383][0]~q\ & \led_flash_cnt[2383][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2383][0]~q\,
	datab => \led_flash_cnt[2383][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2383][1]~60242_combout\,
	cout => \led_flash_cnt[2383][1]~60243\);

-- Location: FF_X27_Y18_N19
\led_flash_cnt[2383][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2383][1]~60242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2383][1]~q\);

-- Location: LCCOMB_X27_Y18_N20
\led_flash_cnt[2383][2]~60244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2383][2]~60244_combout\ = (\led_flash_cnt[2383][2]~q\ & (!\led_flash_cnt[2383][1]~60243\)) # (!\led_flash_cnt[2383][2]~q\ & ((\led_flash_cnt[2383][1]~60243\) # (GND)))
-- \led_flash_cnt[2383][2]~60245\ = CARRY((!\led_flash_cnt[2383][1]~60243\) # (!\led_flash_cnt[2383][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2383][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2383][1]~60243\,
	combout => \led_flash_cnt[2383][2]~60244_combout\,
	cout => \led_flash_cnt[2383][2]~60245\);

-- Location: FF_X27_Y18_N21
\led_flash_cnt[2383][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2383][2]~60244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2383][2]~q\);

-- Location: LCCOMB_X27_Y18_N22
\led_flash_cnt[2383][3]~60246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2383][3]~60246_combout\ = (\led_flash_cnt[2383][3]~q\ & (\led_flash_cnt[2383][2]~60245\ $ (GND))) # (!\led_flash_cnt[2383][3]~q\ & (!\led_flash_cnt[2383][2]~60245\ & VCC))
-- \led_flash_cnt[2383][3]~60247\ = CARRY((\led_flash_cnt[2383][3]~q\ & !\led_flash_cnt[2383][2]~60245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2383][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2383][2]~60245\,
	combout => \led_flash_cnt[2383][3]~60246_combout\,
	cout => \led_flash_cnt[2383][3]~60247\);

-- Location: FF_X27_Y18_N23
\led_flash_cnt[2383][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2383][3]~60246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2383][3]~q\);

-- Location: LCCOMB_X27_Y18_N24
\led_flash_cnt[2383][4]~60248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2383][4]~60248_combout\ = (\led_flash_cnt[2383][4]~q\ & (!\led_flash_cnt[2383][3]~60247\)) # (!\led_flash_cnt[2383][4]~q\ & ((\led_flash_cnt[2383][3]~60247\) # (GND)))
-- \led_flash_cnt[2383][4]~60249\ = CARRY((!\led_flash_cnt[2383][3]~60247\) # (!\led_flash_cnt[2383][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2383][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2383][3]~60247\,
	combout => \led_flash_cnt[2383][4]~60248_combout\,
	cout => \led_flash_cnt[2383][4]~60249\);

-- Location: FF_X27_Y18_N25
\led_flash_cnt[2383][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2383][4]~60248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2383][4]~q\);

-- Location: LCCOMB_X27_Y18_N26
\led_flash_cnt[2383][5]~60250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2383][5]~60250_combout\ = (\led_flash_cnt[2383][5]~q\ & (\led_flash_cnt[2383][4]~60249\ $ (GND))) # (!\led_flash_cnt[2383][5]~q\ & (!\led_flash_cnt[2383][4]~60249\ & VCC))
-- \led_flash_cnt[2383][5]~60251\ = CARRY((\led_flash_cnt[2383][5]~q\ & !\led_flash_cnt[2383][4]~60249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2383][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2383][4]~60249\,
	combout => \led_flash_cnt[2383][5]~60250_combout\,
	cout => \led_flash_cnt[2383][5]~60251\);

-- Location: FF_X27_Y18_N27
\led_flash_cnt[2383][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2383][5]~60250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2383][5]~q\);

-- Location: LCCOMB_X27_Y18_N28
\led_flash_cnt[2383][6]~60252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2383][6]~60252_combout\ = (\led_flash_cnt[2383][6]~q\ & (!\led_flash_cnt[2383][5]~60251\)) # (!\led_flash_cnt[2383][6]~q\ & ((\led_flash_cnt[2383][5]~60251\) # (GND)))
-- \led_flash_cnt[2383][6]~60253\ = CARRY((!\led_flash_cnt[2383][5]~60251\) # (!\led_flash_cnt[2383][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2383][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2383][5]~60251\,
	combout => \led_flash_cnt[2383][6]~60252_combout\,
	cout => \led_flash_cnt[2383][6]~60253\);

-- Location: FF_X27_Y18_N29
\led_flash_cnt[2383][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2383][6]~60252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2383][6]~q\);

-- Location: LCCOMB_X27_Y18_N30
\led_flash_cnt[2383][7]~60254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2383][7]~60254_combout\ = \led_flash_cnt[2383][7]~q\ $ (!\led_flash_cnt[2383][6]~60253\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2383][7]~q\,
	cin => \led_flash_cnt[2383][6]~60253\,
	combout => \led_flash_cnt[2383][7]~60254_combout\);

-- Location: FF_X27_Y18_N31
\led_flash_cnt[2383][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2383][7]~60254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2383][7]~q\);

-- Location: LCCOMB_X27_Y18_N14
\WideAnd2383~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2383~0_combout\ = (\led_flash_cnt[2383][2]~q\ & (\led_flash_cnt[2383][4]~q\ & (\led_flash_cnt[2383][3]~q\ & \led_flash_cnt[2383][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2383][2]~q\,
	datab => \led_flash_cnt[2383][4]~q\,
	datac => \led_flash_cnt[2383][3]~q\,
	datad => \led_flash_cnt[2383][1]~q\,
	combout => \WideAnd2383~0_combout\);

-- Location: LCCOMB_X27_Y18_N16
\WideAnd2383~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2383~1_combout\ = (\led_flash_cnt[2383][5]~q\ & \led_flash_cnt[2383][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2383][5]~q\,
	datad => \led_flash_cnt[2383][6]~q\,
	combout => \WideAnd2383~1_combout\);

-- Location: LCCOMB_X27_Y17_N6
WideAnd2383 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2383~combout\ = (\led_flash_cnt[2383][7]~q\ & (\WideAnd2383~0_combout\ & (\WideAnd2383~1_combout\ & \led_flash_cnt[2383][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2383][7]~q\,
	datab => \WideAnd2383~0_combout\,
	datac => \WideAnd2383~1_combout\,
	datad => \led_flash_cnt[2383][0]~q\,
	combout => \WideAnd2383~combout\);

-- Location: FF_X27_Y17_N7
\led_flash_cnt_ands[2383]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2383~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2383));

-- Location: LCCOMB_X30_Y13_N30
WideAnd4137 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4137~combout\ = (\WideAnd4137~0_combout\ & (led_flash_cnt_ands(2382) & (\WideAnd4137~1_combout\ & led_flash_cnt_ands(2383))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4137~0_combout\,
	datab => led_flash_cnt_ands(2382),
	datac => \WideAnd4137~1_combout\,
	datad => led_flash_cnt_ands(2383),
	combout => \WideAnd4137~combout\);

-- Location: FF_X30_Y13_N31
\led_flash_cnt_ands_1[297]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4137~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(297));

-- Location: LCCOMB_X14_Y16_N24
\led_flash_cnt[2374][0]~83014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2374][0]~83014_combout\ = !\led_flash_cnt[2374][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2374][0]~q\,
	combout => \led_flash_cnt[2374][0]~83014_combout\);

-- Location: FF_X14_Y16_N25
\led_flash_cnt[2374][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2374][0]~83014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2374][0]~q\);

-- Location: LCCOMB_X15_Y16_N2
\led_flash_cnt[2374][1]~60116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2374][1]~60116_combout\ = (\led_flash_cnt[2374][0]~q\ & (\led_flash_cnt[2374][1]~q\ $ (VCC))) # (!\led_flash_cnt[2374][0]~q\ & (\led_flash_cnt[2374][1]~q\ & VCC))
-- \led_flash_cnt[2374][1]~60117\ = CARRY((\led_flash_cnt[2374][0]~q\ & \led_flash_cnt[2374][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2374][0]~q\,
	datab => \led_flash_cnt[2374][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2374][1]~60116_combout\,
	cout => \led_flash_cnt[2374][1]~60117\);

-- Location: FF_X15_Y16_N3
\led_flash_cnt[2374][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2374][1]~60116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2374][1]~q\);

-- Location: LCCOMB_X15_Y16_N4
\led_flash_cnt[2374][2]~60118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2374][2]~60118_combout\ = (\led_flash_cnt[2374][2]~q\ & (!\led_flash_cnt[2374][1]~60117\)) # (!\led_flash_cnt[2374][2]~q\ & ((\led_flash_cnt[2374][1]~60117\) # (GND)))
-- \led_flash_cnt[2374][2]~60119\ = CARRY((!\led_flash_cnt[2374][1]~60117\) # (!\led_flash_cnt[2374][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2374][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2374][1]~60117\,
	combout => \led_flash_cnt[2374][2]~60118_combout\,
	cout => \led_flash_cnt[2374][2]~60119\);

-- Location: FF_X15_Y16_N5
\led_flash_cnt[2374][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2374][2]~60118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2374][2]~q\);

-- Location: LCCOMB_X15_Y16_N6
\led_flash_cnt[2374][3]~60120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2374][3]~60120_combout\ = (\led_flash_cnt[2374][3]~q\ & (\led_flash_cnt[2374][2]~60119\ $ (GND))) # (!\led_flash_cnt[2374][3]~q\ & (!\led_flash_cnt[2374][2]~60119\ & VCC))
-- \led_flash_cnt[2374][3]~60121\ = CARRY((\led_flash_cnt[2374][3]~q\ & !\led_flash_cnt[2374][2]~60119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2374][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2374][2]~60119\,
	combout => \led_flash_cnt[2374][3]~60120_combout\,
	cout => \led_flash_cnt[2374][3]~60121\);

-- Location: FF_X15_Y16_N7
\led_flash_cnt[2374][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2374][3]~60120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2374][3]~q\);

-- Location: LCCOMB_X15_Y16_N8
\led_flash_cnt[2374][4]~60122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2374][4]~60122_combout\ = (\led_flash_cnt[2374][4]~q\ & (!\led_flash_cnt[2374][3]~60121\)) # (!\led_flash_cnt[2374][4]~q\ & ((\led_flash_cnt[2374][3]~60121\) # (GND)))
-- \led_flash_cnt[2374][4]~60123\ = CARRY((!\led_flash_cnt[2374][3]~60121\) # (!\led_flash_cnt[2374][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2374][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2374][3]~60121\,
	combout => \led_flash_cnt[2374][4]~60122_combout\,
	cout => \led_flash_cnt[2374][4]~60123\);

-- Location: FF_X15_Y16_N9
\led_flash_cnt[2374][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2374][4]~60122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2374][4]~q\);

-- Location: LCCOMB_X15_Y16_N10
\led_flash_cnt[2374][5]~60124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2374][5]~60124_combout\ = (\led_flash_cnt[2374][5]~q\ & (\led_flash_cnt[2374][4]~60123\ $ (GND))) # (!\led_flash_cnt[2374][5]~q\ & (!\led_flash_cnt[2374][4]~60123\ & VCC))
-- \led_flash_cnt[2374][5]~60125\ = CARRY((\led_flash_cnt[2374][5]~q\ & !\led_flash_cnt[2374][4]~60123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2374][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2374][4]~60123\,
	combout => \led_flash_cnt[2374][5]~60124_combout\,
	cout => \led_flash_cnt[2374][5]~60125\);

-- Location: FF_X15_Y16_N11
\led_flash_cnt[2374][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2374][5]~60124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2374][5]~q\);

-- Location: LCCOMB_X15_Y16_N12
\led_flash_cnt[2374][6]~60126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2374][6]~60126_combout\ = (\led_flash_cnt[2374][6]~q\ & (!\led_flash_cnt[2374][5]~60125\)) # (!\led_flash_cnt[2374][6]~q\ & ((\led_flash_cnt[2374][5]~60125\) # (GND)))
-- \led_flash_cnt[2374][6]~60127\ = CARRY((!\led_flash_cnt[2374][5]~60125\) # (!\led_flash_cnt[2374][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2374][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2374][5]~60125\,
	combout => \led_flash_cnt[2374][6]~60126_combout\,
	cout => \led_flash_cnt[2374][6]~60127\);

-- Location: FF_X15_Y16_N13
\led_flash_cnt[2374][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2374][6]~60126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2374][6]~q\);

-- Location: LCCOMB_X14_Y16_N26
\WideAnd2374~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2374~1_combout\ = (\led_flash_cnt[2374][6]~q\ & \led_flash_cnt[2374][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2374][6]~q\,
	datac => \led_flash_cnt[2374][5]~q\,
	combout => \WideAnd2374~1_combout\);

-- Location: LCCOMB_X15_Y16_N14
\led_flash_cnt[2374][7]~60128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2374][7]~60128_combout\ = \led_flash_cnt[2374][7]~q\ $ (!\led_flash_cnt[2374][6]~60127\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2374][7]~q\,
	cin => \led_flash_cnt[2374][6]~60127\,
	combout => \led_flash_cnt[2374][7]~60128_combout\);

-- Location: FF_X15_Y16_N15
\led_flash_cnt[2374][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2374][7]~60128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2374][7]~q\);

-- Location: LCCOMB_X15_Y16_N16
\WideAnd2374~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2374~0_combout\ = (\led_flash_cnt[2374][3]~q\ & (\led_flash_cnt[2374][2]~q\ & (\led_flash_cnt[2374][4]~q\ & \led_flash_cnt[2374][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2374][3]~q\,
	datab => \led_flash_cnt[2374][2]~q\,
	datac => \led_flash_cnt[2374][4]~q\,
	datad => \led_flash_cnt[2374][1]~q\,
	combout => \WideAnd2374~0_combout\);

-- Location: LCCOMB_X14_Y16_N28
WideAnd2374 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2374~combout\ = (\WideAnd2374~1_combout\ & (\led_flash_cnt[2374][0]~q\ & (\led_flash_cnt[2374][7]~q\ & \WideAnd2374~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2374~1_combout\,
	datab => \led_flash_cnt[2374][0]~q\,
	datac => \led_flash_cnt[2374][7]~q\,
	datad => \WideAnd2374~0_combout\,
	combout => \WideAnd2374~combout\);

-- Location: FF_X14_Y16_N29
\led_flash_cnt_ands[2374]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2374~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2374));

-- Location: LCCOMB_X23_Y24_N26
\led_flash_cnt[2373][0]~83013\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2373][0]~83013_combout\ = !\led_flash_cnt[2373][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2373][0]~q\,
	combout => \led_flash_cnt[2373][0]~83013_combout\);

-- Location: FF_X23_Y24_N27
\led_flash_cnt[2373][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2373][0]~83013_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2373][0]~q\);

-- Location: LCCOMB_X23_Y24_N2
\led_flash_cnt[2373][1]~60102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2373][1]~60102_combout\ = (\led_flash_cnt[2373][0]~q\ & (\led_flash_cnt[2373][1]~q\ $ (VCC))) # (!\led_flash_cnt[2373][0]~q\ & (\led_flash_cnt[2373][1]~q\ & VCC))
-- \led_flash_cnt[2373][1]~60103\ = CARRY((\led_flash_cnt[2373][0]~q\ & \led_flash_cnt[2373][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2373][0]~q\,
	datab => \led_flash_cnt[2373][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2373][1]~60102_combout\,
	cout => \led_flash_cnt[2373][1]~60103\);

-- Location: FF_X23_Y24_N3
\led_flash_cnt[2373][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2373][1]~60102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2373][1]~q\);

-- Location: LCCOMB_X23_Y24_N4
\led_flash_cnt[2373][2]~60104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2373][2]~60104_combout\ = (\led_flash_cnt[2373][2]~q\ & (!\led_flash_cnt[2373][1]~60103\)) # (!\led_flash_cnt[2373][2]~q\ & ((\led_flash_cnt[2373][1]~60103\) # (GND)))
-- \led_flash_cnt[2373][2]~60105\ = CARRY((!\led_flash_cnt[2373][1]~60103\) # (!\led_flash_cnt[2373][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2373][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2373][1]~60103\,
	combout => \led_flash_cnt[2373][2]~60104_combout\,
	cout => \led_flash_cnt[2373][2]~60105\);

-- Location: FF_X23_Y24_N5
\led_flash_cnt[2373][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2373][2]~60104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2373][2]~q\);

-- Location: LCCOMB_X23_Y24_N6
\led_flash_cnt[2373][3]~60106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2373][3]~60106_combout\ = (\led_flash_cnt[2373][3]~q\ & (\led_flash_cnt[2373][2]~60105\ $ (GND))) # (!\led_flash_cnt[2373][3]~q\ & (!\led_flash_cnt[2373][2]~60105\ & VCC))
-- \led_flash_cnt[2373][3]~60107\ = CARRY((\led_flash_cnt[2373][3]~q\ & !\led_flash_cnt[2373][2]~60105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2373][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2373][2]~60105\,
	combout => \led_flash_cnt[2373][3]~60106_combout\,
	cout => \led_flash_cnt[2373][3]~60107\);

-- Location: FF_X23_Y24_N7
\led_flash_cnt[2373][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2373][3]~60106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2373][3]~q\);

-- Location: LCCOMB_X23_Y24_N8
\led_flash_cnt[2373][4]~60108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2373][4]~60108_combout\ = (\led_flash_cnt[2373][4]~q\ & (!\led_flash_cnt[2373][3]~60107\)) # (!\led_flash_cnt[2373][4]~q\ & ((\led_flash_cnt[2373][3]~60107\) # (GND)))
-- \led_flash_cnt[2373][4]~60109\ = CARRY((!\led_flash_cnt[2373][3]~60107\) # (!\led_flash_cnt[2373][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2373][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2373][3]~60107\,
	combout => \led_flash_cnt[2373][4]~60108_combout\,
	cout => \led_flash_cnt[2373][4]~60109\);

-- Location: FF_X23_Y24_N9
\led_flash_cnt[2373][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2373][4]~60108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2373][4]~q\);

-- Location: LCCOMB_X23_Y24_N22
\WideAnd2373~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2373~0_combout\ = (\led_flash_cnt[2373][3]~q\ & (\led_flash_cnt[2373][4]~q\ & (\led_flash_cnt[2373][2]~q\ & \led_flash_cnt[2373][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2373][3]~q\,
	datab => \led_flash_cnt[2373][4]~q\,
	datac => \led_flash_cnt[2373][2]~q\,
	datad => \led_flash_cnt[2373][1]~q\,
	combout => \WideAnd2373~0_combout\);

-- Location: LCCOMB_X23_Y24_N10
\led_flash_cnt[2373][5]~60110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2373][5]~60110_combout\ = (\led_flash_cnt[2373][5]~q\ & (\led_flash_cnt[2373][4]~60109\ $ (GND))) # (!\led_flash_cnt[2373][5]~q\ & (!\led_flash_cnt[2373][4]~60109\ & VCC))
-- \led_flash_cnt[2373][5]~60111\ = CARRY((\led_flash_cnt[2373][5]~q\ & !\led_flash_cnt[2373][4]~60109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2373][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2373][4]~60109\,
	combout => \led_flash_cnt[2373][5]~60110_combout\,
	cout => \led_flash_cnt[2373][5]~60111\);

-- Location: FF_X23_Y24_N11
\led_flash_cnt[2373][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2373][5]~60110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2373][5]~q\);

-- Location: LCCOMB_X23_Y24_N12
\led_flash_cnt[2373][6]~60112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2373][6]~60112_combout\ = (\led_flash_cnt[2373][6]~q\ & (!\led_flash_cnt[2373][5]~60111\)) # (!\led_flash_cnt[2373][6]~q\ & ((\led_flash_cnt[2373][5]~60111\) # (GND)))
-- \led_flash_cnt[2373][6]~60113\ = CARRY((!\led_flash_cnt[2373][5]~60111\) # (!\led_flash_cnt[2373][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2373][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2373][5]~60111\,
	combout => \led_flash_cnt[2373][6]~60112_combout\,
	cout => \led_flash_cnt[2373][6]~60113\);

-- Location: FF_X23_Y24_N13
\led_flash_cnt[2373][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2373][6]~60112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2373][6]~q\);

-- Location: LCCOMB_X23_Y24_N14
\led_flash_cnt[2373][7]~60114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2373][7]~60114_combout\ = \led_flash_cnt[2373][7]~q\ $ (!\led_flash_cnt[2373][6]~60113\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2373][7]~q\,
	cin => \led_flash_cnt[2373][6]~60113\,
	combout => \led_flash_cnt[2373][7]~60114_combout\);

-- Location: FF_X23_Y24_N15
\led_flash_cnt[2373][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2373][7]~60114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2373][7]~q\);

-- Location: LCCOMB_X23_Y24_N20
\WideAnd2373~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2373~1_combout\ = (\led_flash_cnt[2373][6]~q\ & \led_flash_cnt[2373][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2373][6]~q\,
	datad => \led_flash_cnt[2373][5]~q\,
	combout => \WideAnd2373~1_combout\);

-- Location: LCCOMB_X23_Y24_N24
WideAnd2373 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2373~combout\ = (\WideAnd2373~0_combout\ & (\led_flash_cnt[2373][7]~q\ & (\led_flash_cnt[2373][0]~q\ & \WideAnd2373~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2373~0_combout\,
	datab => \led_flash_cnt[2373][7]~q\,
	datac => \led_flash_cnt[2373][0]~q\,
	datad => \WideAnd2373~1_combout\,
	combout => \WideAnd2373~combout\);

-- Location: FF_X23_Y24_N25
\led_flash_cnt_ands[2373]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2373~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2373));

-- Location: LCCOMB_X22_Y12_N12
\led_flash_cnt[2372][0]~83012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2372][0]~83012_combout\ = !\led_flash_cnt[2372][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2372][0]~q\,
	combout => \led_flash_cnt[2372][0]~83012_combout\);

-- Location: FF_X22_Y12_N13
\led_flash_cnt[2372][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2372][0]~83012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2372][0]~q\);

-- Location: LCCOMB_X22_Y12_N14
\led_flash_cnt[2372][1]~60088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2372][1]~60088_combout\ = (\led_flash_cnt[2372][0]~q\ & (\led_flash_cnt[2372][1]~q\ $ (VCC))) # (!\led_flash_cnt[2372][0]~q\ & (\led_flash_cnt[2372][1]~q\ & VCC))
-- \led_flash_cnt[2372][1]~60089\ = CARRY((\led_flash_cnt[2372][0]~q\ & \led_flash_cnt[2372][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2372][0]~q\,
	datab => \led_flash_cnt[2372][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2372][1]~60088_combout\,
	cout => \led_flash_cnt[2372][1]~60089\);

-- Location: FF_X22_Y12_N15
\led_flash_cnt[2372][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2372][1]~60088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2372][1]~q\);

-- Location: LCCOMB_X22_Y12_N16
\led_flash_cnt[2372][2]~60090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2372][2]~60090_combout\ = (\led_flash_cnt[2372][2]~q\ & (!\led_flash_cnt[2372][1]~60089\)) # (!\led_flash_cnt[2372][2]~q\ & ((\led_flash_cnt[2372][1]~60089\) # (GND)))
-- \led_flash_cnt[2372][2]~60091\ = CARRY((!\led_flash_cnt[2372][1]~60089\) # (!\led_flash_cnt[2372][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2372][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2372][1]~60089\,
	combout => \led_flash_cnt[2372][2]~60090_combout\,
	cout => \led_flash_cnt[2372][2]~60091\);

-- Location: FF_X22_Y12_N17
\led_flash_cnt[2372][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2372][2]~60090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2372][2]~q\);

-- Location: LCCOMB_X22_Y12_N18
\led_flash_cnt[2372][3]~60092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2372][3]~60092_combout\ = (\led_flash_cnt[2372][3]~q\ & (\led_flash_cnt[2372][2]~60091\ $ (GND))) # (!\led_flash_cnt[2372][3]~q\ & (!\led_flash_cnt[2372][2]~60091\ & VCC))
-- \led_flash_cnt[2372][3]~60093\ = CARRY((\led_flash_cnt[2372][3]~q\ & !\led_flash_cnt[2372][2]~60091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2372][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2372][2]~60091\,
	combout => \led_flash_cnt[2372][3]~60092_combout\,
	cout => \led_flash_cnt[2372][3]~60093\);

-- Location: FF_X22_Y12_N19
\led_flash_cnt[2372][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2372][3]~60092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2372][3]~q\);

-- Location: LCCOMB_X22_Y12_N20
\led_flash_cnt[2372][4]~60094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2372][4]~60094_combout\ = (\led_flash_cnt[2372][4]~q\ & (!\led_flash_cnt[2372][3]~60093\)) # (!\led_flash_cnt[2372][4]~q\ & ((\led_flash_cnt[2372][3]~60093\) # (GND)))
-- \led_flash_cnt[2372][4]~60095\ = CARRY((!\led_flash_cnt[2372][3]~60093\) # (!\led_flash_cnt[2372][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2372][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2372][3]~60093\,
	combout => \led_flash_cnt[2372][4]~60094_combout\,
	cout => \led_flash_cnt[2372][4]~60095\);

-- Location: FF_X22_Y12_N21
\led_flash_cnt[2372][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2372][4]~60094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2372][4]~q\);

-- Location: LCCOMB_X22_Y12_N10
\WideAnd2372~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2372~0_combout\ = (\led_flash_cnt[2372][3]~q\ & (\led_flash_cnt[2372][2]~q\ & (\led_flash_cnt[2372][1]~q\ & \led_flash_cnt[2372][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2372][3]~q\,
	datab => \led_flash_cnt[2372][2]~q\,
	datac => \led_flash_cnt[2372][1]~q\,
	datad => \led_flash_cnt[2372][4]~q\,
	combout => \WideAnd2372~0_combout\);

-- Location: LCCOMB_X22_Y12_N22
\led_flash_cnt[2372][5]~60096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2372][5]~60096_combout\ = (\led_flash_cnt[2372][5]~q\ & (\led_flash_cnt[2372][4]~60095\ $ (GND))) # (!\led_flash_cnt[2372][5]~q\ & (!\led_flash_cnt[2372][4]~60095\ & VCC))
-- \led_flash_cnt[2372][5]~60097\ = CARRY((\led_flash_cnt[2372][5]~q\ & !\led_flash_cnt[2372][4]~60095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2372][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2372][4]~60095\,
	combout => \led_flash_cnt[2372][5]~60096_combout\,
	cout => \led_flash_cnt[2372][5]~60097\);

-- Location: FF_X22_Y12_N23
\led_flash_cnt[2372][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2372][5]~60096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2372][5]~q\);

-- Location: LCCOMB_X22_Y12_N24
\led_flash_cnt[2372][6]~60098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2372][6]~60098_combout\ = (\led_flash_cnt[2372][6]~q\ & (!\led_flash_cnt[2372][5]~60097\)) # (!\led_flash_cnt[2372][6]~q\ & ((\led_flash_cnt[2372][5]~60097\) # (GND)))
-- \led_flash_cnt[2372][6]~60099\ = CARRY((!\led_flash_cnt[2372][5]~60097\) # (!\led_flash_cnt[2372][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2372][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2372][5]~60097\,
	combout => \led_flash_cnt[2372][6]~60098_combout\,
	cout => \led_flash_cnt[2372][6]~60099\);

-- Location: FF_X22_Y12_N25
\led_flash_cnt[2372][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2372][6]~60098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2372][6]~q\);

-- Location: LCCOMB_X22_Y12_N4
\WideAnd2372~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2372~1_combout\ = (\led_flash_cnt[2372][5]~q\ & \led_flash_cnt[2372][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2372][5]~q\,
	datad => \led_flash_cnt[2372][6]~q\,
	combout => \WideAnd2372~1_combout\);

-- Location: LCCOMB_X22_Y12_N26
\led_flash_cnt[2372][7]~60100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2372][7]~60100_combout\ = \led_flash_cnt[2372][7]~q\ $ (!\led_flash_cnt[2372][6]~60099\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2372][7]~q\,
	cin => \led_flash_cnt[2372][6]~60099\,
	combout => \led_flash_cnt[2372][7]~60100_combout\);

-- Location: FF_X22_Y12_N27
\led_flash_cnt[2372][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2372][7]~60100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2372][7]~q\);

-- Location: LCCOMB_X22_Y12_N0
WideAnd2372 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2372~combout\ = (\WideAnd2372~0_combout\ & (\WideAnd2372~1_combout\ & (\led_flash_cnt[2372][7]~q\ & \led_flash_cnt[2372][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2372~0_combout\,
	datab => \WideAnd2372~1_combout\,
	datac => \led_flash_cnt[2372][7]~q\,
	datad => \led_flash_cnt[2372][0]~q\,
	combout => \WideAnd2372~combout\);

-- Location: FF_X22_Y12_N1
\led_flash_cnt_ands[2372]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2372~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2372));

-- Location: LCCOMB_X22_Y12_N28
\WideAnd4136~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4136~1_combout\ = (led_flash_cnt_ands(2373) & led_flash_cnt_ands(2372))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2373),
	datad => led_flash_cnt_ands(2372),
	combout => \WideAnd4136~1_combout\);

-- Location: LCCOMB_X22_Y12_N6
\led_flash_cnt[2375][0]~83015\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2375][0]~83015_combout\ = !\led_flash_cnt[2375][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2375][0]~q\,
	combout => \led_flash_cnt[2375][0]~83015_combout\);

-- Location: FF_X22_Y12_N7
\led_flash_cnt[2375][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2375][0]~83015_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2375][0]~q\);

-- Location: LCCOMB_X23_Y12_N18
\led_flash_cnt[2375][1]~60130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2375][1]~60130_combout\ = (\led_flash_cnt[2375][0]~q\ & (\led_flash_cnt[2375][1]~q\ $ (VCC))) # (!\led_flash_cnt[2375][0]~q\ & (\led_flash_cnt[2375][1]~q\ & VCC))
-- \led_flash_cnt[2375][1]~60131\ = CARRY((\led_flash_cnt[2375][0]~q\ & \led_flash_cnt[2375][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2375][0]~q\,
	datab => \led_flash_cnt[2375][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2375][1]~60130_combout\,
	cout => \led_flash_cnt[2375][1]~60131\);

-- Location: FF_X23_Y12_N19
\led_flash_cnt[2375][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2375][1]~60130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2375][1]~q\);

-- Location: LCCOMB_X23_Y12_N20
\led_flash_cnt[2375][2]~60132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2375][2]~60132_combout\ = (\led_flash_cnt[2375][2]~q\ & (!\led_flash_cnt[2375][1]~60131\)) # (!\led_flash_cnt[2375][2]~q\ & ((\led_flash_cnt[2375][1]~60131\) # (GND)))
-- \led_flash_cnt[2375][2]~60133\ = CARRY((!\led_flash_cnt[2375][1]~60131\) # (!\led_flash_cnt[2375][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2375][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2375][1]~60131\,
	combout => \led_flash_cnt[2375][2]~60132_combout\,
	cout => \led_flash_cnt[2375][2]~60133\);

-- Location: FF_X23_Y12_N21
\led_flash_cnt[2375][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2375][2]~60132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2375][2]~q\);

-- Location: LCCOMB_X23_Y12_N22
\led_flash_cnt[2375][3]~60134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2375][3]~60134_combout\ = (\led_flash_cnt[2375][3]~q\ & (\led_flash_cnt[2375][2]~60133\ $ (GND))) # (!\led_flash_cnt[2375][3]~q\ & (!\led_flash_cnt[2375][2]~60133\ & VCC))
-- \led_flash_cnt[2375][3]~60135\ = CARRY((\led_flash_cnt[2375][3]~q\ & !\led_flash_cnt[2375][2]~60133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2375][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2375][2]~60133\,
	combout => \led_flash_cnt[2375][3]~60134_combout\,
	cout => \led_flash_cnt[2375][3]~60135\);

-- Location: FF_X23_Y12_N23
\led_flash_cnt[2375][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2375][3]~60134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2375][3]~q\);

-- Location: LCCOMB_X23_Y12_N24
\led_flash_cnt[2375][4]~60136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2375][4]~60136_combout\ = (\led_flash_cnt[2375][4]~q\ & (!\led_flash_cnt[2375][3]~60135\)) # (!\led_flash_cnt[2375][4]~q\ & ((\led_flash_cnt[2375][3]~60135\) # (GND)))
-- \led_flash_cnt[2375][4]~60137\ = CARRY((!\led_flash_cnt[2375][3]~60135\) # (!\led_flash_cnt[2375][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2375][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2375][3]~60135\,
	combout => \led_flash_cnt[2375][4]~60136_combout\,
	cout => \led_flash_cnt[2375][4]~60137\);

-- Location: FF_X23_Y12_N25
\led_flash_cnt[2375][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2375][4]~60136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2375][4]~q\);

-- Location: LCCOMB_X23_Y12_N26
\led_flash_cnt[2375][5]~60138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2375][5]~60138_combout\ = (\led_flash_cnt[2375][5]~q\ & (\led_flash_cnt[2375][4]~60137\ $ (GND))) # (!\led_flash_cnt[2375][5]~q\ & (!\led_flash_cnt[2375][4]~60137\ & VCC))
-- \led_flash_cnt[2375][5]~60139\ = CARRY((\led_flash_cnt[2375][5]~q\ & !\led_flash_cnt[2375][4]~60137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2375][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2375][4]~60137\,
	combout => \led_flash_cnt[2375][5]~60138_combout\,
	cout => \led_flash_cnt[2375][5]~60139\);

-- Location: FF_X23_Y12_N27
\led_flash_cnt[2375][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2375][5]~60138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2375][5]~q\);

-- Location: LCCOMB_X23_Y12_N28
\led_flash_cnt[2375][6]~60140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2375][6]~60140_combout\ = (\led_flash_cnt[2375][6]~q\ & (!\led_flash_cnt[2375][5]~60139\)) # (!\led_flash_cnt[2375][6]~q\ & ((\led_flash_cnt[2375][5]~60139\) # (GND)))
-- \led_flash_cnt[2375][6]~60141\ = CARRY((!\led_flash_cnt[2375][5]~60139\) # (!\led_flash_cnt[2375][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2375][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2375][5]~60139\,
	combout => \led_flash_cnt[2375][6]~60140_combout\,
	cout => \led_flash_cnt[2375][6]~60141\);

-- Location: FF_X23_Y12_N29
\led_flash_cnt[2375][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2375][6]~60140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2375][6]~q\);

-- Location: LCCOMB_X22_Y12_N30
\WideAnd2375~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2375~1_combout\ = (\led_flash_cnt[2375][6]~q\ & \led_flash_cnt[2375][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2375][6]~q\,
	datad => \led_flash_cnt[2375][5]~q\,
	combout => \WideAnd2375~1_combout\);

-- Location: LCCOMB_X23_Y12_N16
\WideAnd2375~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2375~0_combout\ = (\led_flash_cnt[2375][2]~q\ & (\led_flash_cnt[2375][4]~q\ & (\led_flash_cnt[2375][3]~q\ & \led_flash_cnt[2375][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2375][2]~q\,
	datab => \led_flash_cnt[2375][4]~q\,
	datac => \led_flash_cnt[2375][3]~q\,
	datad => \led_flash_cnt[2375][1]~q\,
	combout => \WideAnd2375~0_combout\);

-- Location: LCCOMB_X23_Y12_N30
\led_flash_cnt[2375][7]~60142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2375][7]~60142_combout\ = \led_flash_cnt[2375][7]~q\ $ (!\led_flash_cnt[2375][6]~60141\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2375][7]~q\,
	cin => \led_flash_cnt[2375][6]~60141\,
	combout => \led_flash_cnt[2375][7]~60142_combout\);

-- Location: FF_X23_Y12_N31
\led_flash_cnt[2375][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2375][7]~60142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2375][7]~q\);

-- Location: LCCOMB_X22_Y12_N8
WideAnd2375 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2375~combout\ = (\WideAnd2375~1_combout\ & (\WideAnd2375~0_combout\ & (\led_flash_cnt[2375][7]~q\ & \led_flash_cnt[2375][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2375~1_combout\,
	datab => \WideAnd2375~0_combout\,
	datac => \led_flash_cnt[2375][7]~q\,
	datad => \led_flash_cnt[2375][0]~q\,
	combout => \WideAnd2375~combout\);

-- Location: FF_X22_Y12_N9
\led_flash_cnt_ands[2375]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2375~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2375));

-- Location: LCCOMB_X45_Y24_N22
\led_flash_cnt[2371][0]~83011\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2371][0]~83011_combout\ = !\led_flash_cnt[2371][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2371][0]~q\,
	combout => \led_flash_cnt[2371][0]~83011_combout\);

-- Location: FF_X45_Y24_N23
\led_flash_cnt[2371][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2371][0]~83011_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2371][0]~q\);

-- Location: LCCOMB_X45_Y24_N8
\led_flash_cnt[2371][1]~60074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2371][1]~60074_combout\ = (\led_flash_cnt[2371][0]~q\ & (\led_flash_cnt[2371][1]~q\ $ (VCC))) # (!\led_flash_cnt[2371][0]~q\ & (\led_flash_cnt[2371][1]~q\ & VCC))
-- \led_flash_cnt[2371][1]~60075\ = CARRY((\led_flash_cnt[2371][0]~q\ & \led_flash_cnt[2371][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2371][0]~q\,
	datab => \led_flash_cnt[2371][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2371][1]~60074_combout\,
	cout => \led_flash_cnt[2371][1]~60075\);

-- Location: FF_X45_Y24_N9
\led_flash_cnt[2371][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2371][1]~60074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2371][1]~q\);

-- Location: LCCOMB_X45_Y24_N10
\led_flash_cnt[2371][2]~60076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2371][2]~60076_combout\ = (\led_flash_cnt[2371][2]~q\ & (!\led_flash_cnt[2371][1]~60075\)) # (!\led_flash_cnt[2371][2]~q\ & ((\led_flash_cnt[2371][1]~60075\) # (GND)))
-- \led_flash_cnt[2371][2]~60077\ = CARRY((!\led_flash_cnt[2371][1]~60075\) # (!\led_flash_cnt[2371][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2371][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2371][1]~60075\,
	combout => \led_flash_cnt[2371][2]~60076_combout\,
	cout => \led_flash_cnt[2371][2]~60077\);

-- Location: FF_X45_Y24_N11
\led_flash_cnt[2371][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2371][2]~60076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2371][2]~q\);

-- Location: LCCOMB_X45_Y24_N12
\led_flash_cnt[2371][3]~60078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2371][3]~60078_combout\ = (\led_flash_cnt[2371][3]~q\ & (\led_flash_cnt[2371][2]~60077\ $ (GND))) # (!\led_flash_cnt[2371][3]~q\ & (!\led_flash_cnt[2371][2]~60077\ & VCC))
-- \led_flash_cnt[2371][3]~60079\ = CARRY((\led_flash_cnt[2371][3]~q\ & !\led_flash_cnt[2371][2]~60077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2371][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2371][2]~60077\,
	combout => \led_flash_cnt[2371][3]~60078_combout\,
	cout => \led_flash_cnt[2371][3]~60079\);

-- Location: FF_X45_Y24_N13
\led_flash_cnt[2371][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2371][3]~60078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2371][3]~q\);

-- Location: LCCOMB_X45_Y24_N14
\led_flash_cnt[2371][4]~60080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2371][4]~60080_combout\ = (\led_flash_cnt[2371][4]~q\ & (!\led_flash_cnt[2371][3]~60079\)) # (!\led_flash_cnt[2371][4]~q\ & ((\led_flash_cnt[2371][3]~60079\) # (GND)))
-- \led_flash_cnt[2371][4]~60081\ = CARRY((!\led_flash_cnt[2371][3]~60079\) # (!\led_flash_cnt[2371][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2371][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2371][3]~60079\,
	combout => \led_flash_cnt[2371][4]~60080_combout\,
	cout => \led_flash_cnt[2371][4]~60081\);

-- Location: FF_X45_Y24_N15
\led_flash_cnt[2371][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2371][4]~60080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2371][4]~q\);

-- Location: LCCOMB_X45_Y24_N26
\WideAnd2371~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2371~0_combout\ = (\led_flash_cnt[2371][3]~q\ & (\led_flash_cnt[2371][1]~q\ & (\led_flash_cnt[2371][4]~q\ & \led_flash_cnt[2371][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2371][3]~q\,
	datab => \led_flash_cnt[2371][1]~q\,
	datac => \led_flash_cnt[2371][4]~q\,
	datad => \led_flash_cnt[2371][2]~q\,
	combout => \WideAnd2371~0_combout\);

-- Location: LCCOMB_X45_Y24_N16
\led_flash_cnt[2371][5]~60082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2371][5]~60082_combout\ = (\led_flash_cnt[2371][5]~q\ & (\led_flash_cnt[2371][4]~60081\ $ (GND))) # (!\led_flash_cnt[2371][5]~q\ & (!\led_flash_cnt[2371][4]~60081\ & VCC))
-- \led_flash_cnt[2371][5]~60083\ = CARRY((\led_flash_cnt[2371][5]~q\ & !\led_flash_cnt[2371][4]~60081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2371][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2371][4]~60081\,
	combout => \led_flash_cnt[2371][5]~60082_combout\,
	cout => \led_flash_cnt[2371][5]~60083\);

-- Location: FF_X45_Y24_N17
\led_flash_cnt[2371][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2371][5]~60082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2371][5]~q\);

-- Location: LCCOMB_X45_Y24_N18
\led_flash_cnt[2371][6]~60084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2371][6]~60084_combout\ = (\led_flash_cnt[2371][6]~q\ & (!\led_flash_cnt[2371][5]~60083\)) # (!\led_flash_cnt[2371][6]~q\ & ((\led_flash_cnt[2371][5]~60083\) # (GND)))
-- \led_flash_cnt[2371][6]~60085\ = CARRY((!\led_flash_cnt[2371][5]~60083\) # (!\led_flash_cnt[2371][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2371][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2371][5]~60083\,
	combout => \led_flash_cnt[2371][6]~60084_combout\,
	cout => \led_flash_cnt[2371][6]~60085\);

-- Location: FF_X45_Y24_N19
\led_flash_cnt[2371][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2371][6]~60084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2371][6]~q\);

-- Location: LCCOMB_X45_Y24_N20
\led_flash_cnt[2371][7]~60086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2371][7]~60086_combout\ = \led_flash_cnt[2371][6]~60085\ $ (!\led_flash_cnt[2371][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2371][7]~q\,
	cin => \led_flash_cnt[2371][6]~60085\,
	combout => \led_flash_cnt[2371][7]~60086_combout\);

-- Location: FF_X45_Y24_N21
\led_flash_cnt[2371][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2371][7]~60086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2371][7]~q\);

-- Location: LCCOMB_X45_Y24_N24
\WideAnd2371~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2371~1_combout\ = (\led_flash_cnt[2371][6]~q\ & \led_flash_cnt[2371][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2371][6]~q\,
	datad => \led_flash_cnt[2371][5]~q\,
	combout => \WideAnd2371~1_combout\);

-- Location: LCCOMB_X45_Y24_N30
WideAnd2371 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2371~combout\ = (\WideAnd2371~0_combout\ & (\led_flash_cnt[2371][7]~q\ & (\led_flash_cnt[2371][0]~q\ & \WideAnd2371~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2371~0_combout\,
	datab => \led_flash_cnt[2371][7]~q\,
	datac => \led_flash_cnt[2371][0]~q\,
	datad => \WideAnd2371~1_combout\,
	combout => \WideAnd2371~combout\);

-- Location: FF_X45_Y24_N31
\led_flash_cnt_ands[2371]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2371~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2371));

-- Location: LCCOMB_X34_Y20_N26
\led_flash_cnt[2368][0]~83008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2368][0]~83008_combout\ = !\led_flash_cnt[2368][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2368][0]~q\,
	combout => \led_flash_cnt[2368][0]~83008_combout\);

-- Location: FF_X34_Y20_N27
\led_flash_cnt[2368][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2368][0]~83008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2368][0]~q\);

-- Location: LCCOMB_X34_Y20_N0
\led_flash_cnt[2368][1]~60032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2368][1]~60032_combout\ = (\led_flash_cnt[2368][0]~q\ & (\led_flash_cnt[2368][1]~q\ $ (VCC))) # (!\led_flash_cnt[2368][0]~q\ & (\led_flash_cnt[2368][1]~q\ & VCC))
-- \led_flash_cnt[2368][1]~60033\ = CARRY((\led_flash_cnt[2368][0]~q\ & \led_flash_cnt[2368][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2368][0]~q\,
	datab => \led_flash_cnt[2368][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2368][1]~60032_combout\,
	cout => \led_flash_cnt[2368][1]~60033\);

-- Location: FF_X34_Y20_N1
\led_flash_cnt[2368][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2368][1]~60032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2368][1]~q\);

-- Location: LCCOMB_X34_Y20_N2
\led_flash_cnt[2368][2]~60034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2368][2]~60034_combout\ = (\led_flash_cnt[2368][2]~q\ & (!\led_flash_cnt[2368][1]~60033\)) # (!\led_flash_cnt[2368][2]~q\ & ((\led_flash_cnt[2368][1]~60033\) # (GND)))
-- \led_flash_cnt[2368][2]~60035\ = CARRY((!\led_flash_cnt[2368][1]~60033\) # (!\led_flash_cnt[2368][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2368][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2368][1]~60033\,
	combout => \led_flash_cnt[2368][2]~60034_combout\,
	cout => \led_flash_cnt[2368][2]~60035\);

-- Location: FF_X34_Y20_N3
\led_flash_cnt[2368][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2368][2]~60034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2368][2]~q\);

-- Location: LCCOMB_X34_Y20_N4
\led_flash_cnt[2368][3]~60036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2368][3]~60036_combout\ = (\led_flash_cnt[2368][3]~q\ & (\led_flash_cnt[2368][2]~60035\ $ (GND))) # (!\led_flash_cnt[2368][3]~q\ & (!\led_flash_cnt[2368][2]~60035\ & VCC))
-- \led_flash_cnt[2368][3]~60037\ = CARRY((\led_flash_cnt[2368][3]~q\ & !\led_flash_cnt[2368][2]~60035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2368][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2368][2]~60035\,
	combout => \led_flash_cnt[2368][3]~60036_combout\,
	cout => \led_flash_cnt[2368][3]~60037\);

-- Location: FF_X34_Y20_N5
\led_flash_cnt[2368][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2368][3]~60036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2368][3]~q\);

-- Location: LCCOMB_X34_Y20_N6
\led_flash_cnt[2368][4]~60038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2368][4]~60038_combout\ = (\led_flash_cnt[2368][4]~q\ & (!\led_flash_cnt[2368][3]~60037\)) # (!\led_flash_cnt[2368][4]~q\ & ((\led_flash_cnt[2368][3]~60037\) # (GND)))
-- \led_flash_cnt[2368][4]~60039\ = CARRY((!\led_flash_cnt[2368][3]~60037\) # (!\led_flash_cnt[2368][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2368][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2368][3]~60037\,
	combout => \led_flash_cnt[2368][4]~60038_combout\,
	cout => \led_flash_cnt[2368][4]~60039\);

-- Location: FF_X34_Y20_N7
\led_flash_cnt[2368][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2368][4]~60038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2368][4]~q\);

-- Location: LCCOMB_X34_Y20_N8
\led_flash_cnt[2368][5]~60040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2368][5]~60040_combout\ = (\led_flash_cnt[2368][5]~q\ & (\led_flash_cnt[2368][4]~60039\ $ (GND))) # (!\led_flash_cnt[2368][5]~q\ & (!\led_flash_cnt[2368][4]~60039\ & VCC))
-- \led_flash_cnt[2368][5]~60041\ = CARRY((\led_flash_cnt[2368][5]~q\ & !\led_flash_cnt[2368][4]~60039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2368][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2368][4]~60039\,
	combout => \led_flash_cnt[2368][5]~60040_combout\,
	cout => \led_flash_cnt[2368][5]~60041\);

-- Location: FF_X34_Y20_N9
\led_flash_cnt[2368][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2368][5]~60040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2368][5]~q\);

-- Location: LCCOMB_X34_Y20_N10
\led_flash_cnt[2368][6]~60042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2368][6]~60042_combout\ = (\led_flash_cnt[2368][6]~q\ & (!\led_flash_cnt[2368][5]~60041\)) # (!\led_flash_cnt[2368][6]~q\ & ((\led_flash_cnt[2368][5]~60041\) # (GND)))
-- \led_flash_cnt[2368][6]~60043\ = CARRY((!\led_flash_cnt[2368][5]~60041\) # (!\led_flash_cnt[2368][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2368][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2368][5]~60041\,
	combout => \led_flash_cnt[2368][6]~60042_combout\,
	cout => \led_flash_cnt[2368][6]~60043\);

-- Location: FF_X34_Y20_N11
\led_flash_cnt[2368][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2368][6]~60042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2368][6]~q\);

-- Location: LCCOMB_X34_Y20_N22
\WideAnd2368~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2368~1_combout\ = (\led_flash_cnt[2368][5]~q\ & \led_flash_cnt[2368][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2368][5]~q\,
	datad => \led_flash_cnt[2368][6]~q\,
	combout => \WideAnd2368~1_combout\);

-- Location: LCCOMB_X34_Y20_N18
\WideAnd2368~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2368~0_combout\ = (\led_flash_cnt[2368][4]~q\ & (\led_flash_cnt[2368][1]~q\ & (\led_flash_cnt[2368][3]~q\ & \led_flash_cnt[2368][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2368][4]~q\,
	datab => \led_flash_cnt[2368][1]~q\,
	datac => \led_flash_cnt[2368][3]~q\,
	datad => \led_flash_cnt[2368][2]~q\,
	combout => \WideAnd2368~0_combout\);

-- Location: LCCOMB_X34_Y20_N12
\led_flash_cnt[2368][7]~60044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2368][7]~60044_combout\ = \led_flash_cnt[2368][6]~60043\ $ (!\led_flash_cnt[2368][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2368][7]~q\,
	cin => \led_flash_cnt[2368][6]~60043\,
	combout => \led_flash_cnt[2368][7]~60044_combout\);

-- Location: FF_X34_Y20_N13
\led_flash_cnt[2368][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2368][7]~60044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2368][7]~q\);

-- Location: LCCOMB_X34_Y20_N30
WideAnd2368 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2368~combout\ = (\WideAnd2368~1_combout\ & (\WideAnd2368~0_combout\ & (\led_flash_cnt[2368][0]~q\ & \led_flash_cnt[2368][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2368~1_combout\,
	datab => \WideAnd2368~0_combout\,
	datac => \led_flash_cnt[2368][0]~q\,
	datad => \led_flash_cnt[2368][7]~q\,
	combout => \WideAnd2368~combout\);

-- Location: FF_X34_Y20_N31
\led_flash_cnt_ands[2368]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2368~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2368));

-- Location: LCCOMB_X46_Y25_N20
\led_flash_cnt[2370][0]~83010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2370][0]~83010_combout\ = !\led_flash_cnt[2370][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2370][0]~q\,
	combout => \led_flash_cnt[2370][0]~83010_combout\);

-- Location: FF_X46_Y25_N21
\led_flash_cnt[2370][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2370][0]~83010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2370][0]~q\);

-- Location: LCCOMB_X46_Y24_N0
\led_flash_cnt[2370][1]~60060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2370][1]~60060_combout\ = (\led_flash_cnt[2370][0]~q\ & (\led_flash_cnt[2370][1]~q\ $ (VCC))) # (!\led_flash_cnt[2370][0]~q\ & (\led_flash_cnt[2370][1]~q\ & VCC))
-- \led_flash_cnt[2370][1]~60061\ = CARRY((\led_flash_cnt[2370][0]~q\ & \led_flash_cnt[2370][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2370][0]~q\,
	datab => \led_flash_cnt[2370][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2370][1]~60060_combout\,
	cout => \led_flash_cnt[2370][1]~60061\);

-- Location: FF_X46_Y24_N1
\led_flash_cnt[2370][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2370][1]~60060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2370][1]~q\);

-- Location: LCCOMB_X46_Y24_N2
\led_flash_cnt[2370][2]~60062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2370][2]~60062_combout\ = (\led_flash_cnt[2370][2]~q\ & (!\led_flash_cnt[2370][1]~60061\)) # (!\led_flash_cnt[2370][2]~q\ & ((\led_flash_cnt[2370][1]~60061\) # (GND)))
-- \led_flash_cnt[2370][2]~60063\ = CARRY((!\led_flash_cnt[2370][1]~60061\) # (!\led_flash_cnt[2370][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2370][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2370][1]~60061\,
	combout => \led_flash_cnt[2370][2]~60062_combout\,
	cout => \led_flash_cnt[2370][2]~60063\);

-- Location: FF_X46_Y24_N3
\led_flash_cnt[2370][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2370][2]~60062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2370][2]~q\);

-- Location: LCCOMB_X46_Y24_N4
\led_flash_cnt[2370][3]~60064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2370][3]~60064_combout\ = (\led_flash_cnt[2370][3]~q\ & (\led_flash_cnt[2370][2]~60063\ $ (GND))) # (!\led_flash_cnt[2370][3]~q\ & (!\led_flash_cnt[2370][2]~60063\ & VCC))
-- \led_flash_cnt[2370][3]~60065\ = CARRY((\led_flash_cnt[2370][3]~q\ & !\led_flash_cnt[2370][2]~60063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2370][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2370][2]~60063\,
	combout => \led_flash_cnt[2370][3]~60064_combout\,
	cout => \led_flash_cnt[2370][3]~60065\);

-- Location: FF_X46_Y24_N5
\led_flash_cnt[2370][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2370][3]~60064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2370][3]~q\);

-- Location: LCCOMB_X46_Y24_N6
\led_flash_cnt[2370][4]~60066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2370][4]~60066_combout\ = (\led_flash_cnt[2370][4]~q\ & (!\led_flash_cnt[2370][3]~60065\)) # (!\led_flash_cnt[2370][4]~q\ & ((\led_flash_cnt[2370][3]~60065\) # (GND)))
-- \led_flash_cnt[2370][4]~60067\ = CARRY((!\led_flash_cnt[2370][3]~60065\) # (!\led_flash_cnt[2370][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2370][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2370][3]~60065\,
	combout => \led_flash_cnt[2370][4]~60066_combout\,
	cout => \led_flash_cnt[2370][4]~60067\);

-- Location: FF_X46_Y24_N7
\led_flash_cnt[2370][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2370][4]~60066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2370][4]~q\);

-- Location: LCCOMB_X46_Y24_N8
\led_flash_cnt[2370][5]~60068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2370][5]~60068_combout\ = (\led_flash_cnt[2370][5]~q\ & (\led_flash_cnt[2370][4]~60067\ $ (GND))) # (!\led_flash_cnt[2370][5]~q\ & (!\led_flash_cnt[2370][4]~60067\ & VCC))
-- \led_flash_cnt[2370][5]~60069\ = CARRY((\led_flash_cnt[2370][5]~q\ & !\led_flash_cnt[2370][4]~60067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2370][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2370][4]~60067\,
	combout => \led_flash_cnt[2370][5]~60068_combout\,
	cout => \led_flash_cnt[2370][5]~60069\);

-- Location: FF_X46_Y24_N9
\led_flash_cnt[2370][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2370][5]~60068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2370][5]~q\);

-- Location: LCCOMB_X46_Y24_N10
\led_flash_cnt[2370][6]~60070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2370][6]~60070_combout\ = (\led_flash_cnt[2370][6]~q\ & (!\led_flash_cnt[2370][5]~60069\)) # (!\led_flash_cnt[2370][6]~q\ & ((\led_flash_cnt[2370][5]~60069\) # (GND)))
-- \led_flash_cnt[2370][6]~60071\ = CARRY((!\led_flash_cnt[2370][5]~60069\) # (!\led_flash_cnt[2370][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2370][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2370][5]~60069\,
	combout => \led_flash_cnt[2370][6]~60070_combout\,
	cout => \led_flash_cnt[2370][6]~60071\);

-- Location: FF_X46_Y24_N11
\led_flash_cnt[2370][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2370][6]~60070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2370][6]~q\);

-- Location: LCCOMB_X46_Y24_N12
\led_flash_cnt[2370][7]~60072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2370][7]~60072_combout\ = \led_flash_cnt[2370][6]~60071\ $ (!\led_flash_cnt[2370][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2370][7]~q\,
	cin => \led_flash_cnt[2370][6]~60071\,
	combout => \led_flash_cnt[2370][7]~60072_combout\);

-- Location: FF_X46_Y24_N13
\led_flash_cnt[2370][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2370][7]~60072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2370][7]~q\);

-- Location: LCCOMB_X46_Y24_N28
\WideAnd2370~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2370~0_combout\ = (\led_flash_cnt[2370][4]~q\ & (\led_flash_cnt[2370][2]~q\ & (\led_flash_cnt[2370][3]~q\ & \led_flash_cnt[2370][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2370][4]~q\,
	datab => \led_flash_cnt[2370][2]~q\,
	datac => \led_flash_cnt[2370][3]~q\,
	datad => \led_flash_cnt[2370][1]~q\,
	combout => \WideAnd2370~0_combout\);

-- Location: LCCOMB_X46_Y25_N30
\WideAnd2370~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2370~1_combout\ = (\led_flash_cnt[2370][6]~q\ & \led_flash_cnt[2370][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2370][6]~q\,
	datac => \led_flash_cnt[2370][5]~q\,
	combout => \WideAnd2370~1_combout\);

-- Location: LCCOMB_X46_Y24_N30
WideAnd2370 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2370~combout\ = (\led_flash_cnt[2370][7]~q\ & (\WideAnd2370~0_combout\ & (\WideAnd2370~1_combout\ & \led_flash_cnt[2370][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2370][7]~q\,
	datab => \WideAnd2370~0_combout\,
	datac => \WideAnd2370~1_combout\,
	datad => \led_flash_cnt[2370][0]~q\,
	combout => \WideAnd2370~combout\);

-- Location: FF_X46_Y24_N31
\led_flash_cnt_ands[2370]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2370~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2370));

-- Location: LCCOMB_X45_Y24_N2
\led_flash_cnt[2369][0]~83009\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2369][0]~83009_combout\ = !\led_flash_cnt[2369][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2369][0]~q\,
	combout => \led_flash_cnt[2369][0]~83009_combout\);

-- Location: FF_X45_Y24_N3
\led_flash_cnt[2369][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2369][0]~83009_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2369][0]~q\);

-- Location: LCCOMB_X46_Y24_N14
\led_flash_cnt[2369][1]~60046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2369][1]~60046_combout\ = (\led_flash_cnt[2369][0]~q\ & (\led_flash_cnt[2369][1]~q\ $ (VCC))) # (!\led_flash_cnt[2369][0]~q\ & (\led_flash_cnt[2369][1]~q\ & VCC))
-- \led_flash_cnt[2369][1]~60047\ = CARRY((\led_flash_cnt[2369][0]~q\ & \led_flash_cnt[2369][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2369][0]~q\,
	datab => \led_flash_cnt[2369][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2369][1]~60046_combout\,
	cout => \led_flash_cnt[2369][1]~60047\);

-- Location: FF_X46_Y24_N15
\led_flash_cnt[2369][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2369][1]~60046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2369][1]~q\);

-- Location: LCCOMB_X46_Y24_N16
\led_flash_cnt[2369][2]~60048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2369][2]~60048_combout\ = (\led_flash_cnt[2369][2]~q\ & (!\led_flash_cnt[2369][1]~60047\)) # (!\led_flash_cnt[2369][2]~q\ & ((\led_flash_cnt[2369][1]~60047\) # (GND)))
-- \led_flash_cnt[2369][2]~60049\ = CARRY((!\led_flash_cnt[2369][1]~60047\) # (!\led_flash_cnt[2369][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2369][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2369][1]~60047\,
	combout => \led_flash_cnt[2369][2]~60048_combout\,
	cout => \led_flash_cnt[2369][2]~60049\);

-- Location: FF_X46_Y24_N17
\led_flash_cnt[2369][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2369][2]~60048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2369][2]~q\);

-- Location: LCCOMB_X46_Y24_N18
\led_flash_cnt[2369][3]~60050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2369][3]~60050_combout\ = (\led_flash_cnt[2369][3]~q\ & (\led_flash_cnt[2369][2]~60049\ $ (GND))) # (!\led_flash_cnt[2369][3]~q\ & (!\led_flash_cnt[2369][2]~60049\ & VCC))
-- \led_flash_cnt[2369][3]~60051\ = CARRY((\led_flash_cnt[2369][3]~q\ & !\led_flash_cnt[2369][2]~60049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2369][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2369][2]~60049\,
	combout => \led_flash_cnt[2369][3]~60050_combout\,
	cout => \led_flash_cnt[2369][3]~60051\);

-- Location: FF_X46_Y24_N19
\led_flash_cnt[2369][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2369][3]~60050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2369][3]~q\);

-- Location: LCCOMB_X46_Y24_N20
\led_flash_cnt[2369][4]~60052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2369][4]~60052_combout\ = (\led_flash_cnt[2369][4]~q\ & (!\led_flash_cnt[2369][3]~60051\)) # (!\led_flash_cnt[2369][4]~q\ & ((\led_flash_cnt[2369][3]~60051\) # (GND)))
-- \led_flash_cnt[2369][4]~60053\ = CARRY((!\led_flash_cnt[2369][3]~60051\) # (!\led_flash_cnt[2369][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2369][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2369][3]~60051\,
	combout => \led_flash_cnt[2369][4]~60052_combout\,
	cout => \led_flash_cnt[2369][4]~60053\);

-- Location: FF_X46_Y24_N21
\led_flash_cnt[2369][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2369][4]~60052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2369][4]~q\);

-- Location: LCCOMB_X46_Y24_N22
\led_flash_cnt[2369][5]~60054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2369][5]~60054_combout\ = (\led_flash_cnt[2369][5]~q\ & (\led_flash_cnt[2369][4]~60053\ $ (GND))) # (!\led_flash_cnt[2369][5]~q\ & (!\led_flash_cnt[2369][4]~60053\ & VCC))
-- \led_flash_cnt[2369][5]~60055\ = CARRY((\led_flash_cnt[2369][5]~q\ & !\led_flash_cnt[2369][4]~60053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2369][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2369][4]~60053\,
	combout => \led_flash_cnt[2369][5]~60054_combout\,
	cout => \led_flash_cnt[2369][5]~60055\);

-- Location: FF_X46_Y24_N23
\led_flash_cnt[2369][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2369][5]~60054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2369][5]~q\);

-- Location: LCCOMB_X46_Y24_N24
\led_flash_cnt[2369][6]~60056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2369][6]~60056_combout\ = (\led_flash_cnt[2369][6]~q\ & (!\led_flash_cnt[2369][5]~60055\)) # (!\led_flash_cnt[2369][6]~q\ & ((\led_flash_cnt[2369][5]~60055\) # (GND)))
-- \led_flash_cnt[2369][6]~60057\ = CARRY((!\led_flash_cnt[2369][5]~60055\) # (!\led_flash_cnt[2369][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2369][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2369][5]~60055\,
	combout => \led_flash_cnt[2369][6]~60056_combout\,
	cout => \led_flash_cnt[2369][6]~60057\);

-- Location: FF_X46_Y24_N25
\led_flash_cnt[2369][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2369][6]~60056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2369][6]~q\);

-- Location: LCCOMB_X45_Y24_N6
\WideAnd2369~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2369~1_combout\ = (\led_flash_cnt[2369][5]~q\ & \led_flash_cnt[2369][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2369][5]~q\,
	datad => \led_flash_cnt[2369][6]~q\,
	combout => \WideAnd2369~1_combout\);

-- Location: LCCOMB_X45_Y24_N4
\WideAnd2369~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2369~0_combout\ = (\led_flash_cnt[2369][4]~q\ & (\led_flash_cnt[2369][2]~q\ & (\led_flash_cnt[2369][1]~q\ & \led_flash_cnt[2369][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2369][4]~q\,
	datab => \led_flash_cnt[2369][2]~q\,
	datac => \led_flash_cnt[2369][1]~q\,
	datad => \led_flash_cnt[2369][3]~q\,
	combout => \WideAnd2369~0_combout\);

-- Location: LCCOMB_X46_Y24_N26
\led_flash_cnt[2369][7]~60058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2369][7]~60058_combout\ = \led_flash_cnt[2369][7]~q\ $ (!\led_flash_cnt[2369][6]~60057\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2369][7]~q\,
	cin => \led_flash_cnt[2369][6]~60057\,
	combout => \led_flash_cnt[2369][7]~60058_combout\);

-- Location: FF_X46_Y24_N27
\led_flash_cnt[2369][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2369][7]~60058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2369][7]~q\);

-- Location: LCCOMB_X45_Y24_N0
WideAnd2369 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2369~combout\ = (\WideAnd2369~1_combout\ & (\led_flash_cnt[2369][0]~q\ & (\WideAnd2369~0_combout\ & \led_flash_cnt[2369][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2369~1_combout\,
	datab => \led_flash_cnt[2369][0]~q\,
	datac => \WideAnd2369~0_combout\,
	datad => \led_flash_cnt[2369][7]~q\,
	combout => \WideAnd2369~combout\);

-- Location: FF_X45_Y24_N1
\led_flash_cnt_ands[2369]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2369~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2369));

-- Location: LCCOMB_X45_Y24_N28
\WideAnd4136~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4136~0_combout\ = (led_flash_cnt_ands(2371) & (led_flash_cnt_ands(2368) & (led_flash_cnt_ands(2370) & led_flash_cnt_ands(2369))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2371),
	datab => led_flash_cnt_ands(2368),
	datac => led_flash_cnt_ands(2370),
	datad => led_flash_cnt_ands(2369),
	combout => \WideAnd4136~0_combout\);

-- Location: LCCOMB_X22_Y12_N2
WideAnd4136 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4136~combout\ = (led_flash_cnt_ands(2374) & (\WideAnd4136~1_combout\ & (led_flash_cnt_ands(2375) & \WideAnd4136~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2374),
	datab => \WideAnd4136~1_combout\,
	datac => led_flash_cnt_ands(2375),
	datad => \WideAnd4136~0_combout\,
	combout => \WideAnd4136~combout\);

-- Location: FF_X22_Y12_N3
\led_flash_cnt_ands_1[296]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4136~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(296));

-- Location: LCCOMB_X30_Y12_N20
\WideAnd4357~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4357~0_combout\ = (led_flash_cnt_ands_1(298) & (led_flash_cnt_ands_1(299) & (led_flash_cnt_ands_1(297) & led_flash_cnt_ands_1(296))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(298),
	datab => led_flash_cnt_ands_1(299),
	datac => led_flash_cnt_ands_1(297),
	datad => led_flash_cnt_ands_1(296),
	combout => \WideAnd4357~0_combout\);

-- Location: LCCOMB_X30_Y12_N2
WideAnd4357 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4357~combout\ = (\WideAnd4357~1_combout\ & (led_flash_cnt_ands_1(303) & (led_flash_cnt_ands_1(302) & \WideAnd4357~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4357~1_combout\,
	datab => led_flash_cnt_ands_1(303),
	datac => led_flash_cnt_ands_1(302),
	datad => \WideAnd4357~0_combout\,
	combout => \WideAnd4357~combout\);

-- Location: FF_X30_Y12_N3
\led_flash_cnt_ands_2[37]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4357~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(37));

-- Location: LCCOMB_X71_Y32_N10
\led_flash_cnt[2543][0]~83183\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2543][0]~83183_combout\ = !\led_flash_cnt[2543][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2543][0]~q\,
	combout => \led_flash_cnt[2543][0]~83183_combout\);

-- Location: FF_X71_Y32_N11
\led_flash_cnt[2543][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2543][0]~83183_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2543][0]~q\);

-- Location: LCCOMB_X71_Y32_N16
\led_flash_cnt[2543][1]~62482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2543][1]~62482_combout\ = (\led_flash_cnt[2543][0]~q\ & (\led_flash_cnt[2543][1]~q\ $ (VCC))) # (!\led_flash_cnt[2543][0]~q\ & (\led_flash_cnt[2543][1]~q\ & VCC))
-- \led_flash_cnt[2543][1]~62483\ = CARRY((\led_flash_cnt[2543][0]~q\ & \led_flash_cnt[2543][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2543][0]~q\,
	datab => \led_flash_cnt[2543][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2543][1]~62482_combout\,
	cout => \led_flash_cnt[2543][1]~62483\);

-- Location: FF_X71_Y32_N17
\led_flash_cnt[2543][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2543][1]~62482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2543][1]~q\);

-- Location: LCCOMB_X71_Y32_N18
\led_flash_cnt[2543][2]~62484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2543][2]~62484_combout\ = (\led_flash_cnt[2543][2]~q\ & (!\led_flash_cnt[2543][1]~62483\)) # (!\led_flash_cnt[2543][2]~q\ & ((\led_flash_cnt[2543][1]~62483\) # (GND)))
-- \led_flash_cnt[2543][2]~62485\ = CARRY((!\led_flash_cnt[2543][1]~62483\) # (!\led_flash_cnt[2543][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2543][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2543][1]~62483\,
	combout => \led_flash_cnt[2543][2]~62484_combout\,
	cout => \led_flash_cnt[2543][2]~62485\);

-- Location: FF_X71_Y32_N19
\led_flash_cnt[2543][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2543][2]~62484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2543][2]~q\);

-- Location: LCCOMB_X71_Y32_N20
\led_flash_cnt[2543][3]~62486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2543][3]~62486_combout\ = (\led_flash_cnt[2543][3]~q\ & (\led_flash_cnt[2543][2]~62485\ $ (GND))) # (!\led_flash_cnt[2543][3]~q\ & (!\led_flash_cnt[2543][2]~62485\ & VCC))
-- \led_flash_cnt[2543][3]~62487\ = CARRY((\led_flash_cnt[2543][3]~q\ & !\led_flash_cnt[2543][2]~62485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2543][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2543][2]~62485\,
	combout => \led_flash_cnt[2543][3]~62486_combout\,
	cout => \led_flash_cnt[2543][3]~62487\);

-- Location: FF_X71_Y32_N21
\led_flash_cnt[2543][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2543][3]~62486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2543][3]~q\);

-- Location: LCCOMB_X71_Y32_N22
\led_flash_cnt[2543][4]~62488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2543][4]~62488_combout\ = (\led_flash_cnt[2543][4]~q\ & (!\led_flash_cnt[2543][3]~62487\)) # (!\led_flash_cnt[2543][4]~q\ & ((\led_flash_cnt[2543][3]~62487\) # (GND)))
-- \led_flash_cnt[2543][4]~62489\ = CARRY((!\led_flash_cnt[2543][3]~62487\) # (!\led_flash_cnt[2543][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2543][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2543][3]~62487\,
	combout => \led_flash_cnt[2543][4]~62488_combout\,
	cout => \led_flash_cnt[2543][4]~62489\);

-- Location: FF_X71_Y32_N23
\led_flash_cnt[2543][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2543][4]~62488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2543][4]~q\);

-- Location: LCCOMB_X71_Y32_N24
\led_flash_cnt[2543][5]~62490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2543][5]~62490_combout\ = (\led_flash_cnt[2543][5]~q\ & (\led_flash_cnt[2543][4]~62489\ $ (GND))) # (!\led_flash_cnt[2543][5]~q\ & (!\led_flash_cnt[2543][4]~62489\ & VCC))
-- \led_flash_cnt[2543][5]~62491\ = CARRY((\led_flash_cnt[2543][5]~q\ & !\led_flash_cnt[2543][4]~62489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2543][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2543][4]~62489\,
	combout => \led_flash_cnt[2543][5]~62490_combout\,
	cout => \led_flash_cnt[2543][5]~62491\);

-- Location: FF_X71_Y32_N25
\led_flash_cnt[2543][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2543][5]~62490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2543][5]~q\);

-- Location: LCCOMB_X71_Y32_N26
\led_flash_cnt[2543][6]~62492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2543][6]~62492_combout\ = (\led_flash_cnt[2543][6]~q\ & (!\led_flash_cnt[2543][5]~62491\)) # (!\led_flash_cnt[2543][6]~q\ & ((\led_flash_cnt[2543][5]~62491\) # (GND)))
-- \led_flash_cnt[2543][6]~62493\ = CARRY((!\led_flash_cnt[2543][5]~62491\) # (!\led_flash_cnt[2543][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2543][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2543][5]~62491\,
	combout => \led_flash_cnt[2543][6]~62492_combout\,
	cout => \led_flash_cnt[2543][6]~62493\);

-- Location: FF_X71_Y32_N27
\led_flash_cnt[2543][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2543][6]~62492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2543][6]~q\);

-- Location: LCCOMB_X71_Y32_N28
\led_flash_cnt[2543][7]~62494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2543][7]~62494_combout\ = \led_flash_cnt[2543][6]~62493\ $ (!\led_flash_cnt[2543][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2543][7]~q\,
	cin => \led_flash_cnt[2543][6]~62493\,
	combout => \led_flash_cnt[2543][7]~62494_combout\);

-- Location: FF_X71_Y32_N29
\led_flash_cnt[2543][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2543][7]~62494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2543][7]~q\);

-- Location: LCCOMB_X71_Y32_N8
\WideAnd2543~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2543~1_combout\ = (\led_flash_cnt[2543][6]~q\ & \led_flash_cnt[2543][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2543][6]~q\,
	datad => \led_flash_cnt[2543][5]~q\,
	combout => \WideAnd2543~1_combout\);

-- Location: LCCOMB_X71_Y32_N12
\WideAnd2543~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2543~0_combout\ = (\led_flash_cnt[2543][3]~q\ & (\led_flash_cnt[2543][2]~q\ & (\led_flash_cnt[2543][4]~q\ & \led_flash_cnt[2543][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2543][3]~q\,
	datab => \led_flash_cnt[2543][2]~q\,
	datac => \led_flash_cnt[2543][4]~q\,
	datad => \led_flash_cnt[2543][1]~q\,
	combout => \WideAnd2543~0_combout\);

-- Location: LCCOMB_X71_Y32_N4
WideAnd2543 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2543~combout\ = (\led_flash_cnt[2543][0]~q\ & (\led_flash_cnt[2543][7]~q\ & (\WideAnd2543~1_combout\ & \WideAnd2543~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2543][0]~q\,
	datab => \led_flash_cnt[2543][7]~q\,
	datac => \WideAnd2543~1_combout\,
	datad => \WideAnd2543~0_combout\,
	combout => \WideAnd2543~combout\);

-- Location: FF_X71_Y32_N5
\led_flash_cnt_ands[2543]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2543~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2543));

-- Location: LCCOMB_X76_Y40_N12
\led_flash_cnt[2541][0]~83181\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2541][0]~83181_combout\ = !\led_flash_cnt[2541][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2541][0]~q\,
	combout => \led_flash_cnt[2541][0]~83181_combout\);

-- Location: FF_X76_Y40_N13
\led_flash_cnt[2541][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2541][0]~83181_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2541][0]~q\);

-- Location: LCCOMB_X76_Y40_N18
\led_flash_cnt[2541][1]~62454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2541][1]~62454_combout\ = (\led_flash_cnt[2541][0]~q\ & (\led_flash_cnt[2541][1]~q\ $ (VCC))) # (!\led_flash_cnt[2541][0]~q\ & (\led_flash_cnt[2541][1]~q\ & VCC))
-- \led_flash_cnt[2541][1]~62455\ = CARRY((\led_flash_cnt[2541][0]~q\ & \led_flash_cnt[2541][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2541][0]~q\,
	datab => \led_flash_cnt[2541][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2541][1]~62454_combout\,
	cout => \led_flash_cnt[2541][1]~62455\);

-- Location: FF_X76_Y40_N19
\led_flash_cnt[2541][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2541][1]~62454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2541][1]~q\);

-- Location: LCCOMB_X76_Y40_N20
\led_flash_cnt[2541][2]~62456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2541][2]~62456_combout\ = (\led_flash_cnt[2541][2]~q\ & (!\led_flash_cnt[2541][1]~62455\)) # (!\led_flash_cnt[2541][2]~q\ & ((\led_flash_cnt[2541][1]~62455\) # (GND)))
-- \led_flash_cnt[2541][2]~62457\ = CARRY((!\led_flash_cnt[2541][1]~62455\) # (!\led_flash_cnt[2541][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2541][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2541][1]~62455\,
	combout => \led_flash_cnt[2541][2]~62456_combout\,
	cout => \led_flash_cnt[2541][2]~62457\);

-- Location: FF_X76_Y40_N21
\led_flash_cnt[2541][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2541][2]~62456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2541][2]~q\);

-- Location: LCCOMB_X76_Y40_N22
\led_flash_cnt[2541][3]~62458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2541][3]~62458_combout\ = (\led_flash_cnt[2541][3]~q\ & (\led_flash_cnt[2541][2]~62457\ $ (GND))) # (!\led_flash_cnt[2541][3]~q\ & (!\led_flash_cnt[2541][2]~62457\ & VCC))
-- \led_flash_cnt[2541][3]~62459\ = CARRY((\led_flash_cnt[2541][3]~q\ & !\led_flash_cnt[2541][2]~62457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2541][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2541][2]~62457\,
	combout => \led_flash_cnt[2541][3]~62458_combout\,
	cout => \led_flash_cnt[2541][3]~62459\);

-- Location: FF_X76_Y40_N23
\led_flash_cnt[2541][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2541][3]~62458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2541][3]~q\);

-- Location: LCCOMB_X76_Y40_N24
\led_flash_cnt[2541][4]~62460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2541][4]~62460_combout\ = (\led_flash_cnt[2541][4]~q\ & (!\led_flash_cnt[2541][3]~62459\)) # (!\led_flash_cnt[2541][4]~q\ & ((\led_flash_cnt[2541][3]~62459\) # (GND)))
-- \led_flash_cnt[2541][4]~62461\ = CARRY((!\led_flash_cnt[2541][3]~62459\) # (!\led_flash_cnt[2541][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2541][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2541][3]~62459\,
	combout => \led_flash_cnt[2541][4]~62460_combout\,
	cout => \led_flash_cnt[2541][4]~62461\);

-- Location: FF_X76_Y40_N25
\led_flash_cnt[2541][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2541][4]~62460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2541][4]~q\);

-- Location: LCCOMB_X76_Y40_N26
\led_flash_cnt[2541][5]~62462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2541][5]~62462_combout\ = (\led_flash_cnt[2541][5]~q\ & (\led_flash_cnt[2541][4]~62461\ $ (GND))) # (!\led_flash_cnt[2541][5]~q\ & (!\led_flash_cnt[2541][4]~62461\ & VCC))
-- \led_flash_cnt[2541][5]~62463\ = CARRY((\led_flash_cnt[2541][5]~q\ & !\led_flash_cnt[2541][4]~62461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2541][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2541][4]~62461\,
	combout => \led_flash_cnt[2541][5]~62462_combout\,
	cout => \led_flash_cnt[2541][5]~62463\);

-- Location: FF_X76_Y40_N27
\led_flash_cnt[2541][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2541][5]~62462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2541][5]~q\);

-- Location: LCCOMB_X76_Y40_N28
\led_flash_cnt[2541][6]~62464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2541][6]~62464_combout\ = (\led_flash_cnt[2541][6]~q\ & (!\led_flash_cnt[2541][5]~62463\)) # (!\led_flash_cnt[2541][6]~q\ & ((\led_flash_cnt[2541][5]~62463\) # (GND)))
-- \led_flash_cnt[2541][6]~62465\ = CARRY((!\led_flash_cnt[2541][5]~62463\) # (!\led_flash_cnt[2541][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2541][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2541][5]~62463\,
	combout => \led_flash_cnt[2541][6]~62464_combout\,
	cout => \led_flash_cnt[2541][6]~62465\);

-- Location: FF_X76_Y40_N29
\led_flash_cnt[2541][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2541][6]~62464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2541][6]~q\);

-- Location: LCCOMB_X76_Y40_N10
\WideAnd2541~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2541~1_combout\ = (\led_flash_cnt[2541][5]~q\ & \led_flash_cnt[2541][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2541][5]~q\,
	datad => \led_flash_cnt[2541][6]~q\,
	combout => \WideAnd2541~1_combout\);

-- Location: LCCOMB_X76_Y40_N16
\WideAnd2541~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2541~0_combout\ = (\led_flash_cnt[2541][2]~q\ & (\led_flash_cnt[2541][4]~q\ & (\led_flash_cnt[2541][3]~q\ & \led_flash_cnt[2541][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2541][2]~q\,
	datab => \led_flash_cnt[2541][4]~q\,
	datac => \led_flash_cnt[2541][3]~q\,
	datad => \led_flash_cnt[2541][1]~q\,
	combout => \WideAnd2541~0_combout\);

-- Location: LCCOMB_X76_Y40_N30
\led_flash_cnt[2541][7]~62466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2541][7]~62466_combout\ = \led_flash_cnt[2541][7]~q\ $ (!\led_flash_cnt[2541][6]~62465\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2541][7]~q\,
	cin => \led_flash_cnt[2541][6]~62465\,
	combout => \led_flash_cnt[2541][7]~62466_combout\);

-- Location: FF_X76_Y40_N31
\led_flash_cnt[2541][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2541][7]~62466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2541][7]~q\);

-- Location: LCCOMB_X76_Y40_N4
WideAnd2541 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2541~combout\ = (\WideAnd2541~1_combout\ & (\WideAnd2541~0_combout\ & (\led_flash_cnt[2541][7]~q\ & \led_flash_cnt[2541][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2541~1_combout\,
	datab => \WideAnd2541~0_combout\,
	datac => \led_flash_cnt[2541][7]~q\,
	datad => \led_flash_cnt[2541][0]~q\,
	combout => \WideAnd2541~combout\);

-- Location: FF_X76_Y40_N5
\led_flash_cnt_ands[2541]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2541~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2541));

-- Location: LCCOMB_X77_Y40_N4
\led_flash_cnt[2540][0]~83180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2540][0]~83180_combout\ = !\led_flash_cnt[2540][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2540][0]~q\,
	combout => \led_flash_cnt[2540][0]~83180_combout\);

-- Location: FF_X77_Y40_N5
\led_flash_cnt[2540][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2540][0]~83180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2540][0]~q\);

-- Location: LCCOMB_X77_Y40_N10
\led_flash_cnt[2540][1]~62440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2540][1]~62440_combout\ = (\led_flash_cnt[2540][1]~q\ & (\led_flash_cnt[2540][0]~q\ $ (VCC))) # (!\led_flash_cnt[2540][1]~q\ & (\led_flash_cnt[2540][0]~q\ & VCC))
-- \led_flash_cnt[2540][1]~62441\ = CARRY((\led_flash_cnt[2540][1]~q\ & \led_flash_cnt[2540][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2540][1]~q\,
	datab => \led_flash_cnt[2540][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2540][1]~62440_combout\,
	cout => \led_flash_cnt[2540][1]~62441\);

-- Location: FF_X77_Y40_N11
\led_flash_cnt[2540][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2540][1]~62440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2540][1]~q\);

-- Location: LCCOMB_X77_Y40_N12
\led_flash_cnt[2540][2]~62442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2540][2]~62442_combout\ = (\led_flash_cnt[2540][2]~q\ & (!\led_flash_cnt[2540][1]~62441\)) # (!\led_flash_cnt[2540][2]~q\ & ((\led_flash_cnt[2540][1]~62441\) # (GND)))
-- \led_flash_cnt[2540][2]~62443\ = CARRY((!\led_flash_cnt[2540][1]~62441\) # (!\led_flash_cnt[2540][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2540][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2540][1]~62441\,
	combout => \led_flash_cnt[2540][2]~62442_combout\,
	cout => \led_flash_cnt[2540][2]~62443\);

-- Location: FF_X77_Y40_N13
\led_flash_cnt[2540][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2540][2]~62442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2540][2]~q\);

-- Location: LCCOMB_X77_Y40_N14
\led_flash_cnt[2540][3]~62444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2540][3]~62444_combout\ = (\led_flash_cnt[2540][3]~q\ & (\led_flash_cnt[2540][2]~62443\ $ (GND))) # (!\led_flash_cnt[2540][3]~q\ & (!\led_flash_cnt[2540][2]~62443\ & VCC))
-- \led_flash_cnt[2540][3]~62445\ = CARRY((\led_flash_cnt[2540][3]~q\ & !\led_flash_cnt[2540][2]~62443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2540][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2540][2]~62443\,
	combout => \led_flash_cnt[2540][3]~62444_combout\,
	cout => \led_flash_cnt[2540][3]~62445\);

-- Location: FF_X77_Y40_N15
\led_flash_cnt[2540][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2540][3]~62444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2540][3]~q\);

-- Location: LCCOMB_X77_Y40_N16
\led_flash_cnt[2540][4]~62446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2540][4]~62446_combout\ = (\led_flash_cnt[2540][4]~q\ & (!\led_flash_cnt[2540][3]~62445\)) # (!\led_flash_cnt[2540][4]~q\ & ((\led_flash_cnt[2540][3]~62445\) # (GND)))
-- \led_flash_cnt[2540][4]~62447\ = CARRY((!\led_flash_cnt[2540][3]~62445\) # (!\led_flash_cnt[2540][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2540][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2540][3]~62445\,
	combout => \led_flash_cnt[2540][4]~62446_combout\,
	cout => \led_flash_cnt[2540][4]~62447\);

-- Location: FF_X77_Y40_N17
\led_flash_cnt[2540][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2540][4]~62446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2540][4]~q\);

-- Location: LCCOMB_X77_Y40_N18
\led_flash_cnt[2540][5]~62448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2540][5]~62448_combout\ = (\led_flash_cnt[2540][5]~q\ & (\led_flash_cnt[2540][4]~62447\ $ (GND))) # (!\led_flash_cnt[2540][5]~q\ & (!\led_flash_cnt[2540][4]~62447\ & VCC))
-- \led_flash_cnt[2540][5]~62449\ = CARRY((\led_flash_cnt[2540][5]~q\ & !\led_flash_cnt[2540][4]~62447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2540][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2540][4]~62447\,
	combout => \led_flash_cnt[2540][5]~62448_combout\,
	cout => \led_flash_cnt[2540][5]~62449\);

-- Location: FF_X77_Y40_N19
\led_flash_cnt[2540][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2540][5]~62448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2540][5]~q\);

-- Location: LCCOMB_X77_Y40_N20
\led_flash_cnt[2540][6]~62450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2540][6]~62450_combout\ = (\led_flash_cnt[2540][6]~q\ & (!\led_flash_cnt[2540][5]~62449\)) # (!\led_flash_cnt[2540][6]~q\ & ((\led_flash_cnt[2540][5]~62449\) # (GND)))
-- \led_flash_cnt[2540][6]~62451\ = CARRY((!\led_flash_cnt[2540][5]~62449\) # (!\led_flash_cnt[2540][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2540][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2540][5]~62449\,
	combout => \led_flash_cnt[2540][6]~62450_combout\,
	cout => \led_flash_cnt[2540][6]~62451\);

-- Location: FF_X77_Y40_N21
\led_flash_cnt[2540][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2540][6]~62450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2540][6]~q\);

-- Location: LCCOMB_X77_Y40_N26
\WideAnd2540~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2540~1_combout\ = (\led_flash_cnt[2540][6]~q\ & \led_flash_cnt[2540][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2540][6]~q\,
	datad => \led_flash_cnt[2540][5]~q\,
	combout => \WideAnd2540~1_combout\);

-- Location: LCCOMB_X77_Y40_N22
\led_flash_cnt[2540][7]~62452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2540][7]~62452_combout\ = \led_flash_cnt[2540][7]~q\ $ (!\led_flash_cnt[2540][6]~62451\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2540][7]~q\,
	cin => \led_flash_cnt[2540][6]~62451\,
	combout => \led_flash_cnt[2540][7]~62452_combout\);

-- Location: FF_X77_Y40_N23
\led_flash_cnt[2540][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2540][7]~62452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2540][7]~q\);

-- Location: LCCOMB_X77_Y40_N24
\WideAnd2540~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2540~0_combout\ = (\led_flash_cnt[2540][2]~q\ & (\led_flash_cnt[2540][4]~q\ & (\led_flash_cnt[2540][3]~q\ & \led_flash_cnt[2540][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2540][2]~q\,
	datab => \led_flash_cnt[2540][4]~q\,
	datac => \led_flash_cnt[2540][3]~q\,
	datad => \led_flash_cnt[2540][1]~q\,
	combout => \WideAnd2540~0_combout\);

-- Location: LCCOMB_X77_Y40_N28
WideAnd2540 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2540~combout\ = (\WideAnd2540~1_combout\ & (\led_flash_cnt[2540][0]~q\ & (\led_flash_cnt[2540][7]~q\ & \WideAnd2540~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2540~1_combout\,
	datab => \led_flash_cnt[2540][0]~q\,
	datac => \led_flash_cnt[2540][7]~q\,
	datad => \WideAnd2540~0_combout\,
	combout => \WideAnd2540~combout\);

-- Location: FF_X77_Y40_N29
\led_flash_cnt_ands[2540]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2540~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2540));

-- Location: LCCOMB_X76_Y40_N8
\WideAnd4157~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4157~1_combout\ = (led_flash_cnt_ands(2541) & led_flash_cnt_ands(2540))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2541),
	datad => led_flash_cnt_ands(2540),
	combout => \WideAnd4157~1_combout\);

-- Location: LCCOMB_X7_Y35_N2
\led_flash_cnt[2538][0]~83178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2538][0]~83178_combout\ = !\led_flash_cnt[2538][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2538][0]~q\,
	combout => \led_flash_cnt[2538][0]~83178_combout\);

-- Location: FF_X7_Y35_N3
\led_flash_cnt[2538][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2538][0]~83178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2538][0]~q\);

-- Location: LCCOMB_X6_Y35_N0
\led_flash_cnt[2538][1]~62412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2538][1]~62412_combout\ = (\led_flash_cnt[2538][0]~q\ & (\led_flash_cnt[2538][1]~q\ $ (VCC))) # (!\led_flash_cnt[2538][0]~q\ & (\led_flash_cnt[2538][1]~q\ & VCC))
-- \led_flash_cnt[2538][1]~62413\ = CARRY((\led_flash_cnt[2538][0]~q\ & \led_flash_cnt[2538][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2538][0]~q\,
	datab => \led_flash_cnt[2538][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2538][1]~62412_combout\,
	cout => \led_flash_cnt[2538][1]~62413\);

-- Location: FF_X6_Y35_N1
\led_flash_cnt[2538][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2538][1]~62412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2538][1]~q\);

-- Location: LCCOMB_X6_Y35_N2
\led_flash_cnt[2538][2]~62414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2538][2]~62414_combout\ = (\led_flash_cnt[2538][2]~q\ & (!\led_flash_cnt[2538][1]~62413\)) # (!\led_flash_cnt[2538][2]~q\ & ((\led_flash_cnt[2538][1]~62413\) # (GND)))
-- \led_flash_cnt[2538][2]~62415\ = CARRY((!\led_flash_cnt[2538][1]~62413\) # (!\led_flash_cnt[2538][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2538][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2538][1]~62413\,
	combout => \led_flash_cnt[2538][2]~62414_combout\,
	cout => \led_flash_cnt[2538][2]~62415\);

-- Location: FF_X6_Y35_N3
\led_flash_cnt[2538][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2538][2]~62414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2538][2]~q\);

-- Location: LCCOMB_X6_Y35_N4
\led_flash_cnt[2538][3]~62416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2538][3]~62416_combout\ = (\led_flash_cnt[2538][3]~q\ & (\led_flash_cnt[2538][2]~62415\ $ (GND))) # (!\led_flash_cnt[2538][3]~q\ & (!\led_flash_cnt[2538][2]~62415\ & VCC))
-- \led_flash_cnt[2538][3]~62417\ = CARRY((\led_flash_cnt[2538][3]~q\ & !\led_flash_cnt[2538][2]~62415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2538][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2538][2]~62415\,
	combout => \led_flash_cnt[2538][3]~62416_combout\,
	cout => \led_flash_cnt[2538][3]~62417\);

-- Location: FF_X6_Y35_N5
\led_flash_cnt[2538][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2538][3]~62416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2538][3]~q\);

-- Location: LCCOMB_X6_Y35_N6
\led_flash_cnt[2538][4]~62418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2538][4]~62418_combout\ = (\led_flash_cnt[2538][4]~q\ & (!\led_flash_cnt[2538][3]~62417\)) # (!\led_flash_cnt[2538][4]~q\ & ((\led_flash_cnt[2538][3]~62417\) # (GND)))
-- \led_flash_cnt[2538][4]~62419\ = CARRY((!\led_flash_cnt[2538][3]~62417\) # (!\led_flash_cnt[2538][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2538][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2538][3]~62417\,
	combout => \led_flash_cnt[2538][4]~62418_combout\,
	cout => \led_flash_cnt[2538][4]~62419\);

-- Location: FF_X6_Y35_N7
\led_flash_cnt[2538][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2538][4]~62418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2538][4]~q\);

-- Location: LCCOMB_X6_Y35_N8
\led_flash_cnt[2538][5]~62420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2538][5]~62420_combout\ = (\led_flash_cnt[2538][5]~q\ & (\led_flash_cnt[2538][4]~62419\ $ (GND))) # (!\led_flash_cnt[2538][5]~q\ & (!\led_flash_cnt[2538][4]~62419\ & VCC))
-- \led_flash_cnt[2538][5]~62421\ = CARRY((\led_flash_cnt[2538][5]~q\ & !\led_flash_cnt[2538][4]~62419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2538][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2538][4]~62419\,
	combout => \led_flash_cnt[2538][5]~62420_combout\,
	cout => \led_flash_cnt[2538][5]~62421\);

-- Location: FF_X6_Y35_N9
\led_flash_cnt[2538][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2538][5]~62420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2538][5]~q\);

-- Location: LCCOMB_X6_Y35_N10
\led_flash_cnt[2538][6]~62422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2538][6]~62422_combout\ = (\led_flash_cnt[2538][6]~q\ & (!\led_flash_cnt[2538][5]~62421\)) # (!\led_flash_cnt[2538][6]~q\ & ((\led_flash_cnt[2538][5]~62421\) # (GND)))
-- \led_flash_cnt[2538][6]~62423\ = CARRY((!\led_flash_cnt[2538][5]~62421\) # (!\led_flash_cnt[2538][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2538][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2538][5]~62421\,
	combout => \led_flash_cnt[2538][6]~62422_combout\,
	cout => \led_flash_cnt[2538][6]~62423\);

-- Location: FF_X6_Y35_N11
\led_flash_cnt[2538][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2538][6]~62422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2538][6]~q\);

-- Location: LCCOMB_X6_Y35_N12
\led_flash_cnt[2538][7]~62424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2538][7]~62424_combout\ = \led_flash_cnt[2538][6]~62423\ $ (!\led_flash_cnt[2538][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2538][7]~q\,
	cin => \led_flash_cnt[2538][6]~62423\,
	combout => \led_flash_cnt[2538][7]~62424_combout\);

-- Location: FF_X6_Y35_N13
\led_flash_cnt[2538][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2538][7]~62424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2538][7]~q\);

-- Location: LCCOMB_X7_Y35_N24
\WideAnd2538~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2538~1_combout\ = (\led_flash_cnt[2538][5]~q\ & \led_flash_cnt[2538][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2538][5]~q\,
	datad => \led_flash_cnt[2538][6]~q\,
	combout => \WideAnd2538~1_combout\);

-- Location: LCCOMB_X6_Y35_N14
\WideAnd2538~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2538~0_combout\ = (\led_flash_cnt[2538][4]~q\ & (\led_flash_cnt[2538][1]~q\ & (\led_flash_cnt[2538][3]~q\ & \led_flash_cnt[2538][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2538][4]~q\,
	datab => \led_flash_cnt[2538][1]~q\,
	datac => \led_flash_cnt[2538][3]~q\,
	datad => \led_flash_cnt[2538][2]~q\,
	combout => \WideAnd2538~0_combout\);

-- Location: LCCOMB_X7_Y35_N22
WideAnd2538 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2538~combout\ = (\led_flash_cnt[2538][7]~q\ & (\WideAnd2538~1_combout\ & (\led_flash_cnt[2538][0]~q\ & \WideAnd2538~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2538][7]~q\,
	datab => \WideAnd2538~1_combout\,
	datac => \led_flash_cnt[2538][0]~q\,
	datad => \WideAnd2538~0_combout\,
	combout => \WideAnd2538~combout\);

-- Location: FF_X7_Y35_N23
\led_flash_cnt_ands[2538]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2538~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2538));

-- Location: LCCOMB_X8_Y35_N26
\led_flash_cnt[2539][0]~83179\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2539][0]~83179_combout\ = !\led_flash_cnt[2539][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2539][0]~q\,
	combout => \led_flash_cnt[2539][0]~83179_combout\);

-- Location: FF_X8_Y35_N27
\led_flash_cnt[2539][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2539][0]~83179_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2539][0]~q\);

-- Location: LCCOMB_X8_Y35_N12
\led_flash_cnt[2539][1]~62426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2539][1]~62426_combout\ = (\led_flash_cnt[2539][0]~q\ & (\led_flash_cnt[2539][1]~q\ $ (VCC))) # (!\led_flash_cnt[2539][0]~q\ & (\led_flash_cnt[2539][1]~q\ & VCC))
-- \led_flash_cnt[2539][1]~62427\ = CARRY((\led_flash_cnt[2539][0]~q\ & \led_flash_cnt[2539][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2539][0]~q\,
	datab => \led_flash_cnt[2539][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2539][1]~62426_combout\,
	cout => \led_flash_cnt[2539][1]~62427\);

-- Location: FF_X8_Y35_N13
\led_flash_cnt[2539][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2539][1]~62426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2539][1]~q\);

-- Location: LCCOMB_X8_Y35_N14
\led_flash_cnt[2539][2]~62428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2539][2]~62428_combout\ = (\led_flash_cnt[2539][2]~q\ & (!\led_flash_cnt[2539][1]~62427\)) # (!\led_flash_cnt[2539][2]~q\ & ((\led_flash_cnt[2539][1]~62427\) # (GND)))
-- \led_flash_cnt[2539][2]~62429\ = CARRY((!\led_flash_cnt[2539][1]~62427\) # (!\led_flash_cnt[2539][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2539][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2539][1]~62427\,
	combout => \led_flash_cnt[2539][2]~62428_combout\,
	cout => \led_flash_cnt[2539][2]~62429\);

-- Location: FF_X8_Y35_N15
\led_flash_cnt[2539][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2539][2]~62428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2539][2]~q\);

-- Location: LCCOMB_X8_Y35_N16
\led_flash_cnt[2539][3]~62430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2539][3]~62430_combout\ = (\led_flash_cnt[2539][3]~q\ & (\led_flash_cnt[2539][2]~62429\ $ (GND))) # (!\led_flash_cnt[2539][3]~q\ & (!\led_flash_cnt[2539][2]~62429\ & VCC))
-- \led_flash_cnt[2539][3]~62431\ = CARRY((\led_flash_cnt[2539][3]~q\ & !\led_flash_cnt[2539][2]~62429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2539][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2539][2]~62429\,
	combout => \led_flash_cnt[2539][3]~62430_combout\,
	cout => \led_flash_cnt[2539][3]~62431\);

-- Location: FF_X8_Y35_N17
\led_flash_cnt[2539][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2539][3]~62430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2539][3]~q\);

-- Location: LCCOMB_X8_Y35_N18
\led_flash_cnt[2539][4]~62432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2539][4]~62432_combout\ = (\led_flash_cnt[2539][4]~q\ & (!\led_flash_cnt[2539][3]~62431\)) # (!\led_flash_cnt[2539][4]~q\ & ((\led_flash_cnt[2539][3]~62431\) # (GND)))
-- \led_flash_cnt[2539][4]~62433\ = CARRY((!\led_flash_cnt[2539][3]~62431\) # (!\led_flash_cnt[2539][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2539][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2539][3]~62431\,
	combout => \led_flash_cnt[2539][4]~62432_combout\,
	cout => \led_flash_cnt[2539][4]~62433\);

-- Location: FF_X8_Y35_N19
\led_flash_cnt[2539][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2539][4]~62432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2539][4]~q\);

-- Location: LCCOMB_X8_Y35_N10
\WideAnd2539~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2539~0_combout\ = (\led_flash_cnt[2539][1]~q\ & (\led_flash_cnt[2539][4]~q\ & (\led_flash_cnt[2539][2]~q\ & \led_flash_cnt[2539][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2539][1]~q\,
	datab => \led_flash_cnt[2539][4]~q\,
	datac => \led_flash_cnt[2539][2]~q\,
	datad => \led_flash_cnt[2539][3]~q\,
	combout => \WideAnd2539~0_combout\);

-- Location: LCCOMB_X8_Y35_N20
\led_flash_cnt[2539][5]~62434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2539][5]~62434_combout\ = (\led_flash_cnt[2539][5]~q\ & (\led_flash_cnt[2539][4]~62433\ $ (GND))) # (!\led_flash_cnt[2539][5]~q\ & (!\led_flash_cnt[2539][4]~62433\ & VCC))
-- \led_flash_cnt[2539][5]~62435\ = CARRY((\led_flash_cnt[2539][5]~q\ & !\led_flash_cnt[2539][4]~62433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2539][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2539][4]~62433\,
	combout => \led_flash_cnt[2539][5]~62434_combout\,
	cout => \led_flash_cnt[2539][5]~62435\);

-- Location: FF_X8_Y35_N21
\led_flash_cnt[2539][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2539][5]~62434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2539][5]~q\);

-- Location: LCCOMB_X8_Y35_N22
\led_flash_cnt[2539][6]~62436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2539][6]~62436_combout\ = (\led_flash_cnt[2539][6]~q\ & (!\led_flash_cnt[2539][5]~62435\)) # (!\led_flash_cnt[2539][6]~q\ & ((\led_flash_cnt[2539][5]~62435\) # (GND)))
-- \led_flash_cnt[2539][6]~62437\ = CARRY((!\led_flash_cnt[2539][5]~62435\) # (!\led_flash_cnt[2539][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2539][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2539][5]~62435\,
	combout => \led_flash_cnt[2539][6]~62436_combout\,
	cout => \led_flash_cnt[2539][6]~62437\);

-- Location: FF_X8_Y35_N23
\led_flash_cnt[2539][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2539][6]~62436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2539][6]~q\);

-- Location: LCCOMB_X8_Y35_N24
\led_flash_cnt[2539][7]~62438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2539][7]~62438_combout\ = \led_flash_cnt[2539][6]~62437\ $ (!\led_flash_cnt[2539][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2539][7]~q\,
	cin => \led_flash_cnt[2539][6]~62437\,
	combout => \led_flash_cnt[2539][7]~62438_combout\);

-- Location: FF_X8_Y35_N25
\led_flash_cnt[2539][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2539][7]~62438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2539][7]~q\);

-- Location: LCCOMB_X8_Y35_N0
\WideAnd2539~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2539~1_combout\ = (\led_flash_cnt[2539][6]~q\ & \led_flash_cnt[2539][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2539][6]~q\,
	datad => \led_flash_cnt[2539][5]~q\,
	combout => \WideAnd2539~1_combout\);

-- Location: LCCOMB_X8_Y35_N28
WideAnd2539 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2539~combout\ = (\WideAnd2539~0_combout\ & (\led_flash_cnt[2539][7]~q\ & (\led_flash_cnt[2539][0]~q\ & \WideAnd2539~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2539~0_combout\,
	datab => \led_flash_cnt[2539][7]~q\,
	datac => \led_flash_cnt[2539][0]~q\,
	datad => \WideAnd2539~1_combout\,
	combout => \WideAnd2539~combout\);

-- Location: FF_X8_Y35_N29
\led_flash_cnt_ands[2539]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2539~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2539));

-- Location: LCCOMB_X6_Y33_N30
\led_flash_cnt[2536][0]~83176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2536][0]~83176_combout\ = !\led_flash_cnt[2536][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2536][0]~q\,
	combout => \led_flash_cnt[2536][0]~83176_combout\);

-- Location: FF_X6_Y33_N31
\led_flash_cnt[2536][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2536][0]~83176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2536][0]~q\);

-- Location: LCCOMB_X6_Y33_N16
\led_flash_cnt[2536][1]~62384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2536][1]~62384_combout\ = (\led_flash_cnt[2536][0]~q\ & (\led_flash_cnt[2536][1]~q\ $ (VCC))) # (!\led_flash_cnt[2536][0]~q\ & (\led_flash_cnt[2536][1]~q\ & VCC))
-- \led_flash_cnt[2536][1]~62385\ = CARRY((\led_flash_cnt[2536][0]~q\ & \led_flash_cnt[2536][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2536][0]~q\,
	datab => \led_flash_cnt[2536][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2536][1]~62384_combout\,
	cout => \led_flash_cnt[2536][1]~62385\);

-- Location: FF_X6_Y33_N17
\led_flash_cnt[2536][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2536][1]~62384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2536][1]~q\);

-- Location: LCCOMB_X6_Y33_N18
\led_flash_cnt[2536][2]~62386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2536][2]~62386_combout\ = (\led_flash_cnt[2536][2]~q\ & (!\led_flash_cnt[2536][1]~62385\)) # (!\led_flash_cnt[2536][2]~q\ & ((\led_flash_cnt[2536][1]~62385\) # (GND)))
-- \led_flash_cnt[2536][2]~62387\ = CARRY((!\led_flash_cnt[2536][1]~62385\) # (!\led_flash_cnt[2536][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2536][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2536][1]~62385\,
	combout => \led_flash_cnt[2536][2]~62386_combout\,
	cout => \led_flash_cnt[2536][2]~62387\);

-- Location: FF_X6_Y33_N19
\led_flash_cnt[2536][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2536][2]~62386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2536][2]~q\);

-- Location: LCCOMB_X6_Y33_N20
\led_flash_cnt[2536][3]~62388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2536][3]~62388_combout\ = (\led_flash_cnt[2536][3]~q\ & (\led_flash_cnt[2536][2]~62387\ $ (GND))) # (!\led_flash_cnt[2536][3]~q\ & (!\led_flash_cnt[2536][2]~62387\ & VCC))
-- \led_flash_cnt[2536][3]~62389\ = CARRY((\led_flash_cnt[2536][3]~q\ & !\led_flash_cnt[2536][2]~62387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2536][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2536][2]~62387\,
	combout => \led_flash_cnt[2536][3]~62388_combout\,
	cout => \led_flash_cnt[2536][3]~62389\);

-- Location: FF_X6_Y33_N21
\led_flash_cnt[2536][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2536][3]~62388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2536][3]~q\);

-- Location: LCCOMB_X6_Y33_N22
\led_flash_cnt[2536][4]~62390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2536][4]~62390_combout\ = (\led_flash_cnt[2536][4]~q\ & (!\led_flash_cnt[2536][3]~62389\)) # (!\led_flash_cnt[2536][4]~q\ & ((\led_flash_cnt[2536][3]~62389\) # (GND)))
-- \led_flash_cnt[2536][4]~62391\ = CARRY((!\led_flash_cnt[2536][3]~62389\) # (!\led_flash_cnt[2536][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2536][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2536][3]~62389\,
	combout => \led_flash_cnt[2536][4]~62390_combout\,
	cout => \led_flash_cnt[2536][4]~62391\);

-- Location: FF_X6_Y33_N23
\led_flash_cnt[2536][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2536][4]~62390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2536][4]~q\);

-- Location: LCCOMB_X6_Y33_N24
\led_flash_cnt[2536][5]~62392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2536][5]~62392_combout\ = (\led_flash_cnt[2536][5]~q\ & (\led_flash_cnt[2536][4]~62391\ $ (GND))) # (!\led_flash_cnt[2536][5]~q\ & (!\led_flash_cnt[2536][4]~62391\ & VCC))
-- \led_flash_cnt[2536][5]~62393\ = CARRY((\led_flash_cnt[2536][5]~q\ & !\led_flash_cnt[2536][4]~62391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2536][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2536][4]~62391\,
	combout => \led_flash_cnt[2536][5]~62392_combout\,
	cout => \led_flash_cnt[2536][5]~62393\);

-- Location: FF_X6_Y33_N25
\led_flash_cnt[2536][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2536][5]~62392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2536][5]~q\);

-- Location: LCCOMB_X6_Y33_N26
\led_flash_cnt[2536][6]~62394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2536][6]~62394_combout\ = (\led_flash_cnt[2536][6]~q\ & (!\led_flash_cnt[2536][5]~62393\)) # (!\led_flash_cnt[2536][6]~q\ & ((\led_flash_cnt[2536][5]~62393\) # (GND)))
-- \led_flash_cnt[2536][6]~62395\ = CARRY((!\led_flash_cnt[2536][5]~62393\) # (!\led_flash_cnt[2536][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2536][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2536][5]~62393\,
	combout => \led_flash_cnt[2536][6]~62394_combout\,
	cout => \led_flash_cnt[2536][6]~62395\);

-- Location: FF_X6_Y33_N27
\led_flash_cnt[2536][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2536][6]~62394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2536][6]~q\);

-- Location: LCCOMB_X6_Y33_N12
\WideAnd2536~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2536~1_combout\ = (\led_flash_cnt[2536][6]~q\ & \led_flash_cnt[2536][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2536][6]~q\,
	datad => \led_flash_cnt[2536][5]~q\,
	combout => \WideAnd2536~1_combout\);

-- Location: LCCOMB_X6_Y33_N4
\WideAnd2536~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2536~0_combout\ = (\led_flash_cnt[2536][3]~q\ & (\led_flash_cnt[2536][1]~q\ & (\led_flash_cnt[2536][4]~q\ & \led_flash_cnt[2536][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2536][3]~q\,
	datab => \led_flash_cnt[2536][1]~q\,
	datac => \led_flash_cnt[2536][4]~q\,
	datad => \led_flash_cnt[2536][2]~q\,
	combout => \WideAnd2536~0_combout\);

-- Location: LCCOMB_X6_Y33_N28
\led_flash_cnt[2536][7]~62396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2536][7]~62396_combout\ = \led_flash_cnt[2536][6]~62395\ $ (!\led_flash_cnt[2536][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2536][7]~q\,
	cin => \led_flash_cnt[2536][6]~62395\,
	combout => \led_flash_cnt[2536][7]~62396_combout\);

-- Location: FF_X6_Y33_N29
\led_flash_cnt[2536][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2536][7]~62396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2536][7]~q\);

-- Location: LCCOMB_X6_Y33_N2
WideAnd2536 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2536~combout\ = (\WideAnd2536~1_combout\ & (\WideAnd2536~0_combout\ & (\led_flash_cnt[2536][0]~q\ & \led_flash_cnt[2536][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2536~1_combout\,
	datab => \WideAnd2536~0_combout\,
	datac => \led_flash_cnt[2536][0]~q\,
	datad => \led_flash_cnt[2536][7]~q\,
	combout => \WideAnd2536~combout\);

-- Location: FF_X6_Y33_N3
\led_flash_cnt_ands[2536]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2536~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2536));

-- Location: LCCOMB_X9_Y35_N22
\led_flash_cnt[2537][0]~83177\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2537][0]~83177_combout\ = !\led_flash_cnt[2537][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2537][0]~q\,
	combout => \led_flash_cnt[2537][0]~83177_combout\);

-- Location: FF_X9_Y35_N23
\led_flash_cnt[2537][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2537][0]~83177_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2537][0]~q\);

-- Location: LCCOMB_X7_Y35_N4
\led_flash_cnt[2537][1]~62398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2537][1]~62398_combout\ = (\led_flash_cnt[2537][0]~q\ & (\led_flash_cnt[2537][1]~q\ $ (VCC))) # (!\led_flash_cnt[2537][0]~q\ & (\led_flash_cnt[2537][1]~q\ & VCC))
-- \led_flash_cnt[2537][1]~62399\ = CARRY((\led_flash_cnt[2537][0]~q\ & \led_flash_cnt[2537][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2537][0]~q\,
	datab => \led_flash_cnt[2537][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2537][1]~62398_combout\,
	cout => \led_flash_cnt[2537][1]~62399\);

-- Location: FF_X7_Y35_N5
\led_flash_cnt[2537][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2537][1]~62398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2537][1]~q\);

-- Location: LCCOMB_X7_Y35_N6
\led_flash_cnt[2537][2]~62400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2537][2]~62400_combout\ = (\led_flash_cnt[2537][2]~q\ & (!\led_flash_cnt[2537][1]~62399\)) # (!\led_flash_cnt[2537][2]~q\ & ((\led_flash_cnt[2537][1]~62399\) # (GND)))
-- \led_flash_cnt[2537][2]~62401\ = CARRY((!\led_flash_cnt[2537][1]~62399\) # (!\led_flash_cnt[2537][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2537][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2537][1]~62399\,
	combout => \led_flash_cnt[2537][2]~62400_combout\,
	cout => \led_flash_cnt[2537][2]~62401\);

-- Location: FF_X7_Y35_N7
\led_flash_cnt[2537][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2537][2]~62400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2537][2]~q\);

-- Location: LCCOMB_X7_Y35_N8
\led_flash_cnt[2537][3]~62402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2537][3]~62402_combout\ = (\led_flash_cnt[2537][3]~q\ & (\led_flash_cnt[2537][2]~62401\ $ (GND))) # (!\led_flash_cnt[2537][3]~q\ & (!\led_flash_cnt[2537][2]~62401\ & VCC))
-- \led_flash_cnt[2537][3]~62403\ = CARRY((\led_flash_cnt[2537][3]~q\ & !\led_flash_cnt[2537][2]~62401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2537][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2537][2]~62401\,
	combout => \led_flash_cnt[2537][3]~62402_combout\,
	cout => \led_flash_cnt[2537][3]~62403\);

-- Location: FF_X7_Y35_N9
\led_flash_cnt[2537][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2537][3]~62402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2537][3]~q\);

-- Location: LCCOMB_X7_Y35_N10
\led_flash_cnt[2537][4]~62404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2537][4]~62404_combout\ = (\led_flash_cnt[2537][4]~q\ & (!\led_flash_cnt[2537][3]~62403\)) # (!\led_flash_cnt[2537][4]~q\ & ((\led_flash_cnt[2537][3]~62403\) # (GND)))
-- \led_flash_cnt[2537][4]~62405\ = CARRY((!\led_flash_cnt[2537][3]~62403\) # (!\led_flash_cnt[2537][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2537][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2537][3]~62403\,
	combout => \led_flash_cnt[2537][4]~62404_combout\,
	cout => \led_flash_cnt[2537][4]~62405\);

-- Location: FF_X7_Y35_N11
\led_flash_cnt[2537][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2537][4]~62404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2537][4]~q\);

-- Location: LCCOMB_X7_Y35_N30
\WideAnd2537~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2537~0_combout\ = (\led_flash_cnt[2537][2]~q\ & (\led_flash_cnt[2537][1]~q\ & (\led_flash_cnt[2537][3]~q\ & \led_flash_cnt[2537][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2537][2]~q\,
	datab => \led_flash_cnt[2537][1]~q\,
	datac => \led_flash_cnt[2537][3]~q\,
	datad => \led_flash_cnt[2537][4]~q\,
	combout => \WideAnd2537~0_combout\);

-- Location: LCCOMB_X7_Y35_N12
\led_flash_cnt[2537][5]~62406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2537][5]~62406_combout\ = (\led_flash_cnt[2537][5]~q\ & (\led_flash_cnt[2537][4]~62405\ $ (GND))) # (!\led_flash_cnt[2537][5]~q\ & (!\led_flash_cnt[2537][4]~62405\ & VCC))
-- \led_flash_cnt[2537][5]~62407\ = CARRY((\led_flash_cnt[2537][5]~q\ & !\led_flash_cnt[2537][4]~62405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2537][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2537][4]~62405\,
	combout => \led_flash_cnt[2537][5]~62406_combout\,
	cout => \led_flash_cnt[2537][5]~62407\);

-- Location: FF_X7_Y35_N13
\led_flash_cnt[2537][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2537][5]~62406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2537][5]~q\);

-- Location: LCCOMB_X7_Y35_N14
\led_flash_cnt[2537][6]~62408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2537][6]~62408_combout\ = (\led_flash_cnt[2537][6]~q\ & (!\led_flash_cnt[2537][5]~62407\)) # (!\led_flash_cnt[2537][6]~q\ & ((\led_flash_cnt[2537][5]~62407\) # (GND)))
-- \led_flash_cnt[2537][6]~62409\ = CARRY((!\led_flash_cnt[2537][5]~62407\) # (!\led_flash_cnt[2537][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2537][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2537][5]~62407\,
	combout => \led_flash_cnt[2537][6]~62408_combout\,
	cout => \led_flash_cnt[2537][6]~62409\);

-- Location: FF_X7_Y35_N15
\led_flash_cnt[2537][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2537][6]~62408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2537][6]~q\);

-- Location: LCCOMB_X7_Y35_N28
\WideAnd2537~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2537~1_combout\ = (\led_flash_cnt[2537][6]~q\ & \led_flash_cnt[2537][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2537][6]~q\,
	datad => \led_flash_cnt[2537][5]~q\,
	combout => \WideAnd2537~1_combout\);

-- Location: LCCOMB_X7_Y35_N16
\led_flash_cnt[2537][7]~62410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2537][7]~62410_combout\ = \led_flash_cnt[2537][6]~62409\ $ (!\led_flash_cnt[2537][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2537][7]~q\,
	cin => \led_flash_cnt[2537][6]~62409\,
	combout => \led_flash_cnt[2537][7]~62410_combout\);

-- Location: FF_X7_Y35_N17
\led_flash_cnt[2537][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2537][7]~62410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2537][7]~q\);

-- Location: LCCOMB_X7_Y35_N18
WideAnd2537 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2537~combout\ = (\WideAnd2537~0_combout\ & (\WideAnd2537~1_combout\ & (\led_flash_cnt[2537][0]~q\ & \led_flash_cnt[2537][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2537~0_combout\,
	datab => \WideAnd2537~1_combout\,
	datac => \led_flash_cnt[2537][0]~q\,
	datad => \led_flash_cnt[2537][7]~q\,
	combout => \WideAnd2537~combout\);

-- Location: FF_X7_Y35_N19
\led_flash_cnt_ands[2537]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2537~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2537));

-- Location: LCCOMB_X7_Y35_N20
\WideAnd4157~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4157~0_combout\ = (led_flash_cnt_ands(2538) & (led_flash_cnt_ands(2539) & (led_flash_cnt_ands(2536) & led_flash_cnt_ands(2537))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2538),
	datab => led_flash_cnt_ands(2539),
	datac => led_flash_cnt_ands(2536),
	datad => led_flash_cnt_ands(2537),
	combout => \WideAnd4157~0_combout\);

-- Location: LCCOMB_X66_Y35_N12
\led_flash_cnt[2542][0]~83182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2542][0]~83182_combout\ = !\led_flash_cnt[2542][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2542][0]~q\,
	combout => \led_flash_cnt[2542][0]~83182_combout\);

-- Location: FF_X66_Y35_N13
\led_flash_cnt[2542][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2542][0]~83182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2542][0]~q\);

-- Location: LCCOMB_X66_Y35_N18
\led_flash_cnt[2542][1]~62468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2542][1]~62468_combout\ = (\led_flash_cnt[2542][0]~q\ & (\led_flash_cnt[2542][1]~q\ $ (VCC))) # (!\led_flash_cnt[2542][0]~q\ & (\led_flash_cnt[2542][1]~q\ & VCC))
-- \led_flash_cnt[2542][1]~62469\ = CARRY((\led_flash_cnt[2542][0]~q\ & \led_flash_cnt[2542][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2542][0]~q\,
	datab => \led_flash_cnt[2542][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2542][1]~62468_combout\,
	cout => \led_flash_cnt[2542][1]~62469\);

-- Location: FF_X66_Y35_N19
\led_flash_cnt[2542][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2542][1]~62468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2542][1]~q\);

-- Location: LCCOMB_X66_Y35_N20
\led_flash_cnt[2542][2]~62470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2542][2]~62470_combout\ = (\led_flash_cnt[2542][2]~q\ & (!\led_flash_cnt[2542][1]~62469\)) # (!\led_flash_cnt[2542][2]~q\ & ((\led_flash_cnt[2542][1]~62469\) # (GND)))
-- \led_flash_cnt[2542][2]~62471\ = CARRY((!\led_flash_cnt[2542][1]~62469\) # (!\led_flash_cnt[2542][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2542][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2542][1]~62469\,
	combout => \led_flash_cnt[2542][2]~62470_combout\,
	cout => \led_flash_cnt[2542][2]~62471\);

-- Location: FF_X66_Y35_N21
\led_flash_cnt[2542][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2542][2]~62470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2542][2]~q\);

-- Location: LCCOMB_X66_Y35_N22
\led_flash_cnt[2542][3]~62472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2542][3]~62472_combout\ = (\led_flash_cnt[2542][3]~q\ & (\led_flash_cnt[2542][2]~62471\ $ (GND))) # (!\led_flash_cnt[2542][3]~q\ & (!\led_flash_cnt[2542][2]~62471\ & VCC))
-- \led_flash_cnt[2542][3]~62473\ = CARRY((\led_flash_cnt[2542][3]~q\ & !\led_flash_cnt[2542][2]~62471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2542][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2542][2]~62471\,
	combout => \led_flash_cnt[2542][3]~62472_combout\,
	cout => \led_flash_cnt[2542][3]~62473\);

-- Location: FF_X66_Y35_N23
\led_flash_cnt[2542][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2542][3]~62472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2542][3]~q\);

-- Location: LCCOMB_X66_Y35_N24
\led_flash_cnt[2542][4]~62474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2542][4]~62474_combout\ = (\led_flash_cnt[2542][4]~q\ & (!\led_flash_cnt[2542][3]~62473\)) # (!\led_flash_cnt[2542][4]~q\ & ((\led_flash_cnt[2542][3]~62473\) # (GND)))
-- \led_flash_cnt[2542][4]~62475\ = CARRY((!\led_flash_cnt[2542][3]~62473\) # (!\led_flash_cnt[2542][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2542][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2542][3]~62473\,
	combout => \led_flash_cnt[2542][4]~62474_combout\,
	cout => \led_flash_cnt[2542][4]~62475\);

-- Location: FF_X66_Y35_N25
\led_flash_cnt[2542][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2542][4]~62474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2542][4]~q\);

-- Location: LCCOMB_X66_Y35_N6
\WideAnd2542~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2542~0_combout\ = (\led_flash_cnt[2542][4]~q\ & (\led_flash_cnt[2542][2]~q\ & (\led_flash_cnt[2542][3]~q\ & \led_flash_cnt[2542][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2542][4]~q\,
	datab => \led_flash_cnt[2542][2]~q\,
	datac => \led_flash_cnt[2542][3]~q\,
	datad => \led_flash_cnt[2542][1]~q\,
	combout => \WideAnd2542~0_combout\);

-- Location: LCCOMB_X66_Y35_N26
\led_flash_cnt[2542][5]~62476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2542][5]~62476_combout\ = (\led_flash_cnt[2542][5]~q\ & (\led_flash_cnt[2542][4]~62475\ $ (GND))) # (!\led_flash_cnt[2542][5]~q\ & (!\led_flash_cnt[2542][4]~62475\ & VCC))
-- \led_flash_cnt[2542][5]~62477\ = CARRY((\led_flash_cnt[2542][5]~q\ & !\led_flash_cnt[2542][4]~62475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2542][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2542][4]~62475\,
	combout => \led_flash_cnt[2542][5]~62476_combout\,
	cout => \led_flash_cnt[2542][5]~62477\);

-- Location: FF_X66_Y35_N27
\led_flash_cnt[2542][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2542][5]~62476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2542][5]~q\);

-- Location: LCCOMB_X66_Y35_N28
\led_flash_cnt[2542][6]~62478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2542][6]~62478_combout\ = (\led_flash_cnt[2542][6]~q\ & (!\led_flash_cnt[2542][5]~62477\)) # (!\led_flash_cnt[2542][6]~q\ & ((\led_flash_cnt[2542][5]~62477\) # (GND)))
-- \led_flash_cnt[2542][6]~62479\ = CARRY((!\led_flash_cnt[2542][5]~62477\) # (!\led_flash_cnt[2542][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2542][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2542][5]~62477\,
	combout => \led_flash_cnt[2542][6]~62478_combout\,
	cout => \led_flash_cnt[2542][6]~62479\);

-- Location: FF_X66_Y35_N29
\led_flash_cnt[2542][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2542][6]~62478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2542][6]~q\);

-- Location: LCCOMB_X66_Y35_N4
\WideAnd2542~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2542~1_combout\ = (\led_flash_cnt[2542][5]~q\ & \led_flash_cnt[2542][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2542][5]~q\,
	datad => \led_flash_cnt[2542][6]~q\,
	combout => \WideAnd2542~1_combout\);

-- Location: LCCOMB_X66_Y35_N30
\led_flash_cnt[2542][7]~62480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2542][7]~62480_combout\ = \led_flash_cnt[2542][7]~q\ $ (!\led_flash_cnt[2542][6]~62479\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2542][7]~q\,
	cin => \led_flash_cnt[2542][6]~62479\,
	combout => \led_flash_cnt[2542][7]~62480_combout\);

-- Location: FF_X66_Y35_N31
\led_flash_cnt[2542][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2542][7]~62480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2542][7]~q\);

-- Location: LCCOMB_X66_Y35_N16
WideAnd2542 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2542~combout\ = (\WideAnd2542~0_combout\ & (\WideAnd2542~1_combout\ & (\led_flash_cnt[2542][7]~q\ & \led_flash_cnt[2542][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2542~0_combout\,
	datab => \WideAnd2542~1_combout\,
	datac => \led_flash_cnt[2542][7]~q\,
	datad => \led_flash_cnt[2542][0]~q\,
	combout => \WideAnd2542~combout\);

-- Location: FF_X66_Y35_N17
\led_flash_cnt_ands[2542]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2542~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2542));

-- Location: LCCOMB_X66_Y35_N10
WideAnd4157 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4157~combout\ = (led_flash_cnt_ands(2543) & (\WideAnd4157~1_combout\ & (\WideAnd4157~0_combout\ & led_flash_cnt_ands(2542))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2543),
	datab => \WideAnd4157~1_combout\,
	datac => \WideAnd4157~0_combout\,
	datad => led_flash_cnt_ands(2542),
	combout => \WideAnd4157~combout\);

-- Location: FF_X66_Y35_N11
\led_flash_cnt_ands_1[317]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4157~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(317));

-- Location: LCCOMB_X66_Y21_N8
\led_flash_cnt[2528][0]~83170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2528][0]~83170_combout\ = !\led_flash_cnt[2528][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2528][0]~q\,
	combout => \led_flash_cnt[2528][0]~83170_combout\);

-- Location: FF_X66_Y21_N9
\led_flash_cnt[2528][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2528][0]~83170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2528][0]~q\);

-- Location: LCCOMB_X66_Y21_N12
\led_flash_cnt[2528][1]~62300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2528][1]~62300_combout\ = (\led_flash_cnt[2528][1]~q\ & (\led_flash_cnt[2528][0]~q\ $ (VCC))) # (!\led_flash_cnt[2528][1]~q\ & (\led_flash_cnt[2528][0]~q\ & VCC))
-- \led_flash_cnt[2528][1]~62301\ = CARRY((\led_flash_cnt[2528][1]~q\ & \led_flash_cnt[2528][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2528][1]~q\,
	datab => \led_flash_cnt[2528][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2528][1]~62300_combout\,
	cout => \led_flash_cnt[2528][1]~62301\);

-- Location: FF_X66_Y21_N13
\led_flash_cnt[2528][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2528][1]~62300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2528][1]~q\);

-- Location: LCCOMB_X66_Y21_N14
\led_flash_cnt[2528][2]~62302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2528][2]~62302_combout\ = (\led_flash_cnt[2528][2]~q\ & (!\led_flash_cnt[2528][1]~62301\)) # (!\led_flash_cnt[2528][2]~q\ & ((\led_flash_cnt[2528][1]~62301\) # (GND)))
-- \led_flash_cnt[2528][2]~62303\ = CARRY((!\led_flash_cnt[2528][1]~62301\) # (!\led_flash_cnt[2528][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2528][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2528][1]~62301\,
	combout => \led_flash_cnt[2528][2]~62302_combout\,
	cout => \led_flash_cnt[2528][2]~62303\);

-- Location: FF_X66_Y21_N15
\led_flash_cnt[2528][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2528][2]~62302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2528][2]~q\);

-- Location: LCCOMB_X66_Y21_N16
\led_flash_cnt[2528][3]~62304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2528][3]~62304_combout\ = (\led_flash_cnt[2528][3]~q\ & (\led_flash_cnt[2528][2]~62303\ $ (GND))) # (!\led_flash_cnt[2528][3]~q\ & (!\led_flash_cnt[2528][2]~62303\ & VCC))
-- \led_flash_cnt[2528][3]~62305\ = CARRY((\led_flash_cnt[2528][3]~q\ & !\led_flash_cnt[2528][2]~62303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2528][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2528][2]~62303\,
	combout => \led_flash_cnt[2528][3]~62304_combout\,
	cout => \led_flash_cnt[2528][3]~62305\);

-- Location: FF_X66_Y21_N17
\led_flash_cnt[2528][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2528][3]~62304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2528][3]~q\);

-- Location: LCCOMB_X66_Y21_N18
\led_flash_cnt[2528][4]~62306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2528][4]~62306_combout\ = (\led_flash_cnt[2528][4]~q\ & (!\led_flash_cnt[2528][3]~62305\)) # (!\led_flash_cnt[2528][4]~q\ & ((\led_flash_cnt[2528][3]~62305\) # (GND)))
-- \led_flash_cnt[2528][4]~62307\ = CARRY((!\led_flash_cnt[2528][3]~62305\) # (!\led_flash_cnt[2528][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2528][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2528][3]~62305\,
	combout => \led_flash_cnt[2528][4]~62306_combout\,
	cout => \led_flash_cnt[2528][4]~62307\);

-- Location: FF_X66_Y21_N19
\led_flash_cnt[2528][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2528][4]~62306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2528][4]~q\);

-- Location: LCCOMB_X66_Y21_N20
\led_flash_cnt[2528][5]~62308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2528][5]~62308_combout\ = (\led_flash_cnt[2528][5]~q\ & (\led_flash_cnt[2528][4]~62307\ $ (GND))) # (!\led_flash_cnt[2528][5]~q\ & (!\led_flash_cnt[2528][4]~62307\ & VCC))
-- \led_flash_cnt[2528][5]~62309\ = CARRY((\led_flash_cnt[2528][5]~q\ & !\led_flash_cnt[2528][4]~62307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2528][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2528][4]~62307\,
	combout => \led_flash_cnt[2528][5]~62308_combout\,
	cout => \led_flash_cnt[2528][5]~62309\);

-- Location: FF_X66_Y21_N21
\led_flash_cnt[2528][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2528][5]~62308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2528][5]~q\);

-- Location: LCCOMB_X66_Y21_N22
\led_flash_cnt[2528][6]~62310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2528][6]~62310_combout\ = (\led_flash_cnt[2528][6]~q\ & (!\led_flash_cnt[2528][5]~62309\)) # (!\led_flash_cnt[2528][6]~q\ & ((\led_flash_cnt[2528][5]~62309\) # (GND)))
-- \led_flash_cnt[2528][6]~62311\ = CARRY((!\led_flash_cnt[2528][5]~62309\) # (!\led_flash_cnt[2528][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2528][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2528][5]~62309\,
	combout => \led_flash_cnt[2528][6]~62310_combout\,
	cout => \led_flash_cnt[2528][6]~62311\);

-- Location: FF_X66_Y21_N23
\led_flash_cnt[2528][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2528][6]~62310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2528][6]~q\);

-- Location: LCCOMB_X66_Y21_N10
\WideAnd2528~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2528~1_combout\ = (\led_flash_cnt[2528][6]~q\ & \led_flash_cnt[2528][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2528][6]~q\,
	datad => \led_flash_cnt[2528][5]~q\,
	combout => \WideAnd2528~1_combout\);

-- Location: LCCOMB_X66_Y21_N24
\led_flash_cnt[2528][7]~62312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2528][7]~62312_combout\ = \led_flash_cnt[2528][6]~62311\ $ (!\led_flash_cnt[2528][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2528][7]~q\,
	cin => \led_flash_cnt[2528][6]~62311\,
	combout => \led_flash_cnt[2528][7]~62312_combout\);

-- Location: FF_X66_Y21_N25
\led_flash_cnt[2528][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2528][7]~62312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2528][7]~q\);

-- Location: LCCOMB_X66_Y21_N0
\WideAnd2528~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2528~0_combout\ = (\led_flash_cnt[2528][1]~q\ & (\led_flash_cnt[2528][4]~q\ & (\led_flash_cnt[2528][2]~q\ & \led_flash_cnt[2528][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2528][1]~q\,
	datab => \led_flash_cnt[2528][4]~q\,
	datac => \led_flash_cnt[2528][2]~q\,
	datad => \led_flash_cnt[2528][3]~q\,
	combout => \WideAnd2528~0_combout\);

-- Location: LCCOMB_X66_Y21_N26
WideAnd2528 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2528~combout\ = (\WideAnd2528~1_combout\ & (\led_flash_cnt[2528][7]~q\ & (\led_flash_cnt[2528][0]~q\ & \WideAnd2528~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2528~1_combout\,
	datab => \led_flash_cnt[2528][7]~q\,
	datac => \led_flash_cnt[2528][0]~q\,
	datad => \WideAnd2528~0_combout\,
	combout => \WideAnd2528~combout\);

-- Location: FF_X66_Y21_N27
\led_flash_cnt_ands[2528]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2528~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2528));

-- Location: LCCOMB_X66_Y25_N12
\led_flash_cnt[2530][0]~83172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2530][0]~83172_combout\ = !\led_flash_cnt[2530][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2530][0]~q\,
	combout => \led_flash_cnt[2530][0]~83172_combout\);

-- Location: FF_X66_Y25_N13
\led_flash_cnt[2530][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2530][0]~83172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2530][0]~q\);

-- Location: LCCOMB_X66_Y25_N18
\led_flash_cnt[2530][1]~62328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2530][1]~62328_combout\ = (\led_flash_cnt[2530][0]~q\ & (\led_flash_cnt[2530][1]~q\ $ (VCC))) # (!\led_flash_cnt[2530][0]~q\ & (\led_flash_cnt[2530][1]~q\ & VCC))
-- \led_flash_cnt[2530][1]~62329\ = CARRY((\led_flash_cnt[2530][0]~q\ & \led_flash_cnt[2530][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2530][0]~q\,
	datab => \led_flash_cnt[2530][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2530][1]~62328_combout\,
	cout => \led_flash_cnt[2530][1]~62329\);

-- Location: FF_X66_Y25_N19
\led_flash_cnt[2530][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2530][1]~62328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2530][1]~q\);

-- Location: LCCOMB_X66_Y25_N20
\led_flash_cnt[2530][2]~62330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2530][2]~62330_combout\ = (\led_flash_cnt[2530][2]~q\ & (!\led_flash_cnt[2530][1]~62329\)) # (!\led_flash_cnt[2530][2]~q\ & ((\led_flash_cnt[2530][1]~62329\) # (GND)))
-- \led_flash_cnt[2530][2]~62331\ = CARRY((!\led_flash_cnt[2530][1]~62329\) # (!\led_flash_cnt[2530][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2530][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2530][1]~62329\,
	combout => \led_flash_cnt[2530][2]~62330_combout\,
	cout => \led_flash_cnt[2530][2]~62331\);

-- Location: FF_X66_Y25_N21
\led_flash_cnt[2530][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2530][2]~62330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2530][2]~q\);

-- Location: LCCOMB_X66_Y25_N22
\led_flash_cnt[2530][3]~62332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2530][3]~62332_combout\ = (\led_flash_cnt[2530][3]~q\ & (\led_flash_cnt[2530][2]~62331\ $ (GND))) # (!\led_flash_cnt[2530][3]~q\ & (!\led_flash_cnt[2530][2]~62331\ & VCC))
-- \led_flash_cnt[2530][3]~62333\ = CARRY((\led_flash_cnt[2530][3]~q\ & !\led_flash_cnt[2530][2]~62331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2530][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2530][2]~62331\,
	combout => \led_flash_cnt[2530][3]~62332_combout\,
	cout => \led_flash_cnt[2530][3]~62333\);

-- Location: FF_X66_Y25_N23
\led_flash_cnt[2530][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2530][3]~62332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2530][3]~q\);

-- Location: LCCOMB_X66_Y25_N24
\led_flash_cnt[2530][4]~62334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2530][4]~62334_combout\ = (\led_flash_cnt[2530][4]~q\ & (!\led_flash_cnt[2530][3]~62333\)) # (!\led_flash_cnt[2530][4]~q\ & ((\led_flash_cnt[2530][3]~62333\) # (GND)))
-- \led_flash_cnt[2530][4]~62335\ = CARRY((!\led_flash_cnt[2530][3]~62333\) # (!\led_flash_cnt[2530][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2530][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2530][3]~62333\,
	combout => \led_flash_cnt[2530][4]~62334_combout\,
	cout => \led_flash_cnt[2530][4]~62335\);

-- Location: FF_X66_Y25_N25
\led_flash_cnt[2530][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2530][4]~62334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2530][4]~q\);

-- Location: LCCOMB_X66_Y25_N26
\led_flash_cnt[2530][5]~62336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2530][5]~62336_combout\ = (\led_flash_cnt[2530][5]~q\ & (\led_flash_cnt[2530][4]~62335\ $ (GND))) # (!\led_flash_cnt[2530][5]~q\ & (!\led_flash_cnt[2530][4]~62335\ & VCC))
-- \led_flash_cnt[2530][5]~62337\ = CARRY((\led_flash_cnt[2530][5]~q\ & !\led_flash_cnt[2530][4]~62335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2530][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2530][4]~62335\,
	combout => \led_flash_cnt[2530][5]~62336_combout\,
	cout => \led_flash_cnt[2530][5]~62337\);

-- Location: FF_X66_Y25_N27
\led_flash_cnt[2530][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2530][5]~62336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2530][5]~q\);

-- Location: LCCOMB_X66_Y25_N28
\led_flash_cnt[2530][6]~62338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2530][6]~62338_combout\ = (\led_flash_cnt[2530][6]~q\ & (!\led_flash_cnt[2530][5]~62337\)) # (!\led_flash_cnt[2530][6]~q\ & ((\led_flash_cnt[2530][5]~62337\) # (GND)))
-- \led_flash_cnt[2530][6]~62339\ = CARRY((!\led_flash_cnt[2530][5]~62337\) # (!\led_flash_cnt[2530][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2530][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2530][5]~62337\,
	combout => \led_flash_cnt[2530][6]~62338_combout\,
	cout => \led_flash_cnt[2530][6]~62339\);

-- Location: FF_X66_Y25_N29
\led_flash_cnt[2530][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2530][6]~62338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2530][6]~q\);

-- Location: LCCOMB_X66_Y25_N10
\WideAnd2530~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2530~1_combout\ = (\led_flash_cnt[2530][5]~q\ & \led_flash_cnt[2530][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2530][5]~q\,
	datad => \led_flash_cnt[2530][6]~q\,
	combout => \WideAnd2530~1_combout\);

-- Location: LCCOMB_X66_Y25_N16
\WideAnd2530~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2530~0_combout\ = (\led_flash_cnt[2530][1]~q\ & (\led_flash_cnt[2530][2]~q\ & (\led_flash_cnt[2530][3]~q\ & \led_flash_cnt[2530][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2530][1]~q\,
	datab => \led_flash_cnt[2530][2]~q\,
	datac => \led_flash_cnt[2530][3]~q\,
	datad => \led_flash_cnt[2530][4]~q\,
	combout => \WideAnd2530~0_combout\);

-- Location: LCCOMB_X66_Y25_N30
\led_flash_cnt[2530][7]~62340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2530][7]~62340_combout\ = \led_flash_cnt[2530][7]~q\ $ (!\led_flash_cnt[2530][6]~62339\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2530][7]~q\,
	cin => \led_flash_cnt[2530][6]~62339\,
	combout => \led_flash_cnt[2530][7]~62340_combout\);

-- Location: FF_X66_Y25_N31
\led_flash_cnt[2530][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2530][7]~62340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2530][7]~q\);

-- Location: LCCOMB_X66_Y25_N4
WideAnd2530 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2530~combout\ = (\WideAnd2530~1_combout\ & (\WideAnd2530~0_combout\ & (\led_flash_cnt[2530][7]~q\ & \led_flash_cnt[2530][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2530~1_combout\,
	datab => \WideAnd2530~0_combout\,
	datac => \led_flash_cnt[2530][7]~q\,
	datad => \led_flash_cnt[2530][0]~q\,
	combout => \WideAnd2530~combout\);

-- Location: FF_X66_Y25_N5
\led_flash_cnt_ands[2530]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2530~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2530));

-- Location: LCCOMB_X69_Y25_N12
\led_flash_cnt[2529][0]~83171\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2529][0]~83171_combout\ = !\led_flash_cnt[2529][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2529][0]~q\,
	combout => \led_flash_cnt[2529][0]~83171_combout\);

-- Location: FF_X69_Y25_N13
\led_flash_cnt[2529][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2529][0]~83171_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2529][0]~q\);

-- Location: LCCOMB_X69_Y25_N18
\led_flash_cnt[2529][1]~62314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2529][1]~62314_combout\ = (\led_flash_cnt[2529][0]~q\ & (\led_flash_cnt[2529][1]~q\ $ (VCC))) # (!\led_flash_cnt[2529][0]~q\ & (\led_flash_cnt[2529][1]~q\ & VCC))
-- \led_flash_cnt[2529][1]~62315\ = CARRY((\led_flash_cnt[2529][0]~q\ & \led_flash_cnt[2529][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2529][0]~q\,
	datab => \led_flash_cnt[2529][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2529][1]~62314_combout\,
	cout => \led_flash_cnt[2529][1]~62315\);

-- Location: FF_X69_Y25_N19
\led_flash_cnt[2529][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2529][1]~62314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2529][1]~q\);

-- Location: LCCOMB_X69_Y25_N20
\led_flash_cnt[2529][2]~62316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2529][2]~62316_combout\ = (\led_flash_cnt[2529][2]~q\ & (!\led_flash_cnt[2529][1]~62315\)) # (!\led_flash_cnt[2529][2]~q\ & ((\led_flash_cnt[2529][1]~62315\) # (GND)))
-- \led_flash_cnt[2529][2]~62317\ = CARRY((!\led_flash_cnt[2529][1]~62315\) # (!\led_flash_cnt[2529][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2529][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2529][1]~62315\,
	combout => \led_flash_cnt[2529][2]~62316_combout\,
	cout => \led_flash_cnt[2529][2]~62317\);

-- Location: FF_X69_Y25_N21
\led_flash_cnt[2529][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2529][2]~62316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2529][2]~q\);

-- Location: LCCOMB_X69_Y25_N22
\led_flash_cnt[2529][3]~62318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2529][3]~62318_combout\ = (\led_flash_cnt[2529][3]~q\ & (\led_flash_cnt[2529][2]~62317\ $ (GND))) # (!\led_flash_cnt[2529][3]~q\ & (!\led_flash_cnt[2529][2]~62317\ & VCC))
-- \led_flash_cnt[2529][3]~62319\ = CARRY((\led_flash_cnt[2529][3]~q\ & !\led_flash_cnt[2529][2]~62317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2529][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2529][2]~62317\,
	combout => \led_flash_cnt[2529][3]~62318_combout\,
	cout => \led_flash_cnt[2529][3]~62319\);

-- Location: FF_X69_Y25_N23
\led_flash_cnt[2529][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2529][3]~62318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2529][3]~q\);

-- Location: LCCOMB_X69_Y25_N24
\led_flash_cnt[2529][4]~62320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2529][4]~62320_combout\ = (\led_flash_cnt[2529][4]~q\ & (!\led_flash_cnt[2529][3]~62319\)) # (!\led_flash_cnt[2529][4]~q\ & ((\led_flash_cnt[2529][3]~62319\) # (GND)))
-- \led_flash_cnt[2529][4]~62321\ = CARRY((!\led_flash_cnt[2529][3]~62319\) # (!\led_flash_cnt[2529][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2529][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2529][3]~62319\,
	combout => \led_flash_cnt[2529][4]~62320_combout\,
	cout => \led_flash_cnt[2529][4]~62321\);

-- Location: FF_X69_Y25_N25
\led_flash_cnt[2529][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2529][4]~62320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2529][4]~q\);

-- Location: LCCOMB_X69_Y25_N26
\led_flash_cnt[2529][5]~62322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2529][5]~62322_combout\ = (\led_flash_cnt[2529][5]~q\ & (\led_flash_cnt[2529][4]~62321\ $ (GND))) # (!\led_flash_cnt[2529][5]~q\ & (!\led_flash_cnt[2529][4]~62321\ & VCC))
-- \led_flash_cnt[2529][5]~62323\ = CARRY((\led_flash_cnt[2529][5]~q\ & !\led_flash_cnt[2529][4]~62321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2529][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2529][4]~62321\,
	combout => \led_flash_cnt[2529][5]~62322_combout\,
	cout => \led_flash_cnt[2529][5]~62323\);

-- Location: FF_X69_Y25_N27
\led_flash_cnt[2529][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2529][5]~62322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2529][5]~q\);

-- Location: LCCOMB_X69_Y25_N28
\led_flash_cnt[2529][6]~62324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2529][6]~62324_combout\ = (\led_flash_cnt[2529][6]~q\ & (!\led_flash_cnt[2529][5]~62323\)) # (!\led_flash_cnt[2529][6]~q\ & ((\led_flash_cnt[2529][5]~62323\) # (GND)))
-- \led_flash_cnt[2529][6]~62325\ = CARRY((!\led_flash_cnt[2529][5]~62323\) # (!\led_flash_cnt[2529][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2529][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2529][5]~62323\,
	combout => \led_flash_cnt[2529][6]~62324_combout\,
	cout => \led_flash_cnt[2529][6]~62325\);

-- Location: FF_X69_Y25_N29
\led_flash_cnt[2529][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2529][6]~62324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2529][6]~q\);

-- Location: LCCOMB_X69_Y25_N10
\WideAnd2529~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2529~1_combout\ = (\led_flash_cnt[2529][5]~q\ & \led_flash_cnt[2529][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2529][5]~q\,
	datad => \led_flash_cnt[2529][6]~q\,
	combout => \WideAnd2529~1_combout\);

-- Location: LCCOMB_X69_Y25_N4
\WideAnd2529~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2529~0_combout\ = (\led_flash_cnt[2529][4]~q\ & (\led_flash_cnt[2529][2]~q\ & (\led_flash_cnt[2529][3]~q\ & \led_flash_cnt[2529][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2529][4]~q\,
	datab => \led_flash_cnt[2529][2]~q\,
	datac => \led_flash_cnt[2529][3]~q\,
	datad => \led_flash_cnt[2529][1]~q\,
	combout => \WideAnd2529~0_combout\);

-- Location: LCCOMB_X69_Y25_N30
\led_flash_cnt[2529][7]~62326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2529][7]~62326_combout\ = \led_flash_cnt[2529][7]~q\ $ (!\led_flash_cnt[2529][6]~62325\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2529][7]~q\,
	cin => \led_flash_cnt[2529][6]~62325\,
	combout => \led_flash_cnt[2529][7]~62326_combout\);

-- Location: FF_X69_Y25_N31
\led_flash_cnt[2529][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2529][7]~62326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2529][7]~q\);

-- Location: LCCOMB_X69_Y25_N8
WideAnd2529 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2529~combout\ = (\WideAnd2529~1_combout\ & (\WideAnd2529~0_combout\ & (\led_flash_cnt[2529][7]~q\ & \led_flash_cnt[2529][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2529~1_combout\,
	datab => \WideAnd2529~0_combout\,
	datac => \led_flash_cnt[2529][7]~q\,
	datad => \led_flash_cnt[2529][0]~q\,
	combout => \WideAnd2529~combout\);

-- Location: FF_X69_Y25_N9
\led_flash_cnt_ands[2529]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2529~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2529));

-- Location: LCCOMB_X67_Y25_N24
\led_flash_cnt[2531][0]~83173\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2531][0]~83173_combout\ = !\led_flash_cnt[2531][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2531][0]~q\,
	combout => \led_flash_cnt[2531][0]~83173_combout\);

-- Location: FF_X67_Y25_N25
\led_flash_cnt[2531][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2531][0]~83173_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2531][0]~q\);

-- Location: LCCOMB_X67_Y25_N8
\led_flash_cnt[2531][1]~62342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2531][1]~62342_combout\ = (\led_flash_cnt[2531][1]~q\ & (\led_flash_cnt[2531][0]~q\ $ (VCC))) # (!\led_flash_cnt[2531][1]~q\ & (\led_flash_cnt[2531][0]~q\ & VCC))
-- \led_flash_cnt[2531][1]~62343\ = CARRY((\led_flash_cnt[2531][1]~q\ & \led_flash_cnt[2531][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2531][1]~q\,
	datab => \led_flash_cnt[2531][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2531][1]~62342_combout\,
	cout => \led_flash_cnt[2531][1]~62343\);

-- Location: FF_X67_Y25_N9
\led_flash_cnt[2531][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2531][1]~62342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2531][1]~q\);

-- Location: LCCOMB_X67_Y25_N10
\led_flash_cnt[2531][2]~62344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2531][2]~62344_combout\ = (\led_flash_cnt[2531][2]~q\ & (!\led_flash_cnt[2531][1]~62343\)) # (!\led_flash_cnt[2531][2]~q\ & ((\led_flash_cnt[2531][1]~62343\) # (GND)))
-- \led_flash_cnt[2531][2]~62345\ = CARRY((!\led_flash_cnt[2531][1]~62343\) # (!\led_flash_cnt[2531][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2531][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2531][1]~62343\,
	combout => \led_flash_cnt[2531][2]~62344_combout\,
	cout => \led_flash_cnt[2531][2]~62345\);

-- Location: FF_X67_Y25_N11
\led_flash_cnt[2531][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2531][2]~62344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2531][2]~q\);

-- Location: LCCOMB_X67_Y25_N12
\led_flash_cnt[2531][3]~62346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2531][3]~62346_combout\ = (\led_flash_cnt[2531][3]~q\ & (\led_flash_cnt[2531][2]~62345\ $ (GND))) # (!\led_flash_cnt[2531][3]~q\ & (!\led_flash_cnt[2531][2]~62345\ & VCC))
-- \led_flash_cnt[2531][3]~62347\ = CARRY((\led_flash_cnt[2531][3]~q\ & !\led_flash_cnt[2531][2]~62345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2531][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2531][2]~62345\,
	combout => \led_flash_cnt[2531][3]~62346_combout\,
	cout => \led_flash_cnt[2531][3]~62347\);

-- Location: FF_X67_Y25_N13
\led_flash_cnt[2531][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2531][3]~62346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2531][3]~q\);

-- Location: LCCOMB_X67_Y25_N14
\led_flash_cnt[2531][4]~62348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2531][4]~62348_combout\ = (\led_flash_cnt[2531][4]~q\ & (!\led_flash_cnt[2531][3]~62347\)) # (!\led_flash_cnt[2531][4]~q\ & ((\led_flash_cnt[2531][3]~62347\) # (GND)))
-- \led_flash_cnt[2531][4]~62349\ = CARRY((!\led_flash_cnt[2531][3]~62347\) # (!\led_flash_cnt[2531][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2531][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2531][3]~62347\,
	combout => \led_flash_cnt[2531][4]~62348_combout\,
	cout => \led_flash_cnt[2531][4]~62349\);

-- Location: FF_X67_Y25_N15
\led_flash_cnt[2531][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2531][4]~62348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2531][4]~q\);

-- Location: LCCOMB_X67_Y25_N16
\led_flash_cnt[2531][5]~62350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2531][5]~62350_combout\ = (\led_flash_cnt[2531][5]~q\ & (\led_flash_cnt[2531][4]~62349\ $ (GND))) # (!\led_flash_cnt[2531][5]~q\ & (!\led_flash_cnt[2531][4]~62349\ & VCC))
-- \led_flash_cnt[2531][5]~62351\ = CARRY((\led_flash_cnt[2531][5]~q\ & !\led_flash_cnt[2531][4]~62349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2531][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2531][4]~62349\,
	combout => \led_flash_cnt[2531][5]~62350_combout\,
	cout => \led_flash_cnt[2531][5]~62351\);

-- Location: FF_X67_Y25_N17
\led_flash_cnt[2531][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2531][5]~62350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2531][5]~q\);

-- Location: LCCOMB_X67_Y25_N18
\led_flash_cnt[2531][6]~62352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2531][6]~62352_combout\ = (\led_flash_cnt[2531][6]~q\ & (!\led_flash_cnt[2531][5]~62351\)) # (!\led_flash_cnt[2531][6]~q\ & ((\led_flash_cnt[2531][5]~62351\) # (GND)))
-- \led_flash_cnt[2531][6]~62353\ = CARRY((!\led_flash_cnt[2531][5]~62351\) # (!\led_flash_cnt[2531][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2531][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2531][5]~62351\,
	combout => \led_flash_cnt[2531][6]~62352_combout\,
	cout => \led_flash_cnt[2531][6]~62353\);

-- Location: FF_X67_Y25_N19
\led_flash_cnt[2531][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2531][6]~62352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2531][6]~q\);

-- Location: LCCOMB_X67_Y25_N26
\WideAnd2531~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2531~1_combout\ = (\led_flash_cnt[2531][5]~q\ & \led_flash_cnt[2531][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2531][5]~q\,
	datad => \led_flash_cnt[2531][6]~q\,
	combout => \WideAnd2531~1_combout\);

-- Location: LCCOMB_X67_Y25_N20
\led_flash_cnt[2531][7]~62354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2531][7]~62354_combout\ = \led_flash_cnt[2531][6]~62353\ $ (!\led_flash_cnt[2531][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2531][7]~q\,
	cin => \led_flash_cnt[2531][6]~62353\,
	combout => \led_flash_cnt[2531][7]~62354_combout\);

-- Location: FF_X67_Y25_N21
\led_flash_cnt[2531][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2531][7]~62354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2531][7]~q\);

-- Location: LCCOMB_X67_Y25_N22
\WideAnd2531~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2531~0_combout\ = (\led_flash_cnt[2531][3]~q\ & (\led_flash_cnt[2531][1]~q\ & (\led_flash_cnt[2531][4]~q\ & \led_flash_cnt[2531][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2531][3]~q\,
	datab => \led_flash_cnt[2531][1]~q\,
	datac => \led_flash_cnt[2531][4]~q\,
	datad => \led_flash_cnt[2531][2]~q\,
	combout => \WideAnd2531~0_combout\);

-- Location: LCCOMB_X67_Y25_N28
WideAnd2531 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2531~combout\ = (\WideAnd2531~1_combout\ & (\led_flash_cnt[2531][7]~q\ & (\WideAnd2531~0_combout\ & \led_flash_cnt[2531][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2531~1_combout\,
	datab => \led_flash_cnt[2531][7]~q\,
	datac => \WideAnd2531~0_combout\,
	datad => \led_flash_cnt[2531][0]~q\,
	combout => \WideAnd2531~combout\);

-- Location: FF_X67_Y25_N29
\led_flash_cnt_ands[2531]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2531~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2531));

-- Location: LCCOMB_X66_Y25_N14
\WideAnd4156~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4156~0_combout\ = (led_flash_cnt_ands(2528) & (led_flash_cnt_ands(2530) & (led_flash_cnt_ands(2529) & led_flash_cnt_ands(2531))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2528),
	datab => led_flash_cnt_ands(2530),
	datac => led_flash_cnt_ands(2529),
	datad => led_flash_cnt_ands(2531),
	combout => \WideAnd4156~0_combout\);

-- Location: LCCOMB_X65_Y24_N22
\led_flash_cnt[2535][0]~83168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2535][0]~83168_combout\ = !\led_flash_cnt[2535][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2535][0]~q\,
	combout => \led_flash_cnt[2535][0]~83168_combout\);

-- Location: FF_X65_Y24_N23
\led_flash_cnt[2535][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2535][0]~83168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2535][0]~q\);

-- Location: LCCOMB_X65_Y24_N2
\led_flash_cnt[2535][1]~62272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2535][1]~62272_combout\ = (\led_flash_cnt[2535][0]~q\ & (\led_flash_cnt[2535][1]~q\ $ (VCC))) # (!\led_flash_cnt[2535][0]~q\ & (\led_flash_cnt[2535][1]~q\ & VCC))
-- \led_flash_cnt[2535][1]~62273\ = CARRY((\led_flash_cnt[2535][0]~q\ & \led_flash_cnt[2535][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2535][0]~q\,
	datab => \led_flash_cnt[2535][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2535][1]~62272_combout\,
	cout => \led_flash_cnt[2535][1]~62273\);

-- Location: FF_X65_Y24_N3
\led_flash_cnt[2535][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2535][1]~62272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2535][1]~q\);

-- Location: LCCOMB_X65_Y24_N4
\led_flash_cnt[2535][2]~62274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2535][2]~62274_combout\ = (\led_flash_cnt[2535][2]~q\ & (!\led_flash_cnt[2535][1]~62273\)) # (!\led_flash_cnt[2535][2]~q\ & ((\led_flash_cnt[2535][1]~62273\) # (GND)))
-- \led_flash_cnt[2535][2]~62275\ = CARRY((!\led_flash_cnt[2535][1]~62273\) # (!\led_flash_cnt[2535][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2535][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2535][1]~62273\,
	combout => \led_flash_cnt[2535][2]~62274_combout\,
	cout => \led_flash_cnt[2535][2]~62275\);

-- Location: FF_X65_Y24_N5
\led_flash_cnt[2535][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2535][2]~62274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2535][2]~q\);

-- Location: LCCOMB_X65_Y24_N6
\led_flash_cnt[2535][3]~62276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2535][3]~62276_combout\ = (\led_flash_cnt[2535][3]~q\ & (\led_flash_cnt[2535][2]~62275\ $ (GND))) # (!\led_flash_cnt[2535][3]~q\ & (!\led_flash_cnt[2535][2]~62275\ & VCC))
-- \led_flash_cnt[2535][3]~62277\ = CARRY((\led_flash_cnt[2535][3]~q\ & !\led_flash_cnt[2535][2]~62275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2535][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2535][2]~62275\,
	combout => \led_flash_cnt[2535][3]~62276_combout\,
	cout => \led_flash_cnt[2535][3]~62277\);

-- Location: FF_X65_Y24_N7
\led_flash_cnt[2535][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2535][3]~62276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2535][3]~q\);

-- Location: LCCOMB_X65_Y24_N8
\led_flash_cnt[2535][4]~62278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2535][4]~62278_combout\ = (\led_flash_cnt[2535][4]~q\ & (!\led_flash_cnt[2535][3]~62277\)) # (!\led_flash_cnt[2535][4]~q\ & ((\led_flash_cnt[2535][3]~62277\) # (GND)))
-- \led_flash_cnt[2535][4]~62279\ = CARRY((!\led_flash_cnt[2535][3]~62277\) # (!\led_flash_cnt[2535][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2535][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2535][3]~62277\,
	combout => \led_flash_cnt[2535][4]~62278_combout\,
	cout => \led_flash_cnt[2535][4]~62279\);

-- Location: FF_X65_Y24_N9
\led_flash_cnt[2535][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2535][4]~62278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2535][4]~q\);

-- Location: LCCOMB_X65_Y24_N10
\led_flash_cnt[2535][5]~62280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2535][5]~62280_combout\ = (\led_flash_cnt[2535][5]~q\ & (\led_flash_cnt[2535][4]~62279\ $ (GND))) # (!\led_flash_cnt[2535][5]~q\ & (!\led_flash_cnt[2535][4]~62279\ & VCC))
-- \led_flash_cnt[2535][5]~62281\ = CARRY((\led_flash_cnt[2535][5]~q\ & !\led_flash_cnt[2535][4]~62279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2535][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2535][4]~62279\,
	combout => \led_flash_cnt[2535][5]~62280_combout\,
	cout => \led_flash_cnt[2535][5]~62281\);

-- Location: FF_X65_Y24_N11
\led_flash_cnt[2535][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2535][5]~62280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2535][5]~q\);

-- Location: LCCOMB_X65_Y24_N12
\led_flash_cnt[2535][6]~62282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2535][6]~62282_combout\ = (\led_flash_cnt[2535][6]~q\ & (!\led_flash_cnt[2535][5]~62281\)) # (!\led_flash_cnt[2535][6]~q\ & ((\led_flash_cnt[2535][5]~62281\) # (GND)))
-- \led_flash_cnt[2535][6]~62283\ = CARRY((!\led_flash_cnt[2535][5]~62281\) # (!\led_flash_cnt[2535][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2535][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2535][5]~62281\,
	combout => \led_flash_cnt[2535][6]~62282_combout\,
	cout => \led_flash_cnt[2535][6]~62283\);

-- Location: FF_X65_Y24_N13
\led_flash_cnt[2535][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2535][6]~62282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2535][6]~q\);

-- Location: LCCOMB_X65_Y24_N16
\WideAnd2535~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2535~1_combout\ = (\led_flash_cnt[2535][6]~q\ & \led_flash_cnt[2535][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2535][6]~q\,
	datad => \led_flash_cnt[2535][5]~q\,
	combout => \WideAnd2535~1_combout\);

-- Location: LCCOMB_X65_Y24_N14
\led_flash_cnt[2535][7]~62284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2535][7]~62284_combout\ = \led_flash_cnt[2535][7]~q\ $ (!\led_flash_cnt[2535][6]~62283\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2535][7]~q\,
	cin => \led_flash_cnt[2535][6]~62283\,
	combout => \led_flash_cnt[2535][7]~62284_combout\);

-- Location: FF_X65_Y24_N15
\led_flash_cnt[2535][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2535][7]~62284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2535][7]~q\);

-- Location: LCCOMB_X65_Y24_N20
\WideAnd2535~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2535~0_combout\ = (\led_flash_cnt[2535][3]~q\ & (\led_flash_cnt[2535][2]~q\ & (\led_flash_cnt[2535][4]~q\ & \led_flash_cnt[2535][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2535][3]~q\,
	datab => \led_flash_cnt[2535][2]~q\,
	datac => \led_flash_cnt[2535][4]~q\,
	datad => \led_flash_cnt[2535][1]~q\,
	combout => \WideAnd2535~0_combout\);

-- Location: LCCOMB_X65_Y24_N28
WideAnd2535 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2535~combout\ = (\led_flash_cnt[2535][0]~q\ & (\WideAnd2535~1_combout\ & (\led_flash_cnt[2535][7]~q\ & \WideAnd2535~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2535][0]~q\,
	datab => \WideAnd2535~1_combout\,
	datac => \led_flash_cnt[2535][7]~q\,
	datad => \WideAnd2535~0_combout\,
	combout => \WideAnd2535~combout\);

-- Location: FF_X65_Y24_N29
\led_flash_cnt_ands[2535]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2535~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2535));

-- Location: LCCOMB_X75_Y24_N28
\led_flash_cnt[2532][0]~83175\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2532][0]~83175_combout\ = !\led_flash_cnt[2532][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2532][0]~q\,
	combout => \led_flash_cnt[2532][0]~83175_combout\);

-- Location: FF_X75_Y24_N29
\led_flash_cnt[2532][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2532][0]~83175_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2532][0]~q\);

-- Location: LCCOMB_X75_Y24_N2
\led_flash_cnt[2532][1]~62370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2532][1]~62370_combout\ = (\led_flash_cnt[2532][1]~q\ & (\led_flash_cnt[2532][0]~q\ $ (VCC))) # (!\led_flash_cnt[2532][1]~q\ & (\led_flash_cnt[2532][0]~q\ & VCC))
-- \led_flash_cnt[2532][1]~62371\ = CARRY((\led_flash_cnt[2532][1]~q\ & \led_flash_cnt[2532][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2532][1]~q\,
	datab => \led_flash_cnt[2532][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2532][1]~62370_combout\,
	cout => \led_flash_cnt[2532][1]~62371\);

-- Location: FF_X75_Y24_N3
\led_flash_cnt[2532][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2532][1]~62370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2532][1]~q\);

-- Location: LCCOMB_X75_Y24_N4
\led_flash_cnt[2532][2]~62372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2532][2]~62372_combout\ = (\led_flash_cnt[2532][2]~q\ & (!\led_flash_cnt[2532][1]~62371\)) # (!\led_flash_cnt[2532][2]~q\ & ((\led_flash_cnt[2532][1]~62371\) # (GND)))
-- \led_flash_cnt[2532][2]~62373\ = CARRY((!\led_flash_cnt[2532][1]~62371\) # (!\led_flash_cnt[2532][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2532][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2532][1]~62371\,
	combout => \led_flash_cnt[2532][2]~62372_combout\,
	cout => \led_flash_cnt[2532][2]~62373\);

-- Location: FF_X75_Y24_N5
\led_flash_cnt[2532][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2532][2]~62372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2532][2]~q\);

-- Location: LCCOMB_X75_Y24_N6
\led_flash_cnt[2532][3]~62374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2532][3]~62374_combout\ = (\led_flash_cnt[2532][3]~q\ & (\led_flash_cnt[2532][2]~62373\ $ (GND))) # (!\led_flash_cnt[2532][3]~q\ & (!\led_flash_cnt[2532][2]~62373\ & VCC))
-- \led_flash_cnt[2532][3]~62375\ = CARRY((\led_flash_cnt[2532][3]~q\ & !\led_flash_cnt[2532][2]~62373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2532][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2532][2]~62373\,
	combout => \led_flash_cnt[2532][3]~62374_combout\,
	cout => \led_flash_cnt[2532][3]~62375\);

-- Location: FF_X75_Y24_N7
\led_flash_cnt[2532][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2532][3]~62374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2532][3]~q\);

-- Location: LCCOMB_X75_Y24_N8
\led_flash_cnt[2532][4]~62376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2532][4]~62376_combout\ = (\led_flash_cnt[2532][4]~q\ & (!\led_flash_cnt[2532][3]~62375\)) # (!\led_flash_cnt[2532][4]~q\ & ((\led_flash_cnt[2532][3]~62375\) # (GND)))
-- \led_flash_cnt[2532][4]~62377\ = CARRY((!\led_flash_cnt[2532][3]~62375\) # (!\led_flash_cnt[2532][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2532][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2532][3]~62375\,
	combout => \led_flash_cnt[2532][4]~62376_combout\,
	cout => \led_flash_cnt[2532][4]~62377\);

-- Location: FF_X75_Y24_N9
\led_flash_cnt[2532][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2532][4]~62376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2532][4]~q\);

-- Location: LCCOMB_X75_Y24_N10
\led_flash_cnt[2532][5]~62378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2532][5]~62378_combout\ = (\led_flash_cnt[2532][5]~q\ & (\led_flash_cnt[2532][4]~62377\ $ (GND))) # (!\led_flash_cnt[2532][5]~q\ & (!\led_flash_cnt[2532][4]~62377\ & VCC))
-- \led_flash_cnt[2532][5]~62379\ = CARRY((\led_flash_cnt[2532][5]~q\ & !\led_flash_cnt[2532][4]~62377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2532][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2532][4]~62377\,
	combout => \led_flash_cnt[2532][5]~62378_combout\,
	cout => \led_flash_cnt[2532][5]~62379\);

-- Location: FF_X75_Y24_N11
\led_flash_cnt[2532][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2532][5]~62378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2532][5]~q\);

-- Location: LCCOMB_X75_Y24_N12
\led_flash_cnt[2532][6]~62380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2532][6]~62380_combout\ = (\led_flash_cnt[2532][6]~q\ & (!\led_flash_cnt[2532][5]~62379\)) # (!\led_flash_cnt[2532][6]~q\ & ((\led_flash_cnt[2532][5]~62379\) # (GND)))
-- \led_flash_cnt[2532][6]~62381\ = CARRY((!\led_flash_cnt[2532][5]~62379\) # (!\led_flash_cnt[2532][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2532][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2532][5]~62379\,
	combout => \led_flash_cnt[2532][6]~62380_combout\,
	cout => \led_flash_cnt[2532][6]~62381\);

-- Location: FF_X75_Y24_N13
\led_flash_cnt[2532][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2532][6]~62380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2532][6]~q\);

-- Location: LCCOMB_X75_Y24_N26
\WideAnd2532~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2532~1_combout\ = (\led_flash_cnt[2532][6]~q\ & \led_flash_cnt[2532][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2532][6]~q\,
	datad => \led_flash_cnt[2532][5]~q\,
	combout => \WideAnd2532~1_combout\);

-- Location: LCCOMB_X75_Y24_N14
\led_flash_cnt[2532][7]~62382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2532][7]~62382_combout\ = \led_flash_cnt[2532][7]~q\ $ (!\led_flash_cnt[2532][6]~62381\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2532][7]~q\,
	cin => \led_flash_cnt[2532][6]~62381\,
	combout => \led_flash_cnt[2532][7]~62382_combout\);

-- Location: FF_X75_Y24_N15
\led_flash_cnt[2532][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2532][7]~62382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2532][7]~q\);

-- Location: LCCOMB_X75_Y24_N18
\WideAnd2532~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2532~0_combout\ = (\led_flash_cnt[2532][1]~q\ & (\led_flash_cnt[2532][4]~q\ & (\led_flash_cnt[2532][2]~q\ & \led_flash_cnt[2532][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2532][1]~q\,
	datab => \led_flash_cnt[2532][4]~q\,
	datac => \led_flash_cnt[2532][2]~q\,
	datad => \led_flash_cnt[2532][3]~q\,
	combout => \WideAnd2532~0_combout\);

-- Location: LCCOMB_X75_Y24_N22
WideAnd2532 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2532~combout\ = (\WideAnd2532~1_combout\ & (\led_flash_cnt[2532][0]~q\ & (\led_flash_cnt[2532][7]~q\ & \WideAnd2532~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2532~1_combout\,
	datab => \led_flash_cnt[2532][0]~q\,
	datac => \led_flash_cnt[2532][7]~q\,
	datad => \WideAnd2532~0_combout\,
	combout => \WideAnd2532~combout\);

-- Location: FF_X75_Y24_N23
\led_flash_cnt_ands[2532]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2532~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2532));

-- Location: LCCOMB_X76_Y24_N24
\led_flash_cnt[2534][0]~83174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2534][0]~83174_combout\ = !\led_flash_cnt[2534][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2534][0]~q\,
	combout => \led_flash_cnt[2534][0]~83174_combout\);

-- Location: FF_X76_Y24_N25
\led_flash_cnt[2534][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2534][0]~83174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2534][0]~q\);

-- Location: LCCOMB_X76_Y24_N6
\led_flash_cnt[2534][1]~62356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2534][1]~62356_combout\ = (\led_flash_cnt[2534][1]~q\ & (\led_flash_cnt[2534][0]~q\ $ (VCC))) # (!\led_flash_cnt[2534][1]~q\ & (\led_flash_cnt[2534][0]~q\ & VCC))
-- \led_flash_cnt[2534][1]~62357\ = CARRY((\led_flash_cnt[2534][1]~q\ & \led_flash_cnt[2534][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2534][1]~q\,
	datab => \led_flash_cnt[2534][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2534][1]~62356_combout\,
	cout => \led_flash_cnt[2534][1]~62357\);

-- Location: FF_X76_Y24_N7
\led_flash_cnt[2534][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2534][1]~62356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2534][1]~q\);

-- Location: LCCOMB_X76_Y24_N8
\led_flash_cnt[2534][2]~62358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2534][2]~62358_combout\ = (\led_flash_cnt[2534][2]~q\ & (!\led_flash_cnt[2534][1]~62357\)) # (!\led_flash_cnt[2534][2]~q\ & ((\led_flash_cnt[2534][1]~62357\) # (GND)))
-- \led_flash_cnt[2534][2]~62359\ = CARRY((!\led_flash_cnt[2534][1]~62357\) # (!\led_flash_cnt[2534][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2534][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2534][1]~62357\,
	combout => \led_flash_cnt[2534][2]~62358_combout\,
	cout => \led_flash_cnt[2534][2]~62359\);

-- Location: FF_X76_Y24_N9
\led_flash_cnt[2534][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2534][2]~62358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2534][2]~q\);

-- Location: LCCOMB_X76_Y24_N10
\led_flash_cnt[2534][3]~62360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2534][3]~62360_combout\ = (\led_flash_cnt[2534][3]~q\ & (\led_flash_cnt[2534][2]~62359\ $ (GND))) # (!\led_flash_cnt[2534][3]~q\ & (!\led_flash_cnt[2534][2]~62359\ & VCC))
-- \led_flash_cnt[2534][3]~62361\ = CARRY((\led_flash_cnt[2534][3]~q\ & !\led_flash_cnt[2534][2]~62359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2534][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2534][2]~62359\,
	combout => \led_flash_cnt[2534][3]~62360_combout\,
	cout => \led_flash_cnt[2534][3]~62361\);

-- Location: FF_X76_Y24_N11
\led_flash_cnt[2534][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2534][3]~62360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2534][3]~q\);

-- Location: LCCOMB_X76_Y24_N12
\led_flash_cnt[2534][4]~62362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2534][4]~62362_combout\ = (\led_flash_cnt[2534][4]~q\ & (!\led_flash_cnt[2534][3]~62361\)) # (!\led_flash_cnt[2534][4]~q\ & ((\led_flash_cnt[2534][3]~62361\) # (GND)))
-- \led_flash_cnt[2534][4]~62363\ = CARRY((!\led_flash_cnt[2534][3]~62361\) # (!\led_flash_cnt[2534][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2534][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2534][3]~62361\,
	combout => \led_flash_cnt[2534][4]~62362_combout\,
	cout => \led_flash_cnt[2534][4]~62363\);

-- Location: FF_X76_Y24_N13
\led_flash_cnt[2534][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2534][4]~62362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2534][4]~q\);

-- Location: LCCOMB_X76_Y24_N14
\led_flash_cnt[2534][5]~62364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2534][5]~62364_combout\ = (\led_flash_cnt[2534][5]~q\ & (\led_flash_cnt[2534][4]~62363\ $ (GND))) # (!\led_flash_cnt[2534][5]~q\ & (!\led_flash_cnt[2534][4]~62363\ & VCC))
-- \led_flash_cnt[2534][5]~62365\ = CARRY((\led_flash_cnt[2534][5]~q\ & !\led_flash_cnt[2534][4]~62363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2534][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2534][4]~62363\,
	combout => \led_flash_cnt[2534][5]~62364_combout\,
	cout => \led_flash_cnt[2534][5]~62365\);

-- Location: FF_X76_Y24_N15
\led_flash_cnt[2534][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2534][5]~62364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2534][5]~q\);

-- Location: LCCOMB_X76_Y24_N16
\led_flash_cnt[2534][6]~62366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2534][6]~62366_combout\ = (\led_flash_cnt[2534][6]~q\ & (!\led_flash_cnt[2534][5]~62365\)) # (!\led_flash_cnt[2534][6]~q\ & ((\led_flash_cnt[2534][5]~62365\) # (GND)))
-- \led_flash_cnt[2534][6]~62367\ = CARRY((!\led_flash_cnt[2534][5]~62365\) # (!\led_flash_cnt[2534][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2534][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2534][5]~62365\,
	combout => \led_flash_cnt[2534][6]~62366_combout\,
	cout => \led_flash_cnt[2534][6]~62367\);

-- Location: FF_X76_Y24_N17
\led_flash_cnt[2534][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2534][6]~62366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2534][6]~q\);

-- Location: LCCOMB_X76_Y24_N26
\WideAnd2534~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2534~1_combout\ = (\led_flash_cnt[2534][5]~q\ & \led_flash_cnt[2534][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2534][5]~q\,
	datad => \led_flash_cnt[2534][6]~q\,
	combout => \WideAnd2534~1_combout\);

-- Location: LCCOMB_X76_Y24_N18
\led_flash_cnt[2534][7]~62368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2534][7]~62368_combout\ = \led_flash_cnt[2534][6]~62367\ $ (!\led_flash_cnt[2534][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2534][7]~q\,
	cin => \led_flash_cnt[2534][6]~62367\,
	combout => \led_flash_cnt[2534][7]~62368_combout\);

-- Location: FF_X76_Y24_N19
\led_flash_cnt[2534][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2534][7]~62368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2534][7]~q\);

-- Location: LCCOMB_X76_Y24_N22
\WideAnd2534~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2534~0_combout\ = (\led_flash_cnt[2534][4]~q\ & (\led_flash_cnt[2534][1]~q\ & (\led_flash_cnt[2534][2]~q\ & \led_flash_cnt[2534][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2534][4]~q\,
	datab => \led_flash_cnt[2534][1]~q\,
	datac => \led_flash_cnt[2534][2]~q\,
	datad => \led_flash_cnt[2534][3]~q\,
	combout => \WideAnd2534~0_combout\);

-- Location: LCCOMB_X76_Y24_N28
WideAnd2534 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2534~combout\ = (\WideAnd2534~1_combout\ & (\led_flash_cnt[2534][7]~q\ & (\WideAnd2534~0_combout\ & \led_flash_cnt[2534][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2534~1_combout\,
	datab => \led_flash_cnt[2534][7]~q\,
	datac => \WideAnd2534~0_combout\,
	datad => \led_flash_cnt[2534][0]~q\,
	combout => \WideAnd2534~combout\);

-- Location: FF_X76_Y24_N29
\led_flash_cnt_ands[2534]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2534~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2534));

-- Location: LCCOMB_X75_Y24_N24
\WideAnd4156~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4156~1_combout\ = (led_flash_cnt_ands(2532) & led_flash_cnt_ands(2534))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2532),
	datad => led_flash_cnt_ands(2534),
	combout => \WideAnd4156~1_combout\);

-- Location: LCCOMB_X65_Y24_N24
\led_flash_cnt[2533][0]~83169\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2533][0]~83169_combout\ = !\led_flash_cnt[2533][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2533][0]~q\,
	combout => \led_flash_cnt[2533][0]~83169_combout\);

-- Location: FF_X65_Y24_N25
\led_flash_cnt[2533][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2533][0]~83169_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2533][0]~q\);

-- Location: LCCOMB_X64_Y24_N14
\led_flash_cnt[2533][1]~62286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2533][1]~62286_combout\ = (\led_flash_cnt[2533][0]~q\ & (\led_flash_cnt[2533][1]~q\ $ (VCC))) # (!\led_flash_cnt[2533][0]~q\ & (\led_flash_cnt[2533][1]~q\ & VCC))
-- \led_flash_cnt[2533][1]~62287\ = CARRY((\led_flash_cnt[2533][0]~q\ & \led_flash_cnt[2533][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2533][0]~q\,
	datab => \led_flash_cnt[2533][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2533][1]~62286_combout\,
	cout => \led_flash_cnt[2533][1]~62287\);

-- Location: FF_X64_Y24_N15
\led_flash_cnt[2533][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2533][1]~62286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2533][1]~q\);

-- Location: LCCOMB_X64_Y24_N16
\led_flash_cnt[2533][2]~62288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2533][2]~62288_combout\ = (\led_flash_cnt[2533][2]~q\ & (!\led_flash_cnt[2533][1]~62287\)) # (!\led_flash_cnt[2533][2]~q\ & ((\led_flash_cnt[2533][1]~62287\) # (GND)))
-- \led_flash_cnt[2533][2]~62289\ = CARRY((!\led_flash_cnt[2533][1]~62287\) # (!\led_flash_cnt[2533][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2533][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2533][1]~62287\,
	combout => \led_flash_cnt[2533][2]~62288_combout\,
	cout => \led_flash_cnt[2533][2]~62289\);

-- Location: FF_X64_Y24_N17
\led_flash_cnt[2533][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2533][2]~62288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2533][2]~q\);

-- Location: LCCOMB_X64_Y24_N18
\led_flash_cnt[2533][3]~62290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2533][3]~62290_combout\ = (\led_flash_cnt[2533][3]~q\ & (\led_flash_cnt[2533][2]~62289\ $ (GND))) # (!\led_flash_cnt[2533][3]~q\ & (!\led_flash_cnt[2533][2]~62289\ & VCC))
-- \led_flash_cnt[2533][3]~62291\ = CARRY((\led_flash_cnt[2533][3]~q\ & !\led_flash_cnt[2533][2]~62289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2533][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2533][2]~62289\,
	combout => \led_flash_cnt[2533][3]~62290_combout\,
	cout => \led_flash_cnt[2533][3]~62291\);

-- Location: FF_X64_Y24_N19
\led_flash_cnt[2533][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2533][3]~62290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2533][3]~q\);

-- Location: LCCOMB_X64_Y24_N20
\led_flash_cnt[2533][4]~62292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2533][4]~62292_combout\ = (\led_flash_cnt[2533][4]~q\ & (!\led_flash_cnt[2533][3]~62291\)) # (!\led_flash_cnt[2533][4]~q\ & ((\led_flash_cnt[2533][3]~62291\) # (GND)))
-- \led_flash_cnt[2533][4]~62293\ = CARRY((!\led_flash_cnt[2533][3]~62291\) # (!\led_flash_cnt[2533][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2533][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2533][3]~62291\,
	combout => \led_flash_cnt[2533][4]~62292_combout\,
	cout => \led_flash_cnt[2533][4]~62293\);

-- Location: FF_X64_Y24_N21
\led_flash_cnt[2533][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2533][4]~62292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2533][4]~q\);

-- Location: LCCOMB_X64_Y24_N22
\led_flash_cnt[2533][5]~62294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2533][5]~62294_combout\ = (\led_flash_cnt[2533][5]~q\ & (\led_flash_cnt[2533][4]~62293\ $ (GND))) # (!\led_flash_cnt[2533][5]~q\ & (!\led_flash_cnt[2533][4]~62293\ & VCC))
-- \led_flash_cnt[2533][5]~62295\ = CARRY((\led_flash_cnt[2533][5]~q\ & !\led_flash_cnt[2533][4]~62293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2533][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2533][4]~62293\,
	combout => \led_flash_cnt[2533][5]~62294_combout\,
	cout => \led_flash_cnt[2533][5]~62295\);

-- Location: FF_X64_Y24_N23
\led_flash_cnt[2533][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2533][5]~62294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2533][5]~q\);

-- Location: LCCOMB_X64_Y24_N24
\led_flash_cnt[2533][6]~62296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2533][6]~62296_combout\ = (\led_flash_cnt[2533][6]~q\ & (!\led_flash_cnt[2533][5]~62295\)) # (!\led_flash_cnt[2533][6]~q\ & ((\led_flash_cnt[2533][5]~62295\) # (GND)))
-- \led_flash_cnt[2533][6]~62297\ = CARRY((!\led_flash_cnt[2533][5]~62295\) # (!\led_flash_cnt[2533][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2533][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2533][5]~62295\,
	combout => \led_flash_cnt[2533][6]~62296_combout\,
	cout => \led_flash_cnt[2533][6]~62297\);

-- Location: FF_X64_Y24_N25
\led_flash_cnt[2533][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2533][6]~62296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2533][6]~q\);

-- Location: LCCOMB_X65_Y24_N26
\WideAnd2533~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2533~1_combout\ = (\led_flash_cnt[2533][6]~q\ & \led_flash_cnt[2533][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2533][6]~q\,
	datad => \led_flash_cnt[2533][5]~q\,
	combout => \WideAnd2533~1_combout\);

-- Location: LCCOMB_X64_Y24_N30
\WideAnd2533~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2533~0_combout\ = (\led_flash_cnt[2533][4]~q\ & (\led_flash_cnt[2533][3]~q\ & (\led_flash_cnt[2533][1]~q\ & \led_flash_cnt[2533][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2533][4]~q\,
	datab => \led_flash_cnt[2533][3]~q\,
	datac => \led_flash_cnt[2533][1]~q\,
	datad => \led_flash_cnt[2533][2]~q\,
	combout => \WideAnd2533~0_combout\);

-- Location: LCCOMB_X64_Y24_N26
\led_flash_cnt[2533][7]~62298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2533][7]~62298_combout\ = \led_flash_cnt[2533][7]~q\ $ (!\led_flash_cnt[2533][6]~62297\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2533][7]~q\,
	cin => \led_flash_cnt[2533][6]~62297\,
	combout => \led_flash_cnt[2533][7]~62298_combout\);

-- Location: FF_X64_Y24_N27
\led_flash_cnt[2533][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2533][7]~62298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2533][7]~q\);

-- Location: LCCOMB_X65_Y24_N0
WideAnd2533 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2533~combout\ = (\WideAnd2533~1_combout\ & (\WideAnd2533~0_combout\ & (\led_flash_cnt[2533][7]~q\ & \led_flash_cnt[2533][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2533~1_combout\,
	datab => \WideAnd2533~0_combout\,
	datac => \led_flash_cnt[2533][7]~q\,
	datad => \led_flash_cnt[2533][0]~q\,
	combout => \WideAnd2533~combout\);

-- Location: FF_X65_Y24_N1
\led_flash_cnt_ands[2533]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2533~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2533));

-- Location: LCCOMB_X65_Y24_N18
WideAnd4156 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4156~combout\ = (\WideAnd4156~0_combout\ & (led_flash_cnt_ands(2535) & (\WideAnd4156~1_combout\ & led_flash_cnt_ands(2533))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4156~0_combout\,
	datab => led_flash_cnt_ands(2535),
	datac => \WideAnd4156~1_combout\,
	datad => led_flash_cnt_ands(2533),
	combout => \WideAnd4156~combout\);

-- Location: FF_X65_Y24_N19
\led_flash_cnt_ands_1[316]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4156~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(316));

-- Location: LCCOMB_X65_Y24_N30
\WideAnd4359~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4359~1_combout\ = (led_flash_cnt_ands_1(317) & led_flash_cnt_ands_1(316))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(317),
	datad => led_flash_cnt_ands_1(316),
	combout => \WideAnd4359~1_combout\);

-- Location: LCCOMB_X69_Y27_N18
\led_flash_cnt[2549][0]~83189\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2549][0]~83189_combout\ = !\led_flash_cnt[2549][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2549][0]~q\,
	combout => \led_flash_cnt[2549][0]~83189_combout\);

-- Location: FF_X69_Y27_N19
\led_flash_cnt[2549][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2549][0]~83189_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2549][0]~q\);

-- Location: LCCOMB_X70_Y27_N4
\led_flash_cnt[2549][1]~62566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2549][1]~62566_combout\ = (\led_flash_cnt[2549][0]~q\ & (\led_flash_cnt[2549][1]~q\ $ (VCC))) # (!\led_flash_cnt[2549][0]~q\ & (\led_flash_cnt[2549][1]~q\ & VCC))
-- \led_flash_cnt[2549][1]~62567\ = CARRY((\led_flash_cnt[2549][0]~q\ & \led_flash_cnt[2549][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2549][0]~q\,
	datab => \led_flash_cnt[2549][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2549][1]~62566_combout\,
	cout => \led_flash_cnt[2549][1]~62567\);

-- Location: FF_X70_Y27_N5
\led_flash_cnt[2549][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2549][1]~62566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2549][1]~q\);

-- Location: LCCOMB_X70_Y27_N6
\led_flash_cnt[2549][2]~62568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2549][2]~62568_combout\ = (\led_flash_cnt[2549][2]~q\ & (!\led_flash_cnt[2549][1]~62567\)) # (!\led_flash_cnt[2549][2]~q\ & ((\led_flash_cnt[2549][1]~62567\) # (GND)))
-- \led_flash_cnt[2549][2]~62569\ = CARRY((!\led_flash_cnt[2549][1]~62567\) # (!\led_flash_cnt[2549][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2549][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2549][1]~62567\,
	combout => \led_flash_cnt[2549][2]~62568_combout\,
	cout => \led_flash_cnt[2549][2]~62569\);

-- Location: FF_X70_Y27_N7
\led_flash_cnt[2549][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2549][2]~62568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2549][2]~q\);

-- Location: LCCOMB_X70_Y27_N8
\led_flash_cnt[2549][3]~62570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2549][3]~62570_combout\ = (\led_flash_cnt[2549][3]~q\ & (\led_flash_cnt[2549][2]~62569\ $ (GND))) # (!\led_flash_cnt[2549][3]~q\ & (!\led_flash_cnt[2549][2]~62569\ & VCC))
-- \led_flash_cnt[2549][3]~62571\ = CARRY((\led_flash_cnt[2549][3]~q\ & !\led_flash_cnt[2549][2]~62569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2549][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2549][2]~62569\,
	combout => \led_flash_cnt[2549][3]~62570_combout\,
	cout => \led_flash_cnt[2549][3]~62571\);

-- Location: FF_X70_Y27_N9
\led_flash_cnt[2549][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2549][3]~62570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2549][3]~q\);

-- Location: LCCOMB_X70_Y27_N10
\led_flash_cnt[2549][4]~62572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2549][4]~62572_combout\ = (\led_flash_cnt[2549][4]~q\ & (!\led_flash_cnt[2549][3]~62571\)) # (!\led_flash_cnt[2549][4]~q\ & ((\led_flash_cnt[2549][3]~62571\) # (GND)))
-- \led_flash_cnt[2549][4]~62573\ = CARRY((!\led_flash_cnt[2549][3]~62571\) # (!\led_flash_cnt[2549][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2549][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2549][3]~62571\,
	combout => \led_flash_cnt[2549][4]~62572_combout\,
	cout => \led_flash_cnt[2549][4]~62573\);

-- Location: FF_X70_Y27_N11
\led_flash_cnt[2549][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2549][4]~62572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2549][4]~q\);

-- Location: LCCOMB_X70_Y27_N12
\led_flash_cnt[2549][5]~62574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2549][5]~62574_combout\ = (\led_flash_cnt[2549][5]~q\ & (\led_flash_cnt[2549][4]~62573\ $ (GND))) # (!\led_flash_cnt[2549][5]~q\ & (!\led_flash_cnt[2549][4]~62573\ & VCC))
-- \led_flash_cnt[2549][5]~62575\ = CARRY((\led_flash_cnt[2549][5]~q\ & !\led_flash_cnt[2549][4]~62573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2549][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2549][4]~62573\,
	combout => \led_flash_cnt[2549][5]~62574_combout\,
	cout => \led_flash_cnt[2549][5]~62575\);

-- Location: FF_X70_Y27_N13
\led_flash_cnt[2549][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2549][5]~62574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2549][5]~q\);

-- Location: LCCOMB_X70_Y27_N14
\led_flash_cnt[2549][6]~62576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2549][6]~62576_combout\ = (\led_flash_cnt[2549][6]~q\ & (!\led_flash_cnt[2549][5]~62575\)) # (!\led_flash_cnt[2549][6]~q\ & ((\led_flash_cnt[2549][5]~62575\) # (GND)))
-- \led_flash_cnt[2549][6]~62577\ = CARRY((!\led_flash_cnt[2549][5]~62575\) # (!\led_flash_cnt[2549][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2549][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2549][5]~62575\,
	combout => \led_flash_cnt[2549][6]~62576_combout\,
	cout => \led_flash_cnt[2549][6]~62577\);

-- Location: FF_X70_Y27_N15
\led_flash_cnt[2549][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2549][6]~62576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2549][6]~q\);

-- Location: LCCOMB_X69_Y27_N20
\WideAnd2549~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2549~1_combout\ = (\led_flash_cnt[2549][6]~q\ & \led_flash_cnt[2549][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2549][6]~q\,
	datac => \led_flash_cnt[2549][5]~q\,
	combout => \WideAnd2549~1_combout\);

-- Location: LCCOMB_X70_Y27_N0
\WideAnd2549~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2549~0_combout\ = (\led_flash_cnt[2549][4]~q\ & (\led_flash_cnt[2549][3]~q\ & (\led_flash_cnt[2549][1]~q\ & \led_flash_cnt[2549][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2549][4]~q\,
	datab => \led_flash_cnt[2549][3]~q\,
	datac => \led_flash_cnt[2549][1]~q\,
	datad => \led_flash_cnt[2549][2]~q\,
	combout => \WideAnd2549~0_combout\);

-- Location: LCCOMB_X70_Y27_N16
\led_flash_cnt[2549][7]~62578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2549][7]~62578_combout\ = \led_flash_cnt[2549][6]~62577\ $ (!\led_flash_cnt[2549][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2549][7]~q\,
	cin => \led_flash_cnt[2549][6]~62577\,
	combout => \led_flash_cnt[2549][7]~62578_combout\);

-- Location: FF_X70_Y27_N17
\led_flash_cnt[2549][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2549][7]~62578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2549][7]~q\);

-- Location: LCCOMB_X69_Y27_N30
WideAnd2549 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2549~combout\ = (\led_flash_cnt[2549][0]~q\ & (\WideAnd2549~1_combout\ & (\WideAnd2549~0_combout\ & \led_flash_cnt[2549][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2549][0]~q\,
	datab => \WideAnd2549~1_combout\,
	datac => \WideAnd2549~0_combout\,
	datad => \led_flash_cnt[2549][7]~q\,
	combout => \WideAnd2549~combout\);

-- Location: FF_X69_Y27_N31
\led_flash_cnt_ands[2549]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2549~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2549));

-- Location: LCCOMB_X69_Y27_N22
\led_flash_cnt[2548][0]~83188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2548][0]~83188_combout\ = !\led_flash_cnt[2548][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2548][0]~q\,
	combout => \led_flash_cnt[2548][0]~83188_combout\);

-- Location: FF_X69_Y27_N23
\led_flash_cnt[2548][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2548][0]~83188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2548][0]~q\);

-- Location: LCCOMB_X69_Y27_N4
\led_flash_cnt[2548][1]~62552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2548][1]~62552_combout\ = (\led_flash_cnt[2548][0]~q\ & (\led_flash_cnt[2548][1]~q\ $ (VCC))) # (!\led_flash_cnt[2548][0]~q\ & (\led_flash_cnt[2548][1]~q\ & VCC))
-- \led_flash_cnt[2548][1]~62553\ = CARRY((\led_flash_cnt[2548][0]~q\ & \led_flash_cnt[2548][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2548][0]~q\,
	datab => \led_flash_cnt[2548][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2548][1]~62552_combout\,
	cout => \led_flash_cnt[2548][1]~62553\);

-- Location: FF_X69_Y27_N5
\led_flash_cnt[2548][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2548][1]~62552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2548][1]~q\);

-- Location: LCCOMB_X69_Y27_N6
\led_flash_cnt[2548][2]~62554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2548][2]~62554_combout\ = (\led_flash_cnt[2548][2]~q\ & (!\led_flash_cnt[2548][1]~62553\)) # (!\led_flash_cnt[2548][2]~q\ & ((\led_flash_cnt[2548][1]~62553\) # (GND)))
-- \led_flash_cnt[2548][2]~62555\ = CARRY((!\led_flash_cnt[2548][1]~62553\) # (!\led_flash_cnt[2548][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2548][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2548][1]~62553\,
	combout => \led_flash_cnt[2548][2]~62554_combout\,
	cout => \led_flash_cnt[2548][2]~62555\);

-- Location: FF_X69_Y27_N7
\led_flash_cnt[2548][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2548][2]~62554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2548][2]~q\);

-- Location: LCCOMB_X69_Y27_N8
\led_flash_cnt[2548][3]~62556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2548][3]~62556_combout\ = (\led_flash_cnt[2548][3]~q\ & (\led_flash_cnt[2548][2]~62555\ $ (GND))) # (!\led_flash_cnt[2548][3]~q\ & (!\led_flash_cnt[2548][2]~62555\ & VCC))
-- \led_flash_cnt[2548][3]~62557\ = CARRY((\led_flash_cnt[2548][3]~q\ & !\led_flash_cnt[2548][2]~62555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2548][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2548][2]~62555\,
	combout => \led_flash_cnt[2548][3]~62556_combout\,
	cout => \led_flash_cnt[2548][3]~62557\);

-- Location: FF_X69_Y27_N9
\led_flash_cnt[2548][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2548][3]~62556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2548][3]~q\);

-- Location: LCCOMB_X69_Y27_N10
\led_flash_cnt[2548][4]~62558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2548][4]~62558_combout\ = (\led_flash_cnt[2548][4]~q\ & (!\led_flash_cnt[2548][3]~62557\)) # (!\led_flash_cnt[2548][4]~q\ & ((\led_flash_cnt[2548][3]~62557\) # (GND)))
-- \led_flash_cnt[2548][4]~62559\ = CARRY((!\led_flash_cnt[2548][3]~62557\) # (!\led_flash_cnt[2548][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2548][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2548][3]~62557\,
	combout => \led_flash_cnt[2548][4]~62558_combout\,
	cout => \led_flash_cnt[2548][4]~62559\);

-- Location: FF_X69_Y27_N11
\led_flash_cnt[2548][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2548][4]~62558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2548][4]~q\);

-- Location: LCCOMB_X69_Y27_N12
\led_flash_cnt[2548][5]~62560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2548][5]~62560_combout\ = (\led_flash_cnt[2548][5]~q\ & (\led_flash_cnt[2548][4]~62559\ $ (GND))) # (!\led_flash_cnt[2548][5]~q\ & (!\led_flash_cnt[2548][4]~62559\ & VCC))
-- \led_flash_cnt[2548][5]~62561\ = CARRY((\led_flash_cnt[2548][5]~q\ & !\led_flash_cnt[2548][4]~62559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2548][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2548][4]~62559\,
	combout => \led_flash_cnt[2548][5]~62560_combout\,
	cout => \led_flash_cnt[2548][5]~62561\);

-- Location: FF_X69_Y27_N13
\led_flash_cnt[2548][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2548][5]~62560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2548][5]~q\);

-- Location: LCCOMB_X69_Y27_N14
\led_flash_cnt[2548][6]~62562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2548][6]~62562_combout\ = (\led_flash_cnt[2548][6]~q\ & (!\led_flash_cnt[2548][5]~62561\)) # (!\led_flash_cnt[2548][6]~q\ & ((\led_flash_cnt[2548][5]~62561\) # (GND)))
-- \led_flash_cnt[2548][6]~62563\ = CARRY((!\led_flash_cnt[2548][5]~62561\) # (!\led_flash_cnt[2548][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2548][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2548][5]~62561\,
	combout => \led_flash_cnt[2548][6]~62562_combout\,
	cout => \led_flash_cnt[2548][6]~62563\);

-- Location: FF_X69_Y27_N15
\led_flash_cnt[2548][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2548][6]~62562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2548][6]~q\);

-- Location: LCCOMB_X69_Y27_N16
\led_flash_cnt[2548][7]~62564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2548][7]~62564_combout\ = \led_flash_cnt[2548][6]~62563\ $ (!\led_flash_cnt[2548][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2548][7]~q\,
	cin => \led_flash_cnt[2548][6]~62563\,
	combout => \led_flash_cnt[2548][7]~62564_combout\);

-- Location: FF_X69_Y27_N17
\led_flash_cnt[2548][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2548][7]~62564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2548][7]~q\);

-- Location: LCCOMB_X69_Y27_N26
\WideAnd2548~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2548~1_combout\ = (\led_flash_cnt[2548][6]~q\ & \led_flash_cnt[2548][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2548][6]~q\,
	datad => \led_flash_cnt[2548][5]~q\,
	combout => \WideAnd2548~1_combout\);

-- Location: LCCOMB_X69_Y27_N24
\WideAnd2548~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2548~0_combout\ = (\led_flash_cnt[2548][4]~q\ & (\led_flash_cnt[2548][1]~q\ & (\led_flash_cnt[2548][3]~q\ & \led_flash_cnt[2548][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2548][4]~q\,
	datab => \led_flash_cnt[2548][1]~q\,
	datac => \led_flash_cnt[2548][3]~q\,
	datad => \led_flash_cnt[2548][2]~q\,
	combout => \WideAnd2548~0_combout\);

-- Location: LCCOMB_X69_Y27_N2
WideAnd2548 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2548~combout\ = (\led_flash_cnt[2548][0]~q\ & (\led_flash_cnt[2548][7]~q\ & (\WideAnd2548~1_combout\ & \WideAnd2548~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2548][0]~q\,
	datab => \led_flash_cnt[2548][7]~q\,
	datac => \WideAnd2548~1_combout\,
	datad => \WideAnd2548~0_combout\,
	combout => \WideAnd2548~combout\);

-- Location: FF_X69_Y27_N3
\led_flash_cnt_ands[2548]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2548~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2548));

-- Location: LCCOMB_X69_Y27_N28
\WideAnd4158~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4158~1_combout\ = (led_flash_cnt_ands(2549) & led_flash_cnt_ands(2548))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2549),
	datad => led_flash_cnt_ands(2548),
	combout => \WideAnd4158~1_combout\);

-- Location: LCCOMB_X70_Y23_N6
\led_flash_cnt[2551][0]~83191\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2551][0]~83191_combout\ = !\led_flash_cnt[2551][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2551][0]~q\,
	combout => \led_flash_cnt[2551][0]~83191_combout\);

-- Location: FF_X70_Y23_N7
\led_flash_cnt[2551][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2551][0]~83191_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2551][0]~q\);

-- Location: LCCOMB_X71_Y23_N16
\led_flash_cnt[2551][1]~62594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2551][1]~62594_combout\ = (\led_flash_cnt[2551][0]~q\ & (\led_flash_cnt[2551][1]~q\ $ (VCC))) # (!\led_flash_cnt[2551][0]~q\ & (\led_flash_cnt[2551][1]~q\ & VCC))
-- \led_flash_cnt[2551][1]~62595\ = CARRY((\led_flash_cnt[2551][0]~q\ & \led_flash_cnt[2551][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2551][0]~q\,
	datab => \led_flash_cnt[2551][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2551][1]~62594_combout\,
	cout => \led_flash_cnt[2551][1]~62595\);

-- Location: FF_X71_Y23_N17
\led_flash_cnt[2551][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2551][1]~62594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2551][1]~q\);

-- Location: LCCOMB_X71_Y23_N18
\led_flash_cnt[2551][2]~62596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2551][2]~62596_combout\ = (\led_flash_cnt[2551][2]~q\ & (!\led_flash_cnt[2551][1]~62595\)) # (!\led_flash_cnt[2551][2]~q\ & ((\led_flash_cnt[2551][1]~62595\) # (GND)))
-- \led_flash_cnt[2551][2]~62597\ = CARRY((!\led_flash_cnt[2551][1]~62595\) # (!\led_flash_cnt[2551][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2551][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2551][1]~62595\,
	combout => \led_flash_cnt[2551][2]~62596_combout\,
	cout => \led_flash_cnt[2551][2]~62597\);

-- Location: FF_X71_Y23_N19
\led_flash_cnt[2551][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2551][2]~62596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2551][2]~q\);

-- Location: LCCOMB_X71_Y23_N20
\led_flash_cnt[2551][3]~62598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2551][3]~62598_combout\ = (\led_flash_cnt[2551][3]~q\ & (\led_flash_cnt[2551][2]~62597\ $ (GND))) # (!\led_flash_cnt[2551][3]~q\ & (!\led_flash_cnt[2551][2]~62597\ & VCC))
-- \led_flash_cnt[2551][3]~62599\ = CARRY((\led_flash_cnt[2551][3]~q\ & !\led_flash_cnt[2551][2]~62597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2551][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2551][2]~62597\,
	combout => \led_flash_cnt[2551][3]~62598_combout\,
	cout => \led_flash_cnt[2551][3]~62599\);

-- Location: FF_X71_Y23_N21
\led_flash_cnt[2551][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2551][3]~62598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2551][3]~q\);

-- Location: LCCOMB_X71_Y23_N22
\led_flash_cnt[2551][4]~62600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2551][4]~62600_combout\ = (\led_flash_cnt[2551][4]~q\ & (!\led_flash_cnt[2551][3]~62599\)) # (!\led_flash_cnt[2551][4]~q\ & ((\led_flash_cnt[2551][3]~62599\) # (GND)))
-- \led_flash_cnt[2551][4]~62601\ = CARRY((!\led_flash_cnt[2551][3]~62599\) # (!\led_flash_cnt[2551][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2551][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2551][3]~62599\,
	combout => \led_flash_cnt[2551][4]~62600_combout\,
	cout => \led_flash_cnt[2551][4]~62601\);

-- Location: FF_X71_Y23_N23
\led_flash_cnt[2551][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2551][4]~62600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2551][4]~q\);

-- Location: LCCOMB_X71_Y23_N24
\led_flash_cnt[2551][5]~62602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2551][5]~62602_combout\ = (\led_flash_cnt[2551][5]~q\ & (\led_flash_cnt[2551][4]~62601\ $ (GND))) # (!\led_flash_cnt[2551][5]~q\ & (!\led_flash_cnt[2551][4]~62601\ & VCC))
-- \led_flash_cnt[2551][5]~62603\ = CARRY((\led_flash_cnt[2551][5]~q\ & !\led_flash_cnt[2551][4]~62601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2551][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2551][4]~62601\,
	combout => \led_flash_cnt[2551][5]~62602_combout\,
	cout => \led_flash_cnt[2551][5]~62603\);

-- Location: FF_X71_Y23_N25
\led_flash_cnt[2551][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2551][5]~62602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2551][5]~q\);

-- Location: LCCOMB_X71_Y23_N26
\led_flash_cnt[2551][6]~62604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2551][6]~62604_combout\ = (\led_flash_cnt[2551][6]~q\ & (!\led_flash_cnt[2551][5]~62603\)) # (!\led_flash_cnt[2551][6]~q\ & ((\led_flash_cnt[2551][5]~62603\) # (GND)))
-- \led_flash_cnt[2551][6]~62605\ = CARRY((!\led_flash_cnt[2551][5]~62603\) # (!\led_flash_cnt[2551][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2551][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2551][5]~62603\,
	combout => \led_flash_cnt[2551][6]~62604_combout\,
	cout => \led_flash_cnt[2551][6]~62605\);

-- Location: FF_X71_Y23_N27
\led_flash_cnt[2551][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2551][6]~62604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2551][6]~q\);

-- Location: LCCOMB_X70_Y23_N4
\WideAnd2551~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2551~1_combout\ = (\led_flash_cnt[2551][6]~q\ & \led_flash_cnt[2551][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2551][6]~q\,
	datad => \led_flash_cnt[2551][5]~q\,
	combout => \WideAnd2551~1_combout\);

-- Location: LCCOMB_X71_Y23_N30
\WideAnd2551~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2551~0_combout\ = (\led_flash_cnt[2551][1]~q\ & (\led_flash_cnt[2551][2]~q\ & (\led_flash_cnt[2551][4]~q\ & \led_flash_cnt[2551][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2551][1]~q\,
	datab => \led_flash_cnt[2551][2]~q\,
	datac => \led_flash_cnt[2551][4]~q\,
	datad => \led_flash_cnt[2551][3]~q\,
	combout => \WideAnd2551~0_combout\);

-- Location: LCCOMB_X71_Y23_N28
\led_flash_cnt[2551][7]~62606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2551][7]~62606_combout\ = \led_flash_cnt[2551][6]~62605\ $ (!\led_flash_cnt[2551][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2551][7]~q\,
	cin => \led_flash_cnt[2551][6]~62605\,
	combout => \led_flash_cnt[2551][7]~62606_combout\);

-- Location: FF_X71_Y23_N29
\led_flash_cnt[2551][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2551][7]~62606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2551][7]~q\);

-- Location: LCCOMB_X70_Y23_N10
WideAnd2551 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2551~combout\ = (\led_flash_cnt[2551][0]~q\ & (\WideAnd2551~1_combout\ & (\WideAnd2551~0_combout\ & \led_flash_cnt[2551][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2551][0]~q\,
	datab => \WideAnd2551~1_combout\,
	datac => \WideAnd2551~0_combout\,
	datad => \led_flash_cnt[2551][7]~q\,
	combout => \WideAnd2551~combout\);

-- Location: FF_X70_Y23_N11
\led_flash_cnt_ands[2551]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2551~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2551));

-- Location: LCCOMB_X66_Y11_N30
\led_flash_cnt[2547][0]~83187\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2547][0]~83187_combout\ = !\led_flash_cnt[2547][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2547][0]~q\,
	combout => \led_flash_cnt[2547][0]~83187_combout\);

-- Location: FF_X66_Y11_N31
\led_flash_cnt[2547][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2547][0]~83187_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2547][0]~q\);

-- Location: LCCOMB_X66_Y11_N4
\led_flash_cnt[2547][1]~62538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2547][1]~62538_combout\ = (\led_flash_cnt[2547][0]~q\ & (\led_flash_cnt[2547][1]~q\ $ (VCC))) # (!\led_flash_cnt[2547][0]~q\ & (\led_flash_cnt[2547][1]~q\ & VCC))
-- \led_flash_cnt[2547][1]~62539\ = CARRY((\led_flash_cnt[2547][0]~q\ & \led_flash_cnt[2547][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2547][0]~q\,
	datab => \led_flash_cnt[2547][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2547][1]~62538_combout\,
	cout => \led_flash_cnt[2547][1]~62539\);

-- Location: FF_X66_Y11_N5
\led_flash_cnt[2547][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2547][1]~62538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2547][1]~q\);

-- Location: LCCOMB_X66_Y11_N6
\led_flash_cnt[2547][2]~62540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2547][2]~62540_combout\ = (\led_flash_cnt[2547][2]~q\ & (!\led_flash_cnt[2547][1]~62539\)) # (!\led_flash_cnt[2547][2]~q\ & ((\led_flash_cnt[2547][1]~62539\) # (GND)))
-- \led_flash_cnt[2547][2]~62541\ = CARRY((!\led_flash_cnt[2547][1]~62539\) # (!\led_flash_cnt[2547][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2547][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2547][1]~62539\,
	combout => \led_flash_cnt[2547][2]~62540_combout\,
	cout => \led_flash_cnt[2547][2]~62541\);

-- Location: FF_X66_Y11_N7
\led_flash_cnt[2547][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2547][2]~62540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2547][2]~q\);

-- Location: LCCOMB_X66_Y11_N8
\led_flash_cnt[2547][3]~62542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2547][3]~62542_combout\ = (\led_flash_cnt[2547][3]~q\ & (\led_flash_cnt[2547][2]~62541\ $ (GND))) # (!\led_flash_cnt[2547][3]~q\ & (!\led_flash_cnt[2547][2]~62541\ & VCC))
-- \led_flash_cnt[2547][3]~62543\ = CARRY((\led_flash_cnt[2547][3]~q\ & !\led_flash_cnt[2547][2]~62541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2547][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2547][2]~62541\,
	combout => \led_flash_cnt[2547][3]~62542_combout\,
	cout => \led_flash_cnt[2547][3]~62543\);

-- Location: FF_X66_Y11_N9
\led_flash_cnt[2547][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2547][3]~62542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2547][3]~q\);

-- Location: LCCOMB_X66_Y11_N10
\led_flash_cnt[2547][4]~62544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2547][4]~62544_combout\ = (\led_flash_cnt[2547][4]~q\ & (!\led_flash_cnt[2547][3]~62543\)) # (!\led_flash_cnt[2547][4]~q\ & ((\led_flash_cnt[2547][3]~62543\) # (GND)))
-- \led_flash_cnt[2547][4]~62545\ = CARRY((!\led_flash_cnt[2547][3]~62543\) # (!\led_flash_cnt[2547][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2547][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2547][3]~62543\,
	combout => \led_flash_cnt[2547][4]~62544_combout\,
	cout => \led_flash_cnt[2547][4]~62545\);

-- Location: FF_X66_Y11_N11
\led_flash_cnt[2547][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2547][4]~62544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2547][4]~q\);

-- Location: LCCOMB_X66_Y11_N12
\led_flash_cnt[2547][5]~62546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2547][5]~62546_combout\ = (\led_flash_cnt[2547][5]~q\ & (\led_flash_cnt[2547][4]~62545\ $ (GND))) # (!\led_flash_cnt[2547][5]~q\ & (!\led_flash_cnt[2547][4]~62545\ & VCC))
-- \led_flash_cnt[2547][5]~62547\ = CARRY((\led_flash_cnt[2547][5]~q\ & !\led_flash_cnt[2547][4]~62545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2547][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2547][4]~62545\,
	combout => \led_flash_cnt[2547][5]~62546_combout\,
	cout => \led_flash_cnt[2547][5]~62547\);

-- Location: FF_X66_Y11_N13
\led_flash_cnt[2547][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2547][5]~62546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2547][5]~q\);

-- Location: LCCOMB_X66_Y11_N14
\led_flash_cnt[2547][6]~62548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2547][6]~62548_combout\ = (\led_flash_cnt[2547][6]~q\ & (!\led_flash_cnt[2547][5]~62547\)) # (!\led_flash_cnt[2547][6]~q\ & ((\led_flash_cnt[2547][5]~62547\) # (GND)))
-- \led_flash_cnt[2547][6]~62549\ = CARRY((!\led_flash_cnt[2547][5]~62547\) # (!\led_flash_cnt[2547][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2547][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2547][5]~62547\,
	combout => \led_flash_cnt[2547][6]~62548_combout\,
	cout => \led_flash_cnt[2547][6]~62549\);

-- Location: FF_X66_Y11_N15
\led_flash_cnt[2547][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2547][6]~62548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2547][6]~q\);

-- Location: LCCOMB_X66_Y11_N16
\led_flash_cnt[2547][7]~62550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2547][7]~62550_combout\ = \led_flash_cnt[2547][6]~62549\ $ (!\led_flash_cnt[2547][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2547][7]~q\,
	cin => \led_flash_cnt[2547][6]~62549\,
	combout => \led_flash_cnt[2547][7]~62550_combout\);

-- Location: FF_X66_Y11_N17
\led_flash_cnt[2547][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2547][7]~62550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2547][7]~q\);

-- Location: LCCOMB_X66_Y11_N26
\WideAnd2547~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2547~1_combout\ = (\led_flash_cnt[2547][6]~q\ & \led_flash_cnt[2547][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2547][6]~q\,
	datad => \led_flash_cnt[2547][5]~q\,
	combout => \WideAnd2547~1_combout\);

-- Location: LCCOMB_X66_Y11_N18
\WideAnd2547~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2547~0_combout\ = (\led_flash_cnt[2547][2]~q\ & (\led_flash_cnt[2547][1]~q\ & (\led_flash_cnt[2547][3]~q\ & \led_flash_cnt[2547][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2547][2]~q\,
	datab => \led_flash_cnt[2547][1]~q\,
	datac => \led_flash_cnt[2547][3]~q\,
	datad => \led_flash_cnt[2547][4]~q\,
	combout => \WideAnd2547~0_combout\);

-- Location: LCCOMB_X66_Y11_N22
WideAnd2547 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2547~combout\ = (\led_flash_cnt[2547][0]~q\ & (\led_flash_cnt[2547][7]~q\ & (\WideAnd2547~1_combout\ & \WideAnd2547~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2547][0]~q\,
	datab => \led_flash_cnt[2547][7]~q\,
	datac => \WideAnd2547~1_combout\,
	datad => \WideAnd2547~0_combout\,
	combout => \WideAnd2547~combout\);

-- Location: FF_X66_Y11_N23
\led_flash_cnt_ands[2547]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2547~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2547));

-- Location: LCCOMB_X66_Y10_N24
\led_flash_cnt[2544][0]~83184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2544][0]~83184_combout\ = !\led_flash_cnt[2544][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2544][0]~q\,
	combout => \led_flash_cnt[2544][0]~83184_combout\);

-- Location: FF_X66_Y10_N25
\led_flash_cnt[2544][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2544][0]~83184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2544][0]~q\);

-- Location: LCCOMB_X66_Y10_N2
\led_flash_cnt[2544][1]~62496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2544][1]~62496_combout\ = (\led_flash_cnt[2544][1]~q\ & (\led_flash_cnt[2544][0]~q\ $ (VCC))) # (!\led_flash_cnt[2544][1]~q\ & (\led_flash_cnt[2544][0]~q\ & VCC))
-- \led_flash_cnt[2544][1]~62497\ = CARRY((\led_flash_cnt[2544][1]~q\ & \led_flash_cnt[2544][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2544][1]~q\,
	datab => \led_flash_cnt[2544][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2544][1]~62496_combout\,
	cout => \led_flash_cnt[2544][1]~62497\);

-- Location: FF_X66_Y10_N3
\led_flash_cnt[2544][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2544][1]~62496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2544][1]~q\);

-- Location: LCCOMB_X66_Y10_N4
\led_flash_cnt[2544][2]~62498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2544][2]~62498_combout\ = (\led_flash_cnt[2544][2]~q\ & (!\led_flash_cnt[2544][1]~62497\)) # (!\led_flash_cnt[2544][2]~q\ & ((\led_flash_cnt[2544][1]~62497\) # (GND)))
-- \led_flash_cnt[2544][2]~62499\ = CARRY((!\led_flash_cnt[2544][1]~62497\) # (!\led_flash_cnt[2544][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2544][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2544][1]~62497\,
	combout => \led_flash_cnt[2544][2]~62498_combout\,
	cout => \led_flash_cnt[2544][2]~62499\);

-- Location: FF_X66_Y10_N5
\led_flash_cnt[2544][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2544][2]~62498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2544][2]~q\);

-- Location: LCCOMB_X66_Y10_N6
\led_flash_cnt[2544][3]~62500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2544][3]~62500_combout\ = (\led_flash_cnt[2544][3]~q\ & (\led_flash_cnt[2544][2]~62499\ $ (GND))) # (!\led_flash_cnt[2544][3]~q\ & (!\led_flash_cnt[2544][2]~62499\ & VCC))
-- \led_flash_cnt[2544][3]~62501\ = CARRY((\led_flash_cnt[2544][3]~q\ & !\led_flash_cnt[2544][2]~62499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2544][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2544][2]~62499\,
	combout => \led_flash_cnt[2544][3]~62500_combout\,
	cout => \led_flash_cnt[2544][3]~62501\);

-- Location: FF_X66_Y10_N7
\led_flash_cnt[2544][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2544][3]~62500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2544][3]~q\);

-- Location: LCCOMB_X66_Y10_N8
\led_flash_cnt[2544][4]~62502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2544][4]~62502_combout\ = (\led_flash_cnt[2544][4]~q\ & (!\led_flash_cnt[2544][3]~62501\)) # (!\led_flash_cnt[2544][4]~q\ & ((\led_flash_cnt[2544][3]~62501\) # (GND)))
-- \led_flash_cnt[2544][4]~62503\ = CARRY((!\led_flash_cnt[2544][3]~62501\) # (!\led_flash_cnt[2544][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2544][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2544][3]~62501\,
	combout => \led_flash_cnt[2544][4]~62502_combout\,
	cout => \led_flash_cnt[2544][4]~62503\);

-- Location: FF_X66_Y10_N9
\led_flash_cnt[2544][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2544][4]~62502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2544][4]~q\);

-- Location: LCCOMB_X66_Y10_N10
\led_flash_cnt[2544][5]~62504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2544][5]~62504_combout\ = (\led_flash_cnt[2544][5]~q\ & (\led_flash_cnt[2544][4]~62503\ $ (GND))) # (!\led_flash_cnt[2544][5]~q\ & (!\led_flash_cnt[2544][4]~62503\ & VCC))
-- \led_flash_cnt[2544][5]~62505\ = CARRY((\led_flash_cnt[2544][5]~q\ & !\led_flash_cnt[2544][4]~62503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2544][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2544][4]~62503\,
	combout => \led_flash_cnt[2544][5]~62504_combout\,
	cout => \led_flash_cnt[2544][5]~62505\);

-- Location: FF_X66_Y10_N11
\led_flash_cnt[2544][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2544][5]~62504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2544][5]~q\);

-- Location: LCCOMB_X66_Y10_N12
\led_flash_cnt[2544][6]~62506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2544][6]~62506_combout\ = (\led_flash_cnt[2544][6]~q\ & (!\led_flash_cnt[2544][5]~62505\)) # (!\led_flash_cnt[2544][6]~q\ & ((\led_flash_cnt[2544][5]~62505\) # (GND)))
-- \led_flash_cnt[2544][6]~62507\ = CARRY((!\led_flash_cnt[2544][5]~62505\) # (!\led_flash_cnt[2544][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2544][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2544][5]~62505\,
	combout => \led_flash_cnt[2544][6]~62506_combout\,
	cout => \led_flash_cnt[2544][6]~62507\);

-- Location: FF_X66_Y10_N13
\led_flash_cnt[2544][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2544][6]~62506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2544][6]~q\);

-- Location: LCCOMB_X66_Y10_N26
\WideAnd2544~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2544~1_combout\ = (\led_flash_cnt[2544][6]~q\ & \led_flash_cnt[2544][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2544][6]~q\,
	datad => \led_flash_cnt[2544][5]~q\,
	combout => \WideAnd2544~1_combout\);

-- Location: LCCOMB_X66_Y10_N14
\led_flash_cnt[2544][7]~62508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2544][7]~62508_combout\ = \led_flash_cnt[2544][7]~q\ $ (!\led_flash_cnt[2544][6]~62507\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2544][7]~q\,
	cin => \led_flash_cnt[2544][6]~62507\,
	combout => \led_flash_cnt[2544][7]~62508_combout\);

-- Location: FF_X66_Y10_N15
\led_flash_cnt[2544][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2544][7]~62508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2544][7]~q\);

-- Location: LCCOMB_X66_Y10_N18
\WideAnd2544~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2544~0_combout\ = (\led_flash_cnt[2544][1]~q\ & (\led_flash_cnt[2544][4]~q\ & (\led_flash_cnt[2544][2]~q\ & \led_flash_cnt[2544][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2544][1]~q\,
	datab => \led_flash_cnt[2544][4]~q\,
	datac => \led_flash_cnt[2544][2]~q\,
	datad => \led_flash_cnt[2544][3]~q\,
	combout => \WideAnd2544~0_combout\);

-- Location: LCCOMB_X66_Y10_N0
WideAnd2544 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2544~combout\ = (\WideAnd2544~1_combout\ & (\led_flash_cnt[2544][0]~q\ & (\led_flash_cnt[2544][7]~q\ & \WideAnd2544~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2544~1_combout\,
	datab => \led_flash_cnt[2544][0]~q\,
	datac => \led_flash_cnt[2544][7]~q\,
	datad => \WideAnd2544~0_combout\,
	combout => \WideAnd2544~combout\);

-- Location: FF_X66_Y10_N1
\led_flash_cnt_ands[2544]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2544~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2544));

-- Location: LCCOMB_X65_Y11_N22
\led_flash_cnt[2545][0]~83185\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2545][0]~83185_combout\ = !\led_flash_cnt[2545][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2545][0]~q\,
	combout => \led_flash_cnt[2545][0]~83185_combout\);

-- Location: FF_X65_Y11_N23
\led_flash_cnt[2545][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2545][0]~83185_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2545][0]~q\);

-- Location: LCCOMB_X65_Y11_N8
\led_flash_cnt[2545][1]~62510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2545][1]~62510_combout\ = (\led_flash_cnt[2545][0]~q\ & (\led_flash_cnt[2545][1]~q\ $ (VCC))) # (!\led_flash_cnt[2545][0]~q\ & (\led_flash_cnt[2545][1]~q\ & VCC))
-- \led_flash_cnt[2545][1]~62511\ = CARRY((\led_flash_cnt[2545][0]~q\ & \led_flash_cnt[2545][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2545][0]~q\,
	datab => \led_flash_cnt[2545][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2545][1]~62510_combout\,
	cout => \led_flash_cnt[2545][1]~62511\);

-- Location: FF_X65_Y11_N9
\led_flash_cnt[2545][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2545][1]~62510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2545][1]~q\);

-- Location: LCCOMB_X65_Y11_N10
\led_flash_cnt[2545][2]~62512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2545][2]~62512_combout\ = (\led_flash_cnt[2545][2]~q\ & (!\led_flash_cnt[2545][1]~62511\)) # (!\led_flash_cnt[2545][2]~q\ & ((\led_flash_cnt[2545][1]~62511\) # (GND)))
-- \led_flash_cnt[2545][2]~62513\ = CARRY((!\led_flash_cnt[2545][1]~62511\) # (!\led_flash_cnt[2545][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2545][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2545][1]~62511\,
	combout => \led_flash_cnt[2545][2]~62512_combout\,
	cout => \led_flash_cnt[2545][2]~62513\);

-- Location: FF_X65_Y11_N11
\led_flash_cnt[2545][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2545][2]~62512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2545][2]~q\);

-- Location: LCCOMB_X65_Y11_N12
\led_flash_cnt[2545][3]~62514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2545][3]~62514_combout\ = (\led_flash_cnt[2545][3]~q\ & (\led_flash_cnt[2545][2]~62513\ $ (GND))) # (!\led_flash_cnt[2545][3]~q\ & (!\led_flash_cnt[2545][2]~62513\ & VCC))
-- \led_flash_cnt[2545][3]~62515\ = CARRY((\led_flash_cnt[2545][3]~q\ & !\led_flash_cnt[2545][2]~62513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2545][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2545][2]~62513\,
	combout => \led_flash_cnt[2545][3]~62514_combout\,
	cout => \led_flash_cnt[2545][3]~62515\);

-- Location: FF_X65_Y11_N13
\led_flash_cnt[2545][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2545][3]~62514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2545][3]~q\);

-- Location: LCCOMB_X65_Y11_N14
\led_flash_cnt[2545][4]~62516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2545][4]~62516_combout\ = (\led_flash_cnt[2545][4]~q\ & (!\led_flash_cnt[2545][3]~62515\)) # (!\led_flash_cnt[2545][4]~q\ & ((\led_flash_cnt[2545][3]~62515\) # (GND)))
-- \led_flash_cnt[2545][4]~62517\ = CARRY((!\led_flash_cnt[2545][3]~62515\) # (!\led_flash_cnt[2545][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2545][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2545][3]~62515\,
	combout => \led_flash_cnt[2545][4]~62516_combout\,
	cout => \led_flash_cnt[2545][4]~62517\);

-- Location: FF_X65_Y11_N15
\led_flash_cnt[2545][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2545][4]~62516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2545][4]~q\);

-- Location: LCCOMB_X65_Y11_N16
\led_flash_cnt[2545][5]~62518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2545][5]~62518_combout\ = (\led_flash_cnt[2545][5]~q\ & (\led_flash_cnt[2545][4]~62517\ $ (GND))) # (!\led_flash_cnt[2545][5]~q\ & (!\led_flash_cnt[2545][4]~62517\ & VCC))
-- \led_flash_cnt[2545][5]~62519\ = CARRY((\led_flash_cnt[2545][5]~q\ & !\led_flash_cnt[2545][4]~62517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2545][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2545][4]~62517\,
	combout => \led_flash_cnt[2545][5]~62518_combout\,
	cout => \led_flash_cnt[2545][5]~62519\);

-- Location: FF_X65_Y11_N17
\led_flash_cnt[2545][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2545][5]~62518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2545][5]~q\);

-- Location: LCCOMB_X65_Y11_N18
\led_flash_cnt[2545][6]~62520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2545][6]~62520_combout\ = (\led_flash_cnt[2545][6]~q\ & (!\led_flash_cnt[2545][5]~62519\)) # (!\led_flash_cnt[2545][6]~q\ & ((\led_flash_cnt[2545][5]~62519\) # (GND)))
-- \led_flash_cnt[2545][6]~62521\ = CARRY((!\led_flash_cnt[2545][5]~62519\) # (!\led_flash_cnt[2545][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2545][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2545][5]~62519\,
	combout => \led_flash_cnt[2545][6]~62520_combout\,
	cout => \led_flash_cnt[2545][6]~62521\);

-- Location: FF_X65_Y11_N19
\led_flash_cnt[2545][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2545][6]~62520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2545][6]~q\);

-- Location: LCCOMB_X65_Y11_N20
\led_flash_cnt[2545][7]~62522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2545][7]~62522_combout\ = \led_flash_cnt[2545][6]~62521\ $ (!\led_flash_cnt[2545][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2545][7]~q\,
	cin => \led_flash_cnt[2545][6]~62521\,
	combout => \led_flash_cnt[2545][7]~62522_combout\);

-- Location: FF_X65_Y11_N21
\led_flash_cnt[2545][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2545][7]~62522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2545][7]~q\);

-- Location: LCCOMB_X65_Y11_N4
\WideAnd2545~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2545~1_combout\ = (\led_flash_cnt[2545][6]~q\ & \led_flash_cnt[2545][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2545][6]~q\,
	datad => \led_flash_cnt[2545][5]~q\,
	combout => \WideAnd2545~1_combout\);

-- Location: LCCOMB_X65_Y11_N24
\WideAnd2545~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2545~0_combout\ = (\led_flash_cnt[2545][3]~q\ & (\led_flash_cnt[2545][4]~q\ & (\led_flash_cnt[2545][1]~q\ & \led_flash_cnt[2545][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2545][3]~q\,
	datab => \led_flash_cnt[2545][4]~q\,
	datac => \led_flash_cnt[2545][1]~q\,
	datad => \led_flash_cnt[2545][2]~q\,
	combout => \WideAnd2545~0_combout\);

-- Location: LCCOMB_X65_Y11_N26
WideAnd2545 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2545~combout\ = (\led_flash_cnt[2545][0]~q\ & (\led_flash_cnt[2545][7]~q\ & (\WideAnd2545~1_combout\ & \WideAnd2545~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2545][0]~q\,
	datab => \led_flash_cnt[2545][7]~q\,
	datac => \WideAnd2545~1_combout\,
	datad => \WideAnd2545~0_combout\,
	combout => \WideAnd2545~combout\);

-- Location: FF_X65_Y11_N27
\led_flash_cnt_ands[2545]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2545~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2545));

-- Location: LCCOMB_X66_Y11_N0
\led_flash_cnt[2546][0]~83186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2546][0]~83186_combout\ = !\led_flash_cnt[2546][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2546][0]~q\,
	combout => \led_flash_cnt[2546][0]~83186_combout\);

-- Location: FF_X66_Y11_N1
\led_flash_cnt[2546][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2546][0]~83186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2546][0]~q\);

-- Location: LCCOMB_X67_Y11_N18
\led_flash_cnt[2546][1]~62524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2546][1]~62524_combout\ = (\led_flash_cnt[2546][0]~q\ & (\led_flash_cnt[2546][1]~q\ $ (VCC))) # (!\led_flash_cnt[2546][0]~q\ & (\led_flash_cnt[2546][1]~q\ & VCC))
-- \led_flash_cnt[2546][1]~62525\ = CARRY((\led_flash_cnt[2546][0]~q\ & \led_flash_cnt[2546][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2546][0]~q\,
	datab => \led_flash_cnt[2546][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2546][1]~62524_combout\,
	cout => \led_flash_cnt[2546][1]~62525\);

-- Location: FF_X67_Y11_N19
\led_flash_cnt[2546][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2546][1]~62524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2546][1]~q\);

-- Location: LCCOMB_X67_Y11_N20
\led_flash_cnt[2546][2]~62526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2546][2]~62526_combout\ = (\led_flash_cnt[2546][2]~q\ & (!\led_flash_cnt[2546][1]~62525\)) # (!\led_flash_cnt[2546][2]~q\ & ((\led_flash_cnt[2546][1]~62525\) # (GND)))
-- \led_flash_cnt[2546][2]~62527\ = CARRY((!\led_flash_cnt[2546][1]~62525\) # (!\led_flash_cnt[2546][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2546][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2546][1]~62525\,
	combout => \led_flash_cnt[2546][2]~62526_combout\,
	cout => \led_flash_cnt[2546][2]~62527\);

-- Location: FF_X67_Y11_N21
\led_flash_cnt[2546][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2546][2]~62526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2546][2]~q\);

-- Location: LCCOMB_X67_Y11_N22
\led_flash_cnt[2546][3]~62528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2546][3]~62528_combout\ = (\led_flash_cnt[2546][3]~q\ & (\led_flash_cnt[2546][2]~62527\ $ (GND))) # (!\led_flash_cnt[2546][3]~q\ & (!\led_flash_cnt[2546][2]~62527\ & VCC))
-- \led_flash_cnt[2546][3]~62529\ = CARRY((\led_flash_cnt[2546][3]~q\ & !\led_flash_cnt[2546][2]~62527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2546][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2546][2]~62527\,
	combout => \led_flash_cnt[2546][3]~62528_combout\,
	cout => \led_flash_cnt[2546][3]~62529\);

-- Location: FF_X67_Y11_N23
\led_flash_cnt[2546][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2546][3]~62528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2546][3]~q\);

-- Location: LCCOMB_X67_Y11_N24
\led_flash_cnt[2546][4]~62530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2546][4]~62530_combout\ = (\led_flash_cnt[2546][4]~q\ & (!\led_flash_cnt[2546][3]~62529\)) # (!\led_flash_cnt[2546][4]~q\ & ((\led_flash_cnt[2546][3]~62529\) # (GND)))
-- \led_flash_cnt[2546][4]~62531\ = CARRY((!\led_flash_cnt[2546][3]~62529\) # (!\led_flash_cnt[2546][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2546][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2546][3]~62529\,
	combout => \led_flash_cnt[2546][4]~62530_combout\,
	cout => \led_flash_cnt[2546][4]~62531\);

-- Location: FF_X67_Y11_N25
\led_flash_cnt[2546][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2546][4]~62530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2546][4]~q\);

-- Location: LCCOMB_X67_Y11_N26
\led_flash_cnt[2546][5]~62532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2546][5]~62532_combout\ = (\led_flash_cnt[2546][5]~q\ & (\led_flash_cnt[2546][4]~62531\ $ (GND))) # (!\led_flash_cnt[2546][5]~q\ & (!\led_flash_cnt[2546][4]~62531\ & VCC))
-- \led_flash_cnt[2546][5]~62533\ = CARRY((\led_flash_cnt[2546][5]~q\ & !\led_flash_cnt[2546][4]~62531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2546][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2546][4]~62531\,
	combout => \led_flash_cnt[2546][5]~62532_combout\,
	cout => \led_flash_cnt[2546][5]~62533\);

-- Location: FF_X67_Y11_N27
\led_flash_cnt[2546][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2546][5]~62532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2546][5]~q\);

-- Location: LCCOMB_X67_Y11_N28
\led_flash_cnt[2546][6]~62534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2546][6]~62534_combout\ = (\led_flash_cnt[2546][6]~q\ & (!\led_flash_cnt[2546][5]~62533\)) # (!\led_flash_cnt[2546][6]~q\ & ((\led_flash_cnt[2546][5]~62533\) # (GND)))
-- \led_flash_cnt[2546][6]~62535\ = CARRY((!\led_flash_cnt[2546][5]~62533\) # (!\led_flash_cnt[2546][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2546][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2546][5]~62533\,
	combout => \led_flash_cnt[2546][6]~62534_combout\,
	cout => \led_flash_cnt[2546][6]~62535\);

-- Location: FF_X67_Y11_N29
\led_flash_cnt[2546][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2546][6]~62534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2546][6]~q\);

-- Location: LCCOMB_X66_Y11_N2
\WideAnd2546~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2546~1_combout\ = (\led_flash_cnt[2546][6]~q\ & \led_flash_cnt[2546][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2546][6]~q\,
	datad => \led_flash_cnt[2546][5]~q\,
	combout => \WideAnd2546~1_combout\);

-- Location: LCCOMB_X67_Y11_N30
\led_flash_cnt[2546][7]~62536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2546][7]~62536_combout\ = \led_flash_cnt[2546][7]~q\ $ (!\led_flash_cnt[2546][6]~62535\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2546][7]~q\,
	cin => \led_flash_cnt[2546][6]~62535\,
	combout => \led_flash_cnt[2546][7]~62536_combout\);

-- Location: FF_X67_Y11_N31
\led_flash_cnt[2546][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2546][7]~62536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2546][7]~q\);

-- Location: LCCOMB_X67_Y11_N16
\WideAnd2546~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2546~0_combout\ = (\led_flash_cnt[2546][4]~q\ & (\led_flash_cnt[2546][2]~q\ & (\led_flash_cnt[2546][3]~q\ & \led_flash_cnt[2546][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2546][4]~q\,
	datab => \led_flash_cnt[2546][2]~q\,
	datac => \led_flash_cnt[2546][3]~q\,
	datad => \led_flash_cnt[2546][1]~q\,
	combout => \WideAnd2546~0_combout\);

-- Location: LCCOMB_X66_Y11_N24
WideAnd2546 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2546~combout\ = (\WideAnd2546~1_combout\ & (\led_flash_cnt[2546][0]~q\ & (\led_flash_cnt[2546][7]~q\ & \WideAnd2546~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2546~1_combout\,
	datab => \led_flash_cnt[2546][0]~q\,
	datac => \led_flash_cnt[2546][7]~q\,
	datad => \WideAnd2546~0_combout\,
	combout => \WideAnd2546~combout\);

-- Location: FF_X66_Y11_N25
\led_flash_cnt_ands[2546]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2546~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2546));

-- Location: LCCOMB_X66_Y11_N20
\WideAnd4158~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4158~0_combout\ = (led_flash_cnt_ands(2547) & (led_flash_cnt_ands(2544) & (led_flash_cnt_ands(2545) & led_flash_cnt_ands(2546))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2547),
	datab => led_flash_cnt_ands(2544),
	datac => led_flash_cnt_ands(2545),
	datad => led_flash_cnt_ands(2546),
	combout => \WideAnd4158~0_combout\);

-- Location: LCCOMB_X70_Y23_N12
\led_flash_cnt[2550][0]~83190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2550][0]~83190_combout\ = !\led_flash_cnt[2550][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2550][0]~q\,
	combout => \led_flash_cnt[2550][0]~83190_combout\);

-- Location: FF_X70_Y23_N13
\led_flash_cnt[2550][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2550][0]~83190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2550][0]~q\);

-- Location: LCCOMB_X70_Y23_N14
\led_flash_cnt[2550][1]~62580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2550][1]~62580_combout\ = (\led_flash_cnt[2550][0]~q\ & (\led_flash_cnt[2550][1]~q\ $ (VCC))) # (!\led_flash_cnt[2550][0]~q\ & (\led_flash_cnt[2550][1]~q\ & VCC))
-- \led_flash_cnt[2550][1]~62581\ = CARRY((\led_flash_cnt[2550][0]~q\ & \led_flash_cnt[2550][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2550][0]~q\,
	datab => \led_flash_cnt[2550][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2550][1]~62580_combout\,
	cout => \led_flash_cnt[2550][1]~62581\);

-- Location: FF_X70_Y23_N15
\led_flash_cnt[2550][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2550][1]~62580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2550][1]~q\);

-- Location: LCCOMB_X70_Y23_N16
\led_flash_cnt[2550][2]~62582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2550][2]~62582_combout\ = (\led_flash_cnt[2550][2]~q\ & (!\led_flash_cnt[2550][1]~62581\)) # (!\led_flash_cnt[2550][2]~q\ & ((\led_flash_cnt[2550][1]~62581\) # (GND)))
-- \led_flash_cnt[2550][2]~62583\ = CARRY((!\led_flash_cnt[2550][1]~62581\) # (!\led_flash_cnt[2550][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2550][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2550][1]~62581\,
	combout => \led_flash_cnt[2550][2]~62582_combout\,
	cout => \led_flash_cnt[2550][2]~62583\);

-- Location: FF_X70_Y23_N17
\led_flash_cnt[2550][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2550][2]~62582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2550][2]~q\);

-- Location: LCCOMB_X70_Y23_N18
\led_flash_cnt[2550][3]~62584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2550][3]~62584_combout\ = (\led_flash_cnt[2550][3]~q\ & (\led_flash_cnt[2550][2]~62583\ $ (GND))) # (!\led_flash_cnt[2550][3]~q\ & (!\led_flash_cnt[2550][2]~62583\ & VCC))
-- \led_flash_cnt[2550][3]~62585\ = CARRY((\led_flash_cnt[2550][3]~q\ & !\led_flash_cnt[2550][2]~62583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2550][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2550][2]~62583\,
	combout => \led_flash_cnt[2550][3]~62584_combout\,
	cout => \led_flash_cnt[2550][3]~62585\);

-- Location: FF_X70_Y23_N19
\led_flash_cnt[2550][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2550][3]~62584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2550][3]~q\);

-- Location: LCCOMB_X70_Y23_N20
\led_flash_cnt[2550][4]~62586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2550][4]~62586_combout\ = (\led_flash_cnt[2550][4]~q\ & (!\led_flash_cnt[2550][3]~62585\)) # (!\led_flash_cnt[2550][4]~q\ & ((\led_flash_cnt[2550][3]~62585\) # (GND)))
-- \led_flash_cnt[2550][4]~62587\ = CARRY((!\led_flash_cnt[2550][3]~62585\) # (!\led_flash_cnt[2550][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2550][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2550][3]~62585\,
	combout => \led_flash_cnt[2550][4]~62586_combout\,
	cout => \led_flash_cnt[2550][4]~62587\);

-- Location: FF_X70_Y23_N21
\led_flash_cnt[2550][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2550][4]~62586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2550][4]~q\);

-- Location: LCCOMB_X70_Y23_N22
\led_flash_cnt[2550][5]~62588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2550][5]~62588_combout\ = (\led_flash_cnt[2550][5]~q\ & (\led_flash_cnt[2550][4]~62587\ $ (GND))) # (!\led_flash_cnt[2550][5]~q\ & (!\led_flash_cnt[2550][4]~62587\ & VCC))
-- \led_flash_cnt[2550][5]~62589\ = CARRY((\led_flash_cnt[2550][5]~q\ & !\led_flash_cnt[2550][4]~62587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2550][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2550][4]~62587\,
	combout => \led_flash_cnt[2550][5]~62588_combout\,
	cout => \led_flash_cnt[2550][5]~62589\);

-- Location: FF_X70_Y23_N23
\led_flash_cnt[2550][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2550][5]~62588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2550][5]~q\);

-- Location: LCCOMB_X70_Y23_N24
\led_flash_cnt[2550][6]~62590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2550][6]~62590_combout\ = (\led_flash_cnt[2550][6]~q\ & (!\led_flash_cnt[2550][5]~62589\)) # (!\led_flash_cnt[2550][6]~q\ & ((\led_flash_cnt[2550][5]~62589\) # (GND)))
-- \led_flash_cnt[2550][6]~62591\ = CARRY((!\led_flash_cnt[2550][5]~62589\) # (!\led_flash_cnt[2550][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2550][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2550][5]~62589\,
	combout => \led_flash_cnt[2550][6]~62590_combout\,
	cout => \led_flash_cnt[2550][6]~62591\);

-- Location: FF_X70_Y23_N25
\led_flash_cnt[2550][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2550][6]~62590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2550][6]~q\);

-- Location: LCCOMB_X70_Y23_N30
\WideAnd2550~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2550~1_combout\ = (\led_flash_cnt[2550][5]~q\ & \led_flash_cnt[2550][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2550][5]~q\,
	datad => \led_flash_cnt[2550][6]~q\,
	combout => \WideAnd2550~1_combout\);

-- Location: LCCOMB_X70_Y23_N8
\WideAnd2550~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2550~0_combout\ = (\led_flash_cnt[2550][4]~q\ & (\led_flash_cnt[2550][3]~q\ & (\led_flash_cnt[2550][1]~q\ & \led_flash_cnt[2550][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2550][4]~q\,
	datab => \led_flash_cnt[2550][3]~q\,
	datac => \led_flash_cnt[2550][1]~q\,
	datad => \led_flash_cnt[2550][2]~q\,
	combout => \WideAnd2550~0_combout\);

-- Location: LCCOMB_X70_Y23_N26
\led_flash_cnt[2550][7]~62592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2550][7]~62592_combout\ = \led_flash_cnt[2550][7]~q\ $ (!\led_flash_cnt[2550][6]~62591\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2550][7]~q\,
	cin => \led_flash_cnt[2550][6]~62591\,
	combout => \led_flash_cnt[2550][7]~62592_combout\);

-- Location: FF_X70_Y23_N27
\led_flash_cnt[2550][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2550][7]~62592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2550][7]~q\);

-- Location: LCCOMB_X70_Y23_N28
WideAnd2550 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2550~combout\ = (\WideAnd2550~1_combout\ & (\WideAnd2550~0_combout\ & (\led_flash_cnt[2550][7]~q\ & \led_flash_cnt[2550][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2550~1_combout\,
	datab => \WideAnd2550~0_combout\,
	datac => \led_flash_cnt[2550][7]~q\,
	datad => \led_flash_cnt[2550][0]~q\,
	combout => \WideAnd2550~combout\);

-- Location: FF_X70_Y23_N29
\led_flash_cnt_ands[2550]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2550~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2550));

-- Location: LCCOMB_X69_Y23_N10
WideAnd4158 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4158~combout\ = (\WideAnd4158~1_combout\ & (led_flash_cnt_ands(2551) & (\WideAnd4158~0_combout\ & led_flash_cnt_ands(2550))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4158~1_combout\,
	datab => led_flash_cnt_ands(2551),
	datac => \WideAnd4158~0_combout\,
	datad => led_flash_cnt_ands(2550),
	combout => \WideAnd4158~combout\);

-- Location: FF_X69_Y23_N11
\led_flash_cnt_ands_1[318]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4158~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(318));

-- Location: LCCOMB_X69_Y53_N24
\led_flash_cnt[2510][0]~83150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2510][0]~83150_combout\ = !\led_flash_cnt[2510][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2510][0]~q\,
	combout => \led_flash_cnt[2510][0]~83150_combout\);

-- Location: FF_X69_Y53_N25
\led_flash_cnt[2510][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2510][0]~83150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2510][0]~q\);

-- Location: LCCOMB_X69_Y53_N6
\led_flash_cnt[2510][1]~62020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2510][1]~62020_combout\ = (\led_flash_cnt[2510][1]~q\ & (\led_flash_cnt[2510][0]~q\ $ (VCC))) # (!\led_flash_cnt[2510][1]~q\ & (\led_flash_cnt[2510][0]~q\ & VCC))
-- \led_flash_cnt[2510][1]~62021\ = CARRY((\led_flash_cnt[2510][1]~q\ & \led_flash_cnt[2510][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2510][1]~q\,
	datab => \led_flash_cnt[2510][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2510][1]~62020_combout\,
	cout => \led_flash_cnt[2510][1]~62021\);

-- Location: FF_X69_Y53_N7
\led_flash_cnt[2510][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2510][1]~62020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2510][1]~q\);

-- Location: LCCOMB_X69_Y53_N8
\led_flash_cnt[2510][2]~62022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2510][2]~62022_combout\ = (\led_flash_cnt[2510][2]~q\ & (!\led_flash_cnt[2510][1]~62021\)) # (!\led_flash_cnt[2510][2]~q\ & ((\led_flash_cnt[2510][1]~62021\) # (GND)))
-- \led_flash_cnt[2510][2]~62023\ = CARRY((!\led_flash_cnt[2510][1]~62021\) # (!\led_flash_cnt[2510][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2510][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2510][1]~62021\,
	combout => \led_flash_cnt[2510][2]~62022_combout\,
	cout => \led_flash_cnt[2510][2]~62023\);

-- Location: FF_X69_Y53_N9
\led_flash_cnt[2510][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2510][2]~62022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2510][2]~q\);

-- Location: LCCOMB_X69_Y53_N10
\led_flash_cnt[2510][3]~62024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2510][3]~62024_combout\ = (\led_flash_cnt[2510][3]~q\ & (\led_flash_cnt[2510][2]~62023\ $ (GND))) # (!\led_flash_cnt[2510][3]~q\ & (!\led_flash_cnt[2510][2]~62023\ & VCC))
-- \led_flash_cnt[2510][3]~62025\ = CARRY((\led_flash_cnt[2510][3]~q\ & !\led_flash_cnt[2510][2]~62023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2510][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2510][2]~62023\,
	combout => \led_flash_cnt[2510][3]~62024_combout\,
	cout => \led_flash_cnt[2510][3]~62025\);

-- Location: FF_X69_Y53_N11
\led_flash_cnt[2510][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2510][3]~62024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2510][3]~q\);

-- Location: LCCOMB_X69_Y53_N12
\led_flash_cnt[2510][4]~62026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2510][4]~62026_combout\ = (\led_flash_cnt[2510][4]~q\ & (!\led_flash_cnt[2510][3]~62025\)) # (!\led_flash_cnt[2510][4]~q\ & ((\led_flash_cnt[2510][3]~62025\) # (GND)))
-- \led_flash_cnt[2510][4]~62027\ = CARRY((!\led_flash_cnt[2510][3]~62025\) # (!\led_flash_cnt[2510][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2510][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2510][3]~62025\,
	combout => \led_flash_cnt[2510][4]~62026_combout\,
	cout => \led_flash_cnt[2510][4]~62027\);

-- Location: FF_X69_Y53_N13
\led_flash_cnt[2510][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2510][4]~62026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2510][4]~q\);

-- Location: LCCOMB_X69_Y53_N26
\WideAnd2510~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2510~0_combout\ = (\led_flash_cnt[2510][3]~q\ & (\led_flash_cnt[2510][4]~q\ & (\led_flash_cnt[2510][2]~q\ & \led_flash_cnt[2510][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2510][3]~q\,
	datab => \led_flash_cnt[2510][4]~q\,
	datac => \led_flash_cnt[2510][2]~q\,
	datad => \led_flash_cnt[2510][1]~q\,
	combout => \WideAnd2510~0_combout\);

-- Location: LCCOMB_X69_Y53_N14
\led_flash_cnt[2510][5]~62028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2510][5]~62028_combout\ = (\led_flash_cnt[2510][5]~q\ & (\led_flash_cnt[2510][4]~62027\ $ (GND))) # (!\led_flash_cnt[2510][5]~q\ & (!\led_flash_cnt[2510][4]~62027\ & VCC))
-- \led_flash_cnt[2510][5]~62029\ = CARRY((\led_flash_cnt[2510][5]~q\ & !\led_flash_cnt[2510][4]~62027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2510][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2510][4]~62027\,
	combout => \led_flash_cnt[2510][5]~62028_combout\,
	cout => \led_flash_cnt[2510][5]~62029\);

-- Location: FF_X69_Y53_N15
\led_flash_cnt[2510][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2510][5]~62028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2510][5]~q\);

-- Location: LCCOMB_X69_Y53_N16
\led_flash_cnt[2510][6]~62030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2510][6]~62030_combout\ = (\led_flash_cnt[2510][6]~q\ & (!\led_flash_cnt[2510][5]~62029\)) # (!\led_flash_cnt[2510][6]~q\ & ((\led_flash_cnt[2510][5]~62029\) # (GND)))
-- \led_flash_cnt[2510][6]~62031\ = CARRY((!\led_flash_cnt[2510][5]~62029\) # (!\led_flash_cnt[2510][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2510][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2510][5]~62029\,
	combout => \led_flash_cnt[2510][6]~62030_combout\,
	cout => \led_flash_cnt[2510][6]~62031\);

-- Location: FF_X69_Y53_N17
\led_flash_cnt[2510][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2510][6]~62030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2510][6]~q\);

-- Location: LCCOMB_X69_Y53_N18
\led_flash_cnt[2510][7]~62032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2510][7]~62032_combout\ = \led_flash_cnt[2510][6]~62031\ $ (!\led_flash_cnt[2510][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2510][7]~q\,
	cin => \led_flash_cnt[2510][6]~62031\,
	combout => \led_flash_cnt[2510][7]~62032_combout\);

-- Location: FF_X69_Y53_N19
\led_flash_cnt[2510][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2510][7]~62032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2510][7]~q\);

-- Location: LCCOMB_X69_Y53_N4
\WideAnd2510~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2510~1_combout\ = (\led_flash_cnt[2510][5]~q\ & \led_flash_cnt[2510][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2510][5]~q\,
	datad => \led_flash_cnt[2510][6]~q\,
	combout => \WideAnd2510~1_combout\);

-- Location: LCCOMB_X69_Y53_N22
WideAnd2510 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2510~combout\ = (\WideAnd2510~0_combout\ & (\led_flash_cnt[2510][7]~q\ & (\WideAnd2510~1_combout\ & \led_flash_cnt[2510][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2510~0_combout\,
	datab => \led_flash_cnt[2510][7]~q\,
	datac => \WideAnd2510~1_combout\,
	datad => \led_flash_cnt[2510][0]~q\,
	combout => \WideAnd2510~combout\);

-- Location: FF_X69_Y53_N23
\led_flash_cnt_ands[2510]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2510~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2510));

-- Location: LCCOMB_X67_Y52_N24
\led_flash_cnt[2511][0]~83151\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2511][0]~83151_combout\ = !\led_flash_cnt[2511][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2511][0]~q\,
	combout => \led_flash_cnt[2511][0]~83151_combout\);

-- Location: FF_X67_Y52_N25
\led_flash_cnt[2511][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2511][0]~83151_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2511][0]~q\);

-- Location: LCCOMB_X67_Y52_N2
\led_flash_cnt[2511][1]~62034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2511][1]~62034_combout\ = (\led_flash_cnt[2511][1]~q\ & (\led_flash_cnt[2511][0]~q\ $ (VCC))) # (!\led_flash_cnt[2511][1]~q\ & (\led_flash_cnt[2511][0]~q\ & VCC))
-- \led_flash_cnt[2511][1]~62035\ = CARRY((\led_flash_cnt[2511][1]~q\ & \led_flash_cnt[2511][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2511][1]~q\,
	datab => \led_flash_cnt[2511][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2511][1]~62034_combout\,
	cout => \led_flash_cnt[2511][1]~62035\);

-- Location: FF_X67_Y52_N3
\led_flash_cnt[2511][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2511][1]~62034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2511][1]~q\);

-- Location: LCCOMB_X67_Y52_N4
\led_flash_cnt[2511][2]~62036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2511][2]~62036_combout\ = (\led_flash_cnt[2511][2]~q\ & (!\led_flash_cnt[2511][1]~62035\)) # (!\led_flash_cnt[2511][2]~q\ & ((\led_flash_cnt[2511][1]~62035\) # (GND)))
-- \led_flash_cnt[2511][2]~62037\ = CARRY((!\led_flash_cnt[2511][1]~62035\) # (!\led_flash_cnt[2511][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2511][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2511][1]~62035\,
	combout => \led_flash_cnt[2511][2]~62036_combout\,
	cout => \led_flash_cnt[2511][2]~62037\);

-- Location: FF_X67_Y52_N5
\led_flash_cnt[2511][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2511][2]~62036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2511][2]~q\);

-- Location: LCCOMB_X67_Y52_N6
\led_flash_cnt[2511][3]~62038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2511][3]~62038_combout\ = (\led_flash_cnt[2511][3]~q\ & (\led_flash_cnt[2511][2]~62037\ $ (GND))) # (!\led_flash_cnt[2511][3]~q\ & (!\led_flash_cnt[2511][2]~62037\ & VCC))
-- \led_flash_cnt[2511][3]~62039\ = CARRY((\led_flash_cnt[2511][3]~q\ & !\led_flash_cnt[2511][2]~62037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2511][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2511][2]~62037\,
	combout => \led_flash_cnt[2511][3]~62038_combout\,
	cout => \led_flash_cnt[2511][3]~62039\);

-- Location: FF_X67_Y52_N7
\led_flash_cnt[2511][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2511][3]~62038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2511][3]~q\);

-- Location: LCCOMB_X67_Y52_N8
\led_flash_cnt[2511][4]~62040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2511][4]~62040_combout\ = (\led_flash_cnt[2511][4]~q\ & (!\led_flash_cnt[2511][3]~62039\)) # (!\led_flash_cnt[2511][4]~q\ & ((\led_flash_cnt[2511][3]~62039\) # (GND)))
-- \led_flash_cnt[2511][4]~62041\ = CARRY((!\led_flash_cnt[2511][3]~62039\) # (!\led_flash_cnt[2511][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2511][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2511][3]~62039\,
	combout => \led_flash_cnt[2511][4]~62040_combout\,
	cout => \led_flash_cnt[2511][4]~62041\);

-- Location: FF_X67_Y52_N9
\led_flash_cnt[2511][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2511][4]~62040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2511][4]~q\);

-- Location: LCCOMB_X67_Y52_N10
\led_flash_cnt[2511][5]~62042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2511][5]~62042_combout\ = (\led_flash_cnt[2511][5]~q\ & (\led_flash_cnt[2511][4]~62041\ $ (GND))) # (!\led_flash_cnt[2511][5]~q\ & (!\led_flash_cnt[2511][4]~62041\ & VCC))
-- \led_flash_cnt[2511][5]~62043\ = CARRY((\led_flash_cnt[2511][5]~q\ & !\led_flash_cnt[2511][4]~62041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2511][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2511][4]~62041\,
	combout => \led_flash_cnt[2511][5]~62042_combout\,
	cout => \led_flash_cnt[2511][5]~62043\);

-- Location: FF_X67_Y52_N11
\led_flash_cnt[2511][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2511][5]~62042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2511][5]~q\);

-- Location: LCCOMB_X67_Y52_N12
\led_flash_cnt[2511][6]~62044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2511][6]~62044_combout\ = (\led_flash_cnt[2511][6]~q\ & (!\led_flash_cnt[2511][5]~62043\)) # (!\led_flash_cnt[2511][6]~q\ & ((\led_flash_cnt[2511][5]~62043\) # (GND)))
-- \led_flash_cnt[2511][6]~62045\ = CARRY((!\led_flash_cnt[2511][5]~62043\) # (!\led_flash_cnt[2511][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2511][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2511][5]~62043\,
	combout => \led_flash_cnt[2511][6]~62044_combout\,
	cout => \led_flash_cnt[2511][6]~62045\);

-- Location: FF_X67_Y52_N13
\led_flash_cnt[2511][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2511][6]~62044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2511][6]~q\);

-- Location: LCCOMB_X67_Y52_N26
\WideAnd2511~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2511~1_combout\ = (\led_flash_cnt[2511][6]~q\ & \led_flash_cnt[2511][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2511][6]~q\,
	datad => \led_flash_cnt[2511][5]~q\,
	combout => \WideAnd2511~1_combout\);

-- Location: LCCOMB_X67_Y52_N14
\led_flash_cnt[2511][7]~62046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2511][7]~62046_combout\ = \led_flash_cnt[2511][7]~q\ $ (!\led_flash_cnt[2511][6]~62045\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2511][7]~q\,
	cin => \led_flash_cnt[2511][6]~62045\,
	combout => \led_flash_cnt[2511][7]~62046_combout\);

-- Location: FF_X67_Y52_N15
\led_flash_cnt[2511][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2511][7]~62046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2511][7]~q\);

-- Location: LCCOMB_X67_Y52_N18
\WideAnd2511~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2511~0_combout\ = (\led_flash_cnt[2511][1]~q\ & (\led_flash_cnt[2511][4]~q\ & (\led_flash_cnt[2511][2]~q\ & \led_flash_cnt[2511][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2511][1]~q\,
	datab => \led_flash_cnt[2511][4]~q\,
	datac => \led_flash_cnt[2511][2]~q\,
	datad => \led_flash_cnt[2511][3]~q\,
	combout => \WideAnd2511~0_combout\);

-- Location: LCCOMB_X67_Y52_N0
WideAnd2511 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2511~combout\ = (\WideAnd2511~1_combout\ & (\led_flash_cnt[2511][0]~q\ & (\led_flash_cnt[2511][7]~q\ & \WideAnd2511~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2511~1_combout\,
	datab => \led_flash_cnt[2511][0]~q\,
	datac => \led_flash_cnt[2511][7]~q\,
	datad => \WideAnd2511~0_combout\,
	combout => \WideAnd2511~combout\);

-- Location: FF_X67_Y52_N1
\led_flash_cnt_ands[2511]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2511~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2511));

-- Location: LCCOMB_X74_Y51_N26
\led_flash_cnt[2504][0]~83144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2504][0]~83144_combout\ = !\led_flash_cnt[2504][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2504][0]~q\,
	combout => \led_flash_cnt[2504][0]~83144_combout\);

-- Location: FF_X74_Y51_N27
\led_flash_cnt[2504][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2504][0]~83144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2504][0]~q\);

-- Location: LCCOMB_X74_Y51_N2
\led_flash_cnt[2504][1]~61936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2504][1]~61936_combout\ = (\led_flash_cnt[2504][0]~q\ & (\led_flash_cnt[2504][1]~q\ $ (VCC))) # (!\led_flash_cnt[2504][0]~q\ & (\led_flash_cnt[2504][1]~q\ & VCC))
-- \led_flash_cnt[2504][1]~61937\ = CARRY((\led_flash_cnt[2504][0]~q\ & \led_flash_cnt[2504][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2504][0]~q\,
	datab => \led_flash_cnt[2504][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2504][1]~61936_combout\,
	cout => \led_flash_cnt[2504][1]~61937\);

-- Location: FF_X74_Y51_N3
\led_flash_cnt[2504][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2504][1]~61936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2504][1]~q\);

-- Location: LCCOMB_X74_Y51_N4
\led_flash_cnt[2504][2]~61938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2504][2]~61938_combout\ = (\led_flash_cnt[2504][2]~q\ & (!\led_flash_cnt[2504][1]~61937\)) # (!\led_flash_cnt[2504][2]~q\ & ((\led_flash_cnt[2504][1]~61937\) # (GND)))
-- \led_flash_cnt[2504][2]~61939\ = CARRY((!\led_flash_cnt[2504][1]~61937\) # (!\led_flash_cnt[2504][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2504][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2504][1]~61937\,
	combout => \led_flash_cnt[2504][2]~61938_combout\,
	cout => \led_flash_cnt[2504][2]~61939\);

-- Location: FF_X74_Y51_N5
\led_flash_cnt[2504][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2504][2]~61938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2504][2]~q\);

-- Location: LCCOMB_X74_Y51_N6
\led_flash_cnt[2504][3]~61940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2504][3]~61940_combout\ = (\led_flash_cnt[2504][3]~q\ & (\led_flash_cnt[2504][2]~61939\ $ (GND))) # (!\led_flash_cnt[2504][3]~q\ & (!\led_flash_cnt[2504][2]~61939\ & VCC))
-- \led_flash_cnt[2504][3]~61941\ = CARRY((\led_flash_cnt[2504][3]~q\ & !\led_flash_cnt[2504][2]~61939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2504][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2504][2]~61939\,
	combout => \led_flash_cnt[2504][3]~61940_combout\,
	cout => \led_flash_cnt[2504][3]~61941\);

-- Location: FF_X74_Y51_N7
\led_flash_cnt[2504][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2504][3]~61940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2504][3]~q\);

-- Location: LCCOMB_X74_Y51_N8
\led_flash_cnt[2504][4]~61942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2504][4]~61942_combout\ = (\led_flash_cnt[2504][4]~q\ & (!\led_flash_cnt[2504][3]~61941\)) # (!\led_flash_cnt[2504][4]~q\ & ((\led_flash_cnt[2504][3]~61941\) # (GND)))
-- \led_flash_cnt[2504][4]~61943\ = CARRY((!\led_flash_cnt[2504][3]~61941\) # (!\led_flash_cnt[2504][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2504][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2504][3]~61941\,
	combout => \led_flash_cnt[2504][4]~61942_combout\,
	cout => \led_flash_cnt[2504][4]~61943\);

-- Location: FF_X74_Y51_N9
\led_flash_cnt[2504][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2504][4]~61942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2504][4]~q\);

-- Location: LCCOMB_X74_Y51_N10
\led_flash_cnt[2504][5]~61944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2504][5]~61944_combout\ = (\led_flash_cnt[2504][5]~q\ & (\led_flash_cnt[2504][4]~61943\ $ (GND))) # (!\led_flash_cnt[2504][5]~q\ & (!\led_flash_cnt[2504][4]~61943\ & VCC))
-- \led_flash_cnt[2504][5]~61945\ = CARRY((\led_flash_cnt[2504][5]~q\ & !\led_flash_cnt[2504][4]~61943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2504][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2504][4]~61943\,
	combout => \led_flash_cnt[2504][5]~61944_combout\,
	cout => \led_flash_cnt[2504][5]~61945\);

-- Location: FF_X74_Y51_N11
\led_flash_cnt[2504][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2504][5]~61944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2504][5]~q\);

-- Location: LCCOMB_X74_Y51_N12
\led_flash_cnt[2504][6]~61946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2504][6]~61946_combout\ = (\led_flash_cnt[2504][6]~q\ & (!\led_flash_cnt[2504][5]~61945\)) # (!\led_flash_cnt[2504][6]~q\ & ((\led_flash_cnt[2504][5]~61945\) # (GND)))
-- \led_flash_cnt[2504][6]~61947\ = CARRY((!\led_flash_cnt[2504][5]~61945\) # (!\led_flash_cnt[2504][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2504][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2504][5]~61945\,
	combout => \led_flash_cnt[2504][6]~61946_combout\,
	cout => \led_flash_cnt[2504][6]~61947\);

-- Location: FF_X74_Y51_N13
\led_flash_cnt[2504][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2504][6]~61946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2504][6]~q\);

-- Location: LCCOMB_X74_Y51_N22
\WideAnd2504~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2504~1_combout\ = (\led_flash_cnt[2504][6]~q\ & \led_flash_cnt[2504][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2504][6]~q\,
	datad => \led_flash_cnt[2504][5]~q\,
	combout => \WideAnd2504~1_combout\);

-- Location: LCCOMB_X74_Y51_N14
\led_flash_cnt[2504][7]~61948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2504][7]~61948_combout\ = \led_flash_cnt[2504][7]~q\ $ (!\led_flash_cnt[2504][6]~61947\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2504][7]~q\,
	cin => \led_flash_cnt[2504][6]~61947\,
	combout => \led_flash_cnt[2504][7]~61948_combout\);

-- Location: FF_X74_Y51_N15
\led_flash_cnt[2504][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2504][7]~61948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2504][7]~q\);

-- Location: LCCOMB_X74_Y51_N18
\WideAnd2504~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2504~0_combout\ = (\led_flash_cnt[2504][3]~q\ & (\led_flash_cnt[2504][4]~q\ & (\led_flash_cnt[2504][2]~q\ & \led_flash_cnt[2504][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2504][3]~q\,
	datab => \led_flash_cnt[2504][4]~q\,
	datac => \led_flash_cnt[2504][2]~q\,
	datad => \led_flash_cnt[2504][1]~q\,
	combout => \WideAnd2504~0_combout\);

-- Location: LCCOMB_X74_Y51_N0
WideAnd2504 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2504~combout\ = (\WideAnd2504~1_combout\ & (\led_flash_cnt[2504][7]~q\ & (\led_flash_cnt[2504][0]~q\ & \WideAnd2504~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2504~1_combout\,
	datab => \led_flash_cnt[2504][7]~q\,
	datac => \led_flash_cnt[2504][0]~q\,
	datad => \WideAnd2504~0_combout\,
	combout => \WideAnd2504~combout\);

-- Location: FF_X74_Y51_N1
\led_flash_cnt_ands[2504]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2504~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2504));

-- Location: LCCOMB_X69_Y50_N26
\led_flash_cnt[2505][0]~83145\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2505][0]~83145_combout\ = !\led_flash_cnt[2505][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2505][0]~q\,
	combout => \led_flash_cnt[2505][0]~83145_combout\);

-- Location: FF_X69_Y50_N27
\led_flash_cnt[2505][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2505][0]~83145_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2505][0]~q\);

-- Location: LCCOMB_X69_Y50_N6
\led_flash_cnt[2505][1]~61950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2505][1]~61950_combout\ = (\led_flash_cnt[2505][1]~q\ & (\led_flash_cnt[2505][0]~q\ $ (VCC))) # (!\led_flash_cnt[2505][1]~q\ & (\led_flash_cnt[2505][0]~q\ & VCC))
-- \led_flash_cnt[2505][1]~61951\ = CARRY((\led_flash_cnt[2505][1]~q\ & \led_flash_cnt[2505][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2505][1]~q\,
	datab => \led_flash_cnt[2505][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2505][1]~61950_combout\,
	cout => \led_flash_cnt[2505][1]~61951\);

-- Location: FF_X69_Y50_N7
\led_flash_cnt[2505][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2505][1]~61950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2505][1]~q\);

-- Location: LCCOMB_X69_Y50_N8
\led_flash_cnt[2505][2]~61952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2505][2]~61952_combout\ = (\led_flash_cnt[2505][2]~q\ & (!\led_flash_cnt[2505][1]~61951\)) # (!\led_flash_cnt[2505][2]~q\ & ((\led_flash_cnt[2505][1]~61951\) # (GND)))
-- \led_flash_cnt[2505][2]~61953\ = CARRY((!\led_flash_cnt[2505][1]~61951\) # (!\led_flash_cnt[2505][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2505][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2505][1]~61951\,
	combout => \led_flash_cnt[2505][2]~61952_combout\,
	cout => \led_flash_cnt[2505][2]~61953\);

-- Location: FF_X69_Y50_N9
\led_flash_cnt[2505][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2505][2]~61952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2505][2]~q\);

-- Location: LCCOMB_X69_Y50_N10
\led_flash_cnt[2505][3]~61954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2505][3]~61954_combout\ = (\led_flash_cnt[2505][3]~q\ & (\led_flash_cnt[2505][2]~61953\ $ (GND))) # (!\led_flash_cnt[2505][3]~q\ & (!\led_flash_cnt[2505][2]~61953\ & VCC))
-- \led_flash_cnt[2505][3]~61955\ = CARRY((\led_flash_cnt[2505][3]~q\ & !\led_flash_cnt[2505][2]~61953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2505][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2505][2]~61953\,
	combout => \led_flash_cnt[2505][3]~61954_combout\,
	cout => \led_flash_cnt[2505][3]~61955\);

-- Location: FF_X69_Y50_N11
\led_flash_cnt[2505][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2505][3]~61954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2505][3]~q\);

-- Location: LCCOMB_X69_Y50_N12
\led_flash_cnt[2505][4]~61956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2505][4]~61956_combout\ = (\led_flash_cnt[2505][4]~q\ & (!\led_flash_cnt[2505][3]~61955\)) # (!\led_flash_cnt[2505][4]~q\ & ((\led_flash_cnt[2505][3]~61955\) # (GND)))
-- \led_flash_cnt[2505][4]~61957\ = CARRY((!\led_flash_cnt[2505][3]~61955\) # (!\led_flash_cnt[2505][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2505][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2505][3]~61955\,
	combout => \led_flash_cnt[2505][4]~61956_combout\,
	cout => \led_flash_cnt[2505][4]~61957\);

-- Location: FF_X69_Y50_N13
\led_flash_cnt[2505][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2505][4]~61956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2505][4]~q\);

-- Location: LCCOMB_X69_Y50_N14
\led_flash_cnt[2505][5]~61958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2505][5]~61958_combout\ = (\led_flash_cnt[2505][5]~q\ & (\led_flash_cnt[2505][4]~61957\ $ (GND))) # (!\led_flash_cnt[2505][5]~q\ & (!\led_flash_cnt[2505][4]~61957\ & VCC))
-- \led_flash_cnt[2505][5]~61959\ = CARRY((\led_flash_cnt[2505][5]~q\ & !\led_flash_cnt[2505][4]~61957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2505][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2505][4]~61957\,
	combout => \led_flash_cnt[2505][5]~61958_combout\,
	cout => \led_flash_cnt[2505][5]~61959\);

-- Location: FF_X69_Y50_N15
\led_flash_cnt[2505][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2505][5]~61958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2505][5]~q\);

-- Location: LCCOMB_X69_Y50_N16
\led_flash_cnt[2505][6]~61960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2505][6]~61960_combout\ = (\led_flash_cnt[2505][6]~q\ & (!\led_flash_cnt[2505][5]~61959\)) # (!\led_flash_cnt[2505][6]~q\ & ((\led_flash_cnt[2505][5]~61959\) # (GND)))
-- \led_flash_cnt[2505][6]~61961\ = CARRY((!\led_flash_cnt[2505][5]~61959\) # (!\led_flash_cnt[2505][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2505][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2505][5]~61959\,
	combout => \led_flash_cnt[2505][6]~61960_combout\,
	cout => \led_flash_cnt[2505][6]~61961\);

-- Location: FF_X69_Y50_N17
\led_flash_cnt[2505][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2505][6]~61960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2505][6]~q\);

-- Location: LCCOMB_X69_Y50_N22
\WideAnd2505~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2505~0_combout\ = (\led_flash_cnt[2505][4]~q\ & (\led_flash_cnt[2505][6]~q\ & (\led_flash_cnt[2505][5]~q\ & \led_flash_cnt[2505][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2505][4]~q\,
	datab => \led_flash_cnt[2505][6]~q\,
	datac => \led_flash_cnt[2505][5]~q\,
	datad => \led_flash_cnt[2505][1]~q\,
	combout => \WideAnd2505~0_combout\);

-- Location: LCCOMB_X69_Y50_N18
\led_flash_cnt[2505][7]~61962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2505][7]~61962_combout\ = \led_flash_cnt[2505][6]~61961\ $ (!\led_flash_cnt[2505][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2505][7]~q\,
	cin => \led_flash_cnt[2505][6]~61961\,
	combout => \led_flash_cnt[2505][7]~61962_combout\);

-- Location: FF_X69_Y50_N19
\led_flash_cnt[2505][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2505][7]~61962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2505][7]~q\);

-- Location: LCCOMB_X69_Y50_N24
\WideAnd2505~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2505~1_combout\ = (\led_flash_cnt[2505][7]~q\ & \led_flash_cnt[2505][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2505][7]~q\,
	datac => \led_flash_cnt[2505][0]~q\,
	combout => \WideAnd2505~1_combout\);

-- Location: LCCOMB_X69_Y50_N0
WideAnd2505 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2505~combout\ = (\WideAnd2505~0_combout\ & (\WideAnd2505~1_combout\ & (\led_flash_cnt[2505][2]~q\ & \led_flash_cnt[2505][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2505~0_combout\,
	datab => \WideAnd2505~1_combout\,
	datac => \led_flash_cnt[2505][2]~q\,
	datad => \led_flash_cnt[2505][3]~q\,
	combout => \WideAnd2505~combout\);

-- Location: FF_X69_Y50_N1
\led_flash_cnt_ands[2505]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2505~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2505));

-- Location: LCCOMB_X67_Y51_N26
\led_flash_cnt[2506][0]~83146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2506][0]~83146_combout\ = !\led_flash_cnt[2506][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2506][0]~q\,
	combout => \led_flash_cnt[2506][0]~83146_combout\);

-- Location: FF_X67_Y51_N27
\led_flash_cnt[2506][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2506][0]~83146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2506][0]~q\);

-- Location: LCCOMB_X67_Y51_N4
\led_flash_cnt[2506][1]~61964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2506][1]~61964_combout\ = (\led_flash_cnt[2506][0]~q\ & (\led_flash_cnt[2506][1]~q\ $ (VCC))) # (!\led_flash_cnt[2506][0]~q\ & (\led_flash_cnt[2506][1]~q\ & VCC))
-- \led_flash_cnt[2506][1]~61965\ = CARRY((\led_flash_cnt[2506][0]~q\ & \led_flash_cnt[2506][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2506][0]~q\,
	datab => \led_flash_cnt[2506][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2506][1]~61964_combout\,
	cout => \led_flash_cnt[2506][1]~61965\);

-- Location: FF_X67_Y51_N5
\led_flash_cnt[2506][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2506][1]~61964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2506][1]~q\);

-- Location: LCCOMB_X67_Y51_N6
\led_flash_cnt[2506][2]~61966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2506][2]~61966_combout\ = (\led_flash_cnt[2506][2]~q\ & (!\led_flash_cnt[2506][1]~61965\)) # (!\led_flash_cnt[2506][2]~q\ & ((\led_flash_cnt[2506][1]~61965\) # (GND)))
-- \led_flash_cnt[2506][2]~61967\ = CARRY((!\led_flash_cnt[2506][1]~61965\) # (!\led_flash_cnt[2506][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2506][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2506][1]~61965\,
	combout => \led_flash_cnt[2506][2]~61966_combout\,
	cout => \led_flash_cnt[2506][2]~61967\);

-- Location: FF_X67_Y51_N7
\led_flash_cnt[2506][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2506][2]~61966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2506][2]~q\);

-- Location: LCCOMB_X67_Y51_N8
\led_flash_cnt[2506][3]~61968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2506][3]~61968_combout\ = (\led_flash_cnt[2506][3]~q\ & (\led_flash_cnt[2506][2]~61967\ $ (GND))) # (!\led_flash_cnt[2506][3]~q\ & (!\led_flash_cnt[2506][2]~61967\ & VCC))
-- \led_flash_cnt[2506][3]~61969\ = CARRY((\led_flash_cnt[2506][3]~q\ & !\led_flash_cnt[2506][2]~61967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2506][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2506][2]~61967\,
	combout => \led_flash_cnt[2506][3]~61968_combout\,
	cout => \led_flash_cnt[2506][3]~61969\);

-- Location: FF_X67_Y51_N9
\led_flash_cnt[2506][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2506][3]~61968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2506][3]~q\);

-- Location: LCCOMB_X67_Y51_N10
\led_flash_cnt[2506][4]~61970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2506][4]~61970_combout\ = (\led_flash_cnt[2506][4]~q\ & (!\led_flash_cnt[2506][3]~61969\)) # (!\led_flash_cnt[2506][4]~q\ & ((\led_flash_cnt[2506][3]~61969\) # (GND)))
-- \led_flash_cnt[2506][4]~61971\ = CARRY((!\led_flash_cnt[2506][3]~61969\) # (!\led_flash_cnt[2506][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2506][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2506][3]~61969\,
	combout => \led_flash_cnt[2506][4]~61970_combout\,
	cout => \led_flash_cnt[2506][4]~61971\);

-- Location: FF_X67_Y51_N11
\led_flash_cnt[2506][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2506][4]~61970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2506][4]~q\);

-- Location: LCCOMB_X67_Y51_N12
\led_flash_cnt[2506][5]~61972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2506][5]~61972_combout\ = (\led_flash_cnt[2506][5]~q\ & (\led_flash_cnt[2506][4]~61971\ $ (GND))) # (!\led_flash_cnt[2506][5]~q\ & (!\led_flash_cnt[2506][4]~61971\ & VCC))
-- \led_flash_cnt[2506][5]~61973\ = CARRY((\led_flash_cnt[2506][5]~q\ & !\led_flash_cnt[2506][4]~61971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2506][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2506][4]~61971\,
	combout => \led_flash_cnt[2506][5]~61972_combout\,
	cout => \led_flash_cnt[2506][5]~61973\);

-- Location: FF_X67_Y51_N13
\led_flash_cnt[2506][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2506][5]~61972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2506][5]~q\);

-- Location: LCCOMB_X67_Y51_N14
\led_flash_cnt[2506][6]~61974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2506][6]~61974_combout\ = (\led_flash_cnt[2506][6]~q\ & (!\led_flash_cnt[2506][5]~61973\)) # (!\led_flash_cnt[2506][6]~q\ & ((\led_flash_cnt[2506][5]~61973\) # (GND)))
-- \led_flash_cnt[2506][6]~61975\ = CARRY((!\led_flash_cnt[2506][5]~61973\) # (!\led_flash_cnt[2506][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2506][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2506][5]~61973\,
	combout => \led_flash_cnt[2506][6]~61974_combout\,
	cout => \led_flash_cnt[2506][6]~61975\);

-- Location: FF_X67_Y51_N15
\led_flash_cnt[2506][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2506][6]~61974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2506][6]~q\);

-- Location: LCCOMB_X67_Y51_N22
\WideAnd2506~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2506~1_combout\ = (\led_flash_cnt[2506][6]~q\ & \led_flash_cnt[2506][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2506][6]~q\,
	datad => \led_flash_cnt[2506][5]~q\,
	combout => \WideAnd2506~1_combout\);

-- Location: LCCOMB_X67_Y51_N16
\led_flash_cnt[2506][7]~61976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2506][7]~61976_combout\ = \led_flash_cnt[2506][6]~61975\ $ (!\led_flash_cnt[2506][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2506][7]~q\,
	cin => \led_flash_cnt[2506][6]~61975\,
	combout => \led_flash_cnt[2506][7]~61976_combout\);

-- Location: FF_X67_Y51_N17
\led_flash_cnt[2506][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2506][7]~61976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2506][7]~q\);

-- Location: LCCOMB_X67_Y51_N18
\WideAnd2506~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2506~0_combout\ = (\led_flash_cnt[2506][2]~q\ & (\led_flash_cnt[2506][1]~q\ & (\led_flash_cnt[2506][3]~q\ & \led_flash_cnt[2506][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2506][2]~q\,
	datab => \led_flash_cnt[2506][1]~q\,
	datac => \led_flash_cnt[2506][3]~q\,
	datad => \led_flash_cnt[2506][4]~q\,
	combout => \WideAnd2506~0_combout\);

-- Location: LCCOMB_X67_Y51_N24
WideAnd2506 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2506~combout\ = (\WideAnd2506~1_combout\ & (\led_flash_cnt[2506][7]~q\ & (\led_flash_cnt[2506][0]~q\ & \WideAnd2506~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2506~1_combout\,
	datab => \led_flash_cnt[2506][7]~q\,
	datac => \led_flash_cnt[2506][0]~q\,
	datad => \WideAnd2506~0_combout\,
	combout => \WideAnd2506~combout\);

-- Location: FF_X67_Y51_N25
\led_flash_cnt_ands[2506]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2506~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2506));

-- Location: LCCOMB_X69_Y51_N28
\led_flash_cnt[2507][0]~83147\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2507][0]~83147_combout\ = !\led_flash_cnt[2507][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2507][0]~q\,
	combout => \led_flash_cnt[2507][0]~83147_combout\);

-- Location: FF_X69_Y51_N29
\led_flash_cnt[2507][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2507][0]~83147_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2507][0]~q\);

-- Location: LCCOMB_X69_Y51_N6
\led_flash_cnt[2507][1]~61978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2507][1]~61978_combout\ = (\led_flash_cnt[2507][1]~q\ & (\led_flash_cnt[2507][0]~q\ $ (VCC))) # (!\led_flash_cnt[2507][1]~q\ & (\led_flash_cnt[2507][0]~q\ & VCC))
-- \led_flash_cnt[2507][1]~61979\ = CARRY((\led_flash_cnt[2507][1]~q\ & \led_flash_cnt[2507][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2507][1]~q\,
	datab => \led_flash_cnt[2507][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2507][1]~61978_combout\,
	cout => \led_flash_cnt[2507][1]~61979\);

-- Location: FF_X69_Y51_N7
\led_flash_cnt[2507][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2507][1]~61978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2507][1]~q\);

-- Location: LCCOMB_X69_Y51_N8
\led_flash_cnt[2507][2]~61980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2507][2]~61980_combout\ = (\led_flash_cnt[2507][2]~q\ & (!\led_flash_cnt[2507][1]~61979\)) # (!\led_flash_cnt[2507][2]~q\ & ((\led_flash_cnt[2507][1]~61979\) # (GND)))
-- \led_flash_cnt[2507][2]~61981\ = CARRY((!\led_flash_cnt[2507][1]~61979\) # (!\led_flash_cnt[2507][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2507][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2507][1]~61979\,
	combout => \led_flash_cnt[2507][2]~61980_combout\,
	cout => \led_flash_cnt[2507][2]~61981\);

-- Location: FF_X69_Y51_N9
\led_flash_cnt[2507][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2507][2]~61980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2507][2]~q\);

-- Location: LCCOMB_X69_Y51_N10
\led_flash_cnt[2507][3]~61982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2507][3]~61982_combout\ = (\led_flash_cnt[2507][3]~q\ & (\led_flash_cnt[2507][2]~61981\ $ (GND))) # (!\led_flash_cnt[2507][3]~q\ & (!\led_flash_cnt[2507][2]~61981\ & VCC))
-- \led_flash_cnt[2507][3]~61983\ = CARRY((\led_flash_cnt[2507][3]~q\ & !\led_flash_cnt[2507][2]~61981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2507][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2507][2]~61981\,
	combout => \led_flash_cnt[2507][3]~61982_combout\,
	cout => \led_flash_cnt[2507][3]~61983\);

-- Location: FF_X69_Y51_N11
\led_flash_cnt[2507][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2507][3]~61982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2507][3]~q\);

-- Location: LCCOMB_X69_Y51_N12
\led_flash_cnt[2507][4]~61984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2507][4]~61984_combout\ = (\led_flash_cnt[2507][4]~q\ & (!\led_flash_cnt[2507][3]~61983\)) # (!\led_flash_cnt[2507][4]~q\ & ((\led_flash_cnt[2507][3]~61983\) # (GND)))
-- \led_flash_cnt[2507][4]~61985\ = CARRY((!\led_flash_cnt[2507][3]~61983\) # (!\led_flash_cnt[2507][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2507][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2507][3]~61983\,
	combout => \led_flash_cnt[2507][4]~61984_combout\,
	cout => \led_flash_cnt[2507][4]~61985\);

-- Location: FF_X69_Y51_N13
\led_flash_cnt[2507][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2507][4]~61984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2507][4]~q\);

-- Location: LCCOMB_X69_Y51_N14
\led_flash_cnt[2507][5]~61986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2507][5]~61986_combout\ = (\led_flash_cnt[2507][5]~q\ & (\led_flash_cnt[2507][4]~61985\ $ (GND))) # (!\led_flash_cnt[2507][5]~q\ & (!\led_flash_cnt[2507][4]~61985\ & VCC))
-- \led_flash_cnt[2507][5]~61987\ = CARRY((\led_flash_cnt[2507][5]~q\ & !\led_flash_cnt[2507][4]~61985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2507][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2507][4]~61985\,
	combout => \led_flash_cnt[2507][5]~61986_combout\,
	cout => \led_flash_cnt[2507][5]~61987\);

-- Location: FF_X69_Y51_N15
\led_flash_cnt[2507][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2507][5]~61986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2507][5]~q\);

-- Location: LCCOMB_X69_Y51_N16
\led_flash_cnt[2507][6]~61988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2507][6]~61988_combout\ = (\led_flash_cnt[2507][6]~q\ & (!\led_flash_cnt[2507][5]~61987\)) # (!\led_flash_cnt[2507][6]~q\ & ((\led_flash_cnt[2507][5]~61987\) # (GND)))
-- \led_flash_cnt[2507][6]~61989\ = CARRY((!\led_flash_cnt[2507][5]~61987\) # (!\led_flash_cnt[2507][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2507][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2507][5]~61987\,
	combout => \led_flash_cnt[2507][6]~61988_combout\,
	cout => \led_flash_cnt[2507][6]~61989\);

-- Location: FF_X69_Y51_N17
\led_flash_cnt[2507][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2507][6]~61988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2507][6]~q\);

-- Location: LCCOMB_X69_Y51_N22
\WideAnd2507~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2507~1_combout\ = (\led_flash_cnt[2507][5]~q\ & \led_flash_cnt[2507][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2507][5]~q\,
	datad => \led_flash_cnt[2507][6]~q\,
	combout => \WideAnd2507~1_combout\);

-- Location: LCCOMB_X69_Y51_N18
\led_flash_cnt[2507][7]~61990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2507][7]~61990_combout\ = \led_flash_cnt[2507][6]~61989\ $ (!\led_flash_cnt[2507][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2507][7]~q\,
	cin => \led_flash_cnt[2507][6]~61989\,
	combout => \led_flash_cnt[2507][7]~61990_combout\);

-- Location: FF_X69_Y51_N19
\led_flash_cnt[2507][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2507][7]~61990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2507][7]~q\);

-- Location: LCCOMB_X69_Y51_N4
\WideAnd2507~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2507~0_combout\ = (\led_flash_cnt[2507][3]~q\ & (\led_flash_cnt[2507][4]~q\ & (\led_flash_cnt[2507][2]~q\ & \led_flash_cnt[2507][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2507][3]~q\,
	datab => \led_flash_cnt[2507][4]~q\,
	datac => \led_flash_cnt[2507][2]~q\,
	datad => \led_flash_cnt[2507][1]~q\,
	combout => \WideAnd2507~0_combout\);

-- Location: LCCOMB_X69_Y51_N24
WideAnd2507 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2507~combout\ = (\WideAnd2507~1_combout\ & (\led_flash_cnt[2507][7]~q\ & (\WideAnd2507~0_combout\ & \led_flash_cnt[2507][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2507~1_combout\,
	datab => \led_flash_cnt[2507][7]~q\,
	datac => \WideAnd2507~0_combout\,
	datad => \led_flash_cnt[2507][0]~q\,
	combout => \WideAnd2507~combout\);

-- Location: FF_X69_Y51_N25
\led_flash_cnt_ands[2507]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2507~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2507));

-- Location: LCCOMB_X69_Y51_N26
\WideAnd4153~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4153~0_combout\ = (led_flash_cnt_ands(2504) & (led_flash_cnt_ands(2505) & (led_flash_cnt_ands(2506) & led_flash_cnt_ands(2507))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2504),
	datab => led_flash_cnt_ands(2505),
	datac => led_flash_cnt_ands(2506),
	datad => led_flash_cnt_ands(2507),
	combout => \WideAnd4153~0_combout\);

-- Location: LCCOMB_X67_Y53_N8
\led_flash_cnt[2508][0]~83148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2508][0]~83148_combout\ = !\led_flash_cnt[2508][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2508][0]~q\,
	combout => \led_flash_cnt[2508][0]~83148_combout\);

-- Location: FF_X67_Y53_N9
\led_flash_cnt[2508][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2508][0]~83148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2508][0]~q\);

-- Location: LCCOMB_X67_Y53_N10
\led_flash_cnt[2508][1]~61992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2508][1]~61992_combout\ = (\led_flash_cnt[2508][1]~q\ & (\led_flash_cnt[2508][0]~q\ $ (VCC))) # (!\led_flash_cnt[2508][1]~q\ & (\led_flash_cnt[2508][0]~q\ & VCC))
-- \led_flash_cnt[2508][1]~61993\ = CARRY((\led_flash_cnt[2508][1]~q\ & \led_flash_cnt[2508][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2508][1]~q\,
	datab => \led_flash_cnt[2508][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2508][1]~61992_combout\,
	cout => \led_flash_cnt[2508][1]~61993\);

-- Location: FF_X67_Y53_N11
\led_flash_cnt[2508][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2508][1]~61992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2508][1]~q\);

-- Location: LCCOMB_X67_Y53_N12
\led_flash_cnt[2508][2]~61994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2508][2]~61994_combout\ = (\led_flash_cnt[2508][2]~q\ & (!\led_flash_cnt[2508][1]~61993\)) # (!\led_flash_cnt[2508][2]~q\ & ((\led_flash_cnt[2508][1]~61993\) # (GND)))
-- \led_flash_cnt[2508][2]~61995\ = CARRY((!\led_flash_cnt[2508][1]~61993\) # (!\led_flash_cnt[2508][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2508][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2508][1]~61993\,
	combout => \led_flash_cnt[2508][2]~61994_combout\,
	cout => \led_flash_cnt[2508][2]~61995\);

-- Location: FF_X67_Y53_N13
\led_flash_cnt[2508][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2508][2]~61994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2508][2]~q\);

-- Location: LCCOMB_X67_Y53_N14
\led_flash_cnt[2508][3]~61996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2508][3]~61996_combout\ = (\led_flash_cnt[2508][3]~q\ & (\led_flash_cnt[2508][2]~61995\ $ (GND))) # (!\led_flash_cnt[2508][3]~q\ & (!\led_flash_cnt[2508][2]~61995\ & VCC))
-- \led_flash_cnt[2508][3]~61997\ = CARRY((\led_flash_cnt[2508][3]~q\ & !\led_flash_cnt[2508][2]~61995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2508][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2508][2]~61995\,
	combout => \led_flash_cnt[2508][3]~61996_combout\,
	cout => \led_flash_cnt[2508][3]~61997\);

-- Location: FF_X67_Y53_N15
\led_flash_cnt[2508][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2508][3]~61996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2508][3]~q\);

-- Location: LCCOMB_X67_Y53_N16
\led_flash_cnt[2508][4]~61998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2508][4]~61998_combout\ = (\led_flash_cnt[2508][4]~q\ & (!\led_flash_cnt[2508][3]~61997\)) # (!\led_flash_cnt[2508][4]~q\ & ((\led_flash_cnt[2508][3]~61997\) # (GND)))
-- \led_flash_cnt[2508][4]~61999\ = CARRY((!\led_flash_cnt[2508][3]~61997\) # (!\led_flash_cnt[2508][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2508][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2508][3]~61997\,
	combout => \led_flash_cnt[2508][4]~61998_combout\,
	cout => \led_flash_cnt[2508][4]~61999\);

-- Location: FF_X67_Y53_N17
\led_flash_cnt[2508][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2508][4]~61998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2508][4]~q\);

-- Location: LCCOMB_X67_Y53_N18
\led_flash_cnt[2508][5]~62000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2508][5]~62000_combout\ = (\led_flash_cnt[2508][5]~q\ & (\led_flash_cnt[2508][4]~61999\ $ (GND))) # (!\led_flash_cnt[2508][5]~q\ & (!\led_flash_cnt[2508][4]~61999\ & VCC))
-- \led_flash_cnt[2508][5]~62001\ = CARRY((\led_flash_cnt[2508][5]~q\ & !\led_flash_cnt[2508][4]~61999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2508][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2508][4]~61999\,
	combout => \led_flash_cnt[2508][5]~62000_combout\,
	cout => \led_flash_cnt[2508][5]~62001\);

-- Location: FF_X67_Y53_N19
\led_flash_cnt[2508][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2508][5]~62000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2508][5]~q\);

-- Location: LCCOMB_X67_Y53_N20
\led_flash_cnt[2508][6]~62002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2508][6]~62002_combout\ = (\led_flash_cnt[2508][6]~q\ & (!\led_flash_cnt[2508][5]~62001\)) # (!\led_flash_cnt[2508][6]~q\ & ((\led_flash_cnt[2508][5]~62001\) # (GND)))
-- \led_flash_cnt[2508][6]~62003\ = CARRY((!\led_flash_cnt[2508][5]~62001\) # (!\led_flash_cnt[2508][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2508][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2508][5]~62001\,
	combout => \led_flash_cnt[2508][6]~62002_combout\,
	cout => \led_flash_cnt[2508][6]~62003\);

-- Location: FF_X67_Y53_N21
\led_flash_cnt[2508][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2508][6]~62002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2508][6]~q\);

-- Location: LCCOMB_X67_Y53_N22
\led_flash_cnt[2508][7]~62004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2508][7]~62004_combout\ = \led_flash_cnt[2508][7]~q\ $ (!\led_flash_cnt[2508][6]~62003\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2508][7]~q\,
	cin => \led_flash_cnt[2508][6]~62003\,
	combout => \led_flash_cnt[2508][7]~62004_combout\);

-- Location: FF_X67_Y53_N23
\led_flash_cnt[2508][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2508][7]~62004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2508][7]~q\);

-- Location: LCCOMB_X67_Y53_N30
\WideAnd2508~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2508~0_combout\ = (\led_flash_cnt[2508][2]~q\ & (\led_flash_cnt[2508][4]~q\ & (\led_flash_cnt[2508][3]~q\ & \led_flash_cnt[2508][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2508][2]~q\,
	datab => \led_flash_cnt[2508][4]~q\,
	datac => \led_flash_cnt[2508][3]~q\,
	datad => \led_flash_cnt[2508][1]~q\,
	combout => \WideAnd2508~0_combout\);

-- Location: LCCOMB_X67_Y53_N6
\WideAnd2508~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2508~1_combout\ = (\led_flash_cnt[2508][6]~q\ & \led_flash_cnt[2508][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2508][6]~q\,
	datac => \led_flash_cnt[2508][5]~q\,
	combout => \WideAnd2508~1_combout\);

-- Location: LCCOMB_X67_Y53_N26
WideAnd2508 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2508~combout\ = (\led_flash_cnt[2508][7]~q\ & (\led_flash_cnt[2508][0]~q\ & (\WideAnd2508~0_combout\ & \WideAnd2508~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2508][7]~q\,
	datab => \led_flash_cnt[2508][0]~q\,
	datac => \WideAnd2508~0_combout\,
	datad => \WideAnd2508~1_combout\,
	combout => \WideAnd2508~combout\);

-- Location: FF_X67_Y53_N27
\led_flash_cnt_ands[2508]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2508~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2508));

-- Location: LCCOMB_X67_Y53_N2
\led_flash_cnt[2509][0]~83149\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2509][0]~83149_combout\ = !\led_flash_cnt[2509][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2509][0]~q\,
	combout => \led_flash_cnt[2509][0]~83149_combout\);

-- Location: FF_X67_Y53_N3
\led_flash_cnt[2509][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2509][0]~83149_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2509][0]~q\);

-- Location: LCCOMB_X66_Y53_N2
\led_flash_cnt[2509][1]~62006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2509][1]~62006_combout\ = (\led_flash_cnt[2509][0]~q\ & (\led_flash_cnt[2509][1]~q\ $ (VCC))) # (!\led_flash_cnt[2509][0]~q\ & (\led_flash_cnt[2509][1]~q\ & VCC))
-- \led_flash_cnt[2509][1]~62007\ = CARRY((\led_flash_cnt[2509][0]~q\ & \led_flash_cnt[2509][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2509][0]~q\,
	datab => \led_flash_cnt[2509][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2509][1]~62006_combout\,
	cout => \led_flash_cnt[2509][1]~62007\);

-- Location: FF_X66_Y53_N3
\led_flash_cnt[2509][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2509][1]~62006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2509][1]~q\);

-- Location: LCCOMB_X66_Y53_N4
\led_flash_cnt[2509][2]~62008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2509][2]~62008_combout\ = (\led_flash_cnt[2509][2]~q\ & (!\led_flash_cnt[2509][1]~62007\)) # (!\led_flash_cnt[2509][2]~q\ & ((\led_flash_cnt[2509][1]~62007\) # (GND)))
-- \led_flash_cnt[2509][2]~62009\ = CARRY((!\led_flash_cnt[2509][1]~62007\) # (!\led_flash_cnt[2509][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2509][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2509][1]~62007\,
	combout => \led_flash_cnt[2509][2]~62008_combout\,
	cout => \led_flash_cnt[2509][2]~62009\);

-- Location: FF_X66_Y53_N5
\led_flash_cnt[2509][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2509][2]~62008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2509][2]~q\);

-- Location: LCCOMB_X66_Y53_N6
\led_flash_cnt[2509][3]~62010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2509][3]~62010_combout\ = (\led_flash_cnt[2509][3]~q\ & (\led_flash_cnt[2509][2]~62009\ $ (GND))) # (!\led_flash_cnt[2509][3]~q\ & (!\led_flash_cnt[2509][2]~62009\ & VCC))
-- \led_flash_cnt[2509][3]~62011\ = CARRY((\led_flash_cnt[2509][3]~q\ & !\led_flash_cnt[2509][2]~62009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2509][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2509][2]~62009\,
	combout => \led_flash_cnt[2509][3]~62010_combout\,
	cout => \led_flash_cnt[2509][3]~62011\);

-- Location: FF_X66_Y53_N7
\led_flash_cnt[2509][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2509][3]~62010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2509][3]~q\);

-- Location: LCCOMB_X66_Y53_N8
\led_flash_cnt[2509][4]~62012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2509][4]~62012_combout\ = (\led_flash_cnt[2509][4]~q\ & (!\led_flash_cnt[2509][3]~62011\)) # (!\led_flash_cnt[2509][4]~q\ & ((\led_flash_cnt[2509][3]~62011\) # (GND)))
-- \led_flash_cnt[2509][4]~62013\ = CARRY((!\led_flash_cnt[2509][3]~62011\) # (!\led_flash_cnt[2509][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2509][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2509][3]~62011\,
	combout => \led_flash_cnt[2509][4]~62012_combout\,
	cout => \led_flash_cnt[2509][4]~62013\);

-- Location: FF_X66_Y53_N9
\led_flash_cnt[2509][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2509][4]~62012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2509][4]~q\);

-- Location: LCCOMB_X66_Y53_N10
\led_flash_cnt[2509][5]~62014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2509][5]~62014_combout\ = (\led_flash_cnt[2509][5]~q\ & (\led_flash_cnt[2509][4]~62013\ $ (GND))) # (!\led_flash_cnt[2509][5]~q\ & (!\led_flash_cnt[2509][4]~62013\ & VCC))
-- \led_flash_cnt[2509][5]~62015\ = CARRY((\led_flash_cnt[2509][5]~q\ & !\led_flash_cnt[2509][4]~62013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2509][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2509][4]~62013\,
	combout => \led_flash_cnt[2509][5]~62014_combout\,
	cout => \led_flash_cnt[2509][5]~62015\);

-- Location: FF_X66_Y53_N11
\led_flash_cnt[2509][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2509][5]~62014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2509][5]~q\);

-- Location: LCCOMB_X66_Y53_N12
\led_flash_cnt[2509][6]~62016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2509][6]~62016_combout\ = (\led_flash_cnt[2509][6]~q\ & (!\led_flash_cnt[2509][5]~62015\)) # (!\led_flash_cnt[2509][6]~q\ & ((\led_flash_cnt[2509][5]~62015\) # (GND)))
-- \led_flash_cnt[2509][6]~62017\ = CARRY((!\led_flash_cnt[2509][5]~62015\) # (!\led_flash_cnt[2509][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2509][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2509][5]~62015\,
	combout => \led_flash_cnt[2509][6]~62016_combout\,
	cout => \led_flash_cnt[2509][6]~62017\);

-- Location: FF_X66_Y53_N13
\led_flash_cnt[2509][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2509][6]~62016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2509][6]~q\);

-- Location: LCCOMB_X66_Y53_N14
\led_flash_cnt[2509][7]~62018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2509][7]~62018_combout\ = \led_flash_cnt[2509][7]~q\ $ (!\led_flash_cnt[2509][6]~62017\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2509][7]~q\,
	cin => \led_flash_cnt[2509][6]~62017\,
	combout => \led_flash_cnt[2509][7]~62018_combout\);

-- Location: FF_X66_Y53_N15
\led_flash_cnt[2509][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2509][7]~62018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2509][7]~q\);

-- Location: LCCOMB_X67_Y53_N24
\WideAnd2509~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2509~1_combout\ = (\led_flash_cnt[2509][6]~q\ & \led_flash_cnt[2509][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2509][6]~q\,
	datad => \led_flash_cnt[2509][5]~q\,
	combout => \WideAnd2509~1_combout\);

-- Location: LCCOMB_X66_Y53_N16
\WideAnd2509~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2509~0_combout\ = (\led_flash_cnt[2509][3]~q\ & (\led_flash_cnt[2509][4]~q\ & (\led_flash_cnt[2509][2]~q\ & \led_flash_cnt[2509][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2509][3]~q\,
	datab => \led_flash_cnt[2509][4]~q\,
	datac => \led_flash_cnt[2509][2]~q\,
	datad => \led_flash_cnt[2509][1]~q\,
	combout => \WideAnd2509~0_combout\);

-- Location: LCCOMB_X67_Y53_N4
WideAnd2509 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2509~combout\ = (\led_flash_cnt[2509][7]~q\ & (\WideAnd2509~1_combout\ & (\WideAnd2509~0_combout\ & \led_flash_cnt[2509][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2509][7]~q\,
	datab => \WideAnd2509~1_combout\,
	datac => \WideAnd2509~0_combout\,
	datad => \led_flash_cnt[2509][0]~q\,
	combout => \WideAnd2509~combout\);

-- Location: FF_X67_Y53_N5
\led_flash_cnt_ands[2509]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2509~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2509));

-- Location: LCCOMB_X67_Y53_N0
\WideAnd4153~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4153~1_combout\ = (led_flash_cnt_ands(2508) & led_flash_cnt_ands(2509))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2508),
	datac => led_flash_cnt_ands(2509),
	combout => \WideAnd4153~1_combout\);

-- Location: LCCOMB_X67_Y53_N28
WideAnd4153 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4153~combout\ = (led_flash_cnt_ands(2510) & (led_flash_cnt_ands(2511) & (\WideAnd4153~0_combout\ & \WideAnd4153~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2510),
	datab => led_flash_cnt_ands(2511),
	datac => \WideAnd4153~0_combout\,
	datad => \WideAnd4153~1_combout\,
	combout => \WideAnd4153~combout\);

-- Location: FF_X67_Y53_N29
\led_flash_cnt_ands_1[313]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4153~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(313));

-- Location: LCCOMB_X64_Y49_N6
\led_flash_cnt[2516][0]~83156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2516][0]~83156_combout\ = !\led_flash_cnt[2516][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2516][0]~q\,
	combout => \led_flash_cnt[2516][0]~83156_combout\);

-- Location: FF_X64_Y49_N7
\led_flash_cnt[2516][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2516][0]~83156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2516][0]~q\);

-- Location: LCCOMB_X64_Y49_N12
\led_flash_cnt[2516][1]~62104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2516][1]~62104_combout\ = (\led_flash_cnt[2516][1]~q\ & (\led_flash_cnt[2516][0]~q\ $ (VCC))) # (!\led_flash_cnt[2516][1]~q\ & (\led_flash_cnt[2516][0]~q\ & VCC))
-- \led_flash_cnt[2516][1]~62105\ = CARRY((\led_flash_cnt[2516][1]~q\ & \led_flash_cnt[2516][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2516][1]~q\,
	datab => \led_flash_cnt[2516][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2516][1]~62104_combout\,
	cout => \led_flash_cnt[2516][1]~62105\);

-- Location: FF_X64_Y49_N13
\led_flash_cnt[2516][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2516][1]~62104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2516][1]~q\);

-- Location: LCCOMB_X64_Y49_N14
\led_flash_cnt[2516][2]~62106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2516][2]~62106_combout\ = (\led_flash_cnt[2516][2]~q\ & (!\led_flash_cnt[2516][1]~62105\)) # (!\led_flash_cnt[2516][2]~q\ & ((\led_flash_cnt[2516][1]~62105\) # (GND)))
-- \led_flash_cnt[2516][2]~62107\ = CARRY((!\led_flash_cnt[2516][1]~62105\) # (!\led_flash_cnt[2516][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2516][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2516][1]~62105\,
	combout => \led_flash_cnt[2516][2]~62106_combout\,
	cout => \led_flash_cnt[2516][2]~62107\);

-- Location: FF_X64_Y49_N15
\led_flash_cnt[2516][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2516][2]~62106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2516][2]~q\);

-- Location: LCCOMB_X64_Y49_N16
\led_flash_cnt[2516][3]~62108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2516][3]~62108_combout\ = (\led_flash_cnt[2516][3]~q\ & (\led_flash_cnt[2516][2]~62107\ $ (GND))) # (!\led_flash_cnt[2516][3]~q\ & (!\led_flash_cnt[2516][2]~62107\ & VCC))
-- \led_flash_cnt[2516][3]~62109\ = CARRY((\led_flash_cnt[2516][3]~q\ & !\led_flash_cnt[2516][2]~62107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2516][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2516][2]~62107\,
	combout => \led_flash_cnt[2516][3]~62108_combout\,
	cout => \led_flash_cnt[2516][3]~62109\);

-- Location: FF_X64_Y49_N17
\led_flash_cnt[2516][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2516][3]~62108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2516][3]~q\);

-- Location: LCCOMB_X64_Y49_N18
\led_flash_cnt[2516][4]~62110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2516][4]~62110_combout\ = (\led_flash_cnt[2516][4]~q\ & (!\led_flash_cnt[2516][3]~62109\)) # (!\led_flash_cnt[2516][4]~q\ & ((\led_flash_cnt[2516][3]~62109\) # (GND)))
-- \led_flash_cnt[2516][4]~62111\ = CARRY((!\led_flash_cnt[2516][3]~62109\) # (!\led_flash_cnt[2516][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2516][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2516][3]~62109\,
	combout => \led_flash_cnt[2516][4]~62110_combout\,
	cout => \led_flash_cnt[2516][4]~62111\);

-- Location: FF_X64_Y49_N19
\led_flash_cnt[2516][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2516][4]~62110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2516][4]~q\);

-- Location: LCCOMB_X64_Y49_N20
\led_flash_cnt[2516][5]~62112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2516][5]~62112_combout\ = (\led_flash_cnt[2516][5]~q\ & (\led_flash_cnt[2516][4]~62111\ $ (GND))) # (!\led_flash_cnt[2516][5]~q\ & (!\led_flash_cnt[2516][4]~62111\ & VCC))
-- \led_flash_cnt[2516][5]~62113\ = CARRY((\led_flash_cnt[2516][5]~q\ & !\led_flash_cnt[2516][4]~62111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2516][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2516][4]~62111\,
	combout => \led_flash_cnt[2516][5]~62112_combout\,
	cout => \led_flash_cnt[2516][5]~62113\);

-- Location: FF_X64_Y49_N21
\led_flash_cnt[2516][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2516][5]~62112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2516][5]~q\);

-- Location: LCCOMB_X64_Y49_N22
\led_flash_cnt[2516][6]~62114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2516][6]~62114_combout\ = (\led_flash_cnt[2516][6]~q\ & (!\led_flash_cnt[2516][5]~62113\)) # (!\led_flash_cnt[2516][6]~q\ & ((\led_flash_cnt[2516][5]~62113\) # (GND)))
-- \led_flash_cnt[2516][6]~62115\ = CARRY((!\led_flash_cnt[2516][5]~62113\) # (!\led_flash_cnt[2516][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2516][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2516][5]~62113\,
	combout => \led_flash_cnt[2516][6]~62114_combout\,
	cout => \led_flash_cnt[2516][6]~62115\);

-- Location: FF_X64_Y49_N23
\led_flash_cnt[2516][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2516][6]~62114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2516][6]~q\);

-- Location: LCCOMB_X64_Y49_N24
\led_flash_cnt[2516][7]~62116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2516][7]~62116_combout\ = \led_flash_cnt[2516][6]~62115\ $ (!\led_flash_cnt[2516][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2516][7]~q\,
	cin => \led_flash_cnt[2516][6]~62115\,
	combout => \led_flash_cnt[2516][7]~62116_combout\);

-- Location: FF_X64_Y49_N25
\led_flash_cnt[2516][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2516][7]~62116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2516][7]~q\);

-- Location: LCCOMB_X64_Y49_N26
\WideAnd2516~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2516~0_combout\ = (\led_flash_cnt[2516][1]~q\ & (\led_flash_cnt[2516][4]~q\ & (\led_flash_cnt[2516][2]~q\ & \led_flash_cnt[2516][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2516][1]~q\,
	datab => \led_flash_cnt[2516][4]~q\,
	datac => \led_flash_cnt[2516][2]~q\,
	datad => \led_flash_cnt[2516][3]~q\,
	combout => \WideAnd2516~0_combout\);

-- Location: LCCOMB_X64_Y49_N2
\WideAnd2516~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2516~1_combout\ = (\led_flash_cnt[2516][6]~q\ & \led_flash_cnt[2516][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2516][6]~q\,
	datad => \led_flash_cnt[2516][5]~q\,
	combout => \WideAnd2516~1_combout\);

-- Location: LCCOMB_X64_Y49_N4
WideAnd2516 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2516~combout\ = (\led_flash_cnt[2516][0]~q\ & (\led_flash_cnt[2516][7]~q\ & (\WideAnd2516~0_combout\ & \WideAnd2516~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2516][0]~q\,
	datab => \led_flash_cnt[2516][7]~q\,
	datac => \WideAnd2516~0_combout\,
	datad => \WideAnd2516~1_combout\,
	combout => \WideAnd2516~combout\);

-- Location: FF_X64_Y49_N5
\led_flash_cnt_ands[2516]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2516~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2516));

-- Location: LCCOMB_X65_Y49_N22
\led_flash_cnt[2517][0]~83157\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2517][0]~83157_combout\ = !\led_flash_cnt[2517][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2517][0]~q\,
	combout => \led_flash_cnt[2517][0]~83157_combout\);

-- Location: FF_X65_Y49_N23
\led_flash_cnt[2517][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2517][0]~83157_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2517][0]~q\);

-- Location: LCCOMB_X65_Y49_N4
\led_flash_cnt[2517][1]~62118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2517][1]~62118_combout\ = (\led_flash_cnt[2517][0]~q\ & (\led_flash_cnt[2517][1]~q\ $ (VCC))) # (!\led_flash_cnt[2517][0]~q\ & (\led_flash_cnt[2517][1]~q\ & VCC))
-- \led_flash_cnt[2517][1]~62119\ = CARRY((\led_flash_cnt[2517][0]~q\ & \led_flash_cnt[2517][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2517][0]~q\,
	datab => \led_flash_cnt[2517][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2517][1]~62118_combout\,
	cout => \led_flash_cnt[2517][1]~62119\);

-- Location: FF_X65_Y49_N5
\led_flash_cnt[2517][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2517][1]~62118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2517][1]~q\);

-- Location: LCCOMB_X65_Y49_N6
\led_flash_cnt[2517][2]~62120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2517][2]~62120_combout\ = (\led_flash_cnt[2517][2]~q\ & (!\led_flash_cnt[2517][1]~62119\)) # (!\led_flash_cnt[2517][2]~q\ & ((\led_flash_cnt[2517][1]~62119\) # (GND)))
-- \led_flash_cnt[2517][2]~62121\ = CARRY((!\led_flash_cnt[2517][1]~62119\) # (!\led_flash_cnt[2517][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2517][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2517][1]~62119\,
	combout => \led_flash_cnt[2517][2]~62120_combout\,
	cout => \led_flash_cnt[2517][2]~62121\);

-- Location: FF_X65_Y49_N7
\led_flash_cnt[2517][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2517][2]~62120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2517][2]~q\);

-- Location: LCCOMB_X65_Y49_N8
\led_flash_cnt[2517][3]~62122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2517][3]~62122_combout\ = (\led_flash_cnt[2517][3]~q\ & (\led_flash_cnt[2517][2]~62121\ $ (GND))) # (!\led_flash_cnt[2517][3]~q\ & (!\led_flash_cnt[2517][2]~62121\ & VCC))
-- \led_flash_cnt[2517][3]~62123\ = CARRY((\led_flash_cnt[2517][3]~q\ & !\led_flash_cnt[2517][2]~62121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2517][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2517][2]~62121\,
	combout => \led_flash_cnt[2517][3]~62122_combout\,
	cout => \led_flash_cnt[2517][3]~62123\);

-- Location: FF_X65_Y49_N9
\led_flash_cnt[2517][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2517][3]~62122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2517][3]~q\);

-- Location: LCCOMB_X65_Y49_N10
\led_flash_cnt[2517][4]~62124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2517][4]~62124_combout\ = (\led_flash_cnt[2517][4]~q\ & (!\led_flash_cnt[2517][3]~62123\)) # (!\led_flash_cnt[2517][4]~q\ & ((\led_flash_cnt[2517][3]~62123\) # (GND)))
-- \led_flash_cnt[2517][4]~62125\ = CARRY((!\led_flash_cnt[2517][3]~62123\) # (!\led_flash_cnt[2517][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2517][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2517][3]~62123\,
	combout => \led_flash_cnt[2517][4]~62124_combout\,
	cout => \led_flash_cnt[2517][4]~62125\);

-- Location: FF_X65_Y49_N11
\led_flash_cnt[2517][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2517][4]~62124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2517][4]~q\);

-- Location: LCCOMB_X65_Y49_N24
\WideAnd2517~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2517~0_combout\ = (\led_flash_cnt[2517][4]~q\ & (\led_flash_cnt[2517][3]~q\ & (\led_flash_cnt[2517][1]~q\ & \led_flash_cnt[2517][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2517][4]~q\,
	datab => \led_flash_cnt[2517][3]~q\,
	datac => \led_flash_cnt[2517][1]~q\,
	datad => \led_flash_cnt[2517][2]~q\,
	combout => \WideAnd2517~0_combout\);

-- Location: LCCOMB_X65_Y49_N12
\led_flash_cnt[2517][5]~62126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2517][5]~62126_combout\ = (\led_flash_cnt[2517][5]~q\ & (\led_flash_cnt[2517][4]~62125\ $ (GND))) # (!\led_flash_cnt[2517][5]~q\ & (!\led_flash_cnt[2517][4]~62125\ & VCC))
-- \led_flash_cnt[2517][5]~62127\ = CARRY((\led_flash_cnt[2517][5]~q\ & !\led_flash_cnt[2517][4]~62125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2517][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2517][4]~62125\,
	combout => \led_flash_cnt[2517][5]~62126_combout\,
	cout => \led_flash_cnt[2517][5]~62127\);

-- Location: FF_X65_Y49_N13
\led_flash_cnt[2517][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2517][5]~62126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2517][5]~q\);

-- Location: LCCOMB_X65_Y49_N14
\led_flash_cnt[2517][6]~62128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2517][6]~62128_combout\ = (\led_flash_cnt[2517][6]~q\ & (!\led_flash_cnt[2517][5]~62127\)) # (!\led_flash_cnt[2517][6]~q\ & ((\led_flash_cnt[2517][5]~62127\) # (GND)))
-- \led_flash_cnt[2517][6]~62129\ = CARRY((!\led_flash_cnt[2517][5]~62127\) # (!\led_flash_cnt[2517][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2517][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2517][5]~62127\,
	combout => \led_flash_cnt[2517][6]~62128_combout\,
	cout => \led_flash_cnt[2517][6]~62129\);

-- Location: FF_X65_Y49_N15
\led_flash_cnt[2517][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2517][6]~62128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2517][6]~q\);

-- Location: LCCOMB_X65_Y49_N26
\WideAnd2517~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2517~1_combout\ = (\led_flash_cnt[2517][6]~q\ & \led_flash_cnt[2517][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2517][6]~q\,
	datad => \led_flash_cnt[2517][5]~q\,
	combout => \WideAnd2517~1_combout\);

-- Location: LCCOMB_X65_Y49_N16
\led_flash_cnt[2517][7]~62130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2517][7]~62130_combout\ = \led_flash_cnt[2517][6]~62129\ $ (!\led_flash_cnt[2517][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2517][7]~q\,
	cin => \led_flash_cnt[2517][6]~62129\,
	combout => \led_flash_cnt[2517][7]~62130_combout\);

-- Location: FF_X65_Y49_N17
\led_flash_cnt[2517][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2517][7]~62130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2517][7]~q\);

-- Location: LCCOMB_X65_Y49_N28
WideAnd2517 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2517~combout\ = (\led_flash_cnt[2517][0]~q\ & (\WideAnd2517~0_combout\ & (\WideAnd2517~1_combout\ & \led_flash_cnt[2517][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2517][0]~q\,
	datab => \WideAnd2517~0_combout\,
	datac => \WideAnd2517~1_combout\,
	datad => \led_flash_cnt[2517][7]~q\,
	combout => \WideAnd2517~combout\);

-- Location: FF_X65_Y49_N29
\led_flash_cnt_ands[2517]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2517~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2517));

-- Location: LCCOMB_X64_Y49_N10
\WideAnd4154~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4154~1_combout\ = (led_flash_cnt_ands(2516) & led_flash_cnt_ands(2517))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2516),
	datad => led_flash_cnt_ands(2517),
	combout => \WideAnd4154~1_combout\);

-- Location: LCCOMB_X63_Y49_N26
\led_flash_cnt[2519][0]~83159\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2519][0]~83159_combout\ = !\led_flash_cnt[2519][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2519][0]~q\,
	combout => \led_flash_cnt[2519][0]~83159_combout\);

-- Location: FF_X63_Y49_N27
\led_flash_cnt[2519][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2519][0]~83159_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2519][0]~q\);

-- Location: LCCOMB_X63_Y49_N2
\led_flash_cnt[2519][1]~62146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2519][1]~62146_combout\ = (\led_flash_cnt[2519][0]~q\ & (\led_flash_cnt[2519][1]~q\ $ (VCC))) # (!\led_flash_cnt[2519][0]~q\ & (\led_flash_cnt[2519][1]~q\ & VCC))
-- \led_flash_cnt[2519][1]~62147\ = CARRY((\led_flash_cnt[2519][0]~q\ & \led_flash_cnt[2519][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2519][0]~q\,
	datab => \led_flash_cnt[2519][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2519][1]~62146_combout\,
	cout => \led_flash_cnt[2519][1]~62147\);

-- Location: FF_X63_Y49_N3
\led_flash_cnt[2519][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2519][1]~62146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2519][1]~q\);

-- Location: LCCOMB_X63_Y49_N4
\led_flash_cnt[2519][2]~62148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2519][2]~62148_combout\ = (\led_flash_cnt[2519][2]~q\ & (!\led_flash_cnt[2519][1]~62147\)) # (!\led_flash_cnt[2519][2]~q\ & ((\led_flash_cnt[2519][1]~62147\) # (GND)))
-- \led_flash_cnt[2519][2]~62149\ = CARRY((!\led_flash_cnt[2519][1]~62147\) # (!\led_flash_cnt[2519][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2519][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2519][1]~62147\,
	combout => \led_flash_cnt[2519][2]~62148_combout\,
	cout => \led_flash_cnt[2519][2]~62149\);

-- Location: FF_X63_Y49_N5
\led_flash_cnt[2519][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2519][2]~62148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2519][2]~q\);

-- Location: LCCOMB_X63_Y49_N6
\led_flash_cnt[2519][3]~62150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2519][3]~62150_combout\ = (\led_flash_cnt[2519][3]~q\ & (\led_flash_cnt[2519][2]~62149\ $ (GND))) # (!\led_flash_cnt[2519][3]~q\ & (!\led_flash_cnt[2519][2]~62149\ & VCC))
-- \led_flash_cnt[2519][3]~62151\ = CARRY((\led_flash_cnt[2519][3]~q\ & !\led_flash_cnt[2519][2]~62149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2519][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2519][2]~62149\,
	combout => \led_flash_cnt[2519][3]~62150_combout\,
	cout => \led_flash_cnt[2519][3]~62151\);

-- Location: FF_X63_Y49_N7
\led_flash_cnt[2519][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2519][3]~62150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2519][3]~q\);

-- Location: LCCOMB_X63_Y49_N8
\led_flash_cnt[2519][4]~62152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2519][4]~62152_combout\ = (\led_flash_cnt[2519][4]~q\ & (!\led_flash_cnt[2519][3]~62151\)) # (!\led_flash_cnt[2519][4]~q\ & ((\led_flash_cnt[2519][3]~62151\) # (GND)))
-- \led_flash_cnt[2519][4]~62153\ = CARRY((!\led_flash_cnt[2519][3]~62151\) # (!\led_flash_cnt[2519][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2519][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2519][3]~62151\,
	combout => \led_flash_cnt[2519][4]~62152_combout\,
	cout => \led_flash_cnt[2519][4]~62153\);

-- Location: FF_X63_Y49_N9
\led_flash_cnt[2519][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2519][4]~62152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2519][4]~q\);

-- Location: LCCOMB_X63_Y49_N10
\led_flash_cnt[2519][5]~62154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2519][5]~62154_combout\ = (\led_flash_cnt[2519][5]~q\ & (\led_flash_cnt[2519][4]~62153\ $ (GND))) # (!\led_flash_cnt[2519][5]~q\ & (!\led_flash_cnt[2519][4]~62153\ & VCC))
-- \led_flash_cnt[2519][5]~62155\ = CARRY((\led_flash_cnt[2519][5]~q\ & !\led_flash_cnt[2519][4]~62153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2519][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2519][4]~62153\,
	combout => \led_flash_cnt[2519][5]~62154_combout\,
	cout => \led_flash_cnt[2519][5]~62155\);

-- Location: FF_X63_Y49_N11
\led_flash_cnt[2519][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2519][5]~62154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2519][5]~q\);

-- Location: LCCOMB_X63_Y49_N12
\led_flash_cnt[2519][6]~62156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2519][6]~62156_combout\ = (\led_flash_cnt[2519][6]~q\ & (!\led_flash_cnt[2519][5]~62155\)) # (!\led_flash_cnt[2519][6]~q\ & ((\led_flash_cnt[2519][5]~62155\) # (GND)))
-- \led_flash_cnt[2519][6]~62157\ = CARRY((!\led_flash_cnt[2519][5]~62155\) # (!\led_flash_cnt[2519][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2519][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2519][5]~62155\,
	combout => \led_flash_cnt[2519][6]~62156_combout\,
	cout => \led_flash_cnt[2519][6]~62157\);

-- Location: FF_X63_Y49_N13
\led_flash_cnt[2519][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2519][6]~62156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2519][6]~q\);

-- Location: LCCOMB_X63_Y49_N22
\WideAnd2519~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2519~1_combout\ = (\led_flash_cnt[2519][6]~q\ & \led_flash_cnt[2519][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2519][6]~q\,
	datad => \led_flash_cnt[2519][5]~q\,
	combout => \WideAnd2519~1_combout\);

-- Location: LCCOMB_X63_Y49_N14
\led_flash_cnt[2519][7]~62158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2519][7]~62158_combout\ = \led_flash_cnt[2519][7]~q\ $ (!\led_flash_cnt[2519][6]~62157\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2519][7]~q\,
	cin => \led_flash_cnt[2519][6]~62157\,
	combout => \led_flash_cnt[2519][7]~62158_combout\);

-- Location: FF_X63_Y49_N15
\led_flash_cnt[2519][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2519][7]~62158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2519][7]~q\);

-- Location: LCCOMB_X63_Y49_N18
\WideAnd2519~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2519~0_combout\ = (\led_flash_cnt[2519][3]~q\ & (\led_flash_cnt[2519][4]~q\ & (\led_flash_cnt[2519][2]~q\ & \led_flash_cnt[2519][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2519][3]~q\,
	datab => \led_flash_cnt[2519][4]~q\,
	datac => \led_flash_cnt[2519][2]~q\,
	datad => \led_flash_cnt[2519][1]~q\,
	combout => \WideAnd2519~0_combout\);

-- Location: LCCOMB_X63_Y49_N24
WideAnd2519 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2519~combout\ = (\WideAnd2519~1_combout\ & (\led_flash_cnt[2519][7]~q\ & (\led_flash_cnt[2519][0]~q\ & \WideAnd2519~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2519~1_combout\,
	datab => \led_flash_cnt[2519][7]~q\,
	datac => \led_flash_cnt[2519][0]~q\,
	datad => \WideAnd2519~0_combout\,
	combout => \WideAnd2519~combout\);

-- Location: FF_X63_Y49_N25
\led_flash_cnt_ands[2519]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2519~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2519));

-- Location: LCCOMB_X64_Y51_N2
\led_flash_cnt[2515][0]~83155\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2515][0]~83155_combout\ = !\led_flash_cnt[2515][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2515][0]~q\,
	combout => \led_flash_cnt[2515][0]~83155_combout\);

-- Location: FF_X64_Y51_N3
\led_flash_cnt[2515][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2515][0]~83155_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2515][0]~q\);

-- Location: LCCOMB_X63_Y51_N16
\led_flash_cnt[2515][1]~62090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2515][1]~62090_combout\ = (\led_flash_cnt[2515][0]~q\ & (\led_flash_cnt[2515][1]~q\ $ (VCC))) # (!\led_flash_cnt[2515][0]~q\ & (\led_flash_cnt[2515][1]~q\ & VCC))
-- \led_flash_cnt[2515][1]~62091\ = CARRY((\led_flash_cnt[2515][0]~q\ & \led_flash_cnt[2515][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2515][0]~q\,
	datab => \led_flash_cnt[2515][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2515][1]~62090_combout\,
	cout => \led_flash_cnt[2515][1]~62091\);

-- Location: FF_X63_Y51_N17
\led_flash_cnt[2515][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2515][1]~62090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2515][1]~q\);

-- Location: LCCOMB_X63_Y51_N18
\led_flash_cnt[2515][2]~62092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2515][2]~62092_combout\ = (\led_flash_cnt[2515][2]~q\ & (!\led_flash_cnt[2515][1]~62091\)) # (!\led_flash_cnt[2515][2]~q\ & ((\led_flash_cnt[2515][1]~62091\) # (GND)))
-- \led_flash_cnt[2515][2]~62093\ = CARRY((!\led_flash_cnt[2515][1]~62091\) # (!\led_flash_cnt[2515][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2515][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2515][1]~62091\,
	combout => \led_flash_cnt[2515][2]~62092_combout\,
	cout => \led_flash_cnt[2515][2]~62093\);

-- Location: FF_X63_Y51_N19
\led_flash_cnt[2515][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2515][2]~62092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2515][2]~q\);

-- Location: LCCOMB_X63_Y51_N20
\led_flash_cnt[2515][3]~62094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2515][3]~62094_combout\ = (\led_flash_cnt[2515][3]~q\ & (\led_flash_cnt[2515][2]~62093\ $ (GND))) # (!\led_flash_cnt[2515][3]~q\ & (!\led_flash_cnt[2515][2]~62093\ & VCC))
-- \led_flash_cnt[2515][3]~62095\ = CARRY((\led_flash_cnt[2515][3]~q\ & !\led_flash_cnt[2515][2]~62093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2515][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2515][2]~62093\,
	combout => \led_flash_cnt[2515][3]~62094_combout\,
	cout => \led_flash_cnt[2515][3]~62095\);

-- Location: FF_X63_Y51_N21
\led_flash_cnt[2515][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2515][3]~62094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2515][3]~q\);

-- Location: LCCOMB_X63_Y51_N22
\led_flash_cnt[2515][4]~62096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2515][4]~62096_combout\ = (\led_flash_cnt[2515][4]~q\ & (!\led_flash_cnt[2515][3]~62095\)) # (!\led_flash_cnt[2515][4]~q\ & ((\led_flash_cnt[2515][3]~62095\) # (GND)))
-- \led_flash_cnt[2515][4]~62097\ = CARRY((!\led_flash_cnt[2515][3]~62095\) # (!\led_flash_cnt[2515][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2515][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2515][3]~62095\,
	combout => \led_flash_cnt[2515][4]~62096_combout\,
	cout => \led_flash_cnt[2515][4]~62097\);

-- Location: FF_X63_Y51_N23
\led_flash_cnt[2515][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2515][4]~62096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2515][4]~q\);

-- Location: LCCOMB_X63_Y51_N24
\led_flash_cnt[2515][5]~62098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2515][5]~62098_combout\ = (\led_flash_cnt[2515][5]~q\ & (\led_flash_cnt[2515][4]~62097\ $ (GND))) # (!\led_flash_cnt[2515][5]~q\ & (!\led_flash_cnt[2515][4]~62097\ & VCC))
-- \led_flash_cnt[2515][5]~62099\ = CARRY((\led_flash_cnt[2515][5]~q\ & !\led_flash_cnt[2515][4]~62097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2515][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2515][4]~62097\,
	combout => \led_flash_cnt[2515][5]~62098_combout\,
	cout => \led_flash_cnt[2515][5]~62099\);

-- Location: FF_X63_Y51_N25
\led_flash_cnt[2515][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2515][5]~62098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2515][5]~q\);

-- Location: LCCOMB_X63_Y51_N26
\led_flash_cnt[2515][6]~62100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2515][6]~62100_combout\ = (\led_flash_cnt[2515][6]~q\ & (!\led_flash_cnt[2515][5]~62099\)) # (!\led_flash_cnt[2515][6]~q\ & ((\led_flash_cnt[2515][5]~62099\) # (GND)))
-- \led_flash_cnt[2515][6]~62101\ = CARRY((!\led_flash_cnt[2515][5]~62099\) # (!\led_flash_cnt[2515][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2515][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2515][5]~62099\,
	combout => \led_flash_cnt[2515][6]~62100_combout\,
	cout => \led_flash_cnt[2515][6]~62101\);

-- Location: FF_X63_Y51_N27
\led_flash_cnt[2515][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2515][6]~62100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2515][6]~q\);

-- Location: LCCOMB_X64_Y51_N26
\WideAnd2515~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2515~1_combout\ = (\led_flash_cnt[2515][6]~q\ & \led_flash_cnt[2515][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2515][6]~q\,
	datad => \led_flash_cnt[2515][5]~q\,
	combout => \WideAnd2515~1_combout\);

-- Location: LCCOMB_X63_Y51_N28
\led_flash_cnt[2515][7]~62102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2515][7]~62102_combout\ = \led_flash_cnt[2515][6]~62101\ $ (!\led_flash_cnt[2515][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2515][7]~q\,
	cin => \led_flash_cnt[2515][6]~62101\,
	combout => \led_flash_cnt[2515][7]~62102_combout\);

-- Location: FF_X63_Y51_N29
\led_flash_cnt[2515][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2515][7]~62102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2515][7]~q\);

-- Location: LCCOMB_X63_Y51_N0
\WideAnd2515~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2515~0_combout\ = (\led_flash_cnt[2515][1]~q\ & (\led_flash_cnt[2515][3]~q\ & (\led_flash_cnt[2515][4]~q\ & \led_flash_cnt[2515][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2515][1]~q\,
	datab => \led_flash_cnt[2515][3]~q\,
	datac => \led_flash_cnt[2515][4]~q\,
	datad => \led_flash_cnt[2515][2]~q\,
	combout => \WideAnd2515~0_combout\);

-- Location: LCCOMB_X64_Y51_N30
WideAnd2515 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2515~combout\ = (\WideAnd2515~1_combout\ & (\led_flash_cnt[2515][7]~q\ & (\WideAnd2515~0_combout\ & \led_flash_cnt[2515][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2515~1_combout\,
	datab => \led_flash_cnt[2515][7]~q\,
	datac => \WideAnd2515~0_combout\,
	datad => \led_flash_cnt[2515][0]~q\,
	combout => \WideAnd2515~combout\);

-- Location: FF_X64_Y51_N31
\led_flash_cnt_ands[2515]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2515~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2515));

-- Location: LCCOMB_X65_Y51_N12
\led_flash_cnt[2512][0]~83152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2512][0]~83152_combout\ = !\led_flash_cnt[2512][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2512][0]~q\,
	combout => \led_flash_cnt[2512][0]~83152_combout\);

-- Location: FF_X65_Y51_N13
\led_flash_cnt[2512][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2512][0]~83152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2512][0]~q\);

-- Location: LCCOMB_X65_Y51_N14
\led_flash_cnt[2512][1]~62048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2512][1]~62048_combout\ = (\led_flash_cnt[2512][0]~q\ & (\led_flash_cnt[2512][1]~q\ $ (VCC))) # (!\led_flash_cnt[2512][0]~q\ & (\led_flash_cnt[2512][1]~q\ & VCC))
-- \led_flash_cnt[2512][1]~62049\ = CARRY((\led_flash_cnt[2512][0]~q\ & \led_flash_cnt[2512][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2512][0]~q\,
	datab => \led_flash_cnt[2512][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2512][1]~62048_combout\,
	cout => \led_flash_cnt[2512][1]~62049\);

-- Location: FF_X65_Y51_N15
\led_flash_cnt[2512][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2512][1]~62048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2512][1]~q\);

-- Location: LCCOMB_X65_Y51_N16
\led_flash_cnt[2512][2]~62050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2512][2]~62050_combout\ = (\led_flash_cnt[2512][2]~q\ & (!\led_flash_cnt[2512][1]~62049\)) # (!\led_flash_cnt[2512][2]~q\ & ((\led_flash_cnt[2512][1]~62049\) # (GND)))
-- \led_flash_cnt[2512][2]~62051\ = CARRY((!\led_flash_cnt[2512][1]~62049\) # (!\led_flash_cnt[2512][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2512][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2512][1]~62049\,
	combout => \led_flash_cnt[2512][2]~62050_combout\,
	cout => \led_flash_cnt[2512][2]~62051\);

-- Location: FF_X65_Y51_N17
\led_flash_cnt[2512][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2512][2]~62050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2512][2]~q\);

-- Location: LCCOMB_X65_Y51_N18
\led_flash_cnt[2512][3]~62052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2512][3]~62052_combout\ = (\led_flash_cnt[2512][3]~q\ & (\led_flash_cnt[2512][2]~62051\ $ (GND))) # (!\led_flash_cnt[2512][3]~q\ & (!\led_flash_cnt[2512][2]~62051\ & VCC))
-- \led_flash_cnt[2512][3]~62053\ = CARRY((\led_flash_cnt[2512][3]~q\ & !\led_flash_cnt[2512][2]~62051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2512][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2512][2]~62051\,
	combout => \led_flash_cnt[2512][3]~62052_combout\,
	cout => \led_flash_cnt[2512][3]~62053\);

-- Location: FF_X65_Y51_N19
\led_flash_cnt[2512][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2512][3]~62052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2512][3]~q\);

-- Location: LCCOMB_X65_Y51_N20
\led_flash_cnt[2512][4]~62054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2512][4]~62054_combout\ = (\led_flash_cnt[2512][4]~q\ & (!\led_flash_cnt[2512][3]~62053\)) # (!\led_flash_cnt[2512][4]~q\ & ((\led_flash_cnt[2512][3]~62053\) # (GND)))
-- \led_flash_cnt[2512][4]~62055\ = CARRY((!\led_flash_cnt[2512][3]~62053\) # (!\led_flash_cnt[2512][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2512][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2512][3]~62053\,
	combout => \led_flash_cnt[2512][4]~62054_combout\,
	cout => \led_flash_cnt[2512][4]~62055\);

-- Location: FF_X65_Y51_N21
\led_flash_cnt[2512][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2512][4]~62054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2512][4]~q\);

-- Location: LCCOMB_X65_Y51_N22
\led_flash_cnt[2512][5]~62056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2512][5]~62056_combout\ = (\led_flash_cnt[2512][5]~q\ & (\led_flash_cnt[2512][4]~62055\ $ (GND))) # (!\led_flash_cnt[2512][5]~q\ & (!\led_flash_cnt[2512][4]~62055\ & VCC))
-- \led_flash_cnt[2512][5]~62057\ = CARRY((\led_flash_cnt[2512][5]~q\ & !\led_flash_cnt[2512][4]~62055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2512][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2512][4]~62055\,
	combout => \led_flash_cnt[2512][5]~62056_combout\,
	cout => \led_flash_cnt[2512][5]~62057\);

-- Location: FF_X65_Y51_N23
\led_flash_cnt[2512][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2512][5]~62056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2512][5]~q\);

-- Location: LCCOMB_X65_Y51_N24
\led_flash_cnt[2512][6]~62058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2512][6]~62058_combout\ = (\led_flash_cnt[2512][6]~q\ & (!\led_flash_cnt[2512][5]~62057\)) # (!\led_flash_cnt[2512][6]~q\ & ((\led_flash_cnt[2512][5]~62057\) # (GND)))
-- \led_flash_cnt[2512][6]~62059\ = CARRY((!\led_flash_cnt[2512][5]~62057\) # (!\led_flash_cnt[2512][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2512][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2512][5]~62057\,
	combout => \led_flash_cnt[2512][6]~62058_combout\,
	cout => \led_flash_cnt[2512][6]~62059\);

-- Location: FF_X65_Y51_N25
\led_flash_cnt[2512][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2512][6]~62058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2512][6]~q\);

-- Location: LCCOMB_X65_Y51_N10
\WideAnd2512~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2512~1_combout\ = (\led_flash_cnt[2512][5]~q\ & \led_flash_cnt[2512][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2512][5]~q\,
	datad => \led_flash_cnt[2512][6]~q\,
	combout => \WideAnd2512~1_combout\);

-- Location: LCCOMB_X65_Y51_N4
\WideAnd2512~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2512~0_combout\ = (\led_flash_cnt[2512][4]~q\ & (\led_flash_cnt[2512][3]~q\ & (\led_flash_cnt[2512][1]~q\ & \led_flash_cnt[2512][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2512][4]~q\,
	datab => \led_flash_cnt[2512][3]~q\,
	datac => \led_flash_cnt[2512][1]~q\,
	datad => \led_flash_cnt[2512][2]~q\,
	combout => \WideAnd2512~0_combout\);

-- Location: LCCOMB_X65_Y51_N26
\led_flash_cnt[2512][7]~62060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2512][7]~62060_combout\ = \led_flash_cnt[2512][7]~q\ $ (!\led_flash_cnt[2512][6]~62059\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2512][7]~q\,
	cin => \led_flash_cnt[2512][6]~62059\,
	combout => \led_flash_cnt[2512][7]~62060_combout\);

-- Location: FF_X65_Y51_N27
\led_flash_cnt[2512][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2512][7]~62060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2512][7]~q\);

-- Location: LCCOMB_X65_Y51_N28
WideAnd2512 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2512~combout\ = (\WideAnd2512~1_combout\ & (\WideAnd2512~0_combout\ & (\led_flash_cnt[2512][7]~q\ & \led_flash_cnt[2512][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2512~1_combout\,
	datab => \WideAnd2512~0_combout\,
	datac => \led_flash_cnt[2512][7]~q\,
	datad => \led_flash_cnt[2512][0]~q\,
	combout => \WideAnd2512~combout\);

-- Location: FF_X65_Y51_N29
\led_flash_cnt_ands[2512]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2512~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2512));

-- Location: LCCOMB_X64_Y51_N20
\led_flash_cnt[2514][0]~83154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2514][0]~83154_combout\ = !\led_flash_cnt[2514][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2514][0]~q\,
	combout => \led_flash_cnt[2514][0]~83154_combout\);

-- Location: FF_X64_Y51_N21
\led_flash_cnt[2514][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2514][0]~83154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2514][0]~q\);

-- Location: LCCOMB_X64_Y51_N6
\led_flash_cnt[2514][1]~62076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2514][1]~62076_combout\ = (\led_flash_cnt[2514][1]~q\ & (\led_flash_cnt[2514][0]~q\ $ (VCC))) # (!\led_flash_cnt[2514][1]~q\ & (\led_flash_cnt[2514][0]~q\ & VCC))
-- \led_flash_cnt[2514][1]~62077\ = CARRY((\led_flash_cnt[2514][1]~q\ & \led_flash_cnt[2514][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2514][1]~q\,
	datab => \led_flash_cnt[2514][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2514][1]~62076_combout\,
	cout => \led_flash_cnt[2514][1]~62077\);

-- Location: FF_X64_Y51_N7
\led_flash_cnt[2514][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2514][1]~62076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2514][1]~q\);

-- Location: LCCOMB_X64_Y51_N8
\led_flash_cnt[2514][2]~62078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2514][2]~62078_combout\ = (\led_flash_cnt[2514][2]~q\ & (!\led_flash_cnt[2514][1]~62077\)) # (!\led_flash_cnt[2514][2]~q\ & ((\led_flash_cnt[2514][1]~62077\) # (GND)))
-- \led_flash_cnt[2514][2]~62079\ = CARRY((!\led_flash_cnt[2514][1]~62077\) # (!\led_flash_cnt[2514][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2514][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2514][1]~62077\,
	combout => \led_flash_cnt[2514][2]~62078_combout\,
	cout => \led_flash_cnt[2514][2]~62079\);

-- Location: FF_X64_Y51_N9
\led_flash_cnt[2514][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2514][2]~62078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2514][2]~q\);

-- Location: LCCOMB_X64_Y51_N10
\led_flash_cnt[2514][3]~62080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2514][3]~62080_combout\ = (\led_flash_cnt[2514][3]~q\ & (\led_flash_cnt[2514][2]~62079\ $ (GND))) # (!\led_flash_cnt[2514][3]~q\ & (!\led_flash_cnt[2514][2]~62079\ & VCC))
-- \led_flash_cnt[2514][3]~62081\ = CARRY((\led_flash_cnt[2514][3]~q\ & !\led_flash_cnt[2514][2]~62079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2514][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2514][2]~62079\,
	combout => \led_flash_cnt[2514][3]~62080_combout\,
	cout => \led_flash_cnt[2514][3]~62081\);

-- Location: FF_X64_Y51_N11
\led_flash_cnt[2514][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2514][3]~62080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2514][3]~q\);

-- Location: LCCOMB_X64_Y51_N12
\led_flash_cnt[2514][4]~62082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2514][4]~62082_combout\ = (\led_flash_cnt[2514][4]~q\ & (!\led_flash_cnt[2514][3]~62081\)) # (!\led_flash_cnt[2514][4]~q\ & ((\led_flash_cnt[2514][3]~62081\) # (GND)))
-- \led_flash_cnt[2514][4]~62083\ = CARRY((!\led_flash_cnt[2514][3]~62081\) # (!\led_flash_cnt[2514][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2514][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2514][3]~62081\,
	combout => \led_flash_cnt[2514][4]~62082_combout\,
	cout => \led_flash_cnt[2514][4]~62083\);

-- Location: FF_X64_Y51_N13
\led_flash_cnt[2514][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2514][4]~62082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2514][4]~q\);

-- Location: LCCOMB_X64_Y51_N14
\led_flash_cnt[2514][5]~62084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2514][5]~62084_combout\ = (\led_flash_cnt[2514][5]~q\ & (\led_flash_cnt[2514][4]~62083\ $ (GND))) # (!\led_flash_cnt[2514][5]~q\ & (!\led_flash_cnt[2514][4]~62083\ & VCC))
-- \led_flash_cnt[2514][5]~62085\ = CARRY((\led_flash_cnt[2514][5]~q\ & !\led_flash_cnt[2514][4]~62083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2514][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2514][4]~62083\,
	combout => \led_flash_cnt[2514][5]~62084_combout\,
	cout => \led_flash_cnt[2514][5]~62085\);

-- Location: FF_X64_Y51_N15
\led_flash_cnt[2514][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2514][5]~62084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2514][5]~q\);

-- Location: LCCOMB_X64_Y51_N16
\led_flash_cnt[2514][6]~62086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2514][6]~62086_combout\ = (\led_flash_cnt[2514][6]~q\ & (!\led_flash_cnt[2514][5]~62085\)) # (!\led_flash_cnt[2514][6]~q\ & ((\led_flash_cnt[2514][5]~62085\) # (GND)))
-- \led_flash_cnt[2514][6]~62087\ = CARRY((!\led_flash_cnt[2514][5]~62085\) # (!\led_flash_cnt[2514][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2514][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2514][5]~62085\,
	combout => \led_flash_cnt[2514][6]~62086_combout\,
	cout => \led_flash_cnt[2514][6]~62087\);

-- Location: FF_X64_Y51_N17
\led_flash_cnt[2514][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2514][6]~62086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2514][6]~q\);

-- Location: LCCOMB_X64_Y51_N22
\WideAnd2514~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2514~1_combout\ = (\led_flash_cnt[2514][5]~q\ & \led_flash_cnt[2514][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2514][5]~q\,
	datad => \led_flash_cnt[2514][6]~q\,
	combout => \WideAnd2514~1_combout\);

-- Location: LCCOMB_X64_Y51_N18
\led_flash_cnt[2514][7]~62088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2514][7]~62088_combout\ = \led_flash_cnt[2514][7]~q\ $ (!\led_flash_cnt[2514][6]~62087\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2514][7]~q\,
	cin => \led_flash_cnt[2514][6]~62087\,
	combout => \led_flash_cnt[2514][7]~62088_combout\);

-- Location: FF_X64_Y51_N19
\led_flash_cnt[2514][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2514][7]~62088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2514][7]~q\);

-- Location: LCCOMB_X64_Y51_N24
\WideAnd2514~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2514~0_combout\ = (\led_flash_cnt[2514][4]~q\ & (\led_flash_cnt[2514][1]~q\ & (\led_flash_cnt[2514][2]~q\ & \led_flash_cnt[2514][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2514][4]~q\,
	datab => \led_flash_cnt[2514][1]~q\,
	datac => \led_flash_cnt[2514][2]~q\,
	datad => \led_flash_cnt[2514][3]~q\,
	combout => \WideAnd2514~0_combout\);

-- Location: LCCOMB_X64_Y51_N4
WideAnd2514 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2514~combout\ = (\WideAnd2514~1_combout\ & (\led_flash_cnt[2514][0]~q\ & (\led_flash_cnt[2514][7]~q\ & \WideAnd2514~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2514~1_combout\,
	datab => \led_flash_cnt[2514][0]~q\,
	datac => \led_flash_cnt[2514][7]~q\,
	datad => \WideAnd2514~0_combout\,
	combout => \WideAnd2514~combout\);

-- Location: FF_X64_Y51_N5
\led_flash_cnt_ands[2514]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2514~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2514));

-- Location: LCCOMB_X66_Y51_N12
\led_flash_cnt[2513][0]~83153\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2513][0]~83153_combout\ = !\led_flash_cnt[2513][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2513][0]~q\,
	combout => \led_flash_cnt[2513][0]~83153_combout\);

-- Location: FF_X66_Y51_N13
\led_flash_cnt[2513][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2513][0]~83153_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2513][0]~q\);

-- Location: LCCOMB_X66_Y51_N14
\led_flash_cnt[2513][1]~62062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2513][1]~62062_combout\ = (\led_flash_cnt[2513][0]~q\ & (\led_flash_cnt[2513][1]~q\ $ (VCC))) # (!\led_flash_cnt[2513][0]~q\ & (\led_flash_cnt[2513][1]~q\ & VCC))
-- \led_flash_cnt[2513][1]~62063\ = CARRY((\led_flash_cnt[2513][0]~q\ & \led_flash_cnt[2513][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2513][0]~q\,
	datab => \led_flash_cnt[2513][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2513][1]~62062_combout\,
	cout => \led_flash_cnt[2513][1]~62063\);

-- Location: FF_X66_Y51_N15
\led_flash_cnt[2513][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2513][1]~62062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2513][1]~q\);

-- Location: LCCOMB_X66_Y51_N16
\led_flash_cnt[2513][2]~62064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2513][2]~62064_combout\ = (\led_flash_cnt[2513][2]~q\ & (!\led_flash_cnt[2513][1]~62063\)) # (!\led_flash_cnt[2513][2]~q\ & ((\led_flash_cnt[2513][1]~62063\) # (GND)))
-- \led_flash_cnt[2513][2]~62065\ = CARRY((!\led_flash_cnt[2513][1]~62063\) # (!\led_flash_cnt[2513][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2513][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2513][1]~62063\,
	combout => \led_flash_cnt[2513][2]~62064_combout\,
	cout => \led_flash_cnt[2513][2]~62065\);

-- Location: FF_X66_Y51_N17
\led_flash_cnt[2513][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2513][2]~62064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2513][2]~q\);

-- Location: LCCOMB_X66_Y51_N18
\led_flash_cnt[2513][3]~62066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2513][3]~62066_combout\ = (\led_flash_cnt[2513][3]~q\ & (\led_flash_cnt[2513][2]~62065\ $ (GND))) # (!\led_flash_cnt[2513][3]~q\ & (!\led_flash_cnt[2513][2]~62065\ & VCC))
-- \led_flash_cnt[2513][3]~62067\ = CARRY((\led_flash_cnt[2513][3]~q\ & !\led_flash_cnt[2513][2]~62065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2513][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2513][2]~62065\,
	combout => \led_flash_cnt[2513][3]~62066_combout\,
	cout => \led_flash_cnt[2513][3]~62067\);

-- Location: FF_X66_Y51_N19
\led_flash_cnt[2513][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2513][3]~62066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2513][3]~q\);

-- Location: LCCOMB_X66_Y51_N20
\led_flash_cnt[2513][4]~62068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2513][4]~62068_combout\ = (\led_flash_cnt[2513][4]~q\ & (!\led_flash_cnt[2513][3]~62067\)) # (!\led_flash_cnt[2513][4]~q\ & ((\led_flash_cnt[2513][3]~62067\) # (GND)))
-- \led_flash_cnt[2513][4]~62069\ = CARRY((!\led_flash_cnt[2513][3]~62067\) # (!\led_flash_cnt[2513][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2513][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2513][3]~62067\,
	combout => \led_flash_cnt[2513][4]~62068_combout\,
	cout => \led_flash_cnt[2513][4]~62069\);

-- Location: FF_X66_Y51_N21
\led_flash_cnt[2513][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2513][4]~62068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2513][4]~q\);

-- Location: LCCOMB_X66_Y51_N22
\led_flash_cnt[2513][5]~62070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2513][5]~62070_combout\ = (\led_flash_cnt[2513][5]~q\ & (\led_flash_cnt[2513][4]~62069\ $ (GND))) # (!\led_flash_cnt[2513][5]~q\ & (!\led_flash_cnt[2513][4]~62069\ & VCC))
-- \led_flash_cnt[2513][5]~62071\ = CARRY((\led_flash_cnt[2513][5]~q\ & !\led_flash_cnt[2513][4]~62069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2513][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2513][4]~62069\,
	combout => \led_flash_cnt[2513][5]~62070_combout\,
	cout => \led_flash_cnt[2513][5]~62071\);

-- Location: FF_X66_Y51_N23
\led_flash_cnt[2513][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2513][5]~62070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2513][5]~q\);

-- Location: LCCOMB_X66_Y51_N24
\led_flash_cnt[2513][6]~62072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2513][6]~62072_combout\ = (\led_flash_cnt[2513][6]~q\ & (!\led_flash_cnt[2513][5]~62071\)) # (!\led_flash_cnt[2513][6]~q\ & ((\led_flash_cnt[2513][5]~62071\) # (GND)))
-- \led_flash_cnt[2513][6]~62073\ = CARRY((!\led_flash_cnt[2513][5]~62071\) # (!\led_flash_cnt[2513][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2513][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2513][5]~62071\,
	combout => \led_flash_cnt[2513][6]~62072_combout\,
	cout => \led_flash_cnt[2513][6]~62073\);

-- Location: FF_X66_Y51_N25
\led_flash_cnt[2513][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2513][6]~62072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2513][6]~q\);

-- Location: LCCOMB_X66_Y51_N10
\WideAnd2513~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2513~1_combout\ = (\led_flash_cnt[2513][5]~q\ & \led_flash_cnt[2513][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2513][5]~q\,
	datad => \led_flash_cnt[2513][6]~q\,
	combout => \WideAnd2513~1_combout\);

-- Location: LCCOMB_X66_Y51_N28
\WideAnd2513~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2513~0_combout\ = (\led_flash_cnt[2513][4]~q\ & (\led_flash_cnt[2513][3]~q\ & (\led_flash_cnt[2513][1]~q\ & \led_flash_cnt[2513][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2513][4]~q\,
	datab => \led_flash_cnt[2513][3]~q\,
	datac => \led_flash_cnt[2513][1]~q\,
	datad => \led_flash_cnt[2513][2]~q\,
	combout => \WideAnd2513~0_combout\);

-- Location: LCCOMB_X66_Y51_N26
\led_flash_cnt[2513][7]~62074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2513][7]~62074_combout\ = \led_flash_cnt[2513][7]~q\ $ (!\led_flash_cnt[2513][6]~62073\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2513][7]~q\,
	cin => \led_flash_cnt[2513][6]~62073\,
	combout => \led_flash_cnt[2513][7]~62074_combout\);

-- Location: FF_X66_Y51_N27
\led_flash_cnt[2513][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2513][7]~62074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2513][7]~q\);

-- Location: LCCOMB_X66_Y51_N4
WideAnd2513 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2513~combout\ = (\WideAnd2513~1_combout\ & (\WideAnd2513~0_combout\ & (\led_flash_cnt[2513][7]~q\ & \led_flash_cnt[2513][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2513~1_combout\,
	datab => \WideAnd2513~0_combout\,
	datac => \led_flash_cnt[2513][7]~q\,
	datad => \led_flash_cnt[2513][0]~q\,
	combout => \WideAnd2513~combout\);

-- Location: FF_X66_Y51_N5
\led_flash_cnt_ands[2513]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2513~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2513));

-- Location: LCCOMB_X64_Y51_N28
\WideAnd4154~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4154~0_combout\ = (led_flash_cnt_ands(2515) & (led_flash_cnt_ands(2512) & (led_flash_cnt_ands(2514) & led_flash_cnt_ands(2513))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2515),
	datab => led_flash_cnt_ands(2512),
	datac => led_flash_cnt_ands(2514),
	datad => led_flash_cnt_ands(2513),
	combout => \WideAnd4154~0_combout\);

-- Location: LCCOMB_X65_Y50_N12
\led_flash_cnt[2518][0]~83158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2518][0]~83158_combout\ = !\led_flash_cnt[2518][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2518][0]~q\,
	combout => \led_flash_cnt[2518][0]~83158_combout\);

-- Location: FF_X65_Y50_N13
\led_flash_cnt[2518][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2518][0]~83158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2518][0]~q\);

-- Location: LCCOMB_X65_Y50_N18
\led_flash_cnt[2518][1]~62132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2518][1]~62132_combout\ = (\led_flash_cnt[2518][0]~q\ & (\led_flash_cnt[2518][1]~q\ $ (VCC))) # (!\led_flash_cnt[2518][0]~q\ & (\led_flash_cnt[2518][1]~q\ & VCC))
-- \led_flash_cnt[2518][1]~62133\ = CARRY((\led_flash_cnt[2518][0]~q\ & \led_flash_cnt[2518][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2518][0]~q\,
	datab => \led_flash_cnt[2518][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2518][1]~62132_combout\,
	cout => \led_flash_cnt[2518][1]~62133\);

-- Location: FF_X65_Y50_N19
\led_flash_cnt[2518][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2518][1]~62132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2518][1]~q\);

-- Location: LCCOMB_X65_Y50_N20
\led_flash_cnt[2518][2]~62134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2518][2]~62134_combout\ = (\led_flash_cnt[2518][2]~q\ & (!\led_flash_cnt[2518][1]~62133\)) # (!\led_flash_cnt[2518][2]~q\ & ((\led_flash_cnt[2518][1]~62133\) # (GND)))
-- \led_flash_cnt[2518][2]~62135\ = CARRY((!\led_flash_cnt[2518][1]~62133\) # (!\led_flash_cnt[2518][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2518][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2518][1]~62133\,
	combout => \led_flash_cnt[2518][2]~62134_combout\,
	cout => \led_flash_cnt[2518][2]~62135\);

-- Location: FF_X65_Y50_N21
\led_flash_cnt[2518][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2518][2]~62134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2518][2]~q\);

-- Location: LCCOMB_X65_Y50_N22
\led_flash_cnt[2518][3]~62136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2518][3]~62136_combout\ = (\led_flash_cnt[2518][3]~q\ & (\led_flash_cnt[2518][2]~62135\ $ (GND))) # (!\led_flash_cnt[2518][3]~q\ & (!\led_flash_cnt[2518][2]~62135\ & VCC))
-- \led_flash_cnt[2518][3]~62137\ = CARRY((\led_flash_cnt[2518][3]~q\ & !\led_flash_cnt[2518][2]~62135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2518][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2518][2]~62135\,
	combout => \led_flash_cnt[2518][3]~62136_combout\,
	cout => \led_flash_cnt[2518][3]~62137\);

-- Location: FF_X65_Y50_N23
\led_flash_cnt[2518][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2518][3]~62136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2518][3]~q\);

-- Location: LCCOMB_X65_Y50_N24
\led_flash_cnt[2518][4]~62138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2518][4]~62138_combout\ = (\led_flash_cnt[2518][4]~q\ & (!\led_flash_cnt[2518][3]~62137\)) # (!\led_flash_cnt[2518][4]~q\ & ((\led_flash_cnt[2518][3]~62137\) # (GND)))
-- \led_flash_cnt[2518][4]~62139\ = CARRY((!\led_flash_cnt[2518][3]~62137\) # (!\led_flash_cnt[2518][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2518][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2518][3]~62137\,
	combout => \led_flash_cnt[2518][4]~62138_combout\,
	cout => \led_flash_cnt[2518][4]~62139\);

-- Location: FF_X65_Y50_N25
\led_flash_cnt[2518][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2518][4]~62138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2518][4]~q\);

-- Location: LCCOMB_X65_Y50_N26
\led_flash_cnt[2518][5]~62140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2518][5]~62140_combout\ = (\led_flash_cnt[2518][5]~q\ & (\led_flash_cnt[2518][4]~62139\ $ (GND))) # (!\led_flash_cnt[2518][5]~q\ & (!\led_flash_cnt[2518][4]~62139\ & VCC))
-- \led_flash_cnt[2518][5]~62141\ = CARRY((\led_flash_cnt[2518][5]~q\ & !\led_flash_cnt[2518][4]~62139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2518][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2518][4]~62139\,
	combout => \led_flash_cnt[2518][5]~62140_combout\,
	cout => \led_flash_cnt[2518][5]~62141\);

-- Location: FF_X65_Y50_N27
\led_flash_cnt[2518][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2518][5]~62140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2518][5]~q\);

-- Location: LCCOMB_X65_Y50_N28
\led_flash_cnt[2518][6]~62142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2518][6]~62142_combout\ = (\led_flash_cnt[2518][6]~q\ & (!\led_flash_cnt[2518][5]~62141\)) # (!\led_flash_cnt[2518][6]~q\ & ((\led_flash_cnt[2518][5]~62141\) # (GND)))
-- \led_flash_cnt[2518][6]~62143\ = CARRY((!\led_flash_cnt[2518][5]~62141\) # (!\led_flash_cnt[2518][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2518][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2518][5]~62141\,
	combout => \led_flash_cnt[2518][6]~62142_combout\,
	cout => \led_flash_cnt[2518][6]~62143\);

-- Location: FF_X65_Y50_N29
\led_flash_cnt[2518][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2518][6]~62142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2518][6]~q\);

-- Location: LCCOMB_X65_Y50_N10
\WideAnd2518~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2518~1_combout\ = (\led_flash_cnt[2518][5]~q\ & \led_flash_cnt[2518][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2518][5]~q\,
	datad => \led_flash_cnt[2518][6]~q\,
	combout => \WideAnd2518~1_combout\);

-- Location: LCCOMB_X65_Y50_N4
\WideAnd2518~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2518~0_combout\ = (\led_flash_cnt[2518][4]~q\ & (\led_flash_cnt[2518][2]~q\ & (\led_flash_cnt[2518][3]~q\ & \led_flash_cnt[2518][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2518][4]~q\,
	datab => \led_flash_cnt[2518][2]~q\,
	datac => \led_flash_cnt[2518][3]~q\,
	datad => \led_flash_cnt[2518][1]~q\,
	combout => \WideAnd2518~0_combout\);

-- Location: LCCOMB_X65_Y50_N30
\led_flash_cnt[2518][7]~62144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2518][7]~62144_combout\ = \led_flash_cnt[2518][7]~q\ $ (!\led_flash_cnt[2518][6]~62143\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2518][7]~q\,
	cin => \led_flash_cnt[2518][6]~62143\,
	combout => \led_flash_cnt[2518][7]~62144_combout\);

-- Location: FF_X65_Y50_N31
\led_flash_cnt[2518][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2518][7]~62144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2518][7]~q\);

-- Location: LCCOMB_X65_Y50_N8
WideAnd2518 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2518~combout\ = (\WideAnd2518~1_combout\ & (\WideAnd2518~0_combout\ & (\led_flash_cnt[2518][7]~q\ & \led_flash_cnt[2518][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2518~1_combout\,
	datab => \WideAnd2518~0_combout\,
	datac => \led_flash_cnt[2518][7]~q\,
	datad => \led_flash_cnt[2518][0]~q\,
	combout => \WideAnd2518~combout\);

-- Location: FF_X65_Y50_N9
\led_flash_cnt_ands[2518]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2518~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2518));

-- Location: LCCOMB_X64_Y49_N28
WideAnd4154 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4154~combout\ = (\WideAnd4154~1_combout\ & (led_flash_cnt_ands(2519) & (\WideAnd4154~0_combout\ & led_flash_cnt_ands(2518))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4154~1_combout\,
	datab => led_flash_cnt_ands(2519),
	datac => \WideAnd4154~0_combout\,
	datad => led_flash_cnt_ands(2518),
	combout => \WideAnd4154~combout\);

-- Location: FF_X64_Y49_N29
\led_flash_cnt_ands_1[314]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4154~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(314));

-- Location: LCCOMB_X56_Y42_N20
\led_flash_cnt[2525][0]~83165\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2525][0]~83165_combout\ = !\led_flash_cnt[2525][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2525][0]~q\,
	combout => \led_flash_cnt[2525][0]~83165_combout\);

-- Location: FF_X56_Y42_N21
\led_flash_cnt[2525][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2525][0]~83165_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2525][0]~q\);

-- Location: LCCOMB_X55_Y42_N2
\led_flash_cnt[2525][1]~62230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2525][1]~62230_combout\ = (\led_flash_cnt[2525][0]~q\ & (\led_flash_cnt[2525][1]~q\ $ (VCC))) # (!\led_flash_cnt[2525][0]~q\ & (\led_flash_cnt[2525][1]~q\ & VCC))
-- \led_flash_cnt[2525][1]~62231\ = CARRY((\led_flash_cnt[2525][0]~q\ & \led_flash_cnt[2525][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2525][0]~q\,
	datab => \led_flash_cnt[2525][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2525][1]~62230_combout\,
	cout => \led_flash_cnt[2525][1]~62231\);

-- Location: FF_X55_Y42_N3
\led_flash_cnt[2525][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2525][1]~62230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2525][1]~q\);

-- Location: LCCOMB_X55_Y42_N4
\led_flash_cnt[2525][2]~62232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2525][2]~62232_combout\ = (\led_flash_cnt[2525][2]~q\ & (!\led_flash_cnt[2525][1]~62231\)) # (!\led_flash_cnt[2525][2]~q\ & ((\led_flash_cnt[2525][1]~62231\) # (GND)))
-- \led_flash_cnt[2525][2]~62233\ = CARRY((!\led_flash_cnt[2525][1]~62231\) # (!\led_flash_cnt[2525][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2525][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2525][1]~62231\,
	combout => \led_flash_cnt[2525][2]~62232_combout\,
	cout => \led_flash_cnt[2525][2]~62233\);

-- Location: FF_X55_Y42_N5
\led_flash_cnt[2525][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2525][2]~62232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2525][2]~q\);

-- Location: LCCOMB_X55_Y42_N6
\led_flash_cnt[2525][3]~62234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2525][3]~62234_combout\ = (\led_flash_cnt[2525][3]~q\ & (\led_flash_cnt[2525][2]~62233\ $ (GND))) # (!\led_flash_cnt[2525][3]~q\ & (!\led_flash_cnt[2525][2]~62233\ & VCC))
-- \led_flash_cnt[2525][3]~62235\ = CARRY((\led_flash_cnt[2525][3]~q\ & !\led_flash_cnt[2525][2]~62233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2525][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2525][2]~62233\,
	combout => \led_flash_cnt[2525][3]~62234_combout\,
	cout => \led_flash_cnt[2525][3]~62235\);

-- Location: FF_X55_Y42_N7
\led_flash_cnt[2525][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2525][3]~62234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2525][3]~q\);

-- Location: LCCOMB_X55_Y42_N8
\led_flash_cnt[2525][4]~62236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2525][4]~62236_combout\ = (\led_flash_cnt[2525][4]~q\ & (!\led_flash_cnt[2525][3]~62235\)) # (!\led_flash_cnt[2525][4]~q\ & ((\led_flash_cnt[2525][3]~62235\) # (GND)))
-- \led_flash_cnt[2525][4]~62237\ = CARRY((!\led_flash_cnt[2525][3]~62235\) # (!\led_flash_cnt[2525][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2525][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2525][3]~62235\,
	combout => \led_flash_cnt[2525][4]~62236_combout\,
	cout => \led_flash_cnt[2525][4]~62237\);

-- Location: FF_X55_Y42_N9
\led_flash_cnt[2525][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2525][4]~62236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2525][4]~q\);

-- Location: LCCOMB_X55_Y42_N10
\led_flash_cnt[2525][5]~62238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2525][5]~62238_combout\ = (\led_flash_cnt[2525][5]~q\ & (\led_flash_cnt[2525][4]~62237\ $ (GND))) # (!\led_flash_cnt[2525][5]~q\ & (!\led_flash_cnt[2525][4]~62237\ & VCC))
-- \led_flash_cnt[2525][5]~62239\ = CARRY((\led_flash_cnt[2525][5]~q\ & !\led_flash_cnt[2525][4]~62237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2525][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2525][4]~62237\,
	combout => \led_flash_cnt[2525][5]~62238_combout\,
	cout => \led_flash_cnt[2525][5]~62239\);

-- Location: FF_X55_Y42_N11
\led_flash_cnt[2525][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2525][5]~62238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2525][5]~q\);

-- Location: LCCOMB_X55_Y42_N12
\led_flash_cnt[2525][6]~62240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2525][6]~62240_combout\ = (\led_flash_cnt[2525][6]~q\ & (!\led_flash_cnt[2525][5]~62239\)) # (!\led_flash_cnt[2525][6]~q\ & ((\led_flash_cnt[2525][5]~62239\) # (GND)))
-- \led_flash_cnt[2525][6]~62241\ = CARRY((!\led_flash_cnt[2525][5]~62239\) # (!\led_flash_cnt[2525][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2525][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2525][5]~62239\,
	combout => \led_flash_cnt[2525][6]~62240_combout\,
	cout => \led_flash_cnt[2525][6]~62241\);

-- Location: FF_X55_Y42_N13
\led_flash_cnt[2525][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2525][6]~62240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2525][6]~q\);

-- Location: LCCOMB_X55_Y42_N14
\led_flash_cnt[2525][7]~62242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2525][7]~62242_combout\ = \led_flash_cnt[2525][7]~q\ $ (!\led_flash_cnt[2525][6]~62241\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2525][7]~q\,
	cin => \led_flash_cnt[2525][6]~62241\,
	combout => \led_flash_cnt[2525][7]~62242_combout\);

-- Location: FF_X55_Y42_N15
\led_flash_cnt[2525][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2525][7]~62242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2525][7]~q\);

-- Location: LCCOMB_X56_Y42_N24
\WideAnd2525~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2525~1_combout\ = (\led_flash_cnt[2525][6]~q\ & \led_flash_cnt[2525][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2525][6]~q\,
	datad => \led_flash_cnt[2525][5]~q\,
	combout => \WideAnd2525~1_combout\);

-- Location: LCCOMB_X55_Y42_N0
\WideAnd2525~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2525~0_combout\ = (\led_flash_cnt[2525][3]~q\ & (\led_flash_cnt[2525][4]~q\ & (\led_flash_cnt[2525][2]~q\ & \led_flash_cnt[2525][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2525][3]~q\,
	datab => \led_flash_cnt[2525][4]~q\,
	datac => \led_flash_cnt[2525][2]~q\,
	datad => \led_flash_cnt[2525][1]~q\,
	combout => \WideAnd2525~0_combout\);

-- Location: LCCOMB_X56_Y42_N30
WideAnd2525 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2525~combout\ = (\led_flash_cnt[2525][7]~q\ & (\WideAnd2525~1_combout\ & (\WideAnd2525~0_combout\ & \led_flash_cnt[2525][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2525][7]~q\,
	datab => \WideAnd2525~1_combout\,
	datac => \WideAnd2525~0_combout\,
	datad => \led_flash_cnt[2525][0]~q\,
	combout => \WideAnd2525~combout\);

-- Location: FF_X56_Y42_N31
\led_flash_cnt_ands[2525]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2525~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2525));

-- Location: LCCOMB_X56_Y42_N22
\led_flash_cnt[2524][0]~83164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2524][0]~83164_combout\ = !\led_flash_cnt[2524][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2524][0]~q\,
	combout => \led_flash_cnt[2524][0]~83164_combout\);

-- Location: FF_X56_Y42_N23
\led_flash_cnt[2524][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2524][0]~83164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2524][0]~q\);

-- Location: LCCOMB_X56_Y42_N2
\led_flash_cnt[2524][1]~62216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2524][1]~62216_combout\ = (\led_flash_cnt[2524][0]~q\ & (\led_flash_cnt[2524][1]~q\ $ (VCC))) # (!\led_flash_cnt[2524][0]~q\ & (\led_flash_cnt[2524][1]~q\ & VCC))
-- \led_flash_cnt[2524][1]~62217\ = CARRY((\led_flash_cnt[2524][0]~q\ & \led_flash_cnt[2524][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2524][0]~q\,
	datab => \led_flash_cnt[2524][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2524][1]~62216_combout\,
	cout => \led_flash_cnt[2524][1]~62217\);

-- Location: FF_X56_Y42_N3
\led_flash_cnt[2524][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2524][1]~62216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2524][1]~q\);

-- Location: LCCOMB_X56_Y42_N4
\led_flash_cnt[2524][2]~62218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2524][2]~62218_combout\ = (\led_flash_cnt[2524][2]~q\ & (!\led_flash_cnt[2524][1]~62217\)) # (!\led_flash_cnt[2524][2]~q\ & ((\led_flash_cnt[2524][1]~62217\) # (GND)))
-- \led_flash_cnt[2524][2]~62219\ = CARRY((!\led_flash_cnt[2524][1]~62217\) # (!\led_flash_cnt[2524][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2524][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2524][1]~62217\,
	combout => \led_flash_cnt[2524][2]~62218_combout\,
	cout => \led_flash_cnt[2524][2]~62219\);

-- Location: FF_X56_Y42_N5
\led_flash_cnt[2524][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2524][2]~62218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2524][2]~q\);

-- Location: LCCOMB_X56_Y42_N6
\led_flash_cnt[2524][3]~62220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2524][3]~62220_combout\ = (\led_flash_cnt[2524][3]~q\ & (\led_flash_cnt[2524][2]~62219\ $ (GND))) # (!\led_flash_cnt[2524][3]~q\ & (!\led_flash_cnt[2524][2]~62219\ & VCC))
-- \led_flash_cnt[2524][3]~62221\ = CARRY((\led_flash_cnt[2524][3]~q\ & !\led_flash_cnt[2524][2]~62219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2524][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2524][2]~62219\,
	combout => \led_flash_cnt[2524][3]~62220_combout\,
	cout => \led_flash_cnt[2524][3]~62221\);

-- Location: FF_X56_Y42_N7
\led_flash_cnt[2524][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2524][3]~62220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2524][3]~q\);

-- Location: LCCOMB_X56_Y42_N8
\led_flash_cnt[2524][4]~62222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2524][4]~62222_combout\ = (\led_flash_cnt[2524][4]~q\ & (!\led_flash_cnt[2524][3]~62221\)) # (!\led_flash_cnt[2524][4]~q\ & ((\led_flash_cnt[2524][3]~62221\) # (GND)))
-- \led_flash_cnt[2524][4]~62223\ = CARRY((!\led_flash_cnt[2524][3]~62221\) # (!\led_flash_cnt[2524][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2524][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2524][3]~62221\,
	combout => \led_flash_cnt[2524][4]~62222_combout\,
	cout => \led_flash_cnt[2524][4]~62223\);

-- Location: FF_X56_Y42_N9
\led_flash_cnt[2524][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2524][4]~62222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2524][4]~q\);

-- Location: LCCOMB_X56_Y42_N10
\led_flash_cnt[2524][5]~62224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2524][5]~62224_combout\ = (\led_flash_cnt[2524][5]~q\ & (\led_flash_cnt[2524][4]~62223\ $ (GND))) # (!\led_flash_cnt[2524][5]~q\ & (!\led_flash_cnt[2524][4]~62223\ & VCC))
-- \led_flash_cnt[2524][5]~62225\ = CARRY((\led_flash_cnt[2524][5]~q\ & !\led_flash_cnt[2524][4]~62223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2524][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2524][4]~62223\,
	combout => \led_flash_cnt[2524][5]~62224_combout\,
	cout => \led_flash_cnt[2524][5]~62225\);

-- Location: FF_X56_Y42_N11
\led_flash_cnt[2524][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2524][5]~62224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2524][5]~q\);

-- Location: LCCOMB_X56_Y42_N12
\led_flash_cnt[2524][6]~62226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2524][6]~62226_combout\ = (\led_flash_cnt[2524][6]~q\ & (!\led_flash_cnt[2524][5]~62225\)) # (!\led_flash_cnt[2524][6]~q\ & ((\led_flash_cnt[2524][5]~62225\) # (GND)))
-- \led_flash_cnt[2524][6]~62227\ = CARRY((!\led_flash_cnt[2524][5]~62225\) # (!\led_flash_cnt[2524][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2524][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2524][5]~62225\,
	combout => \led_flash_cnt[2524][6]~62226_combout\,
	cout => \led_flash_cnt[2524][6]~62227\);

-- Location: FF_X56_Y42_N13
\led_flash_cnt[2524][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2524][6]~62226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2524][6]~q\);

-- Location: LCCOMB_X56_Y42_N26
\WideAnd2524~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2524~1_combout\ = (\led_flash_cnt[2524][6]~q\ & \led_flash_cnt[2524][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2524][6]~q\,
	datad => \led_flash_cnt[2524][5]~q\,
	combout => \WideAnd2524~1_combout\);

-- Location: LCCOMB_X56_Y42_N14
\led_flash_cnt[2524][7]~62228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2524][7]~62228_combout\ = \led_flash_cnt[2524][7]~q\ $ (!\led_flash_cnt[2524][6]~62227\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2524][7]~q\,
	cin => \led_flash_cnt[2524][6]~62227\,
	combout => \led_flash_cnt[2524][7]~62228_combout\);

-- Location: FF_X56_Y42_N15
\led_flash_cnt[2524][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2524][7]~62228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2524][7]~q\);

-- Location: LCCOMB_X56_Y42_N18
\WideAnd2524~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2524~0_combout\ = (\led_flash_cnt[2524][3]~q\ & (\led_flash_cnt[2524][4]~q\ & (\led_flash_cnt[2524][2]~q\ & \led_flash_cnt[2524][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2524][3]~q\,
	datab => \led_flash_cnt[2524][4]~q\,
	datac => \led_flash_cnt[2524][2]~q\,
	datad => \led_flash_cnt[2524][1]~q\,
	combout => \WideAnd2524~0_combout\);

-- Location: LCCOMB_X56_Y42_N0
WideAnd2524 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2524~combout\ = (\WideAnd2524~1_combout\ & (\led_flash_cnt[2524][7]~q\ & (\led_flash_cnt[2524][0]~q\ & \WideAnd2524~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2524~1_combout\,
	datab => \led_flash_cnt[2524][7]~q\,
	datac => \led_flash_cnt[2524][0]~q\,
	datad => \WideAnd2524~0_combout\,
	combout => \WideAnd2524~combout\);

-- Location: FF_X56_Y42_N1
\led_flash_cnt_ands[2524]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2524~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2524));

-- Location: LCCOMB_X56_Y42_N16
\WideAnd4155~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4155~1_combout\ = (led_flash_cnt_ands(2525) & led_flash_cnt_ands(2524))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2525),
	datad => led_flash_cnt_ands(2524),
	combout => \WideAnd4155~1_combout\);

-- Location: LCCOMB_X56_Y49_N2
\led_flash_cnt[2526][0]~83166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2526][0]~83166_combout\ = !\led_flash_cnt[2526][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2526][0]~q\,
	combout => \led_flash_cnt[2526][0]~83166_combout\);

-- Location: FF_X56_Y49_N3
\led_flash_cnt[2526][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2526][0]~83166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2526][0]~q\);

-- Location: LCCOMB_X56_Y49_N6
\led_flash_cnt[2526][1]~62244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2526][1]~62244_combout\ = (\led_flash_cnt[2526][1]~q\ & (\led_flash_cnt[2526][0]~q\ $ (VCC))) # (!\led_flash_cnt[2526][1]~q\ & (\led_flash_cnt[2526][0]~q\ & VCC))
-- \led_flash_cnt[2526][1]~62245\ = CARRY((\led_flash_cnt[2526][1]~q\ & \led_flash_cnt[2526][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2526][1]~q\,
	datab => \led_flash_cnt[2526][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2526][1]~62244_combout\,
	cout => \led_flash_cnt[2526][1]~62245\);

-- Location: FF_X56_Y49_N7
\led_flash_cnt[2526][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2526][1]~62244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2526][1]~q\);

-- Location: LCCOMB_X56_Y49_N8
\led_flash_cnt[2526][2]~62246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2526][2]~62246_combout\ = (\led_flash_cnt[2526][2]~q\ & (!\led_flash_cnt[2526][1]~62245\)) # (!\led_flash_cnt[2526][2]~q\ & ((\led_flash_cnt[2526][1]~62245\) # (GND)))
-- \led_flash_cnt[2526][2]~62247\ = CARRY((!\led_flash_cnt[2526][1]~62245\) # (!\led_flash_cnt[2526][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2526][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2526][1]~62245\,
	combout => \led_flash_cnt[2526][2]~62246_combout\,
	cout => \led_flash_cnt[2526][2]~62247\);

-- Location: FF_X56_Y49_N9
\led_flash_cnt[2526][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2526][2]~62246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2526][2]~q\);

-- Location: LCCOMB_X56_Y49_N10
\led_flash_cnt[2526][3]~62248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2526][3]~62248_combout\ = (\led_flash_cnt[2526][3]~q\ & (\led_flash_cnt[2526][2]~62247\ $ (GND))) # (!\led_flash_cnt[2526][3]~q\ & (!\led_flash_cnt[2526][2]~62247\ & VCC))
-- \led_flash_cnt[2526][3]~62249\ = CARRY((\led_flash_cnt[2526][3]~q\ & !\led_flash_cnt[2526][2]~62247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2526][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2526][2]~62247\,
	combout => \led_flash_cnt[2526][3]~62248_combout\,
	cout => \led_flash_cnt[2526][3]~62249\);

-- Location: FF_X56_Y49_N11
\led_flash_cnt[2526][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2526][3]~62248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2526][3]~q\);

-- Location: LCCOMB_X56_Y49_N12
\led_flash_cnt[2526][4]~62250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2526][4]~62250_combout\ = (\led_flash_cnt[2526][4]~q\ & (!\led_flash_cnt[2526][3]~62249\)) # (!\led_flash_cnt[2526][4]~q\ & ((\led_flash_cnt[2526][3]~62249\) # (GND)))
-- \led_flash_cnt[2526][4]~62251\ = CARRY((!\led_flash_cnt[2526][3]~62249\) # (!\led_flash_cnt[2526][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2526][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2526][3]~62249\,
	combout => \led_flash_cnt[2526][4]~62250_combout\,
	cout => \led_flash_cnt[2526][4]~62251\);

-- Location: FF_X56_Y49_N13
\led_flash_cnt[2526][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2526][4]~62250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2526][4]~q\);

-- Location: LCCOMB_X56_Y49_N26
\WideAnd2526~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2526~0_combout\ = (\led_flash_cnt[2526][4]~q\ & (\led_flash_cnt[2526][3]~q\ & (\led_flash_cnt[2526][2]~q\ & \led_flash_cnt[2526][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2526][4]~q\,
	datab => \led_flash_cnt[2526][3]~q\,
	datac => \led_flash_cnt[2526][2]~q\,
	datad => \led_flash_cnt[2526][1]~q\,
	combout => \WideAnd2526~0_combout\);

-- Location: LCCOMB_X56_Y49_N14
\led_flash_cnt[2526][5]~62252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2526][5]~62252_combout\ = (\led_flash_cnt[2526][5]~q\ & (\led_flash_cnt[2526][4]~62251\ $ (GND))) # (!\led_flash_cnt[2526][5]~q\ & (!\led_flash_cnt[2526][4]~62251\ & VCC))
-- \led_flash_cnt[2526][5]~62253\ = CARRY((\led_flash_cnt[2526][5]~q\ & !\led_flash_cnt[2526][4]~62251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2526][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2526][4]~62251\,
	combout => \led_flash_cnt[2526][5]~62252_combout\,
	cout => \led_flash_cnt[2526][5]~62253\);

-- Location: FF_X56_Y49_N15
\led_flash_cnt[2526][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2526][5]~62252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2526][5]~q\);

-- Location: LCCOMB_X56_Y49_N16
\led_flash_cnt[2526][6]~62254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2526][6]~62254_combout\ = (\led_flash_cnt[2526][6]~q\ & (!\led_flash_cnt[2526][5]~62253\)) # (!\led_flash_cnt[2526][6]~q\ & ((\led_flash_cnt[2526][5]~62253\) # (GND)))
-- \led_flash_cnt[2526][6]~62255\ = CARRY((!\led_flash_cnt[2526][5]~62253\) # (!\led_flash_cnt[2526][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2526][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2526][5]~62253\,
	combout => \led_flash_cnt[2526][6]~62254_combout\,
	cout => \led_flash_cnt[2526][6]~62255\);

-- Location: FF_X56_Y49_N17
\led_flash_cnt[2526][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2526][6]~62254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2526][6]~q\);

-- Location: LCCOMB_X56_Y49_N18
\led_flash_cnt[2526][7]~62256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2526][7]~62256_combout\ = \led_flash_cnt[2526][6]~62255\ $ (!\led_flash_cnt[2526][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2526][7]~q\,
	cin => \led_flash_cnt[2526][6]~62255\,
	combout => \led_flash_cnt[2526][7]~62256_combout\);

-- Location: FF_X56_Y49_N19
\led_flash_cnt[2526][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2526][7]~62256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2526][7]~q\);

-- Location: LCCOMB_X56_Y49_N30
\WideAnd2526~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2526~1_combout\ = (\led_flash_cnt[2526][5]~q\ & \led_flash_cnt[2526][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2526][5]~q\,
	datad => \led_flash_cnt[2526][6]~q\,
	combout => \WideAnd2526~1_combout\);

-- Location: LCCOMB_X56_Y49_N24
WideAnd2526 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2526~combout\ = (\WideAnd2526~0_combout\ & (\led_flash_cnt[2526][7]~q\ & (\WideAnd2526~1_combout\ & \led_flash_cnt[2526][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2526~0_combout\,
	datab => \led_flash_cnt[2526][7]~q\,
	datac => \WideAnd2526~1_combout\,
	datad => \led_flash_cnt[2526][0]~q\,
	combout => \WideAnd2526~combout\);

-- Location: FF_X56_Y49_N25
\led_flash_cnt_ands[2526]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2526~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2526));

-- Location: LCCOMB_X56_Y49_N28
\led_flash_cnt[2527][0]~83167\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2527][0]~83167_combout\ = !\led_flash_cnt[2527][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2527][0]~q\,
	combout => \led_flash_cnt[2527][0]~83167_combout\);

-- Location: FF_X56_Y49_N29
\led_flash_cnt[2527][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2527][0]~83167_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2527][0]~q\);

-- Location: LCCOMB_X52_Y49_N16
\led_flash_cnt[2527][1]~62258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2527][1]~62258_combout\ = (\led_flash_cnt[2527][0]~q\ & (\led_flash_cnt[2527][1]~q\ $ (VCC))) # (!\led_flash_cnt[2527][0]~q\ & (\led_flash_cnt[2527][1]~q\ & VCC))
-- \led_flash_cnt[2527][1]~62259\ = CARRY((\led_flash_cnt[2527][0]~q\ & \led_flash_cnt[2527][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2527][0]~q\,
	datab => \led_flash_cnt[2527][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2527][1]~62258_combout\,
	cout => \led_flash_cnt[2527][1]~62259\);

-- Location: FF_X52_Y49_N17
\led_flash_cnt[2527][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2527][1]~62258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2527][1]~q\);

-- Location: LCCOMB_X52_Y49_N18
\led_flash_cnt[2527][2]~62260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2527][2]~62260_combout\ = (\led_flash_cnt[2527][2]~q\ & (!\led_flash_cnt[2527][1]~62259\)) # (!\led_flash_cnt[2527][2]~q\ & ((\led_flash_cnt[2527][1]~62259\) # (GND)))
-- \led_flash_cnt[2527][2]~62261\ = CARRY((!\led_flash_cnt[2527][1]~62259\) # (!\led_flash_cnt[2527][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2527][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2527][1]~62259\,
	combout => \led_flash_cnt[2527][2]~62260_combout\,
	cout => \led_flash_cnt[2527][2]~62261\);

-- Location: FF_X52_Y49_N19
\led_flash_cnt[2527][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2527][2]~62260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2527][2]~q\);

-- Location: LCCOMB_X52_Y49_N20
\led_flash_cnt[2527][3]~62262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2527][3]~62262_combout\ = (\led_flash_cnt[2527][3]~q\ & (\led_flash_cnt[2527][2]~62261\ $ (GND))) # (!\led_flash_cnt[2527][3]~q\ & (!\led_flash_cnt[2527][2]~62261\ & VCC))
-- \led_flash_cnt[2527][3]~62263\ = CARRY((\led_flash_cnt[2527][3]~q\ & !\led_flash_cnt[2527][2]~62261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2527][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2527][2]~62261\,
	combout => \led_flash_cnt[2527][3]~62262_combout\,
	cout => \led_flash_cnt[2527][3]~62263\);

-- Location: FF_X52_Y49_N21
\led_flash_cnt[2527][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2527][3]~62262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2527][3]~q\);

-- Location: LCCOMB_X52_Y49_N22
\led_flash_cnt[2527][4]~62264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2527][4]~62264_combout\ = (\led_flash_cnt[2527][4]~q\ & (!\led_flash_cnt[2527][3]~62263\)) # (!\led_flash_cnt[2527][4]~q\ & ((\led_flash_cnt[2527][3]~62263\) # (GND)))
-- \led_flash_cnt[2527][4]~62265\ = CARRY((!\led_flash_cnt[2527][3]~62263\) # (!\led_flash_cnt[2527][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2527][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2527][3]~62263\,
	combout => \led_flash_cnt[2527][4]~62264_combout\,
	cout => \led_flash_cnt[2527][4]~62265\);

-- Location: FF_X52_Y49_N23
\led_flash_cnt[2527][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2527][4]~62264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2527][4]~q\);

-- Location: LCCOMB_X52_Y49_N24
\led_flash_cnt[2527][5]~62266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2527][5]~62266_combout\ = (\led_flash_cnt[2527][5]~q\ & (\led_flash_cnt[2527][4]~62265\ $ (GND))) # (!\led_flash_cnt[2527][5]~q\ & (!\led_flash_cnt[2527][4]~62265\ & VCC))
-- \led_flash_cnt[2527][5]~62267\ = CARRY((\led_flash_cnt[2527][5]~q\ & !\led_flash_cnt[2527][4]~62265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2527][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2527][4]~62265\,
	combout => \led_flash_cnt[2527][5]~62266_combout\,
	cout => \led_flash_cnt[2527][5]~62267\);

-- Location: FF_X52_Y49_N25
\led_flash_cnt[2527][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2527][5]~62266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2527][5]~q\);

-- Location: LCCOMB_X52_Y49_N26
\led_flash_cnt[2527][6]~62268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2527][6]~62268_combout\ = (\led_flash_cnt[2527][6]~q\ & (!\led_flash_cnt[2527][5]~62267\)) # (!\led_flash_cnt[2527][6]~q\ & ((\led_flash_cnt[2527][5]~62267\) # (GND)))
-- \led_flash_cnt[2527][6]~62269\ = CARRY((!\led_flash_cnt[2527][5]~62267\) # (!\led_flash_cnt[2527][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2527][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2527][5]~62267\,
	combout => \led_flash_cnt[2527][6]~62268_combout\,
	cout => \led_flash_cnt[2527][6]~62269\);

-- Location: FF_X52_Y49_N27
\led_flash_cnt[2527][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2527][6]~62268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2527][6]~q\);

-- Location: LCCOMB_X56_Y49_N22
\WideAnd2527~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2527~1_combout\ = (\led_flash_cnt[2527][5]~q\ & \led_flash_cnt[2527][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2527][5]~q\,
	datad => \led_flash_cnt[2527][6]~q\,
	combout => \WideAnd2527~1_combout\);

-- Location: LCCOMB_X52_Y49_N14
\WideAnd2527~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2527~0_combout\ = (\led_flash_cnt[2527][1]~q\ & (\led_flash_cnt[2527][3]~q\ & (\led_flash_cnt[2527][4]~q\ & \led_flash_cnt[2527][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2527][1]~q\,
	datab => \led_flash_cnt[2527][3]~q\,
	datac => \led_flash_cnt[2527][4]~q\,
	datad => \led_flash_cnt[2527][2]~q\,
	combout => \WideAnd2527~0_combout\);

-- Location: LCCOMB_X52_Y49_N28
\led_flash_cnt[2527][7]~62270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2527][7]~62270_combout\ = \led_flash_cnt[2527][6]~62269\ $ (!\led_flash_cnt[2527][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2527][7]~q\,
	cin => \led_flash_cnt[2527][6]~62269\,
	combout => \led_flash_cnt[2527][7]~62270_combout\);

-- Location: FF_X52_Y49_N29
\led_flash_cnt[2527][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2527][7]~62270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2527][7]~q\);

-- Location: LCCOMB_X56_Y49_N4
WideAnd2527 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2527~combout\ = (\WideAnd2527~1_combout\ & (\WideAnd2527~0_combout\ & (\led_flash_cnt[2527][7]~q\ & \led_flash_cnt[2527][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2527~1_combout\,
	datab => \WideAnd2527~0_combout\,
	datac => \led_flash_cnt[2527][7]~q\,
	datad => \led_flash_cnt[2527][0]~q\,
	combout => \WideAnd2527~combout\);

-- Location: FF_X56_Y49_N5
\led_flash_cnt_ands[2527]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2527~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2527));

-- Location: LCCOMB_X74_Y36_N4
\led_flash_cnt[2520][0]~83160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2520][0]~83160_combout\ = !\led_flash_cnt[2520][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2520][0]~q\,
	combout => \led_flash_cnt[2520][0]~83160_combout\);

-- Location: FF_X74_Y36_N5
\led_flash_cnt[2520][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2520][0]~83160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2520][0]~q\);

-- Location: LCCOMB_X74_Y36_N12
\led_flash_cnt[2520][1]~62160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2520][1]~62160_combout\ = (\led_flash_cnt[2520][1]~q\ & (\led_flash_cnt[2520][0]~q\ $ (VCC))) # (!\led_flash_cnt[2520][1]~q\ & (\led_flash_cnt[2520][0]~q\ & VCC))
-- \led_flash_cnt[2520][1]~62161\ = CARRY((\led_flash_cnt[2520][1]~q\ & \led_flash_cnt[2520][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2520][1]~q\,
	datab => \led_flash_cnt[2520][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2520][1]~62160_combout\,
	cout => \led_flash_cnt[2520][1]~62161\);

-- Location: FF_X74_Y36_N13
\led_flash_cnt[2520][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2520][1]~62160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2520][1]~q\);

-- Location: LCCOMB_X74_Y36_N14
\led_flash_cnt[2520][2]~62162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2520][2]~62162_combout\ = (\led_flash_cnt[2520][2]~q\ & (!\led_flash_cnt[2520][1]~62161\)) # (!\led_flash_cnt[2520][2]~q\ & ((\led_flash_cnt[2520][1]~62161\) # (GND)))
-- \led_flash_cnt[2520][2]~62163\ = CARRY((!\led_flash_cnt[2520][1]~62161\) # (!\led_flash_cnt[2520][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2520][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2520][1]~62161\,
	combout => \led_flash_cnt[2520][2]~62162_combout\,
	cout => \led_flash_cnt[2520][2]~62163\);

-- Location: FF_X74_Y36_N15
\led_flash_cnt[2520][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2520][2]~62162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2520][2]~q\);

-- Location: LCCOMB_X74_Y36_N16
\led_flash_cnt[2520][3]~62164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2520][3]~62164_combout\ = (\led_flash_cnt[2520][3]~q\ & (\led_flash_cnt[2520][2]~62163\ $ (GND))) # (!\led_flash_cnt[2520][3]~q\ & (!\led_flash_cnt[2520][2]~62163\ & VCC))
-- \led_flash_cnt[2520][3]~62165\ = CARRY((\led_flash_cnt[2520][3]~q\ & !\led_flash_cnt[2520][2]~62163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2520][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2520][2]~62163\,
	combout => \led_flash_cnt[2520][3]~62164_combout\,
	cout => \led_flash_cnt[2520][3]~62165\);

-- Location: FF_X74_Y36_N17
\led_flash_cnt[2520][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2520][3]~62164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2520][3]~q\);

-- Location: LCCOMB_X74_Y36_N18
\led_flash_cnt[2520][4]~62166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2520][4]~62166_combout\ = (\led_flash_cnt[2520][4]~q\ & (!\led_flash_cnt[2520][3]~62165\)) # (!\led_flash_cnt[2520][4]~q\ & ((\led_flash_cnt[2520][3]~62165\) # (GND)))
-- \led_flash_cnt[2520][4]~62167\ = CARRY((!\led_flash_cnt[2520][3]~62165\) # (!\led_flash_cnt[2520][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2520][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2520][3]~62165\,
	combout => \led_flash_cnt[2520][4]~62166_combout\,
	cout => \led_flash_cnt[2520][4]~62167\);

-- Location: FF_X74_Y36_N19
\led_flash_cnt[2520][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2520][4]~62166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2520][4]~q\);

-- Location: LCCOMB_X74_Y36_N20
\led_flash_cnt[2520][5]~62168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2520][5]~62168_combout\ = (\led_flash_cnt[2520][5]~q\ & (\led_flash_cnt[2520][4]~62167\ $ (GND))) # (!\led_flash_cnt[2520][5]~q\ & (!\led_flash_cnt[2520][4]~62167\ & VCC))
-- \led_flash_cnt[2520][5]~62169\ = CARRY((\led_flash_cnt[2520][5]~q\ & !\led_flash_cnt[2520][4]~62167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2520][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2520][4]~62167\,
	combout => \led_flash_cnt[2520][5]~62168_combout\,
	cout => \led_flash_cnt[2520][5]~62169\);

-- Location: FF_X74_Y36_N21
\led_flash_cnt[2520][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2520][5]~62168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2520][5]~q\);

-- Location: LCCOMB_X74_Y36_N22
\led_flash_cnt[2520][6]~62170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2520][6]~62170_combout\ = (\led_flash_cnt[2520][6]~q\ & (!\led_flash_cnt[2520][5]~62169\)) # (!\led_flash_cnt[2520][6]~q\ & ((\led_flash_cnt[2520][5]~62169\) # (GND)))
-- \led_flash_cnt[2520][6]~62171\ = CARRY((!\led_flash_cnt[2520][5]~62169\) # (!\led_flash_cnt[2520][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2520][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2520][5]~62169\,
	combout => \led_flash_cnt[2520][6]~62170_combout\,
	cout => \led_flash_cnt[2520][6]~62171\);

-- Location: FF_X74_Y36_N23
\led_flash_cnt[2520][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2520][6]~62170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2520][6]~q\);

-- Location: LCCOMB_X74_Y36_N10
\WideAnd2520~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2520~1_combout\ = (\led_flash_cnt[2520][6]~q\ & \led_flash_cnt[2520][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2520][6]~q\,
	datad => \led_flash_cnt[2520][5]~q\,
	combout => \WideAnd2520~1_combout\);

-- Location: LCCOMB_X74_Y36_N26
\WideAnd2520~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2520~0_combout\ = (\led_flash_cnt[2520][1]~q\ & (\led_flash_cnt[2520][4]~q\ & (\led_flash_cnt[2520][2]~q\ & \led_flash_cnt[2520][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2520][1]~q\,
	datab => \led_flash_cnt[2520][4]~q\,
	datac => \led_flash_cnt[2520][2]~q\,
	datad => \led_flash_cnt[2520][3]~q\,
	combout => \WideAnd2520~0_combout\);

-- Location: LCCOMB_X74_Y36_N24
\led_flash_cnt[2520][7]~62172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2520][7]~62172_combout\ = \led_flash_cnt[2520][6]~62171\ $ (!\led_flash_cnt[2520][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2520][7]~q\,
	cin => \led_flash_cnt[2520][6]~62171\,
	combout => \led_flash_cnt[2520][7]~62172_combout\);

-- Location: FF_X74_Y36_N25
\led_flash_cnt[2520][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2520][7]~62172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2520][7]~q\);

-- Location: LCCOMB_X74_Y36_N2
WideAnd2520 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2520~combout\ = (\WideAnd2520~1_combout\ & (\led_flash_cnt[2520][0]~q\ & (\WideAnd2520~0_combout\ & \led_flash_cnt[2520][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2520~1_combout\,
	datab => \led_flash_cnt[2520][0]~q\,
	datac => \WideAnd2520~0_combout\,
	datad => \led_flash_cnt[2520][7]~q\,
	combout => \WideAnd2520~combout\);

-- Location: FF_X74_Y36_N3
\led_flash_cnt_ands[2520]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2520~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2520));

-- Location: LCCOMB_X69_Y36_N30
\led_flash_cnt[2523][0]~83163\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2523][0]~83163_combout\ = !\led_flash_cnt[2523][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2523][0]~q\,
	combout => \led_flash_cnt[2523][0]~83163_combout\);

-- Location: FF_X69_Y36_N31
\led_flash_cnt[2523][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2523][0]~83163_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2523][0]~q\);

-- Location: LCCOMB_X69_Y36_N8
\led_flash_cnt[2523][1]~62202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2523][1]~62202_combout\ = (\led_flash_cnt[2523][0]~q\ & (\led_flash_cnt[2523][1]~q\ $ (VCC))) # (!\led_flash_cnt[2523][0]~q\ & (\led_flash_cnt[2523][1]~q\ & VCC))
-- \led_flash_cnt[2523][1]~62203\ = CARRY((\led_flash_cnt[2523][0]~q\ & \led_flash_cnt[2523][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2523][0]~q\,
	datab => \led_flash_cnt[2523][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2523][1]~62202_combout\,
	cout => \led_flash_cnt[2523][1]~62203\);

-- Location: FF_X69_Y36_N9
\led_flash_cnt[2523][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2523][1]~62202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2523][1]~q\);

-- Location: LCCOMB_X69_Y36_N10
\led_flash_cnt[2523][2]~62204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2523][2]~62204_combout\ = (\led_flash_cnt[2523][2]~q\ & (!\led_flash_cnt[2523][1]~62203\)) # (!\led_flash_cnt[2523][2]~q\ & ((\led_flash_cnt[2523][1]~62203\) # (GND)))
-- \led_flash_cnt[2523][2]~62205\ = CARRY((!\led_flash_cnt[2523][1]~62203\) # (!\led_flash_cnt[2523][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2523][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2523][1]~62203\,
	combout => \led_flash_cnt[2523][2]~62204_combout\,
	cout => \led_flash_cnt[2523][2]~62205\);

-- Location: FF_X69_Y36_N11
\led_flash_cnt[2523][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2523][2]~62204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2523][2]~q\);

-- Location: LCCOMB_X69_Y36_N12
\led_flash_cnt[2523][3]~62206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2523][3]~62206_combout\ = (\led_flash_cnt[2523][3]~q\ & (\led_flash_cnt[2523][2]~62205\ $ (GND))) # (!\led_flash_cnt[2523][3]~q\ & (!\led_flash_cnt[2523][2]~62205\ & VCC))
-- \led_flash_cnt[2523][3]~62207\ = CARRY((\led_flash_cnt[2523][3]~q\ & !\led_flash_cnt[2523][2]~62205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2523][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2523][2]~62205\,
	combout => \led_flash_cnt[2523][3]~62206_combout\,
	cout => \led_flash_cnt[2523][3]~62207\);

-- Location: FF_X69_Y36_N13
\led_flash_cnt[2523][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2523][3]~62206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2523][3]~q\);

-- Location: LCCOMB_X69_Y36_N14
\led_flash_cnt[2523][4]~62208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2523][4]~62208_combout\ = (\led_flash_cnt[2523][4]~q\ & (!\led_flash_cnt[2523][3]~62207\)) # (!\led_flash_cnt[2523][4]~q\ & ((\led_flash_cnt[2523][3]~62207\) # (GND)))
-- \led_flash_cnt[2523][4]~62209\ = CARRY((!\led_flash_cnt[2523][3]~62207\) # (!\led_flash_cnt[2523][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2523][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2523][3]~62207\,
	combout => \led_flash_cnt[2523][4]~62208_combout\,
	cout => \led_flash_cnt[2523][4]~62209\);

-- Location: FF_X69_Y36_N15
\led_flash_cnt[2523][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2523][4]~62208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2523][4]~q\);

-- Location: LCCOMB_X69_Y36_N16
\led_flash_cnt[2523][5]~62210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2523][5]~62210_combout\ = (\led_flash_cnt[2523][5]~q\ & (\led_flash_cnt[2523][4]~62209\ $ (GND))) # (!\led_flash_cnt[2523][5]~q\ & (!\led_flash_cnt[2523][4]~62209\ & VCC))
-- \led_flash_cnt[2523][5]~62211\ = CARRY((\led_flash_cnt[2523][5]~q\ & !\led_flash_cnt[2523][4]~62209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2523][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2523][4]~62209\,
	combout => \led_flash_cnt[2523][5]~62210_combout\,
	cout => \led_flash_cnt[2523][5]~62211\);

-- Location: FF_X69_Y36_N17
\led_flash_cnt[2523][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2523][5]~62210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2523][5]~q\);

-- Location: LCCOMB_X69_Y36_N18
\led_flash_cnt[2523][6]~62212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2523][6]~62212_combout\ = (\led_flash_cnt[2523][6]~q\ & (!\led_flash_cnt[2523][5]~62211\)) # (!\led_flash_cnt[2523][6]~q\ & ((\led_flash_cnt[2523][5]~62211\) # (GND)))
-- \led_flash_cnt[2523][6]~62213\ = CARRY((!\led_flash_cnt[2523][5]~62211\) # (!\led_flash_cnt[2523][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2523][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2523][5]~62211\,
	combout => \led_flash_cnt[2523][6]~62212_combout\,
	cout => \led_flash_cnt[2523][6]~62213\);

-- Location: FF_X69_Y36_N19
\led_flash_cnt[2523][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2523][6]~62212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2523][6]~q\);

-- Location: LCCOMB_X69_Y36_N20
\led_flash_cnt[2523][7]~62214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2523][7]~62214_combout\ = \led_flash_cnt[2523][6]~62213\ $ (!\led_flash_cnt[2523][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2523][7]~q\,
	cin => \led_flash_cnt[2523][6]~62213\,
	combout => \led_flash_cnt[2523][7]~62214_combout\);

-- Location: FF_X69_Y36_N21
\led_flash_cnt[2523][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2523][7]~62214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2523][7]~q\);

-- Location: LCCOMB_X69_Y36_N4
\WideAnd2523~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2523~1_combout\ = (\led_flash_cnt[2523][6]~q\ & \led_flash_cnt[2523][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2523][6]~q\,
	datad => \led_flash_cnt[2523][5]~q\,
	combout => \WideAnd2523~1_combout\);

-- Location: LCCOMB_X69_Y36_N24
\WideAnd2523~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2523~0_combout\ = (\led_flash_cnt[2523][3]~q\ & (\led_flash_cnt[2523][1]~q\ & (\led_flash_cnt[2523][4]~q\ & \led_flash_cnt[2523][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2523][3]~q\,
	datab => \led_flash_cnt[2523][1]~q\,
	datac => \led_flash_cnt[2523][4]~q\,
	datad => \led_flash_cnt[2523][2]~q\,
	combout => \WideAnd2523~0_combout\);

-- Location: LCCOMB_X69_Y36_N28
WideAnd2523 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2523~combout\ = (\led_flash_cnt[2523][0]~q\ & (\led_flash_cnt[2523][7]~q\ & (\WideAnd2523~1_combout\ & \WideAnd2523~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2523][0]~q\,
	datab => \led_flash_cnt[2523][7]~q\,
	datac => \WideAnd2523~1_combout\,
	datad => \WideAnd2523~0_combout\,
	combout => \WideAnd2523~combout\);

-- Location: FF_X69_Y36_N29
\led_flash_cnt_ands[2523]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2523~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2523));

-- Location: LCCOMB_X74_Y35_N10
\led_flash_cnt[2521][0]~83161\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2521][0]~83161_combout\ = !\led_flash_cnt[2521][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2521][0]~q\,
	combout => \led_flash_cnt[2521][0]~83161_combout\);

-- Location: FF_X74_Y35_N11
\led_flash_cnt[2521][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2521][0]~83161_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2521][0]~q\);

-- Location: LCCOMB_X74_Y35_N12
\led_flash_cnt[2521][1]~62174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2521][1]~62174_combout\ = (\led_flash_cnt[2521][1]~q\ & (\led_flash_cnt[2521][0]~q\ $ (VCC))) # (!\led_flash_cnt[2521][1]~q\ & (\led_flash_cnt[2521][0]~q\ & VCC))
-- \led_flash_cnt[2521][1]~62175\ = CARRY((\led_flash_cnt[2521][1]~q\ & \led_flash_cnt[2521][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2521][1]~q\,
	datab => \led_flash_cnt[2521][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2521][1]~62174_combout\,
	cout => \led_flash_cnt[2521][1]~62175\);

-- Location: FF_X74_Y35_N13
\led_flash_cnt[2521][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2521][1]~62174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2521][1]~q\);

-- Location: LCCOMB_X74_Y35_N14
\led_flash_cnt[2521][2]~62176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2521][2]~62176_combout\ = (\led_flash_cnt[2521][2]~q\ & (!\led_flash_cnt[2521][1]~62175\)) # (!\led_flash_cnt[2521][2]~q\ & ((\led_flash_cnt[2521][1]~62175\) # (GND)))
-- \led_flash_cnt[2521][2]~62177\ = CARRY((!\led_flash_cnt[2521][1]~62175\) # (!\led_flash_cnt[2521][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2521][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2521][1]~62175\,
	combout => \led_flash_cnt[2521][2]~62176_combout\,
	cout => \led_flash_cnt[2521][2]~62177\);

-- Location: FF_X74_Y35_N15
\led_flash_cnt[2521][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2521][2]~62176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2521][2]~q\);

-- Location: LCCOMB_X74_Y35_N16
\led_flash_cnt[2521][3]~62178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2521][3]~62178_combout\ = (\led_flash_cnt[2521][3]~q\ & (\led_flash_cnt[2521][2]~62177\ $ (GND))) # (!\led_flash_cnt[2521][3]~q\ & (!\led_flash_cnt[2521][2]~62177\ & VCC))
-- \led_flash_cnt[2521][3]~62179\ = CARRY((\led_flash_cnt[2521][3]~q\ & !\led_flash_cnt[2521][2]~62177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2521][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2521][2]~62177\,
	combout => \led_flash_cnt[2521][3]~62178_combout\,
	cout => \led_flash_cnt[2521][3]~62179\);

-- Location: FF_X74_Y35_N17
\led_flash_cnt[2521][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2521][3]~62178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2521][3]~q\);

-- Location: LCCOMB_X74_Y35_N18
\led_flash_cnt[2521][4]~62180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2521][4]~62180_combout\ = (\led_flash_cnt[2521][4]~q\ & (!\led_flash_cnt[2521][3]~62179\)) # (!\led_flash_cnt[2521][4]~q\ & ((\led_flash_cnt[2521][3]~62179\) # (GND)))
-- \led_flash_cnt[2521][4]~62181\ = CARRY((!\led_flash_cnt[2521][3]~62179\) # (!\led_flash_cnt[2521][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2521][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2521][3]~62179\,
	combout => \led_flash_cnt[2521][4]~62180_combout\,
	cout => \led_flash_cnt[2521][4]~62181\);

-- Location: FF_X74_Y35_N19
\led_flash_cnt[2521][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2521][4]~62180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2521][4]~q\);

-- Location: LCCOMB_X74_Y35_N20
\led_flash_cnt[2521][5]~62182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2521][5]~62182_combout\ = (\led_flash_cnt[2521][5]~q\ & (\led_flash_cnt[2521][4]~62181\ $ (GND))) # (!\led_flash_cnt[2521][5]~q\ & (!\led_flash_cnt[2521][4]~62181\ & VCC))
-- \led_flash_cnt[2521][5]~62183\ = CARRY((\led_flash_cnt[2521][5]~q\ & !\led_flash_cnt[2521][4]~62181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2521][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2521][4]~62181\,
	combout => \led_flash_cnt[2521][5]~62182_combout\,
	cout => \led_flash_cnt[2521][5]~62183\);

-- Location: FF_X74_Y35_N21
\led_flash_cnt[2521][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2521][5]~62182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2521][5]~q\);

-- Location: LCCOMB_X74_Y35_N22
\led_flash_cnt[2521][6]~62184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2521][6]~62184_combout\ = (\led_flash_cnt[2521][6]~q\ & (!\led_flash_cnt[2521][5]~62183\)) # (!\led_flash_cnt[2521][6]~q\ & ((\led_flash_cnt[2521][5]~62183\) # (GND)))
-- \led_flash_cnt[2521][6]~62185\ = CARRY((!\led_flash_cnt[2521][5]~62183\) # (!\led_flash_cnt[2521][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2521][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2521][5]~62183\,
	combout => \led_flash_cnt[2521][6]~62184_combout\,
	cout => \led_flash_cnt[2521][6]~62185\);

-- Location: FF_X74_Y35_N23
\led_flash_cnt[2521][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2521][6]~62184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2521][6]~q\);

-- Location: LCCOMB_X74_Y35_N24
\led_flash_cnt[2521][7]~62186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2521][7]~62186_combout\ = \led_flash_cnt[2521][6]~62185\ $ (!\led_flash_cnt[2521][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2521][7]~q\,
	cin => \led_flash_cnt[2521][6]~62185\,
	combout => \led_flash_cnt[2521][7]~62186_combout\);

-- Location: FF_X74_Y35_N25
\led_flash_cnt[2521][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2521][7]~62186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2521][7]~q\);

-- Location: LCCOMB_X74_Y35_N26
\WideAnd2521~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2521~0_combout\ = (\led_flash_cnt[2521][1]~q\ & (\led_flash_cnt[2521][4]~q\ & (\led_flash_cnt[2521][2]~q\ & \led_flash_cnt[2521][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2521][1]~q\,
	datab => \led_flash_cnt[2521][4]~q\,
	datac => \led_flash_cnt[2521][2]~q\,
	datad => \led_flash_cnt[2521][3]~q\,
	combout => \WideAnd2521~0_combout\);

-- Location: LCCOMB_X74_Y35_N0
\WideAnd2521~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2521~1_combout\ = (\led_flash_cnt[2521][6]~q\ & \led_flash_cnt[2521][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2521][6]~q\,
	datad => \led_flash_cnt[2521][5]~q\,
	combout => \WideAnd2521~1_combout\);

-- Location: LCCOMB_X74_Y35_N28
WideAnd2521 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2521~combout\ = (\led_flash_cnt[2521][0]~q\ & (\led_flash_cnt[2521][7]~q\ & (\WideAnd2521~0_combout\ & \WideAnd2521~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2521][0]~q\,
	datab => \led_flash_cnt[2521][7]~q\,
	datac => \WideAnd2521~0_combout\,
	datad => \WideAnd2521~1_combout\,
	combout => \WideAnd2521~combout\);

-- Location: FF_X74_Y35_N29
\led_flash_cnt_ands[2521]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2521~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2521));

-- Location: LCCOMB_X69_Y36_N6
\led_flash_cnt[2522][0]~83162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2522][0]~83162_combout\ = !\led_flash_cnt[2522][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2522][0]~q\,
	combout => \led_flash_cnt[2522][0]~83162_combout\);

-- Location: FF_X69_Y36_N7
\led_flash_cnt[2522][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2522][0]~83162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2522][0]~q\);

-- Location: LCCOMB_X70_Y36_N16
\led_flash_cnt[2522][1]~62188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2522][1]~62188_combout\ = (\led_flash_cnt[2522][0]~q\ & (\led_flash_cnt[2522][1]~q\ $ (VCC))) # (!\led_flash_cnt[2522][0]~q\ & (\led_flash_cnt[2522][1]~q\ & VCC))
-- \led_flash_cnt[2522][1]~62189\ = CARRY((\led_flash_cnt[2522][0]~q\ & \led_flash_cnt[2522][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2522][0]~q\,
	datab => \led_flash_cnt[2522][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2522][1]~62188_combout\,
	cout => \led_flash_cnt[2522][1]~62189\);

-- Location: FF_X70_Y36_N17
\led_flash_cnt[2522][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2522][1]~62188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2522][1]~q\);

-- Location: LCCOMB_X70_Y36_N18
\led_flash_cnt[2522][2]~62190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2522][2]~62190_combout\ = (\led_flash_cnt[2522][2]~q\ & (!\led_flash_cnt[2522][1]~62189\)) # (!\led_flash_cnt[2522][2]~q\ & ((\led_flash_cnt[2522][1]~62189\) # (GND)))
-- \led_flash_cnt[2522][2]~62191\ = CARRY((!\led_flash_cnt[2522][1]~62189\) # (!\led_flash_cnt[2522][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2522][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2522][1]~62189\,
	combout => \led_flash_cnt[2522][2]~62190_combout\,
	cout => \led_flash_cnt[2522][2]~62191\);

-- Location: FF_X70_Y36_N19
\led_flash_cnt[2522][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2522][2]~62190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2522][2]~q\);

-- Location: LCCOMB_X70_Y36_N20
\led_flash_cnt[2522][3]~62192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2522][3]~62192_combout\ = (\led_flash_cnt[2522][3]~q\ & (\led_flash_cnt[2522][2]~62191\ $ (GND))) # (!\led_flash_cnt[2522][3]~q\ & (!\led_flash_cnt[2522][2]~62191\ & VCC))
-- \led_flash_cnt[2522][3]~62193\ = CARRY((\led_flash_cnt[2522][3]~q\ & !\led_flash_cnt[2522][2]~62191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2522][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2522][2]~62191\,
	combout => \led_flash_cnt[2522][3]~62192_combout\,
	cout => \led_flash_cnt[2522][3]~62193\);

-- Location: FF_X70_Y36_N21
\led_flash_cnt[2522][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2522][3]~62192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2522][3]~q\);

-- Location: LCCOMB_X70_Y36_N22
\led_flash_cnt[2522][4]~62194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2522][4]~62194_combout\ = (\led_flash_cnt[2522][4]~q\ & (!\led_flash_cnt[2522][3]~62193\)) # (!\led_flash_cnt[2522][4]~q\ & ((\led_flash_cnt[2522][3]~62193\) # (GND)))
-- \led_flash_cnt[2522][4]~62195\ = CARRY((!\led_flash_cnt[2522][3]~62193\) # (!\led_flash_cnt[2522][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2522][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2522][3]~62193\,
	combout => \led_flash_cnt[2522][4]~62194_combout\,
	cout => \led_flash_cnt[2522][4]~62195\);

-- Location: FF_X70_Y36_N23
\led_flash_cnt[2522][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2522][4]~62194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2522][4]~q\);

-- Location: LCCOMB_X70_Y36_N0
\WideAnd2522~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2522~0_combout\ = (\led_flash_cnt[2522][1]~q\ & (\led_flash_cnt[2522][3]~q\ & (\led_flash_cnt[2522][4]~q\ & \led_flash_cnt[2522][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2522][1]~q\,
	datab => \led_flash_cnt[2522][3]~q\,
	datac => \led_flash_cnt[2522][4]~q\,
	datad => \led_flash_cnt[2522][2]~q\,
	combout => \WideAnd2522~0_combout\);

-- Location: LCCOMB_X70_Y36_N24
\led_flash_cnt[2522][5]~62196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2522][5]~62196_combout\ = (\led_flash_cnt[2522][5]~q\ & (\led_flash_cnt[2522][4]~62195\ $ (GND))) # (!\led_flash_cnt[2522][5]~q\ & (!\led_flash_cnt[2522][4]~62195\ & VCC))
-- \led_flash_cnt[2522][5]~62197\ = CARRY((\led_flash_cnt[2522][5]~q\ & !\led_flash_cnt[2522][4]~62195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2522][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2522][4]~62195\,
	combout => \led_flash_cnt[2522][5]~62196_combout\,
	cout => \led_flash_cnt[2522][5]~62197\);

-- Location: FF_X70_Y36_N25
\led_flash_cnt[2522][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2522][5]~62196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2522][5]~q\);

-- Location: LCCOMB_X70_Y36_N26
\led_flash_cnt[2522][6]~62198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2522][6]~62198_combout\ = (\led_flash_cnt[2522][6]~q\ & (!\led_flash_cnt[2522][5]~62197\)) # (!\led_flash_cnt[2522][6]~q\ & ((\led_flash_cnt[2522][5]~62197\) # (GND)))
-- \led_flash_cnt[2522][6]~62199\ = CARRY((!\led_flash_cnt[2522][5]~62197\) # (!\led_flash_cnt[2522][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2522][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2522][5]~62197\,
	combout => \led_flash_cnt[2522][6]~62198_combout\,
	cout => \led_flash_cnt[2522][6]~62199\);

-- Location: FF_X70_Y36_N27
\led_flash_cnt[2522][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2522][6]~62198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2522][6]~q\);

-- Location: LCCOMB_X69_Y36_N22
\WideAnd2522~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2522~1_combout\ = (\led_flash_cnt[2522][6]~q\ & \led_flash_cnt[2522][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2522][6]~q\,
	datad => \led_flash_cnt[2522][5]~q\,
	combout => \WideAnd2522~1_combout\);

-- Location: LCCOMB_X70_Y36_N28
\led_flash_cnt[2522][7]~62200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2522][7]~62200_combout\ = \led_flash_cnt[2522][6]~62199\ $ (!\led_flash_cnt[2522][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2522][7]~q\,
	cin => \led_flash_cnt[2522][6]~62199\,
	combout => \led_flash_cnt[2522][7]~62200_combout\);

-- Location: FF_X70_Y36_N29
\led_flash_cnt[2522][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2522][7]~62200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2522][7]~q\);

-- Location: LCCOMB_X69_Y36_N2
WideAnd2522 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2522~combout\ = (\led_flash_cnt[2522][0]~q\ & (\WideAnd2522~0_combout\ & (\WideAnd2522~1_combout\ & \led_flash_cnt[2522][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2522][0]~q\,
	datab => \WideAnd2522~0_combout\,
	datac => \WideAnd2522~1_combout\,
	datad => \led_flash_cnt[2522][7]~q\,
	combout => \WideAnd2522~combout\);

-- Location: FF_X69_Y36_N3
\led_flash_cnt_ands[2522]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2522~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2522));

-- Location: LCCOMB_X69_Y36_N0
\WideAnd4155~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4155~0_combout\ = (led_flash_cnt_ands(2520) & (led_flash_cnt_ands(2523) & (led_flash_cnt_ands(2521) & led_flash_cnt_ands(2522))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2520),
	datab => led_flash_cnt_ands(2523),
	datac => led_flash_cnt_ands(2521),
	datad => led_flash_cnt_ands(2522),
	combout => \WideAnd4155~0_combout\);

-- Location: LCCOMB_X57_Y49_N8
WideAnd4155 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4155~combout\ = (\WideAnd4155~1_combout\ & (led_flash_cnt_ands(2526) & (led_flash_cnt_ands(2527) & \WideAnd4155~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4155~1_combout\,
	datab => led_flash_cnt_ands(2526),
	datac => led_flash_cnt_ands(2527),
	datad => \WideAnd4155~0_combout\,
	combout => \WideAnd4155~combout\);

-- Location: FF_X57_Y49_N9
\led_flash_cnt_ands_1[315]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4155~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(315));

-- Location: LCCOMB_X67_Y49_N30
\led_flash_cnt[2501][0]~83137\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2501][0]~83137_combout\ = !\led_flash_cnt[2501][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2501][0]~q\,
	combout => \led_flash_cnt[2501][0]~83137_combout\);

-- Location: FF_X67_Y49_N31
\led_flash_cnt[2501][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2501][0]~83137_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2501][0]~q\);

-- Location: LCCOMB_X67_Y49_N16
\led_flash_cnt[2501][1]~61838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2501][1]~61838_combout\ = (\led_flash_cnt[2501][0]~q\ & (\led_flash_cnt[2501][1]~q\ $ (VCC))) # (!\led_flash_cnt[2501][0]~q\ & (\led_flash_cnt[2501][1]~q\ & VCC))
-- \led_flash_cnt[2501][1]~61839\ = CARRY((\led_flash_cnt[2501][0]~q\ & \led_flash_cnt[2501][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2501][0]~q\,
	datab => \led_flash_cnt[2501][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2501][1]~61838_combout\,
	cout => \led_flash_cnt[2501][1]~61839\);

-- Location: FF_X67_Y49_N17
\led_flash_cnt[2501][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2501][1]~61838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2501][1]~q\);

-- Location: LCCOMB_X67_Y49_N18
\led_flash_cnt[2501][2]~61840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2501][2]~61840_combout\ = (\led_flash_cnt[2501][2]~q\ & (!\led_flash_cnt[2501][1]~61839\)) # (!\led_flash_cnt[2501][2]~q\ & ((\led_flash_cnt[2501][1]~61839\) # (GND)))
-- \led_flash_cnt[2501][2]~61841\ = CARRY((!\led_flash_cnt[2501][1]~61839\) # (!\led_flash_cnt[2501][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2501][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2501][1]~61839\,
	combout => \led_flash_cnt[2501][2]~61840_combout\,
	cout => \led_flash_cnt[2501][2]~61841\);

-- Location: FF_X67_Y49_N19
\led_flash_cnt[2501][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2501][2]~61840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2501][2]~q\);

-- Location: LCCOMB_X67_Y49_N20
\led_flash_cnt[2501][3]~61842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2501][3]~61842_combout\ = (\led_flash_cnt[2501][3]~q\ & (\led_flash_cnt[2501][2]~61841\ $ (GND))) # (!\led_flash_cnt[2501][3]~q\ & (!\led_flash_cnt[2501][2]~61841\ & VCC))
-- \led_flash_cnt[2501][3]~61843\ = CARRY((\led_flash_cnt[2501][3]~q\ & !\led_flash_cnt[2501][2]~61841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2501][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2501][2]~61841\,
	combout => \led_flash_cnt[2501][3]~61842_combout\,
	cout => \led_flash_cnt[2501][3]~61843\);

-- Location: FF_X67_Y49_N21
\led_flash_cnt[2501][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2501][3]~61842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2501][3]~q\);

-- Location: LCCOMB_X67_Y49_N22
\led_flash_cnt[2501][4]~61844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2501][4]~61844_combout\ = (\led_flash_cnt[2501][4]~q\ & (!\led_flash_cnt[2501][3]~61843\)) # (!\led_flash_cnt[2501][4]~q\ & ((\led_flash_cnt[2501][3]~61843\) # (GND)))
-- \led_flash_cnt[2501][4]~61845\ = CARRY((!\led_flash_cnt[2501][3]~61843\) # (!\led_flash_cnt[2501][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2501][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2501][3]~61843\,
	combout => \led_flash_cnt[2501][4]~61844_combout\,
	cout => \led_flash_cnt[2501][4]~61845\);

-- Location: FF_X67_Y49_N23
\led_flash_cnt[2501][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2501][4]~61844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2501][4]~q\);

-- Location: LCCOMB_X67_Y49_N24
\led_flash_cnt[2501][5]~61846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2501][5]~61846_combout\ = (\led_flash_cnt[2501][5]~q\ & (\led_flash_cnt[2501][4]~61845\ $ (GND))) # (!\led_flash_cnt[2501][5]~q\ & (!\led_flash_cnt[2501][4]~61845\ & VCC))
-- \led_flash_cnt[2501][5]~61847\ = CARRY((\led_flash_cnt[2501][5]~q\ & !\led_flash_cnt[2501][4]~61845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2501][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2501][4]~61845\,
	combout => \led_flash_cnt[2501][5]~61846_combout\,
	cout => \led_flash_cnt[2501][5]~61847\);

-- Location: FF_X67_Y49_N25
\led_flash_cnt[2501][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2501][5]~61846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2501][5]~q\);

-- Location: LCCOMB_X67_Y49_N26
\led_flash_cnt[2501][6]~61848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2501][6]~61848_combout\ = (\led_flash_cnt[2501][6]~q\ & (!\led_flash_cnt[2501][5]~61847\)) # (!\led_flash_cnt[2501][6]~q\ & ((\led_flash_cnt[2501][5]~61847\) # (GND)))
-- \led_flash_cnt[2501][6]~61849\ = CARRY((!\led_flash_cnt[2501][5]~61847\) # (!\led_flash_cnt[2501][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2501][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2501][5]~61847\,
	combout => \led_flash_cnt[2501][6]~61848_combout\,
	cout => \led_flash_cnt[2501][6]~61849\);

-- Location: FF_X67_Y49_N27
\led_flash_cnt[2501][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2501][6]~61848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2501][6]~q\);

-- Location: LCCOMB_X67_Y49_N28
\led_flash_cnt[2501][7]~61850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2501][7]~61850_combout\ = \led_flash_cnt[2501][6]~61849\ $ (!\led_flash_cnt[2501][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2501][7]~q\,
	cin => \led_flash_cnt[2501][6]~61849\,
	combout => \led_flash_cnt[2501][7]~61850_combout\);

-- Location: FF_X67_Y49_N29
\led_flash_cnt[2501][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2501][7]~61850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2501][7]~q\);

-- Location: LCCOMB_X67_Y49_N4
\WideAnd2501~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2501~1_combout\ = (\led_flash_cnt[2501][6]~q\ & \led_flash_cnt[2501][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2501][6]~q\,
	datad => \led_flash_cnt[2501][5]~q\,
	combout => \WideAnd2501~1_combout\);

-- Location: LCCOMB_X67_Y49_N12
\WideAnd2501~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2501~0_combout\ = (\led_flash_cnt[2501][3]~q\ & (\led_flash_cnt[2501][2]~q\ & (\led_flash_cnt[2501][4]~q\ & \led_flash_cnt[2501][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2501][3]~q\,
	datab => \led_flash_cnt[2501][2]~q\,
	datac => \led_flash_cnt[2501][4]~q\,
	datad => \led_flash_cnt[2501][1]~q\,
	combout => \WideAnd2501~0_combout\);

-- Location: LCCOMB_X67_Y49_N10
WideAnd2501 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2501~combout\ = (\led_flash_cnt[2501][0]~q\ & (\led_flash_cnt[2501][7]~q\ & (\WideAnd2501~1_combout\ & \WideAnd2501~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2501][0]~q\,
	datab => \led_flash_cnt[2501][7]~q\,
	datac => \WideAnd2501~1_combout\,
	datad => \WideAnd2501~0_combout\,
	combout => \WideAnd2501~combout\);

-- Location: FF_X67_Y49_N11
\led_flash_cnt_ands[2501]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2501~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2501));

-- Location: LCCOMB_X74_Y5_N4
\led_flash_cnt[2497][0]~83139\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2497][0]~83139_combout\ = !\led_flash_cnt[2497][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2497][0]~q\,
	combout => \led_flash_cnt[2497][0]~83139_combout\);

-- Location: FF_X74_Y5_N5
\led_flash_cnt[2497][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2497][0]~83139_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2497][0]~q\);

-- Location: LCCOMB_X74_Y5_N10
\led_flash_cnt[2497][1]~61866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2497][1]~61866_combout\ = (\led_flash_cnt[2497][1]~q\ & (\led_flash_cnt[2497][0]~q\ $ (VCC))) # (!\led_flash_cnt[2497][1]~q\ & (\led_flash_cnt[2497][0]~q\ & VCC))
-- \led_flash_cnt[2497][1]~61867\ = CARRY((\led_flash_cnt[2497][1]~q\ & \led_flash_cnt[2497][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2497][1]~q\,
	datab => \led_flash_cnt[2497][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2497][1]~61866_combout\,
	cout => \led_flash_cnt[2497][1]~61867\);

-- Location: FF_X74_Y5_N11
\led_flash_cnt[2497][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2497][1]~61866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2497][1]~q\);

-- Location: LCCOMB_X74_Y5_N12
\led_flash_cnt[2497][2]~61868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2497][2]~61868_combout\ = (\led_flash_cnt[2497][2]~q\ & (!\led_flash_cnt[2497][1]~61867\)) # (!\led_flash_cnt[2497][2]~q\ & ((\led_flash_cnt[2497][1]~61867\) # (GND)))
-- \led_flash_cnt[2497][2]~61869\ = CARRY((!\led_flash_cnt[2497][1]~61867\) # (!\led_flash_cnt[2497][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2497][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2497][1]~61867\,
	combout => \led_flash_cnt[2497][2]~61868_combout\,
	cout => \led_flash_cnt[2497][2]~61869\);

-- Location: FF_X74_Y5_N13
\led_flash_cnt[2497][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2497][2]~61868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2497][2]~q\);

-- Location: LCCOMB_X74_Y5_N14
\led_flash_cnt[2497][3]~61870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2497][3]~61870_combout\ = (\led_flash_cnt[2497][3]~q\ & (\led_flash_cnt[2497][2]~61869\ $ (GND))) # (!\led_flash_cnt[2497][3]~q\ & (!\led_flash_cnt[2497][2]~61869\ & VCC))
-- \led_flash_cnt[2497][3]~61871\ = CARRY((\led_flash_cnt[2497][3]~q\ & !\led_flash_cnt[2497][2]~61869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2497][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2497][2]~61869\,
	combout => \led_flash_cnt[2497][3]~61870_combout\,
	cout => \led_flash_cnt[2497][3]~61871\);

-- Location: FF_X74_Y5_N15
\led_flash_cnt[2497][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2497][3]~61870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2497][3]~q\);

-- Location: LCCOMB_X74_Y5_N16
\led_flash_cnt[2497][4]~61872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2497][4]~61872_combout\ = (\led_flash_cnt[2497][4]~q\ & (!\led_flash_cnt[2497][3]~61871\)) # (!\led_flash_cnt[2497][4]~q\ & ((\led_flash_cnt[2497][3]~61871\) # (GND)))
-- \led_flash_cnt[2497][4]~61873\ = CARRY((!\led_flash_cnt[2497][3]~61871\) # (!\led_flash_cnt[2497][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2497][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2497][3]~61871\,
	combout => \led_flash_cnt[2497][4]~61872_combout\,
	cout => \led_flash_cnt[2497][4]~61873\);

-- Location: FF_X74_Y5_N17
\led_flash_cnt[2497][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2497][4]~61872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2497][4]~q\);

-- Location: LCCOMB_X74_Y5_N18
\led_flash_cnt[2497][5]~61874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2497][5]~61874_combout\ = (\led_flash_cnt[2497][5]~q\ & (\led_flash_cnt[2497][4]~61873\ $ (GND))) # (!\led_flash_cnt[2497][5]~q\ & (!\led_flash_cnt[2497][4]~61873\ & VCC))
-- \led_flash_cnt[2497][5]~61875\ = CARRY((\led_flash_cnt[2497][5]~q\ & !\led_flash_cnt[2497][4]~61873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2497][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2497][4]~61873\,
	combout => \led_flash_cnt[2497][5]~61874_combout\,
	cout => \led_flash_cnt[2497][5]~61875\);

-- Location: FF_X74_Y5_N19
\led_flash_cnt[2497][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2497][5]~61874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2497][5]~q\);

-- Location: LCCOMB_X74_Y5_N20
\led_flash_cnt[2497][6]~61876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2497][6]~61876_combout\ = (\led_flash_cnt[2497][6]~q\ & (!\led_flash_cnt[2497][5]~61875\)) # (!\led_flash_cnt[2497][6]~q\ & ((\led_flash_cnt[2497][5]~61875\) # (GND)))
-- \led_flash_cnt[2497][6]~61877\ = CARRY((!\led_flash_cnt[2497][5]~61875\) # (!\led_flash_cnt[2497][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2497][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2497][5]~61875\,
	combout => \led_flash_cnt[2497][6]~61876_combout\,
	cout => \led_flash_cnt[2497][6]~61877\);

-- Location: FF_X74_Y5_N21
\led_flash_cnt[2497][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2497][6]~61876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2497][6]~q\);

-- Location: LCCOMB_X74_Y5_N26
\WideAnd2497~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2497~1_combout\ = (\led_flash_cnt[2497][6]~q\ & \led_flash_cnt[2497][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2497][6]~q\,
	datad => \led_flash_cnt[2497][5]~q\,
	combout => \WideAnd2497~1_combout\);

-- Location: LCCOMB_X74_Y5_N22
\led_flash_cnt[2497][7]~61878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2497][7]~61878_combout\ = \led_flash_cnt[2497][7]~q\ $ (!\led_flash_cnt[2497][6]~61877\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2497][7]~q\,
	cin => \led_flash_cnt[2497][6]~61877\,
	combout => \led_flash_cnt[2497][7]~61878_combout\);

-- Location: FF_X74_Y5_N23
\led_flash_cnt[2497][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2497][7]~61878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2497][7]~q\);

-- Location: LCCOMB_X74_Y5_N24
\WideAnd2497~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2497~0_combout\ = (\led_flash_cnt[2497][2]~q\ & (\led_flash_cnt[2497][4]~q\ & (\led_flash_cnt[2497][3]~q\ & \led_flash_cnt[2497][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2497][2]~q\,
	datab => \led_flash_cnt[2497][4]~q\,
	datac => \led_flash_cnt[2497][3]~q\,
	datad => \led_flash_cnt[2497][1]~q\,
	combout => \WideAnd2497~0_combout\);

-- Location: LCCOMB_X74_Y5_N8
WideAnd2497 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2497~combout\ = (\WideAnd2497~1_combout\ & (\led_flash_cnt[2497][0]~q\ & (\led_flash_cnt[2497][7]~q\ & \WideAnd2497~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2497~1_combout\,
	datab => \led_flash_cnt[2497][0]~q\,
	datac => \led_flash_cnt[2497][7]~q\,
	datad => \WideAnd2497~0_combout\,
	combout => \WideAnd2497~combout\);

-- Location: FF_X74_Y5_N9
\led_flash_cnt_ands[2497]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2497~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2497));

-- Location: LCCOMB_X75_Y5_N18
\led_flash_cnt[2496][0]~83138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2496][0]~83138_combout\ = !\led_flash_cnt[2496][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2496][0]~q\,
	combout => \led_flash_cnt[2496][0]~83138_combout\);

-- Location: FF_X75_Y5_N19
\led_flash_cnt[2496][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2496][0]~83138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2496][0]~q\);

-- Location: LCCOMB_X75_Y5_N0
\led_flash_cnt[2496][1]~61852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2496][1]~61852_combout\ = (\led_flash_cnt[2496][1]~q\ & (\led_flash_cnt[2496][0]~q\ $ (VCC))) # (!\led_flash_cnt[2496][1]~q\ & (\led_flash_cnt[2496][0]~q\ & VCC))
-- \led_flash_cnt[2496][1]~61853\ = CARRY((\led_flash_cnt[2496][1]~q\ & \led_flash_cnt[2496][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2496][1]~q\,
	datab => \led_flash_cnt[2496][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2496][1]~61852_combout\,
	cout => \led_flash_cnt[2496][1]~61853\);

-- Location: FF_X75_Y5_N1
\led_flash_cnt[2496][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2496][1]~61852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2496][1]~q\);

-- Location: LCCOMB_X75_Y5_N2
\led_flash_cnt[2496][2]~61854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2496][2]~61854_combout\ = (\led_flash_cnt[2496][2]~q\ & (!\led_flash_cnt[2496][1]~61853\)) # (!\led_flash_cnt[2496][2]~q\ & ((\led_flash_cnt[2496][1]~61853\) # (GND)))
-- \led_flash_cnt[2496][2]~61855\ = CARRY((!\led_flash_cnt[2496][1]~61853\) # (!\led_flash_cnt[2496][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2496][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2496][1]~61853\,
	combout => \led_flash_cnt[2496][2]~61854_combout\,
	cout => \led_flash_cnt[2496][2]~61855\);

-- Location: FF_X75_Y5_N3
\led_flash_cnt[2496][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2496][2]~61854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2496][2]~q\);

-- Location: LCCOMB_X75_Y5_N4
\led_flash_cnt[2496][3]~61856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2496][3]~61856_combout\ = (\led_flash_cnt[2496][3]~q\ & (\led_flash_cnt[2496][2]~61855\ $ (GND))) # (!\led_flash_cnt[2496][3]~q\ & (!\led_flash_cnt[2496][2]~61855\ & VCC))
-- \led_flash_cnt[2496][3]~61857\ = CARRY((\led_flash_cnt[2496][3]~q\ & !\led_flash_cnt[2496][2]~61855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2496][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2496][2]~61855\,
	combout => \led_flash_cnt[2496][3]~61856_combout\,
	cout => \led_flash_cnt[2496][3]~61857\);

-- Location: FF_X75_Y5_N5
\led_flash_cnt[2496][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2496][3]~61856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2496][3]~q\);

-- Location: LCCOMB_X75_Y5_N6
\led_flash_cnt[2496][4]~61858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2496][4]~61858_combout\ = (\led_flash_cnt[2496][4]~q\ & (!\led_flash_cnt[2496][3]~61857\)) # (!\led_flash_cnt[2496][4]~q\ & ((\led_flash_cnt[2496][3]~61857\) # (GND)))
-- \led_flash_cnt[2496][4]~61859\ = CARRY((!\led_flash_cnt[2496][3]~61857\) # (!\led_flash_cnt[2496][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2496][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2496][3]~61857\,
	combout => \led_flash_cnt[2496][4]~61858_combout\,
	cout => \led_flash_cnt[2496][4]~61859\);

-- Location: FF_X75_Y5_N7
\led_flash_cnt[2496][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2496][4]~61858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2496][4]~q\);

-- Location: LCCOMB_X75_Y5_N8
\led_flash_cnt[2496][5]~61860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2496][5]~61860_combout\ = (\led_flash_cnt[2496][5]~q\ & (\led_flash_cnt[2496][4]~61859\ $ (GND))) # (!\led_flash_cnt[2496][5]~q\ & (!\led_flash_cnt[2496][4]~61859\ & VCC))
-- \led_flash_cnt[2496][5]~61861\ = CARRY((\led_flash_cnt[2496][5]~q\ & !\led_flash_cnt[2496][4]~61859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2496][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2496][4]~61859\,
	combout => \led_flash_cnt[2496][5]~61860_combout\,
	cout => \led_flash_cnt[2496][5]~61861\);

-- Location: FF_X75_Y5_N9
\led_flash_cnt[2496][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2496][5]~61860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2496][5]~q\);

-- Location: LCCOMB_X75_Y5_N10
\led_flash_cnt[2496][6]~61862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2496][6]~61862_combout\ = (\led_flash_cnt[2496][6]~q\ & (!\led_flash_cnt[2496][5]~61861\)) # (!\led_flash_cnt[2496][6]~q\ & ((\led_flash_cnt[2496][5]~61861\) # (GND)))
-- \led_flash_cnt[2496][6]~61863\ = CARRY((!\led_flash_cnt[2496][5]~61861\) # (!\led_flash_cnt[2496][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2496][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2496][5]~61861\,
	combout => \led_flash_cnt[2496][6]~61862_combout\,
	cout => \led_flash_cnt[2496][6]~61863\);

-- Location: FF_X75_Y5_N11
\led_flash_cnt[2496][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2496][6]~61862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2496][6]~q\);

-- Location: LCCOMB_X75_Y5_N12
\led_flash_cnt[2496][7]~61864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2496][7]~61864_combout\ = \led_flash_cnt[2496][6]~61863\ $ (!\led_flash_cnt[2496][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2496][7]~q\,
	cin => \led_flash_cnt[2496][6]~61863\,
	combout => \led_flash_cnt[2496][7]~61864_combout\);

-- Location: FF_X75_Y5_N13
\led_flash_cnt[2496][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2496][7]~61864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2496][7]~q\);

-- Location: LCCOMB_X75_Y5_N28
\WideAnd2496~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2496~0_combout\ = (\led_flash_cnt[2496][4]~q\ & (\led_flash_cnt[2496][1]~q\ & (\led_flash_cnt[2496][3]~q\ & \led_flash_cnt[2496][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2496][4]~q\,
	datab => \led_flash_cnt[2496][1]~q\,
	datac => \led_flash_cnt[2496][3]~q\,
	datad => \led_flash_cnt[2496][2]~q\,
	combout => \WideAnd2496~0_combout\);

-- Location: LCCOMB_X75_Y5_N22
\WideAnd2496~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2496~1_combout\ = (\led_flash_cnt[2496][5]~q\ & \led_flash_cnt[2496][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2496][5]~q\,
	datad => \led_flash_cnt[2496][6]~q\,
	combout => \WideAnd2496~1_combout\);

-- Location: LCCOMB_X75_Y5_N24
WideAnd2496 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2496~combout\ = (\led_flash_cnt[2496][7]~q\ & (\WideAnd2496~0_combout\ & (\WideAnd2496~1_combout\ & \led_flash_cnt[2496][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2496][7]~q\,
	datab => \WideAnd2496~0_combout\,
	datac => \WideAnd2496~1_combout\,
	datad => \led_flash_cnt[2496][0]~q\,
	combout => \WideAnd2496~combout\);

-- Location: FF_X75_Y5_N25
\led_flash_cnt_ands[2496]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2496~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2496));

-- Location: LCCOMB_X75_Y3_N12
\led_flash_cnt[2498][0]~83140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2498][0]~83140_combout\ = !\led_flash_cnt[2498][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2498][0]~q\,
	combout => \led_flash_cnt[2498][0]~83140_combout\);

-- Location: FF_X75_Y3_N13
\led_flash_cnt[2498][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2498][0]~83140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2498][0]~q\);

-- Location: LCCOMB_X75_Y3_N18
\led_flash_cnt[2498][1]~61880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2498][1]~61880_combout\ = (\led_flash_cnt[2498][0]~q\ & (\led_flash_cnt[2498][1]~q\ $ (VCC))) # (!\led_flash_cnt[2498][0]~q\ & (\led_flash_cnt[2498][1]~q\ & VCC))
-- \led_flash_cnt[2498][1]~61881\ = CARRY((\led_flash_cnt[2498][0]~q\ & \led_flash_cnt[2498][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2498][0]~q\,
	datab => \led_flash_cnt[2498][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2498][1]~61880_combout\,
	cout => \led_flash_cnt[2498][1]~61881\);

-- Location: FF_X75_Y3_N19
\led_flash_cnt[2498][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2498][1]~61880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2498][1]~q\);

-- Location: LCCOMB_X75_Y3_N20
\led_flash_cnt[2498][2]~61882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2498][2]~61882_combout\ = (\led_flash_cnt[2498][2]~q\ & (!\led_flash_cnt[2498][1]~61881\)) # (!\led_flash_cnt[2498][2]~q\ & ((\led_flash_cnt[2498][1]~61881\) # (GND)))
-- \led_flash_cnt[2498][2]~61883\ = CARRY((!\led_flash_cnt[2498][1]~61881\) # (!\led_flash_cnt[2498][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2498][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2498][1]~61881\,
	combout => \led_flash_cnt[2498][2]~61882_combout\,
	cout => \led_flash_cnt[2498][2]~61883\);

-- Location: FF_X75_Y3_N21
\led_flash_cnt[2498][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2498][2]~61882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2498][2]~q\);

-- Location: LCCOMB_X75_Y3_N22
\led_flash_cnt[2498][3]~61884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2498][3]~61884_combout\ = (\led_flash_cnt[2498][3]~q\ & (\led_flash_cnt[2498][2]~61883\ $ (GND))) # (!\led_flash_cnt[2498][3]~q\ & (!\led_flash_cnt[2498][2]~61883\ & VCC))
-- \led_flash_cnt[2498][3]~61885\ = CARRY((\led_flash_cnt[2498][3]~q\ & !\led_flash_cnt[2498][2]~61883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2498][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2498][2]~61883\,
	combout => \led_flash_cnt[2498][3]~61884_combout\,
	cout => \led_flash_cnt[2498][3]~61885\);

-- Location: FF_X75_Y3_N23
\led_flash_cnt[2498][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2498][3]~61884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2498][3]~q\);

-- Location: LCCOMB_X75_Y3_N24
\led_flash_cnt[2498][4]~61886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2498][4]~61886_combout\ = (\led_flash_cnt[2498][4]~q\ & (!\led_flash_cnt[2498][3]~61885\)) # (!\led_flash_cnt[2498][4]~q\ & ((\led_flash_cnt[2498][3]~61885\) # (GND)))
-- \led_flash_cnt[2498][4]~61887\ = CARRY((!\led_flash_cnt[2498][3]~61885\) # (!\led_flash_cnt[2498][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2498][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2498][3]~61885\,
	combout => \led_flash_cnt[2498][4]~61886_combout\,
	cout => \led_flash_cnt[2498][4]~61887\);

-- Location: FF_X75_Y3_N25
\led_flash_cnt[2498][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2498][4]~61886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2498][4]~q\);

-- Location: LCCOMB_X75_Y3_N26
\led_flash_cnt[2498][5]~61888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2498][5]~61888_combout\ = (\led_flash_cnt[2498][5]~q\ & (\led_flash_cnt[2498][4]~61887\ $ (GND))) # (!\led_flash_cnt[2498][5]~q\ & (!\led_flash_cnt[2498][4]~61887\ & VCC))
-- \led_flash_cnt[2498][5]~61889\ = CARRY((\led_flash_cnt[2498][5]~q\ & !\led_flash_cnt[2498][4]~61887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2498][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2498][4]~61887\,
	combout => \led_flash_cnt[2498][5]~61888_combout\,
	cout => \led_flash_cnt[2498][5]~61889\);

-- Location: FF_X75_Y3_N27
\led_flash_cnt[2498][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2498][5]~61888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2498][5]~q\);

-- Location: LCCOMB_X75_Y3_N28
\led_flash_cnt[2498][6]~61890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2498][6]~61890_combout\ = (\led_flash_cnt[2498][6]~q\ & (!\led_flash_cnt[2498][5]~61889\)) # (!\led_flash_cnt[2498][6]~q\ & ((\led_flash_cnt[2498][5]~61889\) # (GND)))
-- \led_flash_cnt[2498][6]~61891\ = CARRY((!\led_flash_cnt[2498][5]~61889\) # (!\led_flash_cnt[2498][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2498][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2498][5]~61889\,
	combout => \led_flash_cnt[2498][6]~61890_combout\,
	cout => \led_flash_cnt[2498][6]~61891\);

-- Location: FF_X75_Y3_N29
\led_flash_cnt[2498][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2498][6]~61890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2498][6]~q\);

-- Location: LCCOMB_X75_Y3_N10
\WideAnd2498~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2498~1_combout\ = (\led_flash_cnt[2498][5]~q\ & \led_flash_cnt[2498][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2498][5]~q\,
	datad => \led_flash_cnt[2498][6]~q\,
	combout => \WideAnd2498~1_combout\);

-- Location: LCCOMB_X75_Y3_N16
\WideAnd2498~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2498~0_combout\ = (\led_flash_cnt[2498][1]~q\ & (\led_flash_cnt[2498][4]~q\ & (\led_flash_cnt[2498][3]~q\ & \led_flash_cnt[2498][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2498][1]~q\,
	datab => \led_flash_cnt[2498][4]~q\,
	datac => \led_flash_cnt[2498][3]~q\,
	datad => \led_flash_cnt[2498][2]~q\,
	combout => \WideAnd2498~0_combout\);

-- Location: LCCOMB_X75_Y3_N30
\led_flash_cnt[2498][7]~61892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2498][7]~61892_combout\ = \led_flash_cnt[2498][7]~q\ $ (!\led_flash_cnt[2498][6]~61891\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2498][7]~q\,
	cin => \led_flash_cnt[2498][6]~61891\,
	combout => \led_flash_cnt[2498][7]~61892_combout\);

-- Location: FF_X75_Y3_N31
\led_flash_cnt[2498][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2498][7]~61892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2498][7]~q\);

-- Location: LCCOMB_X75_Y3_N4
WideAnd2498 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2498~combout\ = (\WideAnd2498~1_combout\ & (\WideAnd2498~0_combout\ & (\led_flash_cnt[2498][7]~q\ & \led_flash_cnt[2498][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2498~1_combout\,
	datab => \WideAnd2498~0_combout\,
	datac => \led_flash_cnt[2498][7]~q\,
	datad => \led_flash_cnt[2498][0]~q\,
	combout => \WideAnd2498~combout\);

-- Location: FF_X75_Y3_N5
\led_flash_cnt_ands[2498]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2498~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2498));

-- Location: LCCOMB_X76_Y5_N24
\led_flash_cnt[2499][0]~83141\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2499][0]~83141_combout\ = !\led_flash_cnt[2499][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2499][0]~q\,
	combout => \led_flash_cnt[2499][0]~83141_combout\);

-- Location: FF_X76_Y5_N25
\led_flash_cnt[2499][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2499][0]~83141_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2499][0]~q\);

-- Location: LCCOMB_X76_Y5_N6
\led_flash_cnt[2499][1]~61894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2499][1]~61894_combout\ = (\led_flash_cnt[2499][1]~q\ & (\led_flash_cnt[2499][0]~q\ $ (VCC))) # (!\led_flash_cnt[2499][1]~q\ & (\led_flash_cnt[2499][0]~q\ & VCC))
-- \led_flash_cnt[2499][1]~61895\ = CARRY((\led_flash_cnt[2499][1]~q\ & \led_flash_cnt[2499][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2499][1]~q\,
	datab => \led_flash_cnt[2499][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2499][1]~61894_combout\,
	cout => \led_flash_cnt[2499][1]~61895\);

-- Location: FF_X76_Y5_N7
\led_flash_cnt[2499][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2499][1]~61894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2499][1]~q\);

-- Location: LCCOMB_X76_Y5_N8
\led_flash_cnt[2499][2]~61896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2499][2]~61896_combout\ = (\led_flash_cnt[2499][2]~q\ & (!\led_flash_cnt[2499][1]~61895\)) # (!\led_flash_cnt[2499][2]~q\ & ((\led_flash_cnt[2499][1]~61895\) # (GND)))
-- \led_flash_cnt[2499][2]~61897\ = CARRY((!\led_flash_cnt[2499][1]~61895\) # (!\led_flash_cnt[2499][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2499][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2499][1]~61895\,
	combout => \led_flash_cnt[2499][2]~61896_combout\,
	cout => \led_flash_cnt[2499][2]~61897\);

-- Location: FF_X76_Y5_N9
\led_flash_cnt[2499][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2499][2]~61896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2499][2]~q\);

-- Location: LCCOMB_X76_Y5_N10
\led_flash_cnt[2499][3]~61898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2499][3]~61898_combout\ = (\led_flash_cnt[2499][3]~q\ & (\led_flash_cnt[2499][2]~61897\ $ (GND))) # (!\led_flash_cnt[2499][3]~q\ & (!\led_flash_cnt[2499][2]~61897\ & VCC))
-- \led_flash_cnt[2499][3]~61899\ = CARRY((\led_flash_cnt[2499][3]~q\ & !\led_flash_cnt[2499][2]~61897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2499][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2499][2]~61897\,
	combout => \led_flash_cnt[2499][3]~61898_combout\,
	cout => \led_flash_cnt[2499][3]~61899\);

-- Location: FF_X76_Y5_N11
\led_flash_cnt[2499][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2499][3]~61898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2499][3]~q\);

-- Location: LCCOMB_X76_Y5_N12
\led_flash_cnt[2499][4]~61900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2499][4]~61900_combout\ = (\led_flash_cnt[2499][4]~q\ & (!\led_flash_cnt[2499][3]~61899\)) # (!\led_flash_cnt[2499][4]~q\ & ((\led_flash_cnt[2499][3]~61899\) # (GND)))
-- \led_flash_cnt[2499][4]~61901\ = CARRY((!\led_flash_cnt[2499][3]~61899\) # (!\led_flash_cnt[2499][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2499][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2499][3]~61899\,
	combout => \led_flash_cnt[2499][4]~61900_combout\,
	cout => \led_flash_cnt[2499][4]~61901\);

-- Location: FF_X76_Y5_N13
\led_flash_cnt[2499][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2499][4]~61900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2499][4]~q\);

-- Location: LCCOMB_X76_Y5_N26
\WideAnd2499~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2499~0_combout\ = (\led_flash_cnt[2499][3]~q\ & (\led_flash_cnt[2499][4]~q\ & (\led_flash_cnt[2499][2]~q\ & \led_flash_cnt[2499][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2499][3]~q\,
	datab => \led_flash_cnt[2499][4]~q\,
	datac => \led_flash_cnt[2499][2]~q\,
	datad => \led_flash_cnt[2499][1]~q\,
	combout => \WideAnd2499~0_combout\);

-- Location: LCCOMB_X76_Y5_N14
\led_flash_cnt[2499][5]~61902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2499][5]~61902_combout\ = (\led_flash_cnt[2499][5]~q\ & (\led_flash_cnt[2499][4]~61901\ $ (GND))) # (!\led_flash_cnt[2499][5]~q\ & (!\led_flash_cnt[2499][4]~61901\ & VCC))
-- \led_flash_cnt[2499][5]~61903\ = CARRY((\led_flash_cnt[2499][5]~q\ & !\led_flash_cnt[2499][4]~61901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2499][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2499][4]~61901\,
	combout => \led_flash_cnt[2499][5]~61902_combout\,
	cout => \led_flash_cnt[2499][5]~61903\);

-- Location: FF_X76_Y5_N15
\led_flash_cnt[2499][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2499][5]~61902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2499][5]~q\);

-- Location: LCCOMB_X76_Y5_N16
\led_flash_cnt[2499][6]~61904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2499][6]~61904_combout\ = (\led_flash_cnt[2499][6]~q\ & (!\led_flash_cnt[2499][5]~61903\)) # (!\led_flash_cnt[2499][6]~q\ & ((\led_flash_cnt[2499][5]~61903\) # (GND)))
-- \led_flash_cnt[2499][6]~61905\ = CARRY((!\led_flash_cnt[2499][5]~61903\) # (!\led_flash_cnt[2499][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2499][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2499][5]~61903\,
	combout => \led_flash_cnt[2499][6]~61904_combout\,
	cout => \led_flash_cnt[2499][6]~61905\);

-- Location: FF_X76_Y5_N17
\led_flash_cnt[2499][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2499][6]~61904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2499][6]~q\);

-- Location: LCCOMB_X76_Y5_N18
\led_flash_cnt[2499][7]~61906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2499][7]~61906_combout\ = \led_flash_cnt[2499][6]~61905\ $ (!\led_flash_cnt[2499][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2499][7]~q\,
	cin => \led_flash_cnt[2499][6]~61905\,
	combout => \led_flash_cnt[2499][7]~61906_combout\);

-- Location: FF_X76_Y5_N19
\led_flash_cnt[2499][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2499][7]~61906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2499][7]~q\);

-- Location: LCCOMB_X76_Y5_N22
\WideAnd2499~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2499~1_combout\ = (\led_flash_cnt[2499][5]~q\ & \led_flash_cnt[2499][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2499][5]~q\,
	datad => \led_flash_cnt[2499][6]~q\,
	combout => \WideAnd2499~1_combout\);

-- Location: LCCOMB_X76_Y5_N28
WideAnd2499 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2499~combout\ = (\WideAnd2499~0_combout\ & (\led_flash_cnt[2499][7]~q\ & (\WideAnd2499~1_combout\ & \led_flash_cnt[2499][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2499~0_combout\,
	datab => \led_flash_cnt[2499][7]~q\,
	datac => \WideAnd2499~1_combout\,
	datad => \led_flash_cnt[2499][0]~q\,
	combout => \WideAnd2499~combout\);

-- Location: FF_X76_Y5_N29
\led_flash_cnt_ands[2499]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2499~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2499));

-- Location: LCCOMB_X75_Y5_N26
\WideAnd4152~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4152~0_combout\ = (led_flash_cnt_ands(2497) & (led_flash_cnt_ands(2496) & (led_flash_cnt_ands(2498) & led_flash_cnt_ands(2499))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2497),
	datab => led_flash_cnt_ands(2496),
	datac => led_flash_cnt_ands(2498),
	datad => led_flash_cnt_ands(2499),
	combout => \WideAnd4152~0_combout\);

-- Location: LCCOMB_X71_Y50_N10
\led_flash_cnt[2500][0]~83143\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2500][0]~83143_combout\ = !\led_flash_cnt[2500][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2500][0]~q\,
	combout => \led_flash_cnt[2500][0]~83143_combout\);

-- Location: FF_X71_Y50_N11
\led_flash_cnt[2500][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2500][0]~83143_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2500][0]~q\);

-- Location: LCCOMB_X71_Y50_N18
\led_flash_cnt[2500][1]~61922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2500][1]~61922_combout\ = (\led_flash_cnt[2500][0]~q\ & (\led_flash_cnt[2500][1]~q\ $ (VCC))) # (!\led_flash_cnt[2500][0]~q\ & (\led_flash_cnt[2500][1]~q\ & VCC))
-- \led_flash_cnt[2500][1]~61923\ = CARRY((\led_flash_cnt[2500][0]~q\ & \led_flash_cnt[2500][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2500][0]~q\,
	datab => \led_flash_cnt[2500][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2500][1]~61922_combout\,
	cout => \led_flash_cnt[2500][1]~61923\);

-- Location: FF_X71_Y50_N19
\led_flash_cnt[2500][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2500][1]~61922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2500][1]~q\);

-- Location: LCCOMB_X71_Y50_N20
\led_flash_cnt[2500][2]~61924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2500][2]~61924_combout\ = (\led_flash_cnt[2500][2]~q\ & (!\led_flash_cnt[2500][1]~61923\)) # (!\led_flash_cnt[2500][2]~q\ & ((\led_flash_cnt[2500][1]~61923\) # (GND)))
-- \led_flash_cnt[2500][2]~61925\ = CARRY((!\led_flash_cnt[2500][1]~61923\) # (!\led_flash_cnt[2500][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2500][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2500][1]~61923\,
	combout => \led_flash_cnt[2500][2]~61924_combout\,
	cout => \led_flash_cnt[2500][2]~61925\);

-- Location: FF_X71_Y50_N21
\led_flash_cnt[2500][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2500][2]~61924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2500][2]~q\);

-- Location: LCCOMB_X71_Y50_N22
\led_flash_cnt[2500][3]~61926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2500][3]~61926_combout\ = (\led_flash_cnt[2500][3]~q\ & (\led_flash_cnt[2500][2]~61925\ $ (GND))) # (!\led_flash_cnt[2500][3]~q\ & (!\led_flash_cnt[2500][2]~61925\ & VCC))
-- \led_flash_cnt[2500][3]~61927\ = CARRY((\led_flash_cnt[2500][3]~q\ & !\led_flash_cnt[2500][2]~61925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2500][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2500][2]~61925\,
	combout => \led_flash_cnt[2500][3]~61926_combout\,
	cout => \led_flash_cnt[2500][3]~61927\);

-- Location: FF_X71_Y50_N23
\led_flash_cnt[2500][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2500][3]~61926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2500][3]~q\);

-- Location: LCCOMB_X71_Y50_N24
\led_flash_cnt[2500][4]~61928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2500][4]~61928_combout\ = (\led_flash_cnt[2500][4]~q\ & (!\led_flash_cnt[2500][3]~61927\)) # (!\led_flash_cnt[2500][4]~q\ & ((\led_flash_cnt[2500][3]~61927\) # (GND)))
-- \led_flash_cnt[2500][4]~61929\ = CARRY((!\led_flash_cnt[2500][3]~61927\) # (!\led_flash_cnt[2500][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2500][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2500][3]~61927\,
	combout => \led_flash_cnt[2500][4]~61928_combout\,
	cout => \led_flash_cnt[2500][4]~61929\);

-- Location: FF_X71_Y50_N25
\led_flash_cnt[2500][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2500][4]~61928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2500][4]~q\);

-- Location: LCCOMB_X71_Y50_N26
\led_flash_cnt[2500][5]~61930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2500][5]~61930_combout\ = (\led_flash_cnt[2500][5]~q\ & (\led_flash_cnt[2500][4]~61929\ $ (GND))) # (!\led_flash_cnt[2500][5]~q\ & (!\led_flash_cnt[2500][4]~61929\ & VCC))
-- \led_flash_cnt[2500][5]~61931\ = CARRY((\led_flash_cnt[2500][5]~q\ & !\led_flash_cnt[2500][4]~61929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2500][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2500][4]~61929\,
	combout => \led_flash_cnt[2500][5]~61930_combout\,
	cout => \led_flash_cnt[2500][5]~61931\);

-- Location: FF_X71_Y50_N27
\led_flash_cnt[2500][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2500][5]~61930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2500][5]~q\);

-- Location: LCCOMB_X71_Y50_N28
\led_flash_cnt[2500][6]~61932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2500][6]~61932_combout\ = (\led_flash_cnt[2500][6]~q\ & (!\led_flash_cnt[2500][5]~61931\)) # (!\led_flash_cnt[2500][6]~q\ & ((\led_flash_cnt[2500][5]~61931\) # (GND)))
-- \led_flash_cnt[2500][6]~61933\ = CARRY((!\led_flash_cnt[2500][5]~61931\) # (!\led_flash_cnt[2500][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2500][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2500][5]~61931\,
	combout => \led_flash_cnt[2500][6]~61932_combout\,
	cout => \led_flash_cnt[2500][6]~61933\);

-- Location: FF_X71_Y50_N29
\led_flash_cnt[2500][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2500][6]~61932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2500][6]~q\);

-- Location: LCCOMB_X71_Y50_N2
\WideAnd2500~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2500~1_combout\ = (\led_flash_cnt[2500][5]~q\ & \led_flash_cnt[2500][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2500][5]~q\,
	datad => \led_flash_cnt[2500][6]~q\,
	combout => \WideAnd2500~1_combout\);

-- Location: LCCOMB_X71_Y50_N30
\led_flash_cnt[2500][7]~61934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2500][7]~61934_combout\ = \led_flash_cnt[2500][7]~q\ $ (!\led_flash_cnt[2500][6]~61933\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2500][7]~q\,
	cin => \led_flash_cnt[2500][6]~61933\,
	combout => \led_flash_cnt[2500][7]~61934_combout\);

-- Location: FF_X71_Y50_N31
\led_flash_cnt[2500][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2500][7]~61934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2500][7]~q\);

-- Location: LCCOMB_X71_Y50_N12
\WideAnd2500~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2500~0_combout\ = (\led_flash_cnt[2500][1]~q\ & (\led_flash_cnt[2500][4]~q\ & (\led_flash_cnt[2500][3]~q\ & \led_flash_cnt[2500][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2500][1]~q\,
	datab => \led_flash_cnt[2500][4]~q\,
	datac => \led_flash_cnt[2500][3]~q\,
	datad => \led_flash_cnt[2500][2]~q\,
	combout => \WideAnd2500~0_combout\);

-- Location: LCCOMB_X71_Y50_N4
WideAnd2500 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2500~combout\ = (\led_flash_cnt[2500][0]~q\ & (\WideAnd2500~1_combout\ & (\led_flash_cnt[2500][7]~q\ & \WideAnd2500~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2500][0]~q\,
	datab => \WideAnd2500~1_combout\,
	datac => \led_flash_cnt[2500][7]~q\,
	datad => \WideAnd2500~0_combout\,
	combout => \WideAnd2500~combout\);

-- Location: FF_X71_Y50_N5
\led_flash_cnt_ands[2500]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2500~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2500));

-- Location: LCCOMB_X67_Y50_N28
\led_flash_cnt[2503][0]~83142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2503][0]~83142_combout\ = !\led_flash_cnt[2503][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2503][0]~q\,
	combout => \led_flash_cnt[2503][0]~83142_combout\);

-- Location: FF_X67_Y50_N29
\led_flash_cnt[2503][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2503][0]~83142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2503][0]~q\);

-- Location: LCCOMB_X67_Y50_N12
\led_flash_cnt[2503][1]~61908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2503][1]~61908_combout\ = (\led_flash_cnt[2503][1]~q\ & (\led_flash_cnt[2503][0]~q\ $ (VCC))) # (!\led_flash_cnt[2503][1]~q\ & (\led_flash_cnt[2503][0]~q\ & VCC))
-- \led_flash_cnt[2503][1]~61909\ = CARRY((\led_flash_cnt[2503][1]~q\ & \led_flash_cnt[2503][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2503][1]~q\,
	datab => \led_flash_cnt[2503][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2503][1]~61908_combout\,
	cout => \led_flash_cnt[2503][1]~61909\);

-- Location: FF_X67_Y50_N13
\led_flash_cnt[2503][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2503][1]~61908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2503][1]~q\);

-- Location: LCCOMB_X67_Y50_N14
\led_flash_cnt[2503][2]~61910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2503][2]~61910_combout\ = (\led_flash_cnt[2503][2]~q\ & (!\led_flash_cnt[2503][1]~61909\)) # (!\led_flash_cnt[2503][2]~q\ & ((\led_flash_cnt[2503][1]~61909\) # (GND)))
-- \led_flash_cnt[2503][2]~61911\ = CARRY((!\led_flash_cnt[2503][1]~61909\) # (!\led_flash_cnt[2503][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2503][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2503][1]~61909\,
	combout => \led_flash_cnt[2503][2]~61910_combout\,
	cout => \led_flash_cnt[2503][2]~61911\);

-- Location: FF_X67_Y50_N15
\led_flash_cnt[2503][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2503][2]~61910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2503][2]~q\);

-- Location: LCCOMB_X67_Y50_N16
\led_flash_cnt[2503][3]~61912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2503][3]~61912_combout\ = (\led_flash_cnt[2503][3]~q\ & (\led_flash_cnt[2503][2]~61911\ $ (GND))) # (!\led_flash_cnt[2503][3]~q\ & (!\led_flash_cnt[2503][2]~61911\ & VCC))
-- \led_flash_cnt[2503][3]~61913\ = CARRY((\led_flash_cnt[2503][3]~q\ & !\led_flash_cnt[2503][2]~61911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2503][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2503][2]~61911\,
	combout => \led_flash_cnt[2503][3]~61912_combout\,
	cout => \led_flash_cnt[2503][3]~61913\);

-- Location: FF_X67_Y50_N17
\led_flash_cnt[2503][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2503][3]~61912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2503][3]~q\);

-- Location: LCCOMB_X67_Y50_N18
\led_flash_cnt[2503][4]~61914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2503][4]~61914_combout\ = (\led_flash_cnt[2503][4]~q\ & (!\led_flash_cnt[2503][3]~61913\)) # (!\led_flash_cnt[2503][4]~q\ & ((\led_flash_cnt[2503][3]~61913\) # (GND)))
-- \led_flash_cnt[2503][4]~61915\ = CARRY((!\led_flash_cnt[2503][3]~61913\) # (!\led_flash_cnt[2503][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2503][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2503][3]~61913\,
	combout => \led_flash_cnt[2503][4]~61914_combout\,
	cout => \led_flash_cnt[2503][4]~61915\);

-- Location: FF_X67_Y50_N19
\led_flash_cnt[2503][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2503][4]~61914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2503][4]~q\);

-- Location: LCCOMB_X67_Y50_N26
\WideAnd2503~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2503~0_combout\ = (\led_flash_cnt[2503][4]~q\ & (\led_flash_cnt[2503][3]~q\ & (\led_flash_cnt[2503][2]~q\ & \led_flash_cnt[2503][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2503][4]~q\,
	datab => \led_flash_cnt[2503][3]~q\,
	datac => \led_flash_cnt[2503][2]~q\,
	datad => \led_flash_cnt[2503][1]~q\,
	combout => \WideAnd2503~0_combout\);

-- Location: LCCOMB_X67_Y50_N20
\led_flash_cnt[2503][5]~61916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2503][5]~61916_combout\ = (\led_flash_cnt[2503][5]~q\ & (\led_flash_cnt[2503][4]~61915\ $ (GND))) # (!\led_flash_cnt[2503][5]~q\ & (!\led_flash_cnt[2503][4]~61915\ & VCC))
-- \led_flash_cnt[2503][5]~61917\ = CARRY((\led_flash_cnt[2503][5]~q\ & !\led_flash_cnt[2503][4]~61915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2503][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2503][4]~61915\,
	combout => \led_flash_cnt[2503][5]~61916_combout\,
	cout => \led_flash_cnt[2503][5]~61917\);

-- Location: FF_X67_Y50_N21
\led_flash_cnt[2503][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2503][5]~61916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2503][5]~q\);

-- Location: LCCOMB_X67_Y50_N22
\led_flash_cnt[2503][6]~61918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2503][6]~61918_combout\ = (\led_flash_cnt[2503][6]~q\ & (!\led_flash_cnt[2503][5]~61917\)) # (!\led_flash_cnt[2503][6]~q\ & ((\led_flash_cnt[2503][5]~61917\) # (GND)))
-- \led_flash_cnt[2503][6]~61919\ = CARRY((!\led_flash_cnt[2503][5]~61917\) # (!\led_flash_cnt[2503][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2503][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2503][5]~61917\,
	combout => \led_flash_cnt[2503][6]~61918_combout\,
	cout => \led_flash_cnt[2503][6]~61919\);

-- Location: FF_X67_Y50_N23
\led_flash_cnt[2503][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2503][6]~61918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2503][6]~q\);

-- Location: LCCOMB_X67_Y50_N24
\led_flash_cnt[2503][7]~61920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2503][7]~61920_combout\ = \led_flash_cnt[2503][6]~61919\ $ (!\led_flash_cnt[2503][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2503][7]~q\,
	cin => \led_flash_cnt[2503][6]~61919\,
	combout => \led_flash_cnt[2503][7]~61920_combout\);

-- Location: FF_X67_Y50_N25
\led_flash_cnt[2503][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2503][7]~61920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2503][7]~q\);

-- Location: LCCOMB_X67_Y50_N4
\WideAnd2503~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2503~1_combout\ = (\led_flash_cnt[2503][6]~q\ & \led_flash_cnt[2503][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2503][6]~q\,
	datad => \led_flash_cnt[2503][5]~q\,
	combout => \WideAnd2503~1_combout\);

-- Location: LCCOMB_X67_Y50_N10
WideAnd2503 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2503~combout\ = (\WideAnd2503~0_combout\ & (\led_flash_cnt[2503][7]~q\ & (\WideAnd2503~1_combout\ & \led_flash_cnt[2503][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2503~0_combout\,
	datab => \led_flash_cnt[2503][7]~q\,
	datac => \WideAnd2503~1_combout\,
	datad => \led_flash_cnt[2503][0]~q\,
	combout => \WideAnd2503~combout\);

-- Location: FF_X67_Y50_N11
\led_flash_cnt_ands[2503]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2503~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2503));

-- Location: LCCOMB_X67_Y50_N30
\WideAnd4152~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4152~1_combout\ = (led_flash_cnt_ands(2500) & led_flash_cnt_ands(2503))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2500),
	datad => led_flash_cnt_ands(2503),
	combout => \WideAnd4152~1_combout\);

-- Location: LCCOMB_X72_Y49_N24
\led_flash_cnt[2502][0]~83136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2502][0]~83136_combout\ = !\led_flash_cnt[2502][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2502][0]~q\,
	combout => \led_flash_cnt[2502][0]~83136_combout\);

-- Location: FF_X72_Y49_N25
\led_flash_cnt[2502][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2502][0]~83136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2502][0]~q\);

-- Location: LCCOMB_X72_Y49_N6
\led_flash_cnt[2502][1]~61824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2502][1]~61824_combout\ = (\led_flash_cnt[2502][1]~q\ & (\led_flash_cnt[2502][0]~q\ $ (VCC))) # (!\led_flash_cnt[2502][1]~q\ & (\led_flash_cnt[2502][0]~q\ & VCC))
-- \led_flash_cnt[2502][1]~61825\ = CARRY((\led_flash_cnt[2502][1]~q\ & \led_flash_cnt[2502][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2502][1]~q\,
	datab => \led_flash_cnt[2502][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2502][1]~61824_combout\,
	cout => \led_flash_cnt[2502][1]~61825\);

-- Location: FF_X72_Y49_N7
\led_flash_cnt[2502][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2502][1]~61824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2502][1]~q\);

-- Location: LCCOMB_X72_Y49_N8
\led_flash_cnt[2502][2]~61826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2502][2]~61826_combout\ = (\led_flash_cnt[2502][2]~q\ & (!\led_flash_cnt[2502][1]~61825\)) # (!\led_flash_cnt[2502][2]~q\ & ((\led_flash_cnt[2502][1]~61825\) # (GND)))
-- \led_flash_cnt[2502][2]~61827\ = CARRY((!\led_flash_cnt[2502][1]~61825\) # (!\led_flash_cnt[2502][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2502][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2502][1]~61825\,
	combout => \led_flash_cnt[2502][2]~61826_combout\,
	cout => \led_flash_cnt[2502][2]~61827\);

-- Location: FF_X72_Y49_N9
\led_flash_cnt[2502][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2502][2]~61826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2502][2]~q\);

-- Location: LCCOMB_X72_Y49_N10
\led_flash_cnt[2502][3]~61828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2502][3]~61828_combout\ = (\led_flash_cnt[2502][3]~q\ & (\led_flash_cnt[2502][2]~61827\ $ (GND))) # (!\led_flash_cnt[2502][3]~q\ & (!\led_flash_cnt[2502][2]~61827\ & VCC))
-- \led_flash_cnt[2502][3]~61829\ = CARRY((\led_flash_cnt[2502][3]~q\ & !\led_flash_cnt[2502][2]~61827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2502][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2502][2]~61827\,
	combout => \led_flash_cnt[2502][3]~61828_combout\,
	cout => \led_flash_cnt[2502][3]~61829\);

-- Location: FF_X72_Y49_N11
\led_flash_cnt[2502][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2502][3]~61828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2502][3]~q\);

-- Location: LCCOMB_X72_Y49_N12
\led_flash_cnt[2502][4]~61830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2502][4]~61830_combout\ = (\led_flash_cnt[2502][4]~q\ & (!\led_flash_cnt[2502][3]~61829\)) # (!\led_flash_cnt[2502][4]~q\ & ((\led_flash_cnt[2502][3]~61829\) # (GND)))
-- \led_flash_cnt[2502][4]~61831\ = CARRY((!\led_flash_cnt[2502][3]~61829\) # (!\led_flash_cnt[2502][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2502][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2502][3]~61829\,
	combout => \led_flash_cnt[2502][4]~61830_combout\,
	cout => \led_flash_cnt[2502][4]~61831\);

-- Location: FF_X72_Y49_N13
\led_flash_cnt[2502][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2502][4]~61830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2502][4]~q\);

-- Location: LCCOMB_X72_Y49_N26
\WideAnd2502~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2502~0_combout\ = (\led_flash_cnt[2502][3]~q\ & (\led_flash_cnt[2502][4]~q\ & (\led_flash_cnt[2502][2]~q\ & \led_flash_cnt[2502][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2502][3]~q\,
	datab => \led_flash_cnt[2502][4]~q\,
	datac => \led_flash_cnt[2502][2]~q\,
	datad => \led_flash_cnt[2502][1]~q\,
	combout => \WideAnd2502~0_combout\);

-- Location: LCCOMB_X72_Y49_N14
\led_flash_cnt[2502][5]~61832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2502][5]~61832_combout\ = (\led_flash_cnt[2502][5]~q\ & (\led_flash_cnt[2502][4]~61831\ $ (GND))) # (!\led_flash_cnt[2502][5]~q\ & (!\led_flash_cnt[2502][4]~61831\ & VCC))
-- \led_flash_cnt[2502][5]~61833\ = CARRY((\led_flash_cnt[2502][5]~q\ & !\led_flash_cnt[2502][4]~61831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2502][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2502][4]~61831\,
	combout => \led_flash_cnt[2502][5]~61832_combout\,
	cout => \led_flash_cnt[2502][5]~61833\);

-- Location: FF_X72_Y49_N15
\led_flash_cnt[2502][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2502][5]~61832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2502][5]~q\);

-- Location: LCCOMB_X72_Y49_N16
\led_flash_cnt[2502][6]~61834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2502][6]~61834_combout\ = (\led_flash_cnt[2502][6]~q\ & (!\led_flash_cnt[2502][5]~61833\)) # (!\led_flash_cnt[2502][6]~q\ & ((\led_flash_cnt[2502][5]~61833\) # (GND)))
-- \led_flash_cnt[2502][6]~61835\ = CARRY((!\led_flash_cnt[2502][5]~61833\) # (!\led_flash_cnt[2502][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2502][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2502][5]~61833\,
	combout => \led_flash_cnt[2502][6]~61834_combout\,
	cout => \led_flash_cnt[2502][6]~61835\);

-- Location: FF_X72_Y49_N17
\led_flash_cnt[2502][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2502][6]~61834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2502][6]~q\);

-- Location: LCCOMB_X72_Y49_N18
\led_flash_cnt[2502][7]~61836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2502][7]~61836_combout\ = \led_flash_cnt[2502][6]~61835\ $ (!\led_flash_cnt[2502][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2502][7]~q\,
	cin => \led_flash_cnt[2502][6]~61835\,
	combout => \led_flash_cnt[2502][7]~61836_combout\);

-- Location: FF_X72_Y49_N19
\led_flash_cnt[2502][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2502][7]~61836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2502][7]~q\);

-- Location: LCCOMB_X72_Y49_N22
\WideAnd2502~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2502~1_combout\ = (\led_flash_cnt[2502][5]~q\ & \led_flash_cnt[2502][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2502][5]~q\,
	datad => \led_flash_cnt[2502][6]~q\,
	combout => \WideAnd2502~1_combout\);

-- Location: LCCOMB_X72_Y49_N20
WideAnd2502 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2502~combout\ = (\WideAnd2502~0_combout\ & (\led_flash_cnt[2502][7]~q\ & (\WideAnd2502~1_combout\ & \led_flash_cnt[2502][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2502~0_combout\,
	datab => \led_flash_cnt[2502][7]~q\,
	datac => \WideAnd2502~1_combout\,
	datad => \led_flash_cnt[2502][0]~q\,
	combout => \WideAnd2502~combout\);

-- Location: FF_X72_Y49_N21
\led_flash_cnt_ands[2502]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2502~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2502));

-- Location: LCCOMB_X67_Y49_N8
WideAnd4152 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4152~combout\ = (led_flash_cnt_ands(2501) & (\WideAnd4152~0_combout\ & (\WideAnd4152~1_combout\ & led_flash_cnt_ands(2502))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2501),
	datab => \WideAnd4152~0_combout\,
	datac => \WideAnd4152~1_combout\,
	datad => led_flash_cnt_ands(2502),
	combout => \WideAnd4152~combout\);

-- Location: FF_X67_Y49_N9
\led_flash_cnt_ands_1[312]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4152~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(312));

-- Location: LCCOMB_X64_Y49_N30
\WideAnd4359~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4359~0_combout\ = (led_flash_cnt_ands_1(313) & (led_flash_cnt_ands_1(314) & (led_flash_cnt_ands_1(315) & led_flash_cnt_ands_1(312))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(313),
	datab => led_flash_cnt_ands_1(314),
	datac => led_flash_cnt_ands_1(315),
	datad => led_flash_cnt_ands_1(312),
	combout => \WideAnd4359~0_combout\);

-- Location: LCCOMB_X56_Y20_N30
\led_flash_cnt[2555][0]~83195\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2555][0]~83195_combout\ = !\led_flash_cnt[2555][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2555][0]~q\,
	combout => \led_flash_cnt[2555][0]~83195_combout\);

-- Location: FF_X56_Y20_N31
\led_flash_cnt[2555][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2555][0]~83195_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2555][0]~q\);

-- Location: LCCOMB_X56_Y20_N16
\led_flash_cnt[2555][1]~62650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2555][1]~62650_combout\ = (\led_flash_cnt[2555][0]~q\ & (\led_flash_cnt[2555][1]~q\ $ (VCC))) # (!\led_flash_cnt[2555][0]~q\ & (\led_flash_cnt[2555][1]~q\ & VCC))
-- \led_flash_cnt[2555][1]~62651\ = CARRY((\led_flash_cnt[2555][0]~q\ & \led_flash_cnt[2555][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2555][0]~q\,
	datab => \led_flash_cnt[2555][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2555][1]~62650_combout\,
	cout => \led_flash_cnt[2555][1]~62651\);

-- Location: FF_X56_Y20_N17
\led_flash_cnt[2555][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2555][1]~62650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2555][1]~q\);

-- Location: LCCOMB_X56_Y20_N18
\led_flash_cnt[2555][2]~62652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2555][2]~62652_combout\ = (\led_flash_cnt[2555][2]~q\ & (!\led_flash_cnt[2555][1]~62651\)) # (!\led_flash_cnt[2555][2]~q\ & ((\led_flash_cnt[2555][1]~62651\) # (GND)))
-- \led_flash_cnt[2555][2]~62653\ = CARRY((!\led_flash_cnt[2555][1]~62651\) # (!\led_flash_cnt[2555][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2555][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2555][1]~62651\,
	combout => \led_flash_cnt[2555][2]~62652_combout\,
	cout => \led_flash_cnt[2555][2]~62653\);

-- Location: FF_X56_Y20_N19
\led_flash_cnt[2555][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2555][2]~62652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2555][2]~q\);

-- Location: LCCOMB_X56_Y20_N20
\led_flash_cnt[2555][3]~62654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2555][3]~62654_combout\ = (\led_flash_cnt[2555][3]~q\ & (\led_flash_cnt[2555][2]~62653\ $ (GND))) # (!\led_flash_cnt[2555][3]~q\ & (!\led_flash_cnt[2555][2]~62653\ & VCC))
-- \led_flash_cnt[2555][3]~62655\ = CARRY((\led_flash_cnt[2555][3]~q\ & !\led_flash_cnt[2555][2]~62653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2555][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2555][2]~62653\,
	combout => \led_flash_cnt[2555][3]~62654_combout\,
	cout => \led_flash_cnt[2555][3]~62655\);

-- Location: FF_X56_Y20_N21
\led_flash_cnt[2555][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2555][3]~62654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2555][3]~q\);

-- Location: LCCOMB_X56_Y20_N22
\led_flash_cnt[2555][4]~62656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2555][4]~62656_combout\ = (\led_flash_cnt[2555][4]~q\ & (!\led_flash_cnt[2555][3]~62655\)) # (!\led_flash_cnt[2555][4]~q\ & ((\led_flash_cnt[2555][3]~62655\) # (GND)))
-- \led_flash_cnt[2555][4]~62657\ = CARRY((!\led_flash_cnt[2555][3]~62655\) # (!\led_flash_cnt[2555][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2555][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2555][3]~62655\,
	combout => \led_flash_cnt[2555][4]~62656_combout\,
	cout => \led_flash_cnt[2555][4]~62657\);

-- Location: FF_X56_Y20_N23
\led_flash_cnt[2555][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2555][4]~62656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2555][4]~q\);

-- Location: LCCOMB_X56_Y20_N24
\led_flash_cnt[2555][5]~62658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2555][5]~62658_combout\ = (\led_flash_cnt[2555][5]~q\ & (\led_flash_cnt[2555][4]~62657\ $ (GND))) # (!\led_flash_cnt[2555][5]~q\ & (!\led_flash_cnt[2555][4]~62657\ & VCC))
-- \led_flash_cnt[2555][5]~62659\ = CARRY((\led_flash_cnt[2555][5]~q\ & !\led_flash_cnt[2555][4]~62657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2555][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2555][4]~62657\,
	combout => \led_flash_cnt[2555][5]~62658_combout\,
	cout => \led_flash_cnt[2555][5]~62659\);

-- Location: FF_X56_Y20_N25
\led_flash_cnt[2555][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2555][5]~62658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2555][5]~q\);

-- Location: LCCOMB_X56_Y20_N26
\led_flash_cnt[2555][6]~62660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2555][6]~62660_combout\ = (\led_flash_cnt[2555][6]~q\ & (!\led_flash_cnt[2555][5]~62659\)) # (!\led_flash_cnt[2555][6]~q\ & ((\led_flash_cnt[2555][5]~62659\) # (GND)))
-- \led_flash_cnt[2555][6]~62661\ = CARRY((!\led_flash_cnt[2555][5]~62659\) # (!\led_flash_cnt[2555][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2555][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2555][5]~62659\,
	combout => \led_flash_cnt[2555][6]~62660_combout\,
	cout => \led_flash_cnt[2555][6]~62661\);

-- Location: FF_X56_Y20_N27
\led_flash_cnt[2555][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2555][6]~62660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2555][6]~q\);

-- Location: LCCOMB_X56_Y20_N12
\WideAnd2555~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2555~1_combout\ = (\led_flash_cnt[2555][6]~q\ & \led_flash_cnt[2555][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2555][6]~q\,
	datad => \led_flash_cnt[2555][5]~q\,
	combout => \WideAnd2555~1_combout\);

-- Location: LCCOMB_X56_Y20_N28
\led_flash_cnt[2555][7]~62662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2555][7]~62662_combout\ = \led_flash_cnt[2555][6]~62661\ $ (!\led_flash_cnt[2555][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2555][7]~q\,
	cin => \led_flash_cnt[2555][6]~62661\,
	combout => \led_flash_cnt[2555][7]~62662_combout\);

-- Location: FF_X56_Y20_N29
\led_flash_cnt[2555][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2555][7]~62662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2555][7]~q\);

-- Location: LCCOMB_X56_Y20_N0
\WideAnd2555~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2555~0_combout\ = (\led_flash_cnt[2555][3]~q\ & (\led_flash_cnt[2555][2]~q\ & (\led_flash_cnt[2555][4]~q\ & \led_flash_cnt[2555][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2555][3]~q\,
	datab => \led_flash_cnt[2555][2]~q\,
	datac => \led_flash_cnt[2555][4]~q\,
	datad => \led_flash_cnt[2555][1]~q\,
	combout => \WideAnd2555~0_combout\);

-- Location: LCCOMB_X56_Y20_N14
WideAnd2555 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2555~combout\ = (\WideAnd2555~1_combout\ & (\led_flash_cnt[2555][7]~q\ & (\led_flash_cnt[2555][0]~q\ & \WideAnd2555~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2555~1_combout\,
	datab => \led_flash_cnt[2555][7]~q\,
	datac => \led_flash_cnt[2555][0]~q\,
	datad => \WideAnd2555~0_combout\,
	combout => \WideAnd2555~combout\);

-- Location: FF_X56_Y20_N15
\led_flash_cnt_ands[2555]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2555~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2555));

-- Location: LCCOMB_X59_Y20_N24
\led_flash_cnt[2553][0]~83193\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2553][0]~83193_combout\ = !\led_flash_cnt[2553][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2553][0]~q\,
	combout => \led_flash_cnt[2553][0]~83193_combout\);

-- Location: FF_X59_Y20_N25
\led_flash_cnt[2553][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2553][0]~83193_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2553][0]~q\);

-- Location: LCCOMB_X59_Y20_N6
\led_flash_cnt[2553][1]~62622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2553][1]~62622_combout\ = (\led_flash_cnt[2553][1]~q\ & (\led_flash_cnt[2553][0]~q\ $ (VCC))) # (!\led_flash_cnt[2553][1]~q\ & (\led_flash_cnt[2553][0]~q\ & VCC))
-- \led_flash_cnt[2553][1]~62623\ = CARRY((\led_flash_cnt[2553][1]~q\ & \led_flash_cnt[2553][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2553][1]~q\,
	datab => \led_flash_cnt[2553][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2553][1]~62622_combout\,
	cout => \led_flash_cnt[2553][1]~62623\);

-- Location: FF_X59_Y20_N7
\led_flash_cnt[2553][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2553][1]~62622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2553][1]~q\);

-- Location: LCCOMB_X59_Y20_N8
\led_flash_cnt[2553][2]~62624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2553][2]~62624_combout\ = (\led_flash_cnt[2553][2]~q\ & (!\led_flash_cnt[2553][1]~62623\)) # (!\led_flash_cnt[2553][2]~q\ & ((\led_flash_cnt[2553][1]~62623\) # (GND)))
-- \led_flash_cnt[2553][2]~62625\ = CARRY((!\led_flash_cnt[2553][1]~62623\) # (!\led_flash_cnt[2553][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2553][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2553][1]~62623\,
	combout => \led_flash_cnt[2553][2]~62624_combout\,
	cout => \led_flash_cnt[2553][2]~62625\);

-- Location: FF_X59_Y20_N9
\led_flash_cnt[2553][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2553][2]~62624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2553][2]~q\);

-- Location: LCCOMB_X59_Y20_N10
\led_flash_cnt[2553][3]~62626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2553][3]~62626_combout\ = (\led_flash_cnt[2553][3]~q\ & (\led_flash_cnt[2553][2]~62625\ $ (GND))) # (!\led_flash_cnt[2553][3]~q\ & (!\led_flash_cnt[2553][2]~62625\ & VCC))
-- \led_flash_cnt[2553][3]~62627\ = CARRY((\led_flash_cnt[2553][3]~q\ & !\led_flash_cnt[2553][2]~62625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2553][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2553][2]~62625\,
	combout => \led_flash_cnt[2553][3]~62626_combout\,
	cout => \led_flash_cnt[2553][3]~62627\);

-- Location: FF_X59_Y20_N11
\led_flash_cnt[2553][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2553][3]~62626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2553][3]~q\);

-- Location: LCCOMB_X59_Y20_N12
\led_flash_cnt[2553][4]~62628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2553][4]~62628_combout\ = (\led_flash_cnt[2553][4]~q\ & (!\led_flash_cnt[2553][3]~62627\)) # (!\led_flash_cnt[2553][4]~q\ & ((\led_flash_cnt[2553][3]~62627\) # (GND)))
-- \led_flash_cnt[2553][4]~62629\ = CARRY((!\led_flash_cnt[2553][3]~62627\) # (!\led_flash_cnt[2553][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2553][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2553][3]~62627\,
	combout => \led_flash_cnt[2553][4]~62628_combout\,
	cout => \led_flash_cnt[2553][4]~62629\);

-- Location: FF_X59_Y20_N13
\led_flash_cnt[2553][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2553][4]~62628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2553][4]~q\);

-- Location: LCCOMB_X59_Y20_N22
\WideAnd2553~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2553~0_combout\ = (\led_flash_cnt[2553][4]~q\ & (\led_flash_cnt[2553][1]~q\ & (\led_flash_cnt[2553][2]~q\ & \led_flash_cnt[2553][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2553][4]~q\,
	datab => \led_flash_cnt[2553][1]~q\,
	datac => \led_flash_cnt[2553][2]~q\,
	datad => \led_flash_cnt[2553][3]~q\,
	combout => \WideAnd2553~0_combout\);

-- Location: LCCOMB_X59_Y20_N14
\led_flash_cnt[2553][5]~62630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2553][5]~62630_combout\ = (\led_flash_cnt[2553][5]~q\ & (\led_flash_cnt[2553][4]~62629\ $ (GND))) # (!\led_flash_cnt[2553][5]~q\ & (!\led_flash_cnt[2553][4]~62629\ & VCC))
-- \led_flash_cnt[2553][5]~62631\ = CARRY((\led_flash_cnt[2553][5]~q\ & !\led_flash_cnt[2553][4]~62629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2553][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2553][4]~62629\,
	combout => \led_flash_cnt[2553][5]~62630_combout\,
	cout => \led_flash_cnt[2553][5]~62631\);

-- Location: FF_X59_Y20_N15
\led_flash_cnt[2553][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2553][5]~62630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2553][5]~q\);

-- Location: LCCOMB_X59_Y20_N16
\led_flash_cnt[2553][6]~62632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2553][6]~62632_combout\ = (\led_flash_cnt[2553][6]~q\ & (!\led_flash_cnt[2553][5]~62631\)) # (!\led_flash_cnt[2553][6]~q\ & ((\led_flash_cnt[2553][5]~62631\) # (GND)))
-- \led_flash_cnt[2553][6]~62633\ = CARRY((!\led_flash_cnt[2553][5]~62631\) # (!\led_flash_cnt[2553][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2553][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2553][5]~62631\,
	combout => \led_flash_cnt[2553][6]~62632_combout\,
	cout => \led_flash_cnt[2553][6]~62633\);

-- Location: FF_X59_Y20_N17
\led_flash_cnt[2553][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2553][6]~62632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2553][6]~q\);

-- Location: LCCOMB_X59_Y20_N18
\led_flash_cnt[2553][7]~62634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2553][7]~62634_combout\ = \led_flash_cnt[2553][6]~62633\ $ (!\led_flash_cnt[2553][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2553][7]~q\,
	cin => \led_flash_cnt[2553][6]~62633\,
	combout => \led_flash_cnt[2553][7]~62634_combout\);

-- Location: FF_X59_Y20_N19
\led_flash_cnt[2553][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2553][7]~62634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2553][7]~q\);

-- Location: LCCOMB_X59_Y20_N4
\WideAnd2553~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2553~1_combout\ = (\led_flash_cnt[2553][5]~q\ & \led_flash_cnt[2553][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2553][5]~q\,
	datad => \led_flash_cnt[2553][6]~q\,
	combout => \WideAnd2553~1_combout\);

-- Location: LCCOMB_X59_Y20_N28
WideAnd2553 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2553~combout\ = (\WideAnd2553~0_combout\ & (\led_flash_cnt[2553][7]~q\ & (\WideAnd2553~1_combout\ & \led_flash_cnt[2553][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2553~0_combout\,
	datab => \led_flash_cnt[2553][7]~q\,
	datac => \WideAnd2553~1_combout\,
	datad => \led_flash_cnt[2553][0]~q\,
	combout => \WideAnd2553~combout\);

-- Location: FF_X59_Y20_N29
\led_flash_cnt_ands[2553]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2553~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2553));

-- Location: LCCOMB_X56_Y18_N12
\led_flash_cnt[2554][0]~83194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2554][0]~83194_combout\ = !\led_flash_cnt[2554][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2554][0]~q\,
	combout => \led_flash_cnt[2554][0]~83194_combout\);

-- Location: FF_X56_Y18_N13
\led_flash_cnt[2554][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2554][0]~83194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2554][0]~q\);

-- Location: LCCOMB_X56_Y18_N14
\led_flash_cnt[2554][1]~62636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2554][1]~62636_combout\ = (\led_flash_cnt[2554][0]~q\ & (\led_flash_cnt[2554][1]~q\ $ (VCC))) # (!\led_flash_cnt[2554][0]~q\ & (\led_flash_cnt[2554][1]~q\ & VCC))
-- \led_flash_cnt[2554][1]~62637\ = CARRY((\led_flash_cnt[2554][0]~q\ & \led_flash_cnt[2554][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2554][0]~q\,
	datab => \led_flash_cnt[2554][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2554][1]~62636_combout\,
	cout => \led_flash_cnt[2554][1]~62637\);

-- Location: FF_X56_Y18_N15
\led_flash_cnt[2554][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2554][1]~62636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2554][1]~q\);

-- Location: LCCOMB_X56_Y18_N16
\led_flash_cnt[2554][2]~62638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2554][2]~62638_combout\ = (\led_flash_cnt[2554][2]~q\ & (!\led_flash_cnt[2554][1]~62637\)) # (!\led_flash_cnt[2554][2]~q\ & ((\led_flash_cnt[2554][1]~62637\) # (GND)))
-- \led_flash_cnt[2554][2]~62639\ = CARRY((!\led_flash_cnt[2554][1]~62637\) # (!\led_flash_cnt[2554][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2554][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2554][1]~62637\,
	combout => \led_flash_cnt[2554][2]~62638_combout\,
	cout => \led_flash_cnt[2554][2]~62639\);

-- Location: FF_X56_Y18_N17
\led_flash_cnt[2554][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2554][2]~62638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2554][2]~q\);

-- Location: LCCOMB_X56_Y18_N18
\led_flash_cnt[2554][3]~62640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2554][3]~62640_combout\ = (\led_flash_cnt[2554][3]~q\ & (\led_flash_cnt[2554][2]~62639\ $ (GND))) # (!\led_flash_cnt[2554][3]~q\ & (!\led_flash_cnt[2554][2]~62639\ & VCC))
-- \led_flash_cnt[2554][3]~62641\ = CARRY((\led_flash_cnt[2554][3]~q\ & !\led_flash_cnt[2554][2]~62639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2554][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2554][2]~62639\,
	combout => \led_flash_cnt[2554][3]~62640_combout\,
	cout => \led_flash_cnt[2554][3]~62641\);

-- Location: FF_X56_Y18_N19
\led_flash_cnt[2554][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2554][3]~62640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2554][3]~q\);

-- Location: LCCOMB_X56_Y18_N20
\led_flash_cnt[2554][4]~62642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2554][4]~62642_combout\ = (\led_flash_cnt[2554][4]~q\ & (!\led_flash_cnt[2554][3]~62641\)) # (!\led_flash_cnt[2554][4]~q\ & ((\led_flash_cnt[2554][3]~62641\) # (GND)))
-- \led_flash_cnt[2554][4]~62643\ = CARRY((!\led_flash_cnt[2554][3]~62641\) # (!\led_flash_cnt[2554][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2554][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2554][3]~62641\,
	combout => \led_flash_cnt[2554][4]~62642_combout\,
	cout => \led_flash_cnt[2554][4]~62643\);

-- Location: FF_X56_Y18_N21
\led_flash_cnt[2554][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2554][4]~62642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2554][4]~q\);

-- Location: LCCOMB_X56_Y18_N22
\led_flash_cnt[2554][5]~62644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2554][5]~62644_combout\ = (\led_flash_cnt[2554][5]~q\ & (\led_flash_cnt[2554][4]~62643\ $ (GND))) # (!\led_flash_cnt[2554][5]~q\ & (!\led_flash_cnt[2554][4]~62643\ & VCC))
-- \led_flash_cnt[2554][5]~62645\ = CARRY((\led_flash_cnt[2554][5]~q\ & !\led_flash_cnt[2554][4]~62643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2554][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2554][4]~62643\,
	combout => \led_flash_cnt[2554][5]~62644_combout\,
	cout => \led_flash_cnt[2554][5]~62645\);

-- Location: FF_X56_Y18_N23
\led_flash_cnt[2554][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2554][5]~62644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2554][5]~q\);

-- Location: LCCOMB_X56_Y18_N24
\led_flash_cnt[2554][6]~62646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2554][6]~62646_combout\ = (\led_flash_cnt[2554][6]~q\ & (!\led_flash_cnt[2554][5]~62645\)) # (!\led_flash_cnt[2554][6]~q\ & ((\led_flash_cnt[2554][5]~62645\) # (GND)))
-- \led_flash_cnt[2554][6]~62647\ = CARRY((!\led_flash_cnt[2554][5]~62645\) # (!\led_flash_cnt[2554][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2554][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2554][5]~62645\,
	combout => \led_flash_cnt[2554][6]~62646_combout\,
	cout => \led_flash_cnt[2554][6]~62647\);

-- Location: FF_X56_Y18_N25
\led_flash_cnt[2554][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2554][6]~62646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2554][6]~q\);

-- Location: LCCOMB_X56_Y18_N26
\led_flash_cnt[2554][7]~62648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2554][7]~62648_combout\ = \led_flash_cnt[2554][7]~q\ $ (!\led_flash_cnt[2554][6]~62647\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2554][7]~q\,
	cin => \led_flash_cnt[2554][6]~62647\,
	combout => \led_flash_cnt[2554][7]~62648_combout\);

-- Location: FF_X56_Y18_N27
\led_flash_cnt[2554][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2554][7]~62648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2554][7]~q\);

-- Location: LCCOMB_X56_Y18_N28
\WideAnd2554~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2554~1_combout\ = (\led_flash_cnt[2554][5]~q\ & \led_flash_cnt[2554][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2554][5]~q\,
	datad => \led_flash_cnt[2554][6]~q\,
	combout => \WideAnd2554~1_combout\);

-- Location: LCCOMB_X56_Y18_N4
\WideAnd2554~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2554~0_combout\ = (\led_flash_cnt[2554][4]~q\ & (\led_flash_cnt[2554][3]~q\ & (\led_flash_cnt[2554][1]~q\ & \led_flash_cnt[2554][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2554][4]~q\,
	datab => \led_flash_cnt[2554][3]~q\,
	datac => \led_flash_cnt[2554][1]~q\,
	datad => \led_flash_cnt[2554][2]~q\,
	combout => \WideAnd2554~0_combout\);

-- Location: LCCOMB_X56_Y18_N8
WideAnd2554 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2554~combout\ = (\led_flash_cnt[2554][7]~q\ & (\WideAnd2554~1_combout\ & (\WideAnd2554~0_combout\ & \led_flash_cnt[2554][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2554][7]~q\,
	datab => \WideAnd2554~1_combout\,
	datac => \WideAnd2554~0_combout\,
	datad => \led_flash_cnt[2554][0]~q\,
	combout => \WideAnd2554~combout\);

-- Location: FF_X56_Y18_N9
\led_flash_cnt_ands[2554]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2554~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2554));

-- Location: LCCOMB_X60_Y20_N30
\led_flash_cnt[2552][0]~83192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2552][0]~83192_combout\ = !\led_flash_cnt[2552][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2552][0]~q\,
	combout => \led_flash_cnt[2552][0]~83192_combout\);

-- Location: FF_X60_Y20_N31
\led_flash_cnt[2552][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2552][0]~83192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2552][0]~q\);

-- Location: LCCOMB_X60_Y20_N16
\led_flash_cnt[2552][1]~62608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2552][1]~62608_combout\ = (\led_flash_cnt[2552][0]~q\ & (\led_flash_cnt[2552][1]~q\ $ (VCC))) # (!\led_flash_cnt[2552][0]~q\ & (\led_flash_cnt[2552][1]~q\ & VCC))
-- \led_flash_cnt[2552][1]~62609\ = CARRY((\led_flash_cnt[2552][0]~q\ & \led_flash_cnt[2552][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2552][0]~q\,
	datab => \led_flash_cnt[2552][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2552][1]~62608_combout\,
	cout => \led_flash_cnt[2552][1]~62609\);

-- Location: FF_X60_Y20_N17
\led_flash_cnt[2552][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2552][1]~62608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2552][1]~q\);

-- Location: LCCOMB_X60_Y20_N18
\led_flash_cnt[2552][2]~62610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2552][2]~62610_combout\ = (\led_flash_cnt[2552][2]~q\ & (!\led_flash_cnt[2552][1]~62609\)) # (!\led_flash_cnt[2552][2]~q\ & ((\led_flash_cnt[2552][1]~62609\) # (GND)))
-- \led_flash_cnt[2552][2]~62611\ = CARRY((!\led_flash_cnt[2552][1]~62609\) # (!\led_flash_cnt[2552][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2552][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2552][1]~62609\,
	combout => \led_flash_cnt[2552][2]~62610_combout\,
	cout => \led_flash_cnt[2552][2]~62611\);

-- Location: FF_X60_Y20_N19
\led_flash_cnt[2552][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2552][2]~62610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2552][2]~q\);

-- Location: LCCOMB_X60_Y20_N20
\led_flash_cnt[2552][3]~62612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2552][3]~62612_combout\ = (\led_flash_cnt[2552][3]~q\ & (\led_flash_cnt[2552][2]~62611\ $ (GND))) # (!\led_flash_cnt[2552][3]~q\ & (!\led_flash_cnt[2552][2]~62611\ & VCC))
-- \led_flash_cnt[2552][3]~62613\ = CARRY((\led_flash_cnt[2552][3]~q\ & !\led_flash_cnt[2552][2]~62611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2552][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2552][2]~62611\,
	combout => \led_flash_cnt[2552][3]~62612_combout\,
	cout => \led_flash_cnt[2552][3]~62613\);

-- Location: FF_X60_Y20_N21
\led_flash_cnt[2552][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2552][3]~62612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2552][3]~q\);

-- Location: LCCOMB_X60_Y20_N22
\led_flash_cnt[2552][4]~62614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2552][4]~62614_combout\ = (\led_flash_cnt[2552][4]~q\ & (!\led_flash_cnt[2552][3]~62613\)) # (!\led_flash_cnt[2552][4]~q\ & ((\led_flash_cnt[2552][3]~62613\) # (GND)))
-- \led_flash_cnt[2552][4]~62615\ = CARRY((!\led_flash_cnt[2552][3]~62613\) # (!\led_flash_cnt[2552][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2552][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2552][3]~62613\,
	combout => \led_flash_cnt[2552][4]~62614_combout\,
	cout => \led_flash_cnt[2552][4]~62615\);

-- Location: FF_X60_Y20_N23
\led_flash_cnt[2552][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2552][4]~62614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2552][4]~q\);

-- Location: LCCOMB_X60_Y20_N24
\led_flash_cnt[2552][5]~62616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2552][5]~62616_combout\ = (\led_flash_cnt[2552][5]~q\ & (\led_flash_cnt[2552][4]~62615\ $ (GND))) # (!\led_flash_cnt[2552][5]~q\ & (!\led_flash_cnt[2552][4]~62615\ & VCC))
-- \led_flash_cnt[2552][5]~62617\ = CARRY((\led_flash_cnt[2552][5]~q\ & !\led_flash_cnt[2552][4]~62615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2552][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2552][4]~62615\,
	combout => \led_flash_cnt[2552][5]~62616_combout\,
	cout => \led_flash_cnt[2552][5]~62617\);

-- Location: FF_X60_Y20_N25
\led_flash_cnt[2552][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2552][5]~62616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2552][5]~q\);

-- Location: LCCOMB_X60_Y20_N26
\led_flash_cnt[2552][6]~62618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2552][6]~62618_combout\ = (\led_flash_cnt[2552][6]~q\ & (!\led_flash_cnt[2552][5]~62617\)) # (!\led_flash_cnt[2552][6]~q\ & ((\led_flash_cnt[2552][5]~62617\) # (GND)))
-- \led_flash_cnt[2552][6]~62619\ = CARRY((!\led_flash_cnt[2552][5]~62617\) # (!\led_flash_cnt[2552][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2552][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2552][5]~62617\,
	combout => \led_flash_cnt[2552][6]~62618_combout\,
	cout => \led_flash_cnt[2552][6]~62619\);

-- Location: FF_X60_Y20_N27
\led_flash_cnt[2552][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2552][6]~62618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2552][6]~q\);

-- Location: LCCOMB_X60_Y20_N28
\led_flash_cnt[2552][7]~62620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2552][7]~62620_combout\ = \led_flash_cnt[2552][6]~62619\ $ (!\led_flash_cnt[2552][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2552][7]~q\,
	cin => \led_flash_cnt[2552][6]~62619\,
	combout => \led_flash_cnt[2552][7]~62620_combout\);

-- Location: FF_X60_Y20_N29
\led_flash_cnt[2552][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2552][7]~62620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2552][7]~q\);

-- Location: LCCOMB_X60_Y20_N4
\WideAnd2552~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2552~1_combout\ = (\led_flash_cnt[2552][6]~q\ & \led_flash_cnt[2552][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2552][6]~q\,
	datad => \led_flash_cnt[2552][5]~q\,
	combout => \WideAnd2552~1_combout\);

-- Location: LCCOMB_X60_Y20_N12
\WideAnd2552~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2552~0_combout\ = (\led_flash_cnt[2552][2]~q\ & (\led_flash_cnt[2552][3]~q\ & (\led_flash_cnt[2552][4]~q\ & \led_flash_cnt[2552][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2552][2]~q\,
	datab => \led_flash_cnt[2552][3]~q\,
	datac => \led_flash_cnt[2552][4]~q\,
	datad => \led_flash_cnt[2552][1]~q\,
	combout => \WideAnd2552~0_combout\);

-- Location: LCCOMB_X60_Y20_N10
WideAnd2552 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2552~combout\ = (\led_flash_cnt[2552][0]~q\ & (\led_flash_cnt[2552][7]~q\ & (\WideAnd2552~1_combout\ & \WideAnd2552~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2552][0]~q\,
	datab => \led_flash_cnt[2552][7]~q\,
	datac => \WideAnd2552~1_combout\,
	datad => \WideAnd2552~0_combout\,
	combout => \WideAnd2552~combout\);

-- Location: FF_X60_Y20_N11
\led_flash_cnt_ands[2552]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2552~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2552));

-- Location: LCCOMB_X60_Y20_N8
\WideAnd4159~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4159~0_combout\ = (led_flash_cnt_ands(2555) & (led_flash_cnt_ands(2553) & (led_flash_cnt_ands(2554) & led_flash_cnt_ands(2552))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2555),
	datab => led_flash_cnt_ands(2553),
	datac => led_flash_cnt_ands(2554),
	datad => led_flash_cnt_ands(2552),
	combout => \WideAnd4159~0_combout\);

-- Location: LCCOMB_X64_Y20_N12
\led_flash_cnt[2558][0]~83198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2558][0]~83198_combout\ = !\led_flash_cnt[2558][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2558][0]~q\,
	combout => \led_flash_cnt[2558][0]~83198_combout\);

-- Location: FF_X64_Y20_N13
\led_flash_cnt[2558][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2558][0]~83198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2558][0]~q\);

-- Location: LCCOMB_X64_Y20_N18
\led_flash_cnt[2558][1]~62692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2558][1]~62692_combout\ = (\led_flash_cnt[2558][0]~q\ & (\led_flash_cnt[2558][1]~q\ $ (VCC))) # (!\led_flash_cnt[2558][0]~q\ & (\led_flash_cnt[2558][1]~q\ & VCC))
-- \led_flash_cnt[2558][1]~62693\ = CARRY((\led_flash_cnt[2558][0]~q\ & \led_flash_cnt[2558][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2558][0]~q\,
	datab => \led_flash_cnt[2558][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2558][1]~62692_combout\,
	cout => \led_flash_cnt[2558][1]~62693\);

-- Location: FF_X64_Y20_N19
\led_flash_cnt[2558][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2558][1]~62692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2558][1]~q\);

-- Location: LCCOMB_X64_Y20_N20
\led_flash_cnt[2558][2]~62694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2558][2]~62694_combout\ = (\led_flash_cnt[2558][2]~q\ & (!\led_flash_cnt[2558][1]~62693\)) # (!\led_flash_cnt[2558][2]~q\ & ((\led_flash_cnt[2558][1]~62693\) # (GND)))
-- \led_flash_cnt[2558][2]~62695\ = CARRY((!\led_flash_cnt[2558][1]~62693\) # (!\led_flash_cnt[2558][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2558][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2558][1]~62693\,
	combout => \led_flash_cnt[2558][2]~62694_combout\,
	cout => \led_flash_cnt[2558][2]~62695\);

-- Location: FF_X64_Y20_N21
\led_flash_cnt[2558][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2558][2]~62694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2558][2]~q\);

-- Location: LCCOMB_X64_Y20_N22
\led_flash_cnt[2558][3]~62696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2558][3]~62696_combout\ = (\led_flash_cnt[2558][3]~q\ & (\led_flash_cnt[2558][2]~62695\ $ (GND))) # (!\led_flash_cnt[2558][3]~q\ & (!\led_flash_cnt[2558][2]~62695\ & VCC))
-- \led_flash_cnt[2558][3]~62697\ = CARRY((\led_flash_cnt[2558][3]~q\ & !\led_flash_cnt[2558][2]~62695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2558][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2558][2]~62695\,
	combout => \led_flash_cnt[2558][3]~62696_combout\,
	cout => \led_flash_cnt[2558][3]~62697\);

-- Location: FF_X64_Y20_N23
\led_flash_cnt[2558][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2558][3]~62696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2558][3]~q\);

-- Location: LCCOMB_X64_Y20_N24
\led_flash_cnt[2558][4]~62698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2558][4]~62698_combout\ = (\led_flash_cnt[2558][4]~q\ & (!\led_flash_cnt[2558][3]~62697\)) # (!\led_flash_cnt[2558][4]~q\ & ((\led_flash_cnt[2558][3]~62697\) # (GND)))
-- \led_flash_cnt[2558][4]~62699\ = CARRY((!\led_flash_cnt[2558][3]~62697\) # (!\led_flash_cnt[2558][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2558][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2558][3]~62697\,
	combout => \led_flash_cnt[2558][4]~62698_combout\,
	cout => \led_flash_cnt[2558][4]~62699\);

-- Location: FF_X64_Y20_N25
\led_flash_cnt[2558][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2558][4]~62698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2558][4]~q\);

-- Location: LCCOMB_X64_Y20_N10
\WideAnd2558~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2558~0_combout\ = (\led_flash_cnt[2558][1]~q\ & (\led_flash_cnt[2558][4]~q\ & (\led_flash_cnt[2558][3]~q\ & \led_flash_cnt[2558][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2558][1]~q\,
	datab => \led_flash_cnt[2558][4]~q\,
	datac => \led_flash_cnt[2558][3]~q\,
	datad => \led_flash_cnt[2558][2]~q\,
	combout => \WideAnd2558~0_combout\);

-- Location: LCCOMB_X64_Y20_N26
\led_flash_cnt[2558][5]~62700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2558][5]~62700_combout\ = (\led_flash_cnt[2558][5]~q\ & (\led_flash_cnt[2558][4]~62699\ $ (GND))) # (!\led_flash_cnt[2558][5]~q\ & (!\led_flash_cnt[2558][4]~62699\ & VCC))
-- \led_flash_cnt[2558][5]~62701\ = CARRY((\led_flash_cnt[2558][5]~q\ & !\led_flash_cnt[2558][4]~62699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2558][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2558][4]~62699\,
	combout => \led_flash_cnt[2558][5]~62700_combout\,
	cout => \led_flash_cnt[2558][5]~62701\);

-- Location: FF_X64_Y20_N27
\led_flash_cnt[2558][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2558][5]~62700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2558][5]~q\);

-- Location: LCCOMB_X64_Y20_N28
\led_flash_cnt[2558][6]~62702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2558][6]~62702_combout\ = (\led_flash_cnt[2558][6]~q\ & (!\led_flash_cnt[2558][5]~62701\)) # (!\led_flash_cnt[2558][6]~q\ & ((\led_flash_cnt[2558][5]~62701\) # (GND)))
-- \led_flash_cnt[2558][6]~62703\ = CARRY((!\led_flash_cnt[2558][5]~62701\) # (!\led_flash_cnt[2558][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2558][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2558][5]~62701\,
	combout => \led_flash_cnt[2558][6]~62702_combout\,
	cout => \led_flash_cnt[2558][6]~62703\);

-- Location: FF_X64_Y20_N29
\led_flash_cnt[2558][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2558][6]~62702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2558][6]~q\);

-- Location: LCCOMB_X64_Y20_N8
\WideAnd2558~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2558~1_combout\ = (\led_flash_cnt[2558][5]~q\ & \led_flash_cnt[2558][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2558][5]~q\,
	datad => \led_flash_cnt[2558][6]~q\,
	combout => \WideAnd2558~1_combout\);

-- Location: LCCOMB_X64_Y20_N30
\led_flash_cnt[2558][7]~62704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2558][7]~62704_combout\ = \led_flash_cnt[2558][7]~q\ $ (!\led_flash_cnt[2558][6]~62703\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2558][7]~q\,
	cin => \led_flash_cnt[2558][6]~62703\,
	combout => \led_flash_cnt[2558][7]~62704_combout\);

-- Location: FF_X64_Y20_N31
\led_flash_cnt[2558][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2558][7]~62704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2558][7]~q\);

-- Location: LCCOMB_X64_Y20_N4
WideAnd2558 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2558~combout\ = (\WideAnd2558~0_combout\ & (\WideAnd2558~1_combout\ & (\led_flash_cnt[2558][7]~q\ & \led_flash_cnt[2558][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2558~0_combout\,
	datab => \WideAnd2558~1_combout\,
	datac => \led_flash_cnt[2558][7]~q\,
	datad => \led_flash_cnt[2558][0]~q\,
	combout => \WideAnd2558~combout\);

-- Location: FF_X64_Y20_N5
\led_flash_cnt_ands[2558]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2558~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2558));

-- Location: LCCOMB_X70_Y14_N24
\led_flash_cnt[2557][0]~83197\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2557][0]~83197_combout\ = !\led_flash_cnt[2557][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2557][0]~q\,
	combout => \led_flash_cnt[2557][0]~83197_combout\);

-- Location: FF_X70_Y14_N25
\led_flash_cnt[2557][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2557][0]~83197_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2557][0]~q\);

-- Location: LCCOMB_X70_Y14_N8
\led_flash_cnt[2557][1]~62678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2557][1]~62678_combout\ = (\led_flash_cnt[2557][0]~q\ & (\led_flash_cnt[2557][1]~q\ $ (VCC))) # (!\led_flash_cnt[2557][0]~q\ & (\led_flash_cnt[2557][1]~q\ & VCC))
-- \led_flash_cnt[2557][1]~62679\ = CARRY((\led_flash_cnt[2557][0]~q\ & \led_flash_cnt[2557][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2557][0]~q\,
	datab => \led_flash_cnt[2557][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2557][1]~62678_combout\,
	cout => \led_flash_cnt[2557][1]~62679\);

-- Location: FF_X70_Y14_N9
\led_flash_cnt[2557][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2557][1]~62678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2557][1]~q\);

-- Location: LCCOMB_X70_Y14_N10
\led_flash_cnt[2557][2]~62680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2557][2]~62680_combout\ = (\led_flash_cnt[2557][2]~q\ & (!\led_flash_cnt[2557][1]~62679\)) # (!\led_flash_cnt[2557][2]~q\ & ((\led_flash_cnt[2557][1]~62679\) # (GND)))
-- \led_flash_cnt[2557][2]~62681\ = CARRY((!\led_flash_cnt[2557][1]~62679\) # (!\led_flash_cnt[2557][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2557][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2557][1]~62679\,
	combout => \led_flash_cnt[2557][2]~62680_combout\,
	cout => \led_flash_cnt[2557][2]~62681\);

-- Location: FF_X70_Y14_N11
\led_flash_cnt[2557][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2557][2]~62680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2557][2]~q\);

-- Location: LCCOMB_X70_Y14_N12
\led_flash_cnt[2557][3]~62682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2557][3]~62682_combout\ = (\led_flash_cnt[2557][3]~q\ & (\led_flash_cnt[2557][2]~62681\ $ (GND))) # (!\led_flash_cnt[2557][3]~q\ & (!\led_flash_cnt[2557][2]~62681\ & VCC))
-- \led_flash_cnt[2557][3]~62683\ = CARRY((\led_flash_cnt[2557][3]~q\ & !\led_flash_cnt[2557][2]~62681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2557][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2557][2]~62681\,
	combout => \led_flash_cnt[2557][3]~62682_combout\,
	cout => \led_flash_cnt[2557][3]~62683\);

-- Location: FF_X70_Y14_N13
\led_flash_cnt[2557][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2557][3]~62682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2557][3]~q\);

-- Location: LCCOMB_X70_Y14_N14
\led_flash_cnt[2557][4]~62684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2557][4]~62684_combout\ = (\led_flash_cnt[2557][4]~q\ & (!\led_flash_cnt[2557][3]~62683\)) # (!\led_flash_cnt[2557][4]~q\ & ((\led_flash_cnt[2557][3]~62683\) # (GND)))
-- \led_flash_cnt[2557][4]~62685\ = CARRY((!\led_flash_cnt[2557][3]~62683\) # (!\led_flash_cnt[2557][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2557][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2557][3]~62683\,
	combout => \led_flash_cnt[2557][4]~62684_combout\,
	cout => \led_flash_cnt[2557][4]~62685\);

-- Location: FF_X70_Y14_N15
\led_flash_cnt[2557][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2557][4]~62684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2557][4]~q\);

-- Location: LCCOMB_X70_Y14_N16
\led_flash_cnt[2557][5]~62686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2557][5]~62686_combout\ = (\led_flash_cnt[2557][5]~q\ & (\led_flash_cnt[2557][4]~62685\ $ (GND))) # (!\led_flash_cnt[2557][5]~q\ & (!\led_flash_cnt[2557][4]~62685\ & VCC))
-- \led_flash_cnt[2557][5]~62687\ = CARRY((\led_flash_cnt[2557][5]~q\ & !\led_flash_cnt[2557][4]~62685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2557][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2557][4]~62685\,
	combout => \led_flash_cnt[2557][5]~62686_combout\,
	cout => \led_flash_cnt[2557][5]~62687\);

-- Location: FF_X70_Y14_N17
\led_flash_cnt[2557][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2557][5]~62686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2557][5]~q\);

-- Location: LCCOMB_X70_Y14_N18
\led_flash_cnt[2557][6]~62688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2557][6]~62688_combout\ = (\led_flash_cnt[2557][6]~q\ & (!\led_flash_cnt[2557][5]~62687\)) # (!\led_flash_cnt[2557][6]~q\ & ((\led_flash_cnt[2557][5]~62687\) # (GND)))
-- \led_flash_cnt[2557][6]~62689\ = CARRY((!\led_flash_cnt[2557][5]~62687\) # (!\led_flash_cnt[2557][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2557][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2557][5]~62687\,
	combout => \led_flash_cnt[2557][6]~62688_combout\,
	cout => \led_flash_cnt[2557][6]~62689\);

-- Location: FF_X70_Y14_N19
\led_flash_cnt[2557][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2557][6]~62688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2557][6]~q\);

-- Location: LCCOMB_X70_Y14_N26
\WideAnd2557~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2557~1_combout\ = (\led_flash_cnt[2557][6]~q\ & \led_flash_cnt[2557][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2557][6]~q\,
	datad => \led_flash_cnt[2557][5]~q\,
	combout => \WideAnd2557~1_combout\);

-- Location: LCCOMB_X70_Y14_N20
\led_flash_cnt[2557][7]~62690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2557][7]~62690_combout\ = \led_flash_cnt[2557][6]~62689\ $ (!\led_flash_cnt[2557][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2557][7]~q\,
	cin => \led_flash_cnt[2557][6]~62689\,
	combout => \led_flash_cnt[2557][7]~62690_combout\);

-- Location: FF_X70_Y14_N21
\led_flash_cnt[2557][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2557][7]~62690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2557][7]~q\);

-- Location: LCCOMB_X70_Y14_N22
\WideAnd2557~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2557~0_combout\ = (\led_flash_cnt[2557][3]~q\ & (\led_flash_cnt[2557][4]~q\ & (\led_flash_cnt[2557][1]~q\ & \led_flash_cnt[2557][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2557][3]~q\,
	datab => \led_flash_cnt[2557][4]~q\,
	datac => \led_flash_cnt[2557][1]~q\,
	datad => \led_flash_cnt[2557][2]~q\,
	combout => \WideAnd2557~0_combout\);

-- Location: LCCOMB_X70_Y14_N28
WideAnd2557 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2557~combout\ = (\WideAnd2557~1_combout\ & (\led_flash_cnt[2557][7]~q\ & (\WideAnd2557~0_combout\ & \led_flash_cnt[2557][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2557~1_combout\,
	datab => \led_flash_cnt[2557][7]~q\,
	datac => \WideAnd2557~0_combout\,
	datad => \led_flash_cnt[2557][0]~q\,
	combout => \WideAnd2557~combout\);

-- Location: FF_X70_Y14_N29
\led_flash_cnt_ands[2557]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2557~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2557));

-- Location: LCCOMB_X69_Y14_N26
\led_flash_cnt[2556][0]~83196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2556][0]~83196_combout\ = !\led_flash_cnt[2556][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2556][0]~q\,
	combout => \led_flash_cnt[2556][0]~83196_combout\);

-- Location: FF_X69_Y14_N27
\led_flash_cnt[2556][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2556][0]~83196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2556][0]~q\);

-- Location: LCCOMB_X69_Y14_N8
\led_flash_cnt[2556][1]~62664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2556][1]~62664_combout\ = (\led_flash_cnt[2556][0]~q\ & (\led_flash_cnt[2556][1]~q\ $ (VCC))) # (!\led_flash_cnt[2556][0]~q\ & (\led_flash_cnt[2556][1]~q\ & VCC))
-- \led_flash_cnt[2556][1]~62665\ = CARRY((\led_flash_cnt[2556][0]~q\ & \led_flash_cnt[2556][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2556][0]~q\,
	datab => \led_flash_cnt[2556][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2556][1]~62664_combout\,
	cout => \led_flash_cnt[2556][1]~62665\);

-- Location: FF_X69_Y14_N9
\led_flash_cnt[2556][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2556][1]~62664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2556][1]~q\);

-- Location: LCCOMB_X69_Y14_N10
\led_flash_cnt[2556][2]~62666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2556][2]~62666_combout\ = (\led_flash_cnt[2556][2]~q\ & (!\led_flash_cnt[2556][1]~62665\)) # (!\led_flash_cnt[2556][2]~q\ & ((\led_flash_cnt[2556][1]~62665\) # (GND)))
-- \led_flash_cnt[2556][2]~62667\ = CARRY((!\led_flash_cnt[2556][1]~62665\) # (!\led_flash_cnt[2556][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2556][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2556][1]~62665\,
	combout => \led_flash_cnt[2556][2]~62666_combout\,
	cout => \led_flash_cnt[2556][2]~62667\);

-- Location: FF_X69_Y14_N11
\led_flash_cnt[2556][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2556][2]~62666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2556][2]~q\);

-- Location: LCCOMB_X69_Y14_N12
\led_flash_cnt[2556][3]~62668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2556][3]~62668_combout\ = (\led_flash_cnt[2556][3]~q\ & (\led_flash_cnt[2556][2]~62667\ $ (GND))) # (!\led_flash_cnt[2556][3]~q\ & (!\led_flash_cnt[2556][2]~62667\ & VCC))
-- \led_flash_cnt[2556][3]~62669\ = CARRY((\led_flash_cnt[2556][3]~q\ & !\led_flash_cnt[2556][2]~62667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2556][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2556][2]~62667\,
	combout => \led_flash_cnt[2556][3]~62668_combout\,
	cout => \led_flash_cnt[2556][3]~62669\);

-- Location: FF_X69_Y14_N13
\led_flash_cnt[2556][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2556][3]~62668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2556][3]~q\);

-- Location: LCCOMB_X69_Y14_N14
\led_flash_cnt[2556][4]~62670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2556][4]~62670_combout\ = (\led_flash_cnt[2556][4]~q\ & (!\led_flash_cnt[2556][3]~62669\)) # (!\led_flash_cnt[2556][4]~q\ & ((\led_flash_cnt[2556][3]~62669\) # (GND)))
-- \led_flash_cnt[2556][4]~62671\ = CARRY((!\led_flash_cnt[2556][3]~62669\) # (!\led_flash_cnt[2556][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2556][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2556][3]~62669\,
	combout => \led_flash_cnt[2556][4]~62670_combout\,
	cout => \led_flash_cnt[2556][4]~62671\);

-- Location: FF_X69_Y14_N15
\led_flash_cnt[2556][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2556][4]~62670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2556][4]~q\);

-- Location: LCCOMB_X69_Y14_N22
\WideAnd2556~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2556~0_combout\ = (\led_flash_cnt[2556][3]~q\ & (\led_flash_cnt[2556][4]~q\ & (\led_flash_cnt[2556][1]~q\ & \led_flash_cnt[2556][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2556][3]~q\,
	datab => \led_flash_cnt[2556][4]~q\,
	datac => \led_flash_cnt[2556][1]~q\,
	datad => \led_flash_cnt[2556][2]~q\,
	combout => \WideAnd2556~0_combout\);

-- Location: LCCOMB_X69_Y14_N16
\led_flash_cnt[2556][5]~62672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2556][5]~62672_combout\ = (\led_flash_cnt[2556][5]~q\ & (\led_flash_cnt[2556][4]~62671\ $ (GND))) # (!\led_flash_cnt[2556][5]~q\ & (!\led_flash_cnt[2556][4]~62671\ & VCC))
-- \led_flash_cnt[2556][5]~62673\ = CARRY((\led_flash_cnt[2556][5]~q\ & !\led_flash_cnt[2556][4]~62671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2556][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2556][4]~62671\,
	combout => \led_flash_cnt[2556][5]~62672_combout\,
	cout => \led_flash_cnt[2556][5]~62673\);

-- Location: FF_X69_Y14_N17
\led_flash_cnt[2556][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2556][5]~62672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2556][5]~q\);

-- Location: LCCOMB_X69_Y14_N18
\led_flash_cnt[2556][6]~62674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2556][6]~62674_combout\ = (\led_flash_cnt[2556][6]~q\ & (!\led_flash_cnt[2556][5]~62673\)) # (!\led_flash_cnt[2556][6]~q\ & ((\led_flash_cnt[2556][5]~62673\) # (GND)))
-- \led_flash_cnt[2556][6]~62675\ = CARRY((!\led_flash_cnt[2556][5]~62673\) # (!\led_flash_cnt[2556][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2556][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2556][5]~62673\,
	combout => \led_flash_cnt[2556][6]~62674_combout\,
	cout => \led_flash_cnt[2556][6]~62675\);

-- Location: FF_X69_Y14_N19
\led_flash_cnt[2556][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2556][6]~62674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2556][6]~q\);

-- Location: LCCOMB_X69_Y14_N20
\led_flash_cnt[2556][7]~62676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2556][7]~62676_combout\ = \led_flash_cnt[2556][6]~62675\ $ (!\led_flash_cnt[2556][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2556][7]~q\,
	cin => \led_flash_cnt[2556][6]~62675\,
	combout => \led_flash_cnt[2556][7]~62676_combout\);

-- Location: FF_X69_Y14_N21
\led_flash_cnt[2556][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2556][7]~62676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2556][7]~q\);

-- Location: LCCOMB_X69_Y14_N0
\WideAnd2556~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2556~1_combout\ = (\led_flash_cnt[2556][6]~q\ & \led_flash_cnt[2556][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2556][6]~q\,
	datad => \led_flash_cnt[2556][5]~q\,
	combout => \WideAnd2556~1_combout\);

-- Location: LCCOMB_X69_Y14_N24
WideAnd2556 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2556~combout\ = (\WideAnd2556~0_combout\ & (\led_flash_cnt[2556][7]~q\ & (\led_flash_cnt[2556][0]~q\ & \WideAnd2556~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2556~0_combout\,
	datab => \led_flash_cnt[2556][7]~q\,
	datac => \led_flash_cnt[2556][0]~q\,
	datad => \WideAnd2556~1_combout\,
	combout => \WideAnd2556~combout\);

-- Location: FF_X69_Y14_N25
\led_flash_cnt_ands[2556]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2556~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2556));

-- Location: LCCOMB_X69_Y14_N2
\WideAnd4159~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4159~1_combout\ = (led_flash_cnt_ands(2557) & led_flash_cnt_ands(2556))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2557),
	datad => led_flash_cnt_ands(2556),
	combout => \WideAnd4159~1_combout\);

-- Location: LCCOMB_X65_Y20_N4
\led_flash_cnt[2559][0]~83199\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2559][0]~83199_combout\ = !\led_flash_cnt[2559][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2559][0]~q\,
	combout => \led_flash_cnt[2559][0]~83199_combout\);

-- Location: FF_X65_Y20_N5
\led_flash_cnt[2559][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2559][0]~83199_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2559][0]~q\);

-- Location: LCCOMB_X65_Y20_N10
\led_flash_cnt[2559][1]~62706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2559][1]~62706_combout\ = (\led_flash_cnt[2559][1]~q\ & (\led_flash_cnt[2559][0]~q\ $ (VCC))) # (!\led_flash_cnt[2559][1]~q\ & (\led_flash_cnt[2559][0]~q\ & VCC))
-- \led_flash_cnt[2559][1]~62707\ = CARRY((\led_flash_cnt[2559][1]~q\ & \led_flash_cnt[2559][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2559][1]~q\,
	datab => \led_flash_cnt[2559][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2559][1]~62706_combout\,
	cout => \led_flash_cnt[2559][1]~62707\);

-- Location: FF_X65_Y20_N11
\led_flash_cnt[2559][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2559][1]~62706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2559][1]~q\);

-- Location: LCCOMB_X65_Y20_N12
\led_flash_cnt[2559][2]~62708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2559][2]~62708_combout\ = (\led_flash_cnt[2559][2]~q\ & (!\led_flash_cnt[2559][1]~62707\)) # (!\led_flash_cnt[2559][2]~q\ & ((\led_flash_cnt[2559][1]~62707\) # (GND)))
-- \led_flash_cnt[2559][2]~62709\ = CARRY((!\led_flash_cnt[2559][1]~62707\) # (!\led_flash_cnt[2559][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2559][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2559][1]~62707\,
	combout => \led_flash_cnt[2559][2]~62708_combout\,
	cout => \led_flash_cnt[2559][2]~62709\);

-- Location: FF_X65_Y20_N13
\led_flash_cnt[2559][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2559][2]~62708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2559][2]~q\);

-- Location: LCCOMB_X65_Y20_N14
\led_flash_cnt[2559][3]~62710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2559][3]~62710_combout\ = (\led_flash_cnt[2559][3]~q\ & (\led_flash_cnt[2559][2]~62709\ $ (GND))) # (!\led_flash_cnt[2559][3]~q\ & (!\led_flash_cnt[2559][2]~62709\ & VCC))
-- \led_flash_cnt[2559][3]~62711\ = CARRY((\led_flash_cnt[2559][3]~q\ & !\led_flash_cnt[2559][2]~62709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2559][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2559][2]~62709\,
	combout => \led_flash_cnt[2559][3]~62710_combout\,
	cout => \led_flash_cnt[2559][3]~62711\);

-- Location: FF_X65_Y20_N15
\led_flash_cnt[2559][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2559][3]~62710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2559][3]~q\);

-- Location: LCCOMB_X65_Y20_N16
\led_flash_cnt[2559][4]~62712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2559][4]~62712_combout\ = (\led_flash_cnt[2559][4]~q\ & (!\led_flash_cnt[2559][3]~62711\)) # (!\led_flash_cnt[2559][4]~q\ & ((\led_flash_cnt[2559][3]~62711\) # (GND)))
-- \led_flash_cnt[2559][4]~62713\ = CARRY((!\led_flash_cnt[2559][3]~62711\) # (!\led_flash_cnt[2559][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2559][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2559][3]~62711\,
	combout => \led_flash_cnt[2559][4]~62712_combout\,
	cout => \led_flash_cnt[2559][4]~62713\);

-- Location: FF_X65_Y20_N17
\led_flash_cnt[2559][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2559][4]~62712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2559][4]~q\);

-- Location: LCCOMB_X65_Y20_N18
\led_flash_cnt[2559][5]~62714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2559][5]~62714_combout\ = (\led_flash_cnt[2559][5]~q\ & (\led_flash_cnt[2559][4]~62713\ $ (GND))) # (!\led_flash_cnt[2559][5]~q\ & (!\led_flash_cnt[2559][4]~62713\ & VCC))
-- \led_flash_cnt[2559][5]~62715\ = CARRY((\led_flash_cnt[2559][5]~q\ & !\led_flash_cnt[2559][4]~62713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2559][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2559][4]~62713\,
	combout => \led_flash_cnt[2559][5]~62714_combout\,
	cout => \led_flash_cnt[2559][5]~62715\);

-- Location: FF_X65_Y20_N19
\led_flash_cnt[2559][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2559][5]~62714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2559][5]~q\);

-- Location: LCCOMB_X65_Y20_N20
\led_flash_cnt[2559][6]~62716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2559][6]~62716_combout\ = (\led_flash_cnt[2559][6]~q\ & (!\led_flash_cnt[2559][5]~62715\)) # (!\led_flash_cnt[2559][6]~q\ & ((\led_flash_cnt[2559][5]~62715\) # (GND)))
-- \led_flash_cnt[2559][6]~62717\ = CARRY((!\led_flash_cnt[2559][5]~62715\) # (!\led_flash_cnt[2559][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2559][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2559][5]~62715\,
	combout => \led_flash_cnt[2559][6]~62716_combout\,
	cout => \led_flash_cnt[2559][6]~62717\);

-- Location: FF_X65_Y20_N21
\led_flash_cnt[2559][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2559][6]~62716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2559][6]~q\);

-- Location: LCCOMB_X65_Y20_N26
\WideAnd2559~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2559~1_combout\ = (\led_flash_cnt[2559][5]~q\ & \led_flash_cnt[2559][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2559][5]~q\,
	datad => \led_flash_cnt[2559][6]~q\,
	combout => \WideAnd2559~1_combout\);

-- Location: LCCOMB_X65_Y20_N22
\led_flash_cnt[2559][7]~62718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2559][7]~62718_combout\ = \led_flash_cnt[2559][7]~q\ $ (!\led_flash_cnt[2559][6]~62717\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2559][7]~q\,
	cin => \led_flash_cnt[2559][6]~62717\,
	combout => \led_flash_cnt[2559][7]~62718_combout\);

-- Location: FF_X65_Y20_N23
\led_flash_cnt[2559][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2559][7]~62718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2559][7]~q\);

-- Location: LCCOMB_X65_Y20_N24
\WideAnd2559~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2559~0_combout\ = (\led_flash_cnt[2559][2]~q\ & (\led_flash_cnt[2559][4]~q\ & (\led_flash_cnt[2559][3]~q\ & \led_flash_cnt[2559][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2559][2]~q\,
	datab => \led_flash_cnt[2559][4]~q\,
	datac => \led_flash_cnt[2559][3]~q\,
	datad => \led_flash_cnt[2559][1]~q\,
	combout => \WideAnd2559~0_combout\);

-- Location: LCCOMB_X65_Y20_N28
WideAnd2559 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2559~combout\ = (\WideAnd2559~1_combout\ & (\led_flash_cnt[2559][0]~q\ & (\led_flash_cnt[2559][7]~q\ & \WideAnd2559~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2559~1_combout\,
	datab => \led_flash_cnt[2559][0]~q\,
	datac => \led_flash_cnt[2559][7]~q\,
	datad => \WideAnd2559~0_combout\,
	combout => \WideAnd2559~combout\);

-- Location: FF_X65_Y20_N29
\led_flash_cnt_ands[2559]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2559~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2559));

-- Location: LCCOMB_X64_Y20_N16
WideAnd4159 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4159~combout\ = (\WideAnd4159~0_combout\ & (led_flash_cnt_ands(2558) & (\WideAnd4159~1_combout\ & led_flash_cnt_ands(2559))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4159~0_combout\,
	datab => led_flash_cnt_ands(2558),
	datac => \WideAnd4159~1_combout\,
	datad => led_flash_cnt_ands(2559),
	combout => \WideAnd4159~combout\);

-- Location: FF_X64_Y20_N17
\led_flash_cnt_ands_1[319]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4159~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(319));

-- Location: LCCOMB_X64_Y20_N14
WideAnd4359 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4359~combout\ = (\WideAnd4359~1_combout\ & (led_flash_cnt_ands_1(318) & (\WideAnd4359~0_combout\ & led_flash_cnt_ands_1(319))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4359~1_combout\,
	datab => led_flash_cnt_ands_1(318),
	datac => \WideAnd4359~0_combout\,
	datad => led_flash_cnt_ands_1(319),
	combout => \WideAnd4359~combout\);

-- Location: FF_X64_Y20_N15
\led_flash_cnt_ands_2[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4359~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(39));

-- Location: LCCOMB_X62_Y5_N12
\led_flash_cnt[2470][0]~83110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2470][0]~83110_combout\ = !\led_flash_cnt[2470][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2470][0]~q\,
	combout => \led_flash_cnt[2470][0]~83110_combout\);

-- Location: FF_X62_Y5_N13
\led_flash_cnt[2470][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2470][0]~83110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2470][0]~q\);

-- Location: LCCOMB_X62_Y5_N16
\led_flash_cnt[2470][1]~61460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2470][1]~61460_combout\ = (\led_flash_cnt[2470][0]~q\ & (\led_flash_cnt[2470][1]~q\ $ (VCC))) # (!\led_flash_cnt[2470][0]~q\ & (\led_flash_cnt[2470][1]~q\ & VCC))
-- \led_flash_cnt[2470][1]~61461\ = CARRY((\led_flash_cnt[2470][0]~q\ & \led_flash_cnt[2470][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2470][0]~q\,
	datab => \led_flash_cnt[2470][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2470][1]~61460_combout\,
	cout => \led_flash_cnt[2470][1]~61461\);

-- Location: FF_X62_Y5_N17
\led_flash_cnt[2470][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2470][1]~61460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2470][1]~q\);

-- Location: LCCOMB_X62_Y5_N18
\led_flash_cnt[2470][2]~61462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2470][2]~61462_combout\ = (\led_flash_cnt[2470][2]~q\ & (!\led_flash_cnt[2470][1]~61461\)) # (!\led_flash_cnt[2470][2]~q\ & ((\led_flash_cnt[2470][1]~61461\) # (GND)))
-- \led_flash_cnt[2470][2]~61463\ = CARRY((!\led_flash_cnt[2470][1]~61461\) # (!\led_flash_cnt[2470][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2470][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2470][1]~61461\,
	combout => \led_flash_cnt[2470][2]~61462_combout\,
	cout => \led_flash_cnt[2470][2]~61463\);

-- Location: FF_X62_Y5_N19
\led_flash_cnt[2470][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2470][2]~61462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2470][2]~q\);

-- Location: LCCOMB_X62_Y5_N20
\led_flash_cnt[2470][3]~61464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2470][3]~61464_combout\ = (\led_flash_cnt[2470][3]~q\ & (\led_flash_cnt[2470][2]~61463\ $ (GND))) # (!\led_flash_cnt[2470][3]~q\ & (!\led_flash_cnt[2470][2]~61463\ & VCC))
-- \led_flash_cnt[2470][3]~61465\ = CARRY((\led_flash_cnt[2470][3]~q\ & !\led_flash_cnt[2470][2]~61463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2470][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2470][2]~61463\,
	combout => \led_flash_cnt[2470][3]~61464_combout\,
	cout => \led_flash_cnt[2470][3]~61465\);

-- Location: FF_X62_Y5_N21
\led_flash_cnt[2470][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2470][3]~61464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2470][3]~q\);

-- Location: LCCOMB_X62_Y5_N22
\led_flash_cnt[2470][4]~61466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2470][4]~61466_combout\ = (\led_flash_cnt[2470][4]~q\ & (!\led_flash_cnt[2470][3]~61465\)) # (!\led_flash_cnt[2470][4]~q\ & ((\led_flash_cnt[2470][3]~61465\) # (GND)))
-- \led_flash_cnt[2470][4]~61467\ = CARRY((!\led_flash_cnt[2470][3]~61465\) # (!\led_flash_cnt[2470][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2470][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2470][3]~61465\,
	combout => \led_flash_cnt[2470][4]~61466_combout\,
	cout => \led_flash_cnt[2470][4]~61467\);

-- Location: FF_X62_Y5_N23
\led_flash_cnt[2470][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2470][4]~61466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2470][4]~q\);

-- Location: LCCOMB_X62_Y5_N24
\led_flash_cnt[2470][5]~61468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2470][5]~61468_combout\ = (\led_flash_cnt[2470][5]~q\ & (\led_flash_cnt[2470][4]~61467\ $ (GND))) # (!\led_flash_cnt[2470][5]~q\ & (!\led_flash_cnt[2470][4]~61467\ & VCC))
-- \led_flash_cnt[2470][5]~61469\ = CARRY((\led_flash_cnt[2470][5]~q\ & !\led_flash_cnt[2470][4]~61467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2470][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2470][4]~61467\,
	combout => \led_flash_cnt[2470][5]~61468_combout\,
	cout => \led_flash_cnt[2470][5]~61469\);

-- Location: FF_X62_Y5_N25
\led_flash_cnt[2470][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2470][5]~61468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2470][5]~q\);

-- Location: LCCOMB_X62_Y5_N26
\led_flash_cnt[2470][6]~61470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2470][6]~61470_combout\ = (\led_flash_cnt[2470][6]~q\ & (!\led_flash_cnt[2470][5]~61469\)) # (!\led_flash_cnt[2470][6]~q\ & ((\led_flash_cnt[2470][5]~61469\) # (GND)))
-- \led_flash_cnt[2470][6]~61471\ = CARRY((!\led_flash_cnt[2470][5]~61469\) # (!\led_flash_cnt[2470][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2470][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2470][5]~61469\,
	combout => \led_flash_cnt[2470][6]~61470_combout\,
	cout => \led_flash_cnt[2470][6]~61471\);

-- Location: FF_X62_Y5_N27
\led_flash_cnt[2470][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2470][6]~61470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2470][6]~q\);

-- Location: LCCOMB_X62_Y5_N8
\WideAnd2470~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2470~1_combout\ = (\led_flash_cnt[2470][6]~q\ & \led_flash_cnt[2470][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2470][6]~q\,
	datad => \led_flash_cnt[2470][5]~q\,
	combout => \WideAnd2470~1_combout\);

-- Location: LCCOMB_X62_Y5_N4
\WideAnd2470~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2470~0_combout\ = (\led_flash_cnt[2470][1]~q\ & (\led_flash_cnt[2470][3]~q\ & (\led_flash_cnt[2470][4]~q\ & \led_flash_cnt[2470][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2470][1]~q\,
	datab => \led_flash_cnt[2470][3]~q\,
	datac => \led_flash_cnt[2470][4]~q\,
	datad => \led_flash_cnt[2470][2]~q\,
	combout => \WideAnd2470~0_combout\);

-- Location: LCCOMB_X62_Y5_N28
\led_flash_cnt[2470][7]~61472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2470][7]~61472_combout\ = \led_flash_cnt[2470][6]~61471\ $ (!\led_flash_cnt[2470][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2470][7]~q\,
	cin => \led_flash_cnt[2470][6]~61471\,
	combout => \led_flash_cnt[2470][7]~61472_combout\);

-- Location: FF_X62_Y5_N29
\led_flash_cnt[2470][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2470][7]~61472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2470][7]~q\);

-- Location: LCCOMB_X62_Y5_N10
WideAnd2470 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2470~combout\ = (\led_flash_cnt[2470][0]~q\ & (\WideAnd2470~1_combout\ & (\WideAnd2470~0_combout\ & \led_flash_cnt[2470][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2470][0]~q\,
	datab => \WideAnd2470~1_combout\,
	datac => \WideAnd2470~0_combout\,
	datad => \led_flash_cnt[2470][7]~q\,
	combout => \WideAnd2470~combout\);

-- Location: FF_X62_Y5_N11
\led_flash_cnt_ands[2470]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2470~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2470));

-- Location: LCCOMB_X35_Y2_N12
\led_flash_cnt[2469][0]~83109\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2469][0]~83109_combout\ = !\led_flash_cnt[2469][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2469][0]~q\,
	combout => \led_flash_cnt[2469][0]~83109_combout\);

-- Location: FF_X35_Y2_N13
\led_flash_cnt[2469][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2469][0]~83109_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2469][0]~q\);

-- Location: LCCOMB_X35_Y2_N14
\led_flash_cnt[2469][1]~61446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2469][1]~61446_combout\ = (\led_flash_cnt[2469][0]~q\ & (\led_flash_cnt[2469][1]~q\ $ (VCC))) # (!\led_flash_cnt[2469][0]~q\ & (\led_flash_cnt[2469][1]~q\ & VCC))
-- \led_flash_cnt[2469][1]~61447\ = CARRY((\led_flash_cnt[2469][0]~q\ & \led_flash_cnt[2469][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2469][0]~q\,
	datab => \led_flash_cnt[2469][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2469][1]~61446_combout\,
	cout => \led_flash_cnt[2469][1]~61447\);

-- Location: FF_X35_Y2_N15
\led_flash_cnt[2469][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2469][1]~61446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2469][1]~q\);

-- Location: LCCOMB_X35_Y2_N16
\led_flash_cnt[2469][2]~61448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2469][2]~61448_combout\ = (\led_flash_cnt[2469][2]~q\ & (!\led_flash_cnt[2469][1]~61447\)) # (!\led_flash_cnt[2469][2]~q\ & ((\led_flash_cnt[2469][1]~61447\) # (GND)))
-- \led_flash_cnt[2469][2]~61449\ = CARRY((!\led_flash_cnt[2469][1]~61447\) # (!\led_flash_cnt[2469][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2469][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2469][1]~61447\,
	combout => \led_flash_cnt[2469][2]~61448_combout\,
	cout => \led_flash_cnt[2469][2]~61449\);

-- Location: FF_X35_Y2_N17
\led_flash_cnt[2469][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2469][2]~61448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2469][2]~q\);

-- Location: LCCOMB_X35_Y2_N18
\led_flash_cnt[2469][3]~61450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2469][3]~61450_combout\ = (\led_flash_cnt[2469][3]~q\ & (\led_flash_cnt[2469][2]~61449\ $ (GND))) # (!\led_flash_cnt[2469][3]~q\ & (!\led_flash_cnt[2469][2]~61449\ & VCC))
-- \led_flash_cnt[2469][3]~61451\ = CARRY((\led_flash_cnt[2469][3]~q\ & !\led_flash_cnt[2469][2]~61449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2469][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2469][2]~61449\,
	combout => \led_flash_cnt[2469][3]~61450_combout\,
	cout => \led_flash_cnt[2469][3]~61451\);

-- Location: FF_X35_Y2_N19
\led_flash_cnt[2469][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2469][3]~61450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2469][3]~q\);

-- Location: LCCOMB_X35_Y2_N20
\led_flash_cnt[2469][4]~61452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2469][4]~61452_combout\ = (\led_flash_cnt[2469][4]~q\ & (!\led_flash_cnt[2469][3]~61451\)) # (!\led_flash_cnt[2469][4]~q\ & ((\led_flash_cnt[2469][3]~61451\) # (GND)))
-- \led_flash_cnt[2469][4]~61453\ = CARRY((!\led_flash_cnt[2469][3]~61451\) # (!\led_flash_cnt[2469][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2469][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2469][3]~61451\,
	combout => \led_flash_cnt[2469][4]~61452_combout\,
	cout => \led_flash_cnt[2469][4]~61453\);

-- Location: FF_X35_Y2_N21
\led_flash_cnt[2469][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2469][4]~61452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2469][4]~q\);

-- Location: LCCOMB_X35_Y2_N10
\WideAnd2469~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2469~0_combout\ = (\led_flash_cnt[2469][3]~q\ & (\led_flash_cnt[2469][4]~q\ & (\led_flash_cnt[2469][1]~q\ & \led_flash_cnt[2469][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2469][3]~q\,
	datab => \led_flash_cnt[2469][4]~q\,
	datac => \led_flash_cnt[2469][1]~q\,
	datad => \led_flash_cnt[2469][2]~q\,
	combout => \WideAnd2469~0_combout\);

-- Location: LCCOMB_X35_Y2_N22
\led_flash_cnt[2469][5]~61454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2469][5]~61454_combout\ = (\led_flash_cnt[2469][5]~q\ & (\led_flash_cnt[2469][4]~61453\ $ (GND))) # (!\led_flash_cnt[2469][5]~q\ & (!\led_flash_cnt[2469][4]~61453\ & VCC))
-- \led_flash_cnt[2469][5]~61455\ = CARRY((\led_flash_cnt[2469][5]~q\ & !\led_flash_cnt[2469][4]~61453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2469][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2469][4]~61453\,
	combout => \led_flash_cnt[2469][5]~61454_combout\,
	cout => \led_flash_cnt[2469][5]~61455\);

-- Location: FF_X35_Y2_N23
\led_flash_cnt[2469][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2469][5]~61454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2469][5]~q\);

-- Location: LCCOMB_X35_Y2_N24
\led_flash_cnt[2469][6]~61456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2469][6]~61456_combout\ = (\led_flash_cnt[2469][6]~q\ & (!\led_flash_cnt[2469][5]~61455\)) # (!\led_flash_cnt[2469][6]~q\ & ((\led_flash_cnt[2469][5]~61455\) # (GND)))
-- \led_flash_cnt[2469][6]~61457\ = CARRY((!\led_flash_cnt[2469][5]~61455\) # (!\led_flash_cnt[2469][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2469][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2469][5]~61455\,
	combout => \led_flash_cnt[2469][6]~61456_combout\,
	cout => \led_flash_cnt[2469][6]~61457\);

-- Location: FF_X35_Y2_N25
\led_flash_cnt[2469][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2469][6]~61456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2469][6]~q\);

-- Location: LCCOMB_X35_Y2_N4
\WideAnd2469~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2469~1_combout\ = (\led_flash_cnt[2469][5]~q\ & \led_flash_cnt[2469][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2469][5]~q\,
	datad => \led_flash_cnt[2469][6]~q\,
	combout => \WideAnd2469~1_combout\);

-- Location: LCCOMB_X35_Y2_N26
\led_flash_cnt[2469][7]~61458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2469][7]~61458_combout\ = \led_flash_cnt[2469][7]~q\ $ (!\led_flash_cnt[2469][6]~61457\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2469][7]~q\,
	cin => \led_flash_cnt[2469][6]~61457\,
	combout => \led_flash_cnt[2469][7]~61458_combout\);

-- Location: FF_X35_Y2_N27
\led_flash_cnt[2469][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2469][7]~61458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2469][7]~q\);

-- Location: LCCOMB_X35_Y2_N8
WideAnd2469 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2469~combout\ = (\WideAnd2469~0_combout\ & (\WideAnd2469~1_combout\ & (\led_flash_cnt[2469][7]~q\ & \led_flash_cnt[2469][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2469~0_combout\,
	datab => \WideAnd2469~1_combout\,
	datac => \led_flash_cnt[2469][7]~q\,
	datad => \led_flash_cnt[2469][0]~q\,
	combout => \WideAnd2469~combout\);

-- Location: FF_X35_Y2_N9
\led_flash_cnt_ands[2469]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2469~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2469));

-- Location: LCCOMB_X34_Y2_N24
\led_flash_cnt[2468][0]~83108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2468][0]~83108_combout\ = !\led_flash_cnt[2468][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2468][0]~q\,
	combout => \led_flash_cnt[2468][0]~83108_combout\);

-- Location: FF_X34_Y2_N25
\led_flash_cnt[2468][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2468][0]~83108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2468][0]~q\);

-- Location: LCCOMB_X34_Y2_N6
\led_flash_cnt[2468][1]~61432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2468][1]~61432_combout\ = (\led_flash_cnt[2468][1]~q\ & (\led_flash_cnt[2468][0]~q\ $ (VCC))) # (!\led_flash_cnt[2468][1]~q\ & (\led_flash_cnt[2468][0]~q\ & VCC))
-- \led_flash_cnt[2468][1]~61433\ = CARRY((\led_flash_cnt[2468][1]~q\ & \led_flash_cnt[2468][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2468][1]~q\,
	datab => \led_flash_cnt[2468][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2468][1]~61432_combout\,
	cout => \led_flash_cnt[2468][1]~61433\);

-- Location: FF_X34_Y2_N7
\led_flash_cnt[2468][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2468][1]~61432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2468][1]~q\);

-- Location: LCCOMB_X34_Y2_N8
\led_flash_cnt[2468][2]~61434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2468][2]~61434_combout\ = (\led_flash_cnt[2468][2]~q\ & (!\led_flash_cnt[2468][1]~61433\)) # (!\led_flash_cnt[2468][2]~q\ & ((\led_flash_cnt[2468][1]~61433\) # (GND)))
-- \led_flash_cnt[2468][2]~61435\ = CARRY((!\led_flash_cnt[2468][1]~61433\) # (!\led_flash_cnt[2468][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2468][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2468][1]~61433\,
	combout => \led_flash_cnt[2468][2]~61434_combout\,
	cout => \led_flash_cnt[2468][2]~61435\);

-- Location: FF_X34_Y2_N9
\led_flash_cnt[2468][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2468][2]~61434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2468][2]~q\);

-- Location: LCCOMB_X34_Y2_N10
\led_flash_cnt[2468][3]~61436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2468][3]~61436_combout\ = (\led_flash_cnt[2468][3]~q\ & (\led_flash_cnt[2468][2]~61435\ $ (GND))) # (!\led_flash_cnt[2468][3]~q\ & (!\led_flash_cnt[2468][2]~61435\ & VCC))
-- \led_flash_cnt[2468][3]~61437\ = CARRY((\led_flash_cnt[2468][3]~q\ & !\led_flash_cnt[2468][2]~61435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2468][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2468][2]~61435\,
	combout => \led_flash_cnt[2468][3]~61436_combout\,
	cout => \led_flash_cnt[2468][3]~61437\);

-- Location: FF_X34_Y2_N11
\led_flash_cnt[2468][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2468][3]~61436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2468][3]~q\);

-- Location: LCCOMB_X34_Y2_N12
\led_flash_cnt[2468][4]~61438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2468][4]~61438_combout\ = (\led_flash_cnt[2468][4]~q\ & (!\led_flash_cnt[2468][3]~61437\)) # (!\led_flash_cnt[2468][4]~q\ & ((\led_flash_cnt[2468][3]~61437\) # (GND)))
-- \led_flash_cnt[2468][4]~61439\ = CARRY((!\led_flash_cnt[2468][3]~61437\) # (!\led_flash_cnt[2468][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2468][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2468][3]~61437\,
	combout => \led_flash_cnt[2468][4]~61438_combout\,
	cout => \led_flash_cnt[2468][4]~61439\);

-- Location: FF_X34_Y2_N13
\led_flash_cnt[2468][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2468][4]~61438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2468][4]~q\);

-- Location: LCCOMB_X34_Y2_N22
\WideAnd2468~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2468~0_combout\ = (\led_flash_cnt[2468][1]~q\ & (\led_flash_cnt[2468][3]~q\ & (\led_flash_cnt[2468][2]~q\ & \led_flash_cnt[2468][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2468][1]~q\,
	datab => \led_flash_cnt[2468][3]~q\,
	datac => \led_flash_cnt[2468][2]~q\,
	datad => \led_flash_cnt[2468][4]~q\,
	combout => \WideAnd2468~0_combout\);

-- Location: LCCOMB_X34_Y2_N14
\led_flash_cnt[2468][5]~61440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2468][5]~61440_combout\ = (\led_flash_cnt[2468][5]~q\ & (\led_flash_cnt[2468][4]~61439\ $ (GND))) # (!\led_flash_cnt[2468][5]~q\ & (!\led_flash_cnt[2468][4]~61439\ & VCC))
-- \led_flash_cnt[2468][5]~61441\ = CARRY((\led_flash_cnt[2468][5]~q\ & !\led_flash_cnt[2468][4]~61439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2468][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2468][4]~61439\,
	combout => \led_flash_cnt[2468][5]~61440_combout\,
	cout => \led_flash_cnt[2468][5]~61441\);

-- Location: FF_X34_Y2_N15
\led_flash_cnt[2468][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2468][5]~61440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2468][5]~q\);

-- Location: LCCOMB_X34_Y2_N16
\led_flash_cnt[2468][6]~61442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2468][6]~61442_combout\ = (\led_flash_cnt[2468][6]~q\ & (!\led_flash_cnt[2468][5]~61441\)) # (!\led_flash_cnt[2468][6]~q\ & ((\led_flash_cnt[2468][5]~61441\) # (GND)))
-- \led_flash_cnt[2468][6]~61443\ = CARRY((!\led_flash_cnt[2468][5]~61441\) # (!\led_flash_cnt[2468][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2468][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2468][5]~61441\,
	combout => \led_flash_cnt[2468][6]~61442_combout\,
	cout => \led_flash_cnt[2468][6]~61443\);

-- Location: FF_X34_Y2_N17
\led_flash_cnt[2468][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2468][6]~61442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2468][6]~q\);

-- Location: LCCOMB_X34_Y2_N4
\WideAnd2468~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2468~1_combout\ = (\led_flash_cnt[2468][5]~q\ & \led_flash_cnt[2468][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2468][5]~q\,
	datad => \led_flash_cnt[2468][6]~q\,
	combout => \WideAnd2468~1_combout\);

-- Location: LCCOMB_X34_Y2_N18
\led_flash_cnt[2468][7]~61444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2468][7]~61444_combout\ = \led_flash_cnt[2468][6]~61443\ $ (!\led_flash_cnt[2468][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2468][7]~q\,
	cin => \led_flash_cnt[2468][6]~61443\,
	combout => \led_flash_cnt[2468][7]~61444_combout\);

-- Location: FF_X34_Y2_N19
\led_flash_cnt[2468][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2468][7]~61444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2468][7]~q\);

-- Location: LCCOMB_X34_Y2_N26
WideAnd2468 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2468~combout\ = (\WideAnd2468~0_combout\ & (\led_flash_cnt[2468][0]~q\ & (\WideAnd2468~1_combout\ & \led_flash_cnt[2468][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2468~0_combout\,
	datab => \led_flash_cnt[2468][0]~q\,
	datac => \WideAnd2468~1_combout\,
	datad => \led_flash_cnt[2468][7]~q\,
	combout => \WideAnd2468~combout\);

-- Location: FF_X34_Y2_N27
\led_flash_cnt_ands[2468]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2468~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2468));

-- Location: LCCOMB_X35_Y2_N28
\WideAnd4148~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4148~1_combout\ = (led_flash_cnt_ands(2469) & led_flash_cnt_ands(2468))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2469),
	datac => led_flash_cnt_ands(2468),
	combout => \WideAnd4148~1_combout\);

-- Location: LCCOMB_X47_Y14_N0
\led_flash_cnt[2466][0]~83106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2466][0]~83106_combout\ = !\led_flash_cnt[2466][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2466][0]~q\,
	combout => \led_flash_cnt[2466][0]~83106_combout\);

-- Location: FF_X47_Y14_N1
\led_flash_cnt[2466][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2466][0]~83106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2466][0]~q\);

-- Location: LCCOMB_X47_Y14_N12
\led_flash_cnt[2466][1]~61404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2466][1]~61404_combout\ = (\led_flash_cnt[2466][1]~q\ & (\led_flash_cnt[2466][0]~q\ $ (VCC))) # (!\led_flash_cnt[2466][1]~q\ & (\led_flash_cnt[2466][0]~q\ & VCC))
-- \led_flash_cnt[2466][1]~61405\ = CARRY((\led_flash_cnt[2466][1]~q\ & \led_flash_cnt[2466][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2466][1]~q\,
	datab => \led_flash_cnt[2466][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2466][1]~61404_combout\,
	cout => \led_flash_cnt[2466][1]~61405\);

-- Location: FF_X47_Y14_N13
\led_flash_cnt[2466][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2466][1]~61404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2466][1]~q\);

-- Location: LCCOMB_X47_Y14_N14
\led_flash_cnt[2466][2]~61406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2466][2]~61406_combout\ = (\led_flash_cnt[2466][2]~q\ & (!\led_flash_cnt[2466][1]~61405\)) # (!\led_flash_cnt[2466][2]~q\ & ((\led_flash_cnt[2466][1]~61405\) # (GND)))
-- \led_flash_cnt[2466][2]~61407\ = CARRY((!\led_flash_cnt[2466][1]~61405\) # (!\led_flash_cnt[2466][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2466][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2466][1]~61405\,
	combout => \led_flash_cnt[2466][2]~61406_combout\,
	cout => \led_flash_cnt[2466][2]~61407\);

-- Location: FF_X47_Y14_N15
\led_flash_cnt[2466][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2466][2]~61406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2466][2]~q\);

-- Location: LCCOMB_X47_Y14_N16
\led_flash_cnt[2466][3]~61408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2466][3]~61408_combout\ = (\led_flash_cnt[2466][3]~q\ & (\led_flash_cnt[2466][2]~61407\ $ (GND))) # (!\led_flash_cnt[2466][3]~q\ & (!\led_flash_cnt[2466][2]~61407\ & VCC))
-- \led_flash_cnt[2466][3]~61409\ = CARRY((\led_flash_cnt[2466][3]~q\ & !\led_flash_cnt[2466][2]~61407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2466][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2466][2]~61407\,
	combout => \led_flash_cnt[2466][3]~61408_combout\,
	cout => \led_flash_cnt[2466][3]~61409\);

-- Location: FF_X47_Y14_N17
\led_flash_cnt[2466][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2466][3]~61408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2466][3]~q\);

-- Location: LCCOMB_X47_Y14_N18
\led_flash_cnt[2466][4]~61410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2466][4]~61410_combout\ = (\led_flash_cnt[2466][4]~q\ & (!\led_flash_cnt[2466][3]~61409\)) # (!\led_flash_cnt[2466][4]~q\ & ((\led_flash_cnt[2466][3]~61409\) # (GND)))
-- \led_flash_cnt[2466][4]~61411\ = CARRY((!\led_flash_cnt[2466][3]~61409\) # (!\led_flash_cnt[2466][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2466][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2466][3]~61409\,
	combout => \led_flash_cnt[2466][4]~61410_combout\,
	cout => \led_flash_cnt[2466][4]~61411\);

-- Location: FF_X47_Y14_N19
\led_flash_cnt[2466][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2466][4]~61410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2466][4]~q\);

-- Location: LCCOMB_X47_Y14_N10
\WideAnd2466~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2466~0_combout\ = (\led_flash_cnt[2466][1]~q\ & (\led_flash_cnt[2466][4]~q\ & (\led_flash_cnt[2466][2]~q\ & \led_flash_cnt[2466][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2466][1]~q\,
	datab => \led_flash_cnt[2466][4]~q\,
	datac => \led_flash_cnt[2466][2]~q\,
	datad => \led_flash_cnt[2466][3]~q\,
	combout => \WideAnd2466~0_combout\);

-- Location: LCCOMB_X47_Y14_N20
\led_flash_cnt[2466][5]~61412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2466][5]~61412_combout\ = (\led_flash_cnt[2466][5]~q\ & (\led_flash_cnt[2466][4]~61411\ $ (GND))) # (!\led_flash_cnt[2466][5]~q\ & (!\led_flash_cnt[2466][4]~61411\ & VCC))
-- \led_flash_cnt[2466][5]~61413\ = CARRY((\led_flash_cnt[2466][5]~q\ & !\led_flash_cnt[2466][4]~61411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2466][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2466][4]~61411\,
	combout => \led_flash_cnt[2466][5]~61412_combout\,
	cout => \led_flash_cnt[2466][5]~61413\);

-- Location: FF_X47_Y14_N21
\led_flash_cnt[2466][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2466][5]~61412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2466][5]~q\);

-- Location: LCCOMB_X47_Y14_N22
\led_flash_cnt[2466][6]~61414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2466][6]~61414_combout\ = (\led_flash_cnt[2466][6]~q\ & (!\led_flash_cnt[2466][5]~61413\)) # (!\led_flash_cnt[2466][6]~q\ & ((\led_flash_cnt[2466][5]~61413\) # (GND)))
-- \led_flash_cnt[2466][6]~61415\ = CARRY((!\led_flash_cnt[2466][5]~61413\) # (!\led_flash_cnt[2466][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2466][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2466][5]~61413\,
	combout => \led_flash_cnt[2466][6]~61414_combout\,
	cout => \led_flash_cnt[2466][6]~61415\);

-- Location: FF_X47_Y14_N23
\led_flash_cnt[2466][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2466][6]~61414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2466][6]~q\);

-- Location: LCCOMB_X47_Y14_N24
\led_flash_cnt[2466][7]~61416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2466][7]~61416_combout\ = \led_flash_cnt[2466][6]~61415\ $ (!\led_flash_cnt[2466][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2466][7]~q\,
	cin => \led_flash_cnt[2466][6]~61415\,
	combout => \led_flash_cnt[2466][7]~61416_combout\);

-- Location: FF_X47_Y14_N25
\led_flash_cnt[2466][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2466][7]~61416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2466][7]~q\);

-- Location: LCCOMB_X47_Y14_N4
\WideAnd2466~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2466~1_combout\ = (\led_flash_cnt[2466][6]~q\ & \led_flash_cnt[2466][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2466][6]~q\,
	datad => \led_flash_cnt[2466][5]~q\,
	combout => \WideAnd2466~1_combout\);

-- Location: LCCOMB_X47_Y14_N26
WideAnd2466 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2466~combout\ = (\WideAnd2466~0_combout\ & (\led_flash_cnt[2466][7]~q\ & (\WideAnd2466~1_combout\ & \led_flash_cnt[2466][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2466~0_combout\,
	datab => \led_flash_cnt[2466][7]~q\,
	datac => \WideAnd2466~1_combout\,
	datad => \led_flash_cnt[2466][0]~q\,
	combout => \WideAnd2466~combout\);

-- Location: FF_X47_Y14_N27
\led_flash_cnt_ands[2466]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2466~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2466));

-- Location: LCCOMB_X58_Y2_N22
\led_flash_cnt[2464][0]~83104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2464][0]~83104_combout\ = !\led_flash_cnt[2464][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2464][0]~q\,
	combout => \led_flash_cnt[2464][0]~83104_combout\);

-- Location: FF_X58_Y2_N23
\led_flash_cnt[2464][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2464][0]~83104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2464][0]~q\);

-- Location: LCCOMB_X58_Y2_N0
\led_flash_cnt[2464][1]~61376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2464][1]~61376_combout\ = (\led_flash_cnt[2464][0]~q\ & (\led_flash_cnt[2464][1]~q\ $ (VCC))) # (!\led_flash_cnt[2464][0]~q\ & (\led_flash_cnt[2464][1]~q\ & VCC))
-- \led_flash_cnt[2464][1]~61377\ = CARRY((\led_flash_cnt[2464][0]~q\ & \led_flash_cnt[2464][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2464][0]~q\,
	datab => \led_flash_cnt[2464][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2464][1]~61376_combout\,
	cout => \led_flash_cnt[2464][1]~61377\);

-- Location: FF_X58_Y2_N1
\led_flash_cnt[2464][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2464][1]~61376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2464][1]~q\);

-- Location: LCCOMB_X58_Y2_N2
\led_flash_cnt[2464][2]~61378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2464][2]~61378_combout\ = (\led_flash_cnt[2464][2]~q\ & (!\led_flash_cnt[2464][1]~61377\)) # (!\led_flash_cnt[2464][2]~q\ & ((\led_flash_cnt[2464][1]~61377\) # (GND)))
-- \led_flash_cnt[2464][2]~61379\ = CARRY((!\led_flash_cnt[2464][1]~61377\) # (!\led_flash_cnt[2464][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2464][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2464][1]~61377\,
	combout => \led_flash_cnt[2464][2]~61378_combout\,
	cout => \led_flash_cnt[2464][2]~61379\);

-- Location: FF_X58_Y2_N3
\led_flash_cnt[2464][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2464][2]~61378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2464][2]~q\);

-- Location: LCCOMB_X58_Y2_N4
\led_flash_cnt[2464][3]~61380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2464][3]~61380_combout\ = (\led_flash_cnt[2464][3]~q\ & (\led_flash_cnt[2464][2]~61379\ $ (GND))) # (!\led_flash_cnt[2464][3]~q\ & (!\led_flash_cnt[2464][2]~61379\ & VCC))
-- \led_flash_cnt[2464][3]~61381\ = CARRY((\led_flash_cnt[2464][3]~q\ & !\led_flash_cnt[2464][2]~61379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2464][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2464][2]~61379\,
	combout => \led_flash_cnt[2464][3]~61380_combout\,
	cout => \led_flash_cnt[2464][3]~61381\);

-- Location: FF_X58_Y2_N5
\led_flash_cnt[2464][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2464][3]~61380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2464][3]~q\);

-- Location: LCCOMB_X58_Y2_N6
\led_flash_cnt[2464][4]~61382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2464][4]~61382_combout\ = (\led_flash_cnt[2464][4]~q\ & (!\led_flash_cnt[2464][3]~61381\)) # (!\led_flash_cnt[2464][4]~q\ & ((\led_flash_cnt[2464][3]~61381\) # (GND)))
-- \led_flash_cnt[2464][4]~61383\ = CARRY((!\led_flash_cnt[2464][3]~61381\) # (!\led_flash_cnt[2464][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2464][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2464][3]~61381\,
	combout => \led_flash_cnt[2464][4]~61382_combout\,
	cout => \led_flash_cnt[2464][4]~61383\);

-- Location: FF_X58_Y2_N7
\led_flash_cnt[2464][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2464][4]~61382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2464][4]~q\);

-- Location: LCCOMB_X58_Y2_N8
\led_flash_cnt[2464][5]~61384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2464][5]~61384_combout\ = (\led_flash_cnt[2464][5]~q\ & (\led_flash_cnt[2464][4]~61383\ $ (GND))) # (!\led_flash_cnt[2464][5]~q\ & (!\led_flash_cnt[2464][4]~61383\ & VCC))
-- \led_flash_cnt[2464][5]~61385\ = CARRY((\led_flash_cnt[2464][5]~q\ & !\led_flash_cnt[2464][4]~61383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2464][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2464][4]~61383\,
	combout => \led_flash_cnt[2464][5]~61384_combout\,
	cout => \led_flash_cnt[2464][5]~61385\);

-- Location: FF_X58_Y2_N9
\led_flash_cnt[2464][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2464][5]~61384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2464][5]~q\);

-- Location: LCCOMB_X58_Y2_N10
\led_flash_cnt[2464][6]~61386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2464][6]~61386_combout\ = (\led_flash_cnt[2464][6]~q\ & (!\led_flash_cnt[2464][5]~61385\)) # (!\led_flash_cnt[2464][6]~q\ & ((\led_flash_cnt[2464][5]~61385\) # (GND)))
-- \led_flash_cnt[2464][6]~61387\ = CARRY((!\led_flash_cnt[2464][5]~61385\) # (!\led_flash_cnt[2464][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2464][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2464][5]~61385\,
	combout => \led_flash_cnt[2464][6]~61386_combout\,
	cout => \led_flash_cnt[2464][6]~61387\);

-- Location: FF_X58_Y2_N11
\led_flash_cnt[2464][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2464][6]~61386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2464][6]~q\);

-- Location: LCCOMB_X58_Y2_N12
\led_flash_cnt[2464][7]~61388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2464][7]~61388_combout\ = \led_flash_cnt[2464][6]~61387\ $ (!\led_flash_cnt[2464][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2464][7]~q\,
	cin => \led_flash_cnt[2464][6]~61387\,
	combout => \led_flash_cnt[2464][7]~61388_combout\);

-- Location: FF_X58_Y2_N13
\led_flash_cnt[2464][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2464][7]~61388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2464][7]~q\);

-- Location: LCCOMB_X58_Y2_N28
\WideAnd2464~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2464~1_combout\ = (\led_flash_cnt[2464][5]~q\ & \led_flash_cnt[2464][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2464][5]~q\,
	datad => \led_flash_cnt[2464][6]~q\,
	combout => \WideAnd2464~1_combout\);

-- Location: LCCOMB_X58_Y2_N24
\WideAnd2464~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2464~0_combout\ = (\led_flash_cnt[2464][4]~q\ & (\led_flash_cnt[2464][1]~q\ & (\led_flash_cnt[2464][3]~q\ & \led_flash_cnt[2464][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2464][4]~q\,
	datab => \led_flash_cnt[2464][1]~q\,
	datac => \led_flash_cnt[2464][3]~q\,
	datad => \led_flash_cnt[2464][2]~q\,
	combout => \WideAnd2464~0_combout\);

-- Location: LCCOMB_X58_Y2_N26
WideAnd2464 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2464~combout\ = (\led_flash_cnt[2464][7]~q\ & (\WideAnd2464~1_combout\ & (\led_flash_cnt[2464][0]~q\ & \WideAnd2464~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2464][7]~q\,
	datab => \WideAnd2464~1_combout\,
	datac => \led_flash_cnt[2464][0]~q\,
	datad => \WideAnd2464~0_combout\,
	combout => \WideAnd2464~combout\);

-- Location: FF_X58_Y2_N27
\led_flash_cnt_ands[2464]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2464~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2464));

-- Location: LCCOMB_X13_Y22_N28
\led_flash_cnt[2467][0]~83107\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2467][0]~83107_combout\ = !\led_flash_cnt[2467][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2467][0]~q\,
	combout => \led_flash_cnt[2467][0]~83107_combout\);

-- Location: FF_X13_Y22_N29
\led_flash_cnt[2467][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2467][0]~83107_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2467][0]~q\);

-- Location: LCCOMB_X13_Y22_N10
\led_flash_cnt[2467][1]~61418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2467][1]~61418_combout\ = (\led_flash_cnt[2467][1]~q\ & (\led_flash_cnt[2467][0]~q\ $ (VCC))) # (!\led_flash_cnt[2467][1]~q\ & (\led_flash_cnt[2467][0]~q\ & VCC))
-- \led_flash_cnt[2467][1]~61419\ = CARRY((\led_flash_cnt[2467][1]~q\ & \led_flash_cnt[2467][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2467][1]~q\,
	datab => \led_flash_cnt[2467][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2467][1]~61418_combout\,
	cout => \led_flash_cnt[2467][1]~61419\);

-- Location: FF_X13_Y22_N11
\led_flash_cnt[2467][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2467][1]~61418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2467][1]~q\);

-- Location: LCCOMB_X13_Y22_N12
\led_flash_cnt[2467][2]~61420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2467][2]~61420_combout\ = (\led_flash_cnt[2467][2]~q\ & (!\led_flash_cnt[2467][1]~61419\)) # (!\led_flash_cnt[2467][2]~q\ & ((\led_flash_cnt[2467][1]~61419\) # (GND)))
-- \led_flash_cnt[2467][2]~61421\ = CARRY((!\led_flash_cnt[2467][1]~61419\) # (!\led_flash_cnt[2467][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2467][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2467][1]~61419\,
	combout => \led_flash_cnt[2467][2]~61420_combout\,
	cout => \led_flash_cnt[2467][2]~61421\);

-- Location: FF_X13_Y22_N13
\led_flash_cnt[2467][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2467][2]~61420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2467][2]~q\);

-- Location: LCCOMB_X13_Y22_N14
\led_flash_cnt[2467][3]~61422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2467][3]~61422_combout\ = (\led_flash_cnt[2467][3]~q\ & (\led_flash_cnt[2467][2]~61421\ $ (GND))) # (!\led_flash_cnt[2467][3]~q\ & (!\led_flash_cnt[2467][2]~61421\ & VCC))
-- \led_flash_cnt[2467][3]~61423\ = CARRY((\led_flash_cnt[2467][3]~q\ & !\led_flash_cnt[2467][2]~61421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2467][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2467][2]~61421\,
	combout => \led_flash_cnt[2467][3]~61422_combout\,
	cout => \led_flash_cnt[2467][3]~61423\);

-- Location: FF_X13_Y22_N15
\led_flash_cnt[2467][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2467][3]~61422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2467][3]~q\);

-- Location: LCCOMB_X13_Y22_N16
\led_flash_cnt[2467][4]~61424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2467][4]~61424_combout\ = (\led_flash_cnt[2467][4]~q\ & (!\led_flash_cnt[2467][3]~61423\)) # (!\led_flash_cnt[2467][4]~q\ & ((\led_flash_cnt[2467][3]~61423\) # (GND)))
-- \led_flash_cnt[2467][4]~61425\ = CARRY((!\led_flash_cnt[2467][3]~61423\) # (!\led_flash_cnt[2467][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2467][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2467][3]~61423\,
	combout => \led_flash_cnt[2467][4]~61424_combout\,
	cout => \led_flash_cnt[2467][4]~61425\);

-- Location: FF_X13_Y22_N17
\led_flash_cnt[2467][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2467][4]~61424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2467][4]~q\);

-- Location: LCCOMB_X13_Y22_N18
\led_flash_cnt[2467][5]~61426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2467][5]~61426_combout\ = (\led_flash_cnt[2467][5]~q\ & (\led_flash_cnt[2467][4]~61425\ $ (GND))) # (!\led_flash_cnt[2467][5]~q\ & (!\led_flash_cnt[2467][4]~61425\ & VCC))
-- \led_flash_cnt[2467][5]~61427\ = CARRY((\led_flash_cnt[2467][5]~q\ & !\led_flash_cnt[2467][4]~61425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2467][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2467][4]~61425\,
	combout => \led_flash_cnt[2467][5]~61426_combout\,
	cout => \led_flash_cnt[2467][5]~61427\);

-- Location: FF_X13_Y22_N19
\led_flash_cnt[2467][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2467][5]~61426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2467][5]~q\);

-- Location: LCCOMB_X13_Y22_N20
\led_flash_cnt[2467][6]~61428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2467][6]~61428_combout\ = (\led_flash_cnt[2467][6]~q\ & (!\led_flash_cnt[2467][5]~61427\)) # (!\led_flash_cnt[2467][6]~q\ & ((\led_flash_cnt[2467][5]~61427\) # (GND)))
-- \led_flash_cnt[2467][6]~61429\ = CARRY((!\led_flash_cnt[2467][5]~61427\) # (!\led_flash_cnt[2467][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2467][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2467][5]~61427\,
	combout => \led_flash_cnt[2467][6]~61428_combout\,
	cout => \led_flash_cnt[2467][6]~61429\);

-- Location: FF_X13_Y22_N21
\led_flash_cnt[2467][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2467][6]~61428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2467][6]~q\);

-- Location: LCCOMB_X13_Y22_N30
\WideAnd2467~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2467~1_combout\ = (\led_flash_cnt[2467][5]~q\ & \led_flash_cnt[2467][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2467][5]~q\,
	datad => \led_flash_cnt[2467][6]~q\,
	combout => \WideAnd2467~1_combout\);

-- Location: LCCOMB_X13_Y22_N24
\WideAnd2467~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2467~0_combout\ = (\led_flash_cnt[2467][2]~q\ & (\led_flash_cnt[2467][4]~q\ & (\led_flash_cnt[2467][3]~q\ & \led_flash_cnt[2467][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2467][2]~q\,
	datab => \led_flash_cnt[2467][4]~q\,
	datac => \led_flash_cnt[2467][3]~q\,
	datad => \led_flash_cnt[2467][1]~q\,
	combout => \WideAnd2467~0_combout\);

-- Location: LCCOMB_X13_Y22_N22
\led_flash_cnt[2467][7]~61430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2467][7]~61430_combout\ = \led_flash_cnt[2467][7]~q\ $ (!\led_flash_cnt[2467][6]~61429\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2467][7]~q\,
	cin => \led_flash_cnt[2467][6]~61429\,
	combout => \led_flash_cnt[2467][7]~61430_combout\);

-- Location: FF_X13_Y22_N23
\led_flash_cnt[2467][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2467][7]~61430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2467][7]~q\);

-- Location: LCCOMB_X13_Y22_N8
WideAnd2467 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2467~combout\ = (\WideAnd2467~1_combout\ & (\WideAnd2467~0_combout\ & (\led_flash_cnt[2467][7]~q\ & \led_flash_cnt[2467][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2467~1_combout\,
	datab => \WideAnd2467~0_combout\,
	datac => \led_flash_cnt[2467][7]~q\,
	datad => \led_flash_cnt[2467][0]~q\,
	combout => \WideAnd2467~combout\);

-- Location: FF_X13_Y22_N9
\led_flash_cnt_ands[2467]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2467~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2467));

-- Location: LCCOMB_X47_Y4_N10
\led_flash_cnt[2465][0]~83105\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2465][0]~83105_combout\ = !\led_flash_cnt[2465][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2465][0]~q\,
	combout => \led_flash_cnt[2465][0]~83105_combout\);

-- Location: FF_X47_Y4_N11
\led_flash_cnt[2465][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2465][0]~83105_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2465][0]~q\);

-- Location: LCCOMB_X47_Y4_N14
\led_flash_cnt[2465][1]~61390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2465][1]~61390_combout\ = (\led_flash_cnt[2465][0]~q\ & (\led_flash_cnt[2465][1]~q\ $ (VCC))) # (!\led_flash_cnt[2465][0]~q\ & (\led_flash_cnt[2465][1]~q\ & VCC))
-- \led_flash_cnt[2465][1]~61391\ = CARRY((\led_flash_cnt[2465][0]~q\ & \led_flash_cnt[2465][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2465][0]~q\,
	datab => \led_flash_cnt[2465][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2465][1]~61390_combout\,
	cout => \led_flash_cnt[2465][1]~61391\);

-- Location: FF_X47_Y4_N15
\led_flash_cnt[2465][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2465][1]~61390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2465][1]~q\);

-- Location: LCCOMB_X47_Y4_N16
\led_flash_cnt[2465][2]~61392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2465][2]~61392_combout\ = (\led_flash_cnt[2465][2]~q\ & (!\led_flash_cnt[2465][1]~61391\)) # (!\led_flash_cnt[2465][2]~q\ & ((\led_flash_cnt[2465][1]~61391\) # (GND)))
-- \led_flash_cnt[2465][2]~61393\ = CARRY((!\led_flash_cnt[2465][1]~61391\) # (!\led_flash_cnt[2465][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2465][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2465][1]~61391\,
	combout => \led_flash_cnt[2465][2]~61392_combout\,
	cout => \led_flash_cnt[2465][2]~61393\);

-- Location: FF_X47_Y4_N17
\led_flash_cnt[2465][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2465][2]~61392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2465][2]~q\);

-- Location: LCCOMB_X47_Y4_N18
\led_flash_cnt[2465][3]~61394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2465][3]~61394_combout\ = (\led_flash_cnt[2465][3]~q\ & (\led_flash_cnt[2465][2]~61393\ $ (GND))) # (!\led_flash_cnt[2465][3]~q\ & (!\led_flash_cnt[2465][2]~61393\ & VCC))
-- \led_flash_cnt[2465][3]~61395\ = CARRY((\led_flash_cnt[2465][3]~q\ & !\led_flash_cnt[2465][2]~61393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2465][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2465][2]~61393\,
	combout => \led_flash_cnt[2465][3]~61394_combout\,
	cout => \led_flash_cnt[2465][3]~61395\);

-- Location: FF_X47_Y4_N19
\led_flash_cnt[2465][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2465][3]~61394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2465][3]~q\);

-- Location: LCCOMB_X47_Y4_N20
\led_flash_cnt[2465][4]~61396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2465][4]~61396_combout\ = (\led_flash_cnt[2465][4]~q\ & (!\led_flash_cnt[2465][3]~61395\)) # (!\led_flash_cnt[2465][4]~q\ & ((\led_flash_cnt[2465][3]~61395\) # (GND)))
-- \led_flash_cnt[2465][4]~61397\ = CARRY((!\led_flash_cnt[2465][3]~61395\) # (!\led_flash_cnt[2465][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2465][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2465][3]~61395\,
	combout => \led_flash_cnt[2465][4]~61396_combout\,
	cout => \led_flash_cnt[2465][4]~61397\);

-- Location: FF_X47_Y4_N21
\led_flash_cnt[2465][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2465][4]~61396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2465][4]~q\);

-- Location: LCCOMB_X47_Y4_N28
\WideAnd2465~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2465~0_combout\ = (\led_flash_cnt[2465][3]~q\ & (\led_flash_cnt[2465][2]~q\ & (\led_flash_cnt[2465][1]~q\ & \led_flash_cnt[2465][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2465][3]~q\,
	datab => \led_flash_cnt[2465][2]~q\,
	datac => \led_flash_cnt[2465][1]~q\,
	datad => \led_flash_cnt[2465][4]~q\,
	combout => \WideAnd2465~0_combout\);

-- Location: LCCOMB_X47_Y4_N22
\led_flash_cnt[2465][5]~61398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2465][5]~61398_combout\ = (\led_flash_cnt[2465][5]~q\ & (\led_flash_cnt[2465][4]~61397\ $ (GND))) # (!\led_flash_cnt[2465][5]~q\ & (!\led_flash_cnt[2465][4]~61397\ & VCC))
-- \led_flash_cnt[2465][5]~61399\ = CARRY((\led_flash_cnt[2465][5]~q\ & !\led_flash_cnt[2465][4]~61397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2465][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2465][4]~61397\,
	combout => \led_flash_cnt[2465][5]~61398_combout\,
	cout => \led_flash_cnt[2465][5]~61399\);

-- Location: FF_X47_Y4_N23
\led_flash_cnt[2465][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2465][5]~61398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2465][5]~q\);

-- Location: LCCOMB_X47_Y4_N24
\led_flash_cnt[2465][6]~61400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2465][6]~61400_combout\ = (\led_flash_cnt[2465][6]~q\ & (!\led_flash_cnt[2465][5]~61399\)) # (!\led_flash_cnt[2465][6]~q\ & ((\led_flash_cnt[2465][5]~61399\) # (GND)))
-- \led_flash_cnt[2465][6]~61401\ = CARRY((!\led_flash_cnt[2465][5]~61399\) # (!\led_flash_cnt[2465][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2465][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2465][5]~61399\,
	combout => \led_flash_cnt[2465][6]~61400_combout\,
	cout => \led_flash_cnt[2465][6]~61401\);

-- Location: FF_X47_Y4_N25
\led_flash_cnt[2465][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2465][6]~61400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2465][6]~q\);

-- Location: LCCOMB_X47_Y4_N26
\led_flash_cnt[2465][7]~61402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2465][7]~61402_combout\ = \led_flash_cnt[2465][7]~q\ $ (!\led_flash_cnt[2465][6]~61401\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2465][7]~q\,
	cin => \led_flash_cnt[2465][6]~61401\,
	combout => \led_flash_cnt[2465][7]~61402_combout\);

-- Location: FF_X47_Y4_N27
\led_flash_cnt[2465][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2465][7]~61402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2465][7]~q\);

-- Location: LCCOMB_X47_Y4_N12
\WideAnd2465~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2465~1_combout\ = (\led_flash_cnt[2465][5]~q\ & \led_flash_cnt[2465][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2465][5]~q\,
	datad => \led_flash_cnt[2465][6]~q\,
	combout => \WideAnd2465~1_combout\);

-- Location: LCCOMB_X47_Y4_N0
WideAnd2465 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2465~combout\ = (\led_flash_cnt[2465][0]~q\ & (\WideAnd2465~0_combout\ & (\led_flash_cnt[2465][7]~q\ & \WideAnd2465~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2465][0]~q\,
	datab => \WideAnd2465~0_combout\,
	datac => \led_flash_cnt[2465][7]~q\,
	datad => \WideAnd2465~1_combout\,
	combout => \WideAnd2465~combout\);

-- Location: FF_X47_Y4_N1
\led_flash_cnt_ands[2465]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2465~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2465));

-- Location: LCCOMB_X47_Y6_N30
\WideAnd4148~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4148~0_combout\ = (led_flash_cnt_ands(2466) & (led_flash_cnt_ands(2464) & (led_flash_cnt_ands(2467) & led_flash_cnt_ands(2465))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2466),
	datab => led_flash_cnt_ands(2464),
	datac => led_flash_cnt_ands(2467),
	datad => led_flash_cnt_ands(2465),
	combout => \WideAnd4148~0_combout\);

-- Location: LCCOMB_X63_Y5_N2
\led_flash_cnt[2471][0]~83111\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2471][0]~83111_combout\ = !\led_flash_cnt[2471][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2471][0]~q\,
	combout => \led_flash_cnt[2471][0]~83111_combout\);

-- Location: FF_X63_Y5_N3
\led_flash_cnt[2471][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2471][0]~83111_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2471][0]~q\);

-- Location: LCCOMB_X63_Y5_N12
\led_flash_cnt[2471][1]~61474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2471][1]~61474_combout\ = (\led_flash_cnt[2471][1]~q\ & (\led_flash_cnt[2471][0]~q\ $ (VCC))) # (!\led_flash_cnt[2471][1]~q\ & (\led_flash_cnt[2471][0]~q\ & VCC))
-- \led_flash_cnt[2471][1]~61475\ = CARRY((\led_flash_cnt[2471][1]~q\ & \led_flash_cnt[2471][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2471][1]~q\,
	datab => \led_flash_cnt[2471][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2471][1]~61474_combout\,
	cout => \led_flash_cnt[2471][1]~61475\);

-- Location: FF_X63_Y5_N13
\led_flash_cnt[2471][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2471][1]~61474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2471][1]~q\);

-- Location: LCCOMB_X63_Y5_N14
\led_flash_cnt[2471][2]~61476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2471][2]~61476_combout\ = (\led_flash_cnt[2471][2]~q\ & (!\led_flash_cnt[2471][1]~61475\)) # (!\led_flash_cnt[2471][2]~q\ & ((\led_flash_cnt[2471][1]~61475\) # (GND)))
-- \led_flash_cnt[2471][2]~61477\ = CARRY((!\led_flash_cnt[2471][1]~61475\) # (!\led_flash_cnt[2471][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2471][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2471][1]~61475\,
	combout => \led_flash_cnt[2471][2]~61476_combout\,
	cout => \led_flash_cnt[2471][2]~61477\);

-- Location: FF_X63_Y5_N15
\led_flash_cnt[2471][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2471][2]~61476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2471][2]~q\);

-- Location: LCCOMB_X63_Y5_N16
\led_flash_cnt[2471][3]~61478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2471][3]~61478_combout\ = (\led_flash_cnt[2471][3]~q\ & (\led_flash_cnt[2471][2]~61477\ $ (GND))) # (!\led_flash_cnt[2471][3]~q\ & (!\led_flash_cnt[2471][2]~61477\ & VCC))
-- \led_flash_cnt[2471][3]~61479\ = CARRY((\led_flash_cnt[2471][3]~q\ & !\led_flash_cnt[2471][2]~61477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2471][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2471][2]~61477\,
	combout => \led_flash_cnt[2471][3]~61478_combout\,
	cout => \led_flash_cnt[2471][3]~61479\);

-- Location: FF_X63_Y5_N17
\led_flash_cnt[2471][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2471][3]~61478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2471][3]~q\);

-- Location: LCCOMB_X63_Y5_N18
\led_flash_cnt[2471][4]~61480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2471][4]~61480_combout\ = (\led_flash_cnt[2471][4]~q\ & (!\led_flash_cnt[2471][3]~61479\)) # (!\led_flash_cnt[2471][4]~q\ & ((\led_flash_cnt[2471][3]~61479\) # (GND)))
-- \led_flash_cnt[2471][4]~61481\ = CARRY((!\led_flash_cnt[2471][3]~61479\) # (!\led_flash_cnt[2471][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2471][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2471][3]~61479\,
	combout => \led_flash_cnt[2471][4]~61480_combout\,
	cout => \led_flash_cnt[2471][4]~61481\);

-- Location: FF_X63_Y5_N19
\led_flash_cnt[2471][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2471][4]~61480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2471][4]~q\);

-- Location: LCCOMB_X63_Y5_N20
\led_flash_cnt[2471][5]~61482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2471][5]~61482_combout\ = (\led_flash_cnt[2471][5]~q\ & (\led_flash_cnt[2471][4]~61481\ $ (GND))) # (!\led_flash_cnt[2471][5]~q\ & (!\led_flash_cnt[2471][4]~61481\ & VCC))
-- \led_flash_cnt[2471][5]~61483\ = CARRY((\led_flash_cnt[2471][5]~q\ & !\led_flash_cnt[2471][4]~61481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2471][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2471][4]~61481\,
	combout => \led_flash_cnt[2471][5]~61482_combout\,
	cout => \led_flash_cnt[2471][5]~61483\);

-- Location: FF_X63_Y5_N21
\led_flash_cnt[2471][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2471][5]~61482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2471][5]~q\);

-- Location: LCCOMB_X63_Y5_N22
\led_flash_cnt[2471][6]~61484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2471][6]~61484_combout\ = (\led_flash_cnt[2471][6]~q\ & (!\led_flash_cnt[2471][5]~61483\)) # (!\led_flash_cnt[2471][6]~q\ & ((\led_flash_cnt[2471][5]~61483\) # (GND)))
-- \led_flash_cnt[2471][6]~61485\ = CARRY((!\led_flash_cnt[2471][5]~61483\) # (!\led_flash_cnt[2471][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2471][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2471][5]~61483\,
	combout => \led_flash_cnt[2471][6]~61484_combout\,
	cout => \led_flash_cnt[2471][6]~61485\);

-- Location: FF_X63_Y5_N23
\led_flash_cnt[2471][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2471][6]~61484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2471][6]~q\);

-- Location: LCCOMB_X63_Y5_N10
\WideAnd2471~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2471~1_combout\ = (\led_flash_cnt[2471][6]~q\ & \led_flash_cnt[2471][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2471][6]~q\,
	datad => \led_flash_cnt[2471][5]~q\,
	combout => \WideAnd2471~1_combout\);

-- Location: LCCOMB_X63_Y5_N24
\led_flash_cnt[2471][7]~61486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2471][7]~61486_combout\ = \led_flash_cnt[2471][6]~61485\ $ (!\led_flash_cnt[2471][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2471][7]~q\,
	cin => \led_flash_cnt[2471][6]~61485\,
	combout => \led_flash_cnt[2471][7]~61486_combout\);

-- Location: FF_X63_Y5_N25
\led_flash_cnt[2471][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2471][7]~61486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2471][7]~q\);

-- Location: LCCOMB_X63_Y5_N4
\WideAnd2471~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2471~0_combout\ = (\led_flash_cnt[2471][1]~q\ & (\led_flash_cnt[2471][4]~q\ & (\led_flash_cnt[2471][2]~q\ & \led_flash_cnt[2471][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2471][1]~q\,
	datab => \led_flash_cnt[2471][4]~q\,
	datac => \led_flash_cnt[2471][2]~q\,
	datad => \led_flash_cnt[2471][3]~q\,
	combout => \WideAnd2471~0_combout\);

-- Location: LCCOMB_X63_Y5_N26
WideAnd2471 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2471~combout\ = (\WideAnd2471~1_combout\ & (\led_flash_cnt[2471][7]~q\ & (\WideAnd2471~0_combout\ & \led_flash_cnt[2471][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2471~1_combout\,
	datab => \led_flash_cnt[2471][7]~q\,
	datac => \WideAnd2471~0_combout\,
	datad => \led_flash_cnt[2471][0]~q\,
	combout => \WideAnd2471~combout\);

-- Location: FF_X63_Y5_N27
\led_flash_cnt_ands[2471]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2471~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2471));

-- Location: LCCOMB_X62_Y5_N14
WideAnd4148 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4148~combout\ = (led_flash_cnt_ands(2470) & (\WideAnd4148~1_combout\ & (\WideAnd4148~0_combout\ & led_flash_cnt_ands(2471))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2470),
	datab => \WideAnd4148~1_combout\,
	datac => \WideAnd4148~0_combout\,
	datad => led_flash_cnt_ands(2471),
	combout => \WideAnd4148~combout\);

-- Location: FF_X62_Y5_N15
\led_flash_cnt_ands_1[308]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4148~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(308));

-- Location: LCCOMB_X70_Y1_N18
\led_flash_cnt[2475][0]~83115\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2475][0]~83115_combout\ = !\led_flash_cnt[2475][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2475][0]~q\,
	combout => \led_flash_cnt[2475][0]~83115_combout\);

-- Location: FF_X70_Y1_N19
\led_flash_cnt[2475][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2475][0]~83115_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2475][0]~q\);

-- Location: LCCOMB_X70_Y1_N0
\led_flash_cnt[2475][1]~61530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2475][1]~61530_combout\ = (\led_flash_cnt[2475][1]~q\ & (\led_flash_cnt[2475][0]~q\ $ (VCC))) # (!\led_flash_cnt[2475][1]~q\ & (\led_flash_cnt[2475][0]~q\ & VCC))
-- \led_flash_cnt[2475][1]~61531\ = CARRY((\led_flash_cnt[2475][1]~q\ & \led_flash_cnt[2475][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2475][1]~q\,
	datab => \led_flash_cnt[2475][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2475][1]~61530_combout\,
	cout => \led_flash_cnt[2475][1]~61531\);

-- Location: FF_X70_Y1_N1
\led_flash_cnt[2475][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2475][1]~61530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2475][1]~q\);

-- Location: LCCOMB_X70_Y1_N2
\led_flash_cnt[2475][2]~61532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2475][2]~61532_combout\ = (\led_flash_cnt[2475][2]~q\ & (!\led_flash_cnt[2475][1]~61531\)) # (!\led_flash_cnt[2475][2]~q\ & ((\led_flash_cnt[2475][1]~61531\) # (GND)))
-- \led_flash_cnt[2475][2]~61533\ = CARRY((!\led_flash_cnt[2475][1]~61531\) # (!\led_flash_cnt[2475][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2475][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2475][1]~61531\,
	combout => \led_flash_cnt[2475][2]~61532_combout\,
	cout => \led_flash_cnt[2475][2]~61533\);

-- Location: FF_X70_Y1_N3
\led_flash_cnt[2475][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2475][2]~61532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2475][2]~q\);

-- Location: LCCOMB_X70_Y1_N4
\led_flash_cnt[2475][3]~61534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2475][3]~61534_combout\ = (\led_flash_cnt[2475][3]~q\ & (\led_flash_cnt[2475][2]~61533\ $ (GND))) # (!\led_flash_cnt[2475][3]~q\ & (!\led_flash_cnt[2475][2]~61533\ & VCC))
-- \led_flash_cnt[2475][3]~61535\ = CARRY((\led_flash_cnt[2475][3]~q\ & !\led_flash_cnt[2475][2]~61533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2475][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2475][2]~61533\,
	combout => \led_flash_cnt[2475][3]~61534_combout\,
	cout => \led_flash_cnt[2475][3]~61535\);

-- Location: FF_X70_Y1_N5
\led_flash_cnt[2475][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2475][3]~61534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2475][3]~q\);

-- Location: LCCOMB_X70_Y1_N6
\led_flash_cnt[2475][4]~61536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2475][4]~61536_combout\ = (\led_flash_cnt[2475][4]~q\ & (!\led_flash_cnt[2475][3]~61535\)) # (!\led_flash_cnt[2475][4]~q\ & ((\led_flash_cnt[2475][3]~61535\) # (GND)))
-- \led_flash_cnt[2475][4]~61537\ = CARRY((!\led_flash_cnt[2475][3]~61535\) # (!\led_flash_cnt[2475][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2475][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2475][3]~61535\,
	combout => \led_flash_cnt[2475][4]~61536_combout\,
	cout => \led_flash_cnt[2475][4]~61537\);

-- Location: FF_X70_Y1_N7
\led_flash_cnt[2475][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2475][4]~61536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2475][4]~q\);

-- Location: LCCOMB_X70_Y1_N8
\led_flash_cnt[2475][5]~61538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2475][5]~61538_combout\ = (\led_flash_cnt[2475][5]~q\ & (\led_flash_cnt[2475][4]~61537\ $ (GND))) # (!\led_flash_cnt[2475][5]~q\ & (!\led_flash_cnt[2475][4]~61537\ & VCC))
-- \led_flash_cnt[2475][5]~61539\ = CARRY((\led_flash_cnt[2475][5]~q\ & !\led_flash_cnt[2475][4]~61537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2475][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2475][4]~61537\,
	combout => \led_flash_cnt[2475][5]~61538_combout\,
	cout => \led_flash_cnt[2475][5]~61539\);

-- Location: FF_X70_Y1_N9
\led_flash_cnt[2475][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2475][5]~61538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2475][5]~q\);

-- Location: LCCOMB_X70_Y1_N10
\led_flash_cnt[2475][6]~61540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2475][6]~61540_combout\ = (\led_flash_cnt[2475][6]~q\ & (!\led_flash_cnt[2475][5]~61539\)) # (!\led_flash_cnt[2475][6]~q\ & ((\led_flash_cnt[2475][5]~61539\) # (GND)))
-- \led_flash_cnt[2475][6]~61541\ = CARRY((!\led_flash_cnt[2475][5]~61539\) # (!\led_flash_cnt[2475][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2475][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2475][5]~61539\,
	combout => \led_flash_cnt[2475][6]~61540_combout\,
	cout => \led_flash_cnt[2475][6]~61541\);

-- Location: FF_X70_Y1_N11
\led_flash_cnt[2475][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2475][6]~61540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2475][6]~q\);

-- Location: LCCOMB_X70_Y1_N12
\led_flash_cnt[2475][7]~61542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2475][7]~61542_combout\ = \led_flash_cnt[2475][6]~61541\ $ (!\led_flash_cnt[2475][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2475][7]~q\,
	cin => \led_flash_cnt[2475][6]~61541\,
	combout => \led_flash_cnt[2475][7]~61542_combout\);

-- Location: FF_X70_Y1_N13
\led_flash_cnt[2475][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2475][7]~61542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2475][7]~q\);

-- Location: LCCOMB_X70_Y1_N24
\WideAnd2475~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2475~0_combout\ = (\led_flash_cnt[2475][4]~q\ & (\led_flash_cnt[2475][1]~q\ & (\led_flash_cnt[2475][3]~q\ & \led_flash_cnt[2475][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2475][4]~q\,
	datab => \led_flash_cnt[2475][1]~q\,
	datac => \led_flash_cnt[2475][3]~q\,
	datad => \led_flash_cnt[2475][2]~q\,
	combout => \WideAnd2475~0_combout\);

-- Location: LCCOMB_X70_Y1_N26
\WideAnd2475~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2475~1_combout\ = (\led_flash_cnt[2475][5]~q\ & \led_flash_cnt[2475][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2475][5]~q\,
	datad => \led_flash_cnt[2475][6]~q\,
	combout => \WideAnd2475~1_combout\);

-- Location: LCCOMB_X70_Y1_N14
WideAnd2475 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2475~combout\ = (\led_flash_cnt[2475][7]~q\ & (\WideAnd2475~0_combout\ & (\WideAnd2475~1_combout\ & \led_flash_cnt[2475][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2475][7]~q\,
	datab => \WideAnd2475~0_combout\,
	datac => \WideAnd2475~1_combout\,
	datad => \led_flash_cnt[2475][0]~q\,
	combout => \WideAnd2475~combout\);

-- Location: FF_X70_Y1_N15
\led_flash_cnt_ands[2475]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2475~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2475));

-- Location: LCCOMB_X72_Y1_N12
\led_flash_cnt[2473][0]~83113\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2473][0]~83113_combout\ = !\led_flash_cnt[2473][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2473][0]~q\,
	combout => \led_flash_cnt[2473][0]~83113_combout\);

-- Location: FF_X72_Y1_N13
\led_flash_cnt[2473][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2473][0]~83113_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2473][0]~q\);

-- Location: LCCOMB_X72_Y1_N14
\led_flash_cnt[2473][1]~61502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2473][1]~61502_combout\ = (\led_flash_cnt[2473][0]~q\ & (\led_flash_cnt[2473][1]~q\ $ (VCC))) # (!\led_flash_cnt[2473][0]~q\ & (\led_flash_cnt[2473][1]~q\ & VCC))
-- \led_flash_cnt[2473][1]~61503\ = CARRY((\led_flash_cnt[2473][0]~q\ & \led_flash_cnt[2473][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2473][0]~q\,
	datab => \led_flash_cnt[2473][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2473][1]~61502_combout\,
	cout => \led_flash_cnt[2473][1]~61503\);

-- Location: FF_X72_Y1_N15
\led_flash_cnt[2473][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2473][1]~61502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2473][1]~q\);

-- Location: LCCOMB_X72_Y1_N16
\led_flash_cnt[2473][2]~61504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2473][2]~61504_combout\ = (\led_flash_cnt[2473][2]~q\ & (!\led_flash_cnt[2473][1]~61503\)) # (!\led_flash_cnt[2473][2]~q\ & ((\led_flash_cnt[2473][1]~61503\) # (GND)))
-- \led_flash_cnt[2473][2]~61505\ = CARRY((!\led_flash_cnt[2473][1]~61503\) # (!\led_flash_cnt[2473][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2473][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2473][1]~61503\,
	combout => \led_flash_cnt[2473][2]~61504_combout\,
	cout => \led_flash_cnt[2473][2]~61505\);

-- Location: FF_X72_Y1_N17
\led_flash_cnt[2473][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2473][2]~61504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2473][2]~q\);

-- Location: LCCOMB_X72_Y1_N18
\led_flash_cnt[2473][3]~61506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2473][3]~61506_combout\ = (\led_flash_cnt[2473][3]~q\ & (\led_flash_cnt[2473][2]~61505\ $ (GND))) # (!\led_flash_cnt[2473][3]~q\ & (!\led_flash_cnt[2473][2]~61505\ & VCC))
-- \led_flash_cnt[2473][3]~61507\ = CARRY((\led_flash_cnt[2473][3]~q\ & !\led_flash_cnt[2473][2]~61505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2473][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2473][2]~61505\,
	combout => \led_flash_cnt[2473][3]~61506_combout\,
	cout => \led_flash_cnt[2473][3]~61507\);

-- Location: FF_X72_Y1_N19
\led_flash_cnt[2473][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2473][3]~61506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2473][3]~q\);

-- Location: LCCOMB_X72_Y1_N20
\led_flash_cnt[2473][4]~61508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2473][4]~61508_combout\ = (\led_flash_cnt[2473][4]~q\ & (!\led_flash_cnt[2473][3]~61507\)) # (!\led_flash_cnt[2473][4]~q\ & ((\led_flash_cnt[2473][3]~61507\) # (GND)))
-- \led_flash_cnt[2473][4]~61509\ = CARRY((!\led_flash_cnt[2473][3]~61507\) # (!\led_flash_cnt[2473][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2473][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2473][3]~61507\,
	combout => \led_flash_cnt[2473][4]~61508_combout\,
	cout => \led_flash_cnt[2473][4]~61509\);

-- Location: FF_X72_Y1_N21
\led_flash_cnt[2473][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2473][4]~61508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2473][4]~q\);

-- Location: LCCOMB_X72_Y1_N22
\led_flash_cnt[2473][5]~61510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2473][5]~61510_combout\ = (\led_flash_cnt[2473][5]~q\ & (\led_flash_cnt[2473][4]~61509\ $ (GND))) # (!\led_flash_cnt[2473][5]~q\ & (!\led_flash_cnt[2473][4]~61509\ & VCC))
-- \led_flash_cnt[2473][5]~61511\ = CARRY((\led_flash_cnt[2473][5]~q\ & !\led_flash_cnt[2473][4]~61509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2473][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2473][4]~61509\,
	combout => \led_flash_cnt[2473][5]~61510_combout\,
	cout => \led_flash_cnt[2473][5]~61511\);

-- Location: FF_X72_Y1_N23
\led_flash_cnt[2473][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2473][5]~61510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2473][5]~q\);

-- Location: LCCOMB_X72_Y1_N24
\led_flash_cnt[2473][6]~61512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2473][6]~61512_combout\ = (\led_flash_cnt[2473][6]~q\ & (!\led_flash_cnt[2473][5]~61511\)) # (!\led_flash_cnt[2473][6]~q\ & ((\led_flash_cnt[2473][5]~61511\) # (GND)))
-- \led_flash_cnt[2473][6]~61513\ = CARRY((!\led_flash_cnt[2473][5]~61511\) # (!\led_flash_cnt[2473][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2473][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2473][5]~61511\,
	combout => \led_flash_cnt[2473][6]~61512_combout\,
	cout => \led_flash_cnt[2473][6]~61513\);

-- Location: FF_X72_Y1_N25
\led_flash_cnt[2473][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2473][6]~61512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2473][6]~q\);

-- Location: LCCOMB_X72_Y1_N10
\WideAnd2473~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2473~1_combout\ = (\led_flash_cnt[2473][5]~q\ & \led_flash_cnt[2473][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2473][5]~q\,
	datad => \led_flash_cnt[2473][6]~q\,
	combout => \WideAnd2473~1_combout\);

-- Location: LCCOMB_X72_Y1_N4
\WideAnd2473~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2473~0_combout\ = (\led_flash_cnt[2473][4]~q\ & (\led_flash_cnt[2473][3]~q\ & (\led_flash_cnt[2473][1]~q\ & \led_flash_cnt[2473][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2473][4]~q\,
	datab => \led_flash_cnt[2473][3]~q\,
	datac => \led_flash_cnt[2473][1]~q\,
	datad => \led_flash_cnt[2473][2]~q\,
	combout => \WideAnd2473~0_combout\);

-- Location: LCCOMB_X72_Y1_N26
\led_flash_cnt[2473][7]~61514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2473][7]~61514_combout\ = \led_flash_cnt[2473][7]~q\ $ (!\led_flash_cnt[2473][6]~61513\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2473][7]~q\,
	cin => \led_flash_cnt[2473][6]~61513\,
	combout => \led_flash_cnt[2473][7]~61514_combout\);

-- Location: FF_X72_Y1_N27
\led_flash_cnt[2473][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2473][7]~61514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2473][7]~q\);

-- Location: LCCOMB_X72_Y1_N28
WideAnd2473 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2473~combout\ = (\WideAnd2473~1_combout\ & (\WideAnd2473~0_combout\ & (\led_flash_cnt[2473][7]~q\ & \led_flash_cnt[2473][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2473~1_combout\,
	datab => \WideAnd2473~0_combout\,
	datac => \led_flash_cnt[2473][7]~q\,
	datad => \led_flash_cnt[2473][0]~q\,
	combout => \WideAnd2473~combout\);

-- Location: FF_X72_Y1_N29
\led_flash_cnt_ands[2473]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2473~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2473));

-- Location: LCCOMB_X71_Y1_N28
\led_flash_cnt[2472][0]~83112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2472][0]~83112_combout\ = !\led_flash_cnt[2472][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2472][0]~q\,
	combout => \led_flash_cnt[2472][0]~83112_combout\);

-- Location: FF_X71_Y1_N29
\led_flash_cnt[2472][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2472][0]~83112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2472][0]~q\);

-- Location: LCCOMB_X71_Y1_N12
\led_flash_cnt[2472][1]~61488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2472][1]~61488_combout\ = (\led_flash_cnt[2472][1]~q\ & (\led_flash_cnt[2472][0]~q\ $ (VCC))) # (!\led_flash_cnt[2472][1]~q\ & (\led_flash_cnt[2472][0]~q\ & VCC))
-- \led_flash_cnt[2472][1]~61489\ = CARRY((\led_flash_cnt[2472][1]~q\ & \led_flash_cnt[2472][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2472][1]~q\,
	datab => \led_flash_cnt[2472][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2472][1]~61488_combout\,
	cout => \led_flash_cnt[2472][1]~61489\);

-- Location: FF_X71_Y1_N13
\led_flash_cnt[2472][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2472][1]~61488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2472][1]~q\);

-- Location: LCCOMB_X71_Y1_N14
\led_flash_cnt[2472][2]~61490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2472][2]~61490_combout\ = (\led_flash_cnt[2472][2]~q\ & (!\led_flash_cnt[2472][1]~61489\)) # (!\led_flash_cnt[2472][2]~q\ & ((\led_flash_cnt[2472][1]~61489\) # (GND)))
-- \led_flash_cnt[2472][2]~61491\ = CARRY((!\led_flash_cnt[2472][1]~61489\) # (!\led_flash_cnt[2472][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2472][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2472][1]~61489\,
	combout => \led_flash_cnt[2472][2]~61490_combout\,
	cout => \led_flash_cnt[2472][2]~61491\);

-- Location: FF_X71_Y1_N15
\led_flash_cnt[2472][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2472][2]~61490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2472][2]~q\);

-- Location: LCCOMB_X71_Y1_N16
\led_flash_cnt[2472][3]~61492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2472][3]~61492_combout\ = (\led_flash_cnt[2472][3]~q\ & (\led_flash_cnt[2472][2]~61491\ $ (GND))) # (!\led_flash_cnt[2472][3]~q\ & (!\led_flash_cnt[2472][2]~61491\ & VCC))
-- \led_flash_cnt[2472][3]~61493\ = CARRY((\led_flash_cnt[2472][3]~q\ & !\led_flash_cnt[2472][2]~61491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2472][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2472][2]~61491\,
	combout => \led_flash_cnt[2472][3]~61492_combout\,
	cout => \led_flash_cnt[2472][3]~61493\);

-- Location: FF_X71_Y1_N17
\led_flash_cnt[2472][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2472][3]~61492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2472][3]~q\);

-- Location: LCCOMB_X71_Y1_N18
\led_flash_cnt[2472][4]~61494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2472][4]~61494_combout\ = (\led_flash_cnt[2472][4]~q\ & (!\led_flash_cnt[2472][3]~61493\)) # (!\led_flash_cnt[2472][4]~q\ & ((\led_flash_cnt[2472][3]~61493\) # (GND)))
-- \led_flash_cnt[2472][4]~61495\ = CARRY((!\led_flash_cnt[2472][3]~61493\) # (!\led_flash_cnt[2472][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2472][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2472][3]~61493\,
	combout => \led_flash_cnt[2472][4]~61494_combout\,
	cout => \led_flash_cnt[2472][4]~61495\);

-- Location: FF_X71_Y1_N19
\led_flash_cnt[2472][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2472][4]~61494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2472][4]~q\);

-- Location: LCCOMB_X71_Y1_N10
\WideAnd2472~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2472~0_combout\ = (\led_flash_cnt[2472][1]~q\ & (\led_flash_cnt[2472][4]~q\ & (\led_flash_cnt[2472][2]~q\ & \led_flash_cnt[2472][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2472][1]~q\,
	datab => \led_flash_cnt[2472][4]~q\,
	datac => \led_flash_cnt[2472][2]~q\,
	datad => \led_flash_cnt[2472][3]~q\,
	combout => \WideAnd2472~0_combout\);

-- Location: LCCOMB_X71_Y1_N20
\led_flash_cnt[2472][5]~61496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2472][5]~61496_combout\ = (\led_flash_cnt[2472][5]~q\ & (\led_flash_cnt[2472][4]~61495\ $ (GND))) # (!\led_flash_cnt[2472][5]~q\ & (!\led_flash_cnt[2472][4]~61495\ & VCC))
-- \led_flash_cnt[2472][5]~61497\ = CARRY((\led_flash_cnt[2472][5]~q\ & !\led_flash_cnt[2472][4]~61495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2472][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2472][4]~61495\,
	combout => \led_flash_cnt[2472][5]~61496_combout\,
	cout => \led_flash_cnt[2472][5]~61497\);

-- Location: FF_X71_Y1_N21
\led_flash_cnt[2472][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2472][5]~61496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2472][5]~q\);

-- Location: LCCOMB_X71_Y1_N22
\led_flash_cnt[2472][6]~61498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2472][6]~61498_combout\ = (\led_flash_cnt[2472][6]~q\ & (!\led_flash_cnt[2472][5]~61497\)) # (!\led_flash_cnt[2472][6]~q\ & ((\led_flash_cnt[2472][5]~61497\) # (GND)))
-- \led_flash_cnt[2472][6]~61499\ = CARRY((!\led_flash_cnt[2472][5]~61497\) # (!\led_flash_cnt[2472][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2472][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2472][5]~61497\,
	combout => \led_flash_cnt[2472][6]~61498_combout\,
	cout => \led_flash_cnt[2472][6]~61499\);

-- Location: FF_X71_Y1_N23
\led_flash_cnt[2472][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2472][6]~61498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2472][6]~q\);

-- Location: LCCOMB_X71_Y1_N24
\led_flash_cnt[2472][7]~61500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2472][7]~61500_combout\ = \led_flash_cnt[2472][6]~61499\ $ (!\led_flash_cnt[2472][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2472][7]~q\,
	cin => \led_flash_cnt[2472][6]~61499\,
	combout => \led_flash_cnt[2472][7]~61500_combout\);

-- Location: FF_X71_Y1_N25
\led_flash_cnt[2472][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2472][7]~61500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2472][7]~q\);

-- Location: LCCOMB_X71_Y1_N26
\WideAnd2472~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2472~1_combout\ = (\led_flash_cnt[2472][6]~q\ & \led_flash_cnt[2472][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2472][6]~q\,
	datad => \led_flash_cnt[2472][5]~q\,
	combout => \WideAnd2472~1_combout\);

-- Location: LCCOMB_X71_Y1_N4
WideAnd2472 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2472~combout\ = (\WideAnd2472~0_combout\ & (\led_flash_cnt[2472][7]~q\ & (\WideAnd2472~1_combout\ & \led_flash_cnt[2472][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2472~0_combout\,
	datab => \led_flash_cnt[2472][7]~q\,
	datac => \WideAnd2472~1_combout\,
	datad => \led_flash_cnt[2472][0]~q\,
	combout => \WideAnd2472~combout\);

-- Location: FF_X71_Y1_N5
\led_flash_cnt_ands[2472]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2472~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2472));

-- Location: LCCOMB_X74_Y1_N12
\led_flash_cnt[2474][0]~83114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2474][0]~83114_combout\ = !\led_flash_cnt[2474][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2474][0]~q\,
	combout => \led_flash_cnt[2474][0]~83114_combout\);

-- Location: FF_X74_Y1_N13
\led_flash_cnt[2474][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2474][0]~83114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2474][0]~q\);

-- Location: LCCOMB_X74_Y1_N18
\led_flash_cnt[2474][1]~61516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2474][1]~61516_combout\ = (\led_flash_cnt[2474][0]~q\ & (\led_flash_cnt[2474][1]~q\ $ (VCC))) # (!\led_flash_cnt[2474][0]~q\ & (\led_flash_cnt[2474][1]~q\ & VCC))
-- \led_flash_cnt[2474][1]~61517\ = CARRY((\led_flash_cnt[2474][0]~q\ & \led_flash_cnt[2474][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2474][0]~q\,
	datab => \led_flash_cnt[2474][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2474][1]~61516_combout\,
	cout => \led_flash_cnt[2474][1]~61517\);

-- Location: FF_X74_Y1_N19
\led_flash_cnt[2474][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2474][1]~61516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2474][1]~q\);

-- Location: LCCOMB_X74_Y1_N20
\led_flash_cnt[2474][2]~61518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2474][2]~61518_combout\ = (\led_flash_cnt[2474][2]~q\ & (!\led_flash_cnt[2474][1]~61517\)) # (!\led_flash_cnt[2474][2]~q\ & ((\led_flash_cnt[2474][1]~61517\) # (GND)))
-- \led_flash_cnt[2474][2]~61519\ = CARRY((!\led_flash_cnt[2474][1]~61517\) # (!\led_flash_cnt[2474][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2474][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2474][1]~61517\,
	combout => \led_flash_cnt[2474][2]~61518_combout\,
	cout => \led_flash_cnt[2474][2]~61519\);

-- Location: FF_X74_Y1_N21
\led_flash_cnt[2474][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2474][2]~61518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2474][2]~q\);

-- Location: LCCOMB_X74_Y1_N22
\led_flash_cnt[2474][3]~61520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2474][3]~61520_combout\ = (\led_flash_cnt[2474][3]~q\ & (\led_flash_cnt[2474][2]~61519\ $ (GND))) # (!\led_flash_cnt[2474][3]~q\ & (!\led_flash_cnt[2474][2]~61519\ & VCC))
-- \led_flash_cnt[2474][3]~61521\ = CARRY((\led_flash_cnt[2474][3]~q\ & !\led_flash_cnt[2474][2]~61519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2474][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2474][2]~61519\,
	combout => \led_flash_cnt[2474][3]~61520_combout\,
	cout => \led_flash_cnt[2474][3]~61521\);

-- Location: FF_X74_Y1_N23
\led_flash_cnt[2474][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2474][3]~61520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2474][3]~q\);

-- Location: LCCOMB_X74_Y1_N24
\led_flash_cnt[2474][4]~61522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2474][4]~61522_combout\ = (\led_flash_cnt[2474][4]~q\ & (!\led_flash_cnt[2474][3]~61521\)) # (!\led_flash_cnt[2474][4]~q\ & ((\led_flash_cnt[2474][3]~61521\) # (GND)))
-- \led_flash_cnt[2474][4]~61523\ = CARRY((!\led_flash_cnt[2474][3]~61521\) # (!\led_flash_cnt[2474][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2474][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2474][3]~61521\,
	combout => \led_flash_cnt[2474][4]~61522_combout\,
	cout => \led_flash_cnt[2474][4]~61523\);

-- Location: FF_X74_Y1_N25
\led_flash_cnt[2474][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2474][4]~61522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2474][4]~q\);

-- Location: LCCOMB_X74_Y1_N26
\led_flash_cnt[2474][5]~61524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2474][5]~61524_combout\ = (\led_flash_cnt[2474][5]~q\ & (\led_flash_cnt[2474][4]~61523\ $ (GND))) # (!\led_flash_cnt[2474][5]~q\ & (!\led_flash_cnt[2474][4]~61523\ & VCC))
-- \led_flash_cnt[2474][5]~61525\ = CARRY((\led_flash_cnt[2474][5]~q\ & !\led_flash_cnt[2474][4]~61523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2474][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2474][4]~61523\,
	combout => \led_flash_cnt[2474][5]~61524_combout\,
	cout => \led_flash_cnt[2474][5]~61525\);

-- Location: FF_X74_Y1_N27
\led_flash_cnt[2474][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2474][5]~61524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2474][5]~q\);

-- Location: LCCOMB_X74_Y1_N28
\led_flash_cnt[2474][6]~61526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2474][6]~61526_combout\ = (\led_flash_cnt[2474][6]~q\ & (!\led_flash_cnt[2474][5]~61525\)) # (!\led_flash_cnt[2474][6]~q\ & ((\led_flash_cnt[2474][5]~61525\) # (GND)))
-- \led_flash_cnt[2474][6]~61527\ = CARRY((!\led_flash_cnt[2474][5]~61525\) # (!\led_flash_cnt[2474][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2474][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2474][5]~61525\,
	combout => \led_flash_cnt[2474][6]~61526_combout\,
	cout => \led_flash_cnt[2474][6]~61527\);

-- Location: FF_X74_Y1_N29
\led_flash_cnt[2474][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2474][6]~61526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2474][6]~q\);

-- Location: LCCOMB_X74_Y1_N10
\WideAnd2474~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2474~1_combout\ = (\led_flash_cnt[2474][5]~q\ & \led_flash_cnt[2474][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2474][5]~q\,
	datad => \led_flash_cnt[2474][6]~q\,
	combout => \WideAnd2474~1_combout\);

-- Location: LCCOMB_X74_Y1_N4
\WideAnd2474~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2474~0_combout\ = (\led_flash_cnt[2474][4]~q\ & (\led_flash_cnt[2474][2]~q\ & (\led_flash_cnt[2474][3]~q\ & \led_flash_cnt[2474][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2474][4]~q\,
	datab => \led_flash_cnt[2474][2]~q\,
	datac => \led_flash_cnt[2474][3]~q\,
	datad => \led_flash_cnt[2474][1]~q\,
	combout => \WideAnd2474~0_combout\);

-- Location: LCCOMB_X74_Y1_N30
\led_flash_cnt[2474][7]~61528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2474][7]~61528_combout\ = \led_flash_cnt[2474][7]~q\ $ (!\led_flash_cnt[2474][6]~61527\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2474][7]~q\,
	cin => \led_flash_cnt[2474][6]~61527\,
	combout => \led_flash_cnt[2474][7]~61528_combout\);

-- Location: FF_X74_Y1_N31
\led_flash_cnt[2474][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2474][7]~61528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2474][7]~q\);

-- Location: LCCOMB_X74_Y1_N2
WideAnd2474 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2474~combout\ = (\WideAnd2474~1_combout\ & (\WideAnd2474~0_combout\ & (\led_flash_cnt[2474][7]~q\ & \led_flash_cnt[2474][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2474~1_combout\,
	datab => \WideAnd2474~0_combout\,
	datac => \led_flash_cnt[2474][7]~q\,
	datad => \led_flash_cnt[2474][0]~q\,
	combout => \WideAnd2474~combout\);

-- Location: FF_X74_Y1_N3
\led_flash_cnt_ands[2474]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2474~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2474));

-- Location: LCCOMB_X71_Y1_N0
\WideAnd4149~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4149~0_combout\ = (led_flash_cnt_ands(2475) & (led_flash_cnt_ands(2473) & (led_flash_cnt_ands(2472) & led_flash_cnt_ands(2474))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2475),
	datab => led_flash_cnt_ands(2473),
	datac => led_flash_cnt_ands(2472),
	datad => led_flash_cnt_ands(2474),
	combout => \WideAnd4149~0_combout\);

-- Location: LCCOMB_X70_Y2_N24
\led_flash_cnt[2479][0]~83119\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2479][0]~83119_combout\ = !\led_flash_cnt[2479][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2479][0]~q\,
	combout => \led_flash_cnt[2479][0]~83119_combout\);

-- Location: FF_X70_Y2_N25
\led_flash_cnt[2479][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2479][0]~83119_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2479][0]~q\);

-- Location: LCCOMB_X70_Y2_N6
\led_flash_cnt[2479][1]~61586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2479][1]~61586_combout\ = (\led_flash_cnt[2479][1]~q\ & (\led_flash_cnt[2479][0]~q\ $ (VCC))) # (!\led_flash_cnt[2479][1]~q\ & (\led_flash_cnt[2479][0]~q\ & VCC))
-- \led_flash_cnt[2479][1]~61587\ = CARRY((\led_flash_cnt[2479][1]~q\ & \led_flash_cnt[2479][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2479][1]~q\,
	datab => \led_flash_cnt[2479][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2479][1]~61586_combout\,
	cout => \led_flash_cnt[2479][1]~61587\);

-- Location: FF_X70_Y2_N7
\led_flash_cnt[2479][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2479][1]~61586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2479][1]~q\);

-- Location: LCCOMB_X70_Y2_N8
\led_flash_cnt[2479][2]~61588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2479][2]~61588_combout\ = (\led_flash_cnt[2479][2]~q\ & (!\led_flash_cnt[2479][1]~61587\)) # (!\led_flash_cnt[2479][2]~q\ & ((\led_flash_cnt[2479][1]~61587\) # (GND)))
-- \led_flash_cnt[2479][2]~61589\ = CARRY((!\led_flash_cnt[2479][1]~61587\) # (!\led_flash_cnt[2479][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2479][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2479][1]~61587\,
	combout => \led_flash_cnt[2479][2]~61588_combout\,
	cout => \led_flash_cnt[2479][2]~61589\);

-- Location: FF_X70_Y2_N9
\led_flash_cnt[2479][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2479][2]~61588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2479][2]~q\);

-- Location: LCCOMB_X70_Y2_N10
\led_flash_cnt[2479][3]~61590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2479][3]~61590_combout\ = (\led_flash_cnt[2479][3]~q\ & (\led_flash_cnt[2479][2]~61589\ $ (GND))) # (!\led_flash_cnt[2479][3]~q\ & (!\led_flash_cnt[2479][2]~61589\ & VCC))
-- \led_flash_cnt[2479][3]~61591\ = CARRY((\led_flash_cnt[2479][3]~q\ & !\led_flash_cnt[2479][2]~61589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2479][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2479][2]~61589\,
	combout => \led_flash_cnt[2479][3]~61590_combout\,
	cout => \led_flash_cnt[2479][3]~61591\);

-- Location: FF_X70_Y2_N11
\led_flash_cnt[2479][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2479][3]~61590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2479][3]~q\);

-- Location: LCCOMB_X70_Y2_N12
\led_flash_cnt[2479][4]~61592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2479][4]~61592_combout\ = (\led_flash_cnt[2479][4]~q\ & (!\led_flash_cnt[2479][3]~61591\)) # (!\led_flash_cnt[2479][4]~q\ & ((\led_flash_cnt[2479][3]~61591\) # (GND)))
-- \led_flash_cnt[2479][4]~61593\ = CARRY((!\led_flash_cnt[2479][3]~61591\) # (!\led_flash_cnt[2479][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2479][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2479][3]~61591\,
	combout => \led_flash_cnt[2479][4]~61592_combout\,
	cout => \led_flash_cnt[2479][4]~61593\);

-- Location: FF_X70_Y2_N13
\led_flash_cnt[2479][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2479][4]~61592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2479][4]~q\);

-- Location: LCCOMB_X70_Y2_N26
\WideAnd2479~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2479~0_combout\ = (\led_flash_cnt[2479][3]~q\ & (\led_flash_cnt[2479][4]~q\ & (\led_flash_cnt[2479][2]~q\ & \led_flash_cnt[2479][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2479][3]~q\,
	datab => \led_flash_cnt[2479][4]~q\,
	datac => \led_flash_cnt[2479][2]~q\,
	datad => \led_flash_cnt[2479][1]~q\,
	combout => \WideAnd2479~0_combout\);

-- Location: LCCOMB_X70_Y2_N14
\led_flash_cnt[2479][5]~61594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2479][5]~61594_combout\ = (\led_flash_cnt[2479][5]~q\ & (\led_flash_cnt[2479][4]~61593\ $ (GND))) # (!\led_flash_cnt[2479][5]~q\ & (!\led_flash_cnt[2479][4]~61593\ & VCC))
-- \led_flash_cnt[2479][5]~61595\ = CARRY((\led_flash_cnt[2479][5]~q\ & !\led_flash_cnt[2479][4]~61593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2479][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2479][4]~61593\,
	combout => \led_flash_cnt[2479][5]~61594_combout\,
	cout => \led_flash_cnt[2479][5]~61595\);

-- Location: FF_X70_Y2_N15
\led_flash_cnt[2479][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2479][5]~61594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2479][5]~q\);

-- Location: LCCOMB_X70_Y2_N16
\led_flash_cnt[2479][6]~61596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2479][6]~61596_combout\ = (\led_flash_cnt[2479][6]~q\ & (!\led_flash_cnt[2479][5]~61595\)) # (!\led_flash_cnt[2479][6]~q\ & ((\led_flash_cnt[2479][5]~61595\) # (GND)))
-- \led_flash_cnt[2479][6]~61597\ = CARRY((!\led_flash_cnt[2479][5]~61595\) # (!\led_flash_cnt[2479][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2479][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2479][5]~61595\,
	combout => \led_flash_cnt[2479][6]~61596_combout\,
	cout => \led_flash_cnt[2479][6]~61597\);

-- Location: FF_X70_Y2_N17
\led_flash_cnt[2479][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2479][6]~61596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2479][6]~q\);

-- Location: LCCOMB_X70_Y2_N18
\led_flash_cnt[2479][7]~61598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2479][7]~61598_combout\ = \led_flash_cnt[2479][6]~61597\ $ (!\led_flash_cnt[2479][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2479][7]~q\,
	cin => \led_flash_cnt[2479][6]~61597\,
	combout => \led_flash_cnt[2479][7]~61598_combout\);

-- Location: FF_X70_Y2_N19
\led_flash_cnt[2479][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2479][7]~61598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2479][7]~q\);

-- Location: LCCOMB_X70_Y2_N22
\WideAnd2479~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2479~1_combout\ = (\led_flash_cnt[2479][5]~q\ & \led_flash_cnt[2479][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2479][5]~q\,
	datad => \led_flash_cnt[2479][6]~q\,
	combout => \WideAnd2479~1_combout\);

-- Location: LCCOMB_X70_Y2_N0
WideAnd2479 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2479~combout\ = (\WideAnd2479~0_combout\ & (\led_flash_cnt[2479][7]~q\ & (\WideAnd2479~1_combout\ & \led_flash_cnt[2479][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2479~0_combout\,
	datab => \led_flash_cnt[2479][7]~q\,
	datac => \WideAnd2479~1_combout\,
	datad => \led_flash_cnt[2479][0]~q\,
	combout => \WideAnd2479~combout\);

-- Location: FF_X70_Y2_N1
\led_flash_cnt_ands[2479]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2479~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2479));

-- Location: LCCOMB_X64_Y5_N12
\led_flash_cnt[2478][0]~83118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2478][0]~83118_combout\ = !\led_flash_cnt[2478][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2478][0]~q\,
	combout => \led_flash_cnt[2478][0]~83118_combout\);

-- Location: FF_X64_Y5_N13
\led_flash_cnt[2478][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2478][0]~83118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2478][0]~q\);

-- Location: LCCOMB_X64_Y5_N14
\led_flash_cnt[2478][1]~61572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2478][1]~61572_combout\ = (\led_flash_cnt[2478][0]~q\ & (\led_flash_cnt[2478][1]~q\ $ (VCC))) # (!\led_flash_cnt[2478][0]~q\ & (\led_flash_cnt[2478][1]~q\ & VCC))
-- \led_flash_cnt[2478][1]~61573\ = CARRY((\led_flash_cnt[2478][0]~q\ & \led_flash_cnt[2478][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2478][0]~q\,
	datab => \led_flash_cnt[2478][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2478][1]~61572_combout\,
	cout => \led_flash_cnt[2478][1]~61573\);

-- Location: FF_X64_Y5_N15
\led_flash_cnt[2478][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2478][1]~61572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2478][1]~q\);

-- Location: LCCOMB_X64_Y5_N16
\led_flash_cnt[2478][2]~61574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2478][2]~61574_combout\ = (\led_flash_cnt[2478][2]~q\ & (!\led_flash_cnt[2478][1]~61573\)) # (!\led_flash_cnt[2478][2]~q\ & ((\led_flash_cnt[2478][1]~61573\) # (GND)))
-- \led_flash_cnt[2478][2]~61575\ = CARRY((!\led_flash_cnt[2478][1]~61573\) # (!\led_flash_cnt[2478][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2478][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2478][1]~61573\,
	combout => \led_flash_cnt[2478][2]~61574_combout\,
	cout => \led_flash_cnt[2478][2]~61575\);

-- Location: FF_X64_Y5_N17
\led_flash_cnt[2478][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2478][2]~61574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2478][2]~q\);

-- Location: LCCOMB_X64_Y5_N18
\led_flash_cnt[2478][3]~61576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2478][3]~61576_combout\ = (\led_flash_cnt[2478][3]~q\ & (\led_flash_cnt[2478][2]~61575\ $ (GND))) # (!\led_flash_cnt[2478][3]~q\ & (!\led_flash_cnt[2478][2]~61575\ & VCC))
-- \led_flash_cnt[2478][3]~61577\ = CARRY((\led_flash_cnt[2478][3]~q\ & !\led_flash_cnt[2478][2]~61575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2478][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2478][2]~61575\,
	combout => \led_flash_cnt[2478][3]~61576_combout\,
	cout => \led_flash_cnt[2478][3]~61577\);

-- Location: FF_X64_Y5_N19
\led_flash_cnt[2478][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2478][3]~61576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2478][3]~q\);

-- Location: LCCOMB_X64_Y5_N20
\led_flash_cnt[2478][4]~61578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2478][4]~61578_combout\ = (\led_flash_cnt[2478][4]~q\ & (!\led_flash_cnt[2478][3]~61577\)) # (!\led_flash_cnt[2478][4]~q\ & ((\led_flash_cnt[2478][3]~61577\) # (GND)))
-- \led_flash_cnt[2478][4]~61579\ = CARRY((!\led_flash_cnt[2478][3]~61577\) # (!\led_flash_cnt[2478][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2478][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2478][3]~61577\,
	combout => \led_flash_cnt[2478][4]~61578_combout\,
	cout => \led_flash_cnt[2478][4]~61579\);

-- Location: FF_X64_Y5_N21
\led_flash_cnt[2478][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2478][4]~61578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2478][4]~q\);

-- Location: LCCOMB_X64_Y5_N10
\WideAnd2478~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2478~0_combout\ = (\led_flash_cnt[2478][4]~q\ & (\led_flash_cnt[2478][3]~q\ & (\led_flash_cnt[2478][1]~q\ & \led_flash_cnt[2478][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2478][4]~q\,
	datab => \led_flash_cnt[2478][3]~q\,
	datac => \led_flash_cnt[2478][1]~q\,
	datad => \led_flash_cnt[2478][2]~q\,
	combout => \WideAnd2478~0_combout\);

-- Location: LCCOMB_X64_Y5_N22
\led_flash_cnt[2478][5]~61580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2478][5]~61580_combout\ = (\led_flash_cnt[2478][5]~q\ & (\led_flash_cnt[2478][4]~61579\ $ (GND))) # (!\led_flash_cnt[2478][5]~q\ & (!\led_flash_cnt[2478][4]~61579\ & VCC))
-- \led_flash_cnt[2478][5]~61581\ = CARRY((\led_flash_cnt[2478][5]~q\ & !\led_flash_cnt[2478][4]~61579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2478][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2478][4]~61579\,
	combout => \led_flash_cnt[2478][5]~61580_combout\,
	cout => \led_flash_cnt[2478][5]~61581\);

-- Location: FF_X64_Y5_N23
\led_flash_cnt[2478][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2478][5]~61580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2478][5]~q\);

-- Location: LCCOMB_X64_Y5_N24
\led_flash_cnt[2478][6]~61582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2478][6]~61582_combout\ = (\led_flash_cnt[2478][6]~q\ & (!\led_flash_cnt[2478][5]~61581\)) # (!\led_flash_cnt[2478][6]~q\ & ((\led_flash_cnt[2478][5]~61581\) # (GND)))
-- \led_flash_cnt[2478][6]~61583\ = CARRY((!\led_flash_cnt[2478][5]~61581\) # (!\led_flash_cnt[2478][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2478][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2478][5]~61581\,
	combout => \led_flash_cnt[2478][6]~61582_combout\,
	cout => \led_flash_cnt[2478][6]~61583\);

-- Location: FF_X64_Y5_N25
\led_flash_cnt[2478][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2478][6]~61582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2478][6]~q\);

-- Location: LCCOMB_X64_Y5_N8
\WideAnd2478~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2478~1_combout\ = (\led_flash_cnt[2478][5]~q\ & \led_flash_cnt[2478][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2478][5]~q\,
	datad => \led_flash_cnt[2478][6]~q\,
	combout => \WideAnd2478~1_combout\);

-- Location: LCCOMB_X64_Y5_N26
\led_flash_cnt[2478][7]~61584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2478][7]~61584_combout\ = \led_flash_cnt[2478][7]~q\ $ (!\led_flash_cnt[2478][6]~61583\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2478][7]~q\,
	cin => \led_flash_cnt[2478][6]~61583\,
	combout => \led_flash_cnt[2478][7]~61584_combout\);

-- Location: FF_X64_Y5_N27
\led_flash_cnt[2478][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2478][7]~61584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2478][7]~q\);

-- Location: LCCOMB_X64_Y5_N4
WideAnd2478 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2478~combout\ = (\WideAnd2478~0_combout\ & (\WideAnd2478~1_combout\ & (\led_flash_cnt[2478][7]~q\ & \led_flash_cnt[2478][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2478~0_combout\,
	datab => \WideAnd2478~1_combout\,
	datac => \led_flash_cnt[2478][7]~q\,
	datad => \led_flash_cnt[2478][0]~q\,
	combout => \WideAnd2478~combout\);

-- Location: FF_X64_Y5_N5
\led_flash_cnt_ands[2478]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2478~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2478));

-- Location: LCCOMB_X60_Y11_N6
\led_flash_cnt[2477][0]~83117\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2477][0]~83117_combout\ = !\led_flash_cnt[2477][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2477][0]~q\,
	combout => \led_flash_cnt[2477][0]~83117_combout\);

-- Location: FF_X60_Y11_N7
\led_flash_cnt[2477][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2477][0]~83117_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2477][0]~q\);

-- Location: LCCOMB_X61_Y11_N0
\led_flash_cnt[2477][1]~61558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2477][1]~61558_combout\ = (\led_flash_cnt[2477][0]~q\ & (\led_flash_cnt[2477][1]~q\ $ (VCC))) # (!\led_flash_cnt[2477][0]~q\ & (\led_flash_cnt[2477][1]~q\ & VCC))
-- \led_flash_cnt[2477][1]~61559\ = CARRY((\led_flash_cnt[2477][0]~q\ & \led_flash_cnt[2477][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2477][0]~q\,
	datab => \led_flash_cnt[2477][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2477][1]~61558_combout\,
	cout => \led_flash_cnt[2477][1]~61559\);

-- Location: FF_X61_Y11_N1
\led_flash_cnt[2477][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2477][1]~61558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2477][1]~q\);

-- Location: LCCOMB_X61_Y11_N2
\led_flash_cnt[2477][2]~61560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2477][2]~61560_combout\ = (\led_flash_cnt[2477][2]~q\ & (!\led_flash_cnt[2477][1]~61559\)) # (!\led_flash_cnt[2477][2]~q\ & ((\led_flash_cnt[2477][1]~61559\) # (GND)))
-- \led_flash_cnt[2477][2]~61561\ = CARRY((!\led_flash_cnt[2477][1]~61559\) # (!\led_flash_cnt[2477][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2477][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2477][1]~61559\,
	combout => \led_flash_cnt[2477][2]~61560_combout\,
	cout => \led_flash_cnt[2477][2]~61561\);

-- Location: FF_X61_Y11_N3
\led_flash_cnt[2477][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2477][2]~61560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2477][2]~q\);

-- Location: LCCOMB_X61_Y11_N4
\led_flash_cnt[2477][3]~61562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2477][3]~61562_combout\ = (\led_flash_cnt[2477][3]~q\ & (\led_flash_cnt[2477][2]~61561\ $ (GND))) # (!\led_flash_cnt[2477][3]~q\ & (!\led_flash_cnt[2477][2]~61561\ & VCC))
-- \led_flash_cnt[2477][3]~61563\ = CARRY((\led_flash_cnt[2477][3]~q\ & !\led_flash_cnt[2477][2]~61561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2477][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2477][2]~61561\,
	combout => \led_flash_cnt[2477][3]~61562_combout\,
	cout => \led_flash_cnt[2477][3]~61563\);

-- Location: FF_X61_Y11_N5
\led_flash_cnt[2477][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2477][3]~61562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2477][3]~q\);

-- Location: LCCOMB_X61_Y11_N6
\led_flash_cnt[2477][4]~61564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2477][4]~61564_combout\ = (\led_flash_cnt[2477][4]~q\ & (!\led_flash_cnt[2477][3]~61563\)) # (!\led_flash_cnt[2477][4]~q\ & ((\led_flash_cnt[2477][3]~61563\) # (GND)))
-- \led_flash_cnt[2477][4]~61565\ = CARRY((!\led_flash_cnt[2477][3]~61563\) # (!\led_flash_cnt[2477][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2477][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2477][3]~61563\,
	combout => \led_flash_cnt[2477][4]~61564_combout\,
	cout => \led_flash_cnt[2477][4]~61565\);

-- Location: FF_X61_Y11_N7
\led_flash_cnt[2477][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2477][4]~61564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2477][4]~q\);

-- Location: LCCOMB_X61_Y11_N8
\led_flash_cnt[2477][5]~61566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2477][5]~61566_combout\ = (\led_flash_cnt[2477][5]~q\ & (\led_flash_cnt[2477][4]~61565\ $ (GND))) # (!\led_flash_cnt[2477][5]~q\ & (!\led_flash_cnt[2477][4]~61565\ & VCC))
-- \led_flash_cnt[2477][5]~61567\ = CARRY((\led_flash_cnt[2477][5]~q\ & !\led_flash_cnt[2477][4]~61565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2477][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2477][4]~61565\,
	combout => \led_flash_cnt[2477][5]~61566_combout\,
	cout => \led_flash_cnt[2477][5]~61567\);

-- Location: FF_X61_Y11_N9
\led_flash_cnt[2477][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2477][5]~61566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2477][5]~q\);

-- Location: LCCOMB_X61_Y11_N10
\led_flash_cnt[2477][6]~61568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2477][6]~61568_combout\ = (\led_flash_cnt[2477][6]~q\ & (!\led_flash_cnt[2477][5]~61567\)) # (!\led_flash_cnt[2477][6]~q\ & ((\led_flash_cnt[2477][5]~61567\) # (GND)))
-- \led_flash_cnt[2477][6]~61569\ = CARRY((!\led_flash_cnt[2477][5]~61567\) # (!\led_flash_cnt[2477][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2477][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2477][5]~61567\,
	combout => \led_flash_cnt[2477][6]~61568_combout\,
	cout => \led_flash_cnt[2477][6]~61569\);

-- Location: FF_X61_Y11_N11
\led_flash_cnt[2477][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2477][6]~61568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2477][6]~q\);

-- Location: LCCOMB_X60_Y11_N26
\WideAnd2477~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2477~1_combout\ = (\led_flash_cnt[2477][6]~q\ & \led_flash_cnt[2477][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2477][6]~q\,
	datac => \led_flash_cnt[2477][5]~q\,
	combout => \WideAnd2477~1_combout\);

-- Location: LCCOMB_X61_Y11_N28
\WideAnd2477~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2477~0_combout\ = (\led_flash_cnt[2477][4]~q\ & (\led_flash_cnt[2477][1]~q\ & (\led_flash_cnt[2477][3]~q\ & \led_flash_cnt[2477][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2477][4]~q\,
	datab => \led_flash_cnt[2477][1]~q\,
	datac => \led_flash_cnt[2477][3]~q\,
	datad => \led_flash_cnt[2477][2]~q\,
	combout => \WideAnd2477~0_combout\);

-- Location: LCCOMB_X61_Y11_N12
\led_flash_cnt[2477][7]~61570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2477][7]~61570_combout\ = \led_flash_cnt[2477][6]~61569\ $ (!\led_flash_cnt[2477][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2477][7]~q\,
	cin => \led_flash_cnt[2477][6]~61569\,
	combout => \led_flash_cnt[2477][7]~61570_combout\);

-- Location: FF_X61_Y11_N13
\led_flash_cnt[2477][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2477][7]~61570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2477][7]~q\);

-- Location: LCCOMB_X60_Y11_N30
WideAnd2477 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2477~combout\ = (\WideAnd2477~1_combout\ & (\WideAnd2477~0_combout\ & (\led_flash_cnt[2477][7]~q\ & \led_flash_cnt[2477][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2477~1_combout\,
	datab => \WideAnd2477~0_combout\,
	datac => \led_flash_cnt[2477][7]~q\,
	datad => \led_flash_cnt[2477][0]~q\,
	combout => \WideAnd2477~combout\);

-- Location: FF_X60_Y11_N31
\led_flash_cnt_ands[2477]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2477~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2477));

-- Location: LCCOMB_X60_Y11_N0
\led_flash_cnt[2476][0]~83116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2476][0]~83116_combout\ = !\led_flash_cnt[2476][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2476][0]~q\,
	combout => \led_flash_cnt[2476][0]~83116_combout\);

-- Location: FF_X60_Y11_N1
\led_flash_cnt[2476][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2476][0]~83116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2476][0]~q\);

-- Location: LCCOMB_X60_Y11_N12
\led_flash_cnt[2476][1]~61544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2476][1]~61544_combout\ = (\led_flash_cnt[2476][1]~q\ & (\led_flash_cnt[2476][0]~q\ $ (VCC))) # (!\led_flash_cnt[2476][1]~q\ & (\led_flash_cnt[2476][0]~q\ & VCC))
-- \led_flash_cnt[2476][1]~61545\ = CARRY((\led_flash_cnt[2476][1]~q\ & \led_flash_cnt[2476][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2476][1]~q\,
	datab => \led_flash_cnt[2476][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2476][1]~61544_combout\,
	cout => \led_flash_cnt[2476][1]~61545\);

-- Location: FF_X60_Y11_N13
\led_flash_cnt[2476][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2476][1]~61544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2476][1]~q\);

-- Location: LCCOMB_X60_Y11_N14
\led_flash_cnt[2476][2]~61546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2476][2]~61546_combout\ = (\led_flash_cnt[2476][2]~q\ & (!\led_flash_cnt[2476][1]~61545\)) # (!\led_flash_cnt[2476][2]~q\ & ((\led_flash_cnt[2476][1]~61545\) # (GND)))
-- \led_flash_cnt[2476][2]~61547\ = CARRY((!\led_flash_cnt[2476][1]~61545\) # (!\led_flash_cnt[2476][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2476][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2476][1]~61545\,
	combout => \led_flash_cnt[2476][2]~61546_combout\,
	cout => \led_flash_cnt[2476][2]~61547\);

-- Location: FF_X60_Y11_N15
\led_flash_cnt[2476][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2476][2]~61546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2476][2]~q\);

-- Location: LCCOMB_X60_Y11_N16
\led_flash_cnt[2476][3]~61548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2476][3]~61548_combout\ = (\led_flash_cnt[2476][3]~q\ & (\led_flash_cnt[2476][2]~61547\ $ (GND))) # (!\led_flash_cnt[2476][3]~q\ & (!\led_flash_cnt[2476][2]~61547\ & VCC))
-- \led_flash_cnt[2476][3]~61549\ = CARRY((\led_flash_cnt[2476][3]~q\ & !\led_flash_cnt[2476][2]~61547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2476][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2476][2]~61547\,
	combout => \led_flash_cnt[2476][3]~61548_combout\,
	cout => \led_flash_cnt[2476][3]~61549\);

-- Location: FF_X60_Y11_N17
\led_flash_cnt[2476][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2476][3]~61548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2476][3]~q\);

-- Location: LCCOMB_X60_Y11_N18
\led_flash_cnt[2476][4]~61550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2476][4]~61550_combout\ = (\led_flash_cnt[2476][4]~q\ & (!\led_flash_cnt[2476][3]~61549\)) # (!\led_flash_cnt[2476][4]~q\ & ((\led_flash_cnt[2476][3]~61549\) # (GND)))
-- \led_flash_cnt[2476][4]~61551\ = CARRY((!\led_flash_cnt[2476][3]~61549\) # (!\led_flash_cnt[2476][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2476][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2476][3]~61549\,
	combout => \led_flash_cnt[2476][4]~61550_combout\,
	cout => \led_flash_cnt[2476][4]~61551\);

-- Location: FF_X60_Y11_N19
\led_flash_cnt[2476][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2476][4]~61550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2476][4]~q\);

-- Location: LCCOMB_X60_Y11_N10
\WideAnd2476~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2476~0_combout\ = (\led_flash_cnt[2476][4]~q\ & (\led_flash_cnt[2476][3]~q\ & (\led_flash_cnt[2476][2]~q\ & \led_flash_cnt[2476][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2476][4]~q\,
	datab => \led_flash_cnt[2476][3]~q\,
	datac => \led_flash_cnt[2476][2]~q\,
	datad => \led_flash_cnt[2476][1]~q\,
	combout => \WideAnd2476~0_combout\);

-- Location: LCCOMB_X60_Y11_N20
\led_flash_cnt[2476][5]~61552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2476][5]~61552_combout\ = (\led_flash_cnt[2476][5]~q\ & (\led_flash_cnt[2476][4]~61551\ $ (GND))) # (!\led_flash_cnt[2476][5]~q\ & (!\led_flash_cnt[2476][4]~61551\ & VCC))
-- \led_flash_cnt[2476][5]~61553\ = CARRY((\led_flash_cnt[2476][5]~q\ & !\led_flash_cnt[2476][4]~61551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2476][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2476][4]~61551\,
	combout => \led_flash_cnt[2476][5]~61552_combout\,
	cout => \led_flash_cnt[2476][5]~61553\);

-- Location: FF_X60_Y11_N21
\led_flash_cnt[2476][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2476][5]~61552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2476][5]~q\);

-- Location: LCCOMB_X60_Y11_N22
\led_flash_cnt[2476][6]~61554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2476][6]~61554_combout\ = (\led_flash_cnt[2476][6]~q\ & (!\led_flash_cnt[2476][5]~61553\)) # (!\led_flash_cnt[2476][6]~q\ & ((\led_flash_cnt[2476][5]~61553\) # (GND)))
-- \led_flash_cnt[2476][6]~61555\ = CARRY((!\led_flash_cnt[2476][5]~61553\) # (!\led_flash_cnt[2476][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2476][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2476][5]~61553\,
	combout => \led_flash_cnt[2476][6]~61554_combout\,
	cout => \led_flash_cnt[2476][6]~61555\);

-- Location: FF_X60_Y11_N23
\led_flash_cnt[2476][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2476][6]~61554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2476][6]~q\);

-- Location: LCCOMB_X60_Y11_N8
\WideAnd2476~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2476~1_combout\ = (\led_flash_cnt[2476][6]~q\ & \led_flash_cnt[2476][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2476][6]~q\,
	datad => \led_flash_cnt[2476][5]~q\,
	combout => \WideAnd2476~1_combout\);

-- Location: LCCOMB_X60_Y11_N24
\led_flash_cnt[2476][7]~61556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2476][7]~61556_combout\ = \led_flash_cnt[2476][6]~61555\ $ (!\led_flash_cnt[2476][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2476][7]~q\,
	cin => \led_flash_cnt[2476][6]~61555\,
	combout => \led_flash_cnt[2476][7]~61556_combout\);

-- Location: FF_X60_Y11_N25
\led_flash_cnt[2476][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2476][7]~61556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2476][7]~q\);

-- Location: LCCOMB_X60_Y11_N2
WideAnd2476 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2476~combout\ = (\WideAnd2476~0_combout\ & (\led_flash_cnt[2476][0]~q\ & (\WideAnd2476~1_combout\ & \led_flash_cnt[2476][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2476~0_combout\,
	datab => \led_flash_cnt[2476][0]~q\,
	datac => \WideAnd2476~1_combout\,
	datad => \led_flash_cnt[2476][7]~q\,
	combout => \WideAnd2476~combout\);

-- Location: FF_X60_Y11_N3
\led_flash_cnt_ands[2476]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2476~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2476));

-- Location: LCCOMB_X60_Y11_N28
\WideAnd4149~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4149~1_combout\ = (led_flash_cnt_ands(2477) & led_flash_cnt_ands(2476))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2477),
	datad => led_flash_cnt_ands(2476),
	combout => \WideAnd4149~1_combout\);

-- Location: LCCOMB_X64_Y5_N28
WideAnd4149 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4149~combout\ = (\WideAnd4149~0_combout\ & (led_flash_cnt_ands(2479) & (led_flash_cnt_ands(2478) & \WideAnd4149~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4149~0_combout\,
	datab => led_flash_cnt_ands(2479),
	datac => led_flash_cnt_ands(2478),
	datad => \WideAnd4149~1_combout\,
	combout => \WideAnd4149~combout\);

-- Location: FF_X64_Y5_N29
\led_flash_cnt_ands_1[309]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4149~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(309));

-- Location: LCCOMB_X63_Y5_N28
\WideAnd4358~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4358~1_combout\ = (led_flash_cnt_ands_1(308) & led_flash_cnt_ands_1(309))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(308),
	datad => led_flash_cnt_ands_1(309),
	combout => \WideAnd4358~1_combout\);

-- Location: LCCOMB_X75_Y21_N26
\led_flash_cnt[2494][0]~83134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2494][0]~83134_combout\ = !\led_flash_cnt[2494][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2494][0]~q\,
	combout => \led_flash_cnt[2494][0]~83134_combout\);

-- Location: FF_X75_Y21_N27
\led_flash_cnt[2494][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2494][0]~83134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2494][0]~q\);

-- Location: LCCOMB_X75_Y21_N8
\led_flash_cnt[2494][1]~61796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2494][1]~61796_combout\ = (\led_flash_cnt[2494][0]~q\ & (\led_flash_cnt[2494][1]~q\ $ (VCC))) # (!\led_flash_cnt[2494][0]~q\ & (\led_flash_cnt[2494][1]~q\ & VCC))
-- \led_flash_cnt[2494][1]~61797\ = CARRY((\led_flash_cnt[2494][0]~q\ & \led_flash_cnt[2494][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2494][0]~q\,
	datab => \led_flash_cnt[2494][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2494][1]~61796_combout\,
	cout => \led_flash_cnt[2494][1]~61797\);

-- Location: FF_X75_Y21_N9
\led_flash_cnt[2494][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2494][1]~61796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2494][1]~q\);

-- Location: LCCOMB_X75_Y21_N10
\led_flash_cnt[2494][2]~61798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2494][2]~61798_combout\ = (\led_flash_cnt[2494][2]~q\ & (!\led_flash_cnt[2494][1]~61797\)) # (!\led_flash_cnt[2494][2]~q\ & ((\led_flash_cnt[2494][1]~61797\) # (GND)))
-- \led_flash_cnt[2494][2]~61799\ = CARRY((!\led_flash_cnt[2494][1]~61797\) # (!\led_flash_cnt[2494][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2494][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2494][1]~61797\,
	combout => \led_flash_cnt[2494][2]~61798_combout\,
	cout => \led_flash_cnt[2494][2]~61799\);

-- Location: FF_X75_Y21_N11
\led_flash_cnt[2494][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2494][2]~61798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2494][2]~q\);

-- Location: LCCOMB_X75_Y21_N12
\led_flash_cnt[2494][3]~61800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2494][3]~61800_combout\ = (\led_flash_cnt[2494][3]~q\ & (\led_flash_cnt[2494][2]~61799\ $ (GND))) # (!\led_flash_cnt[2494][3]~q\ & (!\led_flash_cnt[2494][2]~61799\ & VCC))
-- \led_flash_cnt[2494][3]~61801\ = CARRY((\led_flash_cnt[2494][3]~q\ & !\led_flash_cnt[2494][2]~61799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2494][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2494][2]~61799\,
	combout => \led_flash_cnt[2494][3]~61800_combout\,
	cout => \led_flash_cnt[2494][3]~61801\);

-- Location: FF_X75_Y21_N13
\led_flash_cnt[2494][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2494][3]~61800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2494][3]~q\);

-- Location: LCCOMB_X75_Y21_N14
\led_flash_cnt[2494][4]~61802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2494][4]~61802_combout\ = (\led_flash_cnt[2494][4]~q\ & (!\led_flash_cnt[2494][3]~61801\)) # (!\led_flash_cnt[2494][4]~q\ & ((\led_flash_cnt[2494][3]~61801\) # (GND)))
-- \led_flash_cnt[2494][4]~61803\ = CARRY((!\led_flash_cnt[2494][3]~61801\) # (!\led_flash_cnt[2494][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2494][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2494][3]~61801\,
	combout => \led_flash_cnt[2494][4]~61802_combout\,
	cout => \led_flash_cnt[2494][4]~61803\);

-- Location: FF_X75_Y21_N15
\led_flash_cnt[2494][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2494][4]~61802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2494][4]~q\);

-- Location: LCCOMB_X75_Y21_N16
\led_flash_cnt[2494][5]~61804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2494][5]~61804_combout\ = (\led_flash_cnt[2494][5]~q\ & (\led_flash_cnt[2494][4]~61803\ $ (GND))) # (!\led_flash_cnt[2494][5]~q\ & (!\led_flash_cnt[2494][4]~61803\ & VCC))
-- \led_flash_cnt[2494][5]~61805\ = CARRY((\led_flash_cnt[2494][5]~q\ & !\led_flash_cnt[2494][4]~61803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2494][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2494][4]~61803\,
	combout => \led_flash_cnt[2494][5]~61804_combout\,
	cout => \led_flash_cnt[2494][5]~61805\);

-- Location: FF_X75_Y21_N17
\led_flash_cnt[2494][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2494][5]~61804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2494][5]~q\);

-- Location: LCCOMB_X75_Y21_N18
\led_flash_cnt[2494][6]~61806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2494][6]~61806_combout\ = (\led_flash_cnt[2494][6]~q\ & (!\led_flash_cnt[2494][5]~61805\)) # (!\led_flash_cnt[2494][6]~q\ & ((\led_flash_cnt[2494][5]~61805\) # (GND)))
-- \led_flash_cnt[2494][6]~61807\ = CARRY((!\led_flash_cnt[2494][5]~61805\) # (!\led_flash_cnt[2494][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2494][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2494][5]~61805\,
	combout => \led_flash_cnt[2494][6]~61806_combout\,
	cout => \led_flash_cnt[2494][6]~61807\);

-- Location: FF_X75_Y21_N19
\led_flash_cnt[2494][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2494][6]~61806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2494][6]~q\);

-- Location: LCCOMB_X75_Y21_N30
\WideAnd2494~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2494~1_combout\ = (\led_flash_cnt[2494][6]~q\ & \led_flash_cnt[2494][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2494][6]~q\,
	datad => \led_flash_cnt[2494][5]~q\,
	combout => \WideAnd2494~1_combout\);

-- Location: LCCOMB_X75_Y21_N20
\led_flash_cnt[2494][7]~61808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2494][7]~61808_combout\ = \led_flash_cnt[2494][6]~61807\ $ (!\led_flash_cnt[2494][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2494][7]~q\,
	cin => \led_flash_cnt[2494][6]~61807\,
	combout => \led_flash_cnt[2494][7]~61808_combout\);

-- Location: FF_X75_Y21_N21
\led_flash_cnt[2494][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2494][7]~61808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2494][7]~q\);

-- Location: LCCOMB_X75_Y21_N24
\WideAnd2494~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2494~0_combout\ = (\led_flash_cnt[2494][2]~q\ & (\led_flash_cnt[2494][4]~q\ & (\led_flash_cnt[2494][1]~q\ & \led_flash_cnt[2494][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2494][2]~q\,
	datab => \led_flash_cnt[2494][4]~q\,
	datac => \led_flash_cnt[2494][1]~q\,
	datad => \led_flash_cnt[2494][3]~q\,
	combout => \WideAnd2494~0_combout\);

-- Location: LCCOMB_X75_Y21_N4
WideAnd2494 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2494~combout\ = (\WideAnd2494~1_combout\ & (\led_flash_cnt[2494][7]~q\ & (\led_flash_cnt[2494][0]~q\ & \WideAnd2494~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2494~1_combout\,
	datab => \led_flash_cnt[2494][7]~q\,
	datac => \led_flash_cnt[2494][0]~q\,
	datad => \WideAnd2494~0_combout\,
	combout => \WideAnd2494~combout\);

-- Location: FF_X75_Y21_N5
\led_flash_cnt_ands[2494]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2494~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2494));

-- Location: LCCOMB_X75_Y33_N8
\led_flash_cnt[2490][0]~83130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2490][0]~83130_combout\ = !\led_flash_cnt[2490][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2490][0]~q\,
	combout => \led_flash_cnt[2490][0]~83130_combout\);

-- Location: FF_X75_Y33_N9
\led_flash_cnt[2490][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2490][0]~83130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2490][0]~q\);

-- Location: LCCOMB_X75_Y33_N18
\led_flash_cnt[2490][1]~61740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2490][1]~61740_combout\ = (\led_flash_cnt[2490][1]~q\ & (\led_flash_cnt[2490][0]~q\ $ (VCC))) # (!\led_flash_cnt[2490][1]~q\ & (\led_flash_cnt[2490][0]~q\ & VCC))
-- \led_flash_cnt[2490][1]~61741\ = CARRY((\led_flash_cnt[2490][1]~q\ & \led_flash_cnt[2490][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2490][1]~q\,
	datab => \led_flash_cnt[2490][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2490][1]~61740_combout\,
	cout => \led_flash_cnt[2490][1]~61741\);

-- Location: FF_X75_Y33_N19
\led_flash_cnt[2490][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2490][1]~61740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2490][1]~q\);

-- Location: LCCOMB_X75_Y33_N20
\led_flash_cnt[2490][2]~61742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2490][2]~61742_combout\ = (\led_flash_cnt[2490][2]~q\ & (!\led_flash_cnt[2490][1]~61741\)) # (!\led_flash_cnt[2490][2]~q\ & ((\led_flash_cnt[2490][1]~61741\) # (GND)))
-- \led_flash_cnt[2490][2]~61743\ = CARRY((!\led_flash_cnt[2490][1]~61741\) # (!\led_flash_cnt[2490][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2490][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2490][1]~61741\,
	combout => \led_flash_cnt[2490][2]~61742_combout\,
	cout => \led_flash_cnt[2490][2]~61743\);

-- Location: FF_X75_Y33_N21
\led_flash_cnt[2490][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2490][2]~61742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2490][2]~q\);

-- Location: LCCOMB_X75_Y33_N22
\led_flash_cnt[2490][3]~61744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2490][3]~61744_combout\ = (\led_flash_cnt[2490][3]~q\ & (\led_flash_cnt[2490][2]~61743\ $ (GND))) # (!\led_flash_cnt[2490][3]~q\ & (!\led_flash_cnt[2490][2]~61743\ & VCC))
-- \led_flash_cnt[2490][3]~61745\ = CARRY((\led_flash_cnt[2490][3]~q\ & !\led_flash_cnt[2490][2]~61743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2490][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2490][2]~61743\,
	combout => \led_flash_cnt[2490][3]~61744_combout\,
	cout => \led_flash_cnt[2490][3]~61745\);

-- Location: FF_X75_Y33_N23
\led_flash_cnt[2490][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2490][3]~61744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2490][3]~q\);

-- Location: LCCOMB_X75_Y33_N24
\led_flash_cnt[2490][4]~61746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2490][4]~61746_combout\ = (\led_flash_cnt[2490][4]~q\ & (!\led_flash_cnt[2490][3]~61745\)) # (!\led_flash_cnt[2490][4]~q\ & ((\led_flash_cnt[2490][3]~61745\) # (GND)))
-- \led_flash_cnt[2490][4]~61747\ = CARRY((!\led_flash_cnt[2490][3]~61745\) # (!\led_flash_cnt[2490][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2490][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2490][3]~61745\,
	combout => \led_flash_cnt[2490][4]~61746_combout\,
	cout => \led_flash_cnt[2490][4]~61747\);

-- Location: FF_X75_Y33_N25
\led_flash_cnt[2490][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2490][4]~61746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2490][4]~q\);

-- Location: LCCOMB_X75_Y33_N26
\led_flash_cnt[2490][5]~61748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2490][5]~61748_combout\ = (\led_flash_cnt[2490][5]~q\ & (\led_flash_cnt[2490][4]~61747\ $ (GND))) # (!\led_flash_cnt[2490][5]~q\ & (!\led_flash_cnt[2490][4]~61747\ & VCC))
-- \led_flash_cnt[2490][5]~61749\ = CARRY((\led_flash_cnt[2490][5]~q\ & !\led_flash_cnt[2490][4]~61747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2490][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2490][4]~61747\,
	combout => \led_flash_cnt[2490][5]~61748_combout\,
	cout => \led_flash_cnt[2490][5]~61749\);

-- Location: FF_X75_Y33_N27
\led_flash_cnt[2490][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2490][5]~61748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2490][5]~q\);

-- Location: LCCOMB_X75_Y33_N28
\led_flash_cnt[2490][6]~61750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2490][6]~61750_combout\ = (\led_flash_cnt[2490][6]~q\ & (!\led_flash_cnt[2490][5]~61749\)) # (!\led_flash_cnt[2490][6]~q\ & ((\led_flash_cnt[2490][5]~61749\) # (GND)))
-- \led_flash_cnt[2490][6]~61751\ = CARRY((!\led_flash_cnt[2490][5]~61749\) # (!\led_flash_cnt[2490][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2490][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2490][5]~61749\,
	combout => \led_flash_cnt[2490][6]~61750_combout\,
	cout => \led_flash_cnt[2490][6]~61751\);

-- Location: FF_X75_Y33_N29
\led_flash_cnt[2490][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2490][6]~61750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2490][6]~q\);

-- Location: LCCOMB_X75_Y33_N30
\led_flash_cnt[2490][7]~61752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2490][7]~61752_combout\ = \led_flash_cnt[2490][7]~q\ $ (!\led_flash_cnt[2490][6]~61751\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2490][7]~q\,
	cin => \led_flash_cnt[2490][6]~61751\,
	combout => \led_flash_cnt[2490][7]~61752_combout\);

-- Location: FF_X75_Y33_N31
\led_flash_cnt[2490][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2490][7]~61752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2490][7]~q\);

-- Location: LCCOMB_X75_Y33_N4
\WideAnd2490~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2490~1_combout\ = (\led_flash_cnt[2490][5]~q\ & \led_flash_cnt[2490][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2490][5]~q\,
	datad => \led_flash_cnt[2490][6]~q\,
	combout => \WideAnd2490~1_combout\);

-- Location: LCCOMB_X75_Y33_N12
\WideAnd2490~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2490~0_combout\ = (\led_flash_cnt[2490][1]~q\ & (\led_flash_cnt[2490][4]~q\ & (\led_flash_cnt[2490][3]~q\ & \led_flash_cnt[2490][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2490][1]~q\,
	datab => \led_flash_cnt[2490][4]~q\,
	datac => \led_flash_cnt[2490][3]~q\,
	datad => \led_flash_cnt[2490][2]~q\,
	combout => \WideAnd2490~0_combout\);

-- Location: LCCOMB_X75_Y33_N10
WideAnd2490 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2490~combout\ = (\led_flash_cnt[2490][7]~q\ & (\WideAnd2490~1_combout\ & (\led_flash_cnt[2490][0]~q\ & \WideAnd2490~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2490][7]~q\,
	datab => \WideAnd2490~1_combout\,
	datac => \led_flash_cnt[2490][0]~q\,
	datad => \WideAnd2490~0_combout\,
	combout => \WideAnd2490~combout\);

-- Location: FF_X75_Y33_N11
\led_flash_cnt_ands[2490]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2490~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2490));

-- Location: LCCOMB_X76_Y33_N0
\led_flash_cnt[2488][0]~83128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2488][0]~83128_combout\ = !\led_flash_cnt[2488][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2488][0]~q\,
	combout => \led_flash_cnt[2488][0]~83128_combout\);

-- Location: FF_X76_Y33_N1
\led_flash_cnt[2488][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2488][0]~83128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2488][0]~q\);

-- Location: LCCOMB_X76_Y33_N12
\led_flash_cnt[2488][1]~61712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2488][1]~61712_combout\ = (\led_flash_cnt[2488][1]~q\ & (\led_flash_cnt[2488][0]~q\ $ (VCC))) # (!\led_flash_cnt[2488][1]~q\ & (\led_flash_cnt[2488][0]~q\ & VCC))
-- \led_flash_cnt[2488][1]~61713\ = CARRY((\led_flash_cnt[2488][1]~q\ & \led_flash_cnt[2488][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2488][1]~q\,
	datab => \led_flash_cnt[2488][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2488][1]~61712_combout\,
	cout => \led_flash_cnt[2488][1]~61713\);

-- Location: FF_X76_Y33_N13
\led_flash_cnt[2488][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2488][1]~61712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2488][1]~q\);

-- Location: LCCOMB_X76_Y33_N14
\led_flash_cnt[2488][2]~61714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2488][2]~61714_combout\ = (\led_flash_cnt[2488][2]~q\ & (!\led_flash_cnt[2488][1]~61713\)) # (!\led_flash_cnt[2488][2]~q\ & ((\led_flash_cnt[2488][1]~61713\) # (GND)))
-- \led_flash_cnt[2488][2]~61715\ = CARRY((!\led_flash_cnt[2488][1]~61713\) # (!\led_flash_cnt[2488][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2488][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2488][1]~61713\,
	combout => \led_flash_cnt[2488][2]~61714_combout\,
	cout => \led_flash_cnt[2488][2]~61715\);

-- Location: FF_X76_Y33_N15
\led_flash_cnt[2488][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2488][2]~61714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2488][2]~q\);

-- Location: LCCOMB_X76_Y33_N16
\led_flash_cnt[2488][3]~61716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2488][3]~61716_combout\ = (\led_flash_cnt[2488][3]~q\ & (\led_flash_cnt[2488][2]~61715\ $ (GND))) # (!\led_flash_cnt[2488][3]~q\ & (!\led_flash_cnt[2488][2]~61715\ & VCC))
-- \led_flash_cnt[2488][3]~61717\ = CARRY((\led_flash_cnt[2488][3]~q\ & !\led_flash_cnt[2488][2]~61715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2488][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2488][2]~61715\,
	combout => \led_flash_cnt[2488][3]~61716_combout\,
	cout => \led_flash_cnt[2488][3]~61717\);

-- Location: FF_X76_Y33_N17
\led_flash_cnt[2488][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2488][3]~61716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2488][3]~q\);

-- Location: LCCOMB_X76_Y33_N18
\led_flash_cnt[2488][4]~61718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2488][4]~61718_combout\ = (\led_flash_cnt[2488][4]~q\ & (!\led_flash_cnt[2488][3]~61717\)) # (!\led_flash_cnt[2488][4]~q\ & ((\led_flash_cnt[2488][3]~61717\) # (GND)))
-- \led_flash_cnt[2488][4]~61719\ = CARRY((!\led_flash_cnt[2488][3]~61717\) # (!\led_flash_cnt[2488][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2488][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2488][3]~61717\,
	combout => \led_flash_cnt[2488][4]~61718_combout\,
	cout => \led_flash_cnt[2488][4]~61719\);

-- Location: FF_X76_Y33_N19
\led_flash_cnt[2488][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2488][4]~61718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2488][4]~q\);

-- Location: LCCOMB_X76_Y33_N20
\led_flash_cnt[2488][5]~61720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2488][5]~61720_combout\ = (\led_flash_cnt[2488][5]~q\ & (\led_flash_cnt[2488][4]~61719\ $ (GND))) # (!\led_flash_cnt[2488][5]~q\ & (!\led_flash_cnt[2488][4]~61719\ & VCC))
-- \led_flash_cnt[2488][5]~61721\ = CARRY((\led_flash_cnt[2488][5]~q\ & !\led_flash_cnt[2488][4]~61719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2488][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2488][4]~61719\,
	combout => \led_flash_cnt[2488][5]~61720_combout\,
	cout => \led_flash_cnt[2488][5]~61721\);

-- Location: FF_X76_Y33_N21
\led_flash_cnt[2488][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2488][5]~61720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2488][5]~q\);

-- Location: LCCOMB_X76_Y33_N22
\led_flash_cnt[2488][6]~61722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2488][6]~61722_combout\ = (\led_flash_cnt[2488][6]~q\ & (!\led_flash_cnt[2488][5]~61721\)) # (!\led_flash_cnt[2488][6]~q\ & ((\led_flash_cnt[2488][5]~61721\) # (GND)))
-- \led_flash_cnt[2488][6]~61723\ = CARRY((!\led_flash_cnt[2488][5]~61721\) # (!\led_flash_cnt[2488][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2488][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2488][5]~61721\,
	combout => \led_flash_cnt[2488][6]~61722_combout\,
	cout => \led_flash_cnt[2488][6]~61723\);

-- Location: FF_X76_Y33_N23
\led_flash_cnt[2488][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2488][6]~61722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2488][6]~q\);

-- Location: LCCOMB_X76_Y33_N10
\WideAnd2488~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2488~1_combout\ = (\led_flash_cnt[2488][6]~q\ & \led_flash_cnt[2488][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2488][6]~q\,
	datad => \led_flash_cnt[2488][5]~q\,
	combout => \WideAnd2488~1_combout\);

-- Location: LCCOMB_X76_Y33_N30
\WideAnd2488~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2488~0_combout\ = (\led_flash_cnt[2488][1]~q\ & (\led_flash_cnt[2488][4]~q\ & (\led_flash_cnt[2488][2]~q\ & \led_flash_cnt[2488][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2488][1]~q\,
	datab => \led_flash_cnt[2488][4]~q\,
	datac => \led_flash_cnt[2488][2]~q\,
	datad => \led_flash_cnt[2488][3]~q\,
	combout => \WideAnd2488~0_combout\);

-- Location: LCCOMB_X76_Y33_N24
\led_flash_cnt[2488][7]~61724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2488][7]~61724_combout\ = \led_flash_cnt[2488][6]~61723\ $ (!\led_flash_cnt[2488][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2488][7]~q\,
	cin => \led_flash_cnt[2488][6]~61723\,
	combout => \led_flash_cnt[2488][7]~61724_combout\);

-- Location: FF_X76_Y33_N25
\led_flash_cnt[2488][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2488][7]~61724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2488][7]~q\);

-- Location: LCCOMB_X76_Y33_N28
WideAnd2488 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2488~combout\ = (\WideAnd2488~1_combout\ & (\led_flash_cnt[2488][0]~q\ & (\WideAnd2488~0_combout\ & \led_flash_cnt[2488][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2488~1_combout\,
	datab => \led_flash_cnt[2488][0]~q\,
	datac => \WideAnd2488~0_combout\,
	datad => \led_flash_cnt[2488][7]~q\,
	combout => \WideAnd2488~combout\);

-- Location: FF_X76_Y33_N29
\led_flash_cnt_ands[2488]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2488~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2488));

-- Location: LCCOMB_X74_Y26_N2
\led_flash_cnt[2489][0]~83129\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2489][0]~83129_combout\ = !\led_flash_cnt[2489][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2489][0]~q\,
	combout => \led_flash_cnt[2489][0]~83129_combout\);

-- Location: FF_X74_Y26_N3
\led_flash_cnt[2489][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2489][0]~83129_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2489][0]~q\);

-- Location: LCCOMB_X74_Y26_N10
\led_flash_cnt[2489][1]~61726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2489][1]~61726_combout\ = (\led_flash_cnt[2489][1]~q\ & (\led_flash_cnt[2489][0]~q\ $ (VCC))) # (!\led_flash_cnt[2489][1]~q\ & (\led_flash_cnt[2489][0]~q\ & VCC))
-- \led_flash_cnt[2489][1]~61727\ = CARRY((\led_flash_cnt[2489][1]~q\ & \led_flash_cnt[2489][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2489][1]~q\,
	datab => \led_flash_cnt[2489][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2489][1]~61726_combout\,
	cout => \led_flash_cnt[2489][1]~61727\);

-- Location: FF_X74_Y26_N11
\led_flash_cnt[2489][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2489][1]~61726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2489][1]~q\);

-- Location: LCCOMB_X74_Y26_N12
\led_flash_cnt[2489][2]~61728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2489][2]~61728_combout\ = (\led_flash_cnt[2489][2]~q\ & (!\led_flash_cnt[2489][1]~61727\)) # (!\led_flash_cnt[2489][2]~q\ & ((\led_flash_cnt[2489][1]~61727\) # (GND)))
-- \led_flash_cnt[2489][2]~61729\ = CARRY((!\led_flash_cnt[2489][1]~61727\) # (!\led_flash_cnt[2489][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2489][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2489][1]~61727\,
	combout => \led_flash_cnt[2489][2]~61728_combout\,
	cout => \led_flash_cnt[2489][2]~61729\);

-- Location: FF_X74_Y26_N13
\led_flash_cnt[2489][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2489][2]~61728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2489][2]~q\);

-- Location: LCCOMB_X74_Y26_N14
\led_flash_cnt[2489][3]~61730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2489][3]~61730_combout\ = (\led_flash_cnt[2489][3]~q\ & (\led_flash_cnt[2489][2]~61729\ $ (GND))) # (!\led_flash_cnt[2489][3]~q\ & (!\led_flash_cnt[2489][2]~61729\ & VCC))
-- \led_flash_cnt[2489][3]~61731\ = CARRY((\led_flash_cnt[2489][3]~q\ & !\led_flash_cnt[2489][2]~61729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2489][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2489][2]~61729\,
	combout => \led_flash_cnt[2489][3]~61730_combout\,
	cout => \led_flash_cnt[2489][3]~61731\);

-- Location: FF_X74_Y26_N15
\led_flash_cnt[2489][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2489][3]~61730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2489][3]~q\);

-- Location: LCCOMB_X74_Y26_N16
\led_flash_cnt[2489][4]~61732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2489][4]~61732_combout\ = (\led_flash_cnt[2489][4]~q\ & (!\led_flash_cnt[2489][3]~61731\)) # (!\led_flash_cnt[2489][4]~q\ & ((\led_flash_cnt[2489][3]~61731\) # (GND)))
-- \led_flash_cnt[2489][4]~61733\ = CARRY((!\led_flash_cnt[2489][3]~61731\) # (!\led_flash_cnt[2489][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2489][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2489][3]~61731\,
	combout => \led_flash_cnt[2489][4]~61732_combout\,
	cout => \led_flash_cnt[2489][4]~61733\);

-- Location: FF_X74_Y26_N17
\led_flash_cnt[2489][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2489][4]~61732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2489][4]~q\);

-- Location: LCCOMB_X74_Y26_N18
\led_flash_cnt[2489][5]~61734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2489][5]~61734_combout\ = (\led_flash_cnt[2489][5]~q\ & (\led_flash_cnt[2489][4]~61733\ $ (GND))) # (!\led_flash_cnt[2489][5]~q\ & (!\led_flash_cnt[2489][4]~61733\ & VCC))
-- \led_flash_cnt[2489][5]~61735\ = CARRY((\led_flash_cnt[2489][5]~q\ & !\led_flash_cnt[2489][4]~61733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2489][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2489][4]~61733\,
	combout => \led_flash_cnt[2489][5]~61734_combout\,
	cout => \led_flash_cnt[2489][5]~61735\);

-- Location: FF_X74_Y26_N19
\led_flash_cnt[2489][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2489][5]~61734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2489][5]~q\);

-- Location: LCCOMB_X74_Y26_N20
\led_flash_cnt[2489][6]~61736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2489][6]~61736_combout\ = (\led_flash_cnt[2489][6]~q\ & (!\led_flash_cnt[2489][5]~61735\)) # (!\led_flash_cnt[2489][6]~q\ & ((\led_flash_cnt[2489][5]~61735\) # (GND)))
-- \led_flash_cnt[2489][6]~61737\ = CARRY((!\led_flash_cnt[2489][5]~61735\) # (!\led_flash_cnt[2489][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2489][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2489][5]~61735\,
	combout => \led_flash_cnt[2489][6]~61736_combout\,
	cout => \led_flash_cnt[2489][6]~61737\);

-- Location: FF_X74_Y26_N21
\led_flash_cnt[2489][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2489][6]~61736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2489][6]~q\);

-- Location: LCCOMB_X74_Y26_N22
\led_flash_cnt[2489][7]~61738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2489][7]~61738_combout\ = \led_flash_cnt[2489][7]~q\ $ (!\led_flash_cnt[2489][6]~61737\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2489][7]~q\,
	cin => \led_flash_cnt[2489][6]~61737\,
	combout => \led_flash_cnt[2489][7]~61738_combout\);

-- Location: FF_X74_Y26_N23
\led_flash_cnt[2489][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2489][7]~61738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2489][7]~q\);

-- Location: LCCOMB_X74_Y26_N4
\WideAnd2489~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2489~0_combout\ = (\led_flash_cnt[2489][2]~q\ & (\led_flash_cnt[2489][4]~q\ & (\led_flash_cnt[2489][3]~q\ & \led_flash_cnt[2489][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2489][2]~q\,
	datab => \led_flash_cnt[2489][4]~q\,
	datac => \led_flash_cnt[2489][3]~q\,
	datad => \led_flash_cnt[2489][1]~q\,
	combout => \WideAnd2489~0_combout\);

-- Location: LCCOMB_X74_Y26_N0
\WideAnd2489~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2489~1_combout\ = (\led_flash_cnt[2489][6]~q\ & \led_flash_cnt[2489][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2489][6]~q\,
	datad => \led_flash_cnt[2489][5]~q\,
	combout => \WideAnd2489~1_combout\);

-- Location: LCCOMB_X74_Y26_N24
WideAnd2489 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2489~combout\ = (\led_flash_cnt[2489][7]~q\ & (\led_flash_cnt[2489][0]~q\ & (\WideAnd2489~0_combout\ & \WideAnd2489~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2489][7]~q\,
	datab => \led_flash_cnt[2489][0]~q\,
	datac => \WideAnd2489~0_combout\,
	datad => \WideAnd2489~1_combout\,
	combout => \WideAnd2489~combout\);

-- Location: FF_X74_Y26_N25
\led_flash_cnt_ands[2489]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2489~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2489));

-- Location: LCCOMB_X76_Y33_N6
\led_flash_cnt[2491][0]~83131\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2491][0]~83131_combout\ = !\led_flash_cnt[2491][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2491][0]~q\,
	combout => \led_flash_cnt[2491][0]~83131_combout\);

-- Location: FF_X76_Y33_N7
\led_flash_cnt[2491][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2491][0]~83131_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2491][0]~q\);

-- Location: LCCOMB_X77_Y33_N16
\led_flash_cnt[2491][1]~61754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2491][1]~61754_combout\ = (\led_flash_cnt[2491][1]~q\ & (\led_flash_cnt[2491][0]~q\ $ (VCC))) # (!\led_flash_cnt[2491][1]~q\ & (\led_flash_cnt[2491][0]~q\ & VCC))
-- \led_flash_cnt[2491][1]~61755\ = CARRY((\led_flash_cnt[2491][1]~q\ & \led_flash_cnt[2491][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2491][1]~q\,
	datab => \led_flash_cnt[2491][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2491][1]~61754_combout\,
	cout => \led_flash_cnt[2491][1]~61755\);

-- Location: FF_X77_Y33_N17
\led_flash_cnt[2491][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2491][1]~61754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2491][1]~q\);

-- Location: LCCOMB_X77_Y33_N18
\led_flash_cnt[2491][2]~61756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2491][2]~61756_combout\ = (\led_flash_cnt[2491][2]~q\ & (!\led_flash_cnt[2491][1]~61755\)) # (!\led_flash_cnt[2491][2]~q\ & ((\led_flash_cnt[2491][1]~61755\) # (GND)))
-- \led_flash_cnt[2491][2]~61757\ = CARRY((!\led_flash_cnt[2491][1]~61755\) # (!\led_flash_cnt[2491][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2491][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2491][1]~61755\,
	combout => \led_flash_cnt[2491][2]~61756_combout\,
	cout => \led_flash_cnt[2491][2]~61757\);

-- Location: FF_X77_Y33_N19
\led_flash_cnt[2491][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2491][2]~61756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2491][2]~q\);

-- Location: LCCOMB_X77_Y33_N20
\led_flash_cnt[2491][3]~61758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2491][3]~61758_combout\ = (\led_flash_cnt[2491][3]~q\ & (\led_flash_cnt[2491][2]~61757\ $ (GND))) # (!\led_flash_cnt[2491][3]~q\ & (!\led_flash_cnt[2491][2]~61757\ & VCC))
-- \led_flash_cnt[2491][3]~61759\ = CARRY((\led_flash_cnt[2491][3]~q\ & !\led_flash_cnt[2491][2]~61757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2491][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2491][2]~61757\,
	combout => \led_flash_cnt[2491][3]~61758_combout\,
	cout => \led_flash_cnt[2491][3]~61759\);

-- Location: FF_X77_Y33_N21
\led_flash_cnt[2491][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2491][3]~61758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2491][3]~q\);

-- Location: LCCOMB_X77_Y33_N22
\led_flash_cnt[2491][4]~61760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2491][4]~61760_combout\ = (\led_flash_cnt[2491][4]~q\ & (!\led_flash_cnt[2491][3]~61759\)) # (!\led_flash_cnt[2491][4]~q\ & ((\led_flash_cnt[2491][3]~61759\) # (GND)))
-- \led_flash_cnt[2491][4]~61761\ = CARRY((!\led_flash_cnt[2491][3]~61759\) # (!\led_flash_cnt[2491][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2491][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2491][3]~61759\,
	combout => \led_flash_cnt[2491][4]~61760_combout\,
	cout => \led_flash_cnt[2491][4]~61761\);

-- Location: FF_X77_Y33_N23
\led_flash_cnt[2491][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2491][4]~61760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2491][4]~q\);

-- Location: LCCOMB_X76_Y33_N26
\WideAnd2491~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2491~0_combout\ = (\led_flash_cnt[2491][4]~q\ & (\led_flash_cnt[2491][2]~q\ & (\led_flash_cnt[2491][3]~q\ & \led_flash_cnt[2491][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2491][4]~q\,
	datab => \led_flash_cnt[2491][2]~q\,
	datac => \led_flash_cnt[2491][3]~q\,
	datad => \led_flash_cnt[2491][1]~q\,
	combout => \WideAnd2491~0_combout\);

-- Location: LCCOMB_X77_Y33_N24
\led_flash_cnt[2491][5]~61762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2491][5]~61762_combout\ = (\led_flash_cnt[2491][5]~q\ & (\led_flash_cnt[2491][4]~61761\ $ (GND))) # (!\led_flash_cnt[2491][5]~q\ & (!\led_flash_cnt[2491][4]~61761\ & VCC))
-- \led_flash_cnt[2491][5]~61763\ = CARRY((\led_flash_cnt[2491][5]~q\ & !\led_flash_cnt[2491][4]~61761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2491][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2491][4]~61761\,
	combout => \led_flash_cnt[2491][5]~61762_combout\,
	cout => \led_flash_cnt[2491][5]~61763\);

-- Location: FF_X77_Y33_N25
\led_flash_cnt[2491][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2491][5]~61762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2491][5]~q\);

-- Location: LCCOMB_X77_Y33_N26
\led_flash_cnt[2491][6]~61764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2491][6]~61764_combout\ = (\led_flash_cnt[2491][6]~q\ & (!\led_flash_cnt[2491][5]~61763\)) # (!\led_flash_cnt[2491][6]~q\ & ((\led_flash_cnt[2491][5]~61763\) # (GND)))
-- \led_flash_cnt[2491][6]~61765\ = CARRY((!\led_flash_cnt[2491][5]~61763\) # (!\led_flash_cnt[2491][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2491][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2491][5]~61763\,
	combout => \led_flash_cnt[2491][6]~61764_combout\,
	cout => \led_flash_cnt[2491][6]~61765\);

-- Location: FF_X77_Y33_N27
\led_flash_cnt[2491][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2491][6]~61764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2491][6]~q\);

-- Location: LCCOMB_X77_Y33_N28
\led_flash_cnt[2491][7]~61766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2491][7]~61766_combout\ = \led_flash_cnt[2491][6]~61765\ $ (!\led_flash_cnt[2491][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2491][7]~q\,
	cin => \led_flash_cnt[2491][6]~61765\,
	combout => \led_flash_cnt[2491][7]~61766_combout\);

-- Location: FF_X77_Y33_N29
\led_flash_cnt[2491][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2491][7]~61766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2491][7]~q\);

-- Location: LCCOMB_X76_Y33_N4
\WideAnd2491~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2491~1_combout\ = (\led_flash_cnt[2491][6]~q\ & \led_flash_cnt[2491][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2491][6]~q\,
	datad => \led_flash_cnt[2491][5]~q\,
	combout => \WideAnd2491~1_combout\);

-- Location: LCCOMB_X76_Y33_N2
WideAnd2491 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2491~combout\ = (\WideAnd2491~0_combout\ & (\led_flash_cnt[2491][7]~q\ & (\WideAnd2491~1_combout\ & \led_flash_cnt[2491][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2491~0_combout\,
	datab => \led_flash_cnt[2491][7]~q\,
	datac => \WideAnd2491~1_combout\,
	datad => \led_flash_cnt[2491][0]~q\,
	combout => \WideAnd2491~combout\);

-- Location: FF_X76_Y33_N3
\led_flash_cnt_ands[2491]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2491~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2491));

-- Location: LCCOMB_X75_Y33_N16
\WideAnd4151~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4151~0_combout\ = (led_flash_cnt_ands(2490) & (led_flash_cnt_ands(2488) & (led_flash_cnt_ands(2489) & led_flash_cnt_ands(2491))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2490),
	datab => led_flash_cnt_ands(2488),
	datac => led_flash_cnt_ands(2489),
	datad => led_flash_cnt_ands(2491),
	combout => \WideAnd4151~0_combout\);

-- Location: LCCOMB_X66_Y19_N6
\led_flash_cnt[2493][0]~83133\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2493][0]~83133_combout\ = !\led_flash_cnt[2493][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2493][0]~q\,
	combout => \led_flash_cnt[2493][0]~83133_combout\);

-- Location: FF_X66_Y19_N7
\led_flash_cnt[2493][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2493][0]~83133_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2493][0]~q\);

-- Location: LCCOMB_X66_Y19_N8
\led_flash_cnt[2493][1]~61782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2493][1]~61782_combout\ = (\led_flash_cnt[2493][0]~q\ & (\led_flash_cnt[2493][1]~q\ $ (VCC))) # (!\led_flash_cnt[2493][0]~q\ & (\led_flash_cnt[2493][1]~q\ & VCC))
-- \led_flash_cnt[2493][1]~61783\ = CARRY((\led_flash_cnt[2493][0]~q\ & \led_flash_cnt[2493][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2493][0]~q\,
	datab => \led_flash_cnt[2493][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2493][1]~61782_combout\,
	cout => \led_flash_cnt[2493][1]~61783\);

-- Location: FF_X66_Y19_N9
\led_flash_cnt[2493][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2493][1]~61782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2493][1]~q\);

-- Location: LCCOMB_X66_Y19_N10
\led_flash_cnt[2493][2]~61784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2493][2]~61784_combout\ = (\led_flash_cnt[2493][2]~q\ & (!\led_flash_cnt[2493][1]~61783\)) # (!\led_flash_cnt[2493][2]~q\ & ((\led_flash_cnt[2493][1]~61783\) # (GND)))
-- \led_flash_cnt[2493][2]~61785\ = CARRY((!\led_flash_cnt[2493][1]~61783\) # (!\led_flash_cnt[2493][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2493][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2493][1]~61783\,
	combout => \led_flash_cnt[2493][2]~61784_combout\,
	cout => \led_flash_cnt[2493][2]~61785\);

-- Location: FF_X66_Y19_N11
\led_flash_cnt[2493][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2493][2]~61784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2493][2]~q\);

-- Location: LCCOMB_X66_Y19_N12
\led_flash_cnt[2493][3]~61786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2493][3]~61786_combout\ = (\led_flash_cnt[2493][3]~q\ & (\led_flash_cnt[2493][2]~61785\ $ (GND))) # (!\led_flash_cnt[2493][3]~q\ & (!\led_flash_cnt[2493][2]~61785\ & VCC))
-- \led_flash_cnt[2493][3]~61787\ = CARRY((\led_flash_cnt[2493][3]~q\ & !\led_flash_cnt[2493][2]~61785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2493][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2493][2]~61785\,
	combout => \led_flash_cnt[2493][3]~61786_combout\,
	cout => \led_flash_cnt[2493][3]~61787\);

-- Location: FF_X66_Y19_N13
\led_flash_cnt[2493][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2493][3]~61786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2493][3]~q\);

-- Location: LCCOMB_X66_Y19_N14
\led_flash_cnt[2493][4]~61788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2493][4]~61788_combout\ = (\led_flash_cnt[2493][4]~q\ & (!\led_flash_cnt[2493][3]~61787\)) # (!\led_flash_cnt[2493][4]~q\ & ((\led_flash_cnt[2493][3]~61787\) # (GND)))
-- \led_flash_cnt[2493][4]~61789\ = CARRY((!\led_flash_cnt[2493][3]~61787\) # (!\led_flash_cnt[2493][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2493][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2493][3]~61787\,
	combout => \led_flash_cnt[2493][4]~61788_combout\,
	cout => \led_flash_cnt[2493][4]~61789\);

-- Location: FF_X66_Y19_N15
\led_flash_cnt[2493][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2493][4]~61788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2493][4]~q\);

-- Location: LCCOMB_X66_Y19_N16
\led_flash_cnt[2493][5]~61790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2493][5]~61790_combout\ = (\led_flash_cnt[2493][5]~q\ & (\led_flash_cnt[2493][4]~61789\ $ (GND))) # (!\led_flash_cnt[2493][5]~q\ & (!\led_flash_cnt[2493][4]~61789\ & VCC))
-- \led_flash_cnt[2493][5]~61791\ = CARRY((\led_flash_cnt[2493][5]~q\ & !\led_flash_cnt[2493][4]~61789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2493][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2493][4]~61789\,
	combout => \led_flash_cnt[2493][5]~61790_combout\,
	cout => \led_flash_cnt[2493][5]~61791\);

-- Location: FF_X66_Y19_N17
\led_flash_cnt[2493][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2493][5]~61790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2493][5]~q\);

-- Location: LCCOMB_X66_Y19_N18
\led_flash_cnt[2493][6]~61792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2493][6]~61792_combout\ = (\led_flash_cnt[2493][6]~q\ & (!\led_flash_cnt[2493][5]~61791\)) # (!\led_flash_cnt[2493][6]~q\ & ((\led_flash_cnt[2493][5]~61791\) # (GND)))
-- \led_flash_cnt[2493][6]~61793\ = CARRY((!\led_flash_cnt[2493][5]~61791\) # (!\led_flash_cnt[2493][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2493][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2493][5]~61791\,
	combout => \led_flash_cnt[2493][6]~61792_combout\,
	cout => \led_flash_cnt[2493][6]~61793\);

-- Location: FF_X66_Y19_N19
\led_flash_cnt[2493][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2493][6]~61792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2493][6]~q\);

-- Location: LCCOMB_X66_Y19_N20
\led_flash_cnt[2493][7]~61794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2493][7]~61794_combout\ = \led_flash_cnt[2493][6]~61793\ $ (!\led_flash_cnt[2493][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2493][7]~q\,
	cin => \led_flash_cnt[2493][6]~61793\,
	combout => \led_flash_cnt[2493][7]~61794_combout\);

-- Location: FF_X66_Y19_N21
\led_flash_cnt[2493][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2493][7]~61794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2493][7]~q\);

-- Location: LCCOMB_X66_Y19_N22
\WideAnd2493~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2493~1_combout\ = (\led_flash_cnt[2493][6]~q\ & \led_flash_cnt[2493][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2493][6]~q\,
	datad => \led_flash_cnt[2493][5]~q\,
	combout => \WideAnd2493~1_combout\);

-- Location: LCCOMB_X66_Y19_N28
\WideAnd2493~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2493~0_combout\ = (\led_flash_cnt[2493][3]~q\ & (\led_flash_cnt[2493][1]~q\ & (\led_flash_cnt[2493][4]~q\ & \led_flash_cnt[2493][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2493][3]~q\,
	datab => \led_flash_cnt[2493][1]~q\,
	datac => \led_flash_cnt[2493][4]~q\,
	datad => \led_flash_cnt[2493][2]~q\,
	combout => \WideAnd2493~0_combout\);

-- Location: LCCOMB_X66_Y19_N30
WideAnd2493 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2493~combout\ = (\led_flash_cnt[2493][0]~q\ & (\led_flash_cnt[2493][7]~q\ & (\WideAnd2493~1_combout\ & \WideAnd2493~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2493][0]~q\,
	datab => \led_flash_cnt[2493][7]~q\,
	datac => \WideAnd2493~1_combout\,
	datad => \WideAnd2493~0_combout\,
	combout => \WideAnd2493~combout\);

-- Location: FF_X66_Y19_N31
\led_flash_cnt_ands[2493]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2493~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2493));

-- Location: LCCOMB_X66_Y19_N2
\led_flash_cnt[2492][0]~83132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2492][0]~83132_combout\ = !\led_flash_cnt[2492][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2492][0]~q\,
	combout => \led_flash_cnt[2492][0]~83132_combout\);

-- Location: FF_X66_Y19_N3
\led_flash_cnt[2492][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2492][0]~83132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2492][0]~q\);

-- Location: LCCOMB_X65_Y19_N16
\led_flash_cnt[2492][1]~61768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2492][1]~61768_combout\ = (\led_flash_cnt[2492][0]~q\ & (\led_flash_cnt[2492][1]~q\ $ (VCC))) # (!\led_flash_cnt[2492][0]~q\ & (\led_flash_cnt[2492][1]~q\ & VCC))
-- \led_flash_cnt[2492][1]~61769\ = CARRY((\led_flash_cnt[2492][0]~q\ & \led_flash_cnt[2492][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2492][0]~q\,
	datab => \led_flash_cnt[2492][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2492][1]~61768_combout\,
	cout => \led_flash_cnt[2492][1]~61769\);

-- Location: FF_X65_Y19_N17
\led_flash_cnt[2492][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2492][1]~61768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2492][1]~q\);

-- Location: LCCOMB_X65_Y19_N18
\led_flash_cnt[2492][2]~61770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2492][2]~61770_combout\ = (\led_flash_cnt[2492][2]~q\ & (!\led_flash_cnt[2492][1]~61769\)) # (!\led_flash_cnt[2492][2]~q\ & ((\led_flash_cnt[2492][1]~61769\) # (GND)))
-- \led_flash_cnt[2492][2]~61771\ = CARRY((!\led_flash_cnt[2492][1]~61769\) # (!\led_flash_cnt[2492][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2492][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2492][1]~61769\,
	combout => \led_flash_cnt[2492][2]~61770_combout\,
	cout => \led_flash_cnt[2492][2]~61771\);

-- Location: FF_X65_Y19_N19
\led_flash_cnt[2492][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2492][2]~61770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2492][2]~q\);

-- Location: LCCOMB_X65_Y19_N20
\led_flash_cnt[2492][3]~61772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2492][3]~61772_combout\ = (\led_flash_cnt[2492][3]~q\ & (\led_flash_cnt[2492][2]~61771\ $ (GND))) # (!\led_flash_cnt[2492][3]~q\ & (!\led_flash_cnt[2492][2]~61771\ & VCC))
-- \led_flash_cnt[2492][3]~61773\ = CARRY((\led_flash_cnt[2492][3]~q\ & !\led_flash_cnt[2492][2]~61771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2492][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2492][2]~61771\,
	combout => \led_flash_cnt[2492][3]~61772_combout\,
	cout => \led_flash_cnt[2492][3]~61773\);

-- Location: FF_X65_Y19_N21
\led_flash_cnt[2492][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2492][3]~61772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2492][3]~q\);

-- Location: LCCOMB_X65_Y19_N22
\led_flash_cnt[2492][4]~61774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2492][4]~61774_combout\ = (\led_flash_cnt[2492][4]~q\ & (!\led_flash_cnt[2492][3]~61773\)) # (!\led_flash_cnt[2492][4]~q\ & ((\led_flash_cnt[2492][3]~61773\) # (GND)))
-- \led_flash_cnt[2492][4]~61775\ = CARRY((!\led_flash_cnt[2492][3]~61773\) # (!\led_flash_cnt[2492][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2492][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2492][3]~61773\,
	combout => \led_flash_cnt[2492][4]~61774_combout\,
	cout => \led_flash_cnt[2492][4]~61775\);

-- Location: FF_X65_Y19_N23
\led_flash_cnt[2492][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2492][4]~61774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2492][4]~q\);

-- Location: LCCOMB_X65_Y19_N14
\WideAnd2492~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2492~0_combout\ = (\led_flash_cnt[2492][2]~q\ & (\led_flash_cnt[2492][3]~q\ & (\led_flash_cnt[2492][4]~q\ & \led_flash_cnt[2492][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2492][2]~q\,
	datab => \led_flash_cnt[2492][3]~q\,
	datac => \led_flash_cnt[2492][4]~q\,
	datad => \led_flash_cnt[2492][1]~q\,
	combout => \WideAnd2492~0_combout\);

-- Location: LCCOMB_X65_Y19_N24
\led_flash_cnt[2492][5]~61776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2492][5]~61776_combout\ = (\led_flash_cnt[2492][5]~q\ & (\led_flash_cnt[2492][4]~61775\ $ (GND))) # (!\led_flash_cnt[2492][5]~q\ & (!\led_flash_cnt[2492][4]~61775\ & VCC))
-- \led_flash_cnt[2492][5]~61777\ = CARRY((\led_flash_cnt[2492][5]~q\ & !\led_flash_cnt[2492][4]~61775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2492][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2492][4]~61775\,
	combout => \led_flash_cnt[2492][5]~61776_combout\,
	cout => \led_flash_cnt[2492][5]~61777\);

-- Location: FF_X65_Y19_N25
\led_flash_cnt[2492][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2492][5]~61776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2492][5]~q\);

-- Location: LCCOMB_X65_Y19_N26
\led_flash_cnt[2492][6]~61778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2492][6]~61778_combout\ = (\led_flash_cnt[2492][6]~q\ & (!\led_flash_cnt[2492][5]~61777\)) # (!\led_flash_cnt[2492][6]~q\ & ((\led_flash_cnt[2492][5]~61777\) # (GND)))
-- \led_flash_cnt[2492][6]~61779\ = CARRY((!\led_flash_cnt[2492][5]~61777\) # (!\led_flash_cnt[2492][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2492][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2492][5]~61777\,
	combout => \led_flash_cnt[2492][6]~61778_combout\,
	cout => \led_flash_cnt[2492][6]~61779\);

-- Location: FF_X65_Y19_N27
\led_flash_cnt[2492][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2492][6]~61778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2492][6]~q\);

-- Location: LCCOMB_X65_Y19_N28
\led_flash_cnt[2492][7]~61780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2492][7]~61780_combout\ = \led_flash_cnt[2492][6]~61779\ $ (!\led_flash_cnt[2492][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2492][7]~q\,
	cin => \led_flash_cnt[2492][6]~61779\,
	combout => \led_flash_cnt[2492][7]~61780_combout\);

-- Location: FF_X65_Y19_N29
\led_flash_cnt[2492][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2492][7]~61780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2492][7]~q\);

-- Location: LCCOMB_X66_Y19_N26
\WideAnd2492~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2492~1_combout\ = (\led_flash_cnt[2492][6]~q\ & \led_flash_cnt[2492][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2492][6]~q\,
	datad => \led_flash_cnt[2492][5]~q\,
	combout => \WideAnd2492~1_combout\);

-- Location: LCCOMB_X66_Y19_N24
WideAnd2492 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2492~combout\ = (\WideAnd2492~0_combout\ & (\led_flash_cnt[2492][7]~q\ & (\WideAnd2492~1_combout\ & \led_flash_cnt[2492][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2492~0_combout\,
	datab => \led_flash_cnt[2492][7]~q\,
	datac => \WideAnd2492~1_combout\,
	datad => \led_flash_cnt[2492][0]~q\,
	combout => \WideAnd2492~combout\);

-- Location: FF_X66_Y19_N25
\led_flash_cnt_ands[2492]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2492~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2492));

-- Location: LCCOMB_X66_Y19_N4
\WideAnd4151~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4151~1_combout\ = (led_flash_cnt_ands(2493) & led_flash_cnt_ands(2492))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2493),
	datad => led_flash_cnt_ands(2492),
	combout => \WideAnd4151~1_combout\);

-- Location: LCCOMB_X75_Y21_N6
\led_flash_cnt[2495][0]~83135\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2495][0]~83135_combout\ = !\led_flash_cnt[2495][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2495][0]~q\,
	combout => \led_flash_cnt[2495][0]~83135_combout\);

-- Location: FF_X75_Y21_N7
\led_flash_cnt[2495][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2495][0]~83135_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2495][0]~q\);

-- Location: LCCOMB_X76_Y21_N18
\led_flash_cnt[2495][1]~61810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2495][1]~61810_combout\ = (\led_flash_cnt[2495][0]~q\ & (\led_flash_cnt[2495][1]~q\ $ (VCC))) # (!\led_flash_cnt[2495][0]~q\ & (\led_flash_cnt[2495][1]~q\ & VCC))
-- \led_flash_cnt[2495][1]~61811\ = CARRY((\led_flash_cnt[2495][0]~q\ & \led_flash_cnt[2495][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2495][0]~q\,
	datab => \led_flash_cnt[2495][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2495][1]~61810_combout\,
	cout => \led_flash_cnt[2495][1]~61811\);

-- Location: FF_X76_Y21_N19
\led_flash_cnt[2495][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2495][1]~61810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2495][1]~q\);

-- Location: LCCOMB_X76_Y21_N20
\led_flash_cnt[2495][2]~61812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2495][2]~61812_combout\ = (\led_flash_cnt[2495][2]~q\ & (!\led_flash_cnt[2495][1]~61811\)) # (!\led_flash_cnt[2495][2]~q\ & ((\led_flash_cnt[2495][1]~61811\) # (GND)))
-- \led_flash_cnt[2495][2]~61813\ = CARRY((!\led_flash_cnt[2495][1]~61811\) # (!\led_flash_cnt[2495][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2495][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2495][1]~61811\,
	combout => \led_flash_cnt[2495][2]~61812_combout\,
	cout => \led_flash_cnt[2495][2]~61813\);

-- Location: FF_X76_Y21_N21
\led_flash_cnt[2495][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2495][2]~61812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2495][2]~q\);

-- Location: LCCOMB_X76_Y21_N22
\led_flash_cnt[2495][3]~61814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2495][3]~61814_combout\ = (\led_flash_cnt[2495][3]~q\ & (\led_flash_cnt[2495][2]~61813\ $ (GND))) # (!\led_flash_cnt[2495][3]~q\ & (!\led_flash_cnt[2495][2]~61813\ & VCC))
-- \led_flash_cnt[2495][3]~61815\ = CARRY((\led_flash_cnt[2495][3]~q\ & !\led_flash_cnt[2495][2]~61813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2495][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2495][2]~61813\,
	combout => \led_flash_cnt[2495][3]~61814_combout\,
	cout => \led_flash_cnt[2495][3]~61815\);

-- Location: FF_X76_Y21_N23
\led_flash_cnt[2495][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2495][3]~61814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2495][3]~q\);

-- Location: LCCOMB_X76_Y21_N24
\led_flash_cnt[2495][4]~61816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2495][4]~61816_combout\ = (\led_flash_cnt[2495][4]~q\ & (!\led_flash_cnt[2495][3]~61815\)) # (!\led_flash_cnt[2495][4]~q\ & ((\led_flash_cnt[2495][3]~61815\) # (GND)))
-- \led_flash_cnt[2495][4]~61817\ = CARRY((!\led_flash_cnt[2495][3]~61815\) # (!\led_flash_cnt[2495][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2495][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2495][3]~61815\,
	combout => \led_flash_cnt[2495][4]~61816_combout\,
	cout => \led_flash_cnt[2495][4]~61817\);

-- Location: FF_X76_Y21_N25
\led_flash_cnt[2495][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2495][4]~61816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2495][4]~q\);

-- Location: LCCOMB_X76_Y21_N26
\led_flash_cnt[2495][5]~61818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2495][5]~61818_combout\ = (\led_flash_cnt[2495][5]~q\ & (\led_flash_cnt[2495][4]~61817\ $ (GND))) # (!\led_flash_cnt[2495][5]~q\ & (!\led_flash_cnt[2495][4]~61817\ & VCC))
-- \led_flash_cnt[2495][5]~61819\ = CARRY((\led_flash_cnt[2495][5]~q\ & !\led_flash_cnt[2495][4]~61817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2495][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2495][4]~61817\,
	combout => \led_flash_cnt[2495][5]~61818_combout\,
	cout => \led_flash_cnt[2495][5]~61819\);

-- Location: FF_X76_Y21_N27
\led_flash_cnt[2495][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2495][5]~61818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2495][5]~q\);

-- Location: LCCOMB_X76_Y21_N28
\led_flash_cnt[2495][6]~61820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2495][6]~61820_combout\ = (\led_flash_cnt[2495][6]~q\ & (!\led_flash_cnt[2495][5]~61819\)) # (!\led_flash_cnt[2495][6]~q\ & ((\led_flash_cnt[2495][5]~61819\) # (GND)))
-- \led_flash_cnt[2495][6]~61821\ = CARRY((!\led_flash_cnt[2495][5]~61819\) # (!\led_flash_cnt[2495][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2495][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2495][5]~61819\,
	combout => \led_flash_cnt[2495][6]~61820_combout\,
	cout => \led_flash_cnt[2495][6]~61821\);

-- Location: FF_X76_Y21_N29
\led_flash_cnt[2495][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2495][6]~61820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2495][6]~q\);

-- Location: LCCOMB_X75_Y21_N22
\WideAnd2495~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2495~1_combout\ = (\led_flash_cnt[2495][6]~q\ & \led_flash_cnt[2495][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2495][6]~q\,
	datad => \led_flash_cnt[2495][5]~q\,
	combout => \WideAnd2495~1_combout\);

-- Location: LCCOMB_X76_Y21_N16
\WideAnd2495~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2495~0_combout\ = (\led_flash_cnt[2495][4]~q\ & (\led_flash_cnt[2495][2]~q\ & (\led_flash_cnt[2495][3]~q\ & \led_flash_cnt[2495][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2495][4]~q\,
	datab => \led_flash_cnt[2495][2]~q\,
	datac => \led_flash_cnt[2495][3]~q\,
	datad => \led_flash_cnt[2495][1]~q\,
	combout => \WideAnd2495~0_combout\);

-- Location: LCCOMB_X76_Y21_N30
\led_flash_cnt[2495][7]~61822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2495][7]~61822_combout\ = \led_flash_cnt[2495][7]~q\ $ (!\led_flash_cnt[2495][6]~61821\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2495][7]~q\,
	cin => \led_flash_cnt[2495][6]~61821\,
	combout => \led_flash_cnt[2495][7]~61822_combout\);

-- Location: FF_X76_Y21_N31
\led_flash_cnt[2495][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2495][7]~61822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2495][7]~q\);

-- Location: LCCOMB_X75_Y21_N28
WideAnd2495 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2495~combout\ = (\WideAnd2495~1_combout\ & (\WideAnd2495~0_combout\ & (\led_flash_cnt[2495][7]~q\ & \led_flash_cnt[2495][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2495~1_combout\,
	datab => \WideAnd2495~0_combout\,
	datac => \led_flash_cnt[2495][7]~q\,
	datad => \led_flash_cnt[2495][0]~q\,
	combout => \WideAnd2495~combout\);

-- Location: FF_X75_Y21_N29
\led_flash_cnt_ands[2495]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2495~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2495));

-- Location: LCCOMB_X74_Y21_N30
WideAnd4151 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4151~combout\ = (led_flash_cnt_ands(2494) & (\WideAnd4151~0_combout\ & (\WideAnd4151~1_combout\ & led_flash_cnt_ands(2495))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2494),
	datab => \WideAnd4151~0_combout\,
	datac => \WideAnd4151~1_combout\,
	datad => led_flash_cnt_ands(2495),
	combout => \WideAnd4151~combout\);

-- Location: FF_X74_Y21_N31
\led_flash_cnt_ands_1[311]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4151~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(311));

-- Location: LCCOMB_X58_Y17_N2
\led_flash_cnt[2439][0]~83079\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2439][0]~83079_combout\ = !\led_flash_cnt[2439][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2439][0]~q\,
	combout => \led_flash_cnt[2439][0]~83079_combout\);

-- Location: FF_X58_Y17_N3
\led_flash_cnt[2439][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2439][0]~83079_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2439][0]~q\);

-- Location: LCCOMB_X57_Y17_N0
\led_flash_cnt[2439][1]~61026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2439][1]~61026_combout\ = (\led_flash_cnt[2439][0]~q\ & (\led_flash_cnt[2439][1]~q\ $ (VCC))) # (!\led_flash_cnt[2439][0]~q\ & (\led_flash_cnt[2439][1]~q\ & VCC))
-- \led_flash_cnt[2439][1]~61027\ = CARRY((\led_flash_cnt[2439][0]~q\ & \led_flash_cnt[2439][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2439][0]~q\,
	datab => \led_flash_cnt[2439][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2439][1]~61026_combout\,
	cout => \led_flash_cnt[2439][1]~61027\);

-- Location: FF_X57_Y17_N1
\led_flash_cnt[2439][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2439][1]~61026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2439][1]~q\);

-- Location: LCCOMB_X57_Y17_N2
\led_flash_cnt[2439][2]~61028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2439][2]~61028_combout\ = (\led_flash_cnt[2439][2]~q\ & (!\led_flash_cnt[2439][1]~61027\)) # (!\led_flash_cnt[2439][2]~q\ & ((\led_flash_cnt[2439][1]~61027\) # (GND)))
-- \led_flash_cnt[2439][2]~61029\ = CARRY((!\led_flash_cnt[2439][1]~61027\) # (!\led_flash_cnt[2439][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2439][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2439][1]~61027\,
	combout => \led_flash_cnt[2439][2]~61028_combout\,
	cout => \led_flash_cnt[2439][2]~61029\);

-- Location: FF_X57_Y17_N3
\led_flash_cnt[2439][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2439][2]~61028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2439][2]~q\);

-- Location: LCCOMB_X57_Y17_N4
\led_flash_cnt[2439][3]~61030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2439][3]~61030_combout\ = (\led_flash_cnt[2439][3]~q\ & (\led_flash_cnt[2439][2]~61029\ $ (GND))) # (!\led_flash_cnt[2439][3]~q\ & (!\led_flash_cnt[2439][2]~61029\ & VCC))
-- \led_flash_cnt[2439][3]~61031\ = CARRY((\led_flash_cnt[2439][3]~q\ & !\led_flash_cnt[2439][2]~61029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2439][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2439][2]~61029\,
	combout => \led_flash_cnt[2439][3]~61030_combout\,
	cout => \led_flash_cnt[2439][3]~61031\);

-- Location: FF_X57_Y17_N5
\led_flash_cnt[2439][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2439][3]~61030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2439][3]~q\);

-- Location: LCCOMB_X57_Y17_N6
\led_flash_cnt[2439][4]~61032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2439][4]~61032_combout\ = (\led_flash_cnt[2439][4]~q\ & (!\led_flash_cnt[2439][3]~61031\)) # (!\led_flash_cnt[2439][4]~q\ & ((\led_flash_cnt[2439][3]~61031\) # (GND)))
-- \led_flash_cnt[2439][4]~61033\ = CARRY((!\led_flash_cnt[2439][3]~61031\) # (!\led_flash_cnt[2439][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2439][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2439][3]~61031\,
	combout => \led_flash_cnt[2439][4]~61032_combout\,
	cout => \led_flash_cnt[2439][4]~61033\);

-- Location: FF_X57_Y17_N7
\led_flash_cnt[2439][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2439][4]~61032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2439][4]~q\);

-- Location: LCCOMB_X57_Y17_N8
\led_flash_cnt[2439][5]~61034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2439][5]~61034_combout\ = (\led_flash_cnt[2439][5]~q\ & (\led_flash_cnt[2439][4]~61033\ $ (GND))) # (!\led_flash_cnt[2439][5]~q\ & (!\led_flash_cnt[2439][4]~61033\ & VCC))
-- \led_flash_cnt[2439][5]~61035\ = CARRY((\led_flash_cnt[2439][5]~q\ & !\led_flash_cnt[2439][4]~61033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2439][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2439][4]~61033\,
	combout => \led_flash_cnt[2439][5]~61034_combout\,
	cout => \led_flash_cnt[2439][5]~61035\);

-- Location: FF_X57_Y17_N9
\led_flash_cnt[2439][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2439][5]~61034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2439][5]~q\);

-- Location: LCCOMB_X57_Y17_N10
\led_flash_cnt[2439][6]~61036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2439][6]~61036_combout\ = (\led_flash_cnt[2439][6]~q\ & (!\led_flash_cnt[2439][5]~61035\)) # (!\led_flash_cnt[2439][6]~q\ & ((\led_flash_cnt[2439][5]~61035\) # (GND)))
-- \led_flash_cnt[2439][6]~61037\ = CARRY((!\led_flash_cnt[2439][5]~61035\) # (!\led_flash_cnt[2439][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2439][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2439][5]~61035\,
	combout => \led_flash_cnt[2439][6]~61036_combout\,
	cout => \led_flash_cnt[2439][6]~61037\);

-- Location: FF_X57_Y17_N11
\led_flash_cnt[2439][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2439][6]~61036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2439][6]~q\);

-- Location: LCCOMB_X57_Y17_N12
\led_flash_cnt[2439][7]~61038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2439][7]~61038_combout\ = \led_flash_cnt[2439][6]~61037\ $ (!\led_flash_cnt[2439][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2439][7]~q\,
	cin => \led_flash_cnt[2439][6]~61037\,
	combout => \led_flash_cnt[2439][7]~61038_combout\);

-- Location: FF_X57_Y17_N13
\led_flash_cnt[2439][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2439][7]~61038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2439][7]~q\);

-- Location: LCCOMB_X58_Y17_N4
\WideAnd2439~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2439~1_combout\ = (\led_flash_cnt[2439][6]~q\ & \led_flash_cnt[2439][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2439][6]~q\,
	datad => \led_flash_cnt[2439][5]~q\,
	combout => \WideAnd2439~1_combout\);

-- Location: LCCOMB_X57_Y17_N14
\WideAnd2439~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2439~0_combout\ = (\led_flash_cnt[2439][4]~q\ & (\led_flash_cnt[2439][1]~q\ & (\led_flash_cnt[2439][3]~q\ & \led_flash_cnt[2439][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2439][4]~q\,
	datab => \led_flash_cnt[2439][1]~q\,
	datac => \led_flash_cnt[2439][3]~q\,
	datad => \led_flash_cnt[2439][2]~q\,
	combout => \WideAnd2439~0_combout\);

-- Location: LCCOMB_X58_Y17_N16
WideAnd2439 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2439~combout\ = (\led_flash_cnt[2439][7]~q\ & (\led_flash_cnt[2439][0]~q\ & (\WideAnd2439~1_combout\ & \WideAnd2439~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2439][7]~q\,
	datab => \led_flash_cnt[2439][0]~q\,
	datac => \WideAnd2439~1_combout\,
	datad => \WideAnd2439~0_combout\,
	combout => \WideAnd2439~combout\);

-- Location: FF_X58_Y17_N17
\led_flash_cnt_ands[2439]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2439~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2439));

-- Location: LCCOMB_X58_Y17_N12
\led_flash_cnt[2438][0]~83078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2438][0]~83078_combout\ = !\led_flash_cnt[2438][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2438][0]~q\,
	combout => \led_flash_cnt[2438][0]~83078_combout\);

-- Location: FF_X58_Y17_N13
\led_flash_cnt[2438][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2438][0]~83078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2438][0]~q\);

-- Location: LCCOMB_X58_Y17_N18
\led_flash_cnt[2438][1]~61012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2438][1]~61012_combout\ = (\led_flash_cnt[2438][0]~q\ & (\led_flash_cnt[2438][1]~q\ $ (VCC))) # (!\led_flash_cnt[2438][0]~q\ & (\led_flash_cnt[2438][1]~q\ & VCC))
-- \led_flash_cnt[2438][1]~61013\ = CARRY((\led_flash_cnt[2438][0]~q\ & \led_flash_cnt[2438][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2438][0]~q\,
	datab => \led_flash_cnt[2438][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2438][1]~61012_combout\,
	cout => \led_flash_cnt[2438][1]~61013\);

-- Location: FF_X58_Y17_N19
\led_flash_cnt[2438][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2438][1]~61012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2438][1]~q\);

-- Location: LCCOMB_X58_Y17_N20
\led_flash_cnt[2438][2]~61014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2438][2]~61014_combout\ = (\led_flash_cnt[2438][2]~q\ & (!\led_flash_cnt[2438][1]~61013\)) # (!\led_flash_cnt[2438][2]~q\ & ((\led_flash_cnt[2438][1]~61013\) # (GND)))
-- \led_flash_cnt[2438][2]~61015\ = CARRY((!\led_flash_cnt[2438][1]~61013\) # (!\led_flash_cnt[2438][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2438][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2438][1]~61013\,
	combout => \led_flash_cnt[2438][2]~61014_combout\,
	cout => \led_flash_cnt[2438][2]~61015\);

-- Location: FF_X58_Y17_N21
\led_flash_cnt[2438][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2438][2]~61014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2438][2]~q\);

-- Location: LCCOMB_X58_Y17_N22
\led_flash_cnt[2438][3]~61016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2438][3]~61016_combout\ = (\led_flash_cnt[2438][3]~q\ & (\led_flash_cnt[2438][2]~61015\ $ (GND))) # (!\led_flash_cnt[2438][3]~q\ & (!\led_flash_cnt[2438][2]~61015\ & VCC))
-- \led_flash_cnt[2438][3]~61017\ = CARRY((\led_flash_cnt[2438][3]~q\ & !\led_flash_cnt[2438][2]~61015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2438][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2438][2]~61015\,
	combout => \led_flash_cnt[2438][3]~61016_combout\,
	cout => \led_flash_cnt[2438][3]~61017\);

-- Location: FF_X58_Y17_N23
\led_flash_cnt[2438][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2438][3]~61016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2438][3]~q\);

-- Location: LCCOMB_X58_Y17_N24
\led_flash_cnt[2438][4]~61018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2438][4]~61018_combout\ = (\led_flash_cnt[2438][4]~q\ & (!\led_flash_cnt[2438][3]~61017\)) # (!\led_flash_cnt[2438][4]~q\ & ((\led_flash_cnt[2438][3]~61017\) # (GND)))
-- \led_flash_cnt[2438][4]~61019\ = CARRY((!\led_flash_cnt[2438][3]~61017\) # (!\led_flash_cnt[2438][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2438][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2438][3]~61017\,
	combout => \led_flash_cnt[2438][4]~61018_combout\,
	cout => \led_flash_cnt[2438][4]~61019\);

-- Location: FF_X58_Y17_N25
\led_flash_cnt[2438][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2438][4]~61018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2438][4]~q\);

-- Location: LCCOMB_X58_Y17_N26
\led_flash_cnt[2438][5]~61020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2438][5]~61020_combout\ = (\led_flash_cnt[2438][5]~q\ & (\led_flash_cnt[2438][4]~61019\ $ (GND))) # (!\led_flash_cnt[2438][5]~q\ & (!\led_flash_cnt[2438][4]~61019\ & VCC))
-- \led_flash_cnt[2438][5]~61021\ = CARRY((\led_flash_cnt[2438][5]~q\ & !\led_flash_cnt[2438][4]~61019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2438][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2438][4]~61019\,
	combout => \led_flash_cnt[2438][5]~61020_combout\,
	cout => \led_flash_cnt[2438][5]~61021\);

-- Location: FF_X58_Y17_N27
\led_flash_cnt[2438][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2438][5]~61020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2438][5]~q\);

-- Location: LCCOMB_X58_Y17_N28
\led_flash_cnt[2438][6]~61022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2438][6]~61022_combout\ = (\led_flash_cnt[2438][6]~q\ & (!\led_flash_cnt[2438][5]~61021\)) # (!\led_flash_cnt[2438][6]~q\ & ((\led_flash_cnt[2438][5]~61021\) # (GND)))
-- \led_flash_cnt[2438][6]~61023\ = CARRY((!\led_flash_cnt[2438][5]~61021\) # (!\led_flash_cnt[2438][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2438][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2438][5]~61021\,
	combout => \led_flash_cnt[2438][6]~61022_combout\,
	cout => \led_flash_cnt[2438][6]~61023\);

-- Location: FF_X58_Y17_N29
\led_flash_cnt[2438][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2438][6]~61022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2438][6]~q\);

-- Location: LCCOMB_X58_Y17_N10
\WideAnd2438~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2438~1_combout\ = (\led_flash_cnt[2438][5]~q\ & \led_flash_cnt[2438][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2438][5]~q\,
	datad => \led_flash_cnt[2438][6]~q\,
	combout => \WideAnd2438~1_combout\);

-- Location: LCCOMB_X58_Y17_N8
\WideAnd2438~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2438~0_combout\ = (\led_flash_cnt[2438][4]~q\ & (\led_flash_cnt[2438][2]~q\ & (\led_flash_cnt[2438][3]~q\ & \led_flash_cnt[2438][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2438][4]~q\,
	datab => \led_flash_cnt[2438][2]~q\,
	datac => \led_flash_cnt[2438][3]~q\,
	datad => \led_flash_cnt[2438][1]~q\,
	combout => \WideAnd2438~0_combout\);

-- Location: LCCOMB_X58_Y17_N30
\led_flash_cnt[2438][7]~61024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2438][7]~61024_combout\ = \led_flash_cnt[2438][7]~q\ $ (!\led_flash_cnt[2438][6]~61023\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2438][7]~q\,
	cin => \led_flash_cnt[2438][6]~61023\,
	combout => \led_flash_cnt[2438][7]~61024_combout\);

-- Location: FF_X58_Y17_N31
\led_flash_cnt[2438][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2438][7]~61024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2438][7]~q\);

-- Location: LCCOMB_X58_Y17_N14
WideAnd2438 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2438~combout\ = (\WideAnd2438~1_combout\ & (\WideAnd2438~0_combout\ & (\led_flash_cnt[2438][7]~q\ & \led_flash_cnt[2438][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2438~1_combout\,
	datab => \WideAnd2438~0_combout\,
	datac => \led_flash_cnt[2438][7]~q\,
	datad => \led_flash_cnt[2438][0]~q\,
	combout => \WideAnd2438~combout\);

-- Location: FF_X58_Y17_N15
\led_flash_cnt_ands[2438]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2438~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2438));

-- Location: LCCOMB_X64_Y30_N28
\led_flash_cnt[2437][0]~83077\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2437][0]~83077_combout\ = !\led_flash_cnt[2437][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2437][0]~q\,
	combout => \led_flash_cnt[2437][0]~83077_combout\);

-- Location: FF_X64_Y30_N29
\led_flash_cnt[2437][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2437][0]~83077_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2437][0]~q\);

-- Location: LCCOMB_X65_Y30_N18
\led_flash_cnt[2437][1]~60998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2437][1]~60998_combout\ = (\led_flash_cnt[2437][0]~q\ & (\led_flash_cnt[2437][1]~q\ $ (VCC))) # (!\led_flash_cnt[2437][0]~q\ & (\led_flash_cnt[2437][1]~q\ & VCC))
-- \led_flash_cnt[2437][1]~60999\ = CARRY((\led_flash_cnt[2437][0]~q\ & \led_flash_cnt[2437][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2437][0]~q\,
	datab => \led_flash_cnt[2437][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2437][1]~60998_combout\,
	cout => \led_flash_cnt[2437][1]~60999\);

-- Location: FF_X65_Y30_N19
\led_flash_cnt[2437][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2437][1]~60998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2437][1]~q\);

-- Location: LCCOMB_X65_Y30_N20
\led_flash_cnt[2437][2]~61000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2437][2]~61000_combout\ = (\led_flash_cnt[2437][2]~q\ & (!\led_flash_cnt[2437][1]~60999\)) # (!\led_flash_cnt[2437][2]~q\ & ((\led_flash_cnt[2437][1]~60999\) # (GND)))
-- \led_flash_cnt[2437][2]~61001\ = CARRY((!\led_flash_cnt[2437][1]~60999\) # (!\led_flash_cnt[2437][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2437][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2437][1]~60999\,
	combout => \led_flash_cnt[2437][2]~61000_combout\,
	cout => \led_flash_cnt[2437][2]~61001\);

-- Location: FF_X65_Y30_N21
\led_flash_cnt[2437][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2437][2]~61000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2437][2]~q\);

-- Location: LCCOMB_X65_Y30_N22
\led_flash_cnt[2437][3]~61002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2437][3]~61002_combout\ = (\led_flash_cnt[2437][3]~q\ & (\led_flash_cnt[2437][2]~61001\ $ (GND))) # (!\led_flash_cnt[2437][3]~q\ & (!\led_flash_cnt[2437][2]~61001\ & VCC))
-- \led_flash_cnt[2437][3]~61003\ = CARRY((\led_flash_cnt[2437][3]~q\ & !\led_flash_cnt[2437][2]~61001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2437][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2437][2]~61001\,
	combout => \led_flash_cnt[2437][3]~61002_combout\,
	cout => \led_flash_cnt[2437][3]~61003\);

-- Location: FF_X65_Y30_N23
\led_flash_cnt[2437][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2437][3]~61002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2437][3]~q\);

-- Location: LCCOMB_X65_Y30_N24
\led_flash_cnt[2437][4]~61004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2437][4]~61004_combout\ = (\led_flash_cnt[2437][4]~q\ & (!\led_flash_cnt[2437][3]~61003\)) # (!\led_flash_cnt[2437][4]~q\ & ((\led_flash_cnt[2437][3]~61003\) # (GND)))
-- \led_flash_cnt[2437][4]~61005\ = CARRY((!\led_flash_cnt[2437][3]~61003\) # (!\led_flash_cnt[2437][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2437][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2437][3]~61003\,
	combout => \led_flash_cnt[2437][4]~61004_combout\,
	cout => \led_flash_cnt[2437][4]~61005\);

-- Location: FF_X65_Y30_N25
\led_flash_cnt[2437][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2437][4]~61004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2437][4]~q\);

-- Location: LCCOMB_X65_Y30_N26
\led_flash_cnt[2437][5]~61006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2437][5]~61006_combout\ = (\led_flash_cnt[2437][5]~q\ & (\led_flash_cnt[2437][4]~61005\ $ (GND))) # (!\led_flash_cnt[2437][5]~q\ & (!\led_flash_cnt[2437][4]~61005\ & VCC))
-- \led_flash_cnt[2437][5]~61007\ = CARRY((\led_flash_cnt[2437][5]~q\ & !\led_flash_cnt[2437][4]~61005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2437][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2437][4]~61005\,
	combout => \led_flash_cnt[2437][5]~61006_combout\,
	cout => \led_flash_cnt[2437][5]~61007\);

-- Location: FF_X65_Y30_N27
\led_flash_cnt[2437][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2437][5]~61006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2437][5]~q\);

-- Location: LCCOMB_X65_Y30_N28
\led_flash_cnt[2437][6]~61008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2437][6]~61008_combout\ = (\led_flash_cnt[2437][6]~q\ & (!\led_flash_cnt[2437][5]~61007\)) # (!\led_flash_cnt[2437][6]~q\ & ((\led_flash_cnt[2437][5]~61007\) # (GND)))
-- \led_flash_cnt[2437][6]~61009\ = CARRY((!\led_flash_cnt[2437][5]~61007\) # (!\led_flash_cnt[2437][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2437][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2437][5]~61007\,
	combout => \led_flash_cnt[2437][6]~61008_combout\,
	cout => \led_flash_cnt[2437][6]~61009\);

-- Location: FF_X65_Y30_N29
\led_flash_cnt[2437][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2437][6]~61008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2437][6]~q\);

-- Location: LCCOMB_X64_Y30_N22
\WideAnd2437~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2437~1_combout\ = (\led_flash_cnt[2437][6]~q\ & \led_flash_cnt[2437][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2437][6]~q\,
	datad => \led_flash_cnt[2437][5]~q\,
	combout => \WideAnd2437~1_combout\);

-- Location: LCCOMB_X65_Y30_N30
\led_flash_cnt[2437][7]~61010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2437][7]~61010_combout\ = \led_flash_cnt[2437][7]~q\ $ (!\led_flash_cnt[2437][6]~61009\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2437][7]~q\,
	cin => \led_flash_cnt[2437][6]~61009\,
	combout => \led_flash_cnt[2437][7]~61010_combout\);

-- Location: FF_X65_Y30_N31
\led_flash_cnt[2437][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2437][7]~61010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2437][7]~q\);

-- Location: LCCOMB_X65_Y30_N16
\WideAnd2437~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2437~0_combout\ = (\led_flash_cnt[2437][4]~q\ & (\led_flash_cnt[2437][2]~q\ & (\led_flash_cnt[2437][3]~q\ & \led_flash_cnt[2437][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2437][4]~q\,
	datab => \led_flash_cnt[2437][2]~q\,
	datac => \led_flash_cnt[2437][3]~q\,
	datad => \led_flash_cnt[2437][1]~q\,
	combout => \WideAnd2437~0_combout\);

-- Location: LCCOMB_X64_Y30_N20
WideAnd2437 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2437~combout\ = (\WideAnd2437~1_combout\ & (\led_flash_cnt[2437][0]~q\ & (\led_flash_cnt[2437][7]~q\ & \WideAnd2437~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2437~1_combout\,
	datab => \led_flash_cnt[2437][0]~q\,
	datac => \led_flash_cnt[2437][7]~q\,
	datad => \WideAnd2437~0_combout\,
	combout => \WideAnd2437~combout\);

-- Location: FF_X64_Y30_N21
\led_flash_cnt_ands[2437]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2437~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2437));

-- Location: LCCOMB_X64_Y30_N18
\led_flash_cnt[2436][0]~83076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2436][0]~83076_combout\ = !\led_flash_cnt[2436][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2436][0]~q\,
	combout => \led_flash_cnt[2436][0]~83076_combout\);

-- Location: FF_X64_Y30_N19
\led_flash_cnt[2436][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2436][0]~83076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2436][0]~q\);

-- Location: LCCOMB_X64_Y30_N0
\led_flash_cnt[2436][1]~60984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2436][1]~60984_combout\ = (\led_flash_cnt[2436][0]~q\ & (\led_flash_cnt[2436][1]~q\ $ (VCC))) # (!\led_flash_cnt[2436][0]~q\ & (\led_flash_cnt[2436][1]~q\ & VCC))
-- \led_flash_cnt[2436][1]~60985\ = CARRY((\led_flash_cnt[2436][0]~q\ & \led_flash_cnt[2436][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2436][0]~q\,
	datab => \led_flash_cnt[2436][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2436][1]~60984_combout\,
	cout => \led_flash_cnt[2436][1]~60985\);

-- Location: FF_X64_Y30_N1
\led_flash_cnt[2436][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2436][1]~60984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2436][1]~q\);

-- Location: LCCOMB_X64_Y30_N2
\led_flash_cnt[2436][2]~60986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2436][2]~60986_combout\ = (\led_flash_cnt[2436][2]~q\ & (!\led_flash_cnt[2436][1]~60985\)) # (!\led_flash_cnt[2436][2]~q\ & ((\led_flash_cnt[2436][1]~60985\) # (GND)))
-- \led_flash_cnt[2436][2]~60987\ = CARRY((!\led_flash_cnt[2436][1]~60985\) # (!\led_flash_cnt[2436][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2436][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2436][1]~60985\,
	combout => \led_flash_cnt[2436][2]~60986_combout\,
	cout => \led_flash_cnt[2436][2]~60987\);

-- Location: FF_X64_Y30_N3
\led_flash_cnt[2436][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2436][2]~60986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2436][2]~q\);

-- Location: LCCOMB_X64_Y30_N4
\led_flash_cnt[2436][3]~60988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2436][3]~60988_combout\ = (\led_flash_cnt[2436][3]~q\ & (\led_flash_cnt[2436][2]~60987\ $ (GND))) # (!\led_flash_cnt[2436][3]~q\ & (!\led_flash_cnt[2436][2]~60987\ & VCC))
-- \led_flash_cnt[2436][3]~60989\ = CARRY((\led_flash_cnt[2436][3]~q\ & !\led_flash_cnt[2436][2]~60987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2436][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2436][2]~60987\,
	combout => \led_flash_cnt[2436][3]~60988_combout\,
	cout => \led_flash_cnt[2436][3]~60989\);

-- Location: FF_X64_Y30_N5
\led_flash_cnt[2436][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2436][3]~60988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2436][3]~q\);

-- Location: LCCOMB_X64_Y30_N6
\led_flash_cnt[2436][4]~60990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2436][4]~60990_combout\ = (\led_flash_cnt[2436][4]~q\ & (!\led_flash_cnt[2436][3]~60989\)) # (!\led_flash_cnt[2436][4]~q\ & ((\led_flash_cnt[2436][3]~60989\) # (GND)))
-- \led_flash_cnt[2436][4]~60991\ = CARRY((!\led_flash_cnt[2436][3]~60989\) # (!\led_flash_cnt[2436][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2436][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2436][3]~60989\,
	combout => \led_flash_cnt[2436][4]~60990_combout\,
	cout => \led_flash_cnt[2436][4]~60991\);

-- Location: FF_X64_Y30_N7
\led_flash_cnt[2436][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2436][4]~60990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2436][4]~q\);

-- Location: LCCOMB_X64_Y30_N8
\led_flash_cnt[2436][5]~60992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2436][5]~60992_combout\ = (\led_flash_cnt[2436][5]~q\ & (\led_flash_cnt[2436][4]~60991\ $ (GND))) # (!\led_flash_cnt[2436][5]~q\ & (!\led_flash_cnt[2436][4]~60991\ & VCC))
-- \led_flash_cnt[2436][5]~60993\ = CARRY((\led_flash_cnt[2436][5]~q\ & !\led_flash_cnt[2436][4]~60991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2436][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2436][4]~60991\,
	combout => \led_flash_cnt[2436][5]~60992_combout\,
	cout => \led_flash_cnt[2436][5]~60993\);

-- Location: FF_X64_Y30_N9
\led_flash_cnt[2436][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2436][5]~60992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2436][5]~q\);

-- Location: LCCOMB_X64_Y30_N10
\led_flash_cnt[2436][6]~60994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2436][6]~60994_combout\ = (\led_flash_cnt[2436][6]~q\ & (!\led_flash_cnt[2436][5]~60993\)) # (!\led_flash_cnt[2436][6]~q\ & ((\led_flash_cnt[2436][5]~60993\) # (GND)))
-- \led_flash_cnt[2436][6]~60995\ = CARRY((!\led_flash_cnt[2436][5]~60993\) # (!\led_flash_cnt[2436][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2436][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2436][5]~60993\,
	combout => \led_flash_cnt[2436][6]~60994_combout\,
	cout => \led_flash_cnt[2436][6]~60995\);

-- Location: FF_X64_Y30_N11
\led_flash_cnt[2436][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2436][6]~60994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2436][6]~q\);

-- Location: LCCOMB_X64_Y30_N12
\led_flash_cnt[2436][7]~60996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2436][7]~60996_combout\ = \led_flash_cnt[2436][6]~60995\ $ (!\led_flash_cnt[2436][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2436][7]~q\,
	cin => \led_flash_cnt[2436][6]~60995\,
	combout => \led_flash_cnt[2436][7]~60996_combout\);

-- Location: FF_X64_Y30_N13
\led_flash_cnt[2436][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2436][7]~60996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2436][7]~q\);

-- Location: LCCOMB_X64_Y30_N24
\WideAnd2436~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2436~0_combout\ = (\led_flash_cnt[2436][4]~q\ & (\led_flash_cnt[2436][1]~q\ & (\led_flash_cnt[2436][3]~q\ & \led_flash_cnt[2436][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2436][4]~q\,
	datab => \led_flash_cnt[2436][1]~q\,
	datac => \led_flash_cnt[2436][3]~q\,
	datad => \led_flash_cnt[2436][2]~q\,
	combout => \WideAnd2436~0_combout\);

-- Location: LCCOMB_X64_Y30_N30
\WideAnd2436~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2436~1_combout\ = (\led_flash_cnt[2436][5]~q\ & \led_flash_cnt[2436][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2436][5]~q\,
	datad => \led_flash_cnt[2436][6]~q\,
	combout => \WideAnd2436~1_combout\);

-- Location: LCCOMB_X64_Y30_N26
WideAnd2436 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2436~combout\ = (\led_flash_cnt[2436][7]~q\ & (\WideAnd2436~0_combout\ & (\WideAnd2436~1_combout\ & \led_flash_cnt[2436][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2436][7]~q\,
	datab => \WideAnd2436~0_combout\,
	datac => \WideAnd2436~1_combout\,
	datad => \led_flash_cnt[2436][0]~q\,
	combout => \WideAnd2436~combout\);

-- Location: FF_X64_Y30_N27
\led_flash_cnt_ands[2436]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2436~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2436));

-- Location: LCCOMB_X63_Y30_N24
\WideAnd4144~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4144~1_combout\ = (led_flash_cnt_ands(2437) & led_flash_cnt_ands(2436))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2437),
	datad => led_flash_cnt_ands(2436),
	combout => \WideAnd4144~1_combout\);

-- Location: LCCOMB_X63_Y17_N6
\led_flash_cnt[2435][0]~83075\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2435][0]~83075_combout\ = !\led_flash_cnt[2435][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2435][0]~q\,
	combout => \led_flash_cnt[2435][0]~83075_combout\);

-- Location: FF_X63_Y17_N7
\led_flash_cnt[2435][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2435][0]~83075_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2435][0]~q\);

-- Location: LCCOMB_X64_Y17_N18
\led_flash_cnt[2435][1]~60970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2435][1]~60970_combout\ = (\led_flash_cnt[2435][0]~q\ & (\led_flash_cnt[2435][1]~q\ $ (VCC))) # (!\led_flash_cnt[2435][0]~q\ & (\led_flash_cnt[2435][1]~q\ & VCC))
-- \led_flash_cnt[2435][1]~60971\ = CARRY((\led_flash_cnt[2435][0]~q\ & \led_flash_cnt[2435][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2435][0]~q\,
	datab => \led_flash_cnt[2435][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2435][1]~60970_combout\,
	cout => \led_flash_cnt[2435][1]~60971\);

-- Location: FF_X64_Y17_N19
\led_flash_cnt[2435][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2435][1]~60970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2435][1]~q\);

-- Location: LCCOMB_X64_Y17_N20
\led_flash_cnt[2435][2]~60972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2435][2]~60972_combout\ = (\led_flash_cnt[2435][2]~q\ & (!\led_flash_cnt[2435][1]~60971\)) # (!\led_flash_cnt[2435][2]~q\ & ((\led_flash_cnt[2435][1]~60971\) # (GND)))
-- \led_flash_cnt[2435][2]~60973\ = CARRY((!\led_flash_cnt[2435][1]~60971\) # (!\led_flash_cnt[2435][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2435][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2435][1]~60971\,
	combout => \led_flash_cnt[2435][2]~60972_combout\,
	cout => \led_flash_cnt[2435][2]~60973\);

-- Location: FF_X64_Y17_N21
\led_flash_cnt[2435][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2435][2]~60972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2435][2]~q\);

-- Location: LCCOMB_X64_Y17_N22
\led_flash_cnt[2435][3]~60974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2435][3]~60974_combout\ = (\led_flash_cnt[2435][3]~q\ & (\led_flash_cnt[2435][2]~60973\ $ (GND))) # (!\led_flash_cnt[2435][3]~q\ & (!\led_flash_cnt[2435][2]~60973\ & VCC))
-- \led_flash_cnt[2435][3]~60975\ = CARRY((\led_flash_cnt[2435][3]~q\ & !\led_flash_cnt[2435][2]~60973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2435][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2435][2]~60973\,
	combout => \led_flash_cnt[2435][3]~60974_combout\,
	cout => \led_flash_cnt[2435][3]~60975\);

-- Location: FF_X64_Y17_N23
\led_flash_cnt[2435][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2435][3]~60974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2435][3]~q\);

-- Location: LCCOMB_X64_Y17_N24
\led_flash_cnt[2435][4]~60976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2435][4]~60976_combout\ = (\led_flash_cnt[2435][4]~q\ & (!\led_flash_cnt[2435][3]~60975\)) # (!\led_flash_cnt[2435][4]~q\ & ((\led_flash_cnt[2435][3]~60975\) # (GND)))
-- \led_flash_cnt[2435][4]~60977\ = CARRY((!\led_flash_cnt[2435][3]~60975\) # (!\led_flash_cnt[2435][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2435][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2435][3]~60975\,
	combout => \led_flash_cnt[2435][4]~60976_combout\,
	cout => \led_flash_cnt[2435][4]~60977\);

-- Location: FF_X64_Y17_N25
\led_flash_cnt[2435][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2435][4]~60976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2435][4]~q\);

-- Location: LCCOMB_X64_Y17_N26
\led_flash_cnt[2435][5]~60978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2435][5]~60978_combout\ = (\led_flash_cnt[2435][5]~q\ & (\led_flash_cnt[2435][4]~60977\ $ (GND))) # (!\led_flash_cnt[2435][5]~q\ & (!\led_flash_cnt[2435][4]~60977\ & VCC))
-- \led_flash_cnt[2435][5]~60979\ = CARRY((\led_flash_cnt[2435][5]~q\ & !\led_flash_cnt[2435][4]~60977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2435][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2435][4]~60977\,
	combout => \led_flash_cnt[2435][5]~60978_combout\,
	cout => \led_flash_cnt[2435][5]~60979\);

-- Location: FF_X64_Y17_N27
\led_flash_cnt[2435][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2435][5]~60978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2435][5]~q\);

-- Location: LCCOMB_X64_Y17_N28
\led_flash_cnt[2435][6]~60980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2435][6]~60980_combout\ = (\led_flash_cnt[2435][6]~q\ & (!\led_flash_cnt[2435][5]~60979\)) # (!\led_flash_cnt[2435][6]~q\ & ((\led_flash_cnt[2435][5]~60979\) # (GND)))
-- \led_flash_cnt[2435][6]~60981\ = CARRY((!\led_flash_cnt[2435][5]~60979\) # (!\led_flash_cnt[2435][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2435][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2435][5]~60979\,
	combout => \led_flash_cnt[2435][6]~60980_combout\,
	cout => \led_flash_cnt[2435][6]~60981\);

-- Location: FF_X64_Y17_N29
\led_flash_cnt[2435][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2435][6]~60980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2435][6]~q\);

-- Location: LCCOMB_X63_Y17_N30
\WideAnd2435~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2435~1_combout\ = (\led_flash_cnt[2435][6]~q\ & \led_flash_cnt[2435][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2435][6]~q\,
	datad => \led_flash_cnt[2435][5]~q\,
	combout => \WideAnd2435~1_combout\);

-- Location: LCCOMB_X64_Y17_N0
\WideAnd2435~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2435~0_combout\ = (\led_flash_cnt[2435][4]~q\ & (\led_flash_cnt[2435][2]~q\ & (\led_flash_cnt[2435][3]~q\ & \led_flash_cnt[2435][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2435][4]~q\,
	datab => \led_flash_cnt[2435][2]~q\,
	datac => \led_flash_cnt[2435][3]~q\,
	datad => \led_flash_cnt[2435][1]~q\,
	combout => \WideAnd2435~0_combout\);

-- Location: LCCOMB_X64_Y17_N30
\led_flash_cnt[2435][7]~60982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2435][7]~60982_combout\ = \led_flash_cnt[2435][7]~q\ $ (!\led_flash_cnt[2435][6]~60981\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2435][7]~q\,
	cin => \led_flash_cnt[2435][6]~60981\,
	combout => \led_flash_cnt[2435][7]~60982_combout\);

-- Location: FF_X64_Y17_N31
\led_flash_cnt[2435][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2435][7]~60982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2435][7]~q\);

-- Location: LCCOMB_X63_Y17_N10
WideAnd2435 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2435~combout\ = (\WideAnd2435~1_combout\ & (\WideAnd2435~0_combout\ & (\led_flash_cnt[2435][7]~q\ & \led_flash_cnt[2435][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2435~1_combout\,
	datab => \WideAnd2435~0_combout\,
	datac => \led_flash_cnt[2435][7]~q\,
	datad => \led_flash_cnt[2435][0]~q\,
	combout => \WideAnd2435~combout\);

-- Location: FF_X63_Y17_N11
\led_flash_cnt_ands[2435]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2435~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2435));

-- Location: LCCOMB_X63_Y17_N12
\led_flash_cnt[2434][0]~83074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2434][0]~83074_combout\ = !\led_flash_cnt[2434][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2434][0]~q\,
	combout => \led_flash_cnt[2434][0]~83074_combout\);

-- Location: FF_X63_Y17_N13
\led_flash_cnt[2434][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2434][0]~83074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2434][0]~q\);

-- Location: LCCOMB_X63_Y17_N16
\led_flash_cnt[2434][1]~60956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2434][1]~60956_combout\ = (\led_flash_cnt[2434][0]~q\ & (\led_flash_cnt[2434][1]~q\ $ (VCC))) # (!\led_flash_cnt[2434][0]~q\ & (\led_flash_cnt[2434][1]~q\ & VCC))
-- \led_flash_cnt[2434][1]~60957\ = CARRY((\led_flash_cnt[2434][0]~q\ & \led_flash_cnt[2434][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2434][0]~q\,
	datab => \led_flash_cnt[2434][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2434][1]~60956_combout\,
	cout => \led_flash_cnt[2434][1]~60957\);

-- Location: FF_X63_Y17_N17
\led_flash_cnt[2434][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2434][1]~60956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2434][1]~q\);

-- Location: LCCOMB_X63_Y17_N18
\led_flash_cnt[2434][2]~60958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2434][2]~60958_combout\ = (\led_flash_cnt[2434][2]~q\ & (!\led_flash_cnt[2434][1]~60957\)) # (!\led_flash_cnt[2434][2]~q\ & ((\led_flash_cnt[2434][1]~60957\) # (GND)))
-- \led_flash_cnt[2434][2]~60959\ = CARRY((!\led_flash_cnt[2434][1]~60957\) # (!\led_flash_cnt[2434][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2434][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2434][1]~60957\,
	combout => \led_flash_cnt[2434][2]~60958_combout\,
	cout => \led_flash_cnt[2434][2]~60959\);

-- Location: FF_X63_Y17_N19
\led_flash_cnt[2434][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2434][2]~60958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2434][2]~q\);

-- Location: LCCOMB_X63_Y17_N20
\led_flash_cnt[2434][3]~60960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2434][3]~60960_combout\ = (\led_flash_cnt[2434][3]~q\ & (\led_flash_cnt[2434][2]~60959\ $ (GND))) # (!\led_flash_cnt[2434][3]~q\ & (!\led_flash_cnt[2434][2]~60959\ & VCC))
-- \led_flash_cnt[2434][3]~60961\ = CARRY((\led_flash_cnt[2434][3]~q\ & !\led_flash_cnt[2434][2]~60959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2434][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2434][2]~60959\,
	combout => \led_flash_cnt[2434][3]~60960_combout\,
	cout => \led_flash_cnt[2434][3]~60961\);

-- Location: FF_X63_Y17_N21
\led_flash_cnt[2434][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2434][3]~60960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2434][3]~q\);

-- Location: LCCOMB_X63_Y17_N22
\led_flash_cnt[2434][4]~60962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2434][4]~60962_combout\ = (\led_flash_cnt[2434][4]~q\ & (!\led_flash_cnt[2434][3]~60961\)) # (!\led_flash_cnt[2434][4]~q\ & ((\led_flash_cnt[2434][3]~60961\) # (GND)))
-- \led_flash_cnt[2434][4]~60963\ = CARRY((!\led_flash_cnt[2434][3]~60961\) # (!\led_flash_cnt[2434][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2434][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2434][3]~60961\,
	combout => \led_flash_cnt[2434][4]~60962_combout\,
	cout => \led_flash_cnt[2434][4]~60963\);

-- Location: FF_X63_Y17_N23
\led_flash_cnt[2434][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2434][4]~60962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2434][4]~q\);

-- Location: LCCOMB_X63_Y17_N24
\led_flash_cnt[2434][5]~60964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2434][5]~60964_combout\ = (\led_flash_cnt[2434][5]~q\ & (\led_flash_cnt[2434][4]~60963\ $ (GND))) # (!\led_flash_cnt[2434][5]~q\ & (!\led_flash_cnt[2434][4]~60963\ & VCC))
-- \led_flash_cnt[2434][5]~60965\ = CARRY((\led_flash_cnt[2434][5]~q\ & !\led_flash_cnt[2434][4]~60963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2434][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2434][4]~60963\,
	combout => \led_flash_cnt[2434][5]~60964_combout\,
	cout => \led_flash_cnt[2434][5]~60965\);

-- Location: FF_X63_Y17_N25
\led_flash_cnt[2434][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2434][5]~60964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2434][5]~q\);

-- Location: LCCOMB_X63_Y17_N26
\led_flash_cnt[2434][6]~60966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2434][6]~60966_combout\ = (\led_flash_cnt[2434][6]~q\ & (!\led_flash_cnt[2434][5]~60965\)) # (!\led_flash_cnt[2434][6]~q\ & ((\led_flash_cnt[2434][5]~60965\) # (GND)))
-- \led_flash_cnt[2434][6]~60967\ = CARRY((!\led_flash_cnt[2434][5]~60965\) # (!\led_flash_cnt[2434][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2434][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2434][5]~60965\,
	combout => \led_flash_cnt[2434][6]~60966_combout\,
	cout => \led_flash_cnt[2434][6]~60967\);

-- Location: FF_X63_Y17_N27
\led_flash_cnt[2434][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2434][6]~60966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2434][6]~q\);

-- Location: LCCOMB_X63_Y17_N28
\led_flash_cnt[2434][7]~60968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2434][7]~60968_combout\ = \led_flash_cnt[2434][6]~60967\ $ (!\led_flash_cnt[2434][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2434][7]~q\,
	cin => \led_flash_cnt[2434][6]~60967\,
	combout => \led_flash_cnt[2434][7]~60968_combout\);

-- Location: FF_X63_Y17_N29
\led_flash_cnt[2434][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2434][7]~60968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2434][7]~q\);

-- Location: LCCOMB_X63_Y17_N14
\WideAnd2434~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2434~0_combout\ = (\led_flash_cnt[2434][1]~q\ & (\led_flash_cnt[2434][3]~q\ & (\led_flash_cnt[2434][4]~q\ & \led_flash_cnt[2434][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2434][1]~q\,
	datab => \led_flash_cnt[2434][3]~q\,
	datac => \led_flash_cnt[2434][4]~q\,
	datad => \led_flash_cnt[2434][2]~q\,
	combout => \WideAnd2434~0_combout\);

-- Location: LCCOMB_X63_Y17_N0
\WideAnd2434~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2434~1_combout\ = (\led_flash_cnt[2434][6]~q\ & \led_flash_cnt[2434][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2434][6]~q\,
	datad => \led_flash_cnt[2434][5]~q\,
	combout => \WideAnd2434~1_combout\);

-- Location: LCCOMB_X63_Y17_N8
WideAnd2434 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2434~combout\ = (\led_flash_cnt[2434][0]~q\ & (\led_flash_cnt[2434][7]~q\ & (\WideAnd2434~0_combout\ & \WideAnd2434~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2434][0]~q\,
	datab => \led_flash_cnt[2434][7]~q\,
	datac => \WideAnd2434~0_combout\,
	datad => \WideAnd2434~1_combout\,
	combout => \WideAnd2434~combout\);

-- Location: FF_X63_Y17_N9
\led_flash_cnt_ands[2434]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2434~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2434));

-- Location: LCCOMB_X56_Y17_N4
\led_flash_cnt[2433][0]~83073\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2433][0]~83073_combout\ = !\led_flash_cnt[2433][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2433][0]~q\,
	combout => \led_flash_cnt[2433][0]~83073_combout\);

-- Location: FF_X56_Y17_N5
\led_flash_cnt[2433][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2433][0]~83073_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2433][0]~q\);

-- Location: LCCOMB_X56_Y17_N10
\led_flash_cnt[2433][1]~60942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2433][1]~60942_combout\ = (\led_flash_cnt[2433][1]~q\ & (\led_flash_cnt[2433][0]~q\ $ (VCC))) # (!\led_flash_cnt[2433][1]~q\ & (\led_flash_cnt[2433][0]~q\ & VCC))
-- \led_flash_cnt[2433][1]~60943\ = CARRY((\led_flash_cnt[2433][1]~q\ & \led_flash_cnt[2433][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2433][1]~q\,
	datab => \led_flash_cnt[2433][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2433][1]~60942_combout\,
	cout => \led_flash_cnt[2433][1]~60943\);

-- Location: FF_X56_Y17_N11
\led_flash_cnt[2433][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2433][1]~60942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2433][1]~q\);

-- Location: LCCOMB_X56_Y17_N12
\led_flash_cnt[2433][2]~60944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2433][2]~60944_combout\ = (\led_flash_cnt[2433][2]~q\ & (!\led_flash_cnt[2433][1]~60943\)) # (!\led_flash_cnt[2433][2]~q\ & ((\led_flash_cnt[2433][1]~60943\) # (GND)))
-- \led_flash_cnt[2433][2]~60945\ = CARRY((!\led_flash_cnt[2433][1]~60943\) # (!\led_flash_cnt[2433][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2433][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2433][1]~60943\,
	combout => \led_flash_cnt[2433][2]~60944_combout\,
	cout => \led_flash_cnt[2433][2]~60945\);

-- Location: FF_X56_Y17_N13
\led_flash_cnt[2433][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2433][2]~60944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2433][2]~q\);

-- Location: LCCOMB_X56_Y17_N14
\led_flash_cnt[2433][3]~60946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2433][3]~60946_combout\ = (\led_flash_cnt[2433][3]~q\ & (\led_flash_cnt[2433][2]~60945\ $ (GND))) # (!\led_flash_cnt[2433][3]~q\ & (!\led_flash_cnt[2433][2]~60945\ & VCC))
-- \led_flash_cnt[2433][3]~60947\ = CARRY((\led_flash_cnt[2433][3]~q\ & !\led_flash_cnt[2433][2]~60945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2433][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2433][2]~60945\,
	combout => \led_flash_cnt[2433][3]~60946_combout\,
	cout => \led_flash_cnt[2433][3]~60947\);

-- Location: FF_X56_Y17_N15
\led_flash_cnt[2433][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2433][3]~60946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2433][3]~q\);

-- Location: LCCOMB_X56_Y17_N16
\led_flash_cnt[2433][4]~60948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2433][4]~60948_combout\ = (\led_flash_cnt[2433][4]~q\ & (!\led_flash_cnt[2433][3]~60947\)) # (!\led_flash_cnt[2433][4]~q\ & ((\led_flash_cnt[2433][3]~60947\) # (GND)))
-- \led_flash_cnt[2433][4]~60949\ = CARRY((!\led_flash_cnt[2433][3]~60947\) # (!\led_flash_cnt[2433][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2433][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2433][3]~60947\,
	combout => \led_flash_cnt[2433][4]~60948_combout\,
	cout => \led_flash_cnt[2433][4]~60949\);

-- Location: FF_X56_Y17_N17
\led_flash_cnt[2433][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2433][4]~60948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2433][4]~q\);

-- Location: LCCOMB_X56_Y17_N18
\led_flash_cnt[2433][5]~60950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2433][5]~60950_combout\ = (\led_flash_cnt[2433][5]~q\ & (\led_flash_cnt[2433][4]~60949\ $ (GND))) # (!\led_flash_cnt[2433][5]~q\ & (!\led_flash_cnt[2433][4]~60949\ & VCC))
-- \led_flash_cnt[2433][5]~60951\ = CARRY((\led_flash_cnt[2433][5]~q\ & !\led_flash_cnt[2433][4]~60949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2433][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2433][4]~60949\,
	combout => \led_flash_cnt[2433][5]~60950_combout\,
	cout => \led_flash_cnt[2433][5]~60951\);

-- Location: FF_X56_Y17_N19
\led_flash_cnt[2433][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2433][5]~60950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2433][5]~q\);

-- Location: LCCOMB_X56_Y17_N20
\led_flash_cnt[2433][6]~60952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2433][6]~60952_combout\ = (\led_flash_cnt[2433][6]~q\ & (!\led_flash_cnt[2433][5]~60951\)) # (!\led_flash_cnt[2433][6]~q\ & ((\led_flash_cnt[2433][5]~60951\) # (GND)))
-- \led_flash_cnt[2433][6]~60953\ = CARRY((!\led_flash_cnt[2433][5]~60951\) # (!\led_flash_cnt[2433][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2433][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2433][5]~60951\,
	combout => \led_flash_cnt[2433][6]~60952_combout\,
	cout => \led_flash_cnt[2433][6]~60953\);

-- Location: FF_X56_Y17_N21
\led_flash_cnt[2433][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2433][6]~60952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2433][6]~q\);

-- Location: LCCOMB_X56_Y17_N26
\WideAnd2433~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2433~1_combout\ = (\led_flash_cnt[2433][6]~q\ & \led_flash_cnt[2433][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2433][6]~q\,
	datac => \led_flash_cnt[2433][5]~q\,
	combout => \WideAnd2433~1_combout\);

-- Location: LCCOMB_X56_Y17_N22
\led_flash_cnt[2433][7]~60954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2433][7]~60954_combout\ = \led_flash_cnt[2433][7]~q\ $ (!\led_flash_cnt[2433][6]~60953\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2433][7]~q\,
	cin => \led_flash_cnt[2433][6]~60953\,
	combout => \led_flash_cnt[2433][7]~60954_combout\);

-- Location: FF_X56_Y17_N23
\led_flash_cnt[2433][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2433][7]~60954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2433][7]~q\);

-- Location: LCCOMB_X56_Y17_N24
\WideAnd2433~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2433~0_combout\ = (\led_flash_cnt[2433][2]~q\ & (\led_flash_cnt[2433][4]~q\ & (\led_flash_cnt[2433][3]~q\ & \led_flash_cnt[2433][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2433][2]~q\,
	datab => \led_flash_cnt[2433][4]~q\,
	datac => \led_flash_cnt[2433][3]~q\,
	datad => \led_flash_cnt[2433][1]~q\,
	combout => \WideAnd2433~0_combout\);

-- Location: LCCOMB_X56_Y17_N0
WideAnd2433 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2433~combout\ = (\WideAnd2433~1_combout\ & (\led_flash_cnt[2433][0]~q\ & (\led_flash_cnt[2433][7]~q\ & \WideAnd2433~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2433~1_combout\,
	datab => \led_flash_cnt[2433][0]~q\,
	datac => \led_flash_cnt[2433][7]~q\,
	datad => \WideAnd2433~0_combout\,
	combout => \WideAnd2433~combout\);

-- Location: FF_X56_Y17_N1
\led_flash_cnt_ands[2433]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2433~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2433));

-- Location: LCCOMB_X66_Y17_N12
\led_flash_cnt[2432][0]~83072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2432][0]~83072_combout\ = !\led_flash_cnt[2432][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2432][0]~q\,
	combout => \led_flash_cnt[2432][0]~83072_combout\);

-- Location: FF_X66_Y17_N13
\led_flash_cnt[2432][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2432][0]~83072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2432][0]~q\);

-- Location: LCCOMB_X66_Y17_N14
\led_flash_cnt[2432][1]~60928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2432][1]~60928_combout\ = (\led_flash_cnt[2432][0]~q\ & (\led_flash_cnt[2432][1]~q\ $ (VCC))) # (!\led_flash_cnt[2432][0]~q\ & (\led_flash_cnt[2432][1]~q\ & VCC))
-- \led_flash_cnt[2432][1]~60929\ = CARRY((\led_flash_cnt[2432][0]~q\ & \led_flash_cnt[2432][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2432][0]~q\,
	datab => \led_flash_cnt[2432][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2432][1]~60928_combout\,
	cout => \led_flash_cnt[2432][1]~60929\);

-- Location: FF_X66_Y17_N15
\led_flash_cnt[2432][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2432][1]~60928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2432][1]~q\);

-- Location: LCCOMB_X66_Y17_N16
\led_flash_cnt[2432][2]~60930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2432][2]~60930_combout\ = (\led_flash_cnt[2432][2]~q\ & (!\led_flash_cnt[2432][1]~60929\)) # (!\led_flash_cnt[2432][2]~q\ & ((\led_flash_cnt[2432][1]~60929\) # (GND)))
-- \led_flash_cnt[2432][2]~60931\ = CARRY((!\led_flash_cnt[2432][1]~60929\) # (!\led_flash_cnt[2432][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2432][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2432][1]~60929\,
	combout => \led_flash_cnt[2432][2]~60930_combout\,
	cout => \led_flash_cnt[2432][2]~60931\);

-- Location: FF_X66_Y17_N17
\led_flash_cnt[2432][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2432][2]~60930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2432][2]~q\);

-- Location: LCCOMB_X66_Y17_N18
\led_flash_cnt[2432][3]~60932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2432][3]~60932_combout\ = (\led_flash_cnt[2432][3]~q\ & (\led_flash_cnt[2432][2]~60931\ $ (GND))) # (!\led_flash_cnt[2432][3]~q\ & (!\led_flash_cnt[2432][2]~60931\ & VCC))
-- \led_flash_cnt[2432][3]~60933\ = CARRY((\led_flash_cnt[2432][3]~q\ & !\led_flash_cnt[2432][2]~60931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2432][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2432][2]~60931\,
	combout => \led_flash_cnt[2432][3]~60932_combout\,
	cout => \led_flash_cnt[2432][3]~60933\);

-- Location: FF_X66_Y17_N19
\led_flash_cnt[2432][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2432][3]~60932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2432][3]~q\);

-- Location: LCCOMB_X66_Y17_N20
\led_flash_cnt[2432][4]~60934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2432][4]~60934_combout\ = (\led_flash_cnt[2432][4]~q\ & (!\led_flash_cnt[2432][3]~60933\)) # (!\led_flash_cnt[2432][4]~q\ & ((\led_flash_cnt[2432][3]~60933\) # (GND)))
-- \led_flash_cnt[2432][4]~60935\ = CARRY((!\led_flash_cnt[2432][3]~60933\) # (!\led_flash_cnt[2432][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2432][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2432][3]~60933\,
	combout => \led_flash_cnt[2432][4]~60934_combout\,
	cout => \led_flash_cnt[2432][4]~60935\);

-- Location: FF_X66_Y17_N21
\led_flash_cnt[2432][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2432][4]~60934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2432][4]~q\);

-- Location: LCCOMB_X66_Y17_N22
\led_flash_cnt[2432][5]~60936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2432][5]~60936_combout\ = (\led_flash_cnt[2432][5]~q\ & (\led_flash_cnt[2432][4]~60935\ $ (GND))) # (!\led_flash_cnt[2432][5]~q\ & (!\led_flash_cnt[2432][4]~60935\ & VCC))
-- \led_flash_cnt[2432][5]~60937\ = CARRY((\led_flash_cnt[2432][5]~q\ & !\led_flash_cnt[2432][4]~60935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2432][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2432][4]~60935\,
	combout => \led_flash_cnt[2432][5]~60936_combout\,
	cout => \led_flash_cnt[2432][5]~60937\);

-- Location: FF_X66_Y17_N23
\led_flash_cnt[2432][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2432][5]~60936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2432][5]~q\);

-- Location: LCCOMB_X66_Y17_N24
\led_flash_cnt[2432][6]~60938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2432][6]~60938_combout\ = (\led_flash_cnt[2432][6]~q\ & (!\led_flash_cnt[2432][5]~60937\)) # (!\led_flash_cnt[2432][6]~q\ & ((\led_flash_cnt[2432][5]~60937\) # (GND)))
-- \led_flash_cnt[2432][6]~60939\ = CARRY((!\led_flash_cnt[2432][5]~60937\) # (!\led_flash_cnt[2432][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2432][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2432][5]~60937\,
	combout => \led_flash_cnt[2432][6]~60938_combout\,
	cout => \led_flash_cnt[2432][6]~60939\);

-- Location: FF_X66_Y17_N25
\led_flash_cnt[2432][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2432][6]~60938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2432][6]~q\);

-- Location: LCCOMB_X66_Y17_N10
\WideAnd2432~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2432~1_combout\ = (\led_flash_cnt[2432][5]~q\ & \led_flash_cnt[2432][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2432][5]~q\,
	datad => \led_flash_cnt[2432][6]~q\,
	combout => \WideAnd2432~1_combout\);

-- Location: LCCOMB_X66_Y17_N4
\WideAnd2432~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2432~0_combout\ = (\led_flash_cnt[2432][4]~q\ & (\led_flash_cnt[2432][3]~q\ & (\led_flash_cnt[2432][1]~q\ & \led_flash_cnt[2432][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2432][4]~q\,
	datab => \led_flash_cnt[2432][3]~q\,
	datac => \led_flash_cnt[2432][1]~q\,
	datad => \led_flash_cnt[2432][2]~q\,
	combout => \WideAnd2432~0_combout\);

-- Location: LCCOMB_X66_Y17_N26
\led_flash_cnt[2432][7]~60940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2432][7]~60940_combout\ = \led_flash_cnt[2432][7]~q\ $ (!\led_flash_cnt[2432][6]~60939\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2432][7]~q\,
	cin => \led_flash_cnt[2432][6]~60939\,
	combout => \led_flash_cnt[2432][7]~60940_combout\);

-- Location: FF_X66_Y17_N27
\led_flash_cnt[2432][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2432][7]~60940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2432][7]~q\);

-- Location: LCCOMB_X66_Y17_N8
WideAnd2432 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2432~combout\ = (\WideAnd2432~1_combout\ & (\WideAnd2432~0_combout\ & (\led_flash_cnt[2432][7]~q\ & \led_flash_cnt[2432][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2432~1_combout\,
	datab => \WideAnd2432~0_combout\,
	datac => \led_flash_cnt[2432][7]~q\,
	datad => \led_flash_cnt[2432][0]~q\,
	combout => \WideAnd2432~combout\);

-- Location: FF_X66_Y17_N9
\led_flash_cnt_ands[2432]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2432~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2432));

-- Location: LCCOMB_X63_Y17_N2
\WideAnd4144~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4144~0_combout\ = (led_flash_cnt_ands(2435) & (led_flash_cnt_ands(2434) & (led_flash_cnt_ands(2433) & led_flash_cnt_ands(2432))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2435),
	datab => led_flash_cnt_ands(2434),
	datac => led_flash_cnt_ands(2433),
	datad => led_flash_cnt_ands(2432),
	combout => \WideAnd4144~0_combout\);

-- Location: LCCOMB_X62_Y17_N12
WideAnd4144 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4144~combout\ = (led_flash_cnt_ands(2439) & (led_flash_cnt_ands(2438) & (\WideAnd4144~1_combout\ & \WideAnd4144~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2439),
	datab => led_flash_cnt_ands(2438),
	datac => \WideAnd4144~1_combout\,
	datad => \WideAnd4144~0_combout\,
	combout => \WideAnd4144~combout\);

-- Location: FF_X62_Y17_N13
\led_flash_cnt_ands_1[304]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4144~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(304));

-- Location: LCCOMB_X63_Y21_N24
\led_flash_cnt[2446][0]~83086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2446][0]~83086_combout\ = !\led_flash_cnt[2446][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2446][0]~q\,
	combout => \led_flash_cnt[2446][0]~83086_combout\);

-- Location: FF_X63_Y21_N25
\led_flash_cnt[2446][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2446][0]~83086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2446][0]~q\);

-- Location: LCCOMB_X63_Y21_N2
\led_flash_cnt[2446][1]~61124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2446][1]~61124_combout\ = (\led_flash_cnt[2446][1]~q\ & (\led_flash_cnt[2446][0]~q\ $ (VCC))) # (!\led_flash_cnt[2446][1]~q\ & (\led_flash_cnt[2446][0]~q\ & VCC))
-- \led_flash_cnt[2446][1]~61125\ = CARRY((\led_flash_cnt[2446][1]~q\ & \led_flash_cnt[2446][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2446][1]~q\,
	datab => \led_flash_cnt[2446][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2446][1]~61124_combout\,
	cout => \led_flash_cnt[2446][1]~61125\);

-- Location: FF_X63_Y21_N3
\led_flash_cnt[2446][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2446][1]~61124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2446][1]~q\);

-- Location: LCCOMB_X63_Y21_N4
\led_flash_cnt[2446][2]~61126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2446][2]~61126_combout\ = (\led_flash_cnt[2446][2]~q\ & (!\led_flash_cnt[2446][1]~61125\)) # (!\led_flash_cnt[2446][2]~q\ & ((\led_flash_cnt[2446][1]~61125\) # (GND)))
-- \led_flash_cnt[2446][2]~61127\ = CARRY((!\led_flash_cnt[2446][1]~61125\) # (!\led_flash_cnt[2446][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2446][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2446][1]~61125\,
	combout => \led_flash_cnt[2446][2]~61126_combout\,
	cout => \led_flash_cnt[2446][2]~61127\);

-- Location: FF_X63_Y21_N5
\led_flash_cnt[2446][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2446][2]~61126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2446][2]~q\);

-- Location: LCCOMB_X63_Y21_N6
\led_flash_cnt[2446][3]~61128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2446][3]~61128_combout\ = (\led_flash_cnt[2446][3]~q\ & (\led_flash_cnt[2446][2]~61127\ $ (GND))) # (!\led_flash_cnt[2446][3]~q\ & (!\led_flash_cnt[2446][2]~61127\ & VCC))
-- \led_flash_cnt[2446][3]~61129\ = CARRY((\led_flash_cnt[2446][3]~q\ & !\led_flash_cnt[2446][2]~61127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2446][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2446][2]~61127\,
	combout => \led_flash_cnt[2446][3]~61128_combout\,
	cout => \led_flash_cnt[2446][3]~61129\);

-- Location: FF_X63_Y21_N7
\led_flash_cnt[2446][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2446][3]~61128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2446][3]~q\);

-- Location: LCCOMB_X63_Y21_N8
\led_flash_cnt[2446][4]~61130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2446][4]~61130_combout\ = (\led_flash_cnt[2446][4]~q\ & (!\led_flash_cnt[2446][3]~61129\)) # (!\led_flash_cnt[2446][4]~q\ & ((\led_flash_cnt[2446][3]~61129\) # (GND)))
-- \led_flash_cnt[2446][4]~61131\ = CARRY((!\led_flash_cnt[2446][3]~61129\) # (!\led_flash_cnt[2446][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2446][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2446][3]~61129\,
	combout => \led_flash_cnt[2446][4]~61130_combout\,
	cout => \led_flash_cnt[2446][4]~61131\);

-- Location: FF_X63_Y21_N9
\led_flash_cnt[2446][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2446][4]~61130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2446][4]~q\);

-- Location: LCCOMB_X63_Y21_N10
\led_flash_cnt[2446][5]~61132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2446][5]~61132_combout\ = (\led_flash_cnt[2446][5]~q\ & (\led_flash_cnt[2446][4]~61131\ $ (GND))) # (!\led_flash_cnt[2446][5]~q\ & (!\led_flash_cnt[2446][4]~61131\ & VCC))
-- \led_flash_cnt[2446][5]~61133\ = CARRY((\led_flash_cnt[2446][5]~q\ & !\led_flash_cnt[2446][4]~61131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2446][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2446][4]~61131\,
	combout => \led_flash_cnt[2446][5]~61132_combout\,
	cout => \led_flash_cnt[2446][5]~61133\);

-- Location: FF_X63_Y21_N11
\led_flash_cnt[2446][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2446][5]~61132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2446][5]~q\);

-- Location: LCCOMB_X63_Y21_N12
\led_flash_cnt[2446][6]~61134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2446][6]~61134_combout\ = (\led_flash_cnt[2446][6]~q\ & (!\led_flash_cnt[2446][5]~61133\)) # (!\led_flash_cnt[2446][6]~q\ & ((\led_flash_cnt[2446][5]~61133\) # (GND)))
-- \led_flash_cnt[2446][6]~61135\ = CARRY((!\led_flash_cnt[2446][5]~61133\) # (!\led_flash_cnt[2446][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2446][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2446][5]~61133\,
	combout => \led_flash_cnt[2446][6]~61134_combout\,
	cout => \led_flash_cnt[2446][6]~61135\);

-- Location: FF_X63_Y21_N13
\led_flash_cnt[2446][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2446][6]~61134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2446][6]~q\);

-- Location: LCCOMB_X63_Y21_N26
\WideAnd2446~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2446~1_combout\ = (\led_flash_cnt[2446][6]~q\ & \led_flash_cnt[2446][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2446][6]~q\,
	datad => \led_flash_cnt[2446][5]~q\,
	combout => \WideAnd2446~1_combout\);

-- Location: LCCOMB_X63_Y21_N14
\led_flash_cnt[2446][7]~61136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2446][7]~61136_combout\ = \led_flash_cnt[2446][7]~q\ $ (!\led_flash_cnt[2446][6]~61135\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2446][7]~q\,
	cin => \led_flash_cnt[2446][6]~61135\,
	combout => \led_flash_cnt[2446][7]~61136_combout\);

-- Location: FF_X63_Y21_N15
\led_flash_cnt[2446][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2446][7]~61136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2446][7]~q\);

-- Location: LCCOMB_X63_Y21_N18
\WideAnd2446~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2446~0_combout\ = (\led_flash_cnt[2446][1]~q\ & (\led_flash_cnt[2446][4]~q\ & (\led_flash_cnt[2446][2]~q\ & \led_flash_cnt[2446][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2446][1]~q\,
	datab => \led_flash_cnt[2446][4]~q\,
	datac => \led_flash_cnt[2446][2]~q\,
	datad => \led_flash_cnt[2446][3]~q\,
	combout => \WideAnd2446~0_combout\);

-- Location: LCCOMB_X63_Y21_N22
WideAnd2446 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2446~combout\ = (\WideAnd2446~1_combout\ & (\led_flash_cnt[2446][0]~q\ & (\led_flash_cnt[2446][7]~q\ & \WideAnd2446~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2446~1_combout\,
	datab => \led_flash_cnt[2446][0]~q\,
	datac => \led_flash_cnt[2446][7]~q\,
	datad => \WideAnd2446~0_combout\,
	combout => \WideAnd2446~combout\);

-- Location: FF_X63_Y21_N23
\led_flash_cnt_ands[2446]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2446~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2446));

-- Location: LCCOMB_X62_Y17_N6
\led_flash_cnt[2447][0]~83087\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2447][0]~83087_combout\ = !\led_flash_cnt[2447][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2447][0]~q\,
	combout => \led_flash_cnt[2447][0]~83087_combout\);

-- Location: FF_X62_Y17_N7
\led_flash_cnt[2447][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2447][0]~83087_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2447][0]~q\);

-- Location: LCCOMB_X62_Y17_N16
\led_flash_cnt[2447][1]~61138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2447][1]~61138_combout\ = (\led_flash_cnt[2447][0]~q\ & (\led_flash_cnt[2447][1]~q\ $ (VCC))) # (!\led_flash_cnt[2447][0]~q\ & (\led_flash_cnt[2447][1]~q\ & VCC))
-- \led_flash_cnt[2447][1]~61139\ = CARRY((\led_flash_cnt[2447][0]~q\ & \led_flash_cnt[2447][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2447][0]~q\,
	datab => \led_flash_cnt[2447][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2447][1]~61138_combout\,
	cout => \led_flash_cnt[2447][1]~61139\);

-- Location: FF_X62_Y17_N17
\led_flash_cnt[2447][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2447][1]~61138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2447][1]~q\);

-- Location: LCCOMB_X62_Y17_N18
\led_flash_cnt[2447][2]~61140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2447][2]~61140_combout\ = (\led_flash_cnt[2447][2]~q\ & (!\led_flash_cnt[2447][1]~61139\)) # (!\led_flash_cnt[2447][2]~q\ & ((\led_flash_cnt[2447][1]~61139\) # (GND)))
-- \led_flash_cnt[2447][2]~61141\ = CARRY((!\led_flash_cnt[2447][1]~61139\) # (!\led_flash_cnt[2447][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2447][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2447][1]~61139\,
	combout => \led_flash_cnt[2447][2]~61140_combout\,
	cout => \led_flash_cnt[2447][2]~61141\);

-- Location: FF_X62_Y17_N19
\led_flash_cnt[2447][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2447][2]~61140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2447][2]~q\);

-- Location: LCCOMB_X62_Y17_N20
\led_flash_cnt[2447][3]~61142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2447][3]~61142_combout\ = (\led_flash_cnt[2447][3]~q\ & (\led_flash_cnt[2447][2]~61141\ $ (GND))) # (!\led_flash_cnt[2447][3]~q\ & (!\led_flash_cnt[2447][2]~61141\ & VCC))
-- \led_flash_cnt[2447][3]~61143\ = CARRY((\led_flash_cnt[2447][3]~q\ & !\led_flash_cnt[2447][2]~61141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2447][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2447][2]~61141\,
	combout => \led_flash_cnt[2447][3]~61142_combout\,
	cout => \led_flash_cnt[2447][3]~61143\);

-- Location: FF_X62_Y17_N21
\led_flash_cnt[2447][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2447][3]~61142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2447][3]~q\);

-- Location: LCCOMB_X62_Y17_N22
\led_flash_cnt[2447][4]~61144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2447][4]~61144_combout\ = (\led_flash_cnt[2447][4]~q\ & (!\led_flash_cnt[2447][3]~61143\)) # (!\led_flash_cnt[2447][4]~q\ & ((\led_flash_cnt[2447][3]~61143\) # (GND)))
-- \led_flash_cnt[2447][4]~61145\ = CARRY((!\led_flash_cnt[2447][3]~61143\) # (!\led_flash_cnt[2447][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2447][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2447][3]~61143\,
	combout => \led_flash_cnt[2447][4]~61144_combout\,
	cout => \led_flash_cnt[2447][4]~61145\);

-- Location: FF_X62_Y17_N23
\led_flash_cnt[2447][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2447][4]~61144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2447][4]~q\);

-- Location: LCCOMB_X62_Y17_N24
\led_flash_cnt[2447][5]~61146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2447][5]~61146_combout\ = (\led_flash_cnt[2447][5]~q\ & (\led_flash_cnt[2447][4]~61145\ $ (GND))) # (!\led_flash_cnt[2447][5]~q\ & (!\led_flash_cnt[2447][4]~61145\ & VCC))
-- \led_flash_cnt[2447][5]~61147\ = CARRY((\led_flash_cnt[2447][5]~q\ & !\led_flash_cnt[2447][4]~61145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2447][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2447][4]~61145\,
	combout => \led_flash_cnt[2447][5]~61146_combout\,
	cout => \led_flash_cnt[2447][5]~61147\);

-- Location: FF_X62_Y17_N25
\led_flash_cnt[2447][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2447][5]~61146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2447][5]~q\);

-- Location: LCCOMB_X62_Y17_N26
\led_flash_cnt[2447][6]~61148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2447][6]~61148_combout\ = (\led_flash_cnt[2447][6]~q\ & (!\led_flash_cnt[2447][5]~61147\)) # (!\led_flash_cnt[2447][6]~q\ & ((\led_flash_cnt[2447][5]~61147\) # (GND)))
-- \led_flash_cnt[2447][6]~61149\ = CARRY((!\led_flash_cnt[2447][5]~61147\) # (!\led_flash_cnt[2447][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2447][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2447][5]~61147\,
	combout => \led_flash_cnt[2447][6]~61148_combout\,
	cout => \led_flash_cnt[2447][6]~61149\);

-- Location: FF_X62_Y17_N27
\led_flash_cnt[2447][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2447][6]~61148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2447][6]~q\);

-- Location: LCCOMB_X62_Y17_N28
\led_flash_cnt[2447][7]~61150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2447][7]~61150_combout\ = \led_flash_cnt[2447][6]~61149\ $ (!\led_flash_cnt[2447][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2447][7]~q\,
	cin => \led_flash_cnt[2447][6]~61149\,
	combout => \led_flash_cnt[2447][7]~61150_combout\);

-- Location: FF_X62_Y17_N29
\led_flash_cnt[2447][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2447][7]~61150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2447][7]~q\);

-- Location: LCCOMB_X62_Y17_N8
\WideAnd2447~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2447~1_combout\ = (\led_flash_cnt[2447][6]~q\ & \led_flash_cnt[2447][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2447][6]~q\,
	datad => \led_flash_cnt[2447][5]~q\,
	combout => \WideAnd2447~1_combout\);

-- Location: LCCOMB_X62_Y17_N10
\WideAnd2447~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2447~0_combout\ = (\led_flash_cnt[2447][3]~q\ & (\led_flash_cnt[2447][2]~q\ & (\led_flash_cnt[2447][4]~q\ & \led_flash_cnt[2447][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2447][3]~q\,
	datab => \led_flash_cnt[2447][2]~q\,
	datac => \led_flash_cnt[2447][4]~q\,
	datad => \led_flash_cnt[2447][1]~q\,
	combout => \WideAnd2447~0_combout\);

-- Location: LCCOMB_X62_Y17_N4
WideAnd2447 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2447~combout\ = (\led_flash_cnt[2447][0]~q\ & (\led_flash_cnt[2447][7]~q\ & (\WideAnd2447~1_combout\ & \WideAnd2447~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2447][0]~q\,
	datab => \led_flash_cnt[2447][7]~q\,
	datac => \WideAnd2447~1_combout\,
	datad => \WideAnd2447~0_combout\,
	combout => \WideAnd2447~combout\);

-- Location: FF_X62_Y17_N5
\led_flash_cnt_ands[2447]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2447~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2447));

-- Location: LCCOMB_X30_Y30_N2
\led_flash_cnt[2445][0]~83085\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2445][0]~83085_combout\ = !\led_flash_cnt[2445][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2445][0]~q\,
	combout => \led_flash_cnt[2445][0]~83085_combout\);

-- Location: FF_X30_Y30_N3
\led_flash_cnt[2445][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2445][0]~83085_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2445][0]~q\);

-- Location: LCCOMB_X29_Y30_N2
\led_flash_cnt[2445][1]~61110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2445][1]~61110_combout\ = (\led_flash_cnt[2445][0]~q\ & (\led_flash_cnt[2445][1]~q\ $ (VCC))) # (!\led_flash_cnt[2445][0]~q\ & (\led_flash_cnt[2445][1]~q\ & VCC))
-- \led_flash_cnt[2445][1]~61111\ = CARRY((\led_flash_cnt[2445][0]~q\ & \led_flash_cnt[2445][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2445][0]~q\,
	datab => \led_flash_cnt[2445][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2445][1]~61110_combout\,
	cout => \led_flash_cnt[2445][1]~61111\);

-- Location: FF_X29_Y30_N3
\led_flash_cnt[2445][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2445][1]~61110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2445][1]~q\);

-- Location: LCCOMB_X29_Y30_N4
\led_flash_cnt[2445][2]~61112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2445][2]~61112_combout\ = (\led_flash_cnt[2445][2]~q\ & (!\led_flash_cnt[2445][1]~61111\)) # (!\led_flash_cnt[2445][2]~q\ & ((\led_flash_cnt[2445][1]~61111\) # (GND)))
-- \led_flash_cnt[2445][2]~61113\ = CARRY((!\led_flash_cnt[2445][1]~61111\) # (!\led_flash_cnt[2445][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2445][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2445][1]~61111\,
	combout => \led_flash_cnt[2445][2]~61112_combout\,
	cout => \led_flash_cnt[2445][2]~61113\);

-- Location: FF_X29_Y30_N5
\led_flash_cnt[2445][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2445][2]~61112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2445][2]~q\);

-- Location: LCCOMB_X29_Y30_N6
\led_flash_cnt[2445][3]~61114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2445][3]~61114_combout\ = (\led_flash_cnt[2445][3]~q\ & (\led_flash_cnt[2445][2]~61113\ $ (GND))) # (!\led_flash_cnt[2445][3]~q\ & (!\led_flash_cnt[2445][2]~61113\ & VCC))
-- \led_flash_cnt[2445][3]~61115\ = CARRY((\led_flash_cnt[2445][3]~q\ & !\led_flash_cnt[2445][2]~61113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2445][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2445][2]~61113\,
	combout => \led_flash_cnt[2445][3]~61114_combout\,
	cout => \led_flash_cnt[2445][3]~61115\);

-- Location: FF_X29_Y30_N7
\led_flash_cnt[2445][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2445][3]~61114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2445][3]~q\);

-- Location: LCCOMB_X29_Y30_N8
\led_flash_cnt[2445][4]~61116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2445][4]~61116_combout\ = (\led_flash_cnt[2445][4]~q\ & (!\led_flash_cnt[2445][3]~61115\)) # (!\led_flash_cnt[2445][4]~q\ & ((\led_flash_cnt[2445][3]~61115\) # (GND)))
-- \led_flash_cnt[2445][4]~61117\ = CARRY((!\led_flash_cnt[2445][3]~61115\) # (!\led_flash_cnt[2445][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2445][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2445][3]~61115\,
	combout => \led_flash_cnt[2445][4]~61116_combout\,
	cout => \led_flash_cnt[2445][4]~61117\);

-- Location: FF_X29_Y30_N9
\led_flash_cnt[2445][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2445][4]~61116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2445][4]~q\);

-- Location: LCCOMB_X29_Y30_N10
\led_flash_cnt[2445][5]~61118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2445][5]~61118_combout\ = (\led_flash_cnt[2445][5]~q\ & (\led_flash_cnt[2445][4]~61117\ $ (GND))) # (!\led_flash_cnt[2445][5]~q\ & (!\led_flash_cnt[2445][4]~61117\ & VCC))
-- \led_flash_cnt[2445][5]~61119\ = CARRY((\led_flash_cnt[2445][5]~q\ & !\led_flash_cnt[2445][4]~61117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2445][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2445][4]~61117\,
	combout => \led_flash_cnt[2445][5]~61118_combout\,
	cout => \led_flash_cnt[2445][5]~61119\);

-- Location: FF_X29_Y30_N11
\led_flash_cnt[2445][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2445][5]~61118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2445][5]~q\);

-- Location: LCCOMB_X29_Y30_N12
\led_flash_cnt[2445][6]~61120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2445][6]~61120_combout\ = (\led_flash_cnt[2445][6]~q\ & (!\led_flash_cnt[2445][5]~61119\)) # (!\led_flash_cnt[2445][6]~q\ & ((\led_flash_cnt[2445][5]~61119\) # (GND)))
-- \led_flash_cnt[2445][6]~61121\ = CARRY((!\led_flash_cnt[2445][5]~61119\) # (!\led_flash_cnt[2445][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2445][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2445][5]~61119\,
	combout => \led_flash_cnt[2445][6]~61120_combout\,
	cout => \led_flash_cnt[2445][6]~61121\);

-- Location: FF_X29_Y30_N13
\led_flash_cnt[2445][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2445][6]~61120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2445][6]~q\);

-- Location: LCCOMB_X29_Y30_N14
\led_flash_cnt[2445][7]~61122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2445][7]~61122_combout\ = \led_flash_cnt[2445][7]~q\ $ (!\led_flash_cnt[2445][6]~61121\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2445][7]~q\,
	cin => \led_flash_cnt[2445][6]~61121\,
	combout => \led_flash_cnt[2445][7]~61122_combout\);

-- Location: FF_X29_Y30_N15
\led_flash_cnt[2445][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2445][7]~61122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2445][7]~q\);

-- Location: LCCOMB_X30_Y30_N16
\WideAnd2445~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2445~1_combout\ = (\led_flash_cnt[2445][6]~q\ & \led_flash_cnt[2445][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2445][6]~q\,
	datad => \led_flash_cnt[2445][5]~q\,
	combout => \WideAnd2445~1_combout\);

-- Location: LCCOMB_X29_Y30_N16
\WideAnd2445~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2445~0_combout\ = (\led_flash_cnt[2445][3]~q\ & (\led_flash_cnt[2445][4]~q\ & (\led_flash_cnt[2445][2]~q\ & \led_flash_cnt[2445][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2445][3]~q\,
	datab => \led_flash_cnt[2445][4]~q\,
	datac => \led_flash_cnt[2445][2]~q\,
	datad => \led_flash_cnt[2445][1]~q\,
	combout => \WideAnd2445~0_combout\);

-- Location: LCCOMB_X30_Y30_N8
WideAnd2445 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2445~combout\ = (\led_flash_cnt[2445][7]~q\ & (\WideAnd2445~1_combout\ & (\WideAnd2445~0_combout\ & \led_flash_cnt[2445][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2445][7]~q\,
	datab => \WideAnd2445~1_combout\,
	datac => \WideAnd2445~0_combout\,
	datad => \led_flash_cnt[2445][0]~q\,
	combout => \WideAnd2445~combout\);

-- Location: FF_X30_Y30_N9
\led_flash_cnt_ands[2445]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2445~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2445));

-- Location: LCCOMB_X30_Y30_N10
\led_flash_cnt[2444][0]~83084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2444][0]~83084_combout\ = !\led_flash_cnt[2444][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2444][0]~q\,
	combout => \led_flash_cnt[2444][0]~83084_combout\);

-- Location: FF_X30_Y30_N11
\led_flash_cnt[2444][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2444][0]~83084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2444][0]~q\);

-- Location: LCCOMB_X30_Y30_N18
\led_flash_cnt[2444][1]~61096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2444][1]~61096_combout\ = (\led_flash_cnt[2444][0]~q\ & (\led_flash_cnt[2444][1]~q\ $ (VCC))) # (!\led_flash_cnt[2444][0]~q\ & (\led_flash_cnt[2444][1]~q\ & VCC))
-- \led_flash_cnt[2444][1]~61097\ = CARRY((\led_flash_cnt[2444][0]~q\ & \led_flash_cnt[2444][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2444][0]~q\,
	datab => \led_flash_cnt[2444][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2444][1]~61096_combout\,
	cout => \led_flash_cnt[2444][1]~61097\);

-- Location: FF_X30_Y30_N19
\led_flash_cnt[2444][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2444][1]~61096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2444][1]~q\);

-- Location: LCCOMB_X30_Y30_N20
\led_flash_cnt[2444][2]~61098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2444][2]~61098_combout\ = (\led_flash_cnt[2444][2]~q\ & (!\led_flash_cnt[2444][1]~61097\)) # (!\led_flash_cnt[2444][2]~q\ & ((\led_flash_cnt[2444][1]~61097\) # (GND)))
-- \led_flash_cnt[2444][2]~61099\ = CARRY((!\led_flash_cnt[2444][1]~61097\) # (!\led_flash_cnt[2444][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2444][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2444][1]~61097\,
	combout => \led_flash_cnt[2444][2]~61098_combout\,
	cout => \led_flash_cnt[2444][2]~61099\);

-- Location: FF_X30_Y30_N21
\led_flash_cnt[2444][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2444][2]~61098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2444][2]~q\);

-- Location: LCCOMB_X30_Y30_N22
\led_flash_cnt[2444][3]~61100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2444][3]~61100_combout\ = (\led_flash_cnt[2444][3]~q\ & (\led_flash_cnt[2444][2]~61099\ $ (GND))) # (!\led_flash_cnt[2444][3]~q\ & (!\led_flash_cnt[2444][2]~61099\ & VCC))
-- \led_flash_cnt[2444][3]~61101\ = CARRY((\led_flash_cnt[2444][3]~q\ & !\led_flash_cnt[2444][2]~61099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2444][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2444][2]~61099\,
	combout => \led_flash_cnt[2444][3]~61100_combout\,
	cout => \led_flash_cnt[2444][3]~61101\);

-- Location: FF_X30_Y30_N23
\led_flash_cnt[2444][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2444][3]~61100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2444][3]~q\);

-- Location: LCCOMB_X30_Y30_N24
\led_flash_cnt[2444][4]~61102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2444][4]~61102_combout\ = (\led_flash_cnt[2444][4]~q\ & (!\led_flash_cnt[2444][3]~61101\)) # (!\led_flash_cnt[2444][4]~q\ & ((\led_flash_cnt[2444][3]~61101\) # (GND)))
-- \led_flash_cnt[2444][4]~61103\ = CARRY((!\led_flash_cnt[2444][3]~61101\) # (!\led_flash_cnt[2444][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2444][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2444][3]~61101\,
	combout => \led_flash_cnt[2444][4]~61102_combout\,
	cout => \led_flash_cnt[2444][4]~61103\);

-- Location: FF_X30_Y30_N25
\led_flash_cnt[2444][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2444][4]~61102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2444][4]~q\);

-- Location: LCCOMB_X30_Y30_N26
\led_flash_cnt[2444][5]~61104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2444][5]~61104_combout\ = (\led_flash_cnt[2444][5]~q\ & (\led_flash_cnt[2444][4]~61103\ $ (GND))) # (!\led_flash_cnt[2444][5]~q\ & (!\led_flash_cnt[2444][4]~61103\ & VCC))
-- \led_flash_cnt[2444][5]~61105\ = CARRY((\led_flash_cnt[2444][5]~q\ & !\led_flash_cnt[2444][4]~61103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2444][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2444][4]~61103\,
	combout => \led_flash_cnt[2444][5]~61104_combout\,
	cout => \led_flash_cnt[2444][5]~61105\);

-- Location: FF_X30_Y30_N27
\led_flash_cnt[2444][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2444][5]~61104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2444][5]~q\);

-- Location: LCCOMB_X30_Y30_N28
\led_flash_cnt[2444][6]~61106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2444][6]~61106_combout\ = (\led_flash_cnt[2444][6]~q\ & (!\led_flash_cnt[2444][5]~61105\)) # (!\led_flash_cnt[2444][6]~q\ & ((\led_flash_cnt[2444][5]~61105\) # (GND)))
-- \led_flash_cnt[2444][6]~61107\ = CARRY((!\led_flash_cnt[2444][5]~61105\) # (!\led_flash_cnt[2444][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2444][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2444][5]~61105\,
	combout => \led_flash_cnt[2444][6]~61106_combout\,
	cout => \led_flash_cnt[2444][6]~61107\);

-- Location: FF_X30_Y30_N29
\led_flash_cnt[2444][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2444][6]~61106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2444][6]~q\);

-- Location: LCCOMB_X30_Y30_N30
\led_flash_cnt[2444][7]~61108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2444][7]~61108_combout\ = \led_flash_cnt[2444][7]~q\ $ (!\led_flash_cnt[2444][6]~61107\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2444][7]~q\,
	cin => \led_flash_cnt[2444][6]~61107\,
	combout => \led_flash_cnt[2444][7]~61108_combout\);

-- Location: FF_X30_Y30_N31
\led_flash_cnt[2444][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2444][7]~61108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2444][7]~q\);

-- Location: LCCOMB_X30_Y30_N4
\WideAnd2444~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2444~1_combout\ = (\led_flash_cnt[2444][7]~q\ & \led_flash_cnt[2444][1]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2444][7]~q\,
	datad => \led_flash_cnt[2444][1]~q\,
	combout => \WideAnd2444~1_combout\);

-- Location: LCCOMB_X30_Y30_N12
\WideAnd2444~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2444~0_combout\ = (\led_flash_cnt[2444][6]~q\ & (\led_flash_cnt[2444][4]~q\ & (\led_flash_cnt[2444][5]~q\ & \led_flash_cnt[2444][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2444][6]~q\,
	datab => \led_flash_cnt[2444][4]~q\,
	datac => \led_flash_cnt[2444][5]~q\,
	datad => \led_flash_cnt[2444][2]~q\,
	combout => \WideAnd2444~0_combout\);

-- Location: LCCOMB_X30_Y30_N0
WideAnd2444 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2444~combout\ = (\led_flash_cnt[2444][0]~q\ & (\WideAnd2444~1_combout\ & (\led_flash_cnt[2444][3]~q\ & \WideAnd2444~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2444][0]~q\,
	datab => \WideAnd2444~1_combout\,
	datac => \led_flash_cnt[2444][3]~q\,
	datad => \WideAnd2444~0_combout\,
	combout => \WideAnd2444~combout\);

-- Location: FF_X30_Y30_N1
\led_flash_cnt_ands[2444]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2444~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2444));

-- Location: LCCOMB_X30_Y30_N6
\WideAnd4145~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4145~1_combout\ = (led_flash_cnt_ands(2445) & led_flash_cnt_ands(2444))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2445),
	datad => led_flash_cnt_ands(2444),
	combout => \WideAnd4145~1_combout\);

-- Location: LCCOMB_X63_Y1_N26
\led_flash_cnt[2442][0]~83082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2442][0]~83082_combout\ = !\led_flash_cnt[2442][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2442][0]~q\,
	combout => \led_flash_cnt[2442][0]~83082_combout\);

-- Location: FF_X63_Y1_N27
\led_flash_cnt[2442][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2442][0]~83082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2442][0]~q\);

-- Location: LCCOMB_X63_Y1_N2
\led_flash_cnt[2442][1]~61068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2442][1]~61068_combout\ = (\led_flash_cnt[2442][0]~q\ & (\led_flash_cnt[2442][1]~q\ $ (VCC))) # (!\led_flash_cnt[2442][0]~q\ & (\led_flash_cnt[2442][1]~q\ & VCC))
-- \led_flash_cnt[2442][1]~61069\ = CARRY((\led_flash_cnt[2442][0]~q\ & \led_flash_cnt[2442][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2442][0]~q\,
	datab => \led_flash_cnt[2442][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2442][1]~61068_combout\,
	cout => \led_flash_cnt[2442][1]~61069\);

-- Location: FF_X63_Y1_N3
\led_flash_cnt[2442][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2442][1]~61068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2442][1]~q\);

-- Location: LCCOMB_X63_Y1_N4
\led_flash_cnt[2442][2]~61070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2442][2]~61070_combout\ = (\led_flash_cnt[2442][2]~q\ & (!\led_flash_cnt[2442][1]~61069\)) # (!\led_flash_cnt[2442][2]~q\ & ((\led_flash_cnt[2442][1]~61069\) # (GND)))
-- \led_flash_cnt[2442][2]~61071\ = CARRY((!\led_flash_cnt[2442][1]~61069\) # (!\led_flash_cnt[2442][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2442][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2442][1]~61069\,
	combout => \led_flash_cnt[2442][2]~61070_combout\,
	cout => \led_flash_cnt[2442][2]~61071\);

-- Location: FF_X63_Y1_N5
\led_flash_cnt[2442][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2442][2]~61070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2442][2]~q\);

-- Location: LCCOMB_X63_Y1_N6
\led_flash_cnt[2442][3]~61072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2442][3]~61072_combout\ = (\led_flash_cnt[2442][3]~q\ & (\led_flash_cnt[2442][2]~61071\ $ (GND))) # (!\led_flash_cnt[2442][3]~q\ & (!\led_flash_cnt[2442][2]~61071\ & VCC))
-- \led_flash_cnt[2442][3]~61073\ = CARRY((\led_flash_cnt[2442][3]~q\ & !\led_flash_cnt[2442][2]~61071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2442][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2442][2]~61071\,
	combout => \led_flash_cnt[2442][3]~61072_combout\,
	cout => \led_flash_cnt[2442][3]~61073\);

-- Location: FF_X63_Y1_N7
\led_flash_cnt[2442][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2442][3]~61072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2442][3]~q\);

-- Location: LCCOMB_X63_Y1_N8
\led_flash_cnt[2442][4]~61074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2442][4]~61074_combout\ = (\led_flash_cnt[2442][4]~q\ & (!\led_flash_cnt[2442][3]~61073\)) # (!\led_flash_cnt[2442][4]~q\ & ((\led_flash_cnt[2442][3]~61073\) # (GND)))
-- \led_flash_cnt[2442][4]~61075\ = CARRY((!\led_flash_cnt[2442][3]~61073\) # (!\led_flash_cnt[2442][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2442][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2442][3]~61073\,
	combout => \led_flash_cnt[2442][4]~61074_combout\,
	cout => \led_flash_cnt[2442][4]~61075\);

-- Location: FF_X63_Y1_N9
\led_flash_cnt[2442][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2442][4]~61074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2442][4]~q\);

-- Location: LCCOMB_X63_Y1_N10
\led_flash_cnt[2442][5]~61076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2442][5]~61076_combout\ = (\led_flash_cnt[2442][5]~q\ & (\led_flash_cnt[2442][4]~61075\ $ (GND))) # (!\led_flash_cnt[2442][5]~q\ & (!\led_flash_cnt[2442][4]~61075\ & VCC))
-- \led_flash_cnt[2442][5]~61077\ = CARRY((\led_flash_cnt[2442][5]~q\ & !\led_flash_cnt[2442][4]~61075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2442][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2442][4]~61075\,
	combout => \led_flash_cnt[2442][5]~61076_combout\,
	cout => \led_flash_cnt[2442][5]~61077\);

-- Location: FF_X63_Y1_N11
\led_flash_cnt[2442][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2442][5]~61076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2442][5]~q\);

-- Location: LCCOMB_X63_Y1_N12
\led_flash_cnt[2442][6]~61078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2442][6]~61078_combout\ = (\led_flash_cnt[2442][6]~q\ & (!\led_flash_cnt[2442][5]~61077\)) # (!\led_flash_cnt[2442][6]~q\ & ((\led_flash_cnt[2442][5]~61077\) # (GND)))
-- \led_flash_cnt[2442][6]~61079\ = CARRY((!\led_flash_cnt[2442][5]~61077\) # (!\led_flash_cnt[2442][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2442][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2442][5]~61077\,
	combout => \led_flash_cnt[2442][6]~61078_combout\,
	cout => \led_flash_cnt[2442][6]~61079\);

-- Location: FF_X63_Y1_N13
\led_flash_cnt[2442][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2442][6]~61078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2442][6]~q\);

-- Location: LCCOMB_X63_Y1_N24
\WideAnd2442~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2442~1_combout\ = (\led_flash_cnt[2442][5]~q\ & \led_flash_cnt[2442][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2442][5]~q\,
	datad => \led_flash_cnt[2442][6]~q\,
	combout => \WideAnd2442~1_combout\);

-- Location: LCCOMB_X63_Y1_N14
\led_flash_cnt[2442][7]~61080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2442][7]~61080_combout\ = \led_flash_cnt[2442][7]~q\ $ (!\led_flash_cnt[2442][6]~61079\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2442][7]~q\,
	cin => \led_flash_cnt[2442][6]~61079\,
	combout => \led_flash_cnt[2442][7]~61080_combout\);

-- Location: FF_X63_Y1_N15
\led_flash_cnt[2442][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2442][7]~61080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2442][7]~q\);

-- Location: LCCOMB_X63_Y1_N18
\WideAnd2442~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2442~0_combout\ = (\led_flash_cnt[2442][3]~q\ & (\led_flash_cnt[2442][4]~q\ & (\led_flash_cnt[2442][2]~q\ & \led_flash_cnt[2442][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2442][3]~q\,
	datab => \led_flash_cnt[2442][4]~q\,
	datac => \led_flash_cnt[2442][2]~q\,
	datad => \led_flash_cnt[2442][1]~q\,
	combout => \WideAnd2442~0_combout\);

-- Location: LCCOMB_X63_Y1_N22
WideAnd2442 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2442~combout\ = (\led_flash_cnt[2442][0]~q\ & (\WideAnd2442~1_combout\ & (\led_flash_cnt[2442][7]~q\ & \WideAnd2442~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2442][0]~q\,
	datab => \WideAnd2442~1_combout\,
	datac => \led_flash_cnt[2442][7]~q\,
	datad => \WideAnd2442~0_combout\,
	combout => \WideAnd2442~combout\);

-- Location: FF_X63_Y1_N23
\led_flash_cnt_ands[2442]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2442~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2442));

-- Location: LCCOMB_X67_Y1_N10
\led_flash_cnt[2441][0]~83081\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2441][0]~83081_combout\ = !\led_flash_cnt[2441][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2441][0]~q\,
	combout => \led_flash_cnt[2441][0]~83081_combout\);

-- Location: FF_X67_Y1_N11
\led_flash_cnt[2441][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2441][0]~83081_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2441][0]~q\);

-- Location: LCCOMB_X67_Y1_N12
\led_flash_cnt[2441][1]~61054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2441][1]~61054_combout\ = (\led_flash_cnt[2441][1]~q\ & (\led_flash_cnt[2441][0]~q\ $ (VCC))) # (!\led_flash_cnt[2441][1]~q\ & (\led_flash_cnt[2441][0]~q\ & VCC))
-- \led_flash_cnt[2441][1]~61055\ = CARRY((\led_flash_cnt[2441][1]~q\ & \led_flash_cnt[2441][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2441][1]~q\,
	datab => \led_flash_cnt[2441][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2441][1]~61054_combout\,
	cout => \led_flash_cnt[2441][1]~61055\);

-- Location: FF_X67_Y1_N13
\led_flash_cnt[2441][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2441][1]~61054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2441][1]~q\);

-- Location: LCCOMB_X67_Y1_N14
\led_flash_cnt[2441][2]~61056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2441][2]~61056_combout\ = (\led_flash_cnt[2441][2]~q\ & (!\led_flash_cnt[2441][1]~61055\)) # (!\led_flash_cnt[2441][2]~q\ & ((\led_flash_cnt[2441][1]~61055\) # (GND)))
-- \led_flash_cnt[2441][2]~61057\ = CARRY((!\led_flash_cnt[2441][1]~61055\) # (!\led_flash_cnt[2441][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2441][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2441][1]~61055\,
	combout => \led_flash_cnt[2441][2]~61056_combout\,
	cout => \led_flash_cnt[2441][2]~61057\);

-- Location: FF_X67_Y1_N15
\led_flash_cnt[2441][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2441][2]~61056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2441][2]~q\);

-- Location: LCCOMB_X67_Y1_N16
\led_flash_cnt[2441][3]~61058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2441][3]~61058_combout\ = (\led_flash_cnt[2441][3]~q\ & (\led_flash_cnt[2441][2]~61057\ $ (GND))) # (!\led_flash_cnt[2441][3]~q\ & (!\led_flash_cnt[2441][2]~61057\ & VCC))
-- \led_flash_cnt[2441][3]~61059\ = CARRY((\led_flash_cnt[2441][3]~q\ & !\led_flash_cnt[2441][2]~61057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2441][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2441][2]~61057\,
	combout => \led_flash_cnt[2441][3]~61058_combout\,
	cout => \led_flash_cnt[2441][3]~61059\);

-- Location: FF_X67_Y1_N17
\led_flash_cnt[2441][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2441][3]~61058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2441][3]~q\);

-- Location: LCCOMB_X67_Y1_N18
\led_flash_cnt[2441][4]~61060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2441][4]~61060_combout\ = (\led_flash_cnt[2441][4]~q\ & (!\led_flash_cnt[2441][3]~61059\)) # (!\led_flash_cnt[2441][4]~q\ & ((\led_flash_cnt[2441][3]~61059\) # (GND)))
-- \led_flash_cnt[2441][4]~61061\ = CARRY((!\led_flash_cnt[2441][3]~61059\) # (!\led_flash_cnt[2441][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2441][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2441][3]~61059\,
	combout => \led_flash_cnt[2441][4]~61060_combout\,
	cout => \led_flash_cnt[2441][4]~61061\);

-- Location: FF_X67_Y1_N19
\led_flash_cnt[2441][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2441][4]~61060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2441][4]~q\);

-- Location: LCCOMB_X67_Y1_N20
\led_flash_cnt[2441][5]~61062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2441][5]~61062_combout\ = (\led_flash_cnt[2441][5]~q\ & (\led_flash_cnt[2441][4]~61061\ $ (GND))) # (!\led_flash_cnt[2441][5]~q\ & (!\led_flash_cnt[2441][4]~61061\ & VCC))
-- \led_flash_cnt[2441][5]~61063\ = CARRY((\led_flash_cnt[2441][5]~q\ & !\led_flash_cnt[2441][4]~61061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2441][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2441][4]~61061\,
	combout => \led_flash_cnt[2441][5]~61062_combout\,
	cout => \led_flash_cnt[2441][5]~61063\);

-- Location: FF_X67_Y1_N21
\led_flash_cnt[2441][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2441][5]~61062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2441][5]~q\);

-- Location: LCCOMB_X67_Y1_N22
\led_flash_cnt[2441][6]~61064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2441][6]~61064_combout\ = (\led_flash_cnt[2441][6]~q\ & (!\led_flash_cnt[2441][5]~61063\)) # (!\led_flash_cnt[2441][6]~q\ & ((\led_flash_cnt[2441][5]~61063\) # (GND)))
-- \led_flash_cnt[2441][6]~61065\ = CARRY((!\led_flash_cnt[2441][5]~61063\) # (!\led_flash_cnt[2441][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2441][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2441][5]~61063\,
	combout => \led_flash_cnt[2441][6]~61064_combout\,
	cout => \led_flash_cnt[2441][6]~61065\);

-- Location: FF_X67_Y1_N23
\led_flash_cnt[2441][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2441][6]~61064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2441][6]~q\);

-- Location: LCCOMB_X67_Y1_N24
\led_flash_cnt[2441][7]~61066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2441][7]~61066_combout\ = \led_flash_cnt[2441][6]~61065\ $ (!\led_flash_cnt[2441][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2441][7]~q\,
	cin => \led_flash_cnt[2441][6]~61065\,
	combout => \led_flash_cnt[2441][7]~61066_combout\);

-- Location: FF_X67_Y1_N25
\led_flash_cnt[2441][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2441][7]~61066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2441][7]~q\);

-- Location: LCCOMB_X67_Y1_N26
\WideAnd2441~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2441~0_combout\ = (\led_flash_cnt[2441][1]~q\ & (\led_flash_cnt[2441][4]~q\ & (\led_flash_cnt[2441][2]~q\ & \led_flash_cnt[2441][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2441][1]~q\,
	datab => \led_flash_cnt[2441][4]~q\,
	datac => \led_flash_cnt[2441][2]~q\,
	datad => \led_flash_cnt[2441][3]~q\,
	combout => \WideAnd2441~0_combout\);

-- Location: LCCOMB_X67_Y1_N0
\WideAnd2441~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2441~1_combout\ = (\led_flash_cnt[2441][6]~q\ & \led_flash_cnt[2441][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2441][6]~q\,
	datad => \led_flash_cnt[2441][5]~q\,
	combout => \WideAnd2441~1_combout\);

-- Location: LCCOMB_X67_Y1_N8
WideAnd2441 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2441~combout\ = (\led_flash_cnt[2441][0]~q\ & (\led_flash_cnt[2441][7]~q\ & (\WideAnd2441~0_combout\ & \WideAnd2441~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2441][0]~q\,
	datab => \led_flash_cnt[2441][7]~q\,
	datac => \WideAnd2441~0_combout\,
	datad => \WideAnd2441~1_combout\,
	combout => \WideAnd2441~combout\);

-- Location: FF_X67_Y1_N9
\led_flash_cnt_ands[2441]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2441~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2441));

-- Location: LCCOMB_X63_Y1_N28
\led_flash_cnt[2443][0]~83083\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2443][0]~83083_combout\ = !\led_flash_cnt[2443][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2443][0]~q\,
	combout => \led_flash_cnt[2443][0]~83083_combout\);

-- Location: FF_X63_Y1_N29
\led_flash_cnt[2443][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2443][0]~83083_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2443][0]~q\);

-- Location: LCCOMB_X64_Y1_N16
\led_flash_cnt[2443][1]~61082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2443][1]~61082_combout\ = (\led_flash_cnt[2443][0]~q\ & (\led_flash_cnt[2443][1]~q\ $ (VCC))) # (!\led_flash_cnt[2443][0]~q\ & (\led_flash_cnt[2443][1]~q\ & VCC))
-- \led_flash_cnt[2443][1]~61083\ = CARRY((\led_flash_cnt[2443][0]~q\ & \led_flash_cnt[2443][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2443][0]~q\,
	datab => \led_flash_cnt[2443][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2443][1]~61082_combout\,
	cout => \led_flash_cnt[2443][1]~61083\);

-- Location: FF_X64_Y1_N17
\led_flash_cnt[2443][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2443][1]~61082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2443][1]~q\);

-- Location: LCCOMB_X64_Y1_N18
\led_flash_cnt[2443][2]~61084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2443][2]~61084_combout\ = (\led_flash_cnt[2443][2]~q\ & (!\led_flash_cnt[2443][1]~61083\)) # (!\led_flash_cnt[2443][2]~q\ & ((\led_flash_cnt[2443][1]~61083\) # (GND)))
-- \led_flash_cnt[2443][2]~61085\ = CARRY((!\led_flash_cnt[2443][1]~61083\) # (!\led_flash_cnt[2443][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2443][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2443][1]~61083\,
	combout => \led_flash_cnt[2443][2]~61084_combout\,
	cout => \led_flash_cnt[2443][2]~61085\);

-- Location: FF_X64_Y1_N19
\led_flash_cnt[2443][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2443][2]~61084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2443][2]~q\);

-- Location: LCCOMB_X64_Y1_N20
\led_flash_cnt[2443][3]~61086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2443][3]~61086_combout\ = (\led_flash_cnt[2443][3]~q\ & (\led_flash_cnt[2443][2]~61085\ $ (GND))) # (!\led_flash_cnt[2443][3]~q\ & (!\led_flash_cnt[2443][2]~61085\ & VCC))
-- \led_flash_cnt[2443][3]~61087\ = CARRY((\led_flash_cnt[2443][3]~q\ & !\led_flash_cnt[2443][2]~61085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2443][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2443][2]~61085\,
	combout => \led_flash_cnt[2443][3]~61086_combout\,
	cout => \led_flash_cnt[2443][3]~61087\);

-- Location: FF_X64_Y1_N21
\led_flash_cnt[2443][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2443][3]~61086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2443][3]~q\);

-- Location: LCCOMB_X64_Y1_N22
\led_flash_cnt[2443][4]~61088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2443][4]~61088_combout\ = (\led_flash_cnt[2443][4]~q\ & (!\led_flash_cnt[2443][3]~61087\)) # (!\led_flash_cnt[2443][4]~q\ & ((\led_flash_cnt[2443][3]~61087\) # (GND)))
-- \led_flash_cnt[2443][4]~61089\ = CARRY((!\led_flash_cnt[2443][3]~61087\) # (!\led_flash_cnt[2443][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2443][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2443][3]~61087\,
	combout => \led_flash_cnt[2443][4]~61088_combout\,
	cout => \led_flash_cnt[2443][4]~61089\);

-- Location: FF_X64_Y1_N23
\led_flash_cnt[2443][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2443][4]~61088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2443][4]~q\);

-- Location: LCCOMB_X64_Y1_N24
\led_flash_cnt[2443][5]~61090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2443][5]~61090_combout\ = (\led_flash_cnt[2443][5]~q\ & (\led_flash_cnt[2443][4]~61089\ $ (GND))) # (!\led_flash_cnt[2443][5]~q\ & (!\led_flash_cnt[2443][4]~61089\ & VCC))
-- \led_flash_cnt[2443][5]~61091\ = CARRY((\led_flash_cnt[2443][5]~q\ & !\led_flash_cnt[2443][4]~61089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2443][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2443][4]~61089\,
	combout => \led_flash_cnt[2443][5]~61090_combout\,
	cout => \led_flash_cnt[2443][5]~61091\);

-- Location: FF_X64_Y1_N25
\led_flash_cnt[2443][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2443][5]~61090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2443][5]~q\);

-- Location: LCCOMB_X64_Y1_N26
\led_flash_cnt[2443][6]~61092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2443][6]~61092_combout\ = (\led_flash_cnt[2443][6]~q\ & (!\led_flash_cnt[2443][5]~61091\)) # (!\led_flash_cnt[2443][6]~q\ & ((\led_flash_cnt[2443][5]~61091\) # (GND)))
-- \led_flash_cnt[2443][6]~61093\ = CARRY((!\led_flash_cnt[2443][5]~61091\) # (!\led_flash_cnt[2443][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2443][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2443][5]~61091\,
	combout => \led_flash_cnt[2443][6]~61092_combout\,
	cout => \led_flash_cnt[2443][6]~61093\);

-- Location: FF_X64_Y1_N27
\led_flash_cnt[2443][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2443][6]~61092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2443][6]~q\);

-- Location: LCCOMB_X64_Y1_N28
\led_flash_cnt[2443][7]~61094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2443][7]~61094_combout\ = \led_flash_cnt[2443][6]~61093\ $ (!\led_flash_cnt[2443][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2443][7]~q\,
	cin => \led_flash_cnt[2443][6]~61093\,
	combout => \led_flash_cnt[2443][7]~61094_combout\);

-- Location: FF_X64_Y1_N29
\led_flash_cnt[2443][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2443][7]~61094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2443][7]~q\);

-- Location: LCCOMB_X64_Y1_N30
\WideAnd2443~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2443~0_combout\ = (\led_flash_cnt[2443][3]~q\ & (\led_flash_cnt[2443][2]~q\ & (\led_flash_cnt[2443][4]~q\ & \led_flash_cnt[2443][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2443][3]~q\,
	datab => \led_flash_cnt[2443][2]~q\,
	datac => \led_flash_cnt[2443][4]~q\,
	datad => \led_flash_cnt[2443][1]~q\,
	combout => \WideAnd2443~0_combout\);

-- Location: LCCOMB_X63_Y1_N0
\WideAnd2443~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2443~1_combout\ = (\led_flash_cnt[2443][6]~q\ & \led_flash_cnt[2443][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2443][6]~q\,
	datad => \led_flash_cnt[2443][5]~q\,
	combout => \WideAnd2443~1_combout\);

-- Location: LCCOMB_X63_Y1_N30
WideAnd2443 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2443~combout\ = (\led_flash_cnt[2443][7]~q\ & (\led_flash_cnt[2443][0]~q\ & (\WideAnd2443~0_combout\ & \WideAnd2443~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2443][7]~q\,
	datab => \led_flash_cnt[2443][0]~q\,
	datac => \WideAnd2443~0_combout\,
	datad => \WideAnd2443~1_combout\,
	combout => \WideAnd2443~combout\);

-- Location: FF_X63_Y1_N31
\led_flash_cnt_ands[2443]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2443~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2443));

-- Location: LCCOMB_X67_Y4_N8
\led_flash_cnt[2440][0]~83080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2440][0]~83080_combout\ = !\led_flash_cnt[2440][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2440][0]~q\,
	combout => \led_flash_cnt[2440][0]~83080_combout\);

-- Location: FF_X67_Y4_N9
\led_flash_cnt[2440][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2440][0]~83080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2440][0]~q\);

-- Location: LCCOMB_X67_Y4_N12
\led_flash_cnt[2440][1]~61040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2440][1]~61040_combout\ = (\led_flash_cnt[2440][1]~q\ & (\led_flash_cnt[2440][0]~q\ $ (VCC))) # (!\led_flash_cnt[2440][1]~q\ & (\led_flash_cnt[2440][0]~q\ & VCC))
-- \led_flash_cnt[2440][1]~61041\ = CARRY((\led_flash_cnt[2440][1]~q\ & \led_flash_cnt[2440][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2440][1]~q\,
	datab => \led_flash_cnt[2440][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2440][1]~61040_combout\,
	cout => \led_flash_cnt[2440][1]~61041\);

-- Location: FF_X67_Y4_N13
\led_flash_cnt[2440][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2440][1]~61040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2440][1]~q\);

-- Location: LCCOMB_X67_Y4_N14
\led_flash_cnt[2440][2]~61042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2440][2]~61042_combout\ = (\led_flash_cnt[2440][2]~q\ & (!\led_flash_cnt[2440][1]~61041\)) # (!\led_flash_cnt[2440][2]~q\ & ((\led_flash_cnt[2440][1]~61041\) # (GND)))
-- \led_flash_cnt[2440][2]~61043\ = CARRY((!\led_flash_cnt[2440][1]~61041\) # (!\led_flash_cnt[2440][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2440][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2440][1]~61041\,
	combout => \led_flash_cnt[2440][2]~61042_combout\,
	cout => \led_flash_cnt[2440][2]~61043\);

-- Location: FF_X67_Y4_N15
\led_flash_cnt[2440][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2440][2]~61042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2440][2]~q\);

-- Location: LCCOMB_X67_Y4_N16
\led_flash_cnt[2440][3]~61044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2440][3]~61044_combout\ = (\led_flash_cnt[2440][3]~q\ & (\led_flash_cnt[2440][2]~61043\ $ (GND))) # (!\led_flash_cnt[2440][3]~q\ & (!\led_flash_cnt[2440][2]~61043\ & VCC))
-- \led_flash_cnt[2440][3]~61045\ = CARRY((\led_flash_cnt[2440][3]~q\ & !\led_flash_cnt[2440][2]~61043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2440][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2440][2]~61043\,
	combout => \led_flash_cnt[2440][3]~61044_combout\,
	cout => \led_flash_cnt[2440][3]~61045\);

-- Location: FF_X67_Y4_N17
\led_flash_cnt[2440][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2440][3]~61044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2440][3]~q\);

-- Location: LCCOMB_X67_Y4_N18
\led_flash_cnt[2440][4]~61046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2440][4]~61046_combout\ = (\led_flash_cnt[2440][4]~q\ & (!\led_flash_cnt[2440][3]~61045\)) # (!\led_flash_cnt[2440][4]~q\ & ((\led_flash_cnt[2440][3]~61045\) # (GND)))
-- \led_flash_cnt[2440][4]~61047\ = CARRY((!\led_flash_cnt[2440][3]~61045\) # (!\led_flash_cnt[2440][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2440][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2440][3]~61045\,
	combout => \led_flash_cnt[2440][4]~61046_combout\,
	cout => \led_flash_cnt[2440][4]~61047\);

-- Location: FF_X67_Y4_N19
\led_flash_cnt[2440][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2440][4]~61046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2440][4]~q\);

-- Location: LCCOMB_X67_Y4_N10
\WideAnd2440~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2440~0_combout\ = (\led_flash_cnt[2440][1]~q\ & (\led_flash_cnt[2440][4]~q\ & (\led_flash_cnt[2440][2]~q\ & \led_flash_cnt[2440][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2440][1]~q\,
	datab => \led_flash_cnt[2440][4]~q\,
	datac => \led_flash_cnt[2440][2]~q\,
	datad => \led_flash_cnt[2440][3]~q\,
	combout => \WideAnd2440~0_combout\);

-- Location: LCCOMB_X67_Y4_N20
\led_flash_cnt[2440][5]~61048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2440][5]~61048_combout\ = (\led_flash_cnt[2440][5]~q\ & (\led_flash_cnt[2440][4]~61047\ $ (GND))) # (!\led_flash_cnt[2440][5]~q\ & (!\led_flash_cnt[2440][4]~61047\ & VCC))
-- \led_flash_cnt[2440][5]~61049\ = CARRY((\led_flash_cnt[2440][5]~q\ & !\led_flash_cnt[2440][4]~61047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2440][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2440][4]~61047\,
	combout => \led_flash_cnt[2440][5]~61048_combout\,
	cout => \led_flash_cnt[2440][5]~61049\);

-- Location: FF_X67_Y4_N21
\led_flash_cnt[2440][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2440][5]~61048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2440][5]~q\);

-- Location: LCCOMB_X67_Y4_N22
\led_flash_cnt[2440][6]~61050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2440][6]~61050_combout\ = (\led_flash_cnt[2440][6]~q\ & (!\led_flash_cnt[2440][5]~61049\)) # (!\led_flash_cnt[2440][6]~q\ & ((\led_flash_cnt[2440][5]~61049\) # (GND)))
-- \led_flash_cnt[2440][6]~61051\ = CARRY((!\led_flash_cnt[2440][5]~61049\) # (!\led_flash_cnt[2440][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2440][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2440][5]~61049\,
	combout => \led_flash_cnt[2440][6]~61050_combout\,
	cout => \led_flash_cnt[2440][6]~61051\);

-- Location: FF_X67_Y4_N23
\led_flash_cnt[2440][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2440][6]~61050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2440][6]~q\);

-- Location: LCCOMB_X67_Y4_N4
\WideAnd2440~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2440~1_combout\ = (\led_flash_cnt[2440][6]~q\ & \led_flash_cnt[2440][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2440][6]~q\,
	datad => \led_flash_cnt[2440][5]~q\,
	combout => \WideAnd2440~1_combout\);

-- Location: LCCOMB_X67_Y4_N24
\led_flash_cnt[2440][7]~61052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2440][7]~61052_combout\ = \led_flash_cnt[2440][6]~61051\ $ (!\led_flash_cnt[2440][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2440][7]~q\,
	cin => \led_flash_cnt[2440][6]~61051\,
	combout => \led_flash_cnt[2440][7]~61052_combout\);

-- Location: FF_X67_Y4_N25
\led_flash_cnt[2440][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2440][7]~61052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2440][7]~q\);

-- Location: LCCOMB_X67_Y4_N26
WideAnd2440 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2440~combout\ = (\WideAnd2440~0_combout\ & (\WideAnd2440~1_combout\ & (\led_flash_cnt[2440][0]~q\ & \led_flash_cnt[2440][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2440~0_combout\,
	datab => \WideAnd2440~1_combout\,
	datac => \led_flash_cnt[2440][0]~q\,
	datad => \led_flash_cnt[2440][7]~q\,
	combout => \WideAnd2440~combout\);

-- Location: FF_X67_Y4_N27
\led_flash_cnt_ands[2440]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2440~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2440));

-- Location: LCCOMB_X63_Y1_N16
\WideAnd4145~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4145~0_combout\ = (led_flash_cnt_ands(2442) & (led_flash_cnt_ands(2441) & (led_flash_cnt_ands(2443) & led_flash_cnt_ands(2440))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2442),
	datab => led_flash_cnt_ands(2441),
	datac => led_flash_cnt_ands(2443),
	datad => led_flash_cnt_ands(2440),
	combout => \WideAnd4145~0_combout\);

-- Location: LCCOMB_X62_Y17_N14
WideAnd4145 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4145~combout\ = (led_flash_cnt_ands(2446) & (led_flash_cnt_ands(2447) & (\WideAnd4145~1_combout\ & \WideAnd4145~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2446),
	datab => led_flash_cnt_ands(2447),
	datac => \WideAnd4145~1_combout\,
	datad => \WideAnd4145~0_combout\,
	combout => \WideAnd4145~combout\);

-- Location: FF_X62_Y17_N15
\led_flash_cnt_ands_1[305]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4145~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(305));

-- Location: LCCOMB_X52_Y4_N6
\led_flash_cnt[2452][0]~83092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2452][0]~83092_combout\ = !\led_flash_cnt[2452][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2452][0]~q\,
	combout => \led_flash_cnt[2452][0]~83092_combout\);

-- Location: FF_X52_Y4_N7
\led_flash_cnt[2452][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2452][0]~83092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2452][0]~q\);

-- Location: LCCOMB_X52_Y4_N16
\led_flash_cnt[2452][1]~61208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2452][1]~61208_combout\ = (\led_flash_cnt[2452][0]~q\ & (\led_flash_cnt[2452][1]~q\ $ (VCC))) # (!\led_flash_cnt[2452][0]~q\ & (\led_flash_cnt[2452][1]~q\ & VCC))
-- \led_flash_cnt[2452][1]~61209\ = CARRY((\led_flash_cnt[2452][0]~q\ & \led_flash_cnt[2452][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2452][0]~q\,
	datab => \led_flash_cnt[2452][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2452][1]~61208_combout\,
	cout => \led_flash_cnt[2452][1]~61209\);

-- Location: FF_X52_Y4_N17
\led_flash_cnt[2452][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2452][1]~61208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2452][1]~q\);

-- Location: LCCOMB_X52_Y4_N18
\led_flash_cnt[2452][2]~61210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2452][2]~61210_combout\ = (\led_flash_cnt[2452][2]~q\ & (!\led_flash_cnt[2452][1]~61209\)) # (!\led_flash_cnt[2452][2]~q\ & ((\led_flash_cnt[2452][1]~61209\) # (GND)))
-- \led_flash_cnt[2452][2]~61211\ = CARRY((!\led_flash_cnt[2452][1]~61209\) # (!\led_flash_cnt[2452][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2452][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2452][1]~61209\,
	combout => \led_flash_cnt[2452][2]~61210_combout\,
	cout => \led_flash_cnt[2452][2]~61211\);

-- Location: FF_X52_Y4_N19
\led_flash_cnt[2452][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2452][2]~61210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2452][2]~q\);

-- Location: LCCOMB_X52_Y4_N20
\led_flash_cnt[2452][3]~61212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2452][3]~61212_combout\ = (\led_flash_cnt[2452][3]~q\ & (\led_flash_cnt[2452][2]~61211\ $ (GND))) # (!\led_flash_cnt[2452][3]~q\ & (!\led_flash_cnt[2452][2]~61211\ & VCC))
-- \led_flash_cnt[2452][3]~61213\ = CARRY((\led_flash_cnt[2452][3]~q\ & !\led_flash_cnt[2452][2]~61211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2452][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2452][2]~61211\,
	combout => \led_flash_cnt[2452][3]~61212_combout\,
	cout => \led_flash_cnt[2452][3]~61213\);

-- Location: FF_X52_Y4_N21
\led_flash_cnt[2452][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2452][3]~61212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2452][3]~q\);

-- Location: LCCOMB_X52_Y4_N22
\led_flash_cnt[2452][4]~61214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2452][4]~61214_combout\ = (\led_flash_cnt[2452][4]~q\ & (!\led_flash_cnt[2452][3]~61213\)) # (!\led_flash_cnt[2452][4]~q\ & ((\led_flash_cnt[2452][3]~61213\) # (GND)))
-- \led_flash_cnt[2452][4]~61215\ = CARRY((!\led_flash_cnt[2452][3]~61213\) # (!\led_flash_cnt[2452][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2452][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2452][3]~61213\,
	combout => \led_flash_cnt[2452][4]~61214_combout\,
	cout => \led_flash_cnt[2452][4]~61215\);

-- Location: FF_X52_Y4_N23
\led_flash_cnt[2452][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2452][4]~61214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2452][4]~q\);

-- Location: LCCOMB_X52_Y4_N24
\led_flash_cnt[2452][5]~61216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2452][5]~61216_combout\ = (\led_flash_cnt[2452][5]~q\ & (\led_flash_cnt[2452][4]~61215\ $ (GND))) # (!\led_flash_cnt[2452][5]~q\ & (!\led_flash_cnt[2452][4]~61215\ & VCC))
-- \led_flash_cnt[2452][5]~61217\ = CARRY((\led_flash_cnt[2452][5]~q\ & !\led_flash_cnt[2452][4]~61215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2452][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2452][4]~61215\,
	combout => \led_flash_cnt[2452][5]~61216_combout\,
	cout => \led_flash_cnt[2452][5]~61217\);

-- Location: FF_X52_Y4_N25
\led_flash_cnt[2452][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2452][5]~61216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2452][5]~q\);

-- Location: LCCOMB_X52_Y4_N26
\led_flash_cnt[2452][6]~61218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2452][6]~61218_combout\ = (\led_flash_cnt[2452][6]~q\ & (!\led_flash_cnt[2452][5]~61217\)) # (!\led_flash_cnt[2452][6]~q\ & ((\led_flash_cnt[2452][5]~61217\) # (GND)))
-- \led_flash_cnt[2452][6]~61219\ = CARRY((!\led_flash_cnt[2452][5]~61217\) # (!\led_flash_cnt[2452][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2452][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2452][5]~61217\,
	combout => \led_flash_cnt[2452][6]~61218_combout\,
	cout => \led_flash_cnt[2452][6]~61219\);

-- Location: FF_X52_Y4_N27
\led_flash_cnt[2452][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2452][6]~61218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2452][6]~q\);

-- Location: LCCOMB_X52_Y4_N28
\led_flash_cnt[2452][7]~61220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2452][7]~61220_combout\ = \led_flash_cnt[2452][6]~61219\ $ (!\led_flash_cnt[2452][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2452][7]~q\,
	cin => \led_flash_cnt[2452][6]~61219\,
	combout => \led_flash_cnt[2452][7]~61220_combout\);

-- Location: FF_X52_Y4_N29
\led_flash_cnt[2452][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2452][7]~61220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2452][7]~q\);

-- Location: LCCOMB_X52_Y4_N4
\WideAnd2452~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2452~1_combout\ = (\led_flash_cnt[2452][6]~q\ & \led_flash_cnt[2452][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2452][6]~q\,
	datad => \led_flash_cnt[2452][5]~q\,
	combout => \WideAnd2452~1_combout\);

-- Location: LCCOMB_X52_Y4_N12
\WideAnd2452~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2452~0_combout\ = (\led_flash_cnt[2452][2]~q\ & (\led_flash_cnt[2452][3]~q\ & (\led_flash_cnt[2452][4]~q\ & \led_flash_cnt[2452][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2452][2]~q\,
	datab => \led_flash_cnt[2452][3]~q\,
	datac => \led_flash_cnt[2452][4]~q\,
	datad => \led_flash_cnt[2452][1]~q\,
	combout => \WideAnd2452~0_combout\);

-- Location: LCCOMB_X52_Y4_N14
WideAnd2452 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2452~combout\ = (\led_flash_cnt[2452][0]~q\ & (\led_flash_cnt[2452][7]~q\ & (\WideAnd2452~1_combout\ & \WideAnd2452~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2452][0]~q\,
	datab => \led_flash_cnt[2452][7]~q\,
	datac => \WideAnd2452~1_combout\,
	datad => \WideAnd2452~0_combout\,
	combout => \WideAnd2452~combout\);

-- Location: FF_X52_Y4_N15
\led_flash_cnt_ands[2452]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2452~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2452));

-- Location: LCCOMB_X52_Y4_N2
\led_flash_cnt[2453][0]~83093\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2453][0]~83093_combout\ = !\led_flash_cnt[2453][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2453][0]~q\,
	combout => \led_flash_cnt[2453][0]~83093_combout\);

-- Location: FF_X52_Y4_N3
\led_flash_cnt[2453][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2453][0]~83093_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2453][0]~q\);

-- Location: LCCOMB_X51_Y4_N18
\led_flash_cnt[2453][1]~61222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2453][1]~61222_combout\ = (\led_flash_cnt[2453][0]~q\ & (\led_flash_cnt[2453][1]~q\ $ (VCC))) # (!\led_flash_cnt[2453][0]~q\ & (\led_flash_cnt[2453][1]~q\ & VCC))
-- \led_flash_cnt[2453][1]~61223\ = CARRY((\led_flash_cnt[2453][0]~q\ & \led_flash_cnt[2453][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2453][0]~q\,
	datab => \led_flash_cnt[2453][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2453][1]~61222_combout\,
	cout => \led_flash_cnt[2453][1]~61223\);

-- Location: FF_X51_Y4_N19
\led_flash_cnt[2453][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2453][1]~61222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2453][1]~q\);

-- Location: LCCOMB_X51_Y4_N20
\led_flash_cnt[2453][2]~61224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2453][2]~61224_combout\ = (\led_flash_cnt[2453][2]~q\ & (!\led_flash_cnt[2453][1]~61223\)) # (!\led_flash_cnt[2453][2]~q\ & ((\led_flash_cnt[2453][1]~61223\) # (GND)))
-- \led_flash_cnt[2453][2]~61225\ = CARRY((!\led_flash_cnt[2453][1]~61223\) # (!\led_flash_cnt[2453][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2453][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2453][1]~61223\,
	combout => \led_flash_cnt[2453][2]~61224_combout\,
	cout => \led_flash_cnt[2453][2]~61225\);

-- Location: FF_X51_Y4_N21
\led_flash_cnt[2453][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2453][2]~61224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2453][2]~q\);

-- Location: LCCOMB_X51_Y4_N22
\led_flash_cnt[2453][3]~61226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2453][3]~61226_combout\ = (\led_flash_cnt[2453][3]~q\ & (\led_flash_cnt[2453][2]~61225\ $ (GND))) # (!\led_flash_cnt[2453][3]~q\ & (!\led_flash_cnt[2453][2]~61225\ & VCC))
-- \led_flash_cnt[2453][3]~61227\ = CARRY((\led_flash_cnt[2453][3]~q\ & !\led_flash_cnt[2453][2]~61225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2453][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2453][2]~61225\,
	combout => \led_flash_cnt[2453][3]~61226_combout\,
	cout => \led_flash_cnt[2453][3]~61227\);

-- Location: FF_X51_Y4_N23
\led_flash_cnt[2453][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2453][3]~61226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2453][3]~q\);

-- Location: LCCOMB_X51_Y4_N24
\led_flash_cnt[2453][4]~61228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2453][4]~61228_combout\ = (\led_flash_cnt[2453][4]~q\ & (!\led_flash_cnt[2453][3]~61227\)) # (!\led_flash_cnt[2453][4]~q\ & ((\led_flash_cnt[2453][3]~61227\) # (GND)))
-- \led_flash_cnt[2453][4]~61229\ = CARRY((!\led_flash_cnt[2453][3]~61227\) # (!\led_flash_cnt[2453][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2453][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2453][3]~61227\,
	combout => \led_flash_cnt[2453][4]~61228_combout\,
	cout => \led_flash_cnt[2453][4]~61229\);

-- Location: FF_X51_Y4_N25
\led_flash_cnt[2453][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2453][4]~61228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2453][4]~q\);

-- Location: LCCOMB_X51_Y4_N26
\led_flash_cnt[2453][5]~61230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2453][5]~61230_combout\ = (\led_flash_cnt[2453][5]~q\ & (\led_flash_cnt[2453][4]~61229\ $ (GND))) # (!\led_flash_cnt[2453][5]~q\ & (!\led_flash_cnt[2453][4]~61229\ & VCC))
-- \led_flash_cnt[2453][5]~61231\ = CARRY((\led_flash_cnt[2453][5]~q\ & !\led_flash_cnt[2453][4]~61229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2453][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2453][4]~61229\,
	combout => \led_flash_cnt[2453][5]~61230_combout\,
	cout => \led_flash_cnt[2453][5]~61231\);

-- Location: FF_X51_Y4_N27
\led_flash_cnt[2453][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2453][5]~61230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2453][5]~q\);

-- Location: LCCOMB_X51_Y4_N28
\led_flash_cnt[2453][6]~61232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2453][6]~61232_combout\ = (\led_flash_cnt[2453][6]~q\ & (!\led_flash_cnt[2453][5]~61231\)) # (!\led_flash_cnt[2453][6]~q\ & ((\led_flash_cnt[2453][5]~61231\) # (GND)))
-- \led_flash_cnt[2453][6]~61233\ = CARRY((!\led_flash_cnt[2453][5]~61231\) # (!\led_flash_cnt[2453][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2453][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2453][5]~61231\,
	combout => \led_flash_cnt[2453][6]~61232_combout\,
	cout => \led_flash_cnt[2453][6]~61233\);

-- Location: FF_X51_Y4_N29
\led_flash_cnt[2453][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2453][6]~61232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2453][6]~q\);

-- Location: LCCOMB_X52_Y4_N10
\WideAnd2453~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2453~1_combout\ = (\led_flash_cnt[2453][5]~q\ & \led_flash_cnt[2453][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2453][5]~q\,
	datad => \led_flash_cnt[2453][6]~q\,
	combout => \WideAnd2453~1_combout\);

-- Location: LCCOMB_X51_Y4_N30
\led_flash_cnt[2453][7]~61234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2453][7]~61234_combout\ = \led_flash_cnt[2453][7]~q\ $ (!\led_flash_cnt[2453][6]~61233\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2453][7]~q\,
	cin => \led_flash_cnt[2453][6]~61233\,
	combout => \led_flash_cnt[2453][7]~61234_combout\);

-- Location: FF_X51_Y4_N31
\led_flash_cnt[2453][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2453][7]~61234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2453][7]~q\);

-- Location: LCCOMB_X51_Y4_N14
\WideAnd2453~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2453~0_combout\ = (\led_flash_cnt[2453][1]~q\ & (\led_flash_cnt[2453][2]~q\ & (\led_flash_cnt[2453][3]~q\ & \led_flash_cnt[2453][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2453][1]~q\,
	datab => \led_flash_cnt[2453][2]~q\,
	datac => \led_flash_cnt[2453][3]~q\,
	datad => \led_flash_cnt[2453][4]~q\,
	combout => \WideAnd2453~0_combout\);

-- Location: LCCOMB_X52_Y4_N8
WideAnd2453 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2453~combout\ = (\WideAnd2453~1_combout\ & (\led_flash_cnt[2453][7]~q\ & (\led_flash_cnt[2453][0]~q\ & \WideAnd2453~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2453~1_combout\,
	datab => \led_flash_cnt[2453][7]~q\,
	datac => \led_flash_cnt[2453][0]~q\,
	datad => \WideAnd2453~0_combout\,
	combout => \WideAnd2453~combout\);

-- Location: FF_X52_Y4_N9
\led_flash_cnt_ands[2453]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2453~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2453));

-- Location: LCCOMB_X52_Y4_N30
\WideAnd4146~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4146~1_combout\ = (led_flash_cnt_ands(2452) & led_flash_cnt_ands(2453))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2452),
	datac => led_flash_cnt_ands(2453),
	combout => \WideAnd4146~1_combout\);

-- Location: LCCOMB_X55_Y3_N26
\led_flash_cnt[2454][0]~83094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2454][0]~83094_combout\ = !\led_flash_cnt[2454][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2454][0]~q\,
	combout => \led_flash_cnt[2454][0]~83094_combout\);

-- Location: FF_X55_Y3_N27
\led_flash_cnt[2454][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2454][0]~83094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2454][0]~q\);

-- Location: LCCOMB_X55_Y3_N4
\led_flash_cnt[2454][1]~61236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2454][1]~61236_combout\ = (\led_flash_cnt[2454][0]~q\ & (\led_flash_cnt[2454][1]~q\ $ (VCC))) # (!\led_flash_cnt[2454][0]~q\ & (\led_flash_cnt[2454][1]~q\ & VCC))
-- \led_flash_cnt[2454][1]~61237\ = CARRY((\led_flash_cnt[2454][0]~q\ & \led_flash_cnt[2454][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2454][0]~q\,
	datab => \led_flash_cnt[2454][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2454][1]~61236_combout\,
	cout => \led_flash_cnt[2454][1]~61237\);

-- Location: FF_X55_Y3_N5
\led_flash_cnt[2454][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2454][1]~61236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2454][1]~q\);

-- Location: LCCOMB_X55_Y3_N6
\led_flash_cnt[2454][2]~61238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2454][2]~61238_combout\ = (\led_flash_cnt[2454][2]~q\ & (!\led_flash_cnt[2454][1]~61237\)) # (!\led_flash_cnt[2454][2]~q\ & ((\led_flash_cnt[2454][1]~61237\) # (GND)))
-- \led_flash_cnt[2454][2]~61239\ = CARRY((!\led_flash_cnt[2454][1]~61237\) # (!\led_flash_cnt[2454][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2454][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2454][1]~61237\,
	combout => \led_flash_cnt[2454][2]~61238_combout\,
	cout => \led_flash_cnt[2454][2]~61239\);

-- Location: FF_X55_Y3_N7
\led_flash_cnt[2454][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2454][2]~61238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2454][2]~q\);

-- Location: LCCOMB_X55_Y3_N8
\led_flash_cnt[2454][3]~61240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2454][3]~61240_combout\ = (\led_flash_cnt[2454][3]~q\ & (\led_flash_cnt[2454][2]~61239\ $ (GND))) # (!\led_flash_cnt[2454][3]~q\ & (!\led_flash_cnt[2454][2]~61239\ & VCC))
-- \led_flash_cnt[2454][3]~61241\ = CARRY((\led_flash_cnt[2454][3]~q\ & !\led_flash_cnt[2454][2]~61239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2454][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2454][2]~61239\,
	combout => \led_flash_cnt[2454][3]~61240_combout\,
	cout => \led_flash_cnt[2454][3]~61241\);

-- Location: FF_X55_Y3_N9
\led_flash_cnt[2454][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2454][3]~61240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2454][3]~q\);

-- Location: LCCOMB_X55_Y3_N10
\led_flash_cnt[2454][4]~61242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2454][4]~61242_combout\ = (\led_flash_cnt[2454][4]~q\ & (!\led_flash_cnt[2454][3]~61241\)) # (!\led_flash_cnt[2454][4]~q\ & ((\led_flash_cnt[2454][3]~61241\) # (GND)))
-- \led_flash_cnt[2454][4]~61243\ = CARRY((!\led_flash_cnt[2454][3]~61241\) # (!\led_flash_cnt[2454][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2454][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2454][3]~61241\,
	combout => \led_flash_cnt[2454][4]~61242_combout\,
	cout => \led_flash_cnt[2454][4]~61243\);

-- Location: FF_X55_Y3_N11
\led_flash_cnt[2454][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2454][4]~61242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2454][4]~q\);

-- Location: LCCOMB_X55_Y3_N12
\led_flash_cnt[2454][5]~61244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2454][5]~61244_combout\ = (\led_flash_cnt[2454][5]~q\ & (\led_flash_cnt[2454][4]~61243\ $ (GND))) # (!\led_flash_cnt[2454][5]~q\ & (!\led_flash_cnt[2454][4]~61243\ & VCC))
-- \led_flash_cnt[2454][5]~61245\ = CARRY((\led_flash_cnt[2454][5]~q\ & !\led_flash_cnt[2454][4]~61243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2454][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2454][4]~61243\,
	combout => \led_flash_cnt[2454][5]~61244_combout\,
	cout => \led_flash_cnt[2454][5]~61245\);

-- Location: FF_X55_Y3_N13
\led_flash_cnt[2454][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2454][5]~61244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2454][5]~q\);

-- Location: LCCOMB_X55_Y3_N14
\led_flash_cnt[2454][6]~61246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2454][6]~61246_combout\ = (\led_flash_cnt[2454][6]~q\ & (!\led_flash_cnt[2454][5]~61245\)) # (!\led_flash_cnt[2454][6]~q\ & ((\led_flash_cnt[2454][5]~61245\) # (GND)))
-- \led_flash_cnt[2454][6]~61247\ = CARRY((!\led_flash_cnt[2454][5]~61245\) # (!\led_flash_cnt[2454][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2454][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2454][5]~61245\,
	combout => \led_flash_cnt[2454][6]~61246_combout\,
	cout => \led_flash_cnt[2454][6]~61247\);

-- Location: FF_X55_Y3_N15
\led_flash_cnt[2454][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2454][6]~61246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2454][6]~q\);

-- Location: LCCOMB_X55_Y3_N16
\led_flash_cnt[2454][7]~61248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2454][7]~61248_combout\ = \led_flash_cnt[2454][6]~61247\ $ (!\led_flash_cnt[2454][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2454][7]~q\,
	cin => \led_flash_cnt[2454][6]~61247\,
	combout => \led_flash_cnt[2454][7]~61248_combout\);

-- Location: FF_X55_Y3_N17
\led_flash_cnt[2454][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2454][7]~61248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2454][7]~q\);

-- Location: LCCOMB_X55_Y3_N22
\WideAnd2454~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2454~1_combout\ = (\led_flash_cnt[2454][6]~q\ & \led_flash_cnt[2454][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2454][6]~q\,
	datad => \led_flash_cnt[2454][5]~q\,
	combout => \WideAnd2454~1_combout\);

-- Location: LCCOMB_X55_Y3_N24
\WideAnd2454~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2454~0_combout\ = (\led_flash_cnt[2454][4]~q\ & (\led_flash_cnt[2454][1]~q\ & (\led_flash_cnt[2454][3]~q\ & \led_flash_cnt[2454][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2454][4]~q\,
	datab => \led_flash_cnt[2454][1]~q\,
	datac => \led_flash_cnt[2454][3]~q\,
	datad => \led_flash_cnt[2454][2]~q\,
	combout => \WideAnd2454~0_combout\);

-- Location: LCCOMB_X55_Y3_N18
WideAnd2454 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2454~combout\ = (\led_flash_cnt[2454][0]~q\ & (\led_flash_cnt[2454][7]~q\ & (\WideAnd2454~1_combout\ & \WideAnd2454~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2454][0]~q\,
	datab => \led_flash_cnt[2454][7]~q\,
	datac => \WideAnd2454~1_combout\,
	datad => \WideAnd2454~0_combout\,
	combout => \WideAnd2454~combout\);

-- Location: FF_X55_Y3_N19
\led_flash_cnt_ands[2454]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2454~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2454));

-- Location: LCCOMB_X51_Y3_N22
\led_flash_cnt[2455][0]~83095\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2455][0]~83095_combout\ = !\led_flash_cnt[2455][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2455][0]~q\,
	combout => \led_flash_cnt[2455][0]~83095_combout\);

-- Location: FF_X51_Y3_N23
\led_flash_cnt[2455][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2455][0]~83095_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2455][0]~q\);

-- Location: LCCOMB_X51_Y3_N4
\led_flash_cnt[2455][1]~61250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2455][1]~61250_combout\ = (\led_flash_cnt[2455][0]~q\ & (\led_flash_cnt[2455][1]~q\ $ (VCC))) # (!\led_flash_cnt[2455][0]~q\ & (\led_flash_cnt[2455][1]~q\ & VCC))
-- \led_flash_cnt[2455][1]~61251\ = CARRY((\led_flash_cnt[2455][0]~q\ & \led_flash_cnt[2455][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2455][0]~q\,
	datab => \led_flash_cnt[2455][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2455][1]~61250_combout\,
	cout => \led_flash_cnt[2455][1]~61251\);

-- Location: FF_X51_Y3_N5
\led_flash_cnt[2455][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2455][1]~61250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2455][1]~q\);

-- Location: LCCOMB_X51_Y3_N6
\led_flash_cnt[2455][2]~61252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2455][2]~61252_combout\ = (\led_flash_cnt[2455][2]~q\ & (!\led_flash_cnt[2455][1]~61251\)) # (!\led_flash_cnt[2455][2]~q\ & ((\led_flash_cnt[2455][1]~61251\) # (GND)))
-- \led_flash_cnt[2455][2]~61253\ = CARRY((!\led_flash_cnt[2455][1]~61251\) # (!\led_flash_cnt[2455][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2455][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2455][1]~61251\,
	combout => \led_flash_cnt[2455][2]~61252_combout\,
	cout => \led_flash_cnt[2455][2]~61253\);

-- Location: FF_X51_Y3_N7
\led_flash_cnt[2455][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2455][2]~61252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2455][2]~q\);

-- Location: LCCOMB_X51_Y3_N8
\led_flash_cnt[2455][3]~61254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2455][3]~61254_combout\ = (\led_flash_cnt[2455][3]~q\ & (\led_flash_cnt[2455][2]~61253\ $ (GND))) # (!\led_flash_cnt[2455][3]~q\ & (!\led_flash_cnt[2455][2]~61253\ & VCC))
-- \led_flash_cnt[2455][3]~61255\ = CARRY((\led_flash_cnt[2455][3]~q\ & !\led_flash_cnt[2455][2]~61253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2455][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2455][2]~61253\,
	combout => \led_flash_cnt[2455][3]~61254_combout\,
	cout => \led_flash_cnt[2455][3]~61255\);

-- Location: FF_X51_Y3_N9
\led_flash_cnt[2455][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2455][3]~61254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2455][3]~q\);

-- Location: LCCOMB_X51_Y3_N10
\led_flash_cnt[2455][4]~61256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2455][4]~61256_combout\ = (\led_flash_cnt[2455][4]~q\ & (!\led_flash_cnt[2455][3]~61255\)) # (!\led_flash_cnt[2455][4]~q\ & ((\led_flash_cnt[2455][3]~61255\) # (GND)))
-- \led_flash_cnt[2455][4]~61257\ = CARRY((!\led_flash_cnt[2455][3]~61255\) # (!\led_flash_cnt[2455][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2455][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2455][3]~61255\,
	combout => \led_flash_cnt[2455][4]~61256_combout\,
	cout => \led_flash_cnt[2455][4]~61257\);

-- Location: FF_X51_Y3_N11
\led_flash_cnt[2455][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2455][4]~61256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2455][4]~q\);

-- Location: LCCOMB_X51_Y3_N2
\WideAnd2455~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2455~0_combout\ = (\led_flash_cnt[2455][4]~q\ & (\led_flash_cnt[2455][3]~q\ & (\led_flash_cnt[2455][1]~q\ & \led_flash_cnt[2455][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2455][4]~q\,
	datab => \led_flash_cnt[2455][3]~q\,
	datac => \led_flash_cnt[2455][1]~q\,
	datad => \led_flash_cnt[2455][2]~q\,
	combout => \WideAnd2455~0_combout\);

-- Location: LCCOMB_X51_Y3_N12
\led_flash_cnt[2455][5]~61258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2455][5]~61258_combout\ = (\led_flash_cnt[2455][5]~q\ & (\led_flash_cnt[2455][4]~61257\ $ (GND))) # (!\led_flash_cnt[2455][5]~q\ & (!\led_flash_cnt[2455][4]~61257\ & VCC))
-- \led_flash_cnt[2455][5]~61259\ = CARRY((\led_flash_cnt[2455][5]~q\ & !\led_flash_cnt[2455][4]~61257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2455][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2455][4]~61257\,
	combout => \led_flash_cnt[2455][5]~61258_combout\,
	cout => \led_flash_cnt[2455][5]~61259\);

-- Location: FF_X51_Y3_N13
\led_flash_cnt[2455][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2455][5]~61258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2455][5]~q\);

-- Location: LCCOMB_X51_Y3_N14
\led_flash_cnt[2455][6]~61260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2455][6]~61260_combout\ = (\led_flash_cnt[2455][6]~q\ & (!\led_flash_cnt[2455][5]~61259\)) # (!\led_flash_cnt[2455][6]~q\ & ((\led_flash_cnt[2455][5]~61259\) # (GND)))
-- \led_flash_cnt[2455][6]~61261\ = CARRY((!\led_flash_cnt[2455][5]~61259\) # (!\led_flash_cnt[2455][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2455][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2455][5]~61259\,
	combout => \led_flash_cnt[2455][6]~61260_combout\,
	cout => \led_flash_cnt[2455][6]~61261\);

-- Location: FF_X51_Y3_N15
\led_flash_cnt[2455][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2455][6]~61260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2455][6]~q\);

-- Location: LCCOMB_X51_Y3_N26
\WideAnd2455~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2455~1_combout\ = (\led_flash_cnt[2455][6]~q\ & \led_flash_cnt[2455][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2455][6]~q\,
	datad => \led_flash_cnt[2455][5]~q\,
	combout => \WideAnd2455~1_combout\);

-- Location: LCCOMB_X51_Y3_N16
\led_flash_cnt[2455][7]~61262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2455][7]~61262_combout\ = \led_flash_cnt[2455][6]~61261\ $ (!\led_flash_cnt[2455][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2455][7]~q\,
	cin => \led_flash_cnt[2455][6]~61261\,
	combout => \led_flash_cnt[2455][7]~61262_combout\);

-- Location: FF_X51_Y3_N17
\led_flash_cnt[2455][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2455][7]~61262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2455][7]~q\);

-- Location: LCCOMB_X51_Y3_N24
WideAnd2455 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2455~combout\ = (\led_flash_cnt[2455][0]~q\ & (\WideAnd2455~0_combout\ & (\WideAnd2455~1_combout\ & \led_flash_cnt[2455][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2455][0]~q\,
	datab => \WideAnd2455~0_combout\,
	datac => \WideAnd2455~1_combout\,
	datad => \led_flash_cnt[2455][7]~q\,
	combout => \WideAnd2455~combout\);

-- Location: FF_X51_Y3_N25
\led_flash_cnt_ands[2455]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2455~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2455));

-- Location: LCCOMB_X56_Y3_N6
\led_flash_cnt[2451][0]~83091\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2451][0]~83091_combout\ = !\led_flash_cnt[2451][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2451][0]~q\,
	combout => \led_flash_cnt[2451][0]~83091_combout\);

-- Location: FF_X56_Y3_N7
\led_flash_cnt[2451][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2451][0]~83091_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2451][0]~q\);

-- Location: LCCOMB_X57_Y3_N4
\led_flash_cnt[2451][1]~61194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2451][1]~61194_combout\ = (\led_flash_cnt[2451][0]~q\ & (\led_flash_cnt[2451][1]~q\ $ (VCC))) # (!\led_flash_cnt[2451][0]~q\ & (\led_flash_cnt[2451][1]~q\ & VCC))
-- \led_flash_cnt[2451][1]~61195\ = CARRY((\led_flash_cnt[2451][0]~q\ & \led_flash_cnt[2451][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2451][0]~q\,
	datab => \led_flash_cnt[2451][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2451][1]~61194_combout\,
	cout => \led_flash_cnt[2451][1]~61195\);

-- Location: FF_X57_Y3_N5
\led_flash_cnt[2451][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2451][1]~61194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2451][1]~q\);

-- Location: LCCOMB_X57_Y3_N6
\led_flash_cnt[2451][2]~61196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2451][2]~61196_combout\ = (\led_flash_cnt[2451][2]~q\ & (!\led_flash_cnt[2451][1]~61195\)) # (!\led_flash_cnt[2451][2]~q\ & ((\led_flash_cnt[2451][1]~61195\) # (GND)))
-- \led_flash_cnt[2451][2]~61197\ = CARRY((!\led_flash_cnt[2451][1]~61195\) # (!\led_flash_cnt[2451][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2451][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2451][1]~61195\,
	combout => \led_flash_cnt[2451][2]~61196_combout\,
	cout => \led_flash_cnt[2451][2]~61197\);

-- Location: FF_X57_Y3_N7
\led_flash_cnt[2451][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2451][2]~61196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2451][2]~q\);

-- Location: LCCOMB_X57_Y3_N8
\led_flash_cnt[2451][3]~61198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2451][3]~61198_combout\ = (\led_flash_cnt[2451][3]~q\ & (\led_flash_cnt[2451][2]~61197\ $ (GND))) # (!\led_flash_cnt[2451][3]~q\ & (!\led_flash_cnt[2451][2]~61197\ & VCC))
-- \led_flash_cnt[2451][3]~61199\ = CARRY((\led_flash_cnt[2451][3]~q\ & !\led_flash_cnt[2451][2]~61197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2451][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2451][2]~61197\,
	combout => \led_flash_cnt[2451][3]~61198_combout\,
	cout => \led_flash_cnt[2451][3]~61199\);

-- Location: FF_X57_Y3_N9
\led_flash_cnt[2451][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2451][3]~61198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2451][3]~q\);

-- Location: LCCOMB_X57_Y3_N10
\led_flash_cnt[2451][4]~61200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2451][4]~61200_combout\ = (\led_flash_cnt[2451][4]~q\ & (!\led_flash_cnt[2451][3]~61199\)) # (!\led_flash_cnt[2451][4]~q\ & ((\led_flash_cnt[2451][3]~61199\) # (GND)))
-- \led_flash_cnt[2451][4]~61201\ = CARRY((!\led_flash_cnt[2451][3]~61199\) # (!\led_flash_cnt[2451][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2451][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2451][3]~61199\,
	combout => \led_flash_cnt[2451][4]~61200_combout\,
	cout => \led_flash_cnt[2451][4]~61201\);

-- Location: FF_X57_Y3_N11
\led_flash_cnt[2451][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2451][4]~61200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2451][4]~q\);

-- Location: LCCOMB_X57_Y3_N12
\led_flash_cnt[2451][5]~61202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2451][5]~61202_combout\ = (\led_flash_cnt[2451][5]~q\ & (\led_flash_cnt[2451][4]~61201\ $ (GND))) # (!\led_flash_cnt[2451][5]~q\ & (!\led_flash_cnt[2451][4]~61201\ & VCC))
-- \led_flash_cnt[2451][5]~61203\ = CARRY((\led_flash_cnt[2451][5]~q\ & !\led_flash_cnt[2451][4]~61201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2451][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2451][4]~61201\,
	combout => \led_flash_cnt[2451][5]~61202_combout\,
	cout => \led_flash_cnt[2451][5]~61203\);

-- Location: FF_X57_Y3_N13
\led_flash_cnt[2451][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2451][5]~61202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2451][5]~q\);

-- Location: LCCOMB_X57_Y3_N14
\led_flash_cnt[2451][6]~61204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2451][6]~61204_combout\ = (\led_flash_cnt[2451][6]~q\ & (!\led_flash_cnt[2451][5]~61203\)) # (!\led_flash_cnt[2451][6]~q\ & ((\led_flash_cnt[2451][5]~61203\) # (GND)))
-- \led_flash_cnt[2451][6]~61205\ = CARRY((!\led_flash_cnt[2451][5]~61203\) # (!\led_flash_cnt[2451][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2451][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2451][5]~61203\,
	combout => \led_flash_cnt[2451][6]~61204_combout\,
	cout => \led_flash_cnt[2451][6]~61205\);

-- Location: FF_X57_Y3_N15
\led_flash_cnt[2451][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2451][6]~61204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2451][6]~q\);

-- Location: LCCOMB_X57_Y3_N16
\led_flash_cnt[2451][7]~61206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2451][7]~61206_combout\ = \led_flash_cnt[2451][6]~61205\ $ (!\led_flash_cnt[2451][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2451][7]~q\,
	cin => \led_flash_cnt[2451][6]~61205\,
	combout => \led_flash_cnt[2451][7]~61206_combout\);

-- Location: FF_X57_Y3_N17
\led_flash_cnt[2451][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2451][7]~61206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2451][7]~q\);

-- Location: LCCOMB_X56_Y3_N4
\WideAnd2451~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2451~1_combout\ = (\led_flash_cnt[2451][6]~q\ & \led_flash_cnt[2451][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2451][6]~q\,
	datac => \led_flash_cnt[2451][5]~q\,
	combout => \WideAnd2451~1_combout\);

-- Location: LCCOMB_X57_Y3_N2
\WideAnd2451~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2451~0_combout\ = (\led_flash_cnt[2451][4]~q\ & (\led_flash_cnt[2451][3]~q\ & (\led_flash_cnt[2451][1]~q\ & \led_flash_cnt[2451][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2451][4]~q\,
	datab => \led_flash_cnt[2451][3]~q\,
	datac => \led_flash_cnt[2451][1]~q\,
	datad => \led_flash_cnt[2451][2]~q\,
	combout => \WideAnd2451~0_combout\);

-- Location: LCCOMB_X56_Y3_N30
WideAnd2451 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2451~combout\ = (\led_flash_cnt[2451][0]~q\ & (\led_flash_cnt[2451][7]~q\ & (\WideAnd2451~1_combout\ & \WideAnd2451~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2451][0]~q\,
	datab => \led_flash_cnt[2451][7]~q\,
	datac => \WideAnd2451~1_combout\,
	datad => \WideAnd2451~0_combout\,
	combout => \WideAnd2451~combout\);

-- Location: FF_X56_Y3_N31
\led_flash_cnt_ands[2451]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2451~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2451));

-- Location: LCCOMB_X56_Y3_N2
\led_flash_cnt[2449][0]~83089\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2449][0]~83089_combout\ = !\led_flash_cnt[2449][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2449][0]~q\,
	combout => \led_flash_cnt[2449][0]~83089_combout\);

-- Location: FF_X56_Y3_N3
\led_flash_cnt[2449][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2449][0]~83089_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2449][0]~q\);

-- Location: LCCOMB_X56_Y3_N8
\led_flash_cnt[2449][1]~61166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2449][1]~61166_combout\ = (\led_flash_cnt[2449][0]~q\ & (\led_flash_cnt[2449][1]~q\ $ (VCC))) # (!\led_flash_cnt[2449][0]~q\ & (\led_flash_cnt[2449][1]~q\ & VCC))
-- \led_flash_cnt[2449][1]~61167\ = CARRY((\led_flash_cnt[2449][0]~q\ & \led_flash_cnt[2449][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2449][0]~q\,
	datab => \led_flash_cnt[2449][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2449][1]~61166_combout\,
	cout => \led_flash_cnt[2449][1]~61167\);

-- Location: FF_X56_Y3_N9
\led_flash_cnt[2449][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2449][1]~61166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2449][1]~q\);

-- Location: LCCOMB_X56_Y3_N10
\led_flash_cnt[2449][2]~61168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2449][2]~61168_combout\ = (\led_flash_cnt[2449][2]~q\ & (!\led_flash_cnt[2449][1]~61167\)) # (!\led_flash_cnt[2449][2]~q\ & ((\led_flash_cnt[2449][1]~61167\) # (GND)))
-- \led_flash_cnt[2449][2]~61169\ = CARRY((!\led_flash_cnt[2449][1]~61167\) # (!\led_flash_cnt[2449][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2449][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2449][1]~61167\,
	combout => \led_flash_cnt[2449][2]~61168_combout\,
	cout => \led_flash_cnt[2449][2]~61169\);

-- Location: FF_X56_Y3_N11
\led_flash_cnt[2449][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2449][2]~61168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2449][2]~q\);

-- Location: LCCOMB_X56_Y3_N12
\led_flash_cnt[2449][3]~61170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2449][3]~61170_combout\ = (\led_flash_cnt[2449][3]~q\ & (\led_flash_cnt[2449][2]~61169\ $ (GND))) # (!\led_flash_cnt[2449][3]~q\ & (!\led_flash_cnt[2449][2]~61169\ & VCC))
-- \led_flash_cnt[2449][3]~61171\ = CARRY((\led_flash_cnt[2449][3]~q\ & !\led_flash_cnt[2449][2]~61169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2449][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2449][2]~61169\,
	combout => \led_flash_cnt[2449][3]~61170_combout\,
	cout => \led_flash_cnt[2449][3]~61171\);

-- Location: FF_X56_Y3_N13
\led_flash_cnt[2449][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2449][3]~61170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2449][3]~q\);

-- Location: LCCOMB_X56_Y3_N14
\led_flash_cnt[2449][4]~61172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2449][4]~61172_combout\ = (\led_flash_cnt[2449][4]~q\ & (!\led_flash_cnt[2449][3]~61171\)) # (!\led_flash_cnt[2449][4]~q\ & ((\led_flash_cnt[2449][3]~61171\) # (GND)))
-- \led_flash_cnt[2449][4]~61173\ = CARRY((!\led_flash_cnt[2449][3]~61171\) # (!\led_flash_cnt[2449][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2449][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2449][3]~61171\,
	combout => \led_flash_cnt[2449][4]~61172_combout\,
	cout => \led_flash_cnt[2449][4]~61173\);

-- Location: FF_X56_Y3_N15
\led_flash_cnt[2449][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2449][4]~61172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2449][4]~q\);

-- Location: LCCOMB_X56_Y3_N26
\WideAnd2449~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2449~0_combout\ = (\led_flash_cnt[2449][3]~q\ & (\led_flash_cnt[2449][4]~q\ & (\led_flash_cnt[2449][1]~q\ & \led_flash_cnt[2449][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2449][3]~q\,
	datab => \led_flash_cnt[2449][4]~q\,
	datac => \led_flash_cnt[2449][1]~q\,
	datad => \led_flash_cnt[2449][2]~q\,
	combout => \WideAnd2449~0_combout\);

-- Location: LCCOMB_X56_Y3_N16
\led_flash_cnt[2449][5]~61174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2449][5]~61174_combout\ = (\led_flash_cnt[2449][5]~q\ & (\led_flash_cnt[2449][4]~61173\ $ (GND))) # (!\led_flash_cnt[2449][5]~q\ & (!\led_flash_cnt[2449][4]~61173\ & VCC))
-- \led_flash_cnt[2449][5]~61175\ = CARRY((\led_flash_cnt[2449][5]~q\ & !\led_flash_cnt[2449][4]~61173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2449][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2449][4]~61173\,
	combout => \led_flash_cnt[2449][5]~61174_combout\,
	cout => \led_flash_cnt[2449][5]~61175\);

-- Location: FF_X56_Y3_N17
\led_flash_cnt[2449][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2449][5]~61174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2449][5]~q\);

-- Location: LCCOMB_X56_Y3_N18
\led_flash_cnt[2449][6]~61176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2449][6]~61176_combout\ = (\led_flash_cnt[2449][6]~q\ & (!\led_flash_cnt[2449][5]~61175\)) # (!\led_flash_cnt[2449][6]~q\ & ((\led_flash_cnt[2449][5]~61175\) # (GND)))
-- \led_flash_cnt[2449][6]~61177\ = CARRY((!\led_flash_cnt[2449][5]~61175\) # (!\led_flash_cnt[2449][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2449][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2449][5]~61175\,
	combout => \led_flash_cnt[2449][6]~61176_combout\,
	cout => \led_flash_cnt[2449][6]~61177\);

-- Location: FF_X56_Y3_N19
\led_flash_cnt[2449][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2449][6]~61176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2449][6]~q\);

-- Location: LCCOMB_X56_Y3_N20
\led_flash_cnt[2449][7]~61178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2449][7]~61178_combout\ = \led_flash_cnt[2449][6]~61177\ $ (!\led_flash_cnt[2449][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2449][7]~q\,
	cin => \led_flash_cnt[2449][6]~61177\,
	combout => \led_flash_cnt[2449][7]~61178_combout\);

-- Location: FF_X56_Y3_N21
\led_flash_cnt[2449][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2449][7]~61178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2449][7]~q\);

-- Location: LCCOMB_X56_Y3_N22
\WideAnd2449~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2449~1_combout\ = (\led_flash_cnt[2449][6]~q\ & \led_flash_cnt[2449][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2449][6]~q\,
	datad => \led_flash_cnt[2449][5]~q\,
	combout => \WideAnd2449~1_combout\);

-- Location: LCCOMB_X56_Y3_N24
WideAnd2449 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2449~combout\ = (\WideAnd2449~0_combout\ & (\led_flash_cnt[2449][7]~q\ & (\WideAnd2449~1_combout\ & \led_flash_cnt[2449][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2449~0_combout\,
	datab => \led_flash_cnt[2449][7]~q\,
	datac => \WideAnd2449~1_combout\,
	datad => \led_flash_cnt[2449][0]~q\,
	combout => \WideAnd2449~combout\);

-- Location: FF_X56_Y3_N25
\led_flash_cnt_ands[2449]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2449~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2449));

-- Location: LCCOMB_X44_Y7_N2
\led_flash_cnt[2450][0]~83090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2450][0]~83090_combout\ = !\led_flash_cnt[2450][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2450][0]~q\,
	combout => \led_flash_cnt[2450][0]~83090_combout\);

-- Location: FF_X44_Y7_N3
\led_flash_cnt[2450][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2450][0]~83090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2450][0]~q\);

-- Location: LCCOMB_X43_Y7_N16
\led_flash_cnt[2450][1]~61180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2450][1]~61180_combout\ = (\led_flash_cnt[2450][0]~q\ & (\led_flash_cnt[2450][1]~q\ $ (VCC))) # (!\led_flash_cnt[2450][0]~q\ & (\led_flash_cnt[2450][1]~q\ & VCC))
-- \led_flash_cnt[2450][1]~61181\ = CARRY((\led_flash_cnt[2450][0]~q\ & \led_flash_cnt[2450][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2450][0]~q\,
	datab => \led_flash_cnt[2450][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2450][1]~61180_combout\,
	cout => \led_flash_cnt[2450][1]~61181\);

-- Location: FF_X43_Y7_N17
\led_flash_cnt[2450][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2450][1]~61180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2450][1]~q\);

-- Location: LCCOMB_X43_Y7_N18
\led_flash_cnt[2450][2]~61182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2450][2]~61182_combout\ = (\led_flash_cnt[2450][2]~q\ & (!\led_flash_cnt[2450][1]~61181\)) # (!\led_flash_cnt[2450][2]~q\ & ((\led_flash_cnt[2450][1]~61181\) # (GND)))
-- \led_flash_cnt[2450][2]~61183\ = CARRY((!\led_flash_cnt[2450][1]~61181\) # (!\led_flash_cnt[2450][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2450][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2450][1]~61181\,
	combout => \led_flash_cnt[2450][2]~61182_combout\,
	cout => \led_flash_cnt[2450][2]~61183\);

-- Location: FF_X43_Y7_N19
\led_flash_cnt[2450][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2450][2]~61182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2450][2]~q\);

-- Location: LCCOMB_X43_Y7_N20
\led_flash_cnt[2450][3]~61184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2450][3]~61184_combout\ = (\led_flash_cnt[2450][3]~q\ & (\led_flash_cnt[2450][2]~61183\ $ (GND))) # (!\led_flash_cnt[2450][3]~q\ & (!\led_flash_cnt[2450][2]~61183\ & VCC))
-- \led_flash_cnt[2450][3]~61185\ = CARRY((\led_flash_cnt[2450][3]~q\ & !\led_flash_cnt[2450][2]~61183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2450][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2450][2]~61183\,
	combout => \led_flash_cnt[2450][3]~61184_combout\,
	cout => \led_flash_cnt[2450][3]~61185\);

-- Location: FF_X43_Y7_N21
\led_flash_cnt[2450][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2450][3]~61184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2450][3]~q\);

-- Location: LCCOMB_X43_Y7_N22
\led_flash_cnt[2450][4]~61186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2450][4]~61186_combout\ = (\led_flash_cnt[2450][4]~q\ & (!\led_flash_cnt[2450][3]~61185\)) # (!\led_flash_cnt[2450][4]~q\ & ((\led_flash_cnt[2450][3]~61185\) # (GND)))
-- \led_flash_cnt[2450][4]~61187\ = CARRY((!\led_flash_cnt[2450][3]~61185\) # (!\led_flash_cnt[2450][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2450][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2450][3]~61185\,
	combout => \led_flash_cnt[2450][4]~61186_combout\,
	cout => \led_flash_cnt[2450][4]~61187\);

-- Location: FF_X43_Y7_N23
\led_flash_cnt[2450][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2450][4]~61186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2450][4]~q\);

-- Location: LCCOMB_X43_Y7_N24
\led_flash_cnt[2450][5]~61188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2450][5]~61188_combout\ = (\led_flash_cnt[2450][5]~q\ & (\led_flash_cnt[2450][4]~61187\ $ (GND))) # (!\led_flash_cnt[2450][5]~q\ & (!\led_flash_cnt[2450][4]~61187\ & VCC))
-- \led_flash_cnt[2450][5]~61189\ = CARRY((\led_flash_cnt[2450][5]~q\ & !\led_flash_cnt[2450][4]~61187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2450][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2450][4]~61187\,
	combout => \led_flash_cnt[2450][5]~61188_combout\,
	cout => \led_flash_cnt[2450][5]~61189\);

-- Location: FF_X43_Y7_N25
\led_flash_cnt[2450][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2450][5]~61188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2450][5]~q\);

-- Location: LCCOMB_X43_Y7_N26
\led_flash_cnt[2450][6]~61190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2450][6]~61190_combout\ = (\led_flash_cnt[2450][6]~q\ & (!\led_flash_cnt[2450][5]~61189\)) # (!\led_flash_cnt[2450][6]~q\ & ((\led_flash_cnt[2450][5]~61189\) # (GND)))
-- \led_flash_cnt[2450][6]~61191\ = CARRY((!\led_flash_cnt[2450][5]~61189\) # (!\led_flash_cnt[2450][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2450][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2450][5]~61189\,
	combout => \led_flash_cnt[2450][6]~61190_combout\,
	cout => \led_flash_cnt[2450][6]~61191\);

-- Location: FF_X43_Y7_N27
\led_flash_cnt[2450][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2450][6]~61190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2450][6]~q\);

-- Location: LCCOMB_X44_Y7_N10
\WideAnd2450~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2450~1_combout\ = (\led_flash_cnt[2450][6]~q\ & \led_flash_cnt[2450][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2450][6]~q\,
	datad => \led_flash_cnt[2450][5]~q\,
	combout => \WideAnd2450~1_combout\);

-- Location: LCCOMB_X43_Y7_N28
\led_flash_cnt[2450][7]~61192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2450][7]~61192_combout\ = \led_flash_cnt[2450][6]~61191\ $ (!\led_flash_cnt[2450][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2450][7]~q\,
	cin => \led_flash_cnt[2450][6]~61191\,
	combout => \led_flash_cnt[2450][7]~61192_combout\);

-- Location: FF_X43_Y7_N29
\led_flash_cnt[2450][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2450][7]~61192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2450][7]~q\);

-- Location: LCCOMB_X43_Y7_N0
\WideAnd2450~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2450~0_combout\ = (\led_flash_cnt[2450][1]~q\ & (\led_flash_cnt[2450][3]~q\ & (\led_flash_cnt[2450][4]~q\ & \led_flash_cnt[2450][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2450][1]~q\,
	datab => \led_flash_cnt[2450][3]~q\,
	datac => \led_flash_cnt[2450][4]~q\,
	datad => \led_flash_cnt[2450][2]~q\,
	combout => \WideAnd2450~0_combout\);

-- Location: LCCOMB_X44_Y7_N28
WideAnd2450 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2450~combout\ = (\WideAnd2450~1_combout\ & (\led_flash_cnt[2450][7]~q\ & (\WideAnd2450~0_combout\ & \led_flash_cnt[2450][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2450~1_combout\,
	datab => \led_flash_cnt[2450][7]~q\,
	datac => \WideAnd2450~0_combout\,
	datad => \led_flash_cnt[2450][0]~q\,
	combout => \WideAnd2450~combout\);

-- Location: FF_X44_Y7_N29
\led_flash_cnt_ands[2450]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2450~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2450));

-- Location: LCCOMB_X60_Y3_N26
\led_flash_cnt[2448][0]~83088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2448][0]~83088_combout\ = !\led_flash_cnt[2448][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2448][0]~q\,
	combout => \led_flash_cnt[2448][0]~83088_combout\);

-- Location: FF_X60_Y3_N27
\led_flash_cnt[2448][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2448][0]~83088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2448][0]~q\);

-- Location: LCCOMB_X60_Y3_N2
\led_flash_cnt[2448][1]~61152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2448][1]~61152_combout\ = (\led_flash_cnt[2448][0]~q\ & (\led_flash_cnt[2448][1]~q\ $ (VCC))) # (!\led_flash_cnt[2448][0]~q\ & (\led_flash_cnt[2448][1]~q\ & VCC))
-- \led_flash_cnt[2448][1]~61153\ = CARRY((\led_flash_cnt[2448][0]~q\ & \led_flash_cnt[2448][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2448][0]~q\,
	datab => \led_flash_cnt[2448][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2448][1]~61152_combout\,
	cout => \led_flash_cnt[2448][1]~61153\);

-- Location: FF_X60_Y3_N3
\led_flash_cnt[2448][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2448][1]~61152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2448][1]~q\);

-- Location: LCCOMB_X60_Y3_N4
\led_flash_cnt[2448][2]~61154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2448][2]~61154_combout\ = (\led_flash_cnt[2448][2]~q\ & (!\led_flash_cnt[2448][1]~61153\)) # (!\led_flash_cnt[2448][2]~q\ & ((\led_flash_cnt[2448][1]~61153\) # (GND)))
-- \led_flash_cnt[2448][2]~61155\ = CARRY((!\led_flash_cnt[2448][1]~61153\) # (!\led_flash_cnt[2448][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2448][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2448][1]~61153\,
	combout => \led_flash_cnt[2448][2]~61154_combout\,
	cout => \led_flash_cnt[2448][2]~61155\);

-- Location: FF_X60_Y3_N5
\led_flash_cnt[2448][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2448][2]~61154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2448][2]~q\);

-- Location: LCCOMB_X60_Y3_N6
\led_flash_cnt[2448][3]~61156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2448][3]~61156_combout\ = (\led_flash_cnt[2448][3]~q\ & (\led_flash_cnt[2448][2]~61155\ $ (GND))) # (!\led_flash_cnt[2448][3]~q\ & (!\led_flash_cnt[2448][2]~61155\ & VCC))
-- \led_flash_cnt[2448][3]~61157\ = CARRY((\led_flash_cnt[2448][3]~q\ & !\led_flash_cnt[2448][2]~61155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2448][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2448][2]~61155\,
	combout => \led_flash_cnt[2448][3]~61156_combout\,
	cout => \led_flash_cnt[2448][3]~61157\);

-- Location: FF_X60_Y3_N7
\led_flash_cnt[2448][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2448][3]~61156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2448][3]~q\);

-- Location: LCCOMB_X60_Y3_N8
\led_flash_cnt[2448][4]~61158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2448][4]~61158_combout\ = (\led_flash_cnt[2448][4]~q\ & (!\led_flash_cnt[2448][3]~61157\)) # (!\led_flash_cnt[2448][4]~q\ & ((\led_flash_cnt[2448][3]~61157\) # (GND)))
-- \led_flash_cnt[2448][4]~61159\ = CARRY((!\led_flash_cnt[2448][3]~61157\) # (!\led_flash_cnt[2448][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2448][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2448][3]~61157\,
	combout => \led_flash_cnt[2448][4]~61158_combout\,
	cout => \led_flash_cnt[2448][4]~61159\);

-- Location: FF_X60_Y3_N9
\led_flash_cnt[2448][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2448][4]~61158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2448][4]~q\);

-- Location: LCCOMB_X60_Y3_N10
\led_flash_cnt[2448][5]~61160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2448][5]~61160_combout\ = (\led_flash_cnt[2448][5]~q\ & (\led_flash_cnt[2448][4]~61159\ $ (GND))) # (!\led_flash_cnt[2448][5]~q\ & (!\led_flash_cnt[2448][4]~61159\ & VCC))
-- \led_flash_cnt[2448][5]~61161\ = CARRY((\led_flash_cnt[2448][5]~q\ & !\led_flash_cnt[2448][4]~61159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2448][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2448][4]~61159\,
	combout => \led_flash_cnt[2448][5]~61160_combout\,
	cout => \led_flash_cnt[2448][5]~61161\);

-- Location: FF_X60_Y3_N11
\led_flash_cnt[2448][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2448][5]~61160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2448][5]~q\);

-- Location: LCCOMB_X60_Y3_N12
\led_flash_cnt[2448][6]~61162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2448][6]~61162_combout\ = (\led_flash_cnt[2448][6]~q\ & (!\led_flash_cnt[2448][5]~61161\)) # (!\led_flash_cnt[2448][6]~q\ & ((\led_flash_cnt[2448][5]~61161\) # (GND)))
-- \led_flash_cnt[2448][6]~61163\ = CARRY((!\led_flash_cnt[2448][5]~61161\) # (!\led_flash_cnt[2448][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2448][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2448][5]~61161\,
	combout => \led_flash_cnt[2448][6]~61162_combout\,
	cout => \led_flash_cnt[2448][6]~61163\);

-- Location: FF_X60_Y3_N13
\led_flash_cnt[2448][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2448][6]~61162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2448][6]~q\);

-- Location: LCCOMB_X60_Y3_N22
\WideAnd2448~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2448~1_combout\ = (\led_flash_cnt[2448][6]~q\ & \led_flash_cnt[2448][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2448][6]~q\,
	datad => \led_flash_cnt[2448][5]~q\,
	combout => \WideAnd2448~1_combout\);

-- Location: LCCOMB_X60_Y3_N14
\led_flash_cnt[2448][7]~61164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2448][7]~61164_combout\ = \led_flash_cnt[2448][7]~q\ $ (!\led_flash_cnt[2448][6]~61163\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2448][7]~q\,
	cin => \led_flash_cnt[2448][6]~61163\,
	combout => \led_flash_cnt[2448][7]~61164_combout\);

-- Location: FF_X60_Y3_N15
\led_flash_cnt[2448][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2448][7]~61164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2448][7]~q\);

-- Location: LCCOMB_X60_Y3_N18
\WideAnd2448~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2448~0_combout\ = (\led_flash_cnt[2448][3]~q\ & (\led_flash_cnt[2448][4]~q\ & (\led_flash_cnt[2448][2]~q\ & \led_flash_cnt[2448][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2448][3]~q\,
	datab => \led_flash_cnt[2448][4]~q\,
	datac => \led_flash_cnt[2448][2]~q\,
	datad => \led_flash_cnt[2448][1]~q\,
	combout => \WideAnd2448~0_combout\);

-- Location: LCCOMB_X60_Y3_N24
WideAnd2448 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2448~combout\ = (\WideAnd2448~1_combout\ & (\led_flash_cnt[2448][7]~q\ & (\led_flash_cnt[2448][0]~q\ & \WideAnd2448~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2448~1_combout\,
	datab => \led_flash_cnt[2448][7]~q\,
	datac => \led_flash_cnt[2448][0]~q\,
	datad => \WideAnd2448~0_combout\,
	combout => \WideAnd2448~combout\);

-- Location: FF_X60_Y3_N25
\led_flash_cnt_ands[2448]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2448~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2448));

-- Location: LCCOMB_X56_Y3_N28
\WideAnd4146~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4146~0_combout\ = (led_flash_cnt_ands(2451) & (led_flash_cnt_ands(2449) & (led_flash_cnt_ands(2450) & led_flash_cnt_ands(2448))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2451),
	datab => led_flash_cnt_ands(2449),
	datac => led_flash_cnt_ands(2450),
	datad => led_flash_cnt_ands(2448),
	combout => \WideAnd4146~0_combout\);

-- Location: LCCOMB_X55_Y3_N28
WideAnd4146 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4146~combout\ = (\WideAnd4146~1_combout\ & (led_flash_cnt_ands(2454) & (led_flash_cnt_ands(2455) & \WideAnd4146~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4146~1_combout\,
	datab => led_flash_cnt_ands(2454),
	datac => led_flash_cnt_ands(2455),
	datad => \WideAnd4146~0_combout\,
	combout => \WideAnd4146~combout\);

-- Location: FF_X55_Y3_N29
\led_flash_cnt_ands_1[306]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4146~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(306));

-- Location: LCCOMB_X2_Y25_N0
\led_flash_cnt[2461][0]~83101\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2461][0]~83101_combout\ = !\led_flash_cnt[2461][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2461][0]~q\,
	combout => \led_flash_cnt[2461][0]~83101_combout\);

-- Location: FF_X2_Y25_N1
\led_flash_cnt[2461][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2461][0]~83101_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2461][0]~q\);

-- Location: LCCOMB_X2_Y26_N2
\led_flash_cnt[2461][1]~61334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2461][1]~61334_combout\ = (\led_flash_cnt[2461][0]~q\ & (\led_flash_cnt[2461][1]~q\ $ (VCC))) # (!\led_flash_cnt[2461][0]~q\ & (\led_flash_cnt[2461][1]~q\ & VCC))
-- \led_flash_cnt[2461][1]~61335\ = CARRY((\led_flash_cnt[2461][0]~q\ & \led_flash_cnt[2461][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2461][0]~q\,
	datab => \led_flash_cnt[2461][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2461][1]~61334_combout\,
	cout => \led_flash_cnt[2461][1]~61335\);

-- Location: FF_X2_Y26_N3
\led_flash_cnt[2461][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2461][1]~61334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2461][1]~q\);

-- Location: LCCOMB_X2_Y26_N4
\led_flash_cnt[2461][2]~61336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2461][2]~61336_combout\ = (\led_flash_cnt[2461][2]~q\ & (!\led_flash_cnt[2461][1]~61335\)) # (!\led_flash_cnt[2461][2]~q\ & ((\led_flash_cnt[2461][1]~61335\) # (GND)))
-- \led_flash_cnt[2461][2]~61337\ = CARRY((!\led_flash_cnt[2461][1]~61335\) # (!\led_flash_cnt[2461][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2461][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2461][1]~61335\,
	combout => \led_flash_cnt[2461][2]~61336_combout\,
	cout => \led_flash_cnt[2461][2]~61337\);

-- Location: FF_X2_Y26_N5
\led_flash_cnt[2461][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2461][2]~61336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2461][2]~q\);

-- Location: LCCOMB_X2_Y26_N6
\led_flash_cnt[2461][3]~61338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2461][3]~61338_combout\ = (\led_flash_cnt[2461][3]~q\ & (\led_flash_cnt[2461][2]~61337\ $ (GND))) # (!\led_flash_cnt[2461][3]~q\ & (!\led_flash_cnt[2461][2]~61337\ & VCC))
-- \led_flash_cnt[2461][3]~61339\ = CARRY((\led_flash_cnt[2461][3]~q\ & !\led_flash_cnt[2461][2]~61337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2461][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2461][2]~61337\,
	combout => \led_flash_cnt[2461][3]~61338_combout\,
	cout => \led_flash_cnt[2461][3]~61339\);

-- Location: FF_X2_Y26_N7
\led_flash_cnt[2461][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2461][3]~61338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2461][3]~q\);

-- Location: LCCOMB_X2_Y26_N8
\led_flash_cnt[2461][4]~61340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2461][4]~61340_combout\ = (\led_flash_cnt[2461][4]~q\ & (!\led_flash_cnt[2461][3]~61339\)) # (!\led_flash_cnt[2461][4]~q\ & ((\led_flash_cnt[2461][3]~61339\) # (GND)))
-- \led_flash_cnt[2461][4]~61341\ = CARRY((!\led_flash_cnt[2461][3]~61339\) # (!\led_flash_cnt[2461][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2461][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2461][3]~61339\,
	combout => \led_flash_cnt[2461][4]~61340_combout\,
	cout => \led_flash_cnt[2461][4]~61341\);

-- Location: FF_X2_Y26_N9
\led_flash_cnt[2461][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2461][4]~61340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2461][4]~q\);

-- Location: LCCOMB_X2_Y26_N10
\led_flash_cnt[2461][5]~61342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2461][5]~61342_combout\ = (\led_flash_cnt[2461][5]~q\ & (\led_flash_cnt[2461][4]~61341\ $ (GND))) # (!\led_flash_cnt[2461][5]~q\ & (!\led_flash_cnt[2461][4]~61341\ & VCC))
-- \led_flash_cnt[2461][5]~61343\ = CARRY((\led_flash_cnt[2461][5]~q\ & !\led_flash_cnt[2461][4]~61341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2461][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2461][4]~61341\,
	combout => \led_flash_cnt[2461][5]~61342_combout\,
	cout => \led_flash_cnt[2461][5]~61343\);

-- Location: FF_X2_Y26_N11
\led_flash_cnt[2461][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2461][5]~61342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2461][5]~q\);

-- Location: LCCOMB_X2_Y26_N12
\led_flash_cnt[2461][6]~61344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2461][6]~61344_combout\ = (\led_flash_cnt[2461][6]~q\ & (!\led_flash_cnt[2461][5]~61343\)) # (!\led_flash_cnt[2461][6]~q\ & ((\led_flash_cnt[2461][5]~61343\) # (GND)))
-- \led_flash_cnt[2461][6]~61345\ = CARRY((!\led_flash_cnt[2461][5]~61343\) # (!\led_flash_cnt[2461][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2461][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2461][5]~61343\,
	combout => \led_flash_cnt[2461][6]~61344_combout\,
	cout => \led_flash_cnt[2461][6]~61345\);

-- Location: FF_X2_Y26_N13
\led_flash_cnt[2461][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2461][6]~61344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2461][6]~q\);

-- Location: LCCOMB_X1_Y26_N2
\WideAnd2461~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2461~1_combout\ = (\led_flash_cnt[2461][6]~q\ & \led_flash_cnt[2461][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2461][6]~q\,
	datac => \led_flash_cnt[2461][5]~q\,
	combout => \WideAnd2461~1_combout\);

-- Location: LCCOMB_X2_Y26_N14
\led_flash_cnt[2461][7]~61346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2461][7]~61346_combout\ = \led_flash_cnt[2461][7]~q\ $ (!\led_flash_cnt[2461][6]~61345\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2461][7]~q\,
	cin => \led_flash_cnt[2461][6]~61345\,
	combout => \led_flash_cnt[2461][7]~61346_combout\);

-- Location: FF_X2_Y26_N15
\led_flash_cnt[2461][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2461][7]~61346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2461][7]~q\);

-- Location: LCCOMB_X2_Y26_N0
\WideAnd2461~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2461~0_combout\ = (\led_flash_cnt[2461][3]~q\ & (\led_flash_cnt[2461][4]~q\ & (\led_flash_cnt[2461][2]~q\ & \led_flash_cnt[2461][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2461][3]~q\,
	datab => \led_flash_cnt[2461][4]~q\,
	datac => \led_flash_cnt[2461][2]~q\,
	datad => \led_flash_cnt[2461][1]~q\,
	combout => \WideAnd2461~0_combout\);

-- Location: LCCOMB_X2_Y26_N16
WideAnd2461 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2461~combout\ = (\WideAnd2461~1_combout\ & (\led_flash_cnt[2461][0]~q\ & (\led_flash_cnt[2461][7]~q\ & \WideAnd2461~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2461~1_combout\,
	datab => \led_flash_cnt[2461][0]~q\,
	datac => \led_flash_cnt[2461][7]~q\,
	datad => \WideAnd2461~0_combout\,
	combout => \WideAnd2461~combout\);

-- Location: FF_X2_Y26_N17
\led_flash_cnt_ands[2461]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2461~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2461));

-- Location: LCCOMB_X2_Y25_N26
\led_flash_cnt[2460][0]~83100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2460][0]~83100_combout\ = !\led_flash_cnt[2460][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2460][0]~q\,
	combout => \led_flash_cnt[2460][0]~83100_combout\);

-- Location: FF_X2_Y25_N27
\led_flash_cnt[2460][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2460][0]~83100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2460][0]~q\);

-- Location: LCCOMB_X2_Y25_N8
\led_flash_cnt[2460][1]~61320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2460][1]~61320_combout\ = (\led_flash_cnt[2460][0]~q\ & (\led_flash_cnt[2460][1]~q\ $ (VCC))) # (!\led_flash_cnt[2460][0]~q\ & (\led_flash_cnt[2460][1]~q\ & VCC))
-- \led_flash_cnt[2460][1]~61321\ = CARRY((\led_flash_cnt[2460][0]~q\ & \led_flash_cnt[2460][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2460][0]~q\,
	datab => \led_flash_cnt[2460][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2460][1]~61320_combout\,
	cout => \led_flash_cnt[2460][1]~61321\);

-- Location: FF_X2_Y25_N9
\led_flash_cnt[2460][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2460][1]~61320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2460][1]~q\);

-- Location: LCCOMB_X2_Y25_N10
\led_flash_cnt[2460][2]~61322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2460][2]~61322_combout\ = (\led_flash_cnt[2460][2]~q\ & (!\led_flash_cnt[2460][1]~61321\)) # (!\led_flash_cnt[2460][2]~q\ & ((\led_flash_cnt[2460][1]~61321\) # (GND)))
-- \led_flash_cnt[2460][2]~61323\ = CARRY((!\led_flash_cnt[2460][1]~61321\) # (!\led_flash_cnt[2460][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2460][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2460][1]~61321\,
	combout => \led_flash_cnt[2460][2]~61322_combout\,
	cout => \led_flash_cnt[2460][2]~61323\);

-- Location: FF_X2_Y25_N11
\led_flash_cnt[2460][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2460][2]~61322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2460][2]~q\);

-- Location: LCCOMB_X2_Y25_N12
\led_flash_cnt[2460][3]~61324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2460][3]~61324_combout\ = (\led_flash_cnt[2460][3]~q\ & (\led_flash_cnt[2460][2]~61323\ $ (GND))) # (!\led_flash_cnt[2460][3]~q\ & (!\led_flash_cnt[2460][2]~61323\ & VCC))
-- \led_flash_cnt[2460][3]~61325\ = CARRY((\led_flash_cnt[2460][3]~q\ & !\led_flash_cnt[2460][2]~61323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2460][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2460][2]~61323\,
	combout => \led_flash_cnt[2460][3]~61324_combout\,
	cout => \led_flash_cnt[2460][3]~61325\);

-- Location: FF_X2_Y25_N13
\led_flash_cnt[2460][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2460][3]~61324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2460][3]~q\);

-- Location: LCCOMB_X2_Y25_N14
\led_flash_cnt[2460][4]~61326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2460][4]~61326_combout\ = (\led_flash_cnt[2460][4]~q\ & (!\led_flash_cnt[2460][3]~61325\)) # (!\led_flash_cnt[2460][4]~q\ & ((\led_flash_cnt[2460][3]~61325\) # (GND)))
-- \led_flash_cnt[2460][4]~61327\ = CARRY((!\led_flash_cnt[2460][3]~61325\) # (!\led_flash_cnt[2460][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2460][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2460][3]~61325\,
	combout => \led_flash_cnt[2460][4]~61326_combout\,
	cout => \led_flash_cnt[2460][4]~61327\);

-- Location: FF_X2_Y25_N15
\led_flash_cnt[2460][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2460][4]~61326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2460][4]~q\);

-- Location: LCCOMB_X2_Y25_N16
\led_flash_cnt[2460][5]~61328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2460][5]~61328_combout\ = (\led_flash_cnt[2460][5]~q\ & (\led_flash_cnt[2460][4]~61327\ $ (GND))) # (!\led_flash_cnt[2460][5]~q\ & (!\led_flash_cnt[2460][4]~61327\ & VCC))
-- \led_flash_cnt[2460][5]~61329\ = CARRY((\led_flash_cnt[2460][5]~q\ & !\led_flash_cnt[2460][4]~61327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2460][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2460][4]~61327\,
	combout => \led_flash_cnt[2460][5]~61328_combout\,
	cout => \led_flash_cnt[2460][5]~61329\);

-- Location: FF_X2_Y25_N17
\led_flash_cnt[2460][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2460][5]~61328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2460][5]~q\);

-- Location: LCCOMB_X2_Y25_N18
\led_flash_cnt[2460][6]~61330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2460][6]~61330_combout\ = (\led_flash_cnt[2460][6]~q\ & (!\led_flash_cnt[2460][5]~61329\)) # (!\led_flash_cnt[2460][6]~q\ & ((\led_flash_cnt[2460][5]~61329\) # (GND)))
-- \led_flash_cnt[2460][6]~61331\ = CARRY((!\led_flash_cnt[2460][5]~61329\) # (!\led_flash_cnt[2460][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2460][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2460][5]~61329\,
	combout => \led_flash_cnt[2460][6]~61330_combout\,
	cout => \led_flash_cnt[2460][6]~61331\);

-- Location: FF_X2_Y25_N19
\led_flash_cnt[2460][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2460][6]~61330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2460][6]~q\);

-- Location: LCCOMB_X2_Y25_N24
\WideAnd2460~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2460~1_combout\ = (\led_flash_cnt[2460][5]~q\ & \led_flash_cnt[2460][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2460][5]~q\,
	datad => \led_flash_cnt[2460][6]~q\,
	combout => \WideAnd2460~1_combout\);

-- Location: LCCOMB_X2_Y25_N4
\WideAnd2460~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2460~0_combout\ = (\led_flash_cnt[2460][2]~q\ & (\led_flash_cnt[2460][4]~q\ & (\led_flash_cnt[2460][1]~q\ & \led_flash_cnt[2460][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2460][2]~q\,
	datab => \led_flash_cnt[2460][4]~q\,
	datac => \led_flash_cnt[2460][1]~q\,
	datad => \led_flash_cnt[2460][3]~q\,
	combout => \WideAnd2460~0_combout\);

-- Location: LCCOMB_X2_Y25_N20
\led_flash_cnt[2460][7]~61332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2460][7]~61332_combout\ = \led_flash_cnt[2460][6]~61331\ $ (!\led_flash_cnt[2460][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2460][7]~q\,
	cin => \led_flash_cnt[2460][6]~61331\,
	combout => \led_flash_cnt[2460][7]~61332_combout\);

-- Location: FF_X2_Y25_N21
\led_flash_cnt[2460][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2460][7]~61332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2460][7]~q\);

-- Location: LCCOMB_X2_Y25_N28
WideAnd2460 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2460~combout\ = (\led_flash_cnt[2460][0]~q\ & (\WideAnd2460~1_combout\ & (\WideAnd2460~0_combout\ & \led_flash_cnt[2460][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2460][0]~q\,
	datab => \WideAnd2460~1_combout\,
	datac => \WideAnd2460~0_combout\,
	datad => \led_flash_cnt[2460][7]~q\,
	combout => \WideAnd2460~combout\);

-- Location: FF_X2_Y25_N29
\led_flash_cnt_ands[2460]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2460~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2460));

-- Location: LCCOMB_X2_Y25_N22
\WideAnd4147~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4147~1_combout\ = (led_flash_cnt_ands(2461) & led_flash_cnt_ands(2460))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2461),
	datad => led_flash_cnt_ands(2460),
	combout => \WideAnd4147~1_combout\);

-- Location: LCCOMB_X1_Y25_N12
\led_flash_cnt[2463][0]~83103\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2463][0]~83103_combout\ = !\led_flash_cnt[2463][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2463][0]~q\,
	combout => \led_flash_cnt[2463][0]~83103_combout\);

-- Location: FF_X1_Y25_N13
\led_flash_cnt[2463][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2463][0]~83103_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2463][0]~q\);

-- Location: LCCOMB_X1_Y25_N18
\led_flash_cnt[2463][1]~61362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2463][1]~61362_combout\ = (\led_flash_cnt[2463][0]~q\ & (\led_flash_cnt[2463][1]~q\ $ (VCC))) # (!\led_flash_cnt[2463][0]~q\ & (\led_flash_cnt[2463][1]~q\ & VCC))
-- \led_flash_cnt[2463][1]~61363\ = CARRY((\led_flash_cnt[2463][0]~q\ & \led_flash_cnt[2463][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2463][0]~q\,
	datab => \led_flash_cnt[2463][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2463][1]~61362_combout\,
	cout => \led_flash_cnt[2463][1]~61363\);

-- Location: FF_X1_Y25_N19
\led_flash_cnt[2463][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2463][1]~61362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2463][1]~q\);

-- Location: LCCOMB_X1_Y25_N20
\led_flash_cnt[2463][2]~61364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2463][2]~61364_combout\ = (\led_flash_cnt[2463][2]~q\ & (!\led_flash_cnt[2463][1]~61363\)) # (!\led_flash_cnt[2463][2]~q\ & ((\led_flash_cnt[2463][1]~61363\) # (GND)))
-- \led_flash_cnt[2463][2]~61365\ = CARRY((!\led_flash_cnt[2463][1]~61363\) # (!\led_flash_cnt[2463][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2463][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2463][1]~61363\,
	combout => \led_flash_cnt[2463][2]~61364_combout\,
	cout => \led_flash_cnt[2463][2]~61365\);

-- Location: FF_X1_Y25_N21
\led_flash_cnt[2463][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2463][2]~61364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2463][2]~q\);

-- Location: LCCOMB_X1_Y25_N22
\led_flash_cnt[2463][3]~61366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2463][3]~61366_combout\ = (\led_flash_cnt[2463][3]~q\ & (\led_flash_cnt[2463][2]~61365\ $ (GND))) # (!\led_flash_cnt[2463][3]~q\ & (!\led_flash_cnt[2463][2]~61365\ & VCC))
-- \led_flash_cnt[2463][3]~61367\ = CARRY((\led_flash_cnt[2463][3]~q\ & !\led_flash_cnt[2463][2]~61365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2463][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2463][2]~61365\,
	combout => \led_flash_cnt[2463][3]~61366_combout\,
	cout => \led_flash_cnt[2463][3]~61367\);

-- Location: FF_X1_Y25_N23
\led_flash_cnt[2463][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2463][3]~61366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2463][3]~q\);

-- Location: LCCOMB_X1_Y25_N24
\led_flash_cnt[2463][4]~61368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2463][4]~61368_combout\ = (\led_flash_cnt[2463][4]~q\ & (!\led_flash_cnt[2463][3]~61367\)) # (!\led_flash_cnt[2463][4]~q\ & ((\led_flash_cnt[2463][3]~61367\) # (GND)))
-- \led_flash_cnt[2463][4]~61369\ = CARRY((!\led_flash_cnt[2463][3]~61367\) # (!\led_flash_cnt[2463][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2463][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2463][3]~61367\,
	combout => \led_flash_cnt[2463][4]~61368_combout\,
	cout => \led_flash_cnt[2463][4]~61369\);

-- Location: FF_X1_Y25_N25
\led_flash_cnt[2463][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2463][4]~61368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2463][4]~q\);

-- Location: LCCOMB_X1_Y25_N26
\led_flash_cnt[2463][5]~61370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2463][5]~61370_combout\ = (\led_flash_cnt[2463][5]~q\ & (\led_flash_cnt[2463][4]~61369\ $ (GND))) # (!\led_flash_cnt[2463][5]~q\ & (!\led_flash_cnt[2463][4]~61369\ & VCC))
-- \led_flash_cnt[2463][5]~61371\ = CARRY((\led_flash_cnt[2463][5]~q\ & !\led_flash_cnt[2463][4]~61369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2463][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2463][4]~61369\,
	combout => \led_flash_cnt[2463][5]~61370_combout\,
	cout => \led_flash_cnt[2463][5]~61371\);

-- Location: FF_X1_Y25_N27
\led_flash_cnt[2463][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2463][5]~61370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2463][5]~q\);

-- Location: LCCOMB_X1_Y25_N28
\led_flash_cnt[2463][6]~61372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2463][6]~61372_combout\ = (\led_flash_cnt[2463][6]~q\ & (!\led_flash_cnt[2463][5]~61371\)) # (!\led_flash_cnt[2463][6]~q\ & ((\led_flash_cnt[2463][5]~61371\) # (GND)))
-- \led_flash_cnt[2463][6]~61373\ = CARRY((!\led_flash_cnt[2463][5]~61371\) # (!\led_flash_cnt[2463][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2463][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2463][5]~61371\,
	combout => \led_flash_cnt[2463][6]~61372_combout\,
	cout => \led_flash_cnt[2463][6]~61373\);

-- Location: FF_X1_Y25_N29
\led_flash_cnt[2463][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2463][6]~61372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2463][6]~q\);

-- Location: LCCOMB_X1_Y25_N10
\WideAnd2463~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2463~1_combout\ = (\led_flash_cnt[2463][5]~q\ & \led_flash_cnt[2463][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2463][5]~q\,
	datad => \led_flash_cnt[2463][6]~q\,
	combout => \WideAnd2463~1_combout\);

-- Location: LCCOMB_X1_Y25_N16
\WideAnd2463~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2463~0_combout\ = (\led_flash_cnt[2463][1]~q\ & (\led_flash_cnt[2463][2]~q\ & (\led_flash_cnt[2463][3]~q\ & \led_flash_cnt[2463][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2463][1]~q\,
	datab => \led_flash_cnt[2463][2]~q\,
	datac => \led_flash_cnt[2463][3]~q\,
	datad => \led_flash_cnt[2463][4]~q\,
	combout => \WideAnd2463~0_combout\);

-- Location: LCCOMB_X1_Y25_N30
\led_flash_cnt[2463][7]~61374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2463][7]~61374_combout\ = \led_flash_cnt[2463][7]~q\ $ (!\led_flash_cnt[2463][6]~61373\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2463][7]~q\,
	cin => \led_flash_cnt[2463][6]~61373\,
	combout => \led_flash_cnt[2463][7]~61374_combout\);

-- Location: FF_X1_Y25_N31
\led_flash_cnt[2463][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2463][7]~61374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2463][7]~q\);

-- Location: LCCOMB_X1_Y25_N4
WideAnd2463 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2463~combout\ = (\WideAnd2463~1_combout\ & (\WideAnd2463~0_combout\ & (\led_flash_cnt[2463][7]~q\ & \led_flash_cnt[2463][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2463~1_combout\,
	datab => \WideAnd2463~0_combout\,
	datac => \led_flash_cnt[2463][7]~q\,
	datad => \led_flash_cnt[2463][0]~q\,
	combout => \WideAnd2463~combout\);

-- Location: FF_X1_Y25_N5
\led_flash_cnt_ands[2463]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2463~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2463));

-- Location: LCCOMB_X2_Y22_N24
\led_flash_cnt[2462][0]~83102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2462][0]~83102_combout\ = !\led_flash_cnt[2462][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2462][0]~q\,
	combout => \led_flash_cnt[2462][0]~83102_combout\);

-- Location: FF_X2_Y22_N25
\led_flash_cnt[2462][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2462][0]~83102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2462][0]~q\);

-- Location: LCCOMB_X2_Y22_N6
\led_flash_cnt[2462][1]~61348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2462][1]~61348_combout\ = (\led_flash_cnt[2462][1]~q\ & (\led_flash_cnt[2462][0]~q\ $ (VCC))) # (!\led_flash_cnt[2462][1]~q\ & (\led_flash_cnt[2462][0]~q\ & VCC))
-- \led_flash_cnt[2462][1]~61349\ = CARRY((\led_flash_cnt[2462][1]~q\ & \led_flash_cnt[2462][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2462][1]~q\,
	datab => \led_flash_cnt[2462][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2462][1]~61348_combout\,
	cout => \led_flash_cnt[2462][1]~61349\);

-- Location: FF_X2_Y22_N7
\led_flash_cnt[2462][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2462][1]~61348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2462][1]~q\);

-- Location: LCCOMB_X2_Y22_N8
\led_flash_cnt[2462][2]~61350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2462][2]~61350_combout\ = (\led_flash_cnt[2462][2]~q\ & (!\led_flash_cnt[2462][1]~61349\)) # (!\led_flash_cnt[2462][2]~q\ & ((\led_flash_cnt[2462][1]~61349\) # (GND)))
-- \led_flash_cnt[2462][2]~61351\ = CARRY((!\led_flash_cnt[2462][1]~61349\) # (!\led_flash_cnt[2462][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2462][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2462][1]~61349\,
	combout => \led_flash_cnt[2462][2]~61350_combout\,
	cout => \led_flash_cnt[2462][2]~61351\);

-- Location: FF_X2_Y22_N9
\led_flash_cnt[2462][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2462][2]~61350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2462][2]~q\);

-- Location: LCCOMB_X2_Y22_N10
\led_flash_cnt[2462][3]~61352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2462][3]~61352_combout\ = (\led_flash_cnt[2462][3]~q\ & (\led_flash_cnt[2462][2]~61351\ $ (GND))) # (!\led_flash_cnt[2462][3]~q\ & (!\led_flash_cnt[2462][2]~61351\ & VCC))
-- \led_flash_cnt[2462][3]~61353\ = CARRY((\led_flash_cnt[2462][3]~q\ & !\led_flash_cnt[2462][2]~61351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2462][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2462][2]~61351\,
	combout => \led_flash_cnt[2462][3]~61352_combout\,
	cout => \led_flash_cnt[2462][3]~61353\);

-- Location: FF_X2_Y22_N11
\led_flash_cnt[2462][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2462][3]~61352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2462][3]~q\);

-- Location: LCCOMB_X2_Y22_N12
\led_flash_cnt[2462][4]~61354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2462][4]~61354_combout\ = (\led_flash_cnt[2462][4]~q\ & (!\led_flash_cnt[2462][3]~61353\)) # (!\led_flash_cnt[2462][4]~q\ & ((\led_flash_cnt[2462][3]~61353\) # (GND)))
-- \led_flash_cnt[2462][4]~61355\ = CARRY((!\led_flash_cnt[2462][3]~61353\) # (!\led_flash_cnt[2462][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2462][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2462][3]~61353\,
	combout => \led_flash_cnt[2462][4]~61354_combout\,
	cout => \led_flash_cnt[2462][4]~61355\);

-- Location: FF_X2_Y22_N13
\led_flash_cnt[2462][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2462][4]~61354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2462][4]~q\);

-- Location: LCCOMB_X2_Y22_N14
\led_flash_cnt[2462][5]~61356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2462][5]~61356_combout\ = (\led_flash_cnt[2462][5]~q\ & (\led_flash_cnt[2462][4]~61355\ $ (GND))) # (!\led_flash_cnt[2462][5]~q\ & (!\led_flash_cnt[2462][4]~61355\ & VCC))
-- \led_flash_cnt[2462][5]~61357\ = CARRY((\led_flash_cnt[2462][5]~q\ & !\led_flash_cnt[2462][4]~61355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2462][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2462][4]~61355\,
	combout => \led_flash_cnt[2462][5]~61356_combout\,
	cout => \led_flash_cnt[2462][5]~61357\);

-- Location: FF_X2_Y22_N15
\led_flash_cnt[2462][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2462][5]~61356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2462][5]~q\);

-- Location: LCCOMB_X2_Y22_N16
\led_flash_cnt[2462][6]~61358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2462][6]~61358_combout\ = (\led_flash_cnt[2462][6]~q\ & (!\led_flash_cnt[2462][5]~61357\)) # (!\led_flash_cnt[2462][6]~q\ & ((\led_flash_cnt[2462][5]~61357\) # (GND)))
-- \led_flash_cnt[2462][6]~61359\ = CARRY((!\led_flash_cnt[2462][5]~61357\) # (!\led_flash_cnt[2462][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2462][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2462][5]~61357\,
	combout => \led_flash_cnt[2462][6]~61358_combout\,
	cout => \led_flash_cnt[2462][6]~61359\);

-- Location: FF_X2_Y22_N17
\led_flash_cnt[2462][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2462][6]~61358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2462][6]~q\);

-- Location: LCCOMB_X2_Y22_N26
\WideAnd2462~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2462~1_combout\ = (\led_flash_cnt[2462][5]~q\ & \led_flash_cnt[2462][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2462][5]~q\,
	datad => \led_flash_cnt[2462][6]~q\,
	combout => \WideAnd2462~1_combout\);

-- Location: LCCOMB_X2_Y22_N22
\WideAnd2462~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2462~0_combout\ = (\led_flash_cnt[2462][1]~q\ & (\led_flash_cnt[2462][4]~q\ & (\led_flash_cnt[2462][2]~q\ & \led_flash_cnt[2462][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2462][1]~q\,
	datab => \led_flash_cnt[2462][4]~q\,
	datac => \led_flash_cnt[2462][2]~q\,
	datad => \led_flash_cnt[2462][3]~q\,
	combout => \WideAnd2462~0_combout\);

-- Location: LCCOMB_X2_Y22_N18
\led_flash_cnt[2462][7]~61360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2462][7]~61360_combout\ = \led_flash_cnt[2462][6]~61359\ $ (!\led_flash_cnt[2462][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2462][7]~q\,
	cin => \led_flash_cnt[2462][6]~61359\,
	combout => \led_flash_cnt[2462][7]~61360_combout\);

-- Location: FF_X2_Y22_N19
\led_flash_cnt[2462][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2462][7]~61360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2462][7]~q\);

-- Location: LCCOMB_X2_Y22_N30
WideAnd2462 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2462~combout\ = (\WideAnd2462~1_combout\ & (\led_flash_cnt[2462][0]~q\ & (\WideAnd2462~0_combout\ & \led_flash_cnt[2462][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2462~1_combout\,
	datab => \led_flash_cnt[2462][0]~q\,
	datac => \WideAnd2462~0_combout\,
	datad => \led_flash_cnt[2462][7]~q\,
	combout => \WideAnd2462~combout\);

-- Location: FF_X2_Y22_N31
\led_flash_cnt_ands[2462]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2462~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2462));

-- Location: LCCOMB_X3_Y1_N6
\led_flash_cnt[2458][0]~83098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2458][0]~83098_combout\ = !\led_flash_cnt[2458][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2458][0]~q\,
	combout => \led_flash_cnt[2458][0]~83098_combout\);

-- Location: FF_X3_Y1_N7
\led_flash_cnt[2458][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2458][0]~83098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2458][0]~q\);

-- Location: LCCOMB_X4_Y1_N0
\led_flash_cnt[2458][1]~61292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2458][1]~61292_combout\ = (\led_flash_cnt[2458][0]~q\ & (\led_flash_cnt[2458][1]~q\ $ (VCC))) # (!\led_flash_cnt[2458][0]~q\ & (\led_flash_cnt[2458][1]~q\ & VCC))
-- \led_flash_cnt[2458][1]~61293\ = CARRY((\led_flash_cnt[2458][0]~q\ & \led_flash_cnt[2458][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2458][0]~q\,
	datab => \led_flash_cnt[2458][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2458][1]~61292_combout\,
	cout => \led_flash_cnt[2458][1]~61293\);

-- Location: FF_X4_Y1_N1
\led_flash_cnt[2458][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2458][1]~61292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2458][1]~q\);

-- Location: LCCOMB_X4_Y1_N2
\led_flash_cnt[2458][2]~61294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2458][2]~61294_combout\ = (\led_flash_cnt[2458][2]~q\ & (!\led_flash_cnt[2458][1]~61293\)) # (!\led_flash_cnt[2458][2]~q\ & ((\led_flash_cnt[2458][1]~61293\) # (GND)))
-- \led_flash_cnt[2458][2]~61295\ = CARRY((!\led_flash_cnt[2458][1]~61293\) # (!\led_flash_cnt[2458][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2458][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2458][1]~61293\,
	combout => \led_flash_cnt[2458][2]~61294_combout\,
	cout => \led_flash_cnt[2458][2]~61295\);

-- Location: FF_X4_Y1_N3
\led_flash_cnt[2458][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2458][2]~61294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2458][2]~q\);

-- Location: LCCOMB_X4_Y1_N4
\led_flash_cnt[2458][3]~61296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2458][3]~61296_combout\ = (\led_flash_cnt[2458][3]~q\ & (\led_flash_cnt[2458][2]~61295\ $ (GND))) # (!\led_flash_cnt[2458][3]~q\ & (!\led_flash_cnt[2458][2]~61295\ & VCC))
-- \led_flash_cnt[2458][3]~61297\ = CARRY((\led_flash_cnt[2458][3]~q\ & !\led_flash_cnt[2458][2]~61295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2458][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2458][2]~61295\,
	combout => \led_flash_cnt[2458][3]~61296_combout\,
	cout => \led_flash_cnt[2458][3]~61297\);

-- Location: FF_X4_Y1_N5
\led_flash_cnt[2458][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2458][3]~61296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2458][3]~q\);

-- Location: LCCOMB_X4_Y1_N6
\led_flash_cnt[2458][4]~61298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2458][4]~61298_combout\ = (\led_flash_cnt[2458][4]~q\ & (!\led_flash_cnt[2458][3]~61297\)) # (!\led_flash_cnt[2458][4]~q\ & ((\led_flash_cnt[2458][3]~61297\) # (GND)))
-- \led_flash_cnt[2458][4]~61299\ = CARRY((!\led_flash_cnt[2458][3]~61297\) # (!\led_flash_cnt[2458][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2458][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2458][3]~61297\,
	combout => \led_flash_cnt[2458][4]~61298_combout\,
	cout => \led_flash_cnt[2458][4]~61299\);

-- Location: FF_X4_Y1_N7
\led_flash_cnt[2458][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2458][4]~61298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2458][4]~q\);

-- Location: LCCOMB_X4_Y1_N8
\led_flash_cnt[2458][5]~61300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2458][5]~61300_combout\ = (\led_flash_cnt[2458][5]~q\ & (\led_flash_cnt[2458][4]~61299\ $ (GND))) # (!\led_flash_cnt[2458][5]~q\ & (!\led_flash_cnt[2458][4]~61299\ & VCC))
-- \led_flash_cnt[2458][5]~61301\ = CARRY((\led_flash_cnt[2458][5]~q\ & !\led_flash_cnt[2458][4]~61299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2458][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2458][4]~61299\,
	combout => \led_flash_cnt[2458][5]~61300_combout\,
	cout => \led_flash_cnt[2458][5]~61301\);

-- Location: FF_X4_Y1_N9
\led_flash_cnt[2458][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2458][5]~61300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2458][5]~q\);

-- Location: LCCOMB_X4_Y1_N10
\led_flash_cnt[2458][6]~61302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2458][6]~61302_combout\ = (\led_flash_cnt[2458][6]~q\ & (!\led_flash_cnt[2458][5]~61301\)) # (!\led_flash_cnt[2458][6]~q\ & ((\led_flash_cnt[2458][5]~61301\) # (GND)))
-- \led_flash_cnt[2458][6]~61303\ = CARRY((!\led_flash_cnt[2458][5]~61301\) # (!\led_flash_cnt[2458][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2458][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2458][5]~61301\,
	combout => \led_flash_cnt[2458][6]~61302_combout\,
	cout => \led_flash_cnt[2458][6]~61303\);

-- Location: FF_X4_Y1_N11
\led_flash_cnt[2458][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2458][6]~61302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2458][6]~q\);

-- Location: LCCOMB_X3_Y1_N12
\WideAnd2458~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2458~1_combout\ = (\led_flash_cnt[2458][6]~q\ & \led_flash_cnt[2458][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2458][6]~q\,
	datac => \led_flash_cnt[2458][5]~q\,
	combout => \WideAnd2458~1_combout\);

-- Location: LCCOMB_X4_Y1_N14
\WideAnd2458~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2458~0_combout\ = (\led_flash_cnt[2458][4]~q\ & (\led_flash_cnt[2458][2]~q\ & (\led_flash_cnt[2458][3]~q\ & \led_flash_cnt[2458][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2458][4]~q\,
	datab => \led_flash_cnt[2458][2]~q\,
	datac => \led_flash_cnt[2458][3]~q\,
	datad => \led_flash_cnt[2458][1]~q\,
	combout => \WideAnd2458~0_combout\);

-- Location: LCCOMB_X4_Y1_N12
\led_flash_cnt[2458][7]~61304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2458][7]~61304_combout\ = \led_flash_cnt[2458][6]~61303\ $ (!\led_flash_cnt[2458][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2458][7]~q\,
	cin => \led_flash_cnt[2458][6]~61303\,
	combout => \led_flash_cnt[2458][7]~61304_combout\);

-- Location: FF_X4_Y1_N13
\led_flash_cnt[2458][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2458][7]~61304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2458][7]~q\);

-- Location: LCCOMB_X3_Y1_N10
WideAnd2458 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2458~combout\ = (\WideAnd2458~1_combout\ & (\WideAnd2458~0_combout\ & (\led_flash_cnt[2458][7]~q\ & \led_flash_cnt[2458][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2458~1_combout\,
	datab => \WideAnd2458~0_combout\,
	datac => \led_flash_cnt[2458][7]~q\,
	datad => \led_flash_cnt[2458][0]~q\,
	combout => \WideAnd2458~combout\);

-- Location: FF_X3_Y1_N11
\led_flash_cnt_ands[2458]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2458~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2458));

-- Location: LCCOMB_X2_Y1_N0
\led_flash_cnt[2459][0]~83099\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2459][0]~83099_combout\ = !\led_flash_cnt[2459][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2459][0]~q\,
	combout => \led_flash_cnt[2459][0]~83099_combout\);

-- Location: FF_X2_Y1_N1
\led_flash_cnt[2459][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2459][0]~83099_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2459][0]~q\);

-- Location: LCCOMB_X3_Y1_N16
\led_flash_cnt[2459][1]~61306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2459][1]~61306_combout\ = (\led_flash_cnt[2459][0]~q\ & (\led_flash_cnt[2459][1]~q\ $ (VCC))) # (!\led_flash_cnt[2459][0]~q\ & (\led_flash_cnt[2459][1]~q\ & VCC))
-- \led_flash_cnt[2459][1]~61307\ = CARRY((\led_flash_cnt[2459][0]~q\ & \led_flash_cnt[2459][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2459][0]~q\,
	datab => \led_flash_cnt[2459][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2459][1]~61306_combout\,
	cout => \led_flash_cnt[2459][1]~61307\);

-- Location: FF_X3_Y1_N17
\led_flash_cnt[2459][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2459][1]~61306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2459][1]~q\);

-- Location: LCCOMB_X3_Y1_N18
\led_flash_cnt[2459][2]~61308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2459][2]~61308_combout\ = (\led_flash_cnt[2459][2]~q\ & (!\led_flash_cnt[2459][1]~61307\)) # (!\led_flash_cnt[2459][2]~q\ & ((\led_flash_cnt[2459][1]~61307\) # (GND)))
-- \led_flash_cnt[2459][2]~61309\ = CARRY((!\led_flash_cnt[2459][1]~61307\) # (!\led_flash_cnt[2459][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2459][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2459][1]~61307\,
	combout => \led_flash_cnt[2459][2]~61308_combout\,
	cout => \led_flash_cnt[2459][2]~61309\);

-- Location: FF_X3_Y1_N19
\led_flash_cnt[2459][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2459][2]~61308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2459][2]~q\);

-- Location: LCCOMB_X3_Y1_N20
\led_flash_cnt[2459][3]~61310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2459][3]~61310_combout\ = (\led_flash_cnt[2459][3]~q\ & (\led_flash_cnt[2459][2]~61309\ $ (GND))) # (!\led_flash_cnt[2459][3]~q\ & (!\led_flash_cnt[2459][2]~61309\ & VCC))
-- \led_flash_cnt[2459][3]~61311\ = CARRY((\led_flash_cnt[2459][3]~q\ & !\led_flash_cnt[2459][2]~61309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2459][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2459][2]~61309\,
	combout => \led_flash_cnt[2459][3]~61310_combout\,
	cout => \led_flash_cnt[2459][3]~61311\);

-- Location: FF_X3_Y1_N21
\led_flash_cnt[2459][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2459][3]~61310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2459][3]~q\);

-- Location: LCCOMB_X3_Y1_N22
\led_flash_cnt[2459][4]~61312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2459][4]~61312_combout\ = (\led_flash_cnt[2459][4]~q\ & (!\led_flash_cnt[2459][3]~61311\)) # (!\led_flash_cnt[2459][4]~q\ & ((\led_flash_cnt[2459][3]~61311\) # (GND)))
-- \led_flash_cnt[2459][4]~61313\ = CARRY((!\led_flash_cnt[2459][3]~61311\) # (!\led_flash_cnt[2459][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2459][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2459][3]~61311\,
	combout => \led_flash_cnt[2459][4]~61312_combout\,
	cout => \led_flash_cnt[2459][4]~61313\);

-- Location: FF_X3_Y1_N23
\led_flash_cnt[2459][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2459][4]~61312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2459][4]~q\);

-- Location: LCCOMB_X3_Y1_N0
\WideAnd2459~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2459~0_combout\ = (\led_flash_cnt[2459][3]~q\ & (\led_flash_cnt[2459][1]~q\ & (\led_flash_cnt[2459][4]~q\ & \led_flash_cnt[2459][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2459][3]~q\,
	datab => \led_flash_cnt[2459][1]~q\,
	datac => \led_flash_cnt[2459][4]~q\,
	datad => \led_flash_cnt[2459][2]~q\,
	combout => \WideAnd2459~0_combout\);

-- Location: LCCOMB_X3_Y1_N24
\led_flash_cnt[2459][5]~61314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2459][5]~61314_combout\ = (\led_flash_cnt[2459][5]~q\ & (\led_flash_cnt[2459][4]~61313\ $ (GND))) # (!\led_flash_cnt[2459][5]~q\ & (!\led_flash_cnt[2459][4]~61313\ & VCC))
-- \led_flash_cnt[2459][5]~61315\ = CARRY((\led_flash_cnt[2459][5]~q\ & !\led_flash_cnt[2459][4]~61313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2459][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2459][4]~61313\,
	combout => \led_flash_cnt[2459][5]~61314_combout\,
	cout => \led_flash_cnt[2459][5]~61315\);

-- Location: FF_X3_Y1_N25
\led_flash_cnt[2459][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2459][5]~61314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2459][5]~q\);

-- Location: LCCOMB_X3_Y1_N26
\led_flash_cnt[2459][6]~61316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2459][6]~61316_combout\ = (\led_flash_cnt[2459][6]~q\ & (!\led_flash_cnt[2459][5]~61315\)) # (!\led_flash_cnt[2459][6]~q\ & ((\led_flash_cnt[2459][5]~61315\) # (GND)))
-- \led_flash_cnt[2459][6]~61317\ = CARRY((!\led_flash_cnt[2459][5]~61315\) # (!\led_flash_cnt[2459][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2459][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2459][5]~61315\,
	combout => \led_flash_cnt[2459][6]~61316_combout\,
	cout => \led_flash_cnt[2459][6]~61317\);

-- Location: FF_X3_Y1_N27
\led_flash_cnt[2459][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2459][6]~61316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2459][6]~q\);

-- Location: LCCOMB_X3_Y1_N14
\WideAnd2459~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2459~1_combout\ = (\led_flash_cnt[2459][6]~q\ & \led_flash_cnt[2459][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2459][6]~q\,
	datad => \led_flash_cnt[2459][5]~q\,
	combout => \WideAnd2459~1_combout\);

-- Location: LCCOMB_X3_Y1_N28
\led_flash_cnt[2459][7]~61318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2459][7]~61318_combout\ = \led_flash_cnt[2459][6]~61317\ $ (!\led_flash_cnt[2459][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2459][7]~q\,
	cin => \led_flash_cnt[2459][6]~61317\,
	combout => \led_flash_cnt[2459][7]~61318_combout\);

-- Location: FF_X3_Y1_N29
\led_flash_cnt[2459][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2459][7]~61318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2459][7]~q\);

-- Location: LCCOMB_X3_Y1_N2
WideAnd2459 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2459~combout\ = (\led_flash_cnt[2459][0]~q\ & (\WideAnd2459~0_combout\ & (\WideAnd2459~1_combout\ & \led_flash_cnt[2459][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2459][0]~q\,
	datab => \WideAnd2459~0_combout\,
	datac => \WideAnd2459~1_combout\,
	datad => \led_flash_cnt[2459][7]~q\,
	combout => \WideAnd2459~combout\);

-- Location: FF_X3_Y1_N3
\led_flash_cnt_ands[2459]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2459~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2459));

-- Location: LCCOMB_X2_Y1_N26
\led_flash_cnt[2456][0]~83096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2456][0]~83096_combout\ = !\led_flash_cnt[2456][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2456][0]~q\,
	combout => \led_flash_cnt[2456][0]~83096_combout\);

-- Location: FF_X2_Y1_N27
\led_flash_cnt[2456][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2456][0]~83096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2456][0]~q\);

-- Location: LCCOMB_X2_Y1_N2
\led_flash_cnt[2456][1]~61264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2456][1]~61264_combout\ = (\led_flash_cnt[2456][0]~q\ & (\led_flash_cnt[2456][1]~q\ $ (VCC))) # (!\led_flash_cnt[2456][0]~q\ & (\led_flash_cnt[2456][1]~q\ & VCC))
-- \led_flash_cnt[2456][1]~61265\ = CARRY((\led_flash_cnt[2456][0]~q\ & \led_flash_cnt[2456][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2456][0]~q\,
	datab => \led_flash_cnt[2456][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2456][1]~61264_combout\,
	cout => \led_flash_cnt[2456][1]~61265\);

-- Location: FF_X2_Y1_N3
\led_flash_cnt[2456][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2456][1]~61264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2456][1]~q\);

-- Location: LCCOMB_X2_Y1_N4
\led_flash_cnt[2456][2]~61266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2456][2]~61266_combout\ = (\led_flash_cnt[2456][2]~q\ & (!\led_flash_cnt[2456][1]~61265\)) # (!\led_flash_cnt[2456][2]~q\ & ((\led_flash_cnt[2456][1]~61265\) # (GND)))
-- \led_flash_cnt[2456][2]~61267\ = CARRY((!\led_flash_cnt[2456][1]~61265\) # (!\led_flash_cnt[2456][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2456][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2456][1]~61265\,
	combout => \led_flash_cnt[2456][2]~61266_combout\,
	cout => \led_flash_cnt[2456][2]~61267\);

-- Location: FF_X2_Y1_N5
\led_flash_cnt[2456][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2456][2]~61266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2456][2]~q\);

-- Location: LCCOMB_X2_Y1_N6
\led_flash_cnt[2456][3]~61268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2456][3]~61268_combout\ = (\led_flash_cnt[2456][3]~q\ & (\led_flash_cnt[2456][2]~61267\ $ (GND))) # (!\led_flash_cnt[2456][3]~q\ & (!\led_flash_cnt[2456][2]~61267\ & VCC))
-- \led_flash_cnt[2456][3]~61269\ = CARRY((\led_flash_cnt[2456][3]~q\ & !\led_flash_cnt[2456][2]~61267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2456][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2456][2]~61267\,
	combout => \led_flash_cnt[2456][3]~61268_combout\,
	cout => \led_flash_cnt[2456][3]~61269\);

-- Location: FF_X2_Y1_N7
\led_flash_cnt[2456][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2456][3]~61268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2456][3]~q\);

-- Location: LCCOMB_X2_Y1_N8
\led_flash_cnt[2456][4]~61270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2456][4]~61270_combout\ = (\led_flash_cnt[2456][4]~q\ & (!\led_flash_cnt[2456][3]~61269\)) # (!\led_flash_cnt[2456][4]~q\ & ((\led_flash_cnt[2456][3]~61269\) # (GND)))
-- \led_flash_cnt[2456][4]~61271\ = CARRY((!\led_flash_cnt[2456][3]~61269\) # (!\led_flash_cnt[2456][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2456][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2456][3]~61269\,
	combout => \led_flash_cnt[2456][4]~61270_combout\,
	cout => \led_flash_cnt[2456][4]~61271\);

-- Location: FF_X2_Y1_N9
\led_flash_cnt[2456][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2456][4]~61270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2456][4]~q\);

-- Location: LCCOMB_X2_Y1_N10
\led_flash_cnt[2456][5]~61272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2456][5]~61272_combout\ = (\led_flash_cnt[2456][5]~q\ & (\led_flash_cnt[2456][4]~61271\ $ (GND))) # (!\led_flash_cnt[2456][5]~q\ & (!\led_flash_cnt[2456][4]~61271\ & VCC))
-- \led_flash_cnt[2456][5]~61273\ = CARRY((\led_flash_cnt[2456][5]~q\ & !\led_flash_cnt[2456][4]~61271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2456][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2456][4]~61271\,
	combout => \led_flash_cnt[2456][5]~61272_combout\,
	cout => \led_flash_cnt[2456][5]~61273\);

-- Location: FF_X2_Y1_N11
\led_flash_cnt[2456][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2456][5]~61272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2456][5]~q\);

-- Location: LCCOMB_X2_Y1_N12
\led_flash_cnt[2456][6]~61274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2456][6]~61274_combout\ = (\led_flash_cnt[2456][6]~q\ & (!\led_flash_cnt[2456][5]~61273\)) # (!\led_flash_cnt[2456][6]~q\ & ((\led_flash_cnt[2456][5]~61273\) # (GND)))
-- \led_flash_cnt[2456][6]~61275\ = CARRY((!\led_flash_cnt[2456][5]~61273\) # (!\led_flash_cnt[2456][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2456][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2456][5]~61273\,
	combout => \led_flash_cnt[2456][6]~61274_combout\,
	cout => \led_flash_cnt[2456][6]~61275\);

-- Location: FF_X2_Y1_N13
\led_flash_cnt[2456][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2456][6]~61274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2456][6]~q\);

-- Location: LCCOMB_X2_Y1_N28
\WideAnd2456~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2456~1_combout\ = (\led_flash_cnt[2456][6]~q\ & \led_flash_cnt[2456][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2456][6]~q\,
	datad => \led_flash_cnt[2456][5]~q\,
	combout => \WideAnd2456~1_combout\);

-- Location: LCCOMB_X2_Y1_N14
\led_flash_cnt[2456][7]~61276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2456][7]~61276_combout\ = \led_flash_cnt[2456][7]~q\ $ (!\led_flash_cnt[2456][6]~61275\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2456][7]~q\,
	cin => \led_flash_cnt[2456][6]~61275\,
	combout => \led_flash_cnt[2456][7]~61276_combout\);

-- Location: FF_X2_Y1_N15
\led_flash_cnt[2456][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2456][7]~61276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2456][7]~q\);

-- Location: LCCOMB_X2_Y1_N20
\WideAnd2456~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2456~0_combout\ = (\led_flash_cnt[2456][3]~q\ & (\led_flash_cnt[2456][4]~q\ & (\led_flash_cnt[2456][2]~q\ & \led_flash_cnt[2456][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2456][3]~q\,
	datab => \led_flash_cnt[2456][4]~q\,
	datac => \led_flash_cnt[2456][2]~q\,
	datad => \led_flash_cnt[2456][1]~q\,
	combout => \WideAnd2456~0_combout\);

-- Location: LCCOMB_X2_Y1_N16
WideAnd2456 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2456~combout\ = (\led_flash_cnt[2456][0]~q\ & (\WideAnd2456~1_combout\ & (\led_flash_cnt[2456][7]~q\ & \WideAnd2456~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2456][0]~q\,
	datab => \WideAnd2456~1_combout\,
	datac => \led_flash_cnt[2456][7]~q\,
	datad => \WideAnd2456~0_combout\,
	combout => \WideAnd2456~combout\);

-- Location: FF_X2_Y1_N17
\led_flash_cnt_ands[2456]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2456~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2456));

-- Location: LCCOMB_X6_Y1_N24
\led_flash_cnt[2457][0]~83097\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2457][0]~83097_combout\ = !\led_flash_cnt[2457][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2457][0]~q\,
	combout => \led_flash_cnt[2457][0]~83097_combout\);

-- Location: FF_X6_Y1_N25
\led_flash_cnt[2457][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2457][0]~83097_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2457][0]~q\);

-- Location: LCCOMB_X6_Y1_N8
\led_flash_cnt[2457][1]~61278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2457][1]~61278_combout\ = (\led_flash_cnt[2457][1]~q\ & (\led_flash_cnt[2457][0]~q\ $ (VCC))) # (!\led_flash_cnt[2457][1]~q\ & (\led_flash_cnt[2457][0]~q\ & VCC))
-- \led_flash_cnt[2457][1]~61279\ = CARRY((\led_flash_cnt[2457][1]~q\ & \led_flash_cnt[2457][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2457][1]~q\,
	datab => \led_flash_cnt[2457][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2457][1]~61278_combout\,
	cout => \led_flash_cnt[2457][1]~61279\);

-- Location: FF_X6_Y1_N9
\led_flash_cnt[2457][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2457][1]~61278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2457][1]~q\);

-- Location: LCCOMB_X6_Y1_N10
\led_flash_cnt[2457][2]~61280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2457][2]~61280_combout\ = (\led_flash_cnt[2457][2]~q\ & (!\led_flash_cnt[2457][1]~61279\)) # (!\led_flash_cnt[2457][2]~q\ & ((\led_flash_cnt[2457][1]~61279\) # (GND)))
-- \led_flash_cnt[2457][2]~61281\ = CARRY((!\led_flash_cnt[2457][1]~61279\) # (!\led_flash_cnt[2457][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2457][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2457][1]~61279\,
	combout => \led_flash_cnt[2457][2]~61280_combout\,
	cout => \led_flash_cnt[2457][2]~61281\);

-- Location: FF_X6_Y1_N11
\led_flash_cnt[2457][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2457][2]~61280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2457][2]~q\);

-- Location: LCCOMB_X6_Y1_N12
\led_flash_cnt[2457][3]~61282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2457][3]~61282_combout\ = (\led_flash_cnt[2457][3]~q\ & (\led_flash_cnt[2457][2]~61281\ $ (GND))) # (!\led_flash_cnt[2457][3]~q\ & (!\led_flash_cnt[2457][2]~61281\ & VCC))
-- \led_flash_cnt[2457][3]~61283\ = CARRY((\led_flash_cnt[2457][3]~q\ & !\led_flash_cnt[2457][2]~61281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2457][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2457][2]~61281\,
	combout => \led_flash_cnt[2457][3]~61282_combout\,
	cout => \led_flash_cnt[2457][3]~61283\);

-- Location: FF_X6_Y1_N13
\led_flash_cnt[2457][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2457][3]~61282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2457][3]~q\);

-- Location: LCCOMB_X6_Y1_N14
\led_flash_cnt[2457][4]~61284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2457][4]~61284_combout\ = (\led_flash_cnt[2457][4]~q\ & (!\led_flash_cnt[2457][3]~61283\)) # (!\led_flash_cnt[2457][4]~q\ & ((\led_flash_cnt[2457][3]~61283\) # (GND)))
-- \led_flash_cnt[2457][4]~61285\ = CARRY((!\led_flash_cnt[2457][3]~61283\) # (!\led_flash_cnt[2457][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2457][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2457][3]~61283\,
	combout => \led_flash_cnt[2457][4]~61284_combout\,
	cout => \led_flash_cnt[2457][4]~61285\);

-- Location: FF_X6_Y1_N15
\led_flash_cnt[2457][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2457][4]~61284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2457][4]~q\);

-- Location: LCCOMB_X6_Y1_N16
\led_flash_cnt[2457][5]~61286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2457][5]~61286_combout\ = (\led_flash_cnt[2457][5]~q\ & (\led_flash_cnt[2457][4]~61285\ $ (GND))) # (!\led_flash_cnt[2457][5]~q\ & (!\led_flash_cnt[2457][4]~61285\ & VCC))
-- \led_flash_cnt[2457][5]~61287\ = CARRY((\led_flash_cnt[2457][5]~q\ & !\led_flash_cnt[2457][4]~61285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2457][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2457][4]~61285\,
	combout => \led_flash_cnt[2457][5]~61286_combout\,
	cout => \led_flash_cnt[2457][5]~61287\);

-- Location: FF_X6_Y1_N17
\led_flash_cnt[2457][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2457][5]~61286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2457][5]~q\);

-- Location: LCCOMB_X6_Y1_N18
\led_flash_cnt[2457][6]~61288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2457][6]~61288_combout\ = (\led_flash_cnt[2457][6]~q\ & (!\led_flash_cnt[2457][5]~61287\)) # (!\led_flash_cnt[2457][6]~q\ & ((\led_flash_cnt[2457][5]~61287\) # (GND)))
-- \led_flash_cnt[2457][6]~61289\ = CARRY((!\led_flash_cnt[2457][5]~61287\) # (!\led_flash_cnt[2457][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2457][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2457][5]~61287\,
	combout => \led_flash_cnt[2457][6]~61288_combout\,
	cout => \led_flash_cnt[2457][6]~61289\);

-- Location: FF_X6_Y1_N19
\led_flash_cnt[2457][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2457][6]~61288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2457][6]~q\);

-- Location: LCCOMB_X6_Y1_N26
\WideAnd2457~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2457~1_combout\ = (\led_flash_cnt[2457][6]~q\ & \led_flash_cnt[2457][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2457][6]~q\,
	datad => \led_flash_cnt[2457][5]~q\,
	combout => \WideAnd2457~1_combout\);

-- Location: LCCOMB_X6_Y1_N22
\WideAnd2457~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2457~0_combout\ = (\led_flash_cnt[2457][2]~q\ & (\led_flash_cnt[2457][1]~q\ & (\led_flash_cnt[2457][4]~q\ & \led_flash_cnt[2457][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2457][2]~q\,
	datab => \led_flash_cnt[2457][1]~q\,
	datac => \led_flash_cnt[2457][4]~q\,
	datad => \led_flash_cnt[2457][3]~q\,
	combout => \WideAnd2457~0_combout\);

-- Location: LCCOMB_X6_Y1_N20
\led_flash_cnt[2457][7]~61290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2457][7]~61290_combout\ = \led_flash_cnt[2457][6]~61289\ $ (!\led_flash_cnt[2457][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2457][7]~q\,
	cin => \led_flash_cnt[2457][6]~61289\,
	combout => \led_flash_cnt[2457][7]~61290_combout\);

-- Location: FF_X6_Y1_N21
\led_flash_cnt[2457][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2457][7]~61290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2457][7]~q\);

-- Location: LCCOMB_X6_Y1_N28
WideAnd2457 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2457~combout\ = (\WideAnd2457~1_combout\ & (\led_flash_cnt[2457][0]~q\ & (\WideAnd2457~0_combout\ & \led_flash_cnt[2457][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2457~1_combout\,
	datab => \led_flash_cnt[2457][0]~q\,
	datac => \WideAnd2457~0_combout\,
	datad => \led_flash_cnt[2457][7]~q\,
	combout => \WideAnd2457~combout\);

-- Location: FF_X6_Y1_N29
\led_flash_cnt_ands[2457]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2457~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2457));

-- Location: LCCOMB_X3_Y1_N8
\WideAnd4147~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4147~0_combout\ = (led_flash_cnt_ands(2458) & (led_flash_cnt_ands(2459) & (led_flash_cnt_ands(2456) & led_flash_cnt_ands(2457))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2458),
	datab => led_flash_cnt_ands(2459),
	datac => led_flash_cnt_ands(2456),
	datad => led_flash_cnt_ands(2457),
	combout => \WideAnd4147~0_combout\);

-- Location: LCCOMB_X2_Y21_N6
WideAnd4147 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4147~combout\ = (\WideAnd4147~1_combout\ & (led_flash_cnt_ands(2463) & (led_flash_cnt_ands(2462) & \WideAnd4147~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4147~1_combout\,
	datab => led_flash_cnt_ands(2463),
	datac => led_flash_cnt_ands(2462),
	datad => \WideAnd4147~0_combout\,
	combout => \WideAnd4147~combout\);

-- Location: FF_X2_Y21_N7
\led_flash_cnt_ands_1[307]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4147~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(307));

-- Location: LCCOMB_X62_Y17_N30
\WideAnd4358~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4358~0_combout\ = (led_flash_cnt_ands_1(304) & (led_flash_cnt_ands_1(305) & (led_flash_cnt_ands_1(306) & led_flash_cnt_ands_1(307))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(304),
	datab => led_flash_cnt_ands_1(305),
	datac => led_flash_cnt_ands_1(306),
	datad => led_flash_cnt_ands_1(307),
	combout => \WideAnd4358~0_combout\);

-- Location: LCCOMB_X65_Y12_N24
\led_flash_cnt[2487][0]~83127\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2487][0]~83127_combout\ = !\led_flash_cnt[2487][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2487][0]~q\,
	combout => \led_flash_cnt[2487][0]~83127_combout\);

-- Location: FF_X65_Y12_N25
\led_flash_cnt[2487][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2487][0]~83127_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2487][0]~q\);

-- Location: LCCOMB_X64_Y12_N18
\led_flash_cnt[2487][1]~61698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2487][1]~61698_combout\ = (\led_flash_cnt[2487][1]~q\ & (\led_flash_cnt[2487][0]~q\ $ (VCC))) # (!\led_flash_cnt[2487][1]~q\ & (\led_flash_cnt[2487][0]~q\ & VCC))
-- \led_flash_cnt[2487][1]~61699\ = CARRY((\led_flash_cnt[2487][1]~q\ & \led_flash_cnt[2487][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2487][1]~q\,
	datab => \led_flash_cnt[2487][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2487][1]~61698_combout\,
	cout => \led_flash_cnt[2487][1]~61699\);

-- Location: FF_X64_Y12_N19
\led_flash_cnt[2487][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2487][1]~61698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2487][1]~q\);

-- Location: LCCOMB_X64_Y12_N20
\led_flash_cnt[2487][2]~61700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2487][2]~61700_combout\ = (\led_flash_cnt[2487][2]~q\ & (!\led_flash_cnt[2487][1]~61699\)) # (!\led_flash_cnt[2487][2]~q\ & ((\led_flash_cnt[2487][1]~61699\) # (GND)))
-- \led_flash_cnt[2487][2]~61701\ = CARRY((!\led_flash_cnt[2487][1]~61699\) # (!\led_flash_cnt[2487][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2487][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2487][1]~61699\,
	combout => \led_flash_cnt[2487][2]~61700_combout\,
	cout => \led_flash_cnt[2487][2]~61701\);

-- Location: FF_X64_Y12_N21
\led_flash_cnt[2487][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2487][2]~61700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2487][2]~q\);

-- Location: LCCOMB_X64_Y12_N22
\led_flash_cnt[2487][3]~61702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2487][3]~61702_combout\ = (\led_flash_cnt[2487][3]~q\ & (\led_flash_cnt[2487][2]~61701\ $ (GND))) # (!\led_flash_cnt[2487][3]~q\ & (!\led_flash_cnt[2487][2]~61701\ & VCC))
-- \led_flash_cnt[2487][3]~61703\ = CARRY((\led_flash_cnt[2487][3]~q\ & !\led_flash_cnt[2487][2]~61701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2487][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2487][2]~61701\,
	combout => \led_flash_cnt[2487][3]~61702_combout\,
	cout => \led_flash_cnt[2487][3]~61703\);

-- Location: FF_X64_Y12_N23
\led_flash_cnt[2487][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2487][3]~61702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2487][3]~q\);

-- Location: LCCOMB_X64_Y12_N24
\led_flash_cnt[2487][4]~61704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2487][4]~61704_combout\ = (\led_flash_cnt[2487][4]~q\ & (!\led_flash_cnt[2487][3]~61703\)) # (!\led_flash_cnt[2487][4]~q\ & ((\led_flash_cnt[2487][3]~61703\) # (GND)))
-- \led_flash_cnt[2487][4]~61705\ = CARRY((!\led_flash_cnt[2487][3]~61703\) # (!\led_flash_cnt[2487][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2487][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2487][3]~61703\,
	combout => \led_flash_cnt[2487][4]~61704_combout\,
	cout => \led_flash_cnt[2487][4]~61705\);

-- Location: FF_X64_Y12_N25
\led_flash_cnt[2487][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2487][4]~61704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2487][4]~q\);

-- Location: LCCOMB_X64_Y12_N26
\led_flash_cnt[2487][5]~61706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2487][5]~61706_combout\ = (\led_flash_cnt[2487][5]~q\ & (\led_flash_cnt[2487][4]~61705\ $ (GND))) # (!\led_flash_cnt[2487][5]~q\ & (!\led_flash_cnt[2487][4]~61705\ & VCC))
-- \led_flash_cnt[2487][5]~61707\ = CARRY((\led_flash_cnt[2487][5]~q\ & !\led_flash_cnt[2487][4]~61705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2487][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2487][4]~61705\,
	combout => \led_flash_cnt[2487][5]~61706_combout\,
	cout => \led_flash_cnt[2487][5]~61707\);

-- Location: FF_X64_Y12_N27
\led_flash_cnt[2487][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2487][5]~61706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2487][5]~q\);

-- Location: LCCOMB_X64_Y12_N28
\led_flash_cnt[2487][6]~61708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2487][6]~61708_combout\ = (\led_flash_cnt[2487][6]~q\ & (!\led_flash_cnt[2487][5]~61707\)) # (!\led_flash_cnt[2487][6]~q\ & ((\led_flash_cnt[2487][5]~61707\) # (GND)))
-- \led_flash_cnt[2487][6]~61709\ = CARRY((!\led_flash_cnt[2487][5]~61707\) # (!\led_flash_cnt[2487][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2487][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2487][5]~61707\,
	combout => \led_flash_cnt[2487][6]~61708_combout\,
	cout => \led_flash_cnt[2487][6]~61709\);

-- Location: FF_X64_Y12_N29
\led_flash_cnt[2487][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2487][6]~61708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2487][6]~q\);

-- Location: LCCOMB_X65_Y12_N22
\WideAnd2487~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2487~1_combout\ = (\led_flash_cnt[2487][5]~q\ & \led_flash_cnt[2487][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2487][5]~q\,
	datad => \led_flash_cnt[2487][6]~q\,
	combout => \WideAnd2487~1_combout\);

-- Location: LCCOMB_X64_Y12_N30
\led_flash_cnt[2487][7]~61710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2487][7]~61710_combout\ = \led_flash_cnt[2487][7]~q\ $ (!\led_flash_cnt[2487][6]~61709\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2487][7]~q\,
	cin => \led_flash_cnt[2487][6]~61709\,
	combout => \led_flash_cnt[2487][7]~61710_combout\);

-- Location: FF_X64_Y12_N31
\led_flash_cnt[2487][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2487][7]~61710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2487][7]~q\);

-- Location: LCCOMB_X64_Y12_N0
\WideAnd2487~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2487~0_combout\ = (\led_flash_cnt[2487][1]~q\ & (\led_flash_cnt[2487][2]~q\ & (\led_flash_cnt[2487][3]~q\ & \led_flash_cnt[2487][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2487][1]~q\,
	datab => \led_flash_cnt[2487][2]~q\,
	datac => \led_flash_cnt[2487][3]~q\,
	datad => \led_flash_cnt[2487][4]~q\,
	combout => \WideAnd2487~0_combout\);

-- Location: LCCOMB_X65_Y12_N26
WideAnd2487 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2487~combout\ = (\WideAnd2487~1_combout\ & (\led_flash_cnt[2487][7]~q\ & (\WideAnd2487~0_combout\ & \led_flash_cnt[2487][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2487~1_combout\,
	datab => \led_flash_cnt[2487][7]~q\,
	datac => \WideAnd2487~0_combout\,
	datad => \led_flash_cnt[2487][0]~q\,
	combout => \WideAnd2487~combout\);

-- Location: FF_X65_Y12_N27
\led_flash_cnt_ands[2487]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2487~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2487));

-- Location: LCCOMB_X65_Y12_N30
\led_flash_cnt[2486][0]~83126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2486][0]~83126_combout\ = !\led_flash_cnt[2486][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2486][0]~q\,
	combout => \led_flash_cnt[2486][0]~83126_combout\);

-- Location: FF_X65_Y12_N31
\led_flash_cnt[2486][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2486][0]~83126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2486][0]~q\);

-- Location: LCCOMB_X65_Y12_N2
\led_flash_cnt[2486][1]~61684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2486][1]~61684_combout\ = (\led_flash_cnt[2486][0]~q\ & (\led_flash_cnt[2486][1]~q\ $ (VCC))) # (!\led_flash_cnt[2486][0]~q\ & (\led_flash_cnt[2486][1]~q\ & VCC))
-- \led_flash_cnt[2486][1]~61685\ = CARRY((\led_flash_cnt[2486][0]~q\ & \led_flash_cnt[2486][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2486][0]~q\,
	datab => \led_flash_cnt[2486][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2486][1]~61684_combout\,
	cout => \led_flash_cnt[2486][1]~61685\);

-- Location: FF_X65_Y12_N3
\led_flash_cnt[2486][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2486][1]~61684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2486][1]~q\);

-- Location: LCCOMB_X65_Y12_N4
\led_flash_cnt[2486][2]~61686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2486][2]~61686_combout\ = (\led_flash_cnt[2486][2]~q\ & (!\led_flash_cnt[2486][1]~61685\)) # (!\led_flash_cnt[2486][2]~q\ & ((\led_flash_cnt[2486][1]~61685\) # (GND)))
-- \led_flash_cnt[2486][2]~61687\ = CARRY((!\led_flash_cnt[2486][1]~61685\) # (!\led_flash_cnt[2486][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2486][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2486][1]~61685\,
	combout => \led_flash_cnt[2486][2]~61686_combout\,
	cout => \led_flash_cnt[2486][2]~61687\);

-- Location: FF_X65_Y12_N5
\led_flash_cnt[2486][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2486][2]~61686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2486][2]~q\);

-- Location: LCCOMB_X65_Y12_N6
\led_flash_cnt[2486][3]~61688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2486][3]~61688_combout\ = (\led_flash_cnt[2486][3]~q\ & (\led_flash_cnt[2486][2]~61687\ $ (GND))) # (!\led_flash_cnt[2486][3]~q\ & (!\led_flash_cnt[2486][2]~61687\ & VCC))
-- \led_flash_cnt[2486][3]~61689\ = CARRY((\led_flash_cnt[2486][3]~q\ & !\led_flash_cnt[2486][2]~61687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2486][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2486][2]~61687\,
	combout => \led_flash_cnt[2486][3]~61688_combout\,
	cout => \led_flash_cnt[2486][3]~61689\);

-- Location: FF_X65_Y12_N7
\led_flash_cnt[2486][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2486][3]~61688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2486][3]~q\);

-- Location: LCCOMB_X65_Y12_N8
\led_flash_cnt[2486][4]~61690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2486][4]~61690_combout\ = (\led_flash_cnt[2486][4]~q\ & (!\led_flash_cnt[2486][3]~61689\)) # (!\led_flash_cnt[2486][4]~q\ & ((\led_flash_cnt[2486][3]~61689\) # (GND)))
-- \led_flash_cnt[2486][4]~61691\ = CARRY((!\led_flash_cnt[2486][3]~61689\) # (!\led_flash_cnt[2486][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2486][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2486][3]~61689\,
	combout => \led_flash_cnt[2486][4]~61690_combout\,
	cout => \led_flash_cnt[2486][4]~61691\);

-- Location: FF_X65_Y12_N9
\led_flash_cnt[2486][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2486][4]~61690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2486][4]~q\);

-- Location: LCCOMB_X65_Y12_N10
\led_flash_cnt[2486][5]~61692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2486][5]~61692_combout\ = (\led_flash_cnt[2486][5]~q\ & (\led_flash_cnt[2486][4]~61691\ $ (GND))) # (!\led_flash_cnt[2486][5]~q\ & (!\led_flash_cnt[2486][4]~61691\ & VCC))
-- \led_flash_cnt[2486][5]~61693\ = CARRY((\led_flash_cnt[2486][5]~q\ & !\led_flash_cnt[2486][4]~61691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2486][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2486][4]~61691\,
	combout => \led_flash_cnt[2486][5]~61692_combout\,
	cout => \led_flash_cnt[2486][5]~61693\);

-- Location: FF_X65_Y12_N11
\led_flash_cnt[2486][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2486][5]~61692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2486][5]~q\);

-- Location: LCCOMB_X65_Y12_N12
\led_flash_cnt[2486][6]~61694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2486][6]~61694_combout\ = (\led_flash_cnt[2486][6]~q\ & (!\led_flash_cnt[2486][5]~61693\)) # (!\led_flash_cnt[2486][6]~q\ & ((\led_flash_cnt[2486][5]~61693\) # (GND)))
-- \led_flash_cnt[2486][6]~61695\ = CARRY((!\led_flash_cnt[2486][5]~61693\) # (!\led_flash_cnt[2486][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2486][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2486][5]~61693\,
	combout => \led_flash_cnt[2486][6]~61694_combout\,
	cout => \led_flash_cnt[2486][6]~61695\);

-- Location: FF_X65_Y12_N13
\led_flash_cnt[2486][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2486][6]~61694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2486][6]~q\);

-- Location: LCCOMB_X65_Y12_N20
\WideAnd2486~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2486~1_combout\ = (\led_flash_cnt[2486][6]~q\ & \led_flash_cnt[2486][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2486][6]~q\,
	datad => \led_flash_cnt[2486][5]~q\,
	combout => \WideAnd2486~1_combout\);

-- Location: LCCOMB_X65_Y12_N14
\led_flash_cnt[2486][7]~61696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2486][7]~61696_combout\ = \led_flash_cnt[2486][7]~q\ $ (!\led_flash_cnt[2486][6]~61695\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2486][7]~q\,
	cin => \led_flash_cnt[2486][6]~61695\,
	combout => \led_flash_cnt[2486][7]~61696_combout\);

-- Location: FF_X65_Y12_N15
\led_flash_cnt[2486][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2486][7]~61696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2486][7]~q\);

-- Location: LCCOMB_X65_Y12_N18
\WideAnd2486~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2486~0_combout\ = (\led_flash_cnt[2486][3]~q\ & (\led_flash_cnt[2486][4]~q\ & (\led_flash_cnt[2486][2]~q\ & \led_flash_cnt[2486][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2486][3]~q\,
	datab => \led_flash_cnt[2486][4]~q\,
	datac => \led_flash_cnt[2486][2]~q\,
	datad => \led_flash_cnt[2486][1]~q\,
	combout => \WideAnd2486~0_combout\);

-- Location: LCCOMB_X65_Y12_N28
WideAnd2486 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2486~combout\ = (\led_flash_cnt[2486][0]~q\ & (\WideAnd2486~1_combout\ & (\led_flash_cnt[2486][7]~q\ & \WideAnd2486~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2486][0]~q\,
	datab => \WideAnd2486~1_combout\,
	datac => \led_flash_cnt[2486][7]~q\,
	datad => \WideAnd2486~0_combout\,
	combout => \WideAnd2486~combout\);

-- Location: FF_X65_Y12_N29
\led_flash_cnt_ands[2486]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2486~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2486));

-- Location: LCCOMB_X59_Y10_N26
\led_flash_cnt[2484][0]~83124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2484][0]~83124_combout\ = !\led_flash_cnt[2484][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2484][0]~q\,
	combout => \led_flash_cnt[2484][0]~83124_combout\);

-- Location: FF_X59_Y10_N27
\led_flash_cnt[2484][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2484][0]~83124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2484][0]~q\);

-- Location: LCCOMB_X59_Y10_N8
\led_flash_cnt[2484][1]~61656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2484][1]~61656_combout\ = (\led_flash_cnt[2484][0]~q\ & (\led_flash_cnt[2484][1]~q\ $ (VCC))) # (!\led_flash_cnt[2484][0]~q\ & (\led_flash_cnt[2484][1]~q\ & VCC))
-- \led_flash_cnt[2484][1]~61657\ = CARRY((\led_flash_cnt[2484][0]~q\ & \led_flash_cnt[2484][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2484][0]~q\,
	datab => \led_flash_cnt[2484][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2484][1]~61656_combout\,
	cout => \led_flash_cnt[2484][1]~61657\);

-- Location: FF_X59_Y10_N9
\led_flash_cnt[2484][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2484][1]~61656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2484][1]~q\);

-- Location: LCCOMB_X59_Y10_N10
\led_flash_cnt[2484][2]~61658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2484][2]~61658_combout\ = (\led_flash_cnt[2484][2]~q\ & (!\led_flash_cnt[2484][1]~61657\)) # (!\led_flash_cnt[2484][2]~q\ & ((\led_flash_cnt[2484][1]~61657\) # (GND)))
-- \led_flash_cnt[2484][2]~61659\ = CARRY((!\led_flash_cnt[2484][1]~61657\) # (!\led_flash_cnt[2484][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2484][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2484][1]~61657\,
	combout => \led_flash_cnt[2484][2]~61658_combout\,
	cout => \led_flash_cnt[2484][2]~61659\);

-- Location: FF_X59_Y10_N11
\led_flash_cnt[2484][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2484][2]~61658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2484][2]~q\);

-- Location: LCCOMB_X59_Y10_N12
\led_flash_cnt[2484][3]~61660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2484][3]~61660_combout\ = (\led_flash_cnt[2484][3]~q\ & (\led_flash_cnt[2484][2]~61659\ $ (GND))) # (!\led_flash_cnt[2484][3]~q\ & (!\led_flash_cnt[2484][2]~61659\ & VCC))
-- \led_flash_cnt[2484][3]~61661\ = CARRY((\led_flash_cnt[2484][3]~q\ & !\led_flash_cnt[2484][2]~61659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2484][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2484][2]~61659\,
	combout => \led_flash_cnt[2484][3]~61660_combout\,
	cout => \led_flash_cnt[2484][3]~61661\);

-- Location: FF_X59_Y10_N13
\led_flash_cnt[2484][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2484][3]~61660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2484][3]~q\);

-- Location: LCCOMB_X59_Y10_N14
\led_flash_cnt[2484][4]~61662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2484][4]~61662_combout\ = (\led_flash_cnt[2484][4]~q\ & (!\led_flash_cnt[2484][3]~61661\)) # (!\led_flash_cnt[2484][4]~q\ & ((\led_flash_cnt[2484][3]~61661\) # (GND)))
-- \led_flash_cnt[2484][4]~61663\ = CARRY((!\led_flash_cnt[2484][3]~61661\) # (!\led_flash_cnt[2484][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2484][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2484][3]~61661\,
	combout => \led_flash_cnt[2484][4]~61662_combout\,
	cout => \led_flash_cnt[2484][4]~61663\);

-- Location: FF_X59_Y10_N15
\led_flash_cnt[2484][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2484][4]~61662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2484][4]~q\);

-- Location: LCCOMB_X59_Y10_N16
\led_flash_cnt[2484][5]~61664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2484][5]~61664_combout\ = (\led_flash_cnt[2484][5]~q\ & (\led_flash_cnt[2484][4]~61663\ $ (GND))) # (!\led_flash_cnt[2484][5]~q\ & (!\led_flash_cnt[2484][4]~61663\ & VCC))
-- \led_flash_cnt[2484][5]~61665\ = CARRY((\led_flash_cnt[2484][5]~q\ & !\led_flash_cnt[2484][4]~61663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2484][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2484][4]~61663\,
	combout => \led_flash_cnt[2484][5]~61664_combout\,
	cout => \led_flash_cnt[2484][5]~61665\);

-- Location: FF_X59_Y10_N17
\led_flash_cnt[2484][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2484][5]~61664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2484][5]~q\);

-- Location: LCCOMB_X59_Y10_N18
\led_flash_cnt[2484][6]~61666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2484][6]~61666_combout\ = (\led_flash_cnt[2484][6]~q\ & (!\led_flash_cnt[2484][5]~61665\)) # (!\led_flash_cnt[2484][6]~q\ & ((\led_flash_cnt[2484][5]~61665\) # (GND)))
-- \led_flash_cnt[2484][6]~61667\ = CARRY((!\led_flash_cnt[2484][5]~61665\) # (!\led_flash_cnt[2484][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2484][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2484][5]~61665\,
	combout => \led_flash_cnt[2484][6]~61666_combout\,
	cout => \led_flash_cnt[2484][6]~61667\);

-- Location: FF_X59_Y10_N19
\led_flash_cnt[2484][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2484][6]~61666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2484][6]~q\);

-- Location: LCCOMB_X59_Y10_N20
\led_flash_cnt[2484][7]~61668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2484][7]~61668_combout\ = \led_flash_cnt[2484][6]~61667\ $ (!\led_flash_cnt[2484][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2484][7]~q\,
	cin => \led_flash_cnt[2484][6]~61667\,
	combout => \led_flash_cnt[2484][7]~61668_combout\);

-- Location: FF_X59_Y10_N21
\led_flash_cnt[2484][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2484][7]~61668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2484][7]~q\);

-- Location: LCCOMB_X59_Y10_N30
\WideAnd2484~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2484~0_combout\ = (\led_flash_cnt[2484][3]~q\ & (\led_flash_cnt[2484][1]~q\ & (\led_flash_cnt[2484][4]~q\ & \led_flash_cnt[2484][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2484][3]~q\,
	datab => \led_flash_cnt[2484][1]~q\,
	datac => \led_flash_cnt[2484][4]~q\,
	datad => \led_flash_cnt[2484][2]~q\,
	combout => \WideAnd2484~0_combout\);

-- Location: LCCOMB_X59_Y10_N0
\WideAnd2484~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2484~1_combout\ = (\led_flash_cnt[2484][6]~q\ & \led_flash_cnt[2484][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2484][6]~q\,
	datad => \led_flash_cnt[2484][5]~q\,
	combout => \WideAnd2484~1_combout\);

-- Location: LCCOMB_X59_Y10_N4
WideAnd2484 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2484~combout\ = (\led_flash_cnt[2484][0]~q\ & (\led_flash_cnt[2484][7]~q\ & (\WideAnd2484~0_combout\ & \WideAnd2484~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2484][0]~q\,
	datab => \led_flash_cnt[2484][7]~q\,
	datac => \WideAnd2484~0_combout\,
	datad => \WideAnd2484~1_combout\,
	combout => \WideAnd2484~combout\);

-- Location: FF_X59_Y10_N5
\led_flash_cnt_ands[2484]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2484~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2484));

-- Location: LCCOMB_X59_Y10_N2
\led_flash_cnt[2485][0]~83125\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2485][0]~83125_combout\ = !\led_flash_cnt[2485][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2485][0]~q\,
	combout => \led_flash_cnt[2485][0]~83125_combout\);

-- Location: FF_X59_Y10_N3
\led_flash_cnt[2485][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2485][0]~83125_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2485][0]~q\);

-- Location: LCCOMB_X58_Y10_N2
\led_flash_cnt[2485][1]~61670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2485][1]~61670_combout\ = (\led_flash_cnt[2485][0]~q\ & (\led_flash_cnt[2485][1]~q\ $ (VCC))) # (!\led_flash_cnt[2485][0]~q\ & (\led_flash_cnt[2485][1]~q\ & VCC))
-- \led_flash_cnt[2485][1]~61671\ = CARRY((\led_flash_cnt[2485][0]~q\ & \led_flash_cnt[2485][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2485][0]~q\,
	datab => \led_flash_cnt[2485][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2485][1]~61670_combout\,
	cout => \led_flash_cnt[2485][1]~61671\);

-- Location: FF_X58_Y10_N3
\led_flash_cnt[2485][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2485][1]~61670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2485][1]~q\);

-- Location: LCCOMB_X58_Y10_N4
\led_flash_cnt[2485][2]~61672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2485][2]~61672_combout\ = (\led_flash_cnt[2485][2]~q\ & (!\led_flash_cnt[2485][1]~61671\)) # (!\led_flash_cnt[2485][2]~q\ & ((\led_flash_cnt[2485][1]~61671\) # (GND)))
-- \led_flash_cnt[2485][2]~61673\ = CARRY((!\led_flash_cnt[2485][1]~61671\) # (!\led_flash_cnt[2485][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2485][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2485][1]~61671\,
	combout => \led_flash_cnt[2485][2]~61672_combout\,
	cout => \led_flash_cnt[2485][2]~61673\);

-- Location: FF_X58_Y10_N5
\led_flash_cnt[2485][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2485][2]~61672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2485][2]~q\);

-- Location: LCCOMB_X58_Y10_N6
\led_flash_cnt[2485][3]~61674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2485][3]~61674_combout\ = (\led_flash_cnt[2485][3]~q\ & (\led_flash_cnt[2485][2]~61673\ $ (GND))) # (!\led_flash_cnt[2485][3]~q\ & (!\led_flash_cnt[2485][2]~61673\ & VCC))
-- \led_flash_cnt[2485][3]~61675\ = CARRY((\led_flash_cnt[2485][3]~q\ & !\led_flash_cnt[2485][2]~61673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2485][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2485][2]~61673\,
	combout => \led_flash_cnt[2485][3]~61674_combout\,
	cout => \led_flash_cnt[2485][3]~61675\);

-- Location: FF_X58_Y10_N7
\led_flash_cnt[2485][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2485][3]~61674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2485][3]~q\);

-- Location: LCCOMB_X58_Y10_N8
\led_flash_cnt[2485][4]~61676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2485][4]~61676_combout\ = (\led_flash_cnt[2485][4]~q\ & (!\led_flash_cnt[2485][3]~61675\)) # (!\led_flash_cnt[2485][4]~q\ & ((\led_flash_cnt[2485][3]~61675\) # (GND)))
-- \led_flash_cnt[2485][4]~61677\ = CARRY((!\led_flash_cnt[2485][3]~61675\) # (!\led_flash_cnt[2485][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2485][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2485][3]~61675\,
	combout => \led_flash_cnt[2485][4]~61676_combout\,
	cout => \led_flash_cnt[2485][4]~61677\);

-- Location: FF_X58_Y10_N9
\led_flash_cnt[2485][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2485][4]~61676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2485][4]~q\);

-- Location: LCCOMB_X58_Y10_N10
\led_flash_cnt[2485][5]~61678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2485][5]~61678_combout\ = (\led_flash_cnt[2485][5]~q\ & (\led_flash_cnt[2485][4]~61677\ $ (GND))) # (!\led_flash_cnt[2485][5]~q\ & (!\led_flash_cnt[2485][4]~61677\ & VCC))
-- \led_flash_cnt[2485][5]~61679\ = CARRY((\led_flash_cnt[2485][5]~q\ & !\led_flash_cnt[2485][4]~61677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2485][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2485][4]~61677\,
	combout => \led_flash_cnt[2485][5]~61678_combout\,
	cout => \led_flash_cnt[2485][5]~61679\);

-- Location: FF_X58_Y10_N11
\led_flash_cnt[2485][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2485][5]~61678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2485][5]~q\);

-- Location: LCCOMB_X58_Y10_N12
\led_flash_cnt[2485][6]~61680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2485][6]~61680_combout\ = (\led_flash_cnt[2485][6]~q\ & (!\led_flash_cnt[2485][5]~61679\)) # (!\led_flash_cnt[2485][6]~q\ & ((\led_flash_cnt[2485][5]~61679\) # (GND)))
-- \led_flash_cnt[2485][6]~61681\ = CARRY((!\led_flash_cnt[2485][5]~61679\) # (!\led_flash_cnt[2485][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2485][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2485][5]~61679\,
	combout => \led_flash_cnt[2485][6]~61680_combout\,
	cout => \led_flash_cnt[2485][6]~61681\);

-- Location: FF_X58_Y10_N13
\led_flash_cnt[2485][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2485][6]~61680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2485][6]~q\);

-- Location: LCCOMB_X58_Y10_N14
\led_flash_cnt[2485][7]~61682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2485][7]~61682_combout\ = \led_flash_cnt[2485][7]~q\ $ (!\led_flash_cnt[2485][6]~61681\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2485][7]~q\,
	cin => \led_flash_cnt[2485][6]~61681\,
	combout => \led_flash_cnt[2485][7]~61682_combout\);

-- Location: FF_X58_Y10_N15
\led_flash_cnt[2485][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2485][7]~61682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2485][7]~q\);

-- Location: LCCOMB_X59_Y10_N28
\WideAnd2485~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2485~1_combout\ = (\led_flash_cnt[2485][6]~q\ & \led_flash_cnt[2485][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2485][6]~q\,
	datad => \led_flash_cnt[2485][5]~q\,
	combout => \WideAnd2485~1_combout\);

-- Location: LCCOMB_X58_Y10_N0
\WideAnd2485~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2485~0_combout\ = (\led_flash_cnt[2485][3]~q\ & (\led_flash_cnt[2485][4]~q\ & (\led_flash_cnt[2485][2]~q\ & \led_flash_cnt[2485][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2485][3]~q\,
	datab => \led_flash_cnt[2485][4]~q\,
	datac => \led_flash_cnt[2485][2]~q\,
	datad => \led_flash_cnt[2485][1]~q\,
	combout => \WideAnd2485~0_combout\);

-- Location: LCCOMB_X59_Y10_N24
WideAnd2485 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2485~combout\ = (\led_flash_cnt[2485][7]~q\ & (\WideAnd2485~1_combout\ & (\WideAnd2485~0_combout\ & \led_flash_cnt[2485][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2485][7]~q\,
	datab => \WideAnd2485~1_combout\,
	datac => \WideAnd2485~0_combout\,
	datad => \led_flash_cnt[2485][0]~q\,
	combout => \WideAnd2485~combout\);

-- Location: FF_X59_Y10_N25
\led_flash_cnt_ands[2485]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2485~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2485));

-- Location: LCCOMB_X59_Y10_N6
\WideAnd4150~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4150~1_combout\ = (led_flash_cnt_ands(2484) & led_flash_cnt_ands(2485))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2484),
	datad => led_flash_cnt_ands(2485),
	combout => \WideAnd4150~1_combout\);

-- Location: LCCOMB_X67_Y15_N28
\led_flash_cnt[2482][0]~83122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2482][0]~83122_combout\ = !\led_flash_cnt[2482][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2482][0]~q\,
	combout => \led_flash_cnt[2482][0]~83122_combout\);

-- Location: FF_X67_Y15_N29
\led_flash_cnt[2482][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2482][0]~83122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2482][0]~q\);

-- Location: LCCOMB_X66_Y15_N2
\led_flash_cnt[2482][1]~61628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2482][1]~61628_combout\ = (\led_flash_cnt[2482][1]~q\ & (\led_flash_cnt[2482][0]~q\ $ (VCC))) # (!\led_flash_cnt[2482][1]~q\ & (\led_flash_cnt[2482][0]~q\ & VCC))
-- \led_flash_cnt[2482][1]~61629\ = CARRY((\led_flash_cnt[2482][1]~q\ & \led_flash_cnt[2482][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2482][1]~q\,
	datab => \led_flash_cnt[2482][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2482][1]~61628_combout\,
	cout => \led_flash_cnt[2482][1]~61629\);

-- Location: FF_X66_Y15_N3
\led_flash_cnt[2482][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2482][1]~61628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2482][1]~q\);

-- Location: LCCOMB_X66_Y15_N4
\led_flash_cnt[2482][2]~61630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2482][2]~61630_combout\ = (\led_flash_cnt[2482][2]~q\ & (!\led_flash_cnt[2482][1]~61629\)) # (!\led_flash_cnt[2482][2]~q\ & ((\led_flash_cnt[2482][1]~61629\) # (GND)))
-- \led_flash_cnt[2482][2]~61631\ = CARRY((!\led_flash_cnt[2482][1]~61629\) # (!\led_flash_cnt[2482][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2482][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2482][1]~61629\,
	combout => \led_flash_cnt[2482][2]~61630_combout\,
	cout => \led_flash_cnt[2482][2]~61631\);

-- Location: FF_X66_Y15_N5
\led_flash_cnt[2482][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2482][2]~61630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2482][2]~q\);

-- Location: LCCOMB_X66_Y15_N6
\led_flash_cnt[2482][3]~61632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2482][3]~61632_combout\ = (\led_flash_cnt[2482][3]~q\ & (\led_flash_cnt[2482][2]~61631\ $ (GND))) # (!\led_flash_cnt[2482][3]~q\ & (!\led_flash_cnt[2482][2]~61631\ & VCC))
-- \led_flash_cnt[2482][3]~61633\ = CARRY((\led_flash_cnt[2482][3]~q\ & !\led_flash_cnt[2482][2]~61631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2482][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2482][2]~61631\,
	combout => \led_flash_cnt[2482][3]~61632_combout\,
	cout => \led_flash_cnt[2482][3]~61633\);

-- Location: FF_X66_Y15_N7
\led_flash_cnt[2482][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2482][3]~61632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2482][3]~q\);

-- Location: LCCOMB_X66_Y15_N8
\led_flash_cnt[2482][4]~61634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2482][4]~61634_combout\ = (\led_flash_cnt[2482][4]~q\ & (!\led_flash_cnt[2482][3]~61633\)) # (!\led_flash_cnt[2482][4]~q\ & ((\led_flash_cnt[2482][3]~61633\) # (GND)))
-- \led_flash_cnt[2482][4]~61635\ = CARRY((!\led_flash_cnt[2482][3]~61633\) # (!\led_flash_cnt[2482][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2482][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2482][3]~61633\,
	combout => \led_flash_cnt[2482][4]~61634_combout\,
	cout => \led_flash_cnt[2482][4]~61635\);

-- Location: FF_X66_Y15_N9
\led_flash_cnt[2482][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2482][4]~61634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2482][4]~q\);

-- Location: LCCOMB_X66_Y15_N10
\led_flash_cnt[2482][5]~61636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2482][5]~61636_combout\ = (\led_flash_cnt[2482][5]~q\ & (\led_flash_cnt[2482][4]~61635\ $ (GND))) # (!\led_flash_cnt[2482][5]~q\ & (!\led_flash_cnt[2482][4]~61635\ & VCC))
-- \led_flash_cnt[2482][5]~61637\ = CARRY((\led_flash_cnt[2482][5]~q\ & !\led_flash_cnt[2482][4]~61635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2482][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2482][4]~61635\,
	combout => \led_flash_cnt[2482][5]~61636_combout\,
	cout => \led_flash_cnt[2482][5]~61637\);

-- Location: FF_X66_Y15_N11
\led_flash_cnt[2482][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2482][5]~61636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2482][5]~q\);

-- Location: LCCOMB_X66_Y15_N12
\led_flash_cnt[2482][6]~61638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2482][6]~61638_combout\ = (\led_flash_cnt[2482][6]~q\ & (!\led_flash_cnt[2482][5]~61637\)) # (!\led_flash_cnt[2482][6]~q\ & ((\led_flash_cnt[2482][5]~61637\) # (GND)))
-- \led_flash_cnt[2482][6]~61639\ = CARRY((!\led_flash_cnt[2482][5]~61637\) # (!\led_flash_cnt[2482][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2482][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2482][5]~61637\,
	combout => \led_flash_cnt[2482][6]~61638_combout\,
	cout => \led_flash_cnt[2482][6]~61639\);

-- Location: FF_X66_Y15_N13
\led_flash_cnt[2482][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2482][6]~61638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2482][6]~q\);

-- Location: LCCOMB_X66_Y15_N14
\led_flash_cnt[2482][7]~61640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2482][7]~61640_combout\ = \led_flash_cnt[2482][7]~q\ $ (!\led_flash_cnt[2482][6]~61639\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2482][7]~q\,
	cin => \led_flash_cnt[2482][6]~61639\,
	combout => \led_flash_cnt[2482][7]~61640_combout\);

-- Location: FF_X66_Y15_N15
\led_flash_cnt[2482][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2482][7]~61640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2482][7]~q\);

-- Location: LCCOMB_X66_Y15_N30
\WideAnd2482~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2482~0_combout\ = (\led_flash_cnt[2482][1]~q\ & (\led_flash_cnt[2482][4]~q\ & (\led_flash_cnt[2482][2]~q\ & \led_flash_cnt[2482][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2482][1]~q\,
	datab => \led_flash_cnt[2482][4]~q\,
	datac => \led_flash_cnt[2482][2]~q\,
	datad => \led_flash_cnt[2482][3]~q\,
	combout => \WideAnd2482~0_combout\);

-- Location: LCCOMB_X67_Y15_N30
\WideAnd2482~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2482~1_combout\ = (\led_flash_cnt[2482][6]~q\ & \led_flash_cnt[2482][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2482][6]~q\,
	datad => \led_flash_cnt[2482][5]~q\,
	combout => \WideAnd2482~1_combout\);

-- Location: LCCOMB_X67_Y15_N22
WideAnd2482 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2482~combout\ = (\led_flash_cnt[2482][7]~q\ & (\WideAnd2482~0_combout\ & (\WideAnd2482~1_combout\ & \led_flash_cnt[2482][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2482][7]~q\,
	datab => \WideAnd2482~0_combout\,
	datac => \WideAnd2482~1_combout\,
	datad => \led_flash_cnt[2482][0]~q\,
	combout => \WideAnd2482~combout\);

-- Location: FF_X67_Y15_N23
\led_flash_cnt_ands[2482]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2482~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2482));

-- Location: LCCOMB_X67_Y15_N18
\led_flash_cnt[2481][0]~83121\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2481][0]~83121_combout\ = !\led_flash_cnt[2481][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2481][0]~q\,
	combout => \led_flash_cnt[2481][0]~83121_combout\);

-- Location: FF_X67_Y15_N19
\led_flash_cnt[2481][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2481][0]~83121_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2481][0]~q\);

-- Location: LCCOMB_X67_Y15_N0
\led_flash_cnt[2481][1]~61614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2481][1]~61614_combout\ = (\led_flash_cnt[2481][0]~q\ & (\led_flash_cnt[2481][1]~q\ $ (VCC))) # (!\led_flash_cnt[2481][0]~q\ & (\led_flash_cnt[2481][1]~q\ & VCC))
-- \led_flash_cnt[2481][1]~61615\ = CARRY((\led_flash_cnt[2481][0]~q\ & \led_flash_cnt[2481][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2481][0]~q\,
	datab => \led_flash_cnt[2481][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2481][1]~61614_combout\,
	cout => \led_flash_cnt[2481][1]~61615\);

-- Location: FF_X67_Y15_N1
\led_flash_cnt[2481][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2481][1]~61614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2481][1]~q\);

-- Location: LCCOMB_X67_Y15_N2
\led_flash_cnt[2481][2]~61616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2481][2]~61616_combout\ = (\led_flash_cnt[2481][2]~q\ & (!\led_flash_cnt[2481][1]~61615\)) # (!\led_flash_cnt[2481][2]~q\ & ((\led_flash_cnt[2481][1]~61615\) # (GND)))
-- \led_flash_cnt[2481][2]~61617\ = CARRY((!\led_flash_cnt[2481][1]~61615\) # (!\led_flash_cnt[2481][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2481][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2481][1]~61615\,
	combout => \led_flash_cnt[2481][2]~61616_combout\,
	cout => \led_flash_cnt[2481][2]~61617\);

-- Location: FF_X67_Y15_N3
\led_flash_cnt[2481][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2481][2]~61616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2481][2]~q\);

-- Location: LCCOMB_X67_Y15_N4
\led_flash_cnt[2481][3]~61618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2481][3]~61618_combout\ = (\led_flash_cnt[2481][3]~q\ & (\led_flash_cnt[2481][2]~61617\ $ (GND))) # (!\led_flash_cnt[2481][3]~q\ & (!\led_flash_cnt[2481][2]~61617\ & VCC))
-- \led_flash_cnt[2481][3]~61619\ = CARRY((\led_flash_cnt[2481][3]~q\ & !\led_flash_cnt[2481][2]~61617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2481][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2481][2]~61617\,
	combout => \led_flash_cnt[2481][3]~61618_combout\,
	cout => \led_flash_cnt[2481][3]~61619\);

-- Location: FF_X67_Y15_N5
\led_flash_cnt[2481][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2481][3]~61618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2481][3]~q\);

-- Location: LCCOMB_X67_Y15_N6
\led_flash_cnt[2481][4]~61620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2481][4]~61620_combout\ = (\led_flash_cnt[2481][4]~q\ & (!\led_flash_cnt[2481][3]~61619\)) # (!\led_flash_cnt[2481][4]~q\ & ((\led_flash_cnt[2481][3]~61619\) # (GND)))
-- \led_flash_cnt[2481][4]~61621\ = CARRY((!\led_flash_cnt[2481][3]~61619\) # (!\led_flash_cnt[2481][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2481][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2481][3]~61619\,
	combout => \led_flash_cnt[2481][4]~61620_combout\,
	cout => \led_flash_cnt[2481][4]~61621\);

-- Location: FF_X67_Y15_N7
\led_flash_cnt[2481][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2481][4]~61620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2481][4]~q\);

-- Location: LCCOMB_X67_Y15_N8
\led_flash_cnt[2481][5]~61622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2481][5]~61622_combout\ = (\led_flash_cnt[2481][5]~q\ & (\led_flash_cnt[2481][4]~61621\ $ (GND))) # (!\led_flash_cnt[2481][5]~q\ & (!\led_flash_cnt[2481][4]~61621\ & VCC))
-- \led_flash_cnt[2481][5]~61623\ = CARRY((\led_flash_cnt[2481][5]~q\ & !\led_flash_cnt[2481][4]~61621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2481][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2481][4]~61621\,
	combout => \led_flash_cnt[2481][5]~61622_combout\,
	cout => \led_flash_cnt[2481][5]~61623\);

-- Location: FF_X67_Y15_N9
\led_flash_cnt[2481][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2481][5]~61622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2481][5]~q\);

-- Location: LCCOMB_X67_Y15_N10
\led_flash_cnt[2481][6]~61624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2481][6]~61624_combout\ = (\led_flash_cnt[2481][6]~q\ & (!\led_flash_cnt[2481][5]~61623\)) # (!\led_flash_cnt[2481][6]~q\ & ((\led_flash_cnt[2481][5]~61623\) # (GND)))
-- \led_flash_cnt[2481][6]~61625\ = CARRY((!\led_flash_cnt[2481][5]~61623\) # (!\led_flash_cnt[2481][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2481][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2481][5]~61623\,
	combout => \led_flash_cnt[2481][6]~61624_combout\,
	cout => \led_flash_cnt[2481][6]~61625\);

-- Location: FF_X67_Y15_N11
\led_flash_cnt[2481][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2481][6]~61624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2481][6]~q\);

-- Location: LCCOMB_X67_Y15_N12
\led_flash_cnt[2481][7]~61626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2481][7]~61626_combout\ = \led_flash_cnt[2481][6]~61625\ $ (!\led_flash_cnt[2481][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2481][7]~q\,
	cin => \led_flash_cnt[2481][6]~61625\,
	combout => \led_flash_cnt[2481][7]~61626_combout\);

-- Location: FF_X67_Y15_N13
\led_flash_cnt[2481][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2481][7]~61626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2481][7]~q\);

-- Location: LCCOMB_X67_Y15_N20
\WideAnd2481~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2481~0_combout\ = (\led_flash_cnt[2481][4]~q\ & (\led_flash_cnt[2481][1]~q\ & (\led_flash_cnt[2481][3]~q\ & \led_flash_cnt[2481][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2481][4]~q\,
	datab => \led_flash_cnt[2481][1]~q\,
	datac => \led_flash_cnt[2481][3]~q\,
	datad => \led_flash_cnt[2481][2]~q\,
	combout => \WideAnd2481~0_combout\);

-- Location: LCCOMB_X67_Y15_N26
\WideAnd2481~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2481~1_combout\ = (\led_flash_cnt[2481][5]~q\ & \led_flash_cnt[2481][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2481][5]~q\,
	datad => \led_flash_cnt[2481][6]~q\,
	combout => \WideAnd2481~1_combout\);

-- Location: LCCOMB_X67_Y15_N16
WideAnd2481 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2481~combout\ = (\led_flash_cnt[2481][7]~q\ & (\WideAnd2481~0_combout\ & (\WideAnd2481~1_combout\ & \led_flash_cnt[2481][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2481][7]~q\,
	datab => \WideAnd2481~0_combout\,
	datac => \WideAnd2481~1_combout\,
	datad => \led_flash_cnt[2481][0]~q\,
	combout => \WideAnd2481~combout\);

-- Location: FF_X67_Y15_N17
\led_flash_cnt_ands[2481]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2481~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2481));

-- Location: LCCOMB_X67_Y16_N18
\led_flash_cnt[2483][0]~83123\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2483][0]~83123_combout\ = !\led_flash_cnt[2483][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2483][0]~q\,
	combout => \led_flash_cnt[2483][0]~83123_combout\);

-- Location: FF_X67_Y16_N19
\led_flash_cnt[2483][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2483][0]~83123_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2483][0]~q\);

-- Location: LCCOMB_X67_Y16_N0
\led_flash_cnt[2483][1]~61642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2483][1]~61642_combout\ = (\led_flash_cnt[2483][1]~q\ & (\led_flash_cnt[2483][0]~q\ $ (VCC))) # (!\led_flash_cnt[2483][1]~q\ & (\led_flash_cnt[2483][0]~q\ & VCC))
-- \led_flash_cnt[2483][1]~61643\ = CARRY((\led_flash_cnt[2483][1]~q\ & \led_flash_cnt[2483][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2483][1]~q\,
	datab => \led_flash_cnt[2483][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2483][1]~61642_combout\,
	cout => \led_flash_cnt[2483][1]~61643\);

-- Location: FF_X67_Y16_N1
\led_flash_cnt[2483][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2483][1]~61642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2483][1]~q\);

-- Location: LCCOMB_X67_Y16_N2
\led_flash_cnt[2483][2]~61644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2483][2]~61644_combout\ = (\led_flash_cnt[2483][2]~q\ & (!\led_flash_cnt[2483][1]~61643\)) # (!\led_flash_cnt[2483][2]~q\ & ((\led_flash_cnt[2483][1]~61643\) # (GND)))
-- \led_flash_cnt[2483][2]~61645\ = CARRY((!\led_flash_cnt[2483][1]~61643\) # (!\led_flash_cnt[2483][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2483][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2483][1]~61643\,
	combout => \led_flash_cnt[2483][2]~61644_combout\,
	cout => \led_flash_cnt[2483][2]~61645\);

-- Location: FF_X67_Y16_N3
\led_flash_cnt[2483][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2483][2]~61644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2483][2]~q\);

-- Location: LCCOMB_X67_Y16_N4
\led_flash_cnt[2483][3]~61646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2483][3]~61646_combout\ = (\led_flash_cnt[2483][3]~q\ & (\led_flash_cnt[2483][2]~61645\ $ (GND))) # (!\led_flash_cnt[2483][3]~q\ & (!\led_flash_cnt[2483][2]~61645\ & VCC))
-- \led_flash_cnt[2483][3]~61647\ = CARRY((\led_flash_cnt[2483][3]~q\ & !\led_flash_cnt[2483][2]~61645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2483][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2483][2]~61645\,
	combout => \led_flash_cnt[2483][3]~61646_combout\,
	cout => \led_flash_cnt[2483][3]~61647\);

-- Location: FF_X67_Y16_N5
\led_flash_cnt[2483][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2483][3]~61646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2483][3]~q\);

-- Location: LCCOMB_X67_Y16_N6
\led_flash_cnt[2483][4]~61648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2483][4]~61648_combout\ = (\led_flash_cnt[2483][4]~q\ & (!\led_flash_cnt[2483][3]~61647\)) # (!\led_flash_cnt[2483][4]~q\ & ((\led_flash_cnt[2483][3]~61647\) # (GND)))
-- \led_flash_cnt[2483][4]~61649\ = CARRY((!\led_flash_cnt[2483][3]~61647\) # (!\led_flash_cnt[2483][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2483][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2483][3]~61647\,
	combout => \led_flash_cnt[2483][4]~61648_combout\,
	cout => \led_flash_cnt[2483][4]~61649\);

-- Location: FF_X67_Y16_N7
\led_flash_cnt[2483][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2483][4]~61648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2483][4]~q\);

-- Location: LCCOMB_X67_Y16_N8
\led_flash_cnt[2483][5]~61650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2483][5]~61650_combout\ = (\led_flash_cnt[2483][5]~q\ & (\led_flash_cnt[2483][4]~61649\ $ (GND))) # (!\led_flash_cnt[2483][5]~q\ & (!\led_flash_cnt[2483][4]~61649\ & VCC))
-- \led_flash_cnt[2483][5]~61651\ = CARRY((\led_flash_cnt[2483][5]~q\ & !\led_flash_cnt[2483][4]~61649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2483][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2483][4]~61649\,
	combout => \led_flash_cnt[2483][5]~61650_combout\,
	cout => \led_flash_cnt[2483][5]~61651\);

-- Location: FF_X67_Y16_N9
\led_flash_cnt[2483][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2483][5]~61650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2483][5]~q\);

-- Location: LCCOMB_X67_Y16_N10
\led_flash_cnt[2483][6]~61652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2483][6]~61652_combout\ = (\led_flash_cnt[2483][6]~q\ & (!\led_flash_cnt[2483][5]~61651\)) # (!\led_flash_cnt[2483][6]~q\ & ((\led_flash_cnt[2483][5]~61651\) # (GND)))
-- \led_flash_cnt[2483][6]~61653\ = CARRY((!\led_flash_cnt[2483][5]~61651\) # (!\led_flash_cnt[2483][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2483][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2483][5]~61651\,
	combout => \led_flash_cnt[2483][6]~61652_combout\,
	cout => \led_flash_cnt[2483][6]~61653\);

-- Location: FF_X67_Y16_N11
\led_flash_cnt[2483][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2483][6]~61652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2483][6]~q\);

-- Location: LCCOMB_X67_Y16_N12
\led_flash_cnt[2483][7]~61654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2483][7]~61654_combout\ = \led_flash_cnt[2483][6]~61653\ $ (!\led_flash_cnt[2483][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2483][7]~q\,
	cin => \led_flash_cnt[2483][6]~61653\,
	combout => \led_flash_cnt[2483][7]~61654_combout\);

-- Location: FF_X67_Y16_N13
\led_flash_cnt[2483][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2483][7]~61654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2483][7]~q\);

-- Location: LCCOMB_X67_Y16_N24
\WideAnd2483~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2483~0_combout\ = (\led_flash_cnt[2483][4]~q\ & (\led_flash_cnt[2483][1]~q\ & (\led_flash_cnt[2483][3]~q\ & \led_flash_cnt[2483][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2483][4]~q\,
	datab => \led_flash_cnt[2483][1]~q\,
	datac => \led_flash_cnt[2483][3]~q\,
	datad => \led_flash_cnt[2483][2]~q\,
	combout => \WideAnd2483~0_combout\);

-- Location: LCCOMB_X67_Y16_N26
\WideAnd2483~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2483~1_combout\ = (\led_flash_cnt[2483][5]~q\ & \led_flash_cnt[2483][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2483][5]~q\,
	datad => \led_flash_cnt[2483][6]~q\,
	combout => \WideAnd2483~1_combout\);

-- Location: LCCOMB_X67_Y16_N30
WideAnd2483 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2483~combout\ = (\led_flash_cnt[2483][7]~q\ & (\WideAnd2483~0_combout\ & (\WideAnd2483~1_combout\ & \led_flash_cnt[2483][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2483][7]~q\,
	datab => \WideAnd2483~0_combout\,
	datac => \WideAnd2483~1_combout\,
	datad => \led_flash_cnt[2483][0]~q\,
	combout => \WideAnd2483~combout\);

-- Location: FF_X67_Y16_N31
\led_flash_cnt_ands[2483]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2483~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2483));

-- Location: LCCOMB_X69_Y15_N22
\led_flash_cnt[2480][0]~83120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2480][0]~83120_combout\ = !\led_flash_cnt[2480][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2480][0]~q\,
	combout => \led_flash_cnt[2480][0]~83120_combout\);

-- Location: FF_X69_Y15_N23
\led_flash_cnt[2480][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2480][0]~83120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2480][0]~q\);

-- Location: LCCOMB_X69_Y15_N8
\led_flash_cnt[2480][1]~61600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2480][1]~61600_combout\ = (\led_flash_cnt[2480][0]~q\ & (\led_flash_cnt[2480][1]~q\ $ (VCC))) # (!\led_flash_cnt[2480][0]~q\ & (\led_flash_cnt[2480][1]~q\ & VCC))
-- \led_flash_cnt[2480][1]~61601\ = CARRY((\led_flash_cnt[2480][0]~q\ & \led_flash_cnt[2480][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2480][0]~q\,
	datab => \led_flash_cnt[2480][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2480][1]~61600_combout\,
	cout => \led_flash_cnt[2480][1]~61601\);

-- Location: FF_X69_Y15_N9
\led_flash_cnt[2480][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2480][1]~61600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2480][1]~q\);

-- Location: LCCOMB_X69_Y15_N10
\led_flash_cnt[2480][2]~61602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2480][2]~61602_combout\ = (\led_flash_cnt[2480][2]~q\ & (!\led_flash_cnt[2480][1]~61601\)) # (!\led_flash_cnt[2480][2]~q\ & ((\led_flash_cnt[2480][1]~61601\) # (GND)))
-- \led_flash_cnt[2480][2]~61603\ = CARRY((!\led_flash_cnt[2480][1]~61601\) # (!\led_flash_cnt[2480][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2480][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2480][1]~61601\,
	combout => \led_flash_cnt[2480][2]~61602_combout\,
	cout => \led_flash_cnt[2480][2]~61603\);

-- Location: FF_X69_Y15_N11
\led_flash_cnt[2480][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2480][2]~61602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2480][2]~q\);

-- Location: LCCOMB_X69_Y15_N12
\led_flash_cnt[2480][3]~61604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2480][3]~61604_combout\ = (\led_flash_cnt[2480][3]~q\ & (\led_flash_cnt[2480][2]~61603\ $ (GND))) # (!\led_flash_cnt[2480][3]~q\ & (!\led_flash_cnt[2480][2]~61603\ & VCC))
-- \led_flash_cnt[2480][3]~61605\ = CARRY((\led_flash_cnt[2480][3]~q\ & !\led_flash_cnt[2480][2]~61603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2480][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2480][2]~61603\,
	combout => \led_flash_cnt[2480][3]~61604_combout\,
	cout => \led_flash_cnt[2480][3]~61605\);

-- Location: FF_X69_Y15_N13
\led_flash_cnt[2480][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2480][3]~61604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2480][3]~q\);

-- Location: LCCOMB_X69_Y15_N14
\led_flash_cnt[2480][4]~61606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2480][4]~61606_combout\ = (\led_flash_cnt[2480][4]~q\ & (!\led_flash_cnt[2480][3]~61605\)) # (!\led_flash_cnt[2480][4]~q\ & ((\led_flash_cnt[2480][3]~61605\) # (GND)))
-- \led_flash_cnt[2480][4]~61607\ = CARRY((!\led_flash_cnt[2480][3]~61605\) # (!\led_flash_cnt[2480][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2480][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2480][3]~61605\,
	combout => \led_flash_cnt[2480][4]~61606_combout\,
	cout => \led_flash_cnt[2480][4]~61607\);

-- Location: FF_X69_Y15_N15
\led_flash_cnt[2480][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2480][4]~61606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2480][4]~q\);

-- Location: LCCOMB_X69_Y15_N16
\led_flash_cnt[2480][5]~61608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2480][5]~61608_combout\ = (\led_flash_cnt[2480][5]~q\ & (\led_flash_cnt[2480][4]~61607\ $ (GND))) # (!\led_flash_cnt[2480][5]~q\ & (!\led_flash_cnt[2480][4]~61607\ & VCC))
-- \led_flash_cnt[2480][5]~61609\ = CARRY((\led_flash_cnt[2480][5]~q\ & !\led_flash_cnt[2480][4]~61607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2480][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2480][4]~61607\,
	combout => \led_flash_cnt[2480][5]~61608_combout\,
	cout => \led_flash_cnt[2480][5]~61609\);

-- Location: FF_X69_Y15_N17
\led_flash_cnt[2480][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2480][5]~61608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2480][5]~q\);

-- Location: LCCOMB_X69_Y15_N18
\led_flash_cnt[2480][6]~61610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2480][6]~61610_combout\ = (\led_flash_cnt[2480][6]~q\ & (!\led_flash_cnt[2480][5]~61609\)) # (!\led_flash_cnt[2480][6]~q\ & ((\led_flash_cnt[2480][5]~61609\) # (GND)))
-- \led_flash_cnt[2480][6]~61611\ = CARRY((!\led_flash_cnt[2480][5]~61609\) # (!\led_flash_cnt[2480][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2480][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2480][5]~61609\,
	combout => \led_flash_cnt[2480][6]~61610_combout\,
	cout => \led_flash_cnt[2480][6]~61611\);

-- Location: FF_X69_Y15_N19
\led_flash_cnt[2480][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2480][6]~61610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2480][6]~q\);

-- Location: LCCOMB_X69_Y15_N20
\led_flash_cnt[2480][7]~61612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2480][7]~61612_combout\ = \led_flash_cnt[2480][6]~61611\ $ (!\led_flash_cnt[2480][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2480][7]~q\,
	cin => \led_flash_cnt[2480][6]~61611\,
	combout => \led_flash_cnt[2480][7]~61612_combout\);

-- Location: FF_X69_Y15_N21
\led_flash_cnt[2480][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2480][7]~61612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2480][7]~q\);

-- Location: LCCOMB_X69_Y15_N4
\WideAnd2480~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2480~1_combout\ = (\led_flash_cnt[2480][6]~q\ & \led_flash_cnt[2480][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2480][6]~q\,
	datad => \led_flash_cnt[2480][5]~q\,
	combout => \WideAnd2480~1_combout\);

-- Location: LCCOMB_X69_Y15_N24
\WideAnd2480~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2480~0_combout\ = (\led_flash_cnt[2480][3]~q\ & (\led_flash_cnt[2480][4]~q\ & (\led_flash_cnt[2480][1]~q\ & \led_flash_cnt[2480][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2480][3]~q\,
	datab => \led_flash_cnt[2480][4]~q\,
	datac => \led_flash_cnt[2480][1]~q\,
	datad => \led_flash_cnt[2480][2]~q\,
	combout => \WideAnd2480~0_combout\);

-- Location: LCCOMB_X69_Y15_N26
WideAnd2480 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2480~combout\ = (\led_flash_cnt[2480][0]~q\ & (\led_flash_cnt[2480][7]~q\ & (\WideAnd2480~1_combout\ & \WideAnd2480~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2480][0]~q\,
	datab => \led_flash_cnt[2480][7]~q\,
	datac => \WideAnd2480~1_combout\,
	datad => \WideAnd2480~0_combout\,
	combout => \WideAnd2480~combout\);

-- Location: FF_X69_Y15_N27
\led_flash_cnt_ands[2480]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2480~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2480));

-- Location: LCCOMB_X67_Y15_N24
\WideAnd4150~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4150~0_combout\ = (led_flash_cnt_ands(2482) & (led_flash_cnt_ands(2481) & (led_flash_cnt_ands(2483) & led_flash_cnt_ands(2480))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2482),
	datab => led_flash_cnt_ands(2481),
	datac => led_flash_cnt_ands(2483),
	datad => led_flash_cnt_ands(2480),
	combout => \WideAnd4150~0_combout\);

-- Location: LCCOMB_X65_Y12_N16
WideAnd4150 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4150~combout\ = (led_flash_cnt_ands(2487) & (led_flash_cnt_ands(2486) & (\WideAnd4150~1_combout\ & \WideAnd4150~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2487),
	datab => led_flash_cnt_ands(2486),
	datac => \WideAnd4150~1_combout\,
	datad => \WideAnd4150~0_combout\,
	combout => \WideAnd4150~combout\);

-- Location: FF_X65_Y12_N17
\led_flash_cnt_ands_1[310]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4150~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(310));

-- Location: LCCOMB_X64_Y16_N0
WideAnd4358 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4358~combout\ = (\WideAnd4358~1_combout\ & (led_flash_cnt_ands_1(311) & (\WideAnd4358~0_combout\ & led_flash_cnt_ands_1(310))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4358~1_combout\,
	datab => led_flash_cnt_ands_1(311),
	datac => \WideAnd4358~0_combout\,
	datad => led_flash_cnt_ands_1(310),
	combout => \WideAnd4358~combout\);

-- Location: FF_X63_Y16_N17
\led_flash_cnt_ands_2[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd4358~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(38));

-- Location: LCCOMB_X56_Y16_N22
\WideAnd4380~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~11_combout\ = (led_flash_cnt_ands_2(36) & (led_flash_cnt_ands_2(37) & (led_flash_cnt_ands_2(39) & led_flash_cnt_ands_2(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(36),
	datab => led_flash_cnt_ands_2(37),
	datac => led_flash_cnt_ands_2(39),
	datad => led_flash_cnt_ands_2(38),
	combout => \WideAnd4380~11_combout\);

-- Location: LCCOMB_X36_Y38_N2
\led_flash_cnt[2622][0]~83262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2622][0]~83262_combout\ = !\led_flash_cnt[2622][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2622][0]~q\,
	combout => \led_flash_cnt[2622][0]~83262_combout\);

-- Location: FF_X36_Y38_N3
\led_flash_cnt[2622][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2622][0]~83262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2622][0]~q\);

-- Location: LCCOMB_X35_Y38_N0
\led_flash_cnt[2622][1]~63588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2622][1]~63588_combout\ = (\led_flash_cnt[2622][0]~q\ & (\led_flash_cnt[2622][1]~q\ $ (VCC))) # (!\led_flash_cnt[2622][0]~q\ & (\led_flash_cnt[2622][1]~q\ & VCC))
-- \led_flash_cnt[2622][1]~63589\ = CARRY((\led_flash_cnt[2622][0]~q\ & \led_flash_cnt[2622][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2622][0]~q\,
	datab => \led_flash_cnt[2622][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2622][1]~63588_combout\,
	cout => \led_flash_cnt[2622][1]~63589\);

-- Location: FF_X35_Y38_N1
\led_flash_cnt[2622][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2622][1]~63588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2622][1]~q\);

-- Location: LCCOMB_X35_Y38_N2
\led_flash_cnt[2622][2]~63590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2622][2]~63590_combout\ = (\led_flash_cnt[2622][2]~q\ & (!\led_flash_cnt[2622][1]~63589\)) # (!\led_flash_cnt[2622][2]~q\ & ((\led_flash_cnt[2622][1]~63589\) # (GND)))
-- \led_flash_cnt[2622][2]~63591\ = CARRY((!\led_flash_cnt[2622][1]~63589\) # (!\led_flash_cnt[2622][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2622][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2622][1]~63589\,
	combout => \led_flash_cnt[2622][2]~63590_combout\,
	cout => \led_flash_cnt[2622][2]~63591\);

-- Location: FF_X35_Y38_N3
\led_flash_cnt[2622][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2622][2]~63590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2622][2]~q\);

-- Location: LCCOMB_X35_Y38_N4
\led_flash_cnt[2622][3]~63592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2622][3]~63592_combout\ = (\led_flash_cnt[2622][3]~q\ & (\led_flash_cnt[2622][2]~63591\ $ (GND))) # (!\led_flash_cnt[2622][3]~q\ & (!\led_flash_cnt[2622][2]~63591\ & VCC))
-- \led_flash_cnt[2622][3]~63593\ = CARRY((\led_flash_cnt[2622][3]~q\ & !\led_flash_cnt[2622][2]~63591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2622][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2622][2]~63591\,
	combout => \led_flash_cnt[2622][3]~63592_combout\,
	cout => \led_flash_cnt[2622][3]~63593\);

-- Location: FF_X35_Y38_N5
\led_flash_cnt[2622][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2622][3]~63592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2622][3]~q\);

-- Location: LCCOMB_X35_Y38_N6
\led_flash_cnt[2622][4]~63594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2622][4]~63594_combout\ = (\led_flash_cnt[2622][4]~q\ & (!\led_flash_cnt[2622][3]~63593\)) # (!\led_flash_cnt[2622][4]~q\ & ((\led_flash_cnt[2622][3]~63593\) # (GND)))
-- \led_flash_cnt[2622][4]~63595\ = CARRY((!\led_flash_cnt[2622][3]~63593\) # (!\led_flash_cnt[2622][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2622][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2622][3]~63593\,
	combout => \led_flash_cnt[2622][4]~63594_combout\,
	cout => \led_flash_cnt[2622][4]~63595\);

-- Location: FF_X35_Y38_N7
\led_flash_cnt[2622][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2622][4]~63594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2622][4]~q\);

-- Location: LCCOMB_X35_Y38_N8
\led_flash_cnt[2622][5]~63596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2622][5]~63596_combout\ = (\led_flash_cnt[2622][5]~q\ & (\led_flash_cnt[2622][4]~63595\ $ (GND))) # (!\led_flash_cnt[2622][5]~q\ & (!\led_flash_cnt[2622][4]~63595\ & VCC))
-- \led_flash_cnt[2622][5]~63597\ = CARRY((\led_flash_cnt[2622][5]~q\ & !\led_flash_cnt[2622][4]~63595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2622][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2622][4]~63595\,
	combout => \led_flash_cnt[2622][5]~63596_combout\,
	cout => \led_flash_cnt[2622][5]~63597\);

-- Location: FF_X35_Y38_N9
\led_flash_cnt[2622][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2622][5]~63596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2622][5]~q\);

-- Location: LCCOMB_X35_Y38_N10
\led_flash_cnt[2622][6]~63598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2622][6]~63598_combout\ = (\led_flash_cnt[2622][6]~q\ & (!\led_flash_cnt[2622][5]~63597\)) # (!\led_flash_cnt[2622][6]~q\ & ((\led_flash_cnt[2622][5]~63597\) # (GND)))
-- \led_flash_cnt[2622][6]~63599\ = CARRY((!\led_flash_cnt[2622][5]~63597\) # (!\led_flash_cnt[2622][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2622][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2622][5]~63597\,
	combout => \led_flash_cnt[2622][6]~63598_combout\,
	cout => \led_flash_cnt[2622][6]~63599\);

-- Location: FF_X35_Y38_N11
\led_flash_cnt[2622][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2622][6]~63598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2622][6]~q\);

-- Location: LCCOMB_X35_Y38_N12
\led_flash_cnt[2622][7]~63600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2622][7]~63600_combout\ = \led_flash_cnt[2622][6]~63599\ $ (!\led_flash_cnt[2622][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2622][7]~q\,
	cin => \led_flash_cnt[2622][6]~63599\,
	combout => \led_flash_cnt[2622][7]~63600_combout\);

-- Location: FF_X35_Y38_N13
\led_flash_cnt[2622][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2622][7]~63600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2622][7]~q\);

-- Location: LCCOMB_X36_Y38_N28
\WideAnd2622~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2622~1_combout\ = (\led_flash_cnt[2622][6]~q\ & \led_flash_cnt[2622][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2622][6]~q\,
	datad => \led_flash_cnt[2622][5]~q\,
	combout => \WideAnd2622~1_combout\);

-- Location: LCCOMB_X35_Y38_N14
\WideAnd2622~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2622~0_combout\ = (\led_flash_cnt[2622][4]~q\ & (\led_flash_cnt[2622][1]~q\ & (\led_flash_cnt[2622][3]~q\ & \led_flash_cnt[2622][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2622][4]~q\,
	datab => \led_flash_cnt[2622][1]~q\,
	datac => \led_flash_cnt[2622][3]~q\,
	datad => \led_flash_cnt[2622][2]~q\,
	combout => \WideAnd2622~0_combout\);

-- Location: LCCOMB_X36_Y38_N24
WideAnd2622 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2622~combout\ = (\led_flash_cnt[2622][7]~q\ & (\WideAnd2622~1_combout\ & (\led_flash_cnt[2622][0]~q\ & \WideAnd2622~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2622][7]~q\,
	datab => \WideAnd2622~1_combout\,
	datac => \led_flash_cnt[2622][0]~q\,
	datad => \WideAnd2622~0_combout\,
	combout => \WideAnd2622~combout\);

-- Location: FF_X36_Y38_N25
\led_flash_cnt_ands[2622]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2622~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2622));

-- Location: LCCOMB_X32_Y36_N30
\led_flash_cnt[2618][0]~83258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2618][0]~83258_combout\ = !\led_flash_cnt[2618][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2618][0]~q\,
	combout => \led_flash_cnt[2618][0]~83258_combout\);

-- Location: FF_X32_Y36_N31
\led_flash_cnt[2618][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2618][0]~83258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2618][0]~q\);

-- Location: LCCOMB_X32_Y36_N2
\led_flash_cnt[2618][1]~63532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2618][1]~63532_combout\ = (\led_flash_cnt[2618][0]~q\ & (\led_flash_cnt[2618][1]~q\ $ (VCC))) # (!\led_flash_cnt[2618][0]~q\ & (\led_flash_cnt[2618][1]~q\ & VCC))
-- \led_flash_cnt[2618][1]~63533\ = CARRY((\led_flash_cnt[2618][0]~q\ & \led_flash_cnt[2618][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2618][0]~q\,
	datab => \led_flash_cnt[2618][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2618][1]~63532_combout\,
	cout => \led_flash_cnt[2618][1]~63533\);

-- Location: FF_X32_Y36_N3
\led_flash_cnt[2618][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2618][1]~63532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2618][1]~q\);

-- Location: LCCOMB_X32_Y36_N4
\led_flash_cnt[2618][2]~63534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2618][2]~63534_combout\ = (\led_flash_cnt[2618][2]~q\ & (!\led_flash_cnt[2618][1]~63533\)) # (!\led_flash_cnt[2618][2]~q\ & ((\led_flash_cnt[2618][1]~63533\) # (GND)))
-- \led_flash_cnt[2618][2]~63535\ = CARRY((!\led_flash_cnt[2618][1]~63533\) # (!\led_flash_cnt[2618][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2618][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2618][1]~63533\,
	combout => \led_flash_cnt[2618][2]~63534_combout\,
	cout => \led_flash_cnt[2618][2]~63535\);

-- Location: FF_X32_Y36_N5
\led_flash_cnt[2618][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2618][2]~63534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2618][2]~q\);

-- Location: LCCOMB_X32_Y36_N6
\led_flash_cnt[2618][3]~63536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2618][3]~63536_combout\ = (\led_flash_cnt[2618][3]~q\ & (\led_flash_cnt[2618][2]~63535\ $ (GND))) # (!\led_flash_cnt[2618][3]~q\ & (!\led_flash_cnt[2618][2]~63535\ & VCC))
-- \led_flash_cnt[2618][3]~63537\ = CARRY((\led_flash_cnt[2618][3]~q\ & !\led_flash_cnt[2618][2]~63535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2618][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2618][2]~63535\,
	combout => \led_flash_cnt[2618][3]~63536_combout\,
	cout => \led_flash_cnt[2618][3]~63537\);

-- Location: FF_X32_Y36_N7
\led_flash_cnt[2618][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2618][3]~63536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2618][3]~q\);

-- Location: LCCOMB_X32_Y36_N8
\led_flash_cnt[2618][4]~63538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2618][4]~63538_combout\ = (\led_flash_cnt[2618][4]~q\ & (!\led_flash_cnt[2618][3]~63537\)) # (!\led_flash_cnt[2618][4]~q\ & ((\led_flash_cnt[2618][3]~63537\) # (GND)))
-- \led_flash_cnt[2618][4]~63539\ = CARRY((!\led_flash_cnt[2618][3]~63537\) # (!\led_flash_cnt[2618][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2618][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2618][3]~63537\,
	combout => \led_flash_cnt[2618][4]~63538_combout\,
	cout => \led_flash_cnt[2618][4]~63539\);

-- Location: FF_X32_Y36_N9
\led_flash_cnt[2618][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2618][4]~63538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2618][4]~q\);

-- Location: LCCOMB_X32_Y36_N10
\led_flash_cnt[2618][5]~63540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2618][5]~63540_combout\ = (\led_flash_cnt[2618][5]~q\ & (\led_flash_cnt[2618][4]~63539\ $ (GND))) # (!\led_flash_cnt[2618][5]~q\ & (!\led_flash_cnt[2618][4]~63539\ & VCC))
-- \led_flash_cnt[2618][5]~63541\ = CARRY((\led_flash_cnt[2618][5]~q\ & !\led_flash_cnt[2618][4]~63539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2618][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2618][4]~63539\,
	combout => \led_flash_cnt[2618][5]~63540_combout\,
	cout => \led_flash_cnt[2618][5]~63541\);

-- Location: FF_X32_Y36_N11
\led_flash_cnt[2618][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2618][5]~63540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2618][5]~q\);

-- Location: LCCOMB_X32_Y36_N12
\led_flash_cnt[2618][6]~63542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2618][6]~63542_combout\ = (\led_flash_cnt[2618][6]~q\ & (!\led_flash_cnt[2618][5]~63541\)) # (!\led_flash_cnt[2618][6]~q\ & ((\led_flash_cnt[2618][5]~63541\) # (GND)))
-- \led_flash_cnt[2618][6]~63543\ = CARRY((!\led_flash_cnt[2618][5]~63541\) # (!\led_flash_cnt[2618][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2618][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2618][5]~63541\,
	combout => \led_flash_cnt[2618][6]~63542_combout\,
	cout => \led_flash_cnt[2618][6]~63543\);

-- Location: FF_X32_Y36_N13
\led_flash_cnt[2618][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2618][6]~63542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2618][6]~q\);

-- Location: LCCOMB_X32_Y36_N16
\WideAnd2618~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2618~1_combout\ = (\led_flash_cnt[2618][5]~q\ & \led_flash_cnt[2618][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2618][5]~q\,
	datad => \led_flash_cnt[2618][6]~q\,
	combout => \WideAnd2618~1_combout\);

-- Location: LCCOMB_X32_Y36_N14
\led_flash_cnt[2618][7]~63544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2618][7]~63544_combout\ = \led_flash_cnt[2618][7]~q\ $ (!\led_flash_cnt[2618][6]~63543\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2618][7]~q\,
	cin => \led_flash_cnt[2618][6]~63543\,
	combout => \led_flash_cnt[2618][7]~63544_combout\);

-- Location: FF_X32_Y36_N15
\led_flash_cnt[2618][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2618][7]~63544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2618][7]~q\);

-- Location: LCCOMB_X32_Y36_N18
\WideAnd2618~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2618~0_combout\ = (\led_flash_cnt[2618][3]~q\ & (\led_flash_cnt[2618][4]~q\ & (\led_flash_cnt[2618][2]~q\ & \led_flash_cnt[2618][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2618][3]~q\,
	datab => \led_flash_cnt[2618][4]~q\,
	datac => \led_flash_cnt[2618][2]~q\,
	datad => \led_flash_cnt[2618][1]~q\,
	combout => \WideAnd2618~0_combout\);

-- Location: LCCOMB_X32_Y36_N20
WideAnd2618 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2618~combout\ = (\led_flash_cnt[2618][0]~q\ & (\WideAnd2618~1_combout\ & (\led_flash_cnt[2618][7]~q\ & \WideAnd2618~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2618][0]~q\,
	datab => \WideAnd2618~1_combout\,
	datac => \led_flash_cnt[2618][7]~q\,
	datad => \WideAnd2618~0_combout\,
	combout => \WideAnd2618~combout\);

-- Location: FF_X32_Y36_N21
\led_flash_cnt_ands[2618]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2618~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2618));

-- Location: LCCOMB_X39_Y36_N6
\led_flash_cnt[2617][0]~83257\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2617][0]~83257_combout\ = !\led_flash_cnt[2617][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2617][0]~q\,
	combout => \led_flash_cnt[2617][0]~83257_combout\);

-- Location: FF_X39_Y36_N7
\led_flash_cnt[2617][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2617][0]~83257_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2617][0]~q\);

-- Location: LCCOMB_X40_Y36_N0
\led_flash_cnt[2617][1]~63518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2617][1]~63518_combout\ = (\led_flash_cnt[2617][0]~q\ & (\led_flash_cnt[2617][1]~q\ $ (VCC))) # (!\led_flash_cnt[2617][0]~q\ & (\led_flash_cnt[2617][1]~q\ & VCC))
-- \led_flash_cnt[2617][1]~63519\ = CARRY((\led_flash_cnt[2617][0]~q\ & \led_flash_cnt[2617][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2617][0]~q\,
	datab => \led_flash_cnt[2617][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2617][1]~63518_combout\,
	cout => \led_flash_cnt[2617][1]~63519\);

-- Location: FF_X40_Y36_N1
\led_flash_cnt[2617][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2617][1]~63518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2617][1]~q\);

-- Location: LCCOMB_X40_Y36_N2
\led_flash_cnt[2617][2]~63520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2617][2]~63520_combout\ = (\led_flash_cnt[2617][2]~q\ & (!\led_flash_cnt[2617][1]~63519\)) # (!\led_flash_cnt[2617][2]~q\ & ((\led_flash_cnt[2617][1]~63519\) # (GND)))
-- \led_flash_cnt[2617][2]~63521\ = CARRY((!\led_flash_cnt[2617][1]~63519\) # (!\led_flash_cnt[2617][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2617][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2617][1]~63519\,
	combout => \led_flash_cnt[2617][2]~63520_combout\,
	cout => \led_flash_cnt[2617][2]~63521\);

-- Location: FF_X40_Y36_N3
\led_flash_cnt[2617][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2617][2]~63520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2617][2]~q\);

-- Location: LCCOMB_X40_Y36_N4
\led_flash_cnt[2617][3]~63522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2617][3]~63522_combout\ = (\led_flash_cnt[2617][3]~q\ & (\led_flash_cnt[2617][2]~63521\ $ (GND))) # (!\led_flash_cnt[2617][3]~q\ & (!\led_flash_cnt[2617][2]~63521\ & VCC))
-- \led_flash_cnt[2617][3]~63523\ = CARRY((\led_flash_cnt[2617][3]~q\ & !\led_flash_cnt[2617][2]~63521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2617][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2617][2]~63521\,
	combout => \led_flash_cnt[2617][3]~63522_combout\,
	cout => \led_flash_cnt[2617][3]~63523\);

-- Location: FF_X40_Y36_N5
\led_flash_cnt[2617][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2617][3]~63522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2617][3]~q\);

-- Location: LCCOMB_X40_Y36_N6
\led_flash_cnt[2617][4]~63524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2617][4]~63524_combout\ = (\led_flash_cnt[2617][4]~q\ & (!\led_flash_cnt[2617][3]~63523\)) # (!\led_flash_cnt[2617][4]~q\ & ((\led_flash_cnt[2617][3]~63523\) # (GND)))
-- \led_flash_cnt[2617][4]~63525\ = CARRY((!\led_flash_cnt[2617][3]~63523\) # (!\led_flash_cnt[2617][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2617][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2617][3]~63523\,
	combout => \led_flash_cnt[2617][4]~63524_combout\,
	cout => \led_flash_cnt[2617][4]~63525\);

-- Location: FF_X40_Y36_N7
\led_flash_cnt[2617][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2617][4]~63524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2617][4]~q\);

-- Location: LCCOMB_X40_Y36_N8
\led_flash_cnt[2617][5]~63526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2617][5]~63526_combout\ = (\led_flash_cnt[2617][5]~q\ & (\led_flash_cnt[2617][4]~63525\ $ (GND))) # (!\led_flash_cnt[2617][5]~q\ & (!\led_flash_cnt[2617][4]~63525\ & VCC))
-- \led_flash_cnt[2617][5]~63527\ = CARRY((\led_flash_cnt[2617][5]~q\ & !\led_flash_cnt[2617][4]~63525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2617][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2617][4]~63525\,
	combout => \led_flash_cnt[2617][5]~63526_combout\,
	cout => \led_flash_cnt[2617][5]~63527\);

-- Location: FF_X40_Y36_N9
\led_flash_cnt[2617][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2617][5]~63526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2617][5]~q\);

-- Location: LCCOMB_X40_Y36_N10
\led_flash_cnt[2617][6]~63528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2617][6]~63528_combout\ = (\led_flash_cnt[2617][6]~q\ & (!\led_flash_cnt[2617][5]~63527\)) # (!\led_flash_cnt[2617][6]~q\ & ((\led_flash_cnt[2617][5]~63527\) # (GND)))
-- \led_flash_cnt[2617][6]~63529\ = CARRY((!\led_flash_cnt[2617][5]~63527\) # (!\led_flash_cnt[2617][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2617][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2617][5]~63527\,
	combout => \led_flash_cnt[2617][6]~63528_combout\,
	cout => \led_flash_cnt[2617][6]~63529\);

-- Location: FF_X40_Y36_N11
\led_flash_cnt[2617][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2617][6]~63528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2617][6]~q\);

-- Location: LCCOMB_X39_Y36_N26
\WideAnd2617~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2617~1_combout\ = (\led_flash_cnt[2617][5]~q\ & \led_flash_cnt[2617][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2617][5]~q\,
	datac => \led_flash_cnt[2617][6]~q\,
	combout => \WideAnd2617~1_combout\);

-- Location: LCCOMB_X40_Y36_N14
\WideAnd2617~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2617~0_combout\ = (\led_flash_cnt[2617][4]~q\ & (\led_flash_cnt[2617][1]~q\ & (\led_flash_cnt[2617][3]~q\ & \led_flash_cnt[2617][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2617][4]~q\,
	datab => \led_flash_cnt[2617][1]~q\,
	datac => \led_flash_cnt[2617][3]~q\,
	datad => \led_flash_cnt[2617][2]~q\,
	combout => \WideAnd2617~0_combout\);

-- Location: LCCOMB_X40_Y36_N12
\led_flash_cnt[2617][7]~63530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2617][7]~63530_combout\ = \led_flash_cnt[2617][6]~63529\ $ (!\led_flash_cnt[2617][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2617][7]~q\,
	cin => \led_flash_cnt[2617][6]~63529\,
	combout => \led_flash_cnt[2617][7]~63530_combout\);

-- Location: FF_X40_Y36_N13
\led_flash_cnt[2617][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2617][7]~63530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2617][7]~q\);

-- Location: LCCOMB_X39_Y36_N2
WideAnd2617 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2617~combout\ = (\WideAnd2617~1_combout\ & (\WideAnd2617~0_combout\ & (\led_flash_cnt[2617][7]~q\ & \led_flash_cnt[2617][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2617~1_combout\,
	datab => \WideAnd2617~0_combout\,
	datac => \led_flash_cnt[2617][7]~q\,
	datad => \led_flash_cnt[2617][0]~q\,
	combout => \WideAnd2617~combout\);

-- Location: FF_X39_Y36_N3
\led_flash_cnt_ands[2617]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2617~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2617));

-- Location: LCCOMB_X32_Y36_N24
\led_flash_cnt[2619][0]~83259\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2619][0]~83259_combout\ = !\led_flash_cnt[2619][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2619][0]~q\,
	combout => \led_flash_cnt[2619][0]~83259_combout\);

-- Location: FF_X32_Y36_N25
\led_flash_cnt[2619][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2619][0]~83259_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2619][0]~q\);

-- Location: LCCOMB_X31_Y36_N4
\led_flash_cnt[2619][1]~63546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2619][1]~63546_combout\ = (\led_flash_cnt[2619][1]~q\ & (\led_flash_cnt[2619][0]~q\ $ (VCC))) # (!\led_flash_cnt[2619][1]~q\ & (\led_flash_cnt[2619][0]~q\ & VCC))
-- \led_flash_cnt[2619][1]~63547\ = CARRY((\led_flash_cnt[2619][1]~q\ & \led_flash_cnt[2619][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2619][1]~q\,
	datab => \led_flash_cnt[2619][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2619][1]~63546_combout\,
	cout => \led_flash_cnt[2619][1]~63547\);

-- Location: FF_X31_Y36_N5
\led_flash_cnt[2619][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2619][1]~63546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2619][1]~q\);

-- Location: LCCOMB_X31_Y36_N6
\led_flash_cnt[2619][2]~63548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2619][2]~63548_combout\ = (\led_flash_cnt[2619][2]~q\ & (!\led_flash_cnt[2619][1]~63547\)) # (!\led_flash_cnt[2619][2]~q\ & ((\led_flash_cnt[2619][1]~63547\) # (GND)))
-- \led_flash_cnt[2619][2]~63549\ = CARRY((!\led_flash_cnt[2619][1]~63547\) # (!\led_flash_cnt[2619][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2619][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2619][1]~63547\,
	combout => \led_flash_cnt[2619][2]~63548_combout\,
	cout => \led_flash_cnt[2619][2]~63549\);

-- Location: FF_X31_Y36_N7
\led_flash_cnt[2619][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2619][2]~63548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2619][2]~q\);

-- Location: LCCOMB_X31_Y36_N8
\led_flash_cnt[2619][3]~63550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2619][3]~63550_combout\ = (\led_flash_cnt[2619][3]~q\ & (\led_flash_cnt[2619][2]~63549\ $ (GND))) # (!\led_flash_cnt[2619][3]~q\ & (!\led_flash_cnt[2619][2]~63549\ & VCC))
-- \led_flash_cnt[2619][3]~63551\ = CARRY((\led_flash_cnt[2619][3]~q\ & !\led_flash_cnt[2619][2]~63549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2619][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2619][2]~63549\,
	combout => \led_flash_cnt[2619][3]~63550_combout\,
	cout => \led_flash_cnt[2619][3]~63551\);

-- Location: FF_X31_Y36_N9
\led_flash_cnt[2619][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2619][3]~63550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2619][3]~q\);

-- Location: LCCOMB_X31_Y36_N10
\led_flash_cnt[2619][4]~63552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2619][4]~63552_combout\ = (\led_flash_cnt[2619][4]~q\ & (!\led_flash_cnt[2619][3]~63551\)) # (!\led_flash_cnt[2619][4]~q\ & ((\led_flash_cnt[2619][3]~63551\) # (GND)))
-- \led_flash_cnt[2619][4]~63553\ = CARRY((!\led_flash_cnt[2619][3]~63551\) # (!\led_flash_cnt[2619][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2619][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2619][3]~63551\,
	combout => \led_flash_cnt[2619][4]~63552_combout\,
	cout => \led_flash_cnt[2619][4]~63553\);

-- Location: FF_X31_Y36_N11
\led_flash_cnt[2619][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2619][4]~63552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2619][4]~q\);

-- Location: LCCOMB_X32_Y36_N26
\WideAnd2619~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2619~0_combout\ = (\led_flash_cnt[2619][4]~q\ & (\led_flash_cnt[2619][1]~q\ & (\led_flash_cnt[2619][2]~q\ & \led_flash_cnt[2619][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2619][4]~q\,
	datab => \led_flash_cnt[2619][1]~q\,
	datac => \led_flash_cnt[2619][2]~q\,
	datad => \led_flash_cnt[2619][3]~q\,
	combout => \WideAnd2619~0_combout\);

-- Location: LCCOMB_X31_Y36_N12
\led_flash_cnt[2619][5]~63554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2619][5]~63554_combout\ = (\led_flash_cnt[2619][5]~q\ & (\led_flash_cnt[2619][4]~63553\ $ (GND))) # (!\led_flash_cnt[2619][5]~q\ & (!\led_flash_cnt[2619][4]~63553\ & VCC))
-- \led_flash_cnt[2619][5]~63555\ = CARRY((\led_flash_cnt[2619][5]~q\ & !\led_flash_cnt[2619][4]~63553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2619][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2619][4]~63553\,
	combout => \led_flash_cnt[2619][5]~63554_combout\,
	cout => \led_flash_cnt[2619][5]~63555\);

-- Location: FF_X31_Y36_N13
\led_flash_cnt[2619][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2619][5]~63554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2619][5]~q\);

-- Location: LCCOMB_X31_Y36_N14
\led_flash_cnt[2619][6]~63556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2619][6]~63556_combout\ = (\led_flash_cnt[2619][6]~q\ & (!\led_flash_cnt[2619][5]~63555\)) # (!\led_flash_cnt[2619][6]~q\ & ((\led_flash_cnt[2619][5]~63555\) # (GND)))
-- \led_flash_cnt[2619][6]~63557\ = CARRY((!\led_flash_cnt[2619][5]~63555\) # (!\led_flash_cnt[2619][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2619][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2619][5]~63555\,
	combout => \led_flash_cnt[2619][6]~63556_combout\,
	cout => \led_flash_cnt[2619][6]~63557\);

-- Location: FF_X31_Y36_N15
\led_flash_cnt[2619][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2619][6]~63556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2619][6]~q\);

-- Location: LCCOMB_X32_Y36_N0
\WideAnd2619~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2619~1_combout\ = (\led_flash_cnt[2619][6]~q\ & \led_flash_cnt[2619][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2619][6]~q\,
	datad => \led_flash_cnt[2619][5]~q\,
	combout => \WideAnd2619~1_combout\);

-- Location: LCCOMB_X31_Y36_N16
\led_flash_cnt[2619][7]~63558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2619][7]~63558_combout\ = \led_flash_cnt[2619][6]~63557\ $ (!\led_flash_cnt[2619][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2619][7]~q\,
	cin => \led_flash_cnt[2619][6]~63557\,
	combout => \led_flash_cnt[2619][7]~63558_combout\);

-- Location: FF_X31_Y36_N17
\led_flash_cnt[2619][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2619][7]~63558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2619][7]~q\);

-- Location: LCCOMB_X32_Y36_N22
WideAnd2619 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2619~combout\ = (\WideAnd2619~0_combout\ & (\WideAnd2619~1_combout\ & (\led_flash_cnt[2619][7]~q\ & \led_flash_cnt[2619][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2619~0_combout\,
	datab => \WideAnd2619~1_combout\,
	datac => \led_flash_cnt[2619][7]~q\,
	datad => \led_flash_cnt[2619][0]~q\,
	combout => \WideAnd2619~combout\);

-- Location: FF_X32_Y36_N23
\led_flash_cnt_ands[2619]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2619~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2619));

-- Location: LCCOMB_X39_Y36_N4
\led_flash_cnt[2616][0]~83256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2616][0]~83256_combout\ = !\led_flash_cnt[2616][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2616][0]~q\,
	combout => \led_flash_cnt[2616][0]~83256_combout\);

-- Location: FF_X39_Y36_N5
\led_flash_cnt[2616][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2616][0]~83256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2616][0]~q\);

-- Location: LCCOMB_X39_Y36_N12
\led_flash_cnt[2616][1]~63504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2616][1]~63504_combout\ = (\led_flash_cnt[2616][1]~q\ & (\led_flash_cnt[2616][0]~q\ $ (VCC))) # (!\led_flash_cnt[2616][1]~q\ & (\led_flash_cnt[2616][0]~q\ & VCC))
-- \led_flash_cnt[2616][1]~63505\ = CARRY((\led_flash_cnt[2616][1]~q\ & \led_flash_cnt[2616][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2616][1]~q\,
	datab => \led_flash_cnt[2616][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2616][1]~63504_combout\,
	cout => \led_flash_cnt[2616][1]~63505\);

-- Location: FF_X39_Y36_N13
\led_flash_cnt[2616][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2616][1]~63504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2616][1]~q\);

-- Location: LCCOMB_X39_Y36_N14
\led_flash_cnt[2616][2]~63506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2616][2]~63506_combout\ = (\led_flash_cnt[2616][2]~q\ & (!\led_flash_cnt[2616][1]~63505\)) # (!\led_flash_cnt[2616][2]~q\ & ((\led_flash_cnt[2616][1]~63505\) # (GND)))
-- \led_flash_cnt[2616][2]~63507\ = CARRY((!\led_flash_cnt[2616][1]~63505\) # (!\led_flash_cnt[2616][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2616][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2616][1]~63505\,
	combout => \led_flash_cnt[2616][2]~63506_combout\,
	cout => \led_flash_cnt[2616][2]~63507\);

-- Location: FF_X39_Y36_N15
\led_flash_cnt[2616][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2616][2]~63506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2616][2]~q\);

-- Location: LCCOMB_X39_Y36_N16
\led_flash_cnt[2616][3]~63508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2616][3]~63508_combout\ = (\led_flash_cnt[2616][3]~q\ & (\led_flash_cnt[2616][2]~63507\ $ (GND))) # (!\led_flash_cnt[2616][3]~q\ & (!\led_flash_cnt[2616][2]~63507\ & VCC))
-- \led_flash_cnt[2616][3]~63509\ = CARRY((\led_flash_cnt[2616][3]~q\ & !\led_flash_cnt[2616][2]~63507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2616][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2616][2]~63507\,
	combout => \led_flash_cnt[2616][3]~63508_combout\,
	cout => \led_flash_cnt[2616][3]~63509\);

-- Location: FF_X39_Y36_N17
\led_flash_cnt[2616][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2616][3]~63508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2616][3]~q\);

-- Location: LCCOMB_X39_Y36_N18
\led_flash_cnt[2616][4]~63510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2616][4]~63510_combout\ = (\led_flash_cnt[2616][4]~q\ & (!\led_flash_cnt[2616][3]~63509\)) # (!\led_flash_cnt[2616][4]~q\ & ((\led_flash_cnt[2616][3]~63509\) # (GND)))
-- \led_flash_cnt[2616][4]~63511\ = CARRY((!\led_flash_cnt[2616][3]~63509\) # (!\led_flash_cnt[2616][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2616][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2616][3]~63509\,
	combout => \led_flash_cnt[2616][4]~63510_combout\,
	cout => \led_flash_cnt[2616][4]~63511\);

-- Location: FF_X39_Y36_N19
\led_flash_cnt[2616][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2616][4]~63510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2616][4]~q\);

-- Location: LCCOMB_X39_Y36_N20
\led_flash_cnt[2616][5]~63512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2616][5]~63512_combout\ = (\led_flash_cnt[2616][5]~q\ & (\led_flash_cnt[2616][4]~63511\ $ (GND))) # (!\led_flash_cnt[2616][5]~q\ & (!\led_flash_cnt[2616][4]~63511\ & VCC))
-- \led_flash_cnt[2616][5]~63513\ = CARRY((\led_flash_cnt[2616][5]~q\ & !\led_flash_cnt[2616][4]~63511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2616][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2616][4]~63511\,
	combout => \led_flash_cnt[2616][5]~63512_combout\,
	cout => \led_flash_cnt[2616][5]~63513\);

-- Location: FF_X39_Y36_N21
\led_flash_cnt[2616][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2616][5]~63512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2616][5]~q\);

-- Location: LCCOMB_X39_Y36_N22
\led_flash_cnt[2616][6]~63514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2616][6]~63514_combout\ = (\led_flash_cnt[2616][6]~q\ & (!\led_flash_cnt[2616][5]~63513\)) # (!\led_flash_cnt[2616][6]~q\ & ((\led_flash_cnt[2616][5]~63513\) # (GND)))
-- \led_flash_cnt[2616][6]~63515\ = CARRY((!\led_flash_cnt[2616][5]~63513\) # (!\led_flash_cnt[2616][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2616][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2616][5]~63513\,
	combout => \led_flash_cnt[2616][6]~63514_combout\,
	cout => \led_flash_cnt[2616][6]~63515\);

-- Location: FF_X39_Y36_N23
\led_flash_cnt[2616][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2616][6]~63514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2616][6]~q\);

-- Location: LCCOMB_X39_Y36_N30
\WideAnd2616~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2616~1_combout\ = (\led_flash_cnt[2616][6]~q\ & \led_flash_cnt[2616][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2616][6]~q\,
	datad => \led_flash_cnt[2616][5]~q\,
	combout => \WideAnd2616~1_combout\);

-- Location: LCCOMB_X39_Y36_N24
\led_flash_cnt[2616][7]~63516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2616][7]~63516_combout\ = \led_flash_cnt[2616][6]~63515\ $ (!\led_flash_cnt[2616][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2616][7]~q\,
	cin => \led_flash_cnt[2616][6]~63515\,
	combout => \led_flash_cnt[2616][7]~63516_combout\);

-- Location: FF_X39_Y36_N25
\led_flash_cnt[2616][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2616][7]~63516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2616][7]~q\);

-- Location: LCCOMB_X39_Y36_N28
\WideAnd2616~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2616~0_combout\ = (\led_flash_cnt[2616][4]~q\ & (\led_flash_cnt[2616][3]~q\ & (\led_flash_cnt[2616][2]~q\ & \led_flash_cnt[2616][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2616][4]~q\,
	datab => \led_flash_cnt[2616][3]~q\,
	datac => \led_flash_cnt[2616][2]~q\,
	datad => \led_flash_cnt[2616][1]~q\,
	combout => \WideAnd2616~0_combout\);

-- Location: LCCOMB_X39_Y36_N10
WideAnd2616 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2616~combout\ = (\WideAnd2616~1_combout\ & (\led_flash_cnt[2616][7]~q\ & (\led_flash_cnt[2616][0]~q\ & \WideAnd2616~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2616~1_combout\,
	datab => \led_flash_cnt[2616][7]~q\,
	datac => \led_flash_cnt[2616][0]~q\,
	datad => \WideAnd2616~0_combout\,
	combout => \WideAnd2616~combout\);

-- Location: FF_X39_Y36_N11
\led_flash_cnt_ands[2616]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2616~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2616));

-- Location: LCCOMB_X39_Y36_N8
\WideAnd4167~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4167~0_combout\ = (led_flash_cnt_ands(2618) & (led_flash_cnt_ands(2617) & (led_flash_cnt_ands(2619) & led_flash_cnt_ands(2616))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2618),
	datab => led_flash_cnt_ands(2617),
	datac => led_flash_cnt_ands(2619),
	datad => led_flash_cnt_ands(2616),
	combout => \WideAnd4167~0_combout\);

-- Location: LCCOMB_X32_Y38_N18
\led_flash_cnt[2621][0]~83261\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2621][0]~83261_combout\ = !\led_flash_cnt[2621][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2621][0]~q\,
	combout => \led_flash_cnt[2621][0]~83261_combout\);

-- Location: FF_X32_Y38_N19
\led_flash_cnt[2621][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2621][0]~83261_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2621][0]~q\);

-- Location: LCCOMB_X32_Y38_N2
\led_flash_cnt[2621][1]~63574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2621][1]~63574_combout\ = (\led_flash_cnt[2621][1]~q\ & (\led_flash_cnt[2621][0]~q\ $ (VCC))) # (!\led_flash_cnt[2621][1]~q\ & (\led_flash_cnt[2621][0]~q\ & VCC))
-- \led_flash_cnt[2621][1]~63575\ = CARRY((\led_flash_cnt[2621][1]~q\ & \led_flash_cnt[2621][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2621][1]~q\,
	datab => \led_flash_cnt[2621][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2621][1]~63574_combout\,
	cout => \led_flash_cnt[2621][1]~63575\);

-- Location: FF_X32_Y38_N3
\led_flash_cnt[2621][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2621][1]~63574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2621][1]~q\);

-- Location: LCCOMB_X32_Y38_N4
\led_flash_cnt[2621][2]~63576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2621][2]~63576_combout\ = (\led_flash_cnt[2621][2]~q\ & (!\led_flash_cnt[2621][1]~63575\)) # (!\led_flash_cnt[2621][2]~q\ & ((\led_flash_cnt[2621][1]~63575\) # (GND)))
-- \led_flash_cnt[2621][2]~63577\ = CARRY((!\led_flash_cnt[2621][1]~63575\) # (!\led_flash_cnt[2621][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2621][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2621][1]~63575\,
	combout => \led_flash_cnt[2621][2]~63576_combout\,
	cout => \led_flash_cnt[2621][2]~63577\);

-- Location: FF_X32_Y38_N5
\led_flash_cnt[2621][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2621][2]~63576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2621][2]~q\);

-- Location: LCCOMB_X32_Y38_N6
\led_flash_cnt[2621][3]~63578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2621][3]~63578_combout\ = (\led_flash_cnt[2621][3]~q\ & (\led_flash_cnt[2621][2]~63577\ $ (GND))) # (!\led_flash_cnt[2621][3]~q\ & (!\led_flash_cnt[2621][2]~63577\ & VCC))
-- \led_flash_cnt[2621][3]~63579\ = CARRY((\led_flash_cnt[2621][3]~q\ & !\led_flash_cnt[2621][2]~63577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2621][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2621][2]~63577\,
	combout => \led_flash_cnt[2621][3]~63578_combout\,
	cout => \led_flash_cnt[2621][3]~63579\);

-- Location: FF_X32_Y38_N7
\led_flash_cnt[2621][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2621][3]~63578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2621][3]~q\);

-- Location: LCCOMB_X32_Y38_N8
\led_flash_cnt[2621][4]~63580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2621][4]~63580_combout\ = (\led_flash_cnt[2621][4]~q\ & (!\led_flash_cnt[2621][3]~63579\)) # (!\led_flash_cnt[2621][4]~q\ & ((\led_flash_cnt[2621][3]~63579\) # (GND)))
-- \led_flash_cnt[2621][4]~63581\ = CARRY((!\led_flash_cnt[2621][3]~63579\) # (!\led_flash_cnt[2621][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2621][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2621][3]~63579\,
	combout => \led_flash_cnt[2621][4]~63580_combout\,
	cout => \led_flash_cnt[2621][4]~63581\);

-- Location: FF_X32_Y38_N9
\led_flash_cnt[2621][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2621][4]~63580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2621][4]~q\);

-- Location: LCCOMB_X32_Y38_N10
\led_flash_cnt[2621][5]~63582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2621][5]~63582_combout\ = (\led_flash_cnt[2621][5]~q\ & (\led_flash_cnt[2621][4]~63581\ $ (GND))) # (!\led_flash_cnt[2621][5]~q\ & (!\led_flash_cnt[2621][4]~63581\ & VCC))
-- \led_flash_cnt[2621][5]~63583\ = CARRY((\led_flash_cnt[2621][5]~q\ & !\led_flash_cnt[2621][4]~63581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2621][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2621][4]~63581\,
	combout => \led_flash_cnt[2621][5]~63582_combout\,
	cout => \led_flash_cnt[2621][5]~63583\);

-- Location: FF_X32_Y38_N11
\led_flash_cnt[2621][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2621][5]~63582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2621][5]~q\);

-- Location: LCCOMB_X32_Y38_N12
\led_flash_cnt[2621][6]~63584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2621][6]~63584_combout\ = (\led_flash_cnt[2621][6]~q\ & (!\led_flash_cnt[2621][5]~63583\)) # (!\led_flash_cnt[2621][6]~q\ & ((\led_flash_cnt[2621][5]~63583\) # (GND)))
-- \led_flash_cnt[2621][6]~63585\ = CARRY((!\led_flash_cnt[2621][5]~63583\) # (!\led_flash_cnt[2621][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2621][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2621][5]~63583\,
	combout => \led_flash_cnt[2621][6]~63584_combout\,
	cout => \led_flash_cnt[2621][6]~63585\);

-- Location: FF_X32_Y38_N13
\led_flash_cnt[2621][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2621][6]~63584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2621][6]~q\);

-- Location: LCCOMB_X32_Y38_N26
\WideAnd2621~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2621~1_combout\ = (\led_flash_cnt[2621][6]~q\ & \led_flash_cnt[2621][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2621][6]~q\,
	datad => \led_flash_cnt[2621][5]~q\,
	combout => \WideAnd2621~1_combout\);

-- Location: LCCOMB_X32_Y38_N20
\WideAnd2621~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2621~0_combout\ = (\led_flash_cnt[2621][3]~q\ & (\led_flash_cnt[2621][4]~q\ & (\led_flash_cnt[2621][2]~q\ & \led_flash_cnt[2621][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2621][3]~q\,
	datab => \led_flash_cnt[2621][4]~q\,
	datac => \led_flash_cnt[2621][2]~q\,
	datad => \led_flash_cnt[2621][1]~q\,
	combout => \WideAnd2621~0_combout\);

-- Location: LCCOMB_X32_Y38_N14
\led_flash_cnt[2621][7]~63586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2621][7]~63586_combout\ = \led_flash_cnt[2621][7]~q\ $ (!\led_flash_cnt[2621][6]~63585\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2621][7]~q\,
	cin => \led_flash_cnt[2621][6]~63585\,
	combout => \led_flash_cnt[2621][7]~63586_combout\);

-- Location: FF_X32_Y38_N15
\led_flash_cnt[2621][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2621][7]~63586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2621][7]~q\);

-- Location: LCCOMB_X32_Y38_N30
WideAnd2621 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2621~combout\ = (\WideAnd2621~1_combout\ & (\WideAnd2621~0_combout\ & (\led_flash_cnt[2621][7]~q\ & \led_flash_cnt[2621][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2621~1_combout\,
	datab => \WideAnd2621~0_combout\,
	datac => \led_flash_cnt[2621][7]~q\,
	datad => \led_flash_cnt[2621][0]~q\,
	combout => \WideAnd2621~combout\);

-- Location: FF_X32_Y38_N31
\led_flash_cnt_ands[2621]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2621~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2621));

-- Location: LCCOMB_X32_Y38_N24
\led_flash_cnt[2620][0]~83260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2620][0]~83260_combout\ = !\led_flash_cnt[2620][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2620][0]~q\,
	combout => \led_flash_cnt[2620][0]~83260_combout\);

-- Location: FF_X32_Y38_N25
\led_flash_cnt[2620][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2620][0]~83260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2620][0]~q\);

-- Location: LCCOMB_X31_Y38_N16
\led_flash_cnt[2620][1]~63560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2620][1]~63560_combout\ = (\led_flash_cnt[2620][1]~q\ & (\led_flash_cnt[2620][0]~q\ $ (VCC))) # (!\led_flash_cnt[2620][1]~q\ & (\led_flash_cnt[2620][0]~q\ & VCC))
-- \led_flash_cnt[2620][1]~63561\ = CARRY((\led_flash_cnt[2620][1]~q\ & \led_flash_cnt[2620][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2620][1]~q\,
	datab => \led_flash_cnt[2620][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2620][1]~63560_combout\,
	cout => \led_flash_cnt[2620][1]~63561\);

-- Location: FF_X31_Y38_N17
\led_flash_cnt[2620][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2620][1]~63560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2620][1]~q\);

-- Location: LCCOMB_X31_Y38_N18
\led_flash_cnt[2620][2]~63562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2620][2]~63562_combout\ = (\led_flash_cnt[2620][2]~q\ & (!\led_flash_cnt[2620][1]~63561\)) # (!\led_flash_cnt[2620][2]~q\ & ((\led_flash_cnt[2620][1]~63561\) # (GND)))
-- \led_flash_cnt[2620][2]~63563\ = CARRY((!\led_flash_cnt[2620][1]~63561\) # (!\led_flash_cnt[2620][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2620][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2620][1]~63561\,
	combout => \led_flash_cnt[2620][2]~63562_combout\,
	cout => \led_flash_cnt[2620][2]~63563\);

-- Location: FF_X31_Y38_N19
\led_flash_cnt[2620][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2620][2]~63562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2620][2]~q\);

-- Location: LCCOMB_X31_Y38_N20
\led_flash_cnt[2620][3]~63564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2620][3]~63564_combout\ = (\led_flash_cnt[2620][3]~q\ & (\led_flash_cnt[2620][2]~63563\ $ (GND))) # (!\led_flash_cnt[2620][3]~q\ & (!\led_flash_cnt[2620][2]~63563\ & VCC))
-- \led_flash_cnt[2620][3]~63565\ = CARRY((\led_flash_cnt[2620][3]~q\ & !\led_flash_cnt[2620][2]~63563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2620][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2620][2]~63563\,
	combout => \led_flash_cnt[2620][3]~63564_combout\,
	cout => \led_flash_cnt[2620][3]~63565\);

-- Location: FF_X31_Y38_N21
\led_flash_cnt[2620][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2620][3]~63564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2620][3]~q\);

-- Location: LCCOMB_X31_Y38_N22
\led_flash_cnt[2620][4]~63566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2620][4]~63566_combout\ = (\led_flash_cnt[2620][4]~q\ & (!\led_flash_cnt[2620][3]~63565\)) # (!\led_flash_cnt[2620][4]~q\ & ((\led_flash_cnt[2620][3]~63565\) # (GND)))
-- \led_flash_cnt[2620][4]~63567\ = CARRY((!\led_flash_cnt[2620][3]~63565\) # (!\led_flash_cnt[2620][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2620][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2620][3]~63565\,
	combout => \led_flash_cnt[2620][4]~63566_combout\,
	cout => \led_flash_cnt[2620][4]~63567\);

-- Location: FF_X31_Y38_N23
\led_flash_cnt[2620][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2620][4]~63566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2620][4]~q\);

-- Location: LCCOMB_X31_Y38_N14
\WideAnd2620~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2620~0_combout\ = (\led_flash_cnt[2620][1]~q\ & (\led_flash_cnt[2620][2]~q\ & (\led_flash_cnt[2620][4]~q\ & \led_flash_cnt[2620][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2620][1]~q\,
	datab => \led_flash_cnt[2620][2]~q\,
	datac => \led_flash_cnt[2620][4]~q\,
	datad => \led_flash_cnt[2620][3]~q\,
	combout => \WideAnd2620~0_combout\);

-- Location: LCCOMB_X31_Y38_N24
\led_flash_cnt[2620][5]~63568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2620][5]~63568_combout\ = (\led_flash_cnt[2620][5]~q\ & (\led_flash_cnt[2620][4]~63567\ $ (GND))) # (!\led_flash_cnt[2620][5]~q\ & (!\led_flash_cnt[2620][4]~63567\ & VCC))
-- \led_flash_cnt[2620][5]~63569\ = CARRY((\led_flash_cnt[2620][5]~q\ & !\led_flash_cnt[2620][4]~63567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2620][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2620][4]~63567\,
	combout => \led_flash_cnt[2620][5]~63568_combout\,
	cout => \led_flash_cnt[2620][5]~63569\);

-- Location: FF_X31_Y38_N25
\led_flash_cnt[2620][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2620][5]~63568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2620][5]~q\);

-- Location: LCCOMB_X31_Y38_N26
\led_flash_cnt[2620][6]~63570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2620][6]~63570_combout\ = (\led_flash_cnt[2620][6]~q\ & (!\led_flash_cnt[2620][5]~63569\)) # (!\led_flash_cnt[2620][6]~q\ & ((\led_flash_cnt[2620][5]~63569\) # (GND)))
-- \led_flash_cnt[2620][6]~63571\ = CARRY((!\led_flash_cnt[2620][5]~63569\) # (!\led_flash_cnt[2620][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2620][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2620][5]~63569\,
	combout => \led_flash_cnt[2620][6]~63570_combout\,
	cout => \led_flash_cnt[2620][6]~63571\);

-- Location: FF_X31_Y38_N27
\led_flash_cnt[2620][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2620][6]~63570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2620][6]~q\);

-- Location: LCCOMB_X31_Y38_N28
\led_flash_cnt[2620][7]~63572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2620][7]~63572_combout\ = \led_flash_cnt[2620][6]~63571\ $ (!\led_flash_cnt[2620][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2620][7]~q\,
	cin => \led_flash_cnt[2620][6]~63571\,
	combout => \led_flash_cnt[2620][7]~63572_combout\);

-- Location: FF_X31_Y38_N29
\led_flash_cnt[2620][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2620][7]~63572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2620][7]~q\);

-- Location: LCCOMB_X32_Y38_N22
\WideAnd2620~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2620~1_combout\ = (\led_flash_cnt[2620][6]~q\ & \led_flash_cnt[2620][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2620][6]~q\,
	datad => \led_flash_cnt[2620][5]~q\,
	combout => \WideAnd2620~1_combout\);

-- Location: LCCOMB_X32_Y38_N16
WideAnd2620 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2620~combout\ = (\WideAnd2620~0_combout\ & (\led_flash_cnt[2620][7]~q\ & (\WideAnd2620~1_combout\ & \led_flash_cnt[2620][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2620~0_combout\,
	datab => \led_flash_cnt[2620][7]~q\,
	datac => \WideAnd2620~1_combout\,
	datad => \led_flash_cnt[2620][0]~q\,
	combout => \WideAnd2620~combout\);

-- Location: FF_X32_Y38_N17
\led_flash_cnt_ands[2620]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2620~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2620));

-- Location: LCCOMB_X32_Y38_N28
\WideAnd4167~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4167~1_combout\ = (led_flash_cnt_ands(2621) & led_flash_cnt_ands(2620))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2621),
	datad => led_flash_cnt_ands(2620),
	combout => \WideAnd4167~1_combout\);

-- Location: LCCOMB_X38_Y38_N0
\led_flash_cnt[2623][0]~83263\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2623][0]~83263_combout\ = !\led_flash_cnt[2623][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2623][0]~q\,
	combout => \led_flash_cnt[2623][0]~83263_combout\);

-- Location: FF_X38_Y38_N1
\led_flash_cnt[2623][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2623][0]~83263_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2623][0]~q\);

-- Location: LCCOMB_X38_Y38_N6
\led_flash_cnt[2623][1]~63602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2623][1]~63602_combout\ = (\led_flash_cnt[2623][1]~q\ & (\led_flash_cnt[2623][0]~q\ $ (VCC))) # (!\led_flash_cnt[2623][1]~q\ & (\led_flash_cnt[2623][0]~q\ & VCC))
-- \led_flash_cnt[2623][1]~63603\ = CARRY((\led_flash_cnt[2623][1]~q\ & \led_flash_cnt[2623][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2623][1]~q\,
	datab => \led_flash_cnt[2623][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2623][1]~63602_combout\,
	cout => \led_flash_cnt[2623][1]~63603\);

-- Location: FF_X38_Y38_N7
\led_flash_cnt[2623][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2623][1]~63602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2623][1]~q\);

-- Location: LCCOMB_X38_Y38_N8
\led_flash_cnt[2623][2]~63604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2623][2]~63604_combout\ = (\led_flash_cnt[2623][2]~q\ & (!\led_flash_cnt[2623][1]~63603\)) # (!\led_flash_cnt[2623][2]~q\ & ((\led_flash_cnt[2623][1]~63603\) # (GND)))
-- \led_flash_cnt[2623][2]~63605\ = CARRY((!\led_flash_cnt[2623][1]~63603\) # (!\led_flash_cnt[2623][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2623][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2623][1]~63603\,
	combout => \led_flash_cnt[2623][2]~63604_combout\,
	cout => \led_flash_cnt[2623][2]~63605\);

-- Location: FF_X38_Y38_N9
\led_flash_cnt[2623][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2623][2]~63604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2623][2]~q\);

-- Location: LCCOMB_X38_Y38_N10
\led_flash_cnt[2623][3]~63606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2623][3]~63606_combout\ = (\led_flash_cnt[2623][3]~q\ & (\led_flash_cnt[2623][2]~63605\ $ (GND))) # (!\led_flash_cnt[2623][3]~q\ & (!\led_flash_cnt[2623][2]~63605\ & VCC))
-- \led_flash_cnt[2623][3]~63607\ = CARRY((\led_flash_cnt[2623][3]~q\ & !\led_flash_cnt[2623][2]~63605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2623][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2623][2]~63605\,
	combout => \led_flash_cnt[2623][3]~63606_combout\,
	cout => \led_flash_cnt[2623][3]~63607\);

-- Location: FF_X38_Y38_N11
\led_flash_cnt[2623][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2623][3]~63606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2623][3]~q\);

-- Location: LCCOMB_X38_Y38_N12
\led_flash_cnt[2623][4]~63608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2623][4]~63608_combout\ = (\led_flash_cnt[2623][4]~q\ & (!\led_flash_cnt[2623][3]~63607\)) # (!\led_flash_cnt[2623][4]~q\ & ((\led_flash_cnt[2623][3]~63607\) # (GND)))
-- \led_flash_cnt[2623][4]~63609\ = CARRY((!\led_flash_cnt[2623][3]~63607\) # (!\led_flash_cnt[2623][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2623][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2623][3]~63607\,
	combout => \led_flash_cnt[2623][4]~63608_combout\,
	cout => \led_flash_cnt[2623][4]~63609\);

-- Location: FF_X38_Y38_N13
\led_flash_cnt[2623][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2623][4]~63608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2623][4]~q\);

-- Location: LCCOMB_X38_Y38_N22
\WideAnd2623~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2623~0_combout\ = (\led_flash_cnt[2623][4]~q\ & (\led_flash_cnt[2623][1]~q\ & (\led_flash_cnt[2623][2]~q\ & \led_flash_cnt[2623][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2623][4]~q\,
	datab => \led_flash_cnt[2623][1]~q\,
	datac => \led_flash_cnt[2623][2]~q\,
	datad => \led_flash_cnt[2623][3]~q\,
	combout => \WideAnd2623~0_combout\);

-- Location: LCCOMB_X38_Y38_N14
\led_flash_cnt[2623][5]~63610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2623][5]~63610_combout\ = (\led_flash_cnt[2623][5]~q\ & (\led_flash_cnt[2623][4]~63609\ $ (GND))) # (!\led_flash_cnt[2623][5]~q\ & (!\led_flash_cnt[2623][4]~63609\ & VCC))
-- \led_flash_cnt[2623][5]~63611\ = CARRY((\led_flash_cnt[2623][5]~q\ & !\led_flash_cnt[2623][4]~63609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2623][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2623][4]~63609\,
	combout => \led_flash_cnt[2623][5]~63610_combout\,
	cout => \led_flash_cnt[2623][5]~63611\);

-- Location: FF_X38_Y38_N15
\led_flash_cnt[2623][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2623][5]~63610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2623][5]~q\);

-- Location: LCCOMB_X38_Y38_N16
\led_flash_cnt[2623][6]~63612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2623][6]~63612_combout\ = (\led_flash_cnt[2623][6]~q\ & (!\led_flash_cnt[2623][5]~63611\)) # (!\led_flash_cnt[2623][6]~q\ & ((\led_flash_cnt[2623][5]~63611\) # (GND)))
-- \led_flash_cnt[2623][6]~63613\ = CARRY((!\led_flash_cnt[2623][5]~63611\) # (!\led_flash_cnt[2623][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2623][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2623][5]~63611\,
	combout => \led_flash_cnt[2623][6]~63612_combout\,
	cout => \led_flash_cnt[2623][6]~63613\);

-- Location: FF_X38_Y38_N17
\led_flash_cnt[2623][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2623][6]~63612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2623][6]~q\);

-- Location: LCCOMB_X38_Y38_N4
\WideAnd2623~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2623~1_combout\ = (\led_flash_cnt[2623][5]~q\ & \led_flash_cnt[2623][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2623][5]~q\,
	datad => \led_flash_cnt[2623][6]~q\,
	combout => \WideAnd2623~1_combout\);

-- Location: LCCOMB_X38_Y38_N18
\led_flash_cnt[2623][7]~63614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2623][7]~63614_combout\ = \led_flash_cnt[2623][6]~63613\ $ (!\led_flash_cnt[2623][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2623][7]~q\,
	cin => \led_flash_cnt[2623][6]~63613\,
	combout => \led_flash_cnt[2623][7]~63614_combout\);

-- Location: FF_X38_Y38_N19
\led_flash_cnt[2623][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2623][7]~63614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2623][7]~q\);

-- Location: LCCOMB_X38_Y38_N28
WideAnd2623 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2623~combout\ = (\WideAnd2623~0_combout\ & (\led_flash_cnt[2623][0]~q\ & (\WideAnd2623~1_combout\ & \led_flash_cnt[2623][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2623~0_combout\,
	datab => \led_flash_cnt[2623][0]~q\,
	datac => \WideAnd2623~1_combout\,
	datad => \led_flash_cnt[2623][7]~q\,
	combout => \WideAnd2623~combout\);

-- Location: FF_X38_Y38_N29
\led_flash_cnt_ands[2623]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2623~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2623));

-- Location: LCCOMB_X39_Y38_N2
WideAnd4167 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4167~combout\ = (led_flash_cnt_ands(2622) & (\WideAnd4167~0_combout\ & (\WideAnd4167~1_combout\ & led_flash_cnt_ands(2623))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2622),
	datab => \WideAnd4167~0_combout\,
	datac => \WideAnd4167~1_combout\,
	datad => led_flash_cnt_ands(2623),
	combout => \WideAnd4167~combout\);

-- Location: FF_X39_Y38_N3
\led_flash_cnt_ands_1[327]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4167~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(327));

-- Location: LCCOMB_X41_Y36_N16
\led_flash_cnt[2615][0]~83255\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2615][0]~83255_combout\ = !\led_flash_cnt[2615][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2615][0]~q\,
	combout => \led_flash_cnt[2615][0]~83255_combout\);

-- Location: FF_X41_Y36_N17
\led_flash_cnt[2615][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2615][0]~83255_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2615][0]~q\);

-- Location: LCCOMB_X41_Y35_N14
\led_flash_cnt[2615][1]~63490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2615][1]~63490_combout\ = (\led_flash_cnt[2615][0]~q\ & (\led_flash_cnt[2615][1]~q\ $ (VCC))) # (!\led_flash_cnt[2615][0]~q\ & (\led_flash_cnt[2615][1]~q\ & VCC))
-- \led_flash_cnt[2615][1]~63491\ = CARRY((\led_flash_cnt[2615][0]~q\ & \led_flash_cnt[2615][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2615][0]~q\,
	datab => \led_flash_cnt[2615][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2615][1]~63490_combout\,
	cout => \led_flash_cnt[2615][1]~63491\);

-- Location: FF_X41_Y35_N15
\led_flash_cnt[2615][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2615][1]~63490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2615][1]~q\);

-- Location: LCCOMB_X41_Y35_N16
\led_flash_cnt[2615][2]~63492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2615][2]~63492_combout\ = (\led_flash_cnt[2615][2]~q\ & (!\led_flash_cnt[2615][1]~63491\)) # (!\led_flash_cnt[2615][2]~q\ & ((\led_flash_cnt[2615][1]~63491\) # (GND)))
-- \led_flash_cnt[2615][2]~63493\ = CARRY((!\led_flash_cnt[2615][1]~63491\) # (!\led_flash_cnt[2615][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2615][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2615][1]~63491\,
	combout => \led_flash_cnt[2615][2]~63492_combout\,
	cout => \led_flash_cnt[2615][2]~63493\);

-- Location: FF_X41_Y35_N17
\led_flash_cnt[2615][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2615][2]~63492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2615][2]~q\);

-- Location: LCCOMB_X41_Y35_N18
\led_flash_cnt[2615][3]~63494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2615][3]~63494_combout\ = (\led_flash_cnt[2615][3]~q\ & (\led_flash_cnt[2615][2]~63493\ $ (GND))) # (!\led_flash_cnt[2615][3]~q\ & (!\led_flash_cnt[2615][2]~63493\ & VCC))
-- \led_flash_cnt[2615][3]~63495\ = CARRY((\led_flash_cnt[2615][3]~q\ & !\led_flash_cnt[2615][2]~63493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2615][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2615][2]~63493\,
	combout => \led_flash_cnt[2615][3]~63494_combout\,
	cout => \led_flash_cnt[2615][3]~63495\);

-- Location: FF_X41_Y35_N19
\led_flash_cnt[2615][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2615][3]~63494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2615][3]~q\);

-- Location: LCCOMB_X41_Y35_N20
\led_flash_cnt[2615][4]~63496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2615][4]~63496_combout\ = (\led_flash_cnt[2615][4]~q\ & (!\led_flash_cnt[2615][3]~63495\)) # (!\led_flash_cnt[2615][4]~q\ & ((\led_flash_cnt[2615][3]~63495\) # (GND)))
-- \led_flash_cnt[2615][4]~63497\ = CARRY((!\led_flash_cnt[2615][3]~63495\) # (!\led_flash_cnt[2615][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2615][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2615][3]~63495\,
	combout => \led_flash_cnt[2615][4]~63496_combout\,
	cout => \led_flash_cnt[2615][4]~63497\);

-- Location: FF_X41_Y35_N21
\led_flash_cnt[2615][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2615][4]~63496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2615][4]~q\);

-- Location: LCCOMB_X41_Y35_N28
\WideAnd2615~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2615~0_combout\ = (\led_flash_cnt[2615][2]~q\ & (\led_flash_cnt[2615][3]~q\ & (\led_flash_cnt[2615][1]~q\ & \led_flash_cnt[2615][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2615][2]~q\,
	datab => \led_flash_cnt[2615][3]~q\,
	datac => \led_flash_cnt[2615][1]~q\,
	datad => \led_flash_cnt[2615][4]~q\,
	combout => \WideAnd2615~0_combout\);

-- Location: LCCOMB_X41_Y35_N22
\led_flash_cnt[2615][5]~63498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2615][5]~63498_combout\ = (\led_flash_cnt[2615][5]~q\ & (\led_flash_cnt[2615][4]~63497\ $ (GND))) # (!\led_flash_cnt[2615][5]~q\ & (!\led_flash_cnt[2615][4]~63497\ & VCC))
-- \led_flash_cnt[2615][5]~63499\ = CARRY((\led_flash_cnt[2615][5]~q\ & !\led_flash_cnt[2615][4]~63497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2615][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2615][4]~63497\,
	combout => \led_flash_cnt[2615][5]~63498_combout\,
	cout => \led_flash_cnt[2615][5]~63499\);

-- Location: FF_X41_Y35_N23
\led_flash_cnt[2615][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2615][5]~63498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2615][5]~q\);

-- Location: LCCOMB_X41_Y35_N24
\led_flash_cnt[2615][6]~63500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2615][6]~63500_combout\ = (\led_flash_cnt[2615][6]~q\ & (!\led_flash_cnt[2615][5]~63499\)) # (!\led_flash_cnt[2615][6]~q\ & ((\led_flash_cnt[2615][5]~63499\) # (GND)))
-- \led_flash_cnt[2615][6]~63501\ = CARRY((!\led_flash_cnt[2615][5]~63499\) # (!\led_flash_cnt[2615][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2615][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2615][5]~63499\,
	combout => \led_flash_cnt[2615][6]~63500_combout\,
	cout => \led_flash_cnt[2615][6]~63501\);

-- Location: FF_X41_Y35_N25
\led_flash_cnt[2615][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2615][6]~63500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2615][6]~q\);

-- Location: LCCOMB_X41_Y35_N26
\led_flash_cnt[2615][7]~63502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2615][7]~63502_combout\ = \led_flash_cnt[2615][7]~q\ $ (!\led_flash_cnt[2615][6]~63501\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2615][7]~q\,
	cin => \led_flash_cnt[2615][6]~63501\,
	combout => \led_flash_cnt[2615][7]~63502_combout\);

-- Location: FF_X41_Y35_N27
\led_flash_cnt[2615][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2615][7]~63502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2615][7]~q\);

-- Location: LCCOMB_X42_Y35_N26
\WideAnd2615~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2615~1_combout\ = (\led_flash_cnt[2615][6]~q\ & \led_flash_cnt[2615][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2615][6]~q\,
	datad => \led_flash_cnt[2615][5]~q\,
	combout => \WideAnd2615~1_combout\);

-- Location: LCCOMB_X41_Y35_N30
WideAnd2615 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2615~combout\ = (\led_flash_cnt[2615][0]~q\ & (\WideAnd2615~0_combout\ & (\led_flash_cnt[2615][7]~q\ & \WideAnd2615~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2615][0]~q\,
	datab => \WideAnd2615~0_combout\,
	datac => \led_flash_cnt[2615][7]~q\,
	datad => \WideAnd2615~1_combout\,
	combout => \WideAnd2615~combout\);

-- Location: FF_X41_Y35_N31
\led_flash_cnt_ands[2615]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2615~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2615));

-- Location: LCCOMB_X41_Y33_N0
\led_flash_cnt[2613][0]~83253\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2613][0]~83253_combout\ = !\led_flash_cnt[2613][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2613][0]~q\,
	combout => \led_flash_cnt[2613][0]~83253_combout\);

-- Location: FF_X41_Y33_N1
\led_flash_cnt[2613][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2613][0]~83253_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2613][0]~q\);

-- Location: LCCOMB_X41_Y33_N10
\led_flash_cnt[2613][1]~63462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2613][1]~63462_combout\ = (\led_flash_cnt[2613][1]~q\ & (\led_flash_cnt[2613][0]~q\ $ (VCC))) # (!\led_flash_cnt[2613][1]~q\ & (\led_flash_cnt[2613][0]~q\ & VCC))
-- \led_flash_cnt[2613][1]~63463\ = CARRY((\led_flash_cnt[2613][1]~q\ & \led_flash_cnt[2613][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2613][1]~q\,
	datab => \led_flash_cnt[2613][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2613][1]~63462_combout\,
	cout => \led_flash_cnt[2613][1]~63463\);

-- Location: FF_X41_Y33_N11
\led_flash_cnt[2613][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2613][1]~63462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2613][1]~q\);

-- Location: LCCOMB_X41_Y33_N12
\led_flash_cnt[2613][2]~63464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2613][2]~63464_combout\ = (\led_flash_cnt[2613][2]~q\ & (!\led_flash_cnt[2613][1]~63463\)) # (!\led_flash_cnt[2613][2]~q\ & ((\led_flash_cnt[2613][1]~63463\) # (GND)))
-- \led_flash_cnt[2613][2]~63465\ = CARRY((!\led_flash_cnt[2613][1]~63463\) # (!\led_flash_cnt[2613][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2613][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2613][1]~63463\,
	combout => \led_flash_cnt[2613][2]~63464_combout\,
	cout => \led_flash_cnt[2613][2]~63465\);

-- Location: FF_X41_Y33_N13
\led_flash_cnt[2613][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2613][2]~63464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2613][2]~q\);

-- Location: LCCOMB_X41_Y33_N14
\led_flash_cnt[2613][3]~63466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2613][3]~63466_combout\ = (\led_flash_cnt[2613][3]~q\ & (\led_flash_cnt[2613][2]~63465\ $ (GND))) # (!\led_flash_cnt[2613][3]~q\ & (!\led_flash_cnt[2613][2]~63465\ & VCC))
-- \led_flash_cnt[2613][3]~63467\ = CARRY((\led_flash_cnt[2613][3]~q\ & !\led_flash_cnt[2613][2]~63465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2613][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2613][2]~63465\,
	combout => \led_flash_cnt[2613][3]~63466_combout\,
	cout => \led_flash_cnt[2613][3]~63467\);

-- Location: FF_X41_Y33_N15
\led_flash_cnt[2613][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2613][3]~63466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2613][3]~q\);

-- Location: LCCOMB_X41_Y33_N16
\led_flash_cnt[2613][4]~63468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2613][4]~63468_combout\ = (\led_flash_cnt[2613][4]~q\ & (!\led_flash_cnt[2613][3]~63467\)) # (!\led_flash_cnt[2613][4]~q\ & ((\led_flash_cnt[2613][3]~63467\) # (GND)))
-- \led_flash_cnt[2613][4]~63469\ = CARRY((!\led_flash_cnt[2613][3]~63467\) # (!\led_flash_cnt[2613][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2613][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2613][3]~63467\,
	combout => \led_flash_cnt[2613][4]~63468_combout\,
	cout => \led_flash_cnt[2613][4]~63469\);

-- Location: FF_X41_Y33_N17
\led_flash_cnt[2613][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2613][4]~63468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2613][4]~q\);

-- Location: LCCOMB_X41_Y33_N18
\led_flash_cnt[2613][5]~63470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2613][5]~63470_combout\ = (\led_flash_cnt[2613][5]~q\ & (\led_flash_cnt[2613][4]~63469\ $ (GND))) # (!\led_flash_cnt[2613][5]~q\ & (!\led_flash_cnt[2613][4]~63469\ & VCC))
-- \led_flash_cnt[2613][5]~63471\ = CARRY((\led_flash_cnt[2613][5]~q\ & !\led_flash_cnt[2613][4]~63469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2613][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2613][4]~63469\,
	combout => \led_flash_cnt[2613][5]~63470_combout\,
	cout => \led_flash_cnt[2613][5]~63471\);

-- Location: FF_X41_Y33_N19
\led_flash_cnt[2613][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2613][5]~63470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2613][5]~q\);

-- Location: LCCOMB_X41_Y33_N20
\led_flash_cnt[2613][6]~63472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2613][6]~63472_combout\ = (\led_flash_cnt[2613][6]~q\ & (!\led_flash_cnt[2613][5]~63471\)) # (!\led_flash_cnt[2613][6]~q\ & ((\led_flash_cnt[2613][5]~63471\) # (GND)))
-- \led_flash_cnt[2613][6]~63473\ = CARRY((!\led_flash_cnt[2613][5]~63471\) # (!\led_flash_cnt[2613][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2613][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2613][5]~63471\,
	combout => \led_flash_cnt[2613][6]~63472_combout\,
	cout => \led_flash_cnt[2613][6]~63473\);

-- Location: FF_X41_Y33_N21
\led_flash_cnt[2613][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2613][6]~63472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2613][6]~q\);

-- Location: LCCOMB_X41_Y33_N26
\WideAnd2613~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2613~1_combout\ = (\led_flash_cnt[2613][6]~q\ & \led_flash_cnt[2613][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2613][6]~q\,
	datac => \led_flash_cnt[2613][5]~q\,
	combout => \WideAnd2613~1_combout\);

-- Location: LCCOMB_X41_Y33_N22
\led_flash_cnt[2613][7]~63474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2613][7]~63474_combout\ = \led_flash_cnt[2613][7]~q\ $ (!\led_flash_cnt[2613][6]~63473\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2613][7]~q\,
	cin => \led_flash_cnt[2613][6]~63473\,
	combout => \led_flash_cnt[2613][7]~63474_combout\);

-- Location: FF_X41_Y33_N23
\led_flash_cnt[2613][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2613][7]~63474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2613][7]~q\);

-- Location: LCCOMB_X41_Y33_N28
\WideAnd2613~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2613~0_combout\ = (\led_flash_cnt[2613][1]~q\ & (\led_flash_cnt[2613][4]~q\ & (\led_flash_cnt[2613][3]~q\ & \led_flash_cnt[2613][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2613][1]~q\,
	datab => \led_flash_cnt[2613][4]~q\,
	datac => \led_flash_cnt[2613][3]~q\,
	datad => \led_flash_cnt[2613][2]~q\,
	combout => \WideAnd2613~0_combout\);

-- Location: LCCOMB_X41_Y33_N30
WideAnd2613 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2613~combout\ = (\WideAnd2613~1_combout\ & (\led_flash_cnt[2613][0]~q\ & (\led_flash_cnt[2613][7]~q\ & \WideAnd2613~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2613~1_combout\,
	datab => \led_flash_cnt[2613][0]~q\,
	datac => \led_flash_cnt[2613][7]~q\,
	datad => \WideAnd2613~0_combout\,
	combout => \WideAnd2613~combout\);

-- Location: FF_X41_Y33_N31
\led_flash_cnt_ands[2613]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2613~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2613));

-- Location: LCCOMB_X41_Y33_N2
\led_flash_cnt[2612][0]~83252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2612][0]~83252_combout\ = !\led_flash_cnt[2612][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2612][0]~q\,
	combout => \led_flash_cnt[2612][0]~83252_combout\);

-- Location: FF_X41_Y33_N3
\led_flash_cnt[2612][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2612][0]~83252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2612][0]~q\);

-- Location: LCCOMB_X40_Y33_N16
\led_flash_cnt[2612][1]~63448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2612][1]~63448_combout\ = (\led_flash_cnt[2612][0]~q\ & (\led_flash_cnt[2612][1]~q\ $ (VCC))) # (!\led_flash_cnt[2612][0]~q\ & (\led_flash_cnt[2612][1]~q\ & VCC))
-- \led_flash_cnt[2612][1]~63449\ = CARRY((\led_flash_cnt[2612][0]~q\ & \led_flash_cnt[2612][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2612][0]~q\,
	datab => \led_flash_cnt[2612][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2612][1]~63448_combout\,
	cout => \led_flash_cnt[2612][1]~63449\);

-- Location: FF_X40_Y33_N17
\led_flash_cnt[2612][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2612][1]~63448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2612][1]~q\);

-- Location: LCCOMB_X40_Y33_N18
\led_flash_cnt[2612][2]~63450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2612][2]~63450_combout\ = (\led_flash_cnt[2612][2]~q\ & (!\led_flash_cnt[2612][1]~63449\)) # (!\led_flash_cnt[2612][2]~q\ & ((\led_flash_cnt[2612][1]~63449\) # (GND)))
-- \led_flash_cnt[2612][2]~63451\ = CARRY((!\led_flash_cnt[2612][1]~63449\) # (!\led_flash_cnt[2612][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2612][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2612][1]~63449\,
	combout => \led_flash_cnt[2612][2]~63450_combout\,
	cout => \led_flash_cnt[2612][2]~63451\);

-- Location: FF_X40_Y33_N19
\led_flash_cnt[2612][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2612][2]~63450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2612][2]~q\);

-- Location: LCCOMB_X40_Y33_N20
\led_flash_cnt[2612][3]~63452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2612][3]~63452_combout\ = (\led_flash_cnt[2612][3]~q\ & (\led_flash_cnt[2612][2]~63451\ $ (GND))) # (!\led_flash_cnt[2612][3]~q\ & (!\led_flash_cnt[2612][2]~63451\ & VCC))
-- \led_flash_cnt[2612][3]~63453\ = CARRY((\led_flash_cnt[2612][3]~q\ & !\led_flash_cnt[2612][2]~63451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2612][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2612][2]~63451\,
	combout => \led_flash_cnt[2612][3]~63452_combout\,
	cout => \led_flash_cnt[2612][3]~63453\);

-- Location: FF_X40_Y33_N21
\led_flash_cnt[2612][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2612][3]~63452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2612][3]~q\);

-- Location: LCCOMB_X40_Y33_N22
\led_flash_cnt[2612][4]~63454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2612][4]~63454_combout\ = (\led_flash_cnt[2612][4]~q\ & (!\led_flash_cnt[2612][3]~63453\)) # (!\led_flash_cnt[2612][4]~q\ & ((\led_flash_cnt[2612][3]~63453\) # (GND)))
-- \led_flash_cnt[2612][4]~63455\ = CARRY((!\led_flash_cnt[2612][3]~63453\) # (!\led_flash_cnt[2612][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2612][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2612][3]~63453\,
	combout => \led_flash_cnt[2612][4]~63454_combout\,
	cout => \led_flash_cnt[2612][4]~63455\);

-- Location: FF_X40_Y33_N23
\led_flash_cnt[2612][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2612][4]~63454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2612][4]~q\);

-- Location: LCCOMB_X40_Y33_N24
\led_flash_cnt[2612][5]~63456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2612][5]~63456_combout\ = (\led_flash_cnt[2612][5]~q\ & (\led_flash_cnt[2612][4]~63455\ $ (GND))) # (!\led_flash_cnt[2612][5]~q\ & (!\led_flash_cnt[2612][4]~63455\ & VCC))
-- \led_flash_cnt[2612][5]~63457\ = CARRY((\led_flash_cnt[2612][5]~q\ & !\led_flash_cnt[2612][4]~63455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2612][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2612][4]~63455\,
	combout => \led_flash_cnt[2612][5]~63456_combout\,
	cout => \led_flash_cnt[2612][5]~63457\);

-- Location: FF_X40_Y33_N25
\led_flash_cnt[2612][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2612][5]~63456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2612][5]~q\);

-- Location: LCCOMB_X40_Y33_N26
\led_flash_cnt[2612][6]~63458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2612][6]~63458_combout\ = (\led_flash_cnt[2612][6]~q\ & (!\led_flash_cnt[2612][5]~63457\)) # (!\led_flash_cnt[2612][6]~q\ & ((\led_flash_cnt[2612][5]~63457\) # (GND)))
-- \led_flash_cnt[2612][6]~63459\ = CARRY((!\led_flash_cnt[2612][5]~63457\) # (!\led_flash_cnt[2612][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2612][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2612][5]~63457\,
	combout => \led_flash_cnt[2612][6]~63458_combout\,
	cout => \led_flash_cnt[2612][6]~63459\);

-- Location: FF_X40_Y33_N27
\led_flash_cnt[2612][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2612][6]~63458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2612][6]~q\);

-- Location: LCCOMB_X41_Y33_N6
\WideAnd2612~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2612~1_combout\ = (\led_flash_cnt[2612][6]~q\ & \led_flash_cnt[2612][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2612][6]~q\,
	datad => \led_flash_cnt[2612][5]~q\,
	combout => \WideAnd2612~1_combout\);

-- Location: LCCOMB_X40_Y33_N28
\led_flash_cnt[2612][7]~63460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2612][7]~63460_combout\ = \led_flash_cnt[2612][6]~63459\ $ (!\led_flash_cnt[2612][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2612][7]~q\,
	cin => \led_flash_cnt[2612][6]~63459\,
	combout => \led_flash_cnt[2612][7]~63460_combout\);

-- Location: FF_X40_Y33_N29
\led_flash_cnt[2612][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2612][7]~63460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2612][7]~q\);

-- Location: LCCOMB_X40_Y33_N0
\WideAnd2612~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2612~0_combout\ = (\led_flash_cnt[2612][2]~q\ & (\led_flash_cnt[2612][3]~q\ & (\led_flash_cnt[2612][4]~q\ & \led_flash_cnt[2612][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2612][2]~q\,
	datab => \led_flash_cnt[2612][3]~q\,
	datac => \led_flash_cnt[2612][4]~q\,
	datad => \led_flash_cnt[2612][1]~q\,
	combout => \WideAnd2612~0_combout\);

-- Location: LCCOMB_X41_Y33_N24
WideAnd2612 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2612~combout\ = (\WideAnd2612~1_combout\ & (\led_flash_cnt[2612][7]~q\ & (\WideAnd2612~0_combout\ & \led_flash_cnt[2612][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2612~1_combout\,
	datab => \led_flash_cnt[2612][7]~q\,
	datac => \WideAnd2612~0_combout\,
	datad => \led_flash_cnt[2612][0]~q\,
	combout => \WideAnd2612~combout\);

-- Location: FF_X41_Y33_N25
\led_flash_cnt_ands[2612]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2612~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2612));

-- Location: LCCOMB_X41_Y33_N4
\WideAnd4166~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4166~1_combout\ = (led_flash_cnt_ands(2613) & led_flash_cnt_ands(2612))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2613),
	datad => led_flash_cnt_ands(2612),
	combout => \WideAnd4166~1_combout\);

-- Location: LCCOMB_X39_Y26_N2
\led_flash_cnt[2614][0]~83254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2614][0]~83254_combout\ = !\led_flash_cnt[2614][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2614][0]~q\,
	combout => \led_flash_cnt[2614][0]~83254_combout\);

-- Location: FF_X39_Y26_N3
\led_flash_cnt[2614][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2614][0]~83254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2614][0]~q\);

-- Location: LCCOMB_X38_Y26_N16
\led_flash_cnt[2614][1]~63476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2614][1]~63476_combout\ = (\led_flash_cnt[2614][0]~q\ & (\led_flash_cnt[2614][1]~q\ $ (VCC))) # (!\led_flash_cnt[2614][0]~q\ & (\led_flash_cnt[2614][1]~q\ & VCC))
-- \led_flash_cnt[2614][1]~63477\ = CARRY((\led_flash_cnt[2614][0]~q\ & \led_flash_cnt[2614][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2614][0]~q\,
	datab => \led_flash_cnt[2614][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2614][1]~63476_combout\,
	cout => \led_flash_cnt[2614][1]~63477\);

-- Location: FF_X38_Y26_N17
\led_flash_cnt[2614][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2614][1]~63476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2614][1]~q\);

-- Location: LCCOMB_X38_Y26_N18
\led_flash_cnt[2614][2]~63478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2614][2]~63478_combout\ = (\led_flash_cnt[2614][2]~q\ & (!\led_flash_cnt[2614][1]~63477\)) # (!\led_flash_cnt[2614][2]~q\ & ((\led_flash_cnt[2614][1]~63477\) # (GND)))
-- \led_flash_cnt[2614][2]~63479\ = CARRY((!\led_flash_cnt[2614][1]~63477\) # (!\led_flash_cnt[2614][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2614][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2614][1]~63477\,
	combout => \led_flash_cnt[2614][2]~63478_combout\,
	cout => \led_flash_cnt[2614][2]~63479\);

-- Location: FF_X38_Y26_N19
\led_flash_cnt[2614][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2614][2]~63478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2614][2]~q\);

-- Location: LCCOMB_X38_Y26_N20
\led_flash_cnt[2614][3]~63480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2614][3]~63480_combout\ = (\led_flash_cnt[2614][3]~q\ & (\led_flash_cnt[2614][2]~63479\ $ (GND))) # (!\led_flash_cnt[2614][3]~q\ & (!\led_flash_cnt[2614][2]~63479\ & VCC))
-- \led_flash_cnt[2614][3]~63481\ = CARRY((\led_flash_cnt[2614][3]~q\ & !\led_flash_cnt[2614][2]~63479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2614][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2614][2]~63479\,
	combout => \led_flash_cnt[2614][3]~63480_combout\,
	cout => \led_flash_cnt[2614][3]~63481\);

-- Location: FF_X38_Y26_N21
\led_flash_cnt[2614][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2614][3]~63480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2614][3]~q\);

-- Location: LCCOMB_X38_Y26_N22
\led_flash_cnt[2614][4]~63482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2614][4]~63482_combout\ = (\led_flash_cnt[2614][4]~q\ & (!\led_flash_cnt[2614][3]~63481\)) # (!\led_flash_cnt[2614][4]~q\ & ((\led_flash_cnt[2614][3]~63481\) # (GND)))
-- \led_flash_cnt[2614][4]~63483\ = CARRY((!\led_flash_cnt[2614][3]~63481\) # (!\led_flash_cnt[2614][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2614][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2614][3]~63481\,
	combout => \led_flash_cnt[2614][4]~63482_combout\,
	cout => \led_flash_cnt[2614][4]~63483\);

-- Location: FF_X38_Y26_N23
\led_flash_cnt[2614][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2614][4]~63482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2614][4]~q\);

-- Location: LCCOMB_X38_Y26_N24
\led_flash_cnt[2614][5]~63484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2614][5]~63484_combout\ = (\led_flash_cnt[2614][5]~q\ & (\led_flash_cnt[2614][4]~63483\ $ (GND))) # (!\led_flash_cnt[2614][5]~q\ & (!\led_flash_cnt[2614][4]~63483\ & VCC))
-- \led_flash_cnt[2614][5]~63485\ = CARRY((\led_flash_cnt[2614][5]~q\ & !\led_flash_cnt[2614][4]~63483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2614][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2614][4]~63483\,
	combout => \led_flash_cnt[2614][5]~63484_combout\,
	cout => \led_flash_cnt[2614][5]~63485\);

-- Location: FF_X38_Y26_N25
\led_flash_cnt[2614][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2614][5]~63484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2614][5]~q\);

-- Location: LCCOMB_X38_Y26_N26
\led_flash_cnt[2614][6]~63486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2614][6]~63486_combout\ = (\led_flash_cnt[2614][6]~q\ & (!\led_flash_cnt[2614][5]~63485\)) # (!\led_flash_cnt[2614][6]~q\ & ((\led_flash_cnt[2614][5]~63485\) # (GND)))
-- \led_flash_cnt[2614][6]~63487\ = CARRY((!\led_flash_cnt[2614][5]~63485\) # (!\led_flash_cnt[2614][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2614][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2614][5]~63485\,
	combout => \led_flash_cnt[2614][6]~63486_combout\,
	cout => \led_flash_cnt[2614][6]~63487\);

-- Location: FF_X38_Y26_N27
\led_flash_cnt[2614][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2614][6]~63486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2614][6]~q\);

-- Location: LCCOMB_X39_Y26_N26
\WideAnd2614~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2614~1_combout\ = (\led_flash_cnt[2614][6]~q\ & \led_flash_cnt[2614][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2614][6]~q\,
	datad => \led_flash_cnt[2614][5]~q\,
	combout => \WideAnd2614~1_combout\);

-- Location: LCCOMB_X38_Y26_N28
\led_flash_cnt[2614][7]~63488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2614][7]~63488_combout\ = \led_flash_cnt[2614][6]~63487\ $ (!\led_flash_cnt[2614][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2614][7]~q\,
	cin => \led_flash_cnt[2614][6]~63487\,
	combout => \led_flash_cnt[2614][7]~63488_combout\);

-- Location: FF_X38_Y26_N29
\led_flash_cnt[2614][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2614][7]~63488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2614][7]~q\);

-- Location: LCCOMB_X39_Y26_N22
\WideAnd2614~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2614~0_combout\ = (\led_flash_cnt[2614][4]~q\ & (\led_flash_cnt[2614][3]~q\ & (\led_flash_cnt[2614][1]~q\ & \led_flash_cnt[2614][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2614][4]~q\,
	datab => \led_flash_cnt[2614][3]~q\,
	datac => \led_flash_cnt[2614][1]~q\,
	datad => \led_flash_cnt[2614][2]~q\,
	combout => \WideAnd2614~0_combout\);

-- Location: LCCOMB_X39_Y26_N28
WideAnd2614 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2614~combout\ = (\WideAnd2614~1_combout\ & (\led_flash_cnt[2614][7]~q\ & (\WideAnd2614~0_combout\ & \led_flash_cnt[2614][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2614~1_combout\,
	datab => \led_flash_cnt[2614][7]~q\,
	datac => \WideAnd2614~0_combout\,
	datad => \led_flash_cnt[2614][0]~q\,
	combout => \WideAnd2614~combout\);

-- Location: FF_X39_Y26_N29
\led_flash_cnt_ands[2614]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2614~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2614));

-- Location: LCCOMB_X42_Y32_N6
\led_flash_cnt[2611][0]~83251\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2611][0]~83251_combout\ = !\led_flash_cnt[2611][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2611][0]~q\,
	combout => \led_flash_cnt[2611][0]~83251_combout\);

-- Location: FF_X42_Y32_N7
\led_flash_cnt[2611][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2611][0]~83251_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2611][0]~q\);

-- Location: LCCOMB_X43_Y32_N18
\led_flash_cnt[2611][1]~63434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2611][1]~63434_combout\ = (\led_flash_cnt[2611][0]~q\ & (\led_flash_cnt[2611][1]~q\ $ (VCC))) # (!\led_flash_cnt[2611][0]~q\ & (\led_flash_cnt[2611][1]~q\ & VCC))
-- \led_flash_cnt[2611][1]~63435\ = CARRY((\led_flash_cnt[2611][0]~q\ & \led_flash_cnt[2611][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2611][0]~q\,
	datab => \led_flash_cnt[2611][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2611][1]~63434_combout\,
	cout => \led_flash_cnt[2611][1]~63435\);

-- Location: FF_X43_Y32_N19
\led_flash_cnt[2611][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2611][1]~63434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2611][1]~q\);

-- Location: LCCOMB_X43_Y32_N20
\led_flash_cnt[2611][2]~63436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2611][2]~63436_combout\ = (\led_flash_cnt[2611][2]~q\ & (!\led_flash_cnt[2611][1]~63435\)) # (!\led_flash_cnt[2611][2]~q\ & ((\led_flash_cnt[2611][1]~63435\) # (GND)))
-- \led_flash_cnt[2611][2]~63437\ = CARRY((!\led_flash_cnt[2611][1]~63435\) # (!\led_flash_cnt[2611][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2611][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2611][1]~63435\,
	combout => \led_flash_cnt[2611][2]~63436_combout\,
	cout => \led_flash_cnt[2611][2]~63437\);

-- Location: FF_X43_Y32_N21
\led_flash_cnt[2611][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2611][2]~63436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2611][2]~q\);

-- Location: LCCOMB_X43_Y32_N22
\led_flash_cnt[2611][3]~63438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2611][3]~63438_combout\ = (\led_flash_cnt[2611][3]~q\ & (\led_flash_cnt[2611][2]~63437\ $ (GND))) # (!\led_flash_cnt[2611][3]~q\ & (!\led_flash_cnt[2611][2]~63437\ & VCC))
-- \led_flash_cnt[2611][3]~63439\ = CARRY((\led_flash_cnt[2611][3]~q\ & !\led_flash_cnt[2611][2]~63437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2611][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2611][2]~63437\,
	combout => \led_flash_cnt[2611][3]~63438_combout\,
	cout => \led_flash_cnt[2611][3]~63439\);

-- Location: FF_X43_Y32_N23
\led_flash_cnt[2611][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2611][3]~63438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2611][3]~q\);

-- Location: LCCOMB_X43_Y32_N24
\led_flash_cnt[2611][4]~63440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2611][4]~63440_combout\ = (\led_flash_cnt[2611][4]~q\ & (!\led_flash_cnt[2611][3]~63439\)) # (!\led_flash_cnt[2611][4]~q\ & ((\led_flash_cnt[2611][3]~63439\) # (GND)))
-- \led_flash_cnt[2611][4]~63441\ = CARRY((!\led_flash_cnt[2611][3]~63439\) # (!\led_flash_cnt[2611][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2611][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2611][3]~63439\,
	combout => \led_flash_cnt[2611][4]~63440_combout\,
	cout => \led_flash_cnt[2611][4]~63441\);

-- Location: FF_X43_Y32_N25
\led_flash_cnt[2611][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2611][4]~63440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2611][4]~q\);

-- Location: LCCOMB_X43_Y32_N26
\led_flash_cnt[2611][5]~63442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2611][5]~63442_combout\ = (\led_flash_cnt[2611][5]~q\ & (\led_flash_cnt[2611][4]~63441\ $ (GND))) # (!\led_flash_cnt[2611][5]~q\ & (!\led_flash_cnt[2611][4]~63441\ & VCC))
-- \led_flash_cnt[2611][5]~63443\ = CARRY((\led_flash_cnt[2611][5]~q\ & !\led_flash_cnt[2611][4]~63441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2611][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2611][4]~63441\,
	combout => \led_flash_cnt[2611][5]~63442_combout\,
	cout => \led_flash_cnt[2611][5]~63443\);

-- Location: FF_X43_Y32_N27
\led_flash_cnt[2611][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2611][5]~63442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2611][5]~q\);

-- Location: LCCOMB_X43_Y32_N28
\led_flash_cnt[2611][6]~63444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2611][6]~63444_combout\ = (\led_flash_cnt[2611][6]~q\ & (!\led_flash_cnt[2611][5]~63443\)) # (!\led_flash_cnt[2611][6]~q\ & ((\led_flash_cnt[2611][5]~63443\) # (GND)))
-- \led_flash_cnt[2611][6]~63445\ = CARRY((!\led_flash_cnt[2611][5]~63443\) # (!\led_flash_cnt[2611][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2611][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2611][5]~63443\,
	combout => \led_flash_cnt[2611][6]~63444_combout\,
	cout => \led_flash_cnt[2611][6]~63445\);

-- Location: FF_X43_Y32_N29
\led_flash_cnt[2611][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2611][6]~63444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2611][6]~q\);

-- Location: LCCOMB_X43_Y32_N0
\WideAnd2611~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2611~1_combout\ = (\led_flash_cnt[2611][5]~q\ & \led_flash_cnt[2611][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2611][5]~q\,
	datad => \led_flash_cnt[2611][6]~q\,
	combout => \WideAnd2611~1_combout\);

-- Location: LCCOMB_X43_Y32_N30
\led_flash_cnt[2611][7]~63446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2611][7]~63446_combout\ = \led_flash_cnt[2611][7]~q\ $ (!\led_flash_cnt[2611][6]~63445\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2611][7]~q\,
	cin => \led_flash_cnt[2611][6]~63445\,
	combout => \led_flash_cnt[2611][7]~63446_combout\);

-- Location: FF_X43_Y32_N31
\led_flash_cnt[2611][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2611][7]~63446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2611][7]~q\);

-- Location: LCCOMB_X43_Y32_N2
\WideAnd2611~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2611~0_combout\ = (\led_flash_cnt[2611][1]~q\ & (\led_flash_cnt[2611][2]~q\ & (\led_flash_cnt[2611][3]~q\ & \led_flash_cnt[2611][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2611][1]~q\,
	datab => \led_flash_cnt[2611][2]~q\,
	datac => \led_flash_cnt[2611][3]~q\,
	datad => \led_flash_cnt[2611][4]~q\,
	combout => \WideAnd2611~0_combout\);

-- Location: LCCOMB_X42_Y32_N12
WideAnd2611 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2611~combout\ = (\led_flash_cnt[2611][0]~q\ & (\WideAnd2611~1_combout\ & (\led_flash_cnt[2611][7]~q\ & \WideAnd2611~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2611][0]~q\,
	datab => \WideAnd2611~1_combout\,
	datac => \led_flash_cnt[2611][7]~q\,
	datad => \WideAnd2611~0_combout\,
	combout => \WideAnd2611~combout\);

-- Location: FF_X42_Y32_N13
\led_flash_cnt_ands[2611]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2611~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2611));

-- Location: LCCOMB_X32_Y32_N12
\led_flash_cnt[2610][0]~83250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2610][0]~83250_combout\ = !\led_flash_cnt[2610][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2610][0]~q\,
	combout => \led_flash_cnt[2610][0]~83250_combout\);

-- Location: FF_X32_Y32_N13
\led_flash_cnt[2610][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2610][0]~83250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2610][0]~q\);

-- Location: LCCOMB_X32_Y32_N14
\led_flash_cnt[2610][1]~63420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2610][1]~63420_combout\ = (\led_flash_cnt[2610][0]~q\ & (\led_flash_cnt[2610][1]~q\ $ (VCC))) # (!\led_flash_cnt[2610][0]~q\ & (\led_flash_cnt[2610][1]~q\ & VCC))
-- \led_flash_cnt[2610][1]~63421\ = CARRY((\led_flash_cnt[2610][0]~q\ & \led_flash_cnt[2610][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2610][0]~q\,
	datab => \led_flash_cnt[2610][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2610][1]~63420_combout\,
	cout => \led_flash_cnt[2610][1]~63421\);

-- Location: FF_X32_Y32_N15
\led_flash_cnt[2610][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2610][1]~63420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2610][1]~q\);

-- Location: LCCOMB_X32_Y32_N16
\led_flash_cnt[2610][2]~63422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2610][2]~63422_combout\ = (\led_flash_cnt[2610][2]~q\ & (!\led_flash_cnt[2610][1]~63421\)) # (!\led_flash_cnt[2610][2]~q\ & ((\led_flash_cnt[2610][1]~63421\) # (GND)))
-- \led_flash_cnt[2610][2]~63423\ = CARRY((!\led_flash_cnt[2610][1]~63421\) # (!\led_flash_cnt[2610][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2610][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2610][1]~63421\,
	combout => \led_flash_cnt[2610][2]~63422_combout\,
	cout => \led_flash_cnt[2610][2]~63423\);

-- Location: FF_X32_Y32_N17
\led_flash_cnt[2610][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2610][2]~63422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2610][2]~q\);

-- Location: LCCOMB_X32_Y32_N18
\led_flash_cnt[2610][3]~63424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2610][3]~63424_combout\ = (\led_flash_cnt[2610][3]~q\ & (\led_flash_cnt[2610][2]~63423\ $ (GND))) # (!\led_flash_cnt[2610][3]~q\ & (!\led_flash_cnt[2610][2]~63423\ & VCC))
-- \led_flash_cnt[2610][3]~63425\ = CARRY((\led_flash_cnt[2610][3]~q\ & !\led_flash_cnt[2610][2]~63423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2610][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2610][2]~63423\,
	combout => \led_flash_cnt[2610][3]~63424_combout\,
	cout => \led_flash_cnt[2610][3]~63425\);

-- Location: FF_X32_Y32_N19
\led_flash_cnt[2610][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2610][3]~63424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2610][3]~q\);

-- Location: LCCOMB_X32_Y32_N20
\led_flash_cnt[2610][4]~63426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2610][4]~63426_combout\ = (\led_flash_cnt[2610][4]~q\ & (!\led_flash_cnt[2610][3]~63425\)) # (!\led_flash_cnt[2610][4]~q\ & ((\led_flash_cnt[2610][3]~63425\) # (GND)))
-- \led_flash_cnt[2610][4]~63427\ = CARRY((!\led_flash_cnt[2610][3]~63425\) # (!\led_flash_cnt[2610][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2610][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2610][3]~63425\,
	combout => \led_flash_cnt[2610][4]~63426_combout\,
	cout => \led_flash_cnt[2610][4]~63427\);

-- Location: FF_X32_Y32_N21
\led_flash_cnt[2610][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2610][4]~63426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2610][4]~q\);

-- Location: LCCOMB_X32_Y32_N22
\led_flash_cnt[2610][5]~63428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2610][5]~63428_combout\ = (\led_flash_cnt[2610][5]~q\ & (\led_flash_cnt[2610][4]~63427\ $ (GND))) # (!\led_flash_cnt[2610][5]~q\ & (!\led_flash_cnt[2610][4]~63427\ & VCC))
-- \led_flash_cnt[2610][5]~63429\ = CARRY((\led_flash_cnt[2610][5]~q\ & !\led_flash_cnt[2610][4]~63427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2610][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2610][4]~63427\,
	combout => \led_flash_cnt[2610][5]~63428_combout\,
	cout => \led_flash_cnt[2610][5]~63429\);

-- Location: FF_X32_Y32_N23
\led_flash_cnt[2610][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2610][5]~63428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2610][5]~q\);

-- Location: LCCOMB_X32_Y32_N24
\led_flash_cnt[2610][6]~63430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2610][6]~63430_combout\ = (\led_flash_cnt[2610][6]~q\ & (!\led_flash_cnt[2610][5]~63429\)) # (!\led_flash_cnt[2610][6]~q\ & ((\led_flash_cnt[2610][5]~63429\) # (GND)))
-- \led_flash_cnt[2610][6]~63431\ = CARRY((!\led_flash_cnt[2610][5]~63429\) # (!\led_flash_cnt[2610][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2610][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2610][5]~63429\,
	combout => \led_flash_cnt[2610][6]~63430_combout\,
	cout => \led_flash_cnt[2610][6]~63431\);

-- Location: FF_X32_Y32_N25
\led_flash_cnt[2610][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2610][6]~63430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2610][6]~q\);

-- Location: LCCOMB_X32_Y32_N30
\WideAnd2610~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2610~1_combout\ = (\led_flash_cnt[2610][5]~q\ & \led_flash_cnt[2610][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2610][5]~q\,
	datad => \led_flash_cnt[2610][6]~q\,
	combout => \WideAnd2610~1_combout\);

-- Location: LCCOMB_X32_Y32_N4
\WideAnd2610~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2610~0_combout\ = (\led_flash_cnt[2610][2]~q\ & (\led_flash_cnt[2610][4]~q\ & (\led_flash_cnt[2610][1]~q\ & \led_flash_cnt[2610][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2610][2]~q\,
	datab => \led_flash_cnt[2610][4]~q\,
	datac => \led_flash_cnt[2610][1]~q\,
	datad => \led_flash_cnt[2610][3]~q\,
	combout => \WideAnd2610~0_combout\);

-- Location: LCCOMB_X32_Y32_N26
\led_flash_cnt[2610][7]~63432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2610][7]~63432_combout\ = \led_flash_cnt[2610][7]~q\ $ (!\led_flash_cnt[2610][6]~63431\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2610][7]~q\,
	cin => \led_flash_cnt[2610][6]~63431\,
	combout => \led_flash_cnt[2610][7]~63432_combout\);

-- Location: FF_X32_Y32_N27
\led_flash_cnt[2610][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2610][7]~63432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2610][7]~q\);

-- Location: LCCOMB_X32_Y32_N0
WideAnd2610 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2610~combout\ = (\WideAnd2610~1_combout\ & (\WideAnd2610~0_combout\ & (\led_flash_cnt[2610][7]~q\ & \led_flash_cnt[2610][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2610~1_combout\,
	datab => \WideAnd2610~0_combout\,
	datac => \led_flash_cnt[2610][7]~q\,
	datad => \led_flash_cnt[2610][0]~q\,
	combout => \WideAnd2610~combout\);

-- Location: FF_X32_Y32_N1
\led_flash_cnt_ands[2610]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2610~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2610));

-- Location: LCCOMB_X41_Y37_N12
\led_flash_cnt[2608][0]~83248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2608][0]~83248_combout\ = !\led_flash_cnt[2608][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2608][0]~q\,
	combout => \led_flash_cnt[2608][0]~83248_combout\);

-- Location: FF_X41_Y37_N13
\led_flash_cnt[2608][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2608][0]~83248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2608][0]~q\);

-- Location: LCCOMB_X41_Y37_N18
\led_flash_cnt[2608][1]~63392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2608][1]~63392_combout\ = (\led_flash_cnt[2608][0]~q\ & (\led_flash_cnt[2608][1]~q\ $ (VCC))) # (!\led_flash_cnt[2608][0]~q\ & (\led_flash_cnt[2608][1]~q\ & VCC))
-- \led_flash_cnt[2608][1]~63393\ = CARRY((\led_flash_cnt[2608][0]~q\ & \led_flash_cnt[2608][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2608][0]~q\,
	datab => \led_flash_cnt[2608][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2608][1]~63392_combout\,
	cout => \led_flash_cnt[2608][1]~63393\);

-- Location: FF_X41_Y37_N19
\led_flash_cnt[2608][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2608][1]~63392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2608][1]~q\);

-- Location: LCCOMB_X41_Y37_N20
\led_flash_cnt[2608][2]~63394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2608][2]~63394_combout\ = (\led_flash_cnt[2608][2]~q\ & (!\led_flash_cnt[2608][1]~63393\)) # (!\led_flash_cnt[2608][2]~q\ & ((\led_flash_cnt[2608][1]~63393\) # (GND)))
-- \led_flash_cnt[2608][2]~63395\ = CARRY((!\led_flash_cnt[2608][1]~63393\) # (!\led_flash_cnt[2608][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2608][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2608][1]~63393\,
	combout => \led_flash_cnt[2608][2]~63394_combout\,
	cout => \led_flash_cnt[2608][2]~63395\);

-- Location: FF_X41_Y37_N21
\led_flash_cnt[2608][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2608][2]~63394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2608][2]~q\);

-- Location: LCCOMB_X41_Y37_N22
\led_flash_cnt[2608][3]~63396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2608][3]~63396_combout\ = (\led_flash_cnt[2608][3]~q\ & (\led_flash_cnt[2608][2]~63395\ $ (GND))) # (!\led_flash_cnt[2608][3]~q\ & (!\led_flash_cnt[2608][2]~63395\ & VCC))
-- \led_flash_cnt[2608][3]~63397\ = CARRY((\led_flash_cnt[2608][3]~q\ & !\led_flash_cnt[2608][2]~63395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2608][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2608][2]~63395\,
	combout => \led_flash_cnt[2608][3]~63396_combout\,
	cout => \led_flash_cnt[2608][3]~63397\);

-- Location: FF_X41_Y37_N23
\led_flash_cnt[2608][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2608][3]~63396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2608][3]~q\);

-- Location: LCCOMB_X41_Y37_N24
\led_flash_cnt[2608][4]~63398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2608][4]~63398_combout\ = (\led_flash_cnt[2608][4]~q\ & (!\led_flash_cnt[2608][3]~63397\)) # (!\led_flash_cnt[2608][4]~q\ & ((\led_flash_cnt[2608][3]~63397\) # (GND)))
-- \led_flash_cnt[2608][4]~63399\ = CARRY((!\led_flash_cnt[2608][3]~63397\) # (!\led_flash_cnt[2608][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2608][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2608][3]~63397\,
	combout => \led_flash_cnt[2608][4]~63398_combout\,
	cout => \led_flash_cnt[2608][4]~63399\);

-- Location: FF_X41_Y37_N25
\led_flash_cnt[2608][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2608][4]~63398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2608][4]~q\);

-- Location: LCCOMB_X41_Y37_N16
\WideAnd2608~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2608~0_combout\ = (\led_flash_cnt[2608][1]~q\ & (\led_flash_cnt[2608][2]~q\ & (\led_flash_cnt[2608][3]~q\ & \led_flash_cnt[2608][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2608][1]~q\,
	datab => \led_flash_cnt[2608][2]~q\,
	datac => \led_flash_cnt[2608][3]~q\,
	datad => \led_flash_cnt[2608][4]~q\,
	combout => \WideAnd2608~0_combout\);

-- Location: LCCOMB_X41_Y37_N26
\led_flash_cnt[2608][5]~63400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2608][5]~63400_combout\ = (\led_flash_cnt[2608][5]~q\ & (\led_flash_cnt[2608][4]~63399\ $ (GND))) # (!\led_flash_cnt[2608][5]~q\ & (!\led_flash_cnt[2608][4]~63399\ & VCC))
-- \led_flash_cnt[2608][5]~63401\ = CARRY((\led_flash_cnt[2608][5]~q\ & !\led_flash_cnt[2608][4]~63399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2608][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2608][4]~63399\,
	combout => \led_flash_cnt[2608][5]~63400_combout\,
	cout => \led_flash_cnt[2608][5]~63401\);

-- Location: FF_X41_Y37_N27
\led_flash_cnt[2608][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2608][5]~63400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2608][5]~q\);

-- Location: LCCOMB_X41_Y37_N28
\led_flash_cnt[2608][6]~63402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2608][6]~63402_combout\ = (\led_flash_cnt[2608][6]~q\ & (!\led_flash_cnt[2608][5]~63401\)) # (!\led_flash_cnt[2608][6]~q\ & ((\led_flash_cnt[2608][5]~63401\) # (GND)))
-- \led_flash_cnt[2608][6]~63403\ = CARRY((!\led_flash_cnt[2608][5]~63401\) # (!\led_flash_cnt[2608][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2608][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2608][5]~63401\,
	combout => \led_flash_cnt[2608][6]~63402_combout\,
	cout => \led_flash_cnt[2608][6]~63403\);

-- Location: FF_X41_Y37_N29
\led_flash_cnt[2608][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2608][6]~63402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2608][6]~q\);

-- Location: LCCOMB_X41_Y37_N30
\led_flash_cnt[2608][7]~63404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2608][7]~63404_combout\ = \led_flash_cnt[2608][7]~q\ $ (!\led_flash_cnt[2608][6]~63403\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2608][7]~q\,
	cin => \led_flash_cnt[2608][6]~63403\,
	combout => \led_flash_cnt[2608][7]~63404_combout\);

-- Location: FF_X41_Y37_N31
\led_flash_cnt[2608][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2608][7]~63404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2608][7]~q\);

-- Location: LCCOMB_X41_Y37_N2
\WideAnd2608~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2608~1_combout\ = (\led_flash_cnt[2608][5]~q\ & \led_flash_cnt[2608][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2608][5]~q\,
	datad => \led_flash_cnt[2608][6]~q\,
	combout => \WideAnd2608~1_combout\);

-- Location: LCCOMB_X41_Y37_N10
WideAnd2608 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2608~combout\ = (\led_flash_cnt[2608][0]~q\ & (\WideAnd2608~0_combout\ & (\led_flash_cnt[2608][7]~q\ & \WideAnd2608~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2608][0]~q\,
	datab => \WideAnd2608~0_combout\,
	datac => \led_flash_cnt[2608][7]~q\,
	datad => \WideAnd2608~1_combout\,
	combout => \WideAnd2608~combout\);

-- Location: FF_X41_Y37_N11
\led_flash_cnt_ands[2608]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2608~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2608));

-- Location: LCCOMB_X42_Y31_N0
\led_flash_cnt[2609][0]~83249\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2609][0]~83249_combout\ = !\led_flash_cnt[2609][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2609][0]~q\,
	combout => \led_flash_cnt[2609][0]~83249_combout\);

-- Location: FF_X42_Y31_N1
\led_flash_cnt[2609][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2609][0]~83249_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2609][0]~q\);

-- Location: LCCOMB_X42_Y32_N18
\led_flash_cnt[2609][1]~63406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2609][1]~63406_combout\ = (\led_flash_cnt[2609][1]~q\ & (\led_flash_cnt[2609][0]~q\ $ (VCC))) # (!\led_flash_cnt[2609][1]~q\ & (\led_flash_cnt[2609][0]~q\ & VCC))
-- \led_flash_cnt[2609][1]~63407\ = CARRY((\led_flash_cnt[2609][1]~q\ & \led_flash_cnt[2609][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2609][1]~q\,
	datab => \led_flash_cnt[2609][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2609][1]~63406_combout\,
	cout => \led_flash_cnt[2609][1]~63407\);

-- Location: FF_X42_Y32_N19
\led_flash_cnt[2609][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2609][1]~63406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2609][1]~q\);

-- Location: LCCOMB_X42_Y32_N20
\led_flash_cnt[2609][2]~63408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2609][2]~63408_combout\ = (\led_flash_cnt[2609][2]~q\ & (!\led_flash_cnt[2609][1]~63407\)) # (!\led_flash_cnt[2609][2]~q\ & ((\led_flash_cnt[2609][1]~63407\) # (GND)))
-- \led_flash_cnt[2609][2]~63409\ = CARRY((!\led_flash_cnt[2609][1]~63407\) # (!\led_flash_cnt[2609][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2609][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2609][1]~63407\,
	combout => \led_flash_cnt[2609][2]~63408_combout\,
	cout => \led_flash_cnt[2609][2]~63409\);

-- Location: FF_X42_Y32_N21
\led_flash_cnt[2609][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2609][2]~63408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2609][2]~q\);

-- Location: LCCOMB_X42_Y32_N22
\led_flash_cnt[2609][3]~63410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2609][3]~63410_combout\ = (\led_flash_cnt[2609][3]~q\ & (\led_flash_cnt[2609][2]~63409\ $ (GND))) # (!\led_flash_cnt[2609][3]~q\ & (!\led_flash_cnt[2609][2]~63409\ & VCC))
-- \led_flash_cnt[2609][3]~63411\ = CARRY((\led_flash_cnt[2609][3]~q\ & !\led_flash_cnt[2609][2]~63409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2609][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2609][2]~63409\,
	combout => \led_flash_cnt[2609][3]~63410_combout\,
	cout => \led_flash_cnt[2609][3]~63411\);

-- Location: FF_X42_Y32_N23
\led_flash_cnt[2609][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2609][3]~63410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2609][3]~q\);

-- Location: LCCOMB_X42_Y32_N24
\led_flash_cnt[2609][4]~63412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2609][4]~63412_combout\ = (\led_flash_cnt[2609][4]~q\ & (!\led_flash_cnt[2609][3]~63411\)) # (!\led_flash_cnt[2609][4]~q\ & ((\led_flash_cnt[2609][3]~63411\) # (GND)))
-- \led_flash_cnt[2609][4]~63413\ = CARRY((!\led_flash_cnt[2609][3]~63411\) # (!\led_flash_cnt[2609][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2609][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2609][3]~63411\,
	combout => \led_flash_cnt[2609][4]~63412_combout\,
	cout => \led_flash_cnt[2609][4]~63413\);

-- Location: FF_X42_Y32_N25
\led_flash_cnt[2609][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2609][4]~63412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2609][4]~q\);

-- Location: LCCOMB_X42_Y32_N26
\led_flash_cnt[2609][5]~63414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2609][5]~63414_combout\ = (\led_flash_cnt[2609][5]~q\ & (\led_flash_cnt[2609][4]~63413\ $ (GND))) # (!\led_flash_cnt[2609][5]~q\ & (!\led_flash_cnt[2609][4]~63413\ & VCC))
-- \led_flash_cnt[2609][5]~63415\ = CARRY((\led_flash_cnt[2609][5]~q\ & !\led_flash_cnt[2609][4]~63413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2609][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2609][4]~63413\,
	combout => \led_flash_cnt[2609][5]~63414_combout\,
	cout => \led_flash_cnt[2609][5]~63415\);

-- Location: FF_X42_Y32_N27
\led_flash_cnt[2609][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2609][5]~63414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2609][5]~q\);

-- Location: LCCOMB_X42_Y32_N28
\led_flash_cnt[2609][6]~63416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2609][6]~63416_combout\ = (\led_flash_cnt[2609][6]~q\ & (!\led_flash_cnt[2609][5]~63415\)) # (!\led_flash_cnt[2609][6]~q\ & ((\led_flash_cnt[2609][5]~63415\) # (GND)))
-- \led_flash_cnt[2609][6]~63417\ = CARRY((!\led_flash_cnt[2609][5]~63415\) # (!\led_flash_cnt[2609][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2609][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2609][5]~63415\,
	combout => \led_flash_cnt[2609][6]~63416_combout\,
	cout => \led_flash_cnt[2609][6]~63417\);

-- Location: FF_X42_Y32_N29
\led_flash_cnt[2609][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2609][6]~63416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2609][6]~q\);

-- Location: LCCOMB_X42_Y32_N30
\led_flash_cnt[2609][7]~63418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2609][7]~63418_combout\ = \led_flash_cnt[2609][7]~q\ $ (!\led_flash_cnt[2609][6]~63417\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2609][7]~q\,
	cin => \led_flash_cnt[2609][6]~63417\,
	combout => \led_flash_cnt[2609][7]~63418_combout\);

-- Location: FF_X42_Y32_N31
\led_flash_cnt[2609][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2609][7]~63418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2609][7]~q\);

-- Location: LCCOMB_X42_Y32_N8
\WideAnd2609~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2609~0_combout\ = (\led_flash_cnt[2609][1]~q\ & (\led_flash_cnt[2609][2]~q\ & (\led_flash_cnt[2609][3]~q\ & \led_flash_cnt[2609][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2609][1]~q\,
	datab => \led_flash_cnt[2609][2]~q\,
	datac => \led_flash_cnt[2609][3]~q\,
	datad => \led_flash_cnt[2609][4]~q\,
	combout => \WideAnd2609~0_combout\);

-- Location: LCCOMB_X42_Y32_N10
\WideAnd2609~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2609~1_combout\ = (\led_flash_cnt[2609][5]~q\ & \led_flash_cnt[2609][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2609][5]~q\,
	datad => \led_flash_cnt[2609][6]~q\,
	combout => \WideAnd2609~1_combout\);

-- Location: LCCOMB_X42_Y32_N16
WideAnd2609 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2609~combout\ = (\led_flash_cnt[2609][7]~q\ & (\led_flash_cnt[2609][0]~q\ & (\WideAnd2609~0_combout\ & \WideAnd2609~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2609][7]~q\,
	datab => \led_flash_cnt[2609][0]~q\,
	datac => \WideAnd2609~0_combout\,
	datad => \WideAnd2609~1_combout\,
	combout => \WideAnd2609~combout\);

-- Location: FF_X42_Y32_N17
\led_flash_cnt_ands[2609]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2609~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2609));

-- Location: LCCOMB_X42_Y32_N2
\WideAnd4166~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4166~0_combout\ = (led_flash_cnt_ands(2611) & (led_flash_cnt_ands(2610) & (led_flash_cnt_ands(2608) & led_flash_cnt_ands(2609))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2611),
	datab => led_flash_cnt_ands(2610),
	datac => led_flash_cnt_ands(2608),
	datad => led_flash_cnt_ands(2609),
	combout => \WideAnd4166~0_combout\);

-- Location: LCCOMB_X41_Y33_N8
WideAnd4166 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4166~combout\ = (led_flash_cnt_ands(2615) & (\WideAnd4166~1_combout\ & (led_flash_cnt_ands(2614) & \WideAnd4166~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2615),
	datab => \WideAnd4166~1_combout\,
	datac => led_flash_cnt_ands(2614),
	datad => \WideAnd4166~0_combout\,
	combout => \WideAnd4166~combout\);

-- Location: FF_X41_Y33_N9
\led_flash_cnt_ands_1[326]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4166~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(326));

-- Location: LCCOMB_X50_Y28_N2
\led_flash_cnt[2605][0]~83245\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2605][0]~83245_combout\ = !\led_flash_cnt[2605][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2605][0]~q\,
	combout => \led_flash_cnt[2605][0]~83245_combout\);

-- Location: FF_X50_Y28_N3
\led_flash_cnt[2605][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2605][0]~83245_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2605][0]~q\);

-- Location: LCCOMB_X50_Y28_N10
\led_flash_cnt[2605][1]~63350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2605][1]~63350_combout\ = (\led_flash_cnt[2605][1]~q\ & (\led_flash_cnt[2605][0]~q\ $ (VCC))) # (!\led_flash_cnt[2605][1]~q\ & (\led_flash_cnt[2605][0]~q\ & VCC))
-- \led_flash_cnt[2605][1]~63351\ = CARRY((\led_flash_cnt[2605][1]~q\ & \led_flash_cnt[2605][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2605][1]~q\,
	datab => \led_flash_cnt[2605][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2605][1]~63350_combout\,
	cout => \led_flash_cnt[2605][1]~63351\);

-- Location: FF_X50_Y28_N11
\led_flash_cnt[2605][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2605][1]~63350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2605][1]~q\);

-- Location: LCCOMB_X50_Y28_N12
\led_flash_cnt[2605][2]~63352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2605][2]~63352_combout\ = (\led_flash_cnt[2605][2]~q\ & (!\led_flash_cnt[2605][1]~63351\)) # (!\led_flash_cnt[2605][2]~q\ & ((\led_flash_cnt[2605][1]~63351\) # (GND)))
-- \led_flash_cnt[2605][2]~63353\ = CARRY((!\led_flash_cnt[2605][1]~63351\) # (!\led_flash_cnt[2605][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2605][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2605][1]~63351\,
	combout => \led_flash_cnt[2605][2]~63352_combout\,
	cout => \led_flash_cnt[2605][2]~63353\);

-- Location: FF_X50_Y28_N13
\led_flash_cnt[2605][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2605][2]~63352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2605][2]~q\);

-- Location: LCCOMB_X50_Y28_N14
\led_flash_cnt[2605][3]~63354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2605][3]~63354_combout\ = (\led_flash_cnt[2605][3]~q\ & (\led_flash_cnt[2605][2]~63353\ $ (GND))) # (!\led_flash_cnt[2605][3]~q\ & (!\led_flash_cnt[2605][2]~63353\ & VCC))
-- \led_flash_cnt[2605][3]~63355\ = CARRY((\led_flash_cnt[2605][3]~q\ & !\led_flash_cnt[2605][2]~63353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2605][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2605][2]~63353\,
	combout => \led_flash_cnt[2605][3]~63354_combout\,
	cout => \led_flash_cnt[2605][3]~63355\);

-- Location: FF_X50_Y28_N15
\led_flash_cnt[2605][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2605][3]~63354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2605][3]~q\);

-- Location: LCCOMB_X50_Y28_N16
\led_flash_cnt[2605][4]~63356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2605][4]~63356_combout\ = (\led_flash_cnt[2605][4]~q\ & (!\led_flash_cnt[2605][3]~63355\)) # (!\led_flash_cnt[2605][4]~q\ & ((\led_flash_cnt[2605][3]~63355\) # (GND)))
-- \led_flash_cnt[2605][4]~63357\ = CARRY((!\led_flash_cnt[2605][3]~63355\) # (!\led_flash_cnt[2605][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2605][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2605][3]~63355\,
	combout => \led_flash_cnt[2605][4]~63356_combout\,
	cout => \led_flash_cnt[2605][4]~63357\);

-- Location: FF_X50_Y28_N17
\led_flash_cnt[2605][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2605][4]~63356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2605][4]~q\);

-- Location: LCCOMB_X50_Y28_N18
\led_flash_cnt[2605][5]~63358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2605][5]~63358_combout\ = (\led_flash_cnt[2605][5]~q\ & (\led_flash_cnt[2605][4]~63357\ $ (GND))) # (!\led_flash_cnt[2605][5]~q\ & (!\led_flash_cnt[2605][4]~63357\ & VCC))
-- \led_flash_cnt[2605][5]~63359\ = CARRY((\led_flash_cnt[2605][5]~q\ & !\led_flash_cnt[2605][4]~63357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2605][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2605][4]~63357\,
	combout => \led_flash_cnt[2605][5]~63358_combout\,
	cout => \led_flash_cnt[2605][5]~63359\);

-- Location: FF_X50_Y28_N19
\led_flash_cnt[2605][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2605][5]~63358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2605][5]~q\);

-- Location: LCCOMB_X50_Y28_N20
\led_flash_cnt[2605][6]~63360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2605][6]~63360_combout\ = (\led_flash_cnt[2605][6]~q\ & (!\led_flash_cnt[2605][5]~63359\)) # (!\led_flash_cnt[2605][6]~q\ & ((\led_flash_cnt[2605][5]~63359\) # (GND)))
-- \led_flash_cnt[2605][6]~63361\ = CARRY((!\led_flash_cnt[2605][5]~63359\) # (!\led_flash_cnt[2605][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2605][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2605][5]~63359\,
	combout => \led_flash_cnt[2605][6]~63360_combout\,
	cout => \led_flash_cnt[2605][6]~63361\);

-- Location: FF_X50_Y28_N21
\led_flash_cnt[2605][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2605][6]~63360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2605][6]~q\);

-- Location: LCCOMB_X50_Y28_N22
\led_flash_cnt[2605][7]~63362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2605][7]~63362_combout\ = \led_flash_cnt[2605][7]~q\ $ (!\led_flash_cnt[2605][6]~63361\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2605][7]~q\,
	cin => \led_flash_cnt[2605][6]~63361\,
	combout => \led_flash_cnt[2605][7]~63362_combout\);

-- Location: FF_X50_Y28_N23
\led_flash_cnt[2605][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2605][7]~63362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2605][7]~q\);

-- Location: LCCOMB_X50_Y28_N8
\WideAnd2605~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2605~0_combout\ = (\led_flash_cnt[2605][1]~q\ & (\led_flash_cnt[2605][4]~q\ & (\led_flash_cnt[2605][3]~q\ & \led_flash_cnt[2605][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2605][1]~q\,
	datab => \led_flash_cnt[2605][4]~q\,
	datac => \led_flash_cnt[2605][3]~q\,
	datad => \led_flash_cnt[2605][2]~q\,
	combout => \WideAnd2605~0_combout\);

-- Location: LCCOMB_X50_Y28_N0
\WideAnd2605~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2605~1_combout\ = (\led_flash_cnt[2605][6]~q\ & \led_flash_cnt[2605][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2605][6]~q\,
	datad => \led_flash_cnt[2605][5]~q\,
	combout => \WideAnd2605~1_combout\);

-- Location: LCCOMB_X50_Y28_N4
WideAnd2605 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2605~combout\ = (\led_flash_cnt[2605][7]~q\ & (\led_flash_cnt[2605][0]~q\ & (\WideAnd2605~0_combout\ & \WideAnd2605~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2605][7]~q\,
	datab => \led_flash_cnt[2605][0]~q\,
	datac => \WideAnd2605~0_combout\,
	datad => \WideAnd2605~1_combout\,
	combout => \WideAnd2605~combout\);

-- Location: FF_X50_Y28_N5
\led_flash_cnt_ands[2605]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2605~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2605));

-- Location: LCCOMB_X51_Y24_N4
\led_flash_cnt[2604][0]~83244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2604][0]~83244_combout\ = !\led_flash_cnt[2604][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2604][0]~q\,
	combout => \led_flash_cnt[2604][0]~83244_combout\);

-- Location: FF_X51_Y24_N5
\led_flash_cnt[2604][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2604][0]~83244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2604][0]~q\);

-- Location: LCCOMB_X51_Y24_N10
\led_flash_cnt[2604][1]~63336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2604][1]~63336_combout\ = (\led_flash_cnt[2604][1]~q\ & (\led_flash_cnt[2604][0]~q\ $ (VCC))) # (!\led_flash_cnt[2604][1]~q\ & (\led_flash_cnt[2604][0]~q\ & VCC))
-- \led_flash_cnt[2604][1]~63337\ = CARRY((\led_flash_cnt[2604][1]~q\ & \led_flash_cnt[2604][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2604][1]~q\,
	datab => \led_flash_cnt[2604][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2604][1]~63336_combout\,
	cout => \led_flash_cnt[2604][1]~63337\);

-- Location: FF_X51_Y24_N11
\led_flash_cnt[2604][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2604][1]~63336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2604][1]~q\);

-- Location: LCCOMB_X51_Y24_N12
\led_flash_cnt[2604][2]~63338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2604][2]~63338_combout\ = (\led_flash_cnt[2604][2]~q\ & (!\led_flash_cnt[2604][1]~63337\)) # (!\led_flash_cnt[2604][2]~q\ & ((\led_flash_cnt[2604][1]~63337\) # (GND)))
-- \led_flash_cnt[2604][2]~63339\ = CARRY((!\led_flash_cnt[2604][1]~63337\) # (!\led_flash_cnt[2604][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2604][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2604][1]~63337\,
	combout => \led_flash_cnt[2604][2]~63338_combout\,
	cout => \led_flash_cnt[2604][2]~63339\);

-- Location: FF_X51_Y24_N13
\led_flash_cnt[2604][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2604][2]~63338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2604][2]~q\);

-- Location: LCCOMB_X51_Y24_N14
\led_flash_cnt[2604][3]~63340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2604][3]~63340_combout\ = (\led_flash_cnt[2604][3]~q\ & (\led_flash_cnt[2604][2]~63339\ $ (GND))) # (!\led_flash_cnt[2604][3]~q\ & (!\led_flash_cnt[2604][2]~63339\ & VCC))
-- \led_flash_cnt[2604][3]~63341\ = CARRY((\led_flash_cnt[2604][3]~q\ & !\led_flash_cnt[2604][2]~63339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2604][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2604][2]~63339\,
	combout => \led_flash_cnt[2604][3]~63340_combout\,
	cout => \led_flash_cnt[2604][3]~63341\);

-- Location: FF_X51_Y24_N15
\led_flash_cnt[2604][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2604][3]~63340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2604][3]~q\);

-- Location: LCCOMB_X51_Y24_N16
\led_flash_cnt[2604][4]~63342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2604][4]~63342_combout\ = (\led_flash_cnt[2604][4]~q\ & (!\led_flash_cnt[2604][3]~63341\)) # (!\led_flash_cnt[2604][4]~q\ & ((\led_flash_cnt[2604][3]~63341\) # (GND)))
-- \led_flash_cnt[2604][4]~63343\ = CARRY((!\led_flash_cnt[2604][3]~63341\) # (!\led_flash_cnt[2604][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2604][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2604][3]~63341\,
	combout => \led_flash_cnt[2604][4]~63342_combout\,
	cout => \led_flash_cnt[2604][4]~63343\);

-- Location: FF_X51_Y24_N17
\led_flash_cnt[2604][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2604][4]~63342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2604][4]~q\);

-- Location: LCCOMB_X51_Y24_N18
\led_flash_cnt[2604][5]~63344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2604][5]~63344_combout\ = (\led_flash_cnt[2604][5]~q\ & (\led_flash_cnt[2604][4]~63343\ $ (GND))) # (!\led_flash_cnt[2604][5]~q\ & (!\led_flash_cnt[2604][4]~63343\ & VCC))
-- \led_flash_cnt[2604][5]~63345\ = CARRY((\led_flash_cnt[2604][5]~q\ & !\led_flash_cnt[2604][4]~63343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2604][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2604][4]~63343\,
	combout => \led_flash_cnt[2604][5]~63344_combout\,
	cout => \led_flash_cnt[2604][5]~63345\);

-- Location: FF_X51_Y24_N19
\led_flash_cnt[2604][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2604][5]~63344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2604][5]~q\);

-- Location: LCCOMB_X51_Y24_N20
\led_flash_cnt[2604][6]~63346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2604][6]~63346_combout\ = (\led_flash_cnt[2604][6]~q\ & (!\led_flash_cnt[2604][5]~63345\)) # (!\led_flash_cnt[2604][6]~q\ & ((\led_flash_cnt[2604][5]~63345\) # (GND)))
-- \led_flash_cnt[2604][6]~63347\ = CARRY((!\led_flash_cnt[2604][5]~63345\) # (!\led_flash_cnt[2604][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2604][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2604][5]~63345\,
	combout => \led_flash_cnt[2604][6]~63346_combout\,
	cout => \led_flash_cnt[2604][6]~63347\);

-- Location: FF_X51_Y24_N21
\led_flash_cnt[2604][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2604][6]~63346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2604][6]~q\);

-- Location: LCCOMB_X51_Y24_N26
\WideAnd2604~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2604~1_combout\ = (\led_flash_cnt[2604][6]~q\ & \led_flash_cnt[2604][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2604][6]~q\,
	datad => \led_flash_cnt[2604][5]~q\,
	combout => \WideAnd2604~1_combout\);

-- Location: LCCOMB_X51_Y24_N22
\led_flash_cnt[2604][7]~63348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2604][7]~63348_combout\ = \led_flash_cnt[2604][7]~q\ $ (!\led_flash_cnt[2604][6]~63347\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2604][7]~q\,
	cin => \led_flash_cnt[2604][6]~63347\,
	combout => \led_flash_cnt[2604][7]~63348_combout\);

-- Location: FF_X51_Y24_N23
\led_flash_cnt[2604][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2604][7]~63348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2604][7]~q\);

-- Location: LCCOMB_X51_Y24_N24
\WideAnd2604~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2604~0_combout\ = (\led_flash_cnt[2604][1]~q\ & (\led_flash_cnt[2604][4]~q\ & (\led_flash_cnt[2604][3]~q\ & \led_flash_cnt[2604][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2604][1]~q\,
	datab => \led_flash_cnt[2604][4]~q\,
	datac => \led_flash_cnt[2604][3]~q\,
	datad => \led_flash_cnt[2604][2]~q\,
	combout => \WideAnd2604~0_combout\);

-- Location: LCCOMB_X51_Y24_N8
WideAnd2604 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2604~combout\ = (\WideAnd2604~1_combout\ & (\led_flash_cnt[2604][0]~q\ & (\led_flash_cnt[2604][7]~q\ & \WideAnd2604~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2604~1_combout\,
	datab => \led_flash_cnt[2604][0]~q\,
	datac => \led_flash_cnt[2604][7]~q\,
	datad => \WideAnd2604~0_combout\,
	combout => \WideAnd2604~combout\);

-- Location: FF_X51_Y24_N9
\led_flash_cnt_ands[2604]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2604~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2604));

-- Location: LCCOMB_X50_Y28_N30
\WideAnd4165~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4165~1_combout\ = (led_flash_cnt_ands(2605) & led_flash_cnt_ands(2604))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2605),
	datac => led_flash_cnt_ands(2604),
	combout => \WideAnd4165~1_combout\);

-- Location: LCCOMB_X54_Y32_N10
\led_flash_cnt[2606][0]~83246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2606][0]~83246_combout\ = !\led_flash_cnt[2606][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2606][0]~q\,
	combout => \led_flash_cnt[2606][0]~83246_combout\);

-- Location: FF_X54_Y32_N11
\led_flash_cnt[2606][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2606][0]~83246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2606][0]~q\);

-- Location: LCCOMB_X54_Y32_N16
\led_flash_cnt[2606][1]~63364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2606][1]~63364_combout\ = (\led_flash_cnt[2606][0]~q\ & (\led_flash_cnt[2606][1]~q\ $ (VCC))) # (!\led_flash_cnt[2606][0]~q\ & (\led_flash_cnt[2606][1]~q\ & VCC))
-- \led_flash_cnt[2606][1]~63365\ = CARRY((\led_flash_cnt[2606][0]~q\ & \led_flash_cnt[2606][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2606][0]~q\,
	datab => \led_flash_cnt[2606][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2606][1]~63364_combout\,
	cout => \led_flash_cnt[2606][1]~63365\);

-- Location: FF_X54_Y32_N17
\led_flash_cnt[2606][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2606][1]~63364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2606][1]~q\);

-- Location: LCCOMB_X54_Y32_N18
\led_flash_cnt[2606][2]~63366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2606][2]~63366_combout\ = (\led_flash_cnt[2606][2]~q\ & (!\led_flash_cnt[2606][1]~63365\)) # (!\led_flash_cnt[2606][2]~q\ & ((\led_flash_cnt[2606][1]~63365\) # (GND)))
-- \led_flash_cnt[2606][2]~63367\ = CARRY((!\led_flash_cnt[2606][1]~63365\) # (!\led_flash_cnt[2606][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2606][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2606][1]~63365\,
	combout => \led_flash_cnt[2606][2]~63366_combout\,
	cout => \led_flash_cnt[2606][2]~63367\);

-- Location: FF_X54_Y32_N19
\led_flash_cnt[2606][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2606][2]~63366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2606][2]~q\);

-- Location: LCCOMB_X54_Y32_N20
\led_flash_cnt[2606][3]~63368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2606][3]~63368_combout\ = (\led_flash_cnt[2606][3]~q\ & (\led_flash_cnt[2606][2]~63367\ $ (GND))) # (!\led_flash_cnt[2606][3]~q\ & (!\led_flash_cnt[2606][2]~63367\ & VCC))
-- \led_flash_cnt[2606][3]~63369\ = CARRY((\led_flash_cnt[2606][3]~q\ & !\led_flash_cnt[2606][2]~63367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2606][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2606][2]~63367\,
	combout => \led_flash_cnt[2606][3]~63368_combout\,
	cout => \led_flash_cnt[2606][3]~63369\);

-- Location: FF_X54_Y32_N21
\led_flash_cnt[2606][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2606][3]~63368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2606][3]~q\);

-- Location: LCCOMB_X54_Y32_N22
\led_flash_cnt[2606][4]~63370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2606][4]~63370_combout\ = (\led_flash_cnt[2606][4]~q\ & (!\led_flash_cnt[2606][3]~63369\)) # (!\led_flash_cnt[2606][4]~q\ & ((\led_flash_cnt[2606][3]~63369\) # (GND)))
-- \led_flash_cnt[2606][4]~63371\ = CARRY((!\led_flash_cnt[2606][3]~63369\) # (!\led_flash_cnt[2606][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2606][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2606][3]~63369\,
	combout => \led_flash_cnt[2606][4]~63370_combout\,
	cout => \led_flash_cnt[2606][4]~63371\);

-- Location: FF_X54_Y32_N23
\led_flash_cnt[2606][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2606][4]~63370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2606][4]~q\);

-- Location: LCCOMB_X54_Y32_N24
\led_flash_cnt[2606][5]~63372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2606][5]~63372_combout\ = (\led_flash_cnt[2606][5]~q\ & (\led_flash_cnt[2606][4]~63371\ $ (GND))) # (!\led_flash_cnt[2606][5]~q\ & (!\led_flash_cnt[2606][4]~63371\ & VCC))
-- \led_flash_cnt[2606][5]~63373\ = CARRY((\led_flash_cnt[2606][5]~q\ & !\led_flash_cnt[2606][4]~63371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2606][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2606][4]~63371\,
	combout => \led_flash_cnt[2606][5]~63372_combout\,
	cout => \led_flash_cnt[2606][5]~63373\);

-- Location: FF_X54_Y32_N25
\led_flash_cnt[2606][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2606][5]~63372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2606][5]~q\);

-- Location: LCCOMB_X54_Y32_N26
\led_flash_cnt[2606][6]~63374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2606][6]~63374_combout\ = (\led_flash_cnt[2606][6]~q\ & (!\led_flash_cnt[2606][5]~63373\)) # (!\led_flash_cnt[2606][6]~q\ & ((\led_flash_cnt[2606][5]~63373\) # (GND)))
-- \led_flash_cnt[2606][6]~63375\ = CARRY((!\led_flash_cnt[2606][5]~63373\) # (!\led_flash_cnt[2606][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2606][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2606][5]~63373\,
	combout => \led_flash_cnt[2606][6]~63374_combout\,
	cout => \led_flash_cnt[2606][6]~63375\);

-- Location: FF_X54_Y32_N27
\led_flash_cnt[2606][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2606][6]~63374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2606][6]~q\);

-- Location: LCCOMB_X54_Y32_N28
\led_flash_cnt[2606][7]~63376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2606][7]~63376_combout\ = \led_flash_cnt[2606][6]~63375\ $ (!\led_flash_cnt[2606][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2606][7]~q\,
	cin => \led_flash_cnt[2606][6]~63375\,
	combout => \led_flash_cnt[2606][7]~63376_combout\);

-- Location: FF_X54_Y32_N29
\led_flash_cnt[2606][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2606][7]~63376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2606][7]~q\);

-- Location: LCCOMB_X54_Y32_N14
\WideAnd2606~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2606~1_combout\ = (\led_flash_cnt[2606][6]~q\ & \led_flash_cnt[2606][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2606][6]~q\,
	datad => \led_flash_cnt[2606][5]~q\,
	combout => \WideAnd2606~1_combout\);

-- Location: LCCOMB_X54_Y32_N2
\WideAnd2606~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2606~0_combout\ = (\led_flash_cnt[2606][1]~q\ & (\led_flash_cnt[2606][3]~q\ & (\led_flash_cnt[2606][4]~q\ & \led_flash_cnt[2606][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2606][1]~q\,
	datab => \led_flash_cnt[2606][3]~q\,
	datac => \led_flash_cnt[2606][4]~q\,
	datad => \led_flash_cnt[2606][2]~q\,
	combout => \WideAnd2606~0_combout\);

-- Location: LCCOMB_X54_Y32_N8
WideAnd2606 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2606~combout\ = (\led_flash_cnt[2606][0]~q\ & (\led_flash_cnt[2606][7]~q\ & (\WideAnd2606~1_combout\ & \WideAnd2606~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2606][0]~q\,
	datab => \led_flash_cnt[2606][7]~q\,
	datac => \WideAnd2606~1_combout\,
	datad => \WideAnd2606~0_combout\,
	combout => \WideAnd2606~combout\);

-- Location: FF_X54_Y32_N9
\led_flash_cnt_ands[2606]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2606~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2606));

-- Location: LCCOMB_X49_Y16_N6
\led_flash_cnt[2601][0]~83241\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2601][0]~83241_combout\ = !\led_flash_cnt[2601][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2601][0]~q\,
	combout => \led_flash_cnt[2601][0]~83241_combout\);

-- Location: FF_X49_Y16_N7
\led_flash_cnt[2601][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2601][0]~83241_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2601][0]~q\);

-- Location: LCCOMB_X49_Y20_N18
\led_flash_cnt[2601][1]~63294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2601][1]~63294_combout\ = (\led_flash_cnt[2601][0]~q\ & (\led_flash_cnt[2601][1]~q\ $ (VCC))) # (!\led_flash_cnt[2601][0]~q\ & (\led_flash_cnt[2601][1]~q\ & VCC))
-- \led_flash_cnt[2601][1]~63295\ = CARRY((\led_flash_cnt[2601][0]~q\ & \led_flash_cnt[2601][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2601][0]~q\,
	datab => \led_flash_cnt[2601][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2601][1]~63294_combout\,
	cout => \led_flash_cnt[2601][1]~63295\);

-- Location: FF_X49_Y20_N19
\led_flash_cnt[2601][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2601][1]~63294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2601][1]~q\);

-- Location: LCCOMB_X49_Y20_N20
\led_flash_cnt[2601][2]~63296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2601][2]~63296_combout\ = (\led_flash_cnt[2601][2]~q\ & (!\led_flash_cnt[2601][1]~63295\)) # (!\led_flash_cnt[2601][2]~q\ & ((\led_flash_cnt[2601][1]~63295\) # (GND)))
-- \led_flash_cnt[2601][2]~63297\ = CARRY((!\led_flash_cnt[2601][1]~63295\) # (!\led_flash_cnt[2601][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2601][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2601][1]~63295\,
	combout => \led_flash_cnt[2601][2]~63296_combout\,
	cout => \led_flash_cnt[2601][2]~63297\);

-- Location: FF_X49_Y20_N21
\led_flash_cnt[2601][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2601][2]~63296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2601][2]~q\);

-- Location: LCCOMB_X49_Y20_N22
\led_flash_cnt[2601][3]~63298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2601][3]~63298_combout\ = (\led_flash_cnt[2601][3]~q\ & (\led_flash_cnt[2601][2]~63297\ $ (GND))) # (!\led_flash_cnt[2601][3]~q\ & (!\led_flash_cnt[2601][2]~63297\ & VCC))
-- \led_flash_cnt[2601][3]~63299\ = CARRY((\led_flash_cnt[2601][3]~q\ & !\led_flash_cnt[2601][2]~63297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2601][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2601][2]~63297\,
	combout => \led_flash_cnt[2601][3]~63298_combout\,
	cout => \led_flash_cnt[2601][3]~63299\);

-- Location: FF_X49_Y20_N23
\led_flash_cnt[2601][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2601][3]~63298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2601][3]~q\);

-- Location: LCCOMB_X49_Y20_N24
\led_flash_cnt[2601][4]~63300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2601][4]~63300_combout\ = (\led_flash_cnt[2601][4]~q\ & (!\led_flash_cnt[2601][3]~63299\)) # (!\led_flash_cnt[2601][4]~q\ & ((\led_flash_cnt[2601][3]~63299\) # (GND)))
-- \led_flash_cnt[2601][4]~63301\ = CARRY((!\led_flash_cnt[2601][3]~63299\) # (!\led_flash_cnt[2601][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2601][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2601][3]~63299\,
	combout => \led_flash_cnt[2601][4]~63300_combout\,
	cout => \led_flash_cnt[2601][4]~63301\);

-- Location: FF_X49_Y20_N25
\led_flash_cnt[2601][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2601][4]~63300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2601][4]~q\);

-- Location: LCCOMB_X49_Y20_N16
\WideAnd2601~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2601~0_combout\ = (\led_flash_cnt[2601][4]~q\ & (\led_flash_cnt[2601][2]~q\ & (\led_flash_cnt[2601][3]~q\ & \led_flash_cnt[2601][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2601][4]~q\,
	datab => \led_flash_cnt[2601][2]~q\,
	datac => \led_flash_cnt[2601][3]~q\,
	datad => \led_flash_cnt[2601][1]~q\,
	combout => \WideAnd2601~0_combout\);

-- Location: LCCOMB_X49_Y20_N26
\led_flash_cnt[2601][5]~63302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2601][5]~63302_combout\ = (\led_flash_cnt[2601][5]~q\ & (\led_flash_cnt[2601][4]~63301\ $ (GND))) # (!\led_flash_cnt[2601][5]~q\ & (!\led_flash_cnt[2601][4]~63301\ & VCC))
-- \led_flash_cnt[2601][5]~63303\ = CARRY((\led_flash_cnt[2601][5]~q\ & !\led_flash_cnt[2601][4]~63301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2601][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2601][4]~63301\,
	combout => \led_flash_cnt[2601][5]~63302_combout\,
	cout => \led_flash_cnt[2601][5]~63303\);

-- Location: FF_X49_Y20_N27
\led_flash_cnt[2601][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2601][5]~63302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2601][5]~q\);

-- Location: LCCOMB_X49_Y20_N28
\led_flash_cnt[2601][6]~63304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2601][6]~63304_combout\ = (\led_flash_cnt[2601][6]~q\ & (!\led_flash_cnt[2601][5]~63303\)) # (!\led_flash_cnt[2601][6]~q\ & ((\led_flash_cnt[2601][5]~63303\) # (GND)))
-- \led_flash_cnt[2601][6]~63305\ = CARRY((!\led_flash_cnt[2601][5]~63303\) # (!\led_flash_cnt[2601][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2601][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2601][5]~63303\,
	combout => \led_flash_cnt[2601][6]~63304_combout\,
	cout => \led_flash_cnt[2601][6]~63305\);

-- Location: FF_X49_Y20_N29
\led_flash_cnt[2601][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2601][6]~63304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2601][6]~q\);

-- Location: LCCOMB_X49_Y20_N30
\led_flash_cnt[2601][7]~63306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2601][7]~63306_combout\ = \led_flash_cnt[2601][7]~q\ $ (!\led_flash_cnt[2601][6]~63305\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2601][7]~q\,
	cin => \led_flash_cnt[2601][6]~63305\,
	combout => \led_flash_cnt[2601][7]~63306_combout\);

-- Location: FF_X49_Y20_N31
\led_flash_cnt[2601][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2601][7]~63306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2601][7]~q\);

-- Location: LCCOMB_X49_Y16_N16
\WideAnd2601~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2601~1_combout\ = (\led_flash_cnt[2601][6]~q\ & \led_flash_cnt[2601][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2601][6]~q\,
	datad => \led_flash_cnt[2601][5]~q\,
	combout => \WideAnd2601~1_combout\);

-- Location: LCCOMB_X49_Y16_N12
WideAnd2601 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2601~combout\ = (\led_flash_cnt[2601][0]~q\ & (\WideAnd2601~0_combout\ & (\led_flash_cnt[2601][7]~q\ & \WideAnd2601~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2601][0]~q\,
	datab => \WideAnd2601~0_combout\,
	datac => \led_flash_cnt[2601][7]~q\,
	datad => \WideAnd2601~1_combout\,
	combout => \WideAnd2601~combout\);

-- Location: FF_X49_Y16_N13
\led_flash_cnt_ands[2601]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2601~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2601));

-- Location: LCCOMB_X45_Y13_N6
\led_flash_cnt[2603][0]~83243\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2603][0]~83243_combout\ = !\led_flash_cnt[2603][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2603][0]~q\,
	combout => \led_flash_cnt[2603][0]~83243_combout\);

-- Location: FF_X45_Y13_N7
\led_flash_cnt[2603][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2603][0]~83243_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2603][0]~q\);

-- Location: LCCOMB_X46_Y13_N18
\led_flash_cnt[2603][1]~63322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2603][1]~63322_combout\ = (\led_flash_cnt[2603][0]~q\ & (\led_flash_cnt[2603][1]~q\ $ (VCC))) # (!\led_flash_cnt[2603][0]~q\ & (\led_flash_cnt[2603][1]~q\ & VCC))
-- \led_flash_cnt[2603][1]~63323\ = CARRY((\led_flash_cnt[2603][0]~q\ & \led_flash_cnt[2603][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2603][0]~q\,
	datab => \led_flash_cnt[2603][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2603][1]~63322_combout\,
	cout => \led_flash_cnt[2603][1]~63323\);

-- Location: FF_X46_Y13_N19
\led_flash_cnt[2603][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2603][1]~63322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2603][1]~q\);

-- Location: LCCOMB_X46_Y13_N20
\led_flash_cnt[2603][2]~63324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2603][2]~63324_combout\ = (\led_flash_cnt[2603][2]~q\ & (!\led_flash_cnt[2603][1]~63323\)) # (!\led_flash_cnt[2603][2]~q\ & ((\led_flash_cnt[2603][1]~63323\) # (GND)))
-- \led_flash_cnt[2603][2]~63325\ = CARRY((!\led_flash_cnt[2603][1]~63323\) # (!\led_flash_cnt[2603][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2603][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2603][1]~63323\,
	combout => \led_flash_cnt[2603][2]~63324_combout\,
	cout => \led_flash_cnt[2603][2]~63325\);

-- Location: FF_X46_Y13_N21
\led_flash_cnt[2603][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2603][2]~63324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2603][2]~q\);

-- Location: LCCOMB_X46_Y13_N22
\led_flash_cnt[2603][3]~63326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2603][3]~63326_combout\ = (\led_flash_cnt[2603][3]~q\ & (\led_flash_cnt[2603][2]~63325\ $ (GND))) # (!\led_flash_cnt[2603][3]~q\ & (!\led_flash_cnt[2603][2]~63325\ & VCC))
-- \led_flash_cnt[2603][3]~63327\ = CARRY((\led_flash_cnt[2603][3]~q\ & !\led_flash_cnt[2603][2]~63325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2603][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2603][2]~63325\,
	combout => \led_flash_cnt[2603][3]~63326_combout\,
	cout => \led_flash_cnt[2603][3]~63327\);

-- Location: FF_X46_Y13_N23
\led_flash_cnt[2603][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2603][3]~63326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2603][3]~q\);

-- Location: LCCOMB_X46_Y13_N24
\led_flash_cnt[2603][4]~63328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2603][4]~63328_combout\ = (\led_flash_cnt[2603][4]~q\ & (!\led_flash_cnt[2603][3]~63327\)) # (!\led_flash_cnt[2603][4]~q\ & ((\led_flash_cnt[2603][3]~63327\) # (GND)))
-- \led_flash_cnt[2603][4]~63329\ = CARRY((!\led_flash_cnt[2603][3]~63327\) # (!\led_flash_cnt[2603][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2603][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2603][3]~63327\,
	combout => \led_flash_cnt[2603][4]~63328_combout\,
	cout => \led_flash_cnt[2603][4]~63329\);

-- Location: FF_X46_Y13_N25
\led_flash_cnt[2603][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2603][4]~63328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2603][4]~q\);

-- Location: LCCOMB_X46_Y13_N26
\led_flash_cnt[2603][5]~63330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2603][5]~63330_combout\ = (\led_flash_cnt[2603][5]~q\ & (\led_flash_cnt[2603][4]~63329\ $ (GND))) # (!\led_flash_cnt[2603][5]~q\ & (!\led_flash_cnt[2603][4]~63329\ & VCC))
-- \led_flash_cnt[2603][5]~63331\ = CARRY((\led_flash_cnt[2603][5]~q\ & !\led_flash_cnt[2603][4]~63329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2603][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2603][4]~63329\,
	combout => \led_flash_cnt[2603][5]~63330_combout\,
	cout => \led_flash_cnt[2603][5]~63331\);

-- Location: FF_X46_Y13_N27
\led_flash_cnt[2603][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2603][5]~63330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2603][5]~q\);

-- Location: LCCOMB_X46_Y13_N28
\led_flash_cnt[2603][6]~63332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2603][6]~63332_combout\ = (\led_flash_cnt[2603][6]~q\ & (!\led_flash_cnt[2603][5]~63331\)) # (!\led_flash_cnt[2603][6]~q\ & ((\led_flash_cnt[2603][5]~63331\) # (GND)))
-- \led_flash_cnt[2603][6]~63333\ = CARRY((!\led_flash_cnt[2603][5]~63331\) # (!\led_flash_cnt[2603][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2603][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2603][5]~63331\,
	combout => \led_flash_cnt[2603][6]~63332_combout\,
	cout => \led_flash_cnt[2603][6]~63333\);

-- Location: FF_X46_Y13_N29
\led_flash_cnt[2603][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2603][6]~63332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2603][6]~q\);

-- Location: LCCOMB_X45_Y13_N0
\WideAnd2603~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2603~1_combout\ = (\led_flash_cnt[2603][6]~q\ & \led_flash_cnt[2603][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2603][6]~q\,
	datad => \led_flash_cnt[2603][5]~q\,
	combout => \WideAnd2603~1_combout\);

-- Location: LCCOMB_X46_Y13_N30
\led_flash_cnt[2603][7]~63334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2603][7]~63334_combout\ = \led_flash_cnt[2603][7]~q\ $ (!\led_flash_cnt[2603][6]~63333\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2603][7]~q\,
	cin => \led_flash_cnt[2603][6]~63333\,
	combout => \led_flash_cnt[2603][7]~63334_combout\);

-- Location: FF_X46_Y13_N31
\led_flash_cnt[2603][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2603][7]~63334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2603][7]~q\);

-- Location: LCCOMB_X46_Y13_N16
\WideAnd2603~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2603~0_combout\ = (\led_flash_cnt[2603][4]~q\ & (\led_flash_cnt[2603][2]~q\ & (\led_flash_cnt[2603][3]~q\ & \led_flash_cnt[2603][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2603][4]~q\,
	datab => \led_flash_cnt[2603][2]~q\,
	datac => \led_flash_cnt[2603][3]~q\,
	datad => \led_flash_cnt[2603][1]~q\,
	combout => \WideAnd2603~0_combout\);

-- Location: LCCOMB_X45_Y13_N4
WideAnd2603 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2603~combout\ = (\led_flash_cnt[2603][0]~q\ & (\WideAnd2603~1_combout\ & (\led_flash_cnt[2603][7]~q\ & \WideAnd2603~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2603][0]~q\,
	datab => \WideAnd2603~1_combout\,
	datac => \led_flash_cnt[2603][7]~q\,
	datad => \WideAnd2603~0_combout\,
	combout => \WideAnd2603~combout\);

-- Location: FF_X45_Y13_N5
\led_flash_cnt_ands[2603]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2603~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2603));

-- Location: LCCOMB_X45_Y13_N12
\led_flash_cnt[2602][0]~83242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2602][0]~83242_combout\ = !\led_flash_cnt[2602][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2602][0]~q\,
	combout => \led_flash_cnt[2602][0]~83242_combout\);

-- Location: FF_X45_Y13_N13
\led_flash_cnt[2602][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2602][0]~83242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2602][0]~q\);

-- Location: LCCOMB_X45_Y13_N14
\led_flash_cnt[2602][1]~63308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2602][1]~63308_combout\ = (\led_flash_cnt[2602][0]~q\ & (\led_flash_cnt[2602][1]~q\ $ (VCC))) # (!\led_flash_cnt[2602][0]~q\ & (\led_flash_cnt[2602][1]~q\ & VCC))
-- \led_flash_cnt[2602][1]~63309\ = CARRY((\led_flash_cnt[2602][0]~q\ & \led_flash_cnt[2602][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2602][0]~q\,
	datab => \led_flash_cnt[2602][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2602][1]~63308_combout\,
	cout => \led_flash_cnt[2602][1]~63309\);

-- Location: FF_X45_Y13_N15
\led_flash_cnt[2602][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2602][1]~63308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2602][1]~q\);

-- Location: LCCOMB_X45_Y13_N16
\led_flash_cnt[2602][2]~63310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2602][2]~63310_combout\ = (\led_flash_cnt[2602][2]~q\ & (!\led_flash_cnt[2602][1]~63309\)) # (!\led_flash_cnt[2602][2]~q\ & ((\led_flash_cnt[2602][1]~63309\) # (GND)))
-- \led_flash_cnt[2602][2]~63311\ = CARRY((!\led_flash_cnt[2602][1]~63309\) # (!\led_flash_cnt[2602][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2602][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2602][1]~63309\,
	combout => \led_flash_cnt[2602][2]~63310_combout\,
	cout => \led_flash_cnt[2602][2]~63311\);

-- Location: FF_X45_Y13_N17
\led_flash_cnt[2602][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2602][2]~63310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2602][2]~q\);

-- Location: LCCOMB_X45_Y13_N18
\led_flash_cnt[2602][3]~63312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2602][3]~63312_combout\ = (\led_flash_cnt[2602][3]~q\ & (\led_flash_cnt[2602][2]~63311\ $ (GND))) # (!\led_flash_cnt[2602][3]~q\ & (!\led_flash_cnt[2602][2]~63311\ & VCC))
-- \led_flash_cnt[2602][3]~63313\ = CARRY((\led_flash_cnt[2602][3]~q\ & !\led_flash_cnt[2602][2]~63311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2602][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2602][2]~63311\,
	combout => \led_flash_cnt[2602][3]~63312_combout\,
	cout => \led_flash_cnt[2602][3]~63313\);

-- Location: FF_X45_Y13_N19
\led_flash_cnt[2602][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2602][3]~63312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2602][3]~q\);

-- Location: LCCOMB_X45_Y13_N20
\led_flash_cnt[2602][4]~63314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2602][4]~63314_combout\ = (\led_flash_cnt[2602][4]~q\ & (!\led_flash_cnt[2602][3]~63313\)) # (!\led_flash_cnt[2602][4]~q\ & ((\led_flash_cnt[2602][3]~63313\) # (GND)))
-- \led_flash_cnt[2602][4]~63315\ = CARRY((!\led_flash_cnt[2602][3]~63313\) # (!\led_flash_cnt[2602][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2602][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2602][3]~63313\,
	combout => \led_flash_cnt[2602][4]~63314_combout\,
	cout => \led_flash_cnt[2602][4]~63315\);

-- Location: FF_X45_Y13_N21
\led_flash_cnt[2602][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2602][4]~63314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2602][4]~q\);

-- Location: LCCOMB_X45_Y13_N8
\WideAnd2602~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2602~0_combout\ = (\led_flash_cnt[2602][2]~q\ & (\led_flash_cnt[2602][4]~q\ & (\led_flash_cnt[2602][1]~q\ & \led_flash_cnt[2602][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2602][2]~q\,
	datab => \led_flash_cnt[2602][4]~q\,
	datac => \led_flash_cnt[2602][1]~q\,
	datad => \led_flash_cnt[2602][3]~q\,
	combout => \WideAnd2602~0_combout\);

-- Location: LCCOMB_X45_Y13_N22
\led_flash_cnt[2602][5]~63316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2602][5]~63316_combout\ = (\led_flash_cnt[2602][5]~q\ & (\led_flash_cnt[2602][4]~63315\ $ (GND))) # (!\led_flash_cnt[2602][5]~q\ & (!\led_flash_cnt[2602][4]~63315\ & VCC))
-- \led_flash_cnt[2602][5]~63317\ = CARRY((\led_flash_cnt[2602][5]~q\ & !\led_flash_cnt[2602][4]~63315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2602][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2602][4]~63315\,
	combout => \led_flash_cnt[2602][5]~63316_combout\,
	cout => \led_flash_cnt[2602][5]~63317\);

-- Location: FF_X45_Y13_N23
\led_flash_cnt[2602][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2602][5]~63316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2602][5]~q\);

-- Location: LCCOMB_X45_Y13_N24
\led_flash_cnt[2602][6]~63318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2602][6]~63318_combout\ = (\led_flash_cnt[2602][6]~q\ & (!\led_flash_cnt[2602][5]~63317\)) # (!\led_flash_cnt[2602][6]~q\ & ((\led_flash_cnt[2602][5]~63317\) # (GND)))
-- \led_flash_cnt[2602][6]~63319\ = CARRY((!\led_flash_cnt[2602][5]~63317\) # (!\led_flash_cnt[2602][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2602][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2602][5]~63317\,
	combout => \led_flash_cnt[2602][6]~63318_combout\,
	cout => \led_flash_cnt[2602][6]~63319\);

-- Location: FF_X45_Y13_N25
\led_flash_cnt[2602][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2602][6]~63318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2602][6]~q\);

-- Location: LCCOMB_X45_Y13_N26
\led_flash_cnt[2602][7]~63320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2602][7]~63320_combout\ = \led_flash_cnt[2602][7]~q\ $ (!\led_flash_cnt[2602][6]~63319\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2602][7]~q\,
	cin => \led_flash_cnt[2602][6]~63319\,
	combout => \led_flash_cnt[2602][7]~63320_combout\);

-- Location: FF_X45_Y13_N27
\led_flash_cnt[2602][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2602][7]~63320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2602][7]~q\);

-- Location: LCCOMB_X45_Y13_N2
\WideAnd2602~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2602~1_combout\ = (\led_flash_cnt[2602][5]~q\ & \led_flash_cnt[2602][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2602][5]~q\,
	datad => \led_flash_cnt[2602][6]~q\,
	combout => \WideAnd2602~1_combout\);

-- Location: LCCOMB_X45_Y13_N28
WideAnd2602 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2602~combout\ = (\led_flash_cnt[2602][0]~q\ & (\WideAnd2602~0_combout\ & (\led_flash_cnt[2602][7]~q\ & \WideAnd2602~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2602][0]~q\,
	datab => \WideAnd2602~0_combout\,
	datac => \led_flash_cnt[2602][7]~q\,
	datad => \WideAnd2602~1_combout\,
	combout => \WideAnd2602~combout\);

-- Location: FF_X45_Y13_N29
\led_flash_cnt_ands[2602]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2602~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2602));

-- Location: LCCOMB_X49_Y16_N10
\led_flash_cnt[2600][0]~83240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2600][0]~83240_combout\ = !\led_flash_cnt[2600][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2600][0]~q\,
	combout => \led_flash_cnt[2600][0]~83240_combout\);

-- Location: FF_X49_Y16_N11
\led_flash_cnt[2600][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2600][0]~83240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2600][0]~q\);

-- Location: LCCOMB_X49_Y16_N18
\led_flash_cnt[2600][1]~63280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2600][1]~63280_combout\ = (\led_flash_cnt[2600][0]~q\ & (\led_flash_cnt[2600][1]~q\ $ (VCC))) # (!\led_flash_cnt[2600][0]~q\ & (\led_flash_cnt[2600][1]~q\ & VCC))
-- \led_flash_cnt[2600][1]~63281\ = CARRY((\led_flash_cnt[2600][0]~q\ & \led_flash_cnt[2600][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2600][0]~q\,
	datab => \led_flash_cnt[2600][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2600][1]~63280_combout\,
	cout => \led_flash_cnt[2600][1]~63281\);

-- Location: FF_X49_Y16_N19
\led_flash_cnt[2600][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2600][1]~63280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2600][1]~q\);

-- Location: LCCOMB_X49_Y16_N20
\led_flash_cnt[2600][2]~63282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2600][2]~63282_combout\ = (\led_flash_cnt[2600][2]~q\ & (!\led_flash_cnt[2600][1]~63281\)) # (!\led_flash_cnt[2600][2]~q\ & ((\led_flash_cnt[2600][1]~63281\) # (GND)))
-- \led_flash_cnt[2600][2]~63283\ = CARRY((!\led_flash_cnt[2600][1]~63281\) # (!\led_flash_cnt[2600][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2600][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2600][1]~63281\,
	combout => \led_flash_cnt[2600][2]~63282_combout\,
	cout => \led_flash_cnt[2600][2]~63283\);

-- Location: FF_X49_Y16_N21
\led_flash_cnt[2600][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2600][2]~63282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2600][2]~q\);

-- Location: LCCOMB_X49_Y16_N22
\led_flash_cnt[2600][3]~63284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2600][3]~63284_combout\ = (\led_flash_cnt[2600][3]~q\ & (\led_flash_cnt[2600][2]~63283\ $ (GND))) # (!\led_flash_cnt[2600][3]~q\ & (!\led_flash_cnt[2600][2]~63283\ & VCC))
-- \led_flash_cnt[2600][3]~63285\ = CARRY((\led_flash_cnt[2600][3]~q\ & !\led_flash_cnt[2600][2]~63283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2600][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2600][2]~63283\,
	combout => \led_flash_cnt[2600][3]~63284_combout\,
	cout => \led_flash_cnt[2600][3]~63285\);

-- Location: FF_X49_Y16_N23
\led_flash_cnt[2600][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2600][3]~63284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2600][3]~q\);

-- Location: LCCOMB_X49_Y16_N24
\led_flash_cnt[2600][4]~63286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2600][4]~63286_combout\ = (\led_flash_cnt[2600][4]~q\ & (!\led_flash_cnt[2600][3]~63285\)) # (!\led_flash_cnt[2600][4]~q\ & ((\led_flash_cnt[2600][3]~63285\) # (GND)))
-- \led_flash_cnt[2600][4]~63287\ = CARRY((!\led_flash_cnt[2600][3]~63285\) # (!\led_flash_cnt[2600][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2600][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2600][3]~63285\,
	combout => \led_flash_cnt[2600][4]~63286_combout\,
	cout => \led_flash_cnt[2600][4]~63287\);

-- Location: FF_X49_Y16_N25
\led_flash_cnt[2600][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2600][4]~63286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2600][4]~q\);

-- Location: LCCOMB_X49_Y16_N26
\led_flash_cnt[2600][5]~63288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2600][5]~63288_combout\ = (\led_flash_cnt[2600][5]~q\ & (\led_flash_cnt[2600][4]~63287\ $ (GND))) # (!\led_flash_cnt[2600][5]~q\ & (!\led_flash_cnt[2600][4]~63287\ & VCC))
-- \led_flash_cnt[2600][5]~63289\ = CARRY((\led_flash_cnt[2600][5]~q\ & !\led_flash_cnt[2600][4]~63287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2600][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2600][4]~63287\,
	combout => \led_flash_cnt[2600][5]~63288_combout\,
	cout => \led_flash_cnt[2600][5]~63289\);

-- Location: FF_X49_Y16_N27
\led_flash_cnt[2600][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2600][5]~63288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2600][5]~q\);

-- Location: LCCOMB_X49_Y16_N28
\led_flash_cnt[2600][6]~63290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2600][6]~63290_combout\ = (\led_flash_cnt[2600][6]~q\ & (!\led_flash_cnt[2600][5]~63289\)) # (!\led_flash_cnt[2600][6]~q\ & ((\led_flash_cnt[2600][5]~63289\) # (GND)))
-- \led_flash_cnt[2600][6]~63291\ = CARRY((!\led_flash_cnt[2600][5]~63289\) # (!\led_flash_cnt[2600][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2600][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2600][5]~63289\,
	combout => \led_flash_cnt[2600][6]~63290_combout\,
	cout => \led_flash_cnt[2600][6]~63291\);

-- Location: FF_X49_Y16_N29
\led_flash_cnt[2600][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2600][6]~63290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2600][6]~q\);

-- Location: LCCOMB_X49_Y16_N30
\led_flash_cnt[2600][7]~63292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2600][7]~63292_combout\ = \led_flash_cnt[2600][7]~q\ $ (!\led_flash_cnt[2600][6]~63291\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2600][7]~q\,
	cin => \led_flash_cnt[2600][6]~63291\,
	combout => \led_flash_cnt[2600][7]~63292_combout\);

-- Location: FF_X49_Y16_N31
\led_flash_cnt[2600][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2600][7]~63292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2600][7]~q\);

-- Location: LCCOMB_X49_Y16_N2
\WideAnd2600~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2600~1_combout\ = (\led_flash_cnt[2600][5]~q\ & \led_flash_cnt[2600][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2600][5]~q\,
	datad => \led_flash_cnt[2600][6]~q\,
	combout => \WideAnd2600~1_combout\);

-- Location: LCCOMB_X49_Y16_N4
\WideAnd2600~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2600~0_combout\ = (\led_flash_cnt[2600][4]~q\ & (\led_flash_cnt[2600][2]~q\ & (\led_flash_cnt[2600][3]~q\ & \led_flash_cnt[2600][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2600][4]~q\,
	datab => \led_flash_cnt[2600][2]~q\,
	datac => \led_flash_cnt[2600][3]~q\,
	datad => \led_flash_cnt[2600][1]~q\,
	combout => \WideAnd2600~0_combout\);

-- Location: LCCOMB_X49_Y16_N0
WideAnd2600 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2600~combout\ = (\led_flash_cnt[2600][7]~q\ & (\WideAnd2600~1_combout\ & (\WideAnd2600~0_combout\ & \led_flash_cnt[2600][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2600][7]~q\,
	datab => \WideAnd2600~1_combout\,
	datac => \WideAnd2600~0_combout\,
	datad => \led_flash_cnt[2600][0]~q\,
	combout => \WideAnd2600~combout\);

-- Location: FF_X49_Y16_N1
\led_flash_cnt_ands[2600]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2600~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2600));

-- Location: LCCOMB_X49_Y16_N8
\WideAnd4165~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4165~0_combout\ = (led_flash_cnt_ands(2601) & (led_flash_cnt_ands(2603) & (led_flash_cnt_ands(2602) & led_flash_cnt_ands(2600))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2601),
	datab => led_flash_cnt_ands(2603),
	datac => led_flash_cnt_ands(2602),
	datad => led_flash_cnt_ands(2600),
	combout => \WideAnd4165~0_combout\);

-- Location: LCCOMB_X50_Y28_N28
\led_flash_cnt[2607][0]~83247\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2607][0]~83247_combout\ = !\led_flash_cnt[2607][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2607][0]~q\,
	combout => \led_flash_cnt[2607][0]~83247_combout\);

-- Location: FF_X50_Y28_N29
\led_flash_cnt[2607][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2607][0]~83247_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2607][0]~q\);

-- Location: LCCOMB_X54_Y28_N2
\led_flash_cnt[2607][1]~63378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2607][1]~63378_combout\ = (\led_flash_cnt[2607][0]~q\ & (\led_flash_cnt[2607][1]~q\ $ (VCC))) # (!\led_flash_cnt[2607][0]~q\ & (\led_flash_cnt[2607][1]~q\ & VCC))
-- \led_flash_cnt[2607][1]~63379\ = CARRY((\led_flash_cnt[2607][0]~q\ & \led_flash_cnt[2607][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2607][0]~q\,
	datab => \led_flash_cnt[2607][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2607][1]~63378_combout\,
	cout => \led_flash_cnt[2607][1]~63379\);

-- Location: FF_X54_Y28_N3
\led_flash_cnt[2607][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2607][1]~63378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2607][1]~q\);

-- Location: LCCOMB_X54_Y28_N4
\led_flash_cnt[2607][2]~63380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2607][2]~63380_combout\ = (\led_flash_cnt[2607][2]~q\ & (!\led_flash_cnt[2607][1]~63379\)) # (!\led_flash_cnt[2607][2]~q\ & ((\led_flash_cnt[2607][1]~63379\) # (GND)))
-- \led_flash_cnt[2607][2]~63381\ = CARRY((!\led_flash_cnt[2607][1]~63379\) # (!\led_flash_cnt[2607][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2607][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2607][1]~63379\,
	combout => \led_flash_cnt[2607][2]~63380_combout\,
	cout => \led_flash_cnt[2607][2]~63381\);

-- Location: FF_X54_Y28_N5
\led_flash_cnt[2607][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2607][2]~63380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2607][2]~q\);

-- Location: LCCOMB_X54_Y28_N6
\led_flash_cnt[2607][3]~63382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2607][3]~63382_combout\ = (\led_flash_cnt[2607][3]~q\ & (\led_flash_cnt[2607][2]~63381\ $ (GND))) # (!\led_flash_cnt[2607][3]~q\ & (!\led_flash_cnt[2607][2]~63381\ & VCC))
-- \led_flash_cnt[2607][3]~63383\ = CARRY((\led_flash_cnt[2607][3]~q\ & !\led_flash_cnt[2607][2]~63381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2607][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2607][2]~63381\,
	combout => \led_flash_cnt[2607][3]~63382_combout\,
	cout => \led_flash_cnt[2607][3]~63383\);

-- Location: FF_X54_Y28_N7
\led_flash_cnt[2607][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2607][3]~63382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2607][3]~q\);

-- Location: LCCOMB_X54_Y28_N8
\led_flash_cnt[2607][4]~63384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2607][4]~63384_combout\ = (\led_flash_cnt[2607][4]~q\ & (!\led_flash_cnt[2607][3]~63383\)) # (!\led_flash_cnt[2607][4]~q\ & ((\led_flash_cnt[2607][3]~63383\) # (GND)))
-- \led_flash_cnt[2607][4]~63385\ = CARRY((!\led_flash_cnt[2607][3]~63383\) # (!\led_flash_cnt[2607][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2607][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2607][3]~63383\,
	combout => \led_flash_cnt[2607][4]~63384_combout\,
	cout => \led_flash_cnt[2607][4]~63385\);

-- Location: FF_X54_Y28_N9
\led_flash_cnt[2607][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2607][4]~63384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2607][4]~q\);

-- Location: LCCOMB_X54_Y28_N0
\WideAnd2607~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2607~0_combout\ = (\led_flash_cnt[2607][3]~q\ & (\led_flash_cnt[2607][4]~q\ & (\led_flash_cnt[2607][2]~q\ & \led_flash_cnt[2607][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2607][3]~q\,
	datab => \led_flash_cnt[2607][4]~q\,
	datac => \led_flash_cnt[2607][2]~q\,
	datad => \led_flash_cnt[2607][1]~q\,
	combout => \WideAnd2607~0_combout\);

-- Location: LCCOMB_X54_Y28_N10
\led_flash_cnt[2607][5]~63386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2607][5]~63386_combout\ = (\led_flash_cnt[2607][5]~q\ & (\led_flash_cnt[2607][4]~63385\ $ (GND))) # (!\led_flash_cnt[2607][5]~q\ & (!\led_flash_cnt[2607][4]~63385\ & VCC))
-- \led_flash_cnt[2607][5]~63387\ = CARRY((\led_flash_cnt[2607][5]~q\ & !\led_flash_cnt[2607][4]~63385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2607][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2607][4]~63385\,
	combout => \led_flash_cnt[2607][5]~63386_combout\,
	cout => \led_flash_cnt[2607][5]~63387\);

-- Location: FF_X54_Y28_N11
\led_flash_cnt[2607][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2607][5]~63386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2607][5]~q\);

-- Location: LCCOMB_X54_Y28_N12
\led_flash_cnt[2607][6]~63388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2607][6]~63388_combout\ = (\led_flash_cnt[2607][6]~q\ & (!\led_flash_cnt[2607][5]~63387\)) # (!\led_flash_cnt[2607][6]~q\ & ((\led_flash_cnt[2607][5]~63387\) # (GND)))
-- \led_flash_cnt[2607][6]~63389\ = CARRY((!\led_flash_cnt[2607][5]~63387\) # (!\led_flash_cnt[2607][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2607][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2607][5]~63387\,
	combout => \led_flash_cnt[2607][6]~63388_combout\,
	cout => \led_flash_cnt[2607][6]~63389\);

-- Location: FF_X54_Y28_N13
\led_flash_cnt[2607][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2607][6]~63388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2607][6]~q\);

-- Location: LCCOMB_X54_Y28_N14
\led_flash_cnt[2607][7]~63390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2607][7]~63390_combout\ = \led_flash_cnt[2607][7]~q\ $ (!\led_flash_cnt[2607][6]~63389\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2607][7]~q\,
	cin => \led_flash_cnt[2607][6]~63389\,
	combout => \led_flash_cnt[2607][7]~63390_combout\);

-- Location: FF_X54_Y28_N15
\led_flash_cnt[2607][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2607][7]~63390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2607][7]~q\);

-- Location: LCCOMB_X50_Y28_N6
\WideAnd2607~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2607~1_combout\ = (\led_flash_cnt[2607][6]~q\ & \led_flash_cnt[2607][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2607][6]~q\,
	datad => \led_flash_cnt[2607][5]~q\,
	combout => \WideAnd2607~1_combout\);

-- Location: LCCOMB_X50_Y28_N24
WideAnd2607 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2607~combout\ = (\WideAnd2607~0_combout\ & (\led_flash_cnt[2607][0]~q\ & (\led_flash_cnt[2607][7]~q\ & \WideAnd2607~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2607~0_combout\,
	datab => \led_flash_cnt[2607][0]~q\,
	datac => \led_flash_cnt[2607][7]~q\,
	datad => \WideAnd2607~1_combout\,
	combout => \WideAnd2607~combout\);

-- Location: FF_X50_Y28_N25
\led_flash_cnt_ands[2607]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2607~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2607));

-- Location: LCCOMB_X50_Y28_N26
WideAnd4165 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4165~combout\ = (\WideAnd4165~1_combout\ & (led_flash_cnt_ands(2606) & (\WideAnd4165~0_combout\ & led_flash_cnt_ands(2607))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4165~1_combout\,
	datab => led_flash_cnt_ands(2606),
	datac => \WideAnd4165~0_combout\,
	datad => led_flash_cnt_ands(2607),
	combout => \WideAnd4165~combout\);

-- Location: FF_X50_Y28_N27
\led_flash_cnt_ands_1[325]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4165~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(325));

-- Location: LCCOMB_X54_Y22_N18
\led_flash_cnt[2592][0]~83232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2592][0]~83232_combout\ = !\led_flash_cnt[2592][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2592][0]~q\,
	combout => \led_flash_cnt[2592][0]~83232_combout\);

-- Location: FF_X54_Y22_N19
\led_flash_cnt[2592][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2592][0]~83232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2592][0]~q\);

-- Location: LCCOMB_X54_Y22_N4
\led_flash_cnt[2592][1]~63168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2592][1]~63168_combout\ = (\led_flash_cnt[2592][0]~q\ & (\led_flash_cnt[2592][1]~q\ $ (VCC))) # (!\led_flash_cnt[2592][0]~q\ & (\led_flash_cnt[2592][1]~q\ & VCC))
-- \led_flash_cnt[2592][1]~63169\ = CARRY((\led_flash_cnt[2592][0]~q\ & \led_flash_cnt[2592][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2592][0]~q\,
	datab => \led_flash_cnt[2592][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2592][1]~63168_combout\,
	cout => \led_flash_cnt[2592][1]~63169\);

-- Location: FF_X54_Y22_N5
\led_flash_cnt[2592][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2592][1]~63168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2592][1]~q\);

-- Location: LCCOMB_X54_Y22_N6
\led_flash_cnt[2592][2]~63170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2592][2]~63170_combout\ = (\led_flash_cnt[2592][2]~q\ & (!\led_flash_cnt[2592][1]~63169\)) # (!\led_flash_cnt[2592][2]~q\ & ((\led_flash_cnt[2592][1]~63169\) # (GND)))
-- \led_flash_cnt[2592][2]~63171\ = CARRY((!\led_flash_cnt[2592][1]~63169\) # (!\led_flash_cnt[2592][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2592][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2592][1]~63169\,
	combout => \led_flash_cnt[2592][2]~63170_combout\,
	cout => \led_flash_cnt[2592][2]~63171\);

-- Location: FF_X54_Y22_N7
\led_flash_cnt[2592][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2592][2]~63170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2592][2]~q\);

-- Location: LCCOMB_X54_Y22_N8
\led_flash_cnt[2592][3]~63172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2592][3]~63172_combout\ = (\led_flash_cnt[2592][3]~q\ & (\led_flash_cnt[2592][2]~63171\ $ (GND))) # (!\led_flash_cnt[2592][3]~q\ & (!\led_flash_cnt[2592][2]~63171\ & VCC))
-- \led_flash_cnt[2592][3]~63173\ = CARRY((\led_flash_cnt[2592][3]~q\ & !\led_flash_cnt[2592][2]~63171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2592][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2592][2]~63171\,
	combout => \led_flash_cnt[2592][3]~63172_combout\,
	cout => \led_flash_cnt[2592][3]~63173\);

-- Location: FF_X54_Y22_N9
\led_flash_cnt[2592][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2592][3]~63172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2592][3]~q\);

-- Location: LCCOMB_X54_Y22_N10
\led_flash_cnt[2592][4]~63174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2592][4]~63174_combout\ = (\led_flash_cnt[2592][4]~q\ & (!\led_flash_cnt[2592][3]~63173\)) # (!\led_flash_cnt[2592][4]~q\ & ((\led_flash_cnt[2592][3]~63173\) # (GND)))
-- \led_flash_cnt[2592][4]~63175\ = CARRY((!\led_flash_cnt[2592][3]~63173\) # (!\led_flash_cnt[2592][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2592][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2592][3]~63173\,
	combout => \led_flash_cnt[2592][4]~63174_combout\,
	cout => \led_flash_cnt[2592][4]~63175\);

-- Location: FF_X54_Y22_N11
\led_flash_cnt[2592][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2592][4]~63174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2592][4]~q\);

-- Location: LCCOMB_X54_Y22_N26
\WideAnd2592~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2592~0_combout\ = (\led_flash_cnt[2592][4]~q\ & (\led_flash_cnt[2592][3]~q\ & (\led_flash_cnt[2592][1]~q\ & \led_flash_cnt[2592][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2592][4]~q\,
	datab => \led_flash_cnt[2592][3]~q\,
	datac => \led_flash_cnt[2592][1]~q\,
	datad => \led_flash_cnt[2592][2]~q\,
	combout => \WideAnd2592~0_combout\);

-- Location: LCCOMB_X54_Y22_N12
\led_flash_cnt[2592][5]~63176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2592][5]~63176_combout\ = (\led_flash_cnt[2592][5]~q\ & (\led_flash_cnt[2592][4]~63175\ $ (GND))) # (!\led_flash_cnt[2592][5]~q\ & (!\led_flash_cnt[2592][4]~63175\ & VCC))
-- \led_flash_cnt[2592][5]~63177\ = CARRY((\led_flash_cnt[2592][5]~q\ & !\led_flash_cnt[2592][4]~63175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2592][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2592][4]~63175\,
	combout => \led_flash_cnt[2592][5]~63176_combout\,
	cout => \led_flash_cnt[2592][5]~63177\);

-- Location: FF_X54_Y22_N13
\led_flash_cnt[2592][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2592][5]~63176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2592][5]~q\);

-- Location: LCCOMB_X54_Y22_N14
\led_flash_cnt[2592][6]~63178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2592][6]~63178_combout\ = (\led_flash_cnt[2592][6]~q\ & (!\led_flash_cnt[2592][5]~63177\)) # (!\led_flash_cnt[2592][6]~q\ & ((\led_flash_cnt[2592][5]~63177\) # (GND)))
-- \led_flash_cnt[2592][6]~63179\ = CARRY((!\led_flash_cnt[2592][5]~63177\) # (!\led_flash_cnt[2592][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2592][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2592][5]~63177\,
	combout => \led_flash_cnt[2592][6]~63178_combout\,
	cout => \led_flash_cnt[2592][6]~63179\);

-- Location: FF_X54_Y22_N15
\led_flash_cnt[2592][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2592][6]~63178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2592][6]~q\);

-- Location: LCCOMB_X54_Y22_N16
\led_flash_cnt[2592][7]~63180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2592][7]~63180_combout\ = \led_flash_cnt[2592][6]~63179\ $ (!\led_flash_cnt[2592][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2592][7]~q\,
	cin => \led_flash_cnt[2592][6]~63179\,
	combout => \led_flash_cnt[2592][7]~63180_combout\);

-- Location: FF_X54_Y22_N17
\led_flash_cnt[2592][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2592][7]~63180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2592][7]~q\);

-- Location: LCCOMB_X54_Y22_N22
\WideAnd2592~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2592~1_combout\ = (\led_flash_cnt[2592][6]~q\ & \led_flash_cnt[2592][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2592][6]~q\,
	datad => \led_flash_cnt[2592][5]~q\,
	combout => \WideAnd2592~1_combout\);

-- Location: LCCOMB_X54_Y22_N24
WideAnd2592 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2592~combout\ = (\WideAnd2592~0_combout\ & (\led_flash_cnt[2592][7]~q\ & (\WideAnd2592~1_combout\ & \led_flash_cnt[2592][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2592~0_combout\,
	datab => \led_flash_cnt[2592][7]~q\,
	datac => \WideAnd2592~1_combout\,
	datad => \led_flash_cnt[2592][0]~q\,
	combout => \WideAnd2592~combout\);

-- Location: FF_X54_Y22_N25
\led_flash_cnt_ands[2592]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2592~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2592));

-- Location: LCCOMB_X60_Y45_N22
\led_flash_cnt[2595][0]~83235\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2595][0]~83235_combout\ = !\led_flash_cnt[2595][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2595][0]~q\,
	combout => \led_flash_cnt[2595][0]~83235_combout\);

-- Location: FF_X60_Y45_N23
\led_flash_cnt[2595][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2595][0]~83235_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2595][0]~q\);

-- Location: LCCOMB_X60_Y45_N2
\led_flash_cnt[2595][1]~63210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2595][1]~63210_combout\ = (\led_flash_cnt[2595][0]~q\ & (\led_flash_cnt[2595][1]~q\ $ (VCC))) # (!\led_flash_cnt[2595][0]~q\ & (\led_flash_cnt[2595][1]~q\ & VCC))
-- \led_flash_cnt[2595][1]~63211\ = CARRY((\led_flash_cnt[2595][0]~q\ & \led_flash_cnt[2595][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2595][0]~q\,
	datab => \led_flash_cnt[2595][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2595][1]~63210_combout\,
	cout => \led_flash_cnt[2595][1]~63211\);

-- Location: FF_X60_Y45_N3
\led_flash_cnt[2595][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2595][1]~63210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2595][1]~q\);

-- Location: LCCOMB_X60_Y45_N4
\led_flash_cnt[2595][2]~63212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2595][2]~63212_combout\ = (\led_flash_cnt[2595][2]~q\ & (!\led_flash_cnt[2595][1]~63211\)) # (!\led_flash_cnt[2595][2]~q\ & ((\led_flash_cnt[2595][1]~63211\) # (GND)))
-- \led_flash_cnt[2595][2]~63213\ = CARRY((!\led_flash_cnt[2595][1]~63211\) # (!\led_flash_cnt[2595][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2595][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2595][1]~63211\,
	combout => \led_flash_cnt[2595][2]~63212_combout\,
	cout => \led_flash_cnt[2595][2]~63213\);

-- Location: FF_X60_Y45_N5
\led_flash_cnt[2595][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2595][2]~63212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2595][2]~q\);

-- Location: LCCOMB_X60_Y45_N6
\led_flash_cnt[2595][3]~63214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2595][3]~63214_combout\ = (\led_flash_cnt[2595][3]~q\ & (\led_flash_cnt[2595][2]~63213\ $ (GND))) # (!\led_flash_cnt[2595][3]~q\ & (!\led_flash_cnt[2595][2]~63213\ & VCC))
-- \led_flash_cnt[2595][3]~63215\ = CARRY((\led_flash_cnt[2595][3]~q\ & !\led_flash_cnt[2595][2]~63213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2595][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2595][2]~63213\,
	combout => \led_flash_cnt[2595][3]~63214_combout\,
	cout => \led_flash_cnt[2595][3]~63215\);

-- Location: FF_X60_Y45_N7
\led_flash_cnt[2595][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2595][3]~63214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2595][3]~q\);

-- Location: LCCOMB_X60_Y45_N8
\led_flash_cnt[2595][4]~63216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2595][4]~63216_combout\ = (\led_flash_cnt[2595][4]~q\ & (!\led_flash_cnt[2595][3]~63215\)) # (!\led_flash_cnt[2595][4]~q\ & ((\led_flash_cnt[2595][3]~63215\) # (GND)))
-- \led_flash_cnt[2595][4]~63217\ = CARRY((!\led_flash_cnt[2595][3]~63215\) # (!\led_flash_cnt[2595][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2595][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2595][3]~63215\,
	combout => \led_flash_cnt[2595][4]~63216_combout\,
	cout => \led_flash_cnt[2595][4]~63217\);

-- Location: FF_X60_Y45_N9
\led_flash_cnt[2595][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2595][4]~63216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2595][4]~q\);

-- Location: LCCOMB_X60_Y45_N10
\led_flash_cnt[2595][5]~63218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2595][5]~63218_combout\ = (\led_flash_cnt[2595][5]~q\ & (\led_flash_cnt[2595][4]~63217\ $ (GND))) # (!\led_flash_cnt[2595][5]~q\ & (!\led_flash_cnt[2595][4]~63217\ & VCC))
-- \led_flash_cnt[2595][5]~63219\ = CARRY((\led_flash_cnt[2595][5]~q\ & !\led_flash_cnt[2595][4]~63217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2595][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2595][4]~63217\,
	combout => \led_flash_cnt[2595][5]~63218_combout\,
	cout => \led_flash_cnt[2595][5]~63219\);

-- Location: FF_X60_Y45_N11
\led_flash_cnt[2595][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2595][5]~63218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2595][5]~q\);

-- Location: LCCOMB_X60_Y45_N12
\led_flash_cnt[2595][6]~63220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2595][6]~63220_combout\ = (\led_flash_cnt[2595][6]~q\ & (!\led_flash_cnt[2595][5]~63219\)) # (!\led_flash_cnt[2595][6]~q\ & ((\led_flash_cnt[2595][5]~63219\) # (GND)))
-- \led_flash_cnt[2595][6]~63221\ = CARRY((!\led_flash_cnt[2595][5]~63219\) # (!\led_flash_cnt[2595][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2595][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2595][5]~63219\,
	combout => \led_flash_cnt[2595][6]~63220_combout\,
	cout => \led_flash_cnt[2595][6]~63221\);

-- Location: FF_X60_Y45_N13
\led_flash_cnt[2595][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2595][6]~63220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2595][6]~q\);

-- Location: LCCOMB_X60_Y45_N28
\WideAnd2595~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2595~1_combout\ = (\led_flash_cnt[2595][6]~q\ & \led_flash_cnt[2595][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2595][6]~q\,
	datad => \led_flash_cnt[2595][5]~q\,
	combout => \WideAnd2595~1_combout\);

-- Location: LCCOMB_X60_Y45_N14
\led_flash_cnt[2595][7]~63222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2595][7]~63222_combout\ = \led_flash_cnt[2595][7]~q\ $ (!\led_flash_cnt[2595][6]~63221\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2595][7]~q\,
	cin => \led_flash_cnt[2595][6]~63221\,
	combout => \led_flash_cnt[2595][7]~63222_combout\);

-- Location: FF_X60_Y45_N15
\led_flash_cnt[2595][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2595][7]~63222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2595][7]~q\);

-- Location: LCCOMB_X60_Y45_N18
\WideAnd2595~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2595~0_combout\ = (\led_flash_cnt[2595][3]~q\ & (\led_flash_cnt[2595][2]~q\ & (\led_flash_cnt[2595][4]~q\ & \led_flash_cnt[2595][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2595][3]~q\,
	datab => \led_flash_cnt[2595][2]~q\,
	datac => \led_flash_cnt[2595][4]~q\,
	datad => \led_flash_cnt[2595][1]~q\,
	combout => \WideAnd2595~0_combout\);

-- Location: LCCOMB_X60_Y45_N24
WideAnd2595 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2595~combout\ = (\led_flash_cnt[2595][0]~q\ & (\WideAnd2595~1_combout\ & (\led_flash_cnt[2595][7]~q\ & \WideAnd2595~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2595][0]~q\,
	datab => \WideAnd2595~1_combout\,
	datac => \led_flash_cnt[2595][7]~q\,
	datad => \WideAnd2595~0_combout\,
	combout => \WideAnd2595~combout\);

-- Location: FF_X60_Y45_N25
\led_flash_cnt_ands[2595]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2595~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2595));

-- Location: LCCOMB_X60_Y45_N26
\led_flash_cnt[2594][0]~83234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2594][0]~83234_combout\ = !\led_flash_cnt[2594][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2594][0]~q\,
	combout => \led_flash_cnt[2594][0]~83234_combout\);

-- Location: FF_X60_Y45_N27
\led_flash_cnt[2594][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2594][0]~83234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2594][0]~q\);

-- Location: LCCOMB_X61_Y45_N4
\led_flash_cnt[2594][1]~63196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2594][1]~63196_combout\ = (\led_flash_cnt[2594][0]~q\ & (\led_flash_cnt[2594][1]~q\ $ (VCC))) # (!\led_flash_cnt[2594][0]~q\ & (\led_flash_cnt[2594][1]~q\ & VCC))
-- \led_flash_cnt[2594][1]~63197\ = CARRY((\led_flash_cnt[2594][0]~q\ & \led_flash_cnt[2594][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2594][0]~q\,
	datab => \led_flash_cnt[2594][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2594][1]~63196_combout\,
	cout => \led_flash_cnt[2594][1]~63197\);

-- Location: FF_X61_Y45_N5
\led_flash_cnt[2594][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2594][1]~63196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2594][1]~q\);

-- Location: LCCOMB_X61_Y45_N6
\led_flash_cnt[2594][2]~63198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2594][2]~63198_combout\ = (\led_flash_cnt[2594][2]~q\ & (!\led_flash_cnt[2594][1]~63197\)) # (!\led_flash_cnt[2594][2]~q\ & ((\led_flash_cnt[2594][1]~63197\) # (GND)))
-- \led_flash_cnt[2594][2]~63199\ = CARRY((!\led_flash_cnt[2594][1]~63197\) # (!\led_flash_cnt[2594][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2594][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2594][1]~63197\,
	combout => \led_flash_cnt[2594][2]~63198_combout\,
	cout => \led_flash_cnt[2594][2]~63199\);

-- Location: FF_X61_Y45_N7
\led_flash_cnt[2594][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2594][2]~63198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2594][2]~q\);

-- Location: LCCOMB_X61_Y45_N8
\led_flash_cnt[2594][3]~63200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2594][3]~63200_combout\ = (\led_flash_cnt[2594][3]~q\ & (\led_flash_cnt[2594][2]~63199\ $ (GND))) # (!\led_flash_cnt[2594][3]~q\ & (!\led_flash_cnt[2594][2]~63199\ & VCC))
-- \led_flash_cnt[2594][3]~63201\ = CARRY((\led_flash_cnt[2594][3]~q\ & !\led_flash_cnt[2594][2]~63199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2594][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2594][2]~63199\,
	combout => \led_flash_cnt[2594][3]~63200_combout\,
	cout => \led_flash_cnt[2594][3]~63201\);

-- Location: FF_X61_Y45_N9
\led_flash_cnt[2594][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2594][3]~63200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2594][3]~q\);

-- Location: LCCOMB_X61_Y45_N10
\led_flash_cnt[2594][4]~63202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2594][4]~63202_combout\ = (\led_flash_cnt[2594][4]~q\ & (!\led_flash_cnt[2594][3]~63201\)) # (!\led_flash_cnt[2594][4]~q\ & ((\led_flash_cnt[2594][3]~63201\) # (GND)))
-- \led_flash_cnt[2594][4]~63203\ = CARRY((!\led_flash_cnt[2594][3]~63201\) # (!\led_flash_cnt[2594][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2594][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2594][3]~63201\,
	combout => \led_flash_cnt[2594][4]~63202_combout\,
	cout => \led_flash_cnt[2594][4]~63203\);

-- Location: FF_X61_Y45_N11
\led_flash_cnt[2594][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2594][4]~63202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2594][4]~q\);

-- Location: LCCOMB_X61_Y45_N0
\WideAnd2594~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2594~0_combout\ = (\led_flash_cnt[2594][4]~q\ & (\led_flash_cnt[2594][3]~q\ & (\led_flash_cnt[2594][1]~q\ & \led_flash_cnt[2594][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2594][4]~q\,
	datab => \led_flash_cnt[2594][3]~q\,
	datac => \led_flash_cnt[2594][1]~q\,
	datad => \led_flash_cnt[2594][2]~q\,
	combout => \WideAnd2594~0_combout\);

-- Location: LCCOMB_X61_Y45_N12
\led_flash_cnt[2594][5]~63204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2594][5]~63204_combout\ = (\led_flash_cnt[2594][5]~q\ & (\led_flash_cnt[2594][4]~63203\ $ (GND))) # (!\led_flash_cnt[2594][5]~q\ & (!\led_flash_cnt[2594][4]~63203\ & VCC))
-- \led_flash_cnt[2594][5]~63205\ = CARRY((\led_flash_cnt[2594][5]~q\ & !\led_flash_cnt[2594][4]~63203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2594][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2594][4]~63203\,
	combout => \led_flash_cnt[2594][5]~63204_combout\,
	cout => \led_flash_cnt[2594][5]~63205\);

-- Location: FF_X61_Y45_N13
\led_flash_cnt[2594][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2594][5]~63204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2594][5]~q\);

-- Location: LCCOMB_X61_Y45_N14
\led_flash_cnt[2594][6]~63206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2594][6]~63206_combout\ = (\led_flash_cnt[2594][6]~q\ & (!\led_flash_cnt[2594][5]~63205\)) # (!\led_flash_cnt[2594][6]~q\ & ((\led_flash_cnt[2594][5]~63205\) # (GND)))
-- \led_flash_cnt[2594][6]~63207\ = CARRY((!\led_flash_cnt[2594][5]~63205\) # (!\led_flash_cnt[2594][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2594][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2594][5]~63205\,
	combout => \led_flash_cnt[2594][6]~63206_combout\,
	cout => \led_flash_cnt[2594][6]~63207\);

-- Location: FF_X61_Y45_N15
\led_flash_cnt[2594][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2594][6]~63206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2594][6]~q\);

-- Location: LCCOMB_X60_Y45_N30
\WideAnd2594~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2594~1_combout\ = (\led_flash_cnt[2594][5]~q\ & \led_flash_cnt[2594][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2594][5]~q\,
	datac => \led_flash_cnt[2594][6]~q\,
	combout => \WideAnd2594~1_combout\);

-- Location: LCCOMB_X61_Y45_N16
\led_flash_cnt[2594][7]~63208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2594][7]~63208_combout\ = \led_flash_cnt[2594][6]~63207\ $ (!\led_flash_cnt[2594][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2594][7]~q\,
	cin => \led_flash_cnt[2594][6]~63207\,
	combout => \led_flash_cnt[2594][7]~63208_combout\);

-- Location: FF_X61_Y45_N17
\led_flash_cnt[2594][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2594][7]~63208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2594][7]~q\);

-- Location: LCCOMB_X60_Y45_N16
WideAnd2594 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2594~combout\ = (\led_flash_cnt[2594][0]~q\ & (\WideAnd2594~0_combout\ & (\WideAnd2594~1_combout\ & \led_flash_cnt[2594][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2594][0]~q\,
	datab => \WideAnd2594~0_combout\,
	datac => \WideAnd2594~1_combout\,
	datad => \led_flash_cnt[2594][7]~q\,
	combout => \WideAnd2594~combout\);

-- Location: FF_X60_Y45_N17
\led_flash_cnt_ands[2594]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2594~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2594));

-- Location: LCCOMB_X54_Y38_N28
\led_flash_cnt[2593][0]~83233\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2593][0]~83233_combout\ = !\led_flash_cnt[2593][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2593][0]~q\,
	combout => \led_flash_cnt[2593][0]~83233_combout\);

-- Location: FF_X54_Y38_N29
\led_flash_cnt[2593][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2593][0]~83233_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2593][0]~q\);

-- Location: LCCOMB_X52_Y38_N4
\led_flash_cnt[2593][1]~63182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2593][1]~63182_combout\ = (\led_flash_cnt[2593][0]~q\ & (\led_flash_cnt[2593][1]~q\ $ (VCC))) # (!\led_flash_cnt[2593][0]~q\ & (\led_flash_cnt[2593][1]~q\ & VCC))
-- \led_flash_cnt[2593][1]~63183\ = CARRY((\led_flash_cnt[2593][0]~q\ & \led_flash_cnt[2593][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2593][0]~q\,
	datab => \led_flash_cnt[2593][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2593][1]~63182_combout\,
	cout => \led_flash_cnt[2593][1]~63183\);

-- Location: FF_X52_Y38_N5
\led_flash_cnt[2593][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2593][1]~63182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2593][1]~q\);

-- Location: LCCOMB_X52_Y38_N6
\led_flash_cnt[2593][2]~63184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2593][2]~63184_combout\ = (\led_flash_cnt[2593][2]~q\ & (!\led_flash_cnt[2593][1]~63183\)) # (!\led_flash_cnt[2593][2]~q\ & ((\led_flash_cnt[2593][1]~63183\) # (GND)))
-- \led_flash_cnt[2593][2]~63185\ = CARRY((!\led_flash_cnt[2593][1]~63183\) # (!\led_flash_cnt[2593][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2593][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2593][1]~63183\,
	combout => \led_flash_cnt[2593][2]~63184_combout\,
	cout => \led_flash_cnt[2593][2]~63185\);

-- Location: FF_X52_Y38_N7
\led_flash_cnt[2593][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2593][2]~63184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2593][2]~q\);

-- Location: LCCOMB_X52_Y38_N8
\led_flash_cnt[2593][3]~63186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2593][3]~63186_combout\ = (\led_flash_cnt[2593][3]~q\ & (\led_flash_cnt[2593][2]~63185\ $ (GND))) # (!\led_flash_cnt[2593][3]~q\ & (!\led_flash_cnt[2593][2]~63185\ & VCC))
-- \led_flash_cnt[2593][3]~63187\ = CARRY((\led_flash_cnt[2593][3]~q\ & !\led_flash_cnt[2593][2]~63185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2593][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2593][2]~63185\,
	combout => \led_flash_cnt[2593][3]~63186_combout\,
	cout => \led_flash_cnt[2593][3]~63187\);

-- Location: FF_X52_Y38_N9
\led_flash_cnt[2593][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2593][3]~63186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2593][3]~q\);

-- Location: LCCOMB_X52_Y38_N10
\led_flash_cnt[2593][4]~63188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2593][4]~63188_combout\ = (\led_flash_cnt[2593][4]~q\ & (!\led_flash_cnt[2593][3]~63187\)) # (!\led_flash_cnt[2593][4]~q\ & ((\led_flash_cnt[2593][3]~63187\) # (GND)))
-- \led_flash_cnt[2593][4]~63189\ = CARRY((!\led_flash_cnt[2593][3]~63187\) # (!\led_flash_cnt[2593][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2593][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2593][3]~63187\,
	combout => \led_flash_cnt[2593][4]~63188_combout\,
	cout => \led_flash_cnt[2593][4]~63189\);

-- Location: FF_X52_Y38_N11
\led_flash_cnt[2593][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2593][4]~63188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2593][4]~q\);

-- Location: LCCOMB_X52_Y38_N12
\led_flash_cnt[2593][5]~63190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2593][5]~63190_combout\ = (\led_flash_cnt[2593][5]~q\ & (\led_flash_cnt[2593][4]~63189\ $ (GND))) # (!\led_flash_cnt[2593][5]~q\ & (!\led_flash_cnt[2593][4]~63189\ & VCC))
-- \led_flash_cnt[2593][5]~63191\ = CARRY((\led_flash_cnt[2593][5]~q\ & !\led_flash_cnt[2593][4]~63189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2593][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2593][4]~63189\,
	combout => \led_flash_cnt[2593][5]~63190_combout\,
	cout => \led_flash_cnt[2593][5]~63191\);

-- Location: FF_X52_Y38_N13
\led_flash_cnt[2593][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2593][5]~63190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2593][5]~q\);

-- Location: LCCOMB_X52_Y38_N14
\led_flash_cnt[2593][6]~63192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2593][6]~63192_combout\ = (\led_flash_cnt[2593][6]~q\ & (!\led_flash_cnt[2593][5]~63191\)) # (!\led_flash_cnt[2593][6]~q\ & ((\led_flash_cnt[2593][5]~63191\) # (GND)))
-- \led_flash_cnt[2593][6]~63193\ = CARRY((!\led_flash_cnt[2593][5]~63191\) # (!\led_flash_cnt[2593][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2593][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2593][5]~63191\,
	combout => \led_flash_cnt[2593][6]~63192_combout\,
	cout => \led_flash_cnt[2593][6]~63193\);

-- Location: FF_X52_Y38_N15
\led_flash_cnt[2593][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2593][6]~63192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2593][6]~q\);

-- Location: LCCOMB_X52_Y38_N16
\led_flash_cnt[2593][7]~63194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2593][7]~63194_combout\ = \led_flash_cnt[2593][6]~63193\ $ (!\led_flash_cnt[2593][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2593][7]~q\,
	cin => \led_flash_cnt[2593][6]~63193\,
	combout => \led_flash_cnt[2593][7]~63194_combout\);

-- Location: FF_X52_Y38_N17
\led_flash_cnt[2593][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2593][7]~63194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2593][7]~q\);

-- Location: LCCOMB_X52_Y36_N26
\WideAnd2593~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2593~1_combout\ = (\led_flash_cnt[2593][6]~q\ & \led_flash_cnt[2593][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2593][6]~q\,
	datad => \led_flash_cnt[2593][5]~q\,
	combout => \WideAnd2593~1_combout\);

-- Location: LCCOMB_X52_Y38_N0
\WideAnd2593~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2593~0_combout\ = (\led_flash_cnt[2593][4]~q\ & (\led_flash_cnt[2593][3]~q\ & (\led_flash_cnt[2593][1]~q\ & \led_flash_cnt[2593][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2593][4]~q\,
	datab => \led_flash_cnt[2593][3]~q\,
	datac => \led_flash_cnt[2593][1]~q\,
	datad => \led_flash_cnt[2593][2]~q\,
	combout => \WideAnd2593~0_combout\);

-- Location: LCCOMB_X52_Y38_N2
WideAnd2593 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2593~combout\ = (\led_flash_cnt[2593][0]~q\ & (\led_flash_cnt[2593][7]~q\ & (\WideAnd2593~1_combout\ & \WideAnd2593~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2593][0]~q\,
	datab => \led_flash_cnt[2593][7]~q\,
	datac => \WideAnd2593~1_combout\,
	datad => \WideAnd2593~0_combout\,
	combout => \WideAnd2593~combout\);

-- Location: FF_X52_Y38_N3
\led_flash_cnt_ands[2593]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2593~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2593));

-- Location: LCCOMB_X60_Y38_N30
\WideAnd4164~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4164~0_combout\ = (led_flash_cnt_ands(2592) & (led_flash_cnt_ands(2595) & (led_flash_cnt_ands(2594) & led_flash_cnt_ands(2593))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2592),
	datab => led_flash_cnt_ands(2595),
	datac => led_flash_cnt_ands(2594),
	datad => led_flash_cnt_ands(2593),
	combout => \WideAnd4164~0_combout\);

-- Location: LCCOMB_X67_Y37_N18
\led_flash_cnt[2598][0]~83238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2598][0]~83238_combout\ = !\led_flash_cnt[2598][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2598][0]~q\,
	combout => \led_flash_cnt[2598][0]~83238_combout\);

-- Location: FF_X67_Y37_N19
\led_flash_cnt[2598][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2598][0]~83238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2598][0]~q\);

-- Location: LCCOMB_X66_Y37_N16
\led_flash_cnt[2598][1]~63252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2598][1]~63252_combout\ = (\led_flash_cnt[2598][1]~q\ & (\led_flash_cnt[2598][0]~q\ $ (VCC))) # (!\led_flash_cnt[2598][1]~q\ & (\led_flash_cnt[2598][0]~q\ & VCC))
-- \led_flash_cnt[2598][1]~63253\ = CARRY((\led_flash_cnt[2598][1]~q\ & \led_flash_cnt[2598][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2598][1]~q\,
	datab => \led_flash_cnt[2598][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2598][1]~63252_combout\,
	cout => \led_flash_cnt[2598][1]~63253\);

-- Location: FF_X66_Y37_N17
\led_flash_cnt[2598][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2598][1]~63252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2598][1]~q\);

-- Location: LCCOMB_X66_Y37_N18
\led_flash_cnt[2598][2]~63254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2598][2]~63254_combout\ = (\led_flash_cnt[2598][2]~q\ & (!\led_flash_cnt[2598][1]~63253\)) # (!\led_flash_cnt[2598][2]~q\ & ((\led_flash_cnt[2598][1]~63253\) # (GND)))
-- \led_flash_cnt[2598][2]~63255\ = CARRY((!\led_flash_cnt[2598][1]~63253\) # (!\led_flash_cnt[2598][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2598][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2598][1]~63253\,
	combout => \led_flash_cnt[2598][2]~63254_combout\,
	cout => \led_flash_cnt[2598][2]~63255\);

-- Location: FF_X66_Y37_N19
\led_flash_cnt[2598][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2598][2]~63254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2598][2]~q\);

-- Location: LCCOMB_X66_Y37_N20
\led_flash_cnt[2598][3]~63256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2598][3]~63256_combout\ = (\led_flash_cnt[2598][3]~q\ & (\led_flash_cnt[2598][2]~63255\ $ (GND))) # (!\led_flash_cnt[2598][3]~q\ & (!\led_flash_cnt[2598][2]~63255\ & VCC))
-- \led_flash_cnt[2598][3]~63257\ = CARRY((\led_flash_cnt[2598][3]~q\ & !\led_flash_cnt[2598][2]~63255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2598][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2598][2]~63255\,
	combout => \led_flash_cnt[2598][3]~63256_combout\,
	cout => \led_flash_cnt[2598][3]~63257\);

-- Location: FF_X66_Y37_N21
\led_flash_cnt[2598][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2598][3]~63256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2598][3]~q\);

-- Location: LCCOMB_X66_Y37_N22
\led_flash_cnt[2598][4]~63258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2598][4]~63258_combout\ = (\led_flash_cnt[2598][4]~q\ & (!\led_flash_cnt[2598][3]~63257\)) # (!\led_flash_cnt[2598][4]~q\ & ((\led_flash_cnt[2598][3]~63257\) # (GND)))
-- \led_flash_cnt[2598][4]~63259\ = CARRY((!\led_flash_cnt[2598][3]~63257\) # (!\led_flash_cnt[2598][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2598][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2598][3]~63257\,
	combout => \led_flash_cnt[2598][4]~63258_combout\,
	cout => \led_flash_cnt[2598][4]~63259\);

-- Location: FF_X66_Y37_N23
\led_flash_cnt[2598][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2598][4]~63258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2598][4]~q\);

-- Location: LCCOMB_X66_Y37_N14
\WideAnd2598~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2598~0_combout\ = (\led_flash_cnt[2598][1]~q\ & (\led_flash_cnt[2598][2]~q\ & (\led_flash_cnt[2598][4]~q\ & \led_flash_cnt[2598][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2598][1]~q\,
	datab => \led_flash_cnt[2598][2]~q\,
	datac => \led_flash_cnt[2598][4]~q\,
	datad => \led_flash_cnt[2598][3]~q\,
	combout => \WideAnd2598~0_combout\);

-- Location: LCCOMB_X66_Y37_N24
\led_flash_cnt[2598][5]~63260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2598][5]~63260_combout\ = (\led_flash_cnt[2598][5]~q\ & (\led_flash_cnt[2598][4]~63259\ $ (GND))) # (!\led_flash_cnt[2598][5]~q\ & (!\led_flash_cnt[2598][4]~63259\ & VCC))
-- \led_flash_cnt[2598][5]~63261\ = CARRY((\led_flash_cnt[2598][5]~q\ & !\led_flash_cnt[2598][4]~63259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2598][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2598][4]~63259\,
	combout => \led_flash_cnt[2598][5]~63260_combout\,
	cout => \led_flash_cnt[2598][5]~63261\);

-- Location: FF_X66_Y37_N25
\led_flash_cnt[2598][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2598][5]~63260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2598][5]~q\);

-- Location: LCCOMB_X66_Y37_N26
\led_flash_cnt[2598][6]~63262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2598][6]~63262_combout\ = (\led_flash_cnt[2598][6]~q\ & (!\led_flash_cnt[2598][5]~63261\)) # (!\led_flash_cnt[2598][6]~q\ & ((\led_flash_cnt[2598][5]~63261\) # (GND)))
-- \led_flash_cnt[2598][6]~63263\ = CARRY((!\led_flash_cnt[2598][5]~63261\) # (!\led_flash_cnt[2598][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2598][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2598][5]~63261\,
	combout => \led_flash_cnt[2598][6]~63262_combout\,
	cout => \led_flash_cnt[2598][6]~63263\);

-- Location: FF_X66_Y37_N27
\led_flash_cnt[2598][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2598][6]~63262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2598][6]~q\);

-- Location: LCCOMB_X66_Y37_N28
\led_flash_cnt[2598][7]~63264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2598][7]~63264_combout\ = \led_flash_cnt[2598][6]~63263\ $ (!\led_flash_cnt[2598][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2598][7]~q\,
	cin => \led_flash_cnt[2598][6]~63263\,
	combout => \led_flash_cnt[2598][7]~63264_combout\);

-- Location: FF_X66_Y37_N29
\led_flash_cnt[2598][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2598][7]~63264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2598][7]~q\);

-- Location: LCCOMB_X67_Y37_N22
\WideAnd2598~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2598~1_combout\ = (\led_flash_cnt[2598][6]~q\ & \led_flash_cnt[2598][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2598][6]~q\,
	datad => \led_flash_cnt[2598][5]~q\,
	combout => \WideAnd2598~1_combout\);

-- Location: LCCOMB_X67_Y37_N28
WideAnd2598 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2598~combout\ = (\WideAnd2598~0_combout\ & (\led_flash_cnt[2598][7]~q\ & (\WideAnd2598~1_combout\ & \led_flash_cnt[2598][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2598~0_combout\,
	datab => \led_flash_cnt[2598][7]~q\,
	datac => \WideAnd2598~1_combout\,
	datad => \led_flash_cnt[2598][0]~q\,
	combout => \WideAnd2598~combout\);

-- Location: FF_X67_Y37_N29
\led_flash_cnt_ands[2598]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2598~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2598));

-- Location: LCCOMB_X66_Y33_N4
\led_flash_cnt[2596][0]~83236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2596][0]~83236_combout\ = !\led_flash_cnt[2596][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2596][0]~q\,
	combout => \led_flash_cnt[2596][0]~83236_combout\);

-- Location: FF_X66_Y33_N5
\led_flash_cnt[2596][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2596][0]~83236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2596][0]~q\);

-- Location: LCCOMB_X66_Y33_N10
\led_flash_cnt[2596][1]~63224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2596][1]~63224_combout\ = (\led_flash_cnt[2596][1]~q\ & (\led_flash_cnt[2596][0]~q\ $ (VCC))) # (!\led_flash_cnt[2596][1]~q\ & (\led_flash_cnt[2596][0]~q\ & VCC))
-- \led_flash_cnt[2596][1]~63225\ = CARRY((\led_flash_cnt[2596][1]~q\ & \led_flash_cnt[2596][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2596][1]~q\,
	datab => \led_flash_cnt[2596][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2596][1]~63224_combout\,
	cout => \led_flash_cnt[2596][1]~63225\);

-- Location: FF_X66_Y33_N11
\led_flash_cnt[2596][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2596][1]~63224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2596][1]~q\);

-- Location: LCCOMB_X66_Y33_N12
\led_flash_cnt[2596][2]~63226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2596][2]~63226_combout\ = (\led_flash_cnt[2596][2]~q\ & (!\led_flash_cnt[2596][1]~63225\)) # (!\led_flash_cnt[2596][2]~q\ & ((\led_flash_cnt[2596][1]~63225\) # (GND)))
-- \led_flash_cnt[2596][2]~63227\ = CARRY((!\led_flash_cnt[2596][1]~63225\) # (!\led_flash_cnt[2596][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2596][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2596][1]~63225\,
	combout => \led_flash_cnt[2596][2]~63226_combout\,
	cout => \led_flash_cnt[2596][2]~63227\);

-- Location: FF_X66_Y33_N13
\led_flash_cnt[2596][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2596][2]~63226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2596][2]~q\);

-- Location: LCCOMB_X66_Y33_N14
\led_flash_cnt[2596][3]~63228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2596][3]~63228_combout\ = (\led_flash_cnt[2596][3]~q\ & (\led_flash_cnt[2596][2]~63227\ $ (GND))) # (!\led_flash_cnt[2596][3]~q\ & (!\led_flash_cnt[2596][2]~63227\ & VCC))
-- \led_flash_cnt[2596][3]~63229\ = CARRY((\led_flash_cnt[2596][3]~q\ & !\led_flash_cnt[2596][2]~63227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2596][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2596][2]~63227\,
	combout => \led_flash_cnt[2596][3]~63228_combout\,
	cout => \led_flash_cnt[2596][3]~63229\);

-- Location: FF_X66_Y33_N15
\led_flash_cnt[2596][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2596][3]~63228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2596][3]~q\);

-- Location: LCCOMB_X66_Y33_N16
\led_flash_cnt[2596][4]~63230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2596][4]~63230_combout\ = (\led_flash_cnt[2596][4]~q\ & (!\led_flash_cnt[2596][3]~63229\)) # (!\led_flash_cnt[2596][4]~q\ & ((\led_flash_cnt[2596][3]~63229\) # (GND)))
-- \led_flash_cnt[2596][4]~63231\ = CARRY((!\led_flash_cnt[2596][3]~63229\) # (!\led_flash_cnt[2596][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2596][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2596][3]~63229\,
	combout => \led_flash_cnt[2596][4]~63230_combout\,
	cout => \led_flash_cnt[2596][4]~63231\);

-- Location: FF_X66_Y33_N17
\led_flash_cnt[2596][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2596][4]~63230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2596][4]~q\);

-- Location: LCCOMB_X66_Y33_N18
\led_flash_cnt[2596][5]~63232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2596][5]~63232_combout\ = (\led_flash_cnt[2596][5]~q\ & (\led_flash_cnt[2596][4]~63231\ $ (GND))) # (!\led_flash_cnt[2596][5]~q\ & (!\led_flash_cnt[2596][4]~63231\ & VCC))
-- \led_flash_cnt[2596][5]~63233\ = CARRY((\led_flash_cnt[2596][5]~q\ & !\led_flash_cnt[2596][4]~63231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2596][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2596][4]~63231\,
	combout => \led_flash_cnt[2596][5]~63232_combout\,
	cout => \led_flash_cnt[2596][5]~63233\);

-- Location: FF_X66_Y33_N19
\led_flash_cnt[2596][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2596][5]~63232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2596][5]~q\);

-- Location: LCCOMB_X66_Y33_N20
\led_flash_cnt[2596][6]~63234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2596][6]~63234_combout\ = (\led_flash_cnt[2596][6]~q\ & (!\led_flash_cnt[2596][5]~63233\)) # (!\led_flash_cnt[2596][6]~q\ & ((\led_flash_cnt[2596][5]~63233\) # (GND)))
-- \led_flash_cnt[2596][6]~63235\ = CARRY((!\led_flash_cnt[2596][5]~63233\) # (!\led_flash_cnt[2596][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2596][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2596][5]~63233\,
	combout => \led_flash_cnt[2596][6]~63234_combout\,
	cout => \led_flash_cnt[2596][6]~63235\);

-- Location: FF_X66_Y33_N21
\led_flash_cnt[2596][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2596][6]~63234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2596][6]~q\);

-- Location: LCCOMB_X66_Y33_N22
\led_flash_cnt[2596][7]~63236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2596][7]~63236_combout\ = \led_flash_cnt[2596][7]~q\ $ (!\led_flash_cnt[2596][6]~63235\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2596][7]~q\,
	cin => \led_flash_cnt[2596][6]~63235\,
	combout => \led_flash_cnt[2596][7]~63236_combout\);

-- Location: FF_X66_Y33_N23
\led_flash_cnt[2596][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2596][7]~63236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2596][7]~q\);

-- Location: LCCOMB_X66_Y33_N8
\WideAnd2596~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2596~1_combout\ = (\led_flash_cnt[2596][6]~q\ & \led_flash_cnt[2596][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2596][6]~q\,
	datad => \led_flash_cnt[2596][5]~q\,
	combout => \WideAnd2596~1_combout\);

-- Location: LCCOMB_X66_Y33_N24
\WideAnd2596~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2596~0_combout\ = (\led_flash_cnt[2596][2]~q\ & (\led_flash_cnt[2596][4]~q\ & (\led_flash_cnt[2596][3]~q\ & \led_flash_cnt[2596][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2596][2]~q\,
	datab => \led_flash_cnt[2596][4]~q\,
	datac => \led_flash_cnt[2596][3]~q\,
	datad => \led_flash_cnt[2596][1]~q\,
	combout => \WideAnd2596~0_combout\);

-- Location: LCCOMB_X66_Y33_N30
WideAnd2596 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2596~combout\ = (\led_flash_cnt[2596][7]~q\ & (\WideAnd2596~1_combout\ & (\led_flash_cnt[2596][0]~q\ & \WideAnd2596~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2596][7]~q\,
	datab => \WideAnd2596~1_combout\,
	datac => \led_flash_cnt[2596][0]~q\,
	datad => \WideAnd2596~0_combout\,
	combout => \WideAnd2596~combout\);

-- Location: FF_X66_Y33_N31
\led_flash_cnt_ands[2596]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2596~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2596));

-- Location: LCCOMB_X66_Y33_N28
\led_flash_cnt[2597][0]~83237\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2597][0]~83237_combout\ = !\led_flash_cnt[2597][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2597][0]~q\,
	combout => \led_flash_cnt[2597][0]~83237_combout\);

-- Location: FF_X66_Y33_N29
\led_flash_cnt[2597][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2597][0]~83237_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2597][0]~q\);

-- Location: LCCOMB_X66_Y29_N0
\led_flash_cnt[2597][1]~63238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2597][1]~63238_combout\ = (\led_flash_cnt[2597][0]~q\ & (\led_flash_cnt[2597][1]~q\ $ (VCC))) # (!\led_flash_cnt[2597][0]~q\ & (\led_flash_cnt[2597][1]~q\ & VCC))
-- \led_flash_cnt[2597][1]~63239\ = CARRY((\led_flash_cnt[2597][0]~q\ & \led_flash_cnt[2597][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2597][0]~q\,
	datab => \led_flash_cnt[2597][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2597][1]~63238_combout\,
	cout => \led_flash_cnt[2597][1]~63239\);

-- Location: FF_X66_Y29_N1
\led_flash_cnt[2597][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2597][1]~63238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2597][1]~q\);

-- Location: LCCOMB_X66_Y29_N2
\led_flash_cnt[2597][2]~63240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2597][2]~63240_combout\ = (\led_flash_cnt[2597][2]~q\ & (!\led_flash_cnt[2597][1]~63239\)) # (!\led_flash_cnt[2597][2]~q\ & ((\led_flash_cnt[2597][1]~63239\) # (GND)))
-- \led_flash_cnt[2597][2]~63241\ = CARRY((!\led_flash_cnt[2597][1]~63239\) # (!\led_flash_cnt[2597][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2597][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2597][1]~63239\,
	combout => \led_flash_cnt[2597][2]~63240_combout\,
	cout => \led_flash_cnt[2597][2]~63241\);

-- Location: FF_X66_Y29_N3
\led_flash_cnt[2597][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2597][2]~63240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2597][2]~q\);

-- Location: LCCOMB_X66_Y29_N4
\led_flash_cnt[2597][3]~63242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2597][3]~63242_combout\ = (\led_flash_cnt[2597][3]~q\ & (\led_flash_cnt[2597][2]~63241\ $ (GND))) # (!\led_flash_cnt[2597][3]~q\ & (!\led_flash_cnt[2597][2]~63241\ & VCC))
-- \led_flash_cnt[2597][3]~63243\ = CARRY((\led_flash_cnt[2597][3]~q\ & !\led_flash_cnt[2597][2]~63241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2597][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2597][2]~63241\,
	combout => \led_flash_cnt[2597][3]~63242_combout\,
	cout => \led_flash_cnt[2597][3]~63243\);

-- Location: FF_X66_Y29_N5
\led_flash_cnt[2597][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2597][3]~63242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2597][3]~q\);

-- Location: LCCOMB_X66_Y29_N6
\led_flash_cnt[2597][4]~63244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2597][4]~63244_combout\ = (\led_flash_cnt[2597][4]~q\ & (!\led_flash_cnt[2597][3]~63243\)) # (!\led_flash_cnt[2597][4]~q\ & ((\led_flash_cnt[2597][3]~63243\) # (GND)))
-- \led_flash_cnt[2597][4]~63245\ = CARRY((!\led_flash_cnt[2597][3]~63243\) # (!\led_flash_cnt[2597][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2597][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2597][3]~63243\,
	combout => \led_flash_cnt[2597][4]~63244_combout\,
	cout => \led_flash_cnt[2597][4]~63245\);

-- Location: FF_X66_Y29_N7
\led_flash_cnt[2597][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2597][4]~63244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2597][4]~q\);

-- Location: LCCOMB_X66_Y29_N8
\led_flash_cnt[2597][5]~63246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2597][5]~63246_combout\ = (\led_flash_cnt[2597][5]~q\ & (\led_flash_cnt[2597][4]~63245\ $ (GND))) # (!\led_flash_cnt[2597][5]~q\ & (!\led_flash_cnt[2597][4]~63245\ & VCC))
-- \led_flash_cnt[2597][5]~63247\ = CARRY((\led_flash_cnt[2597][5]~q\ & !\led_flash_cnt[2597][4]~63245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2597][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2597][4]~63245\,
	combout => \led_flash_cnt[2597][5]~63246_combout\,
	cout => \led_flash_cnt[2597][5]~63247\);

-- Location: FF_X66_Y29_N9
\led_flash_cnt[2597][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2597][5]~63246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2597][5]~q\);

-- Location: LCCOMB_X66_Y29_N10
\led_flash_cnt[2597][6]~63248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2597][6]~63248_combout\ = (\led_flash_cnt[2597][6]~q\ & (!\led_flash_cnt[2597][5]~63247\)) # (!\led_flash_cnt[2597][6]~q\ & ((\led_flash_cnt[2597][5]~63247\) # (GND)))
-- \led_flash_cnt[2597][6]~63249\ = CARRY((!\led_flash_cnt[2597][5]~63247\) # (!\led_flash_cnt[2597][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2597][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2597][5]~63247\,
	combout => \led_flash_cnt[2597][6]~63248_combout\,
	cout => \led_flash_cnt[2597][6]~63249\);

-- Location: FF_X66_Y29_N11
\led_flash_cnt[2597][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2597][6]~63248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2597][6]~q\);

-- Location: LCCOMB_X66_Y33_N6
\WideAnd2597~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2597~1_combout\ = (\led_flash_cnt[2597][6]~q\ & \led_flash_cnt[2597][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2597][6]~q\,
	datad => \led_flash_cnt[2597][5]~q\,
	combout => \WideAnd2597~1_combout\);

-- Location: LCCOMB_X66_Y29_N12
\led_flash_cnt[2597][7]~63250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2597][7]~63250_combout\ = \led_flash_cnt[2597][6]~63249\ $ (!\led_flash_cnt[2597][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2597][7]~q\,
	cin => \led_flash_cnt[2597][6]~63249\,
	combout => \led_flash_cnt[2597][7]~63250_combout\);

-- Location: FF_X66_Y29_N13
\led_flash_cnt[2597][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2597][7]~63250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2597][7]~q\);

-- Location: LCCOMB_X66_Y29_N30
\WideAnd2597~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2597~0_combout\ = (\led_flash_cnt[2597][4]~q\ & (\led_flash_cnt[2597][1]~q\ & (\led_flash_cnt[2597][3]~q\ & \led_flash_cnt[2597][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2597][4]~q\,
	datab => \led_flash_cnt[2597][1]~q\,
	datac => \led_flash_cnt[2597][3]~q\,
	datad => \led_flash_cnt[2597][2]~q\,
	combout => \WideAnd2597~0_combout\);

-- Location: LCCOMB_X66_Y33_N2
WideAnd2597 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2597~combout\ = (\WideAnd2597~1_combout\ & (\led_flash_cnt[2597][7]~q\ & (\WideAnd2597~0_combout\ & \led_flash_cnt[2597][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2597~1_combout\,
	datab => \led_flash_cnt[2597][7]~q\,
	datac => \WideAnd2597~0_combout\,
	datad => \led_flash_cnt[2597][0]~q\,
	combout => \WideAnd2597~combout\);

-- Location: FF_X66_Y33_N3
\led_flash_cnt_ands[2597]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2597~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2597));

-- Location: LCCOMB_X66_Y33_N26
\WideAnd4164~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4164~1_combout\ = (led_flash_cnt_ands(2596) & led_flash_cnt_ands(2597))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2596),
	datad => led_flash_cnt_ands(2597),
	combout => \WideAnd4164~1_combout\);

-- Location: LCCOMB_X67_Y37_N26
\led_flash_cnt[2599][0]~83239\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2599][0]~83239_combout\ = !\led_flash_cnt[2599][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2599][0]~q\,
	combout => \led_flash_cnt[2599][0]~83239_combout\);

-- Location: FF_X67_Y37_N27
\led_flash_cnt[2599][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2599][0]~83239_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2599][0]~q\);

-- Location: LCCOMB_X67_Y37_N2
\led_flash_cnt[2599][1]~63266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2599][1]~63266_combout\ = (\led_flash_cnt[2599][0]~q\ & (\led_flash_cnt[2599][1]~q\ $ (VCC))) # (!\led_flash_cnt[2599][0]~q\ & (\led_flash_cnt[2599][1]~q\ & VCC))
-- \led_flash_cnt[2599][1]~63267\ = CARRY((\led_flash_cnt[2599][0]~q\ & \led_flash_cnt[2599][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2599][0]~q\,
	datab => \led_flash_cnt[2599][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2599][1]~63266_combout\,
	cout => \led_flash_cnt[2599][1]~63267\);

-- Location: FF_X67_Y37_N3
\led_flash_cnt[2599][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2599][1]~63266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2599][1]~q\);

-- Location: LCCOMB_X67_Y37_N4
\led_flash_cnt[2599][2]~63268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2599][2]~63268_combout\ = (\led_flash_cnt[2599][2]~q\ & (!\led_flash_cnt[2599][1]~63267\)) # (!\led_flash_cnt[2599][2]~q\ & ((\led_flash_cnt[2599][1]~63267\) # (GND)))
-- \led_flash_cnt[2599][2]~63269\ = CARRY((!\led_flash_cnt[2599][1]~63267\) # (!\led_flash_cnt[2599][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2599][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2599][1]~63267\,
	combout => \led_flash_cnt[2599][2]~63268_combout\,
	cout => \led_flash_cnt[2599][2]~63269\);

-- Location: FF_X67_Y37_N5
\led_flash_cnt[2599][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2599][2]~63268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2599][2]~q\);

-- Location: LCCOMB_X67_Y37_N6
\led_flash_cnt[2599][3]~63270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2599][3]~63270_combout\ = (\led_flash_cnt[2599][3]~q\ & (\led_flash_cnt[2599][2]~63269\ $ (GND))) # (!\led_flash_cnt[2599][3]~q\ & (!\led_flash_cnt[2599][2]~63269\ & VCC))
-- \led_flash_cnt[2599][3]~63271\ = CARRY((\led_flash_cnt[2599][3]~q\ & !\led_flash_cnt[2599][2]~63269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2599][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2599][2]~63269\,
	combout => \led_flash_cnt[2599][3]~63270_combout\,
	cout => \led_flash_cnt[2599][3]~63271\);

-- Location: FF_X67_Y37_N7
\led_flash_cnt[2599][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2599][3]~63270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2599][3]~q\);

-- Location: LCCOMB_X67_Y37_N8
\led_flash_cnt[2599][4]~63272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2599][4]~63272_combout\ = (\led_flash_cnt[2599][4]~q\ & (!\led_flash_cnt[2599][3]~63271\)) # (!\led_flash_cnt[2599][4]~q\ & ((\led_flash_cnt[2599][3]~63271\) # (GND)))
-- \led_flash_cnt[2599][4]~63273\ = CARRY((!\led_flash_cnt[2599][3]~63271\) # (!\led_flash_cnt[2599][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2599][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2599][3]~63271\,
	combout => \led_flash_cnt[2599][4]~63272_combout\,
	cout => \led_flash_cnt[2599][4]~63273\);

-- Location: FF_X67_Y37_N9
\led_flash_cnt[2599][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2599][4]~63272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2599][4]~q\);

-- Location: LCCOMB_X67_Y37_N10
\led_flash_cnt[2599][5]~63274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2599][5]~63274_combout\ = (\led_flash_cnt[2599][5]~q\ & (\led_flash_cnt[2599][4]~63273\ $ (GND))) # (!\led_flash_cnt[2599][5]~q\ & (!\led_flash_cnt[2599][4]~63273\ & VCC))
-- \led_flash_cnt[2599][5]~63275\ = CARRY((\led_flash_cnt[2599][5]~q\ & !\led_flash_cnt[2599][4]~63273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2599][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2599][4]~63273\,
	combout => \led_flash_cnt[2599][5]~63274_combout\,
	cout => \led_flash_cnt[2599][5]~63275\);

-- Location: FF_X67_Y37_N11
\led_flash_cnt[2599][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2599][5]~63274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2599][5]~q\);

-- Location: LCCOMB_X67_Y37_N12
\led_flash_cnt[2599][6]~63276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2599][6]~63276_combout\ = (\led_flash_cnt[2599][6]~q\ & (!\led_flash_cnt[2599][5]~63275\)) # (!\led_flash_cnt[2599][6]~q\ & ((\led_flash_cnt[2599][5]~63275\) # (GND)))
-- \led_flash_cnt[2599][6]~63277\ = CARRY((!\led_flash_cnt[2599][5]~63275\) # (!\led_flash_cnt[2599][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2599][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2599][5]~63275\,
	combout => \led_flash_cnt[2599][6]~63276_combout\,
	cout => \led_flash_cnt[2599][6]~63277\);

-- Location: FF_X67_Y37_N13
\led_flash_cnt[2599][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2599][6]~63276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2599][6]~q\);

-- Location: LCCOMB_X67_Y37_N30
\WideAnd2599~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2599~1_combout\ = (\led_flash_cnt[2599][6]~q\ & \led_flash_cnt[2599][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2599][6]~q\,
	datad => \led_flash_cnt[2599][5]~q\,
	combout => \WideAnd2599~1_combout\);

-- Location: LCCOMB_X67_Y37_N14
\led_flash_cnt[2599][7]~63278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2599][7]~63278_combout\ = \led_flash_cnt[2599][7]~q\ $ (!\led_flash_cnt[2599][6]~63277\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2599][7]~q\,
	cin => \led_flash_cnt[2599][6]~63277\,
	combout => \led_flash_cnt[2599][7]~63278_combout\);

-- Location: FF_X67_Y37_N15
\led_flash_cnt[2599][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2599][7]~63278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2599][7]~q\);

-- Location: LCCOMB_X67_Y37_N20
\WideAnd2599~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2599~0_combout\ = (\led_flash_cnt[2599][3]~q\ & (\led_flash_cnt[2599][4]~q\ & (\led_flash_cnt[2599][2]~q\ & \led_flash_cnt[2599][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2599][3]~q\,
	datab => \led_flash_cnt[2599][4]~q\,
	datac => \led_flash_cnt[2599][2]~q\,
	datad => \led_flash_cnt[2599][1]~q\,
	combout => \WideAnd2599~0_combout\);

-- Location: LCCOMB_X67_Y37_N16
WideAnd2599 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2599~combout\ = (\WideAnd2599~1_combout\ & (\led_flash_cnt[2599][7]~q\ & (\led_flash_cnt[2599][0]~q\ & \WideAnd2599~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2599~1_combout\,
	datab => \led_flash_cnt[2599][7]~q\,
	datac => \led_flash_cnt[2599][0]~q\,
	datad => \WideAnd2599~0_combout\,
	combout => \WideAnd2599~combout\);

-- Location: FF_X67_Y37_N17
\led_flash_cnt_ands[2599]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2599~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2599));

-- Location: LCCOMB_X67_Y37_N24
WideAnd4164 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4164~combout\ = (\WideAnd4164~0_combout\ & (led_flash_cnt_ands(2598) & (\WideAnd4164~1_combout\ & led_flash_cnt_ands(2599))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4164~0_combout\,
	datab => led_flash_cnt_ands(2598),
	datac => \WideAnd4164~1_combout\,
	datad => led_flash_cnt_ands(2599),
	combout => \WideAnd4164~combout\);

-- Location: FF_X67_Y37_N25
\led_flash_cnt_ands_1[324]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4164~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(324));

-- Location: LCCOMB_X55_Y37_N0
\WideAnd4360~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4360~1_combout\ = (led_flash_cnt_ands_1(325) & led_flash_cnt_ands_1(324))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(325),
	datad => led_flash_cnt_ands_1(324),
	combout => \WideAnd4360~1_combout\);

-- Location: LCCOMB_X74_Y31_N12
\led_flash_cnt[2560][0]~83200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2560][0]~83200_combout\ = !\led_flash_cnt[2560][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2560][0]~q\,
	combout => \led_flash_cnt[2560][0]~83200_combout\);

-- Location: FF_X74_Y31_N13
\led_flash_cnt[2560][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2560][0]~83200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2560][0]~q\);

-- Location: LCCOMB_X74_Y31_N16
\led_flash_cnt[2560][1]~62720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2560][1]~62720_combout\ = (\led_flash_cnt[2560][0]~q\ & (\led_flash_cnt[2560][1]~q\ $ (VCC))) # (!\led_flash_cnt[2560][0]~q\ & (\led_flash_cnt[2560][1]~q\ & VCC))
-- \led_flash_cnt[2560][1]~62721\ = CARRY((\led_flash_cnt[2560][0]~q\ & \led_flash_cnt[2560][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2560][0]~q\,
	datab => \led_flash_cnt[2560][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2560][1]~62720_combout\,
	cout => \led_flash_cnt[2560][1]~62721\);

-- Location: FF_X74_Y31_N17
\led_flash_cnt[2560][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2560][1]~62720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2560][1]~q\);

-- Location: LCCOMB_X74_Y31_N18
\led_flash_cnt[2560][2]~62722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2560][2]~62722_combout\ = (\led_flash_cnt[2560][2]~q\ & (!\led_flash_cnt[2560][1]~62721\)) # (!\led_flash_cnt[2560][2]~q\ & ((\led_flash_cnt[2560][1]~62721\) # (GND)))
-- \led_flash_cnt[2560][2]~62723\ = CARRY((!\led_flash_cnt[2560][1]~62721\) # (!\led_flash_cnt[2560][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2560][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2560][1]~62721\,
	combout => \led_flash_cnt[2560][2]~62722_combout\,
	cout => \led_flash_cnt[2560][2]~62723\);

-- Location: FF_X74_Y31_N19
\led_flash_cnt[2560][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2560][2]~62722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2560][2]~q\);

-- Location: LCCOMB_X74_Y31_N20
\led_flash_cnt[2560][3]~62724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2560][3]~62724_combout\ = (\led_flash_cnt[2560][3]~q\ & (\led_flash_cnt[2560][2]~62723\ $ (GND))) # (!\led_flash_cnt[2560][3]~q\ & (!\led_flash_cnt[2560][2]~62723\ & VCC))
-- \led_flash_cnt[2560][3]~62725\ = CARRY((\led_flash_cnt[2560][3]~q\ & !\led_flash_cnt[2560][2]~62723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2560][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2560][2]~62723\,
	combout => \led_flash_cnt[2560][3]~62724_combout\,
	cout => \led_flash_cnt[2560][3]~62725\);

-- Location: FF_X74_Y31_N21
\led_flash_cnt[2560][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2560][3]~62724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2560][3]~q\);

-- Location: LCCOMB_X74_Y31_N22
\led_flash_cnt[2560][4]~62726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2560][4]~62726_combout\ = (\led_flash_cnt[2560][4]~q\ & (!\led_flash_cnt[2560][3]~62725\)) # (!\led_flash_cnt[2560][4]~q\ & ((\led_flash_cnt[2560][3]~62725\) # (GND)))
-- \led_flash_cnt[2560][4]~62727\ = CARRY((!\led_flash_cnt[2560][3]~62725\) # (!\led_flash_cnt[2560][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2560][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2560][3]~62725\,
	combout => \led_flash_cnt[2560][4]~62726_combout\,
	cout => \led_flash_cnt[2560][4]~62727\);

-- Location: FF_X74_Y31_N23
\led_flash_cnt[2560][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2560][4]~62726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2560][4]~q\);

-- Location: LCCOMB_X74_Y31_N24
\led_flash_cnt[2560][5]~62728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2560][5]~62728_combout\ = (\led_flash_cnt[2560][5]~q\ & (\led_flash_cnt[2560][4]~62727\ $ (GND))) # (!\led_flash_cnt[2560][5]~q\ & (!\led_flash_cnt[2560][4]~62727\ & VCC))
-- \led_flash_cnt[2560][5]~62729\ = CARRY((\led_flash_cnt[2560][5]~q\ & !\led_flash_cnt[2560][4]~62727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2560][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2560][4]~62727\,
	combout => \led_flash_cnt[2560][5]~62728_combout\,
	cout => \led_flash_cnt[2560][5]~62729\);

-- Location: FF_X74_Y31_N25
\led_flash_cnt[2560][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2560][5]~62728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2560][5]~q\);

-- Location: LCCOMB_X74_Y31_N26
\led_flash_cnt[2560][6]~62730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2560][6]~62730_combout\ = (\led_flash_cnt[2560][6]~q\ & (!\led_flash_cnt[2560][5]~62729\)) # (!\led_flash_cnt[2560][6]~q\ & ((\led_flash_cnt[2560][5]~62729\) # (GND)))
-- \led_flash_cnt[2560][6]~62731\ = CARRY((!\led_flash_cnt[2560][5]~62729\) # (!\led_flash_cnt[2560][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2560][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2560][5]~62729\,
	combout => \led_flash_cnt[2560][6]~62730_combout\,
	cout => \led_flash_cnt[2560][6]~62731\);

-- Location: FF_X74_Y31_N27
\led_flash_cnt[2560][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2560][6]~62730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2560][6]~q\);

-- Location: LCCOMB_X74_Y31_N4
\WideAnd2560~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2560~1_combout\ = (\led_flash_cnt[2560][6]~q\ & \led_flash_cnt[2560][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2560][6]~q\,
	datad => \led_flash_cnt[2560][5]~q\,
	combout => \WideAnd2560~1_combout\);

-- Location: LCCOMB_X74_Y31_N8
\WideAnd2560~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2560~0_combout\ = (\led_flash_cnt[2560][3]~q\ & (\led_flash_cnt[2560][2]~q\ & (\led_flash_cnt[2560][4]~q\ & \led_flash_cnt[2560][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2560][3]~q\,
	datab => \led_flash_cnt[2560][2]~q\,
	datac => \led_flash_cnt[2560][4]~q\,
	datad => \led_flash_cnt[2560][1]~q\,
	combout => \WideAnd2560~0_combout\);

-- Location: LCCOMB_X74_Y31_N28
\led_flash_cnt[2560][7]~62732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2560][7]~62732_combout\ = \led_flash_cnt[2560][6]~62731\ $ (!\led_flash_cnt[2560][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2560][7]~q\,
	cin => \led_flash_cnt[2560][6]~62731\,
	combout => \led_flash_cnt[2560][7]~62732_combout\);

-- Location: FF_X74_Y31_N29
\led_flash_cnt[2560][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2560][7]~62732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2560][7]~q\);

-- Location: LCCOMB_X74_Y31_N6
WideAnd2560 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2560~combout\ = (\led_flash_cnt[2560][0]~q\ & (\WideAnd2560~1_combout\ & (\WideAnd2560~0_combout\ & \led_flash_cnt[2560][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2560][0]~q\,
	datab => \WideAnd2560~1_combout\,
	datac => \WideAnd2560~0_combout\,
	datad => \led_flash_cnt[2560][7]~q\,
	combout => \WideAnd2560~combout\);

-- Location: FF_X74_Y31_N7
\led_flash_cnt_ands[2560]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2560~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2560));

-- Location: LCCOMB_X61_Y33_N10
\led_flash_cnt[2562][0]~83202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2562][0]~83202_combout\ = !\led_flash_cnt[2562][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2562][0]~q\,
	combout => \led_flash_cnt[2562][0]~83202_combout\);

-- Location: FF_X61_Y33_N11
\led_flash_cnt[2562][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2562][0]~83202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2562][0]~q\);

-- Location: LCCOMB_X61_Y33_N16
\led_flash_cnt[2562][1]~62748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2562][1]~62748_combout\ = (\led_flash_cnt[2562][0]~q\ & (\led_flash_cnt[2562][1]~q\ $ (VCC))) # (!\led_flash_cnt[2562][0]~q\ & (\led_flash_cnt[2562][1]~q\ & VCC))
-- \led_flash_cnt[2562][1]~62749\ = CARRY((\led_flash_cnt[2562][0]~q\ & \led_flash_cnt[2562][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2562][0]~q\,
	datab => \led_flash_cnt[2562][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2562][1]~62748_combout\,
	cout => \led_flash_cnt[2562][1]~62749\);

-- Location: FF_X61_Y33_N17
\led_flash_cnt[2562][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2562][1]~62748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2562][1]~q\);

-- Location: LCCOMB_X61_Y33_N18
\led_flash_cnt[2562][2]~62750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2562][2]~62750_combout\ = (\led_flash_cnt[2562][2]~q\ & (!\led_flash_cnt[2562][1]~62749\)) # (!\led_flash_cnt[2562][2]~q\ & ((\led_flash_cnt[2562][1]~62749\) # (GND)))
-- \led_flash_cnt[2562][2]~62751\ = CARRY((!\led_flash_cnt[2562][1]~62749\) # (!\led_flash_cnt[2562][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2562][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2562][1]~62749\,
	combout => \led_flash_cnt[2562][2]~62750_combout\,
	cout => \led_flash_cnt[2562][2]~62751\);

-- Location: FF_X61_Y33_N19
\led_flash_cnt[2562][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2562][2]~62750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2562][2]~q\);

-- Location: LCCOMB_X61_Y33_N20
\led_flash_cnt[2562][3]~62752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2562][3]~62752_combout\ = (\led_flash_cnt[2562][3]~q\ & (\led_flash_cnt[2562][2]~62751\ $ (GND))) # (!\led_flash_cnt[2562][3]~q\ & (!\led_flash_cnt[2562][2]~62751\ & VCC))
-- \led_flash_cnt[2562][3]~62753\ = CARRY((\led_flash_cnt[2562][3]~q\ & !\led_flash_cnt[2562][2]~62751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2562][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2562][2]~62751\,
	combout => \led_flash_cnt[2562][3]~62752_combout\,
	cout => \led_flash_cnt[2562][3]~62753\);

-- Location: FF_X61_Y33_N21
\led_flash_cnt[2562][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2562][3]~62752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2562][3]~q\);

-- Location: LCCOMB_X61_Y33_N22
\led_flash_cnt[2562][4]~62754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2562][4]~62754_combout\ = (\led_flash_cnt[2562][4]~q\ & (!\led_flash_cnt[2562][3]~62753\)) # (!\led_flash_cnt[2562][4]~q\ & ((\led_flash_cnt[2562][3]~62753\) # (GND)))
-- \led_flash_cnt[2562][4]~62755\ = CARRY((!\led_flash_cnt[2562][3]~62753\) # (!\led_flash_cnt[2562][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2562][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2562][3]~62753\,
	combout => \led_flash_cnt[2562][4]~62754_combout\,
	cout => \led_flash_cnt[2562][4]~62755\);

-- Location: FF_X61_Y33_N23
\led_flash_cnt[2562][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2562][4]~62754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2562][4]~q\);

-- Location: LCCOMB_X61_Y33_N24
\led_flash_cnt[2562][5]~62756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2562][5]~62756_combout\ = (\led_flash_cnt[2562][5]~q\ & (\led_flash_cnt[2562][4]~62755\ $ (GND))) # (!\led_flash_cnt[2562][5]~q\ & (!\led_flash_cnt[2562][4]~62755\ & VCC))
-- \led_flash_cnt[2562][5]~62757\ = CARRY((\led_flash_cnt[2562][5]~q\ & !\led_flash_cnt[2562][4]~62755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2562][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2562][4]~62755\,
	combout => \led_flash_cnt[2562][5]~62756_combout\,
	cout => \led_flash_cnt[2562][5]~62757\);

-- Location: FF_X61_Y33_N25
\led_flash_cnt[2562][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2562][5]~62756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2562][5]~q\);

-- Location: LCCOMB_X61_Y33_N26
\led_flash_cnt[2562][6]~62758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2562][6]~62758_combout\ = (\led_flash_cnt[2562][6]~q\ & (!\led_flash_cnt[2562][5]~62757\)) # (!\led_flash_cnt[2562][6]~q\ & ((\led_flash_cnt[2562][5]~62757\) # (GND)))
-- \led_flash_cnt[2562][6]~62759\ = CARRY((!\led_flash_cnt[2562][5]~62757\) # (!\led_flash_cnt[2562][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2562][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2562][5]~62757\,
	combout => \led_flash_cnt[2562][6]~62758_combout\,
	cout => \led_flash_cnt[2562][6]~62759\);

-- Location: FF_X61_Y33_N27
\led_flash_cnt[2562][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2562][6]~62758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2562][6]~q\);

-- Location: LCCOMB_X61_Y33_N28
\led_flash_cnt[2562][7]~62760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2562][7]~62760_combout\ = \led_flash_cnt[2562][6]~62759\ $ (!\led_flash_cnt[2562][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2562][7]~q\,
	cin => \led_flash_cnt[2562][6]~62759\,
	combout => \led_flash_cnt[2562][7]~62760_combout\);

-- Location: FF_X61_Y33_N29
\led_flash_cnt[2562][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2562][7]~62760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2562][7]~q\);

-- Location: LCCOMB_X61_Y33_N14
\WideAnd2562~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2562~1_combout\ = (\led_flash_cnt[2562][6]~q\ & \led_flash_cnt[2562][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2562][6]~q\,
	datad => \led_flash_cnt[2562][5]~q\,
	combout => \WideAnd2562~1_combout\);

-- Location: LCCOMB_X61_Y33_N12
\WideAnd2562~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2562~0_combout\ = (\led_flash_cnt[2562][3]~q\ & (\led_flash_cnt[2562][2]~q\ & (\led_flash_cnt[2562][4]~q\ & \led_flash_cnt[2562][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2562][3]~q\,
	datab => \led_flash_cnt[2562][2]~q\,
	datac => \led_flash_cnt[2562][4]~q\,
	datad => \led_flash_cnt[2562][1]~q\,
	combout => \WideAnd2562~0_combout\);

-- Location: LCCOMB_X61_Y33_N4
WideAnd2562 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2562~combout\ = (\led_flash_cnt[2562][0]~q\ & (\led_flash_cnt[2562][7]~q\ & (\WideAnd2562~1_combout\ & \WideAnd2562~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2562][0]~q\,
	datab => \led_flash_cnt[2562][7]~q\,
	datac => \WideAnd2562~1_combout\,
	datad => \WideAnd2562~0_combout\,
	combout => \WideAnd2562~combout\);

-- Location: FF_X61_Y33_N5
\led_flash_cnt_ands[2562]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2562~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2562));

-- Location: LCCOMB_X42_Y9_N18
\led_flash_cnt[2563][0]~83203\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2563][0]~83203_combout\ = !\led_flash_cnt[2563][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2563][0]~q\,
	combout => \led_flash_cnt[2563][0]~83203_combout\);

-- Location: FF_X42_Y9_N19
\led_flash_cnt[2563][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2563][0]~83203_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2563][0]~q\);

-- Location: LCCOMB_X42_Y9_N0
\led_flash_cnt[2563][1]~62762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2563][1]~62762_combout\ = (\led_flash_cnt[2563][1]~q\ & (\led_flash_cnt[2563][0]~q\ $ (VCC))) # (!\led_flash_cnt[2563][1]~q\ & (\led_flash_cnt[2563][0]~q\ & VCC))
-- \led_flash_cnt[2563][1]~62763\ = CARRY((\led_flash_cnt[2563][1]~q\ & \led_flash_cnt[2563][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2563][1]~q\,
	datab => \led_flash_cnt[2563][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2563][1]~62762_combout\,
	cout => \led_flash_cnt[2563][1]~62763\);

-- Location: FF_X42_Y9_N1
\led_flash_cnt[2563][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2563][1]~62762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2563][1]~q\);

-- Location: LCCOMB_X42_Y9_N2
\led_flash_cnt[2563][2]~62764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2563][2]~62764_combout\ = (\led_flash_cnt[2563][2]~q\ & (!\led_flash_cnt[2563][1]~62763\)) # (!\led_flash_cnt[2563][2]~q\ & ((\led_flash_cnt[2563][1]~62763\) # (GND)))
-- \led_flash_cnt[2563][2]~62765\ = CARRY((!\led_flash_cnt[2563][1]~62763\) # (!\led_flash_cnt[2563][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2563][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2563][1]~62763\,
	combout => \led_flash_cnt[2563][2]~62764_combout\,
	cout => \led_flash_cnt[2563][2]~62765\);

-- Location: FF_X42_Y9_N3
\led_flash_cnt[2563][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2563][2]~62764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2563][2]~q\);

-- Location: LCCOMB_X42_Y9_N4
\led_flash_cnt[2563][3]~62766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2563][3]~62766_combout\ = (\led_flash_cnt[2563][3]~q\ & (\led_flash_cnt[2563][2]~62765\ $ (GND))) # (!\led_flash_cnt[2563][3]~q\ & (!\led_flash_cnt[2563][2]~62765\ & VCC))
-- \led_flash_cnt[2563][3]~62767\ = CARRY((\led_flash_cnt[2563][3]~q\ & !\led_flash_cnt[2563][2]~62765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2563][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2563][2]~62765\,
	combout => \led_flash_cnt[2563][3]~62766_combout\,
	cout => \led_flash_cnt[2563][3]~62767\);

-- Location: FF_X42_Y9_N5
\led_flash_cnt[2563][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2563][3]~62766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2563][3]~q\);

-- Location: LCCOMB_X42_Y9_N6
\led_flash_cnt[2563][4]~62768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2563][4]~62768_combout\ = (\led_flash_cnt[2563][4]~q\ & (!\led_flash_cnt[2563][3]~62767\)) # (!\led_flash_cnt[2563][4]~q\ & ((\led_flash_cnt[2563][3]~62767\) # (GND)))
-- \led_flash_cnt[2563][4]~62769\ = CARRY((!\led_flash_cnt[2563][3]~62767\) # (!\led_flash_cnt[2563][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2563][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2563][3]~62767\,
	combout => \led_flash_cnt[2563][4]~62768_combout\,
	cout => \led_flash_cnt[2563][4]~62769\);

-- Location: FF_X42_Y9_N7
\led_flash_cnt[2563][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2563][4]~62768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2563][4]~q\);

-- Location: LCCOMB_X42_Y9_N8
\led_flash_cnt[2563][5]~62770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2563][5]~62770_combout\ = (\led_flash_cnt[2563][5]~q\ & (\led_flash_cnt[2563][4]~62769\ $ (GND))) # (!\led_flash_cnt[2563][5]~q\ & (!\led_flash_cnt[2563][4]~62769\ & VCC))
-- \led_flash_cnt[2563][5]~62771\ = CARRY((\led_flash_cnt[2563][5]~q\ & !\led_flash_cnt[2563][4]~62769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2563][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2563][4]~62769\,
	combout => \led_flash_cnt[2563][5]~62770_combout\,
	cout => \led_flash_cnt[2563][5]~62771\);

-- Location: FF_X42_Y9_N9
\led_flash_cnt[2563][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2563][5]~62770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2563][5]~q\);

-- Location: LCCOMB_X42_Y9_N10
\led_flash_cnt[2563][6]~62772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2563][6]~62772_combout\ = (\led_flash_cnt[2563][6]~q\ & (!\led_flash_cnt[2563][5]~62771\)) # (!\led_flash_cnt[2563][6]~q\ & ((\led_flash_cnt[2563][5]~62771\) # (GND)))
-- \led_flash_cnt[2563][6]~62773\ = CARRY((!\led_flash_cnt[2563][5]~62771\) # (!\led_flash_cnt[2563][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2563][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2563][5]~62771\,
	combout => \led_flash_cnt[2563][6]~62772_combout\,
	cout => \led_flash_cnt[2563][6]~62773\);

-- Location: FF_X42_Y9_N11
\led_flash_cnt[2563][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2563][6]~62772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2563][6]~q\);

-- Location: LCCOMB_X42_Y9_N12
\led_flash_cnt[2563][7]~62774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2563][7]~62774_combout\ = \led_flash_cnt[2563][6]~62773\ $ (!\led_flash_cnt[2563][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2563][7]~q\,
	cin => \led_flash_cnt[2563][6]~62773\,
	combout => \led_flash_cnt[2563][7]~62774_combout\);

-- Location: FF_X42_Y9_N13
\led_flash_cnt[2563][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2563][7]~62774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2563][7]~q\);

-- Location: LCCOMB_X42_Y9_N28
\WideAnd2563~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2563~0_combout\ = (\led_flash_cnt[2563][4]~q\ & (\led_flash_cnt[2563][1]~q\ & (\led_flash_cnt[2563][3]~q\ & \led_flash_cnt[2563][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2563][4]~q\,
	datab => \led_flash_cnt[2563][1]~q\,
	datac => \led_flash_cnt[2563][3]~q\,
	datad => \led_flash_cnt[2563][2]~q\,
	combout => \WideAnd2563~0_combout\);

-- Location: LCCOMB_X42_Y9_N14
\WideAnd2563~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2563~1_combout\ = (\led_flash_cnt[2563][5]~q\ & \led_flash_cnt[2563][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2563][5]~q\,
	datad => \led_flash_cnt[2563][6]~q\,
	combout => \WideAnd2563~1_combout\);

-- Location: LCCOMB_X42_Y9_N26
WideAnd2563 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2563~combout\ = (\led_flash_cnt[2563][7]~q\ & (\WideAnd2563~0_combout\ & (\WideAnd2563~1_combout\ & \led_flash_cnt[2563][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2563][7]~q\,
	datab => \WideAnd2563~0_combout\,
	datac => \WideAnd2563~1_combout\,
	datad => \led_flash_cnt[2563][0]~q\,
	combout => \WideAnd2563~combout\);

-- Location: FF_X42_Y9_N27
\led_flash_cnt_ands[2563]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2563~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2563));

-- Location: LCCOMB_X69_Y31_N26
\led_flash_cnt[2561][0]~83201\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2561][0]~83201_combout\ = !\led_flash_cnt[2561][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2561][0]~q\,
	combout => \led_flash_cnt[2561][0]~83201_combout\);

-- Location: FF_X69_Y31_N27
\led_flash_cnt[2561][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2561][0]~83201_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2561][0]~q\);

-- Location: LCCOMB_X69_Y31_N2
\led_flash_cnt[2561][1]~62734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2561][1]~62734_combout\ = (\led_flash_cnt[2561][0]~q\ & (\led_flash_cnt[2561][1]~q\ $ (VCC))) # (!\led_flash_cnt[2561][0]~q\ & (\led_flash_cnt[2561][1]~q\ & VCC))
-- \led_flash_cnt[2561][1]~62735\ = CARRY((\led_flash_cnt[2561][0]~q\ & \led_flash_cnt[2561][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2561][0]~q\,
	datab => \led_flash_cnt[2561][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2561][1]~62734_combout\,
	cout => \led_flash_cnt[2561][1]~62735\);

-- Location: FF_X69_Y31_N3
\led_flash_cnt[2561][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2561][1]~62734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2561][1]~q\);

-- Location: LCCOMB_X69_Y31_N4
\led_flash_cnt[2561][2]~62736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2561][2]~62736_combout\ = (\led_flash_cnt[2561][2]~q\ & (!\led_flash_cnt[2561][1]~62735\)) # (!\led_flash_cnt[2561][2]~q\ & ((\led_flash_cnt[2561][1]~62735\) # (GND)))
-- \led_flash_cnt[2561][2]~62737\ = CARRY((!\led_flash_cnt[2561][1]~62735\) # (!\led_flash_cnt[2561][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2561][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2561][1]~62735\,
	combout => \led_flash_cnt[2561][2]~62736_combout\,
	cout => \led_flash_cnt[2561][2]~62737\);

-- Location: FF_X69_Y31_N5
\led_flash_cnt[2561][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2561][2]~62736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2561][2]~q\);

-- Location: LCCOMB_X69_Y31_N6
\led_flash_cnt[2561][3]~62738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2561][3]~62738_combout\ = (\led_flash_cnt[2561][3]~q\ & (\led_flash_cnt[2561][2]~62737\ $ (GND))) # (!\led_flash_cnt[2561][3]~q\ & (!\led_flash_cnt[2561][2]~62737\ & VCC))
-- \led_flash_cnt[2561][3]~62739\ = CARRY((\led_flash_cnt[2561][3]~q\ & !\led_flash_cnt[2561][2]~62737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2561][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2561][2]~62737\,
	combout => \led_flash_cnt[2561][3]~62738_combout\,
	cout => \led_flash_cnt[2561][3]~62739\);

-- Location: FF_X69_Y31_N7
\led_flash_cnt[2561][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2561][3]~62738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2561][3]~q\);

-- Location: LCCOMB_X69_Y31_N8
\led_flash_cnt[2561][4]~62740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2561][4]~62740_combout\ = (\led_flash_cnt[2561][4]~q\ & (!\led_flash_cnt[2561][3]~62739\)) # (!\led_flash_cnt[2561][4]~q\ & ((\led_flash_cnt[2561][3]~62739\) # (GND)))
-- \led_flash_cnt[2561][4]~62741\ = CARRY((!\led_flash_cnt[2561][3]~62739\) # (!\led_flash_cnt[2561][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2561][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2561][3]~62739\,
	combout => \led_flash_cnt[2561][4]~62740_combout\,
	cout => \led_flash_cnt[2561][4]~62741\);

-- Location: FF_X69_Y31_N9
\led_flash_cnt[2561][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2561][4]~62740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2561][4]~q\);

-- Location: LCCOMB_X69_Y31_N10
\led_flash_cnt[2561][5]~62742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2561][5]~62742_combout\ = (\led_flash_cnt[2561][5]~q\ & (\led_flash_cnt[2561][4]~62741\ $ (GND))) # (!\led_flash_cnt[2561][5]~q\ & (!\led_flash_cnt[2561][4]~62741\ & VCC))
-- \led_flash_cnt[2561][5]~62743\ = CARRY((\led_flash_cnt[2561][5]~q\ & !\led_flash_cnt[2561][4]~62741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2561][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2561][4]~62741\,
	combout => \led_flash_cnt[2561][5]~62742_combout\,
	cout => \led_flash_cnt[2561][5]~62743\);

-- Location: FF_X69_Y31_N11
\led_flash_cnt[2561][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2561][5]~62742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2561][5]~q\);

-- Location: LCCOMB_X69_Y31_N12
\led_flash_cnt[2561][6]~62744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2561][6]~62744_combout\ = (\led_flash_cnt[2561][6]~q\ & (!\led_flash_cnt[2561][5]~62743\)) # (!\led_flash_cnt[2561][6]~q\ & ((\led_flash_cnt[2561][5]~62743\) # (GND)))
-- \led_flash_cnt[2561][6]~62745\ = CARRY((!\led_flash_cnt[2561][5]~62743\) # (!\led_flash_cnt[2561][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2561][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2561][5]~62743\,
	combout => \led_flash_cnt[2561][6]~62744_combout\,
	cout => \led_flash_cnt[2561][6]~62745\);

-- Location: FF_X69_Y31_N13
\led_flash_cnt[2561][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2561][6]~62744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2561][6]~q\);

-- Location: LCCOMB_X69_Y31_N22
\WideAnd2561~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2561~1_combout\ = (\led_flash_cnt[2561][6]~q\ & \led_flash_cnt[2561][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2561][6]~q\,
	datad => \led_flash_cnt[2561][5]~q\,
	combout => \WideAnd2561~1_combout\);

-- Location: LCCOMB_X69_Y31_N14
\led_flash_cnt[2561][7]~62746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2561][7]~62746_combout\ = \led_flash_cnt[2561][7]~q\ $ (!\led_flash_cnt[2561][6]~62745\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2561][7]~q\,
	cin => \led_flash_cnt[2561][6]~62745\,
	combout => \led_flash_cnt[2561][7]~62746_combout\);

-- Location: FF_X69_Y31_N15
\led_flash_cnt[2561][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2561][7]~62746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2561][7]~q\);

-- Location: LCCOMB_X69_Y31_N18
\WideAnd2561~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2561~0_combout\ = (\led_flash_cnt[2561][3]~q\ & (\led_flash_cnt[2561][4]~q\ & (\led_flash_cnt[2561][2]~q\ & \led_flash_cnt[2561][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2561][3]~q\,
	datab => \led_flash_cnt[2561][4]~q\,
	datac => \led_flash_cnt[2561][2]~q\,
	datad => \led_flash_cnt[2561][1]~q\,
	combout => \WideAnd2561~0_combout\);

-- Location: LCCOMB_X69_Y31_N24
WideAnd2561 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2561~combout\ = (\WideAnd2561~1_combout\ & (\led_flash_cnt[2561][7]~q\ & (\led_flash_cnt[2561][0]~q\ & \WideAnd2561~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2561~1_combout\,
	datab => \led_flash_cnt[2561][7]~q\,
	datac => \led_flash_cnt[2561][0]~q\,
	datad => \WideAnd2561~0_combout\,
	combout => \WideAnd2561~combout\);

-- Location: FF_X69_Y31_N25
\led_flash_cnt_ands[2561]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2561~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2561));

-- Location: LCCOMB_X69_Y31_N16
\WideAnd4160~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4160~0_combout\ = (led_flash_cnt_ands(2560) & (led_flash_cnt_ands(2562) & (led_flash_cnt_ands(2563) & led_flash_cnt_ands(2561))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2560),
	datab => led_flash_cnt_ands(2562),
	datac => led_flash_cnt_ands(2563),
	datad => led_flash_cnt_ands(2561),
	combout => \WideAnd4160~0_combout\);

-- Location: LCCOMB_X69_Y37_N14
\led_flash_cnt[2567][0]~83207\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2567][0]~83207_combout\ = !\led_flash_cnt[2567][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2567][0]~q\,
	combout => \led_flash_cnt[2567][0]~83207_combout\);

-- Location: FF_X69_Y37_N15
\led_flash_cnt[2567][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2567][0]~83207_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2567][0]~q\);

-- Location: LCCOMB_X70_Y37_N16
\led_flash_cnt[2567][1]~62818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2567][1]~62818_combout\ = (\led_flash_cnt[2567][0]~q\ & (\led_flash_cnt[2567][1]~q\ $ (VCC))) # (!\led_flash_cnt[2567][0]~q\ & (\led_flash_cnt[2567][1]~q\ & VCC))
-- \led_flash_cnt[2567][1]~62819\ = CARRY((\led_flash_cnt[2567][0]~q\ & \led_flash_cnt[2567][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2567][0]~q\,
	datab => \led_flash_cnt[2567][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2567][1]~62818_combout\,
	cout => \led_flash_cnt[2567][1]~62819\);

-- Location: FF_X70_Y37_N17
\led_flash_cnt[2567][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2567][1]~62818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2567][1]~q\);

-- Location: LCCOMB_X70_Y37_N18
\led_flash_cnt[2567][2]~62820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2567][2]~62820_combout\ = (\led_flash_cnt[2567][2]~q\ & (!\led_flash_cnt[2567][1]~62819\)) # (!\led_flash_cnt[2567][2]~q\ & ((\led_flash_cnt[2567][1]~62819\) # (GND)))
-- \led_flash_cnt[2567][2]~62821\ = CARRY((!\led_flash_cnt[2567][1]~62819\) # (!\led_flash_cnt[2567][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2567][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2567][1]~62819\,
	combout => \led_flash_cnt[2567][2]~62820_combout\,
	cout => \led_flash_cnt[2567][2]~62821\);

-- Location: FF_X70_Y37_N19
\led_flash_cnt[2567][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2567][2]~62820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2567][2]~q\);

-- Location: LCCOMB_X70_Y37_N20
\led_flash_cnt[2567][3]~62822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2567][3]~62822_combout\ = (\led_flash_cnt[2567][3]~q\ & (\led_flash_cnt[2567][2]~62821\ $ (GND))) # (!\led_flash_cnt[2567][3]~q\ & (!\led_flash_cnt[2567][2]~62821\ & VCC))
-- \led_flash_cnt[2567][3]~62823\ = CARRY((\led_flash_cnt[2567][3]~q\ & !\led_flash_cnt[2567][2]~62821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2567][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2567][2]~62821\,
	combout => \led_flash_cnt[2567][3]~62822_combout\,
	cout => \led_flash_cnt[2567][3]~62823\);

-- Location: FF_X70_Y37_N21
\led_flash_cnt[2567][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2567][3]~62822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2567][3]~q\);

-- Location: LCCOMB_X70_Y37_N22
\led_flash_cnt[2567][4]~62824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2567][4]~62824_combout\ = (\led_flash_cnt[2567][4]~q\ & (!\led_flash_cnt[2567][3]~62823\)) # (!\led_flash_cnt[2567][4]~q\ & ((\led_flash_cnt[2567][3]~62823\) # (GND)))
-- \led_flash_cnt[2567][4]~62825\ = CARRY((!\led_flash_cnt[2567][3]~62823\) # (!\led_flash_cnt[2567][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2567][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2567][3]~62823\,
	combout => \led_flash_cnt[2567][4]~62824_combout\,
	cout => \led_flash_cnt[2567][4]~62825\);

-- Location: FF_X70_Y37_N23
\led_flash_cnt[2567][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2567][4]~62824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2567][4]~q\);

-- Location: LCCOMB_X70_Y37_N24
\led_flash_cnt[2567][5]~62826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2567][5]~62826_combout\ = (\led_flash_cnt[2567][5]~q\ & (\led_flash_cnt[2567][4]~62825\ $ (GND))) # (!\led_flash_cnt[2567][5]~q\ & (!\led_flash_cnt[2567][4]~62825\ & VCC))
-- \led_flash_cnt[2567][5]~62827\ = CARRY((\led_flash_cnt[2567][5]~q\ & !\led_flash_cnt[2567][4]~62825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2567][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2567][4]~62825\,
	combout => \led_flash_cnt[2567][5]~62826_combout\,
	cout => \led_flash_cnt[2567][5]~62827\);

-- Location: FF_X70_Y37_N25
\led_flash_cnt[2567][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2567][5]~62826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2567][5]~q\);

-- Location: LCCOMB_X70_Y37_N26
\led_flash_cnt[2567][6]~62828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2567][6]~62828_combout\ = (\led_flash_cnt[2567][6]~q\ & (!\led_flash_cnt[2567][5]~62827\)) # (!\led_flash_cnt[2567][6]~q\ & ((\led_flash_cnt[2567][5]~62827\) # (GND)))
-- \led_flash_cnt[2567][6]~62829\ = CARRY((!\led_flash_cnt[2567][5]~62827\) # (!\led_flash_cnt[2567][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2567][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2567][5]~62827\,
	combout => \led_flash_cnt[2567][6]~62828_combout\,
	cout => \led_flash_cnt[2567][6]~62829\);

-- Location: FF_X70_Y37_N27
\led_flash_cnt[2567][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2567][6]~62828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2567][6]~q\);

-- Location: LCCOMB_X69_Y37_N6
\WideAnd2567~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2567~1_combout\ = (\led_flash_cnt[2567][5]~q\ & \led_flash_cnt[2567][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2567][5]~q\,
	datad => \led_flash_cnt[2567][6]~q\,
	combout => \WideAnd2567~1_combout\);

-- Location: LCCOMB_X70_Y37_N14
\WideAnd2567~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2567~0_combout\ = (\led_flash_cnt[2567][1]~q\ & (\led_flash_cnt[2567][3]~q\ & (\led_flash_cnt[2567][4]~q\ & \led_flash_cnt[2567][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2567][1]~q\,
	datab => \led_flash_cnt[2567][3]~q\,
	datac => \led_flash_cnt[2567][4]~q\,
	datad => \led_flash_cnt[2567][2]~q\,
	combout => \WideAnd2567~0_combout\);

-- Location: LCCOMB_X70_Y37_N28
\led_flash_cnt[2567][7]~62830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2567][7]~62830_combout\ = \led_flash_cnt[2567][6]~62829\ $ (!\led_flash_cnt[2567][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2567][7]~q\,
	cin => \led_flash_cnt[2567][6]~62829\,
	combout => \led_flash_cnt[2567][7]~62830_combout\);

-- Location: FF_X70_Y37_N29
\led_flash_cnt[2567][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2567][7]~62830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2567][7]~q\);

-- Location: LCCOMB_X69_Y37_N8
WideAnd2567 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2567~combout\ = (\WideAnd2567~1_combout\ & (\led_flash_cnt[2567][0]~q\ & (\WideAnd2567~0_combout\ & \led_flash_cnt[2567][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2567~1_combout\,
	datab => \led_flash_cnt[2567][0]~q\,
	datac => \WideAnd2567~0_combout\,
	datad => \led_flash_cnt[2567][7]~q\,
	combout => \WideAnd2567~combout\);

-- Location: FF_X69_Y37_N9
\led_flash_cnt_ands[2567]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2567~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2567));

-- Location: LCCOMB_X70_Y40_N6
\led_flash_cnt[2565][0]~83205\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2565][0]~83205_combout\ = !\led_flash_cnt[2565][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2565][0]~q\,
	combout => \led_flash_cnt[2565][0]~83205_combout\);

-- Location: FF_X70_Y40_N7
\led_flash_cnt[2565][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2565][0]~83205_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2565][0]~q\);

-- Location: LCCOMB_X71_Y40_N0
\led_flash_cnt[2565][1]~62790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2565][1]~62790_combout\ = (\led_flash_cnt[2565][0]~q\ & (\led_flash_cnt[2565][1]~q\ $ (VCC))) # (!\led_flash_cnt[2565][0]~q\ & (\led_flash_cnt[2565][1]~q\ & VCC))
-- \led_flash_cnt[2565][1]~62791\ = CARRY((\led_flash_cnt[2565][0]~q\ & \led_flash_cnt[2565][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2565][0]~q\,
	datab => \led_flash_cnt[2565][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2565][1]~62790_combout\,
	cout => \led_flash_cnt[2565][1]~62791\);

-- Location: FF_X71_Y40_N1
\led_flash_cnt[2565][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2565][1]~62790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2565][1]~q\);

-- Location: LCCOMB_X71_Y40_N2
\led_flash_cnt[2565][2]~62792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2565][2]~62792_combout\ = (\led_flash_cnt[2565][2]~q\ & (!\led_flash_cnt[2565][1]~62791\)) # (!\led_flash_cnt[2565][2]~q\ & ((\led_flash_cnt[2565][1]~62791\) # (GND)))
-- \led_flash_cnt[2565][2]~62793\ = CARRY((!\led_flash_cnt[2565][1]~62791\) # (!\led_flash_cnt[2565][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2565][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2565][1]~62791\,
	combout => \led_flash_cnt[2565][2]~62792_combout\,
	cout => \led_flash_cnt[2565][2]~62793\);

-- Location: FF_X71_Y40_N3
\led_flash_cnt[2565][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2565][2]~62792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2565][2]~q\);

-- Location: LCCOMB_X71_Y40_N4
\led_flash_cnt[2565][3]~62794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2565][3]~62794_combout\ = (\led_flash_cnt[2565][3]~q\ & (\led_flash_cnt[2565][2]~62793\ $ (GND))) # (!\led_flash_cnt[2565][3]~q\ & (!\led_flash_cnt[2565][2]~62793\ & VCC))
-- \led_flash_cnt[2565][3]~62795\ = CARRY((\led_flash_cnt[2565][3]~q\ & !\led_flash_cnt[2565][2]~62793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2565][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2565][2]~62793\,
	combout => \led_flash_cnt[2565][3]~62794_combout\,
	cout => \led_flash_cnt[2565][3]~62795\);

-- Location: FF_X71_Y40_N5
\led_flash_cnt[2565][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2565][3]~62794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2565][3]~q\);

-- Location: LCCOMB_X71_Y40_N6
\led_flash_cnt[2565][4]~62796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2565][4]~62796_combout\ = (\led_flash_cnt[2565][4]~q\ & (!\led_flash_cnt[2565][3]~62795\)) # (!\led_flash_cnt[2565][4]~q\ & ((\led_flash_cnt[2565][3]~62795\) # (GND)))
-- \led_flash_cnt[2565][4]~62797\ = CARRY((!\led_flash_cnt[2565][3]~62795\) # (!\led_flash_cnt[2565][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2565][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2565][3]~62795\,
	combout => \led_flash_cnt[2565][4]~62796_combout\,
	cout => \led_flash_cnt[2565][4]~62797\);

-- Location: FF_X71_Y40_N7
\led_flash_cnt[2565][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2565][4]~62796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2565][4]~q\);

-- Location: LCCOMB_X71_Y40_N8
\led_flash_cnt[2565][5]~62798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2565][5]~62798_combout\ = (\led_flash_cnt[2565][5]~q\ & (\led_flash_cnt[2565][4]~62797\ $ (GND))) # (!\led_flash_cnt[2565][5]~q\ & (!\led_flash_cnt[2565][4]~62797\ & VCC))
-- \led_flash_cnt[2565][5]~62799\ = CARRY((\led_flash_cnt[2565][5]~q\ & !\led_flash_cnt[2565][4]~62797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2565][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2565][4]~62797\,
	combout => \led_flash_cnt[2565][5]~62798_combout\,
	cout => \led_flash_cnt[2565][5]~62799\);

-- Location: FF_X71_Y40_N9
\led_flash_cnt[2565][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2565][5]~62798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2565][5]~q\);

-- Location: LCCOMB_X71_Y40_N10
\led_flash_cnt[2565][6]~62800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2565][6]~62800_combout\ = (\led_flash_cnt[2565][6]~q\ & (!\led_flash_cnt[2565][5]~62799\)) # (!\led_flash_cnt[2565][6]~q\ & ((\led_flash_cnt[2565][5]~62799\) # (GND)))
-- \led_flash_cnt[2565][6]~62801\ = CARRY((!\led_flash_cnt[2565][5]~62799\) # (!\led_flash_cnt[2565][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2565][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2565][5]~62799\,
	combout => \led_flash_cnt[2565][6]~62800_combout\,
	cout => \led_flash_cnt[2565][6]~62801\);

-- Location: FF_X71_Y40_N11
\led_flash_cnt[2565][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2565][6]~62800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2565][6]~q\);

-- Location: LCCOMB_X70_Y40_N26
\WideAnd2565~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2565~1_combout\ = (\led_flash_cnt[2565][6]~q\ & \led_flash_cnt[2565][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2565][6]~q\,
	datac => \led_flash_cnt[2565][5]~q\,
	combout => \WideAnd2565~1_combout\);

-- Location: LCCOMB_X71_Y40_N16
\WideAnd2565~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2565~0_combout\ = (\led_flash_cnt[2565][4]~q\ & (\led_flash_cnt[2565][1]~q\ & (\led_flash_cnt[2565][3]~q\ & \led_flash_cnt[2565][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2565][4]~q\,
	datab => \led_flash_cnt[2565][1]~q\,
	datac => \led_flash_cnt[2565][3]~q\,
	datad => \led_flash_cnt[2565][2]~q\,
	combout => \WideAnd2565~0_combout\);

-- Location: LCCOMB_X71_Y40_N12
\led_flash_cnt[2565][7]~62802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2565][7]~62802_combout\ = \led_flash_cnt[2565][6]~62801\ $ (!\led_flash_cnt[2565][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2565][7]~q\,
	cin => \led_flash_cnt[2565][6]~62801\,
	combout => \led_flash_cnt[2565][7]~62802_combout\);

-- Location: FF_X71_Y40_N13
\led_flash_cnt[2565][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2565][7]~62802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2565][7]~q\);

-- Location: LCCOMB_X70_Y40_N2
WideAnd2565 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2565~combout\ = (\WideAnd2565~1_combout\ & (\WideAnd2565~0_combout\ & (\led_flash_cnt[2565][7]~q\ & \led_flash_cnt[2565][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2565~1_combout\,
	datab => \WideAnd2565~0_combout\,
	datac => \led_flash_cnt[2565][7]~q\,
	datad => \led_flash_cnt[2565][0]~q\,
	combout => \WideAnd2565~combout\);

-- Location: FF_X70_Y40_N3
\led_flash_cnt_ands[2565]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2565~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2565));

-- Location: LCCOMB_X70_Y40_N22
\led_flash_cnt[2564][0]~83204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2564][0]~83204_combout\ = !\led_flash_cnt[2564][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2564][0]~q\,
	combout => \led_flash_cnt[2564][0]~83204_combout\);

-- Location: FF_X70_Y40_N23
\led_flash_cnt[2564][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2564][0]~83204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2564][0]~q\);

-- Location: LCCOMB_X70_Y40_N8
\led_flash_cnt[2564][1]~62776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2564][1]~62776_combout\ = (\led_flash_cnt[2564][0]~q\ & (\led_flash_cnt[2564][1]~q\ $ (VCC))) # (!\led_flash_cnt[2564][0]~q\ & (\led_flash_cnt[2564][1]~q\ & VCC))
-- \led_flash_cnt[2564][1]~62777\ = CARRY((\led_flash_cnt[2564][0]~q\ & \led_flash_cnt[2564][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2564][0]~q\,
	datab => \led_flash_cnt[2564][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2564][1]~62776_combout\,
	cout => \led_flash_cnt[2564][1]~62777\);

-- Location: FF_X70_Y40_N9
\led_flash_cnt[2564][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2564][1]~62776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2564][1]~q\);

-- Location: LCCOMB_X70_Y40_N10
\led_flash_cnt[2564][2]~62778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2564][2]~62778_combout\ = (\led_flash_cnt[2564][2]~q\ & (!\led_flash_cnt[2564][1]~62777\)) # (!\led_flash_cnt[2564][2]~q\ & ((\led_flash_cnt[2564][1]~62777\) # (GND)))
-- \led_flash_cnt[2564][2]~62779\ = CARRY((!\led_flash_cnt[2564][1]~62777\) # (!\led_flash_cnt[2564][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2564][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2564][1]~62777\,
	combout => \led_flash_cnt[2564][2]~62778_combout\,
	cout => \led_flash_cnt[2564][2]~62779\);

-- Location: FF_X70_Y40_N11
\led_flash_cnt[2564][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2564][2]~62778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2564][2]~q\);

-- Location: LCCOMB_X70_Y40_N12
\led_flash_cnt[2564][3]~62780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2564][3]~62780_combout\ = (\led_flash_cnt[2564][3]~q\ & (\led_flash_cnt[2564][2]~62779\ $ (GND))) # (!\led_flash_cnt[2564][3]~q\ & (!\led_flash_cnt[2564][2]~62779\ & VCC))
-- \led_flash_cnt[2564][3]~62781\ = CARRY((\led_flash_cnt[2564][3]~q\ & !\led_flash_cnt[2564][2]~62779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2564][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2564][2]~62779\,
	combout => \led_flash_cnt[2564][3]~62780_combout\,
	cout => \led_flash_cnt[2564][3]~62781\);

-- Location: FF_X70_Y40_N13
\led_flash_cnt[2564][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2564][3]~62780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2564][3]~q\);

-- Location: LCCOMB_X70_Y40_N14
\led_flash_cnt[2564][4]~62782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2564][4]~62782_combout\ = (\led_flash_cnt[2564][4]~q\ & (!\led_flash_cnt[2564][3]~62781\)) # (!\led_flash_cnt[2564][4]~q\ & ((\led_flash_cnt[2564][3]~62781\) # (GND)))
-- \led_flash_cnt[2564][4]~62783\ = CARRY((!\led_flash_cnt[2564][3]~62781\) # (!\led_flash_cnt[2564][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2564][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2564][3]~62781\,
	combout => \led_flash_cnt[2564][4]~62782_combout\,
	cout => \led_flash_cnt[2564][4]~62783\);

-- Location: FF_X70_Y40_N15
\led_flash_cnt[2564][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2564][4]~62782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2564][4]~q\);

-- Location: LCCOMB_X70_Y40_N24
\WideAnd2564~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2564~0_combout\ = (\led_flash_cnt[2564][3]~q\ & (\led_flash_cnt[2564][4]~q\ & (\led_flash_cnt[2564][1]~q\ & \led_flash_cnt[2564][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2564][3]~q\,
	datab => \led_flash_cnt[2564][4]~q\,
	datac => \led_flash_cnt[2564][1]~q\,
	datad => \led_flash_cnt[2564][2]~q\,
	combout => \WideAnd2564~0_combout\);

-- Location: LCCOMB_X70_Y40_N16
\led_flash_cnt[2564][5]~62784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2564][5]~62784_combout\ = (\led_flash_cnt[2564][5]~q\ & (\led_flash_cnt[2564][4]~62783\ $ (GND))) # (!\led_flash_cnt[2564][5]~q\ & (!\led_flash_cnt[2564][4]~62783\ & VCC))
-- \led_flash_cnt[2564][5]~62785\ = CARRY((\led_flash_cnt[2564][5]~q\ & !\led_flash_cnt[2564][4]~62783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2564][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2564][4]~62783\,
	combout => \led_flash_cnt[2564][5]~62784_combout\,
	cout => \led_flash_cnt[2564][5]~62785\);

-- Location: FF_X70_Y40_N17
\led_flash_cnt[2564][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2564][5]~62784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2564][5]~q\);

-- Location: LCCOMB_X70_Y40_N18
\led_flash_cnt[2564][6]~62786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2564][6]~62786_combout\ = (\led_flash_cnt[2564][6]~q\ & (!\led_flash_cnt[2564][5]~62785\)) # (!\led_flash_cnt[2564][6]~q\ & ((\led_flash_cnt[2564][5]~62785\) # (GND)))
-- \led_flash_cnt[2564][6]~62787\ = CARRY((!\led_flash_cnt[2564][5]~62785\) # (!\led_flash_cnt[2564][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2564][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2564][5]~62785\,
	combout => \led_flash_cnt[2564][6]~62786_combout\,
	cout => \led_flash_cnt[2564][6]~62787\);

-- Location: FF_X70_Y40_N19
\led_flash_cnt[2564][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2564][6]~62786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2564][6]~q\);

-- Location: LCCOMB_X70_Y40_N4
\WideAnd2564~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2564~1_combout\ = (\led_flash_cnt[2564][6]~q\ & \led_flash_cnt[2564][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2564][6]~q\,
	datad => \led_flash_cnt[2564][5]~q\,
	combout => \WideAnd2564~1_combout\);

-- Location: LCCOMB_X70_Y40_N20
\led_flash_cnt[2564][7]~62788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2564][7]~62788_combout\ = \led_flash_cnt[2564][6]~62787\ $ (!\led_flash_cnt[2564][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2564][7]~q\,
	cin => \led_flash_cnt[2564][6]~62787\,
	combout => \led_flash_cnt[2564][7]~62788_combout\);

-- Location: FF_X70_Y40_N21
\led_flash_cnt[2564][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2564][7]~62788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2564][7]~q\);

-- Location: LCCOMB_X70_Y40_N28
WideAnd2564 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2564~combout\ = (\led_flash_cnt[2564][0]~q\ & (\WideAnd2564~0_combout\ & (\WideAnd2564~1_combout\ & \led_flash_cnt[2564][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2564][0]~q\,
	datab => \WideAnd2564~0_combout\,
	datac => \WideAnd2564~1_combout\,
	datad => \led_flash_cnt[2564][7]~q\,
	combout => \WideAnd2564~combout\);

-- Location: FF_X70_Y40_N29
\led_flash_cnt_ands[2564]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2564~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2564));

-- Location: LCCOMB_X70_Y40_N30
\WideAnd4160~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4160~1_combout\ = (led_flash_cnt_ands(2565) & led_flash_cnt_ands(2564))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2565),
	datad => led_flash_cnt_ands(2564),
	combout => \WideAnd4160~1_combout\);

-- Location: LCCOMB_X69_Y37_N12
\led_flash_cnt[2566][0]~83206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2566][0]~83206_combout\ = !\led_flash_cnt[2566][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2566][0]~q\,
	combout => \led_flash_cnt[2566][0]~83206_combout\);

-- Location: FF_X69_Y37_N13
\led_flash_cnt[2566][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2566][0]~83206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2566][0]~q\);

-- Location: LCCOMB_X69_Y37_N18
\led_flash_cnt[2566][1]~62804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2566][1]~62804_combout\ = (\led_flash_cnt[2566][0]~q\ & (\led_flash_cnt[2566][1]~q\ $ (VCC))) # (!\led_flash_cnt[2566][0]~q\ & (\led_flash_cnt[2566][1]~q\ & VCC))
-- \led_flash_cnt[2566][1]~62805\ = CARRY((\led_flash_cnt[2566][0]~q\ & \led_flash_cnt[2566][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2566][0]~q\,
	datab => \led_flash_cnt[2566][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2566][1]~62804_combout\,
	cout => \led_flash_cnt[2566][1]~62805\);

-- Location: FF_X69_Y37_N19
\led_flash_cnt[2566][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2566][1]~62804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2566][1]~q\);

-- Location: LCCOMB_X69_Y37_N20
\led_flash_cnt[2566][2]~62806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2566][2]~62806_combout\ = (\led_flash_cnt[2566][2]~q\ & (!\led_flash_cnt[2566][1]~62805\)) # (!\led_flash_cnt[2566][2]~q\ & ((\led_flash_cnt[2566][1]~62805\) # (GND)))
-- \led_flash_cnt[2566][2]~62807\ = CARRY((!\led_flash_cnt[2566][1]~62805\) # (!\led_flash_cnt[2566][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2566][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2566][1]~62805\,
	combout => \led_flash_cnt[2566][2]~62806_combout\,
	cout => \led_flash_cnt[2566][2]~62807\);

-- Location: FF_X69_Y37_N21
\led_flash_cnt[2566][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2566][2]~62806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2566][2]~q\);

-- Location: LCCOMB_X69_Y37_N22
\led_flash_cnt[2566][3]~62808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2566][3]~62808_combout\ = (\led_flash_cnt[2566][3]~q\ & (\led_flash_cnt[2566][2]~62807\ $ (GND))) # (!\led_flash_cnt[2566][3]~q\ & (!\led_flash_cnt[2566][2]~62807\ & VCC))
-- \led_flash_cnt[2566][3]~62809\ = CARRY((\led_flash_cnt[2566][3]~q\ & !\led_flash_cnt[2566][2]~62807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2566][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2566][2]~62807\,
	combout => \led_flash_cnt[2566][3]~62808_combout\,
	cout => \led_flash_cnt[2566][3]~62809\);

-- Location: FF_X69_Y37_N23
\led_flash_cnt[2566][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2566][3]~62808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2566][3]~q\);

-- Location: LCCOMB_X69_Y37_N24
\led_flash_cnt[2566][4]~62810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2566][4]~62810_combout\ = (\led_flash_cnt[2566][4]~q\ & (!\led_flash_cnt[2566][3]~62809\)) # (!\led_flash_cnt[2566][4]~q\ & ((\led_flash_cnt[2566][3]~62809\) # (GND)))
-- \led_flash_cnt[2566][4]~62811\ = CARRY((!\led_flash_cnt[2566][3]~62809\) # (!\led_flash_cnt[2566][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2566][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2566][3]~62809\,
	combout => \led_flash_cnt[2566][4]~62810_combout\,
	cout => \led_flash_cnt[2566][4]~62811\);

-- Location: FF_X69_Y37_N25
\led_flash_cnt[2566][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2566][4]~62810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2566][4]~q\);

-- Location: LCCOMB_X69_Y37_N26
\led_flash_cnt[2566][5]~62812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2566][5]~62812_combout\ = (\led_flash_cnt[2566][5]~q\ & (\led_flash_cnt[2566][4]~62811\ $ (GND))) # (!\led_flash_cnt[2566][5]~q\ & (!\led_flash_cnt[2566][4]~62811\ & VCC))
-- \led_flash_cnt[2566][5]~62813\ = CARRY((\led_flash_cnt[2566][5]~q\ & !\led_flash_cnt[2566][4]~62811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2566][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2566][4]~62811\,
	combout => \led_flash_cnt[2566][5]~62812_combout\,
	cout => \led_flash_cnt[2566][5]~62813\);

-- Location: FF_X69_Y37_N27
\led_flash_cnt[2566][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2566][5]~62812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2566][5]~q\);

-- Location: LCCOMB_X69_Y37_N28
\led_flash_cnt[2566][6]~62814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2566][6]~62814_combout\ = (\led_flash_cnt[2566][6]~q\ & (!\led_flash_cnt[2566][5]~62813\)) # (!\led_flash_cnt[2566][6]~q\ & ((\led_flash_cnt[2566][5]~62813\) # (GND)))
-- \led_flash_cnt[2566][6]~62815\ = CARRY((!\led_flash_cnt[2566][5]~62813\) # (!\led_flash_cnt[2566][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2566][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2566][5]~62813\,
	combout => \led_flash_cnt[2566][6]~62814_combout\,
	cout => \led_flash_cnt[2566][6]~62815\);

-- Location: FF_X69_Y37_N29
\led_flash_cnt[2566][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2566][6]~62814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2566][6]~q\);

-- Location: LCCOMB_X69_Y37_N10
\WideAnd2566~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2566~1_combout\ = (\led_flash_cnt[2566][5]~q\ & \led_flash_cnt[2566][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2566][5]~q\,
	datad => \led_flash_cnt[2566][6]~q\,
	combout => \WideAnd2566~1_combout\);

-- Location: LCCOMB_X69_Y37_N16
\WideAnd2566~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2566~0_combout\ = (\led_flash_cnt[2566][4]~q\ & (\led_flash_cnt[2566][2]~q\ & (\led_flash_cnt[2566][3]~q\ & \led_flash_cnt[2566][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2566][4]~q\,
	datab => \led_flash_cnt[2566][2]~q\,
	datac => \led_flash_cnt[2566][3]~q\,
	datad => \led_flash_cnt[2566][1]~q\,
	combout => \WideAnd2566~0_combout\);

-- Location: LCCOMB_X69_Y37_N30
\led_flash_cnt[2566][7]~62816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2566][7]~62816_combout\ = \led_flash_cnt[2566][7]~q\ $ (!\led_flash_cnt[2566][6]~62815\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2566][7]~q\,
	cin => \led_flash_cnt[2566][6]~62815\,
	combout => \led_flash_cnt[2566][7]~62816_combout\);

-- Location: FF_X69_Y37_N31
\led_flash_cnt[2566][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2566][7]~62816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2566][7]~q\);

-- Location: LCCOMB_X69_Y37_N2
WideAnd2566 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2566~combout\ = (\WideAnd2566~1_combout\ & (\WideAnd2566~0_combout\ & (\led_flash_cnt[2566][7]~q\ & \led_flash_cnt[2566][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2566~1_combout\,
	datab => \WideAnd2566~0_combout\,
	datac => \led_flash_cnt[2566][7]~q\,
	datad => \led_flash_cnt[2566][0]~q\,
	combout => \WideAnd2566~combout\);

-- Location: FF_X69_Y37_N3
\led_flash_cnt_ands[2566]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2566~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2566));

-- Location: LCCOMB_X69_Y37_N0
WideAnd4160 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4160~combout\ = (\WideAnd4160~0_combout\ & (led_flash_cnt_ands(2567) & (\WideAnd4160~1_combout\ & led_flash_cnt_ands(2566))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4160~0_combout\,
	datab => led_flash_cnt_ands(2567),
	datac => \WideAnd4160~1_combout\,
	datad => led_flash_cnt_ands(2566),
	combout => \WideAnd4160~combout\);

-- Location: FF_X69_Y37_N1
\led_flash_cnt_ands_1[320]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4160~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(320));

-- Location: LCCOMB_X62_Y35_N16
\led_flash_cnt[2575][0]~83215\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2575][0]~83215_combout\ = !\led_flash_cnt[2575][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2575][0]~q\,
	combout => \led_flash_cnt[2575][0]~83215_combout\);

-- Location: FF_X62_Y35_N17
\led_flash_cnt[2575][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2575][0]~83215_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2575][0]~q\);

-- Location: LCCOMB_X61_Y35_N18
\led_flash_cnt[2575][1]~62930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2575][1]~62930_combout\ = (\led_flash_cnt[2575][1]~q\ & (\led_flash_cnt[2575][0]~q\ $ (VCC))) # (!\led_flash_cnt[2575][1]~q\ & (\led_flash_cnt[2575][0]~q\ & VCC))
-- \led_flash_cnt[2575][1]~62931\ = CARRY((\led_flash_cnt[2575][1]~q\ & \led_flash_cnt[2575][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2575][1]~q\,
	datab => \led_flash_cnt[2575][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2575][1]~62930_combout\,
	cout => \led_flash_cnt[2575][1]~62931\);

-- Location: FF_X61_Y35_N19
\led_flash_cnt[2575][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2575][1]~62930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2575][1]~q\);

-- Location: LCCOMB_X61_Y35_N20
\led_flash_cnt[2575][2]~62932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2575][2]~62932_combout\ = (\led_flash_cnt[2575][2]~q\ & (!\led_flash_cnt[2575][1]~62931\)) # (!\led_flash_cnt[2575][2]~q\ & ((\led_flash_cnt[2575][1]~62931\) # (GND)))
-- \led_flash_cnt[2575][2]~62933\ = CARRY((!\led_flash_cnt[2575][1]~62931\) # (!\led_flash_cnt[2575][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2575][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2575][1]~62931\,
	combout => \led_flash_cnt[2575][2]~62932_combout\,
	cout => \led_flash_cnt[2575][2]~62933\);

-- Location: FF_X61_Y35_N21
\led_flash_cnt[2575][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2575][2]~62932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2575][2]~q\);

-- Location: LCCOMB_X61_Y35_N22
\led_flash_cnt[2575][3]~62934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2575][3]~62934_combout\ = (\led_flash_cnt[2575][3]~q\ & (\led_flash_cnt[2575][2]~62933\ $ (GND))) # (!\led_flash_cnt[2575][3]~q\ & (!\led_flash_cnt[2575][2]~62933\ & VCC))
-- \led_flash_cnt[2575][3]~62935\ = CARRY((\led_flash_cnt[2575][3]~q\ & !\led_flash_cnt[2575][2]~62933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2575][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2575][2]~62933\,
	combout => \led_flash_cnt[2575][3]~62934_combout\,
	cout => \led_flash_cnt[2575][3]~62935\);

-- Location: FF_X61_Y35_N23
\led_flash_cnt[2575][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2575][3]~62934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2575][3]~q\);

-- Location: LCCOMB_X61_Y35_N24
\led_flash_cnt[2575][4]~62936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2575][4]~62936_combout\ = (\led_flash_cnt[2575][4]~q\ & (!\led_flash_cnt[2575][3]~62935\)) # (!\led_flash_cnt[2575][4]~q\ & ((\led_flash_cnt[2575][3]~62935\) # (GND)))
-- \led_flash_cnt[2575][4]~62937\ = CARRY((!\led_flash_cnt[2575][3]~62935\) # (!\led_flash_cnt[2575][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2575][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2575][3]~62935\,
	combout => \led_flash_cnt[2575][4]~62936_combout\,
	cout => \led_flash_cnt[2575][4]~62937\);

-- Location: FF_X61_Y35_N25
\led_flash_cnt[2575][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2575][4]~62936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2575][4]~q\);

-- Location: LCCOMB_X61_Y35_N26
\led_flash_cnt[2575][5]~62938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2575][5]~62938_combout\ = (\led_flash_cnt[2575][5]~q\ & (\led_flash_cnt[2575][4]~62937\ $ (GND))) # (!\led_flash_cnt[2575][5]~q\ & (!\led_flash_cnt[2575][4]~62937\ & VCC))
-- \led_flash_cnt[2575][5]~62939\ = CARRY((\led_flash_cnt[2575][5]~q\ & !\led_flash_cnt[2575][4]~62937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2575][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2575][4]~62937\,
	combout => \led_flash_cnt[2575][5]~62938_combout\,
	cout => \led_flash_cnt[2575][5]~62939\);

-- Location: FF_X61_Y35_N27
\led_flash_cnt[2575][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2575][5]~62938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2575][5]~q\);

-- Location: LCCOMB_X61_Y35_N28
\led_flash_cnt[2575][6]~62940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2575][6]~62940_combout\ = (\led_flash_cnt[2575][6]~q\ & (!\led_flash_cnt[2575][5]~62939\)) # (!\led_flash_cnt[2575][6]~q\ & ((\led_flash_cnt[2575][5]~62939\) # (GND)))
-- \led_flash_cnt[2575][6]~62941\ = CARRY((!\led_flash_cnt[2575][5]~62939\) # (!\led_flash_cnt[2575][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2575][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2575][5]~62939\,
	combout => \led_flash_cnt[2575][6]~62940_combout\,
	cout => \led_flash_cnt[2575][6]~62941\);

-- Location: FF_X61_Y35_N29
\led_flash_cnt[2575][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2575][6]~62940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2575][6]~q\);

-- Location: LCCOMB_X62_Y35_N22
\WideAnd2575~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2575~1_combout\ = (\led_flash_cnt[2575][5]~q\ & \led_flash_cnt[2575][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2575][5]~q\,
	datad => \led_flash_cnt[2575][6]~q\,
	combout => \WideAnd2575~1_combout\);

-- Location: LCCOMB_X61_Y35_N30
\led_flash_cnt[2575][7]~62942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2575][7]~62942_combout\ = \led_flash_cnt[2575][7]~q\ $ (!\led_flash_cnt[2575][6]~62941\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2575][7]~q\,
	cin => \led_flash_cnt[2575][6]~62941\,
	combout => \led_flash_cnt[2575][7]~62942_combout\);

-- Location: FF_X61_Y35_N31
\led_flash_cnt[2575][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2575][7]~62942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2575][7]~q\);

-- Location: LCCOMB_X61_Y35_N16
\WideAnd2575~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2575~0_combout\ = (\led_flash_cnt[2575][1]~q\ & (\led_flash_cnt[2575][2]~q\ & (\led_flash_cnt[2575][3]~q\ & \led_flash_cnt[2575][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2575][1]~q\,
	datab => \led_flash_cnt[2575][2]~q\,
	datac => \led_flash_cnt[2575][3]~q\,
	datad => \led_flash_cnt[2575][4]~q\,
	combout => \WideAnd2575~0_combout\);

-- Location: LCCOMB_X62_Y35_N26
WideAnd2575 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2575~combout\ = (\WideAnd2575~1_combout\ & (\led_flash_cnt[2575][7]~q\ & (\WideAnd2575~0_combout\ & \led_flash_cnt[2575][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2575~1_combout\,
	datab => \led_flash_cnt[2575][7]~q\,
	datac => \WideAnd2575~0_combout\,
	datad => \led_flash_cnt[2575][0]~q\,
	combout => \WideAnd2575~combout\);

-- Location: FF_X62_Y35_N27
\led_flash_cnt_ands[2575]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2575~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2575));

-- Location: LCCOMB_X61_Y43_N2
\led_flash_cnt[2573][0]~83213\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2573][0]~83213_combout\ = !\led_flash_cnt[2573][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2573][0]~q\,
	combout => \led_flash_cnt[2573][0]~83213_combout\);

-- Location: FF_X61_Y43_N3
\led_flash_cnt[2573][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2573][0]~83213_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2573][0]~q\);

-- Location: LCCOMB_X60_Y43_N18
\led_flash_cnt[2573][1]~62902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2573][1]~62902_combout\ = (\led_flash_cnt[2573][0]~q\ & (\led_flash_cnt[2573][1]~q\ $ (VCC))) # (!\led_flash_cnt[2573][0]~q\ & (\led_flash_cnt[2573][1]~q\ & VCC))
-- \led_flash_cnt[2573][1]~62903\ = CARRY((\led_flash_cnt[2573][0]~q\ & \led_flash_cnt[2573][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2573][0]~q\,
	datab => \led_flash_cnt[2573][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2573][1]~62902_combout\,
	cout => \led_flash_cnt[2573][1]~62903\);

-- Location: FF_X60_Y43_N19
\led_flash_cnt[2573][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2573][1]~62902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2573][1]~q\);

-- Location: LCCOMB_X60_Y43_N20
\led_flash_cnt[2573][2]~62904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2573][2]~62904_combout\ = (\led_flash_cnt[2573][2]~q\ & (!\led_flash_cnt[2573][1]~62903\)) # (!\led_flash_cnt[2573][2]~q\ & ((\led_flash_cnt[2573][1]~62903\) # (GND)))
-- \led_flash_cnt[2573][2]~62905\ = CARRY((!\led_flash_cnt[2573][1]~62903\) # (!\led_flash_cnt[2573][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2573][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2573][1]~62903\,
	combout => \led_flash_cnt[2573][2]~62904_combout\,
	cout => \led_flash_cnt[2573][2]~62905\);

-- Location: FF_X60_Y43_N21
\led_flash_cnt[2573][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2573][2]~62904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2573][2]~q\);

-- Location: LCCOMB_X60_Y43_N22
\led_flash_cnt[2573][3]~62906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2573][3]~62906_combout\ = (\led_flash_cnt[2573][3]~q\ & (\led_flash_cnt[2573][2]~62905\ $ (GND))) # (!\led_flash_cnt[2573][3]~q\ & (!\led_flash_cnt[2573][2]~62905\ & VCC))
-- \led_flash_cnt[2573][3]~62907\ = CARRY((\led_flash_cnt[2573][3]~q\ & !\led_flash_cnt[2573][2]~62905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2573][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2573][2]~62905\,
	combout => \led_flash_cnt[2573][3]~62906_combout\,
	cout => \led_flash_cnt[2573][3]~62907\);

-- Location: FF_X60_Y43_N23
\led_flash_cnt[2573][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2573][3]~62906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2573][3]~q\);

-- Location: LCCOMB_X60_Y43_N24
\led_flash_cnt[2573][4]~62908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2573][4]~62908_combout\ = (\led_flash_cnt[2573][4]~q\ & (!\led_flash_cnt[2573][3]~62907\)) # (!\led_flash_cnt[2573][4]~q\ & ((\led_flash_cnt[2573][3]~62907\) # (GND)))
-- \led_flash_cnt[2573][4]~62909\ = CARRY((!\led_flash_cnt[2573][3]~62907\) # (!\led_flash_cnt[2573][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2573][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2573][3]~62907\,
	combout => \led_flash_cnt[2573][4]~62908_combout\,
	cout => \led_flash_cnt[2573][4]~62909\);

-- Location: FF_X60_Y43_N25
\led_flash_cnt[2573][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2573][4]~62908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2573][4]~q\);

-- Location: LCCOMB_X60_Y43_N14
\WideAnd2573~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2573~0_combout\ = (\led_flash_cnt[2573][4]~q\ & (\led_flash_cnt[2573][2]~q\ & (\led_flash_cnt[2573][3]~q\ & \led_flash_cnt[2573][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2573][4]~q\,
	datab => \led_flash_cnt[2573][2]~q\,
	datac => \led_flash_cnt[2573][3]~q\,
	datad => \led_flash_cnt[2573][1]~q\,
	combout => \WideAnd2573~0_combout\);

-- Location: LCCOMB_X60_Y43_N26
\led_flash_cnt[2573][5]~62910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2573][5]~62910_combout\ = (\led_flash_cnt[2573][5]~q\ & (\led_flash_cnt[2573][4]~62909\ $ (GND))) # (!\led_flash_cnt[2573][5]~q\ & (!\led_flash_cnt[2573][4]~62909\ & VCC))
-- \led_flash_cnt[2573][5]~62911\ = CARRY((\led_flash_cnt[2573][5]~q\ & !\led_flash_cnt[2573][4]~62909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2573][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2573][4]~62909\,
	combout => \led_flash_cnt[2573][5]~62910_combout\,
	cout => \led_flash_cnt[2573][5]~62911\);

-- Location: FF_X60_Y43_N27
\led_flash_cnt[2573][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2573][5]~62910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2573][5]~q\);

-- Location: LCCOMB_X60_Y43_N28
\led_flash_cnt[2573][6]~62912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2573][6]~62912_combout\ = (\led_flash_cnt[2573][6]~q\ & (!\led_flash_cnt[2573][5]~62911\)) # (!\led_flash_cnt[2573][6]~q\ & ((\led_flash_cnt[2573][5]~62911\) # (GND)))
-- \led_flash_cnt[2573][6]~62913\ = CARRY((!\led_flash_cnt[2573][5]~62911\) # (!\led_flash_cnt[2573][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2573][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2573][5]~62911\,
	combout => \led_flash_cnt[2573][6]~62912_combout\,
	cout => \led_flash_cnt[2573][6]~62913\);

-- Location: FF_X60_Y43_N29
\led_flash_cnt[2573][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2573][6]~62912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2573][6]~q\);

-- Location: LCCOMB_X60_Y43_N30
\led_flash_cnt[2573][7]~62914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2573][7]~62914_combout\ = \led_flash_cnt[2573][7]~q\ $ (!\led_flash_cnt[2573][6]~62913\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2573][7]~q\,
	cin => \led_flash_cnt[2573][6]~62913\,
	combout => \led_flash_cnt[2573][7]~62914_combout\);

-- Location: FF_X60_Y43_N31
\led_flash_cnt[2573][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2573][7]~62914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2573][7]~q\);

-- Location: LCCOMB_X61_Y43_N26
\WideAnd2573~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2573~1_combout\ = (\led_flash_cnt[2573][5]~q\ & \led_flash_cnt[2573][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2573][5]~q\,
	datad => \led_flash_cnt[2573][6]~q\,
	combout => \WideAnd2573~1_combout\);

-- Location: LCCOMB_X61_Y43_N30
WideAnd2573 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2573~combout\ = (\WideAnd2573~0_combout\ & (\led_flash_cnt[2573][7]~q\ & (\WideAnd2573~1_combout\ & \led_flash_cnt[2573][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2573~0_combout\,
	datab => \led_flash_cnt[2573][7]~q\,
	datac => \WideAnd2573~1_combout\,
	datad => \led_flash_cnt[2573][0]~q\,
	combout => \WideAnd2573~combout\);

-- Location: FF_X61_Y43_N31
\led_flash_cnt_ands[2573]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2573~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2573));

-- Location: LCCOMB_X61_Y43_N4
\led_flash_cnt[2572][0]~83212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2572][0]~83212_combout\ = !\led_flash_cnt[2572][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2572][0]~q\,
	combout => \led_flash_cnt[2572][0]~83212_combout\);

-- Location: FF_X61_Y43_N5
\led_flash_cnt[2572][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2572][0]~83212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2572][0]~q\);

-- Location: LCCOMB_X61_Y43_N10
\led_flash_cnt[2572][1]~62888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2572][1]~62888_combout\ = (\led_flash_cnt[2572][1]~q\ & (\led_flash_cnt[2572][0]~q\ $ (VCC))) # (!\led_flash_cnt[2572][1]~q\ & (\led_flash_cnt[2572][0]~q\ & VCC))
-- \led_flash_cnt[2572][1]~62889\ = CARRY((\led_flash_cnt[2572][1]~q\ & \led_flash_cnt[2572][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2572][1]~q\,
	datab => \led_flash_cnt[2572][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2572][1]~62888_combout\,
	cout => \led_flash_cnt[2572][1]~62889\);

-- Location: FF_X61_Y43_N11
\led_flash_cnt[2572][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2572][1]~62888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2572][1]~q\);

-- Location: LCCOMB_X61_Y43_N12
\led_flash_cnt[2572][2]~62890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2572][2]~62890_combout\ = (\led_flash_cnt[2572][2]~q\ & (!\led_flash_cnt[2572][1]~62889\)) # (!\led_flash_cnt[2572][2]~q\ & ((\led_flash_cnt[2572][1]~62889\) # (GND)))
-- \led_flash_cnt[2572][2]~62891\ = CARRY((!\led_flash_cnt[2572][1]~62889\) # (!\led_flash_cnt[2572][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2572][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2572][1]~62889\,
	combout => \led_flash_cnt[2572][2]~62890_combout\,
	cout => \led_flash_cnt[2572][2]~62891\);

-- Location: FF_X61_Y43_N13
\led_flash_cnt[2572][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2572][2]~62890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2572][2]~q\);

-- Location: LCCOMB_X61_Y43_N14
\led_flash_cnt[2572][3]~62892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2572][3]~62892_combout\ = (\led_flash_cnt[2572][3]~q\ & (\led_flash_cnt[2572][2]~62891\ $ (GND))) # (!\led_flash_cnt[2572][3]~q\ & (!\led_flash_cnt[2572][2]~62891\ & VCC))
-- \led_flash_cnt[2572][3]~62893\ = CARRY((\led_flash_cnt[2572][3]~q\ & !\led_flash_cnt[2572][2]~62891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2572][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2572][2]~62891\,
	combout => \led_flash_cnt[2572][3]~62892_combout\,
	cout => \led_flash_cnt[2572][3]~62893\);

-- Location: FF_X61_Y43_N15
\led_flash_cnt[2572][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2572][3]~62892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2572][3]~q\);

-- Location: LCCOMB_X61_Y43_N16
\led_flash_cnt[2572][4]~62894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2572][4]~62894_combout\ = (\led_flash_cnt[2572][4]~q\ & (!\led_flash_cnt[2572][3]~62893\)) # (!\led_flash_cnt[2572][4]~q\ & ((\led_flash_cnt[2572][3]~62893\) # (GND)))
-- \led_flash_cnt[2572][4]~62895\ = CARRY((!\led_flash_cnt[2572][3]~62893\) # (!\led_flash_cnt[2572][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2572][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2572][3]~62893\,
	combout => \led_flash_cnt[2572][4]~62894_combout\,
	cout => \led_flash_cnt[2572][4]~62895\);

-- Location: FF_X61_Y43_N17
\led_flash_cnt[2572][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2572][4]~62894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2572][4]~q\);

-- Location: LCCOMB_X61_Y43_N18
\led_flash_cnt[2572][5]~62896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2572][5]~62896_combout\ = (\led_flash_cnt[2572][5]~q\ & (\led_flash_cnt[2572][4]~62895\ $ (GND))) # (!\led_flash_cnt[2572][5]~q\ & (!\led_flash_cnt[2572][4]~62895\ & VCC))
-- \led_flash_cnt[2572][5]~62897\ = CARRY((\led_flash_cnt[2572][5]~q\ & !\led_flash_cnt[2572][4]~62895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2572][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2572][4]~62895\,
	combout => \led_flash_cnt[2572][5]~62896_combout\,
	cout => \led_flash_cnt[2572][5]~62897\);

-- Location: FF_X61_Y43_N19
\led_flash_cnt[2572][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2572][5]~62896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2572][5]~q\);

-- Location: LCCOMB_X61_Y43_N20
\led_flash_cnt[2572][6]~62898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2572][6]~62898_combout\ = (\led_flash_cnt[2572][6]~q\ & (!\led_flash_cnt[2572][5]~62897\)) # (!\led_flash_cnt[2572][6]~q\ & ((\led_flash_cnt[2572][5]~62897\) # (GND)))
-- \led_flash_cnt[2572][6]~62899\ = CARRY((!\led_flash_cnt[2572][5]~62897\) # (!\led_flash_cnt[2572][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2572][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2572][5]~62897\,
	combout => \led_flash_cnt[2572][6]~62898_combout\,
	cout => \led_flash_cnt[2572][6]~62899\);

-- Location: FF_X61_Y43_N21
\led_flash_cnt[2572][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2572][6]~62898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2572][6]~q\);

-- Location: LCCOMB_X61_Y43_N6
\WideAnd2572~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2572~1_combout\ = (\led_flash_cnt[2572][5]~q\ & \led_flash_cnt[2572][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2572][5]~q\,
	datad => \led_flash_cnt[2572][6]~q\,
	combout => \WideAnd2572~1_combout\);

-- Location: LCCOMB_X61_Y43_N22
\led_flash_cnt[2572][7]~62900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2572][7]~62900_combout\ = \led_flash_cnt[2572][7]~q\ $ (!\led_flash_cnt[2572][6]~62899\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2572][7]~q\,
	cin => \led_flash_cnt[2572][6]~62899\,
	combout => \led_flash_cnt[2572][7]~62900_combout\);

-- Location: FF_X61_Y43_N23
\led_flash_cnt[2572][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2572][7]~62900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2572][7]~q\);

-- Location: LCCOMB_X61_Y43_N28
\WideAnd2572~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2572~0_combout\ = (\led_flash_cnt[2572][2]~q\ & (\led_flash_cnt[2572][4]~q\ & (\led_flash_cnt[2572][3]~q\ & \led_flash_cnt[2572][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2572][2]~q\,
	datab => \led_flash_cnt[2572][4]~q\,
	datac => \led_flash_cnt[2572][3]~q\,
	datad => \led_flash_cnt[2572][1]~q\,
	combout => \WideAnd2572~0_combout\);

-- Location: LCCOMB_X61_Y43_N24
WideAnd2572 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2572~combout\ = (\WideAnd2572~1_combout\ & (\led_flash_cnt[2572][0]~q\ & (\led_flash_cnt[2572][7]~q\ & \WideAnd2572~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2572~1_combout\,
	datab => \led_flash_cnt[2572][0]~q\,
	datac => \led_flash_cnt[2572][7]~q\,
	datad => \WideAnd2572~0_combout\,
	combout => \WideAnd2572~combout\);

-- Location: FF_X61_Y43_N25
\led_flash_cnt_ands[2572]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2572~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2572));

-- Location: LCCOMB_X61_Y43_N8
\WideAnd4161~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4161~1_combout\ = (led_flash_cnt_ands(2573) & led_flash_cnt_ands(2572))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2573),
	datad => led_flash_cnt_ands(2572),
	combout => \WideAnd4161~1_combout\);

-- Location: LCCOMB_X41_Y36_N2
\led_flash_cnt[2571][0]~83211\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2571][0]~83211_combout\ = !\led_flash_cnt[2571][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2571][0]~q\,
	combout => \led_flash_cnt[2571][0]~83211_combout\);

-- Location: FF_X41_Y36_N3
\led_flash_cnt[2571][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2571][0]~83211_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2571][0]~q\);

-- Location: LCCOMB_X40_Y36_N18
\led_flash_cnt[2571][1]~62874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2571][1]~62874_combout\ = (\led_flash_cnt[2571][0]~q\ & (\led_flash_cnt[2571][1]~q\ $ (VCC))) # (!\led_flash_cnt[2571][0]~q\ & (\led_flash_cnt[2571][1]~q\ & VCC))
-- \led_flash_cnt[2571][1]~62875\ = CARRY((\led_flash_cnt[2571][0]~q\ & \led_flash_cnt[2571][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2571][0]~q\,
	datab => \led_flash_cnt[2571][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2571][1]~62874_combout\,
	cout => \led_flash_cnt[2571][1]~62875\);

-- Location: FF_X40_Y36_N19
\led_flash_cnt[2571][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2571][1]~62874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2571][1]~q\);

-- Location: LCCOMB_X40_Y36_N20
\led_flash_cnt[2571][2]~62876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2571][2]~62876_combout\ = (\led_flash_cnt[2571][2]~q\ & (!\led_flash_cnt[2571][1]~62875\)) # (!\led_flash_cnt[2571][2]~q\ & ((\led_flash_cnt[2571][1]~62875\) # (GND)))
-- \led_flash_cnt[2571][2]~62877\ = CARRY((!\led_flash_cnt[2571][1]~62875\) # (!\led_flash_cnt[2571][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2571][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2571][1]~62875\,
	combout => \led_flash_cnt[2571][2]~62876_combout\,
	cout => \led_flash_cnt[2571][2]~62877\);

-- Location: FF_X40_Y36_N21
\led_flash_cnt[2571][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2571][2]~62876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2571][2]~q\);

-- Location: LCCOMB_X40_Y36_N22
\led_flash_cnt[2571][3]~62878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2571][3]~62878_combout\ = (\led_flash_cnt[2571][3]~q\ & (\led_flash_cnt[2571][2]~62877\ $ (GND))) # (!\led_flash_cnt[2571][3]~q\ & (!\led_flash_cnt[2571][2]~62877\ & VCC))
-- \led_flash_cnt[2571][3]~62879\ = CARRY((\led_flash_cnt[2571][3]~q\ & !\led_flash_cnt[2571][2]~62877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2571][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2571][2]~62877\,
	combout => \led_flash_cnt[2571][3]~62878_combout\,
	cout => \led_flash_cnt[2571][3]~62879\);

-- Location: FF_X40_Y36_N23
\led_flash_cnt[2571][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2571][3]~62878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2571][3]~q\);

-- Location: LCCOMB_X40_Y36_N24
\led_flash_cnt[2571][4]~62880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2571][4]~62880_combout\ = (\led_flash_cnt[2571][4]~q\ & (!\led_flash_cnt[2571][3]~62879\)) # (!\led_flash_cnt[2571][4]~q\ & ((\led_flash_cnt[2571][3]~62879\) # (GND)))
-- \led_flash_cnt[2571][4]~62881\ = CARRY((!\led_flash_cnt[2571][3]~62879\) # (!\led_flash_cnt[2571][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2571][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2571][3]~62879\,
	combout => \led_flash_cnt[2571][4]~62880_combout\,
	cout => \led_flash_cnt[2571][4]~62881\);

-- Location: FF_X40_Y36_N25
\led_flash_cnt[2571][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2571][4]~62880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2571][4]~q\);

-- Location: LCCOMB_X40_Y36_N26
\led_flash_cnt[2571][5]~62882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2571][5]~62882_combout\ = (\led_flash_cnt[2571][5]~q\ & (\led_flash_cnt[2571][4]~62881\ $ (GND))) # (!\led_flash_cnt[2571][5]~q\ & (!\led_flash_cnt[2571][4]~62881\ & VCC))
-- \led_flash_cnt[2571][5]~62883\ = CARRY((\led_flash_cnt[2571][5]~q\ & !\led_flash_cnt[2571][4]~62881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2571][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2571][4]~62881\,
	combout => \led_flash_cnt[2571][5]~62882_combout\,
	cout => \led_flash_cnt[2571][5]~62883\);

-- Location: FF_X40_Y36_N27
\led_flash_cnt[2571][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2571][5]~62882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2571][5]~q\);

-- Location: LCCOMB_X40_Y36_N28
\led_flash_cnt[2571][6]~62884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2571][6]~62884_combout\ = (\led_flash_cnt[2571][6]~q\ & (!\led_flash_cnt[2571][5]~62883\)) # (!\led_flash_cnt[2571][6]~q\ & ((\led_flash_cnt[2571][5]~62883\) # (GND)))
-- \led_flash_cnt[2571][6]~62885\ = CARRY((!\led_flash_cnt[2571][5]~62883\) # (!\led_flash_cnt[2571][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2571][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2571][5]~62883\,
	combout => \led_flash_cnt[2571][6]~62884_combout\,
	cout => \led_flash_cnt[2571][6]~62885\);

-- Location: FF_X40_Y36_N29
\led_flash_cnt[2571][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2571][6]~62884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2571][6]~q\);

-- Location: LCCOMB_X41_Y36_N10
\WideAnd2571~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2571~1_combout\ = (\led_flash_cnt[2571][5]~q\ & \led_flash_cnt[2571][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2571][5]~q\,
	datad => \led_flash_cnt[2571][6]~q\,
	combout => \WideAnd2571~1_combout\);

-- Location: LCCOMB_X40_Y36_N30
\led_flash_cnt[2571][7]~62886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2571][7]~62886_combout\ = \led_flash_cnt[2571][7]~q\ $ (!\led_flash_cnt[2571][6]~62885\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2571][7]~q\,
	cin => \led_flash_cnt[2571][6]~62885\,
	combout => \led_flash_cnt[2571][7]~62886_combout\);

-- Location: FF_X40_Y36_N31
\led_flash_cnt[2571][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2571][7]~62886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2571][7]~q\);

-- Location: LCCOMB_X40_Y36_N16
\WideAnd2571~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2571~0_combout\ = (\led_flash_cnt[2571][4]~q\ & (\led_flash_cnt[2571][1]~q\ & (\led_flash_cnt[2571][3]~q\ & \led_flash_cnt[2571][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2571][4]~q\,
	datab => \led_flash_cnt[2571][1]~q\,
	datac => \led_flash_cnt[2571][3]~q\,
	datad => \led_flash_cnt[2571][2]~q\,
	combout => \WideAnd2571~0_combout\);

-- Location: LCCOMB_X41_Y36_N14
WideAnd2571 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2571~combout\ = (\WideAnd2571~1_combout\ & (\led_flash_cnt[2571][7]~q\ & (\WideAnd2571~0_combout\ & \led_flash_cnt[2571][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2571~1_combout\,
	datab => \led_flash_cnt[2571][7]~q\,
	datac => \WideAnd2571~0_combout\,
	datad => \led_flash_cnt[2571][0]~q\,
	combout => \WideAnd2571~combout\);

-- Location: FF_X41_Y36_N15
\led_flash_cnt_ands[2571]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2571~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2571));

-- Location: LCCOMB_X44_Y42_N30
\led_flash_cnt[2570][0]~83210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2570][0]~83210_combout\ = !\led_flash_cnt[2570][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2570][0]~q\,
	combout => \led_flash_cnt[2570][0]~83210_combout\);

-- Location: FF_X44_Y42_N31
\led_flash_cnt[2570][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2570][0]~83210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2570][0]~q\);

-- Location: LCCOMB_X42_Y35_N2
\led_flash_cnt[2570][1]~62860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2570][1]~62860_combout\ = (\led_flash_cnt[2570][0]~q\ & (\led_flash_cnt[2570][1]~q\ $ (VCC))) # (!\led_flash_cnt[2570][0]~q\ & (\led_flash_cnt[2570][1]~q\ & VCC))
-- \led_flash_cnt[2570][1]~62861\ = CARRY((\led_flash_cnt[2570][0]~q\ & \led_flash_cnt[2570][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2570][0]~q\,
	datab => \led_flash_cnt[2570][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2570][1]~62860_combout\,
	cout => \led_flash_cnt[2570][1]~62861\);

-- Location: FF_X42_Y35_N3
\led_flash_cnt[2570][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2570][1]~62860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2570][1]~q\);

-- Location: LCCOMB_X42_Y35_N4
\led_flash_cnt[2570][2]~62862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2570][2]~62862_combout\ = (\led_flash_cnt[2570][2]~q\ & (!\led_flash_cnt[2570][1]~62861\)) # (!\led_flash_cnt[2570][2]~q\ & ((\led_flash_cnt[2570][1]~62861\) # (GND)))
-- \led_flash_cnt[2570][2]~62863\ = CARRY((!\led_flash_cnt[2570][1]~62861\) # (!\led_flash_cnt[2570][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2570][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2570][1]~62861\,
	combout => \led_flash_cnt[2570][2]~62862_combout\,
	cout => \led_flash_cnt[2570][2]~62863\);

-- Location: FF_X42_Y35_N5
\led_flash_cnt[2570][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2570][2]~62862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2570][2]~q\);

-- Location: LCCOMB_X42_Y35_N6
\led_flash_cnt[2570][3]~62864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2570][3]~62864_combout\ = (\led_flash_cnt[2570][3]~q\ & (\led_flash_cnt[2570][2]~62863\ $ (GND))) # (!\led_flash_cnt[2570][3]~q\ & (!\led_flash_cnt[2570][2]~62863\ & VCC))
-- \led_flash_cnt[2570][3]~62865\ = CARRY((\led_flash_cnt[2570][3]~q\ & !\led_flash_cnt[2570][2]~62863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2570][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2570][2]~62863\,
	combout => \led_flash_cnt[2570][3]~62864_combout\,
	cout => \led_flash_cnt[2570][3]~62865\);

-- Location: FF_X42_Y35_N7
\led_flash_cnt[2570][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2570][3]~62864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2570][3]~q\);

-- Location: LCCOMB_X42_Y35_N8
\led_flash_cnt[2570][4]~62866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2570][4]~62866_combout\ = (\led_flash_cnt[2570][4]~q\ & (!\led_flash_cnt[2570][3]~62865\)) # (!\led_flash_cnt[2570][4]~q\ & ((\led_flash_cnt[2570][3]~62865\) # (GND)))
-- \led_flash_cnt[2570][4]~62867\ = CARRY((!\led_flash_cnt[2570][3]~62865\) # (!\led_flash_cnt[2570][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2570][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2570][3]~62865\,
	combout => \led_flash_cnt[2570][4]~62866_combout\,
	cout => \led_flash_cnt[2570][4]~62867\);

-- Location: FF_X42_Y35_N9
\led_flash_cnt[2570][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2570][4]~62866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2570][4]~q\);

-- Location: LCCOMB_X42_Y35_N10
\led_flash_cnt[2570][5]~62868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2570][5]~62868_combout\ = (\led_flash_cnt[2570][5]~q\ & (\led_flash_cnt[2570][4]~62867\ $ (GND))) # (!\led_flash_cnt[2570][5]~q\ & (!\led_flash_cnt[2570][4]~62867\ & VCC))
-- \led_flash_cnt[2570][5]~62869\ = CARRY((\led_flash_cnt[2570][5]~q\ & !\led_flash_cnt[2570][4]~62867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2570][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2570][4]~62867\,
	combout => \led_flash_cnt[2570][5]~62868_combout\,
	cout => \led_flash_cnt[2570][5]~62869\);

-- Location: FF_X42_Y35_N11
\led_flash_cnt[2570][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2570][5]~62868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2570][5]~q\);

-- Location: LCCOMB_X42_Y35_N12
\led_flash_cnt[2570][6]~62870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2570][6]~62870_combout\ = (\led_flash_cnt[2570][6]~q\ & (!\led_flash_cnt[2570][5]~62869\)) # (!\led_flash_cnt[2570][6]~q\ & ((\led_flash_cnt[2570][5]~62869\) # (GND)))
-- \led_flash_cnt[2570][6]~62871\ = CARRY((!\led_flash_cnt[2570][5]~62869\) # (!\led_flash_cnt[2570][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2570][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2570][5]~62869\,
	combout => \led_flash_cnt[2570][6]~62870_combout\,
	cout => \led_flash_cnt[2570][6]~62871\);

-- Location: FF_X42_Y35_N13
\led_flash_cnt[2570][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2570][6]~62870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2570][6]~q\);

-- Location: LCCOMB_X42_Y35_N16
\WideAnd2570~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2570~1_combout\ = (\led_flash_cnt[2570][6]~q\ & \led_flash_cnt[2570][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2570][6]~q\,
	datad => \led_flash_cnt[2570][5]~q\,
	combout => \WideAnd2570~1_combout\);

-- Location: LCCOMB_X42_Y35_N14
\led_flash_cnt[2570][7]~62872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2570][7]~62872_combout\ = \led_flash_cnt[2570][7]~q\ $ (!\led_flash_cnt[2570][6]~62871\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2570][7]~q\,
	cin => \led_flash_cnt[2570][6]~62871\,
	combout => \led_flash_cnt[2570][7]~62872_combout\);

-- Location: FF_X42_Y35_N15
\led_flash_cnt[2570][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2570][7]~62872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2570][7]~q\);

-- Location: LCCOMB_X42_Y35_N20
\WideAnd2570~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2570~0_combout\ = (\led_flash_cnt[2570][3]~q\ & (\led_flash_cnt[2570][2]~q\ & (\led_flash_cnt[2570][4]~q\ & \led_flash_cnt[2570][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2570][3]~q\,
	datab => \led_flash_cnt[2570][2]~q\,
	datac => \led_flash_cnt[2570][4]~q\,
	datad => \led_flash_cnt[2570][1]~q\,
	combout => \WideAnd2570~0_combout\);

-- Location: LCCOMB_X42_Y35_N0
WideAnd2570 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2570~combout\ = (\led_flash_cnt[2570][0]~q\ & (\WideAnd2570~1_combout\ & (\led_flash_cnt[2570][7]~q\ & \WideAnd2570~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2570][0]~q\,
	datab => \WideAnd2570~1_combout\,
	datac => \led_flash_cnt[2570][7]~q\,
	datad => \WideAnd2570~0_combout\,
	combout => \WideAnd2570~combout\);

-- Location: FF_X42_Y35_N1
\led_flash_cnt_ands[2570]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2570~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2570));

-- Location: LCCOMB_X43_Y23_N4
\led_flash_cnt[2569][0]~83209\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2569][0]~83209_combout\ = !\led_flash_cnt[2569][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2569][0]~q\,
	combout => \led_flash_cnt[2569][0]~83209_combout\);

-- Location: FF_X43_Y23_N5
\led_flash_cnt[2569][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2569][0]~83209_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2569][0]~q\);

-- Location: LCCOMB_X42_Y27_N16
\led_flash_cnt[2569][1]~62846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2569][1]~62846_combout\ = (\led_flash_cnt[2569][0]~q\ & (\led_flash_cnt[2569][1]~q\ $ (VCC))) # (!\led_flash_cnt[2569][0]~q\ & (\led_flash_cnt[2569][1]~q\ & VCC))
-- \led_flash_cnt[2569][1]~62847\ = CARRY((\led_flash_cnt[2569][0]~q\ & \led_flash_cnt[2569][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2569][0]~q\,
	datab => \led_flash_cnt[2569][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2569][1]~62846_combout\,
	cout => \led_flash_cnt[2569][1]~62847\);

-- Location: FF_X42_Y27_N17
\led_flash_cnt[2569][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2569][1]~62846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2569][1]~q\);

-- Location: LCCOMB_X42_Y27_N18
\led_flash_cnt[2569][2]~62848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2569][2]~62848_combout\ = (\led_flash_cnt[2569][2]~q\ & (!\led_flash_cnt[2569][1]~62847\)) # (!\led_flash_cnt[2569][2]~q\ & ((\led_flash_cnt[2569][1]~62847\) # (GND)))
-- \led_flash_cnt[2569][2]~62849\ = CARRY((!\led_flash_cnt[2569][1]~62847\) # (!\led_flash_cnt[2569][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2569][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2569][1]~62847\,
	combout => \led_flash_cnt[2569][2]~62848_combout\,
	cout => \led_flash_cnt[2569][2]~62849\);

-- Location: FF_X42_Y27_N19
\led_flash_cnt[2569][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2569][2]~62848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2569][2]~q\);

-- Location: LCCOMB_X42_Y27_N20
\led_flash_cnt[2569][3]~62850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2569][3]~62850_combout\ = (\led_flash_cnt[2569][3]~q\ & (\led_flash_cnt[2569][2]~62849\ $ (GND))) # (!\led_flash_cnt[2569][3]~q\ & (!\led_flash_cnt[2569][2]~62849\ & VCC))
-- \led_flash_cnt[2569][3]~62851\ = CARRY((\led_flash_cnt[2569][3]~q\ & !\led_flash_cnt[2569][2]~62849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2569][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2569][2]~62849\,
	combout => \led_flash_cnt[2569][3]~62850_combout\,
	cout => \led_flash_cnt[2569][3]~62851\);

-- Location: FF_X42_Y27_N21
\led_flash_cnt[2569][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2569][3]~62850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2569][3]~q\);

-- Location: LCCOMB_X42_Y27_N22
\led_flash_cnt[2569][4]~62852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2569][4]~62852_combout\ = (\led_flash_cnt[2569][4]~q\ & (!\led_flash_cnt[2569][3]~62851\)) # (!\led_flash_cnt[2569][4]~q\ & ((\led_flash_cnt[2569][3]~62851\) # (GND)))
-- \led_flash_cnt[2569][4]~62853\ = CARRY((!\led_flash_cnt[2569][3]~62851\) # (!\led_flash_cnt[2569][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2569][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2569][3]~62851\,
	combout => \led_flash_cnt[2569][4]~62852_combout\,
	cout => \led_flash_cnt[2569][4]~62853\);

-- Location: FF_X42_Y27_N23
\led_flash_cnt[2569][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2569][4]~62852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2569][4]~q\);

-- Location: LCCOMB_X42_Y27_N24
\led_flash_cnt[2569][5]~62854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2569][5]~62854_combout\ = (\led_flash_cnt[2569][5]~q\ & (\led_flash_cnt[2569][4]~62853\ $ (GND))) # (!\led_flash_cnt[2569][5]~q\ & (!\led_flash_cnt[2569][4]~62853\ & VCC))
-- \led_flash_cnt[2569][5]~62855\ = CARRY((\led_flash_cnt[2569][5]~q\ & !\led_flash_cnt[2569][4]~62853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2569][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2569][4]~62853\,
	combout => \led_flash_cnt[2569][5]~62854_combout\,
	cout => \led_flash_cnt[2569][5]~62855\);

-- Location: FF_X42_Y27_N25
\led_flash_cnt[2569][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2569][5]~62854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2569][5]~q\);

-- Location: LCCOMB_X42_Y27_N26
\led_flash_cnt[2569][6]~62856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2569][6]~62856_combout\ = (\led_flash_cnt[2569][6]~q\ & (!\led_flash_cnt[2569][5]~62855\)) # (!\led_flash_cnt[2569][6]~q\ & ((\led_flash_cnt[2569][5]~62855\) # (GND)))
-- \led_flash_cnt[2569][6]~62857\ = CARRY((!\led_flash_cnt[2569][5]~62855\) # (!\led_flash_cnt[2569][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2569][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2569][5]~62855\,
	combout => \led_flash_cnt[2569][6]~62856_combout\,
	cout => \led_flash_cnt[2569][6]~62857\);

-- Location: FF_X42_Y27_N27
\led_flash_cnt[2569][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2569][6]~62856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2569][6]~q\);

-- Location: LCCOMB_X42_Y27_N28
\led_flash_cnt[2569][7]~62858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2569][7]~62858_combout\ = \led_flash_cnt[2569][6]~62857\ $ (!\led_flash_cnt[2569][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2569][7]~q\,
	cin => \led_flash_cnt[2569][6]~62857\,
	combout => \led_flash_cnt[2569][7]~62858_combout\);

-- Location: FF_X42_Y27_N29
\led_flash_cnt[2569][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2569][7]~62858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2569][7]~q\);

-- Location: LCCOMB_X42_Y27_N8
\WideAnd2569~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2569~1_combout\ = (\led_flash_cnt[2569][6]~q\ & \led_flash_cnt[2569][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2569][6]~q\,
	datad => \led_flash_cnt[2569][5]~q\,
	combout => \WideAnd2569~1_combout\);

-- Location: LCCOMB_X42_Y27_N0
\WideAnd2569~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2569~0_combout\ = (\led_flash_cnt[2569][3]~q\ & (\led_flash_cnt[2569][2]~q\ & (\led_flash_cnt[2569][4]~q\ & \led_flash_cnt[2569][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2569][3]~q\,
	datab => \led_flash_cnt[2569][2]~q\,
	datac => \led_flash_cnt[2569][4]~q\,
	datad => \led_flash_cnt[2569][1]~q\,
	combout => \WideAnd2569~0_combout\);

-- Location: LCCOMB_X42_Y27_N2
WideAnd2569 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2569~combout\ = (\led_flash_cnt[2569][0]~q\ & (\led_flash_cnt[2569][7]~q\ & (\WideAnd2569~1_combout\ & \WideAnd2569~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2569][0]~q\,
	datab => \led_flash_cnt[2569][7]~q\,
	datac => \WideAnd2569~1_combout\,
	datad => \WideAnd2569~0_combout\,
	combout => \WideAnd2569~combout\);

-- Location: FF_X42_Y27_N3
\led_flash_cnt_ands[2569]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2569~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2569));

-- Location: LCCOMB_X58_Y24_N24
\led_flash_cnt[2568][0]~83208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2568][0]~83208_combout\ = !\led_flash_cnt[2568][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2568][0]~q\,
	combout => \led_flash_cnt[2568][0]~83208_combout\);

-- Location: FF_X58_Y24_N25
\led_flash_cnt[2568][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2568][0]~83208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2568][0]~q\);

-- Location: LCCOMB_X58_Y24_N4
\led_flash_cnt[2568][1]~62832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2568][1]~62832_combout\ = (\led_flash_cnt[2568][1]~q\ & (\led_flash_cnt[2568][0]~q\ $ (VCC))) # (!\led_flash_cnt[2568][1]~q\ & (\led_flash_cnt[2568][0]~q\ & VCC))
-- \led_flash_cnt[2568][1]~62833\ = CARRY((\led_flash_cnt[2568][1]~q\ & \led_flash_cnt[2568][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2568][1]~q\,
	datab => \led_flash_cnt[2568][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2568][1]~62832_combout\,
	cout => \led_flash_cnt[2568][1]~62833\);

-- Location: FF_X58_Y24_N5
\led_flash_cnt[2568][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2568][1]~62832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2568][1]~q\);

-- Location: LCCOMB_X58_Y24_N6
\led_flash_cnt[2568][2]~62834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2568][2]~62834_combout\ = (\led_flash_cnt[2568][2]~q\ & (!\led_flash_cnt[2568][1]~62833\)) # (!\led_flash_cnt[2568][2]~q\ & ((\led_flash_cnt[2568][1]~62833\) # (GND)))
-- \led_flash_cnt[2568][2]~62835\ = CARRY((!\led_flash_cnt[2568][1]~62833\) # (!\led_flash_cnt[2568][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2568][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2568][1]~62833\,
	combout => \led_flash_cnt[2568][2]~62834_combout\,
	cout => \led_flash_cnt[2568][2]~62835\);

-- Location: FF_X58_Y24_N7
\led_flash_cnt[2568][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2568][2]~62834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2568][2]~q\);

-- Location: LCCOMB_X58_Y24_N8
\led_flash_cnt[2568][3]~62836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2568][3]~62836_combout\ = (\led_flash_cnt[2568][3]~q\ & (\led_flash_cnt[2568][2]~62835\ $ (GND))) # (!\led_flash_cnt[2568][3]~q\ & (!\led_flash_cnt[2568][2]~62835\ & VCC))
-- \led_flash_cnt[2568][3]~62837\ = CARRY((\led_flash_cnt[2568][3]~q\ & !\led_flash_cnt[2568][2]~62835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2568][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2568][2]~62835\,
	combout => \led_flash_cnt[2568][3]~62836_combout\,
	cout => \led_flash_cnt[2568][3]~62837\);

-- Location: FF_X58_Y24_N9
\led_flash_cnt[2568][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2568][3]~62836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2568][3]~q\);

-- Location: LCCOMB_X58_Y24_N10
\led_flash_cnt[2568][4]~62838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2568][4]~62838_combout\ = (\led_flash_cnt[2568][4]~q\ & (!\led_flash_cnt[2568][3]~62837\)) # (!\led_flash_cnt[2568][4]~q\ & ((\led_flash_cnt[2568][3]~62837\) # (GND)))
-- \led_flash_cnt[2568][4]~62839\ = CARRY((!\led_flash_cnt[2568][3]~62837\) # (!\led_flash_cnt[2568][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2568][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2568][3]~62837\,
	combout => \led_flash_cnt[2568][4]~62838_combout\,
	cout => \led_flash_cnt[2568][4]~62839\);

-- Location: FF_X58_Y24_N11
\led_flash_cnt[2568][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2568][4]~62838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2568][4]~q\);

-- Location: LCCOMB_X58_Y24_N26
\WideAnd2568~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2568~0_combout\ = (\led_flash_cnt[2568][4]~q\ & (\led_flash_cnt[2568][1]~q\ & (\led_flash_cnt[2568][3]~q\ & \led_flash_cnt[2568][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2568][4]~q\,
	datab => \led_flash_cnt[2568][1]~q\,
	datac => \led_flash_cnt[2568][3]~q\,
	datad => \led_flash_cnt[2568][2]~q\,
	combout => \WideAnd2568~0_combout\);

-- Location: LCCOMB_X58_Y24_N12
\led_flash_cnt[2568][5]~62840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2568][5]~62840_combout\ = (\led_flash_cnt[2568][5]~q\ & (\led_flash_cnt[2568][4]~62839\ $ (GND))) # (!\led_flash_cnt[2568][5]~q\ & (!\led_flash_cnt[2568][4]~62839\ & VCC))
-- \led_flash_cnt[2568][5]~62841\ = CARRY((\led_flash_cnt[2568][5]~q\ & !\led_flash_cnt[2568][4]~62839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2568][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2568][4]~62839\,
	combout => \led_flash_cnt[2568][5]~62840_combout\,
	cout => \led_flash_cnt[2568][5]~62841\);

-- Location: FF_X58_Y24_N13
\led_flash_cnt[2568][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2568][5]~62840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2568][5]~q\);

-- Location: LCCOMB_X58_Y24_N14
\led_flash_cnt[2568][6]~62842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2568][6]~62842_combout\ = (\led_flash_cnt[2568][6]~q\ & (!\led_flash_cnt[2568][5]~62841\)) # (!\led_flash_cnt[2568][6]~q\ & ((\led_flash_cnt[2568][5]~62841\) # (GND)))
-- \led_flash_cnt[2568][6]~62843\ = CARRY((!\led_flash_cnt[2568][5]~62841\) # (!\led_flash_cnt[2568][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2568][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2568][5]~62841\,
	combout => \led_flash_cnt[2568][6]~62842_combout\,
	cout => \led_flash_cnt[2568][6]~62843\);

-- Location: FF_X58_Y24_N15
\led_flash_cnt[2568][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2568][6]~62842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2568][6]~q\);

-- Location: LCCOMB_X58_Y24_N16
\led_flash_cnt[2568][7]~62844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2568][7]~62844_combout\ = \led_flash_cnt[2568][6]~62843\ $ (!\led_flash_cnt[2568][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2568][7]~q\,
	cin => \led_flash_cnt[2568][6]~62843\,
	combout => \led_flash_cnt[2568][7]~62844_combout\);

-- Location: FF_X58_Y24_N17
\led_flash_cnt[2568][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2568][7]~62844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2568][7]~q\);

-- Location: LCCOMB_X58_Y24_N22
\WideAnd2568~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2568~1_combout\ = (\led_flash_cnt[2568][6]~q\ & \led_flash_cnt[2568][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2568][6]~q\,
	datad => \led_flash_cnt[2568][5]~q\,
	combout => \WideAnd2568~1_combout\);

-- Location: LCCOMB_X58_Y24_N30
WideAnd2568 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2568~combout\ = (\WideAnd2568~0_combout\ & (\led_flash_cnt[2568][7]~q\ & (\WideAnd2568~1_combout\ & \led_flash_cnt[2568][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2568~0_combout\,
	datab => \led_flash_cnt[2568][7]~q\,
	datac => \WideAnd2568~1_combout\,
	datad => \led_flash_cnt[2568][0]~q\,
	combout => \WideAnd2568~combout\);

-- Location: FF_X58_Y24_N31
\led_flash_cnt_ands[2568]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2568~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2568));

-- Location: LCCOMB_X42_Y35_N24
\WideAnd4161~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4161~0_combout\ = (led_flash_cnt_ands(2571) & (led_flash_cnt_ands(2570) & (led_flash_cnt_ands(2569) & led_flash_cnt_ands(2568))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2571),
	datab => led_flash_cnt_ands(2570),
	datac => led_flash_cnt_ands(2569),
	datad => led_flash_cnt_ands(2568),
	combout => \WideAnd4161~0_combout\);

-- Location: LCCOMB_X62_Y35_N18
\led_flash_cnt[2574][0]~83214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2574][0]~83214_combout\ = !\led_flash_cnt[2574][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2574][0]~q\,
	combout => \led_flash_cnt[2574][0]~83214_combout\);

-- Location: FF_X62_Y35_N19
\led_flash_cnt[2574][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2574][0]~83214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2574][0]~q\);

-- Location: LCCOMB_X62_Y35_N2
\led_flash_cnt[2574][1]~62916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2574][1]~62916_combout\ = (\led_flash_cnt[2574][1]~q\ & (\led_flash_cnt[2574][0]~q\ $ (VCC))) # (!\led_flash_cnt[2574][1]~q\ & (\led_flash_cnt[2574][0]~q\ & VCC))
-- \led_flash_cnt[2574][1]~62917\ = CARRY((\led_flash_cnt[2574][1]~q\ & \led_flash_cnt[2574][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2574][1]~q\,
	datab => \led_flash_cnt[2574][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2574][1]~62916_combout\,
	cout => \led_flash_cnt[2574][1]~62917\);

-- Location: FF_X62_Y35_N3
\led_flash_cnt[2574][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2574][1]~62916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2574][1]~q\);

-- Location: LCCOMB_X62_Y35_N4
\led_flash_cnt[2574][2]~62918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2574][2]~62918_combout\ = (\led_flash_cnt[2574][2]~q\ & (!\led_flash_cnt[2574][1]~62917\)) # (!\led_flash_cnt[2574][2]~q\ & ((\led_flash_cnt[2574][1]~62917\) # (GND)))
-- \led_flash_cnt[2574][2]~62919\ = CARRY((!\led_flash_cnt[2574][1]~62917\) # (!\led_flash_cnt[2574][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2574][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2574][1]~62917\,
	combout => \led_flash_cnt[2574][2]~62918_combout\,
	cout => \led_flash_cnt[2574][2]~62919\);

-- Location: FF_X62_Y35_N5
\led_flash_cnt[2574][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2574][2]~62918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2574][2]~q\);

-- Location: LCCOMB_X62_Y35_N6
\led_flash_cnt[2574][3]~62920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2574][3]~62920_combout\ = (\led_flash_cnt[2574][3]~q\ & (\led_flash_cnt[2574][2]~62919\ $ (GND))) # (!\led_flash_cnt[2574][3]~q\ & (!\led_flash_cnt[2574][2]~62919\ & VCC))
-- \led_flash_cnt[2574][3]~62921\ = CARRY((\led_flash_cnt[2574][3]~q\ & !\led_flash_cnt[2574][2]~62919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2574][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2574][2]~62919\,
	combout => \led_flash_cnt[2574][3]~62920_combout\,
	cout => \led_flash_cnt[2574][3]~62921\);

-- Location: FF_X62_Y35_N7
\led_flash_cnt[2574][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2574][3]~62920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2574][3]~q\);

-- Location: LCCOMB_X62_Y35_N8
\led_flash_cnt[2574][4]~62922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2574][4]~62922_combout\ = (\led_flash_cnt[2574][4]~q\ & (!\led_flash_cnt[2574][3]~62921\)) # (!\led_flash_cnt[2574][4]~q\ & ((\led_flash_cnt[2574][3]~62921\) # (GND)))
-- \led_flash_cnt[2574][4]~62923\ = CARRY((!\led_flash_cnt[2574][3]~62921\) # (!\led_flash_cnt[2574][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2574][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2574][3]~62921\,
	combout => \led_flash_cnt[2574][4]~62922_combout\,
	cout => \led_flash_cnt[2574][4]~62923\);

-- Location: FF_X62_Y35_N9
\led_flash_cnt[2574][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2574][4]~62922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2574][4]~q\);

-- Location: LCCOMB_X62_Y35_N10
\led_flash_cnt[2574][5]~62924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2574][5]~62924_combout\ = (\led_flash_cnt[2574][5]~q\ & (\led_flash_cnt[2574][4]~62923\ $ (GND))) # (!\led_flash_cnt[2574][5]~q\ & (!\led_flash_cnt[2574][4]~62923\ & VCC))
-- \led_flash_cnt[2574][5]~62925\ = CARRY((\led_flash_cnt[2574][5]~q\ & !\led_flash_cnt[2574][4]~62923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2574][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2574][4]~62923\,
	combout => \led_flash_cnt[2574][5]~62924_combout\,
	cout => \led_flash_cnt[2574][5]~62925\);

-- Location: FF_X62_Y35_N11
\led_flash_cnt[2574][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2574][5]~62924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2574][5]~q\);

-- Location: LCCOMB_X62_Y35_N12
\led_flash_cnt[2574][6]~62926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2574][6]~62926_combout\ = (\led_flash_cnt[2574][6]~q\ & (!\led_flash_cnt[2574][5]~62925\)) # (!\led_flash_cnt[2574][6]~q\ & ((\led_flash_cnt[2574][5]~62925\) # (GND)))
-- \led_flash_cnt[2574][6]~62927\ = CARRY((!\led_flash_cnt[2574][5]~62925\) # (!\led_flash_cnt[2574][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2574][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2574][5]~62925\,
	combout => \led_flash_cnt[2574][6]~62926_combout\,
	cout => \led_flash_cnt[2574][6]~62927\);

-- Location: FF_X62_Y35_N13
\led_flash_cnt[2574][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2574][6]~62926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2574][6]~q\);

-- Location: LCCOMB_X62_Y35_N30
\WideAnd2574~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2574~1_combout\ = (\led_flash_cnt[2574][6]~q\ & \led_flash_cnt[2574][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2574][6]~q\,
	datad => \led_flash_cnt[2574][5]~q\,
	combout => \WideAnd2574~1_combout\);

-- Location: LCCOMB_X62_Y35_N28
\WideAnd2574~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2574~0_combout\ = (\led_flash_cnt[2574][1]~q\ & (\led_flash_cnt[2574][4]~q\ & (\led_flash_cnt[2574][2]~q\ & \led_flash_cnt[2574][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2574][1]~q\,
	datab => \led_flash_cnt[2574][4]~q\,
	datac => \led_flash_cnt[2574][2]~q\,
	datad => \led_flash_cnt[2574][3]~q\,
	combout => \WideAnd2574~0_combout\);

-- Location: LCCOMB_X62_Y35_N14
\led_flash_cnt[2574][7]~62928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2574][7]~62928_combout\ = \led_flash_cnt[2574][7]~q\ $ (!\led_flash_cnt[2574][6]~62927\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2574][7]~q\,
	cin => \led_flash_cnt[2574][6]~62927\,
	combout => \led_flash_cnt[2574][7]~62928_combout\);

-- Location: FF_X62_Y35_N15
\led_flash_cnt[2574][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2574][7]~62928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2574][7]~q\);

-- Location: LCCOMB_X62_Y35_N0
WideAnd2574 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2574~combout\ = (\WideAnd2574~1_combout\ & (\WideAnd2574~0_combout\ & (\led_flash_cnt[2574][7]~q\ & \led_flash_cnt[2574][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2574~1_combout\,
	datab => \WideAnd2574~0_combout\,
	datac => \led_flash_cnt[2574][7]~q\,
	datad => \led_flash_cnt[2574][0]~q\,
	combout => \WideAnd2574~combout\);

-- Location: FF_X62_Y35_N1
\led_flash_cnt_ands[2574]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2574~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2574));

-- Location: LCCOMB_X62_Y35_N24
WideAnd4161 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4161~combout\ = (led_flash_cnt_ands(2575) & (\WideAnd4161~1_combout\ & (\WideAnd4161~0_combout\ & led_flash_cnt_ands(2574))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2575),
	datab => \WideAnd4161~1_combout\,
	datac => \WideAnd4161~0_combout\,
	datad => led_flash_cnt_ands(2574),
	combout => \WideAnd4161~combout\);

-- Location: FF_X62_Y35_N25
\led_flash_cnt_ands_1[321]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4161~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(321));

-- Location: LCCOMB_X47_Y38_N2
\led_flash_cnt[2591][0]~83231\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2591][0]~83231_combout\ = !\led_flash_cnt[2591][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2591][0]~q\,
	combout => \led_flash_cnt[2591][0]~83231_combout\);

-- Location: FF_X47_Y38_N3
\led_flash_cnt[2591][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2591][0]~83231_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2591][0]~q\);

-- Location: LCCOMB_X46_Y38_N18
\led_flash_cnt[2591][1]~63154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2591][1]~63154_combout\ = (\led_flash_cnt[2591][0]~q\ & (\led_flash_cnt[2591][1]~q\ $ (VCC))) # (!\led_flash_cnt[2591][0]~q\ & (\led_flash_cnt[2591][1]~q\ & VCC))
-- \led_flash_cnt[2591][1]~63155\ = CARRY((\led_flash_cnt[2591][0]~q\ & \led_flash_cnt[2591][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2591][0]~q\,
	datab => \led_flash_cnt[2591][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2591][1]~63154_combout\,
	cout => \led_flash_cnt[2591][1]~63155\);

-- Location: FF_X46_Y38_N19
\led_flash_cnt[2591][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2591][1]~63154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2591][1]~q\);

-- Location: LCCOMB_X46_Y38_N20
\led_flash_cnt[2591][2]~63156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2591][2]~63156_combout\ = (\led_flash_cnt[2591][2]~q\ & (!\led_flash_cnt[2591][1]~63155\)) # (!\led_flash_cnt[2591][2]~q\ & ((\led_flash_cnt[2591][1]~63155\) # (GND)))
-- \led_flash_cnt[2591][2]~63157\ = CARRY((!\led_flash_cnt[2591][1]~63155\) # (!\led_flash_cnt[2591][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2591][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2591][1]~63155\,
	combout => \led_flash_cnt[2591][2]~63156_combout\,
	cout => \led_flash_cnt[2591][2]~63157\);

-- Location: FF_X46_Y38_N21
\led_flash_cnt[2591][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2591][2]~63156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2591][2]~q\);

-- Location: LCCOMB_X46_Y38_N22
\led_flash_cnt[2591][3]~63158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2591][3]~63158_combout\ = (\led_flash_cnt[2591][3]~q\ & (\led_flash_cnt[2591][2]~63157\ $ (GND))) # (!\led_flash_cnt[2591][3]~q\ & (!\led_flash_cnt[2591][2]~63157\ & VCC))
-- \led_flash_cnt[2591][3]~63159\ = CARRY((\led_flash_cnt[2591][3]~q\ & !\led_flash_cnt[2591][2]~63157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2591][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2591][2]~63157\,
	combout => \led_flash_cnt[2591][3]~63158_combout\,
	cout => \led_flash_cnt[2591][3]~63159\);

-- Location: FF_X46_Y38_N23
\led_flash_cnt[2591][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2591][3]~63158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2591][3]~q\);

-- Location: LCCOMB_X46_Y38_N24
\led_flash_cnt[2591][4]~63160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2591][4]~63160_combout\ = (\led_flash_cnt[2591][4]~q\ & (!\led_flash_cnt[2591][3]~63159\)) # (!\led_flash_cnt[2591][4]~q\ & ((\led_flash_cnt[2591][3]~63159\) # (GND)))
-- \led_flash_cnt[2591][4]~63161\ = CARRY((!\led_flash_cnt[2591][3]~63159\) # (!\led_flash_cnt[2591][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2591][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2591][3]~63159\,
	combout => \led_flash_cnt[2591][4]~63160_combout\,
	cout => \led_flash_cnt[2591][4]~63161\);

-- Location: FF_X46_Y38_N25
\led_flash_cnt[2591][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2591][4]~63160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2591][4]~q\);

-- Location: LCCOMB_X46_Y38_N26
\led_flash_cnt[2591][5]~63162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2591][5]~63162_combout\ = (\led_flash_cnt[2591][5]~q\ & (\led_flash_cnt[2591][4]~63161\ $ (GND))) # (!\led_flash_cnt[2591][5]~q\ & (!\led_flash_cnt[2591][4]~63161\ & VCC))
-- \led_flash_cnt[2591][5]~63163\ = CARRY((\led_flash_cnt[2591][5]~q\ & !\led_flash_cnt[2591][4]~63161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2591][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2591][4]~63161\,
	combout => \led_flash_cnt[2591][5]~63162_combout\,
	cout => \led_flash_cnt[2591][5]~63163\);

-- Location: FF_X46_Y38_N27
\led_flash_cnt[2591][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2591][5]~63162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2591][5]~q\);

-- Location: LCCOMB_X46_Y38_N28
\led_flash_cnt[2591][6]~63164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2591][6]~63164_combout\ = (\led_flash_cnt[2591][6]~q\ & (!\led_flash_cnt[2591][5]~63163\)) # (!\led_flash_cnt[2591][6]~q\ & ((\led_flash_cnt[2591][5]~63163\) # (GND)))
-- \led_flash_cnt[2591][6]~63165\ = CARRY((!\led_flash_cnt[2591][5]~63163\) # (!\led_flash_cnt[2591][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2591][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2591][5]~63163\,
	combout => \led_flash_cnt[2591][6]~63164_combout\,
	cout => \led_flash_cnt[2591][6]~63165\);

-- Location: FF_X46_Y38_N29
\led_flash_cnt[2591][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2591][6]~63164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2591][6]~q\);

-- Location: LCCOMB_X47_Y38_N6
\WideAnd2591~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2591~1_combout\ = (\led_flash_cnt[2591][5]~q\ & \led_flash_cnt[2591][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2591][5]~q\,
	datad => \led_flash_cnt[2591][6]~q\,
	combout => \WideAnd2591~1_combout\);

-- Location: LCCOMB_X46_Y38_N30
\led_flash_cnt[2591][7]~63166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2591][7]~63166_combout\ = \led_flash_cnt[2591][7]~q\ $ (!\led_flash_cnt[2591][6]~63165\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2591][7]~q\,
	cin => \led_flash_cnt[2591][6]~63165\,
	combout => \led_flash_cnt[2591][7]~63166_combout\);

-- Location: FF_X46_Y38_N31
\led_flash_cnt[2591][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2591][7]~63166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2591][7]~q\);

-- Location: LCCOMB_X46_Y38_N14
\WideAnd2591~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2591~0_combout\ = (\led_flash_cnt[2591][4]~q\ & (\led_flash_cnt[2591][2]~q\ & (\led_flash_cnt[2591][3]~q\ & \led_flash_cnt[2591][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2591][4]~q\,
	datab => \led_flash_cnt[2591][2]~q\,
	datac => \led_flash_cnt[2591][3]~q\,
	datad => \led_flash_cnt[2591][1]~q\,
	combout => \WideAnd2591~0_combout\);

-- Location: LCCOMB_X47_Y38_N10
WideAnd2591 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2591~combout\ = (\WideAnd2591~1_combout\ & (\led_flash_cnt[2591][7]~q\ & (\led_flash_cnt[2591][0]~q\ & \WideAnd2591~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2591~1_combout\,
	datab => \led_flash_cnt[2591][7]~q\,
	datac => \led_flash_cnt[2591][0]~q\,
	datad => \WideAnd2591~0_combout\,
	combout => \WideAnd2591~combout\);

-- Location: FF_X47_Y38_N11
\led_flash_cnt_ands[2591]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2591~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2591));

-- Location: LCCOMB_X47_Y42_N2
\led_flash_cnt[2589][0]~83229\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2589][0]~83229_combout\ = !\led_flash_cnt[2589][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2589][0]~q\,
	combout => \led_flash_cnt[2589][0]~83229_combout\);

-- Location: FF_X47_Y42_N3
\led_flash_cnt[2589][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2589][0]~83229_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2589][0]~q\);

-- Location: LCCOMB_X46_Y42_N0
\led_flash_cnt[2589][1]~63126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2589][1]~63126_combout\ = (\led_flash_cnt[2589][0]~q\ & (\led_flash_cnt[2589][1]~q\ $ (VCC))) # (!\led_flash_cnt[2589][0]~q\ & (\led_flash_cnt[2589][1]~q\ & VCC))
-- \led_flash_cnt[2589][1]~63127\ = CARRY((\led_flash_cnt[2589][0]~q\ & \led_flash_cnt[2589][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2589][0]~q\,
	datab => \led_flash_cnt[2589][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2589][1]~63126_combout\,
	cout => \led_flash_cnt[2589][1]~63127\);

-- Location: FF_X46_Y42_N1
\led_flash_cnt[2589][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2589][1]~63126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2589][1]~q\);

-- Location: LCCOMB_X46_Y42_N2
\led_flash_cnt[2589][2]~63128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2589][2]~63128_combout\ = (\led_flash_cnt[2589][2]~q\ & (!\led_flash_cnt[2589][1]~63127\)) # (!\led_flash_cnt[2589][2]~q\ & ((\led_flash_cnt[2589][1]~63127\) # (GND)))
-- \led_flash_cnt[2589][2]~63129\ = CARRY((!\led_flash_cnt[2589][1]~63127\) # (!\led_flash_cnt[2589][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2589][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2589][1]~63127\,
	combout => \led_flash_cnt[2589][2]~63128_combout\,
	cout => \led_flash_cnt[2589][2]~63129\);

-- Location: FF_X46_Y42_N3
\led_flash_cnt[2589][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2589][2]~63128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2589][2]~q\);

-- Location: LCCOMB_X46_Y42_N4
\led_flash_cnt[2589][3]~63130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2589][3]~63130_combout\ = (\led_flash_cnt[2589][3]~q\ & (\led_flash_cnt[2589][2]~63129\ $ (GND))) # (!\led_flash_cnt[2589][3]~q\ & (!\led_flash_cnt[2589][2]~63129\ & VCC))
-- \led_flash_cnt[2589][3]~63131\ = CARRY((\led_flash_cnt[2589][3]~q\ & !\led_flash_cnt[2589][2]~63129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2589][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2589][2]~63129\,
	combout => \led_flash_cnt[2589][3]~63130_combout\,
	cout => \led_flash_cnt[2589][3]~63131\);

-- Location: FF_X46_Y42_N5
\led_flash_cnt[2589][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2589][3]~63130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2589][3]~q\);

-- Location: LCCOMB_X46_Y42_N6
\led_flash_cnt[2589][4]~63132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2589][4]~63132_combout\ = (\led_flash_cnt[2589][4]~q\ & (!\led_flash_cnt[2589][3]~63131\)) # (!\led_flash_cnt[2589][4]~q\ & ((\led_flash_cnt[2589][3]~63131\) # (GND)))
-- \led_flash_cnt[2589][4]~63133\ = CARRY((!\led_flash_cnt[2589][3]~63131\) # (!\led_flash_cnt[2589][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2589][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2589][3]~63131\,
	combout => \led_flash_cnt[2589][4]~63132_combout\,
	cout => \led_flash_cnt[2589][4]~63133\);

-- Location: FF_X46_Y42_N7
\led_flash_cnt[2589][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2589][4]~63132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2589][4]~q\);

-- Location: LCCOMB_X46_Y42_N8
\led_flash_cnt[2589][5]~63134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2589][5]~63134_combout\ = (\led_flash_cnt[2589][5]~q\ & (\led_flash_cnt[2589][4]~63133\ $ (GND))) # (!\led_flash_cnt[2589][5]~q\ & (!\led_flash_cnt[2589][4]~63133\ & VCC))
-- \led_flash_cnt[2589][5]~63135\ = CARRY((\led_flash_cnt[2589][5]~q\ & !\led_flash_cnt[2589][4]~63133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2589][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2589][4]~63133\,
	combout => \led_flash_cnt[2589][5]~63134_combout\,
	cout => \led_flash_cnt[2589][5]~63135\);

-- Location: FF_X46_Y42_N9
\led_flash_cnt[2589][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2589][5]~63134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2589][5]~q\);

-- Location: LCCOMB_X46_Y42_N10
\led_flash_cnt[2589][6]~63136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2589][6]~63136_combout\ = (\led_flash_cnt[2589][6]~q\ & (!\led_flash_cnt[2589][5]~63135\)) # (!\led_flash_cnt[2589][6]~q\ & ((\led_flash_cnt[2589][5]~63135\) # (GND)))
-- \led_flash_cnt[2589][6]~63137\ = CARRY((!\led_flash_cnt[2589][5]~63135\) # (!\led_flash_cnt[2589][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2589][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2589][5]~63135\,
	combout => \led_flash_cnt[2589][6]~63136_combout\,
	cout => \led_flash_cnt[2589][6]~63137\);

-- Location: FF_X46_Y42_N11
\led_flash_cnt[2589][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2589][6]~63136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2589][6]~q\);

-- Location: LCCOMB_X46_Y42_N12
\led_flash_cnt[2589][7]~63138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2589][7]~63138_combout\ = \led_flash_cnt[2589][6]~63137\ $ (!\led_flash_cnt[2589][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2589][7]~q\,
	cin => \led_flash_cnt[2589][6]~63137\,
	combout => \led_flash_cnt[2589][7]~63138_combout\);

-- Location: FF_X46_Y42_N13
\led_flash_cnt[2589][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2589][7]~63138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2589][7]~q\);

-- Location: LCCOMB_X47_Y42_N28
\WideAnd2589~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2589~1_combout\ = (\led_flash_cnt[2589][6]~q\ & \led_flash_cnt[2589][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2589][6]~q\,
	datad => \led_flash_cnt[2589][5]~q\,
	combout => \WideAnd2589~1_combout\);

-- Location: LCCOMB_X46_Y42_N14
\WideAnd2589~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2589~0_combout\ = (\led_flash_cnt[2589][4]~q\ & (\led_flash_cnt[2589][1]~q\ & (\led_flash_cnt[2589][3]~q\ & \led_flash_cnt[2589][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2589][4]~q\,
	datab => \led_flash_cnt[2589][1]~q\,
	datac => \led_flash_cnt[2589][3]~q\,
	datad => \led_flash_cnt[2589][2]~q\,
	combout => \WideAnd2589~0_combout\);

-- Location: LCCOMB_X47_Y42_N4
WideAnd2589 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2589~combout\ = (\led_flash_cnt[2589][7]~q\ & (\WideAnd2589~1_combout\ & (\led_flash_cnt[2589][0]~q\ & \WideAnd2589~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2589][7]~q\,
	datab => \WideAnd2589~1_combout\,
	datac => \led_flash_cnt[2589][0]~q\,
	datad => \WideAnd2589~0_combout\,
	combout => \WideAnd2589~combout\);

-- Location: FF_X47_Y42_N5
\led_flash_cnt_ands[2589]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2589~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2589));

-- Location: LCCOMB_X47_Y42_N6
\led_flash_cnt[2588][0]~83228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2588][0]~83228_combout\ = !\led_flash_cnt[2588][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2588][0]~q\,
	combout => \led_flash_cnt[2588][0]~83228_combout\);

-- Location: FF_X47_Y42_N7
\led_flash_cnt[2588][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2588][0]~83228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2588][0]~q\);

-- Location: LCCOMB_X47_Y42_N8
\led_flash_cnt[2588][1]~63112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2588][1]~63112_combout\ = (\led_flash_cnt[2588][0]~q\ & (\led_flash_cnt[2588][1]~q\ $ (VCC))) # (!\led_flash_cnt[2588][0]~q\ & (\led_flash_cnt[2588][1]~q\ & VCC))
-- \led_flash_cnt[2588][1]~63113\ = CARRY((\led_flash_cnt[2588][0]~q\ & \led_flash_cnt[2588][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2588][0]~q\,
	datab => \led_flash_cnt[2588][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2588][1]~63112_combout\,
	cout => \led_flash_cnt[2588][1]~63113\);

-- Location: FF_X47_Y42_N9
\led_flash_cnt[2588][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2588][1]~63112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2588][1]~q\);

-- Location: LCCOMB_X47_Y42_N10
\led_flash_cnt[2588][2]~63114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2588][2]~63114_combout\ = (\led_flash_cnt[2588][2]~q\ & (!\led_flash_cnt[2588][1]~63113\)) # (!\led_flash_cnt[2588][2]~q\ & ((\led_flash_cnt[2588][1]~63113\) # (GND)))
-- \led_flash_cnt[2588][2]~63115\ = CARRY((!\led_flash_cnt[2588][1]~63113\) # (!\led_flash_cnt[2588][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2588][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2588][1]~63113\,
	combout => \led_flash_cnt[2588][2]~63114_combout\,
	cout => \led_flash_cnt[2588][2]~63115\);

-- Location: FF_X47_Y42_N11
\led_flash_cnt[2588][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2588][2]~63114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2588][2]~q\);

-- Location: LCCOMB_X47_Y42_N12
\led_flash_cnt[2588][3]~63116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2588][3]~63116_combout\ = (\led_flash_cnt[2588][3]~q\ & (\led_flash_cnt[2588][2]~63115\ $ (GND))) # (!\led_flash_cnt[2588][3]~q\ & (!\led_flash_cnt[2588][2]~63115\ & VCC))
-- \led_flash_cnt[2588][3]~63117\ = CARRY((\led_flash_cnt[2588][3]~q\ & !\led_flash_cnt[2588][2]~63115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2588][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2588][2]~63115\,
	combout => \led_flash_cnt[2588][3]~63116_combout\,
	cout => \led_flash_cnt[2588][3]~63117\);

-- Location: FF_X47_Y42_N13
\led_flash_cnt[2588][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2588][3]~63116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2588][3]~q\);

-- Location: LCCOMB_X47_Y42_N14
\led_flash_cnt[2588][4]~63118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2588][4]~63118_combout\ = (\led_flash_cnt[2588][4]~q\ & (!\led_flash_cnt[2588][3]~63117\)) # (!\led_flash_cnt[2588][4]~q\ & ((\led_flash_cnt[2588][3]~63117\) # (GND)))
-- \led_flash_cnt[2588][4]~63119\ = CARRY((!\led_flash_cnt[2588][3]~63117\) # (!\led_flash_cnt[2588][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2588][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2588][3]~63117\,
	combout => \led_flash_cnt[2588][4]~63118_combout\,
	cout => \led_flash_cnt[2588][4]~63119\);

-- Location: FF_X47_Y42_N15
\led_flash_cnt[2588][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2588][4]~63118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2588][4]~q\);

-- Location: LCCOMB_X47_Y42_N16
\led_flash_cnt[2588][5]~63120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2588][5]~63120_combout\ = (\led_flash_cnt[2588][5]~q\ & (\led_flash_cnt[2588][4]~63119\ $ (GND))) # (!\led_flash_cnt[2588][5]~q\ & (!\led_flash_cnt[2588][4]~63119\ & VCC))
-- \led_flash_cnt[2588][5]~63121\ = CARRY((\led_flash_cnt[2588][5]~q\ & !\led_flash_cnt[2588][4]~63119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2588][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2588][4]~63119\,
	combout => \led_flash_cnt[2588][5]~63120_combout\,
	cout => \led_flash_cnt[2588][5]~63121\);

-- Location: FF_X47_Y42_N17
\led_flash_cnt[2588][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2588][5]~63120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2588][5]~q\);

-- Location: LCCOMB_X47_Y42_N18
\led_flash_cnt[2588][6]~63122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2588][6]~63122_combout\ = (\led_flash_cnt[2588][6]~q\ & (!\led_flash_cnt[2588][5]~63121\)) # (!\led_flash_cnt[2588][6]~q\ & ((\led_flash_cnt[2588][5]~63121\) # (GND)))
-- \led_flash_cnt[2588][6]~63123\ = CARRY((!\led_flash_cnt[2588][5]~63121\) # (!\led_flash_cnt[2588][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2588][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2588][5]~63121\,
	combout => \led_flash_cnt[2588][6]~63122_combout\,
	cout => \led_flash_cnt[2588][6]~63123\);

-- Location: FF_X47_Y42_N19
\led_flash_cnt[2588][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2588][6]~63122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2588][6]~q\);

-- Location: LCCOMB_X47_Y42_N20
\led_flash_cnt[2588][7]~63124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2588][7]~63124_combout\ = \led_flash_cnt[2588][6]~63123\ $ (!\led_flash_cnt[2588][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2588][7]~q\,
	cin => \led_flash_cnt[2588][6]~63123\,
	combout => \led_flash_cnt[2588][7]~63124_combout\);

-- Location: FF_X47_Y42_N21
\led_flash_cnt[2588][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2588][7]~63124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2588][7]~q\);

-- Location: LCCOMB_X47_Y42_N22
\WideAnd2588~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2588~0_combout\ = (\led_flash_cnt[2588][2]~q\ & (\led_flash_cnt[2588][4]~q\ & (\led_flash_cnt[2588][1]~q\ & \led_flash_cnt[2588][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2588][2]~q\,
	datab => \led_flash_cnt[2588][4]~q\,
	datac => \led_flash_cnt[2588][1]~q\,
	datad => \led_flash_cnt[2588][3]~q\,
	combout => \WideAnd2588~0_combout\);

-- Location: LCCOMB_X47_Y42_N0
\WideAnd2588~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2588~1_combout\ = (\led_flash_cnt[2588][5]~q\ & \led_flash_cnt[2588][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2588][5]~q\,
	datad => \led_flash_cnt[2588][6]~q\,
	combout => \WideAnd2588~1_combout\);

-- Location: LCCOMB_X47_Y42_N24
WideAnd2588 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2588~combout\ = (\led_flash_cnt[2588][0]~q\ & (\led_flash_cnt[2588][7]~q\ & (\WideAnd2588~0_combout\ & \WideAnd2588~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2588][0]~q\,
	datab => \led_flash_cnt[2588][7]~q\,
	datac => \WideAnd2588~0_combout\,
	datad => \WideAnd2588~1_combout\,
	combout => \WideAnd2588~combout\);

-- Location: FF_X47_Y42_N25
\led_flash_cnt_ands[2588]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2588~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2588));

-- Location: LCCOMB_X47_Y42_N26
\WideAnd4163~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4163~1_combout\ = (led_flash_cnt_ands(2589) & led_flash_cnt_ands(2588))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2589),
	datad => led_flash_cnt_ands(2588),
	combout => \WideAnd4163~1_combout\);

-- Location: LCCOMB_X47_Y38_N12
\led_flash_cnt[2590][0]~83230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2590][0]~83230_combout\ = !\led_flash_cnt[2590][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2590][0]~q\,
	combout => \led_flash_cnt[2590][0]~83230_combout\);

-- Location: FF_X47_Y38_N13
\led_flash_cnt[2590][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2590][0]~83230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2590][0]~q\);

-- Location: LCCOMB_X47_Y38_N18
\led_flash_cnt[2590][1]~63140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2590][1]~63140_combout\ = (\led_flash_cnt[2590][0]~q\ & (\led_flash_cnt[2590][1]~q\ $ (VCC))) # (!\led_flash_cnt[2590][0]~q\ & (\led_flash_cnt[2590][1]~q\ & VCC))
-- \led_flash_cnt[2590][1]~63141\ = CARRY((\led_flash_cnt[2590][0]~q\ & \led_flash_cnt[2590][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2590][0]~q\,
	datab => \led_flash_cnt[2590][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2590][1]~63140_combout\,
	cout => \led_flash_cnt[2590][1]~63141\);

-- Location: FF_X47_Y38_N19
\led_flash_cnt[2590][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2590][1]~63140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2590][1]~q\);

-- Location: LCCOMB_X47_Y38_N20
\led_flash_cnt[2590][2]~63142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2590][2]~63142_combout\ = (\led_flash_cnt[2590][2]~q\ & (!\led_flash_cnt[2590][1]~63141\)) # (!\led_flash_cnt[2590][2]~q\ & ((\led_flash_cnt[2590][1]~63141\) # (GND)))
-- \led_flash_cnt[2590][2]~63143\ = CARRY((!\led_flash_cnt[2590][1]~63141\) # (!\led_flash_cnt[2590][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2590][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2590][1]~63141\,
	combout => \led_flash_cnt[2590][2]~63142_combout\,
	cout => \led_flash_cnt[2590][2]~63143\);

-- Location: FF_X47_Y38_N21
\led_flash_cnt[2590][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2590][2]~63142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2590][2]~q\);

-- Location: LCCOMB_X47_Y38_N22
\led_flash_cnt[2590][3]~63144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2590][3]~63144_combout\ = (\led_flash_cnt[2590][3]~q\ & (\led_flash_cnt[2590][2]~63143\ $ (GND))) # (!\led_flash_cnt[2590][3]~q\ & (!\led_flash_cnt[2590][2]~63143\ & VCC))
-- \led_flash_cnt[2590][3]~63145\ = CARRY((\led_flash_cnt[2590][3]~q\ & !\led_flash_cnt[2590][2]~63143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2590][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2590][2]~63143\,
	combout => \led_flash_cnt[2590][3]~63144_combout\,
	cout => \led_flash_cnt[2590][3]~63145\);

-- Location: FF_X47_Y38_N23
\led_flash_cnt[2590][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2590][3]~63144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2590][3]~q\);

-- Location: LCCOMB_X47_Y38_N24
\led_flash_cnt[2590][4]~63146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2590][4]~63146_combout\ = (\led_flash_cnt[2590][4]~q\ & (!\led_flash_cnt[2590][3]~63145\)) # (!\led_flash_cnt[2590][4]~q\ & ((\led_flash_cnt[2590][3]~63145\) # (GND)))
-- \led_flash_cnt[2590][4]~63147\ = CARRY((!\led_flash_cnt[2590][3]~63145\) # (!\led_flash_cnt[2590][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2590][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2590][3]~63145\,
	combout => \led_flash_cnt[2590][4]~63146_combout\,
	cout => \led_flash_cnt[2590][4]~63147\);

-- Location: FF_X47_Y38_N25
\led_flash_cnt[2590][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2590][4]~63146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2590][4]~q\);

-- Location: LCCOMB_X47_Y38_N26
\led_flash_cnt[2590][5]~63148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2590][5]~63148_combout\ = (\led_flash_cnt[2590][5]~q\ & (\led_flash_cnt[2590][4]~63147\ $ (GND))) # (!\led_flash_cnt[2590][5]~q\ & (!\led_flash_cnt[2590][4]~63147\ & VCC))
-- \led_flash_cnt[2590][5]~63149\ = CARRY((\led_flash_cnt[2590][5]~q\ & !\led_flash_cnt[2590][4]~63147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2590][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2590][4]~63147\,
	combout => \led_flash_cnt[2590][5]~63148_combout\,
	cout => \led_flash_cnt[2590][5]~63149\);

-- Location: FF_X47_Y38_N27
\led_flash_cnt[2590][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2590][5]~63148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2590][5]~q\);

-- Location: LCCOMB_X47_Y38_N28
\led_flash_cnt[2590][6]~63150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2590][6]~63150_combout\ = (\led_flash_cnt[2590][6]~q\ & (!\led_flash_cnt[2590][5]~63149\)) # (!\led_flash_cnt[2590][6]~q\ & ((\led_flash_cnt[2590][5]~63149\) # (GND)))
-- \led_flash_cnt[2590][6]~63151\ = CARRY((!\led_flash_cnt[2590][5]~63149\) # (!\led_flash_cnt[2590][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2590][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2590][5]~63149\,
	combout => \led_flash_cnt[2590][6]~63150_combout\,
	cout => \led_flash_cnt[2590][6]~63151\);

-- Location: FF_X47_Y38_N29
\led_flash_cnt[2590][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2590][6]~63150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2590][6]~q\);

-- Location: LCCOMB_X47_Y38_N8
\WideAnd2590~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2590~1_combout\ = (\led_flash_cnt[2590][5]~q\ & \led_flash_cnt[2590][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2590][5]~q\,
	datad => \led_flash_cnt[2590][6]~q\,
	combout => \WideAnd2590~1_combout\);

-- Location: LCCOMB_X47_Y38_N30
\led_flash_cnt[2590][7]~63152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2590][7]~63152_combout\ = \led_flash_cnt[2590][7]~q\ $ (!\led_flash_cnt[2590][6]~63151\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2590][7]~q\,
	cin => \led_flash_cnt[2590][6]~63151\,
	combout => \led_flash_cnt[2590][7]~63152_combout\);

-- Location: FF_X47_Y38_N31
\led_flash_cnt[2590][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2590][7]~63152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2590][7]~q\);

-- Location: LCCOMB_X47_Y38_N16
\WideAnd2590~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2590~0_combout\ = (\led_flash_cnt[2590][4]~q\ & (\led_flash_cnt[2590][2]~q\ & (\led_flash_cnt[2590][3]~q\ & \led_flash_cnt[2590][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2590][4]~q\,
	datab => \led_flash_cnt[2590][2]~q\,
	datac => \led_flash_cnt[2590][3]~q\,
	datad => \led_flash_cnt[2590][1]~q\,
	combout => \WideAnd2590~0_combout\);

-- Location: LCCOMB_X47_Y38_N4
WideAnd2590 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2590~combout\ = (\led_flash_cnt[2590][0]~q\ & (\WideAnd2590~1_combout\ & (\led_flash_cnt[2590][7]~q\ & \WideAnd2590~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2590][0]~q\,
	datab => \WideAnd2590~1_combout\,
	datac => \led_flash_cnt[2590][7]~q\,
	datad => \WideAnd2590~0_combout\,
	combout => \WideAnd2590~combout\);

-- Location: FF_X47_Y38_N5
\led_flash_cnt_ands[2590]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2590~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2590));

-- Location: LCCOMB_X21_Y36_N12
\led_flash_cnt[2584][0]~83224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2584][0]~83224_combout\ = !\led_flash_cnt[2584][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2584][0]~q\,
	combout => \led_flash_cnt[2584][0]~83224_combout\);

-- Location: FF_X21_Y36_N13
\led_flash_cnt[2584][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2584][0]~83224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2584][0]~q\);

-- Location: LCCOMB_X21_Y36_N16
\led_flash_cnt[2584][1]~63056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2584][1]~63056_combout\ = (\led_flash_cnt[2584][0]~q\ & (\led_flash_cnt[2584][1]~q\ $ (VCC))) # (!\led_flash_cnt[2584][0]~q\ & (\led_flash_cnt[2584][1]~q\ & VCC))
-- \led_flash_cnt[2584][1]~63057\ = CARRY((\led_flash_cnt[2584][0]~q\ & \led_flash_cnt[2584][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2584][0]~q\,
	datab => \led_flash_cnt[2584][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2584][1]~63056_combout\,
	cout => \led_flash_cnt[2584][1]~63057\);

-- Location: FF_X21_Y36_N17
\led_flash_cnt[2584][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2584][1]~63056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2584][1]~q\);

-- Location: LCCOMB_X21_Y36_N18
\led_flash_cnt[2584][2]~63058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2584][2]~63058_combout\ = (\led_flash_cnt[2584][2]~q\ & (!\led_flash_cnt[2584][1]~63057\)) # (!\led_flash_cnt[2584][2]~q\ & ((\led_flash_cnt[2584][1]~63057\) # (GND)))
-- \led_flash_cnt[2584][2]~63059\ = CARRY((!\led_flash_cnt[2584][1]~63057\) # (!\led_flash_cnt[2584][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2584][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2584][1]~63057\,
	combout => \led_flash_cnt[2584][2]~63058_combout\,
	cout => \led_flash_cnt[2584][2]~63059\);

-- Location: FF_X21_Y36_N19
\led_flash_cnt[2584][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2584][2]~63058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2584][2]~q\);

-- Location: LCCOMB_X21_Y36_N20
\led_flash_cnt[2584][3]~63060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2584][3]~63060_combout\ = (\led_flash_cnt[2584][3]~q\ & (\led_flash_cnt[2584][2]~63059\ $ (GND))) # (!\led_flash_cnt[2584][3]~q\ & (!\led_flash_cnt[2584][2]~63059\ & VCC))
-- \led_flash_cnt[2584][3]~63061\ = CARRY((\led_flash_cnt[2584][3]~q\ & !\led_flash_cnt[2584][2]~63059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2584][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2584][2]~63059\,
	combout => \led_flash_cnt[2584][3]~63060_combout\,
	cout => \led_flash_cnt[2584][3]~63061\);

-- Location: FF_X21_Y36_N21
\led_flash_cnt[2584][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2584][3]~63060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2584][3]~q\);

-- Location: LCCOMB_X21_Y36_N22
\led_flash_cnt[2584][4]~63062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2584][4]~63062_combout\ = (\led_flash_cnt[2584][4]~q\ & (!\led_flash_cnt[2584][3]~63061\)) # (!\led_flash_cnt[2584][4]~q\ & ((\led_flash_cnt[2584][3]~63061\) # (GND)))
-- \led_flash_cnt[2584][4]~63063\ = CARRY((!\led_flash_cnt[2584][3]~63061\) # (!\led_flash_cnt[2584][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2584][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2584][3]~63061\,
	combout => \led_flash_cnt[2584][4]~63062_combout\,
	cout => \led_flash_cnt[2584][4]~63063\);

-- Location: FF_X21_Y36_N23
\led_flash_cnt[2584][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2584][4]~63062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2584][4]~q\);

-- Location: LCCOMB_X21_Y36_N24
\led_flash_cnt[2584][5]~63064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2584][5]~63064_combout\ = (\led_flash_cnt[2584][5]~q\ & (\led_flash_cnt[2584][4]~63063\ $ (GND))) # (!\led_flash_cnt[2584][5]~q\ & (!\led_flash_cnt[2584][4]~63063\ & VCC))
-- \led_flash_cnt[2584][5]~63065\ = CARRY((\led_flash_cnt[2584][5]~q\ & !\led_flash_cnt[2584][4]~63063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2584][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2584][4]~63063\,
	combout => \led_flash_cnt[2584][5]~63064_combout\,
	cout => \led_flash_cnt[2584][5]~63065\);

-- Location: FF_X21_Y36_N25
\led_flash_cnt[2584][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2584][5]~63064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2584][5]~q\);

-- Location: LCCOMB_X21_Y36_N26
\led_flash_cnt[2584][6]~63066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2584][6]~63066_combout\ = (\led_flash_cnt[2584][6]~q\ & (!\led_flash_cnt[2584][5]~63065\)) # (!\led_flash_cnt[2584][6]~q\ & ((\led_flash_cnt[2584][5]~63065\) # (GND)))
-- \led_flash_cnt[2584][6]~63067\ = CARRY((!\led_flash_cnt[2584][5]~63065\) # (!\led_flash_cnt[2584][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2584][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2584][5]~63065\,
	combout => \led_flash_cnt[2584][6]~63066_combout\,
	cout => \led_flash_cnt[2584][6]~63067\);

-- Location: FF_X21_Y36_N27
\led_flash_cnt[2584][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2584][6]~63066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2584][6]~q\);

-- Location: LCCOMB_X21_Y36_N28
\led_flash_cnt[2584][7]~63068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2584][7]~63068_combout\ = \led_flash_cnt[2584][6]~63067\ $ (!\led_flash_cnt[2584][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2584][7]~q\,
	cin => \led_flash_cnt[2584][6]~63067\,
	combout => \led_flash_cnt[2584][7]~63068_combout\);

-- Location: FF_X21_Y36_N29
\led_flash_cnt[2584][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2584][7]~63068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2584][7]~q\);

-- Location: LCCOMB_X21_Y36_N30
\WideAnd2584~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2584~0_combout\ = (\led_flash_cnt[2584][3]~q\ & (\led_flash_cnt[2584][2]~q\ & (\led_flash_cnt[2584][4]~q\ & \led_flash_cnt[2584][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2584][3]~q\,
	datab => \led_flash_cnt[2584][2]~q\,
	datac => \led_flash_cnt[2584][4]~q\,
	datad => \led_flash_cnt[2584][1]~q\,
	combout => \WideAnd2584~0_combout\);

-- Location: LCCOMB_X21_Y36_N2
\WideAnd2584~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2584~1_combout\ = (\led_flash_cnt[2584][6]~q\ & \led_flash_cnt[2584][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2584][6]~q\,
	datad => \led_flash_cnt[2584][5]~q\,
	combout => \WideAnd2584~1_combout\);

-- Location: LCCOMB_X21_Y36_N10
WideAnd2584 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2584~combout\ = (\led_flash_cnt[2584][0]~q\ & (\led_flash_cnt[2584][7]~q\ & (\WideAnd2584~0_combout\ & \WideAnd2584~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2584][0]~q\,
	datab => \led_flash_cnt[2584][7]~q\,
	datac => \WideAnd2584~0_combout\,
	datad => \WideAnd2584~1_combout\,
	combout => \WideAnd2584~combout\);

-- Location: FF_X21_Y36_N11
\led_flash_cnt_ands[2584]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2584~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2584));

-- Location: LCCOMB_X44_Y36_N0
\led_flash_cnt[2586][0]~83226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2586][0]~83226_combout\ = !\led_flash_cnt[2586][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2586][0]~q\,
	combout => \led_flash_cnt[2586][0]~83226_combout\);

-- Location: FF_X44_Y36_N1
\led_flash_cnt[2586][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2586][0]~83226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2586][0]~q\);

-- Location: LCCOMB_X43_Y37_N2
\led_flash_cnt[2586][1]~63084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2586][1]~63084_combout\ = (\led_flash_cnt[2586][0]~q\ & (\led_flash_cnt[2586][1]~q\ $ (VCC))) # (!\led_flash_cnt[2586][0]~q\ & (\led_flash_cnt[2586][1]~q\ & VCC))
-- \led_flash_cnt[2586][1]~63085\ = CARRY((\led_flash_cnt[2586][0]~q\ & \led_flash_cnt[2586][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2586][0]~q\,
	datab => \led_flash_cnt[2586][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2586][1]~63084_combout\,
	cout => \led_flash_cnt[2586][1]~63085\);

-- Location: FF_X43_Y37_N3
\led_flash_cnt[2586][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2586][1]~63084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2586][1]~q\);

-- Location: LCCOMB_X43_Y37_N4
\led_flash_cnt[2586][2]~63086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2586][2]~63086_combout\ = (\led_flash_cnt[2586][2]~q\ & (!\led_flash_cnt[2586][1]~63085\)) # (!\led_flash_cnt[2586][2]~q\ & ((\led_flash_cnt[2586][1]~63085\) # (GND)))
-- \led_flash_cnt[2586][2]~63087\ = CARRY((!\led_flash_cnt[2586][1]~63085\) # (!\led_flash_cnt[2586][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2586][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2586][1]~63085\,
	combout => \led_flash_cnt[2586][2]~63086_combout\,
	cout => \led_flash_cnt[2586][2]~63087\);

-- Location: FF_X43_Y37_N5
\led_flash_cnt[2586][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2586][2]~63086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2586][2]~q\);

-- Location: LCCOMB_X43_Y37_N6
\led_flash_cnt[2586][3]~63088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2586][3]~63088_combout\ = (\led_flash_cnt[2586][3]~q\ & (\led_flash_cnt[2586][2]~63087\ $ (GND))) # (!\led_flash_cnt[2586][3]~q\ & (!\led_flash_cnt[2586][2]~63087\ & VCC))
-- \led_flash_cnt[2586][3]~63089\ = CARRY((\led_flash_cnt[2586][3]~q\ & !\led_flash_cnt[2586][2]~63087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2586][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2586][2]~63087\,
	combout => \led_flash_cnt[2586][3]~63088_combout\,
	cout => \led_flash_cnt[2586][3]~63089\);

-- Location: FF_X43_Y37_N7
\led_flash_cnt[2586][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2586][3]~63088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2586][3]~q\);

-- Location: LCCOMB_X43_Y37_N8
\led_flash_cnt[2586][4]~63090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2586][4]~63090_combout\ = (\led_flash_cnt[2586][4]~q\ & (!\led_flash_cnt[2586][3]~63089\)) # (!\led_flash_cnt[2586][4]~q\ & ((\led_flash_cnt[2586][3]~63089\) # (GND)))
-- \led_flash_cnt[2586][4]~63091\ = CARRY((!\led_flash_cnt[2586][3]~63089\) # (!\led_flash_cnt[2586][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2586][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2586][3]~63089\,
	combout => \led_flash_cnt[2586][4]~63090_combout\,
	cout => \led_flash_cnt[2586][4]~63091\);

-- Location: FF_X43_Y37_N9
\led_flash_cnt[2586][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2586][4]~63090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2586][4]~q\);

-- Location: LCCOMB_X43_Y37_N10
\led_flash_cnt[2586][5]~63092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2586][5]~63092_combout\ = (\led_flash_cnt[2586][5]~q\ & (\led_flash_cnt[2586][4]~63091\ $ (GND))) # (!\led_flash_cnt[2586][5]~q\ & (!\led_flash_cnt[2586][4]~63091\ & VCC))
-- \led_flash_cnt[2586][5]~63093\ = CARRY((\led_flash_cnt[2586][5]~q\ & !\led_flash_cnt[2586][4]~63091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2586][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2586][4]~63091\,
	combout => \led_flash_cnt[2586][5]~63092_combout\,
	cout => \led_flash_cnt[2586][5]~63093\);

-- Location: FF_X43_Y37_N11
\led_flash_cnt[2586][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2586][5]~63092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2586][5]~q\);

-- Location: LCCOMB_X43_Y37_N12
\led_flash_cnt[2586][6]~63094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2586][6]~63094_combout\ = (\led_flash_cnt[2586][6]~q\ & (!\led_flash_cnt[2586][5]~63093\)) # (!\led_flash_cnt[2586][6]~q\ & ((\led_flash_cnt[2586][5]~63093\) # (GND)))
-- \led_flash_cnt[2586][6]~63095\ = CARRY((!\led_flash_cnt[2586][5]~63093\) # (!\led_flash_cnt[2586][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2586][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2586][5]~63093\,
	combout => \led_flash_cnt[2586][6]~63094_combout\,
	cout => \led_flash_cnt[2586][6]~63095\);

-- Location: FF_X43_Y37_N13
\led_flash_cnt[2586][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2586][6]~63094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2586][6]~q\);

-- Location: LCCOMB_X43_Y37_N14
\led_flash_cnt[2586][7]~63096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2586][7]~63096_combout\ = \led_flash_cnt[2586][7]~q\ $ (!\led_flash_cnt[2586][6]~63095\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2586][7]~q\,
	cin => \led_flash_cnt[2586][6]~63095\,
	combout => \led_flash_cnt[2586][7]~63096_combout\);

-- Location: FF_X43_Y37_N15
\led_flash_cnt[2586][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2586][7]~63096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2586][7]~q\);

-- Location: LCCOMB_X43_Y37_N0
\WideAnd2586~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2586~0_combout\ = (\led_flash_cnt[2586][3]~q\ & (\led_flash_cnt[2586][4]~q\ & (\led_flash_cnt[2586][2]~q\ & \led_flash_cnt[2586][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2586][3]~q\,
	datab => \led_flash_cnt[2586][4]~q\,
	datac => \led_flash_cnt[2586][2]~q\,
	datad => \led_flash_cnt[2586][1]~q\,
	combout => \WideAnd2586~0_combout\);

-- Location: LCCOMB_X44_Y37_N24
\WideAnd2586~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2586~1_combout\ = (\led_flash_cnt[2586][6]~q\ & \led_flash_cnt[2586][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2586][6]~q\,
	datad => \led_flash_cnt[2586][5]~q\,
	combout => \WideAnd2586~1_combout\);

-- Location: LCCOMB_X44_Y37_N8
WideAnd2586 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2586~combout\ = (\led_flash_cnt[2586][7]~q\ & (\led_flash_cnt[2586][0]~q\ & (\WideAnd2586~0_combout\ & \WideAnd2586~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2586][7]~q\,
	datab => \led_flash_cnt[2586][0]~q\,
	datac => \WideAnd2586~0_combout\,
	datad => \WideAnd2586~1_combout\,
	combout => \WideAnd2586~combout\);

-- Location: FF_X44_Y37_N9
\led_flash_cnt_ands[2586]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2586~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2586));

-- Location: LCCOMB_X65_Y52_N26
\led_flash_cnt[2587][0]~83227\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2587][0]~83227_combout\ = !\led_flash_cnt[2587][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2587][0]~q\,
	combout => \led_flash_cnt[2587][0]~83227_combout\);

-- Location: FF_X65_Y52_N27
\led_flash_cnt[2587][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2587][0]~83227_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2587][0]~q\);

-- Location: LCCOMB_X65_Y52_N2
\led_flash_cnt[2587][1]~63098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2587][1]~63098_combout\ = (\led_flash_cnt[2587][0]~q\ & (\led_flash_cnt[2587][1]~q\ $ (VCC))) # (!\led_flash_cnt[2587][0]~q\ & (\led_flash_cnt[2587][1]~q\ & VCC))
-- \led_flash_cnt[2587][1]~63099\ = CARRY((\led_flash_cnt[2587][0]~q\ & \led_flash_cnt[2587][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2587][0]~q\,
	datab => \led_flash_cnt[2587][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2587][1]~63098_combout\,
	cout => \led_flash_cnt[2587][1]~63099\);

-- Location: FF_X65_Y52_N3
\led_flash_cnt[2587][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2587][1]~63098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2587][1]~q\);

-- Location: LCCOMB_X65_Y52_N4
\led_flash_cnt[2587][2]~63100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2587][2]~63100_combout\ = (\led_flash_cnt[2587][2]~q\ & (!\led_flash_cnt[2587][1]~63099\)) # (!\led_flash_cnt[2587][2]~q\ & ((\led_flash_cnt[2587][1]~63099\) # (GND)))
-- \led_flash_cnt[2587][2]~63101\ = CARRY((!\led_flash_cnt[2587][1]~63099\) # (!\led_flash_cnt[2587][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2587][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2587][1]~63099\,
	combout => \led_flash_cnt[2587][2]~63100_combout\,
	cout => \led_flash_cnt[2587][2]~63101\);

-- Location: FF_X65_Y52_N5
\led_flash_cnt[2587][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2587][2]~63100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2587][2]~q\);

-- Location: LCCOMB_X65_Y52_N6
\led_flash_cnt[2587][3]~63102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2587][3]~63102_combout\ = (\led_flash_cnt[2587][3]~q\ & (\led_flash_cnt[2587][2]~63101\ $ (GND))) # (!\led_flash_cnt[2587][3]~q\ & (!\led_flash_cnt[2587][2]~63101\ & VCC))
-- \led_flash_cnt[2587][3]~63103\ = CARRY((\led_flash_cnt[2587][3]~q\ & !\led_flash_cnt[2587][2]~63101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2587][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2587][2]~63101\,
	combout => \led_flash_cnt[2587][3]~63102_combout\,
	cout => \led_flash_cnt[2587][3]~63103\);

-- Location: FF_X65_Y52_N7
\led_flash_cnt[2587][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2587][3]~63102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2587][3]~q\);

-- Location: LCCOMB_X65_Y52_N8
\led_flash_cnt[2587][4]~63104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2587][4]~63104_combout\ = (\led_flash_cnt[2587][4]~q\ & (!\led_flash_cnt[2587][3]~63103\)) # (!\led_flash_cnt[2587][4]~q\ & ((\led_flash_cnt[2587][3]~63103\) # (GND)))
-- \led_flash_cnt[2587][4]~63105\ = CARRY((!\led_flash_cnt[2587][3]~63103\) # (!\led_flash_cnt[2587][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2587][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2587][3]~63103\,
	combout => \led_flash_cnt[2587][4]~63104_combout\,
	cout => \led_flash_cnt[2587][4]~63105\);

-- Location: FF_X65_Y52_N9
\led_flash_cnt[2587][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2587][4]~63104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2587][4]~q\);

-- Location: LCCOMB_X65_Y52_N10
\led_flash_cnt[2587][5]~63106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2587][5]~63106_combout\ = (\led_flash_cnt[2587][5]~q\ & (\led_flash_cnt[2587][4]~63105\ $ (GND))) # (!\led_flash_cnt[2587][5]~q\ & (!\led_flash_cnt[2587][4]~63105\ & VCC))
-- \led_flash_cnt[2587][5]~63107\ = CARRY((\led_flash_cnt[2587][5]~q\ & !\led_flash_cnt[2587][4]~63105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2587][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2587][4]~63105\,
	combout => \led_flash_cnt[2587][5]~63106_combout\,
	cout => \led_flash_cnt[2587][5]~63107\);

-- Location: FF_X65_Y52_N11
\led_flash_cnt[2587][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2587][5]~63106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2587][5]~q\);

-- Location: LCCOMB_X65_Y52_N12
\led_flash_cnt[2587][6]~63108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2587][6]~63108_combout\ = (\led_flash_cnt[2587][6]~q\ & (!\led_flash_cnt[2587][5]~63107\)) # (!\led_flash_cnt[2587][6]~q\ & ((\led_flash_cnt[2587][5]~63107\) # (GND)))
-- \led_flash_cnt[2587][6]~63109\ = CARRY((!\led_flash_cnt[2587][5]~63107\) # (!\led_flash_cnt[2587][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2587][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2587][5]~63107\,
	combout => \led_flash_cnt[2587][6]~63108_combout\,
	cout => \led_flash_cnt[2587][6]~63109\);

-- Location: FF_X65_Y52_N13
\led_flash_cnt[2587][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2587][6]~63108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2587][6]~q\);

-- Location: LCCOMB_X65_Y52_N22
\WideAnd2587~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2587~1_combout\ = (\led_flash_cnt[2587][6]~q\ & \led_flash_cnt[2587][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2587][6]~q\,
	datad => \led_flash_cnt[2587][5]~q\,
	combout => \WideAnd2587~1_combout\);

-- Location: LCCOMB_X65_Y52_N14
\led_flash_cnt[2587][7]~63110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2587][7]~63110_combout\ = \led_flash_cnt[2587][7]~q\ $ (!\led_flash_cnt[2587][6]~63109\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2587][7]~q\,
	cin => \led_flash_cnt[2587][6]~63109\,
	combout => \led_flash_cnt[2587][7]~63110_combout\);

-- Location: FF_X65_Y52_N15
\led_flash_cnt[2587][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2587][7]~63110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2587][7]~q\);

-- Location: LCCOMB_X65_Y52_N24
\WideAnd2587~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2587~0_combout\ = (\led_flash_cnt[2587][3]~q\ & (\led_flash_cnt[2587][4]~q\ & (\led_flash_cnt[2587][2]~q\ & \led_flash_cnt[2587][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2587][3]~q\,
	datab => \led_flash_cnt[2587][4]~q\,
	datac => \led_flash_cnt[2587][2]~q\,
	datad => \led_flash_cnt[2587][1]~q\,
	combout => \WideAnd2587~0_combout\);

-- Location: LCCOMB_X65_Y52_N0
WideAnd2587 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2587~combout\ = (\WideAnd2587~1_combout\ & (\led_flash_cnt[2587][7]~q\ & (\led_flash_cnt[2587][0]~q\ & \WideAnd2587~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2587~1_combout\,
	datab => \led_flash_cnt[2587][7]~q\,
	datac => \led_flash_cnt[2587][0]~q\,
	datad => \WideAnd2587~0_combout\,
	combout => \WideAnd2587~combout\);

-- Location: FF_X65_Y52_N1
\led_flash_cnt_ands[2587]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2587~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2587));

-- Location: LCCOMB_X44_Y37_N4
\led_flash_cnt[2585][0]~83225\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2585][0]~83225_combout\ = !\led_flash_cnt[2585][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2585][0]~q\,
	combout => \led_flash_cnt[2585][0]~83225_combout\);

-- Location: FF_X44_Y37_N5
\led_flash_cnt[2585][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2585][0]~83225_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2585][0]~q\);

-- Location: LCCOMB_X44_Y37_N10
\led_flash_cnt[2585][1]~63070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2585][1]~63070_combout\ = (\led_flash_cnt[2585][1]~q\ & (\led_flash_cnt[2585][0]~q\ $ (VCC))) # (!\led_flash_cnt[2585][1]~q\ & (\led_flash_cnt[2585][0]~q\ & VCC))
-- \led_flash_cnt[2585][1]~63071\ = CARRY((\led_flash_cnt[2585][1]~q\ & \led_flash_cnt[2585][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2585][1]~q\,
	datab => \led_flash_cnt[2585][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2585][1]~63070_combout\,
	cout => \led_flash_cnt[2585][1]~63071\);

-- Location: FF_X44_Y37_N11
\led_flash_cnt[2585][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2585][1]~63070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2585][1]~q\);

-- Location: LCCOMB_X44_Y37_N12
\led_flash_cnt[2585][2]~63072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2585][2]~63072_combout\ = (\led_flash_cnt[2585][2]~q\ & (!\led_flash_cnt[2585][1]~63071\)) # (!\led_flash_cnt[2585][2]~q\ & ((\led_flash_cnt[2585][1]~63071\) # (GND)))
-- \led_flash_cnt[2585][2]~63073\ = CARRY((!\led_flash_cnt[2585][1]~63071\) # (!\led_flash_cnt[2585][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2585][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2585][1]~63071\,
	combout => \led_flash_cnt[2585][2]~63072_combout\,
	cout => \led_flash_cnt[2585][2]~63073\);

-- Location: FF_X44_Y37_N13
\led_flash_cnt[2585][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2585][2]~63072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2585][2]~q\);

-- Location: LCCOMB_X44_Y37_N14
\led_flash_cnt[2585][3]~63074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2585][3]~63074_combout\ = (\led_flash_cnt[2585][3]~q\ & (\led_flash_cnt[2585][2]~63073\ $ (GND))) # (!\led_flash_cnt[2585][3]~q\ & (!\led_flash_cnt[2585][2]~63073\ & VCC))
-- \led_flash_cnt[2585][3]~63075\ = CARRY((\led_flash_cnt[2585][3]~q\ & !\led_flash_cnt[2585][2]~63073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2585][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2585][2]~63073\,
	combout => \led_flash_cnt[2585][3]~63074_combout\,
	cout => \led_flash_cnt[2585][3]~63075\);

-- Location: FF_X44_Y37_N15
\led_flash_cnt[2585][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2585][3]~63074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2585][3]~q\);

-- Location: LCCOMB_X44_Y37_N16
\led_flash_cnt[2585][4]~63076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2585][4]~63076_combout\ = (\led_flash_cnt[2585][4]~q\ & (!\led_flash_cnt[2585][3]~63075\)) # (!\led_flash_cnt[2585][4]~q\ & ((\led_flash_cnt[2585][3]~63075\) # (GND)))
-- \led_flash_cnt[2585][4]~63077\ = CARRY((!\led_flash_cnt[2585][3]~63075\) # (!\led_flash_cnt[2585][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2585][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2585][3]~63075\,
	combout => \led_flash_cnt[2585][4]~63076_combout\,
	cout => \led_flash_cnt[2585][4]~63077\);

-- Location: FF_X44_Y37_N17
\led_flash_cnt[2585][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2585][4]~63076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2585][4]~q\);

-- Location: LCCOMB_X44_Y37_N18
\led_flash_cnt[2585][5]~63078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2585][5]~63078_combout\ = (\led_flash_cnt[2585][5]~q\ & (\led_flash_cnt[2585][4]~63077\ $ (GND))) # (!\led_flash_cnt[2585][5]~q\ & (!\led_flash_cnt[2585][4]~63077\ & VCC))
-- \led_flash_cnt[2585][5]~63079\ = CARRY((\led_flash_cnt[2585][5]~q\ & !\led_flash_cnt[2585][4]~63077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2585][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2585][4]~63077\,
	combout => \led_flash_cnt[2585][5]~63078_combout\,
	cout => \led_flash_cnt[2585][5]~63079\);

-- Location: FF_X44_Y37_N19
\led_flash_cnt[2585][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2585][5]~63078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2585][5]~q\);

-- Location: LCCOMB_X44_Y37_N20
\led_flash_cnt[2585][6]~63080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2585][6]~63080_combout\ = (\led_flash_cnt[2585][6]~q\ & (!\led_flash_cnt[2585][5]~63079\)) # (!\led_flash_cnt[2585][6]~q\ & ((\led_flash_cnt[2585][5]~63079\) # (GND)))
-- \led_flash_cnt[2585][6]~63081\ = CARRY((!\led_flash_cnt[2585][5]~63079\) # (!\led_flash_cnt[2585][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2585][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2585][5]~63079\,
	combout => \led_flash_cnt[2585][6]~63080_combout\,
	cout => \led_flash_cnt[2585][6]~63081\);

-- Location: FF_X44_Y37_N21
\led_flash_cnt[2585][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2585][6]~63080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2585][6]~q\);

-- Location: LCCOMB_X44_Y37_N30
\WideAnd2585~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2585~1_combout\ = (\led_flash_cnt[2585][6]~q\ & \led_flash_cnt[2585][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2585][6]~q\,
	datad => \led_flash_cnt[2585][5]~q\,
	combout => \WideAnd2585~1_combout\);

-- Location: LCCOMB_X44_Y37_N22
\led_flash_cnt[2585][7]~63082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2585][7]~63082_combout\ = \led_flash_cnt[2585][7]~q\ $ (!\led_flash_cnt[2585][6]~63081\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2585][7]~q\,
	cin => \led_flash_cnt[2585][6]~63081\,
	combout => \led_flash_cnt[2585][7]~63082_combout\);

-- Location: FF_X44_Y37_N23
\led_flash_cnt[2585][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2585][7]~63082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2585][7]~q\);

-- Location: LCCOMB_X44_Y37_N28
\WideAnd2585~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2585~0_combout\ = (\led_flash_cnt[2585][1]~q\ & (\led_flash_cnt[2585][4]~q\ & (\led_flash_cnt[2585][3]~q\ & \led_flash_cnt[2585][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2585][1]~q\,
	datab => \led_flash_cnt[2585][4]~q\,
	datac => \led_flash_cnt[2585][3]~q\,
	datad => \led_flash_cnt[2585][2]~q\,
	combout => \WideAnd2585~0_combout\);

-- Location: LCCOMB_X44_Y37_N2
WideAnd2585 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2585~combout\ = (\WideAnd2585~1_combout\ & (\led_flash_cnt[2585][0]~q\ & (\led_flash_cnt[2585][7]~q\ & \WideAnd2585~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2585~1_combout\,
	datab => \led_flash_cnt[2585][0]~q\,
	datac => \led_flash_cnt[2585][7]~q\,
	datad => \WideAnd2585~0_combout\,
	combout => \WideAnd2585~combout\);

-- Location: FF_X44_Y37_N3
\led_flash_cnt_ands[2585]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2585~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2585));

-- Location: LCCOMB_X44_Y37_N0
\WideAnd4163~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4163~0_combout\ = (led_flash_cnt_ands(2584) & (led_flash_cnt_ands(2586) & (led_flash_cnt_ands(2587) & led_flash_cnt_ands(2585))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2584),
	datab => led_flash_cnt_ands(2586),
	datac => led_flash_cnt_ands(2587),
	datad => led_flash_cnt_ands(2585),
	combout => \WideAnd4163~0_combout\);

-- Location: LCCOMB_X47_Y38_N14
WideAnd4163 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4163~combout\ = (led_flash_cnt_ands(2591) & (\WideAnd4163~1_combout\ & (led_flash_cnt_ands(2590) & \WideAnd4163~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2591),
	datab => \WideAnd4163~1_combout\,
	datac => led_flash_cnt_ands(2590),
	datad => \WideAnd4163~0_combout\,
	combout => \WideAnd4163~combout\);

-- Location: FF_X47_Y38_N15
\led_flash_cnt_ands_1[323]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4163~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(323));

-- Location: LCCOMB_X19_Y38_N24
\led_flash_cnt[2580][0]~83220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2580][0]~83220_combout\ = !\led_flash_cnt[2580][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2580][0]~q\,
	combout => \led_flash_cnt[2580][0]~83220_combout\);

-- Location: FF_X19_Y38_N25
\led_flash_cnt[2580][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2580][0]~83220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2580][0]~q\);

-- Location: LCCOMB_X18_Y38_N16
\led_flash_cnt[2580][1]~63000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2580][1]~63000_combout\ = (\led_flash_cnt[2580][1]~q\ & (\led_flash_cnt[2580][0]~q\ $ (VCC))) # (!\led_flash_cnt[2580][1]~q\ & (\led_flash_cnt[2580][0]~q\ & VCC))
-- \led_flash_cnt[2580][1]~63001\ = CARRY((\led_flash_cnt[2580][1]~q\ & \led_flash_cnt[2580][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2580][1]~q\,
	datab => \led_flash_cnt[2580][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2580][1]~63000_combout\,
	cout => \led_flash_cnt[2580][1]~63001\);

-- Location: FF_X18_Y38_N17
\led_flash_cnt[2580][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2580][1]~63000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2580][1]~q\);

-- Location: LCCOMB_X18_Y38_N18
\led_flash_cnt[2580][2]~63002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2580][2]~63002_combout\ = (\led_flash_cnt[2580][2]~q\ & (!\led_flash_cnt[2580][1]~63001\)) # (!\led_flash_cnt[2580][2]~q\ & ((\led_flash_cnt[2580][1]~63001\) # (GND)))
-- \led_flash_cnt[2580][2]~63003\ = CARRY((!\led_flash_cnt[2580][1]~63001\) # (!\led_flash_cnt[2580][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2580][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2580][1]~63001\,
	combout => \led_flash_cnt[2580][2]~63002_combout\,
	cout => \led_flash_cnt[2580][2]~63003\);

-- Location: FF_X18_Y38_N19
\led_flash_cnt[2580][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2580][2]~63002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2580][2]~q\);

-- Location: LCCOMB_X18_Y38_N20
\led_flash_cnt[2580][3]~63004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2580][3]~63004_combout\ = (\led_flash_cnt[2580][3]~q\ & (\led_flash_cnt[2580][2]~63003\ $ (GND))) # (!\led_flash_cnt[2580][3]~q\ & (!\led_flash_cnt[2580][2]~63003\ & VCC))
-- \led_flash_cnt[2580][3]~63005\ = CARRY((\led_flash_cnt[2580][3]~q\ & !\led_flash_cnt[2580][2]~63003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2580][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2580][2]~63003\,
	combout => \led_flash_cnt[2580][3]~63004_combout\,
	cout => \led_flash_cnt[2580][3]~63005\);

-- Location: FF_X18_Y38_N21
\led_flash_cnt[2580][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2580][3]~63004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2580][3]~q\);

-- Location: LCCOMB_X18_Y38_N22
\led_flash_cnt[2580][4]~63006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2580][4]~63006_combout\ = (\led_flash_cnt[2580][4]~q\ & (!\led_flash_cnt[2580][3]~63005\)) # (!\led_flash_cnt[2580][4]~q\ & ((\led_flash_cnt[2580][3]~63005\) # (GND)))
-- \led_flash_cnt[2580][4]~63007\ = CARRY((!\led_flash_cnt[2580][3]~63005\) # (!\led_flash_cnt[2580][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2580][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2580][3]~63005\,
	combout => \led_flash_cnt[2580][4]~63006_combout\,
	cout => \led_flash_cnt[2580][4]~63007\);

-- Location: FF_X18_Y38_N23
\led_flash_cnt[2580][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2580][4]~63006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2580][4]~q\);

-- Location: LCCOMB_X18_Y38_N24
\led_flash_cnt[2580][5]~63008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2580][5]~63008_combout\ = (\led_flash_cnt[2580][5]~q\ & (\led_flash_cnt[2580][4]~63007\ $ (GND))) # (!\led_flash_cnt[2580][5]~q\ & (!\led_flash_cnt[2580][4]~63007\ & VCC))
-- \led_flash_cnt[2580][5]~63009\ = CARRY((\led_flash_cnt[2580][5]~q\ & !\led_flash_cnt[2580][4]~63007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2580][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2580][4]~63007\,
	combout => \led_flash_cnt[2580][5]~63008_combout\,
	cout => \led_flash_cnt[2580][5]~63009\);

-- Location: FF_X18_Y38_N25
\led_flash_cnt[2580][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2580][5]~63008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2580][5]~q\);

-- Location: LCCOMB_X18_Y38_N26
\led_flash_cnt[2580][6]~63010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2580][6]~63010_combout\ = (\led_flash_cnt[2580][6]~q\ & (!\led_flash_cnt[2580][5]~63009\)) # (!\led_flash_cnt[2580][6]~q\ & ((\led_flash_cnt[2580][5]~63009\) # (GND)))
-- \led_flash_cnt[2580][6]~63011\ = CARRY((!\led_flash_cnt[2580][5]~63009\) # (!\led_flash_cnt[2580][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2580][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2580][5]~63009\,
	combout => \led_flash_cnt[2580][6]~63010_combout\,
	cout => \led_flash_cnt[2580][6]~63011\);

-- Location: FF_X18_Y38_N27
\led_flash_cnt[2580][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2580][6]~63010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2580][6]~q\);

-- Location: LCCOMB_X18_Y38_N28
\led_flash_cnt[2580][7]~63012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2580][7]~63012_combout\ = \led_flash_cnt[2580][6]~63011\ $ (!\led_flash_cnt[2580][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2580][7]~q\,
	cin => \led_flash_cnt[2580][6]~63011\,
	combout => \led_flash_cnt[2580][7]~63012_combout\);

-- Location: FF_X18_Y38_N29
\led_flash_cnt[2580][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2580][7]~63012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2580][7]~q\);

-- Location: LCCOMB_X19_Y38_N18
\WideAnd2580~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2580~1_combout\ = (\led_flash_cnt[2580][6]~q\ & \led_flash_cnt[2580][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2580][6]~q\,
	datad => \led_flash_cnt[2580][5]~q\,
	combout => \WideAnd2580~1_combout\);

-- Location: LCCOMB_X18_Y38_N0
\WideAnd2580~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2580~0_combout\ = (\led_flash_cnt[2580][1]~q\ & (\led_flash_cnt[2580][3]~q\ & (\led_flash_cnt[2580][4]~q\ & \led_flash_cnt[2580][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2580][1]~q\,
	datab => \led_flash_cnt[2580][3]~q\,
	datac => \led_flash_cnt[2580][4]~q\,
	datad => \led_flash_cnt[2580][2]~q\,
	combout => \WideAnd2580~0_combout\);

-- Location: LCCOMB_X19_Y38_N30
WideAnd2580 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2580~combout\ = (\led_flash_cnt[2580][7]~q\ & (\WideAnd2580~1_combout\ & (\WideAnd2580~0_combout\ & \led_flash_cnt[2580][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2580][7]~q\,
	datab => \WideAnd2580~1_combout\,
	datac => \WideAnd2580~0_combout\,
	datad => \led_flash_cnt[2580][0]~q\,
	combout => \WideAnd2580~combout\);

-- Location: FF_X19_Y38_N31
\led_flash_cnt_ands[2580]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2580~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2580));

-- Location: LCCOMB_X17_Y38_N22
\led_flash_cnt[2581][0]~83221\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2581][0]~83221_combout\ = !\led_flash_cnt[2581][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2581][0]~q\,
	combout => \led_flash_cnt[2581][0]~83221_combout\);

-- Location: FF_X17_Y38_N23
\led_flash_cnt[2581][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2581][0]~83221_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2581][0]~q\);

-- Location: LCCOMB_X19_Y38_N0
\led_flash_cnt[2581][1]~63014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2581][1]~63014_combout\ = (\led_flash_cnt[2581][0]~q\ & (\led_flash_cnt[2581][1]~q\ $ (VCC))) # (!\led_flash_cnt[2581][0]~q\ & (\led_flash_cnt[2581][1]~q\ & VCC))
-- \led_flash_cnt[2581][1]~63015\ = CARRY((\led_flash_cnt[2581][0]~q\ & \led_flash_cnt[2581][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2581][0]~q\,
	datab => \led_flash_cnt[2581][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2581][1]~63014_combout\,
	cout => \led_flash_cnt[2581][1]~63015\);

-- Location: FF_X19_Y38_N1
\led_flash_cnt[2581][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2581][1]~63014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2581][1]~q\);

-- Location: LCCOMB_X19_Y38_N2
\led_flash_cnt[2581][2]~63016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2581][2]~63016_combout\ = (\led_flash_cnt[2581][2]~q\ & (!\led_flash_cnt[2581][1]~63015\)) # (!\led_flash_cnt[2581][2]~q\ & ((\led_flash_cnt[2581][1]~63015\) # (GND)))
-- \led_flash_cnt[2581][2]~63017\ = CARRY((!\led_flash_cnt[2581][1]~63015\) # (!\led_flash_cnt[2581][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2581][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2581][1]~63015\,
	combout => \led_flash_cnt[2581][2]~63016_combout\,
	cout => \led_flash_cnt[2581][2]~63017\);

-- Location: FF_X19_Y38_N3
\led_flash_cnt[2581][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2581][2]~63016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2581][2]~q\);

-- Location: LCCOMB_X19_Y38_N4
\led_flash_cnt[2581][3]~63018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2581][3]~63018_combout\ = (\led_flash_cnt[2581][3]~q\ & (\led_flash_cnt[2581][2]~63017\ $ (GND))) # (!\led_flash_cnt[2581][3]~q\ & (!\led_flash_cnt[2581][2]~63017\ & VCC))
-- \led_flash_cnt[2581][3]~63019\ = CARRY((\led_flash_cnt[2581][3]~q\ & !\led_flash_cnt[2581][2]~63017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2581][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2581][2]~63017\,
	combout => \led_flash_cnt[2581][3]~63018_combout\,
	cout => \led_flash_cnt[2581][3]~63019\);

-- Location: FF_X19_Y38_N5
\led_flash_cnt[2581][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2581][3]~63018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2581][3]~q\);

-- Location: LCCOMB_X19_Y38_N6
\led_flash_cnt[2581][4]~63020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2581][4]~63020_combout\ = (\led_flash_cnt[2581][4]~q\ & (!\led_flash_cnt[2581][3]~63019\)) # (!\led_flash_cnt[2581][4]~q\ & ((\led_flash_cnt[2581][3]~63019\) # (GND)))
-- \led_flash_cnt[2581][4]~63021\ = CARRY((!\led_flash_cnt[2581][3]~63019\) # (!\led_flash_cnt[2581][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2581][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2581][3]~63019\,
	combout => \led_flash_cnt[2581][4]~63020_combout\,
	cout => \led_flash_cnt[2581][4]~63021\);

-- Location: FF_X19_Y38_N7
\led_flash_cnt[2581][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2581][4]~63020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2581][4]~q\);

-- Location: LCCOMB_X19_Y38_N8
\led_flash_cnt[2581][5]~63022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2581][5]~63022_combout\ = (\led_flash_cnt[2581][5]~q\ & (\led_flash_cnt[2581][4]~63021\ $ (GND))) # (!\led_flash_cnt[2581][5]~q\ & (!\led_flash_cnt[2581][4]~63021\ & VCC))
-- \led_flash_cnt[2581][5]~63023\ = CARRY((\led_flash_cnt[2581][5]~q\ & !\led_flash_cnt[2581][4]~63021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2581][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2581][4]~63021\,
	combout => \led_flash_cnt[2581][5]~63022_combout\,
	cout => \led_flash_cnt[2581][5]~63023\);

-- Location: FF_X19_Y38_N9
\led_flash_cnt[2581][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2581][5]~63022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2581][5]~q\);

-- Location: LCCOMB_X19_Y38_N10
\led_flash_cnt[2581][6]~63024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2581][6]~63024_combout\ = (\led_flash_cnt[2581][6]~q\ & (!\led_flash_cnt[2581][5]~63023\)) # (!\led_flash_cnt[2581][6]~q\ & ((\led_flash_cnt[2581][5]~63023\) # (GND)))
-- \led_flash_cnt[2581][6]~63025\ = CARRY((!\led_flash_cnt[2581][5]~63023\) # (!\led_flash_cnt[2581][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2581][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2581][5]~63023\,
	combout => \led_flash_cnt[2581][6]~63024_combout\,
	cout => \led_flash_cnt[2581][6]~63025\);

-- Location: FF_X19_Y38_N11
\led_flash_cnt[2581][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2581][6]~63024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2581][6]~q\);

-- Location: LCCOMB_X19_Y38_N22
\WideAnd2581~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2581~1_combout\ = (\led_flash_cnt[2581][5]~q\ & \led_flash_cnt[2581][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2581][5]~q\,
	datad => \led_flash_cnt[2581][6]~q\,
	combout => \WideAnd2581~1_combout\);

-- Location: LCCOMB_X19_Y38_N20
\WideAnd2581~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2581~0_combout\ = (\led_flash_cnt[2581][4]~q\ & (\led_flash_cnt[2581][1]~q\ & (\led_flash_cnt[2581][3]~q\ & \led_flash_cnt[2581][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2581][4]~q\,
	datab => \led_flash_cnt[2581][1]~q\,
	datac => \led_flash_cnt[2581][3]~q\,
	datad => \led_flash_cnt[2581][2]~q\,
	combout => \WideAnd2581~0_combout\);

-- Location: LCCOMB_X19_Y38_N12
\led_flash_cnt[2581][7]~63026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2581][7]~63026_combout\ = \led_flash_cnt[2581][6]~63025\ $ (!\led_flash_cnt[2581][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2581][7]~q\,
	cin => \led_flash_cnt[2581][6]~63025\,
	combout => \led_flash_cnt[2581][7]~63026_combout\);

-- Location: FF_X19_Y38_N13
\led_flash_cnt[2581][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2581][7]~63026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2581][7]~q\);

-- Location: LCCOMB_X19_Y38_N16
WideAnd2581 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2581~combout\ = (\WideAnd2581~1_combout\ & (\WideAnd2581~0_combout\ & (\led_flash_cnt[2581][0]~q\ & \led_flash_cnt[2581][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2581~1_combout\,
	datab => \WideAnd2581~0_combout\,
	datac => \led_flash_cnt[2581][0]~q\,
	datad => \led_flash_cnt[2581][7]~q\,
	combout => \WideAnd2581~combout\);

-- Location: FF_X19_Y38_N17
\led_flash_cnt_ands[2581]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2581~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2581));

-- Location: LCCOMB_X19_Y38_N14
\WideAnd4162~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4162~1_combout\ = (led_flash_cnt_ands(2580) & led_flash_cnt_ands(2581))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2580),
	datad => led_flash_cnt_ands(2581),
	combout => \WideAnd4162~1_combout\);

-- Location: LCCOMB_X46_Y47_N28
\led_flash_cnt[2583][0]~83223\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2583][0]~83223_combout\ = !\led_flash_cnt[2583][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2583][0]~q\,
	combout => \led_flash_cnt[2583][0]~83223_combout\);

-- Location: FF_X46_Y47_N29
\led_flash_cnt[2583][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2583][0]~83223_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2583][0]~q\);

-- Location: LCCOMB_X45_Y47_N14
\led_flash_cnt[2583][1]~63042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2583][1]~63042_combout\ = (\led_flash_cnt[2583][0]~q\ & (\led_flash_cnt[2583][1]~q\ $ (VCC))) # (!\led_flash_cnt[2583][0]~q\ & (\led_flash_cnt[2583][1]~q\ & VCC))
-- \led_flash_cnt[2583][1]~63043\ = CARRY((\led_flash_cnt[2583][0]~q\ & \led_flash_cnt[2583][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2583][0]~q\,
	datab => \led_flash_cnt[2583][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2583][1]~63042_combout\,
	cout => \led_flash_cnt[2583][1]~63043\);

-- Location: FF_X45_Y47_N15
\led_flash_cnt[2583][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2583][1]~63042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2583][1]~q\);

-- Location: LCCOMB_X45_Y47_N16
\led_flash_cnt[2583][2]~63044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2583][2]~63044_combout\ = (\led_flash_cnt[2583][2]~q\ & (!\led_flash_cnt[2583][1]~63043\)) # (!\led_flash_cnt[2583][2]~q\ & ((\led_flash_cnt[2583][1]~63043\) # (GND)))
-- \led_flash_cnt[2583][2]~63045\ = CARRY((!\led_flash_cnt[2583][1]~63043\) # (!\led_flash_cnt[2583][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2583][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2583][1]~63043\,
	combout => \led_flash_cnt[2583][2]~63044_combout\,
	cout => \led_flash_cnt[2583][2]~63045\);

-- Location: FF_X45_Y47_N17
\led_flash_cnt[2583][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2583][2]~63044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2583][2]~q\);

-- Location: LCCOMB_X45_Y47_N18
\led_flash_cnt[2583][3]~63046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2583][3]~63046_combout\ = (\led_flash_cnt[2583][3]~q\ & (\led_flash_cnt[2583][2]~63045\ $ (GND))) # (!\led_flash_cnt[2583][3]~q\ & (!\led_flash_cnt[2583][2]~63045\ & VCC))
-- \led_flash_cnt[2583][3]~63047\ = CARRY((\led_flash_cnt[2583][3]~q\ & !\led_flash_cnt[2583][2]~63045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2583][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2583][2]~63045\,
	combout => \led_flash_cnt[2583][3]~63046_combout\,
	cout => \led_flash_cnt[2583][3]~63047\);

-- Location: FF_X45_Y47_N19
\led_flash_cnt[2583][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2583][3]~63046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2583][3]~q\);

-- Location: LCCOMB_X45_Y47_N20
\led_flash_cnt[2583][4]~63048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2583][4]~63048_combout\ = (\led_flash_cnt[2583][4]~q\ & (!\led_flash_cnt[2583][3]~63047\)) # (!\led_flash_cnt[2583][4]~q\ & ((\led_flash_cnt[2583][3]~63047\) # (GND)))
-- \led_flash_cnt[2583][4]~63049\ = CARRY((!\led_flash_cnt[2583][3]~63047\) # (!\led_flash_cnt[2583][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2583][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2583][3]~63047\,
	combout => \led_flash_cnt[2583][4]~63048_combout\,
	cout => \led_flash_cnt[2583][4]~63049\);

-- Location: FF_X45_Y47_N21
\led_flash_cnt[2583][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2583][4]~63048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2583][4]~q\);

-- Location: LCCOMB_X45_Y47_N22
\led_flash_cnt[2583][5]~63050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2583][5]~63050_combout\ = (\led_flash_cnt[2583][5]~q\ & (\led_flash_cnt[2583][4]~63049\ $ (GND))) # (!\led_flash_cnt[2583][5]~q\ & (!\led_flash_cnt[2583][4]~63049\ & VCC))
-- \led_flash_cnt[2583][5]~63051\ = CARRY((\led_flash_cnt[2583][5]~q\ & !\led_flash_cnt[2583][4]~63049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2583][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2583][4]~63049\,
	combout => \led_flash_cnt[2583][5]~63050_combout\,
	cout => \led_flash_cnt[2583][5]~63051\);

-- Location: FF_X45_Y47_N23
\led_flash_cnt[2583][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2583][5]~63050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2583][5]~q\);

-- Location: LCCOMB_X45_Y47_N24
\led_flash_cnt[2583][6]~63052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2583][6]~63052_combout\ = (\led_flash_cnt[2583][6]~q\ & (!\led_flash_cnt[2583][5]~63051\)) # (!\led_flash_cnt[2583][6]~q\ & ((\led_flash_cnt[2583][5]~63051\) # (GND)))
-- \led_flash_cnt[2583][6]~63053\ = CARRY((!\led_flash_cnt[2583][5]~63051\) # (!\led_flash_cnt[2583][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2583][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2583][5]~63051\,
	combout => \led_flash_cnt[2583][6]~63052_combout\,
	cout => \led_flash_cnt[2583][6]~63053\);

-- Location: FF_X45_Y47_N25
\led_flash_cnt[2583][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2583][6]~63052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2583][6]~q\);

-- Location: LCCOMB_X46_Y47_N30
\WideAnd2583~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2583~1_combout\ = (\led_flash_cnt[2583][6]~q\ & \led_flash_cnt[2583][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2583][6]~q\,
	datad => \led_flash_cnt[2583][5]~q\,
	combout => \WideAnd2583~1_combout\);

-- Location: LCCOMB_X45_Y47_N30
\WideAnd2583~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2583~0_combout\ = (\led_flash_cnt[2583][3]~q\ & (\led_flash_cnt[2583][4]~q\ & (\led_flash_cnt[2583][1]~q\ & \led_flash_cnt[2583][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2583][3]~q\,
	datab => \led_flash_cnt[2583][4]~q\,
	datac => \led_flash_cnt[2583][1]~q\,
	datad => \led_flash_cnt[2583][2]~q\,
	combout => \WideAnd2583~0_combout\);

-- Location: LCCOMB_X45_Y47_N26
\led_flash_cnt[2583][7]~63054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2583][7]~63054_combout\ = \led_flash_cnt[2583][7]~q\ $ (!\led_flash_cnt[2583][6]~63053\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2583][7]~q\,
	cin => \led_flash_cnt[2583][6]~63053\,
	combout => \led_flash_cnt[2583][7]~63054_combout\);

-- Location: FF_X45_Y47_N27
\led_flash_cnt[2583][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2583][7]~63054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2583][7]~q\);

-- Location: LCCOMB_X46_Y47_N16
WideAnd2583 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2583~combout\ = (\WideAnd2583~1_combout\ & (\WideAnd2583~0_combout\ & (\led_flash_cnt[2583][7]~q\ & \led_flash_cnt[2583][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2583~1_combout\,
	datab => \WideAnd2583~0_combout\,
	datac => \led_flash_cnt[2583][7]~q\,
	datad => \led_flash_cnt[2583][0]~q\,
	combout => \WideAnd2583~combout\);

-- Location: FF_X46_Y47_N17
\led_flash_cnt_ands[2583]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2583~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2583));

-- Location: LCCOMB_X54_Y41_N28
\led_flash_cnt[2579][0]~83219\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2579][0]~83219_combout\ = !\led_flash_cnt[2579][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2579][0]~q\,
	combout => \led_flash_cnt[2579][0]~83219_combout\);

-- Location: FF_X54_Y41_N29
\led_flash_cnt[2579][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2579][0]~83219_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2579][0]~q\);

-- Location: LCCOMB_X55_Y41_N14
\led_flash_cnt[2579][1]~62986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2579][1]~62986_combout\ = (\led_flash_cnt[2579][0]~q\ & (\led_flash_cnt[2579][1]~q\ $ (VCC))) # (!\led_flash_cnt[2579][0]~q\ & (\led_flash_cnt[2579][1]~q\ & VCC))
-- \led_flash_cnt[2579][1]~62987\ = CARRY((\led_flash_cnt[2579][0]~q\ & \led_flash_cnt[2579][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2579][0]~q\,
	datab => \led_flash_cnt[2579][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2579][1]~62986_combout\,
	cout => \led_flash_cnt[2579][1]~62987\);

-- Location: FF_X55_Y41_N15
\led_flash_cnt[2579][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2579][1]~62986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2579][1]~q\);

-- Location: LCCOMB_X55_Y41_N16
\led_flash_cnt[2579][2]~62988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2579][2]~62988_combout\ = (\led_flash_cnt[2579][2]~q\ & (!\led_flash_cnt[2579][1]~62987\)) # (!\led_flash_cnt[2579][2]~q\ & ((\led_flash_cnt[2579][1]~62987\) # (GND)))
-- \led_flash_cnt[2579][2]~62989\ = CARRY((!\led_flash_cnt[2579][1]~62987\) # (!\led_flash_cnt[2579][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2579][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2579][1]~62987\,
	combout => \led_flash_cnt[2579][2]~62988_combout\,
	cout => \led_flash_cnt[2579][2]~62989\);

-- Location: FF_X55_Y41_N17
\led_flash_cnt[2579][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2579][2]~62988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2579][2]~q\);

-- Location: LCCOMB_X55_Y41_N18
\led_flash_cnt[2579][3]~62990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2579][3]~62990_combout\ = (\led_flash_cnt[2579][3]~q\ & (\led_flash_cnt[2579][2]~62989\ $ (GND))) # (!\led_flash_cnt[2579][3]~q\ & (!\led_flash_cnt[2579][2]~62989\ & VCC))
-- \led_flash_cnt[2579][3]~62991\ = CARRY((\led_flash_cnt[2579][3]~q\ & !\led_flash_cnt[2579][2]~62989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2579][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2579][2]~62989\,
	combout => \led_flash_cnt[2579][3]~62990_combout\,
	cout => \led_flash_cnt[2579][3]~62991\);

-- Location: FF_X55_Y41_N19
\led_flash_cnt[2579][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2579][3]~62990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2579][3]~q\);

-- Location: LCCOMB_X55_Y41_N20
\led_flash_cnt[2579][4]~62992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2579][4]~62992_combout\ = (\led_flash_cnt[2579][4]~q\ & (!\led_flash_cnt[2579][3]~62991\)) # (!\led_flash_cnt[2579][4]~q\ & ((\led_flash_cnt[2579][3]~62991\) # (GND)))
-- \led_flash_cnt[2579][4]~62993\ = CARRY((!\led_flash_cnt[2579][3]~62991\) # (!\led_flash_cnt[2579][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2579][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2579][3]~62991\,
	combout => \led_flash_cnt[2579][4]~62992_combout\,
	cout => \led_flash_cnt[2579][4]~62993\);

-- Location: FF_X55_Y41_N21
\led_flash_cnt[2579][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2579][4]~62992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2579][4]~q\);

-- Location: LCCOMB_X55_Y41_N30
\WideAnd2579~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2579~0_combout\ = (\led_flash_cnt[2579][4]~q\ & (\led_flash_cnt[2579][3]~q\ & (\led_flash_cnt[2579][1]~q\ & \led_flash_cnt[2579][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2579][4]~q\,
	datab => \led_flash_cnt[2579][3]~q\,
	datac => \led_flash_cnt[2579][1]~q\,
	datad => \led_flash_cnt[2579][2]~q\,
	combout => \WideAnd2579~0_combout\);

-- Location: LCCOMB_X55_Y41_N22
\led_flash_cnt[2579][5]~62994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2579][5]~62994_combout\ = (\led_flash_cnt[2579][5]~q\ & (\led_flash_cnt[2579][4]~62993\ $ (GND))) # (!\led_flash_cnt[2579][5]~q\ & (!\led_flash_cnt[2579][4]~62993\ & VCC))
-- \led_flash_cnt[2579][5]~62995\ = CARRY((\led_flash_cnt[2579][5]~q\ & !\led_flash_cnt[2579][4]~62993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2579][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2579][4]~62993\,
	combout => \led_flash_cnt[2579][5]~62994_combout\,
	cout => \led_flash_cnt[2579][5]~62995\);

-- Location: FF_X55_Y41_N23
\led_flash_cnt[2579][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2579][5]~62994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2579][5]~q\);

-- Location: LCCOMB_X55_Y41_N24
\led_flash_cnt[2579][6]~62996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2579][6]~62996_combout\ = (\led_flash_cnt[2579][6]~q\ & (!\led_flash_cnt[2579][5]~62995\)) # (!\led_flash_cnt[2579][6]~q\ & ((\led_flash_cnt[2579][5]~62995\) # (GND)))
-- \led_flash_cnt[2579][6]~62997\ = CARRY((!\led_flash_cnt[2579][5]~62995\) # (!\led_flash_cnt[2579][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2579][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2579][5]~62995\,
	combout => \led_flash_cnt[2579][6]~62996_combout\,
	cout => \led_flash_cnt[2579][6]~62997\);

-- Location: FF_X55_Y41_N25
\led_flash_cnt[2579][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2579][6]~62996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2579][6]~q\);

-- Location: LCCOMB_X55_Y41_N26
\led_flash_cnt[2579][7]~62998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2579][7]~62998_combout\ = \led_flash_cnt[2579][7]~q\ $ (!\led_flash_cnt[2579][6]~62997\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2579][7]~q\,
	cin => \led_flash_cnt[2579][6]~62997\,
	combout => \led_flash_cnt[2579][7]~62998_combout\);

-- Location: FF_X55_Y41_N27
\led_flash_cnt[2579][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2579][7]~62998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2579][7]~q\);

-- Location: LCCOMB_X54_Y41_N2
\WideAnd2579~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2579~1_combout\ = (\led_flash_cnt[2579][6]~q\ & \led_flash_cnt[2579][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2579][6]~q\,
	datad => \led_flash_cnt[2579][5]~q\,
	combout => \WideAnd2579~1_combout\);

-- Location: LCCOMB_X54_Y41_N30
WideAnd2579 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2579~combout\ = (\WideAnd2579~0_combout\ & (\led_flash_cnt[2579][0]~q\ & (\led_flash_cnt[2579][7]~q\ & \WideAnd2579~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2579~0_combout\,
	datab => \led_flash_cnt[2579][0]~q\,
	datac => \led_flash_cnt[2579][7]~q\,
	datad => \WideAnd2579~1_combout\,
	combout => \WideAnd2579~combout\);

-- Location: FF_X54_Y41_N31
\led_flash_cnt_ands[2579]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2579~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2579));

-- Location: LCCOMB_X54_Y41_N22
\led_flash_cnt[2576][0]~83216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2576][0]~83216_combout\ = !\led_flash_cnt[2576][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2576][0]~q\,
	combout => \led_flash_cnt[2576][0]~83216_combout\);

-- Location: FF_X54_Y41_N23
\led_flash_cnt[2576][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2576][0]~83216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2576][0]~q\);

-- Location: LCCOMB_X54_Y41_N4
\led_flash_cnt[2576][1]~62944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2576][1]~62944_combout\ = (\led_flash_cnt[2576][0]~q\ & (\led_flash_cnt[2576][1]~q\ $ (VCC))) # (!\led_flash_cnt[2576][0]~q\ & (\led_flash_cnt[2576][1]~q\ & VCC))
-- \led_flash_cnt[2576][1]~62945\ = CARRY((\led_flash_cnt[2576][0]~q\ & \led_flash_cnt[2576][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2576][0]~q\,
	datab => \led_flash_cnt[2576][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2576][1]~62944_combout\,
	cout => \led_flash_cnt[2576][1]~62945\);

-- Location: FF_X54_Y41_N5
\led_flash_cnt[2576][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2576][1]~62944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2576][1]~q\);

-- Location: LCCOMB_X54_Y41_N6
\led_flash_cnt[2576][2]~62946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2576][2]~62946_combout\ = (\led_flash_cnt[2576][2]~q\ & (!\led_flash_cnt[2576][1]~62945\)) # (!\led_flash_cnt[2576][2]~q\ & ((\led_flash_cnt[2576][1]~62945\) # (GND)))
-- \led_flash_cnt[2576][2]~62947\ = CARRY((!\led_flash_cnt[2576][1]~62945\) # (!\led_flash_cnt[2576][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2576][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2576][1]~62945\,
	combout => \led_flash_cnt[2576][2]~62946_combout\,
	cout => \led_flash_cnt[2576][2]~62947\);

-- Location: FF_X54_Y41_N7
\led_flash_cnt[2576][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2576][2]~62946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2576][2]~q\);

-- Location: LCCOMB_X54_Y41_N8
\led_flash_cnt[2576][3]~62948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2576][3]~62948_combout\ = (\led_flash_cnt[2576][3]~q\ & (\led_flash_cnt[2576][2]~62947\ $ (GND))) # (!\led_flash_cnt[2576][3]~q\ & (!\led_flash_cnt[2576][2]~62947\ & VCC))
-- \led_flash_cnt[2576][3]~62949\ = CARRY((\led_flash_cnt[2576][3]~q\ & !\led_flash_cnt[2576][2]~62947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2576][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2576][2]~62947\,
	combout => \led_flash_cnt[2576][3]~62948_combout\,
	cout => \led_flash_cnt[2576][3]~62949\);

-- Location: FF_X54_Y41_N9
\led_flash_cnt[2576][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2576][3]~62948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2576][3]~q\);

-- Location: LCCOMB_X54_Y41_N10
\led_flash_cnt[2576][4]~62950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2576][4]~62950_combout\ = (\led_flash_cnt[2576][4]~q\ & (!\led_flash_cnt[2576][3]~62949\)) # (!\led_flash_cnt[2576][4]~q\ & ((\led_flash_cnt[2576][3]~62949\) # (GND)))
-- \led_flash_cnt[2576][4]~62951\ = CARRY((!\led_flash_cnt[2576][3]~62949\) # (!\led_flash_cnt[2576][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2576][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2576][3]~62949\,
	combout => \led_flash_cnt[2576][4]~62950_combout\,
	cout => \led_flash_cnt[2576][4]~62951\);

-- Location: FF_X54_Y41_N11
\led_flash_cnt[2576][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2576][4]~62950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2576][4]~q\);

-- Location: LCCOMB_X54_Y41_N12
\led_flash_cnt[2576][5]~62952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2576][5]~62952_combout\ = (\led_flash_cnt[2576][5]~q\ & (\led_flash_cnt[2576][4]~62951\ $ (GND))) # (!\led_flash_cnt[2576][5]~q\ & (!\led_flash_cnt[2576][4]~62951\ & VCC))
-- \led_flash_cnt[2576][5]~62953\ = CARRY((\led_flash_cnt[2576][5]~q\ & !\led_flash_cnt[2576][4]~62951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2576][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2576][4]~62951\,
	combout => \led_flash_cnt[2576][5]~62952_combout\,
	cout => \led_flash_cnt[2576][5]~62953\);

-- Location: FF_X54_Y41_N13
\led_flash_cnt[2576][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2576][5]~62952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2576][5]~q\);

-- Location: LCCOMB_X54_Y41_N14
\led_flash_cnt[2576][6]~62954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2576][6]~62954_combout\ = (\led_flash_cnt[2576][6]~q\ & (!\led_flash_cnt[2576][5]~62953\)) # (!\led_flash_cnt[2576][6]~q\ & ((\led_flash_cnt[2576][5]~62953\) # (GND)))
-- \led_flash_cnt[2576][6]~62955\ = CARRY((!\led_flash_cnt[2576][5]~62953\) # (!\led_flash_cnt[2576][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2576][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2576][5]~62953\,
	combout => \led_flash_cnt[2576][6]~62954_combout\,
	cout => \led_flash_cnt[2576][6]~62955\);

-- Location: FF_X54_Y41_N15
\led_flash_cnt[2576][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2576][6]~62954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2576][6]~q\);

-- Location: LCCOMB_X54_Y41_N16
\led_flash_cnt[2576][7]~62956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2576][7]~62956_combout\ = \led_flash_cnt[2576][6]~62955\ $ (!\led_flash_cnt[2576][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2576][7]~q\,
	cin => \led_flash_cnt[2576][6]~62955\,
	combout => \led_flash_cnt[2576][7]~62956_combout\);

-- Location: FF_X54_Y41_N17
\led_flash_cnt[2576][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2576][7]~62956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2576][7]~q\);

-- Location: LCCOMB_X54_Y41_N26
\WideAnd2576~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2576~1_combout\ = (\led_flash_cnt[2576][6]~q\ & \led_flash_cnt[2576][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2576][6]~q\,
	datad => \led_flash_cnt[2576][5]~q\,
	combout => \WideAnd2576~1_combout\);

-- Location: LCCOMB_X54_Y41_N24
\WideAnd2576~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2576~0_combout\ = (\led_flash_cnt[2576][4]~q\ & (\led_flash_cnt[2576][1]~q\ & (\led_flash_cnt[2576][3]~q\ & \led_flash_cnt[2576][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2576][4]~q\,
	datab => \led_flash_cnt[2576][1]~q\,
	datac => \led_flash_cnt[2576][3]~q\,
	datad => \led_flash_cnt[2576][2]~q\,
	combout => \WideAnd2576~0_combout\);

-- Location: LCCOMB_X54_Y41_N20
WideAnd2576 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2576~combout\ = (\led_flash_cnt[2576][0]~q\ & (\led_flash_cnt[2576][7]~q\ & (\WideAnd2576~1_combout\ & \WideAnd2576~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2576][0]~q\,
	datab => \led_flash_cnt[2576][7]~q\,
	datac => \WideAnd2576~1_combout\,
	datad => \WideAnd2576~0_combout\,
	combout => \WideAnd2576~combout\);

-- Location: FF_X54_Y41_N21
\led_flash_cnt_ands[2576]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2576~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2576));

-- Location: LCCOMB_X36_Y38_N0
\led_flash_cnt[2577][0]~83217\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2577][0]~83217_combout\ = !\led_flash_cnt[2577][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2577][0]~q\,
	combout => \led_flash_cnt[2577][0]~83217_combout\);

-- Location: FF_X36_Y38_N1
\led_flash_cnt[2577][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2577][0]~83217_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2577][0]~q\);

-- Location: LCCOMB_X36_Y38_N6
\led_flash_cnt[2577][1]~62958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2577][1]~62958_combout\ = (\led_flash_cnt[2577][1]~q\ & (\led_flash_cnt[2577][0]~q\ $ (VCC))) # (!\led_flash_cnt[2577][1]~q\ & (\led_flash_cnt[2577][0]~q\ & VCC))
-- \led_flash_cnt[2577][1]~62959\ = CARRY((\led_flash_cnt[2577][1]~q\ & \led_flash_cnt[2577][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2577][1]~q\,
	datab => \led_flash_cnt[2577][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2577][1]~62958_combout\,
	cout => \led_flash_cnt[2577][1]~62959\);

-- Location: FF_X36_Y38_N7
\led_flash_cnt[2577][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2577][1]~62958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2577][1]~q\);

-- Location: LCCOMB_X36_Y38_N8
\led_flash_cnt[2577][2]~62960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2577][2]~62960_combout\ = (\led_flash_cnt[2577][2]~q\ & (!\led_flash_cnt[2577][1]~62959\)) # (!\led_flash_cnt[2577][2]~q\ & ((\led_flash_cnt[2577][1]~62959\) # (GND)))
-- \led_flash_cnt[2577][2]~62961\ = CARRY((!\led_flash_cnt[2577][1]~62959\) # (!\led_flash_cnt[2577][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2577][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2577][1]~62959\,
	combout => \led_flash_cnt[2577][2]~62960_combout\,
	cout => \led_flash_cnt[2577][2]~62961\);

-- Location: FF_X36_Y38_N9
\led_flash_cnt[2577][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2577][2]~62960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2577][2]~q\);

-- Location: LCCOMB_X36_Y38_N10
\led_flash_cnt[2577][3]~62962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2577][3]~62962_combout\ = (\led_flash_cnt[2577][3]~q\ & (\led_flash_cnt[2577][2]~62961\ $ (GND))) # (!\led_flash_cnt[2577][3]~q\ & (!\led_flash_cnt[2577][2]~62961\ & VCC))
-- \led_flash_cnt[2577][3]~62963\ = CARRY((\led_flash_cnt[2577][3]~q\ & !\led_flash_cnt[2577][2]~62961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2577][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2577][2]~62961\,
	combout => \led_flash_cnt[2577][3]~62962_combout\,
	cout => \led_flash_cnt[2577][3]~62963\);

-- Location: FF_X36_Y38_N11
\led_flash_cnt[2577][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2577][3]~62962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2577][3]~q\);

-- Location: LCCOMB_X36_Y38_N12
\led_flash_cnt[2577][4]~62964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2577][4]~62964_combout\ = (\led_flash_cnt[2577][4]~q\ & (!\led_flash_cnt[2577][3]~62963\)) # (!\led_flash_cnt[2577][4]~q\ & ((\led_flash_cnt[2577][3]~62963\) # (GND)))
-- \led_flash_cnt[2577][4]~62965\ = CARRY((!\led_flash_cnt[2577][3]~62963\) # (!\led_flash_cnt[2577][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2577][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2577][3]~62963\,
	combout => \led_flash_cnt[2577][4]~62964_combout\,
	cout => \led_flash_cnt[2577][4]~62965\);

-- Location: FF_X36_Y38_N13
\led_flash_cnt[2577][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2577][4]~62964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2577][4]~q\);

-- Location: LCCOMB_X36_Y38_N14
\led_flash_cnt[2577][5]~62966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2577][5]~62966_combout\ = (\led_flash_cnt[2577][5]~q\ & (\led_flash_cnt[2577][4]~62965\ $ (GND))) # (!\led_flash_cnt[2577][5]~q\ & (!\led_flash_cnt[2577][4]~62965\ & VCC))
-- \led_flash_cnt[2577][5]~62967\ = CARRY((\led_flash_cnt[2577][5]~q\ & !\led_flash_cnt[2577][4]~62965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2577][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2577][4]~62965\,
	combout => \led_flash_cnt[2577][5]~62966_combout\,
	cout => \led_flash_cnt[2577][5]~62967\);

-- Location: FF_X36_Y38_N15
\led_flash_cnt[2577][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2577][5]~62966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2577][5]~q\);

-- Location: LCCOMB_X36_Y38_N16
\led_flash_cnt[2577][6]~62968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2577][6]~62968_combout\ = (\led_flash_cnt[2577][6]~q\ & (!\led_flash_cnt[2577][5]~62967\)) # (!\led_flash_cnt[2577][6]~q\ & ((\led_flash_cnt[2577][5]~62967\) # (GND)))
-- \led_flash_cnt[2577][6]~62969\ = CARRY((!\led_flash_cnt[2577][5]~62967\) # (!\led_flash_cnt[2577][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2577][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2577][5]~62967\,
	combout => \led_flash_cnt[2577][6]~62968_combout\,
	cout => \led_flash_cnt[2577][6]~62969\);

-- Location: FF_X36_Y38_N17
\led_flash_cnt[2577][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2577][6]~62968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2577][6]~q\);

-- Location: LCCOMB_X36_Y38_N26
\WideAnd2577~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2577~1_combout\ = (\led_flash_cnt[2577][5]~q\ & \led_flash_cnt[2577][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2577][5]~q\,
	datad => \led_flash_cnt[2577][6]~q\,
	combout => \WideAnd2577~1_combout\);

-- Location: LCCOMB_X36_Y38_N18
\led_flash_cnt[2577][7]~62970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2577][7]~62970_combout\ = \led_flash_cnt[2577][6]~62969\ $ (!\led_flash_cnt[2577][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2577][7]~q\,
	cin => \led_flash_cnt[2577][6]~62969\,
	combout => \led_flash_cnt[2577][7]~62970_combout\);

-- Location: FF_X36_Y38_N19
\led_flash_cnt[2577][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2577][7]~62970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2577][7]~q\);

-- Location: LCCOMB_X36_Y38_N22
\WideAnd2577~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2577~0_combout\ = (\led_flash_cnt[2577][4]~q\ & (\led_flash_cnt[2577][1]~q\ & (\led_flash_cnt[2577][2]~q\ & \led_flash_cnt[2577][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2577][4]~q\,
	datab => \led_flash_cnt[2577][1]~q\,
	datac => \led_flash_cnt[2577][2]~q\,
	datad => \led_flash_cnt[2577][3]~q\,
	combout => \WideAnd2577~0_combout\);

-- Location: LCCOMB_X36_Y38_N4
WideAnd2577 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2577~combout\ = (\WideAnd2577~1_combout\ & (\led_flash_cnt[2577][7]~q\ & (\WideAnd2577~0_combout\ & \led_flash_cnt[2577][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2577~1_combout\,
	datab => \led_flash_cnt[2577][7]~q\,
	datac => \WideAnd2577~0_combout\,
	datad => \led_flash_cnt[2577][0]~q\,
	combout => \WideAnd2577~combout\);

-- Location: FF_X36_Y38_N5
\led_flash_cnt_ands[2577]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2577~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2577));

-- Location: LCCOMB_X57_Y41_N28
\led_flash_cnt[2578][0]~83218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2578][0]~83218_combout\ = !\led_flash_cnt[2578][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2578][0]~q\,
	combout => \led_flash_cnt[2578][0]~83218_combout\);

-- Location: FF_X57_Y41_N29
\led_flash_cnt[2578][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2578][0]~83218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2578][0]~q\);

-- Location: LCCOMB_X57_Y44_N18
\led_flash_cnt[2578][1]~62972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2578][1]~62972_combout\ = (\led_flash_cnt[2578][0]~q\ & (\led_flash_cnt[2578][1]~q\ $ (VCC))) # (!\led_flash_cnt[2578][0]~q\ & (\led_flash_cnt[2578][1]~q\ & VCC))
-- \led_flash_cnt[2578][1]~62973\ = CARRY((\led_flash_cnt[2578][0]~q\ & \led_flash_cnt[2578][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2578][0]~q\,
	datab => \led_flash_cnt[2578][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2578][1]~62972_combout\,
	cout => \led_flash_cnt[2578][1]~62973\);

-- Location: FF_X57_Y44_N19
\led_flash_cnt[2578][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2578][1]~62972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2578][1]~q\);

-- Location: LCCOMB_X57_Y44_N20
\led_flash_cnt[2578][2]~62974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2578][2]~62974_combout\ = (\led_flash_cnt[2578][2]~q\ & (!\led_flash_cnt[2578][1]~62973\)) # (!\led_flash_cnt[2578][2]~q\ & ((\led_flash_cnt[2578][1]~62973\) # (GND)))
-- \led_flash_cnt[2578][2]~62975\ = CARRY((!\led_flash_cnt[2578][1]~62973\) # (!\led_flash_cnt[2578][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2578][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2578][1]~62973\,
	combout => \led_flash_cnt[2578][2]~62974_combout\,
	cout => \led_flash_cnt[2578][2]~62975\);

-- Location: FF_X57_Y44_N21
\led_flash_cnt[2578][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2578][2]~62974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2578][2]~q\);

-- Location: LCCOMB_X57_Y44_N22
\led_flash_cnt[2578][3]~62976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2578][3]~62976_combout\ = (\led_flash_cnt[2578][3]~q\ & (\led_flash_cnt[2578][2]~62975\ $ (GND))) # (!\led_flash_cnt[2578][3]~q\ & (!\led_flash_cnt[2578][2]~62975\ & VCC))
-- \led_flash_cnt[2578][3]~62977\ = CARRY((\led_flash_cnt[2578][3]~q\ & !\led_flash_cnt[2578][2]~62975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2578][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2578][2]~62975\,
	combout => \led_flash_cnt[2578][3]~62976_combout\,
	cout => \led_flash_cnt[2578][3]~62977\);

-- Location: FF_X57_Y44_N23
\led_flash_cnt[2578][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2578][3]~62976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2578][3]~q\);

-- Location: LCCOMB_X57_Y44_N24
\led_flash_cnt[2578][4]~62978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2578][4]~62978_combout\ = (\led_flash_cnt[2578][4]~q\ & (!\led_flash_cnt[2578][3]~62977\)) # (!\led_flash_cnt[2578][4]~q\ & ((\led_flash_cnt[2578][3]~62977\) # (GND)))
-- \led_flash_cnt[2578][4]~62979\ = CARRY((!\led_flash_cnt[2578][3]~62977\) # (!\led_flash_cnt[2578][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2578][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2578][3]~62977\,
	combout => \led_flash_cnt[2578][4]~62978_combout\,
	cout => \led_flash_cnt[2578][4]~62979\);

-- Location: FF_X57_Y44_N25
\led_flash_cnt[2578][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2578][4]~62978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2578][4]~q\);

-- Location: LCCOMB_X57_Y44_N16
\WideAnd2578~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2578~0_combout\ = (\led_flash_cnt[2578][1]~q\ & (\led_flash_cnt[2578][2]~q\ & (\led_flash_cnt[2578][3]~q\ & \led_flash_cnt[2578][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2578][1]~q\,
	datab => \led_flash_cnt[2578][2]~q\,
	datac => \led_flash_cnt[2578][3]~q\,
	datad => \led_flash_cnt[2578][4]~q\,
	combout => \WideAnd2578~0_combout\);

-- Location: LCCOMB_X57_Y44_N26
\led_flash_cnt[2578][5]~62980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2578][5]~62980_combout\ = (\led_flash_cnt[2578][5]~q\ & (\led_flash_cnt[2578][4]~62979\ $ (GND))) # (!\led_flash_cnt[2578][5]~q\ & (!\led_flash_cnt[2578][4]~62979\ & VCC))
-- \led_flash_cnt[2578][5]~62981\ = CARRY((\led_flash_cnt[2578][5]~q\ & !\led_flash_cnt[2578][4]~62979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2578][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2578][4]~62979\,
	combout => \led_flash_cnt[2578][5]~62980_combout\,
	cout => \led_flash_cnt[2578][5]~62981\);

-- Location: FF_X57_Y44_N27
\led_flash_cnt[2578][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2578][5]~62980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2578][5]~q\);

-- Location: LCCOMB_X57_Y44_N28
\led_flash_cnt[2578][6]~62982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2578][6]~62982_combout\ = (\led_flash_cnt[2578][6]~q\ & (!\led_flash_cnt[2578][5]~62981\)) # (!\led_flash_cnt[2578][6]~q\ & ((\led_flash_cnt[2578][5]~62981\) # (GND)))
-- \led_flash_cnt[2578][6]~62983\ = CARRY((!\led_flash_cnt[2578][5]~62981\) # (!\led_flash_cnt[2578][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2578][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2578][5]~62981\,
	combout => \led_flash_cnt[2578][6]~62982_combout\,
	cout => \led_flash_cnt[2578][6]~62983\);

-- Location: FF_X57_Y44_N29
\led_flash_cnt[2578][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2578][6]~62982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2578][6]~q\);

-- Location: LCCOMB_X57_Y41_N22
\WideAnd2578~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2578~1_combout\ = (\led_flash_cnt[2578][6]~q\ & \led_flash_cnt[2578][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2578][6]~q\,
	datad => \led_flash_cnt[2578][5]~q\,
	combout => \WideAnd2578~1_combout\);

-- Location: LCCOMB_X57_Y44_N30
\led_flash_cnt[2578][7]~62984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2578][7]~62984_combout\ = \led_flash_cnt[2578][7]~q\ $ (!\led_flash_cnt[2578][6]~62983\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2578][7]~q\,
	cin => \led_flash_cnt[2578][6]~62983\,
	combout => \led_flash_cnt[2578][7]~62984_combout\);

-- Location: FF_X57_Y44_N31
\led_flash_cnt[2578][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2578][7]~62984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2578][7]~q\);

-- Location: LCCOMB_X57_Y41_N24
WideAnd2578 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2578~combout\ = (\WideAnd2578~0_combout\ & (\led_flash_cnt[2578][0]~q\ & (\WideAnd2578~1_combout\ & \led_flash_cnt[2578][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2578~0_combout\,
	datab => \led_flash_cnt[2578][0]~q\,
	datac => \WideAnd2578~1_combout\,
	datad => \led_flash_cnt[2578][7]~q\,
	combout => \WideAnd2578~combout\);

-- Location: FF_X57_Y41_N25
\led_flash_cnt_ands[2578]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2578~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2578));

-- Location: LCCOMB_X54_Y41_N0
\WideAnd4162~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4162~0_combout\ = (led_flash_cnt_ands(2579) & (led_flash_cnt_ands(2576) & (led_flash_cnt_ands(2577) & led_flash_cnt_ands(2578))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2579),
	datab => led_flash_cnt_ands(2576),
	datac => led_flash_cnt_ands(2577),
	datad => led_flash_cnt_ands(2578),
	combout => \WideAnd4162~0_combout\);

-- Location: LCCOMB_X46_Y47_N26
\led_flash_cnt[2582][0]~83222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2582][0]~83222_combout\ = !\led_flash_cnt[2582][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2582][0]~q\,
	combout => \led_flash_cnt[2582][0]~83222_combout\);

-- Location: FF_X46_Y47_N27
\led_flash_cnt[2582][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2582][0]~83222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2582][0]~q\);

-- Location: LCCOMB_X46_Y47_N2
\led_flash_cnt[2582][1]~63028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2582][1]~63028_combout\ = (\led_flash_cnt[2582][0]~q\ & (\led_flash_cnt[2582][1]~q\ $ (VCC))) # (!\led_flash_cnt[2582][0]~q\ & (\led_flash_cnt[2582][1]~q\ & VCC))
-- \led_flash_cnt[2582][1]~63029\ = CARRY((\led_flash_cnt[2582][0]~q\ & \led_flash_cnt[2582][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2582][0]~q\,
	datab => \led_flash_cnt[2582][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2582][1]~63028_combout\,
	cout => \led_flash_cnt[2582][1]~63029\);

-- Location: FF_X46_Y47_N3
\led_flash_cnt[2582][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2582][1]~63028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2582][1]~q\);

-- Location: LCCOMB_X46_Y47_N4
\led_flash_cnt[2582][2]~63030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2582][2]~63030_combout\ = (\led_flash_cnt[2582][2]~q\ & (!\led_flash_cnt[2582][1]~63029\)) # (!\led_flash_cnt[2582][2]~q\ & ((\led_flash_cnt[2582][1]~63029\) # (GND)))
-- \led_flash_cnt[2582][2]~63031\ = CARRY((!\led_flash_cnt[2582][1]~63029\) # (!\led_flash_cnt[2582][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2582][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2582][1]~63029\,
	combout => \led_flash_cnt[2582][2]~63030_combout\,
	cout => \led_flash_cnt[2582][2]~63031\);

-- Location: FF_X46_Y47_N5
\led_flash_cnt[2582][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2582][2]~63030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2582][2]~q\);

-- Location: LCCOMB_X46_Y47_N6
\led_flash_cnt[2582][3]~63032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2582][3]~63032_combout\ = (\led_flash_cnt[2582][3]~q\ & (\led_flash_cnt[2582][2]~63031\ $ (GND))) # (!\led_flash_cnt[2582][3]~q\ & (!\led_flash_cnt[2582][2]~63031\ & VCC))
-- \led_flash_cnt[2582][3]~63033\ = CARRY((\led_flash_cnt[2582][3]~q\ & !\led_flash_cnt[2582][2]~63031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2582][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2582][2]~63031\,
	combout => \led_flash_cnt[2582][3]~63032_combout\,
	cout => \led_flash_cnt[2582][3]~63033\);

-- Location: FF_X46_Y47_N7
\led_flash_cnt[2582][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2582][3]~63032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2582][3]~q\);

-- Location: LCCOMB_X46_Y47_N8
\led_flash_cnt[2582][4]~63034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2582][4]~63034_combout\ = (\led_flash_cnt[2582][4]~q\ & (!\led_flash_cnt[2582][3]~63033\)) # (!\led_flash_cnt[2582][4]~q\ & ((\led_flash_cnt[2582][3]~63033\) # (GND)))
-- \led_flash_cnt[2582][4]~63035\ = CARRY((!\led_flash_cnt[2582][3]~63033\) # (!\led_flash_cnt[2582][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2582][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2582][3]~63033\,
	combout => \led_flash_cnt[2582][4]~63034_combout\,
	cout => \led_flash_cnt[2582][4]~63035\);

-- Location: FF_X46_Y47_N9
\led_flash_cnt[2582][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2582][4]~63034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2582][4]~q\);

-- Location: LCCOMB_X46_Y47_N10
\led_flash_cnt[2582][5]~63036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2582][5]~63036_combout\ = (\led_flash_cnt[2582][5]~q\ & (\led_flash_cnt[2582][4]~63035\ $ (GND))) # (!\led_flash_cnt[2582][5]~q\ & (!\led_flash_cnt[2582][4]~63035\ & VCC))
-- \led_flash_cnt[2582][5]~63037\ = CARRY((\led_flash_cnt[2582][5]~q\ & !\led_flash_cnt[2582][4]~63035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2582][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2582][4]~63035\,
	combout => \led_flash_cnt[2582][5]~63036_combout\,
	cout => \led_flash_cnt[2582][5]~63037\);

-- Location: FF_X46_Y47_N11
\led_flash_cnt[2582][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2582][5]~63036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2582][5]~q\);

-- Location: LCCOMB_X46_Y47_N12
\led_flash_cnt[2582][6]~63038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2582][6]~63038_combout\ = (\led_flash_cnt[2582][6]~q\ & (!\led_flash_cnt[2582][5]~63037\)) # (!\led_flash_cnt[2582][6]~q\ & ((\led_flash_cnt[2582][5]~63037\) # (GND)))
-- \led_flash_cnt[2582][6]~63039\ = CARRY((!\led_flash_cnt[2582][5]~63037\) # (!\led_flash_cnt[2582][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2582][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2582][5]~63037\,
	combout => \led_flash_cnt[2582][6]~63038_combout\,
	cout => \led_flash_cnt[2582][6]~63039\);

-- Location: FF_X46_Y47_N13
\led_flash_cnt[2582][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2582][6]~63038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2582][6]~q\);

-- Location: LCCOMB_X46_Y47_N22
\WideAnd2582~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2582~1_combout\ = (\led_flash_cnt[2582][5]~q\ & \led_flash_cnt[2582][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2582][5]~q\,
	datad => \led_flash_cnt[2582][6]~q\,
	combout => \WideAnd2582~1_combout\);

-- Location: LCCOMB_X46_Y47_N14
\led_flash_cnt[2582][7]~63040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2582][7]~63040_combout\ = \led_flash_cnt[2582][7]~q\ $ (!\led_flash_cnt[2582][6]~63039\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2582][7]~q\,
	cin => \led_flash_cnt[2582][6]~63039\,
	combout => \led_flash_cnt[2582][7]~63040_combout\);

-- Location: FF_X46_Y47_N15
\led_flash_cnt[2582][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2582][7]~63040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2582][7]~q\);

-- Location: LCCOMB_X46_Y47_N18
\WideAnd2582~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2582~0_combout\ = (\led_flash_cnt[2582][3]~q\ & (\led_flash_cnt[2582][4]~q\ & (\led_flash_cnt[2582][2]~q\ & \led_flash_cnt[2582][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2582][3]~q\,
	datab => \led_flash_cnt[2582][4]~q\,
	datac => \led_flash_cnt[2582][2]~q\,
	datad => \led_flash_cnt[2582][1]~q\,
	combout => \WideAnd2582~0_combout\);

-- Location: LCCOMB_X46_Y47_N20
WideAnd2582 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2582~combout\ = (\WideAnd2582~1_combout\ & (\led_flash_cnt[2582][7]~q\ & (\led_flash_cnt[2582][0]~q\ & \WideAnd2582~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2582~1_combout\,
	datab => \led_flash_cnt[2582][7]~q\,
	datac => \led_flash_cnt[2582][0]~q\,
	datad => \WideAnd2582~0_combout\,
	combout => \WideAnd2582~combout\);

-- Location: FF_X46_Y47_N21
\led_flash_cnt_ands[2582]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2582~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2582));

-- Location: LCCOMB_X46_Y41_N8
WideAnd4162 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4162~combout\ = (\WideAnd4162~1_combout\ & (led_flash_cnt_ands(2583) & (\WideAnd4162~0_combout\ & led_flash_cnt_ands(2582))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4162~1_combout\,
	datab => led_flash_cnt_ands(2583),
	datac => \WideAnd4162~0_combout\,
	datad => led_flash_cnt_ands(2582),
	combout => \WideAnd4162~combout\);

-- Location: FF_X46_Y41_N9
\led_flash_cnt_ands_1[322]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4162~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(322));

-- Location: LCCOMB_X46_Y38_N16
\WideAnd4360~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4360~0_combout\ = (led_flash_cnt_ands_1(320) & (led_flash_cnt_ands_1(321) & (led_flash_cnt_ands_1(323) & led_flash_cnt_ands_1(322))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(320),
	datab => led_flash_cnt_ands_1(321),
	datac => led_flash_cnt_ands_1(323),
	datad => led_flash_cnt_ands_1(322),
	combout => \WideAnd4360~0_combout\);

-- Location: LCCOMB_X45_Y38_N8
WideAnd4360 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4360~combout\ = (led_flash_cnt_ands_1(327) & (led_flash_cnt_ands_1(326) & (\WideAnd4360~1_combout\ & \WideAnd4360~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(327),
	datab => led_flash_cnt_ands_1(326),
	datac => \WideAnd4360~1_combout\,
	datad => \WideAnd4360~0_combout\,
	combout => \WideAnd4360~combout\);

-- Location: FF_X45_Y38_N9
\led_flash_cnt_ands_2[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4360~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(40));

-- Location: LCCOMB_X29_Y15_N0
\led_flash_cnt[2774][0]~83414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2774][0]~83414_combout\ = !\led_flash_cnt[2774][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2774][0]~q\,
	combout => \led_flash_cnt[2774][0]~83414_combout\);

-- Location: FF_X29_Y15_N1
\led_flash_cnt[2774][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2774][0]~83414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2774][0]~q\);

-- Location: LCCOMB_X29_Y15_N6
\led_flash_cnt[2774][1]~65716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2774][1]~65716_combout\ = (\led_flash_cnt[2774][1]~q\ & (\led_flash_cnt[2774][0]~q\ $ (VCC))) # (!\led_flash_cnt[2774][1]~q\ & (\led_flash_cnt[2774][0]~q\ & VCC))
-- \led_flash_cnt[2774][1]~65717\ = CARRY((\led_flash_cnt[2774][1]~q\ & \led_flash_cnt[2774][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2774][1]~q\,
	datab => \led_flash_cnt[2774][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2774][1]~65716_combout\,
	cout => \led_flash_cnt[2774][1]~65717\);

-- Location: FF_X29_Y15_N7
\led_flash_cnt[2774][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2774][1]~65716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2774][1]~q\);

-- Location: LCCOMB_X29_Y15_N8
\led_flash_cnt[2774][2]~65718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2774][2]~65718_combout\ = (\led_flash_cnt[2774][2]~q\ & (!\led_flash_cnt[2774][1]~65717\)) # (!\led_flash_cnt[2774][2]~q\ & ((\led_flash_cnt[2774][1]~65717\) # (GND)))
-- \led_flash_cnt[2774][2]~65719\ = CARRY((!\led_flash_cnt[2774][1]~65717\) # (!\led_flash_cnt[2774][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2774][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2774][1]~65717\,
	combout => \led_flash_cnt[2774][2]~65718_combout\,
	cout => \led_flash_cnt[2774][2]~65719\);

-- Location: FF_X29_Y15_N9
\led_flash_cnt[2774][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2774][2]~65718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2774][2]~q\);

-- Location: LCCOMB_X29_Y15_N10
\led_flash_cnt[2774][3]~65720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2774][3]~65720_combout\ = (\led_flash_cnt[2774][3]~q\ & (\led_flash_cnt[2774][2]~65719\ $ (GND))) # (!\led_flash_cnt[2774][3]~q\ & (!\led_flash_cnt[2774][2]~65719\ & VCC))
-- \led_flash_cnt[2774][3]~65721\ = CARRY((\led_flash_cnt[2774][3]~q\ & !\led_flash_cnt[2774][2]~65719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2774][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2774][2]~65719\,
	combout => \led_flash_cnt[2774][3]~65720_combout\,
	cout => \led_flash_cnt[2774][3]~65721\);

-- Location: FF_X29_Y15_N11
\led_flash_cnt[2774][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2774][3]~65720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2774][3]~q\);

-- Location: LCCOMB_X29_Y15_N12
\led_flash_cnt[2774][4]~65722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2774][4]~65722_combout\ = (\led_flash_cnt[2774][4]~q\ & (!\led_flash_cnt[2774][3]~65721\)) # (!\led_flash_cnt[2774][4]~q\ & ((\led_flash_cnt[2774][3]~65721\) # (GND)))
-- \led_flash_cnt[2774][4]~65723\ = CARRY((!\led_flash_cnt[2774][3]~65721\) # (!\led_flash_cnt[2774][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2774][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2774][3]~65721\,
	combout => \led_flash_cnt[2774][4]~65722_combout\,
	cout => \led_flash_cnt[2774][4]~65723\);

-- Location: FF_X29_Y15_N13
\led_flash_cnt[2774][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2774][4]~65722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2774][4]~q\);

-- Location: LCCOMB_X29_Y15_N22
\WideAnd2774~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2774~0_combout\ = (\led_flash_cnt[2774][3]~q\ & (\led_flash_cnt[2774][1]~q\ & (\led_flash_cnt[2774][2]~q\ & \led_flash_cnt[2774][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2774][3]~q\,
	datab => \led_flash_cnt[2774][1]~q\,
	datac => \led_flash_cnt[2774][2]~q\,
	datad => \led_flash_cnt[2774][4]~q\,
	combout => \WideAnd2774~0_combout\);

-- Location: LCCOMB_X29_Y15_N14
\led_flash_cnt[2774][5]~65724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2774][5]~65724_combout\ = (\led_flash_cnt[2774][5]~q\ & (\led_flash_cnt[2774][4]~65723\ $ (GND))) # (!\led_flash_cnt[2774][5]~q\ & (!\led_flash_cnt[2774][4]~65723\ & VCC))
-- \led_flash_cnt[2774][5]~65725\ = CARRY((\led_flash_cnt[2774][5]~q\ & !\led_flash_cnt[2774][4]~65723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2774][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2774][4]~65723\,
	combout => \led_flash_cnt[2774][5]~65724_combout\,
	cout => \led_flash_cnt[2774][5]~65725\);

-- Location: FF_X29_Y15_N15
\led_flash_cnt[2774][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2774][5]~65724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2774][5]~q\);

-- Location: LCCOMB_X29_Y15_N16
\led_flash_cnt[2774][6]~65726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2774][6]~65726_combout\ = (\led_flash_cnt[2774][6]~q\ & (!\led_flash_cnt[2774][5]~65725\)) # (!\led_flash_cnt[2774][6]~q\ & ((\led_flash_cnt[2774][5]~65725\) # (GND)))
-- \led_flash_cnt[2774][6]~65727\ = CARRY((!\led_flash_cnt[2774][5]~65725\) # (!\led_flash_cnt[2774][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2774][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2774][5]~65725\,
	combout => \led_flash_cnt[2774][6]~65726_combout\,
	cout => \led_flash_cnt[2774][6]~65727\);

-- Location: FF_X29_Y15_N17
\led_flash_cnt[2774][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2774][6]~65726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2774][6]~q\);

-- Location: LCCOMB_X29_Y15_N18
\led_flash_cnt[2774][7]~65728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2774][7]~65728_combout\ = \led_flash_cnt[2774][7]~q\ $ (!\led_flash_cnt[2774][6]~65727\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2774][7]~q\,
	cin => \led_flash_cnt[2774][6]~65727\,
	combout => \led_flash_cnt[2774][7]~65728_combout\);

-- Location: FF_X29_Y15_N19
\led_flash_cnt[2774][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2774][7]~65728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2774][7]~q\);

-- Location: LCCOMB_X29_Y15_N20
\WideAnd2774~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2774~1_combout\ = (\led_flash_cnt[2774][5]~q\ & \led_flash_cnt[2774][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2774][5]~q\,
	datad => \led_flash_cnt[2774][6]~q\,
	combout => \WideAnd2774~1_combout\);

-- Location: LCCOMB_X29_Y15_N30
WideAnd2774 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2774~combout\ = (\WideAnd2774~0_combout\ & (\led_flash_cnt[2774][0]~q\ & (\led_flash_cnt[2774][7]~q\ & \WideAnd2774~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2774~0_combout\,
	datab => \led_flash_cnt[2774][0]~q\,
	datac => \led_flash_cnt[2774][7]~q\,
	datad => \WideAnd2774~1_combout\,
	combout => \WideAnd2774~combout\);

-- Location: FF_X29_Y15_N31
\led_flash_cnt_ands[2774]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2774~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2774));

-- Location: LCCOMB_X29_Y15_N4
\led_flash_cnt[2775][0]~83415\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2775][0]~83415_combout\ = !\led_flash_cnt[2775][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2775][0]~q\,
	combout => \led_flash_cnt[2775][0]~83415_combout\);

-- Location: FF_X29_Y15_N5
\led_flash_cnt[2775][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2775][0]~83415_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2775][0]~q\);

-- Location: LCCOMB_X30_Y15_N0
\led_flash_cnt[2775][1]~65730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2775][1]~65730_combout\ = (\led_flash_cnt[2775][0]~q\ & (\led_flash_cnt[2775][1]~q\ $ (VCC))) # (!\led_flash_cnt[2775][0]~q\ & (\led_flash_cnt[2775][1]~q\ & VCC))
-- \led_flash_cnt[2775][1]~65731\ = CARRY((\led_flash_cnt[2775][0]~q\ & \led_flash_cnt[2775][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2775][0]~q\,
	datab => \led_flash_cnt[2775][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2775][1]~65730_combout\,
	cout => \led_flash_cnt[2775][1]~65731\);

-- Location: FF_X30_Y15_N1
\led_flash_cnt[2775][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2775][1]~65730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2775][1]~q\);

-- Location: LCCOMB_X30_Y15_N2
\led_flash_cnt[2775][2]~65732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2775][2]~65732_combout\ = (\led_flash_cnt[2775][2]~q\ & (!\led_flash_cnt[2775][1]~65731\)) # (!\led_flash_cnt[2775][2]~q\ & ((\led_flash_cnt[2775][1]~65731\) # (GND)))
-- \led_flash_cnt[2775][2]~65733\ = CARRY((!\led_flash_cnt[2775][1]~65731\) # (!\led_flash_cnt[2775][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2775][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2775][1]~65731\,
	combout => \led_flash_cnt[2775][2]~65732_combout\,
	cout => \led_flash_cnt[2775][2]~65733\);

-- Location: FF_X30_Y15_N3
\led_flash_cnt[2775][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2775][2]~65732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2775][2]~q\);

-- Location: LCCOMB_X30_Y15_N4
\led_flash_cnt[2775][3]~65734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2775][3]~65734_combout\ = (\led_flash_cnt[2775][3]~q\ & (\led_flash_cnt[2775][2]~65733\ $ (GND))) # (!\led_flash_cnt[2775][3]~q\ & (!\led_flash_cnt[2775][2]~65733\ & VCC))
-- \led_flash_cnt[2775][3]~65735\ = CARRY((\led_flash_cnt[2775][3]~q\ & !\led_flash_cnt[2775][2]~65733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2775][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2775][2]~65733\,
	combout => \led_flash_cnt[2775][3]~65734_combout\,
	cout => \led_flash_cnt[2775][3]~65735\);

-- Location: FF_X30_Y15_N5
\led_flash_cnt[2775][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2775][3]~65734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2775][3]~q\);

-- Location: LCCOMB_X30_Y15_N6
\led_flash_cnt[2775][4]~65736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2775][4]~65736_combout\ = (\led_flash_cnt[2775][4]~q\ & (!\led_flash_cnt[2775][3]~65735\)) # (!\led_flash_cnt[2775][4]~q\ & ((\led_flash_cnt[2775][3]~65735\) # (GND)))
-- \led_flash_cnt[2775][4]~65737\ = CARRY((!\led_flash_cnt[2775][3]~65735\) # (!\led_flash_cnt[2775][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2775][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2775][3]~65735\,
	combout => \led_flash_cnt[2775][4]~65736_combout\,
	cout => \led_flash_cnt[2775][4]~65737\);

-- Location: FF_X30_Y15_N7
\led_flash_cnt[2775][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2775][4]~65736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2775][4]~q\);

-- Location: LCCOMB_X30_Y15_N8
\led_flash_cnt[2775][5]~65738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2775][5]~65738_combout\ = (\led_flash_cnt[2775][5]~q\ & (\led_flash_cnt[2775][4]~65737\ $ (GND))) # (!\led_flash_cnt[2775][5]~q\ & (!\led_flash_cnt[2775][4]~65737\ & VCC))
-- \led_flash_cnt[2775][5]~65739\ = CARRY((\led_flash_cnt[2775][5]~q\ & !\led_flash_cnt[2775][4]~65737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2775][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2775][4]~65737\,
	combout => \led_flash_cnt[2775][5]~65738_combout\,
	cout => \led_flash_cnt[2775][5]~65739\);

-- Location: FF_X30_Y15_N9
\led_flash_cnt[2775][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2775][5]~65738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2775][5]~q\);

-- Location: LCCOMB_X30_Y15_N10
\led_flash_cnt[2775][6]~65740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2775][6]~65740_combout\ = (\led_flash_cnt[2775][6]~q\ & (!\led_flash_cnt[2775][5]~65739\)) # (!\led_flash_cnt[2775][6]~q\ & ((\led_flash_cnt[2775][5]~65739\) # (GND)))
-- \led_flash_cnt[2775][6]~65741\ = CARRY((!\led_flash_cnt[2775][5]~65739\) # (!\led_flash_cnt[2775][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2775][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2775][5]~65739\,
	combout => \led_flash_cnt[2775][6]~65740_combout\,
	cout => \led_flash_cnt[2775][6]~65741\);

-- Location: FF_X30_Y15_N11
\led_flash_cnt[2775][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2775][6]~65740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2775][6]~q\);

-- Location: LCCOMB_X29_Y15_N26
\WideAnd2775~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2775~1_combout\ = (\led_flash_cnt[2775][5]~q\ & \led_flash_cnt[2775][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2775][5]~q\,
	datac => \led_flash_cnt[2775][6]~q\,
	combout => \WideAnd2775~1_combout\);

-- Location: LCCOMB_X30_Y15_N12
\led_flash_cnt[2775][7]~65742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2775][7]~65742_combout\ = \led_flash_cnt[2775][6]~65741\ $ (!\led_flash_cnt[2775][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2775][7]~q\,
	cin => \led_flash_cnt[2775][6]~65741\,
	combout => \led_flash_cnt[2775][7]~65742_combout\);

-- Location: FF_X30_Y15_N13
\led_flash_cnt[2775][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2775][7]~65742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2775][7]~q\);

-- Location: LCCOMB_X30_Y15_N16
\WideAnd2775~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2775~0_combout\ = (\led_flash_cnt[2775][4]~q\ & (\led_flash_cnt[2775][2]~q\ & (\led_flash_cnt[2775][3]~q\ & \led_flash_cnt[2775][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2775][4]~q\,
	datab => \led_flash_cnt[2775][2]~q\,
	datac => \led_flash_cnt[2775][3]~q\,
	datad => \led_flash_cnt[2775][1]~q\,
	combout => \WideAnd2775~0_combout\);

-- Location: LCCOMB_X29_Y15_N28
WideAnd2775 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2775~combout\ = (\WideAnd2775~1_combout\ & (\led_flash_cnt[2775][0]~q\ & (\led_flash_cnt[2775][7]~q\ & \WideAnd2775~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2775~1_combout\,
	datab => \led_flash_cnt[2775][0]~q\,
	datac => \led_flash_cnt[2775][7]~q\,
	datad => \WideAnd2775~0_combout\,
	combout => \WideAnd2775~combout\);

-- Location: FF_X29_Y15_N29
\led_flash_cnt_ands[2775]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2775~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2775));

-- Location: LCCOMB_X31_Y15_N2
\led_flash_cnt[2772][0]~83412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2772][0]~83412_combout\ = !\led_flash_cnt[2772][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2772][0]~q\,
	combout => \led_flash_cnt[2772][0]~83412_combout\);

-- Location: FF_X31_Y15_N3
\led_flash_cnt[2772][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2772][0]~83412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2772][0]~q\);

-- Location: LCCOMB_X32_Y15_N0
\led_flash_cnt[2772][1]~65688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2772][1]~65688_combout\ = (\led_flash_cnt[2772][0]~q\ & (\led_flash_cnt[2772][1]~q\ $ (VCC))) # (!\led_flash_cnt[2772][0]~q\ & (\led_flash_cnt[2772][1]~q\ & VCC))
-- \led_flash_cnt[2772][1]~65689\ = CARRY((\led_flash_cnt[2772][0]~q\ & \led_flash_cnt[2772][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2772][0]~q\,
	datab => \led_flash_cnt[2772][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2772][1]~65688_combout\,
	cout => \led_flash_cnt[2772][1]~65689\);

-- Location: FF_X32_Y15_N1
\led_flash_cnt[2772][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2772][1]~65688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2772][1]~q\);

-- Location: LCCOMB_X32_Y15_N2
\led_flash_cnt[2772][2]~65690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2772][2]~65690_combout\ = (\led_flash_cnt[2772][2]~q\ & (!\led_flash_cnt[2772][1]~65689\)) # (!\led_flash_cnt[2772][2]~q\ & ((\led_flash_cnt[2772][1]~65689\) # (GND)))
-- \led_flash_cnt[2772][2]~65691\ = CARRY((!\led_flash_cnt[2772][1]~65689\) # (!\led_flash_cnt[2772][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2772][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2772][1]~65689\,
	combout => \led_flash_cnt[2772][2]~65690_combout\,
	cout => \led_flash_cnt[2772][2]~65691\);

-- Location: FF_X32_Y15_N3
\led_flash_cnt[2772][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2772][2]~65690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2772][2]~q\);

-- Location: LCCOMB_X32_Y15_N4
\led_flash_cnt[2772][3]~65692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2772][3]~65692_combout\ = (\led_flash_cnt[2772][3]~q\ & (\led_flash_cnt[2772][2]~65691\ $ (GND))) # (!\led_flash_cnt[2772][3]~q\ & (!\led_flash_cnt[2772][2]~65691\ & VCC))
-- \led_flash_cnt[2772][3]~65693\ = CARRY((\led_flash_cnt[2772][3]~q\ & !\led_flash_cnt[2772][2]~65691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2772][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2772][2]~65691\,
	combout => \led_flash_cnt[2772][3]~65692_combout\,
	cout => \led_flash_cnt[2772][3]~65693\);

-- Location: FF_X32_Y15_N5
\led_flash_cnt[2772][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2772][3]~65692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2772][3]~q\);

-- Location: LCCOMB_X32_Y15_N6
\led_flash_cnt[2772][4]~65694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2772][4]~65694_combout\ = (\led_flash_cnt[2772][4]~q\ & (!\led_flash_cnt[2772][3]~65693\)) # (!\led_flash_cnt[2772][4]~q\ & ((\led_flash_cnt[2772][3]~65693\) # (GND)))
-- \led_flash_cnt[2772][4]~65695\ = CARRY((!\led_flash_cnt[2772][3]~65693\) # (!\led_flash_cnt[2772][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2772][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2772][3]~65693\,
	combout => \led_flash_cnt[2772][4]~65694_combout\,
	cout => \led_flash_cnt[2772][4]~65695\);

-- Location: FF_X32_Y15_N7
\led_flash_cnt[2772][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2772][4]~65694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2772][4]~q\);

-- Location: LCCOMB_X32_Y15_N8
\led_flash_cnt[2772][5]~65696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2772][5]~65696_combout\ = (\led_flash_cnt[2772][5]~q\ & (\led_flash_cnt[2772][4]~65695\ $ (GND))) # (!\led_flash_cnt[2772][5]~q\ & (!\led_flash_cnt[2772][4]~65695\ & VCC))
-- \led_flash_cnt[2772][5]~65697\ = CARRY((\led_flash_cnt[2772][5]~q\ & !\led_flash_cnt[2772][4]~65695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2772][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2772][4]~65695\,
	combout => \led_flash_cnt[2772][5]~65696_combout\,
	cout => \led_flash_cnt[2772][5]~65697\);

-- Location: FF_X32_Y15_N9
\led_flash_cnt[2772][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2772][5]~65696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2772][5]~q\);

-- Location: LCCOMB_X32_Y15_N10
\led_flash_cnt[2772][6]~65698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2772][6]~65698_combout\ = (\led_flash_cnt[2772][6]~q\ & (!\led_flash_cnt[2772][5]~65697\)) # (!\led_flash_cnt[2772][6]~q\ & ((\led_flash_cnt[2772][5]~65697\) # (GND)))
-- \led_flash_cnt[2772][6]~65699\ = CARRY((!\led_flash_cnt[2772][5]~65697\) # (!\led_flash_cnt[2772][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2772][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2772][5]~65697\,
	combout => \led_flash_cnt[2772][6]~65698_combout\,
	cout => \led_flash_cnt[2772][6]~65699\);

-- Location: FF_X32_Y15_N11
\led_flash_cnt[2772][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2772][6]~65698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2772][6]~q\);

-- Location: LCCOMB_X31_Y15_N26
\WideAnd2772~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2772~1_combout\ = (\led_flash_cnt[2772][6]~q\ & \led_flash_cnt[2772][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2772][6]~q\,
	datac => \led_flash_cnt[2772][5]~q\,
	combout => \WideAnd2772~1_combout\);

-- Location: LCCOMB_X32_Y15_N12
\led_flash_cnt[2772][7]~65700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2772][7]~65700_combout\ = \led_flash_cnt[2772][6]~65699\ $ (!\led_flash_cnt[2772][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2772][7]~q\,
	cin => \led_flash_cnt[2772][6]~65699\,
	combout => \led_flash_cnt[2772][7]~65700_combout\);

-- Location: FF_X32_Y15_N13
\led_flash_cnt[2772][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2772][7]~65700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2772][7]~q\);

-- Location: LCCOMB_X32_Y15_N16
\WideAnd2772~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2772~0_combout\ = (\led_flash_cnt[2772][4]~q\ & (\led_flash_cnt[2772][1]~q\ & (\led_flash_cnt[2772][3]~q\ & \led_flash_cnt[2772][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2772][4]~q\,
	datab => \led_flash_cnt[2772][1]~q\,
	datac => \led_flash_cnt[2772][3]~q\,
	datad => \led_flash_cnt[2772][2]~q\,
	combout => \WideAnd2772~0_combout\);

-- Location: LCCOMB_X31_Y15_N4
WideAnd2772 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2772~combout\ = (\WideAnd2772~1_combout\ & (\led_flash_cnt[2772][0]~q\ & (\led_flash_cnt[2772][7]~q\ & \WideAnd2772~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2772~1_combout\,
	datab => \led_flash_cnt[2772][0]~q\,
	datac => \led_flash_cnt[2772][7]~q\,
	datad => \WideAnd2772~0_combout\,
	combout => \WideAnd2772~combout\);

-- Location: FF_X31_Y15_N5
\led_flash_cnt_ands[2772]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2772~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2772));

-- Location: LCCOMB_X34_Y11_N0
\led_flash_cnt[2773][0]~83413\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2773][0]~83413_combout\ = !\led_flash_cnt[2773][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2773][0]~q\,
	combout => \led_flash_cnt[2773][0]~83413_combout\);

-- Location: FF_X34_Y11_N1
\led_flash_cnt[2773][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2773][0]~83413_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2773][0]~q\);

-- Location: LCCOMB_X32_Y11_N6
\led_flash_cnt[2773][1]~65702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2773][1]~65702_combout\ = (\led_flash_cnt[2773][1]~q\ & (\led_flash_cnt[2773][0]~q\ $ (VCC))) # (!\led_flash_cnt[2773][1]~q\ & (\led_flash_cnt[2773][0]~q\ & VCC))
-- \led_flash_cnt[2773][1]~65703\ = CARRY((\led_flash_cnt[2773][1]~q\ & \led_flash_cnt[2773][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2773][1]~q\,
	datab => \led_flash_cnt[2773][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2773][1]~65702_combout\,
	cout => \led_flash_cnt[2773][1]~65703\);

-- Location: FF_X32_Y11_N7
\led_flash_cnt[2773][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2773][1]~65702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2773][1]~q\);

-- Location: LCCOMB_X32_Y11_N8
\led_flash_cnt[2773][2]~65704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2773][2]~65704_combout\ = (\led_flash_cnt[2773][2]~q\ & (!\led_flash_cnt[2773][1]~65703\)) # (!\led_flash_cnt[2773][2]~q\ & ((\led_flash_cnt[2773][1]~65703\) # (GND)))
-- \led_flash_cnt[2773][2]~65705\ = CARRY((!\led_flash_cnt[2773][1]~65703\) # (!\led_flash_cnt[2773][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2773][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2773][1]~65703\,
	combout => \led_flash_cnt[2773][2]~65704_combout\,
	cout => \led_flash_cnt[2773][2]~65705\);

-- Location: FF_X32_Y11_N9
\led_flash_cnt[2773][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2773][2]~65704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2773][2]~q\);

-- Location: LCCOMB_X32_Y11_N10
\led_flash_cnt[2773][3]~65706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2773][3]~65706_combout\ = (\led_flash_cnt[2773][3]~q\ & (\led_flash_cnt[2773][2]~65705\ $ (GND))) # (!\led_flash_cnt[2773][3]~q\ & (!\led_flash_cnt[2773][2]~65705\ & VCC))
-- \led_flash_cnt[2773][3]~65707\ = CARRY((\led_flash_cnt[2773][3]~q\ & !\led_flash_cnt[2773][2]~65705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2773][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2773][2]~65705\,
	combout => \led_flash_cnt[2773][3]~65706_combout\,
	cout => \led_flash_cnt[2773][3]~65707\);

-- Location: FF_X32_Y11_N11
\led_flash_cnt[2773][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2773][3]~65706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2773][3]~q\);

-- Location: LCCOMB_X32_Y11_N12
\led_flash_cnt[2773][4]~65708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2773][4]~65708_combout\ = (\led_flash_cnt[2773][4]~q\ & (!\led_flash_cnt[2773][3]~65707\)) # (!\led_flash_cnt[2773][4]~q\ & ((\led_flash_cnt[2773][3]~65707\) # (GND)))
-- \led_flash_cnt[2773][4]~65709\ = CARRY((!\led_flash_cnt[2773][3]~65707\) # (!\led_flash_cnt[2773][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2773][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2773][3]~65707\,
	combout => \led_flash_cnt[2773][4]~65708_combout\,
	cout => \led_flash_cnt[2773][4]~65709\);

-- Location: FF_X32_Y11_N13
\led_flash_cnt[2773][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2773][4]~65708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2773][4]~q\);

-- Location: LCCOMB_X32_Y11_N14
\led_flash_cnt[2773][5]~65710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2773][5]~65710_combout\ = (\led_flash_cnt[2773][5]~q\ & (\led_flash_cnt[2773][4]~65709\ $ (GND))) # (!\led_flash_cnt[2773][5]~q\ & (!\led_flash_cnt[2773][4]~65709\ & VCC))
-- \led_flash_cnt[2773][5]~65711\ = CARRY((\led_flash_cnt[2773][5]~q\ & !\led_flash_cnt[2773][4]~65709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2773][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2773][4]~65709\,
	combout => \led_flash_cnt[2773][5]~65710_combout\,
	cout => \led_flash_cnt[2773][5]~65711\);

-- Location: FF_X32_Y11_N15
\led_flash_cnt[2773][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2773][5]~65710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2773][5]~q\);

-- Location: LCCOMB_X32_Y11_N16
\led_flash_cnt[2773][6]~65712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2773][6]~65712_combout\ = (\led_flash_cnt[2773][6]~q\ & (!\led_flash_cnt[2773][5]~65711\)) # (!\led_flash_cnt[2773][6]~q\ & ((\led_flash_cnt[2773][5]~65711\) # (GND)))
-- \led_flash_cnt[2773][6]~65713\ = CARRY((!\led_flash_cnt[2773][5]~65711\) # (!\led_flash_cnt[2773][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2773][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2773][5]~65711\,
	combout => \led_flash_cnt[2773][6]~65712_combout\,
	cout => \led_flash_cnt[2773][6]~65713\);

-- Location: FF_X32_Y11_N17
\led_flash_cnt[2773][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2773][6]~65712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2773][6]~q\);

-- Location: LCCOMB_X32_Y11_N18
\led_flash_cnt[2773][7]~65714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2773][7]~65714_combout\ = \led_flash_cnt[2773][7]~q\ $ (!\led_flash_cnt[2773][6]~65713\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2773][7]~q\,
	cin => \led_flash_cnt[2773][6]~65713\,
	combout => \led_flash_cnt[2773][7]~65714_combout\);

-- Location: FF_X32_Y11_N19
\led_flash_cnt[2773][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2773][7]~65714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2773][7]~q\);

-- Location: LCCOMB_X32_Y11_N20
\WideAnd2773~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2773~0_combout\ = (\led_flash_cnt[2773][1]~q\ & (\led_flash_cnt[2773][4]~q\ & (\led_flash_cnt[2773][2]~q\ & \led_flash_cnt[2773][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2773][1]~q\,
	datab => \led_flash_cnt[2773][4]~q\,
	datac => \led_flash_cnt[2773][2]~q\,
	datad => \led_flash_cnt[2773][3]~q\,
	combout => \WideAnd2773~0_combout\);

-- Location: LCCOMB_X32_Y11_N28
\WideAnd2773~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2773~1_combout\ = (\led_flash_cnt[2773][5]~q\ & \led_flash_cnt[2773][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2773][5]~q\,
	datad => \led_flash_cnt[2773][6]~q\,
	combout => \WideAnd2773~1_combout\);

-- Location: LCCOMB_X32_Y11_N0
WideAnd2773 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2773~combout\ = (\led_flash_cnt[2773][7]~q\ & (\WideAnd2773~0_combout\ & (\led_flash_cnt[2773][0]~q\ & \WideAnd2773~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2773][7]~q\,
	datab => \WideAnd2773~0_combout\,
	datac => \led_flash_cnt[2773][0]~q\,
	datad => \WideAnd2773~1_combout\,
	combout => \WideAnd2773~combout\);

-- Location: FF_X32_Y11_N1
\led_flash_cnt_ands[2773]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2773~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2773));

-- Location: LCCOMB_X32_Y11_N26
\WideAnd4186~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4186~1_combout\ = (led_flash_cnt_ands(2772) & led_flash_cnt_ands(2773))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2772),
	datad => led_flash_cnt_ands(2773),
	combout => \WideAnd4186~1_combout\);

-- Location: LCCOMB_X34_Y15_N4
\led_flash_cnt[2771][0]~83411\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2771][0]~83411_combout\ = !\led_flash_cnt[2771][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2771][0]~q\,
	combout => \led_flash_cnt[2771][0]~83411_combout\);

-- Location: FF_X34_Y15_N5
\led_flash_cnt[2771][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2771][0]~83411_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2771][0]~q\);

-- Location: LCCOMB_X31_Y15_N6
\led_flash_cnt[2771][1]~65674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2771][1]~65674_combout\ = (\led_flash_cnt[2771][1]~q\ & (\led_flash_cnt[2771][0]~q\ $ (VCC))) # (!\led_flash_cnt[2771][1]~q\ & (\led_flash_cnt[2771][0]~q\ & VCC))
-- \led_flash_cnt[2771][1]~65675\ = CARRY((\led_flash_cnt[2771][1]~q\ & \led_flash_cnt[2771][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2771][1]~q\,
	datab => \led_flash_cnt[2771][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2771][1]~65674_combout\,
	cout => \led_flash_cnt[2771][1]~65675\);

-- Location: FF_X31_Y15_N7
\led_flash_cnt[2771][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2771][1]~65674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2771][1]~q\);

-- Location: LCCOMB_X31_Y15_N8
\led_flash_cnt[2771][2]~65676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2771][2]~65676_combout\ = (\led_flash_cnt[2771][2]~q\ & (!\led_flash_cnt[2771][1]~65675\)) # (!\led_flash_cnt[2771][2]~q\ & ((\led_flash_cnt[2771][1]~65675\) # (GND)))
-- \led_flash_cnt[2771][2]~65677\ = CARRY((!\led_flash_cnt[2771][1]~65675\) # (!\led_flash_cnt[2771][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2771][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2771][1]~65675\,
	combout => \led_flash_cnt[2771][2]~65676_combout\,
	cout => \led_flash_cnt[2771][2]~65677\);

-- Location: FF_X31_Y15_N9
\led_flash_cnt[2771][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2771][2]~65676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2771][2]~q\);

-- Location: LCCOMB_X31_Y15_N10
\led_flash_cnt[2771][3]~65678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2771][3]~65678_combout\ = (\led_flash_cnt[2771][3]~q\ & (\led_flash_cnt[2771][2]~65677\ $ (GND))) # (!\led_flash_cnt[2771][3]~q\ & (!\led_flash_cnt[2771][2]~65677\ & VCC))
-- \led_flash_cnt[2771][3]~65679\ = CARRY((\led_flash_cnt[2771][3]~q\ & !\led_flash_cnt[2771][2]~65677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2771][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2771][2]~65677\,
	combout => \led_flash_cnt[2771][3]~65678_combout\,
	cout => \led_flash_cnt[2771][3]~65679\);

-- Location: FF_X31_Y15_N11
\led_flash_cnt[2771][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2771][3]~65678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2771][3]~q\);

-- Location: LCCOMB_X31_Y15_N12
\led_flash_cnt[2771][4]~65680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2771][4]~65680_combout\ = (\led_flash_cnt[2771][4]~q\ & (!\led_flash_cnt[2771][3]~65679\)) # (!\led_flash_cnt[2771][4]~q\ & ((\led_flash_cnt[2771][3]~65679\) # (GND)))
-- \led_flash_cnt[2771][4]~65681\ = CARRY((!\led_flash_cnt[2771][3]~65679\) # (!\led_flash_cnt[2771][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2771][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2771][3]~65679\,
	combout => \led_flash_cnt[2771][4]~65680_combout\,
	cout => \led_flash_cnt[2771][4]~65681\);

-- Location: FF_X31_Y15_N13
\led_flash_cnt[2771][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2771][4]~65680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2771][4]~q\);

-- Location: LCCOMB_X31_Y15_N14
\led_flash_cnt[2771][5]~65682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2771][5]~65682_combout\ = (\led_flash_cnt[2771][5]~q\ & (\led_flash_cnt[2771][4]~65681\ $ (GND))) # (!\led_flash_cnt[2771][5]~q\ & (!\led_flash_cnt[2771][4]~65681\ & VCC))
-- \led_flash_cnt[2771][5]~65683\ = CARRY((\led_flash_cnt[2771][5]~q\ & !\led_flash_cnt[2771][4]~65681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2771][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2771][4]~65681\,
	combout => \led_flash_cnt[2771][5]~65682_combout\,
	cout => \led_flash_cnt[2771][5]~65683\);

-- Location: FF_X31_Y15_N15
\led_flash_cnt[2771][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2771][5]~65682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2771][5]~q\);

-- Location: LCCOMB_X31_Y15_N16
\led_flash_cnt[2771][6]~65684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2771][6]~65684_combout\ = (\led_flash_cnt[2771][6]~q\ & (!\led_flash_cnt[2771][5]~65683\)) # (!\led_flash_cnt[2771][6]~q\ & ((\led_flash_cnt[2771][5]~65683\) # (GND)))
-- \led_flash_cnt[2771][6]~65685\ = CARRY((!\led_flash_cnt[2771][5]~65683\) # (!\led_flash_cnt[2771][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2771][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2771][5]~65683\,
	combout => \led_flash_cnt[2771][6]~65684_combout\,
	cout => \led_flash_cnt[2771][6]~65685\);

-- Location: FF_X31_Y15_N17
\led_flash_cnt[2771][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2771][6]~65684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2771][6]~q\);

-- Location: LCCOMB_X31_Y15_N18
\led_flash_cnt[2771][7]~65686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2771][7]~65686_combout\ = \led_flash_cnt[2771][7]~q\ $ (!\led_flash_cnt[2771][6]~65685\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2771][7]~q\,
	cin => \led_flash_cnt[2771][6]~65685\,
	combout => \led_flash_cnt[2771][7]~65686_combout\);

-- Location: FF_X31_Y15_N19
\led_flash_cnt[2771][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2771][7]~65686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2771][7]~q\);

-- Location: LCCOMB_X31_Y15_N28
\WideAnd2771~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2771~1_combout\ = (\led_flash_cnt[2771][7]~q\ & \led_flash_cnt[2771][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2771][7]~q\,
	datac => \led_flash_cnt[2771][0]~q\,
	combout => \WideAnd2771~1_combout\);

-- Location: LCCOMB_X31_Y15_N0
\WideAnd2771~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2771~0_combout\ = (\led_flash_cnt[2771][1]~q\ & (\led_flash_cnt[2771][6]~q\ & (\led_flash_cnt[2771][2]~q\ & \led_flash_cnt[2771][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2771][1]~q\,
	datab => \led_flash_cnt[2771][6]~q\,
	datac => \led_flash_cnt[2771][2]~q\,
	datad => \led_flash_cnt[2771][3]~q\,
	combout => \WideAnd2771~0_combout\);

-- Location: LCCOMB_X31_Y15_N24
WideAnd2771 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2771~combout\ = (\led_flash_cnt[2771][4]~q\ & (\WideAnd2771~1_combout\ & (\led_flash_cnt[2771][5]~q\ & \WideAnd2771~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2771][4]~q\,
	datab => \WideAnd2771~1_combout\,
	datac => \led_flash_cnt[2771][5]~q\,
	datad => \WideAnd2771~0_combout\,
	combout => \WideAnd2771~combout\);

-- Location: FF_X31_Y15_N25
\led_flash_cnt_ands[2771]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2771~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2771));

-- Location: LCCOMB_X26_Y18_N30
\led_flash_cnt[2768][0]~83408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2768][0]~83408_combout\ = !\led_flash_cnt[2768][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2768][0]~q\,
	combout => \led_flash_cnt[2768][0]~83408_combout\);

-- Location: FF_X26_Y18_N31
\led_flash_cnt[2768][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2768][0]~83408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2768][0]~q\);

-- Location: LCCOMB_X26_Y18_N16
\led_flash_cnt[2768][1]~65632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2768][1]~65632_combout\ = (\led_flash_cnt[2768][0]~q\ & (\led_flash_cnt[2768][1]~q\ $ (VCC))) # (!\led_flash_cnt[2768][0]~q\ & (\led_flash_cnt[2768][1]~q\ & VCC))
-- \led_flash_cnt[2768][1]~65633\ = CARRY((\led_flash_cnt[2768][0]~q\ & \led_flash_cnt[2768][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2768][0]~q\,
	datab => \led_flash_cnt[2768][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2768][1]~65632_combout\,
	cout => \led_flash_cnt[2768][1]~65633\);

-- Location: FF_X26_Y18_N17
\led_flash_cnt[2768][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2768][1]~65632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2768][1]~q\);

-- Location: LCCOMB_X26_Y18_N18
\led_flash_cnt[2768][2]~65634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2768][2]~65634_combout\ = (\led_flash_cnt[2768][2]~q\ & (!\led_flash_cnt[2768][1]~65633\)) # (!\led_flash_cnt[2768][2]~q\ & ((\led_flash_cnt[2768][1]~65633\) # (GND)))
-- \led_flash_cnt[2768][2]~65635\ = CARRY((!\led_flash_cnt[2768][1]~65633\) # (!\led_flash_cnt[2768][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2768][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2768][1]~65633\,
	combout => \led_flash_cnt[2768][2]~65634_combout\,
	cout => \led_flash_cnt[2768][2]~65635\);

-- Location: FF_X26_Y18_N19
\led_flash_cnt[2768][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2768][2]~65634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2768][2]~q\);

-- Location: LCCOMB_X26_Y18_N20
\led_flash_cnt[2768][3]~65636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2768][3]~65636_combout\ = (\led_flash_cnt[2768][3]~q\ & (\led_flash_cnt[2768][2]~65635\ $ (GND))) # (!\led_flash_cnt[2768][3]~q\ & (!\led_flash_cnt[2768][2]~65635\ & VCC))
-- \led_flash_cnt[2768][3]~65637\ = CARRY((\led_flash_cnt[2768][3]~q\ & !\led_flash_cnt[2768][2]~65635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2768][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2768][2]~65635\,
	combout => \led_flash_cnt[2768][3]~65636_combout\,
	cout => \led_flash_cnt[2768][3]~65637\);

-- Location: FF_X26_Y18_N21
\led_flash_cnt[2768][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2768][3]~65636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2768][3]~q\);

-- Location: LCCOMB_X26_Y18_N22
\led_flash_cnt[2768][4]~65638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2768][4]~65638_combout\ = (\led_flash_cnt[2768][4]~q\ & (!\led_flash_cnt[2768][3]~65637\)) # (!\led_flash_cnt[2768][4]~q\ & ((\led_flash_cnt[2768][3]~65637\) # (GND)))
-- \led_flash_cnt[2768][4]~65639\ = CARRY((!\led_flash_cnt[2768][3]~65637\) # (!\led_flash_cnt[2768][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2768][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2768][3]~65637\,
	combout => \led_flash_cnt[2768][4]~65638_combout\,
	cout => \led_flash_cnt[2768][4]~65639\);

-- Location: FF_X26_Y18_N23
\led_flash_cnt[2768][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2768][4]~65638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2768][4]~q\);

-- Location: LCCOMB_X26_Y18_N24
\led_flash_cnt[2768][5]~65640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2768][5]~65640_combout\ = (\led_flash_cnt[2768][5]~q\ & (\led_flash_cnt[2768][4]~65639\ $ (GND))) # (!\led_flash_cnt[2768][5]~q\ & (!\led_flash_cnt[2768][4]~65639\ & VCC))
-- \led_flash_cnt[2768][5]~65641\ = CARRY((\led_flash_cnt[2768][5]~q\ & !\led_flash_cnt[2768][4]~65639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2768][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2768][4]~65639\,
	combout => \led_flash_cnt[2768][5]~65640_combout\,
	cout => \led_flash_cnt[2768][5]~65641\);

-- Location: FF_X26_Y18_N25
\led_flash_cnt[2768][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2768][5]~65640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2768][5]~q\);

-- Location: LCCOMB_X26_Y18_N26
\led_flash_cnt[2768][6]~65642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2768][6]~65642_combout\ = (\led_flash_cnt[2768][6]~q\ & (!\led_flash_cnt[2768][5]~65641\)) # (!\led_flash_cnt[2768][6]~q\ & ((\led_flash_cnt[2768][5]~65641\) # (GND)))
-- \led_flash_cnt[2768][6]~65643\ = CARRY((!\led_flash_cnt[2768][5]~65641\) # (!\led_flash_cnt[2768][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2768][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2768][5]~65641\,
	combout => \led_flash_cnt[2768][6]~65642_combout\,
	cout => \led_flash_cnt[2768][6]~65643\);

-- Location: FF_X26_Y18_N27
\led_flash_cnt[2768][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2768][6]~65642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2768][6]~q\);

-- Location: LCCOMB_X26_Y18_N28
\led_flash_cnt[2768][7]~65644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2768][7]~65644_combout\ = \led_flash_cnt[2768][6]~65643\ $ (!\led_flash_cnt[2768][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2768][7]~q\,
	cin => \led_flash_cnt[2768][6]~65643\,
	combout => \led_flash_cnt[2768][7]~65644_combout\);

-- Location: FF_X26_Y18_N29
\led_flash_cnt[2768][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2768][7]~65644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2768][7]~q\);

-- Location: LCCOMB_X26_Y18_N14
\WideAnd2768~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2768~0_combout\ = (\led_flash_cnt[2768][2]~q\ & (\led_flash_cnt[2768][1]~q\ & (\led_flash_cnt[2768][4]~q\ & \led_flash_cnt[2768][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2768][2]~q\,
	datab => \led_flash_cnt[2768][1]~q\,
	datac => \led_flash_cnt[2768][4]~q\,
	datad => \led_flash_cnt[2768][3]~q\,
	combout => \WideAnd2768~0_combout\);

-- Location: LCCOMB_X26_Y18_N10
\WideAnd2768~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2768~1_combout\ = (\led_flash_cnt[2768][6]~q\ & \led_flash_cnt[2768][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2768][6]~q\,
	datad => \led_flash_cnt[2768][5]~q\,
	combout => \WideAnd2768~1_combout\);

-- Location: LCCOMB_X26_Y18_N2
WideAnd2768 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2768~combout\ = (\led_flash_cnt[2768][0]~q\ & (\led_flash_cnt[2768][7]~q\ & (\WideAnd2768~0_combout\ & \WideAnd2768~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2768][0]~q\,
	datab => \led_flash_cnt[2768][7]~q\,
	datac => \WideAnd2768~0_combout\,
	datad => \WideAnd2768~1_combout\,
	combout => \WideAnd2768~combout\);

-- Location: FF_X26_Y18_N3
\led_flash_cnt_ands[2768]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2768~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2768));

-- Location: LCCOMB_X26_Y18_N6
\led_flash_cnt[2769][0]~83409\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2769][0]~83409_combout\ = !\led_flash_cnt[2769][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2769][0]~q\,
	combout => \led_flash_cnt[2769][0]~83409_combout\);

-- Location: FF_X26_Y18_N7
\led_flash_cnt[2769][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2769][0]~83409_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2769][0]~q\);

-- Location: LCCOMB_X27_Y18_N0
\led_flash_cnt[2769][1]~65646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2769][1]~65646_combout\ = (\led_flash_cnt[2769][1]~q\ & (\led_flash_cnt[2769][0]~q\ $ (VCC))) # (!\led_flash_cnt[2769][1]~q\ & (\led_flash_cnt[2769][0]~q\ & VCC))
-- \led_flash_cnt[2769][1]~65647\ = CARRY((\led_flash_cnt[2769][1]~q\ & \led_flash_cnt[2769][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2769][1]~q\,
	datab => \led_flash_cnt[2769][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2769][1]~65646_combout\,
	cout => \led_flash_cnt[2769][1]~65647\);

-- Location: FF_X27_Y18_N1
\led_flash_cnt[2769][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2769][1]~65646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2769][1]~q\);

-- Location: LCCOMB_X27_Y18_N2
\led_flash_cnt[2769][2]~65648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2769][2]~65648_combout\ = (\led_flash_cnt[2769][2]~q\ & (!\led_flash_cnt[2769][1]~65647\)) # (!\led_flash_cnt[2769][2]~q\ & ((\led_flash_cnt[2769][1]~65647\) # (GND)))
-- \led_flash_cnt[2769][2]~65649\ = CARRY((!\led_flash_cnt[2769][1]~65647\) # (!\led_flash_cnt[2769][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2769][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2769][1]~65647\,
	combout => \led_flash_cnt[2769][2]~65648_combout\,
	cout => \led_flash_cnt[2769][2]~65649\);

-- Location: FF_X27_Y18_N3
\led_flash_cnt[2769][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2769][2]~65648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2769][2]~q\);

-- Location: LCCOMB_X27_Y18_N4
\led_flash_cnt[2769][3]~65650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2769][3]~65650_combout\ = (\led_flash_cnt[2769][3]~q\ & (\led_flash_cnt[2769][2]~65649\ $ (GND))) # (!\led_flash_cnt[2769][3]~q\ & (!\led_flash_cnt[2769][2]~65649\ & VCC))
-- \led_flash_cnt[2769][3]~65651\ = CARRY((\led_flash_cnt[2769][3]~q\ & !\led_flash_cnt[2769][2]~65649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2769][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2769][2]~65649\,
	combout => \led_flash_cnt[2769][3]~65650_combout\,
	cout => \led_flash_cnt[2769][3]~65651\);

-- Location: FF_X27_Y18_N5
\led_flash_cnt[2769][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2769][3]~65650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2769][3]~q\);

-- Location: LCCOMB_X27_Y18_N6
\led_flash_cnt[2769][4]~65652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2769][4]~65652_combout\ = (\led_flash_cnt[2769][4]~q\ & (!\led_flash_cnt[2769][3]~65651\)) # (!\led_flash_cnt[2769][4]~q\ & ((\led_flash_cnt[2769][3]~65651\) # (GND)))
-- \led_flash_cnt[2769][4]~65653\ = CARRY((!\led_flash_cnt[2769][3]~65651\) # (!\led_flash_cnt[2769][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2769][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2769][3]~65651\,
	combout => \led_flash_cnt[2769][4]~65652_combout\,
	cout => \led_flash_cnt[2769][4]~65653\);

-- Location: FF_X27_Y18_N7
\led_flash_cnt[2769][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2769][4]~65652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2769][4]~q\);

-- Location: LCCOMB_X26_Y18_N12
\WideAnd2769~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2769~0_combout\ = (\led_flash_cnt[2769][2]~q\ & (\led_flash_cnt[2769][3]~q\ & (\led_flash_cnt[2769][1]~q\ & \led_flash_cnt[2769][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2769][2]~q\,
	datab => \led_flash_cnt[2769][3]~q\,
	datac => \led_flash_cnt[2769][1]~q\,
	datad => \led_flash_cnt[2769][4]~q\,
	combout => \WideAnd2769~0_combout\);

-- Location: LCCOMB_X27_Y18_N8
\led_flash_cnt[2769][5]~65654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2769][5]~65654_combout\ = (\led_flash_cnt[2769][5]~q\ & (\led_flash_cnt[2769][4]~65653\ $ (GND))) # (!\led_flash_cnt[2769][5]~q\ & (!\led_flash_cnt[2769][4]~65653\ & VCC))
-- \led_flash_cnt[2769][5]~65655\ = CARRY((\led_flash_cnt[2769][5]~q\ & !\led_flash_cnt[2769][4]~65653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2769][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2769][4]~65653\,
	combout => \led_flash_cnt[2769][5]~65654_combout\,
	cout => \led_flash_cnt[2769][5]~65655\);

-- Location: FF_X27_Y18_N9
\led_flash_cnt[2769][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2769][5]~65654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2769][5]~q\);

-- Location: LCCOMB_X27_Y18_N10
\led_flash_cnt[2769][6]~65656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2769][6]~65656_combout\ = (\led_flash_cnt[2769][6]~q\ & (!\led_flash_cnt[2769][5]~65655\)) # (!\led_flash_cnt[2769][6]~q\ & ((\led_flash_cnt[2769][5]~65655\) # (GND)))
-- \led_flash_cnt[2769][6]~65657\ = CARRY((!\led_flash_cnt[2769][5]~65655\) # (!\led_flash_cnt[2769][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2769][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2769][5]~65655\,
	combout => \led_flash_cnt[2769][6]~65656_combout\,
	cout => \led_flash_cnt[2769][6]~65657\);

-- Location: FF_X27_Y18_N11
\led_flash_cnt[2769][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2769][6]~65656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2769][6]~q\);

-- Location: LCCOMB_X26_Y18_N8
\WideAnd2769~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2769~1_combout\ = (\led_flash_cnt[2769][5]~q\ & \led_flash_cnt[2769][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2769][5]~q\,
	datac => \led_flash_cnt[2769][6]~q\,
	combout => \WideAnd2769~1_combout\);

-- Location: LCCOMB_X27_Y18_N12
\led_flash_cnt[2769][7]~65658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2769][7]~65658_combout\ = \led_flash_cnt[2769][6]~65657\ $ (!\led_flash_cnt[2769][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2769][7]~q\,
	cin => \led_flash_cnt[2769][6]~65657\,
	combout => \led_flash_cnt[2769][7]~65658_combout\);

-- Location: FF_X27_Y18_N13
\led_flash_cnt[2769][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2769][7]~65658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2769][7]~q\);

-- Location: LCCOMB_X26_Y18_N4
WideAnd2769 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2769~combout\ = (\WideAnd2769~0_combout\ & (\WideAnd2769~1_combout\ & (\led_flash_cnt[2769][7]~q\ & \led_flash_cnt[2769][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2769~0_combout\,
	datab => \WideAnd2769~1_combout\,
	datac => \led_flash_cnt[2769][7]~q\,
	datad => \led_flash_cnt[2769][0]~q\,
	combout => \WideAnd2769~combout\);

-- Location: FF_X26_Y18_N5
\led_flash_cnt_ands[2769]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2769~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2769));

-- Location: LCCOMB_X26_Y21_N12
\led_flash_cnt[2770][0]~83410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2770][0]~83410_combout\ = !\led_flash_cnt[2770][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2770][0]~q\,
	combout => \led_flash_cnt[2770][0]~83410_combout\);

-- Location: FF_X26_Y21_N13
\led_flash_cnt[2770][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2770][0]~83410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2770][0]~q\);

-- Location: LCCOMB_X26_Y21_N18
\led_flash_cnt[2770][1]~65660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2770][1]~65660_combout\ = (\led_flash_cnt[2770][0]~q\ & (\led_flash_cnt[2770][1]~q\ $ (VCC))) # (!\led_flash_cnt[2770][0]~q\ & (\led_flash_cnt[2770][1]~q\ & VCC))
-- \led_flash_cnt[2770][1]~65661\ = CARRY((\led_flash_cnt[2770][0]~q\ & \led_flash_cnt[2770][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2770][0]~q\,
	datab => \led_flash_cnt[2770][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2770][1]~65660_combout\,
	cout => \led_flash_cnt[2770][1]~65661\);

-- Location: FF_X26_Y21_N19
\led_flash_cnt[2770][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2770][1]~65660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2770][1]~q\);

-- Location: LCCOMB_X26_Y21_N20
\led_flash_cnt[2770][2]~65662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2770][2]~65662_combout\ = (\led_flash_cnt[2770][2]~q\ & (!\led_flash_cnt[2770][1]~65661\)) # (!\led_flash_cnt[2770][2]~q\ & ((\led_flash_cnt[2770][1]~65661\) # (GND)))
-- \led_flash_cnt[2770][2]~65663\ = CARRY((!\led_flash_cnt[2770][1]~65661\) # (!\led_flash_cnt[2770][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2770][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2770][1]~65661\,
	combout => \led_flash_cnt[2770][2]~65662_combout\,
	cout => \led_flash_cnt[2770][2]~65663\);

-- Location: FF_X26_Y21_N21
\led_flash_cnt[2770][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2770][2]~65662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2770][2]~q\);

-- Location: LCCOMB_X26_Y21_N22
\led_flash_cnt[2770][3]~65664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2770][3]~65664_combout\ = (\led_flash_cnt[2770][3]~q\ & (\led_flash_cnt[2770][2]~65663\ $ (GND))) # (!\led_flash_cnt[2770][3]~q\ & (!\led_flash_cnt[2770][2]~65663\ & VCC))
-- \led_flash_cnt[2770][3]~65665\ = CARRY((\led_flash_cnt[2770][3]~q\ & !\led_flash_cnt[2770][2]~65663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2770][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2770][2]~65663\,
	combout => \led_flash_cnt[2770][3]~65664_combout\,
	cout => \led_flash_cnt[2770][3]~65665\);

-- Location: FF_X26_Y21_N23
\led_flash_cnt[2770][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2770][3]~65664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2770][3]~q\);

-- Location: LCCOMB_X26_Y21_N24
\led_flash_cnt[2770][4]~65666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2770][4]~65666_combout\ = (\led_flash_cnt[2770][4]~q\ & (!\led_flash_cnt[2770][3]~65665\)) # (!\led_flash_cnt[2770][4]~q\ & ((\led_flash_cnt[2770][3]~65665\) # (GND)))
-- \led_flash_cnt[2770][4]~65667\ = CARRY((!\led_flash_cnt[2770][3]~65665\) # (!\led_flash_cnt[2770][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2770][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2770][3]~65665\,
	combout => \led_flash_cnt[2770][4]~65666_combout\,
	cout => \led_flash_cnt[2770][4]~65667\);

-- Location: FF_X26_Y21_N25
\led_flash_cnt[2770][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2770][4]~65666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2770][4]~q\);

-- Location: LCCOMB_X26_Y21_N26
\led_flash_cnt[2770][5]~65668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2770][5]~65668_combout\ = (\led_flash_cnt[2770][5]~q\ & (\led_flash_cnt[2770][4]~65667\ $ (GND))) # (!\led_flash_cnt[2770][5]~q\ & (!\led_flash_cnt[2770][4]~65667\ & VCC))
-- \led_flash_cnt[2770][5]~65669\ = CARRY((\led_flash_cnt[2770][5]~q\ & !\led_flash_cnt[2770][4]~65667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2770][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2770][4]~65667\,
	combout => \led_flash_cnt[2770][5]~65668_combout\,
	cout => \led_flash_cnt[2770][5]~65669\);

-- Location: FF_X26_Y21_N27
\led_flash_cnt[2770][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2770][5]~65668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2770][5]~q\);

-- Location: LCCOMB_X26_Y21_N28
\led_flash_cnt[2770][6]~65670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2770][6]~65670_combout\ = (\led_flash_cnt[2770][6]~q\ & (!\led_flash_cnt[2770][5]~65669\)) # (!\led_flash_cnt[2770][6]~q\ & ((\led_flash_cnt[2770][5]~65669\) # (GND)))
-- \led_flash_cnt[2770][6]~65671\ = CARRY((!\led_flash_cnt[2770][5]~65669\) # (!\led_flash_cnt[2770][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2770][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2770][5]~65669\,
	combout => \led_flash_cnt[2770][6]~65670_combout\,
	cout => \led_flash_cnt[2770][6]~65671\);

-- Location: FF_X26_Y21_N29
\led_flash_cnt[2770][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2770][6]~65670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2770][6]~q\);

-- Location: LCCOMB_X26_Y21_N10
\WideAnd2770~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2770~1_combout\ = (\led_flash_cnt[2770][5]~q\ & \led_flash_cnt[2770][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2770][5]~q\,
	datad => \led_flash_cnt[2770][6]~q\,
	combout => \WideAnd2770~1_combout\);

-- Location: LCCOMB_X26_Y21_N8
\WideAnd2770~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2770~0_combout\ = (\led_flash_cnt[2770][4]~q\ & (\led_flash_cnt[2770][1]~q\ & (\led_flash_cnt[2770][3]~q\ & \led_flash_cnt[2770][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2770][4]~q\,
	datab => \led_flash_cnt[2770][1]~q\,
	datac => \led_flash_cnt[2770][3]~q\,
	datad => \led_flash_cnt[2770][2]~q\,
	combout => \WideAnd2770~0_combout\);

-- Location: LCCOMB_X26_Y21_N30
\led_flash_cnt[2770][7]~65672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2770][7]~65672_combout\ = \led_flash_cnt[2770][7]~q\ $ (!\led_flash_cnt[2770][6]~65671\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2770][7]~q\,
	cin => \led_flash_cnt[2770][6]~65671\,
	combout => \led_flash_cnt[2770][7]~65672_combout\);

-- Location: FF_X26_Y21_N31
\led_flash_cnt[2770][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2770][7]~65672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2770][7]~q\);

-- Location: LCCOMB_X26_Y21_N16
WideAnd2770 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2770~combout\ = (\WideAnd2770~1_combout\ & (\WideAnd2770~0_combout\ & (\led_flash_cnt[2770][7]~q\ & \led_flash_cnt[2770][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2770~1_combout\,
	datab => \WideAnd2770~0_combout\,
	datac => \led_flash_cnt[2770][7]~q\,
	datad => \led_flash_cnt[2770][0]~q\,
	combout => \WideAnd2770~combout\);

-- Location: FF_X26_Y21_N17
\led_flash_cnt_ands[2770]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2770~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2770));

-- Location: LCCOMB_X26_Y18_N0
\WideAnd4186~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4186~0_combout\ = (led_flash_cnt_ands(2771) & (led_flash_cnt_ands(2768) & (led_flash_cnt_ands(2769) & led_flash_cnt_ands(2770))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2771),
	datab => led_flash_cnt_ands(2768),
	datac => led_flash_cnt_ands(2769),
	datad => led_flash_cnt_ands(2770),
	combout => \WideAnd4186~0_combout\);

-- Location: LCCOMB_X29_Y15_N2
WideAnd4186 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4186~combout\ = (led_flash_cnt_ands(2774) & (led_flash_cnt_ands(2775) & (\WideAnd4186~1_combout\ & \WideAnd4186~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2774),
	datab => led_flash_cnt_ands(2775),
	datac => \WideAnd4186~1_combout\,
	datad => \WideAnd4186~0_combout\,
	combout => \WideAnd4186~combout\);

-- Location: FF_X29_Y15_N3
\led_flash_cnt_ands_1[346]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4186~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(346));

-- Location: LCCOMB_X31_Y4_N2
\led_flash_cnt[2780][0]~83420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2780][0]~83420_combout\ = !\led_flash_cnt[2780][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2780][0]~q\,
	combout => \led_flash_cnt[2780][0]~83420_combout\);

-- Location: FF_X31_Y4_N3
\led_flash_cnt[2780][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2780][0]~83420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2780][0]~q\);

-- Location: LCCOMB_X30_Y4_N0
\led_flash_cnt[2780][1]~65800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2780][1]~65800_combout\ = (\led_flash_cnt[2780][0]~q\ & (\led_flash_cnt[2780][1]~q\ $ (VCC))) # (!\led_flash_cnt[2780][0]~q\ & (\led_flash_cnt[2780][1]~q\ & VCC))
-- \led_flash_cnt[2780][1]~65801\ = CARRY((\led_flash_cnt[2780][0]~q\ & \led_flash_cnt[2780][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2780][0]~q\,
	datab => \led_flash_cnt[2780][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2780][1]~65800_combout\,
	cout => \led_flash_cnt[2780][1]~65801\);

-- Location: FF_X30_Y4_N1
\led_flash_cnt[2780][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2780][1]~65800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2780][1]~q\);

-- Location: LCCOMB_X30_Y4_N2
\led_flash_cnt[2780][2]~65802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2780][2]~65802_combout\ = (\led_flash_cnt[2780][2]~q\ & (!\led_flash_cnt[2780][1]~65801\)) # (!\led_flash_cnt[2780][2]~q\ & ((\led_flash_cnt[2780][1]~65801\) # (GND)))
-- \led_flash_cnt[2780][2]~65803\ = CARRY((!\led_flash_cnt[2780][1]~65801\) # (!\led_flash_cnt[2780][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2780][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2780][1]~65801\,
	combout => \led_flash_cnt[2780][2]~65802_combout\,
	cout => \led_flash_cnt[2780][2]~65803\);

-- Location: FF_X30_Y4_N3
\led_flash_cnt[2780][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2780][2]~65802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2780][2]~q\);

-- Location: LCCOMB_X30_Y4_N4
\led_flash_cnt[2780][3]~65804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2780][3]~65804_combout\ = (\led_flash_cnt[2780][3]~q\ & (\led_flash_cnt[2780][2]~65803\ $ (GND))) # (!\led_flash_cnt[2780][3]~q\ & (!\led_flash_cnt[2780][2]~65803\ & VCC))
-- \led_flash_cnt[2780][3]~65805\ = CARRY((\led_flash_cnt[2780][3]~q\ & !\led_flash_cnt[2780][2]~65803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2780][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2780][2]~65803\,
	combout => \led_flash_cnt[2780][3]~65804_combout\,
	cout => \led_flash_cnt[2780][3]~65805\);

-- Location: FF_X30_Y4_N5
\led_flash_cnt[2780][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2780][3]~65804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2780][3]~q\);

-- Location: LCCOMB_X30_Y4_N6
\led_flash_cnt[2780][4]~65806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2780][4]~65806_combout\ = (\led_flash_cnt[2780][4]~q\ & (!\led_flash_cnt[2780][3]~65805\)) # (!\led_flash_cnt[2780][4]~q\ & ((\led_flash_cnt[2780][3]~65805\) # (GND)))
-- \led_flash_cnt[2780][4]~65807\ = CARRY((!\led_flash_cnt[2780][3]~65805\) # (!\led_flash_cnt[2780][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2780][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2780][3]~65805\,
	combout => \led_flash_cnt[2780][4]~65806_combout\,
	cout => \led_flash_cnt[2780][4]~65807\);

-- Location: FF_X30_Y4_N7
\led_flash_cnt[2780][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2780][4]~65806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2780][4]~q\);

-- Location: LCCOMB_X30_Y4_N8
\led_flash_cnt[2780][5]~65808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2780][5]~65808_combout\ = (\led_flash_cnt[2780][5]~q\ & (\led_flash_cnt[2780][4]~65807\ $ (GND))) # (!\led_flash_cnt[2780][5]~q\ & (!\led_flash_cnt[2780][4]~65807\ & VCC))
-- \led_flash_cnt[2780][5]~65809\ = CARRY((\led_flash_cnt[2780][5]~q\ & !\led_flash_cnt[2780][4]~65807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2780][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2780][4]~65807\,
	combout => \led_flash_cnt[2780][5]~65808_combout\,
	cout => \led_flash_cnt[2780][5]~65809\);

-- Location: FF_X30_Y4_N9
\led_flash_cnt[2780][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2780][5]~65808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2780][5]~q\);

-- Location: LCCOMB_X30_Y4_N10
\led_flash_cnt[2780][6]~65810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2780][6]~65810_combout\ = (\led_flash_cnt[2780][6]~q\ & (!\led_flash_cnt[2780][5]~65809\)) # (!\led_flash_cnt[2780][6]~q\ & ((\led_flash_cnt[2780][5]~65809\) # (GND)))
-- \led_flash_cnt[2780][6]~65811\ = CARRY((!\led_flash_cnt[2780][5]~65809\) # (!\led_flash_cnt[2780][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2780][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2780][5]~65809\,
	combout => \led_flash_cnt[2780][6]~65810_combout\,
	cout => \led_flash_cnt[2780][6]~65811\);

-- Location: FF_X30_Y4_N11
\led_flash_cnt[2780][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2780][6]~65810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2780][6]~q\);

-- Location: LCCOMB_X30_Y4_N12
\led_flash_cnt[2780][7]~65812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2780][7]~65812_combout\ = \led_flash_cnt[2780][6]~65811\ $ (!\led_flash_cnt[2780][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2780][7]~q\,
	cin => \led_flash_cnt[2780][6]~65811\,
	combout => \led_flash_cnt[2780][7]~65812_combout\);

-- Location: FF_X30_Y4_N13
\led_flash_cnt[2780][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2780][7]~65812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2780][7]~q\);

-- Location: LCCOMB_X31_Y4_N26
\WideAnd2780~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2780~1_combout\ = (\led_flash_cnt[2780][6]~q\ & \led_flash_cnt[2780][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2780][6]~q\,
	datad => \led_flash_cnt[2780][5]~q\,
	combout => \WideAnd2780~1_combout\);

-- Location: LCCOMB_X30_Y4_N14
\WideAnd2780~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2780~0_combout\ = (\led_flash_cnt[2780][4]~q\ & (\led_flash_cnt[2780][1]~q\ & (\led_flash_cnt[2780][3]~q\ & \led_flash_cnt[2780][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2780][4]~q\,
	datab => \led_flash_cnt[2780][1]~q\,
	datac => \led_flash_cnt[2780][3]~q\,
	datad => \led_flash_cnt[2780][2]~q\,
	combout => \WideAnd2780~0_combout\);

-- Location: LCCOMB_X31_Y4_N8
WideAnd2780 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2780~combout\ = (\led_flash_cnt[2780][7]~q\ & (\led_flash_cnt[2780][0]~q\ & (\WideAnd2780~1_combout\ & \WideAnd2780~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2780][7]~q\,
	datab => \led_flash_cnt[2780][0]~q\,
	datac => \WideAnd2780~1_combout\,
	datad => \WideAnd2780~0_combout\,
	combout => \WideAnd2780~combout\);

-- Location: FF_X31_Y4_N9
\led_flash_cnt_ands[2780]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2780~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2780));

-- Location: LCCOMB_X31_Y4_N28
\led_flash_cnt[2781][0]~83421\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2781][0]~83421_combout\ = !\led_flash_cnt[2781][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2781][0]~q\,
	combout => \led_flash_cnt[2781][0]~83421_combout\);

-- Location: FF_X31_Y4_N29
\led_flash_cnt[2781][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2781][0]~83421_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2781][0]~q\);

-- Location: LCCOMB_X31_Y4_N12
\led_flash_cnt[2781][1]~65814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2781][1]~65814_combout\ = (\led_flash_cnt[2781][1]~q\ & (\led_flash_cnt[2781][0]~q\ $ (VCC))) # (!\led_flash_cnt[2781][1]~q\ & (\led_flash_cnt[2781][0]~q\ & VCC))
-- \led_flash_cnt[2781][1]~65815\ = CARRY((\led_flash_cnt[2781][1]~q\ & \led_flash_cnt[2781][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2781][1]~q\,
	datab => \led_flash_cnt[2781][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2781][1]~65814_combout\,
	cout => \led_flash_cnt[2781][1]~65815\);

-- Location: FF_X31_Y4_N13
\led_flash_cnt[2781][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2781][1]~65814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2781][1]~q\);

-- Location: LCCOMB_X31_Y4_N14
\led_flash_cnt[2781][2]~65816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2781][2]~65816_combout\ = (\led_flash_cnt[2781][2]~q\ & (!\led_flash_cnt[2781][1]~65815\)) # (!\led_flash_cnt[2781][2]~q\ & ((\led_flash_cnt[2781][1]~65815\) # (GND)))
-- \led_flash_cnt[2781][2]~65817\ = CARRY((!\led_flash_cnt[2781][1]~65815\) # (!\led_flash_cnt[2781][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2781][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2781][1]~65815\,
	combout => \led_flash_cnt[2781][2]~65816_combout\,
	cout => \led_flash_cnt[2781][2]~65817\);

-- Location: FF_X31_Y4_N15
\led_flash_cnt[2781][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2781][2]~65816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2781][2]~q\);

-- Location: LCCOMB_X31_Y4_N16
\led_flash_cnt[2781][3]~65818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2781][3]~65818_combout\ = (\led_flash_cnt[2781][3]~q\ & (\led_flash_cnt[2781][2]~65817\ $ (GND))) # (!\led_flash_cnt[2781][3]~q\ & (!\led_flash_cnt[2781][2]~65817\ & VCC))
-- \led_flash_cnt[2781][3]~65819\ = CARRY((\led_flash_cnt[2781][3]~q\ & !\led_flash_cnt[2781][2]~65817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2781][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2781][2]~65817\,
	combout => \led_flash_cnt[2781][3]~65818_combout\,
	cout => \led_flash_cnt[2781][3]~65819\);

-- Location: FF_X31_Y4_N17
\led_flash_cnt[2781][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2781][3]~65818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2781][3]~q\);

-- Location: LCCOMB_X31_Y4_N18
\led_flash_cnt[2781][4]~65820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2781][4]~65820_combout\ = (\led_flash_cnt[2781][4]~q\ & (!\led_flash_cnt[2781][3]~65819\)) # (!\led_flash_cnt[2781][4]~q\ & ((\led_flash_cnt[2781][3]~65819\) # (GND)))
-- \led_flash_cnt[2781][4]~65821\ = CARRY((!\led_flash_cnt[2781][3]~65819\) # (!\led_flash_cnt[2781][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2781][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2781][3]~65819\,
	combout => \led_flash_cnt[2781][4]~65820_combout\,
	cout => \led_flash_cnt[2781][4]~65821\);

-- Location: FF_X31_Y4_N19
\led_flash_cnt[2781][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2781][4]~65820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2781][4]~q\);

-- Location: LCCOMB_X31_Y4_N10
\WideAnd2781~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2781~0_combout\ = (\led_flash_cnt[2781][1]~q\ & (\led_flash_cnt[2781][3]~q\ & (\led_flash_cnt[2781][2]~q\ & \led_flash_cnt[2781][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2781][1]~q\,
	datab => \led_flash_cnt[2781][3]~q\,
	datac => \led_flash_cnt[2781][2]~q\,
	datad => \led_flash_cnt[2781][4]~q\,
	combout => \WideAnd2781~0_combout\);

-- Location: LCCOMB_X31_Y4_N20
\led_flash_cnt[2781][5]~65822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2781][5]~65822_combout\ = (\led_flash_cnt[2781][5]~q\ & (\led_flash_cnt[2781][4]~65821\ $ (GND))) # (!\led_flash_cnt[2781][5]~q\ & (!\led_flash_cnt[2781][4]~65821\ & VCC))
-- \led_flash_cnt[2781][5]~65823\ = CARRY((\led_flash_cnt[2781][5]~q\ & !\led_flash_cnt[2781][4]~65821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2781][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2781][4]~65821\,
	combout => \led_flash_cnt[2781][5]~65822_combout\,
	cout => \led_flash_cnt[2781][5]~65823\);

-- Location: FF_X31_Y4_N21
\led_flash_cnt[2781][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2781][5]~65822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2781][5]~q\);

-- Location: LCCOMB_X31_Y4_N22
\led_flash_cnt[2781][6]~65824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2781][6]~65824_combout\ = (\led_flash_cnt[2781][6]~q\ & (!\led_flash_cnt[2781][5]~65823\)) # (!\led_flash_cnt[2781][6]~q\ & ((\led_flash_cnt[2781][5]~65823\) # (GND)))
-- \led_flash_cnt[2781][6]~65825\ = CARRY((!\led_flash_cnt[2781][5]~65823\) # (!\led_flash_cnt[2781][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2781][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2781][5]~65823\,
	combout => \led_flash_cnt[2781][6]~65824_combout\,
	cout => \led_flash_cnt[2781][6]~65825\);

-- Location: FF_X31_Y4_N23
\led_flash_cnt[2781][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2781][6]~65824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2781][6]~q\);

-- Location: LCCOMB_X31_Y4_N30
\WideAnd2781~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2781~1_combout\ = (\led_flash_cnt[2781][6]~q\ & \led_flash_cnt[2781][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2781][6]~q\,
	datad => \led_flash_cnt[2781][5]~q\,
	combout => \WideAnd2781~1_combout\);

-- Location: LCCOMB_X31_Y4_N24
\led_flash_cnt[2781][7]~65826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2781][7]~65826_combout\ = \led_flash_cnt[2781][6]~65825\ $ (!\led_flash_cnt[2781][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2781][7]~q\,
	cin => \led_flash_cnt[2781][6]~65825\,
	combout => \led_flash_cnt[2781][7]~65826_combout\);

-- Location: FF_X31_Y4_N25
\led_flash_cnt[2781][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2781][7]~65826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2781][7]~q\);

-- Location: LCCOMB_X31_Y4_N6
WideAnd2781 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2781~combout\ = (\WideAnd2781~0_combout\ & (\led_flash_cnt[2781][0]~q\ & (\WideAnd2781~1_combout\ & \led_flash_cnt[2781][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2781~0_combout\,
	datab => \led_flash_cnt[2781][0]~q\,
	datac => \WideAnd2781~1_combout\,
	datad => \led_flash_cnt[2781][7]~q\,
	combout => \WideAnd2781~combout\);

-- Location: FF_X31_Y4_N7
\led_flash_cnt_ands[2781]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2781~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2781));

-- Location: LCCOMB_X31_Y4_N0
\WideAnd4187~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4187~1_combout\ = (led_flash_cnt_ands(2780) & led_flash_cnt_ands(2781))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2780),
	datad => led_flash_cnt_ands(2781),
	combout => \WideAnd4187~1_combout\);

-- Location: LCCOMB_X34_Y11_N22
\led_flash_cnt[2783][0]~83423\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2783][0]~83423_combout\ = !\led_flash_cnt[2783][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2783][0]~q\,
	combout => \led_flash_cnt[2783][0]~83423_combout\);

-- Location: FF_X34_Y11_N23
\led_flash_cnt[2783][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2783][0]~83423_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2783][0]~q\);

-- Location: LCCOMB_X34_Y11_N4
\led_flash_cnt[2783][1]~65842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2783][1]~65842_combout\ = (\led_flash_cnt[2783][0]~q\ & (\led_flash_cnt[2783][1]~q\ $ (VCC))) # (!\led_flash_cnt[2783][0]~q\ & (\led_flash_cnt[2783][1]~q\ & VCC))
-- \led_flash_cnt[2783][1]~65843\ = CARRY((\led_flash_cnt[2783][0]~q\ & \led_flash_cnt[2783][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2783][0]~q\,
	datab => \led_flash_cnt[2783][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2783][1]~65842_combout\,
	cout => \led_flash_cnt[2783][1]~65843\);

-- Location: FF_X34_Y11_N5
\led_flash_cnt[2783][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2783][1]~65842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2783][1]~q\);

-- Location: LCCOMB_X34_Y11_N6
\led_flash_cnt[2783][2]~65844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2783][2]~65844_combout\ = (\led_flash_cnt[2783][2]~q\ & (!\led_flash_cnt[2783][1]~65843\)) # (!\led_flash_cnt[2783][2]~q\ & ((\led_flash_cnt[2783][1]~65843\) # (GND)))
-- \led_flash_cnt[2783][2]~65845\ = CARRY((!\led_flash_cnt[2783][1]~65843\) # (!\led_flash_cnt[2783][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2783][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2783][1]~65843\,
	combout => \led_flash_cnt[2783][2]~65844_combout\,
	cout => \led_flash_cnt[2783][2]~65845\);

-- Location: FF_X34_Y11_N7
\led_flash_cnt[2783][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2783][2]~65844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2783][2]~q\);

-- Location: LCCOMB_X34_Y11_N8
\led_flash_cnt[2783][3]~65846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2783][3]~65846_combout\ = (\led_flash_cnt[2783][3]~q\ & (\led_flash_cnt[2783][2]~65845\ $ (GND))) # (!\led_flash_cnt[2783][3]~q\ & (!\led_flash_cnt[2783][2]~65845\ & VCC))
-- \led_flash_cnt[2783][3]~65847\ = CARRY((\led_flash_cnt[2783][3]~q\ & !\led_flash_cnt[2783][2]~65845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2783][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2783][2]~65845\,
	combout => \led_flash_cnt[2783][3]~65846_combout\,
	cout => \led_flash_cnt[2783][3]~65847\);

-- Location: FF_X34_Y11_N9
\led_flash_cnt[2783][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2783][3]~65846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2783][3]~q\);

-- Location: LCCOMB_X34_Y11_N10
\led_flash_cnt[2783][4]~65848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2783][4]~65848_combout\ = (\led_flash_cnt[2783][4]~q\ & (!\led_flash_cnt[2783][3]~65847\)) # (!\led_flash_cnt[2783][4]~q\ & ((\led_flash_cnt[2783][3]~65847\) # (GND)))
-- \led_flash_cnt[2783][4]~65849\ = CARRY((!\led_flash_cnt[2783][3]~65847\) # (!\led_flash_cnt[2783][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2783][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2783][3]~65847\,
	combout => \led_flash_cnt[2783][4]~65848_combout\,
	cout => \led_flash_cnt[2783][4]~65849\);

-- Location: FF_X34_Y11_N11
\led_flash_cnt[2783][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2783][4]~65848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2783][4]~q\);

-- Location: LCCOMB_X34_Y11_N12
\led_flash_cnt[2783][5]~65850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2783][5]~65850_combout\ = (\led_flash_cnt[2783][5]~q\ & (\led_flash_cnt[2783][4]~65849\ $ (GND))) # (!\led_flash_cnt[2783][5]~q\ & (!\led_flash_cnt[2783][4]~65849\ & VCC))
-- \led_flash_cnt[2783][5]~65851\ = CARRY((\led_flash_cnt[2783][5]~q\ & !\led_flash_cnt[2783][4]~65849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2783][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2783][4]~65849\,
	combout => \led_flash_cnt[2783][5]~65850_combout\,
	cout => \led_flash_cnt[2783][5]~65851\);

-- Location: FF_X34_Y11_N13
\led_flash_cnt[2783][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2783][5]~65850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2783][5]~q\);

-- Location: LCCOMB_X34_Y11_N14
\led_flash_cnt[2783][6]~65852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2783][6]~65852_combout\ = (\led_flash_cnt[2783][6]~q\ & (!\led_flash_cnt[2783][5]~65851\)) # (!\led_flash_cnt[2783][6]~q\ & ((\led_flash_cnt[2783][5]~65851\) # (GND)))
-- \led_flash_cnt[2783][6]~65853\ = CARRY((!\led_flash_cnt[2783][5]~65851\) # (!\led_flash_cnt[2783][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2783][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2783][5]~65851\,
	combout => \led_flash_cnt[2783][6]~65852_combout\,
	cout => \led_flash_cnt[2783][6]~65853\);

-- Location: FF_X34_Y11_N15
\led_flash_cnt[2783][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2783][6]~65852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2783][6]~q\);

-- Location: LCCOMB_X34_Y11_N24
\WideAnd2783~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2783~1_combout\ = (\led_flash_cnt[2783][6]~q\ & \led_flash_cnt[2783][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2783][6]~q\,
	datad => \led_flash_cnt[2783][5]~q\,
	combout => \WideAnd2783~1_combout\);

-- Location: LCCOMB_X34_Y11_N26
\WideAnd2783~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2783~0_combout\ = (\led_flash_cnt[2783][4]~q\ & (\led_flash_cnt[2783][3]~q\ & (\led_flash_cnt[2783][1]~q\ & \led_flash_cnt[2783][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2783][4]~q\,
	datab => \led_flash_cnt[2783][3]~q\,
	datac => \led_flash_cnt[2783][1]~q\,
	datad => \led_flash_cnt[2783][2]~q\,
	combout => \WideAnd2783~0_combout\);

-- Location: LCCOMB_X34_Y11_N16
\led_flash_cnt[2783][7]~65854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2783][7]~65854_combout\ = \led_flash_cnt[2783][6]~65853\ $ (!\led_flash_cnt[2783][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2783][7]~q\,
	cin => \led_flash_cnt[2783][6]~65853\,
	combout => \led_flash_cnt[2783][7]~65854_combout\);

-- Location: FF_X34_Y11_N17
\led_flash_cnt[2783][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2783][7]~65854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2783][7]~q\);

-- Location: LCCOMB_X34_Y11_N28
WideAnd2783 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2783~combout\ = (\led_flash_cnt[2783][0]~q\ & (\WideAnd2783~1_combout\ & (\WideAnd2783~0_combout\ & \led_flash_cnt[2783][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2783][0]~q\,
	datab => \WideAnd2783~1_combout\,
	datac => \WideAnd2783~0_combout\,
	datad => \led_flash_cnt[2783][7]~q\,
	combout => \WideAnd2783~combout\);

-- Location: FF_X34_Y11_N29
\led_flash_cnt_ands[2783]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2783~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2783));

-- Location: LCCOMB_X36_Y5_N0
\led_flash_cnt[2782][0]~83422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2782][0]~83422_combout\ = !\led_flash_cnt[2782][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2782][0]~q\,
	combout => \led_flash_cnt[2782][0]~83422_combout\);

-- Location: FF_X36_Y5_N1
\led_flash_cnt[2782][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2782][0]~83422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2782][0]~q\);

-- Location: LCCOMB_X36_Y5_N10
\led_flash_cnt[2782][1]~65828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2782][1]~65828_combout\ = (\led_flash_cnt[2782][1]~q\ & (\led_flash_cnt[2782][0]~q\ $ (VCC))) # (!\led_flash_cnt[2782][1]~q\ & (\led_flash_cnt[2782][0]~q\ & VCC))
-- \led_flash_cnt[2782][1]~65829\ = CARRY((\led_flash_cnt[2782][1]~q\ & \led_flash_cnt[2782][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2782][1]~q\,
	datab => \led_flash_cnt[2782][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2782][1]~65828_combout\,
	cout => \led_flash_cnt[2782][1]~65829\);

-- Location: FF_X36_Y5_N11
\led_flash_cnt[2782][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2782][1]~65828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2782][1]~q\);

-- Location: LCCOMB_X36_Y5_N12
\led_flash_cnt[2782][2]~65830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2782][2]~65830_combout\ = (\led_flash_cnt[2782][2]~q\ & (!\led_flash_cnt[2782][1]~65829\)) # (!\led_flash_cnt[2782][2]~q\ & ((\led_flash_cnt[2782][1]~65829\) # (GND)))
-- \led_flash_cnt[2782][2]~65831\ = CARRY((!\led_flash_cnt[2782][1]~65829\) # (!\led_flash_cnt[2782][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2782][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2782][1]~65829\,
	combout => \led_flash_cnt[2782][2]~65830_combout\,
	cout => \led_flash_cnt[2782][2]~65831\);

-- Location: FF_X36_Y5_N13
\led_flash_cnt[2782][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2782][2]~65830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2782][2]~q\);

-- Location: LCCOMB_X36_Y5_N14
\led_flash_cnt[2782][3]~65832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2782][3]~65832_combout\ = (\led_flash_cnt[2782][3]~q\ & (\led_flash_cnt[2782][2]~65831\ $ (GND))) # (!\led_flash_cnt[2782][3]~q\ & (!\led_flash_cnt[2782][2]~65831\ & VCC))
-- \led_flash_cnt[2782][3]~65833\ = CARRY((\led_flash_cnt[2782][3]~q\ & !\led_flash_cnt[2782][2]~65831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2782][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2782][2]~65831\,
	combout => \led_flash_cnt[2782][3]~65832_combout\,
	cout => \led_flash_cnt[2782][3]~65833\);

-- Location: FF_X36_Y5_N15
\led_flash_cnt[2782][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2782][3]~65832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2782][3]~q\);

-- Location: LCCOMB_X36_Y5_N16
\led_flash_cnt[2782][4]~65834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2782][4]~65834_combout\ = (\led_flash_cnt[2782][4]~q\ & (!\led_flash_cnt[2782][3]~65833\)) # (!\led_flash_cnt[2782][4]~q\ & ((\led_flash_cnt[2782][3]~65833\) # (GND)))
-- \led_flash_cnt[2782][4]~65835\ = CARRY((!\led_flash_cnt[2782][3]~65833\) # (!\led_flash_cnt[2782][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2782][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2782][3]~65833\,
	combout => \led_flash_cnt[2782][4]~65834_combout\,
	cout => \led_flash_cnt[2782][4]~65835\);

-- Location: FF_X36_Y5_N17
\led_flash_cnt[2782][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2782][4]~65834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2782][4]~q\);

-- Location: LCCOMB_X36_Y5_N18
\led_flash_cnt[2782][5]~65836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2782][5]~65836_combout\ = (\led_flash_cnt[2782][5]~q\ & (\led_flash_cnt[2782][4]~65835\ $ (GND))) # (!\led_flash_cnt[2782][5]~q\ & (!\led_flash_cnt[2782][4]~65835\ & VCC))
-- \led_flash_cnt[2782][5]~65837\ = CARRY((\led_flash_cnt[2782][5]~q\ & !\led_flash_cnt[2782][4]~65835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2782][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2782][4]~65835\,
	combout => \led_flash_cnt[2782][5]~65836_combout\,
	cout => \led_flash_cnt[2782][5]~65837\);

-- Location: FF_X36_Y5_N19
\led_flash_cnt[2782][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2782][5]~65836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2782][5]~q\);

-- Location: LCCOMB_X36_Y5_N20
\led_flash_cnt[2782][6]~65838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2782][6]~65838_combout\ = (\led_flash_cnt[2782][6]~q\ & (!\led_flash_cnt[2782][5]~65837\)) # (!\led_flash_cnt[2782][6]~q\ & ((\led_flash_cnt[2782][5]~65837\) # (GND)))
-- \led_flash_cnt[2782][6]~65839\ = CARRY((!\led_flash_cnt[2782][5]~65837\) # (!\led_flash_cnt[2782][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2782][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2782][5]~65837\,
	combout => \led_flash_cnt[2782][6]~65838_combout\,
	cout => \led_flash_cnt[2782][6]~65839\);

-- Location: FF_X36_Y5_N21
\led_flash_cnt[2782][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2782][6]~65838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2782][6]~q\);

-- Location: LCCOMB_X36_Y5_N26
\WideAnd2782~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2782~1_combout\ = (\led_flash_cnt[2782][6]~q\ & \led_flash_cnt[2782][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2782][6]~q\,
	datad => \led_flash_cnt[2782][5]~q\,
	combout => \WideAnd2782~1_combout\);

-- Location: LCCOMB_X36_Y5_N22
\led_flash_cnt[2782][7]~65840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2782][7]~65840_combout\ = \led_flash_cnt[2782][7]~q\ $ (!\led_flash_cnt[2782][6]~65839\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2782][7]~q\,
	cin => \led_flash_cnt[2782][6]~65839\,
	combout => \led_flash_cnt[2782][7]~65840_combout\);

-- Location: FF_X36_Y5_N23
\led_flash_cnt[2782][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2782][7]~65840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2782][7]~q\);

-- Location: LCCOMB_X36_Y5_N24
\WideAnd2782~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2782~0_combout\ = (\led_flash_cnt[2782][1]~q\ & (\led_flash_cnt[2782][4]~q\ & (\led_flash_cnt[2782][3]~q\ & \led_flash_cnt[2782][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2782][1]~q\,
	datab => \led_flash_cnt[2782][4]~q\,
	datac => \led_flash_cnt[2782][3]~q\,
	datad => \led_flash_cnt[2782][2]~q\,
	combout => \WideAnd2782~0_combout\);

-- Location: LCCOMB_X36_Y5_N8
WideAnd2782 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2782~combout\ = (\WideAnd2782~1_combout\ & (\led_flash_cnt[2782][0]~q\ & (\led_flash_cnt[2782][7]~q\ & \WideAnd2782~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2782~1_combout\,
	datab => \led_flash_cnt[2782][0]~q\,
	datac => \led_flash_cnt[2782][7]~q\,
	datad => \WideAnd2782~0_combout\,
	combout => \WideAnd2782~combout\);

-- Location: FF_X36_Y5_N9
\led_flash_cnt_ands[2782]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2782~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2782));

-- Location: LCCOMB_X30_Y9_N2
\led_flash_cnt[2778][0]~83418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2778][0]~83418_combout\ = !\led_flash_cnt[2778][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2778][0]~q\,
	combout => \led_flash_cnt[2778][0]~83418_combout\);

-- Location: FF_X30_Y9_N3
\led_flash_cnt[2778][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2778][0]~83418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2778][0]~q\);

-- Location: LCCOMB_X29_Y9_N16
\led_flash_cnt[2778][1]~65772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2778][1]~65772_combout\ = (\led_flash_cnt[2778][0]~q\ & (\led_flash_cnt[2778][1]~q\ $ (VCC))) # (!\led_flash_cnt[2778][0]~q\ & (\led_flash_cnt[2778][1]~q\ & VCC))
-- \led_flash_cnt[2778][1]~65773\ = CARRY((\led_flash_cnt[2778][0]~q\ & \led_flash_cnt[2778][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2778][0]~q\,
	datab => \led_flash_cnt[2778][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2778][1]~65772_combout\,
	cout => \led_flash_cnt[2778][1]~65773\);

-- Location: FF_X29_Y9_N17
\led_flash_cnt[2778][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2778][1]~65772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2778][1]~q\);

-- Location: LCCOMB_X29_Y9_N18
\led_flash_cnt[2778][2]~65774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2778][2]~65774_combout\ = (\led_flash_cnt[2778][2]~q\ & (!\led_flash_cnt[2778][1]~65773\)) # (!\led_flash_cnt[2778][2]~q\ & ((\led_flash_cnt[2778][1]~65773\) # (GND)))
-- \led_flash_cnt[2778][2]~65775\ = CARRY((!\led_flash_cnt[2778][1]~65773\) # (!\led_flash_cnt[2778][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2778][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2778][1]~65773\,
	combout => \led_flash_cnt[2778][2]~65774_combout\,
	cout => \led_flash_cnt[2778][2]~65775\);

-- Location: FF_X29_Y9_N19
\led_flash_cnt[2778][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2778][2]~65774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2778][2]~q\);

-- Location: LCCOMB_X29_Y9_N20
\led_flash_cnt[2778][3]~65776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2778][3]~65776_combout\ = (\led_flash_cnt[2778][3]~q\ & (\led_flash_cnt[2778][2]~65775\ $ (GND))) # (!\led_flash_cnt[2778][3]~q\ & (!\led_flash_cnt[2778][2]~65775\ & VCC))
-- \led_flash_cnt[2778][3]~65777\ = CARRY((\led_flash_cnt[2778][3]~q\ & !\led_flash_cnt[2778][2]~65775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2778][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2778][2]~65775\,
	combout => \led_flash_cnt[2778][3]~65776_combout\,
	cout => \led_flash_cnt[2778][3]~65777\);

-- Location: FF_X29_Y9_N21
\led_flash_cnt[2778][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2778][3]~65776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2778][3]~q\);

-- Location: LCCOMB_X29_Y9_N22
\led_flash_cnt[2778][4]~65778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2778][4]~65778_combout\ = (\led_flash_cnt[2778][4]~q\ & (!\led_flash_cnt[2778][3]~65777\)) # (!\led_flash_cnt[2778][4]~q\ & ((\led_flash_cnt[2778][3]~65777\) # (GND)))
-- \led_flash_cnt[2778][4]~65779\ = CARRY((!\led_flash_cnt[2778][3]~65777\) # (!\led_flash_cnt[2778][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2778][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2778][3]~65777\,
	combout => \led_flash_cnt[2778][4]~65778_combout\,
	cout => \led_flash_cnt[2778][4]~65779\);

-- Location: FF_X29_Y9_N23
\led_flash_cnt[2778][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2778][4]~65778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2778][4]~q\);

-- Location: LCCOMB_X29_Y9_N24
\led_flash_cnt[2778][5]~65780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2778][5]~65780_combout\ = (\led_flash_cnt[2778][5]~q\ & (\led_flash_cnt[2778][4]~65779\ $ (GND))) # (!\led_flash_cnt[2778][5]~q\ & (!\led_flash_cnt[2778][4]~65779\ & VCC))
-- \led_flash_cnt[2778][5]~65781\ = CARRY((\led_flash_cnt[2778][5]~q\ & !\led_flash_cnt[2778][4]~65779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2778][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2778][4]~65779\,
	combout => \led_flash_cnt[2778][5]~65780_combout\,
	cout => \led_flash_cnt[2778][5]~65781\);

-- Location: FF_X29_Y9_N25
\led_flash_cnt[2778][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2778][5]~65780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2778][5]~q\);

-- Location: LCCOMB_X29_Y9_N26
\led_flash_cnt[2778][6]~65782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2778][6]~65782_combout\ = (\led_flash_cnt[2778][6]~q\ & (!\led_flash_cnt[2778][5]~65781\)) # (!\led_flash_cnt[2778][6]~q\ & ((\led_flash_cnt[2778][5]~65781\) # (GND)))
-- \led_flash_cnt[2778][6]~65783\ = CARRY((!\led_flash_cnt[2778][5]~65781\) # (!\led_flash_cnt[2778][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2778][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2778][5]~65781\,
	combout => \led_flash_cnt[2778][6]~65782_combout\,
	cout => \led_flash_cnt[2778][6]~65783\);

-- Location: FF_X29_Y9_N27
\led_flash_cnt[2778][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2778][6]~65782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2778][6]~q\);

-- Location: LCCOMB_X30_Y9_N26
\WideAnd2778~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2778~1_combout\ = (\led_flash_cnt[2778][6]~q\ & \led_flash_cnt[2778][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2778][6]~q\,
	datad => \led_flash_cnt[2778][5]~q\,
	combout => \WideAnd2778~1_combout\);

-- Location: LCCOMB_X29_Y9_N28
\led_flash_cnt[2778][7]~65784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2778][7]~65784_combout\ = \led_flash_cnt[2778][6]~65783\ $ (!\led_flash_cnt[2778][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2778][7]~q\,
	cin => \led_flash_cnt[2778][6]~65783\,
	combout => \led_flash_cnt[2778][7]~65784_combout\);

-- Location: FF_X29_Y9_N29
\led_flash_cnt[2778][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2778][7]~65784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2778][7]~q\);

-- Location: LCCOMB_X29_Y9_N0
\WideAnd2778~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2778~0_combout\ = (\led_flash_cnt[2778][2]~q\ & (\led_flash_cnt[2778][3]~q\ & (\led_flash_cnt[2778][4]~q\ & \led_flash_cnt[2778][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2778][2]~q\,
	datab => \led_flash_cnt[2778][3]~q\,
	datac => \led_flash_cnt[2778][4]~q\,
	datad => \led_flash_cnt[2778][1]~q\,
	combout => \WideAnd2778~0_combout\);

-- Location: LCCOMB_X30_Y9_N24
WideAnd2778 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2778~combout\ = (\WideAnd2778~1_combout\ & (\led_flash_cnt[2778][7]~q\ & (\WideAnd2778~0_combout\ & \led_flash_cnt[2778][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2778~1_combout\,
	datab => \led_flash_cnt[2778][7]~q\,
	datac => \WideAnd2778~0_combout\,
	datad => \led_flash_cnt[2778][0]~q\,
	combout => \WideAnd2778~combout\);

-- Location: FF_X30_Y9_N25
\led_flash_cnt_ands[2778]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2778~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2778));

-- Location: LCCOMB_X34_Y5_N0
\led_flash_cnt[2779][0]~83419\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2779][0]~83419_combout\ = !\led_flash_cnt[2779][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2779][0]~q\,
	combout => \led_flash_cnt[2779][0]~83419_combout\);

-- Location: FF_X34_Y5_N1
\led_flash_cnt[2779][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2779][0]~83419_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2779][0]~q\);

-- Location: LCCOMB_X34_Y5_N6
\led_flash_cnt[2779][1]~65786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2779][1]~65786_combout\ = (\led_flash_cnt[2779][1]~q\ & (\led_flash_cnt[2779][0]~q\ $ (VCC))) # (!\led_flash_cnt[2779][1]~q\ & (\led_flash_cnt[2779][0]~q\ & VCC))
-- \led_flash_cnt[2779][1]~65787\ = CARRY((\led_flash_cnt[2779][1]~q\ & \led_flash_cnt[2779][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2779][1]~q\,
	datab => \led_flash_cnt[2779][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2779][1]~65786_combout\,
	cout => \led_flash_cnt[2779][1]~65787\);

-- Location: FF_X34_Y5_N7
\led_flash_cnt[2779][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2779][1]~65786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2779][1]~q\);

-- Location: LCCOMB_X34_Y5_N8
\led_flash_cnt[2779][2]~65788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2779][2]~65788_combout\ = (\led_flash_cnt[2779][2]~q\ & (!\led_flash_cnt[2779][1]~65787\)) # (!\led_flash_cnt[2779][2]~q\ & ((\led_flash_cnt[2779][1]~65787\) # (GND)))
-- \led_flash_cnt[2779][2]~65789\ = CARRY((!\led_flash_cnt[2779][1]~65787\) # (!\led_flash_cnt[2779][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2779][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2779][1]~65787\,
	combout => \led_flash_cnt[2779][2]~65788_combout\,
	cout => \led_flash_cnt[2779][2]~65789\);

-- Location: FF_X34_Y5_N9
\led_flash_cnt[2779][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2779][2]~65788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2779][2]~q\);

-- Location: LCCOMB_X34_Y5_N10
\led_flash_cnt[2779][3]~65790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2779][3]~65790_combout\ = (\led_flash_cnt[2779][3]~q\ & (\led_flash_cnt[2779][2]~65789\ $ (GND))) # (!\led_flash_cnt[2779][3]~q\ & (!\led_flash_cnt[2779][2]~65789\ & VCC))
-- \led_flash_cnt[2779][3]~65791\ = CARRY((\led_flash_cnt[2779][3]~q\ & !\led_flash_cnt[2779][2]~65789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2779][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2779][2]~65789\,
	combout => \led_flash_cnt[2779][3]~65790_combout\,
	cout => \led_flash_cnt[2779][3]~65791\);

-- Location: FF_X34_Y5_N11
\led_flash_cnt[2779][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2779][3]~65790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2779][3]~q\);

-- Location: LCCOMB_X34_Y5_N12
\led_flash_cnt[2779][4]~65792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2779][4]~65792_combout\ = (\led_flash_cnt[2779][4]~q\ & (!\led_flash_cnt[2779][3]~65791\)) # (!\led_flash_cnt[2779][4]~q\ & ((\led_flash_cnt[2779][3]~65791\) # (GND)))
-- \led_flash_cnt[2779][4]~65793\ = CARRY((!\led_flash_cnt[2779][3]~65791\) # (!\led_flash_cnt[2779][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2779][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2779][3]~65791\,
	combout => \led_flash_cnt[2779][4]~65792_combout\,
	cout => \led_flash_cnt[2779][4]~65793\);

-- Location: FF_X34_Y5_N13
\led_flash_cnt[2779][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2779][4]~65792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2779][4]~q\);

-- Location: LCCOMB_X34_Y5_N22
\WideAnd2779~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2779~0_combout\ = (\led_flash_cnt[2779][4]~q\ & (\led_flash_cnt[2779][1]~q\ & (\led_flash_cnt[2779][2]~q\ & \led_flash_cnt[2779][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2779][4]~q\,
	datab => \led_flash_cnt[2779][1]~q\,
	datac => \led_flash_cnt[2779][2]~q\,
	datad => \led_flash_cnt[2779][3]~q\,
	combout => \WideAnd2779~0_combout\);

-- Location: LCCOMB_X34_Y5_N14
\led_flash_cnt[2779][5]~65794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2779][5]~65794_combout\ = (\led_flash_cnt[2779][5]~q\ & (\led_flash_cnt[2779][4]~65793\ $ (GND))) # (!\led_flash_cnt[2779][5]~q\ & (!\led_flash_cnt[2779][4]~65793\ & VCC))
-- \led_flash_cnt[2779][5]~65795\ = CARRY((\led_flash_cnt[2779][5]~q\ & !\led_flash_cnt[2779][4]~65793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2779][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2779][4]~65793\,
	combout => \led_flash_cnt[2779][5]~65794_combout\,
	cout => \led_flash_cnt[2779][5]~65795\);

-- Location: FF_X34_Y5_N15
\led_flash_cnt[2779][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2779][5]~65794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2779][5]~q\);

-- Location: LCCOMB_X34_Y5_N16
\led_flash_cnt[2779][6]~65796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2779][6]~65796_combout\ = (\led_flash_cnt[2779][6]~q\ & (!\led_flash_cnt[2779][5]~65795\)) # (!\led_flash_cnt[2779][6]~q\ & ((\led_flash_cnt[2779][5]~65795\) # (GND)))
-- \led_flash_cnt[2779][6]~65797\ = CARRY((!\led_flash_cnt[2779][5]~65795\) # (!\led_flash_cnt[2779][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2779][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2779][5]~65795\,
	combout => \led_flash_cnt[2779][6]~65796_combout\,
	cout => \led_flash_cnt[2779][6]~65797\);

-- Location: FF_X34_Y5_N17
\led_flash_cnt[2779][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2779][6]~65796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2779][6]~q\);

-- Location: LCCOMB_X34_Y5_N30
\WideAnd2779~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2779~1_combout\ = (\led_flash_cnt[2779][5]~q\ & \led_flash_cnt[2779][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2779][5]~q\,
	datad => \led_flash_cnt[2779][6]~q\,
	combout => \WideAnd2779~1_combout\);

-- Location: LCCOMB_X34_Y5_N18
\led_flash_cnt[2779][7]~65798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2779][7]~65798_combout\ = \led_flash_cnt[2779][6]~65797\ $ (!\led_flash_cnt[2779][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2779][7]~q\,
	cin => \led_flash_cnt[2779][6]~65797\,
	combout => \led_flash_cnt[2779][7]~65798_combout\);

-- Location: FF_X34_Y5_N19
\led_flash_cnt[2779][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2779][7]~65798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2779][7]~q\);

-- Location: LCCOMB_X34_Y5_N2
WideAnd2779 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2779~combout\ = (\WideAnd2779~0_combout\ & (\led_flash_cnt[2779][0]~q\ & (\WideAnd2779~1_combout\ & \led_flash_cnt[2779][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2779~0_combout\,
	datab => \led_flash_cnt[2779][0]~q\,
	datac => \WideAnd2779~1_combout\,
	datad => \led_flash_cnt[2779][7]~q\,
	combout => \WideAnd2779~combout\);

-- Location: FF_X34_Y5_N3
\led_flash_cnt_ands[2779]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2779~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2779));

-- Location: LCCOMB_X30_Y9_N8
\led_flash_cnt[2776][0]~83416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2776][0]~83416_combout\ = !\led_flash_cnt[2776][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2776][0]~q\,
	combout => \led_flash_cnt[2776][0]~83416_combout\);

-- Location: FF_X30_Y9_N9
\led_flash_cnt[2776][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2776][0]~83416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2776][0]~q\);

-- Location: LCCOMB_X30_Y9_N10
\led_flash_cnt[2776][1]~65744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2776][1]~65744_combout\ = (\led_flash_cnt[2776][1]~q\ & (\led_flash_cnt[2776][0]~q\ $ (VCC))) # (!\led_flash_cnt[2776][1]~q\ & (\led_flash_cnt[2776][0]~q\ & VCC))
-- \led_flash_cnt[2776][1]~65745\ = CARRY((\led_flash_cnt[2776][1]~q\ & \led_flash_cnt[2776][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2776][1]~q\,
	datab => \led_flash_cnt[2776][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2776][1]~65744_combout\,
	cout => \led_flash_cnt[2776][1]~65745\);

-- Location: FF_X30_Y9_N11
\led_flash_cnt[2776][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2776][1]~65744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2776][1]~q\);

-- Location: LCCOMB_X30_Y9_N12
\led_flash_cnt[2776][2]~65746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2776][2]~65746_combout\ = (\led_flash_cnt[2776][2]~q\ & (!\led_flash_cnt[2776][1]~65745\)) # (!\led_flash_cnt[2776][2]~q\ & ((\led_flash_cnt[2776][1]~65745\) # (GND)))
-- \led_flash_cnt[2776][2]~65747\ = CARRY((!\led_flash_cnt[2776][1]~65745\) # (!\led_flash_cnt[2776][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2776][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2776][1]~65745\,
	combout => \led_flash_cnt[2776][2]~65746_combout\,
	cout => \led_flash_cnt[2776][2]~65747\);

-- Location: FF_X30_Y9_N13
\led_flash_cnt[2776][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2776][2]~65746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2776][2]~q\);

-- Location: LCCOMB_X30_Y9_N14
\led_flash_cnt[2776][3]~65748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2776][3]~65748_combout\ = (\led_flash_cnt[2776][3]~q\ & (\led_flash_cnt[2776][2]~65747\ $ (GND))) # (!\led_flash_cnt[2776][3]~q\ & (!\led_flash_cnt[2776][2]~65747\ & VCC))
-- \led_flash_cnt[2776][3]~65749\ = CARRY((\led_flash_cnt[2776][3]~q\ & !\led_flash_cnt[2776][2]~65747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2776][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2776][2]~65747\,
	combout => \led_flash_cnt[2776][3]~65748_combout\,
	cout => \led_flash_cnt[2776][3]~65749\);

-- Location: FF_X30_Y9_N15
\led_flash_cnt[2776][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2776][3]~65748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2776][3]~q\);

-- Location: LCCOMB_X30_Y9_N16
\led_flash_cnt[2776][4]~65750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2776][4]~65750_combout\ = (\led_flash_cnt[2776][4]~q\ & (!\led_flash_cnt[2776][3]~65749\)) # (!\led_flash_cnt[2776][4]~q\ & ((\led_flash_cnt[2776][3]~65749\) # (GND)))
-- \led_flash_cnt[2776][4]~65751\ = CARRY((!\led_flash_cnt[2776][3]~65749\) # (!\led_flash_cnt[2776][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2776][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2776][3]~65749\,
	combout => \led_flash_cnt[2776][4]~65750_combout\,
	cout => \led_flash_cnt[2776][4]~65751\);

-- Location: FF_X30_Y9_N17
\led_flash_cnt[2776][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2776][4]~65750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2776][4]~q\);

-- Location: LCCOMB_X30_Y9_N18
\led_flash_cnt[2776][5]~65752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2776][5]~65752_combout\ = (\led_flash_cnt[2776][5]~q\ & (\led_flash_cnt[2776][4]~65751\ $ (GND))) # (!\led_flash_cnt[2776][5]~q\ & (!\led_flash_cnt[2776][4]~65751\ & VCC))
-- \led_flash_cnt[2776][5]~65753\ = CARRY((\led_flash_cnt[2776][5]~q\ & !\led_flash_cnt[2776][4]~65751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2776][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2776][4]~65751\,
	combout => \led_flash_cnt[2776][5]~65752_combout\,
	cout => \led_flash_cnt[2776][5]~65753\);

-- Location: FF_X30_Y9_N19
\led_flash_cnt[2776][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2776][5]~65752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2776][5]~q\);

-- Location: LCCOMB_X30_Y9_N20
\led_flash_cnt[2776][6]~65754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2776][6]~65754_combout\ = (\led_flash_cnt[2776][6]~q\ & (!\led_flash_cnt[2776][5]~65753\)) # (!\led_flash_cnt[2776][6]~q\ & ((\led_flash_cnt[2776][5]~65753\) # (GND)))
-- \led_flash_cnt[2776][6]~65755\ = CARRY((!\led_flash_cnt[2776][5]~65753\) # (!\led_flash_cnt[2776][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2776][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2776][5]~65753\,
	combout => \led_flash_cnt[2776][6]~65754_combout\,
	cout => \led_flash_cnt[2776][6]~65755\);

-- Location: FF_X30_Y9_N21
\led_flash_cnt[2776][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2776][6]~65754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2776][6]~q\);

-- Location: LCCOMB_X30_Y9_N22
\led_flash_cnt[2776][7]~65756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2776][7]~65756_combout\ = \led_flash_cnt[2776][7]~q\ $ (!\led_flash_cnt[2776][6]~65755\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2776][7]~q\,
	cin => \led_flash_cnt[2776][6]~65755\,
	combout => \led_flash_cnt[2776][7]~65756_combout\);

-- Location: FF_X30_Y9_N23
\led_flash_cnt[2776][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2776][7]~65756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2776][7]~q\);

-- Location: LCCOMB_X30_Y9_N28
\WideAnd2776~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2776~1_combout\ = (\led_flash_cnt[2776][5]~q\ & \led_flash_cnt[2776][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2776][5]~q\,
	datad => \led_flash_cnt[2776][6]~q\,
	combout => \WideAnd2776~1_combout\);

-- Location: LCCOMB_X30_Y9_N0
\WideAnd2776~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2776~0_combout\ = (\led_flash_cnt[2776][2]~q\ & (\led_flash_cnt[2776][4]~q\ & (\led_flash_cnt[2776][3]~q\ & \led_flash_cnt[2776][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2776][2]~q\,
	datab => \led_flash_cnt[2776][4]~q\,
	datac => \led_flash_cnt[2776][3]~q\,
	datad => \led_flash_cnt[2776][1]~q\,
	combout => \WideAnd2776~0_combout\);

-- Location: LCCOMB_X30_Y9_N4
WideAnd2776 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2776~combout\ = (\led_flash_cnt[2776][7]~q\ & (\WideAnd2776~1_combout\ & (\led_flash_cnt[2776][0]~q\ & \WideAnd2776~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2776][7]~q\,
	datab => \WideAnd2776~1_combout\,
	datac => \led_flash_cnt[2776][0]~q\,
	datad => \WideAnd2776~0_combout\,
	combout => \WideAnd2776~combout\);

-- Location: FF_X30_Y9_N5
\led_flash_cnt_ands[2776]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2776~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2776));

-- Location: LCCOMB_X34_Y5_N26
\led_flash_cnt[2777][0]~83417\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2777][0]~83417_combout\ = !\led_flash_cnt[2777][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2777][0]~q\,
	combout => \led_flash_cnt[2777][0]~83417_combout\);

-- Location: FF_X34_Y5_N27
\led_flash_cnt[2777][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2777][0]~83417_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2777][0]~q\);

-- Location: LCCOMB_X35_Y5_N16
\led_flash_cnt[2777][1]~65758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2777][1]~65758_combout\ = (\led_flash_cnt[2777][0]~q\ & (\led_flash_cnt[2777][1]~q\ $ (VCC))) # (!\led_flash_cnt[2777][0]~q\ & (\led_flash_cnt[2777][1]~q\ & VCC))
-- \led_flash_cnt[2777][1]~65759\ = CARRY((\led_flash_cnt[2777][0]~q\ & \led_flash_cnt[2777][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2777][0]~q\,
	datab => \led_flash_cnt[2777][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2777][1]~65758_combout\,
	cout => \led_flash_cnt[2777][1]~65759\);

-- Location: FF_X35_Y5_N17
\led_flash_cnt[2777][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2777][1]~65758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2777][1]~q\);

-- Location: LCCOMB_X35_Y5_N18
\led_flash_cnt[2777][2]~65760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2777][2]~65760_combout\ = (\led_flash_cnt[2777][2]~q\ & (!\led_flash_cnt[2777][1]~65759\)) # (!\led_flash_cnt[2777][2]~q\ & ((\led_flash_cnt[2777][1]~65759\) # (GND)))
-- \led_flash_cnt[2777][2]~65761\ = CARRY((!\led_flash_cnt[2777][1]~65759\) # (!\led_flash_cnt[2777][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2777][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2777][1]~65759\,
	combout => \led_flash_cnt[2777][2]~65760_combout\,
	cout => \led_flash_cnt[2777][2]~65761\);

-- Location: FF_X35_Y5_N19
\led_flash_cnt[2777][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2777][2]~65760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2777][2]~q\);

-- Location: LCCOMB_X35_Y5_N20
\led_flash_cnt[2777][3]~65762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2777][3]~65762_combout\ = (\led_flash_cnt[2777][3]~q\ & (\led_flash_cnt[2777][2]~65761\ $ (GND))) # (!\led_flash_cnt[2777][3]~q\ & (!\led_flash_cnt[2777][2]~65761\ & VCC))
-- \led_flash_cnt[2777][3]~65763\ = CARRY((\led_flash_cnt[2777][3]~q\ & !\led_flash_cnt[2777][2]~65761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2777][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2777][2]~65761\,
	combout => \led_flash_cnt[2777][3]~65762_combout\,
	cout => \led_flash_cnt[2777][3]~65763\);

-- Location: FF_X35_Y5_N21
\led_flash_cnt[2777][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2777][3]~65762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2777][3]~q\);

-- Location: LCCOMB_X35_Y5_N22
\led_flash_cnt[2777][4]~65764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2777][4]~65764_combout\ = (\led_flash_cnt[2777][4]~q\ & (!\led_flash_cnt[2777][3]~65763\)) # (!\led_flash_cnt[2777][4]~q\ & ((\led_flash_cnt[2777][3]~65763\) # (GND)))
-- \led_flash_cnt[2777][4]~65765\ = CARRY((!\led_flash_cnt[2777][3]~65763\) # (!\led_flash_cnt[2777][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2777][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2777][3]~65763\,
	combout => \led_flash_cnt[2777][4]~65764_combout\,
	cout => \led_flash_cnt[2777][4]~65765\);

-- Location: FF_X35_Y5_N23
\led_flash_cnt[2777][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2777][4]~65764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2777][4]~q\);

-- Location: LCCOMB_X35_Y5_N24
\led_flash_cnt[2777][5]~65766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2777][5]~65766_combout\ = (\led_flash_cnt[2777][5]~q\ & (\led_flash_cnt[2777][4]~65765\ $ (GND))) # (!\led_flash_cnt[2777][5]~q\ & (!\led_flash_cnt[2777][4]~65765\ & VCC))
-- \led_flash_cnt[2777][5]~65767\ = CARRY((\led_flash_cnt[2777][5]~q\ & !\led_flash_cnt[2777][4]~65765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2777][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2777][4]~65765\,
	combout => \led_flash_cnt[2777][5]~65766_combout\,
	cout => \led_flash_cnt[2777][5]~65767\);

-- Location: FF_X35_Y5_N25
\led_flash_cnt[2777][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2777][5]~65766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2777][5]~q\);

-- Location: LCCOMB_X35_Y5_N26
\led_flash_cnt[2777][6]~65768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2777][6]~65768_combout\ = (\led_flash_cnt[2777][6]~q\ & (!\led_flash_cnt[2777][5]~65767\)) # (!\led_flash_cnt[2777][6]~q\ & ((\led_flash_cnt[2777][5]~65767\) # (GND)))
-- \led_flash_cnt[2777][6]~65769\ = CARRY((!\led_flash_cnt[2777][5]~65767\) # (!\led_flash_cnt[2777][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2777][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2777][5]~65767\,
	combout => \led_flash_cnt[2777][6]~65768_combout\,
	cout => \led_flash_cnt[2777][6]~65769\);

-- Location: FF_X35_Y5_N27
\led_flash_cnt[2777][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2777][6]~65768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2777][6]~q\);

-- Location: LCCOMB_X34_Y5_N24
\WideAnd2777~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2777~1_combout\ = (\led_flash_cnt[2777][5]~q\ & \led_flash_cnt[2777][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2777][5]~q\,
	datad => \led_flash_cnt[2777][6]~q\,
	combout => \WideAnd2777~1_combout\);

-- Location: LCCOMB_X35_Y5_N30
\WideAnd2777~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2777~0_combout\ = (\led_flash_cnt[2777][1]~q\ & (\led_flash_cnt[2777][3]~q\ & (\led_flash_cnt[2777][4]~q\ & \led_flash_cnt[2777][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2777][1]~q\,
	datab => \led_flash_cnt[2777][3]~q\,
	datac => \led_flash_cnt[2777][4]~q\,
	datad => \led_flash_cnt[2777][2]~q\,
	combout => \WideAnd2777~0_combout\);

-- Location: LCCOMB_X35_Y5_N28
\led_flash_cnt[2777][7]~65770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2777][7]~65770_combout\ = \led_flash_cnt[2777][6]~65769\ $ (!\led_flash_cnt[2777][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2777][7]~q\,
	cin => \led_flash_cnt[2777][6]~65769\,
	combout => \led_flash_cnt[2777][7]~65770_combout\);

-- Location: FF_X35_Y5_N29
\led_flash_cnt[2777][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2777][7]~65770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2777][7]~q\);

-- Location: LCCOMB_X34_Y5_N20
WideAnd2777 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2777~combout\ = (\led_flash_cnt[2777][0]~q\ & (\WideAnd2777~1_combout\ & (\WideAnd2777~0_combout\ & \led_flash_cnt[2777][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2777][0]~q\,
	datab => \WideAnd2777~1_combout\,
	datac => \WideAnd2777~0_combout\,
	datad => \led_flash_cnt[2777][7]~q\,
	combout => \WideAnd2777~combout\);

-- Location: FF_X34_Y5_N21
\led_flash_cnt_ands[2777]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2777~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2777));

-- Location: LCCOMB_X34_Y5_N28
\WideAnd4187~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4187~0_combout\ = (led_flash_cnt_ands(2778) & (led_flash_cnt_ands(2779) & (led_flash_cnt_ands(2776) & led_flash_cnt_ands(2777))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2778),
	datab => led_flash_cnt_ands(2779),
	datac => led_flash_cnt_ands(2776),
	datad => led_flash_cnt_ands(2777),
	combout => \WideAnd4187~0_combout\);

-- Location: LCCOMB_X34_Y5_N4
WideAnd4187 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4187~combout\ = (\WideAnd4187~1_combout\ & (led_flash_cnt_ands(2783) & (led_flash_cnt_ands(2782) & \WideAnd4187~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4187~1_combout\,
	datab => led_flash_cnt_ands(2783),
	datac => led_flash_cnt_ands(2782),
	datad => \WideAnd4187~0_combout\,
	combout => \WideAnd4187~combout\);

-- Location: FF_X34_Y5_N5
\led_flash_cnt_ands_1[347]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4187~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(347));

-- Location: LCCOMB_X25_Y15_N8
\led_flash_cnt[2767][0]~83407\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2767][0]~83407_combout\ = !\led_flash_cnt[2767][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2767][0]~q\,
	combout => \led_flash_cnt[2767][0]~83407_combout\);

-- Location: FF_X25_Y15_N9
\led_flash_cnt[2767][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2767][0]~83407_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2767][0]~q\);

-- Location: LCCOMB_X25_Y15_N10
\led_flash_cnt[2767][1]~65618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2767][1]~65618_combout\ = (\led_flash_cnt[2767][1]~q\ & (\led_flash_cnt[2767][0]~q\ $ (VCC))) # (!\led_flash_cnt[2767][1]~q\ & (\led_flash_cnt[2767][0]~q\ & VCC))
-- \led_flash_cnt[2767][1]~65619\ = CARRY((\led_flash_cnt[2767][1]~q\ & \led_flash_cnt[2767][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2767][1]~q\,
	datab => \led_flash_cnt[2767][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2767][1]~65618_combout\,
	cout => \led_flash_cnt[2767][1]~65619\);

-- Location: FF_X25_Y15_N11
\led_flash_cnt[2767][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2767][1]~65618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2767][1]~q\);

-- Location: LCCOMB_X25_Y15_N12
\led_flash_cnt[2767][2]~65620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2767][2]~65620_combout\ = (\led_flash_cnt[2767][2]~q\ & (!\led_flash_cnt[2767][1]~65619\)) # (!\led_flash_cnt[2767][2]~q\ & ((\led_flash_cnt[2767][1]~65619\) # (GND)))
-- \led_flash_cnt[2767][2]~65621\ = CARRY((!\led_flash_cnt[2767][1]~65619\) # (!\led_flash_cnt[2767][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2767][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2767][1]~65619\,
	combout => \led_flash_cnt[2767][2]~65620_combout\,
	cout => \led_flash_cnt[2767][2]~65621\);

-- Location: FF_X25_Y15_N13
\led_flash_cnt[2767][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2767][2]~65620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2767][2]~q\);

-- Location: LCCOMB_X25_Y15_N14
\led_flash_cnt[2767][3]~65622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2767][3]~65622_combout\ = (\led_flash_cnt[2767][3]~q\ & (\led_flash_cnt[2767][2]~65621\ $ (GND))) # (!\led_flash_cnt[2767][3]~q\ & (!\led_flash_cnt[2767][2]~65621\ & VCC))
-- \led_flash_cnt[2767][3]~65623\ = CARRY((\led_flash_cnt[2767][3]~q\ & !\led_flash_cnt[2767][2]~65621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2767][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2767][2]~65621\,
	combout => \led_flash_cnt[2767][3]~65622_combout\,
	cout => \led_flash_cnt[2767][3]~65623\);

-- Location: FF_X25_Y15_N15
\led_flash_cnt[2767][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2767][3]~65622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2767][3]~q\);

-- Location: LCCOMB_X25_Y15_N16
\led_flash_cnt[2767][4]~65624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2767][4]~65624_combout\ = (\led_flash_cnt[2767][4]~q\ & (!\led_flash_cnt[2767][3]~65623\)) # (!\led_flash_cnt[2767][4]~q\ & ((\led_flash_cnt[2767][3]~65623\) # (GND)))
-- \led_flash_cnt[2767][4]~65625\ = CARRY((!\led_flash_cnt[2767][3]~65623\) # (!\led_flash_cnt[2767][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2767][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2767][3]~65623\,
	combout => \led_flash_cnt[2767][4]~65624_combout\,
	cout => \led_flash_cnt[2767][4]~65625\);

-- Location: FF_X25_Y15_N17
\led_flash_cnt[2767][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2767][4]~65624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2767][4]~q\);

-- Location: LCCOMB_X25_Y15_N18
\led_flash_cnt[2767][5]~65626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2767][5]~65626_combout\ = (\led_flash_cnt[2767][5]~q\ & (\led_flash_cnt[2767][4]~65625\ $ (GND))) # (!\led_flash_cnt[2767][5]~q\ & (!\led_flash_cnt[2767][4]~65625\ & VCC))
-- \led_flash_cnt[2767][5]~65627\ = CARRY((\led_flash_cnt[2767][5]~q\ & !\led_flash_cnt[2767][4]~65625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2767][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2767][4]~65625\,
	combout => \led_flash_cnt[2767][5]~65626_combout\,
	cout => \led_flash_cnt[2767][5]~65627\);

-- Location: FF_X25_Y15_N19
\led_flash_cnt[2767][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2767][5]~65626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2767][5]~q\);

-- Location: LCCOMB_X25_Y15_N20
\led_flash_cnt[2767][6]~65628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2767][6]~65628_combout\ = (\led_flash_cnt[2767][6]~q\ & (!\led_flash_cnt[2767][5]~65627\)) # (!\led_flash_cnt[2767][6]~q\ & ((\led_flash_cnt[2767][5]~65627\) # (GND)))
-- \led_flash_cnt[2767][6]~65629\ = CARRY((!\led_flash_cnt[2767][5]~65627\) # (!\led_flash_cnt[2767][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2767][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2767][5]~65627\,
	combout => \led_flash_cnt[2767][6]~65628_combout\,
	cout => \led_flash_cnt[2767][6]~65629\);

-- Location: FF_X25_Y15_N21
\led_flash_cnt[2767][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2767][6]~65628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2767][6]~q\);

-- Location: LCCOMB_X25_Y15_N22
\led_flash_cnt[2767][7]~65630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2767][7]~65630_combout\ = \led_flash_cnt[2767][7]~q\ $ (!\led_flash_cnt[2767][6]~65629\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2767][7]~q\,
	cin => \led_flash_cnt[2767][6]~65629\,
	combout => \led_flash_cnt[2767][7]~65630_combout\);

-- Location: FF_X25_Y15_N23
\led_flash_cnt[2767][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2767][7]~65630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2767][7]~q\);

-- Location: LCCOMB_X25_Y15_N24
\WideAnd2767~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2767~1_combout\ = (\led_flash_cnt[2767][6]~q\ & \led_flash_cnt[2767][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2767][6]~q\,
	datad => \led_flash_cnt[2767][5]~q\,
	combout => \WideAnd2767~1_combout\);

-- Location: LCCOMB_X25_Y15_N28
\WideAnd2767~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2767~0_combout\ = (\led_flash_cnt[2767][2]~q\ & (\led_flash_cnt[2767][4]~q\ & (\led_flash_cnt[2767][3]~q\ & \led_flash_cnt[2767][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2767][2]~q\,
	datab => \led_flash_cnt[2767][4]~q\,
	datac => \led_flash_cnt[2767][3]~q\,
	datad => \led_flash_cnt[2767][1]~q\,
	combout => \WideAnd2767~0_combout\);

-- Location: LCCOMB_X25_Y15_N4
WideAnd2767 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2767~combout\ = (\led_flash_cnt[2767][7]~q\ & (\WideAnd2767~1_combout\ & (\led_flash_cnt[2767][0]~q\ & \WideAnd2767~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2767][7]~q\,
	datab => \WideAnd2767~1_combout\,
	datac => \led_flash_cnt[2767][0]~q\,
	datad => \WideAnd2767~0_combout\,
	combout => \WideAnd2767~combout\);

-- Location: FF_X25_Y15_N5
\led_flash_cnt_ands[2767]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2767~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2767));

-- Location: LCCOMB_X25_Y15_N30
\led_flash_cnt[2766][0]~83406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2766][0]~83406_combout\ = !\led_flash_cnt[2766][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2766][0]~q\,
	combout => \led_flash_cnt[2766][0]~83406_combout\);

-- Location: FF_X25_Y15_N31
\led_flash_cnt[2766][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2766][0]~83406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2766][0]~q\);

-- Location: LCCOMB_X24_Y15_N18
\led_flash_cnt[2766][1]~65604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2766][1]~65604_combout\ = (\led_flash_cnt[2766][0]~q\ & (\led_flash_cnt[2766][1]~q\ $ (VCC))) # (!\led_flash_cnt[2766][0]~q\ & (\led_flash_cnt[2766][1]~q\ & VCC))
-- \led_flash_cnt[2766][1]~65605\ = CARRY((\led_flash_cnt[2766][0]~q\ & \led_flash_cnt[2766][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2766][0]~q\,
	datab => \led_flash_cnt[2766][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2766][1]~65604_combout\,
	cout => \led_flash_cnt[2766][1]~65605\);

-- Location: FF_X24_Y15_N19
\led_flash_cnt[2766][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2766][1]~65604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2766][1]~q\);

-- Location: LCCOMB_X24_Y15_N20
\led_flash_cnt[2766][2]~65606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2766][2]~65606_combout\ = (\led_flash_cnt[2766][2]~q\ & (!\led_flash_cnt[2766][1]~65605\)) # (!\led_flash_cnt[2766][2]~q\ & ((\led_flash_cnt[2766][1]~65605\) # (GND)))
-- \led_flash_cnt[2766][2]~65607\ = CARRY((!\led_flash_cnt[2766][1]~65605\) # (!\led_flash_cnt[2766][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2766][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2766][1]~65605\,
	combout => \led_flash_cnt[2766][2]~65606_combout\,
	cout => \led_flash_cnt[2766][2]~65607\);

-- Location: FF_X24_Y15_N21
\led_flash_cnt[2766][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2766][2]~65606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2766][2]~q\);

-- Location: LCCOMB_X24_Y15_N22
\led_flash_cnt[2766][3]~65608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2766][3]~65608_combout\ = (\led_flash_cnt[2766][3]~q\ & (\led_flash_cnt[2766][2]~65607\ $ (GND))) # (!\led_flash_cnt[2766][3]~q\ & (!\led_flash_cnt[2766][2]~65607\ & VCC))
-- \led_flash_cnt[2766][3]~65609\ = CARRY((\led_flash_cnt[2766][3]~q\ & !\led_flash_cnt[2766][2]~65607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2766][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2766][2]~65607\,
	combout => \led_flash_cnt[2766][3]~65608_combout\,
	cout => \led_flash_cnt[2766][3]~65609\);

-- Location: FF_X24_Y15_N23
\led_flash_cnt[2766][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2766][3]~65608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2766][3]~q\);

-- Location: LCCOMB_X24_Y15_N24
\led_flash_cnt[2766][4]~65610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2766][4]~65610_combout\ = (\led_flash_cnt[2766][4]~q\ & (!\led_flash_cnt[2766][3]~65609\)) # (!\led_flash_cnt[2766][4]~q\ & ((\led_flash_cnt[2766][3]~65609\) # (GND)))
-- \led_flash_cnt[2766][4]~65611\ = CARRY((!\led_flash_cnt[2766][3]~65609\) # (!\led_flash_cnt[2766][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2766][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2766][3]~65609\,
	combout => \led_flash_cnt[2766][4]~65610_combout\,
	cout => \led_flash_cnt[2766][4]~65611\);

-- Location: FF_X24_Y15_N25
\led_flash_cnt[2766][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2766][4]~65610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2766][4]~q\);

-- Location: LCCOMB_X24_Y15_N26
\led_flash_cnt[2766][5]~65612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2766][5]~65612_combout\ = (\led_flash_cnt[2766][5]~q\ & (\led_flash_cnt[2766][4]~65611\ $ (GND))) # (!\led_flash_cnt[2766][5]~q\ & (!\led_flash_cnt[2766][4]~65611\ & VCC))
-- \led_flash_cnt[2766][5]~65613\ = CARRY((\led_flash_cnt[2766][5]~q\ & !\led_flash_cnt[2766][4]~65611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2766][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2766][4]~65611\,
	combout => \led_flash_cnt[2766][5]~65612_combout\,
	cout => \led_flash_cnt[2766][5]~65613\);

-- Location: FF_X24_Y15_N27
\led_flash_cnt[2766][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2766][5]~65612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2766][5]~q\);

-- Location: LCCOMB_X24_Y15_N28
\led_flash_cnt[2766][6]~65614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2766][6]~65614_combout\ = (\led_flash_cnt[2766][6]~q\ & (!\led_flash_cnt[2766][5]~65613\)) # (!\led_flash_cnt[2766][6]~q\ & ((\led_flash_cnt[2766][5]~65613\) # (GND)))
-- \led_flash_cnt[2766][6]~65615\ = CARRY((!\led_flash_cnt[2766][5]~65613\) # (!\led_flash_cnt[2766][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2766][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2766][5]~65613\,
	combout => \led_flash_cnt[2766][6]~65614_combout\,
	cout => \led_flash_cnt[2766][6]~65615\);

-- Location: FF_X24_Y15_N29
\led_flash_cnt[2766][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2766][6]~65614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2766][6]~q\);

-- Location: LCCOMB_X25_Y15_N26
\WideAnd2766~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2766~1_combout\ = (\led_flash_cnt[2766][5]~q\ & \led_flash_cnt[2766][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2766][5]~q\,
	datad => \led_flash_cnt[2766][6]~q\,
	combout => \WideAnd2766~1_combout\);

-- Location: LCCOMB_X24_Y15_N30
\led_flash_cnt[2766][7]~65616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2766][7]~65616_combout\ = \led_flash_cnt[2766][7]~q\ $ (!\led_flash_cnt[2766][6]~65615\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2766][7]~q\,
	cin => \led_flash_cnt[2766][6]~65615\,
	combout => \led_flash_cnt[2766][7]~65616_combout\);

-- Location: FF_X24_Y15_N31
\led_flash_cnt[2766][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2766][7]~65616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2766][7]~q\);

-- Location: LCCOMB_X24_Y15_N14
\WideAnd2766~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2766~0_combout\ = (\led_flash_cnt[2766][4]~q\ & (\led_flash_cnt[2766][2]~q\ & (\led_flash_cnt[2766][3]~q\ & \led_flash_cnt[2766][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2766][4]~q\,
	datab => \led_flash_cnt[2766][2]~q\,
	datac => \led_flash_cnt[2766][3]~q\,
	datad => \led_flash_cnt[2766][1]~q\,
	combout => \WideAnd2766~0_combout\);

-- Location: LCCOMB_X25_Y15_N6
WideAnd2766 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2766~combout\ = (\WideAnd2766~1_combout\ & (\led_flash_cnt[2766][7]~q\ & (\led_flash_cnt[2766][0]~q\ & \WideAnd2766~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2766~1_combout\,
	datab => \led_flash_cnt[2766][7]~q\,
	datac => \led_flash_cnt[2766][0]~q\,
	datad => \WideAnd2766~0_combout\,
	combout => \WideAnd2766~combout\);

-- Location: FF_X25_Y15_N7
\led_flash_cnt_ands[2766]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2766~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2766));

-- Location: LCCOMB_X31_Y12_N16
\led_flash_cnt[2763][0]~83403\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2763][0]~83403_combout\ = !\led_flash_cnt[2763][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2763][0]~q\,
	combout => \led_flash_cnt[2763][0]~83403_combout\);

-- Location: FF_X31_Y12_N17
\led_flash_cnt[2763][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2763][0]~83403_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2763][0]~q\);

-- Location: LCCOMB_X32_Y13_N0
\led_flash_cnt[2763][1]~65562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2763][1]~65562_combout\ = (\led_flash_cnt[2763][0]~q\ & (\led_flash_cnt[2763][1]~q\ $ (VCC))) # (!\led_flash_cnt[2763][0]~q\ & (\led_flash_cnt[2763][1]~q\ & VCC))
-- \led_flash_cnt[2763][1]~65563\ = CARRY((\led_flash_cnt[2763][0]~q\ & \led_flash_cnt[2763][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2763][0]~q\,
	datab => \led_flash_cnt[2763][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2763][1]~65562_combout\,
	cout => \led_flash_cnt[2763][1]~65563\);

-- Location: FF_X32_Y13_N1
\led_flash_cnt[2763][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2763][1]~65562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2763][1]~q\);

-- Location: LCCOMB_X32_Y13_N2
\led_flash_cnt[2763][2]~65564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2763][2]~65564_combout\ = (\led_flash_cnt[2763][2]~q\ & (!\led_flash_cnt[2763][1]~65563\)) # (!\led_flash_cnt[2763][2]~q\ & ((\led_flash_cnt[2763][1]~65563\) # (GND)))
-- \led_flash_cnt[2763][2]~65565\ = CARRY((!\led_flash_cnt[2763][1]~65563\) # (!\led_flash_cnt[2763][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2763][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2763][1]~65563\,
	combout => \led_flash_cnt[2763][2]~65564_combout\,
	cout => \led_flash_cnt[2763][2]~65565\);

-- Location: FF_X32_Y13_N3
\led_flash_cnt[2763][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2763][2]~65564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2763][2]~q\);

-- Location: LCCOMB_X32_Y13_N4
\led_flash_cnt[2763][3]~65566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2763][3]~65566_combout\ = (\led_flash_cnt[2763][3]~q\ & (\led_flash_cnt[2763][2]~65565\ $ (GND))) # (!\led_flash_cnt[2763][3]~q\ & (!\led_flash_cnt[2763][2]~65565\ & VCC))
-- \led_flash_cnt[2763][3]~65567\ = CARRY((\led_flash_cnt[2763][3]~q\ & !\led_flash_cnt[2763][2]~65565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2763][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2763][2]~65565\,
	combout => \led_flash_cnt[2763][3]~65566_combout\,
	cout => \led_flash_cnt[2763][3]~65567\);

-- Location: FF_X32_Y13_N5
\led_flash_cnt[2763][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2763][3]~65566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2763][3]~q\);

-- Location: LCCOMB_X32_Y13_N6
\led_flash_cnt[2763][4]~65568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2763][4]~65568_combout\ = (\led_flash_cnt[2763][4]~q\ & (!\led_flash_cnt[2763][3]~65567\)) # (!\led_flash_cnt[2763][4]~q\ & ((\led_flash_cnt[2763][3]~65567\) # (GND)))
-- \led_flash_cnt[2763][4]~65569\ = CARRY((!\led_flash_cnt[2763][3]~65567\) # (!\led_flash_cnt[2763][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2763][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2763][3]~65567\,
	combout => \led_flash_cnt[2763][4]~65568_combout\,
	cout => \led_flash_cnt[2763][4]~65569\);

-- Location: FF_X32_Y13_N7
\led_flash_cnt[2763][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2763][4]~65568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2763][4]~q\);

-- Location: LCCOMB_X32_Y13_N24
\WideAnd2763~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2763~0_combout\ = (\led_flash_cnt[2763][4]~q\ & (\led_flash_cnt[2763][1]~q\ & (\led_flash_cnt[2763][3]~q\ & \led_flash_cnt[2763][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2763][4]~q\,
	datab => \led_flash_cnt[2763][1]~q\,
	datac => \led_flash_cnt[2763][3]~q\,
	datad => \led_flash_cnt[2763][2]~q\,
	combout => \WideAnd2763~0_combout\);

-- Location: LCCOMB_X32_Y13_N8
\led_flash_cnt[2763][5]~65570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2763][5]~65570_combout\ = (\led_flash_cnt[2763][5]~q\ & (\led_flash_cnt[2763][4]~65569\ $ (GND))) # (!\led_flash_cnt[2763][5]~q\ & (!\led_flash_cnt[2763][4]~65569\ & VCC))
-- \led_flash_cnt[2763][5]~65571\ = CARRY((\led_flash_cnt[2763][5]~q\ & !\led_flash_cnt[2763][4]~65569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2763][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2763][4]~65569\,
	combout => \led_flash_cnt[2763][5]~65570_combout\,
	cout => \led_flash_cnt[2763][5]~65571\);

-- Location: FF_X32_Y13_N9
\led_flash_cnt[2763][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2763][5]~65570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2763][5]~q\);

-- Location: LCCOMB_X32_Y13_N10
\led_flash_cnt[2763][6]~65572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2763][6]~65572_combout\ = (\led_flash_cnt[2763][6]~q\ & (!\led_flash_cnt[2763][5]~65571\)) # (!\led_flash_cnt[2763][6]~q\ & ((\led_flash_cnt[2763][5]~65571\) # (GND)))
-- \led_flash_cnt[2763][6]~65573\ = CARRY((!\led_flash_cnt[2763][5]~65571\) # (!\led_flash_cnt[2763][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2763][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2763][5]~65571\,
	combout => \led_flash_cnt[2763][6]~65572_combout\,
	cout => \led_flash_cnt[2763][6]~65573\);

-- Location: FF_X32_Y13_N11
\led_flash_cnt[2763][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2763][6]~65572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2763][6]~q\);

-- Location: LCCOMB_X32_Y13_N14
\WideAnd2763~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2763~1_combout\ = (\led_flash_cnt[2763][5]~q\ & \led_flash_cnt[2763][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2763][5]~q\,
	datad => \led_flash_cnt[2763][6]~q\,
	combout => \WideAnd2763~1_combout\);

-- Location: LCCOMB_X32_Y13_N12
\led_flash_cnt[2763][7]~65574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2763][7]~65574_combout\ = \led_flash_cnt[2763][6]~65573\ $ (!\led_flash_cnt[2763][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2763][7]~q\,
	cin => \led_flash_cnt[2763][6]~65573\,
	combout => \led_flash_cnt[2763][7]~65574_combout\);

-- Location: FF_X32_Y13_N13
\led_flash_cnt[2763][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2763][7]~65574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2763][7]~q\);

-- Location: LCCOMB_X32_Y13_N30
WideAnd2763 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2763~combout\ = (\led_flash_cnt[2763][0]~q\ & (\WideAnd2763~0_combout\ & (\WideAnd2763~1_combout\ & \led_flash_cnt[2763][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2763][0]~q\,
	datab => \WideAnd2763~0_combout\,
	datac => \WideAnd2763~1_combout\,
	datad => \led_flash_cnt[2763][7]~q\,
	combout => \WideAnd2763~combout\);

-- Location: FF_X32_Y13_N31
\led_flash_cnt_ands[2763]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2763~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2763));

-- Location: LCCOMB_X37_Y14_N8
\led_flash_cnt[2760][0]~83400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2760][0]~83400_combout\ = !\led_flash_cnt[2760][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2760][0]~q\,
	combout => \led_flash_cnt[2760][0]~83400_combout\);

-- Location: FF_X37_Y14_N9
\led_flash_cnt[2760][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2760][0]~83400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2760][0]~q\);

-- Location: LCCOMB_X38_Y13_N8
\led_flash_cnt[2760][1]~65520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2760][1]~65520_combout\ = (\led_flash_cnt[2760][0]~q\ & (\led_flash_cnt[2760][1]~q\ $ (VCC))) # (!\led_flash_cnt[2760][0]~q\ & (\led_flash_cnt[2760][1]~q\ & VCC))
-- \led_flash_cnt[2760][1]~65521\ = CARRY((\led_flash_cnt[2760][0]~q\ & \led_flash_cnt[2760][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2760][0]~q\,
	datab => \led_flash_cnt[2760][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2760][1]~65520_combout\,
	cout => \led_flash_cnt[2760][1]~65521\);

-- Location: FF_X38_Y13_N9
\led_flash_cnt[2760][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2760][1]~65520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2760][1]~q\);

-- Location: LCCOMB_X38_Y13_N10
\led_flash_cnt[2760][2]~65522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2760][2]~65522_combout\ = (\led_flash_cnt[2760][2]~q\ & (!\led_flash_cnt[2760][1]~65521\)) # (!\led_flash_cnt[2760][2]~q\ & ((\led_flash_cnt[2760][1]~65521\) # (GND)))
-- \led_flash_cnt[2760][2]~65523\ = CARRY((!\led_flash_cnt[2760][1]~65521\) # (!\led_flash_cnt[2760][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2760][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2760][1]~65521\,
	combout => \led_flash_cnt[2760][2]~65522_combout\,
	cout => \led_flash_cnt[2760][2]~65523\);

-- Location: FF_X38_Y13_N11
\led_flash_cnt[2760][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2760][2]~65522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2760][2]~q\);

-- Location: LCCOMB_X38_Y13_N12
\led_flash_cnt[2760][3]~65524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2760][3]~65524_combout\ = (\led_flash_cnt[2760][3]~q\ & (\led_flash_cnt[2760][2]~65523\ $ (GND))) # (!\led_flash_cnt[2760][3]~q\ & (!\led_flash_cnt[2760][2]~65523\ & VCC))
-- \led_flash_cnt[2760][3]~65525\ = CARRY((\led_flash_cnt[2760][3]~q\ & !\led_flash_cnt[2760][2]~65523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2760][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2760][2]~65523\,
	combout => \led_flash_cnt[2760][3]~65524_combout\,
	cout => \led_flash_cnt[2760][3]~65525\);

-- Location: FF_X38_Y13_N13
\led_flash_cnt[2760][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2760][3]~65524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2760][3]~q\);

-- Location: LCCOMB_X38_Y13_N14
\led_flash_cnt[2760][4]~65526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2760][4]~65526_combout\ = (\led_flash_cnt[2760][4]~q\ & (!\led_flash_cnt[2760][3]~65525\)) # (!\led_flash_cnt[2760][4]~q\ & ((\led_flash_cnt[2760][3]~65525\) # (GND)))
-- \led_flash_cnt[2760][4]~65527\ = CARRY((!\led_flash_cnt[2760][3]~65525\) # (!\led_flash_cnt[2760][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2760][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2760][3]~65525\,
	combout => \led_flash_cnt[2760][4]~65526_combout\,
	cout => \led_flash_cnt[2760][4]~65527\);

-- Location: FF_X38_Y13_N15
\led_flash_cnt[2760][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2760][4]~65526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2760][4]~q\);

-- Location: LCCOMB_X38_Y13_N16
\led_flash_cnt[2760][5]~65528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2760][5]~65528_combout\ = (\led_flash_cnt[2760][5]~q\ & (\led_flash_cnt[2760][4]~65527\ $ (GND))) # (!\led_flash_cnt[2760][5]~q\ & (!\led_flash_cnt[2760][4]~65527\ & VCC))
-- \led_flash_cnt[2760][5]~65529\ = CARRY((\led_flash_cnt[2760][5]~q\ & !\led_flash_cnt[2760][4]~65527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2760][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2760][4]~65527\,
	combout => \led_flash_cnt[2760][5]~65528_combout\,
	cout => \led_flash_cnt[2760][5]~65529\);

-- Location: FF_X38_Y13_N17
\led_flash_cnt[2760][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2760][5]~65528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2760][5]~q\);

-- Location: LCCOMB_X38_Y13_N18
\led_flash_cnt[2760][6]~65530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2760][6]~65530_combout\ = (\led_flash_cnt[2760][6]~q\ & (!\led_flash_cnt[2760][5]~65529\)) # (!\led_flash_cnt[2760][6]~q\ & ((\led_flash_cnt[2760][5]~65529\) # (GND)))
-- \led_flash_cnt[2760][6]~65531\ = CARRY((!\led_flash_cnt[2760][5]~65529\) # (!\led_flash_cnt[2760][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2760][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2760][5]~65529\,
	combout => \led_flash_cnt[2760][6]~65530_combout\,
	cout => \led_flash_cnt[2760][6]~65531\);

-- Location: FF_X38_Y13_N19
\led_flash_cnt[2760][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2760][6]~65530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2760][6]~q\);

-- Location: LCCOMB_X38_Y13_N26
\WideAnd2760~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2760~1_combout\ = (\led_flash_cnt[2760][6]~q\ & \led_flash_cnt[2760][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2760][6]~q\,
	datad => \led_flash_cnt[2760][5]~q\,
	combout => \WideAnd2760~1_combout\);

-- Location: LCCOMB_X38_Y13_N20
\led_flash_cnt[2760][7]~65532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2760][7]~65532_combout\ = \led_flash_cnt[2760][6]~65531\ $ (!\led_flash_cnt[2760][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2760][7]~q\,
	cin => \led_flash_cnt[2760][6]~65531\,
	combout => \led_flash_cnt[2760][7]~65532_combout\);

-- Location: FF_X38_Y13_N21
\led_flash_cnt[2760][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2760][7]~65532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2760][7]~q\);

-- Location: LCCOMB_X38_Y13_N2
\WideAnd2760~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2760~0_combout\ = (\led_flash_cnt[2760][3]~q\ & (\led_flash_cnt[2760][4]~q\ & (\led_flash_cnt[2760][1]~q\ & \led_flash_cnt[2760][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2760][3]~q\,
	datab => \led_flash_cnt[2760][4]~q\,
	datac => \led_flash_cnt[2760][1]~q\,
	datad => \led_flash_cnt[2760][2]~q\,
	combout => \WideAnd2760~0_combout\);

-- Location: LCCOMB_X38_Y13_N4
WideAnd2760 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2760~combout\ = (\WideAnd2760~1_combout\ & (\led_flash_cnt[2760][7]~q\ & (\led_flash_cnt[2760][0]~q\ & \WideAnd2760~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2760~1_combout\,
	datab => \led_flash_cnt[2760][7]~q\,
	datac => \led_flash_cnt[2760][0]~q\,
	datad => \WideAnd2760~0_combout\,
	combout => \WideAnd2760~combout\);

-- Location: FF_X38_Y13_N5
\led_flash_cnt_ands[2760]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2760~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2760));

-- Location: LCCOMB_X38_Y13_N6
\led_flash_cnt[2762][0]~83402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2762][0]~83402_combout\ = !\led_flash_cnt[2762][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2762][0]~q\,
	combout => \led_flash_cnt[2762][0]~83402_combout\);

-- Location: FF_X38_Y13_N7
\led_flash_cnt[2762][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2762][0]~83402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2762][0]~q\);

-- Location: LCCOMB_X39_Y13_N2
\led_flash_cnt[2762][1]~65548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2762][1]~65548_combout\ = (\led_flash_cnt[2762][1]~q\ & (\led_flash_cnt[2762][0]~q\ $ (VCC))) # (!\led_flash_cnt[2762][1]~q\ & (\led_flash_cnt[2762][0]~q\ & VCC))
-- \led_flash_cnt[2762][1]~65549\ = CARRY((\led_flash_cnt[2762][1]~q\ & \led_flash_cnt[2762][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2762][1]~q\,
	datab => \led_flash_cnt[2762][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2762][1]~65548_combout\,
	cout => \led_flash_cnt[2762][1]~65549\);

-- Location: FF_X39_Y13_N3
\led_flash_cnt[2762][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2762][1]~65548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2762][1]~q\);

-- Location: LCCOMB_X39_Y13_N4
\led_flash_cnt[2762][2]~65550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2762][2]~65550_combout\ = (\led_flash_cnt[2762][2]~q\ & (!\led_flash_cnt[2762][1]~65549\)) # (!\led_flash_cnt[2762][2]~q\ & ((\led_flash_cnt[2762][1]~65549\) # (GND)))
-- \led_flash_cnt[2762][2]~65551\ = CARRY((!\led_flash_cnt[2762][1]~65549\) # (!\led_flash_cnt[2762][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2762][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2762][1]~65549\,
	combout => \led_flash_cnt[2762][2]~65550_combout\,
	cout => \led_flash_cnt[2762][2]~65551\);

-- Location: FF_X39_Y13_N5
\led_flash_cnt[2762][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2762][2]~65550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2762][2]~q\);

-- Location: LCCOMB_X39_Y13_N6
\led_flash_cnt[2762][3]~65552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2762][3]~65552_combout\ = (\led_flash_cnt[2762][3]~q\ & (\led_flash_cnt[2762][2]~65551\ $ (GND))) # (!\led_flash_cnt[2762][3]~q\ & (!\led_flash_cnt[2762][2]~65551\ & VCC))
-- \led_flash_cnt[2762][3]~65553\ = CARRY((\led_flash_cnt[2762][3]~q\ & !\led_flash_cnt[2762][2]~65551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2762][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2762][2]~65551\,
	combout => \led_flash_cnt[2762][3]~65552_combout\,
	cout => \led_flash_cnt[2762][3]~65553\);

-- Location: FF_X39_Y13_N7
\led_flash_cnt[2762][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2762][3]~65552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2762][3]~q\);

-- Location: LCCOMB_X39_Y13_N8
\led_flash_cnt[2762][4]~65554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2762][4]~65554_combout\ = (\led_flash_cnt[2762][4]~q\ & (!\led_flash_cnt[2762][3]~65553\)) # (!\led_flash_cnt[2762][4]~q\ & ((\led_flash_cnt[2762][3]~65553\) # (GND)))
-- \led_flash_cnt[2762][4]~65555\ = CARRY((!\led_flash_cnt[2762][3]~65553\) # (!\led_flash_cnt[2762][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2762][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2762][3]~65553\,
	combout => \led_flash_cnt[2762][4]~65554_combout\,
	cout => \led_flash_cnt[2762][4]~65555\);

-- Location: FF_X39_Y13_N9
\led_flash_cnt[2762][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2762][4]~65554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2762][4]~q\);

-- Location: LCCOMB_X38_Y13_N22
\WideAnd2762~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2762~0_combout\ = (\led_flash_cnt[2762][3]~q\ & (\led_flash_cnt[2762][2]~q\ & (\led_flash_cnt[2762][4]~q\ & \led_flash_cnt[2762][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2762][3]~q\,
	datab => \led_flash_cnt[2762][2]~q\,
	datac => \led_flash_cnt[2762][4]~q\,
	datad => \led_flash_cnt[2762][1]~q\,
	combout => \WideAnd2762~0_combout\);

-- Location: LCCOMB_X39_Y13_N10
\led_flash_cnt[2762][5]~65556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2762][5]~65556_combout\ = (\led_flash_cnt[2762][5]~q\ & (\led_flash_cnt[2762][4]~65555\ $ (GND))) # (!\led_flash_cnt[2762][5]~q\ & (!\led_flash_cnt[2762][4]~65555\ & VCC))
-- \led_flash_cnt[2762][5]~65557\ = CARRY((\led_flash_cnt[2762][5]~q\ & !\led_flash_cnt[2762][4]~65555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2762][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2762][4]~65555\,
	combout => \led_flash_cnt[2762][5]~65556_combout\,
	cout => \led_flash_cnt[2762][5]~65557\);

-- Location: FF_X39_Y13_N11
\led_flash_cnt[2762][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2762][5]~65556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2762][5]~q\);

-- Location: LCCOMB_X39_Y13_N12
\led_flash_cnt[2762][6]~65558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2762][6]~65558_combout\ = (\led_flash_cnt[2762][6]~q\ & (!\led_flash_cnt[2762][5]~65557\)) # (!\led_flash_cnt[2762][6]~q\ & ((\led_flash_cnt[2762][5]~65557\) # (GND)))
-- \led_flash_cnt[2762][6]~65559\ = CARRY((!\led_flash_cnt[2762][5]~65557\) # (!\led_flash_cnt[2762][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2762][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2762][5]~65557\,
	combout => \led_flash_cnt[2762][6]~65558_combout\,
	cout => \led_flash_cnt[2762][6]~65559\);

-- Location: FF_X39_Y13_N13
\led_flash_cnt[2762][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2762][6]~65558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2762][6]~q\);

-- Location: LCCOMB_X38_Y13_N24
\WideAnd2762~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2762~1_combout\ = (\led_flash_cnt[2762][6]~q\ & \led_flash_cnt[2762][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2762][6]~q\,
	datac => \led_flash_cnt[2762][5]~q\,
	combout => \WideAnd2762~1_combout\);

-- Location: LCCOMB_X39_Y13_N14
\led_flash_cnt[2762][7]~65560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2762][7]~65560_combout\ = \led_flash_cnt[2762][7]~q\ $ (!\led_flash_cnt[2762][6]~65559\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2762][7]~q\,
	cin => \led_flash_cnt[2762][6]~65559\,
	combout => \led_flash_cnt[2762][7]~65560_combout\);

-- Location: FF_X39_Y13_N15
\led_flash_cnt[2762][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2762][7]~65560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2762][7]~q\);

-- Location: LCCOMB_X38_Y13_N28
WideAnd2762 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2762~combout\ = (\WideAnd2762~0_combout\ & (\WideAnd2762~1_combout\ & (\led_flash_cnt[2762][7]~q\ & \led_flash_cnt[2762][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2762~0_combout\,
	datab => \WideAnd2762~1_combout\,
	datac => \led_flash_cnt[2762][7]~q\,
	datad => \led_flash_cnt[2762][0]~q\,
	combout => \WideAnd2762~combout\);

-- Location: FF_X38_Y13_N29
\led_flash_cnt_ands[2762]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2762~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2762));

-- Location: LCCOMB_X32_Y13_N22
\led_flash_cnt[2761][0]~83401\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2761][0]~83401_combout\ = !\led_flash_cnt[2761][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2761][0]~q\,
	combout => \led_flash_cnt[2761][0]~83401_combout\);

-- Location: FF_X32_Y13_N23
\led_flash_cnt[2761][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2761][0]~83401_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2761][0]~q\);

-- Location: LCCOMB_X31_Y13_N18
\led_flash_cnt[2761][1]~65534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2761][1]~65534_combout\ = (\led_flash_cnt[2761][0]~q\ & (\led_flash_cnt[2761][1]~q\ $ (VCC))) # (!\led_flash_cnt[2761][0]~q\ & (\led_flash_cnt[2761][1]~q\ & VCC))
-- \led_flash_cnt[2761][1]~65535\ = CARRY((\led_flash_cnt[2761][0]~q\ & \led_flash_cnt[2761][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2761][0]~q\,
	datab => \led_flash_cnt[2761][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2761][1]~65534_combout\,
	cout => \led_flash_cnt[2761][1]~65535\);

-- Location: FF_X31_Y13_N19
\led_flash_cnt[2761][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2761][1]~65534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2761][1]~q\);

-- Location: LCCOMB_X31_Y13_N20
\led_flash_cnt[2761][2]~65536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2761][2]~65536_combout\ = (\led_flash_cnt[2761][2]~q\ & (!\led_flash_cnt[2761][1]~65535\)) # (!\led_flash_cnt[2761][2]~q\ & ((\led_flash_cnt[2761][1]~65535\) # (GND)))
-- \led_flash_cnt[2761][2]~65537\ = CARRY((!\led_flash_cnt[2761][1]~65535\) # (!\led_flash_cnt[2761][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2761][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2761][1]~65535\,
	combout => \led_flash_cnt[2761][2]~65536_combout\,
	cout => \led_flash_cnt[2761][2]~65537\);

-- Location: FF_X31_Y13_N21
\led_flash_cnt[2761][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2761][2]~65536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2761][2]~q\);

-- Location: LCCOMB_X31_Y13_N22
\led_flash_cnt[2761][3]~65538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2761][3]~65538_combout\ = (\led_flash_cnt[2761][3]~q\ & (\led_flash_cnt[2761][2]~65537\ $ (GND))) # (!\led_flash_cnt[2761][3]~q\ & (!\led_flash_cnt[2761][2]~65537\ & VCC))
-- \led_flash_cnt[2761][3]~65539\ = CARRY((\led_flash_cnt[2761][3]~q\ & !\led_flash_cnt[2761][2]~65537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2761][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2761][2]~65537\,
	combout => \led_flash_cnt[2761][3]~65538_combout\,
	cout => \led_flash_cnt[2761][3]~65539\);

-- Location: FF_X31_Y13_N23
\led_flash_cnt[2761][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2761][3]~65538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2761][3]~q\);

-- Location: LCCOMB_X31_Y13_N24
\led_flash_cnt[2761][4]~65540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2761][4]~65540_combout\ = (\led_flash_cnt[2761][4]~q\ & (!\led_flash_cnt[2761][3]~65539\)) # (!\led_flash_cnt[2761][4]~q\ & ((\led_flash_cnt[2761][3]~65539\) # (GND)))
-- \led_flash_cnt[2761][4]~65541\ = CARRY((!\led_flash_cnt[2761][3]~65539\) # (!\led_flash_cnt[2761][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2761][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2761][3]~65539\,
	combout => \led_flash_cnt[2761][4]~65540_combout\,
	cout => \led_flash_cnt[2761][4]~65541\);

-- Location: FF_X31_Y13_N25
\led_flash_cnt[2761][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2761][4]~65540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2761][4]~q\);

-- Location: LCCOMB_X31_Y13_N26
\led_flash_cnt[2761][5]~65542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2761][5]~65542_combout\ = (\led_flash_cnt[2761][5]~q\ & (\led_flash_cnt[2761][4]~65541\ $ (GND))) # (!\led_flash_cnt[2761][5]~q\ & (!\led_flash_cnt[2761][4]~65541\ & VCC))
-- \led_flash_cnt[2761][5]~65543\ = CARRY((\led_flash_cnt[2761][5]~q\ & !\led_flash_cnt[2761][4]~65541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2761][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2761][4]~65541\,
	combout => \led_flash_cnt[2761][5]~65542_combout\,
	cout => \led_flash_cnt[2761][5]~65543\);

-- Location: FF_X31_Y13_N27
\led_flash_cnt[2761][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2761][5]~65542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2761][5]~q\);

-- Location: LCCOMB_X31_Y13_N28
\led_flash_cnt[2761][6]~65544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2761][6]~65544_combout\ = (\led_flash_cnt[2761][6]~q\ & (!\led_flash_cnt[2761][5]~65543\)) # (!\led_flash_cnt[2761][6]~q\ & ((\led_flash_cnt[2761][5]~65543\) # (GND)))
-- \led_flash_cnt[2761][6]~65545\ = CARRY((!\led_flash_cnt[2761][5]~65543\) # (!\led_flash_cnt[2761][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2761][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2761][5]~65543\,
	combout => \led_flash_cnt[2761][6]~65544_combout\,
	cout => \led_flash_cnt[2761][6]~65545\);

-- Location: FF_X31_Y13_N29
\led_flash_cnt[2761][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2761][6]~65544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2761][6]~q\);

-- Location: LCCOMB_X32_Y13_N26
\WideAnd2761~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2761~1_combout\ = (\led_flash_cnt[2761][5]~q\ & \led_flash_cnt[2761][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2761][5]~q\,
	datad => \led_flash_cnt[2761][6]~q\,
	combout => \WideAnd2761~1_combout\);

-- Location: LCCOMB_X31_Y13_N30
\led_flash_cnt[2761][7]~65546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2761][7]~65546_combout\ = \led_flash_cnt[2761][7]~q\ $ (!\led_flash_cnt[2761][6]~65545\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2761][7]~q\,
	cin => \led_flash_cnt[2761][6]~65545\,
	combout => \led_flash_cnt[2761][7]~65546_combout\);

-- Location: FF_X31_Y13_N31
\led_flash_cnt[2761][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2761][7]~65546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2761][7]~q\);

-- Location: LCCOMB_X31_Y13_N16
\WideAnd2761~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2761~0_combout\ = (\led_flash_cnt[2761][4]~q\ & (\led_flash_cnt[2761][2]~q\ & (\led_flash_cnt[2761][3]~q\ & \led_flash_cnt[2761][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2761][4]~q\,
	datab => \led_flash_cnt[2761][2]~q\,
	datac => \led_flash_cnt[2761][3]~q\,
	datad => \led_flash_cnt[2761][1]~q\,
	combout => \WideAnd2761~0_combout\);

-- Location: LCCOMB_X32_Y13_N16
WideAnd2761 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2761~combout\ = (\WideAnd2761~1_combout\ & (\led_flash_cnt[2761][7]~q\ & (\WideAnd2761~0_combout\ & \led_flash_cnt[2761][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2761~1_combout\,
	datab => \led_flash_cnt[2761][7]~q\,
	datac => \WideAnd2761~0_combout\,
	datad => \led_flash_cnt[2761][0]~q\,
	combout => \WideAnd2761~combout\);

-- Location: FF_X32_Y13_N17
\led_flash_cnt_ands[2761]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2761~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2761));

-- Location: LCCOMB_X32_Y13_N28
\WideAnd4185~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4185~0_combout\ = (led_flash_cnt_ands(2763) & (led_flash_cnt_ands(2760) & (led_flash_cnt_ands(2762) & led_flash_cnt_ands(2761))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2763),
	datab => led_flash_cnt_ands(2760),
	datac => led_flash_cnt_ands(2762),
	datad => led_flash_cnt_ands(2761),
	combout => \WideAnd4185~0_combout\);

-- Location: LCCOMB_X34_Y12_N18
\led_flash_cnt[2765][0]~83405\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2765][0]~83405_combout\ = !\led_flash_cnt[2765][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2765][0]~q\,
	combout => \led_flash_cnt[2765][0]~83405_combout\);

-- Location: FF_X34_Y12_N19
\led_flash_cnt[2765][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2765][0]~83405_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2765][0]~q\);

-- Location: LCCOMB_X35_Y12_N16
\led_flash_cnt[2765][1]~65590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2765][1]~65590_combout\ = (\led_flash_cnt[2765][0]~q\ & (\led_flash_cnt[2765][1]~q\ $ (VCC))) # (!\led_flash_cnt[2765][0]~q\ & (\led_flash_cnt[2765][1]~q\ & VCC))
-- \led_flash_cnt[2765][1]~65591\ = CARRY((\led_flash_cnt[2765][0]~q\ & \led_flash_cnt[2765][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2765][0]~q\,
	datab => \led_flash_cnt[2765][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2765][1]~65590_combout\,
	cout => \led_flash_cnt[2765][1]~65591\);

-- Location: FF_X35_Y12_N17
\led_flash_cnt[2765][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2765][1]~65590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2765][1]~q\);

-- Location: LCCOMB_X35_Y12_N18
\led_flash_cnt[2765][2]~65592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2765][2]~65592_combout\ = (\led_flash_cnt[2765][2]~q\ & (!\led_flash_cnt[2765][1]~65591\)) # (!\led_flash_cnt[2765][2]~q\ & ((\led_flash_cnt[2765][1]~65591\) # (GND)))
-- \led_flash_cnt[2765][2]~65593\ = CARRY((!\led_flash_cnt[2765][1]~65591\) # (!\led_flash_cnt[2765][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2765][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2765][1]~65591\,
	combout => \led_flash_cnt[2765][2]~65592_combout\,
	cout => \led_flash_cnt[2765][2]~65593\);

-- Location: FF_X35_Y12_N19
\led_flash_cnt[2765][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2765][2]~65592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2765][2]~q\);

-- Location: LCCOMB_X35_Y12_N20
\led_flash_cnt[2765][3]~65594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2765][3]~65594_combout\ = (\led_flash_cnt[2765][3]~q\ & (\led_flash_cnt[2765][2]~65593\ $ (GND))) # (!\led_flash_cnt[2765][3]~q\ & (!\led_flash_cnt[2765][2]~65593\ & VCC))
-- \led_flash_cnt[2765][3]~65595\ = CARRY((\led_flash_cnt[2765][3]~q\ & !\led_flash_cnt[2765][2]~65593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2765][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2765][2]~65593\,
	combout => \led_flash_cnt[2765][3]~65594_combout\,
	cout => \led_flash_cnt[2765][3]~65595\);

-- Location: FF_X35_Y12_N21
\led_flash_cnt[2765][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2765][3]~65594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2765][3]~q\);

-- Location: LCCOMB_X35_Y12_N22
\led_flash_cnt[2765][4]~65596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2765][4]~65596_combout\ = (\led_flash_cnt[2765][4]~q\ & (!\led_flash_cnt[2765][3]~65595\)) # (!\led_flash_cnt[2765][4]~q\ & ((\led_flash_cnt[2765][3]~65595\) # (GND)))
-- \led_flash_cnt[2765][4]~65597\ = CARRY((!\led_flash_cnt[2765][3]~65595\) # (!\led_flash_cnt[2765][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2765][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2765][3]~65595\,
	combout => \led_flash_cnt[2765][4]~65596_combout\,
	cout => \led_flash_cnt[2765][4]~65597\);

-- Location: FF_X35_Y12_N23
\led_flash_cnt[2765][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2765][4]~65596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2765][4]~q\);

-- Location: LCCOMB_X35_Y12_N30
\WideAnd2765~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2765~0_combout\ = (\led_flash_cnt[2765][2]~q\ & (\led_flash_cnt[2765][3]~q\ & (\led_flash_cnt[2765][4]~q\ & \led_flash_cnt[2765][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2765][2]~q\,
	datab => \led_flash_cnt[2765][3]~q\,
	datac => \led_flash_cnt[2765][4]~q\,
	datad => \led_flash_cnt[2765][1]~q\,
	combout => \WideAnd2765~0_combout\);

-- Location: LCCOMB_X35_Y12_N24
\led_flash_cnt[2765][5]~65598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2765][5]~65598_combout\ = (\led_flash_cnt[2765][5]~q\ & (\led_flash_cnt[2765][4]~65597\ $ (GND))) # (!\led_flash_cnt[2765][5]~q\ & (!\led_flash_cnt[2765][4]~65597\ & VCC))
-- \led_flash_cnt[2765][5]~65599\ = CARRY((\led_flash_cnt[2765][5]~q\ & !\led_flash_cnt[2765][4]~65597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2765][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2765][4]~65597\,
	combout => \led_flash_cnt[2765][5]~65598_combout\,
	cout => \led_flash_cnt[2765][5]~65599\);

-- Location: FF_X35_Y12_N25
\led_flash_cnt[2765][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2765][5]~65598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2765][5]~q\);

-- Location: LCCOMB_X35_Y12_N26
\led_flash_cnt[2765][6]~65600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2765][6]~65600_combout\ = (\led_flash_cnt[2765][6]~q\ & (!\led_flash_cnt[2765][5]~65599\)) # (!\led_flash_cnt[2765][6]~q\ & ((\led_flash_cnt[2765][5]~65599\) # (GND)))
-- \led_flash_cnt[2765][6]~65601\ = CARRY((!\led_flash_cnt[2765][5]~65599\) # (!\led_flash_cnt[2765][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2765][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2765][5]~65599\,
	combout => \led_flash_cnt[2765][6]~65600_combout\,
	cout => \led_flash_cnt[2765][6]~65601\);

-- Location: FF_X35_Y12_N27
\led_flash_cnt[2765][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2765][6]~65600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2765][6]~q\);

-- Location: LCCOMB_X34_Y12_N22
\WideAnd2765~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2765~1_combout\ = (\led_flash_cnt[2765][6]~q\ & \led_flash_cnt[2765][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2765][6]~q\,
	datad => \led_flash_cnt[2765][5]~q\,
	combout => \WideAnd2765~1_combout\);

-- Location: LCCOMB_X35_Y12_N28
\led_flash_cnt[2765][7]~65602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2765][7]~65602_combout\ = \led_flash_cnt[2765][6]~65601\ $ (!\led_flash_cnt[2765][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2765][7]~q\,
	cin => \led_flash_cnt[2765][6]~65601\,
	combout => \led_flash_cnt[2765][7]~65602_combout\);

-- Location: FF_X35_Y12_N29
\led_flash_cnt[2765][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2765][7]~65602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2765][7]~q\);

-- Location: LCCOMB_X34_Y12_N14
WideAnd2765 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2765~combout\ = (\WideAnd2765~0_combout\ & (\led_flash_cnt[2765][0]~q\ & (\WideAnd2765~1_combout\ & \led_flash_cnt[2765][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2765~0_combout\,
	datab => \led_flash_cnt[2765][0]~q\,
	datac => \WideAnd2765~1_combout\,
	datad => \led_flash_cnt[2765][7]~q\,
	combout => \WideAnd2765~combout\);

-- Location: FF_X34_Y12_N15
\led_flash_cnt_ands[2765]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2765~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2765));

-- Location: LCCOMB_X31_Y12_N22
\led_flash_cnt[2764][0]~83404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2764][0]~83404_combout\ = !\led_flash_cnt[2764][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2764][0]~q\,
	combout => \led_flash_cnt[2764][0]~83404_combout\);

-- Location: FF_X31_Y12_N23
\led_flash_cnt[2764][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2764][0]~83404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2764][0]~q\);

-- Location: LCCOMB_X34_Y12_N0
\led_flash_cnt[2764][1]~65576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2764][1]~65576_combout\ = (\led_flash_cnt[2764][0]~q\ & (\led_flash_cnt[2764][1]~q\ $ (VCC))) # (!\led_flash_cnt[2764][0]~q\ & (\led_flash_cnt[2764][1]~q\ & VCC))
-- \led_flash_cnt[2764][1]~65577\ = CARRY((\led_flash_cnt[2764][0]~q\ & \led_flash_cnt[2764][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2764][0]~q\,
	datab => \led_flash_cnt[2764][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2764][1]~65576_combout\,
	cout => \led_flash_cnt[2764][1]~65577\);

-- Location: FF_X34_Y12_N1
\led_flash_cnt[2764][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2764][1]~65576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2764][1]~q\);

-- Location: LCCOMB_X34_Y12_N2
\led_flash_cnt[2764][2]~65578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2764][2]~65578_combout\ = (\led_flash_cnt[2764][2]~q\ & (!\led_flash_cnt[2764][1]~65577\)) # (!\led_flash_cnt[2764][2]~q\ & ((\led_flash_cnt[2764][1]~65577\) # (GND)))
-- \led_flash_cnt[2764][2]~65579\ = CARRY((!\led_flash_cnt[2764][1]~65577\) # (!\led_flash_cnt[2764][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2764][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2764][1]~65577\,
	combout => \led_flash_cnt[2764][2]~65578_combout\,
	cout => \led_flash_cnt[2764][2]~65579\);

-- Location: FF_X34_Y12_N3
\led_flash_cnt[2764][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2764][2]~65578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2764][2]~q\);

-- Location: LCCOMB_X34_Y12_N4
\led_flash_cnt[2764][3]~65580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2764][3]~65580_combout\ = (\led_flash_cnt[2764][3]~q\ & (\led_flash_cnt[2764][2]~65579\ $ (GND))) # (!\led_flash_cnt[2764][3]~q\ & (!\led_flash_cnt[2764][2]~65579\ & VCC))
-- \led_flash_cnt[2764][3]~65581\ = CARRY((\led_flash_cnt[2764][3]~q\ & !\led_flash_cnt[2764][2]~65579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2764][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2764][2]~65579\,
	combout => \led_flash_cnt[2764][3]~65580_combout\,
	cout => \led_flash_cnt[2764][3]~65581\);

-- Location: FF_X34_Y12_N5
\led_flash_cnt[2764][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2764][3]~65580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2764][3]~q\);

-- Location: LCCOMB_X34_Y12_N6
\led_flash_cnt[2764][4]~65582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2764][4]~65582_combout\ = (\led_flash_cnt[2764][4]~q\ & (!\led_flash_cnt[2764][3]~65581\)) # (!\led_flash_cnt[2764][4]~q\ & ((\led_flash_cnt[2764][3]~65581\) # (GND)))
-- \led_flash_cnt[2764][4]~65583\ = CARRY((!\led_flash_cnt[2764][3]~65581\) # (!\led_flash_cnt[2764][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2764][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2764][3]~65581\,
	combout => \led_flash_cnt[2764][4]~65582_combout\,
	cout => \led_flash_cnt[2764][4]~65583\);

-- Location: FF_X34_Y12_N7
\led_flash_cnt[2764][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2764][4]~65582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2764][4]~q\);

-- Location: LCCOMB_X34_Y12_N8
\led_flash_cnt[2764][5]~65584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2764][5]~65584_combout\ = (\led_flash_cnt[2764][5]~q\ & (\led_flash_cnt[2764][4]~65583\ $ (GND))) # (!\led_flash_cnt[2764][5]~q\ & (!\led_flash_cnt[2764][4]~65583\ & VCC))
-- \led_flash_cnt[2764][5]~65585\ = CARRY((\led_flash_cnt[2764][5]~q\ & !\led_flash_cnt[2764][4]~65583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2764][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2764][4]~65583\,
	combout => \led_flash_cnt[2764][5]~65584_combout\,
	cout => \led_flash_cnt[2764][5]~65585\);

-- Location: FF_X34_Y12_N9
\led_flash_cnt[2764][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2764][5]~65584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2764][5]~q\);

-- Location: LCCOMB_X34_Y12_N10
\led_flash_cnt[2764][6]~65586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2764][6]~65586_combout\ = (\led_flash_cnt[2764][6]~q\ & (!\led_flash_cnt[2764][5]~65585\)) # (!\led_flash_cnt[2764][6]~q\ & ((\led_flash_cnt[2764][5]~65585\) # (GND)))
-- \led_flash_cnt[2764][6]~65587\ = CARRY((!\led_flash_cnt[2764][5]~65585\) # (!\led_flash_cnt[2764][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2764][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2764][5]~65585\,
	combout => \led_flash_cnt[2764][6]~65586_combout\,
	cout => \led_flash_cnt[2764][6]~65587\);

-- Location: FF_X34_Y12_N11
\led_flash_cnt[2764][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2764][6]~65586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2764][6]~q\);

-- Location: LCCOMB_X34_Y12_N26
\WideAnd2764~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2764~1_combout\ = (\led_flash_cnt[2764][5]~q\ & \led_flash_cnt[2764][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2764][5]~q\,
	datad => \led_flash_cnt[2764][6]~q\,
	combout => \WideAnd2764~1_combout\);

-- Location: LCCOMB_X34_Y12_N28
\WideAnd2764~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2764~0_combout\ = (\led_flash_cnt[2764][4]~q\ & (\led_flash_cnt[2764][1]~q\ & (\led_flash_cnt[2764][3]~q\ & \led_flash_cnt[2764][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2764][4]~q\,
	datab => \led_flash_cnt[2764][1]~q\,
	datac => \led_flash_cnt[2764][3]~q\,
	datad => \led_flash_cnt[2764][2]~q\,
	combout => \WideAnd2764~0_combout\);

-- Location: LCCOMB_X34_Y12_N12
\led_flash_cnt[2764][7]~65588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2764][7]~65588_combout\ = \led_flash_cnt[2764][6]~65587\ $ (!\led_flash_cnt[2764][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2764][7]~q\,
	cin => \led_flash_cnt[2764][6]~65587\,
	combout => \led_flash_cnt[2764][7]~65588_combout\);

-- Location: FF_X34_Y12_N13
\led_flash_cnt[2764][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2764][7]~65588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2764][7]~q\);

-- Location: LCCOMB_X34_Y12_N20
WideAnd2764 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2764~combout\ = (\WideAnd2764~1_combout\ & (\WideAnd2764~0_combout\ & (\led_flash_cnt[2764][0]~q\ & \led_flash_cnt[2764][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2764~1_combout\,
	datab => \WideAnd2764~0_combout\,
	datac => \led_flash_cnt[2764][0]~q\,
	datad => \led_flash_cnt[2764][7]~q\,
	combout => \WideAnd2764~combout\);

-- Location: FF_X34_Y12_N21
\led_flash_cnt_ands[2764]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2764~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2764));

-- Location: LCCOMB_X34_Y12_N30
\WideAnd4185~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4185~1_combout\ = (led_flash_cnt_ands(2765) & led_flash_cnt_ands(2764))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2765),
	datad => led_flash_cnt_ands(2764),
	combout => \WideAnd4185~1_combout\);

-- Location: LCCOMB_X29_Y15_N24
WideAnd4185 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4185~combout\ = (led_flash_cnt_ands(2767) & (led_flash_cnt_ands(2766) & (\WideAnd4185~0_combout\ & \WideAnd4185~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2767),
	datab => led_flash_cnt_ands(2766),
	datac => \WideAnd4185~0_combout\,
	datad => \WideAnd4185~1_combout\,
	combout => \WideAnd4185~combout\);

-- Location: FF_X29_Y15_N25
\led_flash_cnt_ands_1[345]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4185~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(345));

-- Location: LCCOMB_X24_Y7_N6
\led_flash_cnt[2754][0]~83394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2754][0]~83394_combout\ = !\led_flash_cnt[2754][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2754][0]~q\,
	combout => \led_flash_cnt[2754][0]~83394_combout\);

-- Location: FF_X24_Y7_N7
\led_flash_cnt[2754][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2754][0]~83394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2754][0]~q\);

-- Location: LCCOMB_X25_Y7_N0
\led_flash_cnt[2754][1]~65436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2754][1]~65436_combout\ = (\led_flash_cnt[2754][0]~q\ & (\led_flash_cnt[2754][1]~q\ $ (VCC))) # (!\led_flash_cnt[2754][0]~q\ & (\led_flash_cnt[2754][1]~q\ & VCC))
-- \led_flash_cnt[2754][1]~65437\ = CARRY((\led_flash_cnt[2754][0]~q\ & \led_flash_cnt[2754][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2754][0]~q\,
	datab => \led_flash_cnt[2754][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2754][1]~65436_combout\,
	cout => \led_flash_cnt[2754][1]~65437\);

-- Location: FF_X25_Y7_N1
\led_flash_cnt[2754][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2754][1]~65436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2754][1]~q\);

-- Location: LCCOMB_X25_Y7_N2
\led_flash_cnt[2754][2]~65438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2754][2]~65438_combout\ = (\led_flash_cnt[2754][2]~q\ & (!\led_flash_cnt[2754][1]~65437\)) # (!\led_flash_cnt[2754][2]~q\ & ((\led_flash_cnt[2754][1]~65437\) # (GND)))
-- \led_flash_cnt[2754][2]~65439\ = CARRY((!\led_flash_cnt[2754][1]~65437\) # (!\led_flash_cnt[2754][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2754][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2754][1]~65437\,
	combout => \led_flash_cnt[2754][2]~65438_combout\,
	cout => \led_flash_cnt[2754][2]~65439\);

-- Location: FF_X25_Y7_N3
\led_flash_cnt[2754][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2754][2]~65438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2754][2]~q\);

-- Location: LCCOMB_X25_Y7_N4
\led_flash_cnt[2754][3]~65440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2754][3]~65440_combout\ = (\led_flash_cnt[2754][3]~q\ & (\led_flash_cnt[2754][2]~65439\ $ (GND))) # (!\led_flash_cnt[2754][3]~q\ & (!\led_flash_cnt[2754][2]~65439\ & VCC))
-- \led_flash_cnt[2754][3]~65441\ = CARRY((\led_flash_cnt[2754][3]~q\ & !\led_flash_cnt[2754][2]~65439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2754][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2754][2]~65439\,
	combout => \led_flash_cnt[2754][3]~65440_combout\,
	cout => \led_flash_cnt[2754][3]~65441\);

-- Location: FF_X25_Y7_N5
\led_flash_cnt[2754][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2754][3]~65440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2754][3]~q\);

-- Location: LCCOMB_X25_Y7_N6
\led_flash_cnt[2754][4]~65442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2754][4]~65442_combout\ = (\led_flash_cnt[2754][4]~q\ & (!\led_flash_cnt[2754][3]~65441\)) # (!\led_flash_cnt[2754][4]~q\ & ((\led_flash_cnt[2754][3]~65441\) # (GND)))
-- \led_flash_cnt[2754][4]~65443\ = CARRY((!\led_flash_cnt[2754][3]~65441\) # (!\led_flash_cnt[2754][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2754][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2754][3]~65441\,
	combout => \led_flash_cnt[2754][4]~65442_combout\,
	cout => \led_flash_cnt[2754][4]~65443\);

-- Location: FF_X25_Y7_N7
\led_flash_cnt[2754][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2754][4]~65442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2754][4]~q\);

-- Location: LCCOMB_X25_Y7_N8
\led_flash_cnt[2754][5]~65444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2754][5]~65444_combout\ = (\led_flash_cnt[2754][5]~q\ & (\led_flash_cnt[2754][4]~65443\ $ (GND))) # (!\led_flash_cnt[2754][5]~q\ & (!\led_flash_cnt[2754][4]~65443\ & VCC))
-- \led_flash_cnt[2754][5]~65445\ = CARRY((\led_flash_cnt[2754][5]~q\ & !\led_flash_cnt[2754][4]~65443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2754][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2754][4]~65443\,
	combout => \led_flash_cnt[2754][5]~65444_combout\,
	cout => \led_flash_cnt[2754][5]~65445\);

-- Location: FF_X25_Y7_N9
\led_flash_cnt[2754][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2754][5]~65444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2754][5]~q\);

-- Location: LCCOMB_X25_Y7_N10
\led_flash_cnt[2754][6]~65446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2754][6]~65446_combout\ = (\led_flash_cnt[2754][6]~q\ & (!\led_flash_cnt[2754][5]~65445\)) # (!\led_flash_cnt[2754][6]~q\ & ((\led_flash_cnt[2754][5]~65445\) # (GND)))
-- \led_flash_cnt[2754][6]~65447\ = CARRY((!\led_flash_cnt[2754][5]~65445\) # (!\led_flash_cnt[2754][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2754][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2754][5]~65445\,
	combout => \led_flash_cnt[2754][6]~65446_combout\,
	cout => \led_flash_cnt[2754][6]~65447\);

-- Location: FF_X25_Y7_N11
\led_flash_cnt[2754][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2754][6]~65446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2754][6]~q\);

-- Location: LCCOMB_X24_Y7_N10
\WideAnd2754~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2754~1_combout\ = (\led_flash_cnt[2754][6]~q\ & \led_flash_cnt[2754][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2754][6]~q\,
	datac => \led_flash_cnt[2754][5]~q\,
	combout => \WideAnd2754~1_combout\);

-- Location: LCCOMB_X25_Y7_N28
\WideAnd2754~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2754~0_combout\ = (\led_flash_cnt[2754][4]~q\ & (\led_flash_cnt[2754][2]~q\ & (\led_flash_cnt[2754][3]~q\ & \led_flash_cnt[2754][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2754][4]~q\,
	datab => \led_flash_cnt[2754][2]~q\,
	datac => \led_flash_cnt[2754][3]~q\,
	datad => \led_flash_cnt[2754][1]~q\,
	combout => \WideAnd2754~0_combout\);

-- Location: LCCOMB_X25_Y7_N12
\led_flash_cnt[2754][7]~65448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2754][7]~65448_combout\ = \led_flash_cnt[2754][6]~65447\ $ (!\led_flash_cnt[2754][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2754][7]~q\,
	cin => \led_flash_cnt[2754][6]~65447\,
	combout => \led_flash_cnt[2754][7]~65448_combout\);

-- Location: FF_X25_Y7_N13
\led_flash_cnt[2754][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2754][7]~65448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2754][7]~q\);

-- Location: LCCOMB_X24_Y7_N30
WideAnd2754 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2754~combout\ = (\WideAnd2754~1_combout\ & (\WideAnd2754~0_combout\ & (\led_flash_cnt[2754][7]~q\ & \led_flash_cnt[2754][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2754~1_combout\,
	datab => \WideAnd2754~0_combout\,
	datac => \led_flash_cnt[2754][7]~q\,
	datad => \led_flash_cnt[2754][0]~q\,
	combout => \WideAnd2754~combout\);

-- Location: FF_X24_Y7_N31
\led_flash_cnt_ands[2754]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2754~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2754));

-- Location: LCCOMB_X23_Y2_N8
\led_flash_cnt[2753][0]~83393\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2753][0]~83393_combout\ = !\led_flash_cnt[2753][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2753][0]~q\,
	combout => \led_flash_cnt[2753][0]~83393_combout\);

-- Location: FF_X23_Y2_N9
\led_flash_cnt[2753][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2753][0]~83393_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2753][0]~q\);

-- Location: LCCOMB_X23_Y2_N12
\led_flash_cnt[2753][1]~65422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2753][1]~65422_combout\ = (\led_flash_cnt[2753][1]~q\ & (\led_flash_cnt[2753][0]~q\ $ (VCC))) # (!\led_flash_cnt[2753][1]~q\ & (\led_flash_cnt[2753][0]~q\ & VCC))
-- \led_flash_cnt[2753][1]~65423\ = CARRY((\led_flash_cnt[2753][1]~q\ & \led_flash_cnt[2753][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2753][1]~q\,
	datab => \led_flash_cnt[2753][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2753][1]~65422_combout\,
	cout => \led_flash_cnt[2753][1]~65423\);

-- Location: FF_X23_Y2_N13
\led_flash_cnt[2753][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2753][1]~65422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2753][1]~q\);

-- Location: LCCOMB_X23_Y2_N14
\led_flash_cnt[2753][2]~65424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2753][2]~65424_combout\ = (\led_flash_cnt[2753][2]~q\ & (!\led_flash_cnt[2753][1]~65423\)) # (!\led_flash_cnt[2753][2]~q\ & ((\led_flash_cnt[2753][1]~65423\) # (GND)))
-- \led_flash_cnt[2753][2]~65425\ = CARRY((!\led_flash_cnt[2753][1]~65423\) # (!\led_flash_cnt[2753][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2753][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2753][1]~65423\,
	combout => \led_flash_cnt[2753][2]~65424_combout\,
	cout => \led_flash_cnt[2753][2]~65425\);

-- Location: FF_X23_Y2_N15
\led_flash_cnt[2753][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2753][2]~65424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2753][2]~q\);

-- Location: LCCOMB_X23_Y2_N16
\led_flash_cnt[2753][3]~65426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2753][3]~65426_combout\ = (\led_flash_cnt[2753][3]~q\ & (\led_flash_cnt[2753][2]~65425\ $ (GND))) # (!\led_flash_cnt[2753][3]~q\ & (!\led_flash_cnt[2753][2]~65425\ & VCC))
-- \led_flash_cnt[2753][3]~65427\ = CARRY((\led_flash_cnt[2753][3]~q\ & !\led_flash_cnt[2753][2]~65425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2753][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2753][2]~65425\,
	combout => \led_flash_cnt[2753][3]~65426_combout\,
	cout => \led_flash_cnt[2753][3]~65427\);

-- Location: FF_X23_Y2_N17
\led_flash_cnt[2753][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2753][3]~65426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2753][3]~q\);

-- Location: LCCOMB_X23_Y2_N18
\led_flash_cnt[2753][4]~65428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2753][4]~65428_combout\ = (\led_flash_cnt[2753][4]~q\ & (!\led_flash_cnt[2753][3]~65427\)) # (!\led_flash_cnt[2753][4]~q\ & ((\led_flash_cnt[2753][3]~65427\) # (GND)))
-- \led_flash_cnt[2753][4]~65429\ = CARRY((!\led_flash_cnt[2753][3]~65427\) # (!\led_flash_cnt[2753][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2753][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2753][3]~65427\,
	combout => \led_flash_cnt[2753][4]~65428_combout\,
	cout => \led_flash_cnt[2753][4]~65429\);

-- Location: FF_X23_Y2_N19
\led_flash_cnt[2753][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2753][4]~65428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2753][4]~q\);

-- Location: LCCOMB_X23_Y2_N20
\led_flash_cnt[2753][5]~65430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2753][5]~65430_combout\ = (\led_flash_cnt[2753][5]~q\ & (\led_flash_cnt[2753][4]~65429\ $ (GND))) # (!\led_flash_cnt[2753][5]~q\ & (!\led_flash_cnt[2753][4]~65429\ & VCC))
-- \led_flash_cnt[2753][5]~65431\ = CARRY((\led_flash_cnt[2753][5]~q\ & !\led_flash_cnt[2753][4]~65429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2753][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2753][4]~65429\,
	combout => \led_flash_cnt[2753][5]~65430_combout\,
	cout => \led_flash_cnt[2753][5]~65431\);

-- Location: FF_X23_Y2_N21
\led_flash_cnt[2753][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2753][5]~65430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2753][5]~q\);

-- Location: LCCOMB_X23_Y2_N22
\led_flash_cnt[2753][6]~65432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2753][6]~65432_combout\ = (\led_flash_cnt[2753][6]~q\ & (!\led_flash_cnt[2753][5]~65431\)) # (!\led_flash_cnt[2753][6]~q\ & ((\led_flash_cnt[2753][5]~65431\) # (GND)))
-- \led_flash_cnt[2753][6]~65433\ = CARRY((!\led_flash_cnt[2753][5]~65431\) # (!\led_flash_cnt[2753][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2753][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2753][5]~65431\,
	combout => \led_flash_cnt[2753][6]~65432_combout\,
	cout => \led_flash_cnt[2753][6]~65433\);

-- Location: FF_X23_Y2_N23
\led_flash_cnt[2753][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2753][6]~65432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2753][6]~q\);

-- Location: LCCOMB_X23_Y2_N10
\WideAnd2753~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2753~1_combout\ = (\led_flash_cnt[2753][6]~q\ & \led_flash_cnt[2753][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2753][6]~q\,
	datad => \led_flash_cnt[2753][5]~q\,
	combout => \WideAnd2753~1_combout\);

-- Location: LCCOMB_X23_Y2_N24
\led_flash_cnt[2753][7]~65434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2753][7]~65434_combout\ = \led_flash_cnt[2753][6]~65433\ $ (!\led_flash_cnt[2753][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2753][7]~q\,
	cin => \led_flash_cnt[2753][6]~65433\,
	combout => \led_flash_cnt[2753][7]~65434_combout\);

-- Location: FF_X23_Y2_N25
\led_flash_cnt[2753][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2753][7]~65434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2753][7]~q\);

-- Location: LCCOMB_X23_Y2_N0
\WideAnd2753~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2753~0_combout\ = (\led_flash_cnt[2753][1]~q\ & (\led_flash_cnt[2753][4]~q\ & (\led_flash_cnt[2753][2]~q\ & \led_flash_cnt[2753][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2753][1]~q\,
	datab => \led_flash_cnt[2753][4]~q\,
	datac => \led_flash_cnt[2753][2]~q\,
	datad => \led_flash_cnt[2753][3]~q\,
	combout => \WideAnd2753~0_combout\);

-- Location: LCCOMB_X23_Y2_N28
WideAnd2753 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2753~combout\ = (\WideAnd2753~1_combout\ & (\led_flash_cnt[2753][7]~q\ & (\led_flash_cnt[2753][0]~q\ & \WideAnd2753~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2753~1_combout\,
	datab => \led_flash_cnt[2753][7]~q\,
	datac => \led_flash_cnt[2753][0]~q\,
	datad => \WideAnd2753~0_combout\,
	combout => \WideAnd2753~combout\);

-- Location: FF_X23_Y2_N29
\led_flash_cnt_ands[2753]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2753~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2753));

-- Location: LCCOMB_X30_Y12_N0
\led_flash_cnt[2755][0]~83395\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2755][0]~83395_combout\ = !\led_flash_cnt[2755][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2755][0]~q\,
	combout => \led_flash_cnt[2755][0]~83395_combout\);

-- Location: FF_X30_Y12_N1
\led_flash_cnt[2755][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2755][0]~83395_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2755][0]~q\);

-- Location: LCCOMB_X30_Y12_N6
\led_flash_cnt[2755][1]~65450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2755][1]~65450_combout\ = (\led_flash_cnt[2755][1]~q\ & (\led_flash_cnt[2755][0]~q\ $ (VCC))) # (!\led_flash_cnt[2755][1]~q\ & (\led_flash_cnt[2755][0]~q\ & VCC))
-- \led_flash_cnt[2755][1]~65451\ = CARRY((\led_flash_cnt[2755][1]~q\ & \led_flash_cnt[2755][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2755][1]~q\,
	datab => \led_flash_cnt[2755][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2755][1]~65450_combout\,
	cout => \led_flash_cnt[2755][1]~65451\);

-- Location: FF_X30_Y12_N7
\led_flash_cnt[2755][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2755][1]~65450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2755][1]~q\);

-- Location: LCCOMB_X30_Y12_N8
\led_flash_cnt[2755][2]~65452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2755][2]~65452_combout\ = (\led_flash_cnt[2755][2]~q\ & (!\led_flash_cnt[2755][1]~65451\)) # (!\led_flash_cnt[2755][2]~q\ & ((\led_flash_cnt[2755][1]~65451\) # (GND)))
-- \led_flash_cnt[2755][2]~65453\ = CARRY((!\led_flash_cnt[2755][1]~65451\) # (!\led_flash_cnt[2755][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2755][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2755][1]~65451\,
	combout => \led_flash_cnt[2755][2]~65452_combout\,
	cout => \led_flash_cnt[2755][2]~65453\);

-- Location: FF_X30_Y12_N9
\led_flash_cnt[2755][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2755][2]~65452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2755][2]~q\);

-- Location: LCCOMB_X30_Y12_N10
\led_flash_cnt[2755][3]~65454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2755][3]~65454_combout\ = (\led_flash_cnt[2755][3]~q\ & (\led_flash_cnt[2755][2]~65453\ $ (GND))) # (!\led_flash_cnt[2755][3]~q\ & (!\led_flash_cnt[2755][2]~65453\ & VCC))
-- \led_flash_cnt[2755][3]~65455\ = CARRY((\led_flash_cnt[2755][3]~q\ & !\led_flash_cnt[2755][2]~65453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2755][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2755][2]~65453\,
	combout => \led_flash_cnt[2755][3]~65454_combout\,
	cout => \led_flash_cnt[2755][3]~65455\);

-- Location: FF_X30_Y12_N11
\led_flash_cnt[2755][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2755][3]~65454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2755][3]~q\);

-- Location: LCCOMB_X30_Y12_N12
\led_flash_cnt[2755][4]~65456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2755][4]~65456_combout\ = (\led_flash_cnt[2755][4]~q\ & (!\led_flash_cnt[2755][3]~65455\)) # (!\led_flash_cnt[2755][4]~q\ & ((\led_flash_cnt[2755][3]~65455\) # (GND)))
-- \led_flash_cnt[2755][4]~65457\ = CARRY((!\led_flash_cnt[2755][3]~65455\) # (!\led_flash_cnt[2755][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2755][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2755][3]~65455\,
	combout => \led_flash_cnt[2755][4]~65456_combout\,
	cout => \led_flash_cnt[2755][4]~65457\);

-- Location: FF_X30_Y12_N13
\led_flash_cnt[2755][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2755][4]~65456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2755][4]~q\);

-- Location: LCCOMB_X30_Y12_N26
\WideAnd2755~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2755~0_combout\ = (\led_flash_cnt[2755][1]~q\ & (\led_flash_cnt[2755][4]~q\ & (\led_flash_cnt[2755][2]~q\ & \led_flash_cnt[2755][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2755][1]~q\,
	datab => \led_flash_cnt[2755][4]~q\,
	datac => \led_flash_cnt[2755][2]~q\,
	datad => \led_flash_cnt[2755][3]~q\,
	combout => \WideAnd2755~0_combout\);

-- Location: LCCOMB_X30_Y12_N14
\led_flash_cnt[2755][5]~65458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2755][5]~65458_combout\ = (\led_flash_cnt[2755][5]~q\ & (\led_flash_cnt[2755][4]~65457\ $ (GND))) # (!\led_flash_cnt[2755][5]~q\ & (!\led_flash_cnt[2755][4]~65457\ & VCC))
-- \led_flash_cnt[2755][5]~65459\ = CARRY((\led_flash_cnt[2755][5]~q\ & !\led_flash_cnt[2755][4]~65457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2755][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2755][4]~65457\,
	combout => \led_flash_cnt[2755][5]~65458_combout\,
	cout => \led_flash_cnt[2755][5]~65459\);

-- Location: FF_X30_Y12_N15
\led_flash_cnt[2755][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2755][5]~65458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2755][5]~q\);

-- Location: LCCOMB_X30_Y12_N16
\led_flash_cnt[2755][6]~65460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2755][6]~65460_combout\ = (\led_flash_cnt[2755][6]~q\ & (!\led_flash_cnt[2755][5]~65459\)) # (!\led_flash_cnt[2755][6]~q\ & ((\led_flash_cnt[2755][5]~65459\) # (GND)))
-- \led_flash_cnt[2755][6]~65461\ = CARRY((!\led_flash_cnt[2755][5]~65459\) # (!\led_flash_cnt[2755][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2755][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2755][5]~65459\,
	combout => \led_flash_cnt[2755][6]~65460_combout\,
	cout => \led_flash_cnt[2755][6]~65461\);

-- Location: FF_X30_Y12_N17
\led_flash_cnt[2755][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2755][6]~65460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2755][6]~q\);

-- Location: LCCOMB_X30_Y12_N22
\WideAnd2755~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2755~1_combout\ = (\led_flash_cnt[2755][5]~q\ & \led_flash_cnt[2755][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2755][5]~q\,
	datad => \led_flash_cnt[2755][6]~q\,
	combout => \WideAnd2755~1_combout\);

-- Location: LCCOMB_X30_Y12_N18
\led_flash_cnt[2755][7]~65462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2755][7]~65462_combout\ = \led_flash_cnt[2755][6]~65461\ $ (!\led_flash_cnt[2755][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2755][7]~q\,
	cin => \led_flash_cnt[2755][6]~65461\,
	combout => \led_flash_cnt[2755][7]~65462_combout\);

-- Location: FF_X30_Y12_N19
\led_flash_cnt[2755][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2755][7]~65462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2755][7]~q\);

-- Location: LCCOMB_X30_Y12_N30
WideAnd2755 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2755~combout\ = (\WideAnd2755~0_combout\ & (\led_flash_cnt[2755][0]~q\ & (\WideAnd2755~1_combout\ & \led_flash_cnt[2755][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2755~0_combout\,
	datab => \led_flash_cnt[2755][0]~q\,
	datac => \WideAnd2755~1_combout\,
	datad => \led_flash_cnt[2755][7]~q\,
	combout => \WideAnd2755~combout\);

-- Location: FF_X30_Y12_N31
\led_flash_cnt_ands[2755]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2755~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2755));

-- Location: LCCOMB_X24_Y7_N12
\led_flash_cnt[2752][0]~83392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2752][0]~83392_combout\ = !\led_flash_cnt[2752][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2752][0]~q\,
	combout => \led_flash_cnt[2752][0]~83392_combout\);

-- Location: FF_X24_Y7_N13
\led_flash_cnt[2752][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2752][0]~83392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2752][0]~q\);

-- Location: LCCOMB_X24_Y7_N16
\led_flash_cnt[2752][1]~65408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2752][1]~65408_combout\ = (\led_flash_cnt[2752][0]~q\ & (\led_flash_cnt[2752][1]~q\ $ (VCC))) # (!\led_flash_cnt[2752][0]~q\ & (\led_flash_cnt[2752][1]~q\ & VCC))
-- \led_flash_cnt[2752][1]~65409\ = CARRY((\led_flash_cnt[2752][0]~q\ & \led_flash_cnt[2752][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2752][0]~q\,
	datab => \led_flash_cnt[2752][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2752][1]~65408_combout\,
	cout => \led_flash_cnt[2752][1]~65409\);

-- Location: FF_X24_Y7_N17
\led_flash_cnt[2752][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2752][1]~65408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2752][1]~q\);

-- Location: LCCOMB_X24_Y7_N18
\led_flash_cnt[2752][2]~65410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2752][2]~65410_combout\ = (\led_flash_cnt[2752][2]~q\ & (!\led_flash_cnt[2752][1]~65409\)) # (!\led_flash_cnt[2752][2]~q\ & ((\led_flash_cnt[2752][1]~65409\) # (GND)))
-- \led_flash_cnt[2752][2]~65411\ = CARRY((!\led_flash_cnt[2752][1]~65409\) # (!\led_flash_cnt[2752][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2752][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2752][1]~65409\,
	combout => \led_flash_cnt[2752][2]~65410_combout\,
	cout => \led_flash_cnt[2752][2]~65411\);

-- Location: FF_X24_Y7_N19
\led_flash_cnt[2752][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2752][2]~65410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2752][2]~q\);

-- Location: LCCOMB_X24_Y7_N20
\led_flash_cnt[2752][3]~65412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2752][3]~65412_combout\ = (\led_flash_cnt[2752][3]~q\ & (\led_flash_cnt[2752][2]~65411\ $ (GND))) # (!\led_flash_cnt[2752][3]~q\ & (!\led_flash_cnt[2752][2]~65411\ & VCC))
-- \led_flash_cnt[2752][3]~65413\ = CARRY((\led_flash_cnt[2752][3]~q\ & !\led_flash_cnt[2752][2]~65411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2752][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2752][2]~65411\,
	combout => \led_flash_cnt[2752][3]~65412_combout\,
	cout => \led_flash_cnt[2752][3]~65413\);

-- Location: FF_X24_Y7_N21
\led_flash_cnt[2752][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2752][3]~65412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2752][3]~q\);

-- Location: LCCOMB_X24_Y7_N22
\led_flash_cnt[2752][4]~65414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2752][4]~65414_combout\ = (\led_flash_cnt[2752][4]~q\ & (!\led_flash_cnt[2752][3]~65413\)) # (!\led_flash_cnt[2752][4]~q\ & ((\led_flash_cnt[2752][3]~65413\) # (GND)))
-- \led_flash_cnt[2752][4]~65415\ = CARRY((!\led_flash_cnt[2752][3]~65413\) # (!\led_flash_cnt[2752][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2752][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2752][3]~65413\,
	combout => \led_flash_cnt[2752][4]~65414_combout\,
	cout => \led_flash_cnt[2752][4]~65415\);

-- Location: FF_X24_Y7_N23
\led_flash_cnt[2752][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2752][4]~65414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2752][4]~q\);

-- Location: LCCOMB_X24_Y7_N24
\led_flash_cnt[2752][5]~65416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2752][5]~65416_combout\ = (\led_flash_cnt[2752][5]~q\ & (\led_flash_cnt[2752][4]~65415\ $ (GND))) # (!\led_flash_cnt[2752][5]~q\ & (!\led_flash_cnt[2752][4]~65415\ & VCC))
-- \led_flash_cnt[2752][5]~65417\ = CARRY((\led_flash_cnt[2752][5]~q\ & !\led_flash_cnt[2752][4]~65415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2752][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2752][4]~65415\,
	combout => \led_flash_cnt[2752][5]~65416_combout\,
	cout => \led_flash_cnt[2752][5]~65417\);

-- Location: FF_X24_Y7_N25
\led_flash_cnt[2752][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2752][5]~65416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2752][5]~q\);

-- Location: LCCOMB_X24_Y7_N26
\led_flash_cnt[2752][6]~65418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2752][6]~65418_combout\ = (\led_flash_cnt[2752][6]~q\ & (!\led_flash_cnt[2752][5]~65417\)) # (!\led_flash_cnt[2752][6]~q\ & ((\led_flash_cnt[2752][5]~65417\) # (GND)))
-- \led_flash_cnt[2752][6]~65419\ = CARRY((!\led_flash_cnt[2752][5]~65417\) # (!\led_flash_cnt[2752][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2752][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2752][5]~65417\,
	combout => \led_flash_cnt[2752][6]~65418_combout\,
	cout => \led_flash_cnt[2752][6]~65419\);

-- Location: FF_X24_Y7_N27
\led_flash_cnt[2752][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2752][6]~65418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2752][6]~q\);

-- Location: LCCOMB_X24_Y7_N28
\led_flash_cnt[2752][7]~65420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2752][7]~65420_combout\ = \led_flash_cnt[2752][6]~65419\ $ (!\led_flash_cnt[2752][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2752][7]~q\,
	cin => \led_flash_cnt[2752][6]~65419\,
	combout => \led_flash_cnt[2752][7]~65420_combout\);

-- Location: FF_X24_Y7_N29
\led_flash_cnt[2752][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2752][7]~65420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2752][7]~q\);

-- Location: LCCOMB_X24_Y7_N8
\WideAnd2752~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2752~1_combout\ = (\led_flash_cnt[2752][6]~q\ & \led_flash_cnt[2752][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2752][6]~q\,
	datad => \led_flash_cnt[2752][5]~q\,
	combout => \WideAnd2752~1_combout\);

-- Location: LCCOMB_X24_Y7_N2
\WideAnd2752~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2752~0_combout\ = (\led_flash_cnt[2752][2]~q\ & (\led_flash_cnt[2752][3]~q\ & (\led_flash_cnt[2752][4]~q\ & \led_flash_cnt[2752][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2752][2]~q\,
	datab => \led_flash_cnt[2752][3]~q\,
	datac => \led_flash_cnt[2752][4]~q\,
	datad => \led_flash_cnt[2752][1]~q\,
	combout => \WideAnd2752~0_combout\);

-- Location: LCCOMB_X24_Y7_N0
WideAnd2752 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2752~combout\ = (\led_flash_cnt[2752][0]~q\ & (\led_flash_cnt[2752][7]~q\ & (\WideAnd2752~1_combout\ & \WideAnd2752~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2752][0]~q\,
	datab => \led_flash_cnt[2752][7]~q\,
	datac => \WideAnd2752~1_combout\,
	datad => \WideAnd2752~0_combout\,
	combout => \WideAnd2752~combout\);

-- Location: FF_X24_Y7_N1
\led_flash_cnt_ands[2752]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2752~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2752));

-- Location: LCCOMB_X24_Y7_N4
\WideAnd4184~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4184~0_combout\ = (led_flash_cnt_ands(2754) & (led_flash_cnt_ands(2753) & (led_flash_cnt_ands(2755) & led_flash_cnt_ands(2752))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2754),
	datab => led_flash_cnt_ands(2753),
	datac => led_flash_cnt_ands(2755),
	datad => led_flash_cnt_ands(2752),
	combout => \WideAnd4184~0_combout\);

-- Location: LCCOMB_X25_Y4_N6
\led_flash_cnt[2758][0]~83398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2758][0]~83398_combout\ = !\led_flash_cnt[2758][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2758][0]~q\,
	combout => \led_flash_cnt[2758][0]~83398_combout\);

-- Location: FF_X25_Y4_N7
\led_flash_cnt[2758][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2758][0]~83398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2758][0]~q\);

-- Location: LCCOMB_X22_Y4_N0
\led_flash_cnt[2758][1]~65492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2758][1]~65492_combout\ = (\led_flash_cnt[2758][0]~q\ & (\led_flash_cnt[2758][1]~q\ $ (VCC))) # (!\led_flash_cnt[2758][0]~q\ & (\led_flash_cnt[2758][1]~q\ & VCC))
-- \led_flash_cnt[2758][1]~65493\ = CARRY((\led_flash_cnt[2758][0]~q\ & \led_flash_cnt[2758][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2758][0]~q\,
	datab => \led_flash_cnt[2758][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2758][1]~65492_combout\,
	cout => \led_flash_cnt[2758][1]~65493\);

-- Location: FF_X22_Y4_N1
\led_flash_cnt[2758][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2758][1]~65492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2758][1]~q\);

-- Location: LCCOMB_X22_Y4_N2
\led_flash_cnt[2758][2]~65494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2758][2]~65494_combout\ = (\led_flash_cnt[2758][2]~q\ & (!\led_flash_cnt[2758][1]~65493\)) # (!\led_flash_cnt[2758][2]~q\ & ((\led_flash_cnt[2758][1]~65493\) # (GND)))
-- \led_flash_cnt[2758][2]~65495\ = CARRY((!\led_flash_cnt[2758][1]~65493\) # (!\led_flash_cnt[2758][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2758][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2758][1]~65493\,
	combout => \led_flash_cnt[2758][2]~65494_combout\,
	cout => \led_flash_cnt[2758][2]~65495\);

-- Location: FF_X22_Y4_N3
\led_flash_cnt[2758][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2758][2]~65494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2758][2]~q\);

-- Location: LCCOMB_X22_Y4_N4
\led_flash_cnt[2758][3]~65496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2758][3]~65496_combout\ = (\led_flash_cnt[2758][3]~q\ & (\led_flash_cnt[2758][2]~65495\ $ (GND))) # (!\led_flash_cnt[2758][3]~q\ & (!\led_flash_cnt[2758][2]~65495\ & VCC))
-- \led_flash_cnt[2758][3]~65497\ = CARRY((\led_flash_cnt[2758][3]~q\ & !\led_flash_cnt[2758][2]~65495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2758][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2758][2]~65495\,
	combout => \led_flash_cnt[2758][3]~65496_combout\,
	cout => \led_flash_cnt[2758][3]~65497\);

-- Location: FF_X22_Y4_N5
\led_flash_cnt[2758][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2758][3]~65496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2758][3]~q\);

-- Location: LCCOMB_X22_Y4_N6
\led_flash_cnt[2758][4]~65498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2758][4]~65498_combout\ = (\led_flash_cnt[2758][4]~q\ & (!\led_flash_cnt[2758][3]~65497\)) # (!\led_flash_cnt[2758][4]~q\ & ((\led_flash_cnt[2758][3]~65497\) # (GND)))
-- \led_flash_cnt[2758][4]~65499\ = CARRY((!\led_flash_cnt[2758][3]~65497\) # (!\led_flash_cnt[2758][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2758][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2758][3]~65497\,
	combout => \led_flash_cnt[2758][4]~65498_combout\,
	cout => \led_flash_cnt[2758][4]~65499\);

-- Location: FF_X22_Y4_N7
\led_flash_cnt[2758][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2758][4]~65498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2758][4]~q\);

-- Location: LCCOMB_X22_Y4_N8
\led_flash_cnt[2758][5]~65500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2758][5]~65500_combout\ = (\led_flash_cnt[2758][5]~q\ & (\led_flash_cnt[2758][4]~65499\ $ (GND))) # (!\led_flash_cnt[2758][5]~q\ & (!\led_flash_cnt[2758][4]~65499\ & VCC))
-- \led_flash_cnt[2758][5]~65501\ = CARRY((\led_flash_cnt[2758][5]~q\ & !\led_flash_cnt[2758][4]~65499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2758][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2758][4]~65499\,
	combout => \led_flash_cnt[2758][5]~65500_combout\,
	cout => \led_flash_cnt[2758][5]~65501\);

-- Location: FF_X22_Y4_N9
\led_flash_cnt[2758][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2758][5]~65500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2758][5]~q\);

-- Location: LCCOMB_X22_Y4_N10
\led_flash_cnt[2758][6]~65502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2758][6]~65502_combout\ = (\led_flash_cnt[2758][6]~q\ & (!\led_flash_cnt[2758][5]~65501\)) # (!\led_flash_cnt[2758][6]~q\ & ((\led_flash_cnt[2758][5]~65501\) # (GND)))
-- \led_flash_cnt[2758][6]~65503\ = CARRY((!\led_flash_cnt[2758][5]~65501\) # (!\led_flash_cnt[2758][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2758][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2758][5]~65501\,
	combout => \led_flash_cnt[2758][6]~65502_combout\,
	cout => \led_flash_cnt[2758][6]~65503\);

-- Location: FF_X22_Y4_N11
\led_flash_cnt[2758][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2758][6]~65502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2758][6]~q\);

-- Location: LCCOMB_X22_Y4_N12
\led_flash_cnt[2758][7]~65504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2758][7]~65504_combout\ = \led_flash_cnt[2758][6]~65503\ $ (!\led_flash_cnt[2758][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2758][7]~q\,
	cin => \led_flash_cnt[2758][6]~65503\,
	combout => \led_flash_cnt[2758][7]~65504_combout\);

-- Location: FF_X22_Y4_N13
\led_flash_cnt[2758][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2758][7]~65504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2758][7]~q\);

-- Location: LCCOMB_X23_Y4_N4
\WideAnd2758~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2758~1_combout\ = (\led_flash_cnt[2758][6]~q\ & \led_flash_cnt[2758][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2758][6]~q\,
	datad => \led_flash_cnt[2758][5]~q\,
	combout => \WideAnd2758~1_combout\);

-- Location: LCCOMB_X22_Y4_N14
\WideAnd2758~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2758~0_combout\ = (\led_flash_cnt[2758][4]~q\ & (\led_flash_cnt[2758][1]~q\ & (\led_flash_cnt[2758][3]~q\ & \led_flash_cnt[2758][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2758][4]~q\,
	datab => \led_flash_cnt[2758][1]~q\,
	datac => \led_flash_cnt[2758][3]~q\,
	datad => \led_flash_cnt[2758][2]~q\,
	combout => \WideAnd2758~0_combout\);

-- Location: LCCOMB_X23_Y4_N30
WideAnd2758 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2758~combout\ = (\led_flash_cnt[2758][7]~q\ & (\led_flash_cnt[2758][0]~q\ & (\WideAnd2758~1_combout\ & \WideAnd2758~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2758][7]~q\,
	datab => \led_flash_cnt[2758][0]~q\,
	datac => \WideAnd2758~1_combout\,
	datad => \WideAnd2758~0_combout\,
	combout => \WideAnd2758~combout\);

-- Location: FF_X23_Y4_N31
\led_flash_cnt_ands[2758]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2758~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2758));

-- Location: LCCOMB_X23_Y2_N26
\led_flash_cnt[2759][0]~83399\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2759][0]~83399_combout\ = !\led_flash_cnt[2759][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2759][0]~q\,
	combout => \led_flash_cnt[2759][0]~83399_combout\);

-- Location: FF_X23_Y2_N27
\led_flash_cnt[2759][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2759][0]~83399_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2759][0]~q\);

-- Location: LCCOMB_X19_Y2_N0
\led_flash_cnt[2759][1]~65506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2759][1]~65506_combout\ = (\led_flash_cnt[2759][0]~q\ & (\led_flash_cnt[2759][1]~q\ $ (VCC))) # (!\led_flash_cnt[2759][0]~q\ & (\led_flash_cnt[2759][1]~q\ & VCC))
-- \led_flash_cnt[2759][1]~65507\ = CARRY((\led_flash_cnt[2759][0]~q\ & \led_flash_cnt[2759][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2759][0]~q\,
	datab => \led_flash_cnt[2759][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2759][1]~65506_combout\,
	cout => \led_flash_cnt[2759][1]~65507\);

-- Location: FF_X19_Y2_N1
\led_flash_cnt[2759][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2759][1]~65506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2759][1]~q\);

-- Location: LCCOMB_X19_Y2_N2
\led_flash_cnt[2759][2]~65508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2759][2]~65508_combout\ = (\led_flash_cnt[2759][2]~q\ & (!\led_flash_cnt[2759][1]~65507\)) # (!\led_flash_cnt[2759][2]~q\ & ((\led_flash_cnt[2759][1]~65507\) # (GND)))
-- \led_flash_cnt[2759][2]~65509\ = CARRY((!\led_flash_cnt[2759][1]~65507\) # (!\led_flash_cnt[2759][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2759][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2759][1]~65507\,
	combout => \led_flash_cnt[2759][2]~65508_combout\,
	cout => \led_flash_cnt[2759][2]~65509\);

-- Location: FF_X19_Y2_N3
\led_flash_cnt[2759][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2759][2]~65508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2759][2]~q\);

-- Location: LCCOMB_X19_Y2_N4
\led_flash_cnt[2759][3]~65510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2759][3]~65510_combout\ = (\led_flash_cnt[2759][3]~q\ & (\led_flash_cnt[2759][2]~65509\ $ (GND))) # (!\led_flash_cnt[2759][3]~q\ & (!\led_flash_cnt[2759][2]~65509\ & VCC))
-- \led_flash_cnt[2759][3]~65511\ = CARRY((\led_flash_cnt[2759][3]~q\ & !\led_flash_cnt[2759][2]~65509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2759][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2759][2]~65509\,
	combout => \led_flash_cnt[2759][3]~65510_combout\,
	cout => \led_flash_cnt[2759][3]~65511\);

-- Location: FF_X19_Y2_N5
\led_flash_cnt[2759][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2759][3]~65510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2759][3]~q\);

-- Location: LCCOMB_X19_Y2_N6
\led_flash_cnt[2759][4]~65512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2759][4]~65512_combout\ = (\led_flash_cnt[2759][4]~q\ & (!\led_flash_cnt[2759][3]~65511\)) # (!\led_flash_cnt[2759][4]~q\ & ((\led_flash_cnt[2759][3]~65511\) # (GND)))
-- \led_flash_cnt[2759][4]~65513\ = CARRY((!\led_flash_cnt[2759][3]~65511\) # (!\led_flash_cnt[2759][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2759][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2759][3]~65511\,
	combout => \led_flash_cnt[2759][4]~65512_combout\,
	cout => \led_flash_cnt[2759][4]~65513\);

-- Location: FF_X19_Y2_N7
\led_flash_cnt[2759][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2759][4]~65512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2759][4]~q\);

-- Location: LCCOMB_X19_Y2_N8
\led_flash_cnt[2759][5]~65514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2759][5]~65514_combout\ = (\led_flash_cnt[2759][5]~q\ & (\led_flash_cnt[2759][4]~65513\ $ (GND))) # (!\led_flash_cnt[2759][5]~q\ & (!\led_flash_cnt[2759][4]~65513\ & VCC))
-- \led_flash_cnt[2759][5]~65515\ = CARRY((\led_flash_cnt[2759][5]~q\ & !\led_flash_cnt[2759][4]~65513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2759][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2759][4]~65513\,
	combout => \led_flash_cnt[2759][5]~65514_combout\,
	cout => \led_flash_cnt[2759][5]~65515\);

-- Location: FF_X19_Y2_N9
\led_flash_cnt[2759][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2759][5]~65514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2759][5]~q\);

-- Location: LCCOMB_X19_Y2_N10
\led_flash_cnt[2759][6]~65516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2759][6]~65516_combout\ = (\led_flash_cnt[2759][6]~q\ & (!\led_flash_cnt[2759][5]~65515\)) # (!\led_flash_cnt[2759][6]~q\ & ((\led_flash_cnt[2759][5]~65515\) # (GND)))
-- \led_flash_cnt[2759][6]~65517\ = CARRY((!\led_flash_cnt[2759][5]~65515\) # (!\led_flash_cnt[2759][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2759][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2759][5]~65515\,
	combout => \led_flash_cnt[2759][6]~65516_combout\,
	cout => \led_flash_cnt[2759][6]~65517\);

-- Location: FF_X19_Y2_N11
\led_flash_cnt[2759][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2759][6]~65516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2759][6]~q\);

-- Location: LCCOMB_X19_Y2_N12
\led_flash_cnt[2759][7]~65518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2759][7]~65518_combout\ = \led_flash_cnt[2759][6]~65517\ $ (!\led_flash_cnt[2759][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2759][7]~q\,
	cin => \led_flash_cnt[2759][6]~65517\,
	combout => \led_flash_cnt[2759][7]~65518_combout\);

-- Location: FF_X19_Y2_N13
\led_flash_cnt[2759][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2759][7]~65518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2759][7]~q\);

-- Location: LCCOMB_X18_Y2_N24
\WideAnd2759~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2759~1_combout\ = (\led_flash_cnt[2759][5]~q\ & \led_flash_cnt[2759][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2759][5]~q\,
	datac => \led_flash_cnt[2759][6]~q\,
	combout => \WideAnd2759~1_combout\);

-- Location: LCCOMB_X20_Y2_N4
\WideAnd2759~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2759~0_combout\ = (\led_flash_cnt[2759][1]~q\ & (\led_flash_cnt[2759][3]~q\ & (\led_flash_cnt[2759][4]~q\ & \led_flash_cnt[2759][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2759][1]~q\,
	datab => \led_flash_cnt[2759][3]~q\,
	datac => \led_flash_cnt[2759][4]~q\,
	datad => \led_flash_cnt[2759][2]~q\,
	combout => \WideAnd2759~0_combout\);

-- Location: LCCOMB_X19_Y2_N28
WideAnd2759 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2759~combout\ = (\led_flash_cnt[2759][7]~q\ & (\WideAnd2759~1_combout\ & (\led_flash_cnt[2759][0]~q\ & \WideAnd2759~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2759][7]~q\,
	datab => \WideAnd2759~1_combout\,
	datac => \led_flash_cnt[2759][0]~q\,
	datad => \WideAnd2759~0_combout\,
	combout => \WideAnd2759~combout\);

-- Location: FF_X19_Y2_N29
\led_flash_cnt_ands[2759]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2759~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2759));

-- Location: LCCOMB_X24_Y3_N22
\led_flash_cnt[2756][0]~83396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2756][0]~83396_combout\ = !\led_flash_cnt[2756][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2756][0]~q\,
	combout => \led_flash_cnt[2756][0]~83396_combout\);

-- Location: FF_X24_Y3_N23
\led_flash_cnt[2756][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2756][0]~83396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2756][0]~q\);

-- Location: LCCOMB_X24_Y3_N2
\led_flash_cnt[2756][1]~65464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2756][1]~65464_combout\ = (\led_flash_cnt[2756][0]~q\ & (\led_flash_cnt[2756][1]~q\ $ (VCC))) # (!\led_flash_cnt[2756][0]~q\ & (\led_flash_cnt[2756][1]~q\ & VCC))
-- \led_flash_cnt[2756][1]~65465\ = CARRY((\led_flash_cnt[2756][0]~q\ & \led_flash_cnt[2756][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2756][0]~q\,
	datab => \led_flash_cnt[2756][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2756][1]~65464_combout\,
	cout => \led_flash_cnt[2756][1]~65465\);

-- Location: FF_X24_Y3_N3
\led_flash_cnt[2756][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2756][1]~65464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2756][1]~q\);

-- Location: LCCOMB_X24_Y3_N4
\led_flash_cnt[2756][2]~65466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2756][2]~65466_combout\ = (\led_flash_cnt[2756][2]~q\ & (!\led_flash_cnt[2756][1]~65465\)) # (!\led_flash_cnt[2756][2]~q\ & ((\led_flash_cnt[2756][1]~65465\) # (GND)))
-- \led_flash_cnt[2756][2]~65467\ = CARRY((!\led_flash_cnt[2756][1]~65465\) # (!\led_flash_cnt[2756][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2756][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2756][1]~65465\,
	combout => \led_flash_cnt[2756][2]~65466_combout\,
	cout => \led_flash_cnt[2756][2]~65467\);

-- Location: FF_X24_Y3_N5
\led_flash_cnt[2756][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2756][2]~65466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2756][2]~q\);

-- Location: LCCOMB_X24_Y3_N6
\led_flash_cnt[2756][3]~65468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2756][3]~65468_combout\ = (\led_flash_cnt[2756][3]~q\ & (\led_flash_cnt[2756][2]~65467\ $ (GND))) # (!\led_flash_cnt[2756][3]~q\ & (!\led_flash_cnt[2756][2]~65467\ & VCC))
-- \led_flash_cnt[2756][3]~65469\ = CARRY((\led_flash_cnt[2756][3]~q\ & !\led_flash_cnt[2756][2]~65467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2756][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2756][2]~65467\,
	combout => \led_flash_cnt[2756][3]~65468_combout\,
	cout => \led_flash_cnt[2756][3]~65469\);

-- Location: FF_X24_Y3_N7
\led_flash_cnt[2756][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2756][3]~65468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2756][3]~q\);

-- Location: LCCOMB_X24_Y3_N8
\led_flash_cnt[2756][4]~65470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2756][4]~65470_combout\ = (\led_flash_cnt[2756][4]~q\ & (!\led_flash_cnt[2756][3]~65469\)) # (!\led_flash_cnt[2756][4]~q\ & ((\led_flash_cnt[2756][3]~65469\) # (GND)))
-- \led_flash_cnt[2756][4]~65471\ = CARRY((!\led_flash_cnt[2756][3]~65469\) # (!\led_flash_cnt[2756][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2756][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2756][3]~65469\,
	combout => \led_flash_cnt[2756][4]~65470_combout\,
	cout => \led_flash_cnt[2756][4]~65471\);

-- Location: FF_X24_Y3_N9
\led_flash_cnt[2756][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2756][4]~65470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2756][4]~q\);

-- Location: LCCOMB_X24_Y3_N16
\WideAnd2756~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2756~0_combout\ = (\led_flash_cnt[2756][3]~q\ & (\led_flash_cnt[2756][2]~q\ & (\led_flash_cnt[2756][4]~q\ & \led_flash_cnt[2756][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2756][3]~q\,
	datab => \led_flash_cnt[2756][2]~q\,
	datac => \led_flash_cnt[2756][4]~q\,
	datad => \led_flash_cnt[2756][1]~q\,
	combout => \WideAnd2756~0_combout\);

-- Location: LCCOMB_X24_Y3_N10
\led_flash_cnt[2756][5]~65472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2756][5]~65472_combout\ = (\led_flash_cnt[2756][5]~q\ & (\led_flash_cnt[2756][4]~65471\ $ (GND))) # (!\led_flash_cnt[2756][5]~q\ & (!\led_flash_cnt[2756][4]~65471\ & VCC))
-- \led_flash_cnt[2756][5]~65473\ = CARRY((\led_flash_cnt[2756][5]~q\ & !\led_flash_cnt[2756][4]~65471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2756][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2756][4]~65471\,
	combout => \led_flash_cnt[2756][5]~65472_combout\,
	cout => \led_flash_cnt[2756][5]~65473\);

-- Location: FF_X24_Y3_N11
\led_flash_cnt[2756][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2756][5]~65472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2756][5]~q\);

-- Location: LCCOMB_X24_Y3_N12
\led_flash_cnt[2756][6]~65474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2756][6]~65474_combout\ = (\led_flash_cnt[2756][6]~q\ & (!\led_flash_cnt[2756][5]~65473\)) # (!\led_flash_cnt[2756][6]~q\ & ((\led_flash_cnt[2756][5]~65473\) # (GND)))
-- \led_flash_cnt[2756][6]~65475\ = CARRY((!\led_flash_cnt[2756][5]~65473\) # (!\led_flash_cnt[2756][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2756][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2756][5]~65473\,
	combout => \led_flash_cnt[2756][6]~65474_combout\,
	cout => \led_flash_cnt[2756][6]~65475\);

-- Location: FF_X24_Y3_N13
\led_flash_cnt[2756][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2756][6]~65474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2756][6]~q\);

-- Location: LCCOMB_X24_Y3_N14
\led_flash_cnt[2756][7]~65476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2756][7]~65476_combout\ = \led_flash_cnt[2756][7]~q\ $ (!\led_flash_cnt[2756][6]~65475\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2756][7]~q\,
	cin => \led_flash_cnt[2756][6]~65475\,
	combout => \led_flash_cnt[2756][7]~65476_combout\);

-- Location: FF_X24_Y3_N15
\led_flash_cnt[2756][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2756][7]~65476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2756][7]~q\);

-- Location: LCCOMB_X24_Y3_N18
\WideAnd2756~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2756~1_combout\ = (\led_flash_cnt[2756][5]~q\ & \led_flash_cnt[2756][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2756][5]~q\,
	datad => \led_flash_cnt[2756][6]~q\,
	combout => \WideAnd2756~1_combout\);

-- Location: LCCOMB_X24_Y3_N24
WideAnd2756 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2756~combout\ = (\led_flash_cnt[2756][0]~q\ & (\WideAnd2756~0_combout\ & (\led_flash_cnt[2756][7]~q\ & \WideAnd2756~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2756][0]~q\,
	datab => \WideAnd2756~0_combout\,
	datac => \led_flash_cnt[2756][7]~q\,
	datad => \WideAnd2756~1_combout\,
	combout => \WideAnd2756~combout\);

-- Location: FF_X24_Y3_N25
\led_flash_cnt_ands[2756]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2756~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2756));

-- Location: LCCOMB_X24_Y3_N20
\led_flash_cnt[2757][0]~83397\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2757][0]~83397_combout\ = !\led_flash_cnt[2757][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2757][0]~q\,
	combout => \led_flash_cnt[2757][0]~83397_combout\);

-- Location: FF_X24_Y3_N21
\led_flash_cnt[2757][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2757][0]~83397_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2757][0]~q\);

-- Location: LCCOMB_X23_Y3_N0
\led_flash_cnt[2757][1]~65478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2757][1]~65478_combout\ = (\led_flash_cnt[2757][0]~q\ & (\led_flash_cnt[2757][1]~q\ $ (VCC))) # (!\led_flash_cnt[2757][0]~q\ & (\led_flash_cnt[2757][1]~q\ & VCC))
-- \led_flash_cnt[2757][1]~65479\ = CARRY((\led_flash_cnt[2757][0]~q\ & \led_flash_cnt[2757][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2757][0]~q\,
	datab => \led_flash_cnt[2757][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2757][1]~65478_combout\,
	cout => \led_flash_cnt[2757][1]~65479\);

-- Location: FF_X23_Y3_N1
\led_flash_cnt[2757][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2757][1]~65478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2757][1]~q\);

-- Location: LCCOMB_X23_Y3_N2
\led_flash_cnt[2757][2]~65480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2757][2]~65480_combout\ = (\led_flash_cnt[2757][2]~q\ & (!\led_flash_cnt[2757][1]~65479\)) # (!\led_flash_cnt[2757][2]~q\ & ((\led_flash_cnt[2757][1]~65479\) # (GND)))
-- \led_flash_cnt[2757][2]~65481\ = CARRY((!\led_flash_cnt[2757][1]~65479\) # (!\led_flash_cnt[2757][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2757][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2757][1]~65479\,
	combout => \led_flash_cnt[2757][2]~65480_combout\,
	cout => \led_flash_cnt[2757][2]~65481\);

-- Location: FF_X23_Y3_N3
\led_flash_cnt[2757][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2757][2]~65480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2757][2]~q\);

-- Location: LCCOMB_X23_Y3_N4
\led_flash_cnt[2757][3]~65482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2757][3]~65482_combout\ = (\led_flash_cnt[2757][3]~q\ & (\led_flash_cnt[2757][2]~65481\ $ (GND))) # (!\led_flash_cnt[2757][3]~q\ & (!\led_flash_cnt[2757][2]~65481\ & VCC))
-- \led_flash_cnt[2757][3]~65483\ = CARRY((\led_flash_cnt[2757][3]~q\ & !\led_flash_cnt[2757][2]~65481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2757][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2757][2]~65481\,
	combout => \led_flash_cnt[2757][3]~65482_combout\,
	cout => \led_flash_cnt[2757][3]~65483\);

-- Location: FF_X23_Y3_N5
\led_flash_cnt[2757][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2757][3]~65482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2757][3]~q\);

-- Location: LCCOMB_X23_Y3_N6
\led_flash_cnt[2757][4]~65484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2757][4]~65484_combout\ = (\led_flash_cnt[2757][4]~q\ & (!\led_flash_cnt[2757][3]~65483\)) # (!\led_flash_cnt[2757][4]~q\ & ((\led_flash_cnt[2757][3]~65483\) # (GND)))
-- \led_flash_cnt[2757][4]~65485\ = CARRY((!\led_flash_cnt[2757][3]~65483\) # (!\led_flash_cnt[2757][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2757][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2757][3]~65483\,
	combout => \led_flash_cnt[2757][4]~65484_combout\,
	cout => \led_flash_cnt[2757][4]~65485\);

-- Location: FF_X23_Y3_N7
\led_flash_cnt[2757][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2757][4]~65484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2757][4]~q\);

-- Location: LCCOMB_X23_Y3_N8
\led_flash_cnt[2757][5]~65486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2757][5]~65486_combout\ = (\led_flash_cnt[2757][5]~q\ & (\led_flash_cnt[2757][4]~65485\ $ (GND))) # (!\led_flash_cnt[2757][5]~q\ & (!\led_flash_cnt[2757][4]~65485\ & VCC))
-- \led_flash_cnt[2757][5]~65487\ = CARRY((\led_flash_cnt[2757][5]~q\ & !\led_flash_cnt[2757][4]~65485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2757][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2757][4]~65485\,
	combout => \led_flash_cnt[2757][5]~65486_combout\,
	cout => \led_flash_cnt[2757][5]~65487\);

-- Location: FF_X23_Y3_N9
\led_flash_cnt[2757][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2757][5]~65486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2757][5]~q\);

-- Location: LCCOMB_X23_Y3_N10
\led_flash_cnt[2757][6]~65488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2757][6]~65488_combout\ = (\led_flash_cnt[2757][6]~q\ & (!\led_flash_cnt[2757][5]~65487\)) # (!\led_flash_cnt[2757][6]~q\ & ((\led_flash_cnt[2757][5]~65487\) # (GND)))
-- \led_flash_cnt[2757][6]~65489\ = CARRY((!\led_flash_cnt[2757][5]~65487\) # (!\led_flash_cnt[2757][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2757][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2757][5]~65487\,
	combout => \led_flash_cnt[2757][6]~65488_combout\,
	cout => \led_flash_cnt[2757][6]~65489\);

-- Location: FF_X23_Y3_N11
\led_flash_cnt[2757][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2757][6]~65488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2757][6]~q\);

-- Location: LCCOMB_X23_Y3_N12
\led_flash_cnt[2757][7]~65490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2757][7]~65490_combout\ = \led_flash_cnt[2757][6]~65489\ $ (!\led_flash_cnt[2757][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2757][7]~q\,
	cin => \led_flash_cnt[2757][6]~65489\,
	combout => \led_flash_cnt[2757][7]~65490_combout\);

-- Location: FF_X23_Y3_N13
\led_flash_cnt[2757][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2757][7]~65490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2757][7]~q\);

-- Location: LCCOMB_X24_Y3_N26
\WideAnd2757~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2757~0_combout\ = (\led_flash_cnt[2757][1]~q\ & (\led_flash_cnt[2757][4]~q\ & (\led_flash_cnt[2757][3]~q\ & \led_flash_cnt[2757][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2757][1]~q\,
	datab => \led_flash_cnt[2757][4]~q\,
	datac => \led_flash_cnt[2757][3]~q\,
	datad => \led_flash_cnt[2757][2]~q\,
	combout => \WideAnd2757~0_combout\);

-- Location: LCCOMB_X24_Y3_N0
\WideAnd2757~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2757~1_combout\ = (\led_flash_cnt[2757][6]~q\ & \led_flash_cnt[2757][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2757][6]~q\,
	datad => \led_flash_cnt[2757][5]~q\,
	combout => \WideAnd2757~1_combout\);

-- Location: LCCOMB_X24_Y3_N28
WideAnd2757 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2757~combout\ = (\led_flash_cnt[2757][7]~q\ & (\led_flash_cnt[2757][0]~q\ & (\WideAnd2757~0_combout\ & \WideAnd2757~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2757][7]~q\,
	datab => \led_flash_cnt[2757][0]~q\,
	datac => \WideAnd2757~0_combout\,
	datad => \WideAnd2757~1_combout\,
	combout => \WideAnd2757~combout\);

-- Location: FF_X24_Y3_N29
\led_flash_cnt_ands[2757]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2757~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2757));

-- Location: LCCOMB_X25_Y3_N20
\WideAnd4184~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4184~1_combout\ = (led_flash_cnt_ands(2756) & led_flash_cnt_ands(2757))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2756),
	datad => led_flash_cnt_ands(2757),
	combout => \WideAnd4184~1_combout\);

-- Location: LCCOMB_X25_Y3_N22
WideAnd4184 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4184~combout\ = (\WideAnd4184~0_combout\ & (led_flash_cnt_ands(2758) & (led_flash_cnt_ands(2759) & \WideAnd4184~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4184~0_combout\,
	datab => led_flash_cnt_ands(2758),
	datac => led_flash_cnt_ands(2759),
	datad => \WideAnd4184~1_combout\,
	combout => \WideAnd4184~combout\);

-- Location: FF_X25_Y3_N23
\led_flash_cnt_ands_1[344]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4184~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(344));

-- Location: LCCOMB_X34_Y15_N22
\WideAnd4363~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4363~0_combout\ = (led_flash_cnt_ands_1(346) & (led_flash_cnt_ands_1(347) & (led_flash_cnt_ands_1(345) & led_flash_cnt_ands_1(344))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(346),
	datab => led_flash_cnt_ands_1(347),
	datac => led_flash_cnt_ands_1(345),
	datad => led_flash_cnt_ands_1(344),
	combout => \WideAnd4363~0_combout\);

-- Location: LCCOMB_X35_Y26_N22
\led_flash_cnt[2815][0]~83455\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2815][0]~83455_combout\ = !\led_flash_cnt[2815][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2815][0]~q\,
	combout => \led_flash_cnt[2815][0]~83455_combout\);

-- Location: FF_X35_Y26_N23
\led_flash_cnt[2815][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2815][0]~83455_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2815][0]~q\);

-- Location: LCCOMB_X35_Y26_N4
\led_flash_cnt[2815][1]~66290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2815][1]~66290_combout\ = (\led_flash_cnt[2815][0]~q\ & (\led_flash_cnt[2815][1]~q\ $ (VCC))) # (!\led_flash_cnt[2815][0]~q\ & (\led_flash_cnt[2815][1]~q\ & VCC))
-- \led_flash_cnt[2815][1]~66291\ = CARRY((\led_flash_cnt[2815][0]~q\ & \led_flash_cnt[2815][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2815][0]~q\,
	datab => \led_flash_cnt[2815][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2815][1]~66290_combout\,
	cout => \led_flash_cnt[2815][1]~66291\);

-- Location: FF_X35_Y26_N5
\led_flash_cnt[2815][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2815][1]~66290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2815][1]~q\);

-- Location: LCCOMB_X35_Y26_N6
\led_flash_cnt[2815][2]~66292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2815][2]~66292_combout\ = (\led_flash_cnt[2815][2]~q\ & (!\led_flash_cnt[2815][1]~66291\)) # (!\led_flash_cnt[2815][2]~q\ & ((\led_flash_cnt[2815][1]~66291\) # (GND)))
-- \led_flash_cnt[2815][2]~66293\ = CARRY((!\led_flash_cnt[2815][1]~66291\) # (!\led_flash_cnt[2815][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2815][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2815][1]~66291\,
	combout => \led_flash_cnt[2815][2]~66292_combout\,
	cout => \led_flash_cnt[2815][2]~66293\);

-- Location: FF_X35_Y26_N7
\led_flash_cnt[2815][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2815][2]~66292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2815][2]~q\);

-- Location: LCCOMB_X35_Y26_N8
\led_flash_cnt[2815][3]~66294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2815][3]~66294_combout\ = (\led_flash_cnt[2815][3]~q\ & (\led_flash_cnt[2815][2]~66293\ $ (GND))) # (!\led_flash_cnt[2815][3]~q\ & (!\led_flash_cnt[2815][2]~66293\ & VCC))
-- \led_flash_cnt[2815][3]~66295\ = CARRY((\led_flash_cnt[2815][3]~q\ & !\led_flash_cnt[2815][2]~66293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2815][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2815][2]~66293\,
	combout => \led_flash_cnt[2815][3]~66294_combout\,
	cout => \led_flash_cnt[2815][3]~66295\);

-- Location: FF_X35_Y26_N9
\led_flash_cnt[2815][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2815][3]~66294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2815][3]~q\);

-- Location: LCCOMB_X35_Y26_N10
\led_flash_cnt[2815][4]~66296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2815][4]~66296_combout\ = (\led_flash_cnt[2815][4]~q\ & (!\led_flash_cnt[2815][3]~66295\)) # (!\led_flash_cnt[2815][4]~q\ & ((\led_flash_cnt[2815][3]~66295\) # (GND)))
-- \led_flash_cnt[2815][4]~66297\ = CARRY((!\led_flash_cnt[2815][3]~66295\) # (!\led_flash_cnt[2815][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2815][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2815][3]~66295\,
	combout => \led_flash_cnt[2815][4]~66296_combout\,
	cout => \led_flash_cnt[2815][4]~66297\);

-- Location: FF_X35_Y26_N11
\led_flash_cnt[2815][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2815][4]~66296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2815][4]~q\);

-- Location: LCCOMB_X35_Y26_N24
\WideAnd2815~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2815~0_combout\ = (\led_flash_cnt[2815][4]~q\ & (\led_flash_cnt[2815][1]~q\ & (\led_flash_cnt[2815][3]~q\ & \led_flash_cnt[2815][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2815][4]~q\,
	datab => \led_flash_cnt[2815][1]~q\,
	datac => \led_flash_cnt[2815][3]~q\,
	datad => \led_flash_cnt[2815][2]~q\,
	combout => \WideAnd2815~0_combout\);

-- Location: LCCOMB_X35_Y26_N12
\led_flash_cnt[2815][5]~66298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2815][5]~66298_combout\ = (\led_flash_cnt[2815][5]~q\ & (\led_flash_cnt[2815][4]~66297\ $ (GND))) # (!\led_flash_cnt[2815][5]~q\ & (!\led_flash_cnt[2815][4]~66297\ & VCC))
-- \led_flash_cnt[2815][5]~66299\ = CARRY((\led_flash_cnt[2815][5]~q\ & !\led_flash_cnt[2815][4]~66297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2815][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2815][4]~66297\,
	combout => \led_flash_cnt[2815][5]~66298_combout\,
	cout => \led_flash_cnt[2815][5]~66299\);

-- Location: FF_X35_Y26_N13
\led_flash_cnt[2815][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2815][5]~66298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2815][5]~q\);

-- Location: LCCOMB_X35_Y26_N14
\led_flash_cnt[2815][6]~66300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2815][6]~66300_combout\ = (\led_flash_cnt[2815][6]~q\ & (!\led_flash_cnt[2815][5]~66299\)) # (!\led_flash_cnt[2815][6]~q\ & ((\led_flash_cnt[2815][5]~66299\) # (GND)))
-- \led_flash_cnt[2815][6]~66301\ = CARRY((!\led_flash_cnt[2815][5]~66299\) # (!\led_flash_cnt[2815][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2815][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2815][5]~66299\,
	combout => \led_flash_cnt[2815][6]~66300_combout\,
	cout => \led_flash_cnt[2815][6]~66301\);

-- Location: FF_X35_Y26_N15
\led_flash_cnt[2815][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2815][6]~66300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2815][6]~q\);

-- Location: LCCOMB_X35_Y26_N30
\WideAnd2815~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2815~1_combout\ = (\led_flash_cnt[2815][6]~q\ & \led_flash_cnt[2815][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2815][6]~q\,
	datad => \led_flash_cnt[2815][5]~q\,
	combout => \WideAnd2815~1_combout\);

-- Location: LCCOMB_X35_Y26_N16
\led_flash_cnt[2815][7]~66302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2815][7]~66302_combout\ = \led_flash_cnt[2815][6]~66301\ $ (!\led_flash_cnt[2815][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2815][7]~q\,
	cin => \led_flash_cnt[2815][6]~66301\,
	combout => \led_flash_cnt[2815][7]~66302_combout\);

-- Location: FF_X35_Y26_N17
\led_flash_cnt[2815][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2815][7]~66302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2815][7]~q\);

-- Location: LCCOMB_X35_Y26_N26
WideAnd2815 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2815~combout\ = (\led_flash_cnt[2815][0]~q\ & (\WideAnd2815~0_combout\ & (\WideAnd2815~1_combout\ & \led_flash_cnt[2815][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2815][0]~q\,
	datab => \WideAnd2815~0_combout\,
	datac => \WideAnd2815~1_combout\,
	datad => \led_flash_cnt[2815][7]~q\,
	combout => \WideAnd2815~combout\);

-- Location: FF_X35_Y26_N27
\led_flash_cnt_ands[2815]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2815~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2815));

-- Location: LCCOMB_X40_Y23_N0
\led_flash_cnt[2813][0]~83453\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2813][0]~83453_combout\ = !\led_flash_cnt[2813][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2813][0]~q\,
	combout => \led_flash_cnt[2813][0]~83453_combout\);

-- Location: FF_X40_Y23_N1
\led_flash_cnt[2813][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2813][0]~83453_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2813][0]~q\);

-- Location: LCCOMB_X40_Y25_N0
\led_flash_cnt[2813][1]~66262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2813][1]~66262_combout\ = (\led_flash_cnt[2813][0]~q\ & (\led_flash_cnt[2813][1]~q\ $ (VCC))) # (!\led_flash_cnt[2813][0]~q\ & (\led_flash_cnt[2813][1]~q\ & VCC))
-- \led_flash_cnt[2813][1]~66263\ = CARRY((\led_flash_cnt[2813][0]~q\ & \led_flash_cnt[2813][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2813][0]~q\,
	datab => \led_flash_cnt[2813][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2813][1]~66262_combout\,
	cout => \led_flash_cnt[2813][1]~66263\);

-- Location: FF_X40_Y25_N1
\led_flash_cnt[2813][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2813][1]~66262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2813][1]~q\);

-- Location: LCCOMB_X40_Y25_N2
\led_flash_cnt[2813][2]~66264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2813][2]~66264_combout\ = (\led_flash_cnt[2813][2]~q\ & (!\led_flash_cnt[2813][1]~66263\)) # (!\led_flash_cnt[2813][2]~q\ & ((\led_flash_cnt[2813][1]~66263\) # (GND)))
-- \led_flash_cnt[2813][2]~66265\ = CARRY((!\led_flash_cnt[2813][1]~66263\) # (!\led_flash_cnt[2813][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2813][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2813][1]~66263\,
	combout => \led_flash_cnt[2813][2]~66264_combout\,
	cout => \led_flash_cnt[2813][2]~66265\);

-- Location: FF_X40_Y25_N3
\led_flash_cnt[2813][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2813][2]~66264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2813][2]~q\);

-- Location: LCCOMB_X40_Y25_N4
\led_flash_cnt[2813][3]~66266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2813][3]~66266_combout\ = (\led_flash_cnt[2813][3]~q\ & (\led_flash_cnt[2813][2]~66265\ $ (GND))) # (!\led_flash_cnt[2813][3]~q\ & (!\led_flash_cnt[2813][2]~66265\ & VCC))
-- \led_flash_cnt[2813][3]~66267\ = CARRY((\led_flash_cnt[2813][3]~q\ & !\led_flash_cnt[2813][2]~66265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2813][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2813][2]~66265\,
	combout => \led_flash_cnt[2813][3]~66266_combout\,
	cout => \led_flash_cnt[2813][3]~66267\);

-- Location: FF_X40_Y25_N5
\led_flash_cnt[2813][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2813][3]~66266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2813][3]~q\);

-- Location: LCCOMB_X40_Y25_N6
\led_flash_cnt[2813][4]~66268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2813][4]~66268_combout\ = (\led_flash_cnt[2813][4]~q\ & (!\led_flash_cnt[2813][3]~66267\)) # (!\led_flash_cnt[2813][4]~q\ & ((\led_flash_cnt[2813][3]~66267\) # (GND)))
-- \led_flash_cnt[2813][4]~66269\ = CARRY((!\led_flash_cnt[2813][3]~66267\) # (!\led_flash_cnt[2813][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2813][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2813][3]~66267\,
	combout => \led_flash_cnt[2813][4]~66268_combout\,
	cout => \led_flash_cnt[2813][4]~66269\);

-- Location: FF_X40_Y25_N7
\led_flash_cnt[2813][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2813][4]~66268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2813][4]~q\);

-- Location: LCCOMB_X40_Y25_N8
\led_flash_cnt[2813][5]~66270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2813][5]~66270_combout\ = (\led_flash_cnt[2813][5]~q\ & (\led_flash_cnt[2813][4]~66269\ $ (GND))) # (!\led_flash_cnt[2813][5]~q\ & (!\led_flash_cnt[2813][4]~66269\ & VCC))
-- \led_flash_cnt[2813][5]~66271\ = CARRY((\led_flash_cnt[2813][5]~q\ & !\led_flash_cnt[2813][4]~66269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2813][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2813][4]~66269\,
	combout => \led_flash_cnt[2813][5]~66270_combout\,
	cout => \led_flash_cnt[2813][5]~66271\);

-- Location: FF_X40_Y25_N9
\led_flash_cnt[2813][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2813][5]~66270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2813][5]~q\);

-- Location: LCCOMB_X40_Y25_N10
\led_flash_cnt[2813][6]~66272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2813][6]~66272_combout\ = (\led_flash_cnt[2813][6]~q\ & (!\led_flash_cnt[2813][5]~66271\)) # (!\led_flash_cnt[2813][6]~q\ & ((\led_flash_cnt[2813][5]~66271\) # (GND)))
-- \led_flash_cnt[2813][6]~66273\ = CARRY((!\led_flash_cnt[2813][5]~66271\) # (!\led_flash_cnt[2813][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2813][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2813][5]~66271\,
	combout => \led_flash_cnt[2813][6]~66272_combout\,
	cout => \led_flash_cnt[2813][6]~66273\);

-- Location: FF_X40_Y25_N11
\led_flash_cnt[2813][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2813][6]~66272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2813][6]~q\);

-- Location: LCCOMB_X39_Y25_N6
\WideAnd2813~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2813~1_combout\ = (\led_flash_cnt[2813][6]~q\ & \led_flash_cnt[2813][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2813][6]~q\,
	datac => \led_flash_cnt[2813][5]~q\,
	combout => \WideAnd2813~1_combout\);

-- Location: LCCOMB_X40_Y25_N14
\WideAnd2813~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2813~0_combout\ = (\led_flash_cnt[2813][4]~q\ & (\led_flash_cnt[2813][1]~q\ & (\led_flash_cnt[2813][3]~q\ & \led_flash_cnt[2813][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2813][4]~q\,
	datab => \led_flash_cnt[2813][1]~q\,
	datac => \led_flash_cnt[2813][3]~q\,
	datad => \led_flash_cnt[2813][2]~q\,
	combout => \WideAnd2813~0_combout\);

-- Location: LCCOMB_X40_Y25_N12
\led_flash_cnt[2813][7]~66274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2813][7]~66274_combout\ = \led_flash_cnt[2813][6]~66273\ $ (!\led_flash_cnt[2813][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2813][7]~q\,
	cin => \led_flash_cnt[2813][6]~66273\,
	combout => \led_flash_cnt[2813][7]~66274_combout\);

-- Location: FF_X40_Y25_N13
\led_flash_cnt[2813][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2813][7]~66274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2813][7]~q\);

-- Location: LCCOMB_X40_Y25_N30
WideAnd2813 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2813~combout\ = (\led_flash_cnt[2813][0]~q\ & (\WideAnd2813~1_combout\ & (\WideAnd2813~0_combout\ & \led_flash_cnt[2813][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2813][0]~q\,
	datab => \WideAnd2813~1_combout\,
	datac => \WideAnd2813~0_combout\,
	datad => \led_flash_cnt[2813][7]~q\,
	combout => \WideAnd2813~combout\);

-- Location: FF_X40_Y25_N31
\led_flash_cnt_ands[2813]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2813~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2813));

-- Location: LCCOMB_X34_Y28_N4
\led_flash_cnt[2812][0]~83452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2812][0]~83452_combout\ = !\led_flash_cnt[2812][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2812][0]~q\,
	combout => \led_flash_cnt[2812][0]~83452_combout\);

-- Location: FF_X34_Y28_N5
\led_flash_cnt[2812][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2812][0]~83452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2812][0]~q\);

-- Location: LCCOMB_X32_Y27_N16
\led_flash_cnt[2812][1]~66248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2812][1]~66248_combout\ = (\led_flash_cnt[2812][0]~q\ & (\led_flash_cnt[2812][1]~q\ $ (VCC))) # (!\led_flash_cnt[2812][0]~q\ & (\led_flash_cnt[2812][1]~q\ & VCC))
-- \led_flash_cnt[2812][1]~66249\ = CARRY((\led_flash_cnt[2812][0]~q\ & \led_flash_cnt[2812][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2812][0]~q\,
	datab => \led_flash_cnt[2812][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2812][1]~66248_combout\,
	cout => \led_flash_cnt[2812][1]~66249\);

-- Location: FF_X32_Y27_N17
\led_flash_cnt[2812][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2812][1]~66248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2812][1]~q\);

-- Location: LCCOMB_X32_Y27_N18
\led_flash_cnt[2812][2]~66250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2812][2]~66250_combout\ = (\led_flash_cnt[2812][2]~q\ & (!\led_flash_cnt[2812][1]~66249\)) # (!\led_flash_cnt[2812][2]~q\ & ((\led_flash_cnt[2812][1]~66249\) # (GND)))
-- \led_flash_cnt[2812][2]~66251\ = CARRY((!\led_flash_cnt[2812][1]~66249\) # (!\led_flash_cnt[2812][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2812][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2812][1]~66249\,
	combout => \led_flash_cnt[2812][2]~66250_combout\,
	cout => \led_flash_cnt[2812][2]~66251\);

-- Location: FF_X32_Y27_N19
\led_flash_cnt[2812][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2812][2]~66250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2812][2]~q\);

-- Location: LCCOMB_X32_Y27_N20
\led_flash_cnt[2812][3]~66252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2812][3]~66252_combout\ = (\led_flash_cnt[2812][3]~q\ & (\led_flash_cnt[2812][2]~66251\ $ (GND))) # (!\led_flash_cnt[2812][3]~q\ & (!\led_flash_cnt[2812][2]~66251\ & VCC))
-- \led_flash_cnt[2812][3]~66253\ = CARRY((\led_flash_cnt[2812][3]~q\ & !\led_flash_cnt[2812][2]~66251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2812][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2812][2]~66251\,
	combout => \led_flash_cnt[2812][3]~66252_combout\,
	cout => \led_flash_cnt[2812][3]~66253\);

-- Location: FF_X32_Y27_N21
\led_flash_cnt[2812][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2812][3]~66252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2812][3]~q\);

-- Location: LCCOMB_X32_Y27_N22
\led_flash_cnt[2812][4]~66254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2812][4]~66254_combout\ = (\led_flash_cnt[2812][4]~q\ & (!\led_flash_cnt[2812][3]~66253\)) # (!\led_flash_cnt[2812][4]~q\ & ((\led_flash_cnt[2812][3]~66253\) # (GND)))
-- \led_flash_cnt[2812][4]~66255\ = CARRY((!\led_flash_cnt[2812][3]~66253\) # (!\led_flash_cnt[2812][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2812][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2812][3]~66253\,
	combout => \led_flash_cnt[2812][4]~66254_combout\,
	cout => \led_flash_cnt[2812][4]~66255\);

-- Location: FF_X32_Y27_N23
\led_flash_cnt[2812][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2812][4]~66254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2812][4]~q\);

-- Location: LCCOMB_X32_Y27_N24
\led_flash_cnt[2812][5]~66256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2812][5]~66256_combout\ = (\led_flash_cnt[2812][5]~q\ & (\led_flash_cnt[2812][4]~66255\ $ (GND))) # (!\led_flash_cnt[2812][5]~q\ & (!\led_flash_cnt[2812][4]~66255\ & VCC))
-- \led_flash_cnt[2812][5]~66257\ = CARRY((\led_flash_cnt[2812][5]~q\ & !\led_flash_cnt[2812][4]~66255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2812][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2812][4]~66255\,
	combout => \led_flash_cnt[2812][5]~66256_combout\,
	cout => \led_flash_cnt[2812][5]~66257\);

-- Location: FF_X32_Y27_N25
\led_flash_cnt[2812][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2812][5]~66256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2812][5]~q\);

-- Location: LCCOMB_X32_Y27_N26
\led_flash_cnt[2812][6]~66258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2812][6]~66258_combout\ = (\led_flash_cnt[2812][6]~q\ & (!\led_flash_cnt[2812][5]~66257\)) # (!\led_flash_cnt[2812][6]~q\ & ((\led_flash_cnt[2812][5]~66257\) # (GND)))
-- \led_flash_cnt[2812][6]~66259\ = CARRY((!\led_flash_cnt[2812][5]~66257\) # (!\led_flash_cnt[2812][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2812][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2812][5]~66257\,
	combout => \led_flash_cnt[2812][6]~66258_combout\,
	cout => \led_flash_cnt[2812][6]~66259\);

-- Location: FF_X32_Y27_N27
\led_flash_cnt[2812][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2812][6]~66258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2812][6]~q\);

-- Location: LCCOMB_X32_Y27_N28
\led_flash_cnt[2812][7]~66260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2812][7]~66260_combout\ = \led_flash_cnt[2812][6]~66259\ $ (!\led_flash_cnt[2812][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2812][7]~q\,
	cin => \led_flash_cnt[2812][6]~66259\,
	combout => \led_flash_cnt[2812][7]~66260_combout\);

-- Location: FF_X32_Y27_N29
\led_flash_cnt[2812][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2812][7]~66260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2812][7]~q\);

-- Location: LCCOMB_X32_Y27_N0
\WideAnd2812~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2812~0_combout\ = (\led_flash_cnt[2812][3]~q\ & (\led_flash_cnt[2812][2]~q\ & (\led_flash_cnt[2812][4]~q\ & \led_flash_cnt[2812][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2812][3]~q\,
	datab => \led_flash_cnt[2812][2]~q\,
	datac => \led_flash_cnt[2812][4]~q\,
	datad => \led_flash_cnt[2812][1]~q\,
	combout => \WideAnd2812~0_combout\);

-- Location: LCCOMB_X32_Y28_N0
\WideAnd2812~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2812~1_combout\ = (\led_flash_cnt[2812][5]~q\ & \led_flash_cnt[2812][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2812][5]~q\,
	datac => \led_flash_cnt[2812][6]~q\,
	combout => \WideAnd2812~1_combout\);

-- Location: LCCOMB_X32_Y28_N4
WideAnd2812 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2812~combout\ = (\led_flash_cnt[2812][7]~q\ & (\WideAnd2812~0_combout\ & (\led_flash_cnt[2812][0]~q\ & \WideAnd2812~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2812][7]~q\,
	datab => \WideAnd2812~0_combout\,
	datac => \led_flash_cnt[2812][0]~q\,
	datad => \WideAnd2812~1_combout\,
	combout => \WideAnd2812~combout\);

-- Location: FF_X32_Y28_N5
\led_flash_cnt_ands[2812]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2812~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2812));

-- Location: LCCOMB_X35_Y25_N0
\WideAnd4191~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4191~1_combout\ = (led_flash_cnt_ands(2813) & led_flash_cnt_ands(2812))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2813),
	datac => led_flash_cnt_ands(2812),
	combout => \WideAnd4191~1_combout\);

-- Location: LCCOMB_X37_Y25_N24
\led_flash_cnt[2810][0]~83450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2810][0]~83450_combout\ = !\led_flash_cnt[2810][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2810][0]~q\,
	combout => \led_flash_cnt[2810][0]~83450_combout\);

-- Location: FF_X37_Y25_N25
\led_flash_cnt[2810][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2810][0]~83450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2810][0]~q\);

-- Location: LCCOMB_X38_Y25_N0
\led_flash_cnt[2810][1]~66220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2810][1]~66220_combout\ = (\led_flash_cnt[2810][0]~q\ & (\led_flash_cnt[2810][1]~q\ $ (VCC))) # (!\led_flash_cnt[2810][0]~q\ & (\led_flash_cnt[2810][1]~q\ & VCC))
-- \led_flash_cnt[2810][1]~66221\ = CARRY((\led_flash_cnt[2810][0]~q\ & \led_flash_cnt[2810][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2810][0]~q\,
	datab => \led_flash_cnt[2810][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2810][1]~66220_combout\,
	cout => \led_flash_cnt[2810][1]~66221\);

-- Location: FF_X38_Y25_N1
\led_flash_cnt[2810][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2810][1]~66220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2810][1]~q\);

-- Location: LCCOMB_X38_Y25_N2
\led_flash_cnt[2810][2]~66222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2810][2]~66222_combout\ = (\led_flash_cnt[2810][2]~q\ & (!\led_flash_cnt[2810][1]~66221\)) # (!\led_flash_cnt[2810][2]~q\ & ((\led_flash_cnt[2810][1]~66221\) # (GND)))
-- \led_flash_cnt[2810][2]~66223\ = CARRY((!\led_flash_cnt[2810][1]~66221\) # (!\led_flash_cnt[2810][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2810][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2810][1]~66221\,
	combout => \led_flash_cnt[2810][2]~66222_combout\,
	cout => \led_flash_cnt[2810][2]~66223\);

-- Location: FF_X38_Y25_N3
\led_flash_cnt[2810][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2810][2]~66222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2810][2]~q\);

-- Location: LCCOMB_X38_Y25_N4
\led_flash_cnt[2810][3]~66224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2810][3]~66224_combout\ = (\led_flash_cnt[2810][3]~q\ & (\led_flash_cnt[2810][2]~66223\ $ (GND))) # (!\led_flash_cnt[2810][3]~q\ & (!\led_flash_cnt[2810][2]~66223\ & VCC))
-- \led_flash_cnt[2810][3]~66225\ = CARRY((\led_flash_cnt[2810][3]~q\ & !\led_flash_cnt[2810][2]~66223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2810][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2810][2]~66223\,
	combout => \led_flash_cnt[2810][3]~66224_combout\,
	cout => \led_flash_cnt[2810][3]~66225\);

-- Location: FF_X38_Y25_N5
\led_flash_cnt[2810][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2810][3]~66224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2810][3]~q\);

-- Location: LCCOMB_X38_Y25_N6
\led_flash_cnt[2810][4]~66226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2810][4]~66226_combout\ = (\led_flash_cnt[2810][4]~q\ & (!\led_flash_cnt[2810][3]~66225\)) # (!\led_flash_cnt[2810][4]~q\ & ((\led_flash_cnt[2810][3]~66225\) # (GND)))
-- \led_flash_cnt[2810][4]~66227\ = CARRY((!\led_flash_cnt[2810][3]~66225\) # (!\led_flash_cnt[2810][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2810][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2810][3]~66225\,
	combout => \led_flash_cnt[2810][4]~66226_combout\,
	cout => \led_flash_cnt[2810][4]~66227\);

-- Location: FF_X38_Y25_N7
\led_flash_cnt[2810][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2810][4]~66226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2810][4]~q\);

-- Location: LCCOMB_X38_Y25_N8
\led_flash_cnt[2810][5]~66228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2810][5]~66228_combout\ = (\led_flash_cnt[2810][5]~q\ & (\led_flash_cnt[2810][4]~66227\ $ (GND))) # (!\led_flash_cnt[2810][5]~q\ & (!\led_flash_cnt[2810][4]~66227\ & VCC))
-- \led_flash_cnt[2810][5]~66229\ = CARRY((\led_flash_cnt[2810][5]~q\ & !\led_flash_cnt[2810][4]~66227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2810][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2810][4]~66227\,
	combout => \led_flash_cnt[2810][5]~66228_combout\,
	cout => \led_flash_cnt[2810][5]~66229\);

-- Location: FF_X38_Y25_N9
\led_flash_cnt[2810][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2810][5]~66228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2810][5]~q\);

-- Location: LCCOMB_X38_Y25_N10
\led_flash_cnt[2810][6]~66230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2810][6]~66230_combout\ = (\led_flash_cnt[2810][6]~q\ & (!\led_flash_cnt[2810][5]~66229\)) # (!\led_flash_cnt[2810][6]~q\ & ((\led_flash_cnt[2810][5]~66229\) # (GND)))
-- \led_flash_cnt[2810][6]~66231\ = CARRY((!\led_flash_cnt[2810][5]~66229\) # (!\led_flash_cnt[2810][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2810][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2810][5]~66229\,
	combout => \led_flash_cnt[2810][6]~66230_combout\,
	cout => \led_flash_cnt[2810][6]~66231\);

-- Location: FF_X38_Y25_N11
\led_flash_cnt[2810][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2810][6]~66230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2810][6]~q\);

-- Location: LCCOMB_X37_Y25_N22
\WideAnd2810~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2810~1_combout\ = (\led_flash_cnt[2810][6]~q\ & \led_flash_cnt[2810][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2810][6]~q\,
	datac => \led_flash_cnt[2810][5]~q\,
	combout => \WideAnd2810~1_combout\);

-- Location: LCCOMB_X38_Y25_N12
\led_flash_cnt[2810][7]~66232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2810][7]~66232_combout\ = \led_flash_cnt[2810][6]~66231\ $ (!\led_flash_cnt[2810][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2810][7]~q\,
	cin => \led_flash_cnt[2810][6]~66231\,
	combout => \led_flash_cnt[2810][7]~66232_combout\);

-- Location: FF_X38_Y25_N13
\led_flash_cnt[2810][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2810][7]~66232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2810][7]~q\);

-- Location: LCCOMB_X38_Y25_N16
\WideAnd2810~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2810~0_combout\ = (\led_flash_cnt[2810][4]~q\ & (\led_flash_cnt[2810][1]~q\ & (\led_flash_cnt[2810][3]~q\ & \led_flash_cnt[2810][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2810][4]~q\,
	datab => \led_flash_cnt[2810][1]~q\,
	datac => \led_flash_cnt[2810][3]~q\,
	datad => \led_flash_cnt[2810][2]~q\,
	combout => \WideAnd2810~0_combout\);

-- Location: LCCOMB_X37_Y25_N28
WideAnd2810 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2810~combout\ = (\WideAnd2810~1_combout\ & (\led_flash_cnt[2810][0]~q\ & (\led_flash_cnt[2810][7]~q\ & \WideAnd2810~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2810~1_combout\,
	datab => \led_flash_cnt[2810][0]~q\,
	datac => \led_flash_cnt[2810][7]~q\,
	datad => \WideAnd2810~0_combout\,
	combout => \WideAnd2810~combout\);

-- Location: FF_X37_Y25_N29
\led_flash_cnt_ands[2810]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2810~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2810));

-- Location: LCCOMB_X36_Y23_N6
\led_flash_cnt[2811][0]~83451\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2811][0]~83451_combout\ = !\led_flash_cnt[2811][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2811][0]~q\,
	combout => \led_flash_cnt[2811][0]~83451_combout\);

-- Location: FF_X36_Y23_N7
\led_flash_cnt[2811][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2811][0]~83451_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2811][0]~q\);

-- Location: LCCOMB_X37_Y23_N0
\led_flash_cnt[2811][1]~66234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2811][1]~66234_combout\ = (\led_flash_cnt[2811][0]~q\ & (\led_flash_cnt[2811][1]~q\ $ (VCC))) # (!\led_flash_cnt[2811][0]~q\ & (\led_flash_cnt[2811][1]~q\ & VCC))
-- \led_flash_cnt[2811][1]~66235\ = CARRY((\led_flash_cnt[2811][0]~q\ & \led_flash_cnt[2811][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2811][0]~q\,
	datab => \led_flash_cnt[2811][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2811][1]~66234_combout\,
	cout => \led_flash_cnt[2811][1]~66235\);

-- Location: FF_X37_Y23_N1
\led_flash_cnt[2811][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2811][1]~66234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2811][1]~q\);

-- Location: LCCOMB_X37_Y23_N2
\led_flash_cnt[2811][2]~66236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2811][2]~66236_combout\ = (\led_flash_cnt[2811][2]~q\ & (!\led_flash_cnt[2811][1]~66235\)) # (!\led_flash_cnt[2811][2]~q\ & ((\led_flash_cnt[2811][1]~66235\) # (GND)))
-- \led_flash_cnt[2811][2]~66237\ = CARRY((!\led_flash_cnt[2811][1]~66235\) # (!\led_flash_cnt[2811][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2811][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2811][1]~66235\,
	combout => \led_flash_cnt[2811][2]~66236_combout\,
	cout => \led_flash_cnt[2811][2]~66237\);

-- Location: FF_X37_Y23_N3
\led_flash_cnt[2811][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2811][2]~66236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2811][2]~q\);

-- Location: LCCOMB_X37_Y23_N4
\led_flash_cnt[2811][3]~66238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2811][3]~66238_combout\ = (\led_flash_cnt[2811][3]~q\ & (\led_flash_cnt[2811][2]~66237\ $ (GND))) # (!\led_flash_cnt[2811][3]~q\ & (!\led_flash_cnt[2811][2]~66237\ & VCC))
-- \led_flash_cnt[2811][3]~66239\ = CARRY((\led_flash_cnt[2811][3]~q\ & !\led_flash_cnt[2811][2]~66237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2811][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2811][2]~66237\,
	combout => \led_flash_cnt[2811][3]~66238_combout\,
	cout => \led_flash_cnt[2811][3]~66239\);

-- Location: FF_X37_Y23_N5
\led_flash_cnt[2811][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2811][3]~66238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2811][3]~q\);

-- Location: LCCOMB_X37_Y23_N6
\led_flash_cnt[2811][4]~66240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2811][4]~66240_combout\ = (\led_flash_cnt[2811][4]~q\ & (!\led_flash_cnt[2811][3]~66239\)) # (!\led_flash_cnt[2811][4]~q\ & ((\led_flash_cnt[2811][3]~66239\) # (GND)))
-- \led_flash_cnt[2811][4]~66241\ = CARRY((!\led_flash_cnt[2811][3]~66239\) # (!\led_flash_cnt[2811][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2811][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2811][3]~66239\,
	combout => \led_flash_cnt[2811][4]~66240_combout\,
	cout => \led_flash_cnt[2811][4]~66241\);

-- Location: FF_X37_Y23_N7
\led_flash_cnt[2811][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2811][4]~66240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2811][4]~q\);

-- Location: LCCOMB_X37_Y23_N8
\led_flash_cnt[2811][5]~66242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2811][5]~66242_combout\ = (\led_flash_cnt[2811][5]~q\ & (\led_flash_cnt[2811][4]~66241\ $ (GND))) # (!\led_flash_cnt[2811][5]~q\ & (!\led_flash_cnt[2811][4]~66241\ & VCC))
-- \led_flash_cnt[2811][5]~66243\ = CARRY((\led_flash_cnt[2811][5]~q\ & !\led_flash_cnt[2811][4]~66241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2811][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2811][4]~66241\,
	combout => \led_flash_cnt[2811][5]~66242_combout\,
	cout => \led_flash_cnt[2811][5]~66243\);

-- Location: FF_X37_Y23_N9
\led_flash_cnt[2811][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2811][5]~66242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2811][5]~q\);

-- Location: LCCOMB_X37_Y23_N10
\led_flash_cnt[2811][6]~66244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2811][6]~66244_combout\ = (\led_flash_cnt[2811][6]~q\ & (!\led_flash_cnt[2811][5]~66243\)) # (!\led_flash_cnt[2811][6]~q\ & ((\led_flash_cnt[2811][5]~66243\) # (GND)))
-- \led_flash_cnt[2811][6]~66245\ = CARRY((!\led_flash_cnt[2811][5]~66243\) # (!\led_flash_cnt[2811][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2811][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2811][5]~66243\,
	combout => \led_flash_cnt[2811][6]~66244_combout\,
	cout => \led_flash_cnt[2811][6]~66245\);

-- Location: FF_X37_Y23_N11
\led_flash_cnt[2811][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2811][6]~66244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2811][6]~q\);

-- Location: LCCOMB_X36_Y23_N30
\WideAnd2811~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2811~1_combout\ = (\led_flash_cnt[2811][6]~q\ & \led_flash_cnt[2811][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2811][6]~q\,
	datac => \led_flash_cnt[2811][5]~q\,
	combout => \WideAnd2811~1_combout\);

-- Location: LCCOMB_X37_Y23_N28
\WideAnd2811~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2811~0_combout\ = (\led_flash_cnt[2811][4]~q\ & (\led_flash_cnt[2811][1]~q\ & (\led_flash_cnt[2811][3]~q\ & \led_flash_cnt[2811][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2811][4]~q\,
	datab => \led_flash_cnt[2811][1]~q\,
	datac => \led_flash_cnt[2811][3]~q\,
	datad => \led_flash_cnt[2811][2]~q\,
	combout => \WideAnd2811~0_combout\);

-- Location: LCCOMB_X37_Y23_N12
\led_flash_cnt[2811][7]~66246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2811][7]~66246_combout\ = \led_flash_cnt[2811][6]~66245\ $ (!\led_flash_cnt[2811][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2811][7]~q\,
	cin => \led_flash_cnt[2811][6]~66245\,
	combout => \led_flash_cnt[2811][7]~66246_combout\);

-- Location: FF_X37_Y23_N13
\led_flash_cnt[2811][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2811][7]~66246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2811][7]~q\);

-- Location: LCCOMB_X36_Y23_N4
WideAnd2811 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2811~combout\ = (\WideAnd2811~1_combout\ & (\WideAnd2811~0_combout\ & (\led_flash_cnt[2811][7]~q\ & \led_flash_cnt[2811][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2811~1_combout\,
	datab => \WideAnd2811~0_combout\,
	datac => \led_flash_cnt[2811][7]~q\,
	datad => \led_flash_cnt[2811][0]~q\,
	combout => \WideAnd2811~combout\);

-- Location: FF_X36_Y23_N5
\led_flash_cnt_ands[2811]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2811~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2811));

-- Location: LCCOMB_X36_Y20_N16
\led_flash_cnt[2808][0]~83448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2808][0]~83448_combout\ = !\led_flash_cnt[2808][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2808][0]~q\,
	combout => \led_flash_cnt[2808][0]~83448_combout\);

-- Location: FF_X36_Y20_N17
\led_flash_cnt[2808][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2808][0]~83448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2808][0]~q\);

-- Location: LCCOMB_X35_Y20_N4
\led_flash_cnt[2808][1]~66192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2808][1]~66192_combout\ = (\led_flash_cnt[2808][1]~q\ & (\led_flash_cnt[2808][0]~q\ $ (VCC))) # (!\led_flash_cnt[2808][1]~q\ & (\led_flash_cnt[2808][0]~q\ & VCC))
-- \led_flash_cnt[2808][1]~66193\ = CARRY((\led_flash_cnt[2808][1]~q\ & \led_flash_cnt[2808][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2808][1]~q\,
	datab => \led_flash_cnt[2808][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2808][1]~66192_combout\,
	cout => \led_flash_cnt[2808][1]~66193\);

-- Location: FF_X35_Y20_N5
\led_flash_cnt[2808][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2808][1]~66192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2808][1]~q\);

-- Location: LCCOMB_X35_Y20_N6
\led_flash_cnt[2808][2]~66194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2808][2]~66194_combout\ = (\led_flash_cnt[2808][2]~q\ & (!\led_flash_cnt[2808][1]~66193\)) # (!\led_flash_cnt[2808][2]~q\ & ((\led_flash_cnt[2808][1]~66193\) # (GND)))
-- \led_flash_cnt[2808][2]~66195\ = CARRY((!\led_flash_cnt[2808][1]~66193\) # (!\led_flash_cnt[2808][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2808][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2808][1]~66193\,
	combout => \led_flash_cnt[2808][2]~66194_combout\,
	cout => \led_flash_cnt[2808][2]~66195\);

-- Location: FF_X35_Y20_N7
\led_flash_cnt[2808][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2808][2]~66194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2808][2]~q\);

-- Location: LCCOMB_X35_Y20_N8
\led_flash_cnt[2808][3]~66196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2808][3]~66196_combout\ = (\led_flash_cnt[2808][3]~q\ & (\led_flash_cnt[2808][2]~66195\ $ (GND))) # (!\led_flash_cnt[2808][3]~q\ & (!\led_flash_cnt[2808][2]~66195\ & VCC))
-- \led_flash_cnt[2808][3]~66197\ = CARRY((\led_flash_cnt[2808][3]~q\ & !\led_flash_cnt[2808][2]~66195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2808][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2808][2]~66195\,
	combout => \led_flash_cnt[2808][3]~66196_combout\,
	cout => \led_flash_cnt[2808][3]~66197\);

-- Location: FF_X35_Y20_N9
\led_flash_cnt[2808][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2808][3]~66196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2808][3]~q\);

-- Location: LCCOMB_X35_Y20_N10
\led_flash_cnt[2808][4]~66198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2808][4]~66198_combout\ = (\led_flash_cnt[2808][4]~q\ & (!\led_flash_cnt[2808][3]~66197\)) # (!\led_flash_cnt[2808][4]~q\ & ((\led_flash_cnt[2808][3]~66197\) # (GND)))
-- \led_flash_cnt[2808][4]~66199\ = CARRY((!\led_flash_cnt[2808][3]~66197\) # (!\led_flash_cnt[2808][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2808][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2808][3]~66197\,
	combout => \led_flash_cnt[2808][4]~66198_combout\,
	cout => \led_flash_cnt[2808][4]~66199\);

-- Location: FF_X35_Y20_N11
\led_flash_cnt[2808][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2808][4]~66198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2808][4]~q\);

-- Location: LCCOMB_X35_Y20_N12
\led_flash_cnt[2808][5]~66200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2808][5]~66200_combout\ = (\led_flash_cnt[2808][5]~q\ & (\led_flash_cnt[2808][4]~66199\ $ (GND))) # (!\led_flash_cnt[2808][5]~q\ & (!\led_flash_cnt[2808][4]~66199\ & VCC))
-- \led_flash_cnt[2808][5]~66201\ = CARRY((\led_flash_cnt[2808][5]~q\ & !\led_flash_cnt[2808][4]~66199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2808][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2808][4]~66199\,
	combout => \led_flash_cnt[2808][5]~66200_combout\,
	cout => \led_flash_cnt[2808][5]~66201\);

-- Location: FF_X35_Y20_N13
\led_flash_cnt[2808][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2808][5]~66200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2808][5]~q\);

-- Location: LCCOMB_X35_Y20_N14
\led_flash_cnt[2808][6]~66202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2808][6]~66202_combout\ = (\led_flash_cnt[2808][6]~q\ & (!\led_flash_cnt[2808][5]~66201\)) # (!\led_flash_cnt[2808][6]~q\ & ((\led_flash_cnt[2808][5]~66201\) # (GND)))
-- \led_flash_cnt[2808][6]~66203\ = CARRY((!\led_flash_cnt[2808][5]~66201\) # (!\led_flash_cnt[2808][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2808][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2808][5]~66201\,
	combout => \led_flash_cnt[2808][6]~66202_combout\,
	cout => \led_flash_cnt[2808][6]~66203\);

-- Location: FF_X35_Y20_N15
\led_flash_cnt[2808][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2808][6]~66202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2808][6]~q\);

-- Location: LCCOMB_X36_Y20_N26
\WideAnd2808~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2808~1_combout\ = (\led_flash_cnt[2808][6]~q\ & \led_flash_cnt[2808][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2808][6]~q\,
	datad => \led_flash_cnt[2808][5]~q\,
	combout => \WideAnd2808~1_combout\);

-- Location: LCCOMB_X36_Y20_N28
\WideAnd2808~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2808~0_combout\ = (\led_flash_cnt[2808][4]~q\ & (\led_flash_cnt[2808][1]~q\ & (\led_flash_cnt[2808][2]~q\ & \led_flash_cnt[2808][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2808][4]~q\,
	datab => \led_flash_cnt[2808][1]~q\,
	datac => \led_flash_cnt[2808][2]~q\,
	datad => \led_flash_cnt[2808][3]~q\,
	combout => \WideAnd2808~0_combout\);

-- Location: LCCOMB_X35_Y20_N16
\led_flash_cnt[2808][7]~66204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2808][7]~66204_combout\ = \led_flash_cnt[2808][6]~66203\ $ (!\led_flash_cnt[2808][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2808][7]~q\,
	cin => \led_flash_cnt[2808][6]~66203\,
	combout => \led_flash_cnt[2808][7]~66204_combout\);

-- Location: FF_X35_Y20_N17
\led_flash_cnt[2808][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2808][7]~66204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2808][7]~q\);

-- Location: LCCOMB_X36_Y20_N0
WideAnd2808 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2808~combout\ = (\WideAnd2808~1_combout\ & (\WideAnd2808~0_combout\ & (\led_flash_cnt[2808][7]~q\ & \led_flash_cnt[2808][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2808~1_combout\,
	datab => \WideAnd2808~0_combout\,
	datac => \led_flash_cnt[2808][7]~q\,
	datad => \led_flash_cnt[2808][0]~q\,
	combout => \WideAnd2808~combout\);

-- Location: FF_X36_Y20_N1
\led_flash_cnt_ands[2808]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2808~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2808));

-- Location: LCCOMB_X37_Y26_N12
\led_flash_cnt[2809][0]~83449\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2809][0]~83449_combout\ = !\led_flash_cnt[2809][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2809][0]~q\,
	combout => \led_flash_cnt[2809][0]~83449_combout\);

-- Location: FF_X37_Y26_N13
\led_flash_cnt[2809][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2809][0]~83449_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2809][0]~q\);

-- Location: LCCOMB_X36_Y25_N18
\led_flash_cnt[2809][1]~66206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2809][1]~66206_combout\ = (\led_flash_cnt[2809][0]~q\ & (\led_flash_cnt[2809][1]~q\ $ (VCC))) # (!\led_flash_cnt[2809][0]~q\ & (\led_flash_cnt[2809][1]~q\ & VCC))
-- \led_flash_cnt[2809][1]~66207\ = CARRY((\led_flash_cnt[2809][0]~q\ & \led_flash_cnt[2809][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2809][0]~q\,
	datab => \led_flash_cnt[2809][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2809][1]~66206_combout\,
	cout => \led_flash_cnt[2809][1]~66207\);

-- Location: FF_X36_Y25_N19
\led_flash_cnt[2809][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2809][1]~66206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2809][1]~q\);

-- Location: LCCOMB_X36_Y25_N20
\led_flash_cnt[2809][2]~66208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2809][2]~66208_combout\ = (\led_flash_cnt[2809][2]~q\ & (!\led_flash_cnt[2809][1]~66207\)) # (!\led_flash_cnt[2809][2]~q\ & ((\led_flash_cnt[2809][1]~66207\) # (GND)))
-- \led_flash_cnt[2809][2]~66209\ = CARRY((!\led_flash_cnt[2809][1]~66207\) # (!\led_flash_cnt[2809][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2809][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2809][1]~66207\,
	combout => \led_flash_cnt[2809][2]~66208_combout\,
	cout => \led_flash_cnt[2809][2]~66209\);

-- Location: FF_X36_Y25_N21
\led_flash_cnt[2809][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2809][2]~66208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2809][2]~q\);

-- Location: LCCOMB_X36_Y25_N22
\led_flash_cnt[2809][3]~66210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2809][3]~66210_combout\ = (\led_flash_cnt[2809][3]~q\ & (\led_flash_cnt[2809][2]~66209\ $ (GND))) # (!\led_flash_cnt[2809][3]~q\ & (!\led_flash_cnt[2809][2]~66209\ & VCC))
-- \led_flash_cnt[2809][3]~66211\ = CARRY((\led_flash_cnt[2809][3]~q\ & !\led_flash_cnt[2809][2]~66209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2809][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2809][2]~66209\,
	combout => \led_flash_cnt[2809][3]~66210_combout\,
	cout => \led_flash_cnt[2809][3]~66211\);

-- Location: FF_X36_Y25_N23
\led_flash_cnt[2809][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2809][3]~66210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2809][3]~q\);

-- Location: LCCOMB_X36_Y25_N24
\led_flash_cnt[2809][4]~66212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2809][4]~66212_combout\ = (\led_flash_cnt[2809][4]~q\ & (!\led_flash_cnt[2809][3]~66211\)) # (!\led_flash_cnt[2809][4]~q\ & ((\led_flash_cnt[2809][3]~66211\) # (GND)))
-- \led_flash_cnt[2809][4]~66213\ = CARRY((!\led_flash_cnt[2809][3]~66211\) # (!\led_flash_cnt[2809][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2809][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2809][3]~66211\,
	combout => \led_flash_cnt[2809][4]~66212_combout\,
	cout => \led_flash_cnt[2809][4]~66213\);

-- Location: FF_X36_Y25_N25
\led_flash_cnt[2809][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2809][4]~66212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2809][4]~q\);

-- Location: LCCOMB_X36_Y25_N2
\WideAnd2809~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2809~0_combout\ = (\led_flash_cnt[2809][4]~q\ & (\led_flash_cnt[2809][2]~q\ & (\led_flash_cnt[2809][3]~q\ & \led_flash_cnt[2809][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2809][4]~q\,
	datab => \led_flash_cnt[2809][2]~q\,
	datac => \led_flash_cnt[2809][3]~q\,
	datad => \led_flash_cnt[2809][1]~q\,
	combout => \WideAnd2809~0_combout\);

-- Location: LCCOMB_X36_Y25_N26
\led_flash_cnt[2809][5]~66214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2809][5]~66214_combout\ = (\led_flash_cnt[2809][5]~q\ & (\led_flash_cnt[2809][4]~66213\ $ (GND))) # (!\led_flash_cnt[2809][5]~q\ & (!\led_flash_cnt[2809][4]~66213\ & VCC))
-- \led_flash_cnt[2809][5]~66215\ = CARRY((\led_flash_cnt[2809][5]~q\ & !\led_flash_cnt[2809][4]~66213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2809][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2809][4]~66213\,
	combout => \led_flash_cnt[2809][5]~66214_combout\,
	cout => \led_flash_cnt[2809][5]~66215\);

-- Location: FF_X36_Y25_N27
\led_flash_cnt[2809][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2809][5]~66214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2809][5]~q\);

-- Location: LCCOMB_X36_Y25_N28
\led_flash_cnt[2809][6]~66216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2809][6]~66216_combout\ = (\led_flash_cnt[2809][6]~q\ & (!\led_flash_cnt[2809][5]~66215\)) # (!\led_flash_cnt[2809][6]~q\ & ((\led_flash_cnt[2809][5]~66215\) # (GND)))
-- \led_flash_cnt[2809][6]~66217\ = CARRY((!\led_flash_cnt[2809][5]~66215\) # (!\led_flash_cnt[2809][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2809][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2809][5]~66215\,
	combout => \led_flash_cnt[2809][6]~66216_combout\,
	cout => \led_flash_cnt[2809][6]~66217\);

-- Location: FF_X36_Y25_N29
\led_flash_cnt[2809][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2809][6]~66216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2809][6]~q\);

-- Location: LCCOMB_X36_Y25_N30
\led_flash_cnt[2809][7]~66218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2809][7]~66218_combout\ = \led_flash_cnt[2809][7]~q\ $ (!\led_flash_cnt[2809][6]~66217\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2809][7]~q\,
	cin => \led_flash_cnt[2809][6]~66217\,
	combout => \led_flash_cnt[2809][7]~66218_combout\);

-- Location: FF_X36_Y25_N31
\led_flash_cnt[2809][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2809][7]~66218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2809][7]~q\);

-- Location: LCCOMB_X37_Y25_N20
\WideAnd2809~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2809~1_combout\ = (\led_flash_cnt[2809][5]~q\ & \led_flash_cnt[2809][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2809][5]~q\,
	datad => \led_flash_cnt[2809][6]~q\,
	combout => \WideAnd2809~1_combout\);

-- Location: LCCOMB_X37_Y25_N18
WideAnd2809 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2809~combout\ = (\WideAnd2809~0_combout\ & (\led_flash_cnt[2809][7]~q\ & (\led_flash_cnt[2809][0]~q\ & \WideAnd2809~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2809~0_combout\,
	datab => \led_flash_cnt[2809][7]~q\,
	datac => \led_flash_cnt[2809][0]~q\,
	datad => \WideAnd2809~1_combout\,
	combout => \WideAnd2809~combout\);

-- Location: FF_X37_Y25_N19
\led_flash_cnt_ands[2809]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2809~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2809));

-- Location: LCCOMB_X36_Y23_N10
\WideAnd4191~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4191~0_combout\ = (led_flash_cnt_ands(2810) & (led_flash_cnt_ands(2811) & (led_flash_cnt_ands(2808) & led_flash_cnt_ands(2809))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2810),
	datab => led_flash_cnt_ands(2811),
	datac => led_flash_cnt_ands(2808),
	datad => led_flash_cnt_ands(2809),
	combout => \WideAnd4191~0_combout\);

-- Location: LCCOMB_X37_Y25_N30
\led_flash_cnt[2814][0]~83454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2814][0]~83454_combout\ = !\led_flash_cnt[2814][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2814][0]~q\,
	combout => \led_flash_cnt[2814][0]~83454_combout\);

-- Location: FF_X37_Y25_N31
\led_flash_cnt[2814][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2814][0]~83454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2814][0]~q\);

-- Location: LCCOMB_X37_Y25_N2
\led_flash_cnt[2814][1]~66276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2814][1]~66276_combout\ = (\led_flash_cnt[2814][0]~q\ & (\led_flash_cnt[2814][1]~q\ $ (VCC))) # (!\led_flash_cnt[2814][0]~q\ & (\led_flash_cnt[2814][1]~q\ & VCC))
-- \led_flash_cnt[2814][1]~66277\ = CARRY((\led_flash_cnt[2814][0]~q\ & \led_flash_cnt[2814][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2814][0]~q\,
	datab => \led_flash_cnt[2814][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2814][1]~66276_combout\,
	cout => \led_flash_cnt[2814][1]~66277\);

-- Location: FF_X37_Y25_N3
\led_flash_cnt[2814][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2814][1]~66276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2814][1]~q\);

-- Location: LCCOMB_X37_Y25_N4
\led_flash_cnt[2814][2]~66278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2814][2]~66278_combout\ = (\led_flash_cnt[2814][2]~q\ & (!\led_flash_cnt[2814][1]~66277\)) # (!\led_flash_cnt[2814][2]~q\ & ((\led_flash_cnt[2814][1]~66277\) # (GND)))
-- \led_flash_cnt[2814][2]~66279\ = CARRY((!\led_flash_cnt[2814][1]~66277\) # (!\led_flash_cnt[2814][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2814][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2814][1]~66277\,
	combout => \led_flash_cnt[2814][2]~66278_combout\,
	cout => \led_flash_cnt[2814][2]~66279\);

-- Location: FF_X37_Y25_N5
\led_flash_cnt[2814][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2814][2]~66278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2814][2]~q\);

-- Location: LCCOMB_X37_Y25_N6
\led_flash_cnt[2814][3]~66280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2814][3]~66280_combout\ = (\led_flash_cnt[2814][3]~q\ & (\led_flash_cnt[2814][2]~66279\ $ (GND))) # (!\led_flash_cnt[2814][3]~q\ & (!\led_flash_cnt[2814][2]~66279\ & VCC))
-- \led_flash_cnt[2814][3]~66281\ = CARRY((\led_flash_cnt[2814][3]~q\ & !\led_flash_cnt[2814][2]~66279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2814][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2814][2]~66279\,
	combout => \led_flash_cnt[2814][3]~66280_combout\,
	cout => \led_flash_cnt[2814][3]~66281\);

-- Location: FF_X37_Y25_N7
\led_flash_cnt[2814][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2814][3]~66280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2814][3]~q\);

-- Location: LCCOMB_X37_Y25_N8
\led_flash_cnt[2814][4]~66282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2814][4]~66282_combout\ = (\led_flash_cnt[2814][4]~q\ & (!\led_flash_cnt[2814][3]~66281\)) # (!\led_flash_cnt[2814][4]~q\ & ((\led_flash_cnt[2814][3]~66281\) # (GND)))
-- \led_flash_cnt[2814][4]~66283\ = CARRY((!\led_flash_cnt[2814][3]~66281\) # (!\led_flash_cnt[2814][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2814][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2814][3]~66281\,
	combout => \led_flash_cnt[2814][4]~66282_combout\,
	cout => \led_flash_cnt[2814][4]~66283\);

-- Location: FF_X37_Y25_N9
\led_flash_cnt[2814][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2814][4]~66282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2814][4]~q\);

-- Location: LCCOMB_X37_Y25_N26
\WideAnd2814~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2814~0_combout\ = (\led_flash_cnt[2814][3]~q\ & (\led_flash_cnt[2814][4]~q\ & (\led_flash_cnt[2814][2]~q\ & \led_flash_cnt[2814][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2814][3]~q\,
	datab => \led_flash_cnt[2814][4]~q\,
	datac => \led_flash_cnt[2814][2]~q\,
	datad => \led_flash_cnt[2814][1]~q\,
	combout => \WideAnd2814~0_combout\);

-- Location: LCCOMB_X37_Y25_N10
\led_flash_cnt[2814][5]~66284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2814][5]~66284_combout\ = (\led_flash_cnt[2814][5]~q\ & (\led_flash_cnt[2814][4]~66283\ $ (GND))) # (!\led_flash_cnt[2814][5]~q\ & (!\led_flash_cnt[2814][4]~66283\ & VCC))
-- \led_flash_cnt[2814][5]~66285\ = CARRY((\led_flash_cnt[2814][5]~q\ & !\led_flash_cnt[2814][4]~66283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2814][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2814][4]~66283\,
	combout => \led_flash_cnt[2814][5]~66284_combout\,
	cout => \led_flash_cnt[2814][5]~66285\);

-- Location: FF_X37_Y25_N11
\led_flash_cnt[2814][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2814][5]~66284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2814][5]~q\);

-- Location: LCCOMB_X37_Y25_N12
\led_flash_cnt[2814][6]~66286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2814][6]~66286_combout\ = (\led_flash_cnt[2814][6]~q\ & (!\led_flash_cnt[2814][5]~66285\)) # (!\led_flash_cnt[2814][6]~q\ & ((\led_flash_cnt[2814][5]~66285\) # (GND)))
-- \led_flash_cnt[2814][6]~66287\ = CARRY((!\led_flash_cnt[2814][5]~66285\) # (!\led_flash_cnt[2814][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2814][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2814][5]~66285\,
	combout => \led_flash_cnt[2814][6]~66286_combout\,
	cout => \led_flash_cnt[2814][6]~66287\);

-- Location: FF_X37_Y25_N13
\led_flash_cnt[2814][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2814][6]~66286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2814][6]~q\);

-- Location: LCCOMB_X37_Y25_N14
\led_flash_cnt[2814][7]~66288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2814][7]~66288_combout\ = \led_flash_cnt[2814][7]~q\ $ (!\led_flash_cnt[2814][6]~66287\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2814][7]~q\,
	cin => \led_flash_cnt[2814][6]~66287\,
	combout => \led_flash_cnt[2814][7]~66288_combout\);

-- Location: FF_X37_Y25_N15
\led_flash_cnt[2814][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2814][7]~66288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2814][7]~q\);

-- Location: LCCOMB_X37_Y25_N16
\WideAnd2814~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2814~1_combout\ = (\led_flash_cnt[2814][6]~q\ & \led_flash_cnt[2814][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2814][6]~q\,
	datad => \led_flash_cnt[2814][5]~q\,
	combout => \WideAnd2814~1_combout\);

-- Location: LCCOMB_X37_Y25_N0
WideAnd2814 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2814~combout\ = (\WideAnd2814~0_combout\ & (\led_flash_cnt[2814][7]~q\ & (\led_flash_cnt[2814][0]~q\ & \WideAnd2814~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2814~0_combout\,
	datab => \led_flash_cnt[2814][7]~q\,
	datac => \led_flash_cnt[2814][0]~q\,
	datad => \WideAnd2814~1_combout\,
	combout => \WideAnd2814~combout\);

-- Location: FF_X37_Y25_N1
\led_flash_cnt_ands[2814]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2814~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2814));

-- Location: LCCOMB_X35_Y26_N2
WideAnd4191 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4191~combout\ = (led_flash_cnt_ands(2815) & (\WideAnd4191~1_combout\ & (\WideAnd4191~0_combout\ & led_flash_cnt_ands(2814))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2815),
	datab => \WideAnd4191~1_combout\,
	datac => \WideAnd4191~0_combout\,
	datad => led_flash_cnt_ands(2814),
	combout => \WideAnd4191~combout\);

-- Location: FF_X35_Y26_N3
\led_flash_cnt_ands_1[351]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4191~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(351));

-- Location: LCCOMB_X22_Y32_N28
\led_flash_cnt[2798][0]~83438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2798][0]~83438_combout\ = !\led_flash_cnt[2798][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2798][0]~q\,
	combout => \led_flash_cnt[2798][0]~83438_combout\);

-- Location: FF_X22_Y32_N29
\led_flash_cnt[2798][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2798][0]~83438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2798][0]~q\);

-- Location: LCCOMB_X23_Y32_N18
\led_flash_cnt[2798][1]~66052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2798][1]~66052_combout\ = (\led_flash_cnt[2798][0]~q\ & (\led_flash_cnt[2798][1]~q\ $ (VCC))) # (!\led_flash_cnt[2798][0]~q\ & (\led_flash_cnt[2798][1]~q\ & VCC))
-- \led_flash_cnt[2798][1]~66053\ = CARRY((\led_flash_cnt[2798][0]~q\ & \led_flash_cnt[2798][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2798][0]~q\,
	datab => \led_flash_cnt[2798][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2798][1]~66052_combout\,
	cout => \led_flash_cnt[2798][1]~66053\);

-- Location: FF_X23_Y32_N19
\led_flash_cnt[2798][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2798][1]~66052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2798][1]~q\);

-- Location: LCCOMB_X23_Y32_N20
\led_flash_cnt[2798][2]~66054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2798][2]~66054_combout\ = (\led_flash_cnt[2798][2]~q\ & (!\led_flash_cnt[2798][1]~66053\)) # (!\led_flash_cnt[2798][2]~q\ & ((\led_flash_cnt[2798][1]~66053\) # (GND)))
-- \led_flash_cnt[2798][2]~66055\ = CARRY((!\led_flash_cnt[2798][1]~66053\) # (!\led_flash_cnt[2798][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2798][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2798][1]~66053\,
	combout => \led_flash_cnt[2798][2]~66054_combout\,
	cout => \led_flash_cnt[2798][2]~66055\);

-- Location: FF_X23_Y32_N21
\led_flash_cnt[2798][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2798][2]~66054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2798][2]~q\);

-- Location: LCCOMB_X23_Y32_N22
\led_flash_cnt[2798][3]~66056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2798][3]~66056_combout\ = (\led_flash_cnt[2798][3]~q\ & (\led_flash_cnt[2798][2]~66055\ $ (GND))) # (!\led_flash_cnt[2798][3]~q\ & (!\led_flash_cnt[2798][2]~66055\ & VCC))
-- \led_flash_cnt[2798][3]~66057\ = CARRY((\led_flash_cnt[2798][3]~q\ & !\led_flash_cnt[2798][2]~66055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2798][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2798][2]~66055\,
	combout => \led_flash_cnt[2798][3]~66056_combout\,
	cout => \led_flash_cnt[2798][3]~66057\);

-- Location: FF_X23_Y32_N23
\led_flash_cnt[2798][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2798][3]~66056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2798][3]~q\);

-- Location: LCCOMB_X23_Y32_N24
\led_flash_cnt[2798][4]~66058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2798][4]~66058_combout\ = (\led_flash_cnt[2798][4]~q\ & (!\led_flash_cnt[2798][3]~66057\)) # (!\led_flash_cnt[2798][4]~q\ & ((\led_flash_cnt[2798][3]~66057\) # (GND)))
-- \led_flash_cnt[2798][4]~66059\ = CARRY((!\led_flash_cnt[2798][3]~66057\) # (!\led_flash_cnt[2798][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2798][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2798][3]~66057\,
	combout => \led_flash_cnt[2798][4]~66058_combout\,
	cout => \led_flash_cnt[2798][4]~66059\);

-- Location: FF_X23_Y32_N25
\led_flash_cnt[2798][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2798][4]~66058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2798][4]~q\);

-- Location: LCCOMB_X22_Y32_N22
\WideAnd2798~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2798~0_combout\ = (\led_flash_cnt[2798][1]~q\ & (\led_flash_cnt[2798][4]~q\ & (\led_flash_cnt[2798][2]~q\ & \led_flash_cnt[2798][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2798][1]~q\,
	datab => \led_flash_cnt[2798][4]~q\,
	datac => \led_flash_cnt[2798][2]~q\,
	datad => \led_flash_cnt[2798][3]~q\,
	combout => \WideAnd2798~0_combout\);

-- Location: LCCOMB_X23_Y32_N26
\led_flash_cnt[2798][5]~66060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2798][5]~66060_combout\ = (\led_flash_cnt[2798][5]~q\ & (\led_flash_cnt[2798][4]~66059\ $ (GND))) # (!\led_flash_cnt[2798][5]~q\ & (!\led_flash_cnt[2798][4]~66059\ & VCC))
-- \led_flash_cnt[2798][5]~66061\ = CARRY((\led_flash_cnt[2798][5]~q\ & !\led_flash_cnt[2798][4]~66059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2798][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2798][4]~66059\,
	combout => \led_flash_cnt[2798][5]~66060_combout\,
	cout => \led_flash_cnt[2798][5]~66061\);

-- Location: FF_X23_Y32_N27
\led_flash_cnt[2798][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2798][5]~66060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2798][5]~q\);

-- Location: LCCOMB_X23_Y32_N28
\led_flash_cnt[2798][6]~66062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2798][6]~66062_combout\ = (\led_flash_cnt[2798][6]~q\ & (!\led_flash_cnt[2798][5]~66061\)) # (!\led_flash_cnt[2798][6]~q\ & ((\led_flash_cnt[2798][5]~66061\) # (GND)))
-- \led_flash_cnt[2798][6]~66063\ = CARRY((!\led_flash_cnt[2798][5]~66061\) # (!\led_flash_cnt[2798][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2798][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2798][5]~66061\,
	combout => \led_flash_cnt[2798][6]~66062_combout\,
	cout => \led_flash_cnt[2798][6]~66063\);

-- Location: FF_X23_Y32_N29
\led_flash_cnt[2798][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2798][6]~66062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2798][6]~q\);

-- Location: LCCOMB_X22_Y32_N18
\WideAnd2798~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2798~1_combout\ = (\led_flash_cnt[2798][6]~q\ & \led_flash_cnt[2798][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2798][6]~q\,
	datac => \led_flash_cnt[2798][5]~q\,
	combout => \WideAnd2798~1_combout\);

-- Location: LCCOMB_X23_Y32_N30
\led_flash_cnt[2798][7]~66064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2798][7]~66064_combout\ = \led_flash_cnt[2798][6]~66063\ $ (!\led_flash_cnt[2798][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2798][7]~q\,
	cin => \led_flash_cnt[2798][6]~66063\,
	combout => \led_flash_cnt[2798][7]~66064_combout\);

-- Location: FF_X23_Y32_N31
\led_flash_cnt[2798][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2798][7]~66064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2798][7]~q\);

-- Location: LCCOMB_X22_Y32_N16
WideAnd2798 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2798~combout\ = (\WideAnd2798~0_combout\ & (\WideAnd2798~1_combout\ & (\led_flash_cnt[2798][7]~q\ & \led_flash_cnt[2798][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2798~0_combout\,
	datab => \WideAnd2798~1_combout\,
	datac => \led_flash_cnt[2798][7]~q\,
	datad => \led_flash_cnt[2798][0]~q\,
	combout => \WideAnd2798~combout\);

-- Location: FF_X22_Y32_N17
\led_flash_cnt_ands[2798]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2798~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2798));

-- Location: LCCOMB_X6_Y34_N26
\led_flash_cnt[2796][0]~83436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2796][0]~83436_combout\ = !\led_flash_cnt[2796][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2796][0]~q\,
	combout => \led_flash_cnt[2796][0]~83436_combout\);

-- Location: FF_X6_Y34_N27
\led_flash_cnt[2796][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2796][0]~83436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2796][0]~q\);

-- Location: LCCOMB_X7_Y34_N16
\led_flash_cnt[2796][1]~66024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2796][1]~66024_combout\ = (\led_flash_cnt[2796][0]~q\ & (\led_flash_cnt[2796][1]~q\ $ (VCC))) # (!\led_flash_cnt[2796][0]~q\ & (\led_flash_cnt[2796][1]~q\ & VCC))
-- \led_flash_cnt[2796][1]~66025\ = CARRY((\led_flash_cnt[2796][0]~q\ & \led_flash_cnt[2796][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2796][0]~q\,
	datab => \led_flash_cnt[2796][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2796][1]~66024_combout\,
	cout => \led_flash_cnt[2796][1]~66025\);

-- Location: FF_X7_Y34_N17
\led_flash_cnt[2796][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2796][1]~66024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2796][1]~q\);

-- Location: LCCOMB_X7_Y34_N18
\led_flash_cnt[2796][2]~66026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2796][2]~66026_combout\ = (\led_flash_cnt[2796][2]~q\ & (!\led_flash_cnt[2796][1]~66025\)) # (!\led_flash_cnt[2796][2]~q\ & ((\led_flash_cnt[2796][1]~66025\) # (GND)))
-- \led_flash_cnt[2796][2]~66027\ = CARRY((!\led_flash_cnt[2796][1]~66025\) # (!\led_flash_cnt[2796][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2796][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2796][1]~66025\,
	combout => \led_flash_cnt[2796][2]~66026_combout\,
	cout => \led_flash_cnt[2796][2]~66027\);

-- Location: FF_X7_Y34_N19
\led_flash_cnt[2796][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2796][2]~66026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2796][2]~q\);

-- Location: LCCOMB_X7_Y34_N20
\led_flash_cnt[2796][3]~66028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2796][3]~66028_combout\ = (\led_flash_cnt[2796][3]~q\ & (\led_flash_cnt[2796][2]~66027\ $ (GND))) # (!\led_flash_cnt[2796][3]~q\ & (!\led_flash_cnt[2796][2]~66027\ & VCC))
-- \led_flash_cnt[2796][3]~66029\ = CARRY((\led_flash_cnt[2796][3]~q\ & !\led_flash_cnt[2796][2]~66027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2796][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2796][2]~66027\,
	combout => \led_flash_cnt[2796][3]~66028_combout\,
	cout => \led_flash_cnt[2796][3]~66029\);

-- Location: FF_X7_Y34_N21
\led_flash_cnt[2796][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2796][3]~66028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2796][3]~q\);

-- Location: LCCOMB_X7_Y34_N22
\led_flash_cnt[2796][4]~66030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2796][4]~66030_combout\ = (\led_flash_cnt[2796][4]~q\ & (!\led_flash_cnt[2796][3]~66029\)) # (!\led_flash_cnt[2796][4]~q\ & ((\led_flash_cnt[2796][3]~66029\) # (GND)))
-- \led_flash_cnt[2796][4]~66031\ = CARRY((!\led_flash_cnt[2796][3]~66029\) # (!\led_flash_cnt[2796][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2796][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2796][3]~66029\,
	combout => \led_flash_cnt[2796][4]~66030_combout\,
	cout => \led_flash_cnt[2796][4]~66031\);

-- Location: FF_X7_Y34_N23
\led_flash_cnt[2796][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2796][4]~66030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2796][4]~q\);

-- Location: LCCOMB_X7_Y34_N24
\led_flash_cnt[2796][5]~66032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2796][5]~66032_combout\ = (\led_flash_cnt[2796][5]~q\ & (\led_flash_cnt[2796][4]~66031\ $ (GND))) # (!\led_flash_cnt[2796][5]~q\ & (!\led_flash_cnt[2796][4]~66031\ & VCC))
-- \led_flash_cnt[2796][5]~66033\ = CARRY((\led_flash_cnt[2796][5]~q\ & !\led_flash_cnt[2796][4]~66031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2796][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2796][4]~66031\,
	combout => \led_flash_cnt[2796][5]~66032_combout\,
	cout => \led_flash_cnt[2796][5]~66033\);

-- Location: FF_X7_Y34_N25
\led_flash_cnt[2796][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2796][5]~66032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2796][5]~q\);

-- Location: LCCOMB_X7_Y34_N26
\led_flash_cnt[2796][6]~66034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2796][6]~66034_combout\ = (\led_flash_cnt[2796][6]~q\ & (!\led_flash_cnt[2796][5]~66033\)) # (!\led_flash_cnt[2796][6]~q\ & ((\led_flash_cnt[2796][5]~66033\) # (GND)))
-- \led_flash_cnt[2796][6]~66035\ = CARRY((!\led_flash_cnt[2796][5]~66033\) # (!\led_flash_cnt[2796][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2796][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2796][5]~66033\,
	combout => \led_flash_cnt[2796][6]~66034_combout\,
	cout => \led_flash_cnt[2796][6]~66035\);

-- Location: FF_X7_Y34_N27
\led_flash_cnt[2796][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2796][6]~66034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2796][6]~q\);

-- Location: LCCOMB_X7_Y34_N28
\led_flash_cnt[2796][7]~66036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2796][7]~66036_combout\ = \led_flash_cnt[2796][6]~66035\ $ (!\led_flash_cnt[2796][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2796][7]~q\,
	cin => \led_flash_cnt[2796][6]~66035\,
	combout => \led_flash_cnt[2796][7]~66036_combout\);

-- Location: FF_X7_Y34_N29
\led_flash_cnt[2796][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2796][7]~66036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2796][7]~q\);

-- Location: LCCOMB_X7_Y34_N30
\WideAnd2796~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2796~0_combout\ = (\led_flash_cnt[2796][2]~q\ & (\led_flash_cnt[2796][3]~q\ & (\led_flash_cnt[2796][4]~q\ & \led_flash_cnt[2796][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2796][2]~q\,
	datab => \led_flash_cnt[2796][3]~q\,
	datac => \led_flash_cnt[2796][4]~q\,
	datad => \led_flash_cnt[2796][1]~q\,
	combout => \WideAnd2796~0_combout\);

-- Location: LCCOMB_X6_Y34_N0
\WideAnd2796~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2796~1_combout\ = (\led_flash_cnt[2796][6]~q\ & \led_flash_cnt[2796][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2796][6]~q\,
	datad => \led_flash_cnt[2796][5]~q\,
	combout => \WideAnd2796~1_combout\);

-- Location: LCCOMB_X6_Y34_N22
WideAnd2796 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2796~combout\ = (\led_flash_cnt[2796][0]~q\ & (\led_flash_cnt[2796][7]~q\ & (\WideAnd2796~0_combout\ & \WideAnd2796~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2796][0]~q\,
	datab => \led_flash_cnt[2796][7]~q\,
	datac => \WideAnd2796~0_combout\,
	datad => \WideAnd2796~1_combout\,
	combout => \WideAnd2796~combout\);

-- Location: FF_X6_Y34_N23
\led_flash_cnt_ands[2796]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2796~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2796));

-- Location: LCCOMB_X6_Y34_N2
\led_flash_cnt[2797][0]~83437\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2797][0]~83437_combout\ = !\led_flash_cnt[2797][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2797][0]~q\,
	combout => \led_flash_cnt[2797][0]~83437_combout\);

-- Location: FF_X6_Y34_N3
\led_flash_cnt[2797][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2797][0]~83437_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2797][0]~q\);

-- Location: LCCOMB_X6_Y34_N6
\led_flash_cnt[2797][1]~66038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2797][1]~66038_combout\ = (\led_flash_cnt[2797][1]~q\ & (\led_flash_cnt[2797][0]~q\ $ (VCC))) # (!\led_flash_cnt[2797][1]~q\ & (\led_flash_cnt[2797][0]~q\ & VCC))
-- \led_flash_cnt[2797][1]~66039\ = CARRY((\led_flash_cnt[2797][1]~q\ & \led_flash_cnt[2797][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2797][1]~q\,
	datab => \led_flash_cnt[2797][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2797][1]~66038_combout\,
	cout => \led_flash_cnt[2797][1]~66039\);

-- Location: FF_X6_Y34_N7
\led_flash_cnt[2797][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2797][1]~66038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2797][1]~q\);

-- Location: LCCOMB_X6_Y34_N8
\led_flash_cnt[2797][2]~66040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2797][2]~66040_combout\ = (\led_flash_cnt[2797][2]~q\ & (!\led_flash_cnt[2797][1]~66039\)) # (!\led_flash_cnt[2797][2]~q\ & ((\led_flash_cnt[2797][1]~66039\) # (GND)))
-- \led_flash_cnt[2797][2]~66041\ = CARRY((!\led_flash_cnt[2797][1]~66039\) # (!\led_flash_cnt[2797][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2797][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2797][1]~66039\,
	combout => \led_flash_cnt[2797][2]~66040_combout\,
	cout => \led_flash_cnt[2797][2]~66041\);

-- Location: FF_X6_Y34_N9
\led_flash_cnt[2797][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2797][2]~66040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2797][2]~q\);

-- Location: LCCOMB_X6_Y34_N10
\led_flash_cnt[2797][3]~66042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2797][3]~66042_combout\ = (\led_flash_cnt[2797][3]~q\ & (\led_flash_cnt[2797][2]~66041\ $ (GND))) # (!\led_flash_cnt[2797][3]~q\ & (!\led_flash_cnt[2797][2]~66041\ & VCC))
-- \led_flash_cnt[2797][3]~66043\ = CARRY((\led_flash_cnt[2797][3]~q\ & !\led_flash_cnt[2797][2]~66041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2797][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2797][2]~66041\,
	combout => \led_flash_cnt[2797][3]~66042_combout\,
	cout => \led_flash_cnt[2797][3]~66043\);

-- Location: FF_X6_Y34_N11
\led_flash_cnt[2797][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2797][3]~66042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2797][3]~q\);

-- Location: LCCOMB_X6_Y34_N12
\led_flash_cnt[2797][4]~66044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2797][4]~66044_combout\ = (\led_flash_cnt[2797][4]~q\ & (!\led_flash_cnt[2797][3]~66043\)) # (!\led_flash_cnt[2797][4]~q\ & ((\led_flash_cnt[2797][3]~66043\) # (GND)))
-- \led_flash_cnt[2797][4]~66045\ = CARRY((!\led_flash_cnt[2797][3]~66043\) # (!\led_flash_cnt[2797][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2797][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2797][3]~66043\,
	combout => \led_flash_cnt[2797][4]~66044_combout\,
	cout => \led_flash_cnt[2797][4]~66045\);

-- Location: FF_X6_Y34_N13
\led_flash_cnt[2797][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2797][4]~66044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2797][4]~q\);

-- Location: LCCOMB_X6_Y34_N30
\WideAnd2797~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2797~0_combout\ = (\led_flash_cnt[2797][1]~q\ & (\led_flash_cnt[2797][4]~q\ & (\led_flash_cnt[2797][2]~q\ & \led_flash_cnt[2797][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2797][1]~q\,
	datab => \led_flash_cnt[2797][4]~q\,
	datac => \led_flash_cnt[2797][2]~q\,
	datad => \led_flash_cnt[2797][3]~q\,
	combout => \WideAnd2797~0_combout\);

-- Location: LCCOMB_X6_Y34_N14
\led_flash_cnt[2797][5]~66046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2797][5]~66046_combout\ = (\led_flash_cnt[2797][5]~q\ & (\led_flash_cnt[2797][4]~66045\ $ (GND))) # (!\led_flash_cnt[2797][5]~q\ & (!\led_flash_cnt[2797][4]~66045\ & VCC))
-- \led_flash_cnt[2797][5]~66047\ = CARRY((\led_flash_cnt[2797][5]~q\ & !\led_flash_cnt[2797][4]~66045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2797][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2797][4]~66045\,
	combout => \led_flash_cnt[2797][5]~66046_combout\,
	cout => \led_flash_cnt[2797][5]~66047\);

-- Location: FF_X6_Y34_N15
\led_flash_cnt[2797][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2797][5]~66046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2797][5]~q\);

-- Location: LCCOMB_X6_Y34_N16
\led_flash_cnt[2797][6]~66048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2797][6]~66048_combout\ = (\led_flash_cnt[2797][6]~q\ & (!\led_flash_cnt[2797][5]~66047\)) # (!\led_flash_cnt[2797][6]~q\ & ((\led_flash_cnt[2797][5]~66047\) # (GND)))
-- \led_flash_cnt[2797][6]~66049\ = CARRY((!\led_flash_cnt[2797][5]~66047\) # (!\led_flash_cnt[2797][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2797][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2797][5]~66047\,
	combout => \led_flash_cnt[2797][6]~66048_combout\,
	cout => \led_flash_cnt[2797][6]~66049\);

-- Location: FF_X6_Y34_N17
\led_flash_cnt[2797][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2797][6]~66048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2797][6]~q\);

-- Location: LCCOMB_X6_Y34_N4
\WideAnd2797~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2797~1_combout\ = (\led_flash_cnt[2797][5]~q\ & \led_flash_cnt[2797][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2797][5]~q\,
	datad => \led_flash_cnt[2797][6]~q\,
	combout => \WideAnd2797~1_combout\);

-- Location: LCCOMB_X6_Y34_N18
\led_flash_cnt[2797][7]~66050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2797][7]~66050_combout\ = \led_flash_cnt[2797][6]~66049\ $ (!\led_flash_cnt[2797][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2797][7]~q\,
	cin => \led_flash_cnt[2797][6]~66049\,
	combout => \led_flash_cnt[2797][7]~66050_combout\);

-- Location: FF_X6_Y34_N19
\led_flash_cnt[2797][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2797][7]~66050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2797][7]~q\);

-- Location: LCCOMB_X6_Y34_N20
WideAnd2797 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2797~combout\ = (\WideAnd2797~0_combout\ & (\led_flash_cnt[2797][0]~q\ & (\WideAnd2797~1_combout\ & \led_flash_cnt[2797][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2797~0_combout\,
	datab => \led_flash_cnt[2797][0]~q\,
	datac => \WideAnd2797~1_combout\,
	datad => \led_flash_cnt[2797][7]~q\,
	combout => \WideAnd2797~combout\);

-- Location: FF_X6_Y34_N21
\led_flash_cnt_ands[2797]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2797~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2797));

-- Location: LCCOMB_X6_Y34_N24
\WideAnd4189~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4189~1_combout\ = (led_flash_cnt_ands(2796) & led_flash_cnt_ands(2797))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2796),
	datad => led_flash_cnt_ands(2797),
	combout => \WideAnd4189~1_combout\);

-- Location: LCCOMB_X26_Y32_N2
\led_flash_cnt[2799][0]~83439\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2799][0]~83439_combout\ = !\led_flash_cnt[2799][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2799][0]~q\,
	combout => \led_flash_cnt[2799][0]~83439_combout\);

-- Location: FF_X26_Y32_N3
\led_flash_cnt[2799][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2799][0]~83439_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2799][0]~q\);

-- Location: LCCOMB_X25_Y32_N18
\led_flash_cnt[2799][1]~66066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2799][1]~66066_combout\ = (\led_flash_cnt[2799][0]~q\ & (\led_flash_cnt[2799][1]~q\ $ (VCC))) # (!\led_flash_cnt[2799][0]~q\ & (\led_flash_cnt[2799][1]~q\ & VCC))
-- \led_flash_cnt[2799][1]~66067\ = CARRY((\led_flash_cnt[2799][0]~q\ & \led_flash_cnt[2799][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2799][0]~q\,
	datab => \led_flash_cnt[2799][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2799][1]~66066_combout\,
	cout => \led_flash_cnt[2799][1]~66067\);

-- Location: FF_X25_Y32_N19
\led_flash_cnt[2799][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2799][1]~66066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2799][1]~q\);

-- Location: LCCOMB_X25_Y32_N20
\led_flash_cnt[2799][2]~66068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2799][2]~66068_combout\ = (\led_flash_cnt[2799][2]~q\ & (!\led_flash_cnt[2799][1]~66067\)) # (!\led_flash_cnt[2799][2]~q\ & ((\led_flash_cnt[2799][1]~66067\) # (GND)))
-- \led_flash_cnt[2799][2]~66069\ = CARRY((!\led_flash_cnt[2799][1]~66067\) # (!\led_flash_cnt[2799][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2799][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2799][1]~66067\,
	combout => \led_flash_cnt[2799][2]~66068_combout\,
	cout => \led_flash_cnt[2799][2]~66069\);

-- Location: FF_X25_Y32_N21
\led_flash_cnt[2799][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2799][2]~66068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2799][2]~q\);

-- Location: LCCOMB_X25_Y32_N22
\led_flash_cnt[2799][3]~66070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2799][3]~66070_combout\ = (\led_flash_cnt[2799][3]~q\ & (\led_flash_cnt[2799][2]~66069\ $ (GND))) # (!\led_flash_cnt[2799][3]~q\ & (!\led_flash_cnt[2799][2]~66069\ & VCC))
-- \led_flash_cnt[2799][3]~66071\ = CARRY((\led_flash_cnt[2799][3]~q\ & !\led_flash_cnt[2799][2]~66069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2799][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2799][2]~66069\,
	combout => \led_flash_cnt[2799][3]~66070_combout\,
	cout => \led_flash_cnt[2799][3]~66071\);

-- Location: FF_X25_Y32_N23
\led_flash_cnt[2799][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2799][3]~66070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2799][3]~q\);

-- Location: LCCOMB_X25_Y32_N24
\led_flash_cnt[2799][4]~66072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2799][4]~66072_combout\ = (\led_flash_cnt[2799][4]~q\ & (!\led_flash_cnt[2799][3]~66071\)) # (!\led_flash_cnt[2799][4]~q\ & ((\led_flash_cnt[2799][3]~66071\) # (GND)))
-- \led_flash_cnt[2799][4]~66073\ = CARRY((!\led_flash_cnt[2799][3]~66071\) # (!\led_flash_cnt[2799][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2799][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2799][3]~66071\,
	combout => \led_flash_cnt[2799][4]~66072_combout\,
	cout => \led_flash_cnt[2799][4]~66073\);

-- Location: FF_X25_Y32_N25
\led_flash_cnt[2799][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2799][4]~66072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2799][4]~q\);

-- Location: LCCOMB_X26_Y32_N12
\WideAnd2799~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2799~0_combout\ = (\led_flash_cnt[2799][3]~q\ & (\led_flash_cnt[2799][1]~q\ & (\led_flash_cnt[2799][4]~q\ & \led_flash_cnt[2799][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2799][3]~q\,
	datab => \led_flash_cnt[2799][1]~q\,
	datac => \led_flash_cnt[2799][4]~q\,
	datad => \led_flash_cnt[2799][2]~q\,
	combout => \WideAnd2799~0_combout\);

-- Location: LCCOMB_X25_Y32_N26
\led_flash_cnt[2799][5]~66074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2799][5]~66074_combout\ = (\led_flash_cnt[2799][5]~q\ & (\led_flash_cnt[2799][4]~66073\ $ (GND))) # (!\led_flash_cnt[2799][5]~q\ & (!\led_flash_cnt[2799][4]~66073\ & VCC))
-- \led_flash_cnt[2799][5]~66075\ = CARRY((\led_flash_cnt[2799][5]~q\ & !\led_flash_cnt[2799][4]~66073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2799][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2799][4]~66073\,
	combout => \led_flash_cnt[2799][5]~66074_combout\,
	cout => \led_flash_cnt[2799][5]~66075\);

-- Location: FF_X25_Y32_N27
\led_flash_cnt[2799][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2799][5]~66074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2799][5]~q\);

-- Location: LCCOMB_X25_Y32_N28
\led_flash_cnt[2799][6]~66076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2799][6]~66076_combout\ = (\led_flash_cnt[2799][6]~q\ & (!\led_flash_cnt[2799][5]~66075\)) # (!\led_flash_cnt[2799][6]~q\ & ((\led_flash_cnt[2799][5]~66075\) # (GND)))
-- \led_flash_cnt[2799][6]~66077\ = CARRY((!\led_flash_cnt[2799][5]~66075\) # (!\led_flash_cnt[2799][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2799][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2799][5]~66075\,
	combout => \led_flash_cnt[2799][6]~66076_combout\,
	cout => \led_flash_cnt[2799][6]~66077\);

-- Location: FF_X25_Y32_N29
\led_flash_cnt[2799][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2799][6]~66076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2799][6]~q\);

-- Location: LCCOMB_X25_Y32_N30
\led_flash_cnt[2799][7]~66078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2799][7]~66078_combout\ = \led_flash_cnt[2799][7]~q\ $ (!\led_flash_cnt[2799][6]~66077\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2799][7]~q\,
	cin => \led_flash_cnt[2799][6]~66077\,
	combout => \led_flash_cnt[2799][7]~66078_combout\);

-- Location: FF_X25_Y32_N31
\led_flash_cnt[2799][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2799][7]~66078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2799][7]~q\);

-- Location: LCCOMB_X26_Y32_N20
\WideAnd2799~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2799~1_combout\ = (\led_flash_cnt[2799][5]~q\ & \led_flash_cnt[2799][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2799][5]~q\,
	datad => \led_flash_cnt[2799][6]~q\,
	combout => \WideAnd2799~1_combout\);

-- Location: LCCOMB_X26_Y32_N26
WideAnd2799 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2799~combout\ = (\WideAnd2799~0_combout\ & (\led_flash_cnt[2799][7]~q\ & (\led_flash_cnt[2799][0]~q\ & \WideAnd2799~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2799~0_combout\,
	datab => \led_flash_cnt[2799][7]~q\,
	datac => \led_flash_cnt[2799][0]~q\,
	datad => \WideAnd2799~1_combout\,
	combout => \WideAnd2799~combout\);

-- Location: FF_X26_Y32_N27
\led_flash_cnt_ands[2799]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2799~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2799));

-- Location: LCCOMB_X26_Y32_N8
\led_flash_cnt[2794][0]~83434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2794][0]~83434_combout\ = !\led_flash_cnt[2794][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2794][0]~q\,
	combout => \led_flash_cnt[2794][0]~83434_combout\);

-- Location: FF_X26_Y32_N9
\led_flash_cnt[2794][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2794][0]~83434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2794][0]~q\);

-- Location: LCCOMB_X26_Y34_N14
\led_flash_cnt[2794][1]~65996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2794][1]~65996_combout\ = (\led_flash_cnt[2794][0]~q\ & (\led_flash_cnt[2794][1]~q\ $ (VCC))) # (!\led_flash_cnt[2794][0]~q\ & (\led_flash_cnt[2794][1]~q\ & VCC))
-- \led_flash_cnt[2794][1]~65997\ = CARRY((\led_flash_cnt[2794][0]~q\ & \led_flash_cnt[2794][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2794][0]~q\,
	datab => \led_flash_cnt[2794][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2794][1]~65996_combout\,
	cout => \led_flash_cnt[2794][1]~65997\);

-- Location: FF_X26_Y34_N15
\led_flash_cnt[2794][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2794][1]~65996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2794][1]~q\);

-- Location: LCCOMB_X26_Y34_N16
\led_flash_cnt[2794][2]~65998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2794][2]~65998_combout\ = (\led_flash_cnt[2794][2]~q\ & (!\led_flash_cnt[2794][1]~65997\)) # (!\led_flash_cnt[2794][2]~q\ & ((\led_flash_cnt[2794][1]~65997\) # (GND)))
-- \led_flash_cnt[2794][2]~65999\ = CARRY((!\led_flash_cnt[2794][1]~65997\) # (!\led_flash_cnt[2794][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2794][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2794][1]~65997\,
	combout => \led_flash_cnt[2794][2]~65998_combout\,
	cout => \led_flash_cnt[2794][2]~65999\);

-- Location: FF_X26_Y34_N17
\led_flash_cnt[2794][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2794][2]~65998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2794][2]~q\);

-- Location: LCCOMB_X26_Y34_N18
\led_flash_cnt[2794][3]~66000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2794][3]~66000_combout\ = (\led_flash_cnt[2794][3]~q\ & (\led_flash_cnt[2794][2]~65999\ $ (GND))) # (!\led_flash_cnt[2794][3]~q\ & (!\led_flash_cnt[2794][2]~65999\ & VCC))
-- \led_flash_cnt[2794][3]~66001\ = CARRY((\led_flash_cnt[2794][3]~q\ & !\led_flash_cnt[2794][2]~65999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2794][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2794][2]~65999\,
	combout => \led_flash_cnt[2794][3]~66000_combout\,
	cout => \led_flash_cnt[2794][3]~66001\);

-- Location: FF_X26_Y34_N19
\led_flash_cnt[2794][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2794][3]~66000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2794][3]~q\);

-- Location: LCCOMB_X26_Y34_N20
\led_flash_cnt[2794][4]~66002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2794][4]~66002_combout\ = (\led_flash_cnt[2794][4]~q\ & (!\led_flash_cnt[2794][3]~66001\)) # (!\led_flash_cnt[2794][4]~q\ & ((\led_flash_cnt[2794][3]~66001\) # (GND)))
-- \led_flash_cnt[2794][4]~66003\ = CARRY((!\led_flash_cnt[2794][3]~66001\) # (!\led_flash_cnt[2794][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2794][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2794][3]~66001\,
	combout => \led_flash_cnt[2794][4]~66002_combout\,
	cout => \led_flash_cnt[2794][4]~66003\);

-- Location: FF_X26_Y34_N21
\led_flash_cnt[2794][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2794][4]~66002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2794][4]~q\);

-- Location: LCCOMB_X26_Y34_N22
\led_flash_cnt[2794][5]~66004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2794][5]~66004_combout\ = (\led_flash_cnt[2794][5]~q\ & (\led_flash_cnt[2794][4]~66003\ $ (GND))) # (!\led_flash_cnt[2794][5]~q\ & (!\led_flash_cnt[2794][4]~66003\ & VCC))
-- \led_flash_cnt[2794][5]~66005\ = CARRY((\led_flash_cnt[2794][5]~q\ & !\led_flash_cnt[2794][4]~66003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2794][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2794][4]~66003\,
	combout => \led_flash_cnt[2794][5]~66004_combout\,
	cout => \led_flash_cnt[2794][5]~66005\);

-- Location: FF_X26_Y34_N23
\led_flash_cnt[2794][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2794][5]~66004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2794][5]~q\);

-- Location: LCCOMB_X26_Y34_N24
\led_flash_cnt[2794][6]~66006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2794][6]~66006_combout\ = (\led_flash_cnt[2794][6]~q\ & (!\led_flash_cnt[2794][5]~66005\)) # (!\led_flash_cnt[2794][6]~q\ & ((\led_flash_cnt[2794][5]~66005\) # (GND)))
-- \led_flash_cnt[2794][6]~66007\ = CARRY((!\led_flash_cnt[2794][5]~66005\) # (!\led_flash_cnt[2794][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2794][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2794][5]~66005\,
	combout => \led_flash_cnt[2794][6]~66006_combout\,
	cout => \led_flash_cnt[2794][6]~66007\);

-- Location: FF_X26_Y34_N25
\led_flash_cnt[2794][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2794][6]~66006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2794][6]~q\);

-- Location: LCCOMB_X27_Y34_N22
\WideAnd2794~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2794~1_combout\ = (\led_flash_cnt[2794][6]~q\ & \led_flash_cnt[2794][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2794][6]~q\,
	datad => \led_flash_cnt[2794][5]~q\,
	combout => \WideAnd2794~1_combout\);

-- Location: LCCOMB_X26_Y34_N26
\led_flash_cnt[2794][7]~66008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2794][7]~66008_combout\ = \led_flash_cnt[2794][7]~q\ $ (!\led_flash_cnt[2794][6]~66007\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2794][7]~q\,
	cin => \led_flash_cnt[2794][6]~66007\,
	combout => \led_flash_cnt[2794][7]~66008_combout\);

-- Location: FF_X26_Y34_N27
\led_flash_cnt[2794][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2794][7]~66008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2794][7]~q\);

-- Location: LCCOMB_X27_Y34_N24
\WideAnd2794~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2794~0_combout\ = (\led_flash_cnt[2794][1]~q\ & (\led_flash_cnt[2794][3]~q\ & (\led_flash_cnt[2794][2]~q\ & \led_flash_cnt[2794][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2794][1]~q\,
	datab => \led_flash_cnt[2794][3]~q\,
	datac => \led_flash_cnt[2794][2]~q\,
	datad => \led_flash_cnt[2794][4]~q\,
	combout => \WideAnd2794~0_combout\);

-- Location: LCCOMB_X26_Y34_N30
WideAnd2794 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2794~combout\ = (\led_flash_cnt[2794][0]~q\ & (\WideAnd2794~1_combout\ & (\led_flash_cnt[2794][7]~q\ & \WideAnd2794~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2794][0]~q\,
	datab => \WideAnd2794~1_combout\,
	datac => \led_flash_cnt[2794][7]~q\,
	datad => \WideAnd2794~0_combout\,
	combout => \WideAnd2794~combout\);

-- Location: FF_X26_Y34_N31
\led_flash_cnt_ands[2794]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2794~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2794));

-- Location: LCCOMB_X26_Y32_N6
\led_flash_cnt[2795][0]~83435\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2795][0]~83435_combout\ = !\led_flash_cnt[2795][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2795][0]~q\,
	combout => \led_flash_cnt[2795][0]~83435_combout\);

-- Location: FF_X26_Y32_N7
\led_flash_cnt[2795][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2795][0]~83435_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2795][0]~q\);

-- Location: LCCOMB_X27_Y32_N2
\led_flash_cnt[2795][1]~66010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2795][1]~66010_combout\ = (\led_flash_cnt[2795][1]~q\ & (\led_flash_cnt[2795][0]~q\ $ (VCC))) # (!\led_flash_cnt[2795][1]~q\ & (\led_flash_cnt[2795][0]~q\ & VCC))
-- \led_flash_cnt[2795][1]~66011\ = CARRY((\led_flash_cnt[2795][1]~q\ & \led_flash_cnt[2795][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2795][1]~q\,
	datab => \led_flash_cnt[2795][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2795][1]~66010_combout\,
	cout => \led_flash_cnt[2795][1]~66011\);

-- Location: FF_X27_Y32_N3
\led_flash_cnt[2795][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2795][1]~66010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2795][1]~q\);

-- Location: LCCOMB_X27_Y32_N4
\led_flash_cnt[2795][2]~66012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2795][2]~66012_combout\ = (\led_flash_cnt[2795][2]~q\ & (!\led_flash_cnt[2795][1]~66011\)) # (!\led_flash_cnt[2795][2]~q\ & ((\led_flash_cnt[2795][1]~66011\) # (GND)))
-- \led_flash_cnt[2795][2]~66013\ = CARRY((!\led_flash_cnt[2795][1]~66011\) # (!\led_flash_cnt[2795][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2795][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2795][1]~66011\,
	combout => \led_flash_cnt[2795][2]~66012_combout\,
	cout => \led_flash_cnt[2795][2]~66013\);

-- Location: FF_X27_Y32_N5
\led_flash_cnt[2795][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2795][2]~66012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2795][2]~q\);

-- Location: LCCOMB_X27_Y32_N6
\led_flash_cnt[2795][3]~66014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2795][3]~66014_combout\ = (\led_flash_cnt[2795][3]~q\ & (\led_flash_cnt[2795][2]~66013\ $ (GND))) # (!\led_flash_cnt[2795][3]~q\ & (!\led_flash_cnt[2795][2]~66013\ & VCC))
-- \led_flash_cnt[2795][3]~66015\ = CARRY((\led_flash_cnt[2795][3]~q\ & !\led_flash_cnt[2795][2]~66013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2795][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2795][2]~66013\,
	combout => \led_flash_cnt[2795][3]~66014_combout\,
	cout => \led_flash_cnt[2795][3]~66015\);

-- Location: FF_X27_Y32_N7
\led_flash_cnt[2795][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2795][3]~66014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2795][3]~q\);

-- Location: LCCOMB_X27_Y32_N8
\led_flash_cnt[2795][4]~66016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2795][4]~66016_combout\ = (\led_flash_cnt[2795][4]~q\ & (!\led_flash_cnt[2795][3]~66015\)) # (!\led_flash_cnt[2795][4]~q\ & ((\led_flash_cnt[2795][3]~66015\) # (GND)))
-- \led_flash_cnt[2795][4]~66017\ = CARRY((!\led_flash_cnt[2795][3]~66015\) # (!\led_flash_cnt[2795][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2795][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2795][3]~66015\,
	combout => \led_flash_cnt[2795][4]~66016_combout\,
	cout => \led_flash_cnt[2795][4]~66017\);

-- Location: FF_X27_Y32_N9
\led_flash_cnt[2795][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2795][4]~66016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2795][4]~q\);

-- Location: LCCOMB_X27_Y32_N10
\led_flash_cnt[2795][5]~66018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2795][5]~66018_combout\ = (\led_flash_cnt[2795][5]~q\ & (\led_flash_cnt[2795][4]~66017\ $ (GND))) # (!\led_flash_cnt[2795][5]~q\ & (!\led_flash_cnt[2795][4]~66017\ & VCC))
-- \led_flash_cnt[2795][5]~66019\ = CARRY((\led_flash_cnt[2795][5]~q\ & !\led_flash_cnt[2795][4]~66017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2795][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2795][4]~66017\,
	combout => \led_flash_cnt[2795][5]~66018_combout\,
	cout => \led_flash_cnt[2795][5]~66019\);

-- Location: FF_X27_Y32_N11
\led_flash_cnt[2795][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2795][5]~66018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2795][5]~q\);

-- Location: LCCOMB_X27_Y32_N12
\led_flash_cnt[2795][6]~66020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2795][6]~66020_combout\ = (\led_flash_cnt[2795][6]~q\ & (!\led_flash_cnt[2795][5]~66019\)) # (!\led_flash_cnt[2795][6]~q\ & ((\led_flash_cnt[2795][5]~66019\) # (GND)))
-- \led_flash_cnt[2795][6]~66021\ = CARRY((!\led_flash_cnt[2795][5]~66019\) # (!\led_flash_cnt[2795][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2795][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2795][5]~66019\,
	combout => \led_flash_cnt[2795][6]~66020_combout\,
	cout => \led_flash_cnt[2795][6]~66021\);

-- Location: FF_X27_Y32_N13
\led_flash_cnt[2795][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2795][6]~66020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2795][6]~q\);

-- Location: LCCOMB_X26_Y32_N10
\WideAnd2795~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2795~1_combout\ = (\led_flash_cnt[2795][6]~q\ & \led_flash_cnt[2795][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2795][6]~q\,
	datad => \led_flash_cnt[2795][5]~q\,
	combout => \WideAnd2795~1_combout\);

-- Location: LCCOMB_X26_Y32_N4
\WideAnd2795~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2795~0_combout\ = (\led_flash_cnt[2795][2]~q\ & (\led_flash_cnt[2795][3]~q\ & (\led_flash_cnt[2795][4]~q\ & \led_flash_cnt[2795][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2795][2]~q\,
	datab => \led_flash_cnt[2795][3]~q\,
	datac => \led_flash_cnt[2795][4]~q\,
	datad => \led_flash_cnt[2795][1]~q\,
	combout => \WideAnd2795~0_combout\);

-- Location: LCCOMB_X27_Y32_N14
\led_flash_cnt[2795][7]~66022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2795][7]~66022_combout\ = \led_flash_cnt[2795][7]~q\ $ (!\led_flash_cnt[2795][6]~66021\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2795][7]~q\,
	cin => \led_flash_cnt[2795][6]~66021\,
	combout => \led_flash_cnt[2795][7]~66022_combout\);

-- Location: FF_X27_Y32_N15
\led_flash_cnt[2795][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2795][7]~66022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2795][7]~q\);

-- Location: LCCOMB_X26_Y32_N18
WideAnd2795 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2795~combout\ = (\WideAnd2795~1_combout\ & (\WideAnd2795~0_combout\ & (\led_flash_cnt[2795][7]~q\ & \led_flash_cnt[2795][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2795~1_combout\,
	datab => \WideAnd2795~0_combout\,
	datac => \led_flash_cnt[2795][7]~q\,
	datad => \led_flash_cnt[2795][0]~q\,
	combout => \WideAnd2795~combout\);

-- Location: FF_X26_Y32_N19
\led_flash_cnt_ands[2795]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2795~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2795));

-- Location: LCCOMB_X31_Y31_N22
\led_flash_cnt[2793][0]~83433\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2793][0]~83433_combout\ = !\led_flash_cnt[2793][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2793][0]~q\,
	combout => \led_flash_cnt[2793][0]~83433_combout\);

-- Location: FF_X31_Y31_N23
\led_flash_cnt[2793][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2793][0]~83433_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2793][0]~q\);

-- Location: LCCOMB_X29_Y31_N18
\led_flash_cnt[2793][1]~65982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2793][1]~65982_combout\ = (\led_flash_cnt[2793][0]~q\ & (\led_flash_cnt[2793][1]~q\ $ (VCC))) # (!\led_flash_cnt[2793][0]~q\ & (\led_flash_cnt[2793][1]~q\ & VCC))
-- \led_flash_cnt[2793][1]~65983\ = CARRY((\led_flash_cnt[2793][0]~q\ & \led_flash_cnt[2793][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2793][0]~q\,
	datab => \led_flash_cnt[2793][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2793][1]~65982_combout\,
	cout => \led_flash_cnt[2793][1]~65983\);

-- Location: FF_X29_Y31_N19
\led_flash_cnt[2793][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2793][1]~65982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2793][1]~q\);

-- Location: LCCOMB_X29_Y31_N20
\led_flash_cnt[2793][2]~65984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2793][2]~65984_combout\ = (\led_flash_cnt[2793][2]~q\ & (!\led_flash_cnt[2793][1]~65983\)) # (!\led_flash_cnt[2793][2]~q\ & ((\led_flash_cnt[2793][1]~65983\) # (GND)))
-- \led_flash_cnt[2793][2]~65985\ = CARRY((!\led_flash_cnt[2793][1]~65983\) # (!\led_flash_cnt[2793][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2793][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2793][1]~65983\,
	combout => \led_flash_cnt[2793][2]~65984_combout\,
	cout => \led_flash_cnt[2793][2]~65985\);

-- Location: FF_X29_Y31_N21
\led_flash_cnt[2793][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2793][2]~65984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2793][2]~q\);

-- Location: LCCOMB_X29_Y31_N22
\led_flash_cnt[2793][3]~65986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2793][3]~65986_combout\ = (\led_flash_cnt[2793][3]~q\ & (\led_flash_cnt[2793][2]~65985\ $ (GND))) # (!\led_flash_cnt[2793][3]~q\ & (!\led_flash_cnt[2793][2]~65985\ & VCC))
-- \led_flash_cnt[2793][3]~65987\ = CARRY((\led_flash_cnt[2793][3]~q\ & !\led_flash_cnt[2793][2]~65985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2793][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2793][2]~65985\,
	combout => \led_flash_cnt[2793][3]~65986_combout\,
	cout => \led_flash_cnt[2793][3]~65987\);

-- Location: FF_X29_Y31_N23
\led_flash_cnt[2793][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2793][3]~65986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2793][3]~q\);

-- Location: LCCOMB_X29_Y31_N24
\led_flash_cnt[2793][4]~65988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2793][4]~65988_combout\ = (\led_flash_cnt[2793][4]~q\ & (!\led_flash_cnt[2793][3]~65987\)) # (!\led_flash_cnt[2793][4]~q\ & ((\led_flash_cnt[2793][3]~65987\) # (GND)))
-- \led_flash_cnt[2793][4]~65989\ = CARRY((!\led_flash_cnt[2793][3]~65987\) # (!\led_flash_cnt[2793][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2793][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2793][3]~65987\,
	combout => \led_flash_cnt[2793][4]~65988_combout\,
	cout => \led_flash_cnt[2793][4]~65989\);

-- Location: FF_X29_Y31_N25
\led_flash_cnt[2793][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2793][4]~65988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2793][4]~q\);

-- Location: LCCOMB_X29_Y31_N26
\led_flash_cnt[2793][5]~65990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2793][5]~65990_combout\ = (\led_flash_cnt[2793][5]~q\ & (\led_flash_cnt[2793][4]~65989\ $ (GND))) # (!\led_flash_cnt[2793][5]~q\ & (!\led_flash_cnt[2793][4]~65989\ & VCC))
-- \led_flash_cnt[2793][5]~65991\ = CARRY((\led_flash_cnt[2793][5]~q\ & !\led_flash_cnt[2793][4]~65989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2793][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2793][4]~65989\,
	combout => \led_flash_cnt[2793][5]~65990_combout\,
	cout => \led_flash_cnt[2793][5]~65991\);

-- Location: FF_X29_Y31_N27
\led_flash_cnt[2793][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2793][5]~65990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2793][5]~q\);

-- Location: LCCOMB_X29_Y31_N28
\led_flash_cnt[2793][6]~65992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2793][6]~65992_combout\ = (\led_flash_cnt[2793][6]~q\ & (!\led_flash_cnt[2793][5]~65991\)) # (!\led_flash_cnt[2793][6]~q\ & ((\led_flash_cnt[2793][5]~65991\) # (GND)))
-- \led_flash_cnt[2793][6]~65993\ = CARRY((!\led_flash_cnt[2793][5]~65991\) # (!\led_flash_cnt[2793][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2793][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2793][5]~65991\,
	combout => \led_flash_cnt[2793][6]~65992_combout\,
	cout => \led_flash_cnt[2793][6]~65993\);

-- Location: FF_X29_Y31_N29
\led_flash_cnt[2793][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2793][6]~65992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2793][6]~q\);

-- Location: LCCOMB_X30_Y31_N26
\WideAnd2793~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2793~1_combout\ = (\led_flash_cnt[2793][5]~q\ & \led_flash_cnt[2793][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2793][5]~q\,
	datad => \led_flash_cnt[2793][6]~q\,
	combout => \WideAnd2793~1_combout\);

-- Location: LCCOMB_X29_Y31_N16
\WideAnd2793~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2793~0_combout\ = (\led_flash_cnt[2793][2]~q\ & (\led_flash_cnt[2793][1]~q\ & (\led_flash_cnt[2793][3]~q\ & \led_flash_cnt[2793][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2793][2]~q\,
	datab => \led_flash_cnt[2793][1]~q\,
	datac => \led_flash_cnt[2793][3]~q\,
	datad => \led_flash_cnt[2793][4]~q\,
	combout => \WideAnd2793~0_combout\);

-- Location: LCCOMB_X29_Y31_N30
\led_flash_cnt[2793][7]~65994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2793][7]~65994_combout\ = \led_flash_cnt[2793][7]~q\ $ (!\led_flash_cnt[2793][6]~65993\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2793][7]~q\,
	cin => \led_flash_cnt[2793][6]~65993\,
	combout => \led_flash_cnt[2793][7]~65994_combout\);

-- Location: FF_X29_Y31_N31
\led_flash_cnt[2793][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2793][7]~65994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2793][7]~q\);

-- Location: LCCOMB_X30_Y31_N0
WideAnd2793 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2793~combout\ = (\WideAnd2793~1_combout\ & (\led_flash_cnt[2793][0]~q\ & (\WideAnd2793~0_combout\ & \led_flash_cnt[2793][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2793~1_combout\,
	datab => \led_flash_cnt[2793][0]~q\,
	datac => \WideAnd2793~0_combout\,
	datad => \led_flash_cnt[2793][7]~q\,
	combout => \WideAnd2793~combout\);

-- Location: FF_X30_Y31_N1
\led_flash_cnt_ands[2793]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2793~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2793));

-- Location: LCCOMB_X44_Y51_N30
\led_flash_cnt[2792][0]~83432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2792][0]~83432_combout\ = !\led_flash_cnt[2792][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2792][0]~q\,
	combout => \led_flash_cnt[2792][0]~83432_combout\);

-- Location: FF_X44_Y51_N31
\led_flash_cnt[2792][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2792][0]~83432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2792][0]~q\);

-- Location: LCCOMB_X44_Y51_N8
\led_flash_cnt[2792][1]~65968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2792][1]~65968_combout\ = (\led_flash_cnt[2792][0]~q\ & (\led_flash_cnt[2792][1]~q\ $ (VCC))) # (!\led_flash_cnt[2792][0]~q\ & (\led_flash_cnt[2792][1]~q\ & VCC))
-- \led_flash_cnt[2792][1]~65969\ = CARRY((\led_flash_cnt[2792][0]~q\ & \led_flash_cnt[2792][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2792][0]~q\,
	datab => \led_flash_cnt[2792][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2792][1]~65968_combout\,
	cout => \led_flash_cnt[2792][1]~65969\);

-- Location: FF_X44_Y51_N9
\led_flash_cnt[2792][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2792][1]~65968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2792][1]~q\);

-- Location: LCCOMB_X44_Y51_N10
\led_flash_cnt[2792][2]~65970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2792][2]~65970_combout\ = (\led_flash_cnt[2792][2]~q\ & (!\led_flash_cnt[2792][1]~65969\)) # (!\led_flash_cnt[2792][2]~q\ & ((\led_flash_cnt[2792][1]~65969\) # (GND)))
-- \led_flash_cnt[2792][2]~65971\ = CARRY((!\led_flash_cnt[2792][1]~65969\) # (!\led_flash_cnt[2792][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2792][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2792][1]~65969\,
	combout => \led_flash_cnt[2792][2]~65970_combout\,
	cout => \led_flash_cnt[2792][2]~65971\);

-- Location: FF_X44_Y51_N11
\led_flash_cnt[2792][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2792][2]~65970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2792][2]~q\);

-- Location: LCCOMB_X44_Y51_N12
\led_flash_cnt[2792][3]~65972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2792][3]~65972_combout\ = (\led_flash_cnt[2792][3]~q\ & (\led_flash_cnt[2792][2]~65971\ $ (GND))) # (!\led_flash_cnt[2792][3]~q\ & (!\led_flash_cnt[2792][2]~65971\ & VCC))
-- \led_flash_cnt[2792][3]~65973\ = CARRY((\led_flash_cnt[2792][3]~q\ & !\led_flash_cnt[2792][2]~65971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2792][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2792][2]~65971\,
	combout => \led_flash_cnt[2792][3]~65972_combout\,
	cout => \led_flash_cnt[2792][3]~65973\);

-- Location: FF_X44_Y51_N13
\led_flash_cnt[2792][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2792][3]~65972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2792][3]~q\);

-- Location: LCCOMB_X44_Y51_N14
\led_flash_cnt[2792][4]~65974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2792][4]~65974_combout\ = (\led_flash_cnt[2792][4]~q\ & (!\led_flash_cnt[2792][3]~65973\)) # (!\led_flash_cnt[2792][4]~q\ & ((\led_flash_cnt[2792][3]~65973\) # (GND)))
-- \led_flash_cnt[2792][4]~65975\ = CARRY((!\led_flash_cnt[2792][3]~65973\) # (!\led_flash_cnt[2792][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2792][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2792][3]~65973\,
	combout => \led_flash_cnt[2792][4]~65974_combout\,
	cout => \led_flash_cnt[2792][4]~65975\);

-- Location: FF_X44_Y51_N15
\led_flash_cnt[2792][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2792][4]~65974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2792][4]~q\);

-- Location: LCCOMB_X44_Y51_N26
\WideAnd2792~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2792~0_combout\ = (\led_flash_cnt[2792][2]~q\ & (\led_flash_cnt[2792][4]~q\ & (\led_flash_cnt[2792][1]~q\ & \led_flash_cnt[2792][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2792][2]~q\,
	datab => \led_flash_cnt[2792][4]~q\,
	datac => \led_flash_cnt[2792][1]~q\,
	datad => \led_flash_cnt[2792][3]~q\,
	combout => \WideAnd2792~0_combout\);

-- Location: LCCOMB_X44_Y51_N16
\led_flash_cnt[2792][5]~65976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2792][5]~65976_combout\ = (\led_flash_cnt[2792][5]~q\ & (\led_flash_cnt[2792][4]~65975\ $ (GND))) # (!\led_flash_cnt[2792][5]~q\ & (!\led_flash_cnt[2792][4]~65975\ & VCC))
-- \led_flash_cnt[2792][5]~65977\ = CARRY((\led_flash_cnt[2792][5]~q\ & !\led_flash_cnt[2792][4]~65975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2792][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2792][4]~65975\,
	combout => \led_flash_cnt[2792][5]~65976_combout\,
	cout => \led_flash_cnt[2792][5]~65977\);

-- Location: FF_X44_Y51_N17
\led_flash_cnt[2792][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2792][5]~65976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2792][5]~q\);

-- Location: LCCOMB_X44_Y51_N18
\led_flash_cnt[2792][6]~65978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2792][6]~65978_combout\ = (\led_flash_cnt[2792][6]~q\ & (!\led_flash_cnt[2792][5]~65977\)) # (!\led_flash_cnt[2792][6]~q\ & ((\led_flash_cnt[2792][5]~65977\) # (GND)))
-- \led_flash_cnt[2792][6]~65979\ = CARRY((!\led_flash_cnt[2792][5]~65977\) # (!\led_flash_cnt[2792][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2792][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2792][5]~65977\,
	combout => \led_flash_cnt[2792][6]~65978_combout\,
	cout => \led_flash_cnt[2792][6]~65979\);

-- Location: FF_X44_Y51_N19
\led_flash_cnt[2792][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2792][6]~65978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2792][6]~q\);

-- Location: LCCOMB_X44_Y51_N24
\WideAnd2792~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2792~1_combout\ = (\led_flash_cnt[2792][5]~q\ & \led_flash_cnt[2792][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2792][5]~q\,
	datad => \led_flash_cnt[2792][6]~q\,
	combout => \WideAnd2792~1_combout\);

-- Location: LCCOMB_X44_Y51_N20
\led_flash_cnt[2792][7]~65980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2792][7]~65980_combout\ = \led_flash_cnt[2792][6]~65979\ $ (!\led_flash_cnt[2792][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2792][7]~q\,
	cin => \led_flash_cnt[2792][6]~65979\,
	combout => \led_flash_cnt[2792][7]~65980_combout\);

-- Location: FF_X44_Y51_N21
\led_flash_cnt[2792][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2792][7]~65980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2792][7]~q\);

-- Location: LCCOMB_X44_Y51_N22
WideAnd2792 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2792~combout\ = (\WideAnd2792~0_combout\ & (\WideAnd2792~1_combout\ & (\led_flash_cnt[2792][0]~q\ & \led_flash_cnt[2792][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2792~0_combout\,
	datab => \WideAnd2792~1_combout\,
	datac => \led_flash_cnt[2792][0]~q\,
	datad => \led_flash_cnt[2792][7]~q\,
	combout => \WideAnd2792~combout\);

-- Location: FF_X44_Y51_N23
\led_flash_cnt_ands[2792]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2792~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2792));

-- Location: LCCOMB_X26_Y32_N24
\WideAnd4189~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4189~0_combout\ = (led_flash_cnt_ands(2794) & (led_flash_cnt_ands(2795) & (led_flash_cnt_ands(2793) & led_flash_cnt_ands(2792))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2794),
	datab => led_flash_cnt_ands(2795),
	datac => led_flash_cnt_ands(2793),
	datad => led_flash_cnt_ands(2792),
	combout => \WideAnd4189~0_combout\);

-- Location: LCCOMB_X26_Y32_N22
WideAnd4189 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4189~combout\ = (led_flash_cnt_ands(2798) & (\WideAnd4189~1_combout\ & (led_flash_cnt_ands(2799) & \WideAnd4189~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2798),
	datab => \WideAnd4189~1_combout\,
	datac => led_flash_cnt_ands(2799),
	datad => \WideAnd4189~0_combout\,
	combout => \WideAnd4189~combout\);

-- Location: FF_X26_Y32_N23
\led_flash_cnt_ands_1[349]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4189~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(349));

-- Location: LCCOMB_X26_Y25_N2
\led_flash_cnt[2790][0]~83430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2790][0]~83430_combout\ = !\led_flash_cnt[2790][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2790][0]~q\,
	combout => \led_flash_cnt[2790][0]~83430_combout\);

-- Location: FF_X26_Y25_N3
\led_flash_cnt[2790][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2790][0]~83430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2790][0]~q\);

-- Location: LCCOMB_X25_Y25_N4
\led_flash_cnt[2790][1]~65940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2790][1]~65940_combout\ = (\led_flash_cnt[2790][0]~q\ & (\led_flash_cnt[2790][1]~q\ $ (VCC))) # (!\led_flash_cnt[2790][0]~q\ & (\led_flash_cnt[2790][1]~q\ & VCC))
-- \led_flash_cnt[2790][1]~65941\ = CARRY((\led_flash_cnt[2790][0]~q\ & \led_flash_cnt[2790][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2790][0]~q\,
	datab => \led_flash_cnt[2790][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2790][1]~65940_combout\,
	cout => \led_flash_cnt[2790][1]~65941\);

-- Location: FF_X25_Y25_N5
\led_flash_cnt[2790][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2790][1]~65940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2790][1]~q\);

-- Location: LCCOMB_X25_Y25_N6
\led_flash_cnt[2790][2]~65942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2790][2]~65942_combout\ = (\led_flash_cnt[2790][2]~q\ & (!\led_flash_cnt[2790][1]~65941\)) # (!\led_flash_cnt[2790][2]~q\ & ((\led_flash_cnt[2790][1]~65941\) # (GND)))
-- \led_flash_cnt[2790][2]~65943\ = CARRY((!\led_flash_cnt[2790][1]~65941\) # (!\led_flash_cnt[2790][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2790][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2790][1]~65941\,
	combout => \led_flash_cnt[2790][2]~65942_combout\,
	cout => \led_flash_cnt[2790][2]~65943\);

-- Location: FF_X25_Y25_N7
\led_flash_cnt[2790][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2790][2]~65942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2790][2]~q\);

-- Location: LCCOMB_X25_Y25_N8
\led_flash_cnt[2790][3]~65944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2790][3]~65944_combout\ = (\led_flash_cnt[2790][3]~q\ & (\led_flash_cnt[2790][2]~65943\ $ (GND))) # (!\led_flash_cnt[2790][3]~q\ & (!\led_flash_cnt[2790][2]~65943\ & VCC))
-- \led_flash_cnt[2790][3]~65945\ = CARRY((\led_flash_cnt[2790][3]~q\ & !\led_flash_cnt[2790][2]~65943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2790][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2790][2]~65943\,
	combout => \led_flash_cnt[2790][3]~65944_combout\,
	cout => \led_flash_cnt[2790][3]~65945\);

-- Location: FF_X25_Y25_N9
\led_flash_cnt[2790][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2790][3]~65944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2790][3]~q\);

-- Location: LCCOMB_X25_Y25_N10
\led_flash_cnt[2790][4]~65946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2790][4]~65946_combout\ = (\led_flash_cnt[2790][4]~q\ & (!\led_flash_cnt[2790][3]~65945\)) # (!\led_flash_cnt[2790][4]~q\ & ((\led_flash_cnt[2790][3]~65945\) # (GND)))
-- \led_flash_cnt[2790][4]~65947\ = CARRY((!\led_flash_cnt[2790][3]~65945\) # (!\led_flash_cnt[2790][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2790][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2790][3]~65945\,
	combout => \led_flash_cnt[2790][4]~65946_combout\,
	cout => \led_flash_cnt[2790][4]~65947\);

-- Location: FF_X25_Y25_N11
\led_flash_cnt[2790][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2790][4]~65946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2790][4]~q\);

-- Location: LCCOMB_X25_Y25_N2
\WideAnd2790~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2790~0_combout\ = (\led_flash_cnt[2790][2]~q\ & (\led_flash_cnt[2790][3]~q\ & (\led_flash_cnt[2790][1]~q\ & \led_flash_cnt[2790][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2790][2]~q\,
	datab => \led_flash_cnt[2790][3]~q\,
	datac => \led_flash_cnt[2790][1]~q\,
	datad => \led_flash_cnt[2790][4]~q\,
	combout => \WideAnd2790~0_combout\);

-- Location: LCCOMB_X25_Y25_N12
\led_flash_cnt[2790][5]~65948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2790][5]~65948_combout\ = (\led_flash_cnt[2790][5]~q\ & (\led_flash_cnt[2790][4]~65947\ $ (GND))) # (!\led_flash_cnt[2790][5]~q\ & (!\led_flash_cnt[2790][4]~65947\ & VCC))
-- \led_flash_cnt[2790][5]~65949\ = CARRY((\led_flash_cnt[2790][5]~q\ & !\led_flash_cnt[2790][4]~65947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2790][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2790][4]~65947\,
	combout => \led_flash_cnt[2790][5]~65948_combout\,
	cout => \led_flash_cnt[2790][5]~65949\);

-- Location: FF_X25_Y25_N13
\led_flash_cnt[2790][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2790][5]~65948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2790][5]~q\);

-- Location: LCCOMB_X25_Y25_N14
\led_flash_cnt[2790][6]~65950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2790][6]~65950_combout\ = (\led_flash_cnt[2790][6]~q\ & (!\led_flash_cnt[2790][5]~65949\)) # (!\led_flash_cnt[2790][6]~q\ & ((\led_flash_cnt[2790][5]~65949\) # (GND)))
-- \led_flash_cnt[2790][6]~65951\ = CARRY((!\led_flash_cnt[2790][5]~65949\) # (!\led_flash_cnt[2790][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2790][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2790][5]~65949\,
	combout => \led_flash_cnt[2790][6]~65950_combout\,
	cout => \led_flash_cnt[2790][6]~65951\);

-- Location: FF_X25_Y25_N15
\led_flash_cnt[2790][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2790][6]~65950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2790][6]~q\);

-- Location: LCCOMB_X25_Y25_N16
\led_flash_cnt[2790][7]~65952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2790][7]~65952_combout\ = \led_flash_cnt[2790][6]~65951\ $ (!\led_flash_cnt[2790][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2790][7]~q\,
	cin => \led_flash_cnt[2790][6]~65951\,
	combout => \led_flash_cnt[2790][7]~65952_combout\);

-- Location: FF_X25_Y25_N17
\led_flash_cnt[2790][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2790][7]~65952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2790][7]~q\);

-- Location: LCCOMB_X26_Y25_N16
\WideAnd2790~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2790~1_combout\ = (\led_flash_cnt[2790][5]~q\ & \led_flash_cnt[2790][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2790][5]~q\,
	datad => \led_flash_cnt[2790][6]~q\,
	combout => \WideAnd2790~1_combout\);

-- Location: LCCOMB_X26_Y25_N6
WideAnd2790 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2790~combout\ = (\WideAnd2790~0_combout\ & (\led_flash_cnt[2790][0]~q\ & (\led_flash_cnt[2790][7]~q\ & \WideAnd2790~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2790~0_combout\,
	datab => \led_flash_cnt[2790][0]~q\,
	datac => \led_flash_cnt[2790][7]~q\,
	datad => \WideAnd2790~1_combout\,
	combout => \WideAnd2790~combout\);

-- Location: FF_X26_Y25_N7
\led_flash_cnt_ands[2790]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2790~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2790));

-- Location: LCCOMB_X26_Y25_N12
\led_flash_cnt[2786][0]~83426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2786][0]~83426_combout\ = !\led_flash_cnt[2786][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2786][0]~q\,
	combout => \led_flash_cnt[2786][0]~83426_combout\);

-- Location: FF_X26_Y25_N13
\led_flash_cnt[2786][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2786][0]~83426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2786][0]~q\);

-- Location: LCCOMB_X26_Y25_N18
\led_flash_cnt[2786][1]~65884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2786][1]~65884_combout\ = (\led_flash_cnt[2786][0]~q\ & (\led_flash_cnt[2786][1]~q\ $ (VCC))) # (!\led_flash_cnt[2786][0]~q\ & (\led_flash_cnt[2786][1]~q\ & VCC))
-- \led_flash_cnt[2786][1]~65885\ = CARRY((\led_flash_cnt[2786][0]~q\ & \led_flash_cnt[2786][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2786][0]~q\,
	datab => \led_flash_cnt[2786][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2786][1]~65884_combout\,
	cout => \led_flash_cnt[2786][1]~65885\);

-- Location: FF_X26_Y25_N19
\led_flash_cnt[2786][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2786][1]~65884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2786][1]~q\);

-- Location: LCCOMB_X26_Y25_N20
\led_flash_cnt[2786][2]~65886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2786][2]~65886_combout\ = (\led_flash_cnt[2786][2]~q\ & (!\led_flash_cnt[2786][1]~65885\)) # (!\led_flash_cnt[2786][2]~q\ & ((\led_flash_cnt[2786][1]~65885\) # (GND)))
-- \led_flash_cnt[2786][2]~65887\ = CARRY((!\led_flash_cnt[2786][1]~65885\) # (!\led_flash_cnt[2786][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2786][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2786][1]~65885\,
	combout => \led_flash_cnt[2786][2]~65886_combout\,
	cout => \led_flash_cnt[2786][2]~65887\);

-- Location: FF_X26_Y25_N21
\led_flash_cnt[2786][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2786][2]~65886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2786][2]~q\);

-- Location: LCCOMB_X26_Y25_N22
\led_flash_cnt[2786][3]~65888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2786][3]~65888_combout\ = (\led_flash_cnt[2786][3]~q\ & (\led_flash_cnt[2786][2]~65887\ $ (GND))) # (!\led_flash_cnt[2786][3]~q\ & (!\led_flash_cnt[2786][2]~65887\ & VCC))
-- \led_flash_cnt[2786][3]~65889\ = CARRY((\led_flash_cnt[2786][3]~q\ & !\led_flash_cnt[2786][2]~65887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2786][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2786][2]~65887\,
	combout => \led_flash_cnt[2786][3]~65888_combout\,
	cout => \led_flash_cnt[2786][3]~65889\);

-- Location: FF_X26_Y25_N23
\led_flash_cnt[2786][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2786][3]~65888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2786][3]~q\);

-- Location: LCCOMB_X26_Y25_N24
\led_flash_cnt[2786][4]~65890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2786][4]~65890_combout\ = (\led_flash_cnt[2786][4]~q\ & (!\led_flash_cnt[2786][3]~65889\)) # (!\led_flash_cnt[2786][4]~q\ & ((\led_flash_cnt[2786][3]~65889\) # (GND)))
-- \led_flash_cnt[2786][4]~65891\ = CARRY((!\led_flash_cnt[2786][3]~65889\) # (!\led_flash_cnt[2786][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2786][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2786][3]~65889\,
	combout => \led_flash_cnt[2786][4]~65890_combout\,
	cout => \led_flash_cnt[2786][4]~65891\);

-- Location: FF_X26_Y25_N25
\led_flash_cnt[2786][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2786][4]~65890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2786][4]~q\);

-- Location: LCCOMB_X26_Y25_N26
\led_flash_cnt[2786][5]~65892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2786][5]~65892_combout\ = (\led_flash_cnt[2786][5]~q\ & (\led_flash_cnt[2786][4]~65891\ $ (GND))) # (!\led_flash_cnt[2786][5]~q\ & (!\led_flash_cnt[2786][4]~65891\ & VCC))
-- \led_flash_cnt[2786][5]~65893\ = CARRY((\led_flash_cnt[2786][5]~q\ & !\led_flash_cnt[2786][4]~65891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2786][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2786][4]~65891\,
	combout => \led_flash_cnt[2786][5]~65892_combout\,
	cout => \led_flash_cnt[2786][5]~65893\);

-- Location: FF_X26_Y25_N27
\led_flash_cnt[2786][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2786][5]~65892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2786][5]~q\);

-- Location: LCCOMB_X26_Y25_N28
\led_flash_cnt[2786][6]~65894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2786][6]~65894_combout\ = (\led_flash_cnt[2786][6]~q\ & (!\led_flash_cnt[2786][5]~65893\)) # (!\led_flash_cnt[2786][6]~q\ & ((\led_flash_cnt[2786][5]~65893\) # (GND)))
-- \led_flash_cnt[2786][6]~65895\ = CARRY((!\led_flash_cnt[2786][5]~65893\) # (!\led_flash_cnt[2786][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2786][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2786][5]~65893\,
	combout => \led_flash_cnt[2786][6]~65894_combout\,
	cout => \led_flash_cnt[2786][6]~65895\);

-- Location: FF_X26_Y25_N29
\led_flash_cnt[2786][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2786][6]~65894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2786][6]~q\);

-- Location: LCCOMB_X26_Y25_N10
\WideAnd2786~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2786~1_combout\ = (\led_flash_cnt[2786][5]~q\ & \led_flash_cnt[2786][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2786][5]~q\,
	datad => \led_flash_cnt[2786][6]~q\,
	combout => \WideAnd2786~1_combout\);

-- Location: LCCOMB_X26_Y25_N4
\WideAnd2786~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2786~0_combout\ = (\led_flash_cnt[2786][1]~q\ & (\led_flash_cnt[2786][4]~q\ & (\led_flash_cnt[2786][3]~q\ & \led_flash_cnt[2786][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2786][1]~q\,
	datab => \led_flash_cnt[2786][4]~q\,
	datac => \led_flash_cnt[2786][3]~q\,
	datad => \led_flash_cnt[2786][2]~q\,
	combout => \WideAnd2786~0_combout\);

-- Location: LCCOMB_X26_Y25_N30
\led_flash_cnt[2786][7]~65896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2786][7]~65896_combout\ = \led_flash_cnt[2786][7]~q\ $ (!\led_flash_cnt[2786][6]~65895\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2786][7]~q\,
	cin => \led_flash_cnt[2786][6]~65895\,
	combout => \led_flash_cnt[2786][7]~65896_combout\);

-- Location: FF_X26_Y25_N31
\led_flash_cnt[2786][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2786][7]~65896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2786][7]~q\);

-- Location: LCCOMB_X26_Y25_N14
WideAnd2786 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2786~combout\ = (\WideAnd2786~1_combout\ & (\WideAnd2786~0_combout\ & (\led_flash_cnt[2786][7]~q\ & \led_flash_cnt[2786][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2786~1_combout\,
	datab => \WideAnd2786~0_combout\,
	datac => \led_flash_cnt[2786][7]~q\,
	datad => \led_flash_cnt[2786][0]~q\,
	combout => \WideAnd2786~combout\);

-- Location: FF_X26_Y25_N15
\led_flash_cnt_ands[2786]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2786~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2786));

-- Location: LCCOMB_X26_Y29_N6
\led_flash_cnt[2787][0]~83427\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2787][0]~83427_combout\ = !\led_flash_cnt[2787][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2787][0]~q\,
	combout => \led_flash_cnt[2787][0]~83427_combout\);

-- Location: FF_X26_Y29_N7
\led_flash_cnt[2787][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2787][0]~83427_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2787][0]~q\);

-- Location: LCCOMB_X26_Y29_N14
\led_flash_cnt[2787][1]~65898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2787][1]~65898_combout\ = (\led_flash_cnt[2787][0]~q\ & (\led_flash_cnt[2787][1]~q\ $ (VCC))) # (!\led_flash_cnt[2787][0]~q\ & (\led_flash_cnt[2787][1]~q\ & VCC))
-- \led_flash_cnt[2787][1]~65899\ = CARRY((\led_flash_cnt[2787][0]~q\ & \led_flash_cnt[2787][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2787][0]~q\,
	datab => \led_flash_cnt[2787][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2787][1]~65898_combout\,
	cout => \led_flash_cnt[2787][1]~65899\);

-- Location: FF_X26_Y29_N15
\led_flash_cnt[2787][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2787][1]~65898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2787][1]~q\);

-- Location: LCCOMB_X26_Y29_N16
\led_flash_cnt[2787][2]~65900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2787][2]~65900_combout\ = (\led_flash_cnt[2787][2]~q\ & (!\led_flash_cnt[2787][1]~65899\)) # (!\led_flash_cnt[2787][2]~q\ & ((\led_flash_cnt[2787][1]~65899\) # (GND)))
-- \led_flash_cnt[2787][2]~65901\ = CARRY((!\led_flash_cnt[2787][1]~65899\) # (!\led_flash_cnt[2787][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2787][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2787][1]~65899\,
	combout => \led_flash_cnt[2787][2]~65900_combout\,
	cout => \led_flash_cnt[2787][2]~65901\);

-- Location: FF_X26_Y29_N17
\led_flash_cnt[2787][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2787][2]~65900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2787][2]~q\);

-- Location: LCCOMB_X26_Y29_N18
\led_flash_cnt[2787][3]~65902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2787][3]~65902_combout\ = (\led_flash_cnt[2787][3]~q\ & (\led_flash_cnt[2787][2]~65901\ $ (GND))) # (!\led_flash_cnt[2787][3]~q\ & (!\led_flash_cnt[2787][2]~65901\ & VCC))
-- \led_flash_cnt[2787][3]~65903\ = CARRY((\led_flash_cnt[2787][3]~q\ & !\led_flash_cnt[2787][2]~65901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2787][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2787][2]~65901\,
	combout => \led_flash_cnt[2787][3]~65902_combout\,
	cout => \led_flash_cnt[2787][3]~65903\);

-- Location: FF_X26_Y29_N19
\led_flash_cnt[2787][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2787][3]~65902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2787][3]~q\);

-- Location: LCCOMB_X26_Y29_N20
\led_flash_cnt[2787][4]~65904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2787][4]~65904_combout\ = (\led_flash_cnt[2787][4]~q\ & (!\led_flash_cnt[2787][3]~65903\)) # (!\led_flash_cnt[2787][4]~q\ & ((\led_flash_cnt[2787][3]~65903\) # (GND)))
-- \led_flash_cnt[2787][4]~65905\ = CARRY((!\led_flash_cnt[2787][3]~65903\) # (!\led_flash_cnt[2787][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2787][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2787][3]~65903\,
	combout => \led_flash_cnt[2787][4]~65904_combout\,
	cout => \led_flash_cnt[2787][4]~65905\);

-- Location: FF_X26_Y29_N21
\led_flash_cnt[2787][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2787][4]~65904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2787][4]~q\);

-- Location: LCCOMB_X26_Y29_N22
\led_flash_cnt[2787][5]~65906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2787][5]~65906_combout\ = (\led_flash_cnt[2787][5]~q\ & (\led_flash_cnt[2787][4]~65905\ $ (GND))) # (!\led_flash_cnt[2787][5]~q\ & (!\led_flash_cnt[2787][4]~65905\ & VCC))
-- \led_flash_cnt[2787][5]~65907\ = CARRY((\led_flash_cnt[2787][5]~q\ & !\led_flash_cnt[2787][4]~65905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2787][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2787][4]~65905\,
	combout => \led_flash_cnt[2787][5]~65906_combout\,
	cout => \led_flash_cnt[2787][5]~65907\);

-- Location: FF_X26_Y29_N23
\led_flash_cnt[2787][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2787][5]~65906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2787][5]~q\);

-- Location: LCCOMB_X26_Y29_N24
\led_flash_cnt[2787][6]~65908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2787][6]~65908_combout\ = (\led_flash_cnt[2787][6]~q\ & (!\led_flash_cnt[2787][5]~65907\)) # (!\led_flash_cnt[2787][6]~q\ & ((\led_flash_cnt[2787][5]~65907\) # (GND)))
-- \led_flash_cnt[2787][6]~65909\ = CARRY((!\led_flash_cnt[2787][5]~65907\) # (!\led_flash_cnt[2787][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2787][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2787][5]~65907\,
	combout => \led_flash_cnt[2787][6]~65908_combout\,
	cout => \led_flash_cnt[2787][6]~65909\);

-- Location: FF_X26_Y29_N25
\led_flash_cnt[2787][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2787][6]~65908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2787][6]~q\);

-- Location: LCCOMB_X26_Y29_N0
\WideAnd2787~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2787~1_combout\ = (\led_flash_cnt[2787][5]~q\ & \led_flash_cnt[2787][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2787][5]~q\,
	datad => \led_flash_cnt[2787][6]~q\,
	combout => \WideAnd2787~1_combout\);

-- Location: LCCOMB_X26_Y29_N26
\led_flash_cnt[2787][7]~65910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2787][7]~65910_combout\ = \led_flash_cnt[2787][7]~q\ $ (!\led_flash_cnt[2787][6]~65909\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2787][7]~q\,
	cin => \led_flash_cnt[2787][6]~65909\,
	combout => \led_flash_cnt[2787][7]~65910_combout\);

-- Location: FF_X26_Y29_N27
\led_flash_cnt[2787][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2787][7]~65910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2787][7]~q\);

-- Location: LCCOMB_X26_Y29_N12
\WideAnd2787~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2787~0_combout\ = (\led_flash_cnt[2787][4]~q\ & (\led_flash_cnt[2787][3]~q\ & (\led_flash_cnt[2787][1]~q\ & \led_flash_cnt[2787][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2787][4]~q\,
	datab => \led_flash_cnt[2787][3]~q\,
	datac => \led_flash_cnt[2787][1]~q\,
	datad => \led_flash_cnt[2787][2]~q\,
	combout => \WideAnd2787~0_combout\);

-- Location: LCCOMB_X26_Y29_N28
WideAnd2787 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2787~combout\ = (\led_flash_cnt[2787][0]~q\ & (\WideAnd2787~1_combout\ & (\led_flash_cnt[2787][7]~q\ & \WideAnd2787~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2787][0]~q\,
	datab => \WideAnd2787~1_combout\,
	datac => \led_flash_cnt[2787][7]~q\,
	datad => \WideAnd2787~0_combout\,
	combout => \WideAnd2787~combout\);

-- Location: FF_X26_Y29_N29
\led_flash_cnt_ands[2787]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2787~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2787));

-- Location: LCCOMB_X31_Y7_N12
\led_flash_cnt[2784][0]~83424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2784][0]~83424_combout\ = !\led_flash_cnt[2784][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2784][0]~q\,
	combout => \led_flash_cnt[2784][0]~83424_combout\);

-- Location: FF_X31_Y7_N13
\led_flash_cnt[2784][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2784][0]~83424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2784][0]~q\);

-- Location: LCCOMB_X31_Y7_N18
\led_flash_cnt[2784][1]~65856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2784][1]~65856_combout\ = (\led_flash_cnt[2784][0]~q\ & (\led_flash_cnt[2784][1]~q\ $ (VCC))) # (!\led_flash_cnt[2784][0]~q\ & (\led_flash_cnt[2784][1]~q\ & VCC))
-- \led_flash_cnt[2784][1]~65857\ = CARRY((\led_flash_cnt[2784][0]~q\ & \led_flash_cnt[2784][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2784][0]~q\,
	datab => \led_flash_cnt[2784][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2784][1]~65856_combout\,
	cout => \led_flash_cnt[2784][1]~65857\);

-- Location: FF_X31_Y7_N19
\led_flash_cnt[2784][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2784][1]~65856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2784][1]~q\);

-- Location: LCCOMB_X31_Y7_N20
\led_flash_cnt[2784][2]~65858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2784][2]~65858_combout\ = (\led_flash_cnt[2784][2]~q\ & (!\led_flash_cnt[2784][1]~65857\)) # (!\led_flash_cnt[2784][2]~q\ & ((\led_flash_cnt[2784][1]~65857\) # (GND)))
-- \led_flash_cnt[2784][2]~65859\ = CARRY((!\led_flash_cnt[2784][1]~65857\) # (!\led_flash_cnt[2784][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2784][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2784][1]~65857\,
	combout => \led_flash_cnt[2784][2]~65858_combout\,
	cout => \led_flash_cnt[2784][2]~65859\);

-- Location: FF_X31_Y7_N21
\led_flash_cnt[2784][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2784][2]~65858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2784][2]~q\);

-- Location: LCCOMB_X31_Y7_N22
\led_flash_cnt[2784][3]~65860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2784][3]~65860_combout\ = (\led_flash_cnt[2784][3]~q\ & (\led_flash_cnt[2784][2]~65859\ $ (GND))) # (!\led_flash_cnt[2784][3]~q\ & (!\led_flash_cnt[2784][2]~65859\ & VCC))
-- \led_flash_cnt[2784][3]~65861\ = CARRY((\led_flash_cnt[2784][3]~q\ & !\led_flash_cnt[2784][2]~65859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2784][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2784][2]~65859\,
	combout => \led_flash_cnt[2784][3]~65860_combout\,
	cout => \led_flash_cnt[2784][3]~65861\);

-- Location: FF_X31_Y7_N23
\led_flash_cnt[2784][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2784][3]~65860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2784][3]~q\);

-- Location: LCCOMB_X31_Y7_N24
\led_flash_cnt[2784][4]~65862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2784][4]~65862_combout\ = (\led_flash_cnt[2784][4]~q\ & (!\led_flash_cnt[2784][3]~65861\)) # (!\led_flash_cnt[2784][4]~q\ & ((\led_flash_cnt[2784][3]~65861\) # (GND)))
-- \led_flash_cnt[2784][4]~65863\ = CARRY((!\led_flash_cnt[2784][3]~65861\) # (!\led_flash_cnt[2784][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2784][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2784][3]~65861\,
	combout => \led_flash_cnt[2784][4]~65862_combout\,
	cout => \led_flash_cnt[2784][4]~65863\);

-- Location: FF_X31_Y7_N25
\led_flash_cnt[2784][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2784][4]~65862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2784][4]~q\);

-- Location: LCCOMB_X31_Y7_N26
\led_flash_cnt[2784][5]~65864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2784][5]~65864_combout\ = (\led_flash_cnt[2784][5]~q\ & (\led_flash_cnt[2784][4]~65863\ $ (GND))) # (!\led_flash_cnt[2784][5]~q\ & (!\led_flash_cnt[2784][4]~65863\ & VCC))
-- \led_flash_cnt[2784][5]~65865\ = CARRY((\led_flash_cnt[2784][5]~q\ & !\led_flash_cnt[2784][4]~65863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2784][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2784][4]~65863\,
	combout => \led_flash_cnt[2784][5]~65864_combout\,
	cout => \led_flash_cnt[2784][5]~65865\);

-- Location: FF_X31_Y7_N27
\led_flash_cnt[2784][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2784][5]~65864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2784][5]~q\);

-- Location: LCCOMB_X31_Y7_N28
\led_flash_cnt[2784][6]~65866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2784][6]~65866_combout\ = (\led_flash_cnt[2784][6]~q\ & (!\led_flash_cnt[2784][5]~65865\)) # (!\led_flash_cnt[2784][6]~q\ & ((\led_flash_cnt[2784][5]~65865\) # (GND)))
-- \led_flash_cnt[2784][6]~65867\ = CARRY((!\led_flash_cnt[2784][5]~65865\) # (!\led_flash_cnt[2784][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2784][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2784][5]~65865\,
	combout => \led_flash_cnt[2784][6]~65866_combout\,
	cout => \led_flash_cnt[2784][6]~65867\);

-- Location: FF_X31_Y7_N29
\led_flash_cnt[2784][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2784][6]~65866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2784][6]~q\);

-- Location: LCCOMB_X31_Y7_N16
\WideAnd2784~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2784~1_combout\ = (\led_flash_cnt[2784][5]~q\ & \led_flash_cnt[2784][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2784][5]~q\,
	datad => \led_flash_cnt[2784][6]~q\,
	combout => \WideAnd2784~1_combout\);

-- Location: LCCOMB_X31_Y7_N30
\led_flash_cnt[2784][7]~65868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2784][7]~65868_combout\ = \led_flash_cnt[2784][7]~q\ $ (!\led_flash_cnt[2784][6]~65867\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2784][7]~q\,
	cin => \led_flash_cnt[2784][6]~65867\,
	combout => \led_flash_cnt[2784][7]~65868_combout\);

-- Location: FF_X31_Y7_N31
\led_flash_cnt[2784][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2784][7]~65868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2784][7]~q\);

-- Location: LCCOMB_X31_Y7_N0
\WideAnd2784~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2784~0_combout\ = (\led_flash_cnt[2784][1]~q\ & (\led_flash_cnt[2784][4]~q\ & (\led_flash_cnt[2784][3]~q\ & \led_flash_cnt[2784][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2784][1]~q\,
	datab => \led_flash_cnt[2784][4]~q\,
	datac => \led_flash_cnt[2784][3]~q\,
	datad => \led_flash_cnt[2784][2]~q\,
	combout => \WideAnd2784~0_combout\);

-- Location: LCCOMB_X31_Y7_N2
WideAnd2784 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2784~combout\ = (\led_flash_cnt[2784][0]~q\ & (\WideAnd2784~1_combout\ & (\led_flash_cnt[2784][7]~q\ & \WideAnd2784~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2784][0]~q\,
	datab => \WideAnd2784~1_combout\,
	datac => \led_flash_cnt[2784][7]~q\,
	datad => \WideAnd2784~0_combout\,
	combout => \WideAnd2784~combout\);

-- Location: FF_X31_Y7_N3
\led_flash_cnt_ands[2784]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2784~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2784));

-- Location: LCCOMB_X34_Y7_N14
\led_flash_cnt[2785][0]~83425\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2785][0]~83425_combout\ = !\led_flash_cnt[2785][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2785][0]~q\,
	combout => \led_flash_cnt[2785][0]~83425_combout\);

-- Location: FF_X34_Y7_N15
\led_flash_cnt[2785][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2785][0]~83425_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2785][0]~q\);

-- Location: LCCOMB_X35_Y7_N14
\led_flash_cnt[2785][1]~65870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2785][1]~65870_combout\ = (\led_flash_cnt[2785][0]~q\ & (\led_flash_cnt[2785][1]~q\ $ (VCC))) # (!\led_flash_cnt[2785][0]~q\ & (\led_flash_cnt[2785][1]~q\ & VCC))
-- \led_flash_cnt[2785][1]~65871\ = CARRY((\led_flash_cnt[2785][0]~q\ & \led_flash_cnt[2785][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2785][0]~q\,
	datab => \led_flash_cnt[2785][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2785][1]~65870_combout\,
	cout => \led_flash_cnt[2785][1]~65871\);

-- Location: FF_X35_Y7_N15
\led_flash_cnt[2785][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2785][1]~65870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2785][1]~q\);

-- Location: LCCOMB_X35_Y7_N16
\led_flash_cnt[2785][2]~65872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2785][2]~65872_combout\ = (\led_flash_cnt[2785][2]~q\ & (!\led_flash_cnt[2785][1]~65871\)) # (!\led_flash_cnt[2785][2]~q\ & ((\led_flash_cnt[2785][1]~65871\) # (GND)))
-- \led_flash_cnt[2785][2]~65873\ = CARRY((!\led_flash_cnt[2785][1]~65871\) # (!\led_flash_cnt[2785][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2785][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2785][1]~65871\,
	combout => \led_flash_cnt[2785][2]~65872_combout\,
	cout => \led_flash_cnt[2785][2]~65873\);

-- Location: FF_X35_Y7_N17
\led_flash_cnt[2785][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2785][2]~65872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2785][2]~q\);

-- Location: LCCOMB_X35_Y7_N18
\led_flash_cnt[2785][3]~65874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2785][3]~65874_combout\ = (\led_flash_cnt[2785][3]~q\ & (\led_flash_cnt[2785][2]~65873\ $ (GND))) # (!\led_flash_cnt[2785][3]~q\ & (!\led_flash_cnt[2785][2]~65873\ & VCC))
-- \led_flash_cnt[2785][3]~65875\ = CARRY((\led_flash_cnt[2785][3]~q\ & !\led_flash_cnt[2785][2]~65873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2785][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2785][2]~65873\,
	combout => \led_flash_cnt[2785][3]~65874_combout\,
	cout => \led_flash_cnt[2785][3]~65875\);

-- Location: FF_X35_Y7_N19
\led_flash_cnt[2785][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2785][3]~65874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2785][3]~q\);

-- Location: LCCOMB_X35_Y7_N20
\led_flash_cnt[2785][4]~65876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2785][4]~65876_combout\ = (\led_flash_cnt[2785][4]~q\ & (!\led_flash_cnt[2785][3]~65875\)) # (!\led_flash_cnt[2785][4]~q\ & ((\led_flash_cnt[2785][3]~65875\) # (GND)))
-- \led_flash_cnt[2785][4]~65877\ = CARRY((!\led_flash_cnt[2785][3]~65875\) # (!\led_flash_cnt[2785][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2785][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2785][3]~65875\,
	combout => \led_flash_cnt[2785][4]~65876_combout\,
	cout => \led_flash_cnt[2785][4]~65877\);

-- Location: FF_X35_Y7_N21
\led_flash_cnt[2785][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2785][4]~65876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2785][4]~q\);

-- Location: LCCOMB_X35_Y7_N2
\WideAnd2785~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2785~0_combout\ = (\led_flash_cnt[2785][3]~q\ & (\led_flash_cnt[2785][2]~q\ & (\led_flash_cnt[2785][1]~q\ & \led_flash_cnt[2785][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2785][3]~q\,
	datab => \led_flash_cnt[2785][2]~q\,
	datac => \led_flash_cnt[2785][1]~q\,
	datad => \led_flash_cnt[2785][4]~q\,
	combout => \WideAnd2785~0_combout\);

-- Location: LCCOMB_X35_Y7_N22
\led_flash_cnt[2785][5]~65878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2785][5]~65878_combout\ = (\led_flash_cnt[2785][5]~q\ & (\led_flash_cnt[2785][4]~65877\ $ (GND))) # (!\led_flash_cnt[2785][5]~q\ & (!\led_flash_cnt[2785][4]~65877\ & VCC))
-- \led_flash_cnt[2785][5]~65879\ = CARRY((\led_flash_cnt[2785][5]~q\ & !\led_flash_cnt[2785][4]~65877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2785][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2785][4]~65877\,
	combout => \led_flash_cnt[2785][5]~65878_combout\,
	cout => \led_flash_cnt[2785][5]~65879\);

-- Location: FF_X35_Y7_N23
\led_flash_cnt[2785][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2785][5]~65878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2785][5]~q\);

-- Location: LCCOMB_X35_Y7_N24
\led_flash_cnt[2785][6]~65880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2785][6]~65880_combout\ = (\led_flash_cnt[2785][6]~q\ & (!\led_flash_cnt[2785][5]~65879\)) # (!\led_flash_cnt[2785][6]~q\ & ((\led_flash_cnt[2785][5]~65879\) # (GND)))
-- \led_flash_cnt[2785][6]~65881\ = CARRY((!\led_flash_cnt[2785][5]~65879\) # (!\led_flash_cnt[2785][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2785][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2785][5]~65879\,
	combout => \led_flash_cnt[2785][6]~65880_combout\,
	cout => \led_flash_cnt[2785][6]~65881\);

-- Location: FF_X35_Y7_N25
\led_flash_cnt[2785][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2785][6]~65880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2785][6]~q\);

-- Location: LCCOMB_X35_Y7_N26
\led_flash_cnt[2785][7]~65882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2785][7]~65882_combout\ = \led_flash_cnt[2785][7]~q\ $ (!\led_flash_cnt[2785][6]~65881\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2785][7]~q\,
	cin => \led_flash_cnt[2785][6]~65881\,
	combout => \led_flash_cnt[2785][7]~65882_combout\);

-- Location: FF_X35_Y7_N27
\led_flash_cnt[2785][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2785][7]~65882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2785][7]~q\);

-- Location: LCCOMB_X35_Y7_N10
\WideAnd2785~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2785~1_combout\ = (\led_flash_cnt[2785][5]~q\ & \led_flash_cnt[2785][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2785][5]~q\,
	datad => \led_flash_cnt[2785][6]~q\,
	combout => \WideAnd2785~1_combout\);

-- Location: LCCOMB_X35_Y7_N4
WideAnd2785 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2785~combout\ = (\led_flash_cnt[2785][0]~q\ & (\WideAnd2785~0_combout\ & (\led_flash_cnt[2785][7]~q\ & \WideAnd2785~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2785][0]~q\,
	datab => \WideAnd2785~0_combout\,
	datac => \led_flash_cnt[2785][7]~q\,
	datad => \WideAnd2785~1_combout\,
	combout => \WideAnd2785~combout\);

-- Location: FF_X35_Y7_N5
\led_flash_cnt_ands[2785]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2785~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2785));

-- Location: LCCOMB_X27_Y25_N28
\WideAnd4188~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4188~0_combout\ = (led_flash_cnt_ands(2786) & (led_flash_cnt_ands(2787) & (led_flash_cnt_ands(2784) & led_flash_cnt_ands(2785))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2786),
	datab => led_flash_cnt_ands(2787),
	datac => led_flash_cnt_ands(2784),
	datad => led_flash_cnt_ands(2785),
	combout => \WideAnd4188~0_combout\);

-- Location: LCCOMB_X27_Y29_N0
\led_flash_cnt[2788][0]~83428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2788][0]~83428_combout\ = !\led_flash_cnt[2788][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2788][0]~q\,
	combout => \led_flash_cnt[2788][0]~83428_combout\);

-- Location: FF_X27_Y29_N1
\led_flash_cnt[2788][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2788][0]~83428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2788][0]~q\);

-- Location: LCCOMB_X27_Y29_N12
\led_flash_cnt[2788][1]~65912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2788][1]~65912_combout\ = (\led_flash_cnt[2788][1]~q\ & (\led_flash_cnt[2788][0]~q\ $ (VCC))) # (!\led_flash_cnt[2788][1]~q\ & (\led_flash_cnt[2788][0]~q\ & VCC))
-- \led_flash_cnt[2788][1]~65913\ = CARRY((\led_flash_cnt[2788][1]~q\ & \led_flash_cnt[2788][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2788][1]~q\,
	datab => \led_flash_cnt[2788][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2788][1]~65912_combout\,
	cout => \led_flash_cnt[2788][1]~65913\);

-- Location: FF_X27_Y29_N13
\led_flash_cnt[2788][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2788][1]~65912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2788][1]~q\);

-- Location: LCCOMB_X27_Y29_N14
\led_flash_cnt[2788][2]~65914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2788][2]~65914_combout\ = (\led_flash_cnt[2788][2]~q\ & (!\led_flash_cnt[2788][1]~65913\)) # (!\led_flash_cnt[2788][2]~q\ & ((\led_flash_cnt[2788][1]~65913\) # (GND)))
-- \led_flash_cnt[2788][2]~65915\ = CARRY((!\led_flash_cnt[2788][1]~65913\) # (!\led_flash_cnt[2788][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2788][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2788][1]~65913\,
	combout => \led_flash_cnt[2788][2]~65914_combout\,
	cout => \led_flash_cnt[2788][2]~65915\);

-- Location: FF_X27_Y29_N15
\led_flash_cnt[2788][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2788][2]~65914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2788][2]~q\);

-- Location: LCCOMB_X27_Y29_N16
\led_flash_cnt[2788][3]~65916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2788][3]~65916_combout\ = (\led_flash_cnt[2788][3]~q\ & (\led_flash_cnt[2788][2]~65915\ $ (GND))) # (!\led_flash_cnt[2788][3]~q\ & (!\led_flash_cnt[2788][2]~65915\ & VCC))
-- \led_flash_cnt[2788][3]~65917\ = CARRY((\led_flash_cnt[2788][3]~q\ & !\led_flash_cnt[2788][2]~65915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2788][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2788][2]~65915\,
	combout => \led_flash_cnt[2788][3]~65916_combout\,
	cout => \led_flash_cnt[2788][3]~65917\);

-- Location: FF_X27_Y29_N17
\led_flash_cnt[2788][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2788][3]~65916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2788][3]~q\);

-- Location: LCCOMB_X27_Y29_N18
\led_flash_cnt[2788][4]~65918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2788][4]~65918_combout\ = (\led_flash_cnt[2788][4]~q\ & (!\led_flash_cnt[2788][3]~65917\)) # (!\led_flash_cnt[2788][4]~q\ & ((\led_flash_cnt[2788][3]~65917\) # (GND)))
-- \led_flash_cnt[2788][4]~65919\ = CARRY((!\led_flash_cnt[2788][3]~65917\) # (!\led_flash_cnt[2788][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2788][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2788][3]~65917\,
	combout => \led_flash_cnt[2788][4]~65918_combout\,
	cout => \led_flash_cnt[2788][4]~65919\);

-- Location: FF_X27_Y29_N19
\led_flash_cnt[2788][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2788][4]~65918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2788][4]~q\);

-- Location: LCCOMB_X27_Y29_N20
\led_flash_cnt[2788][5]~65920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2788][5]~65920_combout\ = (\led_flash_cnt[2788][5]~q\ & (\led_flash_cnt[2788][4]~65919\ $ (GND))) # (!\led_flash_cnt[2788][5]~q\ & (!\led_flash_cnt[2788][4]~65919\ & VCC))
-- \led_flash_cnt[2788][5]~65921\ = CARRY((\led_flash_cnt[2788][5]~q\ & !\led_flash_cnt[2788][4]~65919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2788][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2788][4]~65919\,
	combout => \led_flash_cnt[2788][5]~65920_combout\,
	cout => \led_flash_cnt[2788][5]~65921\);

-- Location: FF_X27_Y29_N21
\led_flash_cnt[2788][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2788][5]~65920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2788][5]~q\);

-- Location: LCCOMB_X27_Y29_N22
\led_flash_cnt[2788][6]~65922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2788][6]~65922_combout\ = (\led_flash_cnt[2788][6]~q\ & (!\led_flash_cnt[2788][5]~65921\)) # (!\led_flash_cnt[2788][6]~q\ & ((\led_flash_cnt[2788][5]~65921\) # (GND)))
-- \led_flash_cnt[2788][6]~65923\ = CARRY((!\led_flash_cnt[2788][5]~65921\) # (!\led_flash_cnt[2788][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2788][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2788][5]~65921\,
	combout => \led_flash_cnt[2788][6]~65922_combout\,
	cout => \led_flash_cnt[2788][6]~65923\);

-- Location: FF_X27_Y29_N23
\led_flash_cnt[2788][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2788][6]~65922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2788][6]~q\);

-- Location: LCCOMB_X27_Y29_N26
\WideAnd2788~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2788~1_combout\ = (\led_flash_cnt[2788][6]~q\ & \led_flash_cnt[2788][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2788][6]~q\,
	datad => \led_flash_cnt[2788][5]~q\,
	combout => \WideAnd2788~1_combout\);

-- Location: LCCOMB_X27_Y29_N4
\WideAnd2788~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2788~0_combout\ = (\led_flash_cnt[2788][1]~q\ & (\led_flash_cnt[2788][2]~q\ & (\led_flash_cnt[2788][4]~q\ & \led_flash_cnt[2788][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2788][1]~q\,
	datab => \led_flash_cnt[2788][2]~q\,
	datac => \led_flash_cnt[2788][4]~q\,
	datad => \led_flash_cnt[2788][3]~q\,
	combout => \WideAnd2788~0_combout\);

-- Location: LCCOMB_X27_Y29_N24
\led_flash_cnt[2788][7]~65924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2788][7]~65924_combout\ = \led_flash_cnt[2788][6]~65923\ $ (!\led_flash_cnt[2788][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2788][7]~q\,
	cin => \led_flash_cnt[2788][6]~65923\,
	combout => \led_flash_cnt[2788][7]~65924_combout\);

-- Location: FF_X27_Y29_N25
\led_flash_cnt[2788][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2788][7]~65924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2788][7]~q\);

-- Location: LCCOMB_X27_Y29_N30
WideAnd2788 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2788~combout\ = (\WideAnd2788~1_combout\ & (\led_flash_cnt[2788][0]~q\ & (\WideAnd2788~0_combout\ & \led_flash_cnt[2788][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2788~1_combout\,
	datab => \led_flash_cnt[2788][0]~q\,
	datac => \WideAnd2788~0_combout\,
	datad => \led_flash_cnt[2788][7]~q\,
	combout => \WideAnd2788~combout\);

-- Location: FF_X27_Y29_N31
\led_flash_cnt_ands[2788]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2788~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2788));

-- Location: LCCOMB_X27_Y29_N28
\led_flash_cnt[2789][0]~83429\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2789][0]~83429_combout\ = !\led_flash_cnt[2789][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2789][0]~q\,
	combout => \led_flash_cnt[2789][0]~83429_combout\);

-- Location: FF_X27_Y29_N29
\led_flash_cnt[2789][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2789][0]~83429_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2789][0]~q\);

-- Location: LCCOMB_X27_Y31_N16
\led_flash_cnt[2789][1]~65926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2789][1]~65926_combout\ = (\led_flash_cnt[2789][0]~q\ & (\led_flash_cnt[2789][1]~q\ $ (VCC))) # (!\led_flash_cnt[2789][0]~q\ & (\led_flash_cnt[2789][1]~q\ & VCC))
-- \led_flash_cnt[2789][1]~65927\ = CARRY((\led_flash_cnt[2789][0]~q\ & \led_flash_cnt[2789][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2789][0]~q\,
	datab => \led_flash_cnt[2789][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2789][1]~65926_combout\,
	cout => \led_flash_cnt[2789][1]~65927\);

-- Location: FF_X27_Y31_N17
\led_flash_cnt[2789][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2789][1]~65926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2789][1]~q\);

-- Location: LCCOMB_X27_Y31_N18
\led_flash_cnt[2789][2]~65928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2789][2]~65928_combout\ = (\led_flash_cnt[2789][2]~q\ & (!\led_flash_cnt[2789][1]~65927\)) # (!\led_flash_cnt[2789][2]~q\ & ((\led_flash_cnt[2789][1]~65927\) # (GND)))
-- \led_flash_cnt[2789][2]~65929\ = CARRY((!\led_flash_cnt[2789][1]~65927\) # (!\led_flash_cnt[2789][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2789][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2789][1]~65927\,
	combout => \led_flash_cnt[2789][2]~65928_combout\,
	cout => \led_flash_cnt[2789][2]~65929\);

-- Location: FF_X27_Y31_N19
\led_flash_cnt[2789][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2789][2]~65928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2789][2]~q\);

-- Location: LCCOMB_X27_Y31_N20
\led_flash_cnt[2789][3]~65930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2789][3]~65930_combout\ = (\led_flash_cnt[2789][3]~q\ & (\led_flash_cnt[2789][2]~65929\ $ (GND))) # (!\led_flash_cnt[2789][3]~q\ & (!\led_flash_cnt[2789][2]~65929\ & VCC))
-- \led_flash_cnt[2789][3]~65931\ = CARRY((\led_flash_cnt[2789][3]~q\ & !\led_flash_cnt[2789][2]~65929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2789][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2789][2]~65929\,
	combout => \led_flash_cnt[2789][3]~65930_combout\,
	cout => \led_flash_cnt[2789][3]~65931\);

-- Location: FF_X27_Y31_N21
\led_flash_cnt[2789][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2789][3]~65930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2789][3]~q\);

-- Location: LCCOMB_X27_Y31_N22
\led_flash_cnt[2789][4]~65932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2789][4]~65932_combout\ = (\led_flash_cnt[2789][4]~q\ & (!\led_flash_cnt[2789][3]~65931\)) # (!\led_flash_cnt[2789][4]~q\ & ((\led_flash_cnt[2789][3]~65931\) # (GND)))
-- \led_flash_cnt[2789][4]~65933\ = CARRY((!\led_flash_cnt[2789][3]~65931\) # (!\led_flash_cnt[2789][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2789][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2789][3]~65931\,
	combout => \led_flash_cnt[2789][4]~65932_combout\,
	cout => \led_flash_cnt[2789][4]~65933\);

-- Location: FF_X27_Y31_N23
\led_flash_cnt[2789][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2789][4]~65932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2789][4]~q\);

-- Location: LCCOMB_X27_Y31_N24
\led_flash_cnt[2789][5]~65934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2789][5]~65934_combout\ = (\led_flash_cnt[2789][5]~q\ & (\led_flash_cnt[2789][4]~65933\ $ (GND))) # (!\led_flash_cnt[2789][5]~q\ & (!\led_flash_cnt[2789][4]~65933\ & VCC))
-- \led_flash_cnt[2789][5]~65935\ = CARRY((\led_flash_cnt[2789][5]~q\ & !\led_flash_cnt[2789][4]~65933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2789][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2789][4]~65933\,
	combout => \led_flash_cnt[2789][5]~65934_combout\,
	cout => \led_flash_cnt[2789][5]~65935\);

-- Location: FF_X27_Y31_N25
\led_flash_cnt[2789][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2789][5]~65934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2789][5]~q\);

-- Location: LCCOMB_X27_Y31_N26
\led_flash_cnt[2789][6]~65936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2789][6]~65936_combout\ = (\led_flash_cnt[2789][6]~q\ & (!\led_flash_cnt[2789][5]~65935\)) # (!\led_flash_cnt[2789][6]~q\ & ((\led_flash_cnt[2789][5]~65935\) # (GND)))
-- \led_flash_cnt[2789][6]~65937\ = CARRY((!\led_flash_cnt[2789][5]~65935\) # (!\led_flash_cnt[2789][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2789][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2789][5]~65935\,
	combout => \led_flash_cnt[2789][6]~65936_combout\,
	cout => \led_flash_cnt[2789][6]~65937\);

-- Location: FF_X27_Y31_N27
\led_flash_cnt[2789][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2789][6]~65936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2789][6]~q\);

-- Location: LCCOMB_X27_Y29_N10
\WideAnd2789~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2789~1_combout\ = (\led_flash_cnt[2789][6]~q\ & \led_flash_cnt[2789][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2789][6]~q\,
	datad => \led_flash_cnt[2789][5]~q\,
	combout => \WideAnd2789~1_combout\);

-- Location: LCCOMB_X27_Y31_N28
\led_flash_cnt[2789][7]~65938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2789][7]~65938_combout\ = \led_flash_cnt[2789][6]~65937\ $ (!\led_flash_cnt[2789][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2789][7]~q\,
	cin => \led_flash_cnt[2789][6]~65937\,
	combout => \led_flash_cnt[2789][7]~65938_combout\);

-- Location: FF_X27_Y31_N29
\led_flash_cnt[2789][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2789][7]~65938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2789][7]~q\);

-- Location: LCCOMB_X27_Y31_N0
\WideAnd2789~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2789~0_combout\ = (\led_flash_cnt[2789][2]~q\ & (\led_flash_cnt[2789][1]~q\ & (\led_flash_cnt[2789][4]~q\ & \led_flash_cnt[2789][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2789][2]~q\,
	datab => \led_flash_cnt[2789][1]~q\,
	datac => \led_flash_cnt[2789][4]~q\,
	datad => \led_flash_cnt[2789][3]~q\,
	combout => \WideAnd2789~0_combout\);

-- Location: LCCOMB_X27_Y29_N6
WideAnd2789 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2789~combout\ = (\WideAnd2789~1_combout\ & (\led_flash_cnt[2789][0]~q\ & (\led_flash_cnt[2789][7]~q\ & \WideAnd2789~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2789~1_combout\,
	datab => \led_flash_cnt[2789][0]~q\,
	datac => \led_flash_cnt[2789][7]~q\,
	datad => \WideAnd2789~0_combout\,
	combout => \WideAnd2789~combout\);

-- Location: FF_X27_Y29_N7
\led_flash_cnt_ands[2789]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2789~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2789));

-- Location: LCCOMB_X27_Y29_N8
\WideAnd4188~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4188~1_combout\ = (led_flash_cnt_ands(2788) & led_flash_cnt_ands(2789))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2788),
	datad => led_flash_cnt_ands(2789),
	combout => \WideAnd4188~1_combout\);

-- Location: LCCOMB_X29_Y26_N20
\led_flash_cnt[2791][0]~83431\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2791][0]~83431_combout\ = !\led_flash_cnt[2791][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2791][0]~q\,
	combout => \led_flash_cnt[2791][0]~83431_combout\);

-- Location: FF_X29_Y26_N21
\led_flash_cnt[2791][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2791][0]~83431_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2791][0]~q\);

-- Location: LCCOMB_X26_Y26_N18
\led_flash_cnt[2791][1]~65954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2791][1]~65954_combout\ = (\led_flash_cnt[2791][0]~q\ & (\led_flash_cnt[2791][1]~q\ $ (VCC))) # (!\led_flash_cnt[2791][0]~q\ & (\led_flash_cnt[2791][1]~q\ & VCC))
-- \led_flash_cnt[2791][1]~65955\ = CARRY((\led_flash_cnt[2791][0]~q\ & \led_flash_cnt[2791][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2791][0]~q\,
	datab => \led_flash_cnt[2791][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2791][1]~65954_combout\,
	cout => \led_flash_cnt[2791][1]~65955\);

-- Location: FF_X26_Y26_N19
\led_flash_cnt[2791][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2791][1]~65954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2791][1]~q\);

-- Location: LCCOMB_X26_Y26_N20
\led_flash_cnt[2791][2]~65956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2791][2]~65956_combout\ = (\led_flash_cnt[2791][2]~q\ & (!\led_flash_cnt[2791][1]~65955\)) # (!\led_flash_cnt[2791][2]~q\ & ((\led_flash_cnt[2791][1]~65955\) # (GND)))
-- \led_flash_cnt[2791][2]~65957\ = CARRY((!\led_flash_cnt[2791][1]~65955\) # (!\led_flash_cnt[2791][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2791][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2791][1]~65955\,
	combout => \led_flash_cnt[2791][2]~65956_combout\,
	cout => \led_flash_cnt[2791][2]~65957\);

-- Location: FF_X26_Y26_N21
\led_flash_cnt[2791][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2791][2]~65956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2791][2]~q\);

-- Location: LCCOMB_X26_Y26_N22
\led_flash_cnt[2791][3]~65958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2791][3]~65958_combout\ = (\led_flash_cnt[2791][3]~q\ & (\led_flash_cnt[2791][2]~65957\ $ (GND))) # (!\led_flash_cnt[2791][3]~q\ & (!\led_flash_cnt[2791][2]~65957\ & VCC))
-- \led_flash_cnt[2791][3]~65959\ = CARRY((\led_flash_cnt[2791][3]~q\ & !\led_flash_cnt[2791][2]~65957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2791][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2791][2]~65957\,
	combout => \led_flash_cnt[2791][3]~65958_combout\,
	cout => \led_flash_cnt[2791][3]~65959\);

-- Location: FF_X26_Y26_N23
\led_flash_cnt[2791][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2791][3]~65958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2791][3]~q\);

-- Location: LCCOMB_X26_Y26_N24
\led_flash_cnt[2791][4]~65960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2791][4]~65960_combout\ = (\led_flash_cnt[2791][4]~q\ & (!\led_flash_cnt[2791][3]~65959\)) # (!\led_flash_cnt[2791][4]~q\ & ((\led_flash_cnt[2791][3]~65959\) # (GND)))
-- \led_flash_cnt[2791][4]~65961\ = CARRY((!\led_flash_cnt[2791][3]~65959\) # (!\led_flash_cnt[2791][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2791][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2791][3]~65959\,
	combout => \led_flash_cnt[2791][4]~65960_combout\,
	cout => \led_flash_cnt[2791][4]~65961\);

-- Location: FF_X26_Y26_N25
\led_flash_cnt[2791][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2791][4]~65960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2791][4]~q\);

-- Location: LCCOMB_X26_Y26_N26
\led_flash_cnt[2791][5]~65962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2791][5]~65962_combout\ = (\led_flash_cnt[2791][5]~q\ & (\led_flash_cnt[2791][4]~65961\ $ (GND))) # (!\led_flash_cnt[2791][5]~q\ & (!\led_flash_cnt[2791][4]~65961\ & VCC))
-- \led_flash_cnt[2791][5]~65963\ = CARRY((\led_flash_cnt[2791][5]~q\ & !\led_flash_cnt[2791][4]~65961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2791][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2791][4]~65961\,
	combout => \led_flash_cnt[2791][5]~65962_combout\,
	cout => \led_flash_cnt[2791][5]~65963\);

-- Location: FF_X26_Y26_N27
\led_flash_cnt[2791][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2791][5]~65962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2791][5]~q\);

-- Location: LCCOMB_X26_Y26_N28
\led_flash_cnt[2791][6]~65964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2791][6]~65964_combout\ = (\led_flash_cnt[2791][6]~q\ & (!\led_flash_cnt[2791][5]~65963\)) # (!\led_flash_cnt[2791][6]~q\ & ((\led_flash_cnt[2791][5]~65963\) # (GND)))
-- \led_flash_cnt[2791][6]~65965\ = CARRY((!\led_flash_cnt[2791][5]~65963\) # (!\led_flash_cnt[2791][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2791][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2791][5]~65963\,
	combout => \led_flash_cnt[2791][6]~65964_combout\,
	cout => \led_flash_cnt[2791][6]~65965\);

-- Location: FF_X26_Y26_N29
\led_flash_cnt[2791][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2791][6]~65964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2791][6]~q\);

-- Location: LCCOMB_X25_Y26_N6
\WideAnd2791~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2791~1_combout\ = (\led_flash_cnt[2791][6]~q\ & \led_flash_cnt[2791][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2791][6]~q\,
	datad => \led_flash_cnt[2791][5]~q\,
	combout => \WideAnd2791~1_combout\);

-- Location: LCCOMB_X26_Y26_N30
\led_flash_cnt[2791][7]~65966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2791][7]~65966_combout\ = \led_flash_cnt[2791][7]~q\ $ (!\led_flash_cnt[2791][6]~65965\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2791][7]~q\,
	cin => \led_flash_cnt[2791][6]~65965\,
	combout => \led_flash_cnt[2791][7]~65966_combout\);

-- Location: FF_X26_Y26_N31
\led_flash_cnt[2791][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2791][7]~65966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2791][7]~q\);

-- Location: LCCOMB_X26_Y26_N16
\WideAnd2791~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2791~0_combout\ = (\led_flash_cnt[2791][1]~q\ & (\led_flash_cnt[2791][2]~q\ & (\led_flash_cnt[2791][3]~q\ & \led_flash_cnt[2791][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2791][1]~q\,
	datab => \led_flash_cnt[2791][2]~q\,
	datac => \led_flash_cnt[2791][3]~q\,
	datad => \led_flash_cnt[2791][4]~q\,
	combout => \WideAnd2791~0_combout\);

-- Location: LCCOMB_X26_Y26_N14
WideAnd2791 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2791~combout\ = (\led_flash_cnt[2791][0]~q\ & (\WideAnd2791~1_combout\ & (\led_flash_cnt[2791][7]~q\ & \WideAnd2791~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2791][0]~q\,
	datab => \WideAnd2791~1_combout\,
	datac => \led_flash_cnt[2791][7]~q\,
	datad => \WideAnd2791~0_combout\,
	combout => \WideAnd2791~combout\);

-- Location: FF_X26_Y26_N15
\led_flash_cnt_ands[2791]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2791~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2791));

-- Location: LCCOMB_X26_Y25_N8
WideAnd4188 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4188~combout\ = (led_flash_cnt_ands(2790) & (\WideAnd4188~0_combout\ & (\WideAnd4188~1_combout\ & led_flash_cnt_ands(2791))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2790),
	datab => \WideAnd4188~0_combout\,
	datac => \WideAnd4188~1_combout\,
	datad => led_flash_cnt_ands(2791),
	combout => \WideAnd4188~combout\);

-- Location: FF_X26_Y25_N9
\led_flash_cnt_ands_1[348]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4188~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(348));

-- Location: LCCOMB_X27_Y25_N30
\WideAnd4363~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4363~1_combout\ = (led_flash_cnt_ands_1(349) & led_flash_cnt_ands_1(348))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(349),
	datad => led_flash_cnt_ands_1(348),
	combout => \WideAnd4363~1_combout\);

-- Location: LCCOMB_X36_Y22_N28
\led_flash_cnt[2806][0]~83446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2806][0]~83446_combout\ = !\led_flash_cnt[2806][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2806][0]~q\,
	combout => \led_flash_cnt[2806][0]~83446_combout\);

-- Location: FF_X36_Y22_N29
\led_flash_cnt[2806][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2806][0]~83446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2806][0]~q\);

-- Location: LCCOMB_X35_Y22_N0
\led_flash_cnt[2806][1]~66164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2806][1]~66164_combout\ = (\led_flash_cnt[2806][1]~q\ & (\led_flash_cnt[2806][0]~q\ $ (VCC))) # (!\led_flash_cnt[2806][1]~q\ & (\led_flash_cnt[2806][0]~q\ & VCC))
-- \led_flash_cnt[2806][1]~66165\ = CARRY((\led_flash_cnt[2806][1]~q\ & \led_flash_cnt[2806][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2806][1]~q\,
	datab => \led_flash_cnt[2806][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2806][1]~66164_combout\,
	cout => \led_flash_cnt[2806][1]~66165\);

-- Location: FF_X35_Y22_N1
\led_flash_cnt[2806][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2806][1]~66164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2806][1]~q\);

-- Location: LCCOMB_X35_Y22_N2
\led_flash_cnt[2806][2]~66166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2806][2]~66166_combout\ = (\led_flash_cnt[2806][2]~q\ & (!\led_flash_cnt[2806][1]~66165\)) # (!\led_flash_cnt[2806][2]~q\ & ((\led_flash_cnt[2806][1]~66165\) # (GND)))
-- \led_flash_cnt[2806][2]~66167\ = CARRY((!\led_flash_cnt[2806][1]~66165\) # (!\led_flash_cnt[2806][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2806][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2806][1]~66165\,
	combout => \led_flash_cnt[2806][2]~66166_combout\,
	cout => \led_flash_cnt[2806][2]~66167\);

-- Location: FF_X35_Y22_N3
\led_flash_cnt[2806][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2806][2]~66166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2806][2]~q\);

-- Location: LCCOMB_X35_Y22_N4
\led_flash_cnt[2806][3]~66168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2806][3]~66168_combout\ = (\led_flash_cnt[2806][3]~q\ & (\led_flash_cnt[2806][2]~66167\ $ (GND))) # (!\led_flash_cnt[2806][3]~q\ & (!\led_flash_cnt[2806][2]~66167\ & VCC))
-- \led_flash_cnt[2806][3]~66169\ = CARRY((\led_flash_cnt[2806][3]~q\ & !\led_flash_cnt[2806][2]~66167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2806][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2806][2]~66167\,
	combout => \led_flash_cnt[2806][3]~66168_combout\,
	cout => \led_flash_cnt[2806][3]~66169\);

-- Location: FF_X35_Y22_N5
\led_flash_cnt[2806][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2806][3]~66168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2806][3]~q\);

-- Location: LCCOMB_X35_Y22_N6
\led_flash_cnt[2806][4]~66170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2806][4]~66170_combout\ = (\led_flash_cnt[2806][4]~q\ & (!\led_flash_cnt[2806][3]~66169\)) # (!\led_flash_cnt[2806][4]~q\ & ((\led_flash_cnt[2806][3]~66169\) # (GND)))
-- \led_flash_cnt[2806][4]~66171\ = CARRY((!\led_flash_cnt[2806][3]~66169\) # (!\led_flash_cnt[2806][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2806][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2806][3]~66169\,
	combout => \led_flash_cnt[2806][4]~66170_combout\,
	cout => \led_flash_cnt[2806][4]~66171\);

-- Location: FF_X35_Y22_N7
\led_flash_cnt[2806][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2806][4]~66170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2806][4]~q\);

-- Location: LCCOMB_X35_Y22_N8
\led_flash_cnt[2806][5]~66172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2806][5]~66172_combout\ = (\led_flash_cnt[2806][5]~q\ & (\led_flash_cnt[2806][4]~66171\ $ (GND))) # (!\led_flash_cnt[2806][5]~q\ & (!\led_flash_cnt[2806][4]~66171\ & VCC))
-- \led_flash_cnt[2806][5]~66173\ = CARRY((\led_flash_cnt[2806][5]~q\ & !\led_flash_cnt[2806][4]~66171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2806][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2806][4]~66171\,
	combout => \led_flash_cnt[2806][5]~66172_combout\,
	cout => \led_flash_cnt[2806][5]~66173\);

-- Location: FF_X35_Y22_N9
\led_flash_cnt[2806][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2806][5]~66172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2806][5]~q\);

-- Location: LCCOMB_X35_Y22_N10
\led_flash_cnt[2806][6]~66174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2806][6]~66174_combout\ = (\led_flash_cnt[2806][6]~q\ & (!\led_flash_cnt[2806][5]~66173\)) # (!\led_flash_cnt[2806][6]~q\ & ((\led_flash_cnt[2806][5]~66173\) # (GND)))
-- \led_flash_cnt[2806][6]~66175\ = CARRY((!\led_flash_cnt[2806][5]~66173\) # (!\led_flash_cnt[2806][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2806][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2806][5]~66173\,
	combout => \led_flash_cnt[2806][6]~66174_combout\,
	cout => \led_flash_cnt[2806][6]~66175\);

-- Location: FF_X35_Y22_N11
\led_flash_cnt[2806][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2806][6]~66174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2806][6]~q\);

-- Location: LCCOMB_X35_Y22_N22
\WideAnd2806~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2806~1_combout\ = (\led_flash_cnt[2806][5]~q\ & \led_flash_cnt[2806][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2806][5]~q\,
	datad => \led_flash_cnt[2806][6]~q\,
	combout => \WideAnd2806~1_combout\);

-- Location: LCCOMB_X35_Y22_N30
\WideAnd2806~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2806~0_combout\ = (\led_flash_cnt[2806][4]~q\ & (\led_flash_cnt[2806][1]~q\ & (\led_flash_cnt[2806][3]~q\ & \led_flash_cnt[2806][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2806][4]~q\,
	datab => \led_flash_cnt[2806][1]~q\,
	datac => \led_flash_cnt[2806][3]~q\,
	datad => \led_flash_cnt[2806][2]~q\,
	combout => \WideAnd2806~0_combout\);

-- Location: LCCOMB_X35_Y22_N12
\led_flash_cnt[2806][7]~66176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2806][7]~66176_combout\ = \led_flash_cnt[2806][6]~66175\ $ (!\led_flash_cnt[2806][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2806][7]~q\,
	cin => \led_flash_cnt[2806][6]~66175\,
	combout => \led_flash_cnt[2806][7]~66176_combout\);

-- Location: FF_X35_Y22_N13
\led_flash_cnt[2806][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2806][7]~66176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2806][7]~q\);

-- Location: LCCOMB_X35_Y22_N28
WideAnd2806 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2806~combout\ = (\WideAnd2806~1_combout\ & (\led_flash_cnt[2806][0]~q\ & (\WideAnd2806~0_combout\ & \led_flash_cnt[2806][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2806~1_combout\,
	datab => \led_flash_cnt[2806][0]~q\,
	datac => \WideAnd2806~0_combout\,
	datad => \led_flash_cnt[2806][7]~q\,
	combout => \WideAnd2806~combout\);

-- Location: FF_X35_Y22_N29
\led_flash_cnt_ands[2806]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2806~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2806));

-- Location: LCCOMB_X25_Y30_N30
\led_flash_cnt[2807][0]~83447\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2807][0]~83447_combout\ = !\led_flash_cnt[2807][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2807][0]~q\,
	combout => \led_flash_cnt[2807][0]~83447_combout\);

-- Location: FF_X25_Y30_N31
\led_flash_cnt[2807][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2807][0]~83447_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2807][0]~q\);

-- Location: LCCOMB_X36_Y26_N16
\led_flash_cnt[2807][1]~66178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2807][1]~66178_combout\ = (\led_flash_cnt[2807][0]~q\ & (\led_flash_cnt[2807][1]~q\ $ (VCC))) # (!\led_flash_cnt[2807][0]~q\ & (\led_flash_cnt[2807][1]~q\ & VCC))
-- \led_flash_cnt[2807][1]~66179\ = CARRY((\led_flash_cnt[2807][0]~q\ & \led_flash_cnt[2807][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2807][0]~q\,
	datab => \led_flash_cnt[2807][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2807][1]~66178_combout\,
	cout => \led_flash_cnt[2807][1]~66179\);

-- Location: FF_X36_Y26_N17
\led_flash_cnt[2807][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2807][1]~66178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2807][1]~q\);

-- Location: LCCOMB_X36_Y26_N18
\led_flash_cnt[2807][2]~66180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2807][2]~66180_combout\ = (\led_flash_cnt[2807][2]~q\ & (!\led_flash_cnt[2807][1]~66179\)) # (!\led_flash_cnt[2807][2]~q\ & ((\led_flash_cnt[2807][1]~66179\) # (GND)))
-- \led_flash_cnt[2807][2]~66181\ = CARRY((!\led_flash_cnt[2807][1]~66179\) # (!\led_flash_cnt[2807][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2807][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2807][1]~66179\,
	combout => \led_flash_cnt[2807][2]~66180_combout\,
	cout => \led_flash_cnt[2807][2]~66181\);

-- Location: FF_X36_Y26_N19
\led_flash_cnt[2807][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2807][2]~66180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2807][2]~q\);

-- Location: LCCOMB_X36_Y26_N20
\led_flash_cnt[2807][3]~66182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2807][3]~66182_combout\ = (\led_flash_cnt[2807][3]~q\ & (\led_flash_cnt[2807][2]~66181\ $ (GND))) # (!\led_flash_cnt[2807][3]~q\ & (!\led_flash_cnt[2807][2]~66181\ & VCC))
-- \led_flash_cnt[2807][3]~66183\ = CARRY((\led_flash_cnt[2807][3]~q\ & !\led_flash_cnt[2807][2]~66181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2807][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2807][2]~66181\,
	combout => \led_flash_cnt[2807][3]~66182_combout\,
	cout => \led_flash_cnt[2807][3]~66183\);

-- Location: FF_X36_Y26_N21
\led_flash_cnt[2807][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2807][3]~66182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2807][3]~q\);

-- Location: LCCOMB_X36_Y26_N22
\led_flash_cnt[2807][4]~66184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2807][4]~66184_combout\ = (\led_flash_cnt[2807][4]~q\ & (!\led_flash_cnt[2807][3]~66183\)) # (!\led_flash_cnt[2807][4]~q\ & ((\led_flash_cnt[2807][3]~66183\) # (GND)))
-- \led_flash_cnt[2807][4]~66185\ = CARRY((!\led_flash_cnt[2807][3]~66183\) # (!\led_flash_cnt[2807][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2807][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2807][3]~66183\,
	combout => \led_flash_cnt[2807][4]~66184_combout\,
	cout => \led_flash_cnt[2807][4]~66185\);

-- Location: FF_X36_Y26_N23
\led_flash_cnt[2807][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2807][4]~66184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2807][4]~q\);

-- Location: LCCOMB_X36_Y26_N24
\led_flash_cnt[2807][5]~66186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2807][5]~66186_combout\ = (\led_flash_cnt[2807][5]~q\ & (\led_flash_cnt[2807][4]~66185\ $ (GND))) # (!\led_flash_cnt[2807][5]~q\ & (!\led_flash_cnt[2807][4]~66185\ & VCC))
-- \led_flash_cnt[2807][5]~66187\ = CARRY((\led_flash_cnt[2807][5]~q\ & !\led_flash_cnt[2807][4]~66185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2807][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2807][4]~66185\,
	combout => \led_flash_cnt[2807][5]~66186_combout\,
	cout => \led_flash_cnt[2807][5]~66187\);

-- Location: FF_X36_Y26_N25
\led_flash_cnt[2807][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2807][5]~66186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2807][5]~q\);

-- Location: LCCOMB_X36_Y26_N26
\led_flash_cnt[2807][6]~66188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2807][6]~66188_combout\ = (\led_flash_cnt[2807][6]~q\ & (!\led_flash_cnt[2807][5]~66187\)) # (!\led_flash_cnt[2807][6]~q\ & ((\led_flash_cnt[2807][5]~66187\) # (GND)))
-- \led_flash_cnt[2807][6]~66189\ = CARRY((!\led_flash_cnt[2807][5]~66187\) # (!\led_flash_cnt[2807][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2807][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2807][5]~66187\,
	combout => \led_flash_cnt[2807][6]~66188_combout\,
	cout => \led_flash_cnt[2807][6]~66189\);

-- Location: FF_X36_Y26_N27
\led_flash_cnt[2807][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2807][6]~66188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2807][6]~q\);

-- Location: LCCOMB_X35_Y26_N18
\WideAnd2807~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2807~1_combout\ = (\led_flash_cnt[2807][6]~q\ & \led_flash_cnt[2807][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2807][6]~q\,
	datad => \led_flash_cnt[2807][5]~q\,
	combout => \WideAnd2807~1_combout\);

-- Location: LCCOMB_X36_Y26_N0
\WideAnd2807~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2807~0_combout\ = (\led_flash_cnt[2807][1]~q\ & (\led_flash_cnt[2807][2]~q\ & (\led_flash_cnt[2807][4]~q\ & \led_flash_cnt[2807][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2807][1]~q\,
	datab => \led_flash_cnt[2807][2]~q\,
	datac => \led_flash_cnt[2807][4]~q\,
	datad => \led_flash_cnt[2807][3]~q\,
	combout => \WideAnd2807~0_combout\);

-- Location: LCCOMB_X36_Y26_N28
\led_flash_cnt[2807][7]~66190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2807][7]~66190_combout\ = \led_flash_cnt[2807][6]~66189\ $ (!\led_flash_cnt[2807][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2807][7]~q\,
	cin => \led_flash_cnt[2807][6]~66189\,
	combout => \led_flash_cnt[2807][7]~66190_combout\);

-- Location: FF_X36_Y26_N29
\led_flash_cnt[2807][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2807][7]~66190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2807][7]~q\);

-- Location: LCCOMB_X35_Y26_N0
WideAnd2807 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2807~combout\ = (\led_flash_cnt[2807][0]~q\ & (\WideAnd2807~1_combout\ & (\WideAnd2807~0_combout\ & \led_flash_cnt[2807][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2807][0]~q\,
	datab => \WideAnd2807~1_combout\,
	datac => \WideAnd2807~0_combout\,
	datad => \led_flash_cnt[2807][7]~q\,
	combout => \WideAnd2807~combout\);

-- Location: FF_X35_Y26_N1
\led_flash_cnt_ands[2807]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2807~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2807));

-- Location: LCCOMB_X31_Y24_N10
\led_flash_cnt[2803][0]~83443\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2803][0]~83443_combout\ = !\led_flash_cnt[2803][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2803][0]~q\,
	combout => \led_flash_cnt[2803][0]~83443_combout\);

-- Location: FF_X31_Y24_N11
\led_flash_cnt[2803][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2803][0]~83443_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2803][0]~q\);

-- Location: LCCOMB_X31_Y24_N18
\led_flash_cnt[2803][1]~66122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2803][1]~66122_combout\ = (\led_flash_cnt[2803][0]~q\ & (\led_flash_cnt[2803][1]~q\ $ (VCC))) # (!\led_flash_cnt[2803][0]~q\ & (\led_flash_cnt[2803][1]~q\ & VCC))
-- \led_flash_cnt[2803][1]~66123\ = CARRY((\led_flash_cnt[2803][0]~q\ & \led_flash_cnt[2803][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2803][0]~q\,
	datab => \led_flash_cnt[2803][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2803][1]~66122_combout\,
	cout => \led_flash_cnt[2803][1]~66123\);

-- Location: FF_X31_Y24_N19
\led_flash_cnt[2803][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2803][1]~66122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2803][1]~q\);

-- Location: LCCOMB_X31_Y24_N20
\led_flash_cnt[2803][2]~66124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2803][2]~66124_combout\ = (\led_flash_cnt[2803][2]~q\ & (!\led_flash_cnt[2803][1]~66123\)) # (!\led_flash_cnt[2803][2]~q\ & ((\led_flash_cnt[2803][1]~66123\) # (GND)))
-- \led_flash_cnt[2803][2]~66125\ = CARRY((!\led_flash_cnt[2803][1]~66123\) # (!\led_flash_cnt[2803][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2803][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2803][1]~66123\,
	combout => \led_flash_cnt[2803][2]~66124_combout\,
	cout => \led_flash_cnt[2803][2]~66125\);

-- Location: FF_X31_Y24_N21
\led_flash_cnt[2803][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2803][2]~66124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2803][2]~q\);

-- Location: LCCOMB_X31_Y24_N22
\led_flash_cnt[2803][3]~66126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2803][3]~66126_combout\ = (\led_flash_cnt[2803][3]~q\ & (\led_flash_cnt[2803][2]~66125\ $ (GND))) # (!\led_flash_cnt[2803][3]~q\ & (!\led_flash_cnt[2803][2]~66125\ & VCC))
-- \led_flash_cnt[2803][3]~66127\ = CARRY((\led_flash_cnt[2803][3]~q\ & !\led_flash_cnt[2803][2]~66125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2803][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2803][2]~66125\,
	combout => \led_flash_cnt[2803][3]~66126_combout\,
	cout => \led_flash_cnt[2803][3]~66127\);

-- Location: FF_X31_Y24_N23
\led_flash_cnt[2803][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2803][3]~66126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2803][3]~q\);

-- Location: LCCOMB_X31_Y24_N24
\led_flash_cnt[2803][4]~66128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2803][4]~66128_combout\ = (\led_flash_cnt[2803][4]~q\ & (!\led_flash_cnt[2803][3]~66127\)) # (!\led_flash_cnt[2803][4]~q\ & ((\led_flash_cnt[2803][3]~66127\) # (GND)))
-- \led_flash_cnt[2803][4]~66129\ = CARRY((!\led_flash_cnt[2803][3]~66127\) # (!\led_flash_cnt[2803][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2803][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2803][3]~66127\,
	combout => \led_flash_cnt[2803][4]~66128_combout\,
	cout => \led_flash_cnt[2803][4]~66129\);

-- Location: FF_X31_Y24_N25
\led_flash_cnt[2803][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2803][4]~66128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2803][4]~q\);

-- Location: LCCOMB_X31_Y24_N26
\led_flash_cnt[2803][5]~66130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2803][5]~66130_combout\ = (\led_flash_cnt[2803][5]~q\ & (\led_flash_cnt[2803][4]~66129\ $ (GND))) # (!\led_flash_cnt[2803][5]~q\ & (!\led_flash_cnt[2803][4]~66129\ & VCC))
-- \led_flash_cnt[2803][5]~66131\ = CARRY((\led_flash_cnt[2803][5]~q\ & !\led_flash_cnt[2803][4]~66129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2803][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2803][4]~66129\,
	combout => \led_flash_cnt[2803][5]~66130_combout\,
	cout => \led_flash_cnt[2803][5]~66131\);

-- Location: FF_X31_Y24_N27
\led_flash_cnt[2803][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2803][5]~66130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2803][5]~q\);

-- Location: LCCOMB_X31_Y24_N28
\led_flash_cnt[2803][6]~66132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2803][6]~66132_combout\ = (\led_flash_cnt[2803][6]~q\ & (!\led_flash_cnt[2803][5]~66131\)) # (!\led_flash_cnt[2803][6]~q\ & ((\led_flash_cnt[2803][5]~66131\) # (GND)))
-- \led_flash_cnt[2803][6]~66133\ = CARRY((!\led_flash_cnt[2803][5]~66131\) # (!\led_flash_cnt[2803][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2803][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2803][5]~66131\,
	combout => \led_flash_cnt[2803][6]~66132_combout\,
	cout => \led_flash_cnt[2803][6]~66133\);

-- Location: FF_X31_Y24_N29
\led_flash_cnt[2803][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2803][6]~66132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2803][6]~q\);

-- Location: LCCOMB_X31_Y24_N6
\WideAnd2803~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2803~1_combout\ = (\led_flash_cnt[2803][5]~q\ & \led_flash_cnt[2803][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2803][5]~q\,
	datad => \led_flash_cnt[2803][6]~q\,
	combout => \WideAnd2803~1_combout\);

-- Location: LCCOMB_X31_Y24_N16
\WideAnd2803~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2803~0_combout\ = (\led_flash_cnt[2803][4]~q\ & (\led_flash_cnt[2803][2]~q\ & (\led_flash_cnt[2803][3]~q\ & \led_flash_cnt[2803][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2803][4]~q\,
	datab => \led_flash_cnt[2803][2]~q\,
	datac => \led_flash_cnt[2803][3]~q\,
	datad => \led_flash_cnt[2803][1]~q\,
	combout => \WideAnd2803~0_combout\);

-- Location: LCCOMB_X31_Y24_N30
\led_flash_cnt[2803][7]~66134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2803][7]~66134_combout\ = \led_flash_cnt[2803][7]~q\ $ (!\led_flash_cnt[2803][6]~66133\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2803][7]~q\,
	cin => \led_flash_cnt[2803][6]~66133\,
	combout => \led_flash_cnt[2803][7]~66134_combout\);

-- Location: FF_X31_Y24_N31
\led_flash_cnt[2803][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2803][7]~66134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2803][7]~q\);

-- Location: LCCOMB_X31_Y24_N12
WideAnd2803 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2803~combout\ = (\WideAnd2803~1_combout\ & (\WideAnd2803~0_combout\ & (\led_flash_cnt[2803][7]~q\ & \led_flash_cnt[2803][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2803~1_combout\,
	datab => \WideAnd2803~0_combout\,
	datac => \led_flash_cnt[2803][7]~q\,
	datad => \led_flash_cnt[2803][0]~q\,
	combout => \WideAnd2803~combout\);

-- Location: FF_X31_Y24_N13
\led_flash_cnt_ands[2803]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2803~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2803));

-- Location: LCCOMB_X7_Y21_N30
\led_flash_cnt[2801][0]~83441\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2801][0]~83441_combout\ = !\led_flash_cnt[2801][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2801][0]~q\,
	combout => \led_flash_cnt[2801][0]~83441_combout\);

-- Location: FF_X7_Y21_N31
\led_flash_cnt[2801][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2801][0]~83441_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2801][0]~q\);

-- Location: LCCOMB_X7_Y21_N0
\led_flash_cnt[2801][1]~66094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2801][1]~66094_combout\ = (\led_flash_cnt[2801][0]~q\ & (\led_flash_cnt[2801][1]~q\ $ (VCC))) # (!\led_flash_cnt[2801][0]~q\ & (\led_flash_cnt[2801][1]~q\ & VCC))
-- \led_flash_cnt[2801][1]~66095\ = CARRY((\led_flash_cnt[2801][0]~q\ & \led_flash_cnt[2801][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2801][0]~q\,
	datab => \led_flash_cnt[2801][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2801][1]~66094_combout\,
	cout => \led_flash_cnt[2801][1]~66095\);

-- Location: FF_X7_Y21_N1
\led_flash_cnt[2801][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2801][1]~66094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2801][1]~q\);

-- Location: LCCOMB_X7_Y21_N2
\led_flash_cnt[2801][2]~66096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2801][2]~66096_combout\ = (\led_flash_cnt[2801][2]~q\ & (!\led_flash_cnt[2801][1]~66095\)) # (!\led_flash_cnt[2801][2]~q\ & ((\led_flash_cnt[2801][1]~66095\) # (GND)))
-- \led_flash_cnt[2801][2]~66097\ = CARRY((!\led_flash_cnt[2801][1]~66095\) # (!\led_flash_cnt[2801][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2801][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2801][1]~66095\,
	combout => \led_flash_cnt[2801][2]~66096_combout\,
	cout => \led_flash_cnt[2801][2]~66097\);

-- Location: FF_X7_Y21_N3
\led_flash_cnt[2801][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2801][2]~66096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2801][2]~q\);

-- Location: LCCOMB_X7_Y21_N4
\led_flash_cnt[2801][3]~66098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2801][3]~66098_combout\ = (\led_flash_cnt[2801][3]~q\ & (\led_flash_cnt[2801][2]~66097\ $ (GND))) # (!\led_flash_cnt[2801][3]~q\ & (!\led_flash_cnt[2801][2]~66097\ & VCC))
-- \led_flash_cnt[2801][3]~66099\ = CARRY((\led_flash_cnt[2801][3]~q\ & !\led_flash_cnt[2801][2]~66097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2801][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2801][2]~66097\,
	combout => \led_flash_cnt[2801][3]~66098_combout\,
	cout => \led_flash_cnt[2801][3]~66099\);

-- Location: FF_X7_Y21_N5
\led_flash_cnt[2801][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2801][3]~66098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2801][3]~q\);

-- Location: LCCOMB_X7_Y21_N6
\led_flash_cnt[2801][4]~66100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2801][4]~66100_combout\ = (\led_flash_cnt[2801][4]~q\ & (!\led_flash_cnt[2801][3]~66099\)) # (!\led_flash_cnt[2801][4]~q\ & ((\led_flash_cnt[2801][3]~66099\) # (GND)))
-- \led_flash_cnt[2801][4]~66101\ = CARRY((!\led_flash_cnt[2801][3]~66099\) # (!\led_flash_cnt[2801][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2801][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2801][3]~66099\,
	combout => \led_flash_cnt[2801][4]~66100_combout\,
	cout => \led_flash_cnt[2801][4]~66101\);

-- Location: FF_X7_Y21_N7
\led_flash_cnt[2801][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2801][4]~66100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2801][4]~q\);

-- Location: LCCOMB_X7_Y21_N8
\led_flash_cnt[2801][5]~66102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2801][5]~66102_combout\ = (\led_flash_cnt[2801][5]~q\ & (\led_flash_cnt[2801][4]~66101\ $ (GND))) # (!\led_flash_cnt[2801][5]~q\ & (!\led_flash_cnt[2801][4]~66101\ & VCC))
-- \led_flash_cnt[2801][5]~66103\ = CARRY((\led_flash_cnt[2801][5]~q\ & !\led_flash_cnt[2801][4]~66101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2801][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2801][4]~66101\,
	combout => \led_flash_cnt[2801][5]~66102_combout\,
	cout => \led_flash_cnt[2801][5]~66103\);

-- Location: FF_X7_Y21_N9
\led_flash_cnt[2801][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2801][5]~66102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2801][5]~q\);

-- Location: LCCOMB_X7_Y21_N10
\led_flash_cnt[2801][6]~66104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2801][6]~66104_combout\ = (\led_flash_cnt[2801][6]~q\ & (!\led_flash_cnt[2801][5]~66103\)) # (!\led_flash_cnt[2801][6]~q\ & ((\led_flash_cnt[2801][5]~66103\) # (GND)))
-- \led_flash_cnt[2801][6]~66105\ = CARRY((!\led_flash_cnt[2801][5]~66103\) # (!\led_flash_cnt[2801][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2801][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2801][5]~66103\,
	combout => \led_flash_cnt[2801][6]~66104_combout\,
	cout => \led_flash_cnt[2801][6]~66105\);

-- Location: FF_X7_Y21_N11
\led_flash_cnt[2801][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2801][6]~66104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2801][6]~q\);

-- Location: LCCOMB_X7_Y21_N12
\led_flash_cnt[2801][7]~66106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2801][7]~66106_combout\ = \led_flash_cnt[2801][6]~66105\ $ (!\led_flash_cnt[2801][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2801][7]~q\,
	cin => \led_flash_cnt[2801][6]~66105\,
	combout => \led_flash_cnt[2801][7]~66106_combout\);

-- Location: FF_X7_Y21_N13
\led_flash_cnt[2801][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2801][7]~66106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2801][7]~q\);

-- Location: LCCOMB_X7_Y21_N20
\WideAnd2801~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2801~1_combout\ = (\led_flash_cnt[2801][5]~q\ & \led_flash_cnt[2801][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2801][5]~q\,
	datad => \led_flash_cnt[2801][6]~q\,
	combout => \WideAnd2801~1_combout\);

-- Location: LCCOMB_X7_Y21_N18
\WideAnd2801~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2801~0_combout\ = (\led_flash_cnt[2801][4]~q\ & (\led_flash_cnt[2801][1]~q\ & (\led_flash_cnt[2801][3]~q\ & \led_flash_cnt[2801][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2801][4]~q\,
	datab => \led_flash_cnt[2801][1]~q\,
	datac => \led_flash_cnt[2801][3]~q\,
	datad => \led_flash_cnt[2801][2]~q\,
	combout => \WideAnd2801~0_combout\);

-- Location: LCCOMB_X7_Y21_N16
WideAnd2801 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2801~combout\ = (\led_flash_cnt[2801][7]~q\ & (\WideAnd2801~1_combout\ & (\led_flash_cnt[2801][0]~q\ & \WideAnd2801~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2801][7]~q\,
	datab => \WideAnd2801~1_combout\,
	datac => \led_flash_cnt[2801][0]~q\,
	datad => \WideAnd2801~0_combout\,
	combout => \WideAnd2801~combout\);

-- Location: FF_X7_Y21_N17
\led_flash_cnt_ands[2801]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2801~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2801));

-- Location: LCCOMB_X32_Y26_N14
\led_flash_cnt[2800][0]~83440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2800][0]~83440_combout\ = !\led_flash_cnt[2800][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2800][0]~q\,
	combout => \led_flash_cnt[2800][0]~83440_combout\);

-- Location: FF_X32_Y26_N15
\led_flash_cnt[2800][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2800][0]~83440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2800][0]~q\);

-- Location: LCCOMB_X34_Y26_N16
\led_flash_cnt[2800][1]~66080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2800][1]~66080_combout\ = (\led_flash_cnt[2800][0]~q\ & (\led_flash_cnt[2800][1]~q\ $ (VCC))) # (!\led_flash_cnt[2800][0]~q\ & (\led_flash_cnt[2800][1]~q\ & VCC))
-- \led_flash_cnt[2800][1]~66081\ = CARRY((\led_flash_cnt[2800][0]~q\ & \led_flash_cnt[2800][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2800][0]~q\,
	datab => \led_flash_cnt[2800][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2800][1]~66080_combout\,
	cout => \led_flash_cnt[2800][1]~66081\);

-- Location: FF_X34_Y26_N17
\led_flash_cnt[2800][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2800][1]~66080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2800][1]~q\);

-- Location: LCCOMB_X34_Y26_N18
\led_flash_cnt[2800][2]~66082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2800][2]~66082_combout\ = (\led_flash_cnt[2800][2]~q\ & (!\led_flash_cnt[2800][1]~66081\)) # (!\led_flash_cnt[2800][2]~q\ & ((\led_flash_cnt[2800][1]~66081\) # (GND)))
-- \led_flash_cnt[2800][2]~66083\ = CARRY((!\led_flash_cnt[2800][1]~66081\) # (!\led_flash_cnt[2800][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2800][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2800][1]~66081\,
	combout => \led_flash_cnt[2800][2]~66082_combout\,
	cout => \led_flash_cnt[2800][2]~66083\);

-- Location: FF_X34_Y26_N19
\led_flash_cnt[2800][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2800][2]~66082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2800][2]~q\);

-- Location: LCCOMB_X34_Y26_N20
\led_flash_cnt[2800][3]~66084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2800][3]~66084_combout\ = (\led_flash_cnt[2800][3]~q\ & (\led_flash_cnt[2800][2]~66083\ $ (GND))) # (!\led_flash_cnt[2800][3]~q\ & (!\led_flash_cnt[2800][2]~66083\ & VCC))
-- \led_flash_cnt[2800][3]~66085\ = CARRY((\led_flash_cnt[2800][3]~q\ & !\led_flash_cnt[2800][2]~66083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2800][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2800][2]~66083\,
	combout => \led_flash_cnt[2800][3]~66084_combout\,
	cout => \led_flash_cnt[2800][3]~66085\);

-- Location: FF_X34_Y26_N21
\led_flash_cnt[2800][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2800][3]~66084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2800][3]~q\);

-- Location: LCCOMB_X34_Y26_N22
\led_flash_cnt[2800][4]~66086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2800][4]~66086_combout\ = (\led_flash_cnt[2800][4]~q\ & (!\led_flash_cnt[2800][3]~66085\)) # (!\led_flash_cnt[2800][4]~q\ & ((\led_flash_cnt[2800][3]~66085\) # (GND)))
-- \led_flash_cnt[2800][4]~66087\ = CARRY((!\led_flash_cnt[2800][3]~66085\) # (!\led_flash_cnt[2800][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2800][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2800][3]~66085\,
	combout => \led_flash_cnt[2800][4]~66086_combout\,
	cout => \led_flash_cnt[2800][4]~66087\);

-- Location: FF_X34_Y26_N23
\led_flash_cnt[2800][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2800][4]~66086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2800][4]~q\);

-- Location: LCCOMB_X34_Y26_N24
\led_flash_cnt[2800][5]~66088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2800][5]~66088_combout\ = (\led_flash_cnt[2800][5]~q\ & (\led_flash_cnt[2800][4]~66087\ $ (GND))) # (!\led_flash_cnt[2800][5]~q\ & (!\led_flash_cnt[2800][4]~66087\ & VCC))
-- \led_flash_cnt[2800][5]~66089\ = CARRY((\led_flash_cnt[2800][5]~q\ & !\led_flash_cnt[2800][4]~66087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2800][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2800][4]~66087\,
	combout => \led_flash_cnt[2800][5]~66088_combout\,
	cout => \led_flash_cnt[2800][5]~66089\);

-- Location: FF_X34_Y26_N25
\led_flash_cnt[2800][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2800][5]~66088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2800][5]~q\);

-- Location: LCCOMB_X34_Y26_N26
\led_flash_cnt[2800][6]~66090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2800][6]~66090_combout\ = (\led_flash_cnt[2800][6]~q\ & (!\led_flash_cnt[2800][5]~66089\)) # (!\led_flash_cnt[2800][6]~q\ & ((\led_flash_cnt[2800][5]~66089\) # (GND)))
-- \led_flash_cnt[2800][6]~66091\ = CARRY((!\led_flash_cnt[2800][5]~66089\) # (!\led_flash_cnt[2800][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2800][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2800][5]~66089\,
	combout => \led_flash_cnt[2800][6]~66090_combout\,
	cout => \led_flash_cnt[2800][6]~66091\);

-- Location: FF_X34_Y26_N27
\led_flash_cnt[2800][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2800][6]~66090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2800][6]~q\);

-- Location: LCCOMB_X34_Y26_N28
\led_flash_cnt[2800][7]~66092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2800][7]~66092_combout\ = \led_flash_cnt[2800][6]~66091\ $ (!\led_flash_cnt[2800][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2800][7]~q\,
	cin => \led_flash_cnt[2800][6]~66091\,
	combout => \led_flash_cnt[2800][7]~66092_combout\);

-- Location: FF_X34_Y26_N29
\led_flash_cnt[2800][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2800][7]~66092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2800][7]~q\);

-- Location: LCCOMB_X34_Y26_N14
\WideAnd2800~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2800~0_combout\ = (\led_flash_cnt[2800][1]~q\ & (\led_flash_cnt[2800][3]~q\ & (\led_flash_cnt[2800][4]~q\ & \led_flash_cnt[2800][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2800][1]~q\,
	datab => \led_flash_cnt[2800][3]~q\,
	datac => \led_flash_cnt[2800][4]~q\,
	datad => \led_flash_cnt[2800][2]~q\,
	combout => \WideAnd2800~0_combout\);

-- Location: LCCOMB_X32_Y26_N2
\WideAnd2800~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2800~1_combout\ = (\led_flash_cnt[2800][6]~q\ & \led_flash_cnt[2800][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2800][6]~q\,
	datad => \led_flash_cnt[2800][5]~q\,
	combout => \WideAnd2800~1_combout\);

-- Location: LCCOMB_X32_Y26_N30
WideAnd2800 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2800~combout\ = (\led_flash_cnt[2800][7]~q\ & (\WideAnd2800~0_combout\ & (\led_flash_cnt[2800][0]~q\ & \WideAnd2800~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2800][7]~q\,
	datab => \WideAnd2800~0_combout\,
	datac => \led_flash_cnt[2800][0]~q\,
	datad => \WideAnd2800~1_combout\,
	combout => \WideAnd2800~combout\);

-- Location: FF_X32_Y26_N31
\led_flash_cnt_ands[2800]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2800~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2800));

-- Location: LCCOMB_X31_Y24_N4
\led_flash_cnt[2802][0]~83442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2802][0]~83442_combout\ = !\led_flash_cnt[2802][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2802][0]~q\,
	combout => \led_flash_cnt[2802][0]~83442_combout\);

-- Location: FF_X31_Y24_N5
\led_flash_cnt[2802][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2802][0]~83442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2802][0]~q\);

-- Location: LCCOMB_X30_Y24_N2
\led_flash_cnt[2802][1]~66108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2802][1]~66108_combout\ = (\led_flash_cnt[2802][0]~q\ & (\led_flash_cnt[2802][1]~q\ $ (VCC))) # (!\led_flash_cnt[2802][0]~q\ & (\led_flash_cnt[2802][1]~q\ & VCC))
-- \led_flash_cnt[2802][1]~66109\ = CARRY((\led_flash_cnt[2802][0]~q\ & \led_flash_cnt[2802][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2802][0]~q\,
	datab => \led_flash_cnt[2802][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2802][1]~66108_combout\,
	cout => \led_flash_cnt[2802][1]~66109\);

-- Location: FF_X30_Y24_N3
\led_flash_cnt[2802][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2802][1]~66108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2802][1]~q\);

-- Location: LCCOMB_X30_Y24_N4
\led_flash_cnt[2802][2]~66110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2802][2]~66110_combout\ = (\led_flash_cnt[2802][2]~q\ & (!\led_flash_cnt[2802][1]~66109\)) # (!\led_flash_cnt[2802][2]~q\ & ((\led_flash_cnt[2802][1]~66109\) # (GND)))
-- \led_flash_cnt[2802][2]~66111\ = CARRY((!\led_flash_cnt[2802][1]~66109\) # (!\led_flash_cnt[2802][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2802][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2802][1]~66109\,
	combout => \led_flash_cnt[2802][2]~66110_combout\,
	cout => \led_flash_cnt[2802][2]~66111\);

-- Location: FF_X30_Y24_N5
\led_flash_cnt[2802][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2802][2]~66110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2802][2]~q\);

-- Location: LCCOMB_X30_Y24_N6
\led_flash_cnt[2802][3]~66112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2802][3]~66112_combout\ = (\led_flash_cnt[2802][3]~q\ & (\led_flash_cnt[2802][2]~66111\ $ (GND))) # (!\led_flash_cnt[2802][3]~q\ & (!\led_flash_cnt[2802][2]~66111\ & VCC))
-- \led_flash_cnt[2802][3]~66113\ = CARRY((\led_flash_cnt[2802][3]~q\ & !\led_flash_cnt[2802][2]~66111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2802][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2802][2]~66111\,
	combout => \led_flash_cnt[2802][3]~66112_combout\,
	cout => \led_flash_cnt[2802][3]~66113\);

-- Location: FF_X30_Y24_N7
\led_flash_cnt[2802][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2802][3]~66112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2802][3]~q\);

-- Location: LCCOMB_X30_Y24_N8
\led_flash_cnt[2802][4]~66114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2802][4]~66114_combout\ = (\led_flash_cnt[2802][4]~q\ & (!\led_flash_cnt[2802][3]~66113\)) # (!\led_flash_cnt[2802][4]~q\ & ((\led_flash_cnt[2802][3]~66113\) # (GND)))
-- \led_flash_cnt[2802][4]~66115\ = CARRY((!\led_flash_cnt[2802][3]~66113\) # (!\led_flash_cnt[2802][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2802][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2802][3]~66113\,
	combout => \led_flash_cnt[2802][4]~66114_combout\,
	cout => \led_flash_cnt[2802][4]~66115\);

-- Location: FF_X30_Y24_N9
\led_flash_cnt[2802][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2802][4]~66114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2802][4]~q\);

-- Location: LCCOMB_X30_Y24_N0
\WideAnd2802~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2802~0_combout\ = (\led_flash_cnt[2802][3]~q\ & (\led_flash_cnt[2802][4]~q\ & (\led_flash_cnt[2802][2]~q\ & \led_flash_cnt[2802][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2802][3]~q\,
	datab => \led_flash_cnt[2802][4]~q\,
	datac => \led_flash_cnt[2802][2]~q\,
	datad => \led_flash_cnt[2802][1]~q\,
	combout => \WideAnd2802~0_combout\);

-- Location: LCCOMB_X30_Y24_N10
\led_flash_cnt[2802][5]~66116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2802][5]~66116_combout\ = (\led_flash_cnt[2802][5]~q\ & (\led_flash_cnt[2802][4]~66115\ $ (GND))) # (!\led_flash_cnt[2802][5]~q\ & (!\led_flash_cnt[2802][4]~66115\ & VCC))
-- \led_flash_cnt[2802][5]~66117\ = CARRY((\led_flash_cnt[2802][5]~q\ & !\led_flash_cnt[2802][4]~66115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2802][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2802][4]~66115\,
	combout => \led_flash_cnt[2802][5]~66116_combout\,
	cout => \led_flash_cnt[2802][5]~66117\);

-- Location: FF_X30_Y24_N11
\led_flash_cnt[2802][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2802][5]~66116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2802][5]~q\);

-- Location: LCCOMB_X30_Y24_N12
\led_flash_cnt[2802][6]~66118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2802][6]~66118_combout\ = (\led_flash_cnt[2802][6]~q\ & (!\led_flash_cnt[2802][5]~66117\)) # (!\led_flash_cnt[2802][6]~q\ & ((\led_flash_cnt[2802][5]~66117\) # (GND)))
-- \led_flash_cnt[2802][6]~66119\ = CARRY((!\led_flash_cnt[2802][5]~66117\) # (!\led_flash_cnt[2802][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2802][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2802][5]~66117\,
	combout => \led_flash_cnt[2802][6]~66118_combout\,
	cout => \led_flash_cnt[2802][6]~66119\);

-- Location: FF_X30_Y24_N13
\led_flash_cnt[2802][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2802][6]~66118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2802][6]~q\);

-- Location: LCCOMB_X31_Y24_N0
\WideAnd2802~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2802~1_combout\ = (\led_flash_cnt[2802][6]~q\ & \led_flash_cnt[2802][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2802][6]~q\,
	datad => \led_flash_cnt[2802][5]~q\,
	combout => \WideAnd2802~1_combout\);

-- Location: LCCOMB_X30_Y24_N14
\led_flash_cnt[2802][7]~66120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2802][7]~66120_combout\ = \led_flash_cnt[2802][7]~q\ $ (!\led_flash_cnt[2802][6]~66119\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2802][7]~q\,
	cin => \led_flash_cnt[2802][6]~66119\,
	combout => \led_flash_cnt[2802][7]~66120_combout\);

-- Location: FF_X30_Y24_N15
\led_flash_cnt[2802][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2802][7]~66120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2802][7]~q\);

-- Location: LCCOMB_X31_Y24_N2
WideAnd2802 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2802~combout\ = (\WideAnd2802~0_combout\ & (\WideAnd2802~1_combout\ & (\led_flash_cnt[2802][0]~q\ & \led_flash_cnt[2802][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2802~0_combout\,
	datab => \WideAnd2802~1_combout\,
	datac => \led_flash_cnt[2802][0]~q\,
	datad => \led_flash_cnt[2802][7]~q\,
	combout => \WideAnd2802~combout\);

-- Location: FF_X31_Y24_N3
\led_flash_cnt_ands[2802]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2802~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2802));

-- Location: LCCOMB_X32_Y24_N4
\WideAnd4190~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4190~0_combout\ = (led_flash_cnt_ands(2803) & (led_flash_cnt_ands(2801) & (led_flash_cnt_ands(2800) & led_flash_cnt_ands(2802))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2803),
	datab => led_flash_cnt_ands(2801),
	datac => led_flash_cnt_ands(2800),
	datad => led_flash_cnt_ands(2802),
	combout => \WideAnd4190~0_combout\);

-- Location: LCCOMB_X35_Y22_N24
\led_flash_cnt[2804][0]~83444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2804][0]~83444_combout\ = !\led_flash_cnt[2804][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2804][0]~q\,
	combout => \led_flash_cnt[2804][0]~83444_combout\);

-- Location: FF_X35_Y22_N25
\led_flash_cnt[2804][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2804][0]~83444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2804][0]~q\);

-- Location: LCCOMB_X34_Y22_N18
\led_flash_cnt[2804][1]~66136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2804][1]~66136_combout\ = (\led_flash_cnt[2804][1]~q\ & (\led_flash_cnt[2804][0]~q\ $ (VCC))) # (!\led_flash_cnt[2804][1]~q\ & (\led_flash_cnt[2804][0]~q\ & VCC))
-- \led_flash_cnt[2804][1]~66137\ = CARRY((\led_flash_cnt[2804][1]~q\ & \led_flash_cnt[2804][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2804][1]~q\,
	datab => \led_flash_cnt[2804][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2804][1]~66136_combout\,
	cout => \led_flash_cnt[2804][1]~66137\);

-- Location: FF_X34_Y22_N19
\led_flash_cnt[2804][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2804][1]~66136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2804][1]~q\);

-- Location: LCCOMB_X34_Y22_N20
\led_flash_cnt[2804][2]~66138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2804][2]~66138_combout\ = (\led_flash_cnt[2804][2]~q\ & (!\led_flash_cnt[2804][1]~66137\)) # (!\led_flash_cnt[2804][2]~q\ & ((\led_flash_cnt[2804][1]~66137\) # (GND)))
-- \led_flash_cnt[2804][2]~66139\ = CARRY((!\led_flash_cnt[2804][1]~66137\) # (!\led_flash_cnt[2804][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2804][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2804][1]~66137\,
	combout => \led_flash_cnt[2804][2]~66138_combout\,
	cout => \led_flash_cnt[2804][2]~66139\);

-- Location: FF_X34_Y22_N21
\led_flash_cnt[2804][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2804][2]~66138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2804][2]~q\);

-- Location: LCCOMB_X34_Y22_N22
\led_flash_cnt[2804][3]~66140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2804][3]~66140_combout\ = (\led_flash_cnt[2804][3]~q\ & (\led_flash_cnt[2804][2]~66139\ $ (GND))) # (!\led_flash_cnt[2804][3]~q\ & (!\led_flash_cnt[2804][2]~66139\ & VCC))
-- \led_flash_cnt[2804][3]~66141\ = CARRY((\led_flash_cnt[2804][3]~q\ & !\led_flash_cnt[2804][2]~66139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2804][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2804][2]~66139\,
	combout => \led_flash_cnt[2804][3]~66140_combout\,
	cout => \led_flash_cnt[2804][3]~66141\);

-- Location: FF_X34_Y22_N23
\led_flash_cnt[2804][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2804][3]~66140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2804][3]~q\);

-- Location: LCCOMB_X34_Y22_N24
\led_flash_cnt[2804][4]~66142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2804][4]~66142_combout\ = (\led_flash_cnt[2804][4]~q\ & (!\led_flash_cnt[2804][3]~66141\)) # (!\led_flash_cnt[2804][4]~q\ & ((\led_flash_cnt[2804][3]~66141\) # (GND)))
-- \led_flash_cnt[2804][4]~66143\ = CARRY((!\led_flash_cnt[2804][3]~66141\) # (!\led_flash_cnt[2804][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2804][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2804][3]~66141\,
	combout => \led_flash_cnt[2804][4]~66142_combout\,
	cout => \led_flash_cnt[2804][4]~66143\);

-- Location: FF_X34_Y22_N25
\led_flash_cnt[2804][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2804][4]~66142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2804][4]~q\);

-- Location: LCCOMB_X34_Y22_N14
\WideAnd2804~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2804~0_combout\ = (\led_flash_cnt[2804][1]~q\ & (\led_flash_cnt[2804][4]~q\ & (\led_flash_cnt[2804][3]~q\ & \led_flash_cnt[2804][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2804][1]~q\,
	datab => \led_flash_cnt[2804][4]~q\,
	datac => \led_flash_cnt[2804][3]~q\,
	datad => \led_flash_cnt[2804][2]~q\,
	combout => \WideAnd2804~0_combout\);

-- Location: LCCOMB_X34_Y22_N26
\led_flash_cnt[2804][5]~66144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2804][5]~66144_combout\ = (\led_flash_cnt[2804][5]~q\ & (\led_flash_cnt[2804][4]~66143\ $ (GND))) # (!\led_flash_cnt[2804][5]~q\ & (!\led_flash_cnt[2804][4]~66143\ & VCC))
-- \led_flash_cnt[2804][5]~66145\ = CARRY((\led_flash_cnt[2804][5]~q\ & !\led_flash_cnt[2804][4]~66143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2804][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2804][4]~66143\,
	combout => \led_flash_cnt[2804][5]~66144_combout\,
	cout => \led_flash_cnt[2804][5]~66145\);

-- Location: FF_X34_Y22_N27
\led_flash_cnt[2804][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2804][5]~66144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2804][5]~q\);

-- Location: LCCOMB_X34_Y22_N28
\led_flash_cnt[2804][6]~66146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2804][6]~66146_combout\ = (\led_flash_cnt[2804][6]~q\ & (!\led_flash_cnt[2804][5]~66145\)) # (!\led_flash_cnt[2804][6]~q\ & ((\led_flash_cnt[2804][5]~66145\) # (GND)))
-- \led_flash_cnt[2804][6]~66147\ = CARRY((!\led_flash_cnt[2804][5]~66145\) # (!\led_flash_cnt[2804][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2804][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2804][5]~66145\,
	combout => \led_flash_cnt[2804][6]~66146_combout\,
	cout => \led_flash_cnt[2804][6]~66147\);

-- Location: FF_X34_Y22_N29
\led_flash_cnt[2804][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2804][6]~66146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2804][6]~q\);

-- Location: LCCOMB_X34_Y22_N30
\led_flash_cnt[2804][7]~66148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2804][7]~66148_combout\ = \led_flash_cnt[2804][7]~q\ $ (!\led_flash_cnt[2804][6]~66147\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2804][7]~q\,
	cin => \led_flash_cnt[2804][6]~66147\,
	combout => \led_flash_cnt[2804][7]~66148_combout\);

-- Location: FF_X34_Y22_N31
\led_flash_cnt[2804][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2804][7]~66148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2804][7]~q\);

-- Location: LCCOMB_X35_Y22_N26
\WideAnd2804~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2804~1_combout\ = (\led_flash_cnt[2804][5]~q\ & \led_flash_cnt[2804][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2804][5]~q\,
	datad => \led_flash_cnt[2804][6]~q\,
	combout => \WideAnd2804~1_combout\);

-- Location: LCCOMB_X35_Y22_N20
WideAnd2804 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2804~combout\ = (\WideAnd2804~0_combout\ & (\led_flash_cnt[2804][7]~q\ & (\WideAnd2804~1_combout\ & \led_flash_cnt[2804][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2804~0_combout\,
	datab => \led_flash_cnt[2804][7]~q\,
	datac => \WideAnd2804~1_combout\,
	datad => \led_flash_cnt[2804][0]~q\,
	combout => \WideAnd2804~combout\);

-- Location: FF_X35_Y22_N21
\led_flash_cnt_ands[2804]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2804~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2804));

-- Location: LCCOMB_X39_Y27_N2
\led_flash_cnt[2805][0]~83445\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2805][0]~83445_combout\ = !\led_flash_cnt[2805][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2805][0]~q\,
	combout => \led_flash_cnt[2805][0]~83445_combout\);

-- Location: FF_X39_Y27_N3
\led_flash_cnt[2805][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2805][0]~83445_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2805][0]~q\);

-- Location: LCCOMB_X38_Y27_N18
\led_flash_cnt[2805][1]~66150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2805][1]~66150_combout\ = (\led_flash_cnt[2805][0]~q\ & (\led_flash_cnt[2805][1]~q\ $ (VCC))) # (!\led_flash_cnt[2805][0]~q\ & (\led_flash_cnt[2805][1]~q\ & VCC))
-- \led_flash_cnt[2805][1]~66151\ = CARRY((\led_flash_cnt[2805][0]~q\ & \led_flash_cnt[2805][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2805][0]~q\,
	datab => \led_flash_cnt[2805][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2805][1]~66150_combout\,
	cout => \led_flash_cnt[2805][1]~66151\);

-- Location: FF_X38_Y27_N19
\led_flash_cnt[2805][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2805][1]~66150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2805][1]~q\);

-- Location: LCCOMB_X38_Y27_N20
\led_flash_cnt[2805][2]~66152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2805][2]~66152_combout\ = (\led_flash_cnt[2805][2]~q\ & (!\led_flash_cnt[2805][1]~66151\)) # (!\led_flash_cnt[2805][2]~q\ & ((\led_flash_cnt[2805][1]~66151\) # (GND)))
-- \led_flash_cnt[2805][2]~66153\ = CARRY((!\led_flash_cnt[2805][1]~66151\) # (!\led_flash_cnt[2805][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2805][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2805][1]~66151\,
	combout => \led_flash_cnt[2805][2]~66152_combout\,
	cout => \led_flash_cnt[2805][2]~66153\);

-- Location: FF_X38_Y27_N21
\led_flash_cnt[2805][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2805][2]~66152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2805][2]~q\);

-- Location: LCCOMB_X38_Y27_N22
\led_flash_cnt[2805][3]~66154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2805][3]~66154_combout\ = (\led_flash_cnt[2805][3]~q\ & (\led_flash_cnt[2805][2]~66153\ $ (GND))) # (!\led_flash_cnt[2805][3]~q\ & (!\led_flash_cnt[2805][2]~66153\ & VCC))
-- \led_flash_cnt[2805][3]~66155\ = CARRY((\led_flash_cnt[2805][3]~q\ & !\led_flash_cnt[2805][2]~66153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2805][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2805][2]~66153\,
	combout => \led_flash_cnt[2805][3]~66154_combout\,
	cout => \led_flash_cnt[2805][3]~66155\);

-- Location: FF_X38_Y27_N23
\led_flash_cnt[2805][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2805][3]~66154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2805][3]~q\);

-- Location: LCCOMB_X38_Y27_N24
\led_flash_cnt[2805][4]~66156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2805][4]~66156_combout\ = (\led_flash_cnt[2805][4]~q\ & (!\led_flash_cnt[2805][3]~66155\)) # (!\led_flash_cnt[2805][4]~q\ & ((\led_flash_cnt[2805][3]~66155\) # (GND)))
-- \led_flash_cnt[2805][4]~66157\ = CARRY((!\led_flash_cnt[2805][3]~66155\) # (!\led_flash_cnt[2805][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2805][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2805][3]~66155\,
	combout => \led_flash_cnt[2805][4]~66156_combout\,
	cout => \led_flash_cnt[2805][4]~66157\);

-- Location: FF_X38_Y27_N25
\led_flash_cnt[2805][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2805][4]~66156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2805][4]~q\);

-- Location: LCCOMB_X39_Y27_N26
\WideAnd2805~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2805~0_combout\ = (\led_flash_cnt[2805][4]~q\ & (\led_flash_cnt[2805][3]~q\ & (\led_flash_cnt[2805][2]~q\ & \led_flash_cnt[2805][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2805][4]~q\,
	datab => \led_flash_cnt[2805][3]~q\,
	datac => \led_flash_cnt[2805][2]~q\,
	datad => \led_flash_cnt[2805][1]~q\,
	combout => \WideAnd2805~0_combout\);

-- Location: LCCOMB_X38_Y27_N26
\led_flash_cnt[2805][5]~66158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2805][5]~66158_combout\ = (\led_flash_cnt[2805][5]~q\ & (\led_flash_cnt[2805][4]~66157\ $ (GND))) # (!\led_flash_cnt[2805][5]~q\ & (!\led_flash_cnt[2805][4]~66157\ & VCC))
-- \led_flash_cnt[2805][5]~66159\ = CARRY((\led_flash_cnt[2805][5]~q\ & !\led_flash_cnt[2805][4]~66157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2805][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2805][4]~66157\,
	combout => \led_flash_cnt[2805][5]~66158_combout\,
	cout => \led_flash_cnt[2805][5]~66159\);

-- Location: FF_X38_Y27_N27
\led_flash_cnt[2805][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2805][5]~66158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2805][5]~q\);

-- Location: LCCOMB_X38_Y27_N28
\led_flash_cnt[2805][6]~66160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2805][6]~66160_combout\ = (\led_flash_cnt[2805][6]~q\ & (!\led_flash_cnt[2805][5]~66159\)) # (!\led_flash_cnt[2805][6]~q\ & ((\led_flash_cnt[2805][5]~66159\) # (GND)))
-- \led_flash_cnt[2805][6]~66161\ = CARRY((!\led_flash_cnt[2805][5]~66159\) # (!\led_flash_cnt[2805][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2805][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2805][5]~66159\,
	combout => \led_flash_cnt[2805][6]~66160_combout\,
	cout => \led_flash_cnt[2805][6]~66161\);

-- Location: FF_X38_Y27_N29
\led_flash_cnt[2805][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2805][6]~66160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2805][6]~q\);

-- Location: LCCOMB_X38_Y27_N30
\led_flash_cnt[2805][7]~66162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2805][7]~66162_combout\ = \led_flash_cnt[2805][7]~q\ $ (!\led_flash_cnt[2805][6]~66161\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2805][7]~q\,
	cin => \led_flash_cnt[2805][6]~66161\,
	combout => \led_flash_cnt[2805][7]~66162_combout\);

-- Location: FF_X38_Y27_N31
\led_flash_cnt[2805][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2805][7]~66162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2805][7]~q\);

-- Location: LCCOMB_X39_Y27_N4
\WideAnd2805~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2805~1_combout\ = (\led_flash_cnt[2805][5]~q\ & \led_flash_cnt[2805][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2805][5]~q\,
	datad => \led_flash_cnt[2805][6]~q\,
	combout => \WideAnd2805~1_combout\);

-- Location: LCCOMB_X39_Y27_N30
WideAnd2805 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2805~combout\ = (\WideAnd2805~0_combout\ & (\led_flash_cnt[2805][7]~q\ & (\WideAnd2805~1_combout\ & \led_flash_cnt[2805][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2805~0_combout\,
	datab => \led_flash_cnt[2805][7]~q\,
	datac => \WideAnd2805~1_combout\,
	datad => \led_flash_cnt[2805][0]~q\,
	combout => \WideAnd2805~combout\);

-- Location: FF_X39_Y27_N31
\led_flash_cnt_ands[2805]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2805~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2805));

-- Location: LCCOMB_X39_Y26_N18
\WideAnd4190~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4190~1_combout\ = (led_flash_cnt_ands(2804) & led_flash_cnt_ands(2805))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2804),
	datac => led_flash_cnt_ands(2805),
	combout => \WideAnd4190~1_combout\);

-- Location: LCCOMB_X35_Y26_N20
WideAnd4190 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4190~combout\ = (led_flash_cnt_ands(2806) & (led_flash_cnt_ands(2807) & (\WideAnd4190~0_combout\ & \WideAnd4190~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2806),
	datab => led_flash_cnt_ands(2807),
	datac => \WideAnd4190~0_combout\,
	datad => \WideAnd4190~1_combout\,
	combout => \WideAnd4190~combout\);

-- Location: FF_X35_Y26_N21
\led_flash_cnt_ands_1[350]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4190~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(350));

-- Location: LCCOMB_X35_Y26_N28
WideAnd4363 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4363~combout\ = (\WideAnd4363~0_combout\ & (led_flash_cnt_ands_1(351) & (\WideAnd4363~1_combout\ & led_flash_cnt_ands_1(350))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4363~0_combout\,
	datab => led_flash_cnt_ands_1(351),
	datac => \WideAnd4363~1_combout\,
	datad => led_flash_cnt_ands_1(350),
	combout => \WideAnd4363~combout\);

-- Location: FF_X35_Y26_N29
\led_flash_cnt_ands_2[43]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4363~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(43));

-- Location: LCCOMB_X2_Y17_N4
\led_flash_cnt[2671][0]~83311\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2671][0]~83311_combout\ = !\led_flash_cnt[2671][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2671][0]~q\,
	combout => \led_flash_cnt[2671][0]~83311_combout\);

-- Location: FF_X2_Y17_N5
\led_flash_cnt[2671][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2671][0]~83311_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2671][0]~q\);

-- Location: LCCOMB_X2_Y17_N10
\led_flash_cnt[2671][1]~64274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2671][1]~64274_combout\ = (\led_flash_cnt[2671][1]~q\ & (\led_flash_cnt[2671][0]~q\ $ (VCC))) # (!\led_flash_cnt[2671][1]~q\ & (\led_flash_cnt[2671][0]~q\ & VCC))
-- \led_flash_cnt[2671][1]~64275\ = CARRY((\led_flash_cnt[2671][1]~q\ & \led_flash_cnt[2671][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2671][1]~q\,
	datab => \led_flash_cnt[2671][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2671][1]~64274_combout\,
	cout => \led_flash_cnt[2671][1]~64275\);

-- Location: FF_X2_Y17_N11
\led_flash_cnt[2671][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2671][1]~64274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2671][1]~q\);

-- Location: LCCOMB_X2_Y17_N12
\led_flash_cnt[2671][2]~64276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2671][2]~64276_combout\ = (\led_flash_cnt[2671][2]~q\ & (!\led_flash_cnt[2671][1]~64275\)) # (!\led_flash_cnt[2671][2]~q\ & ((\led_flash_cnt[2671][1]~64275\) # (GND)))
-- \led_flash_cnt[2671][2]~64277\ = CARRY((!\led_flash_cnt[2671][1]~64275\) # (!\led_flash_cnt[2671][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2671][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2671][1]~64275\,
	combout => \led_flash_cnt[2671][2]~64276_combout\,
	cout => \led_flash_cnt[2671][2]~64277\);

-- Location: FF_X2_Y17_N13
\led_flash_cnt[2671][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2671][2]~64276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2671][2]~q\);

-- Location: LCCOMB_X2_Y17_N14
\led_flash_cnt[2671][3]~64278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2671][3]~64278_combout\ = (\led_flash_cnt[2671][3]~q\ & (\led_flash_cnt[2671][2]~64277\ $ (GND))) # (!\led_flash_cnt[2671][3]~q\ & (!\led_flash_cnt[2671][2]~64277\ & VCC))
-- \led_flash_cnt[2671][3]~64279\ = CARRY((\led_flash_cnt[2671][3]~q\ & !\led_flash_cnt[2671][2]~64277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2671][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2671][2]~64277\,
	combout => \led_flash_cnt[2671][3]~64278_combout\,
	cout => \led_flash_cnt[2671][3]~64279\);

-- Location: FF_X2_Y17_N15
\led_flash_cnt[2671][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2671][3]~64278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2671][3]~q\);

-- Location: LCCOMB_X2_Y17_N16
\led_flash_cnt[2671][4]~64280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2671][4]~64280_combout\ = (\led_flash_cnt[2671][4]~q\ & (!\led_flash_cnt[2671][3]~64279\)) # (!\led_flash_cnt[2671][4]~q\ & ((\led_flash_cnt[2671][3]~64279\) # (GND)))
-- \led_flash_cnt[2671][4]~64281\ = CARRY((!\led_flash_cnt[2671][3]~64279\) # (!\led_flash_cnt[2671][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2671][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2671][3]~64279\,
	combout => \led_flash_cnt[2671][4]~64280_combout\,
	cout => \led_flash_cnt[2671][4]~64281\);

-- Location: FF_X2_Y17_N17
\led_flash_cnt[2671][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2671][4]~64280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2671][4]~q\);

-- Location: LCCOMB_X2_Y17_N18
\led_flash_cnt[2671][5]~64282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2671][5]~64282_combout\ = (\led_flash_cnt[2671][5]~q\ & (\led_flash_cnt[2671][4]~64281\ $ (GND))) # (!\led_flash_cnt[2671][5]~q\ & (!\led_flash_cnt[2671][4]~64281\ & VCC))
-- \led_flash_cnt[2671][5]~64283\ = CARRY((\led_flash_cnt[2671][5]~q\ & !\led_flash_cnt[2671][4]~64281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2671][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2671][4]~64281\,
	combout => \led_flash_cnt[2671][5]~64282_combout\,
	cout => \led_flash_cnt[2671][5]~64283\);

-- Location: FF_X2_Y17_N19
\led_flash_cnt[2671][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2671][5]~64282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2671][5]~q\);

-- Location: LCCOMB_X2_Y17_N20
\led_flash_cnt[2671][6]~64284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2671][6]~64284_combout\ = (\led_flash_cnt[2671][6]~q\ & (!\led_flash_cnt[2671][5]~64283\)) # (!\led_flash_cnt[2671][6]~q\ & ((\led_flash_cnt[2671][5]~64283\) # (GND)))
-- \led_flash_cnt[2671][6]~64285\ = CARRY((!\led_flash_cnt[2671][5]~64283\) # (!\led_flash_cnt[2671][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2671][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2671][5]~64283\,
	combout => \led_flash_cnt[2671][6]~64284_combout\,
	cout => \led_flash_cnt[2671][6]~64285\);

-- Location: FF_X2_Y17_N21
\led_flash_cnt[2671][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2671][6]~64284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2671][6]~q\);

-- Location: LCCOMB_X2_Y17_N30
\WideAnd2671~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2671~1_combout\ = (\led_flash_cnt[2671][6]~q\ & \led_flash_cnt[2671][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2671][6]~q\,
	datac => \led_flash_cnt[2671][5]~q\,
	combout => \WideAnd2671~1_combout\);

-- Location: LCCOMB_X2_Y17_N22
\led_flash_cnt[2671][7]~64286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2671][7]~64286_combout\ = \led_flash_cnt[2671][7]~q\ $ (!\led_flash_cnt[2671][6]~64285\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2671][7]~q\,
	cin => \led_flash_cnt[2671][6]~64285\,
	combout => \led_flash_cnt[2671][7]~64286_combout\);

-- Location: FF_X2_Y17_N23
\led_flash_cnt[2671][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2671][7]~64286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2671][7]~q\);

-- Location: LCCOMB_X2_Y17_N24
\WideAnd2671~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2671~0_combout\ = (\led_flash_cnt[2671][2]~q\ & (\led_flash_cnt[2671][4]~q\ & (\led_flash_cnt[2671][3]~q\ & \led_flash_cnt[2671][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2671][2]~q\,
	datab => \led_flash_cnt[2671][4]~q\,
	datac => \led_flash_cnt[2671][3]~q\,
	datad => \led_flash_cnt[2671][1]~q\,
	combout => \WideAnd2671~0_combout\);

-- Location: LCCOMB_X2_Y17_N28
WideAnd2671 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2671~combout\ = (\WideAnd2671~1_combout\ & (\led_flash_cnt[2671][0]~q\ & (\led_flash_cnt[2671][7]~q\ & \WideAnd2671~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2671~1_combout\,
	datab => \led_flash_cnt[2671][0]~q\,
	datac => \led_flash_cnt[2671][7]~q\,
	datad => \WideAnd2671~0_combout\,
	combout => \WideAnd2671~combout\);

-- Location: FF_X2_Y17_N29
\led_flash_cnt_ands[2671]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2671~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2671));

-- Location: LCCOMB_X6_Y14_N24
\led_flash_cnt[2664][0]~83304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2664][0]~83304_combout\ = !\led_flash_cnt[2664][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2664][0]~q\,
	combout => \led_flash_cnt[2664][0]~83304_combout\);

-- Location: FF_X6_Y14_N25
\led_flash_cnt[2664][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2664][0]~83304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2664][0]~q\);

-- Location: LCCOMB_X6_Y14_N8
\led_flash_cnt[2664][1]~64176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2664][1]~64176_combout\ = (\led_flash_cnt[2664][1]~q\ & (\led_flash_cnt[2664][0]~q\ $ (VCC))) # (!\led_flash_cnt[2664][1]~q\ & (\led_flash_cnt[2664][0]~q\ & VCC))
-- \led_flash_cnt[2664][1]~64177\ = CARRY((\led_flash_cnt[2664][1]~q\ & \led_flash_cnt[2664][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2664][1]~q\,
	datab => \led_flash_cnt[2664][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2664][1]~64176_combout\,
	cout => \led_flash_cnt[2664][1]~64177\);

-- Location: FF_X6_Y14_N9
\led_flash_cnt[2664][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2664][1]~64176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2664][1]~q\);

-- Location: LCCOMB_X6_Y14_N10
\led_flash_cnt[2664][2]~64178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2664][2]~64178_combout\ = (\led_flash_cnt[2664][2]~q\ & (!\led_flash_cnt[2664][1]~64177\)) # (!\led_flash_cnt[2664][2]~q\ & ((\led_flash_cnt[2664][1]~64177\) # (GND)))
-- \led_flash_cnt[2664][2]~64179\ = CARRY((!\led_flash_cnt[2664][1]~64177\) # (!\led_flash_cnt[2664][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2664][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2664][1]~64177\,
	combout => \led_flash_cnt[2664][2]~64178_combout\,
	cout => \led_flash_cnt[2664][2]~64179\);

-- Location: FF_X6_Y14_N11
\led_flash_cnt[2664][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2664][2]~64178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2664][2]~q\);

-- Location: LCCOMB_X6_Y14_N12
\led_flash_cnt[2664][3]~64180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2664][3]~64180_combout\ = (\led_flash_cnt[2664][3]~q\ & (\led_flash_cnt[2664][2]~64179\ $ (GND))) # (!\led_flash_cnt[2664][3]~q\ & (!\led_flash_cnt[2664][2]~64179\ & VCC))
-- \led_flash_cnt[2664][3]~64181\ = CARRY((\led_flash_cnt[2664][3]~q\ & !\led_flash_cnt[2664][2]~64179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2664][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2664][2]~64179\,
	combout => \led_flash_cnt[2664][3]~64180_combout\,
	cout => \led_flash_cnt[2664][3]~64181\);

-- Location: FF_X6_Y14_N13
\led_flash_cnt[2664][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2664][3]~64180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2664][3]~q\);

-- Location: LCCOMB_X6_Y14_N14
\led_flash_cnt[2664][4]~64182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2664][4]~64182_combout\ = (\led_flash_cnt[2664][4]~q\ & (!\led_flash_cnt[2664][3]~64181\)) # (!\led_flash_cnt[2664][4]~q\ & ((\led_flash_cnt[2664][3]~64181\) # (GND)))
-- \led_flash_cnt[2664][4]~64183\ = CARRY((!\led_flash_cnt[2664][3]~64181\) # (!\led_flash_cnt[2664][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2664][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2664][3]~64181\,
	combout => \led_flash_cnt[2664][4]~64182_combout\,
	cout => \led_flash_cnt[2664][4]~64183\);

-- Location: FF_X6_Y14_N15
\led_flash_cnt[2664][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2664][4]~64182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2664][4]~q\);

-- Location: LCCOMB_X6_Y14_N26
\WideAnd2664~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2664~0_combout\ = (\led_flash_cnt[2664][3]~q\ & (\led_flash_cnt[2664][1]~q\ & (\led_flash_cnt[2664][4]~q\ & \led_flash_cnt[2664][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2664][3]~q\,
	datab => \led_flash_cnt[2664][1]~q\,
	datac => \led_flash_cnt[2664][4]~q\,
	datad => \led_flash_cnt[2664][2]~q\,
	combout => \WideAnd2664~0_combout\);

-- Location: LCCOMB_X6_Y14_N16
\led_flash_cnt[2664][5]~64184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2664][5]~64184_combout\ = (\led_flash_cnt[2664][5]~q\ & (\led_flash_cnt[2664][4]~64183\ $ (GND))) # (!\led_flash_cnt[2664][5]~q\ & (!\led_flash_cnt[2664][4]~64183\ & VCC))
-- \led_flash_cnt[2664][5]~64185\ = CARRY((\led_flash_cnt[2664][5]~q\ & !\led_flash_cnt[2664][4]~64183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2664][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2664][4]~64183\,
	combout => \led_flash_cnt[2664][5]~64184_combout\,
	cout => \led_flash_cnt[2664][5]~64185\);

-- Location: FF_X6_Y14_N17
\led_flash_cnt[2664][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2664][5]~64184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2664][5]~q\);

-- Location: LCCOMB_X6_Y14_N18
\led_flash_cnt[2664][6]~64186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2664][6]~64186_combout\ = (\led_flash_cnt[2664][6]~q\ & (!\led_flash_cnt[2664][5]~64185\)) # (!\led_flash_cnt[2664][6]~q\ & ((\led_flash_cnt[2664][5]~64185\) # (GND)))
-- \led_flash_cnt[2664][6]~64187\ = CARRY((!\led_flash_cnt[2664][5]~64185\) # (!\led_flash_cnt[2664][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2664][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2664][5]~64185\,
	combout => \led_flash_cnt[2664][6]~64186_combout\,
	cout => \led_flash_cnt[2664][6]~64187\);

-- Location: FF_X6_Y14_N19
\led_flash_cnt[2664][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2664][6]~64186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2664][6]~q\);

-- Location: LCCOMB_X6_Y14_N20
\led_flash_cnt[2664][7]~64188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2664][7]~64188_combout\ = \led_flash_cnt[2664][6]~64187\ $ (!\led_flash_cnt[2664][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2664][7]~q\,
	cin => \led_flash_cnt[2664][6]~64187\,
	combout => \led_flash_cnt[2664][7]~64188_combout\);

-- Location: FF_X6_Y14_N21
\led_flash_cnt[2664][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2664][7]~64188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2664][7]~q\);

-- Location: LCCOMB_X6_Y14_N30
\WideAnd2664~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2664~1_combout\ = (\led_flash_cnt[2664][5]~q\ & \led_flash_cnt[2664][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2664][5]~q\,
	datad => \led_flash_cnt[2664][6]~q\,
	combout => \WideAnd2664~1_combout\);

-- Location: LCCOMB_X6_Y14_N6
WideAnd2664 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2664~combout\ = (\WideAnd2664~0_combout\ & (\led_flash_cnt[2664][7]~q\ & (\WideAnd2664~1_combout\ & \led_flash_cnt[2664][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2664~0_combout\,
	datab => \led_flash_cnt[2664][7]~q\,
	datac => \WideAnd2664~1_combout\,
	datad => \led_flash_cnt[2664][0]~q\,
	combout => \WideAnd2664~combout\);

-- Location: FF_X6_Y14_N7
\led_flash_cnt_ands[2664]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2664~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2664));

-- Location: LCCOMB_X7_Y14_N16
\led_flash_cnt[2666][0]~83306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2666][0]~83306_combout\ = !\led_flash_cnt[2666][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2666][0]~q\,
	combout => \led_flash_cnt[2666][0]~83306_combout\);

-- Location: FF_X7_Y14_N17
\led_flash_cnt[2666][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2666][0]~83306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2666][0]~q\);

-- Location: LCCOMB_X8_Y14_N18
\led_flash_cnt[2666][1]~64204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2666][1]~64204_combout\ = (\led_flash_cnt[2666][0]~q\ & (\led_flash_cnt[2666][1]~q\ $ (VCC))) # (!\led_flash_cnt[2666][0]~q\ & (\led_flash_cnt[2666][1]~q\ & VCC))
-- \led_flash_cnt[2666][1]~64205\ = CARRY((\led_flash_cnt[2666][0]~q\ & \led_flash_cnt[2666][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2666][0]~q\,
	datab => \led_flash_cnt[2666][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2666][1]~64204_combout\,
	cout => \led_flash_cnt[2666][1]~64205\);

-- Location: FF_X8_Y14_N19
\led_flash_cnt[2666][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2666][1]~64204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2666][1]~q\);

-- Location: LCCOMB_X8_Y14_N20
\led_flash_cnt[2666][2]~64206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2666][2]~64206_combout\ = (\led_flash_cnt[2666][2]~q\ & (!\led_flash_cnt[2666][1]~64205\)) # (!\led_flash_cnt[2666][2]~q\ & ((\led_flash_cnt[2666][1]~64205\) # (GND)))
-- \led_flash_cnt[2666][2]~64207\ = CARRY((!\led_flash_cnt[2666][1]~64205\) # (!\led_flash_cnt[2666][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2666][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2666][1]~64205\,
	combout => \led_flash_cnt[2666][2]~64206_combout\,
	cout => \led_flash_cnt[2666][2]~64207\);

-- Location: FF_X8_Y14_N21
\led_flash_cnt[2666][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2666][2]~64206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2666][2]~q\);

-- Location: LCCOMB_X8_Y14_N22
\led_flash_cnt[2666][3]~64208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2666][3]~64208_combout\ = (\led_flash_cnt[2666][3]~q\ & (\led_flash_cnt[2666][2]~64207\ $ (GND))) # (!\led_flash_cnt[2666][3]~q\ & (!\led_flash_cnt[2666][2]~64207\ & VCC))
-- \led_flash_cnt[2666][3]~64209\ = CARRY((\led_flash_cnt[2666][3]~q\ & !\led_flash_cnt[2666][2]~64207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2666][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2666][2]~64207\,
	combout => \led_flash_cnt[2666][3]~64208_combout\,
	cout => \led_flash_cnt[2666][3]~64209\);

-- Location: FF_X8_Y14_N23
\led_flash_cnt[2666][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2666][3]~64208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2666][3]~q\);

-- Location: LCCOMB_X8_Y14_N24
\led_flash_cnt[2666][4]~64210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2666][4]~64210_combout\ = (\led_flash_cnt[2666][4]~q\ & (!\led_flash_cnt[2666][3]~64209\)) # (!\led_flash_cnt[2666][4]~q\ & ((\led_flash_cnt[2666][3]~64209\) # (GND)))
-- \led_flash_cnt[2666][4]~64211\ = CARRY((!\led_flash_cnt[2666][3]~64209\) # (!\led_flash_cnt[2666][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2666][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2666][3]~64209\,
	combout => \led_flash_cnt[2666][4]~64210_combout\,
	cout => \led_flash_cnt[2666][4]~64211\);

-- Location: FF_X8_Y14_N25
\led_flash_cnt[2666][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2666][4]~64210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2666][4]~q\);

-- Location: LCCOMB_X8_Y14_N26
\led_flash_cnt[2666][5]~64212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2666][5]~64212_combout\ = (\led_flash_cnt[2666][5]~q\ & (\led_flash_cnt[2666][4]~64211\ $ (GND))) # (!\led_flash_cnt[2666][5]~q\ & (!\led_flash_cnt[2666][4]~64211\ & VCC))
-- \led_flash_cnt[2666][5]~64213\ = CARRY((\led_flash_cnt[2666][5]~q\ & !\led_flash_cnt[2666][4]~64211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2666][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2666][4]~64211\,
	combout => \led_flash_cnt[2666][5]~64212_combout\,
	cout => \led_flash_cnt[2666][5]~64213\);

-- Location: FF_X8_Y14_N27
\led_flash_cnt[2666][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2666][5]~64212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2666][5]~q\);

-- Location: LCCOMB_X8_Y14_N28
\led_flash_cnt[2666][6]~64214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2666][6]~64214_combout\ = (\led_flash_cnt[2666][6]~q\ & (!\led_flash_cnt[2666][5]~64213\)) # (!\led_flash_cnt[2666][6]~q\ & ((\led_flash_cnt[2666][5]~64213\) # (GND)))
-- \led_flash_cnt[2666][6]~64215\ = CARRY((!\led_flash_cnt[2666][5]~64213\) # (!\led_flash_cnt[2666][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2666][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2666][5]~64213\,
	combout => \led_flash_cnt[2666][6]~64214_combout\,
	cout => \led_flash_cnt[2666][6]~64215\);

-- Location: FF_X8_Y14_N29
\led_flash_cnt[2666][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2666][6]~64214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2666][6]~q\);

-- Location: LCCOMB_X7_Y14_N26
\WideAnd2666~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2666~1_combout\ = (\led_flash_cnt[2666][5]~q\ & \led_flash_cnt[2666][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2666][5]~q\,
	datad => \led_flash_cnt[2666][6]~q\,
	combout => \WideAnd2666~1_combout\);

-- Location: LCCOMB_X8_Y14_N30
\led_flash_cnt[2666][7]~64216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2666][7]~64216_combout\ = \led_flash_cnt[2666][7]~q\ $ (!\led_flash_cnt[2666][6]~64215\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2666][7]~q\,
	cin => \led_flash_cnt[2666][6]~64215\,
	combout => \led_flash_cnt[2666][7]~64216_combout\);

-- Location: FF_X8_Y14_N31
\led_flash_cnt[2666][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2666][7]~64216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2666][7]~q\);

-- Location: LCCOMB_X7_Y14_N20
\WideAnd2666~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2666~0_combout\ = (\led_flash_cnt[2666][4]~q\ & (\led_flash_cnt[2666][3]~q\ & (\led_flash_cnt[2666][2]~q\ & \led_flash_cnt[2666][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2666][4]~q\,
	datab => \led_flash_cnt[2666][3]~q\,
	datac => \led_flash_cnt[2666][2]~q\,
	datad => \led_flash_cnt[2666][1]~q\,
	combout => \WideAnd2666~0_combout\);

-- Location: LCCOMB_X7_Y14_N22
WideAnd2666 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2666~combout\ = (\WideAnd2666~1_combout\ & (\led_flash_cnt[2666][0]~q\ & (\led_flash_cnt[2666][7]~q\ & \WideAnd2666~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2666~1_combout\,
	datab => \led_flash_cnt[2666][0]~q\,
	datac => \led_flash_cnt[2666][7]~q\,
	datad => \WideAnd2666~0_combout\,
	combout => \WideAnd2666~combout\);

-- Location: FF_X7_Y14_N23
\led_flash_cnt_ands[2666]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2666~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2666));

-- Location: LCCOMB_X6_Y14_N28
\led_flash_cnt[2667][0]~83307\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2667][0]~83307_combout\ = !\led_flash_cnt[2667][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2667][0]~q\,
	combout => \led_flash_cnt[2667][0]~83307_combout\);

-- Location: FF_X6_Y14_N29
\led_flash_cnt[2667][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2667][0]~83307_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2667][0]~q\);

-- Location: LCCOMB_X3_Y14_N16
\led_flash_cnt[2667][1]~64218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2667][1]~64218_combout\ = (\led_flash_cnt[2667][0]~q\ & (\led_flash_cnt[2667][1]~q\ $ (VCC))) # (!\led_flash_cnt[2667][0]~q\ & (\led_flash_cnt[2667][1]~q\ & VCC))
-- \led_flash_cnt[2667][1]~64219\ = CARRY((\led_flash_cnt[2667][0]~q\ & \led_flash_cnt[2667][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2667][0]~q\,
	datab => \led_flash_cnt[2667][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2667][1]~64218_combout\,
	cout => \led_flash_cnt[2667][1]~64219\);

-- Location: FF_X3_Y14_N17
\led_flash_cnt[2667][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2667][1]~64218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2667][1]~q\);

-- Location: LCCOMB_X3_Y14_N18
\led_flash_cnt[2667][2]~64220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2667][2]~64220_combout\ = (\led_flash_cnt[2667][2]~q\ & (!\led_flash_cnt[2667][1]~64219\)) # (!\led_flash_cnt[2667][2]~q\ & ((\led_flash_cnt[2667][1]~64219\) # (GND)))
-- \led_flash_cnt[2667][2]~64221\ = CARRY((!\led_flash_cnt[2667][1]~64219\) # (!\led_flash_cnt[2667][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2667][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2667][1]~64219\,
	combout => \led_flash_cnt[2667][2]~64220_combout\,
	cout => \led_flash_cnt[2667][2]~64221\);

-- Location: FF_X3_Y14_N19
\led_flash_cnt[2667][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2667][2]~64220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2667][2]~q\);

-- Location: LCCOMB_X3_Y14_N20
\led_flash_cnt[2667][3]~64222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2667][3]~64222_combout\ = (\led_flash_cnt[2667][3]~q\ & (\led_flash_cnt[2667][2]~64221\ $ (GND))) # (!\led_flash_cnt[2667][3]~q\ & (!\led_flash_cnt[2667][2]~64221\ & VCC))
-- \led_flash_cnt[2667][3]~64223\ = CARRY((\led_flash_cnt[2667][3]~q\ & !\led_flash_cnt[2667][2]~64221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2667][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2667][2]~64221\,
	combout => \led_flash_cnt[2667][3]~64222_combout\,
	cout => \led_flash_cnt[2667][3]~64223\);

-- Location: FF_X3_Y14_N21
\led_flash_cnt[2667][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2667][3]~64222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2667][3]~q\);

-- Location: LCCOMB_X3_Y14_N22
\led_flash_cnt[2667][4]~64224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2667][4]~64224_combout\ = (\led_flash_cnt[2667][4]~q\ & (!\led_flash_cnt[2667][3]~64223\)) # (!\led_flash_cnt[2667][4]~q\ & ((\led_flash_cnt[2667][3]~64223\) # (GND)))
-- \led_flash_cnt[2667][4]~64225\ = CARRY((!\led_flash_cnt[2667][3]~64223\) # (!\led_flash_cnt[2667][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2667][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2667][3]~64223\,
	combout => \led_flash_cnt[2667][4]~64224_combout\,
	cout => \led_flash_cnt[2667][4]~64225\);

-- Location: FF_X3_Y14_N23
\led_flash_cnt[2667][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2667][4]~64224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2667][4]~q\);

-- Location: LCCOMB_X3_Y14_N24
\led_flash_cnt[2667][5]~64226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2667][5]~64226_combout\ = (\led_flash_cnt[2667][5]~q\ & (\led_flash_cnt[2667][4]~64225\ $ (GND))) # (!\led_flash_cnt[2667][5]~q\ & (!\led_flash_cnt[2667][4]~64225\ & VCC))
-- \led_flash_cnt[2667][5]~64227\ = CARRY((\led_flash_cnt[2667][5]~q\ & !\led_flash_cnt[2667][4]~64225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2667][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2667][4]~64225\,
	combout => \led_flash_cnt[2667][5]~64226_combout\,
	cout => \led_flash_cnt[2667][5]~64227\);

-- Location: FF_X3_Y14_N25
\led_flash_cnt[2667][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2667][5]~64226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2667][5]~q\);

-- Location: LCCOMB_X3_Y14_N26
\led_flash_cnt[2667][6]~64228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2667][6]~64228_combout\ = (\led_flash_cnt[2667][6]~q\ & (!\led_flash_cnt[2667][5]~64227\)) # (!\led_flash_cnt[2667][6]~q\ & ((\led_flash_cnt[2667][5]~64227\) # (GND)))
-- \led_flash_cnt[2667][6]~64229\ = CARRY((!\led_flash_cnt[2667][5]~64227\) # (!\led_flash_cnt[2667][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2667][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2667][5]~64227\,
	combout => \led_flash_cnt[2667][6]~64228_combout\,
	cout => \led_flash_cnt[2667][6]~64229\);

-- Location: FF_X3_Y14_N27
\led_flash_cnt[2667][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2667][6]~64228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2667][6]~q\);

-- Location: LCCOMB_X4_Y14_N10
\WideAnd2667~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2667~1_combout\ = (\led_flash_cnt[2667][6]~q\ & \led_flash_cnt[2667][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2667][6]~q\,
	datad => \led_flash_cnt[2667][5]~q\,
	combout => \WideAnd2667~1_combout\);

-- Location: LCCOMB_X3_Y14_N28
\led_flash_cnt[2667][7]~64230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2667][7]~64230_combout\ = \led_flash_cnt[2667][6]~64229\ $ (!\led_flash_cnt[2667][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2667][7]~q\,
	cin => \led_flash_cnt[2667][6]~64229\,
	combout => \led_flash_cnt[2667][7]~64230_combout\);

-- Location: FF_X3_Y14_N29
\led_flash_cnt[2667][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2667][7]~64230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2667][7]~q\);

-- Location: LCCOMB_X3_Y14_N0
\WideAnd2667~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2667~0_combout\ = (\led_flash_cnt[2667][2]~q\ & (\led_flash_cnt[2667][3]~q\ & (\led_flash_cnt[2667][4]~q\ & \led_flash_cnt[2667][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2667][2]~q\,
	datab => \led_flash_cnt[2667][3]~q\,
	datac => \led_flash_cnt[2667][4]~q\,
	datad => \led_flash_cnt[2667][1]~q\,
	combout => \WideAnd2667~0_combout\);

-- Location: LCCOMB_X4_Y14_N6
WideAnd2667 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2667~combout\ = (\WideAnd2667~1_combout\ & (\led_flash_cnt[2667][7]~q\ & (\WideAnd2667~0_combout\ & \led_flash_cnt[2667][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2667~1_combout\,
	datab => \led_flash_cnt[2667][7]~q\,
	datac => \WideAnd2667~0_combout\,
	datad => \led_flash_cnt[2667][0]~q\,
	combout => \WideAnd2667~combout\);

-- Location: FF_X4_Y14_N7
\led_flash_cnt_ands[2667]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2667~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2667));

-- Location: LCCOMB_X7_Y14_N30
\led_flash_cnt[2665][0]~83305\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2665][0]~83305_combout\ = !\led_flash_cnt[2665][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2665][0]~q\,
	combout => \led_flash_cnt[2665][0]~83305_combout\);

-- Location: FF_X7_Y14_N31
\led_flash_cnt[2665][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2665][0]~83305_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2665][0]~q\);

-- Location: LCCOMB_X7_Y14_N2
\led_flash_cnt[2665][1]~64190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2665][1]~64190_combout\ = (\led_flash_cnt[2665][0]~q\ & (\led_flash_cnt[2665][1]~q\ $ (VCC))) # (!\led_flash_cnt[2665][0]~q\ & (\led_flash_cnt[2665][1]~q\ & VCC))
-- \led_flash_cnt[2665][1]~64191\ = CARRY((\led_flash_cnt[2665][0]~q\ & \led_flash_cnt[2665][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2665][0]~q\,
	datab => \led_flash_cnt[2665][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2665][1]~64190_combout\,
	cout => \led_flash_cnt[2665][1]~64191\);

-- Location: FF_X7_Y14_N3
\led_flash_cnt[2665][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2665][1]~64190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2665][1]~q\);

-- Location: LCCOMB_X7_Y14_N4
\led_flash_cnt[2665][2]~64192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2665][2]~64192_combout\ = (\led_flash_cnt[2665][2]~q\ & (!\led_flash_cnt[2665][1]~64191\)) # (!\led_flash_cnt[2665][2]~q\ & ((\led_flash_cnt[2665][1]~64191\) # (GND)))
-- \led_flash_cnt[2665][2]~64193\ = CARRY((!\led_flash_cnt[2665][1]~64191\) # (!\led_flash_cnt[2665][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2665][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2665][1]~64191\,
	combout => \led_flash_cnt[2665][2]~64192_combout\,
	cout => \led_flash_cnt[2665][2]~64193\);

-- Location: FF_X7_Y14_N5
\led_flash_cnt[2665][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2665][2]~64192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2665][2]~q\);

-- Location: LCCOMB_X7_Y14_N6
\led_flash_cnt[2665][3]~64194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2665][3]~64194_combout\ = (\led_flash_cnt[2665][3]~q\ & (\led_flash_cnt[2665][2]~64193\ $ (GND))) # (!\led_flash_cnt[2665][3]~q\ & (!\led_flash_cnt[2665][2]~64193\ & VCC))
-- \led_flash_cnt[2665][3]~64195\ = CARRY((\led_flash_cnt[2665][3]~q\ & !\led_flash_cnt[2665][2]~64193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2665][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2665][2]~64193\,
	combout => \led_flash_cnt[2665][3]~64194_combout\,
	cout => \led_flash_cnt[2665][3]~64195\);

-- Location: FF_X7_Y14_N7
\led_flash_cnt[2665][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2665][3]~64194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2665][3]~q\);

-- Location: LCCOMB_X7_Y14_N8
\led_flash_cnt[2665][4]~64196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2665][4]~64196_combout\ = (\led_flash_cnt[2665][4]~q\ & (!\led_flash_cnt[2665][3]~64195\)) # (!\led_flash_cnt[2665][4]~q\ & ((\led_flash_cnt[2665][3]~64195\) # (GND)))
-- \led_flash_cnt[2665][4]~64197\ = CARRY((!\led_flash_cnt[2665][3]~64195\) # (!\led_flash_cnt[2665][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2665][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2665][3]~64195\,
	combout => \led_flash_cnt[2665][4]~64196_combout\,
	cout => \led_flash_cnt[2665][4]~64197\);

-- Location: FF_X7_Y14_N9
\led_flash_cnt[2665][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2665][4]~64196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2665][4]~q\);

-- Location: LCCOMB_X7_Y14_N10
\led_flash_cnt[2665][5]~64198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2665][5]~64198_combout\ = (\led_flash_cnt[2665][5]~q\ & (\led_flash_cnt[2665][4]~64197\ $ (GND))) # (!\led_flash_cnt[2665][5]~q\ & (!\led_flash_cnt[2665][4]~64197\ & VCC))
-- \led_flash_cnt[2665][5]~64199\ = CARRY((\led_flash_cnt[2665][5]~q\ & !\led_flash_cnt[2665][4]~64197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2665][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2665][4]~64197\,
	combout => \led_flash_cnt[2665][5]~64198_combout\,
	cout => \led_flash_cnt[2665][5]~64199\);

-- Location: FF_X7_Y14_N11
\led_flash_cnt[2665][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2665][5]~64198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2665][5]~q\);

-- Location: LCCOMB_X7_Y14_N12
\led_flash_cnt[2665][6]~64200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2665][6]~64200_combout\ = (\led_flash_cnt[2665][6]~q\ & (!\led_flash_cnt[2665][5]~64199\)) # (!\led_flash_cnt[2665][6]~q\ & ((\led_flash_cnt[2665][5]~64199\) # (GND)))
-- \led_flash_cnt[2665][6]~64201\ = CARRY((!\led_flash_cnt[2665][5]~64199\) # (!\led_flash_cnt[2665][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2665][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2665][5]~64199\,
	combout => \led_flash_cnt[2665][6]~64200_combout\,
	cout => \led_flash_cnt[2665][6]~64201\);

-- Location: FF_X7_Y14_N13
\led_flash_cnt[2665][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2665][6]~64200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2665][6]~q\);

-- Location: LCCOMB_X7_Y14_N24
\WideAnd2665~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2665~1_combout\ = (\led_flash_cnt[2665][6]~q\ & \led_flash_cnt[2665][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2665][6]~q\,
	datad => \led_flash_cnt[2665][5]~q\,
	combout => \WideAnd2665~1_combout\);

-- Location: LCCOMB_X7_Y14_N14
\led_flash_cnt[2665][7]~64202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2665][7]~64202_combout\ = \led_flash_cnt[2665][7]~q\ $ (!\led_flash_cnt[2665][6]~64201\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2665][7]~q\,
	cin => \led_flash_cnt[2665][6]~64201\,
	combout => \led_flash_cnt[2665][7]~64202_combout\);

-- Location: FF_X7_Y14_N15
\led_flash_cnt[2665][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2665][7]~64202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2665][7]~q\);

-- Location: LCCOMB_X7_Y14_N18
\WideAnd2665~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2665~0_combout\ = (\led_flash_cnt[2665][3]~q\ & (\led_flash_cnt[2665][2]~q\ & (\led_flash_cnt[2665][4]~q\ & \led_flash_cnt[2665][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2665][3]~q\,
	datab => \led_flash_cnt[2665][2]~q\,
	datac => \led_flash_cnt[2665][4]~q\,
	datad => \led_flash_cnt[2665][1]~q\,
	combout => \WideAnd2665~0_combout\);

-- Location: LCCOMB_X7_Y14_N28
WideAnd2665 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2665~combout\ = (\led_flash_cnt[2665][0]~q\ & (\WideAnd2665~1_combout\ & (\led_flash_cnt[2665][7]~q\ & \WideAnd2665~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2665][0]~q\,
	datab => \WideAnd2665~1_combout\,
	datac => \led_flash_cnt[2665][7]~q\,
	datad => \WideAnd2665~0_combout\,
	combout => \WideAnd2665~combout\);

-- Location: FF_X7_Y14_N29
\led_flash_cnt_ands[2665]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2665~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2665));

-- Location: LCCOMB_X6_Y14_N22
\WideAnd4173~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4173~0_combout\ = (led_flash_cnt_ands(2664) & (led_flash_cnt_ands(2666) & (led_flash_cnt_ands(2667) & led_flash_cnt_ands(2665))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2664),
	datab => led_flash_cnt_ands(2666),
	datac => led_flash_cnt_ands(2667),
	datad => led_flash_cnt_ands(2665),
	combout => \WideAnd4173~0_combout\);

-- Location: LCCOMB_X35_Y25_N30
\led_flash_cnt[2669][0]~83309\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2669][0]~83309_combout\ = !\led_flash_cnt[2669][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2669][0]~q\,
	combout => \led_flash_cnt[2669][0]~83309_combout\);

-- Location: FF_X35_Y25_N31
\led_flash_cnt[2669][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2669][0]~83309_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2669][0]~q\);

-- Location: LCCOMB_X35_Y25_N14
\led_flash_cnt[2669][1]~64246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2669][1]~64246_combout\ = (\led_flash_cnt[2669][0]~q\ & (\led_flash_cnt[2669][1]~q\ $ (VCC))) # (!\led_flash_cnt[2669][0]~q\ & (\led_flash_cnt[2669][1]~q\ & VCC))
-- \led_flash_cnt[2669][1]~64247\ = CARRY((\led_flash_cnt[2669][0]~q\ & \led_flash_cnt[2669][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2669][0]~q\,
	datab => \led_flash_cnt[2669][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2669][1]~64246_combout\,
	cout => \led_flash_cnt[2669][1]~64247\);

-- Location: FF_X35_Y25_N15
\led_flash_cnt[2669][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2669][1]~64246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2669][1]~q\);

-- Location: LCCOMB_X35_Y25_N16
\led_flash_cnt[2669][2]~64248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2669][2]~64248_combout\ = (\led_flash_cnt[2669][2]~q\ & (!\led_flash_cnt[2669][1]~64247\)) # (!\led_flash_cnt[2669][2]~q\ & ((\led_flash_cnt[2669][1]~64247\) # (GND)))
-- \led_flash_cnt[2669][2]~64249\ = CARRY((!\led_flash_cnt[2669][1]~64247\) # (!\led_flash_cnt[2669][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2669][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2669][1]~64247\,
	combout => \led_flash_cnt[2669][2]~64248_combout\,
	cout => \led_flash_cnt[2669][2]~64249\);

-- Location: FF_X35_Y25_N17
\led_flash_cnt[2669][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2669][2]~64248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2669][2]~q\);

-- Location: LCCOMB_X35_Y25_N18
\led_flash_cnt[2669][3]~64250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2669][3]~64250_combout\ = (\led_flash_cnt[2669][3]~q\ & (\led_flash_cnt[2669][2]~64249\ $ (GND))) # (!\led_flash_cnt[2669][3]~q\ & (!\led_flash_cnt[2669][2]~64249\ & VCC))
-- \led_flash_cnt[2669][3]~64251\ = CARRY((\led_flash_cnt[2669][3]~q\ & !\led_flash_cnt[2669][2]~64249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2669][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2669][2]~64249\,
	combout => \led_flash_cnt[2669][3]~64250_combout\,
	cout => \led_flash_cnt[2669][3]~64251\);

-- Location: FF_X35_Y25_N19
\led_flash_cnt[2669][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2669][3]~64250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2669][3]~q\);

-- Location: LCCOMB_X35_Y25_N20
\led_flash_cnt[2669][4]~64252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2669][4]~64252_combout\ = (\led_flash_cnt[2669][4]~q\ & (!\led_flash_cnt[2669][3]~64251\)) # (!\led_flash_cnt[2669][4]~q\ & ((\led_flash_cnt[2669][3]~64251\) # (GND)))
-- \led_flash_cnt[2669][4]~64253\ = CARRY((!\led_flash_cnt[2669][3]~64251\) # (!\led_flash_cnt[2669][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2669][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2669][3]~64251\,
	combout => \led_flash_cnt[2669][4]~64252_combout\,
	cout => \led_flash_cnt[2669][4]~64253\);

-- Location: FF_X35_Y25_N21
\led_flash_cnt[2669][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2669][4]~64252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2669][4]~q\);

-- Location: LCCOMB_X35_Y25_N22
\led_flash_cnt[2669][5]~64254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2669][5]~64254_combout\ = (\led_flash_cnt[2669][5]~q\ & (\led_flash_cnt[2669][4]~64253\ $ (GND))) # (!\led_flash_cnt[2669][5]~q\ & (!\led_flash_cnt[2669][4]~64253\ & VCC))
-- \led_flash_cnt[2669][5]~64255\ = CARRY((\led_flash_cnt[2669][5]~q\ & !\led_flash_cnt[2669][4]~64253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2669][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2669][4]~64253\,
	combout => \led_flash_cnt[2669][5]~64254_combout\,
	cout => \led_flash_cnt[2669][5]~64255\);

-- Location: FF_X35_Y25_N23
\led_flash_cnt[2669][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2669][5]~64254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2669][5]~q\);

-- Location: LCCOMB_X35_Y25_N24
\led_flash_cnt[2669][6]~64256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2669][6]~64256_combout\ = (\led_flash_cnt[2669][6]~q\ & (!\led_flash_cnt[2669][5]~64255\)) # (!\led_flash_cnt[2669][6]~q\ & ((\led_flash_cnt[2669][5]~64255\) # (GND)))
-- \led_flash_cnt[2669][6]~64257\ = CARRY((!\led_flash_cnt[2669][5]~64255\) # (!\led_flash_cnt[2669][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2669][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2669][5]~64255\,
	combout => \led_flash_cnt[2669][6]~64256_combout\,
	cout => \led_flash_cnt[2669][6]~64257\);

-- Location: FF_X35_Y25_N25
\led_flash_cnt[2669][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2669][6]~64256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2669][6]~q\);

-- Location: LCCOMB_X35_Y25_N26
\led_flash_cnt[2669][7]~64258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2669][7]~64258_combout\ = \led_flash_cnt[2669][7]~q\ $ (!\led_flash_cnt[2669][6]~64257\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2669][7]~q\,
	cin => \led_flash_cnt[2669][6]~64257\,
	combout => \led_flash_cnt[2669][7]~64258_combout\);

-- Location: FF_X35_Y25_N27
\led_flash_cnt[2669][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2669][7]~64258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2669][7]~q\);

-- Location: LCCOMB_X35_Y25_N2
\WideAnd2669~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2669~1_combout\ = (\led_flash_cnt[2669][5]~q\ & \led_flash_cnt[2669][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2669][5]~q\,
	datad => \led_flash_cnt[2669][6]~q\,
	combout => \WideAnd2669~1_combout\);

-- Location: LCCOMB_X35_Y25_N12
\WideAnd2669~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2669~0_combout\ = (\led_flash_cnt[2669][2]~q\ & (\led_flash_cnt[2669][4]~q\ & (\led_flash_cnt[2669][1]~q\ & \led_flash_cnt[2669][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2669][2]~q\,
	datab => \led_flash_cnt[2669][4]~q\,
	datac => \led_flash_cnt[2669][1]~q\,
	datad => \led_flash_cnt[2669][3]~q\,
	combout => \WideAnd2669~0_combout\);

-- Location: LCCOMB_X35_Y25_N4
WideAnd2669 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2669~combout\ = (\led_flash_cnt[2669][7]~q\ & (\WideAnd2669~1_combout\ & (\led_flash_cnt[2669][0]~q\ & \WideAnd2669~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2669][7]~q\,
	datab => \WideAnd2669~1_combout\,
	datac => \led_flash_cnt[2669][0]~q\,
	datad => \WideAnd2669~0_combout\,
	combout => \WideAnd2669~combout\);

-- Location: FF_X35_Y25_N5
\led_flash_cnt_ands[2669]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2669~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2669));

-- Location: LCCOMB_X24_Y25_N28
\led_flash_cnt[2668][0]~83308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2668][0]~83308_combout\ = !\led_flash_cnt[2668][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2668][0]~q\,
	combout => \led_flash_cnt[2668][0]~83308_combout\);

-- Location: FF_X24_Y25_N29
\led_flash_cnt[2668][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2668][0]~83308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2668][0]~q\);

-- Location: LCCOMB_X24_Y25_N12
\led_flash_cnt[2668][1]~64232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2668][1]~64232_combout\ = (\led_flash_cnt[2668][1]~q\ & (\led_flash_cnt[2668][0]~q\ $ (VCC))) # (!\led_flash_cnt[2668][1]~q\ & (\led_flash_cnt[2668][0]~q\ & VCC))
-- \led_flash_cnt[2668][1]~64233\ = CARRY((\led_flash_cnt[2668][1]~q\ & \led_flash_cnt[2668][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2668][1]~q\,
	datab => \led_flash_cnt[2668][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2668][1]~64232_combout\,
	cout => \led_flash_cnt[2668][1]~64233\);

-- Location: FF_X24_Y25_N13
\led_flash_cnt[2668][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2668][1]~64232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2668][1]~q\);

-- Location: LCCOMB_X24_Y25_N14
\led_flash_cnt[2668][2]~64234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2668][2]~64234_combout\ = (\led_flash_cnt[2668][2]~q\ & (!\led_flash_cnt[2668][1]~64233\)) # (!\led_flash_cnt[2668][2]~q\ & ((\led_flash_cnt[2668][1]~64233\) # (GND)))
-- \led_flash_cnt[2668][2]~64235\ = CARRY((!\led_flash_cnt[2668][1]~64233\) # (!\led_flash_cnt[2668][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2668][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2668][1]~64233\,
	combout => \led_flash_cnt[2668][2]~64234_combout\,
	cout => \led_flash_cnt[2668][2]~64235\);

-- Location: FF_X24_Y25_N15
\led_flash_cnt[2668][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2668][2]~64234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2668][2]~q\);

-- Location: LCCOMB_X24_Y25_N16
\led_flash_cnt[2668][3]~64236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2668][3]~64236_combout\ = (\led_flash_cnt[2668][3]~q\ & (\led_flash_cnt[2668][2]~64235\ $ (GND))) # (!\led_flash_cnt[2668][3]~q\ & (!\led_flash_cnt[2668][2]~64235\ & VCC))
-- \led_flash_cnt[2668][3]~64237\ = CARRY((\led_flash_cnt[2668][3]~q\ & !\led_flash_cnt[2668][2]~64235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2668][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2668][2]~64235\,
	combout => \led_flash_cnt[2668][3]~64236_combout\,
	cout => \led_flash_cnt[2668][3]~64237\);

-- Location: FF_X24_Y25_N17
\led_flash_cnt[2668][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2668][3]~64236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2668][3]~q\);

-- Location: LCCOMB_X24_Y25_N18
\led_flash_cnt[2668][4]~64238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2668][4]~64238_combout\ = (\led_flash_cnt[2668][4]~q\ & (!\led_flash_cnt[2668][3]~64237\)) # (!\led_flash_cnt[2668][4]~q\ & ((\led_flash_cnt[2668][3]~64237\) # (GND)))
-- \led_flash_cnt[2668][4]~64239\ = CARRY((!\led_flash_cnt[2668][3]~64237\) # (!\led_flash_cnt[2668][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2668][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2668][3]~64237\,
	combout => \led_flash_cnt[2668][4]~64238_combout\,
	cout => \led_flash_cnt[2668][4]~64239\);

-- Location: FF_X24_Y25_N19
\led_flash_cnt[2668][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2668][4]~64238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2668][4]~q\);

-- Location: LCCOMB_X24_Y25_N10
\WideAnd2668~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2668~0_combout\ = (\led_flash_cnt[2668][1]~q\ & (\led_flash_cnt[2668][4]~q\ & (\led_flash_cnt[2668][2]~q\ & \led_flash_cnt[2668][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2668][1]~q\,
	datab => \led_flash_cnt[2668][4]~q\,
	datac => \led_flash_cnt[2668][2]~q\,
	datad => \led_flash_cnt[2668][3]~q\,
	combout => \WideAnd2668~0_combout\);

-- Location: LCCOMB_X24_Y25_N20
\led_flash_cnt[2668][5]~64240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2668][5]~64240_combout\ = (\led_flash_cnt[2668][5]~q\ & (\led_flash_cnt[2668][4]~64239\ $ (GND))) # (!\led_flash_cnt[2668][5]~q\ & (!\led_flash_cnt[2668][4]~64239\ & VCC))
-- \led_flash_cnt[2668][5]~64241\ = CARRY((\led_flash_cnt[2668][5]~q\ & !\led_flash_cnt[2668][4]~64239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2668][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2668][4]~64239\,
	combout => \led_flash_cnt[2668][5]~64240_combout\,
	cout => \led_flash_cnt[2668][5]~64241\);

-- Location: FF_X24_Y25_N21
\led_flash_cnt[2668][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2668][5]~64240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2668][5]~q\);

-- Location: LCCOMB_X24_Y25_N22
\led_flash_cnt[2668][6]~64242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2668][6]~64242_combout\ = (\led_flash_cnt[2668][6]~q\ & (!\led_flash_cnt[2668][5]~64241\)) # (!\led_flash_cnt[2668][6]~q\ & ((\led_flash_cnt[2668][5]~64241\) # (GND)))
-- \led_flash_cnt[2668][6]~64243\ = CARRY((!\led_flash_cnt[2668][5]~64241\) # (!\led_flash_cnt[2668][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2668][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2668][5]~64241\,
	combout => \led_flash_cnt[2668][6]~64242_combout\,
	cout => \led_flash_cnt[2668][6]~64243\);

-- Location: FF_X24_Y25_N23
\led_flash_cnt[2668][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2668][6]~64242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2668][6]~q\);

-- Location: LCCOMB_X24_Y25_N8
\WideAnd2668~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2668~1_combout\ = (\led_flash_cnt[2668][6]~q\ & \led_flash_cnt[2668][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2668][6]~q\,
	datad => \led_flash_cnt[2668][5]~q\,
	combout => \WideAnd2668~1_combout\);

-- Location: LCCOMB_X24_Y25_N24
\led_flash_cnt[2668][7]~64244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2668][7]~64244_combout\ = \led_flash_cnt[2668][6]~64243\ $ (!\led_flash_cnt[2668][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2668][7]~q\,
	cin => \led_flash_cnt[2668][6]~64243\,
	combout => \led_flash_cnt[2668][7]~64244_combout\);

-- Location: FF_X24_Y25_N25
\led_flash_cnt[2668][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2668][7]~64244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2668][7]~q\);

-- Location: LCCOMB_X24_Y25_N2
WideAnd2668 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2668~combout\ = (\WideAnd2668~0_combout\ & (\led_flash_cnt[2668][0]~q\ & (\WideAnd2668~1_combout\ & \led_flash_cnt[2668][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2668~0_combout\,
	datab => \led_flash_cnt[2668][0]~q\,
	datac => \WideAnd2668~1_combout\,
	datad => \led_flash_cnt[2668][7]~q\,
	combout => \WideAnd2668~combout\);

-- Location: FF_X24_Y25_N3
\led_flash_cnt_ands[2668]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2668~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2668));

-- Location: LCCOMB_X24_Y25_N4
\WideAnd4173~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4173~1_combout\ = (led_flash_cnt_ands(2669) & led_flash_cnt_ands(2668))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2669),
	datad => led_flash_cnt_ands(2668),
	combout => \WideAnd4173~1_combout\);

-- Location: LCCOMB_X2_Y17_N2
\led_flash_cnt[2670][0]~83310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2670][0]~83310_combout\ = !\led_flash_cnt[2670][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2670][0]~q\,
	combout => \led_flash_cnt[2670][0]~83310_combout\);

-- Location: FF_X2_Y17_N3
\led_flash_cnt[2670][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2670][0]~83310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2670][0]~q\);

-- Location: LCCOMB_X1_Y17_N18
\led_flash_cnt[2670][1]~64260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2670][1]~64260_combout\ = (\led_flash_cnt[2670][0]~q\ & (\led_flash_cnt[2670][1]~q\ $ (VCC))) # (!\led_flash_cnt[2670][0]~q\ & (\led_flash_cnt[2670][1]~q\ & VCC))
-- \led_flash_cnt[2670][1]~64261\ = CARRY((\led_flash_cnt[2670][0]~q\ & \led_flash_cnt[2670][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2670][0]~q\,
	datab => \led_flash_cnt[2670][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2670][1]~64260_combout\,
	cout => \led_flash_cnt[2670][1]~64261\);

-- Location: FF_X1_Y17_N19
\led_flash_cnt[2670][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2670][1]~64260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2670][1]~q\);

-- Location: LCCOMB_X1_Y17_N20
\led_flash_cnt[2670][2]~64262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2670][2]~64262_combout\ = (\led_flash_cnt[2670][2]~q\ & (!\led_flash_cnt[2670][1]~64261\)) # (!\led_flash_cnt[2670][2]~q\ & ((\led_flash_cnt[2670][1]~64261\) # (GND)))
-- \led_flash_cnt[2670][2]~64263\ = CARRY((!\led_flash_cnt[2670][1]~64261\) # (!\led_flash_cnt[2670][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2670][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2670][1]~64261\,
	combout => \led_flash_cnt[2670][2]~64262_combout\,
	cout => \led_flash_cnt[2670][2]~64263\);

-- Location: FF_X1_Y17_N21
\led_flash_cnt[2670][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2670][2]~64262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2670][2]~q\);

-- Location: LCCOMB_X1_Y17_N22
\led_flash_cnt[2670][3]~64264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2670][3]~64264_combout\ = (\led_flash_cnt[2670][3]~q\ & (\led_flash_cnt[2670][2]~64263\ $ (GND))) # (!\led_flash_cnt[2670][3]~q\ & (!\led_flash_cnt[2670][2]~64263\ & VCC))
-- \led_flash_cnt[2670][3]~64265\ = CARRY((\led_flash_cnt[2670][3]~q\ & !\led_flash_cnt[2670][2]~64263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2670][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2670][2]~64263\,
	combout => \led_flash_cnt[2670][3]~64264_combout\,
	cout => \led_flash_cnt[2670][3]~64265\);

-- Location: FF_X1_Y17_N23
\led_flash_cnt[2670][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2670][3]~64264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2670][3]~q\);

-- Location: LCCOMB_X1_Y17_N24
\led_flash_cnt[2670][4]~64266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2670][4]~64266_combout\ = (\led_flash_cnt[2670][4]~q\ & (!\led_flash_cnt[2670][3]~64265\)) # (!\led_flash_cnt[2670][4]~q\ & ((\led_flash_cnt[2670][3]~64265\) # (GND)))
-- \led_flash_cnt[2670][4]~64267\ = CARRY((!\led_flash_cnt[2670][3]~64265\) # (!\led_flash_cnt[2670][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2670][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2670][3]~64265\,
	combout => \led_flash_cnt[2670][4]~64266_combout\,
	cout => \led_flash_cnt[2670][4]~64267\);

-- Location: FF_X1_Y17_N25
\led_flash_cnt[2670][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2670][4]~64266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2670][4]~q\);

-- Location: LCCOMB_X1_Y17_N26
\led_flash_cnt[2670][5]~64268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2670][5]~64268_combout\ = (\led_flash_cnt[2670][5]~q\ & (\led_flash_cnt[2670][4]~64267\ $ (GND))) # (!\led_flash_cnt[2670][5]~q\ & (!\led_flash_cnt[2670][4]~64267\ & VCC))
-- \led_flash_cnt[2670][5]~64269\ = CARRY((\led_flash_cnt[2670][5]~q\ & !\led_flash_cnt[2670][4]~64267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2670][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2670][4]~64267\,
	combout => \led_flash_cnt[2670][5]~64268_combout\,
	cout => \led_flash_cnt[2670][5]~64269\);

-- Location: FF_X1_Y17_N27
\led_flash_cnt[2670][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2670][5]~64268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2670][5]~q\);

-- Location: LCCOMB_X1_Y17_N28
\led_flash_cnt[2670][6]~64270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2670][6]~64270_combout\ = (\led_flash_cnt[2670][6]~q\ & (!\led_flash_cnt[2670][5]~64269\)) # (!\led_flash_cnt[2670][6]~q\ & ((\led_flash_cnt[2670][5]~64269\) # (GND)))
-- \led_flash_cnt[2670][6]~64271\ = CARRY((!\led_flash_cnt[2670][5]~64269\) # (!\led_flash_cnt[2670][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2670][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2670][5]~64269\,
	combout => \led_flash_cnt[2670][6]~64270_combout\,
	cout => \led_flash_cnt[2670][6]~64271\);

-- Location: FF_X1_Y17_N29
\led_flash_cnt[2670][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2670][6]~64270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2670][6]~q\);

-- Location: LCCOMB_X2_Y17_N26
\WideAnd2670~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2670~1_combout\ = (\led_flash_cnt[2670][5]~q\ & \led_flash_cnt[2670][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2670][5]~q\,
	datad => \led_flash_cnt[2670][6]~q\,
	combout => \WideAnd2670~1_combout\);

-- Location: LCCOMB_X1_Y17_N30
\led_flash_cnt[2670][7]~64272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2670][7]~64272_combout\ = \led_flash_cnt[2670][7]~q\ $ (!\led_flash_cnt[2670][6]~64271\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2670][7]~q\,
	cin => \led_flash_cnt[2670][6]~64271\,
	combout => \led_flash_cnt[2670][7]~64272_combout\);

-- Location: FF_X1_Y17_N31
\led_flash_cnt[2670][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2670][7]~64272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2670][7]~q\);

-- Location: LCCOMB_X1_Y17_N16
\WideAnd2670~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2670~0_combout\ = (\led_flash_cnt[2670][4]~q\ & (\led_flash_cnt[2670][1]~q\ & (\led_flash_cnt[2670][3]~q\ & \led_flash_cnt[2670][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2670][4]~q\,
	datab => \led_flash_cnt[2670][1]~q\,
	datac => \led_flash_cnt[2670][3]~q\,
	datad => \led_flash_cnt[2670][2]~q\,
	combout => \WideAnd2670~0_combout\);

-- Location: LCCOMB_X2_Y17_N8
WideAnd2670 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2670~combout\ = (\WideAnd2670~1_combout\ & (\led_flash_cnt[2670][7]~q\ & (\WideAnd2670~0_combout\ & \led_flash_cnt[2670][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2670~1_combout\,
	datab => \led_flash_cnt[2670][7]~q\,
	datac => \WideAnd2670~0_combout\,
	datad => \led_flash_cnt[2670][0]~q\,
	combout => \WideAnd2670~combout\);

-- Location: FF_X2_Y17_N9
\led_flash_cnt_ands[2670]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2670~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2670));

-- Location: LCCOMB_X6_Y17_N20
WideAnd4173 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4173~combout\ = (led_flash_cnt_ands(2671) & (\WideAnd4173~0_combout\ & (\WideAnd4173~1_combout\ & led_flash_cnt_ands(2670))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2671),
	datab => \WideAnd4173~0_combout\,
	datac => \WideAnd4173~1_combout\,
	datad => led_flash_cnt_ands(2670),
	combout => \WideAnd4173~combout\);

-- Location: FF_X6_Y17_N21
\led_flash_cnt_ands_1[333]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4173~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(333));

-- Location: LCCOMB_X22_Y23_N2
\led_flash_cnt[2662][0]~83302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2662][0]~83302_combout\ = !\led_flash_cnt[2662][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2662][0]~q\,
	combout => \led_flash_cnt[2662][0]~83302_combout\);

-- Location: FF_X22_Y23_N3
\led_flash_cnt[2662][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2662][0]~83302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2662][0]~q\);

-- Location: LCCOMB_X21_Y23_N14
\led_flash_cnt[2662][1]~64148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2662][1]~64148_combout\ = (\led_flash_cnt[2662][0]~q\ & (\led_flash_cnt[2662][1]~q\ $ (VCC))) # (!\led_flash_cnt[2662][0]~q\ & (\led_flash_cnt[2662][1]~q\ & VCC))
-- \led_flash_cnt[2662][1]~64149\ = CARRY((\led_flash_cnt[2662][0]~q\ & \led_flash_cnt[2662][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2662][0]~q\,
	datab => \led_flash_cnt[2662][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2662][1]~64148_combout\,
	cout => \led_flash_cnt[2662][1]~64149\);

-- Location: FF_X21_Y23_N15
\led_flash_cnt[2662][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2662][1]~64148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2662][1]~q\);

-- Location: LCCOMB_X21_Y23_N16
\led_flash_cnt[2662][2]~64150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2662][2]~64150_combout\ = (\led_flash_cnt[2662][2]~q\ & (!\led_flash_cnt[2662][1]~64149\)) # (!\led_flash_cnt[2662][2]~q\ & ((\led_flash_cnt[2662][1]~64149\) # (GND)))
-- \led_flash_cnt[2662][2]~64151\ = CARRY((!\led_flash_cnt[2662][1]~64149\) # (!\led_flash_cnt[2662][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2662][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2662][1]~64149\,
	combout => \led_flash_cnt[2662][2]~64150_combout\,
	cout => \led_flash_cnt[2662][2]~64151\);

-- Location: FF_X21_Y23_N17
\led_flash_cnt[2662][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2662][2]~64150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2662][2]~q\);

-- Location: LCCOMB_X21_Y23_N18
\led_flash_cnt[2662][3]~64152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2662][3]~64152_combout\ = (\led_flash_cnt[2662][3]~q\ & (\led_flash_cnt[2662][2]~64151\ $ (GND))) # (!\led_flash_cnt[2662][3]~q\ & (!\led_flash_cnt[2662][2]~64151\ & VCC))
-- \led_flash_cnt[2662][3]~64153\ = CARRY((\led_flash_cnt[2662][3]~q\ & !\led_flash_cnt[2662][2]~64151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2662][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2662][2]~64151\,
	combout => \led_flash_cnt[2662][3]~64152_combout\,
	cout => \led_flash_cnt[2662][3]~64153\);

-- Location: FF_X21_Y23_N19
\led_flash_cnt[2662][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2662][3]~64152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2662][3]~q\);

-- Location: LCCOMB_X21_Y23_N20
\led_flash_cnt[2662][4]~64154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2662][4]~64154_combout\ = (\led_flash_cnt[2662][4]~q\ & (!\led_flash_cnt[2662][3]~64153\)) # (!\led_flash_cnt[2662][4]~q\ & ((\led_flash_cnt[2662][3]~64153\) # (GND)))
-- \led_flash_cnt[2662][4]~64155\ = CARRY((!\led_flash_cnt[2662][3]~64153\) # (!\led_flash_cnt[2662][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2662][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2662][3]~64153\,
	combout => \led_flash_cnt[2662][4]~64154_combout\,
	cout => \led_flash_cnt[2662][4]~64155\);

-- Location: FF_X21_Y23_N21
\led_flash_cnt[2662][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2662][4]~64154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2662][4]~q\);

-- Location: LCCOMB_X21_Y23_N22
\led_flash_cnt[2662][5]~64156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2662][5]~64156_combout\ = (\led_flash_cnt[2662][5]~q\ & (\led_flash_cnt[2662][4]~64155\ $ (GND))) # (!\led_flash_cnt[2662][5]~q\ & (!\led_flash_cnt[2662][4]~64155\ & VCC))
-- \led_flash_cnt[2662][5]~64157\ = CARRY((\led_flash_cnt[2662][5]~q\ & !\led_flash_cnt[2662][4]~64155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2662][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2662][4]~64155\,
	combout => \led_flash_cnt[2662][5]~64156_combout\,
	cout => \led_flash_cnt[2662][5]~64157\);

-- Location: FF_X21_Y23_N23
\led_flash_cnt[2662][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2662][5]~64156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2662][5]~q\);

-- Location: LCCOMB_X21_Y23_N24
\led_flash_cnt[2662][6]~64158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2662][6]~64158_combout\ = (\led_flash_cnt[2662][6]~q\ & (!\led_flash_cnt[2662][5]~64157\)) # (!\led_flash_cnt[2662][6]~q\ & ((\led_flash_cnt[2662][5]~64157\) # (GND)))
-- \led_flash_cnt[2662][6]~64159\ = CARRY((!\led_flash_cnt[2662][5]~64157\) # (!\led_flash_cnt[2662][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2662][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2662][5]~64157\,
	combout => \led_flash_cnt[2662][6]~64158_combout\,
	cout => \led_flash_cnt[2662][6]~64159\);

-- Location: FF_X21_Y23_N25
\led_flash_cnt[2662][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2662][6]~64158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2662][6]~q\);

-- Location: LCCOMB_X22_Y23_N12
\WideAnd2662~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2662~1_combout\ = (\led_flash_cnt[2662][6]~q\ & \led_flash_cnt[2662][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2662][6]~q\,
	datad => \led_flash_cnt[2662][5]~q\,
	combout => \WideAnd2662~1_combout\);

-- Location: LCCOMB_X21_Y23_N30
\WideAnd2662~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2662~0_combout\ = (\led_flash_cnt[2662][4]~q\ & (\led_flash_cnt[2662][3]~q\ & (\led_flash_cnt[2662][1]~q\ & \led_flash_cnt[2662][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2662][4]~q\,
	datab => \led_flash_cnt[2662][3]~q\,
	datac => \led_flash_cnt[2662][1]~q\,
	datad => \led_flash_cnt[2662][2]~q\,
	combout => \WideAnd2662~0_combout\);

-- Location: LCCOMB_X21_Y23_N26
\led_flash_cnt[2662][7]~64160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2662][7]~64160_combout\ = \led_flash_cnt[2662][7]~q\ $ (!\led_flash_cnt[2662][6]~64159\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2662][7]~q\,
	cin => \led_flash_cnt[2662][6]~64159\,
	combout => \led_flash_cnt[2662][7]~64160_combout\);

-- Location: FF_X21_Y23_N27
\led_flash_cnt[2662][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2662][7]~64160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2662][7]~q\);

-- Location: LCCOMB_X22_Y23_N10
WideAnd2662 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2662~combout\ = (\WideAnd2662~1_combout\ & (\WideAnd2662~0_combout\ & (\led_flash_cnt[2662][7]~q\ & \led_flash_cnt[2662][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2662~1_combout\,
	datab => \WideAnd2662~0_combout\,
	datac => \led_flash_cnt[2662][7]~q\,
	datad => \led_flash_cnt[2662][0]~q\,
	combout => \WideAnd2662~combout\);

-- Location: FF_X22_Y23_N11
\led_flash_cnt_ands[2662]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2662~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2662));

-- Location: LCCOMB_X20_Y25_N18
\led_flash_cnt[2658][0]~83298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2658][0]~83298_combout\ = !\led_flash_cnt[2658][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2658][0]~q\,
	combout => \led_flash_cnt[2658][0]~83298_combout\);

-- Location: FF_X20_Y25_N19
\led_flash_cnt[2658][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2658][0]~83298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2658][0]~q\);

-- Location: LCCOMB_X20_Y25_N4
\led_flash_cnt[2658][1]~64092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2658][1]~64092_combout\ = (\led_flash_cnt[2658][1]~q\ & (\led_flash_cnt[2658][0]~q\ $ (VCC))) # (!\led_flash_cnt[2658][1]~q\ & (\led_flash_cnt[2658][0]~q\ & VCC))
-- \led_flash_cnt[2658][1]~64093\ = CARRY((\led_flash_cnt[2658][1]~q\ & \led_flash_cnt[2658][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2658][1]~q\,
	datab => \led_flash_cnt[2658][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2658][1]~64092_combout\,
	cout => \led_flash_cnt[2658][1]~64093\);

-- Location: FF_X20_Y25_N5
\led_flash_cnt[2658][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2658][1]~64092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2658][1]~q\);

-- Location: LCCOMB_X20_Y25_N6
\led_flash_cnt[2658][2]~64094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2658][2]~64094_combout\ = (\led_flash_cnt[2658][2]~q\ & (!\led_flash_cnt[2658][1]~64093\)) # (!\led_flash_cnt[2658][2]~q\ & ((\led_flash_cnt[2658][1]~64093\) # (GND)))
-- \led_flash_cnt[2658][2]~64095\ = CARRY((!\led_flash_cnt[2658][1]~64093\) # (!\led_flash_cnt[2658][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2658][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2658][1]~64093\,
	combout => \led_flash_cnt[2658][2]~64094_combout\,
	cout => \led_flash_cnt[2658][2]~64095\);

-- Location: FF_X20_Y25_N7
\led_flash_cnt[2658][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2658][2]~64094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2658][2]~q\);

-- Location: LCCOMB_X20_Y25_N8
\led_flash_cnt[2658][3]~64096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2658][3]~64096_combout\ = (\led_flash_cnt[2658][3]~q\ & (\led_flash_cnt[2658][2]~64095\ $ (GND))) # (!\led_flash_cnt[2658][3]~q\ & (!\led_flash_cnt[2658][2]~64095\ & VCC))
-- \led_flash_cnt[2658][3]~64097\ = CARRY((\led_flash_cnt[2658][3]~q\ & !\led_flash_cnt[2658][2]~64095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2658][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2658][2]~64095\,
	combout => \led_flash_cnt[2658][3]~64096_combout\,
	cout => \led_flash_cnt[2658][3]~64097\);

-- Location: FF_X20_Y25_N9
\led_flash_cnt[2658][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2658][3]~64096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2658][3]~q\);

-- Location: LCCOMB_X20_Y25_N10
\led_flash_cnt[2658][4]~64098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2658][4]~64098_combout\ = (\led_flash_cnt[2658][4]~q\ & (!\led_flash_cnt[2658][3]~64097\)) # (!\led_flash_cnt[2658][4]~q\ & ((\led_flash_cnt[2658][3]~64097\) # (GND)))
-- \led_flash_cnt[2658][4]~64099\ = CARRY((!\led_flash_cnt[2658][3]~64097\) # (!\led_flash_cnt[2658][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2658][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2658][3]~64097\,
	combout => \led_flash_cnt[2658][4]~64098_combout\,
	cout => \led_flash_cnt[2658][4]~64099\);

-- Location: FF_X20_Y25_N11
\led_flash_cnt[2658][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2658][4]~64098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2658][4]~q\);

-- Location: LCCOMB_X20_Y25_N12
\led_flash_cnt[2658][5]~64100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2658][5]~64100_combout\ = (\led_flash_cnt[2658][5]~q\ & (\led_flash_cnt[2658][4]~64099\ $ (GND))) # (!\led_flash_cnt[2658][5]~q\ & (!\led_flash_cnt[2658][4]~64099\ & VCC))
-- \led_flash_cnt[2658][5]~64101\ = CARRY((\led_flash_cnt[2658][5]~q\ & !\led_flash_cnt[2658][4]~64099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2658][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2658][4]~64099\,
	combout => \led_flash_cnt[2658][5]~64100_combout\,
	cout => \led_flash_cnt[2658][5]~64101\);

-- Location: FF_X20_Y25_N13
\led_flash_cnt[2658][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2658][5]~64100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2658][5]~q\);

-- Location: LCCOMB_X20_Y25_N14
\led_flash_cnt[2658][6]~64102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2658][6]~64102_combout\ = (\led_flash_cnt[2658][6]~q\ & (!\led_flash_cnt[2658][5]~64101\)) # (!\led_flash_cnt[2658][6]~q\ & ((\led_flash_cnt[2658][5]~64101\) # (GND)))
-- \led_flash_cnt[2658][6]~64103\ = CARRY((!\led_flash_cnt[2658][5]~64101\) # (!\led_flash_cnt[2658][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2658][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2658][5]~64101\,
	combout => \led_flash_cnt[2658][6]~64102_combout\,
	cout => \led_flash_cnt[2658][6]~64103\);

-- Location: FF_X20_Y25_N15
\led_flash_cnt[2658][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2658][6]~64102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2658][6]~q\);

-- Location: LCCOMB_X20_Y25_N26
\WideAnd2658~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2658~1_combout\ = (\led_flash_cnt[2658][6]~q\ & \led_flash_cnt[2658][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2658][6]~q\,
	datad => \led_flash_cnt[2658][5]~q\,
	combout => \WideAnd2658~1_combout\);

-- Location: LCCOMB_X20_Y25_N16
\led_flash_cnt[2658][7]~64104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2658][7]~64104_combout\ = \led_flash_cnt[2658][6]~64103\ $ (!\led_flash_cnt[2658][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2658][7]~q\,
	cin => \led_flash_cnt[2658][6]~64103\,
	combout => \led_flash_cnt[2658][7]~64104_combout\);

-- Location: FF_X20_Y25_N17
\led_flash_cnt[2658][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2658][7]~64104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2658][7]~q\);

-- Location: LCCOMB_X20_Y25_N22
\WideAnd2658~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2658~0_combout\ = (\led_flash_cnt[2658][4]~q\ & (\led_flash_cnt[2658][1]~q\ & (\led_flash_cnt[2658][3]~q\ & \led_flash_cnt[2658][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2658][4]~q\,
	datab => \led_flash_cnt[2658][1]~q\,
	datac => \led_flash_cnt[2658][3]~q\,
	datad => \led_flash_cnt[2658][2]~q\,
	combout => \WideAnd2658~0_combout\);

-- Location: LCCOMB_X20_Y25_N30
WideAnd2658 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2658~combout\ = (\WideAnd2658~1_combout\ & (\led_flash_cnt[2658][7]~q\ & (\WideAnd2658~0_combout\ & \led_flash_cnt[2658][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2658~1_combout\,
	datab => \led_flash_cnt[2658][7]~q\,
	datac => \WideAnd2658~0_combout\,
	datad => \led_flash_cnt[2658][0]~q\,
	combout => \WideAnd2658~combout\);

-- Location: FF_X20_Y25_N31
\led_flash_cnt_ands[2658]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2658~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2658));

-- Location: LCCOMB_X20_Y23_N10
\led_flash_cnt[2657][0]~83297\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2657][0]~83297_combout\ = !\led_flash_cnt[2657][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2657][0]~q\,
	combout => \led_flash_cnt[2657][0]~83297_combout\);

-- Location: FF_X20_Y23_N11
\led_flash_cnt[2657][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2657][0]~83297_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2657][0]~q\);

-- Location: LCCOMB_X20_Y23_N16
\led_flash_cnt[2657][1]~64078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2657][1]~64078_combout\ = (\led_flash_cnt[2657][0]~q\ & (\led_flash_cnt[2657][1]~q\ $ (VCC))) # (!\led_flash_cnt[2657][0]~q\ & (\led_flash_cnt[2657][1]~q\ & VCC))
-- \led_flash_cnt[2657][1]~64079\ = CARRY((\led_flash_cnt[2657][0]~q\ & \led_flash_cnt[2657][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2657][0]~q\,
	datab => \led_flash_cnt[2657][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2657][1]~64078_combout\,
	cout => \led_flash_cnt[2657][1]~64079\);

-- Location: FF_X20_Y23_N17
\led_flash_cnt[2657][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2657][1]~64078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2657][1]~q\);

-- Location: LCCOMB_X20_Y23_N18
\led_flash_cnt[2657][2]~64080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2657][2]~64080_combout\ = (\led_flash_cnt[2657][2]~q\ & (!\led_flash_cnt[2657][1]~64079\)) # (!\led_flash_cnt[2657][2]~q\ & ((\led_flash_cnt[2657][1]~64079\) # (GND)))
-- \led_flash_cnt[2657][2]~64081\ = CARRY((!\led_flash_cnt[2657][1]~64079\) # (!\led_flash_cnt[2657][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2657][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2657][1]~64079\,
	combout => \led_flash_cnt[2657][2]~64080_combout\,
	cout => \led_flash_cnt[2657][2]~64081\);

-- Location: FF_X20_Y23_N19
\led_flash_cnt[2657][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2657][2]~64080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2657][2]~q\);

-- Location: LCCOMB_X20_Y23_N20
\led_flash_cnt[2657][3]~64082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2657][3]~64082_combout\ = (\led_flash_cnt[2657][3]~q\ & (\led_flash_cnt[2657][2]~64081\ $ (GND))) # (!\led_flash_cnt[2657][3]~q\ & (!\led_flash_cnt[2657][2]~64081\ & VCC))
-- \led_flash_cnt[2657][3]~64083\ = CARRY((\led_flash_cnt[2657][3]~q\ & !\led_flash_cnt[2657][2]~64081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2657][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2657][2]~64081\,
	combout => \led_flash_cnt[2657][3]~64082_combout\,
	cout => \led_flash_cnt[2657][3]~64083\);

-- Location: FF_X20_Y23_N21
\led_flash_cnt[2657][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2657][3]~64082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2657][3]~q\);

-- Location: LCCOMB_X20_Y23_N22
\led_flash_cnt[2657][4]~64084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2657][4]~64084_combout\ = (\led_flash_cnt[2657][4]~q\ & (!\led_flash_cnt[2657][3]~64083\)) # (!\led_flash_cnt[2657][4]~q\ & ((\led_flash_cnt[2657][3]~64083\) # (GND)))
-- \led_flash_cnt[2657][4]~64085\ = CARRY((!\led_flash_cnt[2657][3]~64083\) # (!\led_flash_cnt[2657][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2657][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2657][3]~64083\,
	combout => \led_flash_cnt[2657][4]~64084_combout\,
	cout => \led_flash_cnt[2657][4]~64085\);

-- Location: FF_X20_Y23_N23
\led_flash_cnt[2657][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2657][4]~64084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2657][4]~q\);

-- Location: LCCOMB_X20_Y23_N24
\led_flash_cnt[2657][5]~64086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2657][5]~64086_combout\ = (\led_flash_cnt[2657][5]~q\ & (\led_flash_cnt[2657][4]~64085\ $ (GND))) # (!\led_flash_cnt[2657][5]~q\ & (!\led_flash_cnt[2657][4]~64085\ & VCC))
-- \led_flash_cnt[2657][5]~64087\ = CARRY((\led_flash_cnt[2657][5]~q\ & !\led_flash_cnt[2657][4]~64085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2657][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2657][4]~64085\,
	combout => \led_flash_cnt[2657][5]~64086_combout\,
	cout => \led_flash_cnt[2657][5]~64087\);

-- Location: FF_X20_Y23_N25
\led_flash_cnt[2657][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2657][5]~64086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2657][5]~q\);

-- Location: LCCOMB_X20_Y23_N26
\led_flash_cnt[2657][6]~64088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2657][6]~64088_combout\ = (\led_flash_cnt[2657][6]~q\ & (!\led_flash_cnt[2657][5]~64087\)) # (!\led_flash_cnt[2657][6]~q\ & ((\led_flash_cnt[2657][5]~64087\) # (GND)))
-- \led_flash_cnt[2657][6]~64089\ = CARRY((!\led_flash_cnt[2657][5]~64087\) # (!\led_flash_cnt[2657][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2657][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2657][5]~64087\,
	combout => \led_flash_cnt[2657][6]~64088_combout\,
	cout => \led_flash_cnt[2657][6]~64089\);

-- Location: FF_X20_Y23_N27
\led_flash_cnt[2657][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2657][6]~64088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2657][6]~q\);

-- Location: LCCOMB_X20_Y23_N28
\led_flash_cnt[2657][7]~64090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2657][7]~64090_combout\ = \led_flash_cnt[2657][6]~64089\ $ (!\led_flash_cnt[2657][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2657][7]~q\,
	cin => \led_flash_cnt[2657][6]~64089\,
	combout => \led_flash_cnt[2657][7]~64090_combout\);

-- Location: FF_X20_Y23_N29
\led_flash_cnt[2657][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2657][7]~64090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2657][7]~q\);

-- Location: LCCOMB_X20_Y23_N4
\WideAnd2657~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2657~1_combout\ = (\led_flash_cnt[2657][6]~q\ & \led_flash_cnt[2657][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2657][6]~q\,
	datad => \led_flash_cnt[2657][5]~q\,
	combout => \WideAnd2657~1_combout\);

-- Location: LCCOMB_X20_Y23_N2
\WideAnd2657~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2657~0_combout\ = (\led_flash_cnt[2657][2]~q\ & (\led_flash_cnt[2657][3]~q\ & (\led_flash_cnt[2657][4]~q\ & \led_flash_cnt[2657][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2657][2]~q\,
	datab => \led_flash_cnt[2657][3]~q\,
	datac => \led_flash_cnt[2657][4]~q\,
	datad => \led_flash_cnt[2657][1]~q\,
	combout => \WideAnd2657~0_combout\);

-- Location: LCCOMB_X20_Y23_N14
WideAnd2657 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2657~combout\ = (\led_flash_cnt[2657][0]~q\ & (\led_flash_cnt[2657][7]~q\ & (\WideAnd2657~1_combout\ & \WideAnd2657~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2657][0]~q\,
	datab => \led_flash_cnt[2657][7]~q\,
	datac => \WideAnd2657~1_combout\,
	datad => \WideAnd2657~0_combout\,
	combout => \WideAnd2657~combout\);

-- Location: FF_X20_Y23_N15
\led_flash_cnt_ands[2657]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2657~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2657));

-- Location: LCCOMB_X8_Y13_N6
\led_flash_cnt[2659][0]~83299\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2659][0]~83299_combout\ = !\led_flash_cnt[2659][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2659][0]~q\,
	combout => \led_flash_cnt[2659][0]~83299_combout\);

-- Location: FF_X8_Y13_N7
\led_flash_cnt[2659][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2659][0]~83299_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2659][0]~q\);

-- Location: LCCOMB_X9_Y13_N18
\led_flash_cnt[2659][1]~64106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2659][1]~64106_combout\ = (\led_flash_cnt[2659][0]~q\ & (\led_flash_cnt[2659][1]~q\ $ (VCC))) # (!\led_flash_cnt[2659][0]~q\ & (\led_flash_cnt[2659][1]~q\ & VCC))
-- \led_flash_cnt[2659][1]~64107\ = CARRY((\led_flash_cnt[2659][0]~q\ & \led_flash_cnt[2659][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2659][0]~q\,
	datab => \led_flash_cnt[2659][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2659][1]~64106_combout\,
	cout => \led_flash_cnt[2659][1]~64107\);

-- Location: FF_X9_Y13_N19
\led_flash_cnt[2659][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2659][1]~64106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2659][1]~q\);

-- Location: LCCOMB_X9_Y13_N20
\led_flash_cnt[2659][2]~64108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2659][2]~64108_combout\ = (\led_flash_cnt[2659][2]~q\ & (!\led_flash_cnt[2659][1]~64107\)) # (!\led_flash_cnt[2659][2]~q\ & ((\led_flash_cnt[2659][1]~64107\) # (GND)))
-- \led_flash_cnt[2659][2]~64109\ = CARRY((!\led_flash_cnt[2659][1]~64107\) # (!\led_flash_cnt[2659][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2659][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2659][1]~64107\,
	combout => \led_flash_cnt[2659][2]~64108_combout\,
	cout => \led_flash_cnt[2659][2]~64109\);

-- Location: FF_X9_Y13_N21
\led_flash_cnt[2659][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2659][2]~64108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2659][2]~q\);

-- Location: LCCOMB_X9_Y13_N22
\led_flash_cnt[2659][3]~64110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2659][3]~64110_combout\ = (\led_flash_cnt[2659][3]~q\ & (\led_flash_cnt[2659][2]~64109\ $ (GND))) # (!\led_flash_cnt[2659][3]~q\ & (!\led_flash_cnt[2659][2]~64109\ & VCC))
-- \led_flash_cnt[2659][3]~64111\ = CARRY((\led_flash_cnt[2659][3]~q\ & !\led_flash_cnt[2659][2]~64109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2659][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2659][2]~64109\,
	combout => \led_flash_cnt[2659][3]~64110_combout\,
	cout => \led_flash_cnt[2659][3]~64111\);

-- Location: FF_X9_Y13_N23
\led_flash_cnt[2659][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2659][3]~64110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2659][3]~q\);

-- Location: LCCOMB_X9_Y13_N24
\led_flash_cnt[2659][4]~64112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2659][4]~64112_combout\ = (\led_flash_cnt[2659][4]~q\ & (!\led_flash_cnt[2659][3]~64111\)) # (!\led_flash_cnt[2659][4]~q\ & ((\led_flash_cnt[2659][3]~64111\) # (GND)))
-- \led_flash_cnt[2659][4]~64113\ = CARRY((!\led_flash_cnt[2659][3]~64111\) # (!\led_flash_cnt[2659][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2659][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2659][3]~64111\,
	combout => \led_flash_cnt[2659][4]~64112_combout\,
	cout => \led_flash_cnt[2659][4]~64113\);

-- Location: FF_X9_Y13_N25
\led_flash_cnt[2659][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2659][4]~64112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2659][4]~q\);

-- Location: LCCOMB_X9_Y13_N16
\WideAnd2659~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2659~0_combout\ = (\led_flash_cnt[2659][2]~q\ & (\led_flash_cnt[2659][4]~q\ & (\led_flash_cnt[2659][3]~q\ & \led_flash_cnt[2659][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2659][2]~q\,
	datab => \led_flash_cnt[2659][4]~q\,
	datac => \led_flash_cnt[2659][3]~q\,
	datad => \led_flash_cnt[2659][1]~q\,
	combout => \WideAnd2659~0_combout\);

-- Location: LCCOMB_X9_Y13_N26
\led_flash_cnt[2659][5]~64114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2659][5]~64114_combout\ = (\led_flash_cnt[2659][5]~q\ & (\led_flash_cnt[2659][4]~64113\ $ (GND))) # (!\led_flash_cnt[2659][5]~q\ & (!\led_flash_cnt[2659][4]~64113\ & VCC))
-- \led_flash_cnt[2659][5]~64115\ = CARRY((\led_flash_cnt[2659][5]~q\ & !\led_flash_cnt[2659][4]~64113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2659][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2659][4]~64113\,
	combout => \led_flash_cnt[2659][5]~64114_combout\,
	cout => \led_flash_cnt[2659][5]~64115\);

-- Location: FF_X9_Y13_N27
\led_flash_cnt[2659][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2659][5]~64114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2659][5]~q\);

-- Location: LCCOMB_X9_Y13_N28
\led_flash_cnt[2659][6]~64116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2659][6]~64116_combout\ = (\led_flash_cnt[2659][6]~q\ & (!\led_flash_cnt[2659][5]~64115\)) # (!\led_flash_cnt[2659][6]~q\ & ((\led_flash_cnt[2659][5]~64115\) # (GND)))
-- \led_flash_cnt[2659][6]~64117\ = CARRY((!\led_flash_cnt[2659][5]~64115\) # (!\led_flash_cnt[2659][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2659][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2659][5]~64115\,
	combout => \led_flash_cnt[2659][6]~64116_combout\,
	cout => \led_flash_cnt[2659][6]~64117\);

-- Location: FF_X9_Y13_N29
\led_flash_cnt[2659][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2659][6]~64116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2659][6]~q\);

-- Location: LCCOMB_X9_Y13_N30
\led_flash_cnt[2659][7]~64118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2659][7]~64118_combout\ = \led_flash_cnt[2659][7]~q\ $ (!\led_flash_cnt[2659][6]~64117\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2659][7]~q\,
	cin => \led_flash_cnt[2659][6]~64117\,
	combout => \led_flash_cnt[2659][7]~64118_combout\);

-- Location: FF_X9_Y13_N31
\led_flash_cnt[2659][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2659][7]~64118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2659][7]~q\);

-- Location: LCCOMB_X10_Y13_N12
\WideAnd2659~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2659~1_combout\ = (\led_flash_cnt[2659][5]~q\ & \led_flash_cnt[2659][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2659][5]~q\,
	datad => \led_flash_cnt[2659][6]~q\,
	combout => \WideAnd2659~1_combout\);

-- Location: LCCOMB_X10_Y13_N30
WideAnd2659 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2659~combout\ = (\WideAnd2659~0_combout\ & (\led_flash_cnt[2659][7]~q\ & (\led_flash_cnt[2659][0]~q\ & \WideAnd2659~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2659~0_combout\,
	datab => \led_flash_cnt[2659][7]~q\,
	datac => \led_flash_cnt[2659][0]~q\,
	datad => \WideAnd2659~1_combout\,
	combout => \WideAnd2659~combout\);

-- Location: FF_X10_Y13_N31
\led_flash_cnt_ands[2659]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2659~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2659));

-- Location: LCCOMB_X20_Y25_N28
\led_flash_cnt[2656][0]~83296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2656][0]~83296_combout\ = !\led_flash_cnt[2656][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2656][0]~q\,
	combout => \led_flash_cnt[2656][0]~83296_combout\);

-- Location: FF_X20_Y25_N29
\led_flash_cnt[2656][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2656][0]~83296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2656][0]~q\);

-- Location: LCCOMB_X20_Y29_N16
\led_flash_cnt[2656][1]~64064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2656][1]~64064_combout\ = (\led_flash_cnt[2656][0]~q\ & (\led_flash_cnt[2656][1]~q\ $ (VCC))) # (!\led_flash_cnt[2656][0]~q\ & (\led_flash_cnt[2656][1]~q\ & VCC))
-- \led_flash_cnt[2656][1]~64065\ = CARRY((\led_flash_cnt[2656][0]~q\ & \led_flash_cnt[2656][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2656][0]~q\,
	datab => \led_flash_cnt[2656][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2656][1]~64064_combout\,
	cout => \led_flash_cnt[2656][1]~64065\);

-- Location: FF_X20_Y29_N17
\led_flash_cnt[2656][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2656][1]~64064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2656][1]~q\);

-- Location: LCCOMB_X20_Y29_N18
\led_flash_cnt[2656][2]~64066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2656][2]~64066_combout\ = (\led_flash_cnt[2656][2]~q\ & (!\led_flash_cnt[2656][1]~64065\)) # (!\led_flash_cnt[2656][2]~q\ & ((\led_flash_cnt[2656][1]~64065\) # (GND)))
-- \led_flash_cnt[2656][2]~64067\ = CARRY((!\led_flash_cnt[2656][1]~64065\) # (!\led_flash_cnt[2656][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2656][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2656][1]~64065\,
	combout => \led_flash_cnt[2656][2]~64066_combout\,
	cout => \led_flash_cnt[2656][2]~64067\);

-- Location: FF_X20_Y29_N19
\led_flash_cnt[2656][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2656][2]~64066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2656][2]~q\);

-- Location: LCCOMB_X20_Y29_N20
\led_flash_cnt[2656][3]~64068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2656][3]~64068_combout\ = (\led_flash_cnt[2656][3]~q\ & (\led_flash_cnt[2656][2]~64067\ $ (GND))) # (!\led_flash_cnt[2656][3]~q\ & (!\led_flash_cnt[2656][2]~64067\ & VCC))
-- \led_flash_cnt[2656][3]~64069\ = CARRY((\led_flash_cnt[2656][3]~q\ & !\led_flash_cnt[2656][2]~64067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2656][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2656][2]~64067\,
	combout => \led_flash_cnt[2656][3]~64068_combout\,
	cout => \led_flash_cnt[2656][3]~64069\);

-- Location: FF_X20_Y29_N21
\led_flash_cnt[2656][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2656][3]~64068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2656][3]~q\);

-- Location: LCCOMB_X20_Y29_N22
\led_flash_cnt[2656][4]~64070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2656][4]~64070_combout\ = (\led_flash_cnt[2656][4]~q\ & (!\led_flash_cnt[2656][3]~64069\)) # (!\led_flash_cnt[2656][4]~q\ & ((\led_flash_cnt[2656][3]~64069\) # (GND)))
-- \led_flash_cnt[2656][4]~64071\ = CARRY((!\led_flash_cnt[2656][3]~64069\) # (!\led_flash_cnt[2656][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2656][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2656][3]~64069\,
	combout => \led_flash_cnt[2656][4]~64070_combout\,
	cout => \led_flash_cnt[2656][4]~64071\);

-- Location: FF_X20_Y29_N23
\led_flash_cnt[2656][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2656][4]~64070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2656][4]~q\);

-- Location: LCCOMB_X20_Y29_N24
\led_flash_cnt[2656][5]~64072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2656][5]~64072_combout\ = (\led_flash_cnt[2656][5]~q\ & (\led_flash_cnt[2656][4]~64071\ $ (GND))) # (!\led_flash_cnt[2656][5]~q\ & (!\led_flash_cnt[2656][4]~64071\ & VCC))
-- \led_flash_cnt[2656][5]~64073\ = CARRY((\led_flash_cnt[2656][5]~q\ & !\led_flash_cnt[2656][4]~64071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2656][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2656][4]~64071\,
	combout => \led_flash_cnt[2656][5]~64072_combout\,
	cout => \led_flash_cnt[2656][5]~64073\);

-- Location: FF_X20_Y29_N25
\led_flash_cnt[2656][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2656][5]~64072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2656][5]~q\);

-- Location: LCCOMB_X20_Y29_N26
\led_flash_cnt[2656][6]~64074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2656][6]~64074_combout\ = (\led_flash_cnt[2656][6]~q\ & (!\led_flash_cnt[2656][5]~64073\)) # (!\led_flash_cnt[2656][6]~q\ & ((\led_flash_cnt[2656][5]~64073\) # (GND)))
-- \led_flash_cnt[2656][6]~64075\ = CARRY((!\led_flash_cnt[2656][5]~64073\) # (!\led_flash_cnt[2656][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2656][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2656][5]~64073\,
	combout => \led_flash_cnt[2656][6]~64074_combout\,
	cout => \led_flash_cnt[2656][6]~64075\);

-- Location: FF_X20_Y29_N27
\led_flash_cnt[2656][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2656][6]~64074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2656][6]~q\);

-- Location: LCCOMB_X21_Y29_N6
\WideAnd2656~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2656~1_combout\ = (\led_flash_cnt[2656][6]~q\ & \led_flash_cnt[2656][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2656][6]~q\,
	datad => \led_flash_cnt[2656][5]~q\,
	combout => \WideAnd2656~1_combout\);

-- Location: LCCOMB_X20_Y29_N0
\WideAnd2656~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2656~0_combout\ = (\led_flash_cnt[2656][3]~q\ & (\led_flash_cnt[2656][1]~q\ & (\led_flash_cnt[2656][4]~q\ & \led_flash_cnt[2656][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2656][3]~q\,
	datab => \led_flash_cnt[2656][1]~q\,
	datac => \led_flash_cnt[2656][4]~q\,
	datad => \led_flash_cnt[2656][2]~q\,
	combout => \WideAnd2656~0_combout\);

-- Location: LCCOMB_X20_Y29_N28
\led_flash_cnt[2656][7]~64076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2656][7]~64076_combout\ = \led_flash_cnt[2656][6]~64075\ $ (!\led_flash_cnt[2656][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2656][7]~q\,
	cin => \led_flash_cnt[2656][6]~64075\,
	combout => \led_flash_cnt[2656][7]~64076_combout\);

-- Location: FF_X20_Y29_N29
\led_flash_cnt[2656][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2656][7]~64076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2656][7]~q\);

-- Location: LCCOMB_X20_Y25_N20
WideAnd2656 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2656~combout\ = (\WideAnd2656~1_combout\ & (\led_flash_cnt[2656][0]~q\ & (\WideAnd2656~0_combout\ & \led_flash_cnt[2656][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2656~1_combout\,
	datab => \led_flash_cnt[2656][0]~q\,
	datac => \WideAnd2656~0_combout\,
	datad => \led_flash_cnt[2656][7]~q\,
	combout => \WideAnd2656~combout\);

-- Location: FF_X20_Y25_N21
\led_flash_cnt_ands[2656]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2656~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2656));

-- Location: LCCOMB_X20_Y25_N24
\WideAnd4172~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4172~0_combout\ = (led_flash_cnt_ands(2658) & (led_flash_cnt_ands(2657) & (led_flash_cnt_ands(2659) & led_flash_cnt_ands(2656))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2658),
	datab => led_flash_cnt_ands(2657),
	datac => led_flash_cnt_ands(2659),
	datad => led_flash_cnt_ands(2656),
	combout => \WideAnd4172~0_combout\);

-- Location: LCCOMB_X23_Y15_N2
\led_flash_cnt[2660][0]~83300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2660][0]~83300_combout\ = !\led_flash_cnt[2660][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2660][0]~q\,
	combout => \led_flash_cnt[2660][0]~83300_combout\);

-- Location: FF_X23_Y15_N3
\led_flash_cnt[2660][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2660][0]~83300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2660][0]~q\);

-- Location: LCCOMB_X23_Y15_N10
\led_flash_cnt[2660][1]~64120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2660][1]~64120_combout\ = (\led_flash_cnt[2660][1]~q\ & (\led_flash_cnt[2660][0]~q\ $ (VCC))) # (!\led_flash_cnt[2660][1]~q\ & (\led_flash_cnt[2660][0]~q\ & VCC))
-- \led_flash_cnt[2660][1]~64121\ = CARRY((\led_flash_cnt[2660][1]~q\ & \led_flash_cnt[2660][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2660][1]~q\,
	datab => \led_flash_cnt[2660][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2660][1]~64120_combout\,
	cout => \led_flash_cnt[2660][1]~64121\);

-- Location: FF_X23_Y15_N11
\led_flash_cnt[2660][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2660][1]~64120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2660][1]~q\);

-- Location: LCCOMB_X23_Y15_N12
\led_flash_cnt[2660][2]~64122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2660][2]~64122_combout\ = (\led_flash_cnt[2660][2]~q\ & (!\led_flash_cnt[2660][1]~64121\)) # (!\led_flash_cnt[2660][2]~q\ & ((\led_flash_cnt[2660][1]~64121\) # (GND)))
-- \led_flash_cnt[2660][2]~64123\ = CARRY((!\led_flash_cnt[2660][1]~64121\) # (!\led_flash_cnt[2660][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2660][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2660][1]~64121\,
	combout => \led_flash_cnt[2660][2]~64122_combout\,
	cout => \led_flash_cnt[2660][2]~64123\);

-- Location: FF_X23_Y15_N13
\led_flash_cnt[2660][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2660][2]~64122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2660][2]~q\);

-- Location: LCCOMB_X23_Y15_N14
\led_flash_cnt[2660][3]~64124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2660][3]~64124_combout\ = (\led_flash_cnt[2660][3]~q\ & (\led_flash_cnt[2660][2]~64123\ $ (GND))) # (!\led_flash_cnt[2660][3]~q\ & (!\led_flash_cnt[2660][2]~64123\ & VCC))
-- \led_flash_cnt[2660][3]~64125\ = CARRY((\led_flash_cnt[2660][3]~q\ & !\led_flash_cnt[2660][2]~64123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2660][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2660][2]~64123\,
	combout => \led_flash_cnt[2660][3]~64124_combout\,
	cout => \led_flash_cnt[2660][3]~64125\);

-- Location: FF_X23_Y15_N15
\led_flash_cnt[2660][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2660][3]~64124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2660][3]~q\);

-- Location: LCCOMB_X23_Y15_N16
\led_flash_cnt[2660][4]~64126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2660][4]~64126_combout\ = (\led_flash_cnt[2660][4]~q\ & (!\led_flash_cnt[2660][3]~64125\)) # (!\led_flash_cnt[2660][4]~q\ & ((\led_flash_cnt[2660][3]~64125\) # (GND)))
-- \led_flash_cnt[2660][4]~64127\ = CARRY((!\led_flash_cnt[2660][3]~64125\) # (!\led_flash_cnt[2660][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2660][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2660][3]~64125\,
	combout => \led_flash_cnt[2660][4]~64126_combout\,
	cout => \led_flash_cnt[2660][4]~64127\);

-- Location: FF_X23_Y15_N17
\led_flash_cnt[2660][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2660][4]~64126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2660][4]~q\);

-- Location: LCCOMB_X23_Y15_N26
\WideAnd2660~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2660~0_combout\ = (\led_flash_cnt[2660][1]~q\ & (\led_flash_cnt[2660][4]~q\ & (\led_flash_cnt[2660][3]~q\ & \led_flash_cnt[2660][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2660][1]~q\,
	datab => \led_flash_cnt[2660][4]~q\,
	datac => \led_flash_cnt[2660][3]~q\,
	datad => \led_flash_cnt[2660][2]~q\,
	combout => \WideAnd2660~0_combout\);

-- Location: LCCOMB_X23_Y15_N18
\led_flash_cnt[2660][5]~64128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2660][5]~64128_combout\ = (\led_flash_cnt[2660][5]~q\ & (\led_flash_cnt[2660][4]~64127\ $ (GND))) # (!\led_flash_cnt[2660][5]~q\ & (!\led_flash_cnt[2660][4]~64127\ & VCC))
-- \led_flash_cnt[2660][5]~64129\ = CARRY((\led_flash_cnt[2660][5]~q\ & !\led_flash_cnt[2660][4]~64127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2660][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2660][4]~64127\,
	combout => \led_flash_cnt[2660][5]~64128_combout\,
	cout => \led_flash_cnt[2660][5]~64129\);

-- Location: FF_X23_Y15_N19
\led_flash_cnt[2660][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2660][5]~64128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2660][5]~q\);

-- Location: LCCOMB_X23_Y15_N20
\led_flash_cnt[2660][6]~64130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2660][6]~64130_combout\ = (\led_flash_cnt[2660][6]~q\ & (!\led_flash_cnt[2660][5]~64129\)) # (!\led_flash_cnt[2660][6]~q\ & ((\led_flash_cnt[2660][5]~64129\) # (GND)))
-- \led_flash_cnt[2660][6]~64131\ = CARRY((!\led_flash_cnt[2660][5]~64129\) # (!\led_flash_cnt[2660][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2660][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2660][5]~64129\,
	combout => \led_flash_cnt[2660][6]~64130_combout\,
	cout => \led_flash_cnt[2660][6]~64131\);

-- Location: FF_X23_Y15_N21
\led_flash_cnt[2660][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2660][6]~64130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2660][6]~q\);

-- Location: LCCOMB_X23_Y15_N28
\WideAnd2660~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2660~1_combout\ = (\led_flash_cnt[2660][6]~q\ & \led_flash_cnt[2660][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2660][6]~q\,
	datad => \led_flash_cnt[2660][5]~q\,
	combout => \WideAnd2660~1_combout\);

-- Location: LCCOMB_X23_Y15_N22
\led_flash_cnt[2660][7]~64132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2660][7]~64132_combout\ = \led_flash_cnt[2660][7]~q\ $ (!\led_flash_cnt[2660][6]~64131\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2660][7]~q\,
	cin => \led_flash_cnt[2660][6]~64131\,
	combout => \led_flash_cnt[2660][7]~64132_combout\);

-- Location: FF_X23_Y15_N23
\led_flash_cnt[2660][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2660][7]~64132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2660][7]~q\);

-- Location: LCCOMB_X23_Y15_N4
WideAnd2660 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2660~combout\ = (\WideAnd2660~0_combout\ & (\WideAnd2660~1_combout\ & (\led_flash_cnt[2660][7]~q\ & \led_flash_cnt[2660][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2660~0_combout\,
	datab => \WideAnd2660~1_combout\,
	datac => \led_flash_cnt[2660][7]~q\,
	datad => \led_flash_cnt[2660][0]~q\,
	combout => \WideAnd2660~combout\);

-- Location: FF_X23_Y15_N5
\led_flash_cnt_ands[2660]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2660~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2660));

-- Location: LCCOMB_X23_Y15_N6
\led_flash_cnt[2661][0]~83301\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2661][0]~83301_combout\ = !\led_flash_cnt[2661][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2661][0]~q\,
	combout => \led_flash_cnt[2661][0]~83301_combout\);

-- Location: FF_X23_Y15_N7
\led_flash_cnt[2661][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2661][0]~83301_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2661][0]~q\);

-- Location: LCCOMB_X24_Y15_N0
\led_flash_cnt[2661][1]~64134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2661][1]~64134_combout\ = (\led_flash_cnt[2661][0]~q\ & (\led_flash_cnt[2661][1]~q\ $ (VCC))) # (!\led_flash_cnt[2661][0]~q\ & (\led_flash_cnt[2661][1]~q\ & VCC))
-- \led_flash_cnt[2661][1]~64135\ = CARRY((\led_flash_cnt[2661][0]~q\ & \led_flash_cnt[2661][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2661][0]~q\,
	datab => \led_flash_cnt[2661][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2661][1]~64134_combout\,
	cout => \led_flash_cnt[2661][1]~64135\);

-- Location: FF_X24_Y15_N1
\led_flash_cnt[2661][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2661][1]~64134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2661][1]~q\);

-- Location: LCCOMB_X24_Y15_N2
\led_flash_cnt[2661][2]~64136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2661][2]~64136_combout\ = (\led_flash_cnt[2661][2]~q\ & (!\led_flash_cnt[2661][1]~64135\)) # (!\led_flash_cnt[2661][2]~q\ & ((\led_flash_cnt[2661][1]~64135\) # (GND)))
-- \led_flash_cnt[2661][2]~64137\ = CARRY((!\led_flash_cnt[2661][1]~64135\) # (!\led_flash_cnt[2661][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2661][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2661][1]~64135\,
	combout => \led_flash_cnt[2661][2]~64136_combout\,
	cout => \led_flash_cnt[2661][2]~64137\);

-- Location: FF_X24_Y15_N3
\led_flash_cnt[2661][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2661][2]~64136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2661][2]~q\);

-- Location: LCCOMB_X24_Y15_N4
\led_flash_cnt[2661][3]~64138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2661][3]~64138_combout\ = (\led_flash_cnt[2661][3]~q\ & (\led_flash_cnt[2661][2]~64137\ $ (GND))) # (!\led_flash_cnt[2661][3]~q\ & (!\led_flash_cnt[2661][2]~64137\ & VCC))
-- \led_flash_cnt[2661][3]~64139\ = CARRY((\led_flash_cnt[2661][3]~q\ & !\led_flash_cnt[2661][2]~64137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2661][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2661][2]~64137\,
	combout => \led_flash_cnt[2661][3]~64138_combout\,
	cout => \led_flash_cnt[2661][3]~64139\);

-- Location: FF_X24_Y15_N5
\led_flash_cnt[2661][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2661][3]~64138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2661][3]~q\);

-- Location: LCCOMB_X24_Y15_N6
\led_flash_cnt[2661][4]~64140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2661][4]~64140_combout\ = (\led_flash_cnt[2661][4]~q\ & (!\led_flash_cnt[2661][3]~64139\)) # (!\led_flash_cnt[2661][4]~q\ & ((\led_flash_cnt[2661][3]~64139\) # (GND)))
-- \led_flash_cnt[2661][4]~64141\ = CARRY((!\led_flash_cnt[2661][3]~64139\) # (!\led_flash_cnt[2661][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2661][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2661][3]~64139\,
	combout => \led_flash_cnt[2661][4]~64140_combout\,
	cout => \led_flash_cnt[2661][4]~64141\);

-- Location: FF_X24_Y15_N7
\led_flash_cnt[2661][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2661][4]~64140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2661][4]~q\);

-- Location: LCCOMB_X24_Y15_N8
\led_flash_cnt[2661][5]~64142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2661][5]~64142_combout\ = (\led_flash_cnt[2661][5]~q\ & (\led_flash_cnt[2661][4]~64141\ $ (GND))) # (!\led_flash_cnt[2661][5]~q\ & (!\led_flash_cnt[2661][4]~64141\ & VCC))
-- \led_flash_cnt[2661][5]~64143\ = CARRY((\led_flash_cnt[2661][5]~q\ & !\led_flash_cnt[2661][4]~64141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2661][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2661][4]~64141\,
	combout => \led_flash_cnt[2661][5]~64142_combout\,
	cout => \led_flash_cnt[2661][5]~64143\);

-- Location: FF_X24_Y15_N9
\led_flash_cnt[2661][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2661][5]~64142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2661][5]~q\);

-- Location: LCCOMB_X24_Y15_N10
\led_flash_cnt[2661][6]~64144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2661][6]~64144_combout\ = (\led_flash_cnt[2661][6]~q\ & (!\led_flash_cnt[2661][5]~64143\)) # (!\led_flash_cnt[2661][6]~q\ & ((\led_flash_cnt[2661][5]~64143\) # (GND)))
-- \led_flash_cnt[2661][6]~64145\ = CARRY((!\led_flash_cnt[2661][5]~64143\) # (!\led_flash_cnt[2661][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2661][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2661][5]~64143\,
	combout => \led_flash_cnt[2661][6]~64144_combout\,
	cout => \led_flash_cnt[2661][6]~64145\);

-- Location: FF_X24_Y15_N11
\led_flash_cnt[2661][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2661][6]~64144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2661][6]~q\);

-- Location: LCCOMB_X24_Y15_N12
\led_flash_cnt[2661][7]~64146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2661][7]~64146_combout\ = \led_flash_cnt[2661][6]~64145\ $ (!\led_flash_cnt[2661][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2661][7]~q\,
	cin => \led_flash_cnt[2661][6]~64145\,
	combout => \led_flash_cnt[2661][7]~64146_combout\);

-- Location: FF_X24_Y15_N13
\led_flash_cnt[2661][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2661][7]~64146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2661][7]~q\);

-- Location: LCCOMB_X23_Y15_N30
\WideAnd2661~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2661~1_combout\ = (\led_flash_cnt[2661][6]~q\ & \led_flash_cnt[2661][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2661][6]~q\,
	datac => \led_flash_cnt[2661][5]~q\,
	combout => \WideAnd2661~1_combout\);

-- Location: LCCOMB_X24_Y15_N16
\WideAnd2661~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2661~0_combout\ = (\led_flash_cnt[2661][4]~q\ & (\led_flash_cnt[2661][1]~q\ & (\led_flash_cnt[2661][3]~q\ & \led_flash_cnt[2661][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2661][4]~q\,
	datab => \led_flash_cnt[2661][1]~q\,
	datac => \led_flash_cnt[2661][3]~q\,
	datad => \led_flash_cnt[2661][2]~q\,
	combout => \WideAnd2661~0_combout\);

-- Location: LCCOMB_X23_Y15_N8
WideAnd2661 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2661~combout\ = (\led_flash_cnt[2661][0]~q\ & (\led_flash_cnt[2661][7]~q\ & (\WideAnd2661~1_combout\ & \WideAnd2661~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2661][0]~q\,
	datab => \led_flash_cnt[2661][7]~q\,
	datac => \WideAnd2661~1_combout\,
	datad => \WideAnd2661~0_combout\,
	combout => \WideAnd2661~combout\);

-- Location: FF_X23_Y15_N9
\led_flash_cnt_ands[2661]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2661~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2661));

-- Location: LCCOMB_X23_Y15_N0
\WideAnd4172~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4172~1_combout\ = (led_flash_cnt_ands(2660) & led_flash_cnt_ands(2661))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2660),
	datac => led_flash_cnt_ands(2661),
	combout => \WideAnd4172~1_combout\);

-- Location: LCCOMB_X24_Y25_N6
\led_flash_cnt[2663][0]~83303\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2663][0]~83303_combout\ = !\led_flash_cnt[2663][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2663][0]~q\,
	combout => \led_flash_cnt[2663][0]~83303_combout\);

-- Location: FF_X24_Y25_N7
\led_flash_cnt[2663][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2663][0]~83303_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2663][0]~q\);

-- Location: LCCOMB_X23_Y25_N18
\led_flash_cnt[2663][1]~64162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2663][1]~64162_combout\ = (\led_flash_cnt[2663][0]~q\ & (\led_flash_cnt[2663][1]~q\ $ (VCC))) # (!\led_flash_cnt[2663][0]~q\ & (\led_flash_cnt[2663][1]~q\ & VCC))
-- \led_flash_cnt[2663][1]~64163\ = CARRY((\led_flash_cnt[2663][0]~q\ & \led_flash_cnt[2663][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2663][0]~q\,
	datab => \led_flash_cnt[2663][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2663][1]~64162_combout\,
	cout => \led_flash_cnt[2663][1]~64163\);

-- Location: FF_X23_Y25_N19
\led_flash_cnt[2663][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2663][1]~64162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2663][1]~q\);

-- Location: LCCOMB_X23_Y25_N20
\led_flash_cnt[2663][2]~64164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2663][2]~64164_combout\ = (\led_flash_cnt[2663][2]~q\ & (!\led_flash_cnt[2663][1]~64163\)) # (!\led_flash_cnt[2663][2]~q\ & ((\led_flash_cnt[2663][1]~64163\) # (GND)))
-- \led_flash_cnt[2663][2]~64165\ = CARRY((!\led_flash_cnt[2663][1]~64163\) # (!\led_flash_cnt[2663][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2663][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2663][1]~64163\,
	combout => \led_flash_cnt[2663][2]~64164_combout\,
	cout => \led_flash_cnt[2663][2]~64165\);

-- Location: FF_X23_Y25_N21
\led_flash_cnt[2663][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2663][2]~64164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2663][2]~q\);

-- Location: LCCOMB_X23_Y25_N22
\led_flash_cnt[2663][3]~64166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2663][3]~64166_combout\ = (\led_flash_cnt[2663][3]~q\ & (\led_flash_cnt[2663][2]~64165\ $ (GND))) # (!\led_flash_cnt[2663][3]~q\ & (!\led_flash_cnt[2663][2]~64165\ & VCC))
-- \led_flash_cnt[2663][3]~64167\ = CARRY((\led_flash_cnt[2663][3]~q\ & !\led_flash_cnt[2663][2]~64165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2663][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2663][2]~64165\,
	combout => \led_flash_cnt[2663][3]~64166_combout\,
	cout => \led_flash_cnt[2663][3]~64167\);

-- Location: FF_X23_Y25_N23
\led_flash_cnt[2663][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2663][3]~64166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2663][3]~q\);

-- Location: LCCOMB_X23_Y25_N24
\led_flash_cnt[2663][4]~64168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2663][4]~64168_combout\ = (\led_flash_cnt[2663][4]~q\ & (!\led_flash_cnt[2663][3]~64167\)) # (!\led_flash_cnt[2663][4]~q\ & ((\led_flash_cnt[2663][3]~64167\) # (GND)))
-- \led_flash_cnt[2663][4]~64169\ = CARRY((!\led_flash_cnt[2663][3]~64167\) # (!\led_flash_cnt[2663][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2663][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2663][3]~64167\,
	combout => \led_flash_cnt[2663][4]~64168_combout\,
	cout => \led_flash_cnt[2663][4]~64169\);

-- Location: FF_X23_Y25_N25
\led_flash_cnt[2663][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2663][4]~64168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2663][4]~q\);

-- Location: LCCOMB_X23_Y25_N2
\WideAnd2663~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2663~0_combout\ = (\led_flash_cnt[2663][4]~q\ & (\led_flash_cnt[2663][2]~q\ & (\led_flash_cnt[2663][3]~q\ & \led_flash_cnt[2663][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2663][4]~q\,
	datab => \led_flash_cnt[2663][2]~q\,
	datac => \led_flash_cnt[2663][3]~q\,
	datad => \led_flash_cnt[2663][1]~q\,
	combout => \WideAnd2663~0_combout\);

-- Location: LCCOMB_X23_Y25_N26
\led_flash_cnt[2663][5]~64170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2663][5]~64170_combout\ = (\led_flash_cnt[2663][5]~q\ & (\led_flash_cnt[2663][4]~64169\ $ (GND))) # (!\led_flash_cnt[2663][5]~q\ & (!\led_flash_cnt[2663][4]~64169\ & VCC))
-- \led_flash_cnt[2663][5]~64171\ = CARRY((\led_flash_cnt[2663][5]~q\ & !\led_flash_cnt[2663][4]~64169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2663][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2663][4]~64169\,
	combout => \led_flash_cnt[2663][5]~64170_combout\,
	cout => \led_flash_cnt[2663][5]~64171\);

-- Location: FF_X23_Y25_N27
\led_flash_cnt[2663][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2663][5]~64170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2663][5]~q\);

-- Location: LCCOMB_X23_Y25_N28
\led_flash_cnt[2663][6]~64172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2663][6]~64172_combout\ = (\led_flash_cnt[2663][6]~q\ & (!\led_flash_cnt[2663][5]~64171\)) # (!\led_flash_cnt[2663][6]~q\ & ((\led_flash_cnt[2663][5]~64171\) # (GND)))
-- \led_flash_cnt[2663][6]~64173\ = CARRY((!\led_flash_cnt[2663][5]~64171\) # (!\led_flash_cnt[2663][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2663][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2663][5]~64171\,
	combout => \led_flash_cnt[2663][6]~64172_combout\,
	cout => \led_flash_cnt[2663][6]~64173\);

-- Location: FF_X23_Y25_N29
\led_flash_cnt[2663][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2663][6]~64172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2663][6]~q\);

-- Location: LCCOMB_X23_Y25_N30
\led_flash_cnt[2663][7]~64174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2663][7]~64174_combout\ = \led_flash_cnt[2663][7]~q\ $ (!\led_flash_cnt[2663][6]~64173\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2663][7]~q\,
	cin => \led_flash_cnt[2663][6]~64173\,
	combout => \led_flash_cnt[2663][7]~64174_combout\);

-- Location: FF_X23_Y25_N31
\led_flash_cnt[2663][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2663][7]~64174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2663][7]~q\);

-- Location: LCCOMB_X24_Y25_N30
\WideAnd2663~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2663~1_combout\ = (\led_flash_cnt[2663][5]~q\ & \led_flash_cnt[2663][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2663][5]~q\,
	datad => \led_flash_cnt[2663][6]~q\,
	combout => \WideAnd2663~1_combout\);

-- Location: LCCOMB_X24_Y25_N26
WideAnd2663 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2663~combout\ = (\WideAnd2663~0_combout\ & (\led_flash_cnt[2663][7]~q\ & (\WideAnd2663~1_combout\ & \led_flash_cnt[2663][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2663~0_combout\,
	datab => \led_flash_cnt[2663][7]~q\,
	datac => \WideAnd2663~1_combout\,
	datad => \led_flash_cnt[2663][0]~q\,
	combout => \WideAnd2663~combout\);

-- Location: FF_X24_Y25_N27
\led_flash_cnt_ands[2663]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2663~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2663));

-- Location: LCCOMB_X22_Y25_N2
WideAnd4172 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4172~combout\ = (led_flash_cnt_ands(2662) & (\WideAnd4172~0_combout\ & (\WideAnd4172~1_combout\ & led_flash_cnt_ands(2663))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2662),
	datab => \WideAnd4172~0_combout\,
	datac => \WideAnd4172~1_combout\,
	datad => led_flash_cnt_ands(2663),
	combout => \WideAnd4172~combout\);

-- Location: FF_X22_Y25_N3
\led_flash_cnt_ands_1[332]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4172~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(332));

-- Location: LCCOMB_X22_Y25_N24
\WideAnd4361~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4361~1_combout\ = (led_flash_cnt_ands_1(333) & led_flash_cnt_ands_1(332))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(333),
	datad => led_flash_cnt_ands_1(332),
	combout => \WideAnd4361~1_combout\);

-- Location: LCCOMB_X57_Y26_N6
\led_flash_cnt[2676][0]~83316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2676][0]~83316_combout\ = !\led_flash_cnt[2676][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2676][0]~q\,
	combout => \led_flash_cnt[2676][0]~83316_combout\);

-- Location: FF_X57_Y26_N7
\led_flash_cnt[2676][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2676][0]~83316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2676][0]~q\);

-- Location: LCCOMB_X58_Y26_N0
\led_flash_cnt[2676][1]~64344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2676][1]~64344_combout\ = (\led_flash_cnt[2676][0]~q\ & (\led_flash_cnt[2676][1]~q\ $ (VCC))) # (!\led_flash_cnt[2676][0]~q\ & (\led_flash_cnt[2676][1]~q\ & VCC))
-- \led_flash_cnt[2676][1]~64345\ = CARRY((\led_flash_cnt[2676][0]~q\ & \led_flash_cnt[2676][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2676][0]~q\,
	datab => \led_flash_cnt[2676][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2676][1]~64344_combout\,
	cout => \led_flash_cnt[2676][1]~64345\);

-- Location: FF_X58_Y26_N1
\led_flash_cnt[2676][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2676][1]~64344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2676][1]~q\);

-- Location: LCCOMB_X58_Y26_N2
\led_flash_cnt[2676][2]~64346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2676][2]~64346_combout\ = (\led_flash_cnt[2676][2]~q\ & (!\led_flash_cnt[2676][1]~64345\)) # (!\led_flash_cnt[2676][2]~q\ & ((\led_flash_cnt[2676][1]~64345\) # (GND)))
-- \led_flash_cnt[2676][2]~64347\ = CARRY((!\led_flash_cnt[2676][1]~64345\) # (!\led_flash_cnt[2676][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2676][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2676][1]~64345\,
	combout => \led_flash_cnt[2676][2]~64346_combout\,
	cout => \led_flash_cnt[2676][2]~64347\);

-- Location: FF_X58_Y26_N3
\led_flash_cnt[2676][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2676][2]~64346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2676][2]~q\);

-- Location: LCCOMB_X58_Y26_N4
\led_flash_cnt[2676][3]~64348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2676][3]~64348_combout\ = (\led_flash_cnt[2676][3]~q\ & (\led_flash_cnt[2676][2]~64347\ $ (GND))) # (!\led_flash_cnt[2676][3]~q\ & (!\led_flash_cnt[2676][2]~64347\ & VCC))
-- \led_flash_cnt[2676][3]~64349\ = CARRY((\led_flash_cnt[2676][3]~q\ & !\led_flash_cnt[2676][2]~64347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2676][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2676][2]~64347\,
	combout => \led_flash_cnt[2676][3]~64348_combout\,
	cout => \led_flash_cnt[2676][3]~64349\);

-- Location: FF_X58_Y26_N5
\led_flash_cnt[2676][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2676][3]~64348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2676][3]~q\);

-- Location: LCCOMB_X58_Y26_N6
\led_flash_cnt[2676][4]~64350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2676][4]~64350_combout\ = (\led_flash_cnt[2676][4]~q\ & (!\led_flash_cnt[2676][3]~64349\)) # (!\led_flash_cnt[2676][4]~q\ & ((\led_flash_cnt[2676][3]~64349\) # (GND)))
-- \led_flash_cnt[2676][4]~64351\ = CARRY((!\led_flash_cnt[2676][3]~64349\) # (!\led_flash_cnt[2676][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2676][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2676][3]~64349\,
	combout => \led_flash_cnt[2676][4]~64350_combout\,
	cout => \led_flash_cnt[2676][4]~64351\);

-- Location: FF_X58_Y26_N7
\led_flash_cnt[2676][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2676][4]~64350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2676][4]~q\);

-- Location: LCCOMB_X58_Y26_N8
\led_flash_cnt[2676][5]~64352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2676][5]~64352_combout\ = (\led_flash_cnt[2676][5]~q\ & (\led_flash_cnt[2676][4]~64351\ $ (GND))) # (!\led_flash_cnt[2676][5]~q\ & (!\led_flash_cnt[2676][4]~64351\ & VCC))
-- \led_flash_cnt[2676][5]~64353\ = CARRY((\led_flash_cnt[2676][5]~q\ & !\led_flash_cnt[2676][4]~64351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2676][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2676][4]~64351\,
	combout => \led_flash_cnt[2676][5]~64352_combout\,
	cout => \led_flash_cnt[2676][5]~64353\);

-- Location: FF_X58_Y26_N9
\led_flash_cnt[2676][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2676][5]~64352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2676][5]~q\);

-- Location: LCCOMB_X58_Y26_N10
\led_flash_cnt[2676][6]~64354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2676][6]~64354_combout\ = (\led_flash_cnt[2676][6]~q\ & (!\led_flash_cnt[2676][5]~64353\)) # (!\led_flash_cnt[2676][6]~q\ & ((\led_flash_cnt[2676][5]~64353\) # (GND)))
-- \led_flash_cnt[2676][6]~64355\ = CARRY((!\led_flash_cnt[2676][5]~64353\) # (!\led_flash_cnt[2676][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2676][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2676][5]~64353\,
	combout => \led_flash_cnt[2676][6]~64354_combout\,
	cout => \led_flash_cnt[2676][6]~64355\);

-- Location: FF_X58_Y26_N11
\led_flash_cnt[2676][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2676][6]~64354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2676][6]~q\);

-- Location: LCCOMB_X57_Y26_N26
\WideAnd2676~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2676~1_combout\ = (\led_flash_cnt[2676][6]~q\ & \led_flash_cnt[2676][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2676][6]~q\,
	datac => \led_flash_cnt[2676][5]~q\,
	combout => \WideAnd2676~1_combout\);

-- Location: LCCOMB_X57_Y26_N8
\WideAnd2676~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2676~0_combout\ = (\led_flash_cnt[2676][3]~q\ & (\led_flash_cnt[2676][4]~q\ & (\led_flash_cnt[2676][1]~q\ & \led_flash_cnt[2676][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2676][3]~q\,
	datab => \led_flash_cnt[2676][4]~q\,
	datac => \led_flash_cnt[2676][1]~q\,
	datad => \led_flash_cnt[2676][2]~q\,
	combout => \WideAnd2676~0_combout\);

-- Location: LCCOMB_X58_Y26_N12
\led_flash_cnt[2676][7]~64356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2676][7]~64356_combout\ = \led_flash_cnt[2676][6]~64355\ $ (!\led_flash_cnt[2676][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2676][7]~q\,
	cin => \led_flash_cnt[2676][6]~64355\,
	combout => \led_flash_cnt[2676][7]~64356_combout\);

-- Location: FF_X58_Y26_N13
\led_flash_cnt[2676][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2676][7]~64356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2676][7]~q\);

-- Location: LCCOMB_X57_Y26_N30
WideAnd2676 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2676~combout\ = (\WideAnd2676~1_combout\ & (\WideAnd2676~0_combout\ & (\led_flash_cnt[2676][7]~q\ & \led_flash_cnt[2676][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2676~1_combout\,
	datab => \WideAnd2676~0_combout\,
	datac => \led_flash_cnt[2676][7]~q\,
	datad => \led_flash_cnt[2676][0]~q\,
	combout => \WideAnd2676~combout\);

-- Location: FF_X57_Y26_N31
\led_flash_cnt_ands[2676]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2676~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2676));

-- Location: LCCOMB_X57_Y25_N22
\led_flash_cnt[2677][0]~83317\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2677][0]~83317_combout\ = !\led_flash_cnt[2677][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2677][0]~q\,
	combout => \led_flash_cnt[2677][0]~83317_combout\);

-- Location: FF_X57_Y25_N23
\led_flash_cnt[2677][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2677][0]~83317_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2677][0]~q\);

-- Location: LCCOMB_X57_Y25_N8
\led_flash_cnt[2677][1]~64358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2677][1]~64358_combout\ = (\led_flash_cnt[2677][0]~q\ & (\led_flash_cnt[2677][1]~q\ $ (VCC))) # (!\led_flash_cnt[2677][0]~q\ & (\led_flash_cnt[2677][1]~q\ & VCC))
-- \led_flash_cnt[2677][1]~64359\ = CARRY((\led_flash_cnt[2677][0]~q\ & \led_flash_cnt[2677][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2677][0]~q\,
	datab => \led_flash_cnt[2677][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2677][1]~64358_combout\,
	cout => \led_flash_cnt[2677][1]~64359\);

-- Location: FF_X57_Y25_N9
\led_flash_cnt[2677][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2677][1]~64358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2677][1]~q\);

-- Location: LCCOMB_X57_Y25_N10
\led_flash_cnt[2677][2]~64360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2677][2]~64360_combout\ = (\led_flash_cnt[2677][2]~q\ & (!\led_flash_cnt[2677][1]~64359\)) # (!\led_flash_cnt[2677][2]~q\ & ((\led_flash_cnt[2677][1]~64359\) # (GND)))
-- \led_flash_cnt[2677][2]~64361\ = CARRY((!\led_flash_cnt[2677][1]~64359\) # (!\led_flash_cnt[2677][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2677][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2677][1]~64359\,
	combout => \led_flash_cnt[2677][2]~64360_combout\,
	cout => \led_flash_cnt[2677][2]~64361\);

-- Location: FF_X57_Y25_N11
\led_flash_cnt[2677][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2677][2]~64360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2677][2]~q\);

-- Location: LCCOMB_X57_Y25_N12
\led_flash_cnt[2677][3]~64362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2677][3]~64362_combout\ = (\led_flash_cnt[2677][3]~q\ & (\led_flash_cnt[2677][2]~64361\ $ (GND))) # (!\led_flash_cnt[2677][3]~q\ & (!\led_flash_cnt[2677][2]~64361\ & VCC))
-- \led_flash_cnt[2677][3]~64363\ = CARRY((\led_flash_cnt[2677][3]~q\ & !\led_flash_cnt[2677][2]~64361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2677][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2677][2]~64361\,
	combout => \led_flash_cnt[2677][3]~64362_combout\,
	cout => \led_flash_cnt[2677][3]~64363\);

-- Location: FF_X57_Y25_N13
\led_flash_cnt[2677][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2677][3]~64362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2677][3]~q\);

-- Location: LCCOMB_X57_Y25_N14
\led_flash_cnt[2677][4]~64364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2677][4]~64364_combout\ = (\led_flash_cnt[2677][4]~q\ & (!\led_flash_cnt[2677][3]~64363\)) # (!\led_flash_cnt[2677][4]~q\ & ((\led_flash_cnt[2677][3]~64363\) # (GND)))
-- \led_flash_cnt[2677][4]~64365\ = CARRY((!\led_flash_cnt[2677][3]~64363\) # (!\led_flash_cnt[2677][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2677][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2677][3]~64363\,
	combout => \led_flash_cnt[2677][4]~64364_combout\,
	cout => \led_flash_cnt[2677][4]~64365\);

-- Location: FF_X57_Y25_N15
\led_flash_cnt[2677][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2677][4]~64364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2677][4]~q\);

-- Location: LCCOMB_X57_Y25_N16
\led_flash_cnt[2677][5]~64366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2677][5]~64366_combout\ = (\led_flash_cnt[2677][5]~q\ & (\led_flash_cnt[2677][4]~64365\ $ (GND))) # (!\led_flash_cnt[2677][5]~q\ & (!\led_flash_cnt[2677][4]~64365\ & VCC))
-- \led_flash_cnt[2677][5]~64367\ = CARRY((\led_flash_cnt[2677][5]~q\ & !\led_flash_cnt[2677][4]~64365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2677][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2677][4]~64365\,
	combout => \led_flash_cnt[2677][5]~64366_combout\,
	cout => \led_flash_cnt[2677][5]~64367\);

-- Location: FF_X57_Y25_N17
\led_flash_cnt[2677][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2677][5]~64366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2677][5]~q\);

-- Location: LCCOMB_X57_Y25_N18
\led_flash_cnt[2677][6]~64368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2677][6]~64368_combout\ = (\led_flash_cnt[2677][6]~q\ & (!\led_flash_cnt[2677][5]~64367\)) # (!\led_flash_cnt[2677][6]~q\ & ((\led_flash_cnt[2677][5]~64367\) # (GND)))
-- \led_flash_cnt[2677][6]~64369\ = CARRY((!\led_flash_cnt[2677][5]~64367\) # (!\led_flash_cnt[2677][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2677][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2677][5]~64367\,
	combout => \led_flash_cnt[2677][6]~64368_combout\,
	cout => \led_flash_cnt[2677][6]~64369\);

-- Location: FF_X57_Y25_N19
\led_flash_cnt[2677][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2677][6]~64368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2677][6]~q\);

-- Location: LCCOMB_X57_Y25_N20
\led_flash_cnt[2677][7]~64370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2677][7]~64370_combout\ = \led_flash_cnt[2677][6]~64369\ $ (!\led_flash_cnt[2677][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2677][7]~q\,
	cin => \led_flash_cnt[2677][6]~64369\,
	combout => \led_flash_cnt[2677][7]~64370_combout\);

-- Location: FF_X57_Y25_N21
\led_flash_cnt[2677][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2677][7]~64370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2677][7]~q\);

-- Location: LCCOMB_X57_Y25_N30
\WideAnd2677~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2677~0_combout\ = (\led_flash_cnt[2677][3]~q\ & (\led_flash_cnt[2677][1]~q\ & (\led_flash_cnt[2677][4]~q\ & \led_flash_cnt[2677][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2677][3]~q\,
	datab => \led_flash_cnt[2677][1]~q\,
	datac => \led_flash_cnt[2677][4]~q\,
	datad => \led_flash_cnt[2677][2]~q\,
	combout => \WideAnd2677~0_combout\);

-- Location: LCCOMB_X57_Y25_N0
\WideAnd2677~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2677~1_combout\ = (\led_flash_cnt[2677][6]~q\ & \led_flash_cnt[2677][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2677][6]~q\,
	datad => \led_flash_cnt[2677][5]~q\,
	combout => \WideAnd2677~1_combout\);

-- Location: LCCOMB_X57_Y25_N24
WideAnd2677 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2677~combout\ = (\led_flash_cnt[2677][0]~q\ & (\led_flash_cnt[2677][7]~q\ & (\WideAnd2677~0_combout\ & \WideAnd2677~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2677][0]~q\,
	datab => \led_flash_cnt[2677][7]~q\,
	datac => \WideAnd2677~0_combout\,
	datad => \WideAnd2677~1_combout\,
	combout => \WideAnd2677~combout\);

-- Location: FF_X57_Y25_N25
\led_flash_cnt_ands[2677]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2677~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2677));

-- Location: LCCOMB_X57_Y25_N28
\WideAnd4174~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4174~1_combout\ = (led_flash_cnt_ands(2676) & led_flash_cnt_ands(2677))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2676),
	datad => led_flash_cnt_ands(2677),
	combout => \WideAnd4174~1_combout\);

-- Location: LCCOMB_X35_Y25_N10
\led_flash_cnt[2679][0]~83319\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2679][0]~83319_combout\ = !\led_flash_cnt[2679][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2679][0]~q\,
	combout => \led_flash_cnt[2679][0]~83319_combout\);

-- Location: FF_X35_Y25_N11
\led_flash_cnt[2679][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2679][0]~83319_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2679][0]~q\);

-- Location: LCCOMB_X30_Y25_N0
\led_flash_cnt[2679][1]~64386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2679][1]~64386_combout\ = (\led_flash_cnt[2679][0]~q\ & (\led_flash_cnt[2679][1]~q\ $ (VCC))) # (!\led_flash_cnt[2679][0]~q\ & (\led_flash_cnt[2679][1]~q\ & VCC))
-- \led_flash_cnt[2679][1]~64387\ = CARRY((\led_flash_cnt[2679][0]~q\ & \led_flash_cnt[2679][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2679][0]~q\,
	datab => \led_flash_cnt[2679][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2679][1]~64386_combout\,
	cout => \led_flash_cnt[2679][1]~64387\);

-- Location: FF_X30_Y25_N1
\led_flash_cnt[2679][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2679][1]~64386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2679][1]~q\);

-- Location: LCCOMB_X30_Y25_N2
\led_flash_cnt[2679][2]~64388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2679][2]~64388_combout\ = (\led_flash_cnt[2679][2]~q\ & (!\led_flash_cnt[2679][1]~64387\)) # (!\led_flash_cnt[2679][2]~q\ & ((\led_flash_cnt[2679][1]~64387\) # (GND)))
-- \led_flash_cnt[2679][2]~64389\ = CARRY((!\led_flash_cnt[2679][1]~64387\) # (!\led_flash_cnt[2679][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2679][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2679][1]~64387\,
	combout => \led_flash_cnt[2679][2]~64388_combout\,
	cout => \led_flash_cnt[2679][2]~64389\);

-- Location: FF_X30_Y25_N3
\led_flash_cnt[2679][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2679][2]~64388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2679][2]~q\);

-- Location: LCCOMB_X30_Y25_N4
\led_flash_cnt[2679][3]~64390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2679][3]~64390_combout\ = (\led_flash_cnt[2679][3]~q\ & (\led_flash_cnt[2679][2]~64389\ $ (GND))) # (!\led_flash_cnt[2679][3]~q\ & (!\led_flash_cnt[2679][2]~64389\ & VCC))
-- \led_flash_cnt[2679][3]~64391\ = CARRY((\led_flash_cnt[2679][3]~q\ & !\led_flash_cnt[2679][2]~64389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2679][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2679][2]~64389\,
	combout => \led_flash_cnt[2679][3]~64390_combout\,
	cout => \led_flash_cnt[2679][3]~64391\);

-- Location: FF_X30_Y25_N5
\led_flash_cnt[2679][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2679][3]~64390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2679][3]~q\);

-- Location: LCCOMB_X30_Y25_N6
\led_flash_cnt[2679][4]~64392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2679][4]~64392_combout\ = (\led_flash_cnt[2679][4]~q\ & (!\led_flash_cnt[2679][3]~64391\)) # (!\led_flash_cnt[2679][4]~q\ & ((\led_flash_cnt[2679][3]~64391\) # (GND)))
-- \led_flash_cnt[2679][4]~64393\ = CARRY((!\led_flash_cnt[2679][3]~64391\) # (!\led_flash_cnt[2679][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2679][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2679][3]~64391\,
	combout => \led_flash_cnt[2679][4]~64392_combout\,
	cout => \led_flash_cnt[2679][4]~64393\);

-- Location: FF_X30_Y25_N7
\led_flash_cnt[2679][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2679][4]~64392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2679][4]~q\);

-- Location: LCCOMB_X30_Y25_N8
\led_flash_cnt[2679][5]~64394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2679][5]~64394_combout\ = (\led_flash_cnt[2679][5]~q\ & (\led_flash_cnt[2679][4]~64393\ $ (GND))) # (!\led_flash_cnt[2679][5]~q\ & (!\led_flash_cnt[2679][4]~64393\ & VCC))
-- \led_flash_cnt[2679][5]~64395\ = CARRY((\led_flash_cnt[2679][5]~q\ & !\led_flash_cnt[2679][4]~64393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2679][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2679][4]~64393\,
	combout => \led_flash_cnt[2679][5]~64394_combout\,
	cout => \led_flash_cnt[2679][5]~64395\);

-- Location: FF_X30_Y25_N9
\led_flash_cnt[2679][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2679][5]~64394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2679][5]~q\);

-- Location: LCCOMB_X30_Y25_N10
\led_flash_cnt[2679][6]~64396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2679][6]~64396_combout\ = (\led_flash_cnt[2679][6]~q\ & (!\led_flash_cnt[2679][5]~64395\)) # (!\led_flash_cnt[2679][6]~q\ & ((\led_flash_cnt[2679][5]~64395\) # (GND)))
-- \led_flash_cnt[2679][6]~64397\ = CARRY((!\led_flash_cnt[2679][5]~64395\) # (!\led_flash_cnt[2679][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2679][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2679][5]~64395\,
	combout => \led_flash_cnt[2679][6]~64396_combout\,
	cout => \led_flash_cnt[2679][6]~64397\);

-- Location: FF_X30_Y25_N11
\led_flash_cnt[2679][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2679][6]~64396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2679][6]~q\);

-- Location: LCCOMB_X29_Y25_N28
\WideAnd2679~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2679~1_combout\ = (\led_flash_cnt[2679][6]~q\ & \led_flash_cnt[2679][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2679][6]~q\,
	datac => \led_flash_cnt[2679][5]~q\,
	combout => \WideAnd2679~1_combout\);

-- Location: LCCOMB_X30_Y25_N12
\led_flash_cnt[2679][7]~64398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2679][7]~64398_combout\ = \led_flash_cnt[2679][6]~64397\ $ (!\led_flash_cnt[2679][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2679][7]~q\,
	cin => \led_flash_cnt[2679][6]~64397\,
	combout => \led_flash_cnt[2679][7]~64398_combout\);

-- Location: FF_X30_Y25_N13
\led_flash_cnt[2679][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2679][7]~64398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2679][7]~q\);

-- Location: LCCOMB_X30_Y25_N28
\WideAnd2679~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2679~0_combout\ = (\led_flash_cnt[2679][4]~q\ & (\led_flash_cnt[2679][1]~q\ & (\led_flash_cnt[2679][3]~q\ & \led_flash_cnt[2679][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2679][4]~q\,
	datab => \led_flash_cnt[2679][1]~q\,
	datac => \led_flash_cnt[2679][3]~q\,
	datad => \led_flash_cnt[2679][2]~q\,
	combout => \WideAnd2679~0_combout\);

-- Location: LCCOMB_X29_Y25_N4
WideAnd2679 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2679~combout\ = (\led_flash_cnt[2679][0]~q\ & (\WideAnd2679~1_combout\ & (\led_flash_cnt[2679][7]~q\ & \WideAnd2679~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2679][0]~q\,
	datab => \WideAnd2679~1_combout\,
	datac => \led_flash_cnt[2679][7]~q\,
	datad => \WideAnd2679~0_combout\,
	combout => \WideAnd2679~combout\);

-- Location: FF_X29_Y25_N5
\led_flash_cnt_ands[2679]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2679~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2679));

-- Location: LCCOMB_X4_Y20_N18
\led_flash_cnt[2672][0]~83312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2672][0]~83312_combout\ = !\led_flash_cnt[2672][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2672][0]~q\,
	combout => \led_flash_cnt[2672][0]~83312_combout\);

-- Location: FF_X4_Y20_N19
\led_flash_cnt[2672][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2672][0]~83312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2672][0]~q\);

-- Location: LCCOMB_X4_Y20_N2
\led_flash_cnt[2672][1]~64288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2672][1]~64288_combout\ = (\led_flash_cnt[2672][1]~q\ & (\led_flash_cnt[2672][0]~q\ $ (VCC))) # (!\led_flash_cnt[2672][1]~q\ & (\led_flash_cnt[2672][0]~q\ & VCC))
-- \led_flash_cnt[2672][1]~64289\ = CARRY((\led_flash_cnt[2672][1]~q\ & \led_flash_cnt[2672][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2672][1]~q\,
	datab => \led_flash_cnt[2672][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2672][1]~64288_combout\,
	cout => \led_flash_cnt[2672][1]~64289\);

-- Location: FF_X4_Y20_N3
\led_flash_cnt[2672][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2672][1]~64288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2672][1]~q\);

-- Location: LCCOMB_X4_Y20_N4
\led_flash_cnt[2672][2]~64290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2672][2]~64290_combout\ = (\led_flash_cnt[2672][2]~q\ & (!\led_flash_cnt[2672][1]~64289\)) # (!\led_flash_cnt[2672][2]~q\ & ((\led_flash_cnt[2672][1]~64289\) # (GND)))
-- \led_flash_cnt[2672][2]~64291\ = CARRY((!\led_flash_cnt[2672][1]~64289\) # (!\led_flash_cnt[2672][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2672][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2672][1]~64289\,
	combout => \led_flash_cnt[2672][2]~64290_combout\,
	cout => \led_flash_cnt[2672][2]~64291\);

-- Location: FF_X4_Y20_N5
\led_flash_cnt[2672][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2672][2]~64290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2672][2]~q\);

-- Location: LCCOMB_X4_Y20_N6
\led_flash_cnt[2672][3]~64292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2672][3]~64292_combout\ = (\led_flash_cnt[2672][3]~q\ & (\led_flash_cnt[2672][2]~64291\ $ (GND))) # (!\led_flash_cnt[2672][3]~q\ & (!\led_flash_cnt[2672][2]~64291\ & VCC))
-- \led_flash_cnt[2672][3]~64293\ = CARRY((\led_flash_cnt[2672][3]~q\ & !\led_flash_cnt[2672][2]~64291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2672][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2672][2]~64291\,
	combout => \led_flash_cnt[2672][3]~64292_combout\,
	cout => \led_flash_cnt[2672][3]~64293\);

-- Location: FF_X4_Y20_N7
\led_flash_cnt[2672][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2672][3]~64292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2672][3]~q\);

-- Location: LCCOMB_X4_Y20_N8
\led_flash_cnt[2672][4]~64294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2672][4]~64294_combout\ = (\led_flash_cnt[2672][4]~q\ & (!\led_flash_cnt[2672][3]~64293\)) # (!\led_flash_cnt[2672][4]~q\ & ((\led_flash_cnt[2672][3]~64293\) # (GND)))
-- \led_flash_cnt[2672][4]~64295\ = CARRY((!\led_flash_cnt[2672][3]~64293\) # (!\led_flash_cnt[2672][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2672][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2672][3]~64293\,
	combout => \led_flash_cnt[2672][4]~64294_combout\,
	cout => \led_flash_cnt[2672][4]~64295\);

-- Location: FF_X4_Y20_N9
\led_flash_cnt[2672][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2672][4]~64294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2672][4]~q\);

-- Location: LCCOMB_X4_Y20_N22
\WideAnd2672~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2672~0_combout\ = (\led_flash_cnt[2672][1]~q\ & (\led_flash_cnt[2672][4]~q\ & (\led_flash_cnt[2672][2]~q\ & \led_flash_cnt[2672][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2672][1]~q\,
	datab => \led_flash_cnt[2672][4]~q\,
	datac => \led_flash_cnt[2672][2]~q\,
	datad => \led_flash_cnt[2672][3]~q\,
	combout => \WideAnd2672~0_combout\);

-- Location: LCCOMB_X4_Y20_N10
\led_flash_cnt[2672][5]~64296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2672][5]~64296_combout\ = (\led_flash_cnt[2672][5]~q\ & (\led_flash_cnt[2672][4]~64295\ $ (GND))) # (!\led_flash_cnt[2672][5]~q\ & (!\led_flash_cnt[2672][4]~64295\ & VCC))
-- \led_flash_cnt[2672][5]~64297\ = CARRY((\led_flash_cnt[2672][5]~q\ & !\led_flash_cnt[2672][4]~64295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2672][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2672][4]~64295\,
	combout => \led_flash_cnt[2672][5]~64296_combout\,
	cout => \led_flash_cnt[2672][5]~64297\);

-- Location: FF_X4_Y20_N11
\led_flash_cnt[2672][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2672][5]~64296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2672][5]~q\);

-- Location: LCCOMB_X4_Y20_N12
\led_flash_cnt[2672][6]~64298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2672][6]~64298_combout\ = (\led_flash_cnt[2672][6]~q\ & (!\led_flash_cnt[2672][5]~64297\)) # (!\led_flash_cnt[2672][6]~q\ & ((\led_flash_cnt[2672][5]~64297\) # (GND)))
-- \led_flash_cnt[2672][6]~64299\ = CARRY((!\led_flash_cnt[2672][5]~64297\) # (!\led_flash_cnt[2672][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2672][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2672][5]~64297\,
	combout => \led_flash_cnt[2672][6]~64298_combout\,
	cout => \led_flash_cnt[2672][6]~64299\);

-- Location: FF_X4_Y20_N13
\led_flash_cnt[2672][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2672][6]~64298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2672][6]~q\);

-- Location: LCCOMB_X4_Y20_N14
\led_flash_cnt[2672][7]~64300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2672][7]~64300_combout\ = \led_flash_cnt[2672][7]~q\ $ (!\led_flash_cnt[2672][6]~64299\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2672][7]~q\,
	cin => \led_flash_cnt[2672][6]~64299\,
	combout => \led_flash_cnt[2672][7]~64300_combout\);

-- Location: FF_X4_Y20_N15
\led_flash_cnt[2672][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2672][7]~64300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2672][7]~q\);

-- Location: LCCOMB_X4_Y20_N26
\WideAnd2672~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2672~1_combout\ = (\led_flash_cnt[2672][6]~q\ & \led_flash_cnt[2672][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2672][6]~q\,
	datad => \led_flash_cnt[2672][5]~q\,
	combout => \WideAnd2672~1_combout\);

-- Location: LCCOMB_X4_Y20_N24
WideAnd2672 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2672~combout\ = (\WideAnd2672~0_combout\ & (\led_flash_cnt[2672][7]~q\ & (\WideAnd2672~1_combout\ & \led_flash_cnt[2672][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2672~0_combout\,
	datab => \led_flash_cnt[2672][7]~q\,
	datac => \WideAnd2672~1_combout\,
	datad => \led_flash_cnt[2672][0]~q\,
	combout => \WideAnd2672~combout\);

-- Location: FF_X4_Y20_N25
\led_flash_cnt_ands[2672]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2672~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2672));

-- Location: LCCOMB_X15_Y20_N6
\led_flash_cnt[2673][0]~83313\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2673][0]~83313_combout\ = !\led_flash_cnt[2673][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2673][0]~q\,
	combout => \led_flash_cnt[2673][0]~83313_combout\);

-- Location: FF_X15_Y20_N7
\led_flash_cnt[2673][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2673][0]~83313_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2673][0]~q\);

-- Location: LCCOMB_X16_Y20_N4
\led_flash_cnt[2673][1]~64302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2673][1]~64302_combout\ = (\led_flash_cnt[2673][0]~q\ & (\led_flash_cnt[2673][1]~q\ $ (VCC))) # (!\led_flash_cnt[2673][0]~q\ & (\led_flash_cnt[2673][1]~q\ & VCC))
-- \led_flash_cnt[2673][1]~64303\ = CARRY((\led_flash_cnt[2673][0]~q\ & \led_flash_cnt[2673][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2673][0]~q\,
	datab => \led_flash_cnt[2673][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2673][1]~64302_combout\,
	cout => \led_flash_cnt[2673][1]~64303\);

-- Location: FF_X16_Y20_N5
\led_flash_cnt[2673][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2673][1]~64302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2673][1]~q\);

-- Location: LCCOMB_X16_Y20_N6
\led_flash_cnt[2673][2]~64304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2673][2]~64304_combout\ = (\led_flash_cnt[2673][2]~q\ & (!\led_flash_cnt[2673][1]~64303\)) # (!\led_flash_cnt[2673][2]~q\ & ((\led_flash_cnt[2673][1]~64303\) # (GND)))
-- \led_flash_cnt[2673][2]~64305\ = CARRY((!\led_flash_cnt[2673][1]~64303\) # (!\led_flash_cnt[2673][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2673][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2673][1]~64303\,
	combout => \led_flash_cnt[2673][2]~64304_combout\,
	cout => \led_flash_cnt[2673][2]~64305\);

-- Location: FF_X16_Y20_N7
\led_flash_cnt[2673][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2673][2]~64304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2673][2]~q\);

-- Location: LCCOMB_X16_Y20_N8
\led_flash_cnt[2673][3]~64306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2673][3]~64306_combout\ = (\led_flash_cnt[2673][3]~q\ & (\led_flash_cnt[2673][2]~64305\ $ (GND))) # (!\led_flash_cnt[2673][3]~q\ & (!\led_flash_cnt[2673][2]~64305\ & VCC))
-- \led_flash_cnt[2673][3]~64307\ = CARRY((\led_flash_cnt[2673][3]~q\ & !\led_flash_cnt[2673][2]~64305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2673][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2673][2]~64305\,
	combout => \led_flash_cnt[2673][3]~64306_combout\,
	cout => \led_flash_cnt[2673][3]~64307\);

-- Location: FF_X16_Y20_N9
\led_flash_cnt[2673][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2673][3]~64306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2673][3]~q\);

-- Location: LCCOMB_X16_Y20_N10
\led_flash_cnt[2673][4]~64308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2673][4]~64308_combout\ = (\led_flash_cnt[2673][4]~q\ & (!\led_flash_cnt[2673][3]~64307\)) # (!\led_flash_cnt[2673][4]~q\ & ((\led_flash_cnt[2673][3]~64307\) # (GND)))
-- \led_flash_cnt[2673][4]~64309\ = CARRY((!\led_flash_cnt[2673][3]~64307\) # (!\led_flash_cnt[2673][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2673][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2673][3]~64307\,
	combout => \led_flash_cnt[2673][4]~64308_combout\,
	cout => \led_flash_cnt[2673][4]~64309\);

-- Location: FF_X16_Y20_N11
\led_flash_cnt[2673][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2673][4]~64308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2673][4]~q\);

-- Location: LCCOMB_X16_Y20_N12
\led_flash_cnt[2673][5]~64310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2673][5]~64310_combout\ = (\led_flash_cnt[2673][5]~q\ & (\led_flash_cnt[2673][4]~64309\ $ (GND))) # (!\led_flash_cnt[2673][5]~q\ & (!\led_flash_cnt[2673][4]~64309\ & VCC))
-- \led_flash_cnt[2673][5]~64311\ = CARRY((\led_flash_cnt[2673][5]~q\ & !\led_flash_cnt[2673][4]~64309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2673][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2673][4]~64309\,
	combout => \led_flash_cnt[2673][5]~64310_combout\,
	cout => \led_flash_cnt[2673][5]~64311\);

-- Location: FF_X16_Y20_N13
\led_flash_cnt[2673][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2673][5]~64310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2673][5]~q\);

-- Location: LCCOMB_X16_Y20_N14
\led_flash_cnt[2673][6]~64312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2673][6]~64312_combout\ = (\led_flash_cnt[2673][6]~q\ & (!\led_flash_cnt[2673][5]~64311\)) # (!\led_flash_cnt[2673][6]~q\ & ((\led_flash_cnt[2673][5]~64311\) # (GND)))
-- \led_flash_cnt[2673][6]~64313\ = CARRY((!\led_flash_cnt[2673][5]~64311\) # (!\led_flash_cnt[2673][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2673][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2673][5]~64311\,
	combout => \led_flash_cnt[2673][6]~64312_combout\,
	cout => \led_flash_cnt[2673][6]~64313\);

-- Location: FF_X16_Y20_N15
\led_flash_cnt[2673][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2673][6]~64312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2673][6]~q\);

-- Location: LCCOMB_X16_Y20_N16
\led_flash_cnt[2673][7]~64314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2673][7]~64314_combout\ = \led_flash_cnt[2673][6]~64313\ $ (!\led_flash_cnt[2673][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2673][7]~q\,
	cin => \led_flash_cnt[2673][6]~64313\,
	combout => \led_flash_cnt[2673][7]~64314_combout\);

-- Location: FF_X16_Y20_N17
\led_flash_cnt[2673][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2673][7]~64314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2673][7]~q\);

-- Location: LCCOMB_X15_Y20_N8
\WideAnd2673~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2673~1_combout\ = (\led_flash_cnt[2673][6]~q\ & \led_flash_cnt[2673][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2673][6]~q\,
	datac => \led_flash_cnt[2673][5]~q\,
	combout => \WideAnd2673~1_combout\);

-- Location: LCCOMB_X16_Y20_N2
\WideAnd2673~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2673~0_combout\ = (\led_flash_cnt[2673][4]~q\ & (\led_flash_cnt[2673][3]~q\ & (\led_flash_cnt[2673][1]~q\ & \led_flash_cnt[2673][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2673][4]~q\,
	datab => \led_flash_cnt[2673][3]~q\,
	datac => \led_flash_cnt[2673][1]~q\,
	datad => \led_flash_cnt[2673][2]~q\,
	combout => \WideAnd2673~0_combout\);

-- Location: LCCOMB_X15_Y20_N28
WideAnd2673 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2673~combout\ = (\led_flash_cnt[2673][0]~q\ & (\led_flash_cnt[2673][7]~q\ & (\WideAnd2673~1_combout\ & \WideAnd2673~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2673][0]~q\,
	datab => \led_flash_cnt[2673][7]~q\,
	datac => \WideAnd2673~1_combout\,
	datad => \WideAnd2673~0_combout\,
	combout => \WideAnd2673~combout\);

-- Location: FF_X15_Y20_N29
\led_flash_cnt_ands[2673]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2673~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2673));

-- Location: LCCOMB_X4_Y15_N22
\led_flash_cnt[2675][0]~83315\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2675][0]~83315_combout\ = !\led_flash_cnt[2675][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2675][0]~q\,
	combout => \led_flash_cnt[2675][0]~83315_combout\);

-- Location: FF_X4_Y15_N23
\led_flash_cnt[2675][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2675][0]~83315_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2675][0]~q\);

-- Location: LCCOMB_X4_Y15_N8
\led_flash_cnt[2675][1]~64330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2675][1]~64330_combout\ = (\led_flash_cnt[2675][0]~q\ & (\led_flash_cnt[2675][1]~q\ $ (VCC))) # (!\led_flash_cnt[2675][0]~q\ & (\led_flash_cnt[2675][1]~q\ & VCC))
-- \led_flash_cnt[2675][1]~64331\ = CARRY((\led_flash_cnt[2675][0]~q\ & \led_flash_cnt[2675][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2675][0]~q\,
	datab => \led_flash_cnt[2675][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2675][1]~64330_combout\,
	cout => \led_flash_cnt[2675][1]~64331\);

-- Location: FF_X4_Y15_N9
\led_flash_cnt[2675][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2675][1]~64330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2675][1]~q\);

-- Location: LCCOMB_X4_Y15_N10
\led_flash_cnt[2675][2]~64332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2675][2]~64332_combout\ = (\led_flash_cnt[2675][2]~q\ & (!\led_flash_cnt[2675][1]~64331\)) # (!\led_flash_cnt[2675][2]~q\ & ((\led_flash_cnt[2675][1]~64331\) # (GND)))
-- \led_flash_cnt[2675][2]~64333\ = CARRY((!\led_flash_cnt[2675][1]~64331\) # (!\led_flash_cnt[2675][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2675][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2675][1]~64331\,
	combout => \led_flash_cnt[2675][2]~64332_combout\,
	cout => \led_flash_cnt[2675][2]~64333\);

-- Location: FF_X4_Y15_N11
\led_flash_cnt[2675][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2675][2]~64332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2675][2]~q\);

-- Location: LCCOMB_X4_Y15_N12
\led_flash_cnt[2675][3]~64334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2675][3]~64334_combout\ = (\led_flash_cnt[2675][3]~q\ & (\led_flash_cnt[2675][2]~64333\ $ (GND))) # (!\led_flash_cnt[2675][3]~q\ & (!\led_flash_cnt[2675][2]~64333\ & VCC))
-- \led_flash_cnt[2675][3]~64335\ = CARRY((\led_flash_cnt[2675][3]~q\ & !\led_flash_cnt[2675][2]~64333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2675][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2675][2]~64333\,
	combout => \led_flash_cnt[2675][3]~64334_combout\,
	cout => \led_flash_cnt[2675][3]~64335\);

-- Location: FF_X4_Y15_N13
\led_flash_cnt[2675][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2675][3]~64334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2675][3]~q\);

-- Location: LCCOMB_X4_Y15_N14
\led_flash_cnt[2675][4]~64336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2675][4]~64336_combout\ = (\led_flash_cnt[2675][4]~q\ & (!\led_flash_cnt[2675][3]~64335\)) # (!\led_flash_cnt[2675][4]~q\ & ((\led_flash_cnt[2675][3]~64335\) # (GND)))
-- \led_flash_cnt[2675][4]~64337\ = CARRY((!\led_flash_cnt[2675][3]~64335\) # (!\led_flash_cnt[2675][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2675][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2675][3]~64335\,
	combout => \led_flash_cnt[2675][4]~64336_combout\,
	cout => \led_flash_cnt[2675][4]~64337\);

-- Location: FF_X4_Y15_N15
\led_flash_cnt[2675][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2675][4]~64336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2675][4]~q\);

-- Location: LCCOMB_X4_Y15_N16
\led_flash_cnt[2675][5]~64338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2675][5]~64338_combout\ = (\led_flash_cnt[2675][5]~q\ & (\led_flash_cnt[2675][4]~64337\ $ (GND))) # (!\led_flash_cnt[2675][5]~q\ & (!\led_flash_cnt[2675][4]~64337\ & VCC))
-- \led_flash_cnt[2675][5]~64339\ = CARRY((\led_flash_cnt[2675][5]~q\ & !\led_flash_cnt[2675][4]~64337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2675][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2675][4]~64337\,
	combout => \led_flash_cnt[2675][5]~64338_combout\,
	cout => \led_flash_cnt[2675][5]~64339\);

-- Location: FF_X4_Y15_N17
\led_flash_cnt[2675][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2675][5]~64338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2675][5]~q\);

-- Location: LCCOMB_X4_Y15_N18
\led_flash_cnt[2675][6]~64340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2675][6]~64340_combout\ = (\led_flash_cnt[2675][6]~q\ & (!\led_flash_cnt[2675][5]~64339\)) # (!\led_flash_cnt[2675][6]~q\ & ((\led_flash_cnt[2675][5]~64339\) # (GND)))
-- \led_flash_cnt[2675][6]~64341\ = CARRY((!\led_flash_cnt[2675][5]~64339\) # (!\led_flash_cnt[2675][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2675][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2675][5]~64339\,
	combout => \led_flash_cnt[2675][6]~64340_combout\,
	cout => \led_flash_cnt[2675][6]~64341\);

-- Location: FF_X4_Y15_N19
\led_flash_cnt[2675][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2675][6]~64340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2675][6]~q\);

-- Location: LCCOMB_X4_Y15_N26
\WideAnd2675~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2675~0_combout\ = (\led_flash_cnt[2675][2]~q\ & (\led_flash_cnt[2675][5]~q\ & (\led_flash_cnt[2675][1]~q\ & \led_flash_cnt[2675][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2675][2]~q\,
	datab => \led_flash_cnt[2675][5]~q\,
	datac => \led_flash_cnt[2675][1]~q\,
	datad => \led_flash_cnt[2675][6]~q\,
	combout => \WideAnd2675~0_combout\);

-- Location: LCCOMB_X4_Y15_N20
\led_flash_cnt[2675][7]~64342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2675][7]~64342_combout\ = \led_flash_cnt[2675][6]~64341\ $ (!\led_flash_cnt[2675][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2675][7]~q\,
	cin => \led_flash_cnt[2675][6]~64341\,
	combout => \led_flash_cnt[2675][7]~64342_combout\);

-- Location: FF_X4_Y15_N21
\led_flash_cnt[2675][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2675][7]~64342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2675][7]~q\);

-- Location: LCCOMB_X4_Y15_N30
\WideAnd2675~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2675~1_combout\ = (\led_flash_cnt[2675][7]~q\ & \led_flash_cnt[2675][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2675][7]~q\,
	datac => \led_flash_cnt[2675][0]~q\,
	combout => \WideAnd2675~1_combout\);

-- Location: LCCOMB_X4_Y15_N0
WideAnd2675 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2675~combout\ = (\WideAnd2675~0_combout\ & (\led_flash_cnt[2675][4]~q\ & (\WideAnd2675~1_combout\ & \led_flash_cnt[2675][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2675~0_combout\,
	datab => \led_flash_cnt[2675][4]~q\,
	datac => \WideAnd2675~1_combout\,
	datad => \led_flash_cnt[2675][3]~q\,
	combout => \WideAnd2675~combout\);

-- Location: FF_X4_Y15_N1
\led_flash_cnt_ands[2675]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2675~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2675));

-- Location: LCCOMB_X15_Y20_N30
\led_flash_cnt[2674][0]~83314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2674][0]~83314_combout\ = !\led_flash_cnt[2674][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2674][0]~q\,
	combout => \led_flash_cnt[2674][0]~83314_combout\);

-- Location: FF_X15_Y20_N31
\led_flash_cnt[2674][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2674][0]~83314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2674][0]~q\);

-- Location: LCCOMB_X15_Y20_N14
\led_flash_cnt[2674][1]~64316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2674][1]~64316_combout\ = (\led_flash_cnt[2674][0]~q\ & (\led_flash_cnt[2674][1]~q\ $ (VCC))) # (!\led_flash_cnt[2674][0]~q\ & (\led_flash_cnt[2674][1]~q\ & VCC))
-- \led_flash_cnt[2674][1]~64317\ = CARRY((\led_flash_cnt[2674][0]~q\ & \led_flash_cnt[2674][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2674][0]~q\,
	datab => \led_flash_cnt[2674][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2674][1]~64316_combout\,
	cout => \led_flash_cnt[2674][1]~64317\);

-- Location: FF_X15_Y20_N15
\led_flash_cnt[2674][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2674][1]~64316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2674][1]~q\);

-- Location: LCCOMB_X15_Y20_N16
\led_flash_cnt[2674][2]~64318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2674][2]~64318_combout\ = (\led_flash_cnt[2674][2]~q\ & (!\led_flash_cnt[2674][1]~64317\)) # (!\led_flash_cnt[2674][2]~q\ & ((\led_flash_cnt[2674][1]~64317\) # (GND)))
-- \led_flash_cnt[2674][2]~64319\ = CARRY((!\led_flash_cnt[2674][1]~64317\) # (!\led_flash_cnt[2674][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2674][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2674][1]~64317\,
	combout => \led_flash_cnt[2674][2]~64318_combout\,
	cout => \led_flash_cnt[2674][2]~64319\);

-- Location: FF_X15_Y20_N17
\led_flash_cnt[2674][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2674][2]~64318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2674][2]~q\);

-- Location: LCCOMB_X15_Y20_N18
\led_flash_cnt[2674][3]~64320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2674][3]~64320_combout\ = (\led_flash_cnt[2674][3]~q\ & (\led_flash_cnt[2674][2]~64319\ $ (GND))) # (!\led_flash_cnt[2674][3]~q\ & (!\led_flash_cnt[2674][2]~64319\ & VCC))
-- \led_flash_cnt[2674][3]~64321\ = CARRY((\led_flash_cnt[2674][3]~q\ & !\led_flash_cnt[2674][2]~64319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2674][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2674][2]~64319\,
	combout => \led_flash_cnt[2674][3]~64320_combout\,
	cout => \led_flash_cnt[2674][3]~64321\);

-- Location: FF_X15_Y20_N19
\led_flash_cnt[2674][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2674][3]~64320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2674][3]~q\);

-- Location: LCCOMB_X15_Y20_N20
\led_flash_cnt[2674][4]~64322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2674][4]~64322_combout\ = (\led_flash_cnt[2674][4]~q\ & (!\led_flash_cnt[2674][3]~64321\)) # (!\led_flash_cnt[2674][4]~q\ & ((\led_flash_cnt[2674][3]~64321\) # (GND)))
-- \led_flash_cnt[2674][4]~64323\ = CARRY((!\led_flash_cnt[2674][3]~64321\) # (!\led_flash_cnt[2674][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2674][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2674][3]~64321\,
	combout => \led_flash_cnt[2674][4]~64322_combout\,
	cout => \led_flash_cnt[2674][4]~64323\);

-- Location: FF_X15_Y20_N21
\led_flash_cnt[2674][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2674][4]~64322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2674][4]~q\);

-- Location: LCCOMB_X15_Y20_N22
\led_flash_cnt[2674][5]~64324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2674][5]~64324_combout\ = (\led_flash_cnt[2674][5]~q\ & (\led_flash_cnt[2674][4]~64323\ $ (GND))) # (!\led_flash_cnt[2674][5]~q\ & (!\led_flash_cnt[2674][4]~64323\ & VCC))
-- \led_flash_cnt[2674][5]~64325\ = CARRY((\led_flash_cnt[2674][5]~q\ & !\led_flash_cnt[2674][4]~64323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2674][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2674][4]~64323\,
	combout => \led_flash_cnt[2674][5]~64324_combout\,
	cout => \led_flash_cnt[2674][5]~64325\);

-- Location: FF_X15_Y20_N23
\led_flash_cnt[2674][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2674][5]~64324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2674][5]~q\);

-- Location: LCCOMB_X15_Y20_N24
\led_flash_cnt[2674][6]~64326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2674][6]~64326_combout\ = (\led_flash_cnt[2674][6]~q\ & (!\led_flash_cnt[2674][5]~64325\)) # (!\led_flash_cnt[2674][6]~q\ & ((\led_flash_cnt[2674][5]~64325\) # (GND)))
-- \led_flash_cnt[2674][6]~64327\ = CARRY((!\led_flash_cnt[2674][5]~64325\) # (!\led_flash_cnt[2674][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2674][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2674][5]~64325\,
	combout => \led_flash_cnt[2674][6]~64326_combout\,
	cout => \led_flash_cnt[2674][6]~64327\);

-- Location: FF_X15_Y20_N25
\led_flash_cnt[2674][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2674][6]~64326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2674][6]~q\);

-- Location: LCCOMB_X15_Y20_N26
\led_flash_cnt[2674][7]~64328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2674][7]~64328_combout\ = \led_flash_cnt[2674][7]~q\ $ (!\led_flash_cnt[2674][6]~64327\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2674][7]~q\,
	cin => \led_flash_cnt[2674][6]~64327\,
	combout => \led_flash_cnt[2674][7]~64328_combout\);

-- Location: FF_X15_Y20_N27
\led_flash_cnt[2674][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2674][7]~64328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2674][7]~q\);

-- Location: LCCOMB_X15_Y20_N4
\WideAnd2674~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2674~1_combout\ = (\led_flash_cnt[2674][5]~q\ & \led_flash_cnt[2674][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2674][5]~q\,
	datad => \led_flash_cnt[2674][6]~q\,
	combout => \WideAnd2674~1_combout\);

-- Location: LCCOMB_X15_Y20_N12
\WideAnd2674~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2674~0_combout\ = (\led_flash_cnt[2674][2]~q\ & (\led_flash_cnt[2674][3]~q\ & (\led_flash_cnt[2674][1]~q\ & \led_flash_cnt[2674][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2674][2]~q\,
	datab => \led_flash_cnt[2674][3]~q\,
	datac => \led_flash_cnt[2674][1]~q\,
	datad => \led_flash_cnt[2674][4]~q\,
	combout => \WideAnd2674~0_combout\);

-- Location: LCCOMB_X15_Y20_N2
WideAnd2674 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2674~combout\ = (\led_flash_cnt[2674][7]~q\ & (\WideAnd2674~1_combout\ & (\led_flash_cnt[2674][0]~q\ & \WideAnd2674~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2674][7]~q\,
	datab => \WideAnd2674~1_combout\,
	datac => \led_flash_cnt[2674][0]~q\,
	datad => \WideAnd2674~0_combout\,
	combout => \WideAnd2674~combout\);

-- Location: FF_X15_Y20_N3
\led_flash_cnt_ands[2674]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2674~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2674));

-- Location: LCCOMB_X15_Y20_N0
\WideAnd4174~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4174~0_combout\ = (led_flash_cnt_ands(2672) & (led_flash_cnt_ands(2673) & (led_flash_cnt_ands(2675) & led_flash_cnt_ands(2674))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2672),
	datab => led_flash_cnt_ands(2673),
	datac => led_flash_cnt_ands(2675),
	datad => led_flash_cnt_ands(2674),
	combout => \WideAnd4174~0_combout\);

-- Location: LCCOMB_X29_Y25_N30
\led_flash_cnt[2678][0]~83318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2678][0]~83318_combout\ = !\led_flash_cnt[2678][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2678][0]~q\,
	combout => \led_flash_cnt[2678][0]~83318_combout\);

-- Location: FF_X29_Y25_N31
\led_flash_cnt[2678][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2678][0]~83318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2678][0]~q\);

-- Location: LCCOMB_X29_Y25_N14
\led_flash_cnt[2678][1]~64372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2678][1]~64372_combout\ = (\led_flash_cnt[2678][0]~q\ & (\led_flash_cnt[2678][1]~q\ $ (VCC))) # (!\led_flash_cnt[2678][0]~q\ & (\led_flash_cnt[2678][1]~q\ & VCC))
-- \led_flash_cnt[2678][1]~64373\ = CARRY((\led_flash_cnt[2678][0]~q\ & \led_flash_cnt[2678][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2678][0]~q\,
	datab => \led_flash_cnt[2678][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2678][1]~64372_combout\,
	cout => \led_flash_cnt[2678][1]~64373\);

-- Location: FF_X29_Y25_N15
\led_flash_cnt[2678][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2678][1]~64372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2678][1]~q\);

-- Location: LCCOMB_X29_Y25_N16
\led_flash_cnt[2678][2]~64374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2678][2]~64374_combout\ = (\led_flash_cnt[2678][2]~q\ & (!\led_flash_cnt[2678][1]~64373\)) # (!\led_flash_cnt[2678][2]~q\ & ((\led_flash_cnt[2678][1]~64373\) # (GND)))
-- \led_flash_cnt[2678][2]~64375\ = CARRY((!\led_flash_cnt[2678][1]~64373\) # (!\led_flash_cnt[2678][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2678][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2678][1]~64373\,
	combout => \led_flash_cnt[2678][2]~64374_combout\,
	cout => \led_flash_cnt[2678][2]~64375\);

-- Location: FF_X29_Y25_N17
\led_flash_cnt[2678][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2678][2]~64374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2678][2]~q\);

-- Location: LCCOMB_X29_Y25_N18
\led_flash_cnt[2678][3]~64376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2678][3]~64376_combout\ = (\led_flash_cnt[2678][3]~q\ & (\led_flash_cnt[2678][2]~64375\ $ (GND))) # (!\led_flash_cnt[2678][3]~q\ & (!\led_flash_cnt[2678][2]~64375\ & VCC))
-- \led_flash_cnt[2678][3]~64377\ = CARRY((\led_flash_cnt[2678][3]~q\ & !\led_flash_cnt[2678][2]~64375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2678][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2678][2]~64375\,
	combout => \led_flash_cnt[2678][3]~64376_combout\,
	cout => \led_flash_cnt[2678][3]~64377\);

-- Location: FF_X29_Y25_N19
\led_flash_cnt[2678][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2678][3]~64376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2678][3]~q\);

-- Location: LCCOMB_X29_Y25_N20
\led_flash_cnt[2678][4]~64378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2678][4]~64378_combout\ = (\led_flash_cnt[2678][4]~q\ & (!\led_flash_cnt[2678][3]~64377\)) # (!\led_flash_cnt[2678][4]~q\ & ((\led_flash_cnt[2678][3]~64377\) # (GND)))
-- \led_flash_cnt[2678][4]~64379\ = CARRY((!\led_flash_cnt[2678][3]~64377\) # (!\led_flash_cnt[2678][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2678][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2678][3]~64377\,
	combout => \led_flash_cnt[2678][4]~64378_combout\,
	cout => \led_flash_cnt[2678][4]~64379\);

-- Location: FF_X29_Y25_N21
\led_flash_cnt[2678][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2678][4]~64378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2678][4]~q\);

-- Location: LCCOMB_X29_Y25_N22
\led_flash_cnt[2678][5]~64380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2678][5]~64380_combout\ = (\led_flash_cnt[2678][5]~q\ & (\led_flash_cnt[2678][4]~64379\ $ (GND))) # (!\led_flash_cnt[2678][5]~q\ & (!\led_flash_cnt[2678][4]~64379\ & VCC))
-- \led_flash_cnt[2678][5]~64381\ = CARRY((\led_flash_cnt[2678][5]~q\ & !\led_flash_cnt[2678][4]~64379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2678][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2678][4]~64379\,
	combout => \led_flash_cnt[2678][5]~64380_combout\,
	cout => \led_flash_cnt[2678][5]~64381\);

-- Location: FF_X29_Y25_N23
\led_flash_cnt[2678][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2678][5]~64380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2678][5]~q\);

-- Location: LCCOMB_X29_Y25_N24
\led_flash_cnt[2678][6]~64382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2678][6]~64382_combout\ = (\led_flash_cnt[2678][6]~q\ & (!\led_flash_cnt[2678][5]~64381\)) # (!\led_flash_cnt[2678][6]~q\ & ((\led_flash_cnt[2678][5]~64381\) # (GND)))
-- \led_flash_cnt[2678][6]~64383\ = CARRY((!\led_flash_cnt[2678][5]~64381\) # (!\led_flash_cnt[2678][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2678][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2678][5]~64381\,
	combout => \led_flash_cnt[2678][6]~64382_combout\,
	cout => \led_flash_cnt[2678][6]~64383\);

-- Location: FF_X29_Y25_N25
\led_flash_cnt[2678][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2678][6]~64382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2678][6]~q\);

-- Location: LCCOMB_X29_Y25_N26
\led_flash_cnt[2678][7]~64384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2678][7]~64384_combout\ = \led_flash_cnt[2678][7]~q\ $ (!\led_flash_cnt[2678][6]~64383\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2678][7]~q\,
	cin => \led_flash_cnt[2678][6]~64383\,
	combout => \led_flash_cnt[2678][7]~64384_combout\);

-- Location: FF_X29_Y25_N27
\led_flash_cnt[2678][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2678][7]~64384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2678][7]~q\);

-- Location: LCCOMB_X29_Y25_N0
\WideAnd2678~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2678~1_combout\ = (\led_flash_cnt[2678][5]~q\ & \led_flash_cnt[2678][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2678][5]~q\,
	datad => \led_flash_cnt[2678][6]~q\,
	combout => \WideAnd2678~1_combout\);

-- Location: LCCOMB_X29_Y25_N12
\WideAnd2678~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2678~0_combout\ = (\led_flash_cnt[2678][3]~q\ & (\led_flash_cnt[2678][2]~q\ & (\led_flash_cnt[2678][1]~q\ & \led_flash_cnt[2678][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2678][3]~q\,
	datab => \led_flash_cnt[2678][2]~q\,
	datac => \led_flash_cnt[2678][1]~q\,
	datad => \led_flash_cnt[2678][4]~q\,
	combout => \WideAnd2678~0_combout\);

-- Location: LCCOMB_X29_Y25_N2
WideAnd2678 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2678~combout\ = (\led_flash_cnt[2678][7]~q\ & (\WideAnd2678~1_combout\ & (\led_flash_cnt[2678][0]~q\ & \WideAnd2678~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2678][7]~q\,
	datab => \WideAnd2678~1_combout\,
	datac => \led_flash_cnt[2678][0]~q\,
	datad => \WideAnd2678~0_combout\,
	combout => \WideAnd2678~combout\);

-- Location: FF_X29_Y25_N3
\led_flash_cnt_ands[2678]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2678~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2678));

-- Location: LCCOMB_X29_Y25_N10
WideAnd4174 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4174~combout\ = (\WideAnd4174~1_combout\ & (led_flash_cnt_ands(2679) & (\WideAnd4174~0_combout\ & led_flash_cnt_ands(2678))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4174~1_combout\,
	datab => led_flash_cnt_ands(2679),
	datac => \WideAnd4174~0_combout\,
	datad => led_flash_cnt_ands(2678),
	combout => \WideAnd4174~combout\);

-- Location: FF_X29_Y25_N11
\led_flash_cnt_ands_1[334]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4174~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(334));

-- Location: LCCOMB_X21_Y27_N4
\led_flash_cnt[2687][0]~83327\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2687][0]~83327_combout\ = !\led_flash_cnt[2687][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2687][0]~q\,
	combout => \led_flash_cnt[2687][0]~83327_combout\);

-- Location: FF_X21_Y27_N5
\led_flash_cnt[2687][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2687][0]~83327_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2687][0]~q\);

-- Location: LCCOMB_X20_Y27_N18
\led_flash_cnt[2687][1]~64498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2687][1]~64498_combout\ = (\led_flash_cnt[2687][0]~q\ & (\led_flash_cnt[2687][1]~q\ $ (VCC))) # (!\led_flash_cnt[2687][0]~q\ & (\led_flash_cnt[2687][1]~q\ & VCC))
-- \led_flash_cnt[2687][1]~64499\ = CARRY((\led_flash_cnt[2687][0]~q\ & \led_flash_cnt[2687][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2687][0]~q\,
	datab => \led_flash_cnt[2687][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2687][1]~64498_combout\,
	cout => \led_flash_cnt[2687][1]~64499\);

-- Location: FF_X20_Y27_N19
\led_flash_cnt[2687][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2687][1]~64498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2687][1]~q\);

-- Location: LCCOMB_X20_Y27_N20
\led_flash_cnt[2687][2]~64500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2687][2]~64500_combout\ = (\led_flash_cnt[2687][2]~q\ & (!\led_flash_cnt[2687][1]~64499\)) # (!\led_flash_cnt[2687][2]~q\ & ((\led_flash_cnt[2687][1]~64499\) # (GND)))
-- \led_flash_cnt[2687][2]~64501\ = CARRY((!\led_flash_cnt[2687][1]~64499\) # (!\led_flash_cnt[2687][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2687][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2687][1]~64499\,
	combout => \led_flash_cnt[2687][2]~64500_combout\,
	cout => \led_flash_cnt[2687][2]~64501\);

-- Location: FF_X20_Y27_N21
\led_flash_cnt[2687][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2687][2]~64500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2687][2]~q\);

-- Location: LCCOMB_X20_Y27_N22
\led_flash_cnt[2687][3]~64502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2687][3]~64502_combout\ = (\led_flash_cnt[2687][3]~q\ & (\led_flash_cnt[2687][2]~64501\ $ (GND))) # (!\led_flash_cnt[2687][3]~q\ & (!\led_flash_cnt[2687][2]~64501\ & VCC))
-- \led_flash_cnt[2687][3]~64503\ = CARRY((\led_flash_cnt[2687][3]~q\ & !\led_flash_cnt[2687][2]~64501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2687][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2687][2]~64501\,
	combout => \led_flash_cnt[2687][3]~64502_combout\,
	cout => \led_flash_cnt[2687][3]~64503\);

-- Location: FF_X20_Y27_N23
\led_flash_cnt[2687][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2687][3]~64502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2687][3]~q\);

-- Location: LCCOMB_X20_Y27_N24
\led_flash_cnt[2687][4]~64504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2687][4]~64504_combout\ = (\led_flash_cnt[2687][4]~q\ & (!\led_flash_cnt[2687][3]~64503\)) # (!\led_flash_cnt[2687][4]~q\ & ((\led_flash_cnt[2687][3]~64503\) # (GND)))
-- \led_flash_cnt[2687][4]~64505\ = CARRY((!\led_flash_cnt[2687][3]~64503\) # (!\led_flash_cnt[2687][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2687][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2687][3]~64503\,
	combout => \led_flash_cnt[2687][4]~64504_combout\,
	cout => \led_flash_cnt[2687][4]~64505\);

-- Location: FF_X20_Y27_N25
\led_flash_cnt[2687][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2687][4]~64504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2687][4]~q\);

-- Location: LCCOMB_X20_Y27_N16
\WideAnd2687~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2687~0_combout\ = (\led_flash_cnt[2687][1]~q\ & (\led_flash_cnt[2687][2]~q\ & (\led_flash_cnt[2687][3]~q\ & \led_flash_cnt[2687][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2687][1]~q\,
	datab => \led_flash_cnt[2687][2]~q\,
	datac => \led_flash_cnt[2687][3]~q\,
	datad => \led_flash_cnt[2687][4]~q\,
	combout => \WideAnd2687~0_combout\);

-- Location: LCCOMB_X20_Y27_N26
\led_flash_cnt[2687][5]~64506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2687][5]~64506_combout\ = (\led_flash_cnt[2687][5]~q\ & (\led_flash_cnt[2687][4]~64505\ $ (GND))) # (!\led_flash_cnt[2687][5]~q\ & (!\led_flash_cnt[2687][4]~64505\ & VCC))
-- \led_flash_cnt[2687][5]~64507\ = CARRY((\led_flash_cnt[2687][5]~q\ & !\led_flash_cnt[2687][4]~64505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2687][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2687][4]~64505\,
	combout => \led_flash_cnt[2687][5]~64506_combout\,
	cout => \led_flash_cnt[2687][5]~64507\);

-- Location: FF_X20_Y27_N27
\led_flash_cnt[2687][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2687][5]~64506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2687][5]~q\);

-- Location: LCCOMB_X20_Y27_N28
\led_flash_cnt[2687][6]~64508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2687][6]~64508_combout\ = (\led_flash_cnt[2687][6]~q\ & (!\led_flash_cnt[2687][5]~64507\)) # (!\led_flash_cnt[2687][6]~q\ & ((\led_flash_cnt[2687][5]~64507\) # (GND)))
-- \led_flash_cnt[2687][6]~64509\ = CARRY((!\led_flash_cnt[2687][5]~64507\) # (!\led_flash_cnt[2687][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2687][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2687][5]~64507\,
	combout => \led_flash_cnt[2687][6]~64508_combout\,
	cout => \led_flash_cnt[2687][6]~64509\);

-- Location: FF_X20_Y27_N29
\led_flash_cnt[2687][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2687][6]~64508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2687][6]~q\);

-- Location: LCCOMB_X20_Y27_N30
\led_flash_cnt[2687][7]~64510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2687][7]~64510_combout\ = \led_flash_cnt[2687][7]~q\ $ (!\led_flash_cnt[2687][6]~64509\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2687][7]~q\,
	cin => \led_flash_cnt[2687][6]~64509\,
	combout => \led_flash_cnt[2687][7]~64510_combout\);

-- Location: FF_X20_Y27_N31
\led_flash_cnt[2687][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2687][7]~64510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2687][7]~q\);

-- Location: LCCOMB_X21_Y27_N24
\WideAnd2687~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2687~1_combout\ = (\led_flash_cnt[2687][5]~q\ & \led_flash_cnt[2687][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2687][5]~q\,
	datad => \led_flash_cnt[2687][6]~q\,
	combout => \WideAnd2687~1_combout\);

-- Location: LCCOMB_X21_Y27_N2
WideAnd2687 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2687~combout\ = (\WideAnd2687~0_combout\ & (\led_flash_cnt[2687][7]~q\ & (\led_flash_cnt[2687][0]~q\ & \WideAnd2687~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2687~0_combout\,
	datab => \led_flash_cnt[2687][7]~q\,
	datac => \led_flash_cnt[2687][0]~q\,
	datad => \WideAnd2687~1_combout\,
	combout => \WideAnd2687~combout\);

-- Location: FF_X21_Y27_N3
\led_flash_cnt_ands[2687]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2687~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2687));

-- Location: LCCOMB_X21_Y27_N28
\led_flash_cnt[2685][0]~83325\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2685][0]~83325_combout\ = !\led_flash_cnt[2685][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2685][0]~q\,
	combout => \led_flash_cnt[2685][0]~83325_combout\);

-- Location: FF_X21_Y27_N29
\led_flash_cnt[2685][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2685][0]~83325_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2685][0]~q\);

-- Location: LCCOMB_X21_Y27_N10
\led_flash_cnt[2685][1]~64470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2685][1]~64470_combout\ = (\led_flash_cnt[2685][1]~q\ & (\led_flash_cnt[2685][0]~q\ $ (VCC))) # (!\led_flash_cnt[2685][1]~q\ & (\led_flash_cnt[2685][0]~q\ & VCC))
-- \led_flash_cnt[2685][1]~64471\ = CARRY((\led_flash_cnt[2685][1]~q\ & \led_flash_cnt[2685][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2685][1]~q\,
	datab => \led_flash_cnt[2685][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2685][1]~64470_combout\,
	cout => \led_flash_cnt[2685][1]~64471\);

-- Location: FF_X21_Y27_N11
\led_flash_cnt[2685][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2685][1]~64470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2685][1]~q\);

-- Location: LCCOMB_X21_Y27_N12
\led_flash_cnt[2685][2]~64472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2685][2]~64472_combout\ = (\led_flash_cnt[2685][2]~q\ & (!\led_flash_cnt[2685][1]~64471\)) # (!\led_flash_cnt[2685][2]~q\ & ((\led_flash_cnt[2685][1]~64471\) # (GND)))
-- \led_flash_cnt[2685][2]~64473\ = CARRY((!\led_flash_cnt[2685][1]~64471\) # (!\led_flash_cnt[2685][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2685][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2685][1]~64471\,
	combout => \led_flash_cnt[2685][2]~64472_combout\,
	cout => \led_flash_cnt[2685][2]~64473\);

-- Location: FF_X21_Y27_N13
\led_flash_cnt[2685][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2685][2]~64472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2685][2]~q\);

-- Location: LCCOMB_X21_Y27_N14
\led_flash_cnt[2685][3]~64474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2685][3]~64474_combout\ = (\led_flash_cnt[2685][3]~q\ & (\led_flash_cnt[2685][2]~64473\ $ (GND))) # (!\led_flash_cnt[2685][3]~q\ & (!\led_flash_cnt[2685][2]~64473\ & VCC))
-- \led_flash_cnt[2685][3]~64475\ = CARRY((\led_flash_cnt[2685][3]~q\ & !\led_flash_cnt[2685][2]~64473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2685][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2685][2]~64473\,
	combout => \led_flash_cnt[2685][3]~64474_combout\,
	cout => \led_flash_cnt[2685][3]~64475\);

-- Location: FF_X21_Y27_N15
\led_flash_cnt[2685][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2685][3]~64474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2685][3]~q\);

-- Location: LCCOMB_X21_Y27_N16
\led_flash_cnt[2685][4]~64476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2685][4]~64476_combout\ = (\led_flash_cnt[2685][4]~q\ & (!\led_flash_cnt[2685][3]~64475\)) # (!\led_flash_cnt[2685][4]~q\ & ((\led_flash_cnt[2685][3]~64475\) # (GND)))
-- \led_flash_cnt[2685][4]~64477\ = CARRY((!\led_flash_cnt[2685][3]~64475\) # (!\led_flash_cnt[2685][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2685][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2685][3]~64475\,
	combout => \led_flash_cnt[2685][4]~64476_combout\,
	cout => \led_flash_cnt[2685][4]~64477\);

-- Location: FF_X21_Y27_N17
\led_flash_cnt[2685][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2685][4]~64476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2685][4]~q\);

-- Location: LCCOMB_X21_Y27_N26
\WideAnd2685~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2685~0_combout\ = (\led_flash_cnt[2685][2]~q\ & (\led_flash_cnt[2685][4]~q\ & (\led_flash_cnt[2685][3]~q\ & \led_flash_cnt[2685][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2685][2]~q\,
	datab => \led_flash_cnt[2685][4]~q\,
	datac => \led_flash_cnt[2685][3]~q\,
	datad => \led_flash_cnt[2685][1]~q\,
	combout => \WideAnd2685~0_combout\);

-- Location: LCCOMB_X21_Y27_N18
\led_flash_cnt[2685][5]~64478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2685][5]~64478_combout\ = (\led_flash_cnt[2685][5]~q\ & (\led_flash_cnt[2685][4]~64477\ $ (GND))) # (!\led_flash_cnt[2685][5]~q\ & (!\led_flash_cnt[2685][4]~64477\ & VCC))
-- \led_flash_cnt[2685][5]~64479\ = CARRY((\led_flash_cnt[2685][5]~q\ & !\led_flash_cnt[2685][4]~64477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2685][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2685][4]~64477\,
	combout => \led_flash_cnt[2685][5]~64478_combout\,
	cout => \led_flash_cnt[2685][5]~64479\);

-- Location: FF_X21_Y27_N19
\led_flash_cnt[2685][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2685][5]~64478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2685][5]~q\);

-- Location: LCCOMB_X21_Y27_N20
\led_flash_cnt[2685][6]~64480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2685][6]~64480_combout\ = (\led_flash_cnt[2685][6]~q\ & (!\led_flash_cnt[2685][5]~64479\)) # (!\led_flash_cnt[2685][6]~q\ & ((\led_flash_cnt[2685][5]~64479\) # (GND)))
-- \led_flash_cnt[2685][6]~64481\ = CARRY((!\led_flash_cnt[2685][5]~64479\) # (!\led_flash_cnt[2685][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2685][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2685][5]~64479\,
	combout => \led_flash_cnt[2685][6]~64480_combout\,
	cout => \led_flash_cnt[2685][6]~64481\);

-- Location: FF_X21_Y27_N21
\led_flash_cnt[2685][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2685][6]~64480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2685][6]~q\);

-- Location: LCCOMB_X21_Y27_N22
\led_flash_cnt[2685][7]~64482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2685][7]~64482_combout\ = \led_flash_cnt[2685][7]~q\ $ (!\led_flash_cnt[2685][6]~64481\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2685][7]~q\,
	cin => \led_flash_cnt[2685][6]~64481\,
	combout => \led_flash_cnt[2685][7]~64482_combout\);

-- Location: FF_X21_Y27_N23
\led_flash_cnt[2685][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2685][7]~64482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2685][7]~q\);

-- Location: LCCOMB_X21_Y27_N0
\WideAnd2685~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2685~1_combout\ = (\led_flash_cnt[2685][6]~q\ & \led_flash_cnt[2685][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2685][6]~q\,
	datad => \led_flash_cnt[2685][5]~q\,
	combout => \WideAnd2685~1_combout\);

-- Location: LCCOMB_X21_Y27_N30
WideAnd2685 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2685~combout\ = (\WideAnd2685~0_combout\ & (\led_flash_cnt[2685][0]~q\ & (\led_flash_cnt[2685][7]~q\ & \WideAnd2685~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2685~0_combout\,
	datab => \led_flash_cnt[2685][0]~q\,
	datac => \led_flash_cnt[2685][7]~q\,
	datad => \WideAnd2685~1_combout\,
	combout => \WideAnd2685~combout\);

-- Location: FF_X21_Y27_N31
\led_flash_cnt_ands[2685]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2685~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2685));

-- Location: LCCOMB_X32_Y26_N4
\led_flash_cnt[2684][0]~83324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2684][0]~83324_combout\ = !\led_flash_cnt[2684][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2684][0]~q\,
	combout => \led_flash_cnt[2684][0]~83324_combout\);

-- Location: FF_X32_Y26_N5
\led_flash_cnt[2684][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2684][0]~83324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2684][0]~q\);

-- Location: LCCOMB_X24_Y26_N18
\led_flash_cnt[2684][1]~64456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2684][1]~64456_combout\ = (\led_flash_cnt[2684][0]~q\ & (\led_flash_cnt[2684][1]~q\ $ (VCC))) # (!\led_flash_cnt[2684][0]~q\ & (\led_flash_cnt[2684][1]~q\ & VCC))
-- \led_flash_cnt[2684][1]~64457\ = CARRY((\led_flash_cnt[2684][0]~q\ & \led_flash_cnt[2684][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2684][0]~q\,
	datab => \led_flash_cnt[2684][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2684][1]~64456_combout\,
	cout => \led_flash_cnt[2684][1]~64457\);

-- Location: FF_X24_Y26_N19
\led_flash_cnt[2684][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2684][1]~64456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2684][1]~q\);

-- Location: LCCOMB_X24_Y26_N20
\led_flash_cnt[2684][2]~64458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2684][2]~64458_combout\ = (\led_flash_cnt[2684][2]~q\ & (!\led_flash_cnt[2684][1]~64457\)) # (!\led_flash_cnt[2684][2]~q\ & ((\led_flash_cnt[2684][1]~64457\) # (GND)))
-- \led_flash_cnt[2684][2]~64459\ = CARRY((!\led_flash_cnt[2684][1]~64457\) # (!\led_flash_cnt[2684][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2684][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2684][1]~64457\,
	combout => \led_flash_cnt[2684][2]~64458_combout\,
	cout => \led_flash_cnt[2684][2]~64459\);

-- Location: FF_X24_Y26_N21
\led_flash_cnt[2684][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2684][2]~64458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2684][2]~q\);

-- Location: LCCOMB_X24_Y26_N22
\led_flash_cnt[2684][3]~64460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2684][3]~64460_combout\ = (\led_flash_cnt[2684][3]~q\ & (\led_flash_cnt[2684][2]~64459\ $ (GND))) # (!\led_flash_cnt[2684][3]~q\ & (!\led_flash_cnt[2684][2]~64459\ & VCC))
-- \led_flash_cnt[2684][3]~64461\ = CARRY((\led_flash_cnt[2684][3]~q\ & !\led_flash_cnt[2684][2]~64459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2684][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2684][2]~64459\,
	combout => \led_flash_cnt[2684][3]~64460_combout\,
	cout => \led_flash_cnt[2684][3]~64461\);

-- Location: FF_X24_Y26_N23
\led_flash_cnt[2684][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2684][3]~64460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2684][3]~q\);

-- Location: LCCOMB_X24_Y26_N24
\led_flash_cnt[2684][4]~64462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2684][4]~64462_combout\ = (\led_flash_cnt[2684][4]~q\ & (!\led_flash_cnt[2684][3]~64461\)) # (!\led_flash_cnt[2684][4]~q\ & ((\led_flash_cnt[2684][3]~64461\) # (GND)))
-- \led_flash_cnt[2684][4]~64463\ = CARRY((!\led_flash_cnt[2684][3]~64461\) # (!\led_flash_cnt[2684][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2684][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2684][3]~64461\,
	combout => \led_flash_cnt[2684][4]~64462_combout\,
	cout => \led_flash_cnt[2684][4]~64463\);

-- Location: FF_X24_Y26_N25
\led_flash_cnt[2684][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2684][4]~64462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2684][4]~q\);

-- Location: LCCOMB_X24_Y26_N26
\led_flash_cnt[2684][5]~64464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2684][5]~64464_combout\ = (\led_flash_cnt[2684][5]~q\ & (\led_flash_cnt[2684][4]~64463\ $ (GND))) # (!\led_flash_cnt[2684][5]~q\ & (!\led_flash_cnt[2684][4]~64463\ & VCC))
-- \led_flash_cnt[2684][5]~64465\ = CARRY((\led_flash_cnt[2684][5]~q\ & !\led_flash_cnt[2684][4]~64463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2684][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2684][4]~64463\,
	combout => \led_flash_cnt[2684][5]~64464_combout\,
	cout => \led_flash_cnt[2684][5]~64465\);

-- Location: FF_X24_Y26_N27
\led_flash_cnt[2684][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2684][5]~64464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2684][5]~q\);

-- Location: LCCOMB_X24_Y26_N28
\led_flash_cnt[2684][6]~64466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2684][6]~64466_combout\ = (\led_flash_cnt[2684][6]~q\ & (!\led_flash_cnt[2684][5]~64465\)) # (!\led_flash_cnt[2684][6]~q\ & ((\led_flash_cnt[2684][5]~64465\) # (GND)))
-- \led_flash_cnt[2684][6]~64467\ = CARRY((!\led_flash_cnt[2684][5]~64465\) # (!\led_flash_cnt[2684][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2684][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2684][5]~64465\,
	combout => \led_flash_cnt[2684][6]~64466_combout\,
	cout => \led_flash_cnt[2684][6]~64467\);

-- Location: FF_X24_Y26_N29
\led_flash_cnt[2684][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2684][6]~64466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2684][6]~q\);

-- Location: LCCOMB_X24_Y26_N30
\led_flash_cnt[2684][7]~64468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2684][7]~64468_combout\ = \led_flash_cnt[2684][7]~q\ $ (!\led_flash_cnt[2684][6]~64467\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2684][7]~q\,
	cin => \led_flash_cnt[2684][6]~64467\,
	combout => \led_flash_cnt[2684][7]~64468_combout\);

-- Location: FF_X24_Y26_N31
\led_flash_cnt[2684][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2684][7]~64468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2684][7]~q\);

-- Location: LCCOMB_X23_Y26_N8
\WideAnd2684~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2684~1_combout\ = (\led_flash_cnt[2684][5]~q\ & \led_flash_cnt[2684][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2684][5]~q\,
	datad => \led_flash_cnt[2684][6]~q\,
	combout => \WideAnd2684~1_combout\);

-- Location: LCCOMB_X24_Y26_N0
\WideAnd2684~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2684~0_combout\ = (\led_flash_cnt[2684][1]~q\ & (\led_flash_cnt[2684][4]~q\ & (\led_flash_cnt[2684][3]~q\ & \led_flash_cnt[2684][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2684][1]~q\,
	datab => \led_flash_cnt[2684][4]~q\,
	datac => \led_flash_cnt[2684][3]~q\,
	datad => \led_flash_cnt[2684][2]~q\,
	combout => \WideAnd2684~0_combout\);

-- Location: LCCOMB_X23_Y26_N0
WideAnd2684 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2684~combout\ = (\led_flash_cnt[2684][7]~q\ & (\led_flash_cnt[2684][0]~q\ & (\WideAnd2684~1_combout\ & \WideAnd2684~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2684][7]~q\,
	datab => \led_flash_cnt[2684][0]~q\,
	datac => \WideAnd2684~1_combout\,
	datad => \WideAnd2684~0_combout\,
	combout => \WideAnd2684~combout\);

-- Location: FF_X23_Y26_N1
\led_flash_cnt_ands[2684]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2684~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2684));

-- Location: LCCOMB_X22_Y27_N2
\WideAnd4175~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4175~1_combout\ = (led_flash_cnt_ands(2685) & led_flash_cnt_ands(2684))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2685),
	datad => led_flash_cnt_ands(2684),
	combout => \WideAnd4175~1_combout\);

-- Location: LCCOMB_X22_Y27_N20
\led_flash_cnt[2686][0]~83326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2686][0]~83326_combout\ = !\led_flash_cnt[2686][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2686][0]~q\,
	combout => \led_flash_cnt[2686][0]~83326_combout\);

-- Location: FF_X22_Y27_N21
\led_flash_cnt[2686][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2686][0]~83326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2686][0]~q\);

-- Location: LCCOMB_X22_Y27_N6
\led_flash_cnt[2686][1]~64484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2686][1]~64484_combout\ = (\led_flash_cnt[2686][1]~q\ & (\led_flash_cnt[2686][0]~q\ $ (VCC))) # (!\led_flash_cnt[2686][1]~q\ & (\led_flash_cnt[2686][0]~q\ & VCC))
-- \led_flash_cnt[2686][1]~64485\ = CARRY((\led_flash_cnt[2686][1]~q\ & \led_flash_cnt[2686][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2686][1]~q\,
	datab => \led_flash_cnt[2686][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2686][1]~64484_combout\,
	cout => \led_flash_cnt[2686][1]~64485\);

-- Location: FF_X22_Y27_N7
\led_flash_cnt[2686][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2686][1]~64484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2686][1]~q\);

-- Location: LCCOMB_X22_Y27_N8
\led_flash_cnt[2686][2]~64486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2686][2]~64486_combout\ = (\led_flash_cnt[2686][2]~q\ & (!\led_flash_cnt[2686][1]~64485\)) # (!\led_flash_cnt[2686][2]~q\ & ((\led_flash_cnt[2686][1]~64485\) # (GND)))
-- \led_flash_cnt[2686][2]~64487\ = CARRY((!\led_flash_cnt[2686][1]~64485\) # (!\led_flash_cnt[2686][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2686][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2686][1]~64485\,
	combout => \led_flash_cnt[2686][2]~64486_combout\,
	cout => \led_flash_cnt[2686][2]~64487\);

-- Location: FF_X22_Y27_N9
\led_flash_cnt[2686][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2686][2]~64486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2686][2]~q\);

-- Location: LCCOMB_X22_Y27_N10
\led_flash_cnt[2686][3]~64488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2686][3]~64488_combout\ = (\led_flash_cnt[2686][3]~q\ & (\led_flash_cnt[2686][2]~64487\ $ (GND))) # (!\led_flash_cnt[2686][3]~q\ & (!\led_flash_cnt[2686][2]~64487\ & VCC))
-- \led_flash_cnt[2686][3]~64489\ = CARRY((\led_flash_cnt[2686][3]~q\ & !\led_flash_cnt[2686][2]~64487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2686][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2686][2]~64487\,
	combout => \led_flash_cnt[2686][3]~64488_combout\,
	cout => \led_flash_cnt[2686][3]~64489\);

-- Location: FF_X22_Y27_N11
\led_flash_cnt[2686][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2686][3]~64488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2686][3]~q\);

-- Location: LCCOMB_X22_Y27_N12
\led_flash_cnt[2686][4]~64490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2686][4]~64490_combout\ = (\led_flash_cnt[2686][4]~q\ & (!\led_flash_cnt[2686][3]~64489\)) # (!\led_flash_cnt[2686][4]~q\ & ((\led_flash_cnt[2686][3]~64489\) # (GND)))
-- \led_flash_cnt[2686][4]~64491\ = CARRY((!\led_flash_cnt[2686][3]~64489\) # (!\led_flash_cnt[2686][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2686][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2686][3]~64489\,
	combout => \led_flash_cnt[2686][4]~64490_combout\,
	cout => \led_flash_cnt[2686][4]~64491\);

-- Location: FF_X22_Y27_N13
\led_flash_cnt[2686][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2686][4]~64490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2686][4]~q\);

-- Location: LCCOMB_X22_Y27_N22
\WideAnd2686~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2686~0_combout\ = (\led_flash_cnt[2686][4]~q\ & (\led_flash_cnt[2686][3]~q\ & (\led_flash_cnt[2686][2]~q\ & \led_flash_cnt[2686][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2686][4]~q\,
	datab => \led_flash_cnt[2686][3]~q\,
	datac => \led_flash_cnt[2686][2]~q\,
	datad => \led_flash_cnt[2686][1]~q\,
	combout => \WideAnd2686~0_combout\);

-- Location: LCCOMB_X22_Y27_N14
\led_flash_cnt[2686][5]~64492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2686][5]~64492_combout\ = (\led_flash_cnt[2686][5]~q\ & (\led_flash_cnt[2686][4]~64491\ $ (GND))) # (!\led_flash_cnt[2686][5]~q\ & (!\led_flash_cnt[2686][4]~64491\ & VCC))
-- \led_flash_cnt[2686][5]~64493\ = CARRY((\led_flash_cnt[2686][5]~q\ & !\led_flash_cnt[2686][4]~64491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2686][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2686][4]~64491\,
	combout => \led_flash_cnt[2686][5]~64492_combout\,
	cout => \led_flash_cnt[2686][5]~64493\);

-- Location: FF_X22_Y27_N15
\led_flash_cnt[2686][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2686][5]~64492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2686][5]~q\);

-- Location: LCCOMB_X22_Y27_N16
\led_flash_cnt[2686][6]~64494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2686][6]~64494_combout\ = (\led_flash_cnt[2686][6]~q\ & (!\led_flash_cnt[2686][5]~64493\)) # (!\led_flash_cnt[2686][6]~q\ & ((\led_flash_cnt[2686][5]~64493\) # (GND)))
-- \led_flash_cnt[2686][6]~64495\ = CARRY((!\led_flash_cnt[2686][5]~64493\) # (!\led_flash_cnt[2686][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2686][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2686][5]~64493\,
	combout => \led_flash_cnt[2686][6]~64494_combout\,
	cout => \led_flash_cnt[2686][6]~64495\);

-- Location: FF_X22_Y27_N17
\led_flash_cnt[2686][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2686][6]~64494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2686][6]~q\);

-- Location: LCCOMB_X22_Y27_N18
\led_flash_cnt[2686][7]~64496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2686][7]~64496_combout\ = \led_flash_cnt[2686][6]~64495\ $ (!\led_flash_cnt[2686][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2686][7]~q\,
	cin => \led_flash_cnt[2686][6]~64495\,
	combout => \led_flash_cnt[2686][7]~64496_combout\);

-- Location: FF_X22_Y27_N19
\led_flash_cnt[2686][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2686][7]~64496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2686][7]~q\);

-- Location: LCCOMB_X21_Y27_N6
\WideAnd2686~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2686~1_combout\ = (\led_flash_cnt[2686][5]~q\ & \led_flash_cnt[2686][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2686][5]~q\,
	datad => \led_flash_cnt[2686][6]~q\,
	combout => \WideAnd2686~1_combout\);

-- Location: LCCOMB_X22_Y27_N30
WideAnd2686 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2686~combout\ = (\WideAnd2686~0_combout\ & (\led_flash_cnt[2686][7]~q\ & (\WideAnd2686~1_combout\ & \led_flash_cnt[2686][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2686~0_combout\,
	datab => \led_flash_cnt[2686][7]~q\,
	datac => \WideAnd2686~1_combout\,
	datad => \led_flash_cnt[2686][0]~q\,
	combout => \WideAnd2686~combout\);

-- Location: FF_X22_Y27_N31
\led_flash_cnt_ands[2686]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2686~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2686));

-- Location: LCCOMB_X20_Y30_N22
\led_flash_cnt[2680][0]~83320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2680][0]~83320_combout\ = !\led_flash_cnt[2680][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2680][0]~q\,
	combout => \led_flash_cnt[2680][0]~83320_combout\);

-- Location: FF_X20_Y30_N23
\led_flash_cnt[2680][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2680][0]~83320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2680][0]~q\);

-- Location: LCCOMB_X20_Y30_N0
\led_flash_cnt[2680][1]~64400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2680][1]~64400_combout\ = (\led_flash_cnt[2680][0]~q\ & (\led_flash_cnt[2680][1]~q\ $ (VCC))) # (!\led_flash_cnt[2680][0]~q\ & (\led_flash_cnt[2680][1]~q\ & VCC))
-- \led_flash_cnt[2680][1]~64401\ = CARRY((\led_flash_cnt[2680][0]~q\ & \led_flash_cnt[2680][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2680][0]~q\,
	datab => \led_flash_cnt[2680][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2680][1]~64400_combout\,
	cout => \led_flash_cnt[2680][1]~64401\);

-- Location: FF_X20_Y30_N1
\led_flash_cnt[2680][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2680][1]~64400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2680][1]~q\);

-- Location: LCCOMB_X20_Y30_N2
\led_flash_cnt[2680][2]~64402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2680][2]~64402_combout\ = (\led_flash_cnt[2680][2]~q\ & (!\led_flash_cnt[2680][1]~64401\)) # (!\led_flash_cnt[2680][2]~q\ & ((\led_flash_cnt[2680][1]~64401\) # (GND)))
-- \led_flash_cnt[2680][2]~64403\ = CARRY((!\led_flash_cnt[2680][1]~64401\) # (!\led_flash_cnt[2680][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2680][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2680][1]~64401\,
	combout => \led_flash_cnt[2680][2]~64402_combout\,
	cout => \led_flash_cnt[2680][2]~64403\);

-- Location: FF_X20_Y30_N3
\led_flash_cnt[2680][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2680][2]~64402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2680][2]~q\);

-- Location: LCCOMB_X20_Y30_N4
\led_flash_cnt[2680][3]~64404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2680][3]~64404_combout\ = (\led_flash_cnt[2680][3]~q\ & (\led_flash_cnt[2680][2]~64403\ $ (GND))) # (!\led_flash_cnt[2680][3]~q\ & (!\led_flash_cnt[2680][2]~64403\ & VCC))
-- \led_flash_cnt[2680][3]~64405\ = CARRY((\led_flash_cnt[2680][3]~q\ & !\led_flash_cnt[2680][2]~64403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2680][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2680][2]~64403\,
	combout => \led_flash_cnt[2680][3]~64404_combout\,
	cout => \led_flash_cnt[2680][3]~64405\);

-- Location: FF_X20_Y30_N5
\led_flash_cnt[2680][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2680][3]~64404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2680][3]~q\);

-- Location: LCCOMB_X20_Y30_N6
\led_flash_cnt[2680][4]~64406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2680][4]~64406_combout\ = (\led_flash_cnt[2680][4]~q\ & (!\led_flash_cnt[2680][3]~64405\)) # (!\led_flash_cnt[2680][4]~q\ & ((\led_flash_cnt[2680][3]~64405\) # (GND)))
-- \led_flash_cnt[2680][4]~64407\ = CARRY((!\led_flash_cnt[2680][3]~64405\) # (!\led_flash_cnt[2680][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2680][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2680][3]~64405\,
	combout => \led_flash_cnt[2680][4]~64406_combout\,
	cout => \led_flash_cnt[2680][4]~64407\);

-- Location: FF_X20_Y30_N7
\led_flash_cnt[2680][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2680][4]~64406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2680][4]~q\);

-- Location: LCCOMB_X20_Y30_N30
\WideAnd2680~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2680~0_combout\ = (\led_flash_cnt[2680][4]~q\ & (\led_flash_cnt[2680][1]~q\ & (\led_flash_cnt[2680][3]~q\ & \led_flash_cnt[2680][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2680][4]~q\,
	datab => \led_flash_cnt[2680][1]~q\,
	datac => \led_flash_cnt[2680][3]~q\,
	datad => \led_flash_cnt[2680][2]~q\,
	combout => \WideAnd2680~0_combout\);

-- Location: LCCOMB_X20_Y30_N8
\led_flash_cnt[2680][5]~64408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2680][5]~64408_combout\ = (\led_flash_cnt[2680][5]~q\ & (\led_flash_cnt[2680][4]~64407\ $ (GND))) # (!\led_flash_cnt[2680][5]~q\ & (!\led_flash_cnt[2680][4]~64407\ & VCC))
-- \led_flash_cnt[2680][5]~64409\ = CARRY((\led_flash_cnt[2680][5]~q\ & !\led_flash_cnt[2680][4]~64407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2680][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2680][4]~64407\,
	combout => \led_flash_cnt[2680][5]~64408_combout\,
	cout => \led_flash_cnt[2680][5]~64409\);

-- Location: FF_X20_Y30_N9
\led_flash_cnt[2680][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2680][5]~64408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2680][5]~q\);

-- Location: LCCOMB_X20_Y30_N10
\led_flash_cnt[2680][6]~64410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2680][6]~64410_combout\ = (\led_flash_cnt[2680][6]~q\ & (!\led_flash_cnt[2680][5]~64409\)) # (!\led_flash_cnt[2680][6]~q\ & ((\led_flash_cnt[2680][5]~64409\) # (GND)))
-- \led_flash_cnt[2680][6]~64411\ = CARRY((!\led_flash_cnt[2680][5]~64409\) # (!\led_flash_cnt[2680][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2680][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2680][5]~64409\,
	combout => \led_flash_cnt[2680][6]~64410_combout\,
	cout => \led_flash_cnt[2680][6]~64411\);

-- Location: FF_X20_Y30_N11
\led_flash_cnt[2680][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2680][6]~64410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2680][6]~q\);

-- Location: LCCOMB_X20_Y30_N16
\WideAnd2680~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2680~1_combout\ = (\led_flash_cnt[2680][5]~q\ & \led_flash_cnt[2680][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2680][5]~q\,
	datad => \led_flash_cnt[2680][6]~q\,
	combout => \WideAnd2680~1_combout\);

-- Location: LCCOMB_X20_Y30_N12
\led_flash_cnt[2680][7]~64412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2680][7]~64412_combout\ = \led_flash_cnt[2680][6]~64411\ $ (!\led_flash_cnt[2680][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2680][7]~q\,
	cin => \led_flash_cnt[2680][6]~64411\,
	combout => \led_flash_cnt[2680][7]~64412_combout\);

-- Location: FF_X20_Y30_N13
\led_flash_cnt[2680][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2680][7]~64412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2680][7]~q\);

-- Location: LCCOMB_X20_Y30_N24
WideAnd2680 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2680~combout\ = (\WideAnd2680~0_combout\ & (\WideAnd2680~1_combout\ & (\led_flash_cnt[2680][0]~q\ & \led_flash_cnt[2680][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2680~0_combout\,
	datab => \WideAnd2680~1_combout\,
	datac => \led_flash_cnt[2680][0]~q\,
	datad => \led_flash_cnt[2680][7]~q\,
	combout => \WideAnd2680~combout\);

-- Location: FF_X20_Y30_N25
\led_flash_cnt_ands[2680]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2680~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2680));

-- Location: LCCOMB_X23_Y20_N2
\led_flash_cnt[2683][0]~83323\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2683][0]~83323_combout\ = !\led_flash_cnt[2683][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2683][0]~q\,
	combout => \led_flash_cnt[2683][0]~83323_combout\);

-- Location: FF_X23_Y20_N3
\led_flash_cnt[2683][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2683][0]~83323_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2683][0]~q\);

-- Location: LCCOMB_X24_Y20_N0
\led_flash_cnt[2683][1]~64442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2683][1]~64442_combout\ = (\led_flash_cnt[2683][0]~q\ & (\led_flash_cnt[2683][1]~q\ $ (VCC))) # (!\led_flash_cnt[2683][0]~q\ & (\led_flash_cnt[2683][1]~q\ & VCC))
-- \led_flash_cnt[2683][1]~64443\ = CARRY((\led_flash_cnt[2683][0]~q\ & \led_flash_cnt[2683][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2683][0]~q\,
	datab => \led_flash_cnt[2683][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2683][1]~64442_combout\,
	cout => \led_flash_cnt[2683][1]~64443\);

-- Location: FF_X24_Y20_N1
\led_flash_cnt[2683][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2683][1]~64442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2683][1]~q\);

-- Location: LCCOMB_X24_Y20_N2
\led_flash_cnt[2683][2]~64444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2683][2]~64444_combout\ = (\led_flash_cnt[2683][2]~q\ & (!\led_flash_cnt[2683][1]~64443\)) # (!\led_flash_cnt[2683][2]~q\ & ((\led_flash_cnt[2683][1]~64443\) # (GND)))
-- \led_flash_cnt[2683][2]~64445\ = CARRY((!\led_flash_cnt[2683][1]~64443\) # (!\led_flash_cnt[2683][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2683][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2683][1]~64443\,
	combout => \led_flash_cnt[2683][2]~64444_combout\,
	cout => \led_flash_cnt[2683][2]~64445\);

-- Location: FF_X24_Y20_N3
\led_flash_cnt[2683][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2683][2]~64444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2683][2]~q\);

-- Location: LCCOMB_X24_Y20_N4
\led_flash_cnt[2683][3]~64446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2683][3]~64446_combout\ = (\led_flash_cnt[2683][3]~q\ & (\led_flash_cnt[2683][2]~64445\ $ (GND))) # (!\led_flash_cnt[2683][3]~q\ & (!\led_flash_cnt[2683][2]~64445\ & VCC))
-- \led_flash_cnt[2683][3]~64447\ = CARRY((\led_flash_cnt[2683][3]~q\ & !\led_flash_cnt[2683][2]~64445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2683][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2683][2]~64445\,
	combout => \led_flash_cnt[2683][3]~64446_combout\,
	cout => \led_flash_cnt[2683][3]~64447\);

-- Location: FF_X24_Y20_N5
\led_flash_cnt[2683][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2683][3]~64446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2683][3]~q\);

-- Location: LCCOMB_X24_Y20_N6
\led_flash_cnt[2683][4]~64448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2683][4]~64448_combout\ = (\led_flash_cnt[2683][4]~q\ & (!\led_flash_cnt[2683][3]~64447\)) # (!\led_flash_cnt[2683][4]~q\ & ((\led_flash_cnt[2683][3]~64447\) # (GND)))
-- \led_flash_cnt[2683][4]~64449\ = CARRY((!\led_flash_cnt[2683][3]~64447\) # (!\led_flash_cnt[2683][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2683][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2683][3]~64447\,
	combout => \led_flash_cnt[2683][4]~64448_combout\,
	cout => \led_flash_cnt[2683][4]~64449\);

-- Location: FF_X24_Y20_N7
\led_flash_cnt[2683][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2683][4]~64448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2683][4]~q\);

-- Location: LCCOMB_X24_Y20_N8
\led_flash_cnt[2683][5]~64450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2683][5]~64450_combout\ = (\led_flash_cnt[2683][5]~q\ & (\led_flash_cnt[2683][4]~64449\ $ (GND))) # (!\led_flash_cnt[2683][5]~q\ & (!\led_flash_cnt[2683][4]~64449\ & VCC))
-- \led_flash_cnt[2683][5]~64451\ = CARRY((\led_flash_cnt[2683][5]~q\ & !\led_flash_cnt[2683][4]~64449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2683][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2683][4]~64449\,
	combout => \led_flash_cnt[2683][5]~64450_combout\,
	cout => \led_flash_cnt[2683][5]~64451\);

-- Location: FF_X24_Y20_N9
\led_flash_cnt[2683][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2683][5]~64450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2683][5]~q\);

-- Location: LCCOMB_X24_Y20_N10
\led_flash_cnt[2683][6]~64452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2683][6]~64452_combout\ = (\led_flash_cnt[2683][6]~q\ & (!\led_flash_cnt[2683][5]~64451\)) # (!\led_flash_cnt[2683][6]~q\ & ((\led_flash_cnt[2683][5]~64451\) # (GND)))
-- \led_flash_cnt[2683][6]~64453\ = CARRY((!\led_flash_cnt[2683][5]~64451\) # (!\led_flash_cnt[2683][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2683][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2683][5]~64451\,
	combout => \led_flash_cnt[2683][6]~64452_combout\,
	cout => \led_flash_cnt[2683][6]~64453\);

-- Location: FF_X24_Y20_N11
\led_flash_cnt[2683][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2683][6]~64452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2683][6]~q\);

-- Location: LCCOMB_X23_Y20_N24
\WideAnd2683~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2683~1_combout\ = (\led_flash_cnt[2683][6]~q\ & \led_flash_cnt[2683][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2683][6]~q\,
	datac => \led_flash_cnt[2683][5]~q\,
	combout => \WideAnd2683~1_combout\);

-- Location: LCCOMB_X23_Y20_N20
\WideAnd2683~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2683~0_combout\ = (\led_flash_cnt[2683][3]~q\ & (\led_flash_cnt[2683][2]~q\ & (\led_flash_cnt[2683][1]~q\ & \led_flash_cnt[2683][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2683][3]~q\,
	datab => \led_flash_cnt[2683][2]~q\,
	datac => \led_flash_cnt[2683][1]~q\,
	datad => \led_flash_cnt[2683][4]~q\,
	combout => \WideAnd2683~0_combout\);

-- Location: LCCOMB_X24_Y20_N12
\led_flash_cnt[2683][7]~64454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2683][7]~64454_combout\ = \led_flash_cnt[2683][6]~64453\ $ (!\led_flash_cnt[2683][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2683][7]~q\,
	cin => \led_flash_cnt[2683][6]~64453\,
	combout => \led_flash_cnt[2683][7]~64454_combout\);

-- Location: FF_X24_Y20_N13
\led_flash_cnt[2683][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2683][7]~64454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2683][7]~q\);

-- Location: LCCOMB_X23_Y20_N26
WideAnd2683 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2683~combout\ = (\WideAnd2683~1_combout\ & (\WideAnd2683~0_combout\ & (\led_flash_cnt[2683][7]~q\ & \led_flash_cnt[2683][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2683~1_combout\,
	datab => \WideAnd2683~0_combout\,
	datac => \led_flash_cnt[2683][7]~q\,
	datad => \led_flash_cnt[2683][0]~q\,
	combout => \WideAnd2683~combout\);

-- Location: FF_X23_Y20_N27
\led_flash_cnt_ands[2683]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2683~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2683));

-- Location: LCCOMB_X23_Y20_N22
\led_flash_cnt[2682][0]~83322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2682][0]~83322_combout\ = !\led_flash_cnt[2682][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2682][0]~q\,
	combout => \led_flash_cnt[2682][0]~83322_combout\);

-- Location: FF_X23_Y20_N23
\led_flash_cnt[2682][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2682][0]~83322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2682][0]~q\);

-- Location: LCCOMB_X23_Y20_N4
\led_flash_cnt[2682][1]~64428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2682][1]~64428_combout\ = (\led_flash_cnt[2682][0]~q\ & (\led_flash_cnt[2682][1]~q\ $ (VCC))) # (!\led_flash_cnt[2682][0]~q\ & (\led_flash_cnt[2682][1]~q\ & VCC))
-- \led_flash_cnt[2682][1]~64429\ = CARRY((\led_flash_cnt[2682][0]~q\ & \led_flash_cnt[2682][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2682][0]~q\,
	datab => \led_flash_cnt[2682][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2682][1]~64428_combout\,
	cout => \led_flash_cnt[2682][1]~64429\);

-- Location: FF_X23_Y20_N5
\led_flash_cnt[2682][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2682][1]~64428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2682][1]~q\);

-- Location: LCCOMB_X23_Y20_N6
\led_flash_cnt[2682][2]~64430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2682][2]~64430_combout\ = (\led_flash_cnt[2682][2]~q\ & (!\led_flash_cnt[2682][1]~64429\)) # (!\led_flash_cnt[2682][2]~q\ & ((\led_flash_cnt[2682][1]~64429\) # (GND)))
-- \led_flash_cnt[2682][2]~64431\ = CARRY((!\led_flash_cnt[2682][1]~64429\) # (!\led_flash_cnt[2682][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2682][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2682][1]~64429\,
	combout => \led_flash_cnt[2682][2]~64430_combout\,
	cout => \led_flash_cnt[2682][2]~64431\);

-- Location: FF_X23_Y20_N7
\led_flash_cnt[2682][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2682][2]~64430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2682][2]~q\);

-- Location: LCCOMB_X23_Y20_N8
\led_flash_cnt[2682][3]~64432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2682][3]~64432_combout\ = (\led_flash_cnt[2682][3]~q\ & (\led_flash_cnt[2682][2]~64431\ $ (GND))) # (!\led_flash_cnt[2682][3]~q\ & (!\led_flash_cnt[2682][2]~64431\ & VCC))
-- \led_flash_cnt[2682][3]~64433\ = CARRY((\led_flash_cnt[2682][3]~q\ & !\led_flash_cnt[2682][2]~64431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2682][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2682][2]~64431\,
	combout => \led_flash_cnt[2682][3]~64432_combout\,
	cout => \led_flash_cnt[2682][3]~64433\);

-- Location: FF_X23_Y20_N9
\led_flash_cnt[2682][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2682][3]~64432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2682][3]~q\);

-- Location: LCCOMB_X23_Y20_N10
\led_flash_cnt[2682][4]~64434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2682][4]~64434_combout\ = (\led_flash_cnt[2682][4]~q\ & (!\led_flash_cnt[2682][3]~64433\)) # (!\led_flash_cnt[2682][4]~q\ & ((\led_flash_cnt[2682][3]~64433\) # (GND)))
-- \led_flash_cnt[2682][4]~64435\ = CARRY((!\led_flash_cnt[2682][3]~64433\) # (!\led_flash_cnt[2682][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2682][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2682][3]~64433\,
	combout => \led_flash_cnt[2682][4]~64434_combout\,
	cout => \led_flash_cnt[2682][4]~64435\);

-- Location: FF_X23_Y20_N11
\led_flash_cnt[2682][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2682][4]~64434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2682][4]~q\);

-- Location: LCCOMB_X23_Y20_N12
\led_flash_cnt[2682][5]~64436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2682][5]~64436_combout\ = (\led_flash_cnt[2682][5]~q\ & (\led_flash_cnt[2682][4]~64435\ $ (GND))) # (!\led_flash_cnt[2682][5]~q\ & (!\led_flash_cnt[2682][4]~64435\ & VCC))
-- \led_flash_cnt[2682][5]~64437\ = CARRY((\led_flash_cnt[2682][5]~q\ & !\led_flash_cnt[2682][4]~64435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2682][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2682][4]~64435\,
	combout => \led_flash_cnt[2682][5]~64436_combout\,
	cout => \led_flash_cnt[2682][5]~64437\);

-- Location: FF_X23_Y20_N13
\led_flash_cnt[2682][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2682][5]~64436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2682][5]~q\);

-- Location: LCCOMB_X23_Y20_N14
\led_flash_cnt[2682][6]~64438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2682][6]~64438_combout\ = (\led_flash_cnt[2682][6]~q\ & (!\led_flash_cnt[2682][5]~64437\)) # (!\led_flash_cnt[2682][6]~q\ & ((\led_flash_cnt[2682][5]~64437\) # (GND)))
-- \led_flash_cnt[2682][6]~64439\ = CARRY((!\led_flash_cnt[2682][5]~64437\) # (!\led_flash_cnt[2682][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2682][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2682][5]~64437\,
	combout => \led_flash_cnt[2682][6]~64438_combout\,
	cout => \led_flash_cnt[2682][6]~64439\);

-- Location: FF_X23_Y20_N15
\led_flash_cnt[2682][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2682][6]~64438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2682][6]~q\);

-- Location: LCCOMB_X23_Y20_N16
\led_flash_cnt[2682][7]~64440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2682][7]~64440_combout\ = \led_flash_cnt[2682][6]~64439\ $ (!\led_flash_cnt[2682][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2682][7]~q\,
	cin => \led_flash_cnt[2682][6]~64439\,
	combout => \led_flash_cnt[2682][7]~64440_combout\);

-- Location: FF_X23_Y20_N17
\led_flash_cnt[2682][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2682][7]~64440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2682][7]~q\);

-- Location: LCCOMB_X23_Y20_N30
\WideAnd2682~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2682~1_combout\ = (\led_flash_cnt[2682][6]~q\ & \led_flash_cnt[2682][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2682][6]~q\,
	datad => \led_flash_cnt[2682][5]~q\,
	combout => \WideAnd2682~1_combout\);

-- Location: LCCOMB_X23_Y20_N28
\WideAnd2682~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2682~0_combout\ = (\led_flash_cnt[2682][4]~q\ & (\led_flash_cnt[2682][1]~q\ & (\led_flash_cnt[2682][3]~q\ & \led_flash_cnt[2682][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2682][4]~q\,
	datab => \led_flash_cnt[2682][1]~q\,
	datac => \led_flash_cnt[2682][3]~q\,
	datad => \led_flash_cnt[2682][2]~q\,
	combout => \WideAnd2682~0_combout\);

-- Location: LCCOMB_X23_Y20_N18
WideAnd2682 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2682~combout\ = (\led_flash_cnt[2682][0]~q\ & (\led_flash_cnt[2682][7]~q\ & (\WideAnd2682~1_combout\ & \WideAnd2682~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2682][0]~q\,
	datab => \led_flash_cnt[2682][7]~q\,
	datac => \WideAnd2682~1_combout\,
	datad => \WideAnd2682~0_combout\,
	combout => \WideAnd2682~combout\);

-- Location: FF_X23_Y20_N19
\led_flash_cnt_ands[2682]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2682~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2682));

-- Location: LCCOMB_X22_Y27_N26
\led_flash_cnt[2681][0]~83321\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2681][0]~83321_combout\ = !\led_flash_cnt[2681][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2681][0]~q\,
	combout => \led_flash_cnt[2681][0]~83321_combout\);

-- Location: FF_X22_Y27_N27
\led_flash_cnt[2681][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2681][0]~83321_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2681][0]~q\);

-- Location: LCCOMB_X23_Y27_N4
\led_flash_cnt[2681][1]~64414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2681][1]~64414_combout\ = (\led_flash_cnt[2681][0]~q\ & (\led_flash_cnt[2681][1]~q\ $ (VCC))) # (!\led_flash_cnt[2681][0]~q\ & (\led_flash_cnt[2681][1]~q\ & VCC))
-- \led_flash_cnt[2681][1]~64415\ = CARRY((\led_flash_cnt[2681][0]~q\ & \led_flash_cnt[2681][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2681][0]~q\,
	datab => \led_flash_cnt[2681][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2681][1]~64414_combout\,
	cout => \led_flash_cnt[2681][1]~64415\);

-- Location: FF_X23_Y27_N5
\led_flash_cnt[2681][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2681][1]~64414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2681][1]~q\);

-- Location: LCCOMB_X23_Y27_N6
\led_flash_cnt[2681][2]~64416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2681][2]~64416_combout\ = (\led_flash_cnt[2681][2]~q\ & (!\led_flash_cnt[2681][1]~64415\)) # (!\led_flash_cnt[2681][2]~q\ & ((\led_flash_cnt[2681][1]~64415\) # (GND)))
-- \led_flash_cnt[2681][2]~64417\ = CARRY((!\led_flash_cnt[2681][1]~64415\) # (!\led_flash_cnt[2681][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2681][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2681][1]~64415\,
	combout => \led_flash_cnt[2681][2]~64416_combout\,
	cout => \led_flash_cnt[2681][2]~64417\);

-- Location: FF_X23_Y27_N7
\led_flash_cnt[2681][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2681][2]~64416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2681][2]~q\);

-- Location: LCCOMB_X23_Y27_N8
\led_flash_cnt[2681][3]~64418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2681][3]~64418_combout\ = (\led_flash_cnt[2681][3]~q\ & (\led_flash_cnt[2681][2]~64417\ $ (GND))) # (!\led_flash_cnt[2681][3]~q\ & (!\led_flash_cnt[2681][2]~64417\ & VCC))
-- \led_flash_cnt[2681][3]~64419\ = CARRY((\led_flash_cnt[2681][3]~q\ & !\led_flash_cnt[2681][2]~64417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2681][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2681][2]~64417\,
	combout => \led_flash_cnt[2681][3]~64418_combout\,
	cout => \led_flash_cnt[2681][3]~64419\);

-- Location: FF_X23_Y27_N9
\led_flash_cnt[2681][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2681][3]~64418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2681][3]~q\);

-- Location: LCCOMB_X23_Y27_N10
\led_flash_cnt[2681][4]~64420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2681][4]~64420_combout\ = (\led_flash_cnt[2681][4]~q\ & (!\led_flash_cnt[2681][3]~64419\)) # (!\led_flash_cnt[2681][4]~q\ & ((\led_flash_cnt[2681][3]~64419\) # (GND)))
-- \led_flash_cnt[2681][4]~64421\ = CARRY((!\led_flash_cnt[2681][3]~64419\) # (!\led_flash_cnt[2681][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2681][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2681][3]~64419\,
	combout => \led_flash_cnt[2681][4]~64420_combout\,
	cout => \led_flash_cnt[2681][4]~64421\);

-- Location: FF_X23_Y27_N11
\led_flash_cnt[2681][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2681][4]~64420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2681][4]~q\);

-- Location: LCCOMB_X23_Y27_N12
\led_flash_cnt[2681][5]~64422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2681][5]~64422_combout\ = (\led_flash_cnt[2681][5]~q\ & (\led_flash_cnt[2681][4]~64421\ $ (GND))) # (!\led_flash_cnt[2681][5]~q\ & (!\led_flash_cnt[2681][4]~64421\ & VCC))
-- \led_flash_cnt[2681][5]~64423\ = CARRY((\led_flash_cnt[2681][5]~q\ & !\led_flash_cnt[2681][4]~64421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2681][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2681][4]~64421\,
	combout => \led_flash_cnt[2681][5]~64422_combout\,
	cout => \led_flash_cnt[2681][5]~64423\);

-- Location: FF_X23_Y27_N13
\led_flash_cnt[2681][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2681][5]~64422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2681][5]~q\);

-- Location: LCCOMB_X23_Y27_N14
\led_flash_cnt[2681][6]~64424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2681][6]~64424_combout\ = (\led_flash_cnt[2681][6]~q\ & (!\led_flash_cnt[2681][5]~64423\)) # (!\led_flash_cnt[2681][6]~q\ & ((\led_flash_cnt[2681][5]~64423\) # (GND)))
-- \led_flash_cnt[2681][6]~64425\ = CARRY((!\led_flash_cnt[2681][5]~64423\) # (!\led_flash_cnt[2681][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2681][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2681][5]~64423\,
	combout => \led_flash_cnt[2681][6]~64424_combout\,
	cout => \led_flash_cnt[2681][6]~64425\);

-- Location: FF_X23_Y27_N15
\led_flash_cnt[2681][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2681][6]~64424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2681][6]~q\);

-- Location: LCCOMB_X23_Y27_N16
\led_flash_cnt[2681][7]~64426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2681][7]~64426_combout\ = \led_flash_cnt[2681][6]~64425\ $ (!\led_flash_cnt[2681][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2681][7]~q\,
	cin => \led_flash_cnt[2681][6]~64425\,
	combout => \led_flash_cnt[2681][7]~64426_combout\);

-- Location: FF_X23_Y27_N17
\led_flash_cnt[2681][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2681][7]~64426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2681][7]~q\);

-- Location: LCCOMB_X23_Y27_N0
\WideAnd2681~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2681~0_combout\ = (\led_flash_cnt[2681][2]~q\ & (\led_flash_cnt[2681][1]~q\ & (\led_flash_cnt[2681][3]~q\ & \led_flash_cnt[2681][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2681][2]~q\,
	datab => \led_flash_cnt[2681][1]~q\,
	datac => \led_flash_cnt[2681][3]~q\,
	datad => \led_flash_cnt[2681][4]~q\,
	combout => \WideAnd2681~0_combout\);

-- Location: LCCOMB_X22_Y27_N24
\WideAnd2681~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2681~1_combout\ = (\led_flash_cnt[2681][6]~q\ & \led_flash_cnt[2681][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2681][6]~q\,
	datac => \led_flash_cnt[2681][5]~q\,
	combout => \WideAnd2681~1_combout\);

-- Location: LCCOMB_X22_Y27_N0
WideAnd2681 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2681~combout\ = (\led_flash_cnt[2681][0]~q\ & (\led_flash_cnt[2681][7]~q\ & (\WideAnd2681~0_combout\ & \WideAnd2681~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2681][0]~q\,
	datab => \led_flash_cnt[2681][7]~q\,
	datac => \WideAnd2681~0_combout\,
	datad => \WideAnd2681~1_combout\,
	combout => \WideAnd2681~combout\);

-- Location: FF_X22_Y27_N1
\led_flash_cnt_ands[2681]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2681~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2681));

-- Location: LCCOMB_X22_Y27_N28
\WideAnd4175~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4175~0_combout\ = (led_flash_cnt_ands(2680) & (led_flash_cnt_ands(2683) & (led_flash_cnt_ands(2682) & led_flash_cnt_ands(2681))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2680),
	datab => led_flash_cnt_ands(2683),
	datac => led_flash_cnt_ands(2682),
	datad => led_flash_cnt_ands(2681),
	combout => \WideAnd4175~0_combout\);

-- Location: LCCOMB_X22_Y27_N4
WideAnd4175 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4175~combout\ = (led_flash_cnt_ands(2687) & (\WideAnd4175~1_combout\ & (led_flash_cnt_ands(2686) & \WideAnd4175~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2687),
	datab => \WideAnd4175~1_combout\,
	datac => led_flash_cnt_ands(2686),
	datad => \WideAnd4175~0_combout\,
	combout => \WideAnd4175~combout\);

-- Location: FF_X22_Y27_N5
\led_flash_cnt_ands_1[335]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4175~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(335));

-- Location: LCCOMB_X20_Y30_N20
\led_flash_cnt[2629][0]~83269\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2629][0]~83269_combout\ = !\led_flash_cnt[2629][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2629][0]~q\,
	combout => \led_flash_cnt[2629][0]~83269_combout\);

-- Location: FF_X20_Y30_N21
\led_flash_cnt[2629][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2629][0]~83269_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2629][0]~q\);

-- Location: LCCOMB_X19_Y30_N18
\led_flash_cnt[2629][1]~63686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2629][1]~63686_combout\ = (\led_flash_cnt[2629][0]~q\ & (\led_flash_cnt[2629][1]~q\ $ (VCC))) # (!\led_flash_cnt[2629][0]~q\ & (\led_flash_cnt[2629][1]~q\ & VCC))
-- \led_flash_cnt[2629][1]~63687\ = CARRY((\led_flash_cnt[2629][0]~q\ & \led_flash_cnt[2629][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2629][0]~q\,
	datab => \led_flash_cnt[2629][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2629][1]~63686_combout\,
	cout => \led_flash_cnt[2629][1]~63687\);

-- Location: FF_X19_Y30_N19
\led_flash_cnt[2629][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2629][1]~63686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2629][1]~q\);

-- Location: LCCOMB_X19_Y30_N20
\led_flash_cnt[2629][2]~63688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2629][2]~63688_combout\ = (\led_flash_cnt[2629][2]~q\ & (!\led_flash_cnt[2629][1]~63687\)) # (!\led_flash_cnt[2629][2]~q\ & ((\led_flash_cnt[2629][1]~63687\) # (GND)))
-- \led_flash_cnt[2629][2]~63689\ = CARRY((!\led_flash_cnt[2629][1]~63687\) # (!\led_flash_cnt[2629][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2629][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2629][1]~63687\,
	combout => \led_flash_cnt[2629][2]~63688_combout\,
	cout => \led_flash_cnt[2629][2]~63689\);

-- Location: FF_X19_Y30_N21
\led_flash_cnt[2629][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2629][2]~63688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2629][2]~q\);

-- Location: LCCOMB_X19_Y30_N22
\led_flash_cnt[2629][3]~63690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2629][3]~63690_combout\ = (\led_flash_cnt[2629][3]~q\ & (\led_flash_cnt[2629][2]~63689\ $ (GND))) # (!\led_flash_cnt[2629][3]~q\ & (!\led_flash_cnt[2629][2]~63689\ & VCC))
-- \led_flash_cnt[2629][3]~63691\ = CARRY((\led_flash_cnt[2629][3]~q\ & !\led_flash_cnt[2629][2]~63689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2629][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2629][2]~63689\,
	combout => \led_flash_cnt[2629][3]~63690_combout\,
	cout => \led_flash_cnt[2629][3]~63691\);

-- Location: FF_X19_Y30_N23
\led_flash_cnt[2629][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2629][3]~63690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2629][3]~q\);

-- Location: LCCOMB_X19_Y30_N24
\led_flash_cnt[2629][4]~63692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2629][4]~63692_combout\ = (\led_flash_cnt[2629][4]~q\ & (!\led_flash_cnt[2629][3]~63691\)) # (!\led_flash_cnt[2629][4]~q\ & ((\led_flash_cnt[2629][3]~63691\) # (GND)))
-- \led_flash_cnt[2629][4]~63693\ = CARRY((!\led_flash_cnt[2629][3]~63691\) # (!\led_flash_cnt[2629][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2629][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2629][3]~63691\,
	combout => \led_flash_cnt[2629][4]~63692_combout\,
	cout => \led_flash_cnt[2629][4]~63693\);

-- Location: FF_X19_Y30_N25
\led_flash_cnt[2629][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2629][4]~63692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2629][4]~q\);

-- Location: LCCOMB_X19_Y30_N26
\led_flash_cnt[2629][5]~63694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2629][5]~63694_combout\ = (\led_flash_cnt[2629][5]~q\ & (\led_flash_cnt[2629][4]~63693\ $ (GND))) # (!\led_flash_cnt[2629][5]~q\ & (!\led_flash_cnt[2629][4]~63693\ & VCC))
-- \led_flash_cnt[2629][5]~63695\ = CARRY((\led_flash_cnt[2629][5]~q\ & !\led_flash_cnt[2629][4]~63693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2629][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2629][4]~63693\,
	combout => \led_flash_cnt[2629][5]~63694_combout\,
	cout => \led_flash_cnt[2629][5]~63695\);

-- Location: FF_X19_Y30_N27
\led_flash_cnt[2629][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2629][5]~63694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2629][5]~q\);

-- Location: LCCOMB_X19_Y30_N28
\led_flash_cnt[2629][6]~63696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2629][6]~63696_combout\ = (\led_flash_cnt[2629][6]~q\ & (!\led_flash_cnt[2629][5]~63695\)) # (!\led_flash_cnt[2629][6]~q\ & ((\led_flash_cnt[2629][5]~63695\) # (GND)))
-- \led_flash_cnt[2629][6]~63697\ = CARRY((!\led_flash_cnt[2629][5]~63695\) # (!\led_flash_cnt[2629][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2629][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2629][5]~63695\,
	combout => \led_flash_cnt[2629][6]~63696_combout\,
	cout => \led_flash_cnt[2629][6]~63697\);

-- Location: FF_X19_Y30_N29
\led_flash_cnt[2629][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2629][6]~63696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2629][6]~q\);

-- Location: LCCOMB_X20_Y30_N26
\WideAnd2629~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2629~1_combout\ = (\led_flash_cnt[2629][5]~q\ & \led_flash_cnt[2629][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2629][5]~q\,
	datad => \led_flash_cnt[2629][6]~q\,
	combout => \WideAnd2629~1_combout\);

-- Location: LCCOMB_X19_Y30_N30
\led_flash_cnt[2629][7]~63698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2629][7]~63698_combout\ = \led_flash_cnt[2629][7]~q\ $ (!\led_flash_cnt[2629][6]~63697\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2629][7]~q\,
	cin => \led_flash_cnt[2629][6]~63697\,
	combout => \led_flash_cnt[2629][7]~63698_combout\);

-- Location: FF_X19_Y30_N31
\led_flash_cnt[2629][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2629][7]~63698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2629][7]~q\);

-- Location: LCCOMB_X19_Y30_N14
\WideAnd2629~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2629~0_combout\ = (\led_flash_cnt[2629][4]~q\ & (\led_flash_cnt[2629][2]~q\ & (\led_flash_cnt[2629][3]~q\ & \led_flash_cnt[2629][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2629][4]~q\,
	datab => \led_flash_cnt[2629][2]~q\,
	datac => \led_flash_cnt[2629][3]~q\,
	datad => \led_flash_cnt[2629][1]~q\,
	combout => \WideAnd2629~0_combout\);

-- Location: LCCOMB_X20_Y30_N18
WideAnd2629 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2629~combout\ = (\WideAnd2629~1_combout\ & (\led_flash_cnt[2629][7]~q\ & (\led_flash_cnt[2629][0]~q\ & \WideAnd2629~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2629~1_combout\,
	datab => \led_flash_cnt[2629][7]~q\,
	datac => \led_flash_cnt[2629][0]~q\,
	datad => \WideAnd2629~0_combout\,
	combout => \WideAnd2629~combout\);

-- Location: FF_X20_Y30_N19
\led_flash_cnt_ands[2629]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2629~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2629));

-- Location: LCCOMB_X21_Y32_N0
\led_flash_cnt[2628][0]~83268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2628][0]~83268_combout\ = !\led_flash_cnt[2628][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2628][0]~q\,
	combout => \led_flash_cnt[2628][0]~83268_combout\);

-- Location: FF_X21_Y32_N1
\led_flash_cnt[2628][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2628][0]~83268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2628][0]~q\);

-- Location: LCCOMB_X20_Y33_N14
\led_flash_cnt[2628][1]~63672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2628][1]~63672_combout\ = (\led_flash_cnt[2628][0]~q\ & (\led_flash_cnt[2628][1]~q\ $ (VCC))) # (!\led_flash_cnt[2628][0]~q\ & (\led_flash_cnt[2628][1]~q\ & VCC))
-- \led_flash_cnt[2628][1]~63673\ = CARRY((\led_flash_cnt[2628][0]~q\ & \led_flash_cnt[2628][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2628][0]~q\,
	datab => \led_flash_cnt[2628][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2628][1]~63672_combout\,
	cout => \led_flash_cnt[2628][1]~63673\);

-- Location: FF_X20_Y33_N15
\led_flash_cnt[2628][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2628][1]~63672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2628][1]~q\);

-- Location: LCCOMB_X20_Y33_N16
\led_flash_cnt[2628][2]~63674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2628][2]~63674_combout\ = (\led_flash_cnt[2628][2]~q\ & (!\led_flash_cnt[2628][1]~63673\)) # (!\led_flash_cnt[2628][2]~q\ & ((\led_flash_cnt[2628][1]~63673\) # (GND)))
-- \led_flash_cnt[2628][2]~63675\ = CARRY((!\led_flash_cnt[2628][1]~63673\) # (!\led_flash_cnt[2628][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2628][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2628][1]~63673\,
	combout => \led_flash_cnt[2628][2]~63674_combout\,
	cout => \led_flash_cnt[2628][2]~63675\);

-- Location: FF_X20_Y33_N17
\led_flash_cnt[2628][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2628][2]~63674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2628][2]~q\);

-- Location: LCCOMB_X20_Y33_N18
\led_flash_cnt[2628][3]~63676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2628][3]~63676_combout\ = (\led_flash_cnt[2628][3]~q\ & (\led_flash_cnt[2628][2]~63675\ $ (GND))) # (!\led_flash_cnt[2628][3]~q\ & (!\led_flash_cnt[2628][2]~63675\ & VCC))
-- \led_flash_cnt[2628][3]~63677\ = CARRY((\led_flash_cnt[2628][3]~q\ & !\led_flash_cnt[2628][2]~63675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2628][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2628][2]~63675\,
	combout => \led_flash_cnt[2628][3]~63676_combout\,
	cout => \led_flash_cnt[2628][3]~63677\);

-- Location: FF_X20_Y33_N19
\led_flash_cnt[2628][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2628][3]~63676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2628][3]~q\);

-- Location: LCCOMB_X20_Y33_N20
\led_flash_cnt[2628][4]~63678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2628][4]~63678_combout\ = (\led_flash_cnt[2628][4]~q\ & (!\led_flash_cnt[2628][3]~63677\)) # (!\led_flash_cnt[2628][4]~q\ & ((\led_flash_cnt[2628][3]~63677\) # (GND)))
-- \led_flash_cnt[2628][4]~63679\ = CARRY((!\led_flash_cnt[2628][3]~63677\) # (!\led_flash_cnt[2628][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2628][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2628][3]~63677\,
	combout => \led_flash_cnt[2628][4]~63678_combout\,
	cout => \led_flash_cnt[2628][4]~63679\);

-- Location: FF_X20_Y33_N21
\led_flash_cnt[2628][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2628][4]~63678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2628][4]~q\);

-- Location: LCCOMB_X19_Y33_N14
\WideAnd2628~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2628~0_combout\ = (\led_flash_cnt[2628][1]~q\ & (\led_flash_cnt[2628][3]~q\ & (\led_flash_cnt[2628][4]~q\ & \led_flash_cnt[2628][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2628][1]~q\,
	datab => \led_flash_cnt[2628][3]~q\,
	datac => \led_flash_cnt[2628][4]~q\,
	datad => \led_flash_cnt[2628][2]~q\,
	combout => \WideAnd2628~0_combout\);

-- Location: LCCOMB_X20_Y33_N22
\led_flash_cnt[2628][5]~63680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2628][5]~63680_combout\ = (\led_flash_cnt[2628][5]~q\ & (\led_flash_cnt[2628][4]~63679\ $ (GND))) # (!\led_flash_cnt[2628][5]~q\ & (!\led_flash_cnt[2628][4]~63679\ & VCC))
-- \led_flash_cnt[2628][5]~63681\ = CARRY((\led_flash_cnt[2628][5]~q\ & !\led_flash_cnt[2628][4]~63679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2628][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2628][4]~63679\,
	combout => \led_flash_cnt[2628][5]~63680_combout\,
	cout => \led_flash_cnt[2628][5]~63681\);

-- Location: FF_X20_Y33_N23
\led_flash_cnt[2628][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2628][5]~63680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2628][5]~q\);

-- Location: LCCOMB_X20_Y33_N24
\led_flash_cnt[2628][6]~63682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2628][6]~63682_combout\ = (\led_flash_cnt[2628][6]~q\ & (!\led_flash_cnt[2628][5]~63681\)) # (!\led_flash_cnt[2628][6]~q\ & ((\led_flash_cnt[2628][5]~63681\) # (GND)))
-- \led_flash_cnt[2628][6]~63683\ = CARRY((!\led_flash_cnt[2628][5]~63681\) # (!\led_flash_cnt[2628][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2628][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2628][5]~63681\,
	combout => \led_flash_cnt[2628][6]~63682_combout\,
	cout => \led_flash_cnt[2628][6]~63683\);

-- Location: FF_X20_Y33_N25
\led_flash_cnt[2628][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2628][6]~63682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2628][6]~q\);

-- Location: LCCOMB_X20_Y33_N26
\led_flash_cnt[2628][7]~63684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2628][7]~63684_combout\ = \led_flash_cnt[2628][7]~q\ $ (!\led_flash_cnt[2628][6]~63683\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2628][7]~q\,
	cin => \led_flash_cnt[2628][6]~63683\,
	combout => \led_flash_cnt[2628][7]~63684_combout\);

-- Location: FF_X20_Y33_N27
\led_flash_cnt[2628][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2628][7]~63684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2628][7]~q\);

-- Location: LCCOMB_X21_Y33_N4
\WideAnd2628~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2628~1_combout\ = (\led_flash_cnt[2628][7]~q\ & \led_flash_cnt[2628][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2628][7]~q\,
	datad => \led_flash_cnt[2628][0]~q\,
	combout => \WideAnd2628~1_combout\);

-- Location: LCCOMB_X20_Y33_N30
WideAnd2628 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2628~combout\ = (\WideAnd2628~0_combout\ & (\led_flash_cnt[2628][6]~q\ & (\led_flash_cnt[2628][5]~q\ & \WideAnd2628~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2628~0_combout\,
	datab => \led_flash_cnt[2628][6]~q\,
	datac => \led_flash_cnt[2628][5]~q\,
	datad => \WideAnd2628~1_combout\,
	combout => \WideAnd2628~combout\);

-- Location: FF_X20_Y33_N31
\led_flash_cnt_ands[2628]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2628~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2628));

-- Location: LCCOMB_X20_Y30_N28
\WideAnd4168~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4168~1_combout\ = (led_flash_cnt_ands(2629) & led_flash_cnt_ands(2628))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2629),
	datad => led_flash_cnt_ands(2628),
	combout => \WideAnd4168~1_combout\);

-- Location: LCCOMB_X12_Y27_N22
\led_flash_cnt[2630][0]~83270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2630][0]~83270_combout\ = !\led_flash_cnt[2630][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2630][0]~q\,
	combout => \led_flash_cnt[2630][0]~83270_combout\);

-- Location: FF_X12_Y27_N23
\led_flash_cnt[2630][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2630][0]~83270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2630][0]~q\);

-- Location: LCCOMB_X12_Y27_N4
\led_flash_cnt[2630][1]~63700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2630][1]~63700_combout\ = (\led_flash_cnt[2630][0]~q\ & (\led_flash_cnt[2630][1]~q\ $ (VCC))) # (!\led_flash_cnt[2630][0]~q\ & (\led_flash_cnt[2630][1]~q\ & VCC))
-- \led_flash_cnt[2630][1]~63701\ = CARRY((\led_flash_cnt[2630][0]~q\ & \led_flash_cnt[2630][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2630][0]~q\,
	datab => \led_flash_cnt[2630][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2630][1]~63700_combout\,
	cout => \led_flash_cnt[2630][1]~63701\);

-- Location: FF_X12_Y27_N5
\led_flash_cnt[2630][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2630][1]~63700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2630][1]~q\);

-- Location: LCCOMB_X12_Y27_N6
\led_flash_cnt[2630][2]~63702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2630][2]~63702_combout\ = (\led_flash_cnt[2630][2]~q\ & (!\led_flash_cnt[2630][1]~63701\)) # (!\led_flash_cnt[2630][2]~q\ & ((\led_flash_cnt[2630][1]~63701\) # (GND)))
-- \led_flash_cnt[2630][2]~63703\ = CARRY((!\led_flash_cnt[2630][1]~63701\) # (!\led_flash_cnt[2630][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2630][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2630][1]~63701\,
	combout => \led_flash_cnt[2630][2]~63702_combout\,
	cout => \led_flash_cnt[2630][2]~63703\);

-- Location: FF_X12_Y27_N7
\led_flash_cnt[2630][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2630][2]~63702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2630][2]~q\);

-- Location: LCCOMB_X12_Y27_N8
\led_flash_cnt[2630][3]~63704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2630][3]~63704_combout\ = (\led_flash_cnt[2630][3]~q\ & (\led_flash_cnt[2630][2]~63703\ $ (GND))) # (!\led_flash_cnt[2630][3]~q\ & (!\led_flash_cnt[2630][2]~63703\ & VCC))
-- \led_flash_cnt[2630][3]~63705\ = CARRY((\led_flash_cnt[2630][3]~q\ & !\led_flash_cnt[2630][2]~63703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2630][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2630][2]~63703\,
	combout => \led_flash_cnt[2630][3]~63704_combout\,
	cout => \led_flash_cnt[2630][3]~63705\);

-- Location: FF_X12_Y27_N9
\led_flash_cnt[2630][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2630][3]~63704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2630][3]~q\);

-- Location: LCCOMB_X12_Y27_N10
\led_flash_cnt[2630][4]~63706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2630][4]~63706_combout\ = (\led_flash_cnt[2630][4]~q\ & (!\led_flash_cnt[2630][3]~63705\)) # (!\led_flash_cnt[2630][4]~q\ & ((\led_flash_cnt[2630][3]~63705\) # (GND)))
-- \led_flash_cnt[2630][4]~63707\ = CARRY((!\led_flash_cnt[2630][3]~63705\) # (!\led_flash_cnt[2630][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2630][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2630][3]~63705\,
	combout => \led_flash_cnt[2630][4]~63706_combout\,
	cout => \led_flash_cnt[2630][4]~63707\);

-- Location: FF_X12_Y27_N11
\led_flash_cnt[2630][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2630][4]~63706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2630][4]~q\);

-- Location: LCCOMB_X12_Y27_N26
\WideAnd2630~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2630~0_combout\ = (\led_flash_cnt[2630][4]~q\ & (\led_flash_cnt[2630][3]~q\ & (\led_flash_cnt[2630][1]~q\ & \led_flash_cnt[2630][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2630][4]~q\,
	datab => \led_flash_cnt[2630][3]~q\,
	datac => \led_flash_cnt[2630][1]~q\,
	datad => \led_flash_cnt[2630][2]~q\,
	combout => \WideAnd2630~0_combout\);

-- Location: LCCOMB_X12_Y27_N12
\led_flash_cnt[2630][5]~63708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2630][5]~63708_combout\ = (\led_flash_cnt[2630][5]~q\ & (\led_flash_cnt[2630][4]~63707\ $ (GND))) # (!\led_flash_cnt[2630][5]~q\ & (!\led_flash_cnt[2630][4]~63707\ & VCC))
-- \led_flash_cnt[2630][5]~63709\ = CARRY((\led_flash_cnt[2630][5]~q\ & !\led_flash_cnt[2630][4]~63707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2630][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2630][4]~63707\,
	combout => \led_flash_cnt[2630][5]~63708_combout\,
	cout => \led_flash_cnt[2630][5]~63709\);

-- Location: FF_X12_Y27_N13
\led_flash_cnt[2630][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2630][5]~63708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2630][5]~q\);

-- Location: LCCOMB_X12_Y27_N14
\led_flash_cnt[2630][6]~63710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2630][6]~63710_combout\ = (\led_flash_cnt[2630][6]~q\ & (!\led_flash_cnt[2630][5]~63709\)) # (!\led_flash_cnt[2630][6]~q\ & ((\led_flash_cnt[2630][5]~63709\) # (GND)))
-- \led_flash_cnt[2630][6]~63711\ = CARRY((!\led_flash_cnt[2630][5]~63709\) # (!\led_flash_cnt[2630][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2630][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2630][5]~63709\,
	combout => \led_flash_cnt[2630][6]~63710_combout\,
	cout => \led_flash_cnt[2630][6]~63711\);

-- Location: FF_X12_Y27_N15
\led_flash_cnt[2630][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2630][6]~63710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2630][6]~q\);

-- Location: LCCOMB_X12_Y27_N16
\led_flash_cnt[2630][7]~63712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2630][7]~63712_combout\ = \led_flash_cnt[2630][6]~63711\ $ (!\led_flash_cnt[2630][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2630][7]~q\,
	cin => \led_flash_cnt[2630][6]~63711\,
	combout => \led_flash_cnt[2630][7]~63712_combout\);

-- Location: FF_X12_Y27_N17
\led_flash_cnt[2630][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2630][7]~63712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2630][7]~q\);

-- Location: LCCOMB_X12_Y27_N18
\WideAnd2630~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2630~1_combout\ = (\led_flash_cnt[2630][6]~q\ & \led_flash_cnt[2630][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2630][6]~q\,
	datad => \led_flash_cnt[2630][5]~q\,
	combout => \WideAnd2630~1_combout\);

-- Location: LCCOMB_X12_Y27_N30
WideAnd2630 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2630~combout\ = (\WideAnd2630~0_combout\ & (\led_flash_cnt[2630][7]~q\ & (\led_flash_cnt[2630][0]~q\ & \WideAnd2630~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2630~0_combout\,
	datab => \led_flash_cnt[2630][7]~q\,
	datac => \led_flash_cnt[2630][0]~q\,
	datad => \WideAnd2630~1_combout\,
	combout => \WideAnd2630~combout\);

-- Location: FF_X12_Y27_N31
\led_flash_cnt_ands[2630]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2630~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2630));

-- Location: LCCOMB_X14_Y30_N26
\led_flash_cnt[2626][0]~83266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2626][0]~83266_combout\ = !\led_flash_cnt[2626][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2626][0]~q\,
	combout => \led_flash_cnt[2626][0]~83266_combout\);

-- Location: FF_X14_Y30_N27
\led_flash_cnt[2626][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2626][0]~83266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2626][0]~q\);

-- Location: LCCOMB_X14_Y30_N8
\led_flash_cnt[2626][1]~63644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2626][1]~63644_combout\ = (\led_flash_cnt[2626][0]~q\ & (\led_flash_cnt[2626][1]~q\ $ (VCC))) # (!\led_flash_cnt[2626][0]~q\ & (\led_flash_cnt[2626][1]~q\ & VCC))
-- \led_flash_cnt[2626][1]~63645\ = CARRY((\led_flash_cnt[2626][0]~q\ & \led_flash_cnt[2626][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2626][0]~q\,
	datab => \led_flash_cnt[2626][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2626][1]~63644_combout\,
	cout => \led_flash_cnt[2626][1]~63645\);

-- Location: FF_X14_Y30_N9
\led_flash_cnt[2626][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2626][1]~63644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2626][1]~q\);

-- Location: LCCOMB_X14_Y30_N10
\led_flash_cnt[2626][2]~63646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2626][2]~63646_combout\ = (\led_flash_cnt[2626][2]~q\ & (!\led_flash_cnt[2626][1]~63645\)) # (!\led_flash_cnt[2626][2]~q\ & ((\led_flash_cnt[2626][1]~63645\) # (GND)))
-- \led_flash_cnt[2626][2]~63647\ = CARRY((!\led_flash_cnt[2626][1]~63645\) # (!\led_flash_cnt[2626][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2626][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2626][1]~63645\,
	combout => \led_flash_cnt[2626][2]~63646_combout\,
	cout => \led_flash_cnt[2626][2]~63647\);

-- Location: FF_X14_Y30_N11
\led_flash_cnt[2626][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2626][2]~63646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2626][2]~q\);

-- Location: LCCOMB_X14_Y30_N12
\led_flash_cnt[2626][3]~63648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2626][3]~63648_combout\ = (\led_flash_cnt[2626][3]~q\ & (\led_flash_cnt[2626][2]~63647\ $ (GND))) # (!\led_flash_cnt[2626][3]~q\ & (!\led_flash_cnt[2626][2]~63647\ & VCC))
-- \led_flash_cnt[2626][3]~63649\ = CARRY((\led_flash_cnt[2626][3]~q\ & !\led_flash_cnt[2626][2]~63647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2626][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2626][2]~63647\,
	combout => \led_flash_cnt[2626][3]~63648_combout\,
	cout => \led_flash_cnt[2626][3]~63649\);

-- Location: FF_X14_Y30_N13
\led_flash_cnt[2626][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2626][3]~63648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2626][3]~q\);

-- Location: LCCOMB_X14_Y30_N14
\led_flash_cnt[2626][4]~63650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2626][4]~63650_combout\ = (\led_flash_cnt[2626][4]~q\ & (!\led_flash_cnt[2626][3]~63649\)) # (!\led_flash_cnt[2626][4]~q\ & ((\led_flash_cnt[2626][3]~63649\) # (GND)))
-- \led_flash_cnt[2626][4]~63651\ = CARRY((!\led_flash_cnt[2626][3]~63649\) # (!\led_flash_cnt[2626][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2626][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2626][3]~63649\,
	combout => \led_flash_cnt[2626][4]~63650_combout\,
	cout => \led_flash_cnt[2626][4]~63651\);

-- Location: FF_X14_Y30_N15
\led_flash_cnt[2626][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2626][4]~63650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2626][4]~q\);

-- Location: LCCOMB_X14_Y30_N16
\led_flash_cnt[2626][5]~63652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2626][5]~63652_combout\ = (\led_flash_cnt[2626][5]~q\ & (\led_flash_cnt[2626][4]~63651\ $ (GND))) # (!\led_flash_cnt[2626][5]~q\ & (!\led_flash_cnt[2626][4]~63651\ & VCC))
-- \led_flash_cnt[2626][5]~63653\ = CARRY((\led_flash_cnt[2626][5]~q\ & !\led_flash_cnt[2626][4]~63651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2626][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2626][4]~63651\,
	combout => \led_flash_cnt[2626][5]~63652_combout\,
	cout => \led_flash_cnt[2626][5]~63653\);

-- Location: FF_X14_Y30_N17
\led_flash_cnt[2626][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2626][5]~63652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2626][5]~q\);

-- Location: LCCOMB_X14_Y30_N18
\led_flash_cnt[2626][6]~63654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2626][6]~63654_combout\ = (\led_flash_cnt[2626][6]~q\ & (!\led_flash_cnt[2626][5]~63653\)) # (!\led_flash_cnt[2626][6]~q\ & ((\led_flash_cnt[2626][5]~63653\) # (GND)))
-- \led_flash_cnt[2626][6]~63655\ = CARRY((!\led_flash_cnt[2626][5]~63653\) # (!\led_flash_cnt[2626][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2626][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2626][5]~63653\,
	combout => \led_flash_cnt[2626][6]~63654_combout\,
	cout => \led_flash_cnt[2626][6]~63655\);

-- Location: FF_X14_Y30_N19
\led_flash_cnt[2626][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2626][6]~63654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2626][6]~q\);

-- Location: LCCOMB_X14_Y30_N6
\WideAnd2626~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2626~1_combout\ = (\led_flash_cnt[2626][5]~q\ & \led_flash_cnt[2626][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2626][5]~q\,
	datac => \led_flash_cnt[2626][6]~q\,
	combout => \WideAnd2626~1_combout\);

-- Location: LCCOMB_X14_Y30_N20
\led_flash_cnt[2626][7]~63656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2626][7]~63656_combout\ = \led_flash_cnt[2626][6]~63655\ $ (!\led_flash_cnt[2626][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2626][7]~q\,
	cin => \led_flash_cnt[2626][6]~63655\,
	combout => \led_flash_cnt[2626][7]~63656_combout\);

-- Location: FF_X14_Y30_N21
\led_flash_cnt[2626][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2626][7]~63656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2626][7]~q\);

-- Location: LCCOMB_X14_Y30_N28
\WideAnd2626~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2626~0_combout\ = (\led_flash_cnt[2626][2]~q\ & (\led_flash_cnt[2626][1]~q\ & (\led_flash_cnt[2626][4]~q\ & \led_flash_cnt[2626][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2626][2]~q\,
	datab => \led_flash_cnt[2626][1]~q\,
	datac => \led_flash_cnt[2626][4]~q\,
	datad => \led_flash_cnt[2626][3]~q\,
	combout => \WideAnd2626~0_combout\);

-- Location: LCCOMB_X14_Y30_N24
WideAnd2626 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2626~combout\ = (\WideAnd2626~1_combout\ & (\led_flash_cnt[2626][7]~q\ & (\led_flash_cnt[2626][0]~q\ & \WideAnd2626~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2626~1_combout\,
	datab => \led_flash_cnt[2626][7]~q\,
	datac => \led_flash_cnt[2626][0]~q\,
	datad => \WideAnd2626~0_combout\,
	combout => \WideAnd2626~combout\);

-- Location: FF_X14_Y30_N25
\led_flash_cnt_ands[2626]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2626~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2626));

-- Location: LCCOMB_X18_Y26_N8
\led_flash_cnt[2624][0]~83264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2624][0]~83264_combout\ = !\led_flash_cnt[2624][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2624][0]~q\,
	combout => \led_flash_cnt[2624][0]~83264_combout\);

-- Location: FF_X18_Y26_N9
\led_flash_cnt[2624][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2624][0]~83264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2624][0]~q\);

-- Location: LCCOMB_X18_Y26_N10
\led_flash_cnt[2624][1]~63616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2624][1]~63616_combout\ = (\led_flash_cnt[2624][1]~q\ & (\led_flash_cnt[2624][0]~q\ $ (VCC))) # (!\led_flash_cnt[2624][1]~q\ & (\led_flash_cnt[2624][0]~q\ & VCC))
-- \led_flash_cnt[2624][1]~63617\ = CARRY((\led_flash_cnt[2624][1]~q\ & \led_flash_cnt[2624][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2624][1]~q\,
	datab => \led_flash_cnt[2624][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2624][1]~63616_combout\,
	cout => \led_flash_cnt[2624][1]~63617\);

-- Location: FF_X18_Y26_N11
\led_flash_cnt[2624][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2624][1]~63616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2624][1]~q\);

-- Location: LCCOMB_X18_Y26_N12
\led_flash_cnt[2624][2]~63618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2624][2]~63618_combout\ = (\led_flash_cnt[2624][2]~q\ & (!\led_flash_cnt[2624][1]~63617\)) # (!\led_flash_cnt[2624][2]~q\ & ((\led_flash_cnt[2624][1]~63617\) # (GND)))
-- \led_flash_cnt[2624][2]~63619\ = CARRY((!\led_flash_cnt[2624][1]~63617\) # (!\led_flash_cnt[2624][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2624][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2624][1]~63617\,
	combout => \led_flash_cnt[2624][2]~63618_combout\,
	cout => \led_flash_cnt[2624][2]~63619\);

-- Location: FF_X18_Y26_N13
\led_flash_cnt[2624][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2624][2]~63618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2624][2]~q\);

-- Location: LCCOMB_X18_Y26_N14
\led_flash_cnt[2624][3]~63620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2624][3]~63620_combout\ = (\led_flash_cnt[2624][3]~q\ & (\led_flash_cnt[2624][2]~63619\ $ (GND))) # (!\led_flash_cnt[2624][3]~q\ & (!\led_flash_cnt[2624][2]~63619\ & VCC))
-- \led_flash_cnt[2624][3]~63621\ = CARRY((\led_flash_cnt[2624][3]~q\ & !\led_flash_cnt[2624][2]~63619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2624][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2624][2]~63619\,
	combout => \led_flash_cnt[2624][3]~63620_combout\,
	cout => \led_flash_cnt[2624][3]~63621\);

-- Location: FF_X18_Y26_N15
\led_flash_cnt[2624][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2624][3]~63620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2624][3]~q\);

-- Location: LCCOMB_X18_Y26_N16
\led_flash_cnt[2624][4]~63622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2624][4]~63622_combout\ = (\led_flash_cnt[2624][4]~q\ & (!\led_flash_cnt[2624][3]~63621\)) # (!\led_flash_cnt[2624][4]~q\ & ((\led_flash_cnt[2624][3]~63621\) # (GND)))
-- \led_flash_cnt[2624][4]~63623\ = CARRY((!\led_flash_cnt[2624][3]~63621\) # (!\led_flash_cnt[2624][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2624][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2624][3]~63621\,
	combout => \led_flash_cnt[2624][4]~63622_combout\,
	cout => \led_flash_cnt[2624][4]~63623\);

-- Location: FF_X18_Y26_N17
\led_flash_cnt[2624][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2624][4]~63622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2624][4]~q\);

-- Location: LCCOMB_X18_Y26_N26
\WideAnd2624~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2624~0_combout\ = (\led_flash_cnt[2624][1]~q\ & (\led_flash_cnt[2624][4]~q\ & (\led_flash_cnt[2624][3]~q\ & \led_flash_cnt[2624][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2624][1]~q\,
	datab => \led_flash_cnt[2624][4]~q\,
	datac => \led_flash_cnt[2624][3]~q\,
	datad => \led_flash_cnt[2624][2]~q\,
	combout => \WideAnd2624~0_combout\);

-- Location: LCCOMB_X18_Y26_N18
\led_flash_cnt[2624][5]~63624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2624][5]~63624_combout\ = (\led_flash_cnt[2624][5]~q\ & (\led_flash_cnt[2624][4]~63623\ $ (GND))) # (!\led_flash_cnt[2624][5]~q\ & (!\led_flash_cnt[2624][4]~63623\ & VCC))
-- \led_flash_cnt[2624][5]~63625\ = CARRY((\led_flash_cnt[2624][5]~q\ & !\led_flash_cnt[2624][4]~63623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2624][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2624][4]~63623\,
	combout => \led_flash_cnt[2624][5]~63624_combout\,
	cout => \led_flash_cnt[2624][5]~63625\);

-- Location: FF_X18_Y26_N19
\led_flash_cnt[2624][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2624][5]~63624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2624][5]~q\);

-- Location: LCCOMB_X18_Y26_N20
\led_flash_cnt[2624][6]~63626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2624][6]~63626_combout\ = (\led_flash_cnt[2624][6]~q\ & (!\led_flash_cnt[2624][5]~63625\)) # (!\led_flash_cnt[2624][6]~q\ & ((\led_flash_cnt[2624][5]~63625\) # (GND)))
-- \led_flash_cnt[2624][6]~63627\ = CARRY((!\led_flash_cnt[2624][5]~63625\) # (!\led_flash_cnt[2624][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2624][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2624][5]~63625\,
	combout => \led_flash_cnt[2624][6]~63626_combout\,
	cout => \led_flash_cnt[2624][6]~63627\);

-- Location: FF_X18_Y26_N21
\led_flash_cnt[2624][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2624][6]~63626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2624][6]~q\);

-- Location: LCCOMB_X18_Y26_N22
\led_flash_cnt[2624][7]~63628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2624][7]~63628_combout\ = \led_flash_cnt[2624][7]~q\ $ (!\led_flash_cnt[2624][6]~63627\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2624][7]~q\,
	cin => \led_flash_cnt[2624][6]~63627\,
	combout => \led_flash_cnt[2624][7]~63628_combout\);

-- Location: FF_X18_Y26_N23
\led_flash_cnt[2624][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2624][7]~63628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2624][7]~q\);

-- Location: LCCOMB_X18_Y26_N24
\WideAnd2624~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2624~1_combout\ = (\led_flash_cnt[2624][6]~q\ & \led_flash_cnt[2624][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2624][6]~q\,
	datac => \led_flash_cnt[2624][5]~q\,
	combout => \WideAnd2624~1_combout\);

-- Location: LCCOMB_X18_Y26_N4
WideAnd2624 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2624~combout\ = (\WideAnd2624~0_combout\ & (\led_flash_cnt[2624][0]~q\ & (\led_flash_cnt[2624][7]~q\ & \WideAnd2624~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2624~0_combout\,
	datab => \led_flash_cnt[2624][0]~q\,
	datac => \led_flash_cnt[2624][7]~q\,
	datad => \WideAnd2624~1_combout\,
	combout => \WideAnd2624~combout\);

-- Location: FF_X18_Y26_N5
\led_flash_cnt_ands[2624]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2624~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2624));

-- Location: LCCOMB_X37_Y26_N6
\led_flash_cnt[2625][0]~83265\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2625][0]~83265_combout\ = !\led_flash_cnt[2625][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2625][0]~q\,
	combout => \led_flash_cnt[2625][0]~83265_combout\);

-- Location: FF_X37_Y26_N7
\led_flash_cnt[2625][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2625][0]~83265_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2625][0]~q\);

-- Location: LCCOMB_X37_Y26_N16
\led_flash_cnt[2625][1]~63630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2625][1]~63630_combout\ = (\led_flash_cnt[2625][0]~q\ & (\led_flash_cnt[2625][1]~q\ $ (VCC))) # (!\led_flash_cnt[2625][0]~q\ & (\led_flash_cnt[2625][1]~q\ & VCC))
-- \led_flash_cnt[2625][1]~63631\ = CARRY((\led_flash_cnt[2625][0]~q\ & \led_flash_cnt[2625][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2625][0]~q\,
	datab => \led_flash_cnt[2625][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2625][1]~63630_combout\,
	cout => \led_flash_cnt[2625][1]~63631\);

-- Location: FF_X37_Y26_N17
\led_flash_cnt[2625][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2625][1]~63630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2625][1]~q\);

-- Location: LCCOMB_X37_Y26_N18
\led_flash_cnt[2625][2]~63632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2625][2]~63632_combout\ = (\led_flash_cnt[2625][2]~q\ & (!\led_flash_cnt[2625][1]~63631\)) # (!\led_flash_cnt[2625][2]~q\ & ((\led_flash_cnt[2625][1]~63631\) # (GND)))
-- \led_flash_cnt[2625][2]~63633\ = CARRY((!\led_flash_cnt[2625][1]~63631\) # (!\led_flash_cnt[2625][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2625][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2625][1]~63631\,
	combout => \led_flash_cnt[2625][2]~63632_combout\,
	cout => \led_flash_cnt[2625][2]~63633\);

-- Location: FF_X37_Y26_N19
\led_flash_cnt[2625][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2625][2]~63632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2625][2]~q\);

-- Location: LCCOMB_X37_Y26_N20
\led_flash_cnt[2625][3]~63634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2625][3]~63634_combout\ = (\led_flash_cnt[2625][3]~q\ & (\led_flash_cnt[2625][2]~63633\ $ (GND))) # (!\led_flash_cnt[2625][3]~q\ & (!\led_flash_cnt[2625][2]~63633\ & VCC))
-- \led_flash_cnt[2625][3]~63635\ = CARRY((\led_flash_cnt[2625][3]~q\ & !\led_flash_cnt[2625][2]~63633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2625][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2625][2]~63633\,
	combout => \led_flash_cnt[2625][3]~63634_combout\,
	cout => \led_flash_cnt[2625][3]~63635\);

-- Location: FF_X37_Y26_N21
\led_flash_cnt[2625][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2625][3]~63634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2625][3]~q\);

-- Location: LCCOMB_X37_Y26_N22
\led_flash_cnt[2625][4]~63636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2625][4]~63636_combout\ = (\led_flash_cnt[2625][4]~q\ & (!\led_flash_cnt[2625][3]~63635\)) # (!\led_flash_cnt[2625][4]~q\ & ((\led_flash_cnt[2625][3]~63635\) # (GND)))
-- \led_flash_cnt[2625][4]~63637\ = CARRY((!\led_flash_cnt[2625][3]~63635\) # (!\led_flash_cnt[2625][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2625][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2625][3]~63635\,
	combout => \led_flash_cnt[2625][4]~63636_combout\,
	cout => \led_flash_cnt[2625][4]~63637\);

-- Location: FF_X37_Y26_N23
\led_flash_cnt[2625][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2625][4]~63636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2625][4]~q\);

-- Location: LCCOMB_X37_Y26_N24
\led_flash_cnt[2625][5]~63638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2625][5]~63638_combout\ = (\led_flash_cnt[2625][5]~q\ & (\led_flash_cnt[2625][4]~63637\ $ (GND))) # (!\led_flash_cnt[2625][5]~q\ & (!\led_flash_cnt[2625][4]~63637\ & VCC))
-- \led_flash_cnt[2625][5]~63639\ = CARRY((\led_flash_cnt[2625][5]~q\ & !\led_flash_cnt[2625][4]~63637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2625][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2625][4]~63637\,
	combout => \led_flash_cnt[2625][5]~63638_combout\,
	cout => \led_flash_cnt[2625][5]~63639\);

-- Location: FF_X37_Y26_N25
\led_flash_cnt[2625][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2625][5]~63638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2625][5]~q\);

-- Location: LCCOMB_X37_Y26_N26
\led_flash_cnt[2625][6]~63640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2625][6]~63640_combout\ = (\led_flash_cnt[2625][6]~q\ & (!\led_flash_cnt[2625][5]~63639\)) # (!\led_flash_cnt[2625][6]~q\ & ((\led_flash_cnt[2625][5]~63639\) # (GND)))
-- \led_flash_cnt[2625][6]~63641\ = CARRY((!\led_flash_cnt[2625][5]~63639\) # (!\led_flash_cnt[2625][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2625][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2625][5]~63639\,
	combout => \led_flash_cnt[2625][6]~63640_combout\,
	cout => \led_flash_cnt[2625][6]~63641\);

-- Location: FF_X37_Y26_N27
\led_flash_cnt[2625][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2625][6]~63640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2625][6]~q\);

-- Location: LCCOMB_X37_Y26_N28
\led_flash_cnt[2625][7]~63642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2625][7]~63642_combout\ = \led_flash_cnt[2625][6]~63641\ $ (!\led_flash_cnt[2625][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2625][7]~q\,
	cin => \led_flash_cnt[2625][6]~63641\,
	combout => \led_flash_cnt[2625][7]~63642_combout\);

-- Location: FF_X37_Y26_N29
\led_flash_cnt[2625][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2625][7]~63642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2625][7]~q\);

-- Location: LCCOMB_X37_Y26_N4
\WideAnd2625~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2625~1_combout\ = (\led_flash_cnt[2625][6]~q\ & \led_flash_cnt[2625][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2625][6]~q\,
	datad => \led_flash_cnt[2625][5]~q\,
	combout => \WideAnd2625~1_combout\);

-- Location: LCCOMB_X37_Y26_N0
\WideAnd2625~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2625~0_combout\ = (\led_flash_cnt[2625][3]~q\ & (\led_flash_cnt[2625][2]~q\ & (\led_flash_cnt[2625][4]~q\ & \led_flash_cnt[2625][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2625][3]~q\,
	datab => \led_flash_cnt[2625][2]~q\,
	datac => \led_flash_cnt[2625][4]~q\,
	datad => \led_flash_cnt[2625][1]~q\,
	combout => \WideAnd2625~0_combout\);

-- Location: LCCOMB_X37_Y26_N10
WideAnd2625 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2625~combout\ = (\led_flash_cnt[2625][0]~q\ & (\led_flash_cnt[2625][7]~q\ & (\WideAnd2625~1_combout\ & \WideAnd2625~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2625][0]~q\,
	datab => \led_flash_cnt[2625][7]~q\,
	datac => \WideAnd2625~1_combout\,
	datad => \WideAnd2625~0_combout\,
	combout => \WideAnd2625~combout\);

-- Location: FF_X37_Y26_N11
\led_flash_cnt_ands[2625]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2625~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2625));

-- Location: LCCOMB_X14_Y30_N2
\led_flash_cnt[2627][0]~83267\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2627][0]~83267_combout\ = !\led_flash_cnt[2627][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2627][0]~q\,
	combout => \led_flash_cnt[2627][0]~83267_combout\);

-- Location: FF_X14_Y30_N3
\led_flash_cnt[2627][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2627][0]~83267_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2627][0]~q\);

-- Location: LCCOMB_X13_Y30_N0
\led_flash_cnt[2627][1]~63658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2627][1]~63658_combout\ = (\led_flash_cnt[2627][0]~q\ & (\led_flash_cnt[2627][1]~q\ $ (VCC))) # (!\led_flash_cnt[2627][0]~q\ & (\led_flash_cnt[2627][1]~q\ & VCC))
-- \led_flash_cnt[2627][1]~63659\ = CARRY((\led_flash_cnt[2627][0]~q\ & \led_flash_cnt[2627][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2627][0]~q\,
	datab => \led_flash_cnt[2627][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2627][1]~63658_combout\,
	cout => \led_flash_cnt[2627][1]~63659\);

-- Location: FF_X13_Y30_N1
\led_flash_cnt[2627][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2627][1]~63658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2627][1]~q\);

-- Location: LCCOMB_X13_Y30_N2
\led_flash_cnt[2627][2]~63660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2627][2]~63660_combout\ = (\led_flash_cnt[2627][2]~q\ & (!\led_flash_cnt[2627][1]~63659\)) # (!\led_flash_cnt[2627][2]~q\ & ((\led_flash_cnt[2627][1]~63659\) # (GND)))
-- \led_flash_cnt[2627][2]~63661\ = CARRY((!\led_flash_cnt[2627][1]~63659\) # (!\led_flash_cnt[2627][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2627][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2627][1]~63659\,
	combout => \led_flash_cnt[2627][2]~63660_combout\,
	cout => \led_flash_cnt[2627][2]~63661\);

-- Location: FF_X13_Y30_N3
\led_flash_cnt[2627][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2627][2]~63660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2627][2]~q\);

-- Location: LCCOMB_X13_Y30_N4
\led_flash_cnt[2627][3]~63662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2627][3]~63662_combout\ = (\led_flash_cnt[2627][3]~q\ & (\led_flash_cnt[2627][2]~63661\ $ (GND))) # (!\led_flash_cnt[2627][3]~q\ & (!\led_flash_cnt[2627][2]~63661\ & VCC))
-- \led_flash_cnt[2627][3]~63663\ = CARRY((\led_flash_cnt[2627][3]~q\ & !\led_flash_cnt[2627][2]~63661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2627][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2627][2]~63661\,
	combout => \led_flash_cnt[2627][3]~63662_combout\,
	cout => \led_flash_cnt[2627][3]~63663\);

-- Location: FF_X13_Y30_N5
\led_flash_cnt[2627][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2627][3]~63662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2627][3]~q\);

-- Location: LCCOMB_X13_Y30_N6
\led_flash_cnt[2627][4]~63664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2627][4]~63664_combout\ = (\led_flash_cnt[2627][4]~q\ & (!\led_flash_cnt[2627][3]~63663\)) # (!\led_flash_cnt[2627][4]~q\ & ((\led_flash_cnt[2627][3]~63663\) # (GND)))
-- \led_flash_cnt[2627][4]~63665\ = CARRY((!\led_flash_cnt[2627][3]~63663\) # (!\led_flash_cnt[2627][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2627][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2627][3]~63663\,
	combout => \led_flash_cnt[2627][4]~63664_combout\,
	cout => \led_flash_cnt[2627][4]~63665\);

-- Location: FF_X13_Y30_N7
\led_flash_cnt[2627][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2627][4]~63664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2627][4]~q\);

-- Location: LCCOMB_X13_Y30_N8
\led_flash_cnt[2627][5]~63666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2627][5]~63666_combout\ = (\led_flash_cnt[2627][5]~q\ & (\led_flash_cnt[2627][4]~63665\ $ (GND))) # (!\led_flash_cnt[2627][5]~q\ & (!\led_flash_cnt[2627][4]~63665\ & VCC))
-- \led_flash_cnt[2627][5]~63667\ = CARRY((\led_flash_cnt[2627][5]~q\ & !\led_flash_cnt[2627][4]~63665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2627][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2627][4]~63665\,
	combout => \led_flash_cnt[2627][5]~63666_combout\,
	cout => \led_flash_cnt[2627][5]~63667\);

-- Location: FF_X13_Y30_N9
\led_flash_cnt[2627][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2627][5]~63666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2627][5]~q\);

-- Location: LCCOMB_X13_Y30_N10
\led_flash_cnt[2627][6]~63668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2627][6]~63668_combout\ = (\led_flash_cnt[2627][6]~q\ & (!\led_flash_cnt[2627][5]~63667\)) # (!\led_flash_cnt[2627][6]~q\ & ((\led_flash_cnt[2627][5]~63667\) # (GND)))
-- \led_flash_cnt[2627][6]~63669\ = CARRY((!\led_flash_cnt[2627][5]~63667\) # (!\led_flash_cnt[2627][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2627][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2627][5]~63667\,
	combout => \led_flash_cnt[2627][6]~63668_combout\,
	cout => \led_flash_cnt[2627][6]~63669\);

-- Location: FF_X13_Y30_N11
\led_flash_cnt[2627][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2627][6]~63668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2627][6]~q\);

-- Location: LCCOMB_X13_Y30_N12
\led_flash_cnt[2627][7]~63670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2627][7]~63670_combout\ = \led_flash_cnt[2627][6]~63669\ $ (!\led_flash_cnt[2627][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2627][7]~q\,
	cin => \led_flash_cnt[2627][6]~63669\,
	combout => \led_flash_cnt[2627][7]~63670_combout\);

-- Location: FF_X13_Y30_N13
\led_flash_cnt[2627][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2627][7]~63670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2627][7]~q\);

-- Location: LCCOMB_X13_Y30_N30
\WideAnd2627~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2627~0_combout\ = (\led_flash_cnt[2627][4]~q\ & (\led_flash_cnt[2627][1]~q\ & (\led_flash_cnt[2627][3]~q\ & \led_flash_cnt[2627][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2627][4]~q\,
	datab => \led_flash_cnt[2627][1]~q\,
	datac => \led_flash_cnt[2627][3]~q\,
	datad => \led_flash_cnt[2627][2]~q\,
	combout => \WideAnd2627~0_combout\);

-- Location: LCCOMB_X14_Y30_N4
\WideAnd2627~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2627~1_combout\ = (\led_flash_cnt[2627][6]~q\ & \led_flash_cnt[2627][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2627][6]~q\,
	datad => \led_flash_cnt[2627][5]~q\,
	combout => \WideAnd2627~1_combout\);

-- Location: LCCOMB_X14_Y30_N22
WideAnd2627 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2627~combout\ = (\led_flash_cnt[2627][7]~q\ & (\WideAnd2627~0_combout\ & (\WideAnd2627~1_combout\ & \led_flash_cnt[2627][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2627][7]~q\,
	datab => \WideAnd2627~0_combout\,
	datac => \WideAnd2627~1_combout\,
	datad => \led_flash_cnt[2627][0]~q\,
	combout => \WideAnd2627~combout\);

-- Location: FF_X14_Y30_N23
\led_flash_cnt_ands[2627]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2627~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2627));

-- Location: LCCOMB_X14_Y26_N0
\WideAnd4168~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4168~0_combout\ = (led_flash_cnt_ands(2626) & (led_flash_cnt_ands(2624) & (led_flash_cnt_ands(2625) & led_flash_cnt_ands(2627))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2626),
	datab => led_flash_cnt_ands(2624),
	datac => led_flash_cnt_ands(2625),
	datad => led_flash_cnt_ands(2627),
	combout => \WideAnd4168~0_combout\);

-- Location: LCCOMB_X12_Y27_N2
\led_flash_cnt[2631][0]~83271\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2631][0]~83271_combout\ = !\led_flash_cnt[2631][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2631][0]~q\,
	combout => \led_flash_cnt[2631][0]~83271_combout\);

-- Location: FF_X12_Y27_N3
\led_flash_cnt[2631][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2631][0]~83271_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2631][0]~q\);

-- Location: LCCOMB_X11_Y27_N2
\led_flash_cnt[2631][1]~63714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2631][1]~63714_combout\ = (\led_flash_cnt[2631][0]~q\ & (\led_flash_cnt[2631][1]~q\ $ (VCC))) # (!\led_flash_cnt[2631][0]~q\ & (\led_flash_cnt[2631][1]~q\ & VCC))
-- \led_flash_cnt[2631][1]~63715\ = CARRY((\led_flash_cnt[2631][0]~q\ & \led_flash_cnt[2631][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2631][0]~q\,
	datab => \led_flash_cnt[2631][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2631][1]~63714_combout\,
	cout => \led_flash_cnt[2631][1]~63715\);

-- Location: FF_X11_Y27_N3
\led_flash_cnt[2631][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2631][1]~63714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2631][1]~q\);

-- Location: LCCOMB_X11_Y27_N4
\led_flash_cnt[2631][2]~63716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2631][2]~63716_combout\ = (\led_flash_cnt[2631][2]~q\ & (!\led_flash_cnt[2631][1]~63715\)) # (!\led_flash_cnt[2631][2]~q\ & ((\led_flash_cnt[2631][1]~63715\) # (GND)))
-- \led_flash_cnt[2631][2]~63717\ = CARRY((!\led_flash_cnt[2631][1]~63715\) # (!\led_flash_cnt[2631][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2631][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2631][1]~63715\,
	combout => \led_flash_cnt[2631][2]~63716_combout\,
	cout => \led_flash_cnt[2631][2]~63717\);

-- Location: FF_X11_Y27_N5
\led_flash_cnt[2631][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2631][2]~63716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2631][2]~q\);

-- Location: LCCOMB_X11_Y27_N6
\led_flash_cnt[2631][3]~63718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2631][3]~63718_combout\ = (\led_flash_cnt[2631][3]~q\ & (\led_flash_cnt[2631][2]~63717\ $ (GND))) # (!\led_flash_cnt[2631][3]~q\ & (!\led_flash_cnt[2631][2]~63717\ & VCC))
-- \led_flash_cnt[2631][3]~63719\ = CARRY((\led_flash_cnt[2631][3]~q\ & !\led_flash_cnt[2631][2]~63717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2631][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2631][2]~63717\,
	combout => \led_flash_cnt[2631][3]~63718_combout\,
	cout => \led_flash_cnt[2631][3]~63719\);

-- Location: FF_X11_Y27_N7
\led_flash_cnt[2631][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2631][3]~63718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2631][3]~q\);

-- Location: LCCOMB_X11_Y27_N8
\led_flash_cnt[2631][4]~63720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2631][4]~63720_combout\ = (\led_flash_cnt[2631][4]~q\ & (!\led_flash_cnt[2631][3]~63719\)) # (!\led_flash_cnt[2631][4]~q\ & ((\led_flash_cnt[2631][3]~63719\) # (GND)))
-- \led_flash_cnt[2631][4]~63721\ = CARRY((!\led_flash_cnt[2631][3]~63719\) # (!\led_flash_cnt[2631][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2631][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2631][3]~63719\,
	combout => \led_flash_cnt[2631][4]~63720_combout\,
	cout => \led_flash_cnt[2631][4]~63721\);

-- Location: FF_X11_Y27_N9
\led_flash_cnt[2631][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2631][4]~63720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2631][4]~q\);

-- Location: LCCOMB_X11_Y27_N10
\led_flash_cnt[2631][5]~63722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2631][5]~63722_combout\ = (\led_flash_cnt[2631][5]~q\ & (\led_flash_cnt[2631][4]~63721\ $ (GND))) # (!\led_flash_cnt[2631][5]~q\ & (!\led_flash_cnt[2631][4]~63721\ & VCC))
-- \led_flash_cnt[2631][5]~63723\ = CARRY((\led_flash_cnt[2631][5]~q\ & !\led_flash_cnt[2631][4]~63721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2631][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2631][4]~63721\,
	combout => \led_flash_cnt[2631][5]~63722_combout\,
	cout => \led_flash_cnt[2631][5]~63723\);

-- Location: FF_X11_Y27_N11
\led_flash_cnt[2631][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2631][5]~63722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2631][5]~q\);

-- Location: LCCOMB_X11_Y27_N12
\led_flash_cnt[2631][6]~63724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2631][6]~63724_combout\ = (\led_flash_cnt[2631][6]~q\ & (!\led_flash_cnt[2631][5]~63723\)) # (!\led_flash_cnt[2631][6]~q\ & ((\led_flash_cnt[2631][5]~63723\) # (GND)))
-- \led_flash_cnt[2631][6]~63725\ = CARRY((!\led_flash_cnt[2631][5]~63723\) # (!\led_flash_cnt[2631][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2631][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2631][5]~63723\,
	combout => \led_flash_cnt[2631][6]~63724_combout\,
	cout => \led_flash_cnt[2631][6]~63725\);

-- Location: FF_X11_Y27_N13
\led_flash_cnt[2631][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2631][6]~63724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2631][6]~q\);

-- Location: LCCOMB_X11_Y27_N14
\led_flash_cnt[2631][7]~63726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2631][7]~63726_combout\ = \led_flash_cnt[2631][7]~q\ $ (!\led_flash_cnt[2631][6]~63725\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2631][7]~q\,
	cin => \led_flash_cnt[2631][6]~63725\,
	combout => \led_flash_cnt[2631][7]~63726_combout\);

-- Location: FF_X11_Y27_N15
\led_flash_cnt[2631][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2631][7]~63726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2631][7]~q\);

-- Location: LCCOMB_X12_Y27_N20
\WideAnd2631~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2631~1_combout\ = (\led_flash_cnt[2631][6]~q\ & \led_flash_cnt[2631][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2631][6]~q\,
	datad => \led_flash_cnt[2631][5]~q\,
	combout => \WideAnd2631~1_combout\);

-- Location: LCCOMB_X11_Y27_N0
\WideAnd2631~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2631~0_combout\ = (\led_flash_cnt[2631][3]~q\ & (\led_flash_cnt[2631][4]~q\ & (\led_flash_cnt[2631][2]~q\ & \led_flash_cnt[2631][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2631][3]~q\,
	datab => \led_flash_cnt[2631][4]~q\,
	datac => \led_flash_cnt[2631][2]~q\,
	datad => \led_flash_cnt[2631][1]~q\,
	combout => \WideAnd2631~0_combout\);

-- Location: LCCOMB_X12_Y27_N24
WideAnd2631 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2631~combout\ = (\led_flash_cnt[2631][7]~q\ & (\WideAnd2631~1_combout\ & (\led_flash_cnt[2631][0]~q\ & \WideAnd2631~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2631][7]~q\,
	datab => \WideAnd2631~1_combout\,
	datac => \led_flash_cnt[2631][0]~q\,
	datad => \WideAnd2631~0_combout\,
	combout => \WideAnd2631~combout\);

-- Location: FF_X12_Y27_N25
\led_flash_cnt_ands[2631]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2631~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2631));

-- Location: LCCOMB_X13_Y27_N4
WideAnd4168 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4168~combout\ = (\WideAnd4168~1_combout\ & (led_flash_cnt_ands(2630) & (\WideAnd4168~0_combout\ & led_flash_cnt_ands(2631))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4168~1_combout\,
	datab => led_flash_cnt_ands(2630),
	datac => \WideAnd4168~0_combout\,
	datad => led_flash_cnt_ands(2631),
	combout => \WideAnd4168~combout\);

-- Location: FF_X13_Y27_N5
\led_flash_cnt_ands_1[328]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4168~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(328));

-- Location: LCCOMB_X6_Y13_N18
\led_flash_cnt[2654][0]~83294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2654][0]~83294_combout\ = !\led_flash_cnt[2654][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2654][0]~q\,
	combout => \led_flash_cnt[2654][0]~83294_combout\);

-- Location: FF_X6_Y13_N19
\led_flash_cnt[2654][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2654][0]~83294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2654][0]~q\);

-- Location: LCCOMB_X6_Y13_N4
\led_flash_cnt[2654][1]~64036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2654][1]~64036_combout\ = (\led_flash_cnt[2654][1]~q\ & (\led_flash_cnt[2654][0]~q\ $ (VCC))) # (!\led_flash_cnt[2654][1]~q\ & (\led_flash_cnt[2654][0]~q\ & VCC))
-- \led_flash_cnt[2654][1]~64037\ = CARRY((\led_flash_cnt[2654][1]~q\ & \led_flash_cnt[2654][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2654][1]~q\,
	datab => \led_flash_cnt[2654][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2654][1]~64036_combout\,
	cout => \led_flash_cnt[2654][1]~64037\);

-- Location: FF_X6_Y13_N5
\led_flash_cnt[2654][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2654][1]~64036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2654][1]~q\);

-- Location: LCCOMB_X6_Y13_N6
\led_flash_cnt[2654][2]~64038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2654][2]~64038_combout\ = (\led_flash_cnt[2654][2]~q\ & (!\led_flash_cnt[2654][1]~64037\)) # (!\led_flash_cnt[2654][2]~q\ & ((\led_flash_cnt[2654][1]~64037\) # (GND)))
-- \led_flash_cnt[2654][2]~64039\ = CARRY((!\led_flash_cnt[2654][1]~64037\) # (!\led_flash_cnt[2654][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2654][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2654][1]~64037\,
	combout => \led_flash_cnt[2654][2]~64038_combout\,
	cout => \led_flash_cnt[2654][2]~64039\);

-- Location: FF_X6_Y13_N7
\led_flash_cnt[2654][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2654][2]~64038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2654][2]~q\);

-- Location: LCCOMB_X6_Y13_N8
\led_flash_cnt[2654][3]~64040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2654][3]~64040_combout\ = (\led_flash_cnt[2654][3]~q\ & (\led_flash_cnt[2654][2]~64039\ $ (GND))) # (!\led_flash_cnt[2654][3]~q\ & (!\led_flash_cnt[2654][2]~64039\ & VCC))
-- \led_flash_cnt[2654][3]~64041\ = CARRY((\led_flash_cnt[2654][3]~q\ & !\led_flash_cnt[2654][2]~64039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2654][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2654][2]~64039\,
	combout => \led_flash_cnt[2654][3]~64040_combout\,
	cout => \led_flash_cnt[2654][3]~64041\);

-- Location: FF_X6_Y13_N9
\led_flash_cnt[2654][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2654][3]~64040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2654][3]~q\);

-- Location: LCCOMB_X6_Y13_N10
\led_flash_cnt[2654][4]~64042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2654][4]~64042_combout\ = (\led_flash_cnt[2654][4]~q\ & (!\led_flash_cnt[2654][3]~64041\)) # (!\led_flash_cnt[2654][4]~q\ & ((\led_flash_cnt[2654][3]~64041\) # (GND)))
-- \led_flash_cnt[2654][4]~64043\ = CARRY((!\led_flash_cnt[2654][3]~64041\) # (!\led_flash_cnt[2654][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2654][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2654][3]~64041\,
	combout => \led_flash_cnt[2654][4]~64042_combout\,
	cout => \led_flash_cnt[2654][4]~64043\);

-- Location: FF_X6_Y13_N11
\led_flash_cnt[2654][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2654][4]~64042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2654][4]~q\);

-- Location: LCCOMB_X6_Y13_N12
\led_flash_cnt[2654][5]~64044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2654][5]~64044_combout\ = (\led_flash_cnt[2654][5]~q\ & (\led_flash_cnt[2654][4]~64043\ $ (GND))) # (!\led_flash_cnt[2654][5]~q\ & (!\led_flash_cnt[2654][4]~64043\ & VCC))
-- \led_flash_cnt[2654][5]~64045\ = CARRY((\led_flash_cnt[2654][5]~q\ & !\led_flash_cnt[2654][4]~64043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2654][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2654][4]~64043\,
	combout => \led_flash_cnt[2654][5]~64044_combout\,
	cout => \led_flash_cnt[2654][5]~64045\);

-- Location: FF_X6_Y13_N13
\led_flash_cnt[2654][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2654][5]~64044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2654][5]~q\);

-- Location: LCCOMB_X6_Y13_N14
\led_flash_cnt[2654][6]~64046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2654][6]~64046_combout\ = (\led_flash_cnt[2654][6]~q\ & (!\led_flash_cnt[2654][5]~64045\)) # (!\led_flash_cnt[2654][6]~q\ & ((\led_flash_cnt[2654][5]~64045\) # (GND)))
-- \led_flash_cnt[2654][6]~64047\ = CARRY((!\led_flash_cnt[2654][5]~64045\) # (!\led_flash_cnt[2654][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2654][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2654][5]~64045\,
	combout => \led_flash_cnt[2654][6]~64046_combout\,
	cout => \led_flash_cnt[2654][6]~64047\);

-- Location: FF_X6_Y13_N15
\led_flash_cnt[2654][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2654][6]~64046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2654][6]~q\);

-- Location: LCCOMB_X6_Y13_N26
\WideAnd2654~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2654~1_combout\ = (\led_flash_cnt[2654][6]~q\ & \led_flash_cnt[2654][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2654][6]~q\,
	datad => \led_flash_cnt[2654][5]~q\,
	combout => \WideAnd2654~1_combout\);

-- Location: LCCOMB_X6_Y13_N16
\led_flash_cnt[2654][7]~64048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2654][7]~64048_combout\ = \led_flash_cnt[2654][6]~64047\ $ (!\led_flash_cnt[2654][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2654][7]~q\,
	cin => \led_flash_cnt[2654][6]~64047\,
	combout => \led_flash_cnt[2654][7]~64048_combout\);

-- Location: FF_X6_Y13_N17
\led_flash_cnt[2654][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2654][7]~64048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2654][7]~q\);

-- Location: LCCOMB_X6_Y13_N30
\WideAnd2654~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2654~0_combout\ = (\led_flash_cnt[2654][2]~q\ & (\led_flash_cnt[2654][1]~q\ & (\led_flash_cnt[2654][3]~q\ & \led_flash_cnt[2654][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2654][2]~q\,
	datab => \led_flash_cnt[2654][1]~q\,
	datac => \led_flash_cnt[2654][3]~q\,
	datad => \led_flash_cnt[2654][4]~q\,
	combout => \WideAnd2654~0_combout\);

-- Location: LCCOMB_X6_Y13_N22
WideAnd2654 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2654~combout\ = (\WideAnd2654~1_combout\ & (\led_flash_cnt[2654][7]~q\ & (\WideAnd2654~0_combout\ & \led_flash_cnt[2654][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2654~1_combout\,
	datab => \led_flash_cnt[2654][7]~q\,
	datac => \WideAnd2654~0_combout\,
	datad => \led_flash_cnt[2654][0]~q\,
	combout => \WideAnd2654~combout\);

-- Location: FF_X6_Y13_N23
\led_flash_cnt_ands[2654]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2654~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2654));

-- Location: LCCOMB_X18_Y13_N20
\led_flash_cnt[2651][0]~83291\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2651][0]~83291_combout\ = !\led_flash_cnt[2651][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2651][0]~q\,
	combout => \led_flash_cnt[2651][0]~83291_combout\);

-- Location: FF_X18_Y13_N21
\led_flash_cnt[2651][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2651][0]~83291_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2651][0]~q\);

-- Location: LCCOMB_X21_Y13_N16
\led_flash_cnt[2651][1]~63994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2651][1]~63994_combout\ = (\led_flash_cnt[2651][0]~q\ & (\led_flash_cnt[2651][1]~q\ $ (VCC))) # (!\led_flash_cnt[2651][0]~q\ & (\led_flash_cnt[2651][1]~q\ & VCC))
-- \led_flash_cnt[2651][1]~63995\ = CARRY((\led_flash_cnt[2651][0]~q\ & \led_flash_cnt[2651][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2651][0]~q\,
	datab => \led_flash_cnt[2651][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2651][1]~63994_combout\,
	cout => \led_flash_cnt[2651][1]~63995\);

-- Location: FF_X21_Y13_N17
\led_flash_cnt[2651][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2651][1]~63994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2651][1]~q\);

-- Location: LCCOMB_X21_Y13_N18
\led_flash_cnt[2651][2]~63996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2651][2]~63996_combout\ = (\led_flash_cnt[2651][2]~q\ & (!\led_flash_cnt[2651][1]~63995\)) # (!\led_flash_cnt[2651][2]~q\ & ((\led_flash_cnt[2651][1]~63995\) # (GND)))
-- \led_flash_cnt[2651][2]~63997\ = CARRY((!\led_flash_cnt[2651][1]~63995\) # (!\led_flash_cnt[2651][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2651][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2651][1]~63995\,
	combout => \led_flash_cnt[2651][2]~63996_combout\,
	cout => \led_flash_cnt[2651][2]~63997\);

-- Location: FF_X21_Y13_N19
\led_flash_cnt[2651][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2651][2]~63996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2651][2]~q\);

-- Location: LCCOMB_X21_Y13_N20
\led_flash_cnt[2651][3]~63998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2651][3]~63998_combout\ = (\led_flash_cnt[2651][3]~q\ & (\led_flash_cnt[2651][2]~63997\ $ (GND))) # (!\led_flash_cnt[2651][3]~q\ & (!\led_flash_cnt[2651][2]~63997\ & VCC))
-- \led_flash_cnt[2651][3]~63999\ = CARRY((\led_flash_cnt[2651][3]~q\ & !\led_flash_cnt[2651][2]~63997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2651][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2651][2]~63997\,
	combout => \led_flash_cnt[2651][3]~63998_combout\,
	cout => \led_flash_cnt[2651][3]~63999\);

-- Location: FF_X21_Y13_N21
\led_flash_cnt[2651][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2651][3]~63998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2651][3]~q\);

-- Location: LCCOMB_X21_Y13_N22
\led_flash_cnt[2651][4]~64000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2651][4]~64000_combout\ = (\led_flash_cnt[2651][4]~q\ & (!\led_flash_cnt[2651][3]~63999\)) # (!\led_flash_cnt[2651][4]~q\ & ((\led_flash_cnt[2651][3]~63999\) # (GND)))
-- \led_flash_cnt[2651][4]~64001\ = CARRY((!\led_flash_cnt[2651][3]~63999\) # (!\led_flash_cnt[2651][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2651][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2651][3]~63999\,
	combout => \led_flash_cnt[2651][4]~64000_combout\,
	cout => \led_flash_cnt[2651][4]~64001\);

-- Location: FF_X21_Y13_N23
\led_flash_cnt[2651][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2651][4]~64000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2651][4]~q\);

-- Location: LCCOMB_X21_Y13_N24
\led_flash_cnt[2651][5]~64002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2651][5]~64002_combout\ = (\led_flash_cnt[2651][5]~q\ & (\led_flash_cnt[2651][4]~64001\ $ (GND))) # (!\led_flash_cnt[2651][5]~q\ & (!\led_flash_cnt[2651][4]~64001\ & VCC))
-- \led_flash_cnt[2651][5]~64003\ = CARRY((\led_flash_cnt[2651][5]~q\ & !\led_flash_cnt[2651][4]~64001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2651][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2651][4]~64001\,
	combout => \led_flash_cnt[2651][5]~64002_combout\,
	cout => \led_flash_cnt[2651][5]~64003\);

-- Location: FF_X21_Y13_N25
\led_flash_cnt[2651][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2651][5]~64002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2651][5]~q\);

-- Location: LCCOMB_X21_Y13_N26
\led_flash_cnt[2651][6]~64004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2651][6]~64004_combout\ = (\led_flash_cnt[2651][6]~q\ & (!\led_flash_cnt[2651][5]~64003\)) # (!\led_flash_cnt[2651][6]~q\ & ((\led_flash_cnt[2651][5]~64003\) # (GND)))
-- \led_flash_cnt[2651][6]~64005\ = CARRY((!\led_flash_cnt[2651][5]~64003\) # (!\led_flash_cnt[2651][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2651][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2651][5]~64003\,
	combout => \led_flash_cnt[2651][6]~64004_combout\,
	cout => \led_flash_cnt[2651][6]~64005\);

-- Location: FF_X21_Y13_N27
\led_flash_cnt[2651][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2651][6]~64004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2651][6]~q\);

-- Location: LCCOMB_X21_Y13_N28
\led_flash_cnt[2651][7]~64006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2651][7]~64006_combout\ = \led_flash_cnt[2651][6]~64005\ $ (!\led_flash_cnt[2651][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2651][7]~q\,
	cin => \led_flash_cnt[2651][6]~64005\,
	combout => \led_flash_cnt[2651][7]~64006_combout\);

-- Location: FF_X21_Y13_N29
\led_flash_cnt[2651][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2651][7]~64006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2651][7]~q\);

-- Location: LCCOMB_X21_Y13_N30
\WideAnd2651~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2651~0_combout\ = (\led_flash_cnt[2651][2]~q\ & (\led_flash_cnt[2651][3]~q\ & (\led_flash_cnt[2651][4]~q\ & \led_flash_cnt[2651][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2651][2]~q\,
	datab => \led_flash_cnt[2651][3]~q\,
	datac => \led_flash_cnt[2651][4]~q\,
	datad => \led_flash_cnt[2651][1]~q\,
	combout => \WideAnd2651~0_combout\);

-- Location: LCCOMB_X22_Y13_N28
\WideAnd2651~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2651~1_combout\ = (\led_flash_cnt[2651][6]~q\ & \led_flash_cnt[2651][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2651][6]~q\,
	datad => \led_flash_cnt[2651][5]~q\,
	combout => \WideAnd2651~1_combout\);

-- Location: LCCOMB_X20_Y13_N10
WideAnd2651 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2651~combout\ = (\led_flash_cnt[2651][0]~q\ & (\led_flash_cnt[2651][7]~q\ & (\WideAnd2651~0_combout\ & \WideAnd2651~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2651][0]~q\,
	datab => \led_flash_cnt[2651][7]~q\,
	datac => \WideAnd2651~0_combout\,
	datad => \WideAnd2651~1_combout\,
	combout => \WideAnd2651~combout\);

-- Location: FF_X20_Y13_N11
\led_flash_cnt_ands[2651]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2651~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2651));

-- Location: LCCOMB_X26_Y21_N14
\led_flash_cnt[2648][0]~83288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2648][0]~83288_combout\ = !\led_flash_cnt[2648][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2648][0]~q\,
	combout => \led_flash_cnt[2648][0]~83288_combout\);

-- Location: FF_X26_Y21_N15
\led_flash_cnt[2648][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2648][0]~83288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2648][0]~q\);

-- Location: LCCOMB_X26_Y23_N10
\led_flash_cnt[2648][1]~63952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2648][1]~63952_combout\ = (\led_flash_cnt[2648][1]~q\ & (\led_flash_cnt[2648][0]~q\ $ (VCC))) # (!\led_flash_cnt[2648][1]~q\ & (\led_flash_cnt[2648][0]~q\ & VCC))
-- \led_flash_cnt[2648][1]~63953\ = CARRY((\led_flash_cnt[2648][1]~q\ & \led_flash_cnt[2648][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2648][1]~q\,
	datab => \led_flash_cnt[2648][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2648][1]~63952_combout\,
	cout => \led_flash_cnt[2648][1]~63953\);

-- Location: FF_X26_Y23_N11
\led_flash_cnt[2648][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2648][1]~63952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2648][1]~q\);

-- Location: LCCOMB_X26_Y23_N12
\led_flash_cnt[2648][2]~63954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2648][2]~63954_combout\ = (\led_flash_cnt[2648][2]~q\ & (!\led_flash_cnt[2648][1]~63953\)) # (!\led_flash_cnt[2648][2]~q\ & ((\led_flash_cnt[2648][1]~63953\) # (GND)))
-- \led_flash_cnt[2648][2]~63955\ = CARRY((!\led_flash_cnt[2648][1]~63953\) # (!\led_flash_cnt[2648][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2648][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2648][1]~63953\,
	combout => \led_flash_cnt[2648][2]~63954_combout\,
	cout => \led_flash_cnt[2648][2]~63955\);

-- Location: FF_X26_Y23_N13
\led_flash_cnt[2648][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2648][2]~63954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2648][2]~q\);

-- Location: LCCOMB_X26_Y23_N14
\led_flash_cnt[2648][3]~63956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2648][3]~63956_combout\ = (\led_flash_cnt[2648][3]~q\ & (\led_flash_cnt[2648][2]~63955\ $ (GND))) # (!\led_flash_cnt[2648][3]~q\ & (!\led_flash_cnt[2648][2]~63955\ & VCC))
-- \led_flash_cnt[2648][3]~63957\ = CARRY((\led_flash_cnt[2648][3]~q\ & !\led_flash_cnt[2648][2]~63955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2648][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2648][2]~63955\,
	combout => \led_flash_cnt[2648][3]~63956_combout\,
	cout => \led_flash_cnt[2648][3]~63957\);

-- Location: FF_X26_Y23_N15
\led_flash_cnt[2648][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2648][3]~63956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2648][3]~q\);

-- Location: LCCOMB_X26_Y23_N16
\led_flash_cnt[2648][4]~63958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2648][4]~63958_combout\ = (\led_flash_cnt[2648][4]~q\ & (!\led_flash_cnt[2648][3]~63957\)) # (!\led_flash_cnt[2648][4]~q\ & ((\led_flash_cnt[2648][3]~63957\) # (GND)))
-- \led_flash_cnt[2648][4]~63959\ = CARRY((!\led_flash_cnt[2648][3]~63957\) # (!\led_flash_cnt[2648][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2648][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2648][3]~63957\,
	combout => \led_flash_cnt[2648][4]~63958_combout\,
	cout => \led_flash_cnt[2648][4]~63959\);

-- Location: FF_X26_Y23_N17
\led_flash_cnt[2648][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2648][4]~63958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2648][4]~q\);

-- Location: LCCOMB_X26_Y23_N18
\led_flash_cnt[2648][5]~63960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2648][5]~63960_combout\ = (\led_flash_cnt[2648][5]~q\ & (\led_flash_cnt[2648][4]~63959\ $ (GND))) # (!\led_flash_cnt[2648][5]~q\ & (!\led_flash_cnt[2648][4]~63959\ & VCC))
-- \led_flash_cnt[2648][5]~63961\ = CARRY((\led_flash_cnt[2648][5]~q\ & !\led_flash_cnt[2648][4]~63959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2648][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2648][4]~63959\,
	combout => \led_flash_cnt[2648][5]~63960_combout\,
	cout => \led_flash_cnt[2648][5]~63961\);

-- Location: FF_X26_Y23_N19
\led_flash_cnt[2648][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2648][5]~63960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2648][5]~q\);

-- Location: LCCOMB_X26_Y23_N20
\led_flash_cnt[2648][6]~63962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2648][6]~63962_combout\ = (\led_flash_cnt[2648][6]~q\ & (!\led_flash_cnt[2648][5]~63961\)) # (!\led_flash_cnt[2648][6]~q\ & ((\led_flash_cnt[2648][5]~63961\) # (GND)))
-- \led_flash_cnt[2648][6]~63963\ = CARRY((!\led_flash_cnt[2648][5]~63961\) # (!\led_flash_cnt[2648][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2648][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2648][5]~63961\,
	combout => \led_flash_cnt[2648][6]~63962_combout\,
	cout => \led_flash_cnt[2648][6]~63963\);

-- Location: FF_X26_Y23_N21
\led_flash_cnt[2648][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2648][6]~63962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2648][6]~q\);

-- Location: LCCOMB_X26_Y23_N26
\WideAnd2648~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2648~1_combout\ = (\led_flash_cnt[2648][5]~q\ & \led_flash_cnt[2648][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2648][5]~q\,
	datad => \led_flash_cnt[2648][6]~q\,
	combout => \WideAnd2648~1_combout\);

-- Location: LCCOMB_X26_Y23_N22
\led_flash_cnt[2648][7]~63964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2648][7]~63964_combout\ = \led_flash_cnt[2648][7]~q\ $ (!\led_flash_cnt[2648][6]~63963\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2648][7]~q\,
	cin => \led_flash_cnt[2648][6]~63963\,
	combout => \led_flash_cnt[2648][7]~63964_combout\);

-- Location: FF_X26_Y23_N23
\led_flash_cnt[2648][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2648][7]~63964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2648][7]~q\);

-- Location: LCCOMB_X26_Y23_N24
\WideAnd2648~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2648~0_combout\ = (\led_flash_cnt[2648][2]~q\ & (\led_flash_cnt[2648][4]~q\ & (\led_flash_cnt[2648][3]~q\ & \led_flash_cnt[2648][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2648][2]~q\,
	datab => \led_flash_cnt[2648][4]~q\,
	datac => \led_flash_cnt[2648][3]~q\,
	datad => \led_flash_cnt[2648][1]~q\,
	combout => \WideAnd2648~0_combout\);

-- Location: LCCOMB_X26_Y23_N28
WideAnd2648 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2648~combout\ = (\WideAnd2648~1_combout\ & (\led_flash_cnt[2648][0]~q\ & (\led_flash_cnt[2648][7]~q\ & \WideAnd2648~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2648~1_combout\,
	datab => \led_flash_cnt[2648][0]~q\,
	datac => \led_flash_cnt[2648][7]~q\,
	datad => \WideAnd2648~0_combout\,
	combout => \WideAnd2648~combout\);

-- Location: FF_X26_Y23_N29
\led_flash_cnt_ands[2648]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2648~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2648));

-- Location: LCCOMB_X24_Y14_N24
\led_flash_cnt[2649][0]~83289\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2649][0]~83289_combout\ = !\led_flash_cnt[2649][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2649][0]~q\,
	combout => \led_flash_cnt[2649][0]~83289_combout\);

-- Location: FF_X24_Y14_N25
\led_flash_cnt[2649][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2649][0]~83289_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2649][0]~q\);

-- Location: LCCOMB_X20_Y14_N2
\led_flash_cnt[2649][1]~63966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2649][1]~63966_combout\ = (\led_flash_cnt[2649][0]~q\ & (\led_flash_cnt[2649][1]~q\ $ (VCC))) # (!\led_flash_cnt[2649][0]~q\ & (\led_flash_cnt[2649][1]~q\ & VCC))
-- \led_flash_cnt[2649][1]~63967\ = CARRY((\led_flash_cnt[2649][0]~q\ & \led_flash_cnt[2649][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2649][0]~q\,
	datab => \led_flash_cnt[2649][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2649][1]~63966_combout\,
	cout => \led_flash_cnt[2649][1]~63967\);

-- Location: FF_X20_Y14_N3
\led_flash_cnt[2649][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2649][1]~63966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2649][1]~q\);

-- Location: LCCOMB_X20_Y14_N4
\led_flash_cnt[2649][2]~63968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2649][2]~63968_combout\ = (\led_flash_cnt[2649][2]~q\ & (!\led_flash_cnt[2649][1]~63967\)) # (!\led_flash_cnt[2649][2]~q\ & ((\led_flash_cnt[2649][1]~63967\) # (GND)))
-- \led_flash_cnt[2649][2]~63969\ = CARRY((!\led_flash_cnt[2649][1]~63967\) # (!\led_flash_cnt[2649][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2649][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2649][1]~63967\,
	combout => \led_flash_cnt[2649][2]~63968_combout\,
	cout => \led_flash_cnt[2649][2]~63969\);

-- Location: FF_X20_Y14_N5
\led_flash_cnt[2649][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2649][2]~63968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2649][2]~q\);

-- Location: LCCOMB_X20_Y14_N6
\led_flash_cnt[2649][3]~63970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2649][3]~63970_combout\ = (\led_flash_cnt[2649][3]~q\ & (\led_flash_cnt[2649][2]~63969\ $ (GND))) # (!\led_flash_cnt[2649][3]~q\ & (!\led_flash_cnt[2649][2]~63969\ & VCC))
-- \led_flash_cnt[2649][3]~63971\ = CARRY((\led_flash_cnt[2649][3]~q\ & !\led_flash_cnt[2649][2]~63969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2649][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2649][2]~63969\,
	combout => \led_flash_cnt[2649][3]~63970_combout\,
	cout => \led_flash_cnt[2649][3]~63971\);

-- Location: FF_X20_Y14_N7
\led_flash_cnt[2649][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2649][3]~63970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2649][3]~q\);

-- Location: LCCOMB_X20_Y14_N8
\led_flash_cnt[2649][4]~63972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2649][4]~63972_combout\ = (\led_flash_cnt[2649][4]~q\ & (!\led_flash_cnt[2649][3]~63971\)) # (!\led_flash_cnt[2649][4]~q\ & ((\led_flash_cnt[2649][3]~63971\) # (GND)))
-- \led_flash_cnt[2649][4]~63973\ = CARRY((!\led_flash_cnt[2649][3]~63971\) # (!\led_flash_cnt[2649][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2649][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2649][3]~63971\,
	combout => \led_flash_cnt[2649][4]~63972_combout\,
	cout => \led_flash_cnt[2649][4]~63973\);

-- Location: FF_X20_Y14_N9
\led_flash_cnt[2649][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2649][4]~63972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2649][4]~q\);

-- Location: LCCOMB_X20_Y14_N0
\WideAnd2649~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2649~0_combout\ = (\led_flash_cnt[2649][3]~q\ & (\led_flash_cnt[2649][2]~q\ & (\led_flash_cnt[2649][4]~q\ & \led_flash_cnt[2649][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2649][3]~q\,
	datab => \led_flash_cnt[2649][2]~q\,
	datac => \led_flash_cnt[2649][4]~q\,
	datad => \led_flash_cnt[2649][1]~q\,
	combout => \WideAnd2649~0_combout\);

-- Location: LCCOMB_X20_Y14_N10
\led_flash_cnt[2649][5]~63974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2649][5]~63974_combout\ = (\led_flash_cnt[2649][5]~q\ & (\led_flash_cnt[2649][4]~63973\ $ (GND))) # (!\led_flash_cnt[2649][5]~q\ & (!\led_flash_cnt[2649][4]~63973\ & VCC))
-- \led_flash_cnt[2649][5]~63975\ = CARRY((\led_flash_cnt[2649][5]~q\ & !\led_flash_cnt[2649][4]~63973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2649][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2649][4]~63973\,
	combout => \led_flash_cnt[2649][5]~63974_combout\,
	cout => \led_flash_cnt[2649][5]~63975\);

-- Location: FF_X20_Y14_N11
\led_flash_cnt[2649][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2649][5]~63974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2649][5]~q\);

-- Location: LCCOMB_X20_Y14_N12
\led_flash_cnt[2649][6]~63976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2649][6]~63976_combout\ = (\led_flash_cnt[2649][6]~q\ & (!\led_flash_cnt[2649][5]~63975\)) # (!\led_flash_cnt[2649][6]~q\ & ((\led_flash_cnt[2649][5]~63975\) # (GND)))
-- \led_flash_cnt[2649][6]~63977\ = CARRY((!\led_flash_cnt[2649][5]~63975\) # (!\led_flash_cnt[2649][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2649][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2649][5]~63975\,
	combout => \led_flash_cnt[2649][6]~63976_combout\,
	cout => \led_flash_cnt[2649][6]~63977\);

-- Location: FF_X20_Y14_N13
\led_flash_cnt[2649][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2649][6]~63976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2649][6]~q\);

-- Location: LCCOMB_X20_Y14_N14
\led_flash_cnt[2649][7]~63978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2649][7]~63978_combout\ = \led_flash_cnt[2649][7]~q\ $ (!\led_flash_cnt[2649][6]~63977\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2649][7]~q\,
	cin => \led_flash_cnt[2649][6]~63977\,
	combout => \led_flash_cnt[2649][7]~63978_combout\);

-- Location: FF_X20_Y14_N15
\led_flash_cnt[2649][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2649][7]~63978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2649][7]~q\);

-- Location: LCCOMB_X19_Y14_N2
\WideAnd2649~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2649~1_combout\ = (\led_flash_cnt[2649][6]~q\ & \led_flash_cnt[2649][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2649][6]~q\,
	datac => \led_flash_cnt[2649][5]~q\,
	combout => \WideAnd2649~1_combout\);

-- Location: LCCOMB_X20_Y14_N16
WideAnd2649 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2649~combout\ = (\led_flash_cnt[2649][0]~q\ & (\WideAnd2649~0_combout\ & (\led_flash_cnt[2649][7]~q\ & \WideAnd2649~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2649][0]~q\,
	datab => \WideAnd2649~0_combout\,
	datac => \led_flash_cnt[2649][7]~q\,
	datad => \WideAnd2649~1_combout\,
	combout => \WideAnd2649~combout\);

-- Location: FF_X20_Y14_N17
\led_flash_cnt_ands[2649]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2649~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2649));

-- Location: LCCOMB_X20_Y13_N2
\led_flash_cnt[2650][0]~83290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2650][0]~83290_combout\ = !\led_flash_cnt[2650][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2650][0]~q\,
	combout => \led_flash_cnt[2650][0]~83290_combout\);

-- Location: FF_X20_Y13_N3
\led_flash_cnt[2650][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2650][0]~83290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2650][0]~q\);

-- Location: LCCOMB_X20_Y13_N12
\led_flash_cnt[2650][1]~63980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2650][1]~63980_combout\ = (\led_flash_cnt[2650][1]~q\ & (\led_flash_cnt[2650][0]~q\ $ (VCC))) # (!\led_flash_cnt[2650][1]~q\ & (\led_flash_cnt[2650][0]~q\ & VCC))
-- \led_flash_cnt[2650][1]~63981\ = CARRY((\led_flash_cnt[2650][1]~q\ & \led_flash_cnt[2650][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2650][1]~q\,
	datab => \led_flash_cnt[2650][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2650][1]~63980_combout\,
	cout => \led_flash_cnt[2650][1]~63981\);

-- Location: FF_X20_Y13_N13
\led_flash_cnt[2650][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2650][1]~63980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2650][1]~q\);

-- Location: LCCOMB_X20_Y13_N14
\led_flash_cnt[2650][2]~63982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2650][2]~63982_combout\ = (\led_flash_cnt[2650][2]~q\ & (!\led_flash_cnt[2650][1]~63981\)) # (!\led_flash_cnt[2650][2]~q\ & ((\led_flash_cnt[2650][1]~63981\) # (GND)))
-- \led_flash_cnt[2650][2]~63983\ = CARRY((!\led_flash_cnt[2650][1]~63981\) # (!\led_flash_cnt[2650][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2650][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2650][1]~63981\,
	combout => \led_flash_cnt[2650][2]~63982_combout\,
	cout => \led_flash_cnt[2650][2]~63983\);

-- Location: FF_X20_Y13_N15
\led_flash_cnt[2650][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2650][2]~63982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2650][2]~q\);

-- Location: LCCOMB_X20_Y13_N16
\led_flash_cnt[2650][3]~63984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2650][3]~63984_combout\ = (\led_flash_cnt[2650][3]~q\ & (\led_flash_cnt[2650][2]~63983\ $ (GND))) # (!\led_flash_cnt[2650][3]~q\ & (!\led_flash_cnt[2650][2]~63983\ & VCC))
-- \led_flash_cnt[2650][3]~63985\ = CARRY((\led_flash_cnt[2650][3]~q\ & !\led_flash_cnt[2650][2]~63983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2650][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2650][2]~63983\,
	combout => \led_flash_cnt[2650][3]~63984_combout\,
	cout => \led_flash_cnt[2650][3]~63985\);

-- Location: FF_X20_Y13_N17
\led_flash_cnt[2650][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2650][3]~63984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2650][3]~q\);

-- Location: LCCOMB_X20_Y13_N18
\led_flash_cnt[2650][4]~63986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2650][4]~63986_combout\ = (\led_flash_cnt[2650][4]~q\ & (!\led_flash_cnt[2650][3]~63985\)) # (!\led_flash_cnt[2650][4]~q\ & ((\led_flash_cnt[2650][3]~63985\) # (GND)))
-- \led_flash_cnt[2650][4]~63987\ = CARRY((!\led_flash_cnt[2650][3]~63985\) # (!\led_flash_cnt[2650][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2650][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2650][3]~63985\,
	combout => \led_flash_cnt[2650][4]~63986_combout\,
	cout => \led_flash_cnt[2650][4]~63987\);

-- Location: FF_X20_Y13_N19
\led_flash_cnt[2650][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2650][4]~63986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2650][4]~q\);

-- Location: LCCOMB_X20_Y13_N20
\led_flash_cnt[2650][5]~63988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2650][5]~63988_combout\ = (\led_flash_cnt[2650][5]~q\ & (\led_flash_cnt[2650][4]~63987\ $ (GND))) # (!\led_flash_cnt[2650][5]~q\ & (!\led_flash_cnt[2650][4]~63987\ & VCC))
-- \led_flash_cnt[2650][5]~63989\ = CARRY((\led_flash_cnt[2650][5]~q\ & !\led_flash_cnt[2650][4]~63987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2650][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2650][4]~63987\,
	combout => \led_flash_cnt[2650][5]~63988_combout\,
	cout => \led_flash_cnt[2650][5]~63989\);

-- Location: FF_X20_Y13_N21
\led_flash_cnt[2650][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2650][5]~63988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2650][5]~q\);

-- Location: LCCOMB_X20_Y13_N22
\led_flash_cnt[2650][6]~63990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2650][6]~63990_combout\ = (\led_flash_cnt[2650][6]~q\ & (!\led_flash_cnt[2650][5]~63989\)) # (!\led_flash_cnt[2650][6]~q\ & ((\led_flash_cnt[2650][5]~63989\) # (GND)))
-- \led_flash_cnt[2650][6]~63991\ = CARRY((!\led_flash_cnt[2650][5]~63989\) # (!\led_flash_cnt[2650][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2650][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2650][5]~63989\,
	combout => \led_flash_cnt[2650][6]~63990_combout\,
	cout => \led_flash_cnt[2650][6]~63991\);

-- Location: FF_X20_Y13_N23
\led_flash_cnt[2650][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2650][6]~63990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2650][6]~q\);

-- Location: LCCOMB_X20_Y13_N6
\WideAnd2650~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2650~1_combout\ = (\led_flash_cnt[2650][6]~q\ & \led_flash_cnt[2650][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2650][6]~q\,
	datad => \led_flash_cnt[2650][5]~q\,
	combout => \WideAnd2650~1_combout\);

-- Location: LCCOMB_X20_Y13_N24
\led_flash_cnt[2650][7]~63992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2650][7]~63992_combout\ = \led_flash_cnt[2650][6]~63991\ $ (!\led_flash_cnt[2650][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2650][7]~q\,
	cin => \led_flash_cnt[2650][6]~63991\,
	combout => \led_flash_cnt[2650][7]~63992_combout\);

-- Location: FF_X20_Y13_N25
\led_flash_cnt[2650][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2650][7]~63992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2650][7]~q\);

-- Location: LCCOMB_X20_Y13_N30
\WideAnd2650~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2650~0_combout\ = (\led_flash_cnt[2650][1]~q\ & (\led_flash_cnt[2650][3]~q\ & (\led_flash_cnt[2650][2]~q\ & \led_flash_cnt[2650][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2650][1]~q\,
	datab => \led_flash_cnt[2650][3]~q\,
	datac => \led_flash_cnt[2650][2]~q\,
	datad => \led_flash_cnt[2650][4]~q\,
	combout => \WideAnd2650~0_combout\);

-- Location: LCCOMB_X20_Y13_N28
WideAnd2650 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2650~combout\ = (\WideAnd2650~1_combout\ & (\led_flash_cnt[2650][7]~q\ & (\WideAnd2650~0_combout\ & \led_flash_cnt[2650][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2650~1_combout\,
	datab => \led_flash_cnt[2650][7]~q\,
	datac => \WideAnd2650~0_combout\,
	datad => \led_flash_cnt[2650][0]~q\,
	combout => \WideAnd2650~combout\);

-- Location: FF_X20_Y13_N29
\led_flash_cnt_ands[2650]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2650~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2650));

-- Location: LCCOMB_X20_Y13_N4
\WideAnd4171~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4171~0_combout\ = (led_flash_cnt_ands(2651) & (led_flash_cnt_ands(2648) & (led_flash_cnt_ands(2649) & led_flash_cnt_ands(2650))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2651),
	datab => led_flash_cnt_ands(2648),
	datac => led_flash_cnt_ands(2649),
	datad => led_flash_cnt_ands(2650),
	combout => \WideAnd4171~0_combout\);

-- Location: LCCOMB_X21_Y14_N2
\led_flash_cnt[2653][0]~83293\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2653][0]~83293_combout\ = !\led_flash_cnt[2653][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2653][0]~q\,
	combout => \led_flash_cnt[2653][0]~83293_combout\);

-- Location: FF_X21_Y14_N3
\led_flash_cnt[2653][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2653][0]~83293_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2653][0]~q\);

-- Location: LCCOMB_X22_Y14_N16
\led_flash_cnt[2653][1]~64022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2653][1]~64022_combout\ = (\led_flash_cnt[2653][0]~q\ & (\led_flash_cnt[2653][1]~q\ $ (VCC))) # (!\led_flash_cnt[2653][0]~q\ & (\led_flash_cnt[2653][1]~q\ & VCC))
-- \led_flash_cnt[2653][1]~64023\ = CARRY((\led_flash_cnt[2653][0]~q\ & \led_flash_cnt[2653][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2653][0]~q\,
	datab => \led_flash_cnt[2653][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2653][1]~64022_combout\,
	cout => \led_flash_cnt[2653][1]~64023\);

-- Location: FF_X22_Y14_N17
\led_flash_cnt[2653][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2653][1]~64022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2653][1]~q\);

-- Location: LCCOMB_X22_Y14_N18
\led_flash_cnt[2653][2]~64024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2653][2]~64024_combout\ = (\led_flash_cnt[2653][2]~q\ & (!\led_flash_cnt[2653][1]~64023\)) # (!\led_flash_cnt[2653][2]~q\ & ((\led_flash_cnt[2653][1]~64023\) # (GND)))
-- \led_flash_cnt[2653][2]~64025\ = CARRY((!\led_flash_cnt[2653][1]~64023\) # (!\led_flash_cnt[2653][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2653][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2653][1]~64023\,
	combout => \led_flash_cnt[2653][2]~64024_combout\,
	cout => \led_flash_cnt[2653][2]~64025\);

-- Location: FF_X22_Y14_N19
\led_flash_cnt[2653][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2653][2]~64024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2653][2]~q\);

-- Location: LCCOMB_X22_Y14_N20
\led_flash_cnt[2653][3]~64026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2653][3]~64026_combout\ = (\led_flash_cnt[2653][3]~q\ & (\led_flash_cnt[2653][2]~64025\ $ (GND))) # (!\led_flash_cnt[2653][3]~q\ & (!\led_flash_cnt[2653][2]~64025\ & VCC))
-- \led_flash_cnt[2653][3]~64027\ = CARRY((\led_flash_cnt[2653][3]~q\ & !\led_flash_cnt[2653][2]~64025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2653][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2653][2]~64025\,
	combout => \led_flash_cnt[2653][3]~64026_combout\,
	cout => \led_flash_cnt[2653][3]~64027\);

-- Location: FF_X22_Y14_N21
\led_flash_cnt[2653][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2653][3]~64026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2653][3]~q\);

-- Location: LCCOMB_X22_Y14_N22
\led_flash_cnt[2653][4]~64028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2653][4]~64028_combout\ = (\led_flash_cnt[2653][4]~q\ & (!\led_flash_cnt[2653][3]~64027\)) # (!\led_flash_cnt[2653][4]~q\ & ((\led_flash_cnt[2653][3]~64027\) # (GND)))
-- \led_flash_cnt[2653][4]~64029\ = CARRY((!\led_flash_cnt[2653][3]~64027\) # (!\led_flash_cnt[2653][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2653][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2653][3]~64027\,
	combout => \led_flash_cnt[2653][4]~64028_combout\,
	cout => \led_flash_cnt[2653][4]~64029\);

-- Location: FF_X22_Y14_N23
\led_flash_cnt[2653][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2653][4]~64028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2653][4]~q\);

-- Location: LCCOMB_X22_Y14_N30
\WideAnd2653~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2653~0_combout\ = (\led_flash_cnt[2653][3]~q\ & (\led_flash_cnt[2653][1]~q\ & (\led_flash_cnt[2653][4]~q\ & \led_flash_cnt[2653][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2653][3]~q\,
	datab => \led_flash_cnt[2653][1]~q\,
	datac => \led_flash_cnt[2653][4]~q\,
	datad => \led_flash_cnt[2653][2]~q\,
	combout => \WideAnd2653~0_combout\);

-- Location: LCCOMB_X22_Y14_N24
\led_flash_cnt[2653][5]~64030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2653][5]~64030_combout\ = (\led_flash_cnt[2653][5]~q\ & (\led_flash_cnt[2653][4]~64029\ $ (GND))) # (!\led_flash_cnt[2653][5]~q\ & (!\led_flash_cnt[2653][4]~64029\ & VCC))
-- \led_flash_cnt[2653][5]~64031\ = CARRY((\led_flash_cnt[2653][5]~q\ & !\led_flash_cnt[2653][4]~64029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2653][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2653][4]~64029\,
	combout => \led_flash_cnt[2653][5]~64030_combout\,
	cout => \led_flash_cnt[2653][5]~64031\);

-- Location: FF_X22_Y14_N25
\led_flash_cnt[2653][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2653][5]~64030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2653][5]~q\);

-- Location: LCCOMB_X22_Y14_N26
\led_flash_cnt[2653][6]~64032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2653][6]~64032_combout\ = (\led_flash_cnt[2653][6]~q\ & (!\led_flash_cnt[2653][5]~64031\)) # (!\led_flash_cnt[2653][6]~q\ & ((\led_flash_cnt[2653][5]~64031\) # (GND)))
-- \led_flash_cnt[2653][6]~64033\ = CARRY((!\led_flash_cnt[2653][5]~64031\) # (!\led_flash_cnt[2653][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2653][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2653][5]~64031\,
	combout => \led_flash_cnt[2653][6]~64032_combout\,
	cout => \led_flash_cnt[2653][6]~64033\);

-- Location: FF_X22_Y14_N27
\led_flash_cnt[2653][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2653][6]~64032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2653][6]~q\);

-- Location: LCCOMB_X22_Y14_N28
\led_flash_cnt[2653][7]~64034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2653][7]~64034_combout\ = \led_flash_cnt[2653][6]~64033\ $ (!\led_flash_cnt[2653][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2653][7]~q\,
	cin => \led_flash_cnt[2653][6]~64033\,
	combout => \led_flash_cnt[2653][7]~64034_combout\);

-- Location: FF_X22_Y14_N29
\led_flash_cnt[2653][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2653][7]~64034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2653][7]~q\);

-- Location: LCCOMB_X21_Y14_N28
\WideAnd2653~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2653~1_combout\ = (\led_flash_cnt[2653][6]~q\ & \led_flash_cnt[2653][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2653][6]~q\,
	datad => \led_flash_cnt[2653][5]~q\,
	combout => \WideAnd2653~1_combout\);

-- Location: LCCOMB_X21_Y14_N22
WideAnd2653 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2653~combout\ = (\WideAnd2653~0_combout\ & (\led_flash_cnt[2653][0]~q\ & (\led_flash_cnt[2653][7]~q\ & \WideAnd2653~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2653~0_combout\,
	datab => \led_flash_cnt[2653][0]~q\,
	datac => \led_flash_cnt[2653][7]~q\,
	datad => \WideAnd2653~1_combout\,
	combout => \WideAnd2653~combout\);

-- Location: FF_X21_Y14_N23
\led_flash_cnt_ands[2653]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2653~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2653));

-- Location: LCCOMB_X21_Y14_N30
\led_flash_cnt[2652][0]~83292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2652][0]~83292_combout\ = !\led_flash_cnt[2652][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2652][0]~q\,
	combout => \led_flash_cnt[2652][0]~83292_combout\);

-- Location: FF_X21_Y14_N31
\led_flash_cnt[2652][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2652][0]~83292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2652][0]~q\);

-- Location: LCCOMB_X21_Y14_N4
\led_flash_cnt[2652][1]~64008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2652][1]~64008_combout\ = (\led_flash_cnt[2652][0]~q\ & (\led_flash_cnt[2652][1]~q\ $ (VCC))) # (!\led_flash_cnt[2652][0]~q\ & (\led_flash_cnt[2652][1]~q\ & VCC))
-- \led_flash_cnt[2652][1]~64009\ = CARRY((\led_flash_cnt[2652][0]~q\ & \led_flash_cnt[2652][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2652][0]~q\,
	datab => \led_flash_cnt[2652][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2652][1]~64008_combout\,
	cout => \led_flash_cnt[2652][1]~64009\);

-- Location: FF_X21_Y14_N5
\led_flash_cnt[2652][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2652][1]~64008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2652][1]~q\);

-- Location: LCCOMB_X21_Y14_N6
\led_flash_cnt[2652][2]~64010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2652][2]~64010_combout\ = (\led_flash_cnt[2652][2]~q\ & (!\led_flash_cnt[2652][1]~64009\)) # (!\led_flash_cnt[2652][2]~q\ & ((\led_flash_cnt[2652][1]~64009\) # (GND)))
-- \led_flash_cnt[2652][2]~64011\ = CARRY((!\led_flash_cnt[2652][1]~64009\) # (!\led_flash_cnt[2652][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2652][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2652][1]~64009\,
	combout => \led_flash_cnt[2652][2]~64010_combout\,
	cout => \led_flash_cnt[2652][2]~64011\);

-- Location: FF_X21_Y14_N7
\led_flash_cnt[2652][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2652][2]~64010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2652][2]~q\);

-- Location: LCCOMB_X21_Y14_N8
\led_flash_cnt[2652][3]~64012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2652][3]~64012_combout\ = (\led_flash_cnt[2652][3]~q\ & (\led_flash_cnt[2652][2]~64011\ $ (GND))) # (!\led_flash_cnt[2652][3]~q\ & (!\led_flash_cnt[2652][2]~64011\ & VCC))
-- \led_flash_cnt[2652][3]~64013\ = CARRY((\led_flash_cnt[2652][3]~q\ & !\led_flash_cnt[2652][2]~64011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2652][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2652][2]~64011\,
	combout => \led_flash_cnt[2652][3]~64012_combout\,
	cout => \led_flash_cnt[2652][3]~64013\);

-- Location: FF_X21_Y14_N9
\led_flash_cnt[2652][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2652][3]~64012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2652][3]~q\);

-- Location: LCCOMB_X21_Y14_N10
\led_flash_cnt[2652][4]~64014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2652][4]~64014_combout\ = (\led_flash_cnt[2652][4]~q\ & (!\led_flash_cnt[2652][3]~64013\)) # (!\led_flash_cnt[2652][4]~q\ & ((\led_flash_cnt[2652][3]~64013\) # (GND)))
-- \led_flash_cnt[2652][4]~64015\ = CARRY((!\led_flash_cnt[2652][3]~64013\) # (!\led_flash_cnt[2652][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2652][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2652][3]~64013\,
	combout => \led_flash_cnt[2652][4]~64014_combout\,
	cout => \led_flash_cnt[2652][4]~64015\);

-- Location: FF_X21_Y14_N11
\led_flash_cnt[2652][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2652][4]~64014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2652][4]~q\);

-- Location: LCCOMB_X21_Y14_N12
\led_flash_cnt[2652][5]~64016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2652][5]~64016_combout\ = (\led_flash_cnt[2652][5]~q\ & (\led_flash_cnt[2652][4]~64015\ $ (GND))) # (!\led_flash_cnt[2652][5]~q\ & (!\led_flash_cnt[2652][4]~64015\ & VCC))
-- \led_flash_cnt[2652][5]~64017\ = CARRY((\led_flash_cnt[2652][5]~q\ & !\led_flash_cnt[2652][4]~64015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2652][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2652][4]~64015\,
	combout => \led_flash_cnt[2652][5]~64016_combout\,
	cout => \led_flash_cnt[2652][5]~64017\);

-- Location: FF_X21_Y14_N13
\led_flash_cnt[2652][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2652][5]~64016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2652][5]~q\);

-- Location: LCCOMB_X21_Y14_N14
\led_flash_cnt[2652][6]~64018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2652][6]~64018_combout\ = (\led_flash_cnt[2652][6]~q\ & (!\led_flash_cnt[2652][5]~64017\)) # (!\led_flash_cnt[2652][6]~q\ & ((\led_flash_cnt[2652][5]~64017\) # (GND)))
-- \led_flash_cnt[2652][6]~64019\ = CARRY((!\led_flash_cnt[2652][5]~64017\) # (!\led_flash_cnt[2652][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2652][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2652][5]~64017\,
	combout => \led_flash_cnt[2652][6]~64018_combout\,
	cout => \led_flash_cnt[2652][6]~64019\);

-- Location: FF_X21_Y14_N15
\led_flash_cnt[2652][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2652][6]~64018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2652][6]~q\);

-- Location: LCCOMB_X21_Y14_N16
\led_flash_cnt[2652][7]~64020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2652][7]~64020_combout\ = \led_flash_cnt[2652][6]~64019\ $ (!\led_flash_cnt[2652][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2652][7]~q\,
	cin => \led_flash_cnt[2652][6]~64019\,
	combout => \led_flash_cnt[2652][7]~64020_combout\);

-- Location: FF_X21_Y14_N17
\led_flash_cnt[2652][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2652][7]~64020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2652][7]~q\);

-- Location: LCCOMB_X21_Y14_N26
\WideAnd2652~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2652~1_combout\ = (\led_flash_cnt[2652][6]~q\ & \led_flash_cnt[2652][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2652][6]~q\,
	datad => \led_flash_cnt[2652][5]~q\,
	combout => \WideAnd2652~1_combout\);

-- Location: LCCOMB_X21_Y14_N18
\WideAnd2652~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2652~0_combout\ = (\led_flash_cnt[2652][4]~q\ & (\led_flash_cnt[2652][3]~q\ & (\led_flash_cnt[2652][1]~q\ & \led_flash_cnt[2652][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2652][4]~q\,
	datab => \led_flash_cnt[2652][3]~q\,
	datac => \led_flash_cnt[2652][1]~q\,
	datad => \led_flash_cnt[2652][2]~q\,
	combout => \WideAnd2652~0_combout\);

-- Location: LCCOMB_X21_Y14_N20
WideAnd2652 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2652~combout\ = (\led_flash_cnt[2652][0]~q\ & (\led_flash_cnt[2652][7]~q\ & (\WideAnd2652~1_combout\ & \WideAnd2652~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2652][0]~q\,
	datab => \led_flash_cnt[2652][7]~q\,
	datac => \WideAnd2652~1_combout\,
	datad => \WideAnd2652~0_combout\,
	combout => \WideAnd2652~combout\);

-- Location: FF_X21_Y14_N21
\led_flash_cnt_ands[2652]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2652~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2652));

-- Location: LCCOMB_X21_Y14_N24
\WideAnd4171~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4171~1_combout\ = (led_flash_cnt_ands(2653) & led_flash_cnt_ands(2652))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2653),
	datad => led_flash_cnt_ands(2652),
	combout => \WideAnd4171~1_combout\);

-- Location: LCCOMB_X6_Y13_N28
\led_flash_cnt[2655][0]~83295\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2655][0]~83295_combout\ = !\led_flash_cnt[2655][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2655][0]~q\,
	combout => \led_flash_cnt[2655][0]~83295_combout\);

-- Location: FF_X6_Y13_N29
\led_flash_cnt[2655][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2655][0]~83295_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2655][0]~q\);

-- Location: LCCOMB_X7_Y13_N2
\led_flash_cnt[2655][1]~64050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2655][1]~64050_combout\ = (\led_flash_cnt[2655][0]~q\ & (\led_flash_cnt[2655][1]~q\ $ (VCC))) # (!\led_flash_cnt[2655][0]~q\ & (\led_flash_cnt[2655][1]~q\ & VCC))
-- \led_flash_cnt[2655][1]~64051\ = CARRY((\led_flash_cnt[2655][0]~q\ & \led_flash_cnt[2655][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2655][0]~q\,
	datab => \led_flash_cnt[2655][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2655][1]~64050_combout\,
	cout => \led_flash_cnt[2655][1]~64051\);

-- Location: FF_X7_Y13_N3
\led_flash_cnt[2655][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2655][1]~64050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2655][1]~q\);

-- Location: LCCOMB_X7_Y13_N4
\led_flash_cnt[2655][2]~64052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2655][2]~64052_combout\ = (\led_flash_cnt[2655][2]~q\ & (!\led_flash_cnt[2655][1]~64051\)) # (!\led_flash_cnt[2655][2]~q\ & ((\led_flash_cnt[2655][1]~64051\) # (GND)))
-- \led_flash_cnt[2655][2]~64053\ = CARRY((!\led_flash_cnt[2655][1]~64051\) # (!\led_flash_cnt[2655][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2655][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2655][1]~64051\,
	combout => \led_flash_cnt[2655][2]~64052_combout\,
	cout => \led_flash_cnt[2655][2]~64053\);

-- Location: FF_X7_Y13_N5
\led_flash_cnt[2655][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2655][2]~64052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2655][2]~q\);

-- Location: LCCOMB_X7_Y13_N6
\led_flash_cnt[2655][3]~64054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2655][3]~64054_combout\ = (\led_flash_cnt[2655][3]~q\ & (\led_flash_cnt[2655][2]~64053\ $ (GND))) # (!\led_flash_cnt[2655][3]~q\ & (!\led_flash_cnt[2655][2]~64053\ & VCC))
-- \led_flash_cnt[2655][3]~64055\ = CARRY((\led_flash_cnt[2655][3]~q\ & !\led_flash_cnt[2655][2]~64053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2655][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2655][2]~64053\,
	combout => \led_flash_cnt[2655][3]~64054_combout\,
	cout => \led_flash_cnt[2655][3]~64055\);

-- Location: FF_X7_Y13_N7
\led_flash_cnt[2655][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2655][3]~64054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2655][3]~q\);

-- Location: LCCOMB_X7_Y13_N8
\led_flash_cnt[2655][4]~64056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2655][4]~64056_combout\ = (\led_flash_cnt[2655][4]~q\ & (!\led_flash_cnt[2655][3]~64055\)) # (!\led_flash_cnt[2655][4]~q\ & ((\led_flash_cnt[2655][3]~64055\) # (GND)))
-- \led_flash_cnt[2655][4]~64057\ = CARRY((!\led_flash_cnt[2655][3]~64055\) # (!\led_flash_cnt[2655][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2655][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2655][3]~64055\,
	combout => \led_flash_cnt[2655][4]~64056_combout\,
	cout => \led_flash_cnt[2655][4]~64057\);

-- Location: FF_X7_Y13_N9
\led_flash_cnt[2655][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2655][4]~64056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2655][4]~q\);

-- Location: LCCOMB_X7_Y13_N30
\WideAnd2655~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2655~0_combout\ = (\led_flash_cnt[2655][3]~q\ & (\led_flash_cnt[2655][2]~q\ & (\led_flash_cnt[2655][4]~q\ & \led_flash_cnt[2655][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2655][3]~q\,
	datab => \led_flash_cnt[2655][2]~q\,
	datac => \led_flash_cnt[2655][4]~q\,
	datad => \led_flash_cnt[2655][1]~q\,
	combout => \WideAnd2655~0_combout\);

-- Location: LCCOMB_X7_Y13_N10
\led_flash_cnt[2655][5]~64058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2655][5]~64058_combout\ = (\led_flash_cnt[2655][5]~q\ & (\led_flash_cnt[2655][4]~64057\ $ (GND))) # (!\led_flash_cnt[2655][5]~q\ & (!\led_flash_cnt[2655][4]~64057\ & VCC))
-- \led_flash_cnt[2655][5]~64059\ = CARRY((\led_flash_cnt[2655][5]~q\ & !\led_flash_cnt[2655][4]~64057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2655][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2655][4]~64057\,
	combout => \led_flash_cnt[2655][5]~64058_combout\,
	cout => \led_flash_cnt[2655][5]~64059\);

-- Location: FF_X7_Y13_N11
\led_flash_cnt[2655][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2655][5]~64058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2655][5]~q\);

-- Location: LCCOMB_X7_Y13_N12
\led_flash_cnt[2655][6]~64060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2655][6]~64060_combout\ = (\led_flash_cnt[2655][6]~q\ & (!\led_flash_cnt[2655][5]~64059\)) # (!\led_flash_cnt[2655][6]~q\ & ((\led_flash_cnt[2655][5]~64059\) # (GND)))
-- \led_flash_cnt[2655][6]~64061\ = CARRY((!\led_flash_cnt[2655][5]~64059\) # (!\led_flash_cnt[2655][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2655][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2655][5]~64059\,
	combout => \led_flash_cnt[2655][6]~64060_combout\,
	cout => \led_flash_cnt[2655][6]~64061\);

-- Location: FF_X7_Y13_N13
\led_flash_cnt[2655][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2655][6]~64060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2655][6]~q\);

-- Location: LCCOMB_X6_Y13_N24
\WideAnd2655~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2655~1_combout\ = (\led_flash_cnt[2655][5]~q\ & \led_flash_cnt[2655][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2655][5]~q\,
	datac => \led_flash_cnt[2655][6]~q\,
	combout => \WideAnd2655~1_combout\);

-- Location: LCCOMB_X7_Y13_N14
\led_flash_cnt[2655][7]~64062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2655][7]~64062_combout\ = \led_flash_cnt[2655][7]~q\ $ (!\led_flash_cnt[2655][6]~64061\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2655][7]~q\,
	cin => \led_flash_cnt[2655][6]~64061\,
	combout => \led_flash_cnt[2655][7]~64062_combout\);

-- Location: FF_X7_Y13_N15
\led_flash_cnt[2655][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2655][7]~64062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2655][7]~q\);

-- Location: LCCOMB_X6_Y13_N2
WideAnd2655 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2655~combout\ = (\WideAnd2655~0_combout\ & (\WideAnd2655~1_combout\ & (\led_flash_cnt[2655][7]~q\ & \led_flash_cnt[2655][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2655~0_combout\,
	datab => \WideAnd2655~1_combout\,
	datac => \led_flash_cnt[2655][7]~q\,
	datad => \led_flash_cnt[2655][0]~q\,
	combout => \WideAnd2655~combout\);

-- Location: FF_X6_Y13_N3
\led_flash_cnt_ands[2655]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2655~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2655));

-- Location: LCCOMB_X13_Y13_N2
WideAnd4171 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4171~combout\ = (led_flash_cnt_ands(2654) & (\WideAnd4171~0_combout\ & (\WideAnd4171~1_combout\ & led_flash_cnt_ands(2655))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2654),
	datab => \WideAnd4171~0_combout\,
	datac => \WideAnd4171~1_combout\,
	datad => led_flash_cnt_ands(2655),
	combout => \WideAnd4171~combout\);

-- Location: FF_X13_Y13_N3
\led_flash_cnt_ands_1[331]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4171~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(331));

-- Location: LCCOMB_X22_Y20_N28
\led_flash_cnt[2645][0]~83285\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2645][0]~83285_combout\ = !\led_flash_cnt[2645][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2645][0]~q\,
	combout => \led_flash_cnt[2645][0]~83285_combout\);

-- Location: FF_X22_Y20_N29
\led_flash_cnt[2645][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2645][0]~83285_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2645][0]~q\);

-- Location: LCCOMB_X22_Y20_N8
\led_flash_cnt[2645][1]~63910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2645][1]~63910_combout\ = (\led_flash_cnt[2645][0]~q\ & (\led_flash_cnt[2645][1]~q\ $ (VCC))) # (!\led_flash_cnt[2645][0]~q\ & (\led_flash_cnt[2645][1]~q\ & VCC))
-- \led_flash_cnt[2645][1]~63911\ = CARRY((\led_flash_cnt[2645][0]~q\ & \led_flash_cnt[2645][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2645][0]~q\,
	datab => \led_flash_cnt[2645][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2645][1]~63910_combout\,
	cout => \led_flash_cnt[2645][1]~63911\);

-- Location: FF_X22_Y20_N9
\led_flash_cnt[2645][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2645][1]~63910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2645][1]~q\);

-- Location: LCCOMB_X22_Y20_N10
\led_flash_cnt[2645][2]~63912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2645][2]~63912_combout\ = (\led_flash_cnt[2645][2]~q\ & (!\led_flash_cnt[2645][1]~63911\)) # (!\led_flash_cnt[2645][2]~q\ & ((\led_flash_cnt[2645][1]~63911\) # (GND)))
-- \led_flash_cnt[2645][2]~63913\ = CARRY((!\led_flash_cnt[2645][1]~63911\) # (!\led_flash_cnt[2645][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2645][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2645][1]~63911\,
	combout => \led_flash_cnt[2645][2]~63912_combout\,
	cout => \led_flash_cnt[2645][2]~63913\);

-- Location: FF_X22_Y20_N11
\led_flash_cnt[2645][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2645][2]~63912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2645][2]~q\);

-- Location: LCCOMB_X22_Y20_N12
\led_flash_cnt[2645][3]~63914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2645][3]~63914_combout\ = (\led_flash_cnt[2645][3]~q\ & (\led_flash_cnt[2645][2]~63913\ $ (GND))) # (!\led_flash_cnt[2645][3]~q\ & (!\led_flash_cnt[2645][2]~63913\ & VCC))
-- \led_flash_cnt[2645][3]~63915\ = CARRY((\led_flash_cnt[2645][3]~q\ & !\led_flash_cnt[2645][2]~63913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2645][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2645][2]~63913\,
	combout => \led_flash_cnt[2645][3]~63914_combout\,
	cout => \led_flash_cnt[2645][3]~63915\);

-- Location: FF_X22_Y20_N13
\led_flash_cnt[2645][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2645][3]~63914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2645][3]~q\);

-- Location: LCCOMB_X22_Y20_N14
\led_flash_cnt[2645][4]~63916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2645][4]~63916_combout\ = (\led_flash_cnt[2645][4]~q\ & (!\led_flash_cnt[2645][3]~63915\)) # (!\led_flash_cnt[2645][4]~q\ & ((\led_flash_cnt[2645][3]~63915\) # (GND)))
-- \led_flash_cnt[2645][4]~63917\ = CARRY((!\led_flash_cnt[2645][3]~63915\) # (!\led_flash_cnt[2645][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2645][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2645][3]~63915\,
	combout => \led_flash_cnt[2645][4]~63916_combout\,
	cout => \led_flash_cnt[2645][4]~63917\);

-- Location: FF_X22_Y20_N15
\led_flash_cnt[2645][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2645][4]~63916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2645][4]~q\);

-- Location: LCCOMB_X22_Y20_N16
\led_flash_cnt[2645][5]~63918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2645][5]~63918_combout\ = (\led_flash_cnt[2645][5]~q\ & (\led_flash_cnt[2645][4]~63917\ $ (GND))) # (!\led_flash_cnt[2645][5]~q\ & (!\led_flash_cnt[2645][4]~63917\ & VCC))
-- \led_flash_cnt[2645][5]~63919\ = CARRY((\led_flash_cnt[2645][5]~q\ & !\led_flash_cnt[2645][4]~63917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2645][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2645][4]~63917\,
	combout => \led_flash_cnt[2645][5]~63918_combout\,
	cout => \led_flash_cnt[2645][5]~63919\);

-- Location: FF_X22_Y20_N17
\led_flash_cnt[2645][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2645][5]~63918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2645][5]~q\);

-- Location: LCCOMB_X22_Y20_N18
\led_flash_cnt[2645][6]~63920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2645][6]~63920_combout\ = (\led_flash_cnt[2645][6]~q\ & (!\led_flash_cnt[2645][5]~63919\)) # (!\led_flash_cnt[2645][6]~q\ & ((\led_flash_cnt[2645][5]~63919\) # (GND)))
-- \led_flash_cnt[2645][6]~63921\ = CARRY((!\led_flash_cnt[2645][5]~63919\) # (!\led_flash_cnt[2645][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2645][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2645][5]~63919\,
	combout => \led_flash_cnt[2645][6]~63920_combout\,
	cout => \led_flash_cnt[2645][6]~63921\);

-- Location: FF_X22_Y20_N19
\led_flash_cnt[2645][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2645][6]~63920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2645][6]~q\);

-- Location: LCCOMB_X22_Y20_N6
\WideAnd2645~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2645~1_combout\ = (\led_flash_cnt[2645][6]~q\ & \led_flash_cnt[2645][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2645][6]~q\,
	datad => \led_flash_cnt[2645][5]~q\,
	combout => \WideAnd2645~1_combout\);

-- Location: LCCOMB_X22_Y20_N22
\WideAnd2645~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2645~0_combout\ = (\led_flash_cnt[2645][2]~q\ & (\led_flash_cnt[2645][4]~q\ & (\led_flash_cnt[2645][1]~q\ & \led_flash_cnt[2645][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2645][2]~q\,
	datab => \led_flash_cnt[2645][4]~q\,
	datac => \led_flash_cnt[2645][1]~q\,
	datad => \led_flash_cnt[2645][3]~q\,
	combout => \WideAnd2645~0_combout\);

-- Location: LCCOMB_X22_Y20_N20
\led_flash_cnt[2645][7]~63922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2645][7]~63922_combout\ = \led_flash_cnt[2645][6]~63921\ $ (!\led_flash_cnt[2645][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2645][7]~q\,
	cin => \led_flash_cnt[2645][6]~63921\,
	combout => \led_flash_cnt[2645][7]~63922_combout\);

-- Location: FF_X22_Y20_N21
\led_flash_cnt[2645][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2645][7]~63922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2645][7]~q\);

-- Location: LCCOMB_X22_Y20_N24
WideAnd2645 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2645~combout\ = (\WideAnd2645~1_combout\ & (\led_flash_cnt[2645][0]~q\ & (\WideAnd2645~0_combout\ & \led_flash_cnt[2645][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2645~1_combout\,
	datab => \led_flash_cnt[2645][0]~q\,
	datac => \WideAnd2645~0_combout\,
	datad => \led_flash_cnt[2645][7]~q\,
	combout => \WideAnd2645~combout\);

-- Location: FF_X22_Y20_N25
\led_flash_cnt_ands[2645]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2645~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2645));

-- Location: LCCOMB_X21_Y8_N30
\led_flash_cnt[2644][0]~83284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2644][0]~83284_combout\ = !\led_flash_cnt[2644][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2644][0]~q\,
	combout => \led_flash_cnt[2644][0]~83284_combout\);

-- Location: FF_X21_Y8_N31
\led_flash_cnt[2644][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2644][0]~83284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2644][0]~q\);

-- Location: LCCOMB_X21_Y8_N2
\led_flash_cnt[2644][1]~63896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2644][1]~63896_combout\ = (\led_flash_cnt[2644][0]~q\ & (\led_flash_cnt[2644][1]~q\ $ (VCC))) # (!\led_flash_cnt[2644][0]~q\ & (\led_flash_cnt[2644][1]~q\ & VCC))
-- \led_flash_cnt[2644][1]~63897\ = CARRY((\led_flash_cnt[2644][0]~q\ & \led_flash_cnt[2644][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2644][0]~q\,
	datab => \led_flash_cnt[2644][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2644][1]~63896_combout\,
	cout => \led_flash_cnt[2644][1]~63897\);

-- Location: FF_X21_Y8_N3
\led_flash_cnt[2644][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2644][1]~63896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2644][1]~q\);

-- Location: LCCOMB_X21_Y8_N4
\led_flash_cnt[2644][2]~63898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2644][2]~63898_combout\ = (\led_flash_cnt[2644][2]~q\ & (!\led_flash_cnt[2644][1]~63897\)) # (!\led_flash_cnt[2644][2]~q\ & ((\led_flash_cnt[2644][1]~63897\) # (GND)))
-- \led_flash_cnt[2644][2]~63899\ = CARRY((!\led_flash_cnt[2644][1]~63897\) # (!\led_flash_cnt[2644][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2644][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2644][1]~63897\,
	combout => \led_flash_cnt[2644][2]~63898_combout\,
	cout => \led_flash_cnt[2644][2]~63899\);

-- Location: FF_X21_Y8_N5
\led_flash_cnt[2644][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2644][2]~63898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2644][2]~q\);

-- Location: LCCOMB_X21_Y8_N6
\led_flash_cnt[2644][3]~63900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2644][3]~63900_combout\ = (\led_flash_cnt[2644][3]~q\ & (\led_flash_cnt[2644][2]~63899\ $ (GND))) # (!\led_flash_cnt[2644][3]~q\ & (!\led_flash_cnt[2644][2]~63899\ & VCC))
-- \led_flash_cnt[2644][3]~63901\ = CARRY((\led_flash_cnt[2644][3]~q\ & !\led_flash_cnt[2644][2]~63899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2644][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2644][2]~63899\,
	combout => \led_flash_cnt[2644][3]~63900_combout\,
	cout => \led_flash_cnt[2644][3]~63901\);

-- Location: FF_X21_Y8_N7
\led_flash_cnt[2644][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2644][3]~63900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2644][3]~q\);

-- Location: LCCOMB_X21_Y8_N8
\led_flash_cnt[2644][4]~63902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2644][4]~63902_combout\ = (\led_flash_cnt[2644][4]~q\ & (!\led_flash_cnt[2644][3]~63901\)) # (!\led_flash_cnt[2644][4]~q\ & ((\led_flash_cnt[2644][3]~63901\) # (GND)))
-- \led_flash_cnt[2644][4]~63903\ = CARRY((!\led_flash_cnt[2644][3]~63901\) # (!\led_flash_cnt[2644][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2644][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2644][3]~63901\,
	combout => \led_flash_cnt[2644][4]~63902_combout\,
	cout => \led_flash_cnt[2644][4]~63903\);

-- Location: FF_X21_Y8_N9
\led_flash_cnt[2644][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2644][4]~63902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2644][4]~q\);

-- Location: LCCOMB_X21_Y8_N10
\led_flash_cnt[2644][5]~63904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2644][5]~63904_combout\ = (\led_flash_cnt[2644][5]~q\ & (\led_flash_cnt[2644][4]~63903\ $ (GND))) # (!\led_flash_cnt[2644][5]~q\ & (!\led_flash_cnt[2644][4]~63903\ & VCC))
-- \led_flash_cnt[2644][5]~63905\ = CARRY((\led_flash_cnt[2644][5]~q\ & !\led_flash_cnt[2644][4]~63903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2644][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2644][4]~63903\,
	combout => \led_flash_cnt[2644][5]~63904_combout\,
	cout => \led_flash_cnt[2644][5]~63905\);

-- Location: FF_X21_Y8_N11
\led_flash_cnt[2644][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2644][5]~63904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2644][5]~q\);

-- Location: LCCOMB_X21_Y8_N12
\led_flash_cnt[2644][6]~63906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2644][6]~63906_combout\ = (\led_flash_cnt[2644][6]~q\ & (!\led_flash_cnt[2644][5]~63905\)) # (!\led_flash_cnt[2644][6]~q\ & ((\led_flash_cnt[2644][5]~63905\) # (GND)))
-- \led_flash_cnt[2644][6]~63907\ = CARRY((!\led_flash_cnt[2644][5]~63905\) # (!\led_flash_cnt[2644][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2644][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2644][5]~63905\,
	combout => \led_flash_cnt[2644][6]~63906_combout\,
	cout => \led_flash_cnt[2644][6]~63907\);

-- Location: FF_X21_Y8_N13
\led_flash_cnt[2644][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2644][6]~63906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2644][6]~q\);

-- Location: LCCOMB_X21_Y8_N14
\led_flash_cnt[2644][7]~63908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2644][7]~63908_combout\ = \led_flash_cnt[2644][7]~q\ $ (!\led_flash_cnt[2644][6]~63907\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2644][7]~q\,
	cin => \led_flash_cnt[2644][6]~63907\,
	combout => \led_flash_cnt[2644][7]~63908_combout\);

-- Location: FF_X21_Y8_N15
\led_flash_cnt[2644][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2644][7]~63908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2644][7]~q\);

-- Location: LCCOMB_X21_Y8_N22
\WideAnd2644~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2644~0_combout\ = (\led_flash_cnt[2644][3]~q\ & (\led_flash_cnt[2644][4]~q\ & (\led_flash_cnt[2644][2]~q\ & \led_flash_cnt[2644][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2644][3]~q\,
	datab => \led_flash_cnt[2644][4]~q\,
	datac => \led_flash_cnt[2644][2]~q\,
	datad => \led_flash_cnt[2644][1]~q\,
	combout => \WideAnd2644~0_combout\);

-- Location: LCCOMB_X21_Y8_N18
\WideAnd2644~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2644~1_combout\ = (\led_flash_cnt[2644][6]~q\ & \led_flash_cnt[2644][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2644][6]~q\,
	datad => \led_flash_cnt[2644][5]~q\,
	combout => \WideAnd2644~1_combout\);

-- Location: LCCOMB_X21_Y8_N0
WideAnd2644 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2644~combout\ = (\led_flash_cnt[2644][0]~q\ & (\led_flash_cnt[2644][7]~q\ & (\WideAnd2644~0_combout\ & \WideAnd2644~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2644][0]~q\,
	datab => \led_flash_cnt[2644][7]~q\,
	datac => \WideAnd2644~0_combout\,
	datad => \WideAnd2644~1_combout\,
	combout => \WideAnd2644~combout\);

-- Location: FF_X21_Y8_N1
\led_flash_cnt_ands[2644]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2644~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2644));

-- Location: LCCOMB_X21_Y8_N24
\WideAnd4170~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4170~1_combout\ = (led_flash_cnt_ands(2645) & led_flash_cnt_ands(2644))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2645),
	datad => led_flash_cnt_ands(2644),
	combout => \WideAnd4170~1_combout\);

-- Location: LCCOMB_X21_Y8_N16
\led_flash_cnt[2646][0]~83286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2646][0]~83286_combout\ = !\led_flash_cnt[2646][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2646][0]~q\,
	combout => \led_flash_cnt[2646][0]~83286_combout\);

-- Location: FF_X21_Y8_N17
\led_flash_cnt[2646][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2646][0]~83286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2646][0]~q\);

-- Location: LCCOMB_X22_Y8_N18
\led_flash_cnt[2646][1]~63924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2646][1]~63924_combout\ = (\led_flash_cnt[2646][0]~q\ & (\led_flash_cnt[2646][1]~q\ $ (VCC))) # (!\led_flash_cnt[2646][0]~q\ & (\led_flash_cnt[2646][1]~q\ & VCC))
-- \led_flash_cnt[2646][1]~63925\ = CARRY((\led_flash_cnt[2646][0]~q\ & \led_flash_cnt[2646][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2646][0]~q\,
	datab => \led_flash_cnt[2646][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2646][1]~63924_combout\,
	cout => \led_flash_cnt[2646][1]~63925\);

-- Location: FF_X22_Y8_N19
\led_flash_cnt[2646][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2646][1]~63924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2646][1]~q\);

-- Location: LCCOMB_X22_Y8_N20
\led_flash_cnt[2646][2]~63926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2646][2]~63926_combout\ = (\led_flash_cnt[2646][2]~q\ & (!\led_flash_cnt[2646][1]~63925\)) # (!\led_flash_cnt[2646][2]~q\ & ((\led_flash_cnt[2646][1]~63925\) # (GND)))
-- \led_flash_cnt[2646][2]~63927\ = CARRY((!\led_flash_cnt[2646][1]~63925\) # (!\led_flash_cnt[2646][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2646][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2646][1]~63925\,
	combout => \led_flash_cnt[2646][2]~63926_combout\,
	cout => \led_flash_cnt[2646][2]~63927\);

-- Location: FF_X22_Y8_N21
\led_flash_cnt[2646][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2646][2]~63926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2646][2]~q\);

-- Location: LCCOMB_X22_Y8_N22
\led_flash_cnt[2646][3]~63928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2646][3]~63928_combout\ = (\led_flash_cnt[2646][3]~q\ & (\led_flash_cnt[2646][2]~63927\ $ (GND))) # (!\led_flash_cnt[2646][3]~q\ & (!\led_flash_cnt[2646][2]~63927\ & VCC))
-- \led_flash_cnt[2646][3]~63929\ = CARRY((\led_flash_cnt[2646][3]~q\ & !\led_flash_cnt[2646][2]~63927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2646][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2646][2]~63927\,
	combout => \led_flash_cnt[2646][3]~63928_combout\,
	cout => \led_flash_cnt[2646][3]~63929\);

-- Location: FF_X22_Y8_N23
\led_flash_cnt[2646][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2646][3]~63928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2646][3]~q\);

-- Location: LCCOMB_X22_Y8_N24
\led_flash_cnt[2646][4]~63930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2646][4]~63930_combout\ = (\led_flash_cnt[2646][4]~q\ & (!\led_flash_cnt[2646][3]~63929\)) # (!\led_flash_cnt[2646][4]~q\ & ((\led_flash_cnt[2646][3]~63929\) # (GND)))
-- \led_flash_cnt[2646][4]~63931\ = CARRY((!\led_flash_cnt[2646][3]~63929\) # (!\led_flash_cnt[2646][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2646][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2646][3]~63929\,
	combout => \led_flash_cnt[2646][4]~63930_combout\,
	cout => \led_flash_cnt[2646][4]~63931\);

-- Location: FF_X22_Y8_N25
\led_flash_cnt[2646][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2646][4]~63930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2646][4]~q\);

-- Location: LCCOMB_X22_Y8_N26
\led_flash_cnt[2646][5]~63932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2646][5]~63932_combout\ = (\led_flash_cnt[2646][5]~q\ & (\led_flash_cnt[2646][4]~63931\ $ (GND))) # (!\led_flash_cnt[2646][5]~q\ & (!\led_flash_cnt[2646][4]~63931\ & VCC))
-- \led_flash_cnt[2646][5]~63933\ = CARRY((\led_flash_cnt[2646][5]~q\ & !\led_flash_cnt[2646][4]~63931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2646][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2646][4]~63931\,
	combout => \led_flash_cnt[2646][5]~63932_combout\,
	cout => \led_flash_cnt[2646][5]~63933\);

-- Location: FF_X22_Y8_N27
\led_flash_cnt[2646][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2646][5]~63932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2646][5]~q\);

-- Location: LCCOMB_X22_Y8_N28
\led_flash_cnt[2646][6]~63934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2646][6]~63934_combout\ = (\led_flash_cnt[2646][6]~q\ & (!\led_flash_cnt[2646][5]~63933\)) # (!\led_flash_cnt[2646][6]~q\ & ((\led_flash_cnt[2646][5]~63933\) # (GND)))
-- \led_flash_cnt[2646][6]~63935\ = CARRY((!\led_flash_cnt[2646][5]~63933\) # (!\led_flash_cnt[2646][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2646][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2646][5]~63933\,
	combout => \led_flash_cnt[2646][6]~63934_combout\,
	cout => \led_flash_cnt[2646][6]~63935\);

-- Location: FF_X22_Y8_N29
\led_flash_cnt[2646][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2646][6]~63934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2646][6]~q\);

-- Location: LCCOMB_X21_Y8_N26
\WideAnd2646~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2646~1_combout\ = (\led_flash_cnt[2646][5]~q\ & \led_flash_cnt[2646][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2646][5]~q\,
	datad => \led_flash_cnt[2646][6]~q\,
	combout => \WideAnd2646~1_combout\);

-- Location: LCCOMB_X22_Y8_N30
\led_flash_cnt[2646][7]~63936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2646][7]~63936_combout\ = \led_flash_cnt[2646][7]~q\ $ (!\led_flash_cnt[2646][6]~63935\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2646][7]~q\,
	cin => \led_flash_cnt[2646][6]~63935\,
	combout => \led_flash_cnt[2646][7]~63936_combout\);

-- Location: FF_X22_Y8_N31
\led_flash_cnt[2646][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2646][7]~63936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2646][7]~q\);

-- Location: LCCOMB_X22_Y8_N16
\WideAnd2646~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2646~0_combout\ = (\led_flash_cnt[2646][2]~q\ & (\led_flash_cnt[2646][1]~q\ & (\led_flash_cnt[2646][3]~q\ & \led_flash_cnt[2646][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2646][2]~q\,
	datab => \led_flash_cnt[2646][1]~q\,
	datac => \led_flash_cnt[2646][3]~q\,
	datad => \led_flash_cnt[2646][4]~q\,
	combout => \WideAnd2646~0_combout\);

-- Location: LCCOMB_X21_Y8_N20
WideAnd2646 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2646~combout\ = (\WideAnd2646~1_combout\ & (\led_flash_cnt[2646][0]~q\ & (\led_flash_cnt[2646][7]~q\ & \WideAnd2646~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2646~1_combout\,
	datab => \led_flash_cnt[2646][0]~q\,
	datac => \led_flash_cnt[2646][7]~q\,
	datad => \WideAnd2646~0_combout\,
	combout => \WideAnd2646~combout\);

-- Location: FF_X21_Y8_N21
\led_flash_cnt_ands[2646]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2646~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2646));

-- Location: LCCOMB_X16_Y10_N6
\led_flash_cnt[2647][0]~83287\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2647][0]~83287_combout\ = !\led_flash_cnt[2647][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2647][0]~q\,
	combout => \led_flash_cnt[2647][0]~83287_combout\);

-- Location: FF_X16_Y10_N7
\led_flash_cnt[2647][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2647][0]~83287_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2647][0]~q\);

-- Location: LCCOMB_X15_Y10_N16
\led_flash_cnt[2647][1]~63938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2647][1]~63938_combout\ = (\led_flash_cnt[2647][0]~q\ & (\led_flash_cnt[2647][1]~q\ $ (VCC))) # (!\led_flash_cnt[2647][0]~q\ & (\led_flash_cnt[2647][1]~q\ & VCC))
-- \led_flash_cnt[2647][1]~63939\ = CARRY((\led_flash_cnt[2647][0]~q\ & \led_flash_cnt[2647][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2647][0]~q\,
	datab => \led_flash_cnt[2647][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2647][1]~63938_combout\,
	cout => \led_flash_cnt[2647][1]~63939\);

-- Location: FF_X15_Y10_N17
\led_flash_cnt[2647][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2647][1]~63938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2647][1]~q\);

-- Location: LCCOMB_X15_Y10_N18
\led_flash_cnt[2647][2]~63940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2647][2]~63940_combout\ = (\led_flash_cnt[2647][2]~q\ & (!\led_flash_cnt[2647][1]~63939\)) # (!\led_flash_cnt[2647][2]~q\ & ((\led_flash_cnt[2647][1]~63939\) # (GND)))
-- \led_flash_cnt[2647][2]~63941\ = CARRY((!\led_flash_cnt[2647][1]~63939\) # (!\led_flash_cnt[2647][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2647][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2647][1]~63939\,
	combout => \led_flash_cnt[2647][2]~63940_combout\,
	cout => \led_flash_cnt[2647][2]~63941\);

-- Location: FF_X15_Y10_N19
\led_flash_cnt[2647][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2647][2]~63940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2647][2]~q\);

-- Location: LCCOMB_X15_Y10_N20
\led_flash_cnt[2647][3]~63942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2647][3]~63942_combout\ = (\led_flash_cnt[2647][3]~q\ & (\led_flash_cnt[2647][2]~63941\ $ (GND))) # (!\led_flash_cnt[2647][3]~q\ & (!\led_flash_cnt[2647][2]~63941\ & VCC))
-- \led_flash_cnt[2647][3]~63943\ = CARRY((\led_flash_cnt[2647][3]~q\ & !\led_flash_cnt[2647][2]~63941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2647][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2647][2]~63941\,
	combout => \led_flash_cnt[2647][3]~63942_combout\,
	cout => \led_flash_cnt[2647][3]~63943\);

-- Location: FF_X15_Y10_N21
\led_flash_cnt[2647][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2647][3]~63942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2647][3]~q\);

-- Location: LCCOMB_X15_Y10_N22
\led_flash_cnt[2647][4]~63944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2647][4]~63944_combout\ = (\led_flash_cnt[2647][4]~q\ & (!\led_flash_cnt[2647][3]~63943\)) # (!\led_flash_cnt[2647][4]~q\ & ((\led_flash_cnt[2647][3]~63943\) # (GND)))
-- \led_flash_cnt[2647][4]~63945\ = CARRY((!\led_flash_cnt[2647][3]~63943\) # (!\led_flash_cnt[2647][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2647][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2647][3]~63943\,
	combout => \led_flash_cnt[2647][4]~63944_combout\,
	cout => \led_flash_cnt[2647][4]~63945\);

-- Location: FF_X15_Y10_N23
\led_flash_cnt[2647][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2647][4]~63944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2647][4]~q\);

-- Location: LCCOMB_X15_Y10_N24
\led_flash_cnt[2647][5]~63946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2647][5]~63946_combout\ = (\led_flash_cnt[2647][5]~q\ & (\led_flash_cnt[2647][4]~63945\ $ (GND))) # (!\led_flash_cnt[2647][5]~q\ & (!\led_flash_cnt[2647][4]~63945\ & VCC))
-- \led_flash_cnt[2647][5]~63947\ = CARRY((\led_flash_cnt[2647][5]~q\ & !\led_flash_cnt[2647][4]~63945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2647][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2647][4]~63945\,
	combout => \led_flash_cnt[2647][5]~63946_combout\,
	cout => \led_flash_cnt[2647][5]~63947\);

-- Location: FF_X15_Y10_N25
\led_flash_cnt[2647][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2647][5]~63946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2647][5]~q\);

-- Location: LCCOMB_X15_Y10_N26
\led_flash_cnt[2647][6]~63948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2647][6]~63948_combout\ = (\led_flash_cnt[2647][6]~q\ & (!\led_flash_cnt[2647][5]~63947\)) # (!\led_flash_cnt[2647][6]~q\ & ((\led_flash_cnt[2647][5]~63947\) # (GND)))
-- \led_flash_cnt[2647][6]~63949\ = CARRY((!\led_flash_cnt[2647][5]~63947\) # (!\led_flash_cnt[2647][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2647][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2647][5]~63947\,
	combout => \led_flash_cnt[2647][6]~63948_combout\,
	cout => \led_flash_cnt[2647][6]~63949\);

-- Location: FF_X15_Y10_N27
\led_flash_cnt[2647][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2647][6]~63948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2647][6]~q\);

-- Location: LCCOMB_X14_Y10_N14
\WideAnd2647~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2647~1_combout\ = (\led_flash_cnt[2647][5]~q\ & \led_flash_cnt[2647][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2647][5]~q\,
	datad => \led_flash_cnt[2647][6]~q\,
	combout => \WideAnd2647~1_combout\);

-- Location: LCCOMB_X15_Y10_N28
\led_flash_cnt[2647][7]~63950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2647][7]~63950_combout\ = \led_flash_cnt[2647][6]~63949\ $ (!\led_flash_cnt[2647][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2647][7]~q\,
	cin => \led_flash_cnt[2647][6]~63949\,
	combout => \led_flash_cnt[2647][7]~63950_combout\);

-- Location: FF_X15_Y10_N29
\led_flash_cnt[2647][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2647][7]~63950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2647][7]~q\);

-- Location: LCCOMB_X15_Y10_N14
\WideAnd2647~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2647~0_combout\ = (\led_flash_cnt[2647][2]~q\ & (\led_flash_cnt[2647][1]~q\ & (\led_flash_cnt[2647][4]~q\ & \led_flash_cnt[2647][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2647][2]~q\,
	datab => \led_flash_cnt[2647][1]~q\,
	datac => \led_flash_cnt[2647][4]~q\,
	datad => \led_flash_cnt[2647][3]~q\,
	combout => \WideAnd2647~0_combout\);

-- Location: LCCOMB_X15_Y10_N30
WideAnd2647 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2647~combout\ = (\WideAnd2647~1_combout\ & (\led_flash_cnt[2647][7]~q\ & (\WideAnd2647~0_combout\ & \led_flash_cnt[2647][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2647~1_combout\,
	datab => \led_flash_cnt[2647][7]~q\,
	datac => \WideAnd2647~0_combout\,
	datad => \led_flash_cnt[2647][0]~q\,
	combout => \WideAnd2647~combout\);

-- Location: FF_X15_Y10_N31
\led_flash_cnt_ands[2647]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2647~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2647));

-- Location: LCCOMB_X19_Y8_N14
\led_flash_cnt[2643][0]~83283\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2643][0]~83283_combout\ = !\led_flash_cnt[2643][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2643][0]~q\,
	combout => \led_flash_cnt[2643][0]~83283_combout\);

-- Location: FF_X19_Y8_N15
\led_flash_cnt[2643][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2643][0]~83283_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2643][0]~q\);

-- Location: LCCOMB_X20_Y8_N16
\led_flash_cnt[2643][1]~63882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2643][1]~63882_combout\ = (\led_flash_cnt[2643][0]~q\ & (\led_flash_cnt[2643][1]~q\ $ (VCC))) # (!\led_flash_cnt[2643][0]~q\ & (\led_flash_cnt[2643][1]~q\ & VCC))
-- \led_flash_cnt[2643][1]~63883\ = CARRY((\led_flash_cnt[2643][0]~q\ & \led_flash_cnt[2643][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2643][0]~q\,
	datab => \led_flash_cnt[2643][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2643][1]~63882_combout\,
	cout => \led_flash_cnt[2643][1]~63883\);

-- Location: FF_X20_Y8_N17
\led_flash_cnt[2643][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2643][1]~63882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2643][1]~q\);

-- Location: LCCOMB_X20_Y8_N18
\led_flash_cnt[2643][2]~63884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2643][2]~63884_combout\ = (\led_flash_cnt[2643][2]~q\ & (!\led_flash_cnt[2643][1]~63883\)) # (!\led_flash_cnt[2643][2]~q\ & ((\led_flash_cnt[2643][1]~63883\) # (GND)))
-- \led_flash_cnt[2643][2]~63885\ = CARRY((!\led_flash_cnt[2643][1]~63883\) # (!\led_flash_cnt[2643][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2643][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2643][1]~63883\,
	combout => \led_flash_cnt[2643][2]~63884_combout\,
	cout => \led_flash_cnt[2643][2]~63885\);

-- Location: FF_X20_Y8_N19
\led_flash_cnt[2643][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2643][2]~63884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2643][2]~q\);

-- Location: LCCOMB_X20_Y8_N20
\led_flash_cnt[2643][3]~63886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2643][3]~63886_combout\ = (\led_flash_cnt[2643][3]~q\ & (\led_flash_cnt[2643][2]~63885\ $ (GND))) # (!\led_flash_cnt[2643][3]~q\ & (!\led_flash_cnt[2643][2]~63885\ & VCC))
-- \led_flash_cnt[2643][3]~63887\ = CARRY((\led_flash_cnt[2643][3]~q\ & !\led_flash_cnt[2643][2]~63885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2643][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2643][2]~63885\,
	combout => \led_flash_cnt[2643][3]~63886_combout\,
	cout => \led_flash_cnt[2643][3]~63887\);

-- Location: FF_X20_Y8_N21
\led_flash_cnt[2643][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2643][3]~63886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2643][3]~q\);

-- Location: LCCOMB_X20_Y8_N22
\led_flash_cnt[2643][4]~63888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2643][4]~63888_combout\ = (\led_flash_cnt[2643][4]~q\ & (!\led_flash_cnt[2643][3]~63887\)) # (!\led_flash_cnt[2643][4]~q\ & ((\led_flash_cnt[2643][3]~63887\) # (GND)))
-- \led_flash_cnt[2643][4]~63889\ = CARRY((!\led_flash_cnt[2643][3]~63887\) # (!\led_flash_cnt[2643][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2643][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2643][3]~63887\,
	combout => \led_flash_cnt[2643][4]~63888_combout\,
	cout => \led_flash_cnt[2643][4]~63889\);

-- Location: FF_X20_Y8_N23
\led_flash_cnt[2643][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2643][4]~63888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2643][4]~q\);

-- Location: LCCOMB_X20_Y8_N14
\WideAnd2643~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2643~0_combout\ = (\led_flash_cnt[2643][3]~q\ & (\led_flash_cnt[2643][2]~q\ & (\led_flash_cnt[2643][4]~q\ & \led_flash_cnt[2643][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2643][3]~q\,
	datab => \led_flash_cnt[2643][2]~q\,
	datac => \led_flash_cnt[2643][4]~q\,
	datad => \led_flash_cnt[2643][1]~q\,
	combout => \WideAnd2643~0_combout\);

-- Location: LCCOMB_X20_Y8_N24
\led_flash_cnt[2643][5]~63890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2643][5]~63890_combout\ = (\led_flash_cnt[2643][5]~q\ & (\led_flash_cnt[2643][4]~63889\ $ (GND))) # (!\led_flash_cnt[2643][5]~q\ & (!\led_flash_cnt[2643][4]~63889\ & VCC))
-- \led_flash_cnt[2643][5]~63891\ = CARRY((\led_flash_cnt[2643][5]~q\ & !\led_flash_cnt[2643][4]~63889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2643][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2643][4]~63889\,
	combout => \led_flash_cnt[2643][5]~63890_combout\,
	cout => \led_flash_cnt[2643][5]~63891\);

-- Location: FF_X20_Y8_N25
\led_flash_cnt[2643][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2643][5]~63890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2643][5]~q\);

-- Location: LCCOMB_X20_Y8_N26
\led_flash_cnt[2643][6]~63892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2643][6]~63892_combout\ = (\led_flash_cnt[2643][6]~q\ & (!\led_flash_cnt[2643][5]~63891\)) # (!\led_flash_cnt[2643][6]~q\ & ((\led_flash_cnt[2643][5]~63891\) # (GND)))
-- \led_flash_cnt[2643][6]~63893\ = CARRY((!\led_flash_cnt[2643][5]~63891\) # (!\led_flash_cnt[2643][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2643][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2643][5]~63891\,
	combout => \led_flash_cnt[2643][6]~63892_combout\,
	cout => \led_flash_cnt[2643][6]~63893\);

-- Location: FF_X20_Y8_N27
\led_flash_cnt[2643][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2643][6]~63892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2643][6]~q\);

-- Location: LCCOMB_X19_Y8_N22
\WideAnd2643~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2643~1_combout\ = (\led_flash_cnt[2643][6]~q\ & \led_flash_cnt[2643][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2643][6]~q\,
	datad => \led_flash_cnt[2643][5]~q\,
	combout => \WideAnd2643~1_combout\);

-- Location: LCCOMB_X20_Y8_N28
\led_flash_cnt[2643][7]~63894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2643][7]~63894_combout\ = \led_flash_cnt[2643][6]~63893\ $ (!\led_flash_cnt[2643][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2643][7]~q\,
	cin => \led_flash_cnt[2643][6]~63893\,
	combout => \led_flash_cnt[2643][7]~63894_combout\);

-- Location: FF_X20_Y8_N29
\led_flash_cnt[2643][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2643][7]~63894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2643][7]~q\);

-- Location: LCCOMB_X19_Y8_N26
WideAnd2643 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2643~combout\ = (\led_flash_cnt[2643][0]~q\ & (\WideAnd2643~0_combout\ & (\WideAnd2643~1_combout\ & \led_flash_cnt[2643][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2643][0]~q\,
	datab => \WideAnd2643~0_combout\,
	datac => \WideAnd2643~1_combout\,
	datad => \led_flash_cnt[2643][7]~q\,
	combout => \WideAnd2643~combout\);

-- Location: FF_X19_Y8_N27
\led_flash_cnt_ands[2643]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2643~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2643));

-- Location: LCCOMB_X19_Y8_N30
\led_flash_cnt[2640][0]~83280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2640][0]~83280_combout\ = !\led_flash_cnt[2640][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2640][0]~q\,
	combout => \led_flash_cnt[2640][0]~83280_combout\);

-- Location: FF_X19_Y8_N31
\led_flash_cnt[2640][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2640][0]~83280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2640][0]~q\);

-- Location: LCCOMB_X19_Y8_N0
\led_flash_cnt[2640][1]~63840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2640][1]~63840_combout\ = (\led_flash_cnt[2640][0]~q\ & (\led_flash_cnt[2640][1]~q\ $ (VCC))) # (!\led_flash_cnt[2640][0]~q\ & (\led_flash_cnt[2640][1]~q\ & VCC))
-- \led_flash_cnt[2640][1]~63841\ = CARRY((\led_flash_cnt[2640][0]~q\ & \led_flash_cnt[2640][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2640][0]~q\,
	datab => \led_flash_cnt[2640][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2640][1]~63840_combout\,
	cout => \led_flash_cnt[2640][1]~63841\);

-- Location: FF_X19_Y8_N1
\led_flash_cnt[2640][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2640][1]~63840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2640][1]~q\);

-- Location: LCCOMB_X19_Y8_N2
\led_flash_cnt[2640][2]~63842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2640][2]~63842_combout\ = (\led_flash_cnt[2640][2]~q\ & (!\led_flash_cnt[2640][1]~63841\)) # (!\led_flash_cnt[2640][2]~q\ & ((\led_flash_cnt[2640][1]~63841\) # (GND)))
-- \led_flash_cnt[2640][2]~63843\ = CARRY((!\led_flash_cnt[2640][1]~63841\) # (!\led_flash_cnt[2640][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2640][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2640][1]~63841\,
	combout => \led_flash_cnt[2640][2]~63842_combout\,
	cout => \led_flash_cnt[2640][2]~63843\);

-- Location: FF_X19_Y8_N3
\led_flash_cnt[2640][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2640][2]~63842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2640][2]~q\);

-- Location: LCCOMB_X19_Y8_N4
\led_flash_cnt[2640][3]~63844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2640][3]~63844_combout\ = (\led_flash_cnt[2640][3]~q\ & (\led_flash_cnt[2640][2]~63843\ $ (GND))) # (!\led_flash_cnt[2640][3]~q\ & (!\led_flash_cnt[2640][2]~63843\ & VCC))
-- \led_flash_cnt[2640][3]~63845\ = CARRY((\led_flash_cnt[2640][3]~q\ & !\led_flash_cnt[2640][2]~63843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2640][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2640][2]~63843\,
	combout => \led_flash_cnt[2640][3]~63844_combout\,
	cout => \led_flash_cnt[2640][3]~63845\);

-- Location: FF_X19_Y8_N5
\led_flash_cnt[2640][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2640][3]~63844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2640][3]~q\);

-- Location: LCCOMB_X19_Y8_N6
\led_flash_cnt[2640][4]~63846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2640][4]~63846_combout\ = (\led_flash_cnt[2640][4]~q\ & (!\led_flash_cnt[2640][3]~63845\)) # (!\led_flash_cnt[2640][4]~q\ & ((\led_flash_cnt[2640][3]~63845\) # (GND)))
-- \led_flash_cnt[2640][4]~63847\ = CARRY((!\led_flash_cnt[2640][3]~63845\) # (!\led_flash_cnt[2640][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2640][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2640][3]~63845\,
	combout => \led_flash_cnt[2640][4]~63846_combout\,
	cout => \led_flash_cnt[2640][4]~63847\);

-- Location: FF_X19_Y8_N7
\led_flash_cnt[2640][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2640][4]~63846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2640][4]~q\);

-- Location: LCCOMB_X19_Y8_N8
\led_flash_cnt[2640][5]~63848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2640][5]~63848_combout\ = (\led_flash_cnt[2640][5]~q\ & (\led_flash_cnt[2640][4]~63847\ $ (GND))) # (!\led_flash_cnt[2640][5]~q\ & (!\led_flash_cnt[2640][4]~63847\ & VCC))
-- \led_flash_cnt[2640][5]~63849\ = CARRY((\led_flash_cnt[2640][5]~q\ & !\led_flash_cnt[2640][4]~63847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2640][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2640][4]~63847\,
	combout => \led_flash_cnt[2640][5]~63848_combout\,
	cout => \led_flash_cnt[2640][5]~63849\);

-- Location: FF_X19_Y8_N9
\led_flash_cnt[2640][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2640][5]~63848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2640][5]~q\);

-- Location: LCCOMB_X19_Y8_N10
\led_flash_cnt[2640][6]~63850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2640][6]~63850_combout\ = (\led_flash_cnt[2640][6]~q\ & (!\led_flash_cnt[2640][5]~63849\)) # (!\led_flash_cnt[2640][6]~q\ & ((\led_flash_cnt[2640][5]~63849\) # (GND)))
-- \led_flash_cnt[2640][6]~63851\ = CARRY((!\led_flash_cnt[2640][5]~63849\) # (!\led_flash_cnt[2640][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2640][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2640][5]~63849\,
	combout => \led_flash_cnt[2640][6]~63850_combout\,
	cout => \led_flash_cnt[2640][6]~63851\);

-- Location: FF_X19_Y8_N11
\led_flash_cnt[2640][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2640][6]~63850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2640][6]~q\);

-- Location: LCCOMB_X19_Y8_N12
\led_flash_cnt[2640][7]~63852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2640][7]~63852_combout\ = \led_flash_cnt[2640][6]~63851\ $ (!\led_flash_cnt[2640][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2640][7]~q\,
	cin => \led_flash_cnt[2640][6]~63851\,
	combout => \led_flash_cnt[2640][7]~63852_combout\);

-- Location: FF_X19_Y8_N13
\led_flash_cnt[2640][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2640][7]~63852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2640][7]~q\);

-- Location: LCCOMB_X19_Y8_N20
\WideAnd2640~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2640~0_combout\ = (\led_flash_cnt[2640][4]~q\ & (\led_flash_cnt[2640][2]~q\ & (\led_flash_cnt[2640][3]~q\ & \led_flash_cnt[2640][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2640][4]~q\,
	datab => \led_flash_cnt[2640][2]~q\,
	datac => \led_flash_cnt[2640][3]~q\,
	datad => \led_flash_cnt[2640][1]~q\,
	combout => \WideAnd2640~0_combout\);

-- Location: LCCOMB_X19_Y8_N18
\WideAnd2640~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2640~1_combout\ = (\led_flash_cnt[2640][5]~q\ & \led_flash_cnt[2640][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2640][5]~q\,
	datad => \led_flash_cnt[2640][6]~q\,
	combout => \WideAnd2640~1_combout\);

-- Location: LCCOMB_X19_Y8_N16
WideAnd2640 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2640~combout\ = (\led_flash_cnt[2640][7]~q\ & (\WideAnd2640~0_combout\ & (\led_flash_cnt[2640][0]~q\ & \WideAnd2640~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2640][7]~q\,
	datab => \WideAnd2640~0_combout\,
	datac => \led_flash_cnt[2640][0]~q\,
	datad => \WideAnd2640~1_combout\,
	combout => \WideAnd2640~combout\);

-- Location: FF_X19_Y8_N17
\led_flash_cnt_ands[2640]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2640~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2640));

-- Location: LCCOMB_X11_Y2_N18
\led_flash_cnt[2641][0]~83281\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2641][0]~83281_combout\ = !\led_flash_cnt[2641][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2641][0]~q\,
	combout => \led_flash_cnt[2641][0]~83281_combout\);

-- Location: FF_X11_Y2_N19
\led_flash_cnt[2641][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2641][0]~83281_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2641][0]~q\);

-- Location: LCCOMB_X12_Y2_N18
\led_flash_cnt[2641][1]~63854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2641][1]~63854_combout\ = (\led_flash_cnt[2641][0]~q\ & (\led_flash_cnt[2641][1]~q\ $ (VCC))) # (!\led_flash_cnt[2641][0]~q\ & (\led_flash_cnt[2641][1]~q\ & VCC))
-- \led_flash_cnt[2641][1]~63855\ = CARRY((\led_flash_cnt[2641][0]~q\ & \led_flash_cnt[2641][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2641][0]~q\,
	datab => \led_flash_cnt[2641][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2641][1]~63854_combout\,
	cout => \led_flash_cnt[2641][1]~63855\);

-- Location: FF_X12_Y2_N19
\led_flash_cnt[2641][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2641][1]~63854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2641][1]~q\);

-- Location: LCCOMB_X12_Y2_N20
\led_flash_cnt[2641][2]~63856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2641][2]~63856_combout\ = (\led_flash_cnt[2641][2]~q\ & (!\led_flash_cnt[2641][1]~63855\)) # (!\led_flash_cnt[2641][2]~q\ & ((\led_flash_cnt[2641][1]~63855\) # (GND)))
-- \led_flash_cnt[2641][2]~63857\ = CARRY((!\led_flash_cnt[2641][1]~63855\) # (!\led_flash_cnt[2641][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2641][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2641][1]~63855\,
	combout => \led_flash_cnt[2641][2]~63856_combout\,
	cout => \led_flash_cnt[2641][2]~63857\);

-- Location: FF_X12_Y2_N21
\led_flash_cnt[2641][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2641][2]~63856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2641][2]~q\);

-- Location: LCCOMB_X12_Y2_N22
\led_flash_cnt[2641][3]~63858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2641][3]~63858_combout\ = (\led_flash_cnt[2641][3]~q\ & (\led_flash_cnt[2641][2]~63857\ $ (GND))) # (!\led_flash_cnt[2641][3]~q\ & (!\led_flash_cnt[2641][2]~63857\ & VCC))
-- \led_flash_cnt[2641][3]~63859\ = CARRY((\led_flash_cnt[2641][3]~q\ & !\led_flash_cnt[2641][2]~63857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2641][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2641][2]~63857\,
	combout => \led_flash_cnt[2641][3]~63858_combout\,
	cout => \led_flash_cnt[2641][3]~63859\);

-- Location: FF_X12_Y2_N23
\led_flash_cnt[2641][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2641][3]~63858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2641][3]~q\);

-- Location: LCCOMB_X12_Y2_N24
\led_flash_cnt[2641][4]~63860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2641][4]~63860_combout\ = (\led_flash_cnt[2641][4]~q\ & (!\led_flash_cnt[2641][3]~63859\)) # (!\led_flash_cnt[2641][4]~q\ & ((\led_flash_cnt[2641][3]~63859\) # (GND)))
-- \led_flash_cnt[2641][4]~63861\ = CARRY((!\led_flash_cnt[2641][3]~63859\) # (!\led_flash_cnt[2641][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2641][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2641][3]~63859\,
	combout => \led_flash_cnt[2641][4]~63860_combout\,
	cout => \led_flash_cnt[2641][4]~63861\);

-- Location: FF_X12_Y2_N25
\led_flash_cnt[2641][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2641][4]~63860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2641][4]~q\);

-- Location: LCCOMB_X12_Y2_N26
\led_flash_cnt[2641][5]~63862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2641][5]~63862_combout\ = (\led_flash_cnt[2641][5]~q\ & (\led_flash_cnt[2641][4]~63861\ $ (GND))) # (!\led_flash_cnt[2641][5]~q\ & (!\led_flash_cnt[2641][4]~63861\ & VCC))
-- \led_flash_cnt[2641][5]~63863\ = CARRY((\led_flash_cnt[2641][5]~q\ & !\led_flash_cnt[2641][4]~63861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2641][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2641][4]~63861\,
	combout => \led_flash_cnt[2641][5]~63862_combout\,
	cout => \led_flash_cnt[2641][5]~63863\);

-- Location: FF_X12_Y2_N27
\led_flash_cnt[2641][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2641][5]~63862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2641][5]~q\);

-- Location: LCCOMB_X12_Y2_N28
\led_flash_cnt[2641][6]~63864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2641][6]~63864_combout\ = (\led_flash_cnt[2641][6]~q\ & (!\led_flash_cnt[2641][5]~63863\)) # (!\led_flash_cnt[2641][6]~q\ & ((\led_flash_cnt[2641][5]~63863\) # (GND)))
-- \led_flash_cnt[2641][6]~63865\ = CARRY((!\led_flash_cnt[2641][5]~63863\) # (!\led_flash_cnt[2641][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2641][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2641][5]~63863\,
	combout => \led_flash_cnt[2641][6]~63864_combout\,
	cout => \led_flash_cnt[2641][6]~63865\);

-- Location: FF_X12_Y2_N29
\led_flash_cnt[2641][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2641][6]~63864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2641][6]~q\);

-- Location: LCCOMB_X11_Y2_N26
\WideAnd2641~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2641~1_combout\ = (\led_flash_cnt[2641][6]~q\ & \led_flash_cnt[2641][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2641][6]~q\,
	datad => \led_flash_cnt[2641][5]~q\,
	combout => \WideAnd2641~1_combout\);

-- Location: LCCOMB_X12_Y2_N30
\led_flash_cnt[2641][7]~63866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2641][7]~63866_combout\ = \led_flash_cnt[2641][7]~q\ $ (!\led_flash_cnt[2641][6]~63865\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2641][7]~q\,
	cin => \led_flash_cnt[2641][6]~63865\,
	combout => \led_flash_cnt[2641][7]~63866_combout\);

-- Location: FF_X12_Y2_N31
\led_flash_cnt[2641][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2641][7]~63866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2641][7]~q\);

-- Location: LCCOMB_X12_Y2_N16
\WideAnd2641~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2641~0_combout\ = (\led_flash_cnt[2641][4]~q\ & (\led_flash_cnt[2641][1]~q\ & (\led_flash_cnt[2641][3]~q\ & \led_flash_cnt[2641][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2641][4]~q\,
	datab => \led_flash_cnt[2641][1]~q\,
	datac => \led_flash_cnt[2641][3]~q\,
	datad => \led_flash_cnt[2641][2]~q\,
	combout => \WideAnd2641~0_combout\);

-- Location: LCCOMB_X11_Y2_N30
WideAnd2641 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2641~combout\ = (\WideAnd2641~1_combout\ & (\led_flash_cnt[2641][0]~q\ & (\led_flash_cnt[2641][7]~q\ & \WideAnd2641~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2641~1_combout\,
	datab => \led_flash_cnt[2641][0]~q\,
	datac => \led_flash_cnt[2641][7]~q\,
	datad => \WideAnd2641~0_combout\,
	combout => \WideAnd2641~combout\);

-- Location: FF_X11_Y2_N31
\led_flash_cnt_ands[2641]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2641~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2641));

-- Location: LCCOMB_X19_Y10_N18
\led_flash_cnt[2642][0]~83282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2642][0]~83282_combout\ = !\led_flash_cnt[2642][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2642][0]~q\,
	combout => \led_flash_cnt[2642][0]~83282_combout\);

-- Location: FF_X19_Y10_N19
\led_flash_cnt[2642][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2642][0]~83282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2642][0]~q\);

-- Location: LCCOMB_X19_Y10_N0
\led_flash_cnt[2642][1]~63868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2642][1]~63868_combout\ = (\led_flash_cnt[2642][1]~q\ & (\led_flash_cnt[2642][0]~q\ $ (VCC))) # (!\led_flash_cnt[2642][1]~q\ & (\led_flash_cnt[2642][0]~q\ & VCC))
-- \led_flash_cnt[2642][1]~63869\ = CARRY((\led_flash_cnt[2642][1]~q\ & \led_flash_cnt[2642][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2642][1]~q\,
	datab => \led_flash_cnt[2642][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2642][1]~63868_combout\,
	cout => \led_flash_cnt[2642][1]~63869\);

-- Location: FF_X19_Y10_N1
\led_flash_cnt[2642][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2642][1]~63868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2642][1]~q\);

-- Location: LCCOMB_X19_Y10_N2
\led_flash_cnt[2642][2]~63870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2642][2]~63870_combout\ = (\led_flash_cnt[2642][2]~q\ & (!\led_flash_cnt[2642][1]~63869\)) # (!\led_flash_cnt[2642][2]~q\ & ((\led_flash_cnt[2642][1]~63869\) # (GND)))
-- \led_flash_cnt[2642][2]~63871\ = CARRY((!\led_flash_cnt[2642][1]~63869\) # (!\led_flash_cnt[2642][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2642][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2642][1]~63869\,
	combout => \led_flash_cnt[2642][2]~63870_combout\,
	cout => \led_flash_cnt[2642][2]~63871\);

-- Location: FF_X19_Y10_N3
\led_flash_cnt[2642][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2642][2]~63870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2642][2]~q\);

-- Location: LCCOMB_X19_Y10_N4
\led_flash_cnt[2642][3]~63872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2642][3]~63872_combout\ = (\led_flash_cnt[2642][3]~q\ & (\led_flash_cnt[2642][2]~63871\ $ (GND))) # (!\led_flash_cnt[2642][3]~q\ & (!\led_flash_cnt[2642][2]~63871\ & VCC))
-- \led_flash_cnt[2642][3]~63873\ = CARRY((\led_flash_cnt[2642][3]~q\ & !\led_flash_cnt[2642][2]~63871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2642][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2642][2]~63871\,
	combout => \led_flash_cnt[2642][3]~63872_combout\,
	cout => \led_flash_cnt[2642][3]~63873\);

-- Location: FF_X19_Y10_N5
\led_flash_cnt[2642][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2642][3]~63872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2642][3]~q\);

-- Location: LCCOMB_X19_Y10_N6
\led_flash_cnt[2642][4]~63874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2642][4]~63874_combout\ = (\led_flash_cnt[2642][4]~q\ & (!\led_flash_cnt[2642][3]~63873\)) # (!\led_flash_cnt[2642][4]~q\ & ((\led_flash_cnt[2642][3]~63873\) # (GND)))
-- \led_flash_cnt[2642][4]~63875\ = CARRY((!\led_flash_cnt[2642][3]~63873\) # (!\led_flash_cnt[2642][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2642][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2642][3]~63873\,
	combout => \led_flash_cnt[2642][4]~63874_combout\,
	cout => \led_flash_cnt[2642][4]~63875\);

-- Location: FF_X19_Y10_N7
\led_flash_cnt[2642][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2642][4]~63874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2642][4]~q\);

-- Location: LCCOMB_X19_Y10_N8
\led_flash_cnt[2642][5]~63876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2642][5]~63876_combout\ = (\led_flash_cnt[2642][5]~q\ & (\led_flash_cnt[2642][4]~63875\ $ (GND))) # (!\led_flash_cnt[2642][5]~q\ & (!\led_flash_cnt[2642][4]~63875\ & VCC))
-- \led_flash_cnt[2642][5]~63877\ = CARRY((\led_flash_cnt[2642][5]~q\ & !\led_flash_cnt[2642][4]~63875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2642][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2642][4]~63875\,
	combout => \led_flash_cnt[2642][5]~63876_combout\,
	cout => \led_flash_cnt[2642][5]~63877\);

-- Location: FF_X19_Y10_N9
\led_flash_cnt[2642][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2642][5]~63876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2642][5]~q\);

-- Location: LCCOMB_X19_Y10_N10
\led_flash_cnt[2642][6]~63878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2642][6]~63878_combout\ = (\led_flash_cnt[2642][6]~q\ & (!\led_flash_cnt[2642][5]~63877\)) # (!\led_flash_cnt[2642][6]~q\ & ((\led_flash_cnt[2642][5]~63877\) # (GND)))
-- \led_flash_cnt[2642][6]~63879\ = CARRY((!\led_flash_cnt[2642][5]~63877\) # (!\led_flash_cnt[2642][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2642][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2642][5]~63877\,
	combout => \led_flash_cnt[2642][6]~63878_combout\,
	cout => \led_flash_cnt[2642][6]~63879\);

-- Location: FF_X19_Y10_N11
\led_flash_cnt[2642][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2642][6]~63878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2642][6]~q\);

-- Location: LCCOMB_X19_Y10_N12
\led_flash_cnt[2642][7]~63880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2642][7]~63880_combout\ = \led_flash_cnt[2642][6]~63879\ $ (!\led_flash_cnt[2642][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2642][7]~q\,
	cin => \led_flash_cnt[2642][6]~63879\,
	combout => \led_flash_cnt[2642][7]~63880_combout\);

-- Location: FF_X19_Y10_N13
\led_flash_cnt[2642][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2642][7]~63880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2642][7]~q\);

-- Location: LCCOMB_X19_Y10_N24
\WideAnd2642~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2642~1_combout\ = (\led_flash_cnt[2642][6]~q\ & \led_flash_cnt[2642][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2642][6]~q\,
	datac => \led_flash_cnt[2642][5]~q\,
	combout => \WideAnd2642~1_combout\);

-- Location: LCCOMB_X19_Y10_N14
\WideAnd2642~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2642~0_combout\ = (\led_flash_cnt[2642][4]~q\ & (\led_flash_cnt[2642][2]~q\ & (\led_flash_cnt[2642][3]~q\ & \led_flash_cnt[2642][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2642][4]~q\,
	datab => \led_flash_cnt[2642][2]~q\,
	datac => \led_flash_cnt[2642][3]~q\,
	datad => \led_flash_cnt[2642][1]~q\,
	combout => \WideAnd2642~0_combout\);

-- Location: LCCOMB_X19_Y10_N16
WideAnd2642 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2642~combout\ = (\led_flash_cnt[2642][7]~q\ & (\WideAnd2642~1_combout\ & (\WideAnd2642~0_combout\ & \led_flash_cnt[2642][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2642][7]~q\,
	datab => \WideAnd2642~1_combout\,
	datac => \WideAnd2642~0_combout\,
	datad => \led_flash_cnt[2642][0]~q\,
	combout => \WideAnd2642~combout\);

-- Location: FF_X19_Y10_N17
\led_flash_cnt_ands[2642]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2642~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2642));

-- Location: LCCOMB_X19_Y8_N28
\WideAnd4170~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4170~0_combout\ = (led_flash_cnt_ands(2643) & (led_flash_cnt_ands(2640) & (led_flash_cnt_ands(2641) & led_flash_cnt_ands(2642))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2643),
	datab => led_flash_cnt_ands(2640),
	datac => led_flash_cnt_ands(2641),
	datad => led_flash_cnt_ands(2642),
	combout => \WideAnd4170~0_combout\);

-- Location: LCCOMB_X19_Y8_N24
WideAnd4170 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4170~combout\ = (\WideAnd4170~1_combout\ & (led_flash_cnt_ands(2646) & (led_flash_cnt_ands(2647) & \WideAnd4170~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4170~1_combout\,
	datab => led_flash_cnt_ands(2646),
	datac => led_flash_cnt_ands(2647),
	datad => \WideAnd4170~0_combout\,
	combout => \WideAnd4170~combout\);

-- Location: FF_X19_Y8_N25
\led_flash_cnt_ands_1[330]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4170~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(330));

-- Location: LCCOMB_X19_Y18_N2
\led_flash_cnt[2634][0]~83274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2634][0]~83274_combout\ = !\led_flash_cnt[2634][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2634][0]~q\,
	combout => \led_flash_cnt[2634][0]~83274_combout\);

-- Location: FF_X19_Y18_N3
\led_flash_cnt[2634][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2634][0]~83274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2634][0]~q\);

-- Location: LCCOMB_X19_Y18_N18
\led_flash_cnt[2634][1]~63756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2634][1]~63756_combout\ = (\led_flash_cnt[2634][1]~q\ & (\led_flash_cnt[2634][0]~q\ $ (VCC))) # (!\led_flash_cnt[2634][1]~q\ & (\led_flash_cnt[2634][0]~q\ & VCC))
-- \led_flash_cnt[2634][1]~63757\ = CARRY((\led_flash_cnt[2634][1]~q\ & \led_flash_cnt[2634][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2634][1]~q\,
	datab => \led_flash_cnt[2634][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2634][1]~63756_combout\,
	cout => \led_flash_cnt[2634][1]~63757\);

-- Location: FF_X19_Y18_N19
\led_flash_cnt[2634][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2634][1]~63756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2634][1]~q\);

-- Location: LCCOMB_X19_Y18_N20
\led_flash_cnt[2634][2]~63758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2634][2]~63758_combout\ = (\led_flash_cnt[2634][2]~q\ & (!\led_flash_cnt[2634][1]~63757\)) # (!\led_flash_cnt[2634][2]~q\ & ((\led_flash_cnt[2634][1]~63757\) # (GND)))
-- \led_flash_cnt[2634][2]~63759\ = CARRY((!\led_flash_cnt[2634][1]~63757\) # (!\led_flash_cnt[2634][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2634][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2634][1]~63757\,
	combout => \led_flash_cnt[2634][2]~63758_combout\,
	cout => \led_flash_cnt[2634][2]~63759\);

-- Location: FF_X19_Y18_N21
\led_flash_cnt[2634][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2634][2]~63758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2634][2]~q\);

-- Location: LCCOMB_X19_Y18_N22
\led_flash_cnt[2634][3]~63760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2634][3]~63760_combout\ = (\led_flash_cnt[2634][3]~q\ & (\led_flash_cnt[2634][2]~63759\ $ (GND))) # (!\led_flash_cnt[2634][3]~q\ & (!\led_flash_cnt[2634][2]~63759\ & VCC))
-- \led_flash_cnt[2634][3]~63761\ = CARRY((\led_flash_cnt[2634][3]~q\ & !\led_flash_cnt[2634][2]~63759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2634][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2634][2]~63759\,
	combout => \led_flash_cnt[2634][3]~63760_combout\,
	cout => \led_flash_cnt[2634][3]~63761\);

-- Location: FF_X19_Y18_N23
\led_flash_cnt[2634][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2634][3]~63760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2634][3]~q\);

-- Location: LCCOMB_X19_Y18_N24
\led_flash_cnt[2634][4]~63762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2634][4]~63762_combout\ = (\led_flash_cnt[2634][4]~q\ & (!\led_flash_cnt[2634][3]~63761\)) # (!\led_flash_cnt[2634][4]~q\ & ((\led_flash_cnt[2634][3]~63761\) # (GND)))
-- \led_flash_cnt[2634][4]~63763\ = CARRY((!\led_flash_cnt[2634][3]~63761\) # (!\led_flash_cnt[2634][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2634][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2634][3]~63761\,
	combout => \led_flash_cnt[2634][4]~63762_combout\,
	cout => \led_flash_cnt[2634][4]~63763\);

-- Location: FF_X19_Y18_N25
\led_flash_cnt[2634][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2634][4]~63762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2634][4]~q\);

-- Location: LCCOMB_X19_Y18_N26
\led_flash_cnt[2634][5]~63764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2634][5]~63764_combout\ = (\led_flash_cnt[2634][5]~q\ & (\led_flash_cnt[2634][4]~63763\ $ (GND))) # (!\led_flash_cnt[2634][5]~q\ & (!\led_flash_cnt[2634][4]~63763\ & VCC))
-- \led_flash_cnt[2634][5]~63765\ = CARRY((\led_flash_cnt[2634][5]~q\ & !\led_flash_cnt[2634][4]~63763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2634][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2634][4]~63763\,
	combout => \led_flash_cnt[2634][5]~63764_combout\,
	cout => \led_flash_cnt[2634][5]~63765\);

-- Location: FF_X19_Y18_N27
\led_flash_cnt[2634][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2634][5]~63764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2634][5]~q\);

-- Location: LCCOMB_X19_Y18_N28
\led_flash_cnt[2634][6]~63766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2634][6]~63766_combout\ = (\led_flash_cnt[2634][6]~q\ & (!\led_flash_cnt[2634][5]~63765\)) # (!\led_flash_cnt[2634][6]~q\ & ((\led_flash_cnt[2634][5]~63765\) # (GND)))
-- \led_flash_cnt[2634][6]~63767\ = CARRY((!\led_flash_cnt[2634][5]~63765\) # (!\led_flash_cnt[2634][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2634][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2634][5]~63765\,
	combout => \led_flash_cnt[2634][6]~63766_combout\,
	cout => \led_flash_cnt[2634][6]~63767\);

-- Location: FF_X19_Y18_N29
\led_flash_cnt[2634][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2634][6]~63766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2634][6]~q\);

-- Location: LCCOMB_X19_Y18_N30
\led_flash_cnt[2634][7]~63768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2634][7]~63768_combout\ = \led_flash_cnt[2634][7]~q\ $ (!\led_flash_cnt[2634][6]~63767\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2634][7]~q\,
	cin => \led_flash_cnt[2634][6]~63767\,
	combout => \led_flash_cnt[2634][7]~63768_combout\);

-- Location: FF_X19_Y18_N31
\led_flash_cnt[2634][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2634][7]~63768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2634][7]~q\);

-- Location: LCCOMB_X19_Y18_N8
\WideAnd2634~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2634~1_combout\ = (\led_flash_cnt[2634][5]~q\ & \led_flash_cnt[2634][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2634][5]~q\,
	datad => \led_flash_cnt[2634][6]~q\,
	combout => \WideAnd2634~1_combout\);

-- Location: LCCOMB_X19_Y18_N4
\WideAnd2634~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2634~0_combout\ = (\led_flash_cnt[2634][1]~q\ & (\led_flash_cnt[2634][2]~q\ & (\led_flash_cnt[2634][3]~q\ & \led_flash_cnt[2634][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2634][1]~q\,
	datab => \led_flash_cnt[2634][2]~q\,
	datac => \led_flash_cnt[2634][3]~q\,
	datad => \led_flash_cnt[2634][4]~q\,
	combout => \WideAnd2634~0_combout\);

-- Location: LCCOMB_X19_Y18_N12
WideAnd2634 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2634~combout\ = (\led_flash_cnt[2634][7]~q\ & (\WideAnd2634~1_combout\ & (\WideAnd2634~0_combout\ & \led_flash_cnt[2634][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2634][7]~q\,
	datab => \WideAnd2634~1_combout\,
	datac => \WideAnd2634~0_combout\,
	datad => \led_flash_cnt[2634][0]~q\,
	combout => \WideAnd2634~combout\);

-- Location: FF_X19_Y18_N13
\led_flash_cnt_ands[2634]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2634~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2634));

-- Location: LCCOMB_X17_Y22_N2
\led_flash_cnt[2633][0]~83273\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2633][0]~83273_combout\ = !\led_flash_cnt[2633][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2633][0]~q\,
	combout => \led_flash_cnt[2633][0]~83273_combout\);

-- Location: FF_X17_Y22_N3
\led_flash_cnt[2633][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2633][0]~83273_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2633][0]~q\);

-- Location: LCCOMB_X16_Y22_N18
\led_flash_cnt[2633][1]~63742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2633][1]~63742_combout\ = (\led_flash_cnt[2633][0]~q\ & (\led_flash_cnt[2633][1]~q\ $ (VCC))) # (!\led_flash_cnt[2633][0]~q\ & (\led_flash_cnt[2633][1]~q\ & VCC))
-- \led_flash_cnt[2633][1]~63743\ = CARRY((\led_flash_cnt[2633][0]~q\ & \led_flash_cnt[2633][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2633][0]~q\,
	datab => \led_flash_cnt[2633][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2633][1]~63742_combout\,
	cout => \led_flash_cnt[2633][1]~63743\);

-- Location: FF_X16_Y22_N19
\led_flash_cnt[2633][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2633][1]~63742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2633][1]~q\);

-- Location: LCCOMB_X16_Y22_N20
\led_flash_cnt[2633][2]~63744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2633][2]~63744_combout\ = (\led_flash_cnt[2633][2]~q\ & (!\led_flash_cnt[2633][1]~63743\)) # (!\led_flash_cnt[2633][2]~q\ & ((\led_flash_cnt[2633][1]~63743\) # (GND)))
-- \led_flash_cnt[2633][2]~63745\ = CARRY((!\led_flash_cnt[2633][1]~63743\) # (!\led_flash_cnt[2633][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2633][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2633][1]~63743\,
	combout => \led_flash_cnt[2633][2]~63744_combout\,
	cout => \led_flash_cnt[2633][2]~63745\);

-- Location: FF_X16_Y22_N21
\led_flash_cnt[2633][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2633][2]~63744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2633][2]~q\);

-- Location: LCCOMB_X16_Y22_N22
\led_flash_cnt[2633][3]~63746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2633][3]~63746_combout\ = (\led_flash_cnt[2633][3]~q\ & (\led_flash_cnt[2633][2]~63745\ $ (GND))) # (!\led_flash_cnt[2633][3]~q\ & (!\led_flash_cnt[2633][2]~63745\ & VCC))
-- \led_flash_cnt[2633][3]~63747\ = CARRY((\led_flash_cnt[2633][3]~q\ & !\led_flash_cnt[2633][2]~63745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2633][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2633][2]~63745\,
	combout => \led_flash_cnt[2633][3]~63746_combout\,
	cout => \led_flash_cnt[2633][3]~63747\);

-- Location: FF_X16_Y22_N23
\led_flash_cnt[2633][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2633][3]~63746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2633][3]~q\);

-- Location: LCCOMB_X16_Y22_N24
\led_flash_cnt[2633][4]~63748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2633][4]~63748_combout\ = (\led_flash_cnt[2633][4]~q\ & (!\led_flash_cnt[2633][3]~63747\)) # (!\led_flash_cnt[2633][4]~q\ & ((\led_flash_cnt[2633][3]~63747\) # (GND)))
-- \led_flash_cnt[2633][4]~63749\ = CARRY((!\led_flash_cnt[2633][3]~63747\) # (!\led_flash_cnt[2633][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2633][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2633][3]~63747\,
	combout => \led_flash_cnt[2633][4]~63748_combout\,
	cout => \led_flash_cnt[2633][4]~63749\);

-- Location: FF_X16_Y22_N25
\led_flash_cnt[2633][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2633][4]~63748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2633][4]~q\);

-- Location: LCCOMB_X16_Y22_N26
\led_flash_cnt[2633][5]~63750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2633][5]~63750_combout\ = (\led_flash_cnt[2633][5]~q\ & (\led_flash_cnt[2633][4]~63749\ $ (GND))) # (!\led_flash_cnt[2633][5]~q\ & (!\led_flash_cnt[2633][4]~63749\ & VCC))
-- \led_flash_cnt[2633][5]~63751\ = CARRY((\led_flash_cnt[2633][5]~q\ & !\led_flash_cnt[2633][4]~63749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2633][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2633][4]~63749\,
	combout => \led_flash_cnt[2633][5]~63750_combout\,
	cout => \led_flash_cnt[2633][5]~63751\);

-- Location: FF_X16_Y22_N27
\led_flash_cnt[2633][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2633][5]~63750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2633][5]~q\);

-- Location: LCCOMB_X16_Y22_N28
\led_flash_cnt[2633][6]~63752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2633][6]~63752_combout\ = (\led_flash_cnt[2633][6]~q\ & (!\led_flash_cnt[2633][5]~63751\)) # (!\led_flash_cnt[2633][6]~q\ & ((\led_flash_cnt[2633][5]~63751\) # (GND)))
-- \led_flash_cnt[2633][6]~63753\ = CARRY((!\led_flash_cnt[2633][5]~63751\) # (!\led_flash_cnt[2633][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2633][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2633][5]~63751\,
	combout => \led_flash_cnt[2633][6]~63752_combout\,
	cout => \led_flash_cnt[2633][6]~63753\);

-- Location: FF_X16_Y22_N29
\led_flash_cnt[2633][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2633][6]~63752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2633][6]~q\);

-- Location: LCCOMB_X17_Y22_N30
\WideAnd2633~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2633~1_combout\ = (\led_flash_cnt[2633][5]~q\ & \led_flash_cnt[2633][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2633][5]~q\,
	datad => \led_flash_cnt[2633][6]~q\,
	combout => \WideAnd2633~1_combout\);

-- Location: LCCOMB_X16_Y22_N30
\led_flash_cnt[2633][7]~63754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2633][7]~63754_combout\ = \led_flash_cnt[2633][7]~q\ $ (!\led_flash_cnt[2633][6]~63753\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2633][7]~q\,
	cin => \led_flash_cnt[2633][6]~63753\,
	combout => \led_flash_cnt[2633][7]~63754_combout\);

-- Location: FF_X16_Y22_N31
\led_flash_cnt[2633][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2633][7]~63754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2633][7]~q\);

-- Location: LCCOMB_X16_Y22_N16
\WideAnd2633~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2633~0_combout\ = (\led_flash_cnt[2633][4]~q\ & (\led_flash_cnt[2633][2]~q\ & (\led_flash_cnt[2633][3]~q\ & \led_flash_cnt[2633][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2633][4]~q\,
	datab => \led_flash_cnt[2633][2]~q\,
	datac => \led_flash_cnt[2633][3]~q\,
	datad => \led_flash_cnt[2633][1]~q\,
	combout => \WideAnd2633~0_combout\);

-- Location: LCCOMB_X17_Y22_N0
WideAnd2633 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2633~combout\ = (\WideAnd2633~1_combout\ & (\led_flash_cnt[2633][7]~q\ & (\WideAnd2633~0_combout\ & \led_flash_cnt[2633][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2633~1_combout\,
	datab => \led_flash_cnt[2633][7]~q\,
	datac => \WideAnd2633~0_combout\,
	datad => \led_flash_cnt[2633][0]~q\,
	combout => \WideAnd2633~combout\);

-- Location: FF_X17_Y22_N1
\led_flash_cnt_ands[2633]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2633~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2633));

-- Location: LCCOMB_X17_Y22_N24
\led_flash_cnt[2632][0]~83272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2632][0]~83272_combout\ = !\led_flash_cnt[2632][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2632][0]~q\,
	combout => \led_flash_cnt[2632][0]~83272_combout\);

-- Location: FF_X17_Y22_N25
\led_flash_cnt[2632][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2632][0]~83272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2632][0]~q\);

-- Location: LCCOMB_X17_Y22_N6
\led_flash_cnt[2632][1]~63728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2632][1]~63728_combout\ = (\led_flash_cnt[2632][1]~q\ & (\led_flash_cnt[2632][0]~q\ $ (VCC))) # (!\led_flash_cnt[2632][1]~q\ & (\led_flash_cnt[2632][0]~q\ & VCC))
-- \led_flash_cnt[2632][1]~63729\ = CARRY((\led_flash_cnt[2632][1]~q\ & \led_flash_cnt[2632][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2632][1]~q\,
	datab => \led_flash_cnt[2632][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2632][1]~63728_combout\,
	cout => \led_flash_cnt[2632][1]~63729\);

-- Location: FF_X17_Y22_N7
\led_flash_cnt[2632][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2632][1]~63728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2632][1]~q\);

-- Location: LCCOMB_X17_Y22_N8
\led_flash_cnt[2632][2]~63730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2632][2]~63730_combout\ = (\led_flash_cnt[2632][2]~q\ & (!\led_flash_cnt[2632][1]~63729\)) # (!\led_flash_cnt[2632][2]~q\ & ((\led_flash_cnt[2632][1]~63729\) # (GND)))
-- \led_flash_cnt[2632][2]~63731\ = CARRY((!\led_flash_cnt[2632][1]~63729\) # (!\led_flash_cnt[2632][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2632][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2632][1]~63729\,
	combout => \led_flash_cnt[2632][2]~63730_combout\,
	cout => \led_flash_cnt[2632][2]~63731\);

-- Location: FF_X17_Y22_N9
\led_flash_cnt[2632][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2632][2]~63730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2632][2]~q\);

-- Location: LCCOMB_X17_Y22_N10
\led_flash_cnt[2632][3]~63732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2632][3]~63732_combout\ = (\led_flash_cnt[2632][3]~q\ & (\led_flash_cnt[2632][2]~63731\ $ (GND))) # (!\led_flash_cnt[2632][3]~q\ & (!\led_flash_cnt[2632][2]~63731\ & VCC))
-- \led_flash_cnt[2632][3]~63733\ = CARRY((\led_flash_cnt[2632][3]~q\ & !\led_flash_cnt[2632][2]~63731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2632][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2632][2]~63731\,
	combout => \led_flash_cnt[2632][3]~63732_combout\,
	cout => \led_flash_cnt[2632][3]~63733\);

-- Location: FF_X17_Y22_N11
\led_flash_cnt[2632][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2632][3]~63732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2632][3]~q\);

-- Location: LCCOMB_X17_Y22_N12
\led_flash_cnt[2632][4]~63734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2632][4]~63734_combout\ = (\led_flash_cnt[2632][4]~q\ & (!\led_flash_cnt[2632][3]~63733\)) # (!\led_flash_cnt[2632][4]~q\ & ((\led_flash_cnt[2632][3]~63733\) # (GND)))
-- \led_flash_cnt[2632][4]~63735\ = CARRY((!\led_flash_cnt[2632][3]~63733\) # (!\led_flash_cnt[2632][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2632][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2632][3]~63733\,
	combout => \led_flash_cnt[2632][4]~63734_combout\,
	cout => \led_flash_cnt[2632][4]~63735\);

-- Location: FF_X17_Y22_N13
\led_flash_cnt[2632][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2632][4]~63734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2632][4]~q\);

-- Location: LCCOMB_X17_Y22_N14
\led_flash_cnt[2632][5]~63736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2632][5]~63736_combout\ = (\led_flash_cnt[2632][5]~q\ & (\led_flash_cnt[2632][4]~63735\ $ (GND))) # (!\led_flash_cnt[2632][5]~q\ & (!\led_flash_cnt[2632][4]~63735\ & VCC))
-- \led_flash_cnt[2632][5]~63737\ = CARRY((\led_flash_cnt[2632][5]~q\ & !\led_flash_cnt[2632][4]~63735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2632][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2632][4]~63735\,
	combout => \led_flash_cnt[2632][5]~63736_combout\,
	cout => \led_flash_cnt[2632][5]~63737\);

-- Location: FF_X17_Y22_N15
\led_flash_cnt[2632][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2632][5]~63736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2632][5]~q\);

-- Location: LCCOMB_X17_Y22_N16
\led_flash_cnt[2632][6]~63738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2632][6]~63738_combout\ = (\led_flash_cnt[2632][6]~q\ & (!\led_flash_cnt[2632][5]~63737\)) # (!\led_flash_cnt[2632][6]~q\ & ((\led_flash_cnt[2632][5]~63737\) # (GND)))
-- \led_flash_cnt[2632][6]~63739\ = CARRY((!\led_flash_cnt[2632][5]~63737\) # (!\led_flash_cnt[2632][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2632][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2632][5]~63737\,
	combout => \led_flash_cnt[2632][6]~63738_combout\,
	cout => \led_flash_cnt[2632][6]~63739\);

-- Location: FF_X17_Y22_N17
\led_flash_cnt[2632][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2632][6]~63738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2632][6]~q\);

-- Location: LCCOMB_X17_Y22_N18
\led_flash_cnt[2632][7]~63740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2632][7]~63740_combout\ = \led_flash_cnt[2632][7]~q\ $ (!\led_flash_cnt[2632][6]~63739\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2632][7]~q\,
	cin => \led_flash_cnt[2632][6]~63739\,
	combout => \led_flash_cnt[2632][7]~63740_combout\);

-- Location: FF_X17_Y22_N19
\led_flash_cnt[2632][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2632][7]~63740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2632][7]~q\);

-- Location: LCCOMB_X17_Y22_N28
\WideAnd2632~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2632~0_combout\ = (\led_flash_cnt[2632][3]~q\ & (\led_flash_cnt[2632][4]~q\ & (\led_flash_cnt[2632][2]~q\ & \led_flash_cnt[2632][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2632][3]~q\,
	datab => \led_flash_cnt[2632][4]~q\,
	datac => \led_flash_cnt[2632][2]~q\,
	datad => \led_flash_cnt[2632][1]~q\,
	combout => \WideAnd2632~0_combout\);

-- Location: LCCOMB_X17_Y22_N22
\WideAnd2632~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2632~1_combout\ = (\led_flash_cnt[2632][5]~q\ & \led_flash_cnt[2632][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2632][5]~q\,
	datad => \led_flash_cnt[2632][6]~q\,
	combout => \WideAnd2632~1_combout\);

-- Location: LCCOMB_X17_Y22_N26
WideAnd2632 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2632~combout\ = (\led_flash_cnt[2632][7]~q\ & (\WideAnd2632~0_combout\ & (\WideAnd2632~1_combout\ & \led_flash_cnt[2632][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2632][7]~q\,
	datab => \WideAnd2632~0_combout\,
	datac => \WideAnd2632~1_combout\,
	datad => \led_flash_cnt[2632][0]~q\,
	combout => \WideAnd2632~combout\);

-- Location: FF_X17_Y22_N27
\led_flash_cnt_ands[2632]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2632~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2632));

-- Location: LCCOMB_X19_Y18_N14
\led_flash_cnt[2635][0]~83275\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2635][0]~83275_combout\ = !\led_flash_cnt[2635][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2635][0]~q\,
	combout => \led_flash_cnt[2635][0]~83275_combout\);

-- Location: FF_X19_Y18_N15
\led_flash_cnt[2635][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2635][0]~83275_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2635][0]~q\);

-- Location: LCCOMB_X20_Y18_N18
\led_flash_cnt[2635][1]~63770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2635][1]~63770_combout\ = (\led_flash_cnt[2635][0]~q\ & (\led_flash_cnt[2635][1]~q\ $ (VCC))) # (!\led_flash_cnt[2635][0]~q\ & (\led_flash_cnt[2635][1]~q\ & VCC))
-- \led_flash_cnt[2635][1]~63771\ = CARRY((\led_flash_cnt[2635][0]~q\ & \led_flash_cnt[2635][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2635][0]~q\,
	datab => \led_flash_cnt[2635][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2635][1]~63770_combout\,
	cout => \led_flash_cnt[2635][1]~63771\);

-- Location: FF_X20_Y18_N19
\led_flash_cnt[2635][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2635][1]~63770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2635][1]~q\);

-- Location: LCCOMB_X20_Y18_N20
\led_flash_cnt[2635][2]~63772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2635][2]~63772_combout\ = (\led_flash_cnt[2635][2]~q\ & (!\led_flash_cnt[2635][1]~63771\)) # (!\led_flash_cnt[2635][2]~q\ & ((\led_flash_cnt[2635][1]~63771\) # (GND)))
-- \led_flash_cnt[2635][2]~63773\ = CARRY((!\led_flash_cnt[2635][1]~63771\) # (!\led_flash_cnt[2635][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2635][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2635][1]~63771\,
	combout => \led_flash_cnt[2635][2]~63772_combout\,
	cout => \led_flash_cnt[2635][2]~63773\);

-- Location: FF_X20_Y18_N21
\led_flash_cnt[2635][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2635][2]~63772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2635][2]~q\);

-- Location: LCCOMB_X20_Y18_N22
\led_flash_cnt[2635][3]~63774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2635][3]~63774_combout\ = (\led_flash_cnt[2635][3]~q\ & (\led_flash_cnt[2635][2]~63773\ $ (GND))) # (!\led_flash_cnt[2635][3]~q\ & (!\led_flash_cnt[2635][2]~63773\ & VCC))
-- \led_flash_cnt[2635][3]~63775\ = CARRY((\led_flash_cnt[2635][3]~q\ & !\led_flash_cnt[2635][2]~63773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2635][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2635][2]~63773\,
	combout => \led_flash_cnt[2635][3]~63774_combout\,
	cout => \led_flash_cnt[2635][3]~63775\);

-- Location: FF_X20_Y18_N23
\led_flash_cnt[2635][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2635][3]~63774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2635][3]~q\);

-- Location: LCCOMB_X20_Y18_N24
\led_flash_cnt[2635][4]~63776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2635][4]~63776_combout\ = (\led_flash_cnt[2635][4]~q\ & (!\led_flash_cnt[2635][3]~63775\)) # (!\led_flash_cnt[2635][4]~q\ & ((\led_flash_cnt[2635][3]~63775\) # (GND)))
-- \led_flash_cnt[2635][4]~63777\ = CARRY((!\led_flash_cnt[2635][3]~63775\) # (!\led_flash_cnt[2635][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2635][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2635][3]~63775\,
	combout => \led_flash_cnt[2635][4]~63776_combout\,
	cout => \led_flash_cnt[2635][4]~63777\);

-- Location: FF_X20_Y18_N25
\led_flash_cnt[2635][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2635][4]~63776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2635][4]~q\);

-- Location: LCCOMB_X20_Y18_N26
\led_flash_cnt[2635][5]~63778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2635][5]~63778_combout\ = (\led_flash_cnt[2635][5]~q\ & (\led_flash_cnt[2635][4]~63777\ $ (GND))) # (!\led_flash_cnt[2635][5]~q\ & (!\led_flash_cnt[2635][4]~63777\ & VCC))
-- \led_flash_cnt[2635][5]~63779\ = CARRY((\led_flash_cnt[2635][5]~q\ & !\led_flash_cnt[2635][4]~63777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2635][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2635][4]~63777\,
	combout => \led_flash_cnt[2635][5]~63778_combout\,
	cout => \led_flash_cnt[2635][5]~63779\);

-- Location: FF_X20_Y18_N27
\led_flash_cnt[2635][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2635][5]~63778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2635][5]~q\);

-- Location: LCCOMB_X20_Y18_N28
\led_flash_cnt[2635][6]~63780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2635][6]~63780_combout\ = (\led_flash_cnt[2635][6]~q\ & (!\led_flash_cnt[2635][5]~63779\)) # (!\led_flash_cnt[2635][6]~q\ & ((\led_flash_cnt[2635][5]~63779\) # (GND)))
-- \led_flash_cnt[2635][6]~63781\ = CARRY((!\led_flash_cnt[2635][5]~63779\) # (!\led_flash_cnt[2635][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2635][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2635][5]~63779\,
	combout => \led_flash_cnt[2635][6]~63780_combout\,
	cout => \led_flash_cnt[2635][6]~63781\);

-- Location: FF_X20_Y18_N29
\led_flash_cnt[2635][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2635][6]~63780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2635][6]~q\);

-- Location: LCCOMB_X20_Y18_N30
\led_flash_cnt[2635][7]~63782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2635][7]~63782_combout\ = \led_flash_cnt[2635][7]~q\ $ (!\led_flash_cnt[2635][6]~63781\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2635][7]~q\,
	cin => \led_flash_cnt[2635][6]~63781\,
	combout => \led_flash_cnt[2635][7]~63782_combout\);

-- Location: FF_X20_Y18_N31
\led_flash_cnt[2635][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2635][7]~63782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2635][7]~q\);

-- Location: LCCOMB_X19_Y18_N16
\WideAnd2635~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2635~1_combout\ = (\led_flash_cnt[2635][6]~q\ & \led_flash_cnt[2635][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2635][6]~q\,
	datad => \led_flash_cnt[2635][5]~q\,
	combout => \WideAnd2635~1_combout\);

-- Location: LCCOMB_X20_Y18_N2
\WideAnd2635~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2635~0_combout\ = (\led_flash_cnt[2635][4]~q\ & (\led_flash_cnt[2635][2]~q\ & (\led_flash_cnt[2635][3]~q\ & \led_flash_cnt[2635][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2635][4]~q\,
	datab => \led_flash_cnt[2635][2]~q\,
	datac => \led_flash_cnt[2635][3]~q\,
	datad => \led_flash_cnt[2635][1]~q\,
	combout => \WideAnd2635~0_combout\);

-- Location: LCCOMB_X19_Y18_N0
WideAnd2635 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2635~combout\ = (\led_flash_cnt[2635][7]~q\ & (\WideAnd2635~1_combout\ & (\led_flash_cnt[2635][0]~q\ & \WideAnd2635~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2635][7]~q\,
	datab => \WideAnd2635~1_combout\,
	datac => \led_flash_cnt[2635][0]~q\,
	datad => \WideAnd2635~0_combout\,
	combout => \WideAnd2635~combout\);

-- Location: FF_X19_Y18_N1
\led_flash_cnt_ands[2635]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2635~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2635));

-- Location: LCCOMB_X19_Y18_N6
\WideAnd4169~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4169~0_combout\ = (led_flash_cnt_ands(2634) & (led_flash_cnt_ands(2633) & (led_flash_cnt_ands(2632) & led_flash_cnt_ands(2635))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2634),
	datab => led_flash_cnt_ands(2633),
	datac => led_flash_cnt_ands(2632),
	datad => led_flash_cnt_ands(2635),
	combout => \WideAnd4169~0_combout\);

-- Location: LCCOMB_X14_Y11_N6
\led_flash_cnt[2638][0]~83278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2638][0]~83278_combout\ = !\led_flash_cnt[2638][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2638][0]~q\,
	combout => \led_flash_cnt[2638][0]~83278_combout\);

-- Location: FF_X14_Y11_N7
\led_flash_cnt[2638][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2638][0]~83278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2638][0]~q\);

-- Location: LCCOMB_X15_Y11_N0
\led_flash_cnt[2638][1]~63812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2638][1]~63812_combout\ = (\led_flash_cnt[2638][0]~q\ & (\led_flash_cnt[2638][1]~q\ $ (VCC))) # (!\led_flash_cnt[2638][0]~q\ & (\led_flash_cnt[2638][1]~q\ & VCC))
-- \led_flash_cnt[2638][1]~63813\ = CARRY((\led_flash_cnt[2638][0]~q\ & \led_flash_cnt[2638][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2638][0]~q\,
	datab => \led_flash_cnt[2638][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2638][1]~63812_combout\,
	cout => \led_flash_cnt[2638][1]~63813\);

-- Location: FF_X15_Y11_N1
\led_flash_cnt[2638][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2638][1]~63812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2638][1]~q\);

-- Location: LCCOMB_X15_Y11_N2
\led_flash_cnt[2638][2]~63814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2638][2]~63814_combout\ = (\led_flash_cnt[2638][2]~q\ & (!\led_flash_cnt[2638][1]~63813\)) # (!\led_flash_cnt[2638][2]~q\ & ((\led_flash_cnt[2638][1]~63813\) # (GND)))
-- \led_flash_cnt[2638][2]~63815\ = CARRY((!\led_flash_cnt[2638][1]~63813\) # (!\led_flash_cnt[2638][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2638][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2638][1]~63813\,
	combout => \led_flash_cnt[2638][2]~63814_combout\,
	cout => \led_flash_cnt[2638][2]~63815\);

-- Location: FF_X15_Y11_N3
\led_flash_cnt[2638][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2638][2]~63814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2638][2]~q\);

-- Location: LCCOMB_X15_Y11_N4
\led_flash_cnt[2638][3]~63816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2638][3]~63816_combout\ = (\led_flash_cnt[2638][3]~q\ & (\led_flash_cnt[2638][2]~63815\ $ (GND))) # (!\led_flash_cnt[2638][3]~q\ & (!\led_flash_cnt[2638][2]~63815\ & VCC))
-- \led_flash_cnt[2638][3]~63817\ = CARRY((\led_flash_cnt[2638][3]~q\ & !\led_flash_cnt[2638][2]~63815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2638][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2638][2]~63815\,
	combout => \led_flash_cnt[2638][3]~63816_combout\,
	cout => \led_flash_cnt[2638][3]~63817\);

-- Location: FF_X15_Y11_N5
\led_flash_cnt[2638][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2638][3]~63816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2638][3]~q\);

-- Location: LCCOMB_X15_Y11_N6
\led_flash_cnt[2638][4]~63818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2638][4]~63818_combout\ = (\led_flash_cnt[2638][4]~q\ & (!\led_flash_cnt[2638][3]~63817\)) # (!\led_flash_cnt[2638][4]~q\ & ((\led_flash_cnt[2638][3]~63817\) # (GND)))
-- \led_flash_cnt[2638][4]~63819\ = CARRY((!\led_flash_cnt[2638][3]~63817\) # (!\led_flash_cnt[2638][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2638][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2638][3]~63817\,
	combout => \led_flash_cnt[2638][4]~63818_combout\,
	cout => \led_flash_cnt[2638][4]~63819\);

-- Location: FF_X15_Y11_N7
\led_flash_cnt[2638][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2638][4]~63818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2638][4]~q\);

-- Location: LCCOMB_X15_Y11_N8
\led_flash_cnt[2638][5]~63820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2638][5]~63820_combout\ = (\led_flash_cnt[2638][5]~q\ & (\led_flash_cnt[2638][4]~63819\ $ (GND))) # (!\led_flash_cnt[2638][5]~q\ & (!\led_flash_cnt[2638][4]~63819\ & VCC))
-- \led_flash_cnt[2638][5]~63821\ = CARRY((\led_flash_cnt[2638][5]~q\ & !\led_flash_cnt[2638][4]~63819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2638][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2638][4]~63819\,
	combout => \led_flash_cnt[2638][5]~63820_combout\,
	cout => \led_flash_cnt[2638][5]~63821\);

-- Location: FF_X15_Y11_N9
\led_flash_cnt[2638][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2638][5]~63820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2638][5]~q\);

-- Location: LCCOMB_X15_Y11_N10
\led_flash_cnt[2638][6]~63822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2638][6]~63822_combout\ = (\led_flash_cnt[2638][6]~q\ & (!\led_flash_cnt[2638][5]~63821\)) # (!\led_flash_cnt[2638][6]~q\ & ((\led_flash_cnt[2638][5]~63821\) # (GND)))
-- \led_flash_cnt[2638][6]~63823\ = CARRY((!\led_flash_cnt[2638][5]~63821\) # (!\led_flash_cnt[2638][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2638][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2638][5]~63821\,
	combout => \led_flash_cnt[2638][6]~63822_combout\,
	cout => \led_flash_cnt[2638][6]~63823\);

-- Location: FF_X15_Y11_N11
\led_flash_cnt[2638][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2638][6]~63822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2638][6]~q\);

-- Location: LCCOMB_X14_Y11_N26
\WideAnd2638~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2638~1_combout\ = (\led_flash_cnt[2638][5]~q\ & \led_flash_cnt[2638][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2638][5]~q\,
	datac => \led_flash_cnt[2638][6]~q\,
	combout => \WideAnd2638~1_combout\);

-- Location: LCCOMB_X15_Y11_N14
\WideAnd2638~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2638~0_combout\ = (\led_flash_cnt[2638][4]~q\ & (\led_flash_cnt[2638][2]~q\ & (\led_flash_cnt[2638][3]~q\ & \led_flash_cnt[2638][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2638][4]~q\,
	datab => \led_flash_cnt[2638][2]~q\,
	datac => \led_flash_cnt[2638][3]~q\,
	datad => \led_flash_cnt[2638][1]~q\,
	combout => \WideAnd2638~0_combout\);

-- Location: LCCOMB_X15_Y11_N12
\led_flash_cnt[2638][7]~63824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2638][7]~63824_combout\ = \led_flash_cnt[2638][6]~63823\ $ (!\led_flash_cnt[2638][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2638][7]~q\,
	cin => \led_flash_cnt[2638][6]~63823\,
	combout => \led_flash_cnt[2638][7]~63824_combout\);

-- Location: FF_X15_Y11_N13
\led_flash_cnt[2638][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2638][7]~63824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2638][7]~q\);

-- Location: LCCOMB_X14_Y11_N28
WideAnd2638 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2638~combout\ = (\WideAnd2638~1_combout\ & (\WideAnd2638~0_combout\ & (\led_flash_cnt[2638][7]~q\ & \led_flash_cnt[2638][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2638~1_combout\,
	datab => \WideAnd2638~0_combout\,
	datac => \led_flash_cnt[2638][7]~q\,
	datad => \led_flash_cnt[2638][0]~q\,
	combout => \WideAnd2638~combout\);

-- Location: FF_X14_Y11_N29
\led_flash_cnt_ands[2638]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2638~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2638));

-- Location: LCCOMB_X14_Y11_N0
\led_flash_cnt[2639][0]~83279\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2639][0]~83279_combout\ = !\led_flash_cnt[2639][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2639][0]~q\,
	combout => \led_flash_cnt[2639][0]~83279_combout\);

-- Location: FF_X14_Y11_N1
\led_flash_cnt[2639][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2639][0]~83279_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2639][0]~q\);

-- Location: LCCOMB_X14_Y11_N8
\led_flash_cnt[2639][1]~63826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2639][1]~63826_combout\ = (\led_flash_cnt[2639][1]~q\ & (\led_flash_cnt[2639][0]~q\ $ (VCC))) # (!\led_flash_cnt[2639][1]~q\ & (\led_flash_cnt[2639][0]~q\ & VCC))
-- \led_flash_cnt[2639][1]~63827\ = CARRY((\led_flash_cnt[2639][1]~q\ & \led_flash_cnt[2639][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2639][1]~q\,
	datab => \led_flash_cnt[2639][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2639][1]~63826_combout\,
	cout => \led_flash_cnt[2639][1]~63827\);

-- Location: FF_X14_Y11_N9
\led_flash_cnt[2639][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2639][1]~63826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2639][1]~q\);

-- Location: LCCOMB_X14_Y11_N10
\led_flash_cnt[2639][2]~63828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2639][2]~63828_combout\ = (\led_flash_cnt[2639][2]~q\ & (!\led_flash_cnt[2639][1]~63827\)) # (!\led_flash_cnt[2639][2]~q\ & ((\led_flash_cnt[2639][1]~63827\) # (GND)))
-- \led_flash_cnt[2639][2]~63829\ = CARRY((!\led_flash_cnt[2639][1]~63827\) # (!\led_flash_cnt[2639][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2639][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2639][1]~63827\,
	combout => \led_flash_cnt[2639][2]~63828_combout\,
	cout => \led_flash_cnt[2639][2]~63829\);

-- Location: FF_X14_Y11_N11
\led_flash_cnt[2639][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2639][2]~63828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2639][2]~q\);

-- Location: LCCOMB_X14_Y11_N12
\led_flash_cnt[2639][3]~63830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2639][3]~63830_combout\ = (\led_flash_cnt[2639][3]~q\ & (\led_flash_cnt[2639][2]~63829\ $ (GND))) # (!\led_flash_cnt[2639][3]~q\ & (!\led_flash_cnt[2639][2]~63829\ & VCC))
-- \led_flash_cnt[2639][3]~63831\ = CARRY((\led_flash_cnt[2639][3]~q\ & !\led_flash_cnt[2639][2]~63829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2639][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2639][2]~63829\,
	combout => \led_flash_cnt[2639][3]~63830_combout\,
	cout => \led_flash_cnt[2639][3]~63831\);

-- Location: FF_X14_Y11_N13
\led_flash_cnt[2639][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2639][3]~63830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2639][3]~q\);

-- Location: LCCOMB_X14_Y11_N14
\led_flash_cnt[2639][4]~63832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2639][4]~63832_combout\ = (\led_flash_cnt[2639][4]~q\ & (!\led_flash_cnt[2639][3]~63831\)) # (!\led_flash_cnt[2639][4]~q\ & ((\led_flash_cnt[2639][3]~63831\) # (GND)))
-- \led_flash_cnt[2639][4]~63833\ = CARRY((!\led_flash_cnt[2639][3]~63831\) # (!\led_flash_cnt[2639][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2639][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2639][3]~63831\,
	combout => \led_flash_cnt[2639][4]~63832_combout\,
	cout => \led_flash_cnt[2639][4]~63833\);

-- Location: FF_X14_Y11_N15
\led_flash_cnt[2639][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2639][4]~63832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2639][4]~q\);

-- Location: LCCOMB_X14_Y11_N16
\led_flash_cnt[2639][5]~63834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2639][5]~63834_combout\ = (\led_flash_cnt[2639][5]~q\ & (\led_flash_cnt[2639][4]~63833\ $ (GND))) # (!\led_flash_cnt[2639][5]~q\ & (!\led_flash_cnt[2639][4]~63833\ & VCC))
-- \led_flash_cnt[2639][5]~63835\ = CARRY((\led_flash_cnt[2639][5]~q\ & !\led_flash_cnt[2639][4]~63833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2639][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2639][4]~63833\,
	combout => \led_flash_cnt[2639][5]~63834_combout\,
	cout => \led_flash_cnt[2639][5]~63835\);

-- Location: FF_X14_Y11_N17
\led_flash_cnt[2639][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2639][5]~63834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2639][5]~q\);

-- Location: LCCOMB_X14_Y11_N18
\led_flash_cnt[2639][6]~63836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2639][6]~63836_combout\ = (\led_flash_cnt[2639][6]~q\ & (!\led_flash_cnt[2639][5]~63835\)) # (!\led_flash_cnt[2639][6]~q\ & ((\led_flash_cnt[2639][5]~63835\) # (GND)))
-- \led_flash_cnt[2639][6]~63837\ = CARRY((!\led_flash_cnt[2639][5]~63835\) # (!\led_flash_cnt[2639][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2639][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2639][5]~63835\,
	combout => \led_flash_cnt[2639][6]~63836_combout\,
	cout => \led_flash_cnt[2639][6]~63837\);

-- Location: FF_X14_Y11_N19
\led_flash_cnt[2639][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2639][6]~63836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2639][6]~q\);

-- Location: LCCOMB_X14_Y11_N22
\WideAnd2639~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2639~1_combout\ = (\led_flash_cnt[2639][5]~q\ & \led_flash_cnt[2639][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2639][5]~q\,
	datad => \led_flash_cnt[2639][6]~q\,
	combout => \WideAnd2639~1_combout\);

-- Location: LCCOMB_X14_Y11_N20
\led_flash_cnt[2639][7]~63838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2639][7]~63838_combout\ = \led_flash_cnt[2639][6]~63837\ $ (!\led_flash_cnt[2639][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2639][7]~q\,
	cin => \led_flash_cnt[2639][6]~63837\,
	combout => \led_flash_cnt[2639][7]~63838_combout\);

-- Location: FF_X14_Y11_N21
\led_flash_cnt[2639][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2639][7]~63838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2639][7]~q\);

-- Location: LCCOMB_X14_Y11_N30
\WideAnd2639~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2639~0_combout\ = (\led_flash_cnt[2639][3]~q\ & (\led_flash_cnt[2639][4]~q\ & (\led_flash_cnt[2639][1]~q\ & \led_flash_cnt[2639][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2639][3]~q\,
	datab => \led_flash_cnt[2639][4]~q\,
	datac => \led_flash_cnt[2639][1]~q\,
	datad => \led_flash_cnt[2639][2]~q\,
	combout => \WideAnd2639~0_combout\);

-- Location: LCCOMB_X14_Y11_N4
WideAnd2639 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2639~combout\ = (\WideAnd2639~1_combout\ & (\led_flash_cnt[2639][7]~q\ & (\WideAnd2639~0_combout\ & \led_flash_cnt[2639][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2639~1_combout\,
	datab => \led_flash_cnt[2639][7]~q\,
	datac => \WideAnd2639~0_combout\,
	datad => \led_flash_cnt[2639][0]~q\,
	combout => \WideAnd2639~combout\);

-- Location: FF_X14_Y11_N5
\led_flash_cnt_ands[2639]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2639~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2639));

-- Location: LCCOMB_X9_Y2_N30
\led_flash_cnt[2637][0]~83277\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2637][0]~83277_combout\ = !\led_flash_cnt[2637][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2637][0]~q\,
	combout => \led_flash_cnt[2637][0]~83277_combout\);

-- Location: FF_X9_Y2_N31
\led_flash_cnt[2637][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2637][0]~83277_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2637][0]~q\);

-- Location: LCCOMB_X9_Y2_N8
\led_flash_cnt[2637][1]~63798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2637][1]~63798_combout\ = (\led_flash_cnt[2637][0]~q\ & (\led_flash_cnt[2637][1]~q\ $ (VCC))) # (!\led_flash_cnt[2637][0]~q\ & (\led_flash_cnt[2637][1]~q\ & VCC))
-- \led_flash_cnt[2637][1]~63799\ = CARRY((\led_flash_cnt[2637][0]~q\ & \led_flash_cnt[2637][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2637][0]~q\,
	datab => \led_flash_cnt[2637][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2637][1]~63798_combout\,
	cout => \led_flash_cnt[2637][1]~63799\);

-- Location: FF_X9_Y2_N9
\led_flash_cnt[2637][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2637][1]~63798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2637][1]~q\);

-- Location: LCCOMB_X9_Y2_N10
\led_flash_cnt[2637][2]~63800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2637][2]~63800_combout\ = (\led_flash_cnt[2637][2]~q\ & (!\led_flash_cnt[2637][1]~63799\)) # (!\led_flash_cnt[2637][2]~q\ & ((\led_flash_cnt[2637][1]~63799\) # (GND)))
-- \led_flash_cnt[2637][2]~63801\ = CARRY((!\led_flash_cnt[2637][1]~63799\) # (!\led_flash_cnt[2637][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2637][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2637][1]~63799\,
	combout => \led_flash_cnt[2637][2]~63800_combout\,
	cout => \led_flash_cnt[2637][2]~63801\);

-- Location: FF_X9_Y2_N11
\led_flash_cnt[2637][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2637][2]~63800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2637][2]~q\);

-- Location: LCCOMB_X9_Y2_N12
\led_flash_cnt[2637][3]~63802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2637][3]~63802_combout\ = (\led_flash_cnt[2637][3]~q\ & (\led_flash_cnt[2637][2]~63801\ $ (GND))) # (!\led_flash_cnt[2637][3]~q\ & (!\led_flash_cnt[2637][2]~63801\ & VCC))
-- \led_flash_cnt[2637][3]~63803\ = CARRY((\led_flash_cnt[2637][3]~q\ & !\led_flash_cnt[2637][2]~63801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2637][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2637][2]~63801\,
	combout => \led_flash_cnt[2637][3]~63802_combout\,
	cout => \led_flash_cnt[2637][3]~63803\);

-- Location: FF_X9_Y2_N13
\led_flash_cnt[2637][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2637][3]~63802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2637][3]~q\);

-- Location: LCCOMB_X9_Y2_N14
\led_flash_cnt[2637][4]~63804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2637][4]~63804_combout\ = (\led_flash_cnt[2637][4]~q\ & (!\led_flash_cnt[2637][3]~63803\)) # (!\led_flash_cnt[2637][4]~q\ & ((\led_flash_cnt[2637][3]~63803\) # (GND)))
-- \led_flash_cnt[2637][4]~63805\ = CARRY((!\led_flash_cnt[2637][3]~63803\) # (!\led_flash_cnt[2637][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2637][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2637][3]~63803\,
	combout => \led_flash_cnt[2637][4]~63804_combout\,
	cout => \led_flash_cnt[2637][4]~63805\);

-- Location: FF_X9_Y2_N15
\led_flash_cnt[2637][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2637][4]~63804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2637][4]~q\);

-- Location: LCCOMB_X9_Y2_N16
\led_flash_cnt[2637][5]~63806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2637][5]~63806_combout\ = (\led_flash_cnt[2637][5]~q\ & (\led_flash_cnt[2637][4]~63805\ $ (GND))) # (!\led_flash_cnt[2637][5]~q\ & (!\led_flash_cnt[2637][4]~63805\ & VCC))
-- \led_flash_cnt[2637][5]~63807\ = CARRY((\led_flash_cnt[2637][5]~q\ & !\led_flash_cnt[2637][4]~63805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2637][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2637][4]~63805\,
	combout => \led_flash_cnt[2637][5]~63806_combout\,
	cout => \led_flash_cnt[2637][5]~63807\);

-- Location: FF_X9_Y2_N17
\led_flash_cnt[2637][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2637][5]~63806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2637][5]~q\);

-- Location: LCCOMB_X9_Y2_N18
\led_flash_cnt[2637][6]~63808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2637][6]~63808_combout\ = (\led_flash_cnt[2637][6]~q\ & (!\led_flash_cnt[2637][5]~63807\)) # (!\led_flash_cnt[2637][6]~q\ & ((\led_flash_cnt[2637][5]~63807\) # (GND)))
-- \led_flash_cnt[2637][6]~63809\ = CARRY((!\led_flash_cnt[2637][5]~63807\) # (!\led_flash_cnt[2637][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2637][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2637][5]~63807\,
	combout => \led_flash_cnt[2637][6]~63808_combout\,
	cout => \led_flash_cnt[2637][6]~63809\);

-- Location: FF_X9_Y2_N19
\led_flash_cnt[2637][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2637][6]~63808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2637][6]~q\);

-- Location: LCCOMB_X9_Y2_N20
\led_flash_cnt[2637][7]~63810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2637][7]~63810_combout\ = \led_flash_cnt[2637][6]~63809\ $ (!\led_flash_cnt[2637][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2637][7]~q\,
	cin => \led_flash_cnt[2637][6]~63809\,
	combout => \led_flash_cnt[2637][7]~63810_combout\);

-- Location: FF_X9_Y2_N21
\led_flash_cnt[2637][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2637][7]~63810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2637][7]~q\);

-- Location: LCCOMB_X9_Y2_N22
\WideAnd2637~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2637~1_combout\ = (\led_flash_cnt[2637][6]~q\ & \led_flash_cnt[2637][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2637][6]~q\,
	datad => \led_flash_cnt[2637][5]~q\,
	combout => \WideAnd2637~1_combout\);

-- Location: LCCOMB_X9_Y2_N24
\WideAnd2637~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2637~0_combout\ = (\led_flash_cnt[2637][3]~q\ & (\led_flash_cnt[2637][1]~q\ & (\led_flash_cnt[2637][4]~q\ & \led_flash_cnt[2637][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2637][3]~q\,
	datab => \led_flash_cnt[2637][1]~q\,
	datac => \led_flash_cnt[2637][4]~q\,
	datad => \led_flash_cnt[2637][2]~q\,
	combout => \WideAnd2637~0_combout\);

-- Location: LCCOMB_X9_Y2_N26
WideAnd2637 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2637~combout\ = (\led_flash_cnt[2637][0]~q\ & (\led_flash_cnt[2637][7]~q\ & (\WideAnd2637~1_combout\ & \WideAnd2637~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2637][0]~q\,
	datab => \led_flash_cnt[2637][7]~q\,
	datac => \WideAnd2637~1_combout\,
	datad => \WideAnd2637~0_combout\,
	combout => \WideAnd2637~combout\);

-- Location: FF_X9_Y2_N27
\led_flash_cnt_ands[2637]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2637~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2637));

-- Location: LCCOMB_X9_Y2_N6
\led_flash_cnt[2636][0]~83276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2636][0]~83276_combout\ = !\led_flash_cnt[2636][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2636][0]~q\,
	combout => \led_flash_cnt[2636][0]~83276_combout\);

-- Location: FF_X9_Y2_N7
\led_flash_cnt[2636][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2636][0]~83276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2636][0]~q\);

-- Location: LCCOMB_X10_Y2_N16
\led_flash_cnt[2636][1]~63784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2636][1]~63784_combout\ = (\led_flash_cnt[2636][0]~q\ & (\led_flash_cnt[2636][1]~q\ $ (VCC))) # (!\led_flash_cnt[2636][0]~q\ & (\led_flash_cnt[2636][1]~q\ & VCC))
-- \led_flash_cnt[2636][1]~63785\ = CARRY((\led_flash_cnt[2636][0]~q\ & \led_flash_cnt[2636][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2636][0]~q\,
	datab => \led_flash_cnt[2636][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2636][1]~63784_combout\,
	cout => \led_flash_cnt[2636][1]~63785\);

-- Location: FF_X10_Y2_N17
\led_flash_cnt[2636][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2636][1]~63784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2636][1]~q\);

-- Location: LCCOMB_X10_Y2_N18
\led_flash_cnt[2636][2]~63786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2636][2]~63786_combout\ = (\led_flash_cnt[2636][2]~q\ & (!\led_flash_cnt[2636][1]~63785\)) # (!\led_flash_cnt[2636][2]~q\ & ((\led_flash_cnt[2636][1]~63785\) # (GND)))
-- \led_flash_cnt[2636][2]~63787\ = CARRY((!\led_flash_cnt[2636][1]~63785\) # (!\led_flash_cnt[2636][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2636][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2636][1]~63785\,
	combout => \led_flash_cnt[2636][2]~63786_combout\,
	cout => \led_flash_cnt[2636][2]~63787\);

-- Location: FF_X10_Y2_N19
\led_flash_cnt[2636][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2636][2]~63786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2636][2]~q\);

-- Location: LCCOMB_X10_Y2_N20
\led_flash_cnt[2636][3]~63788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2636][3]~63788_combout\ = (\led_flash_cnt[2636][3]~q\ & (\led_flash_cnt[2636][2]~63787\ $ (GND))) # (!\led_flash_cnt[2636][3]~q\ & (!\led_flash_cnt[2636][2]~63787\ & VCC))
-- \led_flash_cnt[2636][3]~63789\ = CARRY((\led_flash_cnt[2636][3]~q\ & !\led_flash_cnt[2636][2]~63787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2636][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2636][2]~63787\,
	combout => \led_flash_cnt[2636][3]~63788_combout\,
	cout => \led_flash_cnt[2636][3]~63789\);

-- Location: FF_X10_Y2_N21
\led_flash_cnt[2636][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2636][3]~63788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2636][3]~q\);

-- Location: LCCOMB_X10_Y2_N22
\led_flash_cnt[2636][4]~63790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2636][4]~63790_combout\ = (\led_flash_cnt[2636][4]~q\ & (!\led_flash_cnt[2636][3]~63789\)) # (!\led_flash_cnt[2636][4]~q\ & ((\led_flash_cnt[2636][3]~63789\) # (GND)))
-- \led_flash_cnt[2636][4]~63791\ = CARRY((!\led_flash_cnt[2636][3]~63789\) # (!\led_flash_cnt[2636][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2636][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2636][3]~63789\,
	combout => \led_flash_cnt[2636][4]~63790_combout\,
	cout => \led_flash_cnt[2636][4]~63791\);

-- Location: FF_X10_Y2_N23
\led_flash_cnt[2636][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2636][4]~63790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2636][4]~q\);

-- Location: LCCOMB_X10_Y2_N24
\led_flash_cnt[2636][5]~63792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2636][5]~63792_combout\ = (\led_flash_cnt[2636][5]~q\ & (\led_flash_cnt[2636][4]~63791\ $ (GND))) # (!\led_flash_cnt[2636][5]~q\ & (!\led_flash_cnt[2636][4]~63791\ & VCC))
-- \led_flash_cnt[2636][5]~63793\ = CARRY((\led_flash_cnt[2636][5]~q\ & !\led_flash_cnt[2636][4]~63791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2636][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2636][4]~63791\,
	combout => \led_flash_cnt[2636][5]~63792_combout\,
	cout => \led_flash_cnt[2636][5]~63793\);

-- Location: FF_X10_Y2_N25
\led_flash_cnt[2636][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2636][5]~63792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2636][5]~q\);

-- Location: LCCOMB_X10_Y2_N26
\led_flash_cnt[2636][6]~63794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2636][6]~63794_combout\ = (\led_flash_cnt[2636][6]~q\ & (!\led_flash_cnt[2636][5]~63793\)) # (!\led_flash_cnt[2636][6]~q\ & ((\led_flash_cnt[2636][5]~63793\) # (GND)))
-- \led_flash_cnt[2636][6]~63795\ = CARRY((!\led_flash_cnt[2636][5]~63793\) # (!\led_flash_cnt[2636][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2636][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2636][5]~63793\,
	combout => \led_flash_cnt[2636][6]~63794_combout\,
	cout => \led_flash_cnt[2636][6]~63795\);

-- Location: FF_X10_Y2_N27
\led_flash_cnt[2636][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2636][6]~63794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2636][6]~q\);

-- Location: LCCOMB_X10_Y2_N28
\led_flash_cnt[2636][7]~63796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2636][7]~63796_combout\ = \led_flash_cnt[2636][6]~63795\ $ (!\led_flash_cnt[2636][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2636][7]~q\,
	cin => \led_flash_cnt[2636][6]~63795\,
	combout => \led_flash_cnt[2636][7]~63796_combout\);

-- Location: FF_X10_Y2_N29
\led_flash_cnt[2636][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2636][7]~63796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2636][7]~q\);

-- Location: LCCOMB_X10_Y2_N30
\WideAnd2636~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2636~0_combout\ = (\led_flash_cnt[2636][3]~q\ & (\led_flash_cnt[2636][1]~q\ & (\led_flash_cnt[2636][4]~q\ & \led_flash_cnt[2636][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2636][3]~q\,
	datab => \led_flash_cnt[2636][1]~q\,
	datac => \led_flash_cnt[2636][4]~q\,
	datad => \led_flash_cnt[2636][2]~q\,
	combout => \WideAnd2636~0_combout\);

-- Location: LCCOMB_X9_Y2_N0
\WideAnd2636~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2636~1_combout\ = (\led_flash_cnt[2636][5]~q\ & \led_flash_cnt[2636][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2636][5]~q\,
	datad => \led_flash_cnt[2636][6]~q\,
	combout => \WideAnd2636~1_combout\);

-- Location: LCCOMB_X9_Y2_N28
WideAnd2636 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2636~combout\ = (\led_flash_cnt[2636][0]~q\ & (\led_flash_cnt[2636][7]~q\ & (\WideAnd2636~0_combout\ & \WideAnd2636~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2636][0]~q\,
	datab => \led_flash_cnt[2636][7]~q\,
	datac => \WideAnd2636~0_combout\,
	datad => \WideAnd2636~1_combout\,
	combout => \WideAnd2636~combout\);

-- Location: FF_X9_Y2_N29
\led_flash_cnt_ands[2636]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2636~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2636));

-- Location: LCCOMB_X9_Y2_N4
\WideAnd4169~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4169~1_combout\ = (led_flash_cnt_ands(2637) & led_flash_cnt_ands(2636))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2637),
	datad => led_flash_cnt_ands(2636),
	combout => \WideAnd4169~1_combout\);

-- Location: LCCOMB_X14_Y11_N24
WideAnd4169 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4169~combout\ = (\WideAnd4169~0_combout\ & (led_flash_cnt_ands(2638) & (led_flash_cnt_ands(2639) & \WideAnd4169~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4169~0_combout\,
	datab => led_flash_cnt_ands(2638),
	datac => led_flash_cnt_ands(2639),
	datad => \WideAnd4169~1_combout\,
	combout => \WideAnd4169~combout\);

-- Location: FF_X14_Y11_N25
\led_flash_cnt_ands_1[329]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4169~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(329));

-- Location: LCCOMB_X15_Y13_N4
\WideAnd4361~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4361~0_combout\ = (led_flash_cnt_ands_1(328) & (led_flash_cnt_ands_1(331) & (led_flash_cnt_ands_1(330) & led_flash_cnt_ands_1(329))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(328),
	datab => led_flash_cnt_ands_1(331),
	datac => led_flash_cnt_ands_1(330),
	datad => led_flash_cnt_ands_1(329),
	combout => \WideAnd4361~0_combout\);

-- Location: LCCOMB_X26_Y25_N0
WideAnd4361 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4361~combout\ = (\WideAnd4361~1_combout\ & (led_flash_cnt_ands_1(334) & (led_flash_cnt_ands_1(335) & \WideAnd4361~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4361~1_combout\,
	datab => led_flash_cnt_ands_1(334),
	datac => led_flash_cnt_ands_1(335),
	datad => \WideAnd4361~0_combout\,
	combout => \WideAnd4361~combout\);

-- Location: FF_X26_Y25_N1
\led_flash_cnt_ands_2[41]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4361~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(41));

-- Location: LCCOMB_X39_Y23_N6
\led_flash_cnt[2746][0]~83386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2746][0]~83386_combout\ = !\led_flash_cnt[2746][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2746][0]~q\,
	combout => \led_flash_cnt[2746][0]~83386_combout\);

-- Location: FF_X39_Y23_N7
\led_flash_cnt[2746][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2746][0]~83386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2746][0]~q\);

-- Location: LCCOMB_X38_Y19_N18
\led_flash_cnt[2746][1]~65324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2746][1]~65324_combout\ = (\led_flash_cnt[2746][0]~q\ & (\led_flash_cnt[2746][1]~q\ $ (VCC))) # (!\led_flash_cnt[2746][0]~q\ & (\led_flash_cnt[2746][1]~q\ & VCC))
-- \led_flash_cnt[2746][1]~65325\ = CARRY((\led_flash_cnt[2746][0]~q\ & \led_flash_cnt[2746][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2746][0]~q\,
	datab => \led_flash_cnt[2746][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2746][1]~65324_combout\,
	cout => \led_flash_cnt[2746][1]~65325\);

-- Location: FF_X38_Y19_N19
\led_flash_cnt[2746][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2746][1]~65324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2746][1]~q\);

-- Location: LCCOMB_X38_Y19_N20
\led_flash_cnt[2746][2]~65326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2746][2]~65326_combout\ = (\led_flash_cnt[2746][2]~q\ & (!\led_flash_cnt[2746][1]~65325\)) # (!\led_flash_cnt[2746][2]~q\ & ((\led_flash_cnt[2746][1]~65325\) # (GND)))
-- \led_flash_cnt[2746][2]~65327\ = CARRY((!\led_flash_cnt[2746][1]~65325\) # (!\led_flash_cnt[2746][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2746][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2746][1]~65325\,
	combout => \led_flash_cnt[2746][2]~65326_combout\,
	cout => \led_flash_cnt[2746][2]~65327\);

-- Location: FF_X38_Y19_N21
\led_flash_cnt[2746][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2746][2]~65326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2746][2]~q\);

-- Location: LCCOMB_X38_Y19_N22
\led_flash_cnt[2746][3]~65328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2746][3]~65328_combout\ = (\led_flash_cnt[2746][3]~q\ & (\led_flash_cnt[2746][2]~65327\ $ (GND))) # (!\led_flash_cnt[2746][3]~q\ & (!\led_flash_cnt[2746][2]~65327\ & VCC))
-- \led_flash_cnt[2746][3]~65329\ = CARRY((\led_flash_cnt[2746][3]~q\ & !\led_flash_cnt[2746][2]~65327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2746][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2746][2]~65327\,
	combout => \led_flash_cnt[2746][3]~65328_combout\,
	cout => \led_flash_cnt[2746][3]~65329\);

-- Location: FF_X38_Y19_N23
\led_flash_cnt[2746][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2746][3]~65328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2746][3]~q\);

-- Location: LCCOMB_X38_Y19_N24
\led_flash_cnt[2746][4]~65330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2746][4]~65330_combout\ = (\led_flash_cnt[2746][4]~q\ & (!\led_flash_cnt[2746][3]~65329\)) # (!\led_flash_cnt[2746][4]~q\ & ((\led_flash_cnt[2746][3]~65329\) # (GND)))
-- \led_flash_cnt[2746][4]~65331\ = CARRY((!\led_flash_cnt[2746][3]~65329\) # (!\led_flash_cnt[2746][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2746][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2746][3]~65329\,
	combout => \led_flash_cnt[2746][4]~65330_combout\,
	cout => \led_flash_cnt[2746][4]~65331\);

-- Location: FF_X38_Y19_N25
\led_flash_cnt[2746][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2746][4]~65330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2746][4]~q\);

-- Location: LCCOMB_X38_Y19_N26
\led_flash_cnt[2746][5]~65332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2746][5]~65332_combout\ = (\led_flash_cnt[2746][5]~q\ & (\led_flash_cnt[2746][4]~65331\ $ (GND))) # (!\led_flash_cnt[2746][5]~q\ & (!\led_flash_cnt[2746][4]~65331\ & VCC))
-- \led_flash_cnt[2746][5]~65333\ = CARRY((\led_flash_cnt[2746][5]~q\ & !\led_flash_cnt[2746][4]~65331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2746][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2746][4]~65331\,
	combout => \led_flash_cnt[2746][5]~65332_combout\,
	cout => \led_flash_cnt[2746][5]~65333\);

-- Location: FF_X38_Y19_N27
\led_flash_cnt[2746][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2746][5]~65332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2746][5]~q\);

-- Location: LCCOMB_X38_Y19_N28
\led_flash_cnt[2746][6]~65334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2746][6]~65334_combout\ = (\led_flash_cnt[2746][6]~q\ & (!\led_flash_cnt[2746][5]~65333\)) # (!\led_flash_cnt[2746][6]~q\ & ((\led_flash_cnt[2746][5]~65333\) # (GND)))
-- \led_flash_cnt[2746][6]~65335\ = CARRY((!\led_flash_cnt[2746][5]~65333\) # (!\led_flash_cnt[2746][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2746][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2746][5]~65333\,
	combout => \led_flash_cnt[2746][6]~65334_combout\,
	cout => \led_flash_cnt[2746][6]~65335\);

-- Location: FF_X38_Y19_N29
\led_flash_cnt[2746][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2746][6]~65334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2746][6]~q\);

-- Location: LCCOMB_X38_Y19_N30
\led_flash_cnt[2746][7]~65336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2746][7]~65336_combout\ = \led_flash_cnt[2746][7]~q\ $ (!\led_flash_cnt[2746][6]~65335\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2746][7]~q\,
	cin => \led_flash_cnt[2746][6]~65335\,
	combout => \led_flash_cnt[2746][7]~65336_combout\);

-- Location: FF_X38_Y19_N31
\led_flash_cnt[2746][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2746][7]~65336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2746][7]~q\);

-- Location: LCCOMB_X38_Y19_N16
\WideAnd2746~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2746~0_combout\ = (\led_flash_cnt[2746][1]~q\ & (\led_flash_cnt[2746][4]~q\ & (\led_flash_cnt[2746][3]~q\ & \led_flash_cnt[2746][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2746][1]~q\,
	datab => \led_flash_cnt[2746][4]~q\,
	datac => \led_flash_cnt[2746][3]~q\,
	datad => \led_flash_cnt[2746][2]~q\,
	combout => \WideAnd2746~0_combout\);

-- Location: LCCOMB_X38_Y23_N24
\WideAnd2746~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2746~1_combout\ = (\led_flash_cnt[2746][6]~q\ & \led_flash_cnt[2746][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2746][6]~q\,
	datad => \led_flash_cnt[2746][5]~q\,
	combout => \WideAnd2746~1_combout\);

-- Location: LCCOMB_X39_Y23_N12
WideAnd2746 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2746~combout\ = (\led_flash_cnt[2746][0]~q\ & (\led_flash_cnt[2746][7]~q\ & (\WideAnd2746~0_combout\ & \WideAnd2746~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2746][0]~q\,
	datab => \led_flash_cnt[2746][7]~q\,
	datac => \WideAnd2746~0_combout\,
	datad => \WideAnd2746~1_combout\,
	combout => \WideAnd2746~combout\);

-- Location: FF_X39_Y23_N13
\led_flash_cnt_ands[2746]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2746~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2746));

-- Location: LCCOMB_X39_Y22_N2
\led_flash_cnt[2744][0]~83384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2744][0]~83384_combout\ = !\led_flash_cnt[2744][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2744][0]~q\,
	combout => \led_flash_cnt[2744][0]~83384_combout\);

-- Location: FF_X39_Y22_N3
\led_flash_cnt[2744][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2744][0]~83384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2744][0]~q\);

-- Location: LCCOMB_X38_Y22_N0
\led_flash_cnt[2744][1]~65296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2744][1]~65296_combout\ = (\led_flash_cnt[2744][0]~q\ & (\led_flash_cnt[2744][1]~q\ $ (VCC))) # (!\led_flash_cnt[2744][0]~q\ & (\led_flash_cnt[2744][1]~q\ & VCC))
-- \led_flash_cnt[2744][1]~65297\ = CARRY((\led_flash_cnt[2744][0]~q\ & \led_flash_cnt[2744][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2744][0]~q\,
	datab => \led_flash_cnt[2744][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2744][1]~65296_combout\,
	cout => \led_flash_cnt[2744][1]~65297\);

-- Location: FF_X38_Y22_N1
\led_flash_cnt[2744][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2744][1]~65296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2744][1]~q\);

-- Location: LCCOMB_X38_Y22_N2
\led_flash_cnt[2744][2]~65298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2744][2]~65298_combout\ = (\led_flash_cnt[2744][2]~q\ & (!\led_flash_cnt[2744][1]~65297\)) # (!\led_flash_cnt[2744][2]~q\ & ((\led_flash_cnt[2744][1]~65297\) # (GND)))
-- \led_flash_cnt[2744][2]~65299\ = CARRY((!\led_flash_cnt[2744][1]~65297\) # (!\led_flash_cnt[2744][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2744][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2744][1]~65297\,
	combout => \led_flash_cnt[2744][2]~65298_combout\,
	cout => \led_flash_cnt[2744][2]~65299\);

-- Location: FF_X38_Y22_N3
\led_flash_cnt[2744][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2744][2]~65298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2744][2]~q\);

-- Location: LCCOMB_X38_Y22_N4
\led_flash_cnt[2744][3]~65300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2744][3]~65300_combout\ = (\led_flash_cnt[2744][3]~q\ & (\led_flash_cnt[2744][2]~65299\ $ (GND))) # (!\led_flash_cnt[2744][3]~q\ & (!\led_flash_cnt[2744][2]~65299\ & VCC))
-- \led_flash_cnt[2744][3]~65301\ = CARRY((\led_flash_cnt[2744][3]~q\ & !\led_flash_cnt[2744][2]~65299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2744][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2744][2]~65299\,
	combout => \led_flash_cnt[2744][3]~65300_combout\,
	cout => \led_flash_cnt[2744][3]~65301\);

-- Location: FF_X38_Y22_N5
\led_flash_cnt[2744][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2744][3]~65300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2744][3]~q\);

-- Location: LCCOMB_X38_Y22_N6
\led_flash_cnt[2744][4]~65302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2744][4]~65302_combout\ = (\led_flash_cnt[2744][4]~q\ & (!\led_flash_cnt[2744][3]~65301\)) # (!\led_flash_cnt[2744][4]~q\ & ((\led_flash_cnt[2744][3]~65301\) # (GND)))
-- \led_flash_cnt[2744][4]~65303\ = CARRY((!\led_flash_cnt[2744][3]~65301\) # (!\led_flash_cnt[2744][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2744][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2744][3]~65301\,
	combout => \led_flash_cnt[2744][4]~65302_combout\,
	cout => \led_flash_cnt[2744][4]~65303\);

-- Location: FF_X38_Y22_N7
\led_flash_cnt[2744][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2744][4]~65302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2744][4]~q\);

-- Location: LCCOMB_X38_Y22_N8
\led_flash_cnt[2744][5]~65304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2744][5]~65304_combout\ = (\led_flash_cnt[2744][5]~q\ & (\led_flash_cnt[2744][4]~65303\ $ (GND))) # (!\led_flash_cnt[2744][5]~q\ & (!\led_flash_cnt[2744][4]~65303\ & VCC))
-- \led_flash_cnt[2744][5]~65305\ = CARRY((\led_flash_cnt[2744][5]~q\ & !\led_flash_cnt[2744][4]~65303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2744][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2744][4]~65303\,
	combout => \led_flash_cnt[2744][5]~65304_combout\,
	cout => \led_flash_cnt[2744][5]~65305\);

-- Location: FF_X38_Y22_N9
\led_flash_cnt[2744][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2744][5]~65304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2744][5]~q\);

-- Location: LCCOMB_X38_Y22_N10
\led_flash_cnt[2744][6]~65306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2744][6]~65306_combout\ = (\led_flash_cnt[2744][6]~q\ & (!\led_flash_cnt[2744][5]~65305\)) # (!\led_flash_cnt[2744][6]~q\ & ((\led_flash_cnt[2744][5]~65305\) # (GND)))
-- \led_flash_cnt[2744][6]~65307\ = CARRY((!\led_flash_cnt[2744][5]~65305\) # (!\led_flash_cnt[2744][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2744][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2744][5]~65305\,
	combout => \led_flash_cnt[2744][6]~65306_combout\,
	cout => \led_flash_cnt[2744][6]~65307\);

-- Location: FF_X38_Y22_N11
\led_flash_cnt[2744][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2744][6]~65306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2744][6]~q\);

-- Location: LCCOMB_X38_Y22_N12
\led_flash_cnt[2744][7]~65308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2744][7]~65308_combout\ = \led_flash_cnt[2744][6]~65307\ $ (!\led_flash_cnt[2744][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2744][7]~q\,
	cin => \led_flash_cnt[2744][6]~65307\,
	combout => \led_flash_cnt[2744][7]~65308_combout\);

-- Location: FF_X38_Y22_N13
\led_flash_cnt[2744][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2744][7]~65308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2744][7]~q\);

-- Location: LCCOMB_X39_Y22_N20
\WideAnd2744~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2744~1_combout\ = (\led_flash_cnt[2744][6]~q\ & \led_flash_cnt[2744][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2744][6]~q\,
	datad => \led_flash_cnt[2744][5]~q\,
	combout => \WideAnd2744~1_combout\);

-- Location: LCCOMB_X38_Y22_N16
\WideAnd2744~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2744~0_combout\ = (\led_flash_cnt[2744][4]~q\ & (\led_flash_cnt[2744][1]~q\ & (\led_flash_cnt[2744][3]~q\ & \led_flash_cnt[2744][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2744][4]~q\,
	datab => \led_flash_cnt[2744][1]~q\,
	datac => \led_flash_cnt[2744][3]~q\,
	datad => \led_flash_cnt[2744][2]~q\,
	combout => \WideAnd2744~0_combout\);

-- Location: LCCOMB_X39_Y22_N0
WideAnd2744 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2744~combout\ = (\led_flash_cnt[2744][7]~q\ & (\WideAnd2744~1_combout\ & (\WideAnd2744~0_combout\ & \led_flash_cnt[2744][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2744][7]~q\,
	datab => \WideAnd2744~1_combout\,
	datac => \WideAnd2744~0_combout\,
	datad => \led_flash_cnt[2744][0]~q\,
	combout => \WideAnd2744~combout\);

-- Location: FF_X39_Y22_N1
\led_flash_cnt_ands[2744]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2744~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2744));

-- Location: LCCOMB_X39_Y23_N10
\led_flash_cnt[2747][0]~83387\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2747][0]~83387_combout\ = !\led_flash_cnt[2747][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2747][0]~q\,
	combout => \led_flash_cnt[2747][0]~83387_combout\);

-- Location: FF_X39_Y23_N11
\led_flash_cnt[2747][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2747][0]~83387_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2747][0]~q\);

-- Location: LCCOMB_X39_Y23_N18
\led_flash_cnt[2747][1]~65338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2747][1]~65338_combout\ = (\led_flash_cnt[2747][0]~q\ & (\led_flash_cnt[2747][1]~q\ $ (VCC))) # (!\led_flash_cnt[2747][0]~q\ & (\led_flash_cnt[2747][1]~q\ & VCC))
-- \led_flash_cnt[2747][1]~65339\ = CARRY((\led_flash_cnt[2747][0]~q\ & \led_flash_cnt[2747][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2747][0]~q\,
	datab => \led_flash_cnt[2747][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2747][1]~65338_combout\,
	cout => \led_flash_cnt[2747][1]~65339\);

-- Location: FF_X39_Y23_N19
\led_flash_cnt[2747][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2747][1]~65338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2747][1]~q\);

-- Location: LCCOMB_X39_Y23_N20
\led_flash_cnt[2747][2]~65340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2747][2]~65340_combout\ = (\led_flash_cnt[2747][2]~q\ & (!\led_flash_cnt[2747][1]~65339\)) # (!\led_flash_cnt[2747][2]~q\ & ((\led_flash_cnt[2747][1]~65339\) # (GND)))
-- \led_flash_cnt[2747][2]~65341\ = CARRY((!\led_flash_cnt[2747][1]~65339\) # (!\led_flash_cnt[2747][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2747][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2747][1]~65339\,
	combout => \led_flash_cnt[2747][2]~65340_combout\,
	cout => \led_flash_cnt[2747][2]~65341\);

-- Location: FF_X39_Y23_N21
\led_flash_cnt[2747][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2747][2]~65340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2747][2]~q\);

-- Location: LCCOMB_X39_Y23_N22
\led_flash_cnt[2747][3]~65342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2747][3]~65342_combout\ = (\led_flash_cnt[2747][3]~q\ & (\led_flash_cnt[2747][2]~65341\ $ (GND))) # (!\led_flash_cnt[2747][3]~q\ & (!\led_flash_cnt[2747][2]~65341\ & VCC))
-- \led_flash_cnt[2747][3]~65343\ = CARRY((\led_flash_cnt[2747][3]~q\ & !\led_flash_cnt[2747][2]~65341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2747][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2747][2]~65341\,
	combout => \led_flash_cnt[2747][3]~65342_combout\,
	cout => \led_flash_cnt[2747][3]~65343\);

-- Location: FF_X39_Y23_N23
\led_flash_cnt[2747][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2747][3]~65342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2747][3]~q\);

-- Location: LCCOMB_X39_Y23_N24
\led_flash_cnt[2747][4]~65344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2747][4]~65344_combout\ = (\led_flash_cnt[2747][4]~q\ & (!\led_flash_cnt[2747][3]~65343\)) # (!\led_flash_cnt[2747][4]~q\ & ((\led_flash_cnt[2747][3]~65343\) # (GND)))
-- \led_flash_cnt[2747][4]~65345\ = CARRY((!\led_flash_cnt[2747][3]~65343\) # (!\led_flash_cnt[2747][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2747][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2747][3]~65343\,
	combout => \led_flash_cnt[2747][4]~65344_combout\,
	cout => \led_flash_cnt[2747][4]~65345\);

-- Location: FF_X39_Y23_N25
\led_flash_cnt[2747][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2747][4]~65344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2747][4]~q\);

-- Location: LCCOMB_X39_Y23_N26
\led_flash_cnt[2747][5]~65346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2747][5]~65346_combout\ = (\led_flash_cnt[2747][5]~q\ & (\led_flash_cnt[2747][4]~65345\ $ (GND))) # (!\led_flash_cnt[2747][5]~q\ & (!\led_flash_cnt[2747][4]~65345\ & VCC))
-- \led_flash_cnt[2747][5]~65347\ = CARRY((\led_flash_cnt[2747][5]~q\ & !\led_flash_cnt[2747][4]~65345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2747][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2747][4]~65345\,
	combout => \led_flash_cnt[2747][5]~65346_combout\,
	cout => \led_flash_cnt[2747][5]~65347\);

-- Location: FF_X39_Y23_N27
\led_flash_cnt[2747][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2747][5]~65346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2747][5]~q\);

-- Location: LCCOMB_X39_Y23_N28
\led_flash_cnt[2747][6]~65348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2747][6]~65348_combout\ = (\led_flash_cnt[2747][6]~q\ & (!\led_flash_cnt[2747][5]~65347\)) # (!\led_flash_cnt[2747][6]~q\ & ((\led_flash_cnt[2747][5]~65347\) # (GND)))
-- \led_flash_cnt[2747][6]~65349\ = CARRY((!\led_flash_cnt[2747][5]~65347\) # (!\led_flash_cnt[2747][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2747][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2747][5]~65347\,
	combout => \led_flash_cnt[2747][6]~65348_combout\,
	cout => \led_flash_cnt[2747][6]~65349\);

-- Location: FF_X39_Y23_N29
\led_flash_cnt[2747][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2747][6]~65348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2747][6]~q\);

-- Location: LCCOMB_X39_Y23_N30
\led_flash_cnt[2747][7]~65350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2747][7]~65350_combout\ = \led_flash_cnt[2747][7]~q\ $ (!\led_flash_cnt[2747][6]~65349\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2747][7]~q\,
	cin => \led_flash_cnt[2747][6]~65349\,
	combout => \led_flash_cnt[2747][7]~65350_combout\);

-- Location: FF_X39_Y23_N31
\led_flash_cnt[2747][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2747][7]~65350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2747][7]~q\);

-- Location: LCCOMB_X39_Y23_N8
\WideAnd2747~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2747~1_combout\ = (\led_flash_cnt[2747][5]~q\ & \led_flash_cnt[2747][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2747][5]~q\,
	datad => \led_flash_cnt[2747][6]~q\,
	combout => \WideAnd2747~1_combout\);

-- Location: LCCOMB_X39_Y23_N4
\WideAnd2747~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2747~0_combout\ = (\led_flash_cnt[2747][1]~q\ & (\led_flash_cnt[2747][4]~q\ & (\led_flash_cnt[2747][3]~q\ & \led_flash_cnt[2747][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2747][1]~q\,
	datab => \led_flash_cnt[2747][4]~q\,
	datac => \led_flash_cnt[2747][3]~q\,
	datad => \led_flash_cnt[2747][2]~q\,
	combout => \WideAnd2747~0_combout\);

-- Location: LCCOMB_X39_Y23_N14
WideAnd2747 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2747~combout\ = (\led_flash_cnt[2747][7]~q\ & (\WideAnd2747~1_combout\ & (\WideAnd2747~0_combout\ & \led_flash_cnt[2747][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2747][7]~q\,
	datab => \WideAnd2747~1_combout\,
	datac => \WideAnd2747~0_combout\,
	datad => \led_flash_cnt[2747][0]~q\,
	combout => \WideAnd2747~combout\);

-- Location: FF_X39_Y23_N15
\led_flash_cnt_ands[2747]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2747~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2747));

-- Location: LCCOMB_X39_Y28_N26
\led_flash_cnt[2745][0]~83385\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2745][0]~83385_combout\ = !\led_flash_cnt[2745][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2745][0]~q\,
	combout => \led_flash_cnt[2745][0]~83385_combout\);

-- Location: FF_X39_Y28_N27
\led_flash_cnt[2745][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2745][0]~83385_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2745][0]~q\);

-- Location: LCCOMB_X39_Y27_N10
\led_flash_cnt[2745][1]~65310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2745][1]~65310_combout\ = (\led_flash_cnt[2745][1]~q\ & (\led_flash_cnt[2745][0]~q\ $ (VCC))) # (!\led_flash_cnt[2745][1]~q\ & (\led_flash_cnt[2745][0]~q\ & VCC))
-- \led_flash_cnt[2745][1]~65311\ = CARRY((\led_flash_cnt[2745][1]~q\ & \led_flash_cnt[2745][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2745][1]~q\,
	datab => \led_flash_cnt[2745][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2745][1]~65310_combout\,
	cout => \led_flash_cnt[2745][1]~65311\);

-- Location: FF_X39_Y27_N11
\led_flash_cnt[2745][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2745][1]~65310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2745][1]~q\);

-- Location: LCCOMB_X39_Y27_N12
\led_flash_cnt[2745][2]~65312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2745][2]~65312_combout\ = (\led_flash_cnt[2745][2]~q\ & (!\led_flash_cnt[2745][1]~65311\)) # (!\led_flash_cnt[2745][2]~q\ & ((\led_flash_cnt[2745][1]~65311\) # (GND)))
-- \led_flash_cnt[2745][2]~65313\ = CARRY((!\led_flash_cnt[2745][1]~65311\) # (!\led_flash_cnt[2745][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2745][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2745][1]~65311\,
	combout => \led_flash_cnt[2745][2]~65312_combout\,
	cout => \led_flash_cnt[2745][2]~65313\);

-- Location: FF_X39_Y27_N13
\led_flash_cnt[2745][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2745][2]~65312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2745][2]~q\);

-- Location: LCCOMB_X39_Y27_N14
\led_flash_cnt[2745][3]~65314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2745][3]~65314_combout\ = (\led_flash_cnt[2745][3]~q\ & (\led_flash_cnt[2745][2]~65313\ $ (GND))) # (!\led_flash_cnt[2745][3]~q\ & (!\led_flash_cnt[2745][2]~65313\ & VCC))
-- \led_flash_cnt[2745][3]~65315\ = CARRY((\led_flash_cnt[2745][3]~q\ & !\led_flash_cnt[2745][2]~65313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2745][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2745][2]~65313\,
	combout => \led_flash_cnt[2745][3]~65314_combout\,
	cout => \led_flash_cnt[2745][3]~65315\);

-- Location: FF_X39_Y27_N15
\led_flash_cnt[2745][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2745][3]~65314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2745][3]~q\);

-- Location: LCCOMB_X39_Y27_N16
\led_flash_cnt[2745][4]~65316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2745][4]~65316_combout\ = (\led_flash_cnt[2745][4]~q\ & (!\led_flash_cnt[2745][3]~65315\)) # (!\led_flash_cnt[2745][4]~q\ & ((\led_flash_cnt[2745][3]~65315\) # (GND)))
-- \led_flash_cnt[2745][4]~65317\ = CARRY((!\led_flash_cnt[2745][3]~65315\) # (!\led_flash_cnt[2745][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2745][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2745][3]~65315\,
	combout => \led_flash_cnt[2745][4]~65316_combout\,
	cout => \led_flash_cnt[2745][4]~65317\);

-- Location: FF_X39_Y27_N17
\led_flash_cnt[2745][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2745][4]~65316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2745][4]~q\);

-- Location: LCCOMB_X39_Y27_N18
\led_flash_cnt[2745][5]~65318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2745][5]~65318_combout\ = (\led_flash_cnt[2745][5]~q\ & (\led_flash_cnt[2745][4]~65317\ $ (GND))) # (!\led_flash_cnt[2745][5]~q\ & (!\led_flash_cnt[2745][4]~65317\ & VCC))
-- \led_flash_cnt[2745][5]~65319\ = CARRY((\led_flash_cnt[2745][5]~q\ & !\led_flash_cnt[2745][4]~65317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2745][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2745][4]~65317\,
	combout => \led_flash_cnt[2745][5]~65318_combout\,
	cout => \led_flash_cnt[2745][5]~65319\);

-- Location: FF_X39_Y27_N19
\led_flash_cnt[2745][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2745][5]~65318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2745][5]~q\);

-- Location: LCCOMB_X39_Y27_N20
\led_flash_cnt[2745][6]~65320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2745][6]~65320_combout\ = (\led_flash_cnt[2745][6]~q\ & (!\led_flash_cnt[2745][5]~65319\)) # (!\led_flash_cnt[2745][6]~q\ & ((\led_flash_cnt[2745][5]~65319\) # (GND)))
-- \led_flash_cnt[2745][6]~65321\ = CARRY((!\led_flash_cnt[2745][5]~65319\) # (!\led_flash_cnt[2745][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2745][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2745][5]~65319\,
	combout => \led_flash_cnt[2745][6]~65320_combout\,
	cout => \led_flash_cnt[2745][6]~65321\);

-- Location: FF_X39_Y27_N21
\led_flash_cnt[2745][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2745][6]~65320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2745][6]~q\);

-- Location: LCCOMB_X39_Y27_N22
\led_flash_cnt[2745][7]~65322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2745][7]~65322_combout\ = \led_flash_cnt[2745][7]~q\ $ (!\led_flash_cnt[2745][6]~65321\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2745][7]~q\,
	cin => \led_flash_cnt[2745][6]~65321\,
	combout => \led_flash_cnt[2745][7]~65322_combout\);

-- Location: FF_X39_Y27_N23
\led_flash_cnt[2745][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2745][7]~65322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2745][7]~q\);

-- Location: LCCOMB_X39_Y27_N8
\WideAnd2745~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2745~1_combout\ = (\led_flash_cnt[2745][6]~q\ & \led_flash_cnt[2745][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2745][6]~q\,
	datad => \led_flash_cnt[2745][5]~q\,
	combout => \WideAnd2745~1_combout\);

-- Location: LCCOMB_X39_Y27_N24
\WideAnd2745~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2745~0_combout\ = (\led_flash_cnt[2745][1]~q\ & (\led_flash_cnt[2745][4]~q\ & (\led_flash_cnt[2745][3]~q\ & \led_flash_cnt[2745][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2745][1]~q\,
	datab => \led_flash_cnt[2745][4]~q\,
	datac => \led_flash_cnt[2745][3]~q\,
	datad => \led_flash_cnt[2745][2]~q\,
	combout => \WideAnd2745~0_combout\);

-- Location: LCCOMB_X39_Y27_N6
WideAnd2745 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2745~combout\ = (\led_flash_cnt[2745][7]~q\ & (\led_flash_cnt[2745][0]~q\ & (\WideAnd2745~1_combout\ & \WideAnd2745~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2745][7]~q\,
	datab => \led_flash_cnt[2745][0]~q\,
	datac => \WideAnd2745~1_combout\,
	datad => \WideAnd2745~0_combout\,
	combout => \WideAnd2745~combout\);

-- Location: FF_X39_Y27_N7
\led_flash_cnt_ands[2745]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2745~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2745));

-- Location: LCCOMB_X39_Y23_N16
\WideAnd4183~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4183~0_combout\ = (led_flash_cnt_ands(2746) & (led_flash_cnt_ands(2744) & (led_flash_cnt_ands(2747) & led_flash_cnt_ands(2745))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2746),
	datab => led_flash_cnt_ands(2744),
	datac => led_flash_cnt_ands(2747),
	datad => led_flash_cnt_ands(2745),
	combout => \WideAnd4183~0_combout\);

-- Location: LCCOMB_X42_Y26_N30
\led_flash_cnt[2750][0]~83390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2750][0]~83390_combout\ = !\led_flash_cnt[2750][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2750][0]~q\,
	combout => \led_flash_cnt[2750][0]~83390_combout\);

-- Location: FF_X42_Y26_N31
\led_flash_cnt[2750][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2750][0]~83390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2750][0]~q\);

-- Location: LCCOMB_X42_Y26_N16
\led_flash_cnt[2750][1]~65380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2750][1]~65380_combout\ = (\led_flash_cnt[2750][0]~q\ & (\led_flash_cnt[2750][1]~q\ $ (VCC))) # (!\led_flash_cnt[2750][0]~q\ & (\led_flash_cnt[2750][1]~q\ & VCC))
-- \led_flash_cnt[2750][1]~65381\ = CARRY((\led_flash_cnt[2750][0]~q\ & \led_flash_cnt[2750][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2750][0]~q\,
	datab => \led_flash_cnt[2750][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2750][1]~65380_combout\,
	cout => \led_flash_cnt[2750][1]~65381\);

-- Location: FF_X42_Y26_N17
\led_flash_cnt[2750][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2750][1]~65380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2750][1]~q\);

-- Location: LCCOMB_X42_Y26_N18
\led_flash_cnt[2750][2]~65382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2750][2]~65382_combout\ = (\led_flash_cnt[2750][2]~q\ & (!\led_flash_cnt[2750][1]~65381\)) # (!\led_flash_cnt[2750][2]~q\ & ((\led_flash_cnt[2750][1]~65381\) # (GND)))
-- \led_flash_cnt[2750][2]~65383\ = CARRY((!\led_flash_cnt[2750][1]~65381\) # (!\led_flash_cnt[2750][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2750][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2750][1]~65381\,
	combout => \led_flash_cnt[2750][2]~65382_combout\,
	cout => \led_flash_cnt[2750][2]~65383\);

-- Location: FF_X42_Y26_N19
\led_flash_cnt[2750][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2750][2]~65382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2750][2]~q\);

-- Location: LCCOMB_X42_Y26_N20
\led_flash_cnt[2750][3]~65384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2750][3]~65384_combout\ = (\led_flash_cnt[2750][3]~q\ & (\led_flash_cnt[2750][2]~65383\ $ (GND))) # (!\led_flash_cnt[2750][3]~q\ & (!\led_flash_cnt[2750][2]~65383\ & VCC))
-- \led_flash_cnt[2750][3]~65385\ = CARRY((\led_flash_cnt[2750][3]~q\ & !\led_flash_cnt[2750][2]~65383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2750][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2750][2]~65383\,
	combout => \led_flash_cnt[2750][3]~65384_combout\,
	cout => \led_flash_cnt[2750][3]~65385\);

-- Location: FF_X42_Y26_N21
\led_flash_cnt[2750][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2750][3]~65384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2750][3]~q\);

-- Location: LCCOMB_X42_Y26_N22
\led_flash_cnt[2750][4]~65386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2750][4]~65386_combout\ = (\led_flash_cnt[2750][4]~q\ & (!\led_flash_cnt[2750][3]~65385\)) # (!\led_flash_cnt[2750][4]~q\ & ((\led_flash_cnt[2750][3]~65385\) # (GND)))
-- \led_flash_cnt[2750][4]~65387\ = CARRY((!\led_flash_cnt[2750][3]~65385\) # (!\led_flash_cnt[2750][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2750][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2750][3]~65385\,
	combout => \led_flash_cnt[2750][4]~65386_combout\,
	cout => \led_flash_cnt[2750][4]~65387\);

-- Location: FF_X42_Y26_N23
\led_flash_cnt[2750][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2750][4]~65386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2750][4]~q\);

-- Location: LCCOMB_X42_Y26_N24
\led_flash_cnt[2750][5]~65388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2750][5]~65388_combout\ = (\led_flash_cnt[2750][5]~q\ & (\led_flash_cnt[2750][4]~65387\ $ (GND))) # (!\led_flash_cnt[2750][5]~q\ & (!\led_flash_cnt[2750][4]~65387\ & VCC))
-- \led_flash_cnt[2750][5]~65389\ = CARRY((\led_flash_cnt[2750][5]~q\ & !\led_flash_cnt[2750][4]~65387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2750][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2750][4]~65387\,
	combout => \led_flash_cnt[2750][5]~65388_combout\,
	cout => \led_flash_cnt[2750][5]~65389\);

-- Location: FF_X42_Y26_N25
\led_flash_cnt[2750][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2750][5]~65388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2750][5]~q\);

-- Location: LCCOMB_X42_Y26_N26
\led_flash_cnt[2750][6]~65390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2750][6]~65390_combout\ = (\led_flash_cnt[2750][6]~q\ & (!\led_flash_cnt[2750][5]~65389\)) # (!\led_flash_cnt[2750][6]~q\ & ((\led_flash_cnt[2750][5]~65389\) # (GND)))
-- \led_flash_cnt[2750][6]~65391\ = CARRY((!\led_flash_cnt[2750][5]~65389\) # (!\led_flash_cnt[2750][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2750][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2750][5]~65389\,
	combout => \led_flash_cnt[2750][6]~65390_combout\,
	cout => \led_flash_cnt[2750][6]~65391\);

-- Location: FF_X42_Y26_N27
\led_flash_cnt[2750][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2750][6]~65390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2750][6]~q\);

-- Location: LCCOMB_X42_Y26_N28
\led_flash_cnt[2750][7]~65392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2750][7]~65392_combout\ = \led_flash_cnt[2750][6]~65391\ $ (!\led_flash_cnt[2750][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2750][7]~q\,
	cin => \led_flash_cnt[2750][6]~65391\,
	combout => \led_flash_cnt[2750][7]~65392_combout\);

-- Location: FF_X42_Y26_N29
\led_flash_cnt[2750][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2750][7]~65392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2750][7]~q\);

-- Location: LCCOMB_X42_Y26_N4
\WideAnd2750~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2750~1_combout\ = (\led_flash_cnt[2750][6]~q\ & \led_flash_cnt[2750][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2750][6]~q\,
	datad => \led_flash_cnt[2750][5]~q\,
	combout => \WideAnd2750~1_combout\);

-- Location: LCCOMB_X42_Y26_N12
\WideAnd2750~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2750~0_combout\ = (\led_flash_cnt[2750][3]~q\ & (\led_flash_cnt[2750][2]~q\ & (\led_flash_cnt[2750][4]~q\ & \led_flash_cnt[2750][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2750][3]~q\,
	datab => \led_flash_cnt[2750][2]~q\,
	datac => \led_flash_cnt[2750][4]~q\,
	datad => \led_flash_cnt[2750][1]~q\,
	combout => \WideAnd2750~0_combout\);

-- Location: LCCOMB_X42_Y26_N0
WideAnd2750 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2750~combout\ = (\led_flash_cnt[2750][0]~q\ & (\led_flash_cnt[2750][7]~q\ & (\WideAnd2750~1_combout\ & \WideAnd2750~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2750][0]~q\,
	datab => \led_flash_cnt[2750][7]~q\,
	datac => \WideAnd2750~1_combout\,
	datad => \WideAnd2750~0_combout\,
	combout => \WideAnd2750~combout\);

-- Location: FF_X42_Y26_N1
\led_flash_cnt_ands[2750]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2750~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2750));

-- Location: LCCOMB_X42_Y16_N16
\led_flash_cnt[2748][0]~83388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2748][0]~83388_combout\ = !\led_flash_cnt[2748][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2748][0]~q\,
	combout => \led_flash_cnt[2748][0]~83388_combout\);

-- Location: FF_X42_Y16_N17
\led_flash_cnt[2748][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2748][0]~83388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2748][0]~q\);

-- Location: LCCOMB_X38_Y16_N12
\led_flash_cnt[2748][1]~65352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2748][1]~65352_combout\ = (\led_flash_cnt[2748][1]~q\ & (\led_flash_cnt[2748][0]~q\ $ (VCC))) # (!\led_flash_cnt[2748][1]~q\ & (\led_flash_cnt[2748][0]~q\ & VCC))
-- \led_flash_cnt[2748][1]~65353\ = CARRY((\led_flash_cnt[2748][1]~q\ & \led_flash_cnt[2748][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2748][1]~q\,
	datab => \led_flash_cnt[2748][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2748][1]~65352_combout\,
	cout => \led_flash_cnt[2748][1]~65353\);

-- Location: FF_X38_Y16_N13
\led_flash_cnt[2748][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2748][1]~65352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2748][1]~q\);

-- Location: LCCOMB_X38_Y16_N14
\led_flash_cnt[2748][2]~65354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2748][2]~65354_combout\ = (\led_flash_cnt[2748][2]~q\ & (!\led_flash_cnt[2748][1]~65353\)) # (!\led_flash_cnt[2748][2]~q\ & ((\led_flash_cnt[2748][1]~65353\) # (GND)))
-- \led_flash_cnt[2748][2]~65355\ = CARRY((!\led_flash_cnt[2748][1]~65353\) # (!\led_flash_cnt[2748][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2748][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2748][1]~65353\,
	combout => \led_flash_cnt[2748][2]~65354_combout\,
	cout => \led_flash_cnt[2748][2]~65355\);

-- Location: FF_X38_Y16_N15
\led_flash_cnt[2748][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2748][2]~65354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2748][2]~q\);

-- Location: LCCOMB_X38_Y16_N16
\led_flash_cnt[2748][3]~65356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2748][3]~65356_combout\ = (\led_flash_cnt[2748][3]~q\ & (\led_flash_cnt[2748][2]~65355\ $ (GND))) # (!\led_flash_cnt[2748][3]~q\ & (!\led_flash_cnt[2748][2]~65355\ & VCC))
-- \led_flash_cnt[2748][3]~65357\ = CARRY((\led_flash_cnt[2748][3]~q\ & !\led_flash_cnt[2748][2]~65355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2748][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2748][2]~65355\,
	combout => \led_flash_cnt[2748][3]~65356_combout\,
	cout => \led_flash_cnt[2748][3]~65357\);

-- Location: FF_X38_Y16_N17
\led_flash_cnt[2748][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2748][3]~65356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2748][3]~q\);

-- Location: LCCOMB_X38_Y16_N18
\led_flash_cnt[2748][4]~65358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2748][4]~65358_combout\ = (\led_flash_cnt[2748][4]~q\ & (!\led_flash_cnt[2748][3]~65357\)) # (!\led_flash_cnt[2748][4]~q\ & ((\led_flash_cnt[2748][3]~65357\) # (GND)))
-- \led_flash_cnt[2748][4]~65359\ = CARRY((!\led_flash_cnt[2748][3]~65357\) # (!\led_flash_cnt[2748][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2748][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2748][3]~65357\,
	combout => \led_flash_cnt[2748][4]~65358_combout\,
	cout => \led_flash_cnt[2748][4]~65359\);

-- Location: FF_X38_Y16_N19
\led_flash_cnt[2748][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2748][4]~65358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2748][4]~q\);

-- Location: LCCOMB_X38_Y16_N26
\WideAnd2748~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2748~0_combout\ = (\led_flash_cnt[2748][1]~q\ & (\led_flash_cnt[2748][3]~q\ & (\led_flash_cnt[2748][2]~q\ & \led_flash_cnt[2748][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2748][1]~q\,
	datab => \led_flash_cnt[2748][3]~q\,
	datac => \led_flash_cnt[2748][2]~q\,
	datad => \led_flash_cnt[2748][4]~q\,
	combout => \WideAnd2748~0_combout\);

-- Location: LCCOMB_X38_Y16_N20
\led_flash_cnt[2748][5]~65360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2748][5]~65360_combout\ = (\led_flash_cnt[2748][5]~q\ & (\led_flash_cnt[2748][4]~65359\ $ (GND))) # (!\led_flash_cnt[2748][5]~q\ & (!\led_flash_cnt[2748][4]~65359\ & VCC))
-- \led_flash_cnt[2748][5]~65361\ = CARRY((\led_flash_cnt[2748][5]~q\ & !\led_flash_cnt[2748][4]~65359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2748][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2748][4]~65359\,
	combout => \led_flash_cnt[2748][5]~65360_combout\,
	cout => \led_flash_cnt[2748][5]~65361\);

-- Location: FF_X38_Y16_N21
\led_flash_cnt[2748][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2748][5]~65360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2748][5]~q\);

-- Location: LCCOMB_X38_Y16_N22
\led_flash_cnt[2748][6]~65362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2748][6]~65362_combout\ = (\led_flash_cnt[2748][6]~q\ & (!\led_flash_cnt[2748][5]~65361\)) # (!\led_flash_cnt[2748][6]~q\ & ((\led_flash_cnt[2748][5]~65361\) # (GND)))
-- \led_flash_cnt[2748][6]~65363\ = CARRY((!\led_flash_cnt[2748][5]~65361\) # (!\led_flash_cnt[2748][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2748][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2748][5]~65361\,
	combout => \led_flash_cnt[2748][6]~65362_combout\,
	cout => \led_flash_cnt[2748][6]~65363\);

-- Location: FF_X38_Y16_N23
\led_flash_cnt[2748][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2748][6]~65362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2748][6]~q\);

-- Location: LCCOMB_X38_Y16_N8
\WideAnd2748~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2748~1_combout\ = (\led_flash_cnt[2748][6]~q\ & \led_flash_cnt[2748][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2748][6]~q\,
	datad => \led_flash_cnt[2748][5]~q\,
	combout => \WideAnd2748~1_combout\);

-- Location: LCCOMB_X38_Y16_N24
\led_flash_cnt[2748][7]~65364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2748][7]~65364_combout\ = \led_flash_cnt[2748][6]~65363\ $ (!\led_flash_cnt[2748][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2748][7]~q\,
	cin => \led_flash_cnt[2748][6]~65363\,
	combout => \led_flash_cnt[2748][7]~65364_combout\);

-- Location: FF_X38_Y16_N25
\led_flash_cnt[2748][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2748][7]~65364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2748][7]~q\);

-- Location: LCCOMB_X38_Y16_N30
WideAnd2748 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2748~combout\ = (\WideAnd2748~0_combout\ & (\led_flash_cnt[2748][0]~q\ & (\WideAnd2748~1_combout\ & \led_flash_cnt[2748][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2748~0_combout\,
	datab => \led_flash_cnt[2748][0]~q\,
	datac => \WideAnd2748~1_combout\,
	datad => \led_flash_cnt[2748][7]~q\,
	combout => \WideAnd2748~combout\);

-- Location: FF_X38_Y16_N31
\led_flash_cnt_ands[2748]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2748~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2748));

-- Location: LCCOMB_X38_Y16_N4
\led_flash_cnt[2749][0]~83389\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2749][0]~83389_combout\ = !\led_flash_cnt[2749][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2749][0]~q\,
	combout => \led_flash_cnt[2749][0]~83389_combout\);

-- Location: FF_X38_Y16_N5
\led_flash_cnt[2749][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2749][0]~83389_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2749][0]~q\);

-- Location: LCCOMB_X38_Y20_N0
\led_flash_cnt[2749][1]~65366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2749][1]~65366_combout\ = (\led_flash_cnt[2749][0]~q\ & (\led_flash_cnt[2749][1]~q\ $ (VCC))) # (!\led_flash_cnt[2749][0]~q\ & (\led_flash_cnt[2749][1]~q\ & VCC))
-- \led_flash_cnt[2749][1]~65367\ = CARRY((\led_flash_cnt[2749][0]~q\ & \led_flash_cnt[2749][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2749][0]~q\,
	datab => \led_flash_cnt[2749][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2749][1]~65366_combout\,
	cout => \led_flash_cnt[2749][1]~65367\);

-- Location: FF_X38_Y20_N1
\led_flash_cnt[2749][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2749][1]~65366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2749][1]~q\);

-- Location: LCCOMB_X38_Y20_N2
\led_flash_cnt[2749][2]~65368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2749][2]~65368_combout\ = (\led_flash_cnt[2749][2]~q\ & (!\led_flash_cnt[2749][1]~65367\)) # (!\led_flash_cnt[2749][2]~q\ & ((\led_flash_cnt[2749][1]~65367\) # (GND)))
-- \led_flash_cnt[2749][2]~65369\ = CARRY((!\led_flash_cnt[2749][1]~65367\) # (!\led_flash_cnt[2749][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2749][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2749][1]~65367\,
	combout => \led_flash_cnt[2749][2]~65368_combout\,
	cout => \led_flash_cnt[2749][2]~65369\);

-- Location: FF_X38_Y20_N3
\led_flash_cnt[2749][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2749][2]~65368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2749][2]~q\);

-- Location: LCCOMB_X38_Y20_N4
\led_flash_cnt[2749][3]~65370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2749][3]~65370_combout\ = (\led_flash_cnt[2749][3]~q\ & (\led_flash_cnt[2749][2]~65369\ $ (GND))) # (!\led_flash_cnt[2749][3]~q\ & (!\led_flash_cnt[2749][2]~65369\ & VCC))
-- \led_flash_cnt[2749][3]~65371\ = CARRY((\led_flash_cnt[2749][3]~q\ & !\led_flash_cnt[2749][2]~65369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2749][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2749][2]~65369\,
	combout => \led_flash_cnt[2749][3]~65370_combout\,
	cout => \led_flash_cnt[2749][3]~65371\);

-- Location: FF_X38_Y20_N5
\led_flash_cnt[2749][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2749][3]~65370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2749][3]~q\);

-- Location: LCCOMB_X38_Y20_N6
\led_flash_cnt[2749][4]~65372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2749][4]~65372_combout\ = (\led_flash_cnt[2749][4]~q\ & (!\led_flash_cnt[2749][3]~65371\)) # (!\led_flash_cnt[2749][4]~q\ & ((\led_flash_cnt[2749][3]~65371\) # (GND)))
-- \led_flash_cnt[2749][4]~65373\ = CARRY((!\led_flash_cnt[2749][3]~65371\) # (!\led_flash_cnt[2749][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2749][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2749][3]~65371\,
	combout => \led_flash_cnt[2749][4]~65372_combout\,
	cout => \led_flash_cnt[2749][4]~65373\);

-- Location: FF_X38_Y20_N7
\led_flash_cnt[2749][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2749][4]~65372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2749][4]~q\);

-- Location: LCCOMB_X38_Y20_N30
\WideAnd2749~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2749~0_combout\ = (\led_flash_cnt[2749][4]~q\ & (\led_flash_cnt[2749][2]~q\ & (\led_flash_cnt[2749][3]~q\ & \led_flash_cnt[2749][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2749][4]~q\,
	datab => \led_flash_cnt[2749][2]~q\,
	datac => \led_flash_cnt[2749][3]~q\,
	datad => \led_flash_cnt[2749][1]~q\,
	combout => \WideAnd2749~0_combout\);

-- Location: LCCOMB_X38_Y20_N8
\led_flash_cnt[2749][5]~65374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2749][5]~65374_combout\ = (\led_flash_cnt[2749][5]~q\ & (\led_flash_cnt[2749][4]~65373\ $ (GND))) # (!\led_flash_cnt[2749][5]~q\ & (!\led_flash_cnt[2749][4]~65373\ & VCC))
-- \led_flash_cnt[2749][5]~65375\ = CARRY((\led_flash_cnt[2749][5]~q\ & !\led_flash_cnt[2749][4]~65373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2749][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2749][4]~65373\,
	combout => \led_flash_cnt[2749][5]~65374_combout\,
	cout => \led_flash_cnt[2749][5]~65375\);

-- Location: FF_X38_Y20_N9
\led_flash_cnt[2749][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2749][5]~65374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2749][5]~q\);

-- Location: LCCOMB_X38_Y20_N10
\led_flash_cnt[2749][6]~65376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2749][6]~65376_combout\ = (\led_flash_cnt[2749][6]~q\ & (!\led_flash_cnt[2749][5]~65375\)) # (!\led_flash_cnt[2749][6]~q\ & ((\led_flash_cnt[2749][5]~65375\) # (GND)))
-- \led_flash_cnt[2749][6]~65377\ = CARRY((!\led_flash_cnt[2749][5]~65375\) # (!\led_flash_cnt[2749][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2749][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2749][5]~65375\,
	combout => \led_flash_cnt[2749][6]~65376_combout\,
	cout => \led_flash_cnt[2749][6]~65377\);

-- Location: FF_X38_Y20_N11
\led_flash_cnt[2749][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2749][6]~65376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2749][6]~q\);

-- Location: LCCOMB_X38_Y20_N12
\led_flash_cnt[2749][7]~65378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2749][7]~65378_combout\ = \led_flash_cnt[2749][6]~65377\ $ (!\led_flash_cnt[2749][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2749][7]~q\,
	cin => \led_flash_cnt[2749][6]~65377\,
	combout => \led_flash_cnt[2749][7]~65378_combout\);

-- Location: FF_X38_Y20_N13
\led_flash_cnt[2749][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2749][7]~65378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2749][7]~q\);

-- Location: LCCOMB_X38_Y16_N6
\WideAnd2749~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2749~1_combout\ = (\led_flash_cnt[2749][6]~q\ & \led_flash_cnt[2749][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2749][6]~q\,
	datad => \led_flash_cnt[2749][5]~q\,
	combout => \WideAnd2749~1_combout\);

-- Location: LCCOMB_X38_Y16_N0
WideAnd2749 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2749~combout\ = (\WideAnd2749~0_combout\ & (\led_flash_cnt[2749][0]~q\ & (\led_flash_cnt[2749][7]~q\ & \WideAnd2749~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2749~0_combout\,
	datab => \led_flash_cnt[2749][0]~q\,
	datac => \led_flash_cnt[2749][7]~q\,
	datad => \WideAnd2749~1_combout\,
	combout => \WideAnd2749~combout\);

-- Location: FF_X38_Y16_N1
\led_flash_cnt_ands[2749]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2749~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2749));

-- Location: LCCOMB_X38_Y16_N28
\WideAnd4183~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4183~1_combout\ = (led_flash_cnt_ands(2748) & led_flash_cnt_ands(2749))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2748),
	datad => led_flash_cnt_ands(2749),
	combout => \WideAnd4183~1_combout\);

-- Location: LCCOMB_X41_Y25_N16
\led_flash_cnt[2751][0]~83391\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2751][0]~83391_combout\ = !\led_flash_cnt[2751][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2751][0]~q\,
	combout => \led_flash_cnt[2751][0]~83391_combout\);

-- Location: FF_X41_Y25_N17
\led_flash_cnt[2751][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2751][0]~83391_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2751][0]~q\);

-- Location: LCCOMB_X42_Y29_N16
\led_flash_cnt[2751][1]~65394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2751][1]~65394_combout\ = (\led_flash_cnt[2751][0]~q\ & (\led_flash_cnt[2751][1]~q\ $ (VCC))) # (!\led_flash_cnt[2751][0]~q\ & (\led_flash_cnt[2751][1]~q\ & VCC))
-- \led_flash_cnt[2751][1]~65395\ = CARRY((\led_flash_cnt[2751][0]~q\ & \led_flash_cnt[2751][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2751][0]~q\,
	datab => \led_flash_cnt[2751][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2751][1]~65394_combout\,
	cout => \led_flash_cnt[2751][1]~65395\);

-- Location: FF_X42_Y29_N17
\led_flash_cnt[2751][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2751][1]~65394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2751][1]~q\);

-- Location: LCCOMB_X42_Y29_N18
\led_flash_cnt[2751][2]~65396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2751][2]~65396_combout\ = (\led_flash_cnt[2751][2]~q\ & (!\led_flash_cnt[2751][1]~65395\)) # (!\led_flash_cnt[2751][2]~q\ & ((\led_flash_cnt[2751][1]~65395\) # (GND)))
-- \led_flash_cnt[2751][2]~65397\ = CARRY((!\led_flash_cnt[2751][1]~65395\) # (!\led_flash_cnt[2751][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2751][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2751][1]~65395\,
	combout => \led_flash_cnt[2751][2]~65396_combout\,
	cout => \led_flash_cnt[2751][2]~65397\);

-- Location: FF_X42_Y29_N19
\led_flash_cnt[2751][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2751][2]~65396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2751][2]~q\);

-- Location: LCCOMB_X42_Y29_N20
\led_flash_cnt[2751][3]~65398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2751][3]~65398_combout\ = (\led_flash_cnt[2751][3]~q\ & (\led_flash_cnt[2751][2]~65397\ $ (GND))) # (!\led_flash_cnt[2751][3]~q\ & (!\led_flash_cnt[2751][2]~65397\ & VCC))
-- \led_flash_cnt[2751][3]~65399\ = CARRY((\led_flash_cnt[2751][3]~q\ & !\led_flash_cnt[2751][2]~65397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2751][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2751][2]~65397\,
	combout => \led_flash_cnt[2751][3]~65398_combout\,
	cout => \led_flash_cnt[2751][3]~65399\);

-- Location: FF_X42_Y29_N21
\led_flash_cnt[2751][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2751][3]~65398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2751][3]~q\);

-- Location: LCCOMB_X42_Y29_N22
\led_flash_cnt[2751][4]~65400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2751][4]~65400_combout\ = (\led_flash_cnt[2751][4]~q\ & (!\led_flash_cnt[2751][3]~65399\)) # (!\led_flash_cnt[2751][4]~q\ & ((\led_flash_cnt[2751][3]~65399\) # (GND)))
-- \led_flash_cnt[2751][4]~65401\ = CARRY((!\led_flash_cnt[2751][3]~65399\) # (!\led_flash_cnt[2751][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2751][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2751][3]~65399\,
	combout => \led_flash_cnt[2751][4]~65400_combout\,
	cout => \led_flash_cnt[2751][4]~65401\);

-- Location: FF_X42_Y29_N23
\led_flash_cnt[2751][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2751][4]~65400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2751][4]~q\);

-- Location: LCCOMB_X42_Y29_N24
\led_flash_cnt[2751][5]~65402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2751][5]~65402_combout\ = (\led_flash_cnt[2751][5]~q\ & (\led_flash_cnt[2751][4]~65401\ $ (GND))) # (!\led_flash_cnt[2751][5]~q\ & (!\led_flash_cnt[2751][4]~65401\ & VCC))
-- \led_flash_cnt[2751][5]~65403\ = CARRY((\led_flash_cnt[2751][5]~q\ & !\led_flash_cnt[2751][4]~65401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2751][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2751][4]~65401\,
	combout => \led_flash_cnt[2751][5]~65402_combout\,
	cout => \led_flash_cnt[2751][5]~65403\);

-- Location: FF_X42_Y29_N25
\led_flash_cnt[2751][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2751][5]~65402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2751][5]~q\);

-- Location: LCCOMB_X42_Y29_N26
\led_flash_cnt[2751][6]~65404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2751][6]~65404_combout\ = (\led_flash_cnt[2751][6]~q\ & (!\led_flash_cnt[2751][5]~65403\)) # (!\led_flash_cnt[2751][6]~q\ & ((\led_flash_cnt[2751][5]~65403\) # (GND)))
-- \led_flash_cnt[2751][6]~65405\ = CARRY((!\led_flash_cnt[2751][5]~65403\) # (!\led_flash_cnt[2751][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2751][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2751][5]~65403\,
	combout => \led_flash_cnt[2751][6]~65404_combout\,
	cout => \led_flash_cnt[2751][6]~65405\);

-- Location: FF_X42_Y29_N27
\led_flash_cnt[2751][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2751][6]~65404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2751][6]~q\);

-- Location: LCCOMB_X42_Y29_N28
\led_flash_cnt[2751][7]~65406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2751][7]~65406_combout\ = \led_flash_cnt[2751][6]~65405\ $ (!\led_flash_cnt[2751][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2751][7]~q\,
	cin => \led_flash_cnt[2751][6]~65405\,
	combout => \led_flash_cnt[2751][7]~65406_combout\);

-- Location: FF_X42_Y29_N29
\led_flash_cnt[2751][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2751][7]~65406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2751][7]~q\);

-- Location: LCCOMB_X42_Y26_N10
\WideAnd2751~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2751~1_combout\ = (\led_flash_cnt[2751][1]~q\ & \led_flash_cnt[2751][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2751][1]~q\,
	datac => \led_flash_cnt[2751][7]~q\,
	combout => \WideAnd2751~1_combout\);

-- Location: LCCOMB_X42_Y26_N2
\WideAnd2751~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2751~0_combout\ = (\led_flash_cnt[2751][6]~q\ & (\led_flash_cnt[2751][4]~q\ & (\led_flash_cnt[2751][2]~q\ & \led_flash_cnt[2751][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2751][6]~q\,
	datab => \led_flash_cnt[2751][4]~q\,
	datac => \led_flash_cnt[2751][2]~q\,
	datad => \led_flash_cnt[2751][5]~q\,
	combout => \WideAnd2751~0_combout\);

-- Location: LCCOMB_X42_Y26_N6
WideAnd2751 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2751~combout\ = (\WideAnd2751~1_combout\ & (\led_flash_cnt[2751][3]~q\ & (\led_flash_cnt[2751][0]~q\ & \WideAnd2751~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2751~1_combout\,
	datab => \led_flash_cnt[2751][3]~q\,
	datac => \led_flash_cnt[2751][0]~q\,
	datad => \WideAnd2751~0_combout\,
	combout => \WideAnd2751~combout\);

-- Location: FF_X42_Y26_N7
\led_flash_cnt_ands[2751]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2751~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2751));

-- Location: LCCOMB_X42_Y26_N14
WideAnd4183 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4183~combout\ = (\WideAnd4183~0_combout\ & (led_flash_cnt_ands(2750) & (\WideAnd4183~1_combout\ & led_flash_cnt_ands(2751))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4183~0_combout\,
	datab => led_flash_cnt_ands(2750),
	datac => \WideAnd4183~1_combout\,
	datad => led_flash_cnt_ands(2751),
	combout => \WideAnd4183~combout\);

-- Location: FF_X42_Y26_N15
\led_flash_cnt_ands_1[343]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4183~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(343));

-- Location: LCCOMB_X44_Y5_N30
\led_flash_cnt[2710][0]~83350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2710][0]~83350_combout\ = !\led_flash_cnt[2710][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2710][0]~q\,
	combout => \led_flash_cnt[2710][0]~83350_combout\);

-- Location: FF_X44_Y5_N31
\led_flash_cnt[2710][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2710][0]~83350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2710][0]~q\);

-- Location: LCCOMB_X43_Y4_N10
\led_flash_cnt[2710][1]~64820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2710][1]~64820_combout\ = (\led_flash_cnt[2710][1]~q\ & (\led_flash_cnt[2710][0]~q\ $ (VCC))) # (!\led_flash_cnt[2710][1]~q\ & (\led_flash_cnt[2710][0]~q\ & VCC))
-- \led_flash_cnt[2710][1]~64821\ = CARRY((\led_flash_cnt[2710][1]~q\ & \led_flash_cnt[2710][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2710][1]~q\,
	datab => \led_flash_cnt[2710][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2710][1]~64820_combout\,
	cout => \led_flash_cnt[2710][1]~64821\);

-- Location: FF_X43_Y4_N11
\led_flash_cnt[2710][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2710][1]~64820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2710][1]~q\);

-- Location: LCCOMB_X43_Y4_N12
\led_flash_cnt[2710][2]~64822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2710][2]~64822_combout\ = (\led_flash_cnt[2710][2]~q\ & (!\led_flash_cnt[2710][1]~64821\)) # (!\led_flash_cnt[2710][2]~q\ & ((\led_flash_cnt[2710][1]~64821\) # (GND)))
-- \led_flash_cnt[2710][2]~64823\ = CARRY((!\led_flash_cnt[2710][1]~64821\) # (!\led_flash_cnt[2710][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2710][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2710][1]~64821\,
	combout => \led_flash_cnt[2710][2]~64822_combout\,
	cout => \led_flash_cnt[2710][2]~64823\);

-- Location: FF_X43_Y4_N13
\led_flash_cnt[2710][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2710][2]~64822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2710][2]~q\);

-- Location: LCCOMB_X43_Y4_N14
\led_flash_cnt[2710][3]~64824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2710][3]~64824_combout\ = (\led_flash_cnt[2710][3]~q\ & (\led_flash_cnt[2710][2]~64823\ $ (GND))) # (!\led_flash_cnt[2710][3]~q\ & (!\led_flash_cnt[2710][2]~64823\ & VCC))
-- \led_flash_cnt[2710][3]~64825\ = CARRY((\led_flash_cnt[2710][3]~q\ & !\led_flash_cnt[2710][2]~64823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2710][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2710][2]~64823\,
	combout => \led_flash_cnt[2710][3]~64824_combout\,
	cout => \led_flash_cnt[2710][3]~64825\);

-- Location: FF_X43_Y4_N15
\led_flash_cnt[2710][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2710][3]~64824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2710][3]~q\);

-- Location: LCCOMB_X43_Y4_N16
\led_flash_cnt[2710][4]~64826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2710][4]~64826_combout\ = (\led_flash_cnt[2710][4]~q\ & (!\led_flash_cnt[2710][3]~64825\)) # (!\led_flash_cnt[2710][4]~q\ & ((\led_flash_cnt[2710][3]~64825\) # (GND)))
-- \led_flash_cnt[2710][4]~64827\ = CARRY((!\led_flash_cnt[2710][3]~64825\) # (!\led_flash_cnt[2710][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2710][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2710][3]~64825\,
	combout => \led_flash_cnt[2710][4]~64826_combout\,
	cout => \led_flash_cnt[2710][4]~64827\);

-- Location: FF_X43_Y4_N17
\led_flash_cnt[2710][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2710][4]~64826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2710][4]~q\);

-- Location: LCCOMB_X43_Y4_N18
\led_flash_cnt[2710][5]~64828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2710][5]~64828_combout\ = (\led_flash_cnt[2710][5]~q\ & (\led_flash_cnt[2710][4]~64827\ $ (GND))) # (!\led_flash_cnt[2710][5]~q\ & (!\led_flash_cnt[2710][4]~64827\ & VCC))
-- \led_flash_cnt[2710][5]~64829\ = CARRY((\led_flash_cnt[2710][5]~q\ & !\led_flash_cnt[2710][4]~64827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2710][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2710][4]~64827\,
	combout => \led_flash_cnt[2710][5]~64828_combout\,
	cout => \led_flash_cnt[2710][5]~64829\);

-- Location: FF_X43_Y4_N19
\led_flash_cnt[2710][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2710][5]~64828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2710][5]~q\);

-- Location: LCCOMB_X43_Y4_N20
\led_flash_cnt[2710][6]~64830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2710][6]~64830_combout\ = (\led_flash_cnt[2710][6]~q\ & (!\led_flash_cnt[2710][5]~64829\)) # (!\led_flash_cnt[2710][6]~q\ & ((\led_flash_cnt[2710][5]~64829\) # (GND)))
-- \led_flash_cnt[2710][6]~64831\ = CARRY((!\led_flash_cnt[2710][5]~64829\) # (!\led_flash_cnt[2710][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2710][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2710][5]~64829\,
	combout => \led_flash_cnt[2710][6]~64830_combout\,
	cout => \led_flash_cnt[2710][6]~64831\);

-- Location: FF_X43_Y4_N21
\led_flash_cnt[2710][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2710][6]~64830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2710][6]~q\);

-- Location: LCCOMB_X43_Y4_N6
\WideAnd2710~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2710~1_combout\ = (\led_flash_cnt[2710][6]~q\ & \led_flash_cnt[2710][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2710][6]~q\,
	datad => \led_flash_cnt[2710][5]~q\,
	combout => \WideAnd2710~1_combout\);

-- Location: LCCOMB_X43_Y4_N22
\led_flash_cnt[2710][7]~64832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2710][7]~64832_combout\ = \led_flash_cnt[2710][7]~q\ $ (!\led_flash_cnt[2710][6]~64831\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2710][7]~q\,
	cin => \led_flash_cnt[2710][6]~64831\,
	combout => \led_flash_cnt[2710][7]~64832_combout\);

-- Location: FF_X43_Y4_N23
\led_flash_cnt[2710][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2710][7]~64832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2710][7]~q\);

-- Location: LCCOMB_X43_Y4_N24
\WideAnd2710~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2710~0_combout\ = (\led_flash_cnt[2710][1]~q\ & (\led_flash_cnt[2710][4]~q\ & (\led_flash_cnt[2710][3]~q\ & \led_flash_cnt[2710][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2710][1]~q\,
	datab => \led_flash_cnt[2710][4]~q\,
	datac => \led_flash_cnt[2710][3]~q\,
	datad => \led_flash_cnt[2710][2]~q\,
	combout => \WideAnd2710~0_combout\);

-- Location: LCCOMB_X43_Y4_N0
WideAnd2710 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2710~combout\ = (\WideAnd2710~1_combout\ & (\led_flash_cnt[2710][0]~q\ & (\led_flash_cnt[2710][7]~q\ & \WideAnd2710~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2710~1_combout\,
	datab => \led_flash_cnt[2710][0]~q\,
	datac => \led_flash_cnt[2710][7]~q\,
	datad => \WideAnd2710~0_combout\,
	combout => \WideAnd2710~combout\);

-- Location: FF_X43_Y4_N1
\led_flash_cnt_ands[2710]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2710~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2710));

-- Location: LCCOMB_X43_Y5_N16
\led_flash_cnt[2709][0]~83349\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2709][0]~83349_combout\ = !\led_flash_cnt[2709][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2709][0]~q\,
	combout => \led_flash_cnt[2709][0]~83349_combout\);

-- Location: FF_X43_Y5_N17
\led_flash_cnt[2709][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2709][0]~83349_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2709][0]~q\);

-- Location: LCCOMB_X43_Y5_N18
\led_flash_cnt[2709][1]~64806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2709][1]~64806_combout\ = (\led_flash_cnt[2709][1]~q\ & (\led_flash_cnt[2709][0]~q\ $ (VCC))) # (!\led_flash_cnt[2709][1]~q\ & (\led_flash_cnt[2709][0]~q\ & VCC))
-- \led_flash_cnt[2709][1]~64807\ = CARRY((\led_flash_cnt[2709][1]~q\ & \led_flash_cnt[2709][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2709][1]~q\,
	datab => \led_flash_cnt[2709][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2709][1]~64806_combout\,
	cout => \led_flash_cnt[2709][1]~64807\);

-- Location: FF_X43_Y5_N19
\led_flash_cnt[2709][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2709][1]~64806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2709][1]~q\);

-- Location: LCCOMB_X43_Y5_N20
\led_flash_cnt[2709][2]~64808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2709][2]~64808_combout\ = (\led_flash_cnt[2709][2]~q\ & (!\led_flash_cnt[2709][1]~64807\)) # (!\led_flash_cnt[2709][2]~q\ & ((\led_flash_cnt[2709][1]~64807\) # (GND)))
-- \led_flash_cnt[2709][2]~64809\ = CARRY((!\led_flash_cnt[2709][1]~64807\) # (!\led_flash_cnt[2709][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2709][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2709][1]~64807\,
	combout => \led_flash_cnt[2709][2]~64808_combout\,
	cout => \led_flash_cnt[2709][2]~64809\);

-- Location: FF_X43_Y5_N21
\led_flash_cnt[2709][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2709][2]~64808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2709][2]~q\);

-- Location: LCCOMB_X43_Y5_N22
\led_flash_cnt[2709][3]~64810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2709][3]~64810_combout\ = (\led_flash_cnt[2709][3]~q\ & (\led_flash_cnt[2709][2]~64809\ $ (GND))) # (!\led_flash_cnt[2709][3]~q\ & (!\led_flash_cnt[2709][2]~64809\ & VCC))
-- \led_flash_cnt[2709][3]~64811\ = CARRY((\led_flash_cnt[2709][3]~q\ & !\led_flash_cnt[2709][2]~64809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2709][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2709][2]~64809\,
	combout => \led_flash_cnt[2709][3]~64810_combout\,
	cout => \led_flash_cnt[2709][3]~64811\);

-- Location: FF_X43_Y5_N23
\led_flash_cnt[2709][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2709][3]~64810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2709][3]~q\);

-- Location: LCCOMB_X43_Y5_N24
\led_flash_cnt[2709][4]~64812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2709][4]~64812_combout\ = (\led_flash_cnt[2709][4]~q\ & (!\led_flash_cnt[2709][3]~64811\)) # (!\led_flash_cnt[2709][4]~q\ & ((\led_flash_cnt[2709][3]~64811\) # (GND)))
-- \led_flash_cnt[2709][4]~64813\ = CARRY((!\led_flash_cnt[2709][3]~64811\) # (!\led_flash_cnt[2709][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2709][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2709][3]~64811\,
	combout => \led_flash_cnt[2709][4]~64812_combout\,
	cout => \led_flash_cnt[2709][4]~64813\);

-- Location: FF_X43_Y5_N25
\led_flash_cnt[2709][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2709][4]~64812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2709][4]~q\);

-- Location: LCCOMB_X43_Y5_N26
\led_flash_cnt[2709][5]~64814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2709][5]~64814_combout\ = (\led_flash_cnt[2709][5]~q\ & (\led_flash_cnt[2709][4]~64813\ $ (GND))) # (!\led_flash_cnt[2709][5]~q\ & (!\led_flash_cnt[2709][4]~64813\ & VCC))
-- \led_flash_cnt[2709][5]~64815\ = CARRY((\led_flash_cnt[2709][5]~q\ & !\led_flash_cnt[2709][4]~64813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2709][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2709][4]~64813\,
	combout => \led_flash_cnt[2709][5]~64814_combout\,
	cout => \led_flash_cnt[2709][5]~64815\);

-- Location: FF_X43_Y5_N27
\led_flash_cnt[2709][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2709][5]~64814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2709][5]~q\);

-- Location: LCCOMB_X43_Y5_N28
\led_flash_cnt[2709][6]~64816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2709][6]~64816_combout\ = (\led_flash_cnt[2709][6]~q\ & (!\led_flash_cnt[2709][5]~64815\)) # (!\led_flash_cnt[2709][6]~q\ & ((\led_flash_cnt[2709][5]~64815\) # (GND)))
-- \led_flash_cnt[2709][6]~64817\ = CARRY((!\led_flash_cnt[2709][5]~64815\) # (!\led_flash_cnt[2709][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2709][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2709][5]~64815\,
	combout => \led_flash_cnt[2709][6]~64816_combout\,
	cout => \led_flash_cnt[2709][6]~64817\);

-- Location: FF_X43_Y5_N29
\led_flash_cnt[2709][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2709][6]~64816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2709][6]~q\);

-- Location: LCCOMB_X43_Y5_N6
\WideAnd2709~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2709~1_combout\ = (\led_flash_cnt[2709][5]~q\ & \led_flash_cnt[2709][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2709][5]~q\,
	datad => \led_flash_cnt[2709][6]~q\,
	combout => \WideAnd2709~1_combout\);

-- Location: LCCOMB_X43_Y5_N30
\led_flash_cnt[2709][7]~64818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2709][7]~64818_combout\ = \led_flash_cnt[2709][7]~q\ $ (!\led_flash_cnt[2709][6]~64817\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2709][7]~q\,
	cin => \led_flash_cnt[2709][6]~64817\,
	combout => \led_flash_cnt[2709][7]~64818_combout\);

-- Location: FF_X43_Y5_N31
\led_flash_cnt[2709][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2709][7]~64818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2709][7]~q\);

-- Location: LCCOMB_X43_Y5_N12
\WideAnd2709~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2709~0_combout\ = (\led_flash_cnt[2709][1]~q\ & (\led_flash_cnt[2709][4]~q\ & (\led_flash_cnt[2709][3]~q\ & \led_flash_cnt[2709][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2709][1]~q\,
	datab => \led_flash_cnt[2709][4]~q\,
	datac => \led_flash_cnt[2709][3]~q\,
	datad => \led_flash_cnt[2709][2]~q\,
	combout => \WideAnd2709~0_combout\);

-- Location: LCCOMB_X43_Y5_N14
WideAnd2709 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2709~combout\ = (\WideAnd2709~1_combout\ & (\led_flash_cnt[2709][0]~q\ & (\led_flash_cnt[2709][7]~q\ & \WideAnd2709~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2709~1_combout\,
	datab => \led_flash_cnt[2709][0]~q\,
	datac => \led_flash_cnt[2709][7]~q\,
	datad => \WideAnd2709~0_combout\,
	combout => \WideAnd2709~combout\);

-- Location: FF_X43_Y5_N15
\led_flash_cnt_ands[2709]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2709~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2709));

-- Location: LCCOMB_X45_Y7_N24
\led_flash_cnt[2708][0]~83348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2708][0]~83348_combout\ = !\led_flash_cnt[2708][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2708][0]~q\,
	combout => \led_flash_cnt[2708][0]~83348_combout\);

-- Location: FF_X45_Y7_N25
\led_flash_cnt[2708][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2708][0]~83348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2708][0]~q\);

-- Location: LCCOMB_X45_Y5_N18
\led_flash_cnt[2708][1]~64792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2708][1]~64792_combout\ = (\led_flash_cnt[2708][0]~q\ & (\led_flash_cnt[2708][1]~q\ $ (VCC))) # (!\led_flash_cnt[2708][0]~q\ & (\led_flash_cnt[2708][1]~q\ & VCC))
-- \led_flash_cnt[2708][1]~64793\ = CARRY((\led_flash_cnt[2708][0]~q\ & \led_flash_cnt[2708][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2708][0]~q\,
	datab => \led_flash_cnt[2708][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2708][1]~64792_combout\,
	cout => \led_flash_cnt[2708][1]~64793\);

-- Location: FF_X45_Y5_N19
\led_flash_cnt[2708][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2708][1]~64792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2708][1]~q\);

-- Location: LCCOMB_X45_Y5_N20
\led_flash_cnt[2708][2]~64794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2708][2]~64794_combout\ = (\led_flash_cnt[2708][2]~q\ & (!\led_flash_cnt[2708][1]~64793\)) # (!\led_flash_cnt[2708][2]~q\ & ((\led_flash_cnt[2708][1]~64793\) # (GND)))
-- \led_flash_cnt[2708][2]~64795\ = CARRY((!\led_flash_cnt[2708][1]~64793\) # (!\led_flash_cnt[2708][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2708][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2708][1]~64793\,
	combout => \led_flash_cnt[2708][2]~64794_combout\,
	cout => \led_flash_cnt[2708][2]~64795\);

-- Location: FF_X45_Y5_N21
\led_flash_cnt[2708][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2708][2]~64794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2708][2]~q\);

-- Location: LCCOMB_X45_Y5_N22
\led_flash_cnt[2708][3]~64796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2708][3]~64796_combout\ = (\led_flash_cnt[2708][3]~q\ & (\led_flash_cnt[2708][2]~64795\ $ (GND))) # (!\led_flash_cnt[2708][3]~q\ & (!\led_flash_cnt[2708][2]~64795\ & VCC))
-- \led_flash_cnt[2708][3]~64797\ = CARRY((\led_flash_cnt[2708][3]~q\ & !\led_flash_cnt[2708][2]~64795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2708][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2708][2]~64795\,
	combout => \led_flash_cnt[2708][3]~64796_combout\,
	cout => \led_flash_cnt[2708][3]~64797\);

-- Location: FF_X45_Y5_N23
\led_flash_cnt[2708][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2708][3]~64796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2708][3]~q\);

-- Location: LCCOMB_X45_Y5_N24
\led_flash_cnt[2708][4]~64798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2708][4]~64798_combout\ = (\led_flash_cnt[2708][4]~q\ & (!\led_flash_cnt[2708][3]~64797\)) # (!\led_flash_cnt[2708][4]~q\ & ((\led_flash_cnt[2708][3]~64797\) # (GND)))
-- \led_flash_cnt[2708][4]~64799\ = CARRY((!\led_flash_cnt[2708][3]~64797\) # (!\led_flash_cnt[2708][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2708][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2708][3]~64797\,
	combout => \led_flash_cnt[2708][4]~64798_combout\,
	cout => \led_flash_cnt[2708][4]~64799\);

-- Location: FF_X45_Y5_N25
\led_flash_cnt[2708][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2708][4]~64798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2708][4]~q\);

-- Location: LCCOMB_X45_Y5_N0
\WideAnd2708~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2708~0_combout\ = (\led_flash_cnt[2708][2]~q\ & (\led_flash_cnt[2708][4]~q\ & (\led_flash_cnt[2708][3]~q\ & \led_flash_cnt[2708][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2708][2]~q\,
	datab => \led_flash_cnt[2708][4]~q\,
	datac => \led_flash_cnt[2708][3]~q\,
	datad => \led_flash_cnt[2708][1]~q\,
	combout => \WideAnd2708~0_combout\);

-- Location: LCCOMB_X45_Y5_N26
\led_flash_cnt[2708][5]~64800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2708][5]~64800_combout\ = (\led_flash_cnt[2708][5]~q\ & (\led_flash_cnt[2708][4]~64799\ $ (GND))) # (!\led_flash_cnt[2708][5]~q\ & (!\led_flash_cnt[2708][4]~64799\ & VCC))
-- \led_flash_cnt[2708][5]~64801\ = CARRY((\led_flash_cnt[2708][5]~q\ & !\led_flash_cnt[2708][4]~64799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2708][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2708][4]~64799\,
	combout => \led_flash_cnt[2708][5]~64800_combout\,
	cout => \led_flash_cnt[2708][5]~64801\);

-- Location: FF_X45_Y5_N27
\led_flash_cnt[2708][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2708][5]~64800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2708][5]~q\);

-- Location: LCCOMB_X45_Y5_N28
\led_flash_cnt[2708][6]~64802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2708][6]~64802_combout\ = (\led_flash_cnt[2708][6]~q\ & (!\led_flash_cnt[2708][5]~64801\)) # (!\led_flash_cnt[2708][6]~q\ & ((\led_flash_cnt[2708][5]~64801\) # (GND)))
-- \led_flash_cnt[2708][6]~64803\ = CARRY((!\led_flash_cnt[2708][5]~64801\) # (!\led_flash_cnt[2708][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2708][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2708][5]~64801\,
	combout => \led_flash_cnt[2708][6]~64802_combout\,
	cout => \led_flash_cnt[2708][6]~64803\);

-- Location: FF_X45_Y5_N29
\led_flash_cnt[2708][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2708][6]~64802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2708][6]~q\);

-- Location: LCCOMB_X45_Y5_N30
\led_flash_cnt[2708][7]~64804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2708][7]~64804_combout\ = \led_flash_cnt[2708][7]~q\ $ (!\led_flash_cnt[2708][6]~64803\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2708][7]~q\,
	cin => \led_flash_cnt[2708][6]~64803\,
	combout => \led_flash_cnt[2708][7]~64804_combout\);

-- Location: FF_X45_Y5_N31
\led_flash_cnt[2708][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2708][7]~64804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2708][7]~q\);

-- Location: LCCOMB_X45_Y7_N20
\WideAnd2708~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2708~1_combout\ = (\led_flash_cnt[2708][6]~q\ & \led_flash_cnt[2708][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2708][6]~q\,
	datad => \led_flash_cnt[2708][5]~q\,
	combout => \WideAnd2708~1_combout\);

-- Location: LCCOMB_X45_Y5_N2
WideAnd2708 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2708~combout\ = (\led_flash_cnt[2708][0]~q\ & (\WideAnd2708~0_combout\ & (\led_flash_cnt[2708][7]~q\ & \WideAnd2708~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2708][0]~q\,
	datab => \WideAnd2708~0_combout\,
	datac => \led_flash_cnt[2708][7]~q\,
	datad => \WideAnd2708~1_combout\,
	combout => \WideAnd2708~combout\);

-- Location: FF_X45_Y5_N3
\led_flash_cnt_ands[2708]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2708~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2708));

-- Location: LCCOMB_X44_Y5_N24
\WideAnd4178~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4178~1_combout\ = (led_flash_cnt_ands(2709) & led_flash_cnt_ands(2708))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2709),
	datad => led_flash_cnt_ands(2708),
	combout => \WideAnd4178~1_combout\);

-- Location: LCCOMB_X43_Y4_N28
\led_flash_cnt[2711][0]~83351\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2711][0]~83351_combout\ = !\led_flash_cnt[2711][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2711][0]~q\,
	combout => \led_flash_cnt[2711][0]~83351_combout\);

-- Location: FF_X43_Y4_N29
\led_flash_cnt[2711][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2711][0]~83351_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2711][0]~q\);

-- Location: LCCOMB_X42_Y4_N0
\led_flash_cnt[2711][1]~64834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2711][1]~64834_combout\ = (\led_flash_cnt[2711][0]~q\ & (\led_flash_cnt[2711][1]~q\ $ (VCC))) # (!\led_flash_cnt[2711][0]~q\ & (\led_flash_cnt[2711][1]~q\ & VCC))
-- \led_flash_cnt[2711][1]~64835\ = CARRY((\led_flash_cnt[2711][0]~q\ & \led_flash_cnt[2711][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2711][0]~q\,
	datab => \led_flash_cnt[2711][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2711][1]~64834_combout\,
	cout => \led_flash_cnt[2711][1]~64835\);

-- Location: FF_X42_Y4_N1
\led_flash_cnt[2711][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2711][1]~64834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2711][1]~q\);

-- Location: LCCOMB_X42_Y4_N2
\led_flash_cnt[2711][2]~64836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2711][2]~64836_combout\ = (\led_flash_cnt[2711][2]~q\ & (!\led_flash_cnt[2711][1]~64835\)) # (!\led_flash_cnt[2711][2]~q\ & ((\led_flash_cnt[2711][1]~64835\) # (GND)))
-- \led_flash_cnt[2711][2]~64837\ = CARRY((!\led_flash_cnt[2711][1]~64835\) # (!\led_flash_cnt[2711][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2711][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2711][1]~64835\,
	combout => \led_flash_cnt[2711][2]~64836_combout\,
	cout => \led_flash_cnt[2711][2]~64837\);

-- Location: FF_X42_Y4_N3
\led_flash_cnt[2711][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2711][2]~64836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2711][2]~q\);

-- Location: LCCOMB_X42_Y4_N4
\led_flash_cnt[2711][3]~64838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2711][3]~64838_combout\ = (\led_flash_cnt[2711][3]~q\ & (\led_flash_cnt[2711][2]~64837\ $ (GND))) # (!\led_flash_cnt[2711][3]~q\ & (!\led_flash_cnt[2711][2]~64837\ & VCC))
-- \led_flash_cnt[2711][3]~64839\ = CARRY((\led_flash_cnt[2711][3]~q\ & !\led_flash_cnt[2711][2]~64837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2711][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2711][2]~64837\,
	combout => \led_flash_cnt[2711][3]~64838_combout\,
	cout => \led_flash_cnt[2711][3]~64839\);

-- Location: FF_X42_Y4_N5
\led_flash_cnt[2711][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2711][3]~64838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2711][3]~q\);

-- Location: LCCOMB_X42_Y4_N6
\led_flash_cnt[2711][4]~64840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2711][4]~64840_combout\ = (\led_flash_cnt[2711][4]~q\ & (!\led_flash_cnt[2711][3]~64839\)) # (!\led_flash_cnt[2711][4]~q\ & ((\led_flash_cnt[2711][3]~64839\) # (GND)))
-- \led_flash_cnt[2711][4]~64841\ = CARRY((!\led_flash_cnt[2711][3]~64839\) # (!\led_flash_cnt[2711][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2711][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2711][3]~64839\,
	combout => \led_flash_cnt[2711][4]~64840_combout\,
	cout => \led_flash_cnt[2711][4]~64841\);

-- Location: FF_X42_Y4_N7
\led_flash_cnt[2711][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2711][4]~64840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2711][4]~q\);

-- Location: LCCOMB_X42_Y4_N8
\led_flash_cnt[2711][5]~64842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2711][5]~64842_combout\ = (\led_flash_cnt[2711][5]~q\ & (\led_flash_cnt[2711][4]~64841\ $ (GND))) # (!\led_flash_cnt[2711][5]~q\ & (!\led_flash_cnt[2711][4]~64841\ & VCC))
-- \led_flash_cnt[2711][5]~64843\ = CARRY((\led_flash_cnt[2711][5]~q\ & !\led_flash_cnt[2711][4]~64841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2711][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2711][4]~64841\,
	combout => \led_flash_cnt[2711][5]~64842_combout\,
	cout => \led_flash_cnt[2711][5]~64843\);

-- Location: FF_X42_Y4_N9
\led_flash_cnt[2711][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2711][5]~64842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2711][5]~q\);

-- Location: LCCOMB_X42_Y4_N10
\led_flash_cnt[2711][6]~64844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2711][6]~64844_combout\ = (\led_flash_cnt[2711][6]~q\ & (!\led_flash_cnt[2711][5]~64843\)) # (!\led_flash_cnt[2711][6]~q\ & ((\led_flash_cnt[2711][5]~64843\) # (GND)))
-- \led_flash_cnt[2711][6]~64845\ = CARRY((!\led_flash_cnt[2711][5]~64843\) # (!\led_flash_cnt[2711][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2711][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2711][5]~64843\,
	combout => \led_flash_cnt[2711][6]~64844_combout\,
	cout => \led_flash_cnt[2711][6]~64845\);

-- Location: FF_X42_Y4_N11
\led_flash_cnt[2711][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2711][6]~64844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2711][6]~q\);

-- Location: LCCOMB_X42_Y4_N12
\led_flash_cnt[2711][7]~64846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2711][7]~64846_combout\ = \led_flash_cnt[2711][6]~64845\ $ (!\led_flash_cnt[2711][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2711][7]~q\,
	cin => \led_flash_cnt[2711][6]~64845\,
	combout => \led_flash_cnt[2711][7]~64846_combout\);

-- Location: FF_X42_Y4_N13
\led_flash_cnt[2711][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2711][7]~64846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2711][7]~q\);

-- Location: LCCOMB_X42_Y4_N28
\WideAnd2711~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2711~0_combout\ = (\led_flash_cnt[2711][4]~q\ & (\led_flash_cnt[2711][1]~q\ & (\led_flash_cnt[2711][3]~q\ & \led_flash_cnt[2711][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2711][4]~q\,
	datab => \led_flash_cnt[2711][1]~q\,
	datac => \led_flash_cnt[2711][3]~q\,
	datad => \led_flash_cnt[2711][2]~q\,
	combout => \WideAnd2711~0_combout\);

-- Location: LCCOMB_X43_Y4_N4
\WideAnd2711~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2711~1_combout\ = (\led_flash_cnt[2711][5]~q\ & \led_flash_cnt[2711][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2711][5]~q\,
	datad => \led_flash_cnt[2711][6]~q\,
	combout => \WideAnd2711~1_combout\);

-- Location: LCCOMB_X43_Y4_N26
WideAnd2711 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2711~combout\ = (\led_flash_cnt[2711][7]~q\ & (\WideAnd2711~0_combout\ & (\WideAnd2711~1_combout\ & \led_flash_cnt[2711][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2711][7]~q\,
	datab => \WideAnd2711~0_combout\,
	datac => \WideAnd2711~1_combout\,
	datad => \led_flash_cnt[2711][0]~q\,
	combout => \WideAnd2711~combout\);

-- Location: FF_X43_Y4_N27
\led_flash_cnt_ands[2711]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2711~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2711));

-- Location: LCCOMB_X37_Y6_N2
\led_flash_cnt[2707][0]~83347\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2707][0]~83347_combout\ = !\led_flash_cnt[2707][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2707][0]~q\,
	combout => \led_flash_cnt[2707][0]~83347_combout\);

-- Location: FF_X37_Y6_N3
\led_flash_cnt[2707][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2707][0]~83347_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2707][0]~q\);

-- Location: LCCOMB_X37_Y6_N10
\led_flash_cnt[2707][1]~64778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2707][1]~64778_combout\ = (\led_flash_cnt[2707][1]~q\ & (\led_flash_cnt[2707][0]~q\ $ (VCC))) # (!\led_flash_cnt[2707][1]~q\ & (\led_flash_cnt[2707][0]~q\ & VCC))
-- \led_flash_cnt[2707][1]~64779\ = CARRY((\led_flash_cnt[2707][1]~q\ & \led_flash_cnt[2707][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2707][1]~q\,
	datab => \led_flash_cnt[2707][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2707][1]~64778_combout\,
	cout => \led_flash_cnt[2707][1]~64779\);

-- Location: FF_X37_Y6_N11
\led_flash_cnt[2707][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2707][1]~64778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2707][1]~q\);

-- Location: LCCOMB_X37_Y6_N12
\led_flash_cnt[2707][2]~64780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2707][2]~64780_combout\ = (\led_flash_cnt[2707][2]~q\ & (!\led_flash_cnt[2707][1]~64779\)) # (!\led_flash_cnt[2707][2]~q\ & ((\led_flash_cnt[2707][1]~64779\) # (GND)))
-- \led_flash_cnt[2707][2]~64781\ = CARRY((!\led_flash_cnt[2707][1]~64779\) # (!\led_flash_cnt[2707][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2707][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2707][1]~64779\,
	combout => \led_flash_cnt[2707][2]~64780_combout\,
	cout => \led_flash_cnt[2707][2]~64781\);

-- Location: FF_X37_Y6_N13
\led_flash_cnt[2707][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2707][2]~64780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2707][2]~q\);

-- Location: LCCOMB_X37_Y6_N14
\led_flash_cnt[2707][3]~64782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2707][3]~64782_combout\ = (\led_flash_cnt[2707][3]~q\ & (\led_flash_cnt[2707][2]~64781\ $ (GND))) # (!\led_flash_cnt[2707][3]~q\ & (!\led_flash_cnt[2707][2]~64781\ & VCC))
-- \led_flash_cnt[2707][3]~64783\ = CARRY((\led_flash_cnt[2707][3]~q\ & !\led_flash_cnt[2707][2]~64781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2707][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2707][2]~64781\,
	combout => \led_flash_cnt[2707][3]~64782_combout\,
	cout => \led_flash_cnt[2707][3]~64783\);

-- Location: FF_X37_Y6_N15
\led_flash_cnt[2707][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2707][3]~64782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2707][3]~q\);

-- Location: LCCOMB_X37_Y6_N16
\led_flash_cnt[2707][4]~64784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2707][4]~64784_combout\ = (\led_flash_cnt[2707][4]~q\ & (!\led_flash_cnt[2707][3]~64783\)) # (!\led_flash_cnt[2707][4]~q\ & ((\led_flash_cnt[2707][3]~64783\) # (GND)))
-- \led_flash_cnt[2707][4]~64785\ = CARRY((!\led_flash_cnt[2707][3]~64783\) # (!\led_flash_cnt[2707][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2707][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2707][3]~64783\,
	combout => \led_flash_cnt[2707][4]~64784_combout\,
	cout => \led_flash_cnt[2707][4]~64785\);

-- Location: FF_X37_Y6_N17
\led_flash_cnt[2707][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2707][4]~64784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2707][4]~q\);

-- Location: LCCOMB_X37_Y6_N18
\led_flash_cnt[2707][5]~64786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2707][5]~64786_combout\ = (\led_flash_cnt[2707][5]~q\ & (\led_flash_cnt[2707][4]~64785\ $ (GND))) # (!\led_flash_cnt[2707][5]~q\ & (!\led_flash_cnt[2707][4]~64785\ & VCC))
-- \led_flash_cnt[2707][5]~64787\ = CARRY((\led_flash_cnt[2707][5]~q\ & !\led_flash_cnt[2707][4]~64785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2707][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2707][4]~64785\,
	combout => \led_flash_cnt[2707][5]~64786_combout\,
	cout => \led_flash_cnt[2707][5]~64787\);

-- Location: FF_X37_Y6_N19
\led_flash_cnt[2707][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2707][5]~64786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2707][5]~q\);

-- Location: LCCOMB_X37_Y6_N20
\led_flash_cnt[2707][6]~64788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2707][6]~64788_combout\ = (\led_flash_cnt[2707][6]~q\ & (!\led_flash_cnt[2707][5]~64787\)) # (!\led_flash_cnt[2707][6]~q\ & ((\led_flash_cnt[2707][5]~64787\) # (GND)))
-- \led_flash_cnt[2707][6]~64789\ = CARRY((!\led_flash_cnt[2707][5]~64787\) # (!\led_flash_cnt[2707][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2707][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2707][5]~64787\,
	combout => \led_flash_cnt[2707][6]~64788_combout\,
	cout => \led_flash_cnt[2707][6]~64789\);

-- Location: FF_X37_Y6_N21
\led_flash_cnt[2707][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2707][6]~64788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2707][6]~q\);

-- Location: LCCOMB_X37_Y6_N26
\WideAnd2707~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2707~1_combout\ = (\led_flash_cnt[2707][5]~q\ & \led_flash_cnt[2707][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2707][5]~q\,
	datad => \led_flash_cnt[2707][6]~q\,
	combout => \WideAnd2707~1_combout\);

-- Location: LCCOMB_X37_Y6_N22
\led_flash_cnt[2707][7]~64790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2707][7]~64790_combout\ = \led_flash_cnt[2707][7]~q\ $ (!\led_flash_cnt[2707][6]~64789\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2707][7]~q\,
	cin => \led_flash_cnt[2707][6]~64789\,
	combout => \led_flash_cnt[2707][7]~64790_combout\);

-- Location: FF_X37_Y6_N23
\led_flash_cnt[2707][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2707][7]~64790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2707][7]~q\);

-- Location: LCCOMB_X37_Y6_N28
\WideAnd2707~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2707~0_combout\ = (\led_flash_cnt[2707][2]~q\ & (\led_flash_cnt[2707][4]~q\ & (\led_flash_cnt[2707][3]~q\ & \led_flash_cnt[2707][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2707][2]~q\,
	datab => \led_flash_cnt[2707][4]~q\,
	datac => \led_flash_cnt[2707][3]~q\,
	datad => \led_flash_cnt[2707][1]~q\,
	combout => \WideAnd2707~0_combout\);

-- Location: LCCOMB_X37_Y6_N24
WideAnd2707 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2707~combout\ = (\WideAnd2707~1_combout\ & (\led_flash_cnt[2707][0]~q\ & (\led_flash_cnt[2707][7]~q\ & \WideAnd2707~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2707~1_combout\,
	datab => \led_flash_cnt[2707][0]~q\,
	datac => \led_flash_cnt[2707][7]~q\,
	datad => \WideAnd2707~0_combout\,
	combout => \WideAnd2707~combout\);

-- Location: FF_X37_Y6_N25
\led_flash_cnt_ands[2707]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2707~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2707));

-- Location: LCCOMB_X44_Y7_N8
\led_flash_cnt[2705][0]~83345\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2705][0]~83345_combout\ = !\led_flash_cnt[2705][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2705][0]~q\,
	combout => \led_flash_cnt[2705][0]~83345_combout\);

-- Location: FF_X44_Y7_N9
\led_flash_cnt[2705][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2705][0]~83345_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2705][0]~q\);

-- Location: LCCOMB_X44_Y6_N18
\led_flash_cnt[2705][1]~64750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2705][1]~64750_combout\ = (\led_flash_cnt[2705][1]~q\ & (\led_flash_cnt[2705][0]~q\ $ (VCC))) # (!\led_flash_cnt[2705][1]~q\ & (\led_flash_cnt[2705][0]~q\ & VCC))
-- \led_flash_cnt[2705][1]~64751\ = CARRY((\led_flash_cnt[2705][1]~q\ & \led_flash_cnt[2705][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2705][1]~q\,
	datab => \led_flash_cnt[2705][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2705][1]~64750_combout\,
	cout => \led_flash_cnt[2705][1]~64751\);

-- Location: FF_X44_Y6_N19
\led_flash_cnt[2705][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2705][1]~64750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2705][1]~q\);

-- Location: LCCOMB_X44_Y6_N20
\led_flash_cnt[2705][2]~64752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2705][2]~64752_combout\ = (\led_flash_cnt[2705][2]~q\ & (!\led_flash_cnt[2705][1]~64751\)) # (!\led_flash_cnt[2705][2]~q\ & ((\led_flash_cnt[2705][1]~64751\) # (GND)))
-- \led_flash_cnt[2705][2]~64753\ = CARRY((!\led_flash_cnt[2705][1]~64751\) # (!\led_flash_cnt[2705][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2705][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2705][1]~64751\,
	combout => \led_flash_cnt[2705][2]~64752_combout\,
	cout => \led_flash_cnt[2705][2]~64753\);

-- Location: FF_X44_Y6_N21
\led_flash_cnt[2705][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2705][2]~64752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2705][2]~q\);

-- Location: LCCOMB_X44_Y6_N22
\led_flash_cnt[2705][3]~64754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2705][3]~64754_combout\ = (\led_flash_cnt[2705][3]~q\ & (\led_flash_cnt[2705][2]~64753\ $ (GND))) # (!\led_flash_cnt[2705][3]~q\ & (!\led_flash_cnt[2705][2]~64753\ & VCC))
-- \led_flash_cnt[2705][3]~64755\ = CARRY((\led_flash_cnt[2705][3]~q\ & !\led_flash_cnt[2705][2]~64753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2705][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2705][2]~64753\,
	combout => \led_flash_cnt[2705][3]~64754_combout\,
	cout => \led_flash_cnt[2705][3]~64755\);

-- Location: FF_X44_Y6_N23
\led_flash_cnt[2705][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2705][3]~64754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2705][3]~q\);

-- Location: LCCOMB_X44_Y6_N24
\led_flash_cnt[2705][4]~64756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2705][4]~64756_combout\ = (\led_flash_cnt[2705][4]~q\ & (!\led_flash_cnt[2705][3]~64755\)) # (!\led_flash_cnt[2705][4]~q\ & ((\led_flash_cnt[2705][3]~64755\) # (GND)))
-- \led_flash_cnt[2705][4]~64757\ = CARRY((!\led_flash_cnt[2705][3]~64755\) # (!\led_flash_cnt[2705][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2705][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2705][3]~64755\,
	combout => \led_flash_cnt[2705][4]~64756_combout\,
	cout => \led_flash_cnt[2705][4]~64757\);

-- Location: FF_X44_Y6_N25
\led_flash_cnt[2705][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2705][4]~64756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2705][4]~q\);

-- Location: LCCOMB_X44_Y6_N26
\led_flash_cnt[2705][5]~64758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2705][5]~64758_combout\ = (\led_flash_cnt[2705][5]~q\ & (\led_flash_cnt[2705][4]~64757\ $ (GND))) # (!\led_flash_cnt[2705][5]~q\ & (!\led_flash_cnt[2705][4]~64757\ & VCC))
-- \led_flash_cnt[2705][5]~64759\ = CARRY((\led_flash_cnt[2705][5]~q\ & !\led_flash_cnt[2705][4]~64757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2705][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2705][4]~64757\,
	combout => \led_flash_cnt[2705][5]~64758_combout\,
	cout => \led_flash_cnt[2705][5]~64759\);

-- Location: FF_X44_Y6_N27
\led_flash_cnt[2705][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2705][5]~64758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2705][5]~q\);

-- Location: LCCOMB_X44_Y6_N28
\led_flash_cnt[2705][6]~64760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2705][6]~64760_combout\ = (\led_flash_cnt[2705][6]~q\ & (!\led_flash_cnt[2705][5]~64759\)) # (!\led_flash_cnt[2705][6]~q\ & ((\led_flash_cnt[2705][5]~64759\) # (GND)))
-- \led_flash_cnt[2705][6]~64761\ = CARRY((!\led_flash_cnt[2705][5]~64759\) # (!\led_flash_cnt[2705][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2705][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2705][5]~64759\,
	combout => \led_flash_cnt[2705][6]~64760_combout\,
	cout => \led_flash_cnt[2705][6]~64761\);

-- Location: FF_X44_Y6_N29
\led_flash_cnt[2705][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2705][6]~64760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2705][6]~q\);

-- Location: LCCOMB_X44_Y6_N12
\WideAnd2705~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2705~1_combout\ = (\led_flash_cnt[2705][5]~q\ & \led_flash_cnt[2705][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2705][5]~q\,
	datad => \led_flash_cnt[2705][6]~q\,
	combout => \WideAnd2705~1_combout\);

-- Location: LCCOMB_X44_Y6_N30
\led_flash_cnt[2705][7]~64762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2705][7]~64762_combout\ = \led_flash_cnt[2705][7]~q\ $ (!\led_flash_cnt[2705][6]~64761\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2705][7]~q\,
	cin => \led_flash_cnt[2705][6]~64761\,
	combout => \led_flash_cnt[2705][7]~64762_combout\);

-- Location: FF_X44_Y6_N31
\led_flash_cnt[2705][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2705][7]~64762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2705][7]~q\);

-- Location: LCCOMB_X44_Y6_N16
\WideAnd2705~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2705~0_combout\ = (\led_flash_cnt[2705][1]~q\ & (\led_flash_cnt[2705][4]~q\ & (\led_flash_cnt[2705][3]~q\ & \led_flash_cnt[2705][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2705][1]~q\,
	datab => \led_flash_cnt[2705][4]~q\,
	datac => \led_flash_cnt[2705][3]~q\,
	datad => \led_flash_cnt[2705][2]~q\,
	combout => \WideAnd2705~0_combout\);

-- Location: LCCOMB_X44_Y6_N2
WideAnd2705 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2705~combout\ = (\WideAnd2705~1_combout\ & (\led_flash_cnt[2705][0]~q\ & (\led_flash_cnt[2705][7]~q\ & \WideAnd2705~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2705~1_combout\,
	datab => \led_flash_cnt[2705][0]~q\,
	datac => \led_flash_cnt[2705][7]~q\,
	datad => \WideAnd2705~0_combout\,
	combout => \WideAnd2705~combout\);

-- Location: FF_X44_Y6_N3
\led_flash_cnt_ands[2705]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2705~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2705));

-- Location: LCCOMB_X44_Y7_N6
\led_flash_cnt[2706][0]~83346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2706][0]~83346_combout\ = !\led_flash_cnt[2706][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2706][0]~q\,
	combout => \led_flash_cnt[2706][0]~83346_combout\);

-- Location: FF_X44_Y7_N7
\led_flash_cnt[2706][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2706][0]~83346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2706][0]~q\);

-- Location: LCCOMB_X44_Y7_N14
\led_flash_cnt[2706][1]~64764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2706][1]~64764_combout\ = (\led_flash_cnt[2706][0]~q\ & (\led_flash_cnt[2706][1]~q\ $ (VCC))) # (!\led_flash_cnt[2706][0]~q\ & (\led_flash_cnt[2706][1]~q\ & VCC))
-- \led_flash_cnt[2706][1]~64765\ = CARRY((\led_flash_cnt[2706][0]~q\ & \led_flash_cnt[2706][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2706][0]~q\,
	datab => \led_flash_cnt[2706][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2706][1]~64764_combout\,
	cout => \led_flash_cnt[2706][1]~64765\);

-- Location: FF_X44_Y7_N15
\led_flash_cnt[2706][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2706][1]~64764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2706][1]~q\);

-- Location: LCCOMB_X44_Y7_N16
\led_flash_cnt[2706][2]~64766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2706][2]~64766_combout\ = (\led_flash_cnt[2706][2]~q\ & (!\led_flash_cnt[2706][1]~64765\)) # (!\led_flash_cnt[2706][2]~q\ & ((\led_flash_cnt[2706][1]~64765\) # (GND)))
-- \led_flash_cnt[2706][2]~64767\ = CARRY((!\led_flash_cnt[2706][1]~64765\) # (!\led_flash_cnt[2706][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2706][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2706][1]~64765\,
	combout => \led_flash_cnt[2706][2]~64766_combout\,
	cout => \led_flash_cnt[2706][2]~64767\);

-- Location: FF_X44_Y7_N17
\led_flash_cnt[2706][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2706][2]~64766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2706][2]~q\);

-- Location: LCCOMB_X44_Y7_N18
\led_flash_cnt[2706][3]~64768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2706][3]~64768_combout\ = (\led_flash_cnt[2706][3]~q\ & (\led_flash_cnt[2706][2]~64767\ $ (GND))) # (!\led_flash_cnt[2706][3]~q\ & (!\led_flash_cnt[2706][2]~64767\ & VCC))
-- \led_flash_cnt[2706][3]~64769\ = CARRY((\led_flash_cnt[2706][3]~q\ & !\led_flash_cnt[2706][2]~64767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2706][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2706][2]~64767\,
	combout => \led_flash_cnt[2706][3]~64768_combout\,
	cout => \led_flash_cnt[2706][3]~64769\);

-- Location: FF_X44_Y7_N19
\led_flash_cnt[2706][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2706][3]~64768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2706][3]~q\);

-- Location: LCCOMB_X44_Y7_N20
\led_flash_cnt[2706][4]~64770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2706][4]~64770_combout\ = (\led_flash_cnt[2706][4]~q\ & (!\led_flash_cnt[2706][3]~64769\)) # (!\led_flash_cnt[2706][4]~q\ & ((\led_flash_cnt[2706][3]~64769\) # (GND)))
-- \led_flash_cnt[2706][4]~64771\ = CARRY((!\led_flash_cnt[2706][3]~64769\) # (!\led_flash_cnt[2706][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2706][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2706][3]~64769\,
	combout => \led_flash_cnt[2706][4]~64770_combout\,
	cout => \led_flash_cnt[2706][4]~64771\);

-- Location: FF_X44_Y7_N21
\led_flash_cnt[2706][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2706][4]~64770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2706][4]~q\);

-- Location: LCCOMB_X44_Y7_N22
\led_flash_cnt[2706][5]~64772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2706][5]~64772_combout\ = (\led_flash_cnt[2706][5]~q\ & (\led_flash_cnt[2706][4]~64771\ $ (GND))) # (!\led_flash_cnt[2706][5]~q\ & (!\led_flash_cnt[2706][4]~64771\ & VCC))
-- \led_flash_cnt[2706][5]~64773\ = CARRY((\led_flash_cnt[2706][5]~q\ & !\led_flash_cnt[2706][4]~64771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2706][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2706][4]~64771\,
	combout => \led_flash_cnt[2706][5]~64772_combout\,
	cout => \led_flash_cnt[2706][5]~64773\);

-- Location: FF_X44_Y7_N23
\led_flash_cnt[2706][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2706][5]~64772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2706][5]~q\);

-- Location: LCCOMB_X44_Y7_N24
\led_flash_cnt[2706][6]~64774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2706][6]~64774_combout\ = (\led_flash_cnt[2706][6]~q\ & (!\led_flash_cnt[2706][5]~64773\)) # (!\led_flash_cnt[2706][6]~q\ & ((\led_flash_cnt[2706][5]~64773\) # (GND)))
-- \led_flash_cnt[2706][6]~64775\ = CARRY((!\led_flash_cnt[2706][5]~64773\) # (!\led_flash_cnt[2706][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2706][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2706][5]~64773\,
	combout => \led_flash_cnt[2706][6]~64774_combout\,
	cout => \led_flash_cnt[2706][6]~64775\);

-- Location: FF_X44_Y7_N25
\led_flash_cnt[2706][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2706][6]~64774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2706][6]~q\);

-- Location: LCCOMB_X44_Y7_N4
\WideAnd2706~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2706~1_combout\ = (\led_flash_cnt[2706][5]~q\ & \led_flash_cnt[2706][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2706][5]~q\,
	datad => \led_flash_cnt[2706][6]~q\,
	combout => \WideAnd2706~1_combout\);

-- Location: LCCOMB_X44_Y7_N26
\led_flash_cnt[2706][7]~64776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2706][7]~64776_combout\ = \led_flash_cnt[2706][7]~q\ $ (!\led_flash_cnt[2706][6]~64775\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2706][7]~q\,
	cin => \led_flash_cnt[2706][6]~64775\,
	combout => \led_flash_cnt[2706][7]~64776_combout\);

-- Location: FF_X44_Y7_N27
\led_flash_cnt[2706][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2706][7]~64776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2706][7]~q\);

-- Location: LCCOMB_X44_Y7_N12
\WideAnd2706~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2706~0_combout\ = (\led_flash_cnt[2706][2]~q\ & (\led_flash_cnt[2706][3]~q\ & (\led_flash_cnt[2706][1]~q\ & \led_flash_cnt[2706][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2706][2]~q\,
	datab => \led_flash_cnt[2706][3]~q\,
	datac => \led_flash_cnt[2706][1]~q\,
	datad => \led_flash_cnt[2706][4]~q\,
	combout => \WideAnd2706~0_combout\);

-- Location: LCCOMB_X44_Y7_N30
WideAnd2706 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2706~combout\ = (\led_flash_cnt[2706][0]~q\ & (\WideAnd2706~1_combout\ & (\led_flash_cnt[2706][7]~q\ & \WideAnd2706~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2706][0]~q\,
	datab => \WideAnd2706~1_combout\,
	datac => \led_flash_cnt[2706][7]~q\,
	datad => \WideAnd2706~0_combout\,
	combout => \WideAnd2706~combout\);

-- Location: FF_X44_Y7_N31
\led_flash_cnt_ands[2706]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2706~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2706));

-- Location: LCCOMB_X44_Y6_N14
\led_flash_cnt[2704][0]~83344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2704][0]~83344_combout\ = !\led_flash_cnt[2704][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2704][0]~q\,
	combout => \led_flash_cnt[2704][0]~83344_combout\);

-- Location: FF_X44_Y6_N15
\led_flash_cnt[2704][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2704][0]~83344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2704][0]~q\);

-- Location: LCCOMB_X45_Y6_N4
\led_flash_cnt[2704][1]~64736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2704][1]~64736_combout\ = (\led_flash_cnt[2704][0]~q\ & (\led_flash_cnt[2704][1]~q\ $ (VCC))) # (!\led_flash_cnt[2704][0]~q\ & (\led_flash_cnt[2704][1]~q\ & VCC))
-- \led_flash_cnt[2704][1]~64737\ = CARRY((\led_flash_cnt[2704][0]~q\ & \led_flash_cnt[2704][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2704][0]~q\,
	datab => \led_flash_cnt[2704][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2704][1]~64736_combout\,
	cout => \led_flash_cnt[2704][1]~64737\);

-- Location: FF_X45_Y6_N5
\led_flash_cnt[2704][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2704][1]~64736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2704][1]~q\);

-- Location: LCCOMB_X45_Y6_N6
\led_flash_cnt[2704][2]~64738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2704][2]~64738_combout\ = (\led_flash_cnt[2704][2]~q\ & (!\led_flash_cnt[2704][1]~64737\)) # (!\led_flash_cnt[2704][2]~q\ & ((\led_flash_cnt[2704][1]~64737\) # (GND)))
-- \led_flash_cnt[2704][2]~64739\ = CARRY((!\led_flash_cnt[2704][1]~64737\) # (!\led_flash_cnt[2704][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2704][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2704][1]~64737\,
	combout => \led_flash_cnt[2704][2]~64738_combout\,
	cout => \led_flash_cnt[2704][2]~64739\);

-- Location: FF_X45_Y6_N7
\led_flash_cnt[2704][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2704][2]~64738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2704][2]~q\);

-- Location: LCCOMB_X45_Y6_N8
\led_flash_cnt[2704][3]~64740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2704][3]~64740_combout\ = (\led_flash_cnt[2704][3]~q\ & (\led_flash_cnt[2704][2]~64739\ $ (GND))) # (!\led_flash_cnt[2704][3]~q\ & (!\led_flash_cnt[2704][2]~64739\ & VCC))
-- \led_flash_cnt[2704][3]~64741\ = CARRY((\led_flash_cnt[2704][3]~q\ & !\led_flash_cnt[2704][2]~64739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2704][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2704][2]~64739\,
	combout => \led_flash_cnt[2704][3]~64740_combout\,
	cout => \led_flash_cnt[2704][3]~64741\);

-- Location: FF_X45_Y6_N9
\led_flash_cnt[2704][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2704][3]~64740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2704][3]~q\);

-- Location: LCCOMB_X45_Y6_N10
\led_flash_cnt[2704][4]~64742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2704][4]~64742_combout\ = (\led_flash_cnt[2704][4]~q\ & (!\led_flash_cnt[2704][3]~64741\)) # (!\led_flash_cnt[2704][4]~q\ & ((\led_flash_cnt[2704][3]~64741\) # (GND)))
-- \led_flash_cnt[2704][4]~64743\ = CARRY((!\led_flash_cnt[2704][3]~64741\) # (!\led_flash_cnt[2704][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2704][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2704][3]~64741\,
	combout => \led_flash_cnt[2704][4]~64742_combout\,
	cout => \led_flash_cnt[2704][4]~64743\);

-- Location: FF_X45_Y6_N11
\led_flash_cnt[2704][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2704][4]~64742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2704][4]~q\);

-- Location: LCCOMB_X44_Y6_N10
\WideAnd2704~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2704~0_combout\ = (\led_flash_cnt[2704][1]~q\ & (\led_flash_cnt[2704][4]~q\ & (\led_flash_cnt[2704][3]~q\ & \led_flash_cnt[2704][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2704][1]~q\,
	datab => \led_flash_cnt[2704][4]~q\,
	datac => \led_flash_cnt[2704][3]~q\,
	datad => \led_flash_cnt[2704][2]~q\,
	combout => \WideAnd2704~0_combout\);

-- Location: LCCOMB_X45_Y6_N12
\led_flash_cnt[2704][5]~64744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2704][5]~64744_combout\ = (\led_flash_cnt[2704][5]~q\ & (\led_flash_cnt[2704][4]~64743\ $ (GND))) # (!\led_flash_cnt[2704][5]~q\ & (!\led_flash_cnt[2704][4]~64743\ & VCC))
-- \led_flash_cnt[2704][5]~64745\ = CARRY((\led_flash_cnt[2704][5]~q\ & !\led_flash_cnt[2704][4]~64743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2704][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2704][4]~64743\,
	combout => \led_flash_cnt[2704][5]~64744_combout\,
	cout => \led_flash_cnt[2704][5]~64745\);

-- Location: FF_X45_Y6_N13
\led_flash_cnt[2704][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2704][5]~64744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2704][5]~q\);

-- Location: LCCOMB_X45_Y6_N14
\led_flash_cnt[2704][6]~64746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2704][6]~64746_combout\ = (\led_flash_cnt[2704][6]~q\ & (!\led_flash_cnt[2704][5]~64745\)) # (!\led_flash_cnt[2704][6]~q\ & ((\led_flash_cnt[2704][5]~64745\) # (GND)))
-- \led_flash_cnt[2704][6]~64747\ = CARRY((!\led_flash_cnt[2704][5]~64745\) # (!\led_flash_cnt[2704][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2704][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2704][5]~64745\,
	combout => \led_flash_cnt[2704][6]~64746_combout\,
	cout => \led_flash_cnt[2704][6]~64747\);

-- Location: FF_X45_Y6_N15
\led_flash_cnt[2704][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2704][6]~64746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2704][6]~q\);

-- Location: LCCOMB_X44_Y6_N8
\WideAnd2704~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2704~1_combout\ = (\led_flash_cnt[2704][6]~q\ & \led_flash_cnt[2704][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2704][6]~q\,
	datac => \led_flash_cnt[2704][5]~q\,
	combout => \WideAnd2704~1_combout\);

-- Location: LCCOMB_X45_Y6_N16
\led_flash_cnt[2704][7]~64748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2704][7]~64748_combout\ = \led_flash_cnt[2704][6]~64747\ $ (!\led_flash_cnt[2704][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2704][7]~q\,
	cin => \led_flash_cnt[2704][6]~64747\,
	combout => \led_flash_cnt[2704][7]~64748_combout\);

-- Location: FF_X45_Y6_N17
\led_flash_cnt[2704][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2704][7]~64748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2704][7]~q\);

-- Location: LCCOMB_X44_Y6_N0
WideAnd2704 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2704~combout\ = (\WideAnd2704~0_combout\ & (\led_flash_cnt[2704][0]~q\ & (\WideAnd2704~1_combout\ & \led_flash_cnt[2704][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2704~0_combout\,
	datab => \led_flash_cnt[2704][0]~q\,
	datac => \WideAnd2704~1_combout\,
	datad => \led_flash_cnt[2704][7]~q\,
	combout => \WideAnd2704~combout\);

-- Location: FF_X44_Y6_N1
\led_flash_cnt_ands[2704]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2704~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2704));

-- Location: LCCOMB_X44_Y6_N6
\WideAnd4178~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4178~0_combout\ = (led_flash_cnt_ands(2707) & (led_flash_cnt_ands(2705) & (led_flash_cnt_ands(2706) & led_flash_cnt_ands(2704))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2707),
	datab => led_flash_cnt_ands(2705),
	datac => led_flash_cnt_ands(2706),
	datad => led_flash_cnt_ands(2704),
	combout => \WideAnd4178~0_combout\);

-- Location: LCCOMB_X44_Y5_N20
WideAnd4178 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4178~combout\ = (led_flash_cnt_ands(2710) & (\WideAnd4178~1_combout\ & (led_flash_cnt_ands(2711) & \WideAnd4178~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2710),
	datab => \WideAnd4178~1_combout\,
	datac => led_flash_cnt_ands(2711),
	datad => \WideAnd4178~0_combout\,
	combout => \WideAnd4178~combout\);

-- Location: FF_X44_Y5_N21
\led_flash_cnt_ands_1[338]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4178~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(338));

-- Location: LCCOMB_X39_Y2_N30
\led_flash_cnt[2692][0]~83332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2692][0]~83332_combout\ = !\led_flash_cnt[2692][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2692][0]~q\,
	combout => \led_flash_cnt[2692][0]~83332_combout\);

-- Location: FF_X39_Y2_N31
\led_flash_cnt[2692][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2692][0]~83332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2692][0]~q\);

-- Location: LCCOMB_X39_Y2_N0
\led_flash_cnt[2692][1]~64568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2692][1]~64568_combout\ = (\led_flash_cnt[2692][0]~q\ & (\led_flash_cnt[2692][1]~q\ $ (VCC))) # (!\led_flash_cnt[2692][0]~q\ & (\led_flash_cnt[2692][1]~q\ & VCC))
-- \led_flash_cnt[2692][1]~64569\ = CARRY((\led_flash_cnt[2692][0]~q\ & \led_flash_cnt[2692][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2692][0]~q\,
	datab => \led_flash_cnt[2692][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2692][1]~64568_combout\,
	cout => \led_flash_cnt[2692][1]~64569\);

-- Location: FF_X39_Y2_N1
\led_flash_cnt[2692][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2692][1]~64568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2692][1]~q\);

-- Location: LCCOMB_X39_Y2_N2
\led_flash_cnt[2692][2]~64570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2692][2]~64570_combout\ = (\led_flash_cnt[2692][2]~q\ & (!\led_flash_cnt[2692][1]~64569\)) # (!\led_flash_cnt[2692][2]~q\ & ((\led_flash_cnt[2692][1]~64569\) # (GND)))
-- \led_flash_cnt[2692][2]~64571\ = CARRY((!\led_flash_cnt[2692][1]~64569\) # (!\led_flash_cnt[2692][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2692][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2692][1]~64569\,
	combout => \led_flash_cnt[2692][2]~64570_combout\,
	cout => \led_flash_cnt[2692][2]~64571\);

-- Location: FF_X39_Y2_N3
\led_flash_cnt[2692][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2692][2]~64570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2692][2]~q\);

-- Location: LCCOMB_X39_Y2_N4
\led_flash_cnt[2692][3]~64572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2692][3]~64572_combout\ = (\led_flash_cnt[2692][3]~q\ & (\led_flash_cnt[2692][2]~64571\ $ (GND))) # (!\led_flash_cnt[2692][3]~q\ & (!\led_flash_cnt[2692][2]~64571\ & VCC))
-- \led_flash_cnt[2692][3]~64573\ = CARRY((\led_flash_cnt[2692][3]~q\ & !\led_flash_cnt[2692][2]~64571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2692][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2692][2]~64571\,
	combout => \led_flash_cnt[2692][3]~64572_combout\,
	cout => \led_flash_cnt[2692][3]~64573\);

-- Location: FF_X39_Y2_N5
\led_flash_cnt[2692][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2692][3]~64572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2692][3]~q\);

-- Location: LCCOMB_X39_Y2_N6
\led_flash_cnt[2692][4]~64574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2692][4]~64574_combout\ = (\led_flash_cnt[2692][4]~q\ & (!\led_flash_cnt[2692][3]~64573\)) # (!\led_flash_cnt[2692][4]~q\ & ((\led_flash_cnt[2692][3]~64573\) # (GND)))
-- \led_flash_cnt[2692][4]~64575\ = CARRY((!\led_flash_cnt[2692][3]~64573\) # (!\led_flash_cnt[2692][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2692][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2692][3]~64573\,
	combout => \led_flash_cnt[2692][4]~64574_combout\,
	cout => \led_flash_cnt[2692][4]~64575\);

-- Location: FF_X39_Y2_N7
\led_flash_cnt[2692][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2692][4]~64574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2692][4]~q\);

-- Location: LCCOMB_X39_Y2_N8
\led_flash_cnt[2692][5]~64576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2692][5]~64576_combout\ = (\led_flash_cnt[2692][5]~q\ & (\led_flash_cnt[2692][4]~64575\ $ (GND))) # (!\led_flash_cnt[2692][5]~q\ & (!\led_flash_cnt[2692][4]~64575\ & VCC))
-- \led_flash_cnt[2692][5]~64577\ = CARRY((\led_flash_cnt[2692][5]~q\ & !\led_flash_cnt[2692][4]~64575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2692][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2692][4]~64575\,
	combout => \led_flash_cnt[2692][5]~64576_combout\,
	cout => \led_flash_cnt[2692][5]~64577\);

-- Location: FF_X39_Y2_N9
\led_flash_cnt[2692][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2692][5]~64576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2692][5]~q\);

-- Location: LCCOMB_X39_Y2_N10
\led_flash_cnt[2692][6]~64578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2692][6]~64578_combout\ = (\led_flash_cnt[2692][6]~q\ & (!\led_flash_cnt[2692][5]~64577\)) # (!\led_flash_cnt[2692][6]~q\ & ((\led_flash_cnt[2692][5]~64577\) # (GND)))
-- \led_flash_cnt[2692][6]~64579\ = CARRY((!\led_flash_cnt[2692][5]~64577\) # (!\led_flash_cnt[2692][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2692][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2692][5]~64577\,
	combout => \led_flash_cnt[2692][6]~64578_combout\,
	cout => \led_flash_cnt[2692][6]~64579\);

-- Location: FF_X39_Y2_N11
\led_flash_cnt[2692][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2692][6]~64578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2692][6]~q\);

-- Location: LCCOMB_X39_Y2_N12
\led_flash_cnt[2692][7]~64580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2692][7]~64580_combout\ = \led_flash_cnt[2692][6]~64579\ $ (!\led_flash_cnt[2692][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2692][7]~q\,
	cin => \led_flash_cnt[2692][6]~64579\,
	combout => \led_flash_cnt[2692][7]~64580_combout\);

-- Location: FF_X39_Y2_N13
\led_flash_cnt[2692][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2692][7]~64580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2692][7]~q\);

-- Location: LCCOMB_X39_Y2_N20
\WideAnd2692~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2692~0_combout\ = (\led_flash_cnt[2692][4]~q\ & (\led_flash_cnt[2692][1]~q\ & (\led_flash_cnt[2692][3]~q\ & \led_flash_cnt[2692][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2692][4]~q\,
	datab => \led_flash_cnt[2692][1]~q\,
	datac => \led_flash_cnt[2692][3]~q\,
	datad => \led_flash_cnt[2692][2]~q\,
	combout => \WideAnd2692~0_combout\);

-- Location: LCCOMB_X39_Y2_N24
\WideAnd2692~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2692~1_combout\ = (\led_flash_cnt[2692][5]~q\ & \led_flash_cnt[2692][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2692][5]~q\,
	datad => \led_flash_cnt[2692][6]~q\,
	combout => \WideAnd2692~1_combout\);

-- Location: LCCOMB_X39_Y2_N22
WideAnd2692 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2692~combout\ = (\led_flash_cnt[2692][7]~q\ & (\WideAnd2692~0_combout\ & (\led_flash_cnt[2692][0]~q\ & \WideAnd2692~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2692][7]~q\,
	datab => \WideAnd2692~0_combout\,
	datac => \led_flash_cnt[2692][0]~q\,
	datad => \WideAnd2692~1_combout\,
	combout => \WideAnd2692~combout\);

-- Location: FF_X39_Y2_N23
\led_flash_cnt_ands[2692]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2692~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2692));

-- Location: LCCOMB_X39_Y2_N28
\led_flash_cnt[2693][0]~83333\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2693][0]~83333_combout\ = !\led_flash_cnt[2693][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2693][0]~q\,
	combout => \led_flash_cnt[2693][0]~83333_combout\);

-- Location: FF_X39_Y2_N29
\led_flash_cnt[2693][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2693][0]~83333_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2693][0]~q\);

-- Location: LCCOMB_X40_Y2_N16
\led_flash_cnt[2693][1]~64582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2693][1]~64582_combout\ = (\led_flash_cnt[2693][0]~q\ & (\led_flash_cnt[2693][1]~q\ $ (VCC))) # (!\led_flash_cnt[2693][0]~q\ & (\led_flash_cnt[2693][1]~q\ & VCC))
-- \led_flash_cnt[2693][1]~64583\ = CARRY((\led_flash_cnt[2693][0]~q\ & \led_flash_cnt[2693][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2693][0]~q\,
	datab => \led_flash_cnt[2693][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2693][1]~64582_combout\,
	cout => \led_flash_cnt[2693][1]~64583\);

-- Location: FF_X40_Y2_N17
\led_flash_cnt[2693][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2693][1]~64582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2693][1]~q\);

-- Location: LCCOMB_X40_Y2_N18
\led_flash_cnt[2693][2]~64584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2693][2]~64584_combout\ = (\led_flash_cnt[2693][2]~q\ & (!\led_flash_cnt[2693][1]~64583\)) # (!\led_flash_cnt[2693][2]~q\ & ((\led_flash_cnt[2693][1]~64583\) # (GND)))
-- \led_flash_cnt[2693][2]~64585\ = CARRY((!\led_flash_cnt[2693][1]~64583\) # (!\led_flash_cnt[2693][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2693][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2693][1]~64583\,
	combout => \led_flash_cnt[2693][2]~64584_combout\,
	cout => \led_flash_cnt[2693][2]~64585\);

-- Location: FF_X40_Y2_N19
\led_flash_cnt[2693][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2693][2]~64584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2693][2]~q\);

-- Location: LCCOMB_X40_Y2_N20
\led_flash_cnt[2693][3]~64586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2693][3]~64586_combout\ = (\led_flash_cnt[2693][3]~q\ & (\led_flash_cnt[2693][2]~64585\ $ (GND))) # (!\led_flash_cnt[2693][3]~q\ & (!\led_flash_cnt[2693][2]~64585\ & VCC))
-- \led_flash_cnt[2693][3]~64587\ = CARRY((\led_flash_cnt[2693][3]~q\ & !\led_flash_cnt[2693][2]~64585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2693][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2693][2]~64585\,
	combout => \led_flash_cnt[2693][3]~64586_combout\,
	cout => \led_flash_cnt[2693][3]~64587\);

-- Location: FF_X40_Y2_N21
\led_flash_cnt[2693][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2693][3]~64586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2693][3]~q\);

-- Location: LCCOMB_X40_Y2_N22
\led_flash_cnt[2693][4]~64588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2693][4]~64588_combout\ = (\led_flash_cnt[2693][4]~q\ & (!\led_flash_cnt[2693][3]~64587\)) # (!\led_flash_cnt[2693][4]~q\ & ((\led_flash_cnt[2693][3]~64587\) # (GND)))
-- \led_flash_cnt[2693][4]~64589\ = CARRY((!\led_flash_cnt[2693][3]~64587\) # (!\led_flash_cnt[2693][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2693][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2693][3]~64587\,
	combout => \led_flash_cnt[2693][4]~64588_combout\,
	cout => \led_flash_cnt[2693][4]~64589\);

-- Location: FF_X40_Y2_N23
\led_flash_cnt[2693][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2693][4]~64588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2693][4]~q\);

-- Location: LCCOMB_X40_Y2_N30
\WideAnd2693~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2693~0_combout\ = (\led_flash_cnt[2693][1]~q\ & (\led_flash_cnt[2693][3]~q\ & (\led_flash_cnt[2693][4]~q\ & \led_flash_cnt[2693][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2693][1]~q\,
	datab => \led_flash_cnt[2693][3]~q\,
	datac => \led_flash_cnt[2693][4]~q\,
	datad => \led_flash_cnt[2693][2]~q\,
	combout => \WideAnd2693~0_combout\);

-- Location: LCCOMB_X40_Y2_N24
\led_flash_cnt[2693][5]~64590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2693][5]~64590_combout\ = (\led_flash_cnt[2693][5]~q\ & (\led_flash_cnt[2693][4]~64589\ $ (GND))) # (!\led_flash_cnt[2693][5]~q\ & (!\led_flash_cnt[2693][4]~64589\ & VCC))
-- \led_flash_cnt[2693][5]~64591\ = CARRY((\led_flash_cnt[2693][5]~q\ & !\led_flash_cnt[2693][4]~64589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2693][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2693][4]~64589\,
	combout => \led_flash_cnt[2693][5]~64590_combout\,
	cout => \led_flash_cnt[2693][5]~64591\);

-- Location: FF_X40_Y2_N25
\led_flash_cnt[2693][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2693][5]~64590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2693][5]~q\);

-- Location: LCCOMB_X40_Y2_N26
\led_flash_cnt[2693][6]~64592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2693][6]~64592_combout\ = (\led_flash_cnt[2693][6]~q\ & (!\led_flash_cnt[2693][5]~64591\)) # (!\led_flash_cnt[2693][6]~q\ & ((\led_flash_cnt[2693][5]~64591\) # (GND)))
-- \led_flash_cnt[2693][6]~64593\ = CARRY((!\led_flash_cnt[2693][5]~64591\) # (!\led_flash_cnt[2693][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2693][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2693][5]~64591\,
	combout => \led_flash_cnt[2693][6]~64592_combout\,
	cout => \led_flash_cnt[2693][6]~64593\);

-- Location: FF_X40_Y2_N27
\led_flash_cnt[2693][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2693][6]~64592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2693][6]~q\);

-- Location: LCCOMB_X39_Y2_N26
\WideAnd2693~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2693~1_combout\ = (\led_flash_cnt[2693][6]~q\ & \led_flash_cnt[2693][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2693][6]~q\,
	datad => \led_flash_cnt[2693][5]~q\,
	combout => \WideAnd2693~1_combout\);

-- Location: LCCOMB_X40_Y2_N28
\led_flash_cnt[2693][7]~64594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2693][7]~64594_combout\ = \led_flash_cnt[2693][6]~64593\ $ (!\led_flash_cnt[2693][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2693][7]~q\,
	cin => \led_flash_cnt[2693][6]~64593\,
	combout => \led_flash_cnt[2693][7]~64594_combout\);

-- Location: FF_X40_Y2_N29
\led_flash_cnt[2693][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2693][7]~64594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2693][7]~q\);

-- Location: LCCOMB_X39_Y2_N16
WideAnd2693 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2693~combout\ = (\WideAnd2693~0_combout\ & (\led_flash_cnt[2693][0]~q\ & (\WideAnd2693~1_combout\ & \led_flash_cnt[2693][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2693~0_combout\,
	datab => \led_flash_cnt[2693][0]~q\,
	datac => \WideAnd2693~1_combout\,
	datad => \led_flash_cnt[2693][7]~q\,
	combout => \WideAnd2693~combout\);

-- Location: FF_X39_Y2_N17
\led_flash_cnt_ands[2693]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2693~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2693));

-- Location: LCCOMB_X39_Y2_N18
\WideAnd4176~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4176~1_combout\ = (led_flash_cnt_ands(2692) & led_flash_cnt_ands(2693))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2692),
	datad => led_flash_cnt_ands(2693),
	combout => \WideAnd4176~1_combout\);

-- Location: LCCOMB_X45_Y12_N20
\led_flash_cnt[2694][0]~83334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2694][0]~83334_combout\ = !\led_flash_cnt[2694][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2694][0]~q\,
	combout => \led_flash_cnt[2694][0]~83334_combout\);

-- Location: FF_X45_Y12_N21
\led_flash_cnt[2694][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2694][0]~83334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2694][0]~q\);

-- Location: LCCOMB_X45_Y12_N6
\led_flash_cnt[2694][1]~64596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2694][1]~64596_combout\ = (\led_flash_cnt[2694][1]~q\ & (\led_flash_cnt[2694][0]~q\ $ (VCC))) # (!\led_flash_cnt[2694][1]~q\ & (\led_flash_cnt[2694][0]~q\ & VCC))
-- \led_flash_cnt[2694][1]~64597\ = CARRY((\led_flash_cnt[2694][1]~q\ & \led_flash_cnt[2694][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2694][1]~q\,
	datab => \led_flash_cnt[2694][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2694][1]~64596_combout\,
	cout => \led_flash_cnt[2694][1]~64597\);

-- Location: FF_X45_Y12_N7
\led_flash_cnt[2694][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2694][1]~64596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2694][1]~q\);

-- Location: LCCOMB_X45_Y12_N8
\led_flash_cnt[2694][2]~64598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2694][2]~64598_combout\ = (\led_flash_cnt[2694][2]~q\ & (!\led_flash_cnt[2694][1]~64597\)) # (!\led_flash_cnt[2694][2]~q\ & ((\led_flash_cnt[2694][1]~64597\) # (GND)))
-- \led_flash_cnt[2694][2]~64599\ = CARRY((!\led_flash_cnt[2694][1]~64597\) # (!\led_flash_cnt[2694][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2694][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2694][1]~64597\,
	combout => \led_flash_cnt[2694][2]~64598_combout\,
	cout => \led_flash_cnt[2694][2]~64599\);

-- Location: FF_X45_Y12_N9
\led_flash_cnt[2694][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2694][2]~64598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2694][2]~q\);

-- Location: LCCOMB_X45_Y12_N10
\led_flash_cnt[2694][3]~64600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2694][3]~64600_combout\ = (\led_flash_cnt[2694][3]~q\ & (\led_flash_cnt[2694][2]~64599\ $ (GND))) # (!\led_flash_cnt[2694][3]~q\ & (!\led_flash_cnt[2694][2]~64599\ & VCC))
-- \led_flash_cnt[2694][3]~64601\ = CARRY((\led_flash_cnt[2694][3]~q\ & !\led_flash_cnt[2694][2]~64599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2694][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2694][2]~64599\,
	combout => \led_flash_cnt[2694][3]~64600_combout\,
	cout => \led_flash_cnt[2694][3]~64601\);

-- Location: FF_X45_Y12_N11
\led_flash_cnt[2694][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2694][3]~64600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2694][3]~q\);

-- Location: LCCOMB_X45_Y12_N12
\led_flash_cnt[2694][4]~64602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2694][4]~64602_combout\ = (\led_flash_cnt[2694][4]~q\ & (!\led_flash_cnt[2694][3]~64601\)) # (!\led_flash_cnt[2694][4]~q\ & ((\led_flash_cnt[2694][3]~64601\) # (GND)))
-- \led_flash_cnt[2694][4]~64603\ = CARRY((!\led_flash_cnt[2694][3]~64601\) # (!\led_flash_cnt[2694][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2694][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2694][3]~64601\,
	combout => \led_flash_cnt[2694][4]~64602_combout\,
	cout => \led_flash_cnt[2694][4]~64603\);

-- Location: FF_X45_Y12_N13
\led_flash_cnt[2694][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2694][4]~64602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2694][4]~q\);

-- Location: LCCOMB_X45_Y12_N22
\WideAnd2694~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2694~0_combout\ = (\led_flash_cnt[2694][4]~q\ & (\led_flash_cnt[2694][3]~q\ & (\led_flash_cnt[2694][2]~q\ & \led_flash_cnt[2694][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2694][4]~q\,
	datab => \led_flash_cnt[2694][3]~q\,
	datac => \led_flash_cnt[2694][2]~q\,
	datad => \led_flash_cnt[2694][1]~q\,
	combout => \WideAnd2694~0_combout\);

-- Location: LCCOMB_X45_Y12_N14
\led_flash_cnt[2694][5]~64604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2694][5]~64604_combout\ = (\led_flash_cnt[2694][5]~q\ & (\led_flash_cnt[2694][4]~64603\ $ (GND))) # (!\led_flash_cnt[2694][5]~q\ & (!\led_flash_cnt[2694][4]~64603\ & VCC))
-- \led_flash_cnt[2694][5]~64605\ = CARRY((\led_flash_cnt[2694][5]~q\ & !\led_flash_cnt[2694][4]~64603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2694][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2694][4]~64603\,
	combout => \led_flash_cnt[2694][5]~64604_combout\,
	cout => \led_flash_cnt[2694][5]~64605\);

-- Location: FF_X45_Y12_N15
\led_flash_cnt[2694][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2694][5]~64604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2694][5]~q\);

-- Location: LCCOMB_X45_Y12_N16
\led_flash_cnt[2694][6]~64606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2694][6]~64606_combout\ = (\led_flash_cnt[2694][6]~q\ & (!\led_flash_cnt[2694][5]~64605\)) # (!\led_flash_cnt[2694][6]~q\ & ((\led_flash_cnt[2694][5]~64605\) # (GND)))
-- \led_flash_cnt[2694][6]~64607\ = CARRY((!\led_flash_cnt[2694][5]~64605\) # (!\led_flash_cnt[2694][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2694][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2694][5]~64605\,
	combout => \led_flash_cnt[2694][6]~64606_combout\,
	cout => \led_flash_cnt[2694][6]~64607\);

-- Location: FF_X45_Y12_N17
\led_flash_cnt[2694][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2694][6]~64606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2694][6]~q\);

-- Location: LCCOMB_X45_Y12_N18
\led_flash_cnt[2694][7]~64608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2694][7]~64608_combout\ = \led_flash_cnt[2694][6]~64607\ $ (!\led_flash_cnt[2694][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2694][7]~q\,
	cin => \led_flash_cnt[2694][6]~64607\,
	combout => \led_flash_cnt[2694][7]~64608_combout\);

-- Location: FF_X45_Y12_N19
\led_flash_cnt[2694][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2694][7]~64608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2694][7]~q\);

-- Location: LCCOMB_X45_Y12_N4
\WideAnd2694~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2694~1_combout\ = (\led_flash_cnt[2694][5]~q\ & \led_flash_cnt[2694][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2694][5]~q\,
	datad => \led_flash_cnt[2694][6]~q\,
	combout => \WideAnd2694~1_combout\);

-- Location: LCCOMB_X45_Y12_N24
WideAnd2694 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2694~combout\ = (\WideAnd2694~0_combout\ & (\led_flash_cnt[2694][7]~q\ & (\WideAnd2694~1_combout\ & \led_flash_cnt[2694][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2694~0_combout\,
	datab => \led_flash_cnt[2694][7]~q\,
	datac => \WideAnd2694~1_combout\,
	datad => \led_flash_cnt[2694][0]~q\,
	combout => \WideAnd2694~combout\);

-- Location: FF_X45_Y12_N25
\led_flash_cnt_ands[2694]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2694~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2694));

-- Location: LCCOMB_X30_Y18_N18
\led_flash_cnt[2688][0]~83328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2688][0]~83328_combout\ = !\led_flash_cnt[2688][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2688][0]~q\,
	combout => \led_flash_cnt[2688][0]~83328_combout\);

-- Location: FF_X30_Y18_N19
\led_flash_cnt[2688][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2688][0]~83328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2688][0]~q\);

-- Location: LCCOMB_X31_Y18_N18
\led_flash_cnt[2688][1]~64512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2688][1]~64512_combout\ = (\led_flash_cnt[2688][0]~q\ & (\led_flash_cnt[2688][1]~q\ $ (VCC))) # (!\led_flash_cnt[2688][0]~q\ & (\led_flash_cnt[2688][1]~q\ & VCC))
-- \led_flash_cnt[2688][1]~64513\ = CARRY((\led_flash_cnt[2688][0]~q\ & \led_flash_cnt[2688][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2688][0]~q\,
	datab => \led_flash_cnt[2688][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2688][1]~64512_combout\,
	cout => \led_flash_cnt[2688][1]~64513\);

-- Location: FF_X31_Y18_N19
\led_flash_cnt[2688][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2688][1]~64512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2688][1]~q\);

-- Location: LCCOMB_X31_Y18_N20
\led_flash_cnt[2688][2]~64514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2688][2]~64514_combout\ = (\led_flash_cnt[2688][2]~q\ & (!\led_flash_cnt[2688][1]~64513\)) # (!\led_flash_cnt[2688][2]~q\ & ((\led_flash_cnt[2688][1]~64513\) # (GND)))
-- \led_flash_cnt[2688][2]~64515\ = CARRY((!\led_flash_cnt[2688][1]~64513\) # (!\led_flash_cnt[2688][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2688][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2688][1]~64513\,
	combout => \led_flash_cnt[2688][2]~64514_combout\,
	cout => \led_flash_cnt[2688][2]~64515\);

-- Location: FF_X31_Y18_N21
\led_flash_cnt[2688][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2688][2]~64514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2688][2]~q\);

-- Location: LCCOMB_X31_Y18_N22
\led_flash_cnt[2688][3]~64516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2688][3]~64516_combout\ = (\led_flash_cnt[2688][3]~q\ & (\led_flash_cnt[2688][2]~64515\ $ (GND))) # (!\led_flash_cnt[2688][3]~q\ & (!\led_flash_cnt[2688][2]~64515\ & VCC))
-- \led_flash_cnt[2688][3]~64517\ = CARRY((\led_flash_cnt[2688][3]~q\ & !\led_flash_cnt[2688][2]~64515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2688][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2688][2]~64515\,
	combout => \led_flash_cnt[2688][3]~64516_combout\,
	cout => \led_flash_cnt[2688][3]~64517\);

-- Location: FF_X31_Y18_N23
\led_flash_cnt[2688][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2688][3]~64516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2688][3]~q\);

-- Location: LCCOMB_X31_Y18_N24
\led_flash_cnt[2688][4]~64518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2688][4]~64518_combout\ = (\led_flash_cnt[2688][4]~q\ & (!\led_flash_cnt[2688][3]~64517\)) # (!\led_flash_cnt[2688][4]~q\ & ((\led_flash_cnt[2688][3]~64517\) # (GND)))
-- \led_flash_cnt[2688][4]~64519\ = CARRY((!\led_flash_cnt[2688][3]~64517\) # (!\led_flash_cnt[2688][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2688][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2688][3]~64517\,
	combout => \led_flash_cnt[2688][4]~64518_combout\,
	cout => \led_flash_cnt[2688][4]~64519\);

-- Location: FF_X31_Y18_N25
\led_flash_cnt[2688][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2688][4]~64518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2688][4]~q\);

-- Location: LCCOMB_X31_Y18_N26
\led_flash_cnt[2688][5]~64520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2688][5]~64520_combout\ = (\led_flash_cnt[2688][5]~q\ & (\led_flash_cnt[2688][4]~64519\ $ (GND))) # (!\led_flash_cnt[2688][5]~q\ & (!\led_flash_cnt[2688][4]~64519\ & VCC))
-- \led_flash_cnt[2688][5]~64521\ = CARRY((\led_flash_cnt[2688][5]~q\ & !\led_flash_cnt[2688][4]~64519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2688][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2688][4]~64519\,
	combout => \led_flash_cnt[2688][5]~64520_combout\,
	cout => \led_flash_cnt[2688][5]~64521\);

-- Location: FF_X31_Y18_N27
\led_flash_cnt[2688][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2688][5]~64520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2688][5]~q\);

-- Location: LCCOMB_X31_Y18_N28
\led_flash_cnt[2688][6]~64522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2688][6]~64522_combout\ = (\led_flash_cnt[2688][6]~q\ & (!\led_flash_cnt[2688][5]~64521\)) # (!\led_flash_cnt[2688][6]~q\ & ((\led_flash_cnt[2688][5]~64521\) # (GND)))
-- \led_flash_cnt[2688][6]~64523\ = CARRY((!\led_flash_cnt[2688][5]~64521\) # (!\led_flash_cnt[2688][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2688][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2688][5]~64521\,
	combout => \led_flash_cnt[2688][6]~64522_combout\,
	cout => \led_flash_cnt[2688][6]~64523\);

-- Location: FF_X31_Y18_N29
\led_flash_cnt[2688][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2688][6]~64522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2688][6]~q\);

-- Location: LCCOMB_X30_Y18_N22
\WideAnd2688~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2688~1_combout\ = (\led_flash_cnt[2688][6]~q\ & \led_flash_cnt[2688][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2688][6]~q\,
	datad => \led_flash_cnt[2688][5]~q\,
	combout => \WideAnd2688~1_combout\);

-- Location: LCCOMB_X31_Y18_N30
\led_flash_cnt[2688][7]~64524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2688][7]~64524_combout\ = \led_flash_cnt[2688][7]~q\ $ (!\led_flash_cnt[2688][6]~64523\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2688][7]~q\,
	cin => \led_flash_cnt[2688][6]~64523\,
	combout => \led_flash_cnt[2688][7]~64524_combout\);

-- Location: FF_X31_Y18_N31
\led_flash_cnt[2688][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2688][7]~64524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2688][7]~q\);

-- Location: LCCOMB_X31_Y18_N2
\WideAnd2688~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2688~0_combout\ = (\led_flash_cnt[2688][1]~q\ & (\led_flash_cnt[2688][2]~q\ & (\led_flash_cnt[2688][3]~q\ & \led_flash_cnt[2688][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2688][1]~q\,
	datab => \led_flash_cnt[2688][2]~q\,
	datac => \led_flash_cnt[2688][3]~q\,
	datad => \led_flash_cnt[2688][4]~q\,
	combout => \WideAnd2688~0_combout\);

-- Location: LCCOMB_X30_Y18_N24
WideAnd2688 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2688~combout\ = (\WideAnd2688~1_combout\ & (\led_flash_cnt[2688][0]~q\ & (\led_flash_cnt[2688][7]~q\ & \WideAnd2688~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2688~1_combout\,
	datab => \led_flash_cnt[2688][0]~q\,
	datac => \led_flash_cnt[2688][7]~q\,
	datad => \WideAnd2688~0_combout\,
	combout => \WideAnd2688~combout\);

-- Location: FF_X30_Y18_N25
\led_flash_cnt_ands[2688]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2688~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2688));

-- Location: LCCOMB_X36_Y18_N2
\led_flash_cnt[2690][0]~83330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2690][0]~83330_combout\ = !\led_flash_cnt[2690][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2690][0]~q\,
	combout => \led_flash_cnt[2690][0]~83330_combout\);

-- Location: FF_X36_Y18_N3
\led_flash_cnt[2690][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2690][0]~83330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2690][0]~q\);

-- Location: LCCOMB_X35_Y18_N4
\led_flash_cnt[2690][1]~64540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2690][1]~64540_combout\ = (\led_flash_cnt[2690][0]~q\ & (\led_flash_cnt[2690][1]~q\ $ (VCC))) # (!\led_flash_cnt[2690][0]~q\ & (\led_flash_cnt[2690][1]~q\ & VCC))
-- \led_flash_cnt[2690][1]~64541\ = CARRY((\led_flash_cnt[2690][0]~q\ & \led_flash_cnt[2690][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2690][0]~q\,
	datab => \led_flash_cnt[2690][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2690][1]~64540_combout\,
	cout => \led_flash_cnt[2690][1]~64541\);

-- Location: FF_X35_Y18_N5
\led_flash_cnt[2690][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2690][1]~64540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2690][1]~q\);

-- Location: LCCOMB_X35_Y18_N6
\led_flash_cnt[2690][2]~64542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2690][2]~64542_combout\ = (\led_flash_cnt[2690][2]~q\ & (!\led_flash_cnt[2690][1]~64541\)) # (!\led_flash_cnt[2690][2]~q\ & ((\led_flash_cnt[2690][1]~64541\) # (GND)))
-- \led_flash_cnt[2690][2]~64543\ = CARRY((!\led_flash_cnt[2690][1]~64541\) # (!\led_flash_cnt[2690][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2690][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2690][1]~64541\,
	combout => \led_flash_cnt[2690][2]~64542_combout\,
	cout => \led_flash_cnt[2690][2]~64543\);

-- Location: FF_X35_Y18_N7
\led_flash_cnt[2690][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2690][2]~64542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2690][2]~q\);

-- Location: LCCOMB_X35_Y18_N8
\led_flash_cnt[2690][3]~64544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2690][3]~64544_combout\ = (\led_flash_cnt[2690][3]~q\ & (\led_flash_cnt[2690][2]~64543\ $ (GND))) # (!\led_flash_cnt[2690][3]~q\ & (!\led_flash_cnt[2690][2]~64543\ & VCC))
-- \led_flash_cnt[2690][3]~64545\ = CARRY((\led_flash_cnt[2690][3]~q\ & !\led_flash_cnt[2690][2]~64543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2690][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2690][2]~64543\,
	combout => \led_flash_cnt[2690][3]~64544_combout\,
	cout => \led_flash_cnt[2690][3]~64545\);

-- Location: FF_X35_Y18_N9
\led_flash_cnt[2690][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2690][3]~64544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2690][3]~q\);

-- Location: LCCOMB_X35_Y18_N10
\led_flash_cnt[2690][4]~64546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2690][4]~64546_combout\ = (\led_flash_cnt[2690][4]~q\ & (!\led_flash_cnt[2690][3]~64545\)) # (!\led_flash_cnt[2690][4]~q\ & ((\led_flash_cnt[2690][3]~64545\) # (GND)))
-- \led_flash_cnt[2690][4]~64547\ = CARRY((!\led_flash_cnt[2690][3]~64545\) # (!\led_flash_cnt[2690][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2690][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2690][3]~64545\,
	combout => \led_flash_cnt[2690][4]~64546_combout\,
	cout => \led_flash_cnt[2690][4]~64547\);

-- Location: FF_X35_Y18_N11
\led_flash_cnt[2690][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2690][4]~64546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2690][4]~q\);

-- Location: LCCOMB_X35_Y18_N2
\WideAnd2690~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2690~0_combout\ = (\led_flash_cnt[2690][4]~q\ & (\led_flash_cnt[2690][3]~q\ & (\led_flash_cnt[2690][1]~q\ & \led_flash_cnt[2690][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2690][4]~q\,
	datab => \led_flash_cnt[2690][3]~q\,
	datac => \led_flash_cnt[2690][1]~q\,
	datad => \led_flash_cnt[2690][2]~q\,
	combout => \WideAnd2690~0_combout\);

-- Location: LCCOMB_X35_Y18_N12
\led_flash_cnt[2690][5]~64548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2690][5]~64548_combout\ = (\led_flash_cnt[2690][5]~q\ & (\led_flash_cnt[2690][4]~64547\ $ (GND))) # (!\led_flash_cnt[2690][5]~q\ & (!\led_flash_cnt[2690][4]~64547\ & VCC))
-- \led_flash_cnt[2690][5]~64549\ = CARRY((\led_flash_cnt[2690][5]~q\ & !\led_flash_cnt[2690][4]~64547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2690][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2690][4]~64547\,
	combout => \led_flash_cnt[2690][5]~64548_combout\,
	cout => \led_flash_cnt[2690][5]~64549\);

-- Location: FF_X35_Y18_N13
\led_flash_cnt[2690][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2690][5]~64548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2690][5]~q\);

-- Location: LCCOMB_X35_Y18_N14
\led_flash_cnt[2690][6]~64550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2690][6]~64550_combout\ = (\led_flash_cnt[2690][6]~q\ & (!\led_flash_cnt[2690][5]~64549\)) # (!\led_flash_cnt[2690][6]~q\ & ((\led_flash_cnt[2690][5]~64549\) # (GND)))
-- \led_flash_cnt[2690][6]~64551\ = CARRY((!\led_flash_cnt[2690][5]~64549\) # (!\led_flash_cnt[2690][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2690][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2690][5]~64549\,
	combout => \led_flash_cnt[2690][6]~64550_combout\,
	cout => \led_flash_cnt[2690][6]~64551\);

-- Location: FF_X35_Y18_N15
\led_flash_cnt[2690][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2690][6]~64550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2690][6]~q\);

-- Location: LCCOMB_X36_Y18_N0
\WideAnd2690~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2690~1_combout\ = (\led_flash_cnt[2690][6]~q\ & \led_flash_cnt[2690][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2690][6]~q\,
	datad => \led_flash_cnt[2690][5]~q\,
	combout => \WideAnd2690~1_combout\);

-- Location: LCCOMB_X35_Y18_N16
\led_flash_cnt[2690][7]~64552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2690][7]~64552_combout\ = \led_flash_cnt[2690][6]~64551\ $ (!\led_flash_cnt[2690][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2690][7]~q\,
	cin => \led_flash_cnt[2690][6]~64551\,
	combout => \led_flash_cnt[2690][7]~64552_combout\);

-- Location: FF_X35_Y18_N17
\led_flash_cnt[2690][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2690][7]~64552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2690][7]~q\);

-- Location: LCCOMB_X36_Y18_N4
WideAnd2690 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2690~combout\ = (\WideAnd2690~0_combout\ & (\WideAnd2690~1_combout\ & (\led_flash_cnt[2690][7]~q\ & \led_flash_cnt[2690][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2690~0_combout\,
	datab => \WideAnd2690~1_combout\,
	datac => \led_flash_cnt[2690][7]~q\,
	datad => \led_flash_cnt[2690][0]~q\,
	combout => \WideAnd2690~combout\);

-- Location: FF_X36_Y18_N5
\led_flash_cnt_ands[2690]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2690~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2690));

-- Location: LCCOMB_X30_Y18_N26
\led_flash_cnt[2691][0]~83331\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2691][0]~83331_combout\ = !\led_flash_cnt[2691][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2691][0]~q\,
	combout => \led_flash_cnt[2691][0]~83331_combout\);

-- Location: FF_X30_Y18_N27
\led_flash_cnt[2691][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2691][0]~83331_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2691][0]~q\);

-- Location: LCCOMB_X30_Y18_N2
\led_flash_cnt[2691][1]~64554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2691][1]~64554_combout\ = (\led_flash_cnt[2691][0]~q\ & (\led_flash_cnt[2691][1]~q\ $ (VCC))) # (!\led_flash_cnt[2691][0]~q\ & (\led_flash_cnt[2691][1]~q\ & VCC))
-- \led_flash_cnt[2691][1]~64555\ = CARRY((\led_flash_cnt[2691][0]~q\ & \led_flash_cnt[2691][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2691][0]~q\,
	datab => \led_flash_cnt[2691][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2691][1]~64554_combout\,
	cout => \led_flash_cnt[2691][1]~64555\);

-- Location: FF_X30_Y18_N3
\led_flash_cnt[2691][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2691][1]~64554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2691][1]~q\);

-- Location: LCCOMB_X30_Y18_N4
\led_flash_cnt[2691][2]~64556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2691][2]~64556_combout\ = (\led_flash_cnt[2691][2]~q\ & (!\led_flash_cnt[2691][1]~64555\)) # (!\led_flash_cnt[2691][2]~q\ & ((\led_flash_cnt[2691][1]~64555\) # (GND)))
-- \led_flash_cnt[2691][2]~64557\ = CARRY((!\led_flash_cnt[2691][1]~64555\) # (!\led_flash_cnt[2691][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2691][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2691][1]~64555\,
	combout => \led_flash_cnt[2691][2]~64556_combout\,
	cout => \led_flash_cnt[2691][2]~64557\);

-- Location: FF_X30_Y18_N5
\led_flash_cnt[2691][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2691][2]~64556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2691][2]~q\);

-- Location: LCCOMB_X30_Y18_N6
\led_flash_cnt[2691][3]~64558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2691][3]~64558_combout\ = (\led_flash_cnt[2691][3]~q\ & (\led_flash_cnt[2691][2]~64557\ $ (GND))) # (!\led_flash_cnt[2691][3]~q\ & (!\led_flash_cnt[2691][2]~64557\ & VCC))
-- \led_flash_cnt[2691][3]~64559\ = CARRY((\led_flash_cnt[2691][3]~q\ & !\led_flash_cnt[2691][2]~64557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2691][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2691][2]~64557\,
	combout => \led_flash_cnt[2691][3]~64558_combout\,
	cout => \led_flash_cnt[2691][3]~64559\);

-- Location: FF_X30_Y18_N7
\led_flash_cnt[2691][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2691][3]~64558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2691][3]~q\);

-- Location: LCCOMB_X30_Y18_N8
\led_flash_cnt[2691][4]~64560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2691][4]~64560_combout\ = (\led_flash_cnt[2691][4]~q\ & (!\led_flash_cnt[2691][3]~64559\)) # (!\led_flash_cnt[2691][4]~q\ & ((\led_flash_cnt[2691][3]~64559\) # (GND)))
-- \led_flash_cnt[2691][4]~64561\ = CARRY((!\led_flash_cnt[2691][3]~64559\) # (!\led_flash_cnt[2691][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2691][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2691][3]~64559\,
	combout => \led_flash_cnt[2691][4]~64560_combout\,
	cout => \led_flash_cnt[2691][4]~64561\);

-- Location: FF_X30_Y18_N9
\led_flash_cnt[2691][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2691][4]~64560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2691][4]~q\);

-- Location: LCCOMB_X30_Y18_N30
\WideAnd2691~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2691~0_combout\ = (\led_flash_cnt[2691][3]~q\ & (\led_flash_cnt[2691][2]~q\ & (\led_flash_cnt[2691][4]~q\ & \led_flash_cnt[2691][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2691][3]~q\,
	datab => \led_flash_cnt[2691][2]~q\,
	datac => \led_flash_cnt[2691][4]~q\,
	datad => \led_flash_cnt[2691][1]~q\,
	combout => \WideAnd2691~0_combout\);

-- Location: LCCOMB_X30_Y18_N10
\led_flash_cnt[2691][5]~64562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2691][5]~64562_combout\ = (\led_flash_cnt[2691][5]~q\ & (\led_flash_cnt[2691][4]~64561\ $ (GND))) # (!\led_flash_cnt[2691][5]~q\ & (!\led_flash_cnt[2691][4]~64561\ & VCC))
-- \led_flash_cnt[2691][5]~64563\ = CARRY((\led_flash_cnt[2691][5]~q\ & !\led_flash_cnt[2691][4]~64561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2691][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2691][4]~64561\,
	combout => \led_flash_cnt[2691][5]~64562_combout\,
	cout => \led_flash_cnt[2691][5]~64563\);

-- Location: FF_X30_Y18_N11
\led_flash_cnt[2691][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2691][5]~64562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2691][5]~q\);

-- Location: LCCOMB_X30_Y18_N12
\led_flash_cnt[2691][6]~64564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2691][6]~64564_combout\ = (\led_flash_cnt[2691][6]~q\ & (!\led_flash_cnt[2691][5]~64563\)) # (!\led_flash_cnt[2691][6]~q\ & ((\led_flash_cnt[2691][5]~64563\) # (GND)))
-- \led_flash_cnt[2691][6]~64565\ = CARRY((!\led_flash_cnt[2691][5]~64563\) # (!\led_flash_cnt[2691][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2691][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2691][5]~64563\,
	combout => \led_flash_cnt[2691][6]~64564_combout\,
	cout => \led_flash_cnt[2691][6]~64565\);

-- Location: FF_X30_Y18_N13
\led_flash_cnt[2691][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2691][6]~64564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2691][6]~q\);

-- Location: LCCOMB_X30_Y18_N14
\led_flash_cnt[2691][7]~64566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2691][7]~64566_combout\ = \led_flash_cnt[2691][7]~q\ $ (!\led_flash_cnt[2691][6]~64565\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2691][7]~q\,
	cin => \led_flash_cnt[2691][6]~64565\,
	combout => \led_flash_cnt[2691][7]~64566_combout\);

-- Location: FF_X30_Y18_N15
\led_flash_cnt[2691][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2691][7]~64566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2691][7]~q\);

-- Location: LCCOMB_X30_Y18_N20
\WideAnd2691~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2691~1_combout\ = (\led_flash_cnt[2691][6]~q\ & \led_flash_cnt[2691][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2691][6]~q\,
	datad => \led_flash_cnt[2691][5]~q\,
	combout => \WideAnd2691~1_combout\);

-- Location: LCCOMB_X30_Y18_N28
WideAnd2691 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2691~combout\ = (\WideAnd2691~0_combout\ & (\led_flash_cnt[2691][7]~q\ & (\led_flash_cnt[2691][0]~q\ & \WideAnd2691~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2691~0_combout\,
	datab => \led_flash_cnt[2691][7]~q\,
	datac => \led_flash_cnt[2691][0]~q\,
	datad => \WideAnd2691~1_combout\,
	combout => \WideAnd2691~combout\);

-- Location: FF_X30_Y18_N29
\led_flash_cnt_ands[2691]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2691~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2691));

-- Location: LCCOMB_X36_Y18_N10
\led_flash_cnt[2689][0]~83329\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2689][0]~83329_combout\ = !\led_flash_cnt[2689][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2689][0]~q\,
	combout => \led_flash_cnt[2689][0]~83329_combout\);

-- Location: FF_X36_Y18_N11
\led_flash_cnt[2689][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2689][0]~83329_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2689][0]~q\);

-- Location: LCCOMB_X36_Y18_N16
\led_flash_cnt[2689][1]~64526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2689][1]~64526_combout\ = (\led_flash_cnt[2689][0]~q\ & (\led_flash_cnt[2689][1]~q\ $ (VCC))) # (!\led_flash_cnt[2689][0]~q\ & (\led_flash_cnt[2689][1]~q\ & VCC))
-- \led_flash_cnt[2689][1]~64527\ = CARRY((\led_flash_cnt[2689][0]~q\ & \led_flash_cnt[2689][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2689][0]~q\,
	datab => \led_flash_cnt[2689][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2689][1]~64526_combout\,
	cout => \led_flash_cnt[2689][1]~64527\);

-- Location: FF_X36_Y18_N17
\led_flash_cnt[2689][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2689][1]~64526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2689][1]~q\);

-- Location: LCCOMB_X36_Y18_N18
\led_flash_cnt[2689][2]~64528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2689][2]~64528_combout\ = (\led_flash_cnt[2689][2]~q\ & (!\led_flash_cnt[2689][1]~64527\)) # (!\led_flash_cnt[2689][2]~q\ & ((\led_flash_cnt[2689][1]~64527\) # (GND)))
-- \led_flash_cnt[2689][2]~64529\ = CARRY((!\led_flash_cnt[2689][1]~64527\) # (!\led_flash_cnt[2689][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2689][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2689][1]~64527\,
	combout => \led_flash_cnt[2689][2]~64528_combout\,
	cout => \led_flash_cnt[2689][2]~64529\);

-- Location: FF_X36_Y18_N19
\led_flash_cnt[2689][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2689][2]~64528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2689][2]~q\);

-- Location: LCCOMB_X36_Y18_N20
\led_flash_cnt[2689][3]~64530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2689][3]~64530_combout\ = (\led_flash_cnt[2689][3]~q\ & (\led_flash_cnt[2689][2]~64529\ $ (GND))) # (!\led_flash_cnt[2689][3]~q\ & (!\led_flash_cnt[2689][2]~64529\ & VCC))
-- \led_flash_cnt[2689][3]~64531\ = CARRY((\led_flash_cnt[2689][3]~q\ & !\led_flash_cnt[2689][2]~64529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2689][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2689][2]~64529\,
	combout => \led_flash_cnt[2689][3]~64530_combout\,
	cout => \led_flash_cnt[2689][3]~64531\);

-- Location: FF_X36_Y18_N21
\led_flash_cnt[2689][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2689][3]~64530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2689][3]~q\);

-- Location: LCCOMB_X36_Y18_N22
\led_flash_cnt[2689][4]~64532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2689][4]~64532_combout\ = (\led_flash_cnt[2689][4]~q\ & (!\led_flash_cnt[2689][3]~64531\)) # (!\led_flash_cnt[2689][4]~q\ & ((\led_flash_cnt[2689][3]~64531\) # (GND)))
-- \led_flash_cnt[2689][4]~64533\ = CARRY((!\led_flash_cnt[2689][3]~64531\) # (!\led_flash_cnt[2689][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2689][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2689][3]~64531\,
	combout => \led_flash_cnt[2689][4]~64532_combout\,
	cout => \led_flash_cnt[2689][4]~64533\);

-- Location: FF_X36_Y18_N23
\led_flash_cnt[2689][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2689][4]~64532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2689][4]~q\);

-- Location: LCCOMB_X36_Y18_N24
\led_flash_cnt[2689][5]~64534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2689][5]~64534_combout\ = (\led_flash_cnt[2689][5]~q\ & (\led_flash_cnt[2689][4]~64533\ $ (GND))) # (!\led_flash_cnt[2689][5]~q\ & (!\led_flash_cnt[2689][4]~64533\ & VCC))
-- \led_flash_cnt[2689][5]~64535\ = CARRY((\led_flash_cnt[2689][5]~q\ & !\led_flash_cnt[2689][4]~64533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2689][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2689][4]~64533\,
	combout => \led_flash_cnt[2689][5]~64534_combout\,
	cout => \led_flash_cnt[2689][5]~64535\);

-- Location: FF_X36_Y18_N25
\led_flash_cnt[2689][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2689][5]~64534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2689][5]~q\);

-- Location: LCCOMB_X36_Y18_N26
\led_flash_cnt[2689][6]~64536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2689][6]~64536_combout\ = (\led_flash_cnt[2689][6]~q\ & (!\led_flash_cnt[2689][5]~64535\)) # (!\led_flash_cnt[2689][6]~q\ & ((\led_flash_cnt[2689][5]~64535\) # (GND)))
-- \led_flash_cnt[2689][6]~64537\ = CARRY((!\led_flash_cnt[2689][5]~64535\) # (!\led_flash_cnt[2689][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2689][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2689][5]~64535\,
	combout => \led_flash_cnt[2689][6]~64536_combout\,
	cout => \led_flash_cnt[2689][6]~64537\);

-- Location: FF_X36_Y18_N27
\led_flash_cnt[2689][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2689][6]~64536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2689][6]~q\);

-- Location: LCCOMB_X36_Y18_N28
\led_flash_cnt[2689][7]~64538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2689][7]~64538_combout\ = \led_flash_cnt[2689][6]~64537\ $ (!\led_flash_cnt[2689][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2689][7]~q\,
	cin => \led_flash_cnt[2689][6]~64537\,
	combout => \led_flash_cnt[2689][7]~64538_combout\);

-- Location: FF_X36_Y18_N29
\led_flash_cnt[2689][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2689][7]~64538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2689][7]~q\);

-- Location: LCCOMB_X36_Y18_N8
\WideAnd2689~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2689~1_combout\ = (\led_flash_cnt[2689][6]~q\ & \led_flash_cnt[2689][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2689][6]~q\,
	datad => \led_flash_cnt[2689][5]~q\,
	combout => \WideAnd2689~1_combout\);

-- Location: LCCOMB_X36_Y18_N12
\WideAnd2689~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2689~0_combout\ = (\led_flash_cnt[2689][3]~q\ & (\led_flash_cnt[2689][2]~q\ & (\led_flash_cnt[2689][4]~q\ & \led_flash_cnt[2689][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2689][3]~q\,
	datab => \led_flash_cnt[2689][2]~q\,
	datac => \led_flash_cnt[2689][4]~q\,
	datad => \led_flash_cnt[2689][1]~q\,
	combout => \WideAnd2689~0_combout\);

-- Location: LCCOMB_X36_Y18_N6
WideAnd2689 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2689~combout\ = (\led_flash_cnt[2689][0]~q\ & (\led_flash_cnt[2689][7]~q\ & (\WideAnd2689~1_combout\ & \WideAnd2689~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2689][0]~q\,
	datab => \led_flash_cnt[2689][7]~q\,
	datac => \WideAnd2689~1_combout\,
	datad => \WideAnd2689~0_combout\,
	combout => \WideAnd2689~combout\);

-- Location: FF_X36_Y18_N7
\led_flash_cnt_ands[2689]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2689~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2689));

-- Location: LCCOMB_X36_Y18_N30
\WideAnd4176~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4176~0_combout\ = (led_flash_cnt_ands(2688) & (led_flash_cnt_ands(2690) & (led_flash_cnt_ands(2691) & led_flash_cnt_ands(2689))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2688),
	datab => led_flash_cnt_ands(2690),
	datac => led_flash_cnt_ands(2691),
	datad => led_flash_cnt_ands(2689),
	combout => \WideAnd4176~0_combout\);

-- Location: LCCOMB_X45_Y9_N6
\led_flash_cnt[2695][0]~83335\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2695][0]~83335_combout\ = !\led_flash_cnt[2695][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2695][0]~q\,
	combout => \led_flash_cnt[2695][0]~83335_combout\);

-- Location: FF_X45_Y9_N7
\led_flash_cnt[2695][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2695][0]~83335_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2695][0]~q\);

-- Location: LCCOMB_X45_Y9_N18
\led_flash_cnt[2695][1]~64610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2695][1]~64610_combout\ = (\led_flash_cnt[2695][0]~q\ & (\led_flash_cnt[2695][1]~q\ $ (VCC))) # (!\led_flash_cnt[2695][0]~q\ & (\led_flash_cnt[2695][1]~q\ & VCC))
-- \led_flash_cnt[2695][1]~64611\ = CARRY((\led_flash_cnt[2695][0]~q\ & \led_flash_cnt[2695][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2695][0]~q\,
	datab => \led_flash_cnt[2695][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2695][1]~64610_combout\,
	cout => \led_flash_cnt[2695][1]~64611\);

-- Location: FF_X45_Y9_N19
\led_flash_cnt[2695][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2695][1]~64610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2695][1]~q\);

-- Location: LCCOMB_X45_Y9_N20
\led_flash_cnt[2695][2]~64612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2695][2]~64612_combout\ = (\led_flash_cnt[2695][2]~q\ & (!\led_flash_cnt[2695][1]~64611\)) # (!\led_flash_cnt[2695][2]~q\ & ((\led_flash_cnt[2695][1]~64611\) # (GND)))
-- \led_flash_cnt[2695][2]~64613\ = CARRY((!\led_flash_cnt[2695][1]~64611\) # (!\led_flash_cnt[2695][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2695][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2695][1]~64611\,
	combout => \led_flash_cnt[2695][2]~64612_combout\,
	cout => \led_flash_cnt[2695][2]~64613\);

-- Location: FF_X45_Y9_N21
\led_flash_cnt[2695][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2695][2]~64612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2695][2]~q\);

-- Location: LCCOMB_X45_Y9_N22
\led_flash_cnt[2695][3]~64614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2695][3]~64614_combout\ = (\led_flash_cnt[2695][3]~q\ & (\led_flash_cnt[2695][2]~64613\ $ (GND))) # (!\led_flash_cnt[2695][3]~q\ & (!\led_flash_cnt[2695][2]~64613\ & VCC))
-- \led_flash_cnt[2695][3]~64615\ = CARRY((\led_flash_cnt[2695][3]~q\ & !\led_flash_cnt[2695][2]~64613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2695][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2695][2]~64613\,
	combout => \led_flash_cnt[2695][3]~64614_combout\,
	cout => \led_flash_cnt[2695][3]~64615\);

-- Location: FF_X45_Y9_N23
\led_flash_cnt[2695][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2695][3]~64614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2695][3]~q\);

-- Location: LCCOMB_X45_Y9_N24
\led_flash_cnt[2695][4]~64616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2695][4]~64616_combout\ = (\led_flash_cnt[2695][4]~q\ & (!\led_flash_cnt[2695][3]~64615\)) # (!\led_flash_cnt[2695][4]~q\ & ((\led_flash_cnt[2695][3]~64615\) # (GND)))
-- \led_flash_cnt[2695][4]~64617\ = CARRY((!\led_flash_cnt[2695][3]~64615\) # (!\led_flash_cnt[2695][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2695][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2695][3]~64615\,
	combout => \led_flash_cnt[2695][4]~64616_combout\,
	cout => \led_flash_cnt[2695][4]~64617\);

-- Location: FF_X45_Y9_N25
\led_flash_cnt[2695][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2695][4]~64616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2695][4]~q\);

-- Location: LCCOMB_X45_Y9_N26
\led_flash_cnt[2695][5]~64618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2695][5]~64618_combout\ = (\led_flash_cnt[2695][5]~q\ & (\led_flash_cnt[2695][4]~64617\ $ (GND))) # (!\led_flash_cnt[2695][5]~q\ & (!\led_flash_cnt[2695][4]~64617\ & VCC))
-- \led_flash_cnt[2695][5]~64619\ = CARRY((\led_flash_cnt[2695][5]~q\ & !\led_flash_cnt[2695][4]~64617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2695][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2695][4]~64617\,
	combout => \led_flash_cnt[2695][5]~64618_combout\,
	cout => \led_flash_cnt[2695][5]~64619\);

-- Location: FF_X45_Y9_N27
\led_flash_cnt[2695][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2695][5]~64618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2695][5]~q\);

-- Location: LCCOMB_X45_Y9_N28
\led_flash_cnt[2695][6]~64620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2695][6]~64620_combout\ = (\led_flash_cnt[2695][6]~q\ & (!\led_flash_cnt[2695][5]~64619\)) # (!\led_flash_cnt[2695][6]~q\ & ((\led_flash_cnt[2695][5]~64619\) # (GND)))
-- \led_flash_cnt[2695][6]~64621\ = CARRY((!\led_flash_cnt[2695][5]~64619\) # (!\led_flash_cnt[2695][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2695][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2695][5]~64619\,
	combout => \led_flash_cnt[2695][6]~64620_combout\,
	cout => \led_flash_cnt[2695][6]~64621\);

-- Location: FF_X45_Y9_N29
\led_flash_cnt[2695][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2695][6]~64620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2695][6]~q\);

-- Location: LCCOMB_X45_Y9_N16
\WideAnd2695~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2695~1_combout\ = (\led_flash_cnt[2695][5]~q\ & \led_flash_cnt[2695][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2695][5]~q\,
	datad => \led_flash_cnt[2695][6]~q\,
	combout => \WideAnd2695~1_combout\);

-- Location: LCCOMB_X45_Y9_N30
\led_flash_cnt[2695][7]~64622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2695][7]~64622_combout\ = \led_flash_cnt[2695][7]~q\ $ (!\led_flash_cnt[2695][6]~64621\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2695][7]~q\,
	cin => \led_flash_cnt[2695][6]~64621\,
	combout => \led_flash_cnt[2695][7]~64622_combout\);

-- Location: FF_X45_Y9_N31
\led_flash_cnt[2695][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2695][7]~64622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2695][7]~q\);

-- Location: LCCOMB_X45_Y9_N12
\WideAnd2695~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2695~0_combout\ = (\led_flash_cnt[2695][4]~q\ & (\led_flash_cnt[2695][2]~q\ & (\led_flash_cnt[2695][3]~q\ & \led_flash_cnt[2695][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2695][4]~q\,
	datab => \led_flash_cnt[2695][2]~q\,
	datac => \led_flash_cnt[2695][3]~q\,
	datad => \led_flash_cnt[2695][1]~q\,
	combout => \WideAnd2695~0_combout\);

-- Location: LCCOMB_X45_Y9_N0
WideAnd2695 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2695~combout\ = (\led_flash_cnt[2695][0]~q\ & (\WideAnd2695~1_combout\ & (\led_flash_cnt[2695][7]~q\ & \WideAnd2695~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2695][0]~q\,
	datab => \WideAnd2695~1_combout\,
	datac => \led_flash_cnt[2695][7]~q\,
	datad => \WideAnd2695~0_combout\,
	combout => \WideAnd2695~combout\);

-- Location: FF_X45_Y9_N1
\led_flash_cnt_ands[2695]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2695~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2695));

-- Location: LCCOMB_X45_Y9_N14
WideAnd4176 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4176~combout\ = (\WideAnd4176~1_combout\ & (led_flash_cnt_ands(2694) & (\WideAnd4176~0_combout\ & led_flash_cnt_ands(2695))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4176~1_combout\,
	datab => led_flash_cnt_ands(2694),
	datac => \WideAnd4176~0_combout\,
	datad => led_flash_cnt_ands(2695),
	combout => \WideAnd4176~combout\);

-- Location: FF_X45_Y9_N15
\led_flash_cnt_ands_1[336]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4176~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(336));

-- Location: LCCOMB_X49_Y7_N26
\led_flash_cnt[2702][0]~83342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2702][0]~83342_combout\ = !\led_flash_cnt[2702][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2702][0]~q\,
	combout => \led_flash_cnt[2702][0]~83342_combout\);

-- Location: FF_X49_Y7_N27
\led_flash_cnt[2702][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2702][0]~83342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2702][0]~q\);

-- Location: LCCOMB_X49_Y7_N8
\led_flash_cnt[2702][1]~64708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2702][1]~64708_combout\ = (\led_flash_cnt[2702][0]~q\ & (\led_flash_cnt[2702][1]~q\ $ (VCC))) # (!\led_flash_cnt[2702][0]~q\ & (\led_flash_cnt[2702][1]~q\ & VCC))
-- \led_flash_cnt[2702][1]~64709\ = CARRY((\led_flash_cnt[2702][0]~q\ & \led_flash_cnt[2702][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2702][0]~q\,
	datab => \led_flash_cnt[2702][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2702][1]~64708_combout\,
	cout => \led_flash_cnt[2702][1]~64709\);

-- Location: FF_X49_Y7_N9
\led_flash_cnt[2702][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2702][1]~64708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2702][1]~q\);

-- Location: LCCOMB_X49_Y7_N10
\led_flash_cnt[2702][2]~64710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2702][2]~64710_combout\ = (\led_flash_cnt[2702][2]~q\ & (!\led_flash_cnt[2702][1]~64709\)) # (!\led_flash_cnt[2702][2]~q\ & ((\led_flash_cnt[2702][1]~64709\) # (GND)))
-- \led_flash_cnt[2702][2]~64711\ = CARRY((!\led_flash_cnt[2702][1]~64709\) # (!\led_flash_cnt[2702][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2702][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2702][1]~64709\,
	combout => \led_flash_cnt[2702][2]~64710_combout\,
	cout => \led_flash_cnt[2702][2]~64711\);

-- Location: FF_X49_Y7_N11
\led_flash_cnt[2702][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2702][2]~64710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2702][2]~q\);

-- Location: LCCOMB_X49_Y7_N12
\led_flash_cnt[2702][3]~64712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2702][3]~64712_combout\ = (\led_flash_cnt[2702][3]~q\ & (\led_flash_cnt[2702][2]~64711\ $ (GND))) # (!\led_flash_cnt[2702][3]~q\ & (!\led_flash_cnt[2702][2]~64711\ & VCC))
-- \led_flash_cnt[2702][3]~64713\ = CARRY((\led_flash_cnt[2702][3]~q\ & !\led_flash_cnt[2702][2]~64711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2702][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2702][2]~64711\,
	combout => \led_flash_cnt[2702][3]~64712_combout\,
	cout => \led_flash_cnt[2702][3]~64713\);

-- Location: FF_X49_Y7_N13
\led_flash_cnt[2702][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2702][3]~64712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2702][3]~q\);

-- Location: LCCOMB_X49_Y7_N14
\led_flash_cnt[2702][4]~64714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2702][4]~64714_combout\ = (\led_flash_cnt[2702][4]~q\ & (!\led_flash_cnt[2702][3]~64713\)) # (!\led_flash_cnt[2702][4]~q\ & ((\led_flash_cnt[2702][3]~64713\) # (GND)))
-- \led_flash_cnt[2702][4]~64715\ = CARRY((!\led_flash_cnt[2702][3]~64713\) # (!\led_flash_cnt[2702][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2702][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2702][3]~64713\,
	combout => \led_flash_cnt[2702][4]~64714_combout\,
	cout => \led_flash_cnt[2702][4]~64715\);

-- Location: FF_X49_Y7_N15
\led_flash_cnt[2702][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2702][4]~64714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2702][4]~q\);

-- Location: LCCOMB_X49_Y7_N6
\WideAnd2702~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2702~0_combout\ = (\led_flash_cnt[2702][3]~q\ & (\led_flash_cnt[2702][1]~q\ & (\led_flash_cnt[2702][4]~q\ & \led_flash_cnt[2702][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2702][3]~q\,
	datab => \led_flash_cnt[2702][1]~q\,
	datac => \led_flash_cnt[2702][4]~q\,
	datad => \led_flash_cnt[2702][2]~q\,
	combout => \WideAnd2702~0_combout\);

-- Location: LCCOMB_X49_Y7_N16
\led_flash_cnt[2702][5]~64716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2702][5]~64716_combout\ = (\led_flash_cnt[2702][5]~q\ & (\led_flash_cnt[2702][4]~64715\ $ (GND))) # (!\led_flash_cnt[2702][5]~q\ & (!\led_flash_cnt[2702][4]~64715\ & VCC))
-- \led_flash_cnt[2702][5]~64717\ = CARRY((\led_flash_cnt[2702][5]~q\ & !\led_flash_cnt[2702][4]~64715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2702][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2702][4]~64715\,
	combout => \led_flash_cnt[2702][5]~64716_combout\,
	cout => \led_flash_cnt[2702][5]~64717\);

-- Location: FF_X49_Y7_N17
\led_flash_cnt[2702][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2702][5]~64716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2702][5]~q\);

-- Location: LCCOMB_X49_Y7_N18
\led_flash_cnt[2702][6]~64718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2702][6]~64718_combout\ = (\led_flash_cnt[2702][6]~q\ & (!\led_flash_cnt[2702][5]~64717\)) # (!\led_flash_cnt[2702][6]~q\ & ((\led_flash_cnt[2702][5]~64717\) # (GND)))
-- \led_flash_cnt[2702][6]~64719\ = CARRY((!\led_flash_cnt[2702][5]~64717\) # (!\led_flash_cnt[2702][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2702][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2702][5]~64717\,
	combout => \led_flash_cnt[2702][6]~64718_combout\,
	cout => \led_flash_cnt[2702][6]~64719\);

-- Location: FF_X49_Y7_N19
\led_flash_cnt[2702][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2702][6]~64718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2702][6]~q\);

-- Location: LCCOMB_X49_Y7_N24
\WideAnd2702~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2702~1_combout\ = (\led_flash_cnt[2702][6]~q\ & \led_flash_cnt[2702][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2702][6]~q\,
	datad => \led_flash_cnt[2702][5]~q\,
	combout => \WideAnd2702~1_combout\);

-- Location: LCCOMB_X49_Y7_N20
\led_flash_cnt[2702][7]~64720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2702][7]~64720_combout\ = \led_flash_cnt[2702][6]~64719\ $ (!\led_flash_cnt[2702][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2702][7]~q\,
	cin => \led_flash_cnt[2702][6]~64719\,
	combout => \led_flash_cnt[2702][7]~64720_combout\);

-- Location: FF_X49_Y7_N21
\led_flash_cnt[2702][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2702][7]~64720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2702][7]~q\);

-- Location: LCCOMB_X49_Y7_N22
WideAnd2702 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2702~combout\ = (\WideAnd2702~0_combout\ & (\WideAnd2702~1_combout\ & (\led_flash_cnt[2702][0]~q\ & \led_flash_cnt[2702][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2702~0_combout\,
	datab => \WideAnd2702~1_combout\,
	datac => \led_flash_cnt[2702][0]~q\,
	datad => \led_flash_cnt[2702][7]~q\,
	combout => \WideAnd2702~combout\);

-- Location: FF_X49_Y7_N23
\led_flash_cnt_ands[2702]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2702~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2702));

-- Location: LCCOMB_X42_Y11_N0
\led_flash_cnt[2701][0]~83341\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2701][0]~83341_combout\ = !\led_flash_cnt[2701][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2701][0]~q\,
	combout => \led_flash_cnt[2701][0]~83341_combout\);

-- Location: FF_X42_Y11_N1
\led_flash_cnt[2701][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2701][0]~83341_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2701][0]~q\);

-- Location: LCCOMB_X42_Y12_N14
\led_flash_cnt[2701][1]~64694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2701][1]~64694_combout\ = (\led_flash_cnt[2701][0]~q\ & (\led_flash_cnt[2701][1]~q\ $ (VCC))) # (!\led_flash_cnt[2701][0]~q\ & (\led_flash_cnt[2701][1]~q\ & VCC))
-- \led_flash_cnt[2701][1]~64695\ = CARRY((\led_flash_cnt[2701][0]~q\ & \led_flash_cnt[2701][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2701][0]~q\,
	datab => \led_flash_cnt[2701][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2701][1]~64694_combout\,
	cout => \led_flash_cnt[2701][1]~64695\);

-- Location: FF_X42_Y12_N15
\led_flash_cnt[2701][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2701][1]~64694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2701][1]~q\);

-- Location: LCCOMB_X42_Y12_N16
\led_flash_cnt[2701][2]~64696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2701][2]~64696_combout\ = (\led_flash_cnt[2701][2]~q\ & (!\led_flash_cnt[2701][1]~64695\)) # (!\led_flash_cnt[2701][2]~q\ & ((\led_flash_cnt[2701][1]~64695\) # (GND)))
-- \led_flash_cnt[2701][2]~64697\ = CARRY((!\led_flash_cnt[2701][1]~64695\) # (!\led_flash_cnt[2701][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2701][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2701][1]~64695\,
	combout => \led_flash_cnt[2701][2]~64696_combout\,
	cout => \led_flash_cnt[2701][2]~64697\);

-- Location: FF_X42_Y12_N17
\led_flash_cnt[2701][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2701][2]~64696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2701][2]~q\);

-- Location: LCCOMB_X42_Y12_N18
\led_flash_cnt[2701][3]~64698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2701][3]~64698_combout\ = (\led_flash_cnt[2701][3]~q\ & (\led_flash_cnt[2701][2]~64697\ $ (GND))) # (!\led_flash_cnt[2701][3]~q\ & (!\led_flash_cnt[2701][2]~64697\ & VCC))
-- \led_flash_cnt[2701][3]~64699\ = CARRY((\led_flash_cnt[2701][3]~q\ & !\led_flash_cnt[2701][2]~64697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2701][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2701][2]~64697\,
	combout => \led_flash_cnt[2701][3]~64698_combout\,
	cout => \led_flash_cnt[2701][3]~64699\);

-- Location: FF_X42_Y12_N19
\led_flash_cnt[2701][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2701][3]~64698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2701][3]~q\);

-- Location: LCCOMB_X42_Y12_N20
\led_flash_cnt[2701][4]~64700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2701][4]~64700_combout\ = (\led_flash_cnt[2701][4]~q\ & (!\led_flash_cnt[2701][3]~64699\)) # (!\led_flash_cnt[2701][4]~q\ & ((\led_flash_cnt[2701][3]~64699\) # (GND)))
-- \led_flash_cnt[2701][4]~64701\ = CARRY((!\led_flash_cnt[2701][3]~64699\) # (!\led_flash_cnt[2701][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2701][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2701][3]~64699\,
	combout => \led_flash_cnt[2701][4]~64700_combout\,
	cout => \led_flash_cnt[2701][4]~64701\);

-- Location: FF_X42_Y12_N21
\led_flash_cnt[2701][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2701][4]~64700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2701][4]~q\);

-- Location: LCCOMB_X42_Y12_N22
\led_flash_cnt[2701][5]~64702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2701][5]~64702_combout\ = (\led_flash_cnt[2701][5]~q\ & (\led_flash_cnt[2701][4]~64701\ $ (GND))) # (!\led_flash_cnt[2701][5]~q\ & (!\led_flash_cnt[2701][4]~64701\ & VCC))
-- \led_flash_cnt[2701][5]~64703\ = CARRY((\led_flash_cnt[2701][5]~q\ & !\led_flash_cnt[2701][4]~64701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2701][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2701][4]~64701\,
	combout => \led_flash_cnt[2701][5]~64702_combout\,
	cout => \led_flash_cnt[2701][5]~64703\);

-- Location: FF_X42_Y12_N23
\led_flash_cnt[2701][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2701][5]~64702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2701][5]~q\);

-- Location: LCCOMB_X42_Y12_N24
\led_flash_cnt[2701][6]~64704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2701][6]~64704_combout\ = (\led_flash_cnt[2701][6]~q\ & (!\led_flash_cnt[2701][5]~64703\)) # (!\led_flash_cnt[2701][6]~q\ & ((\led_flash_cnt[2701][5]~64703\) # (GND)))
-- \led_flash_cnt[2701][6]~64705\ = CARRY((!\led_flash_cnt[2701][5]~64703\) # (!\led_flash_cnt[2701][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2701][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2701][5]~64703\,
	combout => \led_flash_cnt[2701][6]~64704_combout\,
	cout => \led_flash_cnt[2701][6]~64705\);

-- Location: FF_X42_Y12_N25
\led_flash_cnt[2701][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2701][6]~64704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2701][6]~q\);

-- Location: LCCOMB_X43_Y12_N24
\WideAnd2701~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2701~1_combout\ = (\led_flash_cnt[2701][5]~q\ & \led_flash_cnt[2701][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2701][5]~q\,
	datad => \led_flash_cnt[2701][6]~q\,
	combout => \WideAnd2701~1_combout\);

-- Location: LCCOMB_X42_Y12_N26
\led_flash_cnt[2701][7]~64706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2701][7]~64706_combout\ = \led_flash_cnt[2701][7]~q\ $ (!\led_flash_cnt[2701][6]~64705\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2701][7]~q\,
	cin => \led_flash_cnt[2701][6]~64705\,
	combout => \led_flash_cnt[2701][7]~64706_combout\);

-- Location: FF_X42_Y12_N27
\led_flash_cnt[2701][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2701][7]~64706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2701][7]~q\);

-- Location: LCCOMB_X42_Y12_N30
\WideAnd2701~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2701~0_combout\ = (\led_flash_cnt[2701][2]~q\ & (\led_flash_cnt[2701][4]~q\ & (\led_flash_cnt[2701][1]~q\ & \led_flash_cnt[2701][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2701][2]~q\,
	datab => \led_flash_cnt[2701][4]~q\,
	datac => \led_flash_cnt[2701][1]~q\,
	datad => \led_flash_cnt[2701][3]~q\,
	combout => \WideAnd2701~0_combout\);

-- Location: LCCOMB_X42_Y11_N8
WideAnd2701 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2701~combout\ = (\WideAnd2701~1_combout\ & (\led_flash_cnt[2701][7]~q\ & (\WideAnd2701~0_combout\ & \led_flash_cnt[2701][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2701~1_combout\,
	datab => \led_flash_cnt[2701][7]~q\,
	datac => \WideAnd2701~0_combout\,
	datad => \led_flash_cnt[2701][0]~q\,
	combout => \WideAnd2701~combout\);

-- Location: FF_X42_Y11_N9
\led_flash_cnt_ands[2701]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2701~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2701));

-- Location: LCCOMB_X42_Y11_N6
\led_flash_cnt[2700][0]~83340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2700][0]~83340_combout\ = !\led_flash_cnt[2700][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2700][0]~q\,
	combout => \led_flash_cnt[2700][0]~83340_combout\);

-- Location: FF_X42_Y11_N7
\led_flash_cnt[2700][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2700][0]~83340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2700][0]~q\);

-- Location: LCCOMB_X43_Y11_N0
\led_flash_cnt[2700][1]~64680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2700][1]~64680_combout\ = (\led_flash_cnt[2700][0]~q\ & (\led_flash_cnt[2700][1]~q\ $ (VCC))) # (!\led_flash_cnt[2700][0]~q\ & (\led_flash_cnt[2700][1]~q\ & VCC))
-- \led_flash_cnt[2700][1]~64681\ = CARRY((\led_flash_cnt[2700][0]~q\ & \led_flash_cnt[2700][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2700][0]~q\,
	datab => \led_flash_cnt[2700][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2700][1]~64680_combout\,
	cout => \led_flash_cnt[2700][1]~64681\);

-- Location: FF_X43_Y11_N1
\led_flash_cnt[2700][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2700][1]~64680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2700][1]~q\);

-- Location: LCCOMB_X43_Y11_N2
\led_flash_cnt[2700][2]~64682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2700][2]~64682_combout\ = (\led_flash_cnt[2700][2]~q\ & (!\led_flash_cnt[2700][1]~64681\)) # (!\led_flash_cnt[2700][2]~q\ & ((\led_flash_cnt[2700][1]~64681\) # (GND)))
-- \led_flash_cnt[2700][2]~64683\ = CARRY((!\led_flash_cnt[2700][1]~64681\) # (!\led_flash_cnt[2700][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2700][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2700][1]~64681\,
	combout => \led_flash_cnt[2700][2]~64682_combout\,
	cout => \led_flash_cnt[2700][2]~64683\);

-- Location: FF_X43_Y11_N3
\led_flash_cnt[2700][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2700][2]~64682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2700][2]~q\);

-- Location: LCCOMB_X43_Y11_N4
\led_flash_cnt[2700][3]~64684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2700][3]~64684_combout\ = (\led_flash_cnt[2700][3]~q\ & (\led_flash_cnt[2700][2]~64683\ $ (GND))) # (!\led_flash_cnt[2700][3]~q\ & (!\led_flash_cnt[2700][2]~64683\ & VCC))
-- \led_flash_cnt[2700][3]~64685\ = CARRY((\led_flash_cnt[2700][3]~q\ & !\led_flash_cnt[2700][2]~64683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2700][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2700][2]~64683\,
	combout => \led_flash_cnt[2700][3]~64684_combout\,
	cout => \led_flash_cnt[2700][3]~64685\);

-- Location: FF_X43_Y11_N5
\led_flash_cnt[2700][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2700][3]~64684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2700][3]~q\);

-- Location: LCCOMB_X43_Y11_N6
\led_flash_cnt[2700][4]~64686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2700][4]~64686_combout\ = (\led_flash_cnt[2700][4]~q\ & (!\led_flash_cnt[2700][3]~64685\)) # (!\led_flash_cnt[2700][4]~q\ & ((\led_flash_cnt[2700][3]~64685\) # (GND)))
-- \led_flash_cnt[2700][4]~64687\ = CARRY((!\led_flash_cnt[2700][3]~64685\) # (!\led_flash_cnt[2700][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2700][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2700][3]~64685\,
	combout => \led_flash_cnt[2700][4]~64686_combout\,
	cout => \led_flash_cnt[2700][4]~64687\);

-- Location: FF_X43_Y11_N7
\led_flash_cnt[2700][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2700][4]~64686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2700][4]~q\);

-- Location: LCCOMB_X43_Y11_N8
\led_flash_cnt[2700][5]~64688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2700][5]~64688_combout\ = (\led_flash_cnt[2700][5]~q\ & (\led_flash_cnt[2700][4]~64687\ $ (GND))) # (!\led_flash_cnt[2700][5]~q\ & (!\led_flash_cnt[2700][4]~64687\ & VCC))
-- \led_flash_cnt[2700][5]~64689\ = CARRY((\led_flash_cnt[2700][5]~q\ & !\led_flash_cnt[2700][4]~64687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2700][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2700][4]~64687\,
	combout => \led_flash_cnt[2700][5]~64688_combout\,
	cout => \led_flash_cnt[2700][5]~64689\);

-- Location: FF_X43_Y11_N9
\led_flash_cnt[2700][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2700][5]~64688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2700][5]~q\);

-- Location: LCCOMB_X43_Y11_N10
\led_flash_cnt[2700][6]~64690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2700][6]~64690_combout\ = (\led_flash_cnt[2700][6]~q\ & (!\led_flash_cnt[2700][5]~64689\)) # (!\led_flash_cnt[2700][6]~q\ & ((\led_flash_cnt[2700][5]~64689\) # (GND)))
-- \led_flash_cnt[2700][6]~64691\ = CARRY((!\led_flash_cnt[2700][5]~64689\) # (!\led_flash_cnt[2700][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2700][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2700][5]~64689\,
	combout => \led_flash_cnt[2700][6]~64690_combout\,
	cout => \led_flash_cnt[2700][6]~64691\);

-- Location: FF_X43_Y11_N11
\led_flash_cnt[2700][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2700][6]~64690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2700][6]~q\);

-- Location: LCCOMB_X42_Y11_N10
\WideAnd2700~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2700~1_combout\ = (\led_flash_cnt[2700][6]~q\ & \led_flash_cnt[2700][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2700][6]~q\,
	datac => \led_flash_cnt[2700][5]~q\,
	combout => \WideAnd2700~1_combout\);

-- Location: LCCOMB_X43_Y11_N28
\WideAnd2700~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2700~0_combout\ = (\led_flash_cnt[2700][4]~q\ & (\led_flash_cnt[2700][1]~q\ & (\led_flash_cnt[2700][3]~q\ & \led_flash_cnt[2700][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2700][4]~q\,
	datab => \led_flash_cnt[2700][1]~q\,
	datac => \led_flash_cnt[2700][3]~q\,
	datad => \led_flash_cnt[2700][2]~q\,
	combout => \WideAnd2700~0_combout\);

-- Location: LCCOMB_X43_Y11_N12
\led_flash_cnt[2700][7]~64692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2700][7]~64692_combout\ = \led_flash_cnt[2700][6]~64691\ $ (!\led_flash_cnt[2700][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2700][7]~q\,
	cin => \led_flash_cnt[2700][6]~64691\,
	combout => \led_flash_cnt[2700][7]~64692_combout\);

-- Location: FF_X43_Y11_N13
\led_flash_cnt[2700][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2700][7]~64692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2700][7]~q\);

-- Location: LCCOMB_X42_Y11_N2
WideAnd2700 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2700~combout\ = (\WideAnd2700~1_combout\ & (\WideAnd2700~0_combout\ & (\led_flash_cnt[2700][7]~q\ & \led_flash_cnt[2700][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2700~1_combout\,
	datab => \WideAnd2700~0_combout\,
	datac => \led_flash_cnt[2700][7]~q\,
	datad => \led_flash_cnt[2700][0]~q\,
	combout => \WideAnd2700~combout\);

-- Location: FF_X42_Y11_N3
\led_flash_cnt_ands[2700]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2700~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2700));

-- Location: LCCOMB_X42_Y11_N28
\WideAnd4177~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4177~1_combout\ = (led_flash_cnt_ands(2701) & led_flash_cnt_ands(2700))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2701),
	datad => led_flash_cnt_ands(2700),
	combout => \WideAnd4177~1_combout\);

-- Location: LCCOMB_X42_Y10_N0
\led_flash_cnt[2699][0]~83339\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2699][0]~83339_combout\ = !\led_flash_cnt[2699][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2699][0]~q\,
	combout => \led_flash_cnt[2699][0]~83339_combout\);

-- Location: FF_X42_Y10_N1
\led_flash_cnt[2699][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2699][0]~83339_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2699][0]~q\);

-- Location: LCCOMB_X42_Y11_N14
\led_flash_cnt[2699][1]~64666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2699][1]~64666_combout\ = (\led_flash_cnt[2699][0]~q\ & (\led_flash_cnt[2699][1]~q\ $ (VCC))) # (!\led_flash_cnt[2699][0]~q\ & (\led_flash_cnt[2699][1]~q\ & VCC))
-- \led_flash_cnt[2699][1]~64667\ = CARRY((\led_flash_cnt[2699][0]~q\ & \led_flash_cnt[2699][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2699][0]~q\,
	datab => \led_flash_cnt[2699][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2699][1]~64666_combout\,
	cout => \led_flash_cnt[2699][1]~64667\);

-- Location: FF_X42_Y11_N15
\led_flash_cnt[2699][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2699][1]~64666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2699][1]~q\);

-- Location: LCCOMB_X42_Y11_N16
\led_flash_cnt[2699][2]~64668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2699][2]~64668_combout\ = (\led_flash_cnt[2699][2]~q\ & (!\led_flash_cnt[2699][1]~64667\)) # (!\led_flash_cnt[2699][2]~q\ & ((\led_flash_cnt[2699][1]~64667\) # (GND)))
-- \led_flash_cnt[2699][2]~64669\ = CARRY((!\led_flash_cnt[2699][1]~64667\) # (!\led_flash_cnt[2699][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2699][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2699][1]~64667\,
	combout => \led_flash_cnt[2699][2]~64668_combout\,
	cout => \led_flash_cnt[2699][2]~64669\);

-- Location: FF_X42_Y11_N17
\led_flash_cnt[2699][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2699][2]~64668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2699][2]~q\);

-- Location: LCCOMB_X42_Y11_N18
\led_flash_cnt[2699][3]~64670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2699][3]~64670_combout\ = (\led_flash_cnt[2699][3]~q\ & (\led_flash_cnt[2699][2]~64669\ $ (GND))) # (!\led_flash_cnt[2699][3]~q\ & (!\led_flash_cnt[2699][2]~64669\ & VCC))
-- \led_flash_cnt[2699][3]~64671\ = CARRY((\led_flash_cnt[2699][3]~q\ & !\led_flash_cnt[2699][2]~64669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2699][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2699][2]~64669\,
	combout => \led_flash_cnt[2699][3]~64670_combout\,
	cout => \led_flash_cnt[2699][3]~64671\);

-- Location: FF_X42_Y11_N19
\led_flash_cnt[2699][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2699][3]~64670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2699][3]~q\);

-- Location: LCCOMB_X42_Y11_N20
\led_flash_cnt[2699][4]~64672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2699][4]~64672_combout\ = (\led_flash_cnt[2699][4]~q\ & (!\led_flash_cnt[2699][3]~64671\)) # (!\led_flash_cnt[2699][4]~q\ & ((\led_flash_cnt[2699][3]~64671\) # (GND)))
-- \led_flash_cnt[2699][4]~64673\ = CARRY((!\led_flash_cnt[2699][3]~64671\) # (!\led_flash_cnt[2699][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2699][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2699][3]~64671\,
	combout => \led_flash_cnt[2699][4]~64672_combout\,
	cout => \led_flash_cnt[2699][4]~64673\);

-- Location: FF_X42_Y11_N21
\led_flash_cnt[2699][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2699][4]~64672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2699][4]~q\);

-- Location: LCCOMB_X42_Y11_N22
\led_flash_cnt[2699][5]~64674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2699][5]~64674_combout\ = (\led_flash_cnt[2699][5]~q\ & (\led_flash_cnt[2699][4]~64673\ $ (GND))) # (!\led_flash_cnt[2699][5]~q\ & (!\led_flash_cnt[2699][4]~64673\ & VCC))
-- \led_flash_cnt[2699][5]~64675\ = CARRY((\led_flash_cnt[2699][5]~q\ & !\led_flash_cnt[2699][4]~64673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2699][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2699][4]~64673\,
	combout => \led_flash_cnt[2699][5]~64674_combout\,
	cout => \led_flash_cnt[2699][5]~64675\);

-- Location: FF_X42_Y11_N23
\led_flash_cnt[2699][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2699][5]~64674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2699][5]~q\);

-- Location: LCCOMB_X42_Y11_N24
\led_flash_cnt[2699][6]~64676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2699][6]~64676_combout\ = (\led_flash_cnt[2699][6]~q\ & (!\led_flash_cnt[2699][5]~64675\)) # (!\led_flash_cnt[2699][6]~q\ & ((\led_flash_cnt[2699][5]~64675\) # (GND)))
-- \led_flash_cnt[2699][6]~64677\ = CARRY((!\led_flash_cnt[2699][5]~64675\) # (!\led_flash_cnt[2699][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2699][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2699][5]~64675\,
	combout => \led_flash_cnt[2699][6]~64676_combout\,
	cout => \led_flash_cnt[2699][6]~64677\);

-- Location: FF_X42_Y11_N25
\led_flash_cnt[2699][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2699][6]~64676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2699][6]~q\);

-- Location: LCCOMB_X42_Y11_N26
\led_flash_cnt[2699][7]~64678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2699][7]~64678_combout\ = \led_flash_cnt[2699][7]~q\ $ (!\led_flash_cnt[2699][6]~64677\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2699][7]~q\,
	cin => \led_flash_cnt[2699][6]~64677\,
	combout => \led_flash_cnt[2699][7]~64678_combout\);

-- Location: FF_X42_Y11_N27
\led_flash_cnt[2699][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2699][7]~64678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2699][7]~q\);

-- Location: LCCOMB_X42_Y11_N4
\WideAnd2699~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2699~0_combout\ = (\led_flash_cnt[2699][2]~q\ & (\led_flash_cnt[2699][4]~q\ & (\led_flash_cnt[2699][1]~q\ & \led_flash_cnt[2699][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2699][2]~q\,
	datab => \led_flash_cnt[2699][4]~q\,
	datac => \led_flash_cnt[2699][1]~q\,
	datad => \led_flash_cnt[2699][3]~q\,
	combout => \WideAnd2699~0_combout\);

-- Location: LCCOMB_X42_Y11_N12
\WideAnd2699~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2699~1_combout\ = (\led_flash_cnt[2699][5]~q\ & \led_flash_cnt[2699][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2699][5]~q\,
	datad => \led_flash_cnt[2699][6]~q\,
	combout => \WideAnd2699~1_combout\);

-- Location: LCCOMB_X42_Y11_N30
WideAnd2699 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2699~combout\ = (\led_flash_cnt[2699][7]~q\ & (\led_flash_cnt[2699][0]~q\ & (\WideAnd2699~0_combout\ & \WideAnd2699~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2699][7]~q\,
	datab => \led_flash_cnt[2699][0]~q\,
	datac => \WideAnd2699~0_combout\,
	datad => \WideAnd2699~1_combout\,
	combout => \WideAnd2699~combout\);

-- Location: FF_X42_Y11_N31
\led_flash_cnt_ands[2699]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2699~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2699));

-- Location: LCCOMB_X44_Y11_N2
\led_flash_cnt[2696][0]~83336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2696][0]~83336_combout\ = !\led_flash_cnt[2696][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2696][0]~q\,
	combout => \led_flash_cnt[2696][0]~83336_combout\);

-- Location: FF_X44_Y11_N3
\led_flash_cnt[2696][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2696][0]~83336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2696][0]~q\);

-- Location: LCCOMB_X43_Y11_N14
\led_flash_cnt[2696][1]~64624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2696][1]~64624_combout\ = (\led_flash_cnt[2696][0]~q\ & (\led_flash_cnt[2696][1]~q\ $ (VCC))) # (!\led_flash_cnt[2696][0]~q\ & (\led_flash_cnt[2696][1]~q\ & VCC))
-- \led_flash_cnt[2696][1]~64625\ = CARRY((\led_flash_cnt[2696][0]~q\ & \led_flash_cnt[2696][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2696][0]~q\,
	datab => \led_flash_cnt[2696][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2696][1]~64624_combout\,
	cout => \led_flash_cnt[2696][1]~64625\);

-- Location: FF_X43_Y11_N15
\led_flash_cnt[2696][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2696][1]~64624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2696][1]~q\);

-- Location: LCCOMB_X43_Y11_N16
\led_flash_cnt[2696][2]~64626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2696][2]~64626_combout\ = (\led_flash_cnt[2696][2]~q\ & (!\led_flash_cnt[2696][1]~64625\)) # (!\led_flash_cnt[2696][2]~q\ & ((\led_flash_cnt[2696][1]~64625\) # (GND)))
-- \led_flash_cnt[2696][2]~64627\ = CARRY((!\led_flash_cnt[2696][1]~64625\) # (!\led_flash_cnt[2696][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2696][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2696][1]~64625\,
	combout => \led_flash_cnt[2696][2]~64626_combout\,
	cout => \led_flash_cnt[2696][2]~64627\);

-- Location: FF_X43_Y11_N17
\led_flash_cnt[2696][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2696][2]~64626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2696][2]~q\);

-- Location: LCCOMB_X43_Y11_N18
\led_flash_cnt[2696][3]~64628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2696][3]~64628_combout\ = (\led_flash_cnt[2696][3]~q\ & (\led_flash_cnt[2696][2]~64627\ $ (GND))) # (!\led_flash_cnt[2696][3]~q\ & (!\led_flash_cnt[2696][2]~64627\ & VCC))
-- \led_flash_cnt[2696][3]~64629\ = CARRY((\led_flash_cnt[2696][3]~q\ & !\led_flash_cnt[2696][2]~64627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2696][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2696][2]~64627\,
	combout => \led_flash_cnt[2696][3]~64628_combout\,
	cout => \led_flash_cnt[2696][3]~64629\);

-- Location: FF_X43_Y11_N19
\led_flash_cnt[2696][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2696][3]~64628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2696][3]~q\);

-- Location: LCCOMB_X43_Y11_N20
\led_flash_cnt[2696][4]~64630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2696][4]~64630_combout\ = (\led_flash_cnt[2696][4]~q\ & (!\led_flash_cnt[2696][3]~64629\)) # (!\led_flash_cnt[2696][4]~q\ & ((\led_flash_cnt[2696][3]~64629\) # (GND)))
-- \led_flash_cnt[2696][4]~64631\ = CARRY((!\led_flash_cnt[2696][3]~64629\) # (!\led_flash_cnt[2696][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2696][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2696][3]~64629\,
	combout => \led_flash_cnt[2696][4]~64630_combout\,
	cout => \led_flash_cnt[2696][4]~64631\);

-- Location: FF_X43_Y11_N21
\led_flash_cnt[2696][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2696][4]~64630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2696][4]~q\);

-- Location: LCCOMB_X43_Y11_N22
\led_flash_cnt[2696][5]~64632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2696][5]~64632_combout\ = (\led_flash_cnt[2696][5]~q\ & (\led_flash_cnt[2696][4]~64631\ $ (GND))) # (!\led_flash_cnt[2696][5]~q\ & (!\led_flash_cnt[2696][4]~64631\ & VCC))
-- \led_flash_cnt[2696][5]~64633\ = CARRY((\led_flash_cnt[2696][5]~q\ & !\led_flash_cnt[2696][4]~64631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2696][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2696][4]~64631\,
	combout => \led_flash_cnt[2696][5]~64632_combout\,
	cout => \led_flash_cnt[2696][5]~64633\);

-- Location: FF_X43_Y11_N23
\led_flash_cnt[2696][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2696][5]~64632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2696][5]~q\);

-- Location: LCCOMB_X43_Y11_N24
\led_flash_cnt[2696][6]~64634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2696][6]~64634_combout\ = (\led_flash_cnt[2696][6]~q\ & (!\led_flash_cnt[2696][5]~64633\)) # (!\led_flash_cnt[2696][6]~q\ & ((\led_flash_cnt[2696][5]~64633\) # (GND)))
-- \led_flash_cnt[2696][6]~64635\ = CARRY((!\led_flash_cnt[2696][5]~64633\) # (!\led_flash_cnt[2696][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2696][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2696][5]~64633\,
	combout => \led_flash_cnt[2696][6]~64634_combout\,
	cout => \led_flash_cnt[2696][6]~64635\);

-- Location: FF_X43_Y11_N25
\led_flash_cnt[2696][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2696][6]~64634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2696][6]~q\);

-- Location: LCCOMB_X44_Y11_N10
\WideAnd2696~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2696~1_combout\ = (\led_flash_cnt[2696][6]~q\ & \led_flash_cnt[2696][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2696][6]~q\,
	datad => \led_flash_cnt[2696][5]~q\,
	combout => \WideAnd2696~1_combout\);

-- Location: LCCOMB_X43_Y11_N30
\WideAnd2696~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2696~0_combout\ = (\led_flash_cnt[2696][4]~q\ & (\led_flash_cnt[2696][3]~q\ & (\led_flash_cnt[2696][1]~q\ & \led_flash_cnt[2696][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2696][4]~q\,
	datab => \led_flash_cnt[2696][3]~q\,
	datac => \led_flash_cnt[2696][1]~q\,
	datad => \led_flash_cnt[2696][2]~q\,
	combout => \WideAnd2696~0_combout\);

-- Location: LCCOMB_X43_Y11_N26
\led_flash_cnt[2696][7]~64636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2696][7]~64636_combout\ = \led_flash_cnt[2696][7]~q\ $ (!\led_flash_cnt[2696][6]~64635\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2696][7]~q\,
	cin => \led_flash_cnt[2696][6]~64635\,
	combout => \led_flash_cnt[2696][7]~64636_combout\);

-- Location: FF_X43_Y11_N27
\led_flash_cnt[2696][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2696][7]~64636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2696][7]~q\);

-- Location: LCCOMB_X44_Y11_N0
WideAnd2696 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2696~combout\ = (\WideAnd2696~1_combout\ & (\WideAnd2696~0_combout\ & (\led_flash_cnt[2696][7]~q\ & \led_flash_cnt[2696][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2696~1_combout\,
	datab => \WideAnd2696~0_combout\,
	datac => \led_flash_cnt[2696][7]~q\,
	datad => \led_flash_cnt[2696][0]~q\,
	combout => \WideAnd2696~combout\);

-- Location: FF_X44_Y11_N1
\led_flash_cnt_ands[2696]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2696~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2696));

-- Location: LCCOMB_X46_Y19_N2
\led_flash_cnt[2697][0]~83337\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2697][0]~83337_combout\ = !\led_flash_cnt[2697][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2697][0]~q\,
	combout => \led_flash_cnt[2697][0]~83337_combout\);

-- Location: FF_X46_Y19_N3
\led_flash_cnt[2697][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2697][0]~83337_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2697][0]~q\);

-- Location: LCCOMB_X45_Y19_N0
\led_flash_cnt[2697][1]~64638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2697][1]~64638_combout\ = (\led_flash_cnt[2697][0]~q\ & (\led_flash_cnt[2697][1]~q\ $ (VCC))) # (!\led_flash_cnt[2697][0]~q\ & (\led_flash_cnt[2697][1]~q\ & VCC))
-- \led_flash_cnt[2697][1]~64639\ = CARRY((\led_flash_cnt[2697][0]~q\ & \led_flash_cnt[2697][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2697][0]~q\,
	datab => \led_flash_cnt[2697][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2697][1]~64638_combout\,
	cout => \led_flash_cnt[2697][1]~64639\);

-- Location: FF_X45_Y19_N1
\led_flash_cnt[2697][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2697][1]~64638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2697][1]~q\);

-- Location: LCCOMB_X45_Y19_N2
\led_flash_cnt[2697][2]~64640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2697][2]~64640_combout\ = (\led_flash_cnt[2697][2]~q\ & (!\led_flash_cnt[2697][1]~64639\)) # (!\led_flash_cnt[2697][2]~q\ & ((\led_flash_cnt[2697][1]~64639\) # (GND)))
-- \led_flash_cnt[2697][2]~64641\ = CARRY((!\led_flash_cnt[2697][1]~64639\) # (!\led_flash_cnt[2697][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2697][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2697][1]~64639\,
	combout => \led_flash_cnt[2697][2]~64640_combout\,
	cout => \led_flash_cnt[2697][2]~64641\);

-- Location: FF_X45_Y19_N3
\led_flash_cnt[2697][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2697][2]~64640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2697][2]~q\);

-- Location: LCCOMB_X45_Y19_N4
\led_flash_cnt[2697][3]~64642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2697][3]~64642_combout\ = (\led_flash_cnt[2697][3]~q\ & (\led_flash_cnt[2697][2]~64641\ $ (GND))) # (!\led_flash_cnt[2697][3]~q\ & (!\led_flash_cnt[2697][2]~64641\ & VCC))
-- \led_flash_cnt[2697][3]~64643\ = CARRY((\led_flash_cnt[2697][3]~q\ & !\led_flash_cnt[2697][2]~64641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2697][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2697][2]~64641\,
	combout => \led_flash_cnt[2697][3]~64642_combout\,
	cout => \led_flash_cnt[2697][3]~64643\);

-- Location: FF_X45_Y19_N5
\led_flash_cnt[2697][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2697][3]~64642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2697][3]~q\);

-- Location: LCCOMB_X45_Y19_N6
\led_flash_cnt[2697][4]~64644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2697][4]~64644_combout\ = (\led_flash_cnt[2697][4]~q\ & (!\led_flash_cnt[2697][3]~64643\)) # (!\led_flash_cnt[2697][4]~q\ & ((\led_flash_cnt[2697][3]~64643\) # (GND)))
-- \led_flash_cnt[2697][4]~64645\ = CARRY((!\led_flash_cnt[2697][3]~64643\) # (!\led_flash_cnt[2697][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2697][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2697][3]~64643\,
	combout => \led_flash_cnt[2697][4]~64644_combout\,
	cout => \led_flash_cnt[2697][4]~64645\);

-- Location: FF_X45_Y19_N7
\led_flash_cnt[2697][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2697][4]~64644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2697][4]~q\);

-- Location: LCCOMB_X45_Y19_N8
\led_flash_cnt[2697][5]~64646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2697][5]~64646_combout\ = (\led_flash_cnt[2697][5]~q\ & (\led_flash_cnt[2697][4]~64645\ $ (GND))) # (!\led_flash_cnt[2697][5]~q\ & (!\led_flash_cnt[2697][4]~64645\ & VCC))
-- \led_flash_cnt[2697][5]~64647\ = CARRY((\led_flash_cnt[2697][5]~q\ & !\led_flash_cnt[2697][4]~64645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2697][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2697][4]~64645\,
	combout => \led_flash_cnt[2697][5]~64646_combout\,
	cout => \led_flash_cnt[2697][5]~64647\);

-- Location: FF_X45_Y19_N9
\led_flash_cnt[2697][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2697][5]~64646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2697][5]~q\);

-- Location: LCCOMB_X45_Y19_N10
\led_flash_cnt[2697][6]~64648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2697][6]~64648_combout\ = (\led_flash_cnt[2697][6]~q\ & (!\led_flash_cnt[2697][5]~64647\)) # (!\led_flash_cnt[2697][6]~q\ & ((\led_flash_cnt[2697][5]~64647\) # (GND)))
-- \led_flash_cnt[2697][6]~64649\ = CARRY((!\led_flash_cnt[2697][5]~64647\) # (!\led_flash_cnt[2697][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2697][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2697][5]~64647\,
	combout => \led_flash_cnt[2697][6]~64648_combout\,
	cout => \led_flash_cnt[2697][6]~64649\);

-- Location: FF_X45_Y19_N11
\led_flash_cnt[2697][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2697][6]~64648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2697][6]~q\);

-- Location: LCCOMB_X45_Y19_N12
\led_flash_cnt[2697][7]~64650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2697][7]~64650_combout\ = \led_flash_cnt[2697][6]~64649\ $ (!\led_flash_cnt[2697][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2697][7]~q\,
	cin => \led_flash_cnt[2697][6]~64649\,
	combout => \led_flash_cnt[2697][7]~64650_combout\);

-- Location: FF_X45_Y19_N13
\led_flash_cnt[2697][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2697][7]~64650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2697][7]~q\);

-- Location: LCCOMB_X46_Y19_N14
\WideAnd2697~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2697~0_combout\ = (\led_flash_cnt[2697][1]~q\ & (\led_flash_cnt[2697][4]~q\ & (\led_flash_cnt[2697][3]~q\ & \led_flash_cnt[2697][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2697][1]~q\,
	datab => \led_flash_cnt[2697][4]~q\,
	datac => \led_flash_cnt[2697][3]~q\,
	datad => \led_flash_cnt[2697][2]~q\,
	combout => \WideAnd2697~0_combout\);

-- Location: LCCOMB_X46_Y19_N4
\WideAnd2697~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2697~1_combout\ = (\led_flash_cnt[2697][6]~q\ & \led_flash_cnt[2697][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2697][6]~q\,
	datad => \led_flash_cnt[2697][5]~q\,
	combout => \WideAnd2697~1_combout\);

-- Location: LCCOMB_X46_Y19_N8
WideAnd2697 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2697~combout\ = (\led_flash_cnt[2697][7]~q\ & (\WideAnd2697~0_combout\ & (\WideAnd2697~1_combout\ & \led_flash_cnt[2697][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2697][7]~q\,
	datab => \WideAnd2697~0_combout\,
	datac => \WideAnd2697~1_combout\,
	datad => \led_flash_cnt[2697][0]~q\,
	combout => \WideAnd2697~combout\);

-- Location: FF_X46_Y19_N9
\led_flash_cnt_ands[2697]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2697~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2697));

-- Location: LCCOMB_X43_Y10_N28
\led_flash_cnt[2698][0]~83338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2698][0]~83338_combout\ = !\led_flash_cnt[2698][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2698][0]~q\,
	combout => \led_flash_cnt[2698][0]~83338_combout\);

-- Location: FF_X43_Y10_N29
\led_flash_cnt[2698][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2698][0]~83338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2698][0]~q\);

-- Location: LCCOMB_X45_Y11_N2
\led_flash_cnt[2698][1]~64652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2698][1]~64652_combout\ = (\led_flash_cnt[2698][0]~q\ & (\led_flash_cnt[2698][1]~q\ $ (VCC))) # (!\led_flash_cnt[2698][0]~q\ & (\led_flash_cnt[2698][1]~q\ & VCC))
-- \led_flash_cnt[2698][1]~64653\ = CARRY((\led_flash_cnt[2698][0]~q\ & \led_flash_cnt[2698][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2698][0]~q\,
	datab => \led_flash_cnt[2698][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2698][1]~64652_combout\,
	cout => \led_flash_cnt[2698][1]~64653\);

-- Location: FF_X45_Y11_N3
\led_flash_cnt[2698][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2698][1]~64652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2698][1]~q\);

-- Location: LCCOMB_X45_Y11_N4
\led_flash_cnt[2698][2]~64654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2698][2]~64654_combout\ = (\led_flash_cnt[2698][2]~q\ & (!\led_flash_cnt[2698][1]~64653\)) # (!\led_flash_cnt[2698][2]~q\ & ((\led_flash_cnt[2698][1]~64653\) # (GND)))
-- \led_flash_cnt[2698][2]~64655\ = CARRY((!\led_flash_cnt[2698][1]~64653\) # (!\led_flash_cnt[2698][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2698][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2698][1]~64653\,
	combout => \led_flash_cnt[2698][2]~64654_combout\,
	cout => \led_flash_cnt[2698][2]~64655\);

-- Location: FF_X45_Y11_N5
\led_flash_cnt[2698][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2698][2]~64654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2698][2]~q\);

-- Location: LCCOMB_X45_Y11_N6
\led_flash_cnt[2698][3]~64656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2698][3]~64656_combout\ = (\led_flash_cnt[2698][3]~q\ & (\led_flash_cnt[2698][2]~64655\ $ (GND))) # (!\led_flash_cnt[2698][3]~q\ & (!\led_flash_cnt[2698][2]~64655\ & VCC))
-- \led_flash_cnt[2698][3]~64657\ = CARRY((\led_flash_cnt[2698][3]~q\ & !\led_flash_cnt[2698][2]~64655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2698][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2698][2]~64655\,
	combout => \led_flash_cnt[2698][3]~64656_combout\,
	cout => \led_flash_cnt[2698][3]~64657\);

-- Location: FF_X45_Y11_N7
\led_flash_cnt[2698][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2698][3]~64656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2698][3]~q\);

-- Location: LCCOMB_X45_Y11_N8
\led_flash_cnt[2698][4]~64658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2698][4]~64658_combout\ = (\led_flash_cnt[2698][4]~q\ & (!\led_flash_cnt[2698][3]~64657\)) # (!\led_flash_cnt[2698][4]~q\ & ((\led_flash_cnt[2698][3]~64657\) # (GND)))
-- \led_flash_cnt[2698][4]~64659\ = CARRY((!\led_flash_cnt[2698][3]~64657\) # (!\led_flash_cnt[2698][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2698][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2698][3]~64657\,
	combout => \led_flash_cnt[2698][4]~64658_combout\,
	cout => \led_flash_cnt[2698][4]~64659\);

-- Location: FF_X45_Y11_N9
\led_flash_cnt[2698][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2698][4]~64658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2698][4]~q\);

-- Location: LCCOMB_X45_Y11_N0
\WideAnd2698~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2698~0_combout\ = (\led_flash_cnt[2698][3]~q\ & (\led_flash_cnt[2698][4]~q\ & (\led_flash_cnt[2698][2]~q\ & \led_flash_cnt[2698][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2698][3]~q\,
	datab => \led_flash_cnt[2698][4]~q\,
	datac => \led_flash_cnt[2698][2]~q\,
	datad => \led_flash_cnt[2698][1]~q\,
	combout => \WideAnd2698~0_combout\);

-- Location: LCCOMB_X45_Y11_N10
\led_flash_cnt[2698][5]~64660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2698][5]~64660_combout\ = (\led_flash_cnt[2698][5]~q\ & (\led_flash_cnt[2698][4]~64659\ $ (GND))) # (!\led_flash_cnt[2698][5]~q\ & (!\led_flash_cnt[2698][4]~64659\ & VCC))
-- \led_flash_cnt[2698][5]~64661\ = CARRY((\led_flash_cnt[2698][5]~q\ & !\led_flash_cnt[2698][4]~64659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2698][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2698][4]~64659\,
	combout => \led_flash_cnt[2698][5]~64660_combout\,
	cout => \led_flash_cnt[2698][5]~64661\);

-- Location: FF_X45_Y11_N11
\led_flash_cnt[2698][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2698][5]~64660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2698][5]~q\);

-- Location: LCCOMB_X45_Y11_N12
\led_flash_cnt[2698][6]~64662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2698][6]~64662_combout\ = (\led_flash_cnt[2698][6]~q\ & (!\led_flash_cnt[2698][5]~64661\)) # (!\led_flash_cnt[2698][6]~q\ & ((\led_flash_cnt[2698][5]~64661\) # (GND)))
-- \led_flash_cnt[2698][6]~64663\ = CARRY((!\led_flash_cnt[2698][5]~64661\) # (!\led_flash_cnt[2698][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2698][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2698][5]~64661\,
	combout => \led_flash_cnt[2698][6]~64662_combout\,
	cout => \led_flash_cnt[2698][6]~64663\);

-- Location: FF_X45_Y11_N13
\led_flash_cnt[2698][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2698][6]~64662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2698][6]~q\);

-- Location: LCCOMB_X45_Y11_N14
\led_flash_cnt[2698][7]~64664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2698][7]~64664_combout\ = \led_flash_cnt[2698][7]~q\ $ (!\led_flash_cnt[2698][6]~64663\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2698][7]~q\,
	cin => \led_flash_cnt[2698][6]~64663\,
	combout => \led_flash_cnt[2698][7]~64664_combout\);

-- Location: FF_X45_Y11_N15
\led_flash_cnt[2698][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2698][7]~64664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2698][7]~q\);

-- Location: LCCOMB_X44_Y11_N4
\WideAnd2698~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2698~1_combout\ = (\led_flash_cnt[2698][6]~q\ & \led_flash_cnt[2698][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2698][6]~q\,
	datac => \led_flash_cnt[2698][5]~q\,
	combout => \WideAnd2698~1_combout\);

-- Location: LCCOMB_X44_Y11_N6
WideAnd2698 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2698~combout\ = (\led_flash_cnt[2698][0]~q\ & (\WideAnd2698~0_combout\ & (\led_flash_cnt[2698][7]~q\ & \WideAnd2698~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2698][0]~q\,
	datab => \WideAnd2698~0_combout\,
	datac => \led_flash_cnt[2698][7]~q\,
	datad => \WideAnd2698~1_combout\,
	combout => \WideAnd2698~combout\);

-- Location: FF_X44_Y11_N7
\led_flash_cnt_ands[2698]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2698~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2698));

-- Location: LCCOMB_X44_Y11_N30
\WideAnd4177~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4177~0_combout\ = (led_flash_cnt_ands(2699) & (led_flash_cnt_ands(2696) & (led_flash_cnt_ands(2697) & led_flash_cnt_ands(2698))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2699),
	datab => led_flash_cnt_ands(2696),
	datac => led_flash_cnt_ands(2697),
	datad => led_flash_cnt_ands(2698),
	combout => \WideAnd4177~0_combout\);

-- Location: LCCOMB_X43_Y9_N8
\led_flash_cnt[2703][0]~83343\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2703][0]~83343_combout\ = !\led_flash_cnt[2703][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2703][0]~q\,
	combout => \led_flash_cnt[2703][0]~83343_combout\);

-- Location: FF_X43_Y9_N9
\led_flash_cnt[2703][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2703][0]~83343_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2703][0]~q\);

-- Location: LCCOMB_X43_Y9_N18
\led_flash_cnt[2703][1]~64722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2703][1]~64722_combout\ = (\led_flash_cnt[2703][0]~q\ & (\led_flash_cnt[2703][1]~q\ $ (VCC))) # (!\led_flash_cnt[2703][0]~q\ & (\led_flash_cnt[2703][1]~q\ & VCC))
-- \led_flash_cnt[2703][1]~64723\ = CARRY((\led_flash_cnt[2703][0]~q\ & \led_flash_cnt[2703][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2703][0]~q\,
	datab => \led_flash_cnt[2703][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2703][1]~64722_combout\,
	cout => \led_flash_cnt[2703][1]~64723\);

-- Location: FF_X43_Y9_N19
\led_flash_cnt[2703][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2703][1]~64722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2703][1]~q\);

-- Location: LCCOMB_X43_Y9_N20
\led_flash_cnt[2703][2]~64724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2703][2]~64724_combout\ = (\led_flash_cnt[2703][2]~q\ & (!\led_flash_cnt[2703][1]~64723\)) # (!\led_flash_cnt[2703][2]~q\ & ((\led_flash_cnt[2703][1]~64723\) # (GND)))
-- \led_flash_cnt[2703][2]~64725\ = CARRY((!\led_flash_cnt[2703][1]~64723\) # (!\led_flash_cnt[2703][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2703][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2703][1]~64723\,
	combout => \led_flash_cnt[2703][2]~64724_combout\,
	cout => \led_flash_cnt[2703][2]~64725\);

-- Location: FF_X43_Y9_N21
\led_flash_cnt[2703][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2703][2]~64724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2703][2]~q\);

-- Location: LCCOMB_X43_Y9_N22
\led_flash_cnt[2703][3]~64726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2703][3]~64726_combout\ = (\led_flash_cnt[2703][3]~q\ & (\led_flash_cnt[2703][2]~64725\ $ (GND))) # (!\led_flash_cnt[2703][3]~q\ & (!\led_flash_cnt[2703][2]~64725\ & VCC))
-- \led_flash_cnt[2703][3]~64727\ = CARRY((\led_flash_cnt[2703][3]~q\ & !\led_flash_cnt[2703][2]~64725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2703][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2703][2]~64725\,
	combout => \led_flash_cnt[2703][3]~64726_combout\,
	cout => \led_flash_cnt[2703][3]~64727\);

-- Location: FF_X43_Y9_N23
\led_flash_cnt[2703][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2703][3]~64726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2703][3]~q\);

-- Location: LCCOMB_X43_Y9_N24
\led_flash_cnt[2703][4]~64728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2703][4]~64728_combout\ = (\led_flash_cnt[2703][4]~q\ & (!\led_flash_cnt[2703][3]~64727\)) # (!\led_flash_cnt[2703][4]~q\ & ((\led_flash_cnt[2703][3]~64727\) # (GND)))
-- \led_flash_cnt[2703][4]~64729\ = CARRY((!\led_flash_cnt[2703][3]~64727\) # (!\led_flash_cnt[2703][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2703][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2703][3]~64727\,
	combout => \led_flash_cnt[2703][4]~64728_combout\,
	cout => \led_flash_cnt[2703][4]~64729\);

-- Location: FF_X43_Y9_N25
\led_flash_cnt[2703][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2703][4]~64728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2703][4]~q\);

-- Location: LCCOMB_X43_Y9_N26
\led_flash_cnt[2703][5]~64730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2703][5]~64730_combout\ = (\led_flash_cnt[2703][5]~q\ & (\led_flash_cnt[2703][4]~64729\ $ (GND))) # (!\led_flash_cnt[2703][5]~q\ & (!\led_flash_cnt[2703][4]~64729\ & VCC))
-- \led_flash_cnt[2703][5]~64731\ = CARRY((\led_flash_cnt[2703][5]~q\ & !\led_flash_cnt[2703][4]~64729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2703][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2703][4]~64729\,
	combout => \led_flash_cnt[2703][5]~64730_combout\,
	cout => \led_flash_cnt[2703][5]~64731\);

-- Location: FF_X43_Y9_N27
\led_flash_cnt[2703][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2703][5]~64730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2703][5]~q\);

-- Location: LCCOMB_X43_Y9_N28
\led_flash_cnt[2703][6]~64732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2703][6]~64732_combout\ = (\led_flash_cnt[2703][6]~q\ & (!\led_flash_cnt[2703][5]~64731\)) # (!\led_flash_cnt[2703][6]~q\ & ((\led_flash_cnt[2703][5]~64731\) # (GND)))
-- \led_flash_cnt[2703][6]~64733\ = CARRY((!\led_flash_cnt[2703][5]~64731\) # (!\led_flash_cnt[2703][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2703][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2703][5]~64731\,
	combout => \led_flash_cnt[2703][6]~64732_combout\,
	cout => \led_flash_cnt[2703][6]~64733\);

-- Location: FF_X43_Y9_N29
\led_flash_cnt[2703][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2703][6]~64732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2703][6]~q\);

-- Location: LCCOMB_X43_Y9_N30
\led_flash_cnt[2703][7]~64734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2703][7]~64734_combout\ = \led_flash_cnt[2703][7]~q\ $ (!\led_flash_cnt[2703][6]~64733\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2703][7]~q\,
	cin => \led_flash_cnt[2703][6]~64733\,
	combout => \led_flash_cnt[2703][7]~64734_combout\);

-- Location: FF_X43_Y9_N31
\led_flash_cnt[2703][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2703][7]~64734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2703][7]~q\);

-- Location: LCCOMB_X43_Y9_N4
\WideAnd2703~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2703~1_combout\ = (\led_flash_cnt[2703][5]~q\ & \led_flash_cnt[2703][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2703][5]~q\,
	datad => \led_flash_cnt[2703][6]~q\,
	combout => \WideAnd2703~1_combout\);

-- Location: LCCOMB_X43_Y9_N10
\WideAnd2703~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2703~0_combout\ = (\led_flash_cnt[2703][4]~q\ & (\led_flash_cnt[2703][2]~q\ & (\led_flash_cnt[2703][3]~q\ & \led_flash_cnt[2703][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2703][4]~q\,
	datab => \led_flash_cnt[2703][2]~q\,
	datac => \led_flash_cnt[2703][3]~q\,
	datad => \led_flash_cnt[2703][1]~q\,
	combout => \WideAnd2703~0_combout\);

-- Location: LCCOMB_X43_Y9_N2
WideAnd2703 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2703~combout\ = (\led_flash_cnt[2703][7]~q\ & (\WideAnd2703~1_combout\ & (\led_flash_cnt[2703][0]~q\ & \WideAnd2703~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2703][7]~q\,
	datab => \WideAnd2703~1_combout\,
	datac => \led_flash_cnt[2703][0]~q\,
	datad => \WideAnd2703~0_combout\,
	combout => \WideAnd2703~combout\);

-- Location: FF_X43_Y9_N3
\led_flash_cnt_ands[2703]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2703~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2703));

-- Location: LCCOMB_X43_Y9_N6
WideAnd4177 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4177~combout\ = (led_flash_cnt_ands(2702) & (\WideAnd4177~1_combout\ & (\WideAnd4177~0_combout\ & led_flash_cnt_ands(2703))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2702),
	datab => \WideAnd4177~1_combout\,
	datac => \WideAnd4177~0_combout\,
	datad => led_flash_cnt_ands(2703),
	combout => \WideAnd4177~combout\);

-- Location: FF_X44_Y9_N1
\led_flash_cnt_ands_1[337]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd4177~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(337));

-- Location: LCCOMB_X43_Y14_N12
\led_flash_cnt[2716][0]~83356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2716][0]~83356_combout\ = !\led_flash_cnt[2716][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2716][0]~q\,
	combout => \led_flash_cnt[2716][0]~83356_combout\);

-- Location: FF_X43_Y14_N13
\led_flash_cnt[2716][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2716][0]~83356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2716][0]~q\);

-- Location: LCCOMB_X43_Y14_N16
\led_flash_cnt[2716][1]~64904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2716][1]~64904_combout\ = (\led_flash_cnt[2716][0]~q\ & (\led_flash_cnt[2716][1]~q\ $ (VCC))) # (!\led_flash_cnt[2716][0]~q\ & (\led_flash_cnt[2716][1]~q\ & VCC))
-- \led_flash_cnt[2716][1]~64905\ = CARRY((\led_flash_cnt[2716][0]~q\ & \led_flash_cnt[2716][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2716][0]~q\,
	datab => \led_flash_cnt[2716][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2716][1]~64904_combout\,
	cout => \led_flash_cnt[2716][1]~64905\);

-- Location: FF_X43_Y14_N17
\led_flash_cnt[2716][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2716][1]~64904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2716][1]~q\);

-- Location: LCCOMB_X43_Y14_N18
\led_flash_cnt[2716][2]~64906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2716][2]~64906_combout\ = (\led_flash_cnt[2716][2]~q\ & (!\led_flash_cnt[2716][1]~64905\)) # (!\led_flash_cnt[2716][2]~q\ & ((\led_flash_cnt[2716][1]~64905\) # (GND)))
-- \led_flash_cnt[2716][2]~64907\ = CARRY((!\led_flash_cnt[2716][1]~64905\) # (!\led_flash_cnt[2716][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2716][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2716][1]~64905\,
	combout => \led_flash_cnt[2716][2]~64906_combout\,
	cout => \led_flash_cnt[2716][2]~64907\);

-- Location: FF_X43_Y14_N19
\led_flash_cnt[2716][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2716][2]~64906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2716][2]~q\);

-- Location: LCCOMB_X43_Y14_N20
\led_flash_cnt[2716][3]~64908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2716][3]~64908_combout\ = (\led_flash_cnt[2716][3]~q\ & (\led_flash_cnt[2716][2]~64907\ $ (GND))) # (!\led_flash_cnt[2716][3]~q\ & (!\led_flash_cnt[2716][2]~64907\ & VCC))
-- \led_flash_cnt[2716][3]~64909\ = CARRY((\led_flash_cnt[2716][3]~q\ & !\led_flash_cnt[2716][2]~64907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2716][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2716][2]~64907\,
	combout => \led_flash_cnt[2716][3]~64908_combout\,
	cout => \led_flash_cnt[2716][3]~64909\);

-- Location: FF_X43_Y14_N21
\led_flash_cnt[2716][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2716][3]~64908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2716][3]~q\);

-- Location: LCCOMB_X43_Y14_N22
\led_flash_cnt[2716][4]~64910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2716][4]~64910_combout\ = (\led_flash_cnt[2716][4]~q\ & (!\led_flash_cnt[2716][3]~64909\)) # (!\led_flash_cnt[2716][4]~q\ & ((\led_flash_cnt[2716][3]~64909\) # (GND)))
-- \led_flash_cnt[2716][4]~64911\ = CARRY((!\led_flash_cnt[2716][3]~64909\) # (!\led_flash_cnt[2716][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2716][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2716][3]~64909\,
	combout => \led_flash_cnt[2716][4]~64910_combout\,
	cout => \led_flash_cnt[2716][4]~64911\);

-- Location: FF_X43_Y14_N23
\led_flash_cnt[2716][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2716][4]~64910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2716][4]~q\);

-- Location: LCCOMB_X43_Y14_N24
\led_flash_cnt[2716][5]~64912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2716][5]~64912_combout\ = (\led_flash_cnt[2716][5]~q\ & (\led_flash_cnt[2716][4]~64911\ $ (GND))) # (!\led_flash_cnt[2716][5]~q\ & (!\led_flash_cnt[2716][4]~64911\ & VCC))
-- \led_flash_cnt[2716][5]~64913\ = CARRY((\led_flash_cnt[2716][5]~q\ & !\led_flash_cnt[2716][4]~64911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2716][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2716][4]~64911\,
	combout => \led_flash_cnt[2716][5]~64912_combout\,
	cout => \led_flash_cnt[2716][5]~64913\);

-- Location: FF_X43_Y14_N25
\led_flash_cnt[2716][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2716][5]~64912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2716][5]~q\);

-- Location: LCCOMB_X43_Y14_N26
\led_flash_cnt[2716][6]~64914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2716][6]~64914_combout\ = (\led_flash_cnt[2716][6]~q\ & (!\led_flash_cnt[2716][5]~64913\)) # (!\led_flash_cnt[2716][6]~q\ & ((\led_flash_cnt[2716][5]~64913\) # (GND)))
-- \led_flash_cnt[2716][6]~64915\ = CARRY((!\led_flash_cnt[2716][5]~64913\) # (!\led_flash_cnt[2716][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2716][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2716][5]~64913\,
	combout => \led_flash_cnt[2716][6]~64914_combout\,
	cout => \led_flash_cnt[2716][6]~64915\);

-- Location: FF_X43_Y14_N27
\led_flash_cnt[2716][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2716][6]~64914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2716][6]~q\);

-- Location: LCCOMB_X43_Y14_N10
\WideAnd2716~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2716~1_combout\ = (\led_flash_cnt[2716][6]~q\ & \led_flash_cnt[2716][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2716][6]~q\,
	datad => \led_flash_cnt[2716][5]~q\,
	combout => \WideAnd2716~1_combout\);

-- Location: LCCOMB_X43_Y14_N28
\led_flash_cnt[2716][7]~64916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2716][7]~64916_combout\ = \led_flash_cnt[2716][6]~64915\ $ (!\led_flash_cnt[2716][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2716][7]~q\,
	cin => \led_flash_cnt[2716][6]~64915\,
	combout => \led_flash_cnt[2716][7]~64916_combout\);

-- Location: FF_X43_Y14_N29
\led_flash_cnt[2716][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2716][7]~64916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2716][7]~q\);

-- Location: LCCOMB_X43_Y14_N4
\WideAnd2716~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2716~0_combout\ = (\led_flash_cnt[2716][2]~q\ & (\led_flash_cnt[2716][3]~q\ & (\led_flash_cnt[2716][4]~q\ & \led_flash_cnt[2716][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2716][2]~q\,
	datab => \led_flash_cnt[2716][3]~q\,
	datac => \led_flash_cnt[2716][4]~q\,
	datad => \led_flash_cnt[2716][1]~q\,
	combout => \WideAnd2716~0_combout\);

-- Location: LCCOMB_X43_Y14_N8
WideAnd2716 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2716~combout\ = (\WideAnd2716~1_combout\ & (\led_flash_cnt[2716][7]~q\ & (\WideAnd2716~0_combout\ & \led_flash_cnt[2716][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2716~1_combout\,
	datab => \led_flash_cnt[2716][7]~q\,
	datac => \WideAnd2716~0_combout\,
	datad => \led_flash_cnt[2716][0]~q\,
	combout => \WideAnd2716~combout\);

-- Location: FF_X43_Y14_N9
\led_flash_cnt_ands[2716]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2716~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2716));

-- Location: LCCOMB_X14_Y29_N20
\led_flash_cnt[2717][0]~83357\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2717][0]~83357_combout\ = !\led_flash_cnt[2717][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2717][0]~q\,
	combout => \led_flash_cnt[2717][0]~83357_combout\);

-- Location: FF_X14_Y29_N21
\led_flash_cnt[2717][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2717][0]~83357_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2717][0]~q\);

-- Location: LCCOMB_X13_Y29_N0
\led_flash_cnt[2717][1]~64918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2717][1]~64918_combout\ = (\led_flash_cnt[2717][0]~q\ & (\led_flash_cnt[2717][1]~q\ $ (VCC))) # (!\led_flash_cnt[2717][0]~q\ & (\led_flash_cnt[2717][1]~q\ & VCC))
-- \led_flash_cnt[2717][1]~64919\ = CARRY((\led_flash_cnt[2717][0]~q\ & \led_flash_cnt[2717][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2717][0]~q\,
	datab => \led_flash_cnt[2717][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2717][1]~64918_combout\,
	cout => \led_flash_cnt[2717][1]~64919\);

-- Location: FF_X13_Y29_N1
\led_flash_cnt[2717][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2717][1]~64918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2717][1]~q\);

-- Location: LCCOMB_X13_Y29_N2
\led_flash_cnt[2717][2]~64920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2717][2]~64920_combout\ = (\led_flash_cnt[2717][2]~q\ & (!\led_flash_cnt[2717][1]~64919\)) # (!\led_flash_cnt[2717][2]~q\ & ((\led_flash_cnt[2717][1]~64919\) # (GND)))
-- \led_flash_cnt[2717][2]~64921\ = CARRY((!\led_flash_cnt[2717][1]~64919\) # (!\led_flash_cnt[2717][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2717][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2717][1]~64919\,
	combout => \led_flash_cnt[2717][2]~64920_combout\,
	cout => \led_flash_cnt[2717][2]~64921\);

-- Location: FF_X13_Y29_N3
\led_flash_cnt[2717][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2717][2]~64920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2717][2]~q\);

-- Location: LCCOMB_X13_Y29_N4
\led_flash_cnt[2717][3]~64922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2717][3]~64922_combout\ = (\led_flash_cnt[2717][3]~q\ & (\led_flash_cnt[2717][2]~64921\ $ (GND))) # (!\led_flash_cnt[2717][3]~q\ & (!\led_flash_cnt[2717][2]~64921\ & VCC))
-- \led_flash_cnt[2717][3]~64923\ = CARRY((\led_flash_cnt[2717][3]~q\ & !\led_flash_cnt[2717][2]~64921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2717][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2717][2]~64921\,
	combout => \led_flash_cnt[2717][3]~64922_combout\,
	cout => \led_flash_cnt[2717][3]~64923\);

-- Location: FF_X13_Y29_N5
\led_flash_cnt[2717][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2717][3]~64922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2717][3]~q\);

-- Location: LCCOMB_X13_Y29_N6
\led_flash_cnt[2717][4]~64924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2717][4]~64924_combout\ = (\led_flash_cnt[2717][4]~q\ & (!\led_flash_cnt[2717][3]~64923\)) # (!\led_flash_cnt[2717][4]~q\ & ((\led_flash_cnt[2717][3]~64923\) # (GND)))
-- \led_flash_cnt[2717][4]~64925\ = CARRY((!\led_flash_cnt[2717][3]~64923\) # (!\led_flash_cnt[2717][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2717][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2717][3]~64923\,
	combout => \led_flash_cnt[2717][4]~64924_combout\,
	cout => \led_flash_cnt[2717][4]~64925\);

-- Location: FF_X13_Y29_N7
\led_flash_cnt[2717][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2717][4]~64924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2717][4]~q\);

-- Location: LCCOMB_X13_Y29_N8
\led_flash_cnt[2717][5]~64926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2717][5]~64926_combout\ = (\led_flash_cnt[2717][5]~q\ & (\led_flash_cnt[2717][4]~64925\ $ (GND))) # (!\led_flash_cnt[2717][5]~q\ & (!\led_flash_cnt[2717][4]~64925\ & VCC))
-- \led_flash_cnt[2717][5]~64927\ = CARRY((\led_flash_cnt[2717][5]~q\ & !\led_flash_cnt[2717][4]~64925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2717][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2717][4]~64925\,
	combout => \led_flash_cnt[2717][5]~64926_combout\,
	cout => \led_flash_cnt[2717][5]~64927\);

-- Location: FF_X13_Y29_N9
\led_flash_cnt[2717][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2717][5]~64926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2717][5]~q\);

-- Location: LCCOMB_X13_Y29_N10
\led_flash_cnt[2717][6]~64928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2717][6]~64928_combout\ = (\led_flash_cnt[2717][6]~q\ & (!\led_flash_cnt[2717][5]~64927\)) # (!\led_flash_cnt[2717][6]~q\ & ((\led_flash_cnt[2717][5]~64927\) # (GND)))
-- \led_flash_cnt[2717][6]~64929\ = CARRY((!\led_flash_cnt[2717][5]~64927\) # (!\led_flash_cnt[2717][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2717][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2717][5]~64927\,
	combout => \led_flash_cnt[2717][6]~64928_combout\,
	cout => \led_flash_cnt[2717][6]~64929\);

-- Location: FF_X13_Y29_N11
\led_flash_cnt[2717][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2717][6]~64928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2717][6]~q\);

-- Location: LCCOMB_X13_Y29_N12
\led_flash_cnt[2717][7]~64930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2717][7]~64930_combout\ = \led_flash_cnt[2717][6]~64929\ $ (!\led_flash_cnt[2717][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2717][7]~q\,
	cin => \led_flash_cnt[2717][6]~64929\,
	combout => \led_flash_cnt[2717][7]~64930_combout\);

-- Location: FF_X13_Y29_N13
\led_flash_cnt[2717][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2717][7]~64930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2717][7]~q\);

-- Location: LCCOMB_X14_Y29_N0
\WideAnd2717~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2717~0_combout\ = (\led_flash_cnt[2717][1]~q\ & (\led_flash_cnt[2717][4]~q\ & (\led_flash_cnt[2717][3]~q\ & \led_flash_cnt[2717][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2717][1]~q\,
	datab => \led_flash_cnt[2717][4]~q\,
	datac => \led_flash_cnt[2717][3]~q\,
	datad => \led_flash_cnt[2717][2]~q\,
	combout => \WideAnd2717~0_combout\);

-- Location: LCCOMB_X14_Y29_N22
\WideAnd2717~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2717~1_combout\ = (\led_flash_cnt[2717][6]~q\ & \led_flash_cnt[2717][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2717][6]~q\,
	datad => \led_flash_cnt[2717][5]~q\,
	combout => \WideAnd2717~1_combout\);

-- Location: LCCOMB_X14_Y29_N30
WideAnd2717 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2717~combout\ = (\led_flash_cnt[2717][7]~q\ & (\WideAnd2717~0_combout\ & (\WideAnd2717~1_combout\ & \led_flash_cnt[2717][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2717][7]~q\,
	datab => \WideAnd2717~0_combout\,
	datac => \WideAnd2717~1_combout\,
	datad => \led_flash_cnt[2717][0]~q\,
	combout => \WideAnd2717~combout\);

-- Location: FF_X14_Y29_N31
\led_flash_cnt_ands[2717]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2717~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2717));

-- Location: LCCOMB_X42_Y14_N24
\WideAnd4179~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4179~1_combout\ = (led_flash_cnt_ands(2716) & led_flash_cnt_ands(2717))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2716),
	datac => led_flash_cnt_ands(2717),
	combout => \WideAnd4179~1_combout\);

-- Location: LCCOMB_X43_Y14_N0
\led_flash_cnt[2715][0]~83355\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2715][0]~83355_combout\ = !\led_flash_cnt[2715][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2715][0]~q\,
	combout => \led_flash_cnt[2715][0]~83355_combout\);

-- Location: FF_X43_Y14_N1
\led_flash_cnt[2715][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2715][0]~83355_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2715][0]~q\);

-- Location: LCCOMB_X43_Y15_N0
\led_flash_cnt[2715][1]~64890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2715][1]~64890_combout\ = (\led_flash_cnt[2715][0]~q\ & (\led_flash_cnt[2715][1]~q\ $ (VCC))) # (!\led_flash_cnt[2715][0]~q\ & (\led_flash_cnt[2715][1]~q\ & VCC))
-- \led_flash_cnt[2715][1]~64891\ = CARRY((\led_flash_cnt[2715][0]~q\ & \led_flash_cnt[2715][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2715][0]~q\,
	datab => \led_flash_cnt[2715][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2715][1]~64890_combout\,
	cout => \led_flash_cnt[2715][1]~64891\);

-- Location: FF_X43_Y15_N1
\led_flash_cnt[2715][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2715][1]~64890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2715][1]~q\);

-- Location: LCCOMB_X43_Y15_N2
\led_flash_cnt[2715][2]~64892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2715][2]~64892_combout\ = (\led_flash_cnt[2715][2]~q\ & (!\led_flash_cnt[2715][1]~64891\)) # (!\led_flash_cnt[2715][2]~q\ & ((\led_flash_cnt[2715][1]~64891\) # (GND)))
-- \led_flash_cnt[2715][2]~64893\ = CARRY((!\led_flash_cnt[2715][1]~64891\) # (!\led_flash_cnt[2715][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2715][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2715][1]~64891\,
	combout => \led_flash_cnt[2715][2]~64892_combout\,
	cout => \led_flash_cnt[2715][2]~64893\);

-- Location: FF_X43_Y15_N3
\led_flash_cnt[2715][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2715][2]~64892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2715][2]~q\);

-- Location: LCCOMB_X43_Y15_N4
\led_flash_cnt[2715][3]~64894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2715][3]~64894_combout\ = (\led_flash_cnt[2715][3]~q\ & (\led_flash_cnt[2715][2]~64893\ $ (GND))) # (!\led_flash_cnt[2715][3]~q\ & (!\led_flash_cnt[2715][2]~64893\ & VCC))
-- \led_flash_cnt[2715][3]~64895\ = CARRY((\led_flash_cnt[2715][3]~q\ & !\led_flash_cnt[2715][2]~64893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2715][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2715][2]~64893\,
	combout => \led_flash_cnt[2715][3]~64894_combout\,
	cout => \led_flash_cnt[2715][3]~64895\);

-- Location: FF_X43_Y15_N5
\led_flash_cnt[2715][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2715][3]~64894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2715][3]~q\);

-- Location: LCCOMB_X43_Y15_N6
\led_flash_cnt[2715][4]~64896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2715][4]~64896_combout\ = (\led_flash_cnt[2715][4]~q\ & (!\led_flash_cnt[2715][3]~64895\)) # (!\led_flash_cnt[2715][4]~q\ & ((\led_flash_cnt[2715][3]~64895\) # (GND)))
-- \led_flash_cnt[2715][4]~64897\ = CARRY((!\led_flash_cnt[2715][3]~64895\) # (!\led_flash_cnt[2715][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2715][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2715][3]~64895\,
	combout => \led_flash_cnt[2715][4]~64896_combout\,
	cout => \led_flash_cnt[2715][4]~64897\);

-- Location: FF_X43_Y15_N7
\led_flash_cnt[2715][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2715][4]~64896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2715][4]~q\);

-- Location: LCCOMB_X43_Y15_N8
\led_flash_cnt[2715][5]~64898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2715][5]~64898_combout\ = (\led_flash_cnt[2715][5]~q\ & (\led_flash_cnt[2715][4]~64897\ $ (GND))) # (!\led_flash_cnt[2715][5]~q\ & (!\led_flash_cnt[2715][4]~64897\ & VCC))
-- \led_flash_cnt[2715][5]~64899\ = CARRY((\led_flash_cnt[2715][5]~q\ & !\led_flash_cnt[2715][4]~64897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2715][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2715][4]~64897\,
	combout => \led_flash_cnt[2715][5]~64898_combout\,
	cout => \led_flash_cnt[2715][5]~64899\);

-- Location: FF_X43_Y15_N9
\led_flash_cnt[2715][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2715][5]~64898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2715][5]~q\);

-- Location: LCCOMB_X43_Y15_N10
\led_flash_cnt[2715][6]~64900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2715][6]~64900_combout\ = (\led_flash_cnt[2715][6]~q\ & (!\led_flash_cnt[2715][5]~64899\)) # (!\led_flash_cnt[2715][6]~q\ & ((\led_flash_cnt[2715][5]~64899\) # (GND)))
-- \led_flash_cnt[2715][6]~64901\ = CARRY((!\led_flash_cnt[2715][5]~64899\) # (!\led_flash_cnt[2715][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2715][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2715][5]~64899\,
	combout => \led_flash_cnt[2715][6]~64900_combout\,
	cout => \led_flash_cnt[2715][6]~64901\);

-- Location: FF_X43_Y15_N11
\led_flash_cnt[2715][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2715][6]~64900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2715][6]~q\);

-- Location: LCCOMB_X43_Y14_N30
\WideAnd2715~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2715~1_combout\ = (\led_flash_cnt[2715][5]~q\ & \led_flash_cnt[2715][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2715][5]~q\,
	datad => \led_flash_cnt[2715][6]~q\,
	combout => \WideAnd2715~1_combout\);

-- Location: LCCOMB_X43_Y15_N14
\WideAnd2715~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2715~0_combout\ = (\led_flash_cnt[2715][4]~q\ & (\led_flash_cnt[2715][1]~q\ & (\led_flash_cnt[2715][3]~q\ & \led_flash_cnt[2715][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2715][4]~q\,
	datab => \led_flash_cnt[2715][1]~q\,
	datac => \led_flash_cnt[2715][3]~q\,
	datad => \led_flash_cnt[2715][2]~q\,
	combout => \WideAnd2715~0_combout\);

-- Location: LCCOMB_X43_Y15_N12
\led_flash_cnt[2715][7]~64902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2715][7]~64902_combout\ = \led_flash_cnt[2715][6]~64901\ $ (!\led_flash_cnt[2715][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2715][7]~q\,
	cin => \led_flash_cnt[2715][6]~64901\,
	combout => \led_flash_cnt[2715][7]~64902_combout\);

-- Location: FF_X43_Y15_N13
\led_flash_cnt[2715][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2715][7]~64902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2715][7]~q\);

-- Location: LCCOMB_X43_Y14_N14
WideAnd2715 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2715~combout\ = (\WideAnd2715~1_combout\ & (\led_flash_cnt[2715][0]~q\ & (\WideAnd2715~0_combout\ & \led_flash_cnt[2715][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2715~1_combout\,
	datab => \led_flash_cnt[2715][0]~q\,
	datac => \WideAnd2715~0_combout\,
	datad => \led_flash_cnt[2715][7]~q\,
	combout => \WideAnd2715~combout\);

-- Location: FF_X43_Y14_N15
\led_flash_cnt_ands[2715]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2715~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2715));

-- Location: LCCOMB_X49_Y25_N30
\led_flash_cnt[2714][0]~83354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2714][0]~83354_combout\ = !\led_flash_cnt[2714][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2714][0]~q\,
	combout => \led_flash_cnt[2714][0]~83354_combout\);

-- Location: FF_X49_Y25_N31
\led_flash_cnt[2714][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2714][0]~83354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2714][0]~q\);

-- Location: LCCOMB_X49_Y29_N18
\led_flash_cnt[2714][1]~64876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2714][1]~64876_combout\ = (\led_flash_cnt[2714][0]~q\ & (\led_flash_cnt[2714][1]~q\ $ (VCC))) # (!\led_flash_cnt[2714][0]~q\ & (\led_flash_cnt[2714][1]~q\ & VCC))
-- \led_flash_cnt[2714][1]~64877\ = CARRY((\led_flash_cnt[2714][0]~q\ & \led_flash_cnt[2714][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2714][0]~q\,
	datab => \led_flash_cnt[2714][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2714][1]~64876_combout\,
	cout => \led_flash_cnt[2714][1]~64877\);

-- Location: FF_X49_Y29_N19
\led_flash_cnt[2714][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2714][1]~64876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2714][1]~q\);

-- Location: LCCOMB_X49_Y29_N20
\led_flash_cnt[2714][2]~64878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2714][2]~64878_combout\ = (\led_flash_cnt[2714][2]~q\ & (!\led_flash_cnt[2714][1]~64877\)) # (!\led_flash_cnt[2714][2]~q\ & ((\led_flash_cnt[2714][1]~64877\) # (GND)))
-- \led_flash_cnt[2714][2]~64879\ = CARRY((!\led_flash_cnt[2714][1]~64877\) # (!\led_flash_cnt[2714][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2714][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2714][1]~64877\,
	combout => \led_flash_cnt[2714][2]~64878_combout\,
	cout => \led_flash_cnt[2714][2]~64879\);

-- Location: FF_X49_Y29_N21
\led_flash_cnt[2714][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2714][2]~64878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2714][2]~q\);

-- Location: LCCOMB_X49_Y29_N22
\led_flash_cnt[2714][3]~64880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2714][3]~64880_combout\ = (\led_flash_cnt[2714][3]~q\ & (\led_flash_cnt[2714][2]~64879\ $ (GND))) # (!\led_flash_cnt[2714][3]~q\ & (!\led_flash_cnt[2714][2]~64879\ & VCC))
-- \led_flash_cnt[2714][3]~64881\ = CARRY((\led_flash_cnt[2714][3]~q\ & !\led_flash_cnt[2714][2]~64879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2714][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2714][2]~64879\,
	combout => \led_flash_cnt[2714][3]~64880_combout\,
	cout => \led_flash_cnt[2714][3]~64881\);

-- Location: FF_X49_Y29_N23
\led_flash_cnt[2714][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2714][3]~64880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2714][3]~q\);

-- Location: LCCOMB_X49_Y29_N24
\led_flash_cnt[2714][4]~64882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2714][4]~64882_combout\ = (\led_flash_cnt[2714][4]~q\ & (!\led_flash_cnt[2714][3]~64881\)) # (!\led_flash_cnt[2714][4]~q\ & ((\led_flash_cnt[2714][3]~64881\) # (GND)))
-- \led_flash_cnt[2714][4]~64883\ = CARRY((!\led_flash_cnt[2714][3]~64881\) # (!\led_flash_cnt[2714][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2714][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2714][3]~64881\,
	combout => \led_flash_cnt[2714][4]~64882_combout\,
	cout => \led_flash_cnt[2714][4]~64883\);

-- Location: FF_X49_Y29_N25
\led_flash_cnt[2714][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2714][4]~64882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2714][4]~q\);

-- Location: LCCOMB_X49_Y29_N16
\WideAnd2714~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2714~0_combout\ = (\led_flash_cnt[2714][4]~q\ & (\led_flash_cnt[2714][2]~q\ & (\led_flash_cnt[2714][3]~q\ & \led_flash_cnt[2714][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2714][4]~q\,
	datab => \led_flash_cnt[2714][2]~q\,
	datac => \led_flash_cnt[2714][3]~q\,
	datad => \led_flash_cnt[2714][1]~q\,
	combout => \WideAnd2714~0_combout\);

-- Location: LCCOMB_X49_Y29_N26
\led_flash_cnt[2714][5]~64884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2714][5]~64884_combout\ = (\led_flash_cnt[2714][5]~q\ & (\led_flash_cnt[2714][4]~64883\ $ (GND))) # (!\led_flash_cnt[2714][5]~q\ & (!\led_flash_cnt[2714][4]~64883\ & VCC))
-- \led_flash_cnt[2714][5]~64885\ = CARRY((\led_flash_cnt[2714][5]~q\ & !\led_flash_cnt[2714][4]~64883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2714][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2714][4]~64883\,
	combout => \led_flash_cnt[2714][5]~64884_combout\,
	cout => \led_flash_cnt[2714][5]~64885\);

-- Location: FF_X49_Y29_N27
\led_flash_cnt[2714][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2714][5]~64884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2714][5]~q\);

-- Location: LCCOMB_X49_Y29_N28
\led_flash_cnt[2714][6]~64886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2714][6]~64886_combout\ = (\led_flash_cnt[2714][6]~q\ & (!\led_flash_cnt[2714][5]~64885\)) # (!\led_flash_cnt[2714][6]~q\ & ((\led_flash_cnt[2714][5]~64885\) # (GND)))
-- \led_flash_cnt[2714][6]~64887\ = CARRY((!\led_flash_cnt[2714][5]~64885\) # (!\led_flash_cnt[2714][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2714][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2714][5]~64885\,
	combout => \led_flash_cnt[2714][6]~64886_combout\,
	cout => \led_flash_cnt[2714][6]~64887\);

-- Location: FF_X49_Y29_N29
\led_flash_cnt[2714][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2714][6]~64886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2714][6]~q\);

-- Location: LCCOMB_X49_Y29_N30
\led_flash_cnt[2714][7]~64888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2714][7]~64888_combout\ = \led_flash_cnt[2714][7]~q\ $ (!\led_flash_cnt[2714][6]~64887\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2714][7]~q\,
	cin => \led_flash_cnt[2714][6]~64887\,
	combout => \led_flash_cnt[2714][7]~64888_combout\);

-- Location: FF_X49_Y29_N31
\led_flash_cnt[2714][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2714][7]~64888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2714][7]~q\);

-- Location: LCCOMB_X49_Y25_N24
\WideAnd2714~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2714~1_combout\ = (\led_flash_cnt[2714][6]~q\ & \led_flash_cnt[2714][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2714][6]~q\,
	datad => \led_flash_cnt[2714][5]~q\,
	combout => \WideAnd2714~1_combout\);

-- Location: LCCOMB_X49_Y25_N28
WideAnd2714 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2714~combout\ = (\led_flash_cnt[2714][0]~q\ & (\WideAnd2714~0_combout\ & (\led_flash_cnt[2714][7]~q\ & \WideAnd2714~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2714][0]~q\,
	datab => \WideAnd2714~0_combout\,
	datac => \led_flash_cnt[2714][7]~q\,
	datad => \WideAnd2714~1_combout\,
	combout => \WideAnd2714~combout\);

-- Location: FF_X49_Y25_N29
\led_flash_cnt_ands[2714]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2714~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2714));

-- Location: LCCOMB_X49_Y25_N0
\led_flash_cnt[2713][0]~83353\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2713][0]~83353_combout\ = !\led_flash_cnt[2713][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2713][0]~q\,
	combout => \led_flash_cnt[2713][0]~83353_combout\);

-- Location: FF_X49_Y25_N1
\led_flash_cnt[2713][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2713][0]~83353_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2713][0]~q\);

-- Location: LCCOMB_X49_Y25_N2
\led_flash_cnt[2713][1]~64862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2713][1]~64862_combout\ = (\led_flash_cnt[2713][1]~q\ & (\led_flash_cnt[2713][0]~q\ $ (VCC))) # (!\led_flash_cnt[2713][1]~q\ & (\led_flash_cnt[2713][0]~q\ & VCC))
-- \led_flash_cnt[2713][1]~64863\ = CARRY((\led_flash_cnt[2713][1]~q\ & \led_flash_cnt[2713][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2713][1]~q\,
	datab => \led_flash_cnt[2713][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2713][1]~64862_combout\,
	cout => \led_flash_cnt[2713][1]~64863\);

-- Location: FF_X49_Y25_N3
\led_flash_cnt[2713][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2713][1]~64862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2713][1]~q\);

-- Location: LCCOMB_X49_Y25_N4
\led_flash_cnt[2713][2]~64864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2713][2]~64864_combout\ = (\led_flash_cnt[2713][2]~q\ & (!\led_flash_cnt[2713][1]~64863\)) # (!\led_flash_cnt[2713][2]~q\ & ((\led_flash_cnt[2713][1]~64863\) # (GND)))
-- \led_flash_cnt[2713][2]~64865\ = CARRY((!\led_flash_cnt[2713][1]~64863\) # (!\led_flash_cnt[2713][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2713][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2713][1]~64863\,
	combout => \led_flash_cnt[2713][2]~64864_combout\,
	cout => \led_flash_cnt[2713][2]~64865\);

-- Location: FF_X49_Y25_N5
\led_flash_cnt[2713][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2713][2]~64864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2713][2]~q\);

-- Location: LCCOMB_X49_Y25_N6
\led_flash_cnt[2713][3]~64866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2713][3]~64866_combout\ = (\led_flash_cnt[2713][3]~q\ & (\led_flash_cnt[2713][2]~64865\ $ (GND))) # (!\led_flash_cnt[2713][3]~q\ & (!\led_flash_cnt[2713][2]~64865\ & VCC))
-- \led_flash_cnt[2713][3]~64867\ = CARRY((\led_flash_cnt[2713][3]~q\ & !\led_flash_cnt[2713][2]~64865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2713][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2713][2]~64865\,
	combout => \led_flash_cnt[2713][3]~64866_combout\,
	cout => \led_flash_cnt[2713][3]~64867\);

-- Location: FF_X49_Y25_N7
\led_flash_cnt[2713][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2713][3]~64866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2713][3]~q\);

-- Location: LCCOMB_X49_Y25_N8
\led_flash_cnt[2713][4]~64868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2713][4]~64868_combout\ = (\led_flash_cnt[2713][4]~q\ & (!\led_flash_cnt[2713][3]~64867\)) # (!\led_flash_cnt[2713][4]~q\ & ((\led_flash_cnt[2713][3]~64867\) # (GND)))
-- \led_flash_cnt[2713][4]~64869\ = CARRY((!\led_flash_cnt[2713][3]~64867\) # (!\led_flash_cnt[2713][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2713][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2713][3]~64867\,
	combout => \led_flash_cnt[2713][4]~64868_combout\,
	cout => \led_flash_cnt[2713][4]~64869\);

-- Location: FF_X49_Y25_N9
\led_flash_cnt[2713][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2713][4]~64868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2713][4]~q\);

-- Location: LCCOMB_X49_Y25_N10
\led_flash_cnt[2713][5]~64870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2713][5]~64870_combout\ = (\led_flash_cnt[2713][5]~q\ & (\led_flash_cnt[2713][4]~64869\ $ (GND))) # (!\led_flash_cnt[2713][5]~q\ & (!\led_flash_cnt[2713][4]~64869\ & VCC))
-- \led_flash_cnt[2713][5]~64871\ = CARRY((\led_flash_cnt[2713][5]~q\ & !\led_flash_cnt[2713][4]~64869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2713][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2713][4]~64869\,
	combout => \led_flash_cnt[2713][5]~64870_combout\,
	cout => \led_flash_cnt[2713][5]~64871\);

-- Location: FF_X49_Y25_N11
\led_flash_cnt[2713][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2713][5]~64870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2713][5]~q\);

-- Location: LCCOMB_X49_Y25_N12
\led_flash_cnt[2713][6]~64872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2713][6]~64872_combout\ = (\led_flash_cnt[2713][6]~q\ & (!\led_flash_cnt[2713][5]~64871\)) # (!\led_flash_cnt[2713][6]~q\ & ((\led_flash_cnt[2713][5]~64871\) # (GND)))
-- \led_flash_cnt[2713][6]~64873\ = CARRY((!\led_flash_cnt[2713][5]~64871\) # (!\led_flash_cnt[2713][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2713][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2713][5]~64871\,
	combout => \led_flash_cnt[2713][6]~64872_combout\,
	cout => \led_flash_cnt[2713][6]~64873\);

-- Location: FF_X49_Y25_N13
\led_flash_cnt[2713][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2713][6]~64872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2713][6]~q\);

-- Location: LCCOMB_X49_Y25_N22
\WideAnd2713~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2713~1_combout\ = (\led_flash_cnt[2713][5]~q\ & \led_flash_cnt[2713][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2713][5]~q\,
	datad => \led_flash_cnt[2713][6]~q\,
	combout => \WideAnd2713~1_combout\);

-- Location: LCCOMB_X49_Y25_N14
\led_flash_cnt[2713][7]~64874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2713][7]~64874_combout\ = \led_flash_cnt[2713][7]~q\ $ (!\led_flash_cnt[2713][6]~64873\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2713][7]~q\,
	cin => \led_flash_cnt[2713][6]~64873\,
	combout => \led_flash_cnt[2713][7]~64874_combout\);

-- Location: FF_X49_Y25_N15
\led_flash_cnt[2713][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2713][7]~64874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2713][7]~q\);

-- Location: LCCOMB_X49_Y25_N18
\WideAnd2713~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2713~0_combout\ = (\led_flash_cnt[2713][1]~q\ & (\led_flash_cnt[2713][4]~q\ & (\led_flash_cnt[2713][2]~q\ & \led_flash_cnt[2713][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2713][1]~q\,
	datab => \led_flash_cnt[2713][4]~q\,
	datac => \led_flash_cnt[2713][2]~q\,
	datad => \led_flash_cnt[2713][3]~q\,
	combout => \WideAnd2713~0_combout\);

-- Location: LCCOMB_X49_Y25_N26
WideAnd2713 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2713~combout\ = (\WideAnd2713~1_combout\ & (\led_flash_cnt[2713][0]~q\ & (\led_flash_cnt[2713][7]~q\ & \WideAnd2713~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2713~1_combout\,
	datab => \led_flash_cnt[2713][0]~q\,
	datac => \led_flash_cnt[2713][7]~q\,
	datad => \WideAnd2713~0_combout\,
	combout => \WideAnd2713~combout\);

-- Location: FF_X49_Y25_N27
\led_flash_cnt_ands[2713]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2713~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2713));

-- Location: LCCOMB_X44_Y15_N12
\led_flash_cnt[2712][0]~83352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2712][0]~83352_combout\ = !\led_flash_cnt[2712][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2712][0]~q\,
	combout => \led_flash_cnt[2712][0]~83352_combout\);

-- Location: FF_X44_Y15_N13
\led_flash_cnt[2712][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2712][0]~83352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2712][0]~q\);

-- Location: LCCOMB_X44_Y15_N16
\led_flash_cnt[2712][1]~64848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2712][1]~64848_combout\ = (\led_flash_cnt[2712][0]~q\ & (\led_flash_cnt[2712][1]~q\ $ (VCC))) # (!\led_flash_cnt[2712][0]~q\ & (\led_flash_cnt[2712][1]~q\ & VCC))
-- \led_flash_cnt[2712][1]~64849\ = CARRY((\led_flash_cnt[2712][0]~q\ & \led_flash_cnt[2712][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2712][0]~q\,
	datab => \led_flash_cnt[2712][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2712][1]~64848_combout\,
	cout => \led_flash_cnt[2712][1]~64849\);

-- Location: FF_X44_Y15_N17
\led_flash_cnt[2712][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2712][1]~64848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2712][1]~q\);

-- Location: LCCOMB_X44_Y15_N18
\led_flash_cnt[2712][2]~64850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2712][2]~64850_combout\ = (\led_flash_cnt[2712][2]~q\ & (!\led_flash_cnt[2712][1]~64849\)) # (!\led_flash_cnt[2712][2]~q\ & ((\led_flash_cnt[2712][1]~64849\) # (GND)))
-- \led_flash_cnt[2712][2]~64851\ = CARRY((!\led_flash_cnt[2712][1]~64849\) # (!\led_flash_cnt[2712][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2712][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2712][1]~64849\,
	combout => \led_flash_cnt[2712][2]~64850_combout\,
	cout => \led_flash_cnt[2712][2]~64851\);

-- Location: FF_X44_Y15_N19
\led_flash_cnt[2712][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2712][2]~64850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2712][2]~q\);

-- Location: LCCOMB_X44_Y15_N20
\led_flash_cnt[2712][3]~64852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2712][3]~64852_combout\ = (\led_flash_cnt[2712][3]~q\ & (\led_flash_cnt[2712][2]~64851\ $ (GND))) # (!\led_flash_cnt[2712][3]~q\ & (!\led_flash_cnt[2712][2]~64851\ & VCC))
-- \led_flash_cnt[2712][3]~64853\ = CARRY((\led_flash_cnt[2712][3]~q\ & !\led_flash_cnt[2712][2]~64851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2712][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2712][2]~64851\,
	combout => \led_flash_cnt[2712][3]~64852_combout\,
	cout => \led_flash_cnt[2712][3]~64853\);

-- Location: FF_X44_Y15_N21
\led_flash_cnt[2712][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2712][3]~64852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2712][3]~q\);

-- Location: LCCOMB_X44_Y15_N22
\led_flash_cnt[2712][4]~64854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2712][4]~64854_combout\ = (\led_flash_cnt[2712][4]~q\ & (!\led_flash_cnt[2712][3]~64853\)) # (!\led_flash_cnt[2712][4]~q\ & ((\led_flash_cnt[2712][3]~64853\) # (GND)))
-- \led_flash_cnt[2712][4]~64855\ = CARRY((!\led_flash_cnt[2712][3]~64853\) # (!\led_flash_cnt[2712][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2712][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2712][3]~64853\,
	combout => \led_flash_cnt[2712][4]~64854_combout\,
	cout => \led_flash_cnt[2712][4]~64855\);

-- Location: FF_X44_Y15_N23
\led_flash_cnt[2712][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2712][4]~64854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2712][4]~q\);

-- Location: LCCOMB_X44_Y15_N24
\led_flash_cnt[2712][5]~64856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2712][5]~64856_combout\ = (\led_flash_cnt[2712][5]~q\ & (\led_flash_cnt[2712][4]~64855\ $ (GND))) # (!\led_flash_cnt[2712][5]~q\ & (!\led_flash_cnt[2712][4]~64855\ & VCC))
-- \led_flash_cnt[2712][5]~64857\ = CARRY((\led_flash_cnt[2712][5]~q\ & !\led_flash_cnt[2712][4]~64855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2712][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2712][4]~64855\,
	combout => \led_flash_cnt[2712][5]~64856_combout\,
	cout => \led_flash_cnt[2712][5]~64857\);

-- Location: FF_X44_Y15_N25
\led_flash_cnt[2712][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2712][5]~64856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2712][5]~q\);

-- Location: LCCOMB_X44_Y15_N26
\led_flash_cnt[2712][6]~64858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2712][6]~64858_combout\ = (\led_flash_cnt[2712][6]~q\ & (!\led_flash_cnt[2712][5]~64857\)) # (!\led_flash_cnt[2712][6]~q\ & ((\led_flash_cnt[2712][5]~64857\) # (GND)))
-- \led_flash_cnt[2712][6]~64859\ = CARRY((!\led_flash_cnt[2712][5]~64857\) # (!\led_flash_cnt[2712][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2712][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2712][5]~64857\,
	combout => \led_flash_cnt[2712][6]~64858_combout\,
	cout => \led_flash_cnt[2712][6]~64859\);

-- Location: FF_X44_Y15_N27
\led_flash_cnt[2712][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2712][6]~64858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2712][6]~q\);

-- Location: LCCOMB_X44_Y15_N28
\led_flash_cnt[2712][7]~64860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2712][7]~64860_combout\ = \led_flash_cnt[2712][6]~64859\ $ (!\led_flash_cnt[2712][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2712][7]~q\,
	cin => \led_flash_cnt[2712][6]~64859\,
	combout => \led_flash_cnt[2712][7]~64860_combout\);

-- Location: FF_X44_Y15_N29
\led_flash_cnt[2712][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2712][7]~64860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2712][7]~q\);

-- Location: LCCOMB_X44_Y15_N4
\WideAnd2712~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2712~0_combout\ = (\led_flash_cnt[2712][3]~q\ & (\led_flash_cnt[2712][2]~q\ & (\led_flash_cnt[2712][4]~q\ & \led_flash_cnt[2712][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2712][3]~q\,
	datab => \led_flash_cnt[2712][2]~q\,
	datac => \led_flash_cnt[2712][4]~q\,
	datad => \led_flash_cnt[2712][1]~q\,
	combout => \WideAnd2712~0_combout\);

-- Location: LCCOMB_X44_Y15_N0
\WideAnd2712~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2712~1_combout\ = (\led_flash_cnt[2712][6]~q\ & \led_flash_cnt[2712][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2712][6]~q\,
	datad => \led_flash_cnt[2712][5]~q\,
	combout => \WideAnd2712~1_combout\);

-- Location: LCCOMB_X44_Y15_N30
WideAnd2712 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2712~combout\ = (\led_flash_cnt[2712][0]~q\ & (\led_flash_cnt[2712][7]~q\ & (\WideAnd2712~0_combout\ & \WideAnd2712~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2712][0]~q\,
	datab => \led_flash_cnt[2712][7]~q\,
	datac => \WideAnd2712~0_combout\,
	datad => \WideAnd2712~1_combout\,
	combout => \WideAnd2712~combout\);

-- Location: FF_X44_Y15_N31
\led_flash_cnt_ands[2712]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2712~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2712));

-- Location: LCCOMB_X46_Y14_N8
\WideAnd4179~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4179~0_combout\ = (led_flash_cnt_ands(2715) & (led_flash_cnt_ands(2714) & (led_flash_cnt_ands(2713) & led_flash_cnt_ands(2712))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2715),
	datab => led_flash_cnt_ands(2714),
	datac => led_flash_cnt_ands(2713),
	datad => led_flash_cnt_ands(2712),
	combout => \WideAnd4179~0_combout\);

-- Location: LCCOMB_X60_Y27_N16
\led_flash_cnt[2718][0]~83358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2718][0]~83358_combout\ = !\led_flash_cnt[2718][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2718][0]~q\,
	combout => \led_flash_cnt[2718][0]~83358_combout\);

-- Location: FF_X60_Y27_N17
\led_flash_cnt[2718][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2718][0]~83358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2718][0]~q\);

-- Location: LCCOMB_X59_Y27_N18
\led_flash_cnt[2718][1]~64932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2718][1]~64932_combout\ = (\led_flash_cnt[2718][1]~q\ & (\led_flash_cnt[2718][0]~q\ $ (VCC))) # (!\led_flash_cnt[2718][1]~q\ & (\led_flash_cnt[2718][0]~q\ & VCC))
-- \led_flash_cnt[2718][1]~64933\ = CARRY((\led_flash_cnt[2718][1]~q\ & \led_flash_cnt[2718][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2718][1]~q\,
	datab => \led_flash_cnt[2718][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2718][1]~64932_combout\,
	cout => \led_flash_cnt[2718][1]~64933\);

-- Location: FF_X59_Y27_N19
\led_flash_cnt[2718][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2718][1]~64932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2718][1]~q\);

-- Location: LCCOMB_X59_Y27_N20
\led_flash_cnt[2718][2]~64934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2718][2]~64934_combout\ = (\led_flash_cnt[2718][2]~q\ & (!\led_flash_cnt[2718][1]~64933\)) # (!\led_flash_cnt[2718][2]~q\ & ((\led_flash_cnt[2718][1]~64933\) # (GND)))
-- \led_flash_cnt[2718][2]~64935\ = CARRY((!\led_flash_cnt[2718][1]~64933\) # (!\led_flash_cnt[2718][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2718][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2718][1]~64933\,
	combout => \led_flash_cnt[2718][2]~64934_combout\,
	cout => \led_flash_cnt[2718][2]~64935\);

-- Location: FF_X59_Y27_N21
\led_flash_cnt[2718][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2718][2]~64934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2718][2]~q\);

-- Location: LCCOMB_X59_Y27_N22
\led_flash_cnt[2718][3]~64936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2718][3]~64936_combout\ = (\led_flash_cnt[2718][3]~q\ & (\led_flash_cnt[2718][2]~64935\ $ (GND))) # (!\led_flash_cnt[2718][3]~q\ & (!\led_flash_cnt[2718][2]~64935\ & VCC))
-- \led_flash_cnt[2718][3]~64937\ = CARRY((\led_flash_cnt[2718][3]~q\ & !\led_flash_cnt[2718][2]~64935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2718][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2718][2]~64935\,
	combout => \led_flash_cnt[2718][3]~64936_combout\,
	cout => \led_flash_cnt[2718][3]~64937\);

-- Location: FF_X59_Y27_N23
\led_flash_cnt[2718][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2718][3]~64936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2718][3]~q\);

-- Location: LCCOMB_X59_Y27_N24
\led_flash_cnt[2718][4]~64938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2718][4]~64938_combout\ = (\led_flash_cnt[2718][4]~q\ & (!\led_flash_cnt[2718][3]~64937\)) # (!\led_flash_cnt[2718][4]~q\ & ((\led_flash_cnt[2718][3]~64937\) # (GND)))
-- \led_flash_cnt[2718][4]~64939\ = CARRY((!\led_flash_cnt[2718][3]~64937\) # (!\led_flash_cnt[2718][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2718][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2718][3]~64937\,
	combout => \led_flash_cnt[2718][4]~64938_combout\,
	cout => \led_flash_cnt[2718][4]~64939\);

-- Location: FF_X59_Y27_N25
\led_flash_cnt[2718][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2718][4]~64938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2718][4]~q\);

-- Location: LCCOMB_X59_Y27_N26
\led_flash_cnt[2718][5]~64940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2718][5]~64940_combout\ = (\led_flash_cnt[2718][5]~q\ & (\led_flash_cnt[2718][4]~64939\ $ (GND))) # (!\led_flash_cnt[2718][5]~q\ & (!\led_flash_cnt[2718][4]~64939\ & VCC))
-- \led_flash_cnt[2718][5]~64941\ = CARRY((\led_flash_cnt[2718][5]~q\ & !\led_flash_cnt[2718][4]~64939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2718][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2718][4]~64939\,
	combout => \led_flash_cnt[2718][5]~64940_combout\,
	cout => \led_flash_cnt[2718][5]~64941\);

-- Location: FF_X59_Y27_N27
\led_flash_cnt[2718][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2718][5]~64940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2718][5]~q\);

-- Location: LCCOMB_X59_Y27_N28
\led_flash_cnt[2718][6]~64942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2718][6]~64942_combout\ = (\led_flash_cnt[2718][6]~q\ & (!\led_flash_cnt[2718][5]~64941\)) # (!\led_flash_cnt[2718][6]~q\ & ((\led_flash_cnt[2718][5]~64941\) # (GND)))
-- \led_flash_cnt[2718][6]~64943\ = CARRY((!\led_flash_cnt[2718][5]~64941\) # (!\led_flash_cnt[2718][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2718][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2718][5]~64941\,
	combout => \led_flash_cnt[2718][6]~64942_combout\,
	cout => \led_flash_cnt[2718][6]~64943\);

-- Location: FF_X59_Y27_N29
\led_flash_cnt[2718][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2718][6]~64942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2718][6]~q\);

-- Location: LCCOMB_X60_Y27_N28
\WideAnd2718~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2718~1_combout\ = (\led_flash_cnt[2718][5]~q\ & \led_flash_cnt[2718][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2718][5]~q\,
	datad => \led_flash_cnt[2718][6]~q\,
	combout => \WideAnd2718~1_combout\);

-- Location: LCCOMB_X60_Y27_N22
\WideAnd2718~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2718~0_combout\ = (\led_flash_cnt[2718][2]~q\ & (\led_flash_cnt[2718][3]~q\ & (\led_flash_cnt[2718][4]~q\ & \led_flash_cnt[2718][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2718][2]~q\,
	datab => \led_flash_cnt[2718][3]~q\,
	datac => \led_flash_cnt[2718][4]~q\,
	datad => \led_flash_cnt[2718][1]~q\,
	combout => \WideAnd2718~0_combout\);

-- Location: LCCOMB_X59_Y27_N30
\led_flash_cnt[2718][7]~64944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2718][7]~64944_combout\ = \led_flash_cnt[2718][7]~q\ $ (!\led_flash_cnt[2718][6]~64943\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2718][7]~q\,
	cin => \led_flash_cnt[2718][6]~64943\,
	combout => \led_flash_cnt[2718][7]~64944_combout\);

-- Location: FF_X59_Y27_N31
\led_flash_cnt[2718][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2718][7]~64944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2718][7]~q\);

-- Location: LCCOMB_X60_Y27_N30
WideAnd2718 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2718~combout\ = (\led_flash_cnt[2718][0]~q\ & (\WideAnd2718~1_combout\ & (\WideAnd2718~0_combout\ & \led_flash_cnt[2718][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2718][0]~q\,
	datab => \WideAnd2718~1_combout\,
	datac => \WideAnd2718~0_combout\,
	datad => \led_flash_cnt[2718][7]~q\,
	combout => \WideAnd2718~combout\);

-- Location: FF_X60_Y27_N31
\led_flash_cnt_ands[2718]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2718~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2718));

-- Location: LCCOMB_X46_Y14_N12
\led_flash_cnt[2719][0]~83359\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2719][0]~83359_combout\ = !\led_flash_cnt[2719][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2719][0]~q\,
	combout => \led_flash_cnt[2719][0]~83359_combout\);

-- Location: FF_X46_Y14_N13
\led_flash_cnt[2719][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2719][0]~83359_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2719][0]~q\);

-- Location: LCCOMB_X46_Y14_N18
\led_flash_cnt[2719][1]~64946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2719][1]~64946_combout\ = (\led_flash_cnt[2719][0]~q\ & (\led_flash_cnt[2719][1]~q\ $ (VCC))) # (!\led_flash_cnt[2719][0]~q\ & (\led_flash_cnt[2719][1]~q\ & VCC))
-- \led_flash_cnt[2719][1]~64947\ = CARRY((\led_flash_cnt[2719][0]~q\ & \led_flash_cnt[2719][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2719][0]~q\,
	datab => \led_flash_cnt[2719][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2719][1]~64946_combout\,
	cout => \led_flash_cnt[2719][1]~64947\);

-- Location: FF_X46_Y14_N19
\led_flash_cnt[2719][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2719][1]~64946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2719][1]~q\);

-- Location: LCCOMB_X46_Y14_N20
\led_flash_cnt[2719][2]~64948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2719][2]~64948_combout\ = (\led_flash_cnt[2719][2]~q\ & (!\led_flash_cnt[2719][1]~64947\)) # (!\led_flash_cnt[2719][2]~q\ & ((\led_flash_cnt[2719][1]~64947\) # (GND)))
-- \led_flash_cnt[2719][2]~64949\ = CARRY((!\led_flash_cnt[2719][1]~64947\) # (!\led_flash_cnt[2719][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2719][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2719][1]~64947\,
	combout => \led_flash_cnt[2719][2]~64948_combout\,
	cout => \led_flash_cnt[2719][2]~64949\);

-- Location: FF_X46_Y14_N21
\led_flash_cnt[2719][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2719][2]~64948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2719][2]~q\);

-- Location: LCCOMB_X46_Y14_N22
\led_flash_cnt[2719][3]~64950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2719][3]~64950_combout\ = (\led_flash_cnt[2719][3]~q\ & (\led_flash_cnt[2719][2]~64949\ $ (GND))) # (!\led_flash_cnt[2719][3]~q\ & (!\led_flash_cnt[2719][2]~64949\ & VCC))
-- \led_flash_cnt[2719][3]~64951\ = CARRY((\led_flash_cnt[2719][3]~q\ & !\led_flash_cnt[2719][2]~64949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2719][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2719][2]~64949\,
	combout => \led_flash_cnt[2719][3]~64950_combout\,
	cout => \led_flash_cnt[2719][3]~64951\);

-- Location: FF_X46_Y14_N23
\led_flash_cnt[2719][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2719][3]~64950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2719][3]~q\);

-- Location: LCCOMB_X46_Y14_N24
\led_flash_cnt[2719][4]~64952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2719][4]~64952_combout\ = (\led_flash_cnt[2719][4]~q\ & (!\led_flash_cnt[2719][3]~64951\)) # (!\led_flash_cnt[2719][4]~q\ & ((\led_flash_cnt[2719][3]~64951\) # (GND)))
-- \led_flash_cnt[2719][4]~64953\ = CARRY((!\led_flash_cnt[2719][3]~64951\) # (!\led_flash_cnt[2719][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2719][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2719][3]~64951\,
	combout => \led_flash_cnt[2719][4]~64952_combout\,
	cout => \led_flash_cnt[2719][4]~64953\);

-- Location: FF_X46_Y14_N25
\led_flash_cnt[2719][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2719][4]~64952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2719][4]~q\);

-- Location: LCCOMB_X46_Y14_N26
\led_flash_cnt[2719][5]~64954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2719][5]~64954_combout\ = (\led_flash_cnt[2719][5]~q\ & (\led_flash_cnt[2719][4]~64953\ $ (GND))) # (!\led_flash_cnt[2719][5]~q\ & (!\led_flash_cnt[2719][4]~64953\ & VCC))
-- \led_flash_cnt[2719][5]~64955\ = CARRY((\led_flash_cnt[2719][5]~q\ & !\led_flash_cnt[2719][4]~64953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2719][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2719][4]~64953\,
	combout => \led_flash_cnt[2719][5]~64954_combout\,
	cout => \led_flash_cnt[2719][5]~64955\);

-- Location: FF_X46_Y14_N27
\led_flash_cnt[2719][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2719][5]~64954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2719][5]~q\);

-- Location: LCCOMB_X46_Y14_N28
\led_flash_cnt[2719][6]~64956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2719][6]~64956_combout\ = (\led_flash_cnt[2719][6]~q\ & (!\led_flash_cnt[2719][5]~64955\)) # (!\led_flash_cnt[2719][6]~q\ & ((\led_flash_cnt[2719][5]~64955\) # (GND)))
-- \led_flash_cnt[2719][6]~64957\ = CARRY((!\led_flash_cnt[2719][5]~64955\) # (!\led_flash_cnt[2719][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2719][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2719][5]~64955\,
	combout => \led_flash_cnt[2719][6]~64956_combout\,
	cout => \led_flash_cnt[2719][6]~64957\);

-- Location: FF_X46_Y14_N29
\led_flash_cnt[2719][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2719][6]~64956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2719][6]~q\);

-- Location: LCCOMB_X46_Y14_N10
\WideAnd2719~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2719~1_combout\ = (\led_flash_cnt[2719][5]~q\ & \led_flash_cnt[2719][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2719][5]~q\,
	datad => \led_flash_cnt[2719][6]~q\,
	combout => \WideAnd2719~1_combout\);

-- Location: LCCOMB_X46_Y14_N4
\WideAnd2719~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2719~0_combout\ = (\led_flash_cnt[2719][1]~q\ & (\led_flash_cnt[2719][2]~q\ & (\led_flash_cnt[2719][3]~q\ & \led_flash_cnt[2719][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2719][1]~q\,
	datab => \led_flash_cnt[2719][2]~q\,
	datac => \led_flash_cnt[2719][3]~q\,
	datad => \led_flash_cnt[2719][4]~q\,
	combout => \WideAnd2719~0_combout\);

-- Location: LCCOMB_X46_Y14_N30
\led_flash_cnt[2719][7]~64958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2719][7]~64958_combout\ = \led_flash_cnt[2719][7]~q\ $ (!\led_flash_cnt[2719][6]~64957\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2719][7]~q\,
	cin => \led_flash_cnt[2719][6]~64957\,
	combout => \led_flash_cnt[2719][7]~64958_combout\);

-- Location: FF_X46_Y14_N31
\led_flash_cnt[2719][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2719][7]~64958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2719][7]~q\);

-- Location: LCCOMB_X46_Y14_N6
WideAnd2719 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2719~combout\ = (\WideAnd2719~1_combout\ & (\WideAnd2719~0_combout\ & (\led_flash_cnt[2719][7]~q\ & \led_flash_cnt[2719][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2719~1_combout\,
	datab => \WideAnd2719~0_combout\,
	datac => \led_flash_cnt[2719][7]~q\,
	datad => \led_flash_cnt[2719][0]~q\,
	combout => \WideAnd2719~combout\);

-- Location: FF_X46_Y14_N7
\led_flash_cnt_ands[2719]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2719~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2719));

-- Location: LCCOMB_X46_Y14_N0
WideAnd4179 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4179~combout\ = (\WideAnd4179~1_combout\ & (\WideAnd4179~0_combout\ & (led_flash_cnt_ands(2718) & led_flash_cnt_ands(2719))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4179~1_combout\,
	datab => \WideAnd4179~0_combout\,
	datac => led_flash_cnt_ands(2718),
	datad => led_flash_cnt_ands(2719),
	combout => \WideAnd4179~combout\);

-- Location: FF_X46_Y14_N1
\led_flash_cnt_ands_1[339]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4179~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(339));

-- Location: LCCOMB_X45_Y9_N10
\WideAnd4362~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4362~0_combout\ = (led_flash_cnt_ands_1(338) & (led_flash_cnt_ands_1(336) & (led_flash_cnt_ands_1(337) & led_flash_cnt_ands_1(339))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(338),
	datab => led_flash_cnt_ands_1(336),
	datac => led_flash_cnt_ands_1(337),
	datad => led_flash_cnt_ands_1(339),
	combout => \WideAnd4362~0_combout\);

-- Location: LCCOMB_X60_Y29_N8
\led_flash_cnt[2740][0]~83380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2740][0]~83380_combout\ = !\led_flash_cnt[2740][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2740][0]~q\,
	combout => \led_flash_cnt[2740][0]~83380_combout\);

-- Location: FF_X60_Y29_N9
\led_flash_cnt[2740][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2740][0]~83380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2740][0]~q\);

-- Location: LCCOMB_X61_Y26_N2
\led_flash_cnt[2740][1]~65240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2740][1]~65240_combout\ = (\led_flash_cnt[2740][0]~q\ & (\led_flash_cnt[2740][1]~q\ $ (VCC))) # (!\led_flash_cnt[2740][0]~q\ & (\led_flash_cnt[2740][1]~q\ & VCC))
-- \led_flash_cnt[2740][1]~65241\ = CARRY((\led_flash_cnt[2740][0]~q\ & \led_flash_cnt[2740][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2740][0]~q\,
	datab => \led_flash_cnt[2740][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2740][1]~65240_combout\,
	cout => \led_flash_cnt[2740][1]~65241\);

-- Location: FF_X61_Y26_N3
\led_flash_cnt[2740][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2740][1]~65240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2740][1]~q\);

-- Location: LCCOMB_X61_Y26_N4
\led_flash_cnt[2740][2]~65242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2740][2]~65242_combout\ = (\led_flash_cnt[2740][2]~q\ & (!\led_flash_cnt[2740][1]~65241\)) # (!\led_flash_cnt[2740][2]~q\ & ((\led_flash_cnt[2740][1]~65241\) # (GND)))
-- \led_flash_cnt[2740][2]~65243\ = CARRY((!\led_flash_cnt[2740][1]~65241\) # (!\led_flash_cnt[2740][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2740][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2740][1]~65241\,
	combout => \led_flash_cnt[2740][2]~65242_combout\,
	cout => \led_flash_cnt[2740][2]~65243\);

-- Location: FF_X61_Y26_N5
\led_flash_cnt[2740][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2740][2]~65242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2740][2]~q\);

-- Location: LCCOMB_X61_Y26_N6
\led_flash_cnt[2740][3]~65244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2740][3]~65244_combout\ = (\led_flash_cnt[2740][3]~q\ & (\led_flash_cnt[2740][2]~65243\ $ (GND))) # (!\led_flash_cnt[2740][3]~q\ & (!\led_flash_cnt[2740][2]~65243\ & VCC))
-- \led_flash_cnt[2740][3]~65245\ = CARRY((\led_flash_cnt[2740][3]~q\ & !\led_flash_cnt[2740][2]~65243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2740][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2740][2]~65243\,
	combout => \led_flash_cnt[2740][3]~65244_combout\,
	cout => \led_flash_cnt[2740][3]~65245\);

-- Location: FF_X61_Y26_N7
\led_flash_cnt[2740][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2740][3]~65244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2740][3]~q\);

-- Location: LCCOMB_X61_Y26_N8
\led_flash_cnt[2740][4]~65246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2740][4]~65246_combout\ = (\led_flash_cnt[2740][4]~q\ & (!\led_flash_cnt[2740][3]~65245\)) # (!\led_flash_cnt[2740][4]~q\ & ((\led_flash_cnt[2740][3]~65245\) # (GND)))
-- \led_flash_cnt[2740][4]~65247\ = CARRY((!\led_flash_cnt[2740][3]~65245\) # (!\led_flash_cnt[2740][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2740][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2740][3]~65245\,
	combout => \led_flash_cnt[2740][4]~65246_combout\,
	cout => \led_flash_cnt[2740][4]~65247\);

-- Location: FF_X61_Y26_N9
\led_flash_cnt[2740][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2740][4]~65246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2740][4]~q\);

-- Location: LCCOMB_X61_Y26_N10
\led_flash_cnt[2740][5]~65248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2740][5]~65248_combout\ = (\led_flash_cnt[2740][5]~q\ & (\led_flash_cnt[2740][4]~65247\ $ (GND))) # (!\led_flash_cnt[2740][5]~q\ & (!\led_flash_cnt[2740][4]~65247\ & VCC))
-- \led_flash_cnt[2740][5]~65249\ = CARRY((\led_flash_cnt[2740][5]~q\ & !\led_flash_cnt[2740][4]~65247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2740][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2740][4]~65247\,
	combout => \led_flash_cnt[2740][5]~65248_combout\,
	cout => \led_flash_cnt[2740][5]~65249\);

-- Location: FF_X61_Y26_N11
\led_flash_cnt[2740][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2740][5]~65248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2740][5]~q\);

-- Location: LCCOMB_X61_Y26_N12
\led_flash_cnt[2740][6]~65250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2740][6]~65250_combout\ = (\led_flash_cnt[2740][6]~q\ & (!\led_flash_cnt[2740][5]~65249\)) # (!\led_flash_cnt[2740][6]~q\ & ((\led_flash_cnt[2740][5]~65249\) # (GND)))
-- \led_flash_cnt[2740][6]~65251\ = CARRY((!\led_flash_cnt[2740][5]~65249\) # (!\led_flash_cnt[2740][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2740][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2740][5]~65249\,
	combout => \led_flash_cnt[2740][6]~65250_combout\,
	cout => \led_flash_cnt[2740][6]~65251\);

-- Location: FF_X61_Y26_N13
\led_flash_cnt[2740][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2740][6]~65250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2740][6]~q\);

-- Location: LCCOMB_X60_Y26_N14
\WideAnd2740~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2740~1_combout\ = (\led_flash_cnt[2740][6]~q\ & \led_flash_cnt[2740][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2740][6]~q\,
	datac => \led_flash_cnt[2740][5]~q\,
	combout => \WideAnd2740~1_combout\);

-- Location: LCCOMB_X61_Y26_N16
\WideAnd2740~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2740~0_combout\ = (\led_flash_cnt[2740][3]~q\ & (\led_flash_cnt[2740][4]~q\ & (\led_flash_cnt[2740][2]~q\ & \led_flash_cnt[2740][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2740][3]~q\,
	datab => \led_flash_cnt[2740][4]~q\,
	datac => \led_flash_cnt[2740][2]~q\,
	datad => \led_flash_cnt[2740][1]~q\,
	combout => \WideAnd2740~0_combout\);

-- Location: LCCOMB_X61_Y26_N14
\led_flash_cnt[2740][7]~65252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2740][7]~65252_combout\ = \led_flash_cnt[2740][7]~q\ $ (!\led_flash_cnt[2740][6]~65251\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2740][7]~q\,
	cin => \led_flash_cnt[2740][6]~65251\,
	combout => \led_flash_cnt[2740][7]~65252_combout\);

-- Location: FF_X61_Y26_N15
\led_flash_cnt[2740][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2740][7]~65252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2740][7]~q\);

-- Location: LCCOMB_X61_Y26_N0
WideAnd2740 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2740~combout\ = (\WideAnd2740~1_combout\ & (\WideAnd2740~0_combout\ & (\led_flash_cnt[2740][7]~q\ & \led_flash_cnt[2740][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2740~1_combout\,
	datab => \WideAnd2740~0_combout\,
	datac => \led_flash_cnt[2740][7]~q\,
	datad => \led_flash_cnt[2740][0]~q\,
	combout => \WideAnd2740~combout\);

-- Location: FF_X61_Y26_N1
\led_flash_cnt_ands[2740]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2740~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2740));

-- Location: LCCOMB_X60_Y27_N20
\led_flash_cnt[2741][0]~83381\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2741][0]~83381_combout\ = !\led_flash_cnt[2741][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2741][0]~q\,
	combout => \led_flash_cnt[2741][0]~83381_combout\);

-- Location: FF_X60_Y27_N21
\led_flash_cnt[2741][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2741][0]~83381_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2741][0]~q\);

-- Location: LCCOMB_X60_Y27_N2
\led_flash_cnt[2741][1]~65254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2741][1]~65254_combout\ = (\led_flash_cnt[2741][1]~q\ & (\led_flash_cnt[2741][0]~q\ $ (VCC))) # (!\led_flash_cnt[2741][1]~q\ & (\led_flash_cnt[2741][0]~q\ & VCC))
-- \led_flash_cnt[2741][1]~65255\ = CARRY((\led_flash_cnt[2741][1]~q\ & \led_flash_cnt[2741][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2741][1]~q\,
	datab => \led_flash_cnt[2741][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2741][1]~65254_combout\,
	cout => \led_flash_cnt[2741][1]~65255\);

-- Location: FF_X60_Y27_N3
\led_flash_cnt[2741][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2741][1]~65254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2741][1]~q\);

-- Location: LCCOMB_X60_Y27_N4
\led_flash_cnt[2741][2]~65256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2741][2]~65256_combout\ = (\led_flash_cnt[2741][2]~q\ & (!\led_flash_cnt[2741][1]~65255\)) # (!\led_flash_cnt[2741][2]~q\ & ((\led_flash_cnt[2741][1]~65255\) # (GND)))
-- \led_flash_cnt[2741][2]~65257\ = CARRY((!\led_flash_cnt[2741][1]~65255\) # (!\led_flash_cnt[2741][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2741][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2741][1]~65255\,
	combout => \led_flash_cnt[2741][2]~65256_combout\,
	cout => \led_flash_cnt[2741][2]~65257\);

-- Location: FF_X60_Y27_N5
\led_flash_cnt[2741][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2741][2]~65256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2741][2]~q\);

-- Location: LCCOMB_X60_Y27_N6
\led_flash_cnt[2741][3]~65258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2741][3]~65258_combout\ = (\led_flash_cnt[2741][3]~q\ & (\led_flash_cnt[2741][2]~65257\ $ (GND))) # (!\led_flash_cnt[2741][3]~q\ & (!\led_flash_cnt[2741][2]~65257\ & VCC))
-- \led_flash_cnt[2741][3]~65259\ = CARRY((\led_flash_cnt[2741][3]~q\ & !\led_flash_cnt[2741][2]~65257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2741][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2741][2]~65257\,
	combout => \led_flash_cnt[2741][3]~65258_combout\,
	cout => \led_flash_cnt[2741][3]~65259\);

-- Location: FF_X60_Y27_N7
\led_flash_cnt[2741][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2741][3]~65258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2741][3]~q\);

-- Location: LCCOMB_X60_Y27_N8
\led_flash_cnt[2741][4]~65260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2741][4]~65260_combout\ = (\led_flash_cnt[2741][4]~q\ & (!\led_flash_cnt[2741][3]~65259\)) # (!\led_flash_cnt[2741][4]~q\ & ((\led_flash_cnt[2741][3]~65259\) # (GND)))
-- \led_flash_cnt[2741][4]~65261\ = CARRY((!\led_flash_cnt[2741][3]~65259\) # (!\led_flash_cnt[2741][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2741][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2741][3]~65259\,
	combout => \led_flash_cnt[2741][4]~65260_combout\,
	cout => \led_flash_cnt[2741][4]~65261\);

-- Location: FF_X60_Y27_N9
\led_flash_cnt[2741][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2741][4]~65260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2741][4]~q\);

-- Location: LCCOMB_X60_Y27_N10
\led_flash_cnt[2741][5]~65262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2741][5]~65262_combout\ = (\led_flash_cnt[2741][5]~q\ & (\led_flash_cnt[2741][4]~65261\ $ (GND))) # (!\led_flash_cnt[2741][5]~q\ & (!\led_flash_cnt[2741][4]~65261\ & VCC))
-- \led_flash_cnt[2741][5]~65263\ = CARRY((\led_flash_cnt[2741][5]~q\ & !\led_flash_cnt[2741][4]~65261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2741][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2741][4]~65261\,
	combout => \led_flash_cnt[2741][5]~65262_combout\,
	cout => \led_flash_cnt[2741][5]~65263\);

-- Location: FF_X60_Y27_N11
\led_flash_cnt[2741][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2741][5]~65262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2741][5]~q\);

-- Location: LCCOMB_X60_Y27_N12
\led_flash_cnt[2741][6]~65264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2741][6]~65264_combout\ = (\led_flash_cnt[2741][6]~q\ & (!\led_flash_cnt[2741][5]~65263\)) # (!\led_flash_cnt[2741][6]~q\ & ((\led_flash_cnt[2741][5]~65263\) # (GND)))
-- \led_flash_cnt[2741][6]~65265\ = CARRY((!\led_flash_cnt[2741][5]~65263\) # (!\led_flash_cnt[2741][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2741][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2741][5]~65263\,
	combout => \led_flash_cnt[2741][6]~65264_combout\,
	cout => \led_flash_cnt[2741][6]~65265\);

-- Location: FF_X60_Y27_N13
\led_flash_cnt[2741][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2741][6]~65264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2741][6]~q\);

-- Location: LCCOMB_X60_Y27_N14
\led_flash_cnt[2741][7]~65266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2741][7]~65266_combout\ = \led_flash_cnt[2741][7]~q\ $ (!\led_flash_cnt[2741][6]~65265\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2741][7]~q\,
	cin => \led_flash_cnt[2741][6]~65265\,
	combout => \led_flash_cnt[2741][7]~65266_combout\);

-- Location: FF_X60_Y27_N15
\led_flash_cnt[2741][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2741][7]~65266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2741][7]~q\);

-- Location: LCCOMB_X60_Y27_N26
\WideAnd2741~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2741~1_combout\ = (\led_flash_cnt[2741][7]~q\ & \led_flash_cnt[2741][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2741][7]~q\,
	datad => \led_flash_cnt[2741][6]~q\,
	combout => \WideAnd2741~1_combout\);

-- Location: LCCOMB_X60_Y27_N18
\WideAnd2741~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2741~0_combout\ = (\led_flash_cnt[2741][3]~q\ & (\led_flash_cnt[2741][4]~q\ & (\led_flash_cnt[2741][1]~q\ & \led_flash_cnt[2741][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2741][3]~q\,
	datab => \led_flash_cnt[2741][4]~q\,
	datac => \led_flash_cnt[2741][1]~q\,
	datad => \led_flash_cnt[2741][2]~q\,
	combout => \WideAnd2741~0_combout\);

-- Location: LCCOMB_X60_Y27_N0
WideAnd2741 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2741~combout\ = (\led_flash_cnt[2741][5]~q\ & (\led_flash_cnt[2741][0]~q\ & (\WideAnd2741~1_combout\ & \WideAnd2741~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2741][5]~q\,
	datab => \led_flash_cnt[2741][0]~q\,
	datac => \WideAnd2741~1_combout\,
	datad => \WideAnd2741~0_combout\,
	combout => \WideAnd2741~combout\);

-- Location: FF_X60_Y27_N1
\led_flash_cnt_ands[2741]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2741~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2741));

-- Location: LCCOMB_X60_Y27_N24
\WideAnd4182~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4182~1_combout\ = (led_flash_cnt_ands(2740) & led_flash_cnt_ands(2741))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2740),
	datad => led_flash_cnt_ands(2741),
	combout => \WideAnd4182~1_combout\);

-- Location: LCCOMB_X54_Y27_N24
\led_flash_cnt[2743][0]~83383\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2743][0]~83383_combout\ = !\led_flash_cnt[2743][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2743][0]~q\,
	combout => \led_flash_cnt[2743][0]~83383_combout\);

-- Location: FF_X54_Y27_N25
\led_flash_cnt[2743][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2743][0]~83383_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2743][0]~q\);

-- Location: LCCOMB_X54_Y27_N8
\led_flash_cnt[2743][1]~65282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2743][1]~65282_combout\ = (\led_flash_cnt[2743][1]~q\ & (\led_flash_cnt[2743][0]~q\ $ (VCC))) # (!\led_flash_cnt[2743][1]~q\ & (\led_flash_cnt[2743][0]~q\ & VCC))
-- \led_flash_cnt[2743][1]~65283\ = CARRY((\led_flash_cnt[2743][1]~q\ & \led_flash_cnt[2743][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2743][1]~q\,
	datab => \led_flash_cnt[2743][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2743][1]~65282_combout\,
	cout => \led_flash_cnt[2743][1]~65283\);

-- Location: FF_X54_Y27_N9
\led_flash_cnt[2743][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2743][1]~65282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2743][1]~q\);

-- Location: LCCOMB_X54_Y27_N10
\led_flash_cnt[2743][2]~65284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2743][2]~65284_combout\ = (\led_flash_cnt[2743][2]~q\ & (!\led_flash_cnt[2743][1]~65283\)) # (!\led_flash_cnt[2743][2]~q\ & ((\led_flash_cnt[2743][1]~65283\) # (GND)))
-- \led_flash_cnt[2743][2]~65285\ = CARRY((!\led_flash_cnt[2743][1]~65283\) # (!\led_flash_cnt[2743][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2743][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2743][1]~65283\,
	combout => \led_flash_cnt[2743][2]~65284_combout\,
	cout => \led_flash_cnt[2743][2]~65285\);

-- Location: FF_X54_Y27_N11
\led_flash_cnt[2743][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2743][2]~65284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2743][2]~q\);

-- Location: LCCOMB_X54_Y27_N12
\led_flash_cnt[2743][3]~65286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2743][3]~65286_combout\ = (\led_flash_cnt[2743][3]~q\ & (\led_flash_cnt[2743][2]~65285\ $ (GND))) # (!\led_flash_cnt[2743][3]~q\ & (!\led_flash_cnt[2743][2]~65285\ & VCC))
-- \led_flash_cnt[2743][3]~65287\ = CARRY((\led_flash_cnt[2743][3]~q\ & !\led_flash_cnt[2743][2]~65285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2743][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2743][2]~65285\,
	combout => \led_flash_cnt[2743][3]~65286_combout\,
	cout => \led_flash_cnt[2743][3]~65287\);

-- Location: FF_X54_Y27_N13
\led_flash_cnt[2743][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2743][3]~65286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2743][3]~q\);

-- Location: LCCOMB_X54_Y27_N14
\led_flash_cnt[2743][4]~65288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2743][4]~65288_combout\ = (\led_flash_cnt[2743][4]~q\ & (!\led_flash_cnt[2743][3]~65287\)) # (!\led_flash_cnt[2743][4]~q\ & ((\led_flash_cnt[2743][3]~65287\) # (GND)))
-- \led_flash_cnt[2743][4]~65289\ = CARRY((!\led_flash_cnt[2743][3]~65287\) # (!\led_flash_cnt[2743][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2743][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2743][3]~65287\,
	combout => \led_flash_cnt[2743][4]~65288_combout\,
	cout => \led_flash_cnt[2743][4]~65289\);

-- Location: FF_X54_Y27_N15
\led_flash_cnt[2743][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2743][4]~65288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2743][4]~q\);

-- Location: LCCOMB_X54_Y27_N16
\led_flash_cnt[2743][5]~65290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2743][5]~65290_combout\ = (\led_flash_cnt[2743][5]~q\ & (\led_flash_cnt[2743][4]~65289\ $ (GND))) # (!\led_flash_cnt[2743][5]~q\ & (!\led_flash_cnt[2743][4]~65289\ & VCC))
-- \led_flash_cnt[2743][5]~65291\ = CARRY((\led_flash_cnt[2743][5]~q\ & !\led_flash_cnt[2743][4]~65289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2743][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2743][4]~65289\,
	combout => \led_flash_cnt[2743][5]~65290_combout\,
	cout => \led_flash_cnt[2743][5]~65291\);

-- Location: FF_X54_Y27_N17
\led_flash_cnt[2743][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2743][5]~65290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2743][5]~q\);

-- Location: LCCOMB_X54_Y27_N18
\led_flash_cnt[2743][6]~65292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2743][6]~65292_combout\ = (\led_flash_cnt[2743][6]~q\ & (!\led_flash_cnt[2743][5]~65291\)) # (!\led_flash_cnt[2743][6]~q\ & ((\led_flash_cnt[2743][5]~65291\) # (GND)))
-- \led_flash_cnt[2743][6]~65293\ = CARRY((!\led_flash_cnt[2743][5]~65291\) # (!\led_flash_cnt[2743][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2743][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2743][5]~65291\,
	combout => \led_flash_cnt[2743][6]~65292_combout\,
	cout => \led_flash_cnt[2743][6]~65293\);

-- Location: FF_X54_Y27_N19
\led_flash_cnt[2743][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2743][6]~65292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2743][6]~q\);

-- Location: LCCOMB_X54_Y27_N22
\WideAnd2743~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2743~1_combout\ = (\led_flash_cnt[2743][6]~q\ & \led_flash_cnt[2743][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2743][6]~q\,
	datad => \led_flash_cnt[2743][5]~q\,
	combout => \WideAnd2743~1_combout\);

-- Location: LCCOMB_X54_Y27_N20
\led_flash_cnt[2743][7]~65294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2743][7]~65294_combout\ = \led_flash_cnt[2743][6]~65293\ $ (!\led_flash_cnt[2743][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2743][7]~q\,
	cin => \led_flash_cnt[2743][6]~65293\,
	combout => \led_flash_cnt[2743][7]~65294_combout\);

-- Location: FF_X54_Y27_N21
\led_flash_cnt[2743][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2743][7]~65294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2743][7]~q\);

-- Location: LCCOMB_X54_Y27_N4
\WideAnd2743~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2743~0_combout\ = (\led_flash_cnt[2743][3]~q\ & (\led_flash_cnt[2743][4]~q\ & (\led_flash_cnt[2743][1]~q\ & \led_flash_cnt[2743][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2743][3]~q\,
	datab => \led_flash_cnt[2743][4]~q\,
	datac => \led_flash_cnt[2743][1]~q\,
	datad => \led_flash_cnt[2743][2]~q\,
	combout => \WideAnd2743~0_combout\);

-- Location: LCCOMB_X54_Y27_N28
WideAnd2743 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2743~combout\ = (\WideAnd2743~1_combout\ & (\led_flash_cnt[2743][7]~q\ & (\WideAnd2743~0_combout\ & \led_flash_cnt[2743][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2743~1_combout\,
	datab => \led_flash_cnt[2743][7]~q\,
	datac => \WideAnd2743~0_combout\,
	datad => \led_flash_cnt[2743][0]~q\,
	combout => \WideAnd2743~combout\);

-- Location: FF_X54_Y27_N29
\led_flash_cnt_ands[2743]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2743~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2743));

-- Location: LCCOMB_X41_Y31_N12
\led_flash_cnt[2737][0]~83377\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2737][0]~83377_combout\ = !\led_flash_cnt[2737][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2737][0]~q\,
	combout => \led_flash_cnt[2737][0]~83377_combout\);

-- Location: FF_X41_Y31_N13
\led_flash_cnt[2737][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2737][0]~83377_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2737][0]~q\);

-- Location: LCCOMB_X41_Y31_N14
\led_flash_cnt[2737][1]~65198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2737][1]~65198_combout\ = (\led_flash_cnt[2737][0]~q\ & (\led_flash_cnt[2737][1]~q\ $ (VCC))) # (!\led_flash_cnt[2737][0]~q\ & (\led_flash_cnt[2737][1]~q\ & VCC))
-- \led_flash_cnt[2737][1]~65199\ = CARRY((\led_flash_cnt[2737][0]~q\ & \led_flash_cnt[2737][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2737][0]~q\,
	datab => \led_flash_cnt[2737][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2737][1]~65198_combout\,
	cout => \led_flash_cnt[2737][1]~65199\);

-- Location: FF_X41_Y31_N15
\led_flash_cnt[2737][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2737][1]~65198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2737][1]~q\);

-- Location: LCCOMB_X41_Y31_N16
\led_flash_cnt[2737][2]~65200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2737][2]~65200_combout\ = (\led_flash_cnt[2737][2]~q\ & (!\led_flash_cnt[2737][1]~65199\)) # (!\led_flash_cnt[2737][2]~q\ & ((\led_flash_cnt[2737][1]~65199\) # (GND)))
-- \led_flash_cnt[2737][2]~65201\ = CARRY((!\led_flash_cnt[2737][1]~65199\) # (!\led_flash_cnt[2737][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2737][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2737][1]~65199\,
	combout => \led_flash_cnt[2737][2]~65200_combout\,
	cout => \led_flash_cnt[2737][2]~65201\);

-- Location: FF_X41_Y31_N17
\led_flash_cnt[2737][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2737][2]~65200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2737][2]~q\);

-- Location: LCCOMB_X41_Y31_N18
\led_flash_cnt[2737][3]~65202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2737][3]~65202_combout\ = (\led_flash_cnt[2737][3]~q\ & (\led_flash_cnt[2737][2]~65201\ $ (GND))) # (!\led_flash_cnt[2737][3]~q\ & (!\led_flash_cnt[2737][2]~65201\ & VCC))
-- \led_flash_cnt[2737][3]~65203\ = CARRY((\led_flash_cnt[2737][3]~q\ & !\led_flash_cnt[2737][2]~65201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2737][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2737][2]~65201\,
	combout => \led_flash_cnt[2737][3]~65202_combout\,
	cout => \led_flash_cnt[2737][3]~65203\);

-- Location: FF_X41_Y31_N19
\led_flash_cnt[2737][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2737][3]~65202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2737][3]~q\);

-- Location: LCCOMB_X41_Y31_N20
\led_flash_cnt[2737][4]~65204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2737][4]~65204_combout\ = (\led_flash_cnt[2737][4]~q\ & (!\led_flash_cnt[2737][3]~65203\)) # (!\led_flash_cnt[2737][4]~q\ & ((\led_flash_cnt[2737][3]~65203\) # (GND)))
-- \led_flash_cnt[2737][4]~65205\ = CARRY((!\led_flash_cnt[2737][3]~65203\) # (!\led_flash_cnt[2737][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2737][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2737][3]~65203\,
	combout => \led_flash_cnt[2737][4]~65204_combout\,
	cout => \led_flash_cnt[2737][4]~65205\);

-- Location: FF_X41_Y31_N21
\led_flash_cnt[2737][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2737][4]~65204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2737][4]~q\);

-- Location: LCCOMB_X41_Y31_N22
\led_flash_cnt[2737][5]~65206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2737][5]~65206_combout\ = (\led_flash_cnt[2737][5]~q\ & (\led_flash_cnt[2737][4]~65205\ $ (GND))) # (!\led_flash_cnt[2737][5]~q\ & (!\led_flash_cnt[2737][4]~65205\ & VCC))
-- \led_flash_cnt[2737][5]~65207\ = CARRY((\led_flash_cnt[2737][5]~q\ & !\led_flash_cnt[2737][4]~65205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2737][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2737][4]~65205\,
	combout => \led_flash_cnt[2737][5]~65206_combout\,
	cout => \led_flash_cnt[2737][5]~65207\);

-- Location: FF_X41_Y31_N23
\led_flash_cnt[2737][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2737][5]~65206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2737][5]~q\);

-- Location: LCCOMB_X41_Y31_N24
\led_flash_cnt[2737][6]~65208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2737][6]~65208_combout\ = (\led_flash_cnt[2737][6]~q\ & (!\led_flash_cnt[2737][5]~65207\)) # (!\led_flash_cnt[2737][6]~q\ & ((\led_flash_cnt[2737][5]~65207\) # (GND)))
-- \led_flash_cnt[2737][6]~65209\ = CARRY((!\led_flash_cnt[2737][5]~65207\) # (!\led_flash_cnt[2737][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2737][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2737][5]~65207\,
	combout => \led_flash_cnt[2737][6]~65208_combout\,
	cout => \led_flash_cnt[2737][6]~65209\);

-- Location: FF_X41_Y31_N25
\led_flash_cnt[2737][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2737][6]~65208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2737][6]~q\);

-- Location: LCCOMB_X41_Y31_N26
\led_flash_cnt[2737][7]~65210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2737][7]~65210_combout\ = \led_flash_cnt[2737][7]~q\ $ (!\led_flash_cnt[2737][6]~65209\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2737][7]~q\,
	cin => \led_flash_cnt[2737][6]~65209\,
	combout => \led_flash_cnt[2737][7]~65210_combout\);

-- Location: FF_X41_Y31_N27
\led_flash_cnt[2737][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2737][7]~65210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2737][7]~q\);

-- Location: LCCOMB_X41_Y31_N28
\WideAnd2737~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2737~1_combout\ = (\led_flash_cnt[2737][5]~q\ & \led_flash_cnt[2737][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2737][5]~q\,
	datad => \led_flash_cnt[2737][6]~q\,
	combout => \WideAnd2737~1_combout\);

-- Location: LCCOMB_X41_Y31_N8
\WideAnd2737~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2737~0_combout\ = (\led_flash_cnt[2737][2]~q\ & (\led_flash_cnt[2737][3]~q\ & (\led_flash_cnt[2737][1]~q\ & \led_flash_cnt[2737][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2737][2]~q\,
	datab => \led_flash_cnt[2737][3]~q\,
	datac => \led_flash_cnt[2737][1]~q\,
	datad => \led_flash_cnt[2737][4]~q\,
	combout => \WideAnd2737~0_combout\);

-- Location: LCCOMB_X41_Y31_N6
WideAnd2737 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2737~combout\ = (\led_flash_cnt[2737][7]~q\ & (\WideAnd2737~1_combout\ & (\WideAnd2737~0_combout\ & \led_flash_cnt[2737][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2737][7]~q\,
	datab => \WideAnd2737~1_combout\,
	datac => \WideAnd2737~0_combout\,
	datad => \led_flash_cnt[2737][0]~q\,
	combout => \WideAnd2737~combout\);

-- Location: FF_X41_Y31_N7
\led_flash_cnt_ands[2737]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2737~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2737));

-- Location: LCCOMB_X41_Y29_N2
\led_flash_cnt[2736][0]~83376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2736][0]~83376_combout\ = !\led_flash_cnt[2736][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2736][0]~q\,
	combout => \led_flash_cnt[2736][0]~83376_combout\);

-- Location: FF_X41_Y29_N3
\led_flash_cnt[2736][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2736][0]~83376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2736][0]~q\);

-- Location: LCCOMB_X42_Y29_N2
\led_flash_cnt[2736][1]~65184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2736][1]~65184_combout\ = (\led_flash_cnt[2736][0]~q\ & (\led_flash_cnt[2736][1]~q\ $ (VCC))) # (!\led_flash_cnt[2736][0]~q\ & (\led_flash_cnt[2736][1]~q\ & VCC))
-- \led_flash_cnt[2736][1]~65185\ = CARRY((\led_flash_cnt[2736][0]~q\ & \led_flash_cnt[2736][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2736][0]~q\,
	datab => \led_flash_cnt[2736][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2736][1]~65184_combout\,
	cout => \led_flash_cnt[2736][1]~65185\);

-- Location: FF_X42_Y29_N3
\led_flash_cnt[2736][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2736][1]~65184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2736][1]~q\);

-- Location: LCCOMB_X42_Y29_N4
\led_flash_cnt[2736][2]~65186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2736][2]~65186_combout\ = (\led_flash_cnt[2736][2]~q\ & (!\led_flash_cnt[2736][1]~65185\)) # (!\led_flash_cnt[2736][2]~q\ & ((\led_flash_cnt[2736][1]~65185\) # (GND)))
-- \led_flash_cnt[2736][2]~65187\ = CARRY((!\led_flash_cnt[2736][1]~65185\) # (!\led_flash_cnt[2736][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2736][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2736][1]~65185\,
	combout => \led_flash_cnt[2736][2]~65186_combout\,
	cout => \led_flash_cnt[2736][2]~65187\);

-- Location: FF_X42_Y29_N5
\led_flash_cnt[2736][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2736][2]~65186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2736][2]~q\);

-- Location: LCCOMB_X42_Y29_N6
\led_flash_cnt[2736][3]~65188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2736][3]~65188_combout\ = (\led_flash_cnt[2736][3]~q\ & (\led_flash_cnt[2736][2]~65187\ $ (GND))) # (!\led_flash_cnt[2736][3]~q\ & (!\led_flash_cnt[2736][2]~65187\ & VCC))
-- \led_flash_cnt[2736][3]~65189\ = CARRY((\led_flash_cnt[2736][3]~q\ & !\led_flash_cnt[2736][2]~65187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2736][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2736][2]~65187\,
	combout => \led_flash_cnt[2736][3]~65188_combout\,
	cout => \led_flash_cnt[2736][3]~65189\);

-- Location: FF_X42_Y29_N7
\led_flash_cnt[2736][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2736][3]~65188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2736][3]~q\);

-- Location: LCCOMB_X42_Y29_N8
\led_flash_cnt[2736][4]~65190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2736][4]~65190_combout\ = (\led_flash_cnt[2736][4]~q\ & (!\led_flash_cnt[2736][3]~65189\)) # (!\led_flash_cnt[2736][4]~q\ & ((\led_flash_cnt[2736][3]~65189\) # (GND)))
-- \led_flash_cnt[2736][4]~65191\ = CARRY((!\led_flash_cnt[2736][3]~65189\) # (!\led_flash_cnt[2736][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2736][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2736][3]~65189\,
	combout => \led_flash_cnt[2736][4]~65190_combout\,
	cout => \led_flash_cnt[2736][4]~65191\);

-- Location: FF_X42_Y29_N9
\led_flash_cnt[2736][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2736][4]~65190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2736][4]~q\);

-- Location: LCCOMB_X41_Y29_N24
\WideAnd2736~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2736~0_combout\ = (\led_flash_cnt[2736][2]~q\ & (\led_flash_cnt[2736][1]~q\ & (\led_flash_cnt[2736][4]~q\ & \led_flash_cnt[2736][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2736][2]~q\,
	datab => \led_flash_cnt[2736][1]~q\,
	datac => \led_flash_cnt[2736][4]~q\,
	datad => \led_flash_cnt[2736][3]~q\,
	combout => \WideAnd2736~0_combout\);

-- Location: LCCOMB_X42_Y29_N10
\led_flash_cnt[2736][5]~65192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2736][5]~65192_combout\ = (\led_flash_cnt[2736][5]~q\ & (\led_flash_cnt[2736][4]~65191\ $ (GND))) # (!\led_flash_cnt[2736][5]~q\ & (!\led_flash_cnt[2736][4]~65191\ & VCC))
-- \led_flash_cnt[2736][5]~65193\ = CARRY((\led_flash_cnt[2736][5]~q\ & !\led_flash_cnt[2736][4]~65191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2736][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2736][4]~65191\,
	combout => \led_flash_cnt[2736][5]~65192_combout\,
	cout => \led_flash_cnt[2736][5]~65193\);

-- Location: FF_X42_Y29_N11
\led_flash_cnt[2736][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2736][5]~65192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2736][5]~q\);

-- Location: LCCOMB_X42_Y29_N12
\led_flash_cnt[2736][6]~65194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2736][6]~65194_combout\ = (\led_flash_cnt[2736][6]~q\ & (!\led_flash_cnt[2736][5]~65193\)) # (!\led_flash_cnt[2736][6]~q\ & ((\led_flash_cnt[2736][5]~65193\) # (GND)))
-- \led_flash_cnt[2736][6]~65195\ = CARRY((!\led_flash_cnt[2736][5]~65193\) # (!\led_flash_cnt[2736][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2736][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2736][5]~65193\,
	combout => \led_flash_cnt[2736][6]~65194_combout\,
	cout => \led_flash_cnt[2736][6]~65195\);

-- Location: FF_X42_Y29_N13
\led_flash_cnt[2736][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2736][6]~65194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2736][6]~q\);

-- Location: LCCOMB_X41_Y29_N28
\WideAnd2736~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2736~1_combout\ = (\led_flash_cnt[2736][6]~q\ & \led_flash_cnt[2736][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2736][6]~q\,
	datac => \led_flash_cnt[2736][5]~q\,
	combout => \WideAnd2736~1_combout\);

-- Location: LCCOMB_X42_Y29_N14
\led_flash_cnt[2736][7]~65196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2736][7]~65196_combout\ = \led_flash_cnt[2736][7]~q\ $ (!\led_flash_cnt[2736][6]~65195\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2736][7]~q\,
	cin => \led_flash_cnt[2736][6]~65195\,
	combout => \led_flash_cnt[2736][7]~65196_combout\);

-- Location: FF_X42_Y29_N15
\led_flash_cnt[2736][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2736][7]~65196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2736][7]~q\);

-- Location: LCCOMB_X41_Y29_N0
WideAnd2736 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2736~combout\ = (\WideAnd2736~0_combout\ & (\WideAnd2736~1_combout\ & (\led_flash_cnt[2736][7]~q\ & \led_flash_cnt[2736][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2736~0_combout\,
	datab => \WideAnd2736~1_combout\,
	datac => \led_flash_cnt[2736][7]~q\,
	datad => \led_flash_cnt[2736][0]~q\,
	combout => \WideAnd2736~combout\);

-- Location: FF_X41_Y29_N1
\led_flash_cnt_ands[2736]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2736~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2736));

-- Location: LCCOMB_X26_Y36_N4
\led_flash_cnt[2739][0]~83379\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2739][0]~83379_combout\ = !\led_flash_cnt[2739][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2739][0]~q\,
	combout => \led_flash_cnt[2739][0]~83379_combout\);

-- Location: FF_X26_Y36_N5
\led_flash_cnt[2739][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2739][0]~83379_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2739][0]~q\);

-- Location: LCCOMB_X26_Y36_N10
\led_flash_cnt[2739][1]~65226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2739][1]~65226_combout\ = (\led_flash_cnt[2739][1]~q\ & (\led_flash_cnt[2739][0]~q\ $ (VCC))) # (!\led_flash_cnt[2739][1]~q\ & (\led_flash_cnt[2739][0]~q\ & VCC))
-- \led_flash_cnt[2739][1]~65227\ = CARRY((\led_flash_cnt[2739][1]~q\ & \led_flash_cnt[2739][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2739][1]~q\,
	datab => \led_flash_cnt[2739][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2739][1]~65226_combout\,
	cout => \led_flash_cnt[2739][1]~65227\);

-- Location: FF_X26_Y36_N11
\led_flash_cnt[2739][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2739][1]~65226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2739][1]~q\);

-- Location: LCCOMB_X26_Y36_N12
\led_flash_cnt[2739][2]~65228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2739][2]~65228_combout\ = (\led_flash_cnt[2739][2]~q\ & (!\led_flash_cnt[2739][1]~65227\)) # (!\led_flash_cnt[2739][2]~q\ & ((\led_flash_cnt[2739][1]~65227\) # (GND)))
-- \led_flash_cnt[2739][2]~65229\ = CARRY((!\led_flash_cnt[2739][1]~65227\) # (!\led_flash_cnt[2739][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2739][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2739][1]~65227\,
	combout => \led_flash_cnt[2739][2]~65228_combout\,
	cout => \led_flash_cnt[2739][2]~65229\);

-- Location: FF_X26_Y36_N13
\led_flash_cnt[2739][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2739][2]~65228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2739][2]~q\);

-- Location: LCCOMB_X26_Y36_N14
\led_flash_cnt[2739][3]~65230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2739][3]~65230_combout\ = (\led_flash_cnt[2739][3]~q\ & (\led_flash_cnt[2739][2]~65229\ $ (GND))) # (!\led_flash_cnt[2739][3]~q\ & (!\led_flash_cnt[2739][2]~65229\ & VCC))
-- \led_flash_cnt[2739][3]~65231\ = CARRY((\led_flash_cnt[2739][3]~q\ & !\led_flash_cnt[2739][2]~65229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2739][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2739][2]~65229\,
	combout => \led_flash_cnt[2739][3]~65230_combout\,
	cout => \led_flash_cnt[2739][3]~65231\);

-- Location: FF_X26_Y36_N15
\led_flash_cnt[2739][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2739][3]~65230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2739][3]~q\);

-- Location: LCCOMB_X26_Y36_N16
\led_flash_cnt[2739][4]~65232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2739][4]~65232_combout\ = (\led_flash_cnt[2739][4]~q\ & (!\led_flash_cnt[2739][3]~65231\)) # (!\led_flash_cnt[2739][4]~q\ & ((\led_flash_cnt[2739][3]~65231\) # (GND)))
-- \led_flash_cnt[2739][4]~65233\ = CARRY((!\led_flash_cnt[2739][3]~65231\) # (!\led_flash_cnt[2739][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2739][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2739][3]~65231\,
	combout => \led_flash_cnt[2739][4]~65232_combout\,
	cout => \led_flash_cnt[2739][4]~65233\);

-- Location: FF_X26_Y36_N17
\led_flash_cnt[2739][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2739][4]~65232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2739][4]~q\);

-- Location: LCCOMB_X26_Y36_N18
\led_flash_cnt[2739][5]~65234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2739][5]~65234_combout\ = (\led_flash_cnt[2739][5]~q\ & (\led_flash_cnt[2739][4]~65233\ $ (GND))) # (!\led_flash_cnt[2739][5]~q\ & (!\led_flash_cnt[2739][4]~65233\ & VCC))
-- \led_flash_cnt[2739][5]~65235\ = CARRY((\led_flash_cnt[2739][5]~q\ & !\led_flash_cnt[2739][4]~65233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2739][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2739][4]~65233\,
	combout => \led_flash_cnt[2739][5]~65234_combout\,
	cout => \led_flash_cnt[2739][5]~65235\);

-- Location: FF_X26_Y36_N19
\led_flash_cnt[2739][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2739][5]~65234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2739][5]~q\);

-- Location: LCCOMB_X26_Y36_N20
\led_flash_cnt[2739][6]~65236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2739][6]~65236_combout\ = (\led_flash_cnt[2739][6]~q\ & (!\led_flash_cnt[2739][5]~65235\)) # (!\led_flash_cnt[2739][6]~q\ & ((\led_flash_cnt[2739][5]~65235\) # (GND)))
-- \led_flash_cnt[2739][6]~65237\ = CARRY((!\led_flash_cnt[2739][5]~65235\) # (!\led_flash_cnt[2739][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2739][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2739][5]~65235\,
	combout => \led_flash_cnt[2739][6]~65236_combout\,
	cout => \led_flash_cnt[2739][6]~65237\);

-- Location: FF_X26_Y36_N21
\led_flash_cnt[2739][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2739][6]~65236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2739][6]~q\);

-- Location: LCCOMB_X26_Y36_N22
\led_flash_cnt[2739][7]~65238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2739][7]~65238_combout\ = \led_flash_cnt[2739][7]~q\ $ (!\led_flash_cnt[2739][6]~65237\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2739][7]~q\,
	cin => \led_flash_cnt[2739][6]~65237\,
	combout => \led_flash_cnt[2739][7]~65238_combout\);

-- Location: FF_X26_Y36_N23
\led_flash_cnt[2739][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2739][7]~65238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2739][7]~q\);

-- Location: LCCOMB_X26_Y36_N8
\WideAnd2739~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2739~0_combout\ = (\led_flash_cnt[2739][1]~q\ & (\led_flash_cnt[2739][4]~q\ & (\led_flash_cnt[2739][3]~q\ & \led_flash_cnt[2739][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2739][1]~q\,
	datab => \led_flash_cnt[2739][4]~q\,
	datac => \led_flash_cnt[2739][3]~q\,
	datad => \led_flash_cnt[2739][2]~q\,
	combout => \WideAnd2739~0_combout\);

-- Location: LCCOMB_X26_Y36_N0
\WideAnd2739~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2739~1_combout\ = (\led_flash_cnt[2739][5]~q\ & \led_flash_cnt[2739][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2739][5]~q\,
	datad => \led_flash_cnt[2739][6]~q\,
	combout => \WideAnd2739~1_combout\);

-- Location: LCCOMB_X26_Y36_N30
WideAnd2739 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2739~combout\ = (\led_flash_cnt[2739][7]~q\ & (\WideAnd2739~0_combout\ & (\led_flash_cnt[2739][0]~q\ & \WideAnd2739~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2739][7]~q\,
	datab => \WideAnd2739~0_combout\,
	datac => \led_flash_cnt[2739][0]~q\,
	datad => \WideAnd2739~1_combout\,
	combout => \WideAnd2739~combout\);

-- Location: FF_X26_Y36_N31
\led_flash_cnt_ands[2739]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2739~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2739));

-- Location: LCCOMB_X41_Y31_N2
\led_flash_cnt[2738][0]~83378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2738][0]~83378_combout\ = !\led_flash_cnt[2738][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2738][0]~q\,
	combout => \led_flash_cnt[2738][0]~83378_combout\);

-- Location: FF_X41_Y31_N3
\led_flash_cnt[2738][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2738][0]~83378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2738][0]~q\);

-- Location: LCCOMB_X40_Y31_N18
\led_flash_cnt[2738][1]~65212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2738][1]~65212_combout\ = (\led_flash_cnt[2738][0]~q\ & (\led_flash_cnt[2738][1]~q\ $ (VCC))) # (!\led_flash_cnt[2738][0]~q\ & (\led_flash_cnt[2738][1]~q\ & VCC))
-- \led_flash_cnt[2738][1]~65213\ = CARRY((\led_flash_cnt[2738][0]~q\ & \led_flash_cnt[2738][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2738][0]~q\,
	datab => \led_flash_cnt[2738][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2738][1]~65212_combout\,
	cout => \led_flash_cnt[2738][1]~65213\);

-- Location: FF_X40_Y31_N19
\led_flash_cnt[2738][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2738][1]~65212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2738][1]~q\);

-- Location: LCCOMB_X40_Y31_N20
\led_flash_cnt[2738][2]~65214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2738][2]~65214_combout\ = (\led_flash_cnt[2738][2]~q\ & (!\led_flash_cnt[2738][1]~65213\)) # (!\led_flash_cnt[2738][2]~q\ & ((\led_flash_cnt[2738][1]~65213\) # (GND)))
-- \led_flash_cnt[2738][2]~65215\ = CARRY((!\led_flash_cnt[2738][1]~65213\) # (!\led_flash_cnt[2738][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2738][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2738][1]~65213\,
	combout => \led_flash_cnt[2738][2]~65214_combout\,
	cout => \led_flash_cnt[2738][2]~65215\);

-- Location: FF_X40_Y31_N21
\led_flash_cnt[2738][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2738][2]~65214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2738][2]~q\);

-- Location: LCCOMB_X40_Y31_N22
\led_flash_cnt[2738][3]~65216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2738][3]~65216_combout\ = (\led_flash_cnt[2738][3]~q\ & (\led_flash_cnt[2738][2]~65215\ $ (GND))) # (!\led_flash_cnt[2738][3]~q\ & (!\led_flash_cnt[2738][2]~65215\ & VCC))
-- \led_flash_cnt[2738][3]~65217\ = CARRY((\led_flash_cnt[2738][3]~q\ & !\led_flash_cnt[2738][2]~65215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2738][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2738][2]~65215\,
	combout => \led_flash_cnt[2738][3]~65216_combout\,
	cout => \led_flash_cnt[2738][3]~65217\);

-- Location: FF_X40_Y31_N23
\led_flash_cnt[2738][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2738][3]~65216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2738][3]~q\);

-- Location: LCCOMB_X40_Y31_N24
\led_flash_cnt[2738][4]~65218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2738][4]~65218_combout\ = (\led_flash_cnt[2738][4]~q\ & (!\led_flash_cnt[2738][3]~65217\)) # (!\led_flash_cnt[2738][4]~q\ & ((\led_flash_cnt[2738][3]~65217\) # (GND)))
-- \led_flash_cnt[2738][4]~65219\ = CARRY((!\led_flash_cnt[2738][3]~65217\) # (!\led_flash_cnt[2738][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2738][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2738][3]~65217\,
	combout => \led_flash_cnt[2738][4]~65218_combout\,
	cout => \led_flash_cnt[2738][4]~65219\);

-- Location: FF_X40_Y31_N25
\led_flash_cnt[2738][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2738][4]~65218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2738][4]~q\);

-- Location: LCCOMB_X40_Y31_N26
\led_flash_cnt[2738][5]~65220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2738][5]~65220_combout\ = (\led_flash_cnt[2738][5]~q\ & (\led_flash_cnt[2738][4]~65219\ $ (GND))) # (!\led_flash_cnt[2738][5]~q\ & (!\led_flash_cnt[2738][4]~65219\ & VCC))
-- \led_flash_cnt[2738][5]~65221\ = CARRY((\led_flash_cnt[2738][5]~q\ & !\led_flash_cnt[2738][4]~65219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2738][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2738][4]~65219\,
	combout => \led_flash_cnt[2738][5]~65220_combout\,
	cout => \led_flash_cnt[2738][5]~65221\);

-- Location: FF_X40_Y31_N27
\led_flash_cnt[2738][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2738][5]~65220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2738][5]~q\);

-- Location: LCCOMB_X40_Y31_N28
\led_flash_cnt[2738][6]~65222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2738][6]~65222_combout\ = (\led_flash_cnt[2738][6]~q\ & (!\led_flash_cnt[2738][5]~65221\)) # (!\led_flash_cnt[2738][6]~q\ & ((\led_flash_cnt[2738][5]~65221\) # (GND)))
-- \led_flash_cnt[2738][6]~65223\ = CARRY((!\led_flash_cnt[2738][5]~65221\) # (!\led_flash_cnt[2738][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2738][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2738][5]~65221\,
	combout => \led_flash_cnt[2738][6]~65222_combout\,
	cout => \led_flash_cnt[2738][6]~65223\);

-- Location: FF_X40_Y31_N29
\led_flash_cnt[2738][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2738][6]~65222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2738][6]~q\);

-- Location: LCCOMB_X41_Y31_N30
\WideAnd2738~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2738~1_combout\ = (\led_flash_cnt[2738][5]~q\ & \led_flash_cnt[2738][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2738][5]~q\,
	datad => \led_flash_cnt[2738][6]~q\,
	combout => \WideAnd2738~1_combout\);

-- Location: LCCOMB_X40_Y31_N30
\led_flash_cnt[2738][7]~65224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2738][7]~65224_combout\ = \led_flash_cnt[2738][7]~q\ $ (!\led_flash_cnt[2738][6]~65223\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2738][7]~q\,
	cin => \led_flash_cnt[2738][6]~65223\,
	combout => \led_flash_cnt[2738][7]~65224_combout\);

-- Location: FF_X40_Y31_N31
\led_flash_cnt[2738][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2738][7]~65224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2738][7]~q\);

-- Location: LCCOMB_X40_Y31_N0
\WideAnd2738~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2738~0_combout\ = (\led_flash_cnt[2738][1]~q\ & (\led_flash_cnt[2738][4]~q\ & (\led_flash_cnt[2738][3]~q\ & \led_flash_cnt[2738][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2738][1]~q\,
	datab => \led_flash_cnt[2738][4]~q\,
	datac => \led_flash_cnt[2738][3]~q\,
	datad => \led_flash_cnt[2738][2]~q\,
	combout => \WideAnd2738~0_combout\);

-- Location: LCCOMB_X41_Y31_N10
WideAnd2738 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2738~combout\ = (\WideAnd2738~1_combout\ & (\led_flash_cnt[2738][7]~q\ & (\WideAnd2738~0_combout\ & \led_flash_cnt[2738][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2738~1_combout\,
	datab => \led_flash_cnt[2738][7]~q\,
	datac => \WideAnd2738~0_combout\,
	datad => \led_flash_cnt[2738][0]~q\,
	combout => \WideAnd2738~combout\);

-- Location: FF_X41_Y31_N11
\led_flash_cnt_ands[2738]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2738~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2738));

-- Location: LCCOMB_X41_Y31_N4
\WideAnd4182~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4182~0_combout\ = (led_flash_cnt_ands(2737) & (led_flash_cnt_ands(2736) & (led_flash_cnt_ands(2739) & led_flash_cnt_ands(2738))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2737),
	datab => led_flash_cnt_ands(2736),
	datac => led_flash_cnt_ands(2739),
	datad => led_flash_cnt_ands(2738),
	combout => \WideAnd4182~0_combout\);

-- Location: LCCOMB_X54_Y27_N2
\led_flash_cnt[2742][0]~83382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2742][0]~83382_combout\ = !\led_flash_cnt[2742][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2742][0]~q\,
	combout => \led_flash_cnt[2742][0]~83382_combout\);

-- Location: FF_X54_Y27_N3
\led_flash_cnt[2742][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2742][0]~83382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2742][0]~q\);

-- Location: LCCOMB_X55_Y27_N16
\led_flash_cnt[2742][1]~65268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2742][1]~65268_combout\ = (\led_flash_cnt[2742][0]~q\ & (\led_flash_cnt[2742][1]~q\ $ (VCC))) # (!\led_flash_cnt[2742][0]~q\ & (\led_flash_cnt[2742][1]~q\ & VCC))
-- \led_flash_cnt[2742][1]~65269\ = CARRY((\led_flash_cnt[2742][0]~q\ & \led_flash_cnt[2742][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2742][0]~q\,
	datab => \led_flash_cnt[2742][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2742][1]~65268_combout\,
	cout => \led_flash_cnt[2742][1]~65269\);

-- Location: FF_X55_Y27_N17
\led_flash_cnt[2742][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2742][1]~65268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2742][1]~q\);

-- Location: LCCOMB_X55_Y27_N18
\led_flash_cnt[2742][2]~65270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2742][2]~65270_combout\ = (\led_flash_cnt[2742][2]~q\ & (!\led_flash_cnt[2742][1]~65269\)) # (!\led_flash_cnt[2742][2]~q\ & ((\led_flash_cnt[2742][1]~65269\) # (GND)))
-- \led_flash_cnt[2742][2]~65271\ = CARRY((!\led_flash_cnt[2742][1]~65269\) # (!\led_flash_cnt[2742][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2742][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2742][1]~65269\,
	combout => \led_flash_cnt[2742][2]~65270_combout\,
	cout => \led_flash_cnt[2742][2]~65271\);

-- Location: FF_X55_Y27_N19
\led_flash_cnt[2742][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2742][2]~65270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2742][2]~q\);

-- Location: LCCOMB_X55_Y27_N20
\led_flash_cnt[2742][3]~65272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2742][3]~65272_combout\ = (\led_flash_cnt[2742][3]~q\ & (\led_flash_cnt[2742][2]~65271\ $ (GND))) # (!\led_flash_cnt[2742][3]~q\ & (!\led_flash_cnt[2742][2]~65271\ & VCC))
-- \led_flash_cnt[2742][3]~65273\ = CARRY((\led_flash_cnt[2742][3]~q\ & !\led_flash_cnt[2742][2]~65271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2742][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2742][2]~65271\,
	combout => \led_flash_cnt[2742][3]~65272_combout\,
	cout => \led_flash_cnt[2742][3]~65273\);

-- Location: FF_X55_Y27_N21
\led_flash_cnt[2742][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2742][3]~65272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2742][3]~q\);

-- Location: LCCOMB_X55_Y27_N22
\led_flash_cnt[2742][4]~65274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2742][4]~65274_combout\ = (\led_flash_cnt[2742][4]~q\ & (!\led_flash_cnt[2742][3]~65273\)) # (!\led_flash_cnt[2742][4]~q\ & ((\led_flash_cnt[2742][3]~65273\) # (GND)))
-- \led_flash_cnt[2742][4]~65275\ = CARRY((!\led_flash_cnt[2742][3]~65273\) # (!\led_flash_cnt[2742][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2742][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2742][3]~65273\,
	combout => \led_flash_cnt[2742][4]~65274_combout\,
	cout => \led_flash_cnt[2742][4]~65275\);

-- Location: FF_X55_Y27_N23
\led_flash_cnt[2742][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2742][4]~65274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2742][4]~q\);

-- Location: LCCOMB_X55_Y27_N24
\led_flash_cnt[2742][5]~65276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2742][5]~65276_combout\ = (\led_flash_cnt[2742][5]~q\ & (\led_flash_cnt[2742][4]~65275\ $ (GND))) # (!\led_flash_cnt[2742][5]~q\ & (!\led_flash_cnt[2742][4]~65275\ & VCC))
-- \led_flash_cnt[2742][5]~65277\ = CARRY((\led_flash_cnt[2742][5]~q\ & !\led_flash_cnt[2742][4]~65275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2742][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2742][4]~65275\,
	combout => \led_flash_cnt[2742][5]~65276_combout\,
	cout => \led_flash_cnt[2742][5]~65277\);

-- Location: FF_X55_Y27_N25
\led_flash_cnt[2742][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2742][5]~65276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2742][5]~q\);

-- Location: LCCOMB_X55_Y27_N26
\led_flash_cnt[2742][6]~65278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2742][6]~65278_combout\ = (\led_flash_cnt[2742][6]~q\ & (!\led_flash_cnt[2742][5]~65277\)) # (!\led_flash_cnt[2742][6]~q\ & ((\led_flash_cnt[2742][5]~65277\) # (GND)))
-- \led_flash_cnt[2742][6]~65279\ = CARRY((!\led_flash_cnt[2742][5]~65277\) # (!\led_flash_cnt[2742][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2742][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2742][5]~65277\,
	combout => \led_flash_cnt[2742][6]~65278_combout\,
	cout => \led_flash_cnt[2742][6]~65279\);

-- Location: FF_X55_Y27_N27
\led_flash_cnt[2742][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2742][6]~65278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2742][6]~q\);

-- Location: LCCOMB_X54_Y27_N26
\WideAnd2742~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2742~1_combout\ = (\led_flash_cnt[2742][6]~q\ & \led_flash_cnt[2742][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2742][6]~q\,
	datad => \led_flash_cnt[2742][5]~q\,
	combout => \WideAnd2742~1_combout\);

-- Location: LCCOMB_X55_Y27_N30
\WideAnd2742~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2742~0_combout\ = (\led_flash_cnt[2742][1]~q\ & (\led_flash_cnt[2742][3]~q\ & (\led_flash_cnt[2742][4]~q\ & \led_flash_cnt[2742][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2742][1]~q\,
	datab => \led_flash_cnt[2742][3]~q\,
	datac => \led_flash_cnt[2742][4]~q\,
	datad => \led_flash_cnt[2742][2]~q\,
	combout => \WideAnd2742~0_combout\);

-- Location: LCCOMB_X55_Y27_N28
\led_flash_cnt[2742][7]~65280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2742][7]~65280_combout\ = \led_flash_cnt[2742][6]~65279\ $ (!\led_flash_cnt[2742][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2742][7]~q\,
	cin => \led_flash_cnt[2742][6]~65279\,
	combout => \led_flash_cnt[2742][7]~65280_combout\);

-- Location: FF_X55_Y27_N29
\led_flash_cnt[2742][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2742][7]~65280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2742][7]~q\);

-- Location: LCCOMB_X54_Y27_N6
WideAnd2742 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2742~combout\ = (\WideAnd2742~1_combout\ & (\led_flash_cnt[2742][0]~q\ & (\WideAnd2742~0_combout\ & \led_flash_cnt[2742][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2742~1_combout\,
	datab => \led_flash_cnt[2742][0]~q\,
	datac => \WideAnd2742~0_combout\,
	datad => \led_flash_cnt[2742][7]~q\,
	combout => \WideAnd2742~combout\);

-- Location: FF_X54_Y27_N7
\led_flash_cnt_ands[2742]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2742~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2742));

-- Location: LCCOMB_X54_Y27_N30
WideAnd4182 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4182~combout\ = (\WideAnd4182~1_combout\ & (led_flash_cnt_ands(2743) & (\WideAnd4182~0_combout\ & led_flash_cnt_ands(2742))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4182~1_combout\,
	datab => led_flash_cnt_ands(2743),
	datac => \WideAnd4182~0_combout\,
	datad => led_flash_cnt_ands(2742),
	combout => \WideAnd4182~combout\);

-- Location: FF_X54_Y27_N31
\led_flash_cnt_ands_1[342]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4182~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(342));

-- Location: LCCOMB_X49_Y19_N14
\led_flash_cnt[2727][0]~83367\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2727][0]~83367_combout\ = !\led_flash_cnt[2727][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2727][0]~q\,
	combout => \led_flash_cnt[2727][0]~83367_combout\);

-- Location: FF_X49_Y19_N15
\led_flash_cnt[2727][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2727][0]~83367_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2727][0]~q\);

-- Location: LCCOMB_X50_Y19_N4
\led_flash_cnt[2727][1]~65058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2727][1]~65058_combout\ = (\led_flash_cnt[2727][0]~q\ & (\led_flash_cnt[2727][1]~q\ $ (VCC))) # (!\led_flash_cnt[2727][0]~q\ & (\led_flash_cnt[2727][1]~q\ & VCC))
-- \led_flash_cnt[2727][1]~65059\ = CARRY((\led_flash_cnt[2727][0]~q\ & \led_flash_cnt[2727][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2727][0]~q\,
	datab => \led_flash_cnt[2727][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2727][1]~65058_combout\,
	cout => \led_flash_cnt[2727][1]~65059\);

-- Location: FF_X50_Y19_N5
\led_flash_cnt[2727][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2727][1]~65058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2727][1]~q\);

-- Location: LCCOMB_X50_Y19_N6
\led_flash_cnt[2727][2]~65060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2727][2]~65060_combout\ = (\led_flash_cnt[2727][2]~q\ & (!\led_flash_cnt[2727][1]~65059\)) # (!\led_flash_cnt[2727][2]~q\ & ((\led_flash_cnt[2727][1]~65059\) # (GND)))
-- \led_flash_cnt[2727][2]~65061\ = CARRY((!\led_flash_cnt[2727][1]~65059\) # (!\led_flash_cnt[2727][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2727][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2727][1]~65059\,
	combout => \led_flash_cnt[2727][2]~65060_combout\,
	cout => \led_flash_cnt[2727][2]~65061\);

-- Location: FF_X50_Y19_N7
\led_flash_cnt[2727][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2727][2]~65060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2727][2]~q\);

-- Location: LCCOMB_X50_Y19_N8
\led_flash_cnt[2727][3]~65062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2727][3]~65062_combout\ = (\led_flash_cnt[2727][3]~q\ & (\led_flash_cnt[2727][2]~65061\ $ (GND))) # (!\led_flash_cnt[2727][3]~q\ & (!\led_flash_cnt[2727][2]~65061\ & VCC))
-- \led_flash_cnt[2727][3]~65063\ = CARRY((\led_flash_cnt[2727][3]~q\ & !\led_flash_cnt[2727][2]~65061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2727][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2727][2]~65061\,
	combout => \led_flash_cnt[2727][3]~65062_combout\,
	cout => \led_flash_cnt[2727][3]~65063\);

-- Location: FF_X50_Y19_N9
\led_flash_cnt[2727][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2727][3]~65062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2727][3]~q\);

-- Location: LCCOMB_X50_Y19_N10
\led_flash_cnt[2727][4]~65064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2727][4]~65064_combout\ = (\led_flash_cnt[2727][4]~q\ & (!\led_flash_cnt[2727][3]~65063\)) # (!\led_flash_cnt[2727][4]~q\ & ((\led_flash_cnt[2727][3]~65063\) # (GND)))
-- \led_flash_cnt[2727][4]~65065\ = CARRY((!\led_flash_cnt[2727][3]~65063\) # (!\led_flash_cnt[2727][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2727][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2727][3]~65063\,
	combout => \led_flash_cnt[2727][4]~65064_combout\,
	cout => \led_flash_cnt[2727][4]~65065\);

-- Location: FF_X50_Y19_N11
\led_flash_cnt[2727][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2727][4]~65064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2727][4]~q\);

-- Location: LCCOMB_X50_Y19_N2
\WideAnd2727~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2727~0_combout\ = (\led_flash_cnt[2727][4]~q\ & (\led_flash_cnt[2727][3]~q\ & (\led_flash_cnt[2727][1]~q\ & \led_flash_cnt[2727][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2727][4]~q\,
	datab => \led_flash_cnt[2727][3]~q\,
	datac => \led_flash_cnt[2727][1]~q\,
	datad => \led_flash_cnt[2727][2]~q\,
	combout => \WideAnd2727~0_combout\);

-- Location: LCCOMB_X50_Y19_N12
\led_flash_cnt[2727][5]~65066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2727][5]~65066_combout\ = (\led_flash_cnt[2727][5]~q\ & (\led_flash_cnt[2727][4]~65065\ $ (GND))) # (!\led_flash_cnt[2727][5]~q\ & (!\led_flash_cnt[2727][4]~65065\ & VCC))
-- \led_flash_cnt[2727][5]~65067\ = CARRY((\led_flash_cnt[2727][5]~q\ & !\led_flash_cnt[2727][4]~65065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2727][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2727][4]~65065\,
	combout => \led_flash_cnt[2727][5]~65066_combout\,
	cout => \led_flash_cnt[2727][5]~65067\);

-- Location: FF_X50_Y19_N13
\led_flash_cnt[2727][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2727][5]~65066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2727][5]~q\);

-- Location: LCCOMB_X50_Y19_N14
\led_flash_cnt[2727][6]~65068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2727][6]~65068_combout\ = (\led_flash_cnt[2727][6]~q\ & (!\led_flash_cnt[2727][5]~65067\)) # (!\led_flash_cnt[2727][6]~q\ & ((\led_flash_cnt[2727][5]~65067\) # (GND)))
-- \led_flash_cnt[2727][6]~65069\ = CARRY((!\led_flash_cnt[2727][5]~65067\) # (!\led_flash_cnt[2727][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2727][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2727][5]~65067\,
	combout => \led_flash_cnt[2727][6]~65068_combout\,
	cout => \led_flash_cnt[2727][6]~65069\);

-- Location: FF_X50_Y19_N15
\led_flash_cnt[2727][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2727][6]~65068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2727][6]~q\);

-- Location: LCCOMB_X49_Y19_N8
\WideAnd2727~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2727~1_combout\ = (\led_flash_cnt[2727][6]~q\ & \led_flash_cnt[2727][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2727][6]~q\,
	datac => \led_flash_cnt[2727][5]~q\,
	combout => \WideAnd2727~1_combout\);

-- Location: LCCOMB_X50_Y19_N16
\led_flash_cnt[2727][7]~65070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2727][7]~65070_combout\ = \led_flash_cnt[2727][6]~65069\ $ (!\led_flash_cnt[2727][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2727][7]~q\,
	cin => \led_flash_cnt[2727][6]~65069\,
	combout => \led_flash_cnt[2727][7]~65070_combout\);

-- Location: FF_X50_Y19_N17
\led_flash_cnt[2727][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2727][7]~65070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2727][7]~q\);

-- Location: LCCOMB_X49_Y19_N10
WideAnd2727 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2727~combout\ = (\WideAnd2727~0_combout\ & (\led_flash_cnt[2727][0]~q\ & (\WideAnd2727~1_combout\ & \led_flash_cnt[2727][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2727~0_combout\,
	datab => \led_flash_cnt[2727][0]~q\,
	datac => \WideAnd2727~1_combout\,
	datad => \led_flash_cnt[2727][7]~q\,
	combout => \WideAnd2727~combout\);

-- Location: FF_X49_Y19_N11
\led_flash_cnt_ands[2727]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2727~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2727));

-- Location: LCCOMB_X49_Y19_N12
\led_flash_cnt[2726][0]~83366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2726][0]~83366_combout\ = !\led_flash_cnt[2726][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2726][0]~q\,
	combout => \led_flash_cnt[2726][0]~83366_combout\);

-- Location: FF_X49_Y19_N13
\led_flash_cnt[2726][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2726][0]~83366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2726][0]~q\);

-- Location: LCCOMB_X49_Y19_N16
\led_flash_cnt[2726][1]~65044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2726][1]~65044_combout\ = (\led_flash_cnt[2726][0]~q\ & (\led_flash_cnt[2726][1]~q\ $ (VCC))) # (!\led_flash_cnt[2726][0]~q\ & (\led_flash_cnt[2726][1]~q\ & VCC))
-- \led_flash_cnt[2726][1]~65045\ = CARRY((\led_flash_cnt[2726][0]~q\ & \led_flash_cnt[2726][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2726][0]~q\,
	datab => \led_flash_cnt[2726][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2726][1]~65044_combout\,
	cout => \led_flash_cnt[2726][1]~65045\);

-- Location: FF_X49_Y19_N17
\led_flash_cnt[2726][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2726][1]~65044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2726][1]~q\);

-- Location: LCCOMB_X49_Y19_N18
\led_flash_cnt[2726][2]~65046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2726][2]~65046_combout\ = (\led_flash_cnt[2726][2]~q\ & (!\led_flash_cnt[2726][1]~65045\)) # (!\led_flash_cnt[2726][2]~q\ & ((\led_flash_cnt[2726][1]~65045\) # (GND)))
-- \led_flash_cnt[2726][2]~65047\ = CARRY((!\led_flash_cnt[2726][1]~65045\) # (!\led_flash_cnt[2726][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2726][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2726][1]~65045\,
	combout => \led_flash_cnt[2726][2]~65046_combout\,
	cout => \led_flash_cnt[2726][2]~65047\);

-- Location: FF_X49_Y19_N19
\led_flash_cnt[2726][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2726][2]~65046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2726][2]~q\);

-- Location: LCCOMB_X49_Y19_N20
\led_flash_cnt[2726][3]~65048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2726][3]~65048_combout\ = (\led_flash_cnt[2726][3]~q\ & (\led_flash_cnt[2726][2]~65047\ $ (GND))) # (!\led_flash_cnt[2726][3]~q\ & (!\led_flash_cnt[2726][2]~65047\ & VCC))
-- \led_flash_cnt[2726][3]~65049\ = CARRY((\led_flash_cnt[2726][3]~q\ & !\led_flash_cnt[2726][2]~65047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2726][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2726][2]~65047\,
	combout => \led_flash_cnt[2726][3]~65048_combout\,
	cout => \led_flash_cnt[2726][3]~65049\);

-- Location: FF_X49_Y19_N21
\led_flash_cnt[2726][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2726][3]~65048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2726][3]~q\);

-- Location: LCCOMB_X49_Y19_N22
\led_flash_cnt[2726][4]~65050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2726][4]~65050_combout\ = (\led_flash_cnt[2726][4]~q\ & (!\led_flash_cnt[2726][3]~65049\)) # (!\led_flash_cnt[2726][4]~q\ & ((\led_flash_cnt[2726][3]~65049\) # (GND)))
-- \led_flash_cnt[2726][4]~65051\ = CARRY((!\led_flash_cnt[2726][3]~65049\) # (!\led_flash_cnt[2726][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2726][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2726][3]~65049\,
	combout => \led_flash_cnt[2726][4]~65050_combout\,
	cout => \led_flash_cnt[2726][4]~65051\);

-- Location: FF_X49_Y19_N23
\led_flash_cnt[2726][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2726][4]~65050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2726][4]~q\);

-- Location: LCCOMB_X49_Y19_N24
\led_flash_cnt[2726][5]~65052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2726][5]~65052_combout\ = (\led_flash_cnt[2726][5]~q\ & (\led_flash_cnt[2726][4]~65051\ $ (GND))) # (!\led_flash_cnt[2726][5]~q\ & (!\led_flash_cnt[2726][4]~65051\ & VCC))
-- \led_flash_cnt[2726][5]~65053\ = CARRY((\led_flash_cnt[2726][5]~q\ & !\led_flash_cnt[2726][4]~65051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2726][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2726][4]~65051\,
	combout => \led_flash_cnt[2726][5]~65052_combout\,
	cout => \led_flash_cnt[2726][5]~65053\);

-- Location: FF_X49_Y19_N25
\led_flash_cnt[2726][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2726][5]~65052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2726][5]~q\);

-- Location: LCCOMB_X49_Y19_N26
\led_flash_cnt[2726][6]~65054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2726][6]~65054_combout\ = (\led_flash_cnt[2726][6]~q\ & (!\led_flash_cnt[2726][5]~65053\)) # (!\led_flash_cnt[2726][6]~q\ & ((\led_flash_cnt[2726][5]~65053\) # (GND)))
-- \led_flash_cnt[2726][6]~65055\ = CARRY((!\led_flash_cnt[2726][5]~65053\) # (!\led_flash_cnt[2726][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2726][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2726][5]~65053\,
	combout => \led_flash_cnt[2726][6]~65054_combout\,
	cout => \led_flash_cnt[2726][6]~65055\);

-- Location: FF_X49_Y19_N27
\led_flash_cnt[2726][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2726][6]~65054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2726][6]~q\);

-- Location: LCCOMB_X49_Y19_N28
\led_flash_cnt[2726][7]~65056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2726][7]~65056_combout\ = \led_flash_cnt[2726][6]~65055\ $ (!\led_flash_cnt[2726][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2726][7]~q\,
	cin => \led_flash_cnt[2726][6]~65055\,
	combout => \led_flash_cnt[2726][7]~65056_combout\);

-- Location: FF_X49_Y19_N29
\led_flash_cnt[2726][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2726][7]~65056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2726][7]~q\);

-- Location: LCCOMB_X49_Y19_N30
\WideAnd2726~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2726~0_combout\ = (\led_flash_cnt[2726][3]~q\ & (\led_flash_cnt[2726][2]~q\ & (\led_flash_cnt[2726][4]~q\ & \led_flash_cnt[2726][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2726][3]~q\,
	datab => \led_flash_cnt[2726][2]~q\,
	datac => \led_flash_cnt[2726][4]~q\,
	datad => \led_flash_cnt[2726][1]~q\,
	combout => \WideAnd2726~0_combout\);

-- Location: LCCOMB_X49_Y19_N6
\WideAnd2726~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2726~1_combout\ = (\led_flash_cnt[2726][6]~q\ & \led_flash_cnt[2726][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2726][6]~q\,
	datad => \led_flash_cnt[2726][5]~q\,
	combout => \WideAnd2726~1_combout\);

-- Location: LCCOMB_X49_Y19_N0
WideAnd2726 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2726~combout\ = (\led_flash_cnt[2726][0]~q\ & (\led_flash_cnt[2726][7]~q\ & (\WideAnd2726~0_combout\ & \WideAnd2726~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2726][0]~q\,
	datab => \led_flash_cnt[2726][7]~q\,
	datac => \WideAnd2726~0_combout\,
	datad => \WideAnd2726~1_combout\,
	combout => \WideAnd2726~combout\);

-- Location: FF_X49_Y19_N1
\led_flash_cnt_ands[2726]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2726~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2726));

-- Location: LCCOMB_X62_Y24_N30
\led_flash_cnt[2723][0]~83363\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2723][0]~83363_combout\ = !\led_flash_cnt[2723][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2723][0]~q\,
	combout => \led_flash_cnt[2723][0]~83363_combout\);

-- Location: FF_X62_Y24_N31
\led_flash_cnt[2723][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2723][0]~83363_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2723][0]~q\);

-- Location: LCCOMB_X61_Y24_N4
\led_flash_cnt[2723][1]~65002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2723][1]~65002_combout\ = (\led_flash_cnt[2723][0]~q\ & (\led_flash_cnt[2723][1]~q\ $ (VCC))) # (!\led_flash_cnt[2723][0]~q\ & (\led_flash_cnt[2723][1]~q\ & VCC))
-- \led_flash_cnt[2723][1]~65003\ = CARRY((\led_flash_cnt[2723][0]~q\ & \led_flash_cnt[2723][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2723][0]~q\,
	datab => \led_flash_cnt[2723][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2723][1]~65002_combout\,
	cout => \led_flash_cnt[2723][1]~65003\);

-- Location: FF_X61_Y24_N5
\led_flash_cnt[2723][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2723][1]~65002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2723][1]~q\);

-- Location: LCCOMB_X61_Y24_N6
\led_flash_cnt[2723][2]~65004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2723][2]~65004_combout\ = (\led_flash_cnt[2723][2]~q\ & (!\led_flash_cnt[2723][1]~65003\)) # (!\led_flash_cnt[2723][2]~q\ & ((\led_flash_cnt[2723][1]~65003\) # (GND)))
-- \led_flash_cnt[2723][2]~65005\ = CARRY((!\led_flash_cnt[2723][1]~65003\) # (!\led_flash_cnt[2723][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2723][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2723][1]~65003\,
	combout => \led_flash_cnt[2723][2]~65004_combout\,
	cout => \led_flash_cnt[2723][2]~65005\);

-- Location: FF_X61_Y24_N7
\led_flash_cnt[2723][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2723][2]~65004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2723][2]~q\);

-- Location: LCCOMB_X61_Y24_N8
\led_flash_cnt[2723][3]~65006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2723][3]~65006_combout\ = (\led_flash_cnt[2723][3]~q\ & (\led_flash_cnt[2723][2]~65005\ $ (GND))) # (!\led_flash_cnt[2723][3]~q\ & (!\led_flash_cnt[2723][2]~65005\ & VCC))
-- \led_flash_cnt[2723][3]~65007\ = CARRY((\led_flash_cnt[2723][3]~q\ & !\led_flash_cnt[2723][2]~65005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2723][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2723][2]~65005\,
	combout => \led_flash_cnt[2723][3]~65006_combout\,
	cout => \led_flash_cnt[2723][3]~65007\);

-- Location: FF_X61_Y24_N9
\led_flash_cnt[2723][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2723][3]~65006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2723][3]~q\);

-- Location: LCCOMB_X61_Y24_N10
\led_flash_cnt[2723][4]~65008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2723][4]~65008_combout\ = (\led_flash_cnt[2723][4]~q\ & (!\led_flash_cnt[2723][3]~65007\)) # (!\led_flash_cnt[2723][4]~q\ & ((\led_flash_cnt[2723][3]~65007\) # (GND)))
-- \led_flash_cnt[2723][4]~65009\ = CARRY((!\led_flash_cnt[2723][3]~65007\) # (!\led_flash_cnt[2723][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2723][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2723][3]~65007\,
	combout => \led_flash_cnt[2723][4]~65008_combout\,
	cout => \led_flash_cnt[2723][4]~65009\);

-- Location: FF_X61_Y24_N11
\led_flash_cnt[2723][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2723][4]~65008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2723][4]~q\);

-- Location: LCCOMB_X61_Y24_N12
\led_flash_cnt[2723][5]~65010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2723][5]~65010_combout\ = (\led_flash_cnt[2723][5]~q\ & (\led_flash_cnt[2723][4]~65009\ $ (GND))) # (!\led_flash_cnt[2723][5]~q\ & (!\led_flash_cnt[2723][4]~65009\ & VCC))
-- \led_flash_cnt[2723][5]~65011\ = CARRY((\led_flash_cnt[2723][5]~q\ & !\led_flash_cnt[2723][4]~65009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2723][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2723][4]~65009\,
	combout => \led_flash_cnt[2723][5]~65010_combout\,
	cout => \led_flash_cnt[2723][5]~65011\);

-- Location: FF_X61_Y24_N13
\led_flash_cnt[2723][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2723][5]~65010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2723][5]~q\);

-- Location: LCCOMB_X61_Y24_N14
\led_flash_cnt[2723][6]~65012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2723][6]~65012_combout\ = (\led_flash_cnt[2723][6]~q\ & (!\led_flash_cnt[2723][5]~65011\)) # (!\led_flash_cnt[2723][6]~q\ & ((\led_flash_cnt[2723][5]~65011\) # (GND)))
-- \led_flash_cnt[2723][6]~65013\ = CARRY((!\led_flash_cnt[2723][5]~65011\) # (!\led_flash_cnt[2723][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2723][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2723][5]~65011\,
	combout => \led_flash_cnt[2723][6]~65012_combout\,
	cout => \led_flash_cnt[2723][6]~65013\);

-- Location: FF_X61_Y24_N15
\led_flash_cnt[2723][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2723][6]~65012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2723][6]~q\);

-- Location: LCCOMB_X61_Y24_N16
\led_flash_cnt[2723][7]~65014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2723][7]~65014_combout\ = \led_flash_cnt[2723][6]~65013\ $ (!\led_flash_cnt[2723][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2723][7]~q\,
	cin => \led_flash_cnt[2723][6]~65013\,
	combout => \led_flash_cnt[2723][7]~65014_combout\);

-- Location: FF_X61_Y24_N17
\led_flash_cnt[2723][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2723][7]~65014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2723][7]~q\);

-- Location: LCCOMB_X60_Y24_N0
\WideAnd2723~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2723~1_combout\ = (\led_flash_cnt[2723][6]~q\ & \led_flash_cnt[2723][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2723][6]~q\,
	datac => \led_flash_cnt[2723][5]~q\,
	combout => \WideAnd2723~1_combout\);

-- Location: LCCOMB_X61_Y24_N0
\WideAnd2723~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2723~0_combout\ = (\led_flash_cnt[2723][4]~q\ & (\led_flash_cnt[2723][3]~q\ & (\led_flash_cnt[2723][1]~q\ & \led_flash_cnt[2723][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2723][4]~q\,
	datab => \led_flash_cnt[2723][3]~q\,
	datac => \led_flash_cnt[2723][1]~q\,
	datad => \led_flash_cnt[2723][2]~q\,
	combout => \WideAnd2723~0_combout\);

-- Location: LCCOMB_X61_Y24_N2
WideAnd2723 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2723~combout\ = (\led_flash_cnt[2723][0]~q\ & (\led_flash_cnt[2723][7]~q\ & (\WideAnd2723~1_combout\ & \WideAnd2723~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2723][0]~q\,
	datab => \led_flash_cnt[2723][7]~q\,
	datac => \WideAnd2723~1_combout\,
	datad => \WideAnd2723~0_combout\,
	combout => \WideAnd2723~combout\);

-- Location: FF_X61_Y24_N3
\led_flash_cnt_ands[2723]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2723~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2723));

-- Location: LCCOMB_X37_Y20_N28
\led_flash_cnt[2721][0]~83361\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2721][0]~83361_combout\ = !\led_flash_cnt[2721][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2721][0]~q\,
	combout => \led_flash_cnt[2721][0]~83361_combout\);

-- Location: FF_X37_Y20_N29
\led_flash_cnt[2721][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2721][0]~83361_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2721][0]~q\);

-- Location: LCCOMB_X44_Y20_N0
\led_flash_cnt[2721][1]~64974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2721][1]~64974_combout\ = (\led_flash_cnt[2721][0]~q\ & (\led_flash_cnt[2721][1]~q\ $ (VCC))) # (!\led_flash_cnt[2721][0]~q\ & (\led_flash_cnt[2721][1]~q\ & VCC))
-- \led_flash_cnt[2721][1]~64975\ = CARRY((\led_flash_cnt[2721][0]~q\ & \led_flash_cnt[2721][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2721][0]~q\,
	datab => \led_flash_cnt[2721][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2721][1]~64974_combout\,
	cout => \led_flash_cnt[2721][1]~64975\);

-- Location: FF_X44_Y20_N1
\led_flash_cnt[2721][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2721][1]~64974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2721][1]~q\);

-- Location: LCCOMB_X44_Y20_N2
\led_flash_cnt[2721][2]~64976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2721][2]~64976_combout\ = (\led_flash_cnt[2721][2]~q\ & (!\led_flash_cnt[2721][1]~64975\)) # (!\led_flash_cnt[2721][2]~q\ & ((\led_flash_cnt[2721][1]~64975\) # (GND)))
-- \led_flash_cnt[2721][2]~64977\ = CARRY((!\led_flash_cnt[2721][1]~64975\) # (!\led_flash_cnt[2721][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2721][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2721][1]~64975\,
	combout => \led_flash_cnt[2721][2]~64976_combout\,
	cout => \led_flash_cnt[2721][2]~64977\);

-- Location: FF_X44_Y20_N3
\led_flash_cnt[2721][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2721][2]~64976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2721][2]~q\);

-- Location: LCCOMB_X44_Y20_N4
\led_flash_cnt[2721][3]~64978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2721][3]~64978_combout\ = (\led_flash_cnt[2721][3]~q\ & (\led_flash_cnt[2721][2]~64977\ $ (GND))) # (!\led_flash_cnt[2721][3]~q\ & (!\led_flash_cnt[2721][2]~64977\ & VCC))
-- \led_flash_cnt[2721][3]~64979\ = CARRY((\led_flash_cnt[2721][3]~q\ & !\led_flash_cnt[2721][2]~64977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2721][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2721][2]~64977\,
	combout => \led_flash_cnt[2721][3]~64978_combout\,
	cout => \led_flash_cnt[2721][3]~64979\);

-- Location: FF_X44_Y20_N5
\led_flash_cnt[2721][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2721][3]~64978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2721][3]~q\);

-- Location: LCCOMB_X44_Y20_N6
\led_flash_cnt[2721][4]~64980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2721][4]~64980_combout\ = (\led_flash_cnt[2721][4]~q\ & (!\led_flash_cnt[2721][3]~64979\)) # (!\led_flash_cnt[2721][4]~q\ & ((\led_flash_cnt[2721][3]~64979\) # (GND)))
-- \led_flash_cnt[2721][4]~64981\ = CARRY((!\led_flash_cnt[2721][3]~64979\) # (!\led_flash_cnt[2721][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2721][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2721][3]~64979\,
	combout => \led_flash_cnt[2721][4]~64980_combout\,
	cout => \led_flash_cnt[2721][4]~64981\);

-- Location: FF_X44_Y20_N7
\led_flash_cnt[2721][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2721][4]~64980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2721][4]~q\);

-- Location: LCCOMB_X44_Y20_N30
\WideAnd2721~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2721~0_combout\ = (\led_flash_cnt[2721][4]~q\ & (\led_flash_cnt[2721][1]~q\ & (\led_flash_cnt[2721][3]~q\ & \led_flash_cnt[2721][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2721][4]~q\,
	datab => \led_flash_cnt[2721][1]~q\,
	datac => \led_flash_cnt[2721][3]~q\,
	datad => \led_flash_cnt[2721][2]~q\,
	combout => \WideAnd2721~0_combout\);

-- Location: LCCOMB_X44_Y20_N8
\led_flash_cnt[2721][5]~64982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2721][5]~64982_combout\ = (\led_flash_cnt[2721][5]~q\ & (\led_flash_cnt[2721][4]~64981\ $ (GND))) # (!\led_flash_cnt[2721][5]~q\ & (!\led_flash_cnt[2721][4]~64981\ & VCC))
-- \led_flash_cnt[2721][5]~64983\ = CARRY((\led_flash_cnt[2721][5]~q\ & !\led_flash_cnt[2721][4]~64981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2721][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2721][4]~64981\,
	combout => \led_flash_cnt[2721][5]~64982_combout\,
	cout => \led_flash_cnt[2721][5]~64983\);

-- Location: FF_X44_Y20_N9
\led_flash_cnt[2721][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2721][5]~64982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2721][5]~q\);

-- Location: LCCOMB_X44_Y20_N10
\led_flash_cnt[2721][6]~64984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2721][6]~64984_combout\ = (\led_flash_cnt[2721][6]~q\ & (!\led_flash_cnt[2721][5]~64983\)) # (!\led_flash_cnt[2721][6]~q\ & ((\led_flash_cnt[2721][5]~64983\) # (GND)))
-- \led_flash_cnt[2721][6]~64985\ = CARRY((!\led_flash_cnt[2721][5]~64983\) # (!\led_flash_cnt[2721][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2721][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2721][5]~64983\,
	combout => \led_flash_cnt[2721][6]~64984_combout\,
	cout => \led_flash_cnt[2721][6]~64985\);

-- Location: FF_X44_Y20_N11
\led_flash_cnt[2721][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2721][6]~64984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2721][6]~q\);

-- Location: LCCOMB_X44_Y20_N12
\led_flash_cnt[2721][7]~64986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2721][7]~64986_combout\ = \led_flash_cnt[2721][6]~64985\ $ (!\led_flash_cnt[2721][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2721][7]~q\,
	cin => \led_flash_cnt[2721][6]~64985\,
	combout => \led_flash_cnt[2721][7]~64986_combout\);

-- Location: FF_X44_Y20_N13
\led_flash_cnt[2721][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2721][7]~64986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2721][7]~q\);

-- Location: LCCOMB_X43_Y20_N12
\WideAnd2721~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2721~1_combout\ = (\led_flash_cnt[2721][6]~q\ & \led_flash_cnt[2721][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2721][6]~q\,
	datac => \led_flash_cnt[2721][5]~q\,
	combout => \WideAnd2721~1_combout\);

-- Location: LCCOMB_X43_Y20_N14
WideAnd2721 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2721~combout\ = (\WideAnd2721~0_combout\ & (\led_flash_cnt[2721][0]~q\ & (\led_flash_cnt[2721][7]~q\ & \WideAnd2721~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2721~0_combout\,
	datab => \led_flash_cnt[2721][0]~q\,
	datac => \led_flash_cnt[2721][7]~q\,
	datad => \WideAnd2721~1_combout\,
	combout => \WideAnd2721~combout\);

-- Location: FF_X43_Y20_N15
\led_flash_cnt_ands[2721]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2721~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2721));

-- Location: LCCOMB_X43_Y18_N2
\led_flash_cnt[2722][0]~83362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2722][0]~83362_combout\ = !\led_flash_cnt[2722][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2722][0]~q\,
	combout => \led_flash_cnt[2722][0]~83362_combout\);

-- Location: FF_X43_Y18_N3
\led_flash_cnt[2722][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2722][0]~83362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2722][0]~q\);

-- Location: LCCOMB_X42_Y18_N0
\led_flash_cnt[2722][1]~64988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2722][1]~64988_combout\ = (\led_flash_cnt[2722][0]~q\ & (\led_flash_cnt[2722][1]~q\ $ (VCC))) # (!\led_flash_cnt[2722][0]~q\ & (\led_flash_cnt[2722][1]~q\ & VCC))
-- \led_flash_cnt[2722][1]~64989\ = CARRY((\led_flash_cnt[2722][0]~q\ & \led_flash_cnt[2722][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2722][0]~q\,
	datab => \led_flash_cnt[2722][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2722][1]~64988_combout\,
	cout => \led_flash_cnt[2722][1]~64989\);

-- Location: FF_X42_Y18_N1
\led_flash_cnt[2722][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2722][1]~64988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2722][1]~q\);

-- Location: LCCOMB_X42_Y18_N2
\led_flash_cnt[2722][2]~64990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2722][2]~64990_combout\ = (\led_flash_cnt[2722][2]~q\ & (!\led_flash_cnt[2722][1]~64989\)) # (!\led_flash_cnt[2722][2]~q\ & ((\led_flash_cnt[2722][1]~64989\) # (GND)))
-- \led_flash_cnt[2722][2]~64991\ = CARRY((!\led_flash_cnt[2722][1]~64989\) # (!\led_flash_cnt[2722][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2722][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2722][1]~64989\,
	combout => \led_flash_cnt[2722][2]~64990_combout\,
	cout => \led_flash_cnt[2722][2]~64991\);

-- Location: FF_X42_Y18_N3
\led_flash_cnt[2722][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2722][2]~64990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2722][2]~q\);

-- Location: LCCOMB_X42_Y18_N4
\led_flash_cnt[2722][3]~64992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2722][3]~64992_combout\ = (\led_flash_cnt[2722][3]~q\ & (\led_flash_cnt[2722][2]~64991\ $ (GND))) # (!\led_flash_cnt[2722][3]~q\ & (!\led_flash_cnt[2722][2]~64991\ & VCC))
-- \led_flash_cnt[2722][3]~64993\ = CARRY((\led_flash_cnt[2722][3]~q\ & !\led_flash_cnt[2722][2]~64991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2722][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2722][2]~64991\,
	combout => \led_flash_cnt[2722][3]~64992_combout\,
	cout => \led_flash_cnt[2722][3]~64993\);

-- Location: FF_X42_Y18_N5
\led_flash_cnt[2722][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2722][3]~64992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2722][3]~q\);

-- Location: LCCOMB_X42_Y18_N6
\led_flash_cnt[2722][4]~64994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2722][4]~64994_combout\ = (\led_flash_cnt[2722][4]~q\ & (!\led_flash_cnt[2722][3]~64993\)) # (!\led_flash_cnt[2722][4]~q\ & ((\led_flash_cnt[2722][3]~64993\) # (GND)))
-- \led_flash_cnt[2722][4]~64995\ = CARRY((!\led_flash_cnt[2722][3]~64993\) # (!\led_flash_cnt[2722][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2722][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2722][3]~64993\,
	combout => \led_flash_cnt[2722][4]~64994_combout\,
	cout => \led_flash_cnt[2722][4]~64995\);

-- Location: FF_X42_Y18_N7
\led_flash_cnt[2722][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2722][4]~64994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2722][4]~q\);

-- Location: LCCOMB_X42_Y18_N8
\led_flash_cnt[2722][5]~64996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2722][5]~64996_combout\ = (\led_flash_cnt[2722][5]~q\ & (\led_flash_cnt[2722][4]~64995\ $ (GND))) # (!\led_flash_cnt[2722][5]~q\ & (!\led_flash_cnt[2722][4]~64995\ & VCC))
-- \led_flash_cnt[2722][5]~64997\ = CARRY((\led_flash_cnt[2722][5]~q\ & !\led_flash_cnt[2722][4]~64995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2722][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2722][4]~64995\,
	combout => \led_flash_cnt[2722][5]~64996_combout\,
	cout => \led_flash_cnt[2722][5]~64997\);

-- Location: FF_X42_Y18_N9
\led_flash_cnt[2722][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2722][5]~64996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2722][5]~q\);

-- Location: LCCOMB_X42_Y18_N10
\led_flash_cnt[2722][6]~64998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2722][6]~64998_combout\ = (\led_flash_cnt[2722][6]~q\ & (!\led_flash_cnt[2722][5]~64997\)) # (!\led_flash_cnt[2722][6]~q\ & ((\led_flash_cnt[2722][5]~64997\) # (GND)))
-- \led_flash_cnt[2722][6]~64999\ = CARRY((!\led_flash_cnt[2722][5]~64997\) # (!\led_flash_cnt[2722][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2722][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2722][5]~64997\,
	combout => \led_flash_cnt[2722][6]~64998_combout\,
	cout => \led_flash_cnt[2722][6]~64999\);

-- Location: FF_X42_Y18_N11
\led_flash_cnt[2722][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2722][6]~64998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2722][6]~q\);

-- Location: LCCOMB_X42_Y18_N12
\led_flash_cnt[2722][7]~65000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2722][7]~65000_combout\ = \led_flash_cnt[2722][6]~64999\ $ (!\led_flash_cnt[2722][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2722][7]~q\,
	cin => \led_flash_cnt[2722][6]~64999\,
	combout => \led_flash_cnt[2722][7]~65000_combout\);

-- Location: FF_X42_Y18_N13
\led_flash_cnt[2722][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2722][7]~65000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2722][7]~q\);

-- Location: LCCOMB_X43_Y18_N8
\WideAnd2722~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2722~1_combout\ = (\led_flash_cnt[2722][6]~q\ & \led_flash_cnt[2722][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2722][6]~q\,
	datad => \led_flash_cnt[2722][5]~q\,
	combout => \WideAnd2722~1_combout\);

-- Location: LCCOMB_X43_Y18_N4
\WideAnd2722~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2722~0_combout\ = (\led_flash_cnt[2722][1]~q\ & (\led_flash_cnt[2722][4]~q\ & (\led_flash_cnt[2722][3]~q\ & \led_flash_cnt[2722][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2722][1]~q\,
	datab => \led_flash_cnt[2722][4]~q\,
	datac => \led_flash_cnt[2722][3]~q\,
	datad => \led_flash_cnt[2722][2]~q\,
	combout => \WideAnd2722~0_combout\);

-- Location: LCCOMB_X43_Y18_N0
WideAnd2722 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2722~combout\ = (\led_flash_cnt[2722][7]~q\ & (\WideAnd2722~1_combout\ & (\WideAnd2722~0_combout\ & \led_flash_cnt[2722][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2722][7]~q\,
	datab => \WideAnd2722~1_combout\,
	datac => \WideAnd2722~0_combout\,
	datad => \led_flash_cnt[2722][0]~q\,
	combout => \WideAnd2722~combout\);

-- Location: FF_X43_Y18_N1
\led_flash_cnt_ands[2722]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2722~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2722));

-- Location: LCCOMB_X44_Y18_N28
\led_flash_cnt[2720][0]~83360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2720][0]~83360_combout\ = !\led_flash_cnt[2720][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2720][0]~q\,
	combout => \led_flash_cnt[2720][0]~83360_combout\);

-- Location: FF_X44_Y18_N29
\led_flash_cnt[2720][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2720][0]~83360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2720][0]~q\);

-- Location: LCCOMB_X43_Y18_N16
\led_flash_cnt[2720][1]~64960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2720][1]~64960_combout\ = (\led_flash_cnt[2720][1]~q\ & (\led_flash_cnt[2720][0]~q\ $ (VCC))) # (!\led_flash_cnt[2720][1]~q\ & (\led_flash_cnt[2720][0]~q\ & VCC))
-- \led_flash_cnt[2720][1]~64961\ = CARRY((\led_flash_cnt[2720][1]~q\ & \led_flash_cnt[2720][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2720][1]~q\,
	datab => \led_flash_cnt[2720][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2720][1]~64960_combout\,
	cout => \led_flash_cnt[2720][1]~64961\);

-- Location: FF_X43_Y18_N17
\led_flash_cnt[2720][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2720][1]~64960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2720][1]~q\);

-- Location: LCCOMB_X43_Y18_N18
\led_flash_cnt[2720][2]~64962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2720][2]~64962_combout\ = (\led_flash_cnt[2720][2]~q\ & (!\led_flash_cnt[2720][1]~64961\)) # (!\led_flash_cnt[2720][2]~q\ & ((\led_flash_cnt[2720][1]~64961\) # (GND)))
-- \led_flash_cnt[2720][2]~64963\ = CARRY((!\led_flash_cnt[2720][1]~64961\) # (!\led_flash_cnt[2720][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2720][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2720][1]~64961\,
	combout => \led_flash_cnt[2720][2]~64962_combout\,
	cout => \led_flash_cnt[2720][2]~64963\);

-- Location: FF_X43_Y18_N19
\led_flash_cnt[2720][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2720][2]~64962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2720][2]~q\);

-- Location: LCCOMB_X43_Y18_N20
\led_flash_cnt[2720][3]~64964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2720][3]~64964_combout\ = (\led_flash_cnt[2720][3]~q\ & (\led_flash_cnt[2720][2]~64963\ $ (GND))) # (!\led_flash_cnt[2720][3]~q\ & (!\led_flash_cnt[2720][2]~64963\ & VCC))
-- \led_flash_cnt[2720][3]~64965\ = CARRY((\led_flash_cnt[2720][3]~q\ & !\led_flash_cnt[2720][2]~64963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2720][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2720][2]~64963\,
	combout => \led_flash_cnt[2720][3]~64964_combout\,
	cout => \led_flash_cnt[2720][3]~64965\);

-- Location: FF_X43_Y18_N21
\led_flash_cnt[2720][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2720][3]~64964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2720][3]~q\);

-- Location: LCCOMB_X43_Y18_N22
\led_flash_cnt[2720][4]~64966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2720][4]~64966_combout\ = (\led_flash_cnt[2720][4]~q\ & (!\led_flash_cnt[2720][3]~64965\)) # (!\led_flash_cnt[2720][4]~q\ & ((\led_flash_cnt[2720][3]~64965\) # (GND)))
-- \led_flash_cnt[2720][4]~64967\ = CARRY((!\led_flash_cnt[2720][3]~64965\) # (!\led_flash_cnt[2720][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2720][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2720][3]~64965\,
	combout => \led_flash_cnt[2720][4]~64966_combout\,
	cout => \led_flash_cnt[2720][4]~64967\);

-- Location: FF_X43_Y18_N23
\led_flash_cnt[2720][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2720][4]~64966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2720][4]~q\);

-- Location: LCCOMB_X43_Y18_N14
\WideAnd2720~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2720~0_combout\ = (\led_flash_cnt[2720][1]~q\ & (\led_flash_cnt[2720][2]~q\ & (\led_flash_cnt[2720][4]~q\ & \led_flash_cnt[2720][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2720][1]~q\,
	datab => \led_flash_cnt[2720][2]~q\,
	datac => \led_flash_cnt[2720][4]~q\,
	datad => \led_flash_cnt[2720][3]~q\,
	combout => \WideAnd2720~0_combout\);

-- Location: LCCOMB_X43_Y18_N24
\led_flash_cnt[2720][5]~64968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2720][5]~64968_combout\ = (\led_flash_cnt[2720][5]~q\ & (\led_flash_cnt[2720][4]~64967\ $ (GND))) # (!\led_flash_cnt[2720][5]~q\ & (!\led_flash_cnt[2720][4]~64967\ & VCC))
-- \led_flash_cnt[2720][5]~64969\ = CARRY((\led_flash_cnt[2720][5]~q\ & !\led_flash_cnt[2720][4]~64967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2720][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2720][4]~64967\,
	combout => \led_flash_cnt[2720][5]~64968_combout\,
	cout => \led_flash_cnt[2720][5]~64969\);

-- Location: FF_X43_Y18_N25
\led_flash_cnt[2720][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2720][5]~64968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2720][5]~q\);

-- Location: LCCOMB_X43_Y18_N26
\led_flash_cnt[2720][6]~64970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2720][6]~64970_combout\ = (\led_flash_cnt[2720][6]~q\ & (!\led_flash_cnt[2720][5]~64969\)) # (!\led_flash_cnt[2720][6]~q\ & ((\led_flash_cnt[2720][5]~64969\) # (GND)))
-- \led_flash_cnt[2720][6]~64971\ = CARRY((!\led_flash_cnt[2720][5]~64969\) # (!\led_flash_cnt[2720][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2720][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2720][5]~64969\,
	combout => \led_flash_cnt[2720][6]~64970_combout\,
	cout => \led_flash_cnt[2720][6]~64971\);

-- Location: FF_X43_Y18_N27
\led_flash_cnt[2720][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2720][6]~64970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2720][6]~q\);

-- Location: LCCOMB_X43_Y18_N28
\led_flash_cnt[2720][7]~64972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2720][7]~64972_combout\ = \led_flash_cnt[2720][6]~64971\ $ (!\led_flash_cnt[2720][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2720][7]~q\,
	cin => \led_flash_cnt[2720][6]~64971\,
	combout => \led_flash_cnt[2720][7]~64972_combout\);

-- Location: FF_X43_Y18_N29
\led_flash_cnt[2720][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2720][7]~64972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2720][7]~q\);

-- Location: LCCOMB_X43_Y18_N6
\WideAnd2720~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2720~1_combout\ = (\led_flash_cnt[2720][6]~q\ & \led_flash_cnt[2720][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2720][6]~q\,
	datad => \led_flash_cnt[2720][5]~q\,
	combout => \WideAnd2720~1_combout\);

-- Location: LCCOMB_X44_Y18_N24
WideAnd2720 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2720~combout\ = (\WideAnd2720~0_combout\ & (\led_flash_cnt[2720][7]~q\ & (\WideAnd2720~1_combout\ & \led_flash_cnt[2720][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2720~0_combout\,
	datab => \led_flash_cnt[2720][7]~q\,
	datac => \WideAnd2720~1_combout\,
	datad => \led_flash_cnt[2720][0]~q\,
	combout => \WideAnd2720~combout\);

-- Location: FF_X44_Y18_N25
\led_flash_cnt_ands[2720]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2720~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2720));

-- Location: LCCOMB_X47_Y19_N2
\WideAnd4180~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4180~0_combout\ = (led_flash_cnt_ands(2723) & (led_flash_cnt_ands(2721) & (led_flash_cnt_ands(2722) & led_flash_cnt_ands(2720))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2723),
	datab => led_flash_cnt_ands(2721),
	datac => led_flash_cnt_ands(2722),
	datad => led_flash_cnt_ands(2720),
	combout => \WideAnd4180~0_combout\);

-- Location: LCCOMB_X57_Y23_N6
\led_flash_cnt[2725][0]~83365\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2725][0]~83365_combout\ = !\led_flash_cnt[2725][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2725][0]~q\,
	combout => \led_flash_cnt[2725][0]~83365_combout\);

-- Location: FF_X57_Y23_N7
\led_flash_cnt[2725][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2725][0]~83365_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2725][0]~q\);

-- Location: LCCOMB_X58_Y23_N16
\led_flash_cnt[2725][1]~65030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2725][1]~65030_combout\ = (\led_flash_cnt[2725][0]~q\ & (\led_flash_cnt[2725][1]~q\ $ (VCC))) # (!\led_flash_cnt[2725][0]~q\ & (\led_flash_cnt[2725][1]~q\ & VCC))
-- \led_flash_cnt[2725][1]~65031\ = CARRY((\led_flash_cnt[2725][0]~q\ & \led_flash_cnt[2725][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2725][0]~q\,
	datab => \led_flash_cnt[2725][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2725][1]~65030_combout\,
	cout => \led_flash_cnt[2725][1]~65031\);

-- Location: FF_X58_Y23_N17
\led_flash_cnt[2725][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2725][1]~65030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2725][1]~q\);

-- Location: LCCOMB_X58_Y23_N18
\led_flash_cnt[2725][2]~65032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2725][2]~65032_combout\ = (\led_flash_cnt[2725][2]~q\ & (!\led_flash_cnt[2725][1]~65031\)) # (!\led_flash_cnt[2725][2]~q\ & ((\led_flash_cnt[2725][1]~65031\) # (GND)))
-- \led_flash_cnt[2725][2]~65033\ = CARRY((!\led_flash_cnt[2725][1]~65031\) # (!\led_flash_cnt[2725][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2725][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2725][1]~65031\,
	combout => \led_flash_cnt[2725][2]~65032_combout\,
	cout => \led_flash_cnt[2725][2]~65033\);

-- Location: FF_X58_Y23_N19
\led_flash_cnt[2725][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2725][2]~65032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2725][2]~q\);

-- Location: LCCOMB_X58_Y23_N20
\led_flash_cnt[2725][3]~65034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2725][3]~65034_combout\ = (\led_flash_cnt[2725][3]~q\ & (\led_flash_cnt[2725][2]~65033\ $ (GND))) # (!\led_flash_cnt[2725][3]~q\ & (!\led_flash_cnt[2725][2]~65033\ & VCC))
-- \led_flash_cnt[2725][3]~65035\ = CARRY((\led_flash_cnt[2725][3]~q\ & !\led_flash_cnt[2725][2]~65033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2725][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2725][2]~65033\,
	combout => \led_flash_cnt[2725][3]~65034_combout\,
	cout => \led_flash_cnt[2725][3]~65035\);

-- Location: FF_X58_Y23_N21
\led_flash_cnt[2725][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2725][3]~65034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2725][3]~q\);

-- Location: LCCOMB_X58_Y23_N22
\led_flash_cnt[2725][4]~65036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2725][4]~65036_combout\ = (\led_flash_cnt[2725][4]~q\ & (!\led_flash_cnt[2725][3]~65035\)) # (!\led_flash_cnt[2725][4]~q\ & ((\led_flash_cnt[2725][3]~65035\) # (GND)))
-- \led_flash_cnt[2725][4]~65037\ = CARRY((!\led_flash_cnt[2725][3]~65035\) # (!\led_flash_cnt[2725][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2725][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2725][3]~65035\,
	combout => \led_flash_cnt[2725][4]~65036_combout\,
	cout => \led_flash_cnt[2725][4]~65037\);

-- Location: FF_X58_Y23_N23
\led_flash_cnt[2725][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2725][4]~65036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2725][4]~q\);

-- Location: LCCOMB_X58_Y23_N24
\led_flash_cnt[2725][5]~65038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2725][5]~65038_combout\ = (\led_flash_cnt[2725][5]~q\ & (\led_flash_cnt[2725][4]~65037\ $ (GND))) # (!\led_flash_cnt[2725][5]~q\ & (!\led_flash_cnt[2725][4]~65037\ & VCC))
-- \led_flash_cnt[2725][5]~65039\ = CARRY((\led_flash_cnt[2725][5]~q\ & !\led_flash_cnt[2725][4]~65037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2725][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2725][4]~65037\,
	combout => \led_flash_cnt[2725][5]~65038_combout\,
	cout => \led_flash_cnt[2725][5]~65039\);

-- Location: FF_X58_Y23_N25
\led_flash_cnt[2725][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2725][5]~65038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2725][5]~q\);

-- Location: LCCOMB_X58_Y23_N26
\led_flash_cnt[2725][6]~65040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2725][6]~65040_combout\ = (\led_flash_cnt[2725][6]~q\ & (!\led_flash_cnt[2725][5]~65039\)) # (!\led_flash_cnt[2725][6]~q\ & ((\led_flash_cnt[2725][5]~65039\) # (GND)))
-- \led_flash_cnt[2725][6]~65041\ = CARRY((!\led_flash_cnt[2725][5]~65039\) # (!\led_flash_cnt[2725][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2725][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2725][5]~65039\,
	combout => \led_flash_cnt[2725][6]~65040_combout\,
	cout => \led_flash_cnt[2725][6]~65041\);

-- Location: FF_X58_Y23_N27
\led_flash_cnt[2725][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2725][6]~65040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2725][6]~q\);

-- Location: LCCOMB_X57_Y23_N4
\WideAnd2725~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2725~1_combout\ = (\led_flash_cnt[2725][6]~q\ & \led_flash_cnt[2725][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2725][6]~q\,
	datad => \led_flash_cnt[2725][5]~q\,
	combout => \WideAnd2725~1_combout\);

-- Location: LCCOMB_X58_Y23_N30
\WideAnd2725~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2725~0_combout\ = (\led_flash_cnt[2725][3]~q\ & (\led_flash_cnt[2725][2]~q\ & (\led_flash_cnt[2725][4]~q\ & \led_flash_cnt[2725][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2725][3]~q\,
	datab => \led_flash_cnt[2725][2]~q\,
	datac => \led_flash_cnt[2725][4]~q\,
	datad => \led_flash_cnt[2725][1]~q\,
	combout => \WideAnd2725~0_combout\);

-- Location: LCCOMB_X58_Y23_N28
\led_flash_cnt[2725][7]~65042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2725][7]~65042_combout\ = \led_flash_cnt[2725][6]~65041\ $ (!\led_flash_cnt[2725][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2725][7]~q\,
	cin => \led_flash_cnt[2725][6]~65041\,
	combout => \led_flash_cnt[2725][7]~65042_combout\);

-- Location: FF_X58_Y23_N29
\led_flash_cnt[2725][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2725][7]~65042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2725][7]~q\);

-- Location: LCCOMB_X57_Y23_N12
WideAnd2725 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2725~combout\ = (\led_flash_cnt[2725][0]~q\ & (\WideAnd2725~1_combout\ & (\WideAnd2725~0_combout\ & \led_flash_cnt[2725][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2725][0]~q\,
	datab => \WideAnd2725~1_combout\,
	datac => \WideAnd2725~0_combout\,
	datad => \led_flash_cnt[2725][7]~q\,
	combout => \WideAnd2725~combout\);

-- Location: FF_X57_Y23_N13
\led_flash_cnt_ands[2725]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2725~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2725));

-- Location: LCCOMB_X49_Y10_N30
\led_flash_cnt[2724][0]~83364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2724][0]~83364_combout\ = !\led_flash_cnt[2724][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2724][0]~q\,
	combout => \led_flash_cnt[2724][0]~83364_combout\);

-- Location: FF_X49_Y10_N31
\led_flash_cnt[2724][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2724][0]~83364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2724][0]~q\);

-- Location: LCCOMB_X49_Y10_N16
\led_flash_cnt[2724][1]~65016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2724][1]~65016_combout\ = (\led_flash_cnt[2724][0]~q\ & (\led_flash_cnt[2724][1]~q\ $ (VCC))) # (!\led_flash_cnt[2724][0]~q\ & (\led_flash_cnt[2724][1]~q\ & VCC))
-- \led_flash_cnt[2724][1]~65017\ = CARRY((\led_flash_cnt[2724][0]~q\ & \led_flash_cnt[2724][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2724][0]~q\,
	datab => \led_flash_cnt[2724][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2724][1]~65016_combout\,
	cout => \led_flash_cnt[2724][1]~65017\);

-- Location: FF_X49_Y10_N17
\led_flash_cnt[2724][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2724][1]~65016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2724][1]~q\);

-- Location: LCCOMB_X49_Y10_N18
\led_flash_cnt[2724][2]~65018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2724][2]~65018_combout\ = (\led_flash_cnt[2724][2]~q\ & (!\led_flash_cnt[2724][1]~65017\)) # (!\led_flash_cnt[2724][2]~q\ & ((\led_flash_cnt[2724][1]~65017\) # (GND)))
-- \led_flash_cnt[2724][2]~65019\ = CARRY((!\led_flash_cnt[2724][1]~65017\) # (!\led_flash_cnt[2724][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2724][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2724][1]~65017\,
	combout => \led_flash_cnt[2724][2]~65018_combout\,
	cout => \led_flash_cnt[2724][2]~65019\);

-- Location: FF_X49_Y10_N19
\led_flash_cnt[2724][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2724][2]~65018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2724][2]~q\);

-- Location: LCCOMB_X49_Y10_N20
\led_flash_cnt[2724][3]~65020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2724][3]~65020_combout\ = (\led_flash_cnt[2724][3]~q\ & (\led_flash_cnt[2724][2]~65019\ $ (GND))) # (!\led_flash_cnt[2724][3]~q\ & (!\led_flash_cnt[2724][2]~65019\ & VCC))
-- \led_flash_cnt[2724][3]~65021\ = CARRY((\led_flash_cnt[2724][3]~q\ & !\led_flash_cnt[2724][2]~65019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2724][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2724][2]~65019\,
	combout => \led_flash_cnt[2724][3]~65020_combout\,
	cout => \led_flash_cnt[2724][3]~65021\);

-- Location: FF_X49_Y10_N21
\led_flash_cnt[2724][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2724][3]~65020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2724][3]~q\);

-- Location: LCCOMB_X49_Y10_N22
\led_flash_cnt[2724][4]~65022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2724][4]~65022_combout\ = (\led_flash_cnt[2724][4]~q\ & (!\led_flash_cnt[2724][3]~65021\)) # (!\led_flash_cnt[2724][4]~q\ & ((\led_flash_cnt[2724][3]~65021\) # (GND)))
-- \led_flash_cnt[2724][4]~65023\ = CARRY((!\led_flash_cnt[2724][3]~65021\) # (!\led_flash_cnt[2724][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2724][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2724][3]~65021\,
	combout => \led_flash_cnt[2724][4]~65022_combout\,
	cout => \led_flash_cnt[2724][4]~65023\);

-- Location: FF_X49_Y10_N23
\led_flash_cnt[2724][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2724][4]~65022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2724][4]~q\);

-- Location: LCCOMB_X49_Y10_N24
\led_flash_cnt[2724][5]~65024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2724][5]~65024_combout\ = (\led_flash_cnt[2724][5]~q\ & (\led_flash_cnt[2724][4]~65023\ $ (GND))) # (!\led_flash_cnt[2724][5]~q\ & (!\led_flash_cnt[2724][4]~65023\ & VCC))
-- \led_flash_cnt[2724][5]~65025\ = CARRY((\led_flash_cnt[2724][5]~q\ & !\led_flash_cnt[2724][4]~65023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2724][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2724][4]~65023\,
	combout => \led_flash_cnt[2724][5]~65024_combout\,
	cout => \led_flash_cnt[2724][5]~65025\);

-- Location: FF_X49_Y10_N25
\led_flash_cnt[2724][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2724][5]~65024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2724][5]~q\);

-- Location: LCCOMB_X49_Y10_N26
\led_flash_cnt[2724][6]~65026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2724][6]~65026_combout\ = (\led_flash_cnt[2724][6]~q\ & (!\led_flash_cnt[2724][5]~65025\)) # (!\led_flash_cnt[2724][6]~q\ & ((\led_flash_cnt[2724][5]~65025\) # (GND)))
-- \led_flash_cnt[2724][6]~65027\ = CARRY((!\led_flash_cnt[2724][5]~65025\) # (!\led_flash_cnt[2724][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2724][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2724][5]~65025\,
	combout => \led_flash_cnt[2724][6]~65026_combout\,
	cout => \led_flash_cnt[2724][6]~65027\);

-- Location: FF_X49_Y10_N27
\led_flash_cnt[2724][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2724][6]~65026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2724][6]~q\);

-- Location: LCCOMB_X49_Y10_N12
\WideAnd2724~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2724~1_combout\ = (\led_flash_cnt[2724][6]~q\ & \led_flash_cnt[2724][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2724][6]~q\,
	datad => \led_flash_cnt[2724][5]~q\,
	combout => \WideAnd2724~1_combout\);

-- Location: LCCOMB_X49_Y10_N28
\led_flash_cnt[2724][7]~65028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2724][7]~65028_combout\ = \led_flash_cnt[2724][6]~65027\ $ (!\led_flash_cnt[2724][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2724][7]~q\,
	cin => \led_flash_cnt[2724][6]~65027\,
	combout => \led_flash_cnt[2724][7]~65028_combout\);

-- Location: FF_X49_Y10_N29
\led_flash_cnt[2724][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2724][7]~65028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2724][7]~q\);

-- Location: LCCOMB_X49_Y10_N2
\WideAnd2724~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2724~0_combout\ = (\led_flash_cnt[2724][1]~q\ & (\led_flash_cnt[2724][2]~q\ & (\led_flash_cnt[2724][4]~q\ & \led_flash_cnt[2724][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2724][1]~q\,
	datab => \led_flash_cnt[2724][2]~q\,
	datac => \led_flash_cnt[2724][4]~q\,
	datad => \led_flash_cnt[2724][3]~q\,
	combout => \WideAnd2724~0_combout\);

-- Location: LCCOMB_X49_Y10_N14
WideAnd2724 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2724~combout\ = (\WideAnd2724~1_combout\ & (\led_flash_cnt[2724][7]~q\ & (\led_flash_cnt[2724][0]~q\ & \WideAnd2724~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2724~1_combout\,
	datab => \led_flash_cnt[2724][7]~q\,
	datac => \led_flash_cnt[2724][0]~q\,
	datad => \WideAnd2724~0_combout\,
	combout => \WideAnd2724~combout\);

-- Location: FF_X49_Y10_N15
\led_flash_cnt_ands[2724]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2724~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2724));

-- Location: LCCOMB_X49_Y19_N2
\WideAnd4180~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4180~1_combout\ = (led_flash_cnt_ands(2725) & led_flash_cnt_ands(2724))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2725),
	datad => led_flash_cnt_ands(2724),
	combout => \WideAnd4180~1_combout\);

-- Location: LCCOMB_X49_Y19_N4
WideAnd4180 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4180~combout\ = (led_flash_cnt_ands(2727) & (led_flash_cnt_ands(2726) & (\WideAnd4180~0_combout\ & \WideAnd4180~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2727),
	datab => led_flash_cnt_ands(2726),
	datac => \WideAnd4180~0_combout\,
	datad => \WideAnd4180~1_combout\,
	combout => \WideAnd4180~combout\);

-- Location: FF_X49_Y19_N5
\led_flash_cnt_ands_1[340]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4180~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(340));

-- Location: LCCOMB_X36_Y11_N18
\led_flash_cnt[2734][0]~83374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2734][0]~83374_combout\ = !\led_flash_cnt[2734][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2734][0]~q\,
	combout => \led_flash_cnt[2734][0]~83374_combout\);

-- Location: FF_X36_Y11_N19
\led_flash_cnt[2734][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2734][0]~83374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2734][0]~q\);

-- Location: LCCOMB_X36_Y11_N0
\led_flash_cnt[2734][1]~65156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2734][1]~65156_combout\ = (\led_flash_cnt[2734][0]~q\ & (\led_flash_cnt[2734][1]~q\ $ (VCC))) # (!\led_flash_cnt[2734][0]~q\ & (\led_flash_cnt[2734][1]~q\ & VCC))
-- \led_flash_cnt[2734][1]~65157\ = CARRY((\led_flash_cnt[2734][0]~q\ & \led_flash_cnt[2734][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2734][0]~q\,
	datab => \led_flash_cnt[2734][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2734][1]~65156_combout\,
	cout => \led_flash_cnt[2734][1]~65157\);

-- Location: FF_X36_Y11_N1
\led_flash_cnt[2734][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2734][1]~65156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2734][1]~q\);

-- Location: LCCOMB_X36_Y11_N2
\led_flash_cnt[2734][2]~65158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2734][2]~65158_combout\ = (\led_flash_cnt[2734][2]~q\ & (!\led_flash_cnt[2734][1]~65157\)) # (!\led_flash_cnt[2734][2]~q\ & ((\led_flash_cnt[2734][1]~65157\) # (GND)))
-- \led_flash_cnt[2734][2]~65159\ = CARRY((!\led_flash_cnt[2734][1]~65157\) # (!\led_flash_cnt[2734][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2734][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2734][1]~65157\,
	combout => \led_flash_cnt[2734][2]~65158_combout\,
	cout => \led_flash_cnt[2734][2]~65159\);

-- Location: FF_X36_Y11_N3
\led_flash_cnt[2734][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2734][2]~65158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2734][2]~q\);

-- Location: LCCOMB_X36_Y11_N4
\led_flash_cnt[2734][3]~65160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2734][3]~65160_combout\ = (\led_flash_cnt[2734][3]~q\ & (\led_flash_cnt[2734][2]~65159\ $ (GND))) # (!\led_flash_cnt[2734][3]~q\ & (!\led_flash_cnt[2734][2]~65159\ & VCC))
-- \led_flash_cnt[2734][3]~65161\ = CARRY((\led_flash_cnt[2734][3]~q\ & !\led_flash_cnt[2734][2]~65159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2734][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2734][2]~65159\,
	combout => \led_flash_cnt[2734][3]~65160_combout\,
	cout => \led_flash_cnt[2734][3]~65161\);

-- Location: FF_X36_Y11_N5
\led_flash_cnt[2734][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2734][3]~65160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2734][3]~q\);

-- Location: LCCOMB_X36_Y11_N6
\led_flash_cnt[2734][4]~65162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2734][4]~65162_combout\ = (\led_flash_cnt[2734][4]~q\ & (!\led_flash_cnt[2734][3]~65161\)) # (!\led_flash_cnt[2734][4]~q\ & ((\led_flash_cnt[2734][3]~65161\) # (GND)))
-- \led_flash_cnt[2734][4]~65163\ = CARRY((!\led_flash_cnt[2734][3]~65161\) # (!\led_flash_cnt[2734][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2734][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2734][3]~65161\,
	combout => \led_flash_cnt[2734][4]~65162_combout\,
	cout => \led_flash_cnt[2734][4]~65163\);

-- Location: FF_X36_Y11_N7
\led_flash_cnt[2734][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2734][4]~65162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2734][4]~q\);

-- Location: LCCOMB_X36_Y11_N8
\led_flash_cnt[2734][5]~65164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2734][5]~65164_combout\ = (\led_flash_cnt[2734][5]~q\ & (\led_flash_cnt[2734][4]~65163\ $ (GND))) # (!\led_flash_cnt[2734][5]~q\ & (!\led_flash_cnt[2734][4]~65163\ & VCC))
-- \led_flash_cnt[2734][5]~65165\ = CARRY((\led_flash_cnt[2734][5]~q\ & !\led_flash_cnt[2734][4]~65163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2734][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2734][4]~65163\,
	combout => \led_flash_cnt[2734][5]~65164_combout\,
	cout => \led_flash_cnt[2734][5]~65165\);

-- Location: FF_X36_Y11_N9
\led_flash_cnt[2734][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2734][5]~65164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2734][5]~q\);

-- Location: LCCOMB_X36_Y11_N10
\led_flash_cnt[2734][6]~65166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2734][6]~65166_combout\ = (\led_flash_cnt[2734][6]~q\ & (!\led_flash_cnt[2734][5]~65165\)) # (!\led_flash_cnt[2734][6]~q\ & ((\led_flash_cnt[2734][5]~65165\) # (GND)))
-- \led_flash_cnt[2734][6]~65167\ = CARRY((!\led_flash_cnt[2734][5]~65165\) # (!\led_flash_cnt[2734][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2734][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2734][5]~65165\,
	combout => \led_flash_cnt[2734][6]~65166_combout\,
	cout => \led_flash_cnt[2734][6]~65167\);

-- Location: FF_X36_Y11_N11
\led_flash_cnt[2734][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2734][6]~65166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2734][6]~q\);

-- Location: LCCOMB_X36_Y11_N30
\WideAnd2734~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2734~1_combout\ = (\led_flash_cnt[2734][5]~q\ & \led_flash_cnt[2734][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2734][5]~q\,
	datad => \led_flash_cnt[2734][6]~q\,
	combout => \WideAnd2734~1_combout\);

-- Location: LCCOMB_X36_Y11_N14
\WideAnd2734~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2734~0_combout\ = (\led_flash_cnt[2734][4]~q\ & (\led_flash_cnt[2734][2]~q\ & (\led_flash_cnt[2734][3]~q\ & \led_flash_cnt[2734][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2734][4]~q\,
	datab => \led_flash_cnt[2734][2]~q\,
	datac => \led_flash_cnt[2734][3]~q\,
	datad => \led_flash_cnt[2734][1]~q\,
	combout => \WideAnd2734~0_combout\);

-- Location: LCCOMB_X36_Y11_N12
\led_flash_cnt[2734][7]~65168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2734][7]~65168_combout\ = \led_flash_cnt[2734][6]~65167\ $ (!\led_flash_cnt[2734][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2734][7]~q\,
	cin => \led_flash_cnt[2734][6]~65167\,
	combout => \led_flash_cnt[2734][7]~65168_combout\);

-- Location: FF_X36_Y11_N13
\led_flash_cnt[2734][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2734][7]~65168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2734][7]~q\);

-- Location: LCCOMB_X36_Y11_N16
WideAnd2734 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2734~combout\ = (\WideAnd2734~1_combout\ & (\led_flash_cnt[2734][0]~q\ & (\WideAnd2734~0_combout\ & \led_flash_cnt[2734][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2734~1_combout\,
	datab => \led_flash_cnt[2734][0]~q\,
	datac => \WideAnd2734~0_combout\,
	datad => \led_flash_cnt[2734][7]~q\,
	combout => \WideAnd2734~combout\);

-- Location: FF_X36_Y11_N17
\led_flash_cnt_ands[2734]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2734~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2734));

-- Location: LCCOMB_X41_Y26_N2
\led_flash_cnt[2735][0]~83375\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2735][0]~83375_combout\ = !\led_flash_cnt[2735][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2735][0]~q\,
	combout => \led_flash_cnt[2735][0]~83375_combout\);

-- Location: FF_X41_Y26_N3
\led_flash_cnt[2735][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2735][0]~83375_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2735][0]~q\);

-- Location: LCCOMB_X40_Y26_N0
\led_flash_cnt[2735][1]~65170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2735][1]~65170_combout\ = (\led_flash_cnt[2735][0]~q\ & (\led_flash_cnt[2735][1]~q\ $ (VCC))) # (!\led_flash_cnt[2735][0]~q\ & (\led_flash_cnt[2735][1]~q\ & VCC))
-- \led_flash_cnt[2735][1]~65171\ = CARRY((\led_flash_cnt[2735][0]~q\ & \led_flash_cnt[2735][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2735][0]~q\,
	datab => \led_flash_cnt[2735][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2735][1]~65170_combout\,
	cout => \led_flash_cnt[2735][1]~65171\);

-- Location: FF_X40_Y26_N1
\led_flash_cnt[2735][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2735][1]~65170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2735][1]~q\);

-- Location: LCCOMB_X40_Y26_N2
\led_flash_cnt[2735][2]~65172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2735][2]~65172_combout\ = (\led_flash_cnt[2735][2]~q\ & (!\led_flash_cnt[2735][1]~65171\)) # (!\led_flash_cnt[2735][2]~q\ & ((\led_flash_cnt[2735][1]~65171\) # (GND)))
-- \led_flash_cnt[2735][2]~65173\ = CARRY((!\led_flash_cnt[2735][1]~65171\) # (!\led_flash_cnt[2735][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2735][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2735][1]~65171\,
	combout => \led_flash_cnt[2735][2]~65172_combout\,
	cout => \led_flash_cnt[2735][2]~65173\);

-- Location: FF_X40_Y26_N3
\led_flash_cnt[2735][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2735][2]~65172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2735][2]~q\);

-- Location: LCCOMB_X40_Y26_N4
\led_flash_cnt[2735][3]~65174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2735][3]~65174_combout\ = (\led_flash_cnt[2735][3]~q\ & (\led_flash_cnt[2735][2]~65173\ $ (GND))) # (!\led_flash_cnt[2735][3]~q\ & (!\led_flash_cnt[2735][2]~65173\ & VCC))
-- \led_flash_cnt[2735][3]~65175\ = CARRY((\led_flash_cnt[2735][3]~q\ & !\led_flash_cnt[2735][2]~65173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2735][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2735][2]~65173\,
	combout => \led_flash_cnt[2735][3]~65174_combout\,
	cout => \led_flash_cnt[2735][3]~65175\);

-- Location: FF_X40_Y26_N5
\led_flash_cnt[2735][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2735][3]~65174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2735][3]~q\);

-- Location: LCCOMB_X40_Y26_N6
\led_flash_cnt[2735][4]~65176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2735][4]~65176_combout\ = (\led_flash_cnt[2735][4]~q\ & (!\led_flash_cnt[2735][3]~65175\)) # (!\led_flash_cnt[2735][4]~q\ & ((\led_flash_cnt[2735][3]~65175\) # (GND)))
-- \led_flash_cnt[2735][4]~65177\ = CARRY((!\led_flash_cnt[2735][3]~65175\) # (!\led_flash_cnt[2735][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2735][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2735][3]~65175\,
	combout => \led_flash_cnt[2735][4]~65176_combout\,
	cout => \led_flash_cnt[2735][4]~65177\);

-- Location: FF_X40_Y26_N7
\led_flash_cnt[2735][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2735][4]~65176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2735][4]~q\);

-- Location: LCCOMB_X40_Y26_N8
\led_flash_cnt[2735][5]~65178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2735][5]~65178_combout\ = (\led_flash_cnt[2735][5]~q\ & (\led_flash_cnt[2735][4]~65177\ $ (GND))) # (!\led_flash_cnt[2735][5]~q\ & (!\led_flash_cnt[2735][4]~65177\ & VCC))
-- \led_flash_cnt[2735][5]~65179\ = CARRY((\led_flash_cnt[2735][5]~q\ & !\led_flash_cnt[2735][4]~65177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2735][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2735][4]~65177\,
	combout => \led_flash_cnt[2735][5]~65178_combout\,
	cout => \led_flash_cnt[2735][5]~65179\);

-- Location: FF_X40_Y26_N9
\led_flash_cnt[2735][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2735][5]~65178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2735][5]~q\);

-- Location: LCCOMB_X40_Y26_N10
\led_flash_cnt[2735][6]~65180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2735][6]~65180_combout\ = (\led_flash_cnt[2735][6]~q\ & (!\led_flash_cnt[2735][5]~65179\)) # (!\led_flash_cnt[2735][6]~q\ & ((\led_flash_cnt[2735][5]~65179\) # (GND)))
-- \led_flash_cnt[2735][6]~65181\ = CARRY((!\led_flash_cnt[2735][5]~65179\) # (!\led_flash_cnt[2735][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2735][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2735][5]~65179\,
	combout => \led_flash_cnt[2735][6]~65180_combout\,
	cout => \led_flash_cnt[2735][6]~65181\);

-- Location: FF_X40_Y26_N11
\led_flash_cnt[2735][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2735][6]~65180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2735][6]~q\);

-- Location: LCCOMB_X40_Y26_N12
\led_flash_cnt[2735][7]~65182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2735][7]~65182_combout\ = \led_flash_cnt[2735][6]~65181\ $ (!\led_flash_cnt[2735][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2735][7]~q\,
	cin => \led_flash_cnt[2735][6]~65181\,
	combout => \led_flash_cnt[2735][7]~65182_combout\);

-- Location: FF_X40_Y26_N13
\led_flash_cnt[2735][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2735][7]~65182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2735][7]~q\);

-- Location: LCCOMB_X40_Y26_N16
\WideAnd2735~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2735~0_combout\ = (\led_flash_cnt[2735][4]~q\ & (\led_flash_cnt[2735][1]~q\ & (\led_flash_cnt[2735][3]~q\ & \led_flash_cnt[2735][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2735][4]~q\,
	datab => \led_flash_cnt[2735][1]~q\,
	datac => \led_flash_cnt[2735][3]~q\,
	datad => \led_flash_cnt[2735][2]~q\,
	combout => \WideAnd2735~0_combout\);

-- Location: LCCOMB_X41_Y26_N0
\WideAnd2735~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2735~1_combout\ = (\led_flash_cnt[2735][6]~q\ & \led_flash_cnt[2735][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2735][6]~q\,
	datad => \led_flash_cnt[2735][5]~q\,
	combout => \WideAnd2735~1_combout\);

-- Location: LCCOMB_X41_Y26_N30
WideAnd2735 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2735~combout\ = (\led_flash_cnt[2735][7]~q\ & (\led_flash_cnt[2735][0]~q\ & (\WideAnd2735~0_combout\ & \WideAnd2735~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2735][7]~q\,
	datab => \led_flash_cnt[2735][0]~q\,
	datac => \WideAnd2735~0_combout\,
	datad => \WideAnd2735~1_combout\,
	combout => \WideAnd2735~combout\);

-- Location: FF_X41_Y26_N31
\led_flash_cnt_ands[2735]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2735~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2735));

-- Location: LCCOMB_X42_Y19_N2
\led_flash_cnt[2729][0]~83369\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2729][0]~83369_combout\ = !\led_flash_cnt[2729][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2729][0]~q\,
	combout => \led_flash_cnt[2729][0]~83369_combout\);

-- Location: FF_X42_Y19_N3
\led_flash_cnt[2729][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2729][0]~83369_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2729][0]~q\);

-- Location: LCCOMB_X42_Y19_N6
\led_flash_cnt[2729][1]~65086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2729][1]~65086_combout\ = (\led_flash_cnt[2729][1]~q\ & (\led_flash_cnt[2729][0]~q\ $ (VCC))) # (!\led_flash_cnt[2729][1]~q\ & (\led_flash_cnt[2729][0]~q\ & VCC))
-- \led_flash_cnt[2729][1]~65087\ = CARRY((\led_flash_cnt[2729][1]~q\ & \led_flash_cnt[2729][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2729][1]~q\,
	datab => \led_flash_cnt[2729][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2729][1]~65086_combout\,
	cout => \led_flash_cnt[2729][1]~65087\);

-- Location: FF_X42_Y19_N7
\led_flash_cnt[2729][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2729][1]~65086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2729][1]~q\);

-- Location: LCCOMB_X42_Y19_N8
\led_flash_cnt[2729][2]~65088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2729][2]~65088_combout\ = (\led_flash_cnt[2729][2]~q\ & (!\led_flash_cnt[2729][1]~65087\)) # (!\led_flash_cnt[2729][2]~q\ & ((\led_flash_cnt[2729][1]~65087\) # (GND)))
-- \led_flash_cnt[2729][2]~65089\ = CARRY((!\led_flash_cnt[2729][1]~65087\) # (!\led_flash_cnt[2729][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2729][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2729][1]~65087\,
	combout => \led_flash_cnt[2729][2]~65088_combout\,
	cout => \led_flash_cnt[2729][2]~65089\);

-- Location: FF_X42_Y19_N9
\led_flash_cnt[2729][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2729][2]~65088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2729][2]~q\);

-- Location: LCCOMB_X42_Y19_N10
\led_flash_cnt[2729][3]~65090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2729][3]~65090_combout\ = (\led_flash_cnt[2729][3]~q\ & (\led_flash_cnt[2729][2]~65089\ $ (GND))) # (!\led_flash_cnt[2729][3]~q\ & (!\led_flash_cnt[2729][2]~65089\ & VCC))
-- \led_flash_cnt[2729][3]~65091\ = CARRY((\led_flash_cnt[2729][3]~q\ & !\led_flash_cnt[2729][2]~65089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2729][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2729][2]~65089\,
	combout => \led_flash_cnt[2729][3]~65090_combout\,
	cout => \led_flash_cnt[2729][3]~65091\);

-- Location: FF_X42_Y19_N11
\led_flash_cnt[2729][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2729][3]~65090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2729][3]~q\);

-- Location: LCCOMB_X42_Y19_N12
\led_flash_cnt[2729][4]~65092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2729][4]~65092_combout\ = (\led_flash_cnt[2729][4]~q\ & (!\led_flash_cnt[2729][3]~65091\)) # (!\led_flash_cnt[2729][4]~q\ & ((\led_flash_cnt[2729][3]~65091\) # (GND)))
-- \led_flash_cnt[2729][4]~65093\ = CARRY((!\led_flash_cnt[2729][3]~65091\) # (!\led_flash_cnt[2729][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2729][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2729][3]~65091\,
	combout => \led_flash_cnt[2729][4]~65092_combout\,
	cout => \led_flash_cnt[2729][4]~65093\);

-- Location: FF_X42_Y19_N13
\led_flash_cnt[2729][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2729][4]~65092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2729][4]~q\);

-- Location: LCCOMB_X42_Y19_N14
\led_flash_cnt[2729][5]~65094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2729][5]~65094_combout\ = (\led_flash_cnt[2729][5]~q\ & (\led_flash_cnt[2729][4]~65093\ $ (GND))) # (!\led_flash_cnt[2729][5]~q\ & (!\led_flash_cnt[2729][4]~65093\ & VCC))
-- \led_flash_cnt[2729][5]~65095\ = CARRY((\led_flash_cnt[2729][5]~q\ & !\led_flash_cnt[2729][4]~65093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2729][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2729][4]~65093\,
	combout => \led_flash_cnt[2729][5]~65094_combout\,
	cout => \led_flash_cnt[2729][5]~65095\);

-- Location: FF_X42_Y19_N15
\led_flash_cnt[2729][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2729][5]~65094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2729][5]~q\);

-- Location: LCCOMB_X42_Y19_N16
\led_flash_cnt[2729][6]~65096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2729][6]~65096_combout\ = (\led_flash_cnt[2729][6]~q\ & (!\led_flash_cnt[2729][5]~65095\)) # (!\led_flash_cnt[2729][6]~q\ & ((\led_flash_cnt[2729][5]~65095\) # (GND)))
-- \led_flash_cnt[2729][6]~65097\ = CARRY((!\led_flash_cnt[2729][5]~65095\) # (!\led_flash_cnt[2729][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2729][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2729][5]~65095\,
	combout => \led_flash_cnt[2729][6]~65096_combout\,
	cout => \led_flash_cnt[2729][6]~65097\);

-- Location: FF_X42_Y19_N17
\led_flash_cnt[2729][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2729][6]~65096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2729][6]~q\);

-- Location: LCCOMB_X42_Y19_N18
\led_flash_cnt[2729][7]~65098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2729][7]~65098_combout\ = \led_flash_cnt[2729][7]~q\ $ (!\led_flash_cnt[2729][6]~65097\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2729][7]~q\,
	cin => \led_flash_cnt[2729][6]~65097\,
	combout => \led_flash_cnt[2729][7]~65098_combout\);

-- Location: FF_X42_Y19_N19
\led_flash_cnt[2729][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2729][7]~65098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2729][7]~q\);

-- Location: LCCOMB_X42_Y19_N4
\WideAnd2729~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2729~1_combout\ = (\led_flash_cnt[2729][5]~q\ & \led_flash_cnt[2729][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2729][5]~q\,
	datad => \led_flash_cnt[2729][6]~q\,
	combout => \WideAnd2729~1_combout\);

-- Location: LCCOMB_X42_Y19_N28
\WideAnd2729~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2729~0_combout\ = (\led_flash_cnt[2729][4]~q\ & (\led_flash_cnt[2729][1]~q\ & (\led_flash_cnt[2729][2]~q\ & \led_flash_cnt[2729][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2729][4]~q\,
	datab => \led_flash_cnt[2729][1]~q\,
	datac => \led_flash_cnt[2729][2]~q\,
	datad => \led_flash_cnt[2729][3]~q\,
	combout => \WideAnd2729~0_combout\);

-- Location: LCCOMB_X42_Y19_N30
WideAnd2729 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2729~combout\ = (\led_flash_cnt[2729][7]~q\ & (\led_flash_cnt[2729][0]~q\ & (\WideAnd2729~1_combout\ & \WideAnd2729~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2729][7]~q\,
	datab => \led_flash_cnt[2729][0]~q\,
	datac => \WideAnd2729~1_combout\,
	datad => \WideAnd2729~0_combout\,
	combout => \WideAnd2729~combout\);

-- Location: FF_X42_Y19_N31
\led_flash_cnt_ands[2729]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2729~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2729));

-- Location: LCCOMB_X46_Y15_N18
\led_flash_cnt[2730][0]~83370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2730][0]~83370_combout\ = !\led_flash_cnt[2730][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2730][0]~q\,
	combout => \led_flash_cnt[2730][0]~83370_combout\);

-- Location: FF_X46_Y15_N19
\led_flash_cnt[2730][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2730][0]~83370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2730][0]~q\);

-- Location: LCCOMB_X46_Y15_N2
\led_flash_cnt[2730][1]~65100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2730][1]~65100_combout\ = (\led_flash_cnt[2730][1]~q\ & (\led_flash_cnt[2730][0]~q\ $ (VCC))) # (!\led_flash_cnt[2730][1]~q\ & (\led_flash_cnt[2730][0]~q\ & VCC))
-- \led_flash_cnt[2730][1]~65101\ = CARRY((\led_flash_cnt[2730][1]~q\ & \led_flash_cnt[2730][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2730][1]~q\,
	datab => \led_flash_cnt[2730][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2730][1]~65100_combout\,
	cout => \led_flash_cnt[2730][1]~65101\);

-- Location: FF_X46_Y15_N3
\led_flash_cnt[2730][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2730][1]~65100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2730][1]~q\);

-- Location: LCCOMB_X46_Y15_N4
\led_flash_cnt[2730][2]~65102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2730][2]~65102_combout\ = (\led_flash_cnt[2730][2]~q\ & (!\led_flash_cnt[2730][1]~65101\)) # (!\led_flash_cnt[2730][2]~q\ & ((\led_flash_cnt[2730][1]~65101\) # (GND)))
-- \led_flash_cnt[2730][2]~65103\ = CARRY((!\led_flash_cnt[2730][1]~65101\) # (!\led_flash_cnt[2730][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2730][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2730][1]~65101\,
	combout => \led_flash_cnt[2730][2]~65102_combout\,
	cout => \led_flash_cnt[2730][2]~65103\);

-- Location: FF_X46_Y15_N5
\led_flash_cnt[2730][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2730][2]~65102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2730][2]~q\);

-- Location: LCCOMB_X46_Y15_N6
\led_flash_cnt[2730][3]~65104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2730][3]~65104_combout\ = (\led_flash_cnt[2730][3]~q\ & (\led_flash_cnt[2730][2]~65103\ $ (GND))) # (!\led_flash_cnt[2730][3]~q\ & (!\led_flash_cnt[2730][2]~65103\ & VCC))
-- \led_flash_cnt[2730][3]~65105\ = CARRY((\led_flash_cnt[2730][3]~q\ & !\led_flash_cnt[2730][2]~65103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2730][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2730][2]~65103\,
	combout => \led_flash_cnt[2730][3]~65104_combout\,
	cout => \led_flash_cnt[2730][3]~65105\);

-- Location: FF_X46_Y15_N7
\led_flash_cnt[2730][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2730][3]~65104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2730][3]~q\);

-- Location: LCCOMB_X46_Y15_N8
\led_flash_cnt[2730][4]~65106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2730][4]~65106_combout\ = (\led_flash_cnt[2730][4]~q\ & (!\led_flash_cnt[2730][3]~65105\)) # (!\led_flash_cnt[2730][4]~q\ & ((\led_flash_cnt[2730][3]~65105\) # (GND)))
-- \led_flash_cnt[2730][4]~65107\ = CARRY((!\led_flash_cnt[2730][3]~65105\) # (!\led_flash_cnt[2730][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2730][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2730][3]~65105\,
	combout => \led_flash_cnt[2730][4]~65106_combout\,
	cout => \led_flash_cnt[2730][4]~65107\);

-- Location: FF_X46_Y15_N9
\led_flash_cnt[2730][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2730][4]~65106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2730][4]~q\);

-- Location: LCCOMB_X46_Y15_N30
\WideAnd2730~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2730~0_combout\ = (\led_flash_cnt[2730][3]~q\ & (\led_flash_cnt[2730][4]~q\ & (\led_flash_cnt[2730][2]~q\ & \led_flash_cnt[2730][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2730][3]~q\,
	datab => \led_flash_cnt[2730][4]~q\,
	datac => \led_flash_cnt[2730][2]~q\,
	datad => \led_flash_cnt[2730][1]~q\,
	combout => \WideAnd2730~0_combout\);

-- Location: LCCOMB_X46_Y15_N10
\led_flash_cnt[2730][5]~65108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2730][5]~65108_combout\ = (\led_flash_cnt[2730][5]~q\ & (\led_flash_cnt[2730][4]~65107\ $ (GND))) # (!\led_flash_cnt[2730][5]~q\ & (!\led_flash_cnt[2730][4]~65107\ & VCC))
-- \led_flash_cnt[2730][5]~65109\ = CARRY((\led_flash_cnt[2730][5]~q\ & !\led_flash_cnt[2730][4]~65107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2730][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2730][4]~65107\,
	combout => \led_flash_cnt[2730][5]~65108_combout\,
	cout => \led_flash_cnt[2730][5]~65109\);

-- Location: FF_X46_Y15_N11
\led_flash_cnt[2730][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2730][5]~65108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2730][5]~q\);

-- Location: LCCOMB_X46_Y15_N12
\led_flash_cnt[2730][6]~65110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2730][6]~65110_combout\ = (\led_flash_cnt[2730][6]~q\ & (!\led_flash_cnt[2730][5]~65109\)) # (!\led_flash_cnt[2730][6]~q\ & ((\led_flash_cnt[2730][5]~65109\) # (GND)))
-- \led_flash_cnt[2730][6]~65111\ = CARRY((!\led_flash_cnt[2730][5]~65109\) # (!\led_flash_cnt[2730][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2730][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2730][5]~65109\,
	combout => \led_flash_cnt[2730][6]~65110_combout\,
	cout => \led_flash_cnt[2730][6]~65111\);

-- Location: FF_X46_Y15_N13
\led_flash_cnt[2730][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2730][6]~65110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2730][6]~q\);

-- Location: LCCOMB_X46_Y15_N24
\WideAnd2730~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2730~1_combout\ = (\led_flash_cnt[2730][6]~q\ & \led_flash_cnt[2730][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2730][6]~q\,
	datad => \led_flash_cnt[2730][5]~q\,
	combout => \WideAnd2730~1_combout\);

-- Location: LCCOMB_X46_Y15_N14
\led_flash_cnt[2730][7]~65112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2730][7]~65112_combout\ = \led_flash_cnt[2730][7]~q\ $ (!\led_flash_cnt[2730][6]~65111\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2730][7]~q\,
	cin => \led_flash_cnt[2730][6]~65111\,
	combout => \led_flash_cnt[2730][7]~65112_combout\);

-- Location: FF_X46_Y15_N15
\led_flash_cnt[2730][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2730][7]~65112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2730][7]~q\);

-- Location: LCCOMB_X46_Y15_N26
WideAnd2730 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2730~combout\ = (\WideAnd2730~0_combout\ & (\WideAnd2730~1_combout\ & (\led_flash_cnt[2730][7]~q\ & \led_flash_cnt[2730][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2730~0_combout\,
	datab => \WideAnd2730~1_combout\,
	datac => \led_flash_cnt[2730][7]~q\,
	datad => \led_flash_cnt[2730][0]~q\,
	combout => \WideAnd2730~combout\);

-- Location: FF_X46_Y15_N27
\led_flash_cnt_ands[2730]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2730~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2730));

-- Location: LCCOMB_X47_Y29_N2
\led_flash_cnt[2731][0]~83371\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2731][0]~83371_combout\ = !\led_flash_cnt[2731][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2731][0]~q\,
	combout => \led_flash_cnt[2731][0]~83371_combout\);

-- Location: FF_X47_Y29_N3
\led_flash_cnt[2731][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2731][0]~83371_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2731][0]~q\);

-- Location: LCCOMB_X51_Y28_N4
\led_flash_cnt[2731][1]~65114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2731][1]~65114_combout\ = (\led_flash_cnt[2731][0]~q\ & (\led_flash_cnt[2731][1]~q\ $ (VCC))) # (!\led_flash_cnt[2731][0]~q\ & (\led_flash_cnt[2731][1]~q\ & VCC))
-- \led_flash_cnt[2731][1]~65115\ = CARRY((\led_flash_cnt[2731][0]~q\ & \led_flash_cnt[2731][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2731][0]~q\,
	datab => \led_flash_cnt[2731][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2731][1]~65114_combout\,
	cout => \led_flash_cnt[2731][1]~65115\);

-- Location: FF_X51_Y28_N5
\led_flash_cnt[2731][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2731][1]~65114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2731][1]~q\);

-- Location: LCCOMB_X51_Y28_N6
\led_flash_cnt[2731][2]~65116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2731][2]~65116_combout\ = (\led_flash_cnt[2731][2]~q\ & (!\led_flash_cnt[2731][1]~65115\)) # (!\led_flash_cnt[2731][2]~q\ & ((\led_flash_cnt[2731][1]~65115\) # (GND)))
-- \led_flash_cnt[2731][2]~65117\ = CARRY((!\led_flash_cnt[2731][1]~65115\) # (!\led_flash_cnt[2731][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2731][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2731][1]~65115\,
	combout => \led_flash_cnt[2731][2]~65116_combout\,
	cout => \led_flash_cnt[2731][2]~65117\);

-- Location: FF_X51_Y28_N7
\led_flash_cnt[2731][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2731][2]~65116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2731][2]~q\);

-- Location: LCCOMB_X51_Y28_N8
\led_flash_cnt[2731][3]~65118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2731][3]~65118_combout\ = (\led_flash_cnt[2731][3]~q\ & (\led_flash_cnt[2731][2]~65117\ $ (GND))) # (!\led_flash_cnt[2731][3]~q\ & (!\led_flash_cnt[2731][2]~65117\ & VCC))
-- \led_flash_cnt[2731][3]~65119\ = CARRY((\led_flash_cnt[2731][3]~q\ & !\led_flash_cnt[2731][2]~65117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2731][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2731][2]~65117\,
	combout => \led_flash_cnt[2731][3]~65118_combout\,
	cout => \led_flash_cnt[2731][3]~65119\);

-- Location: FF_X51_Y28_N9
\led_flash_cnt[2731][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2731][3]~65118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2731][3]~q\);

-- Location: LCCOMB_X51_Y28_N10
\led_flash_cnt[2731][4]~65120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2731][4]~65120_combout\ = (\led_flash_cnt[2731][4]~q\ & (!\led_flash_cnt[2731][3]~65119\)) # (!\led_flash_cnt[2731][4]~q\ & ((\led_flash_cnt[2731][3]~65119\) # (GND)))
-- \led_flash_cnt[2731][4]~65121\ = CARRY((!\led_flash_cnt[2731][3]~65119\) # (!\led_flash_cnt[2731][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2731][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2731][3]~65119\,
	combout => \led_flash_cnt[2731][4]~65120_combout\,
	cout => \led_flash_cnt[2731][4]~65121\);

-- Location: FF_X51_Y28_N11
\led_flash_cnt[2731][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2731][4]~65120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2731][4]~q\);

-- Location: LCCOMB_X51_Y28_N0
\WideAnd2731~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2731~0_combout\ = (\led_flash_cnt[2731][4]~q\ & (\led_flash_cnt[2731][1]~q\ & (\led_flash_cnt[2731][3]~q\ & \led_flash_cnt[2731][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2731][4]~q\,
	datab => \led_flash_cnt[2731][1]~q\,
	datac => \led_flash_cnt[2731][3]~q\,
	datad => \led_flash_cnt[2731][2]~q\,
	combout => \WideAnd2731~0_combout\);

-- Location: LCCOMB_X51_Y28_N12
\led_flash_cnt[2731][5]~65122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2731][5]~65122_combout\ = (\led_flash_cnt[2731][5]~q\ & (\led_flash_cnt[2731][4]~65121\ $ (GND))) # (!\led_flash_cnt[2731][5]~q\ & (!\led_flash_cnt[2731][4]~65121\ & VCC))
-- \led_flash_cnt[2731][5]~65123\ = CARRY((\led_flash_cnt[2731][5]~q\ & !\led_flash_cnt[2731][4]~65121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2731][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2731][4]~65121\,
	combout => \led_flash_cnt[2731][5]~65122_combout\,
	cout => \led_flash_cnt[2731][5]~65123\);

-- Location: FF_X51_Y28_N13
\led_flash_cnt[2731][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2731][5]~65122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2731][5]~q\);

-- Location: LCCOMB_X51_Y28_N14
\led_flash_cnt[2731][6]~65124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2731][6]~65124_combout\ = (\led_flash_cnt[2731][6]~q\ & (!\led_flash_cnt[2731][5]~65123\)) # (!\led_flash_cnt[2731][6]~q\ & ((\led_flash_cnt[2731][5]~65123\) # (GND)))
-- \led_flash_cnt[2731][6]~65125\ = CARRY((!\led_flash_cnt[2731][5]~65123\) # (!\led_flash_cnt[2731][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2731][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2731][5]~65123\,
	combout => \led_flash_cnt[2731][6]~65124_combout\,
	cout => \led_flash_cnt[2731][6]~65125\);

-- Location: FF_X51_Y28_N15
\led_flash_cnt[2731][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2731][6]~65124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2731][6]~q\);

-- Location: LCCOMB_X51_Y28_N16
\led_flash_cnt[2731][7]~65126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2731][7]~65126_combout\ = \led_flash_cnt[2731][6]~65125\ $ (!\led_flash_cnt[2731][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2731][7]~q\,
	cin => \led_flash_cnt[2731][6]~65125\,
	combout => \led_flash_cnt[2731][7]~65126_combout\);

-- Location: FF_X51_Y28_N17
\led_flash_cnt[2731][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2731][7]~65126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2731][7]~q\);

-- Location: LCCOMB_X47_Y29_N0
\WideAnd2731~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2731~1_combout\ = (\led_flash_cnt[2731][6]~q\ & \led_flash_cnt[2731][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2731][6]~q\,
	datac => \led_flash_cnt[2731][5]~q\,
	combout => \WideAnd2731~1_combout\);

-- Location: LCCOMB_X47_Y29_N8
WideAnd2731 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2731~combout\ = (\WideAnd2731~0_combout\ & (\led_flash_cnt[2731][0]~q\ & (\led_flash_cnt[2731][7]~q\ & \WideAnd2731~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2731~0_combout\,
	datab => \led_flash_cnt[2731][0]~q\,
	datac => \led_flash_cnt[2731][7]~q\,
	datad => \WideAnd2731~1_combout\,
	combout => \WideAnd2731~combout\);

-- Location: FF_X47_Y29_N9
\led_flash_cnt_ands[2731]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2731~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2731));

-- Location: LCCOMB_X42_Y19_N26
\led_flash_cnt[2728][0]~83368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2728][0]~83368_combout\ = !\led_flash_cnt[2728][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2728][0]~q\,
	combout => \led_flash_cnt[2728][0]~83368_combout\);

-- Location: FF_X42_Y19_N27
\led_flash_cnt[2728][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2728][0]~83368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2728][0]~q\);

-- Location: LCCOMB_X43_Y19_N4
\led_flash_cnt[2728][1]~65072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2728][1]~65072_combout\ = (\led_flash_cnt[2728][0]~q\ & (\led_flash_cnt[2728][1]~q\ $ (VCC))) # (!\led_flash_cnt[2728][0]~q\ & (\led_flash_cnt[2728][1]~q\ & VCC))
-- \led_flash_cnt[2728][1]~65073\ = CARRY((\led_flash_cnt[2728][0]~q\ & \led_flash_cnt[2728][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2728][0]~q\,
	datab => \led_flash_cnt[2728][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2728][1]~65072_combout\,
	cout => \led_flash_cnt[2728][1]~65073\);

-- Location: FF_X43_Y19_N5
\led_flash_cnt[2728][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2728][1]~65072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2728][1]~q\);

-- Location: LCCOMB_X43_Y19_N6
\led_flash_cnt[2728][2]~65074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2728][2]~65074_combout\ = (\led_flash_cnt[2728][2]~q\ & (!\led_flash_cnt[2728][1]~65073\)) # (!\led_flash_cnt[2728][2]~q\ & ((\led_flash_cnt[2728][1]~65073\) # (GND)))
-- \led_flash_cnt[2728][2]~65075\ = CARRY((!\led_flash_cnt[2728][1]~65073\) # (!\led_flash_cnt[2728][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2728][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2728][1]~65073\,
	combout => \led_flash_cnt[2728][2]~65074_combout\,
	cout => \led_flash_cnt[2728][2]~65075\);

-- Location: FF_X43_Y19_N7
\led_flash_cnt[2728][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2728][2]~65074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2728][2]~q\);

-- Location: LCCOMB_X43_Y19_N8
\led_flash_cnt[2728][3]~65076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2728][3]~65076_combout\ = (\led_flash_cnt[2728][3]~q\ & (\led_flash_cnt[2728][2]~65075\ $ (GND))) # (!\led_flash_cnt[2728][3]~q\ & (!\led_flash_cnt[2728][2]~65075\ & VCC))
-- \led_flash_cnt[2728][3]~65077\ = CARRY((\led_flash_cnt[2728][3]~q\ & !\led_flash_cnt[2728][2]~65075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2728][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2728][2]~65075\,
	combout => \led_flash_cnt[2728][3]~65076_combout\,
	cout => \led_flash_cnt[2728][3]~65077\);

-- Location: FF_X43_Y19_N9
\led_flash_cnt[2728][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2728][3]~65076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2728][3]~q\);

-- Location: LCCOMB_X43_Y19_N10
\led_flash_cnt[2728][4]~65078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2728][4]~65078_combout\ = (\led_flash_cnt[2728][4]~q\ & (!\led_flash_cnt[2728][3]~65077\)) # (!\led_flash_cnt[2728][4]~q\ & ((\led_flash_cnt[2728][3]~65077\) # (GND)))
-- \led_flash_cnt[2728][4]~65079\ = CARRY((!\led_flash_cnt[2728][3]~65077\) # (!\led_flash_cnt[2728][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2728][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2728][3]~65077\,
	combout => \led_flash_cnt[2728][4]~65078_combout\,
	cout => \led_flash_cnt[2728][4]~65079\);

-- Location: FF_X43_Y19_N11
\led_flash_cnt[2728][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2728][4]~65078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2728][4]~q\);

-- Location: LCCOMB_X43_Y19_N12
\led_flash_cnt[2728][5]~65080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2728][5]~65080_combout\ = (\led_flash_cnt[2728][5]~q\ & (\led_flash_cnt[2728][4]~65079\ $ (GND))) # (!\led_flash_cnt[2728][5]~q\ & (!\led_flash_cnt[2728][4]~65079\ & VCC))
-- \led_flash_cnt[2728][5]~65081\ = CARRY((\led_flash_cnt[2728][5]~q\ & !\led_flash_cnt[2728][4]~65079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2728][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2728][4]~65079\,
	combout => \led_flash_cnt[2728][5]~65080_combout\,
	cout => \led_flash_cnt[2728][5]~65081\);

-- Location: FF_X43_Y19_N13
\led_flash_cnt[2728][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2728][5]~65080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2728][5]~q\);

-- Location: LCCOMB_X43_Y19_N14
\led_flash_cnt[2728][6]~65082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2728][6]~65082_combout\ = (\led_flash_cnt[2728][6]~q\ & (!\led_flash_cnt[2728][5]~65081\)) # (!\led_flash_cnt[2728][6]~q\ & ((\led_flash_cnt[2728][5]~65081\) # (GND)))
-- \led_flash_cnt[2728][6]~65083\ = CARRY((!\led_flash_cnt[2728][5]~65081\) # (!\led_flash_cnt[2728][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2728][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2728][5]~65081\,
	combout => \led_flash_cnt[2728][6]~65082_combout\,
	cout => \led_flash_cnt[2728][6]~65083\);

-- Location: FF_X43_Y19_N15
\led_flash_cnt[2728][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2728][6]~65082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2728][6]~q\);

-- Location: LCCOMB_X43_Y19_N16
\led_flash_cnt[2728][7]~65084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2728][7]~65084_combout\ = \led_flash_cnt[2728][6]~65083\ $ (!\led_flash_cnt[2728][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2728][7]~q\,
	cin => \led_flash_cnt[2728][6]~65083\,
	combout => \led_flash_cnt[2728][7]~65084_combout\);

-- Location: FF_X43_Y19_N17
\led_flash_cnt[2728][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2728][7]~65084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2728][7]~q\);

-- Location: LCCOMB_X42_Y19_N22
\WideAnd2728~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2728~1_combout\ = (\led_flash_cnt[2728][6]~q\ & \led_flash_cnt[2728][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2728][6]~q\,
	datac => \led_flash_cnt[2728][5]~q\,
	combout => \WideAnd2728~1_combout\);

-- Location: LCCOMB_X43_Y19_N2
\WideAnd2728~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2728~0_combout\ = (\led_flash_cnt[2728][4]~q\ & (\led_flash_cnt[2728][3]~q\ & (\led_flash_cnt[2728][1]~q\ & \led_flash_cnt[2728][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2728][4]~q\,
	datab => \led_flash_cnt[2728][3]~q\,
	datac => \led_flash_cnt[2728][1]~q\,
	datad => \led_flash_cnt[2728][2]~q\,
	combout => \WideAnd2728~0_combout\);

-- Location: LCCOMB_X42_Y19_N20
WideAnd2728 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2728~combout\ = (\led_flash_cnt[2728][0]~q\ & (\led_flash_cnt[2728][7]~q\ & (\WideAnd2728~1_combout\ & \WideAnd2728~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2728][0]~q\,
	datab => \led_flash_cnt[2728][7]~q\,
	datac => \WideAnd2728~1_combout\,
	datad => \WideAnd2728~0_combout\,
	combout => \WideAnd2728~combout\);

-- Location: FF_X42_Y19_N21
\led_flash_cnt_ands[2728]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2728~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2728));

-- Location: LCCOMB_X42_Y19_N0
\WideAnd4181~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4181~0_combout\ = (led_flash_cnt_ands(2729) & (led_flash_cnt_ands(2730) & (led_flash_cnt_ands(2731) & led_flash_cnt_ands(2728))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2729),
	datab => led_flash_cnt_ands(2730),
	datac => led_flash_cnt_ands(2731),
	datad => led_flash_cnt_ands(2728),
	combout => \WideAnd4181~0_combout\);

-- Location: LCCOMB_X13_Y33_N6
\led_flash_cnt[2732][0]~83372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2732][0]~83372_combout\ = !\led_flash_cnt[2732][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2732][0]~q\,
	combout => \led_flash_cnt[2732][0]~83372_combout\);

-- Location: FF_X13_Y33_N7
\led_flash_cnt[2732][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2732][0]~83372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2732][0]~q\);

-- Location: LCCOMB_X13_Y33_N10
\led_flash_cnt[2732][1]~65128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2732][1]~65128_combout\ = (\led_flash_cnt[2732][0]~q\ & (\led_flash_cnt[2732][1]~q\ $ (VCC))) # (!\led_flash_cnt[2732][0]~q\ & (\led_flash_cnt[2732][1]~q\ & VCC))
-- \led_flash_cnt[2732][1]~65129\ = CARRY((\led_flash_cnt[2732][0]~q\ & \led_flash_cnt[2732][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2732][0]~q\,
	datab => \led_flash_cnt[2732][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2732][1]~65128_combout\,
	cout => \led_flash_cnt[2732][1]~65129\);

-- Location: FF_X13_Y33_N11
\led_flash_cnt[2732][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2732][1]~65128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2732][1]~q\);

-- Location: LCCOMB_X13_Y33_N12
\led_flash_cnt[2732][2]~65130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2732][2]~65130_combout\ = (\led_flash_cnt[2732][2]~q\ & (!\led_flash_cnt[2732][1]~65129\)) # (!\led_flash_cnt[2732][2]~q\ & ((\led_flash_cnt[2732][1]~65129\) # (GND)))
-- \led_flash_cnt[2732][2]~65131\ = CARRY((!\led_flash_cnt[2732][1]~65129\) # (!\led_flash_cnt[2732][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2732][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2732][1]~65129\,
	combout => \led_flash_cnt[2732][2]~65130_combout\,
	cout => \led_flash_cnt[2732][2]~65131\);

-- Location: FF_X13_Y33_N13
\led_flash_cnt[2732][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2732][2]~65130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2732][2]~q\);

-- Location: LCCOMB_X13_Y33_N14
\led_flash_cnt[2732][3]~65132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2732][3]~65132_combout\ = (\led_flash_cnt[2732][3]~q\ & (\led_flash_cnt[2732][2]~65131\ $ (GND))) # (!\led_flash_cnt[2732][3]~q\ & (!\led_flash_cnt[2732][2]~65131\ & VCC))
-- \led_flash_cnt[2732][3]~65133\ = CARRY((\led_flash_cnt[2732][3]~q\ & !\led_flash_cnt[2732][2]~65131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2732][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2732][2]~65131\,
	combout => \led_flash_cnt[2732][3]~65132_combout\,
	cout => \led_flash_cnt[2732][3]~65133\);

-- Location: FF_X13_Y33_N15
\led_flash_cnt[2732][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2732][3]~65132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2732][3]~q\);

-- Location: LCCOMB_X13_Y33_N16
\led_flash_cnt[2732][4]~65134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2732][4]~65134_combout\ = (\led_flash_cnt[2732][4]~q\ & (!\led_flash_cnt[2732][3]~65133\)) # (!\led_flash_cnt[2732][4]~q\ & ((\led_flash_cnt[2732][3]~65133\) # (GND)))
-- \led_flash_cnt[2732][4]~65135\ = CARRY((!\led_flash_cnt[2732][3]~65133\) # (!\led_flash_cnt[2732][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2732][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2732][3]~65133\,
	combout => \led_flash_cnt[2732][4]~65134_combout\,
	cout => \led_flash_cnt[2732][4]~65135\);

-- Location: FF_X13_Y33_N17
\led_flash_cnt[2732][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2732][4]~65134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2732][4]~q\);

-- Location: LCCOMB_X13_Y33_N18
\led_flash_cnt[2732][5]~65136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2732][5]~65136_combout\ = (\led_flash_cnt[2732][5]~q\ & (\led_flash_cnt[2732][4]~65135\ $ (GND))) # (!\led_flash_cnt[2732][5]~q\ & (!\led_flash_cnt[2732][4]~65135\ & VCC))
-- \led_flash_cnt[2732][5]~65137\ = CARRY((\led_flash_cnt[2732][5]~q\ & !\led_flash_cnt[2732][4]~65135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2732][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2732][4]~65135\,
	combout => \led_flash_cnt[2732][5]~65136_combout\,
	cout => \led_flash_cnt[2732][5]~65137\);

-- Location: FF_X13_Y33_N19
\led_flash_cnt[2732][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2732][5]~65136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2732][5]~q\);

-- Location: LCCOMB_X13_Y33_N20
\led_flash_cnt[2732][6]~65138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2732][6]~65138_combout\ = (\led_flash_cnt[2732][6]~q\ & (!\led_flash_cnt[2732][5]~65137\)) # (!\led_flash_cnt[2732][6]~q\ & ((\led_flash_cnt[2732][5]~65137\) # (GND)))
-- \led_flash_cnt[2732][6]~65139\ = CARRY((!\led_flash_cnt[2732][5]~65137\) # (!\led_flash_cnt[2732][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2732][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2732][5]~65137\,
	combout => \led_flash_cnt[2732][6]~65138_combout\,
	cout => \led_flash_cnt[2732][6]~65139\);

-- Location: FF_X13_Y33_N21
\led_flash_cnt[2732][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2732][6]~65138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2732][6]~q\);

-- Location: LCCOMB_X13_Y33_N26
\WideAnd2732~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2732~1_combout\ = (\led_flash_cnt[2732][5]~q\ & \led_flash_cnt[2732][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2732][5]~q\,
	datad => \led_flash_cnt[2732][6]~q\,
	combout => \WideAnd2732~1_combout\);

-- Location: LCCOMB_X13_Y33_N28
\WideAnd2732~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2732~0_combout\ = (\led_flash_cnt[2732][1]~q\ & (\led_flash_cnt[2732][4]~q\ & (\led_flash_cnt[2732][3]~q\ & \led_flash_cnt[2732][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2732][1]~q\,
	datab => \led_flash_cnt[2732][4]~q\,
	datac => \led_flash_cnt[2732][3]~q\,
	datad => \led_flash_cnt[2732][2]~q\,
	combout => \WideAnd2732~0_combout\);

-- Location: LCCOMB_X13_Y33_N22
\led_flash_cnt[2732][7]~65140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2732][7]~65140_combout\ = \led_flash_cnt[2732][7]~q\ $ (!\led_flash_cnt[2732][6]~65139\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2732][7]~q\,
	cin => \led_flash_cnt[2732][6]~65139\,
	combout => \led_flash_cnt[2732][7]~65140_combout\);

-- Location: FF_X13_Y33_N23
\led_flash_cnt[2732][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2732][7]~65140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2732][7]~q\);

-- Location: LCCOMB_X13_Y33_N4
WideAnd2732 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2732~combout\ = (\WideAnd2732~1_combout\ & (\WideAnd2732~0_combout\ & (\led_flash_cnt[2732][7]~q\ & \led_flash_cnt[2732][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2732~1_combout\,
	datab => \WideAnd2732~0_combout\,
	datac => \led_flash_cnt[2732][7]~q\,
	datad => \led_flash_cnt[2732][0]~q\,
	combout => \WideAnd2732~combout\);

-- Location: FF_X13_Y33_N5
\led_flash_cnt_ands[2732]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2732~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2732));

-- Location: LCCOMB_X41_Y26_N6
\led_flash_cnt[2733][0]~83373\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2733][0]~83373_combout\ = !\led_flash_cnt[2733][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2733][0]~q\,
	combout => \led_flash_cnt[2733][0]~83373_combout\);

-- Location: FF_X41_Y26_N7
\led_flash_cnt[2733][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2733][0]~83373_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2733][0]~q\);

-- Location: LCCOMB_X41_Y26_N14
\led_flash_cnt[2733][1]~65142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2733][1]~65142_combout\ = (\led_flash_cnt[2733][0]~q\ & (\led_flash_cnt[2733][1]~q\ $ (VCC))) # (!\led_flash_cnt[2733][0]~q\ & (\led_flash_cnt[2733][1]~q\ & VCC))
-- \led_flash_cnt[2733][1]~65143\ = CARRY((\led_flash_cnt[2733][0]~q\ & \led_flash_cnt[2733][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2733][0]~q\,
	datab => \led_flash_cnt[2733][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2733][1]~65142_combout\,
	cout => \led_flash_cnt[2733][1]~65143\);

-- Location: FF_X41_Y26_N15
\led_flash_cnt[2733][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2733][1]~65142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2733][1]~q\);

-- Location: LCCOMB_X41_Y26_N16
\led_flash_cnt[2733][2]~65144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2733][2]~65144_combout\ = (\led_flash_cnt[2733][2]~q\ & (!\led_flash_cnt[2733][1]~65143\)) # (!\led_flash_cnt[2733][2]~q\ & ((\led_flash_cnt[2733][1]~65143\) # (GND)))
-- \led_flash_cnt[2733][2]~65145\ = CARRY((!\led_flash_cnt[2733][1]~65143\) # (!\led_flash_cnt[2733][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2733][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2733][1]~65143\,
	combout => \led_flash_cnt[2733][2]~65144_combout\,
	cout => \led_flash_cnt[2733][2]~65145\);

-- Location: FF_X41_Y26_N17
\led_flash_cnt[2733][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2733][2]~65144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2733][2]~q\);

-- Location: LCCOMB_X41_Y26_N18
\led_flash_cnt[2733][3]~65146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2733][3]~65146_combout\ = (\led_flash_cnt[2733][3]~q\ & (\led_flash_cnt[2733][2]~65145\ $ (GND))) # (!\led_flash_cnt[2733][3]~q\ & (!\led_flash_cnt[2733][2]~65145\ & VCC))
-- \led_flash_cnt[2733][3]~65147\ = CARRY((\led_flash_cnt[2733][3]~q\ & !\led_flash_cnt[2733][2]~65145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2733][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2733][2]~65145\,
	combout => \led_flash_cnt[2733][3]~65146_combout\,
	cout => \led_flash_cnt[2733][3]~65147\);

-- Location: FF_X41_Y26_N19
\led_flash_cnt[2733][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2733][3]~65146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2733][3]~q\);

-- Location: LCCOMB_X41_Y26_N20
\led_flash_cnt[2733][4]~65148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2733][4]~65148_combout\ = (\led_flash_cnt[2733][4]~q\ & (!\led_flash_cnt[2733][3]~65147\)) # (!\led_flash_cnt[2733][4]~q\ & ((\led_flash_cnt[2733][3]~65147\) # (GND)))
-- \led_flash_cnt[2733][4]~65149\ = CARRY((!\led_flash_cnt[2733][3]~65147\) # (!\led_flash_cnt[2733][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2733][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2733][3]~65147\,
	combout => \led_flash_cnt[2733][4]~65148_combout\,
	cout => \led_flash_cnt[2733][4]~65149\);

-- Location: FF_X41_Y26_N21
\led_flash_cnt[2733][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2733][4]~65148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2733][4]~q\);

-- Location: LCCOMB_X41_Y26_N22
\led_flash_cnt[2733][5]~65150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2733][5]~65150_combout\ = (\led_flash_cnt[2733][5]~q\ & (\led_flash_cnt[2733][4]~65149\ $ (GND))) # (!\led_flash_cnt[2733][5]~q\ & (!\led_flash_cnt[2733][4]~65149\ & VCC))
-- \led_flash_cnt[2733][5]~65151\ = CARRY((\led_flash_cnt[2733][5]~q\ & !\led_flash_cnt[2733][4]~65149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2733][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2733][4]~65149\,
	combout => \led_flash_cnt[2733][5]~65150_combout\,
	cout => \led_flash_cnt[2733][5]~65151\);

-- Location: FF_X41_Y26_N23
\led_flash_cnt[2733][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2733][5]~65150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2733][5]~q\);

-- Location: LCCOMB_X41_Y26_N24
\led_flash_cnt[2733][6]~65152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2733][6]~65152_combout\ = (\led_flash_cnt[2733][6]~q\ & (!\led_flash_cnt[2733][5]~65151\)) # (!\led_flash_cnt[2733][6]~q\ & ((\led_flash_cnt[2733][5]~65151\) # (GND)))
-- \led_flash_cnt[2733][6]~65153\ = CARRY((!\led_flash_cnt[2733][5]~65151\) # (!\led_flash_cnt[2733][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2733][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2733][5]~65151\,
	combout => \led_flash_cnt[2733][6]~65152_combout\,
	cout => \led_flash_cnt[2733][6]~65153\);

-- Location: FF_X41_Y26_N25
\led_flash_cnt[2733][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2733][6]~65152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2733][6]~q\);

-- Location: LCCOMB_X41_Y26_N26
\led_flash_cnt[2733][7]~65154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2733][7]~65154_combout\ = \led_flash_cnt[2733][7]~q\ $ (!\led_flash_cnt[2733][6]~65153\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2733][7]~q\,
	cin => \led_flash_cnt[2733][6]~65153\,
	combout => \led_flash_cnt[2733][7]~65154_combout\);

-- Location: FF_X41_Y26_N27
\led_flash_cnt[2733][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2733][7]~65154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2733][7]~q\);

-- Location: LCCOMB_X41_Y26_N8
\WideAnd2733~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2733~1_combout\ = (\led_flash_cnt[2733][5]~q\ & \led_flash_cnt[2733][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2733][5]~q\,
	datad => \led_flash_cnt[2733][6]~q\,
	combout => \WideAnd2733~1_combout\);

-- Location: LCCOMB_X41_Y26_N4
\WideAnd2733~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2733~0_combout\ = (\led_flash_cnt[2733][4]~q\ & (\led_flash_cnt[2733][3]~q\ & (\led_flash_cnt[2733][1]~q\ & \led_flash_cnt[2733][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2733][4]~q\,
	datab => \led_flash_cnt[2733][3]~q\,
	datac => \led_flash_cnt[2733][1]~q\,
	datad => \led_flash_cnt[2733][2]~q\,
	combout => \WideAnd2733~0_combout\);

-- Location: LCCOMB_X41_Y26_N10
WideAnd2733 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2733~combout\ = (\led_flash_cnt[2733][7]~q\ & (\WideAnd2733~1_combout\ & (\WideAnd2733~0_combout\ & \led_flash_cnt[2733][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2733][7]~q\,
	datab => \WideAnd2733~1_combout\,
	datac => \WideAnd2733~0_combout\,
	datad => \led_flash_cnt[2733][0]~q\,
	combout => \WideAnd2733~combout\);

-- Location: FF_X41_Y26_N11
\led_flash_cnt_ands[2733]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2733~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2733));

-- Location: LCCOMB_X41_Y26_N28
\WideAnd4181~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4181~1_combout\ = (led_flash_cnt_ands(2732) & led_flash_cnt_ands(2733))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2732),
	datad => led_flash_cnt_ands(2733),
	combout => \WideAnd4181~1_combout\);

-- Location: LCCOMB_X42_Y26_N8
WideAnd4181 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4181~combout\ = (led_flash_cnt_ands(2734) & (led_flash_cnt_ands(2735) & (\WideAnd4181~0_combout\ & \WideAnd4181~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2734),
	datab => led_flash_cnt_ands(2735),
	datac => \WideAnd4181~0_combout\,
	datad => \WideAnd4181~1_combout\,
	combout => \WideAnd4181~combout\);

-- Location: FF_X42_Y26_N9
\led_flash_cnt_ands_1[341]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4181~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(341));

-- Location: LCCOMB_X46_Y26_N0
\WideAnd4362~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4362~1_combout\ = (led_flash_cnt_ands_1(340) & led_flash_cnt_ands_1(341))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(340),
	datad => led_flash_cnt_ands_1(341),
	combout => \WideAnd4362~1_combout\);

-- Location: LCCOMB_X46_Y26_N28
WideAnd4362 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4362~combout\ = (led_flash_cnt_ands_1(343) & (\WideAnd4362~0_combout\ & (led_flash_cnt_ands_1(342) & \WideAnd4362~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(343),
	datab => \WideAnd4362~0_combout\,
	datac => led_flash_cnt_ands_1(342),
	datad => \WideAnd4362~1_combout\,
	combout => \WideAnd4362~combout\);

-- Location: FF_X46_Y26_N29
\led_flash_cnt_ands_2[42]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4362~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(42));

-- Location: LCCOMB_X45_Y26_N20
\WideAnd4380~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~12_combout\ = (led_flash_cnt_ands_2(40) & (led_flash_cnt_ands_2(43) & (led_flash_cnt_ands_2(41) & led_flash_cnt_ands_2(42))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(40),
	datab => led_flash_cnt_ands_2(43),
	datac => led_flash_cnt_ands_2(41),
	datad => led_flash_cnt_ands_2(42),
	combout => \WideAnd4380~12_combout\);

-- Location: LCCOMB_X69_Y35_N22
\led_flash_cnt[2198][0]~82838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2198][0]~82838_combout\ = !\led_flash_cnt[2198][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2198][0]~q\,
	combout => \led_flash_cnt[2198][0]~82838_combout\);

-- Location: FF_X69_Y35_N23
\led_flash_cnt[2198][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2198][0]~82838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2198][0]~q\);

-- Location: LCCOMB_X69_Y35_N4
\led_flash_cnt[2198][1]~57652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2198][1]~57652_combout\ = (\led_flash_cnt[2198][0]~q\ & (\led_flash_cnt[2198][1]~q\ $ (VCC))) # (!\led_flash_cnt[2198][0]~q\ & (\led_flash_cnt[2198][1]~q\ & VCC))
-- \led_flash_cnt[2198][1]~57653\ = CARRY((\led_flash_cnt[2198][0]~q\ & \led_flash_cnt[2198][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2198][0]~q\,
	datab => \led_flash_cnt[2198][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2198][1]~57652_combout\,
	cout => \led_flash_cnt[2198][1]~57653\);

-- Location: FF_X69_Y35_N5
\led_flash_cnt[2198][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2198][1]~57652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2198][1]~q\);

-- Location: LCCOMB_X69_Y35_N6
\led_flash_cnt[2198][2]~57654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2198][2]~57654_combout\ = (\led_flash_cnt[2198][2]~q\ & (!\led_flash_cnt[2198][1]~57653\)) # (!\led_flash_cnt[2198][2]~q\ & ((\led_flash_cnt[2198][1]~57653\) # (GND)))
-- \led_flash_cnt[2198][2]~57655\ = CARRY((!\led_flash_cnt[2198][1]~57653\) # (!\led_flash_cnt[2198][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2198][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2198][1]~57653\,
	combout => \led_flash_cnt[2198][2]~57654_combout\,
	cout => \led_flash_cnt[2198][2]~57655\);

-- Location: FF_X69_Y35_N7
\led_flash_cnt[2198][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2198][2]~57654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2198][2]~q\);

-- Location: LCCOMB_X69_Y35_N8
\led_flash_cnt[2198][3]~57656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2198][3]~57656_combout\ = (\led_flash_cnt[2198][3]~q\ & (\led_flash_cnt[2198][2]~57655\ $ (GND))) # (!\led_flash_cnt[2198][3]~q\ & (!\led_flash_cnt[2198][2]~57655\ & VCC))
-- \led_flash_cnt[2198][3]~57657\ = CARRY((\led_flash_cnt[2198][3]~q\ & !\led_flash_cnt[2198][2]~57655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2198][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2198][2]~57655\,
	combout => \led_flash_cnt[2198][3]~57656_combout\,
	cout => \led_flash_cnt[2198][3]~57657\);

-- Location: FF_X69_Y35_N9
\led_flash_cnt[2198][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2198][3]~57656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2198][3]~q\);

-- Location: LCCOMB_X69_Y35_N10
\led_flash_cnt[2198][4]~57658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2198][4]~57658_combout\ = (\led_flash_cnt[2198][4]~q\ & (!\led_flash_cnt[2198][3]~57657\)) # (!\led_flash_cnt[2198][4]~q\ & ((\led_flash_cnt[2198][3]~57657\) # (GND)))
-- \led_flash_cnt[2198][4]~57659\ = CARRY((!\led_flash_cnt[2198][3]~57657\) # (!\led_flash_cnt[2198][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2198][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2198][3]~57657\,
	combout => \led_flash_cnt[2198][4]~57658_combout\,
	cout => \led_flash_cnt[2198][4]~57659\);

-- Location: FF_X69_Y35_N11
\led_flash_cnt[2198][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2198][4]~57658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2198][4]~q\);

-- Location: LCCOMB_X69_Y35_N12
\led_flash_cnt[2198][5]~57660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2198][5]~57660_combout\ = (\led_flash_cnt[2198][5]~q\ & (\led_flash_cnt[2198][4]~57659\ $ (GND))) # (!\led_flash_cnt[2198][5]~q\ & (!\led_flash_cnt[2198][4]~57659\ & VCC))
-- \led_flash_cnt[2198][5]~57661\ = CARRY((\led_flash_cnt[2198][5]~q\ & !\led_flash_cnt[2198][4]~57659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2198][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2198][4]~57659\,
	combout => \led_flash_cnt[2198][5]~57660_combout\,
	cout => \led_flash_cnt[2198][5]~57661\);

-- Location: FF_X69_Y35_N13
\led_flash_cnt[2198][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2198][5]~57660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2198][5]~q\);

-- Location: LCCOMB_X69_Y35_N14
\led_flash_cnt[2198][6]~57662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2198][6]~57662_combout\ = (\led_flash_cnt[2198][6]~q\ & (!\led_flash_cnt[2198][5]~57661\)) # (!\led_flash_cnt[2198][6]~q\ & ((\led_flash_cnt[2198][5]~57661\) # (GND)))
-- \led_flash_cnt[2198][6]~57663\ = CARRY((!\led_flash_cnt[2198][5]~57661\) # (!\led_flash_cnt[2198][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2198][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2198][5]~57661\,
	combout => \led_flash_cnt[2198][6]~57662_combout\,
	cout => \led_flash_cnt[2198][6]~57663\);

-- Location: FF_X69_Y35_N15
\led_flash_cnt[2198][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2198][6]~57662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2198][6]~q\);

-- Location: LCCOMB_X69_Y35_N16
\led_flash_cnt[2198][7]~57664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2198][7]~57664_combout\ = \led_flash_cnt[2198][6]~57663\ $ (!\led_flash_cnt[2198][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2198][7]~q\,
	cin => \led_flash_cnt[2198][6]~57663\,
	combout => \led_flash_cnt[2198][7]~57664_combout\);

-- Location: FF_X69_Y35_N17
\led_flash_cnt[2198][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2198][7]~57664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2198][7]~q\);

-- Location: LCCOMB_X69_Y35_N26
\WideAnd2198~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2198~1_combout\ = (\led_flash_cnt[2198][6]~q\ & \led_flash_cnt[2198][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2198][6]~q\,
	datad => \led_flash_cnt[2198][5]~q\,
	combout => \WideAnd2198~1_combout\);

-- Location: LCCOMB_X69_Y35_N18
\WideAnd2198~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2198~0_combout\ = (\led_flash_cnt[2198][4]~q\ & (\led_flash_cnt[2198][3]~q\ & (\led_flash_cnt[2198][1]~q\ & \led_flash_cnt[2198][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2198][4]~q\,
	datab => \led_flash_cnt[2198][3]~q\,
	datac => \led_flash_cnt[2198][1]~q\,
	datad => \led_flash_cnt[2198][2]~q\,
	combout => \WideAnd2198~0_combout\);

-- Location: LCCOMB_X69_Y35_N24
WideAnd2198 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2198~combout\ = (\led_flash_cnt[2198][0]~q\ & (\led_flash_cnt[2198][7]~q\ & (\WideAnd2198~1_combout\ & \WideAnd2198~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2198][0]~q\,
	datab => \led_flash_cnt[2198][7]~q\,
	datac => \WideAnd2198~1_combout\,
	datad => \WideAnd2198~0_combout\,
	combout => \WideAnd2198~combout\);

-- Location: FF_X69_Y35_N25
\led_flash_cnt_ands[2198]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2198~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2198));

-- Location: LCCOMB_X77_Y29_N4
\led_flash_cnt[2192][0]~82832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2192][0]~82832_combout\ = !\led_flash_cnt[2192][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2192][0]~q\,
	combout => \led_flash_cnt[2192][0]~82832_combout\);

-- Location: FF_X77_Y29_N5
\led_flash_cnt[2192][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2192][0]~82832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2192][0]~q\);

-- Location: LCCOMB_X77_Y29_N10
\led_flash_cnt[2192][1]~57568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2192][1]~57568_combout\ = (\led_flash_cnt[2192][1]~q\ & (\led_flash_cnt[2192][0]~q\ $ (VCC))) # (!\led_flash_cnt[2192][1]~q\ & (\led_flash_cnt[2192][0]~q\ & VCC))
-- \led_flash_cnt[2192][1]~57569\ = CARRY((\led_flash_cnt[2192][1]~q\ & \led_flash_cnt[2192][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2192][1]~q\,
	datab => \led_flash_cnt[2192][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2192][1]~57568_combout\,
	cout => \led_flash_cnt[2192][1]~57569\);

-- Location: FF_X77_Y29_N11
\led_flash_cnt[2192][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2192][1]~57568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2192][1]~q\);

-- Location: LCCOMB_X77_Y29_N12
\led_flash_cnt[2192][2]~57570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2192][2]~57570_combout\ = (\led_flash_cnt[2192][2]~q\ & (!\led_flash_cnt[2192][1]~57569\)) # (!\led_flash_cnt[2192][2]~q\ & ((\led_flash_cnt[2192][1]~57569\) # (GND)))
-- \led_flash_cnt[2192][2]~57571\ = CARRY((!\led_flash_cnt[2192][1]~57569\) # (!\led_flash_cnt[2192][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2192][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2192][1]~57569\,
	combout => \led_flash_cnt[2192][2]~57570_combout\,
	cout => \led_flash_cnt[2192][2]~57571\);

-- Location: FF_X77_Y29_N13
\led_flash_cnt[2192][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2192][2]~57570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2192][2]~q\);

-- Location: LCCOMB_X77_Y29_N14
\led_flash_cnt[2192][3]~57572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2192][3]~57572_combout\ = (\led_flash_cnt[2192][3]~q\ & (\led_flash_cnt[2192][2]~57571\ $ (GND))) # (!\led_flash_cnt[2192][3]~q\ & (!\led_flash_cnt[2192][2]~57571\ & VCC))
-- \led_flash_cnt[2192][3]~57573\ = CARRY((\led_flash_cnt[2192][3]~q\ & !\led_flash_cnt[2192][2]~57571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2192][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2192][2]~57571\,
	combout => \led_flash_cnt[2192][3]~57572_combout\,
	cout => \led_flash_cnt[2192][3]~57573\);

-- Location: FF_X77_Y29_N15
\led_flash_cnt[2192][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2192][3]~57572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2192][3]~q\);

-- Location: LCCOMB_X77_Y29_N16
\led_flash_cnt[2192][4]~57574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2192][4]~57574_combout\ = (\led_flash_cnt[2192][4]~q\ & (!\led_flash_cnt[2192][3]~57573\)) # (!\led_flash_cnt[2192][4]~q\ & ((\led_flash_cnt[2192][3]~57573\) # (GND)))
-- \led_flash_cnt[2192][4]~57575\ = CARRY((!\led_flash_cnt[2192][3]~57573\) # (!\led_flash_cnt[2192][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2192][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2192][3]~57573\,
	combout => \led_flash_cnt[2192][4]~57574_combout\,
	cout => \led_flash_cnt[2192][4]~57575\);

-- Location: FF_X77_Y29_N17
\led_flash_cnt[2192][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2192][4]~57574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2192][4]~q\);

-- Location: LCCOMB_X77_Y29_N18
\led_flash_cnt[2192][5]~57576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2192][5]~57576_combout\ = (\led_flash_cnt[2192][5]~q\ & (\led_flash_cnt[2192][4]~57575\ $ (GND))) # (!\led_flash_cnt[2192][5]~q\ & (!\led_flash_cnt[2192][4]~57575\ & VCC))
-- \led_flash_cnt[2192][5]~57577\ = CARRY((\led_flash_cnt[2192][5]~q\ & !\led_flash_cnt[2192][4]~57575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2192][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2192][4]~57575\,
	combout => \led_flash_cnt[2192][5]~57576_combout\,
	cout => \led_flash_cnt[2192][5]~57577\);

-- Location: FF_X77_Y29_N19
\led_flash_cnt[2192][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2192][5]~57576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2192][5]~q\);

-- Location: LCCOMB_X77_Y29_N20
\led_flash_cnt[2192][6]~57578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2192][6]~57578_combout\ = (\led_flash_cnt[2192][6]~q\ & (!\led_flash_cnt[2192][5]~57577\)) # (!\led_flash_cnt[2192][6]~q\ & ((\led_flash_cnt[2192][5]~57577\) # (GND)))
-- \led_flash_cnt[2192][6]~57579\ = CARRY((!\led_flash_cnt[2192][5]~57577\) # (!\led_flash_cnt[2192][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2192][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2192][5]~57577\,
	combout => \led_flash_cnt[2192][6]~57578_combout\,
	cout => \led_flash_cnt[2192][6]~57579\);

-- Location: FF_X77_Y29_N21
\led_flash_cnt[2192][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2192][6]~57578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2192][6]~q\);

-- Location: LCCOMB_X77_Y29_N26
\WideAnd2192~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2192~1_combout\ = (\led_flash_cnt[2192][6]~q\ & \led_flash_cnt[2192][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2192][6]~q\,
	datad => \led_flash_cnt[2192][5]~q\,
	combout => \WideAnd2192~1_combout\);

-- Location: LCCOMB_X77_Y29_N22
\led_flash_cnt[2192][7]~57580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2192][7]~57580_combout\ = \led_flash_cnt[2192][7]~q\ $ (!\led_flash_cnt[2192][6]~57579\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2192][7]~q\,
	cin => \led_flash_cnt[2192][6]~57579\,
	combout => \led_flash_cnt[2192][7]~57580_combout\);

-- Location: FF_X77_Y29_N23
\led_flash_cnt[2192][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2192][7]~57580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2192][7]~q\);

-- Location: LCCOMB_X77_Y29_N24
\WideAnd2192~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2192~0_combout\ = (\led_flash_cnt[2192][2]~q\ & (\led_flash_cnt[2192][4]~q\ & (\led_flash_cnt[2192][3]~q\ & \led_flash_cnt[2192][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2192][2]~q\,
	datab => \led_flash_cnt[2192][4]~q\,
	datac => \led_flash_cnt[2192][3]~q\,
	datad => \led_flash_cnt[2192][1]~q\,
	combout => \WideAnd2192~0_combout\);

-- Location: LCCOMB_X77_Y29_N2
WideAnd2192 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2192~combout\ = (\WideAnd2192~1_combout\ & (\led_flash_cnt[2192][0]~q\ & (\led_flash_cnt[2192][7]~q\ & \WideAnd2192~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2192~1_combout\,
	datab => \led_flash_cnt[2192][0]~q\,
	datac => \led_flash_cnt[2192][7]~q\,
	datad => \WideAnd2192~0_combout\,
	combout => \WideAnd2192~combout\);

-- Location: FF_X77_Y29_N3
\led_flash_cnt_ands[2192]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2192~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2192));

-- Location: LCCOMB_X76_Y31_N2
\led_flash_cnt[2195][0]~82835\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2195][0]~82835_combout\ = !\led_flash_cnt[2195][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2195][0]~q\,
	combout => \led_flash_cnt[2195][0]~82835_combout\);

-- Location: FF_X76_Y31_N3
\led_flash_cnt[2195][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2195][0]~82835_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2195][0]~q\);

-- Location: LCCOMB_X75_Y31_N14
\led_flash_cnt[2195][1]~57610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2195][1]~57610_combout\ = (\led_flash_cnt[2195][0]~q\ & (\led_flash_cnt[2195][1]~q\ $ (VCC))) # (!\led_flash_cnt[2195][0]~q\ & (\led_flash_cnt[2195][1]~q\ & VCC))
-- \led_flash_cnt[2195][1]~57611\ = CARRY((\led_flash_cnt[2195][0]~q\ & \led_flash_cnt[2195][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2195][0]~q\,
	datab => \led_flash_cnt[2195][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2195][1]~57610_combout\,
	cout => \led_flash_cnt[2195][1]~57611\);

-- Location: FF_X75_Y31_N15
\led_flash_cnt[2195][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2195][1]~57610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2195][1]~q\);

-- Location: LCCOMB_X75_Y31_N16
\led_flash_cnt[2195][2]~57612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2195][2]~57612_combout\ = (\led_flash_cnt[2195][2]~q\ & (!\led_flash_cnt[2195][1]~57611\)) # (!\led_flash_cnt[2195][2]~q\ & ((\led_flash_cnt[2195][1]~57611\) # (GND)))
-- \led_flash_cnt[2195][2]~57613\ = CARRY((!\led_flash_cnt[2195][1]~57611\) # (!\led_flash_cnt[2195][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2195][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2195][1]~57611\,
	combout => \led_flash_cnt[2195][2]~57612_combout\,
	cout => \led_flash_cnt[2195][2]~57613\);

-- Location: FF_X75_Y31_N17
\led_flash_cnt[2195][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2195][2]~57612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2195][2]~q\);

-- Location: LCCOMB_X75_Y31_N18
\led_flash_cnt[2195][3]~57614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2195][3]~57614_combout\ = (\led_flash_cnt[2195][3]~q\ & (\led_flash_cnt[2195][2]~57613\ $ (GND))) # (!\led_flash_cnt[2195][3]~q\ & (!\led_flash_cnt[2195][2]~57613\ & VCC))
-- \led_flash_cnt[2195][3]~57615\ = CARRY((\led_flash_cnt[2195][3]~q\ & !\led_flash_cnt[2195][2]~57613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2195][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2195][2]~57613\,
	combout => \led_flash_cnt[2195][3]~57614_combout\,
	cout => \led_flash_cnt[2195][3]~57615\);

-- Location: FF_X75_Y31_N19
\led_flash_cnt[2195][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2195][3]~57614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2195][3]~q\);

-- Location: LCCOMB_X75_Y31_N20
\led_flash_cnt[2195][4]~57616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2195][4]~57616_combout\ = (\led_flash_cnt[2195][4]~q\ & (!\led_flash_cnt[2195][3]~57615\)) # (!\led_flash_cnt[2195][4]~q\ & ((\led_flash_cnt[2195][3]~57615\) # (GND)))
-- \led_flash_cnt[2195][4]~57617\ = CARRY((!\led_flash_cnt[2195][3]~57615\) # (!\led_flash_cnt[2195][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2195][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2195][3]~57615\,
	combout => \led_flash_cnt[2195][4]~57616_combout\,
	cout => \led_flash_cnt[2195][4]~57617\);

-- Location: FF_X75_Y31_N21
\led_flash_cnt[2195][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2195][4]~57616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2195][4]~q\);

-- Location: LCCOMB_X75_Y31_N30
\WideAnd2195~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2195~0_combout\ = (\led_flash_cnt[2195][4]~q\ & (\led_flash_cnt[2195][3]~q\ & (\led_flash_cnt[2195][1]~q\ & \led_flash_cnt[2195][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2195][4]~q\,
	datab => \led_flash_cnt[2195][3]~q\,
	datac => \led_flash_cnt[2195][1]~q\,
	datad => \led_flash_cnt[2195][2]~q\,
	combout => \WideAnd2195~0_combout\);

-- Location: LCCOMB_X75_Y31_N22
\led_flash_cnt[2195][5]~57618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2195][5]~57618_combout\ = (\led_flash_cnt[2195][5]~q\ & (\led_flash_cnt[2195][4]~57617\ $ (GND))) # (!\led_flash_cnt[2195][5]~q\ & (!\led_flash_cnt[2195][4]~57617\ & VCC))
-- \led_flash_cnt[2195][5]~57619\ = CARRY((\led_flash_cnt[2195][5]~q\ & !\led_flash_cnt[2195][4]~57617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2195][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2195][4]~57617\,
	combout => \led_flash_cnt[2195][5]~57618_combout\,
	cout => \led_flash_cnt[2195][5]~57619\);

-- Location: FF_X75_Y31_N23
\led_flash_cnt[2195][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2195][5]~57618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2195][5]~q\);

-- Location: LCCOMB_X75_Y31_N24
\led_flash_cnt[2195][6]~57620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2195][6]~57620_combout\ = (\led_flash_cnt[2195][6]~q\ & (!\led_flash_cnt[2195][5]~57619\)) # (!\led_flash_cnt[2195][6]~q\ & ((\led_flash_cnt[2195][5]~57619\) # (GND)))
-- \led_flash_cnt[2195][6]~57621\ = CARRY((!\led_flash_cnt[2195][5]~57619\) # (!\led_flash_cnt[2195][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2195][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2195][5]~57619\,
	combout => \led_flash_cnt[2195][6]~57620_combout\,
	cout => \led_flash_cnt[2195][6]~57621\);

-- Location: FF_X75_Y31_N25
\led_flash_cnt[2195][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2195][6]~57620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2195][6]~q\);

-- Location: LCCOMB_X75_Y31_N26
\led_flash_cnt[2195][7]~57622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2195][7]~57622_combout\ = \led_flash_cnt[2195][7]~q\ $ (!\led_flash_cnt[2195][6]~57621\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2195][7]~q\,
	cin => \led_flash_cnt[2195][6]~57621\,
	combout => \led_flash_cnt[2195][7]~57622_combout\);

-- Location: FF_X75_Y31_N27
\led_flash_cnt[2195][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2195][7]~57622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2195][7]~q\);

-- Location: LCCOMB_X76_Y31_N24
\WideAnd2195~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2195~1_combout\ = (\led_flash_cnt[2195][6]~q\ & \led_flash_cnt[2195][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2195][6]~q\,
	datad => \led_flash_cnt[2195][5]~q\,
	combout => \WideAnd2195~1_combout\);

-- Location: LCCOMB_X76_Y31_N28
WideAnd2195 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2195~combout\ = (\led_flash_cnt[2195][0]~q\ & (\WideAnd2195~0_combout\ & (\led_flash_cnt[2195][7]~q\ & \WideAnd2195~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2195][0]~q\,
	datab => \WideAnd2195~0_combout\,
	datac => \led_flash_cnt[2195][7]~q\,
	datad => \WideAnd2195~1_combout\,
	combout => \WideAnd2195~combout\);

-- Location: FF_X76_Y31_N29
\led_flash_cnt_ands[2195]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2195~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2195));

-- Location: LCCOMB_X77_Y27_N4
\led_flash_cnt[2194][0]~82834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2194][0]~82834_combout\ = !\led_flash_cnt[2194][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2194][0]~q\,
	combout => \led_flash_cnt[2194][0]~82834_combout\);

-- Location: FF_X77_Y27_N5
\led_flash_cnt[2194][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2194][0]~82834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2194][0]~q\);

-- Location: LCCOMB_X77_Y27_N12
\led_flash_cnt[2194][1]~57596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2194][1]~57596_combout\ = (\led_flash_cnt[2194][1]~q\ & (\led_flash_cnt[2194][0]~q\ $ (VCC))) # (!\led_flash_cnt[2194][1]~q\ & (\led_flash_cnt[2194][0]~q\ & VCC))
-- \led_flash_cnt[2194][1]~57597\ = CARRY((\led_flash_cnt[2194][1]~q\ & \led_flash_cnt[2194][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2194][1]~q\,
	datab => \led_flash_cnt[2194][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2194][1]~57596_combout\,
	cout => \led_flash_cnt[2194][1]~57597\);

-- Location: FF_X77_Y27_N13
\led_flash_cnt[2194][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2194][1]~57596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2194][1]~q\);

-- Location: LCCOMB_X77_Y27_N14
\led_flash_cnt[2194][2]~57598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2194][2]~57598_combout\ = (\led_flash_cnt[2194][2]~q\ & (!\led_flash_cnt[2194][1]~57597\)) # (!\led_flash_cnt[2194][2]~q\ & ((\led_flash_cnt[2194][1]~57597\) # (GND)))
-- \led_flash_cnt[2194][2]~57599\ = CARRY((!\led_flash_cnt[2194][1]~57597\) # (!\led_flash_cnt[2194][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2194][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2194][1]~57597\,
	combout => \led_flash_cnt[2194][2]~57598_combout\,
	cout => \led_flash_cnt[2194][2]~57599\);

-- Location: FF_X77_Y27_N15
\led_flash_cnt[2194][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2194][2]~57598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2194][2]~q\);

-- Location: LCCOMB_X77_Y27_N16
\led_flash_cnt[2194][3]~57600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2194][3]~57600_combout\ = (\led_flash_cnt[2194][3]~q\ & (\led_flash_cnt[2194][2]~57599\ $ (GND))) # (!\led_flash_cnt[2194][3]~q\ & (!\led_flash_cnt[2194][2]~57599\ & VCC))
-- \led_flash_cnt[2194][3]~57601\ = CARRY((\led_flash_cnt[2194][3]~q\ & !\led_flash_cnt[2194][2]~57599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2194][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2194][2]~57599\,
	combout => \led_flash_cnt[2194][3]~57600_combout\,
	cout => \led_flash_cnt[2194][3]~57601\);

-- Location: FF_X77_Y27_N17
\led_flash_cnt[2194][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2194][3]~57600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2194][3]~q\);

-- Location: LCCOMB_X77_Y27_N18
\led_flash_cnt[2194][4]~57602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2194][4]~57602_combout\ = (\led_flash_cnt[2194][4]~q\ & (!\led_flash_cnt[2194][3]~57601\)) # (!\led_flash_cnt[2194][4]~q\ & ((\led_flash_cnt[2194][3]~57601\) # (GND)))
-- \led_flash_cnt[2194][4]~57603\ = CARRY((!\led_flash_cnt[2194][3]~57601\) # (!\led_flash_cnt[2194][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2194][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2194][3]~57601\,
	combout => \led_flash_cnt[2194][4]~57602_combout\,
	cout => \led_flash_cnt[2194][4]~57603\);

-- Location: FF_X77_Y27_N19
\led_flash_cnt[2194][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2194][4]~57602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2194][4]~q\);

-- Location: LCCOMB_X77_Y27_N20
\led_flash_cnt[2194][5]~57604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2194][5]~57604_combout\ = (\led_flash_cnt[2194][5]~q\ & (\led_flash_cnt[2194][4]~57603\ $ (GND))) # (!\led_flash_cnt[2194][5]~q\ & (!\led_flash_cnt[2194][4]~57603\ & VCC))
-- \led_flash_cnt[2194][5]~57605\ = CARRY((\led_flash_cnt[2194][5]~q\ & !\led_flash_cnt[2194][4]~57603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2194][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2194][4]~57603\,
	combout => \led_flash_cnt[2194][5]~57604_combout\,
	cout => \led_flash_cnt[2194][5]~57605\);

-- Location: FF_X77_Y27_N21
\led_flash_cnt[2194][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2194][5]~57604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2194][5]~q\);

-- Location: LCCOMB_X77_Y27_N22
\led_flash_cnt[2194][6]~57606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2194][6]~57606_combout\ = (\led_flash_cnt[2194][6]~q\ & (!\led_flash_cnt[2194][5]~57605\)) # (!\led_flash_cnt[2194][6]~q\ & ((\led_flash_cnt[2194][5]~57605\) # (GND)))
-- \led_flash_cnt[2194][6]~57607\ = CARRY((!\led_flash_cnt[2194][5]~57605\) # (!\led_flash_cnt[2194][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2194][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2194][5]~57605\,
	combout => \led_flash_cnt[2194][6]~57606_combout\,
	cout => \led_flash_cnt[2194][6]~57607\);

-- Location: FF_X77_Y27_N23
\led_flash_cnt[2194][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2194][6]~57606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2194][6]~q\);

-- Location: LCCOMB_X77_Y27_N10
\WideAnd2194~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2194~1_combout\ = (\led_flash_cnt[2194][6]~q\ & \led_flash_cnt[2194][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2194][6]~q\,
	datad => \led_flash_cnt[2194][5]~q\,
	combout => \WideAnd2194~1_combout\);

-- Location: LCCOMB_X77_Y27_N24
\led_flash_cnt[2194][7]~57608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2194][7]~57608_combout\ = \led_flash_cnt[2194][6]~57607\ $ (!\led_flash_cnt[2194][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2194][7]~q\,
	cin => \led_flash_cnt[2194][6]~57607\,
	combout => \led_flash_cnt[2194][7]~57608_combout\);

-- Location: FF_X77_Y27_N25
\led_flash_cnt[2194][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2194][7]~57608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2194][7]~q\);

-- Location: LCCOMB_X77_Y27_N28
\WideAnd2194~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2194~0_combout\ = (\led_flash_cnt[2194][1]~q\ & (\led_flash_cnt[2194][4]~q\ & (\led_flash_cnt[2194][2]~q\ & \led_flash_cnt[2194][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2194][1]~q\,
	datab => \led_flash_cnt[2194][4]~q\,
	datac => \led_flash_cnt[2194][2]~q\,
	datad => \led_flash_cnt[2194][3]~q\,
	combout => \WideAnd2194~0_combout\);

-- Location: LCCOMB_X77_Y27_N8
WideAnd2194 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2194~combout\ = (\WideAnd2194~1_combout\ & (\led_flash_cnt[2194][7]~q\ & (\led_flash_cnt[2194][0]~q\ & \WideAnd2194~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2194~1_combout\,
	datab => \led_flash_cnt[2194][7]~q\,
	datac => \led_flash_cnt[2194][0]~q\,
	datad => \WideAnd2194~0_combout\,
	combout => \WideAnd2194~combout\);

-- Location: FF_X77_Y27_N9
\led_flash_cnt_ands[2194]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2194~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2194));

-- Location: LCCOMB_X76_Y31_N30
\led_flash_cnt[2193][0]~82833\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2193][0]~82833_combout\ = !\led_flash_cnt[2193][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2193][0]~q\,
	combout => \led_flash_cnt[2193][0]~82833_combout\);

-- Location: FF_X76_Y31_N31
\led_flash_cnt[2193][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2193][0]~82833_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2193][0]~q\);

-- Location: LCCOMB_X76_Y31_N4
\led_flash_cnt[2193][1]~57582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2193][1]~57582_combout\ = (\led_flash_cnt[2193][0]~q\ & (\led_flash_cnt[2193][1]~q\ $ (VCC))) # (!\led_flash_cnt[2193][0]~q\ & (\led_flash_cnt[2193][1]~q\ & VCC))
-- \led_flash_cnt[2193][1]~57583\ = CARRY((\led_flash_cnt[2193][0]~q\ & \led_flash_cnt[2193][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][0]~q\,
	datab => \led_flash_cnt[2193][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2193][1]~57582_combout\,
	cout => \led_flash_cnt[2193][1]~57583\);

-- Location: FF_X76_Y31_N5
\led_flash_cnt[2193][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2193][1]~57582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2193][1]~q\);

-- Location: LCCOMB_X76_Y31_N6
\led_flash_cnt[2193][2]~57584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2193][2]~57584_combout\ = (\led_flash_cnt[2193][2]~q\ & (!\led_flash_cnt[2193][1]~57583\)) # (!\led_flash_cnt[2193][2]~q\ & ((\led_flash_cnt[2193][1]~57583\) # (GND)))
-- \led_flash_cnt[2193][2]~57585\ = CARRY((!\led_flash_cnt[2193][1]~57583\) # (!\led_flash_cnt[2193][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2193][1]~57583\,
	combout => \led_flash_cnt[2193][2]~57584_combout\,
	cout => \led_flash_cnt[2193][2]~57585\);

-- Location: FF_X76_Y31_N7
\led_flash_cnt[2193][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2193][2]~57584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2193][2]~q\);

-- Location: LCCOMB_X76_Y31_N8
\led_flash_cnt[2193][3]~57586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2193][3]~57586_combout\ = (\led_flash_cnt[2193][3]~q\ & (\led_flash_cnt[2193][2]~57585\ $ (GND))) # (!\led_flash_cnt[2193][3]~q\ & (!\led_flash_cnt[2193][2]~57585\ & VCC))
-- \led_flash_cnt[2193][3]~57587\ = CARRY((\led_flash_cnt[2193][3]~q\ & !\led_flash_cnt[2193][2]~57585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2193][2]~57585\,
	combout => \led_flash_cnt[2193][3]~57586_combout\,
	cout => \led_flash_cnt[2193][3]~57587\);

-- Location: FF_X76_Y31_N9
\led_flash_cnt[2193][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2193][3]~57586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2193][3]~q\);

-- Location: LCCOMB_X76_Y31_N10
\led_flash_cnt[2193][4]~57588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2193][4]~57588_combout\ = (\led_flash_cnt[2193][4]~q\ & (!\led_flash_cnt[2193][3]~57587\)) # (!\led_flash_cnt[2193][4]~q\ & ((\led_flash_cnt[2193][3]~57587\) # (GND)))
-- \led_flash_cnt[2193][4]~57589\ = CARRY((!\led_flash_cnt[2193][3]~57587\) # (!\led_flash_cnt[2193][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2193][3]~57587\,
	combout => \led_flash_cnt[2193][4]~57588_combout\,
	cout => \led_flash_cnt[2193][4]~57589\);

-- Location: FF_X76_Y31_N11
\led_flash_cnt[2193][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2193][4]~57588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2193][4]~q\);

-- Location: LCCOMB_X76_Y31_N12
\led_flash_cnt[2193][5]~57590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2193][5]~57590_combout\ = (\led_flash_cnt[2193][5]~q\ & (\led_flash_cnt[2193][4]~57589\ $ (GND))) # (!\led_flash_cnt[2193][5]~q\ & (!\led_flash_cnt[2193][4]~57589\ & VCC))
-- \led_flash_cnt[2193][5]~57591\ = CARRY((\led_flash_cnt[2193][5]~q\ & !\led_flash_cnt[2193][4]~57589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2193][4]~57589\,
	combout => \led_flash_cnt[2193][5]~57590_combout\,
	cout => \led_flash_cnt[2193][5]~57591\);

-- Location: FF_X76_Y31_N13
\led_flash_cnt[2193][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2193][5]~57590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2193][5]~q\);

-- Location: LCCOMB_X76_Y31_N14
\led_flash_cnt[2193][6]~57592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2193][6]~57592_combout\ = (\led_flash_cnt[2193][6]~q\ & (!\led_flash_cnt[2193][5]~57591\)) # (!\led_flash_cnt[2193][6]~q\ & ((\led_flash_cnt[2193][5]~57591\) # (GND)))
-- \led_flash_cnt[2193][6]~57593\ = CARRY((!\led_flash_cnt[2193][5]~57591\) # (!\led_flash_cnt[2193][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2193][5]~57591\,
	combout => \led_flash_cnt[2193][6]~57592_combout\,
	cout => \led_flash_cnt[2193][6]~57593\);

-- Location: FF_X76_Y31_N15
\led_flash_cnt[2193][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2193][6]~57592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2193][6]~q\);

-- Location: LCCOMB_X76_Y31_N16
\led_flash_cnt[2193][7]~57594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2193][7]~57594_combout\ = \led_flash_cnt[2193][6]~57593\ $ (!\led_flash_cnt[2193][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2193][7]~q\,
	cin => \led_flash_cnt[2193][6]~57593\,
	combout => \led_flash_cnt[2193][7]~57594_combout\);

-- Location: FF_X76_Y31_N17
\led_flash_cnt[2193][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2193][7]~57594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2193][7]~q\);

-- Location: LCCOMB_X76_Y31_N26
\WideAnd2193~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2193~1_combout\ = (\led_flash_cnt[2193][6]~q\ & \led_flash_cnt[2193][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][6]~q\,
	datad => \led_flash_cnt[2193][5]~q\,
	combout => \WideAnd2193~1_combout\);

-- Location: LCCOMB_X76_Y31_N18
\WideAnd2193~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2193~0_combout\ = (\led_flash_cnt[2193][4]~q\ & (\led_flash_cnt[2193][1]~q\ & (\led_flash_cnt[2193][3]~q\ & \led_flash_cnt[2193][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][4]~q\,
	datab => \led_flash_cnt[2193][1]~q\,
	datac => \led_flash_cnt[2193][3]~q\,
	datad => \led_flash_cnt[2193][2]~q\,
	combout => \WideAnd2193~0_combout\);

-- Location: LCCOMB_X76_Y31_N0
WideAnd2193 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2193~combout\ = (\led_flash_cnt[2193][0]~q\ & (\led_flash_cnt[2193][7]~q\ & (\WideAnd2193~1_combout\ & \WideAnd2193~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2193][0]~q\,
	datab => \led_flash_cnt[2193][7]~q\,
	datac => \WideAnd2193~1_combout\,
	datad => \WideAnd2193~0_combout\,
	combout => \WideAnd2193~combout\);

-- Location: FF_X76_Y31_N1
\led_flash_cnt_ands[2193]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2193~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2193));

-- Location: LCCOMB_X76_Y31_N22
\WideAnd4114~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4114~0_combout\ = (led_flash_cnt_ands(2192) & (led_flash_cnt_ands(2195) & (led_flash_cnt_ands(2194) & led_flash_cnt_ands(2193))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2192),
	datab => led_flash_cnt_ands(2195),
	datac => led_flash_cnt_ands(2194),
	datad => led_flash_cnt_ands(2193),
	combout => \WideAnd4114~0_combout\);

-- Location: LCCOMB_X64_Y47_N18
\led_flash_cnt[2199][0]~82839\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2199][0]~82839_combout\ = !\led_flash_cnt[2199][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2199][0]~q\,
	combout => \led_flash_cnt[2199][0]~82839_combout\);

-- Location: FF_X64_Y47_N19
\led_flash_cnt[2199][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2199][0]~82839_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2199][0]~q\);

-- Location: LCCOMB_X64_Y47_N0
\led_flash_cnt[2199][1]~57666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2199][1]~57666_combout\ = (\led_flash_cnt[2199][0]~q\ & (\led_flash_cnt[2199][1]~q\ $ (VCC))) # (!\led_flash_cnt[2199][0]~q\ & (\led_flash_cnt[2199][1]~q\ & VCC))
-- \led_flash_cnt[2199][1]~57667\ = CARRY((\led_flash_cnt[2199][0]~q\ & \led_flash_cnt[2199][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2199][0]~q\,
	datab => \led_flash_cnt[2199][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2199][1]~57666_combout\,
	cout => \led_flash_cnt[2199][1]~57667\);

-- Location: FF_X64_Y47_N1
\led_flash_cnt[2199][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2199][1]~57666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2199][1]~q\);

-- Location: LCCOMB_X64_Y47_N2
\led_flash_cnt[2199][2]~57668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2199][2]~57668_combout\ = (\led_flash_cnt[2199][2]~q\ & (!\led_flash_cnt[2199][1]~57667\)) # (!\led_flash_cnt[2199][2]~q\ & ((\led_flash_cnt[2199][1]~57667\) # (GND)))
-- \led_flash_cnt[2199][2]~57669\ = CARRY((!\led_flash_cnt[2199][1]~57667\) # (!\led_flash_cnt[2199][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2199][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2199][1]~57667\,
	combout => \led_flash_cnt[2199][2]~57668_combout\,
	cout => \led_flash_cnt[2199][2]~57669\);

-- Location: FF_X64_Y47_N3
\led_flash_cnt[2199][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2199][2]~57668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2199][2]~q\);

-- Location: LCCOMB_X64_Y47_N4
\led_flash_cnt[2199][3]~57670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2199][3]~57670_combout\ = (\led_flash_cnt[2199][3]~q\ & (\led_flash_cnt[2199][2]~57669\ $ (GND))) # (!\led_flash_cnt[2199][3]~q\ & (!\led_flash_cnt[2199][2]~57669\ & VCC))
-- \led_flash_cnt[2199][3]~57671\ = CARRY((\led_flash_cnt[2199][3]~q\ & !\led_flash_cnt[2199][2]~57669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2199][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2199][2]~57669\,
	combout => \led_flash_cnt[2199][3]~57670_combout\,
	cout => \led_flash_cnt[2199][3]~57671\);

-- Location: FF_X64_Y47_N5
\led_flash_cnt[2199][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2199][3]~57670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2199][3]~q\);

-- Location: LCCOMB_X64_Y47_N6
\led_flash_cnt[2199][4]~57672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2199][4]~57672_combout\ = (\led_flash_cnt[2199][4]~q\ & (!\led_flash_cnt[2199][3]~57671\)) # (!\led_flash_cnt[2199][4]~q\ & ((\led_flash_cnt[2199][3]~57671\) # (GND)))
-- \led_flash_cnt[2199][4]~57673\ = CARRY((!\led_flash_cnt[2199][3]~57671\) # (!\led_flash_cnt[2199][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2199][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2199][3]~57671\,
	combout => \led_flash_cnt[2199][4]~57672_combout\,
	cout => \led_flash_cnt[2199][4]~57673\);

-- Location: FF_X64_Y47_N7
\led_flash_cnt[2199][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2199][4]~57672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2199][4]~q\);

-- Location: LCCOMB_X64_Y47_N26
\WideAnd2199~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2199~0_combout\ = (\led_flash_cnt[2199][4]~q\ & (\led_flash_cnt[2199][1]~q\ & (\led_flash_cnt[2199][3]~q\ & \led_flash_cnt[2199][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2199][4]~q\,
	datab => \led_flash_cnt[2199][1]~q\,
	datac => \led_flash_cnt[2199][3]~q\,
	datad => \led_flash_cnt[2199][2]~q\,
	combout => \WideAnd2199~0_combout\);

-- Location: LCCOMB_X64_Y47_N8
\led_flash_cnt[2199][5]~57674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2199][5]~57674_combout\ = (\led_flash_cnt[2199][5]~q\ & (\led_flash_cnt[2199][4]~57673\ $ (GND))) # (!\led_flash_cnt[2199][5]~q\ & (!\led_flash_cnt[2199][4]~57673\ & VCC))
-- \led_flash_cnt[2199][5]~57675\ = CARRY((\led_flash_cnt[2199][5]~q\ & !\led_flash_cnt[2199][4]~57673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2199][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2199][4]~57673\,
	combout => \led_flash_cnt[2199][5]~57674_combout\,
	cout => \led_flash_cnt[2199][5]~57675\);

-- Location: FF_X64_Y47_N9
\led_flash_cnt[2199][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2199][5]~57674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2199][5]~q\);

-- Location: LCCOMB_X64_Y47_N10
\led_flash_cnt[2199][6]~57676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2199][6]~57676_combout\ = (\led_flash_cnt[2199][6]~q\ & (!\led_flash_cnt[2199][5]~57675\)) # (!\led_flash_cnt[2199][6]~q\ & ((\led_flash_cnt[2199][5]~57675\) # (GND)))
-- \led_flash_cnt[2199][6]~57677\ = CARRY((!\led_flash_cnt[2199][5]~57675\) # (!\led_flash_cnt[2199][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2199][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2199][5]~57675\,
	combout => \led_flash_cnt[2199][6]~57676_combout\,
	cout => \led_flash_cnt[2199][6]~57677\);

-- Location: FF_X64_Y47_N11
\led_flash_cnt[2199][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2199][6]~57676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2199][6]~q\);

-- Location: LCCOMB_X64_Y47_N22
\WideAnd2199~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2199~1_combout\ = (\led_flash_cnt[2199][5]~q\ & \led_flash_cnt[2199][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2199][5]~q\,
	datad => \led_flash_cnt[2199][6]~q\,
	combout => \WideAnd2199~1_combout\);

-- Location: LCCOMB_X64_Y47_N12
\led_flash_cnt[2199][7]~57678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2199][7]~57678_combout\ = \led_flash_cnt[2199][6]~57677\ $ (!\led_flash_cnt[2199][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2199][7]~q\,
	cin => \led_flash_cnt[2199][6]~57677\,
	combout => \led_flash_cnt[2199][7]~57678_combout\);

-- Location: FF_X64_Y47_N13
\led_flash_cnt[2199][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2199][7]~57678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2199][7]~q\);

-- Location: LCCOMB_X64_Y47_N24
WideAnd2199 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2199~combout\ = (\WideAnd2199~0_combout\ & (\led_flash_cnt[2199][0]~q\ & (\WideAnd2199~1_combout\ & \led_flash_cnt[2199][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2199~0_combout\,
	datab => \led_flash_cnt[2199][0]~q\,
	datac => \WideAnd2199~1_combout\,
	datad => \led_flash_cnt[2199][7]~q\,
	combout => \WideAnd2199~combout\);

-- Location: FF_X64_Y47_N25
\led_flash_cnt_ands[2199]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2199~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2199));

-- Location: LCCOMB_X67_Y35_N28
\led_flash_cnt[2197][0]~82837\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2197][0]~82837_combout\ = !\led_flash_cnt[2197][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2197][0]~q\,
	combout => \led_flash_cnt[2197][0]~82837_combout\);

-- Location: FF_X67_Y35_N29
\led_flash_cnt[2197][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2197][0]~82837_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2197][0]~q\);

-- Location: LCCOMB_X67_Y39_N18
\led_flash_cnt[2197][1]~57638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2197][1]~57638_combout\ = (\led_flash_cnt[2197][0]~q\ & (\led_flash_cnt[2197][1]~q\ $ (VCC))) # (!\led_flash_cnt[2197][0]~q\ & (\led_flash_cnt[2197][1]~q\ & VCC))
-- \led_flash_cnt[2197][1]~57639\ = CARRY((\led_flash_cnt[2197][0]~q\ & \led_flash_cnt[2197][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2197][0]~q\,
	datab => \led_flash_cnt[2197][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2197][1]~57638_combout\,
	cout => \led_flash_cnt[2197][1]~57639\);

-- Location: FF_X67_Y39_N19
\led_flash_cnt[2197][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2197][1]~57638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2197][1]~q\);

-- Location: LCCOMB_X67_Y39_N20
\led_flash_cnt[2197][2]~57640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2197][2]~57640_combout\ = (\led_flash_cnt[2197][2]~q\ & (!\led_flash_cnt[2197][1]~57639\)) # (!\led_flash_cnt[2197][2]~q\ & ((\led_flash_cnt[2197][1]~57639\) # (GND)))
-- \led_flash_cnt[2197][2]~57641\ = CARRY((!\led_flash_cnt[2197][1]~57639\) # (!\led_flash_cnt[2197][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2197][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2197][1]~57639\,
	combout => \led_flash_cnt[2197][2]~57640_combout\,
	cout => \led_flash_cnt[2197][2]~57641\);

-- Location: FF_X67_Y39_N21
\led_flash_cnt[2197][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2197][2]~57640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2197][2]~q\);

-- Location: LCCOMB_X67_Y39_N22
\led_flash_cnt[2197][3]~57642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2197][3]~57642_combout\ = (\led_flash_cnt[2197][3]~q\ & (\led_flash_cnt[2197][2]~57641\ $ (GND))) # (!\led_flash_cnt[2197][3]~q\ & (!\led_flash_cnt[2197][2]~57641\ & VCC))
-- \led_flash_cnt[2197][3]~57643\ = CARRY((\led_flash_cnt[2197][3]~q\ & !\led_flash_cnt[2197][2]~57641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2197][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2197][2]~57641\,
	combout => \led_flash_cnt[2197][3]~57642_combout\,
	cout => \led_flash_cnt[2197][3]~57643\);

-- Location: FF_X67_Y39_N23
\led_flash_cnt[2197][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2197][3]~57642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2197][3]~q\);

-- Location: LCCOMB_X67_Y39_N24
\led_flash_cnt[2197][4]~57644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2197][4]~57644_combout\ = (\led_flash_cnt[2197][4]~q\ & (!\led_flash_cnt[2197][3]~57643\)) # (!\led_flash_cnt[2197][4]~q\ & ((\led_flash_cnt[2197][3]~57643\) # (GND)))
-- \led_flash_cnt[2197][4]~57645\ = CARRY((!\led_flash_cnt[2197][3]~57643\) # (!\led_flash_cnt[2197][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2197][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2197][3]~57643\,
	combout => \led_flash_cnt[2197][4]~57644_combout\,
	cout => \led_flash_cnt[2197][4]~57645\);

-- Location: FF_X67_Y39_N25
\led_flash_cnt[2197][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2197][4]~57644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2197][4]~q\);

-- Location: LCCOMB_X67_Y39_N26
\led_flash_cnt[2197][5]~57646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2197][5]~57646_combout\ = (\led_flash_cnt[2197][5]~q\ & (\led_flash_cnt[2197][4]~57645\ $ (GND))) # (!\led_flash_cnt[2197][5]~q\ & (!\led_flash_cnt[2197][4]~57645\ & VCC))
-- \led_flash_cnt[2197][5]~57647\ = CARRY((\led_flash_cnt[2197][5]~q\ & !\led_flash_cnt[2197][4]~57645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2197][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2197][4]~57645\,
	combout => \led_flash_cnt[2197][5]~57646_combout\,
	cout => \led_flash_cnt[2197][5]~57647\);

-- Location: FF_X67_Y39_N27
\led_flash_cnt[2197][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2197][5]~57646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2197][5]~q\);

-- Location: LCCOMB_X67_Y39_N28
\led_flash_cnt[2197][6]~57648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2197][6]~57648_combout\ = (\led_flash_cnt[2197][6]~q\ & (!\led_flash_cnt[2197][5]~57647\)) # (!\led_flash_cnt[2197][6]~q\ & ((\led_flash_cnt[2197][5]~57647\) # (GND)))
-- \led_flash_cnt[2197][6]~57649\ = CARRY((!\led_flash_cnt[2197][5]~57647\) # (!\led_flash_cnt[2197][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2197][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2197][5]~57647\,
	combout => \led_flash_cnt[2197][6]~57648_combout\,
	cout => \led_flash_cnt[2197][6]~57649\);

-- Location: FF_X67_Y39_N29
\led_flash_cnt[2197][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2197][6]~57648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2197][6]~q\);

-- Location: LCCOMB_X67_Y39_N30
\led_flash_cnt[2197][7]~57650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2197][7]~57650_combout\ = \led_flash_cnt[2197][7]~q\ $ (!\led_flash_cnt[2197][6]~57649\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2197][7]~q\,
	cin => \led_flash_cnt[2197][6]~57649\,
	combout => \led_flash_cnt[2197][7]~57650_combout\);

-- Location: FF_X67_Y39_N31
\led_flash_cnt[2197][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2197][7]~57650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2197][7]~q\);

-- Location: LCCOMB_X67_Y39_N16
\WideAnd2197~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2197~0_combout\ = (\led_flash_cnt[2197][4]~q\ & (\led_flash_cnt[2197][2]~q\ & (\led_flash_cnt[2197][3]~q\ & \led_flash_cnt[2197][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2197][4]~q\,
	datab => \led_flash_cnt[2197][2]~q\,
	datac => \led_flash_cnt[2197][3]~q\,
	datad => \led_flash_cnt[2197][1]~q\,
	combout => \WideAnd2197~0_combout\);

-- Location: LCCOMB_X67_Y35_N22
\WideAnd2197~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2197~1_combout\ = (\led_flash_cnt[2197][6]~q\ & \led_flash_cnt[2197][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2197][6]~q\,
	datad => \led_flash_cnt[2197][5]~q\,
	combout => \WideAnd2197~1_combout\);

-- Location: LCCOMB_X67_Y35_N30
WideAnd2197 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2197~combout\ = (\led_flash_cnt[2197][7]~q\ & (\WideAnd2197~0_combout\ & (\WideAnd2197~1_combout\ & \led_flash_cnt[2197][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2197][7]~q\,
	datab => \WideAnd2197~0_combout\,
	datac => \WideAnd2197~1_combout\,
	datad => \led_flash_cnt[2197][0]~q\,
	combout => \WideAnd2197~combout\);

-- Location: FF_X67_Y35_N31
\led_flash_cnt_ands[2197]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2197~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2197));

-- Location: LCCOMB_X67_Y35_N18
\led_flash_cnt[2196][0]~82836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2196][0]~82836_combout\ = !\led_flash_cnt[2196][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2196][0]~q\,
	combout => \led_flash_cnt[2196][0]~82836_combout\);

-- Location: FF_X67_Y35_N19
\led_flash_cnt[2196][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2196][0]~82836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2196][0]~q\);

-- Location: LCCOMB_X67_Y35_N2
\led_flash_cnt[2196][1]~57624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2196][1]~57624_combout\ = (\led_flash_cnt[2196][1]~q\ & (\led_flash_cnt[2196][0]~q\ $ (VCC))) # (!\led_flash_cnt[2196][1]~q\ & (\led_flash_cnt[2196][0]~q\ & VCC))
-- \led_flash_cnt[2196][1]~57625\ = CARRY((\led_flash_cnt[2196][1]~q\ & \led_flash_cnt[2196][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2196][1]~q\,
	datab => \led_flash_cnt[2196][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2196][1]~57624_combout\,
	cout => \led_flash_cnt[2196][1]~57625\);

-- Location: FF_X67_Y35_N3
\led_flash_cnt[2196][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2196][1]~57624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2196][1]~q\);

-- Location: LCCOMB_X67_Y35_N4
\led_flash_cnt[2196][2]~57626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2196][2]~57626_combout\ = (\led_flash_cnt[2196][2]~q\ & (!\led_flash_cnt[2196][1]~57625\)) # (!\led_flash_cnt[2196][2]~q\ & ((\led_flash_cnt[2196][1]~57625\) # (GND)))
-- \led_flash_cnt[2196][2]~57627\ = CARRY((!\led_flash_cnt[2196][1]~57625\) # (!\led_flash_cnt[2196][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2196][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2196][1]~57625\,
	combout => \led_flash_cnt[2196][2]~57626_combout\,
	cout => \led_flash_cnt[2196][2]~57627\);

-- Location: FF_X67_Y35_N5
\led_flash_cnt[2196][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2196][2]~57626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2196][2]~q\);

-- Location: LCCOMB_X67_Y35_N6
\led_flash_cnt[2196][3]~57628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2196][3]~57628_combout\ = (\led_flash_cnt[2196][3]~q\ & (\led_flash_cnt[2196][2]~57627\ $ (GND))) # (!\led_flash_cnt[2196][3]~q\ & (!\led_flash_cnt[2196][2]~57627\ & VCC))
-- \led_flash_cnt[2196][3]~57629\ = CARRY((\led_flash_cnt[2196][3]~q\ & !\led_flash_cnt[2196][2]~57627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2196][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2196][2]~57627\,
	combout => \led_flash_cnt[2196][3]~57628_combout\,
	cout => \led_flash_cnt[2196][3]~57629\);

-- Location: FF_X67_Y35_N7
\led_flash_cnt[2196][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2196][3]~57628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2196][3]~q\);

-- Location: LCCOMB_X67_Y35_N8
\led_flash_cnt[2196][4]~57630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2196][4]~57630_combout\ = (\led_flash_cnt[2196][4]~q\ & (!\led_flash_cnt[2196][3]~57629\)) # (!\led_flash_cnt[2196][4]~q\ & ((\led_flash_cnt[2196][3]~57629\) # (GND)))
-- \led_flash_cnt[2196][4]~57631\ = CARRY((!\led_flash_cnt[2196][3]~57629\) # (!\led_flash_cnt[2196][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2196][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2196][3]~57629\,
	combout => \led_flash_cnt[2196][4]~57630_combout\,
	cout => \led_flash_cnt[2196][4]~57631\);

-- Location: FF_X67_Y35_N9
\led_flash_cnt[2196][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2196][4]~57630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2196][4]~q\);

-- Location: LCCOMB_X67_Y35_N10
\led_flash_cnt[2196][5]~57632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2196][5]~57632_combout\ = (\led_flash_cnt[2196][5]~q\ & (\led_flash_cnt[2196][4]~57631\ $ (GND))) # (!\led_flash_cnt[2196][5]~q\ & (!\led_flash_cnt[2196][4]~57631\ & VCC))
-- \led_flash_cnt[2196][5]~57633\ = CARRY((\led_flash_cnt[2196][5]~q\ & !\led_flash_cnt[2196][4]~57631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2196][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2196][4]~57631\,
	combout => \led_flash_cnt[2196][5]~57632_combout\,
	cout => \led_flash_cnt[2196][5]~57633\);

-- Location: FF_X67_Y35_N11
\led_flash_cnt[2196][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2196][5]~57632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2196][5]~q\);

-- Location: LCCOMB_X67_Y35_N12
\led_flash_cnt[2196][6]~57634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2196][6]~57634_combout\ = (\led_flash_cnt[2196][6]~q\ & (!\led_flash_cnt[2196][5]~57633\)) # (!\led_flash_cnt[2196][6]~q\ & ((\led_flash_cnt[2196][5]~57633\) # (GND)))
-- \led_flash_cnt[2196][6]~57635\ = CARRY((!\led_flash_cnt[2196][5]~57633\) # (!\led_flash_cnt[2196][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2196][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2196][5]~57633\,
	combout => \led_flash_cnt[2196][6]~57634_combout\,
	cout => \led_flash_cnt[2196][6]~57635\);

-- Location: FF_X67_Y35_N13
\led_flash_cnt[2196][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2196][6]~57634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2196][6]~q\);

-- Location: LCCOMB_X67_Y35_N26
\WideAnd2196~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2196~1_combout\ = (\led_flash_cnt[2196][6]~q\ & \led_flash_cnt[2196][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2196][6]~q\,
	datad => \led_flash_cnt[2196][5]~q\,
	combout => \WideAnd2196~1_combout\);

-- Location: LCCOMB_X67_Y35_N24
\WideAnd2196~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2196~0_combout\ = (\led_flash_cnt[2196][1]~q\ & (\led_flash_cnt[2196][2]~q\ & (\led_flash_cnt[2196][4]~q\ & \led_flash_cnt[2196][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2196][1]~q\,
	datab => \led_flash_cnt[2196][2]~q\,
	datac => \led_flash_cnt[2196][4]~q\,
	datad => \led_flash_cnt[2196][3]~q\,
	combout => \WideAnd2196~0_combout\);

-- Location: LCCOMB_X67_Y35_N14
\led_flash_cnt[2196][7]~57636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2196][7]~57636_combout\ = \led_flash_cnt[2196][7]~q\ $ (!\led_flash_cnt[2196][6]~57635\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2196][7]~q\,
	cin => \led_flash_cnt[2196][6]~57635\,
	combout => \led_flash_cnt[2196][7]~57636_combout\);

-- Location: FF_X67_Y35_N15
\led_flash_cnt[2196][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2196][7]~57636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2196][7]~q\);

-- Location: LCCOMB_X67_Y35_N16
WideAnd2196 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2196~combout\ = (\WideAnd2196~1_combout\ & (\WideAnd2196~0_combout\ & (\led_flash_cnt[2196][7]~q\ & \led_flash_cnt[2196][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2196~1_combout\,
	datab => \WideAnd2196~0_combout\,
	datac => \led_flash_cnt[2196][7]~q\,
	datad => \led_flash_cnt[2196][0]~q\,
	combout => \WideAnd2196~combout\);

-- Location: FF_X67_Y35_N17
\led_flash_cnt_ands[2196]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2196~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2196));

-- Location: LCCOMB_X67_Y35_N0
\WideAnd4114~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4114~1_combout\ = (led_flash_cnt_ands(2197) & led_flash_cnt_ands(2196))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2197),
	datad => led_flash_cnt_ands(2196),
	combout => \WideAnd4114~1_combout\);

-- Location: LCCOMB_X67_Y35_N20
WideAnd4114 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4114~combout\ = (led_flash_cnt_ands(2198) & (\WideAnd4114~0_combout\ & (led_flash_cnt_ands(2199) & \WideAnd4114~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2198),
	datab => \WideAnd4114~0_combout\,
	datac => led_flash_cnt_ands(2199),
	datad => \WideAnd4114~1_combout\,
	combout => \WideAnd4114~combout\);

-- Location: FF_X67_Y35_N21
\led_flash_cnt_ands_1[274]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4114~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(274));

-- Location: LCCOMB_X56_Y45_N12
\led_flash_cnt[2201][0]~82841\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2201][0]~82841_combout\ = !\led_flash_cnt[2201][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2201][0]~q\,
	combout => \led_flash_cnt[2201][0]~82841_combout\);

-- Location: FF_X56_Y45_N13
\led_flash_cnt[2201][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2201][0]~82841_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2201][0]~q\);

-- Location: LCCOMB_X56_Y45_N14
\led_flash_cnt[2201][1]~57694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2201][1]~57694_combout\ = (\led_flash_cnt[2201][0]~q\ & (\led_flash_cnt[2201][1]~q\ $ (VCC))) # (!\led_flash_cnt[2201][0]~q\ & (\led_flash_cnt[2201][1]~q\ & VCC))
-- \led_flash_cnt[2201][1]~57695\ = CARRY((\led_flash_cnt[2201][0]~q\ & \led_flash_cnt[2201][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2201][0]~q\,
	datab => \led_flash_cnt[2201][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2201][1]~57694_combout\,
	cout => \led_flash_cnt[2201][1]~57695\);

-- Location: FF_X56_Y45_N15
\led_flash_cnt[2201][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2201][1]~57694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2201][1]~q\);

-- Location: LCCOMB_X56_Y45_N16
\led_flash_cnt[2201][2]~57696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2201][2]~57696_combout\ = (\led_flash_cnt[2201][2]~q\ & (!\led_flash_cnt[2201][1]~57695\)) # (!\led_flash_cnt[2201][2]~q\ & ((\led_flash_cnt[2201][1]~57695\) # (GND)))
-- \led_flash_cnt[2201][2]~57697\ = CARRY((!\led_flash_cnt[2201][1]~57695\) # (!\led_flash_cnt[2201][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2201][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2201][1]~57695\,
	combout => \led_flash_cnt[2201][2]~57696_combout\,
	cout => \led_flash_cnt[2201][2]~57697\);

-- Location: FF_X56_Y45_N17
\led_flash_cnt[2201][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2201][2]~57696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2201][2]~q\);

-- Location: LCCOMB_X56_Y45_N18
\led_flash_cnt[2201][3]~57698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2201][3]~57698_combout\ = (\led_flash_cnt[2201][3]~q\ & (\led_flash_cnt[2201][2]~57697\ $ (GND))) # (!\led_flash_cnt[2201][3]~q\ & (!\led_flash_cnt[2201][2]~57697\ & VCC))
-- \led_flash_cnt[2201][3]~57699\ = CARRY((\led_flash_cnt[2201][3]~q\ & !\led_flash_cnt[2201][2]~57697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2201][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2201][2]~57697\,
	combout => \led_flash_cnt[2201][3]~57698_combout\,
	cout => \led_flash_cnt[2201][3]~57699\);

-- Location: FF_X56_Y45_N19
\led_flash_cnt[2201][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2201][3]~57698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2201][3]~q\);

-- Location: LCCOMB_X56_Y45_N20
\led_flash_cnt[2201][4]~57700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2201][4]~57700_combout\ = (\led_flash_cnt[2201][4]~q\ & (!\led_flash_cnt[2201][3]~57699\)) # (!\led_flash_cnt[2201][4]~q\ & ((\led_flash_cnt[2201][3]~57699\) # (GND)))
-- \led_flash_cnt[2201][4]~57701\ = CARRY((!\led_flash_cnt[2201][3]~57699\) # (!\led_flash_cnt[2201][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2201][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2201][3]~57699\,
	combout => \led_flash_cnt[2201][4]~57700_combout\,
	cout => \led_flash_cnt[2201][4]~57701\);

-- Location: FF_X56_Y45_N21
\led_flash_cnt[2201][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2201][4]~57700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2201][4]~q\);

-- Location: LCCOMB_X56_Y45_N22
\led_flash_cnt[2201][5]~57702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2201][5]~57702_combout\ = (\led_flash_cnt[2201][5]~q\ & (\led_flash_cnt[2201][4]~57701\ $ (GND))) # (!\led_flash_cnt[2201][5]~q\ & (!\led_flash_cnt[2201][4]~57701\ & VCC))
-- \led_flash_cnt[2201][5]~57703\ = CARRY((\led_flash_cnt[2201][5]~q\ & !\led_flash_cnt[2201][4]~57701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2201][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2201][4]~57701\,
	combout => \led_flash_cnt[2201][5]~57702_combout\,
	cout => \led_flash_cnt[2201][5]~57703\);

-- Location: FF_X56_Y45_N23
\led_flash_cnt[2201][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2201][5]~57702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2201][5]~q\);

-- Location: LCCOMB_X56_Y45_N24
\led_flash_cnt[2201][6]~57704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2201][6]~57704_combout\ = (\led_flash_cnt[2201][6]~q\ & (!\led_flash_cnt[2201][5]~57703\)) # (!\led_flash_cnt[2201][6]~q\ & ((\led_flash_cnt[2201][5]~57703\) # (GND)))
-- \led_flash_cnt[2201][6]~57705\ = CARRY((!\led_flash_cnt[2201][5]~57703\) # (!\led_flash_cnt[2201][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2201][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2201][5]~57703\,
	combout => \led_flash_cnt[2201][6]~57704_combout\,
	cout => \led_flash_cnt[2201][6]~57705\);

-- Location: FF_X56_Y45_N25
\led_flash_cnt[2201][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2201][6]~57704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2201][6]~q\);

-- Location: LCCOMB_X56_Y45_N10
\WideAnd2201~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2201~1_combout\ = (\led_flash_cnt[2201][5]~q\ & \led_flash_cnt[2201][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2201][5]~q\,
	datad => \led_flash_cnt[2201][6]~q\,
	combout => \WideAnd2201~1_combout\);

-- Location: LCCOMB_X56_Y45_N4
\WideAnd2201~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2201~0_combout\ = (\led_flash_cnt[2201][4]~q\ & (\led_flash_cnt[2201][3]~q\ & (\led_flash_cnt[2201][1]~q\ & \led_flash_cnt[2201][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2201][4]~q\,
	datab => \led_flash_cnt[2201][3]~q\,
	datac => \led_flash_cnt[2201][1]~q\,
	datad => \led_flash_cnt[2201][2]~q\,
	combout => \WideAnd2201~0_combout\);

-- Location: LCCOMB_X56_Y45_N26
\led_flash_cnt[2201][7]~57706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2201][7]~57706_combout\ = \led_flash_cnt[2201][7]~q\ $ (!\led_flash_cnt[2201][6]~57705\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2201][7]~q\,
	cin => \led_flash_cnt[2201][6]~57705\,
	combout => \led_flash_cnt[2201][7]~57706_combout\);

-- Location: FF_X56_Y45_N27
\led_flash_cnt[2201][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2201][7]~57706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2201][7]~q\);

-- Location: LCCOMB_X56_Y45_N8
WideAnd2201 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2201~combout\ = (\WideAnd2201~1_combout\ & (\WideAnd2201~0_combout\ & (\led_flash_cnt[2201][7]~q\ & \led_flash_cnt[2201][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2201~1_combout\,
	datab => \WideAnd2201~0_combout\,
	datac => \led_flash_cnt[2201][7]~q\,
	datad => \led_flash_cnt[2201][0]~q\,
	combout => \WideAnd2201~combout\);

-- Location: FF_X56_Y45_N9
\led_flash_cnt_ands[2201]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2201~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2201));

-- Location: LCCOMB_X57_Y47_N24
\led_flash_cnt[2202][0]~82842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2202][0]~82842_combout\ = !\led_flash_cnt[2202][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2202][0]~q\,
	combout => \led_flash_cnt[2202][0]~82842_combout\);

-- Location: FF_X57_Y47_N25
\led_flash_cnt[2202][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2202][0]~82842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2202][0]~q\);

-- Location: LCCOMB_X57_Y47_N6
\led_flash_cnt[2202][1]~57708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2202][1]~57708_combout\ = (\led_flash_cnt[2202][1]~q\ & (\led_flash_cnt[2202][0]~q\ $ (VCC))) # (!\led_flash_cnt[2202][1]~q\ & (\led_flash_cnt[2202][0]~q\ & VCC))
-- \led_flash_cnt[2202][1]~57709\ = CARRY((\led_flash_cnt[2202][1]~q\ & \led_flash_cnt[2202][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2202][1]~q\,
	datab => \led_flash_cnt[2202][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2202][1]~57708_combout\,
	cout => \led_flash_cnt[2202][1]~57709\);

-- Location: FF_X57_Y47_N7
\led_flash_cnt[2202][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2202][1]~57708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2202][1]~q\);

-- Location: LCCOMB_X57_Y47_N8
\led_flash_cnt[2202][2]~57710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2202][2]~57710_combout\ = (\led_flash_cnt[2202][2]~q\ & (!\led_flash_cnt[2202][1]~57709\)) # (!\led_flash_cnt[2202][2]~q\ & ((\led_flash_cnt[2202][1]~57709\) # (GND)))
-- \led_flash_cnt[2202][2]~57711\ = CARRY((!\led_flash_cnt[2202][1]~57709\) # (!\led_flash_cnt[2202][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2202][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2202][1]~57709\,
	combout => \led_flash_cnt[2202][2]~57710_combout\,
	cout => \led_flash_cnt[2202][2]~57711\);

-- Location: FF_X57_Y47_N9
\led_flash_cnt[2202][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2202][2]~57710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2202][2]~q\);

-- Location: LCCOMB_X57_Y47_N10
\led_flash_cnt[2202][3]~57712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2202][3]~57712_combout\ = (\led_flash_cnt[2202][3]~q\ & (\led_flash_cnt[2202][2]~57711\ $ (GND))) # (!\led_flash_cnt[2202][3]~q\ & (!\led_flash_cnt[2202][2]~57711\ & VCC))
-- \led_flash_cnt[2202][3]~57713\ = CARRY((\led_flash_cnt[2202][3]~q\ & !\led_flash_cnt[2202][2]~57711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2202][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2202][2]~57711\,
	combout => \led_flash_cnt[2202][3]~57712_combout\,
	cout => \led_flash_cnt[2202][3]~57713\);

-- Location: FF_X57_Y47_N11
\led_flash_cnt[2202][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2202][3]~57712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2202][3]~q\);

-- Location: LCCOMB_X57_Y47_N12
\led_flash_cnt[2202][4]~57714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2202][4]~57714_combout\ = (\led_flash_cnt[2202][4]~q\ & (!\led_flash_cnt[2202][3]~57713\)) # (!\led_flash_cnt[2202][4]~q\ & ((\led_flash_cnt[2202][3]~57713\) # (GND)))
-- \led_flash_cnt[2202][4]~57715\ = CARRY((!\led_flash_cnt[2202][3]~57713\) # (!\led_flash_cnt[2202][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2202][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2202][3]~57713\,
	combout => \led_flash_cnt[2202][4]~57714_combout\,
	cout => \led_flash_cnt[2202][4]~57715\);

-- Location: FF_X57_Y47_N13
\led_flash_cnt[2202][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2202][4]~57714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2202][4]~q\);

-- Location: LCCOMB_X57_Y47_N14
\led_flash_cnt[2202][5]~57716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2202][5]~57716_combout\ = (\led_flash_cnt[2202][5]~q\ & (\led_flash_cnt[2202][4]~57715\ $ (GND))) # (!\led_flash_cnt[2202][5]~q\ & (!\led_flash_cnt[2202][4]~57715\ & VCC))
-- \led_flash_cnt[2202][5]~57717\ = CARRY((\led_flash_cnt[2202][5]~q\ & !\led_flash_cnt[2202][4]~57715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2202][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2202][4]~57715\,
	combout => \led_flash_cnt[2202][5]~57716_combout\,
	cout => \led_flash_cnt[2202][5]~57717\);

-- Location: FF_X57_Y47_N15
\led_flash_cnt[2202][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2202][5]~57716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2202][5]~q\);

-- Location: LCCOMB_X57_Y47_N26
\WideAnd2202~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2202~0_combout\ = (\led_flash_cnt[2202][4]~q\ & (\led_flash_cnt[2202][5]~q\ & (\led_flash_cnt[2202][2]~q\ & \led_flash_cnt[2202][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2202][4]~q\,
	datab => \led_flash_cnt[2202][5]~q\,
	datac => \led_flash_cnt[2202][2]~q\,
	datad => \led_flash_cnt[2202][3]~q\,
	combout => \WideAnd2202~0_combout\);

-- Location: LCCOMB_X57_Y47_N16
\led_flash_cnt[2202][6]~57718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2202][6]~57718_combout\ = (\led_flash_cnt[2202][6]~q\ & (!\led_flash_cnt[2202][5]~57717\)) # (!\led_flash_cnt[2202][6]~q\ & ((\led_flash_cnt[2202][5]~57717\) # (GND)))
-- \led_flash_cnt[2202][6]~57719\ = CARRY((!\led_flash_cnt[2202][5]~57717\) # (!\led_flash_cnt[2202][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2202][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2202][5]~57717\,
	combout => \led_flash_cnt[2202][6]~57718_combout\,
	cout => \led_flash_cnt[2202][6]~57719\);

-- Location: FF_X57_Y47_N17
\led_flash_cnt[2202][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2202][6]~57718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2202][6]~q\);

-- Location: LCCOMB_X57_Y47_N18
\led_flash_cnt[2202][7]~57720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2202][7]~57720_combout\ = \led_flash_cnt[2202][6]~57719\ $ (!\led_flash_cnt[2202][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2202][7]~q\,
	cin => \led_flash_cnt[2202][6]~57719\,
	combout => \led_flash_cnt[2202][7]~57720_combout\);

-- Location: FF_X57_Y47_N19
\led_flash_cnt[2202][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2202][7]~57720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2202][7]~q\);

-- Location: LCCOMB_X57_Y47_N30
\WideAnd2202~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2202~1_combout\ = (\led_flash_cnt[2202][7]~q\ & \led_flash_cnt[2202][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2202][7]~q\,
	datad => \led_flash_cnt[2202][0]~q\,
	combout => \WideAnd2202~1_combout\);

-- Location: LCCOMB_X57_Y47_N28
WideAnd2202 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2202~combout\ = (\WideAnd2202~0_combout\ & (\led_flash_cnt[2202][6]~q\ & (\WideAnd2202~1_combout\ & \led_flash_cnt[2202][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2202~0_combout\,
	datab => \led_flash_cnt[2202][6]~q\,
	datac => \WideAnd2202~1_combout\,
	datad => \led_flash_cnt[2202][1]~q\,
	combout => \WideAnd2202~combout\);

-- Location: FF_X57_Y47_N29
\led_flash_cnt_ands[2202]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2202~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2202));

-- Location: LCCOMB_X57_Y47_N2
\led_flash_cnt[2203][0]~82843\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2203][0]~82843_combout\ = !\led_flash_cnt[2203][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2203][0]~q\,
	combout => \led_flash_cnt[2203][0]~82843_combout\);

-- Location: FF_X57_Y47_N3
\led_flash_cnt[2203][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2203][0]~82843_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2203][0]~q\);

-- Location: LCCOMB_X56_Y47_N16
\led_flash_cnt[2203][1]~57722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2203][1]~57722_combout\ = (\led_flash_cnt[2203][0]~q\ & (\led_flash_cnt[2203][1]~q\ $ (VCC))) # (!\led_flash_cnt[2203][0]~q\ & (\led_flash_cnt[2203][1]~q\ & VCC))
-- \led_flash_cnt[2203][1]~57723\ = CARRY((\led_flash_cnt[2203][0]~q\ & \led_flash_cnt[2203][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2203][0]~q\,
	datab => \led_flash_cnt[2203][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2203][1]~57722_combout\,
	cout => \led_flash_cnt[2203][1]~57723\);

-- Location: FF_X56_Y47_N17
\led_flash_cnt[2203][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2203][1]~57722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2203][1]~q\);

-- Location: LCCOMB_X56_Y47_N18
\led_flash_cnt[2203][2]~57724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2203][2]~57724_combout\ = (\led_flash_cnt[2203][2]~q\ & (!\led_flash_cnt[2203][1]~57723\)) # (!\led_flash_cnt[2203][2]~q\ & ((\led_flash_cnt[2203][1]~57723\) # (GND)))
-- \led_flash_cnt[2203][2]~57725\ = CARRY((!\led_flash_cnt[2203][1]~57723\) # (!\led_flash_cnt[2203][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2203][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2203][1]~57723\,
	combout => \led_flash_cnt[2203][2]~57724_combout\,
	cout => \led_flash_cnt[2203][2]~57725\);

-- Location: FF_X56_Y47_N19
\led_flash_cnt[2203][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2203][2]~57724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2203][2]~q\);

-- Location: LCCOMB_X56_Y47_N20
\led_flash_cnt[2203][3]~57726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2203][3]~57726_combout\ = (\led_flash_cnt[2203][3]~q\ & (\led_flash_cnt[2203][2]~57725\ $ (GND))) # (!\led_flash_cnt[2203][3]~q\ & (!\led_flash_cnt[2203][2]~57725\ & VCC))
-- \led_flash_cnt[2203][3]~57727\ = CARRY((\led_flash_cnt[2203][3]~q\ & !\led_flash_cnt[2203][2]~57725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2203][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2203][2]~57725\,
	combout => \led_flash_cnt[2203][3]~57726_combout\,
	cout => \led_flash_cnt[2203][3]~57727\);

-- Location: FF_X56_Y47_N21
\led_flash_cnt[2203][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2203][3]~57726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2203][3]~q\);

-- Location: LCCOMB_X56_Y47_N22
\led_flash_cnt[2203][4]~57728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2203][4]~57728_combout\ = (\led_flash_cnt[2203][4]~q\ & (!\led_flash_cnt[2203][3]~57727\)) # (!\led_flash_cnt[2203][4]~q\ & ((\led_flash_cnt[2203][3]~57727\) # (GND)))
-- \led_flash_cnt[2203][4]~57729\ = CARRY((!\led_flash_cnt[2203][3]~57727\) # (!\led_flash_cnt[2203][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2203][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2203][3]~57727\,
	combout => \led_flash_cnt[2203][4]~57728_combout\,
	cout => \led_flash_cnt[2203][4]~57729\);

-- Location: FF_X56_Y47_N23
\led_flash_cnt[2203][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2203][4]~57728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2203][4]~q\);

-- Location: LCCOMB_X56_Y47_N30
\WideAnd2203~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2203~0_combout\ = (\led_flash_cnt[2203][1]~q\ & (\led_flash_cnt[2203][3]~q\ & (\led_flash_cnt[2203][4]~q\ & \led_flash_cnt[2203][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2203][1]~q\,
	datab => \led_flash_cnt[2203][3]~q\,
	datac => \led_flash_cnt[2203][4]~q\,
	datad => \led_flash_cnt[2203][2]~q\,
	combout => \WideAnd2203~0_combout\);

-- Location: LCCOMB_X56_Y47_N24
\led_flash_cnt[2203][5]~57730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2203][5]~57730_combout\ = (\led_flash_cnt[2203][5]~q\ & (\led_flash_cnt[2203][4]~57729\ $ (GND))) # (!\led_flash_cnt[2203][5]~q\ & (!\led_flash_cnt[2203][4]~57729\ & VCC))
-- \led_flash_cnt[2203][5]~57731\ = CARRY((\led_flash_cnt[2203][5]~q\ & !\led_flash_cnt[2203][4]~57729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2203][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2203][4]~57729\,
	combout => \led_flash_cnt[2203][5]~57730_combout\,
	cout => \led_flash_cnt[2203][5]~57731\);

-- Location: FF_X56_Y47_N25
\led_flash_cnt[2203][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2203][5]~57730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2203][5]~q\);

-- Location: LCCOMB_X56_Y47_N26
\led_flash_cnt[2203][6]~57732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2203][6]~57732_combout\ = (\led_flash_cnt[2203][6]~q\ & (!\led_flash_cnt[2203][5]~57731\)) # (!\led_flash_cnt[2203][6]~q\ & ((\led_flash_cnt[2203][5]~57731\) # (GND)))
-- \led_flash_cnt[2203][6]~57733\ = CARRY((!\led_flash_cnt[2203][5]~57731\) # (!\led_flash_cnt[2203][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2203][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2203][5]~57731\,
	combout => \led_flash_cnt[2203][6]~57732_combout\,
	cout => \led_flash_cnt[2203][6]~57733\);

-- Location: FF_X56_Y47_N27
\led_flash_cnt[2203][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2203][6]~57732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2203][6]~q\);

-- Location: LCCOMB_X57_Y47_N20
\WideAnd2203~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2203~1_combout\ = (\led_flash_cnt[2203][6]~q\ & \led_flash_cnt[2203][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2203][6]~q\,
	datad => \led_flash_cnt[2203][5]~q\,
	combout => \WideAnd2203~1_combout\);

-- Location: LCCOMB_X56_Y47_N28
\led_flash_cnt[2203][7]~57734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2203][7]~57734_combout\ = \led_flash_cnt[2203][6]~57733\ $ (!\led_flash_cnt[2203][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2203][7]~q\,
	cin => \led_flash_cnt[2203][6]~57733\,
	combout => \led_flash_cnt[2203][7]~57734_combout\);

-- Location: FF_X56_Y47_N29
\led_flash_cnt[2203][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2203][7]~57734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2203][7]~q\);

-- Location: LCCOMB_X57_Y47_N4
WideAnd2203 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2203~combout\ = (\WideAnd2203~0_combout\ & (\WideAnd2203~1_combout\ & (\led_flash_cnt[2203][0]~q\ & \led_flash_cnt[2203][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2203~0_combout\,
	datab => \WideAnd2203~1_combout\,
	datac => \led_flash_cnt[2203][0]~q\,
	datad => \led_flash_cnt[2203][7]~q\,
	combout => \WideAnd2203~combout\);

-- Location: FF_X57_Y47_N5
\led_flash_cnt_ands[2203]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2203~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2203));

-- Location: LCCOMB_X57_Y50_N26
\led_flash_cnt[2200][0]~82840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2200][0]~82840_combout\ = !\led_flash_cnt[2200][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2200][0]~q\,
	combout => \led_flash_cnt[2200][0]~82840_combout\);

-- Location: FF_X57_Y50_N27
\led_flash_cnt[2200][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2200][0]~82840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2200][0]~q\);

-- Location: LCCOMB_X57_Y50_N4
\led_flash_cnt[2200][1]~57680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2200][1]~57680_combout\ = (\led_flash_cnt[2200][0]~q\ & (\led_flash_cnt[2200][1]~q\ $ (VCC))) # (!\led_flash_cnt[2200][0]~q\ & (\led_flash_cnt[2200][1]~q\ & VCC))
-- \led_flash_cnt[2200][1]~57681\ = CARRY((\led_flash_cnt[2200][0]~q\ & \led_flash_cnt[2200][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2200][0]~q\,
	datab => \led_flash_cnt[2200][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2200][1]~57680_combout\,
	cout => \led_flash_cnt[2200][1]~57681\);

-- Location: FF_X57_Y50_N5
\led_flash_cnt[2200][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2200][1]~57680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2200][1]~q\);

-- Location: LCCOMB_X57_Y50_N6
\led_flash_cnt[2200][2]~57682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2200][2]~57682_combout\ = (\led_flash_cnt[2200][2]~q\ & (!\led_flash_cnt[2200][1]~57681\)) # (!\led_flash_cnt[2200][2]~q\ & ((\led_flash_cnt[2200][1]~57681\) # (GND)))
-- \led_flash_cnt[2200][2]~57683\ = CARRY((!\led_flash_cnt[2200][1]~57681\) # (!\led_flash_cnt[2200][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2200][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2200][1]~57681\,
	combout => \led_flash_cnt[2200][2]~57682_combout\,
	cout => \led_flash_cnt[2200][2]~57683\);

-- Location: FF_X57_Y50_N7
\led_flash_cnt[2200][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2200][2]~57682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2200][2]~q\);

-- Location: LCCOMB_X57_Y50_N8
\led_flash_cnt[2200][3]~57684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2200][3]~57684_combout\ = (\led_flash_cnt[2200][3]~q\ & (\led_flash_cnt[2200][2]~57683\ $ (GND))) # (!\led_flash_cnt[2200][3]~q\ & (!\led_flash_cnt[2200][2]~57683\ & VCC))
-- \led_flash_cnt[2200][3]~57685\ = CARRY((\led_flash_cnt[2200][3]~q\ & !\led_flash_cnt[2200][2]~57683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2200][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2200][2]~57683\,
	combout => \led_flash_cnt[2200][3]~57684_combout\,
	cout => \led_flash_cnt[2200][3]~57685\);

-- Location: FF_X57_Y50_N9
\led_flash_cnt[2200][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2200][3]~57684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2200][3]~q\);

-- Location: LCCOMB_X57_Y50_N10
\led_flash_cnt[2200][4]~57686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2200][4]~57686_combout\ = (\led_flash_cnt[2200][4]~q\ & (!\led_flash_cnt[2200][3]~57685\)) # (!\led_flash_cnt[2200][4]~q\ & ((\led_flash_cnt[2200][3]~57685\) # (GND)))
-- \led_flash_cnt[2200][4]~57687\ = CARRY((!\led_flash_cnt[2200][3]~57685\) # (!\led_flash_cnt[2200][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2200][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2200][3]~57685\,
	combout => \led_flash_cnt[2200][4]~57686_combout\,
	cout => \led_flash_cnt[2200][4]~57687\);

-- Location: FF_X57_Y50_N11
\led_flash_cnt[2200][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2200][4]~57686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2200][4]~q\);

-- Location: LCCOMB_X57_Y50_N12
\led_flash_cnt[2200][5]~57688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2200][5]~57688_combout\ = (\led_flash_cnt[2200][5]~q\ & (\led_flash_cnt[2200][4]~57687\ $ (GND))) # (!\led_flash_cnt[2200][5]~q\ & (!\led_flash_cnt[2200][4]~57687\ & VCC))
-- \led_flash_cnt[2200][5]~57689\ = CARRY((\led_flash_cnt[2200][5]~q\ & !\led_flash_cnt[2200][4]~57687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2200][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2200][4]~57687\,
	combout => \led_flash_cnt[2200][5]~57688_combout\,
	cout => \led_flash_cnt[2200][5]~57689\);

-- Location: FF_X57_Y50_N13
\led_flash_cnt[2200][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2200][5]~57688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2200][5]~q\);

-- Location: LCCOMB_X57_Y50_N14
\led_flash_cnt[2200][6]~57690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2200][6]~57690_combout\ = (\led_flash_cnt[2200][6]~q\ & (!\led_flash_cnt[2200][5]~57689\)) # (!\led_flash_cnt[2200][6]~q\ & ((\led_flash_cnt[2200][5]~57689\) # (GND)))
-- \led_flash_cnt[2200][6]~57691\ = CARRY((!\led_flash_cnt[2200][5]~57689\) # (!\led_flash_cnt[2200][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2200][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2200][5]~57689\,
	combout => \led_flash_cnt[2200][6]~57690_combout\,
	cout => \led_flash_cnt[2200][6]~57691\);

-- Location: FF_X57_Y50_N15
\led_flash_cnt[2200][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2200][6]~57690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2200][6]~q\);

-- Location: LCCOMB_X57_Y50_N16
\led_flash_cnt[2200][7]~57692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2200][7]~57692_combout\ = \led_flash_cnt[2200][6]~57691\ $ (!\led_flash_cnt[2200][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2200][7]~q\,
	cin => \led_flash_cnt[2200][6]~57691\,
	combout => \led_flash_cnt[2200][7]~57692_combout\);

-- Location: FF_X57_Y50_N17
\led_flash_cnt[2200][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2200][7]~57692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2200][7]~q\);

-- Location: LCCOMB_X57_Y50_N22
\WideAnd2200~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2200~1_combout\ = (\led_flash_cnt[2200][6]~q\ & \led_flash_cnt[2200][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2200][6]~q\,
	datad => \led_flash_cnt[2200][5]~q\,
	combout => \WideAnd2200~1_combout\);

-- Location: LCCOMB_X57_Y50_N18
\WideAnd2200~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2200~0_combout\ = (\led_flash_cnt[2200][4]~q\ & (\led_flash_cnt[2200][3]~q\ & (\led_flash_cnt[2200][1]~q\ & \led_flash_cnt[2200][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2200][4]~q\,
	datab => \led_flash_cnt[2200][3]~q\,
	datac => \led_flash_cnt[2200][1]~q\,
	datad => \led_flash_cnt[2200][2]~q\,
	combout => \WideAnd2200~0_combout\);

-- Location: LCCOMB_X57_Y50_N24
WideAnd2200 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2200~combout\ = (\led_flash_cnt[2200][0]~q\ & (\led_flash_cnt[2200][7]~q\ & (\WideAnd2200~1_combout\ & \WideAnd2200~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2200][0]~q\,
	datab => \led_flash_cnt[2200][7]~q\,
	datac => \WideAnd2200~1_combout\,
	datad => \WideAnd2200~0_combout\,
	combout => \WideAnd2200~combout\);

-- Location: FF_X57_Y50_N25
\led_flash_cnt_ands[2200]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2200~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2200));

-- Location: LCCOMB_X57_Y47_N22
\WideAnd4115~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4115~0_combout\ = (led_flash_cnt_ands(2201) & (led_flash_cnt_ands(2202) & (led_flash_cnt_ands(2203) & led_flash_cnt_ands(2200))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2201),
	datab => led_flash_cnt_ands(2202),
	datac => led_flash_cnt_ands(2203),
	datad => led_flash_cnt_ands(2200),
	combout => \WideAnd4115~0_combout\);

-- Location: LCCOMB_X61_Y47_N18
\led_flash_cnt[2207][0]~82847\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2207][0]~82847_combout\ = !\led_flash_cnt[2207][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2207][0]~q\,
	combout => \led_flash_cnt[2207][0]~82847_combout\);

-- Location: FF_X61_Y47_N19
\led_flash_cnt[2207][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2207][0]~82847_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2207][0]~q\);

-- Location: LCCOMB_X61_Y47_N0
\led_flash_cnt[2207][1]~57778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2207][1]~57778_combout\ = (\led_flash_cnt[2207][0]~q\ & (\led_flash_cnt[2207][1]~q\ $ (VCC))) # (!\led_flash_cnt[2207][0]~q\ & (\led_flash_cnt[2207][1]~q\ & VCC))
-- \led_flash_cnt[2207][1]~57779\ = CARRY((\led_flash_cnt[2207][0]~q\ & \led_flash_cnt[2207][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2207][0]~q\,
	datab => \led_flash_cnt[2207][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2207][1]~57778_combout\,
	cout => \led_flash_cnt[2207][1]~57779\);

-- Location: FF_X61_Y47_N1
\led_flash_cnt[2207][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2207][1]~57778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2207][1]~q\);

-- Location: LCCOMB_X61_Y47_N2
\led_flash_cnt[2207][2]~57780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2207][2]~57780_combout\ = (\led_flash_cnt[2207][2]~q\ & (!\led_flash_cnt[2207][1]~57779\)) # (!\led_flash_cnt[2207][2]~q\ & ((\led_flash_cnt[2207][1]~57779\) # (GND)))
-- \led_flash_cnt[2207][2]~57781\ = CARRY((!\led_flash_cnt[2207][1]~57779\) # (!\led_flash_cnt[2207][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2207][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2207][1]~57779\,
	combout => \led_flash_cnt[2207][2]~57780_combout\,
	cout => \led_flash_cnt[2207][2]~57781\);

-- Location: FF_X61_Y47_N3
\led_flash_cnt[2207][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2207][2]~57780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2207][2]~q\);

-- Location: LCCOMB_X61_Y47_N4
\led_flash_cnt[2207][3]~57782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2207][3]~57782_combout\ = (\led_flash_cnt[2207][3]~q\ & (\led_flash_cnt[2207][2]~57781\ $ (GND))) # (!\led_flash_cnt[2207][3]~q\ & (!\led_flash_cnt[2207][2]~57781\ & VCC))
-- \led_flash_cnt[2207][3]~57783\ = CARRY((\led_flash_cnt[2207][3]~q\ & !\led_flash_cnt[2207][2]~57781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2207][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2207][2]~57781\,
	combout => \led_flash_cnt[2207][3]~57782_combout\,
	cout => \led_flash_cnt[2207][3]~57783\);

-- Location: FF_X61_Y47_N5
\led_flash_cnt[2207][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2207][3]~57782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2207][3]~q\);

-- Location: LCCOMB_X61_Y47_N6
\led_flash_cnt[2207][4]~57784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2207][4]~57784_combout\ = (\led_flash_cnt[2207][4]~q\ & (!\led_flash_cnt[2207][3]~57783\)) # (!\led_flash_cnt[2207][4]~q\ & ((\led_flash_cnt[2207][3]~57783\) # (GND)))
-- \led_flash_cnt[2207][4]~57785\ = CARRY((!\led_flash_cnt[2207][3]~57783\) # (!\led_flash_cnt[2207][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2207][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2207][3]~57783\,
	combout => \led_flash_cnt[2207][4]~57784_combout\,
	cout => \led_flash_cnt[2207][4]~57785\);

-- Location: FF_X61_Y47_N7
\led_flash_cnt[2207][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2207][4]~57784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2207][4]~q\);

-- Location: LCCOMB_X61_Y47_N26
\WideAnd2207~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2207~0_combout\ = (\led_flash_cnt[2207][4]~q\ & (\led_flash_cnt[2207][1]~q\ & (\led_flash_cnt[2207][3]~q\ & \led_flash_cnt[2207][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2207][4]~q\,
	datab => \led_flash_cnt[2207][1]~q\,
	datac => \led_flash_cnt[2207][3]~q\,
	datad => \led_flash_cnt[2207][2]~q\,
	combout => \WideAnd2207~0_combout\);

-- Location: LCCOMB_X61_Y47_N8
\led_flash_cnt[2207][5]~57786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2207][5]~57786_combout\ = (\led_flash_cnt[2207][5]~q\ & (\led_flash_cnt[2207][4]~57785\ $ (GND))) # (!\led_flash_cnt[2207][5]~q\ & (!\led_flash_cnt[2207][4]~57785\ & VCC))
-- \led_flash_cnt[2207][5]~57787\ = CARRY((\led_flash_cnt[2207][5]~q\ & !\led_flash_cnt[2207][4]~57785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2207][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2207][4]~57785\,
	combout => \led_flash_cnt[2207][5]~57786_combout\,
	cout => \led_flash_cnt[2207][5]~57787\);

-- Location: FF_X61_Y47_N9
\led_flash_cnt[2207][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2207][5]~57786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2207][5]~q\);

-- Location: LCCOMB_X61_Y47_N10
\led_flash_cnt[2207][6]~57788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2207][6]~57788_combout\ = (\led_flash_cnt[2207][6]~q\ & (!\led_flash_cnt[2207][5]~57787\)) # (!\led_flash_cnt[2207][6]~q\ & ((\led_flash_cnt[2207][5]~57787\) # (GND)))
-- \led_flash_cnt[2207][6]~57789\ = CARRY((!\led_flash_cnt[2207][5]~57787\) # (!\led_flash_cnt[2207][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2207][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2207][5]~57787\,
	combout => \led_flash_cnt[2207][6]~57788_combout\,
	cout => \led_flash_cnt[2207][6]~57789\);

-- Location: FF_X61_Y47_N11
\led_flash_cnt[2207][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2207][6]~57788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2207][6]~q\);

-- Location: LCCOMB_X61_Y47_N22
\WideAnd2207~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2207~1_combout\ = (\led_flash_cnt[2207][5]~q\ & \led_flash_cnt[2207][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2207][5]~q\,
	datad => \led_flash_cnt[2207][6]~q\,
	combout => \WideAnd2207~1_combout\);

-- Location: LCCOMB_X61_Y47_N12
\led_flash_cnt[2207][7]~57790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2207][7]~57790_combout\ = \led_flash_cnt[2207][6]~57789\ $ (!\led_flash_cnt[2207][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2207][7]~q\,
	cin => \led_flash_cnt[2207][6]~57789\,
	combout => \led_flash_cnt[2207][7]~57790_combout\);

-- Location: FF_X61_Y47_N13
\led_flash_cnt[2207][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2207][7]~57790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2207][7]~q\);

-- Location: LCCOMB_X61_Y47_N14
WideAnd2207 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2207~combout\ = (\WideAnd2207~0_combout\ & (\led_flash_cnt[2207][0]~q\ & (\WideAnd2207~1_combout\ & \led_flash_cnt[2207][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2207~0_combout\,
	datab => \led_flash_cnt[2207][0]~q\,
	datac => \WideAnd2207~1_combout\,
	datad => \led_flash_cnt[2207][7]~q\,
	combout => \WideAnd2207~combout\);

-- Location: FF_X61_Y47_N15
\led_flash_cnt_ands[2207]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2207~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2207));

-- Location: LCCOMB_X58_Y45_N2
\led_flash_cnt[2205][0]~82845\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2205][0]~82845_combout\ = !\led_flash_cnt[2205][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2205][0]~q\,
	combout => \led_flash_cnt[2205][0]~82845_combout\);

-- Location: FF_X58_Y45_N3
\led_flash_cnt[2205][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2205][0]~82845_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2205][0]~q\);

-- Location: LCCOMB_X57_Y45_N16
\led_flash_cnt[2205][1]~57750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2205][1]~57750_combout\ = (\led_flash_cnt[2205][0]~q\ & (\led_flash_cnt[2205][1]~q\ $ (VCC))) # (!\led_flash_cnt[2205][0]~q\ & (\led_flash_cnt[2205][1]~q\ & VCC))
-- \led_flash_cnt[2205][1]~57751\ = CARRY((\led_flash_cnt[2205][0]~q\ & \led_flash_cnt[2205][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2205][0]~q\,
	datab => \led_flash_cnt[2205][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2205][1]~57750_combout\,
	cout => \led_flash_cnt[2205][1]~57751\);

-- Location: FF_X57_Y45_N17
\led_flash_cnt[2205][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2205][1]~57750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2205][1]~q\);

-- Location: LCCOMB_X57_Y45_N18
\led_flash_cnt[2205][2]~57752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2205][2]~57752_combout\ = (\led_flash_cnt[2205][2]~q\ & (!\led_flash_cnt[2205][1]~57751\)) # (!\led_flash_cnt[2205][2]~q\ & ((\led_flash_cnt[2205][1]~57751\) # (GND)))
-- \led_flash_cnt[2205][2]~57753\ = CARRY((!\led_flash_cnt[2205][1]~57751\) # (!\led_flash_cnt[2205][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2205][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2205][1]~57751\,
	combout => \led_flash_cnt[2205][2]~57752_combout\,
	cout => \led_flash_cnt[2205][2]~57753\);

-- Location: FF_X57_Y45_N19
\led_flash_cnt[2205][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2205][2]~57752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2205][2]~q\);

-- Location: LCCOMB_X57_Y45_N20
\led_flash_cnt[2205][3]~57754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2205][3]~57754_combout\ = (\led_flash_cnt[2205][3]~q\ & (\led_flash_cnt[2205][2]~57753\ $ (GND))) # (!\led_flash_cnt[2205][3]~q\ & (!\led_flash_cnt[2205][2]~57753\ & VCC))
-- \led_flash_cnt[2205][3]~57755\ = CARRY((\led_flash_cnt[2205][3]~q\ & !\led_flash_cnt[2205][2]~57753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2205][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2205][2]~57753\,
	combout => \led_flash_cnt[2205][3]~57754_combout\,
	cout => \led_flash_cnt[2205][3]~57755\);

-- Location: FF_X57_Y45_N21
\led_flash_cnt[2205][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2205][3]~57754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2205][3]~q\);

-- Location: LCCOMB_X57_Y45_N22
\led_flash_cnt[2205][4]~57756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2205][4]~57756_combout\ = (\led_flash_cnt[2205][4]~q\ & (!\led_flash_cnt[2205][3]~57755\)) # (!\led_flash_cnt[2205][4]~q\ & ((\led_flash_cnt[2205][3]~57755\) # (GND)))
-- \led_flash_cnt[2205][4]~57757\ = CARRY((!\led_flash_cnt[2205][3]~57755\) # (!\led_flash_cnt[2205][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2205][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2205][3]~57755\,
	combout => \led_flash_cnt[2205][4]~57756_combout\,
	cout => \led_flash_cnt[2205][4]~57757\);

-- Location: FF_X57_Y45_N23
\led_flash_cnt[2205][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2205][4]~57756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2205][4]~q\);

-- Location: LCCOMB_X57_Y45_N24
\led_flash_cnt[2205][5]~57758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2205][5]~57758_combout\ = (\led_flash_cnt[2205][5]~q\ & (\led_flash_cnt[2205][4]~57757\ $ (GND))) # (!\led_flash_cnt[2205][5]~q\ & (!\led_flash_cnt[2205][4]~57757\ & VCC))
-- \led_flash_cnt[2205][5]~57759\ = CARRY((\led_flash_cnt[2205][5]~q\ & !\led_flash_cnt[2205][4]~57757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2205][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2205][4]~57757\,
	combout => \led_flash_cnt[2205][5]~57758_combout\,
	cout => \led_flash_cnt[2205][5]~57759\);

-- Location: FF_X57_Y45_N25
\led_flash_cnt[2205][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2205][5]~57758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2205][5]~q\);

-- Location: LCCOMB_X57_Y45_N26
\led_flash_cnt[2205][6]~57760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2205][6]~57760_combout\ = (\led_flash_cnt[2205][6]~q\ & (!\led_flash_cnt[2205][5]~57759\)) # (!\led_flash_cnt[2205][6]~q\ & ((\led_flash_cnt[2205][5]~57759\) # (GND)))
-- \led_flash_cnt[2205][6]~57761\ = CARRY((!\led_flash_cnt[2205][5]~57759\) # (!\led_flash_cnt[2205][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2205][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2205][5]~57759\,
	combout => \led_flash_cnt[2205][6]~57760_combout\,
	cout => \led_flash_cnt[2205][6]~57761\);

-- Location: FF_X57_Y45_N27
\led_flash_cnt[2205][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2205][6]~57760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2205][6]~q\);

-- Location: LCCOMB_X58_Y45_N26
\WideAnd2205~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2205~1_combout\ = (\led_flash_cnt[2205][6]~q\ & \led_flash_cnt[2205][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2205][6]~q\,
	datad => \led_flash_cnt[2205][5]~q\,
	combout => \WideAnd2205~1_combout\);

-- Location: LCCOMB_X57_Y45_N28
\led_flash_cnt[2205][7]~57762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2205][7]~57762_combout\ = \led_flash_cnt[2205][6]~57761\ $ (!\led_flash_cnt[2205][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2205][7]~q\,
	cin => \led_flash_cnt[2205][6]~57761\,
	combout => \led_flash_cnt[2205][7]~57762_combout\);

-- Location: FF_X57_Y45_N29
\led_flash_cnt[2205][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2205][7]~57762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2205][7]~q\);

-- Location: LCCOMB_X57_Y45_N0
\WideAnd2205~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2205~0_combout\ = (\led_flash_cnt[2205][1]~q\ & (\led_flash_cnt[2205][3]~q\ & (\led_flash_cnt[2205][4]~q\ & \led_flash_cnt[2205][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2205][1]~q\,
	datab => \led_flash_cnt[2205][3]~q\,
	datac => \led_flash_cnt[2205][4]~q\,
	datad => \led_flash_cnt[2205][2]~q\,
	combout => \WideAnd2205~0_combout\);

-- Location: LCCOMB_X58_Y45_N4
WideAnd2205 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2205~combout\ = (\WideAnd2205~1_combout\ & (\led_flash_cnt[2205][7]~q\ & (\WideAnd2205~0_combout\ & \led_flash_cnt[2205][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2205~1_combout\,
	datab => \led_flash_cnt[2205][7]~q\,
	datac => \WideAnd2205~0_combout\,
	datad => \led_flash_cnt[2205][0]~q\,
	combout => \WideAnd2205~combout\);

-- Location: FF_X58_Y45_N5
\led_flash_cnt_ands[2205]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2205~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2205));

-- Location: LCCOMB_X58_Y45_N28
\led_flash_cnt[2204][0]~82844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2204][0]~82844_combout\ = !\led_flash_cnt[2204][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2204][0]~q\,
	combout => \led_flash_cnt[2204][0]~82844_combout\);

-- Location: FF_X58_Y45_N29
\led_flash_cnt[2204][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2204][0]~82844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2204][0]~q\);

-- Location: LCCOMB_X58_Y45_N12
\led_flash_cnt[2204][1]~57736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2204][1]~57736_combout\ = (\led_flash_cnt[2204][1]~q\ & (\led_flash_cnt[2204][0]~q\ $ (VCC))) # (!\led_flash_cnt[2204][1]~q\ & (\led_flash_cnt[2204][0]~q\ & VCC))
-- \led_flash_cnt[2204][1]~57737\ = CARRY((\led_flash_cnt[2204][1]~q\ & \led_flash_cnt[2204][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2204][1]~q\,
	datab => \led_flash_cnt[2204][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2204][1]~57736_combout\,
	cout => \led_flash_cnt[2204][1]~57737\);

-- Location: FF_X58_Y45_N13
\led_flash_cnt[2204][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2204][1]~57736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2204][1]~q\);

-- Location: LCCOMB_X58_Y45_N14
\led_flash_cnt[2204][2]~57738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2204][2]~57738_combout\ = (\led_flash_cnt[2204][2]~q\ & (!\led_flash_cnt[2204][1]~57737\)) # (!\led_flash_cnt[2204][2]~q\ & ((\led_flash_cnt[2204][1]~57737\) # (GND)))
-- \led_flash_cnt[2204][2]~57739\ = CARRY((!\led_flash_cnt[2204][1]~57737\) # (!\led_flash_cnt[2204][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2204][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2204][1]~57737\,
	combout => \led_flash_cnt[2204][2]~57738_combout\,
	cout => \led_flash_cnt[2204][2]~57739\);

-- Location: FF_X58_Y45_N15
\led_flash_cnt[2204][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2204][2]~57738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2204][2]~q\);

-- Location: LCCOMB_X58_Y45_N16
\led_flash_cnt[2204][3]~57740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2204][3]~57740_combout\ = (\led_flash_cnt[2204][3]~q\ & (\led_flash_cnt[2204][2]~57739\ $ (GND))) # (!\led_flash_cnt[2204][3]~q\ & (!\led_flash_cnt[2204][2]~57739\ & VCC))
-- \led_flash_cnt[2204][3]~57741\ = CARRY((\led_flash_cnt[2204][3]~q\ & !\led_flash_cnt[2204][2]~57739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2204][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2204][2]~57739\,
	combout => \led_flash_cnt[2204][3]~57740_combout\,
	cout => \led_flash_cnt[2204][3]~57741\);

-- Location: FF_X58_Y45_N17
\led_flash_cnt[2204][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2204][3]~57740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2204][3]~q\);

-- Location: LCCOMB_X58_Y45_N18
\led_flash_cnt[2204][4]~57742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2204][4]~57742_combout\ = (\led_flash_cnt[2204][4]~q\ & (!\led_flash_cnt[2204][3]~57741\)) # (!\led_flash_cnt[2204][4]~q\ & ((\led_flash_cnt[2204][3]~57741\) # (GND)))
-- \led_flash_cnt[2204][4]~57743\ = CARRY((!\led_flash_cnt[2204][3]~57741\) # (!\led_flash_cnt[2204][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2204][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2204][3]~57741\,
	combout => \led_flash_cnt[2204][4]~57742_combout\,
	cout => \led_flash_cnt[2204][4]~57743\);

-- Location: FF_X58_Y45_N19
\led_flash_cnt[2204][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2204][4]~57742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2204][4]~q\);

-- Location: LCCOMB_X58_Y45_N10
\WideAnd2204~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2204~0_combout\ = (\led_flash_cnt[2204][4]~q\ & (\led_flash_cnt[2204][3]~q\ & (\led_flash_cnt[2204][2]~q\ & \led_flash_cnt[2204][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2204][4]~q\,
	datab => \led_flash_cnt[2204][3]~q\,
	datac => \led_flash_cnt[2204][2]~q\,
	datad => \led_flash_cnt[2204][1]~q\,
	combout => \WideAnd2204~0_combout\);

-- Location: LCCOMB_X58_Y45_N20
\led_flash_cnt[2204][5]~57744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2204][5]~57744_combout\ = (\led_flash_cnt[2204][5]~q\ & (\led_flash_cnt[2204][4]~57743\ $ (GND))) # (!\led_flash_cnt[2204][5]~q\ & (!\led_flash_cnt[2204][4]~57743\ & VCC))
-- \led_flash_cnt[2204][5]~57745\ = CARRY((\led_flash_cnt[2204][5]~q\ & !\led_flash_cnt[2204][4]~57743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2204][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2204][4]~57743\,
	combout => \led_flash_cnt[2204][5]~57744_combout\,
	cout => \led_flash_cnt[2204][5]~57745\);

-- Location: FF_X58_Y45_N21
\led_flash_cnt[2204][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2204][5]~57744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2204][5]~q\);

-- Location: LCCOMB_X58_Y45_N22
\led_flash_cnt[2204][6]~57746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2204][6]~57746_combout\ = (\led_flash_cnt[2204][6]~q\ & (!\led_flash_cnt[2204][5]~57745\)) # (!\led_flash_cnt[2204][6]~q\ & ((\led_flash_cnt[2204][5]~57745\) # (GND)))
-- \led_flash_cnt[2204][6]~57747\ = CARRY((!\led_flash_cnt[2204][5]~57745\) # (!\led_flash_cnt[2204][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2204][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2204][5]~57745\,
	combout => \led_flash_cnt[2204][6]~57746_combout\,
	cout => \led_flash_cnt[2204][6]~57747\);

-- Location: FF_X58_Y45_N23
\led_flash_cnt[2204][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2204][6]~57746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2204][6]~q\);

-- Location: LCCOMB_X58_Y45_N24
\led_flash_cnt[2204][7]~57748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2204][7]~57748_combout\ = \led_flash_cnt[2204][6]~57747\ $ (!\led_flash_cnt[2204][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2204][7]~q\,
	cin => \led_flash_cnt[2204][6]~57747\,
	combout => \led_flash_cnt[2204][7]~57748_combout\);

-- Location: FF_X58_Y45_N25
\led_flash_cnt[2204][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2204][7]~57748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2204][7]~q\);

-- Location: LCCOMB_X58_Y45_N8
\WideAnd2204~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2204~1_combout\ = (\led_flash_cnt[2204][6]~q\ & \led_flash_cnt[2204][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2204][6]~q\,
	datad => \led_flash_cnt[2204][5]~q\,
	combout => \WideAnd2204~1_combout\);

-- Location: LCCOMB_X58_Y45_N6
WideAnd2204 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2204~combout\ = (\WideAnd2204~0_combout\ & (\led_flash_cnt[2204][7]~q\ & (\WideAnd2204~1_combout\ & \led_flash_cnt[2204][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2204~0_combout\,
	datab => \led_flash_cnt[2204][7]~q\,
	datac => \WideAnd2204~1_combout\,
	datad => \led_flash_cnt[2204][0]~q\,
	combout => \WideAnd2204~combout\);

-- Location: FF_X58_Y45_N7
\led_flash_cnt_ands[2204]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2204~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2204));

-- Location: LCCOMB_X58_Y45_N30
\WideAnd4115~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4115~1_combout\ = (led_flash_cnt_ands(2205) & led_flash_cnt_ands(2204))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2205),
	datad => led_flash_cnt_ands(2204),
	combout => \WideAnd4115~1_combout\);

-- Location: LCCOMB_X61_Y47_N24
\led_flash_cnt[2206][0]~82846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2206][0]~82846_combout\ = !\led_flash_cnt[2206][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2206][0]~q\,
	combout => \led_flash_cnt[2206][0]~82846_combout\);

-- Location: FF_X61_Y47_N25
\led_flash_cnt[2206][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2206][0]~82846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2206][0]~q\);

-- Location: LCCOMB_X60_Y47_N18
\led_flash_cnt[2206][1]~57764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2206][1]~57764_combout\ = (\led_flash_cnt[2206][1]~q\ & (\led_flash_cnt[2206][0]~q\ $ (VCC))) # (!\led_flash_cnt[2206][1]~q\ & (\led_flash_cnt[2206][0]~q\ & VCC))
-- \led_flash_cnt[2206][1]~57765\ = CARRY((\led_flash_cnt[2206][1]~q\ & \led_flash_cnt[2206][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2206][1]~q\,
	datab => \led_flash_cnt[2206][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2206][1]~57764_combout\,
	cout => \led_flash_cnt[2206][1]~57765\);

-- Location: FF_X60_Y47_N19
\led_flash_cnt[2206][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2206][1]~57764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2206][1]~q\);

-- Location: LCCOMB_X60_Y47_N20
\led_flash_cnt[2206][2]~57766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2206][2]~57766_combout\ = (\led_flash_cnt[2206][2]~q\ & (!\led_flash_cnt[2206][1]~57765\)) # (!\led_flash_cnt[2206][2]~q\ & ((\led_flash_cnt[2206][1]~57765\) # (GND)))
-- \led_flash_cnt[2206][2]~57767\ = CARRY((!\led_flash_cnt[2206][1]~57765\) # (!\led_flash_cnt[2206][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2206][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2206][1]~57765\,
	combout => \led_flash_cnt[2206][2]~57766_combout\,
	cout => \led_flash_cnt[2206][2]~57767\);

-- Location: FF_X60_Y47_N21
\led_flash_cnt[2206][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2206][2]~57766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2206][2]~q\);

-- Location: LCCOMB_X60_Y47_N22
\led_flash_cnt[2206][3]~57768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2206][3]~57768_combout\ = (\led_flash_cnt[2206][3]~q\ & (\led_flash_cnt[2206][2]~57767\ $ (GND))) # (!\led_flash_cnt[2206][3]~q\ & (!\led_flash_cnt[2206][2]~57767\ & VCC))
-- \led_flash_cnt[2206][3]~57769\ = CARRY((\led_flash_cnt[2206][3]~q\ & !\led_flash_cnt[2206][2]~57767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2206][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2206][2]~57767\,
	combout => \led_flash_cnt[2206][3]~57768_combout\,
	cout => \led_flash_cnt[2206][3]~57769\);

-- Location: FF_X60_Y47_N23
\led_flash_cnt[2206][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2206][3]~57768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2206][3]~q\);

-- Location: LCCOMB_X60_Y47_N24
\led_flash_cnt[2206][4]~57770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2206][4]~57770_combout\ = (\led_flash_cnt[2206][4]~q\ & (!\led_flash_cnt[2206][3]~57769\)) # (!\led_flash_cnt[2206][4]~q\ & ((\led_flash_cnt[2206][3]~57769\) # (GND)))
-- \led_flash_cnt[2206][4]~57771\ = CARRY((!\led_flash_cnt[2206][3]~57769\) # (!\led_flash_cnt[2206][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2206][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2206][3]~57769\,
	combout => \led_flash_cnt[2206][4]~57770_combout\,
	cout => \led_flash_cnt[2206][4]~57771\);

-- Location: FF_X60_Y47_N25
\led_flash_cnt[2206][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2206][4]~57770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2206][4]~q\);

-- Location: LCCOMB_X60_Y47_N2
\WideAnd2206~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2206~0_combout\ = (\led_flash_cnt[2206][1]~q\ & (\led_flash_cnt[2206][2]~q\ & (\led_flash_cnt[2206][3]~q\ & \led_flash_cnt[2206][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2206][1]~q\,
	datab => \led_flash_cnt[2206][2]~q\,
	datac => \led_flash_cnt[2206][3]~q\,
	datad => \led_flash_cnt[2206][4]~q\,
	combout => \WideAnd2206~0_combout\);

-- Location: LCCOMB_X60_Y47_N26
\led_flash_cnt[2206][5]~57772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2206][5]~57772_combout\ = (\led_flash_cnt[2206][5]~q\ & (\led_flash_cnt[2206][4]~57771\ $ (GND))) # (!\led_flash_cnt[2206][5]~q\ & (!\led_flash_cnt[2206][4]~57771\ & VCC))
-- \led_flash_cnt[2206][5]~57773\ = CARRY((\led_flash_cnt[2206][5]~q\ & !\led_flash_cnt[2206][4]~57771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2206][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2206][4]~57771\,
	combout => \led_flash_cnt[2206][5]~57772_combout\,
	cout => \led_flash_cnt[2206][5]~57773\);

-- Location: FF_X60_Y47_N27
\led_flash_cnt[2206][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2206][5]~57772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2206][5]~q\);

-- Location: LCCOMB_X60_Y47_N28
\led_flash_cnt[2206][6]~57774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2206][6]~57774_combout\ = (\led_flash_cnt[2206][6]~q\ & (!\led_flash_cnt[2206][5]~57773\)) # (!\led_flash_cnt[2206][6]~q\ & ((\led_flash_cnt[2206][5]~57773\) # (GND)))
-- \led_flash_cnt[2206][6]~57775\ = CARRY((!\led_flash_cnt[2206][5]~57773\) # (!\led_flash_cnt[2206][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2206][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2206][5]~57773\,
	combout => \led_flash_cnt[2206][6]~57774_combout\,
	cout => \led_flash_cnt[2206][6]~57775\);

-- Location: FF_X60_Y47_N29
\led_flash_cnt[2206][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2206][6]~57774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2206][6]~q\);

-- Location: LCCOMB_X60_Y47_N30
\led_flash_cnt[2206][7]~57776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2206][7]~57776_combout\ = \led_flash_cnt[2206][7]~q\ $ (!\led_flash_cnt[2206][6]~57775\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2206][7]~q\,
	cin => \led_flash_cnt[2206][6]~57775\,
	combout => \led_flash_cnt[2206][7]~57776_combout\);

-- Location: FF_X60_Y47_N31
\led_flash_cnt[2206][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2206][7]~57776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2206][7]~q\);

-- Location: LCCOMB_X61_Y47_N30
\WideAnd2206~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2206~1_combout\ = (\led_flash_cnt[2206][5]~q\ & \led_flash_cnt[2206][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2206][5]~q\,
	datad => \led_flash_cnt[2206][6]~q\,
	combout => \WideAnd2206~1_combout\);

-- Location: LCCOMB_X61_Y47_N16
WideAnd2206 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2206~combout\ = (\WideAnd2206~0_combout\ & (\led_flash_cnt[2206][7]~q\ & (\WideAnd2206~1_combout\ & \led_flash_cnt[2206][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2206~0_combout\,
	datab => \led_flash_cnt[2206][7]~q\,
	datac => \WideAnd2206~1_combout\,
	datad => \led_flash_cnt[2206][0]~q\,
	combout => \WideAnd2206~combout\);

-- Location: FF_X61_Y47_N17
\led_flash_cnt_ands[2206]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2206~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2206));

-- Location: LCCOMB_X61_Y47_N20
WideAnd4115 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4115~combout\ = (\WideAnd4115~0_combout\ & (led_flash_cnt_ands(2207) & (\WideAnd4115~1_combout\ & led_flash_cnt_ands(2206))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4115~0_combout\,
	datab => led_flash_cnt_ands(2207),
	datac => \WideAnd4115~1_combout\,
	datad => led_flash_cnt_ands(2206),
	combout => \WideAnd4115~combout\);

-- Location: FF_X61_Y47_N21
\led_flash_cnt_ands_1[275]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4115~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(275));

-- Location: LCCOMB_X70_Y19_N6
\led_flash_cnt[2191][0]~82831\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2191][0]~82831_combout\ = !\led_flash_cnt[2191][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2191][0]~q\,
	combout => \led_flash_cnt[2191][0]~82831_combout\);

-- Location: FF_X70_Y19_N7
\led_flash_cnt[2191][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2191][0]~82831_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2191][0]~q\);

-- Location: LCCOMB_X71_Y19_N18
\led_flash_cnt[2191][1]~57554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2191][1]~57554_combout\ = (\led_flash_cnt[2191][0]~q\ & (\led_flash_cnt[2191][1]~q\ $ (VCC))) # (!\led_flash_cnt[2191][0]~q\ & (\led_flash_cnt[2191][1]~q\ & VCC))
-- \led_flash_cnt[2191][1]~57555\ = CARRY((\led_flash_cnt[2191][0]~q\ & \led_flash_cnt[2191][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2191][0]~q\,
	datab => \led_flash_cnt[2191][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2191][1]~57554_combout\,
	cout => \led_flash_cnt[2191][1]~57555\);

-- Location: FF_X71_Y19_N19
\led_flash_cnt[2191][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2191][1]~57554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2191][1]~q\);

-- Location: LCCOMB_X71_Y19_N20
\led_flash_cnt[2191][2]~57556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2191][2]~57556_combout\ = (\led_flash_cnt[2191][2]~q\ & (!\led_flash_cnt[2191][1]~57555\)) # (!\led_flash_cnt[2191][2]~q\ & ((\led_flash_cnt[2191][1]~57555\) # (GND)))
-- \led_flash_cnt[2191][2]~57557\ = CARRY((!\led_flash_cnt[2191][1]~57555\) # (!\led_flash_cnt[2191][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2191][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2191][1]~57555\,
	combout => \led_flash_cnt[2191][2]~57556_combout\,
	cout => \led_flash_cnt[2191][2]~57557\);

-- Location: FF_X71_Y19_N21
\led_flash_cnt[2191][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2191][2]~57556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2191][2]~q\);

-- Location: LCCOMB_X71_Y19_N22
\led_flash_cnt[2191][3]~57558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2191][3]~57558_combout\ = (\led_flash_cnt[2191][3]~q\ & (\led_flash_cnt[2191][2]~57557\ $ (GND))) # (!\led_flash_cnt[2191][3]~q\ & (!\led_flash_cnt[2191][2]~57557\ & VCC))
-- \led_flash_cnt[2191][3]~57559\ = CARRY((\led_flash_cnt[2191][3]~q\ & !\led_flash_cnt[2191][2]~57557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2191][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2191][2]~57557\,
	combout => \led_flash_cnt[2191][3]~57558_combout\,
	cout => \led_flash_cnt[2191][3]~57559\);

-- Location: FF_X71_Y19_N23
\led_flash_cnt[2191][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2191][3]~57558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2191][3]~q\);

-- Location: LCCOMB_X71_Y19_N24
\led_flash_cnt[2191][4]~57560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2191][4]~57560_combout\ = (\led_flash_cnt[2191][4]~q\ & (!\led_flash_cnt[2191][3]~57559\)) # (!\led_flash_cnt[2191][4]~q\ & ((\led_flash_cnt[2191][3]~57559\) # (GND)))
-- \led_flash_cnt[2191][4]~57561\ = CARRY((!\led_flash_cnt[2191][3]~57559\) # (!\led_flash_cnt[2191][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2191][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2191][3]~57559\,
	combout => \led_flash_cnt[2191][4]~57560_combout\,
	cout => \led_flash_cnt[2191][4]~57561\);

-- Location: FF_X71_Y19_N25
\led_flash_cnt[2191][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2191][4]~57560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2191][4]~q\);

-- Location: LCCOMB_X71_Y19_N26
\led_flash_cnt[2191][5]~57562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2191][5]~57562_combout\ = (\led_flash_cnt[2191][5]~q\ & (\led_flash_cnt[2191][4]~57561\ $ (GND))) # (!\led_flash_cnt[2191][5]~q\ & (!\led_flash_cnt[2191][4]~57561\ & VCC))
-- \led_flash_cnt[2191][5]~57563\ = CARRY((\led_flash_cnt[2191][5]~q\ & !\led_flash_cnt[2191][4]~57561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2191][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2191][4]~57561\,
	combout => \led_flash_cnt[2191][5]~57562_combout\,
	cout => \led_flash_cnt[2191][5]~57563\);

-- Location: FF_X71_Y19_N27
\led_flash_cnt[2191][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2191][5]~57562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2191][5]~q\);

-- Location: LCCOMB_X71_Y19_N28
\led_flash_cnt[2191][6]~57564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2191][6]~57564_combout\ = (\led_flash_cnt[2191][6]~q\ & (!\led_flash_cnt[2191][5]~57563\)) # (!\led_flash_cnt[2191][6]~q\ & ((\led_flash_cnt[2191][5]~57563\) # (GND)))
-- \led_flash_cnt[2191][6]~57565\ = CARRY((!\led_flash_cnt[2191][5]~57563\) # (!\led_flash_cnt[2191][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2191][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2191][5]~57563\,
	combout => \led_flash_cnt[2191][6]~57564_combout\,
	cout => \led_flash_cnt[2191][6]~57565\);

-- Location: FF_X71_Y19_N29
\led_flash_cnt[2191][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2191][6]~57564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2191][6]~q\);

-- Location: LCCOMB_X70_Y19_N30
\WideAnd2191~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2191~1_combout\ = (\led_flash_cnt[2191][6]~q\ & \led_flash_cnt[2191][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2191][6]~q\,
	datad => \led_flash_cnt[2191][5]~q\,
	combout => \WideAnd2191~1_combout\);

-- Location: LCCOMB_X71_Y19_N14
\WideAnd2191~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2191~0_combout\ = (\led_flash_cnt[2191][4]~q\ & (\led_flash_cnt[2191][2]~q\ & (\led_flash_cnt[2191][3]~q\ & \led_flash_cnt[2191][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2191][4]~q\,
	datab => \led_flash_cnt[2191][2]~q\,
	datac => \led_flash_cnt[2191][3]~q\,
	datad => \led_flash_cnt[2191][1]~q\,
	combout => \WideAnd2191~0_combout\);

-- Location: LCCOMB_X71_Y19_N30
\led_flash_cnt[2191][7]~57566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2191][7]~57566_combout\ = \led_flash_cnt[2191][7]~q\ $ (!\led_flash_cnt[2191][6]~57565\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2191][7]~q\,
	cin => \led_flash_cnt[2191][6]~57565\,
	combout => \led_flash_cnt[2191][7]~57566_combout\);

-- Location: FF_X71_Y19_N31
\led_flash_cnt[2191][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2191][7]~57566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2191][7]~q\);

-- Location: LCCOMB_X70_Y19_N10
WideAnd2191 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2191~combout\ = (\WideAnd2191~1_combout\ & (\WideAnd2191~0_combout\ & (\led_flash_cnt[2191][7]~q\ & \led_flash_cnt[2191][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2191~1_combout\,
	datab => \WideAnd2191~0_combout\,
	datac => \led_flash_cnt[2191][7]~q\,
	datad => \led_flash_cnt[2191][0]~q\,
	combout => \WideAnd2191~combout\);

-- Location: FF_X70_Y19_N11
\led_flash_cnt_ands[2191]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2191~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2191));

-- Location: LCCOMB_X75_Y2_N12
\led_flash_cnt[2187][0]~82827\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2187][0]~82827_combout\ = !\led_flash_cnt[2187][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2187][0]~q\,
	combout => \led_flash_cnt[2187][0]~82827_combout\);

-- Location: FF_X75_Y2_N13
\led_flash_cnt[2187][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2187][0]~82827_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2187][0]~q\);

-- Location: LCCOMB_X75_Y2_N14
\led_flash_cnt[2187][1]~57498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2187][1]~57498_combout\ = (\led_flash_cnt[2187][0]~q\ & (\led_flash_cnt[2187][1]~q\ $ (VCC))) # (!\led_flash_cnt[2187][0]~q\ & (\led_flash_cnt[2187][1]~q\ & VCC))
-- \led_flash_cnt[2187][1]~57499\ = CARRY((\led_flash_cnt[2187][0]~q\ & \led_flash_cnt[2187][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2187][0]~q\,
	datab => \led_flash_cnt[2187][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2187][1]~57498_combout\,
	cout => \led_flash_cnt[2187][1]~57499\);

-- Location: FF_X75_Y2_N15
\led_flash_cnt[2187][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2187][1]~57498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2187][1]~q\);

-- Location: LCCOMB_X75_Y2_N16
\led_flash_cnt[2187][2]~57500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2187][2]~57500_combout\ = (\led_flash_cnt[2187][2]~q\ & (!\led_flash_cnt[2187][1]~57499\)) # (!\led_flash_cnt[2187][2]~q\ & ((\led_flash_cnt[2187][1]~57499\) # (GND)))
-- \led_flash_cnt[2187][2]~57501\ = CARRY((!\led_flash_cnt[2187][1]~57499\) # (!\led_flash_cnt[2187][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2187][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2187][1]~57499\,
	combout => \led_flash_cnt[2187][2]~57500_combout\,
	cout => \led_flash_cnt[2187][2]~57501\);

-- Location: FF_X75_Y2_N17
\led_flash_cnt[2187][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2187][2]~57500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2187][2]~q\);

-- Location: LCCOMB_X75_Y2_N18
\led_flash_cnt[2187][3]~57502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2187][3]~57502_combout\ = (\led_flash_cnt[2187][3]~q\ & (\led_flash_cnt[2187][2]~57501\ $ (GND))) # (!\led_flash_cnt[2187][3]~q\ & (!\led_flash_cnt[2187][2]~57501\ & VCC))
-- \led_flash_cnt[2187][3]~57503\ = CARRY((\led_flash_cnt[2187][3]~q\ & !\led_flash_cnt[2187][2]~57501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2187][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2187][2]~57501\,
	combout => \led_flash_cnt[2187][3]~57502_combout\,
	cout => \led_flash_cnt[2187][3]~57503\);

-- Location: FF_X75_Y2_N19
\led_flash_cnt[2187][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2187][3]~57502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2187][3]~q\);

-- Location: LCCOMB_X75_Y2_N20
\led_flash_cnt[2187][4]~57504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2187][4]~57504_combout\ = (\led_flash_cnt[2187][4]~q\ & (!\led_flash_cnt[2187][3]~57503\)) # (!\led_flash_cnt[2187][4]~q\ & ((\led_flash_cnt[2187][3]~57503\) # (GND)))
-- \led_flash_cnt[2187][4]~57505\ = CARRY((!\led_flash_cnt[2187][3]~57503\) # (!\led_flash_cnt[2187][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2187][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2187][3]~57503\,
	combout => \led_flash_cnt[2187][4]~57504_combout\,
	cout => \led_flash_cnt[2187][4]~57505\);

-- Location: FF_X75_Y2_N21
\led_flash_cnt[2187][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2187][4]~57504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2187][4]~q\);

-- Location: LCCOMB_X75_Y2_N22
\led_flash_cnt[2187][5]~57506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2187][5]~57506_combout\ = (\led_flash_cnt[2187][5]~q\ & (\led_flash_cnt[2187][4]~57505\ $ (GND))) # (!\led_flash_cnt[2187][5]~q\ & (!\led_flash_cnt[2187][4]~57505\ & VCC))
-- \led_flash_cnt[2187][5]~57507\ = CARRY((\led_flash_cnt[2187][5]~q\ & !\led_flash_cnt[2187][4]~57505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2187][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2187][4]~57505\,
	combout => \led_flash_cnt[2187][5]~57506_combout\,
	cout => \led_flash_cnt[2187][5]~57507\);

-- Location: FF_X75_Y2_N23
\led_flash_cnt[2187][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2187][5]~57506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2187][5]~q\);

-- Location: LCCOMB_X75_Y2_N24
\led_flash_cnt[2187][6]~57508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2187][6]~57508_combout\ = (\led_flash_cnt[2187][6]~q\ & (!\led_flash_cnt[2187][5]~57507\)) # (!\led_flash_cnt[2187][6]~q\ & ((\led_flash_cnt[2187][5]~57507\) # (GND)))
-- \led_flash_cnt[2187][6]~57509\ = CARRY((!\led_flash_cnt[2187][5]~57507\) # (!\led_flash_cnt[2187][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2187][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2187][5]~57507\,
	combout => \led_flash_cnt[2187][6]~57508_combout\,
	cout => \led_flash_cnt[2187][6]~57509\);

-- Location: FF_X75_Y2_N25
\led_flash_cnt[2187][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2187][6]~57508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2187][6]~q\);

-- Location: LCCOMB_X75_Y2_N26
\led_flash_cnt[2187][7]~57510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2187][7]~57510_combout\ = \led_flash_cnt[2187][7]~q\ $ (!\led_flash_cnt[2187][6]~57509\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2187][7]~q\,
	cin => \led_flash_cnt[2187][6]~57509\,
	combout => \led_flash_cnt[2187][7]~57510_combout\);

-- Location: FF_X75_Y2_N27
\led_flash_cnt[2187][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2187][7]~57510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2187][7]~q\);

-- Location: LCCOMB_X75_Y2_N28
\WideAnd2187~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2187~1_combout\ = (\led_flash_cnt[2187][5]~q\ & \led_flash_cnt[2187][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2187][5]~q\,
	datad => \led_flash_cnt[2187][6]~q\,
	combout => \WideAnd2187~1_combout\);

-- Location: LCCOMB_X75_Y2_N4
\WideAnd2187~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2187~0_combout\ = (\led_flash_cnt[2187][4]~q\ & (\led_flash_cnt[2187][3]~q\ & (\led_flash_cnt[2187][1]~q\ & \led_flash_cnt[2187][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2187][4]~q\,
	datab => \led_flash_cnt[2187][3]~q\,
	datac => \led_flash_cnt[2187][1]~q\,
	datad => \led_flash_cnt[2187][2]~q\,
	combout => \WideAnd2187~0_combout\);

-- Location: LCCOMB_X75_Y2_N10
WideAnd2187 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2187~combout\ = (\led_flash_cnt[2187][7]~q\ & (\WideAnd2187~1_combout\ & (\WideAnd2187~0_combout\ & \led_flash_cnt[2187][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2187][7]~q\,
	datab => \WideAnd2187~1_combout\,
	datac => \WideAnd2187~0_combout\,
	datad => \led_flash_cnt[2187][0]~q\,
	combout => \WideAnd2187~combout\);

-- Location: FF_X75_Y2_N11
\led_flash_cnt_ands[2187]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2187~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2187));

-- Location: LCCOMB_X74_Y2_N12
\led_flash_cnt[2184][0]~82824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2184][0]~82824_combout\ = !\led_flash_cnt[2184][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2184][0]~q\,
	combout => \led_flash_cnt[2184][0]~82824_combout\);

-- Location: FF_X74_Y2_N13
\led_flash_cnt[2184][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2184][0]~82824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2184][0]~q\);

-- Location: LCCOMB_X74_Y2_N14
\led_flash_cnt[2184][1]~57456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2184][1]~57456_combout\ = (\led_flash_cnt[2184][0]~q\ & (\led_flash_cnt[2184][1]~q\ $ (VCC))) # (!\led_flash_cnt[2184][0]~q\ & (\led_flash_cnt[2184][1]~q\ & VCC))
-- \led_flash_cnt[2184][1]~57457\ = CARRY((\led_flash_cnt[2184][0]~q\ & \led_flash_cnt[2184][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2184][0]~q\,
	datab => \led_flash_cnt[2184][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2184][1]~57456_combout\,
	cout => \led_flash_cnt[2184][1]~57457\);

-- Location: FF_X74_Y2_N15
\led_flash_cnt[2184][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2184][1]~57456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2184][1]~q\);

-- Location: LCCOMB_X74_Y2_N16
\led_flash_cnt[2184][2]~57458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2184][2]~57458_combout\ = (\led_flash_cnt[2184][2]~q\ & (!\led_flash_cnt[2184][1]~57457\)) # (!\led_flash_cnt[2184][2]~q\ & ((\led_flash_cnt[2184][1]~57457\) # (GND)))
-- \led_flash_cnt[2184][2]~57459\ = CARRY((!\led_flash_cnt[2184][1]~57457\) # (!\led_flash_cnt[2184][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2184][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2184][1]~57457\,
	combout => \led_flash_cnt[2184][2]~57458_combout\,
	cout => \led_flash_cnt[2184][2]~57459\);

-- Location: FF_X74_Y2_N17
\led_flash_cnt[2184][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2184][2]~57458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2184][2]~q\);

-- Location: LCCOMB_X74_Y2_N18
\led_flash_cnt[2184][3]~57460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2184][3]~57460_combout\ = (\led_flash_cnt[2184][3]~q\ & (\led_flash_cnt[2184][2]~57459\ $ (GND))) # (!\led_flash_cnt[2184][3]~q\ & (!\led_flash_cnt[2184][2]~57459\ & VCC))
-- \led_flash_cnt[2184][3]~57461\ = CARRY((\led_flash_cnt[2184][3]~q\ & !\led_flash_cnt[2184][2]~57459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2184][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2184][2]~57459\,
	combout => \led_flash_cnt[2184][3]~57460_combout\,
	cout => \led_flash_cnt[2184][3]~57461\);

-- Location: FF_X74_Y2_N19
\led_flash_cnt[2184][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2184][3]~57460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2184][3]~q\);

-- Location: LCCOMB_X74_Y2_N20
\led_flash_cnt[2184][4]~57462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2184][4]~57462_combout\ = (\led_flash_cnt[2184][4]~q\ & (!\led_flash_cnt[2184][3]~57461\)) # (!\led_flash_cnt[2184][4]~q\ & ((\led_flash_cnt[2184][3]~57461\) # (GND)))
-- \led_flash_cnt[2184][4]~57463\ = CARRY((!\led_flash_cnt[2184][3]~57461\) # (!\led_flash_cnt[2184][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2184][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2184][3]~57461\,
	combout => \led_flash_cnt[2184][4]~57462_combout\,
	cout => \led_flash_cnt[2184][4]~57463\);

-- Location: FF_X74_Y2_N21
\led_flash_cnt[2184][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2184][4]~57462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2184][4]~q\);

-- Location: LCCOMB_X74_Y2_N10
\WideAnd2184~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2184~0_combout\ = (\led_flash_cnt[2184][4]~q\ & (\led_flash_cnt[2184][3]~q\ & (\led_flash_cnt[2184][1]~q\ & \led_flash_cnt[2184][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2184][4]~q\,
	datab => \led_flash_cnt[2184][3]~q\,
	datac => \led_flash_cnt[2184][1]~q\,
	datad => \led_flash_cnt[2184][2]~q\,
	combout => \WideAnd2184~0_combout\);

-- Location: LCCOMB_X74_Y2_N22
\led_flash_cnt[2184][5]~57464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2184][5]~57464_combout\ = (\led_flash_cnt[2184][5]~q\ & (\led_flash_cnt[2184][4]~57463\ $ (GND))) # (!\led_flash_cnt[2184][5]~q\ & (!\led_flash_cnt[2184][4]~57463\ & VCC))
-- \led_flash_cnt[2184][5]~57465\ = CARRY((\led_flash_cnt[2184][5]~q\ & !\led_flash_cnt[2184][4]~57463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2184][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2184][4]~57463\,
	combout => \led_flash_cnt[2184][5]~57464_combout\,
	cout => \led_flash_cnt[2184][5]~57465\);

-- Location: FF_X74_Y2_N23
\led_flash_cnt[2184][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2184][5]~57464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2184][5]~q\);

-- Location: LCCOMB_X74_Y2_N24
\led_flash_cnt[2184][6]~57466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2184][6]~57466_combout\ = (\led_flash_cnt[2184][6]~q\ & (!\led_flash_cnt[2184][5]~57465\)) # (!\led_flash_cnt[2184][6]~q\ & ((\led_flash_cnt[2184][5]~57465\) # (GND)))
-- \led_flash_cnt[2184][6]~57467\ = CARRY((!\led_flash_cnt[2184][5]~57465\) # (!\led_flash_cnt[2184][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2184][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2184][5]~57465\,
	combout => \led_flash_cnt[2184][6]~57466_combout\,
	cout => \led_flash_cnt[2184][6]~57467\);

-- Location: FF_X74_Y2_N25
\led_flash_cnt[2184][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2184][6]~57466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2184][6]~q\);

-- Location: LCCOMB_X74_Y2_N28
\WideAnd2184~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2184~1_combout\ = (\led_flash_cnt[2184][5]~q\ & \led_flash_cnt[2184][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2184][5]~q\,
	datad => \led_flash_cnt[2184][6]~q\,
	combout => \WideAnd2184~1_combout\);

-- Location: LCCOMB_X74_Y2_N26
\led_flash_cnt[2184][7]~57468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2184][7]~57468_combout\ = \led_flash_cnt[2184][7]~q\ $ (!\led_flash_cnt[2184][6]~57467\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2184][7]~q\,
	cin => \led_flash_cnt[2184][6]~57467\,
	combout => \led_flash_cnt[2184][7]~57468_combout\);

-- Location: FF_X74_Y2_N27
\led_flash_cnt[2184][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2184][7]~57468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2184][7]~q\);

-- Location: LCCOMB_X74_Y2_N4
WideAnd2184 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2184~combout\ = (\WideAnd2184~0_combout\ & (\WideAnd2184~1_combout\ & (\led_flash_cnt[2184][7]~q\ & \led_flash_cnt[2184][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2184~0_combout\,
	datab => \WideAnd2184~1_combout\,
	datac => \led_flash_cnt[2184][7]~q\,
	datad => \led_flash_cnt[2184][0]~q\,
	combout => \WideAnd2184~combout\);

-- Location: FF_X74_Y2_N5
\led_flash_cnt_ands[2184]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2184~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2184));

-- Location: LCCOMB_X72_Y2_N4
\led_flash_cnt[2186][0]~82826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2186][0]~82826_combout\ = !\led_flash_cnt[2186][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2186][0]~q\,
	combout => \led_flash_cnt[2186][0]~82826_combout\);

-- Location: FF_X72_Y2_N5
\led_flash_cnt[2186][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2186][0]~82826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2186][0]~q\);

-- Location: LCCOMB_X72_Y2_N10
\led_flash_cnt[2186][1]~57484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2186][1]~57484_combout\ = (\led_flash_cnt[2186][1]~q\ & (\led_flash_cnt[2186][0]~q\ $ (VCC))) # (!\led_flash_cnt[2186][1]~q\ & (\led_flash_cnt[2186][0]~q\ & VCC))
-- \led_flash_cnt[2186][1]~57485\ = CARRY((\led_flash_cnt[2186][1]~q\ & \led_flash_cnt[2186][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2186][1]~q\,
	datab => \led_flash_cnt[2186][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2186][1]~57484_combout\,
	cout => \led_flash_cnt[2186][1]~57485\);

-- Location: FF_X72_Y2_N11
\led_flash_cnt[2186][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2186][1]~57484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2186][1]~q\);

-- Location: LCCOMB_X72_Y2_N12
\led_flash_cnt[2186][2]~57486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2186][2]~57486_combout\ = (\led_flash_cnt[2186][2]~q\ & (!\led_flash_cnt[2186][1]~57485\)) # (!\led_flash_cnt[2186][2]~q\ & ((\led_flash_cnt[2186][1]~57485\) # (GND)))
-- \led_flash_cnt[2186][2]~57487\ = CARRY((!\led_flash_cnt[2186][1]~57485\) # (!\led_flash_cnt[2186][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2186][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2186][1]~57485\,
	combout => \led_flash_cnt[2186][2]~57486_combout\,
	cout => \led_flash_cnt[2186][2]~57487\);

-- Location: FF_X72_Y2_N13
\led_flash_cnt[2186][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2186][2]~57486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2186][2]~q\);

-- Location: LCCOMB_X72_Y2_N14
\led_flash_cnt[2186][3]~57488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2186][3]~57488_combout\ = (\led_flash_cnt[2186][3]~q\ & (\led_flash_cnt[2186][2]~57487\ $ (GND))) # (!\led_flash_cnt[2186][3]~q\ & (!\led_flash_cnt[2186][2]~57487\ & VCC))
-- \led_flash_cnt[2186][3]~57489\ = CARRY((\led_flash_cnt[2186][3]~q\ & !\led_flash_cnt[2186][2]~57487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2186][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2186][2]~57487\,
	combout => \led_flash_cnt[2186][3]~57488_combout\,
	cout => \led_flash_cnt[2186][3]~57489\);

-- Location: FF_X72_Y2_N15
\led_flash_cnt[2186][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2186][3]~57488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2186][3]~q\);

-- Location: LCCOMB_X72_Y2_N16
\led_flash_cnt[2186][4]~57490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2186][4]~57490_combout\ = (\led_flash_cnt[2186][4]~q\ & (!\led_flash_cnt[2186][3]~57489\)) # (!\led_flash_cnt[2186][4]~q\ & ((\led_flash_cnt[2186][3]~57489\) # (GND)))
-- \led_flash_cnt[2186][4]~57491\ = CARRY((!\led_flash_cnt[2186][3]~57489\) # (!\led_flash_cnt[2186][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2186][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2186][3]~57489\,
	combout => \led_flash_cnt[2186][4]~57490_combout\,
	cout => \led_flash_cnt[2186][4]~57491\);

-- Location: FF_X72_Y2_N17
\led_flash_cnt[2186][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2186][4]~57490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2186][4]~q\);

-- Location: LCCOMB_X72_Y2_N18
\led_flash_cnt[2186][5]~57492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2186][5]~57492_combout\ = (\led_flash_cnt[2186][5]~q\ & (\led_flash_cnt[2186][4]~57491\ $ (GND))) # (!\led_flash_cnt[2186][5]~q\ & (!\led_flash_cnt[2186][4]~57491\ & VCC))
-- \led_flash_cnt[2186][5]~57493\ = CARRY((\led_flash_cnt[2186][5]~q\ & !\led_flash_cnt[2186][4]~57491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2186][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2186][4]~57491\,
	combout => \led_flash_cnt[2186][5]~57492_combout\,
	cout => \led_flash_cnt[2186][5]~57493\);

-- Location: FF_X72_Y2_N19
\led_flash_cnt[2186][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2186][5]~57492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2186][5]~q\);

-- Location: LCCOMB_X72_Y2_N20
\led_flash_cnt[2186][6]~57494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2186][6]~57494_combout\ = (\led_flash_cnt[2186][6]~q\ & (!\led_flash_cnt[2186][5]~57493\)) # (!\led_flash_cnt[2186][6]~q\ & ((\led_flash_cnt[2186][5]~57493\) # (GND)))
-- \led_flash_cnt[2186][6]~57495\ = CARRY((!\led_flash_cnt[2186][5]~57493\) # (!\led_flash_cnt[2186][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2186][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2186][5]~57493\,
	combout => \led_flash_cnt[2186][6]~57494_combout\,
	cout => \led_flash_cnt[2186][6]~57495\);

-- Location: FF_X72_Y2_N21
\led_flash_cnt[2186][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2186][6]~57494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2186][6]~q\);

-- Location: LCCOMB_X72_Y2_N26
\WideAnd2186~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2186~1_combout\ = (\led_flash_cnt[2186][6]~q\ & \led_flash_cnt[2186][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2186][6]~q\,
	datad => \led_flash_cnt[2186][5]~q\,
	combout => \WideAnd2186~1_combout\);

-- Location: LCCOMB_X72_Y2_N22
\led_flash_cnt[2186][7]~57496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2186][7]~57496_combout\ = \led_flash_cnt[2186][7]~q\ $ (!\led_flash_cnt[2186][6]~57495\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2186][7]~q\,
	cin => \led_flash_cnt[2186][6]~57495\,
	combout => \led_flash_cnt[2186][7]~57496_combout\);

-- Location: FF_X72_Y2_N23
\led_flash_cnt[2186][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2186][7]~57496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2186][7]~q\);

-- Location: LCCOMB_X72_Y2_N24
\WideAnd2186~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2186~0_combout\ = (\led_flash_cnt[2186][2]~q\ & (\led_flash_cnt[2186][4]~q\ & (\led_flash_cnt[2186][3]~q\ & \led_flash_cnt[2186][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2186][2]~q\,
	datab => \led_flash_cnt[2186][4]~q\,
	datac => \led_flash_cnt[2186][3]~q\,
	datad => \led_flash_cnt[2186][1]~q\,
	combout => \WideAnd2186~0_combout\);

-- Location: LCCOMB_X72_Y2_N8
WideAnd2186 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2186~combout\ = (\WideAnd2186~1_combout\ & (\led_flash_cnt[2186][0]~q\ & (\led_flash_cnt[2186][7]~q\ & \WideAnd2186~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2186~1_combout\,
	datab => \led_flash_cnt[2186][0]~q\,
	datac => \led_flash_cnt[2186][7]~q\,
	datad => \WideAnd2186~0_combout\,
	combout => \WideAnd2186~combout\);

-- Location: FF_X72_Y2_N9
\led_flash_cnt_ands[2186]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2186~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2186));

-- Location: LCCOMB_X76_Y2_N18
\led_flash_cnt[2185][0]~82825\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2185][0]~82825_combout\ = !\led_flash_cnt[2185][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2185][0]~q\,
	combout => \led_flash_cnt[2185][0]~82825_combout\);

-- Location: FF_X76_Y2_N19
\led_flash_cnt[2185][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2185][0]~82825_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2185][0]~q\);

-- Location: LCCOMB_X76_Y2_N0
\led_flash_cnt[2185][1]~57470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2185][1]~57470_combout\ = (\led_flash_cnt[2185][1]~q\ & (\led_flash_cnt[2185][0]~q\ $ (VCC))) # (!\led_flash_cnt[2185][1]~q\ & (\led_flash_cnt[2185][0]~q\ & VCC))
-- \led_flash_cnt[2185][1]~57471\ = CARRY((\led_flash_cnt[2185][1]~q\ & \led_flash_cnt[2185][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2185][1]~q\,
	datab => \led_flash_cnt[2185][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2185][1]~57470_combout\,
	cout => \led_flash_cnt[2185][1]~57471\);

-- Location: FF_X76_Y2_N1
\led_flash_cnt[2185][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2185][1]~57470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2185][1]~q\);

-- Location: LCCOMB_X76_Y2_N2
\led_flash_cnt[2185][2]~57472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2185][2]~57472_combout\ = (\led_flash_cnt[2185][2]~q\ & (!\led_flash_cnt[2185][1]~57471\)) # (!\led_flash_cnt[2185][2]~q\ & ((\led_flash_cnt[2185][1]~57471\) # (GND)))
-- \led_flash_cnt[2185][2]~57473\ = CARRY((!\led_flash_cnt[2185][1]~57471\) # (!\led_flash_cnt[2185][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2185][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2185][1]~57471\,
	combout => \led_flash_cnt[2185][2]~57472_combout\,
	cout => \led_flash_cnt[2185][2]~57473\);

-- Location: FF_X76_Y2_N3
\led_flash_cnt[2185][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2185][2]~57472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2185][2]~q\);

-- Location: LCCOMB_X76_Y2_N4
\led_flash_cnt[2185][3]~57474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2185][3]~57474_combout\ = (\led_flash_cnt[2185][3]~q\ & (\led_flash_cnt[2185][2]~57473\ $ (GND))) # (!\led_flash_cnt[2185][3]~q\ & (!\led_flash_cnt[2185][2]~57473\ & VCC))
-- \led_flash_cnt[2185][3]~57475\ = CARRY((\led_flash_cnt[2185][3]~q\ & !\led_flash_cnt[2185][2]~57473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2185][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2185][2]~57473\,
	combout => \led_flash_cnt[2185][3]~57474_combout\,
	cout => \led_flash_cnt[2185][3]~57475\);

-- Location: FF_X76_Y2_N5
\led_flash_cnt[2185][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2185][3]~57474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2185][3]~q\);

-- Location: LCCOMB_X76_Y2_N6
\led_flash_cnt[2185][4]~57476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2185][4]~57476_combout\ = (\led_flash_cnt[2185][4]~q\ & (!\led_flash_cnt[2185][3]~57475\)) # (!\led_flash_cnt[2185][4]~q\ & ((\led_flash_cnt[2185][3]~57475\) # (GND)))
-- \led_flash_cnt[2185][4]~57477\ = CARRY((!\led_flash_cnt[2185][3]~57475\) # (!\led_flash_cnt[2185][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2185][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2185][3]~57475\,
	combout => \led_flash_cnt[2185][4]~57476_combout\,
	cout => \led_flash_cnt[2185][4]~57477\);

-- Location: FF_X76_Y2_N7
\led_flash_cnt[2185][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2185][4]~57476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2185][4]~q\);

-- Location: LCCOMB_X76_Y2_N8
\led_flash_cnt[2185][5]~57478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2185][5]~57478_combout\ = (\led_flash_cnt[2185][5]~q\ & (\led_flash_cnt[2185][4]~57477\ $ (GND))) # (!\led_flash_cnt[2185][5]~q\ & (!\led_flash_cnt[2185][4]~57477\ & VCC))
-- \led_flash_cnt[2185][5]~57479\ = CARRY((\led_flash_cnt[2185][5]~q\ & !\led_flash_cnt[2185][4]~57477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2185][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2185][4]~57477\,
	combout => \led_flash_cnt[2185][5]~57478_combout\,
	cout => \led_flash_cnt[2185][5]~57479\);

-- Location: FF_X76_Y2_N9
\led_flash_cnt[2185][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2185][5]~57478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2185][5]~q\);

-- Location: LCCOMB_X76_Y2_N10
\led_flash_cnt[2185][6]~57480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2185][6]~57480_combout\ = (\led_flash_cnt[2185][6]~q\ & (!\led_flash_cnt[2185][5]~57479\)) # (!\led_flash_cnt[2185][6]~q\ & ((\led_flash_cnt[2185][5]~57479\) # (GND)))
-- \led_flash_cnt[2185][6]~57481\ = CARRY((!\led_flash_cnt[2185][5]~57479\) # (!\led_flash_cnt[2185][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2185][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2185][5]~57479\,
	combout => \led_flash_cnt[2185][6]~57480_combout\,
	cout => \led_flash_cnt[2185][6]~57481\);

-- Location: FF_X76_Y2_N11
\led_flash_cnt[2185][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2185][6]~57480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2185][6]~q\);

-- Location: LCCOMB_X76_Y2_N12
\led_flash_cnt[2185][7]~57482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2185][7]~57482_combout\ = \led_flash_cnt[2185][6]~57481\ $ (!\led_flash_cnt[2185][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2185][7]~q\,
	cin => \led_flash_cnt[2185][6]~57481\,
	combout => \led_flash_cnt[2185][7]~57482_combout\);

-- Location: FF_X76_Y2_N13
\led_flash_cnt[2185][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2185][7]~57482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2185][7]~q\);

-- Location: LCCOMB_X76_Y2_N24
\WideAnd2185~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2185~0_combout\ = (\led_flash_cnt[2185][4]~q\ & (\led_flash_cnt[2185][1]~q\ & (\led_flash_cnt[2185][3]~q\ & \led_flash_cnt[2185][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2185][4]~q\,
	datab => \led_flash_cnt[2185][1]~q\,
	datac => \led_flash_cnt[2185][3]~q\,
	datad => \led_flash_cnt[2185][2]~q\,
	combout => \WideAnd2185~0_combout\);

-- Location: LCCOMB_X76_Y2_N26
\WideAnd2185~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2185~1_combout\ = (\led_flash_cnt[2185][5]~q\ & \led_flash_cnt[2185][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2185][5]~q\,
	datad => \led_flash_cnt[2185][6]~q\,
	combout => \WideAnd2185~1_combout\);

-- Location: LCCOMB_X76_Y2_N28
WideAnd2185 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2185~combout\ = (\led_flash_cnt[2185][7]~q\ & (\WideAnd2185~0_combout\ & (\WideAnd2185~1_combout\ & \led_flash_cnt[2185][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2185][7]~q\,
	datab => \WideAnd2185~0_combout\,
	datac => \WideAnd2185~1_combout\,
	datad => \led_flash_cnt[2185][0]~q\,
	combout => \WideAnd2185~combout\);

-- Location: FF_X76_Y2_N29
\led_flash_cnt_ands[2185]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2185~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2185));

-- Location: LCCOMB_X75_Y2_N2
\WideAnd4113~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4113~0_combout\ = (led_flash_cnt_ands(2187) & (led_flash_cnt_ands(2184) & (led_flash_cnt_ands(2186) & led_flash_cnt_ands(2185))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2187),
	datab => led_flash_cnt_ands(2184),
	datac => led_flash_cnt_ands(2186),
	datad => led_flash_cnt_ands(2185),
	combout => \WideAnd4113~0_combout\);

-- Location: LCCOMB_X58_Y18_N18
\led_flash_cnt[2189][0]~82829\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2189][0]~82829_combout\ = !\led_flash_cnt[2189][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2189][0]~q\,
	combout => \led_flash_cnt[2189][0]~82829_combout\);

-- Location: FF_X58_Y18_N19
\led_flash_cnt[2189][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2189][0]~82829_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2189][0]~q\);

-- Location: LCCOMB_X58_Y18_N2
\led_flash_cnt[2189][1]~57526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2189][1]~57526_combout\ = (\led_flash_cnt[2189][1]~q\ & (\led_flash_cnt[2189][0]~q\ $ (VCC))) # (!\led_flash_cnt[2189][1]~q\ & (\led_flash_cnt[2189][0]~q\ & VCC))
-- \led_flash_cnt[2189][1]~57527\ = CARRY((\led_flash_cnt[2189][1]~q\ & \led_flash_cnt[2189][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2189][1]~q\,
	datab => \led_flash_cnt[2189][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2189][1]~57526_combout\,
	cout => \led_flash_cnt[2189][1]~57527\);

-- Location: FF_X58_Y18_N3
\led_flash_cnt[2189][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2189][1]~57526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2189][1]~q\);

-- Location: LCCOMB_X58_Y18_N4
\led_flash_cnt[2189][2]~57528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2189][2]~57528_combout\ = (\led_flash_cnt[2189][2]~q\ & (!\led_flash_cnt[2189][1]~57527\)) # (!\led_flash_cnt[2189][2]~q\ & ((\led_flash_cnt[2189][1]~57527\) # (GND)))
-- \led_flash_cnt[2189][2]~57529\ = CARRY((!\led_flash_cnt[2189][1]~57527\) # (!\led_flash_cnt[2189][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2189][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2189][1]~57527\,
	combout => \led_flash_cnt[2189][2]~57528_combout\,
	cout => \led_flash_cnt[2189][2]~57529\);

-- Location: FF_X58_Y18_N5
\led_flash_cnt[2189][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2189][2]~57528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2189][2]~q\);

-- Location: LCCOMB_X58_Y18_N6
\led_flash_cnt[2189][3]~57530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2189][3]~57530_combout\ = (\led_flash_cnt[2189][3]~q\ & (\led_flash_cnt[2189][2]~57529\ $ (GND))) # (!\led_flash_cnt[2189][3]~q\ & (!\led_flash_cnt[2189][2]~57529\ & VCC))
-- \led_flash_cnt[2189][3]~57531\ = CARRY((\led_flash_cnt[2189][3]~q\ & !\led_flash_cnt[2189][2]~57529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2189][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2189][2]~57529\,
	combout => \led_flash_cnt[2189][3]~57530_combout\,
	cout => \led_flash_cnt[2189][3]~57531\);

-- Location: FF_X58_Y18_N7
\led_flash_cnt[2189][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2189][3]~57530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2189][3]~q\);

-- Location: LCCOMB_X58_Y18_N8
\led_flash_cnt[2189][4]~57532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2189][4]~57532_combout\ = (\led_flash_cnt[2189][4]~q\ & (!\led_flash_cnt[2189][3]~57531\)) # (!\led_flash_cnt[2189][4]~q\ & ((\led_flash_cnt[2189][3]~57531\) # (GND)))
-- \led_flash_cnt[2189][4]~57533\ = CARRY((!\led_flash_cnt[2189][3]~57531\) # (!\led_flash_cnt[2189][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2189][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2189][3]~57531\,
	combout => \led_flash_cnt[2189][4]~57532_combout\,
	cout => \led_flash_cnt[2189][4]~57533\);

-- Location: FF_X58_Y18_N9
\led_flash_cnt[2189][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2189][4]~57532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2189][4]~q\);

-- Location: LCCOMB_X58_Y18_N10
\led_flash_cnt[2189][5]~57534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2189][5]~57534_combout\ = (\led_flash_cnt[2189][5]~q\ & (\led_flash_cnt[2189][4]~57533\ $ (GND))) # (!\led_flash_cnt[2189][5]~q\ & (!\led_flash_cnt[2189][4]~57533\ & VCC))
-- \led_flash_cnt[2189][5]~57535\ = CARRY((\led_flash_cnt[2189][5]~q\ & !\led_flash_cnt[2189][4]~57533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2189][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2189][4]~57533\,
	combout => \led_flash_cnt[2189][5]~57534_combout\,
	cout => \led_flash_cnt[2189][5]~57535\);

-- Location: FF_X58_Y18_N11
\led_flash_cnt[2189][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2189][5]~57534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2189][5]~q\);

-- Location: LCCOMB_X58_Y18_N12
\led_flash_cnt[2189][6]~57536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2189][6]~57536_combout\ = (\led_flash_cnt[2189][6]~q\ & (!\led_flash_cnt[2189][5]~57535\)) # (!\led_flash_cnt[2189][6]~q\ & ((\led_flash_cnt[2189][5]~57535\) # (GND)))
-- \led_flash_cnt[2189][6]~57537\ = CARRY((!\led_flash_cnt[2189][5]~57535\) # (!\led_flash_cnt[2189][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2189][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2189][5]~57535\,
	combout => \led_flash_cnt[2189][6]~57536_combout\,
	cout => \led_flash_cnt[2189][6]~57537\);

-- Location: FF_X58_Y18_N13
\led_flash_cnt[2189][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2189][6]~57536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2189][6]~q\);

-- Location: LCCOMB_X58_Y18_N22
\WideAnd2189~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2189~1_combout\ = (\led_flash_cnt[2189][6]~q\ & \led_flash_cnt[2189][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2189][6]~q\,
	datad => \led_flash_cnt[2189][5]~q\,
	combout => \WideAnd2189~1_combout\);

-- Location: LCCOMB_X58_Y18_N24
\WideAnd2189~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2189~0_combout\ = (\led_flash_cnt[2189][1]~q\ & (\led_flash_cnt[2189][4]~q\ & (\led_flash_cnt[2189][2]~q\ & \led_flash_cnt[2189][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2189][1]~q\,
	datab => \led_flash_cnt[2189][4]~q\,
	datac => \led_flash_cnt[2189][2]~q\,
	datad => \led_flash_cnt[2189][3]~q\,
	combout => \WideAnd2189~0_combout\);

-- Location: LCCOMB_X58_Y18_N14
\led_flash_cnt[2189][7]~57538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2189][7]~57538_combout\ = \led_flash_cnt[2189][7]~q\ $ (!\led_flash_cnt[2189][6]~57537\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2189][7]~q\,
	cin => \led_flash_cnt[2189][6]~57537\,
	combout => \led_flash_cnt[2189][7]~57538_combout\);

-- Location: FF_X58_Y18_N15
\led_flash_cnt[2189][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2189][7]~57538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2189][7]~q\);

-- Location: LCCOMB_X58_Y18_N30
WideAnd2189 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2189~combout\ = (\WideAnd2189~1_combout\ & (\WideAnd2189~0_combout\ & (\led_flash_cnt[2189][7]~q\ & \led_flash_cnt[2189][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2189~1_combout\,
	datab => \WideAnd2189~0_combout\,
	datac => \led_flash_cnt[2189][7]~q\,
	datad => \led_flash_cnt[2189][0]~q\,
	combout => \WideAnd2189~combout\);

-- Location: FF_X58_Y18_N31
\led_flash_cnt_ands[2189]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2189~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2189));

-- Location: LCCOMB_X58_Y18_N28
\led_flash_cnt[2188][0]~82828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2188][0]~82828_combout\ = !\led_flash_cnt[2188][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2188][0]~q\,
	combout => \led_flash_cnt[2188][0]~82828_combout\);

-- Location: FF_X58_Y18_N29
\led_flash_cnt[2188][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2188][0]~82828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2188][0]~q\);

-- Location: LCCOMB_X59_Y18_N18
\led_flash_cnt[2188][1]~57512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2188][1]~57512_combout\ = (\led_flash_cnt[2188][0]~q\ & (\led_flash_cnt[2188][1]~q\ $ (VCC))) # (!\led_flash_cnt[2188][0]~q\ & (\led_flash_cnt[2188][1]~q\ & VCC))
-- \led_flash_cnt[2188][1]~57513\ = CARRY((\led_flash_cnt[2188][0]~q\ & \led_flash_cnt[2188][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2188][0]~q\,
	datab => \led_flash_cnt[2188][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2188][1]~57512_combout\,
	cout => \led_flash_cnt[2188][1]~57513\);

-- Location: FF_X59_Y18_N19
\led_flash_cnt[2188][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2188][1]~57512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2188][1]~q\);

-- Location: LCCOMB_X59_Y18_N20
\led_flash_cnt[2188][2]~57514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2188][2]~57514_combout\ = (\led_flash_cnt[2188][2]~q\ & (!\led_flash_cnt[2188][1]~57513\)) # (!\led_flash_cnt[2188][2]~q\ & ((\led_flash_cnt[2188][1]~57513\) # (GND)))
-- \led_flash_cnt[2188][2]~57515\ = CARRY((!\led_flash_cnt[2188][1]~57513\) # (!\led_flash_cnt[2188][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2188][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2188][1]~57513\,
	combout => \led_flash_cnt[2188][2]~57514_combout\,
	cout => \led_flash_cnt[2188][2]~57515\);

-- Location: FF_X59_Y18_N21
\led_flash_cnt[2188][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2188][2]~57514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2188][2]~q\);

-- Location: LCCOMB_X59_Y18_N22
\led_flash_cnt[2188][3]~57516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2188][3]~57516_combout\ = (\led_flash_cnt[2188][3]~q\ & (\led_flash_cnt[2188][2]~57515\ $ (GND))) # (!\led_flash_cnt[2188][3]~q\ & (!\led_flash_cnt[2188][2]~57515\ & VCC))
-- \led_flash_cnt[2188][3]~57517\ = CARRY((\led_flash_cnt[2188][3]~q\ & !\led_flash_cnt[2188][2]~57515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2188][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2188][2]~57515\,
	combout => \led_flash_cnt[2188][3]~57516_combout\,
	cout => \led_flash_cnt[2188][3]~57517\);

-- Location: FF_X59_Y18_N23
\led_flash_cnt[2188][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2188][3]~57516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2188][3]~q\);

-- Location: LCCOMB_X59_Y18_N24
\led_flash_cnt[2188][4]~57518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2188][4]~57518_combout\ = (\led_flash_cnt[2188][4]~q\ & (!\led_flash_cnt[2188][3]~57517\)) # (!\led_flash_cnt[2188][4]~q\ & ((\led_flash_cnt[2188][3]~57517\) # (GND)))
-- \led_flash_cnt[2188][4]~57519\ = CARRY((!\led_flash_cnt[2188][3]~57517\) # (!\led_flash_cnt[2188][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2188][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2188][3]~57517\,
	combout => \led_flash_cnt[2188][4]~57518_combout\,
	cout => \led_flash_cnt[2188][4]~57519\);

-- Location: FF_X59_Y18_N25
\led_flash_cnt[2188][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2188][4]~57518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2188][4]~q\);

-- Location: LCCOMB_X59_Y18_N26
\led_flash_cnt[2188][5]~57520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2188][5]~57520_combout\ = (\led_flash_cnt[2188][5]~q\ & (\led_flash_cnt[2188][4]~57519\ $ (GND))) # (!\led_flash_cnt[2188][5]~q\ & (!\led_flash_cnt[2188][4]~57519\ & VCC))
-- \led_flash_cnt[2188][5]~57521\ = CARRY((\led_flash_cnt[2188][5]~q\ & !\led_flash_cnt[2188][4]~57519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2188][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2188][4]~57519\,
	combout => \led_flash_cnt[2188][5]~57520_combout\,
	cout => \led_flash_cnt[2188][5]~57521\);

-- Location: FF_X59_Y18_N27
\led_flash_cnt[2188][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2188][5]~57520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2188][5]~q\);

-- Location: LCCOMB_X59_Y18_N28
\led_flash_cnt[2188][6]~57522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2188][6]~57522_combout\ = (\led_flash_cnt[2188][6]~q\ & (!\led_flash_cnt[2188][5]~57521\)) # (!\led_flash_cnt[2188][6]~q\ & ((\led_flash_cnt[2188][5]~57521\) # (GND)))
-- \led_flash_cnt[2188][6]~57523\ = CARRY((!\led_flash_cnt[2188][5]~57521\) # (!\led_flash_cnt[2188][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2188][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2188][5]~57521\,
	combout => \led_flash_cnt[2188][6]~57522_combout\,
	cout => \led_flash_cnt[2188][6]~57523\);

-- Location: FF_X59_Y18_N29
\led_flash_cnt[2188][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2188][6]~57522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2188][6]~q\);

-- Location: LCCOMB_X58_Y18_N26
\WideAnd2188~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2188~1_combout\ = (\led_flash_cnt[2188][6]~q\ & \led_flash_cnt[2188][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2188][6]~q\,
	datad => \led_flash_cnt[2188][5]~q\,
	combout => \WideAnd2188~1_combout\);

-- Location: LCCOMB_X59_Y18_N30
\led_flash_cnt[2188][7]~57524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2188][7]~57524_combout\ = \led_flash_cnt[2188][7]~q\ $ (!\led_flash_cnt[2188][6]~57523\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2188][7]~q\,
	cin => \led_flash_cnt[2188][6]~57523\,
	combout => \led_flash_cnt[2188][7]~57524_combout\);

-- Location: FF_X59_Y18_N31
\led_flash_cnt[2188][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2188][7]~57524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2188][7]~q\);

-- Location: LCCOMB_X59_Y18_N16
\WideAnd2188~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2188~0_combout\ = (\led_flash_cnt[2188][4]~q\ & (\led_flash_cnt[2188][2]~q\ & (\led_flash_cnt[2188][3]~q\ & \led_flash_cnt[2188][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2188][4]~q\,
	datab => \led_flash_cnt[2188][2]~q\,
	datac => \led_flash_cnt[2188][3]~q\,
	datad => \led_flash_cnt[2188][1]~q\,
	combout => \WideAnd2188~0_combout\);

-- Location: LCCOMB_X58_Y18_N20
WideAnd2188 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2188~combout\ = (\WideAnd2188~1_combout\ & (\led_flash_cnt[2188][0]~q\ & (\led_flash_cnt[2188][7]~q\ & \WideAnd2188~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2188~1_combout\,
	datab => \led_flash_cnt[2188][0]~q\,
	datac => \led_flash_cnt[2188][7]~q\,
	datad => \WideAnd2188~0_combout\,
	combout => \WideAnd2188~combout\);

-- Location: FF_X58_Y18_N21
\led_flash_cnt_ands[2188]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2188~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2188));

-- Location: LCCOMB_X58_Y18_N0
\WideAnd4113~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4113~1_combout\ = (led_flash_cnt_ands(2189) & led_flash_cnt_ands(2188))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2189),
	datad => led_flash_cnt_ands(2188),
	combout => \WideAnd4113~1_combout\);

-- Location: LCCOMB_X70_Y19_N12
\led_flash_cnt[2190][0]~82830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2190][0]~82830_combout\ = !\led_flash_cnt[2190][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2190][0]~q\,
	combout => \led_flash_cnt[2190][0]~82830_combout\);

-- Location: FF_X70_Y19_N13
\led_flash_cnt[2190][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2190][0]~82830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2190][0]~q\);

-- Location: LCCOMB_X70_Y19_N14
\led_flash_cnt[2190][1]~57540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2190][1]~57540_combout\ = (\led_flash_cnt[2190][0]~q\ & (\led_flash_cnt[2190][1]~q\ $ (VCC))) # (!\led_flash_cnt[2190][0]~q\ & (\led_flash_cnt[2190][1]~q\ & VCC))
-- \led_flash_cnt[2190][1]~57541\ = CARRY((\led_flash_cnt[2190][0]~q\ & \led_flash_cnt[2190][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2190][0]~q\,
	datab => \led_flash_cnt[2190][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2190][1]~57540_combout\,
	cout => \led_flash_cnt[2190][1]~57541\);

-- Location: FF_X70_Y19_N15
\led_flash_cnt[2190][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2190][1]~57540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2190][1]~q\);

-- Location: LCCOMB_X70_Y19_N16
\led_flash_cnt[2190][2]~57542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2190][2]~57542_combout\ = (\led_flash_cnt[2190][2]~q\ & (!\led_flash_cnt[2190][1]~57541\)) # (!\led_flash_cnt[2190][2]~q\ & ((\led_flash_cnt[2190][1]~57541\) # (GND)))
-- \led_flash_cnt[2190][2]~57543\ = CARRY((!\led_flash_cnt[2190][1]~57541\) # (!\led_flash_cnt[2190][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2190][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2190][1]~57541\,
	combout => \led_flash_cnt[2190][2]~57542_combout\,
	cout => \led_flash_cnt[2190][2]~57543\);

-- Location: FF_X70_Y19_N17
\led_flash_cnt[2190][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2190][2]~57542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2190][2]~q\);

-- Location: LCCOMB_X70_Y19_N18
\led_flash_cnt[2190][3]~57544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2190][3]~57544_combout\ = (\led_flash_cnt[2190][3]~q\ & (\led_flash_cnt[2190][2]~57543\ $ (GND))) # (!\led_flash_cnt[2190][3]~q\ & (!\led_flash_cnt[2190][2]~57543\ & VCC))
-- \led_flash_cnt[2190][3]~57545\ = CARRY((\led_flash_cnt[2190][3]~q\ & !\led_flash_cnt[2190][2]~57543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2190][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2190][2]~57543\,
	combout => \led_flash_cnt[2190][3]~57544_combout\,
	cout => \led_flash_cnt[2190][3]~57545\);

-- Location: FF_X70_Y19_N19
\led_flash_cnt[2190][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2190][3]~57544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2190][3]~q\);

-- Location: LCCOMB_X70_Y19_N20
\led_flash_cnt[2190][4]~57546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2190][4]~57546_combout\ = (\led_flash_cnt[2190][4]~q\ & (!\led_flash_cnt[2190][3]~57545\)) # (!\led_flash_cnt[2190][4]~q\ & ((\led_flash_cnt[2190][3]~57545\) # (GND)))
-- \led_flash_cnt[2190][4]~57547\ = CARRY((!\led_flash_cnt[2190][3]~57545\) # (!\led_flash_cnt[2190][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2190][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2190][3]~57545\,
	combout => \led_flash_cnt[2190][4]~57546_combout\,
	cout => \led_flash_cnt[2190][4]~57547\);

-- Location: FF_X70_Y19_N21
\led_flash_cnt[2190][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2190][4]~57546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2190][4]~q\);

-- Location: LCCOMB_X70_Y19_N22
\led_flash_cnt[2190][5]~57548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2190][5]~57548_combout\ = (\led_flash_cnt[2190][5]~q\ & (\led_flash_cnt[2190][4]~57547\ $ (GND))) # (!\led_flash_cnt[2190][5]~q\ & (!\led_flash_cnt[2190][4]~57547\ & VCC))
-- \led_flash_cnt[2190][5]~57549\ = CARRY((\led_flash_cnt[2190][5]~q\ & !\led_flash_cnt[2190][4]~57547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2190][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2190][4]~57547\,
	combout => \led_flash_cnt[2190][5]~57548_combout\,
	cout => \led_flash_cnt[2190][5]~57549\);

-- Location: FF_X70_Y19_N23
\led_flash_cnt[2190][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2190][5]~57548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2190][5]~q\);

-- Location: LCCOMB_X70_Y19_N24
\led_flash_cnt[2190][6]~57550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2190][6]~57550_combout\ = (\led_flash_cnt[2190][6]~q\ & (!\led_flash_cnt[2190][5]~57549\)) # (!\led_flash_cnt[2190][6]~q\ & ((\led_flash_cnt[2190][5]~57549\) # (GND)))
-- \led_flash_cnt[2190][6]~57551\ = CARRY((!\led_flash_cnt[2190][5]~57549\) # (!\led_flash_cnt[2190][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2190][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2190][5]~57549\,
	combout => \led_flash_cnt[2190][6]~57550_combout\,
	cout => \led_flash_cnt[2190][6]~57551\);

-- Location: FF_X70_Y19_N25
\led_flash_cnt[2190][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2190][6]~57550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2190][6]~q\);

-- Location: LCCOMB_X70_Y19_N26
\led_flash_cnt[2190][7]~57552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2190][7]~57552_combout\ = \led_flash_cnt[2190][7]~q\ $ (!\led_flash_cnt[2190][6]~57551\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2190][7]~q\,
	cin => \led_flash_cnt[2190][6]~57551\,
	combout => \led_flash_cnt[2190][7]~57552_combout\);

-- Location: FF_X70_Y19_N27
\led_flash_cnt[2190][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2190][7]~57552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2190][7]~q\);

-- Location: LCCOMB_X70_Y19_N4
\WideAnd2190~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2190~1_combout\ = (\led_flash_cnt[2190][5]~q\ & \led_flash_cnt[2190][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2190][5]~q\,
	datad => \led_flash_cnt[2190][6]~q\,
	combout => \WideAnd2190~1_combout\);

-- Location: LCCOMB_X70_Y19_N8
\WideAnd2190~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2190~0_combout\ = (\led_flash_cnt[2190][4]~q\ & (\led_flash_cnt[2190][3]~q\ & (\led_flash_cnt[2190][1]~q\ & \led_flash_cnt[2190][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2190][4]~q\,
	datab => \led_flash_cnt[2190][3]~q\,
	datac => \led_flash_cnt[2190][1]~q\,
	datad => \led_flash_cnt[2190][2]~q\,
	combout => \WideAnd2190~0_combout\);

-- Location: LCCOMB_X70_Y19_N2
WideAnd2190 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2190~combout\ = (\led_flash_cnt[2190][7]~q\ & (\WideAnd2190~1_combout\ & (\WideAnd2190~0_combout\ & \led_flash_cnt[2190][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2190][7]~q\,
	datab => \WideAnd2190~1_combout\,
	datac => \WideAnd2190~0_combout\,
	datad => \led_flash_cnt[2190][0]~q\,
	combout => \WideAnd2190~combout\);

-- Location: FF_X70_Y19_N3
\led_flash_cnt_ands[2190]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2190~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2190));

-- Location: LCCOMB_X70_Y19_N28
WideAnd4113 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4113~combout\ = (led_flash_cnt_ands(2191) & (\WideAnd4113~0_combout\ & (\WideAnd4113~1_combout\ & led_flash_cnt_ands(2190))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2191),
	datab => \WideAnd4113~0_combout\,
	datac => \WideAnd4113~1_combout\,
	datad => led_flash_cnt_ands(2190),
	combout => \WideAnd4113~combout\);

-- Location: FF_X70_Y19_N29
\led_flash_cnt_ands_1[273]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4113~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(273));

-- Location: LCCOMB_X67_Y27_N18
\led_flash_cnt[2183][0]~82823\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2183][0]~82823_combout\ = !\led_flash_cnt[2183][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2183][0]~q\,
	combout => \led_flash_cnt[2183][0]~82823_combout\);

-- Location: FF_X67_Y27_N19
\led_flash_cnt[2183][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2183][0]~82823_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2183][0]~q\);

-- Location: LCCOMB_X67_Y27_N0
\led_flash_cnt[2183][1]~57442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2183][1]~57442_combout\ = (\led_flash_cnt[2183][1]~q\ & (\led_flash_cnt[2183][0]~q\ $ (VCC))) # (!\led_flash_cnt[2183][1]~q\ & (\led_flash_cnt[2183][0]~q\ & VCC))
-- \led_flash_cnt[2183][1]~57443\ = CARRY((\led_flash_cnt[2183][1]~q\ & \led_flash_cnt[2183][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2183][1]~q\,
	datab => \led_flash_cnt[2183][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2183][1]~57442_combout\,
	cout => \led_flash_cnt[2183][1]~57443\);

-- Location: FF_X67_Y27_N1
\led_flash_cnt[2183][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2183][1]~57442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2183][1]~q\);

-- Location: LCCOMB_X67_Y27_N2
\led_flash_cnt[2183][2]~57444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2183][2]~57444_combout\ = (\led_flash_cnt[2183][2]~q\ & (!\led_flash_cnt[2183][1]~57443\)) # (!\led_flash_cnt[2183][2]~q\ & ((\led_flash_cnt[2183][1]~57443\) # (GND)))
-- \led_flash_cnt[2183][2]~57445\ = CARRY((!\led_flash_cnt[2183][1]~57443\) # (!\led_flash_cnt[2183][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2183][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2183][1]~57443\,
	combout => \led_flash_cnt[2183][2]~57444_combout\,
	cout => \led_flash_cnt[2183][2]~57445\);

-- Location: FF_X67_Y27_N3
\led_flash_cnt[2183][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2183][2]~57444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2183][2]~q\);

-- Location: LCCOMB_X67_Y27_N4
\led_flash_cnt[2183][3]~57446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2183][3]~57446_combout\ = (\led_flash_cnt[2183][3]~q\ & (\led_flash_cnt[2183][2]~57445\ $ (GND))) # (!\led_flash_cnt[2183][3]~q\ & (!\led_flash_cnt[2183][2]~57445\ & VCC))
-- \led_flash_cnt[2183][3]~57447\ = CARRY((\led_flash_cnt[2183][3]~q\ & !\led_flash_cnt[2183][2]~57445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2183][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2183][2]~57445\,
	combout => \led_flash_cnt[2183][3]~57446_combout\,
	cout => \led_flash_cnt[2183][3]~57447\);

-- Location: FF_X67_Y27_N5
\led_flash_cnt[2183][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2183][3]~57446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2183][3]~q\);

-- Location: LCCOMB_X67_Y27_N6
\led_flash_cnt[2183][4]~57448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2183][4]~57448_combout\ = (\led_flash_cnt[2183][4]~q\ & (!\led_flash_cnt[2183][3]~57447\)) # (!\led_flash_cnt[2183][4]~q\ & ((\led_flash_cnt[2183][3]~57447\) # (GND)))
-- \led_flash_cnt[2183][4]~57449\ = CARRY((!\led_flash_cnt[2183][3]~57447\) # (!\led_flash_cnt[2183][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2183][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2183][3]~57447\,
	combout => \led_flash_cnt[2183][4]~57448_combout\,
	cout => \led_flash_cnt[2183][4]~57449\);

-- Location: FF_X67_Y27_N7
\led_flash_cnt[2183][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2183][4]~57448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2183][4]~q\);

-- Location: LCCOMB_X67_Y27_N8
\led_flash_cnt[2183][5]~57450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2183][5]~57450_combout\ = (\led_flash_cnt[2183][5]~q\ & (\led_flash_cnt[2183][4]~57449\ $ (GND))) # (!\led_flash_cnt[2183][5]~q\ & (!\led_flash_cnt[2183][4]~57449\ & VCC))
-- \led_flash_cnt[2183][5]~57451\ = CARRY((\led_flash_cnt[2183][5]~q\ & !\led_flash_cnt[2183][4]~57449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2183][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2183][4]~57449\,
	combout => \led_flash_cnt[2183][5]~57450_combout\,
	cout => \led_flash_cnt[2183][5]~57451\);

-- Location: FF_X67_Y27_N9
\led_flash_cnt[2183][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2183][5]~57450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2183][5]~q\);

-- Location: LCCOMB_X67_Y27_N10
\led_flash_cnt[2183][6]~57452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2183][6]~57452_combout\ = (\led_flash_cnt[2183][6]~q\ & (!\led_flash_cnt[2183][5]~57451\)) # (!\led_flash_cnt[2183][6]~q\ & ((\led_flash_cnt[2183][5]~57451\) # (GND)))
-- \led_flash_cnt[2183][6]~57453\ = CARRY((!\led_flash_cnt[2183][5]~57451\) # (!\led_flash_cnt[2183][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2183][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2183][5]~57451\,
	combout => \led_flash_cnt[2183][6]~57452_combout\,
	cout => \led_flash_cnt[2183][6]~57453\);

-- Location: FF_X67_Y27_N11
\led_flash_cnt[2183][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2183][6]~57452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2183][6]~q\);

-- Location: LCCOMB_X67_Y27_N12
\led_flash_cnt[2183][7]~57454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2183][7]~57454_combout\ = \led_flash_cnt[2183][6]~57453\ $ (!\led_flash_cnt[2183][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2183][7]~q\,
	cin => \led_flash_cnt[2183][6]~57453\,
	combout => \led_flash_cnt[2183][7]~57454_combout\);

-- Location: FF_X67_Y27_N13
\led_flash_cnt[2183][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2183][7]~57454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2183][7]~q\);

-- Location: LCCOMB_X67_Y27_N24
\WideAnd2183~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2183~0_combout\ = (\led_flash_cnt[2183][4]~q\ & (\led_flash_cnt[2183][1]~q\ & (\led_flash_cnt[2183][3]~q\ & \led_flash_cnt[2183][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2183][4]~q\,
	datab => \led_flash_cnt[2183][1]~q\,
	datac => \led_flash_cnt[2183][3]~q\,
	datad => \led_flash_cnt[2183][2]~q\,
	combout => \WideAnd2183~0_combout\);

-- Location: LCCOMB_X67_Y27_N26
\WideAnd2183~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2183~1_combout\ = (\led_flash_cnt[2183][5]~q\ & \led_flash_cnt[2183][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2183][5]~q\,
	datad => \led_flash_cnt[2183][6]~q\,
	combout => \WideAnd2183~1_combout\);

-- Location: LCCOMB_X67_Y27_N16
WideAnd2183 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2183~combout\ = (\led_flash_cnt[2183][7]~q\ & (\WideAnd2183~0_combout\ & (\WideAnd2183~1_combout\ & \led_flash_cnt[2183][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2183][7]~q\,
	datab => \WideAnd2183~0_combout\,
	datac => \WideAnd2183~1_combout\,
	datad => \led_flash_cnt[2183][0]~q\,
	combout => \WideAnd2183~combout\);

-- Location: FF_X67_Y27_N17
\led_flash_cnt_ands[2183]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2183~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2183));

-- Location: LCCOMB_X77_Y31_N24
\led_flash_cnt[2180][0]~82820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2180][0]~82820_combout\ = !\led_flash_cnt[2180][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2180][0]~q\,
	combout => \led_flash_cnt[2180][0]~82820_combout\);

-- Location: FF_X77_Y31_N25
\led_flash_cnt[2180][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2180][0]~82820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2180][0]~q\);

-- Location: LCCOMB_X77_Y31_N2
\led_flash_cnt[2180][1]~57400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2180][1]~57400_combout\ = (\led_flash_cnt[2180][1]~q\ & (\led_flash_cnt[2180][0]~q\ $ (VCC))) # (!\led_flash_cnt[2180][1]~q\ & (\led_flash_cnt[2180][0]~q\ & VCC))
-- \led_flash_cnt[2180][1]~57401\ = CARRY((\led_flash_cnt[2180][1]~q\ & \led_flash_cnt[2180][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2180][1]~q\,
	datab => \led_flash_cnt[2180][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2180][1]~57400_combout\,
	cout => \led_flash_cnt[2180][1]~57401\);

-- Location: FF_X77_Y31_N3
\led_flash_cnt[2180][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2180][1]~57400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2180][1]~q\);

-- Location: LCCOMB_X77_Y31_N4
\led_flash_cnt[2180][2]~57402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2180][2]~57402_combout\ = (\led_flash_cnt[2180][2]~q\ & (!\led_flash_cnt[2180][1]~57401\)) # (!\led_flash_cnt[2180][2]~q\ & ((\led_flash_cnt[2180][1]~57401\) # (GND)))
-- \led_flash_cnt[2180][2]~57403\ = CARRY((!\led_flash_cnt[2180][1]~57401\) # (!\led_flash_cnt[2180][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2180][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2180][1]~57401\,
	combout => \led_flash_cnt[2180][2]~57402_combout\,
	cout => \led_flash_cnt[2180][2]~57403\);

-- Location: FF_X77_Y31_N5
\led_flash_cnt[2180][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2180][2]~57402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2180][2]~q\);

-- Location: LCCOMB_X77_Y31_N6
\led_flash_cnt[2180][3]~57404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2180][3]~57404_combout\ = (\led_flash_cnt[2180][3]~q\ & (\led_flash_cnt[2180][2]~57403\ $ (GND))) # (!\led_flash_cnt[2180][3]~q\ & (!\led_flash_cnt[2180][2]~57403\ & VCC))
-- \led_flash_cnt[2180][3]~57405\ = CARRY((\led_flash_cnt[2180][3]~q\ & !\led_flash_cnt[2180][2]~57403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2180][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2180][2]~57403\,
	combout => \led_flash_cnt[2180][3]~57404_combout\,
	cout => \led_flash_cnt[2180][3]~57405\);

-- Location: FF_X77_Y31_N7
\led_flash_cnt[2180][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2180][3]~57404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2180][3]~q\);

-- Location: LCCOMB_X77_Y31_N8
\led_flash_cnt[2180][4]~57406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2180][4]~57406_combout\ = (\led_flash_cnt[2180][4]~q\ & (!\led_flash_cnt[2180][3]~57405\)) # (!\led_flash_cnt[2180][4]~q\ & ((\led_flash_cnt[2180][3]~57405\) # (GND)))
-- \led_flash_cnt[2180][4]~57407\ = CARRY((!\led_flash_cnt[2180][3]~57405\) # (!\led_flash_cnt[2180][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2180][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2180][3]~57405\,
	combout => \led_flash_cnt[2180][4]~57406_combout\,
	cout => \led_flash_cnt[2180][4]~57407\);

-- Location: FF_X77_Y31_N9
\led_flash_cnt[2180][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2180][4]~57406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2180][4]~q\);

-- Location: LCCOMB_X77_Y31_N10
\led_flash_cnt[2180][5]~57408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2180][5]~57408_combout\ = (\led_flash_cnt[2180][5]~q\ & (\led_flash_cnt[2180][4]~57407\ $ (GND))) # (!\led_flash_cnt[2180][5]~q\ & (!\led_flash_cnt[2180][4]~57407\ & VCC))
-- \led_flash_cnt[2180][5]~57409\ = CARRY((\led_flash_cnt[2180][5]~q\ & !\led_flash_cnt[2180][4]~57407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2180][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2180][4]~57407\,
	combout => \led_flash_cnt[2180][5]~57408_combout\,
	cout => \led_flash_cnt[2180][5]~57409\);

-- Location: FF_X77_Y31_N11
\led_flash_cnt[2180][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2180][5]~57408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2180][5]~q\);

-- Location: LCCOMB_X77_Y31_N12
\led_flash_cnt[2180][6]~57410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2180][6]~57410_combout\ = (\led_flash_cnt[2180][6]~q\ & (!\led_flash_cnt[2180][5]~57409\)) # (!\led_flash_cnt[2180][6]~q\ & ((\led_flash_cnt[2180][5]~57409\) # (GND)))
-- \led_flash_cnt[2180][6]~57411\ = CARRY((!\led_flash_cnt[2180][5]~57409\) # (!\led_flash_cnt[2180][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2180][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2180][5]~57409\,
	combout => \led_flash_cnt[2180][6]~57410_combout\,
	cout => \led_flash_cnt[2180][6]~57411\);

-- Location: FF_X77_Y31_N13
\led_flash_cnt[2180][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2180][6]~57410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2180][6]~q\);

-- Location: LCCOMB_X77_Y31_N26
\WideAnd2180~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2180~1_combout\ = (\led_flash_cnt[2180][5]~q\ & \led_flash_cnt[2180][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2180][5]~q\,
	datad => \led_flash_cnt[2180][6]~q\,
	combout => \WideAnd2180~1_combout\);

-- Location: LCCOMB_X77_Y31_N14
\led_flash_cnt[2180][7]~57412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2180][7]~57412_combout\ = \led_flash_cnt[2180][7]~q\ $ (!\led_flash_cnt[2180][6]~57411\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2180][7]~q\,
	cin => \led_flash_cnt[2180][6]~57411\,
	combout => \led_flash_cnt[2180][7]~57412_combout\);

-- Location: FF_X77_Y31_N15
\led_flash_cnt[2180][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2180][7]~57412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2180][7]~q\);

-- Location: LCCOMB_X77_Y31_N18
\WideAnd2180~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2180~0_combout\ = (\led_flash_cnt[2180][1]~q\ & (\led_flash_cnt[2180][4]~q\ & (\led_flash_cnt[2180][2]~q\ & \led_flash_cnt[2180][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2180][1]~q\,
	datab => \led_flash_cnt[2180][4]~q\,
	datac => \led_flash_cnt[2180][2]~q\,
	datad => \led_flash_cnt[2180][3]~q\,
	combout => \WideAnd2180~0_combout\);

-- Location: LCCOMB_X77_Y31_N22
WideAnd2180 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2180~combout\ = (\WideAnd2180~1_combout\ & (\led_flash_cnt[2180][0]~q\ & (\led_flash_cnt[2180][7]~q\ & \WideAnd2180~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2180~1_combout\,
	datab => \led_flash_cnt[2180][0]~q\,
	datac => \led_flash_cnt[2180][7]~q\,
	datad => \WideAnd2180~0_combout\,
	combout => \WideAnd2180~combout\);

-- Location: FF_X77_Y31_N23
\led_flash_cnt_ands[2180]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2180~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2180));

-- Location: LCCOMB_X70_Y31_N12
\led_flash_cnt[2181][0]~82821\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2181][0]~82821_combout\ = !\led_flash_cnt[2181][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2181][0]~q\,
	combout => \led_flash_cnt[2181][0]~82821_combout\);

-- Location: FF_X70_Y31_N13
\led_flash_cnt[2181][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2181][0]~82821_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2181][0]~q\);

-- Location: LCCOMB_X70_Y31_N14
\led_flash_cnt[2181][1]~57414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2181][1]~57414_combout\ = (\led_flash_cnt[2181][0]~q\ & (\led_flash_cnt[2181][1]~q\ $ (VCC))) # (!\led_flash_cnt[2181][0]~q\ & (\led_flash_cnt[2181][1]~q\ & VCC))
-- \led_flash_cnt[2181][1]~57415\ = CARRY((\led_flash_cnt[2181][0]~q\ & \led_flash_cnt[2181][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2181][0]~q\,
	datab => \led_flash_cnt[2181][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2181][1]~57414_combout\,
	cout => \led_flash_cnt[2181][1]~57415\);

-- Location: FF_X70_Y31_N15
\led_flash_cnt[2181][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2181][1]~57414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2181][1]~q\);

-- Location: LCCOMB_X70_Y31_N16
\led_flash_cnt[2181][2]~57416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2181][2]~57416_combout\ = (\led_flash_cnt[2181][2]~q\ & (!\led_flash_cnt[2181][1]~57415\)) # (!\led_flash_cnt[2181][2]~q\ & ((\led_flash_cnt[2181][1]~57415\) # (GND)))
-- \led_flash_cnt[2181][2]~57417\ = CARRY((!\led_flash_cnt[2181][1]~57415\) # (!\led_flash_cnt[2181][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2181][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2181][1]~57415\,
	combout => \led_flash_cnt[2181][2]~57416_combout\,
	cout => \led_flash_cnt[2181][2]~57417\);

-- Location: FF_X70_Y31_N17
\led_flash_cnt[2181][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2181][2]~57416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2181][2]~q\);

-- Location: LCCOMB_X70_Y31_N18
\led_flash_cnt[2181][3]~57418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2181][3]~57418_combout\ = (\led_flash_cnt[2181][3]~q\ & (\led_flash_cnt[2181][2]~57417\ $ (GND))) # (!\led_flash_cnt[2181][3]~q\ & (!\led_flash_cnt[2181][2]~57417\ & VCC))
-- \led_flash_cnt[2181][3]~57419\ = CARRY((\led_flash_cnt[2181][3]~q\ & !\led_flash_cnt[2181][2]~57417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2181][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2181][2]~57417\,
	combout => \led_flash_cnt[2181][3]~57418_combout\,
	cout => \led_flash_cnt[2181][3]~57419\);

-- Location: FF_X70_Y31_N19
\led_flash_cnt[2181][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2181][3]~57418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2181][3]~q\);

-- Location: LCCOMB_X70_Y31_N20
\led_flash_cnt[2181][4]~57420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2181][4]~57420_combout\ = (\led_flash_cnt[2181][4]~q\ & (!\led_flash_cnt[2181][3]~57419\)) # (!\led_flash_cnt[2181][4]~q\ & ((\led_flash_cnt[2181][3]~57419\) # (GND)))
-- \led_flash_cnt[2181][4]~57421\ = CARRY((!\led_flash_cnt[2181][3]~57419\) # (!\led_flash_cnt[2181][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2181][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2181][3]~57419\,
	combout => \led_flash_cnt[2181][4]~57420_combout\,
	cout => \led_flash_cnt[2181][4]~57421\);

-- Location: FF_X70_Y31_N21
\led_flash_cnt[2181][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2181][4]~57420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2181][4]~q\);

-- Location: LCCOMB_X70_Y31_N22
\led_flash_cnt[2181][5]~57422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2181][5]~57422_combout\ = (\led_flash_cnt[2181][5]~q\ & (\led_flash_cnt[2181][4]~57421\ $ (GND))) # (!\led_flash_cnt[2181][5]~q\ & (!\led_flash_cnt[2181][4]~57421\ & VCC))
-- \led_flash_cnt[2181][5]~57423\ = CARRY((\led_flash_cnt[2181][5]~q\ & !\led_flash_cnt[2181][4]~57421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2181][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2181][4]~57421\,
	combout => \led_flash_cnt[2181][5]~57422_combout\,
	cout => \led_flash_cnt[2181][5]~57423\);

-- Location: FF_X70_Y31_N23
\led_flash_cnt[2181][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2181][5]~57422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2181][5]~q\);

-- Location: LCCOMB_X70_Y31_N24
\led_flash_cnt[2181][6]~57424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2181][6]~57424_combout\ = (\led_flash_cnt[2181][6]~q\ & (!\led_flash_cnt[2181][5]~57423\)) # (!\led_flash_cnt[2181][6]~q\ & ((\led_flash_cnt[2181][5]~57423\) # (GND)))
-- \led_flash_cnt[2181][6]~57425\ = CARRY((!\led_flash_cnt[2181][5]~57423\) # (!\led_flash_cnt[2181][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2181][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2181][5]~57423\,
	combout => \led_flash_cnt[2181][6]~57424_combout\,
	cout => \led_flash_cnt[2181][6]~57425\);

-- Location: FF_X70_Y31_N25
\led_flash_cnt[2181][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2181][6]~57424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2181][6]~q\);

-- Location: LCCOMB_X70_Y31_N30
\WideAnd2181~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2181~1_combout\ = (\led_flash_cnt[2181][5]~q\ & \led_flash_cnt[2181][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2181][5]~q\,
	datad => \led_flash_cnt[2181][6]~q\,
	combout => \WideAnd2181~1_combout\);

-- Location: LCCOMB_X70_Y31_N8
\WideAnd2181~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2181~0_combout\ = (\led_flash_cnt[2181][4]~q\ & (\led_flash_cnt[2181][3]~q\ & (\led_flash_cnt[2181][1]~q\ & \led_flash_cnt[2181][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2181][4]~q\,
	datab => \led_flash_cnt[2181][3]~q\,
	datac => \led_flash_cnt[2181][1]~q\,
	datad => \led_flash_cnt[2181][2]~q\,
	combout => \WideAnd2181~0_combout\);

-- Location: LCCOMB_X70_Y31_N26
\led_flash_cnt[2181][7]~57426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2181][7]~57426_combout\ = \led_flash_cnt[2181][7]~q\ $ (!\led_flash_cnt[2181][6]~57425\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2181][7]~q\,
	cin => \led_flash_cnt[2181][6]~57425\,
	combout => \led_flash_cnt[2181][7]~57426_combout\);

-- Location: FF_X70_Y31_N27
\led_flash_cnt[2181][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2181][7]~57426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2181][7]~q\);

-- Location: LCCOMB_X70_Y31_N28
WideAnd2181 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2181~combout\ = (\WideAnd2181~1_combout\ & (\WideAnd2181~0_combout\ & (\led_flash_cnt[2181][7]~q\ & \led_flash_cnt[2181][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2181~1_combout\,
	datab => \WideAnd2181~0_combout\,
	datac => \led_flash_cnt[2181][7]~q\,
	datad => \led_flash_cnt[2181][0]~q\,
	combout => \WideAnd2181~combout\);

-- Location: FF_X70_Y31_N29
\led_flash_cnt_ands[2181]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2181~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2181));

-- Location: LCCOMB_X70_Y31_N4
\WideAnd4112~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4112~1_combout\ = (led_flash_cnt_ands(2180) & led_flash_cnt_ands(2181))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2180),
	datad => led_flash_cnt_ands(2181),
	combout => \WideAnd4112~1_combout\);

-- Location: LCCOMB_X57_Y51_N24
\led_flash_cnt[2176][0]~82816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2176][0]~82816_combout\ = !\led_flash_cnt[2176][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2176][0]~q\,
	combout => \led_flash_cnt[2176][0]~82816_combout\);

-- Location: FF_X57_Y51_N25
\led_flash_cnt[2176][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2176][0]~82816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2176][0]~q\);

-- Location: LCCOMB_X57_Y51_N6
\led_flash_cnt[2176][1]~57344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2176][1]~57344_combout\ = (\led_flash_cnt[2176][1]~q\ & (\led_flash_cnt[2176][0]~q\ $ (VCC))) # (!\led_flash_cnt[2176][1]~q\ & (\led_flash_cnt[2176][0]~q\ & VCC))
-- \led_flash_cnt[2176][1]~57345\ = CARRY((\led_flash_cnt[2176][1]~q\ & \led_flash_cnt[2176][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2176][1]~q\,
	datab => \led_flash_cnt[2176][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2176][1]~57344_combout\,
	cout => \led_flash_cnt[2176][1]~57345\);

-- Location: FF_X57_Y51_N7
\led_flash_cnt[2176][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2176][1]~57344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2176][1]~q\);

-- Location: LCCOMB_X57_Y51_N8
\led_flash_cnt[2176][2]~57346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2176][2]~57346_combout\ = (\led_flash_cnt[2176][2]~q\ & (!\led_flash_cnt[2176][1]~57345\)) # (!\led_flash_cnt[2176][2]~q\ & ((\led_flash_cnt[2176][1]~57345\) # (GND)))
-- \led_flash_cnt[2176][2]~57347\ = CARRY((!\led_flash_cnt[2176][1]~57345\) # (!\led_flash_cnt[2176][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2176][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2176][1]~57345\,
	combout => \led_flash_cnt[2176][2]~57346_combout\,
	cout => \led_flash_cnt[2176][2]~57347\);

-- Location: FF_X57_Y51_N9
\led_flash_cnt[2176][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2176][2]~57346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2176][2]~q\);

-- Location: LCCOMB_X57_Y51_N10
\led_flash_cnt[2176][3]~57348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2176][3]~57348_combout\ = (\led_flash_cnt[2176][3]~q\ & (\led_flash_cnt[2176][2]~57347\ $ (GND))) # (!\led_flash_cnt[2176][3]~q\ & (!\led_flash_cnt[2176][2]~57347\ & VCC))
-- \led_flash_cnt[2176][3]~57349\ = CARRY((\led_flash_cnt[2176][3]~q\ & !\led_flash_cnt[2176][2]~57347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2176][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2176][2]~57347\,
	combout => \led_flash_cnt[2176][3]~57348_combout\,
	cout => \led_flash_cnt[2176][3]~57349\);

-- Location: FF_X57_Y51_N11
\led_flash_cnt[2176][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2176][3]~57348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2176][3]~q\);

-- Location: LCCOMB_X57_Y51_N12
\led_flash_cnt[2176][4]~57350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2176][4]~57350_combout\ = (\led_flash_cnt[2176][4]~q\ & (!\led_flash_cnt[2176][3]~57349\)) # (!\led_flash_cnt[2176][4]~q\ & ((\led_flash_cnt[2176][3]~57349\) # (GND)))
-- \led_flash_cnt[2176][4]~57351\ = CARRY((!\led_flash_cnt[2176][3]~57349\) # (!\led_flash_cnt[2176][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2176][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2176][3]~57349\,
	combout => \led_flash_cnt[2176][4]~57350_combout\,
	cout => \led_flash_cnt[2176][4]~57351\);

-- Location: FF_X57_Y51_N13
\led_flash_cnt[2176][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2176][4]~57350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2176][4]~q\);

-- Location: LCCOMB_X57_Y51_N14
\led_flash_cnt[2176][5]~57352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2176][5]~57352_combout\ = (\led_flash_cnt[2176][5]~q\ & (\led_flash_cnt[2176][4]~57351\ $ (GND))) # (!\led_flash_cnt[2176][5]~q\ & (!\led_flash_cnt[2176][4]~57351\ & VCC))
-- \led_flash_cnt[2176][5]~57353\ = CARRY((\led_flash_cnt[2176][5]~q\ & !\led_flash_cnt[2176][4]~57351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2176][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2176][4]~57351\,
	combout => \led_flash_cnt[2176][5]~57352_combout\,
	cout => \led_flash_cnt[2176][5]~57353\);

-- Location: FF_X57_Y51_N15
\led_flash_cnt[2176][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2176][5]~57352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2176][5]~q\);

-- Location: LCCOMB_X57_Y51_N16
\led_flash_cnt[2176][6]~57354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2176][6]~57354_combout\ = (\led_flash_cnt[2176][6]~q\ & (!\led_flash_cnt[2176][5]~57353\)) # (!\led_flash_cnt[2176][6]~q\ & ((\led_flash_cnt[2176][5]~57353\) # (GND)))
-- \led_flash_cnt[2176][6]~57355\ = CARRY((!\led_flash_cnt[2176][5]~57353\) # (!\led_flash_cnt[2176][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2176][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2176][5]~57353\,
	combout => \led_flash_cnt[2176][6]~57354_combout\,
	cout => \led_flash_cnt[2176][6]~57355\);

-- Location: FF_X57_Y51_N17
\led_flash_cnt[2176][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2176][6]~57354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2176][6]~q\);

-- Location: LCCOMB_X57_Y51_N18
\led_flash_cnt[2176][7]~57356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2176][7]~57356_combout\ = \led_flash_cnt[2176][7]~q\ $ (!\led_flash_cnt[2176][6]~57355\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2176][7]~q\,
	cin => \led_flash_cnt[2176][6]~57355\,
	combout => \led_flash_cnt[2176][7]~57356_combout\);

-- Location: FF_X57_Y51_N19
\led_flash_cnt[2176][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2176][7]~57356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2176][7]~q\);

-- Location: LCCOMB_X57_Y51_N22
\WideAnd2176~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2176~1_combout\ = (\led_flash_cnt[2176][5]~q\ & \led_flash_cnt[2176][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2176][5]~q\,
	datad => \led_flash_cnt[2176][6]~q\,
	combout => \WideAnd2176~1_combout\);

-- Location: LCCOMB_X57_Y51_N28
\WideAnd2176~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2176~0_combout\ = (\led_flash_cnt[2176][3]~q\ & (\led_flash_cnt[2176][4]~q\ & (\led_flash_cnt[2176][2]~q\ & \led_flash_cnt[2176][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2176][3]~q\,
	datab => \led_flash_cnt[2176][4]~q\,
	datac => \led_flash_cnt[2176][2]~q\,
	datad => \led_flash_cnt[2176][1]~q\,
	combout => \WideAnd2176~0_combout\);

-- Location: LCCOMB_X57_Y51_N26
WideAnd2176 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2176~combout\ = (\led_flash_cnt[2176][7]~q\ & (\led_flash_cnt[2176][0]~q\ & (\WideAnd2176~1_combout\ & \WideAnd2176~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2176][7]~q\,
	datab => \led_flash_cnt[2176][0]~q\,
	datac => \WideAnd2176~1_combout\,
	datad => \WideAnd2176~0_combout\,
	combout => \WideAnd2176~combout\);

-- Location: FF_X57_Y51_N27
\led_flash_cnt_ands[2176]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2176~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2176));

-- Location: LCCOMB_X56_Y51_N2
\led_flash_cnt[2179][0]~82819\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2179][0]~82819_combout\ = !\led_flash_cnt[2179][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2179][0]~q\,
	combout => \led_flash_cnt[2179][0]~82819_combout\);

-- Location: FF_X56_Y51_N3
\led_flash_cnt[2179][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2179][0]~82819_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2179][0]~q\);

-- Location: LCCOMB_X55_Y51_N14
\led_flash_cnt[2179][1]~57386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2179][1]~57386_combout\ = (\led_flash_cnt[2179][0]~q\ & (\led_flash_cnt[2179][1]~q\ $ (VCC))) # (!\led_flash_cnt[2179][0]~q\ & (\led_flash_cnt[2179][1]~q\ & VCC))
-- \led_flash_cnt[2179][1]~57387\ = CARRY((\led_flash_cnt[2179][0]~q\ & \led_flash_cnt[2179][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2179][0]~q\,
	datab => \led_flash_cnt[2179][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2179][1]~57386_combout\,
	cout => \led_flash_cnt[2179][1]~57387\);

-- Location: FF_X55_Y51_N15
\led_flash_cnt[2179][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2179][1]~57386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2179][1]~q\);

-- Location: LCCOMB_X55_Y51_N16
\led_flash_cnt[2179][2]~57388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2179][2]~57388_combout\ = (\led_flash_cnt[2179][2]~q\ & (!\led_flash_cnt[2179][1]~57387\)) # (!\led_flash_cnt[2179][2]~q\ & ((\led_flash_cnt[2179][1]~57387\) # (GND)))
-- \led_flash_cnt[2179][2]~57389\ = CARRY((!\led_flash_cnt[2179][1]~57387\) # (!\led_flash_cnt[2179][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2179][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2179][1]~57387\,
	combout => \led_flash_cnt[2179][2]~57388_combout\,
	cout => \led_flash_cnt[2179][2]~57389\);

-- Location: FF_X55_Y51_N17
\led_flash_cnt[2179][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2179][2]~57388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2179][2]~q\);

-- Location: LCCOMB_X55_Y51_N18
\led_flash_cnt[2179][3]~57390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2179][3]~57390_combout\ = (\led_flash_cnt[2179][3]~q\ & (\led_flash_cnt[2179][2]~57389\ $ (GND))) # (!\led_flash_cnt[2179][3]~q\ & (!\led_flash_cnt[2179][2]~57389\ & VCC))
-- \led_flash_cnt[2179][3]~57391\ = CARRY((\led_flash_cnt[2179][3]~q\ & !\led_flash_cnt[2179][2]~57389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2179][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2179][2]~57389\,
	combout => \led_flash_cnt[2179][3]~57390_combout\,
	cout => \led_flash_cnt[2179][3]~57391\);

-- Location: FF_X55_Y51_N19
\led_flash_cnt[2179][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2179][3]~57390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2179][3]~q\);

-- Location: LCCOMB_X55_Y51_N20
\led_flash_cnt[2179][4]~57392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2179][4]~57392_combout\ = (\led_flash_cnt[2179][4]~q\ & (!\led_flash_cnt[2179][3]~57391\)) # (!\led_flash_cnt[2179][4]~q\ & ((\led_flash_cnt[2179][3]~57391\) # (GND)))
-- \led_flash_cnt[2179][4]~57393\ = CARRY((!\led_flash_cnt[2179][3]~57391\) # (!\led_flash_cnt[2179][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2179][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2179][3]~57391\,
	combout => \led_flash_cnt[2179][4]~57392_combout\,
	cout => \led_flash_cnt[2179][4]~57393\);

-- Location: FF_X55_Y51_N21
\led_flash_cnt[2179][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2179][4]~57392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2179][4]~q\);

-- Location: LCCOMB_X55_Y51_N22
\led_flash_cnt[2179][5]~57394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2179][5]~57394_combout\ = (\led_flash_cnt[2179][5]~q\ & (\led_flash_cnt[2179][4]~57393\ $ (GND))) # (!\led_flash_cnt[2179][5]~q\ & (!\led_flash_cnt[2179][4]~57393\ & VCC))
-- \led_flash_cnt[2179][5]~57395\ = CARRY((\led_flash_cnt[2179][5]~q\ & !\led_flash_cnt[2179][4]~57393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2179][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2179][4]~57393\,
	combout => \led_flash_cnt[2179][5]~57394_combout\,
	cout => \led_flash_cnt[2179][5]~57395\);

-- Location: FF_X55_Y51_N23
\led_flash_cnt[2179][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2179][5]~57394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2179][5]~q\);

-- Location: LCCOMB_X55_Y51_N24
\led_flash_cnt[2179][6]~57396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2179][6]~57396_combout\ = (\led_flash_cnt[2179][6]~q\ & (!\led_flash_cnt[2179][5]~57395\)) # (!\led_flash_cnt[2179][6]~q\ & ((\led_flash_cnt[2179][5]~57395\) # (GND)))
-- \led_flash_cnt[2179][6]~57397\ = CARRY((!\led_flash_cnt[2179][5]~57395\) # (!\led_flash_cnt[2179][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2179][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2179][5]~57395\,
	combout => \led_flash_cnt[2179][6]~57396_combout\,
	cout => \led_flash_cnt[2179][6]~57397\);

-- Location: FF_X55_Y51_N25
\led_flash_cnt[2179][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2179][6]~57396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2179][6]~q\);

-- Location: LCCOMB_X56_Y51_N30
\WideAnd2179~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2179~1_combout\ = (\led_flash_cnt[2179][6]~q\ & \led_flash_cnt[2179][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2179][6]~q\,
	datad => \led_flash_cnt[2179][5]~q\,
	combout => \WideAnd2179~1_combout\);

-- Location: LCCOMB_X55_Y51_N30
\WideAnd2179~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2179~0_combout\ = (\led_flash_cnt[2179][4]~q\ & (\led_flash_cnt[2179][3]~q\ & (\led_flash_cnt[2179][1]~q\ & \led_flash_cnt[2179][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2179][4]~q\,
	datab => \led_flash_cnt[2179][3]~q\,
	datac => \led_flash_cnt[2179][1]~q\,
	datad => \led_flash_cnt[2179][2]~q\,
	combout => \WideAnd2179~0_combout\);

-- Location: LCCOMB_X55_Y51_N26
\led_flash_cnt[2179][7]~57398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2179][7]~57398_combout\ = \led_flash_cnt[2179][7]~q\ $ (!\led_flash_cnt[2179][6]~57397\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2179][7]~q\,
	cin => \led_flash_cnt[2179][6]~57397\,
	combout => \led_flash_cnt[2179][7]~57398_combout\);

-- Location: FF_X55_Y51_N27
\led_flash_cnt[2179][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2179][7]~57398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2179][7]~q\);

-- Location: LCCOMB_X56_Y51_N24
WideAnd2179 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2179~combout\ = (\WideAnd2179~1_combout\ & (\WideAnd2179~0_combout\ & (\led_flash_cnt[2179][7]~q\ & \led_flash_cnt[2179][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2179~1_combout\,
	datab => \WideAnd2179~0_combout\,
	datac => \led_flash_cnt[2179][7]~q\,
	datad => \led_flash_cnt[2179][0]~q\,
	combout => \WideAnd2179~combout\);

-- Location: FF_X56_Y51_N25
\led_flash_cnt_ands[2179]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2179~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2179));

-- Location: LCCOMB_X56_Y51_N26
\led_flash_cnt[2178][0]~82818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2178][0]~82818_combout\ = !\led_flash_cnt[2178][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2178][0]~q\,
	combout => \led_flash_cnt[2178][0]~82818_combout\);

-- Location: FF_X56_Y51_N27
\led_flash_cnt[2178][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2178][0]~82818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2178][0]~q\);

-- Location: LCCOMB_X56_Y51_N4
\led_flash_cnt[2178][1]~57372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2178][1]~57372_combout\ = (\led_flash_cnt[2178][0]~q\ & (\led_flash_cnt[2178][1]~q\ $ (VCC))) # (!\led_flash_cnt[2178][0]~q\ & (\led_flash_cnt[2178][1]~q\ & VCC))
-- \led_flash_cnt[2178][1]~57373\ = CARRY((\led_flash_cnt[2178][0]~q\ & \led_flash_cnt[2178][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2178][0]~q\,
	datab => \led_flash_cnt[2178][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2178][1]~57372_combout\,
	cout => \led_flash_cnt[2178][1]~57373\);

-- Location: FF_X56_Y51_N5
\led_flash_cnt[2178][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2178][1]~57372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2178][1]~q\);

-- Location: LCCOMB_X56_Y51_N6
\led_flash_cnt[2178][2]~57374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2178][2]~57374_combout\ = (\led_flash_cnt[2178][2]~q\ & (!\led_flash_cnt[2178][1]~57373\)) # (!\led_flash_cnt[2178][2]~q\ & ((\led_flash_cnt[2178][1]~57373\) # (GND)))
-- \led_flash_cnt[2178][2]~57375\ = CARRY((!\led_flash_cnt[2178][1]~57373\) # (!\led_flash_cnt[2178][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2178][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2178][1]~57373\,
	combout => \led_flash_cnt[2178][2]~57374_combout\,
	cout => \led_flash_cnt[2178][2]~57375\);

-- Location: FF_X56_Y51_N7
\led_flash_cnt[2178][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2178][2]~57374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2178][2]~q\);

-- Location: LCCOMB_X56_Y51_N8
\led_flash_cnt[2178][3]~57376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2178][3]~57376_combout\ = (\led_flash_cnt[2178][3]~q\ & (\led_flash_cnt[2178][2]~57375\ $ (GND))) # (!\led_flash_cnt[2178][3]~q\ & (!\led_flash_cnt[2178][2]~57375\ & VCC))
-- \led_flash_cnt[2178][3]~57377\ = CARRY((\led_flash_cnt[2178][3]~q\ & !\led_flash_cnt[2178][2]~57375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2178][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2178][2]~57375\,
	combout => \led_flash_cnt[2178][3]~57376_combout\,
	cout => \led_flash_cnt[2178][3]~57377\);

-- Location: FF_X56_Y51_N9
\led_flash_cnt[2178][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2178][3]~57376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2178][3]~q\);

-- Location: LCCOMB_X56_Y51_N10
\led_flash_cnt[2178][4]~57378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2178][4]~57378_combout\ = (\led_flash_cnt[2178][4]~q\ & (!\led_flash_cnt[2178][3]~57377\)) # (!\led_flash_cnt[2178][4]~q\ & ((\led_flash_cnt[2178][3]~57377\) # (GND)))
-- \led_flash_cnt[2178][4]~57379\ = CARRY((!\led_flash_cnt[2178][3]~57377\) # (!\led_flash_cnt[2178][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2178][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2178][3]~57377\,
	combout => \led_flash_cnt[2178][4]~57378_combout\,
	cout => \led_flash_cnt[2178][4]~57379\);

-- Location: FF_X56_Y51_N11
\led_flash_cnt[2178][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2178][4]~57378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2178][4]~q\);

-- Location: LCCOMB_X56_Y51_N12
\led_flash_cnt[2178][5]~57380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2178][5]~57380_combout\ = (\led_flash_cnt[2178][5]~q\ & (\led_flash_cnt[2178][4]~57379\ $ (GND))) # (!\led_flash_cnt[2178][5]~q\ & (!\led_flash_cnt[2178][4]~57379\ & VCC))
-- \led_flash_cnt[2178][5]~57381\ = CARRY((\led_flash_cnt[2178][5]~q\ & !\led_flash_cnt[2178][4]~57379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2178][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2178][4]~57379\,
	combout => \led_flash_cnt[2178][5]~57380_combout\,
	cout => \led_flash_cnt[2178][5]~57381\);

-- Location: FF_X56_Y51_N13
\led_flash_cnt[2178][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2178][5]~57380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2178][5]~q\);

-- Location: LCCOMB_X56_Y51_N14
\led_flash_cnt[2178][6]~57382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2178][6]~57382_combout\ = (\led_flash_cnt[2178][6]~q\ & (!\led_flash_cnt[2178][5]~57381\)) # (!\led_flash_cnt[2178][6]~q\ & ((\led_flash_cnt[2178][5]~57381\) # (GND)))
-- \led_flash_cnt[2178][6]~57383\ = CARRY((!\led_flash_cnt[2178][5]~57381\) # (!\led_flash_cnt[2178][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2178][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2178][5]~57381\,
	combout => \led_flash_cnt[2178][6]~57382_combout\,
	cout => \led_flash_cnt[2178][6]~57383\);

-- Location: FF_X56_Y51_N15
\led_flash_cnt[2178][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2178][6]~57382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2178][6]~q\);

-- Location: LCCOMB_X56_Y51_N16
\led_flash_cnt[2178][7]~57384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2178][7]~57384_combout\ = \led_flash_cnt[2178][6]~57383\ $ (!\led_flash_cnt[2178][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2178][7]~q\,
	cin => \led_flash_cnt[2178][6]~57383\,
	combout => \led_flash_cnt[2178][7]~57384_combout\);

-- Location: FF_X56_Y51_N17
\led_flash_cnt[2178][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2178][7]~57384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2178][7]~q\);

-- Location: LCCOMB_X56_Y51_N22
\WideAnd2178~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2178~1_combout\ = (\led_flash_cnt[2178][6]~q\ & \led_flash_cnt[2178][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2178][6]~q\,
	datad => \led_flash_cnt[2178][5]~q\,
	combout => \WideAnd2178~1_combout\);

-- Location: LCCOMB_X56_Y51_N18
\WideAnd2178~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2178~0_combout\ = (\led_flash_cnt[2178][4]~q\ & (\led_flash_cnt[2178][1]~q\ & (\led_flash_cnt[2178][3]~q\ & \led_flash_cnt[2178][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2178][4]~q\,
	datab => \led_flash_cnt[2178][1]~q\,
	datac => \led_flash_cnt[2178][3]~q\,
	datad => \led_flash_cnt[2178][2]~q\,
	combout => \WideAnd2178~0_combout\);

-- Location: LCCOMB_X56_Y51_N0
WideAnd2178 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2178~combout\ = (\led_flash_cnt[2178][0]~q\ & (\led_flash_cnt[2178][7]~q\ & (\WideAnd2178~1_combout\ & \WideAnd2178~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2178][0]~q\,
	datab => \led_flash_cnt[2178][7]~q\,
	datac => \WideAnd2178~1_combout\,
	datad => \WideAnd2178~0_combout\,
	combout => \WideAnd2178~combout\);

-- Location: FF_X56_Y51_N1
\led_flash_cnt_ands[2178]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2178~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2178));

-- Location: LCCOMB_X58_Y51_N24
\led_flash_cnt[2177][0]~82817\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2177][0]~82817_combout\ = !\led_flash_cnt[2177][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2177][0]~q\,
	combout => \led_flash_cnt[2177][0]~82817_combout\);

-- Location: FF_X58_Y51_N25
\led_flash_cnt[2177][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2177][0]~82817_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2177][0]~q\);

-- Location: LCCOMB_X58_Y51_N2
\led_flash_cnt[2177][1]~57358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2177][1]~57358_combout\ = (\led_flash_cnt[2177][1]~q\ & (\led_flash_cnt[2177][0]~q\ $ (VCC))) # (!\led_flash_cnt[2177][1]~q\ & (\led_flash_cnt[2177][0]~q\ & VCC))
-- \led_flash_cnt[2177][1]~57359\ = CARRY((\led_flash_cnt[2177][1]~q\ & \led_flash_cnt[2177][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2177][1]~q\,
	datab => \led_flash_cnt[2177][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2177][1]~57358_combout\,
	cout => \led_flash_cnt[2177][1]~57359\);

-- Location: FF_X58_Y51_N3
\led_flash_cnt[2177][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2177][1]~57358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2177][1]~q\);

-- Location: LCCOMB_X58_Y51_N4
\led_flash_cnt[2177][2]~57360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2177][2]~57360_combout\ = (\led_flash_cnt[2177][2]~q\ & (!\led_flash_cnt[2177][1]~57359\)) # (!\led_flash_cnt[2177][2]~q\ & ((\led_flash_cnt[2177][1]~57359\) # (GND)))
-- \led_flash_cnt[2177][2]~57361\ = CARRY((!\led_flash_cnt[2177][1]~57359\) # (!\led_flash_cnt[2177][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2177][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2177][1]~57359\,
	combout => \led_flash_cnt[2177][2]~57360_combout\,
	cout => \led_flash_cnt[2177][2]~57361\);

-- Location: FF_X58_Y51_N5
\led_flash_cnt[2177][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2177][2]~57360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2177][2]~q\);

-- Location: LCCOMB_X58_Y51_N6
\led_flash_cnt[2177][3]~57362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2177][3]~57362_combout\ = (\led_flash_cnt[2177][3]~q\ & (\led_flash_cnt[2177][2]~57361\ $ (GND))) # (!\led_flash_cnt[2177][3]~q\ & (!\led_flash_cnt[2177][2]~57361\ & VCC))
-- \led_flash_cnt[2177][3]~57363\ = CARRY((\led_flash_cnt[2177][3]~q\ & !\led_flash_cnt[2177][2]~57361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2177][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2177][2]~57361\,
	combout => \led_flash_cnt[2177][3]~57362_combout\,
	cout => \led_flash_cnt[2177][3]~57363\);

-- Location: FF_X58_Y51_N7
\led_flash_cnt[2177][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2177][3]~57362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2177][3]~q\);

-- Location: LCCOMB_X58_Y51_N8
\led_flash_cnt[2177][4]~57364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2177][4]~57364_combout\ = (\led_flash_cnt[2177][4]~q\ & (!\led_flash_cnt[2177][3]~57363\)) # (!\led_flash_cnt[2177][4]~q\ & ((\led_flash_cnt[2177][3]~57363\) # (GND)))
-- \led_flash_cnt[2177][4]~57365\ = CARRY((!\led_flash_cnt[2177][3]~57363\) # (!\led_flash_cnt[2177][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2177][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2177][3]~57363\,
	combout => \led_flash_cnt[2177][4]~57364_combout\,
	cout => \led_flash_cnt[2177][4]~57365\);

-- Location: FF_X58_Y51_N9
\led_flash_cnt[2177][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2177][4]~57364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2177][4]~q\);

-- Location: LCCOMB_X58_Y51_N10
\led_flash_cnt[2177][5]~57366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2177][5]~57366_combout\ = (\led_flash_cnt[2177][5]~q\ & (\led_flash_cnt[2177][4]~57365\ $ (GND))) # (!\led_flash_cnt[2177][5]~q\ & (!\led_flash_cnt[2177][4]~57365\ & VCC))
-- \led_flash_cnt[2177][5]~57367\ = CARRY((\led_flash_cnt[2177][5]~q\ & !\led_flash_cnt[2177][4]~57365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2177][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2177][4]~57365\,
	combout => \led_flash_cnt[2177][5]~57366_combout\,
	cout => \led_flash_cnt[2177][5]~57367\);

-- Location: FF_X58_Y51_N11
\led_flash_cnt[2177][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2177][5]~57366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2177][5]~q\);

-- Location: LCCOMB_X58_Y51_N12
\led_flash_cnt[2177][6]~57368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2177][6]~57368_combout\ = (\led_flash_cnt[2177][6]~q\ & (!\led_flash_cnt[2177][5]~57367\)) # (!\led_flash_cnt[2177][6]~q\ & ((\led_flash_cnt[2177][5]~57367\) # (GND)))
-- \led_flash_cnt[2177][6]~57369\ = CARRY((!\led_flash_cnt[2177][5]~57367\) # (!\led_flash_cnt[2177][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2177][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2177][5]~57367\,
	combout => \led_flash_cnt[2177][6]~57368_combout\,
	cout => \led_flash_cnt[2177][6]~57369\);

-- Location: FF_X58_Y51_N13
\led_flash_cnt[2177][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2177][6]~57368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2177][6]~q\);

-- Location: LCCOMB_X58_Y51_N26
\WideAnd2177~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2177~1_combout\ = (\led_flash_cnt[2177][6]~q\ & \led_flash_cnt[2177][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2177][6]~q\,
	datad => \led_flash_cnt[2177][5]~q\,
	combout => \WideAnd2177~1_combout\);

-- Location: LCCOMB_X58_Y51_N14
\led_flash_cnt[2177][7]~57370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2177][7]~57370_combout\ = \led_flash_cnt[2177][7]~q\ $ (!\led_flash_cnt[2177][6]~57369\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2177][7]~q\,
	cin => \led_flash_cnt[2177][6]~57369\,
	combout => \led_flash_cnt[2177][7]~57370_combout\);

-- Location: FF_X58_Y51_N15
\led_flash_cnt[2177][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2177][7]~57370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2177][7]~q\);

-- Location: LCCOMB_X58_Y51_N18
\WideAnd2177~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2177~0_combout\ = (\led_flash_cnt[2177][1]~q\ & (\led_flash_cnt[2177][4]~q\ & (\led_flash_cnt[2177][2]~q\ & \led_flash_cnt[2177][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2177][1]~q\,
	datab => \led_flash_cnt[2177][4]~q\,
	datac => \led_flash_cnt[2177][2]~q\,
	datad => \led_flash_cnt[2177][3]~q\,
	combout => \WideAnd2177~0_combout\);

-- Location: LCCOMB_X58_Y51_N28
WideAnd2177 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2177~combout\ = (\WideAnd2177~1_combout\ & (\led_flash_cnt[2177][0]~q\ & (\led_flash_cnt[2177][7]~q\ & \WideAnd2177~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2177~1_combout\,
	datab => \led_flash_cnt[2177][0]~q\,
	datac => \led_flash_cnt[2177][7]~q\,
	datad => \WideAnd2177~0_combout\,
	combout => \WideAnd2177~combout\);

-- Location: FF_X58_Y51_N29
\led_flash_cnt_ands[2177]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2177~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2177));

-- Location: LCCOMB_X57_Y51_N4
\WideAnd4112~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4112~0_combout\ = (led_flash_cnt_ands(2176) & (led_flash_cnt_ands(2179) & (led_flash_cnt_ands(2178) & led_flash_cnt_ands(2177))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2176),
	datab => led_flash_cnt_ands(2179),
	datac => led_flash_cnt_ands(2178),
	datad => led_flash_cnt_ands(2177),
	combout => \WideAnd4112~0_combout\);

-- Location: LCCOMB_X67_Y31_N8
\led_flash_cnt[2182][0]~82822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2182][0]~82822_combout\ = !\led_flash_cnt[2182][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2182][0]~q\,
	combout => \led_flash_cnt[2182][0]~82822_combout\);

-- Location: FF_X67_Y31_N9
\led_flash_cnt[2182][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2182][0]~82822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2182][0]~q\);

-- Location: LCCOMB_X67_Y31_N12
\led_flash_cnt[2182][1]~57428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2182][1]~57428_combout\ = (\led_flash_cnt[2182][1]~q\ & (\led_flash_cnt[2182][0]~q\ $ (VCC))) # (!\led_flash_cnt[2182][1]~q\ & (\led_flash_cnt[2182][0]~q\ & VCC))
-- \led_flash_cnt[2182][1]~57429\ = CARRY((\led_flash_cnt[2182][1]~q\ & \led_flash_cnt[2182][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2182][1]~q\,
	datab => \led_flash_cnt[2182][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2182][1]~57428_combout\,
	cout => \led_flash_cnt[2182][1]~57429\);

-- Location: FF_X67_Y31_N13
\led_flash_cnt[2182][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2182][1]~57428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2182][1]~q\);

-- Location: LCCOMB_X67_Y31_N14
\led_flash_cnt[2182][2]~57430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2182][2]~57430_combout\ = (\led_flash_cnt[2182][2]~q\ & (!\led_flash_cnt[2182][1]~57429\)) # (!\led_flash_cnt[2182][2]~q\ & ((\led_flash_cnt[2182][1]~57429\) # (GND)))
-- \led_flash_cnt[2182][2]~57431\ = CARRY((!\led_flash_cnt[2182][1]~57429\) # (!\led_flash_cnt[2182][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2182][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2182][1]~57429\,
	combout => \led_flash_cnt[2182][2]~57430_combout\,
	cout => \led_flash_cnt[2182][2]~57431\);

-- Location: FF_X67_Y31_N15
\led_flash_cnt[2182][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2182][2]~57430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2182][2]~q\);

-- Location: LCCOMB_X67_Y31_N16
\led_flash_cnt[2182][3]~57432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2182][3]~57432_combout\ = (\led_flash_cnt[2182][3]~q\ & (\led_flash_cnt[2182][2]~57431\ $ (GND))) # (!\led_flash_cnt[2182][3]~q\ & (!\led_flash_cnt[2182][2]~57431\ & VCC))
-- \led_flash_cnt[2182][3]~57433\ = CARRY((\led_flash_cnt[2182][3]~q\ & !\led_flash_cnt[2182][2]~57431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2182][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2182][2]~57431\,
	combout => \led_flash_cnt[2182][3]~57432_combout\,
	cout => \led_flash_cnt[2182][3]~57433\);

-- Location: FF_X67_Y31_N17
\led_flash_cnt[2182][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2182][3]~57432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2182][3]~q\);

-- Location: LCCOMB_X67_Y31_N18
\led_flash_cnt[2182][4]~57434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2182][4]~57434_combout\ = (\led_flash_cnt[2182][4]~q\ & (!\led_flash_cnt[2182][3]~57433\)) # (!\led_flash_cnt[2182][4]~q\ & ((\led_flash_cnt[2182][3]~57433\) # (GND)))
-- \led_flash_cnt[2182][4]~57435\ = CARRY((!\led_flash_cnt[2182][3]~57433\) # (!\led_flash_cnt[2182][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2182][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2182][3]~57433\,
	combout => \led_flash_cnt[2182][4]~57434_combout\,
	cout => \led_flash_cnt[2182][4]~57435\);

-- Location: FF_X67_Y31_N19
\led_flash_cnt[2182][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2182][4]~57434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2182][4]~q\);

-- Location: LCCOMB_X67_Y31_N20
\led_flash_cnt[2182][5]~57436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2182][5]~57436_combout\ = (\led_flash_cnt[2182][5]~q\ & (\led_flash_cnt[2182][4]~57435\ $ (GND))) # (!\led_flash_cnt[2182][5]~q\ & (!\led_flash_cnt[2182][4]~57435\ & VCC))
-- \led_flash_cnt[2182][5]~57437\ = CARRY((\led_flash_cnt[2182][5]~q\ & !\led_flash_cnt[2182][4]~57435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2182][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2182][4]~57435\,
	combout => \led_flash_cnt[2182][5]~57436_combout\,
	cout => \led_flash_cnt[2182][5]~57437\);

-- Location: FF_X67_Y31_N21
\led_flash_cnt[2182][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2182][5]~57436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2182][5]~q\);

-- Location: LCCOMB_X67_Y31_N22
\led_flash_cnt[2182][6]~57438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2182][6]~57438_combout\ = (\led_flash_cnt[2182][6]~q\ & (!\led_flash_cnt[2182][5]~57437\)) # (!\led_flash_cnt[2182][6]~q\ & ((\led_flash_cnt[2182][5]~57437\) # (GND)))
-- \led_flash_cnt[2182][6]~57439\ = CARRY((!\led_flash_cnt[2182][5]~57437\) # (!\led_flash_cnt[2182][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2182][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2182][5]~57437\,
	combout => \led_flash_cnt[2182][6]~57438_combout\,
	cout => \led_flash_cnt[2182][6]~57439\);

-- Location: FF_X67_Y31_N23
\led_flash_cnt[2182][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2182][6]~57438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2182][6]~q\);

-- Location: LCCOMB_X67_Y31_N26
\WideAnd2182~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2182~1_combout\ = (\led_flash_cnt[2182][6]~q\ & \led_flash_cnt[2182][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2182][6]~q\,
	datad => \led_flash_cnt[2182][5]~q\,
	combout => \WideAnd2182~1_combout\);

-- Location: LCCOMB_X67_Y31_N24
\led_flash_cnt[2182][7]~57440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2182][7]~57440_combout\ = \led_flash_cnt[2182][6]~57439\ $ (!\led_flash_cnt[2182][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2182][7]~q\,
	cin => \led_flash_cnt[2182][6]~57439\,
	combout => \led_flash_cnt[2182][7]~57440_combout\);

-- Location: FF_X67_Y31_N25
\led_flash_cnt[2182][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2182][7]~57440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2182][7]~q\);

-- Location: LCCOMB_X67_Y31_N28
\WideAnd2182~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2182~0_combout\ = (\led_flash_cnt[2182][1]~q\ & (\led_flash_cnt[2182][3]~q\ & (\led_flash_cnt[2182][2]~q\ & \led_flash_cnt[2182][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2182][1]~q\,
	datab => \led_flash_cnt[2182][3]~q\,
	datac => \led_flash_cnt[2182][2]~q\,
	datad => \led_flash_cnt[2182][4]~q\,
	combout => \WideAnd2182~0_combout\);

-- Location: LCCOMB_X67_Y31_N10
WideAnd2182 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2182~combout\ = (\WideAnd2182~1_combout\ & (\led_flash_cnt[2182][7]~q\ & (\led_flash_cnt[2182][0]~q\ & \WideAnd2182~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2182~1_combout\,
	datab => \led_flash_cnt[2182][7]~q\,
	datac => \led_flash_cnt[2182][0]~q\,
	datad => \WideAnd2182~0_combout\,
	combout => \WideAnd2182~combout\);

-- Location: FF_X67_Y31_N11
\led_flash_cnt_ands[2182]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2182~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2182));

-- Location: LCCOMB_X67_Y31_N0
WideAnd4112 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4112~combout\ = (led_flash_cnt_ands(2183) & (\WideAnd4112~1_combout\ & (\WideAnd4112~0_combout\ & led_flash_cnt_ands(2182))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2183),
	datab => \WideAnd4112~1_combout\,
	datac => \WideAnd4112~0_combout\,
	datad => led_flash_cnt_ands(2182),
	combout => \WideAnd4112~combout\);

-- Location: FF_X67_Y31_N1
\led_flash_cnt_ands_1[272]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4112~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(272));

-- Location: LCCOMB_X67_Y31_N30
\WideAnd4354~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4354~0_combout\ = (led_flash_cnt_ands_1(274) & (led_flash_cnt_ands_1(275) & (led_flash_cnt_ands_1(273) & led_flash_cnt_ands_1(272))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(274),
	datab => led_flash_cnt_ands_1(275),
	datac => led_flash_cnt_ands_1(273),
	datad => led_flash_cnt_ands_1(272),
	combout => \WideAnd4354~0_combout\);

-- Location: LCCOMB_X54_Y40_N4
\led_flash_cnt[2209][0]~82849\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2209][0]~82849_combout\ = !\led_flash_cnt[2209][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2209][0]~q\,
	combout => \led_flash_cnt[2209][0]~82849_combout\);

-- Location: FF_X54_Y40_N5
\led_flash_cnt[2209][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2209][0]~82849_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2209][0]~q\);

-- Location: LCCOMB_X54_Y40_N10
\led_flash_cnt[2209][1]~57806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2209][1]~57806_combout\ = (\led_flash_cnt[2209][1]~q\ & (\led_flash_cnt[2209][0]~q\ $ (VCC))) # (!\led_flash_cnt[2209][1]~q\ & (\led_flash_cnt[2209][0]~q\ & VCC))
-- \led_flash_cnt[2209][1]~57807\ = CARRY((\led_flash_cnt[2209][1]~q\ & \led_flash_cnt[2209][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2209][1]~q\,
	datab => \led_flash_cnt[2209][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2209][1]~57806_combout\,
	cout => \led_flash_cnt[2209][1]~57807\);

-- Location: FF_X54_Y40_N11
\led_flash_cnt[2209][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2209][1]~57806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2209][1]~q\);

-- Location: LCCOMB_X54_Y40_N12
\led_flash_cnt[2209][2]~57808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2209][2]~57808_combout\ = (\led_flash_cnt[2209][2]~q\ & (!\led_flash_cnt[2209][1]~57807\)) # (!\led_flash_cnt[2209][2]~q\ & ((\led_flash_cnt[2209][1]~57807\) # (GND)))
-- \led_flash_cnt[2209][2]~57809\ = CARRY((!\led_flash_cnt[2209][1]~57807\) # (!\led_flash_cnt[2209][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2209][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2209][1]~57807\,
	combout => \led_flash_cnt[2209][2]~57808_combout\,
	cout => \led_flash_cnt[2209][2]~57809\);

-- Location: FF_X54_Y40_N13
\led_flash_cnt[2209][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2209][2]~57808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2209][2]~q\);

-- Location: LCCOMB_X54_Y40_N14
\led_flash_cnt[2209][3]~57810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2209][3]~57810_combout\ = (\led_flash_cnt[2209][3]~q\ & (\led_flash_cnt[2209][2]~57809\ $ (GND))) # (!\led_flash_cnt[2209][3]~q\ & (!\led_flash_cnt[2209][2]~57809\ & VCC))
-- \led_flash_cnt[2209][3]~57811\ = CARRY((\led_flash_cnt[2209][3]~q\ & !\led_flash_cnt[2209][2]~57809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2209][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2209][2]~57809\,
	combout => \led_flash_cnt[2209][3]~57810_combout\,
	cout => \led_flash_cnt[2209][3]~57811\);

-- Location: FF_X54_Y40_N15
\led_flash_cnt[2209][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2209][3]~57810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2209][3]~q\);

-- Location: LCCOMB_X54_Y40_N16
\led_flash_cnt[2209][4]~57812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2209][4]~57812_combout\ = (\led_flash_cnt[2209][4]~q\ & (!\led_flash_cnt[2209][3]~57811\)) # (!\led_flash_cnt[2209][4]~q\ & ((\led_flash_cnt[2209][3]~57811\) # (GND)))
-- \led_flash_cnt[2209][4]~57813\ = CARRY((!\led_flash_cnt[2209][3]~57811\) # (!\led_flash_cnt[2209][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2209][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2209][3]~57811\,
	combout => \led_flash_cnt[2209][4]~57812_combout\,
	cout => \led_flash_cnt[2209][4]~57813\);

-- Location: FF_X54_Y40_N17
\led_flash_cnt[2209][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2209][4]~57812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2209][4]~q\);

-- Location: LCCOMB_X54_Y40_N18
\led_flash_cnt[2209][5]~57814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2209][5]~57814_combout\ = (\led_flash_cnt[2209][5]~q\ & (\led_flash_cnt[2209][4]~57813\ $ (GND))) # (!\led_flash_cnt[2209][5]~q\ & (!\led_flash_cnt[2209][4]~57813\ & VCC))
-- \led_flash_cnt[2209][5]~57815\ = CARRY((\led_flash_cnt[2209][5]~q\ & !\led_flash_cnt[2209][4]~57813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2209][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2209][4]~57813\,
	combout => \led_flash_cnt[2209][5]~57814_combout\,
	cout => \led_flash_cnt[2209][5]~57815\);

-- Location: FF_X54_Y40_N19
\led_flash_cnt[2209][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2209][5]~57814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2209][5]~q\);

-- Location: LCCOMB_X54_Y40_N20
\led_flash_cnt[2209][6]~57816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2209][6]~57816_combout\ = (\led_flash_cnt[2209][6]~q\ & (!\led_flash_cnt[2209][5]~57815\)) # (!\led_flash_cnt[2209][6]~q\ & ((\led_flash_cnt[2209][5]~57815\) # (GND)))
-- \led_flash_cnt[2209][6]~57817\ = CARRY((!\led_flash_cnt[2209][5]~57815\) # (!\led_flash_cnt[2209][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2209][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2209][5]~57815\,
	combout => \led_flash_cnt[2209][6]~57816_combout\,
	cout => \led_flash_cnt[2209][6]~57817\);

-- Location: FF_X54_Y40_N21
\led_flash_cnt[2209][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2209][6]~57816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2209][6]~q\);

-- Location: LCCOMB_X54_Y40_N26
\WideAnd2209~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2209~1_combout\ = (\led_flash_cnt[2209][6]~q\ & \led_flash_cnt[2209][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2209][6]~q\,
	datad => \led_flash_cnt[2209][5]~q\,
	combout => \WideAnd2209~1_combout\);

-- Location: LCCOMB_X54_Y40_N22
\led_flash_cnt[2209][7]~57818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2209][7]~57818_combout\ = \led_flash_cnt[2209][7]~q\ $ (!\led_flash_cnt[2209][6]~57817\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2209][7]~q\,
	cin => \led_flash_cnt[2209][6]~57817\,
	combout => \led_flash_cnt[2209][7]~57818_combout\);

-- Location: FF_X54_Y40_N23
\led_flash_cnt[2209][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2209][7]~57818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2209][7]~q\);

-- Location: LCCOMB_X54_Y40_N24
\WideAnd2209~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2209~0_combout\ = (\led_flash_cnt[2209][2]~q\ & (\led_flash_cnt[2209][4]~q\ & (\led_flash_cnt[2209][3]~q\ & \led_flash_cnt[2209][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2209][2]~q\,
	datab => \led_flash_cnt[2209][4]~q\,
	datac => \led_flash_cnt[2209][3]~q\,
	datad => \led_flash_cnt[2209][1]~q\,
	combout => \WideAnd2209~0_combout\);

-- Location: LCCOMB_X54_Y40_N8
WideAnd2209 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2209~combout\ = (\WideAnd2209~1_combout\ & (\led_flash_cnt[2209][0]~q\ & (\led_flash_cnt[2209][7]~q\ & \WideAnd2209~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2209~1_combout\,
	datab => \led_flash_cnt[2209][0]~q\,
	datac => \led_flash_cnt[2209][7]~q\,
	datad => \WideAnd2209~0_combout\,
	combout => \WideAnd2209~combout\);

-- Location: FF_X54_Y40_N9
\led_flash_cnt_ands[2209]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2209~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2209));

-- Location: LCCOMB_X55_Y40_N6
\led_flash_cnt[2210][0]~82850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2210][0]~82850_combout\ = !\led_flash_cnt[2210][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2210][0]~q\,
	combout => \led_flash_cnt[2210][0]~82850_combout\);

-- Location: FF_X55_Y40_N7
\led_flash_cnt[2210][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2210][0]~82850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2210][0]~q\);

-- Location: LCCOMB_X56_Y40_N18
\led_flash_cnt[2210][1]~57820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2210][1]~57820_combout\ = (\led_flash_cnt[2210][0]~q\ & (\led_flash_cnt[2210][1]~q\ $ (VCC))) # (!\led_flash_cnt[2210][0]~q\ & (\led_flash_cnt[2210][1]~q\ & VCC))
-- \led_flash_cnt[2210][1]~57821\ = CARRY((\led_flash_cnt[2210][0]~q\ & \led_flash_cnt[2210][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2210][0]~q\,
	datab => \led_flash_cnt[2210][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2210][1]~57820_combout\,
	cout => \led_flash_cnt[2210][1]~57821\);

-- Location: FF_X56_Y40_N19
\led_flash_cnt[2210][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2210][1]~57820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2210][1]~q\);

-- Location: LCCOMB_X56_Y40_N20
\led_flash_cnt[2210][2]~57822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2210][2]~57822_combout\ = (\led_flash_cnt[2210][2]~q\ & (!\led_flash_cnt[2210][1]~57821\)) # (!\led_flash_cnt[2210][2]~q\ & ((\led_flash_cnt[2210][1]~57821\) # (GND)))
-- \led_flash_cnt[2210][2]~57823\ = CARRY((!\led_flash_cnt[2210][1]~57821\) # (!\led_flash_cnt[2210][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2210][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2210][1]~57821\,
	combout => \led_flash_cnt[2210][2]~57822_combout\,
	cout => \led_flash_cnt[2210][2]~57823\);

-- Location: FF_X56_Y40_N21
\led_flash_cnt[2210][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2210][2]~57822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2210][2]~q\);

-- Location: LCCOMB_X56_Y40_N22
\led_flash_cnt[2210][3]~57824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2210][3]~57824_combout\ = (\led_flash_cnt[2210][3]~q\ & (\led_flash_cnt[2210][2]~57823\ $ (GND))) # (!\led_flash_cnt[2210][3]~q\ & (!\led_flash_cnt[2210][2]~57823\ & VCC))
-- \led_flash_cnt[2210][3]~57825\ = CARRY((\led_flash_cnt[2210][3]~q\ & !\led_flash_cnt[2210][2]~57823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2210][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2210][2]~57823\,
	combout => \led_flash_cnt[2210][3]~57824_combout\,
	cout => \led_flash_cnt[2210][3]~57825\);

-- Location: FF_X56_Y40_N23
\led_flash_cnt[2210][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2210][3]~57824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2210][3]~q\);

-- Location: LCCOMB_X56_Y40_N24
\led_flash_cnt[2210][4]~57826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2210][4]~57826_combout\ = (\led_flash_cnt[2210][4]~q\ & (!\led_flash_cnt[2210][3]~57825\)) # (!\led_flash_cnt[2210][4]~q\ & ((\led_flash_cnt[2210][3]~57825\) # (GND)))
-- \led_flash_cnt[2210][4]~57827\ = CARRY((!\led_flash_cnt[2210][3]~57825\) # (!\led_flash_cnt[2210][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2210][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2210][3]~57825\,
	combout => \led_flash_cnt[2210][4]~57826_combout\,
	cout => \led_flash_cnt[2210][4]~57827\);

-- Location: FF_X56_Y40_N25
\led_flash_cnt[2210][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2210][4]~57826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2210][4]~q\);

-- Location: LCCOMB_X56_Y40_N0
\WideAnd2210~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2210~0_combout\ = (\led_flash_cnt[2210][4]~q\ & (\led_flash_cnt[2210][2]~q\ & (\led_flash_cnt[2210][3]~q\ & \led_flash_cnt[2210][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2210][4]~q\,
	datab => \led_flash_cnt[2210][2]~q\,
	datac => \led_flash_cnt[2210][3]~q\,
	datad => \led_flash_cnt[2210][1]~q\,
	combout => \WideAnd2210~0_combout\);

-- Location: LCCOMB_X56_Y40_N26
\led_flash_cnt[2210][5]~57828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2210][5]~57828_combout\ = (\led_flash_cnt[2210][5]~q\ & (\led_flash_cnt[2210][4]~57827\ $ (GND))) # (!\led_flash_cnt[2210][5]~q\ & (!\led_flash_cnt[2210][4]~57827\ & VCC))
-- \led_flash_cnt[2210][5]~57829\ = CARRY((\led_flash_cnt[2210][5]~q\ & !\led_flash_cnt[2210][4]~57827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2210][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2210][4]~57827\,
	combout => \led_flash_cnt[2210][5]~57828_combout\,
	cout => \led_flash_cnt[2210][5]~57829\);

-- Location: FF_X56_Y40_N27
\led_flash_cnt[2210][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2210][5]~57828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2210][5]~q\);

-- Location: LCCOMB_X56_Y40_N28
\led_flash_cnt[2210][6]~57830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2210][6]~57830_combout\ = (\led_flash_cnt[2210][6]~q\ & (!\led_flash_cnt[2210][5]~57829\)) # (!\led_flash_cnt[2210][6]~q\ & ((\led_flash_cnt[2210][5]~57829\) # (GND)))
-- \led_flash_cnt[2210][6]~57831\ = CARRY((!\led_flash_cnt[2210][5]~57829\) # (!\led_flash_cnt[2210][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2210][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2210][5]~57829\,
	combout => \led_flash_cnt[2210][6]~57830_combout\,
	cout => \led_flash_cnt[2210][6]~57831\);

-- Location: FF_X56_Y40_N29
\led_flash_cnt[2210][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2210][6]~57830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2210][6]~q\);

-- Location: LCCOMB_X56_Y40_N30
\led_flash_cnt[2210][7]~57832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2210][7]~57832_combout\ = \led_flash_cnt[2210][7]~q\ $ (!\led_flash_cnt[2210][6]~57831\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2210][7]~q\,
	cin => \led_flash_cnt[2210][6]~57831\,
	combout => \led_flash_cnt[2210][7]~57832_combout\);

-- Location: FF_X56_Y40_N31
\led_flash_cnt[2210][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2210][7]~57832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2210][7]~q\);

-- Location: LCCOMB_X55_Y40_N10
\WideAnd2210~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2210~1_combout\ = (\led_flash_cnt[2210][6]~q\ & \led_flash_cnt[2210][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2210][6]~q\,
	datad => \led_flash_cnt[2210][5]~q\,
	combout => \WideAnd2210~1_combout\);

-- Location: LCCOMB_X55_Y40_N0
WideAnd2210 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2210~combout\ = (\led_flash_cnt[2210][0]~q\ & (\WideAnd2210~0_combout\ & (\led_flash_cnt[2210][7]~q\ & \WideAnd2210~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2210][0]~q\,
	datab => \WideAnd2210~0_combout\,
	datac => \led_flash_cnt[2210][7]~q\,
	datad => \WideAnd2210~1_combout\,
	combout => \WideAnd2210~combout\);

-- Location: FF_X55_Y40_N1
\led_flash_cnt_ands[2210]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2210~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2210));

-- Location: LCCOMB_X51_Y35_N16
\led_flash_cnt[2211][0]~82851\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2211][0]~82851_combout\ = !\led_flash_cnt[2211][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2211][0]~q\,
	combout => \led_flash_cnt[2211][0]~82851_combout\);

-- Location: FF_X51_Y35_N17
\led_flash_cnt[2211][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2211][0]~82851_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2211][0]~q\);

-- Location: LCCOMB_X52_Y41_N18
\led_flash_cnt[2211][1]~57834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2211][1]~57834_combout\ = (\led_flash_cnt[2211][0]~q\ & (\led_flash_cnt[2211][1]~q\ $ (VCC))) # (!\led_flash_cnt[2211][0]~q\ & (\led_flash_cnt[2211][1]~q\ & VCC))
-- \led_flash_cnt[2211][1]~57835\ = CARRY((\led_flash_cnt[2211][0]~q\ & \led_flash_cnt[2211][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2211][0]~q\,
	datab => \led_flash_cnt[2211][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2211][1]~57834_combout\,
	cout => \led_flash_cnt[2211][1]~57835\);

-- Location: FF_X52_Y41_N19
\led_flash_cnt[2211][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2211][1]~57834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2211][1]~q\);

-- Location: LCCOMB_X52_Y41_N20
\led_flash_cnt[2211][2]~57836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2211][2]~57836_combout\ = (\led_flash_cnt[2211][2]~q\ & (!\led_flash_cnt[2211][1]~57835\)) # (!\led_flash_cnt[2211][2]~q\ & ((\led_flash_cnt[2211][1]~57835\) # (GND)))
-- \led_flash_cnt[2211][2]~57837\ = CARRY((!\led_flash_cnt[2211][1]~57835\) # (!\led_flash_cnt[2211][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2211][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2211][1]~57835\,
	combout => \led_flash_cnt[2211][2]~57836_combout\,
	cout => \led_flash_cnt[2211][2]~57837\);

-- Location: FF_X52_Y41_N21
\led_flash_cnt[2211][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2211][2]~57836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2211][2]~q\);

-- Location: LCCOMB_X52_Y41_N22
\led_flash_cnt[2211][3]~57838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2211][3]~57838_combout\ = (\led_flash_cnt[2211][3]~q\ & (\led_flash_cnt[2211][2]~57837\ $ (GND))) # (!\led_flash_cnt[2211][3]~q\ & (!\led_flash_cnt[2211][2]~57837\ & VCC))
-- \led_flash_cnt[2211][3]~57839\ = CARRY((\led_flash_cnt[2211][3]~q\ & !\led_flash_cnt[2211][2]~57837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2211][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2211][2]~57837\,
	combout => \led_flash_cnt[2211][3]~57838_combout\,
	cout => \led_flash_cnt[2211][3]~57839\);

-- Location: FF_X52_Y41_N23
\led_flash_cnt[2211][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2211][3]~57838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2211][3]~q\);

-- Location: LCCOMB_X52_Y41_N24
\led_flash_cnt[2211][4]~57840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2211][4]~57840_combout\ = (\led_flash_cnt[2211][4]~q\ & (!\led_flash_cnt[2211][3]~57839\)) # (!\led_flash_cnt[2211][4]~q\ & ((\led_flash_cnt[2211][3]~57839\) # (GND)))
-- \led_flash_cnt[2211][4]~57841\ = CARRY((!\led_flash_cnt[2211][3]~57839\) # (!\led_flash_cnt[2211][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2211][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2211][3]~57839\,
	combout => \led_flash_cnt[2211][4]~57840_combout\,
	cout => \led_flash_cnt[2211][4]~57841\);

-- Location: FF_X52_Y41_N25
\led_flash_cnt[2211][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2211][4]~57840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2211][4]~q\);

-- Location: LCCOMB_X52_Y41_N0
\WideAnd2211~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2211~0_combout\ = (\led_flash_cnt[2211][1]~q\ & (\led_flash_cnt[2211][2]~q\ & (\led_flash_cnt[2211][3]~q\ & \led_flash_cnt[2211][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2211][1]~q\,
	datab => \led_flash_cnt[2211][2]~q\,
	datac => \led_flash_cnt[2211][3]~q\,
	datad => \led_flash_cnt[2211][4]~q\,
	combout => \WideAnd2211~0_combout\);

-- Location: LCCOMB_X52_Y41_N26
\led_flash_cnt[2211][5]~57842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2211][5]~57842_combout\ = (\led_flash_cnt[2211][5]~q\ & (\led_flash_cnt[2211][4]~57841\ $ (GND))) # (!\led_flash_cnt[2211][5]~q\ & (!\led_flash_cnt[2211][4]~57841\ & VCC))
-- \led_flash_cnt[2211][5]~57843\ = CARRY((\led_flash_cnt[2211][5]~q\ & !\led_flash_cnt[2211][4]~57841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2211][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2211][4]~57841\,
	combout => \led_flash_cnt[2211][5]~57842_combout\,
	cout => \led_flash_cnt[2211][5]~57843\);

-- Location: FF_X52_Y41_N27
\led_flash_cnt[2211][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2211][5]~57842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2211][5]~q\);

-- Location: LCCOMB_X52_Y41_N28
\led_flash_cnt[2211][6]~57844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2211][6]~57844_combout\ = (\led_flash_cnt[2211][6]~q\ & (!\led_flash_cnt[2211][5]~57843\)) # (!\led_flash_cnt[2211][6]~q\ & ((\led_flash_cnt[2211][5]~57843\) # (GND)))
-- \led_flash_cnt[2211][6]~57845\ = CARRY((!\led_flash_cnt[2211][5]~57843\) # (!\led_flash_cnt[2211][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2211][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2211][5]~57843\,
	combout => \led_flash_cnt[2211][6]~57844_combout\,
	cout => \led_flash_cnt[2211][6]~57845\);

-- Location: FF_X52_Y41_N29
\led_flash_cnt[2211][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2211][6]~57844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2211][6]~q\);

-- Location: LCCOMB_X52_Y41_N30
\led_flash_cnt[2211][7]~57846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2211][7]~57846_combout\ = \led_flash_cnt[2211][7]~q\ $ (!\led_flash_cnt[2211][6]~57845\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2211][7]~q\,
	cin => \led_flash_cnt[2211][6]~57845\,
	combout => \led_flash_cnt[2211][7]~57846_combout\);

-- Location: FF_X52_Y41_N31
\led_flash_cnt[2211][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2211][7]~57846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2211][7]~q\);

-- Location: LCCOMB_X52_Y40_N0
\WideAnd2211~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2211~1_combout\ = (\led_flash_cnt[2211][5]~q\ & \led_flash_cnt[2211][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2211][5]~q\,
	datac => \led_flash_cnt[2211][6]~q\,
	combout => \WideAnd2211~1_combout\);

-- Location: LCCOMB_X52_Y40_N4
WideAnd2211 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2211~combout\ = (\WideAnd2211~0_combout\ & (\led_flash_cnt[2211][0]~q\ & (\led_flash_cnt[2211][7]~q\ & \WideAnd2211~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2211~0_combout\,
	datab => \led_flash_cnt[2211][0]~q\,
	datac => \led_flash_cnt[2211][7]~q\,
	datad => \WideAnd2211~1_combout\,
	combout => \WideAnd2211~combout\);

-- Location: FF_X52_Y40_N5
\led_flash_cnt_ands[2211]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2211~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2211));

-- Location: LCCOMB_X55_Y40_N12
\led_flash_cnt[2208][0]~82848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2208][0]~82848_combout\ = !\led_flash_cnt[2208][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2208][0]~q\,
	combout => \led_flash_cnt[2208][0]~82848_combout\);

-- Location: FF_X55_Y40_N13
\led_flash_cnt[2208][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2208][0]~82848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2208][0]~q\);

-- Location: LCCOMB_X55_Y40_N14
\led_flash_cnt[2208][1]~57792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2208][1]~57792_combout\ = (\led_flash_cnt[2208][0]~q\ & (\led_flash_cnt[2208][1]~q\ $ (VCC))) # (!\led_flash_cnt[2208][0]~q\ & (\led_flash_cnt[2208][1]~q\ & VCC))
-- \led_flash_cnt[2208][1]~57793\ = CARRY((\led_flash_cnt[2208][0]~q\ & \led_flash_cnt[2208][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2208][0]~q\,
	datab => \led_flash_cnt[2208][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2208][1]~57792_combout\,
	cout => \led_flash_cnt[2208][1]~57793\);

-- Location: FF_X55_Y40_N15
\led_flash_cnt[2208][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2208][1]~57792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2208][1]~q\);

-- Location: LCCOMB_X55_Y40_N16
\led_flash_cnt[2208][2]~57794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2208][2]~57794_combout\ = (\led_flash_cnt[2208][2]~q\ & (!\led_flash_cnt[2208][1]~57793\)) # (!\led_flash_cnt[2208][2]~q\ & ((\led_flash_cnt[2208][1]~57793\) # (GND)))
-- \led_flash_cnt[2208][2]~57795\ = CARRY((!\led_flash_cnt[2208][1]~57793\) # (!\led_flash_cnt[2208][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2208][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2208][1]~57793\,
	combout => \led_flash_cnt[2208][2]~57794_combout\,
	cout => \led_flash_cnt[2208][2]~57795\);

-- Location: FF_X55_Y40_N17
\led_flash_cnt[2208][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2208][2]~57794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2208][2]~q\);

-- Location: LCCOMB_X55_Y40_N18
\led_flash_cnt[2208][3]~57796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2208][3]~57796_combout\ = (\led_flash_cnt[2208][3]~q\ & (\led_flash_cnt[2208][2]~57795\ $ (GND))) # (!\led_flash_cnt[2208][3]~q\ & (!\led_flash_cnt[2208][2]~57795\ & VCC))
-- \led_flash_cnt[2208][3]~57797\ = CARRY((\led_flash_cnt[2208][3]~q\ & !\led_flash_cnt[2208][2]~57795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2208][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2208][2]~57795\,
	combout => \led_flash_cnt[2208][3]~57796_combout\,
	cout => \led_flash_cnt[2208][3]~57797\);

-- Location: FF_X55_Y40_N19
\led_flash_cnt[2208][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2208][3]~57796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2208][3]~q\);

-- Location: LCCOMB_X55_Y40_N20
\led_flash_cnt[2208][4]~57798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2208][4]~57798_combout\ = (\led_flash_cnt[2208][4]~q\ & (!\led_flash_cnt[2208][3]~57797\)) # (!\led_flash_cnt[2208][4]~q\ & ((\led_flash_cnt[2208][3]~57797\) # (GND)))
-- \led_flash_cnt[2208][4]~57799\ = CARRY((!\led_flash_cnt[2208][3]~57797\) # (!\led_flash_cnt[2208][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2208][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2208][3]~57797\,
	combout => \led_flash_cnt[2208][4]~57798_combout\,
	cout => \led_flash_cnt[2208][4]~57799\);

-- Location: FF_X55_Y40_N21
\led_flash_cnt[2208][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2208][4]~57798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2208][4]~q\);

-- Location: LCCOMB_X55_Y40_N22
\led_flash_cnt[2208][5]~57800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2208][5]~57800_combout\ = (\led_flash_cnt[2208][5]~q\ & (\led_flash_cnt[2208][4]~57799\ $ (GND))) # (!\led_flash_cnt[2208][5]~q\ & (!\led_flash_cnt[2208][4]~57799\ & VCC))
-- \led_flash_cnt[2208][5]~57801\ = CARRY((\led_flash_cnt[2208][5]~q\ & !\led_flash_cnt[2208][4]~57799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2208][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2208][4]~57799\,
	combout => \led_flash_cnt[2208][5]~57800_combout\,
	cout => \led_flash_cnt[2208][5]~57801\);

-- Location: FF_X55_Y40_N23
\led_flash_cnt[2208][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2208][5]~57800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2208][5]~q\);

-- Location: LCCOMB_X55_Y40_N24
\led_flash_cnt[2208][6]~57802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2208][6]~57802_combout\ = (\led_flash_cnt[2208][6]~q\ & (!\led_flash_cnt[2208][5]~57801\)) # (!\led_flash_cnt[2208][6]~q\ & ((\led_flash_cnt[2208][5]~57801\) # (GND)))
-- \led_flash_cnt[2208][6]~57803\ = CARRY((!\led_flash_cnt[2208][5]~57801\) # (!\led_flash_cnt[2208][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2208][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2208][5]~57801\,
	combout => \led_flash_cnt[2208][6]~57802_combout\,
	cout => \led_flash_cnt[2208][6]~57803\);

-- Location: FF_X55_Y40_N25
\led_flash_cnt[2208][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2208][6]~57802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2208][6]~q\);

-- Location: LCCOMB_X55_Y40_N26
\led_flash_cnt[2208][7]~57804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2208][7]~57804_combout\ = \led_flash_cnt[2208][7]~q\ $ (!\led_flash_cnt[2208][6]~57803\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2208][7]~q\,
	cin => \led_flash_cnt[2208][6]~57803\,
	combout => \led_flash_cnt[2208][7]~57804_combout\);

-- Location: FF_X55_Y40_N27
\led_flash_cnt[2208][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2208][7]~57804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2208][7]~q\);

-- Location: LCCOMB_X55_Y40_N2
\WideAnd2208~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2208~1_combout\ = (\led_flash_cnt[2208][5]~q\ & \led_flash_cnt[2208][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2208][5]~q\,
	datad => \led_flash_cnt[2208][6]~q\,
	combout => \WideAnd2208~1_combout\);

-- Location: LCCOMB_X55_Y40_N8
\WideAnd2208~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2208~0_combout\ = (\led_flash_cnt[2208][4]~q\ & (\led_flash_cnt[2208][3]~q\ & (\led_flash_cnt[2208][1]~q\ & \led_flash_cnt[2208][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2208][4]~q\,
	datab => \led_flash_cnt[2208][3]~q\,
	datac => \led_flash_cnt[2208][1]~q\,
	datad => \led_flash_cnt[2208][2]~q\,
	combout => \WideAnd2208~0_combout\);

-- Location: LCCOMB_X55_Y40_N28
WideAnd2208 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2208~combout\ = (\led_flash_cnt[2208][7]~q\ & (\WideAnd2208~1_combout\ & (\WideAnd2208~0_combout\ & \led_flash_cnt[2208][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2208][7]~q\,
	datab => \WideAnd2208~1_combout\,
	datac => \WideAnd2208~0_combout\,
	datad => \led_flash_cnt[2208][0]~q\,
	combout => \WideAnd2208~combout\);

-- Location: FF_X55_Y40_N29
\led_flash_cnt_ands[2208]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2208~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2208));

-- Location: LCCOMB_X55_Y40_N30
\WideAnd4116~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4116~0_combout\ = (led_flash_cnt_ands(2209) & (led_flash_cnt_ands(2210) & (led_flash_cnt_ands(2211) & led_flash_cnt_ands(2208))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2209),
	datab => led_flash_cnt_ands(2210),
	datac => led_flash_cnt_ands(2211),
	datad => led_flash_cnt_ands(2208),
	combout => \WideAnd4116~0_combout\);

-- Location: LCCOMB_X60_Y34_N4
\led_flash_cnt[2214][0]~82854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2214][0]~82854_combout\ = !\led_flash_cnt[2214][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2214][0]~q\,
	combout => \led_flash_cnt[2214][0]~82854_combout\);

-- Location: FF_X60_Y34_N5
\led_flash_cnt[2214][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2214][0]~82854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2214][0]~q\);

-- Location: LCCOMB_X60_Y34_N10
\led_flash_cnt[2214][1]~57876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2214][1]~57876_combout\ = (\led_flash_cnt[2214][1]~q\ & (\led_flash_cnt[2214][0]~q\ $ (VCC))) # (!\led_flash_cnt[2214][1]~q\ & (\led_flash_cnt[2214][0]~q\ & VCC))
-- \led_flash_cnt[2214][1]~57877\ = CARRY((\led_flash_cnt[2214][1]~q\ & \led_flash_cnt[2214][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2214][1]~q\,
	datab => \led_flash_cnt[2214][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2214][1]~57876_combout\,
	cout => \led_flash_cnt[2214][1]~57877\);

-- Location: FF_X60_Y34_N11
\led_flash_cnt[2214][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2214][1]~57876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2214][1]~q\);

-- Location: LCCOMB_X60_Y34_N12
\led_flash_cnt[2214][2]~57878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2214][2]~57878_combout\ = (\led_flash_cnt[2214][2]~q\ & (!\led_flash_cnt[2214][1]~57877\)) # (!\led_flash_cnt[2214][2]~q\ & ((\led_flash_cnt[2214][1]~57877\) # (GND)))
-- \led_flash_cnt[2214][2]~57879\ = CARRY((!\led_flash_cnt[2214][1]~57877\) # (!\led_flash_cnt[2214][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2214][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2214][1]~57877\,
	combout => \led_flash_cnt[2214][2]~57878_combout\,
	cout => \led_flash_cnt[2214][2]~57879\);

-- Location: FF_X60_Y34_N13
\led_flash_cnt[2214][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2214][2]~57878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2214][2]~q\);

-- Location: LCCOMB_X60_Y34_N14
\led_flash_cnt[2214][3]~57880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2214][3]~57880_combout\ = (\led_flash_cnt[2214][3]~q\ & (\led_flash_cnt[2214][2]~57879\ $ (GND))) # (!\led_flash_cnt[2214][3]~q\ & (!\led_flash_cnt[2214][2]~57879\ & VCC))
-- \led_flash_cnt[2214][3]~57881\ = CARRY((\led_flash_cnt[2214][3]~q\ & !\led_flash_cnt[2214][2]~57879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2214][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2214][2]~57879\,
	combout => \led_flash_cnt[2214][3]~57880_combout\,
	cout => \led_flash_cnt[2214][3]~57881\);

-- Location: FF_X60_Y34_N15
\led_flash_cnt[2214][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2214][3]~57880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2214][3]~q\);

-- Location: LCCOMB_X60_Y34_N16
\led_flash_cnt[2214][4]~57882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2214][4]~57882_combout\ = (\led_flash_cnt[2214][4]~q\ & (!\led_flash_cnt[2214][3]~57881\)) # (!\led_flash_cnt[2214][4]~q\ & ((\led_flash_cnt[2214][3]~57881\) # (GND)))
-- \led_flash_cnt[2214][4]~57883\ = CARRY((!\led_flash_cnt[2214][3]~57881\) # (!\led_flash_cnt[2214][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2214][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2214][3]~57881\,
	combout => \led_flash_cnt[2214][4]~57882_combout\,
	cout => \led_flash_cnt[2214][4]~57883\);

-- Location: FF_X60_Y34_N17
\led_flash_cnt[2214][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2214][4]~57882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2214][4]~q\);

-- Location: LCCOMB_X60_Y34_N18
\led_flash_cnt[2214][5]~57884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2214][5]~57884_combout\ = (\led_flash_cnt[2214][5]~q\ & (\led_flash_cnt[2214][4]~57883\ $ (GND))) # (!\led_flash_cnt[2214][5]~q\ & (!\led_flash_cnt[2214][4]~57883\ & VCC))
-- \led_flash_cnt[2214][5]~57885\ = CARRY((\led_flash_cnt[2214][5]~q\ & !\led_flash_cnt[2214][4]~57883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2214][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2214][4]~57883\,
	combout => \led_flash_cnt[2214][5]~57884_combout\,
	cout => \led_flash_cnt[2214][5]~57885\);

-- Location: FF_X60_Y34_N19
\led_flash_cnt[2214][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2214][5]~57884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2214][5]~q\);

-- Location: LCCOMB_X60_Y34_N20
\led_flash_cnt[2214][6]~57886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2214][6]~57886_combout\ = (\led_flash_cnt[2214][6]~q\ & (!\led_flash_cnt[2214][5]~57885\)) # (!\led_flash_cnt[2214][6]~q\ & ((\led_flash_cnt[2214][5]~57885\) # (GND)))
-- \led_flash_cnt[2214][6]~57887\ = CARRY((!\led_flash_cnt[2214][5]~57885\) # (!\led_flash_cnt[2214][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2214][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2214][5]~57885\,
	combout => \led_flash_cnt[2214][6]~57886_combout\,
	cout => \led_flash_cnt[2214][6]~57887\);

-- Location: FF_X60_Y34_N21
\led_flash_cnt[2214][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2214][6]~57886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2214][6]~q\);

-- Location: LCCOMB_X60_Y34_N30
\WideAnd2214~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2214~1_combout\ = (\led_flash_cnt[2214][6]~q\ & \led_flash_cnt[2214][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2214][6]~q\,
	datac => \led_flash_cnt[2214][5]~q\,
	combout => \WideAnd2214~1_combout\);

-- Location: LCCOMB_X60_Y34_N22
\led_flash_cnt[2214][7]~57888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2214][7]~57888_combout\ = \led_flash_cnt[2214][7]~q\ $ (!\led_flash_cnt[2214][6]~57887\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2214][7]~q\,
	cin => \led_flash_cnt[2214][6]~57887\,
	combout => \led_flash_cnt[2214][7]~57888_combout\);

-- Location: FF_X60_Y34_N23
\led_flash_cnt[2214][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2214][7]~57888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2214][7]~q\);

-- Location: LCCOMB_X60_Y34_N24
\WideAnd2214~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2214~0_combout\ = (\led_flash_cnt[2214][1]~q\ & (\led_flash_cnt[2214][4]~q\ & (\led_flash_cnt[2214][3]~q\ & \led_flash_cnt[2214][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2214][1]~q\,
	datab => \led_flash_cnt[2214][4]~q\,
	datac => \led_flash_cnt[2214][3]~q\,
	datad => \led_flash_cnt[2214][2]~q\,
	combout => \WideAnd2214~0_combout\);

-- Location: LCCOMB_X60_Y34_N8
WideAnd2214 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2214~combout\ = (\WideAnd2214~1_combout\ & (\led_flash_cnt[2214][0]~q\ & (\led_flash_cnt[2214][7]~q\ & \WideAnd2214~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2214~1_combout\,
	datab => \led_flash_cnt[2214][0]~q\,
	datac => \led_flash_cnt[2214][7]~q\,
	datad => \WideAnd2214~0_combout\,
	combout => \WideAnd2214~combout\);

-- Location: FF_X60_Y34_N9
\led_flash_cnt_ands[2214]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2214~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2214));

-- Location: LCCOMB_X61_Y20_N22
\led_flash_cnt[2213][0]~82853\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2213][0]~82853_combout\ = !\led_flash_cnt[2213][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2213][0]~q\,
	combout => \led_flash_cnt[2213][0]~82853_combout\);

-- Location: FF_X61_Y20_N23
\led_flash_cnt[2213][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2213][0]~82853_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2213][0]~q\);

-- Location: LCCOMB_X61_Y20_N4
\led_flash_cnt[2213][1]~57862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2213][1]~57862_combout\ = (\led_flash_cnt[2213][0]~q\ & (\led_flash_cnt[2213][1]~q\ $ (VCC))) # (!\led_flash_cnt[2213][0]~q\ & (\led_flash_cnt[2213][1]~q\ & VCC))
-- \led_flash_cnt[2213][1]~57863\ = CARRY((\led_flash_cnt[2213][0]~q\ & \led_flash_cnt[2213][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2213][0]~q\,
	datab => \led_flash_cnt[2213][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2213][1]~57862_combout\,
	cout => \led_flash_cnt[2213][1]~57863\);

-- Location: FF_X61_Y20_N5
\led_flash_cnt[2213][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2213][1]~57862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2213][1]~q\);

-- Location: LCCOMB_X61_Y20_N6
\led_flash_cnt[2213][2]~57864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2213][2]~57864_combout\ = (\led_flash_cnt[2213][2]~q\ & (!\led_flash_cnt[2213][1]~57863\)) # (!\led_flash_cnt[2213][2]~q\ & ((\led_flash_cnt[2213][1]~57863\) # (GND)))
-- \led_flash_cnt[2213][2]~57865\ = CARRY((!\led_flash_cnt[2213][1]~57863\) # (!\led_flash_cnt[2213][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2213][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2213][1]~57863\,
	combout => \led_flash_cnt[2213][2]~57864_combout\,
	cout => \led_flash_cnt[2213][2]~57865\);

-- Location: FF_X61_Y20_N7
\led_flash_cnt[2213][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2213][2]~57864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2213][2]~q\);

-- Location: LCCOMB_X61_Y20_N8
\led_flash_cnt[2213][3]~57866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2213][3]~57866_combout\ = (\led_flash_cnt[2213][3]~q\ & (\led_flash_cnt[2213][2]~57865\ $ (GND))) # (!\led_flash_cnt[2213][3]~q\ & (!\led_flash_cnt[2213][2]~57865\ & VCC))
-- \led_flash_cnt[2213][3]~57867\ = CARRY((\led_flash_cnt[2213][3]~q\ & !\led_flash_cnt[2213][2]~57865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2213][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2213][2]~57865\,
	combout => \led_flash_cnt[2213][3]~57866_combout\,
	cout => \led_flash_cnt[2213][3]~57867\);

-- Location: FF_X61_Y20_N9
\led_flash_cnt[2213][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2213][3]~57866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2213][3]~q\);

-- Location: LCCOMB_X61_Y20_N10
\led_flash_cnt[2213][4]~57868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2213][4]~57868_combout\ = (\led_flash_cnt[2213][4]~q\ & (!\led_flash_cnt[2213][3]~57867\)) # (!\led_flash_cnt[2213][4]~q\ & ((\led_flash_cnt[2213][3]~57867\) # (GND)))
-- \led_flash_cnt[2213][4]~57869\ = CARRY((!\led_flash_cnt[2213][3]~57867\) # (!\led_flash_cnt[2213][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2213][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2213][3]~57867\,
	combout => \led_flash_cnt[2213][4]~57868_combout\,
	cout => \led_flash_cnt[2213][4]~57869\);

-- Location: FF_X61_Y20_N11
\led_flash_cnt[2213][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2213][4]~57868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2213][4]~q\);

-- Location: LCCOMB_X61_Y20_N12
\led_flash_cnt[2213][5]~57870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2213][5]~57870_combout\ = (\led_flash_cnt[2213][5]~q\ & (\led_flash_cnt[2213][4]~57869\ $ (GND))) # (!\led_flash_cnt[2213][5]~q\ & (!\led_flash_cnt[2213][4]~57869\ & VCC))
-- \led_flash_cnt[2213][5]~57871\ = CARRY((\led_flash_cnt[2213][5]~q\ & !\led_flash_cnt[2213][4]~57869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2213][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2213][4]~57869\,
	combout => \led_flash_cnt[2213][5]~57870_combout\,
	cout => \led_flash_cnt[2213][5]~57871\);

-- Location: FF_X61_Y20_N13
\led_flash_cnt[2213][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2213][5]~57870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2213][5]~q\);

-- Location: LCCOMB_X61_Y20_N14
\led_flash_cnt[2213][6]~57872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2213][6]~57872_combout\ = (\led_flash_cnt[2213][6]~q\ & (!\led_flash_cnt[2213][5]~57871\)) # (!\led_flash_cnt[2213][6]~q\ & ((\led_flash_cnt[2213][5]~57871\) # (GND)))
-- \led_flash_cnt[2213][6]~57873\ = CARRY((!\led_flash_cnt[2213][5]~57871\) # (!\led_flash_cnt[2213][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2213][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2213][5]~57871\,
	combout => \led_flash_cnt[2213][6]~57872_combout\,
	cout => \led_flash_cnt[2213][6]~57873\);

-- Location: FF_X61_Y20_N15
\led_flash_cnt[2213][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2213][6]~57872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2213][6]~q\);

-- Location: LCCOMB_X61_Y20_N16
\led_flash_cnt[2213][7]~57874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2213][7]~57874_combout\ = \led_flash_cnt[2213][6]~57873\ $ (!\led_flash_cnt[2213][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2213][7]~q\,
	cin => \led_flash_cnt[2213][6]~57873\,
	combout => \led_flash_cnt[2213][7]~57874_combout\);

-- Location: FF_X61_Y20_N17
\led_flash_cnt[2213][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2213][7]~57874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2213][7]~q\);

-- Location: LCCOMB_X61_Y20_N26
\WideAnd2213~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2213~1_combout\ = (\led_flash_cnt[2213][6]~q\ & \led_flash_cnt[2213][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2213][6]~q\,
	datad => \led_flash_cnt[2213][5]~q\,
	combout => \WideAnd2213~1_combout\);

-- Location: LCCOMB_X61_Y20_N20
\WideAnd2213~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2213~0_combout\ = (\led_flash_cnt[2213][4]~q\ & (\led_flash_cnt[2213][1]~q\ & (\led_flash_cnt[2213][3]~q\ & \led_flash_cnt[2213][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2213][4]~q\,
	datab => \led_flash_cnt[2213][1]~q\,
	datac => \led_flash_cnt[2213][3]~q\,
	datad => \led_flash_cnt[2213][2]~q\,
	combout => \WideAnd2213~0_combout\);

-- Location: LCCOMB_X61_Y20_N30
WideAnd2213 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2213~combout\ = (\led_flash_cnt[2213][0]~q\ & (\led_flash_cnt[2213][7]~q\ & (\WideAnd2213~1_combout\ & \WideAnd2213~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2213][0]~q\,
	datab => \led_flash_cnt[2213][7]~q\,
	datac => \WideAnd2213~1_combout\,
	datad => \WideAnd2213~0_combout\,
	combout => \WideAnd2213~combout\);

-- Location: FF_X61_Y20_N31
\led_flash_cnt_ands[2213]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2213~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2213));

-- Location: LCCOMB_X61_Y20_N2
\led_flash_cnt[2212][0]~82852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2212][0]~82852_combout\ = !\led_flash_cnt[2212][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2212][0]~q\,
	combout => \led_flash_cnt[2212][0]~82852_combout\);

-- Location: FF_X61_Y20_N3
\led_flash_cnt[2212][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2212][0]~82852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2212][0]~q\);

-- Location: LCCOMB_X62_Y20_N0
\led_flash_cnt[2212][1]~57848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2212][1]~57848_combout\ = (\led_flash_cnt[2212][0]~q\ & (\led_flash_cnt[2212][1]~q\ $ (VCC))) # (!\led_flash_cnt[2212][0]~q\ & (\led_flash_cnt[2212][1]~q\ & VCC))
-- \led_flash_cnt[2212][1]~57849\ = CARRY((\led_flash_cnt[2212][0]~q\ & \led_flash_cnt[2212][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2212][0]~q\,
	datab => \led_flash_cnt[2212][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2212][1]~57848_combout\,
	cout => \led_flash_cnt[2212][1]~57849\);

-- Location: FF_X62_Y20_N1
\led_flash_cnt[2212][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2212][1]~57848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2212][1]~q\);

-- Location: LCCOMB_X62_Y20_N2
\led_flash_cnt[2212][2]~57850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2212][2]~57850_combout\ = (\led_flash_cnt[2212][2]~q\ & (!\led_flash_cnt[2212][1]~57849\)) # (!\led_flash_cnt[2212][2]~q\ & ((\led_flash_cnt[2212][1]~57849\) # (GND)))
-- \led_flash_cnt[2212][2]~57851\ = CARRY((!\led_flash_cnt[2212][1]~57849\) # (!\led_flash_cnt[2212][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2212][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2212][1]~57849\,
	combout => \led_flash_cnt[2212][2]~57850_combout\,
	cout => \led_flash_cnt[2212][2]~57851\);

-- Location: FF_X62_Y20_N3
\led_flash_cnt[2212][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2212][2]~57850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2212][2]~q\);

-- Location: LCCOMB_X62_Y20_N4
\led_flash_cnt[2212][3]~57852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2212][3]~57852_combout\ = (\led_flash_cnt[2212][3]~q\ & (\led_flash_cnt[2212][2]~57851\ $ (GND))) # (!\led_flash_cnt[2212][3]~q\ & (!\led_flash_cnt[2212][2]~57851\ & VCC))
-- \led_flash_cnt[2212][3]~57853\ = CARRY((\led_flash_cnt[2212][3]~q\ & !\led_flash_cnt[2212][2]~57851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2212][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2212][2]~57851\,
	combout => \led_flash_cnt[2212][3]~57852_combout\,
	cout => \led_flash_cnt[2212][3]~57853\);

-- Location: FF_X62_Y20_N5
\led_flash_cnt[2212][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2212][3]~57852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2212][3]~q\);

-- Location: LCCOMB_X62_Y20_N6
\led_flash_cnt[2212][4]~57854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2212][4]~57854_combout\ = (\led_flash_cnt[2212][4]~q\ & (!\led_flash_cnt[2212][3]~57853\)) # (!\led_flash_cnt[2212][4]~q\ & ((\led_flash_cnt[2212][3]~57853\) # (GND)))
-- \led_flash_cnt[2212][4]~57855\ = CARRY((!\led_flash_cnt[2212][3]~57853\) # (!\led_flash_cnt[2212][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2212][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2212][3]~57853\,
	combout => \led_flash_cnt[2212][4]~57854_combout\,
	cout => \led_flash_cnt[2212][4]~57855\);

-- Location: FF_X62_Y20_N7
\led_flash_cnt[2212][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2212][4]~57854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2212][4]~q\);

-- Location: LCCOMB_X61_Y20_N18
\WideAnd2212~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2212~0_combout\ = (\led_flash_cnt[2212][3]~q\ & (\led_flash_cnt[2212][2]~q\ & (\led_flash_cnt[2212][1]~q\ & \led_flash_cnt[2212][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2212][3]~q\,
	datab => \led_flash_cnt[2212][2]~q\,
	datac => \led_flash_cnt[2212][1]~q\,
	datad => \led_flash_cnt[2212][4]~q\,
	combout => \WideAnd2212~0_combout\);

-- Location: LCCOMB_X62_Y20_N8
\led_flash_cnt[2212][5]~57856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2212][5]~57856_combout\ = (\led_flash_cnt[2212][5]~q\ & (\led_flash_cnt[2212][4]~57855\ $ (GND))) # (!\led_flash_cnt[2212][5]~q\ & (!\led_flash_cnt[2212][4]~57855\ & VCC))
-- \led_flash_cnt[2212][5]~57857\ = CARRY((\led_flash_cnt[2212][5]~q\ & !\led_flash_cnt[2212][4]~57855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2212][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2212][4]~57855\,
	combout => \led_flash_cnt[2212][5]~57856_combout\,
	cout => \led_flash_cnt[2212][5]~57857\);

-- Location: FF_X62_Y20_N9
\led_flash_cnt[2212][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2212][5]~57856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2212][5]~q\);

-- Location: LCCOMB_X62_Y20_N10
\led_flash_cnt[2212][6]~57858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2212][6]~57858_combout\ = (\led_flash_cnt[2212][6]~q\ & (!\led_flash_cnt[2212][5]~57857\)) # (!\led_flash_cnt[2212][6]~q\ & ((\led_flash_cnt[2212][5]~57857\) # (GND)))
-- \led_flash_cnt[2212][6]~57859\ = CARRY((!\led_flash_cnt[2212][5]~57857\) # (!\led_flash_cnt[2212][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2212][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2212][5]~57857\,
	combout => \led_flash_cnt[2212][6]~57858_combout\,
	cout => \led_flash_cnt[2212][6]~57859\);

-- Location: FF_X62_Y20_N11
\led_flash_cnt[2212][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2212][6]~57858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2212][6]~q\);

-- Location: LCCOMB_X62_Y20_N12
\led_flash_cnt[2212][7]~57860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2212][7]~57860_combout\ = \led_flash_cnt[2212][6]~57859\ $ (!\led_flash_cnt[2212][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2212][7]~q\,
	cin => \led_flash_cnt[2212][6]~57859\,
	combout => \led_flash_cnt[2212][7]~57860_combout\);

-- Location: FF_X62_Y20_N13
\led_flash_cnt[2212][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2212][7]~57860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2212][7]~q\);

-- Location: LCCOMB_X61_Y20_N28
\WideAnd2212~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2212~1_combout\ = (\led_flash_cnt[2212][6]~q\ & \led_flash_cnt[2212][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2212][6]~q\,
	datac => \led_flash_cnt[2212][5]~q\,
	combout => \WideAnd2212~1_combout\);

-- Location: LCCOMB_X61_Y20_N0
WideAnd2212 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2212~combout\ = (\led_flash_cnt[2212][0]~q\ & (\WideAnd2212~0_combout\ & (\led_flash_cnt[2212][7]~q\ & \WideAnd2212~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2212][0]~q\,
	datab => \WideAnd2212~0_combout\,
	datac => \led_flash_cnt[2212][7]~q\,
	datad => \WideAnd2212~1_combout\,
	combout => \WideAnd2212~combout\);

-- Location: FF_X61_Y20_N1
\led_flash_cnt_ands[2212]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2212~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2212));

-- Location: LCCOMB_X61_Y20_N24
\WideAnd4116~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4116~1_combout\ = (led_flash_cnt_ands(2213) & led_flash_cnt_ands(2212))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2213),
	datad => led_flash_cnt_ands(2212),
	combout => \WideAnd4116~1_combout\);

-- Location: LCCOMB_X60_Y36_N8
\led_flash_cnt[2215][0]~82855\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2215][0]~82855_combout\ = !\led_flash_cnt[2215][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2215][0]~q\,
	combout => \led_flash_cnt[2215][0]~82855_combout\);

-- Location: FF_X60_Y36_N9
\led_flash_cnt[2215][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2215][0]~82855_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2215][0]~q\);

-- Location: LCCOMB_X60_Y36_N12
\led_flash_cnt[2215][1]~57890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2215][1]~57890_combout\ = (\led_flash_cnt[2215][1]~q\ & (\led_flash_cnt[2215][0]~q\ $ (VCC))) # (!\led_flash_cnt[2215][1]~q\ & (\led_flash_cnt[2215][0]~q\ & VCC))
-- \led_flash_cnt[2215][1]~57891\ = CARRY((\led_flash_cnt[2215][1]~q\ & \led_flash_cnt[2215][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2215][1]~q\,
	datab => \led_flash_cnt[2215][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2215][1]~57890_combout\,
	cout => \led_flash_cnt[2215][1]~57891\);

-- Location: FF_X60_Y36_N13
\led_flash_cnt[2215][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2215][1]~57890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2215][1]~q\);

-- Location: LCCOMB_X60_Y36_N14
\led_flash_cnt[2215][2]~57892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2215][2]~57892_combout\ = (\led_flash_cnt[2215][2]~q\ & (!\led_flash_cnt[2215][1]~57891\)) # (!\led_flash_cnt[2215][2]~q\ & ((\led_flash_cnt[2215][1]~57891\) # (GND)))
-- \led_flash_cnt[2215][2]~57893\ = CARRY((!\led_flash_cnt[2215][1]~57891\) # (!\led_flash_cnt[2215][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2215][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2215][1]~57891\,
	combout => \led_flash_cnt[2215][2]~57892_combout\,
	cout => \led_flash_cnt[2215][2]~57893\);

-- Location: FF_X60_Y36_N15
\led_flash_cnt[2215][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2215][2]~57892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2215][2]~q\);

-- Location: LCCOMB_X60_Y36_N16
\led_flash_cnt[2215][3]~57894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2215][3]~57894_combout\ = (\led_flash_cnt[2215][3]~q\ & (\led_flash_cnt[2215][2]~57893\ $ (GND))) # (!\led_flash_cnt[2215][3]~q\ & (!\led_flash_cnt[2215][2]~57893\ & VCC))
-- \led_flash_cnt[2215][3]~57895\ = CARRY((\led_flash_cnt[2215][3]~q\ & !\led_flash_cnt[2215][2]~57893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2215][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2215][2]~57893\,
	combout => \led_flash_cnt[2215][3]~57894_combout\,
	cout => \led_flash_cnt[2215][3]~57895\);

-- Location: FF_X60_Y36_N17
\led_flash_cnt[2215][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2215][3]~57894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2215][3]~q\);

-- Location: LCCOMB_X60_Y36_N18
\led_flash_cnt[2215][4]~57896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2215][4]~57896_combout\ = (\led_flash_cnt[2215][4]~q\ & (!\led_flash_cnt[2215][3]~57895\)) # (!\led_flash_cnt[2215][4]~q\ & ((\led_flash_cnt[2215][3]~57895\) # (GND)))
-- \led_flash_cnt[2215][4]~57897\ = CARRY((!\led_flash_cnt[2215][3]~57895\) # (!\led_flash_cnt[2215][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2215][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2215][3]~57895\,
	combout => \led_flash_cnt[2215][4]~57896_combout\,
	cout => \led_flash_cnt[2215][4]~57897\);

-- Location: FF_X60_Y36_N19
\led_flash_cnt[2215][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2215][4]~57896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2215][4]~q\);

-- Location: LCCOMB_X60_Y36_N10
\WideAnd2215~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2215~0_combout\ = (\led_flash_cnt[2215][1]~q\ & (\led_flash_cnt[2215][4]~q\ & (\led_flash_cnt[2215][2]~q\ & \led_flash_cnt[2215][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2215][1]~q\,
	datab => \led_flash_cnt[2215][4]~q\,
	datac => \led_flash_cnt[2215][2]~q\,
	datad => \led_flash_cnt[2215][3]~q\,
	combout => \WideAnd2215~0_combout\);

-- Location: LCCOMB_X60_Y36_N20
\led_flash_cnt[2215][5]~57898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2215][5]~57898_combout\ = (\led_flash_cnt[2215][5]~q\ & (\led_flash_cnt[2215][4]~57897\ $ (GND))) # (!\led_flash_cnt[2215][5]~q\ & (!\led_flash_cnt[2215][4]~57897\ & VCC))
-- \led_flash_cnt[2215][5]~57899\ = CARRY((\led_flash_cnt[2215][5]~q\ & !\led_flash_cnt[2215][4]~57897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2215][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2215][4]~57897\,
	combout => \led_flash_cnt[2215][5]~57898_combout\,
	cout => \led_flash_cnt[2215][5]~57899\);

-- Location: FF_X60_Y36_N21
\led_flash_cnt[2215][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2215][5]~57898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2215][5]~q\);

-- Location: LCCOMB_X60_Y36_N22
\led_flash_cnt[2215][6]~57900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2215][6]~57900_combout\ = (\led_flash_cnt[2215][6]~q\ & (!\led_flash_cnt[2215][5]~57899\)) # (!\led_flash_cnt[2215][6]~q\ & ((\led_flash_cnt[2215][5]~57899\) # (GND)))
-- \led_flash_cnt[2215][6]~57901\ = CARRY((!\led_flash_cnt[2215][5]~57899\) # (!\led_flash_cnt[2215][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2215][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2215][5]~57899\,
	combout => \led_flash_cnt[2215][6]~57900_combout\,
	cout => \led_flash_cnt[2215][6]~57901\);

-- Location: FF_X60_Y36_N23
\led_flash_cnt[2215][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2215][6]~57900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2215][6]~q\);

-- Location: LCCOMB_X60_Y36_N4
\WideAnd2215~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2215~1_combout\ = (\led_flash_cnt[2215][6]~q\ & \led_flash_cnt[2215][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2215][6]~q\,
	datad => \led_flash_cnt[2215][5]~q\,
	combout => \WideAnd2215~1_combout\);

-- Location: LCCOMB_X60_Y36_N24
\led_flash_cnt[2215][7]~57902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2215][7]~57902_combout\ = \led_flash_cnt[2215][6]~57901\ $ (!\led_flash_cnt[2215][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2215][7]~q\,
	cin => \led_flash_cnt[2215][6]~57901\,
	combout => \led_flash_cnt[2215][7]~57902_combout\);

-- Location: FF_X60_Y36_N25
\led_flash_cnt[2215][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2215][7]~57902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2215][7]~q\);

-- Location: LCCOMB_X60_Y36_N6
WideAnd2215 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2215~combout\ = (\WideAnd2215~0_combout\ & (\WideAnd2215~1_combout\ & (\led_flash_cnt[2215][0]~q\ & \led_flash_cnt[2215][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2215~0_combout\,
	datab => \WideAnd2215~1_combout\,
	datac => \led_flash_cnt[2215][0]~q\,
	datad => \led_flash_cnt[2215][7]~q\,
	combout => \WideAnd2215~combout\);

-- Location: FF_X60_Y36_N7
\led_flash_cnt_ands[2215]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2215~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2215));

-- Location: LCCOMB_X60_Y36_N26
WideAnd4116 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4116~combout\ = (\WideAnd4116~0_combout\ & (led_flash_cnt_ands(2214) & (\WideAnd4116~1_combout\ & led_flash_cnt_ands(2215))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4116~0_combout\,
	datab => led_flash_cnt_ands(2214),
	datac => \WideAnd4116~1_combout\,
	datad => led_flash_cnt_ands(2215),
	combout => \WideAnd4116~combout\);

-- Location: FF_X60_Y36_N27
\led_flash_cnt_ands_1[276]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4116~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(276));

-- Location: LCCOMB_X44_Y42_N12
\led_flash_cnt[2218][0]~82858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2218][0]~82858_combout\ = !\led_flash_cnt[2218][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2218][0]~q\,
	combout => \led_flash_cnt[2218][0]~82858_combout\);

-- Location: FF_X44_Y42_N13
\led_flash_cnt[2218][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2218][0]~82858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2218][0]~q\);

-- Location: LCCOMB_X44_Y42_N14
\led_flash_cnt[2218][1]~57932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2218][1]~57932_combout\ = (\led_flash_cnt[2218][0]~q\ & (\led_flash_cnt[2218][1]~q\ $ (VCC))) # (!\led_flash_cnt[2218][0]~q\ & (\led_flash_cnt[2218][1]~q\ & VCC))
-- \led_flash_cnt[2218][1]~57933\ = CARRY((\led_flash_cnt[2218][0]~q\ & \led_flash_cnt[2218][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2218][0]~q\,
	datab => \led_flash_cnt[2218][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2218][1]~57932_combout\,
	cout => \led_flash_cnt[2218][1]~57933\);

-- Location: FF_X44_Y42_N15
\led_flash_cnt[2218][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2218][1]~57932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2218][1]~q\);

-- Location: LCCOMB_X44_Y42_N16
\led_flash_cnt[2218][2]~57934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2218][2]~57934_combout\ = (\led_flash_cnt[2218][2]~q\ & (!\led_flash_cnt[2218][1]~57933\)) # (!\led_flash_cnt[2218][2]~q\ & ((\led_flash_cnt[2218][1]~57933\) # (GND)))
-- \led_flash_cnt[2218][2]~57935\ = CARRY((!\led_flash_cnt[2218][1]~57933\) # (!\led_flash_cnt[2218][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2218][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2218][1]~57933\,
	combout => \led_flash_cnt[2218][2]~57934_combout\,
	cout => \led_flash_cnt[2218][2]~57935\);

-- Location: FF_X44_Y42_N17
\led_flash_cnt[2218][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2218][2]~57934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2218][2]~q\);

-- Location: LCCOMB_X44_Y42_N18
\led_flash_cnt[2218][3]~57936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2218][3]~57936_combout\ = (\led_flash_cnt[2218][3]~q\ & (\led_flash_cnt[2218][2]~57935\ $ (GND))) # (!\led_flash_cnt[2218][3]~q\ & (!\led_flash_cnt[2218][2]~57935\ & VCC))
-- \led_flash_cnt[2218][3]~57937\ = CARRY((\led_flash_cnt[2218][3]~q\ & !\led_flash_cnt[2218][2]~57935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2218][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2218][2]~57935\,
	combout => \led_flash_cnt[2218][3]~57936_combout\,
	cout => \led_flash_cnt[2218][3]~57937\);

-- Location: FF_X44_Y42_N19
\led_flash_cnt[2218][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2218][3]~57936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2218][3]~q\);

-- Location: LCCOMB_X44_Y42_N20
\led_flash_cnt[2218][4]~57938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2218][4]~57938_combout\ = (\led_flash_cnt[2218][4]~q\ & (!\led_flash_cnt[2218][3]~57937\)) # (!\led_flash_cnt[2218][4]~q\ & ((\led_flash_cnt[2218][3]~57937\) # (GND)))
-- \led_flash_cnt[2218][4]~57939\ = CARRY((!\led_flash_cnt[2218][3]~57937\) # (!\led_flash_cnt[2218][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2218][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2218][3]~57937\,
	combout => \led_flash_cnt[2218][4]~57938_combout\,
	cout => \led_flash_cnt[2218][4]~57939\);

-- Location: FF_X44_Y42_N21
\led_flash_cnt[2218][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2218][4]~57938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2218][4]~q\);

-- Location: LCCOMB_X44_Y42_N22
\led_flash_cnt[2218][5]~57940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2218][5]~57940_combout\ = (\led_flash_cnt[2218][5]~q\ & (\led_flash_cnt[2218][4]~57939\ $ (GND))) # (!\led_flash_cnt[2218][5]~q\ & (!\led_flash_cnt[2218][4]~57939\ & VCC))
-- \led_flash_cnt[2218][5]~57941\ = CARRY((\led_flash_cnt[2218][5]~q\ & !\led_flash_cnt[2218][4]~57939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2218][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2218][4]~57939\,
	combout => \led_flash_cnt[2218][5]~57940_combout\,
	cout => \led_flash_cnt[2218][5]~57941\);

-- Location: FF_X44_Y42_N23
\led_flash_cnt[2218][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2218][5]~57940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2218][5]~q\);

-- Location: LCCOMB_X44_Y42_N24
\led_flash_cnt[2218][6]~57942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2218][6]~57942_combout\ = (\led_flash_cnt[2218][6]~q\ & (!\led_flash_cnt[2218][5]~57941\)) # (!\led_flash_cnt[2218][6]~q\ & ((\led_flash_cnt[2218][5]~57941\) # (GND)))
-- \led_flash_cnt[2218][6]~57943\ = CARRY((!\led_flash_cnt[2218][5]~57941\) # (!\led_flash_cnt[2218][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2218][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2218][5]~57941\,
	combout => \led_flash_cnt[2218][6]~57942_combout\,
	cout => \led_flash_cnt[2218][6]~57943\);

-- Location: FF_X44_Y42_N25
\led_flash_cnt[2218][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2218][6]~57942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2218][6]~q\);

-- Location: LCCOMB_X44_Y42_N6
\WideAnd2218~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2218~1_combout\ = (\led_flash_cnt[2218][5]~q\ & \led_flash_cnt[2218][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2218][5]~q\,
	datad => \led_flash_cnt[2218][6]~q\,
	combout => \WideAnd2218~1_combout\);

-- Location: LCCOMB_X44_Y42_N4
\WideAnd2218~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2218~0_combout\ = (\led_flash_cnt[2218][4]~q\ & (\led_flash_cnt[2218][2]~q\ & (\led_flash_cnt[2218][1]~q\ & \led_flash_cnt[2218][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2218][4]~q\,
	datab => \led_flash_cnt[2218][2]~q\,
	datac => \led_flash_cnt[2218][1]~q\,
	datad => \led_flash_cnt[2218][3]~q\,
	combout => \WideAnd2218~0_combout\);

-- Location: LCCOMB_X44_Y42_N26
\led_flash_cnt[2218][7]~57944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2218][7]~57944_combout\ = \led_flash_cnt[2218][7]~q\ $ (!\led_flash_cnt[2218][6]~57943\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2218][7]~q\,
	cin => \led_flash_cnt[2218][6]~57943\,
	combout => \led_flash_cnt[2218][7]~57944_combout\);

-- Location: FF_X44_Y42_N27
\led_flash_cnt[2218][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2218][7]~57944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2218][7]~q\);

-- Location: LCCOMB_X44_Y42_N10
WideAnd2218 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2218~combout\ = (\WideAnd2218~1_combout\ & (\WideAnd2218~0_combout\ & (\led_flash_cnt[2218][7]~q\ & \led_flash_cnt[2218][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2218~1_combout\,
	datab => \WideAnd2218~0_combout\,
	datac => \led_flash_cnt[2218][7]~q\,
	datad => \led_flash_cnt[2218][0]~q\,
	combout => \WideAnd2218~combout\);

-- Location: FF_X44_Y42_N11
\led_flash_cnt_ands[2218]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2218~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2218));

-- Location: LCCOMB_X39_Y38_N30
\led_flash_cnt[2219][0]~82859\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2219][0]~82859_combout\ = !\led_flash_cnt[2219][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2219][0]~q\,
	combout => \led_flash_cnt[2219][0]~82859_combout\);

-- Location: FF_X39_Y38_N31
\led_flash_cnt[2219][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2219][0]~82859_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2219][0]~q\);

-- Location: LCCOMB_X38_Y37_N2
\led_flash_cnt[2219][1]~57946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2219][1]~57946_combout\ = (\led_flash_cnt[2219][1]~q\ & (\led_flash_cnt[2219][0]~q\ $ (VCC))) # (!\led_flash_cnt[2219][1]~q\ & (\led_flash_cnt[2219][0]~q\ & VCC))
-- \led_flash_cnt[2219][1]~57947\ = CARRY((\led_flash_cnt[2219][1]~q\ & \led_flash_cnt[2219][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2219][1]~q\,
	datab => \led_flash_cnt[2219][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2219][1]~57946_combout\,
	cout => \led_flash_cnt[2219][1]~57947\);

-- Location: FF_X38_Y37_N3
\led_flash_cnt[2219][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2219][1]~57946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2219][1]~q\);

-- Location: LCCOMB_X38_Y37_N4
\led_flash_cnt[2219][2]~57948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2219][2]~57948_combout\ = (\led_flash_cnt[2219][2]~q\ & (!\led_flash_cnt[2219][1]~57947\)) # (!\led_flash_cnt[2219][2]~q\ & ((\led_flash_cnt[2219][1]~57947\) # (GND)))
-- \led_flash_cnt[2219][2]~57949\ = CARRY((!\led_flash_cnt[2219][1]~57947\) # (!\led_flash_cnt[2219][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2219][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2219][1]~57947\,
	combout => \led_flash_cnt[2219][2]~57948_combout\,
	cout => \led_flash_cnt[2219][2]~57949\);

-- Location: FF_X38_Y37_N5
\led_flash_cnt[2219][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2219][2]~57948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2219][2]~q\);

-- Location: LCCOMB_X38_Y37_N6
\led_flash_cnt[2219][3]~57950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2219][3]~57950_combout\ = (\led_flash_cnt[2219][3]~q\ & (\led_flash_cnt[2219][2]~57949\ $ (GND))) # (!\led_flash_cnt[2219][3]~q\ & (!\led_flash_cnt[2219][2]~57949\ & VCC))
-- \led_flash_cnt[2219][3]~57951\ = CARRY((\led_flash_cnt[2219][3]~q\ & !\led_flash_cnt[2219][2]~57949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2219][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2219][2]~57949\,
	combout => \led_flash_cnt[2219][3]~57950_combout\,
	cout => \led_flash_cnt[2219][3]~57951\);

-- Location: FF_X38_Y37_N7
\led_flash_cnt[2219][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2219][3]~57950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2219][3]~q\);

-- Location: LCCOMB_X38_Y37_N8
\led_flash_cnt[2219][4]~57952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2219][4]~57952_combout\ = (\led_flash_cnt[2219][4]~q\ & (!\led_flash_cnt[2219][3]~57951\)) # (!\led_flash_cnt[2219][4]~q\ & ((\led_flash_cnt[2219][3]~57951\) # (GND)))
-- \led_flash_cnt[2219][4]~57953\ = CARRY((!\led_flash_cnt[2219][3]~57951\) # (!\led_flash_cnt[2219][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2219][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2219][3]~57951\,
	combout => \led_flash_cnt[2219][4]~57952_combout\,
	cout => \led_flash_cnt[2219][4]~57953\);

-- Location: FF_X38_Y37_N9
\led_flash_cnt[2219][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2219][4]~57952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2219][4]~q\);

-- Location: LCCOMB_X38_Y37_N10
\led_flash_cnt[2219][5]~57954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2219][5]~57954_combout\ = (\led_flash_cnt[2219][5]~q\ & (\led_flash_cnt[2219][4]~57953\ $ (GND))) # (!\led_flash_cnt[2219][5]~q\ & (!\led_flash_cnt[2219][4]~57953\ & VCC))
-- \led_flash_cnt[2219][5]~57955\ = CARRY((\led_flash_cnt[2219][5]~q\ & !\led_flash_cnt[2219][4]~57953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2219][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2219][4]~57953\,
	combout => \led_flash_cnt[2219][5]~57954_combout\,
	cout => \led_flash_cnt[2219][5]~57955\);

-- Location: FF_X38_Y37_N11
\led_flash_cnt[2219][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2219][5]~57954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2219][5]~q\);

-- Location: LCCOMB_X38_Y37_N12
\led_flash_cnt[2219][6]~57956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2219][6]~57956_combout\ = (\led_flash_cnt[2219][6]~q\ & (!\led_flash_cnt[2219][5]~57955\)) # (!\led_flash_cnt[2219][6]~q\ & ((\led_flash_cnt[2219][5]~57955\) # (GND)))
-- \led_flash_cnt[2219][6]~57957\ = CARRY((!\led_flash_cnt[2219][5]~57955\) # (!\led_flash_cnt[2219][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2219][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2219][5]~57955\,
	combout => \led_flash_cnt[2219][6]~57956_combout\,
	cout => \led_flash_cnt[2219][6]~57957\);

-- Location: FF_X38_Y37_N13
\led_flash_cnt[2219][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2219][6]~57956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2219][6]~q\);

-- Location: LCCOMB_X38_Y37_N14
\led_flash_cnt[2219][7]~57958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2219][7]~57958_combout\ = \led_flash_cnt[2219][7]~q\ $ (!\led_flash_cnt[2219][6]~57957\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2219][7]~q\,
	cin => \led_flash_cnt[2219][6]~57957\,
	combout => \led_flash_cnt[2219][7]~57958_combout\);

-- Location: FF_X38_Y37_N15
\led_flash_cnt[2219][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2219][7]~57958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2219][7]~q\);

-- Location: LCCOMB_X38_Y37_N0
\WideAnd2219~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2219~0_combout\ = (\led_flash_cnt[2219][1]~q\ & (\led_flash_cnt[2219][4]~q\ & (\led_flash_cnt[2219][2]~q\ & \led_flash_cnt[2219][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2219][1]~q\,
	datab => \led_flash_cnt[2219][4]~q\,
	datac => \led_flash_cnt[2219][2]~q\,
	datad => \led_flash_cnt[2219][3]~q\,
	combout => \WideAnd2219~0_combout\);

-- Location: LCCOMB_X38_Y38_N20
\WideAnd2219~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2219~1_combout\ = (\led_flash_cnt[2219][6]~q\ & \led_flash_cnt[2219][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2219][6]~q\,
	datad => \led_flash_cnt[2219][5]~q\,
	combout => \WideAnd2219~1_combout\);

-- Location: LCCOMB_X39_Y38_N8
WideAnd2219 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2219~combout\ = (\led_flash_cnt[2219][7]~q\ & (\WideAnd2219~0_combout\ & (\led_flash_cnt[2219][0]~q\ & \WideAnd2219~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2219][7]~q\,
	datab => \WideAnd2219~0_combout\,
	datac => \led_flash_cnt[2219][0]~q\,
	datad => \WideAnd2219~1_combout\,
	combout => \WideAnd2219~combout\);

-- Location: FF_X39_Y38_N9
\led_flash_cnt_ands[2219]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2219~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2219));

-- Location: LCCOMB_X39_Y38_N10
\led_flash_cnt[2216][0]~82856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2216][0]~82856_combout\ = !\led_flash_cnt[2216][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2216][0]~q\,
	combout => \led_flash_cnt[2216][0]~82856_combout\);

-- Location: FF_X39_Y38_N11
\led_flash_cnt[2216][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2216][0]~82856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2216][0]~q\);

-- Location: LCCOMB_X39_Y38_N14
\led_flash_cnt[2216][1]~57904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2216][1]~57904_combout\ = (\led_flash_cnt[2216][0]~q\ & (\led_flash_cnt[2216][1]~q\ $ (VCC))) # (!\led_flash_cnt[2216][0]~q\ & (\led_flash_cnt[2216][1]~q\ & VCC))
-- \led_flash_cnt[2216][1]~57905\ = CARRY((\led_flash_cnt[2216][0]~q\ & \led_flash_cnt[2216][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2216][0]~q\,
	datab => \led_flash_cnt[2216][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2216][1]~57904_combout\,
	cout => \led_flash_cnt[2216][1]~57905\);

-- Location: FF_X39_Y38_N15
\led_flash_cnt[2216][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2216][1]~57904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2216][1]~q\);

-- Location: LCCOMB_X39_Y38_N12
\WideAnd2216~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2216~1_combout\ = (\led_flash_cnt[2216][1]~q\ & \led_flash_cnt[2216][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2216][1]~q\,
	datad => \led_flash_cnt[2216][0]~q\,
	combout => \WideAnd2216~1_combout\);

-- Location: LCCOMB_X39_Y38_N16
\led_flash_cnt[2216][2]~57906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2216][2]~57906_combout\ = (\led_flash_cnt[2216][2]~q\ & (!\led_flash_cnt[2216][1]~57905\)) # (!\led_flash_cnt[2216][2]~q\ & ((\led_flash_cnt[2216][1]~57905\) # (GND)))
-- \led_flash_cnt[2216][2]~57907\ = CARRY((!\led_flash_cnt[2216][1]~57905\) # (!\led_flash_cnt[2216][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2216][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2216][1]~57905\,
	combout => \led_flash_cnt[2216][2]~57906_combout\,
	cout => \led_flash_cnt[2216][2]~57907\);

-- Location: FF_X39_Y38_N17
\led_flash_cnt[2216][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2216][2]~57906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2216][2]~q\);

-- Location: LCCOMB_X39_Y38_N18
\led_flash_cnt[2216][3]~57908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2216][3]~57908_combout\ = (\led_flash_cnt[2216][3]~q\ & (\led_flash_cnt[2216][2]~57907\ $ (GND))) # (!\led_flash_cnt[2216][3]~q\ & (!\led_flash_cnt[2216][2]~57907\ & VCC))
-- \led_flash_cnt[2216][3]~57909\ = CARRY((\led_flash_cnt[2216][3]~q\ & !\led_flash_cnt[2216][2]~57907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2216][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2216][2]~57907\,
	combout => \led_flash_cnt[2216][3]~57908_combout\,
	cout => \led_flash_cnt[2216][3]~57909\);

-- Location: FF_X39_Y38_N19
\led_flash_cnt[2216][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2216][3]~57908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2216][3]~q\);

-- Location: LCCOMB_X39_Y38_N20
\led_flash_cnt[2216][4]~57910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2216][4]~57910_combout\ = (\led_flash_cnt[2216][4]~q\ & (!\led_flash_cnt[2216][3]~57909\)) # (!\led_flash_cnt[2216][4]~q\ & ((\led_flash_cnt[2216][3]~57909\) # (GND)))
-- \led_flash_cnt[2216][4]~57911\ = CARRY((!\led_flash_cnt[2216][3]~57909\) # (!\led_flash_cnt[2216][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2216][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2216][3]~57909\,
	combout => \led_flash_cnt[2216][4]~57910_combout\,
	cout => \led_flash_cnt[2216][4]~57911\);

-- Location: FF_X39_Y38_N21
\led_flash_cnt[2216][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2216][4]~57910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2216][4]~q\);

-- Location: LCCOMB_X39_Y38_N22
\led_flash_cnt[2216][5]~57912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2216][5]~57912_combout\ = (\led_flash_cnt[2216][5]~q\ & (\led_flash_cnt[2216][4]~57911\ $ (GND))) # (!\led_flash_cnt[2216][5]~q\ & (!\led_flash_cnt[2216][4]~57911\ & VCC))
-- \led_flash_cnt[2216][5]~57913\ = CARRY((\led_flash_cnt[2216][5]~q\ & !\led_flash_cnt[2216][4]~57911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2216][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2216][4]~57911\,
	combout => \led_flash_cnt[2216][5]~57912_combout\,
	cout => \led_flash_cnt[2216][5]~57913\);

-- Location: FF_X39_Y38_N23
\led_flash_cnt[2216][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2216][5]~57912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2216][5]~q\);

-- Location: LCCOMB_X39_Y38_N24
\led_flash_cnt[2216][6]~57914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2216][6]~57914_combout\ = (\led_flash_cnt[2216][6]~q\ & (!\led_flash_cnt[2216][5]~57913\)) # (!\led_flash_cnt[2216][6]~q\ & ((\led_flash_cnt[2216][5]~57913\) # (GND)))
-- \led_flash_cnt[2216][6]~57915\ = CARRY((!\led_flash_cnt[2216][5]~57913\) # (!\led_flash_cnt[2216][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2216][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2216][5]~57913\,
	combout => \led_flash_cnt[2216][6]~57914_combout\,
	cout => \led_flash_cnt[2216][6]~57915\);

-- Location: FF_X39_Y38_N25
\led_flash_cnt[2216][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2216][6]~57914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2216][6]~q\);

-- Location: LCCOMB_X39_Y38_N28
\WideAnd2216~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2216~0_combout\ = (\led_flash_cnt[2216][2]~q\ & (\led_flash_cnt[2216][4]~q\ & (\led_flash_cnt[2216][5]~q\ & \led_flash_cnt[2216][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2216][2]~q\,
	datab => \led_flash_cnt[2216][4]~q\,
	datac => \led_flash_cnt[2216][5]~q\,
	datad => \led_flash_cnt[2216][6]~q\,
	combout => \WideAnd2216~0_combout\);

-- Location: LCCOMB_X39_Y38_N26
\led_flash_cnt[2216][7]~57916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2216][7]~57916_combout\ = \led_flash_cnt[2216][7]~q\ $ (!\led_flash_cnt[2216][6]~57915\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2216][7]~q\,
	cin => \led_flash_cnt[2216][6]~57915\,
	combout => \led_flash_cnt[2216][7]~57916_combout\);

-- Location: FF_X39_Y38_N27
\led_flash_cnt[2216][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2216][7]~57916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2216][7]~q\);

-- Location: LCCOMB_X39_Y38_N4
WideAnd2216 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2216~combout\ = (\WideAnd2216~1_combout\ & (\WideAnd2216~0_combout\ & (\led_flash_cnt[2216][7]~q\ & \led_flash_cnt[2216][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2216~1_combout\,
	datab => \WideAnd2216~0_combout\,
	datac => \led_flash_cnt[2216][7]~q\,
	datad => \led_flash_cnt[2216][3]~q\,
	combout => \WideAnd2216~combout\);

-- Location: FF_X39_Y38_N5
\led_flash_cnt_ands[2216]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2216~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2216));

-- Location: LCCOMB_X44_Y42_N0
\led_flash_cnt[2217][0]~82857\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2217][0]~82857_combout\ = !\led_flash_cnt[2217][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2217][0]~q\,
	combout => \led_flash_cnt[2217][0]~82857_combout\);

-- Location: FF_X44_Y42_N1
\led_flash_cnt[2217][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2217][0]~82857_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2217][0]~q\);

-- Location: LCCOMB_X44_Y43_N18
\led_flash_cnt[2217][1]~57918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2217][1]~57918_combout\ = (\led_flash_cnt[2217][0]~q\ & (\led_flash_cnt[2217][1]~q\ $ (VCC))) # (!\led_flash_cnt[2217][0]~q\ & (\led_flash_cnt[2217][1]~q\ & VCC))
-- \led_flash_cnt[2217][1]~57919\ = CARRY((\led_flash_cnt[2217][0]~q\ & \led_flash_cnt[2217][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2217][0]~q\,
	datab => \led_flash_cnt[2217][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2217][1]~57918_combout\,
	cout => \led_flash_cnt[2217][1]~57919\);

-- Location: FF_X44_Y43_N19
\led_flash_cnt[2217][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2217][1]~57918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2217][1]~q\);

-- Location: LCCOMB_X44_Y43_N20
\led_flash_cnt[2217][2]~57920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2217][2]~57920_combout\ = (\led_flash_cnt[2217][2]~q\ & (!\led_flash_cnt[2217][1]~57919\)) # (!\led_flash_cnt[2217][2]~q\ & ((\led_flash_cnt[2217][1]~57919\) # (GND)))
-- \led_flash_cnt[2217][2]~57921\ = CARRY((!\led_flash_cnt[2217][1]~57919\) # (!\led_flash_cnt[2217][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2217][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2217][1]~57919\,
	combout => \led_flash_cnt[2217][2]~57920_combout\,
	cout => \led_flash_cnt[2217][2]~57921\);

-- Location: FF_X44_Y43_N21
\led_flash_cnt[2217][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2217][2]~57920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2217][2]~q\);

-- Location: LCCOMB_X44_Y43_N22
\led_flash_cnt[2217][3]~57922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2217][3]~57922_combout\ = (\led_flash_cnt[2217][3]~q\ & (\led_flash_cnt[2217][2]~57921\ $ (GND))) # (!\led_flash_cnt[2217][3]~q\ & (!\led_flash_cnt[2217][2]~57921\ & VCC))
-- \led_flash_cnt[2217][3]~57923\ = CARRY((\led_flash_cnt[2217][3]~q\ & !\led_flash_cnt[2217][2]~57921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2217][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2217][2]~57921\,
	combout => \led_flash_cnt[2217][3]~57922_combout\,
	cout => \led_flash_cnt[2217][3]~57923\);

-- Location: FF_X44_Y43_N23
\led_flash_cnt[2217][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2217][3]~57922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2217][3]~q\);

-- Location: LCCOMB_X44_Y43_N24
\led_flash_cnt[2217][4]~57924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2217][4]~57924_combout\ = (\led_flash_cnt[2217][4]~q\ & (!\led_flash_cnt[2217][3]~57923\)) # (!\led_flash_cnt[2217][4]~q\ & ((\led_flash_cnt[2217][3]~57923\) # (GND)))
-- \led_flash_cnt[2217][4]~57925\ = CARRY((!\led_flash_cnt[2217][3]~57923\) # (!\led_flash_cnt[2217][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2217][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2217][3]~57923\,
	combout => \led_flash_cnt[2217][4]~57924_combout\,
	cout => \led_flash_cnt[2217][4]~57925\);

-- Location: FF_X44_Y43_N25
\led_flash_cnt[2217][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2217][4]~57924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2217][4]~q\);

-- Location: LCCOMB_X44_Y43_N0
\WideAnd2217~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2217~0_combout\ = (\led_flash_cnt[2217][4]~q\ & (\led_flash_cnt[2217][2]~q\ & (\led_flash_cnt[2217][3]~q\ & \led_flash_cnt[2217][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2217][4]~q\,
	datab => \led_flash_cnt[2217][2]~q\,
	datac => \led_flash_cnt[2217][3]~q\,
	datad => \led_flash_cnt[2217][1]~q\,
	combout => \WideAnd2217~0_combout\);

-- Location: LCCOMB_X44_Y43_N26
\led_flash_cnt[2217][5]~57926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2217][5]~57926_combout\ = (\led_flash_cnt[2217][5]~q\ & (\led_flash_cnt[2217][4]~57925\ $ (GND))) # (!\led_flash_cnt[2217][5]~q\ & (!\led_flash_cnt[2217][4]~57925\ & VCC))
-- \led_flash_cnt[2217][5]~57927\ = CARRY((\led_flash_cnt[2217][5]~q\ & !\led_flash_cnt[2217][4]~57925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2217][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2217][4]~57925\,
	combout => \led_flash_cnt[2217][5]~57926_combout\,
	cout => \led_flash_cnt[2217][5]~57927\);

-- Location: FF_X44_Y43_N27
\led_flash_cnt[2217][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2217][5]~57926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2217][5]~q\);

-- Location: LCCOMB_X44_Y43_N28
\led_flash_cnt[2217][6]~57928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2217][6]~57928_combout\ = (\led_flash_cnt[2217][6]~q\ & (!\led_flash_cnt[2217][5]~57927\)) # (!\led_flash_cnt[2217][6]~q\ & ((\led_flash_cnt[2217][5]~57927\) # (GND)))
-- \led_flash_cnt[2217][6]~57929\ = CARRY((!\led_flash_cnt[2217][5]~57927\) # (!\led_flash_cnt[2217][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2217][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2217][5]~57927\,
	combout => \led_flash_cnt[2217][6]~57928_combout\,
	cout => \led_flash_cnt[2217][6]~57929\);

-- Location: FF_X44_Y43_N29
\led_flash_cnt[2217][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2217][6]~57928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2217][6]~q\);

-- Location: LCCOMB_X44_Y42_N28
\WideAnd2217~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2217~1_combout\ = (\led_flash_cnt[2217][6]~q\ & \led_flash_cnt[2217][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2217][6]~q\,
	datad => \led_flash_cnt[2217][5]~q\,
	combout => \WideAnd2217~1_combout\);

-- Location: LCCOMB_X44_Y43_N30
\led_flash_cnt[2217][7]~57930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2217][7]~57930_combout\ = \led_flash_cnt[2217][7]~q\ $ (!\led_flash_cnt[2217][6]~57929\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2217][7]~q\,
	cin => \led_flash_cnt[2217][6]~57929\,
	combout => \led_flash_cnt[2217][7]~57930_combout\);

-- Location: FF_X44_Y43_N31
\led_flash_cnt[2217][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2217][7]~57930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2217][7]~q\);

-- Location: LCCOMB_X44_Y42_N2
WideAnd2217 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2217~combout\ = (\WideAnd2217~0_combout\ & (\WideAnd2217~1_combout\ & (\led_flash_cnt[2217][7]~q\ & \led_flash_cnt[2217][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2217~0_combout\,
	datab => \WideAnd2217~1_combout\,
	datac => \led_flash_cnt[2217][7]~q\,
	datad => \led_flash_cnt[2217][0]~q\,
	combout => \WideAnd2217~combout\);

-- Location: FF_X44_Y42_N3
\led_flash_cnt_ands[2217]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2217~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2217));

-- Location: LCCOMB_X44_Y42_N8
\WideAnd4117~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4117~0_combout\ = (led_flash_cnt_ands(2218) & (led_flash_cnt_ands(2219) & (led_flash_cnt_ands(2216) & led_flash_cnt_ands(2217))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2218),
	datab => led_flash_cnt_ands(2219),
	datac => led_flash_cnt_ands(2216),
	datad => led_flash_cnt_ands(2217),
	combout => \WideAnd4117~0_combout\);

-- Location: LCCOMB_X56_Y41_N12
\led_flash_cnt[2222][0]~82862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2222][0]~82862_combout\ = !\led_flash_cnt[2222][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2222][0]~q\,
	combout => \led_flash_cnt[2222][0]~82862_combout\);

-- Location: FF_X56_Y41_N13
\led_flash_cnt[2222][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2222][0]~82862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2222][0]~q\);

-- Location: LCCOMB_X56_Y41_N14
\led_flash_cnt[2222][1]~57988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2222][1]~57988_combout\ = (\led_flash_cnt[2222][0]~q\ & (\led_flash_cnt[2222][1]~q\ $ (VCC))) # (!\led_flash_cnt[2222][0]~q\ & (\led_flash_cnt[2222][1]~q\ & VCC))
-- \led_flash_cnt[2222][1]~57989\ = CARRY((\led_flash_cnt[2222][0]~q\ & \led_flash_cnt[2222][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2222][0]~q\,
	datab => \led_flash_cnt[2222][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2222][1]~57988_combout\,
	cout => \led_flash_cnt[2222][1]~57989\);

-- Location: FF_X56_Y41_N15
\led_flash_cnt[2222][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2222][1]~57988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2222][1]~q\);

-- Location: LCCOMB_X56_Y41_N16
\led_flash_cnt[2222][2]~57990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2222][2]~57990_combout\ = (\led_flash_cnt[2222][2]~q\ & (!\led_flash_cnt[2222][1]~57989\)) # (!\led_flash_cnt[2222][2]~q\ & ((\led_flash_cnt[2222][1]~57989\) # (GND)))
-- \led_flash_cnt[2222][2]~57991\ = CARRY((!\led_flash_cnt[2222][1]~57989\) # (!\led_flash_cnt[2222][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2222][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2222][1]~57989\,
	combout => \led_flash_cnt[2222][2]~57990_combout\,
	cout => \led_flash_cnt[2222][2]~57991\);

-- Location: FF_X56_Y41_N17
\led_flash_cnt[2222][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2222][2]~57990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2222][2]~q\);

-- Location: LCCOMB_X56_Y41_N18
\led_flash_cnt[2222][3]~57992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2222][3]~57992_combout\ = (\led_flash_cnt[2222][3]~q\ & (\led_flash_cnt[2222][2]~57991\ $ (GND))) # (!\led_flash_cnt[2222][3]~q\ & (!\led_flash_cnt[2222][2]~57991\ & VCC))
-- \led_flash_cnt[2222][3]~57993\ = CARRY((\led_flash_cnt[2222][3]~q\ & !\led_flash_cnt[2222][2]~57991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2222][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2222][2]~57991\,
	combout => \led_flash_cnt[2222][3]~57992_combout\,
	cout => \led_flash_cnt[2222][3]~57993\);

-- Location: FF_X56_Y41_N19
\led_flash_cnt[2222][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2222][3]~57992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2222][3]~q\);

-- Location: LCCOMB_X56_Y41_N20
\led_flash_cnt[2222][4]~57994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2222][4]~57994_combout\ = (\led_flash_cnt[2222][4]~q\ & (!\led_flash_cnt[2222][3]~57993\)) # (!\led_flash_cnt[2222][4]~q\ & ((\led_flash_cnt[2222][3]~57993\) # (GND)))
-- \led_flash_cnt[2222][4]~57995\ = CARRY((!\led_flash_cnt[2222][3]~57993\) # (!\led_flash_cnt[2222][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2222][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2222][3]~57993\,
	combout => \led_flash_cnt[2222][4]~57994_combout\,
	cout => \led_flash_cnt[2222][4]~57995\);

-- Location: FF_X56_Y41_N21
\led_flash_cnt[2222][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2222][4]~57994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2222][4]~q\);

-- Location: LCCOMB_X56_Y41_N22
\led_flash_cnt[2222][5]~57996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2222][5]~57996_combout\ = (\led_flash_cnt[2222][5]~q\ & (\led_flash_cnt[2222][4]~57995\ $ (GND))) # (!\led_flash_cnt[2222][5]~q\ & (!\led_flash_cnt[2222][4]~57995\ & VCC))
-- \led_flash_cnt[2222][5]~57997\ = CARRY((\led_flash_cnt[2222][5]~q\ & !\led_flash_cnt[2222][4]~57995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2222][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2222][4]~57995\,
	combout => \led_flash_cnt[2222][5]~57996_combout\,
	cout => \led_flash_cnt[2222][5]~57997\);

-- Location: FF_X56_Y41_N23
\led_flash_cnt[2222][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2222][5]~57996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2222][5]~q\);

-- Location: LCCOMB_X56_Y41_N24
\led_flash_cnt[2222][6]~57998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2222][6]~57998_combout\ = (\led_flash_cnt[2222][6]~q\ & (!\led_flash_cnt[2222][5]~57997\)) # (!\led_flash_cnt[2222][6]~q\ & ((\led_flash_cnt[2222][5]~57997\) # (GND)))
-- \led_flash_cnt[2222][6]~57999\ = CARRY((!\led_flash_cnt[2222][5]~57997\) # (!\led_flash_cnt[2222][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2222][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2222][5]~57997\,
	combout => \led_flash_cnt[2222][6]~57998_combout\,
	cout => \led_flash_cnt[2222][6]~57999\);

-- Location: FF_X56_Y41_N25
\led_flash_cnt[2222][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2222][6]~57998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2222][6]~q\);

-- Location: LCCOMB_X56_Y41_N10
\WideAnd2222~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2222~1_combout\ = (\led_flash_cnt[2222][5]~q\ & \led_flash_cnt[2222][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2222][5]~q\,
	datad => \led_flash_cnt[2222][6]~q\,
	combout => \WideAnd2222~1_combout\);

-- Location: LCCOMB_X56_Y41_N28
\WideAnd2222~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2222~0_combout\ = (\led_flash_cnt[2222][4]~q\ & (\led_flash_cnt[2222][3]~q\ & (\led_flash_cnt[2222][1]~q\ & \led_flash_cnt[2222][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2222][4]~q\,
	datab => \led_flash_cnt[2222][3]~q\,
	datac => \led_flash_cnt[2222][1]~q\,
	datad => \led_flash_cnt[2222][2]~q\,
	combout => \WideAnd2222~0_combout\);

-- Location: LCCOMB_X56_Y41_N26
\led_flash_cnt[2222][7]~58000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2222][7]~58000_combout\ = \led_flash_cnt[2222][7]~q\ $ (!\led_flash_cnt[2222][6]~57999\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2222][7]~q\,
	cin => \led_flash_cnt[2222][6]~57999\,
	combout => \led_flash_cnt[2222][7]~58000_combout\);

-- Location: FF_X56_Y41_N27
\led_flash_cnt[2222][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2222][7]~58000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2222][7]~q\);

-- Location: LCCOMB_X56_Y41_N0
WideAnd2222 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2222~combout\ = (\WideAnd2222~1_combout\ & (\WideAnd2222~0_combout\ & (\led_flash_cnt[2222][7]~q\ & \led_flash_cnt[2222][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2222~1_combout\,
	datab => \WideAnd2222~0_combout\,
	datac => \led_flash_cnt[2222][7]~q\,
	datad => \led_flash_cnt[2222][0]~q\,
	combout => \WideAnd2222~combout\);

-- Location: FF_X56_Y41_N1
\led_flash_cnt_ands[2222]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2222~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2222));

-- Location: LCCOMB_X45_Y42_N10
\led_flash_cnt[2223][0]~82863\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2223][0]~82863_combout\ = !\led_flash_cnt[2223][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2223][0]~q\,
	combout => \led_flash_cnt[2223][0]~82863_combout\);

-- Location: FF_X45_Y42_N11
\led_flash_cnt[2223][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2223][0]~82863_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2223][0]~q\);

-- Location: LCCOMB_X45_Y42_N16
\led_flash_cnt[2223][1]~58002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2223][1]~58002_combout\ = (\led_flash_cnt[2223][0]~q\ & (\led_flash_cnt[2223][1]~q\ $ (VCC))) # (!\led_flash_cnt[2223][0]~q\ & (\led_flash_cnt[2223][1]~q\ & VCC))
-- \led_flash_cnt[2223][1]~58003\ = CARRY((\led_flash_cnt[2223][0]~q\ & \led_flash_cnt[2223][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2223][0]~q\,
	datab => \led_flash_cnt[2223][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2223][1]~58002_combout\,
	cout => \led_flash_cnt[2223][1]~58003\);

-- Location: FF_X45_Y42_N17
\led_flash_cnt[2223][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2223][1]~58002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2223][1]~q\);

-- Location: LCCOMB_X45_Y42_N18
\led_flash_cnt[2223][2]~58004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2223][2]~58004_combout\ = (\led_flash_cnt[2223][2]~q\ & (!\led_flash_cnt[2223][1]~58003\)) # (!\led_flash_cnt[2223][2]~q\ & ((\led_flash_cnt[2223][1]~58003\) # (GND)))
-- \led_flash_cnt[2223][2]~58005\ = CARRY((!\led_flash_cnt[2223][1]~58003\) # (!\led_flash_cnt[2223][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2223][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2223][1]~58003\,
	combout => \led_flash_cnt[2223][2]~58004_combout\,
	cout => \led_flash_cnt[2223][2]~58005\);

-- Location: FF_X45_Y42_N19
\led_flash_cnt[2223][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2223][2]~58004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2223][2]~q\);

-- Location: LCCOMB_X45_Y42_N20
\led_flash_cnt[2223][3]~58006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2223][3]~58006_combout\ = (\led_flash_cnt[2223][3]~q\ & (\led_flash_cnt[2223][2]~58005\ $ (GND))) # (!\led_flash_cnt[2223][3]~q\ & (!\led_flash_cnt[2223][2]~58005\ & VCC))
-- \led_flash_cnt[2223][3]~58007\ = CARRY((\led_flash_cnt[2223][3]~q\ & !\led_flash_cnt[2223][2]~58005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2223][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2223][2]~58005\,
	combout => \led_flash_cnt[2223][3]~58006_combout\,
	cout => \led_flash_cnt[2223][3]~58007\);

-- Location: FF_X45_Y42_N21
\led_flash_cnt[2223][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2223][3]~58006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2223][3]~q\);

-- Location: LCCOMB_X45_Y42_N22
\led_flash_cnt[2223][4]~58008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2223][4]~58008_combout\ = (\led_flash_cnt[2223][4]~q\ & (!\led_flash_cnt[2223][3]~58007\)) # (!\led_flash_cnt[2223][4]~q\ & ((\led_flash_cnt[2223][3]~58007\) # (GND)))
-- \led_flash_cnt[2223][4]~58009\ = CARRY((!\led_flash_cnt[2223][3]~58007\) # (!\led_flash_cnt[2223][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2223][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2223][3]~58007\,
	combout => \led_flash_cnt[2223][4]~58008_combout\,
	cout => \led_flash_cnt[2223][4]~58009\);

-- Location: FF_X45_Y42_N23
\led_flash_cnt[2223][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2223][4]~58008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2223][4]~q\);

-- Location: LCCOMB_X45_Y42_N24
\led_flash_cnt[2223][5]~58010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2223][5]~58010_combout\ = (\led_flash_cnt[2223][5]~q\ & (\led_flash_cnt[2223][4]~58009\ $ (GND))) # (!\led_flash_cnt[2223][5]~q\ & (!\led_flash_cnt[2223][4]~58009\ & VCC))
-- \led_flash_cnt[2223][5]~58011\ = CARRY((\led_flash_cnt[2223][5]~q\ & !\led_flash_cnt[2223][4]~58009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2223][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2223][4]~58009\,
	combout => \led_flash_cnt[2223][5]~58010_combout\,
	cout => \led_flash_cnt[2223][5]~58011\);

-- Location: FF_X45_Y42_N25
\led_flash_cnt[2223][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2223][5]~58010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2223][5]~q\);

-- Location: LCCOMB_X45_Y42_N26
\led_flash_cnt[2223][6]~58012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2223][6]~58012_combout\ = (\led_flash_cnt[2223][6]~q\ & (!\led_flash_cnt[2223][5]~58011\)) # (!\led_flash_cnt[2223][6]~q\ & ((\led_flash_cnt[2223][5]~58011\) # (GND)))
-- \led_flash_cnt[2223][6]~58013\ = CARRY((!\led_flash_cnt[2223][5]~58011\) # (!\led_flash_cnt[2223][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2223][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2223][5]~58011\,
	combout => \led_flash_cnt[2223][6]~58012_combout\,
	cout => \led_flash_cnt[2223][6]~58013\);

-- Location: FF_X45_Y42_N27
\led_flash_cnt[2223][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2223][6]~58012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2223][6]~q\);

-- Location: LCCOMB_X45_Y42_N28
\led_flash_cnt[2223][7]~58014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2223][7]~58014_combout\ = \led_flash_cnt[2223][6]~58013\ $ (!\led_flash_cnt[2223][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2223][7]~q\,
	cin => \led_flash_cnt[2223][6]~58013\,
	combout => \led_flash_cnt[2223][7]~58014_combout\);

-- Location: FF_X45_Y42_N29
\led_flash_cnt[2223][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2223][7]~58014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2223][7]~q\);

-- Location: LCCOMB_X45_Y42_N30
\WideAnd2223~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2223~0_combout\ = (\led_flash_cnt[2223][6]~q\ & (\led_flash_cnt[2223][5]~q\ & (\led_flash_cnt[2223][4]~q\ & \led_flash_cnt[2223][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2223][6]~q\,
	datab => \led_flash_cnt[2223][5]~q\,
	datac => \led_flash_cnt[2223][4]~q\,
	datad => \led_flash_cnt[2223][7]~q\,
	combout => \WideAnd2223~0_combout\);

-- Location: LCCOMB_X45_Y42_N4
\WideAnd2223~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2223~1_combout\ = (\led_flash_cnt[2223][3]~q\ & \led_flash_cnt[2223][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2223][3]~q\,
	datad => \led_flash_cnt[2223][0]~q\,
	combout => \WideAnd2223~1_combout\);

-- Location: LCCOMB_X45_Y42_N8
WideAnd2223 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2223~combout\ = (\WideAnd2223~0_combout\ & (\led_flash_cnt[2223][2]~q\ & (\WideAnd2223~1_combout\ & \led_flash_cnt[2223][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2223~0_combout\,
	datab => \led_flash_cnt[2223][2]~q\,
	datac => \WideAnd2223~1_combout\,
	datad => \led_flash_cnt[2223][1]~q\,
	combout => \WideAnd2223~combout\);

-- Location: FF_X45_Y42_N9
\led_flash_cnt_ands[2223]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2223~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2223));

-- Location: LCCOMB_X45_Y34_N2
\led_flash_cnt[2221][0]~82861\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2221][0]~82861_combout\ = !\led_flash_cnt[2221][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2221][0]~q\,
	combout => \led_flash_cnt[2221][0]~82861_combout\);

-- Location: FF_X45_Y34_N3
\led_flash_cnt[2221][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2221][0]~82861_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2221][0]~q\);

-- Location: LCCOMB_X44_Y34_N0
\led_flash_cnt[2221][1]~57974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2221][1]~57974_combout\ = (\led_flash_cnt[2221][0]~q\ & (\led_flash_cnt[2221][1]~q\ $ (VCC))) # (!\led_flash_cnt[2221][0]~q\ & (\led_flash_cnt[2221][1]~q\ & VCC))
-- \led_flash_cnt[2221][1]~57975\ = CARRY((\led_flash_cnt[2221][0]~q\ & \led_flash_cnt[2221][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2221][0]~q\,
	datab => \led_flash_cnt[2221][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2221][1]~57974_combout\,
	cout => \led_flash_cnt[2221][1]~57975\);

-- Location: FF_X44_Y34_N1
\led_flash_cnt[2221][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2221][1]~57974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2221][1]~q\);

-- Location: LCCOMB_X44_Y34_N2
\led_flash_cnt[2221][2]~57976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2221][2]~57976_combout\ = (\led_flash_cnt[2221][2]~q\ & (!\led_flash_cnt[2221][1]~57975\)) # (!\led_flash_cnt[2221][2]~q\ & ((\led_flash_cnt[2221][1]~57975\) # (GND)))
-- \led_flash_cnt[2221][2]~57977\ = CARRY((!\led_flash_cnt[2221][1]~57975\) # (!\led_flash_cnt[2221][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2221][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2221][1]~57975\,
	combout => \led_flash_cnt[2221][2]~57976_combout\,
	cout => \led_flash_cnt[2221][2]~57977\);

-- Location: FF_X44_Y34_N3
\led_flash_cnt[2221][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2221][2]~57976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2221][2]~q\);

-- Location: LCCOMB_X44_Y34_N4
\led_flash_cnt[2221][3]~57978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2221][3]~57978_combout\ = (\led_flash_cnt[2221][3]~q\ & (\led_flash_cnt[2221][2]~57977\ $ (GND))) # (!\led_flash_cnt[2221][3]~q\ & (!\led_flash_cnt[2221][2]~57977\ & VCC))
-- \led_flash_cnt[2221][3]~57979\ = CARRY((\led_flash_cnt[2221][3]~q\ & !\led_flash_cnt[2221][2]~57977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2221][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2221][2]~57977\,
	combout => \led_flash_cnt[2221][3]~57978_combout\,
	cout => \led_flash_cnt[2221][3]~57979\);

-- Location: FF_X44_Y34_N5
\led_flash_cnt[2221][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2221][3]~57978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2221][3]~q\);

-- Location: LCCOMB_X44_Y34_N6
\led_flash_cnt[2221][4]~57980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2221][4]~57980_combout\ = (\led_flash_cnt[2221][4]~q\ & (!\led_flash_cnt[2221][3]~57979\)) # (!\led_flash_cnt[2221][4]~q\ & ((\led_flash_cnt[2221][3]~57979\) # (GND)))
-- \led_flash_cnt[2221][4]~57981\ = CARRY((!\led_flash_cnt[2221][3]~57979\) # (!\led_flash_cnt[2221][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2221][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2221][3]~57979\,
	combout => \led_flash_cnt[2221][4]~57980_combout\,
	cout => \led_flash_cnt[2221][4]~57981\);

-- Location: FF_X44_Y34_N7
\led_flash_cnt[2221][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2221][4]~57980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2221][4]~q\);

-- Location: LCCOMB_X44_Y34_N8
\led_flash_cnt[2221][5]~57982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2221][5]~57982_combout\ = (\led_flash_cnt[2221][5]~q\ & (\led_flash_cnt[2221][4]~57981\ $ (GND))) # (!\led_flash_cnt[2221][5]~q\ & (!\led_flash_cnt[2221][4]~57981\ & VCC))
-- \led_flash_cnt[2221][5]~57983\ = CARRY((\led_flash_cnt[2221][5]~q\ & !\led_flash_cnt[2221][4]~57981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2221][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2221][4]~57981\,
	combout => \led_flash_cnt[2221][5]~57982_combout\,
	cout => \led_flash_cnt[2221][5]~57983\);

-- Location: FF_X44_Y34_N9
\led_flash_cnt[2221][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2221][5]~57982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2221][5]~q\);

-- Location: LCCOMB_X44_Y34_N10
\led_flash_cnt[2221][6]~57984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2221][6]~57984_combout\ = (\led_flash_cnt[2221][6]~q\ & (!\led_flash_cnt[2221][5]~57983\)) # (!\led_flash_cnt[2221][6]~q\ & ((\led_flash_cnt[2221][5]~57983\) # (GND)))
-- \led_flash_cnt[2221][6]~57985\ = CARRY((!\led_flash_cnt[2221][5]~57983\) # (!\led_flash_cnt[2221][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2221][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2221][5]~57983\,
	combout => \led_flash_cnt[2221][6]~57984_combout\,
	cout => \led_flash_cnt[2221][6]~57985\);

-- Location: FF_X44_Y34_N11
\led_flash_cnt[2221][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2221][6]~57984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2221][6]~q\);

-- Location: LCCOMB_X44_Y34_N12
\led_flash_cnt[2221][7]~57986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2221][7]~57986_combout\ = \led_flash_cnt[2221][6]~57985\ $ (!\led_flash_cnt[2221][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2221][7]~q\,
	cin => \led_flash_cnt[2221][6]~57985\,
	combout => \led_flash_cnt[2221][7]~57986_combout\);

-- Location: FF_X44_Y34_N13
\led_flash_cnt[2221][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2221][7]~57986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2221][7]~q\);

-- Location: LCCOMB_X44_Y34_N30
\WideAnd2221~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2221~0_combout\ = (\led_flash_cnt[2221][4]~q\ & (\led_flash_cnt[2221][2]~q\ & (\led_flash_cnt[2221][3]~q\ & \led_flash_cnt[2221][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2221][4]~q\,
	datab => \led_flash_cnt[2221][2]~q\,
	datac => \led_flash_cnt[2221][3]~q\,
	datad => \led_flash_cnt[2221][1]~q\,
	combout => \WideAnd2221~0_combout\);

-- Location: LCCOMB_X45_Y34_N8
\WideAnd2221~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2221~1_combout\ = (\led_flash_cnt[2221][5]~q\ & \led_flash_cnt[2221][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2221][5]~q\,
	datad => \led_flash_cnt[2221][6]~q\,
	combout => \WideAnd2221~1_combout\);

-- Location: LCCOMB_X45_Y34_N30
WideAnd2221 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2221~combout\ = (\led_flash_cnt[2221][7]~q\ & (\WideAnd2221~0_combout\ & (\WideAnd2221~1_combout\ & \led_flash_cnt[2221][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2221][7]~q\,
	datab => \WideAnd2221~0_combout\,
	datac => \WideAnd2221~1_combout\,
	datad => \led_flash_cnt[2221][0]~q\,
	combout => \WideAnd2221~combout\);

-- Location: FF_X45_Y34_N31
\led_flash_cnt_ands[2221]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2221~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2221));

-- Location: LCCOMB_X45_Y34_N0
\led_flash_cnt[2220][0]~82860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2220][0]~82860_combout\ = !\led_flash_cnt[2220][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2220][0]~q\,
	combout => \led_flash_cnt[2220][0]~82860_combout\);

-- Location: FF_X45_Y34_N1
\led_flash_cnt[2220][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2220][0]~82860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2220][0]~q\);

-- Location: LCCOMB_X45_Y34_N10
\led_flash_cnt[2220][1]~57960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2220][1]~57960_combout\ = (\led_flash_cnt[2220][1]~q\ & (\led_flash_cnt[2220][0]~q\ $ (VCC))) # (!\led_flash_cnt[2220][1]~q\ & (\led_flash_cnt[2220][0]~q\ & VCC))
-- \led_flash_cnt[2220][1]~57961\ = CARRY((\led_flash_cnt[2220][1]~q\ & \led_flash_cnt[2220][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2220][1]~q\,
	datab => \led_flash_cnt[2220][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2220][1]~57960_combout\,
	cout => \led_flash_cnt[2220][1]~57961\);

-- Location: FF_X45_Y34_N11
\led_flash_cnt[2220][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2220][1]~57960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2220][1]~q\);

-- Location: LCCOMB_X45_Y34_N12
\led_flash_cnt[2220][2]~57962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2220][2]~57962_combout\ = (\led_flash_cnt[2220][2]~q\ & (!\led_flash_cnt[2220][1]~57961\)) # (!\led_flash_cnt[2220][2]~q\ & ((\led_flash_cnt[2220][1]~57961\) # (GND)))
-- \led_flash_cnt[2220][2]~57963\ = CARRY((!\led_flash_cnt[2220][1]~57961\) # (!\led_flash_cnt[2220][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2220][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2220][1]~57961\,
	combout => \led_flash_cnt[2220][2]~57962_combout\,
	cout => \led_flash_cnt[2220][2]~57963\);

-- Location: FF_X45_Y34_N13
\led_flash_cnt[2220][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2220][2]~57962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2220][2]~q\);

-- Location: LCCOMB_X45_Y34_N14
\led_flash_cnt[2220][3]~57964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2220][3]~57964_combout\ = (\led_flash_cnt[2220][3]~q\ & (\led_flash_cnt[2220][2]~57963\ $ (GND))) # (!\led_flash_cnt[2220][3]~q\ & (!\led_flash_cnt[2220][2]~57963\ & VCC))
-- \led_flash_cnt[2220][3]~57965\ = CARRY((\led_flash_cnt[2220][3]~q\ & !\led_flash_cnt[2220][2]~57963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2220][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2220][2]~57963\,
	combout => \led_flash_cnt[2220][3]~57964_combout\,
	cout => \led_flash_cnt[2220][3]~57965\);

-- Location: FF_X45_Y34_N15
\led_flash_cnt[2220][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2220][3]~57964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2220][3]~q\);

-- Location: LCCOMB_X45_Y34_N16
\led_flash_cnt[2220][4]~57966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2220][4]~57966_combout\ = (\led_flash_cnt[2220][4]~q\ & (!\led_flash_cnt[2220][3]~57965\)) # (!\led_flash_cnt[2220][4]~q\ & ((\led_flash_cnt[2220][3]~57965\) # (GND)))
-- \led_flash_cnt[2220][4]~57967\ = CARRY((!\led_flash_cnt[2220][3]~57965\) # (!\led_flash_cnt[2220][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2220][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2220][3]~57965\,
	combout => \led_flash_cnt[2220][4]~57966_combout\,
	cout => \led_flash_cnt[2220][4]~57967\);

-- Location: FF_X45_Y34_N17
\led_flash_cnt[2220][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2220][4]~57966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2220][4]~q\);

-- Location: LCCOMB_X45_Y34_N26
\WideAnd2220~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2220~0_combout\ = (\led_flash_cnt[2220][2]~q\ & (\led_flash_cnt[2220][4]~q\ & (\led_flash_cnt[2220][3]~q\ & \led_flash_cnt[2220][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2220][2]~q\,
	datab => \led_flash_cnt[2220][4]~q\,
	datac => \led_flash_cnt[2220][3]~q\,
	datad => \led_flash_cnt[2220][1]~q\,
	combout => \WideAnd2220~0_combout\);

-- Location: LCCOMB_X45_Y34_N18
\led_flash_cnt[2220][5]~57968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2220][5]~57968_combout\ = (\led_flash_cnt[2220][5]~q\ & (\led_flash_cnt[2220][4]~57967\ $ (GND))) # (!\led_flash_cnt[2220][5]~q\ & (!\led_flash_cnt[2220][4]~57967\ & VCC))
-- \led_flash_cnt[2220][5]~57969\ = CARRY((\led_flash_cnt[2220][5]~q\ & !\led_flash_cnt[2220][4]~57967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2220][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2220][4]~57967\,
	combout => \led_flash_cnt[2220][5]~57968_combout\,
	cout => \led_flash_cnt[2220][5]~57969\);

-- Location: FF_X45_Y34_N19
\led_flash_cnt[2220][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2220][5]~57968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2220][5]~q\);

-- Location: LCCOMB_X45_Y34_N20
\led_flash_cnt[2220][6]~57970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2220][6]~57970_combout\ = (\led_flash_cnt[2220][6]~q\ & (!\led_flash_cnt[2220][5]~57969\)) # (!\led_flash_cnt[2220][6]~q\ & ((\led_flash_cnt[2220][5]~57969\) # (GND)))
-- \led_flash_cnt[2220][6]~57971\ = CARRY((!\led_flash_cnt[2220][5]~57969\) # (!\led_flash_cnt[2220][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2220][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2220][5]~57969\,
	combout => \led_flash_cnt[2220][6]~57970_combout\,
	cout => \led_flash_cnt[2220][6]~57971\);

-- Location: FF_X45_Y34_N21
\led_flash_cnt[2220][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2220][6]~57970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2220][6]~q\);

-- Location: LCCOMB_X45_Y34_N22
\led_flash_cnt[2220][7]~57972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2220][7]~57972_combout\ = \led_flash_cnt[2220][7]~q\ $ (!\led_flash_cnt[2220][6]~57971\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2220][7]~q\,
	cin => \led_flash_cnt[2220][6]~57971\,
	combout => \led_flash_cnt[2220][7]~57972_combout\);

-- Location: FF_X45_Y34_N23
\led_flash_cnt[2220][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2220][7]~57972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2220][7]~q\);

-- Location: LCCOMB_X45_Y34_N28
\WideAnd2220~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2220~1_combout\ = (\led_flash_cnt[2220][6]~q\ & \led_flash_cnt[2220][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2220][6]~q\,
	datac => \led_flash_cnt[2220][5]~q\,
	combout => \WideAnd2220~1_combout\);

-- Location: LCCOMB_X45_Y34_N24
WideAnd2220 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2220~combout\ = (\WideAnd2220~0_combout\ & (\led_flash_cnt[2220][0]~q\ & (\led_flash_cnt[2220][7]~q\ & \WideAnd2220~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2220~0_combout\,
	datab => \led_flash_cnt[2220][0]~q\,
	datac => \led_flash_cnt[2220][7]~q\,
	datad => \WideAnd2220~1_combout\,
	combout => \WideAnd2220~combout\);

-- Location: FF_X45_Y34_N25
\led_flash_cnt_ands[2220]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2220~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2220));

-- Location: LCCOMB_X45_Y34_N6
\WideAnd4117~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4117~1_combout\ = (led_flash_cnt_ands(2221) & led_flash_cnt_ands(2220))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2221),
	datad => led_flash_cnt_ands(2220),
	combout => \WideAnd4117~1_combout\);

-- Location: LCCOMB_X45_Y42_N12
WideAnd4117 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4117~combout\ = (\WideAnd4117~0_combout\ & (led_flash_cnt_ands(2222) & (led_flash_cnt_ands(2223) & \WideAnd4117~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4117~0_combout\,
	datab => led_flash_cnt_ands(2222),
	datac => led_flash_cnt_ands(2223),
	datad => \WideAnd4117~1_combout\,
	combout => \WideAnd4117~combout\);

-- Location: FF_X45_Y42_N13
\led_flash_cnt_ands_1[277]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4117~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(277));

-- Location: LCCOMB_X60_Y36_N28
\WideAnd4354~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4354~1_combout\ = (led_flash_cnt_ands_1(276) & led_flash_cnt_ands_1(277))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(276),
	datad => led_flash_cnt_ands_1(277),
	combout => \WideAnd4354~1_combout\);

-- Location: LCCOMB_X60_Y23_N6
\led_flash_cnt[2231][0]~82871\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2231][0]~82871_combout\ = !\led_flash_cnt[2231][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2231][0]~q\,
	combout => \led_flash_cnt[2231][0]~82871_combout\);

-- Location: FF_X60_Y23_N7
\led_flash_cnt[2231][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2231][0]~82871_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2231][0]~q\);

-- Location: LCCOMB_X61_Y23_N2
\led_flash_cnt[2231][1]~58114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2231][1]~58114_combout\ = (\led_flash_cnt[2231][0]~q\ & (\led_flash_cnt[2231][1]~q\ $ (VCC))) # (!\led_flash_cnt[2231][0]~q\ & (\led_flash_cnt[2231][1]~q\ & VCC))
-- \led_flash_cnt[2231][1]~58115\ = CARRY((\led_flash_cnt[2231][0]~q\ & \led_flash_cnt[2231][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2231][0]~q\,
	datab => \led_flash_cnt[2231][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2231][1]~58114_combout\,
	cout => \led_flash_cnt[2231][1]~58115\);

-- Location: FF_X61_Y23_N3
\led_flash_cnt[2231][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2231][1]~58114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2231][1]~q\);

-- Location: LCCOMB_X61_Y23_N4
\led_flash_cnt[2231][2]~58116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2231][2]~58116_combout\ = (\led_flash_cnt[2231][2]~q\ & (!\led_flash_cnt[2231][1]~58115\)) # (!\led_flash_cnt[2231][2]~q\ & ((\led_flash_cnt[2231][1]~58115\) # (GND)))
-- \led_flash_cnt[2231][2]~58117\ = CARRY((!\led_flash_cnt[2231][1]~58115\) # (!\led_flash_cnt[2231][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2231][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2231][1]~58115\,
	combout => \led_flash_cnt[2231][2]~58116_combout\,
	cout => \led_flash_cnt[2231][2]~58117\);

-- Location: FF_X61_Y23_N5
\led_flash_cnt[2231][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2231][2]~58116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2231][2]~q\);

-- Location: LCCOMB_X61_Y23_N6
\led_flash_cnt[2231][3]~58118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2231][3]~58118_combout\ = (\led_flash_cnt[2231][3]~q\ & (\led_flash_cnt[2231][2]~58117\ $ (GND))) # (!\led_flash_cnt[2231][3]~q\ & (!\led_flash_cnt[2231][2]~58117\ & VCC))
-- \led_flash_cnt[2231][3]~58119\ = CARRY((\led_flash_cnt[2231][3]~q\ & !\led_flash_cnt[2231][2]~58117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2231][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2231][2]~58117\,
	combout => \led_flash_cnt[2231][3]~58118_combout\,
	cout => \led_flash_cnt[2231][3]~58119\);

-- Location: FF_X61_Y23_N7
\led_flash_cnt[2231][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2231][3]~58118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2231][3]~q\);

-- Location: LCCOMB_X61_Y23_N8
\led_flash_cnt[2231][4]~58120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2231][4]~58120_combout\ = (\led_flash_cnt[2231][4]~q\ & (!\led_flash_cnt[2231][3]~58119\)) # (!\led_flash_cnt[2231][4]~q\ & ((\led_flash_cnt[2231][3]~58119\) # (GND)))
-- \led_flash_cnt[2231][4]~58121\ = CARRY((!\led_flash_cnt[2231][3]~58119\) # (!\led_flash_cnt[2231][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2231][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2231][3]~58119\,
	combout => \led_flash_cnt[2231][4]~58120_combout\,
	cout => \led_flash_cnt[2231][4]~58121\);

-- Location: FF_X61_Y23_N9
\led_flash_cnt[2231][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2231][4]~58120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2231][4]~q\);

-- Location: LCCOMB_X61_Y23_N0
\WideAnd2231~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2231~0_combout\ = (\led_flash_cnt[2231][3]~q\ & (\led_flash_cnt[2231][4]~q\ & (\led_flash_cnt[2231][2]~q\ & \led_flash_cnt[2231][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2231][3]~q\,
	datab => \led_flash_cnt[2231][4]~q\,
	datac => \led_flash_cnt[2231][2]~q\,
	datad => \led_flash_cnt[2231][1]~q\,
	combout => \WideAnd2231~0_combout\);

-- Location: LCCOMB_X61_Y23_N10
\led_flash_cnt[2231][5]~58122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2231][5]~58122_combout\ = (\led_flash_cnt[2231][5]~q\ & (\led_flash_cnt[2231][4]~58121\ $ (GND))) # (!\led_flash_cnt[2231][5]~q\ & (!\led_flash_cnt[2231][4]~58121\ & VCC))
-- \led_flash_cnt[2231][5]~58123\ = CARRY((\led_flash_cnt[2231][5]~q\ & !\led_flash_cnt[2231][4]~58121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2231][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2231][4]~58121\,
	combout => \led_flash_cnt[2231][5]~58122_combout\,
	cout => \led_flash_cnt[2231][5]~58123\);

-- Location: FF_X61_Y23_N11
\led_flash_cnt[2231][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2231][5]~58122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2231][5]~q\);

-- Location: LCCOMB_X61_Y23_N12
\led_flash_cnt[2231][6]~58124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2231][6]~58124_combout\ = (\led_flash_cnt[2231][6]~q\ & (!\led_flash_cnt[2231][5]~58123\)) # (!\led_flash_cnt[2231][6]~q\ & ((\led_flash_cnt[2231][5]~58123\) # (GND)))
-- \led_flash_cnt[2231][6]~58125\ = CARRY((!\led_flash_cnt[2231][5]~58123\) # (!\led_flash_cnt[2231][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2231][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2231][5]~58123\,
	combout => \led_flash_cnt[2231][6]~58124_combout\,
	cout => \led_flash_cnt[2231][6]~58125\);

-- Location: FF_X61_Y23_N13
\led_flash_cnt[2231][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2231][6]~58124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2231][6]~q\);

-- Location: LCCOMB_X61_Y23_N14
\led_flash_cnt[2231][7]~58126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2231][7]~58126_combout\ = \led_flash_cnt[2231][7]~q\ $ (!\led_flash_cnt[2231][6]~58125\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2231][7]~q\,
	cin => \led_flash_cnt[2231][6]~58125\,
	combout => \led_flash_cnt[2231][7]~58126_combout\);

-- Location: FF_X61_Y23_N15
\led_flash_cnt[2231][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2231][7]~58126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2231][7]~q\);

-- Location: LCCOMB_X60_Y23_N28
\WideAnd2231~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2231~1_combout\ = (\led_flash_cnt[2231][6]~q\ & \led_flash_cnt[2231][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2231][6]~q\,
	datac => \led_flash_cnt[2231][5]~q\,
	combout => \WideAnd2231~1_combout\);

-- Location: LCCOMB_X60_Y23_N10
WideAnd2231 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2231~combout\ = (\led_flash_cnt[2231][0]~q\ & (\WideAnd2231~0_combout\ & (\led_flash_cnt[2231][7]~q\ & \WideAnd2231~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2231][0]~q\,
	datab => \WideAnd2231~0_combout\,
	datac => \led_flash_cnt[2231][7]~q\,
	datad => \WideAnd2231~1_combout\,
	combout => \WideAnd2231~combout\);

-- Location: FF_X60_Y23_N11
\led_flash_cnt_ands[2231]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2231~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2231));

-- Location: LCCOMB_X59_Y23_N24
\led_flash_cnt[2226][0]~82866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2226][0]~82866_combout\ = !\led_flash_cnt[2226][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2226][0]~q\,
	combout => \led_flash_cnt[2226][0]~82866_combout\);

-- Location: FF_X59_Y23_N25
\led_flash_cnt[2226][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2226][0]~82866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2226][0]~q\);

-- Location: LCCOMB_X59_Y26_N18
\led_flash_cnt[2226][1]~58044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2226][1]~58044_combout\ = (\led_flash_cnt[2226][0]~q\ & (\led_flash_cnt[2226][1]~q\ $ (VCC))) # (!\led_flash_cnt[2226][0]~q\ & (\led_flash_cnt[2226][1]~q\ & VCC))
-- \led_flash_cnt[2226][1]~58045\ = CARRY((\led_flash_cnt[2226][0]~q\ & \led_flash_cnt[2226][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2226][0]~q\,
	datab => \led_flash_cnt[2226][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2226][1]~58044_combout\,
	cout => \led_flash_cnt[2226][1]~58045\);

-- Location: FF_X59_Y26_N19
\led_flash_cnt[2226][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2226][1]~58044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2226][1]~q\);

-- Location: LCCOMB_X59_Y26_N20
\led_flash_cnt[2226][2]~58046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2226][2]~58046_combout\ = (\led_flash_cnt[2226][2]~q\ & (!\led_flash_cnt[2226][1]~58045\)) # (!\led_flash_cnt[2226][2]~q\ & ((\led_flash_cnt[2226][1]~58045\) # (GND)))
-- \led_flash_cnt[2226][2]~58047\ = CARRY((!\led_flash_cnt[2226][1]~58045\) # (!\led_flash_cnt[2226][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2226][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2226][1]~58045\,
	combout => \led_flash_cnt[2226][2]~58046_combout\,
	cout => \led_flash_cnt[2226][2]~58047\);

-- Location: FF_X59_Y26_N21
\led_flash_cnt[2226][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2226][2]~58046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2226][2]~q\);

-- Location: LCCOMB_X59_Y26_N22
\led_flash_cnt[2226][3]~58048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2226][3]~58048_combout\ = (\led_flash_cnt[2226][3]~q\ & (\led_flash_cnt[2226][2]~58047\ $ (GND))) # (!\led_flash_cnt[2226][3]~q\ & (!\led_flash_cnt[2226][2]~58047\ & VCC))
-- \led_flash_cnt[2226][3]~58049\ = CARRY((\led_flash_cnt[2226][3]~q\ & !\led_flash_cnt[2226][2]~58047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2226][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2226][2]~58047\,
	combout => \led_flash_cnt[2226][3]~58048_combout\,
	cout => \led_flash_cnt[2226][3]~58049\);

-- Location: FF_X59_Y26_N23
\led_flash_cnt[2226][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2226][3]~58048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2226][3]~q\);

-- Location: LCCOMB_X59_Y26_N24
\led_flash_cnt[2226][4]~58050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2226][4]~58050_combout\ = (\led_flash_cnt[2226][4]~q\ & (!\led_flash_cnt[2226][3]~58049\)) # (!\led_flash_cnt[2226][4]~q\ & ((\led_flash_cnt[2226][3]~58049\) # (GND)))
-- \led_flash_cnt[2226][4]~58051\ = CARRY((!\led_flash_cnt[2226][3]~58049\) # (!\led_flash_cnt[2226][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2226][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2226][3]~58049\,
	combout => \led_flash_cnt[2226][4]~58050_combout\,
	cout => \led_flash_cnt[2226][4]~58051\);

-- Location: FF_X59_Y26_N25
\led_flash_cnt[2226][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2226][4]~58050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2226][4]~q\);

-- Location: LCCOMB_X59_Y26_N26
\led_flash_cnt[2226][5]~58052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2226][5]~58052_combout\ = (\led_flash_cnt[2226][5]~q\ & (\led_flash_cnt[2226][4]~58051\ $ (GND))) # (!\led_flash_cnt[2226][5]~q\ & (!\led_flash_cnt[2226][4]~58051\ & VCC))
-- \led_flash_cnt[2226][5]~58053\ = CARRY((\led_flash_cnt[2226][5]~q\ & !\led_flash_cnt[2226][4]~58051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2226][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2226][4]~58051\,
	combout => \led_flash_cnt[2226][5]~58052_combout\,
	cout => \led_flash_cnt[2226][5]~58053\);

-- Location: FF_X59_Y26_N27
\led_flash_cnt[2226][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2226][5]~58052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2226][5]~q\);

-- Location: LCCOMB_X59_Y26_N28
\led_flash_cnt[2226][6]~58054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2226][6]~58054_combout\ = (\led_flash_cnt[2226][6]~q\ & (!\led_flash_cnt[2226][5]~58053\)) # (!\led_flash_cnt[2226][6]~q\ & ((\led_flash_cnt[2226][5]~58053\) # (GND)))
-- \led_flash_cnt[2226][6]~58055\ = CARRY((!\led_flash_cnt[2226][5]~58053\) # (!\led_flash_cnt[2226][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2226][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2226][5]~58053\,
	combout => \led_flash_cnt[2226][6]~58054_combout\,
	cout => \led_flash_cnt[2226][6]~58055\);

-- Location: FF_X59_Y26_N29
\led_flash_cnt[2226][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2226][6]~58054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2226][6]~q\);

-- Location: LCCOMB_X59_Y26_N30
\led_flash_cnt[2226][7]~58056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2226][7]~58056_combout\ = \led_flash_cnt[2226][7]~q\ $ (!\led_flash_cnt[2226][6]~58055\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2226][7]~q\,
	cin => \led_flash_cnt[2226][6]~58055\,
	combout => \led_flash_cnt[2226][7]~58056_combout\);

-- Location: FF_X59_Y26_N31
\led_flash_cnt[2226][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2226][7]~58056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2226][7]~q\);

-- Location: LCCOMB_X59_Y26_N2
\WideAnd2226~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2226~0_combout\ = (\led_flash_cnt[2226][4]~q\ & (\led_flash_cnt[2226][2]~q\ & (\led_flash_cnt[2226][3]~q\ & \led_flash_cnt[2226][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2226][4]~q\,
	datab => \led_flash_cnt[2226][2]~q\,
	datac => \led_flash_cnt[2226][3]~q\,
	datad => \led_flash_cnt[2226][1]~q\,
	combout => \WideAnd2226~0_combout\);

-- Location: LCCOMB_X59_Y23_N0
\WideAnd2226~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2226~1_combout\ = (\led_flash_cnt[2226][5]~q\ & \led_flash_cnt[2226][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2226][5]~q\,
	datad => \led_flash_cnt[2226][6]~q\,
	combout => \WideAnd2226~1_combout\);

-- Location: LCCOMB_X59_Y23_N26
WideAnd2226 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2226~combout\ = (\led_flash_cnt[2226][7]~q\ & (\led_flash_cnt[2226][0]~q\ & (\WideAnd2226~0_combout\ & \WideAnd2226~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2226][7]~q\,
	datab => \led_flash_cnt[2226][0]~q\,
	datac => \WideAnd2226~0_combout\,
	datad => \WideAnd2226~1_combout\,
	combout => \WideAnd2226~combout\);

-- Location: FF_X59_Y23_N27
\led_flash_cnt_ands[2226]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2226~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2226));

-- Location: LCCOMB_X59_Y23_N22
\led_flash_cnt[2224][0]~82864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2224][0]~82864_combout\ = !\led_flash_cnt[2224][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2224][0]~q\,
	combout => \led_flash_cnt[2224][0]~82864_combout\);

-- Location: FF_X59_Y23_N23
\led_flash_cnt[2224][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2224][0]~82864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2224][0]~q\);

-- Location: LCCOMB_X59_Y23_N4
\led_flash_cnt[2224][1]~58016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2224][1]~58016_combout\ = (\led_flash_cnt[2224][0]~q\ & (\led_flash_cnt[2224][1]~q\ $ (VCC))) # (!\led_flash_cnt[2224][0]~q\ & (\led_flash_cnt[2224][1]~q\ & VCC))
-- \led_flash_cnt[2224][1]~58017\ = CARRY((\led_flash_cnt[2224][0]~q\ & \led_flash_cnt[2224][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2224][0]~q\,
	datab => \led_flash_cnt[2224][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2224][1]~58016_combout\,
	cout => \led_flash_cnt[2224][1]~58017\);

-- Location: FF_X59_Y23_N5
\led_flash_cnt[2224][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2224][1]~58016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2224][1]~q\);

-- Location: LCCOMB_X59_Y23_N6
\led_flash_cnt[2224][2]~58018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2224][2]~58018_combout\ = (\led_flash_cnt[2224][2]~q\ & (!\led_flash_cnt[2224][1]~58017\)) # (!\led_flash_cnt[2224][2]~q\ & ((\led_flash_cnt[2224][1]~58017\) # (GND)))
-- \led_flash_cnt[2224][2]~58019\ = CARRY((!\led_flash_cnt[2224][1]~58017\) # (!\led_flash_cnt[2224][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2224][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2224][1]~58017\,
	combout => \led_flash_cnt[2224][2]~58018_combout\,
	cout => \led_flash_cnt[2224][2]~58019\);

-- Location: FF_X59_Y23_N7
\led_flash_cnt[2224][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2224][2]~58018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2224][2]~q\);

-- Location: LCCOMB_X59_Y23_N8
\led_flash_cnt[2224][3]~58020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2224][3]~58020_combout\ = (\led_flash_cnt[2224][3]~q\ & (\led_flash_cnt[2224][2]~58019\ $ (GND))) # (!\led_flash_cnt[2224][3]~q\ & (!\led_flash_cnt[2224][2]~58019\ & VCC))
-- \led_flash_cnt[2224][3]~58021\ = CARRY((\led_flash_cnt[2224][3]~q\ & !\led_flash_cnt[2224][2]~58019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2224][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2224][2]~58019\,
	combout => \led_flash_cnt[2224][3]~58020_combout\,
	cout => \led_flash_cnt[2224][3]~58021\);

-- Location: FF_X59_Y23_N9
\led_flash_cnt[2224][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2224][3]~58020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2224][3]~q\);

-- Location: LCCOMB_X59_Y23_N10
\led_flash_cnt[2224][4]~58022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2224][4]~58022_combout\ = (\led_flash_cnt[2224][4]~q\ & (!\led_flash_cnt[2224][3]~58021\)) # (!\led_flash_cnt[2224][4]~q\ & ((\led_flash_cnt[2224][3]~58021\) # (GND)))
-- \led_flash_cnt[2224][4]~58023\ = CARRY((!\led_flash_cnt[2224][3]~58021\) # (!\led_flash_cnt[2224][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2224][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2224][3]~58021\,
	combout => \led_flash_cnt[2224][4]~58022_combout\,
	cout => \led_flash_cnt[2224][4]~58023\);

-- Location: FF_X59_Y23_N11
\led_flash_cnt[2224][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2224][4]~58022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2224][4]~q\);

-- Location: LCCOMB_X59_Y23_N12
\led_flash_cnt[2224][5]~58024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2224][5]~58024_combout\ = (\led_flash_cnt[2224][5]~q\ & (\led_flash_cnt[2224][4]~58023\ $ (GND))) # (!\led_flash_cnt[2224][5]~q\ & (!\led_flash_cnt[2224][4]~58023\ & VCC))
-- \led_flash_cnt[2224][5]~58025\ = CARRY((\led_flash_cnt[2224][5]~q\ & !\led_flash_cnt[2224][4]~58023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2224][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2224][4]~58023\,
	combout => \led_flash_cnt[2224][5]~58024_combout\,
	cout => \led_flash_cnt[2224][5]~58025\);

-- Location: FF_X59_Y23_N13
\led_flash_cnt[2224][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2224][5]~58024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2224][5]~q\);

-- Location: LCCOMB_X59_Y23_N14
\led_flash_cnt[2224][6]~58026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2224][6]~58026_combout\ = (\led_flash_cnt[2224][6]~q\ & (!\led_flash_cnt[2224][5]~58025\)) # (!\led_flash_cnt[2224][6]~q\ & ((\led_flash_cnt[2224][5]~58025\) # (GND)))
-- \led_flash_cnt[2224][6]~58027\ = CARRY((!\led_flash_cnt[2224][5]~58025\) # (!\led_flash_cnt[2224][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2224][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2224][5]~58025\,
	combout => \led_flash_cnt[2224][6]~58026_combout\,
	cout => \led_flash_cnt[2224][6]~58027\);

-- Location: FF_X59_Y23_N15
\led_flash_cnt[2224][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2224][6]~58026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2224][6]~q\);

-- Location: LCCOMB_X59_Y23_N16
\led_flash_cnt[2224][7]~58028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2224][7]~58028_combout\ = \led_flash_cnt[2224][6]~58027\ $ (!\led_flash_cnt[2224][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2224][7]~q\,
	cin => \led_flash_cnt[2224][6]~58027\,
	combout => \led_flash_cnt[2224][7]~58028_combout\);

-- Location: FF_X59_Y23_N17
\led_flash_cnt[2224][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2224][7]~58028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2224][7]~q\);

-- Location: LCCOMB_X59_Y23_N30
\WideAnd2224~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2224~1_combout\ = (\led_flash_cnt[2224][6]~q\ & \led_flash_cnt[2224][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2224][6]~q\,
	datad => \led_flash_cnt[2224][5]~q\,
	combout => \WideAnd2224~1_combout\);

-- Location: LCCOMB_X59_Y23_N2
\WideAnd2224~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2224~0_combout\ = (\led_flash_cnt[2224][4]~q\ & (\led_flash_cnt[2224][1]~q\ & (\led_flash_cnt[2224][3]~q\ & \led_flash_cnt[2224][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2224][4]~q\,
	datab => \led_flash_cnt[2224][1]~q\,
	datac => \led_flash_cnt[2224][3]~q\,
	datad => \led_flash_cnt[2224][2]~q\,
	combout => \WideAnd2224~0_combout\);

-- Location: LCCOMB_X59_Y23_N28
WideAnd2224 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2224~combout\ = (\led_flash_cnt[2224][0]~q\ & (\led_flash_cnt[2224][7]~q\ & (\WideAnd2224~1_combout\ & \WideAnd2224~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2224][0]~q\,
	datab => \led_flash_cnt[2224][7]~q\,
	datac => \WideAnd2224~1_combout\,
	datad => \WideAnd2224~0_combout\,
	combout => \WideAnd2224~combout\);

-- Location: FF_X59_Y23_N29
\led_flash_cnt_ands[2224]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2224~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2224));

-- Location: LCCOMB_X62_Y19_N30
\led_flash_cnt[2225][0]~82865\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2225][0]~82865_combout\ = !\led_flash_cnt[2225][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2225][0]~q\,
	combout => \led_flash_cnt[2225][0]~82865_combout\);

-- Location: FF_X62_Y19_N31
\led_flash_cnt[2225][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2225][0]~82865_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2225][0]~q\);

-- Location: LCCOMB_X62_Y18_N2
\led_flash_cnt[2225][1]~58030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2225][1]~58030_combout\ = (\led_flash_cnt[2225][0]~q\ & (\led_flash_cnt[2225][1]~q\ $ (VCC))) # (!\led_flash_cnt[2225][0]~q\ & (\led_flash_cnt[2225][1]~q\ & VCC))
-- \led_flash_cnt[2225][1]~58031\ = CARRY((\led_flash_cnt[2225][0]~q\ & \led_flash_cnt[2225][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2225][0]~q\,
	datab => \led_flash_cnt[2225][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2225][1]~58030_combout\,
	cout => \led_flash_cnt[2225][1]~58031\);

-- Location: FF_X62_Y18_N3
\led_flash_cnt[2225][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2225][1]~58030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2225][1]~q\);

-- Location: LCCOMB_X62_Y18_N4
\led_flash_cnt[2225][2]~58032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2225][2]~58032_combout\ = (\led_flash_cnt[2225][2]~q\ & (!\led_flash_cnt[2225][1]~58031\)) # (!\led_flash_cnt[2225][2]~q\ & ((\led_flash_cnt[2225][1]~58031\) # (GND)))
-- \led_flash_cnt[2225][2]~58033\ = CARRY((!\led_flash_cnt[2225][1]~58031\) # (!\led_flash_cnt[2225][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2225][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2225][1]~58031\,
	combout => \led_flash_cnt[2225][2]~58032_combout\,
	cout => \led_flash_cnt[2225][2]~58033\);

-- Location: FF_X62_Y18_N5
\led_flash_cnt[2225][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2225][2]~58032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2225][2]~q\);

-- Location: LCCOMB_X62_Y18_N6
\led_flash_cnt[2225][3]~58034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2225][3]~58034_combout\ = (\led_flash_cnt[2225][3]~q\ & (\led_flash_cnt[2225][2]~58033\ $ (GND))) # (!\led_flash_cnt[2225][3]~q\ & (!\led_flash_cnt[2225][2]~58033\ & VCC))
-- \led_flash_cnt[2225][3]~58035\ = CARRY((\led_flash_cnt[2225][3]~q\ & !\led_flash_cnt[2225][2]~58033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2225][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2225][2]~58033\,
	combout => \led_flash_cnt[2225][3]~58034_combout\,
	cout => \led_flash_cnt[2225][3]~58035\);

-- Location: FF_X62_Y18_N7
\led_flash_cnt[2225][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2225][3]~58034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2225][3]~q\);

-- Location: LCCOMB_X62_Y18_N8
\led_flash_cnt[2225][4]~58036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2225][4]~58036_combout\ = (\led_flash_cnt[2225][4]~q\ & (!\led_flash_cnt[2225][3]~58035\)) # (!\led_flash_cnt[2225][4]~q\ & ((\led_flash_cnt[2225][3]~58035\) # (GND)))
-- \led_flash_cnt[2225][4]~58037\ = CARRY((!\led_flash_cnt[2225][3]~58035\) # (!\led_flash_cnt[2225][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2225][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2225][3]~58035\,
	combout => \led_flash_cnt[2225][4]~58036_combout\,
	cout => \led_flash_cnt[2225][4]~58037\);

-- Location: FF_X62_Y18_N9
\led_flash_cnt[2225][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2225][4]~58036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2225][4]~q\);

-- Location: LCCOMB_X62_Y18_N30
\WideAnd2225~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2225~0_combout\ = (\led_flash_cnt[2225][3]~q\ & (\led_flash_cnt[2225][4]~q\ & (\led_flash_cnt[2225][2]~q\ & \led_flash_cnt[2225][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2225][3]~q\,
	datab => \led_flash_cnt[2225][4]~q\,
	datac => \led_flash_cnt[2225][2]~q\,
	datad => \led_flash_cnt[2225][1]~q\,
	combout => \WideAnd2225~0_combout\);

-- Location: LCCOMB_X62_Y18_N10
\led_flash_cnt[2225][5]~58038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2225][5]~58038_combout\ = (\led_flash_cnt[2225][5]~q\ & (\led_flash_cnt[2225][4]~58037\ $ (GND))) # (!\led_flash_cnt[2225][5]~q\ & (!\led_flash_cnt[2225][4]~58037\ & VCC))
-- \led_flash_cnt[2225][5]~58039\ = CARRY((\led_flash_cnt[2225][5]~q\ & !\led_flash_cnt[2225][4]~58037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2225][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2225][4]~58037\,
	combout => \led_flash_cnt[2225][5]~58038_combout\,
	cout => \led_flash_cnt[2225][5]~58039\);

-- Location: FF_X62_Y18_N11
\led_flash_cnt[2225][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2225][5]~58038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2225][5]~q\);

-- Location: LCCOMB_X62_Y18_N12
\led_flash_cnt[2225][6]~58040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2225][6]~58040_combout\ = (\led_flash_cnt[2225][6]~q\ & (!\led_flash_cnt[2225][5]~58039\)) # (!\led_flash_cnt[2225][6]~q\ & ((\led_flash_cnt[2225][5]~58039\) # (GND)))
-- \led_flash_cnt[2225][6]~58041\ = CARRY((!\led_flash_cnt[2225][5]~58039\) # (!\led_flash_cnt[2225][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2225][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2225][5]~58039\,
	combout => \led_flash_cnt[2225][6]~58040_combout\,
	cout => \led_flash_cnt[2225][6]~58041\);

-- Location: FF_X62_Y18_N13
\led_flash_cnt[2225][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2225][6]~58040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2225][6]~q\);

-- Location: LCCOMB_X62_Y18_N14
\led_flash_cnt[2225][7]~58042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2225][7]~58042_combout\ = \led_flash_cnt[2225][7]~q\ $ (!\led_flash_cnt[2225][6]~58041\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2225][7]~q\,
	cin => \led_flash_cnt[2225][6]~58041\,
	combout => \led_flash_cnt[2225][7]~58042_combout\);

-- Location: FF_X62_Y18_N15
\led_flash_cnt[2225][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2225][7]~58042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2225][7]~q\);

-- Location: LCCOMB_X61_Y18_N24
\WideAnd2225~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2225~1_combout\ = (\led_flash_cnt[2225][6]~q\ & \led_flash_cnt[2225][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2225][6]~q\,
	datac => \led_flash_cnt[2225][5]~q\,
	combout => \WideAnd2225~1_combout\);

-- Location: LCCOMB_X62_Y18_N0
WideAnd2225 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2225~combout\ = (\WideAnd2225~0_combout\ & (\led_flash_cnt[2225][7]~q\ & (\led_flash_cnt[2225][0]~q\ & \WideAnd2225~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2225~0_combout\,
	datab => \led_flash_cnt[2225][7]~q\,
	datac => \led_flash_cnt[2225][0]~q\,
	datad => \WideAnd2225~1_combout\,
	combout => \WideAnd2225~combout\);

-- Location: FF_X62_Y18_N1
\led_flash_cnt_ands[2225]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2225~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2225));

-- Location: LCCOMB_X62_Y23_N6
\led_flash_cnt[2227][0]~82867\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2227][0]~82867_combout\ = !\led_flash_cnt[2227][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2227][0]~q\,
	combout => \led_flash_cnt[2227][0]~82867_combout\);

-- Location: FF_X62_Y23_N7
\led_flash_cnt[2227][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2227][0]~82867_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2227][0]~q\);

-- Location: LCCOMB_X63_Y23_N2
\led_flash_cnt[2227][1]~58058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2227][1]~58058_combout\ = (\led_flash_cnt[2227][0]~q\ & (\led_flash_cnt[2227][1]~q\ $ (VCC))) # (!\led_flash_cnt[2227][0]~q\ & (\led_flash_cnt[2227][1]~q\ & VCC))
-- \led_flash_cnt[2227][1]~58059\ = CARRY((\led_flash_cnt[2227][0]~q\ & \led_flash_cnt[2227][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2227][0]~q\,
	datab => \led_flash_cnt[2227][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2227][1]~58058_combout\,
	cout => \led_flash_cnt[2227][1]~58059\);

-- Location: FF_X63_Y23_N3
\led_flash_cnt[2227][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2227][1]~58058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2227][1]~q\);

-- Location: LCCOMB_X63_Y23_N4
\led_flash_cnt[2227][2]~58060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2227][2]~58060_combout\ = (\led_flash_cnt[2227][2]~q\ & (!\led_flash_cnt[2227][1]~58059\)) # (!\led_flash_cnt[2227][2]~q\ & ((\led_flash_cnt[2227][1]~58059\) # (GND)))
-- \led_flash_cnt[2227][2]~58061\ = CARRY((!\led_flash_cnt[2227][1]~58059\) # (!\led_flash_cnt[2227][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2227][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2227][1]~58059\,
	combout => \led_flash_cnt[2227][2]~58060_combout\,
	cout => \led_flash_cnt[2227][2]~58061\);

-- Location: FF_X63_Y23_N5
\led_flash_cnt[2227][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2227][2]~58060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2227][2]~q\);

-- Location: LCCOMB_X63_Y23_N6
\led_flash_cnt[2227][3]~58062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2227][3]~58062_combout\ = (\led_flash_cnt[2227][3]~q\ & (\led_flash_cnt[2227][2]~58061\ $ (GND))) # (!\led_flash_cnt[2227][3]~q\ & (!\led_flash_cnt[2227][2]~58061\ & VCC))
-- \led_flash_cnt[2227][3]~58063\ = CARRY((\led_flash_cnt[2227][3]~q\ & !\led_flash_cnt[2227][2]~58061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2227][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2227][2]~58061\,
	combout => \led_flash_cnt[2227][3]~58062_combout\,
	cout => \led_flash_cnt[2227][3]~58063\);

-- Location: FF_X63_Y23_N7
\led_flash_cnt[2227][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2227][3]~58062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2227][3]~q\);

-- Location: LCCOMB_X63_Y23_N8
\led_flash_cnt[2227][4]~58064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2227][4]~58064_combout\ = (\led_flash_cnt[2227][4]~q\ & (!\led_flash_cnt[2227][3]~58063\)) # (!\led_flash_cnt[2227][4]~q\ & ((\led_flash_cnt[2227][3]~58063\) # (GND)))
-- \led_flash_cnt[2227][4]~58065\ = CARRY((!\led_flash_cnt[2227][3]~58063\) # (!\led_flash_cnt[2227][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2227][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2227][3]~58063\,
	combout => \led_flash_cnt[2227][4]~58064_combout\,
	cout => \led_flash_cnt[2227][4]~58065\);

-- Location: FF_X63_Y23_N9
\led_flash_cnt[2227][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2227][4]~58064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2227][4]~q\);

-- Location: LCCOMB_X63_Y23_N10
\led_flash_cnt[2227][5]~58066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2227][5]~58066_combout\ = (\led_flash_cnt[2227][5]~q\ & (\led_flash_cnt[2227][4]~58065\ $ (GND))) # (!\led_flash_cnt[2227][5]~q\ & (!\led_flash_cnt[2227][4]~58065\ & VCC))
-- \led_flash_cnt[2227][5]~58067\ = CARRY((\led_flash_cnt[2227][5]~q\ & !\led_flash_cnt[2227][4]~58065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2227][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2227][4]~58065\,
	combout => \led_flash_cnt[2227][5]~58066_combout\,
	cout => \led_flash_cnt[2227][5]~58067\);

-- Location: FF_X63_Y23_N11
\led_flash_cnt[2227][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2227][5]~58066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2227][5]~q\);

-- Location: LCCOMB_X63_Y23_N12
\led_flash_cnt[2227][6]~58068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2227][6]~58068_combout\ = (\led_flash_cnt[2227][6]~q\ & (!\led_flash_cnt[2227][5]~58067\)) # (!\led_flash_cnt[2227][6]~q\ & ((\led_flash_cnt[2227][5]~58067\) # (GND)))
-- \led_flash_cnt[2227][6]~58069\ = CARRY((!\led_flash_cnt[2227][5]~58067\) # (!\led_flash_cnt[2227][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2227][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2227][5]~58067\,
	combout => \led_flash_cnt[2227][6]~58068_combout\,
	cout => \led_flash_cnt[2227][6]~58069\);

-- Location: FF_X63_Y23_N13
\led_flash_cnt[2227][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2227][6]~58068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2227][6]~q\);

-- Location: LCCOMB_X62_Y23_N30
\WideAnd2227~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2227~1_combout\ = (\led_flash_cnt[2227][6]~q\ & \led_flash_cnt[2227][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2227][6]~q\,
	datac => \led_flash_cnt[2227][5]~q\,
	combout => \WideAnd2227~1_combout\);

-- Location: LCCOMB_X63_Y23_N0
\WideAnd2227~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2227~0_combout\ = (\led_flash_cnt[2227][3]~q\ & (\led_flash_cnt[2227][4]~q\ & (\led_flash_cnt[2227][2]~q\ & \led_flash_cnt[2227][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2227][3]~q\,
	datab => \led_flash_cnt[2227][4]~q\,
	datac => \led_flash_cnt[2227][2]~q\,
	datad => \led_flash_cnt[2227][1]~q\,
	combout => \WideAnd2227~0_combout\);

-- Location: LCCOMB_X63_Y23_N14
\led_flash_cnt[2227][7]~58070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2227][7]~58070_combout\ = \led_flash_cnt[2227][7]~q\ $ (!\led_flash_cnt[2227][6]~58069\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2227][7]~q\,
	cin => \led_flash_cnt[2227][6]~58069\,
	combout => \led_flash_cnt[2227][7]~58070_combout\);

-- Location: FF_X63_Y23_N15
\led_flash_cnt[2227][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2227][7]~58070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2227][7]~q\);

-- Location: LCCOMB_X62_Y23_N8
WideAnd2227 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2227~combout\ = (\WideAnd2227~1_combout\ & (\WideAnd2227~0_combout\ & (\led_flash_cnt[2227][7]~q\ & \led_flash_cnt[2227][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2227~1_combout\,
	datab => \WideAnd2227~0_combout\,
	datac => \led_flash_cnt[2227][7]~q\,
	datad => \led_flash_cnt[2227][0]~q\,
	combout => \WideAnd2227~combout\);

-- Location: FF_X62_Y23_N9
\led_flash_cnt_ands[2227]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2227~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2227));

-- Location: LCCOMB_X59_Y23_N20
\WideAnd4118~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4118~0_combout\ = (led_flash_cnt_ands(2226) & (led_flash_cnt_ands(2224) & (led_flash_cnt_ands(2225) & led_flash_cnt_ands(2227))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2226),
	datab => led_flash_cnt_ands(2224),
	datac => led_flash_cnt_ands(2225),
	datad => led_flash_cnt_ands(2227),
	combout => \WideAnd4118~0_combout\);

-- Location: LCCOMB_X60_Y23_N0
\led_flash_cnt[2230][0]~82870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2230][0]~82870_combout\ = !\led_flash_cnt[2230][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2230][0]~q\,
	combout => \led_flash_cnt[2230][0]~82870_combout\);

-- Location: FF_X60_Y23_N1
\led_flash_cnt[2230][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2230][0]~82870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2230][0]~q\);

-- Location: LCCOMB_X60_Y23_N12
\led_flash_cnt[2230][1]~58100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2230][1]~58100_combout\ = (\led_flash_cnt[2230][1]~q\ & (\led_flash_cnt[2230][0]~q\ $ (VCC))) # (!\led_flash_cnt[2230][1]~q\ & (\led_flash_cnt[2230][0]~q\ & VCC))
-- \led_flash_cnt[2230][1]~58101\ = CARRY((\led_flash_cnt[2230][1]~q\ & \led_flash_cnt[2230][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2230][1]~q\,
	datab => \led_flash_cnt[2230][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2230][1]~58100_combout\,
	cout => \led_flash_cnt[2230][1]~58101\);

-- Location: FF_X60_Y23_N13
\led_flash_cnt[2230][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2230][1]~58100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2230][1]~q\);

-- Location: LCCOMB_X60_Y23_N14
\led_flash_cnt[2230][2]~58102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2230][2]~58102_combout\ = (\led_flash_cnt[2230][2]~q\ & (!\led_flash_cnt[2230][1]~58101\)) # (!\led_flash_cnt[2230][2]~q\ & ((\led_flash_cnt[2230][1]~58101\) # (GND)))
-- \led_flash_cnt[2230][2]~58103\ = CARRY((!\led_flash_cnt[2230][1]~58101\) # (!\led_flash_cnt[2230][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2230][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2230][1]~58101\,
	combout => \led_flash_cnt[2230][2]~58102_combout\,
	cout => \led_flash_cnt[2230][2]~58103\);

-- Location: FF_X60_Y23_N15
\led_flash_cnt[2230][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2230][2]~58102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2230][2]~q\);

-- Location: LCCOMB_X60_Y23_N16
\led_flash_cnt[2230][3]~58104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2230][3]~58104_combout\ = (\led_flash_cnt[2230][3]~q\ & (\led_flash_cnt[2230][2]~58103\ $ (GND))) # (!\led_flash_cnt[2230][3]~q\ & (!\led_flash_cnt[2230][2]~58103\ & VCC))
-- \led_flash_cnt[2230][3]~58105\ = CARRY((\led_flash_cnt[2230][3]~q\ & !\led_flash_cnt[2230][2]~58103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2230][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2230][2]~58103\,
	combout => \led_flash_cnt[2230][3]~58104_combout\,
	cout => \led_flash_cnt[2230][3]~58105\);

-- Location: FF_X60_Y23_N17
\led_flash_cnt[2230][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2230][3]~58104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2230][3]~q\);

-- Location: LCCOMB_X60_Y23_N18
\led_flash_cnt[2230][4]~58106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2230][4]~58106_combout\ = (\led_flash_cnt[2230][4]~q\ & (!\led_flash_cnt[2230][3]~58105\)) # (!\led_flash_cnt[2230][4]~q\ & ((\led_flash_cnt[2230][3]~58105\) # (GND)))
-- \led_flash_cnt[2230][4]~58107\ = CARRY((!\led_flash_cnt[2230][3]~58105\) # (!\led_flash_cnt[2230][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2230][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2230][3]~58105\,
	combout => \led_flash_cnt[2230][4]~58106_combout\,
	cout => \led_flash_cnt[2230][4]~58107\);

-- Location: FF_X60_Y23_N19
\led_flash_cnt[2230][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2230][4]~58106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2230][4]~q\);

-- Location: LCCOMB_X60_Y23_N26
\WideAnd2230~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2230~0_combout\ = (\led_flash_cnt[2230][1]~q\ & (\led_flash_cnt[2230][4]~q\ & (\led_flash_cnt[2230][2]~q\ & \led_flash_cnt[2230][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2230][1]~q\,
	datab => \led_flash_cnt[2230][4]~q\,
	datac => \led_flash_cnt[2230][2]~q\,
	datad => \led_flash_cnt[2230][3]~q\,
	combout => \WideAnd2230~0_combout\);

-- Location: LCCOMB_X60_Y23_N20
\led_flash_cnt[2230][5]~58108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2230][5]~58108_combout\ = (\led_flash_cnt[2230][5]~q\ & (\led_flash_cnt[2230][4]~58107\ $ (GND))) # (!\led_flash_cnt[2230][5]~q\ & (!\led_flash_cnt[2230][4]~58107\ & VCC))
-- \led_flash_cnt[2230][5]~58109\ = CARRY((\led_flash_cnt[2230][5]~q\ & !\led_flash_cnt[2230][4]~58107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2230][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2230][4]~58107\,
	combout => \led_flash_cnt[2230][5]~58108_combout\,
	cout => \led_flash_cnt[2230][5]~58109\);

-- Location: FF_X60_Y23_N21
\led_flash_cnt[2230][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2230][5]~58108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2230][5]~q\);

-- Location: LCCOMB_X60_Y23_N22
\led_flash_cnt[2230][6]~58110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2230][6]~58110_combout\ = (\led_flash_cnt[2230][6]~q\ & (!\led_flash_cnt[2230][5]~58109\)) # (!\led_flash_cnt[2230][6]~q\ & ((\led_flash_cnt[2230][5]~58109\) # (GND)))
-- \led_flash_cnt[2230][6]~58111\ = CARRY((!\led_flash_cnt[2230][5]~58109\) # (!\led_flash_cnt[2230][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2230][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2230][5]~58109\,
	combout => \led_flash_cnt[2230][6]~58110_combout\,
	cout => \led_flash_cnt[2230][6]~58111\);

-- Location: FF_X60_Y23_N23
\led_flash_cnt[2230][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2230][6]~58110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2230][6]~q\);

-- Location: LCCOMB_X60_Y23_N8
\WideAnd2230~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2230~1_combout\ = (\led_flash_cnt[2230][6]~q\ & \led_flash_cnt[2230][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2230][6]~q\,
	datad => \led_flash_cnt[2230][5]~q\,
	combout => \WideAnd2230~1_combout\);

-- Location: LCCOMB_X60_Y23_N24
\led_flash_cnt[2230][7]~58112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2230][7]~58112_combout\ = \led_flash_cnt[2230][6]~58111\ $ (!\led_flash_cnt[2230][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2230][7]~q\,
	cin => \led_flash_cnt[2230][6]~58111\,
	combout => \led_flash_cnt[2230][7]~58112_combout\);

-- Location: FF_X60_Y23_N25
\led_flash_cnt[2230][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2230][7]~58112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2230][7]~q\);

-- Location: LCCOMB_X60_Y23_N30
WideAnd2230 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2230~combout\ = (\WideAnd2230~0_combout\ & (\led_flash_cnt[2230][0]~q\ & (\WideAnd2230~1_combout\ & \led_flash_cnt[2230][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2230~0_combout\,
	datab => \led_flash_cnt[2230][0]~q\,
	datac => \WideAnd2230~1_combout\,
	datad => \led_flash_cnt[2230][7]~q\,
	combout => \WideAnd2230~combout\);

-- Location: FF_X60_Y23_N31
\led_flash_cnt_ands[2230]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2230~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2230));

-- Location: LCCOMB_X62_Y23_N28
\led_flash_cnt[2228][0]~82868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2228][0]~82868_combout\ = !\led_flash_cnt[2228][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2228][0]~q\,
	combout => \led_flash_cnt[2228][0]~82868_combout\);

-- Location: FF_X62_Y23_N29
\led_flash_cnt[2228][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2228][0]~82868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2228][0]~q\);

-- Location: LCCOMB_X62_Y23_N10
\led_flash_cnt[2228][1]~58072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2228][1]~58072_combout\ = (\led_flash_cnt[2228][1]~q\ & (\led_flash_cnt[2228][0]~q\ $ (VCC))) # (!\led_flash_cnt[2228][1]~q\ & (\led_flash_cnt[2228][0]~q\ & VCC))
-- \led_flash_cnt[2228][1]~58073\ = CARRY((\led_flash_cnt[2228][1]~q\ & \led_flash_cnt[2228][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2228][1]~q\,
	datab => \led_flash_cnt[2228][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2228][1]~58072_combout\,
	cout => \led_flash_cnt[2228][1]~58073\);

-- Location: FF_X62_Y23_N11
\led_flash_cnt[2228][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2228][1]~58072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2228][1]~q\);

-- Location: LCCOMB_X62_Y23_N12
\led_flash_cnt[2228][2]~58074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2228][2]~58074_combout\ = (\led_flash_cnt[2228][2]~q\ & (!\led_flash_cnt[2228][1]~58073\)) # (!\led_flash_cnt[2228][2]~q\ & ((\led_flash_cnt[2228][1]~58073\) # (GND)))
-- \led_flash_cnt[2228][2]~58075\ = CARRY((!\led_flash_cnt[2228][1]~58073\) # (!\led_flash_cnt[2228][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2228][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2228][1]~58073\,
	combout => \led_flash_cnt[2228][2]~58074_combout\,
	cout => \led_flash_cnt[2228][2]~58075\);

-- Location: FF_X62_Y23_N13
\led_flash_cnt[2228][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2228][2]~58074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2228][2]~q\);

-- Location: LCCOMB_X62_Y23_N14
\led_flash_cnt[2228][3]~58076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2228][3]~58076_combout\ = (\led_flash_cnt[2228][3]~q\ & (\led_flash_cnt[2228][2]~58075\ $ (GND))) # (!\led_flash_cnt[2228][3]~q\ & (!\led_flash_cnt[2228][2]~58075\ & VCC))
-- \led_flash_cnt[2228][3]~58077\ = CARRY((\led_flash_cnt[2228][3]~q\ & !\led_flash_cnt[2228][2]~58075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2228][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2228][2]~58075\,
	combout => \led_flash_cnt[2228][3]~58076_combout\,
	cout => \led_flash_cnt[2228][3]~58077\);

-- Location: FF_X62_Y23_N15
\led_flash_cnt[2228][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2228][3]~58076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2228][3]~q\);

-- Location: LCCOMB_X62_Y23_N16
\led_flash_cnt[2228][4]~58078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2228][4]~58078_combout\ = (\led_flash_cnt[2228][4]~q\ & (!\led_flash_cnt[2228][3]~58077\)) # (!\led_flash_cnt[2228][4]~q\ & ((\led_flash_cnt[2228][3]~58077\) # (GND)))
-- \led_flash_cnt[2228][4]~58079\ = CARRY((!\led_flash_cnt[2228][3]~58077\) # (!\led_flash_cnt[2228][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2228][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2228][3]~58077\,
	combout => \led_flash_cnt[2228][4]~58078_combout\,
	cout => \led_flash_cnt[2228][4]~58079\);

-- Location: FF_X62_Y23_N17
\led_flash_cnt[2228][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2228][4]~58078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2228][4]~q\);

-- Location: LCCOMB_X62_Y23_N18
\led_flash_cnt[2228][5]~58080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2228][5]~58080_combout\ = (\led_flash_cnt[2228][5]~q\ & (\led_flash_cnt[2228][4]~58079\ $ (GND))) # (!\led_flash_cnt[2228][5]~q\ & (!\led_flash_cnt[2228][4]~58079\ & VCC))
-- \led_flash_cnt[2228][5]~58081\ = CARRY((\led_flash_cnt[2228][5]~q\ & !\led_flash_cnt[2228][4]~58079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2228][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2228][4]~58079\,
	combout => \led_flash_cnt[2228][5]~58080_combout\,
	cout => \led_flash_cnt[2228][5]~58081\);

-- Location: FF_X62_Y23_N19
\led_flash_cnt[2228][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2228][5]~58080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2228][5]~q\);

-- Location: LCCOMB_X62_Y23_N20
\led_flash_cnt[2228][6]~58082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2228][6]~58082_combout\ = (\led_flash_cnt[2228][6]~q\ & (!\led_flash_cnt[2228][5]~58081\)) # (!\led_flash_cnt[2228][6]~q\ & ((\led_flash_cnt[2228][5]~58081\) # (GND)))
-- \led_flash_cnt[2228][6]~58083\ = CARRY((!\led_flash_cnt[2228][5]~58081\) # (!\led_flash_cnt[2228][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2228][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2228][5]~58081\,
	combout => \led_flash_cnt[2228][6]~58082_combout\,
	cout => \led_flash_cnt[2228][6]~58083\);

-- Location: FF_X62_Y23_N21
\led_flash_cnt[2228][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2228][6]~58082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2228][6]~q\);

-- Location: LCCOMB_X62_Y23_N26
\WideAnd2228~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2228~1_combout\ = (\led_flash_cnt[2228][6]~q\ & \led_flash_cnt[2228][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2228][6]~q\,
	datad => \led_flash_cnt[2228][5]~q\,
	combout => \WideAnd2228~1_combout\);

-- Location: LCCOMB_X62_Y23_N22
\led_flash_cnt[2228][7]~58084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2228][7]~58084_combout\ = \led_flash_cnt[2228][7]~q\ $ (!\led_flash_cnt[2228][6]~58083\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2228][7]~q\,
	cin => \led_flash_cnt[2228][6]~58083\,
	combout => \led_flash_cnt[2228][7]~58084_combout\);

-- Location: FF_X62_Y23_N23
\led_flash_cnt[2228][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2228][7]~58084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2228][7]~q\);

-- Location: LCCOMB_X62_Y23_N2
\WideAnd2228~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2228~0_combout\ = (\led_flash_cnt[2228][1]~q\ & (\led_flash_cnt[2228][4]~q\ & (\led_flash_cnt[2228][3]~q\ & \led_flash_cnt[2228][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2228][1]~q\,
	datab => \led_flash_cnt[2228][4]~q\,
	datac => \led_flash_cnt[2228][3]~q\,
	datad => \led_flash_cnt[2228][2]~q\,
	combout => \WideAnd2228~0_combout\);

-- Location: LCCOMB_X62_Y23_N4
WideAnd2228 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2228~combout\ = (\WideAnd2228~1_combout\ & (\led_flash_cnt[2228][0]~q\ & (\led_flash_cnt[2228][7]~q\ & \WideAnd2228~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2228~1_combout\,
	datab => \led_flash_cnt[2228][0]~q\,
	datac => \led_flash_cnt[2228][7]~q\,
	datad => \WideAnd2228~0_combout\,
	combout => \WideAnd2228~combout\);

-- Location: FF_X62_Y23_N5
\led_flash_cnt_ands[2228]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2228~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2228));

-- Location: LCCOMB_X64_Y23_N2
\led_flash_cnt[2229][0]~82869\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2229][0]~82869_combout\ = !\led_flash_cnt[2229][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2229][0]~q\,
	combout => \led_flash_cnt[2229][0]~82869_combout\);

-- Location: FF_X64_Y23_N3
\led_flash_cnt[2229][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2229][0]~82869_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2229][0]~q\);

-- Location: LCCOMB_X63_Y23_N18
\led_flash_cnt[2229][1]~58086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2229][1]~58086_combout\ = (\led_flash_cnt[2229][0]~q\ & (\led_flash_cnt[2229][1]~q\ $ (VCC))) # (!\led_flash_cnt[2229][0]~q\ & (\led_flash_cnt[2229][1]~q\ & VCC))
-- \led_flash_cnt[2229][1]~58087\ = CARRY((\led_flash_cnt[2229][0]~q\ & \led_flash_cnt[2229][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2229][0]~q\,
	datab => \led_flash_cnt[2229][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2229][1]~58086_combout\,
	cout => \led_flash_cnt[2229][1]~58087\);

-- Location: FF_X63_Y23_N19
\led_flash_cnt[2229][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2229][1]~58086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2229][1]~q\);

-- Location: LCCOMB_X63_Y23_N20
\led_flash_cnt[2229][2]~58088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2229][2]~58088_combout\ = (\led_flash_cnt[2229][2]~q\ & (!\led_flash_cnt[2229][1]~58087\)) # (!\led_flash_cnt[2229][2]~q\ & ((\led_flash_cnt[2229][1]~58087\) # (GND)))
-- \led_flash_cnt[2229][2]~58089\ = CARRY((!\led_flash_cnt[2229][1]~58087\) # (!\led_flash_cnt[2229][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2229][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2229][1]~58087\,
	combout => \led_flash_cnt[2229][2]~58088_combout\,
	cout => \led_flash_cnt[2229][2]~58089\);

-- Location: FF_X63_Y23_N21
\led_flash_cnt[2229][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2229][2]~58088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2229][2]~q\);

-- Location: LCCOMB_X63_Y23_N22
\led_flash_cnt[2229][3]~58090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2229][3]~58090_combout\ = (\led_flash_cnt[2229][3]~q\ & (\led_flash_cnt[2229][2]~58089\ $ (GND))) # (!\led_flash_cnt[2229][3]~q\ & (!\led_flash_cnt[2229][2]~58089\ & VCC))
-- \led_flash_cnt[2229][3]~58091\ = CARRY((\led_flash_cnt[2229][3]~q\ & !\led_flash_cnt[2229][2]~58089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2229][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2229][2]~58089\,
	combout => \led_flash_cnt[2229][3]~58090_combout\,
	cout => \led_flash_cnt[2229][3]~58091\);

-- Location: FF_X63_Y23_N23
\led_flash_cnt[2229][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2229][3]~58090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2229][3]~q\);

-- Location: LCCOMB_X63_Y23_N24
\led_flash_cnt[2229][4]~58092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2229][4]~58092_combout\ = (\led_flash_cnt[2229][4]~q\ & (!\led_flash_cnt[2229][3]~58091\)) # (!\led_flash_cnt[2229][4]~q\ & ((\led_flash_cnt[2229][3]~58091\) # (GND)))
-- \led_flash_cnt[2229][4]~58093\ = CARRY((!\led_flash_cnt[2229][3]~58091\) # (!\led_flash_cnt[2229][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2229][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2229][3]~58091\,
	combout => \led_flash_cnt[2229][4]~58092_combout\,
	cout => \led_flash_cnt[2229][4]~58093\);

-- Location: FF_X63_Y23_N25
\led_flash_cnt[2229][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2229][4]~58092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2229][4]~q\);

-- Location: LCCOMB_X64_Y23_N6
\WideAnd2229~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2229~0_combout\ = (\led_flash_cnt[2229][2]~q\ & (\led_flash_cnt[2229][3]~q\ & (\led_flash_cnt[2229][4]~q\ & \led_flash_cnt[2229][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2229][2]~q\,
	datab => \led_flash_cnt[2229][3]~q\,
	datac => \led_flash_cnt[2229][4]~q\,
	datad => \led_flash_cnt[2229][1]~q\,
	combout => \WideAnd2229~0_combout\);

-- Location: LCCOMB_X63_Y23_N26
\led_flash_cnt[2229][5]~58094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2229][5]~58094_combout\ = (\led_flash_cnt[2229][5]~q\ & (\led_flash_cnt[2229][4]~58093\ $ (GND))) # (!\led_flash_cnt[2229][5]~q\ & (!\led_flash_cnt[2229][4]~58093\ & VCC))
-- \led_flash_cnt[2229][5]~58095\ = CARRY((\led_flash_cnt[2229][5]~q\ & !\led_flash_cnt[2229][4]~58093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2229][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2229][4]~58093\,
	combout => \led_flash_cnt[2229][5]~58094_combout\,
	cout => \led_flash_cnt[2229][5]~58095\);

-- Location: FF_X63_Y23_N27
\led_flash_cnt[2229][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2229][5]~58094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2229][5]~q\);

-- Location: LCCOMB_X63_Y23_N28
\led_flash_cnt[2229][6]~58096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2229][6]~58096_combout\ = (\led_flash_cnt[2229][6]~q\ & (!\led_flash_cnt[2229][5]~58095\)) # (!\led_flash_cnt[2229][6]~q\ & ((\led_flash_cnt[2229][5]~58095\) # (GND)))
-- \led_flash_cnt[2229][6]~58097\ = CARRY((!\led_flash_cnt[2229][5]~58095\) # (!\led_flash_cnt[2229][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2229][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2229][5]~58095\,
	combout => \led_flash_cnt[2229][6]~58096_combout\,
	cout => \led_flash_cnt[2229][6]~58097\);

-- Location: FF_X63_Y23_N29
\led_flash_cnt[2229][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2229][6]~58096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2229][6]~q\);

-- Location: LCCOMB_X63_Y23_N30
\led_flash_cnt[2229][7]~58098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2229][7]~58098_combout\ = \led_flash_cnt[2229][7]~q\ $ (!\led_flash_cnt[2229][6]~58097\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2229][7]~q\,
	cin => \led_flash_cnt[2229][6]~58097\,
	combout => \led_flash_cnt[2229][7]~58098_combout\);

-- Location: FF_X63_Y23_N31
\led_flash_cnt[2229][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2229][7]~58098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2229][7]~q\);

-- Location: LCCOMB_X64_Y23_N8
\WideAnd2229~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2229~1_combout\ = (\led_flash_cnt[2229][5]~q\ & \led_flash_cnt[2229][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2229][5]~q\,
	datad => \led_flash_cnt[2229][6]~q\,
	combout => \WideAnd2229~1_combout\);

-- Location: LCCOMB_X64_Y23_N26
WideAnd2229 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2229~combout\ = (\WideAnd2229~0_combout\ & (\led_flash_cnt[2229][7]~q\ & (\WideAnd2229~1_combout\ & \led_flash_cnt[2229][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2229~0_combout\,
	datab => \led_flash_cnt[2229][7]~q\,
	datac => \WideAnd2229~1_combout\,
	datad => \led_flash_cnt[2229][0]~q\,
	combout => \WideAnd2229~combout\);

-- Location: FF_X64_Y23_N27
\led_flash_cnt_ands[2229]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2229~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2229));

-- Location: LCCOMB_X63_Y23_N16
\WideAnd4118~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4118~1_combout\ = (led_flash_cnt_ands(2228) & led_flash_cnt_ands(2229))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2228),
	datad => led_flash_cnt_ands(2229),
	combout => \WideAnd4118~1_combout\);

-- Location: LCCOMB_X60_Y23_N4
WideAnd4118 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4118~combout\ = (led_flash_cnt_ands(2231) & (\WideAnd4118~0_combout\ & (led_flash_cnt_ands(2230) & \WideAnd4118~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2231),
	datab => \WideAnd4118~0_combout\,
	datac => led_flash_cnt_ands(2230),
	datad => \WideAnd4118~1_combout\,
	combout => \WideAnd4118~combout\);

-- Location: FF_X60_Y23_N5
\led_flash_cnt_ands_1[278]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4118~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(278));

-- Location: LCCOMB_X25_Y28_N24
\led_flash_cnt[2236][0]~82876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2236][0]~82876_combout\ = !\led_flash_cnt[2236][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2236][0]~q\,
	combout => \led_flash_cnt[2236][0]~82876_combout\);

-- Location: FF_X25_Y28_N25
\led_flash_cnt[2236][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2236][0]~82876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2236][0]~q\);

-- Location: LCCOMB_X25_Y28_N10
\led_flash_cnt[2236][1]~58184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2236][1]~58184_combout\ = (\led_flash_cnt[2236][1]~q\ & (\led_flash_cnt[2236][0]~q\ $ (VCC))) # (!\led_flash_cnt[2236][1]~q\ & (\led_flash_cnt[2236][0]~q\ & VCC))
-- \led_flash_cnt[2236][1]~58185\ = CARRY((\led_flash_cnt[2236][1]~q\ & \led_flash_cnt[2236][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2236][1]~q\,
	datab => \led_flash_cnt[2236][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2236][1]~58184_combout\,
	cout => \led_flash_cnt[2236][1]~58185\);

-- Location: FF_X25_Y28_N11
\led_flash_cnt[2236][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2236][1]~58184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2236][1]~q\);

-- Location: LCCOMB_X25_Y28_N12
\led_flash_cnt[2236][2]~58186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2236][2]~58186_combout\ = (\led_flash_cnt[2236][2]~q\ & (!\led_flash_cnt[2236][1]~58185\)) # (!\led_flash_cnt[2236][2]~q\ & ((\led_flash_cnt[2236][1]~58185\) # (GND)))
-- \led_flash_cnt[2236][2]~58187\ = CARRY((!\led_flash_cnt[2236][1]~58185\) # (!\led_flash_cnt[2236][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2236][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2236][1]~58185\,
	combout => \led_flash_cnt[2236][2]~58186_combout\,
	cout => \led_flash_cnt[2236][2]~58187\);

-- Location: FF_X25_Y28_N13
\led_flash_cnt[2236][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2236][2]~58186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2236][2]~q\);

-- Location: LCCOMB_X25_Y28_N14
\led_flash_cnt[2236][3]~58188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2236][3]~58188_combout\ = (\led_flash_cnt[2236][3]~q\ & (\led_flash_cnt[2236][2]~58187\ $ (GND))) # (!\led_flash_cnt[2236][3]~q\ & (!\led_flash_cnt[2236][2]~58187\ & VCC))
-- \led_flash_cnt[2236][3]~58189\ = CARRY((\led_flash_cnt[2236][3]~q\ & !\led_flash_cnt[2236][2]~58187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2236][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2236][2]~58187\,
	combout => \led_flash_cnt[2236][3]~58188_combout\,
	cout => \led_flash_cnt[2236][3]~58189\);

-- Location: FF_X25_Y28_N15
\led_flash_cnt[2236][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2236][3]~58188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2236][3]~q\);

-- Location: LCCOMB_X25_Y28_N16
\led_flash_cnt[2236][4]~58190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2236][4]~58190_combout\ = (\led_flash_cnt[2236][4]~q\ & (!\led_flash_cnt[2236][3]~58189\)) # (!\led_flash_cnt[2236][4]~q\ & ((\led_flash_cnt[2236][3]~58189\) # (GND)))
-- \led_flash_cnt[2236][4]~58191\ = CARRY((!\led_flash_cnt[2236][3]~58189\) # (!\led_flash_cnt[2236][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2236][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2236][3]~58189\,
	combout => \led_flash_cnt[2236][4]~58190_combout\,
	cout => \led_flash_cnt[2236][4]~58191\);

-- Location: FF_X25_Y28_N17
\led_flash_cnt[2236][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2236][4]~58190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2236][4]~q\);

-- Location: LCCOMB_X25_Y28_N18
\led_flash_cnt[2236][5]~58192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2236][5]~58192_combout\ = (\led_flash_cnt[2236][5]~q\ & (\led_flash_cnt[2236][4]~58191\ $ (GND))) # (!\led_flash_cnt[2236][5]~q\ & (!\led_flash_cnt[2236][4]~58191\ & VCC))
-- \led_flash_cnt[2236][5]~58193\ = CARRY((\led_flash_cnt[2236][5]~q\ & !\led_flash_cnt[2236][4]~58191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2236][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2236][4]~58191\,
	combout => \led_flash_cnt[2236][5]~58192_combout\,
	cout => \led_flash_cnt[2236][5]~58193\);

-- Location: FF_X25_Y28_N19
\led_flash_cnt[2236][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2236][5]~58192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2236][5]~q\);

-- Location: LCCOMB_X25_Y28_N20
\led_flash_cnt[2236][6]~58194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2236][6]~58194_combout\ = (\led_flash_cnt[2236][6]~q\ & (!\led_flash_cnt[2236][5]~58193\)) # (!\led_flash_cnt[2236][6]~q\ & ((\led_flash_cnt[2236][5]~58193\) # (GND)))
-- \led_flash_cnt[2236][6]~58195\ = CARRY((!\led_flash_cnt[2236][5]~58193\) # (!\led_flash_cnt[2236][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2236][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2236][5]~58193\,
	combout => \led_flash_cnt[2236][6]~58194_combout\,
	cout => \led_flash_cnt[2236][6]~58195\);

-- Location: FF_X25_Y28_N21
\led_flash_cnt[2236][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2236][6]~58194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2236][6]~q\);

-- Location: LCCOMB_X25_Y28_N6
\WideAnd2236~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2236~1_combout\ = (\led_flash_cnt[2236][5]~q\ & \led_flash_cnt[2236][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2236][5]~q\,
	datad => \led_flash_cnt[2236][6]~q\,
	combout => \WideAnd2236~1_combout\);

-- Location: LCCOMB_X25_Y28_N4
\WideAnd2236~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2236~0_combout\ = (\led_flash_cnt[2236][1]~q\ & (\led_flash_cnt[2236][4]~q\ & (\led_flash_cnt[2236][3]~q\ & \led_flash_cnt[2236][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2236][1]~q\,
	datab => \led_flash_cnt[2236][4]~q\,
	datac => \led_flash_cnt[2236][3]~q\,
	datad => \led_flash_cnt[2236][2]~q\,
	combout => \WideAnd2236~0_combout\);

-- Location: LCCOMB_X25_Y28_N22
\led_flash_cnt[2236][7]~58196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2236][7]~58196_combout\ = \led_flash_cnt[2236][7]~q\ $ (!\led_flash_cnt[2236][6]~58195\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2236][7]~q\,
	cin => \led_flash_cnt[2236][6]~58195\,
	combout => \led_flash_cnt[2236][7]~58196_combout\);

-- Location: FF_X25_Y28_N23
\led_flash_cnt[2236][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2236][7]~58196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2236][7]~q\);

-- Location: LCCOMB_X25_Y28_N28
WideAnd2236 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2236~combout\ = (\WideAnd2236~1_combout\ & (\WideAnd2236~0_combout\ & (\led_flash_cnt[2236][7]~q\ & \led_flash_cnt[2236][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2236~1_combout\,
	datab => \WideAnd2236~0_combout\,
	datac => \led_flash_cnt[2236][7]~q\,
	datad => \led_flash_cnt[2236][0]~q\,
	combout => \WideAnd2236~combout\);

-- Location: FF_X25_Y28_N29
\led_flash_cnt_ands[2236]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2236~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2236));

-- Location: LCCOMB_X63_Y25_N8
\led_flash_cnt[2237][0]~82877\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2237][0]~82877_combout\ = !\led_flash_cnt[2237][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2237][0]~q\,
	combout => \led_flash_cnt[2237][0]~82877_combout\);

-- Location: FF_X63_Y25_N9
\led_flash_cnt[2237][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2237][0]~82877_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2237][0]~q\);

-- Location: LCCOMB_X63_Y25_N10
\led_flash_cnt[2237][1]~58198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2237][1]~58198_combout\ = (\led_flash_cnt[2237][1]~q\ & (\led_flash_cnt[2237][0]~q\ $ (VCC))) # (!\led_flash_cnt[2237][1]~q\ & (\led_flash_cnt[2237][0]~q\ & VCC))
-- \led_flash_cnt[2237][1]~58199\ = CARRY((\led_flash_cnt[2237][1]~q\ & \led_flash_cnt[2237][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2237][1]~q\,
	datab => \led_flash_cnt[2237][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2237][1]~58198_combout\,
	cout => \led_flash_cnt[2237][1]~58199\);

-- Location: FF_X63_Y25_N11
\led_flash_cnt[2237][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2237][1]~58198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2237][1]~q\);

-- Location: LCCOMB_X63_Y25_N12
\led_flash_cnt[2237][2]~58200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2237][2]~58200_combout\ = (\led_flash_cnt[2237][2]~q\ & (!\led_flash_cnt[2237][1]~58199\)) # (!\led_flash_cnt[2237][2]~q\ & ((\led_flash_cnt[2237][1]~58199\) # (GND)))
-- \led_flash_cnt[2237][2]~58201\ = CARRY((!\led_flash_cnt[2237][1]~58199\) # (!\led_flash_cnt[2237][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2237][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2237][1]~58199\,
	combout => \led_flash_cnt[2237][2]~58200_combout\,
	cout => \led_flash_cnt[2237][2]~58201\);

-- Location: FF_X63_Y25_N13
\led_flash_cnt[2237][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2237][2]~58200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2237][2]~q\);

-- Location: LCCOMB_X63_Y25_N14
\led_flash_cnt[2237][3]~58202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2237][3]~58202_combout\ = (\led_flash_cnt[2237][3]~q\ & (\led_flash_cnt[2237][2]~58201\ $ (GND))) # (!\led_flash_cnt[2237][3]~q\ & (!\led_flash_cnt[2237][2]~58201\ & VCC))
-- \led_flash_cnt[2237][3]~58203\ = CARRY((\led_flash_cnt[2237][3]~q\ & !\led_flash_cnt[2237][2]~58201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2237][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2237][2]~58201\,
	combout => \led_flash_cnt[2237][3]~58202_combout\,
	cout => \led_flash_cnt[2237][3]~58203\);

-- Location: FF_X63_Y25_N15
\led_flash_cnt[2237][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2237][3]~58202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2237][3]~q\);

-- Location: LCCOMB_X63_Y25_N16
\led_flash_cnt[2237][4]~58204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2237][4]~58204_combout\ = (\led_flash_cnt[2237][4]~q\ & (!\led_flash_cnt[2237][3]~58203\)) # (!\led_flash_cnt[2237][4]~q\ & ((\led_flash_cnt[2237][3]~58203\) # (GND)))
-- \led_flash_cnt[2237][4]~58205\ = CARRY((!\led_flash_cnt[2237][3]~58203\) # (!\led_flash_cnt[2237][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2237][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2237][3]~58203\,
	combout => \led_flash_cnt[2237][4]~58204_combout\,
	cout => \led_flash_cnt[2237][4]~58205\);

-- Location: FF_X63_Y25_N17
\led_flash_cnt[2237][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2237][4]~58204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2237][4]~q\);

-- Location: LCCOMB_X63_Y25_N18
\led_flash_cnt[2237][5]~58206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2237][5]~58206_combout\ = (\led_flash_cnt[2237][5]~q\ & (\led_flash_cnt[2237][4]~58205\ $ (GND))) # (!\led_flash_cnt[2237][5]~q\ & (!\led_flash_cnt[2237][4]~58205\ & VCC))
-- \led_flash_cnt[2237][5]~58207\ = CARRY((\led_flash_cnt[2237][5]~q\ & !\led_flash_cnt[2237][4]~58205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2237][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2237][4]~58205\,
	combout => \led_flash_cnt[2237][5]~58206_combout\,
	cout => \led_flash_cnt[2237][5]~58207\);

-- Location: FF_X63_Y25_N19
\led_flash_cnt[2237][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2237][5]~58206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2237][5]~q\);

-- Location: LCCOMB_X63_Y25_N20
\led_flash_cnt[2237][6]~58208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2237][6]~58208_combout\ = (\led_flash_cnt[2237][6]~q\ & (!\led_flash_cnt[2237][5]~58207\)) # (!\led_flash_cnt[2237][6]~q\ & ((\led_flash_cnt[2237][5]~58207\) # (GND)))
-- \led_flash_cnt[2237][6]~58209\ = CARRY((!\led_flash_cnt[2237][5]~58207\) # (!\led_flash_cnt[2237][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2237][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2237][5]~58207\,
	combout => \led_flash_cnt[2237][6]~58208_combout\,
	cout => \led_flash_cnt[2237][6]~58209\);

-- Location: FF_X63_Y25_N21
\led_flash_cnt[2237][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2237][6]~58208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2237][6]~q\);

-- Location: LCCOMB_X63_Y25_N26
\WideAnd2237~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2237~1_combout\ = (\led_flash_cnt[2237][6]~q\ & \led_flash_cnt[2237][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2237][6]~q\,
	datad => \led_flash_cnt[2237][5]~q\,
	combout => \WideAnd2237~1_combout\);

-- Location: LCCOMB_X63_Y25_N22
\led_flash_cnt[2237][7]~58210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2237][7]~58210_combout\ = \led_flash_cnt[2237][7]~q\ $ (!\led_flash_cnt[2237][6]~58209\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2237][7]~q\,
	cin => \led_flash_cnt[2237][6]~58209\,
	combout => \led_flash_cnt[2237][7]~58210_combout\);

-- Location: FF_X63_Y25_N23
\led_flash_cnt[2237][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2237][7]~58210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2237][7]~q\);

-- Location: LCCOMB_X63_Y25_N28
\WideAnd2237~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2237~0_combout\ = (\led_flash_cnt[2237][2]~q\ & (\led_flash_cnt[2237][4]~q\ & (\led_flash_cnt[2237][3]~q\ & \led_flash_cnt[2237][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2237][2]~q\,
	datab => \led_flash_cnt[2237][4]~q\,
	datac => \led_flash_cnt[2237][3]~q\,
	datad => \led_flash_cnt[2237][1]~q\,
	combout => \WideAnd2237~0_combout\);

-- Location: LCCOMB_X63_Y25_N24
WideAnd2237 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2237~combout\ = (\WideAnd2237~1_combout\ & (\led_flash_cnt[2237][0]~q\ & (\led_flash_cnt[2237][7]~q\ & \WideAnd2237~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2237~1_combout\,
	datab => \led_flash_cnt[2237][0]~q\,
	datac => \led_flash_cnt[2237][7]~q\,
	datad => \WideAnd2237~0_combout\,
	combout => \WideAnd2237~combout\);

-- Location: FF_X63_Y25_N25
\led_flash_cnt_ands[2237]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2237~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2237));

-- Location: LCCOMB_X58_Y28_N16
\WideAnd4119~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4119~1_combout\ = (led_flash_cnt_ands(2236) & led_flash_cnt_ands(2237))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2236),
	datad => led_flash_cnt_ands(2237),
	combout => \WideAnd4119~1_combout\);

-- Location: LCCOMB_X25_Y28_N26
\led_flash_cnt[2234][0]~82874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2234][0]~82874_combout\ = !\led_flash_cnt[2234][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2234][0]~q\,
	combout => \led_flash_cnt[2234][0]~82874_combout\);

-- Location: FF_X25_Y28_N27
\led_flash_cnt[2234][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2234][0]~82874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2234][0]~q\);

-- Location: LCCOMB_X24_Y28_N4
\led_flash_cnt[2234][1]~58156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2234][1]~58156_combout\ = (\led_flash_cnt[2234][0]~q\ & (\led_flash_cnt[2234][1]~q\ $ (VCC))) # (!\led_flash_cnt[2234][0]~q\ & (\led_flash_cnt[2234][1]~q\ & VCC))
-- \led_flash_cnt[2234][1]~58157\ = CARRY((\led_flash_cnt[2234][0]~q\ & \led_flash_cnt[2234][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2234][0]~q\,
	datab => \led_flash_cnt[2234][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2234][1]~58156_combout\,
	cout => \led_flash_cnt[2234][1]~58157\);

-- Location: FF_X24_Y28_N5
\led_flash_cnt[2234][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2234][1]~58156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2234][1]~q\);

-- Location: LCCOMB_X24_Y28_N6
\led_flash_cnt[2234][2]~58158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2234][2]~58158_combout\ = (\led_flash_cnt[2234][2]~q\ & (!\led_flash_cnt[2234][1]~58157\)) # (!\led_flash_cnt[2234][2]~q\ & ((\led_flash_cnt[2234][1]~58157\) # (GND)))
-- \led_flash_cnt[2234][2]~58159\ = CARRY((!\led_flash_cnt[2234][1]~58157\) # (!\led_flash_cnt[2234][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2234][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2234][1]~58157\,
	combout => \led_flash_cnt[2234][2]~58158_combout\,
	cout => \led_flash_cnt[2234][2]~58159\);

-- Location: FF_X24_Y28_N7
\led_flash_cnt[2234][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2234][2]~58158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2234][2]~q\);

-- Location: LCCOMB_X24_Y28_N8
\led_flash_cnt[2234][3]~58160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2234][3]~58160_combout\ = (\led_flash_cnt[2234][3]~q\ & (\led_flash_cnt[2234][2]~58159\ $ (GND))) # (!\led_flash_cnt[2234][3]~q\ & (!\led_flash_cnt[2234][2]~58159\ & VCC))
-- \led_flash_cnt[2234][3]~58161\ = CARRY((\led_flash_cnt[2234][3]~q\ & !\led_flash_cnt[2234][2]~58159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2234][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2234][2]~58159\,
	combout => \led_flash_cnt[2234][3]~58160_combout\,
	cout => \led_flash_cnt[2234][3]~58161\);

-- Location: FF_X24_Y28_N9
\led_flash_cnt[2234][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2234][3]~58160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2234][3]~q\);

-- Location: LCCOMB_X24_Y28_N10
\led_flash_cnt[2234][4]~58162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2234][4]~58162_combout\ = (\led_flash_cnt[2234][4]~q\ & (!\led_flash_cnt[2234][3]~58161\)) # (!\led_flash_cnt[2234][4]~q\ & ((\led_flash_cnt[2234][3]~58161\) # (GND)))
-- \led_flash_cnt[2234][4]~58163\ = CARRY((!\led_flash_cnt[2234][3]~58161\) # (!\led_flash_cnt[2234][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2234][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2234][3]~58161\,
	combout => \led_flash_cnt[2234][4]~58162_combout\,
	cout => \led_flash_cnt[2234][4]~58163\);

-- Location: FF_X24_Y28_N11
\led_flash_cnt[2234][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2234][4]~58162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2234][4]~q\);

-- Location: LCCOMB_X24_Y28_N12
\led_flash_cnt[2234][5]~58164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2234][5]~58164_combout\ = (\led_flash_cnt[2234][5]~q\ & (\led_flash_cnt[2234][4]~58163\ $ (GND))) # (!\led_flash_cnt[2234][5]~q\ & (!\led_flash_cnt[2234][4]~58163\ & VCC))
-- \led_flash_cnt[2234][5]~58165\ = CARRY((\led_flash_cnt[2234][5]~q\ & !\led_flash_cnt[2234][4]~58163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2234][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2234][4]~58163\,
	combout => \led_flash_cnt[2234][5]~58164_combout\,
	cout => \led_flash_cnt[2234][5]~58165\);

-- Location: FF_X24_Y28_N13
\led_flash_cnt[2234][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2234][5]~58164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2234][5]~q\);

-- Location: LCCOMB_X24_Y28_N14
\led_flash_cnt[2234][6]~58166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2234][6]~58166_combout\ = (\led_flash_cnt[2234][6]~q\ & (!\led_flash_cnt[2234][5]~58165\)) # (!\led_flash_cnt[2234][6]~q\ & ((\led_flash_cnt[2234][5]~58165\) # (GND)))
-- \led_flash_cnt[2234][6]~58167\ = CARRY((!\led_flash_cnt[2234][5]~58165\) # (!\led_flash_cnt[2234][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2234][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2234][5]~58165\,
	combout => \led_flash_cnt[2234][6]~58166_combout\,
	cout => \led_flash_cnt[2234][6]~58167\);

-- Location: FF_X24_Y28_N15
\led_flash_cnt[2234][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2234][6]~58166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2234][6]~q\);

-- Location: LCCOMB_X24_Y28_N16
\led_flash_cnt[2234][7]~58168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2234][7]~58168_combout\ = \led_flash_cnt[2234][6]~58167\ $ (!\led_flash_cnt[2234][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2234][7]~q\,
	cin => \led_flash_cnt[2234][6]~58167\,
	combout => \led_flash_cnt[2234][7]~58168_combout\);

-- Location: FF_X24_Y28_N17
\led_flash_cnt[2234][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2234][7]~58168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2234][7]~q\);

-- Location: LCCOMB_X25_Y28_N8
\WideAnd2234~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2234~1_combout\ = (\led_flash_cnt[2234][5]~q\ & \led_flash_cnt[2234][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2234][5]~q\,
	datad => \led_flash_cnt[2234][6]~q\,
	combout => \WideAnd2234~1_combout\);

-- Location: LCCOMB_X24_Y28_N2
\WideAnd2234~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2234~0_combout\ = (\led_flash_cnt[2234][2]~q\ & (\led_flash_cnt[2234][3]~q\ & (\led_flash_cnt[2234][1]~q\ & \led_flash_cnt[2234][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2234][2]~q\,
	datab => \led_flash_cnt[2234][3]~q\,
	datac => \led_flash_cnt[2234][1]~q\,
	datad => \led_flash_cnt[2234][4]~q\,
	combout => \WideAnd2234~0_combout\);

-- Location: LCCOMB_X25_Y28_N2
WideAnd2234 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2234~combout\ = (\led_flash_cnt[2234][7]~q\ & (\WideAnd2234~1_combout\ & (\led_flash_cnt[2234][0]~q\ & \WideAnd2234~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2234][7]~q\,
	datab => \WideAnd2234~1_combout\,
	datac => \led_flash_cnt[2234][0]~q\,
	datad => \WideAnd2234~0_combout\,
	combout => \WideAnd2234~combout\);

-- Location: FF_X25_Y28_N3
\led_flash_cnt_ands[2234]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2234~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2234));

-- Location: LCCOMB_X46_Y25_N28
\led_flash_cnt[2233][0]~82873\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2233][0]~82873_combout\ = !\led_flash_cnt[2233][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2233][0]~q\,
	combout => \led_flash_cnt[2233][0]~82873_combout\);

-- Location: FF_X46_Y25_N29
\led_flash_cnt[2233][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2233][0]~82873_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2233][0]~q\);

-- Location: LCCOMB_X47_Y25_N18
\led_flash_cnt[2233][1]~58142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2233][1]~58142_combout\ = (\led_flash_cnt[2233][0]~q\ & (\led_flash_cnt[2233][1]~q\ $ (VCC))) # (!\led_flash_cnt[2233][0]~q\ & (\led_flash_cnt[2233][1]~q\ & VCC))
-- \led_flash_cnt[2233][1]~58143\ = CARRY((\led_flash_cnt[2233][0]~q\ & \led_flash_cnt[2233][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2233][0]~q\,
	datab => \led_flash_cnt[2233][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2233][1]~58142_combout\,
	cout => \led_flash_cnt[2233][1]~58143\);

-- Location: FF_X47_Y25_N19
\led_flash_cnt[2233][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2233][1]~58142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2233][1]~q\);

-- Location: LCCOMB_X47_Y25_N20
\led_flash_cnt[2233][2]~58144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2233][2]~58144_combout\ = (\led_flash_cnt[2233][2]~q\ & (!\led_flash_cnt[2233][1]~58143\)) # (!\led_flash_cnt[2233][2]~q\ & ((\led_flash_cnt[2233][1]~58143\) # (GND)))
-- \led_flash_cnt[2233][2]~58145\ = CARRY((!\led_flash_cnt[2233][1]~58143\) # (!\led_flash_cnt[2233][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2233][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2233][1]~58143\,
	combout => \led_flash_cnt[2233][2]~58144_combout\,
	cout => \led_flash_cnt[2233][2]~58145\);

-- Location: FF_X47_Y25_N21
\led_flash_cnt[2233][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2233][2]~58144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2233][2]~q\);

-- Location: LCCOMB_X47_Y25_N22
\led_flash_cnt[2233][3]~58146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2233][3]~58146_combout\ = (\led_flash_cnt[2233][3]~q\ & (\led_flash_cnt[2233][2]~58145\ $ (GND))) # (!\led_flash_cnt[2233][3]~q\ & (!\led_flash_cnt[2233][2]~58145\ & VCC))
-- \led_flash_cnt[2233][3]~58147\ = CARRY((\led_flash_cnt[2233][3]~q\ & !\led_flash_cnt[2233][2]~58145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2233][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2233][2]~58145\,
	combout => \led_flash_cnt[2233][3]~58146_combout\,
	cout => \led_flash_cnt[2233][3]~58147\);

-- Location: FF_X47_Y25_N23
\led_flash_cnt[2233][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2233][3]~58146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2233][3]~q\);

-- Location: LCCOMB_X47_Y25_N24
\led_flash_cnt[2233][4]~58148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2233][4]~58148_combout\ = (\led_flash_cnt[2233][4]~q\ & (!\led_flash_cnt[2233][3]~58147\)) # (!\led_flash_cnt[2233][4]~q\ & ((\led_flash_cnt[2233][3]~58147\) # (GND)))
-- \led_flash_cnt[2233][4]~58149\ = CARRY((!\led_flash_cnt[2233][3]~58147\) # (!\led_flash_cnt[2233][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2233][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2233][3]~58147\,
	combout => \led_flash_cnt[2233][4]~58148_combout\,
	cout => \led_flash_cnt[2233][4]~58149\);

-- Location: FF_X47_Y25_N25
\led_flash_cnt[2233][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2233][4]~58148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2233][4]~q\);

-- Location: LCCOMB_X47_Y25_N26
\led_flash_cnt[2233][5]~58150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2233][5]~58150_combout\ = (\led_flash_cnt[2233][5]~q\ & (\led_flash_cnt[2233][4]~58149\ $ (GND))) # (!\led_flash_cnt[2233][5]~q\ & (!\led_flash_cnt[2233][4]~58149\ & VCC))
-- \led_flash_cnt[2233][5]~58151\ = CARRY((\led_flash_cnt[2233][5]~q\ & !\led_flash_cnt[2233][4]~58149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2233][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2233][4]~58149\,
	combout => \led_flash_cnt[2233][5]~58150_combout\,
	cout => \led_flash_cnt[2233][5]~58151\);

-- Location: FF_X47_Y25_N27
\led_flash_cnt[2233][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2233][5]~58150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2233][5]~q\);

-- Location: LCCOMB_X47_Y25_N28
\led_flash_cnt[2233][6]~58152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2233][6]~58152_combout\ = (\led_flash_cnt[2233][6]~q\ & (!\led_flash_cnt[2233][5]~58151\)) # (!\led_flash_cnt[2233][6]~q\ & ((\led_flash_cnt[2233][5]~58151\) # (GND)))
-- \led_flash_cnt[2233][6]~58153\ = CARRY((!\led_flash_cnt[2233][5]~58151\) # (!\led_flash_cnt[2233][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2233][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2233][5]~58151\,
	combout => \led_flash_cnt[2233][6]~58152_combout\,
	cout => \led_flash_cnt[2233][6]~58153\);

-- Location: FF_X47_Y25_N29
\led_flash_cnt[2233][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2233][6]~58152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2233][6]~q\);

-- Location: LCCOMB_X46_Y25_N26
\WideAnd2233~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2233~1_combout\ = (\led_flash_cnt[2233][6]~q\ & \led_flash_cnt[2233][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2233][6]~q\,
	datad => \led_flash_cnt[2233][5]~q\,
	combout => \WideAnd2233~1_combout\);

-- Location: LCCOMB_X47_Y25_N30
\led_flash_cnt[2233][7]~58154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2233][7]~58154_combout\ = \led_flash_cnt[2233][7]~q\ $ (!\led_flash_cnt[2233][6]~58153\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2233][7]~q\,
	cin => \led_flash_cnt[2233][6]~58153\,
	combout => \led_flash_cnt[2233][7]~58154_combout\);

-- Location: FF_X47_Y25_N31
\led_flash_cnt[2233][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2233][7]~58154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2233][7]~q\);

-- Location: LCCOMB_X47_Y25_N16
\WideAnd2233~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2233~0_combout\ = (\led_flash_cnt[2233][4]~q\ & (\led_flash_cnt[2233][2]~q\ & (\led_flash_cnt[2233][3]~q\ & \led_flash_cnt[2233][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2233][4]~q\,
	datab => \led_flash_cnt[2233][2]~q\,
	datac => \led_flash_cnt[2233][3]~q\,
	datad => \led_flash_cnt[2233][1]~q\,
	combout => \WideAnd2233~0_combout\);

-- Location: LCCOMB_X46_Y25_N24
WideAnd2233 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2233~combout\ = (\WideAnd2233~1_combout\ & (\led_flash_cnt[2233][0]~q\ & (\led_flash_cnt[2233][7]~q\ & \WideAnd2233~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2233~1_combout\,
	datab => \led_flash_cnt[2233][0]~q\,
	datac => \led_flash_cnt[2233][7]~q\,
	datad => \WideAnd2233~0_combout\,
	combout => \WideAnd2233~combout\);

-- Location: FF_X46_Y25_N25
\led_flash_cnt_ands[2233]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2233~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2233));

-- Location: LCCOMB_X46_Y25_N18
\led_flash_cnt[2232][0]~82872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2232][0]~82872_combout\ = !\led_flash_cnt[2232][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2232][0]~q\,
	combout => \led_flash_cnt[2232][0]~82872_combout\);

-- Location: FF_X46_Y25_N19
\led_flash_cnt[2232][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2232][0]~82872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2232][0]~q\);

-- Location: LCCOMB_X46_Y25_N0
\led_flash_cnt[2232][1]~58128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2232][1]~58128_combout\ = (\led_flash_cnt[2232][0]~q\ & (\led_flash_cnt[2232][1]~q\ $ (VCC))) # (!\led_flash_cnt[2232][0]~q\ & (\led_flash_cnt[2232][1]~q\ & VCC))
-- \led_flash_cnt[2232][1]~58129\ = CARRY((\led_flash_cnt[2232][0]~q\ & \led_flash_cnt[2232][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2232][0]~q\,
	datab => \led_flash_cnt[2232][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2232][1]~58128_combout\,
	cout => \led_flash_cnt[2232][1]~58129\);

-- Location: FF_X46_Y25_N1
\led_flash_cnt[2232][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2232][1]~58128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2232][1]~q\);

-- Location: LCCOMB_X46_Y25_N2
\led_flash_cnt[2232][2]~58130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2232][2]~58130_combout\ = (\led_flash_cnt[2232][2]~q\ & (!\led_flash_cnt[2232][1]~58129\)) # (!\led_flash_cnt[2232][2]~q\ & ((\led_flash_cnt[2232][1]~58129\) # (GND)))
-- \led_flash_cnt[2232][2]~58131\ = CARRY((!\led_flash_cnt[2232][1]~58129\) # (!\led_flash_cnt[2232][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2232][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2232][1]~58129\,
	combout => \led_flash_cnt[2232][2]~58130_combout\,
	cout => \led_flash_cnt[2232][2]~58131\);

-- Location: FF_X46_Y25_N3
\led_flash_cnt[2232][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2232][2]~58130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2232][2]~q\);

-- Location: LCCOMB_X46_Y25_N4
\led_flash_cnt[2232][3]~58132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2232][3]~58132_combout\ = (\led_flash_cnt[2232][3]~q\ & (\led_flash_cnt[2232][2]~58131\ $ (GND))) # (!\led_flash_cnt[2232][3]~q\ & (!\led_flash_cnt[2232][2]~58131\ & VCC))
-- \led_flash_cnt[2232][3]~58133\ = CARRY((\led_flash_cnt[2232][3]~q\ & !\led_flash_cnt[2232][2]~58131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2232][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2232][2]~58131\,
	combout => \led_flash_cnt[2232][3]~58132_combout\,
	cout => \led_flash_cnt[2232][3]~58133\);

-- Location: FF_X46_Y25_N5
\led_flash_cnt[2232][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2232][3]~58132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2232][3]~q\);

-- Location: LCCOMB_X46_Y25_N6
\led_flash_cnt[2232][4]~58134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2232][4]~58134_combout\ = (\led_flash_cnt[2232][4]~q\ & (!\led_flash_cnt[2232][3]~58133\)) # (!\led_flash_cnt[2232][4]~q\ & ((\led_flash_cnt[2232][3]~58133\) # (GND)))
-- \led_flash_cnt[2232][4]~58135\ = CARRY((!\led_flash_cnt[2232][3]~58133\) # (!\led_flash_cnt[2232][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2232][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2232][3]~58133\,
	combout => \led_flash_cnt[2232][4]~58134_combout\,
	cout => \led_flash_cnt[2232][4]~58135\);

-- Location: FF_X46_Y25_N7
\led_flash_cnt[2232][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2232][4]~58134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2232][4]~q\);

-- Location: LCCOMB_X46_Y25_N22
\WideAnd2232~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2232~0_combout\ = (\led_flash_cnt[2232][4]~q\ & (\led_flash_cnt[2232][2]~q\ & (\led_flash_cnt[2232][3]~q\ & \led_flash_cnt[2232][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2232][4]~q\,
	datab => \led_flash_cnt[2232][2]~q\,
	datac => \led_flash_cnt[2232][3]~q\,
	datad => \led_flash_cnt[2232][1]~q\,
	combout => \WideAnd2232~0_combout\);

-- Location: LCCOMB_X46_Y25_N8
\led_flash_cnt[2232][5]~58136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2232][5]~58136_combout\ = (\led_flash_cnt[2232][5]~q\ & (\led_flash_cnt[2232][4]~58135\ $ (GND))) # (!\led_flash_cnt[2232][5]~q\ & (!\led_flash_cnt[2232][4]~58135\ & VCC))
-- \led_flash_cnt[2232][5]~58137\ = CARRY((\led_flash_cnt[2232][5]~q\ & !\led_flash_cnt[2232][4]~58135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2232][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2232][4]~58135\,
	combout => \led_flash_cnt[2232][5]~58136_combout\,
	cout => \led_flash_cnt[2232][5]~58137\);

-- Location: FF_X46_Y25_N9
\led_flash_cnt[2232][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2232][5]~58136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2232][5]~q\);

-- Location: LCCOMB_X46_Y25_N10
\led_flash_cnt[2232][6]~58138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2232][6]~58138_combout\ = (\led_flash_cnt[2232][6]~q\ & (!\led_flash_cnt[2232][5]~58137\)) # (!\led_flash_cnt[2232][6]~q\ & ((\led_flash_cnt[2232][5]~58137\) # (GND)))
-- \led_flash_cnt[2232][6]~58139\ = CARRY((!\led_flash_cnt[2232][5]~58137\) # (!\led_flash_cnt[2232][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2232][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2232][5]~58137\,
	combout => \led_flash_cnt[2232][6]~58138_combout\,
	cout => \led_flash_cnt[2232][6]~58139\);

-- Location: FF_X46_Y25_N11
\led_flash_cnt[2232][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2232][6]~58138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2232][6]~q\);

-- Location: LCCOMB_X46_Y25_N14
\WideAnd2232~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2232~1_combout\ = (\led_flash_cnt[2232][5]~q\ & \led_flash_cnt[2232][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2232][5]~q\,
	datad => \led_flash_cnt[2232][6]~q\,
	combout => \WideAnd2232~1_combout\);

-- Location: LCCOMB_X46_Y25_N12
\led_flash_cnt[2232][7]~58140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2232][7]~58140_combout\ = \led_flash_cnt[2232][6]~58139\ $ (!\led_flash_cnt[2232][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2232][7]~q\,
	cin => \led_flash_cnt[2232][6]~58139\,
	combout => \led_flash_cnt[2232][7]~58140_combout\);

-- Location: FF_X46_Y25_N13
\led_flash_cnt[2232][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2232][7]~58140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2232][7]~q\);

-- Location: LCCOMB_X46_Y25_N16
WideAnd2232 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2232~combout\ = (\WideAnd2232~0_combout\ & (\led_flash_cnt[2232][0]~q\ & (\WideAnd2232~1_combout\ & \led_flash_cnt[2232][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2232~0_combout\,
	datab => \led_flash_cnt[2232][0]~q\,
	datac => \WideAnd2232~1_combout\,
	datad => \led_flash_cnt[2232][7]~q\,
	combout => \WideAnd2232~combout\);

-- Location: FF_X46_Y25_N17
\led_flash_cnt_ands[2232]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2232~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2232));

-- Location: LCCOMB_X45_Y41_N14
\led_flash_cnt[2235][0]~82875\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2235][0]~82875_combout\ = !\led_flash_cnt[2235][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2235][0]~q\,
	combout => \led_flash_cnt[2235][0]~82875_combout\);

-- Location: FF_X45_Y41_N15
\led_flash_cnt[2235][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2235][0]~82875_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2235][0]~q\);

-- Location: LCCOMB_X45_Y41_N0
\led_flash_cnt[2235][1]~58170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2235][1]~58170_combout\ = (\led_flash_cnt[2235][0]~q\ & (\led_flash_cnt[2235][1]~q\ $ (VCC))) # (!\led_flash_cnt[2235][0]~q\ & (\led_flash_cnt[2235][1]~q\ & VCC))
-- \led_flash_cnt[2235][1]~58171\ = CARRY((\led_flash_cnt[2235][0]~q\ & \led_flash_cnt[2235][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2235][0]~q\,
	datab => \led_flash_cnt[2235][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2235][1]~58170_combout\,
	cout => \led_flash_cnt[2235][1]~58171\);

-- Location: FF_X45_Y41_N1
\led_flash_cnt[2235][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2235][1]~58170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2235][1]~q\);

-- Location: LCCOMB_X45_Y41_N2
\led_flash_cnt[2235][2]~58172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2235][2]~58172_combout\ = (\led_flash_cnt[2235][2]~q\ & (!\led_flash_cnt[2235][1]~58171\)) # (!\led_flash_cnt[2235][2]~q\ & ((\led_flash_cnt[2235][1]~58171\) # (GND)))
-- \led_flash_cnt[2235][2]~58173\ = CARRY((!\led_flash_cnt[2235][1]~58171\) # (!\led_flash_cnt[2235][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2235][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2235][1]~58171\,
	combout => \led_flash_cnt[2235][2]~58172_combout\,
	cout => \led_flash_cnt[2235][2]~58173\);

-- Location: FF_X45_Y41_N3
\led_flash_cnt[2235][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2235][2]~58172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2235][2]~q\);

-- Location: LCCOMB_X45_Y41_N4
\led_flash_cnt[2235][3]~58174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2235][3]~58174_combout\ = (\led_flash_cnt[2235][3]~q\ & (\led_flash_cnt[2235][2]~58173\ $ (GND))) # (!\led_flash_cnt[2235][3]~q\ & (!\led_flash_cnt[2235][2]~58173\ & VCC))
-- \led_flash_cnt[2235][3]~58175\ = CARRY((\led_flash_cnt[2235][3]~q\ & !\led_flash_cnt[2235][2]~58173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2235][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2235][2]~58173\,
	combout => \led_flash_cnt[2235][3]~58174_combout\,
	cout => \led_flash_cnt[2235][3]~58175\);

-- Location: FF_X45_Y41_N5
\led_flash_cnt[2235][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2235][3]~58174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2235][3]~q\);

-- Location: LCCOMB_X45_Y41_N6
\led_flash_cnt[2235][4]~58176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2235][4]~58176_combout\ = (\led_flash_cnt[2235][4]~q\ & (!\led_flash_cnt[2235][3]~58175\)) # (!\led_flash_cnt[2235][4]~q\ & ((\led_flash_cnt[2235][3]~58175\) # (GND)))
-- \led_flash_cnt[2235][4]~58177\ = CARRY((!\led_flash_cnt[2235][3]~58175\) # (!\led_flash_cnt[2235][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2235][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2235][3]~58175\,
	combout => \led_flash_cnt[2235][4]~58176_combout\,
	cout => \led_flash_cnt[2235][4]~58177\);

-- Location: FF_X45_Y41_N7
\led_flash_cnt[2235][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2235][4]~58176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2235][4]~q\);

-- Location: LCCOMB_X45_Y41_N30
\WideAnd2235~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2235~0_combout\ = (\led_flash_cnt[2235][4]~q\ & (\led_flash_cnt[2235][2]~q\ & (\led_flash_cnt[2235][3]~q\ & \led_flash_cnt[2235][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2235][4]~q\,
	datab => \led_flash_cnt[2235][2]~q\,
	datac => \led_flash_cnt[2235][3]~q\,
	datad => \led_flash_cnt[2235][1]~q\,
	combout => \WideAnd2235~0_combout\);

-- Location: LCCOMB_X45_Y41_N8
\led_flash_cnt[2235][5]~58178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2235][5]~58178_combout\ = (\led_flash_cnt[2235][5]~q\ & (\led_flash_cnt[2235][4]~58177\ $ (GND))) # (!\led_flash_cnt[2235][5]~q\ & (!\led_flash_cnt[2235][4]~58177\ & VCC))
-- \led_flash_cnt[2235][5]~58179\ = CARRY((\led_flash_cnt[2235][5]~q\ & !\led_flash_cnt[2235][4]~58177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2235][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2235][4]~58177\,
	combout => \led_flash_cnt[2235][5]~58178_combout\,
	cout => \led_flash_cnt[2235][5]~58179\);

-- Location: FF_X45_Y41_N9
\led_flash_cnt[2235][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2235][5]~58178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2235][5]~q\);

-- Location: LCCOMB_X45_Y41_N10
\led_flash_cnt[2235][6]~58180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2235][6]~58180_combout\ = (\led_flash_cnt[2235][6]~q\ & (!\led_flash_cnt[2235][5]~58179\)) # (!\led_flash_cnt[2235][6]~q\ & ((\led_flash_cnt[2235][5]~58179\) # (GND)))
-- \led_flash_cnt[2235][6]~58181\ = CARRY((!\led_flash_cnt[2235][5]~58179\) # (!\led_flash_cnt[2235][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2235][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2235][5]~58179\,
	combout => \led_flash_cnt[2235][6]~58180_combout\,
	cout => \led_flash_cnt[2235][6]~58181\);

-- Location: FF_X45_Y41_N11
\led_flash_cnt[2235][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2235][6]~58180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2235][6]~q\);

-- Location: LCCOMB_X46_Y41_N14
\WideAnd2235~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2235~1_combout\ = (\led_flash_cnt[2235][6]~q\ & \led_flash_cnt[2235][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2235][6]~q\,
	datad => \led_flash_cnt[2235][5]~q\,
	combout => \WideAnd2235~1_combout\);

-- Location: LCCOMB_X45_Y41_N12
\led_flash_cnt[2235][7]~58182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2235][7]~58182_combout\ = \led_flash_cnt[2235][6]~58181\ $ (!\led_flash_cnt[2235][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2235][7]~q\,
	cin => \led_flash_cnt[2235][6]~58181\,
	combout => \led_flash_cnt[2235][7]~58182_combout\);

-- Location: FF_X45_Y41_N13
\led_flash_cnt[2235][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2235][7]~58182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2235][7]~q\);

-- Location: LCCOMB_X46_Y41_N16
WideAnd2235 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2235~combout\ = (\led_flash_cnt[2235][0]~q\ & (\WideAnd2235~0_combout\ & (\WideAnd2235~1_combout\ & \led_flash_cnt[2235][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2235][0]~q\,
	datab => \WideAnd2235~0_combout\,
	datac => \WideAnd2235~1_combout\,
	datad => \led_flash_cnt[2235][7]~q\,
	combout => \WideAnd2235~combout\);

-- Location: FF_X46_Y41_N17
\led_flash_cnt_ands[2235]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2235~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2235));

-- Location: LCCOMB_X46_Y29_N24
\WideAnd4119~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4119~0_combout\ = (led_flash_cnt_ands(2234) & (led_flash_cnt_ands(2233) & (led_flash_cnt_ands(2232) & led_flash_cnt_ands(2235))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2234),
	datab => led_flash_cnt_ands(2233),
	datac => led_flash_cnt_ands(2232),
	datad => led_flash_cnt_ands(2235),
	combout => \WideAnd4119~0_combout\);

-- Location: LCCOMB_X45_Y30_N2
\led_flash_cnt[2239][0]~82879\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2239][0]~82879_combout\ = !\led_flash_cnt[2239][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2239][0]~q\,
	combout => \led_flash_cnt[2239][0]~82879_combout\);

-- Location: FF_X45_Y30_N3
\led_flash_cnt[2239][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2239][0]~82879_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2239][0]~q\);

-- Location: LCCOMB_X42_Y30_N12
\led_flash_cnt[2239][1]~58226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2239][1]~58226_combout\ = (\led_flash_cnt[2239][1]~q\ & (\led_flash_cnt[2239][0]~q\ $ (VCC))) # (!\led_flash_cnt[2239][1]~q\ & (\led_flash_cnt[2239][0]~q\ & VCC))
-- \led_flash_cnt[2239][1]~58227\ = CARRY((\led_flash_cnt[2239][1]~q\ & \led_flash_cnt[2239][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2239][1]~q\,
	datab => \led_flash_cnt[2239][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2239][1]~58226_combout\,
	cout => \led_flash_cnt[2239][1]~58227\);

-- Location: FF_X42_Y30_N13
\led_flash_cnt[2239][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2239][1]~58226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2239][1]~q\);

-- Location: LCCOMB_X42_Y30_N14
\led_flash_cnt[2239][2]~58228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2239][2]~58228_combout\ = (\led_flash_cnt[2239][2]~q\ & (!\led_flash_cnt[2239][1]~58227\)) # (!\led_flash_cnt[2239][2]~q\ & ((\led_flash_cnt[2239][1]~58227\) # (GND)))
-- \led_flash_cnt[2239][2]~58229\ = CARRY((!\led_flash_cnt[2239][1]~58227\) # (!\led_flash_cnt[2239][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2239][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2239][1]~58227\,
	combout => \led_flash_cnt[2239][2]~58228_combout\,
	cout => \led_flash_cnt[2239][2]~58229\);

-- Location: FF_X42_Y30_N15
\led_flash_cnt[2239][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2239][2]~58228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2239][2]~q\);

-- Location: LCCOMB_X42_Y30_N16
\led_flash_cnt[2239][3]~58230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2239][3]~58230_combout\ = (\led_flash_cnt[2239][3]~q\ & (\led_flash_cnt[2239][2]~58229\ $ (GND))) # (!\led_flash_cnt[2239][3]~q\ & (!\led_flash_cnt[2239][2]~58229\ & VCC))
-- \led_flash_cnt[2239][3]~58231\ = CARRY((\led_flash_cnt[2239][3]~q\ & !\led_flash_cnt[2239][2]~58229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2239][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2239][2]~58229\,
	combout => \led_flash_cnt[2239][3]~58230_combout\,
	cout => \led_flash_cnt[2239][3]~58231\);

-- Location: FF_X42_Y30_N17
\led_flash_cnt[2239][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2239][3]~58230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2239][3]~q\);

-- Location: LCCOMB_X42_Y30_N18
\led_flash_cnt[2239][4]~58232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2239][4]~58232_combout\ = (\led_flash_cnt[2239][4]~q\ & (!\led_flash_cnt[2239][3]~58231\)) # (!\led_flash_cnt[2239][4]~q\ & ((\led_flash_cnt[2239][3]~58231\) # (GND)))
-- \led_flash_cnt[2239][4]~58233\ = CARRY((!\led_flash_cnt[2239][3]~58231\) # (!\led_flash_cnt[2239][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2239][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2239][3]~58231\,
	combout => \led_flash_cnt[2239][4]~58232_combout\,
	cout => \led_flash_cnt[2239][4]~58233\);

-- Location: FF_X42_Y30_N19
\led_flash_cnt[2239][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2239][4]~58232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2239][4]~q\);

-- Location: LCCOMB_X42_Y30_N26
\WideAnd2239~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2239~0_combout\ = (\led_flash_cnt[2239][1]~q\ & (\led_flash_cnt[2239][3]~q\ & (\led_flash_cnt[2239][2]~q\ & \led_flash_cnt[2239][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2239][1]~q\,
	datab => \led_flash_cnt[2239][3]~q\,
	datac => \led_flash_cnt[2239][2]~q\,
	datad => \led_flash_cnt[2239][4]~q\,
	combout => \WideAnd2239~0_combout\);

-- Location: LCCOMB_X42_Y30_N20
\led_flash_cnt[2239][5]~58234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2239][5]~58234_combout\ = (\led_flash_cnt[2239][5]~q\ & (\led_flash_cnt[2239][4]~58233\ $ (GND))) # (!\led_flash_cnt[2239][5]~q\ & (!\led_flash_cnt[2239][4]~58233\ & VCC))
-- \led_flash_cnt[2239][5]~58235\ = CARRY((\led_flash_cnt[2239][5]~q\ & !\led_flash_cnt[2239][4]~58233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2239][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2239][4]~58233\,
	combout => \led_flash_cnt[2239][5]~58234_combout\,
	cout => \led_flash_cnt[2239][5]~58235\);

-- Location: FF_X42_Y30_N21
\led_flash_cnt[2239][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2239][5]~58234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2239][5]~q\);

-- Location: LCCOMB_X42_Y30_N22
\led_flash_cnt[2239][6]~58236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2239][6]~58236_combout\ = (\led_flash_cnt[2239][6]~q\ & (!\led_flash_cnt[2239][5]~58235\)) # (!\led_flash_cnt[2239][6]~q\ & ((\led_flash_cnt[2239][5]~58235\) # (GND)))
-- \led_flash_cnt[2239][6]~58237\ = CARRY((!\led_flash_cnt[2239][5]~58235\) # (!\led_flash_cnt[2239][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2239][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2239][5]~58235\,
	combout => \led_flash_cnt[2239][6]~58236_combout\,
	cout => \led_flash_cnt[2239][6]~58237\);

-- Location: FF_X42_Y30_N23
\led_flash_cnt[2239][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2239][6]~58236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2239][6]~q\);

-- Location: LCCOMB_X42_Y30_N8
\WideAnd2239~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2239~1_combout\ = (\led_flash_cnt[2239][6]~q\ & \led_flash_cnt[2239][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2239][6]~q\,
	datad => \led_flash_cnt[2239][5]~q\,
	combout => \WideAnd2239~1_combout\);

-- Location: LCCOMB_X42_Y30_N24
\led_flash_cnt[2239][7]~58238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2239][7]~58238_combout\ = \led_flash_cnt[2239][6]~58237\ $ (!\led_flash_cnt[2239][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2239][7]~q\,
	cin => \led_flash_cnt[2239][6]~58237\,
	combout => \led_flash_cnt[2239][7]~58238_combout\);

-- Location: FF_X42_Y30_N25
\led_flash_cnt[2239][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2239][7]~58238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2239][7]~q\);

-- Location: LCCOMB_X42_Y30_N4
WideAnd2239 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2239~combout\ = (\WideAnd2239~0_combout\ & (\led_flash_cnt[2239][0]~q\ & (\WideAnd2239~1_combout\ & \led_flash_cnt[2239][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2239~0_combout\,
	datab => \led_flash_cnt[2239][0]~q\,
	datac => \WideAnd2239~1_combout\,
	datad => \led_flash_cnt[2239][7]~q\,
	combout => \WideAnd2239~combout\);

-- Location: FF_X42_Y30_N5
\led_flash_cnt_ands[2239]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2239~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2239));

-- Location: LCCOMB_X60_Y30_N12
\led_flash_cnt[2238][0]~82878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2238][0]~82878_combout\ = !\led_flash_cnt[2238][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2238][0]~q\,
	combout => \led_flash_cnt[2238][0]~82878_combout\);

-- Location: FF_X60_Y30_N13
\led_flash_cnt[2238][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2238][0]~82878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2238][0]~q\);

-- Location: LCCOMB_X60_Y30_N18
\led_flash_cnt[2238][1]~58212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2238][1]~58212_combout\ = (\led_flash_cnt[2238][0]~q\ & (\led_flash_cnt[2238][1]~q\ $ (VCC))) # (!\led_flash_cnt[2238][0]~q\ & (\led_flash_cnt[2238][1]~q\ & VCC))
-- \led_flash_cnt[2238][1]~58213\ = CARRY((\led_flash_cnt[2238][0]~q\ & \led_flash_cnt[2238][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2238][0]~q\,
	datab => \led_flash_cnt[2238][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2238][1]~58212_combout\,
	cout => \led_flash_cnt[2238][1]~58213\);

-- Location: FF_X60_Y30_N19
\led_flash_cnt[2238][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2238][1]~58212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2238][1]~q\);

-- Location: LCCOMB_X60_Y30_N20
\led_flash_cnt[2238][2]~58214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2238][2]~58214_combout\ = (\led_flash_cnt[2238][2]~q\ & (!\led_flash_cnt[2238][1]~58213\)) # (!\led_flash_cnt[2238][2]~q\ & ((\led_flash_cnt[2238][1]~58213\) # (GND)))
-- \led_flash_cnt[2238][2]~58215\ = CARRY((!\led_flash_cnt[2238][1]~58213\) # (!\led_flash_cnt[2238][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2238][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2238][1]~58213\,
	combout => \led_flash_cnt[2238][2]~58214_combout\,
	cout => \led_flash_cnt[2238][2]~58215\);

-- Location: FF_X60_Y30_N21
\led_flash_cnt[2238][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2238][2]~58214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2238][2]~q\);

-- Location: LCCOMB_X60_Y30_N22
\led_flash_cnt[2238][3]~58216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2238][3]~58216_combout\ = (\led_flash_cnt[2238][3]~q\ & (\led_flash_cnt[2238][2]~58215\ $ (GND))) # (!\led_flash_cnt[2238][3]~q\ & (!\led_flash_cnt[2238][2]~58215\ & VCC))
-- \led_flash_cnt[2238][3]~58217\ = CARRY((\led_flash_cnt[2238][3]~q\ & !\led_flash_cnt[2238][2]~58215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2238][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2238][2]~58215\,
	combout => \led_flash_cnt[2238][3]~58216_combout\,
	cout => \led_flash_cnt[2238][3]~58217\);

-- Location: FF_X60_Y30_N23
\led_flash_cnt[2238][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2238][3]~58216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2238][3]~q\);

-- Location: LCCOMB_X60_Y30_N24
\led_flash_cnt[2238][4]~58218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2238][4]~58218_combout\ = (\led_flash_cnt[2238][4]~q\ & (!\led_flash_cnt[2238][3]~58217\)) # (!\led_flash_cnt[2238][4]~q\ & ((\led_flash_cnt[2238][3]~58217\) # (GND)))
-- \led_flash_cnt[2238][4]~58219\ = CARRY((!\led_flash_cnt[2238][3]~58217\) # (!\led_flash_cnt[2238][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2238][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2238][3]~58217\,
	combout => \led_flash_cnt[2238][4]~58218_combout\,
	cout => \led_flash_cnt[2238][4]~58219\);

-- Location: FF_X60_Y30_N25
\led_flash_cnt[2238][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2238][4]~58218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2238][4]~q\);

-- Location: LCCOMB_X60_Y30_N26
\led_flash_cnt[2238][5]~58220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2238][5]~58220_combout\ = (\led_flash_cnt[2238][5]~q\ & (\led_flash_cnt[2238][4]~58219\ $ (GND))) # (!\led_flash_cnt[2238][5]~q\ & (!\led_flash_cnt[2238][4]~58219\ & VCC))
-- \led_flash_cnt[2238][5]~58221\ = CARRY((\led_flash_cnt[2238][5]~q\ & !\led_flash_cnt[2238][4]~58219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2238][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2238][4]~58219\,
	combout => \led_flash_cnt[2238][5]~58220_combout\,
	cout => \led_flash_cnt[2238][5]~58221\);

-- Location: FF_X60_Y30_N27
\led_flash_cnt[2238][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2238][5]~58220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2238][5]~q\);

-- Location: LCCOMB_X60_Y30_N28
\led_flash_cnt[2238][6]~58222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2238][6]~58222_combout\ = (\led_flash_cnt[2238][6]~q\ & (!\led_flash_cnt[2238][5]~58221\)) # (!\led_flash_cnt[2238][6]~q\ & ((\led_flash_cnt[2238][5]~58221\) # (GND)))
-- \led_flash_cnt[2238][6]~58223\ = CARRY((!\led_flash_cnt[2238][5]~58221\) # (!\led_flash_cnt[2238][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2238][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2238][5]~58221\,
	combout => \led_flash_cnt[2238][6]~58222_combout\,
	cout => \led_flash_cnt[2238][6]~58223\);

-- Location: FF_X60_Y30_N29
\led_flash_cnt[2238][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2238][6]~58222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2238][6]~q\);

-- Location: LCCOMB_X60_Y30_N30
\led_flash_cnt[2238][7]~58224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2238][7]~58224_combout\ = \led_flash_cnt[2238][7]~q\ $ (!\led_flash_cnt[2238][6]~58223\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2238][7]~q\,
	cin => \led_flash_cnt[2238][6]~58223\,
	combout => \led_flash_cnt[2238][7]~58224_combout\);

-- Location: FF_X60_Y30_N31
\led_flash_cnt[2238][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2238][7]~58224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2238][7]~q\);

-- Location: LCCOMB_X60_Y30_N0
\WideAnd2238~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2238~1_combout\ = (\led_flash_cnt[2238][5]~q\ & \led_flash_cnt[2238][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2238][5]~q\,
	datad => \led_flash_cnt[2238][6]~q\,
	combout => \WideAnd2238~1_combout\);

-- Location: LCCOMB_X60_Y30_N4
\WideAnd2238~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2238~0_combout\ = (\led_flash_cnt[2238][4]~q\ & (\led_flash_cnt[2238][2]~q\ & (\led_flash_cnt[2238][3]~q\ & \led_flash_cnt[2238][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2238][4]~q\,
	datab => \led_flash_cnt[2238][2]~q\,
	datac => \led_flash_cnt[2238][3]~q\,
	datad => \led_flash_cnt[2238][1]~q\,
	combout => \WideAnd2238~0_combout\);

-- Location: LCCOMB_X60_Y30_N16
WideAnd2238 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2238~combout\ = (\led_flash_cnt[2238][7]~q\ & (\WideAnd2238~1_combout\ & (\WideAnd2238~0_combout\ & \led_flash_cnt[2238][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2238][7]~q\,
	datab => \WideAnd2238~1_combout\,
	datac => \WideAnd2238~0_combout\,
	datad => \led_flash_cnt[2238][0]~q\,
	combout => \WideAnd2238~combout\);

-- Location: FF_X60_Y30_N17
\led_flash_cnt_ands[2238]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2238~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2238));

-- Location: LCCOMB_X59_Y30_N24
WideAnd4119 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4119~combout\ = (\WideAnd4119~1_combout\ & (\WideAnd4119~0_combout\ & (led_flash_cnt_ands(2239) & led_flash_cnt_ands(2238))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4119~1_combout\,
	datab => \WideAnd4119~0_combout\,
	datac => led_flash_cnt_ands(2239),
	datad => led_flash_cnt_ands(2238),
	combout => \WideAnd4119~combout\);

-- Location: FF_X59_Y30_N25
\led_flash_cnt_ands_1[279]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4119~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(279));

-- Location: LCCOMB_X60_Y30_N10
WideAnd4354 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4354~combout\ = (\WideAnd4354~0_combout\ & (\WideAnd4354~1_combout\ & (led_flash_cnt_ands_1(278) & led_flash_cnt_ands_1(279))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4354~0_combout\,
	datab => \WideAnd4354~1_combout\,
	datac => led_flash_cnt_ands_1(278),
	datad => led_flash_cnt_ands_1(279),
	combout => \WideAnd4354~combout\);

-- Location: FF_X60_Y30_N11
\led_flash_cnt_ands_2[34]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4354~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(34));

-- Location: LCCOMB_X2_Y19_N14
\led_flash_cnt[2107][0]~82747\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2107][0]~82747_combout\ = !\led_flash_cnt[2107][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2107][0]~q\,
	combout => \led_flash_cnt[2107][0]~82747_combout\);

-- Location: FF_X2_Y19_N15
\led_flash_cnt[2107][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2107][0]~82747_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2107][0]~q\);

-- Location: LCCOMB_X3_Y19_N4
\led_flash_cnt[2107][1]~56378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2107][1]~56378_combout\ = (\led_flash_cnt[2107][0]~q\ & (\led_flash_cnt[2107][1]~q\ $ (VCC))) # (!\led_flash_cnt[2107][0]~q\ & (\led_flash_cnt[2107][1]~q\ & VCC))
-- \led_flash_cnt[2107][1]~56379\ = CARRY((\led_flash_cnt[2107][0]~q\ & \led_flash_cnt[2107][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2107][0]~q\,
	datab => \led_flash_cnt[2107][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2107][1]~56378_combout\,
	cout => \led_flash_cnt[2107][1]~56379\);

-- Location: FF_X3_Y19_N5
\led_flash_cnt[2107][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2107][1]~56378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2107][1]~q\);

-- Location: LCCOMB_X3_Y19_N6
\led_flash_cnt[2107][2]~56380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2107][2]~56380_combout\ = (\led_flash_cnt[2107][2]~q\ & (!\led_flash_cnt[2107][1]~56379\)) # (!\led_flash_cnt[2107][2]~q\ & ((\led_flash_cnt[2107][1]~56379\) # (GND)))
-- \led_flash_cnt[2107][2]~56381\ = CARRY((!\led_flash_cnt[2107][1]~56379\) # (!\led_flash_cnt[2107][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2107][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2107][1]~56379\,
	combout => \led_flash_cnt[2107][2]~56380_combout\,
	cout => \led_flash_cnt[2107][2]~56381\);

-- Location: FF_X3_Y19_N7
\led_flash_cnt[2107][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2107][2]~56380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2107][2]~q\);

-- Location: LCCOMB_X3_Y19_N8
\led_flash_cnt[2107][3]~56382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2107][3]~56382_combout\ = (\led_flash_cnt[2107][3]~q\ & (\led_flash_cnt[2107][2]~56381\ $ (GND))) # (!\led_flash_cnt[2107][3]~q\ & (!\led_flash_cnt[2107][2]~56381\ & VCC))
-- \led_flash_cnt[2107][3]~56383\ = CARRY((\led_flash_cnt[2107][3]~q\ & !\led_flash_cnt[2107][2]~56381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2107][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2107][2]~56381\,
	combout => \led_flash_cnt[2107][3]~56382_combout\,
	cout => \led_flash_cnt[2107][3]~56383\);

-- Location: FF_X3_Y19_N9
\led_flash_cnt[2107][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2107][3]~56382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2107][3]~q\);

-- Location: LCCOMB_X3_Y19_N10
\led_flash_cnt[2107][4]~56384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2107][4]~56384_combout\ = (\led_flash_cnt[2107][4]~q\ & (!\led_flash_cnt[2107][3]~56383\)) # (!\led_flash_cnt[2107][4]~q\ & ((\led_flash_cnt[2107][3]~56383\) # (GND)))
-- \led_flash_cnt[2107][4]~56385\ = CARRY((!\led_flash_cnt[2107][3]~56383\) # (!\led_flash_cnt[2107][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2107][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2107][3]~56383\,
	combout => \led_flash_cnt[2107][4]~56384_combout\,
	cout => \led_flash_cnt[2107][4]~56385\);

-- Location: FF_X3_Y19_N11
\led_flash_cnt[2107][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2107][4]~56384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2107][4]~q\);

-- Location: LCCOMB_X3_Y19_N2
\WideAnd2107~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2107~0_combout\ = (\led_flash_cnt[2107][4]~q\ & (\led_flash_cnt[2107][1]~q\ & (\led_flash_cnt[2107][3]~q\ & \led_flash_cnt[2107][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2107][4]~q\,
	datab => \led_flash_cnt[2107][1]~q\,
	datac => \led_flash_cnt[2107][3]~q\,
	datad => \led_flash_cnt[2107][2]~q\,
	combout => \WideAnd2107~0_combout\);

-- Location: LCCOMB_X3_Y19_N12
\led_flash_cnt[2107][5]~56386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2107][5]~56386_combout\ = (\led_flash_cnt[2107][5]~q\ & (\led_flash_cnt[2107][4]~56385\ $ (GND))) # (!\led_flash_cnt[2107][5]~q\ & (!\led_flash_cnt[2107][4]~56385\ & VCC))
-- \led_flash_cnt[2107][5]~56387\ = CARRY((\led_flash_cnt[2107][5]~q\ & !\led_flash_cnt[2107][4]~56385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2107][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2107][4]~56385\,
	combout => \led_flash_cnt[2107][5]~56386_combout\,
	cout => \led_flash_cnt[2107][5]~56387\);

-- Location: FF_X3_Y19_N13
\led_flash_cnt[2107][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2107][5]~56386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2107][5]~q\);

-- Location: LCCOMB_X3_Y19_N14
\led_flash_cnt[2107][6]~56388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2107][6]~56388_combout\ = (\led_flash_cnt[2107][6]~q\ & (!\led_flash_cnt[2107][5]~56387\)) # (!\led_flash_cnt[2107][6]~q\ & ((\led_flash_cnt[2107][5]~56387\) # (GND)))
-- \led_flash_cnt[2107][6]~56389\ = CARRY((!\led_flash_cnt[2107][5]~56387\) # (!\led_flash_cnt[2107][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2107][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2107][5]~56387\,
	combout => \led_flash_cnt[2107][6]~56388_combout\,
	cout => \led_flash_cnt[2107][6]~56389\);

-- Location: FF_X3_Y19_N15
\led_flash_cnt[2107][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2107][6]~56388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2107][6]~q\);

-- Location: LCCOMB_X2_Y19_N4
\WideAnd2107~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2107~1_combout\ = (\led_flash_cnt[2107][6]~q\ & \led_flash_cnt[2107][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2107][6]~q\,
	datac => \led_flash_cnt[2107][5]~q\,
	combout => \WideAnd2107~1_combout\);

-- Location: LCCOMB_X3_Y19_N16
\led_flash_cnt[2107][7]~56390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2107][7]~56390_combout\ = \led_flash_cnt[2107][6]~56389\ $ (!\led_flash_cnt[2107][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2107][7]~q\,
	cin => \led_flash_cnt[2107][6]~56389\,
	combout => \led_flash_cnt[2107][7]~56390_combout\);

-- Location: FF_X3_Y19_N17
\led_flash_cnt[2107][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2107][7]~56390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2107][7]~q\);

-- Location: LCCOMB_X2_Y19_N12
WideAnd2107 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2107~combout\ = (\WideAnd2107~0_combout\ & (\led_flash_cnt[2107][0]~q\ & (\WideAnd2107~1_combout\ & \led_flash_cnt[2107][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2107~0_combout\,
	datab => \led_flash_cnt[2107][0]~q\,
	datac => \WideAnd2107~1_combout\,
	datad => \led_flash_cnt[2107][7]~q\,
	combout => \WideAnd2107~combout\);

-- Location: FF_X2_Y19_N13
\led_flash_cnt_ands[2107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2107~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2107));

-- Location: LCCOMB_X1_Y19_N12
\led_flash_cnt[2104][0]~82744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2104][0]~82744_combout\ = !\led_flash_cnt[2104][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2104][0]~q\,
	combout => \led_flash_cnt[2104][0]~82744_combout\);

-- Location: FF_X1_Y19_N13
\led_flash_cnt[2104][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2104][0]~82744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2104][0]~q\);

-- Location: LCCOMB_X1_Y19_N14
\led_flash_cnt[2104][1]~56336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2104][1]~56336_combout\ = (\led_flash_cnt[2104][0]~q\ & (\led_flash_cnt[2104][1]~q\ $ (VCC))) # (!\led_flash_cnt[2104][0]~q\ & (\led_flash_cnt[2104][1]~q\ & VCC))
-- \led_flash_cnt[2104][1]~56337\ = CARRY((\led_flash_cnt[2104][0]~q\ & \led_flash_cnt[2104][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2104][0]~q\,
	datab => \led_flash_cnt[2104][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2104][1]~56336_combout\,
	cout => \led_flash_cnt[2104][1]~56337\);

-- Location: FF_X1_Y19_N15
\led_flash_cnt[2104][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2104][1]~56336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2104][1]~q\);

-- Location: LCCOMB_X1_Y19_N16
\led_flash_cnt[2104][2]~56338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2104][2]~56338_combout\ = (\led_flash_cnt[2104][2]~q\ & (!\led_flash_cnt[2104][1]~56337\)) # (!\led_flash_cnt[2104][2]~q\ & ((\led_flash_cnt[2104][1]~56337\) # (GND)))
-- \led_flash_cnt[2104][2]~56339\ = CARRY((!\led_flash_cnt[2104][1]~56337\) # (!\led_flash_cnt[2104][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2104][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2104][1]~56337\,
	combout => \led_flash_cnt[2104][2]~56338_combout\,
	cout => \led_flash_cnt[2104][2]~56339\);

-- Location: FF_X1_Y19_N17
\led_flash_cnt[2104][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2104][2]~56338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2104][2]~q\);

-- Location: LCCOMB_X1_Y19_N18
\led_flash_cnt[2104][3]~56340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2104][3]~56340_combout\ = (\led_flash_cnt[2104][3]~q\ & (\led_flash_cnt[2104][2]~56339\ $ (GND))) # (!\led_flash_cnt[2104][3]~q\ & (!\led_flash_cnt[2104][2]~56339\ & VCC))
-- \led_flash_cnt[2104][3]~56341\ = CARRY((\led_flash_cnt[2104][3]~q\ & !\led_flash_cnt[2104][2]~56339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2104][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2104][2]~56339\,
	combout => \led_flash_cnt[2104][3]~56340_combout\,
	cout => \led_flash_cnt[2104][3]~56341\);

-- Location: FF_X1_Y19_N19
\led_flash_cnt[2104][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2104][3]~56340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2104][3]~q\);

-- Location: LCCOMB_X1_Y19_N20
\led_flash_cnt[2104][4]~56342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2104][4]~56342_combout\ = (\led_flash_cnt[2104][4]~q\ & (!\led_flash_cnt[2104][3]~56341\)) # (!\led_flash_cnt[2104][4]~q\ & ((\led_flash_cnt[2104][3]~56341\) # (GND)))
-- \led_flash_cnt[2104][4]~56343\ = CARRY((!\led_flash_cnt[2104][3]~56341\) # (!\led_flash_cnt[2104][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2104][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2104][3]~56341\,
	combout => \led_flash_cnt[2104][4]~56342_combout\,
	cout => \led_flash_cnt[2104][4]~56343\);

-- Location: FF_X1_Y19_N21
\led_flash_cnt[2104][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2104][4]~56342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2104][4]~q\);

-- Location: LCCOMB_X1_Y19_N22
\led_flash_cnt[2104][5]~56344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2104][5]~56344_combout\ = (\led_flash_cnt[2104][5]~q\ & (\led_flash_cnt[2104][4]~56343\ $ (GND))) # (!\led_flash_cnt[2104][5]~q\ & (!\led_flash_cnt[2104][4]~56343\ & VCC))
-- \led_flash_cnt[2104][5]~56345\ = CARRY((\led_flash_cnt[2104][5]~q\ & !\led_flash_cnt[2104][4]~56343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2104][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2104][4]~56343\,
	combout => \led_flash_cnt[2104][5]~56344_combout\,
	cout => \led_flash_cnt[2104][5]~56345\);

-- Location: FF_X1_Y19_N23
\led_flash_cnt[2104][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2104][5]~56344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2104][5]~q\);

-- Location: LCCOMB_X1_Y19_N24
\led_flash_cnt[2104][6]~56346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2104][6]~56346_combout\ = (\led_flash_cnt[2104][6]~q\ & (!\led_flash_cnt[2104][5]~56345\)) # (!\led_flash_cnt[2104][6]~q\ & ((\led_flash_cnt[2104][5]~56345\) # (GND)))
-- \led_flash_cnt[2104][6]~56347\ = CARRY((!\led_flash_cnt[2104][5]~56345\) # (!\led_flash_cnt[2104][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2104][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2104][5]~56345\,
	combout => \led_flash_cnt[2104][6]~56346_combout\,
	cout => \led_flash_cnt[2104][6]~56347\);

-- Location: FF_X1_Y19_N25
\led_flash_cnt[2104][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2104][6]~56346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2104][6]~q\);

-- Location: LCCOMB_X1_Y19_N10
\WideAnd2104~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2104~1_combout\ = (\led_flash_cnt[2104][5]~q\ & \led_flash_cnt[2104][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2104][5]~q\,
	datad => \led_flash_cnt[2104][6]~q\,
	combout => \WideAnd2104~1_combout\);

-- Location: LCCOMB_X1_Y19_N28
\WideAnd2104~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2104~0_combout\ = (\led_flash_cnt[2104][3]~q\ & (\led_flash_cnt[2104][2]~q\ & (\led_flash_cnt[2104][1]~q\ & \led_flash_cnt[2104][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2104][3]~q\,
	datab => \led_flash_cnt[2104][2]~q\,
	datac => \led_flash_cnt[2104][1]~q\,
	datad => \led_flash_cnt[2104][4]~q\,
	combout => \WideAnd2104~0_combout\);

-- Location: LCCOMB_X1_Y19_N26
\led_flash_cnt[2104][7]~56348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2104][7]~56348_combout\ = \led_flash_cnt[2104][7]~q\ $ (!\led_flash_cnt[2104][6]~56347\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2104][7]~q\,
	cin => \led_flash_cnt[2104][6]~56347\,
	combout => \led_flash_cnt[2104][7]~56348_combout\);

-- Location: FF_X1_Y19_N27
\led_flash_cnt[2104][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2104][7]~56348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2104][7]~q\);

-- Location: LCCOMB_X1_Y19_N4
WideAnd2104 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2104~combout\ = (\WideAnd2104~1_combout\ & (\WideAnd2104~0_combout\ & (\led_flash_cnt[2104][7]~q\ & \led_flash_cnt[2104][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2104~1_combout\,
	datab => \WideAnd2104~0_combout\,
	datac => \led_flash_cnt[2104][7]~q\,
	datad => \led_flash_cnt[2104][0]~q\,
	combout => \WideAnd2104~combout\);

-- Location: FF_X1_Y19_N5
\led_flash_cnt_ands[2104]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2104~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2104));

-- Location: LCCOMB_X2_Y12_N8
\led_flash_cnt[2106][0]~82746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2106][0]~82746_combout\ = !\led_flash_cnt[2106][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2106][0]~q\,
	combout => \led_flash_cnt[2106][0]~82746_combout\);

-- Location: FF_X2_Y12_N9
\led_flash_cnt[2106][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2106][0]~82746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2106][0]~q\);

-- Location: LCCOMB_X2_Y12_N12
\led_flash_cnt[2106][1]~56364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2106][1]~56364_combout\ = (\led_flash_cnt[2106][1]~q\ & (\led_flash_cnt[2106][0]~q\ $ (VCC))) # (!\led_flash_cnt[2106][1]~q\ & (\led_flash_cnt[2106][0]~q\ & VCC))
-- \led_flash_cnt[2106][1]~56365\ = CARRY((\led_flash_cnt[2106][1]~q\ & \led_flash_cnt[2106][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2106][1]~q\,
	datab => \led_flash_cnt[2106][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2106][1]~56364_combout\,
	cout => \led_flash_cnt[2106][1]~56365\);

-- Location: FF_X2_Y12_N13
\led_flash_cnt[2106][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2106][1]~56364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2106][1]~q\);

-- Location: LCCOMB_X2_Y12_N14
\led_flash_cnt[2106][2]~56366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2106][2]~56366_combout\ = (\led_flash_cnt[2106][2]~q\ & (!\led_flash_cnt[2106][1]~56365\)) # (!\led_flash_cnt[2106][2]~q\ & ((\led_flash_cnt[2106][1]~56365\) # (GND)))
-- \led_flash_cnt[2106][2]~56367\ = CARRY((!\led_flash_cnt[2106][1]~56365\) # (!\led_flash_cnt[2106][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2106][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2106][1]~56365\,
	combout => \led_flash_cnt[2106][2]~56366_combout\,
	cout => \led_flash_cnt[2106][2]~56367\);

-- Location: FF_X2_Y12_N15
\led_flash_cnt[2106][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2106][2]~56366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2106][2]~q\);

-- Location: LCCOMB_X2_Y12_N16
\led_flash_cnt[2106][3]~56368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2106][3]~56368_combout\ = (\led_flash_cnt[2106][3]~q\ & (\led_flash_cnt[2106][2]~56367\ $ (GND))) # (!\led_flash_cnt[2106][3]~q\ & (!\led_flash_cnt[2106][2]~56367\ & VCC))
-- \led_flash_cnt[2106][3]~56369\ = CARRY((\led_flash_cnt[2106][3]~q\ & !\led_flash_cnt[2106][2]~56367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2106][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2106][2]~56367\,
	combout => \led_flash_cnt[2106][3]~56368_combout\,
	cout => \led_flash_cnt[2106][3]~56369\);

-- Location: FF_X2_Y12_N17
\led_flash_cnt[2106][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2106][3]~56368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2106][3]~q\);

-- Location: LCCOMB_X2_Y12_N18
\led_flash_cnt[2106][4]~56370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2106][4]~56370_combout\ = (\led_flash_cnt[2106][4]~q\ & (!\led_flash_cnt[2106][3]~56369\)) # (!\led_flash_cnt[2106][4]~q\ & ((\led_flash_cnt[2106][3]~56369\) # (GND)))
-- \led_flash_cnt[2106][4]~56371\ = CARRY((!\led_flash_cnt[2106][3]~56369\) # (!\led_flash_cnt[2106][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2106][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2106][3]~56369\,
	combout => \led_flash_cnt[2106][4]~56370_combout\,
	cout => \led_flash_cnt[2106][4]~56371\);

-- Location: FF_X2_Y12_N19
\led_flash_cnt[2106][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2106][4]~56370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2106][4]~q\);

-- Location: LCCOMB_X2_Y12_N20
\led_flash_cnt[2106][5]~56372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2106][5]~56372_combout\ = (\led_flash_cnt[2106][5]~q\ & (\led_flash_cnt[2106][4]~56371\ $ (GND))) # (!\led_flash_cnt[2106][5]~q\ & (!\led_flash_cnt[2106][4]~56371\ & VCC))
-- \led_flash_cnt[2106][5]~56373\ = CARRY((\led_flash_cnt[2106][5]~q\ & !\led_flash_cnt[2106][4]~56371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2106][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2106][4]~56371\,
	combout => \led_flash_cnt[2106][5]~56372_combout\,
	cout => \led_flash_cnt[2106][5]~56373\);

-- Location: FF_X2_Y12_N21
\led_flash_cnt[2106][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2106][5]~56372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2106][5]~q\);

-- Location: LCCOMB_X2_Y12_N22
\led_flash_cnt[2106][6]~56374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2106][6]~56374_combout\ = (\led_flash_cnt[2106][6]~q\ & (!\led_flash_cnt[2106][5]~56373\)) # (!\led_flash_cnt[2106][6]~q\ & ((\led_flash_cnt[2106][5]~56373\) # (GND)))
-- \led_flash_cnt[2106][6]~56375\ = CARRY((!\led_flash_cnt[2106][5]~56373\) # (!\led_flash_cnt[2106][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2106][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2106][5]~56373\,
	combout => \led_flash_cnt[2106][6]~56374_combout\,
	cout => \led_flash_cnt[2106][6]~56375\);

-- Location: FF_X2_Y12_N23
\led_flash_cnt[2106][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2106][6]~56374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2106][6]~q\);

-- Location: LCCOMB_X2_Y12_N10
\WideAnd2106~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2106~1_combout\ = (\led_flash_cnt[2106][6]~q\ & \led_flash_cnt[2106][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2106][6]~q\,
	datad => \led_flash_cnt[2106][5]~q\,
	combout => \WideAnd2106~1_combout\);

-- Location: LCCOMB_X2_Y12_N24
\led_flash_cnt[2106][7]~56376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2106][7]~56376_combout\ = \led_flash_cnt[2106][6]~56375\ $ (!\led_flash_cnt[2106][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2106][7]~q\,
	cin => \led_flash_cnt[2106][6]~56375\,
	combout => \led_flash_cnt[2106][7]~56376_combout\);

-- Location: FF_X2_Y12_N25
\led_flash_cnt[2106][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2106][7]~56376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2106][7]~q\);

-- Location: LCCOMB_X2_Y12_N0
\WideAnd2106~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2106~0_combout\ = (\led_flash_cnt[2106][1]~q\ & (\led_flash_cnt[2106][3]~q\ & (\led_flash_cnt[2106][2]~q\ & \led_flash_cnt[2106][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2106][1]~q\,
	datab => \led_flash_cnt[2106][3]~q\,
	datac => \led_flash_cnt[2106][2]~q\,
	datad => \led_flash_cnt[2106][4]~q\,
	combout => \WideAnd2106~0_combout\);

-- Location: LCCOMB_X2_Y12_N26
WideAnd2106 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2106~combout\ = (\WideAnd2106~1_combout\ & (\led_flash_cnt[2106][7]~q\ & (\led_flash_cnt[2106][0]~q\ & \WideAnd2106~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2106~1_combout\,
	datab => \led_flash_cnt[2106][7]~q\,
	datac => \led_flash_cnt[2106][0]~q\,
	datad => \WideAnd2106~0_combout\,
	combout => \WideAnd2106~combout\);

-- Location: FF_X2_Y12_N27
\led_flash_cnt_ands[2106]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2106~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2106));

-- Location: LCCOMB_X2_Y19_N2
\led_flash_cnt[2105][0]~82745\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2105][0]~82745_combout\ = !\led_flash_cnt[2105][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2105][0]~q\,
	combout => \led_flash_cnt[2105][0]~82745_combout\);

-- Location: FF_X2_Y19_N3
\led_flash_cnt[2105][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2105][0]~82745_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2105][0]~q\);

-- Location: LCCOMB_X2_Y19_N18
\led_flash_cnt[2105][1]~56350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2105][1]~56350_combout\ = (\led_flash_cnt[2105][1]~q\ & (\led_flash_cnt[2105][0]~q\ $ (VCC))) # (!\led_flash_cnt[2105][1]~q\ & (\led_flash_cnt[2105][0]~q\ & VCC))
-- \led_flash_cnt[2105][1]~56351\ = CARRY((\led_flash_cnt[2105][1]~q\ & \led_flash_cnt[2105][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2105][1]~q\,
	datab => \led_flash_cnt[2105][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2105][1]~56350_combout\,
	cout => \led_flash_cnt[2105][1]~56351\);

-- Location: FF_X2_Y19_N19
\led_flash_cnt[2105][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2105][1]~56350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2105][1]~q\);

-- Location: LCCOMB_X2_Y19_N20
\led_flash_cnt[2105][2]~56352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2105][2]~56352_combout\ = (\led_flash_cnt[2105][2]~q\ & (!\led_flash_cnt[2105][1]~56351\)) # (!\led_flash_cnt[2105][2]~q\ & ((\led_flash_cnt[2105][1]~56351\) # (GND)))
-- \led_flash_cnt[2105][2]~56353\ = CARRY((!\led_flash_cnt[2105][1]~56351\) # (!\led_flash_cnt[2105][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2105][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2105][1]~56351\,
	combout => \led_flash_cnt[2105][2]~56352_combout\,
	cout => \led_flash_cnt[2105][2]~56353\);

-- Location: FF_X2_Y19_N21
\led_flash_cnt[2105][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2105][2]~56352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2105][2]~q\);

-- Location: LCCOMB_X2_Y19_N22
\led_flash_cnt[2105][3]~56354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2105][3]~56354_combout\ = (\led_flash_cnt[2105][3]~q\ & (\led_flash_cnt[2105][2]~56353\ $ (GND))) # (!\led_flash_cnt[2105][3]~q\ & (!\led_flash_cnt[2105][2]~56353\ & VCC))
-- \led_flash_cnt[2105][3]~56355\ = CARRY((\led_flash_cnt[2105][3]~q\ & !\led_flash_cnt[2105][2]~56353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2105][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2105][2]~56353\,
	combout => \led_flash_cnt[2105][3]~56354_combout\,
	cout => \led_flash_cnt[2105][3]~56355\);

-- Location: FF_X2_Y19_N23
\led_flash_cnt[2105][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2105][3]~56354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2105][3]~q\);

-- Location: LCCOMB_X2_Y19_N24
\led_flash_cnt[2105][4]~56356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2105][4]~56356_combout\ = (\led_flash_cnt[2105][4]~q\ & (!\led_flash_cnt[2105][3]~56355\)) # (!\led_flash_cnt[2105][4]~q\ & ((\led_flash_cnt[2105][3]~56355\) # (GND)))
-- \led_flash_cnt[2105][4]~56357\ = CARRY((!\led_flash_cnt[2105][3]~56355\) # (!\led_flash_cnt[2105][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2105][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2105][3]~56355\,
	combout => \led_flash_cnt[2105][4]~56356_combout\,
	cout => \led_flash_cnt[2105][4]~56357\);

-- Location: FF_X2_Y19_N25
\led_flash_cnt[2105][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2105][4]~56356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2105][4]~q\);

-- Location: LCCOMB_X2_Y19_N10
\WideAnd2105~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2105~0_combout\ = (\led_flash_cnt[2105][1]~q\ & (\led_flash_cnt[2105][4]~q\ & (\led_flash_cnt[2105][3]~q\ & \led_flash_cnt[2105][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2105][1]~q\,
	datab => \led_flash_cnt[2105][4]~q\,
	datac => \led_flash_cnt[2105][3]~q\,
	datad => \led_flash_cnt[2105][2]~q\,
	combout => \WideAnd2105~0_combout\);

-- Location: LCCOMB_X2_Y19_N26
\led_flash_cnt[2105][5]~56358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2105][5]~56358_combout\ = (\led_flash_cnt[2105][5]~q\ & (\led_flash_cnt[2105][4]~56357\ $ (GND))) # (!\led_flash_cnt[2105][5]~q\ & (!\led_flash_cnt[2105][4]~56357\ & VCC))
-- \led_flash_cnt[2105][5]~56359\ = CARRY((\led_flash_cnt[2105][5]~q\ & !\led_flash_cnt[2105][4]~56357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2105][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2105][4]~56357\,
	combout => \led_flash_cnt[2105][5]~56358_combout\,
	cout => \led_flash_cnt[2105][5]~56359\);

-- Location: FF_X2_Y19_N27
\led_flash_cnt[2105][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2105][5]~56358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2105][5]~q\);

-- Location: LCCOMB_X2_Y19_N28
\led_flash_cnt[2105][6]~56360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2105][6]~56360_combout\ = (\led_flash_cnt[2105][6]~q\ & (!\led_flash_cnt[2105][5]~56359\)) # (!\led_flash_cnt[2105][6]~q\ & ((\led_flash_cnt[2105][5]~56359\) # (GND)))
-- \led_flash_cnt[2105][6]~56361\ = CARRY((!\led_flash_cnt[2105][5]~56359\) # (!\led_flash_cnt[2105][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2105][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2105][5]~56359\,
	combout => \led_flash_cnt[2105][6]~56360_combout\,
	cout => \led_flash_cnt[2105][6]~56361\);

-- Location: FF_X2_Y19_N29
\led_flash_cnt[2105][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2105][6]~56360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2105][6]~q\);

-- Location: LCCOMB_X2_Y19_N30
\led_flash_cnt[2105][7]~56362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2105][7]~56362_combout\ = \led_flash_cnt[2105][7]~q\ $ (!\led_flash_cnt[2105][6]~56361\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2105][7]~q\,
	cin => \led_flash_cnt[2105][6]~56361\,
	combout => \led_flash_cnt[2105][7]~56362_combout\);

-- Location: FF_X2_Y19_N31
\led_flash_cnt[2105][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2105][7]~56362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2105][7]~q\);

-- Location: LCCOMB_X2_Y19_N16
\WideAnd2105~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2105~1_combout\ = (\led_flash_cnt[2105][5]~q\ & \led_flash_cnt[2105][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2105][5]~q\,
	datad => \led_flash_cnt[2105][6]~q\,
	combout => \WideAnd2105~1_combout\);

-- Location: LCCOMB_X2_Y19_N6
WideAnd2105 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2105~combout\ = (\WideAnd2105~0_combout\ & (\led_flash_cnt[2105][0]~q\ & (\led_flash_cnt[2105][7]~q\ & \WideAnd2105~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2105~0_combout\,
	datab => \led_flash_cnt[2105][0]~q\,
	datac => \led_flash_cnt[2105][7]~q\,
	datad => \WideAnd2105~1_combout\,
	combout => \WideAnd2105~combout\);

-- Location: FF_X2_Y19_N7
\led_flash_cnt_ands[2105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2105~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2105));

-- Location: LCCOMB_X2_Y19_N8
\WideAnd4103~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4103~0_combout\ = (led_flash_cnt_ands(2107) & (led_flash_cnt_ands(2104) & (led_flash_cnt_ands(2106) & led_flash_cnt_ands(2105))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2107),
	datab => led_flash_cnt_ands(2104),
	datac => led_flash_cnt_ands(2106),
	datad => led_flash_cnt_ands(2105),
	combout => \WideAnd4103~0_combout\);

-- Location: LCCOMB_X22_Y36_N12
\led_flash_cnt[2108][0]~82748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2108][0]~82748_combout\ = !\led_flash_cnt[2108][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2108][0]~q\,
	combout => \led_flash_cnt[2108][0]~82748_combout\);

-- Location: FF_X22_Y36_N13
\led_flash_cnt[2108][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2108][0]~82748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2108][0]~q\);

-- Location: LCCOMB_X22_Y36_N16
\led_flash_cnt[2108][1]~56392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2108][1]~56392_combout\ = (\led_flash_cnt[2108][0]~q\ & (\led_flash_cnt[2108][1]~q\ $ (VCC))) # (!\led_flash_cnt[2108][0]~q\ & (\led_flash_cnt[2108][1]~q\ & VCC))
-- \led_flash_cnt[2108][1]~56393\ = CARRY((\led_flash_cnt[2108][0]~q\ & \led_flash_cnt[2108][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2108][0]~q\,
	datab => \led_flash_cnt[2108][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2108][1]~56392_combout\,
	cout => \led_flash_cnt[2108][1]~56393\);

-- Location: FF_X22_Y36_N17
\led_flash_cnt[2108][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2108][1]~56392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2108][1]~q\);

-- Location: LCCOMB_X22_Y36_N18
\led_flash_cnt[2108][2]~56394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2108][2]~56394_combout\ = (\led_flash_cnt[2108][2]~q\ & (!\led_flash_cnt[2108][1]~56393\)) # (!\led_flash_cnt[2108][2]~q\ & ((\led_flash_cnt[2108][1]~56393\) # (GND)))
-- \led_flash_cnt[2108][2]~56395\ = CARRY((!\led_flash_cnt[2108][1]~56393\) # (!\led_flash_cnt[2108][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2108][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2108][1]~56393\,
	combout => \led_flash_cnt[2108][2]~56394_combout\,
	cout => \led_flash_cnt[2108][2]~56395\);

-- Location: FF_X22_Y36_N19
\led_flash_cnt[2108][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2108][2]~56394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2108][2]~q\);

-- Location: LCCOMB_X22_Y36_N20
\led_flash_cnt[2108][3]~56396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2108][3]~56396_combout\ = (\led_flash_cnt[2108][3]~q\ & (\led_flash_cnt[2108][2]~56395\ $ (GND))) # (!\led_flash_cnt[2108][3]~q\ & (!\led_flash_cnt[2108][2]~56395\ & VCC))
-- \led_flash_cnt[2108][3]~56397\ = CARRY((\led_flash_cnt[2108][3]~q\ & !\led_flash_cnt[2108][2]~56395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2108][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2108][2]~56395\,
	combout => \led_flash_cnt[2108][3]~56396_combout\,
	cout => \led_flash_cnt[2108][3]~56397\);

-- Location: FF_X22_Y36_N21
\led_flash_cnt[2108][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2108][3]~56396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2108][3]~q\);

-- Location: LCCOMB_X22_Y36_N22
\led_flash_cnt[2108][4]~56398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2108][4]~56398_combout\ = (\led_flash_cnt[2108][4]~q\ & (!\led_flash_cnt[2108][3]~56397\)) # (!\led_flash_cnt[2108][4]~q\ & ((\led_flash_cnt[2108][3]~56397\) # (GND)))
-- \led_flash_cnt[2108][4]~56399\ = CARRY((!\led_flash_cnt[2108][3]~56397\) # (!\led_flash_cnt[2108][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2108][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2108][3]~56397\,
	combout => \led_flash_cnt[2108][4]~56398_combout\,
	cout => \led_flash_cnt[2108][4]~56399\);

-- Location: FF_X22_Y36_N23
\led_flash_cnt[2108][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2108][4]~56398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2108][4]~q\);

-- Location: LCCOMB_X22_Y36_N24
\led_flash_cnt[2108][5]~56400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2108][5]~56400_combout\ = (\led_flash_cnt[2108][5]~q\ & (\led_flash_cnt[2108][4]~56399\ $ (GND))) # (!\led_flash_cnt[2108][5]~q\ & (!\led_flash_cnt[2108][4]~56399\ & VCC))
-- \led_flash_cnt[2108][5]~56401\ = CARRY((\led_flash_cnt[2108][5]~q\ & !\led_flash_cnt[2108][4]~56399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2108][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2108][4]~56399\,
	combout => \led_flash_cnt[2108][5]~56400_combout\,
	cout => \led_flash_cnt[2108][5]~56401\);

-- Location: FF_X22_Y36_N25
\led_flash_cnt[2108][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2108][5]~56400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2108][5]~q\);

-- Location: LCCOMB_X22_Y36_N26
\led_flash_cnt[2108][6]~56402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2108][6]~56402_combout\ = (\led_flash_cnt[2108][6]~q\ & (!\led_flash_cnt[2108][5]~56401\)) # (!\led_flash_cnt[2108][6]~q\ & ((\led_flash_cnt[2108][5]~56401\) # (GND)))
-- \led_flash_cnt[2108][6]~56403\ = CARRY((!\led_flash_cnt[2108][5]~56401\) # (!\led_flash_cnt[2108][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2108][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2108][5]~56401\,
	combout => \led_flash_cnt[2108][6]~56402_combout\,
	cout => \led_flash_cnt[2108][6]~56403\);

-- Location: FF_X22_Y36_N27
\led_flash_cnt[2108][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2108][6]~56402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2108][6]~q\);

-- Location: LCCOMB_X22_Y36_N10
\WideAnd2108~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2108~1_combout\ = (\led_flash_cnt[2108][6]~q\ & \led_flash_cnt[2108][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2108][6]~q\,
	datad => \led_flash_cnt[2108][5]~q\,
	combout => \WideAnd2108~1_combout\);

-- Location: LCCOMB_X22_Y36_N28
\led_flash_cnt[2108][7]~56404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2108][7]~56404_combout\ = \led_flash_cnt[2108][6]~56403\ $ (!\led_flash_cnt[2108][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2108][7]~q\,
	cin => \led_flash_cnt[2108][6]~56403\,
	combout => \led_flash_cnt[2108][7]~56404_combout\);

-- Location: FF_X22_Y36_N29
\led_flash_cnt[2108][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2108][7]~56404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2108][7]~q\);

-- Location: LCCOMB_X22_Y36_N4
\WideAnd2108~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2108~0_combout\ = (\led_flash_cnt[2108][3]~q\ & (\led_flash_cnt[2108][1]~q\ & (\led_flash_cnt[2108][4]~q\ & \led_flash_cnt[2108][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2108][3]~q\,
	datab => \led_flash_cnt[2108][1]~q\,
	datac => \led_flash_cnt[2108][4]~q\,
	datad => \led_flash_cnt[2108][2]~q\,
	combout => \WideAnd2108~0_combout\);

-- Location: LCCOMB_X22_Y36_N30
WideAnd2108 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2108~combout\ = (\WideAnd2108~1_combout\ & (\led_flash_cnt[2108][7]~q\ & (\WideAnd2108~0_combout\ & \led_flash_cnt[2108][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2108~1_combout\,
	datab => \led_flash_cnt[2108][7]~q\,
	datac => \WideAnd2108~0_combout\,
	datad => \led_flash_cnt[2108][0]~q\,
	combout => \WideAnd2108~combout\);

-- Location: FF_X22_Y36_N31
\led_flash_cnt_ands[2108]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2108~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2108));

-- Location: LCCOMB_X22_Y36_N6
\led_flash_cnt[2109][0]~82749\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2109][0]~82749_combout\ = !\led_flash_cnt[2109][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2109][0]~q\,
	combout => \led_flash_cnt[2109][0]~82749_combout\);

-- Location: FF_X22_Y36_N7
\led_flash_cnt[2109][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2109][0]~82749_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2109][0]~q\);

-- Location: LCCOMB_X23_Y36_N4
\led_flash_cnt[2109][1]~56406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2109][1]~56406_combout\ = (\led_flash_cnt[2109][0]~q\ & (\led_flash_cnt[2109][1]~q\ $ (VCC))) # (!\led_flash_cnt[2109][0]~q\ & (\led_flash_cnt[2109][1]~q\ & VCC))
-- \led_flash_cnt[2109][1]~56407\ = CARRY((\led_flash_cnt[2109][0]~q\ & \led_flash_cnt[2109][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2109][0]~q\,
	datab => \led_flash_cnt[2109][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2109][1]~56406_combout\,
	cout => \led_flash_cnt[2109][1]~56407\);

-- Location: FF_X23_Y36_N5
\led_flash_cnt[2109][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2109][1]~56406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2109][1]~q\);

-- Location: LCCOMB_X23_Y36_N6
\led_flash_cnt[2109][2]~56408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2109][2]~56408_combout\ = (\led_flash_cnt[2109][2]~q\ & (!\led_flash_cnt[2109][1]~56407\)) # (!\led_flash_cnt[2109][2]~q\ & ((\led_flash_cnt[2109][1]~56407\) # (GND)))
-- \led_flash_cnt[2109][2]~56409\ = CARRY((!\led_flash_cnt[2109][1]~56407\) # (!\led_flash_cnt[2109][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2109][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2109][1]~56407\,
	combout => \led_flash_cnt[2109][2]~56408_combout\,
	cout => \led_flash_cnt[2109][2]~56409\);

-- Location: FF_X23_Y36_N7
\led_flash_cnt[2109][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2109][2]~56408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2109][2]~q\);

-- Location: LCCOMB_X23_Y36_N8
\led_flash_cnt[2109][3]~56410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2109][3]~56410_combout\ = (\led_flash_cnt[2109][3]~q\ & (\led_flash_cnt[2109][2]~56409\ $ (GND))) # (!\led_flash_cnt[2109][3]~q\ & (!\led_flash_cnt[2109][2]~56409\ & VCC))
-- \led_flash_cnt[2109][3]~56411\ = CARRY((\led_flash_cnt[2109][3]~q\ & !\led_flash_cnt[2109][2]~56409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2109][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2109][2]~56409\,
	combout => \led_flash_cnt[2109][3]~56410_combout\,
	cout => \led_flash_cnt[2109][3]~56411\);

-- Location: FF_X23_Y36_N9
\led_flash_cnt[2109][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2109][3]~56410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2109][3]~q\);

-- Location: LCCOMB_X23_Y36_N10
\led_flash_cnt[2109][4]~56412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2109][4]~56412_combout\ = (\led_flash_cnt[2109][4]~q\ & (!\led_flash_cnt[2109][3]~56411\)) # (!\led_flash_cnt[2109][4]~q\ & ((\led_flash_cnt[2109][3]~56411\) # (GND)))
-- \led_flash_cnt[2109][4]~56413\ = CARRY((!\led_flash_cnt[2109][3]~56411\) # (!\led_flash_cnt[2109][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2109][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2109][3]~56411\,
	combout => \led_flash_cnt[2109][4]~56412_combout\,
	cout => \led_flash_cnt[2109][4]~56413\);

-- Location: FF_X23_Y36_N11
\led_flash_cnt[2109][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2109][4]~56412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2109][4]~q\);

-- Location: LCCOMB_X23_Y36_N0
\WideAnd2109~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2109~0_combout\ = (\led_flash_cnt[2109][2]~q\ & (\led_flash_cnt[2109][1]~q\ & (\led_flash_cnt[2109][3]~q\ & \led_flash_cnt[2109][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2109][2]~q\,
	datab => \led_flash_cnt[2109][1]~q\,
	datac => \led_flash_cnt[2109][3]~q\,
	datad => \led_flash_cnt[2109][4]~q\,
	combout => \WideAnd2109~0_combout\);

-- Location: LCCOMB_X23_Y36_N12
\led_flash_cnt[2109][5]~56414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2109][5]~56414_combout\ = (\led_flash_cnt[2109][5]~q\ & (\led_flash_cnt[2109][4]~56413\ $ (GND))) # (!\led_flash_cnt[2109][5]~q\ & (!\led_flash_cnt[2109][4]~56413\ & VCC))
-- \led_flash_cnt[2109][5]~56415\ = CARRY((\led_flash_cnt[2109][5]~q\ & !\led_flash_cnt[2109][4]~56413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2109][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2109][4]~56413\,
	combout => \led_flash_cnt[2109][5]~56414_combout\,
	cout => \led_flash_cnt[2109][5]~56415\);

-- Location: FF_X23_Y36_N13
\led_flash_cnt[2109][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2109][5]~56414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2109][5]~q\);

-- Location: LCCOMB_X23_Y36_N14
\led_flash_cnt[2109][6]~56416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2109][6]~56416_combout\ = (\led_flash_cnt[2109][6]~q\ & (!\led_flash_cnt[2109][5]~56415\)) # (!\led_flash_cnt[2109][6]~q\ & ((\led_flash_cnt[2109][5]~56415\) # (GND)))
-- \led_flash_cnt[2109][6]~56417\ = CARRY((!\led_flash_cnt[2109][5]~56415\) # (!\led_flash_cnt[2109][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2109][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2109][5]~56415\,
	combout => \led_flash_cnt[2109][6]~56416_combout\,
	cout => \led_flash_cnt[2109][6]~56417\);

-- Location: FF_X23_Y36_N15
\led_flash_cnt[2109][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2109][6]~56416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2109][6]~q\);

-- Location: LCCOMB_X22_Y36_N14
\WideAnd2109~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2109~1_combout\ = (\led_flash_cnt[2109][5]~q\ & \led_flash_cnt[2109][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2109][5]~q\,
	datac => \led_flash_cnt[2109][6]~q\,
	combout => \WideAnd2109~1_combout\);

-- Location: LCCOMB_X23_Y36_N16
\led_flash_cnt[2109][7]~56418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2109][7]~56418_combout\ = \led_flash_cnt[2109][6]~56417\ $ (!\led_flash_cnt[2109][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2109][7]~q\,
	cin => \led_flash_cnt[2109][6]~56417\,
	combout => \led_flash_cnt[2109][7]~56418_combout\);

-- Location: FF_X23_Y36_N17
\led_flash_cnt[2109][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2109][7]~56418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2109][7]~q\);

-- Location: LCCOMB_X22_Y36_N2
WideAnd2109 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2109~combout\ = (\led_flash_cnt[2109][0]~q\ & (\WideAnd2109~0_combout\ & (\WideAnd2109~1_combout\ & \led_flash_cnt[2109][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2109][0]~q\,
	datab => \WideAnd2109~0_combout\,
	datac => \WideAnd2109~1_combout\,
	datad => \led_flash_cnt[2109][7]~q\,
	combout => \WideAnd2109~combout\);

-- Location: FF_X22_Y36_N3
\led_flash_cnt_ands[2109]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2109~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2109));

-- Location: LCCOMB_X22_Y36_N8
\WideAnd4103~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4103~1_combout\ = (led_flash_cnt_ands(2108) & led_flash_cnt_ands(2109))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2108),
	datad => led_flash_cnt_ands(2109),
	combout => \WideAnd4103~1_combout\);

-- Location: LCCOMB_X14_Y20_N28
\led_flash_cnt[2110][0]~82750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2110][0]~82750_combout\ = !\led_flash_cnt[2110][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2110][0]~q\,
	combout => \led_flash_cnt[2110][0]~82750_combout\);

-- Location: FF_X14_Y20_N29
\led_flash_cnt[2110][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2110][0]~82750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2110][0]~q\);

-- Location: LCCOMB_X14_Y20_N10
\led_flash_cnt[2110][1]~56420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2110][1]~56420_combout\ = (\led_flash_cnt[2110][1]~q\ & (\led_flash_cnt[2110][0]~q\ $ (VCC))) # (!\led_flash_cnt[2110][1]~q\ & (\led_flash_cnt[2110][0]~q\ & VCC))
-- \led_flash_cnt[2110][1]~56421\ = CARRY((\led_flash_cnt[2110][1]~q\ & \led_flash_cnt[2110][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2110][1]~q\,
	datab => \led_flash_cnt[2110][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2110][1]~56420_combout\,
	cout => \led_flash_cnt[2110][1]~56421\);

-- Location: FF_X14_Y20_N11
\led_flash_cnt[2110][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2110][1]~56420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2110][1]~q\);

-- Location: LCCOMB_X14_Y20_N12
\led_flash_cnt[2110][2]~56422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2110][2]~56422_combout\ = (\led_flash_cnt[2110][2]~q\ & (!\led_flash_cnt[2110][1]~56421\)) # (!\led_flash_cnt[2110][2]~q\ & ((\led_flash_cnt[2110][1]~56421\) # (GND)))
-- \led_flash_cnt[2110][2]~56423\ = CARRY((!\led_flash_cnt[2110][1]~56421\) # (!\led_flash_cnt[2110][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2110][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2110][1]~56421\,
	combout => \led_flash_cnt[2110][2]~56422_combout\,
	cout => \led_flash_cnt[2110][2]~56423\);

-- Location: FF_X14_Y20_N13
\led_flash_cnt[2110][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2110][2]~56422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2110][2]~q\);

-- Location: LCCOMB_X14_Y20_N14
\led_flash_cnt[2110][3]~56424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2110][3]~56424_combout\ = (\led_flash_cnt[2110][3]~q\ & (\led_flash_cnt[2110][2]~56423\ $ (GND))) # (!\led_flash_cnt[2110][3]~q\ & (!\led_flash_cnt[2110][2]~56423\ & VCC))
-- \led_flash_cnt[2110][3]~56425\ = CARRY((\led_flash_cnt[2110][3]~q\ & !\led_flash_cnt[2110][2]~56423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2110][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2110][2]~56423\,
	combout => \led_flash_cnt[2110][3]~56424_combout\,
	cout => \led_flash_cnt[2110][3]~56425\);

-- Location: FF_X14_Y20_N15
\led_flash_cnt[2110][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2110][3]~56424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2110][3]~q\);

-- Location: LCCOMB_X14_Y20_N16
\led_flash_cnt[2110][4]~56426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2110][4]~56426_combout\ = (\led_flash_cnt[2110][4]~q\ & (!\led_flash_cnt[2110][3]~56425\)) # (!\led_flash_cnt[2110][4]~q\ & ((\led_flash_cnt[2110][3]~56425\) # (GND)))
-- \led_flash_cnt[2110][4]~56427\ = CARRY((!\led_flash_cnt[2110][3]~56425\) # (!\led_flash_cnt[2110][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2110][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2110][3]~56425\,
	combout => \led_flash_cnt[2110][4]~56426_combout\,
	cout => \led_flash_cnt[2110][4]~56427\);

-- Location: FF_X14_Y20_N17
\led_flash_cnt[2110][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2110][4]~56426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2110][4]~q\);

-- Location: LCCOMB_X14_Y20_N26
\WideAnd2110~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2110~0_combout\ = (\led_flash_cnt[2110][2]~q\ & (\led_flash_cnt[2110][4]~q\ & (\led_flash_cnt[2110][3]~q\ & \led_flash_cnt[2110][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2110][2]~q\,
	datab => \led_flash_cnt[2110][4]~q\,
	datac => \led_flash_cnt[2110][3]~q\,
	datad => \led_flash_cnt[2110][1]~q\,
	combout => \WideAnd2110~0_combout\);

-- Location: LCCOMB_X14_Y20_N18
\led_flash_cnt[2110][5]~56428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2110][5]~56428_combout\ = (\led_flash_cnt[2110][5]~q\ & (\led_flash_cnt[2110][4]~56427\ $ (GND))) # (!\led_flash_cnt[2110][5]~q\ & (!\led_flash_cnt[2110][4]~56427\ & VCC))
-- \led_flash_cnt[2110][5]~56429\ = CARRY((\led_flash_cnt[2110][5]~q\ & !\led_flash_cnt[2110][4]~56427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2110][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2110][4]~56427\,
	combout => \led_flash_cnt[2110][5]~56428_combout\,
	cout => \led_flash_cnt[2110][5]~56429\);

-- Location: FF_X14_Y20_N19
\led_flash_cnt[2110][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2110][5]~56428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2110][5]~q\);

-- Location: LCCOMB_X14_Y20_N20
\led_flash_cnt[2110][6]~56430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2110][6]~56430_combout\ = (\led_flash_cnt[2110][6]~q\ & (!\led_flash_cnt[2110][5]~56429\)) # (!\led_flash_cnt[2110][6]~q\ & ((\led_flash_cnt[2110][5]~56429\) # (GND)))
-- \led_flash_cnt[2110][6]~56431\ = CARRY((!\led_flash_cnt[2110][5]~56429\) # (!\led_flash_cnt[2110][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2110][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2110][5]~56429\,
	combout => \led_flash_cnt[2110][6]~56430_combout\,
	cout => \led_flash_cnt[2110][6]~56431\);

-- Location: FF_X14_Y20_N21
\led_flash_cnt[2110][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2110][6]~56430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2110][6]~q\);

-- Location: LCCOMB_X14_Y20_N8
\WideAnd2110~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2110~1_combout\ = (\led_flash_cnt[2110][6]~q\ & \led_flash_cnt[2110][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2110][6]~q\,
	datad => \led_flash_cnt[2110][5]~q\,
	combout => \WideAnd2110~1_combout\);

-- Location: LCCOMB_X14_Y20_N22
\led_flash_cnt[2110][7]~56432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2110][7]~56432_combout\ = \led_flash_cnt[2110][7]~q\ $ (!\led_flash_cnt[2110][6]~56431\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2110][7]~q\,
	cin => \led_flash_cnt[2110][6]~56431\,
	combout => \led_flash_cnt[2110][7]~56432_combout\);

-- Location: FF_X14_Y20_N23
\led_flash_cnt[2110][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2110][7]~56432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2110][7]~q\);

-- Location: LCCOMB_X14_Y20_N4
WideAnd2110 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2110~combout\ = (\WideAnd2110~0_combout\ & (\WideAnd2110~1_combout\ & (\led_flash_cnt[2110][7]~q\ & \led_flash_cnt[2110][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2110~0_combout\,
	datab => \WideAnd2110~1_combout\,
	datac => \led_flash_cnt[2110][7]~q\,
	datad => \led_flash_cnt[2110][0]~q\,
	combout => \WideAnd2110~combout\);

-- Location: FF_X14_Y20_N5
\led_flash_cnt_ands[2110]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2110~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2110));

-- Location: LCCOMB_X15_Y22_N2
\led_flash_cnt[2111][0]~82751\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2111][0]~82751_combout\ = !\led_flash_cnt[2111][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2111][0]~q\,
	combout => \led_flash_cnt[2111][0]~82751_combout\);

-- Location: FF_X15_Y22_N3
\led_flash_cnt[2111][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2111][0]~82751_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2111][0]~q\);

-- Location: LCCOMB_X14_Y22_N0
\led_flash_cnt[2111][1]~56434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2111][1]~56434_combout\ = (\led_flash_cnt[2111][0]~q\ & (\led_flash_cnt[2111][1]~q\ $ (VCC))) # (!\led_flash_cnt[2111][0]~q\ & (\led_flash_cnt[2111][1]~q\ & VCC))
-- \led_flash_cnt[2111][1]~56435\ = CARRY((\led_flash_cnt[2111][0]~q\ & \led_flash_cnt[2111][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2111][0]~q\,
	datab => \led_flash_cnt[2111][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2111][1]~56434_combout\,
	cout => \led_flash_cnt[2111][1]~56435\);

-- Location: FF_X14_Y22_N1
\led_flash_cnt[2111][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2111][1]~56434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2111][1]~q\);

-- Location: LCCOMB_X14_Y22_N2
\led_flash_cnt[2111][2]~56436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2111][2]~56436_combout\ = (\led_flash_cnt[2111][2]~q\ & (!\led_flash_cnt[2111][1]~56435\)) # (!\led_flash_cnt[2111][2]~q\ & ((\led_flash_cnt[2111][1]~56435\) # (GND)))
-- \led_flash_cnt[2111][2]~56437\ = CARRY((!\led_flash_cnt[2111][1]~56435\) # (!\led_flash_cnt[2111][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2111][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2111][1]~56435\,
	combout => \led_flash_cnt[2111][2]~56436_combout\,
	cout => \led_flash_cnt[2111][2]~56437\);

-- Location: FF_X14_Y22_N3
\led_flash_cnt[2111][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2111][2]~56436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2111][2]~q\);

-- Location: LCCOMB_X14_Y22_N4
\led_flash_cnt[2111][3]~56438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2111][3]~56438_combout\ = (\led_flash_cnt[2111][3]~q\ & (\led_flash_cnt[2111][2]~56437\ $ (GND))) # (!\led_flash_cnt[2111][3]~q\ & (!\led_flash_cnt[2111][2]~56437\ & VCC))
-- \led_flash_cnt[2111][3]~56439\ = CARRY((\led_flash_cnt[2111][3]~q\ & !\led_flash_cnt[2111][2]~56437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2111][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2111][2]~56437\,
	combout => \led_flash_cnt[2111][3]~56438_combout\,
	cout => \led_flash_cnt[2111][3]~56439\);

-- Location: FF_X14_Y22_N5
\led_flash_cnt[2111][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2111][3]~56438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2111][3]~q\);

-- Location: LCCOMB_X14_Y22_N6
\led_flash_cnt[2111][4]~56440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2111][4]~56440_combout\ = (\led_flash_cnt[2111][4]~q\ & (!\led_flash_cnt[2111][3]~56439\)) # (!\led_flash_cnt[2111][4]~q\ & ((\led_flash_cnt[2111][3]~56439\) # (GND)))
-- \led_flash_cnt[2111][4]~56441\ = CARRY((!\led_flash_cnt[2111][3]~56439\) # (!\led_flash_cnt[2111][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2111][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2111][3]~56439\,
	combout => \led_flash_cnt[2111][4]~56440_combout\,
	cout => \led_flash_cnt[2111][4]~56441\);

-- Location: FF_X14_Y22_N7
\led_flash_cnt[2111][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2111][4]~56440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2111][4]~q\);

-- Location: LCCOMB_X14_Y22_N8
\led_flash_cnt[2111][5]~56442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2111][5]~56442_combout\ = (\led_flash_cnt[2111][5]~q\ & (\led_flash_cnt[2111][4]~56441\ $ (GND))) # (!\led_flash_cnt[2111][5]~q\ & (!\led_flash_cnt[2111][4]~56441\ & VCC))
-- \led_flash_cnt[2111][5]~56443\ = CARRY((\led_flash_cnt[2111][5]~q\ & !\led_flash_cnt[2111][4]~56441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2111][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2111][4]~56441\,
	combout => \led_flash_cnt[2111][5]~56442_combout\,
	cout => \led_flash_cnt[2111][5]~56443\);

-- Location: FF_X14_Y22_N9
\led_flash_cnt[2111][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2111][5]~56442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2111][5]~q\);

-- Location: LCCOMB_X14_Y22_N10
\led_flash_cnt[2111][6]~56444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2111][6]~56444_combout\ = (\led_flash_cnt[2111][6]~q\ & (!\led_flash_cnt[2111][5]~56443\)) # (!\led_flash_cnt[2111][6]~q\ & ((\led_flash_cnt[2111][5]~56443\) # (GND)))
-- \led_flash_cnt[2111][6]~56445\ = CARRY((!\led_flash_cnt[2111][5]~56443\) # (!\led_flash_cnt[2111][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2111][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2111][5]~56443\,
	combout => \led_flash_cnt[2111][6]~56444_combout\,
	cout => \led_flash_cnt[2111][6]~56445\);

-- Location: FF_X14_Y22_N11
\led_flash_cnt[2111][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2111][6]~56444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2111][6]~q\);

-- Location: LCCOMB_X14_Y22_N12
\led_flash_cnt[2111][7]~56446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2111][7]~56446_combout\ = \led_flash_cnt[2111][6]~56445\ $ (!\led_flash_cnt[2111][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2111][7]~q\,
	cin => \led_flash_cnt[2111][6]~56445\,
	combout => \led_flash_cnt[2111][7]~56446_combout\);

-- Location: FF_X14_Y22_N13
\led_flash_cnt[2111][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2111][7]~56446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2111][7]~q\);

-- Location: LCCOMB_X13_Y22_N4
\WideAnd2111~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2111~1_combout\ = (\led_flash_cnt[2111][6]~q\ & \led_flash_cnt[2111][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2111][6]~q\,
	datac => \led_flash_cnt[2111][5]~q\,
	combout => \WideAnd2111~1_combout\);

-- Location: LCCOMB_X13_Y22_N0
\WideAnd2111~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2111~0_combout\ = (\led_flash_cnt[2111][2]~q\ & (\led_flash_cnt[2111][3]~q\ & (\led_flash_cnt[2111][1]~q\ & \led_flash_cnt[2111][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2111][2]~q\,
	datab => \led_flash_cnt[2111][3]~q\,
	datac => \led_flash_cnt[2111][1]~q\,
	datad => \led_flash_cnt[2111][4]~q\,
	combout => \WideAnd2111~0_combout\);

-- Location: LCCOMB_X14_Y22_N16
WideAnd2111 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2111~combout\ = (\led_flash_cnt[2111][7]~q\ & (\WideAnd2111~1_combout\ & (\WideAnd2111~0_combout\ & \led_flash_cnt[2111][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2111][7]~q\,
	datab => \WideAnd2111~1_combout\,
	datac => \WideAnd2111~0_combout\,
	datad => \led_flash_cnt[2111][0]~q\,
	combout => \WideAnd2111~combout\);

-- Location: FF_X14_Y22_N17
\led_flash_cnt_ands[2111]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2111~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2111));

-- Location: LCCOMB_X14_Y20_N30
WideAnd4103 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4103~combout\ = (\WideAnd4103~0_combout\ & (\WideAnd4103~1_combout\ & (led_flash_cnt_ands(2110) & led_flash_cnt_ands(2111))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4103~0_combout\,
	datab => \WideAnd4103~1_combout\,
	datac => led_flash_cnt_ands(2110),
	datad => led_flash_cnt_ands(2111),
	combout => \WideAnd4103~combout\);

-- Location: FF_X14_Y20_N31
\led_flash_cnt_ands_1[263]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4103~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(263));

-- Location: LCCOMB_X14_Y12_N26
\led_flash_cnt[2094][0]~82734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2094][0]~82734_combout\ = !\led_flash_cnt[2094][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2094][0]~q\,
	combout => \led_flash_cnt[2094][0]~82734_combout\);

-- Location: FF_X14_Y12_N27
\led_flash_cnt[2094][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2094][0]~82734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2094][0]~q\);

-- Location: LCCOMB_X14_Y12_N0
\led_flash_cnt[2094][1]~56196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2094][1]~56196_combout\ = (\led_flash_cnt[2094][0]~q\ & (\led_flash_cnt[2094][1]~q\ $ (VCC))) # (!\led_flash_cnt[2094][0]~q\ & (\led_flash_cnt[2094][1]~q\ & VCC))
-- \led_flash_cnt[2094][1]~56197\ = CARRY((\led_flash_cnt[2094][0]~q\ & \led_flash_cnt[2094][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2094][0]~q\,
	datab => \led_flash_cnt[2094][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2094][1]~56196_combout\,
	cout => \led_flash_cnt[2094][1]~56197\);

-- Location: FF_X14_Y12_N1
\led_flash_cnt[2094][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2094][1]~56196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2094][1]~q\);

-- Location: LCCOMB_X14_Y12_N2
\led_flash_cnt[2094][2]~56198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2094][2]~56198_combout\ = (\led_flash_cnt[2094][2]~q\ & (!\led_flash_cnt[2094][1]~56197\)) # (!\led_flash_cnt[2094][2]~q\ & ((\led_flash_cnt[2094][1]~56197\) # (GND)))
-- \led_flash_cnt[2094][2]~56199\ = CARRY((!\led_flash_cnt[2094][1]~56197\) # (!\led_flash_cnt[2094][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2094][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2094][1]~56197\,
	combout => \led_flash_cnt[2094][2]~56198_combout\,
	cout => \led_flash_cnt[2094][2]~56199\);

-- Location: FF_X14_Y12_N3
\led_flash_cnt[2094][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2094][2]~56198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2094][2]~q\);

-- Location: LCCOMB_X14_Y12_N4
\led_flash_cnt[2094][3]~56200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2094][3]~56200_combout\ = (\led_flash_cnt[2094][3]~q\ & (\led_flash_cnt[2094][2]~56199\ $ (GND))) # (!\led_flash_cnt[2094][3]~q\ & (!\led_flash_cnt[2094][2]~56199\ & VCC))
-- \led_flash_cnt[2094][3]~56201\ = CARRY((\led_flash_cnt[2094][3]~q\ & !\led_flash_cnt[2094][2]~56199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2094][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2094][2]~56199\,
	combout => \led_flash_cnt[2094][3]~56200_combout\,
	cout => \led_flash_cnt[2094][3]~56201\);

-- Location: FF_X14_Y12_N5
\led_flash_cnt[2094][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2094][3]~56200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2094][3]~q\);

-- Location: LCCOMB_X14_Y12_N6
\led_flash_cnt[2094][4]~56202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2094][4]~56202_combout\ = (\led_flash_cnt[2094][4]~q\ & (!\led_flash_cnt[2094][3]~56201\)) # (!\led_flash_cnt[2094][4]~q\ & ((\led_flash_cnt[2094][3]~56201\) # (GND)))
-- \led_flash_cnt[2094][4]~56203\ = CARRY((!\led_flash_cnt[2094][3]~56201\) # (!\led_flash_cnt[2094][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2094][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2094][3]~56201\,
	combout => \led_flash_cnt[2094][4]~56202_combout\,
	cout => \led_flash_cnt[2094][4]~56203\);

-- Location: FF_X14_Y12_N7
\led_flash_cnt[2094][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2094][4]~56202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2094][4]~q\);

-- Location: LCCOMB_X14_Y12_N8
\led_flash_cnt[2094][5]~56204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2094][5]~56204_combout\ = (\led_flash_cnt[2094][5]~q\ & (\led_flash_cnt[2094][4]~56203\ $ (GND))) # (!\led_flash_cnt[2094][5]~q\ & (!\led_flash_cnt[2094][4]~56203\ & VCC))
-- \led_flash_cnt[2094][5]~56205\ = CARRY((\led_flash_cnt[2094][5]~q\ & !\led_flash_cnt[2094][4]~56203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2094][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2094][4]~56203\,
	combout => \led_flash_cnt[2094][5]~56204_combout\,
	cout => \led_flash_cnt[2094][5]~56205\);

-- Location: FF_X14_Y12_N9
\led_flash_cnt[2094][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2094][5]~56204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2094][5]~q\);

-- Location: LCCOMB_X14_Y12_N10
\led_flash_cnt[2094][6]~56206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2094][6]~56206_combout\ = (\led_flash_cnt[2094][6]~q\ & (!\led_flash_cnt[2094][5]~56205\)) # (!\led_flash_cnt[2094][6]~q\ & ((\led_flash_cnt[2094][5]~56205\) # (GND)))
-- \led_flash_cnt[2094][6]~56207\ = CARRY((!\led_flash_cnt[2094][5]~56205\) # (!\led_flash_cnt[2094][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2094][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2094][5]~56205\,
	combout => \led_flash_cnt[2094][6]~56206_combout\,
	cout => \led_flash_cnt[2094][6]~56207\);

-- Location: FF_X14_Y12_N11
\led_flash_cnt[2094][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2094][6]~56206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2094][6]~q\);

-- Location: LCCOMB_X14_Y12_N18
\WideAnd2094~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2094~1_combout\ = (\led_flash_cnt[2094][5]~q\ & \led_flash_cnt[2094][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2094][5]~q\,
	datad => \led_flash_cnt[2094][6]~q\,
	combout => \WideAnd2094~1_combout\);

-- Location: LCCOMB_X14_Y12_N22
\WideAnd2094~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2094~0_combout\ = (\led_flash_cnt[2094][4]~q\ & (\led_flash_cnt[2094][1]~q\ & (\led_flash_cnt[2094][3]~q\ & \led_flash_cnt[2094][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2094][4]~q\,
	datab => \led_flash_cnt[2094][1]~q\,
	datac => \led_flash_cnt[2094][3]~q\,
	datad => \led_flash_cnt[2094][2]~q\,
	combout => \WideAnd2094~0_combout\);

-- Location: LCCOMB_X14_Y12_N12
\led_flash_cnt[2094][7]~56208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2094][7]~56208_combout\ = \led_flash_cnt[2094][6]~56207\ $ (!\led_flash_cnt[2094][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2094][7]~q\,
	cin => \led_flash_cnt[2094][6]~56207\,
	combout => \led_flash_cnt[2094][7]~56208_combout\);

-- Location: FF_X14_Y12_N13
\led_flash_cnt[2094][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2094][7]~56208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2094][7]~q\);

-- Location: LCCOMB_X14_Y12_N24
WideAnd2094 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2094~combout\ = (\led_flash_cnt[2094][0]~q\ & (\WideAnd2094~1_combout\ & (\WideAnd2094~0_combout\ & \led_flash_cnt[2094][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2094][0]~q\,
	datab => \WideAnd2094~1_combout\,
	datac => \WideAnd2094~0_combout\,
	datad => \led_flash_cnt[2094][7]~q\,
	combout => \WideAnd2094~combout\);

-- Location: FF_X14_Y12_N25
\led_flash_cnt_ands[2094]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2094~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2094));

-- Location: LCCOMB_X9_Y5_N22
\led_flash_cnt[2088][0]~82728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2088][0]~82728_combout\ = !\led_flash_cnt[2088][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2088][0]~q\,
	combout => \led_flash_cnt[2088][0]~82728_combout\);

-- Location: FF_X9_Y5_N23
\led_flash_cnt[2088][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2088][0]~82728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2088][0]~q\);

-- Location: LCCOMB_X9_Y5_N4
\led_flash_cnt[2088][1]~56112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2088][1]~56112_combout\ = (\led_flash_cnt[2088][0]~q\ & (\led_flash_cnt[2088][1]~q\ $ (VCC))) # (!\led_flash_cnt[2088][0]~q\ & (\led_flash_cnt[2088][1]~q\ & VCC))
-- \led_flash_cnt[2088][1]~56113\ = CARRY((\led_flash_cnt[2088][0]~q\ & \led_flash_cnt[2088][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2088][0]~q\,
	datab => \led_flash_cnt[2088][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2088][1]~56112_combout\,
	cout => \led_flash_cnt[2088][1]~56113\);

-- Location: FF_X9_Y5_N5
\led_flash_cnt[2088][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2088][1]~56112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2088][1]~q\);

-- Location: LCCOMB_X9_Y5_N6
\led_flash_cnt[2088][2]~56114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2088][2]~56114_combout\ = (\led_flash_cnt[2088][2]~q\ & (!\led_flash_cnt[2088][1]~56113\)) # (!\led_flash_cnt[2088][2]~q\ & ((\led_flash_cnt[2088][1]~56113\) # (GND)))
-- \led_flash_cnt[2088][2]~56115\ = CARRY((!\led_flash_cnt[2088][1]~56113\) # (!\led_flash_cnt[2088][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2088][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2088][1]~56113\,
	combout => \led_flash_cnt[2088][2]~56114_combout\,
	cout => \led_flash_cnt[2088][2]~56115\);

-- Location: FF_X9_Y5_N7
\led_flash_cnt[2088][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2088][2]~56114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2088][2]~q\);

-- Location: LCCOMB_X9_Y5_N8
\led_flash_cnt[2088][3]~56116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2088][3]~56116_combout\ = (\led_flash_cnt[2088][3]~q\ & (\led_flash_cnt[2088][2]~56115\ $ (GND))) # (!\led_flash_cnt[2088][3]~q\ & (!\led_flash_cnt[2088][2]~56115\ & VCC))
-- \led_flash_cnt[2088][3]~56117\ = CARRY((\led_flash_cnt[2088][3]~q\ & !\led_flash_cnt[2088][2]~56115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2088][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2088][2]~56115\,
	combout => \led_flash_cnt[2088][3]~56116_combout\,
	cout => \led_flash_cnt[2088][3]~56117\);

-- Location: FF_X9_Y5_N9
\led_flash_cnt[2088][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2088][3]~56116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2088][3]~q\);

-- Location: LCCOMB_X9_Y5_N10
\led_flash_cnt[2088][4]~56118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2088][4]~56118_combout\ = (\led_flash_cnt[2088][4]~q\ & (!\led_flash_cnt[2088][3]~56117\)) # (!\led_flash_cnt[2088][4]~q\ & ((\led_flash_cnt[2088][3]~56117\) # (GND)))
-- \led_flash_cnt[2088][4]~56119\ = CARRY((!\led_flash_cnt[2088][3]~56117\) # (!\led_flash_cnt[2088][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2088][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2088][3]~56117\,
	combout => \led_flash_cnt[2088][4]~56118_combout\,
	cout => \led_flash_cnt[2088][4]~56119\);

-- Location: FF_X9_Y5_N11
\led_flash_cnt[2088][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2088][4]~56118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2088][4]~q\);

-- Location: LCCOMB_X9_Y5_N12
\led_flash_cnt[2088][5]~56120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2088][5]~56120_combout\ = (\led_flash_cnt[2088][5]~q\ & (\led_flash_cnt[2088][4]~56119\ $ (GND))) # (!\led_flash_cnt[2088][5]~q\ & (!\led_flash_cnt[2088][4]~56119\ & VCC))
-- \led_flash_cnt[2088][5]~56121\ = CARRY((\led_flash_cnt[2088][5]~q\ & !\led_flash_cnt[2088][4]~56119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2088][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2088][4]~56119\,
	combout => \led_flash_cnt[2088][5]~56120_combout\,
	cout => \led_flash_cnt[2088][5]~56121\);

-- Location: FF_X9_Y5_N13
\led_flash_cnt[2088][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2088][5]~56120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2088][5]~q\);

-- Location: LCCOMB_X9_Y5_N14
\led_flash_cnt[2088][6]~56122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2088][6]~56122_combout\ = (\led_flash_cnt[2088][6]~q\ & (!\led_flash_cnt[2088][5]~56121\)) # (!\led_flash_cnt[2088][6]~q\ & ((\led_flash_cnt[2088][5]~56121\) # (GND)))
-- \led_flash_cnt[2088][6]~56123\ = CARRY((!\led_flash_cnt[2088][5]~56121\) # (!\led_flash_cnt[2088][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2088][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2088][5]~56121\,
	combout => \led_flash_cnt[2088][6]~56122_combout\,
	cout => \led_flash_cnt[2088][6]~56123\);

-- Location: FF_X9_Y5_N15
\led_flash_cnt[2088][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2088][6]~56122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2088][6]~q\);

-- Location: LCCOMB_X9_Y5_N26
\WideAnd2088~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2088~1_combout\ = (\led_flash_cnt[2088][6]~q\ & \led_flash_cnt[2088][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2088][6]~q\,
	datad => \led_flash_cnt[2088][5]~q\,
	combout => \WideAnd2088~1_combout\);

-- Location: LCCOMB_X9_Y5_N16
\led_flash_cnt[2088][7]~56124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2088][7]~56124_combout\ = \led_flash_cnt[2088][6]~56123\ $ (!\led_flash_cnt[2088][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2088][7]~q\,
	cin => \led_flash_cnt[2088][6]~56123\,
	combout => \led_flash_cnt[2088][7]~56124_combout\);

-- Location: FF_X9_Y5_N17
\led_flash_cnt[2088][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2088][7]~56124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2088][7]~q\);

-- Location: LCCOMB_X9_Y5_N18
\WideAnd2088~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2088~0_combout\ = (\led_flash_cnt[2088][2]~q\ & (\led_flash_cnt[2088][3]~q\ & (\led_flash_cnt[2088][1]~q\ & \led_flash_cnt[2088][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2088][2]~q\,
	datab => \led_flash_cnt[2088][3]~q\,
	datac => \led_flash_cnt[2088][1]~q\,
	datad => \led_flash_cnt[2088][4]~q\,
	combout => \WideAnd2088~0_combout\);

-- Location: LCCOMB_X9_Y5_N2
WideAnd2088 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2088~combout\ = (\WideAnd2088~1_combout\ & (\led_flash_cnt[2088][7]~q\ & (\led_flash_cnt[2088][0]~q\ & \WideAnd2088~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2088~1_combout\,
	datab => \led_flash_cnt[2088][7]~q\,
	datac => \led_flash_cnt[2088][0]~q\,
	datad => \WideAnd2088~0_combout\,
	combout => \WideAnd2088~combout\);

-- Location: FF_X9_Y5_N3
\led_flash_cnt_ands[2088]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2088~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2088));

-- Location: LCCOMB_X10_Y5_N24
\led_flash_cnt[2090][0]~82730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2090][0]~82730_combout\ = !\led_flash_cnt[2090][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2090][0]~q\,
	combout => \led_flash_cnt[2090][0]~82730_combout\);

-- Location: FF_X10_Y5_N25
\led_flash_cnt[2090][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2090][0]~82730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2090][0]~q\);

-- Location: LCCOMB_X10_Y5_N6
\led_flash_cnt[2090][1]~56140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2090][1]~56140_combout\ = (\led_flash_cnt[2090][1]~q\ & (\led_flash_cnt[2090][0]~q\ $ (VCC))) # (!\led_flash_cnt[2090][1]~q\ & (\led_flash_cnt[2090][0]~q\ & VCC))
-- \led_flash_cnt[2090][1]~56141\ = CARRY((\led_flash_cnt[2090][1]~q\ & \led_flash_cnt[2090][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2090][1]~q\,
	datab => \led_flash_cnt[2090][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2090][1]~56140_combout\,
	cout => \led_flash_cnt[2090][1]~56141\);

-- Location: FF_X10_Y5_N7
\led_flash_cnt[2090][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2090][1]~56140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2090][1]~q\);

-- Location: LCCOMB_X10_Y5_N8
\led_flash_cnt[2090][2]~56142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2090][2]~56142_combout\ = (\led_flash_cnt[2090][2]~q\ & (!\led_flash_cnt[2090][1]~56141\)) # (!\led_flash_cnt[2090][2]~q\ & ((\led_flash_cnt[2090][1]~56141\) # (GND)))
-- \led_flash_cnt[2090][2]~56143\ = CARRY((!\led_flash_cnt[2090][1]~56141\) # (!\led_flash_cnt[2090][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2090][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2090][1]~56141\,
	combout => \led_flash_cnt[2090][2]~56142_combout\,
	cout => \led_flash_cnt[2090][2]~56143\);

-- Location: FF_X10_Y5_N9
\led_flash_cnt[2090][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2090][2]~56142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2090][2]~q\);

-- Location: LCCOMB_X10_Y5_N10
\led_flash_cnt[2090][3]~56144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2090][3]~56144_combout\ = (\led_flash_cnt[2090][3]~q\ & (\led_flash_cnt[2090][2]~56143\ $ (GND))) # (!\led_flash_cnt[2090][3]~q\ & (!\led_flash_cnt[2090][2]~56143\ & VCC))
-- \led_flash_cnt[2090][3]~56145\ = CARRY((\led_flash_cnt[2090][3]~q\ & !\led_flash_cnt[2090][2]~56143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2090][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2090][2]~56143\,
	combout => \led_flash_cnt[2090][3]~56144_combout\,
	cout => \led_flash_cnt[2090][3]~56145\);

-- Location: FF_X10_Y5_N11
\led_flash_cnt[2090][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2090][3]~56144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2090][3]~q\);

-- Location: LCCOMB_X10_Y5_N12
\led_flash_cnt[2090][4]~56146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2090][4]~56146_combout\ = (\led_flash_cnt[2090][4]~q\ & (!\led_flash_cnt[2090][3]~56145\)) # (!\led_flash_cnt[2090][4]~q\ & ((\led_flash_cnt[2090][3]~56145\) # (GND)))
-- \led_flash_cnt[2090][4]~56147\ = CARRY((!\led_flash_cnt[2090][3]~56145\) # (!\led_flash_cnt[2090][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2090][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2090][3]~56145\,
	combout => \led_flash_cnt[2090][4]~56146_combout\,
	cout => \led_flash_cnt[2090][4]~56147\);

-- Location: FF_X10_Y5_N13
\led_flash_cnt[2090][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2090][4]~56146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2090][4]~q\);

-- Location: LCCOMB_X10_Y5_N14
\led_flash_cnt[2090][5]~56148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2090][5]~56148_combout\ = (\led_flash_cnt[2090][5]~q\ & (\led_flash_cnt[2090][4]~56147\ $ (GND))) # (!\led_flash_cnt[2090][5]~q\ & (!\led_flash_cnt[2090][4]~56147\ & VCC))
-- \led_flash_cnt[2090][5]~56149\ = CARRY((\led_flash_cnt[2090][5]~q\ & !\led_flash_cnt[2090][4]~56147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2090][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2090][4]~56147\,
	combout => \led_flash_cnt[2090][5]~56148_combout\,
	cout => \led_flash_cnt[2090][5]~56149\);

-- Location: FF_X10_Y5_N15
\led_flash_cnt[2090][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2090][5]~56148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2090][5]~q\);

-- Location: LCCOMB_X10_Y5_N16
\led_flash_cnt[2090][6]~56150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2090][6]~56150_combout\ = (\led_flash_cnt[2090][6]~q\ & (!\led_flash_cnt[2090][5]~56149\)) # (!\led_flash_cnt[2090][6]~q\ & ((\led_flash_cnt[2090][5]~56149\) # (GND)))
-- \led_flash_cnt[2090][6]~56151\ = CARRY((!\led_flash_cnt[2090][5]~56149\) # (!\led_flash_cnt[2090][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2090][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2090][5]~56149\,
	combout => \led_flash_cnt[2090][6]~56150_combout\,
	cout => \led_flash_cnt[2090][6]~56151\);

-- Location: FF_X10_Y5_N17
\led_flash_cnt[2090][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2090][6]~56150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2090][6]~q\);

-- Location: LCCOMB_X10_Y5_N26
\WideAnd2090~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2090~1_combout\ = (\led_flash_cnt[2090][5]~q\ & \led_flash_cnt[2090][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2090][5]~q\,
	datad => \led_flash_cnt[2090][6]~q\,
	combout => \WideAnd2090~1_combout\);

-- Location: LCCOMB_X10_Y5_N4
\WideAnd2090~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2090~0_combout\ = (\led_flash_cnt[2090][4]~q\ & (\led_flash_cnt[2090][1]~q\ & (\led_flash_cnt[2090][2]~q\ & \led_flash_cnt[2090][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2090][4]~q\,
	datab => \led_flash_cnt[2090][1]~q\,
	datac => \led_flash_cnt[2090][2]~q\,
	datad => \led_flash_cnt[2090][3]~q\,
	combout => \WideAnd2090~0_combout\);

-- Location: LCCOMB_X10_Y5_N18
\led_flash_cnt[2090][7]~56152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2090][7]~56152_combout\ = \led_flash_cnt[2090][6]~56151\ $ (!\led_flash_cnt[2090][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2090][7]~q\,
	cin => \led_flash_cnt[2090][6]~56151\,
	combout => \led_flash_cnt[2090][7]~56152_combout\);

-- Location: FF_X10_Y5_N19
\led_flash_cnt[2090][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2090][7]~56152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2090][7]~q\);

-- Location: LCCOMB_X10_Y5_N28
WideAnd2090 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2090~combout\ = (\WideAnd2090~1_combout\ & (\led_flash_cnt[2090][0]~q\ & (\WideAnd2090~0_combout\ & \led_flash_cnt[2090][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2090~1_combout\,
	datab => \led_flash_cnt[2090][0]~q\,
	datac => \WideAnd2090~0_combout\,
	datad => \led_flash_cnt[2090][7]~q\,
	combout => \WideAnd2090~combout\);

-- Location: FF_X10_Y5_N29
\led_flash_cnt_ands[2090]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2090~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2090));

-- Location: LCCOMB_X10_Y1_N4
\led_flash_cnt[2089][0]~82729\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2089][0]~82729_combout\ = !\led_flash_cnt[2089][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2089][0]~q\,
	combout => \led_flash_cnt[2089][0]~82729_combout\);

-- Location: FF_X10_Y1_N5
\led_flash_cnt[2089][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2089][0]~82729_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2089][0]~q\);

-- Location: LCCOMB_X10_Y1_N6
\led_flash_cnt[2089][1]~56126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2089][1]~56126_combout\ = (\led_flash_cnt[2089][1]~q\ & (\led_flash_cnt[2089][0]~q\ $ (VCC))) # (!\led_flash_cnt[2089][1]~q\ & (\led_flash_cnt[2089][0]~q\ & VCC))
-- \led_flash_cnt[2089][1]~56127\ = CARRY((\led_flash_cnt[2089][1]~q\ & \led_flash_cnt[2089][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2089][1]~q\,
	datab => \led_flash_cnt[2089][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2089][1]~56126_combout\,
	cout => \led_flash_cnt[2089][1]~56127\);

-- Location: FF_X10_Y1_N7
\led_flash_cnt[2089][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2089][1]~56126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2089][1]~q\);

-- Location: LCCOMB_X10_Y1_N8
\led_flash_cnt[2089][2]~56128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2089][2]~56128_combout\ = (\led_flash_cnt[2089][2]~q\ & (!\led_flash_cnt[2089][1]~56127\)) # (!\led_flash_cnt[2089][2]~q\ & ((\led_flash_cnt[2089][1]~56127\) # (GND)))
-- \led_flash_cnt[2089][2]~56129\ = CARRY((!\led_flash_cnt[2089][1]~56127\) # (!\led_flash_cnt[2089][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2089][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2089][1]~56127\,
	combout => \led_flash_cnt[2089][2]~56128_combout\,
	cout => \led_flash_cnt[2089][2]~56129\);

-- Location: FF_X10_Y1_N9
\led_flash_cnt[2089][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2089][2]~56128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2089][2]~q\);

-- Location: LCCOMB_X10_Y1_N10
\led_flash_cnt[2089][3]~56130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2089][3]~56130_combout\ = (\led_flash_cnt[2089][3]~q\ & (\led_flash_cnt[2089][2]~56129\ $ (GND))) # (!\led_flash_cnt[2089][3]~q\ & (!\led_flash_cnt[2089][2]~56129\ & VCC))
-- \led_flash_cnt[2089][3]~56131\ = CARRY((\led_flash_cnt[2089][3]~q\ & !\led_flash_cnt[2089][2]~56129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2089][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2089][2]~56129\,
	combout => \led_flash_cnt[2089][3]~56130_combout\,
	cout => \led_flash_cnt[2089][3]~56131\);

-- Location: FF_X10_Y1_N11
\led_flash_cnt[2089][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2089][3]~56130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2089][3]~q\);

-- Location: LCCOMB_X10_Y1_N12
\led_flash_cnt[2089][4]~56132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2089][4]~56132_combout\ = (\led_flash_cnt[2089][4]~q\ & (!\led_flash_cnt[2089][3]~56131\)) # (!\led_flash_cnt[2089][4]~q\ & ((\led_flash_cnt[2089][3]~56131\) # (GND)))
-- \led_flash_cnt[2089][4]~56133\ = CARRY((!\led_flash_cnt[2089][3]~56131\) # (!\led_flash_cnt[2089][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2089][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2089][3]~56131\,
	combout => \led_flash_cnt[2089][4]~56132_combout\,
	cout => \led_flash_cnt[2089][4]~56133\);

-- Location: FF_X10_Y1_N13
\led_flash_cnt[2089][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2089][4]~56132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2089][4]~q\);

-- Location: LCCOMB_X10_Y1_N14
\led_flash_cnt[2089][5]~56134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2089][5]~56134_combout\ = (\led_flash_cnt[2089][5]~q\ & (\led_flash_cnt[2089][4]~56133\ $ (GND))) # (!\led_flash_cnt[2089][5]~q\ & (!\led_flash_cnt[2089][4]~56133\ & VCC))
-- \led_flash_cnt[2089][5]~56135\ = CARRY((\led_flash_cnt[2089][5]~q\ & !\led_flash_cnt[2089][4]~56133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2089][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2089][4]~56133\,
	combout => \led_flash_cnt[2089][5]~56134_combout\,
	cout => \led_flash_cnt[2089][5]~56135\);

-- Location: FF_X10_Y1_N15
\led_flash_cnt[2089][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2089][5]~56134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2089][5]~q\);

-- Location: LCCOMB_X10_Y1_N16
\led_flash_cnt[2089][6]~56136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2089][6]~56136_combout\ = (\led_flash_cnt[2089][6]~q\ & (!\led_flash_cnt[2089][5]~56135\)) # (!\led_flash_cnt[2089][6]~q\ & ((\led_flash_cnt[2089][5]~56135\) # (GND)))
-- \led_flash_cnt[2089][6]~56137\ = CARRY((!\led_flash_cnt[2089][5]~56135\) # (!\led_flash_cnt[2089][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2089][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2089][5]~56135\,
	combout => \led_flash_cnt[2089][6]~56136_combout\,
	cout => \led_flash_cnt[2089][6]~56137\);

-- Location: FF_X10_Y1_N17
\led_flash_cnt[2089][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2089][6]~56136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2089][6]~q\);

-- Location: LCCOMB_X10_Y1_N22
\WideAnd2089~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2089~1_combout\ = (\led_flash_cnt[2089][5]~q\ & \led_flash_cnt[2089][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2089][5]~q\,
	datad => \led_flash_cnt[2089][6]~q\,
	combout => \WideAnd2089~1_combout\);

-- Location: LCCOMB_X10_Y1_N18
\led_flash_cnt[2089][7]~56138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2089][7]~56138_combout\ = \led_flash_cnt[2089][6]~56137\ $ (!\led_flash_cnt[2089][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2089][7]~q\,
	cin => \led_flash_cnt[2089][6]~56137\,
	combout => \led_flash_cnt[2089][7]~56138_combout\);

-- Location: FF_X10_Y1_N19
\led_flash_cnt[2089][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2089][7]~56138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2089][7]~q\);

-- Location: LCCOMB_X10_Y1_N24
\WideAnd2089~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2089~0_combout\ = (\led_flash_cnt[2089][3]~q\ & (\led_flash_cnt[2089][4]~q\ & (\led_flash_cnt[2089][2]~q\ & \led_flash_cnt[2089][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2089][3]~q\,
	datab => \led_flash_cnt[2089][4]~q\,
	datac => \led_flash_cnt[2089][2]~q\,
	datad => \led_flash_cnt[2089][1]~q\,
	combout => \WideAnd2089~0_combout\);

-- Location: LCCOMB_X10_Y1_N26
WideAnd2089 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2089~combout\ = (\WideAnd2089~1_combout\ & (\led_flash_cnt[2089][7]~q\ & (\led_flash_cnt[2089][0]~q\ & \WideAnd2089~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2089~1_combout\,
	datab => \led_flash_cnt[2089][7]~q\,
	datac => \led_flash_cnt[2089][0]~q\,
	datad => \WideAnd2089~0_combout\,
	combout => \WideAnd2089~combout\);

-- Location: FF_X10_Y1_N27
\led_flash_cnt_ands[2089]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2089~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2089));

-- Location: LCCOMB_X11_Y5_N24
\led_flash_cnt[2091][0]~82731\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2091][0]~82731_combout\ = !\led_flash_cnt[2091][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2091][0]~q\,
	combout => \led_flash_cnt[2091][0]~82731_combout\);

-- Location: FF_X11_Y5_N25
\led_flash_cnt[2091][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2091][0]~82731_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2091][0]~q\);

-- Location: LCCOMB_X11_Y5_N6
\led_flash_cnt[2091][1]~56154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2091][1]~56154_combout\ = (\led_flash_cnt[2091][1]~q\ & (\led_flash_cnt[2091][0]~q\ $ (VCC))) # (!\led_flash_cnt[2091][1]~q\ & (\led_flash_cnt[2091][0]~q\ & VCC))
-- \led_flash_cnt[2091][1]~56155\ = CARRY((\led_flash_cnt[2091][1]~q\ & \led_flash_cnt[2091][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2091][1]~q\,
	datab => \led_flash_cnt[2091][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2091][1]~56154_combout\,
	cout => \led_flash_cnt[2091][1]~56155\);

-- Location: FF_X11_Y5_N7
\led_flash_cnt[2091][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2091][1]~56154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2091][1]~q\);

-- Location: LCCOMB_X11_Y5_N8
\led_flash_cnt[2091][2]~56156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2091][2]~56156_combout\ = (\led_flash_cnt[2091][2]~q\ & (!\led_flash_cnt[2091][1]~56155\)) # (!\led_flash_cnt[2091][2]~q\ & ((\led_flash_cnt[2091][1]~56155\) # (GND)))
-- \led_flash_cnt[2091][2]~56157\ = CARRY((!\led_flash_cnt[2091][1]~56155\) # (!\led_flash_cnt[2091][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2091][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2091][1]~56155\,
	combout => \led_flash_cnt[2091][2]~56156_combout\,
	cout => \led_flash_cnt[2091][2]~56157\);

-- Location: FF_X11_Y5_N9
\led_flash_cnt[2091][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2091][2]~56156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2091][2]~q\);

-- Location: LCCOMB_X11_Y5_N10
\led_flash_cnt[2091][3]~56158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2091][3]~56158_combout\ = (\led_flash_cnt[2091][3]~q\ & (\led_flash_cnt[2091][2]~56157\ $ (GND))) # (!\led_flash_cnt[2091][3]~q\ & (!\led_flash_cnt[2091][2]~56157\ & VCC))
-- \led_flash_cnt[2091][3]~56159\ = CARRY((\led_flash_cnt[2091][3]~q\ & !\led_flash_cnt[2091][2]~56157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2091][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2091][2]~56157\,
	combout => \led_flash_cnt[2091][3]~56158_combout\,
	cout => \led_flash_cnt[2091][3]~56159\);

-- Location: FF_X11_Y5_N11
\led_flash_cnt[2091][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2091][3]~56158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2091][3]~q\);

-- Location: LCCOMB_X11_Y5_N12
\led_flash_cnt[2091][4]~56160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2091][4]~56160_combout\ = (\led_flash_cnt[2091][4]~q\ & (!\led_flash_cnt[2091][3]~56159\)) # (!\led_flash_cnt[2091][4]~q\ & ((\led_flash_cnt[2091][3]~56159\) # (GND)))
-- \led_flash_cnt[2091][4]~56161\ = CARRY((!\led_flash_cnt[2091][3]~56159\) # (!\led_flash_cnt[2091][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2091][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2091][3]~56159\,
	combout => \led_flash_cnt[2091][4]~56160_combout\,
	cout => \led_flash_cnt[2091][4]~56161\);

-- Location: FF_X11_Y5_N13
\led_flash_cnt[2091][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2091][4]~56160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2091][4]~q\);

-- Location: LCCOMB_X11_Y5_N14
\led_flash_cnt[2091][5]~56162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2091][5]~56162_combout\ = (\led_flash_cnt[2091][5]~q\ & (\led_flash_cnt[2091][4]~56161\ $ (GND))) # (!\led_flash_cnt[2091][5]~q\ & (!\led_flash_cnt[2091][4]~56161\ & VCC))
-- \led_flash_cnt[2091][5]~56163\ = CARRY((\led_flash_cnt[2091][5]~q\ & !\led_flash_cnt[2091][4]~56161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2091][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2091][4]~56161\,
	combout => \led_flash_cnt[2091][5]~56162_combout\,
	cout => \led_flash_cnt[2091][5]~56163\);

-- Location: FF_X11_Y5_N15
\led_flash_cnt[2091][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2091][5]~56162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2091][5]~q\);

-- Location: LCCOMB_X11_Y5_N16
\led_flash_cnt[2091][6]~56164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2091][6]~56164_combout\ = (\led_flash_cnt[2091][6]~q\ & (!\led_flash_cnt[2091][5]~56163\)) # (!\led_flash_cnt[2091][6]~q\ & ((\led_flash_cnt[2091][5]~56163\) # (GND)))
-- \led_flash_cnt[2091][6]~56165\ = CARRY((!\led_flash_cnt[2091][5]~56163\) # (!\led_flash_cnt[2091][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2091][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2091][5]~56163\,
	combout => \led_flash_cnt[2091][6]~56164_combout\,
	cout => \led_flash_cnt[2091][6]~56165\);

-- Location: FF_X11_Y5_N17
\led_flash_cnt[2091][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2091][6]~56164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2091][6]~q\);

-- Location: LCCOMB_X11_Y5_N22
\WideAnd2091~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2091~1_combout\ = (\led_flash_cnt[2091][5]~q\ & \led_flash_cnt[2091][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2091][5]~q\,
	datad => \led_flash_cnt[2091][6]~q\,
	combout => \WideAnd2091~1_combout\);

-- Location: LCCOMB_X11_Y5_N18
\led_flash_cnt[2091][7]~56166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2091][7]~56166_combout\ = \led_flash_cnt[2091][6]~56165\ $ (!\led_flash_cnt[2091][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2091][7]~q\,
	cin => \led_flash_cnt[2091][6]~56165\,
	combout => \led_flash_cnt[2091][7]~56166_combout\);

-- Location: FF_X11_Y5_N19
\led_flash_cnt[2091][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2091][7]~56166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2091][7]~q\);

-- Location: LCCOMB_X11_Y5_N4
\WideAnd2091~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2091~0_combout\ = (\led_flash_cnt[2091][1]~q\ & (\led_flash_cnt[2091][3]~q\ & (\led_flash_cnt[2091][2]~q\ & \led_flash_cnt[2091][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2091][1]~q\,
	datab => \led_flash_cnt[2091][3]~q\,
	datac => \led_flash_cnt[2091][2]~q\,
	datad => \led_flash_cnt[2091][4]~q\,
	combout => \WideAnd2091~0_combout\);

-- Location: LCCOMB_X11_Y5_N28
WideAnd2091 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2091~combout\ = (\WideAnd2091~1_combout\ & (\led_flash_cnt[2091][7]~q\ & (\WideAnd2091~0_combout\ & \led_flash_cnt[2091][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2091~1_combout\,
	datab => \led_flash_cnt[2091][7]~q\,
	datac => \WideAnd2091~0_combout\,
	datad => \led_flash_cnt[2091][0]~q\,
	combout => \WideAnd2091~combout\);

-- Location: FF_X11_Y5_N29
\led_flash_cnt_ands[2091]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2091~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2091));

-- Location: LCCOMB_X10_Y5_N22
\WideAnd4101~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4101~0_combout\ = (led_flash_cnt_ands(2088) & (led_flash_cnt_ands(2090) & (led_flash_cnt_ands(2089) & led_flash_cnt_ands(2091))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2088),
	datab => led_flash_cnt_ands(2090),
	datac => led_flash_cnt_ands(2089),
	datad => led_flash_cnt_ands(2091),
	combout => \WideAnd4101~0_combout\);

-- Location: LCCOMB_X3_Y24_N2
\led_flash_cnt[2092][0]~82732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2092][0]~82732_combout\ = !\led_flash_cnt[2092][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2092][0]~q\,
	combout => \led_flash_cnt[2092][0]~82732_combout\);

-- Location: FF_X3_Y24_N3
\led_flash_cnt[2092][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2092][0]~82732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2092][0]~q\);

-- Location: LCCOMB_X2_Y24_N0
\led_flash_cnt[2092][1]~56168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2092][1]~56168_combout\ = (\led_flash_cnt[2092][0]~q\ & (\led_flash_cnt[2092][1]~q\ $ (VCC))) # (!\led_flash_cnt[2092][0]~q\ & (\led_flash_cnt[2092][1]~q\ & VCC))
-- \led_flash_cnt[2092][1]~56169\ = CARRY((\led_flash_cnt[2092][0]~q\ & \led_flash_cnt[2092][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2092][0]~q\,
	datab => \led_flash_cnt[2092][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2092][1]~56168_combout\,
	cout => \led_flash_cnt[2092][1]~56169\);

-- Location: FF_X2_Y24_N1
\led_flash_cnt[2092][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2092][1]~56168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2092][1]~q\);

-- Location: LCCOMB_X2_Y24_N2
\led_flash_cnt[2092][2]~56170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2092][2]~56170_combout\ = (\led_flash_cnt[2092][2]~q\ & (!\led_flash_cnt[2092][1]~56169\)) # (!\led_flash_cnt[2092][2]~q\ & ((\led_flash_cnt[2092][1]~56169\) # (GND)))
-- \led_flash_cnt[2092][2]~56171\ = CARRY((!\led_flash_cnt[2092][1]~56169\) # (!\led_flash_cnt[2092][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2092][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2092][1]~56169\,
	combout => \led_flash_cnt[2092][2]~56170_combout\,
	cout => \led_flash_cnt[2092][2]~56171\);

-- Location: FF_X2_Y24_N3
\led_flash_cnt[2092][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2092][2]~56170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2092][2]~q\);

-- Location: LCCOMB_X2_Y24_N4
\led_flash_cnt[2092][3]~56172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2092][3]~56172_combout\ = (\led_flash_cnt[2092][3]~q\ & (\led_flash_cnt[2092][2]~56171\ $ (GND))) # (!\led_flash_cnt[2092][3]~q\ & (!\led_flash_cnt[2092][2]~56171\ & VCC))
-- \led_flash_cnt[2092][3]~56173\ = CARRY((\led_flash_cnt[2092][3]~q\ & !\led_flash_cnt[2092][2]~56171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2092][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2092][2]~56171\,
	combout => \led_flash_cnt[2092][3]~56172_combout\,
	cout => \led_flash_cnt[2092][3]~56173\);

-- Location: FF_X2_Y24_N5
\led_flash_cnt[2092][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2092][3]~56172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2092][3]~q\);

-- Location: LCCOMB_X2_Y24_N6
\led_flash_cnt[2092][4]~56174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2092][4]~56174_combout\ = (\led_flash_cnt[2092][4]~q\ & (!\led_flash_cnt[2092][3]~56173\)) # (!\led_flash_cnt[2092][4]~q\ & ((\led_flash_cnt[2092][3]~56173\) # (GND)))
-- \led_flash_cnt[2092][4]~56175\ = CARRY((!\led_flash_cnt[2092][3]~56173\) # (!\led_flash_cnt[2092][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2092][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2092][3]~56173\,
	combout => \led_flash_cnt[2092][4]~56174_combout\,
	cout => \led_flash_cnt[2092][4]~56175\);

-- Location: FF_X2_Y24_N7
\led_flash_cnt[2092][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2092][4]~56174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2092][4]~q\);

-- Location: LCCOMB_X2_Y24_N8
\led_flash_cnt[2092][5]~56176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2092][5]~56176_combout\ = (\led_flash_cnt[2092][5]~q\ & (\led_flash_cnt[2092][4]~56175\ $ (GND))) # (!\led_flash_cnt[2092][5]~q\ & (!\led_flash_cnt[2092][4]~56175\ & VCC))
-- \led_flash_cnt[2092][5]~56177\ = CARRY((\led_flash_cnt[2092][5]~q\ & !\led_flash_cnt[2092][4]~56175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2092][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2092][4]~56175\,
	combout => \led_flash_cnt[2092][5]~56176_combout\,
	cout => \led_flash_cnt[2092][5]~56177\);

-- Location: FF_X2_Y24_N9
\led_flash_cnt[2092][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2092][5]~56176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2092][5]~q\);

-- Location: LCCOMB_X2_Y24_N10
\led_flash_cnt[2092][6]~56178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2092][6]~56178_combout\ = (\led_flash_cnt[2092][6]~q\ & (!\led_flash_cnt[2092][5]~56177\)) # (!\led_flash_cnt[2092][6]~q\ & ((\led_flash_cnt[2092][5]~56177\) # (GND)))
-- \led_flash_cnt[2092][6]~56179\ = CARRY((!\led_flash_cnt[2092][5]~56177\) # (!\led_flash_cnt[2092][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2092][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2092][5]~56177\,
	combout => \led_flash_cnt[2092][6]~56178_combout\,
	cout => \led_flash_cnt[2092][6]~56179\);

-- Location: FF_X2_Y24_N11
\led_flash_cnt[2092][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2092][6]~56178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2092][6]~q\);

-- Location: LCCOMB_X2_Y24_N12
\led_flash_cnt[2092][7]~56180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2092][7]~56180_combout\ = \led_flash_cnt[2092][6]~56179\ $ (!\led_flash_cnt[2092][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2092][7]~q\,
	cin => \led_flash_cnt[2092][6]~56179\,
	combout => \led_flash_cnt[2092][7]~56180_combout\);

-- Location: FF_X2_Y24_N13
\led_flash_cnt[2092][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2092][7]~56180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2092][7]~q\);

-- Location: LCCOMB_X3_Y24_N8
\WideAnd2092~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2092~0_combout\ = (\led_flash_cnt[2092][1]~q\ & (\led_flash_cnt[2092][3]~q\ & (\led_flash_cnt[2092][4]~q\ & \led_flash_cnt[2092][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2092][1]~q\,
	datab => \led_flash_cnt[2092][3]~q\,
	datac => \led_flash_cnt[2092][4]~q\,
	datad => \led_flash_cnt[2092][2]~q\,
	combout => \WideAnd2092~0_combout\);

-- Location: LCCOMB_X3_Y24_N12
\WideAnd2092~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2092~1_combout\ = (\led_flash_cnt[2092][6]~q\ & \led_flash_cnt[2092][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2092][6]~q\,
	datad => \led_flash_cnt[2092][5]~q\,
	combout => \WideAnd2092~1_combout\);

-- Location: LCCOMB_X3_Y24_N14
WideAnd2092 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2092~combout\ = (\led_flash_cnt[2092][7]~q\ & (\led_flash_cnt[2092][0]~q\ & (\WideAnd2092~0_combout\ & \WideAnd2092~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2092][7]~q\,
	datab => \led_flash_cnt[2092][0]~q\,
	datac => \WideAnd2092~0_combout\,
	datad => \WideAnd2092~1_combout\,
	combout => \WideAnd2092~combout\);

-- Location: FF_X3_Y24_N15
\led_flash_cnt_ands[2092]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2092~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2092));

-- Location: LCCOMB_X3_Y24_N6
\led_flash_cnt[2093][0]~82733\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2093][0]~82733_combout\ = !\led_flash_cnt[2093][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2093][0]~q\,
	combout => \led_flash_cnt[2093][0]~82733_combout\);

-- Location: FF_X3_Y24_N7
\led_flash_cnt[2093][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2093][0]~82733_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2093][0]~q\);

-- Location: LCCOMB_X3_Y24_N16
\led_flash_cnt[2093][1]~56182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2093][1]~56182_combout\ = (\led_flash_cnt[2093][0]~q\ & (\led_flash_cnt[2093][1]~q\ $ (VCC))) # (!\led_flash_cnt[2093][0]~q\ & (\led_flash_cnt[2093][1]~q\ & VCC))
-- \led_flash_cnt[2093][1]~56183\ = CARRY((\led_flash_cnt[2093][0]~q\ & \led_flash_cnt[2093][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2093][0]~q\,
	datab => \led_flash_cnt[2093][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2093][1]~56182_combout\,
	cout => \led_flash_cnt[2093][1]~56183\);

-- Location: FF_X3_Y24_N17
\led_flash_cnt[2093][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2093][1]~56182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2093][1]~q\);

-- Location: LCCOMB_X3_Y24_N18
\led_flash_cnt[2093][2]~56184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2093][2]~56184_combout\ = (\led_flash_cnt[2093][2]~q\ & (!\led_flash_cnt[2093][1]~56183\)) # (!\led_flash_cnt[2093][2]~q\ & ((\led_flash_cnt[2093][1]~56183\) # (GND)))
-- \led_flash_cnt[2093][2]~56185\ = CARRY((!\led_flash_cnt[2093][1]~56183\) # (!\led_flash_cnt[2093][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2093][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2093][1]~56183\,
	combout => \led_flash_cnt[2093][2]~56184_combout\,
	cout => \led_flash_cnt[2093][2]~56185\);

-- Location: FF_X3_Y24_N19
\led_flash_cnt[2093][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2093][2]~56184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2093][2]~q\);

-- Location: LCCOMB_X3_Y24_N20
\led_flash_cnt[2093][3]~56186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2093][3]~56186_combout\ = (\led_flash_cnt[2093][3]~q\ & (\led_flash_cnt[2093][2]~56185\ $ (GND))) # (!\led_flash_cnt[2093][3]~q\ & (!\led_flash_cnt[2093][2]~56185\ & VCC))
-- \led_flash_cnt[2093][3]~56187\ = CARRY((\led_flash_cnt[2093][3]~q\ & !\led_flash_cnt[2093][2]~56185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2093][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2093][2]~56185\,
	combout => \led_flash_cnt[2093][3]~56186_combout\,
	cout => \led_flash_cnt[2093][3]~56187\);

-- Location: FF_X3_Y24_N21
\led_flash_cnt[2093][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2093][3]~56186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2093][3]~q\);

-- Location: LCCOMB_X3_Y24_N22
\led_flash_cnt[2093][4]~56188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2093][4]~56188_combout\ = (\led_flash_cnt[2093][4]~q\ & (!\led_flash_cnt[2093][3]~56187\)) # (!\led_flash_cnt[2093][4]~q\ & ((\led_flash_cnt[2093][3]~56187\) # (GND)))
-- \led_flash_cnt[2093][4]~56189\ = CARRY((!\led_flash_cnt[2093][3]~56187\) # (!\led_flash_cnt[2093][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2093][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2093][3]~56187\,
	combout => \led_flash_cnt[2093][4]~56188_combout\,
	cout => \led_flash_cnt[2093][4]~56189\);

-- Location: FF_X3_Y24_N23
\led_flash_cnt[2093][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2093][4]~56188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2093][4]~q\);

-- Location: LCCOMB_X3_Y24_N24
\led_flash_cnt[2093][5]~56190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2093][5]~56190_combout\ = (\led_flash_cnt[2093][5]~q\ & (\led_flash_cnt[2093][4]~56189\ $ (GND))) # (!\led_flash_cnt[2093][5]~q\ & (!\led_flash_cnt[2093][4]~56189\ & VCC))
-- \led_flash_cnt[2093][5]~56191\ = CARRY((\led_flash_cnt[2093][5]~q\ & !\led_flash_cnt[2093][4]~56189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2093][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2093][4]~56189\,
	combout => \led_flash_cnt[2093][5]~56190_combout\,
	cout => \led_flash_cnt[2093][5]~56191\);

-- Location: FF_X3_Y24_N25
\led_flash_cnt[2093][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2093][5]~56190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2093][5]~q\);

-- Location: LCCOMB_X3_Y24_N26
\led_flash_cnt[2093][6]~56192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2093][6]~56192_combout\ = (\led_flash_cnt[2093][6]~q\ & (!\led_flash_cnt[2093][5]~56191\)) # (!\led_flash_cnt[2093][6]~q\ & ((\led_flash_cnt[2093][5]~56191\) # (GND)))
-- \led_flash_cnt[2093][6]~56193\ = CARRY((!\led_flash_cnt[2093][5]~56191\) # (!\led_flash_cnt[2093][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2093][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2093][5]~56191\,
	combout => \led_flash_cnt[2093][6]~56192_combout\,
	cout => \led_flash_cnt[2093][6]~56193\);

-- Location: FF_X3_Y24_N27
\led_flash_cnt[2093][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2093][6]~56192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2093][6]~q\);

-- Location: LCCOMB_X3_Y24_N28
\led_flash_cnt[2093][7]~56194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2093][7]~56194_combout\ = \led_flash_cnt[2093][6]~56193\ $ (!\led_flash_cnt[2093][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2093][7]~q\,
	cin => \led_flash_cnt[2093][6]~56193\,
	combout => \led_flash_cnt[2093][7]~56194_combout\);

-- Location: FF_X3_Y24_N29
\led_flash_cnt[2093][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2093][7]~56194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2093][7]~q\);

-- Location: LCCOMB_X3_Y24_N4
\WideAnd2093~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2093~1_combout\ = (\led_flash_cnt[2093][6]~q\ & \led_flash_cnt[2093][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2093][6]~q\,
	datad => \led_flash_cnt[2093][5]~q\,
	combout => \WideAnd2093~1_combout\);

-- Location: LCCOMB_X3_Y24_N0
\WideAnd2093~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2093~0_combout\ = (\led_flash_cnt[2093][2]~q\ & (\led_flash_cnt[2093][1]~q\ & (\led_flash_cnt[2093][4]~q\ & \led_flash_cnt[2093][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2093][2]~q\,
	datab => \led_flash_cnt[2093][1]~q\,
	datac => \led_flash_cnt[2093][4]~q\,
	datad => \led_flash_cnt[2093][3]~q\,
	combout => \WideAnd2093~0_combout\);

-- Location: LCCOMB_X3_Y24_N10
WideAnd2093 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2093~combout\ = (\led_flash_cnt[2093][0]~q\ & (\led_flash_cnt[2093][7]~q\ & (\WideAnd2093~1_combout\ & \WideAnd2093~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2093][0]~q\,
	datab => \led_flash_cnt[2093][7]~q\,
	datac => \WideAnd2093~1_combout\,
	datad => \WideAnd2093~0_combout\,
	combout => \WideAnd2093~combout\);

-- Location: FF_X3_Y24_N11
\led_flash_cnt_ands[2093]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2093~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2093));

-- Location: LCCOMB_X3_Y24_N30
\WideAnd4101~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4101~1_combout\ = (led_flash_cnt_ands(2092) & led_flash_cnt_ands(2093))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2092),
	datad => led_flash_cnt_ands(2093),
	combout => \WideAnd4101~1_combout\);

-- Location: LCCOMB_X13_Y12_N4
\led_flash_cnt[2095][0]~82735\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2095][0]~82735_combout\ = !\led_flash_cnt[2095][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2095][0]~q\,
	combout => \led_flash_cnt[2095][0]~82735_combout\);

-- Location: FF_X13_Y12_N5
\led_flash_cnt[2095][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2095][0]~82735_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2095][0]~q\);

-- Location: LCCOMB_X13_Y12_N12
\led_flash_cnt[2095][1]~56210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2095][1]~56210_combout\ = (\led_flash_cnt[2095][1]~q\ & (\led_flash_cnt[2095][0]~q\ $ (VCC))) # (!\led_flash_cnt[2095][1]~q\ & (\led_flash_cnt[2095][0]~q\ & VCC))
-- \led_flash_cnt[2095][1]~56211\ = CARRY((\led_flash_cnt[2095][1]~q\ & \led_flash_cnt[2095][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2095][1]~q\,
	datab => \led_flash_cnt[2095][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2095][1]~56210_combout\,
	cout => \led_flash_cnt[2095][1]~56211\);

-- Location: FF_X13_Y12_N13
\led_flash_cnt[2095][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2095][1]~56210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2095][1]~q\);

-- Location: LCCOMB_X13_Y12_N14
\led_flash_cnt[2095][2]~56212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2095][2]~56212_combout\ = (\led_flash_cnt[2095][2]~q\ & (!\led_flash_cnt[2095][1]~56211\)) # (!\led_flash_cnt[2095][2]~q\ & ((\led_flash_cnt[2095][1]~56211\) # (GND)))
-- \led_flash_cnt[2095][2]~56213\ = CARRY((!\led_flash_cnt[2095][1]~56211\) # (!\led_flash_cnt[2095][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2095][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2095][1]~56211\,
	combout => \led_flash_cnt[2095][2]~56212_combout\,
	cout => \led_flash_cnt[2095][2]~56213\);

-- Location: FF_X13_Y12_N15
\led_flash_cnt[2095][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2095][2]~56212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2095][2]~q\);

-- Location: LCCOMB_X13_Y12_N16
\led_flash_cnt[2095][3]~56214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2095][3]~56214_combout\ = (\led_flash_cnt[2095][3]~q\ & (\led_flash_cnt[2095][2]~56213\ $ (GND))) # (!\led_flash_cnt[2095][3]~q\ & (!\led_flash_cnt[2095][2]~56213\ & VCC))
-- \led_flash_cnt[2095][3]~56215\ = CARRY((\led_flash_cnt[2095][3]~q\ & !\led_flash_cnt[2095][2]~56213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2095][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2095][2]~56213\,
	combout => \led_flash_cnt[2095][3]~56214_combout\,
	cout => \led_flash_cnt[2095][3]~56215\);

-- Location: FF_X13_Y12_N17
\led_flash_cnt[2095][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2095][3]~56214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2095][3]~q\);

-- Location: LCCOMB_X13_Y12_N18
\led_flash_cnt[2095][4]~56216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2095][4]~56216_combout\ = (\led_flash_cnt[2095][4]~q\ & (!\led_flash_cnt[2095][3]~56215\)) # (!\led_flash_cnt[2095][4]~q\ & ((\led_flash_cnt[2095][3]~56215\) # (GND)))
-- \led_flash_cnt[2095][4]~56217\ = CARRY((!\led_flash_cnt[2095][3]~56215\) # (!\led_flash_cnt[2095][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2095][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2095][3]~56215\,
	combout => \led_flash_cnt[2095][4]~56216_combout\,
	cout => \led_flash_cnt[2095][4]~56217\);

-- Location: FF_X13_Y12_N19
\led_flash_cnt[2095][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2095][4]~56216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2095][4]~q\);

-- Location: LCCOMB_X13_Y12_N20
\led_flash_cnt[2095][5]~56218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2095][5]~56218_combout\ = (\led_flash_cnt[2095][5]~q\ & (\led_flash_cnt[2095][4]~56217\ $ (GND))) # (!\led_flash_cnt[2095][5]~q\ & (!\led_flash_cnt[2095][4]~56217\ & VCC))
-- \led_flash_cnt[2095][5]~56219\ = CARRY((\led_flash_cnt[2095][5]~q\ & !\led_flash_cnt[2095][4]~56217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2095][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2095][4]~56217\,
	combout => \led_flash_cnt[2095][5]~56218_combout\,
	cout => \led_flash_cnt[2095][5]~56219\);

-- Location: FF_X13_Y12_N21
\led_flash_cnt[2095][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2095][5]~56218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2095][5]~q\);

-- Location: LCCOMB_X13_Y12_N22
\led_flash_cnt[2095][6]~56220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2095][6]~56220_combout\ = (\led_flash_cnt[2095][6]~q\ & (!\led_flash_cnt[2095][5]~56219\)) # (!\led_flash_cnt[2095][6]~q\ & ((\led_flash_cnt[2095][5]~56219\) # (GND)))
-- \led_flash_cnt[2095][6]~56221\ = CARRY((!\led_flash_cnt[2095][5]~56219\) # (!\led_flash_cnt[2095][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2095][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2095][5]~56219\,
	combout => \led_flash_cnt[2095][6]~56220_combout\,
	cout => \led_flash_cnt[2095][6]~56221\);

-- Location: FF_X13_Y12_N23
\led_flash_cnt[2095][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2095][6]~56220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2095][6]~q\);

-- Location: LCCOMB_X13_Y12_N10
\WideAnd2095~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2095~1_combout\ = (\led_flash_cnt[2095][6]~q\ & \led_flash_cnt[2095][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2095][6]~q\,
	datad => \led_flash_cnt[2095][5]~q\,
	combout => \WideAnd2095~1_combout\);

-- Location: LCCOMB_X13_Y12_N28
\WideAnd2095~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2095~0_combout\ = (\led_flash_cnt[2095][1]~q\ & (\led_flash_cnt[2095][3]~q\ & (\led_flash_cnt[2095][2]~q\ & \led_flash_cnt[2095][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2095][1]~q\,
	datab => \led_flash_cnt[2095][3]~q\,
	datac => \led_flash_cnt[2095][2]~q\,
	datad => \led_flash_cnt[2095][4]~q\,
	combout => \WideAnd2095~0_combout\);

-- Location: LCCOMB_X13_Y12_N24
\led_flash_cnt[2095][7]~56222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2095][7]~56222_combout\ = \led_flash_cnt[2095][6]~56221\ $ (!\led_flash_cnt[2095][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2095][7]~q\,
	cin => \led_flash_cnt[2095][6]~56221\,
	combout => \led_flash_cnt[2095][7]~56222_combout\);

-- Location: FF_X13_Y12_N25
\led_flash_cnt[2095][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2095][7]~56222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2095][7]~q\);

-- Location: LCCOMB_X13_Y12_N8
WideAnd2095 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2095~combout\ = (\WideAnd2095~1_combout\ & (\WideAnd2095~0_combout\ & (\led_flash_cnt[2095][0]~q\ & \led_flash_cnt[2095][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2095~1_combout\,
	datab => \WideAnd2095~0_combout\,
	datac => \led_flash_cnt[2095][0]~q\,
	datad => \led_flash_cnt[2095][7]~q\,
	combout => \WideAnd2095~combout\);

-- Location: FF_X13_Y12_N9
\led_flash_cnt_ands[2095]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2095~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2095));

-- Location: LCCOMB_X9_Y12_N18
WideAnd4101 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4101~combout\ = (led_flash_cnt_ands(2094) & (\WideAnd4101~0_combout\ & (\WideAnd4101~1_combout\ & led_flash_cnt_ands(2095))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2094),
	datab => \WideAnd4101~0_combout\,
	datac => \WideAnd4101~1_combout\,
	datad => led_flash_cnt_ands(2095),
	combout => \WideAnd4101~combout\);

-- Location: FF_X9_Y12_N19
\led_flash_cnt_ands_1[261]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4101~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(261));

-- Location: LCCOMB_X2_Y3_N18
\led_flash_cnt[2086][0]~82726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2086][0]~82726_combout\ = !\led_flash_cnt[2086][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2086][0]~q\,
	combout => \led_flash_cnt[2086][0]~82726_combout\);

-- Location: FF_X2_Y3_N19
\led_flash_cnt[2086][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2086][0]~82726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2086][0]~q\);

-- Location: LCCOMB_X2_Y3_N2
\led_flash_cnt[2086][1]~56084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2086][1]~56084_combout\ = (\led_flash_cnt[2086][1]~q\ & (\led_flash_cnt[2086][0]~q\ $ (VCC))) # (!\led_flash_cnt[2086][1]~q\ & (\led_flash_cnt[2086][0]~q\ & VCC))
-- \led_flash_cnt[2086][1]~56085\ = CARRY((\led_flash_cnt[2086][1]~q\ & \led_flash_cnt[2086][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2086][1]~q\,
	datab => \led_flash_cnt[2086][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2086][1]~56084_combout\,
	cout => \led_flash_cnt[2086][1]~56085\);

-- Location: FF_X2_Y3_N3
\led_flash_cnt[2086][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2086][1]~56084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2086][1]~q\);

-- Location: LCCOMB_X2_Y3_N4
\led_flash_cnt[2086][2]~56086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2086][2]~56086_combout\ = (\led_flash_cnt[2086][2]~q\ & (!\led_flash_cnt[2086][1]~56085\)) # (!\led_flash_cnt[2086][2]~q\ & ((\led_flash_cnt[2086][1]~56085\) # (GND)))
-- \led_flash_cnt[2086][2]~56087\ = CARRY((!\led_flash_cnt[2086][1]~56085\) # (!\led_flash_cnt[2086][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2086][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2086][1]~56085\,
	combout => \led_flash_cnt[2086][2]~56086_combout\,
	cout => \led_flash_cnt[2086][2]~56087\);

-- Location: FF_X2_Y3_N5
\led_flash_cnt[2086][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2086][2]~56086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2086][2]~q\);

-- Location: LCCOMB_X2_Y3_N6
\led_flash_cnt[2086][3]~56088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2086][3]~56088_combout\ = (\led_flash_cnt[2086][3]~q\ & (\led_flash_cnt[2086][2]~56087\ $ (GND))) # (!\led_flash_cnt[2086][3]~q\ & (!\led_flash_cnt[2086][2]~56087\ & VCC))
-- \led_flash_cnt[2086][3]~56089\ = CARRY((\led_flash_cnt[2086][3]~q\ & !\led_flash_cnt[2086][2]~56087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2086][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2086][2]~56087\,
	combout => \led_flash_cnt[2086][3]~56088_combout\,
	cout => \led_flash_cnt[2086][3]~56089\);

-- Location: FF_X2_Y3_N7
\led_flash_cnt[2086][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2086][3]~56088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2086][3]~q\);

-- Location: LCCOMB_X2_Y3_N8
\led_flash_cnt[2086][4]~56090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2086][4]~56090_combout\ = (\led_flash_cnt[2086][4]~q\ & (!\led_flash_cnt[2086][3]~56089\)) # (!\led_flash_cnt[2086][4]~q\ & ((\led_flash_cnt[2086][3]~56089\) # (GND)))
-- \led_flash_cnt[2086][4]~56091\ = CARRY((!\led_flash_cnt[2086][3]~56089\) # (!\led_flash_cnt[2086][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2086][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2086][3]~56089\,
	combout => \led_flash_cnt[2086][4]~56090_combout\,
	cout => \led_flash_cnt[2086][4]~56091\);

-- Location: FF_X2_Y3_N9
\led_flash_cnt[2086][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2086][4]~56090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2086][4]~q\);

-- Location: LCCOMB_X2_Y3_N26
\WideAnd2086~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2086~0_combout\ = (\led_flash_cnt[2086][1]~q\ & (\led_flash_cnt[2086][4]~q\ & (\led_flash_cnt[2086][2]~q\ & \led_flash_cnt[2086][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2086][1]~q\,
	datab => \led_flash_cnt[2086][4]~q\,
	datac => \led_flash_cnt[2086][2]~q\,
	datad => \led_flash_cnt[2086][3]~q\,
	combout => \WideAnd2086~0_combout\);

-- Location: LCCOMB_X2_Y3_N10
\led_flash_cnt[2086][5]~56092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2086][5]~56092_combout\ = (\led_flash_cnt[2086][5]~q\ & (\led_flash_cnt[2086][4]~56091\ $ (GND))) # (!\led_flash_cnt[2086][5]~q\ & (!\led_flash_cnt[2086][4]~56091\ & VCC))
-- \led_flash_cnt[2086][5]~56093\ = CARRY((\led_flash_cnt[2086][5]~q\ & !\led_flash_cnt[2086][4]~56091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2086][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2086][4]~56091\,
	combout => \led_flash_cnt[2086][5]~56092_combout\,
	cout => \led_flash_cnt[2086][5]~56093\);

-- Location: FF_X2_Y3_N11
\led_flash_cnt[2086][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2086][5]~56092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2086][5]~q\);

-- Location: LCCOMB_X2_Y3_N12
\led_flash_cnt[2086][6]~56094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2086][6]~56094_combout\ = (\led_flash_cnt[2086][6]~q\ & (!\led_flash_cnt[2086][5]~56093\)) # (!\led_flash_cnt[2086][6]~q\ & ((\led_flash_cnt[2086][5]~56093\) # (GND)))
-- \led_flash_cnt[2086][6]~56095\ = CARRY((!\led_flash_cnt[2086][5]~56093\) # (!\led_flash_cnt[2086][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2086][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2086][5]~56093\,
	combout => \led_flash_cnt[2086][6]~56094_combout\,
	cout => \led_flash_cnt[2086][6]~56095\);

-- Location: FF_X2_Y3_N13
\led_flash_cnt[2086][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2086][6]~56094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2086][6]~q\);

-- Location: LCCOMB_X2_Y3_N24
\WideAnd2086~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2086~1_combout\ = (\led_flash_cnt[2086][6]~q\ & \led_flash_cnt[2086][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2086][6]~q\,
	datad => \led_flash_cnt[2086][5]~q\,
	combout => \WideAnd2086~1_combout\);

-- Location: LCCOMB_X2_Y3_N14
\led_flash_cnt[2086][7]~56096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2086][7]~56096_combout\ = \led_flash_cnt[2086][7]~q\ $ (!\led_flash_cnt[2086][6]~56095\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2086][7]~q\,
	cin => \led_flash_cnt[2086][6]~56095\,
	combout => \led_flash_cnt[2086][7]~56096_combout\);

-- Location: FF_X2_Y3_N15
\led_flash_cnt[2086][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2086][7]~56096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2086][7]~q\);

-- Location: LCCOMB_X2_Y3_N30
WideAnd2086 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2086~combout\ = (\WideAnd2086~0_combout\ & (\WideAnd2086~1_combout\ & (\led_flash_cnt[2086][7]~q\ & \led_flash_cnt[2086][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2086~0_combout\,
	datab => \WideAnd2086~1_combout\,
	datac => \led_flash_cnt[2086][7]~q\,
	datad => \led_flash_cnt[2086][0]~q\,
	combout => \WideAnd2086~combout\);

-- Location: FF_X2_Y3_N31
\led_flash_cnt_ands[2086]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2086~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2086));

-- Location: LCCOMB_X2_Y2_N22
\led_flash_cnt[2084][0]~82724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2084][0]~82724_combout\ = !\led_flash_cnt[2084][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2084][0]~q\,
	combout => \led_flash_cnt[2084][0]~82724_combout\);

-- Location: FF_X2_Y2_N23
\led_flash_cnt[2084][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2084][0]~82724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2084][0]~q\);

-- Location: LCCOMB_X2_Y2_N2
\led_flash_cnt[2084][1]~56056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2084][1]~56056_combout\ = (\led_flash_cnt[2084][0]~q\ & (\led_flash_cnt[2084][1]~q\ $ (VCC))) # (!\led_flash_cnt[2084][0]~q\ & (\led_flash_cnt[2084][1]~q\ & VCC))
-- \led_flash_cnt[2084][1]~56057\ = CARRY((\led_flash_cnt[2084][0]~q\ & \led_flash_cnt[2084][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2084][0]~q\,
	datab => \led_flash_cnt[2084][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2084][1]~56056_combout\,
	cout => \led_flash_cnt[2084][1]~56057\);

-- Location: FF_X2_Y2_N3
\led_flash_cnt[2084][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2084][1]~56056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2084][1]~q\);

-- Location: LCCOMB_X2_Y2_N4
\led_flash_cnt[2084][2]~56058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2084][2]~56058_combout\ = (\led_flash_cnt[2084][2]~q\ & (!\led_flash_cnt[2084][1]~56057\)) # (!\led_flash_cnt[2084][2]~q\ & ((\led_flash_cnt[2084][1]~56057\) # (GND)))
-- \led_flash_cnt[2084][2]~56059\ = CARRY((!\led_flash_cnt[2084][1]~56057\) # (!\led_flash_cnt[2084][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2084][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2084][1]~56057\,
	combout => \led_flash_cnt[2084][2]~56058_combout\,
	cout => \led_flash_cnt[2084][2]~56059\);

-- Location: FF_X2_Y2_N5
\led_flash_cnt[2084][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2084][2]~56058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2084][2]~q\);

-- Location: LCCOMB_X2_Y2_N6
\led_flash_cnt[2084][3]~56060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2084][3]~56060_combout\ = (\led_flash_cnt[2084][3]~q\ & (\led_flash_cnt[2084][2]~56059\ $ (GND))) # (!\led_flash_cnt[2084][3]~q\ & (!\led_flash_cnt[2084][2]~56059\ & VCC))
-- \led_flash_cnt[2084][3]~56061\ = CARRY((\led_flash_cnt[2084][3]~q\ & !\led_flash_cnt[2084][2]~56059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2084][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2084][2]~56059\,
	combout => \led_flash_cnt[2084][3]~56060_combout\,
	cout => \led_flash_cnt[2084][3]~56061\);

-- Location: FF_X2_Y2_N7
\led_flash_cnt[2084][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2084][3]~56060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2084][3]~q\);

-- Location: LCCOMB_X2_Y2_N8
\led_flash_cnt[2084][4]~56062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2084][4]~56062_combout\ = (\led_flash_cnt[2084][4]~q\ & (!\led_flash_cnt[2084][3]~56061\)) # (!\led_flash_cnt[2084][4]~q\ & ((\led_flash_cnt[2084][3]~56061\) # (GND)))
-- \led_flash_cnt[2084][4]~56063\ = CARRY((!\led_flash_cnt[2084][3]~56061\) # (!\led_flash_cnt[2084][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2084][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2084][3]~56061\,
	combout => \led_flash_cnt[2084][4]~56062_combout\,
	cout => \led_flash_cnt[2084][4]~56063\);

-- Location: FF_X2_Y2_N9
\led_flash_cnt[2084][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2084][4]~56062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2084][4]~q\);

-- Location: LCCOMB_X2_Y2_N10
\led_flash_cnt[2084][5]~56064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2084][5]~56064_combout\ = (\led_flash_cnt[2084][5]~q\ & (\led_flash_cnt[2084][4]~56063\ $ (GND))) # (!\led_flash_cnt[2084][5]~q\ & (!\led_flash_cnt[2084][4]~56063\ & VCC))
-- \led_flash_cnt[2084][5]~56065\ = CARRY((\led_flash_cnt[2084][5]~q\ & !\led_flash_cnt[2084][4]~56063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2084][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2084][4]~56063\,
	combout => \led_flash_cnt[2084][5]~56064_combout\,
	cout => \led_flash_cnt[2084][5]~56065\);

-- Location: FF_X2_Y2_N11
\led_flash_cnt[2084][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2084][5]~56064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2084][5]~q\);

-- Location: LCCOMB_X2_Y2_N12
\led_flash_cnt[2084][6]~56066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2084][6]~56066_combout\ = (\led_flash_cnt[2084][6]~q\ & (!\led_flash_cnt[2084][5]~56065\)) # (!\led_flash_cnt[2084][6]~q\ & ((\led_flash_cnt[2084][5]~56065\) # (GND)))
-- \led_flash_cnt[2084][6]~56067\ = CARRY((!\led_flash_cnt[2084][5]~56065\) # (!\led_flash_cnt[2084][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2084][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2084][5]~56065\,
	combout => \led_flash_cnt[2084][6]~56066_combout\,
	cout => \led_flash_cnt[2084][6]~56067\);

-- Location: FF_X2_Y2_N13
\led_flash_cnt[2084][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2084][6]~56066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2084][6]~q\);

-- Location: LCCOMB_X2_Y2_N24
\WideAnd2084~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2084~1_combout\ = (\led_flash_cnt[2084][5]~q\ & \led_flash_cnt[2084][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2084][5]~q\,
	datad => \led_flash_cnt[2084][6]~q\,
	combout => \WideAnd2084~1_combout\);

-- Location: LCCOMB_X2_Y2_N14
\led_flash_cnt[2084][7]~56068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2084][7]~56068_combout\ = \led_flash_cnt[2084][7]~q\ $ (!\led_flash_cnt[2084][6]~56067\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2084][7]~q\,
	cin => \led_flash_cnt[2084][6]~56067\,
	combout => \led_flash_cnt[2084][7]~56068_combout\);

-- Location: FF_X2_Y2_N15
\led_flash_cnt[2084][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2084][7]~56068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2084][7]~q\);

-- Location: LCCOMB_X2_Y2_N18
\WideAnd2084~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2084~0_combout\ = (\led_flash_cnt[2084][3]~q\ & (\led_flash_cnt[2084][2]~q\ & (\led_flash_cnt[2084][4]~q\ & \led_flash_cnt[2084][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2084][3]~q\,
	datab => \led_flash_cnt[2084][2]~q\,
	datac => \led_flash_cnt[2084][4]~q\,
	datad => \led_flash_cnt[2084][1]~q\,
	combout => \WideAnd2084~0_combout\);

-- Location: LCCOMB_X2_Y2_N30
WideAnd2084 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2084~combout\ = (\led_flash_cnt[2084][0]~q\ & (\WideAnd2084~1_combout\ & (\led_flash_cnt[2084][7]~q\ & \WideAnd2084~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2084][0]~q\,
	datab => \WideAnd2084~1_combout\,
	datac => \led_flash_cnt[2084][7]~q\,
	datad => \WideAnd2084~0_combout\,
	combout => \WideAnd2084~combout\);

-- Location: FF_X2_Y2_N31
\led_flash_cnt_ands[2084]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2084~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2084));

-- Location: LCCOMB_X2_Y2_N28
\led_flash_cnt[2085][0]~82725\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2085][0]~82725_combout\ = !\led_flash_cnt[2085][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2085][0]~q\,
	combout => \led_flash_cnt[2085][0]~82725_combout\);

-- Location: FF_X2_Y2_N29
\led_flash_cnt[2085][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2085][0]~82725_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2085][0]~q\);

-- Location: LCCOMB_X3_Y2_N18
\led_flash_cnt[2085][1]~56070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2085][1]~56070_combout\ = (\led_flash_cnt[2085][0]~q\ & (\led_flash_cnt[2085][1]~q\ $ (VCC))) # (!\led_flash_cnt[2085][0]~q\ & (\led_flash_cnt[2085][1]~q\ & VCC))
-- \led_flash_cnt[2085][1]~56071\ = CARRY((\led_flash_cnt[2085][0]~q\ & \led_flash_cnt[2085][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2085][0]~q\,
	datab => \led_flash_cnt[2085][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2085][1]~56070_combout\,
	cout => \led_flash_cnt[2085][1]~56071\);

-- Location: FF_X3_Y2_N19
\led_flash_cnt[2085][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2085][1]~56070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2085][1]~q\);

-- Location: LCCOMB_X3_Y2_N20
\led_flash_cnt[2085][2]~56072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2085][2]~56072_combout\ = (\led_flash_cnt[2085][2]~q\ & (!\led_flash_cnt[2085][1]~56071\)) # (!\led_flash_cnt[2085][2]~q\ & ((\led_flash_cnt[2085][1]~56071\) # (GND)))
-- \led_flash_cnt[2085][2]~56073\ = CARRY((!\led_flash_cnt[2085][1]~56071\) # (!\led_flash_cnt[2085][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2085][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2085][1]~56071\,
	combout => \led_flash_cnt[2085][2]~56072_combout\,
	cout => \led_flash_cnt[2085][2]~56073\);

-- Location: FF_X3_Y2_N21
\led_flash_cnt[2085][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2085][2]~56072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2085][2]~q\);

-- Location: LCCOMB_X3_Y2_N22
\led_flash_cnt[2085][3]~56074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2085][3]~56074_combout\ = (\led_flash_cnt[2085][3]~q\ & (\led_flash_cnt[2085][2]~56073\ $ (GND))) # (!\led_flash_cnt[2085][3]~q\ & (!\led_flash_cnt[2085][2]~56073\ & VCC))
-- \led_flash_cnt[2085][3]~56075\ = CARRY((\led_flash_cnt[2085][3]~q\ & !\led_flash_cnt[2085][2]~56073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2085][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2085][2]~56073\,
	combout => \led_flash_cnt[2085][3]~56074_combout\,
	cout => \led_flash_cnt[2085][3]~56075\);

-- Location: FF_X3_Y2_N23
\led_flash_cnt[2085][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2085][3]~56074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2085][3]~q\);

-- Location: LCCOMB_X3_Y2_N24
\led_flash_cnt[2085][4]~56076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2085][4]~56076_combout\ = (\led_flash_cnt[2085][4]~q\ & (!\led_flash_cnt[2085][3]~56075\)) # (!\led_flash_cnt[2085][4]~q\ & ((\led_flash_cnt[2085][3]~56075\) # (GND)))
-- \led_flash_cnt[2085][4]~56077\ = CARRY((!\led_flash_cnt[2085][3]~56075\) # (!\led_flash_cnt[2085][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2085][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2085][3]~56075\,
	combout => \led_flash_cnt[2085][4]~56076_combout\,
	cout => \led_flash_cnt[2085][4]~56077\);

-- Location: FF_X3_Y2_N25
\led_flash_cnt[2085][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2085][4]~56076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2085][4]~q\);

-- Location: LCCOMB_X3_Y2_N26
\led_flash_cnt[2085][5]~56078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2085][5]~56078_combout\ = (\led_flash_cnt[2085][5]~q\ & (\led_flash_cnt[2085][4]~56077\ $ (GND))) # (!\led_flash_cnt[2085][5]~q\ & (!\led_flash_cnt[2085][4]~56077\ & VCC))
-- \led_flash_cnt[2085][5]~56079\ = CARRY((\led_flash_cnt[2085][5]~q\ & !\led_flash_cnt[2085][4]~56077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2085][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2085][4]~56077\,
	combout => \led_flash_cnt[2085][5]~56078_combout\,
	cout => \led_flash_cnt[2085][5]~56079\);

-- Location: FF_X3_Y2_N27
\led_flash_cnt[2085][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2085][5]~56078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2085][5]~q\);

-- Location: LCCOMB_X3_Y2_N28
\led_flash_cnt[2085][6]~56080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2085][6]~56080_combout\ = (\led_flash_cnt[2085][6]~q\ & (!\led_flash_cnt[2085][5]~56079\)) # (!\led_flash_cnt[2085][6]~q\ & ((\led_flash_cnt[2085][5]~56079\) # (GND)))
-- \led_flash_cnt[2085][6]~56081\ = CARRY((!\led_flash_cnt[2085][5]~56079\) # (!\led_flash_cnt[2085][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2085][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2085][5]~56079\,
	combout => \led_flash_cnt[2085][6]~56080_combout\,
	cout => \led_flash_cnt[2085][6]~56081\);

-- Location: FF_X3_Y2_N29
\led_flash_cnt[2085][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2085][6]~56080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2085][6]~q\);

-- Location: LCCOMB_X3_Y2_N30
\led_flash_cnt[2085][7]~56082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2085][7]~56082_combout\ = \led_flash_cnt[2085][7]~q\ $ (!\led_flash_cnt[2085][6]~56081\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2085][7]~q\,
	cin => \led_flash_cnt[2085][6]~56081\,
	combout => \led_flash_cnt[2085][7]~56082_combout\);

-- Location: FF_X3_Y2_N31
\led_flash_cnt[2085][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2085][7]~56082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2085][7]~q\);

-- Location: LCCOMB_X2_Y2_N26
\WideAnd2085~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2085~1_combout\ = (\led_flash_cnt[2085][5]~q\ & \led_flash_cnt[2085][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2085][5]~q\,
	datad => \led_flash_cnt[2085][6]~q\,
	combout => \WideAnd2085~1_combout\);

-- Location: LCCOMB_X3_Y2_N16
\WideAnd2085~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2085~0_combout\ = (\led_flash_cnt[2085][4]~q\ & (\led_flash_cnt[2085][1]~q\ & (\led_flash_cnt[2085][3]~q\ & \led_flash_cnt[2085][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2085][4]~q\,
	datab => \led_flash_cnt[2085][1]~q\,
	datac => \led_flash_cnt[2085][3]~q\,
	datad => \led_flash_cnt[2085][2]~q\,
	combout => \WideAnd2085~0_combout\);

-- Location: LCCOMB_X2_Y2_N0
WideAnd2085 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2085~combout\ = (\led_flash_cnt[2085][7]~q\ & (\led_flash_cnt[2085][0]~q\ & (\WideAnd2085~1_combout\ & \WideAnd2085~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2085][7]~q\,
	datab => \led_flash_cnt[2085][0]~q\,
	datac => \WideAnd2085~1_combout\,
	datad => \WideAnd2085~0_combout\,
	combout => \WideAnd2085~combout\);

-- Location: FF_X2_Y2_N1
\led_flash_cnt_ands[2085]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2085~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2085));

-- Location: LCCOMB_X2_Y2_N20
\WideAnd4100~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4100~1_combout\ = (led_flash_cnt_ands(2084) & led_flash_cnt_ands(2085))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2084),
	datad => led_flash_cnt_ands(2085),
	combout => \WideAnd4100~1_combout\);

-- Location: LCCOMB_X1_Y2_N12
\led_flash_cnt[2087][0]~82727\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2087][0]~82727_combout\ = !\led_flash_cnt[2087][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2087][0]~q\,
	combout => \led_flash_cnt[2087][0]~82727_combout\);

-- Location: FF_X1_Y2_N13
\led_flash_cnt[2087][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2087][0]~82727_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2087][0]~q\);

-- Location: LCCOMB_X1_Y2_N14
\led_flash_cnt[2087][1]~56098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2087][1]~56098_combout\ = (\led_flash_cnt[2087][0]~q\ & (\led_flash_cnt[2087][1]~q\ $ (VCC))) # (!\led_flash_cnt[2087][0]~q\ & (\led_flash_cnt[2087][1]~q\ & VCC))
-- \led_flash_cnt[2087][1]~56099\ = CARRY((\led_flash_cnt[2087][0]~q\ & \led_flash_cnt[2087][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2087][0]~q\,
	datab => \led_flash_cnt[2087][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2087][1]~56098_combout\,
	cout => \led_flash_cnt[2087][1]~56099\);

-- Location: FF_X1_Y2_N15
\led_flash_cnt[2087][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2087][1]~56098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2087][1]~q\);

-- Location: LCCOMB_X1_Y2_N16
\led_flash_cnt[2087][2]~56100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2087][2]~56100_combout\ = (\led_flash_cnt[2087][2]~q\ & (!\led_flash_cnt[2087][1]~56099\)) # (!\led_flash_cnt[2087][2]~q\ & ((\led_flash_cnt[2087][1]~56099\) # (GND)))
-- \led_flash_cnt[2087][2]~56101\ = CARRY((!\led_flash_cnt[2087][1]~56099\) # (!\led_flash_cnt[2087][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2087][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2087][1]~56099\,
	combout => \led_flash_cnt[2087][2]~56100_combout\,
	cout => \led_flash_cnt[2087][2]~56101\);

-- Location: FF_X1_Y2_N17
\led_flash_cnt[2087][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2087][2]~56100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2087][2]~q\);

-- Location: LCCOMB_X1_Y2_N18
\led_flash_cnt[2087][3]~56102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2087][3]~56102_combout\ = (\led_flash_cnt[2087][3]~q\ & (\led_flash_cnt[2087][2]~56101\ $ (GND))) # (!\led_flash_cnt[2087][3]~q\ & (!\led_flash_cnt[2087][2]~56101\ & VCC))
-- \led_flash_cnt[2087][3]~56103\ = CARRY((\led_flash_cnt[2087][3]~q\ & !\led_flash_cnt[2087][2]~56101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2087][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2087][2]~56101\,
	combout => \led_flash_cnt[2087][3]~56102_combout\,
	cout => \led_flash_cnt[2087][3]~56103\);

-- Location: FF_X1_Y2_N19
\led_flash_cnt[2087][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2087][3]~56102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2087][3]~q\);

-- Location: LCCOMB_X1_Y2_N20
\led_flash_cnt[2087][4]~56104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2087][4]~56104_combout\ = (\led_flash_cnt[2087][4]~q\ & (!\led_flash_cnt[2087][3]~56103\)) # (!\led_flash_cnt[2087][4]~q\ & ((\led_flash_cnt[2087][3]~56103\) # (GND)))
-- \led_flash_cnt[2087][4]~56105\ = CARRY((!\led_flash_cnt[2087][3]~56103\) # (!\led_flash_cnt[2087][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2087][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2087][3]~56103\,
	combout => \led_flash_cnt[2087][4]~56104_combout\,
	cout => \led_flash_cnt[2087][4]~56105\);

-- Location: FF_X1_Y2_N21
\led_flash_cnt[2087][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2087][4]~56104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2087][4]~q\);

-- Location: LCCOMB_X1_Y2_N22
\led_flash_cnt[2087][5]~56106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2087][5]~56106_combout\ = (\led_flash_cnt[2087][5]~q\ & (\led_flash_cnt[2087][4]~56105\ $ (GND))) # (!\led_flash_cnt[2087][5]~q\ & (!\led_flash_cnt[2087][4]~56105\ & VCC))
-- \led_flash_cnt[2087][5]~56107\ = CARRY((\led_flash_cnt[2087][5]~q\ & !\led_flash_cnt[2087][4]~56105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2087][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2087][4]~56105\,
	combout => \led_flash_cnt[2087][5]~56106_combout\,
	cout => \led_flash_cnt[2087][5]~56107\);

-- Location: FF_X1_Y2_N23
\led_flash_cnt[2087][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2087][5]~56106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2087][5]~q\);

-- Location: LCCOMB_X1_Y2_N24
\led_flash_cnt[2087][6]~56108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2087][6]~56108_combout\ = (\led_flash_cnt[2087][6]~q\ & (!\led_flash_cnt[2087][5]~56107\)) # (!\led_flash_cnt[2087][6]~q\ & ((\led_flash_cnt[2087][5]~56107\) # (GND)))
-- \led_flash_cnt[2087][6]~56109\ = CARRY((!\led_flash_cnt[2087][5]~56107\) # (!\led_flash_cnt[2087][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2087][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2087][5]~56107\,
	combout => \led_flash_cnt[2087][6]~56108_combout\,
	cout => \led_flash_cnt[2087][6]~56109\);

-- Location: FF_X1_Y2_N25
\led_flash_cnt[2087][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2087][6]~56108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2087][6]~q\);

-- Location: LCCOMB_X1_Y2_N10
\WideAnd2087~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2087~1_combout\ = (\led_flash_cnt[2087][5]~q\ & \led_flash_cnt[2087][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2087][5]~q\,
	datad => \led_flash_cnt[2087][6]~q\,
	combout => \WideAnd2087~1_combout\);

-- Location: LCCOMB_X1_Y2_N28
\WideAnd2087~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2087~0_combout\ = (\led_flash_cnt[2087][4]~q\ & (\led_flash_cnt[2087][3]~q\ & (\led_flash_cnt[2087][1]~q\ & \led_flash_cnt[2087][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2087][4]~q\,
	datab => \led_flash_cnt[2087][3]~q\,
	datac => \led_flash_cnt[2087][1]~q\,
	datad => \led_flash_cnt[2087][2]~q\,
	combout => \WideAnd2087~0_combout\);

-- Location: LCCOMB_X1_Y2_N26
\led_flash_cnt[2087][7]~56110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2087][7]~56110_combout\ = \led_flash_cnt[2087][7]~q\ $ (!\led_flash_cnt[2087][6]~56109\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2087][7]~q\,
	cin => \led_flash_cnt[2087][6]~56109\,
	combout => \led_flash_cnt[2087][7]~56110_combout\);

-- Location: FF_X1_Y2_N27
\led_flash_cnt[2087][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2087][7]~56110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2087][7]~q\);

-- Location: LCCOMB_X1_Y2_N4
WideAnd2087 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2087~combout\ = (\WideAnd2087~1_combout\ & (\WideAnd2087~0_combout\ & (\led_flash_cnt[2087][7]~q\ & \led_flash_cnt[2087][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2087~1_combout\,
	datab => \WideAnd2087~0_combout\,
	datac => \led_flash_cnt[2087][7]~q\,
	datad => \led_flash_cnt[2087][0]~q\,
	combout => \WideAnd2087~combout\);

-- Location: FF_X1_Y2_N5
\led_flash_cnt_ands[2087]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2087~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2087));

-- Location: LCCOMB_X1_Y6_N4
\led_flash_cnt[2082][0]~82722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2082][0]~82722_combout\ = !\led_flash_cnt[2082][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2082][0]~q\,
	combout => \led_flash_cnt[2082][0]~82722_combout\);

-- Location: FF_X1_Y6_N5
\led_flash_cnt[2082][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2082][0]~82722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2082][0]~q\);

-- Location: LCCOMB_X1_Y6_N10
\led_flash_cnt[2082][1]~56028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2082][1]~56028_combout\ = (\led_flash_cnt[2082][1]~q\ & (\led_flash_cnt[2082][0]~q\ $ (VCC))) # (!\led_flash_cnt[2082][1]~q\ & (\led_flash_cnt[2082][0]~q\ & VCC))
-- \led_flash_cnt[2082][1]~56029\ = CARRY((\led_flash_cnt[2082][1]~q\ & \led_flash_cnt[2082][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2082][1]~q\,
	datab => \led_flash_cnt[2082][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2082][1]~56028_combout\,
	cout => \led_flash_cnt[2082][1]~56029\);

-- Location: FF_X1_Y6_N11
\led_flash_cnt[2082][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2082][1]~56028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2082][1]~q\);

-- Location: LCCOMB_X1_Y6_N12
\led_flash_cnt[2082][2]~56030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2082][2]~56030_combout\ = (\led_flash_cnt[2082][2]~q\ & (!\led_flash_cnt[2082][1]~56029\)) # (!\led_flash_cnt[2082][2]~q\ & ((\led_flash_cnt[2082][1]~56029\) # (GND)))
-- \led_flash_cnt[2082][2]~56031\ = CARRY((!\led_flash_cnt[2082][1]~56029\) # (!\led_flash_cnt[2082][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2082][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2082][1]~56029\,
	combout => \led_flash_cnt[2082][2]~56030_combout\,
	cout => \led_flash_cnt[2082][2]~56031\);

-- Location: FF_X1_Y6_N13
\led_flash_cnt[2082][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2082][2]~56030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2082][2]~q\);

-- Location: LCCOMB_X1_Y6_N14
\led_flash_cnt[2082][3]~56032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2082][3]~56032_combout\ = (\led_flash_cnt[2082][3]~q\ & (\led_flash_cnt[2082][2]~56031\ $ (GND))) # (!\led_flash_cnt[2082][3]~q\ & (!\led_flash_cnt[2082][2]~56031\ & VCC))
-- \led_flash_cnt[2082][3]~56033\ = CARRY((\led_flash_cnt[2082][3]~q\ & !\led_flash_cnt[2082][2]~56031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2082][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2082][2]~56031\,
	combout => \led_flash_cnt[2082][3]~56032_combout\,
	cout => \led_flash_cnt[2082][3]~56033\);

-- Location: FF_X1_Y6_N15
\led_flash_cnt[2082][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2082][3]~56032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2082][3]~q\);

-- Location: LCCOMB_X1_Y6_N16
\led_flash_cnt[2082][4]~56034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2082][4]~56034_combout\ = (\led_flash_cnt[2082][4]~q\ & (!\led_flash_cnt[2082][3]~56033\)) # (!\led_flash_cnt[2082][4]~q\ & ((\led_flash_cnt[2082][3]~56033\) # (GND)))
-- \led_flash_cnt[2082][4]~56035\ = CARRY((!\led_flash_cnt[2082][3]~56033\) # (!\led_flash_cnt[2082][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2082][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2082][3]~56033\,
	combout => \led_flash_cnt[2082][4]~56034_combout\,
	cout => \led_flash_cnt[2082][4]~56035\);

-- Location: FF_X1_Y6_N17
\led_flash_cnt[2082][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2082][4]~56034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2082][4]~q\);

-- Location: LCCOMB_X1_Y6_N26
\WideAnd2082~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2082~0_combout\ = (\led_flash_cnt[2082][2]~q\ & (\led_flash_cnt[2082][4]~q\ & (\led_flash_cnt[2082][3]~q\ & \led_flash_cnt[2082][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2082][2]~q\,
	datab => \led_flash_cnt[2082][4]~q\,
	datac => \led_flash_cnt[2082][3]~q\,
	datad => \led_flash_cnt[2082][1]~q\,
	combout => \WideAnd2082~0_combout\);

-- Location: LCCOMB_X1_Y6_N18
\led_flash_cnt[2082][5]~56036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2082][5]~56036_combout\ = (\led_flash_cnt[2082][5]~q\ & (\led_flash_cnt[2082][4]~56035\ $ (GND))) # (!\led_flash_cnt[2082][5]~q\ & (!\led_flash_cnt[2082][4]~56035\ & VCC))
-- \led_flash_cnt[2082][5]~56037\ = CARRY((\led_flash_cnt[2082][5]~q\ & !\led_flash_cnt[2082][4]~56035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2082][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2082][4]~56035\,
	combout => \led_flash_cnt[2082][5]~56036_combout\,
	cout => \led_flash_cnt[2082][5]~56037\);

-- Location: FF_X1_Y6_N19
\led_flash_cnt[2082][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2082][5]~56036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2082][5]~q\);

-- Location: LCCOMB_X1_Y6_N20
\led_flash_cnt[2082][6]~56038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2082][6]~56038_combout\ = (\led_flash_cnt[2082][6]~q\ & (!\led_flash_cnt[2082][5]~56037\)) # (!\led_flash_cnt[2082][6]~q\ & ((\led_flash_cnt[2082][5]~56037\) # (GND)))
-- \led_flash_cnt[2082][6]~56039\ = CARRY((!\led_flash_cnt[2082][5]~56037\) # (!\led_flash_cnt[2082][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2082][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2082][5]~56037\,
	combout => \led_flash_cnt[2082][6]~56038_combout\,
	cout => \led_flash_cnt[2082][6]~56039\);

-- Location: FF_X1_Y6_N21
\led_flash_cnt[2082][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2082][6]~56038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2082][6]~q\);

-- Location: LCCOMB_X1_Y6_N22
\led_flash_cnt[2082][7]~56040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2082][7]~56040_combout\ = \led_flash_cnt[2082][7]~q\ $ (!\led_flash_cnt[2082][6]~56039\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2082][7]~q\,
	cin => \led_flash_cnt[2082][6]~56039\,
	combout => \led_flash_cnt[2082][7]~56040_combout\);

-- Location: FF_X1_Y6_N23
\led_flash_cnt[2082][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2082][7]~56040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2082][7]~q\);

-- Location: LCCOMB_X1_Y6_N24
\WideAnd2082~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2082~1_combout\ = (\led_flash_cnt[2082][5]~q\ & \led_flash_cnt[2082][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2082][5]~q\,
	datad => \led_flash_cnt[2082][6]~q\,
	combout => \WideAnd2082~1_combout\);

-- Location: LCCOMB_X1_Y6_N8
WideAnd2082 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2082~combout\ = (\WideAnd2082~0_combout\ & (\led_flash_cnt[2082][0]~q\ & (\led_flash_cnt[2082][7]~q\ & \WideAnd2082~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2082~0_combout\,
	datab => \led_flash_cnt[2082][0]~q\,
	datac => \led_flash_cnt[2082][7]~q\,
	datad => \WideAnd2082~1_combout\,
	combout => \WideAnd2082~combout\);

-- Location: FF_X1_Y6_N9
\led_flash_cnt_ands[2082]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2082~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2082));

-- Location: LCCOMB_X2_Y4_N8
\led_flash_cnt[2083][0]~82723\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2083][0]~82723_combout\ = !\led_flash_cnt[2083][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2083][0]~q\,
	combout => \led_flash_cnt[2083][0]~82723_combout\);

-- Location: FF_X2_Y4_N9
\led_flash_cnt[2083][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2083][0]~82723_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2083][0]~q\);

-- Location: LCCOMB_X2_Y4_N12
\led_flash_cnt[2083][1]~56042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2083][1]~56042_combout\ = (\led_flash_cnt[2083][1]~q\ & (\led_flash_cnt[2083][0]~q\ $ (VCC))) # (!\led_flash_cnt[2083][1]~q\ & (\led_flash_cnt[2083][0]~q\ & VCC))
-- \led_flash_cnt[2083][1]~56043\ = CARRY((\led_flash_cnt[2083][1]~q\ & \led_flash_cnt[2083][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2083][1]~q\,
	datab => \led_flash_cnt[2083][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2083][1]~56042_combout\,
	cout => \led_flash_cnt[2083][1]~56043\);

-- Location: FF_X2_Y4_N13
\led_flash_cnt[2083][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2083][1]~56042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2083][1]~q\);

-- Location: LCCOMB_X2_Y4_N14
\led_flash_cnt[2083][2]~56044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2083][2]~56044_combout\ = (\led_flash_cnt[2083][2]~q\ & (!\led_flash_cnt[2083][1]~56043\)) # (!\led_flash_cnt[2083][2]~q\ & ((\led_flash_cnt[2083][1]~56043\) # (GND)))
-- \led_flash_cnt[2083][2]~56045\ = CARRY((!\led_flash_cnt[2083][1]~56043\) # (!\led_flash_cnt[2083][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2083][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2083][1]~56043\,
	combout => \led_flash_cnt[2083][2]~56044_combout\,
	cout => \led_flash_cnt[2083][2]~56045\);

-- Location: FF_X2_Y4_N15
\led_flash_cnt[2083][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2083][2]~56044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2083][2]~q\);

-- Location: LCCOMB_X2_Y4_N16
\led_flash_cnt[2083][3]~56046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2083][3]~56046_combout\ = (\led_flash_cnt[2083][3]~q\ & (\led_flash_cnt[2083][2]~56045\ $ (GND))) # (!\led_flash_cnt[2083][3]~q\ & (!\led_flash_cnt[2083][2]~56045\ & VCC))
-- \led_flash_cnt[2083][3]~56047\ = CARRY((\led_flash_cnt[2083][3]~q\ & !\led_flash_cnt[2083][2]~56045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2083][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2083][2]~56045\,
	combout => \led_flash_cnt[2083][3]~56046_combout\,
	cout => \led_flash_cnt[2083][3]~56047\);

-- Location: FF_X2_Y4_N17
\led_flash_cnt[2083][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2083][3]~56046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2083][3]~q\);

-- Location: LCCOMB_X2_Y4_N18
\led_flash_cnt[2083][4]~56048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2083][4]~56048_combout\ = (\led_flash_cnt[2083][4]~q\ & (!\led_flash_cnt[2083][3]~56047\)) # (!\led_flash_cnt[2083][4]~q\ & ((\led_flash_cnt[2083][3]~56047\) # (GND)))
-- \led_flash_cnt[2083][4]~56049\ = CARRY((!\led_flash_cnt[2083][3]~56047\) # (!\led_flash_cnt[2083][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2083][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2083][3]~56047\,
	combout => \led_flash_cnt[2083][4]~56048_combout\,
	cout => \led_flash_cnt[2083][4]~56049\);

-- Location: FF_X2_Y4_N19
\led_flash_cnt[2083][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2083][4]~56048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2083][4]~q\);

-- Location: LCCOMB_X2_Y4_N26
\WideAnd2083~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2083~0_combout\ = (\led_flash_cnt[2083][1]~q\ & (\led_flash_cnt[2083][3]~q\ & (\led_flash_cnt[2083][2]~q\ & \led_flash_cnt[2083][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2083][1]~q\,
	datab => \led_flash_cnt[2083][3]~q\,
	datac => \led_flash_cnt[2083][2]~q\,
	datad => \led_flash_cnt[2083][4]~q\,
	combout => \WideAnd2083~0_combout\);

-- Location: LCCOMB_X2_Y4_N20
\led_flash_cnt[2083][5]~56050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2083][5]~56050_combout\ = (\led_flash_cnt[2083][5]~q\ & (\led_flash_cnt[2083][4]~56049\ $ (GND))) # (!\led_flash_cnt[2083][5]~q\ & (!\led_flash_cnt[2083][4]~56049\ & VCC))
-- \led_flash_cnt[2083][5]~56051\ = CARRY((\led_flash_cnt[2083][5]~q\ & !\led_flash_cnt[2083][4]~56049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2083][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2083][4]~56049\,
	combout => \led_flash_cnt[2083][5]~56050_combout\,
	cout => \led_flash_cnt[2083][5]~56051\);

-- Location: FF_X2_Y4_N21
\led_flash_cnt[2083][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2083][5]~56050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2083][5]~q\);

-- Location: LCCOMB_X2_Y4_N22
\led_flash_cnt[2083][6]~56052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2083][6]~56052_combout\ = (\led_flash_cnt[2083][6]~q\ & (!\led_flash_cnt[2083][5]~56051\)) # (!\led_flash_cnt[2083][6]~q\ & ((\led_flash_cnt[2083][5]~56051\) # (GND)))
-- \led_flash_cnt[2083][6]~56053\ = CARRY((!\led_flash_cnt[2083][5]~56051\) # (!\led_flash_cnt[2083][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2083][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2083][5]~56051\,
	combout => \led_flash_cnt[2083][6]~56052_combout\,
	cout => \led_flash_cnt[2083][6]~56053\);

-- Location: FF_X2_Y4_N23
\led_flash_cnt[2083][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2083][6]~56052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2083][6]~q\);

-- Location: LCCOMB_X2_Y4_N24
\led_flash_cnt[2083][7]~56054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2083][7]~56054_combout\ = \led_flash_cnt[2083][6]~56053\ $ (!\led_flash_cnt[2083][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2083][7]~q\,
	cin => \led_flash_cnt[2083][6]~56053\,
	combout => \led_flash_cnt[2083][7]~56054_combout\);

-- Location: FF_X2_Y4_N25
\led_flash_cnt[2083][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2083][7]~56054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2083][7]~q\);

-- Location: LCCOMB_X2_Y4_N0
\WideAnd2083~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2083~1_combout\ = (\led_flash_cnt[2083][6]~q\ & \led_flash_cnt[2083][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2083][6]~q\,
	datad => \led_flash_cnt[2083][5]~q\,
	combout => \WideAnd2083~1_combout\);

-- Location: LCCOMB_X2_Y4_N28
WideAnd2083 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2083~combout\ = (\WideAnd2083~0_combout\ & (\led_flash_cnt[2083][7]~q\ & (\led_flash_cnt[2083][0]~q\ & \WideAnd2083~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2083~0_combout\,
	datab => \led_flash_cnt[2083][7]~q\,
	datac => \led_flash_cnt[2083][0]~q\,
	datad => \WideAnd2083~1_combout\,
	combout => \WideAnd2083~combout\);

-- Location: FF_X2_Y4_N29
\led_flash_cnt_ands[2083]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2083~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2083));

-- Location: LCCOMB_X1_Y4_N22
\led_flash_cnt[2081][0]~82721\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2081][0]~82721_combout\ = !\led_flash_cnt[2081][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2081][0]~q\,
	combout => \led_flash_cnt[2081][0]~82721_combout\);

-- Location: FF_X1_Y4_N23
\led_flash_cnt[2081][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2081][0]~82721_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2081][0]~q\);

-- Location: LCCOMB_X1_Y4_N2
\led_flash_cnt[2081][1]~56014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2081][1]~56014_combout\ = (\led_flash_cnt[2081][0]~q\ & (\led_flash_cnt[2081][1]~q\ $ (VCC))) # (!\led_flash_cnt[2081][0]~q\ & (\led_flash_cnt[2081][1]~q\ & VCC))
-- \led_flash_cnt[2081][1]~56015\ = CARRY((\led_flash_cnt[2081][0]~q\ & \led_flash_cnt[2081][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2081][0]~q\,
	datab => \led_flash_cnt[2081][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2081][1]~56014_combout\,
	cout => \led_flash_cnt[2081][1]~56015\);

-- Location: FF_X1_Y4_N3
\led_flash_cnt[2081][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2081][1]~56014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2081][1]~q\);

-- Location: LCCOMB_X1_Y4_N4
\led_flash_cnt[2081][2]~56016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2081][2]~56016_combout\ = (\led_flash_cnt[2081][2]~q\ & (!\led_flash_cnt[2081][1]~56015\)) # (!\led_flash_cnt[2081][2]~q\ & ((\led_flash_cnt[2081][1]~56015\) # (GND)))
-- \led_flash_cnt[2081][2]~56017\ = CARRY((!\led_flash_cnt[2081][1]~56015\) # (!\led_flash_cnt[2081][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2081][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2081][1]~56015\,
	combout => \led_flash_cnt[2081][2]~56016_combout\,
	cout => \led_flash_cnt[2081][2]~56017\);

-- Location: FF_X1_Y4_N5
\led_flash_cnt[2081][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2081][2]~56016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2081][2]~q\);

-- Location: LCCOMB_X1_Y4_N6
\led_flash_cnt[2081][3]~56018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2081][3]~56018_combout\ = (\led_flash_cnt[2081][3]~q\ & (\led_flash_cnt[2081][2]~56017\ $ (GND))) # (!\led_flash_cnt[2081][3]~q\ & (!\led_flash_cnt[2081][2]~56017\ & VCC))
-- \led_flash_cnt[2081][3]~56019\ = CARRY((\led_flash_cnt[2081][3]~q\ & !\led_flash_cnt[2081][2]~56017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2081][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2081][2]~56017\,
	combout => \led_flash_cnt[2081][3]~56018_combout\,
	cout => \led_flash_cnt[2081][3]~56019\);

-- Location: FF_X1_Y4_N7
\led_flash_cnt[2081][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2081][3]~56018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2081][3]~q\);

-- Location: LCCOMB_X1_Y4_N8
\led_flash_cnt[2081][4]~56020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2081][4]~56020_combout\ = (\led_flash_cnt[2081][4]~q\ & (!\led_flash_cnt[2081][3]~56019\)) # (!\led_flash_cnt[2081][4]~q\ & ((\led_flash_cnt[2081][3]~56019\) # (GND)))
-- \led_flash_cnt[2081][4]~56021\ = CARRY((!\led_flash_cnt[2081][3]~56019\) # (!\led_flash_cnt[2081][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2081][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2081][3]~56019\,
	combout => \led_flash_cnt[2081][4]~56020_combout\,
	cout => \led_flash_cnt[2081][4]~56021\);

-- Location: FF_X1_Y4_N9
\led_flash_cnt[2081][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2081][4]~56020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2081][4]~q\);

-- Location: LCCOMB_X1_Y4_N24
\WideAnd2081~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2081~0_combout\ = (\led_flash_cnt[2081][3]~q\ & (\led_flash_cnt[2081][4]~q\ & (\led_flash_cnt[2081][2]~q\ & \led_flash_cnt[2081][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2081][3]~q\,
	datab => \led_flash_cnt[2081][4]~q\,
	datac => \led_flash_cnt[2081][2]~q\,
	datad => \led_flash_cnt[2081][1]~q\,
	combout => \WideAnd2081~0_combout\);

-- Location: LCCOMB_X1_Y4_N10
\led_flash_cnt[2081][5]~56022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2081][5]~56022_combout\ = (\led_flash_cnt[2081][5]~q\ & (\led_flash_cnt[2081][4]~56021\ $ (GND))) # (!\led_flash_cnt[2081][5]~q\ & (!\led_flash_cnt[2081][4]~56021\ & VCC))
-- \led_flash_cnt[2081][5]~56023\ = CARRY((\led_flash_cnt[2081][5]~q\ & !\led_flash_cnt[2081][4]~56021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2081][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2081][4]~56021\,
	combout => \led_flash_cnt[2081][5]~56022_combout\,
	cout => \led_flash_cnt[2081][5]~56023\);

-- Location: FF_X1_Y4_N11
\led_flash_cnt[2081][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2081][5]~56022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2081][5]~q\);

-- Location: LCCOMB_X1_Y4_N12
\led_flash_cnt[2081][6]~56024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2081][6]~56024_combout\ = (\led_flash_cnt[2081][6]~q\ & (!\led_flash_cnt[2081][5]~56023\)) # (!\led_flash_cnt[2081][6]~q\ & ((\led_flash_cnt[2081][5]~56023\) # (GND)))
-- \led_flash_cnt[2081][6]~56025\ = CARRY((!\led_flash_cnt[2081][5]~56023\) # (!\led_flash_cnt[2081][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2081][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2081][5]~56023\,
	combout => \led_flash_cnt[2081][6]~56024_combout\,
	cout => \led_flash_cnt[2081][6]~56025\);

-- Location: FF_X1_Y4_N13
\led_flash_cnt[2081][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2081][6]~56024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2081][6]~q\);

-- Location: LCCOMB_X1_Y4_N14
\led_flash_cnt[2081][7]~56026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2081][7]~56026_combout\ = \led_flash_cnt[2081][7]~q\ $ (!\led_flash_cnt[2081][6]~56025\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2081][7]~q\,
	cin => \led_flash_cnt[2081][6]~56025\,
	combout => \led_flash_cnt[2081][7]~56026_combout\);

-- Location: FF_X1_Y4_N15
\led_flash_cnt[2081][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2081][7]~56026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2081][7]~q\);

-- Location: LCCOMB_X1_Y4_N18
\WideAnd2081~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2081~1_combout\ = (\led_flash_cnt[2081][6]~q\ & \led_flash_cnt[2081][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2081][6]~q\,
	datad => \led_flash_cnt[2081][5]~q\,
	combout => \WideAnd2081~1_combout\);

-- Location: LCCOMB_X1_Y4_N26
WideAnd2081 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2081~combout\ = (\led_flash_cnt[2081][0]~q\ & (\WideAnd2081~0_combout\ & (\led_flash_cnt[2081][7]~q\ & \WideAnd2081~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2081][0]~q\,
	datab => \WideAnd2081~0_combout\,
	datac => \led_flash_cnt[2081][7]~q\,
	datad => \WideAnd2081~1_combout\,
	combout => \WideAnd2081~combout\);

-- Location: FF_X1_Y4_N27
\led_flash_cnt_ands[2081]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2081~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2081));

-- Location: LCCOMB_X3_Y4_N26
\led_flash_cnt[2080][0]~82720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2080][0]~82720_combout\ = !\led_flash_cnt[2080][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2080][0]~q\,
	combout => \led_flash_cnt[2080][0]~82720_combout\);

-- Location: FF_X3_Y4_N27
\led_flash_cnt[2080][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2080][0]~82720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2080][0]~q\);

-- Location: LCCOMB_X3_Y4_N12
\led_flash_cnt[2080][1]~56000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2080][1]~56000_combout\ = (\led_flash_cnt[2080][0]~q\ & (\led_flash_cnt[2080][1]~q\ $ (VCC))) # (!\led_flash_cnt[2080][0]~q\ & (\led_flash_cnt[2080][1]~q\ & VCC))
-- \led_flash_cnt[2080][1]~56001\ = CARRY((\led_flash_cnt[2080][0]~q\ & \led_flash_cnt[2080][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2080][0]~q\,
	datab => \led_flash_cnt[2080][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2080][1]~56000_combout\,
	cout => \led_flash_cnt[2080][1]~56001\);

-- Location: FF_X3_Y4_N13
\led_flash_cnt[2080][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2080][1]~56000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2080][1]~q\);

-- Location: LCCOMB_X3_Y4_N14
\led_flash_cnt[2080][2]~56002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2080][2]~56002_combout\ = (\led_flash_cnt[2080][2]~q\ & (!\led_flash_cnt[2080][1]~56001\)) # (!\led_flash_cnt[2080][2]~q\ & ((\led_flash_cnt[2080][1]~56001\) # (GND)))
-- \led_flash_cnt[2080][2]~56003\ = CARRY((!\led_flash_cnt[2080][1]~56001\) # (!\led_flash_cnt[2080][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2080][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2080][1]~56001\,
	combout => \led_flash_cnt[2080][2]~56002_combout\,
	cout => \led_flash_cnt[2080][2]~56003\);

-- Location: FF_X3_Y4_N15
\led_flash_cnt[2080][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2080][2]~56002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2080][2]~q\);

-- Location: LCCOMB_X3_Y4_N16
\led_flash_cnt[2080][3]~56004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2080][3]~56004_combout\ = (\led_flash_cnt[2080][3]~q\ & (\led_flash_cnt[2080][2]~56003\ $ (GND))) # (!\led_flash_cnt[2080][3]~q\ & (!\led_flash_cnt[2080][2]~56003\ & VCC))
-- \led_flash_cnt[2080][3]~56005\ = CARRY((\led_flash_cnt[2080][3]~q\ & !\led_flash_cnt[2080][2]~56003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2080][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2080][2]~56003\,
	combout => \led_flash_cnt[2080][3]~56004_combout\,
	cout => \led_flash_cnt[2080][3]~56005\);

-- Location: FF_X3_Y4_N17
\led_flash_cnt[2080][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2080][3]~56004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2080][3]~q\);

-- Location: LCCOMB_X3_Y4_N18
\led_flash_cnt[2080][4]~56006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2080][4]~56006_combout\ = (\led_flash_cnt[2080][4]~q\ & (!\led_flash_cnt[2080][3]~56005\)) # (!\led_flash_cnt[2080][4]~q\ & ((\led_flash_cnt[2080][3]~56005\) # (GND)))
-- \led_flash_cnt[2080][4]~56007\ = CARRY((!\led_flash_cnt[2080][3]~56005\) # (!\led_flash_cnt[2080][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2080][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2080][3]~56005\,
	combout => \led_flash_cnt[2080][4]~56006_combout\,
	cout => \led_flash_cnt[2080][4]~56007\);

-- Location: FF_X3_Y4_N19
\led_flash_cnt[2080][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2080][4]~56006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2080][4]~q\);

-- Location: LCCOMB_X3_Y4_N10
\WideAnd2080~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2080~0_combout\ = (\led_flash_cnt[2080][1]~q\ & (\led_flash_cnt[2080][4]~q\ & (\led_flash_cnt[2080][2]~q\ & \led_flash_cnt[2080][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2080][1]~q\,
	datab => \led_flash_cnt[2080][4]~q\,
	datac => \led_flash_cnt[2080][2]~q\,
	datad => \led_flash_cnt[2080][3]~q\,
	combout => \WideAnd2080~0_combout\);

-- Location: LCCOMB_X3_Y4_N20
\led_flash_cnt[2080][5]~56008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2080][5]~56008_combout\ = (\led_flash_cnt[2080][5]~q\ & (\led_flash_cnt[2080][4]~56007\ $ (GND))) # (!\led_flash_cnt[2080][5]~q\ & (!\led_flash_cnt[2080][4]~56007\ & VCC))
-- \led_flash_cnt[2080][5]~56009\ = CARRY((\led_flash_cnt[2080][5]~q\ & !\led_flash_cnt[2080][4]~56007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2080][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2080][4]~56007\,
	combout => \led_flash_cnt[2080][5]~56008_combout\,
	cout => \led_flash_cnt[2080][5]~56009\);

-- Location: FF_X3_Y4_N21
\led_flash_cnt[2080][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2080][5]~56008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2080][5]~q\);

-- Location: LCCOMB_X3_Y4_N22
\led_flash_cnt[2080][6]~56010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2080][6]~56010_combout\ = (\led_flash_cnt[2080][6]~q\ & (!\led_flash_cnt[2080][5]~56009\)) # (!\led_flash_cnt[2080][6]~q\ & ((\led_flash_cnt[2080][5]~56009\) # (GND)))
-- \led_flash_cnt[2080][6]~56011\ = CARRY((!\led_flash_cnt[2080][5]~56009\) # (!\led_flash_cnt[2080][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2080][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2080][5]~56009\,
	combout => \led_flash_cnt[2080][6]~56010_combout\,
	cout => \led_flash_cnt[2080][6]~56011\);

-- Location: FF_X3_Y4_N23
\led_flash_cnt[2080][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2080][6]~56010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2080][6]~q\);

-- Location: LCCOMB_X3_Y4_N24
\led_flash_cnt[2080][7]~56012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2080][7]~56012_combout\ = \led_flash_cnt[2080][6]~56011\ $ (!\led_flash_cnt[2080][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2080][7]~q\,
	cin => \led_flash_cnt[2080][6]~56011\,
	combout => \led_flash_cnt[2080][7]~56012_combout\);

-- Location: FF_X3_Y4_N25
\led_flash_cnt[2080][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2080][7]~56012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2080][7]~q\);

-- Location: LCCOMB_X3_Y4_N0
\WideAnd2080~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2080~1_combout\ = (\led_flash_cnt[2080][6]~q\ & \led_flash_cnt[2080][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2080][6]~q\,
	datad => \led_flash_cnt[2080][5]~q\,
	combout => \WideAnd2080~1_combout\);

-- Location: LCCOMB_X3_Y4_N28
WideAnd2080 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2080~combout\ = (\WideAnd2080~0_combout\ & (\led_flash_cnt[2080][7]~q\ & (\led_flash_cnt[2080][0]~q\ & \WideAnd2080~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2080~0_combout\,
	datab => \led_flash_cnt[2080][7]~q\,
	datac => \led_flash_cnt[2080][0]~q\,
	datad => \WideAnd2080~1_combout\,
	combout => \WideAnd2080~combout\);

-- Location: FF_X3_Y4_N29
\led_flash_cnt_ands[2080]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2080~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2080));

-- Location: LCCOMB_X2_Y4_N10
\WideAnd4100~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4100~0_combout\ = (led_flash_cnt_ands(2082) & (led_flash_cnt_ands(2083) & (led_flash_cnt_ands(2081) & led_flash_cnt_ands(2080))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2082),
	datab => led_flash_cnt_ands(2083),
	datac => led_flash_cnt_ands(2081),
	datad => led_flash_cnt_ands(2080),
	combout => \WideAnd4100~0_combout\);

-- Location: LCCOMB_X2_Y2_N16
WideAnd4100 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4100~combout\ = (led_flash_cnt_ands(2086) & (\WideAnd4100~1_combout\ & (led_flash_cnt_ands(2087) & \WideAnd4100~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2086),
	datab => \WideAnd4100~1_combout\,
	datac => led_flash_cnt_ands(2087),
	datad => \WideAnd4100~0_combout\,
	combout => \WideAnd4100~combout\);

-- Location: FF_X2_Y2_N17
\led_flash_cnt_ands_1[260]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4100~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(260));

-- Location: LCCOMB_X9_Y12_N16
\WideAnd4352~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4352~1_combout\ = (led_flash_cnt_ands_1(261) & led_flash_cnt_ands_1(260))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands_1(261),
	datad => led_flash_cnt_ands_1(260),
	combout => \WideAnd4352~1_combout\);

-- Location: LCCOMB_X50_Y10_N28
\led_flash_cnt[2101][0]~82741\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2101][0]~82741_combout\ = !\led_flash_cnt[2101][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2101][0]~q\,
	combout => \led_flash_cnt[2101][0]~82741_combout\);

-- Location: FF_X50_Y10_N29
\led_flash_cnt[2101][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2101][0]~82741_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2101][0]~q\);

-- Location: LCCOMB_X50_Y12_N0
\led_flash_cnt[2101][1]~56294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2101][1]~56294_combout\ = (\led_flash_cnt[2101][0]~q\ & (\led_flash_cnt[2101][1]~q\ $ (VCC))) # (!\led_flash_cnt[2101][0]~q\ & (\led_flash_cnt[2101][1]~q\ & VCC))
-- \led_flash_cnt[2101][1]~56295\ = CARRY((\led_flash_cnt[2101][0]~q\ & \led_flash_cnt[2101][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2101][0]~q\,
	datab => \led_flash_cnt[2101][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2101][1]~56294_combout\,
	cout => \led_flash_cnt[2101][1]~56295\);

-- Location: FF_X50_Y12_N1
\led_flash_cnt[2101][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2101][1]~56294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2101][1]~q\);

-- Location: LCCOMB_X50_Y12_N2
\led_flash_cnt[2101][2]~56296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2101][2]~56296_combout\ = (\led_flash_cnt[2101][2]~q\ & (!\led_flash_cnt[2101][1]~56295\)) # (!\led_flash_cnt[2101][2]~q\ & ((\led_flash_cnt[2101][1]~56295\) # (GND)))
-- \led_flash_cnt[2101][2]~56297\ = CARRY((!\led_flash_cnt[2101][1]~56295\) # (!\led_flash_cnt[2101][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2101][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2101][1]~56295\,
	combout => \led_flash_cnt[2101][2]~56296_combout\,
	cout => \led_flash_cnt[2101][2]~56297\);

-- Location: FF_X50_Y12_N3
\led_flash_cnt[2101][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2101][2]~56296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2101][2]~q\);

-- Location: LCCOMB_X50_Y12_N4
\led_flash_cnt[2101][3]~56298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2101][3]~56298_combout\ = (\led_flash_cnt[2101][3]~q\ & (\led_flash_cnt[2101][2]~56297\ $ (GND))) # (!\led_flash_cnt[2101][3]~q\ & (!\led_flash_cnt[2101][2]~56297\ & VCC))
-- \led_flash_cnt[2101][3]~56299\ = CARRY((\led_flash_cnt[2101][3]~q\ & !\led_flash_cnt[2101][2]~56297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2101][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2101][2]~56297\,
	combout => \led_flash_cnt[2101][3]~56298_combout\,
	cout => \led_flash_cnt[2101][3]~56299\);

-- Location: FF_X50_Y12_N5
\led_flash_cnt[2101][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2101][3]~56298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2101][3]~q\);

-- Location: LCCOMB_X50_Y12_N6
\led_flash_cnt[2101][4]~56300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2101][4]~56300_combout\ = (\led_flash_cnt[2101][4]~q\ & (!\led_flash_cnt[2101][3]~56299\)) # (!\led_flash_cnt[2101][4]~q\ & ((\led_flash_cnt[2101][3]~56299\) # (GND)))
-- \led_flash_cnt[2101][4]~56301\ = CARRY((!\led_flash_cnt[2101][3]~56299\) # (!\led_flash_cnt[2101][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2101][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2101][3]~56299\,
	combout => \led_flash_cnt[2101][4]~56300_combout\,
	cout => \led_flash_cnt[2101][4]~56301\);

-- Location: FF_X50_Y12_N7
\led_flash_cnt[2101][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2101][4]~56300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2101][4]~q\);

-- Location: LCCOMB_X50_Y12_N8
\led_flash_cnt[2101][5]~56302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2101][5]~56302_combout\ = (\led_flash_cnt[2101][5]~q\ & (\led_flash_cnt[2101][4]~56301\ $ (GND))) # (!\led_flash_cnt[2101][5]~q\ & (!\led_flash_cnt[2101][4]~56301\ & VCC))
-- \led_flash_cnt[2101][5]~56303\ = CARRY((\led_flash_cnt[2101][5]~q\ & !\led_flash_cnt[2101][4]~56301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2101][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2101][4]~56301\,
	combout => \led_flash_cnt[2101][5]~56302_combout\,
	cout => \led_flash_cnt[2101][5]~56303\);

-- Location: FF_X50_Y12_N9
\led_flash_cnt[2101][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2101][5]~56302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2101][5]~q\);

-- Location: LCCOMB_X50_Y12_N10
\led_flash_cnt[2101][6]~56304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2101][6]~56304_combout\ = (\led_flash_cnt[2101][6]~q\ & (!\led_flash_cnt[2101][5]~56303\)) # (!\led_flash_cnt[2101][6]~q\ & ((\led_flash_cnt[2101][5]~56303\) # (GND)))
-- \led_flash_cnt[2101][6]~56305\ = CARRY((!\led_flash_cnt[2101][5]~56303\) # (!\led_flash_cnt[2101][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2101][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2101][5]~56303\,
	combout => \led_flash_cnt[2101][6]~56304_combout\,
	cout => \led_flash_cnt[2101][6]~56305\);

-- Location: FF_X50_Y12_N11
\led_flash_cnt[2101][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2101][6]~56304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2101][6]~q\);

-- Location: LCCOMB_X50_Y10_N10
\WideAnd2101~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2101~1_combout\ = (\led_flash_cnt[2101][6]~q\ & \led_flash_cnt[2101][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2101][6]~q\,
	datad => \led_flash_cnt[2101][5]~q\,
	combout => \WideAnd2101~1_combout\);

-- Location: LCCOMB_X50_Y12_N12
\led_flash_cnt[2101][7]~56306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2101][7]~56306_combout\ = \led_flash_cnt[2101][6]~56305\ $ (!\led_flash_cnt[2101][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2101][7]~q\,
	cin => \led_flash_cnt[2101][6]~56305\,
	combout => \led_flash_cnt[2101][7]~56306_combout\);

-- Location: FF_X50_Y12_N13
\led_flash_cnt[2101][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2101][7]~56306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2101][7]~q\);

-- Location: LCCOMB_X50_Y12_N16
\WideAnd2101~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2101~0_combout\ = (\led_flash_cnt[2101][4]~q\ & (\led_flash_cnt[2101][1]~q\ & (\led_flash_cnt[2101][3]~q\ & \led_flash_cnt[2101][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2101][4]~q\,
	datab => \led_flash_cnt[2101][1]~q\,
	datac => \led_flash_cnt[2101][3]~q\,
	datad => \led_flash_cnt[2101][2]~q\,
	combout => \WideAnd2101~0_combout\);

-- Location: LCCOMB_X50_Y10_N8
WideAnd2101 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2101~combout\ = (\WideAnd2101~1_combout\ & (\led_flash_cnt[2101][7]~q\ & (\WideAnd2101~0_combout\ & \led_flash_cnt[2101][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2101~1_combout\,
	datab => \led_flash_cnt[2101][7]~q\,
	datac => \WideAnd2101~0_combout\,
	datad => \led_flash_cnt[2101][0]~q\,
	combout => \WideAnd2101~combout\);

-- Location: FF_X50_Y10_N9
\led_flash_cnt_ands[2101]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2101~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2101));

-- Location: LCCOMB_X50_Y10_N2
\led_flash_cnt[2100][0]~82740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2100][0]~82740_combout\ = !\led_flash_cnt[2100][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2100][0]~q\,
	combout => \led_flash_cnt[2100][0]~82740_combout\);

-- Location: FF_X50_Y10_N3
\led_flash_cnt[2100][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2100][0]~82740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2100][0]~q\);

-- Location: LCCOMB_X50_Y10_N12
\led_flash_cnt[2100][1]~56280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2100][1]~56280_combout\ = (\led_flash_cnt[2100][1]~q\ & (\led_flash_cnt[2100][0]~q\ $ (VCC))) # (!\led_flash_cnt[2100][1]~q\ & (\led_flash_cnt[2100][0]~q\ & VCC))
-- \led_flash_cnt[2100][1]~56281\ = CARRY((\led_flash_cnt[2100][1]~q\ & \led_flash_cnt[2100][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2100][1]~q\,
	datab => \led_flash_cnt[2100][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2100][1]~56280_combout\,
	cout => \led_flash_cnt[2100][1]~56281\);

-- Location: FF_X50_Y10_N13
\led_flash_cnt[2100][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2100][1]~56280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2100][1]~q\);

-- Location: LCCOMB_X50_Y10_N14
\led_flash_cnt[2100][2]~56282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2100][2]~56282_combout\ = (\led_flash_cnt[2100][2]~q\ & (!\led_flash_cnt[2100][1]~56281\)) # (!\led_flash_cnt[2100][2]~q\ & ((\led_flash_cnt[2100][1]~56281\) # (GND)))
-- \led_flash_cnt[2100][2]~56283\ = CARRY((!\led_flash_cnt[2100][1]~56281\) # (!\led_flash_cnt[2100][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2100][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2100][1]~56281\,
	combout => \led_flash_cnt[2100][2]~56282_combout\,
	cout => \led_flash_cnt[2100][2]~56283\);

-- Location: FF_X50_Y10_N15
\led_flash_cnt[2100][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2100][2]~56282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2100][2]~q\);

-- Location: LCCOMB_X50_Y10_N16
\led_flash_cnt[2100][3]~56284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2100][3]~56284_combout\ = (\led_flash_cnt[2100][3]~q\ & (\led_flash_cnt[2100][2]~56283\ $ (GND))) # (!\led_flash_cnt[2100][3]~q\ & (!\led_flash_cnt[2100][2]~56283\ & VCC))
-- \led_flash_cnt[2100][3]~56285\ = CARRY((\led_flash_cnt[2100][3]~q\ & !\led_flash_cnt[2100][2]~56283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2100][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2100][2]~56283\,
	combout => \led_flash_cnt[2100][3]~56284_combout\,
	cout => \led_flash_cnt[2100][3]~56285\);

-- Location: FF_X50_Y10_N17
\led_flash_cnt[2100][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2100][3]~56284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2100][3]~q\);

-- Location: LCCOMB_X50_Y10_N18
\led_flash_cnt[2100][4]~56286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2100][4]~56286_combout\ = (\led_flash_cnt[2100][4]~q\ & (!\led_flash_cnt[2100][3]~56285\)) # (!\led_flash_cnt[2100][4]~q\ & ((\led_flash_cnt[2100][3]~56285\) # (GND)))
-- \led_flash_cnt[2100][4]~56287\ = CARRY((!\led_flash_cnt[2100][3]~56285\) # (!\led_flash_cnt[2100][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2100][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2100][3]~56285\,
	combout => \led_flash_cnt[2100][4]~56286_combout\,
	cout => \led_flash_cnt[2100][4]~56287\);

-- Location: FF_X50_Y10_N19
\led_flash_cnt[2100][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2100][4]~56286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2100][4]~q\);

-- Location: LCCOMB_X50_Y10_N26
\WideAnd2100~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2100~0_combout\ = (\led_flash_cnt[2100][4]~q\ & (\led_flash_cnt[2100][3]~q\ & (\led_flash_cnt[2100][2]~q\ & \led_flash_cnt[2100][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2100][4]~q\,
	datab => \led_flash_cnt[2100][3]~q\,
	datac => \led_flash_cnt[2100][2]~q\,
	datad => \led_flash_cnt[2100][1]~q\,
	combout => \WideAnd2100~0_combout\);

-- Location: LCCOMB_X50_Y10_N20
\led_flash_cnt[2100][5]~56288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2100][5]~56288_combout\ = (\led_flash_cnt[2100][5]~q\ & (\led_flash_cnt[2100][4]~56287\ $ (GND))) # (!\led_flash_cnt[2100][5]~q\ & (!\led_flash_cnt[2100][4]~56287\ & VCC))
-- \led_flash_cnt[2100][5]~56289\ = CARRY((\led_flash_cnt[2100][5]~q\ & !\led_flash_cnt[2100][4]~56287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2100][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2100][4]~56287\,
	combout => \led_flash_cnt[2100][5]~56288_combout\,
	cout => \led_flash_cnt[2100][5]~56289\);

-- Location: FF_X50_Y10_N21
\led_flash_cnt[2100][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2100][5]~56288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2100][5]~q\);

-- Location: LCCOMB_X50_Y10_N22
\led_flash_cnt[2100][6]~56290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2100][6]~56290_combout\ = (\led_flash_cnt[2100][6]~q\ & (!\led_flash_cnt[2100][5]~56289\)) # (!\led_flash_cnt[2100][6]~q\ & ((\led_flash_cnt[2100][5]~56289\) # (GND)))
-- \led_flash_cnt[2100][6]~56291\ = CARRY((!\led_flash_cnt[2100][5]~56289\) # (!\led_flash_cnt[2100][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2100][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2100][5]~56289\,
	combout => \led_flash_cnt[2100][6]~56290_combout\,
	cout => \led_flash_cnt[2100][6]~56291\);

-- Location: FF_X50_Y10_N23
\led_flash_cnt[2100][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2100][6]~56290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2100][6]~q\);

-- Location: LCCOMB_X50_Y10_N4
\WideAnd2100~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2100~1_combout\ = (\led_flash_cnt[2100][6]~q\ & \led_flash_cnt[2100][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2100][6]~q\,
	datad => \led_flash_cnt[2100][5]~q\,
	combout => \WideAnd2100~1_combout\);

-- Location: LCCOMB_X50_Y10_N24
\led_flash_cnt[2100][7]~56292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2100][7]~56292_combout\ = \led_flash_cnt[2100][6]~56291\ $ (!\led_flash_cnt[2100][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2100][7]~q\,
	cin => \led_flash_cnt[2100][6]~56291\,
	combout => \led_flash_cnt[2100][7]~56292_combout\);

-- Location: FF_X50_Y10_N25
\led_flash_cnt[2100][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2100][7]~56292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2100][7]~q\);

-- Location: LCCOMB_X50_Y10_N6
WideAnd2100 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2100~combout\ = (\WideAnd2100~0_combout\ & (\led_flash_cnt[2100][0]~q\ & (\WideAnd2100~1_combout\ & \led_flash_cnt[2100][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2100~0_combout\,
	datab => \led_flash_cnt[2100][0]~q\,
	datac => \WideAnd2100~1_combout\,
	datad => \led_flash_cnt[2100][7]~q\,
	combout => \WideAnd2100~combout\);

-- Location: FF_X50_Y10_N7
\led_flash_cnt_ands[2100]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2100~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2100));

-- Location: LCCOMB_X50_Y10_N30
\WideAnd4102~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4102~1_combout\ = (led_flash_cnt_ands(2101) & led_flash_cnt_ands(2100))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2101),
	datad => led_flash_cnt_ands(2100),
	combout => \WideAnd4102~1_combout\);

-- Location: LCCOMB_X54_Y9_N24
\led_flash_cnt[2102][0]~82742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2102][0]~82742_combout\ = !\led_flash_cnt[2102][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2102][0]~q\,
	combout => \led_flash_cnt[2102][0]~82742_combout\);

-- Location: FF_X54_Y9_N25
\led_flash_cnt[2102][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2102][0]~82742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2102][0]~q\);

-- Location: LCCOMB_X54_Y9_N6
\led_flash_cnt[2102][1]~56308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2102][1]~56308_combout\ = (\led_flash_cnt[2102][1]~q\ & (\led_flash_cnt[2102][0]~q\ $ (VCC))) # (!\led_flash_cnt[2102][1]~q\ & (\led_flash_cnt[2102][0]~q\ & VCC))
-- \led_flash_cnt[2102][1]~56309\ = CARRY((\led_flash_cnt[2102][1]~q\ & \led_flash_cnt[2102][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2102][1]~q\,
	datab => \led_flash_cnt[2102][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2102][1]~56308_combout\,
	cout => \led_flash_cnt[2102][1]~56309\);

-- Location: FF_X54_Y9_N7
\led_flash_cnt[2102][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2102][1]~56308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2102][1]~q\);

-- Location: LCCOMB_X54_Y9_N8
\led_flash_cnt[2102][2]~56310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2102][2]~56310_combout\ = (\led_flash_cnt[2102][2]~q\ & (!\led_flash_cnt[2102][1]~56309\)) # (!\led_flash_cnt[2102][2]~q\ & ((\led_flash_cnt[2102][1]~56309\) # (GND)))
-- \led_flash_cnt[2102][2]~56311\ = CARRY((!\led_flash_cnt[2102][1]~56309\) # (!\led_flash_cnt[2102][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2102][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2102][1]~56309\,
	combout => \led_flash_cnt[2102][2]~56310_combout\,
	cout => \led_flash_cnt[2102][2]~56311\);

-- Location: FF_X54_Y9_N9
\led_flash_cnt[2102][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2102][2]~56310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2102][2]~q\);

-- Location: LCCOMB_X54_Y9_N10
\led_flash_cnt[2102][3]~56312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2102][3]~56312_combout\ = (\led_flash_cnt[2102][3]~q\ & (\led_flash_cnt[2102][2]~56311\ $ (GND))) # (!\led_flash_cnt[2102][3]~q\ & (!\led_flash_cnt[2102][2]~56311\ & VCC))
-- \led_flash_cnt[2102][3]~56313\ = CARRY((\led_flash_cnt[2102][3]~q\ & !\led_flash_cnt[2102][2]~56311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2102][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2102][2]~56311\,
	combout => \led_flash_cnt[2102][3]~56312_combout\,
	cout => \led_flash_cnt[2102][3]~56313\);

-- Location: FF_X54_Y9_N11
\led_flash_cnt[2102][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2102][3]~56312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2102][3]~q\);

-- Location: LCCOMB_X54_Y9_N12
\led_flash_cnt[2102][4]~56314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2102][4]~56314_combout\ = (\led_flash_cnt[2102][4]~q\ & (!\led_flash_cnt[2102][3]~56313\)) # (!\led_flash_cnt[2102][4]~q\ & ((\led_flash_cnt[2102][3]~56313\) # (GND)))
-- \led_flash_cnt[2102][4]~56315\ = CARRY((!\led_flash_cnt[2102][3]~56313\) # (!\led_flash_cnt[2102][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2102][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2102][3]~56313\,
	combout => \led_flash_cnt[2102][4]~56314_combout\,
	cout => \led_flash_cnt[2102][4]~56315\);

-- Location: FF_X54_Y9_N13
\led_flash_cnt[2102][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2102][4]~56314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2102][4]~q\);

-- Location: LCCOMB_X54_Y9_N26
\WideAnd2102~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2102~0_combout\ = (\led_flash_cnt[2102][4]~q\ & (\led_flash_cnt[2102][1]~q\ & (\led_flash_cnt[2102][2]~q\ & \led_flash_cnt[2102][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2102][4]~q\,
	datab => \led_flash_cnt[2102][1]~q\,
	datac => \led_flash_cnt[2102][2]~q\,
	datad => \led_flash_cnt[2102][3]~q\,
	combout => \WideAnd2102~0_combout\);

-- Location: LCCOMB_X54_Y9_N14
\led_flash_cnt[2102][5]~56316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2102][5]~56316_combout\ = (\led_flash_cnt[2102][5]~q\ & (\led_flash_cnt[2102][4]~56315\ $ (GND))) # (!\led_flash_cnt[2102][5]~q\ & (!\led_flash_cnt[2102][4]~56315\ & VCC))
-- \led_flash_cnt[2102][5]~56317\ = CARRY((\led_flash_cnt[2102][5]~q\ & !\led_flash_cnt[2102][4]~56315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2102][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2102][4]~56315\,
	combout => \led_flash_cnt[2102][5]~56316_combout\,
	cout => \led_flash_cnt[2102][5]~56317\);

-- Location: FF_X54_Y9_N15
\led_flash_cnt[2102][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2102][5]~56316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2102][5]~q\);

-- Location: LCCOMB_X54_Y9_N16
\led_flash_cnt[2102][6]~56318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2102][6]~56318_combout\ = (\led_flash_cnt[2102][6]~q\ & (!\led_flash_cnt[2102][5]~56317\)) # (!\led_flash_cnt[2102][6]~q\ & ((\led_flash_cnt[2102][5]~56317\) # (GND)))
-- \led_flash_cnt[2102][6]~56319\ = CARRY((!\led_flash_cnt[2102][5]~56317\) # (!\led_flash_cnt[2102][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2102][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2102][5]~56317\,
	combout => \led_flash_cnt[2102][6]~56318_combout\,
	cout => \led_flash_cnt[2102][6]~56319\);

-- Location: FF_X54_Y9_N17
\led_flash_cnt[2102][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2102][6]~56318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2102][6]~q\);

-- Location: LCCOMB_X54_Y9_N18
\led_flash_cnt[2102][7]~56320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2102][7]~56320_combout\ = \led_flash_cnt[2102][6]~56319\ $ (!\led_flash_cnt[2102][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2102][7]~q\,
	cin => \led_flash_cnt[2102][6]~56319\,
	combout => \led_flash_cnt[2102][7]~56320_combout\);

-- Location: FF_X54_Y9_N19
\led_flash_cnt[2102][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2102][7]~56320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2102][7]~q\);

-- Location: LCCOMB_X54_Y9_N30
\WideAnd2102~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2102~1_combout\ = (\led_flash_cnt[2102][5]~q\ & \led_flash_cnt[2102][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2102][5]~q\,
	datad => \led_flash_cnt[2102][6]~q\,
	combout => \WideAnd2102~1_combout\);

-- Location: LCCOMB_X54_Y9_N20
WideAnd2102 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2102~combout\ = (\WideAnd2102~0_combout\ & (\led_flash_cnt[2102][7]~q\ & (\WideAnd2102~1_combout\ & \led_flash_cnt[2102][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2102~0_combout\,
	datab => \led_flash_cnt[2102][7]~q\,
	datac => \WideAnd2102~1_combout\,
	datad => \led_flash_cnt[2102][0]~q\,
	combout => \WideAnd2102~combout\);

-- Location: FF_X54_Y9_N21
\led_flash_cnt_ands[2102]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2102~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2102));

-- Location: LCCOMB_X54_Y9_N28
\led_flash_cnt[2103][0]~82743\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2103][0]~82743_combout\ = !\led_flash_cnt[2103][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2103][0]~q\,
	combout => \led_flash_cnt[2103][0]~82743_combout\);

-- Location: FF_X54_Y9_N29
\led_flash_cnt[2103][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2103][0]~82743_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2103][0]~q\);

-- Location: LCCOMB_X55_Y9_N16
\led_flash_cnt[2103][1]~56322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2103][1]~56322_combout\ = (\led_flash_cnt[2103][0]~q\ & (\led_flash_cnt[2103][1]~q\ $ (VCC))) # (!\led_flash_cnt[2103][0]~q\ & (\led_flash_cnt[2103][1]~q\ & VCC))
-- \led_flash_cnt[2103][1]~56323\ = CARRY((\led_flash_cnt[2103][0]~q\ & \led_flash_cnt[2103][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2103][0]~q\,
	datab => \led_flash_cnt[2103][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2103][1]~56322_combout\,
	cout => \led_flash_cnt[2103][1]~56323\);

-- Location: FF_X55_Y9_N17
\led_flash_cnt[2103][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2103][1]~56322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2103][1]~q\);

-- Location: LCCOMB_X55_Y9_N18
\led_flash_cnt[2103][2]~56324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2103][2]~56324_combout\ = (\led_flash_cnt[2103][2]~q\ & (!\led_flash_cnt[2103][1]~56323\)) # (!\led_flash_cnt[2103][2]~q\ & ((\led_flash_cnt[2103][1]~56323\) # (GND)))
-- \led_flash_cnt[2103][2]~56325\ = CARRY((!\led_flash_cnt[2103][1]~56323\) # (!\led_flash_cnt[2103][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2103][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2103][1]~56323\,
	combout => \led_flash_cnt[2103][2]~56324_combout\,
	cout => \led_flash_cnt[2103][2]~56325\);

-- Location: FF_X55_Y9_N19
\led_flash_cnt[2103][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2103][2]~56324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2103][2]~q\);

-- Location: LCCOMB_X55_Y9_N20
\led_flash_cnt[2103][3]~56326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2103][3]~56326_combout\ = (\led_flash_cnt[2103][3]~q\ & (\led_flash_cnt[2103][2]~56325\ $ (GND))) # (!\led_flash_cnt[2103][3]~q\ & (!\led_flash_cnt[2103][2]~56325\ & VCC))
-- \led_flash_cnt[2103][3]~56327\ = CARRY((\led_flash_cnt[2103][3]~q\ & !\led_flash_cnt[2103][2]~56325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2103][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2103][2]~56325\,
	combout => \led_flash_cnt[2103][3]~56326_combout\,
	cout => \led_flash_cnt[2103][3]~56327\);

-- Location: FF_X55_Y9_N21
\led_flash_cnt[2103][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2103][3]~56326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2103][3]~q\);

-- Location: LCCOMB_X55_Y9_N22
\led_flash_cnt[2103][4]~56328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2103][4]~56328_combout\ = (\led_flash_cnt[2103][4]~q\ & (!\led_flash_cnt[2103][3]~56327\)) # (!\led_flash_cnt[2103][4]~q\ & ((\led_flash_cnt[2103][3]~56327\) # (GND)))
-- \led_flash_cnt[2103][4]~56329\ = CARRY((!\led_flash_cnt[2103][3]~56327\) # (!\led_flash_cnt[2103][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2103][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2103][3]~56327\,
	combout => \led_flash_cnt[2103][4]~56328_combout\,
	cout => \led_flash_cnt[2103][4]~56329\);

-- Location: FF_X55_Y9_N23
\led_flash_cnt[2103][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2103][4]~56328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2103][4]~q\);

-- Location: LCCOMB_X55_Y9_N30
\WideAnd2103~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2103~0_combout\ = (\led_flash_cnt[2103][1]~q\ & (\led_flash_cnt[2103][3]~q\ & (\led_flash_cnt[2103][4]~q\ & \led_flash_cnt[2103][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2103][1]~q\,
	datab => \led_flash_cnt[2103][3]~q\,
	datac => \led_flash_cnt[2103][4]~q\,
	datad => \led_flash_cnt[2103][2]~q\,
	combout => \WideAnd2103~0_combout\);

-- Location: LCCOMB_X55_Y9_N24
\led_flash_cnt[2103][5]~56330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2103][5]~56330_combout\ = (\led_flash_cnt[2103][5]~q\ & (\led_flash_cnt[2103][4]~56329\ $ (GND))) # (!\led_flash_cnt[2103][5]~q\ & (!\led_flash_cnt[2103][4]~56329\ & VCC))
-- \led_flash_cnt[2103][5]~56331\ = CARRY((\led_flash_cnt[2103][5]~q\ & !\led_flash_cnt[2103][4]~56329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2103][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2103][4]~56329\,
	combout => \led_flash_cnt[2103][5]~56330_combout\,
	cout => \led_flash_cnt[2103][5]~56331\);

-- Location: FF_X55_Y9_N25
\led_flash_cnt[2103][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2103][5]~56330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2103][5]~q\);

-- Location: LCCOMB_X55_Y9_N26
\led_flash_cnt[2103][6]~56332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2103][6]~56332_combout\ = (\led_flash_cnt[2103][6]~q\ & (!\led_flash_cnt[2103][5]~56331\)) # (!\led_flash_cnt[2103][6]~q\ & ((\led_flash_cnt[2103][5]~56331\) # (GND)))
-- \led_flash_cnt[2103][6]~56333\ = CARRY((!\led_flash_cnt[2103][5]~56331\) # (!\led_flash_cnt[2103][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2103][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2103][5]~56331\,
	combout => \led_flash_cnt[2103][6]~56332_combout\,
	cout => \led_flash_cnt[2103][6]~56333\);

-- Location: FF_X55_Y9_N27
\led_flash_cnt[2103][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2103][6]~56332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2103][6]~q\);

-- Location: LCCOMB_X54_Y9_N22
\WideAnd2103~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2103~1_combout\ = (\led_flash_cnt[2103][6]~q\ & \led_flash_cnt[2103][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2103][6]~q\,
	datad => \led_flash_cnt[2103][5]~q\,
	combout => \WideAnd2103~1_combout\);

-- Location: LCCOMB_X55_Y9_N28
\led_flash_cnt[2103][7]~56334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2103][7]~56334_combout\ = \led_flash_cnt[2103][6]~56333\ $ (!\led_flash_cnt[2103][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2103][7]~q\,
	cin => \led_flash_cnt[2103][6]~56333\,
	combout => \led_flash_cnt[2103][7]~56334_combout\);

-- Location: FF_X55_Y9_N29
\led_flash_cnt[2103][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2103][7]~56334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2103][7]~q\);

-- Location: LCCOMB_X54_Y9_N4
WideAnd2103 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2103~combout\ = (\WideAnd2103~0_combout\ & (\led_flash_cnt[2103][0]~q\ & (\WideAnd2103~1_combout\ & \led_flash_cnt[2103][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2103~0_combout\,
	datab => \led_flash_cnt[2103][0]~q\,
	datac => \WideAnd2103~1_combout\,
	datad => \led_flash_cnt[2103][7]~q\,
	combout => \WideAnd2103~combout\);

-- Location: FF_X54_Y9_N5
\led_flash_cnt_ands[2103]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2103~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2103));

-- Location: LCCOMB_X77_Y7_N12
\led_flash_cnt[2099][0]~82739\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2099][0]~82739_combout\ = !\led_flash_cnt[2099][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2099][0]~q\,
	combout => \led_flash_cnt[2099][0]~82739_combout\);

-- Location: FF_X77_Y7_N13
\led_flash_cnt[2099][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2099][0]~82739_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2099][0]~q\);

-- Location: LCCOMB_X77_Y7_N18
\led_flash_cnt[2099][1]~56266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2099][1]~56266_combout\ = (\led_flash_cnt[2099][0]~q\ & (\led_flash_cnt[2099][1]~q\ $ (VCC))) # (!\led_flash_cnt[2099][0]~q\ & (\led_flash_cnt[2099][1]~q\ & VCC))
-- \led_flash_cnt[2099][1]~56267\ = CARRY((\led_flash_cnt[2099][0]~q\ & \led_flash_cnt[2099][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2099][0]~q\,
	datab => \led_flash_cnt[2099][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2099][1]~56266_combout\,
	cout => \led_flash_cnt[2099][1]~56267\);

-- Location: FF_X77_Y7_N19
\led_flash_cnt[2099][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2099][1]~56266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2099][1]~q\);

-- Location: LCCOMB_X77_Y7_N20
\led_flash_cnt[2099][2]~56268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2099][2]~56268_combout\ = (\led_flash_cnt[2099][2]~q\ & (!\led_flash_cnt[2099][1]~56267\)) # (!\led_flash_cnt[2099][2]~q\ & ((\led_flash_cnt[2099][1]~56267\) # (GND)))
-- \led_flash_cnt[2099][2]~56269\ = CARRY((!\led_flash_cnt[2099][1]~56267\) # (!\led_flash_cnt[2099][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2099][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2099][1]~56267\,
	combout => \led_flash_cnt[2099][2]~56268_combout\,
	cout => \led_flash_cnt[2099][2]~56269\);

-- Location: FF_X77_Y7_N21
\led_flash_cnt[2099][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2099][2]~56268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2099][2]~q\);

-- Location: LCCOMB_X77_Y7_N22
\led_flash_cnt[2099][3]~56270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2099][3]~56270_combout\ = (\led_flash_cnt[2099][3]~q\ & (\led_flash_cnt[2099][2]~56269\ $ (GND))) # (!\led_flash_cnt[2099][3]~q\ & (!\led_flash_cnt[2099][2]~56269\ & VCC))
-- \led_flash_cnt[2099][3]~56271\ = CARRY((\led_flash_cnt[2099][3]~q\ & !\led_flash_cnt[2099][2]~56269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2099][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2099][2]~56269\,
	combout => \led_flash_cnt[2099][3]~56270_combout\,
	cout => \led_flash_cnt[2099][3]~56271\);

-- Location: FF_X77_Y7_N23
\led_flash_cnt[2099][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2099][3]~56270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2099][3]~q\);

-- Location: LCCOMB_X77_Y7_N24
\led_flash_cnt[2099][4]~56272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2099][4]~56272_combout\ = (\led_flash_cnt[2099][4]~q\ & (!\led_flash_cnt[2099][3]~56271\)) # (!\led_flash_cnt[2099][4]~q\ & ((\led_flash_cnt[2099][3]~56271\) # (GND)))
-- \led_flash_cnt[2099][4]~56273\ = CARRY((!\led_flash_cnt[2099][3]~56271\) # (!\led_flash_cnt[2099][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2099][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2099][3]~56271\,
	combout => \led_flash_cnt[2099][4]~56272_combout\,
	cout => \led_flash_cnt[2099][4]~56273\);

-- Location: FF_X77_Y7_N25
\led_flash_cnt[2099][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2099][4]~56272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2099][4]~q\);

-- Location: LCCOMB_X77_Y7_N26
\led_flash_cnt[2099][5]~56274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2099][5]~56274_combout\ = (\led_flash_cnt[2099][5]~q\ & (\led_flash_cnt[2099][4]~56273\ $ (GND))) # (!\led_flash_cnt[2099][5]~q\ & (!\led_flash_cnt[2099][4]~56273\ & VCC))
-- \led_flash_cnt[2099][5]~56275\ = CARRY((\led_flash_cnt[2099][5]~q\ & !\led_flash_cnt[2099][4]~56273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2099][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2099][4]~56273\,
	combout => \led_flash_cnt[2099][5]~56274_combout\,
	cout => \led_flash_cnt[2099][5]~56275\);

-- Location: FF_X77_Y7_N27
\led_flash_cnt[2099][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2099][5]~56274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2099][5]~q\);

-- Location: LCCOMB_X77_Y7_N28
\led_flash_cnt[2099][6]~56276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2099][6]~56276_combout\ = (\led_flash_cnt[2099][6]~q\ & (!\led_flash_cnt[2099][5]~56275\)) # (!\led_flash_cnt[2099][6]~q\ & ((\led_flash_cnt[2099][5]~56275\) # (GND)))
-- \led_flash_cnt[2099][6]~56277\ = CARRY((!\led_flash_cnt[2099][5]~56275\) # (!\led_flash_cnt[2099][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2099][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2099][5]~56275\,
	combout => \led_flash_cnt[2099][6]~56276_combout\,
	cout => \led_flash_cnt[2099][6]~56277\);

-- Location: FF_X77_Y7_N29
\led_flash_cnt[2099][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2099][6]~56276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2099][6]~q\);

-- Location: LCCOMB_X77_Y7_N30
\led_flash_cnt[2099][7]~56278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2099][7]~56278_combout\ = \led_flash_cnt[2099][7]~q\ $ (!\led_flash_cnt[2099][6]~56277\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2099][7]~q\,
	cin => \led_flash_cnt[2099][6]~56277\,
	combout => \led_flash_cnt[2099][7]~56278_combout\);

-- Location: FF_X77_Y7_N31
\led_flash_cnt[2099][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2099][7]~56278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2099][7]~q\);

-- Location: LCCOMB_X77_Y7_N4
\WideAnd2099~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2099~1_combout\ = (\led_flash_cnt[2099][5]~q\ & \led_flash_cnt[2099][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2099][5]~q\,
	datad => \led_flash_cnt[2099][6]~q\,
	combout => \WideAnd2099~1_combout\);

-- Location: LCCOMB_X77_Y7_N14
\WideAnd2099~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2099~0_combout\ = (\led_flash_cnt[2099][1]~q\ & (\led_flash_cnt[2099][2]~q\ & (\led_flash_cnt[2099][3]~q\ & \led_flash_cnt[2099][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2099][1]~q\,
	datab => \led_flash_cnt[2099][2]~q\,
	datac => \led_flash_cnt[2099][3]~q\,
	datad => \led_flash_cnt[2099][4]~q\,
	combout => \WideAnd2099~0_combout\);

-- Location: LCCOMB_X77_Y7_N10
WideAnd2099 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2099~combout\ = (\led_flash_cnt[2099][7]~q\ & (\WideAnd2099~1_combout\ & (\WideAnd2099~0_combout\ & \led_flash_cnt[2099][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2099][7]~q\,
	datab => \WideAnd2099~1_combout\,
	datac => \WideAnd2099~0_combout\,
	datad => \led_flash_cnt[2099][0]~q\,
	combout => \WideAnd2099~combout\);

-- Location: FF_X77_Y7_N11
\led_flash_cnt_ands[2099]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2099~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2099));

-- Location: LCCOMB_X77_Y6_N18
\led_flash_cnt[2096][0]~82736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2096][0]~82736_combout\ = !\led_flash_cnt[2096][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2096][0]~q\,
	combout => \led_flash_cnt[2096][0]~82736_combout\);

-- Location: FF_X77_Y6_N19
\led_flash_cnt[2096][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2096][0]~82736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2096][0]~q\);

-- Location: LCCOMB_X77_Y6_N0
\led_flash_cnt[2096][1]~56224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2096][1]~56224_combout\ = (\led_flash_cnt[2096][1]~q\ & (\led_flash_cnt[2096][0]~q\ $ (VCC))) # (!\led_flash_cnt[2096][1]~q\ & (\led_flash_cnt[2096][0]~q\ & VCC))
-- \led_flash_cnt[2096][1]~56225\ = CARRY((\led_flash_cnt[2096][1]~q\ & \led_flash_cnt[2096][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2096][1]~q\,
	datab => \led_flash_cnt[2096][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2096][1]~56224_combout\,
	cout => \led_flash_cnt[2096][1]~56225\);

-- Location: FF_X77_Y6_N1
\led_flash_cnt[2096][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2096][1]~56224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2096][1]~q\);

-- Location: LCCOMB_X77_Y6_N2
\led_flash_cnt[2096][2]~56226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2096][2]~56226_combout\ = (\led_flash_cnt[2096][2]~q\ & (!\led_flash_cnt[2096][1]~56225\)) # (!\led_flash_cnt[2096][2]~q\ & ((\led_flash_cnt[2096][1]~56225\) # (GND)))
-- \led_flash_cnt[2096][2]~56227\ = CARRY((!\led_flash_cnt[2096][1]~56225\) # (!\led_flash_cnt[2096][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2096][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2096][1]~56225\,
	combout => \led_flash_cnt[2096][2]~56226_combout\,
	cout => \led_flash_cnt[2096][2]~56227\);

-- Location: FF_X77_Y6_N3
\led_flash_cnt[2096][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2096][2]~56226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2096][2]~q\);

-- Location: LCCOMB_X77_Y6_N4
\led_flash_cnt[2096][3]~56228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2096][3]~56228_combout\ = (\led_flash_cnt[2096][3]~q\ & (\led_flash_cnt[2096][2]~56227\ $ (GND))) # (!\led_flash_cnt[2096][3]~q\ & (!\led_flash_cnt[2096][2]~56227\ & VCC))
-- \led_flash_cnt[2096][3]~56229\ = CARRY((\led_flash_cnt[2096][3]~q\ & !\led_flash_cnt[2096][2]~56227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2096][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2096][2]~56227\,
	combout => \led_flash_cnt[2096][3]~56228_combout\,
	cout => \led_flash_cnt[2096][3]~56229\);

-- Location: FF_X77_Y6_N5
\led_flash_cnt[2096][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2096][3]~56228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2096][3]~q\);

-- Location: LCCOMB_X77_Y6_N6
\led_flash_cnt[2096][4]~56230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2096][4]~56230_combout\ = (\led_flash_cnt[2096][4]~q\ & (!\led_flash_cnt[2096][3]~56229\)) # (!\led_flash_cnt[2096][4]~q\ & ((\led_flash_cnt[2096][3]~56229\) # (GND)))
-- \led_flash_cnt[2096][4]~56231\ = CARRY((!\led_flash_cnt[2096][3]~56229\) # (!\led_flash_cnt[2096][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2096][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2096][3]~56229\,
	combout => \led_flash_cnt[2096][4]~56230_combout\,
	cout => \led_flash_cnt[2096][4]~56231\);

-- Location: FF_X77_Y6_N7
\led_flash_cnt[2096][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2096][4]~56230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2096][4]~q\);

-- Location: LCCOMB_X77_Y6_N26
\WideAnd2096~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2096~0_combout\ = (\led_flash_cnt[2096][4]~q\ & (\led_flash_cnt[2096][1]~q\ & (\led_flash_cnt[2096][3]~q\ & \led_flash_cnt[2096][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2096][4]~q\,
	datab => \led_flash_cnt[2096][1]~q\,
	datac => \led_flash_cnt[2096][3]~q\,
	datad => \led_flash_cnt[2096][2]~q\,
	combout => \WideAnd2096~0_combout\);

-- Location: LCCOMB_X77_Y6_N8
\led_flash_cnt[2096][5]~56232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2096][5]~56232_combout\ = (\led_flash_cnt[2096][5]~q\ & (\led_flash_cnt[2096][4]~56231\ $ (GND))) # (!\led_flash_cnt[2096][5]~q\ & (!\led_flash_cnt[2096][4]~56231\ & VCC))
-- \led_flash_cnt[2096][5]~56233\ = CARRY((\led_flash_cnt[2096][5]~q\ & !\led_flash_cnt[2096][4]~56231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2096][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2096][4]~56231\,
	combout => \led_flash_cnt[2096][5]~56232_combout\,
	cout => \led_flash_cnt[2096][5]~56233\);

-- Location: FF_X77_Y6_N9
\led_flash_cnt[2096][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2096][5]~56232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2096][5]~q\);

-- Location: LCCOMB_X77_Y6_N10
\led_flash_cnt[2096][6]~56234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2096][6]~56234_combout\ = (\led_flash_cnt[2096][6]~q\ & (!\led_flash_cnt[2096][5]~56233\)) # (!\led_flash_cnt[2096][6]~q\ & ((\led_flash_cnt[2096][5]~56233\) # (GND)))
-- \led_flash_cnt[2096][6]~56235\ = CARRY((!\led_flash_cnt[2096][5]~56233\) # (!\led_flash_cnt[2096][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2096][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2096][5]~56233\,
	combout => \led_flash_cnt[2096][6]~56234_combout\,
	cout => \led_flash_cnt[2096][6]~56235\);

-- Location: FF_X77_Y6_N11
\led_flash_cnt[2096][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2096][6]~56234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2096][6]~q\);

-- Location: LCCOMB_X77_Y6_N22
\WideAnd2096~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2096~1_combout\ = (\led_flash_cnt[2096][5]~q\ & \led_flash_cnt[2096][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2096][5]~q\,
	datad => \led_flash_cnt[2096][6]~q\,
	combout => \WideAnd2096~1_combout\);

-- Location: LCCOMB_X77_Y6_N12
\led_flash_cnt[2096][7]~56236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2096][7]~56236_combout\ = \led_flash_cnt[2096][6]~56235\ $ (!\led_flash_cnt[2096][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2096][7]~q\,
	cin => \led_flash_cnt[2096][6]~56235\,
	combout => \led_flash_cnt[2096][7]~56236_combout\);

-- Location: FF_X77_Y6_N13
\led_flash_cnt[2096][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2096][7]~56236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2096][7]~q\);

-- Location: LCCOMB_X77_Y6_N24
WideAnd2096 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2096~combout\ = (\WideAnd2096~0_combout\ & (\led_flash_cnt[2096][0]~q\ & (\WideAnd2096~1_combout\ & \led_flash_cnt[2096][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2096~0_combout\,
	datab => \led_flash_cnt[2096][0]~q\,
	datac => \WideAnd2096~1_combout\,
	datad => \led_flash_cnt[2096][7]~q\,
	combout => \WideAnd2096~combout\);

-- Location: FF_X77_Y6_N25
\led_flash_cnt_ands[2096]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2096~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2096));

-- Location: LCCOMB_X77_Y5_N10
\led_flash_cnt[2098][0]~82738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2098][0]~82738_combout\ = !\led_flash_cnt[2098][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2098][0]~q\,
	combout => \led_flash_cnt[2098][0]~82738_combout\);

-- Location: FF_X77_Y5_N11
\led_flash_cnt[2098][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2098][0]~82738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2098][0]~q\);

-- Location: LCCOMB_X77_Y5_N16
\led_flash_cnt[2098][1]~56252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2098][1]~56252_combout\ = (\led_flash_cnt[2098][0]~q\ & (\led_flash_cnt[2098][1]~q\ $ (VCC))) # (!\led_flash_cnt[2098][0]~q\ & (\led_flash_cnt[2098][1]~q\ & VCC))
-- \led_flash_cnt[2098][1]~56253\ = CARRY((\led_flash_cnt[2098][0]~q\ & \led_flash_cnt[2098][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2098][0]~q\,
	datab => \led_flash_cnt[2098][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2098][1]~56252_combout\,
	cout => \led_flash_cnt[2098][1]~56253\);

-- Location: FF_X77_Y5_N17
\led_flash_cnt[2098][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2098][1]~56252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2098][1]~q\);

-- Location: LCCOMB_X77_Y5_N18
\led_flash_cnt[2098][2]~56254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2098][2]~56254_combout\ = (\led_flash_cnt[2098][2]~q\ & (!\led_flash_cnt[2098][1]~56253\)) # (!\led_flash_cnt[2098][2]~q\ & ((\led_flash_cnt[2098][1]~56253\) # (GND)))
-- \led_flash_cnt[2098][2]~56255\ = CARRY((!\led_flash_cnt[2098][1]~56253\) # (!\led_flash_cnt[2098][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2098][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2098][1]~56253\,
	combout => \led_flash_cnt[2098][2]~56254_combout\,
	cout => \led_flash_cnt[2098][2]~56255\);

-- Location: FF_X77_Y5_N19
\led_flash_cnt[2098][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2098][2]~56254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2098][2]~q\);

-- Location: LCCOMB_X77_Y5_N20
\led_flash_cnt[2098][3]~56256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2098][3]~56256_combout\ = (\led_flash_cnt[2098][3]~q\ & (\led_flash_cnt[2098][2]~56255\ $ (GND))) # (!\led_flash_cnt[2098][3]~q\ & (!\led_flash_cnt[2098][2]~56255\ & VCC))
-- \led_flash_cnt[2098][3]~56257\ = CARRY((\led_flash_cnt[2098][3]~q\ & !\led_flash_cnt[2098][2]~56255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2098][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2098][2]~56255\,
	combout => \led_flash_cnt[2098][3]~56256_combout\,
	cout => \led_flash_cnt[2098][3]~56257\);

-- Location: FF_X77_Y5_N21
\led_flash_cnt[2098][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2098][3]~56256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2098][3]~q\);

-- Location: LCCOMB_X77_Y5_N22
\led_flash_cnt[2098][4]~56258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2098][4]~56258_combout\ = (\led_flash_cnt[2098][4]~q\ & (!\led_flash_cnt[2098][3]~56257\)) # (!\led_flash_cnt[2098][4]~q\ & ((\led_flash_cnt[2098][3]~56257\) # (GND)))
-- \led_flash_cnt[2098][4]~56259\ = CARRY((!\led_flash_cnt[2098][3]~56257\) # (!\led_flash_cnt[2098][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2098][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2098][3]~56257\,
	combout => \led_flash_cnt[2098][4]~56258_combout\,
	cout => \led_flash_cnt[2098][4]~56259\);

-- Location: FF_X77_Y5_N23
\led_flash_cnt[2098][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2098][4]~56258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2098][4]~q\);

-- Location: LCCOMB_X77_Y5_N24
\led_flash_cnt[2098][5]~56260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2098][5]~56260_combout\ = (\led_flash_cnt[2098][5]~q\ & (\led_flash_cnt[2098][4]~56259\ $ (GND))) # (!\led_flash_cnt[2098][5]~q\ & (!\led_flash_cnt[2098][4]~56259\ & VCC))
-- \led_flash_cnt[2098][5]~56261\ = CARRY((\led_flash_cnt[2098][5]~q\ & !\led_flash_cnt[2098][4]~56259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2098][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2098][4]~56259\,
	combout => \led_flash_cnt[2098][5]~56260_combout\,
	cout => \led_flash_cnt[2098][5]~56261\);

-- Location: FF_X77_Y5_N25
\led_flash_cnt[2098][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2098][5]~56260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2098][5]~q\);

-- Location: LCCOMB_X77_Y5_N26
\led_flash_cnt[2098][6]~56262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2098][6]~56262_combout\ = (\led_flash_cnt[2098][6]~q\ & (!\led_flash_cnt[2098][5]~56261\)) # (!\led_flash_cnt[2098][6]~q\ & ((\led_flash_cnt[2098][5]~56261\) # (GND)))
-- \led_flash_cnt[2098][6]~56263\ = CARRY((!\led_flash_cnt[2098][5]~56261\) # (!\led_flash_cnt[2098][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2098][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2098][5]~56261\,
	combout => \led_flash_cnt[2098][6]~56262_combout\,
	cout => \led_flash_cnt[2098][6]~56263\);

-- Location: FF_X77_Y5_N27
\led_flash_cnt[2098][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2098][6]~56262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2098][6]~q\);

-- Location: LCCOMB_X77_Y5_N28
\led_flash_cnt[2098][7]~56264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2098][7]~56264_combout\ = \led_flash_cnt[2098][6]~56263\ $ (!\led_flash_cnt[2098][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2098][7]~q\,
	cin => \led_flash_cnt[2098][6]~56263\,
	combout => \led_flash_cnt[2098][7]~56264_combout\);

-- Location: FF_X77_Y5_N29
\led_flash_cnt[2098][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2098][7]~56264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2098][7]~q\);

-- Location: LCCOMB_X77_Y5_N4
\WideAnd2098~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2098~1_combout\ = (\led_flash_cnt[2098][6]~q\ & \led_flash_cnt[2098][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2098][6]~q\,
	datad => \led_flash_cnt[2098][5]~q\,
	combout => \WideAnd2098~1_combout\);

-- Location: LCCOMB_X77_Y5_N12
\WideAnd2098~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2098~0_combout\ = (\led_flash_cnt[2098][3]~q\ & (\led_flash_cnt[2098][2]~q\ & (\led_flash_cnt[2098][4]~q\ & \led_flash_cnt[2098][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2098][3]~q\,
	datab => \led_flash_cnt[2098][2]~q\,
	datac => \led_flash_cnt[2098][4]~q\,
	datad => \led_flash_cnt[2098][1]~q\,
	combout => \WideAnd2098~0_combout\);

-- Location: LCCOMB_X77_Y5_N2
WideAnd2098 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2098~combout\ = (\led_flash_cnt[2098][0]~q\ & (\led_flash_cnt[2098][7]~q\ & (\WideAnd2098~1_combout\ & \WideAnd2098~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2098][0]~q\,
	datab => \led_flash_cnt[2098][7]~q\,
	datac => \WideAnd2098~1_combout\,
	datad => \WideAnd2098~0_combout\,
	combout => \WideAnd2098~combout\);

-- Location: FF_X77_Y5_N3
\led_flash_cnt_ands[2098]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2098~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2098));

-- Location: LCCOMB_X77_Y7_N2
\led_flash_cnt[2097][0]~82737\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2097][0]~82737_combout\ = !\led_flash_cnt[2097][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2097][0]~q\,
	combout => \led_flash_cnt[2097][0]~82737_combout\);

-- Location: FF_X77_Y7_N3
\led_flash_cnt[2097][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2097][0]~82737_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2097][0]~q\);

-- Location: LCCOMB_X76_Y7_N18
\led_flash_cnt[2097][1]~56238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2097][1]~56238_combout\ = (\led_flash_cnt[2097][0]~q\ & (\led_flash_cnt[2097][1]~q\ $ (VCC))) # (!\led_flash_cnt[2097][0]~q\ & (\led_flash_cnt[2097][1]~q\ & VCC))
-- \led_flash_cnt[2097][1]~56239\ = CARRY((\led_flash_cnt[2097][0]~q\ & \led_flash_cnt[2097][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2097][0]~q\,
	datab => \led_flash_cnt[2097][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2097][1]~56238_combout\,
	cout => \led_flash_cnt[2097][1]~56239\);

-- Location: FF_X76_Y7_N19
\led_flash_cnt[2097][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2097][1]~56238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2097][1]~q\);

-- Location: LCCOMB_X76_Y7_N20
\led_flash_cnt[2097][2]~56240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2097][2]~56240_combout\ = (\led_flash_cnt[2097][2]~q\ & (!\led_flash_cnt[2097][1]~56239\)) # (!\led_flash_cnt[2097][2]~q\ & ((\led_flash_cnt[2097][1]~56239\) # (GND)))
-- \led_flash_cnt[2097][2]~56241\ = CARRY((!\led_flash_cnt[2097][1]~56239\) # (!\led_flash_cnt[2097][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2097][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2097][1]~56239\,
	combout => \led_flash_cnt[2097][2]~56240_combout\,
	cout => \led_flash_cnt[2097][2]~56241\);

-- Location: FF_X76_Y7_N21
\led_flash_cnt[2097][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2097][2]~56240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2097][2]~q\);

-- Location: LCCOMB_X76_Y7_N22
\led_flash_cnt[2097][3]~56242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2097][3]~56242_combout\ = (\led_flash_cnt[2097][3]~q\ & (\led_flash_cnt[2097][2]~56241\ $ (GND))) # (!\led_flash_cnt[2097][3]~q\ & (!\led_flash_cnt[2097][2]~56241\ & VCC))
-- \led_flash_cnt[2097][3]~56243\ = CARRY((\led_flash_cnt[2097][3]~q\ & !\led_flash_cnt[2097][2]~56241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2097][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2097][2]~56241\,
	combout => \led_flash_cnt[2097][3]~56242_combout\,
	cout => \led_flash_cnt[2097][3]~56243\);

-- Location: FF_X76_Y7_N23
\led_flash_cnt[2097][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2097][3]~56242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2097][3]~q\);

-- Location: LCCOMB_X76_Y7_N24
\led_flash_cnt[2097][4]~56244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2097][4]~56244_combout\ = (\led_flash_cnt[2097][4]~q\ & (!\led_flash_cnt[2097][3]~56243\)) # (!\led_flash_cnt[2097][4]~q\ & ((\led_flash_cnt[2097][3]~56243\) # (GND)))
-- \led_flash_cnt[2097][4]~56245\ = CARRY((!\led_flash_cnt[2097][3]~56243\) # (!\led_flash_cnt[2097][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2097][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2097][3]~56243\,
	combout => \led_flash_cnt[2097][4]~56244_combout\,
	cout => \led_flash_cnt[2097][4]~56245\);

-- Location: FF_X76_Y7_N25
\led_flash_cnt[2097][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2097][4]~56244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2097][4]~q\);

-- Location: LCCOMB_X76_Y7_N0
\WideAnd2097~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2097~0_combout\ = (\led_flash_cnt[2097][4]~q\ & (\led_flash_cnt[2097][2]~q\ & (\led_flash_cnt[2097][3]~q\ & \led_flash_cnt[2097][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2097][4]~q\,
	datab => \led_flash_cnt[2097][2]~q\,
	datac => \led_flash_cnt[2097][3]~q\,
	datad => \led_flash_cnt[2097][1]~q\,
	combout => \WideAnd2097~0_combout\);

-- Location: LCCOMB_X76_Y7_N26
\led_flash_cnt[2097][5]~56246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2097][5]~56246_combout\ = (\led_flash_cnt[2097][5]~q\ & (\led_flash_cnt[2097][4]~56245\ $ (GND))) # (!\led_flash_cnt[2097][5]~q\ & (!\led_flash_cnt[2097][4]~56245\ & VCC))
-- \led_flash_cnt[2097][5]~56247\ = CARRY((\led_flash_cnt[2097][5]~q\ & !\led_flash_cnt[2097][4]~56245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2097][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2097][4]~56245\,
	combout => \led_flash_cnt[2097][5]~56246_combout\,
	cout => \led_flash_cnt[2097][5]~56247\);

-- Location: FF_X76_Y7_N27
\led_flash_cnt[2097][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2097][5]~56246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2097][5]~q\);

-- Location: LCCOMB_X76_Y7_N28
\led_flash_cnt[2097][6]~56248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2097][6]~56248_combout\ = (\led_flash_cnt[2097][6]~q\ & (!\led_flash_cnt[2097][5]~56247\)) # (!\led_flash_cnt[2097][6]~q\ & ((\led_flash_cnt[2097][5]~56247\) # (GND)))
-- \led_flash_cnt[2097][6]~56249\ = CARRY((!\led_flash_cnt[2097][5]~56247\) # (!\led_flash_cnt[2097][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2097][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2097][5]~56247\,
	combout => \led_flash_cnt[2097][6]~56248_combout\,
	cout => \led_flash_cnt[2097][6]~56249\);

-- Location: FF_X76_Y7_N29
\led_flash_cnt[2097][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2097][6]~56248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2097][6]~q\);

-- Location: LCCOMB_X76_Y7_N30
\led_flash_cnt[2097][7]~56250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2097][7]~56250_combout\ = \led_flash_cnt[2097][7]~q\ $ (!\led_flash_cnt[2097][6]~56249\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2097][7]~q\,
	cin => \led_flash_cnt[2097][6]~56249\,
	combout => \led_flash_cnt[2097][7]~56250_combout\);

-- Location: FF_X76_Y7_N31
\led_flash_cnt[2097][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2097][7]~56250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2097][7]~q\);

-- Location: LCCOMB_X77_Y7_N8
\WideAnd2097~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2097~1_combout\ = (\led_flash_cnt[2097][5]~q\ & \led_flash_cnt[2097][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2097][5]~q\,
	datad => \led_flash_cnt[2097][6]~q\,
	combout => \WideAnd2097~1_combout\);

-- Location: LCCOMB_X77_Y7_N16
WideAnd2097 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2097~combout\ = (\WideAnd2097~0_combout\ & (\led_flash_cnt[2097][7]~q\ & (\WideAnd2097~1_combout\ & \led_flash_cnt[2097][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2097~0_combout\,
	datab => \led_flash_cnt[2097][7]~q\,
	datac => \WideAnd2097~1_combout\,
	datad => \led_flash_cnt[2097][0]~q\,
	combout => \WideAnd2097~combout\);

-- Location: FF_X77_Y7_N17
\led_flash_cnt_ands[2097]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2097~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2097));

-- Location: LCCOMB_X77_Y7_N6
\WideAnd4102~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4102~0_combout\ = (led_flash_cnt_ands(2099) & (led_flash_cnt_ands(2096) & (led_flash_cnt_ands(2098) & led_flash_cnt_ands(2097))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2099),
	datab => led_flash_cnt_ands(2096),
	datac => led_flash_cnt_ands(2098),
	datad => led_flash_cnt_ands(2097),
	combout => \WideAnd4102~0_combout\);

-- Location: LCCOMB_X54_Y9_N2
WideAnd4102 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4102~combout\ = (\WideAnd4102~1_combout\ & (led_flash_cnt_ands(2102) & (led_flash_cnt_ands(2103) & \WideAnd4102~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4102~1_combout\,
	datab => led_flash_cnt_ands(2102),
	datac => led_flash_cnt_ands(2103),
	datad => \WideAnd4102~0_combout\,
	combout => \WideAnd4102~combout\);

-- Location: FF_X54_Y9_N3
\led_flash_cnt_ands_1[262]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4102~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(262));

-- Location: LCCOMB_X40_Y13_N26
\led_flash_cnt[2067][0]~82707\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2067][0]~82707_combout\ = !\led_flash_cnt[2067][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2067][0]~q\,
	combout => \led_flash_cnt[2067][0]~82707_combout\);

-- Location: FF_X40_Y13_N27
\led_flash_cnt[2067][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2067][0]~82707_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2067][0]~q\);

-- Location: LCCOMB_X40_Y13_N8
\led_flash_cnt[2067][1]~55818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2067][1]~55818_combout\ = (\led_flash_cnt[2067][0]~q\ & (\led_flash_cnt[2067][1]~q\ $ (VCC))) # (!\led_flash_cnt[2067][0]~q\ & (\led_flash_cnt[2067][1]~q\ & VCC))
-- \led_flash_cnt[2067][1]~55819\ = CARRY((\led_flash_cnt[2067][0]~q\ & \led_flash_cnt[2067][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2067][0]~q\,
	datab => \led_flash_cnt[2067][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2067][1]~55818_combout\,
	cout => \led_flash_cnt[2067][1]~55819\);

-- Location: FF_X40_Y13_N9
\led_flash_cnt[2067][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2067][1]~55818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2067][1]~q\);

-- Location: LCCOMB_X40_Y13_N10
\led_flash_cnt[2067][2]~55820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2067][2]~55820_combout\ = (\led_flash_cnt[2067][2]~q\ & (!\led_flash_cnt[2067][1]~55819\)) # (!\led_flash_cnt[2067][2]~q\ & ((\led_flash_cnt[2067][1]~55819\) # (GND)))
-- \led_flash_cnt[2067][2]~55821\ = CARRY((!\led_flash_cnt[2067][1]~55819\) # (!\led_flash_cnt[2067][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2067][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2067][1]~55819\,
	combout => \led_flash_cnt[2067][2]~55820_combout\,
	cout => \led_flash_cnt[2067][2]~55821\);

-- Location: FF_X40_Y13_N11
\led_flash_cnt[2067][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2067][2]~55820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2067][2]~q\);

-- Location: LCCOMB_X40_Y13_N12
\led_flash_cnt[2067][3]~55822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2067][3]~55822_combout\ = (\led_flash_cnt[2067][3]~q\ & (\led_flash_cnt[2067][2]~55821\ $ (GND))) # (!\led_flash_cnt[2067][3]~q\ & (!\led_flash_cnt[2067][2]~55821\ & VCC))
-- \led_flash_cnt[2067][3]~55823\ = CARRY((\led_flash_cnt[2067][3]~q\ & !\led_flash_cnt[2067][2]~55821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2067][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2067][2]~55821\,
	combout => \led_flash_cnt[2067][3]~55822_combout\,
	cout => \led_flash_cnt[2067][3]~55823\);

-- Location: FF_X40_Y13_N13
\led_flash_cnt[2067][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2067][3]~55822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2067][3]~q\);

-- Location: LCCOMB_X40_Y13_N14
\led_flash_cnt[2067][4]~55824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2067][4]~55824_combout\ = (\led_flash_cnt[2067][4]~q\ & (!\led_flash_cnt[2067][3]~55823\)) # (!\led_flash_cnt[2067][4]~q\ & ((\led_flash_cnt[2067][3]~55823\) # (GND)))
-- \led_flash_cnt[2067][4]~55825\ = CARRY((!\led_flash_cnt[2067][3]~55823\) # (!\led_flash_cnt[2067][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2067][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2067][3]~55823\,
	combout => \led_flash_cnt[2067][4]~55824_combout\,
	cout => \led_flash_cnt[2067][4]~55825\);

-- Location: FF_X40_Y13_N15
\led_flash_cnt[2067][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2067][4]~55824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2067][4]~q\);

-- Location: LCCOMB_X40_Y13_N16
\led_flash_cnt[2067][5]~55826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2067][5]~55826_combout\ = (\led_flash_cnt[2067][5]~q\ & (\led_flash_cnt[2067][4]~55825\ $ (GND))) # (!\led_flash_cnt[2067][5]~q\ & (!\led_flash_cnt[2067][4]~55825\ & VCC))
-- \led_flash_cnt[2067][5]~55827\ = CARRY((\led_flash_cnt[2067][5]~q\ & !\led_flash_cnt[2067][4]~55825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2067][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2067][4]~55825\,
	combout => \led_flash_cnt[2067][5]~55826_combout\,
	cout => \led_flash_cnt[2067][5]~55827\);

-- Location: FF_X40_Y13_N17
\led_flash_cnt[2067][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2067][5]~55826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2067][5]~q\);

-- Location: LCCOMB_X40_Y13_N18
\led_flash_cnt[2067][6]~55828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2067][6]~55828_combout\ = (\led_flash_cnt[2067][6]~q\ & (!\led_flash_cnt[2067][5]~55827\)) # (!\led_flash_cnt[2067][6]~q\ & ((\led_flash_cnt[2067][5]~55827\) # (GND)))
-- \led_flash_cnt[2067][6]~55829\ = CARRY((!\led_flash_cnt[2067][5]~55827\) # (!\led_flash_cnt[2067][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2067][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2067][5]~55827\,
	combout => \led_flash_cnt[2067][6]~55828_combout\,
	cout => \led_flash_cnt[2067][6]~55829\);

-- Location: FF_X40_Y13_N19
\led_flash_cnt[2067][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2067][6]~55828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2067][6]~q\);

-- Location: LCCOMB_X40_Y13_N20
\led_flash_cnt[2067][7]~55830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2067][7]~55830_combout\ = \led_flash_cnt[2067][6]~55829\ $ (!\led_flash_cnt[2067][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2067][7]~q\,
	cin => \led_flash_cnt[2067][6]~55829\,
	combout => \led_flash_cnt[2067][7]~55830_combout\);

-- Location: FF_X40_Y13_N21
\led_flash_cnt[2067][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2067][7]~55830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2067][7]~q\);

-- Location: LCCOMB_X40_Y13_N4
\WideAnd2067~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2067~1_combout\ = (\led_flash_cnt[2067][5]~q\ & \led_flash_cnt[2067][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2067][5]~q\,
	datad => \led_flash_cnt[2067][6]~q\,
	combout => \WideAnd2067~1_combout\);

-- Location: LCCOMB_X40_Y13_N24
\WideAnd2067~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2067~0_combout\ = (\led_flash_cnt[2067][3]~q\ & (\led_flash_cnt[2067][4]~q\ & (\led_flash_cnt[2067][1]~q\ & \led_flash_cnt[2067][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2067][3]~q\,
	datab => \led_flash_cnt[2067][4]~q\,
	datac => \led_flash_cnt[2067][1]~q\,
	datad => \led_flash_cnt[2067][2]~q\,
	combout => \WideAnd2067~0_combout\);

-- Location: LCCOMB_X40_Y13_N22
WideAnd2067 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2067~combout\ = (\led_flash_cnt[2067][0]~q\ & (\led_flash_cnt[2067][7]~q\ & (\WideAnd2067~1_combout\ & \WideAnd2067~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2067][0]~q\,
	datab => \led_flash_cnt[2067][7]~q\,
	datac => \WideAnd2067~1_combout\,
	datad => \WideAnd2067~0_combout\,
	combout => \WideAnd2067~combout\);

-- Location: FF_X40_Y13_N23
\led_flash_cnt_ands[2067]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2067~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2067));

-- Location: LCCOMB_X40_Y13_N6
\led_flash_cnt[2064][0]~82704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2064][0]~82704_combout\ = !\led_flash_cnt[2064][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2064][0]~q\,
	combout => \led_flash_cnt[2064][0]~82704_combout\);

-- Location: FF_X40_Y13_N7
\led_flash_cnt[2064][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2064][0]~82704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2064][0]~q\);

-- Location: LCCOMB_X41_Y13_N0
\led_flash_cnt[2064][1]~55776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2064][1]~55776_combout\ = (\led_flash_cnt[2064][0]~q\ & (\led_flash_cnt[2064][1]~q\ $ (VCC))) # (!\led_flash_cnt[2064][0]~q\ & (\led_flash_cnt[2064][1]~q\ & VCC))
-- \led_flash_cnt[2064][1]~55777\ = CARRY((\led_flash_cnt[2064][0]~q\ & \led_flash_cnt[2064][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2064][0]~q\,
	datab => \led_flash_cnt[2064][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2064][1]~55776_combout\,
	cout => \led_flash_cnt[2064][1]~55777\);

-- Location: FF_X41_Y13_N1
\led_flash_cnt[2064][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2064][1]~55776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2064][1]~q\);

-- Location: LCCOMB_X41_Y13_N2
\led_flash_cnt[2064][2]~55778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2064][2]~55778_combout\ = (\led_flash_cnt[2064][2]~q\ & (!\led_flash_cnt[2064][1]~55777\)) # (!\led_flash_cnt[2064][2]~q\ & ((\led_flash_cnt[2064][1]~55777\) # (GND)))
-- \led_flash_cnt[2064][2]~55779\ = CARRY((!\led_flash_cnt[2064][1]~55777\) # (!\led_flash_cnt[2064][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2064][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2064][1]~55777\,
	combout => \led_flash_cnt[2064][2]~55778_combout\,
	cout => \led_flash_cnt[2064][2]~55779\);

-- Location: FF_X41_Y13_N3
\led_flash_cnt[2064][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2064][2]~55778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2064][2]~q\);

-- Location: LCCOMB_X41_Y13_N4
\led_flash_cnt[2064][3]~55780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2064][3]~55780_combout\ = (\led_flash_cnt[2064][3]~q\ & (\led_flash_cnt[2064][2]~55779\ $ (GND))) # (!\led_flash_cnt[2064][3]~q\ & (!\led_flash_cnt[2064][2]~55779\ & VCC))
-- \led_flash_cnt[2064][3]~55781\ = CARRY((\led_flash_cnt[2064][3]~q\ & !\led_flash_cnt[2064][2]~55779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2064][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2064][2]~55779\,
	combout => \led_flash_cnt[2064][3]~55780_combout\,
	cout => \led_flash_cnt[2064][3]~55781\);

-- Location: FF_X41_Y13_N5
\led_flash_cnt[2064][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2064][3]~55780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2064][3]~q\);

-- Location: LCCOMB_X41_Y13_N6
\led_flash_cnt[2064][4]~55782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2064][4]~55782_combout\ = (\led_flash_cnt[2064][4]~q\ & (!\led_flash_cnt[2064][3]~55781\)) # (!\led_flash_cnt[2064][4]~q\ & ((\led_flash_cnt[2064][3]~55781\) # (GND)))
-- \led_flash_cnt[2064][4]~55783\ = CARRY((!\led_flash_cnt[2064][3]~55781\) # (!\led_flash_cnt[2064][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2064][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2064][3]~55781\,
	combout => \led_flash_cnt[2064][4]~55782_combout\,
	cout => \led_flash_cnt[2064][4]~55783\);

-- Location: FF_X41_Y13_N7
\led_flash_cnt[2064][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2064][4]~55782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2064][4]~q\);

-- Location: LCCOMB_X41_Y13_N8
\led_flash_cnt[2064][5]~55784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2064][5]~55784_combout\ = (\led_flash_cnt[2064][5]~q\ & (\led_flash_cnt[2064][4]~55783\ $ (GND))) # (!\led_flash_cnt[2064][5]~q\ & (!\led_flash_cnt[2064][4]~55783\ & VCC))
-- \led_flash_cnt[2064][5]~55785\ = CARRY((\led_flash_cnt[2064][5]~q\ & !\led_flash_cnt[2064][4]~55783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2064][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2064][4]~55783\,
	combout => \led_flash_cnt[2064][5]~55784_combout\,
	cout => \led_flash_cnt[2064][5]~55785\);

-- Location: FF_X41_Y13_N9
\led_flash_cnt[2064][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2064][5]~55784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2064][5]~q\);

-- Location: LCCOMB_X41_Y13_N10
\led_flash_cnt[2064][6]~55786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2064][6]~55786_combout\ = (\led_flash_cnt[2064][6]~q\ & (!\led_flash_cnt[2064][5]~55785\)) # (!\led_flash_cnt[2064][6]~q\ & ((\led_flash_cnt[2064][5]~55785\) # (GND)))
-- \led_flash_cnt[2064][6]~55787\ = CARRY((!\led_flash_cnt[2064][5]~55785\) # (!\led_flash_cnt[2064][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2064][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2064][5]~55785\,
	combout => \led_flash_cnt[2064][6]~55786_combout\,
	cout => \led_flash_cnt[2064][6]~55787\);

-- Location: FF_X41_Y13_N11
\led_flash_cnt[2064][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2064][6]~55786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2064][6]~q\);

-- Location: LCCOMB_X41_Y13_N12
\led_flash_cnt[2064][7]~55788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2064][7]~55788_combout\ = \led_flash_cnt[2064][6]~55787\ $ (!\led_flash_cnt[2064][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2064][7]~q\,
	cin => \led_flash_cnt[2064][6]~55787\,
	combout => \led_flash_cnt[2064][7]~55788_combout\);

-- Location: FF_X41_Y13_N13
\led_flash_cnt[2064][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2064][7]~55788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2064][7]~q\);

-- Location: LCCOMB_X41_Y13_N30
\WideAnd2064~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2064~1_combout\ = (\led_flash_cnt[2064][5]~q\ & \led_flash_cnt[2064][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2064][5]~q\,
	datad => \led_flash_cnt[2064][6]~q\,
	combout => \WideAnd2064~1_combout\);

-- Location: LCCOMB_X41_Y13_N14
\WideAnd2064~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2064~0_combout\ = (\led_flash_cnt[2064][4]~q\ & (\led_flash_cnt[2064][1]~q\ & (\led_flash_cnt[2064][3]~q\ & \led_flash_cnt[2064][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2064][4]~q\,
	datab => \led_flash_cnt[2064][1]~q\,
	datac => \led_flash_cnt[2064][3]~q\,
	datad => \led_flash_cnt[2064][2]~q\,
	combout => \WideAnd2064~0_combout\);

-- Location: LCCOMB_X40_Y13_N0
WideAnd2064 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2064~combout\ = (\led_flash_cnt[2064][0]~q\ & (\led_flash_cnt[2064][7]~q\ & (\WideAnd2064~1_combout\ & \WideAnd2064~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2064][0]~q\,
	datab => \led_flash_cnt[2064][7]~q\,
	datac => \WideAnd2064~1_combout\,
	datad => \WideAnd2064~0_combout\,
	combout => \WideAnd2064~combout\);

-- Location: FF_X40_Y13_N1
\led_flash_cnt_ands[2064]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2064~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2064));

-- Location: LCCOMB_X45_Y15_N4
\led_flash_cnt[2065][0]~82705\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2065][0]~82705_combout\ = !\led_flash_cnt[2065][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2065][0]~q\,
	combout => \led_flash_cnt[2065][0]~82705_combout\);

-- Location: FF_X45_Y15_N5
\led_flash_cnt[2065][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2065][0]~82705_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2065][0]~q\);

-- Location: LCCOMB_X45_Y16_N4
\led_flash_cnt[2065][1]~55790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2065][1]~55790_combout\ = (\led_flash_cnt[2065][0]~q\ & (\led_flash_cnt[2065][1]~q\ $ (VCC))) # (!\led_flash_cnt[2065][0]~q\ & (\led_flash_cnt[2065][1]~q\ & VCC))
-- \led_flash_cnt[2065][1]~55791\ = CARRY((\led_flash_cnt[2065][0]~q\ & \led_flash_cnt[2065][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2065][0]~q\,
	datab => \led_flash_cnt[2065][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2065][1]~55790_combout\,
	cout => \led_flash_cnt[2065][1]~55791\);

-- Location: FF_X45_Y16_N5
\led_flash_cnt[2065][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2065][1]~55790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2065][1]~q\);

-- Location: LCCOMB_X45_Y16_N6
\led_flash_cnt[2065][2]~55792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2065][2]~55792_combout\ = (\led_flash_cnt[2065][2]~q\ & (!\led_flash_cnt[2065][1]~55791\)) # (!\led_flash_cnt[2065][2]~q\ & ((\led_flash_cnt[2065][1]~55791\) # (GND)))
-- \led_flash_cnt[2065][2]~55793\ = CARRY((!\led_flash_cnt[2065][1]~55791\) # (!\led_flash_cnt[2065][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2065][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2065][1]~55791\,
	combout => \led_flash_cnt[2065][2]~55792_combout\,
	cout => \led_flash_cnt[2065][2]~55793\);

-- Location: FF_X45_Y16_N7
\led_flash_cnt[2065][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2065][2]~55792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2065][2]~q\);

-- Location: LCCOMB_X45_Y16_N8
\led_flash_cnt[2065][3]~55794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2065][3]~55794_combout\ = (\led_flash_cnt[2065][3]~q\ & (\led_flash_cnt[2065][2]~55793\ $ (GND))) # (!\led_flash_cnt[2065][3]~q\ & (!\led_flash_cnt[2065][2]~55793\ & VCC))
-- \led_flash_cnt[2065][3]~55795\ = CARRY((\led_flash_cnt[2065][3]~q\ & !\led_flash_cnt[2065][2]~55793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2065][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2065][2]~55793\,
	combout => \led_flash_cnt[2065][3]~55794_combout\,
	cout => \led_flash_cnt[2065][3]~55795\);

-- Location: FF_X45_Y16_N9
\led_flash_cnt[2065][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2065][3]~55794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2065][3]~q\);

-- Location: LCCOMB_X45_Y16_N10
\led_flash_cnt[2065][4]~55796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2065][4]~55796_combout\ = (\led_flash_cnt[2065][4]~q\ & (!\led_flash_cnt[2065][3]~55795\)) # (!\led_flash_cnt[2065][4]~q\ & ((\led_flash_cnt[2065][3]~55795\) # (GND)))
-- \led_flash_cnt[2065][4]~55797\ = CARRY((!\led_flash_cnt[2065][3]~55795\) # (!\led_flash_cnt[2065][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2065][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2065][3]~55795\,
	combout => \led_flash_cnt[2065][4]~55796_combout\,
	cout => \led_flash_cnt[2065][4]~55797\);

-- Location: FF_X45_Y16_N11
\led_flash_cnt[2065][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2065][4]~55796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2065][4]~q\);

-- Location: LCCOMB_X45_Y16_N2
\WideAnd2065~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2065~0_combout\ = (\led_flash_cnt[2065][2]~q\ & (\led_flash_cnt[2065][3]~q\ & (\led_flash_cnt[2065][1]~q\ & \led_flash_cnt[2065][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2065][2]~q\,
	datab => \led_flash_cnt[2065][3]~q\,
	datac => \led_flash_cnt[2065][1]~q\,
	datad => \led_flash_cnt[2065][4]~q\,
	combout => \WideAnd2065~0_combout\);

-- Location: LCCOMB_X45_Y16_N12
\led_flash_cnt[2065][5]~55798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2065][5]~55798_combout\ = (\led_flash_cnt[2065][5]~q\ & (\led_flash_cnt[2065][4]~55797\ $ (GND))) # (!\led_flash_cnt[2065][5]~q\ & (!\led_flash_cnt[2065][4]~55797\ & VCC))
-- \led_flash_cnt[2065][5]~55799\ = CARRY((\led_flash_cnt[2065][5]~q\ & !\led_flash_cnt[2065][4]~55797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2065][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2065][4]~55797\,
	combout => \led_flash_cnt[2065][5]~55798_combout\,
	cout => \led_flash_cnt[2065][5]~55799\);

-- Location: FF_X45_Y16_N13
\led_flash_cnt[2065][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2065][5]~55798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2065][5]~q\);

-- Location: LCCOMB_X45_Y16_N14
\led_flash_cnt[2065][6]~55800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2065][6]~55800_combout\ = (\led_flash_cnt[2065][6]~q\ & (!\led_flash_cnt[2065][5]~55799\)) # (!\led_flash_cnt[2065][6]~q\ & ((\led_flash_cnt[2065][5]~55799\) # (GND)))
-- \led_flash_cnt[2065][6]~55801\ = CARRY((!\led_flash_cnt[2065][5]~55799\) # (!\led_flash_cnt[2065][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2065][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2065][5]~55799\,
	combout => \led_flash_cnt[2065][6]~55800_combout\,
	cout => \led_flash_cnt[2065][6]~55801\);

-- Location: FF_X45_Y16_N15
\led_flash_cnt[2065][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2065][6]~55800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2065][6]~q\);

-- Location: LCCOMB_X44_Y16_N4
\WideAnd2065~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2065~1_combout\ = (\led_flash_cnt[2065][6]~q\ & \led_flash_cnt[2065][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2065][6]~q\,
	datac => \led_flash_cnt[2065][5]~q\,
	combout => \WideAnd2065~1_combout\);

-- Location: LCCOMB_X45_Y16_N16
\led_flash_cnt[2065][7]~55802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2065][7]~55802_combout\ = \led_flash_cnt[2065][6]~55801\ $ (!\led_flash_cnt[2065][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2065][7]~q\,
	cin => \led_flash_cnt[2065][6]~55801\,
	combout => \led_flash_cnt[2065][7]~55802_combout\);

-- Location: FF_X45_Y16_N17
\led_flash_cnt[2065][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2065][7]~55802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2065][7]~q\);

-- Location: LCCOMB_X44_Y16_N30
WideAnd2065 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2065~combout\ = (\WideAnd2065~0_combout\ & (\led_flash_cnt[2065][0]~q\ & (\WideAnd2065~1_combout\ & \led_flash_cnt[2065][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2065~0_combout\,
	datab => \led_flash_cnt[2065][0]~q\,
	datac => \WideAnd2065~1_combout\,
	datad => \led_flash_cnt[2065][7]~q\,
	combout => \WideAnd2065~combout\);

-- Location: FF_X44_Y16_N31
\led_flash_cnt_ands[2065]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2065~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2065));

-- Location: LCCOMB_X40_Y13_N2
\led_flash_cnt[2066][0]~82706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2066][0]~82706_combout\ = !\led_flash_cnt[2066][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2066][0]~q\,
	combout => \led_flash_cnt[2066][0]~82706_combout\);

-- Location: FF_X40_Y13_N3
\led_flash_cnt[2066][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2066][0]~82706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2066][0]~q\);

-- Location: LCCOMB_X39_Y13_N18
\led_flash_cnt[2066][1]~55804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2066][1]~55804_combout\ = (\led_flash_cnt[2066][0]~q\ & (\led_flash_cnt[2066][1]~q\ $ (VCC))) # (!\led_flash_cnt[2066][0]~q\ & (\led_flash_cnt[2066][1]~q\ & VCC))
-- \led_flash_cnt[2066][1]~55805\ = CARRY((\led_flash_cnt[2066][0]~q\ & \led_flash_cnt[2066][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2066][0]~q\,
	datab => \led_flash_cnt[2066][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2066][1]~55804_combout\,
	cout => \led_flash_cnt[2066][1]~55805\);

-- Location: FF_X39_Y13_N19
\led_flash_cnt[2066][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2066][1]~55804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2066][1]~q\);

-- Location: LCCOMB_X39_Y13_N20
\led_flash_cnt[2066][2]~55806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2066][2]~55806_combout\ = (\led_flash_cnt[2066][2]~q\ & (!\led_flash_cnt[2066][1]~55805\)) # (!\led_flash_cnt[2066][2]~q\ & ((\led_flash_cnt[2066][1]~55805\) # (GND)))
-- \led_flash_cnt[2066][2]~55807\ = CARRY((!\led_flash_cnt[2066][1]~55805\) # (!\led_flash_cnt[2066][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2066][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2066][1]~55805\,
	combout => \led_flash_cnt[2066][2]~55806_combout\,
	cout => \led_flash_cnt[2066][2]~55807\);

-- Location: FF_X39_Y13_N21
\led_flash_cnt[2066][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2066][2]~55806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2066][2]~q\);

-- Location: LCCOMB_X39_Y13_N22
\led_flash_cnt[2066][3]~55808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2066][3]~55808_combout\ = (\led_flash_cnt[2066][3]~q\ & (\led_flash_cnt[2066][2]~55807\ $ (GND))) # (!\led_flash_cnt[2066][3]~q\ & (!\led_flash_cnt[2066][2]~55807\ & VCC))
-- \led_flash_cnt[2066][3]~55809\ = CARRY((\led_flash_cnt[2066][3]~q\ & !\led_flash_cnt[2066][2]~55807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2066][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2066][2]~55807\,
	combout => \led_flash_cnt[2066][3]~55808_combout\,
	cout => \led_flash_cnt[2066][3]~55809\);

-- Location: FF_X39_Y13_N23
\led_flash_cnt[2066][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2066][3]~55808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2066][3]~q\);

-- Location: LCCOMB_X39_Y13_N24
\led_flash_cnt[2066][4]~55810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2066][4]~55810_combout\ = (\led_flash_cnt[2066][4]~q\ & (!\led_flash_cnt[2066][3]~55809\)) # (!\led_flash_cnt[2066][4]~q\ & ((\led_flash_cnt[2066][3]~55809\) # (GND)))
-- \led_flash_cnt[2066][4]~55811\ = CARRY((!\led_flash_cnt[2066][3]~55809\) # (!\led_flash_cnt[2066][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2066][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2066][3]~55809\,
	combout => \led_flash_cnt[2066][4]~55810_combout\,
	cout => \led_flash_cnt[2066][4]~55811\);

-- Location: FF_X39_Y13_N25
\led_flash_cnt[2066][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2066][4]~55810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2066][4]~q\);

-- Location: LCCOMB_X39_Y13_N26
\led_flash_cnt[2066][5]~55812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2066][5]~55812_combout\ = (\led_flash_cnt[2066][5]~q\ & (\led_flash_cnt[2066][4]~55811\ $ (GND))) # (!\led_flash_cnt[2066][5]~q\ & (!\led_flash_cnt[2066][4]~55811\ & VCC))
-- \led_flash_cnt[2066][5]~55813\ = CARRY((\led_flash_cnt[2066][5]~q\ & !\led_flash_cnt[2066][4]~55811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2066][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2066][4]~55811\,
	combout => \led_flash_cnt[2066][5]~55812_combout\,
	cout => \led_flash_cnt[2066][5]~55813\);

-- Location: FF_X39_Y13_N27
\led_flash_cnt[2066][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2066][5]~55812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2066][5]~q\);

-- Location: LCCOMB_X39_Y13_N28
\led_flash_cnt[2066][6]~55814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2066][6]~55814_combout\ = (\led_flash_cnt[2066][6]~q\ & (!\led_flash_cnt[2066][5]~55813\)) # (!\led_flash_cnt[2066][6]~q\ & ((\led_flash_cnt[2066][5]~55813\) # (GND)))
-- \led_flash_cnt[2066][6]~55815\ = CARRY((!\led_flash_cnt[2066][5]~55813\) # (!\led_flash_cnt[2066][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2066][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2066][5]~55813\,
	combout => \led_flash_cnt[2066][6]~55814_combout\,
	cout => \led_flash_cnt[2066][6]~55815\);

-- Location: FF_X39_Y13_N29
\led_flash_cnt[2066][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2066][6]~55814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2066][6]~q\);

-- Location: LCCOMB_X39_Y13_N0
\WideAnd2066~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2066~1_combout\ = (\led_flash_cnt[2066][5]~q\ & \led_flash_cnt[2066][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2066][5]~q\,
	datad => \led_flash_cnt[2066][6]~q\,
	combout => \WideAnd2066~1_combout\);

-- Location: LCCOMB_X39_Y13_N30
\led_flash_cnt[2066][7]~55816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2066][7]~55816_combout\ = \led_flash_cnt[2066][7]~q\ $ (!\led_flash_cnt[2066][6]~55815\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2066][7]~q\,
	cin => \led_flash_cnt[2066][6]~55815\,
	combout => \led_flash_cnt[2066][7]~55816_combout\);

-- Location: FF_X39_Y13_N31
\led_flash_cnt[2066][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2066][7]~55816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2066][7]~q\);

-- Location: LCCOMB_X39_Y13_N16
\WideAnd2066~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2066~0_combout\ = (\led_flash_cnt[2066][4]~q\ & (\led_flash_cnt[2066][2]~q\ & (\led_flash_cnt[2066][3]~q\ & \led_flash_cnt[2066][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2066][4]~q\,
	datab => \led_flash_cnt[2066][2]~q\,
	datac => \led_flash_cnt[2066][3]~q\,
	datad => \led_flash_cnt[2066][1]~q\,
	combout => \WideAnd2066~0_combout\);

-- Location: LCCOMB_X40_Y13_N28
WideAnd2066 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2066~combout\ = (\WideAnd2066~1_combout\ & (\led_flash_cnt[2066][7]~q\ & (\WideAnd2066~0_combout\ & \led_flash_cnt[2066][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2066~1_combout\,
	datab => \led_flash_cnt[2066][7]~q\,
	datac => \WideAnd2066~0_combout\,
	datad => \led_flash_cnt[2066][0]~q\,
	combout => \WideAnd2066~combout\);

-- Location: FF_X40_Y13_N29
\led_flash_cnt_ands[2066]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2066~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2066));

-- Location: LCCOMB_X40_Y13_N30
\WideAnd4098~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4098~0_combout\ = (led_flash_cnt_ands(2067) & (led_flash_cnt_ands(2064) & (led_flash_cnt_ands(2065) & led_flash_cnt_ands(2066))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2067),
	datab => led_flash_cnt_ands(2064),
	datac => led_flash_cnt_ands(2065),
	datad => led_flash_cnt_ands(2066),
	combout => \WideAnd4098~0_combout\);

-- Location: LCCOMB_X36_Y12_N30
\led_flash_cnt[2071][0]~82711\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2071][0]~82711_combout\ = !\led_flash_cnt[2071][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2071][0]~q\,
	combout => \led_flash_cnt[2071][0]~82711_combout\);

-- Location: FF_X36_Y12_N31
\led_flash_cnt[2071][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2071][0]~82711_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2071][0]~q\);

-- Location: LCCOMB_X40_Y11_N0
\led_flash_cnt[2071][1]~55874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2071][1]~55874_combout\ = (\led_flash_cnt[2071][0]~q\ & (\led_flash_cnt[2071][1]~q\ $ (VCC))) # (!\led_flash_cnt[2071][0]~q\ & (\led_flash_cnt[2071][1]~q\ & VCC))
-- \led_flash_cnt[2071][1]~55875\ = CARRY((\led_flash_cnt[2071][0]~q\ & \led_flash_cnt[2071][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2071][0]~q\,
	datab => \led_flash_cnt[2071][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2071][1]~55874_combout\,
	cout => \led_flash_cnt[2071][1]~55875\);

-- Location: FF_X40_Y11_N1
\led_flash_cnt[2071][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2071][1]~55874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2071][1]~q\);

-- Location: LCCOMB_X40_Y11_N2
\led_flash_cnt[2071][2]~55876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2071][2]~55876_combout\ = (\led_flash_cnt[2071][2]~q\ & (!\led_flash_cnt[2071][1]~55875\)) # (!\led_flash_cnt[2071][2]~q\ & ((\led_flash_cnt[2071][1]~55875\) # (GND)))
-- \led_flash_cnt[2071][2]~55877\ = CARRY((!\led_flash_cnt[2071][1]~55875\) # (!\led_flash_cnt[2071][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2071][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2071][1]~55875\,
	combout => \led_flash_cnt[2071][2]~55876_combout\,
	cout => \led_flash_cnt[2071][2]~55877\);

-- Location: FF_X40_Y11_N3
\led_flash_cnt[2071][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2071][2]~55876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2071][2]~q\);

-- Location: LCCOMB_X40_Y11_N4
\led_flash_cnt[2071][3]~55878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2071][3]~55878_combout\ = (\led_flash_cnt[2071][3]~q\ & (\led_flash_cnt[2071][2]~55877\ $ (GND))) # (!\led_flash_cnt[2071][3]~q\ & (!\led_flash_cnt[2071][2]~55877\ & VCC))
-- \led_flash_cnt[2071][3]~55879\ = CARRY((\led_flash_cnt[2071][3]~q\ & !\led_flash_cnt[2071][2]~55877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2071][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2071][2]~55877\,
	combout => \led_flash_cnt[2071][3]~55878_combout\,
	cout => \led_flash_cnt[2071][3]~55879\);

-- Location: FF_X40_Y11_N5
\led_flash_cnt[2071][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2071][3]~55878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2071][3]~q\);

-- Location: LCCOMB_X40_Y11_N6
\led_flash_cnt[2071][4]~55880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2071][4]~55880_combout\ = (\led_flash_cnt[2071][4]~q\ & (!\led_flash_cnt[2071][3]~55879\)) # (!\led_flash_cnt[2071][4]~q\ & ((\led_flash_cnt[2071][3]~55879\) # (GND)))
-- \led_flash_cnt[2071][4]~55881\ = CARRY((!\led_flash_cnt[2071][3]~55879\) # (!\led_flash_cnt[2071][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2071][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2071][3]~55879\,
	combout => \led_flash_cnt[2071][4]~55880_combout\,
	cout => \led_flash_cnt[2071][4]~55881\);

-- Location: FF_X40_Y11_N7
\led_flash_cnt[2071][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2071][4]~55880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2071][4]~q\);

-- Location: LCCOMB_X40_Y11_N30
\WideAnd2071~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2071~0_combout\ = (\led_flash_cnt[2071][4]~q\ & (\led_flash_cnt[2071][1]~q\ & (\led_flash_cnt[2071][3]~q\ & \led_flash_cnt[2071][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2071][4]~q\,
	datab => \led_flash_cnt[2071][1]~q\,
	datac => \led_flash_cnt[2071][3]~q\,
	datad => \led_flash_cnt[2071][2]~q\,
	combout => \WideAnd2071~0_combout\);

-- Location: LCCOMB_X40_Y11_N8
\led_flash_cnt[2071][5]~55882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2071][5]~55882_combout\ = (\led_flash_cnt[2071][5]~q\ & (\led_flash_cnt[2071][4]~55881\ $ (GND))) # (!\led_flash_cnt[2071][5]~q\ & (!\led_flash_cnt[2071][4]~55881\ & VCC))
-- \led_flash_cnt[2071][5]~55883\ = CARRY((\led_flash_cnt[2071][5]~q\ & !\led_flash_cnt[2071][4]~55881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2071][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2071][4]~55881\,
	combout => \led_flash_cnt[2071][5]~55882_combout\,
	cout => \led_flash_cnt[2071][5]~55883\);

-- Location: FF_X40_Y11_N9
\led_flash_cnt[2071][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2071][5]~55882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2071][5]~q\);

-- Location: LCCOMB_X40_Y11_N10
\led_flash_cnt[2071][6]~55884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2071][6]~55884_combout\ = (\led_flash_cnt[2071][6]~q\ & (!\led_flash_cnt[2071][5]~55883\)) # (!\led_flash_cnt[2071][6]~q\ & ((\led_flash_cnt[2071][5]~55883\) # (GND)))
-- \led_flash_cnt[2071][6]~55885\ = CARRY((!\led_flash_cnt[2071][5]~55883\) # (!\led_flash_cnt[2071][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2071][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2071][5]~55883\,
	combout => \led_flash_cnt[2071][6]~55884_combout\,
	cout => \led_flash_cnt[2071][6]~55885\);

-- Location: FF_X40_Y11_N11
\led_flash_cnt[2071][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2071][6]~55884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2071][6]~q\);

-- Location: LCCOMB_X40_Y11_N12
\led_flash_cnt[2071][7]~55886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2071][7]~55886_combout\ = \led_flash_cnt[2071][6]~55885\ $ (!\led_flash_cnt[2071][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2071][7]~q\,
	cin => \led_flash_cnt[2071][6]~55885\,
	combout => \led_flash_cnt[2071][7]~55886_combout\);

-- Location: FF_X40_Y11_N13
\led_flash_cnt[2071][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2071][7]~55886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2071][7]~q\);

-- Location: LCCOMB_X39_Y11_N24
\WideAnd2071~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2071~1_combout\ = (\led_flash_cnt[2071][5]~q\ & \led_flash_cnt[2071][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2071][5]~q\,
	datac => \led_flash_cnt[2071][6]~q\,
	combout => \WideAnd2071~1_combout\);

-- Location: LCCOMB_X36_Y11_N28
WideAnd2071 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2071~combout\ = (\WideAnd2071~0_combout\ & (\led_flash_cnt[2071][7]~q\ & (\led_flash_cnt[2071][0]~q\ & \WideAnd2071~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2071~0_combout\,
	datab => \led_flash_cnt[2071][7]~q\,
	datac => \led_flash_cnt[2071][0]~q\,
	datad => \WideAnd2071~1_combout\,
	combout => \WideAnd2071~combout\);

-- Location: FF_X36_Y11_N29
\led_flash_cnt_ands[2071]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2071~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2071));

-- Location: LCCOMB_X46_Y23_N28
\led_flash_cnt[2069][0]~82709\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2069][0]~82709_combout\ = !\led_flash_cnt[2069][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2069][0]~q\,
	combout => \led_flash_cnt[2069][0]~82709_combout\);

-- Location: FF_X46_Y23_N29
\led_flash_cnt[2069][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2069][0]~82709_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2069][0]~q\);

-- Location: LCCOMB_X45_Y23_N2
\led_flash_cnt[2069][1]~55846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2069][1]~55846_combout\ = (\led_flash_cnt[2069][1]~q\ & (\led_flash_cnt[2069][0]~q\ $ (VCC))) # (!\led_flash_cnt[2069][1]~q\ & (\led_flash_cnt[2069][0]~q\ & VCC))
-- \led_flash_cnt[2069][1]~55847\ = CARRY((\led_flash_cnt[2069][1]~q\ & \led_flash_cnt[2069][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2069][1]~q\,
	datab => \led_flash_cnt[2069][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2069][1]~55846_combout\,
	cout => \led_flash_cnt[2069][1]~55847\);

-- Location: FF_X45_Y23_N3
\led_flash_cnt[2069][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2069][1]~55846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2069][1]~q\);

-- Location: LCCOMB_X45_Y23_N4
\led_flash_cnt[2069][2]~55848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2069][2]~55848_combout\ = (\led_flash_cnt[2069][2]~q\ & (!\led_flash_cnt[2069][1]~55847\)) # (!\led_flash_cnt[2069][2]~q\ & ((\led_flash_cnt[2069][1]~55847\) # (GND)))
-- \led_flash_cnt[2069][2]~55849\ = CARRY((!\led_flash_cnt[2069][1]~55847\) # (!\led_flash_cnt[2069][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2069][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2069][1]~55847\,
	combout => \led_flash_cnt[2069][2]~55848_combout\,
	cout => \led_flash_cnt[2069][2]~55849\);

-- Location: FF_X45_Y23_N5
\led_flash_cnt[2069][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2069][2]~55848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2069][2]~q\);

-- Location: LCCOMB_X45_Y23_N6
\led_flash_cnt[2069][3]~55850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2069][3]~55850_combout\ = (\led_flash_cnt[2069][3]~q\ & (\led_flash_cnt[2069][2]~55849\ $ (GND))) # (!\led_flash_cnt[2069][3]~q\ & (!\led_flash_cnt[2069][2]~55849\ & VCC))
-- \led_flash_cnt[2069][3]~55851\ = CARRY((\led_flash_cnt[2069][3]~q\ & !\led_flash_cnt[2069][2]~55849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2069][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2069][2]~55849\,
	combout => \led_flash_cnt[2069][3]~55850_combout\,
	cout => \led_flash_cnt[2069][3]~55851\);

-- Location: FF_X45_Y23_N7
\led_flash_cnt[2069][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2069][3]~55850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2069][3]~q\);

-- Location: LCCOMB_X45_Y23_N8
\led_flash_cnt[2069][4]~55852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2069][4]~55852_combout\ = (\led_flash_cnt[2069][4]~q\ & (!\led_flash_cnt[2069][3]~55851\)) # (!\led_flash_cnt[2069][4]~q\ & ((\led_flash_cnt[2069][3]~55851\) # (GND)))
-- \led_flash_cnt[2069][4]~55853\ = CARRY((!\led_flash_cnt[2069][3]~55851\) # (!\led_flash_cnt[2069][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2069][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2069][3]~55851\,
	combout => \led_flash_cnt[2069][4]~55852_combout\,
	cout => \led_flash_cnt[2069][4]~55853\);

-- Location: FF_X45_Y23_N9
\led_flash_cnt[2069][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2069][4]~55852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2069][4]~q\);

-- Location: LCCOMB_X45_Y23_N30
\WideAnd2069~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2069~0_combout\ = (\led_flash_cnt[2069][1]~q\ & (\led_flash_cnt[2069][4]~q\ & (\led_flash_cnt[2069][2]~q\ & \led_flash_cnt[2069][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2069][1]~q\,
	datab => \led_flash_cnt[2069][4]~q\,
	datac => \led_flash_cnt[2069][2]~q\,
	datad => \led_flash_cnt[2069][3]~q\,
	combout => \WideAnd2069~0_combout\);

-- Location: LCCOMB_X45_Y23_N10
\led_flash_cnt[2069][5]~55854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2069][5]~55854_combout\ = (\led_flash_cnt[2069][5]~q\ & (\led_flash_cnt[2069][4]~55853\ $ (GND))) # (!\led_flash_cnt[2069][5]~q\ & (!\led_flash_cnt[2069][4]~55853\ & VCC))
-- \led_flash_cnt[2069][5]~55855\ = CARRY((\led_flash_cnt[2069][5]~q\ & !\led_flash_cnt[2069][4]~55853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2069][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2069][4]~55853\,
	combout => \led_flash_cnt[2069][5]~55854_combout\,
	cout => \led_flash_cnt[2069][5]~55855\);

-- Location: FF_X45_Y23_N11
\led_flash_cnt[2069][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2069][5]~55854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2069][5]~q\);

-- Location: LCCOMB_X45_Y23_N12
\led_flash_cnt[2069][6]~55856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2069][6]~55856_combout\ = (\led_flash_cnt[2069][6]~q\ & (!\led_flash_cnt[2069][5]~55855\)) # (!\led_flash_cnt[2069][6]~q\ & ((\led_flash_cnt[2069][5]~55855\) # (GND)))
-- \led_flash_cnt[2069][6]~55857\ = CARRY((!\led_flash_cnt[2069][5]~55855\) # (!\led_flash_cnt[2069][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2069][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2069][5]~55855\,
	combout => \led_flash_cnt[2069][6]~55856_combout\,
	cout => \led_flash_cnt[2069][6]~55857\);

-- Location: FF_X45_Y23_N13
\led_flash_cnt[2069][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2069][6]~55856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2069][6]~q\);

-- Location: LCCOMB_X46_Y23_N24
\WideAnd2069~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2069~1_combout\ = (\led_flash_cnt[2069][6]~q\ & \led_flash_cnt[2069][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2069][6]~q\,
	datad => \led_flash_cnt[2069][5]~q\,
	combout => \WideAnd2069~1_combout\);

-- Location: LCCOMB_X45_Y23_N14
\led_flash_cnt[2069][7]~55858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2069][7]~55858_combout\ = \led_flash_cnt[2069][7]~q\ $ (!\led_flash_cnt[2069][6]~55857\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2069][7]~q\,
	cin => \led_flash_cnt[2069][6]~55857\,
	combout => \led_flash_cnt[2069][7]~55858_combout\);

-- Location: FF_X45_Y23_N15
\led_flash_cnt[2069][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2069][7]~55858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2069][7]~q\);

-- Location: LCCOMB_X45_Y23_N0
WideAnd2069 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2069~combout\ = (\WideAnd2069~0_combout\ & (\WideAnd2069~1_combout\ & (\led_flash_cnt[2069][7]~q\ & \led_flash_cnt[2069][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2069~0_combout\,
	datab => \WideAnd2069~1_combout\,
	datac => \led_flash_cnt[2069][7]~q\,
	datad => \led_flash_cnt[2069][0]~q\,
	combout => \WideAnd2069~combout\);

-- Location: FF_X45_Y23_N1
\led_flash_cnt_ands[2069]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2069~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2069));

-- Location: LCCOMB_X56_Y23_N14
\led_flash_cnt[2068][0]~82708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2068][0]~82708_combout\ = !\led_flash_cnt[2068][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2068][0]~q\,
	combout => \led_flash_cnt[2068][0]~82708_combout\);

-- Location: FF_X56_Y23_N15
\led_flash_cnt[2068][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2068][0]~82708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2068][0]~q\);

-- Location: LCCOMB_X57_Y23_N14
\led_flash_cnt[2068][1]~55832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2068][1]~55832_combout\ = (\led_flash_cnt[2068][0]~q\ & (\led_flash_cnt[2068][1]~q\ $ (VCC))) # (!\led_flash_cnt[2068][0]~q\ & (\led_flash_cnt[2068][1]~q\ & VCC))
-- \led_flash_cnt[2068][1]~55833\ = CARRY((\led_flash_cnt[2068][0]~q\ & \led_flash_cnt[2068][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2068][0]~q\,
	datab => \led_flash_cnt[2068][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2068][1]~55832_combout\,
	cout => \led_flash_cnt[2068][1]~55833\);

-- Location: FF_X57_Y23_N15
\led_flash_cnt[2068][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2068][1]~55832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2068][1]~q\);

-- Location: LCCOMB_X57_Y23_N16
\led_flash_cnt[2068][2]~55834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2068][2]~55834_combout\ = (\led_flash_cnt[2068][2]~q\ & (!\led_flash_cnt[2068][1]~55833\)) # (!\led_flash_cnt[2068][2]~q\ & ((\led_flash_cnt[2068][1]~55833\) # (GND)))
-- \led_flash_cnt[2068][2]~55835\ = CARRY((!\led_flash_cnt[2068][1]~55833\) # (!\led_flash_cnt[2068][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2068][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2068][1]~55833\,
	combout => \led_flash_cnt[2068][2]~55834_combout\,
	cout => \led_flash_cnt[2068][2]~55835\);

-- Location: FF_X57_Y23_N17
\led_flash_cnt[2068][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2068][2]~55834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2068][2]~q\);

-- Location: LCCOMB_X57_Y23_N18
\led_flash_cnt[2068][3]~55836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2068][3]~55836_combout\ = (\led_flash_cnt[2068][3]~q\ & (\led_flash_cnt[2068][2]~55835\ $ (GND))) # (!\led_flash_cnt[2068][3]~q\ & (!\led_flash_cnt[2068][2]~55835\ & VCC))
-- \led_flash_cnt[2068][3]~55837\ = CARRY((\led_flash_cnt[2068][3]~q\ & !\led_flash_cnt[2068][2]~55835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2068][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2068][2]~55835\,
	combout => \led_flash_cnt[2068][3]~55836_combout\,
	cout => \led_flash_cnt[2068][3]~55837\);

-- Location: FF_X57_Y23_N19
\led_flash_cnt[2068][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2068][3]~55836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2068][3]~q\);

-- Location: LCCOMB_X57_Y23_N20
\led_flash_cnt[2068][4]~55838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2068][4]~55838_combout\ = (\led_flash_cnt[2068][4]~q\ & (!\led_flash_cnt[2068][3]~55837\)) # (!\led_flash_cnt[2068][4]~q\ & ((\led_flash_cnt[2068][3]~55837\) # (GND)))
-- \led_flash_cnt[2068][4]~55839\ = CARRY((!\led_flash_cnt[2068][3]~55837\) # (!\led_flash_cnt[2068][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2068][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2068][3]~55837\,
	combout => \led_flash_cnt[2068][4]~55838_combout\,
	cout => \led_flash_cnt[2068][4]~55839\);

-- Location: FF_X57_Y23_N21
\led_flash_cnt[2068][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2068][4]~55838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2068][4]~q\);

-- Location: LCCOMB_X57_Y23_N22
\led_flash_cnt[2068][5]~55840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2068][5]~55840_combout\ = (\led_flash_cnt[2068][5]~q\ & (\led_flash_cnt[2068][4]~55839\ $ (GND))) # (!\led_flash_cnt[2068][5]~q\ & (!\led_flash_cnt[2068][4]~55839\ & VCC))
-- \led_flash_cnt[2068][5]~55841\ = CARRY((\led_flash_cnt[2068][5]~q\ & !\led_flash_cnt[2068][4]~55839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2068][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2068][4]~55839\,
	combout => \led_flash_cnt[2068][5]~55840_combout\,
	cout => \led_flash_cnt[2068][5]~55841\);

-- Location: FF_X57_Y23_N23
\led_flash_cnt[2068][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2068][5]~55840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2068][5]~q\);

-- Location: LCCOMB_X57_Y23_N24
\led_flash_cnt[2068][6]~55842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2068][6]~55842_combout\ = (\led_flash_cnt[2068][6]~q\ & (!\led_flash_cnt[2068][5]~55841\)) # (!\led_flash_cnt[2068][6]~q\ & ((\led_flash_cnt[2068][5]~55841\) # (GND)))
-- \led_flash_cnt[2068][6]~55843\ = CARRY((!\led_flash_cnt[2068][5]~55841\) # (!\led_flash_cnt[2068][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2068][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2068][5]~55841\,
	combout => \led_flash_cnt[2068][6]~55842_combout\,
	cout => \led_flash_cnt[2068][6]~55843\);

-- Location: FF_X57_Y23_N25
\led_flash_cnt[2068][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2068][6]~55842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2068][6]~q\);

-- Location: LCCOMB_X57_Y23_N28
\WideAnd2068~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2068~1_combout\ = (\led_flash_cnt[2068][5]~q\ & \led_flash_cnt[2068][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2068][5]~q\,
	datad => \led_flash_cnt[2068][6]~q\,
	combout => \WideAnd2068~1_combout\);

-- Location: LCCOMB_X57_Y23_N26
\led_flash_cnt[2068][7]~55844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2068][7]~55844_combout\ = \led_flash_cnt[2068][7]~q\ $ (!\led_flash_cnt[2068][6]~55843\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2068][7]~q\,
	cin => \led_flash_cnt[2068][6]~55843\,
	combout => \led_flash_cnt[2068][7]~55844_combout\);

-- Location: FF_X57_Y23_N27
\led_flash_cnt[2068][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2068][7]~55844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2068][7]~q\);

-- Location: LCCOMB_X57_Y23_N2
\WideAnd2068~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2068~0_combout\ = (\led_flash_cnt[2068][4]~q\ & (\led_flash_cnt[2068][3]~q\ & (\led_flash_cnt[2068][1]~q\ & \led_flash_cnt[2068][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2068][4]~q\,
	datab => \led_flash_cnt[2068][3]~q\,
	datac => \led_flash_cnt[2068][1]~q\,
	datad => \led_flash_cnt[2068][2]~q\,
	combout => \WideAnd2068~0_combout\);

-- Location: LCCOMB_X57_Y23_N0
WideAnd2068 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2068~combout\ = (\led_flash_cnt[2068][0]~q\ & (\WideAnd2068~1_combout\ & (\led_flash_cnt[2068][7]~q\ & \WideAnd2068~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2068][0]~q\,
	datab => \WideAnd2068~1_combout\,
	datac => \led_flash_cnt[2068][7]~q\,
	datad => \WideAnd2068~0_combout\,
	combout => \WideAnd2068~combout\);

-- Location: FF_X56_Y23_N5
\led_flash_cnt_ands[2068]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd2068~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2068));

-- Location: LCCOMB_X44_Y23_N8
\WideAnd4098~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4098~1_combout\ = (led_flash_cnt_ands(2069) & led_flash_cnt_ands(2068))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2069),
	datac => led_flash_cnt_ands(2068),
	combout => \WideAnd4098~1_combout\);

-- Location: LCCOMB_X36_Y12_N2
\led_flash_cnt[2070][0]~82710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2070][0]~82710_combout\ = !\led_flash_cnt[2070][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2070][0]~q\,
	combout => \led_flash_cnt[2070][0]~82710_combout\);

-- Location: FF_X36_Y12_N3
\led_flash_cnt[2070][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2070][0]~82710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2070][0]~q\);

-- Location: LCCOMB_X35_Y12_N0
\led_flash_cnt[2070][1]~55860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2070][1]~55860_combout\ = (\led_flash_cnt[2070][0]~q\ & (\led_flash_cnt[2070][1]~q\ $ (VCC))) # (!\led_flash_cnt[2070][0]~q\ & (\led_flash_cnt[2070][1]~q\ & VCC))
-- \led_flash_cnt[2070][1]~55861\ = CARRY((\led_flash_cnt[2070][0]~q\ & \led_flash_cnt[2070][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2070][0]~q\,
	datab => \led_flash_cnt[2070][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2070][1]~55860_combout\,
	cout => \led_flash_cnt[2070][1]~55861\);

-- Location: FF_X35_Y12_N1
\led_flash_cnt[2070][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2070][1]~55860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2070][1]~q\);

-- Location: LCCOMB_X35_Y12_N2
\led_flash_cnt[2070][2]~55862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2070][2]~55862_combout\ = (\led_flash_cnt[2070][2]~q\ & (!\led_flash_cnt[2070][1]~55861\)) # (!\led_flash_cnt[2070][2]~q\ & ((\led_flash_cnt[2070][1]~55861\) # (GND)))
-- \led_flash_cnt[2070][2]~55863\ = CARRY((!\led_flash_cnt[2070][1]~55861\) # (!\led_flash_cnt[2070][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2070][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2070][1]~55861\,
	combout => \led_flash_cnt[2070][2]~55862_combout\,
	cout => \led_flash_cnt[2070][2]~55863\);

-- Location: FF_X35_Y12_N3
\led_flash_cnt[2070][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2070][2]~55862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2070][2]~q\);

-- Location: LCCOMB_X35_Y12_N4
\led_flash_cnt[2070][3]~55864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2070][3]~55864_combout\ = (\led_flash_cnt[2070][3]~q\ & (\led_flash_cnt[2070][2]~55863\ $ (GND))) # (!\led_flash_cnt[2070][3]~q\ & (!\led_flash_cnt[2070][2]~55863\ & VCC))
-- \led_flash_cnt[2070][3]~55865\ = CARRY((\led_flash_cnt[2070][3]~q\ & !\led_flash_cnt[2070][2]~55863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2070][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2070][2]~55863\,
	combout => \led_flash_cnt[2070][3]~55864_combout\,
	cout => \led_flash_cnt[2070][3]~55865\);

-- Location: FF_X35_Y12_N5
\led_flash_cnt[2070][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2070][3]~55864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2070][3]~q\);

-- Location: LCCOMB_X35_Y12_N6
\led_flash_cnt[2070][4]~55866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2070][4]~55866_combout\ = (\led_flash_cnt[2070][4]~q\ & (!\led_flash_cnt[2070][3]~55865\)) # (!\led_flash_cnt[2070][4]~q\ & ((\led_flash_cnt[2070][3]~55865\) # (GND)))
-- \led_flash_cnt[2070][4]~55867\ = CARRY((!\led_flash_cnt[2070][3]~55865\) # (!\led_flash_cnt[2070][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2070][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2070][3]~55865\,
	combout => \led_flash_cnt[2070][4]~55866_combout\,
	cout => \led_flash_cnt[2070][4]~55867\);

-- Location: FF_X35_Y12_N7
\led_flash_cnt[2070][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2070][4]~55866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2070][4]~q\);

-- Location: LCCOMB_X35_Y12_N8
\led_flash_cnt[2070][5]~55868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2070][5]~55868_combout\ = (\led_flash_cnt[2070][5]~q\ & (\led_flash_cnt[2070][4]~55867\ $ (GND))) # (!\led_flash_cnt[2070][5]~q\ & (!\led_flash_cnt[2070][4]~55867\ & VCC))
-- \led_flash_cnt[2070][5]~55869\ = CARRY((\led_flash_cnt[2070][5]~q\ & !\led_flash_cnt[2070][4]~55867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2070][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2070][4]~55867\,
	combout => \led_flash_cnt[2070][5]~55868_combout\,
	cout => \led_flash_cnt[2070][5]~55869\);

-- Location: FF_X35_Y12_N9
\led_flash_cnt[2070][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2070][5]~55868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2070][5]~q\);

-- Location: LCCOMB_X35_Y12_N10
\led_flash_cnt[2070][6]~55870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2070][6]~55870_combout\ = (\led_flash_cnt[2070][6]~q\ & (!\led_flash_cnt[2070][5]~55869\)) # (!\led_flash_cnt[2070][6]~q\ & ((\led_flash_cnt[2070][5]~55869\) # (GND)))
-- \led_flash_cnt[2070][6]~55871\ = CARRY((!\led_flash_cnt[2070][5]~55869\) # (!\led_flash_cnt[2070][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2070][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2070][5]~55869\,
	combout => \led_flash_cnt[2070][6]~55870_combout\,
	cout => \led_flash_cnt[2070][6]~55871\);

-- Location: FF_X35_Y12_N11
\led_flash_cnt[2070][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2070][6]~55870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2070][6]~q\);

-- Location: LCCOMB_X35_Y12_N12
\led_flash_cnt[2070][7]~55872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2070][7]~55872_combout\ = \led_flash_cnt[2070][6]~55871\ $ (!\led_flash_cnt[2070][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2070][7]~q\,
	cin => \led_flash_cnt[2070][6]~55871\,
	combout => \led_flash_cnt[2070][7]~55872_combout\);

-- Location: FF_X35_Y12_N13
\led_flash_cnt[2070][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2070][7]~55872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2070][7]~q\);

-- Location: LCCOMB_X36_Y12_N18
\WideAnd2070~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2070~1_combout\ = (\led_flash_cnt[2070][6]~q\ & \led_flash_cnt[2070][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2070][6]~q\,
	datad => \led_flash_cnt[2070][5]~q\,
	combout => \WideAnd2070~1_combout\);

-- Location: LCCOMB_X35_Y12_N14
\WideAnd2070~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2070~0_combout\ = (\led_flash_cnt[2070][4]~q\ & (\led_flash_cnt[2070][1]~q\ & (\led_flash_cnt[2070][3]~q\ & \led_flash_cnt[2070][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2070][4]~q\,
	datab => \led_flash_cnt[2070][1]~q\,
	datac => \led_flash_cnt[2070][3]~q\,
	datad => \led_flash_cnt[2070][2]~q\,
	combout => \WideAnd2070~0_combout\);

-- Location: LCCOMB_X36_Y12_N0
WideAnd2070 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2070~combout\ = (\led_flash_cnt[2070][7]~q\ & (\WideAnd2070~1_combout\ & (\led_flash_cnt[2070][0]~q\ & \WideAnd2070~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2070][7]~q\,
	datab => \WideAnd2070~1_combout\,
	datac => \led_flash_cnt[2070][0]~q\,
	datad => \WideAnd2070~0_combout\,
	combout => \WideAnd2070~combout\);

-- Location: FF_X36_Y12_N1
\led_flash_cnt_ands[2070]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2070~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2070));

-- Location: LCCOMB_X36_Y12_N28
WideAnd4098 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4098~combout\ = (\WideAnd4098~0_combout\ & (led_flash_cnt_ands(2071) & (\WideAnd4098~1_combout\ & led_flash_cnt_ands(2070))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4098~0_combout\,
	datab => led_flash_cnt_ands(2071),
	datac => \WideAnd4098~1_combout\,
	datad => led_flash_cnt_ands(2070),
	combout => \WideAnd4098~combout\);

-- Location: FF_X36_Y12_N29
\led_flash_cnt_ands_1[258]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4098~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(258));

-- Location: LCCOMB_X22_Y6_N10
\led_flash_cnt[2053][0]~82693\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2053][0]~82693_combout\ = !\led_flash_cnt[2053][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2053][0]~q\,
	combout => \led_flash_cnt[2053][0]~82693_combout\);

-- Location: FF_X22_Y6_N11
\led_flash_cnt[2053][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2053][0]~82693_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2053][0]~q\);

-- Location: LCCOMB_X22_Y6_N16
\led_flash_cnt[2053][1]~55622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2053][1]~55622_combout\ = (\led_flash_cnt[2053][0]~q\ & (\led_flash_cnt[2053][1]~q\ $ (VCC))) # (!\led_flash_cnt[2053][0]~q\ & (\led_flash_cnt[2053][1]~q\ & VCC))
-- \led_flash_cnt[2053][1]~55623\ = CARRY((\led_flash_cnt[2053][0]~q\ & \led_flash_cnt[2053][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2053][0]~q\,
	datab => \led_flash_cnt[2053][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2053][1]~55622_combout\,
	cout => \led_flash_cnt[2053][1]~55623\);

-- Location: FF_X22_Y6_N17
\led_flash_cnt[2053][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2053][1]~55622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2053][1]~q\);

-- Location: LCCOMB_X22_Y6_N18
\led_flash_cnt[2053][2]~55624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2053][2]~55624_combout\ = (\led_flash_cnt[2053][2]~q\ & (!\led_flash_cnt[2053][1]~55623\)) # (!\led_flash_cnt[2053][2]~q\ & ((\led_flash_cnt[2053][1]~55623\) # (GND)))
-- \led_flash_cnt[2053][2]~55625\ = CARRY((!\led_flash_cnt[2053][1]~55623\) # (!\led_flash_cnt[2053][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2053][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2053][1]~55623\,
	combout => \led_flash_cnt[2053][2]~55624_combout\,
	cout => \led_flash_cnt[2053][2]~55625\);

-- Location: FF_X22_Y6_N19
\led_flash_cnt[2053][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2053][2]~55624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2053][2]~q\);

-- Location: LCCOMB_X22_Y6_N20
\led_flash_cnt[2053][3]~55626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2053][3]~55626_combout\ = (\led_flash_cnt[2053][3]~q\ & (\led_flash_cnt[2053][2]~55625\ $ (GND))) # (!\led_flash_cnt[2053][3]~q\ & (!\led_flash_cnt[2053][2]~55625\ & VCC))
-- \led_flash_cnt[2053][3]~55627\ = CARRY((\led_flash_cnt[2053][3]~q\ & !\led_flash_cnt[2053][2]~55625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2053][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2053][2]~55625\,
	combout => \led_flash_cnt[2053][3]~55626_combout\,
	cout => \led_flash_cnt[2053][3]~55627\);

-- Location: FF_X22_Y6_N21
\led_flash_cnt[2053][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2053][3]~55626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2053][3]~q\);

-- Location: LCCOMB_X22_Y6_N22
\led_flash_cnt[2053][4]~55628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2053][4]~55628_combout\ = (\led_flash_cnt[2053][4]~q\ & (!\led_flash_cnt[2053][3]~55627\)) # (!\led_flash_cnt[2053][4]~q\ & ((\led_flash_cnt[2053][3]~55627\) # (GND)))
-- \led_flash_cnt[2053][4]~55629\ = CARRY((!\led_flash_cnt[2053][3]~55627\) # (!\led_flash_cnt[2053][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2053][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2053][3]~55627\,
	combout => \led_flash_cnt[2053][4]~55628_combout\,
	cout => \led_flash_cnt[2053][4]~55629\);

-- Location: FF_X22_Y6_N23
\led_flash_cnt[2053][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2053][4]~55628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2053][4]~q\);

-- Location: LCCOMB_X22_Y6_N24
\led_flash_cnt[2053][5]~55630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2053][5]~55630_combout\ = (\led_flash_cnt[2053][5]~q\ & (\led_flash_cnt[2053][4]~55629\ $ (GND))) # (!\led_flash_cnt[2053][5]~q\ & (!\led_flash_cnt[2053][4]~55629\ & VCC))
-- \led_flash_cnt[2053][5]~55631\ = CARRY((\led_flash_cnt[2053][5]~q\ & !\led_flash_cnt[2053][4]~55629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2053][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2053][4]~55629\,
	combout => \led_flash_cnt[2053][5]~55630_combout\,
	cout => \led_flash_cnt[2053][5]~55631\);

-- Location: FF_X22_Y6_N25
\led_flash_cnt[2053][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2053][5]~55630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2053][5]~q\);

-- Location: LCCOMB_X22_Y6_N26
\led_flash_cnt[2053][6]~55632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2053][6]~55632_combout\ = (\led_flash_cnt[2053][6]~q\ & (!\led_flash_cnt[2053][5]~55631\)) # (!\led_flash_cnt[2053][6]~q\ & ((\led_flash_cnt[2053][5]~55631\) # (GND)))
-- \led_flash_cnt[2053][6]~55633\ = CARRY((!\led_flash_cnt[2053][5]~55631\) # (!\led_flash_cnt[2053][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2053][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2053][5]~55631\,
	combout => \led_flash_cnt[2053][6]~55632_combout\,
	cout => \led_flash_cnt[2053][6]~55633\);

-- Location: FF_X22_Y6_N27
\led_flash_cnt[2053][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2053][6]~55632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2053][6]~q\);

-- Location: LCCOMB_X22_Y6_N28
\led_flash_cnt[2053][7]~55634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2053][7]~55634_combout\ = \led_flash_cnt[2053][6]~55633\ $ (!\led_flash_cnt[2053][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2053][7]~q\,
	cin => \led_flash_cnt[2053][6]~55633\,
	combout => \led_flash_cnt[2053][7]~55634_combout\);

-- Location: FF_X22_Y6_N29
\led_flash_cnt[2053][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2053][7]~55634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2053][7]~q\);

-- Location: LCCOMB_X22_Y6_N30
\WideAnd2053~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2053~0_combout\ = (\led_flash_cnt[2053][2]~q\ & (\led_flash_cnt[2053][1]~q\ & (\led_flash_cnt[2053][4]~q\ & \led_flash_cnt[2053][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2053][2]~q\,
	datab => \led_flash_cnt[2053][1]~q\,
	datac => \led_flash_cnt[2053][4]~q\,
	datad => \led_flash_cnt[2053][3]~q\,
	combout => \WideAnd2053~0_combout\);

-- Location: LCCOMB_X22_Y6_N12
\WideAnd2053~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2053~1_combout\ = (\led_flash_cnt[2053][6]~q\ & \led_flash_cnt[2053][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2053][6]~q\,
	datad => \led_flash_cnt[2053][5]~q\,
	combout => \WideAnd2053~1_combout\);

-- Location: LCCOMB_X22_Y6_N14
WideAnd2053 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2053~combout\ = (\led_flash_cnt[2053][0]~q\ & (\led_flash_cnt[2053][7]~q\ & (\WideAnd2053~0_combout\ & \WideAnd2053~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2053][0]~q\,
	datab => \led_flash_cnt[2053][7]~q\,
	datac => \WideAnd2053~0_combout\,
	datad => \WideAnd2053~1_combout\,
	combout => \WideAnd2053~combout\);

-- Location: FF_X22_Y6_N15
\led_flash_cnt_ands[2053]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2053~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2053));

-- Location: LCCOMB_X23_Y8_N22
\led_flash_cnt[2052][0]~82692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2052][0]~82692_combout\ = !\led_flash_cnt[2052][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2052][0]~q\,
	combout => \led_flash_cnt[2052][0]~82692_combout\);

-- Location: FF_X23_Y8_N23
\led_flash_cnt[2052][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2052][0]~82692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2052][0]~q\);

-- Location: LCCOMB_X23_Y6_N16
\led_flash_cnt[2052][1]~55608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2052][1]~55608_combout\ = (\led_flash_cnt[2052][0]~q\ & (\led_flash_cnt[2052][1]~q\ $ (VCC))) # (!\led_flash_cnt[2052][0]~q\ & (\led_flash_cnt[2052][1]~q\ & VCC))
-- \led_flash_cnt[2052][1]~55609\ = CARRY((\led_flash_cnt[2052][0]~q\ & \led_flash_cnt[2052][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2052][0]~q\,
	datab => \led_flash_cnt[2052][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2052][1]~55608_combout\,
	cout => \led_flash_cnt[2052][1]~55609\);

-- Location: FF_X23_Y6_N17
\led_flash_cnt[2052][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2052][1]~55608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2052][1]~q\);

-- Location: LCCOMB_X23_Y6_N18
\led_flash_cnt[2052][2]~55610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2052][2]~55610_combout\ = (\led_flash_cnt[2052][2]~q\ & (!\led_flash_cnt[2052][1]~55609\)) # (!\led_flash_cnt[2052][2]~q\ & ((\led_flash_cnt[2052][1]~55609\) # (GND)))
-- \led_flash_cnt[2052][2]~55611\ = CARRY((!\led_flash_cnt[2052][1]~55609\) # (!\led_flash_cnt[2052][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2052][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2052][1]~55609\,
	combout => \led_flash_cnt[2052][2]~55610_combout\,
	cout => \led_flash_cnt[2052][2]~55611\);

-- Location: FF_X23_Y6_N19
\led_flash_cnt[2052][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2052][2]~55610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2052][2]~q\);

-- Location: LCCOMB_X23_Y6_N20
\led_flash_cnt[2052][3]~55612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2052][3]~55612_combout\ = (\led_flash_cnt[2052][3]~q\ & (\led_flash_cnt[2052][2]~55611\ $ (GND))) # (!\led_flash_cnt[2052][3]~q\ & (!\led_flash_cnt[2052][2]~55611\ & VCC))
-- \led_flash_cnt[2052][3]~55613\ = CARRY((\led_flash_cnt[2052][3]~q\ & !\led_flash_cnt[2052][2]~55611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2052][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2052][2]~55611\,
	combout => \led_flash_cnt[2052][3]~55612_combout\,
	cout => \led_flash_cnt[2052][3]~55613\);

-- Location: FF_X23_Y6_N21
\led_flash_cnt[2052][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2052][3]~55612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2052][3]~q\);

-- Location: LCCOMB_X23_Y6_N22
\led_flash_cnt[2052][4]~55614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2052][4]~55614_combout\ = (\led_flash_cnt[2052][4]~q\ & (!\led_flash_cnt[2052][3]~55613\)) # (!\led_flash_cnt[2052][4]~q\ & ((\led_flash_cnt[2052][3]~55613\) # (GND)))
-- \led_flash_cnt[2052][4]~55615\ = CARRY((!\led_flash_cnt[2052][3]~55613\) # (!\led_flash_cnt[2052][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2052][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2052][3]~55613\,
	combout => \led_flash_cnt[2052][4]~55614_combout\,
	cout => \led_flash_cnt[2052][4]~55615\);

-- Location: FF_X23_Y6_N23
\led_flash_cnt[2052][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2052][4]~55614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2052][4]~q\);

-- Location: LCCOMB_X23_Y6_N24
\led_flash_cnt[2052][5]~55616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2052][5]~55616_combout\ = (\led_flash_cnt[2052][5]~q\ & (\led_flash_cnt[2052][4]~55615\ $ (GND))) # (!\led_flash_cnt[2052][5]~q\ & (!\led_flash_cnt[2052][4]~55615\ & VCC))
-- \led_flash_cnt[2052][5]~55617\ = CARRY((\led_flash_cnt[2052][5]~q\ & !\led_flash_cnt[2052][4]~55615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2052][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2052][4]~55615\,
	combout => \led_flash_cnt[2052][5]~55616_combout\,
	cout => \led_flash_cnt[2052][5]~55617\);

-- Location: FF_X23_Y6_N25
\led_flash_cnt[2052][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2052][5]~55616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2052][5]~q\);

-- Location: LCCOMB_X23_Y6_N26
\led_flash_cnt[2052][6]~55618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2052][6]~55618_combout\ = (\led_flash_cnt[2052][6]~q\ & (!\led_flash_cnt[2052][5]~55617\)) # (!\led_flash_cnt[2052][6]~q\ & ((\led_flash_cnt[2052][5]~55617\) # (GND)))
-- \led_flash_cnt[2052][6]~55619\ = CARRY((!\led_flash_cnt[2052][5]~55617\) # (!\led_flash_cnt[2052][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2052][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2052][5]~55617\,
	combout => \led_flash_cnt[2052][6]~55618_combout\,
	cout => \led_flash_cnt[2052][6]~55619\);

-- Location: FF_X23_Y6_N27
\led_flash_cnt[2052][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2052][6]~55618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2052][6]~q\);

-- Location: LCCOMB_X22_Y6_N8
\WideAnd2052~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2052~1_combout\ = (\led_flash_cnt[2052][6]~q\ & \led_flash_cnt[2052][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2052][6]~q\,
	datad => \led_flash_cnt[2052][5]~q\,
	combout => \WideAnd2052~1_combout\);

-- Location: LCCOMB_X23_Y6_N30
\WideAnd2052~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2052~0_combout\ = (\led_flash_cnt[2052][3]~q\ & (\led_flash_cnt[2052][1]~q\ & (\led_flash_cnt[2052][4]~q\ & \led_flash_cnt[2052][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2052][3]~q\,
	datab => \led_flash_cnt[2052][1]~q\,
	datac => \led_flash_cnt[2052][4]~q\,
	datad => \led_flash_cnt[2052][2]~q\,
	combout => \WideAnd2052~0_combout\);

-- Location: LCCOMB_X23_Y6_N28
\led_flash_cnt[2052][7]~55620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2052][7]~55620_combout\ = \led_flash_cnt[2052][6]~55619\ $ (!\led_flash_cnt[2052][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2052][7]~q\,
	cin => \led_flash_cnt[2052][6]~55619\,
	combout => \led_flash_cnt[2052][7]~55620_combout\);

-- Location: FF_X23_Y6_N29
\led_flash_cnt[2052][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2052][7]~55620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2052][7]~q\);

-- Location: LCCOMB_X22_Y6_N2
WideAnd2052 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2052~combout\ = (\led_flash_cnt[2052][0]~q\ & (\WideAnd2052~1_combout\ & (\WideAnd2052~0_combout\ & \led_flash_cnt[2052][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2052][0]~q\,
	datab => \WideAnd2052~1_combout\,
	datac => \WideAnd2052~0_combout\,
	datad => \led_flash_cnt[2052][7]~q\,
	combout => \WideAnd2052~combout\);

-- Location: FF_X22_Y6_N3
\led_flash_cnt_ands[2052]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2052~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2052));

-- Location: LCCOMB_X22_Y6_N6
\WideAnd4096~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4096~1_combout\ = (led_flash_cnt_ands(2053) & led_flash_cnt_ands(2052))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2053),
	datad => led_flash_cnt_ands(2052),
	combout => \WideAnd4096~1_combout\);

-- Location: LCCOMB_X16_Y12_N2
\led_flash_cnt[2054][0]~82694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2054][0]~82694_combout\ = !\led_flash_cnt[2054][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2054][0]~q\,
	combout => \led_flash_cnt[2054][0]~82694_combout\);

-- Location: FF_X16_Y12_N3
\led_flash_cnt[2054][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2054][0]~82694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2054][0]~q\);

-- Location: LCCOMB_X15_Y12_N2
\led_flash_cnt[2054][1]~55636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2054][1]~55636_combout\ = (\led_flash_cnt[2054][0]~q\ & (\led_flash_cnt[2054][1]~q\ $ (VCC))) # (!\led_flash_cnt[2054][0]~q\ & (\led_flash_cnt[2054][1]~q\ & VCC))
-- \led_flash_cnt[2054][1]~55637\ = CARRY((\led_flash_cnt[2054][0]~q\ & \led_flash_cnt[2054][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2054][0]~q\,
	datab => \led_flash_cnt[2054][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2054][1]~55636_combout\,
	cout => \led_flash_cnt[2054][1]~55637\);

-- Location: FF_X15_Y12_N3
\led_flash_cnt[2054][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2054][1]~55636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2054][1]~q\);

-- Location: LCCOMB_X15_Y12_N4
\led_flash_cnt[2054][2]~55638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2054][2]~55638_combout\ = (\led_flash_cnt[2054][2]~q\ & (!\led_flash_cnt[2054][1]~55637\)) # (!\led_flash_cnt[2054][2]~q\ & ((\led_flash_cnt[2054][1]~55637\) # (GND)))
-- \led_flash_cnt[2054][2]~55639\ = CARRY((!\led_flash_cnt[2054][1]~55637\) # (!\led_flash_cnt[2054][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2054][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2054][1]~55637\,
	combout => \led_flash_cnt[2054][2]~55638_combout\,
	cout => \led_flash_cnt[2054][2]~55639\);

-- Location: FF_X15_Y12_N5
\led_flash_cnt[2054][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2054][2]~55638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2054][2]~q\);

-- Location: LCCOMB_X15_Y12_N6
\led_flash_cnt[2054][3]~55640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2054][3]~55640_combout\ = (\led_flash_cnt[2054][3]~q\ & (\led_flash_cnt[2054][2]~55639\ $ (GND))) # (!\led_flash_cnt[2054][3]~q\ & (!\led_flash_cnt[2054][2]~55639\ & VCC))
-- \led_flash_cnt[2054][3]~55641\ = CARRY((\led_flash_cnt[2054][3]~q\ & !\led_flash_cnt[2054][2]~55639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2054][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2054][2]~55639\,
	combout => \led_flash_cnt[2054][3]~55640_combout\,
	cout => \led_flash_cnt[2054][3]~55641\);

-- Location: FF_X15_Y12_N7
\led_flash_cnt[2054][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2054][3]~55640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2054][3]~q\);

-- Location: LCCOMB_X15_Y12_N8
\led_flash_cnt[2054][4]~55642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2054][4]~55642_combout\ = (\led_flash_cnt[2054][4]~q\ & (!\led_flash_cnt[2054][3]~55641\)) # (!\led_flash_cnt[2054][4]~q\ & ((\led_flash_cnt[2054][3]~55641\) # (GND)))
-- \led_flash_cnt[2054][4]~55643\ = CARRY((!\led_flash_cnt[2054][3]~55641\) # (!\led_flash_cnt[2054][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2054][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2054][3]~55641\,
	combout => \led_flash_cnt[2054][4]~55642_combout\,
	cout => \led_flash_cnt[2054][4]~55643\);

-- Location: FF_X15_Y12_N9
\led_flash_cnt[2054][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2054][4]~55642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2054][4]~q\);

-- Location: LCCOMB_X15_Y12_N10
\led_flash_cnt[2054][5]~55644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2054][5]~55644_combout\ = (\led_flash_cnt[2054][5]~q\ & (\led_flash_cnt[2054][4]~55643\ $ (GND))) # (!\led_flash_cnt[2054][5]~q\ & (!\led_flash_cnt[2054][4]~55643\ & VCC))
-- \led_flash_cnt[2054][5]~55645\ = CARRY((\led_flash_cnt[2054][5]~q\ & !\led_flash_cnt[2054][4]~55643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2054][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2054][4]~55643\,
	combout => \led_flash_cnt[2054][5]~55644_combout\,
	cout => \led_flash_cnt[2054][5]~55645\);

-- Location: FF_X15_Y12_N11
\led_flash_cnt[2054][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2054][5]~55644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2054][5]~q\);

-- Location: LCCOMB_X15_Y12_N12
\led_flash_cnt[2054][6]~55646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2054][6]~55646_combout\ = (\led_flash_cnt[2054][6]~q\ & (!\led_flash_cnt[2054][5]~55645\)) # (!\led_flash_cnt[2054][6]~q\ & ((\led_flash_cnt[2054][5]~55645\) # (GND)))
-- \led_flash_cnt[2054][6]~55647\ = CARRY((!\led_flash_cnt[2054][5]~55645\) # (!\led_flash_cnt[2054][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2054][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2054][5]~55645\,
	combout => \led_flash_cnt[2054][6]~55646_combout\,
	cout => \led_flash_cnt[2054][6]~55647\);

-- Location: FF_X15_Y12_N13
\led_flash_cnt[2054][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2054][6]~55646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2054][6]~q\);

-- Location: LCCOMB_X15_Y12_N14
\led_flash_cnt[2054][7]~55648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2054][7]~55648_combout\ = \led_flash_cnt[2054][7]~q\ $ (!\led_flash_cnt[2054][6]~55647\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2054][7]~q\,
	cin => \led_flash_cnt[2054][6]~55647\,
	combout => \led_flash_cnt[2054][7]~55648_combout\);

-- Location: FF_X15_Y12_N15
\led_flash_cnt[2054][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2054][7]~55648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2054][7]~q\);

-- Location: LCCOMB_X16_Y12_N28
\WideAnd2054~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2054~1_combout\ = (\led_flash_cnt[2054][5]~q\ & \led_flash_cnt[2054][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2054][5]~q\,
	datad => \led_flash_cnt[2054][6]~q\,
	combout => \WideAnd2054~1_combout\);

-- Location: LCCOMB_X16_Y12_N8
\WideAnd2054~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2054~0_combout\ = (\led_flash_cnt[2054][4]~q\ & (\led_flash_cnt[2054][2]~q\ & (\led_flash_cnt[2054][3]~q\ & \led_flash_cnt[2054][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2054][4]~q\,
	datab => \led_flash_cnt[2054][2]~q\,
	datac => \led_flash_cnt[2054][3]~q\,
	datad => \led_flash_cnt[2054][1]~q\,
	combout => \WideAnd2054~0_combout\);

-- Location: LCCOMB_X16_Y12_N30
WideAnd2054 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2054~combout\ = (\led_flash_cnt[2054][7]~q\ & (\WideAnd2054~1_combout\ & (\WideAnd2054~0_combout\ & \led_flash_cnt[2054][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2054][7]~q\,
	datab => \WideAnd2054~1_combout\,
	datac => \WideAnd2054~0_combout\,
	datad => \led_flash_cnt[2054][0]~q\,
	combout => \WideAnd2054~combout\);

-- Location: FF_X16_Y12_N31
\led_flash_cnt_ands[2054]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2054~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2054));

-- Location: LCCOMB_X20_Y2_N2
\led_flash_cnt[2055][0]~82695\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2055][0]~82695_combout\ = !\led_flash_cnt[2055][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2055][0]~q\,
	combout => \led_flash_cnt[2055][0]~82695_combout\);

-- Location: FF_X20_Y2_N3
\led_flash_cnt[2055][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2055][0]~82695_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2055][0]~q\);

-- Location: LCCOMB_X19_Y2_N14
\led_flash_cnt[2055][1]~55650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2055][1]~55650_combout\ = (\led_flash_cnt[2055][0]~q\ & (\led_flash_cnt[2055][1]~q\ $ (VCC))) # (!\led_flash_cnt[2055][0]~q\ & (\led_flash_cnt[2055][1]~q\ & VCC))
-- \led_flash_cnt[2055][1]~55651\ = CARRY((\led_flash_cnt[2055][0]~q\ & \led_flash_cnt[2055][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2055][0]~q\,
	datab => \led_flash_cnt[2055][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2055][1]~55650_combout\,
	cout => \led_flash_cnt[2055][1]~55651\);

-- Location: FF_X19_Y2_N15
\led_flash_cnt[2055][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2055][1]~55650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2055][1]~q\);

-- Location: LCCOMB_X19_Y2_N16
\led_flash_cnt[2055][2]~55652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2055][2]~55652_combout\ = (\led_flash_cnt[2055][2]~q\ & (!\led_flash_cnt[2055][1]~55651\)) # (!\led_flash_cnt[2055][2]~q\ & ((\led_flash_cnt[2055][1]~55651\) # (GND)))
-- \led_flash_cnt[2055][2]~55653\ = CARRY((!\led_flash_cnt[2055][1]~55651\) # (!\led_flash_cnt[2055][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2055][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2055][1]~55651\,
	combout => \led_flash_cnt[2055][2]~55652_combout\,
	cout => \led_flash_cnt[2055][2]~55653\);

-- Location: FF_X19_Y2_N17
\led_flash_cnt[2055][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2055][2]~55652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2055][2]~q\);

-- Location: LCCOMB_X19_Y2_N18
\led_flash_cnt[2055][3]~55654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2055][3]~55654_combout\ = (\led_flash_cnt[2055][3]~q\ & (\led_flash_cnt[2055][2]~55653\ $ (GND))) # (!\led_flash_cnt[2055][3]~q\ & (!\led_flash_cnt[2055][2]~55653\ & VCC))
-- \led_flash_cnt[2055][3]~55655\ = CARRY((\led_flash_cnt[2055][3]~q\ & !\led_flash_cnt[2055][2]~55653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2055][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2055][2]~55653\,
	combout => \led_flash_cnt[2055][3]~55654_combout\,
	cout => \led_flash_cnt[2055][3]~55655\);

-- Location: FF_X19_Y2_N19
\led_flash_cnt[2055][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2055][3]~55654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2055][3]~q\);

-- Location: LCCOMB_X19_Y2_N20
\led_flash_cnt[2055][4]~55656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2055][4]~55656_combout\ = (\led_flash_cnt[2055][4]~q\ & (!\led_flash_cnt[2055][3]~55655\)) # (!\led_flash_cnt[2055][4]~q\ & ((\led_flash_cnt[2055][3]~55655\) # (GND)))
-- \led_flash_cnt[2055][4]~55657\ = CARRY((!\led_flash_cnt[2055][3]~55655\) # (!\led_flash_cnt[2055][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2055][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2055][3]~55655\,
	combout => \led_flash_cnt[2055][4]~55656_combout\,
	cout => \led_flash_cnt[2055][4]~55657\);

-- Location: FF_X19_Y2_N21
\led_flash_cnt[2055][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2055][4]~55656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2055][4]~q\);

-- Location: LCCOMB_X19_Y2_N22
\led_flash_cnt[2055][5]~55658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2055][5]~55658_combout\ = (\led_flash_cnt[2055][5]~q\ & (\led_flash_cnt[2055][4]~55657\ $ (GND))) # (!\led_flash_cnt[2055][5]~q\ & (!\led_flash_cnt[2055][4]~55657\ & VCC))
-- \led_flash_cnt[2055][5]~55659\ = CARRY((\led_flash_cnt[2055][5]~q\ & !\led_flash_cnt[2055][4]~55657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2055][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2055][4]~55657\,
	combout => \led_flash_cnt[2055][5]~55658_combout\,
	cout => \led_flash_cnt[2055][5]~55659\);

-- Location: FF_X19_Y2_N23
\led_flash_cnt[2055][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2055][5]~55658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2055][5]~q\);

-- Location: LCCOMB_X19_Y2_N24
\led_flash_cnt[2055][6]~55660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2055][6]~55660_combout\ = (\led_flash_cnt[2055][6]~q\ & (!\led_flash_cnt[2055][5]~55659\)) # (!\led_flash_cnt[2055][6]~q\ & ((\led_flash_cnt[2055][5]~55659\) # (GND)))
-- \led_flash_cnt[2055][6]~55661\ = CARRY((!\led_flash_cnt[2055][5]~55659\) # (!\led_flash_cnt[2055][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2055][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2055][5]~55659\,
	combout => \led_flash_cnt[2055][6]~55660_combout\,
	cout => \led_flash_cnt[2055][6]~55661\);

-- Location: FF_X19_Y2_N25
\led_flash_cnt[2055][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2055][6]~55660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2055][6]~q\);

-- Location: LCCOMB_X20_Y2_N26
\WideAnd2055~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2055~1_combout\ = (\led_flash_cnt[2055][5]~q\ & \led_flash_cnt[2055][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2055][5]~q\,
	datad => \led_flash_cnt[2055][6]~q\,
	combout => \WideAnd2055~1_combout\);

-- Location: LCCOMB_X19_Y2_N30
\WideAnd2055~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2055~0_combout\ = (\led_flash_cnt[2055][2]~q\ & (\led_flash_cnt[2055][3]~q\ & (\led_flash_cnt[2055][1]~q\ & \led_flash_cnt[2055][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2055][2]~q\,
	datab => \led_flash_cnt[2055][3]~q\,
	datac => \led_flash_cnt[2055][1]~q\,
	datad => \led_flash_cnt[2055][4]~q\,
	combout => \WideAnd2055~0_combout\);

-- Location: LCCOMB_X19_Y2_N26
\led_flash_cnt[2055][7]~55662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2055][7]~55662_combout\ = \led_flash_cnt[2055][7]~q\ $ (!\led_flash_cnt[2055][6]~55661\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2055][7]~q\,
	cin => \led_flash_cnt[2055][6]~55661\,
	combout => \led_flash_cnt[2055][7]~55662_combout\);

-- Location: FF_X19_Y2_N27
\led_flash_cnt[2055][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2055][7]~55662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2055][7]~q\);

-- Location: LCCOMB_X20_Y2_N24
WideAnd2055 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2055~combout\ = (\WideAnd2055~1_combout\ & (\WideAnd2055~0_combout\ & (\led_flash_cnt[2055][7]~q\ & \led_flash_cnt[2055][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2055~1_combout\,
	datab => \WideAnd2055~0_combout\,
	datac => \led_flash_cnt[2055][7]~q\,
	datad => \led_flash_cnt[2055][0]~q\,
	combout => \WideAnd2055~combout\);

-- Location: FF_X20_Y2_N25
\led_flash_cnt_ands[2055]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2055~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2055));

-- Location: LCCOMB_X23_Y8_N28
\led_flash_cnt[2051][0]~82691\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2051][0]~82691_combout\ = !\led_flash_cnt[2051][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2051][0]~q\,
	combout => \led_flash_cnt[2051][0]~82691_combout\);

-- Location: FF_X23_Y8_N29
\led_flash_cnt[2051][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2051][0]~82691_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2051][0]~q\);

-- Location: LCCOMB_X23_Y11_N2
\led_flash_cnt[2051][1]~55594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2051][1]~55594_combout\ = (\led_flash_cnt[2051][0]~q\ & (\led_flash_cnt[2051][1]~q\ $ (VCC))) # (!\led_flash_cnt[2051][0]~q\ & (\led_flash_cnt[2051][1]~q\ & VCC))
-- \led_flash_cnt[2051][1]~55595\ = CARRY((\led_flash_cnt[2051][0]~q\ & \led_flash_cnt[2051][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2051][0]~q\,
	datab => \led_flash_cnt[2051][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2051][1]~55594_combout\,
	cout => \led_flash_cnt[2051][1]~55595\);

-- Location: FF_X23_Y11_N3
\led_flash_cnt[2051][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2051][1]~55594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2051][1]~q\);

-- Location: LCCOMB_X23_Y11_N4
\led_flash_cnt[2051][2]~55596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2051][2]~55596_combout\ = (\led_flash_cnt[2051][2]~q\ & (!\led_flash_cnt[2051][1]~55595\)) # (!\led_flash_cnt[2051][2]~q\ & ((\led_flash_cnt[2051][1]~55595\) # (GND)))
-- \led_flash_cnt[2051][2]~55597\ = CARRY((!\led_flash_cnt[2051][1]~55595\) # (!\led_flash_cnt[2051][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2051][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2051][1]~55595\,
	combout => \led_flash_cnt[2051][2]~55596_combout\,
	cout => \led_flash_cnt[2051][2]~55597\);

-- Location: FF_X23_Y11_N5
\led_flash_cnt[2051][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2051][2]~55596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2051][2]~q\);

-- Location: LCCOMB_X23_Y11_N6
\led_flash_cnt[2051][3]~55598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2051][3]~55598_combout\ = (\led_flash_cnt[2051][3]~q\ & (\led_flash_cnt[2051][2]~55597\ $ (GND))) # (!\led_flash_cnt[2051][3]~q\ & (!\led_flash_cnt[2051][2]~55597\ & VCC))
-- \led_flash_cnt[2051][3]~55599\ = CARRY((\led_flash_cnt[2051][3]~q\ & !\led_flash_cnt[2051][2]~55597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2051][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2051][2]~55597\,
	combout => \led_flash_cnt[2051][3]~55598_combout\,
	cout => \led_flash_cnt[2051][3]~55599\);

-- Location: FF_X23_Y11_N7
\led_flash_cnt[2051][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2051][3]~55598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2051][3]~q\);

-- Location: LCCOMB_X23_Y11_N8
\led_flash_cnt[2051][4]~55600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2051][4]~55600_combout\ = (\led_flash_cnt[2051][4]~q\ & (!\led_flash_cnt[2051][3]~55599\)) # (!\led_flash_cnt[2051][4]~q\ & ((\led_flash_cnt[2051][3]~55599\) # (GND)))
-- \led_flash_cnt[2051][4]~55601\ = CARRY((!\led_flash_cnt[2051][3]~55599\) # (!\led_flash_cnt[2051][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2051][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2051][3]~55599\,
	combout => \led_flash_cnt[2051][4]~55600_combout\,
	cout => \led_flash_cnt[2051][4]~55601\);

-- Location: FF_X23_Y11_N9
\led_flash_cnt[2051][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2051][4]~55600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2051][4]~q\);

-- Location: LCCOMB_X23_Y11_N10
\led_flash_cnt[2051][5]~55602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2051][5]~55602_combout\ = (\led_flash_cnt[2051][5]~q\ & (\led_flash_cnt[2051][4]~55601\ $ (GND))) # (!\led_flash_cnt[2051][5]~q\ & (!\led_flash_cnt[2051][4]~55601\ & VCC))
-- \led_flash_cnt[2051][5]~55603\ = CARRY((\led_flash_cnt[2051][5]~q\ & !\led_flash_cnt[2051][4]~55601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2051][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2051][4]~55601\,
	combout => \led_flash_cnt[2051][5]~55602_combout\,
	cout => \led_flash_cnt[2051][5]~55603\);

-- Location: FF_X23_Y11_N11
\led_flash_cnt[2051][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2051][5]~55602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2051][5]~q\);

-- Location: LCCOMB_X23_Y11_N12
\led_flash_cnt[2051][6]~55604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2051][6]~55604_combout\ = (\led_flash_cnt[2051][6]~q\ & (!\led_flash_cnt[2051][5]~55603\)) # (!\led_flash_cnt[2051][6]~q\ & ((\led_flash_cnt[2051][5]~55603\) # (GND)))
-- \led_flash_cnt[2051][6]~55605\ = CARRY((!\led_flash_cnt[2051][5]~55603\) # (!\led_flash_cnt[2051][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2051][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2051][5]~55603\,
	combout => \led_flash_cnt[2051][6]~55604_combout\,
	cout => \led_flash_cnt[2051][6]~55605\);

-- Location: FF_X23_Y11_N13
\led_flash_cnt[2051][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2051][6]~55604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2051][6]~q\);

-- Location: LCCOMB_X24_Y11_N18
\WideAnd2051~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2051~1_combout\ = (\led_flash_cnt[2051][5]~q\ & \led_flash_cnt[2051][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2051][5]~q\,
	datad => \led_flash_cnt[2051][6]~q\,
	combout => \WideAnd2051~1_combout\);

-- Location: LCCOMB_X23_Y11_N14
\led_flash_cnt[2051][7]~55606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2051][7]~55606_combout\ = \led_flash_cnt[2051][7]~q\ $ (!\led_flash_cnt[2051][6]~55605\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2051][7]~q\,
	cin => \led_flash_cnt[2051][6]~55605\,
	combout => \led_flash_cnt[2051][7]~55606_combout\);

-- Location: FF_X23_Y11_N15
\led_flash_cnt[2051][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2051][7]~55606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2051][7]~q\);

-- Location: LCCOMB_X24_Y11_N28
\WideAnd2051~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2051~0_combout\ = (\led_flash_cnt[2051][1]~q\ & (\led_flash_cnt[2051][2]~q\ & (\led_flash_cnt[2051][3]~q\ & \led_flash_cnt[2051][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2051][1]~q\,
	datab => \led_flash_cnt[2051][2]~q\,
	datac => \led_flash_cnt[2051][3]~q\,
	datad => \led_flash_cnt[2051][4]~q\,
	combout => \WideAnd2051~0_combout\);

-- Location: LCCOMB_X23_Y11_N0
WideAnd2051 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2051~combout\ = (\led_flash_cnt[2051][0]~q\ & (\WideAnd2051~1_combout\ & (\led_flash_cnt[2051][7]~q\ & \WideAnd2051~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2051][0]~q\,
	datab => \WideAnd2051~1_combout\,
	datac => \led_flash_cnt[2051][7]~q\,
	datad => \WideAnd2051~0_combout\,
	combout => \WideAnd2051~combout\);

-- Location: FF_X23_Y11_N1
\led_flash_cnt_ands[2051]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2051~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2051));

-- Location: LCCOMB_X21_Y8_N28
\led_flash_cnt[2050][0]~82690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2050][0]~82690_combout\ = !\led_flash_cnt[2050][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2050][0]~q\,
	combout => \led_flash_cnt[2050][0]~82690_combout\);

-- Location: FF_X21_Y8_N29
\led_flash_cnt[2050][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2050][0]~82690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2050][0]~q\);

-- Location: LCCOMB_X16_Y8_N2
\led_flash_cnt[2050][1]~55580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2050][1]~55580_combout\ = (\led_flash_cnt[2050][0]~q\ & (\led_flash_cnt[2050][1]~q\ $ (VCC))) # (!\led_flash_cnt[2050][0]~q\ & (\led_flash_cnt[2050][1]~q\ & VCC))
-- \led_flash_cnt[2050][1]~55581\ = CARRY((\led_flash_cnt[2050][0]~q\ & \led_flash_cnt[2050][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2050][0]~q\,
	datab => \led_flash_cnt[2050][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2050][1]~55580_combout\,
	cout => \led_flash_cnt[2050][1]~55581\);

-- Location: FF_X16_Y8_N3
\led_flash_cnt[2050][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2050][1]~55580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2050][1]~q\);

-- Location: LCCOMB_X16_Y8_N4
\led_flash_cnt[2050][2]~55582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2050][2]~55582_combout\ = (\led_flash_cnt[2050][2]~q\ & (!\led_flash_cnt[2050][1]~55581\)) # (!\led_flash_cnt[2050][2]~q\ & ((\led_flash_cnt[2050][1]~55581\) # (GND)))
-- \led_flash_cnt[2050][2]~55583\ = CARRY((!\led_flash_cnt[2050][1]~55581\) # (!\led_flash_cnt[2050][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2050][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2050][1]~55581\,
	combout => \led_flash_cnt[2050][2]~55582_combout\,
	cout => \led_flash_cnt[2050][2]~55583\);

-- Location: FF_X16_Y8_N5
\led_flash_cnt[2050][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2050][2]~55582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2050][2]~q\);

-- Location: LCCOMB_X16_Y8_N6
\led_flash_cnt[2050][3]~55584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2050][3]~55584_combout\ = (\led_flash_cnt[2050][3]~q\ & (\led_flash_cnt[2050][2]~55583\ $ (GND))) # (!\led_flash_cnt[2050][3]~q\ & (!\led_flash_cnt[2050][2]~55583\ & VCC))
-- \led_flash_cnt[2050][3]~55585\ = CARRY((\led_flash_cnt[2050][3]~q\ & !\led_flash_cnt[2050][2]~55583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2050][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2050][2]~55583\,
	combout => \led_flash_cnt[2050][3]~55584_combout\,
	cout => \led_flash_cnt[2050][3]~55585\);

-- Location: FF_X16_Y8_N7
\led_flash_cnt[2050][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2050][3]~55584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2050][3]~q\);

-- Location: LCCOMB_X16_Y8_N8
\led_flash_cnt[2050][4]~55586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2050][4]~55586_combout\ = (\led_flash_cnt[2050][4]~q\ & (!\led_flash_cnt[2050][3]~55585\)) # (!\led_flash_cnt[2050][4]~q\ & ((\led_flash_cnt[2050][3]~55585\) # (GND)))
-- \led_flash_cnt[2050][4]~55587\ = CARRY((!\led_flash_cnt[2050][3]~55585\) # (!\led_flash_cnt[2050][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2050][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2050][3]~55585\,
	combout => \led_flash_cnt[2050][4]~55586_combout\,
	cout => \led_flash_cnt[2050][4]~55587\);

-- Location: FF_X16_Y8_N9
\led_flash_cnt[2050][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2050][4]~55586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2050][4]~q\);

-- Location: LCCOMB_X16_Y8_N26
\WideAnd2050~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2050~0_combout\ = (\led_flash_cnt[2050][3]~q\ & (\led_flash_cnt[2050][2]~q\ & (\led_flash_cnt[2050][4]~q\ & \led_flash_cnt[2050][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2050][3]~q\,
	datab => \led_flash_cnt[2050][2]~q\,
	datac => \led_flash_cnt[2050][4]~q\,
	datad => \led_flash_cnt[2050][1]~q\,
	combout => \WideAnd2050~0_combout\);

-- Location: LCCOMB_X16_Y8_N10
\led_flash_cnt[2050][5]~55588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2050][5]~55588_combout\ = (\led_flash_cnt[2050][5]~q\ & (\led_flash_cnt[2050][4]~55587\ $ (GND))) # (!\led_flash_cnt[2050][5]~q\ & (!\led_flash_cnt[2050][4]~55587\ & VCC))
-- \led_flash_cnt[2050][5]~55589\ = CARRY((\led_flash_cnt[2050][5]~q\ & !\led_flash_cnt[2050][4]~55587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2050][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2050][4]~55587\,
	combout => \led_flash_cnt[2050][5]~55588_combout\,
	cout => \led_flash_cnt[2050][5]~55589\);

-- Location: FF_X16_Y8_N11
\led_flash_cnt[2050][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2050][5]~55588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2050][5]~q\);

-- Location: LCCOMB_X16_Y8_N12
\led_flash_cnt[2050][6]~55590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2050][6]~55590_combout\ = (\led_flash_cnt[2050][6]~q\ & (!\led_flash_cnt[2050][5]~55589\)) # (!\led_flash_cnt[2050][6]~q\ & ((\led_flash_cnt[2050][5]~55589\) # (GND)))
-- \led_flash_cnt[2050][6]~55591\ = CARRY((!\led_flash_cnt[2050][5]~55589\) # (!\led_flash_cnt[2050][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2050][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2050][5]~55589\,
	combout => \led_flash_cnt[2050][6]~55590_combout\,
	cout => \led_flash_cnt[2050][6]~55591\);

-- Location: FF_X16_Y8_N13
\led_flash_cnt[2050][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2050][6]~55590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2050][6]~q\);

-- Location: LCCOMB_X16_Y8_N20
\WideAnd2050~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2050~1_combout\ = (\led_flash_cnt[2050][6]~q\ & \led_flash_cnt[2050][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2050][6]~q\,
	datad => \led_flash_cnt[2050][5]~q\,
	combout => \WideAnd2050~1_combout\);

-- Location: LCCOMB_X16_Y8_N14
\led_flash_cnt[2050][7]~55592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2050][7]~55592_combout\ = \led_flash_cnt[2050][7]~q\ $ (!\led_flash_cnt[2050][6]~55591\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2050][7]~q\,
	cin => \led_flash_cnt[2050][6]~55591\,
	combout => \led_flash_cnt[2050][7]~55592_combout\);

-- Location: FF_X16_Y8_N15
\led_flash_cnt[2050][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2050][7]~55592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2050][7]~q\);

-- Location: LCCOMB_X16_Y8_N28
WideAnd2050 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2050~combout\ = (\WideAnd2050~0_combout\ & (\WideAnd2050~1_combout\ & (\led_flash_cnt[2050][7]~q\ & \led_flash_cnt[2050][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2050~0_combout\,
	datab => \WideAnd2050~1_combout\,
	datac => \led_flash_cnt[2050][7]~q\,
	datad => \led_flash_cnt[2050][0]~q\,
	combout => \WideAnd2050~combout\);

-- Location: FF_X16_Y8_N29
\led_flash_cnt_ands[2050]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2050~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2050));

-- Location: LCCOMB_X19_Y4_N30
\led_flash_cnt[2049][0]~82689\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2049][0]~82689_combout\ = !\led_flash_cnt[2049][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2049][0]~q\,
	combout => \led_flash_cnt[2049][0]~82689_combout\);

-- Location: FF_X19_Y4_N31
\led_flash_cnt[2049][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2049][0]~82689_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2049][0]~q\);

-- Location: LCCOMB_X23_Y3_N18
\led_flash_cnt[2049][1]~55566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2049][1]~55566_combout\ = (\led_flash_cnt[2049][0]~q\ & (\led_flash_cnt[2049][1]~q\ $ (VCC))) # (!\led_flash_cnt[2049][0]~q\ & (\led_flash_cnt[2049][1]~q\ & VCC))
-- \led_flash_cnt[2049][1]~55567\ = CARRY((\led_flash_cnt[2049][0]~q\ & \led_flash_cnt[2049][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2049][0]~q\,
	datab => \led_flash_cnt[2049][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2049][1]~55566_combout\,
	cout => \led_flash_cnt[2049][1]~55567\);

-- Location: FF_X23_Y3_N19
\led_flash_cnt[2049][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2049][1]~55566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2049][1]~q\);

-- Location: LCCOMB_X23_Y3_N20
\led_flash_cnt[2049][2]~55568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2049][2]~55568_combout\ = (\led_flash_cnt[2049][2]~q\ & (!\led_flash_cnt[2049][1]~55567\)) # (!\led_flash_cnt[2049][2]~q\ & ((\led_flash_cnt[2049][1]~55567\) # (GND)))
-- \led_flash_cnt[2049][2]~55569\ = CARRY((!\led_flash_cnt[2049][1]~55567\) # (!\led_flash_cnt[2049][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2049][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2049][1]~55567\,
	combout => \led_flash_cnt[2049][2]~55568_combout\,
	cout => \led_flash_cnt[2049][2]~55569\);

-- Location: FF_X23_Y3_N21
\led_flash_cnt[2049][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2049][2]~55568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2049][2]~q\);

-- Location: LCCOMB_X23_Y3_N22
\led_flash_cnt[2049][3]~55570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2049][3]~55570_combout\ = (\led_flash_cnt[2049][3]~q\ & (\led_flash_cnt[2049][2]~55569\ $ (GND))) # (!\led_flash_cnt[2049][3]~q\ & (!\led_flash_cnt[2049][2]~55569\ & VCC))
-- \led_flash_cnt[2049][3]~55571\ = CARRY((\led_flash_cnt[2049][3]~q\ & !\led_flash_cnt[2049][2]~55569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2049][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2049][2]~55569\,
	combout => \led_flash_cnt[2049][3]~55570_combout\,
	cout => \led_flash_cnt[2049][3]~55571\);

-- Location: FF_X23_Y3_N23
\led_flash_cnt[2049][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2049][3]~55570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2049][3]~q\);

-- Location: LCCOMB_X23_Y3_N24
\led_flash_cnt[2049][4]~55572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2049][4]~55572_combout\ = (\led_flash_cnt[2049][4]~q\ & (!\led_flash_cnt[2049][3]~55571\)) # (!\led_flash_cnt[2049][4]~q\ & ((\led_flash_cnt[2049][3]~55571\) # (GND)))
-- \led_flash_cnt[2049][4]~55573\ = CARRY((!\led_flash_cnt[2049][3]~55571\) # (!\led_flash_cnt[2049][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2049][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2049][3]~55571\,
	combout => \led_flash_cnt[2049][4]~55572_combout\,
	cout => \led_flash_cnt[2049][4]~55573\);

-- Location: FF_X23_Y3_N25
\led_flash_cnt[2049][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2049][4]~55572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2049][4]~q\);

-- Location: LCCOMB_X23_Y3_N26
\led_flash_cnt[2049][5]~55574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2049][5]~55574_combout\ = (\led_flash_cnt[2049][5]~q\ & (\led_flash_cnt[2049][4]~55573\ $ (GND))) # (!\led_flash_cnt[2049][5]~q\ & (!\led_flash_cnt[2049][4]~55573\ & VCC))
-- \led_flash_cnt[2049][5]~55575\ = CARRY((\led_flash_cnt[2049][5]~q\ & !\led_flash_cnt[2049][4]~55573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2049][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2049][4]~55573\,
	combout => \led_flash_cnt[2049][5]~55574_combout\,
	cout => \led_flash_cnt[2049][5]~55575\);

-- Location: FF_X23_Y3_N27
\led_flash_cnt[2049][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2049][5]~55574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2049][5]~q\);

-- Location: LCCOMB_X23_Y3_N28
\led_flash_cnt[2049][6]~55576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2049][6]~55576_combout\ = (\led_flash_cnt[2049][6]~q\ & (!\led_flash_cnt[2049][5]~55575\)) # (!\led_flash_cnt[2049][6]~q\ & ((\led_flash_cnt[2049][5]~55575\) # (GND)))
-- \led_flash_cnt[2049][6]~55577\ = CARRY((!\led_flash_cnt[2049][5]~55575\) # (!\led_flash_cnt[2049][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2049][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2049][5]~55575\,
	combout => \led_flash_cnt[2049][6]~55576_combout\,
	cout => \led_flash_cnt[2049][6]~55577\);

-- Location: FF_X23_Y3_N29
\led_flash_cnt[2049][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2049][6]~55576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2049][6]~q\);

-- Location: LCCOMB_X24_Y3_N30
\WideAnd2049~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2049~1_combout\ = (\led_flash_cnt[2049][5]~q\ & \led_flash_cnt[2049][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2049][5]~q\,
	datad => \led_flash_cnt[2049][6]~q\,
	combout => \WideAnd2049~1_combout\);

-- Location: LCCOMB_X23_Y3_N30
\led_flash_cnt[2049][7]~55578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2049][7]~55578_combout\ = \led_flash_cnt[2049][7]~q\ $ (!\led_flash_cnt[2049][6]~55577\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2049][7]~q\,
	cin => \led_flash_cnt[2049][6]~55577\,
	combout => \led_flash_cnt[2049][7]~55578_combout\);

-- Location: FF_X23_Y3_N31
\led_flash_cnt[2049][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2049][7]~55578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2049][7]~q\);

-- Location: LCCOMB_X23_Y3_N16
\WideAnd2049~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2049~0_combout\ = (\led_flash_cnt[2049][4]~q\ & (\led_flash_cnt[2049][2]~q\ & (\led_flash_cnt[2049][3]~q\ & \led_flash_cnt[2049][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2049][4]~q\,
	datab => \led_flash_cnt[2049][2]~q\,
	datac => \led_flash_cnt[2049][3]~q\,
	datad => \led_flash_cnt[2049][1]~q\,
	combout => \WideAnd2049~0_combout\);

-- Location: LCCOMB_X23_Y3_N14
WideAnd2049 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2049~combout\ = (\WideAnd2049~1_combout\ & (\led_flash_cnt[2049][0]~q\ & (\led_flash_cnt[2049][7]~q\ & \WideAnd2049~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2049~1_combout\,
	datab => \led_flash_cnt[2049][0]~q\,
	datac => \led_flash_cnt[2049][7]~q\,
	datad => \WideAnd2049~0_combout\,
	combout => \WideAnd2049~combout\);

-- Location: FF_X23_Y3_N15
\led_flash_cnt_ands[2049]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2049~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2049));

-- Location: LCCOMB_X23_Y4_N6
\led_flash_cnt[2048][0]~82688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2048][0]~82688_combout\ = !\led_flash_cnt[2048][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2048][0]~q\,
	combout => \led_flash_cnt[2048][0]~82688_combout\);

-- Location: FF_X23_Y4_N7
\led_flash_cnt[2048][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2048][0]~82688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2048][0]~q\);

-- Location: LCCOMB_X24_Y4_N18
\led_flash_cnt[2048][1]~55552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2048][1]~55552_combout\ = (\led_flash_cnt[2048][0]~q\ & (\led_flash_cnt[2048][1]~q\ $ (VCC))) # (!\led_flash_cnt[2048][0]~q\ & (\led_flash_cnt[2048][1]~q\ & VCC))
-- \led_flash_cnt[2048][1]~55553\ = CARRY((\led_flash_cnt[2048][0]~q\ & \led_flash_cnt[2048][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2048][0]~q\,
	datab => \led_flash_cnt[2048][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2048][1]~55552_combout\,
	cout => \led_flash_cnt[2048][1]~55553\);

-- Location: FF_X24_Y4_N19
\led_flash_cnt[2048][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2048][1]~55552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2048][1]~q\);

-- Location: LCCOMB_X24_Y4_N20
\led_flash_cnt[2048][2]~55554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2048][2]~55554_combout\ = (\led_flash_cnt[2048][2]~q\ & (!\led_flash_cnt[2048][1]~55553\)) # (!\led_flash_cnt[2048][2]~q\ & ((\led_flash_cnt[2048][1]~55553\) # (GND)))
-- \led_flash_cnt[2048][2]~55555\ = CARRY((!\led_flash_cnt[2048][1]~55553\) # (!\led_flash_cnt[2048][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2048][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2048][1]~55553\,
	combout => \led_flash_cnt[2048][2]~55554_combout\,
	cout => \led_flash_cnt[2048][2]~55555\);

-- Location: FF_X24_Y4_N21
\led_flash_cnt[2048][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2048][2]~55554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2048][2]~q\);

-- Location: LCCOMB_X24_Y4_N22
\led_flash_cnt[2048][3]~55556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2048][3]~55556_combout\ = (\led_flash_cnt[2048][3]~q\ & (\led_flash_cnt[2048][2]~55555\ $ (GND))) # (!\led_flash_cnt[2048][3]~q\ & (!\led_flash_cnt[2048][2]~55555\ & VCC))
-- \led_flash_cnt[2048][3]~55557\ = CARRY((\led_flash_cnt[2048][3]~q\ & !\led_flash_cnt[2048][2]~55555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2048][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2048][2]~55555\,
	combout => \led_flash_cnt[2048][3]~55556_combout\,
	cout => \led_flash_cnt[2048][3]~55557\);

-- Location: FF_X24_Y4_N23
\led_flash_cnt[2048][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2048][3]~55556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2048][3]~q\);

-- Location: LCCOMB_X24_Y4_N24
\led_flash_cnt[2048][4]~55558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2048][4]~55558_combout\ = (\led_flash_cnt[2048][4]~q\ & (!\led_flash_cnt[2048][3]~55557\)) # (!\led_flash_cnt[2048][4]~q\ & ((\led_flash_cnt[2048][3]~55557\) # (GND)))
-- \led_flash_cnt[2048][4]~55559\ = CARRY((!\led_flash_cnt[2048][3]~55557\) # (!\led_flash_cnt[2048][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2048][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2048][3]~55557\,
	combout => \led_flash_cnt[2048][4]~55558_combout\,
	cout => \led_flash_cnt[2048][4]~55559\);

-- Location: FF_X24_Y4_N25
\led_flash_cnt[2048][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2048][4]~55558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2048][4]~q\);

-- Location: LCCOMB_X24_Y4_N0
\WideAnd2048~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2048~0_combout\ = (\led_flash_cnt[2048][1]~q\ & (\led_flash_cnt[2048][2]~q\ & (\led_flash_cnt[2048][3]~q\ & \led_flash_cnt[2048][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2048][1]~q\,
	datab => \led_flash_cnt[2048][2]~q\,
	datac => \led_flash_cnt[2048][3]~q\,
	datad => \led_flash_cnt[2048][4]~q\,
	combout => \WideAnd2048~0_combout\);

-- Location: LCCOMB_X24_Y4_N26
\led_flash_cnt[2048][5]~55560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2048][5]~55560_combout\ = (\led_flash_cnt[2048][5]~q\ & (\led_flash_cnt[2048][4]~55559\ $ (GND))) # (!\led_flash_cnt[2048][5]~q\ & (!\led_flash_cnt[2048][4]~55559\ & VCC))
-- \led_flash_cnt[2048][5]~55561\ = CARRY((\led_flash_cnt[2048][5]~q\ & !\led_flash_cnt[2048][4]~55559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2048][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2048][4]~55559\,
	combout => \led_flash_cnt[2048][5]~55560_combout\,
	cout => \led_flash_cnt[2048][5]~55561\);

-- Location: FF_X24_Y4_N27
\led_flash_cnt[2048][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2048][5]~55560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2048][5]~q\);

-- Location: LCCOMB_X24_Y4_N28
\led_flash_cnt[2048][6]~55562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2048][6]~55562_combout\ = (\led_flash_cnt[2048][6]~q\ & (!\led_flash_cnt[2048][5]~55561\)) # (!\led_flash_cnt[2048][6]~q\ & ((\led_flash_cnt[2048][5]~55561\) # (GND)))
-- \led_flash_cnt[2048][6]~55563\ = CARRY((!\led_flash_cnt[2048][5]~55561\) # (!\led_flash_cnt[2048][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2048][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2048][5]~55561\,
	combout => \led_flash_cnt[2048][6]~55562_combout\,
	cout => \led_flash_cnt[2048][6]~55563\);

-- Location: FF_X24_Y4_N29
\led_flash_cnt[2048][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2048][6]~55562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2048][6]~q\);

-- Location: LCCOMB_X24_Y4_N30
\led_flash_cnt[2048][7]~55564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2048][7]~55564_combout\ = \led_flash_cnt[2048][7]~q\ $ (!\led_flash_cnt[2048][6]~55563\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2048][7]~q\,
	cin => \led_flash_cnt[2048][6]~55563\,
	combout => \led_flash_cnt[2048][7]~55564_combout\);

-- Location: FF_X24_Y4_N31
\led_flash_cnt[2048][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2048][7]~55564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2048][7]~q\);

-- Location: LCCOMB_X25_Y4_N24
\WideAnd2048~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2048~1_combout\ = (\led_flash_cnt[2048][5]~q\ & \led_flash_cnt[2048][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2048][5]~q\,
	datad => \led_flash_cnt[2048][6]~q\,
	combout => \WideAnd2048~1_combout\);

-- Location: LCCOMB_X23_Y4_N22
WideAnd2048 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2048~combout\ = (\led_flash_cnt[2048][0]~q\ & (\WideAnd2048~0_combout\ & (\led_flash_cnt[2048][7]~q\ & \WideAnd2048~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2048][0]~q\,
	datab => \WideAnd2048~0_combout\,
	datac => \led_flash_cnt[2048][7]~q\,
	datad => \WideAnd2048~1_combout\,
	combout => \WideAnd2048~combout\);

-- Location: FF_X23_Y4_N23
\led_flash_cnt_ands[2048]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2048~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2048));

-- Location: LCCOMB_X23_Y8_N0
\WideAnd4096~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4096~0_combout\ = (led_flash_cnt_ands(2051) & (led_flash_cnt_ands(2050) & (led_flash_cnt_ands(2049) & led_flash_cnt_ands(2048))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2051),
	datab => led_flash_cnt_ands(2050),
	datac => led_flash_cnt_ands(2049),
	datad => led_flash_cnt_ands(2048),
	combout => \WideAnd4096~0_combout\);

-- Location: LCCOMB_X23_Y8_N20
WideAnd4096 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4096~combout\ = (\WideAnd4096~1_combout\ & (led_flash_cnt_ands(2054) & (led_flash_cnt_ands(2055) & \WideAnd4096~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4096~1_combout\,
	datab => led_flash_cnt_ands(2054),
	datac => led_flash_cnt_ands(2055),
	datad => \WideAnd4096~0_combout\,
	combout => \WideAnd4096~combout\);

-- Location: FF_X23_Y8_N21
\led_flash_cnt_ands_1[256]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4096~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(256));

-- Location: LCCOMB_X45_Y35_N20
\led_flash_cnt[2077][0]~82717\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2077][0]~82717_combout\ = !\led_flash_cnt[2077][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2077][0]~q\,
	combout => \led_flash_cnt[2077][0]~82717_combout\);

-- Location: FF_X45_Y35_N21
\led_flash_cnt[2077][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2077][0]~82717_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2077][0]~q\);

-- Location: LCCOMB_X44_Y35_N4
\led_flash_cnt[2077][1]~55958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2077][1]~55958_combout\ = (\led_flash_cnt[2077][0]~q\ & (\led_flash_cnt[2077][1]~q\ $ (VCC))) # (!\led_flash_cnt[2077][0]~q\ & (\led_flash_cnt[2077][1]~q\ & VCC))
-- \led_flash_cnt[2077][1]~55959\ = CARRY((\led_flash_cnt[2077][0]~q\ & \led_flash_cnt[2077][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2077][0]~q\,
	datab => \led_flash_cnt[2077][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2077][1]~55958_combout\,
	cout => \led_flash_cnt[2077][1]~55959\);

-- Location: FF_X44_Y35_N5
\led_flash_cnt[2077][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2077][1]~55958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2077][1]~q\);

-- Location: LCCOMB_X44_Y35_N6
\led_flash_cnt[2077][2]~55960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2077][2]~55960_combout\ = (\led_flash_cnt[2077][2]~q\ & (!\led_flash_cnt[2077][1]~55959\)) # (!\led_flash_cnt[2077][2]~q\ & ((\led_flash_cnt[2077][1]~55959\) # (GND)))
-- \led_flash_cnt[2077][2]~55961\ = CARRY((!\led_flash_cnt[2077][1]~55959\) # (!\led_flash_cnt[2077][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2077][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2077][1]~55959\,
	combout => \led_flash_cnt[2077][2]~55960_combout\,
	cout => \led_flash_cnt[2077][2]~55961\);

-- Location: FF_X44_Y35_N7
\led_flash_cnt[2077][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2077][2]~55960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2077][2]~q\);

-- Location: LCCOMB_X44_Y35_N8
\led_flash_cnt[2077][3]~55962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2077][3]~55962_combout\ = (\led_flash_cnt[2077][3]~q\ & (\led_flash_cnt[2077][2]~55961\ $ (GND))) # (!\led_flash_cnt[2077][3]~q\ & (!\led_flash_cnt[2077][2]~55961\ & VCC))
-- \led_flash_cnt[2077][3]~55963\ = CARRY((\led_flash_cnt[2077][3]~q\ & !\led_flash_cnt[2077][2]~55961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2077][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2077][2]~55961\,
	combout => \led_flash_cnt[2077][3]~55962_combout\,
	cout => \led_flash_cnt[2077][3]~55963\);

-- Location: FF_X44_Y35_N9
\led_flash_cnt[2077][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2077][3]~55962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2077][3]~q\);

-- Location: LCCOMB_X44_Y35_N10
\led_flash_cnt[2077][4]~55964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2077][4]~55964_combout\ = (\led_flash_cnt[2077][4]~q\ & (!\led_flash_cnt[2077][3]~55963\)) # (!\led_flash_cnt[2077][4]~q\ & ((\led_flash_cnt[2077][3]~55963\) # (GND)))
-- \led_flash_cnt[2077][4]~55965\ = CARRY((!\led_flash_cnt[2077][3]~55963\) # (!\led_flash_cnt[2077][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2077][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2077][3]~55963\,
	combout => \led_flash_cnt[2077][4]~55964_combout\,
	cout => \led_flash_cnt[2077][4]~55965\);

-- Location: FF_X44_Y35_N11
\led_flash_cnt[2077][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2077][4]~55964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2077][4]~q\);

-- Location: LCCOMB_X44_Y35_N2
\WideAnd2077~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2077~0_combout\ = (\led_flash_cnt[2077][4]~q\ & (\led_flash_cnt[2077][3]~q\ & (\led_flash_cnt[2077][1]~q\ & \led_flash_cnt[2077][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2077][4]~q\,
	datab => \led_flash_cnt[2077][3]~q\,
	datac => \led_flash_cnt[2077][1]~q\,
	datad => \led_flash_cnt[2077][2]~q\,
	combout => \WideAnd2077~0_combout\);

-- Location: LCCOMB_X44_Y35_N12
\led_flash_cnt[2077][5]~55966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2077][5]~55966_combout\ = (\led_flash_cnt[2077][5]~q\ & (\led_flash_cnt[2077][4]~55965\ $ (GND))) # (!\led_flash_cnt[2077][5]~q\ & (!\led_flash_cnt[2077][4]~55965\ & VCC))
-- \led_flash_cnt[2077][5]~55967\ = CARRY((\led_flash_cnt[2077][5]~q\ & !\led_flash_cnt[2077][4]~55965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2077][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2077][4]~55965\,
	combout => \led_flash_cnt[2077][5]~55966_combout\,
	cout => \led_flash_cnt[2077][5]~55967\);

-- Location: FF_X44_Y35_N13
\led_flash_cnt[2077][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2077][5]~55966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2077][5]~q\);

-- Location: LCCOMB_X44_Y35_N14
\led_flash_cnt[2077][6]~55968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2077][6]~55968_combout\ = (\led_flash_cnt[2077][6]~q\ & (!\led_flash_cnt[2077][5]~55967\)) # (!\led_flash_cnt[2077][6]~q\ & ((\led_flash_cnt[2077][5]~55967\) # (GND)))
-- \led_flash_cnt[2077][6]~55969\ = CARRY((!\led_flash_cnt[2077][5]~55967\) # (!\led_flash_cnt[2077][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2077][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2077][5]~55967\,
	combout => \led_flash_cnt[2077][6]~55968_combout\,
	cout => \led_flash_cnt[2077][6]~55969\);

-- Location: FF_X44_Y35_N15
\led_flash_cnt[2077][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2077][6]~55968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2077][6]~q\);

-- Location: LCCOMB_X45_Y35_N28
\WideAnd2077~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2077~1_combout\ = (\led_flash_cnt[2077][6]~q\ & \led_flash_cnt[2077][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2077][6]~q\,
	datad => \led_flash_cnt[2077][5]~q\,
	combout => \WideAnd2077~1_combout\);

-- Location: LCCOMB_X44_Y35_N16
\led_flash_cnt[2077][7]~55970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2077][7]~55970_combout\ = \led_flash_cnt[2077][6]~55969\ $ (!\led_flash_cnt[2077][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2077][7]~q\,
	cin => \led_flash_cnt[2077][6]~55969\,
	combout => \led_flash_cnt[2077][7]~55970_combout\);

-- Location: FF_X44_Y35_N17
\led_flash_cnt[2077][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2077][7]~55970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2077][7]~q\);

-- Location: LCCOMB_X45_Y35_N30
WideAnd2077 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2077~combout\ = (\WideAnd2077~0_combout\ & (\WideAnd2077~1_combout\ & (\led_flash_cnt[2077][7]~q\ & \led_flash_cnt[2077][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2077~0_combout\,
	datab => \WideAnd2077~1_combout\,
	datac => \led_flash_cnt[2077][7]~q\,
	datad => \led_flash_cnt[2077][0]~q\,
	combout => \WideAnd2077~combout\);

-- Location: FF_X45_Y35_N31
\led_flash_cnt_ands[2077]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2077~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2077));

-- Location: LCCOMB_X45_Y35_N18
\led_flash_cnt[2076][0]~82716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2076][0]~82716_combout\ = !\led_flash_cnt[2076][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2076][0]~q\,
	combout => \led_flash_cnt[2076][0]~82716_combout\);

-- Location: FF_X45_Y35_N19
\led_flash_cnt[2076][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2076][0]~82716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2076][0]~q\);

-- Location: LCCOMB_X45_Y35_N0
\led_flash_cnt[2076][1]~55944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2076][1]~55944_combout\ = (\led_flash_cnt[2076][0]~q\ & (\led_flash_cnt[2076][1]~q\ $ (VCC))) # (!\led_flash_cnt[2076][0]~q\ & (\led_flash_cnt[2076][1]~q\ & VCC))
-- \led_flash_cnt[2076][1]~55945\ = CARRY((\led_flash_cnt[2076][0]~q\ & \led_flash_cnt[2076][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2076][0]~q\,
	datab => \led_flash_cnt[2076][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2076][1]~55944_combout\,
	cout => \led_flash_cnt[2076][1]~55945\);

-- Location: FF_X45_Y35_N1
\led_flash_cnt[2076][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2076][1]~55944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2076][1]~q\);

-- Location: LCCOMB_X45_Y35_N2
\led_flash_cnt[2076][2]~55946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2076][2]~55946_combout\ = (\led_flash_cnt[2076][2]~q\ & (!\led_flash_cnt[2076][1]~55945\)) # (!\led_flash_cnt[2076][2]~q\ & ((\led_flash_cnt[2076][1]~55945\) # (GND)))
-- \led_flash_cnt[2076][2]~55947\ = CARRY((!\led_flash_cnt[2076][1]~55945\) # (!\led_flash_cnt[2076][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2076][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2076][1]~55945\,
	combout => \led_flash_cnt[2076][2]~55946_combout\,
	cout => \led_flash_cnt[2076][2]~55947\);

-- Location: FF_X45_Y35_N3
\led_flash_cnt[2076][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2076][2]~55946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2076][2]~q\);

-- Location: LCCOMB_X45_Y35_N4
\led_flash_cnt[2076][3]~55948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2076][3]~55948_combout\ = (\led_flash_cnt[2076][3]~q\ & (\led_flash_cnt[2076][2]~55947\ $ (GND))) # (!\led_flash_cnt[2076][3]~q\ & (!\led_flash_cnt[2076][2]~55947\ & VCC))
-- \led_flash_cnt[2076][3]~55949\ = CARRY((\led_flash_cnt[2076][3]~q\ & !\led_flash_cnt[2076][2]~55947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2076][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2076][2]~55947\,
	combout => \led_flash_cnt[2076][3]~55948_combout\,
	cout => \led_flash_cnt[2076][3]~55949\);

-- Location: FF_X45_Y35_N5
\led_flash_cnt[2076][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2076][3]~55948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2076][3]~q\);

-- Location: LCCOMB_X45_Y35_N6
\led_flash_cnt[2076][4]~55950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2076][4]~55950_combout\ = (\led_flash_cnt[2076][4]~q\ & (!\led_flash_cnt[2076][3]~55949\)) # (!\led_flash_cnt[2076][4]~q\ & ((\led_flash_cnt[2076][3]~55949\) # (GND)))
-- \led_flash_cnt[2076][4]~55951\ = CARRY((!\led_flash_cnt[2076][3]~55949\) # (!\led_flash_cnt[2076][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2076][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2076][3]~55949\,
	combout => \led_flash_cnt[2076][4]~55950_combout\,
	cout => \led_flash_cnt[2076][4]~55951\);

-- Location: FF_X45_Y35_N7
\led_flash_cnt[2076][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2076][4]~55950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2076][4]~q\);

-- Location: LCCOMB_X45_Y35_N26
\WideAnd2076~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2076~0_combout\ = (\led_flash_cnt[2076][4]~q\ & (\led_flash_cnt[2076][2]~q\ & (\led_flash_cnt[2076][3]~q\ & \led_flash_cnt[2076][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2076][4]~q\,
	datab => \led_flash_cnt[2076][2]~q\,
	datac => \led_flash_cnt[2076][3]~q\,
	datad => \led_flash_cnt[2076][1]~q\,
	combout => \WideAnd2076~0_combout\);

-- Location: LCCOMB_X45_Y35_N8
\led_flash_cnt[2076][5]~55952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2076][5]~55952_combout\ = (\led_flash_cnt[2076][5]~q\ & (\led_flash_cnt[2076][4]~55951\ $ (GND))) # (!\led_flash_cnt[2076][5]~q\ & (!\led_flash_cnt[2076][4]~55951\ & VCC))
-- \led_flash_cnt[2076][5]~55953\ = CARRY((\led_flash_cnt[2076][5]~q\ & !\led_flash_cnt[2076][4]~55951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2076][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2076][4]~55951\,
	combout => \led_flash_cnt[2076][5]~55952_combout\,
	cout => \led_flash_cnt[2076][5]~55953\);

-- Location: FF_X45_Y35_N9
\led_flash_cnt[2076][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2076][5]~55952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2076][5]~q\);

-- Location: LCCOMB_X45_Y35_N10
\led_flash_cnt[2076][6]~55954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2076][6]~55954_combout\ = (\led_flash_cnt[2076][6]~q\ & (!\led_flash_cnt[2076][5]~55953\)) # (!\led_flash_cnt[2076][6]~q\ & ((\led_flash_cnt[2076][5]~55953\) # (GND)))
-- \led_flash_cnt[2076][6]~55955\ = CARRY((!\led_flash_cnt[2076][5]~55953\) # (!\led_flash_cnt[2076][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2076][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2076][5]~55953\,
	combout => \led_flash_cnt[2076][6]~55954_combout\,
	cout => \led_flash_cnt[2076][6]~55955\);

-- Location: FF_X45_Y35_N11
\led_flash_cnt[2076][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2076][6]~55954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2076][6]~q\);

-- Location: LCCOMB_X45_Y35_N22
\WideAnd2076~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2076~1_combout\ = (\led_flash_cnt[2076][5]~q\ & \led_flash_cnt[2076][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2076][5]~q\,
	datad => \led_flash_cnt[2076][6]~q\,
	combout => \WideAnd2076~1_combout\);

-- Location: LCCOMB_X45_Y35_N12
\led_flash_cnt[2076][7]~55956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2076][7]~55956_combout\ = \led_flash_cnt[2076][6]~55955\ $ (!\led_flash_cnt[2076][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2076][7]~q\,
	cin => \led_flash_cnt[2076][6]~55955\,
	combout => \led_flash_cnt[2076][7]~55956_combout\);

-- Location: FF_X45_Y35_N13
\led_flash_cnt[2076][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2076][7]~55956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2076][7]~q\);

-- Location: LCCOMB_X45_Y35_N16
WideAnd2076 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2076~combout\ = (\WideAnd2076~0_combout\ & (\led_flash_cnt[2076][0]~q\ & (\WideAnd2076~1_combout\ & \led_flash_cnt[2076][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2076~0_combout\,
	datab => \led_flash_cnt[2076][0]~q\,
	datac => \WideAnd2076~1_combout\,
	datad => \led_flash_cnt[2076][7]~q\,
	combout => \WideAnd2076~combout\);

-- Location: FF_X45_Y35_N17
\led_flash_cnt_ands[2076]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2076~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2076));

-- Location: LCCOMB_X45_Y35_N24
\WideAnd4099~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4099~1_combout\ = (led_flash_cnt_ands(2077) & led_flash_cnt_ands(2076))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2077),
	datad => led_flash_cnt_ands(2076),
	combout => \WideAnd4099~1_combout\);

-- Location: LCCOMB_X13_Y27_N28
\led_flash_cnt[2078][0]~82718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2078][0]~82718_combout\ = !\led_flash_cnt[2078][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2078][0]~q\,
	combout => \led_flash_cnt[2078][0]~82718_combout\);

-- Location: FF_X13_Y27_N29
\led_flash_cnt[2078][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2078][0]~82718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2078][0]~q\);

-- Location: LCCOMB_X13_Y27_N12
\led_flash_cnt[2078][1]~55972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2078][1]~55972_combout\ = (\led_flash_cnt[2078][1]~q\ & (\led_flash_cnt[2078][0]~q\ $ (VCC))) # (!\led_flash_cnt[2078][1]~q\ & (\led_flash_cnt[2078][0]~q\ & VCC))
-- \led_flash_cnt[2078][1]~55973\ = CARRY((\led_flash_cnt[2078][1]~q\ & \led_flash_cnt[2078][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2078][1]~q\,
	datab => \led_flash_cnt[2078][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2078][1]~55972_combout\,
	cout => \led_flash_cnt[2078][1]~55973\);

-- Location: FF_X13_Y27_N13
\led_flash_cnt[2078][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2078][1]~55972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2078][1]~q\);

-- Location: LCCOMB_X13_Y27_N14
\led_flash_cnt[2078][2]~55974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2078][2]~55974_combout\ = (\led_flash_cnt[2078][2]~q\ & (!\led_flash_cnt[2078][1]~55973\)) # (!\led_flash_cnt[2078][2]~q\ & ((\led_flash_cnt[2078][1]~55973\) # (GND)))
-- \led_flash_cnt[2078][2]~55975\ = CARRY((!\led_flash_cnt[2078][1]~55973\) # (!\led_flash_cnt[2078][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2078][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2078][1]~55973\,
	combout => \led_flash_cnt[2078][2]~55974_combout\,
	cout => \led_flash_cnt[2078][2]~55975\);

-- Location: FF_X13_Y27_N15
\led_flash_cnt[2078][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2078][2]~55974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2078][2]~q\);

-- Location: LCCOMB_X13_Y27_N16
\led_flash_cnt[2078][3]~55976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2078][3]~55976_combout\ = (\led_flash_cnt[2078][3]~q\ & (\led_flash_cnt[2078][2]~55975\ $ (GND))) # (!\led_flash_cnt[2078][3]~q\ & (!\led_flash_cnt[2078][2]~55975\ & VCC))
-- \led_flash_cnt[2078][3]~55977\ = CARRY((\led_flash_cnt[2078][3]~q\ & !\led_flash_cnt[2078][2]~55975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2078][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2078][2]~55975\,
	combout => \led_flash_cnt[2078][3]~55976_combout\,
	cout => \led_flash_cnt[2078][3]~55977\);

-- Location: FF_X13_Y27_N17
\led_flash_cnt[2078][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2078][3]~55976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2078][3]~q\);

-- Location: LCCOMB_X13_Y27_N18
\led_flash_cnt[2078][4]~55978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2078][4]~55978_combout\ = (\led_flash_cnt[2078][4]~q\ & (!\led_flash_cnt[2078][3]~55977\)) # (!\led_flash_cnt[2078][4]~q\ & ((\led_flash_cnt[2078][3]~55977\) # (GND)))
-- \led_flash_cnt[2078][4]~55979\ = CARRY((!\led_flash_cnt[2078][3]~55977\) # (!\led_flash_cnt[2078][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2078][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2078][3]~55977\,
	combout => \led_flash_cnt[2078][4]~55978_combout\,
	cout => \led_flash_cnt[2078][4]~55979\);

-- Location: FF_X13_Y27_N19
\led_flash_cnt[2078][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2078][4]~55978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2078][4]~q\);

-- Location: LCCOMB_X13_Y27_N20
\led_flash_cnt[2078][5]~55980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2078][5]~55980_combout\ = (\led_flash_cnt[2078][5]~q\ & (\led_flash_cnt[2078][4]~55979\ $ (GND))) # (!\led_flash_cnt[2078][5]~q\ & (!\led_flash_cnt[2078][4]~55979\ & VCC))
-- \led_flash_cnt[2078][5]~55981\ = CARRY((\led_flash_cnt[2078][5]~q\ & !\led_flash_cnt[2078][4]~55979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2078][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2078][4]~55979\,
	combout => \led_flash_cnt[2078][5]~55980_combout\,
	cout => \led_flash_cnt[2078][5]~55981\);

-- Location: FF_X13_Y27_N21
\led_flash_cnt[2078][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2078][5]~55980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2078][5]~q\);

-- Location: LCCOMB_X13_Y27_N22
\led_flash_cnt[2078][6]~55982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2078][6]~55982_combout\ = (\led_flash_cnt[2078][6]~q\ & (!\led_flash_cnt[2078][5]~55981\)) # (!\led_flash_cnt[2078][6]~q\ & ((\led_flash_cnt[2078][5]~55981\) # (GND)))
-- \led_flash_cnt[2078][6]~55983\ = CARRY((!\led_flash_cnt[2078][5]~55981\) # (!\led_flash_cnt[2078][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2078][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2078][5]~55981\,
	combout => \led_flash_cnt[2078][6]~55982_combout\,
	cout => \led_flash_cnt[2078][6]~55983\);

-- Location: FF_X13_Y27_N23
\led_flash_cnt[2078][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2078][6]~55982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2078][6]~q\);

-- Location: LCCOMB_X13_Y27_N26
\WideAnd2078~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2078~1_combout\ = (\led_flash_cnt[2078][6]~q\ & \led_flash_cnt[2078][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2078][6]~q\,
	datad => \led_flash_cnt[2078][5]~q\,
	combout => \WideAnd2078~1_combout\);

-- Location: LCCOMB_X13_Y27_N8
\WideAnd2078~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2078~0_combout\ = (\led_flash_cnt[2078][1]~q\ & (\led_flash_cnt[2078][4]~q\ & (\led_flash_cnt[2078][2]~q\ & \led_flash_cnt[2078][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2078][1]~q\,
	datab => \led_flash_cnt[2078][4]~q\,
	datac => \led_flash_cnt[2078][2]~q\,
	datad => \led_flash_cnt[2078][3]~q\,
	combout => \WideAnd2078~0_combout\);

-- Location: LCCOMB_X13_Y27_N24
\led_flash_cnt[2078][7]~55984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2078][7]~55984_combout\ = \led_flash_cnt[2078][6]~55983\ $ (!\led_flash_cnt[2078][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2078][7]~q\,
	cin => \led_flash_cnt[2078][6]~55983\,
	combout => \led_flash_cnt[2078][7]~55984_combout\);

-- Location: FF_X13_Y27_N25
\led_flash_cnt[2078][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2078][7]~55984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2078][7]~q\);

-- Location: LCCOMB_X13_Y27_N10
WideAnd2078 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2078~combout\ = (\WideAnd2078~1_combout\ & (\led_flash_cnt[2078][0]~q\ & (\WideAnd2078~0_combout\ & \led_flash_cnt[2078][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2078~1_combout\,
	datab => \led_flash_cnt[2078][0]~q\,
	datac => \WideAnd2078~0_combout\,
	datad => \led_flash_cnt[2078][7]~q\,
	combout => \WideAnd2078~combout\);

-- Location: FF_X13_Y27_N11
\led_flash_cnt_ands[2078]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2078~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2078));

-- Location: LCCOMB_X14_Y31_N2
\led_flash_cnt[2079][0]~82719\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2079][0]~82719_combout\ = !\led_flash_cnt[2079][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2079][0]~q\,
	combout => \led_flash_cnt[2079][0]~82719_combout\);

-- Location: FF_X14_Y31_N3
\led_flash_cnt[2079][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2079][0]~82719_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2079][0]~q\);

-- Location: LCCOMB_X13_Y31_N0
\led_flash_cnt[2079][1]~55986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2079][1]~55986_combout\ = (\led_flash_cnt[2079][0]~q\ & (\led_flash_cnt[2079][1]~q\ $ (VCC))) # (!\led_flash_cnt[2079][0]~q\ & (\led_flash_cnt[2079][1]~q\ & VCC))
-- \led_flash_cnt[2079][1]~55987\ = CARRY((\led_flash_cnt[2079][0]~q\ & \led_flash_cnt[2079][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2079][0]~q\,
	datab => \led_flash_cnt[2079][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2079][1]~55986_combout\,
	cout => \led_flash_cnt[2079][1]~55987\);

-- Location: FF_X13_Y31_N1
\led_flash_cnt[2079][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2079][1]~55986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2079][1]~q\);

-- Location: LCCOMB_X13_Y31_N2
\led_flash_cnt[2079][2]~55988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2079][2]~55988_combout\ = (\led_flash_cnt[2079][2]~q\ & (!\led_flash_cnt[2079][1]~55987\)) # (!\led_flash_cnt[2079][2]~q\ & ((\led_flash_cnt[2079][1]~55987\) # (GND)))
-- \led_flash_cnt[2079][2]~55989\ = CARRY((!\led_flash_cnt[2079][1]~55987\) # (!\led_flash_cnt[2079][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2079][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2079][1]~55987\,
	combout => \led_flash_cnt[2079][2]~55988_combout\,
	cout => \led_flash_cnt[2079][2]~55989\);

-- Location: FF_X13_Y31_N3
\led_flash_cnt[2079][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2079][2]~55988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2079][2]~q\);

-- Location: LCCOMB_X13_Y31_N4
\led_flash_cnt[2079][3]~55990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2079][3]~55990_combout\ = (\led_flash_cnt[2079][3]~q\ & (\led_flash_cnt[2079][2]~55989\ $ (GND))) # (!\led_flash_cnt[2079][3]~q\ & (!\led_flash_cnt[2079][2]~55989\ & VCC))
-- \led_flash_cnt[2079][3]~55991\ = CARRY((\led_flash_cnt[2079][3]~q\ & !\led_flash_cnt[2079][2]~55989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2079][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2079][2]~55989\,
	combout => \led_flash_cnt[2079][3]~55990_combout\,
	cout => \led_flash_cnt[2079][3]~55991\);

-- Location: FF_X13_Y31_N5
\led_flash_cnt[2079][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2079][3]~55990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2079][3]~q\);

-- Location: LCCOMB_X13_Y31_N6
\led_flash_cnt[2079][4]~55992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2079][4]~55992_combout\ = (\led_flash_cnt[2079][4]~q\ & (!\led_flash_cnt[2079][3]~55991\)) # (!\led_flash_cnt[2079][4]~q\ & ((\led_flash_cnt[2079][3]~55991\) # (GND)))
-- \led_flash_cnt[2079][4]~55993\ = CARRY((!\led_flash_cnt[2079][3]~55991\) # (!\led_flash_cnt[2079][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2079][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2079][3]~55991\,
	combout => \led_flash_cnt[2079][4]~55992_combout\,
	cout => \led_flash_cnt[2079][4]~55993\);

-- Location: FF_X13_Y31_N7
\led_flash_cnt[2079][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2079][4]~55992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2079][4]~q\);

-- Location: LCCOMB_X13_Y31_N8
\led_flash_cnt[2079][5]~55994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2079][5]~55994_combout\ = (\led_flash_cnt[2079][5]~q\ & (\led_flash_cnt[2079][4]~55993\ $ (GND))) # (!\led_flash_cnt[2079][5]~q\ & (!\led_flash_cnt[2079][4]~55993\ & VCC))
-- \led_flash_cnt[2079][5]~55995\ = CARRY((\led_flash_cnt[2079][5]~q\ & !\led_flash_cnt[2079][4]~55993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2079][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2079][4]~55993\,
	combout => \led_flash_cnt[2079][5]~55994_combout\,
	cout => \led_flash_cnt[2079][5]~55995\);

-- Location: FF_X13_Y31_N9
\led_flash_cnt[2079][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2079][5]~55994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2079][5]~q\);

-- Location: LCCOMB_X13_Y31_N10
\led_flash_cnt[2079][6]~55996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2079][6]~55996_combout\ = (\led_flash_cnt[2079][6]~q\ & (!\led_flash_cnt[2079][5]~55995\)) # (!\led_flash_cnt[2079][6]~q\ & ((\led_flash_cnt[2079][5]~55995\) # (GND)))
-- \led_flash_cnt[2079][6]~55997\ = CARRY((!\led_flash_cnt[2079][5]~55995\) # (!\led_flash_cnt[2079][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2079][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2079][5]~55995\,
	combout => \led_flash_cnt[2079][6]~55996_combout\,
	cout => \led_flash_cnt[2079][6]~55997\);

-- Location: FF_X13_Y31_N11
\led_flash_cnt[2079][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2079][6]~55996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2079][6]~q\);

-- Location: LCCOMB_X13_Y31_N12
\led_flash_cnt[2079][7]~55998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2079][7]~55998_combout\ = \led_flash_cnt[2079][6]~55997\ $ (!\led_flash_cnt[2079][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2079][7]~q\,
	cin => \led_flash_cnt[2079][6]~55997\,
	combout => \led_flash_cnt[2079][7]~55998_combout\);

-- Location: FF_X13_Y31_N13
\led_flash_cnt[2079][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2079][7]~55998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2079][7]~q\);

-- Location: LCCOMB_X13_Y31_N28
\WideAnd2079~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2079~0_combout\ = (\led_flash_cnt[2079][4]~q\ & (\led_flash_cnt[2079][1]~q\ & (\led_flash_cnt[2079][3]~q\ & \led_flash_cnt[2079][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2079][4]~q\,
	datab => \led_flash_cnt[2079][1]~q\,
	datac => \led_flash_cnt[2079][3]~q\,
	datad => \led_flash_cnt[2079][2]~q\,
	combout => \WideAnd2079~0_combout\);

-- Location: LCCOMB_X14_Y31_N4
\WideAnd2079~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2079~1_combout\ = (\led_flash_cnt[2079][5]~q\ & \led_flash_cnt[2079][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2079][5]~q\,
	datad => \led_flash_cnt[2079][6]~q\,
	combout => \WideAnd2079~1_combout\);

-- Location: LCCOMB_X14_Y31_N8
WideAnd2079 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2079~combout\ = (\led_flash_cnt[2079][7]~q\ & (\WideAnd2079~0_combout\ & (\WideAnd2079~1_combout\ & \led_flash_cnt[2079][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2079][7]~q\,
	datab => \WideAnd2079~0_combout\,
	datac => \WideAnd2079~1_combout\,
	datad => \led_flash_cnt[2079][0]~q\,
	combout => \WideAnd2079~combout\);

-- Location: FF_X14_Y31_N9
\led_flash_cnt_ands[2079]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2079~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2079));

-- Location: LCCOMB_X23_Y23_N26
\led_flash_cnt[2072][0]~82712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2072][0]~82712_combout\ = !\led_flash_cnt[2072][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2072][0]~q\,
	combout => \led_flash_cnt[2072][0]~82712_combout\);

-- Location: FF_X23_Y23_N27
\led_flash_cnt[2072][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2072][0]~82712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2072][0]~q\);

-- Location: LCCOMB_X23_Y23_N8
\led_flash_cnt[2072][1]~55888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2072][1]~55888_combout\ = (\led_flash_cnt[2072][0]~q\ & (\led_flash_cnt[2072][1]~q\ $ (VCC))) # (!\led_flash_cnt[2072][0]~q\ & (\led_flash_cnt[2072][1]~q\ & VCC))
-- \led_flash_cnt[2072][1]~55889\ = CARRY((\led_flash_cnt[2072][0]~q\ & \led_flash_cnt[2072][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2072][0]~q\,
	datab => \led_flash_cnt[2072][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2072][1]~55888_combout\,
	cout => \led_flash_cnt[2072][1]~55889\);

-- Location: FF_X23_Y23_N9
\led_flash_cnt[2072][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2072][1]~55888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2072][1]~q\);

-- Location: LCCOMB_X23_Y23_N10
\led_flash_cnt[2072][2]~55890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2072][2]~55890_combout\ = (\led_flash_cnt[2072][2]~q\ & (!\led_flash_cnt[2072][1]~55889\)) # (!\led_flash_cnt[2072][2]~q\ & ((\led_flash_cnt[2072][1]~55889\) # (GND)))
-- \led_flash_cnt[2072][2]~55891\ = CARRY((!\led_flash_cnt[2072][1]~55889\) # (!\led_flash_cnt[2072][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2072][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2072][1]~55889\,
	combout => \led_flash_cnt[2072][2]~55890_combout\,
	cout => \led_flash_cnt[2072][2]~55891\);

-- Location: FF_X23_Y23_N11
\led_flash_cnt[2072][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2072][2]~55890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2072][2]~q\);

-- Location: LCCOMB_X23_Y23_N12
\led_flash_cnt[2072][3]~55892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2072][3]~55892_combout\ = (\led_flash_cnt[2072][3]~q\ & (\led_flash_cnt[2072][2]~55891\ $ (GND))) # (!\led_flash_cnt[2072][3]~q\ & (!\led_flash_cnt[2072][2]~55891\ & VCC))
-- \led_flash_cnt[2072][3]~55893\ = CARRY((\led_flash_cnt[2072][3]~q\ & !\led_flash_cnt[2072][2]~55891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2072][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2072][2]~55891\,
	combout => \led_flash_cnt[2072][3]~55892_combout\,
	cout => \led_flash_cnt[2072][3]~55893\);

-- Location: FF_X23_Y23_N13
\led_flash_cnt[2072][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2072][3]~55892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2072][3]~q\);

-- Location: LCCOMB_X23_Y23_N14
\led_flash_cnt[2072][4]~55894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2072][4]~55894_combout\ = (\led_flash_cnt[2072][4]~q\ & (!\led_flash_cnt[2072][3]~55893\)) # (!\led_flash_cnt[2072][4]~q\ & ((\led_flash_cnt[2072][3]~55893\) # (GND)))
-- \led_flash_cnt[2072][4]~55895\ = CARRY((!\led_flash_cnt[2072][3]~55893\) # (!\led_flash_cnt[2072][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2072][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2072][3]~55893\,
	combout => \led_flash_cnt[2072][4]~55894_combout\,
	cout => \led_flash_cnt[2072][4]~55895\);

-- Location: FF_X23_Y23_N15
\led_flash_cnt[2072][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2072][4]~55894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2072][4]~q\);

-- Location: LCCOMB_X23_Y23_N16
\led_flash_cnt[2072][5]~55896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2072][5]~55896_combout\ = (\led_flash_cnt[2072][5]~q\ & (\led_flash_cnt[2072][4]~55895\ $ (GND))) # (!\led_flash_cnt[2072][5]~q\ & (!\led_flash_cnt[2072][4]~55895\ & VCC))
-- \led_flash_cnt[2072][5]~55897\ = CARRY((\led_flash_cnt[2072][5]~q\ & !\led_flash_cnt[2072][4]~55895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2072][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2072][4]~55895\,
	combout => \led_flash_cnt[2072][5]~55896_combout\,
	cout => \led_flash_cnt[2072][5]~55897\);

-- Location: FF_X23_Y23_N17
\led_flash_cnt[2072][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2072][5]~55896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2072][5]~q\);

-- Location: LCCOMB_X23_Y23_N18
\led_flash_cnt[2072][6]~55898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2072][6]~55898_combout\ = (\led_flash_cnt[2072][6]~q\ & (!\led_flash_cnt[2072][5]~55897\)) # (!\led_flash_cnt[2072][6]~q\ & ((\led_flash_cnt[2072][5]~55897\) # (GND)))
-- \led_flash_cnt[2072][6]~55899\ = CARRY((!\led_flash_cnt[2072][5]~55897\) # (!\led_flash_cnt[2072][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2072][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2072][5]~55897\,
	combout => \led_flash_cnt[2072][6]~55898_combout\,
	cout => \led_flash_cnt[2072][6]~55899\);

-- Location: FF_X23_Y23_N19
\led_flash_cnt[2072][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2072][6]~55898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2072][6]~q\);

-- Location: LCCOMB_X23_Y23_N20
\led_flash_cnt[2072][7]~55900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2072][7]~55900_combout\ = \led_flash_cnt[2072][6]~55899\ $ (!\led_flash_cnt[2072][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2072][7]~q\,
	cin => \led_flash_cnt[2072][6]~55899\,
	combout => \led_flash_cnt[2072][7]~55900_combout\);

-- Location: FF_X23_Y23_N21
\led_flash_cnt[2072][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2072][7]~55900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2072][7]~q\);

-- Location: LCCOMB_X23_Y23_N4
\WideAnd2072~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2072~1_combout\ = (\led_flash_cnt[2072][6]~q\ & \led_flash_cnt[2072][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2072][6]~q\,
	datad => \led_flash_cnt[2072][5]~q\,
	combout => \WideAnd2072~1_combout\);

-- Location: LCCOMB_X23_Y23_N28
\WideAnd2072~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2072~0_combout\ = (\led_flash_cnt[2072][2]~q\ & (\led_flash_cnt[2072][4]~q\ & (\led_flash_cnt[2072][1]~q\ & \led_flash_cnt[2072][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2072][2]~q\,
	datab => \led_flash_cnt[2072][4]~q\,
	datac => \led_flash_cnt[2072][1]~q\,
	datad => \led_flash_cnt[2072][3]~q\,
	combout => \WideAnd2072~0_combout\);

-- Location: LCCOMB_X23_Y23_N22
WideAnd2072 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2072~combout\ = (\led_flash_cnt[2072][0]~q\ & (\led_flash_cnt[2072][7]~q\ & (\WideAnd2072~1_combout\ & \WideAnd2072~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2072][0]~q\,
	datab => \led_flash_cnt[2072][7]~q\,
	datac => \WideAnd2072~1_combout\,
	datad => \WideAnd2072~0_combout\,
	combout => \WideAnd2072~combout\);

-- Location: FF_X23_Y23_N23
\led_flash_cnt_ands[2072]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2072~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2072));

-- Location: LCCOMB_X21_Y20_N6
\led_flash_cnt[2074][0]~82714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2074][0]~82714_combout\ = !\led_flash_cnt[2074][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2074][0]~q\,
	combout => \led_flash_cnt[2074][0]~82714_combout\);

-- Location: FF_X21_Y20_N7
\led_flash_cnt[2074][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2074][0]~82714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2074][0]~q\);

-- Location: LCCOMB_X18_Y20_N2
\led_flash_cnt[2074][1]~55916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2074][1]~55916_combout\ = (\led_flash_cnt[2074][0]~q\ & (\led_flash_cnt[2074][1]~q\ $ (VCC))) # (!\led_flash_cnt[2074][0]~q\ & (\led_flash_cnt[2074][1]~q\ & VCC))
-- \led_flash_cnt[2074][1]~55917\ = CARRY((\led_flash_cnt[2074][0]~q\ & \led_flash_cnt[2074][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2074][0]~q\,
	datab => \led_flash_cnt[2074][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2074][1]~55916_combout\,
	cout => \led_flash_cnt[2074][1]~55917\);

-- Location: FF_X18_Y20_N3
\led_flash_cnt[2074][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2074][1]~55916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2074][1]~q\);

-- Location: LCCOMB_X18_Y20_N4
\led_flash_cnt[2074][2]~55918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2074][2]~55918_combout\ = (\led_flash_cnt[2074][2]~q\ & (!\led_flash_cnt[2074][1]~55917\)) # (!\led_flash_cnt[2074][2]~q\ & ((\led_flash_cnt[2074][1]~55917\) # (GND)))
-- \led_flash_cnt[2074][2]~55919\ = CARRY((!\led_flash_cnt[2074][1]~55917\) # (!\led_flash_cnt[2074][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2074][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2074][1]~55917\,
	combout => \led_flash_cnt[2074][2]~55918_combout\,
	cout => \led_flash_cnt[2074][2]~55919\);

-- Location: FF_X18_Y20_N5
\led_flash_cnt[2074][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2074][2]~55918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2074][2]~q\);

-- Location: LCCOMB_X18_Y20_N6
\led_flash_cnt[2074][3]~55920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2074][3]~55920_combout\ = (\led_flash_cnt[2074][3]~q\ & (\led_flash_cnt[2074][2]~55919\ $ (GND))) # (!\led_flash_cnt[2074][3]~q\ & (!\led_flash_cnt[2074][2]~55919\ & VCC))
-- \led_flash_cnt[2074][3]~55921\ = CARRY((\led_flash_cnt[2074][3]~q\ & !\led_flash_cnt[2074][2]~55919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2074][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2074][2]~55919\,
	combout => \led_flash_cnt[2074][3]~55920_combout\,
	cout => \led_flash_cnt[2074][3]~55921\);

-- Location: FF_X18_Y20_N7
\led_flash_cnt[2074][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2074][3]~55920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2074][3]~q\);

-- Location: LCCOMB_X18_Y20_N8
\led_flash_cnt[2074][4]~55922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2074][4]~55922_combout\ = (\led_flash_cnt[2074][4]~q\ & (!\led_flash_cnt[2074][3]~55921\)) # (!\led_flash_cnt[2074][4]~q\ & ((\led_flash_cnt[2074][3]~55921\) # (GND)))
-- \led_flash_cnt[2074][4]~55923\ = CARRY((!\led_flash_cnt[2074][3]~55921\) # (!\led_flash_cnt[2074][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2074][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2074][3]~55921\,
	combout => \led_flash_cnt[2074][4]~55922_combout\,
	cout => \led_flash_cnt[2074][4]~55923\);

-- Location: FF_X18_Y20_N9
\led_flash_cnt[2074][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2074][4]~55922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2074][4]~q\);

-- Location: LCCOMB_X18_Y20_N10
\led_flash_cnt[2074][5]~55924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2074][5]~55924_combout\ = (\led_flash_cnt[2074][5]~q\ & (\led_flash_cnt[2074][4]~55923\ $ (GND))) # (!\led_flash_cnt[2074][5]~q\ & (!\led_flash_cnt[2074][4]~55923\ & VCC))
-- \led_flash_cnt[2074][5]~55925\ = CARRY((\led_flash_cnt[2074][5]~q\ & !\led_flash_cnt[2074][4]~55923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2074][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2074][4]~55923\,
	combout => \led_flash_cnt[2074][5]~55924_combout\,
	cout => \led_flash_cnt[2074][5]~55925\);

-- Location: FF_X18_Y20_N11
\led_flash_cnt[2074][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2074][5]~55924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2074][5]~q\);

-- Location: LCCOMB_X18_Y20_N12
\led_flash_cnt[2074][6]~55926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2074][6]~55926_combout\ = (\led_flash_cnt[2074][6]~q\ & (!\led_flash_cnt[2074][5]~55925\)) # (!\led_flash_cnt[2074][6]~q\ & ((\led_flash_cnt[2074][5]~55925\) # (GND)))
-- \led_flash_cnt[2074][6]~55927\ = CARRY((!\led_flash_cnt[2074][5]~55925\) # (!\led_flash_cnt[2074][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2074][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2074][5]~55925\,
	combout => \led_flash_cnt[2074][6]~55926_combout\,
	cout => \led_flash_cnt[2074][6]~55927\);

-- Location: FF_X18_Y20_N13
\led_flash_cnt[2074][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2074][6]~55926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2074][6]~q\);

-- Location: LCCOMB_X18_Y20_N14
\led_flash_cnt[2074][7]~55928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2074][7]~55928_combout\ = \led_flash_cnt[2074][7]~q\ $ (!\led_flash_cnt[2074][6]~55927\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2074][7]~q\,
	cin => \led_flash_cnt[2074][6]~55927\,
	combout => \led_flash_cnt[2074][7]~55928_combout\);

-- Location: FF_X18_Y20_N15
\led_flash_cnt[2074][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2074][7]~55928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2074][7]~q\);

-- Location: LCCOMB_X18_Y20_N30
\WideAnd2074~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2074~0_combout\ = (\led_flash_cnt[2074][3]~q\ & (\led_flash_cnt[2074][4]~q\ & (\led_flash_cnt[2074][2]~q\ & \led_flash_cnt[2074][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2074][3]~q\,
	datab => \led_flash_cnt[2074][4]~q\,
	datac => \led_flash_cnt[2074][2]~q\,
	datad => \led_flash_cnt[2074][1]~q\,
	combout => \WideAnd2074~0_combout\);

-- Location: LCCOMB_X18_Y20_N0
\WideAnd2074~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2074~1_combout\ = (\led_flash_cnt[2074][6]~q\ & \led_flash_cnt[2074][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2074][6]~q\,
	datad => \led_flash_cnt[2074][5]~q\,
	combout => \WideAnd2074~1_combout\);

-- Location: LCCOMB_X19_Y20_N2
WideAnd2074 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2074~combout\ = (\led_flash_cnt[2074][7]~q\ & (\WideAnd2074~0_combout\ & (\WideAnd2074~1_combout\ & \led_flash_cnt[2074][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2074][7]~q\,
	datab => \WideAnd2074~0_combout\,
	datac => \WideAnd2074~1_combout\,
	datad => \led_flash_cnt[2074][0]~q\,
	combout => \WideAnd2074~combout\);

-- Location: FF_X19_Y20_N3
\led_flash_cnt_ands[2074]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2074~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2074));

-- Location: LCCOMB_X23_Y24_N16
\led_flash_cnt[2073][0]~82713\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2073][0]~82713_combout\ = !\led_flash_cnt[2073][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2073][0]~q\,
	combout => \led_flash_cnt[2073][0]~82713_combout\);

-- Location: FF_X23_Y24_N17
\led_flash_cnt[2073][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2073][0]~82713_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2073][0]~q\);

-- Location: LCCOMB_X24_Y24_N0
\led_flash_cnt[2073][1]~55902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2073][1]~55902_combout\ = (\led_flash_cnt[2073][0]~q\ & (\led_flash_cnt[2073][1]~q\ $ (VCC))) # (!\led_flash_cnt[2073][0]~q\ & (\led_flash_cnt[2073][1]~q\ & VCC))
-- \led_flash_cnt[2073][1]~55903\ = CARRY((\led_flash_cnt[2073][0]~q\ & \led_flash_cnt[2073][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2073][0]~q\,
	datab => \led_flash_cnt[2073][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2073][1]~55902_combout\,
	cout => \led_flash_cnt[2073][1]~55903\);

-- Location: FF_X24_Y24_N1
\led_flash_cnt[2073][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2073][1]~55902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2073][1]~q\);

-- Location: LCCOMB_X24_Y24_N2
\led_flash_cnt[2073][2]~55904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2073][2]~55904_combout\ = (\led_flash_cnt[2073][2]~q\ & (!\led_flash_cnt[2073][1]~55903\)) # (!\led_flash_cnt[2073][2]~q\ & ((\led_flash_cnt[2073][1]~55903\) # (GND)))
-- \led_flash_cnt[2073][2]~55905\ = CARRY((!\led_flash_cnt[2073][1]~55903\) # (!\led_flash_cnt[2073][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2073][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2073][1]~55903\,
	combout => \led_flash_cnt[2073][2]~55904_combout\,
	cout => \led_flash_cnt[2073][2]~55905\);

-- Location: FF_X24_Y24_N3
\led_flash_cnt[2073][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2073][2]~55904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2073][2]~q\);

-- Location: LCCOMB_X24_Y24_N4
\led_flash_cnt[2073][3]~55906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2073][3]~55906_combout\ = (\led_flash_cnt[2073][3]~q\ & (\led_flash_cnt[2073][2]~55905\ $ (GND))) # (!\led_flash_cnt[2073][3]~q\ & (!\led_flash_cnt[2073][2]~55905\ & VCC))
-- \led_flash_cnt[2073][3]~55907\ = CARRY((\led_flash_cnt[2073][3]~q\ & !\led_flash_cnt[2073][2]~55905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2073][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2073][2]~55905\,
	combout => \led_flash_cnt[2073][3]~55906_combout\,
	cout => \led_flash_cnt[2073][3]~55907\);

-- Location: FF_X24_Y24_N5
\led_flash_cnt[2073][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2073][3]~55906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2073][3]~q\);

-- Location: LCCOMB_X24_Y24_N6
\led_flash_cnt[2073][4]~55908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2073][4]~55908_combout\ = (\led_flash_cnt[2073][4]~q\ & (!\led_flash_cnt[2073][3]~55907\)) # (!\led_flash_cnt[2073][4]~q\ & ((\led_flash_cnt[2073][3]~55907\) # (GND)))
-- \led_flash_cnt[2073][4]~55909\ = CARRY((!\led_flash_cnt[2073][3]~55907\) # (!\led_flash_cnt[2073][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2073][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2073][3]~55907\,
	combout => \led_flash_cnt[2073][4]~55908_combout\,
	cout => \led_flash_cnt[2073][4]~55909\);

-- Location: FF_X24_Y24_N7
\led_flash_cnt[2073][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2073][4]~55908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2073][4]~q\);

-- Location: LCCOMB_X24_Y24_N8
\led_flash_cnt[2073][5]~55910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2073][5]~55910_combout\ = (\led_flash_cnt[2073][5]~q\ & (\led_flash_cnt[2073][4]~55909\ $ (GND))) # (!\led_flash_cnt[2073][5]~q\ & (!\led_flash_cnt[2073][4]~55909\ & VCC))
-- \led_flash_cnt[2073][5]~55911\ = CARRY((\led_flash_cnt[2073][5]~q\ & !\led_flash_cnt[2073][4]~55909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2073][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2073][4]~55909\,
	combout => \led_flash_cnt[2073][5]~55910_combout\,
	cout => \led_flash_cnt[2073][5]~55911\);

-- Location: FF_X24_Y24_N9
\led_flash_cnt[2073][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2073][5]~55910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2073][5]~q\);

-- Location: LCCOMB_X24_Y24_N10
\led_flash_cnt[2073][6]~55912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2073][6]~55912_combout\ = (\led_flash_cnt[2073][6]~q\ & (!\led_flash_cnt[2073][5]~55911\)) # (!\led_flash_cnt[2073][6]~q\ & ((\led_flash_cnt[2073][5]~55911\) # (GND)))
-- \led_flash_cnt[2073][6]~55913\ = CARRY((!\led_flash_cnt[2073][5]~55911\) # (!\led_flash_cnt[2073][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2073][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2073][5]~55911\,
	combout => \led_flash_cnt[2073][6]~55912_combout\,
	cout => \led_flash_cnt[2073][6]~55913\);

-- Location: FF_X24_Y24_N11
\led_flash_cnt[2073][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2073][6]~55912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2073][6]~q\);

-- Location: LCCOMB_X23_Y24_N30
\WideAnd2073~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2073~1_combout\ = (\led_flash_cnt[2073][6]~q\ & \led_flash_cnt[2073][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2073][6]~q\,
	datac => \led_flash_cnt[2073][5]~q\,
	combout => \WideAnd2073~1_combout\);

-- Location: LCCOMB_X24_Y24_N12
\led_flash_cnt[2073][7]~55914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2073][7]~55914_combout\ = \led_flash_cnt[2073][6]~55913\ $ (!\led_flash_cnt[2073][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2073][7]~q\,
	cin => \led_flash_cnt[2073][6]~55913\,
	combout => \led_flash_cnt[2073][7]~55914_combout\);

-- Location: FF_X24_Y24_N13
\led_flash_cnt[2073][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2073][7]~55914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2073][7]~q\);

-- Location: LCCOMB_X24_Y24_N14
\WideAnd2073~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2073~0_combout\ = (\led_flash_cnt[2073][4]~q\ & (\led_flash_cnt[2073][2]~q\ & (\led_flash_cnt[2073][3]~q\ & \led_flash_cnt[2073][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2073][4]~q\,
	datab => \led_flash_cnt[2073][2]~q\,
	datac => \led_flash_cnt[2073][3]~q\,
	datad => \led_flash_cnt[2073][1]~q\,
	combout => \WideAnd2073~0_combout\);

-- Location: LCCOMB_X23_Y24_N18
WideAnd2073 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2073~combout\ = (\WideAnd2073~1_combout\ & (\led_flash_cnt[2073][7]~q\ & (\WideAnd2073~0_combout\ & \led_flash_cnt[2073][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2073~1_combout\,
	datab => \led_flash_cnt[2073][7]~q\,
	datac => \WideAnd2073~0_combout\,
	datad => \led_flash_cnt[2073][0]~q\,
	combout => \WideAnd2073~combout\);

-- Location: FF_X23_Y24_N19
\led_flash_cnt_ands[2073]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2073~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2073));

-- Location: LCCOMB_X23_Y23_N6
\led_flash_cnt[2075][0]~82715\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2075][0]~82715_combout\ = !\led_flash_cnt[2075][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2075][0]~q\,
	combout => \led_flash_cnt[2075][0]~82715_combout\);

-- Location: FF_X23_Y23_N7
\led_flash_cnt[2075][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2075][0]~82715_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2075][0]~q\);

-- Location: LCCOMB_X24_Y23_N18
\led_flash_cnt[2075][1]~55930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2075][1]~55930_combout\ = (\led_flash_cnt[2075][0]~q\ & (\led_flash_cnt[2075][1]~q\ $ (VCC))) # (!\led_flash_cnt[2075][0]~q\ & (\led_flash_cnt[2075][1]~q\ & VCC))
-- \led_flash_cnt[2075][1]~55931\ = CARRY((\led_flash_cnt[2075][0]~q\ & \led_flash_cnt[2075][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2075][0]~q\,
	datab => \led_flash_cnt[2075][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2075][1]~55930_combout\,
	cout => \led_flash_cnt[2075][1]~55931\);

-- Location: FF_X24_Y23_N19
\led_flash_cnt[2075][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2075][1]~55930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2075][1]~q\);

-- Location: LCCOMB_X24_Y23_N20
\led_flash_cnt[2075][2]~55932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2075][2]~55932_combout\ = (\led_flash_cnt[2075][2]~q\ & (!\led_flash_cnt[2075][1]~55931\)) # (!\led_flash_cnt[2075][2]~q\ & ((\led_flash_cnt[2075][1]~55931\) # (GND)))
-- \led_flash_cnt[2075][2]~55933\ = CARRY((!\led_flash_cnt[2075][1]~55931\) # (!\led_flash_cnt[2075][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2075][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2075][1]~55931\,
	combout => \led_flash_cnt[2075][2]~55932_combout\,
	cout => \led_flash_cnt[2075][2]~55933\);

-- Location: FF_X24_Y23_N21
\led_flash_cnt[2075][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2075][2]~55932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2075][2]~q\);

-- Location: LCCOMB_X24_Y23_N22
\led_flash_cnt[2075][3]~55934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2075][3]~55934_combout\ = (\led_flash_cnt[2075][3]~q\ & (\led_flash_cnt[2075][2]~55933\ $ (GND))) # (!\led_flash_cnt[2075][3]~q\ & (!\led_flash_cnt[2075][2]~55933\ & VCC))
-- \led_flash_cnt[2075][3]~55935\ = CARRY((\led_flash_cnt[2075][3]~q\ & !\led_flash_cnt[2075][2]~55933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2075][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2075][2]~55933\,
	combout => \led_flash_cnt[2075][3]~55934_combout\,
	cout => \led_flash_cnt[2075][3]~55935\);

-- Location: FF_X24_Y23_N23
\led_flash_cnt[2075][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2075][3]~55934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2075][3]~q\);

-- Location: LCCOMB_X24_Y23_N24
\led_flash_cnt[2075][4]~55936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2075][4]~55936_combout\ = (\led_flash_cnt[2075][4]~q\ & (!\led_flash_cnt[2075][3]~55935\)) # (!\led_flash_cnt[2075][4]~q\ & ((\led_flash_cnt[2075][3]~55935\) # (GND)))
-- \led_flash_cnt[2075][4]~55937\ = CARRY((!\led_flash_cnt[2075][3]~55935\) # (!\led_flash_cnt[2075][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2075][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2075][3]~55935\,
	combout => \led_flash_cnt[2075][4]~55936_combout\,
	cout => \led_flash_cnt[2075][4]~55937\);

-- Location: FF_X24_Y23_N25
\led_flash_cnt[2075][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2075][4]~55936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2075][4]~q\);

-- Location: LCCOMB_X24_Y23_N26
\led_flash_cnt[2075][5]~55938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2075][5]~55938_combout\ = (\led_flash_cnt[2075][5]~q\ & (\led_flash_cnt[2075][4]~55937\ $ (GND))) # (!\led_flash_cnt[2075][5]~q\ & (!\led_flash_cnt[2075][4]~55937\ & VCC))
-- \led_flash_cnt[2075][5]~55939\ = CARRY((\led_flash_cnt[2075][5]~q\ & !\led_flash_cnt[2075][4]~55937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2075][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2075][4]~55937\,
	combout => \led_flash_cnt[2075][5]~55938_combout\,
	cout => \led_flash_cnt[2075][5]~55939\);

-- Location: FF_X24_Y23_N27
\led_flash_cnt[2075][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2075][5]~55938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2075][5]~q\);

-- Location: LCCOMB_X24_Y23_N28
\led_flash_cnt[2075][6]~55940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2075][6]~55940_combout\ = (\led_flash_cnt[2075][6]~q\ & (!\led_flash_cnt[2075][5]~55939\)) # (!\led_flash_cnt[2075][6]~q\ & ((\led_flash_cnt[2075][5]~55939\) # (GND)))
-- \led_flash_cnt[2075][6]~55941\ = CARRY((!\led_flash_cnt[2075][5]~55939\) # (!\led_flash_cnt[2075][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2075][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2075][5]~55939\,
	combout => \led_flash_cnt[2075][6]~55940_combout\,
	cout => \led_flash_cnt[2075][6]~55941\);

-- Location: FF_X24_Y23_N29
\led_flash_cnt[2075][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2075][6]~55940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2075][6]~q\);

-- Location: LCCOMB_X23_Y23_N30
\WideAnd2075~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2075~1_combout\ = (\led_flash_cnt[2075][6]~q\ & \led_flash_cnt[2075][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2075][6]~q\,
	datad => \led_flash_cnt[2075][5]~q\,
	combout => \WideAnd2075~1_combout\);

-- Location: LCCOMB_X24_Y23_N0
\WideAnd2075~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2075~0_combout\ = (\led_flash_cnt[2075][4]~q\ & (\led_flash_cnt[2075][1]~q\ & (\led_flash_cnt[2075][3]~q\ & \led_flash_cnt[2075][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2075][4]~q\,
	datab => \led_flash_cnt[2075][1]~q\,
	datac => \led_flash_cnt[2075][3]~q\,
	datad => \led_flash_cnt[2075][2]~q\,
	combout => \WideAnd2075~0_combout\);

-- Location: LCCOMB_X24_Y23_N30
\led_flash_cnt[2075][7]~55942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2075][7]~55942_combout\ = \led_flash_cnt[2075][7]~q\ $ (!\led_flash_cnt[2075][6]~55941\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2075][7]~q\,
	cin => \led_flash_cnt[2075][6]~55941\,
	combout => \led_flash_cnt[2075][7]~55942_combout\);

-- Location: FF_X24_Y23_N31
\led_flash_cnt[2075][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2075][7]~55942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2075][7]~q\);

-- Location: LCCOMB_X23_Y23_N24
WideAnd2075 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2075~combout\ = (\WideAnd2075~1_combout\ & (\WideAnd2075~0_combout\ & (\led_flash_cnt[2075][7]~q\ & \led_flash_cnt[2075][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2075~1_combout\,
	datab => \WideAnd2075~0_combout\,
	datac => \led_flash_cnt[2075][7]~q\,
	datad => \led_flash_cnt[2075][0]~q\,
	combout => \WideAnd2075~combout\);

-- Location: FF_X23_Y23_N25
\led_flash_cnt_ands[2075]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2075~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2075));

-- Location: LCCOMB_X23_Y23_N2
\WideAnd4099~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4099~0_combout\ = (led_flash_cnt_ands(2072) & (led_flash_cnt_ands(2074) & (led_flash_cnt_ands(2073) & led_flash_cnt_ands(2075))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2072),
	datab => led_flash_cnt_ands(2074),
	datac => led_flash_cnt_ands(2073),
	datad => led_flash_cnt_ands(2075),
	combout => \WideAnd4099~0_combout\);

-- Location: LCCOMB_X22_Y23_N8
WideAnd4099 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4099~combout\ = (\WideAnd4099~1_combout\ & (led_flash_cnt_ands(2078) & (led_flash_cnt_ands(2079) & \WideAnd4099~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4099~1_combout\,
	datab => led_flash_cnt_ands(2078),
	datac => led_flash_cnt_ands(2079),
	datad => \WideAnd4099~0_combout\,
	combout => \WideAnd4099~combout\);

-- Location: FF_X22_Y23_N9
\led_flash_cnt_ands_1[259]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4099~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(259));

-- Location: LCCOMB_X25_Y8_N8
\led_flash_cnt[2059][0]~82699\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2059][0]~82699_combout\ = !\led_flash_cnt[2059][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2059][0]~q\,
	combout => \led_flash_cnt[2059][0]~82699_combout\);

-- Location: FF_X25_Y8_N9
\led_flash_cnt[2059][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2059][0]~82699_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2059][0]~q\);

-- Location: LCCOMB_X27_Y8_N0
\led_flash_cnt[2059][1]~55706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2059][1]~55706_combout\ = (\led_flash_cnt[2059][0]~q\ & (\led_flash_cnt[2059][1]~q\ $ (VCC))) # (!\led_flash_cnt[2059][0]~q\ & (\led_flash_cnt[2059][1]~q\ & VCC))
-- \led_flash_cnt[2059][1]~55707\ = CARRY((\led_flash_cnt[2059][0]~q\ & \led_flash_cnt[2059][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2059][0]~q\,
	datab => \led_flash_cnt[2059][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2059][1]~55706_combout\,
	cout => \led_flash_cnt[2059][1]~55707\);

-- Location: FF_X27_Y8_N1
\led_flash_cnt[2059][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2059][1]~55706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2059][1]~q\);

-- Location: LCCOMB_X27_Y8_N2
\led_flash_cnt[2059][2]~55708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2059][2]~55708_combout\ = (\led_flash_cnt[2059][2]~q\ & (!\led_flash_cnt[2059][1]~55707\)) # (!\led_flash_cnt[2059][2]~q\ & ((\led_flash_cnt[2059][1]~55707\) # (GND)))
-- \led_flash_cnt[2059][2]~55709\ = CARRY((!\led_flash_cnt[2059][1]~55707\) # (!\led_flash_cnt[2059][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2059][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2059][1]~55707\,
	combout => \led_flash_cnt[2059][2]~55708_combout\,
	cout => \led_flash_cnt[2059][2]~55709\);

-- Location: FF_X27_Y8_N3
\led_flash_cnt[2059][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2059][2]~55708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2059][2]~q\);

-- Location: LCCOMB_X27_Y8_N4
\led_flash_cnt[2059][3]~55710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2059][3]~55710_combout\ = (\led_flash_cnt[2059][3]~q\ & (\led_flash_cnt[2059][2]~55709\ $ (GND))) # (!\led_flash_cnt[2059][3]~q\ & (!\led_flash_cnt[2059][2]~55709\ & VCC))
-- \led_flash_cnt[2059][3]~55711\ = CARRY((\led_flash_cnt[2059][3]~q\ & !\led_flash_cnt[2059][2]~55709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2059][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2059][2]~55709\,
	combout => \led_flash_cnt[2059][3]~55710_combout\,
	cout => \led_flash_cnt[2059][3]~55711\);

-- Location: FF_X27_Y8_N5
\led_flash_cnt[2059][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2059][3]~55710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2059][3]~q\);

-- Location: LCCOMB_X27_Y8_N6
\led_flash_cnt[2059][4]~55712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2059][4]~55712_combout\ = (\led_flash_cnt[2059][4]~q\ & (!\led_flash_cnt[2059][3]~55711\)) # (!\led_flash_cnt[2059][4]~q\ & ((\led_flash_cnt[2059][3]~55711\) # (GND)))
-- \led_flash_cnt[2059][4]~55713\ = CARRY((!\led_flash_cnt[2059][3]~55711\) # (!\led_flash_cnt[2059][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2059][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2059][3]~55711\,
	combout => \led_flash_cnt[2059][4]~55712_combout\,
	cout => \led_flash_cnt[2059][4]~55713\);

-- Location: FF_X27_Y8_N7
\led_flash_cnt[2059][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2059][4]~55712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2059][4]~q\);

-- Location: LCCOMB_X27_Y8_N16
\WideAnd2059~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2059~0_combout\ = (\led_flash_cnt[2059][4]~q\ & (\led_flash_cnt[2059][2]~q\ & (\led_flash_cnt[2059][3]~q\ & \led_flash_cnt[2059][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2059][4]~q\,
	datab => \led_flash_cnt[2059][2]~q\,
	datac => \led_flash_cnt[2059][3]~q\,
	datad => \led_flash_cnt[2059][1]~q\,
	combout => \WideAnd2059~0_combout\);

-- Location: LCCOMB_X27_Y8_N8
\led_flash_cnt[2059][5]~55714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2059][5]~55714_combout\ = (\led_flash_cnt[2059][5]~q\ & (\led_flash_cnt[2059][4]~55713\ $ (GND))) # (!\led_flash_cnt[2059][5]~q\ & (!\led_flash_cnt[2059][4]~55713\ & VCC))
-- \led_flash_cnt[2059][5]~55715\ = CARRY((\led_flash_cnt[2059][5]~q\ & !\led_flash_cnt[2059][4]~55713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2059][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2059][4]~55713\,
	combout => \led_flash_cnt[2059][5]~55714_combout\,
	cout => \led_flash_cnt[2059][5]~55715\);

-- Location: FF_X27_Y8_N9
\led_flash_cnt[2059][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2059][5]~55714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2059][5]~q\);

-- Location: LCCOMB_X27_Y8_N10
\led_flash_cnt[2059][6]~55716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2059][6]~55716_combout\ = (\led_flash_cnt[2059][6]~q\ & (!\led_flash_cnt[2059][5]~55715\)) # (!\led_flash_cnt[2059][6]~q\ & ((\led_flash_cnt[2059][5]~55715\) # (GND)))
-- \led_flash_cnt[2059][6]~55717\ = CARRY((!\led_flash_cnt[2059][5]~55715\) # (!\led_flash_cnt[2059][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2059][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2059][5]~55715\,
	combout => \led_flash_cnt[2059][6]~55716_combout\,
	cout => \led_flash_cnt[2059][6]~55717\);

-- Location: FF_X27_Y8_N11
\led_flash_cnt[2059][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2059][6]~55716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2059][6]~q\);

-- Location: LCCOMB_X27_Y8_N12
\led_flash_cnt[2059][7]~55718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2059][7]~55718_combout\ = \led_flash_cnt[2059][6]~55717\ $ (!\led_flash_cnt[2059][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2059][7]~q\,
	cin => \led_flash_cnt[2059][6]~55717\,
	combout => \led_flash_cnt[2059][7]~55718_combout\);

-- Location: FF_X27_Y8_N13
\led_flash_cnt[2059][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2059][7]~55718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2059][7]~q\);

-- Location: LCCOMB_X30_Y8_N0
\WideAnd2059~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2059~1_combout\ = (\led_flash_cnt[2059][5]~q\ & \led_flash_cnt[2059][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2059][5]~q\,
	datad => \led_flash_cnt[2059][6]~q\,
	combout => \WideAnd2059~1_combout\);

-- Location: LCCOMB_X30_Y8_N4
WideAnd2059 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2059~combout\ = (\led_flash_cnt[2059][0]~q\ & (\WideAnd2059~0_combout\ & (\led_flash_cnt[2059][7]~q\ & \WideAnd2059~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2059][0]~q\,
	datab => \WideAnd2059~0_combout\,
	datac => \led_flash_cnt[2059][7]~q\,
	datad => \WideAnd2059~1_combout\,
	combout => \WideAnd2059~combout\);

-- Location: FF_X30_Y8_N5
\led_flash_cnt_ands[2059]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2059~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2059));

-- Location: LCCOMB_X38_Y9_N24
\led_flash_cnt[2058][0]~82698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2058][0]~82698_combout\ = !\led_flash_cnt[2058][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2058][0]~q\,
	combout => \led_flash_cnt[2058][0]~82698_combout\);

-- Location: FF_X38_Y9_N25
\led_flash_cnt[2058][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2058][0]~82698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2058][0]~q\);

-- Location: LCCOMB_X34_Y9_N16
\led_flash_cnt[2058][1]~55692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2058][1]~55692_combout\ = (\led_flash_cnt[2058][0]~q\ & (\led_flash_cnt[2058][1]~q\ $ (VCC))) # (!\led_flash_cnt[2058][0]~q\ & (\led_flash_cnt[2058][1]~q\ & VCC))
-- \led_flash_cnt[2058][1]~55693\ = CARRY((\led_flash_cnt[2058][0]~q\ & \led_flash_cnt[2058][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2058][0]~q\,
	datab => \led_flash_cnt[2058][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2058][1]~55692_combout\,
	cout => \led_flash_cnt[2058][1]~55693\);

-- Location: FF_X34_Y9_N17
\led_flash_cnt[2058][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2058][1]~55692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2058][1]~q\);

-- Location: LCCOMB_X34_Y9_N18
\led_flash_cnt[2058][2]~55694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2058][2]~55694_combout\ = (\led_flash_cnt[2058][2]~q\ & (!\led_flash_cnt[2058][1]~55693\)) # (!\led_flash_cnt[2058][2]~q\ & ((\led_flash_cnt[2058][1]~55693\) # (GND)))
-- \led_flash_cnt[2058][2]~55695\ = CARRY((!\led_flash_cnt[2058][1]~55693\) # (!\led_flash_cnt[2058][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2058][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2058][1]~55693\,
	combout => \led_flash_cnt[2058][2]~55694_combout\,
	cout => \led_flash_cnt[2058][2]~55695\);

-- Location: FF_X34_Y9_N19
\led_flash_cnt[2058][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2058][2]~55694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2058][2]~q\);

-- Location: LCCOMB_X34_Y9_N20
\led_flash_cnt[2058][3]~55696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2058][3]~55696_combout\ = (\led_flash_cnt[2058][3]~q\ & (\led_flash_cnt[2058][2]~55695\ $ (GND))) # (!\led_flash_cnt[2058][3]~q\ & (!\led_flash_cnt[2058][2]~55695\ & VCC))
-- \led_flash_cnt[2058][3]~55697\ = CARRY((\led_flash_cnt[2058][3]~q\ & !\led_flash_cnt[2058][2]~55695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2058][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2058][2]~55695\,
	combout => \led_flash_cnt[2058][3]~55696_combout\,
	cout => \led_flash_cnt[2058][3]~55697\);

-- Location: FF_X34_Y9_N21
\led_flash_cnt[2058][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2058][3]~55696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2058][3]~q\);

-- Location: LCCOMB_X34_Y9_N22
\led_flash_cnt[2058][4]~55698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2058][4]~55698_combout\ = (\led_flash_cnt[2058][4]~q\ & (!\led_flash_cnt[2058][3]~55697\)) # (!\led_flash_cnt[2058][4]~q\ & ((\led_flash_cnt[2058][3]~55697\) # (GND)))
-- \led_flash_cnt[2058][4]~55699\ = CARRY((!\led_flash_cnt[2058][3]~55697\) # (!\led_flash_cnt[2058][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2058][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2058][3]~55697\,
	combout => \led_flash_cnt[2058][4]~55698_combout\,
	cout => \led_flash_cnt[2058][4]~55699\);

-- Location: FF_X34_Y9_N23
\led_flash_cnt[2058][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2058][4]~55698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2058][4]~q\);

-- Location: LCCOMB_X34_Y9_N24
\led_flash_cnt[2058][5]~55700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2058][5]~55700_combout\ = (\led_flash_cnt[2058][5]~q\ & (\led_flash_cnt[2058][4]~55699\ $ (GND))) # (!\led_flash_cnt[2058][5]~q\ & (!\led_flash_cnt[2058][4]~55699\ & VCC))
-- \led_flash_cnt[2058][5]~55701\ = CARRY((\led_flash_cnt[2058][5]~q\ & !\led_flash_cnt[2058][4]~55699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2058][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2058][4]~55699\,
	combout => \led_flash_cnt[2058][5]~55700_combout\,
	cout => \led_flash_cnt[2058][5]~55701\);

-- Location: FF_X34_Y9_N25
\led_flash_cnt[2058][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2058][5]~55700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2058][5]~q\);

-- Location: LCCOMB_X34_Y9_N26
\led_flash_cnt[2058][6]~55702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2058][6]~55702_combout\ = (\led_flash_cnt[2058][6]~q\ & (!\led_flash_cnt[2058][5]~55701\)) # (!\led_flash_cnt[2058][6]~q\ & ((\led_flash_cnt[2058][5]~55701\) # (GND)))
-- \led_flash_cnt[2058][6]~55703\ = CARRY((!\led_flash_cnt[2058][5]~55701\) # (!\led_flash_cnt[2058][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2058][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2058][5]~55701\,
	combout => \led_flash_cnt[2058][6]~55702_combout\,
	cout => \led_flash_cnt[2058][6]~55703\);

-- Location: FF_X34_Y9_N27
\led_flash_cnt[2058][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2058][6]~55702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2058][6]~q\);

-- Location: LCCOMB_X35_Y9_N6
\WideAnd2058~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2058~1_combout\ = (\led_flash_cnt[2058][6]~q\ & \led_flash_cnt[2058][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2058][6]~q\,
	datad => \led_flash_cnt[2058][5]~q\,
	combout => \WideAnd2058~1_combout\);

-- Location: LCCOMB_X34_Y9_N28
\led_flash_cnt[2058][7]~55704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2058][7]~55704_combout\ = \led_flash_cnt[2058][6]~55703\ $ (!\led_flash_cnt[2058][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2058][7]~q\,
	cin => \led_flash_cnt[2058][6]~55703\,
	combout => \led_flash_cnt[2058][7]~55704_combout\);

-- Location: FF_X34_Y9_N29
\led_flash_cnt[2058][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2058][7]~55704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2058][7]~q\);

-- Location: LCCOMB_X34_Y9_N30
\WideAnd2058~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2058~0_combout\ = (\led_flash_cnt[2058][3]~q\ & (\led_flash_cnt[2058][2]~q\ & (\led_flash_cnt[2058][4]~q\ & \led_flash_cnt[2058][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2058][3]~q\,
	datab => \led_flash_cnt[2058][2]~q\,
	datac => \led_flash_cnt[2058][4]~q\,
	datad => \led_flash_cnt[2058][1]~q\,
	combout => \WideAnd2058~0_combout\);

-- Location: LCCOMB_X35_Y9_N12
WideAnd2058 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2058~combout\ = (\WideAnd2058~1_combout\ & (\led_flash_cnt[2058][7]~q\ & (\WideAnd2058~0_combout\ & \led_flash_cnt[2058][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2058~1_combout\,
	datab => \led_flash_cnt[2058][7]~q\,
	datac => \WideAnd2058~0_combout\,
	datad => \led_flash_cnt[2058][0]~q\,
	combout => \WideAnd2058~combout\);

-- Location: FF_X35_Y9_N13
\led_flash_cnt_ands[2058]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2058~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2058));

-- Location: LCCOMB_X34_Y13_N6
\led_flash_cnt[2056][0]~82696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2056][0]~82696_combout\ = !\led_flash_cnt[2056][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2056][0]~q\,
	combout => \led_flash_cnt[2056][0]~82696_combout\);

-- Location: FF_X34_Y13_N7
\led_flash_cnt[2056][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2056][0]~82696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2056][0]~q\);

-- Location: LCCOMB_X35_Y13_N16
\led_flash_cnt[2056][1]~55664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2056][1]~55664_combout\ = (\led_flash_cnt[2056][0]~q\ & (\led_flash_cnt[2056][1]~q\ $ (VCC))) # (!\led_flash_cnt[2056][0]~q\ & (\led_flash_cnt[2056][1]~q\ & VCC))
-- \led_flash_cnt[2056][1]~55665\ = CARRY((\led_flash_cnt[2056][0]~q\ & \led_flash_cnt[2056][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2056][0]~q\,
	datab => \led_flash_cnt[2056][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2056][1]~55664_combout\,
	cout => \led_flash_cnt[2056][1]~55665\);

-- Location: FF_X35_Y13_N17
\led_flash_cnt[2056][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2056][1]~55664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2056][1]~q\);

-- Location: LCCOMB_X35_Y13_N18
\led_flash_cnt[2056][2]~55666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2056][2]~55666_combout\ = (\led_flash_cnt[2056][2]~q\ & (!\led_flash_cnt[2056][1]~55665\)) # (!\led_flash_cnt[2056][2]~q\ & ((\led_flash_cnt[2056][1]~55665\) # (GND)))
-- \led_flash_cnt[2056][2]~55667\ = CARRY((!\led_flash_cnt[2056][1]~55665\) # (!\led_flash_cnt[2056][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2056][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2056][1]~55665\,
	combout => \led_flash_cnt[2056][2]~55666_combout\,
	cout => \led_flash_cnt[2056][2]~55667\);

-- Location: FF_X35_Y13_N19
\led_flash_cnt[2056][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2056][2]~55666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2056][2]~q\);

-- Location: LCCOMB_X35_Y13_N20
\led_flash_cnt[2056][3]~55668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2056][3]~55668_combout\ = (\led_flash_cnt[2056][3]~q\ & (\led_flash_cnt[2056][2]~55667\ $ (GND))) # (!\led_flash_cnt[2056][3]~q\ & (!\led_flash_cnt[2056][2]~55667\ & VCC))
-- \led_flash_cnt[2056][3]~55669\ = CARRY((\led_flash_cnt[2056][3]~q\ & !\led_flash_cnt[2056][2]~55667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2056][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2056][2]~55667\,
	combout => \led_flash_cnt[2056][3]~55668_combout\,
	cout => \led_flash_cnt[2056][3]~55669\);

-- Location: FF_X35_Y13_N21
\led_flash_cnt[2056][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2056][3]~55668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2056][3]~q\);

-- Location: LCCOMB_X35_Y13_N22
\led_flash_cnt[2056][4]~55670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2056][4]~55670_combout\ = (\led_flash_cnt[2056][4]~q\ & (!\led_flash_cnt[2056][3]~55669\)) # (!\led_flash_cnt[2056][4]~q\ & ((\led_flash_cnt[2056][3]~55669\) # (GND)))
-- \led_flash_cnt[2056][4]~55671\ = CARRY((!\led_flash_cnt[2056][3]~55669\) # (!\led_flash_cnt[2056][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2056][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2056][3]~55669\,
	combout => \led_flash_cnt[2056][4]~55670_combout\,
	cout => \led_flash_cnt[2056][4]~55671\);

-- Location: FF_X35_Y13_N23
\led_flash_cnt[2056][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2056][4]~55670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2056][4]~q\);

-- Location: LCCOMB_X35_Y13_N14
\WideAnd2056~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2056~0_combout\ = (\led_flash_cnt[2056][3]~q\ & (\led_flash_cnt[2056][2]~q\ & (\led_flash_cnt[2056][4]~q\ & \led_flash_cnt[2056][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2056][3]~q\,
	datab => \led_flash_cnt[2056][2]~q\,
	datac => \led_flash_cnt[2056][4]~q\,
	datad => \led_flash_cnt[2056][1]~q\,
	combout => \WideAnd2056~0_combout\);

-- Location: LCCOMB_X35_Y13_N24
\led_flash_cnt[2056][5]~55672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2056][5]~55672_combout\ = (\led_flash_cnt[2056][5]~q\ & (\led_flash_cnt[2056][4]~55671\ $ (GND))) # (!\led_flash_cnt[2056][5]~q\ & (!\led_flash_cnt[2056][4]~55671\ & VCC))
-- \led_flash_cnt[2056][5]~55673\ = CARRY((\led_flash_cnt[2056][5]~q\ & !\led_flash_cnt[2056][4]~55671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2056][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2056][4]~55671\,
	combout => \led_flash_cnt[2056][5]~55672_combout\,
	cout => \led_flash_cnt[2056][5]~55673\);

-- Location: FF_X35_Y13_N25
\led_flash_cnt[2056][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2056][5]~55672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2056][5]~q\);

-- Location: LCCOMB_X35_Y13_N26
\led_flash_cnt[2056][6]~55674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2056][6]~55674_combout\ = (\led_flash_cnt[2056][6]~q\ & (!\led_flash_cnt[2056][5]~55673\)) # (!\led_flash_cnt[2056][6]~q\ & ((\led_flash_cnt[2056][5]~55673\) # (GND)))
-- \led_flash_cnt[2056][6]~55675\ = CARRY((!\led_flash_cnt[2056][5]~55673\) # (!\led_flash_cnt[2056][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2056][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2056][5]~55673\,
	combout => \led_flash_cnt[2056][6]~55674_combout\,
	cout => \led_flash_cnt[2056][6]~55675\);

-- Location: FF_X35_Y13_N27
\led_flash_cnt[2056][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2056][6]~55674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2056][6]~q\);

-- Location: LCCOMB_X34_Y13_N22
\WideAnd2056~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2056~1_combout\ = (\led_flash_cnt[2056][6]~q\ & \led_flash_cnt[2056][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2056][6]~q\,
	datad => \led_flash_cnt[2056][5]~q\,
	combout => \WideAnd2056~1_combout\);

-- Location: LCCOMB_X35_Y13_N28
\led_flash_cnt[2056][7]~55676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2056][7]~55676_combout\ = \led_flash_cnt[2056][6]~55675\ $ (!\led_flash_cnt[2056][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2056][7]~q\,
	cin => \led_flash_cnt[2056][6]~55675\,
	combout => \led_flash_cnt[2056][7]~55676_combout\);

-- Location: FF_X35_Y13_N29
\led_flash_cnt[2056][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2056][7]~55676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2056][7]~q\);

-- Location: LCCOMB_X34_Y13_N30
WideAnd2056 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2056~combout\ = (\led_flash_cnt[2056][0]~q\ & (\WideAnd2056~0_combout\ & (\WideAnd2056~1_combout\ & \led_flash_cnt[2056][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2056][0]~q\,
	datab => \WideAnd2056~0_combout\,
	datac => \WideAnd2056~1_combout\,
	datad => \led_flash_cnt[2056][7]~q\,
	combout => \WideAnd2056~combout\);

-- Location: FF_X34_Y13_N31
\led_flash_cnt_ands[2056]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2056~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2056));

-- Location: LCCOMB_X25_Y16_N6
\led_flash_cnt[2057][0]~82697\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2057][0]~82697_combout\ = !\led_flash_cnt[2057][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2057][0]~q\,
	combout => \led_flash_cnt[2057][0]~82697_combout\);

-- Location: FF_X25_Y16_N7
\led_flash_cnt[2057][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2057][0]~82697_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2057][0]~q\);

-- Location: LCCOMB_X24_Y16_N2
\led_flash_cnt[2057][1]~55678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2057][1]~55678_combout\ = (\led_flash_cnt[2057][0]~q\ & (\led_flash_cnt[2057][1]~q\ $ (VCC))) # (!\led_flash_cnt[2057][0]~q\ & (\led_flash_cnt[2057][1]~q\ & VCC))
-- \led_flash_cnt[2057][1]~55679\ = CARRY((\led_flash_cnt[2057][0]~q\ & \led_flash_cnt[2057][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2057][0]~q\,
	datab => \led_flash_cnt[2057][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2057][1]~55678_combout\,
	cout => \led_flash_cnt[2057][1]~55679\);

-- Location: FF_X24_Y16_N3
\led_flash_cnt[2057][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2057][1]~55678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2057][1]~q\);

-- Location: LCCOMB_X24_Y16_N4
\led_flash_cnt[2057][2]~55680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2057][2]~55680_combout\ = (\led_flash_cnt[2057][2]~q\ & (!\led_flash_cnt[2057][1]~55679\)) # (!\led_flash_cnt[2057][2]~q\ & ((\led_flash_cnt[2057][1]~55679\) # (GND)))
-- \led_flash_cnt[2057][2]~55681\ = CARRY((!\led_flash_cnt[2057][1]~55679\) # (!\led_flash_cnt[2057][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2057][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2057][1]~55679\,
	combout => \led_flash_cnt[2057][2]~55680_combout\,
	cout => \led_flash_cnt[2057][2]~55681\);

-- Location: FF_X24_Y16_N5
\led_flash_cnt[2057][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2057][2]~55680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2057][2]~q\);

-- Location: LCCOMB_X24_Y16_N6
\led_flash_cnt[2057][3]~55682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2057][3]~55682_combout\ = (\led_flash_cnt[2057][3]~q\ & (\led_flash_cnt[2057][2]~55681\ $ (GND))) # (!\led_flash_cnt[2057][3]~q\ & (!\led_flash_cnt[2057][2]~55681\ & VCC))
-- \led_flash_cnt[2057][3]~55683\ = CARRY((\led_flash_cnt[2057][3]~q\ & !\led_flash_cnt[2057][2]~55681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2057][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2057][2]~55681\,
	combout => \led_flash_cnt[2057][3]~55682_combout\,
	cout => \led_flash_cnt[2057][3]~55683\);

-- Location: FF_X24_Y16_N7
\led_flash_cnt[2057][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2057][3]~55682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2057][3]~q\);

-- Location: LCCOMB_X24_Y16_N8
\led_flash_cnt[2057][4]~55684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2057][4]~55684_combout\ = (\led_flash_cnt[2057][4]~q\ & (!\led_flash_cnt[2057][3]~55683\)) # (!\led_flash_cnt[2057][4]~q\ & ((\led_flash_cnt[2057][3]~55683\) # (GND)))
-- \led_flash_cnt[2057][4]~55685\ = CARRY((!\led_flash_cnt[2057][3]~55683\) # (!\led_flash_cnt[2057][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2057][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2057][3]~55683\,
	combout => \led_flash_cnt[2057][4]~55684_combout\,
	cout => \led_flash_cnt[2057][4]~55685\);

-- Location: FF_X24_Y16_N9
\led_flash_cnt[2057][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2057][4]~55684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2057][4]~q\);

-- Location: LCCOMB_X24_Y16_N10
\led_flash_cnt[2057][5]~55686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2057][5]~55686_combout\ = (\led_flash_cnt[2057][5]~q\ & (\led_flash_cnt[2057][4]~55685\ $ (GND))) # (!\led_flash_cnt[2057][5]~q\ & (!\led_flash_cnt[2057][4]~55685\ & VCC))
-- \led_flash_cnt[2057][5]~55687\ = CARRY((\led_flash_cnt[2057][5]~q\ & !\led_flash_cnt[2057][4]~55685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2057][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2057][4]~55685\,
	combout => \led_flash_cnt[2057][5]~55686_combout\,
	cout => \led_flash_cnt[2057][5]~55687\);

-- Location: FF_X24_Y16_N11
\led_flash_cnt[2057][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2057][5]~55686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2057][5]~q\);

-- Location: LCCOMB_X24_Y16_N12
\led_flash_cnt[2057][6]~55688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2057][6]~55688_combout\ = (\led_flash_cnt[2057][6]~q\ & (!\led_flash_cnt[2057][5]~55687\)) # (!\led_flash_cnt[2057][6]~q\ & ((\led_flash_cnt[2057][5]~55687\) # (GND)))
-- \led_flash_cnt[2057][6]~55689\ = CARRY((!\led_flash_cnt[2057][5]~55687\) # (!\led_flash_cnt[2057][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2057][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2057][5]~55687\,
	combout => \led_flash_cnt[2057][6]~55688_combout\,
	cout => \led_flash_cnt[2057][6]~55689\);

-- Location: FF_X24_Y16_N13
\led_flash_cnt[2057][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2057][6]~55688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2057][6]~q\);

-- Location: LCCOMB_X24_Y16_N14
\led_flash_cnt[2057][7]~55690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2057][7]~55690_combout\ = \led_flash_cnt[2057][7]~q\ $ (!\led_flash_cnt[2057][6]~55689\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2057][7]~q\,
	cin => \led_flash_cnt[2057][6]~55689\,
	combout => \led_flash_cnt[2057][7]~55690_combout\);

-- Location: FF_X24_Y16_N15
\led_flash_cnt[2057][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2057][7]~55690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2057][7]~q\);

-- Location: LCCOMB_X25_Y16_N12
\WideAnd2057~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2057~0_combout\ = (\led_flash_cnt[2057][4]~q\ & (\led_flash_cnt[2057][3]~q\ & (\led_flash_cnt[2057][2]~q\ & \led_flash_cnt[2057][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2057][4]~q\,
	datab => \led_flash_cnt[2057][3]~q\,
	datac => \led_flash_cnt[2057][2]~q\,
	datad => \led_flash_cnt[2057][1]~q\,
	combout => \WideAnd2057~0_combout\);

-- Location: LCCOMB_X23_Y16_N24
\WideAnd2057~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2057~1_combout\ = (\led_flash_cnt[2057][5]~q\ & \led_flash_cnt[2057][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2057][5]~q\,
	datac => \led_flash_cnt[2057][6]~q\,
	combout => \WideAnd2057~1_combout\);

-- Location: LCCOMB_X24_Y16_N30
WideAnd2057 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2057~combout\ = (\led_flash_cnt[2057][0]~q\ & (\led_flash_cnt[2057][7]~q\ & (\WideAnd2057~0_combout\ & \WideAnd2057~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2057][0]~q\,
	datab => \led_flash_cnt[2057][7]~q\,
	datac => \WideAnd2057~0_combout\,
	datad => \WideAnd2057~1_combout\,
	combout => \WideAnd2057~combout\);

-- Location: FF_X24_Y16_N31
\led_flash_cnt_ands[2057]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2057~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2057));

-- Location: LCCOMB_X31_Y12_N10
\WideAnd4097~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4097~0_combout\ = (led_flash_cnt_ands(2059) & (led_flash_cnt_ands(2058) & (led_flash_cnt_ands(2056) & led_flash_cnt_ands(2057))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2059),
	datab => led_flash_cnt_ands(2058),
	datac => led_flash_cnt_ands(2056),
	datad => led_flash_cnt_ands(2057),
	combout => \WideAnd4097~0_combout\);

-- Location: LCCOMB_X38_Y14_N26
\led_flash_cnt[2063][0]~82703\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2063][0]~82703_combout\ = !\led_flash_cnt[2063][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2063][0]~q\,
	combout => \led_flash_cnt[2063][0]~82703_combout\);

-- Location: FF_X38_Y14_N27
\led_flash_cnt[2063][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2063][0]~82703_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2063][0]~q\);

-- Location: LCCOMB_X37_Y13_N18
\led_flash_cnt[2063][1]~55762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2063][1]~55762_combout\ = (\led_flash_cnt[2063][0]~q\ & (\led_flash_cnt[2063][1]~q\ $ (VCC))) # (!\led_flash_cnt[2063][0]~q\ & (\led_flash_cnt[2063][1]~q\ & VCC))
-- \led_flash_cnt[2063][1]~55763\ = CARRY((\led_flash_cnt[2063][0]~q\ & \led_flash_cnt[2063][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2063][0]~q\,
	datab => \led_flash_cnt[2063][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2063][1]~55762_combout\,
	cout => \led_flash_cnt[2063][1]~55763\);

-- Location: FF_X37_Y13_N19
\led_flash_cnt[2063][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2063][1]~55762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2063][1]~q\);

-- Location: LCCOMB_X37_Y13_N20
\led_flash_cnt[2063][2]~55764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2063][2]~55764_combout\ = (\led_flash_cnt[2063][2]~q\ & (!\led_flash_cnt[2063][1]~55763\)) # (!\led_flash_cnt[2063][2]~q\ & ((\led_flash_cnt[2063][1]~55763\) # (GND)))
-- \led_flash_cnt[2063][2]~55765\ = CARRY((!\led_flash_cnt[2063][1]~55763\) # (!\led_flash_cnt[2063][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2063][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2063][1]~55763\,
	combout => \led_flash_cnt[2063][2]~55764_combout\,
	cout => \led_flash_cnt[2063][2]~55765\);

-- Location: FF_X37_Y13_N21
\led_flash_cnt[2063][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2063][2]~55764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2063][2]~q\);

-- Location: LCCOMB_X37_Y13_N22
\led_flash_cnt[2063][3]~55766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2063][3]~55766_combout\ = (\led_flash_cnt[2063][3]~q\ & (\led_flash_cnt[2063][2]~55765\ $ (GND))) # (!\led_flash_cnt[2063][3]~q\ & (!\led_flash_cnt[2063][2]~55765\ & VCC))
-- \led_flash_cnt[2063][3]~55767\ = CARRY((\led_flash_cnt[2063][3]~q\ & !\led_flash_cnt[2063][2]~55765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2063][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2063][2]~55765\,
	combout => \led_flash_cnt[2063][3]~55766_combout\,
	cout => \led_flash_cnt[2063][3]~55767\);

-- Location: FF_X37_Y13_N23
\led_flash_cnt[2063][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2063][3]~55766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2063][3]~q\);

-- Location: LCCOMB_X37_Y13_N24
\led_flash_cnt[2063][4]~55768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2063][4]~55768_combout\ = (\led_flash_cnt[2063][4]~q\ & (!\led_flash_cnt[2063][3]~55767\)) # (!\led_flash_cnt[2063][4]~q\ & ((\led_flash_cnt[2063][3]~55767\) # (GND)))
-- \led_flash_cnt[2063][4]~55769\ = CARRY((!\led_flash_cnt[2063][3]~55767\) # (!\led_flash_cnt[2063][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2063][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2063][3]~55767\,
	combout => \led_flash_cnt[2063][4]~55768_combout\,
	cout => \led_flash_cnt[2063][4]~55769\);

-- Location: FF_X37_Y13_N25
\led_flash_cnt[2063][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2063][4]~55768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2063][4]~q\);

-- Location: LCCOMB_X37_Y13_N0
\WideAnd2063~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2063~0_combout\ = (\led_flash_cnt[2063][2]~q\ & (\led_flash_cnt[2063][1]~q\ & (\led_flash_cnt[2063][3]~q\ & \led_flash_cnt[2063][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2063][2]~q\,
	datab => \led_flash_cnt[2063][1]~q\,
	datac => \led_flash_cnt[2063][3]~q\,
	datad => \led_flash_cnt[2063][4]~q\,
	combout => \WideAnd2063~0_combout\);

-- Location: LCCOMB_X37_Y13_N26
\led_flash_cnt[2063][5]~55770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2063][5]~55770_combout\ = (\led_flash_cnt[2063][5]~q\ & (\led_flash_cnt[2063][4]~55769\ $ (GND))) # (!\led_flash_cnt[2063][5]~q\ & (!\led_flash_cnt[2063][4]~55769\ & VCC))
-- \led_flash_cnt[2063][5]~55771\ = CARRY((\led_flash_cnt[2063][5]~q\ & !\led_flash_cnt[2063][4]~55769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2063][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2063][4]~55769\,
	combout => \led_flash_cnt[2063][5]~55770_combout\,
	cout => \led_flash_cnt[2063][5]~55771\);

-- Location: FF_X37_Y13_N27
\led_flash_cnt[2063][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2063][5]~55770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2063][5]~q\);

-- Location: LCCOMB_X37_Y13_N28
\led_flash_cnt[2063][6]~55772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2063][6]~55772_combout\ = (\led_flash_cnt[2063][6]~q\ & (!\led_flash_cnt[2063][5]~55771\)) # (!\led_flash_cnt[2063][6]~q\ & ((\led_flash_cnt[2063][5]~55771\) # (GND)))
-- \led_flash_cnt[2063][6]~55773\ = CARRY((!\led_flash_cnt[2063][5]~55771\) # (!\led_flash_cnt[2063][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2063][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2063][5]~55771\,
	combout => \led_flash_cnt[2063][6]~55772_combout\,
	cout => \led_flash_cnt[2063][6]~55773\);

-- Location: FF_X37_Y13_N29
\led_flash_cnt[2063][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2063][6]~55772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2063][6]~q\);

-- Location: LCCOMB_X37_Y13_N30
\led_flash_cnt[2063][7]~55774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2063][7]~55774_combout\ = \led_flash_cnt[2063][7]~q\ $ (!\led_flash_cnt[2063][6]~55773\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2063][7]~q\,
	cin => \led_flash_cnt[2063][6]~55773\,
	combout => \led_flash_cnt[2063][7]~55774_combout\);

-- Location: FF_X37_Y13_N31
\led_flash_cnt[2063][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2063][7]~55774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2063][7]~q\);

-- Location: LCCOMB_X38_Y13_N0
\WideAnd2063~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2063~1_combout\ = (\led_flash_cnt[2063][5]~q\ & \led_flash_cnt[2063][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2063][5]~q\,
	datad => \led_flash_cnt[2063][6]~q\,
	combout => \WideAnd2063~1_combout\);

-- Location: LCCOMB_X38_Y13_N30
WideAnd2063 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2063~combout\ = (\WideAnd2063~0_combout\ & (\led_flash_cnt[2063][7]~q\ & (\led_flash_cnt[2063][0]~q\ & \WideAnd2063~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2063~0_combout\,
	datab => \led_flash_cnt[2063][7]~q\,
	datac => \led_flash_cnt[2063][0]~q\,
	datad => \WideAnd2063~1_combout\,
	combout => \WideAnd2063~combout\);

-- Location: FF_X38_Y13_N31
\led_flash_cnt_ands[2063]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2063~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2063));

-- Location: LCCOMB_X31_Y12_N0
\led_flash_cnt[2062][0]~82702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2062][0]~82702_combout\ = !\led_flash_cnt[2062][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2062][0]~q\,
	combout => \led_flash_cnt[2062][0]~82702_combout\);

-- Location: FF_X31_Y12_N1
\led_flash_cnt[2062][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2062][0]~82702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2062][0]~q\);

-- Location: LCCOMB_X31_Y13_N0
\led_flash_cnt[2062][1]~55748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2062][1]~55748_combout\ = (\led_flash_cnt[2062][1]~q\ & (\led_flash_cnt[2062][0]~q\ $ (VCC))) # (!\led_flash_cnt[2062][1]~q\ & (\led_flash_cnt[2062][0]~q\ & VCC))
-- \led_flash_cnt[2062][1]~55749\ = CARRY((\led_flash_cnt[2062][1]~q\ & \led_flash_cnt[2062][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2062][1]~q\,
	datab => \led_flash_cnt[2062][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2062][1]~55748_combout\,
	cout => \led_flash_cnt[2062][1]~55749\);

-- Location: FF_X31_Y13_N1
\led_flash_cnt[2062][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2062][1]~55748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2062][1]~q\);

-- Location: LCCOMB_X31_Y13_N2
\led_flash_cnt[2062][2]~55750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2062][2]~55750_combout\ = (\led_flash_cnt[2062][2]~q\ & (!\led_flash_cnt[2062][1]~55749\)) # (!\led_flash_cnt[2062][2]~q\ & ((\led_flash_cnt[2062][1]~55749\) # (GND)))
-- \led_flash_cnt[2062][2]~55751\ = CARRY((!\led_flash_cnt[2062][1]~55749\) # (!\led_flash_cnt[2062][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2062][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2062][1]~55749\,
	combout => \led_flash_cnt[2062][2]~55750_combout\,
	cout => \led_flash_cnt[2062][2]~55751\);

-- Location: FF_X31_Y13_N3
\led_flash_cnt[2062][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2062][2]~55750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2062][2]~q\);

-- Location: LCCOMB_X31_Y13_N4
\led_flash_cnt[2062][3]~55752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2062][3]~55752_combout\ = (\led_flash_cnt[2062][3]~q\ & (\led_flash_cnt[2062][2]~55751\ $ (GND))) # (!\led_flash_cnt[2062][3]~q\ & (!\led_flash_cnt[2062][2]~55751\ & VCC))
-- \led_flash_cnt[2062][3]~55753\ = CARRY((\led_flash_cnt[2062][3]~q\ & !\led_flash_cnt[2062][2]~55751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2062][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2062][2]~55751\,
	combout => \led_flash_cnt[2062][3]~55752_combout\,
	cout => \led_flash_cnt[2062][3]~55753\);

-- Location: FF_X31_Y13_N5
\led_flash_cnt[2062][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2062][3]~55752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2062][3]~q\);

-- Location: LCCOMB_X31_Y13_N6
\led_flash_cnt[2062][4]~55754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2062][4]~55754_combout\ = (\led_flash_cnt[2062][4]~q\ & (!\led_flash_cnt[2062][3]~55753\)) # (!\led_flash_cnt[2062][4]~q\ & ((\led_flash_cnt[2062][3]~55753\) # (GND)))
-- \led_flash_cnt[2062][4]~55755\ = CARRY((!\led_flash_cnt[2062][3]~55753\) # (!\led_flash_cnt[2062][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2062][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2062][3]~55753\,
	combout => \led_flash_cnt[2062][4]~55754_combout\,
	cout => \led_flash_cnt[2062][4]~55755\);

-- Location: FF_X31_Y13_N7
\led_flash_cnt[2062][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2062][4]~55754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2062][4]~q\);

-- Location: LCCOMB_X31_Y13_N8
\led_flash_cnt[2062][5]~55756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2062][5]~55756_combout\ = (\led_flash_cnt[2062][5]~q\ & (\led_flash_cnt[2062][4]~55755\ $ (GND))) # (!\led_flash_cnt[2062][5]~q\ & (!\led_flash_cnt[2062][4]~55755\ & VCC))
-- \led_flash_cnt[2062][5]~55757\ = CARRY((\led_flash_cnt[2062][5]~q\ & !\led_flash_cnt[2062][4]~55755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2062][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2062][4]~55755\,
	combout => \led_flash_cnt[2062][5]~55756_combout\,
	cout => \led_flash_cnt[2062][5]~55757\);

-- Location: FF_X31_Y13_N9
\led_flash_cnt[2062][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2062][5]~55756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2062][5]~q\);

-- Location: LCCOMB_X31_Y13_N10
\led_flash_cnt[2062][6]~55758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2062][6]~55758_combout\ = (\led_flash_cnt[2062][6]~q\ & (!\led_flash_cnt[2062][5]~55757\)) # (!\led_flash_cnt[2062][6]~q\ & ((\led_flash_cnt[2062][5]~55757\) # (GND)))
-- \led_flash_cnt[2062][6]~55759\ = CARRY((!\led_flash_cnt[2062][5]~55757\) # (!\led_flash_cnt[2062][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2062][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2062][5]~55757\,
	combout => \led_flash_cnt[2062][6]~55758_combout\,
	cout => \led_flash_cnt[2062][6]~55759\);

-- Location: FF_X31_Y13_N11
\led_flash_cnt[2062][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2062][6]~55758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2062][6]~q\);

-- Location: LCCOMB_X31_Y13_N12
\led_flash_cnt[2062][7]~55760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2062][7]~55760_combout\ = \led_flash_cnt[2062][6]~55759\ $ (!\led_flash_cnt[2062][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2062][7]~q\,
	cin => \led_flash_cnt[2062][6]~55759\,
	combout => \led_flash_cnt[2062][7]~55760_combout\);

-- Location: FF_X31_Y13_N13
\led_flash_cnt[2062][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2062][7]~55760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2062][7]~q\);

-- Location: LCCOMB_X32_Y13_N20
\WideAnd2062~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2062~1_combout\ = (\led_flash_cnt[2062][5]~q\ & \led_flash_cnt[2062][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2062][5]~q\,
	datad => \led_flash_cnt[2062][6]~q\,
	combout => \WideAnd2062~1_combout\);

-- Location: LCCOMB_X32_Y13_N18
\WideAnd2062~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2062~0_combout\ = (\led_flash_cnt[2062][1]~q\ & (\led_flash_cnt[2062][4]~q\ & (\led_flash_cnt[2062][3]~q\ & \led_flash_cnt[2062][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2062][1]~q\,
	datab => \led_flash_cnt[2062][4]~q\,
	datac => \led_flash_cnt[2062][3]~q\,
	datad => \led_flash_cnt[2062][2]~q\,
	combout => \WideAnd2062~0_combout\);

-- Location: LCCOMB_X31_Y13_N14
WideAnd2062 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2062~combout\ = (\led_flash_cnt[2062][7]~q\ & (\led_flash_cnt[2062][0]~q\ & (\WideAnd2062~1_combout\ & \WideAnd2062~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2062][7]~q\,
	datab => \led_flash_cnt[2062][0]~q\,
	datac => \WideAnd2062~1_combout\,
	datad => \WideAnd2062~0_combout\,
	combout => \WideAnd2062~combout\);

-- Location: FF_X31_Y13_N15
\led_flash_cnt_ands[2062]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2062~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2062));

-- Location: LCCOMB_X39_Y12_N28
\led_flash_cnt[2061][0]~82701\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2061][0]~82701_combout\ = !\led_flash_cnt[2061][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2061][0]~q\,
	combout => \led_flash_cnt[2061][0]~82701_combout\);

-- Location: FF_X39_Y12_N29
\led_flash_cnt[2061][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2061][0]~82701_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2061][0]~q\);

-- Location: LCCOMB_X38_Y12_N0
\led_flash_cnt[2061][1]~55734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2061][1]~55734_combout\ = (\led_flash_cnt[2061][1]~q\ & (\led_flash_cnt[2061][0]~q\ $ (VCC))) # (!\led_flash_cnt[2061][1]~q\ & (\led_flash_cnt[2061][0]~q\ & VCC))
-- \led_flash_cnt[2061][1]~55735\ = CARRY((\led_flash_cnt[2061][1]~q\ & \led_flash_cnt[2061][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2061][1]~q\,
	datab => \led_flash_cnt[2061][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2061][1]~55734_combout\,
	cout => \led_flash_cnt[2061][1]~55735\);

-- Location: FF_X38_Y12_N1
\led_flash_cnt[2061][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2061][1]~55734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2061][1]~q\);

-- Location: LCCOMB_X38_Y12_N2
\led_flash_cnt[2061][2]~55736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2061][2]~55736_combout\ = (\led_flash_cnt[2061][2]~q\ & (!\led_flash_cnt[2061][1]~55735\)) # (!\led_flash_cnt[2061][2]~q\ & ((\led_flash_cnt[2061][1]~55735\) # (GND)))
-- \led_flash_cnt[2061][2]~55737\ = CARRY((!\led_flash_cnt[2061][1]~55735\) # (!\led_flash_cnt[2061][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2061][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2061][1]~55735\,
	combout => \led_flash_cnt[2061][2]~55736_combout\,
	cout => \led_flash_cnt[2061][2]~55737\);

-- Location: FF_X38_Y12_N3
\led_flash_cnt[2061][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2061][2]~55736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2061][2]~q\);

-- Location: LCCOMB_X38_Y12_N4
\led_flash_cnt[2061][3]~55738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2061][3]~55738_combout\ = (\led_flash_cnt[2061][3]~q\ & (\led_flash_cnt[2061][2]~55737\ $ (GND))) # (!\led_flash_cnt[2061][3]~q\ & (!\led_flash_cnt[2061][2]~55737\ & VCC))
-- \led_flash_cnt[2061][3]~55739\ = CARRY((\led_flash_cnt[2061][3]~q\ & !\led_flash_cnt[2061][2]~55737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2061][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2061][2]~55737\,
	combout => \led_flash_cnt[2061][3]~55738_combout\,
	cout => \led_flash_cnt[2061][3]~55739\);

-- Location: FF_X38_Y12_N5
\led_flash_cnt[2061][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2061][3]~55738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2061][3]~q\);

-- Location: LCCOMB_X38_Y12_N6
\led_flash_cnt[2061][4]~55740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2061][4]~55740_combout\ = (\led_flash_cnt[2061][4]~q\ & (!\led_flash_cnt[2061][3]~55739\)) # (!\led_flash_cnt[2061][4]~q\ & ((\led_flash_cnt[2061][3]~55739\) # (GND)))
-- \led_flash_cnt[2061][4]~55741\ = CARRY((!\led_flash_cnt[2061][3]~55739\) # (!\led_flash_cnt[2061][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2061][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2061][3]~55739\,
	combout => \led_flash_cnt[2061][4]~55740_combout\,
	cout => \led_flash_cnt[2061][4]~55741\);

-- Location: FF_X38_Y12_N7
\led_flash_cnt[2061][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2061][4]~55740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2061][4]~q\);

-- Location: LCCOMB_X38_Y12_N8
\led_flash_cnt[2061][5]~55742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2061][5]~55742_combout\ = (\led_flash_cnt[2061][5]~q\ & (\led_flash_cnt[2061][4]~55741\ $ (GND))) # (!\led_flash_cnt[2061][5]~q\ & (!\led_flash_cnt[2061][4]~55741\ & VCC))
-- \led_flash_cnt[2061][5]~55743\ = CARRY((\led_flash_cnt[2061][5]~q\ & !\led_flash_cnt[2061][4]~55741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2061][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2061][4]~55741\,
	combout => \led_flash_cnt[2061][5]~55742_combout\,
	cout => \led_flash_cnt[2061][5]~55743\);

-- Location: FF_X38_Y12_N9
\led_flash_cnt[2061][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2061][5]~55742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2061][5]~q\);

-- Location: LCCOMB_X38_Y12_N10
\led_flash_cnt[2061][6]~55744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2061][6]~55744_combout\ = (\led_flash_cnt[2061][6]~q\ & (!\led_flash_cnt[2061][5]~55743\)) # (!\led_flash_cnt[2061][6]~q\ & ((\led_flash_cnt[2061][5]~55743\) # (GND)))
-- \led_flash_cnt[2061][6]~55745\ = CARRY((!\led_flash_cnt[2061][5]~55743\) # (!\led_flash_cnt[2061][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2061][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2061][5]~55743\,
	combout => \led_flash_cnt[2061][6]~55744_combout\,
	cout => \led_flash_cnt[2061][6]~55745\);

-- Location: FF_X38_Y12_N11
\led_flash_cnt[2061][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2061][6]~55744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2061][6]~q\);

-- Location: LCCOMB_X38_Y12_N12
\led_flash_cnt[2061][7]~55746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2061][7]~55746_combout\ = \led_flash_cnt[2061][6]~55745\ $ (!\led_flash_cnt[2061][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2061][7]~q\,
	cin => \led_flash_cnt[2061][6]~55745\,
	combout => \led_flash_cnt[2061][7]~55746_combout\);

-- Location: FF_X38_Y12_N13
\led_flash_cnt[2061][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2061][7]~55746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2061][7]~q\);

-- Location: LCCOMB_X38_Y12_N24
\WideAnd2061~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2061~0_combout\ = (\led_flash_cnt[2061][4]~q\ & (\led_flash_cnt[2061][1]~q\ & (\led_flash_cnt[2061][3]~q\ & \led_flash_cnt[2061][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2061][4]~q\,
	datab => \led_flash_cnt[2061][1]~q\,
	datac => \led_flash_cnt[2061][3]~q\,
	datad => \led_flash_cnt[2061][2]~q\,
	combout => \WideAnd2061~0_combout\);

-- Location: LCCOMB_X38_Y12_N26
\WideAnd2061~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2061~1_combout\ = (\led_flash_cnt[2061][5]~q\ & \led_flash_cnt[2061][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2061][5]~q\,
	datad => \led_flash_cnt[2061][6]~q\,
	combout => \WideAnd2061~1_combout\);

-- Location: LCCOMB_X38_Y12_N30
WideAnd2061 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2061~combout\ = (\led_flash_cnt[2061][7]~q\ & (\WideAnd2061~0_combout\ & (\WideAnd2061~1_combout\ & \led_flash_cnt[2061][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2061][7]~q\,
	datab => \WideAnd2061~0_combout\,
	datac => \WideAnd2061~1_combout\,
	datad => \led_flash_cnt[2061][0]~q\,
	combout => \WideAnd2061~combout\);

-- Location: FF_X38_Y12_N31
\led_flash_cnt_ands[2061]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2061~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2061));

-- Location: LCCOMB_X31_Y12_N6
\led_flash_cnt[2060][0]~82700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2060][0]~82700_combout\ = !\led_flash_cnt[2060][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2060][0]~q\,
	combout => \led_flash_cnt[2060][0]~82700_combout\);

-- Location: FF_X31_Y12_N7
\led_flash_cnt[2060][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2060][0]~82700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2060][0]~q\);

-- Location: LCCOMB_X32_Y12_N16
\led_flash_cnt[2060][1]~55720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2060][1]~55720_combout\ = (\led_flash_cnt[2060][0]~q\ & (\led_flash_cnt[2060][1]~q\ $ (VCC))) # (!\led_flash_cnt[2060][0]~q\ & (\led_flash_cnt[2060][1]~q\ & VCC))
-- \led_flash_cnt[2060][1]~55721\ = CARRY((\led_flash_cnt[2060][0]~q\ & \led_flash_cnt[2060][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2060][0]~q\,
	datab => \led_flash_cnt[2060][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2060][1]~55720_combout\,
	cout => \led_flash_cnt[2060][1]~55721\);

-- Location: FF_X32_Y12_N17
\led_flash_cnt[2060][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2060][1]~55720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2060][1]~q\);

-- Location: LCCOMB_X32_Y12_N18
\led_flash_cnt[2060][2]~55722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2060][2]~55722_combout\ = (\led_flash_cnt[2060][2]~q\ & (!\led_flash_cnt[2060][1]~55721\)) # (!\led_flash_cnt[2060][2]~q\ & ((\led_flash_cnt[2060][1]~55721\) # (GND)))
-- \led_flash_cnt[2060][2]~55723\ = CARRY((!\led_flash_cnt[2060][1]~55721\) # (!\led_flash_cnt[2060][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2060][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2060][1]~55721\,
	combout => \led_flash_cnt[2060][2]~55722_combout\,
	cout => \led_flash_cnt[2060][2]~55723\);

-- Location: FF_X32_Y12_N19
\led_flash_cnt[2060][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2060][2]~55722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2060][2]~q\);

-- Location: LCCOMB_X32_Y12_N20
\led_flash_cnt[2060][3]~55724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2060][3]~55724_combout\ = (\led_flash_cnt[2060][3]~q\ & (\led_flash_cnt[2060][2]~55723\ $ (GND))) # (!\led_flash_cnt[2060][3]~q\ & (!\led_flash_cnt[2060][2]~55723\ & VCC))
-- \led_flash_cnt[2060][3]~55725\ = CARRY((\led_flash_cnt[2060][3]~q\ & !\led_flash_cnt[2060][2]~55723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2060][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2060][2]~55723\,
	combout => \led_flash_cnt[2060][3]~55724_combout\,
	cout => \led_flash_cnt[2060][3]~55725\);

-- Location: FF_X32_Y12_N21
\led_flash_cnt[2060][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2060][3]~55724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2060][3]~q\);

-- Location: LCCOMB_X32_Y12_N22
\led_flash_cnt[2060][4]~55726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2060][4]~55726_combout\ = (\led_flash_cnt[2060][4]~q\ & (!\led_flash_cnt[2060][3]~55725\)) # (!\led_flash_cnt[2060][4]~q\ & ((\led_flash_cnt[2060][3]~55725\) # (GND)))
-- \led_flash_cnt[2060][4]~55727\ = CARRY((!\led_flash_cnt[2060][3]~55725\) # (!\led_flash_cnt[2060][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2060][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2060][3]~55725\,
	combout => \led_flash_cnt[2060][4]~55726_combout\,
	cout => \led_flash_cnt[2060][4]~55727\);

-- Location: FF_X32_Y12_N23
\led_flash_cnt[2060][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2060][4]~55726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2060][4]~q\);

-- Location: LCCOMB_X32_Y12_N14
\WideAnd2060~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2060~0_combout\ = (\led_flash_cnt[2060][3]~q\ & (\led_flash_cnt[2060][1]~q\ & (\led_flash_cnt[2060][4]~q\ & \led_flash_cnt[2060][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2060][3]~q\,
	datab => \led_flash_cnt[2060][1]~q\,
	datac => \led_flash_cnt[2060][4]~q\,
	datad => \led_flash_cnt[2060][2]~q\,
	combout => \WideAnd2060~0_combout\);

-- Location: LCCOMB_X32_Y12_N24
\led_flash_cnt[2060][5]~55728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2060][5]~55728_combout\ = (\led_flash_cnt[2060][5]~q\ & (\led_flash_cnt[2060][4]~55727\ $ (GND))) # (!\led_flash_cnt[2060][5]~q\ & (!\led_flash_cnt[2060][4]~55727\ & VCC))
-- \led_flash_cnt[2060][5]~55729\ = CARRY((\led_flash_cnt[2060][5]~q\ & !\led_flash_cnt[2060][4]~55727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2060][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2060][4]~55727\,
	combout => \led_flash_cnt[2060][5]~55728_combout\,
	cout => \led_flash_cnt[2060][5]~55729\);

-- Location: FF_X32_Y12_N25
\led_flash_cnt[2060][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2060][5]~55728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2060][5]~q\);

-- Location: LCCOMB_X32_Y12_N26
\led_flash_cnt[2060][6]~55730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2060][6]~55730_combout\ = (\led_flash_cnt[2060][6]~q\ & (!\led_flash_cnt[2060][5]~55729\)) # (!\led_flash_cnt[2060][6]~q\ & ((\led_flash_cnt[2060][5]~55729\) # (GND)))
-- \led_flash_cnt[2060][6]~55731\ = CARRY((!\led_flash_cnt[2060][5]~55729\) # (!\led_flash_cnt[2060][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2060][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2060][5]~55729\,
	combout => \led_flash_cnt[2060][6]~55730_combout\,
	cout => \led_flash_cnt[2060][6]~55731\);

-- Location: FF_X32_Y12_N27
\led_flash_cnt[2060][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2060][6]~55730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2060][6]~q\);

-- Location: LCCOMB_X31_Y12_N14
\WideAnd2060~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2060~1_combout\ = (\led_flash_cnt[2060][5]~q\ & \led_flash_cnt[2060][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2060][5]~q\,
	datad => \led_flash_cnt[2060][6]~q\,
	combout => \WideAnd2060~1_combout\);

-- Location: LCCOMB_X32_Y12_N28
\led_flash_cnt[2060][7]~55732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2060][7]~55732_combout\ = \led_flash_cnt[2060][6]~55731\ $ (!\led_flash_cnt[2060][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2060][7]~q\,
	cin => \led_flash_cnt[2060][6]~55731\,
	combout => \led_flash_cnt[2060][7]~55732_combout\);

-- Location: FF_X32_Y12_N29
\led_flash_cnt[2060][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2060][7]~55732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2060][7]~q\);

-- Location: LCCOMB_X31_Y12_N12
WideAnd2060 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2060~combout\ = (\led_flash_cnt[2060][0]~q\ & (\WideAnd2060~0_combout\ & (\WideAnd2060~1_combout\ & \led_flash_cnt[2060][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2060][0]~q\,
	datab => \WideAnd2060~0_combout\,
	datac => \WideAnd2060~1_combout\,
	datad => \led_flash_cnt[2060][7]~q\,
	combout => \WideAnd2060~combout\);

-- Location: FF_X31_Y12_N13
\led_flash_cnt_ands[2060]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2060~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2060));

-- Location: LCCOMB_X31_Y12_N18
\WideAnd4097~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4097~1_combout\ = (led_flash_cnt_ands(2061) & led_flash_cnt_ands(2060))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2061),
	datad => led_flash_cnt_ands(2060),
	combout => \WideAnd4097~1_combout\);

-- Location: LCCOMB_X31_Y12_N24
WideAnd4097 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4097~combout\ = (\WideAnd4097~0_combout\ & (led_flash_cnt_ands(2063) & (led_flash_cnt_ands(2062) & \WideAnd4097~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4097~0_combout\,
	datab => led_flash_cnt_ands(2063),
	datac => led_flash_cnt_ands(2062),
	datad => \WideAnd4097~1_combout\,
	combout => \WideAnd4097~combout\);

-- Location: FF_X31_Y12_N25
\led_flash_cnt_ands_1[257]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4097~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(257));

-- Location: LCCOMB_X30_Y12_N28
\WideAnd4352~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4352~0_combout\ = (led_flash_cnt_ands_1(258) & (led_flash_cnt_ands_1(256) & (led_flash_cnt_ands_1(259) & led_flash_cnt_ands_1(257))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(258),
	datab => led_flash_cnt_ands_1(256),
	datac => led_flash_cnt_ands_1(259),
	datad => led_flash_cnt_ands_1(257),
	combout => \WideAnd4352~0_combout\);

-- Location: LCCOMB_X29_Y12_N30
WideAnd4352 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4352~combout\ = (led_flash_cnt_ands_1(263) & (\WideAnd4352~1_combout\ & (led_flash_cnt_ands_1(262) & \WideAnd4352~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(263),
	datab => \WideAnd4352~1_combout\,
	datac => led_flash_cnt_ands_1(262),
	datad => \WideAnd4352~0_combout\,
	combout => \WideAnd4352~combout\);

-- Location: FF_X29_Y12_N31
\led_flash_cnt_ands_2[32]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4352~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(32));

-- Location: LCCOMB_X14_Y17_N2
\led_flash_cnt[2298][0]~82938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2298][0]~82938_combout\ = !\led_flash_cnt[2298][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2298][0]~q\,
	combout => \led_flash_cnt[2298][0]~82938_combout\);

-- Location: FF_X14_Y17_N3
\led_flash_cnt[2298][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2298][0]~82938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2298][0]~q\);

-- Location: LCCOMB_X13_Y17_N0
\led_flash_cnt[2298][1]~59052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2298][1]~59052_combout\ = (\led_flash_cnt[2298][0]~q\ & (\led_flash_cnt[2298][1]~q\ $ (VCC))) # (!\led_flash_cnt[2298][0]~q\ & (\led_flash_cnt[2298][1]~q\ & VCC))
-- \led_flash_cnt[2298][1]~59053\ = CARRY((\led_flash_cnt[2298][0]~q\ & \led_flash_cnt[2298][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2298][0]~q\,
	datab => \led_flash_cnt[2298][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2298][1]~59052_combout\,
	cout => \led_flash_cnt[2298][1]~59053\);

-- Location: FF_X13_Y17_N1
\led_flash_cnt[2298][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2298][1]~59052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2298][1]~q\);

-- Location: LCCOMB_X13_Y17_N2
\led_flash_cnt[2298][2]~59054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2298][2]~59054_combout\ = (\led_flash_cnt[2298][2]~q\ & (!\led_flash_cnt[2298][1]~59053\)) # (!\led_flash_cnt[2298][2]~q\ & ((\led_flash_cnt[2298][1]~59053\) # (GND)))
-- \led_flash_cnt[2298][2]~59055\ = CARRY((!\led_flash_cnt[2298][1]~59053\) # (!\led_flash_cnt[2298][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2298][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2298][1]~59053\,
	combout => \led_flash_cnt[2298][2]~59054_combout\,
	cout => \led_flash_cnt[2298][2]~59055\);

-- Location: FF_X13_Y17_N3
\led_flash_cnt[2298][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2298][2]~59054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2298][2]~q\);

-- Location: LCCOMB_X13_Y17_N4
\led_flash_cnt[2298][3]~59056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2298][3]~59056_combout\ = (\led_flash_cnt[2298][3]~q\ & (\led_flash_cnt[2298][2]~59055\ $ (GND))) # (!\led_flash_cnt[2298][3]~q\ & (!\led_flash_cnt[2298][2]~59055\ & VCC))
-- \led_flash_cnt[2298][3]~59057\ = CARRY((\led_flash_cnt[2298][3]~q\ & !\led_flash_cnt[2298][2]~59055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2298][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2298][2]~59055\,
	combout => \led_flash_cnt[2298][3]~59056_combout\,
	cout => \led_flash_cnt[2298][3]~59057\);

-- Location: FF_X13_Y17_N5
\led_flash_cnt[2298][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2298][3]~59056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2298][3]~q\);

-- Location: LCCOMB_X13_Y17_N6
\led_flash_cnt[2298][4]~59058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2298][4]~59058_combout\ = (\led_flash_cnt[2298][4]~q\ & (!\led_flash_cnt[2298][3]~59057\)) # (!\led_flash_cnt[2298][4]~q\ & ((\led_flash_cnt[2298][3]~59057\) # (GND)))
-- \led_flash_cnt[2298][4]~59059\ = CARRY((!\led_flash_cnt[2298][3]~59057\) # (!\led_flash_cnt[2298][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2298][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2298][3]~59057\,
	combout => \led_flash_cnt[2298][4]~59058_combout\,
	cout => \led_flash_cnt[2298][4]~59059\);

-- Location: FF_X13_Y17_N7
\led_flash_cnt[2298][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2298][4]~59058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2298][4]~q\);

-- Location: LCCOMB_X13_Y17_N8
\led_flash_cnt[2298][5]~59060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2298][5]~59060_combout\ = (\led_flash_cnt[2298][5]~q\ & (\led_flash_cnt[2298][4]~59059\ $ (GND))) # (!\led_flash_cnt[2298][5]~q\ & (!\led_flash_cnt[2298][4]~59059\ & VCC))
-- \led_flash_cnt[2298][5]~59061\ = CARRY((\led_flash_cnt[2298][5]~q\ & !\led_flash_cnt[2298][4]~59059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2298][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2298][4]~59059\,
	combout => \led_flash_cnt[2298][5]~59060_combout\,
	cout => \led_flash_cnt[2298][5]~59061\);

-- Location: FF_X13_Y17_N9
\led_flash_cnt[2298][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2298][5]~59060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2298][5]~q\);

-- Location: LCCOMB_X13_Y17_N10
\led_flash_cnt[2298][6]~59062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2298][6]~59062_combout\ = (\led_flash_cnt[2298][6]~q\ & (!\led_flash_cnt[2298][5]~59061\)) # (!\led_flash_cnt[2298][6]~q\ & ((\led_flash_cnt[2298][5]~59061\) # (GND)))
-- \led_flash_cnt[2298][6]~59063\ = CARRY((!\led_flash_cnt[2298][5]~59061\) # (!\led_flash_cnt[2298][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2298][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2298][5]~59061\,
	combout => \led_flash_cnt[2298][6]~59062_combout\,
	cout => \led_flash_cnt[2298][6]~59063\);

-- Location: FF_X13_Y17_N11
\led_flash_cnt[2298][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2298][6]~59062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2298][6]~q\);

-- Location: LCCOMB_X13_Y17_N12
\led_flash_cnt[2298][7]~59064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2298][7]~59064_combout\ = \led_flash_cnt[2298][6]~59063\ $ (!\led_flash_cnt[2298][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2298][7]~q\,
	cin => \led_flash_cnt[2298][6]~59063\,
	combout => \led_flash_cnt[2298][7]~59064_combout\);

-- Location: FF_X13_Y17_N13
\led_flash_cnt[2298][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2298][7]~59064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2298][7]~q\);

-- Location: LCCOMB_X14_Y17_N28
\WideAnd2298~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2298~1_combout\ = (\led_flash_cnt[2298][5]~q\ & \led_flash_cnt[2298][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2298][5]~q\,
	datad => \led_flash_cnt[2298][6]~q\,
	combout => \WideAnd2298~1_combout\);

-- Location: LCCOMB_X13_Y17_N16
\WideAnd2298~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2298~0_combout\ = (\led_flash_cnt[2298][4]~q\ & (\led_flash_cnt[2298][1]~q\ & (\led_flash_cnt[2298][3]~q\ & \led_flash_cnt[2298][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2298][4]~q\,
	datab => \led_flash_cnt[2298][1]~q\,
	datac => \led_flash_cnt[2298][3]~q\,
	datad => \led_flash_cnt[2298][2]~q\,
	combout => \WideAnd2298~0_combout\);

-- Location: LCCOMB_X14_Y17_N30
WideAnd2298 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2298~combout\ = (\led_flash_cnt[2298][7]~q\ & (\WideAnd2298~1_combout\ & (\WideAnd2298~0_combout\ & \led_flash_cnt[2298][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2298][7]~q\,
	datab => \WideAnd2298~1_combout\,
	datac => \WideAnd2298~0_combout\,
	datad => \led_flash_cnt[2298][0]~q\,
	combout => \WideAnd2298~combout\);

-- Location: FF_X14_Y17_N31
\led_flash_cnt_ands[2298]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2298~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2298));

-- Location: LCCOMB_X14_Y17_N6
\led_flash_cnt[2297][0]~82937\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2297][0]~82937_combout\ = !\led_flash_cnt[2297][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2297][0]~q\,
	combout => \led_flash_cnt[2297][0]~82937_combout\);

-- Location: FF_X14_Y17_N7
\led_flash_cnt[2297][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2297][0]~82937_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2297][0]~q\);

-- Location: LCCOMB_X14_Y17_N8
\led_flash_cnt[2297][1]~59038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2297][1]~59038_combout\ = (\led_flash_cnt[2297][0]~q\ & (\led_flash_cnt[2297][1]~q\ $ (VCC))) # (!\led_flash_cnt[2297][0]~q\ & (\led_flash_cnt[2297][1]~q\ & VCC))
-- \led_flash_cnt[2297][1]~59039\ = CARRY((\led_flash_cnt[2297][0]~q\ & \led_flash_cnt[2297][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2297][0]~q\,
	datab => \led_flash_cnt[2297][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2297][1]~59038_combout\,
	cout => \led_flash_cnt[2297][1]~59039\);

-- Location: FF_X14_Y17_N9
\led_flash_cnt[2297][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2297][1]~59038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2297][1]~q\);

-- Location: LCCOMB_X14_Y17_N10
\led_flash_cnt[2297][2]~59040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2297][2]~59040_combout\ = (\led_flash_cnt[2297][2]~q\ & (!\led_flash_cnt[2297][1]~59039\)) # (!\led_flash_cnt[2297][2]~q\ & ((\led_flash_cnt[2297][1]~59039\) # (GND)))
-- \led_flash_cnt[2297][2]~59041\ = CARRY((!\led_flash_cnt[2297][1]~59039\) # (!\led_flash_cnt[2297][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2297][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2297][1]~59039\,
	combout => \led_flash_cnt[2297][2]~59040_combout\,
	cout => \led_flash_cnt[2297][2]~59041\);

-- Location: FF_X14_Y17_N11
\led_flash_cnt[2297][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2297][2]~59040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2297][2]~q\);

-- Location: LCCOMB_X14_Y17_N12
\led_flash_cnt[2297][3]~59042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2297][3]~59042_combout\ = (\led_flash_cnt[2297][3]~q\ & (\led_flash_cnt[2297][2]~59041\ $ (GND))) # (!\led_flash_cnt[2297][3]~q\ & (!\led_flash_cnt[2297][2]~59041\ & VCC))
-- \led_flash_cnt[2297][3]~59043\ = CARRY((\led_flash_cnt[2297][3]~q\ & !\led_flash_cnt[2297][2]~59041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2297][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2297][2]~59041\,
	combout => \led_flash_cnt[2297][3]~59042_combout\,
	cout => \led_flash_cnt[2297][3]~59043\);

-- Location: FF_X14_Y17_N13
\led_flash_cnt[2297][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2297][3]~59042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2297][3]~q\);

-- Location: LCCOMB_X14_Y17_N14
\led_flash_cnt[2297][4]~59044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2297][4]~59044_combout\ = (\led_flash_cnt[2297][4]~q\ & (!\led_flash_cnt[2297][3]~59043\)) # (!\led_flash_cnt[2297][4]~q\ & ((\led_flash_cnt[2297][3]~59043\) # (GND)))
-- \led_flash_cnt[2297][4]~59045\ = CARRY((!\led_flash_cnt[2297][3]~59043\) # (!\led_flash_cnt[2297][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2297][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2297][3]~59043\,
	combout => \led_flash_cnt[2297][4]~59044_combout\,
	cout => \led_flash_cnt[2297][4]~59045\);

-- Location: FF_X14_Y17_N15
\led_flash_cnt[2297][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2297][4]~59044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2297][4]~q\);

-- Location: LCCOMB_X14_Y17_N22
\WideAnd2297~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2297~0_combout\ = (\led_flash_cnt[2297][2]~q\ & (\led_flash_cnt[2297][1]~q\ & (\led_flash_cnt[2297][4]~q\ & \led_flash_cnt[2297][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2297][2]~q\,
	datab => \led_flash_cnt[2297][1]~q\,
	datac => \led_flash_cnt[2297][4]~q\,
	datad => \led_flash_cnt[2297][3]~q\,
	combout => \WideAnd2297~0_combout\);

-- Location: LCCOMB_X14_Y17_N16
\led_flash_cnt[2297][5]~59046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2297][5]~59046_combout\ = (\led_flash_cnt[2297][5]~q\ & (\led_flash_cnt[2297][4]~59045\ $ (GND))) # (!\led_flash_cnt[2297][5]~q\ & (!\led_flash_cnt[2297][4]~59045\ & VCC))
-- \led_flash_cnt[2297][5]~59047\ = CARRY((\led_flash_cnt[2297][5]~q\ & !\led_flash_cnt[2297][4]~59045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2297][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2297][4]~59045\,
	combout => \led_flash_cnt[2297][5]~59046_combout\,
	cout => \led_flash_cnt[2297][5]~59047\);

-- Location: FF_X14_Y17_N17
\led_flash_cnt[2297][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2297][5]~59046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2297][5]~q\);

-- Location: LCCOMB_X14_Y17_N18
\led_flash_cnt[2297][6]~59048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2297][6]~59048_combout\ = (\led_flash_cnt[2297][6]~q\ & (!\led_flash_cnt[2297][5]~59047\)) # (!\led_flash_cnt[2297][6]~q\ & ((\led_flash_cnt[2297][5]~59047\) # (GND)))
-- \led_flash_cnt[2297][6]~59049\ = CARRY((!\led_flash_cnt[2297][5]~59047\) # (!\led_flash_cnt[2297][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2297][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2297][5]~59047\,
	combout => \led_flash_cnt[2297][6]~59048_combout\,
	cout => \led_flash_cnt[2297][6]~59049\);

-- Location: FF_X14_Y17_N19
\led_flash_cnt[2297][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2297][6]~59048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2297][6]~q\);

-- Location: LCCOMB_X14_Y17_N20
\led_flash_cnt[2297][7]~59050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2297][7]~59050_combout\ = \led_flash_cnt[2297][6]~59049\ $ (!\led_flash_cnt[2297][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2297][7]~q\,
	cin => \led_flash_cnt[2297][6]~59049\,
	combout => \led_flash_cnt[2297][7]~59050_combout\);

-- Location: FF_X14_Y17_N21
\led_flash_cnt[2297][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2297][7]~59050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2297][7]~q\);

-- Location: LCCOMB_X14_Y17_N26
\WideAnd2297~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2297~1_combout\ = (\led_flash_cnt[2297][5]~q\ & \led_flash_cnt[2297][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2297][5]~q\,
	datad => \led_flash_cnt[2297][6]~q\,
	combout => \WideAnd2297~1_combout\);

-- Location: LCCOMB_X14_Y17_N24
WideAnd2297 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2297~combout\ = (\WideAnd2297~0_combout\ & (\led_flash_cnt[2297][7]~q\ & (\WideAnd2297~1_combout\ & \led_flash_cnt[2297][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2297~0_combout\,
	datab => \led_flash_cnt[2297][7]~q\,
	datac => \WideAnd2297~1_combout\,
	datad => \led_flash_cnt[2297][0]~q\,
	combout => \WideAnd2297~combout\);

-- Location: FF_X14_Y17_N25
\led_flash_cnt_ands[2297]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2297~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2297));

-- Location: LCCOMB_X11_Y24_N4
\led_flash_cnt[2299][0]~82939\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2299][0]~82939_combout\ = !\led_flash_cnt[2299][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2299][0]~q\,
	combout => \led_flash_cnt[2299][0]~82939_combout\);

-- Location: FF_X11_Y24_N5
\led_flash_cnt[2299][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2299][0]~82939_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2299][0]~q\);

-- Location: LCCOMB_X11_Y24_N6
\led_flash_cnt[2299][1]~59066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2299][1]~59066_combout\ = (\led_flash_cnt[2299][1]~q\ & (\led_flash_cnt[2299][0]~q\ $ (VCC))) # (!\led_flash_cnt[2299][1]~q\ & (\led_flash_cnt[2299][0]~q\ & VCC))
-- \led_flash_cnt[2299][1]~59067\ = CARRY((\led_flash_cnt[2299][1]~q\ & \led_flash_cnt[2299][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2299][1]~q\,
	datab => \led_flash_cnt[2299][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2299][1]~59066_combout\,
	cout => \led_flash_cnt[2299][1]~59067\);

-- Location: FF_X11_Y24_N7
\led_flash_cnt[2299][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2299][1]~59066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2299][1]~q\);

-- Location: LCCOMB_X11_Y24_N8
\led_flash_cnt[2299][2]~59068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2299][2]~59068_combout\ = (\led_flash_cnt[2299][2]~q\ & (!\led_flash_cnt[2299][1]~59067\)) # (!\led_flash_cnt[2299][2]~q\ & ((\led_flash_cnt[2299][1]~59067\) # (GND)))
-- \led_flash_cnt[2299][2]~59069\ = CARRY((!\led_flash_cnt[2299][1]~59067\) # (!\led_flash_cnt[2299][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2299][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2299][1]~59067\,
	combout => \led_flash_cnt[2299][2]~59068_combout\,
	cout => \led_flash_cnt[2299][2]~59069\);

-- Location: FF_X11_Y24_N9
\led_flash_cnt[2299][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2299][2]~59068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2299][2]~q\);

-- Location: LCCOMB_X11_Y24_N10
\led_flash_cnt[2299][3]~59070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2299][3]~59070_combout\ = (\led_flash_cnt[2299][3]~q\ & (\led_flash_cnt[2299][2]~59069\ $ (GND))) # (!\led_flash_cnt[2299][3]~q\ & (!\led_flash_cnt[2299][2]~59069\ & VCC))
-- \led_flash_cnt[2299][3]~59071\ = CARRY((\led_flash_cnt[2299][3]~q\ & !\led_flash_cnt[2299][2]~59069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2299][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2299][2]~59069\,
	combout => \led_flash_cnt[2299][3]~59070_combout\,
	cout => \led_flash_cnt[2299][3]~59071\);

-- Location: FF_X11_Y24_N11
\led_flash_cnt[2299][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2299][3]~59070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2299][3]~q\);

-- Location: LCCOMB_X11_Y24_N12
\led_flash_cnt[2299][4]~59072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2299][4]~59072_combout\ = (\led_flash_cnt[2299][4]~q\ & (!\led_flash_cnt[2299][3]~59071\)) # (!\led_flash_cnt[2299][4]~q\ & ((\led_flash_cnt[2299][3]~59071\) # (GND)))
-- \led_flash_cnt[2299][4]~59073\ = CARRY((!\led_flash_cnt[2299][3]~59071\) # (!\led_flash_cnt[2299][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2299][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2299][3]~59071\,
	combout => \led_flash_cnt[2299][4]~59072_combout\,
	cout => \led_flash_cnt[2299][4]~59073\);

-- Location: FF_X11_Y24_N13
\led_flash_cnt[2299][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2299][4]~59072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2299][4]~q\);

-- Location: LCCOMB_X11_Y24_N14
\led_flash_cnt[2299][5]~59074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2299][5]~59074_combout\ = (\led_flash_cnt[2299][5]~q\ & (\led_flash_cnt[2299][4]~59073\ $ (GND))) # (!\led_flash_cnt[2299][5]~q\ & (!\led_flash_cnt[2299][4]~59073\ & VCC))
-- \led_flash_cnt[2299][5]~59075\ = CARRY((\led_flash_cnt[2299][5]~q\ & !\led_flash_cnt[2299][4]~59073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2299][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2299][4]~59073\,
	combout => \led_flash_cnt[2299][5]~59074_combout\,
	cout => \led_flash_cnt[2299][5]~59075\);

-- Location: FF_X11_Y24_N15
\led_flash_cnt[2299][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2299][5]~59074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2299][5]~q\);

-- Location: LCCOMB_X11_Y24_N16
\led_flash_cnt[2299][6]~59076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2299][6]~59076_combout\ = (\led_flash_cnt[2299][6]~q\ & (!\led_flash_cnt[2299][5]~59075\)) # (!\led_flash_cnt[2299][6]~q\ & ((\led_flash_cnt[2299][5]~59075\) # (GND)))
-- \led_flash_cnt[2299][6]~59077\ = CARRY((!\led_flash_cnt[2299][5]~59075\) # (!\led_flash_cnt[2299][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2299][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2299][5]~59075\,
	combout => \led_flash_cnt[2299][6]~59076_combout\,
	cout => \led_flash_cnt[2299][6]~59077\);

-- Location: FF_X11_Y24_N17
\led_flash_cnt[2299][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2299][6]~59076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2299][6]~q\);

-- Location: LCCOMB_X11_Y24_N22
\WideAnd2299~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2299~1_combout\ = (\led_flash_cnt[2299][5]~q\ & \led_flash_cnt[2299][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2299][5]~q\,
	datad => \led_flash_cnt[2299][6]~q\,
	combout => \WideAnd2299~1_combout\);

-- Location: LCCOMB_X11_Y24_N18
\led_flash_cnt[2299][7]~59078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2299][7]~59078_combout\ = \led_flash_cnt[2299][7]~q\ $ (!\led_flash_cnt[2299][6]~59077\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2299][7]~q\,
	cin => \led_flash_cnt[2299][6]~59077\,
	combout => \led_flash_cnt[2299][7]~59078_combout\);

-- Location: FF_X11_Y24_N19
\led_flash_cnt[2299][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2299][7]~59078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2299][7]~q\);

-- Location: LCCOMB_X11_Y24_N24
\WideAnd2299~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2299~0_combout\ = (\led_flash_cnt[2299][3]~q\ & (\led_flash_cnt[2299][1]~q\ & (\led_flash_cnt[2299][2]~q\ & \led_flash_cnt[2299][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2299][3]~q\,
	datab => \led_flash_cnt[2299][1]~q\,
	datac => \led_flash_cnt[2299][2]~q\,
	datad => \led_flash_cnt[2299][4]~q\,
	combout => \WideAnd2299~0_combout\);

-- Location: LCCOMB_X11_Y24_N28
WideAnd2299 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2299~combout\ = (\WideAnd2299~1_combout\ & (\led_flash_cnt[2299][0]~q\ & (\led_flash_cnt[2299][7]~q\ & \WideAnd2299~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2299~1_combout\,
	datab => \led_flash_cnt[2299][0]~q\,
	datac => \led_flash_cnt[2299][7]~q\,
	datad => \WideAnd2299~0_combout\,
	combout => \WideAnd2299~combout\);

-- Location: FF_X11_Y24_N29
\led_flash_cnt_ands[2299]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2299~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2299));

-- Location: LCCOMB_X22_Y13_N20
\led_flash_cnt[2296][0]~82936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2296][0]~82936_combout\ = !\led_flash_cnt[2296][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2296][0]~q\,
	combout => \led_flash_cnt[2296][0]~82936_combout\);

-- Location: FF_X22_Y13_N21
\led_flash_cnt[2296][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2296][0]~82936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2296][0]~q\);

-- Location: LCCOMB_X22_Y13_N6
\led_flash_cnt[2296][1]~59024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2296][1]~59024_combout\ = (\led_flash_cnt[2296][1]~q\ & (\led_flash_cnt[2296][0]~q\ $ (VCC))) # (!\led_flash_cnt[2296][1]~q\ & (\led_flash_cnt[2296][0]~q\ & VCC))
-- \led_flash_cnt[2296][1]~59025\ = CARRY((\led_flash_cnt[2296][1]~q\ & \led_flash_cnt[2296][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2296][1]~q\,
	datab => \led_flash_cnt[2296][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2296][1]~59024_combout\,
	cout => \led_flash_cnt[2296][1]~59025\);

-- Location: FF_X22_Y13_N7
\led_flash_cnt[2296][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2296][1]~59024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2296][1]~q\);

-- Location: LCCOMB_X22_Y13_N8
\led_flash_cnt[2296][2]~59026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2296][2]~59026_combout\ = (\led_flash_cnt[2296][2]~q\ & (!\led_flash_cnt[2296][1]~59025\)) # (!\led_flash_cnt[2296][2]~q\ & ((\led_flash_cnt[2296][1]~59025\) # (GND)))
-- \led_flash_cnt[2296][2]~59027\ = CARRY((!\led_flash_cnt[2296][1]~59025\) # (!\led_flash_cnt[2296][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2296][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2296][1]~59025\,
	combout => \led_flash_cnt[2296][2]~59026_combout\,
	cout => \led_flash_cnt[2296][2]~59027\);

-- Location: FF_X22_Y13_N9
\led_flash_cnt[2296][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2296][2]~59026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2296][2]~q\);

-- Location: LCCOMB_X22_Y13_N10
\led_flash_cnt[2296][3]~59028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2296][3]~59028_combout\ = (\led_flash_cnt[2296][3]~q\ & (\led_flash_cnt[2296][2]~59027\ $ (GND))) # (!\led_flash_cnt[2296][3]~q\ & (!\led_flash_cnt[2296][2]~59027\ & VCC))
-- \led_flash_cnt[2296][3]~59029\ = CARRY((\led_flash_cnt[2296][3]~q\ & !\led_flash_cnt[2296][2]~59027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2296][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2296][2]~59027\,
	combout => \led_flash_cnt[2296][3]~59028_combout\,
	cout => \led_flash_cnt[2296][3]~59029\);

-- Location: FF_X22_Y13_N11
\led_flash_cnt[2296][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2296][3]~59028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2296][3]~q\);

-- Location: LCCOMB_X22_Y13_N12
\led_flash_cnt[2296][4]~59030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2296][4]~59030_combout\ = (\led_flash_cnt[2296][4]~q\ & (!\led_flash_cnt[2296][3]~59029\)) # (!\led_flash_cnt[2296][4]~q\ & ((\led_flash_cnt[2296][3]~59029\) # (GND)))
-- \led_flash_cnt[2296][4]~59031\ = CARRY((!\led_flash_cnt[2296][3]~59029\) # (!\led_flash_cnt[2296][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2296][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2296][3]~59029\,
	combout => \led_flash_cnt[2296][4]~59030_combout\,
	cout => \led_flash_cnt[2296][4]~59031\);

-- Location: FF_X22_Y13_N13
\led_flash_cnt[2296][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2296][4]~59030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2296][4]~q\);

-- Location: LCCOMB_X22_Y13_N14
\led_flash_cnt[2296][5]~59032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2296][5]~59032_combout\ = (\led_flash_cnt[2296][5]~q\ & (\led_flash_cnt[2296][4]~59031\ $ (GND))) # (!\led_flash_cnt[2296][5]~q\ & (!\led_flash_cnt[2296][4]~59031\ & VCC))
-- \led_flash_cnt[2296][5]~59033\ = CARRY((\led_flash_cnt[2296][5]~q\ & !\led_flash_cnt[2296][4]~59031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2296][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2296][4]~59031\,
	combout => \led_flash_cnt[2296][5]~59032_combout\,
	cout => \led_flash_cnt[2296][5]~59033\);

-- Location: FF_X22_Y13_N15
\led_flash_cnt[2296][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2296][5]~59032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2296][5]~q\);

-- Location: LCCOMB_X22_Y13_N16
\led_flash_cnt[2296][6]~59034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2296][6]~59034_combout\ = (\led_flash_cnt[2296][6]~q\ & (!\led_flash_cnt[2296][5]~59033\)) # (!\led_flash_cnt[2296][6]~q\ & ((\led_flash_cnt[2296][5]~59033\) # (GND)))
-- \led_flash_cnt[2296][6]~59035\ = CARRY((!\led_flash_cnt[2296][5]~59033\) # (!\led_flash_cnt[2296][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2296][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2296][5]~59033\,
	combout => \led_flash_cnt[2296][6]~59034_combout\,
	cout => \led_flash_cnt[2296][6]~59035\);

-- Location: FF_X22_Y13_N17
\led_flash_cnt[2296][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2296][6]~59034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2296][6]~q\);

-- Location: LCCOMB_X22_Y13_N26
\WideAnd2296~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2296~1_combout\ = (\led_flash_cnt[2296][5]~q\ & \led_flash_cnt[2296][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2296][5]~q\,
	datad => \led_flash_cnt[2296][6]~q\,
	combout => \WideAnd2296~1_combout\);

-- Location: LCCOMB_X22_Y13_N18
\led_flash_cnt[2296][7]~59036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2296][7]~59036_combout\ = \led_flash_cnt[2296][6]~59035\ $ (!\led_flash_cnt[2296][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2296][7]~q\,
	cin => \led_flash_cnt[2296][6]~59035\,
	combout => \led_flash_cnt[2296][7]~59036_combout\);

-- Location: FF_X22_Y13_N19
\led_flash_cnt[2296][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2296][7]~59036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2296][7]~q\);

-- Location: LCCOMB_X22_Y13_N22
\WideAnd2296~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2296~0_combout\ = (\led_flash_cnt[2296][1]~q\ & (\led_flash_cnt[2296][3]~q\ & (\led_flash_cnt[2296][2]~q\ & \led_flash_cnt[2296][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2296][1]~q\,
	datab => \led_flash_cnt[2296][3]~q\,
	datac => \led_flash_cnt[2296][2]~q\,
	datad => \led_flash_cnt[2296][4]~q\,
	combout => \WideAnd2296~0_combout\);

-- Location: LCCOMB_X22_Y13_N4
WideAnd2296 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2296~combout\ = (\WideAnd2296~1_combout\ & (\led_flash_cnt[2296][7]~q\ & (\WideAnd2296~0_combout\ & \led_flash_cnt[2296][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2296~1_combout\,
	datab => \led_flash_cnt[2296][7]~q\,
	datac => \WideAnd2296~0_combout\,
	datad => \led_flash_cnt[2296][0]~q\,
	combout => \WideAnd2296~combout\);

-- Location: FF_X22_Y13_N5
\led_flash_cnt_ands[2296]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2296~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2296));

-- Location: LCCOMB_X14_Y17_N0
\WideAnd4127~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4127~0_combout\ = (led_flash_cnt_ands(2298) & (led_flash_cnt_ands(2297) & (led_flash_cnt_ands(2299) & led_flash_cnt_ands(2296))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2298),
	datab => led_flash_cnt_ands(2297),
	datac => led_flash_cnt_ands(2299),
	datad => led_flash_cnt_ands(2296),
	combout => \WideAnd4127~0_combout\);

-- Location: LCCOMB_X21_Y26_N18
\led_flash_cnt[2302][0]~82942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2302][0]~82942_combout\ = !\led_flash_cnt[2302][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2302][0]~q\,
	combout => \led_flash_cnt[2302][0]~82942_combout\);

-- Location: FF_X21_Y26_N19
\led_flash_cnt[2302][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2302][0]~82942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2302][0]~q\);

-- Location: LCCOMB_X22_Y26_N18
\led_flash_cnt[2302][1]~59108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2302][1]~59108_combout\ = (\led_flash_cnt[2302][0]~q\ & (\led_flash_cnt[2302][1]~q\ $ (VCC))) # (!\led_flash_cnt[2302][0]~q\ & (\led_flash_cnt[2302][1]~q\ & VCC))
-- \led_flash_cnt[2302][1]~59109\ = CARRY((\led_flash_cnt[2302][0]~q\ & \led_flash_cnt[2302][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2302][0]~q\,
	datab => \led_flash_cnt[2302][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2302][1]~59108_combout\,
	cout => \led_flash_cnt[2302][1]~59109\);

-- Location: FF_X22_Y26_N19
\led_flash_cnt[2302][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2302][1]~59108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2302][1]~q\);

-- Location: LCCOMB_X22_Y26_N20
\led_flash_cnt[2302][2]~59110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2302][2]~59110_combout\ = (\led_flash_cnt[2302][2]~q\ & (!\led_flash_cnt[2302][1]~59109\)) # (!\led_flash_cnt[2302][2]~q\ & ((\led_flash_cnt[2302][1]~59109\) # (GND)))
-- \led_flash_cnt[2302][2]~59111\ = CARRY((!\led_flash_cnt[2302][1]~59109\) # (!\led_flash_cnt[2302][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2302][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2302][1]~59109\,
	combout => \led_flash_cnt[2302][2]~59110_combout\,
	cout => \led_flash_cnt[2302][2]~59111\);

-- Location: FF_X22_Y26_N21
\led_flash_cnt[2302][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2302][2]~59110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2302][2]~q\);

-- Location: LCCOMB_X22_Y26_N22
\led_flash_cnt[2302][3]~59112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2302][3]~59112_combout\ = (\led_flash_cnt[2302][3]~q\ & (\led_flash_cnt[2302][2]~59111\ $ (GND))) # (!\led_flash_cnt[2302][3]~q\ & (!\led_flash_cnt[2302][2]~59111\ & VCC))
-- \led_flash_cnt[2302][3]~59113\ = CARRY((\led_flash_cnt[2302][3]~q\ & !\led_flash_cnt[2302][2]~59111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2302][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2302][2]~59111\,
	combout => \led_flash_cnt[2302][3]~59112_combout\,
	cout => \led_flash_cnt[2302][3]~59113\);

-- Location: FF_X22_Y26_N23
\led_flash_cnt[2302][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2302][3]~59112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2302][3]~q\);

-- Location: LCCOMB_X22_Y26_N24
\led_flash_cnt[2302][4]~59114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2302][4]~59114_combout\ = (\led_flash_cnt[2302][4]~q\ & (!\led_flash_cnt[2302][3]~59113\)) # (!\led_flash_cnt[2302][4]~q\ & ((\led_flash_cnt[2302][3]~59113\) # (GND)))
-- \led_flash_cnt[2302][4]~59115\ = CARRY((!\led_flash_cnt[2302][3]~59113\) # (!\led_flash_cnt[2302][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2302][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2302][3]~59113\,
	combout => \led_flash_cnt[2302][4]~59114_combout\,
	cout => \led_flash_cnt[2302][4]~59115\);

-- Location: FF_X22_Y26_N25
\led_flash_cnt[2302][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2302][4]~59114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2302][4]~q\);

-- Location: LCCOMB_X22_Y26_N26
\led_flash_cnt[2302][5]~59116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2302][5]~59116_combout\ = (\led_flash_cnt[2302][5]~q\ & (\led_flash_cnt[2302][4]~59115\ $ (GND))) # (!\led_flash_cnt[2302][5]~q\ & (!\led_flash_cnt[2302][4]~59115\ & VCC))
-- \led_flash_cnt[2302][5]~59117\ = CARRY((\led_flash_cnt[2302][5]~q\ & !\led_flash_cnt[2302][4]~59115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2302][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2302][4]~59115\,
	combout => \led_flash_cnt[2302][5]~59116_combout\,
	cout => \led_flash_cnt[2302][5]~59117\);

-- Location: FF_X22_Y26_N27
\led_flash_cnt[2302][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2302][5]~59116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2302][5]~q\);

-- Location: LCCOMB_X22_Y26_N28
\led_flash_cnt[2302][6]~59118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2302][6]~59118_combout\ = (\led_flash_cnt[2302][6]~q\ & (!\led_flash_cnt[2302][5]~59117\)) # (!\led_flash_cnt[2302][6]~q\ & ((\led_flash_cnt[2302][5]~59117\) # (GND)))
-- \led_flash_cnt[2302][6]~59119\ = CARRY((!\led_flash_cnt[2302][5]~59117\) # (!\led_flash_cnt[2302][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2302][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2302][5]~59117\,
	combout => \led_flash_cnt[2302][6]~59118_combout\,
	cout => \led_flash_cnt[2302][6]~59119\);

-- Location: FF_X22_Y26_N29
\led_flash_cnt[2302][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2302][6]~59118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2302][6]~q\);

-- Location: LCCOMB_X21_Y26_N26
\WideAnd2302~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2302~1_combout\ = (\led_flash_cnt[2302][6]~q\ & \led_flash_cnt[2302][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2302][6]~q\,
	datad => \led_flash_cnt[2302][5]~q\,
	combout => \WideAnd2302~1_combout\);

-- Location: LCCOMB_X22_Y26_N30
\led_flash_cnt[2302][7]~59120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2302][7]~59120_combout\ = \led_flash_cnt[2302][7]~q\ $ (!\led_flash_cnt[2302][6]~59119\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2302][7]~q\,
	cin => \led_flash_cnt[2302][6]~59119\,
	combout => \led_flash_cnt[2302][7]~59120_combout\);

-- Location: FF_X22_Y26_N31
\led_flash_cnt[2302][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2302][7]~59120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2302][7]~q\);

-- Location: LCCOMB_X22_Y26_N16
\WideAnd2302~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2302~0_combout\ = (\led_flash_cnt[2302][4]~q\ & (\led_flash_cnt[2302][1]~q\ & (\led_flash_cnt[2302][3]~q\ & \led_flash_cnt[2302][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2302][4]~q\,
	datab => \led_flash_cnt[2302][1]~q\,
	datac => \led_flash_cnt[2302][3]~q\,
	datad => \led_flash_cnt[2302][2]~q\,
	combout => \WideAnd2302~0_combout\);

-- Location: LCCOMB_X21_Y26_N28
WideAnd2302 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2302~combout\ = (\WideAnd2302~1_combout\ & (\led_flash_cnt[2302][0]~q\ & (\led_flash_cnt[2302][7]~q\ & \WideAnd2302~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2302~1_combout\,
	datab => \led_flash_cnt[2302][0]~q\,
	datac => \led_flash_cnt[2302][7]~q\,
	datad => \WideAnd2302~0_combout\,
	combout => \WideAnd2302~combout\);

-- Location: FF_X21_Y26_N29
\led_flash_cnt_ands[2302]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2302~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2302));

-- Location: LCCOMB_X34_Y28_N10
\led_flash_cnt[2303][0]~82943\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2303][0]~82943_combout\ = !\led_flash_cnt[2303][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2303][0]~q\,
	combout => \led_flash_cnt[2303][0]~82943_combout\);

-- Location: FF_X34_Y28_N11
\led_flash_cnt[2303][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2303][0]~82943_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2303][0]~q\);

-- Location: LCCOMB_X31_Y28_N16
\led_flash_cnt[2303][1]~59122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2303][1]~59122_combout\ = (\led_flash_cnt[2303][0]~q\ & (\led_flash_cnt[2303][1]~q\ $ (VCC))) # (!\led_flash_cnt[2303][0]~q\ & (\led_flash_cnt[2303][1]~q\ & VCC))
-- \led_flash_cnt[2303][1]~59123\ = CARRY((\led_flash_cnt[2303][0]~q\ & \led_flash_cnt[2303][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2303][0]~q\,
	datab => \led_flash_cnt[2303][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2303][1]~59122_combout\,
	cout => \led_flash_cnt[2303][1]~59123\);

-- Location: FF_X31_Y28_N17
\led_flash_cnt[2303][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2303][1]~59122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2303][1]~q\);

-- Location: LCCOMB_X31_Y28_N18
\led_flash_cnt[2303][2]~59124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2303][2]~59124_combout\ = (\led_flash_cnt[2303][2]~q\ & (!\led_flash_cnt[2303][1]~59123\)) # (!\led_flash_cnt[2303][2]~q\ & ((\led_flash_cnt[2303][1]~59123\) # (GND)))
-- \led_flash_cnt[2303][2]~59125\ = CARRY((!\led_flash_cnt[2303][1]~59123\) # (!\led_flash_cnt[2303][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2303][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2303][1]~59123\,
	combout => \led_flash_cnt[2303][2]~59124_combout\,
	cout => \led_flash_cnt[2303][2]~59125\);

-- Location: FF_X31_Y28_N19
\led_flash_cnt[2303][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2303][2]~59124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2303][2]~q\);

-- Location: LCCOMB_X31_Y28_N20
\led_flash_cnt[2303][3]~59126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2303][3]~59126_combout\ = (\led_flash_cnt[2303][3]~q\ & (\led_flash_cnt[2303][2]~59125\ $ (GND))) # (!\led_flash_cnt[2303][3]~q\ & (!\led_flash_cnt[2303][2]~59125\ & VCC))
-- \led_flash_cnt[2303][3]~59127\ = CARRY((\led_flash_cnt[2303][3]~q\ & !\led_flash_cnt[2303][2]~59125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2303][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2303][2]~59125\,
	combout => \led_flash_cnt[2303][3]~59126_combout\,
	cout => \led_flash_cnt[2303][3]~59127\);

-- Location: FF_X31_Y28_N21
\led_flash_cnt[2303][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2303][3]~59126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2303][3]~q\);

-- Location: LCCOMB_X31_Y28_N22
\led_flash_cnt[2303][4]~59128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2303][4]~59128_combout\ = (\led_flash_cnt[2303][4]~q\ & (!\led_flash_cnt[2303][3]~59127\)) # (!\led_flash_cnt[2303][4]~q\ & ((\led_flash_cnt[2303][3]~59127\) # (GND)))
-- \led_flash_cnt[2303][4]~59129\ = CARRY((!\led_flash_cnt[2303][3]~59127\) # (!\led_flash_cnt[2303][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2303][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2303][3]~59127\,
	combout => \led_flash_cnt[2303][4]~59128_combout\,
	cout => \led_flash_cnt[2303][4]~59129\);

-- Location: FF_X31_Y28_N23
\led_flash_cnt[2303][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2303][4]~59128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2303][4]~q\);

-- Location: LCCOMB_X31_Y28_N14
\WideAnd2303~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2303~0_combout\ = (\led_flash_cnt[2303][2]~q\ & (\led_flash_cnt[2303][1]~q\ & (\led_flash_cnt[2303][4]~q\ & \led_flash_cnt[2303][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2303][2]~q\,
	datab => \led_flash_cnt[2303][1]~q\,
	datac => \led_flash_cnt[2303][4]~q\,
	datad => \led_flash_cnt[2303][3]~q\,
	combout => \WideAnd2303~0_combout\);

-- Location: LCCOMB_X31_Y28_N24
\led_flash_cnt[2303][5]~59130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2303][5]~59130_combout\ = (\led_flash_cnt[2303][5]~q\ & (\led_flash_cnt[2303][4]~59129\ $ (GND))) # (!\led_flash_cnt[2303][5]~q\ & (!\led_flash_cnt[2303][4]~59129\ & VCC))
-- \led_flash_cnt[2303][5]~59131\ = CARRY((\led_flash_cnt[2303][5]~q\ & !\led_flash_cnt[2303][4]~59129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2303][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2303][4]~59129\,
	combout => \led_flash_cnt[2303][5]~59130_combout\,
	cout => \led_flash_cnt[2303][5]~59131\);

-- Location: FF_X31_Y28_N25
\led_flash_cnt[2303][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2303][5]~59130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2303][5]~q\);

-- Location: LCCOMB_X31_Y28_N26
\led_flash_cnt[2303][6]~59132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2303][6]~59132_combout\ = (\led_flash_cnt[2303][6]~q\ & (!\led_flash_cnt[2303][5]~59131\)) # (!\led_flash_cnt[2303][6]~q\ & ((\led_flash_cnt[2303][5]~59131\) # (GND)))
-- \led_flash_cnt[2303][6]~59133\ = CARRY((!\led_flash_cnt[2303][5]~59131\) # (!\led_flash_cnt[2303][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2303][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2303][5]~59131\,
	combout => \led_flash_cnt[2303][6]~59132_combout\,
	cout => \led_flash_cnt[2303][6]~59133\);

-- Location: FF_X31_Y28_N27
\led_flash_cnt[2303][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2303][6]~59132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2303][6]~q\);

-- Location: LCCOMB_X31_Y28_N28
\led_flash_cnt[2303][7]~59134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2303][7]~59134_combout\ = \led_flash_cnt[2303][6]~59133\ $ (!\led_flash_cnt[2303][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2303][7]~q\,
	cin => \led_flash_cnt[2303][6]~59133\,
	combout => \led_flash_cnt[2303][7]~59134_combout\);

-- Location: FF_X31_Y28_N29
\led_flash_cnt[2303][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2303][7]~59134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2303][7]~q\);

-- Location: LCCOMB_X32_Y28_N20
\WideAnd2303~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2303~1_combout\ = (\led_flash_cnt[2303][6]~q\ & \led_flash_cnt[2303][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2303][6]~q\,
	datad => \led_flash_cnt[2303][5]~q\,
	combout => \WideAnd2303~1_combout\);

-- Location: LCCOMB_X32_Y28_N30
WideAnd2303 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2303~combout\ = (\WideAnd2303~0_combout\ & (\led_flash_cnt[2303][7]~q\ & (\led_flash_cnt[2303][0]~q\ & \WideAnd2303~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2303~0_combout\,
	datab => \led_flash_cnt[2303][7]~q\,
	datac => \led_flash_cnt[2303][0]~q\,
	datad => \WideAnd2303~1_combout\,
	combout => \WideAnd2303~combout\);

-- Location: FF_X32_Y28_N31
\led_flash_cnt_ands[2303]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2303~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2303));

-- Location: LCCOMB_X19_Y27_N2
\led_flash_cnt[2300][0]~82940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2300][0]~82940_combout\ = !\led_flash_cnt[2300][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2300][0]~q\,
	combout => \led_flash_cnt[2300][0]~82940_combout\);

-- Location: FF_X19_Y27_N3
\led_flash_cnt[2300][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2300][0]~82940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2300][0]~q\);

-- Location: LCCOMB_X19_Y27_N10
\led_flash_cnt[2300][1]~59080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2300][1]~59080_combout\ = (\led_flash_cnt[2300][1]~q\ & (\led_flash_cnt[2300][0]~q\ $ (VCC))) # (!\led_flash_cnt[2300][1]~q\ & (\led_flash_cnt[2300][0]~q\ & VCC))
-- \led_flash_cnt[2300][1]~59081\ = CARRY((\led_flash_cnt[2300][1]~q\ & \led_flash_cnt[2300][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2300][1]~q\,
	datab => \led_flash_cnt[2300][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2300][1]~59080_combout\,
	cout => \led_flash_cnt[2300][1]~59081\);

-- Location: FF_X19_Y27_N11
\led_flash_cnt[2300][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2300][1]~59080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2300][1]~q\);

-- Location: LCCOMB_X19_Y27_N12
\led_flash_cnt[2300][2]~59082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2300][2]~59082_combout\ = (\led_flash_cnt[2300][2]~q\ & (!\led_flash_cnt[2300][1]~59081\)) # (!\led_flash_cnt[2300][2]~q\ & ((\led_flash_cnt[2300][1]~59081\) # (GND)))
-- \led_flash_cnt[2300][2]~59083\ = CARRY((!\led_flash_cnt[2300][1]~59081\) # (!\led_flash_cnt[2300][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2300][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2300][1]~59081\,
	combout => \led_flash_cnt[2300][2]~59082_combout\,
	cout => \led_flash_cnt[2300][2]~59083\);

-- Location: FF_X19_Y27_N13
\led_flash_cnt[2300][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2300][2]~59082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2300][2]~q\);

-- Location: LCCOMB_X19_Y27_N14
\led_flash_cnt[2300][3]~59084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2300][3]~59084_combout\ = (\led_flash_cnt[2300][3]~q\ & (\led_flash_cnt[2300][2]~59083\ $ (GND))) # (!\led_flash_cnt[2300][3]~q\ & (!\led_flash_cnt[2300][2]~59083\ & VCC))
-- \led_flash_cnt[2300][3]~59085\ = CARRY((\led_flash_cnt[2300][3]~q\ & !\led_flash_cnt[2300][2]~59083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2300][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2300][2]~59083\,
	combout => \led_flash_cnt[2300][3]~59084_combout\,
	cout => \led_flash_cnt[2300][3]~59085\);

-- Location: FF_X19_Y27_N15
\led_flash_cnt[2300][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2300][3]~59084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2300][3]~q\);

-- Location: LCCOMB_X19_Y27_N16
\led_flash_cnt[2300][4]~59086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2300][4]~59086_combout\ = (\led_flash_cnt[2300][4]~q\ & (!\led_flash_cnt[2300][3]~59085\)) # (!\led_flash_cnt[2300][4]~q\ & ((\led_flash_cnt[2300][3]~59085\) # (GND)))
-- \led_flash_cnt[2300][4]~59087\ = CARRY((!\led_flash_cnt[2300][3]~59085\) # (!\led_flash_cnt[2300][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2300][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2300][3]~59085\,
	combout => \led_flash_cnt[2300][4]~59086_combout\,
	cout => \led_flash_cnt[2300][4]~59087\);

-- Location: FF_X19_Y27_N17
\led_flash_cnt[2300][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2300][4]~59086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2300][4]~q\);

-- Location: LCCOMB_X19_Y27_N18
\led_flash_cnt[2300][5]~59088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2300][5]~59088_combout\ = (\led_flash_cnt[2300][5]~q\ & (\led_flash_cnt[2300][4]~59087\ $ (GND))) # (!\led_flash_cnt[2300][5]~q\ & (!\led_flash_cnt[2300][4]~59087\ & VCC))
-- \led_flash_cnt[2300][5]~59089\ = CARRY((\led_flash_cnt[2300][5]~q\ & !\led_flash_cnt[2300][4]~59087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2300][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2300][4]~59087\,
	combout => \led_flash_cnt[2300][5]~59088_combout\,
	cout => \led_flash_cnt[2300][5]~59089\);

-- Location: FF_X19_Y27_N19
\led_flash_cnt[2300][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2300][5]~59088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2300][5]~q\);

-- Location: LCCOMB_X19_Y27_N20
\led_flash_cnt[2300][6]~59090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2300][6]~59090_combout\ = (\led_flash_cnt[2300][6]~q\ & (!\led_flash_cnt[2300][5]~59089\)) # (!\led_flash_cnt[2300][6]~q\ & ((\led_flash_cnt[2300][5]~59089\) # (GND)))
-- \led_flash_cnt[2300][6]~59091\ = CARRY((!\led_flash_cnt[2300][5]~59089\) # (!\led_flash_cnt[2300][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2300][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2300][5]~59089\,
	combout => \led_flash_cnt[2300][6]~59090_combout\,
	cout => \led_flash_cnt[2300][6]~59091\);

-- Location: FF_X19_Y27_N21
\led_flash_cnt[2300][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2300][6]~59090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2300][6]~q\);

-- Location: LCCOMB_X19_Y27_N22
\led_flash_cnt[2300][7]~59092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2300][7]~59092_combout\ = \led_flash_cnt[2300][7]~q\ $ (!\led_flash_cnt[2300][6]~59091\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2300][7]~q\,
	cin => \led_flash_cnt[2300][6]~59091\,
	combout => \led_flash_cnt[2300][7]~59092_combout\);

-- Location: FF_X19_Y27_N23
\led_flash_cnt[2300][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2300][7]~59092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2300][7]~q\);

-- Location: LCCOMB_X19_Y27_N8
\WideAnd2300~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2300~1_combout\ = (\led_flash_cnt[2300][6]~q\ & \led_flash_cnt[2300][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2300][6]~q\,
	datad => \led_flash_cnt[2300][5]~q\,
	combout => \WideAnd2300~1_combout\);

-- Location: LCCOMB_X19_Y27_N24
\WideAnd2300~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2300~0_combout\ = (\led_flash_cnt[2300][2]~q\ & (\led_flash_cnt[2300][4]~q\ & (\led_flash_cnt[2300][3]~q\ & \led_flash_cnt[2300][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2300][2]~q\,
	datab => \led_flash_cnt[2300][4]~q\,
	datac => \led_flash_cnt[2300][3]~q\,
	datad => \led_flash_cnt[2300][1]~q\,
	combout => \WideAnd2300~0_combout\);

-- Location: LCCOMB_X19_Y27_N30
WideAnd2300 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2300~combout\ = (\led_flash_cnt[2300][7]~q\ & (\led_flash_cnt[2300][0]~q\ & (\WideAnd2300~1_combout\ & \WideAnd2300~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2300][7]~q\,
	datab => \led_flash_cnt[2300][0]~q\,
	datac => \WideAnd2300~1_combout\,
	datad => \WideAnd2300~0_combout\,
	combout => \WideAnd2300~combout\);

-- Location: FF_X19_Y27_N31
\led_flash_cnt_ands[2300]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2300~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2300));

-- Location: LCCOMB_X21_Y26_N22
\led_flash_cnt[2301][0]~82941\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2301][0]~82941_combout\ = !\led_flash_cnt[2301][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2301][0]~q\,
	combout => \led_flash_cnt[2301][0]~82941_combout\);

-- Location: FF_X21_Y26_N23
\led_flash_cnt[2301][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2301][0]~82941_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2301][0]~q\);

-- Location: LCCOMB_X21_Y26_N4
\led_flash_cnt[2301][1]~59094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2301][1]~59094_combout\ = (\led_flash_cnt[2301][0]~q\ & (\led_flash_cnt[2301][1]~q\ $ (VCC))) # (!\led_flash_cnt[2301][0]~q\ & (\led_flash_cnt[2301][1]~q\ & VCC))
-- \led_flash_cnt[2301][1]~59095\ = CARRY((\led_flash_cnt[2301][0]~q\ & \led_flash_cnt[2301][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2301][0]~q\,
	datab => \led_flash_cnt[2301][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2301][1]~59094_combout\,
	cout => \led_flash_cnt[2301][1]~59095\);

-- Location: FF_X21_Y26_N5
\led_flash_cnt[2301][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2301][1]~59094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2301][1]~q\);

-- Location: LCCOMB_X21_Y26_N6
\led_flash_cnt[2301][2]~59096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2301][2]~59096_combout\ = (\led_flash_cnt[2301][2]~q\ & (!\led_flash_cnt[2301][1]~59095\)) # (!\led_flash_cnt[2301][2]~q\ & ((\led_flash_cnt[2301][1]~59095\) # (GND)))
-- \led_flash_cnt[2301][2]~59097\ = CARRY((!\led_flash_cnt[2301][1]~59095\) # (!\led_flash_cnt[2301][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2301][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2301][1]~59095\,
	combout => \led_flash_cnt[2301][2]~59096_combout\,
	cout => \led_flash_cnt[2301][2]~59097\);

-- Location: FF_X21_Y26_N7
\led_flash_cnt[2301][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2301][2]~59096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2301][2]~q\);

-- Location: LCCOMB_X21_Y26_N8
\led_flash_cnt[2301][3]~59098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2301][3]~59098_combout\ = (\led_flash_cnt[2301][3]~q\ & (\led_flash_cnt[2301][2]~59097\ $ (GND))) # (!\led_flash_cnt[2301][3]~q\ & (!\led_flash_cnt[2301][2]~59097\ & VCC))
-- \led_flash_cnt[2301][3]~59099\ = CARRY((\led_flash_cnt[2301][3]~q\ & !\led_flash_cnt[2301][2]~59097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2301][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2301][2]~59097\,
	combout => \led_flash_cnt[2301][3]~59098_combout\,
	cout => \led_flash_cnt[2301][3]~59099\);

-- Location: FF_X21_Y26_N9
\led_flash_cnt[2301][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2301][3]~59098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2301][3]~q\);

-- Location: LCCOMB_X21_Y26_N10
\led_flash_cnt[2301][4]~59100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2301][4]~59100_combout\ = (\led_flash_cnt[2301][4]~q\ & (!\led_flash_cnt[2301][3]~59099\)) # (!\led_flash_cnt[2301][4]~q\ & ((\led_flash_cnt[2301][3]~59099\) # (GND)))
-- \led_flash_cnt[2301][4]~59101\ = CARRY((!\led_flash_cnt[2301][3]~59099\) # (!\led_flash_cnt[2301][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2301][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2301][3]~59099\,
	combout => \led_flash_cnt[2301][4]~59100_combout\,
	cout => \led_flash_cnt[2301][4]~59101\);

-- Location: FF_X21_Y26_N11
\led_flash_cnt[2301][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2301][4]~59100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2301][4]~q\);

-- Location: LCCOMB_X21_Y26_N12
\led_flash_cnt[2301][5]~59102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2301][5]~59102_combout\ = (\led_flash_cnt[2301][5]~q\ & (\led_flash_cnt[2301][4]~59101\ $ (GND))) # (!\led_flash_cnt[2301][5]~q\ & (!\led_flash_cnt[2301][4]~59101\ & VCC))
-- \led_flash_cnt[2301][5]~59103\ = CARRY((\led_flash_cnt[2301][5]~q\ & !\led_flash_cnt[2301][4]~59101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2301][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2301][4]~59101\,
	combout => \led_flash_cnt[2301][5]~59102_combout\,
	cout => \led_flash_cnt[2301][5]~59103\);

-- Location: FF_X21_Y26_N13
\led_flash_cnt[2301][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2301][5]~59102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2301][5]~q\);

-- Location: LCCOMB_X21_Y26_N14
\led_flash_cnt[2301][6]~59104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2301][6]~59104_combout\ = (\led_flash_cnt[2301][6]~q\ & (!\led_flash_cnt[2301][5]~59103\)) # (!\led_flash_cnt[2301][6]~q\ & ((\led_flash_cnt[2301][5]~59103\) # (GND)))
-- \led_flash_cnt[2301][6]~59105\ = CARRY((!\led_flash_cnt[2301][5]~59103\) # (!\led_flash_cnt[2301][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2301][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2301][5]~59103\,
	combout => \led_flash_cnt[2301][6]~59104_combout\,
	cout => \led_flash_cnt[2301][6]~59105\);

-- Location: FF_X21_Y26_N15
\led_flash_cnt[2301][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2301][6]~59104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2301][6]~q\);

-- Location: LCCOMB_X21_Y26_N16
\led_flash_cnt[2301][7]~59106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2301][7]~59106_combout\ = \led_flash_cnt[2301][6]~59105\ $ (!\led_flash_cnt[2301][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2301][7]~q\,
	cin => \led_flash_cnt[2301][6]~59105\,
	combout => \led_flash_cnt[2301][7]~59106_combout\);

-- Location: FF_X21_Y26_N17
\led_flash_cnt[2301][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2301][7]~59106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2301][7]~q\);

-- Location: LCCOMB_X21_Y26_N30
\WideAnd2301~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2301~0_combout\ = (\led_flash_cnt[2301][4]~q\ & (\led_flash_cnt[2301][3]~q\ & (\led_flash_cnt[2301][1]~q\ & \led_flash_cnt[2301][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2301][4]~q\,
	datab => \led_flash_cnt[2301][3]~q\,
	datac => \led_flash_cnt[2301][1]~q\,
	datad => \led_flash_cnt[2301][2]~q\,
	combout => \WideAnd2301~0_combout\);

-- Location: LCCOMB_X21_Y26_N24
\WideAnd2301~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2301~1_combout\ = (\led_flash_cnt[2301][6]~q\ & \led_flash_cnt[2301][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2301][6]~q\,
	datad => \led_flash_cnt[2301][5]~q\,
	combout => \WideAnd2301~1_combout\);

-- Location: LCCOMB_X21_Y26_N0
WideAnd2301 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2301~combout\ = (\led_flash_cnt[2301][0]~q\ & (\led_flash_cnt[2301][7]~q\ & (\WideAnd2301~0_combout\ & \WideAnd2301~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2301][0]~q\,
	datab => \led_flash_cnt[2301][7]~q\,
	datac => \WideAnd2301~0_combout\,
	datad => \WideAnd2301~1_combout\,
	combout => \WideAnd2301~combout\);

-- Location: FF_X21_Y26_N1
\led_flash_cnt_ands[2301]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2301~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2301));

-- Location: LCCOMB_X21_Y26_N2
\WideAnd4127~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4127~1_combout\ = (led_flash_cnt_ands(2300) & led_flash_cnt_ands(2301))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2300),
	datad => led_flash_cnt_ands(2301),
	combout => \WideAnd4127~1_combout\);

-- Location: LCCOMB_X21_Y26_N20
WideAnd4127 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4127~combout\ = (\WideAnd4127~0_combout\ & (led_flash_cnt_ands(2302) & (led_flash_cnt_ands(2303) & \WideAnd4127~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4127~0_combout\,
	datab => led_flash_cnt_ands(2302),
	datac => led_flash_cnt_ands(2303),
	datad => \WideAnd4127~1_combout\,
	combout => \WideAnd4127~combout\);

-- Location: FF_X21_Y26_N21
\led_flash_cnt_ands_1[287]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4127~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(287));

-- Location: LCCOMB_X31_Y33_N0
\led_flash_cnt[2246][0]~82886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2246][0]~82886_combout\ = !\led_flash_cnt[2246][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2246][0]~q\,
	combout => \led_flash_cnt[2246][0]~82886_combout\);

-- Location: FF_X31_Y33_N1
\led_flash_cnt[2246][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2246][0]~82886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2246][0]~q\);

-- Location: LCCOMB_X31_Y33_N12
\led_flash_cnt[2246][1]~58324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2246][1]~58324_combout\ = (\led_flash_cnt[2246][1]~q\ & (\led_flash_cnt[2246][0]~q\ $ (VCC))) # (!\led_flash_cnt[2246][1]~q\ & (\led_flash_cnt[2246][0]~q\ & VCC))
-- \led_flash_cnt[2246][1]~58325\ = CARRY((\led_flash_cnt[2246][1]~q\ & \led_flash_cnt[2246][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2246][1]~q\,
	datab => \led_flash_cnt[2246][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2246][1]~58324_combout\,
	cout => \led_flash_cnt[2246][1]~58325\);

-- Location: FF_X31_Y33_N13
\led_flash_cnt[2246][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2246][1]~58324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2246][1]~q\);

-- Location: LCCOMB_X31_Y33_N14
\led_flash_cnt[2246][2]~58326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2246][2]~58326_combout\ = (\led_flash_cnt[2246][2]~q\ & (!\led_flash_cnt[2246][1]~58325\)) # (!\led_flash_cnt[2246][2]~q\ & ((\led_flash_cnt[2246][1]~58325\) # (GND)))
-- \led_flash_cnt[2246][2]~58327\ = CARRY((!\led_flash_cnt[2246][1]~58325\) # (!\led_flash_cnt[2246][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2246][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2246][1]~58325\,
	combout => \led_flash_cnt[2246][2]~58326_combout\,
	cout => \led_flash_cnt[2246][2]~58327\);

-- Location: FF_X31_Y33_N15
\led_flash_cnt[2246][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2246][2]~58326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2246][2]~q\);

-- Location: LCCOMB_X31_Y33_N16
\led_flash_cnt[2246][3]~58328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2246][3]~58328_combout\ = (\led_flash_cnt[2246][3]~q\ & (\led_flash_cnt[2246][2]~58327\ $ (GND))) # (!\led_flash_cnt[2246][3]~q\ & (!\led_flash_cnt[2246][2]~58327\ & VCC))
-- \led_flash_cnt[2246][3]~58329\ = CARRY((\led_flash_cnt[2246][3]~q\ & !\led_flash_cnt[2246][2]~58327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2246][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2246][2]~58327\,
	combout => \led_flash_cnt[2246][3]~58328_combout\,
	cout => \led_flash_cnt[2246][3]~58329\);

-- Location: FF_X31_Y33_N17
\led_flash_cnt[2246][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2246][3]~58328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2246][3]~q\);

-- Location: LCCOMB_X31_Y33_N18
\led_flash_cnt[2246][4]~58330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2246][4]~58330_combout\ = (\led_flash_cnt[2246][4]~q\ & (!\led_flash_cnt[2246][3]~58329\)) # (!\led_flash_cnt[2246][4]~q\ & ((\led_flash_cnt[2246][3]~58329\) # (GND)))
-- \led_flash_cnt[2246][4]~58331\ = CARRY((!\led_flash_cnt[2246][3]~58329\) # (!\led_flash_cnt[2246][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2246][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2246][3]~58329\,
	combout => \led_flash_cnt[2246][4]~58330_combout\,
	cout => \led_flash_cnt[2246][4]~58331\);

-- Location: FF_X31_Y33_N19
\led_flash_cnt[2246][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2246][4]~58330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2246][4]~q\);

-- Location: LCCOMB_X31_Y33_N20
\led_flash_cnt[2246][5]~58332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2246][5]~58332_combout\ = (\led_flash_cnt[2246][5]~q\ & (\led_flash_cnt[2246][4]~58331\ $ (GND))) # (!\led_flash_cnt[2246][5]~q\ & (!\led_flash_cnt[2246][4]~58331\ & VCC))
-- \led_flash_cnt[2246][5]~58333\ = CARRY((\led_flash_cnt[2246][5]~q\ & !\led_flash_cnt[2246][4]~58331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2246][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2246][4]~58331\,
	combout => \led_flash_cnt[2246][5]~58332_combout\,
	cout => \led_flash_cnt[2246][5]~58333\);

-- Location: FF_X31_Y33_N21
\led_flash_cnt[2246][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2246][5]~58332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2246][5]~q\);

-- Location: LCCOMB_X31_Y33_N22
\led_flash_cnt[2246][6]~58334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2246][6]~58334_combout\ = (\led_flash_cnt[2246][6]~q\ & (!\led_flash_cnt[2246][5]~58333\)) # (!\led_flash_cnt[2246][6]~q\ & ((\led_flash_cnt[2246][5]~58333\) # (GND)))
-- \led_flash_cnt[2246][6]~58335\ = CARRY((!\led_flash_cnt[2246][5]~58333\) # (!\led_flash_cnt[2246][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2246][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2246][5]~58333\,
	combout => \led_flash_cnt[2246][6]~58334_combout\,
	cout => \led_flash_cnt[2246][6]~58335\);

-- Location: FF_X31_Y33_N23
\led_flash_cnt[2246][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2246][6]~58334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2246][6]~q\);

-- Location: LCCOMB_X31_Y33_N26
\WideAnd2246~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2246~1_combout\ = (\led_flash_cnt[2246][6]~q\ & \led_flash_cnt[2246][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2246][6]~q\,
	datad => \led_flash_cnt[2246][5]~q\,
	combout => \WideAnd2246~1_combout\);

-- Location: LCCOMB_X31_Y33_N24
\led_flash_cnt[2246][7]~58336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2246][7]~58336_combout\ = \led_flash_cnt[2246][6]~58335\ $ (!\led_flash_cnt[2246][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2246][7]~q\,
	cin => \led_flash_cnt[2246][6]~58335\,
	combout => \led_flash_cnt[2246][7]~58336_combout\);

-- Location: FF_X31_Y33_N25
\led_flash_cnt[2246][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2246][7]~58336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2246][7]~q\);

-- Location: LCCOMB_X31_Y33_N8
\WideAnd2246~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2246~0_combout\ = (\led_flash_cnt[2246][1]~q\ & (\led_flash_cnt[2246][3]~q\ & (\led_flash_cnt[2246][2]~q\ & \led_flash_cnt[2246][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2246][1]~q\,
	datab => \led_flash_cnt[2246][3]~q\,
	datac => \led_flash_cnt[2246][2]~q\,
	datad => \led_flash_cnt[2246][4]~q\,
	combout => \WideAnd2246~0_combout\);

-- Location: LCCOMB_X31_Y33_N6
WideAnd2246 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2246~combout\ = (\WideAnd2246~1_combout\ & (\led_flash_cnt[2246][7]~q\ & (\WideAnd2246~0_combout\ & \led_flash_cnt[2246][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2246~1_combout\,
	datab => \led_flash_cnt[2246][7]~q\,
	datac => \WideAnd2246~0_combout\,
	datad => \led_flash_cnt[2246][0]~q\,
	combout => \WideAnd2246~combout\);

-- Location: FF_X31_Y33_N7
\led_flash_cnt_ands[2246]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2246~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2246));

-- Location: LCCOMB_X31_Y37_N8
\led_flash_cnt[2244][0]~82884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2244][0]~82884_combout\ = !\led_flash_cnt[2244][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2244][0]~q\,
	combout => \led_flash_cnt[2244][0]~82884_combout\);

-- Location: FF_X31_Y37_N9
\led_flash_cnt[2244][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2244][0]~82884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2244][0]~q\);

-- Location: LCCOMB_X31_Y37_N10
\led_flash_cnt[2244][1]~58296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2244][1]~58296_combout\ = (\led_flash_cnt[2244][1]~q\ & (\led_flash_cnt[2244][0]~q\ $ (VCC))) # (!\led_flash_cnt[2244][1]~q\ & (\led_flash_cnt[2244][0]~q\ & VCC))
-- \led_flash_cnt[2244][1]~58297\ = CARRY((\led_flash_cnt[2244][1]~q\ & \led_flash_cnt[2244][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2244][1]~q\,
	datab => \led_flash_cnt[2244][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2244][1]~58296_combout\,
	cout => \led_flash_cnt[2244][1]~58297\);

-- Location: FF_X31_Y37_N11
\led_flash_cnt[2244][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2244][1]~58296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2244][1]~q\);

-- Location: LCCOMB_X31_Y37_N12
\led_flash_cnt[2244][2]~58298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2244][2]~58298_combout\ = (\led_flash_cnt[2244][2]~q\ & (!\led_flash_cnt[2244][1]~58297\)) # (!\led_flash_cnt[2244][2]~q\ & ((\led_flash_cnt[2244][1]~58297\) # (GND)))
-- \led_flash_cnt[2244][2]~58299\ = CARRY((!\led_flash_cnt[2244][1]~58297\) # (!\led_flash_cnt[2244][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2244][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2244][1]~58297\,
	combout => \led_flash_cnt[2244][2]~58298_combout\,
	cout => \led_flash_cnt[2244][2]~58299\);

-- Location: FF_X31_Y37_N13
\led_flash_cnt[2244][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2244][2]~58298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2244][2]~q\);

-- Location: LCCOMB_X31_Y37_N14
\led_flash_cnt[2244][3]~58300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2244][3]~58300_combout\ = (\led_flash_cnt[2244][3]~q\ & (\led_flash_cnt[2244][2]~58299\ $ (GND))) # (!\led_flash_cnt[2244][3]~q\ & (!\led_flash_cnt[2244][2]~58299\ & VCC))
-- \led_flash_cnt[2244][3]~58301\ = CARRY((\led_flash_cnt[2244][3]~q\ & !\led_flash_cnt[2244][2]~58299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2244][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2244][2]~58299\,
	combout => \led_flash_cnt[2244][3]~58300_combout\,
	cout => \led_flash_cnt[2244][3]~58301\);

-- Location: FF_X31_Y37_N15
\led_flash_cnt[2244][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2244][3]~58300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2244][3]~q\);

-- Location: LCCOMB_X31_Y37_N16
\led_flash_cnt[2244][4]~58302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2244][4]~58302_combout\ = (\led_flash_cnt[2244][4]~q\ & (!\led_flash_cnt[2244][3]~58301\)) # (!\led_flash_cnt[2244][4]~q\ & ((\led_flash_cnt[2244][3]~58301\) # (GND)))
-- \led_flash_cnt[2244][4]~58303\ = CARRY((!\led_flash_cnt[2244][3]~58301\) # (!\led_flash_cnt[2244][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2244][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2244][3]~58301\,
	combout => \led_flash_cnt[2244][4]~58302_combout\,
	cout => \led_flash_cnt[2244][4]~58303\);

-- Location: FF_X31_Y37_N17
\led_flash_cnt[2244][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2244][4]~58302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2244][4]~q\);

-- Location: LCCOMB_X31_Y37_N18
\led_flash_cnt[2244][5]~58304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2244][5]~58304_combout\ = (\led_flash_cnt[2244][5]~q\ & (\led_flash_cnt[2244][4]~58303\ $ (GND))) # (!\led_flash_cnt[2244][5]~q\ & (!\led_flash_cnt[2244][4]~58303\ & VCC))
-- \led_flash_cnt[2244][5]~58305\ = CARRY((\led_flash_cnt[2244][5]~q\ & !\led_flash_cnt[2244][4]~58303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2244][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2244][4]~58303\,
	combout => \led_flash_cnt[2244][5]~58304_combout\,
	cout => \led_flash_cnt[2244][5]~58305\);

-- Location: FF_X31_Y37_N19
\led_flash_cnt[2244][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2244][5]~58304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2244][5]~q\);

-- Location: LCCOMB_X31_Y37_N20
\led_flash_cnt[2244][6]~58306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2244][6]~58306_combout\ = (\led_flash_cnt[2244][6]~q\ & (!\led_flash_cnt[2244][5]~58305\)) # (!\led_flash_cnt[2244][6]~q\ & ((\led_flash_cnt[2244][5]~58305\) # (GND)))
-- \led_flash_cnt[2244][6]~58307\ = CARRY((!\led_flash_cnt[2244][5]~58305\) # (!\led_flash_cnt[2244][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2244][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2244][5]~58305\,
	combout => \led_flash_cnt[2244][6]~58306_combout\,
	cout => \led_flash_cnt[2244][6]~58307\);

-- Location: FF_X31_Y37_N21
\led_flash_cnt[2244][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2244][6]~58306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2244][6]~q\);

-- Location: LCCOMB_X31_Y37_N22
\led_flash_cnt[2244][7]~58308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2244][7]~58308_combout\ = \led_flash_cnt[2244][7]~q\ $ (!\led_flash_cnt[2244][6]~58307\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2244][7]~q\,
	cin => \led_flash_cnt[2244][6]~58307\,
	combout => \led_flash_cnt[2244][7]~58308_combout\);

-- Location: FF_X31_Y37_N23
\led_flash_cnt[2244][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2244][7]~58308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2244][7]~q\);

-- Location: LCCOMB_X31_Y37_N28
\WideAnd2244~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2244~1_combout\ = (\led_flash_cnt[2244][5]~q\ & \led_flash_cnt[2244][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2244][5]~q\,
	datad => \led_flash_cnt[2244][6]~q\,
	combout => \WideAnd2244~1_combout\);

-- Location: LCCOMB_X31_Y37_N0
\WideAnd2244~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2244~0_combout\ = (\led_flash_cnt[2244][2]~q\ & (\led_flash_cnt[2244][4]~q\ & (\led_flash_cnt[2244][3]~q\ & \led_flash_cnt[2244][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2244][2]~q\,
	datab => \led_flash_cnt[2244][4]~q\,
	datac => \led_flash_cnt[2244][3]~q\,
	datad => \led_flash_cnt[2244][1]~q\,
	combout => \WideAnd2244~0_combout\);

-- Location: LCCOMB_X31_Y37_N4
WideAnd2244 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2244~combout\ = (\led_flash_cnt[2244][7]~q\ & (\WideAnd2244~1_combout\ & (\led_flash_cnt[2244][0]~q\ & \WideAnd2244~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2244][7]~q\,
	datab => \WideAnd2244~1_combout\,
	datac => \led_flash_cnt[2244][0]~q\,
	datad => \WideAnd2244~0_combout\,
	combout => \WideAnd2244~combout\);

-- Location: FF_X31_Y37_N5
\led_flash_cnt_ands[2244]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2244~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2244));

-- Location: LCCOMB_X31_Y37_N2
\led_flash_cnt[2245][0]~82885\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2245][0]~82885_combout\ = !\led_flash_cnt[2245][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2245][0]~q\,
	combout => \led_flash_cnt[2245][0]~82885_combout\);

-- Location: FF_X31_Y37_N3
\led_flash_cnt[2245][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2245][0]~82885_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2245][0]~q\);

-- Location: LCCOMB_X30_Y37_N18
\led_flash_cnt[2245][1]~58310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2245][1]~58310_combout\ = (\led_flash_cnt[2245][0]~q\ & (\led_flash_cnt[2245][1]~q\ $ (VCC))) # (!\led_flash_cnt[2245][0]~q\ & (\led_flash_cnt[2245][1]~q\ & VCC))
-- \led_flash_cnt[2245][1]~58311\ = CARRY((\led_flash_cnt[2245][0]~q\ & \led_flash_cnt[2245][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2245][0]~q\,
	datab => \led_flash_cnt[2245][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2245][1]~58310_combout\,
	cout => \led_flash_cnt[2245][1]~58311\);

-- Location: FF_X30_Y37_N19
\led_flash_cnt[2245][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2245][1]~58310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2245][1]~q\);

-- Location: LCCOMB_X30_Y37_N20
\led_flash_cnt[2245][2]~58312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2245][2]~58312_combout\ = (\led_flash_cnt[2245][2]~q\ & (!\led_flash_cnt[2245][1]~58311\)) # (!\led_flash_cnt[2245][2]~q\ & ((\led_flash_cnt[2245][1]~58311\) # (GND)))
-- \led_flash_cnt[2245][2]~58313\ = CARRY((!\led_flash_cnt[2245][1]~58311\) # (!\led_flash_cnt[2245][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2245][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2245][1]~58311\,
	combout => \led_flash_cnt[2245][2]~58312_combout\,
	cout => \led_flash_cnt[2245][2]~58313\);

-- Location: FF_X30_Y37_N21
\led_flash_cnt[2245][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2245][2]~58312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2245][2]~q\);

-- Location: LCCOMB_X30_Y37_N22
\led_flash_cnt[2245][3]~58314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2245][3]~58314_combout\ = (\led_flash_cnt[2245][3]~q\ & (\led_flash_cnt[2245][2]~58313\ $ (GND))) # (!\led_flash_cnt[2245][3]~q\ & (!\led_flash_cnt[2245][2]~58313\ & VCC))
-- \led_flash_cnt[2245][3]~58315\ = CARRY((\led_flash_cnt[2245][3]~q\ & !\led_flash_cnt[2245][2]~58313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2245][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2245][2]~58313\,
	combout => \led_flash_cnt[2245][3]~58314_combout\,
	cout => \led_flash_cnt[2245][3]~58315\);

-- Location: FF_X30_Y37_N23
\led_flash_cnt[2245][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2245][3]~58314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2245][3]~q\);

-- Location: LCCOMB_X30_Y37_N24
\led_flash_cnt[2245][4]~58316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2245][4]~58316_combout\ = (\led_flash_cnt[2245][4]~q\ & (!\led_flash_cnt[2245][3]~58315\)) # (!\led_flash_cnt[2245][4]~q\ & ((\led_flash_cnt[2245][3]~58315\) # (GND)))
-- \led_flash_cnt[2245][4]~58317\ = CARRY((!\led_flash_cnt[2245][3]~58315\) # (!\led_flash_cnt[2245][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2245][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2245][3]~58315\,
	combout => \led_flash_cnt[2245][4]~58316_combout\,
	cout => \led_flash_cnt[2245][4]~58317\);

-- Location: FF_X30_Y37_N25
\led_flash_cnt[2245][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2245][4]~58316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2245][4]~q\);

-- Location: LCCOMB_X30_Y37_N14
\WideAnd2245~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2245~0_combout\ = (\led_flash_cnt[2245][4]~q\ & (\led_flash_cnt[2245][1]~q\ & (\led_flash_cnt[2245][3]~q\ & \led_flash_cnt[2245][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2245][4]~q\,
	datab => \led_flash_cnt[2245][1]~q\,
	datac => \led_flash_cnt[2245][3]~q\,
	datad => \led_flash_cnt[2245][2]~q\,
	combout => \WideAnd2245~0_combout\);

-- Location: LCCOMB_X30_Y37_N26
\led_flash_cnt[2245][5]~58318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2245][5]~58318_combout\ = (\led_flash_cnt[2245][5]~q\ & (\led_flash_cnt[2245][4]~58317\ $ (GND))) # (!\led_flash_cnt[2245][5]~q\ & (!\led_flash_cnt[2245][4]~58317\ & VCC))
-- \led_flash_cnt[2245][5]~58319\ = CARRY((\led_flash_cnt[2245][5]~q\ & !\led_flash_cnt[2245][4]~58317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2245][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2245][4]~58317\,
	combout => \led_flash_cnt[2245][5]~58318_combout\,
	cout => \led_flash_cnt[2245][5]~58319\);

-- Location: FF_X30_Y37_N27
\led_flash_cnt[2245][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2245][5]~58318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2245][5]~q\);

-- Location: LCCOMB_X30_Y37_N28
\led_flash_cnt[2245][6]~58320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2245][6]~58320_combout\ = (\led_flash_cnt[2245][6]~q\ & (!\led_flash_cnt[2245][5]~58319\)) # (!\led_flash_cnt[2245][6]~q\ & ((\led_flash_cnt[2245][5]~58319\) # (GND)))
-- \led_flash_cnt[2245][6]~58321\ = CARRY((!\led_flash_cnt[2245][5]~58319\) # (!\led_flash_cnt[2245][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2245][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2245][5]~58319\,
	combout => \led_flash_cnt[2245][6]~58320_combout\,
	cout => \led_flash_cnt[2245][6]~58321\);

-- Location: FF_X30_Y37_N29
\led_flash_cnt[2245][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2245][6]~58320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2245][6]~q\);

-- Location: LCCOMB_X30_Y37_N30
\led_flash_cnt[2245][7]~58322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2245][7]~58322_combout\ = \led_flash_cnt[2245][7]~q\ $ (!\led_flash_cnt[2245][6]~58321\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2245][7]~q\,
	cin => \led_flash_cnt[2245][6]~58321\,
	combout => \led_flash_cnt[2245][7]~58322_combout\);

-- Location: FF_X30_Y37_N31
\led_flash_cnt[2245][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2245][7]~58322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2245][7]~q\);

-- Location: LCCOMB_X31_Y37_N6
\WideAnd2245~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2245~1_combout\ = (\led_flash_cnt[2245][7]~q\ & \led_flash_cnt[2245][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2245][7]~q\,
	datad => \led_flash_cnt[2245][0]~q\,
	combout => \WideAnd2245~1_combout\);

-- Location: LCCOMB_X31_Y37_N24
WideAnd2245 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2245~combout\ = (\WideAnd2245~0_combout\ & (\led_flash_cnt[2245][6]~q\ & (\led_flash_cnt[2245][5]~q\ & \WideAnd2245~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2245~0_combout\,
	datab => \led_flash_cnt[2245][6]~q\,
	datac => \led_flash_cnt[2245][5]~q\,
	datad => \WideAnd2245~1_combout\,
	combout => \WideAnd2245~combout\);

-- Location: FF_X31_Y37_N25
\led_flash_cnt_ands[2245]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2245~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2245));

-- Location: LCCOMB_X31_Y37_N30
\WideAnd4120~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4120~1_combout\ = (led_flash_cnt_ands(2244) & led_flash_cnt_ands(2245))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2244),
	datad => led_flash_cnt_ands(2245),
	combout => \WideAnd4120~1_combout\);

-- Location: LCCOMB_X32_Y33_N24
\led_flash_cnt[2247][0]~82887\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2247][0]~82887_combout\ = !\led_flash_cnt[2247][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2247][0]~q\,
	combout => \led_flash_cnt[2247][0]~82887_combout\);

-- Location: FF_X32_Y33_N25
\led_flash_cnt[2247][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2247][0]~82887_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2247][0]~q\);

-- Location: LCCOMB_X30_Y33_N16
\led_flash_cnt[2247][1]~58338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2247][1]~58338_combout\ = (\led_flash_cnt[2247][0]~q\ & (\led_flash_cnt[2247][1]~q\ $ (VCC))) # (!\led_flash_cnt[2247][0]~q\ & (\led_flash_cnt[2247][1]~q\ & VCC))
-- \led_flash_cnt[2247][1]~58339\ = CARRY((\led_flash_cnt[2247][0]~q\ & \led_flash_cnt[2247][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2247][0]~q\,
	datab => \led_flash_cnt[2247][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2247][1]~58338_combout\,
	cout => \led_flash_cnt[2247][1]~58339\);

-- Location: FF_X30_Y33_N17
\led_flash_cnt[2247][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2247][1]~58338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2247][1]~q\);

-- Location: LCCOMB_X30_Y33_N18
\led_flash_cnt[2247][2]~58340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2247][2]~58340_combout\ = (\led_flash_cnt[2247][2]~q\ & (!\led_flash_cnt[2247][1]~58339\)) # (!\led_flash_cnt[2247][2]~q\ & ((\led_flash_cnt[2247][1]~58339\) # (GND)))
-- \led_flash_cnt[2247][2]~58341\ = CARRY((!\led_flash_cnt[2247][1]~58339\) # (!\led_flash_cnt[2247][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2247][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2247][1]~58339\,
	combout => \led_flash_cnt[2247][2]~58340_combout\,
	cout => \led_flash_cnt[2247][2]~58341\);

-- Location: FF_X30_Y33_N19
\led_flash_cnt[2247][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2247][2]~58340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2247][2]~q\);

-- Location: LCCOMB_X30_Y33_N20
\led_flash_cnt[2247][3]~58342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2247][3]~58342_combout\ = (\led_flash_cnt[2247][3]~q\ & (\led_flash_cnt[2247][2]~58341\ $ (GND))) # (!\led_flash_cnt[2247][3]~q\ & (!\led_flash_cnt[2247][2]~58341\ & VCC))
-- \led_flash_cnt[2247][3]~58343\ = CARRY((\led_flash_cnt[2247][3]~q\ & !\led_flash_cnt[2247][2]~58341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2247][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2247][2]~58341\,
	combout => \led_flash_cnt[2247][3]~58342_combout\,
	cout => \led_flash_cnt[2247][3]~58343\);

-- Location: FF_X30_Y33_N21
\led_flash_cnt[2247][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2247][3]~58342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2247][3]~q\);

-- Location: LCCOMB_X30_Y33_N22
\led_flash_cnt[2247][4]~58344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2247][4]~58344_combout\ = (\led_flash_cnt[2247][4]~q\ & (!\led_flash_cnt[2247][3]~58343\)) # (!\led_flash_cnt[2247][4]~q\ & ((\led_flash_cnt[2247][3]~58343\) # (GND)))
-- \led_flash_cnt[2247][4]~58345\ = CARRY((!\led_flash_cnt[2247][3]~58343\) # (!\led_flash_cnt[2247][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2247][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2247][3]~58343\,
	combout => \led_flash_cnt[2247][4]~58344_combout\,
	cout => \led_flash_cnt[2247][4]~58345\);

-- Location: FF_X30_Y33_N23
\led_flash_cnt[2247][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2247][4]~58344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2247][4]~q\);

-- Location: LCCOMB_X31_Y33_N10
\WideAnd2247~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2247~0_combout\ = (\led_flash_cnt[2247][4]~q\ & (\led_flash_cnt[2247][3]~q\ & (\led_flash_cnt[2247][1]~q\ & \led_flash_cnt[2247][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2247][4]~q\,
	datab => \led_flash_cnt[2247][3]~q\,
	datac => \led_flash_cnt[2247][1]~q\,
	datad => \led_flash_cnt[2247][2]~q\,
	combout => \WideAnd2247~0_combout\);

-- Location: LCCOMB_X30_Y33_N24
\led_flash_cnt[2247][5]~58346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2247][5]~58346_combout\ = (\led_flash_cnt[2247][5]~q\ & (\led_flash_cnt[2247][4]~58345\ $ (GND))) # (!\led_flash_cnt[2247][5]~q\ & (!\led_flash_cnt[2247][4]~58345\ & VCC))
-- \led_flash_cnt[2247][5]~58347\ = CARRY((\led_flash_cnt[2247][5]~q\ & !\led_flash_cnt[2247][4]~58345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2247][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2247][4]~58345\,
	combout => \led_flash_cnt[2247][5]~58346_combout\,
	cout => \led_flash_cnt[2247][5]~58347\);

-- Location: FF_X30_Y33_N25
\led_flash_cnt[2247][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2247][5]~58346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2247][5]~q\);

-- Location: LCCOMB_X30_Y33_N26
\led_flash_cnt[2247][6]~58348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2247][6]~58348_combout\ = (\led_flash_cnt[2247][6]~q\ & (!\led_flash_cnt[2247][5]~58347\)) # (!\led_flash_cnt[2247][6]~q\ & ((\led_flash_cnt[2247][5]~58347\) # (GND)))
-- \led_flash_cnt[2247][6]~58349\ = CARRY((!\led_flash_cnt[2247][5]~58347\) # (!\led_flash_cnt[2247][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2247][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2247][5]~58347\,
	combout => \led_flash_cnt[2247][6]~58348_combout\,
	cout => \led_flash_cnt[2247][6]~58349\);

-- Location: FF_X30_Y33_N27
\led_flash_cnt[2247][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2247][6]~58348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2247][6]~q\);

-- Location: LCCOMB_X30_Y33_N28
\led_flash_cnt[2247][7]~58350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2247][7]~58350_combout\ = \led_flash_cnt[2247][6]~58349\ $ (!\led_flash_cnt[2247][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2247][7]~q\,
	cin => \led_flash_cnt[2247][6]~58349\,
	combout => \led_flash_cnt[2247][7]~58350_combout\);

-- Location: FF_X30_Y33_N29
\led_flash_cnt[2247][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2247][7]~58350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2247][7]~q\);

-- Location: LCCOMB_X31_Y33_N2
\WideAnd2247~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2247~1_combout\ = (\led_flash_cnt[2247][6]~q\ & \led_flash_cnt[2247][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2247][6]~q\,
	datad => \led_flash_cnt[2247][5]~q\,
	combout => \WideAnd2247~1_combout\);

-- Location: LCCOMB_X31_Y33_N4
WideAnd2247 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2247~combout\ = (\WideAnd2247~0_combout\ & (\led_flash_cnt[2247][7]~q\ & (\led_flash_cnt[2247][0]~q\ & \WideAnd2247~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2247~0_combout\,
	datab => \led_flash_cnt[2247][7]~q\,
	datac => \led_flash_cnt[2247][0]~q\,
	datad => \WideAnd2247~1_combout\,
	combout => \WideAnd2247~combout\);

-- Location: FF_X31_Y33_N5
\led_flash_cnt_ands[2247]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2247~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2247));

-- Location: LCCOMB_X31_Y29_N8
\led_flash_cnt[2243][0]~82883\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2243][0]~82883_combout\ = !\led_flash_cnt[2243][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2243][0]~q\,
	combout => \led_flash_cnt[2243][0]~82883_combout\);

-- Location: FF_X31_Y29_N9
\led_flash_cnt[2243][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2243][0]~82883_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2243][0]~q\);

-- Location: LCCOMB_X31_Y29_N12
\led_flash_cnt[2243][1]~58282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2243][1]~58282_combout\ = (\led_flash_cnt[2243][1]~q\ & (\led_flash_cnt[2243][0]~q\ $ (VCC))) # (!\led_flash_cnt[2243][1]~q\ & (\led_flash_cnt[2243][0]~q\ & VCC))
-- \led_flash_cnt[2243][1]~58283\ = CARRY((\led_flash_cnt[2243][1]~q\ & \led_flash_cnt[2243][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2243][1]~q\,
	datab => \led_flash_cnt[2243][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2243][1]~58282_combout\,
	cout => \led_flash_cnt[2243][1]~58283\);

-- Location: FF_X31_Y29_N13
\led_flash_cnt[2243][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2243][1]~58282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2243][1]~q\);

-- Location: LCCOMB_X31_Y29_N14
\led_flash_cnt[2243][2]~58284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2243][2]~58284_combout\ = (\led_flash_cnt[2243][2]~q\ & (!\led_flash_cnt[2243][1]~58283\)) # (!\led_flash_cnt[2243][2]~q\ & ((\led_flash_cnt[2243][1]~58283\) # (GND)))
-- \led_flash_cnt[2243][2]~58285\ = CARRY((!\led_flash_cnt[2243][1]~58283\) # (!\led_flash_cnt[2243][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2243][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2243][1]~58283\,
	combout => \led_flash_cnt[2243][2]~58284_combout\,
	cout => \led_flash_cnt[2243][2]~58285\);

-- Location: FF_X31_Y29_N15
\led_flash_cnt[2243][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2243][2]~58284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2243][2]~q\);

-- Location: LCCOMB_X31_Y29_N16
\led_flash_cnt[2243][3]~58286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2243][3]~58286_combout\ = (\led_flash_cnt[2243][3]~q\ & (\led_flash_cnt[2243][2]~58285\ $ (GND))) # (!\led_flash_cnt[2243][3]~q\ & (!\led_flash_cnt[2243][2]~58285\ & VCC))
-- \led_flash_cnt[2243][3]~58287\ = CARRY((\led_flash_cnt[2243][3]~q\ & !\led_flash_cnt[2243][2]~58285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2243][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2243][2]~58285\,
	combout => \led_flash_cnt[2243][3]~58286_combout\,
	cout => \led_flash_cnt[2243][3]~58287\);

-- Location: FF_X31_Y29_N17
\led_flash_cnt[2243][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2243][3]~58286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2243][3]~q\);

-- Location: LCCOMB_X31_Y29_N18
\led_flash_cnt[2243][4]~58288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2243][4]~58288_combout\ = (\led_flash_cnt[2243][4]~q\ & (!\led_flash_cnt[2243][3]~58287\)) # (!\led_flash_cnt[2243][4]~q\ & ((\led_flash_cnt[2243][3]~58287\) # (GND)))
-- \led_flash_cnt[2243][4]~58289\ = CARRY((!\led_flash_cnt[2243][3]~58287\) # (!\led_flash_cnt[2243][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2243][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2243][3]~58287\,
	combout => \led_flash_cnt[2243][4]~58288_combout\,
	cout => \led_flash_cnt[2243][4]~58289\);

-- Location: FF_X31_Y29_N19
\led_flash_cnt[2243][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2243][4]~58288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2243][4]~q\);

-- Location: LCCOMB_X31_Y29_N20
\led_flash_cnt[2243][5]~58290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2243][5]~58290_combout\ = (\led_flash_cnt[2243][5]~q\ & (\led_flash_cnt[2243][4]~58289\ $ (GND))) # (!\led_flash_cnt[2243][5]~q\ & (!\led_flash_cnt[2243][4]~58289\ & VCC))
-- \led_flash_cnt[2243][5]~58291\ = CARRY((\led_flash_cnt[2243][5]~q\ & !\led_flash_cnt[2243][4]~58289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2243][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2243][4]~58289\,
	combout => \led_flash_cnt[2243][5]~58290_combout\,
	cout => \led_flash_cnt[2243][5]~58291\);

-- Location: FF_X31_Y29_N21
\led_flash_cnt[2243][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2243][5]~58290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2243][5]~q\);

-- Location: LCCOMB_X31_Y29_N22
\led_flash_cnt[2243][6]~58292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2243][6]~58292_combout\ = (\led_flash_cnt[2243][6]~q\ & (!\led_flash_cnt[2243][5]~58291\)) # (!\led_flash_cnt[2243][6]~q\ & ((\led_flash_cnt[2243][5]~58291\) # (GND)))
-- \led_flash_cnt[2243][6]~58293\ = CARRY((!\led_flash_cnt[2243][5]~58291\) # (!\led_flash_cnt[2243][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2243][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2243][5]~58291\,
	combout => \led_flash_cnt[2243][6]~58292_combout\,
	cout => \led_flash_cnt[2243][6]~58293\);

-- Location: FF_X31_Y29_N23
\led_flash_cnt[2243][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2243][6]~58292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2243][6]~q\);

-- Location: LCCOMB_X31_Y29_N30
\WideAnd2243~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2243~1_combout\ = (\led_flash_cnt[2243][6]~q\ & \led_flash_cnt[2243][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2243][6]~q\,
	datad => \led_flash_cnt[2243][5]~q\,
	combout => \WideAnd2243~1_combout\);

-- Location: LCCOMB_X31_Y29_N24
\led_flash_cnt[2243][7]~58294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2243][7]~58294_combout\ = \led_flash_cnt[2243][6]~58293\ $ (!\led_flash_cnt[2243][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2243][7]~q\,
	cin => \led_flash_cnt[2243][6]~58293\,
	combout => \led_flash_cnt[2243][7]~58294_combout\);

-- Location: FF_X31_Y29_N25
\led_flash_cnt[2243][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2243][7]~58294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2243][7]~q\);

-- Location: LCCOMB_X31_Y29_N2
\WideAnd2243~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2243~0_combout\ = (\led_flash_cnt[2243][1]~q\ & (\led_flash_cnt[2243][3]~q\ & (\led_flash_cnt[2243][2]~q\ & \led_flash_cnt[2243][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2243][1]~q\,
	datab => \led_flash_cnt[2243][3]~q\,
	datac => \led_flash_cnt[2243][2]~q\,
	datad => \led_flash_cnt[2243][4]~q\,
	combout => \WideAnd2243~0_combout\);

-- Location: LCCOMB_X31_Y29_N10
WideAnd2243 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2243~combout\ = (\WideAnd2243~1_combout\ & (\led_flash_cnt[2243][7]~q\ & (\led_flash_cnt[2243][0]~q\ & \WideAnd2243~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2243~1_combout\,
	datab => \led_flash_cnt[2243][7]~q\,
	datac => \led_flash_cnt[2243][0]~q\,
	datad => \WideAnd2243~0_combout\,
	combout => \WideAnd2243~combout\);

-- Location: FF_X31_Y29_N11
\led_flash_cnt_ands[2243]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2243~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2243));

-- Location: LCCOMB_X32_Y33_N22
\led_flash_cnt[2240][0]~82880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2240][0]~82880_combout\ = !\led_flash_cnt[2240][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2240][0]~q\,
	combout => \led_flash_cnt[2240][0]~82880_combout\);

-- Location: FF_X32_Y33_N23
\led_flash_cnt[2240][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2240][0]~82880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2240][0]~q\);

-- Location: LCCOMB_X32_Y33_N4
\led_flash_cnt[2240][1]~58240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2240][1]~58240_combout\ = (\led_flash_cnt[2240][0]~q\ & (\led_flash_cnt[2240][1]~q\ $ (VCC))) # (!\led_flash_cnt[2240][0]~q\ & (\led_flash_cnt[2240][1]~q\ & VCC))
-- \led_flash_cnt[2240][1]~58241\ = CARRY((\led_flash_cnt[2240][0]~q\ & \led_flash_cnt[2240][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2240][0]~q\,
	datab => \led_flash_cnt[2240][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2240][1]~58240_combout\,
	cout => \led_flash_cnt[2240][1]~58241\);

-- Location: FF_X32_Y33_N5
\led_flash_cnt[2240][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2240][1]~58240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2240][1]~q\);

-- Location: LCCOMB_X32_Y33_N6
\led_flash_cnt[2240][2]~58242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2240][2]~58242_combout\ = (\led_flash_cnt[2240][2]~q\ & (!\led_flash_cnt[2240][1]~58241\)) # (!\led_flash_cnt[2240][2]~q\ & ((\led_flash_cnt[2240][1]~58241\) # (GND)))
-- \led_flash_cnt[2240][2]~58243\ = CARRY((!\led_flash_cnt[2240][1]~58241\) # (!\led_flash_cnt[2240][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2240][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2240][1]~58241\,
	combout => \led_flash_cnt[2240][2]~58242_combout\,
	cout => \led_flash_cnt[2240][2]~58243\);

-- Location: FF_X32_Y33_N7
\led_flash_cnt[2240][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2240][2]~58242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2240][2]~q\);

-- Location: LCCOMB_X32_Y33_N8
\led_flash_cnt[2240][3]~58244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2240][3]~58244_combout\ = (\led_flash_cnt[2240][3]~q\ & (\led_flash_cnt[2240][2]~58243\ $ (GND))) # (!\led_flash_cnt[2240][3]~q\ & (!\led_flash_cnt[2240][2]~58243\ & VCC))
-- \led_flash_cnt[2240][3]~58245\ = CARRY((\led_flash_cnt[2240][3]~q\ & !\led_flash_cnt[2240][2]~58243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2240][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2240][2]~58243\,
	combout => \led_flash_cnt[2240][3]~58244_combout\,
	cout => \led_flash_cnt[2240][3]~58245\);

-- Location: FF_X32_Y33_N9
\led_flash_cnt[2240][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2240][3]~58244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2240][3]~q\);

-- Location: LCCOMB_X32_Y33_N10
\led_flash_cnt[2240][4]~58246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2240][4]~58246_combout\ = (\led_flash_cnt[2240][4]~q\ & (!\led_flash_cnt[2240][3]~58245\)) # (!\led_flash_cnt[2240][4]~q\ & ((\led_flash_cnt[2240][3]~58245\) # (GND)))
-- \led_flash_cnt[2240][4]~58247\ = CARRY((!\led_flash_cnt[2240][3]~58245\) # (!\led_flash_cnt[2240][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2240][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2240][3]~58245\,
	combout => \led_flash_cnt[2240][4]~58246_combout\,
	cout => \led_flash_cnt[2240][4]~58247\);

-- Location: FF_X32_Y33_N11
\led_flash_cnt[2240][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2240][4]~58246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2240][4]~q\);

-- Location: LCCOMB_X32_Y33_N12
\led_flash_cnt[2240][5]~58248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2240][5]~58248_combout\ = (\led_flash_cnt[2240][5]~q\ & (\led_flash_cnt[2240][4]~58247\ $ (GND))) # (!\led_flash_cnt[2240][5]~q\ & (!\led_flash_cnt[2240][4]~58247\ & VCC))
-- \led_flash_cnt[2240][5]~58249\ = CARRY((\led_flash_cnt[2240][5]~q\ & !\led_flash_cnt[2240][4]~58247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2240][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2240][4]~58247\,
	combout => \led_flash_cnt[2240][5]~58248_combout\,
	cout => \led_flash_cnt[2240][5]~58249\);

-- Location: FF_X32_Y33_N13
\led_flash_cnt[2240][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2240][5]~58248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2240][5]~q\);

-- Location: LCCOMB_X32_Y33_N14
\led_flash_cnt[2240][6]~58250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2240][6]~58250_combout\ = (\led_flash_cnt[2240][6]~q\ & (!\led_flash_cnt[2240][5]~58249\)) # (!\led_flash_cnt[2240][6]~q\ & ((\led_flash_cnt[2240][5]~58249\) # (GND)))
-- \led_flash_cnt[2240][6]~58251\ = CARRY((!\led_flash_cnt[2240][5]~58249\) # (!\led_flash_cnt[2240][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2240][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2240][5]~58249\,
	combout => \led_flash_cnt[2240][6]~58250_combout\,
	cout => \led_flash_cnt[2240][6]~58251\);

-- Location: FF_X32_Y33_N15
\led_flash_cnt[2240][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2240][6]~58250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2240][6]~q\);

-- Location: LCCOMB_X32_Y33_N2
\WideAnd2240~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2240~1_combout\ = (\led_flash_cnt[2240][6]~q\ & \led_flash_cnt[2240][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2240][6]~q\,
	datad => \led_flash_cnt[2240][5]~q\,
	combout => \WideAnd2240~1_combout\);

-- Location: LCCOMB_X32_Y33_N26
\WideAnd2240~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2240~0_combout\ = (\led_flash_cnt[2240][4]~q\ & (\led_flash_cnt[2240][1]~q\ & (\led_flash_cnt[2240][3]~q\ & \led_flash_cnt[2240][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2240][4]~q\,
	datab => \led_flash_cnt[2240][1]~q\,
	datac => \led_flash_cnt[2240][3]~q\,
	datad => \led_flash_cnt[2240][2]~q\,
	combout => \WideAnd2240~0_combout\);

-- Location: LCCOMB_X32_Y33_N16
\led_flash_cnt[2240][7]~58252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2240][7]~58252_combout\ = \led_flash_cnt[2240][6]~58251\ $ (!\led_flash_cnt[2240][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2240][7]~q\,
	cin => \led_flash_cnt[2240][6]~58251\,
	combout => \led_flash_cnt[2240][7]~58252_combout\);

-- Location: FF_X32_Y33_N17
\led_flash_cnt[2240][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2240][7]~58252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2240][7]~q\);

-- Location: LCCOMB_X32_Y33_N20
WideAnd2240 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2240~combout\ = (\led_flash_cnt[2240][0]~q\ & (\WideAnd2240~1_combout\ & (\WideAnd2240~0_combout\ & \led_flash_cnt[2240][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2240][0]~q\,
	datab => \WideAnd2240~1_combout\,
	datac => \WideAnd2240~0_combout\,
	datad => \led_flash_cnt[2240][7]~q\,
	combout => \WideAnd2240~combout\);

-- Location: FF_X32_Y33_N21
\led_flash_cnt_ands[2240]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2240~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2240));

-- Location: LCCOMB_X34_Y35_N0
\led_flash_cnt[2241][0]~82881\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2241][0]~82881_combout\ = !\led_flash_cnt[2241][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2241][0]~q\,
	combout => \led_flash_cnt[2241][0]~82881_combout\);

-- Location: FF_X34_Y35_N1
\led_flash_cnt[2241][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2241][0]~82881_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2241][0]~q\);

-- Location: LCCOMB_X34_Y35_N10
\led_flash_cnt[2241][1]~58254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2241][1]~58254_combout\ = (\led_flash_cnt[2241][1]~q\ & (\led_flash_cnt[2241][0]~q\ $ (VCC))) # (!\led_flash_cnt[2241][1]~q\ & (\led_flash_cnt[2241][0]~q\ & VCC))
-- \led_flash_cnt[2241][1]~58255\ = CARRY((\led_flash_cnt[2241][1]~q\ & \led_flash_cnt[2241][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2241][1]~q\,
	datab => \led_flash_cnt[2241][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2241][1]~58254_combout\,
	cout => \led_flash_cnt[2241][1]~58255\);

-- Location: FF_X34_Y35_N11
\led_flash_cnt[2241][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2241][1]~58254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2241][1]~q\);

-- Location: LCCOMB_X34_Y35_N12
\led_flash_cnt[2241][2]~58256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2241][2]~58256_combout\ = (\led_flash_cnt[2241][2]~q\ & (!\led_flash_cnt[2241][1]~58255\)) # (!\led_flash_cnt[2241][2]~q\ & ((\led_flash_cnt[2241][1]~58255\) # (GND)))
-- \led_flash_cnt[2241][2]~58257\ = CARRY((!\led_flash_cnt[2241][1]~58255\) # (!\led_flash_cnt[2241][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2241][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2241][1]~58255\,
	combout => \led_flash_cnt[2241][2]~58256_combout\,
	cout => \led_flash_cnt[2241][2]~58257\);

-- Location: FF_X34_Y35_N13
\led_flash_cnt[2241][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2241][2]~58256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2241][2]~q\);

-- Location: LCCOMB_X34_Y35_N14
\led_flash_cnt[2241][3]~58258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2241][3]~58258_combout\ = (\led_flash_cnt[2241][3]~q\ & (\led_flash_cnt[2241][2]~58257\ $ (GND))) # (!\led_flash_cnt[2241][3]~q\ & (!\led_flash_cnt[2241][2]~58257\ & VCC))
-- \led_flash_cnt[2241][3]~58259\ = CARRY((\led_flash_cnt[2241][3]~q\ & !\led_flash_cnt[2241][2]~58257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2241][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2241][2]~58257\,
	combout => \led_flash_cnt[2241][3]~58258_combout\,
	cout => \led_flash_cnt[2241][3]~58259\);

-- Location: FF_X34_Y35_N15
\led_flash_cnt[2241][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2241][3]~58258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2241][3]~q\);

-- Location: LCCOMB_X34_Y35_N16
\led_flash_cnt[2241][4]~58260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2241][4]~58260_combout\ = (\led_flash_cnt[2241][4]~q\ & (!\led_flash_cnt[2241][3]~58259\)) # (!\led_flash_cnt[2241][4]~q\ & ((\led_flash_cnt[2241][3]~58259\) # (GND)))
-- \led_flash_cnt[2241][4]~58261\ = CARRY((!\led_flash_cnt[2241][3]~58259\) # (!\led_flash_cnt[2241][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2241][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2241][3]~58259\,
	combout => \led_flash_cnt[2241][4]~58260_combout\,
	cout => \led_flash_cnt[2241][4]~58261\);

-- Location: FF_X34_Y35_N17
\led_flash_cnt[2241][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2241][4]~58260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2241][4]~q\);

-- Location: LCCOMB_X34_Y35_N26
\WideAnd2241~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2241~0_combout\ = (\led_flash_cnt[2241][1]~q\ & (\led_flash_cnt[2241][4]~q\ & (\led_flash_cnt[2241][3]~q\ & \led_flash_cnt[2241][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2241][1]~q\,
	datab => \led_flash_cnt[2241][4]~q\,
	datac => \led_flash_cnt[2241][3]~q\,
	datad => \led_flash_cnt[2241][2]~q\,
	combout => \WideAnd2241~0_combout\);

-- Location: LCCOMB_X34_Y35_N18
\led_flash_cnt[2241][5]~58262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2241][5]~58262_combout\ = (\led_flash_cnt[2241][5]~q\ & (\led_flash_cnt[2241][4]~58261\ $ (GND))) # (!\led_flash_cnt[2241][5]~q\ & (!\led_flash_cnt[2241][4]~58261\ & VCC))
-- \led_flash_cnt[2241][5]~58263\ = CARRY((\led_flash_cnt[2241][5]~q\ & !\led_flash_cnt[2241][4]~58261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2241][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2241][4]~58261\,
	combout => \led_flash_cnt[2241][5]~58262_combout\,
	cout => \led_flash_cnt[2241][5]~58263\);

-- Location: FF_X34_Y35_N19
\led_flash_cnt[2241][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2241][5]~58262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2241][5]~q\);

-- Location: LCCOMB_X34_Y35_N20
\led_flash_cnt[2241][6]~58264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2241][6]~58264_combout\ = (\led_flash_cnt[2241][6]~q\ & (!\led_flash_cnt[2241][5]~58263\)) # (!\led_flash_cnt[2241][6]~q\ & ((\led_flash_cnt[2241][5]~58263\) # (GND)))
-- \led_flash_cnt[2241][6]~58265\ = CARRY((!\led_flash_cnt[2241][5]~58263\) # (!\led_flash_cnt[2241][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2241][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2241][5]~58263\,
	combout => \led_flash_cnt[2241][6]~58264_combout\,
	cout => \led_flash_cnt[2241][6]~58265\);

-- Location: FF_X34_Y35_N21
\led_flash_cnt[2241][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2241][6]~58264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2241][6]~q\);

-- Location: LCCOMB_X34_Y35_N22
\led_flash_cnt[2241][7]~58266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2241][7]~58266_combout\ = \led_flash_cnt[2241][7]~q\ $ (!\led_flash_cnt[2241][6]~58265\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2241][7]~q\,
	cin => \led_flash_cnt[2241][6]~58265\,
	combout => \led_flash_cnt[2241][7]~58266_combout\);

-- Location: FF_X34_Y35_N23
\led_flash_cnt[2241][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2241][7]~58266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2241][7]~q\);

-- Location: LCCOMB_X34_Y35_N24
\WideAnd2241~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2241~1_combout\ = (\led_flash_cnt[2241][6]~q\ & \led_flash_cnt[2241][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2241][6]~q\,
	datac => \led_flash_cnt[2241][5]~q\,
	combout => \WideAnd2241~1_combout\);

-- Location: LCCOMB_X34_Y35_N6
WideAnd2241 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2241~combout\ = (\WideAnd2241~0_combout\ & (\led_flash_cnt[2241][0]~q\ & (\led_flash_cnt[2241][7]~q\ & \WideAnd2241~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2241~0_combout\,
	datab => \led_flash_cnt[2241][0]~q\,
	datac => \led_flash_cnt[2241][7]~q\,
	datad => \WideAnd2241~1_combout\,
	combout => \WideAnd2241~combout\);

-- Location: FF_X34_Y35_N7
\led_flash_cnt_ands[2241]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2241~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2241));

-- Location: LCCOMB_X32_Y33_N30
\led_flash_cnt[2242][0]~82882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2242][0]~82882_combout\ = !\led_flash_cnt[2242][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2242][0]~q\,
	combout => \led_flash_cnt[2242][0]~82882_combout\);

-- Location: FF_X32_Y33_N31
\led_flash_cnt[2242][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2242][0]~82882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2242][0]~q\);

-- Location: LCCOMB_X32_Y30_N0
\led_flash_cnt[2242][1]~58268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2242][1]~58268_combout\ = (\led_flash_cnt[2242][0]~q\ & (\led_flash_cnt[2242][1]~q\ $ (VCC))) # (!\led_flash_cnt[2242][0]~q\ & (\led_flash_cnt[2242][1]~q\ & VCC))
-- \led_flash_cnt[2242][1]~58269\ = CARRY((\led_flash_cnt[2242][0]~q\ & \led_flash_cnt[2242][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2242][0]~q\,
	datab => \led_flash_cnt[2242][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2242][1]~58268_combout\,
	cout => \led_flash_cnt[2242][1]~58269\);

-- Location: FF_X32_Y30_N1
\led_flash_cnt[2242][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2242][1]~58268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2242][1]~q\);

-- Location: LCCOMB_X32_Y30_N2
\led_flash_cnt[2242][2]~58270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2242][2]~58270_combout\ = (\led_flash_cnt[2242][2]~q\ & (!\led_flash_cnt[2242][1]~58269\)) # (!\led_flash_cnt[2242][2]~q\ & ((\led_flash_cnt[2242][1]~58269\) # (GND)))
-- \led_flash_cnt[2242][2]~58271\ = CARRY((!\led_flash_cnt[2242][1]~58269\) # (!\led_flash_cnt[2242][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2242][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2242][1]~58269\,
	combout => \led_flash_cnt[2242][2]~58270_combout\,
	cout => \led_flash_cnt[2242][2]~58271\);

-- Location: FF_X32_Y30_N3
\led_flash_cnt[2242][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2242][2]~58270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2242][2]~q\);

-- Location: LCCOMB_X32_Y30_N4
\led_flash_cnt[2242][3]~58272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2242][3]~58272_combout\ = (\led_flash_cnt[2242][3]~q\ & (\led_flash_cnt[2242][2]~58271\ $ (GND))) # (!\led_flash_cnt[2242][3]~q\ & (!\led_flash_cnt[2242][2]~58271\ & VCC))
-- \led_flash_cnt[2242][3]~58273\ = CARRY((\led_flash_cnt[2242][3]~q\ & !\led_flash_cnt[2242][2]~58271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2242][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2242][2]~58271\,
	combout => \led_flash_cnt[2242][3]~58272_combout\,
	cout => \led_flash_cnt[2242][3]~58273\);

-- Location: FF_X32_Y30_N5
\led_flash_cnt[2242][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2242][3]~58272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2242][3]~q\);

-- Location: LCCOMB_X32_Y30_N6
\led_flash_cnt[2242][4]~58274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2242][4]~58274_combout\ = (\led_flash_cnt[2242][4]~q\ & (!\led_flash_cnt[2242][3]~58273\)) # (!\led_flash_cnt[2242][4]~q\ & ((\led_flash_cnt[2242][3]~58273\) # (GND)))
-- \led_flash_cnt[2242][4]~58275\ = CARRY((!\led_flash_cnt[2242][3]~58273\) # (!\led_flash_cnt[2242][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2242][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2242][3]~58273\,
	combout => \led_flash_cnt[2242][4]~58274_combout\,
	cout => \led_flash_cnt[2242][4]~58275\);

-- Location: FF_X32_Y30_N7
\led_flash_cnt[2242][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2242][4]~58274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2242][4]~q\);

-- Location: LCCOMB_X32_Y30_N8
\led_flash_cnt[2242][5]~58276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2242][5]~58276_combout\ = (\led_flash_cnt[2242][5]~q\ & (\led_flash_cnt[2242][4]~58275\ $ (GND))) # (!\led_flash_cnt[2242][5]~q\ & (!\led_flash_cnt[2242][4]~58275\ & VCC))
-- \led_flash_cnt[2242][5]~58277\ = CARRY((\led_flash_cnt[2242][5]~q\ & !\led_flash_cnt[2242][4]~58275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2242][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2242][4]~58275\,
	combout => \led_flash_cnt[2242][5]~58276_combout\,
	cout => \led_flash_cnt[2242][5]~58277\);

-- Location: FF_X32_Y30_N9
\led_flash_cnt[2242][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2242][5]~58276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2242][5]~q\);

-- Location: LCCOMB_X32_Y30_N10
\led_flash_cnt[2242][6]~58278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2242][6]~58278_combout\ = (\led_flash_cnt[2242][6]~q\ & (!\led_flash_cnt[2242][5]~58277\)) # (!\led_flash_cnt[2242][6]~q\ & ((\led_flash_cnt[2242][5]~58277\) # (GND)))
-- \led_flash_cnt[2242][6]~58279\ = CARRY((!\led_flash_cnt[2242][5]~58277\) # (!\led_flash_cnt[2242][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2242][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2242][5]~58277\,
	combout => \led_flash_cnt[2242][6]~58278_combout\,
	cout => \led_flash_cnt[2242][6]~58279\);

-- Location: FF_X32_Y30_N11
\led_flash_cnt[2242][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2242][6]~58278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2242][6]~q\);

-- Location: LCCOMB_X32_Y30_N12
\led_flash_cnt[2242][7]~58280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2242][7]~58280_combout\ = \led_flash_cnt[2242][6]~58279\ $ (!\led_flash_cnt[2242][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2242][7]~q\,
	cin => \led_flash_cnt[2242][6]~58279\,
	combout => \led_flash_cnt[2242][7]~58280_combout\);

-- Location: FF_X32_Y30_N13
\led_flash_cnt[2242][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2242][7]~58280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2242][7]~q\);

-- Location: LCCOMB_X32_Y30_N16
\WideAnd2242~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2242~0_combout\ = (\led_flash_cnt[2242][4]~q\ & (\led_flash_cnt[2242][1]~q\ & (\led_flash_cnt[2242][3]~q\ & \led_flash_cnt[2242][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2242][4]~q\,
	datab => \led_flash_cnt[2242][1]~q\,
	datac => \led_flash_cnt[2242][3]~q\,
	datad => \led_flash_cnt[2242][2]~q\,
	combout => \WideAnd2242~0_combout\);

-- Location: LCCOMB_X32_Y33_N0
\WideAnd2242~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2242~1_combout\ = (\led_flash_cnt[2242][6]~q\ & \led_flash_cnt[2242][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2242][6]~q\,
	datad => \led_flash_cnt[2242][5]~q\,
	combout => \WideAnd2242~1_combout\);

-- Location: LCCOMB_X32_Y33_N18
WideAnd2242 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2242~combout\ = (\led_flash_cnt[2242][7]~q\ & (\WideAnd2242~0_combout\ & (\led_flash_cnt[2242][0]~q\ & \WideAnd2242~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2242][7]~q\,
	datab => \WideAnd2242~0_combout\,
	datac => \led_flash_cnt[2242][0]~q\,
	datad => \WideAnd2242~1_combout\,
	combout => \WideAnd2242~combout\);

-- Location: FF_X32_Y33_N19
\led_flash_cnt_ands[2242]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2242~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2242));

-- Location: LCCOMB_X32_Y33_N28
\WideAnd4120~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4120~0_combout\ = (led_flash_cnt_ands(2243) & (led_flash_cnt_ands(2240) & (led_flash_cnt_ands(2241) & led_flash_cnt_ands(2242))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2243),
	datab => led_flash_cnt_ands(2240),
	datac => led_flash_cnt_ands(2241),
	datad => led_flash_cnt_ands(2242),
	combout => \WideAnd4120~0_combout\);

-- Location: LCCOMB_X31_Y33_N30
WideAnd4120 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4120~combout\ = (led_flash_cnt_ands(2246) & (\WideAnd4120~1_combout\ & (led_flash_cnt_ands(2247) & \WideAnd4120~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2246),
	datab => \WideAnd4120~1_combout\,
	datac => led_flash_cnt_ands(2247),
	datad => \WideAnd4120~0_combout\,
	combout => \WideAnd4120~combout\);

-- Location: FF_X31_Y33_N31
\led_flash_cnt_ands_1[280]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4120~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(280));

-- Location: LCCOMB_X16_Y4_N30
\led_flash_cnt[2270][0]~82910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2270][0]~82910_combout\ = !\led_flash_cnt[2270][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2270][0]~q\,
	combout => \led_flash_cnt[2270][0]~82910_combout\);

-- Location: FF_X16_Y4_N31
\led_flash_cnt[2270][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2270][0]~82910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2270][0]~q\);

-- Location: LCCOMB_X15_Y4_N18
\led_flash_cnt[2270][1]~58660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2270][1]~58660_combout\ = (\led_flash_cnt[2270][0]~q\ & (\led_flash_cnt[2270][1]~q\ $ (VCC))) # (!\led_flash_cnt[2270][0]~q\ & (\led_flash_cnt[2270][1]~q\ & VCC))
-- \led_flash_cnt[2270][1]~58661\ = CARRY((\led_flash_cnt[2270][0]~q\ & \led_flash_cnt[2270][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2270][0]~q\,
	datab => \led_flash_cnt[2270][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2270][1]~58660_combout\,
	cout => \led_flash_cnt[2270][1]~58661\);

-- Location: FF_X15_Y4_N19
\led_flash_cnt[2270][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2270][1]~58660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2270][1]~q\);

-- Location: LCCOMB_X15_Y4_N20
\led_flash_cnt[2270][2]~58662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2270][2]~58662_combout\ = (\led_flash_cnt[2270][2]~q\ & (!\led_flash_cnt[2270][1]~58661\)) # (!\led_flash_cnt[2270][2]~q\ & ((\led_flash_cnt[2270][1]~58661\) # (GND)))
-- \led_flash_cnt[2270][2]~58663\ = CARRY((!\led_flash_cnt[2270][1]~58661\) # (!\led_flash_cnt[2270][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2270][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2270][1]~58661\,
	combout => \led_flash_cnt[2270][2]~58662_combout\,
	cout => \led_flash_cnt[2270][2]~58663\);

-- Location: FF_X15_Y4_N21
\led_flash_cnt[2270][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2270][2]~58662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2270][2]~q\);

-- Location: LCCOMB_X15_Y4_N22
\led_flash_cnt[2270][3]~58664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2270][3]~58664_combout\ = (\led_flash_cnt[2270][3]~q\ & (\led_flash_cnt[2270][2]~58663\ $ (GND))) # (!\led_flash_cnt[2270][3]~q\ & (!\led_flash_cnt[2270][2]~58663\ & VCC))
-- \led_flash_cnt[2270][3]~58665\ = CARRY((\led_flash_cnt[2270][3]~q\ & !\led_flash_cnt[2270][2]~58663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2270][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2270][2]~58663\,
	combout => \led_flash_cnt[2270][3]~58664_combout\,
	cout => \led_flash_cnt[2270][3]~58665\);

-- Location: FF_X15_Y4_N23
\led_flash_cnt[2270][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2270][3]~58664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2270][3]~q\);

-- Location: LCCOMB_X15_Y4_N24
\led_flash_cnt[2270][4]~58666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2270][4]~58666_combout\ = (\led_flash_cnt[2270][4]~q\ & (!\led_flash_cnt[2270][3]~58665\)) # (!\led_flash_cnt[2270][4]~q\ & ((\led_flash_cnt[2270][3]~58665\) # (GND)))
-- \led_flash_cnt[2270][4]~58667\ = CARRY((!\led_flash_cnt[2270][3]~58665\) # (!\led_flash_cnt[2270][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2270][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2270][3]~58665\,
	combout => \led_flash_cnt[2270][4]~58666_combout\,
	cout => \led_flash_cnt[2270][4]~58667\);

-- Location: FF_X15_Y4_N25
\led_flash_cnt[2270][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2270][4]~58666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2270][4]~q\);

-- Location: LCCOMB_X15_Y4_N16
\WideAnd2270~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2270~0_combout\ = (\led_flash_cnt[2270][4]~q\ & (\led_flash_cnt[2270][2]~q\ & (\led_flash_cnt[2270][3]~q\ & \led_flash_cnt[2270][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2270][4]~q\,
	datab => \led_flash_cnt[2270][2]~q\,
	datac => \led_flash_cnt[2270][3]~q\,
	datad => \led_flash_cnt[2270][1]~q\,
	combout => \WideAnd2270~0_combout\);

-- Location: LCCOMB_X15_Y4_N26
\led_flash_cnt[2270][5]~58668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2270][5]~58668_combout\ = (\led_flash_cnt[2270][5]~q\ & (\led_flash_cnt[2270][4]~58667\ $ (GND))) # (!\led_flash_cnt[2270][5]~q\ & (!\led_flash_cnt[2270][4]~58667\ & VCC))
-- \led_flash_cnt[2270][5]~58669\ = CARRY((\led_flash_cnt[2270][5]~q\ & !\led_flash_cnt[2270][4]~58667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2270][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2270][4]~58667\,
	combout => \led_flash_cnt[2270][5]~58668_combout\,
	cout => \led_flash_cnt[2270][5]~58669\);

-- Location: FF_X15_Y4_N27
\led_flash_cnt[2270][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2270][5]~58668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2270][5]~q\);

-- Location: LCCOMB_X15_Y4_N28
\led_flash_cnt[2270][6]~58670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2270][6]~58670_combout\ = (\led_flash_cnt[2270][6]~q\ & (!\led_flash_cnt[2270][5]~58669\)) # (!\led_flash_cnt[2270][6]~q\ & ((\led_flash_cnt[2270][5]~58669\) # (GND)))
-- \led_flash_cnt[2270][6]~58671\ = CARRY((!\led_flash_cnt[2270][5]~58669\) # (!\led_flash_cnt[2270][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2270][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2270][5]~58669\,
	combout => \led_flash_cnt[2270][6]~58670_combout\,
	cout => \led_flash_cnt[2270][6]~58671\);

-- Location: FF_X15_Y4_N29
\led_flash_cnt[2270][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2270][6]~58670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2270][6]~q\);

-- Location: LCCOMB_X15_Y4_N30
\led_flash_cnt[2270][7]~58672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2270][7]~58672_combout\ = \led_flash_cnt[2270][7]~q\ $ (!\led_flash_cnt[2270][6]~58671\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2270][7]~q\,
	cin => \led_flash_cnt[2270][6]~58671\,
	combout => \led_flash_cnt[2270][7]~58672_combout\);

-- Location: FF_X15_Y4_N31
\led_flash_cnt[2270][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2270][7]~58672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2270][7]~q\);

-- Location: LCCOMB_X16_Y4_N10
\WideAnd2270~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2270~1_combout\ = (\led_flash_cnt[2270][5]~q\ & \led_flash_cnt[2270][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2270][5]~q\,
	datad => \led_flash_cnt[2270][6]~q\,
	combout => \WideAnd2270~1_combout\);

-- Location: LCCOMB_X16_Y4_N8
WideAnd2270 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2270~combout\ = (\WideAnd2270~0_combout\ & (\led_flash_cnt[2270][7]~q\ & (\led_flash_cnt[2270][0]~q\ & \WideAnd2270~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2270~0_combout\,
	datab => \led_flash_cnt[2270][7]~q\,
	datac => \led_flash_cnt[2270][0]~q\,
	datad => \WideAnd2270~1_combout\,
	combout => \WideAnd2270~combout\);

-- Location: FF_X16_Y4_N9
\led_flash_cnt_ands[2270]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2270~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2270));

-- Location: LCCOMB_X22_Y1_N2
\led_flash_cnt[2268][0]~82908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2268][0]~82908_combout\ = !\led_flash_cnt[2268][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2268][0]~q\,
	combout => \led_flash_cnt[2268][0]~82908_combout\);

-- Location: FF_X22_Y1_N3
\led_flash_cnt[2268][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2268][0]~82908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2268][0]~q\);

-- Location: LCCOMB_X23_Y1_N4
\led_flash_cnt[2268][1]~58632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2268][1]~58632_combout\ = (\led_flash_cnt[2268][0]~q\ & (\led_flash_cnt[2268][1]~q\ $ (VCC))) # (!\led_flash_cnt[2268][0]~q\ & (\led_flash_cnt[2268][1]~q\ & VCC))
-- \led_flash_cnt[2268][1]~58633\ = CARRY((\led_flash_cnt[2268][0]~q\ & \led_flash_cnt[2268][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2268][0]~q\,
	datab => \led_flash_cnt[2268][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2268][1]~58632_combout\,
	cout => \led_flash_cnt[2268][1]~58633\);

-- Location: FF_X23_Y1_N5
\led_flash_cnt[2268][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2268][1]~58632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2268][1]~q\);

-- Location: LCCOMB_X23_Y1_N6
\led_flash_cnt[2268][2]~58634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2268][2]~58634_combout\ = (\led_flash_cnt[2268][2]~q\ & (!\led_flash_cnt[2268][1]~58633\)) # (!\led_flash_cnt[2268][2]~q\ & ((\led_flash_cnt[2268][1]~58633\) # (GND)))
-- \led_flash_cnt[2268][2]~58635\ = CARRY((!\led_flash_cnt[2268][1]~58633\) # (!\led_flash_cnt[2268][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2268][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2268][1]~58633\,
	combout => \led_flash_cnt[2268][2]~58634_combout\,
	cout => \led_flash_cnt[2268][2]~58635\);

-- Location: FF_X23_Y1_N7
\led_flash_cnt[2268][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2268][2]~58634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2268][2]~q\);

-- Location: LCCOMB_X23_Y1_N8
\led_flash_cnt[2268][3]~58636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2268][3]~58636_combout\ = (\led_flash_cnt[2268][3]~q\ & (\led_flash_cnt[2268][2]~58635\ $ (GND))) # (!\led_flash_cnt[2268][3]~q\ & (!\led_flash_cnt[2268][2]~58635\ & VCC))
-- \led_flash_cnt[2268][3]~58637\ = CARRY((\led_flash_cnt[2268][3]~q\ & !\led_flash_cnt[2268][2]~58635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2268][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2268][2]~58635\,
	combout => \led_flash_cnt[2268][3]~58636_combout\,
	cout => \led_flash_cnt[2268][3]~58637\);

-- Location: FF_X23_Y1_N9
\led_flash_cnt[2268][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2268][3]~58636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2268][3]~q\);

-- Location: LCCOMB_X23_Y1_N10
\led_flash_cnt[2268][4]~58638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2268][4]~58638_combout\ = (\led_flash_cnt[2268][4]~q\ & (!\led_flash_cnt[2268][3]~58637\)) # (!\led_flash_cnt[2268][4]~q\ & ((\led_flash_cnt[2268][3]~58637\) # (GND)))
-- \led_flash_cnt[2268][4]~58639\ = CARRY((!\led_flash_cnt[2268][3]~58637\) # (!\led_flash_cnt[2268][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2268][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2268][3]~58637\,
	combout => \led_flash_cnt[2268][4]~58638_combout\,
	cout => \led_flash_cnt[2268][4]~58639\);

-- Location: FF_X23_Y1_N11
\led_flash_cnt[2268][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2268][4]~58638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2268][4]~q\);

-- Location: LCCOMB_X23_Y1_N12
\led_flash_cnt[2268][5]~58640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2268][5]~58640_combout\ = (\led_flash_cnt[2268][5]~q\ & (\led_flash_cnt[2268][4]~58639\ $ (GND))) # (!\led_flash_cnt[2268][5]~q\ & (!\led_flash_cnt[2268][4]~58639\ & VCC))
-- \led_flash_cnt[2268][5]~58641\ = CARRY((\led_flash_cnt[2268][5]~q\ & !\led_flash_cnt[2268][4]~58639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2268][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2268][4]~58639\,
	combout => \led_flash_cnt[2268][5]~58640_combout\,
	cout => \led_flash_cnt[2268][5]~58641\);

-- Location: FF_X23_Y1_N13
\led_flash_cnt[2268][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2268][5]~58640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2268][5]~q\);

-- Location: LCCOMB_X23_Y1_N14
\led_flash_cnt[2268][6]~58642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2268][6]~58642_combout\ = (\led_flash_cnt[2268][6]~q\ & (!\led_flash_cnt[2268][5]~58641\)) # (!\led_flash_cnt[2268][6]~q\ & ((\led_flash_cnt[2268][5]~58641\) # (GND)))
-- \led_flash_cnt[2268][6]~58643\ = CARRY((!\led_flash_cnt[2268][5]~58641\) # (!\led_flash_cnt[2268][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2268][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2268][5]~58641\,
	combout => \led_flash_cnt[2268][6]~58642_combout\,
	cout => \led_flash_cnt[2268][6]~58643\);

-- Location: FF_X23_Y1_N15
\led_flash_cnt[2268][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2268][6]~58642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2268][6]~q\);

-- Location: LCCOMB_X22_Y1_N30
\WideAnd2268~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2268~1_combout\ = (\led_flash_cnt[2268][5]~q\ & \led_flash_cnt[2268][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2268][5]~q\,
	datac => \led_flash_cnt[2268][6]~q\,
	combout => \WideAnd2268~1_combout\);

-- Location: LCCOMB_X23_Y1_N0
\WideAnd2268~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2268~0_combout\ = (\led_flash_cnt[2268][2]~q\ & (\led_flash_cnt[2268][1]~q\ & (\led_flash_cnt[2268][3]~q\ & \led_flash_cnt[2268][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2268][2]~q\,
	datab => \led_flash_cnt[2268][1]~q\,
	datac => \led_flash_cnt[2268][3]~q\,
	datad => \led_flash_cnt[2268][4]~q\,
	combout => \WideAnd2268~0_combout\);

-- Location: LCCOMB_X23_Y1_N16
\led_flash_cnt[2268][7]~58644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2268][7]~58644_combout\ = \led_flash_cnt[2268][6]~58643\ $ (!\led_flash_cnt[2268][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2268][7]~q\,
	cin => \led_flash_cnt[2268][6]~58643\,
	combout => \led_flash_cnt[2268][7]~58644_combout\);

-- Location: FF_X23_Y1_N17
\led_flash_cnt[2268][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2268][7]~58644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2268][7]~q\);

-- Location: LCCOMB_X22_Y1_N22
WideAnd2268 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2268~combout\ = (\WideAnd2268~1_combout\ & (\led_flash_cnt[2268][0]~q\ & (\WideAnd2268~0_combout\ & \led_flash_cnt[2268][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2268~1_combout\,
	datab => \led_flash_cnt[2268][0]~q\,
	datac => \WideAnd2268~0_combout\,
	datad => \led_flash_cnt[2268][7]~q\,
	combout => \WideAnd2268~combout\);

-- Location: FF_X22_Y1_N23
\led_flash_cnt_ands[2268]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2268~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2268));

-- Location: LCCOMB_X22_Y1_N20
\led_flash_cnt[2269][0]~82909\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2269][0]~82909_combout\ = !\led_flash_cnt[2269][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2269][0]~q\,
	combout => \led_flash_cnt[2269][0]~82909_combout\);

-- Location: FF_X22_Y1_N21
\led_flash_cnt[2269][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2269][0]~82909_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2269][0]~q\);

-- Location: LCCOMB_X22_Y1_N6
\led_flash_cnt[2269][1]~58646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2269][1]~58646_combout\ = (\led_flash_cnt[2269][1]~q\ & (\led_flash_cnt[2269][0]~q\ $ (VCC))) # (!\led_flash_cnt[2269][1]~q\ & (\led_flash_cnt[2269][0]~q\ & VCC))
-- \led_flash_cnt[2269][1]~58647\ = CARRY((\led_flash_cnt[2269][1]~q\ & \led_flash_cnt[2269][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2269][1]~q\,
	datab => \led_flash_cnt[2269][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2269][1]~58646_combout\,
	cout => \led_flash_cnt[2269][1]~58647\);

-- Location: FF_X22_Y1_N7
\led_flash_cnt[2269][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2269][1]~58646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2269][1]~q\);

-- Location: LCCOMB_X22_Y1_N8
\led_flash_cnt[2269][2]~58648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2269][2]~58648_combout\ = (\led_flash_cnt[2269][2]~q\ & (!\led_flash_cnt[2269][1]~58647\)) # (!\led_flash_cnt[2269][2]~q\ & ((\led_flash_cnt[2269][1]~58647\) # (GND)))
-- \led_flash_cnt[2269][2]~58649\ = CARRY((!\led_flash_cnt[2269][1]~58647\) # (!\led_flash_cnt[2269][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2269][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2269][1]~58647\,
	combout => \led_flash_cnt[2269][2]~58648_combout\,
	cout => \led_flash_cnt[2269][2]~58649\);

-- Location: FF_X22_Y1_N9
\led_flash_cnt[2269][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2269][2]~58648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2269][2]~q\);

-- Location: LCCOMB_X22_Y1_N10
\led_flash_cnt[2269][3]~58650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2269][3]~58650_combout\ = (\led_flash_cnt[2269][3]~q\ & (\led_flash_cnt[2269][2]~58649\ $ (GND))) # (!\led_flash_cnt[2269][3]~q\ & (!\led_flash_cnt[2269][2]~58649\ & VCC))
-- \led_flash_cnt[2269][3]~58651\ = CARRY((\led_flash_cnt[2269][3]~q\ & !\led_flash_cnt[2269][2]~58649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2269][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2269][2]~58649\,
	combout => \led_flash_cnt[2269][3]~58650_combout\,
	cout => \led_flash_cnt[2269][3]~58651\);

-- Location: FF_X22_Y1_N11
\led_flash_cnt[2269][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2269][3]~58650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2269][3]~q\);

-- Location: LCCOMB_X22_Y1_N12
\led_flash_cnt[2269][4]~58652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2269][4]~58652_combout\ = (\led_flash_cnt[2269][4]~q\ & (!\led_flash_cnt[2269][3]~58651\)) # (!\led_flash_cnt[2269][4]~q\ & ((\led_flash_cnt[2269][3]~58651\) # (GND)))
-- \led_flash_cnt[2269][4]~58653\ = CARRY((!\led_flash_cnt[2269][3]~58651\) # (!\led_flash_cnt[2269][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2269][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2269][3]~58651\,
	combout => \led_flash_cnt[2269][4]~58652_combout\,
	cout => \led_flash_cnt[2269][4]~58653\);

-- Location: FF_X22_Y1_N13
\led_flash_cnt[2269][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2269][4]~58652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2269][4]~q\);

-- Location: LCCOMB_X22_Y1_N26
\WideAnd2269~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2269~0_combout\ = (\led_flash_cnt[2269][1]~q\ & (\led_flash_cnt[2269][3]~q\ & (\led_flash_cnt[2269][2]~q\ & \led_flash_cnt[2269][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2269][1]~q\,
	datab => \led_flash_cnt[2269][3]~q\,
	datac => \led_flash_cnt[2269][2]~q\,
	datad => \led_flash_cnt[2269][4]~q\,
	combout => \WideAnd2269~0_combout\);

-- Location: LCCOMB_X22_Y1_N14
\led_flash_cnt[2269][5]~58654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2269][5]~58654_combout\ = (\led_flash_cnt[2269][5]~q\ & (\led_flash_cnt[2269][4]~58653\ $ (GND))) # (!\led_flash_cnt[2269][5]~q\ & (!\led_flash_cnt[2269][4]~58653\ & VCC))
-- \led_flash_cnt[2269][5]~58655\ = CARRY((\led_flash_cnt[2269][5]~q\ & !\led_flash_cnt[2269][4]~58653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2269][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2269][4]~58653\,
	combout => \led_flash_cnt[2269][5]~58654_combout\,
	cout => \led_flash_cnt[2269][5]~58655\);

-- Location: FF_X22_Y1_N15
\led_flash_cnt[2269][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2269][5]~58654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2269][5]~q\);

-- Location: LCCOMB_X22_Y1_N16
\led_flash_cnt[2269][6]~58656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2269][6]~58656_combout\ = (\led_flash_cnt[2269][6]~q\ & (!\led_flash_cnt[2269][5]~58655\)) # (!\led_flash_cnt[2269][6]~q\ & ((\led_flash_cnt[2269][5]~58655\) # (GND)))
-- \led_flash_cnt[2269][6]~58657\ = CARRY((!\led_flash_cnt[2269][5]~58655\) # (!\led_flash_cnt[2269][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2269][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2269][5]~58655\,
	combout => \led_flash_cnt[2269][6]~58656_combout\,
	cout => \led_flash_cnt[2269][6]~58657\);

-- Location: FF_X22_Y1_N17
\led_flash_cnt[2269][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2269][6]~58656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2269][6]~q\);

-- Location: LCCOMB_X22_Y1_N18
\led_flash_cnt[2269][7]~58658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2269][7]~58658_combout\ = \led_flash_cnt[2269][6]~58657\ $ (!\led_flash_cnt[2269][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2269][7]~q\,
	cin => \led_flash_cnt[2269][6]~58657\,
	combout => \led_flash_cnt[2269][7]~58658_combout\);

-- Location: FF_X22_Y1_N19
\led_flash_cnt[2269][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2269][7]~58658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2269][7]~q\);

-- Location: LCCOMB_X22_Y1_N4
\WideAnd2269~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2269~1_combout\ = (\led_flash_cnt[2269][5]~q\ & \led_flash_cnt[2269][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2269][5]~q\,
	datad => \led_flash_cnt[2269][6]~q\,
	combout => \WideAnd2269~1_combout\);

-- Location: LCCOMB_X22_Y1_N24
WideAnd2269 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2269~combout\ = (\WideAnd2269~0_combout\ & (\led_flash_cnt[2269][7]~q\ & (\WideAnd2269~1_combout\ & \led_flash_cnt[2269][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2269~0_combout\,
	datab => \led_flash_cnt[2269][7]~q\,
	datac => \WideAnd2269~1_combout\,
	datad => \led_flash_cnt[2269][0]~q\,
	combout => \WideAnd2269~combout\);

-- Location: FF_X22_Y1_N25
\led_flash_cnt_ands[2269]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2269~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2269));

-- Location: LCCOMB_X22_Y1_N28
\WideAnd4123~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4123~1_combout\ = (led_flash_cnt_ands(2268) & led_flash_cnt_ands(2269))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2268),
	datad => led_flash_cnt_ands(2269),
	combout => \WideAnd4123~1_combout\);

-- Location: LCCOMB_X22_Y18_N28
\led_flash_cnt[2271][0]~82911\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2271][0]~82911_combout\ = !\led_flash_cnt[2271][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2271][0]~q\,
	combout => \led_flash_cnt[2271][0]~82911_combout\);

-- Location: FF_X22_Y18_N29
\led_flash_cnt[2271][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2271][0]~82911_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2271][0]~q\);

-- Location: LCCOMB_X22_Y18_N12
\led_flash_cnt[2271][1]~58674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2271][1]~58674_combout\ = (\led_flash_cnt[2271][1]~q\ & (\led_flash_cnt[2271][0]~q\ $ (VCC))) # (!\led_flash_cnt[2271][1]~q\ & (\led_flash_cnt[2271][0]~q\ & VCC))
-- \led_flash_cnt[2271][1]~58675\ = CARRY((\led_flash_cnt[2271][1]~q\ & \led_flash_cnt[2271][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2271][1]~q\,
	datab => \led_flash_cnt[2271][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2271][1]~58674_combout\,
	cout => \led_flash_cnt[2271][1]~58675\);

-- Location: FF_X22_Y18_N13
\led_flash_cnt[2271][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2271][1]~58674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2271][1]~q\);

-- Location: LCCOMB_X22_Y18_N14
\led_flash_cnt[2271][2]~58676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2271][2]~58676_combout\ = (\led_flash_cnt[2271][2]~q\ & (!\led_flash_cnt[2271][1]~58675\)) # (!\led_flash_cnt[2271][2]~q\ & ((\led_flash_cnt[2271][1]~58675\) # (GND)))
-- \led_flash_cnt[2271][2]~58677\ = CARRY((!\led_flash_cnt[2271][1]~58675\) # (!\led_flash_cnt[2271][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2271][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2271][1]~58675\,
	combout => \led_flash_cnt[2271][2]~58676_combout\,
	cout => \led_flash_cnt[2271][2]~58677\);

-- Location: FF_X22_Y18_N15
\led_flash_cnt[2271][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2271][2]~58676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2271][2]~q\);

-- Location: LCCOMB_X22_Y18_N16
\led_flash_cnt[2271][3]~58678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2271][3]~58678_combout\ = (\led_flash_cnt[2271][3]~q\ & (\led_flash_cnt[2271][2]~58677\ $ (GND))) # (!\led_flash_cnt[2271][3]~q\ & (!\led_flash_cnt[2271][2]~58677\ & VCC))
-- \led_flash_cnt[2271][3]~58679\ = CARRY((\led_flash_cnt[2271][3]~q\ & !\led_flash_cnt[2271][2]~58677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2271][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2271][2]~58677\,
	combout => \led_flash_cnt[2271][3]~58678_combout\,
	cout => \led_flash_cnt[2271][3]~58679\);

-- Location: FF_X22_Y18_N17
\led_flash_cnt[2271][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2271][3]~58678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2271][3]~q\);

-- Location: LCCOMB_X22_Y18_N18
\led_flash_cnt[2271][4]~58680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2271][4]~58680_combout\ = (\led_flash_cnt[2271][4]~q\ & (!\led_flash_cnt[2271][3]~58679\)) # (!\led_flash_cnt[2271][4]~q\ & ((\led_flash_cnt[2271][3]~58679\) # (GND)))
-- \led_flash_cnt[2271][4]~58681\ = CARRY((!\led_flash_cnt[2271][3]~58679\) # (!\led_flash_cnt[2271][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2271][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2271][3]~58679\,
	combout => \led_flash_cnt[2271][4]~58680_combout\,
	cout => \led_flash_cnt[2271][4]~58681\);

-- Location: FF_X22_Y18_N19
\led_flash_cnt[2271][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2271][4]~58680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2271][4]~q\);

-- Location: LCCOMB_X22_Y18_N20
\led_flash_cnt[2271][5]~58682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2271][5]~58682_combout\ = (\led_flash_cnt[2271][5]~q\ & (\led_flash_cnt[2271][4]~58681\ $ (GND))) # (!\led_flash_cnt[2271][5]~q\ & (!\led_flash_cnt[2271][4]~58681\ & VCC))
-- \led_flash_cnt[2271][5]~58683\ = CARRY((\led_flash_cnt[2271][5]~q\ & !\led_flash_cnt[2271][4]~58681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2271][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2271][4]~58681\,
	combout => \led_flash_cnt[2271][5]~58682_combout\,
	cout => \led_flash_cnt[2271][5]~58683\);

-- Location: FF_X22_Y18_N21
\led_flash_cnt[2271][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2271][5]~58682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2271][5]~q\);

-- Location: LCCOMB_X22_Y18_N22
\led_flash_cnt[2271][6]~58684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2271][6]~58684_combout\ = (\led_flash_cnt[2271][6]~q\ & (!\led_flash_cnt[2271][5]~58683\)) # (!\led_flash_cnt[2271][6]~q\ & ((\led_flash_cnt[2271][5]~58683\) # (GND)))
-- \led_flash_cnt[2271][6]~58685\ = CARRY((!\led_flash_cnt[2271][5]~58683\) # (!\led_flash_cnt[2271][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2271][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2271][5]~58683\,
	combout => \led_flash_cnt[2271][6]~58684_combout\,
	cout => \led_flash_cnt[2271][6]~58685\);

-- Location: FF_X22_Y18_N23
\led_flash_cnt[2271][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2271][6]~58684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2271][6]~q\);

-- Location: LCCOMB_X22_Y18_N10
\WideAnd2271~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2271~1_combout\ = (\led_flash_cnt[2271][6]~q\ & \led_flash_cnt[2271][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2271][6]~q\,
	datad => \led_flash_cnt[2271][5]~q\,
	combout => \WideAnd2271~1_combout\);

-- Location: LCCOMB_X22_Y18_N24
\led_flash_cnt[2271][7]~58686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2271][7]~58686_combout\ = \led_flash_cnt[2271][6]~58685\ $ (!\led_flash_cnt[2271][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2271][7]~q\,
	cin => \led_flash_cnt[2271][6]~58685\,
	combout => \led_flash_cnt[2271][7]~58686_combout\);

-- Location: FF_X22_Y18_N25
\led_flash_cnt[2271][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2271][7]~58686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2271][7]~q\);

-- Location: LCCOMB_X22_Y18_N4
\WideAnd2271~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2271~0_combout\ = (\led_flash_cnt[2271][1]~q\ & (\led_flash_cnt[2271][3]~q\ & (\led_flash_cnt[2271][2]~q\ & \led_flash_cnt[2271][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2271][1]~q\,
	datab => \led_flash_cnt[2271][3]~q\,
	datac => \led_flash_cnt[2271][2]~q\,
	datad => \led_flash_cnt[2271][4]~q\,
	combout => \WideAnd2271~0_combout\);

-- Location: LCCOMB_X22_Y18_N8
WideAnd2271 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2271~combout\ = (\WideAnd2271~1_combout\ & (\led_flash_cnt[2271][7]~q\ & (\WideAnd2271~0_combout\ & \led_flash_cnt[2271][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2271~1_combout\,
	datab => \led_flash_cnt[2271][7]~q\,
	datac => \WideAnd2271~0_combout\,
	datad => \led_flash_cnt[2271][0]~q\,
	combout => \WideAnd2271~combout\);

-- Location: FF_X22_Y18_N9
\led_flash_cnt_ands[2271]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2271~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2271));

-- Location: LCCOMB_X16_Y4_N12
\led_flash_cnt[2265][0]~82905\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2265][0]~82905_combout\ = !\led_flash_cnt[2265][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2265][0]~q\,
	combout => \led_flash_cnt[2265][0]~82905_combout\);

-- Location: FF_X16_Y4_N13
\led_flash_cnt[2265][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2265][0]~82905_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2265][0]~q\);

-- Location: LCCOMB_X16_Y4_N14
\led_flash_cnt[2265][1]~58590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2265][1]~58590_combout\ = (\led_flash_cnt[2265][0]~q\ & (\led_flash_cnt[2265][1]~q\ $ (VCC))) # (!\led_flash_cnt[2265][0]~q\ & (\led_flash_cnt[2265][1]~q\ & VCC))
-- \led_flash_cnt[2265][1]~58591\ = CARRY((\led_flash_cnt[2265][0]~q\ & \led_flash_cnt[2265][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2265][0]~q\,
	datab => \led_flash_cnt[2265][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2265][1]~58590_combout\,
	cout => \led_flash_cnt[2265][1]~58591\);

-- Location: FF_X16_Y4_N15
\led_flash_cnt[2265][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2265][1]~58590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2265][1]~q\);

-- Location: LCCOMB_X16_Y4_N16
\led_flash_cnt[2265][2]~58592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2265][2]~58592_combout\ = (\led_flash_cnt[2265][2]~q\ & (!\led_flash_cnt[2265][1]~58591\)) # (!\led_flash_cnt[2265][2]~q\ & ((\led_flash_cnt[2265][1]~58591\) # (GND)))
-- \led_flash_cnt[2265][2]~58593\ = CARRY((!\led_flash_cnt[2265][1]~58591\) # (!\led_flash_cnt[2265][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2265][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2265][1]~58591\,
	combout => \led_flash_cnt[2265][2]~58592_combout\,
	cout => \led_flash_cnt[2265][2]~58593\);

-- Location: FF_X16_Y4_N17
\led_flash_cnt[2265][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2265][2]~58592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2265][2]~q\);

-- Location: LCCOMB_X16_Y4_N18
\led_flash_cnt[2265][3]~58594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2265][3]~58594_combout\ = (\led_flash_cnt[2265][3]~q\ & (\led_flash_cnt[2265][2]~58593\ $ (GND))) # (!\led_flash_cnt[2265][3]~q\ & (!\led_flash_cnt[2265][2]~58593\ & VCC))
-- \led_flash_cnt[2265][3]~58595\ = CARRY((\led_flash_cnt[2265][3]~q\ & !\led_flash_cnt[2265][2]~58593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2265][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2265][2]~58593\,
	combout => \led_flash_cnt[2265][3]~58594_combout\,
	cout => \led_flash_cnt[2265][3]~58595\);

-- Location: FF_X16_Y4_N19
\led_flash_cnt[2265][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2265][3]~58594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2265][3]~q\);

-- Location: LCCOMB_X16_Y4_N20
\led_flash_cnt[2265][4]~58596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2265][4]~58596_combout\ = (\led_flash_cnt[2265][4]~q\ & (!\led_flash_cnt[2265][3]~58595\)) # (!\led_flash_cnt[2265][4]~q\ & ((\led_flash_cnt[2265][3]~58595\) # (GND)))
-- \led_flash_cnt[2265][4]~58597\ = CARRY((!\led_flash_cnt[2265][3]~58595\) # (!\led_flash_cnt[2265][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2265][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2265][3]~58595\,
	combout => \led_flash_cnt[2265][4]~58596_combout\,
	cout => \led_flash_cnt[2265][4]~58597\);

-- Location: FF_X16_Y4_N21
\led_flash_cnt[2265][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2265][4]~58596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2265][4]~q\);

-- Location: LCCOMB_X16_Y4_N4
\WideAnd2265~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2265~0_combout\ = (\led_flash_cnt[2265][3]~q\ & (\led_flash_cnt[2265][4]~q\ & (\led_flash_cnt[2265][1]~q\ & \led_flash_cnt[2265][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2265][3]~q\,
	datab => \led_flash_cnt[2265][4]~q\,
	datac => \led_flash_cnt[2265][1]~q\,
	datad => \led_flash_cnt[2265][2]~q\,
	combout => \WideAnd2265~0_combout\);

-- Location: LCCOMB_X16_Y4_N22
\led_flash_cnt[2265][5]~58598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2265][5]~58598_combout\ = (\led_flash_cnt[2265][5]~q\ & (\led_flash_cnt[2265][4]~58597\ $ (GND))) # (!\led_flash_cnt[2265][5]~q\ & (!\led_flash_cnt[2265][4]~58597\ & VCC))
-- \led_flash_cnt[2265][5]~58599\ = CARRY((\led_flash_cnt[2265][5]~q\ & !\led_flash_cnt[2265][4]~58597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2265][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2265][4]~58597\,
	combout => \led_flash_cnt[2265][5]~58598_combout\,
	cout => \led_flash_cnt[2265][5]~58599\);

-- Location: FF_X16_Y4_N23
\led_flash_cnt[2265][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2265][5]~58598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2265][5]~q\);

-- Location: LCCOMB_X16_Y4_N24
\led_flash_cnt[2265][6]~58600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2265][6]~58600_combout\ = (\led_flash_cnt[2265][6]~q\ & (!\led_flash_cnt[2265][5]~58599\)) # (!\led_flash_cnt[2265][6]~q\ & ((\led_flash_cnt[2265][5]~58599\) # (GND)))
-- \led_flash_cnt[2265][6]~58601\ = CARRY((!\led_flash_cnt[2265][5]~58599\) # (!\led_flash_cnt[2265][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2265][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2265][5]~58599\,
	combout => \led_flash_cnt[2265][6]~58600_combout\,
	cout => \led_flash_cnt[2265][6]~58601\);

-- Location: FF_X16_Y4_N25
\led_flash_cnt[2265][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2265][6]~58600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2265][6]~q\);

-- Location: LCCOMB_X16_Y4_N26
\led_flash_cnt[2265][7]~58602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2265][7]~58602_combout\ = \led_flash_cnt[2265][7]~q\ $ (!\led_flash_cnt[2265][6]~58601\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2265][7]~q\,
	cin => \led_flash_cnt[2265][6]~58601\,
	combout => \led_flash_cnt[2265][7]~58602_combout\);

-- Location: FF_X16_Y4_N27
\led_flash_cnt[2265][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2265][7]~58602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2265][7]~q\);

-- Location: LCCOMB_X16_Y4_N28
\WideAnd2265~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2265~1_combout\ = (\led_flash_cnt[2265][5]~q\ & \led_flash_cnt[2265][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2265][5]~q\,
	datad => \led_flash_cnt[2265][6]~q\,
	combout => \WideAnd2265~1_combout\);

-- Location: LCCOMB_X17_Y4_N14
WideAnd2265 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2265~combout\ = (\led_flash_cnt[2265][0]~q\ & (\WideAnd2265~0_combout\ & (\led_flash_cnt[2265][7]~q\ & \WideAnd2265~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2265][0]~q\,
	datab => \WideAnd2265~0_combout\,
	datac => \led_flash_cnt[2265][7]~q\,
	datad => \WideAnd2265~1_combout\,
	combout => \WideAnd2265~combout\);

-- Location: FF_X17_Y4_N15
\led_flash_cnt_ands[2265]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2265~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2265));

-- Location: LCCOMB_X26_Y3_N10
\led_flash_cnt[2267][0]~82907\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2267][0]~82907_combout\ = !\led_flash_cnt[2267][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2267][0]~q\,
	combout => \led_flash_cnt[2267][0]~82907_combout\);

-- Location: FF_X26_Y3_N11
\led_flash_cnt[2267][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2267][0]~82907_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2267][0]~q\);

-- Location: LCCOMB_X22_Y3_N16
\led_flash_cnt[2267][1]~58618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2267][1]~58618_combout\ = (\led_flash_cnt[2267][0]~q\ & (\led_flash_cnt[2267][1]~q\ $ (VCC))) # (!\led_flash_cnt[2267][0]~q\ & (\led_flash_cnt[2267][1]~q\ & VCC))
-- \led_flash_cnt[2267][1]~58619\ = CARRY((\led_flash_cnt[2267][0]~q\ & \led_flash_cnt[2267][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2267][0]~q\,
	datab => \led_flash_cnt[2267][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2267][1]~58618_combout\,
	cout => \led_flash_cnt[2267][1]~58619\);

-- Location: FF_X22_Y3_N17
\led_flash_cnt[2267][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2267][1]~58618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2267][1]~q\);

-- Location: LCCOMB_X22_Y3_N18
\led_flash_cnt[2267][2]~58620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2267][2]~58620_combout\ = (\led_flash_cnt[2267][2]~q\ & (!\led_flash_cnt[2267][1]~58619\)) # (!\led_flash_cnt[2267][2]~q\ & ((\led_flash_cnt[2267][1]~58619\) # (GND)))
-- \led_flash_cnt[2267][2]~58621\ = CARRY((!\led_flash_cnt[2267][1]~58619\) # (!\led_flash_cnt[2267][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2267][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2267][1]~58619\,
	combout => \led_flash_cnt[2267][2]~58620_combout\,
	cout => \led_flash_cnt[2267][2]~58621\);

-- Location: FF_X22_Y3_N19
\led_flash_cnt[2267][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2267][2]~58620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2267][2]~q\);

-- Location: LCCOMB_X22_Y3_N20
\led_flash_cnt[2267][3]~58622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2267][3]~58622_combout\ = (\led_flash_cnt[2267][3]~q\ & (\led_flash_cnt[2267][2]~58621\ $ (GND))) # (!\led_flash_cnt[2267][3]~q\ & (!\led_flash_cnt[2267][2]~58621\ & VCC))
-- \led_flash_cnt[2267][3]~58623\ = CARRY((\led_flash_cnt[2267][3]~q\ & !\led_flash_cnt[2267][2]~58621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2267][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2267][2]~58621\,
	combout => \led_flash_cnt[2267][3]~58622_combout\,
	cout => \led_flash_cnt[2267][3]~58623\);

-- Location: FF_X22_Y3_N21
\led_flash_cnt[2267][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2267][3]~58622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2267][3]~q\);

-- Location: LCCOMB_X22_Y3_N22
\led_flash_cnt[2267][4]~58624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2267][4]~58624_combout\ = (\led_flash_cnt[2267][4]~q\ & (!\led_flash_cnt[2267][3]~58623\)) # (!\led_flash_cnt[2267][4]~q\ & ((\led_flash_cnt[2267][3]~58623\) # (GND)))
-- \led_flash_cnt[2267][4]~58625\ = CARRY((!\led_flash_cnt[2267][3]~58623\) # (!\led_flash_cnt[2267][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2267][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2267][3]~58623\,
	combout => \led_flash_cnt[2267][4]~58624_combout\,
	cout => \led_flash_cnt[2267][4]~58625\);

-- Location: FF_X22_Y3_N23
\led_flash_cnt[2267][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2267][4]~58624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2267][4]~q\);

-- Location: LCCOMB_X22_Y3_N24
\led_flash_cnt[2267][5]~58626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2267][5]~58626_combout\ = (\led_flash_cnt[2267][5]~q\ & (\led_flash_cnt[2267][4]~58625\ $ (GND))) # (!\led_flash_cnt[2267][5]~q\ & (!\led_flash_cnt[2267][4]~58625\ & VCC))
-- \led_flash_cnt[2267][5]~58627\ = CARRY((\led_flash_cnt[2267][5]~q\ & !\led_flash_cnt[2267][4]~58625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2267][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2267][4]~58625\,
	combout => \led_flash_cnt[2267][5]~58626_combout\,
	cout => \led_flash_cnt[2267][5]~58627\);

-- Location: FF_X22_Y3_N25
\led_flash_cnt[2267][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2267][5]~58626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2267][5]~q\);

-- Location: LCCOMB_X22_Y3_N26
\led_flash_cnt[2267][6]~58628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2267][6]~58628_combout\ = (\led_flash_cnt[2267][6]~q\ & (!\led_flash_cnt[2267][5]~58627\)) # (!\led_flash_cnt[2267][6]~q\ & ((\led_flash_cnt[2267][5]~58627\) # (GND)))
-- \led_flash_cnt[2267][6]~58629\ = CARRY((!\led_flash_cnt[2267][5]~58627\) # (!\led_flash_cnt[2267][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2267][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2267][5]~58627\,
	combout => \led_flash_cnt[2267][6]~58628_combout\,
	cout => \led_flash_cnt[2267][6]~58629\);

-- Location: FF_X22_Y3_N27
\led_flash_cnt[2267][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2267][6]~58628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2267][6]~q\);

-- Location: LCCOMB_X22_Y3_N28
\led_flash_cnt[2267][7]~58630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2267][7]~58630_combout\ = \led_flash_cnt[2267][6]~58629\ $ (!\led_flash_cnt[2267][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2267][7]~q\,
	cin => \led_flash_cnt[2267][6]~58629\,
	combout => \led_flash_cnt[2267][7]~58630_combout\);

-- Location: FF_X22_Y3_N29
\led_flash_cnt[2267][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2267][7]~58630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2267][7]~q\);

-- Location: LCCOMB_X22_Y3_N14
\WideAnd2267~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2267~0_combout\ = (\led_flash_cnt[2267][2]~q\ & (\led_flash_cnt[2267][3]~q\ & (\led_flash_cnt[2267][4]~q\ & \led_flash_cnt[2267][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2267][2]~q\,
	datab => \led_flash_cnt[2267][3]~q\,
	datac => \led_flash_cnt[2267][4]~q\,
	datad => \led_flash_cnt[2267][1]~q\,
	combout => \WideAnd2267~0_combout\);

-- Location: LCCOMB_X25_Y3_N16
\WideAnd2267~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2267~1_combout\ = (\led_flash_cnt[2267][6]~q\ & \led_flash_cnt[2267][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2267][6]~q\,
	datad => \led_flash_cnt[2267][5]~q\,
	combout => \WideAnd2267~1_combout\);

-- Location: LCCOMB_X25_Y3_N0
WideAnd2267 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2267~combout\ = (\led_flash_cnt[2267][0]~q\ & (\led_flash_cnt[2267][7]~q\ & (\WideAnd2267~0_combout\ & \WideAnd2267~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2267][0]~q\,
	datab => \led_flash_cnt[2267][7]~q\,
	datac => \WideAnd2267~0_combout\,
	datad => \WideAnd2267~1_combout\,
	combout => \WideAnd2267~combout\);

-- Location: FF_X25_Y3_N1
\led_flash_cnt_ands[2267]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2267~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2267));

-- Location: LCCOMB_X18_Y4_N6
\led_flash_cnt[2266][0]~82906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2266][0]~82906_combout\ = !\led_flash_cnt[2266][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2266][0]~q\,
	combout => \led_flash_cnt[2266][0]~82906_combout\);

-- Location: FF_X18_Y4_N7
\led_flash_cnt[2266][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2266][0]~82906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2266][0]~q\);

-- Location: LCCOMB_X18_Y4_N16
\led_flash_cnt[2266][1]~58604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2266][1]~58604_combout\ = (\led_flash_cnt[2266][0]~q\ & (\led_flash_cnt[2266][1]~q\ $ (VCC))) # (!\led_flash_cnt[2266][0]~q\ & (\led_flash_cnt[2266][1]~q\ & VCC))
-- \led_flash_cnt[2266][1]~58605\ = CARRY((\led_flash_cnt[2266][0]~q\ & \led_flash_cnt[2266][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2266][0]~q\,
	datab => \led_flash_cnt[2266][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2266][1]~58604_combout\,
	cout => \led_flash_cnt[2266][1]~58605\);

-- Location: FF_X18_Y4_N17
\led_flash_cnt[2266][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2266][1]~58604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2266][1]~q\);

-- Location: LCCOMB_X18_Y4_N18
\led_flash_cnt[2266][2]~58606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2266][2]~58606_combout\ = (\led_flash_cnt[2266][2]~q\ & (!\led_flash_cnt[2266][1]~58605\)) # (!\led_flash_cnt[2266][2]~q\ & ((\led_flash_cnt[2266][1]~58605\) # (GND)))
-- \led_flash_cnt[2266][2]~58607\ = CARRY((!\led_flash_cnt[2266][1]~58605\) # (!\led_flash_cnt[2266][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2266][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2266][1]~58605\,
	combout => \led_flash_cnt[2266][2]~58606_combout\,
	cout => \led_flash_cnt[2266][2]~58607\);

-- Location: FF_X18_Y4_N19
\led_flash_cnt[2266][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2266][2]~58606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2266][2]~q\);

-- Location: LCCOMB_X18_Y4_N20
\led_flash_cnt[2266][3]~58608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2266][3]~58608_combout\ = (\led_flash_cnt[2266][3]~q\ & (\led_flash_cnt[2266][2]~58607\ $ (GND))) # (!\led_flash_cnt[2266][3]~q\ & (!\led_flash_cnt[2266][2]~58607\ & VCC))
-- \led_flash_cnt[2266][3]~58609\ = CARRY((\led_flash_cnt[2266][3]~q\ & !\led_flash_cnt[2266][2]~58607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2266][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2266][2]~58607\,
	combout => \led_flash_cnt[2266][3]~58608_combout\,
	cout => \led_flash_cnt[2266][3]~58609\);

-- Location: FF_X18_Y4_N21
\led_flash_cnt[2266][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2266][3]~58608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2266][3]~q\);

-- Location: LCCOMB_X18_Y4_N22
\led_flash_cnt[2266][4]~58610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2266][4]~58610_combout\ = (\led_flash_cnt[2266][4]~q\ & (!\led_flash_cnt[2266][3]~58609\)) # (!\led_flash_cnt[2266][4]~q\ & ((\led_flash_cnt[2266][3]~58609\) # (GND)))
-- \led_flash_cnt[2266][4]~58611\ = CARRY((!\led_flash_cnt[2266][3]~58609\) # (!\led_flash_cnt[2266][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2266][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2266][3]~58609\,
	combout => \led_flash_cnt[2266][4]~58610_combout\,
	cout => \led_flash_cnt[2266][4]~58611\);

-- Location: FF_X18_Y4_N23
\led_flash_cnt[2266][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2266][4]~58610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2266][4]~q\);

-- Location: LCCOMB_X18_Y4_N24
\led_flash_cnt[2266][5]~58612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2266][5]~58612_combout\ = (\led_flash_cnt[2266][5]~q\ & (\led_flash_cnt[2266][4]~58611\ $ (GND))) # (!\led_flash_cnt[2266][5]~q\ & (!\led_flash_cnt[2266][4]~58611\ & VCC))
-- \led_flash_cnt[2266][5]~58613\ = CARRY((\led_flash_cnt[2266][5]~q\ & !\led_flash_cnt[2266][4]~58611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2266][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2266][4]~58611\,
	combout => \led_flash_cnt[2266][5]~58612_combout\,
	cout => \led_flash_cnt[2266][5]~58613\);

-- Location: FF_X18_Y4_N25
\led_flash_cnt[2266][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2266][5]~58612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2266][5]~q\);

-- Location: LCCOMB_X18_Y4_N26
\led_flash_cnt[2266][6]~58614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2266][6]~58614_combout\ = (\led_flash_cnt[2266][6]~q\ & (!\led_flash_cnt[2266][5]~58613\)) # (!\led_flash_cnt[2266][6]~q\ & ((\led_flash_cnt[2266][5]~58613\) # (GND)))
-- \led_flash_cnt[2266][6]~58615\ = CARRY((!\led_flash_cnt[2266][5]~58613\) # (!\led_flash_cnt[2266][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2266][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2266][5]~58613\,
	combout => \led_flash_cnt[2266][6]~58614_combout\,
	cout => \led_flash_cnt[2266][6]~58615\);

-- Location: FF_X18_Y4_N27
\led_flash_cnt[2266][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2266][6]~58614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2266][6]~q\);

-- Location: LCCOMB_X18_Y4_N28
\led_flash_cnt[2266][7]~58616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2266][7]~58616_combout\ = \led_flash_cnt[2266][6]~58615\ $ (!\led_flash_cnt[2266][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2266][7]~q\,
	cin => \led_flash_cnt[2266][6]~58615\,
	combout => \led_flash_cnt[2266][7]~58616_combout\);

-- Location: FF_X18_Y4_N29
\led_flash_cnt[2266][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2266][7]~58616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2266][7]~q\);

-- Location: LCCOMB_X18_Y4_N8
\WideAnd2266~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2266~0_combout\ = (\led_flash_cnt[2266][1]~q\ & (\led_flash_cnt[2266][3]~q\ & (\led_flash_cnt[2266][4]~q\ & \led_flash_cnt[2266][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2266][1]~q\,
	datab => \led_flash_cnt[2266][3]~q\,
	datac => \led_flash_cnt[2266][4]~q\,
	datad => \led_flash_cnt[2266][2]~q\,
	combout => \WideAnd2266~0_combout\);

-- Location: LCCOMB_X18_Y4_N2
\WideAnd2266~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2266~1_combout\ = (\led_flash_cnt[2266][6]~q\ & \led_flash_cnt[2266][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2266][6]~q\,
	datad => \led_flash_cnt[2266][5]~q\,
	combout => \WideAnd2266~1_combout\);

-- Location: LCCOMB_X18_Y4_N30
WideAnd2266 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2266~combout\ = (\led_flash_cnt[2266][0]~q\ & (\led_flash_cnt[2266][7]~q\ & (\WideAnd2266~0_combout\ & \WideAnd2266~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2266][0]~q\,
	datab => \led_flash_cnt[2266][7]~q\,
	datac => \WideAnd2266~0_combout\,
	datad => \WideAnd2266~1_combout\,
	combout => \WideAnd2266~combout\);

-- Location: FF_X18_Y4_N31
\led_flash_cnt_ands[2266]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2266~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2266));

-- Location: LCCOMB_X18_Y4_N4
\led_flash_cnt[2264][0]~82904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2264][0]~82904_combout\ = !\led_flash_cnt[2264][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2264][0]~q\,
	combout => \led_flash_cnt[2264][0]~82904_combout\);

-- Location: FF_X18_Y4_N5
\led_flash_cnt[2264][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2264][0]~82904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2264][0]~q\);

-- Location: LCCOMB_X18_Y8_N0
\led_flash_cnt[2264][1]~58576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2264][1]~58576_combout\ = (\led_flash_cnt[2264][0]~q\ & (\led_flash_cnt[2264][1]~q\ $ (VCC))) # (!\led_flash_cnt[2264][0]~q\ & (\led_flash_cnt[2264][1]~q\ & VCC))
-- \led_flash_cnt[2264][1]~58577\ = CARRY((\led_flash_cnt[2264][0]~q\ & \led_flash_cnt[2264][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2264][0]~q\,
	datab => \led_flash_cnt[2264][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2264][1]~58576_combout\,
	cout => \led_flash_cnt[2264][1]~58577\);

-- Location: FF_X18_Y8_N1
\led_flash_cnt[2264][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2264][1]~58576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2264][1]~q\);

-- Location: LCCOMB_X18_Y8_N2
\led_flash_cnt[2264][2]~58578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2264][2]~58578_combout\ = (\led_flash_cnt[2264][2]~q\ & (!\led_flash_cnt[2264][1]~58577\)) # (!\led_flash_cnt[2264][2]~q\ & ((\led_flash_cnt[2264][1]~58577\) # (GND)))
-- \led_flash_cnt[2264][2]~58579\ = CARRY((!\led_flash_cnt[2264][1]~58577\) # (!\led_flash_cnt[2264][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2264][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2264][1]~58577\,
	combout => \led_flash_cnt[2264][2]~58578_combout\,
	cout => \led_flash_cnt[2264][2]~58579\);

-- Location: FF_X18_Y8_N3
\led_flash_cnt[2264][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2264][2]~58578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2264][2]~q\);

-- Location: LCCOMB_X18_Y8_N4
\led_flash_cnt[2264][3]~58580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2264][3]~58580_combout\ = (\led_flash_cnt[2264][3]~q\ & (\led_flash_cnt[2264][2]~58579\ $ (GND))) # (!\led_flash_cnt[2264][3]~q\ & (!\led_flash_cnt[2264][2]~58579\ & VCC))
-- \led_flash_cnt[2264][3]~58581\ = CARRY((\led_flash_cnt[2264][3]~q\ & !\led_flash_cnt[2264][2]~58579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2264][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2264][2]~58579\,
	combout => \led_flash_cnt[2264][3]~58580_combout\,
	cout => \led_flash_cnt[2264][3]~58581\);

-- Location: FF_X18_Y8_N5
\led_flash_cnt[2264][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2264][3]~58580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2264][3]~q\);

-- Location: LCCOMB_X18_Y8_N6
\led_flash_cnt[2264][4]~58582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2264][4]~58582_combout\ = (\led_flash_cnt[2264][4]~q\ & (!\led_flash_cnt[2264][3]~58581\)) # (!\led_flash_cnt[2264][4]~q\ & ((\led_flash_cnt[2264][3]~58581\) # (GND)))
-- \led_flash_cnt[2264][4]~58583\ = CARRY((!\led_flash_cnt[2264][3]~58581\) # (!\led_flash_cnt[2264][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2264][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2264][3]~58581\,
	combout => \led_flash_cnt[2264][4]~58582_combout\,
	cout => \led_flash_cnt[2264][4]~58583\);

-- Location: FF_X18_Y8_N7
\led_flash_cnt[2264][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2264][4]~58582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2264][4]~q\);

-- Location: LCCOMB_X18_Y8_N14
\WideAnd2264~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2264~0_combout\ = (\led_flash_cnt[2264][4]~q\ & (\led_flash_cnt[2264][1]~q\ & (\led_flash_cnt[2264][3]~q\ & \led_flash_cnt[2264][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2264][4]~q\,
	datab => \led_flash_cnt[2264][1]~q\,
	datac => \led_flash_cnt[2264][3]~q\,
	datad => \led_flash_cnt[2264][2]~q\,
	combout => \WideAnd2264~0_combout\);

-- Location: LCCOMB_X18_Y8_N8
\led_flash_cnt[2264][5]~58584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2264][5]~58584_combout\ = (\led_flash_cnt[2264][5]~q\ & (\led_flash_cnt[2264][4]~58583\ $ (GND))) # (!\led_flash_cnt[2264][5]~q\ & (!\led_flash_cnt[2264][4]~58583\ & VCC))
-- \led_flash_cnt[2264][5]~58585\ = CARRY((\led_flash_cnt[2264][5]~q\ & !\led_flash_cnt[2264][4]~58583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2264][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2264][4]~58583\,
	combout => \led_flash_cnt[2264][5]~58584_combout\,
	cout => \led_flash_cnt[2264][5]~58585\);

-- Location: FF_X18_Y8_N9
\led_flash_cnt[2264][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2264][5]~58584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2264][5]~q\);

-- Location: LCCOMB_X18_Y8_N10
\led_flash_cnt[2264][6]~58586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2264][6]~58586_combout\ = (\led_flash_cnt[2264][6]~q\ & (!\led_flash_cnt[2264][5]~58585\)) # (!\led_flash_cnt[2264][6]~q\ & ((\led_flash_cnt[2264][5]~58585\) # (GND)))
-- \led_flash_cnt[2264][6]~58587\ = CARRY((!\led_flash_cnt[2264][5]~58585\) # (!\led_flash_cnt[2264][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2264][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2264][5]~58585\,
	combout => \led_flash_cnt[2264][6]~58586_combout\,
	cout => \led_flash_cnt[2264][6]~58587\);

-- Location: FF_X18_Y8_N11
\led_flash_cnt[2264][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2264][6]~58586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2264][6]~q\);

-- Location: LCCOMB_X18_Y8_N12
\led_flash_cnt[2264][7]~58588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2264][7]~58588_combout\ = \led_flash_cnt[2264][6]~58587\ $ (!\led_flash_cnt[2264][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2264][7]~q\,
	cin => \led_flash_cnt[2264][6]~58587\,
	combout => \led_flash_cnt[2264][7]~58588_combout\);

-- Location: FF_X18_Y8_N13
\led_flash_cnt[2264][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2264][7]~58588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2264][7]~q\);

-- Location: LCCOMB_X18_Y4_N0
\WideAnd2264~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2264~1_combout\ = (\led_flash_cnt[2264][6]~q\ & \led_flash_cnt[2264][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2264][6]~q\,
	datad => \led_flash_cnt[2264][5]~q\,
	combout => \WideAnd2264~1_combout\);

-- Location: LCCOMB_X18_Y4_N10
WideAnd2264 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2264~combout\ = (\WideAnd2264~0_combout\ & (\led_flash_cnt[2264][0]~q\ & (\led_flash_cnt[2264][7]~q\ & \WideAnd2264~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2264~0_combout\,
	datab => \led_flash_cnt[2264][0]~q\,
	datac => \led_flash_cnt[2264][7]~q\,
	datad => \WideAnd2264~1_combout\,
	combout => \WideAnd2264~combout\);

-- Location: FF_X18_Y4_N11
\led_flash_cnt_ands[2264]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2264~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2264));

-- Location: LCCOMB_X18_Y4_N14
\WideAnd4123~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4123~0_combout\ = (led_flash_cnt_ands(2265) & (led_flash_cnt_ands(2267) & (led_flash_cnt_ands(2266) & led_flash_cnt_ands(2264))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2265),
	datab => led_flash_cnt_ands(2267),
	datac => led_flash_cnt_ands(2266),
	datad => led_flash_cnt_ands(2264),
	combout => \WideAnd4123~0_combout\);

-- Location: LCCOMB_X19_Y4_N22
WideAnd4123 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4123~combout\ = (led_flash_cnt_ands(2270) & (\WideAnd4123~1_combout\ & (led_flash_cnt_ands(2271) & \WideAnd4123~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2270),
	datab => \WideAnd4123~1_combout\,
	datac => led_flash_cnt_ands(2271),
	datad => \WideAnd4123~0_combout\,
	combout => \WideAnd4123~combout\);

-- Location: FF_X19_Y4_N23
\led_flash_cnt_ands_1[283]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4123~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(283));

-- Location: LCCOMB_X12_Y8_N10
\led_flash_cnt[2248][0]~82888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2248][0]~82888_combout\ = !\led_flash_cnt[2248][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2248][0]~q\,
	combout => \led_flash_cnt[2248][0]~82888_combout\);

-- Location: FF_X12_Y8_N11
\led_flash_cnt[2248][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2248][0]~82888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2248][0]~q\);

-- Location: LCCOMB_X12_Y8_N16
\led_flash_cnt[2248][1]~58352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2248][1]~58352_combout\ = (\led_flash_cnt[2248][0]~q\ & (\led_flash_cnt[2248][1]~q\ $ (VCC))) # (!\led_flash_cnt[2248][0]~q\ & (\led_flash_cnt[2248][1]~q\ & VCC))
-- \led_flash_cnt[2248][1]~58353\ = CARRY((\led_flash_cnt[2248][0]~q\ & \led_flash_cnt[2248][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2248][0]~q\,
	datab => \led_flash_cnt[2248][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2248][1]~58352_combout\,
	cout => \led_flash_cnt[2248][1]~58353\);

-- Location: FF_X12_Y8_N17
\led_flash_cnt[2248][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2248][1]~58352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2248][1]~q\);

-- Location: LCCOMB_X12_Y8_N18
\led_flash_cnt[2248][2]~58354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2248][2]~58354_combout\ = (\led_flash_cnt[2248][2]~q\ & (!\led_flash_cnt[2248][1]~58353\)) # (!\led_flash_cnt[2248][2]~q\ & ((\led_flash_cnt[2248][1]~58353\) # (GND)))
-- \led_flash_cnt[2248][2]~58355\ = CARRY((!\led_flash_cnt[2248][1]~58353\) # (!\led_flash_cnt[2248][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2248][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2248][1]~58353\,
	combout => \led_flash_cnt[2248][2]~58354_combout\,
	cout => \led_flash_cnt[2248][2]~58355\);

-- Location: FF_X12_Y8_N19
\led_flash_cnt[2248][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2248][2]~58354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2248][2]~q\);

-- Location: LCCOMB_X12_Y8_N20
\led_flash_cnt[2248][3]~58356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2248][3]~58356_combout\ = (\led_flash_cnt[2248][3]~q\ & (\led_flash_cnt[2248][2]~58355\ $ (GND))) # (!\led_flash_cnt[2248][3]~q\ & (!\led_flash_cnt[2248][2]~58355\ & VCC))
-- \led_flash_cnt[2248][3]~58357\ = CARRY((\led_flash_cnt[2248][3]~q\ & !\led_flash_cnt[2248][2]~58355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2248][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2248][2]~58355\,
	combout => \led_flash_cnt[2248][3]~58356_combout\,
	cout => \led_flash_cnt[2248][3]~58357\);

-- Location: FF_X12_Y8_N21
\led_flash_cnt[2248][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2248][3]~58356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2248][3]~q\);

-- Location: LCCOMB_X12_Y8_N22
\led_flash_cnt[2248][4]~58358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2248][4]~58358_combout\ = (\led_flash_cnt[2248][4]~q\ & (!\led_flash_cnt[2248][3]~58357\)) # (!\led_flash_cnt[2248][4]~q\ & ((\led_flash_cnt[2248][3]~58357\) # (GND)))
-- \led_flash_cnt[2248][4]~58359\ = CARRY((!\led_flash_cnt[2248][3]~58357\) # (!\led_flash_cnt[2248][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2248][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2248][3]~58357\,
	combout => \led_flash_cnt[2248][4]~58358_combout\,
	cout => \led_flash_cnt[2248][4]~58359\);

-- Location: FF_X12_Y8_N23
\led_flash_cnt[2248][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2248][4]~58358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2248][4]~q\);

-- Location: LCCOMB_X12_Y8_N6
\WideAnd2248~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2248~0_combout\ = (\led_flash_cnt[2248][1]~q\ & (\led_flash_cnt[2248][2]~q\ & (\led_flash_cnt[2248][4]~q\ & \led_flash_cnt[2248][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2248][1]~q\,
	datab => \led_flash_cnt[2248][2]~q\,
	datac => \led_flash_cnt[2248][4]~q\,
	datad => \led_flash_cnt[2248][3]~q\,
	combout => \WideAnd2248~0_combout\);

-- Location: LCCOMB_X12_Y8_N24
\led_flash_cnt[2248][5]~58360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2248][5]~58360_combout\ = (\led_flash_cnt[2248][5]~q\ & (\led_flash_cnt[2248][4]~58359\ $ (GND))) # (!\led_flash_cnt[2248][5]~q\ & (!\led_flash_cnt[2248][4]~58359\ & VCC))
-- \led_flash_cnt[2248][5]~58361\ = CARRY((\led_flash_cnt[2248][5]~q\ & !\led_flash_cnt[2248][4]~58359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2248][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2248][4]~58359\,
	combout => \led_flash_cnt[2248][5]~58360_combout\,
	cout => \led_flash_cnt[2248][5]~58361\);

-- Location: FF_X12_Y8_N25
\led_flash_cnt[2248][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2248][5]~58360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2248][5]~q\);

-- Location: LCCOMB_X12_Y8_N26
\led_flash_cnt[2248][6]~58362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2248][6]~58362_combout\ = (\led_flash_cnt[2248][6]~q\ & (!\led_flash_cnt[2248][5]~58361\)) # (!\led_flash_cnt[2248][6]~q\ & ((\led_flash_cnt[2248][5]~58361\) # (GND)))
-- \led_flash_cnt[2248][6]~58363\ = CARRY((!\led_flash_cnt[2248][5]~58361\) # (!\led_flash_cnt[2248][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2248][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2248][5]~58361\,
	combout => \led_flash_cnt[2248][6]~58362_combout\,
	cout => \led_flash_cnt[2248][6]~58363\);

-- Location: FF_X12_Y8_N27
\led_flash_cnt[2248][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2248][6]~58362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2248][6]~q\);

-- Location: LCCOMB_X12_Y8_N28
\led_flash_cnt[2248][7]~58364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2248][7]~58364_combout\ = \led_flash_cnt[2248][6]~58363\ $ (!\led_flash_cnt[2248][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2248][7]~q\,
	cin => \led_flash_cnt[2248][6]~58363\,
	combout => \led_flash_cnt[2248][7]~58364_combout\);

-- Location: FF_X12_Y8_N29
\led_flash_cnt[2248][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2248][7]~58364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2248][7]~q\);

-- Location: LCCOMB_X12_Y8_N14
\WideAnd2248~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2248~1_combout\ = (\led_flash_cnt[2248][6]~q\ & \led_flash_cnt[2248][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2248][6]~q\,
	datad => \led_flash_cnt[2248][5]~q\,
	combout => \WideAnd2248~1_combout\);

-- Location: LCCOMB_X12_Y8_N4
WideAnd2248 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2248~combout\ = (\WideAnd2248~0_combout\ & (\led_flash_cnt[2248][7]~q\ & (\WideAnd2248~1_combout\ & \led_flash_cnt[2248][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2248~0_combout\,
	datab => \led_flash_cnt[2248][7]~q\,
	datac => \WideAnd2248~1_combout\,
	datad => \led_flash_cnt[2248][0]~q\,
	combout => \WideAnd2248~combout\);

-- Location: FF_X12_Y8_N5
\led_flash_cnt_ands[2248]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2248~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2248));

-- Location: LCCOMB_X17_Y18_N16
\led_flash_cnt[2250][0]~82890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2250][0]~82890_combout\ = !\led_flash_cnt[2250][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2250][0]~q\,
	combout => \led_flash_cnt[2250][0]~82890_combout\);

-- Location: FF_X17_Y18_N17
\led_flash_cnt[2250][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2250][0]~82890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2250][0]~q\);

-- Location: LCCOMB_X17_Y18_N2
\led_flash_cnt[2250][1]~58380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2250][1]~58380_combout\ = (\led_flash_cnt[2250][0]~q\ & (\led_flash_cnt[2250][1]~q\ $ (VCC))) # (!\led_flash_cnt[2250][0]~q\ & (\led_flash_cnt[2250][1]~q\ & VCC))
-- \led_flash_cnt[2250][1]~58381\ = CARRY((\led_flash_cnt[2250][0]~q\ & \led_flash_cnt[2250][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2250][0]~q\,
	datab => \led_flash_cnt[2250][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2250][1]~58380_combout\,
	cout => \led_flash_cnt[2250][1]~58381\);

-- Location: FF_X17_Y18_N3
\led_flash_cnt[2250][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2250][1]~58380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2250][1]~q\);

-- Location: LCCOMB_X17_Y18_N4
\led_flash_cnt[2250][2]~58382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2250][2]~58382_combout\ = (\led_flash_cnt[2250][2]~q\ & (!\led_flash_cnt[2250][1]~58381\)) # (!\led_flash_cnt[2250][2]~q\ & ((\led_flash_cnt[2250][1]~58381\) # (GND)))
-- \led_flash_cnt[2250][2]~58383\ = CARRY((!\led_flash_cnt[2250][1]~58381\) # (!\led_flash_cnt[2250][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2250][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2250][1]~58381\,
	combout => \led_flash_cnt[2250][2]~58382_combout\,
	cout => \led_flash_cnt[2250][2]~58383\);

-- Location: FF_X17_Y18_N5
\led_flash_cnt[2250][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2250][2]~58382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2250][2]~q\);

-- Location: LCCOMB_X17_Y18_N6
\led_flash_cnt[2250][3]~58384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2250][3]~58384_combout\ = (\led_flash_cnt[2250][3]~q\ & (\led_flash_cnt[2250][2]~58383\ $ (GND))) # (!\led_flash_cnt[2250][3]~q\ & (!\led_flash_cnt[2250][2]~58383\ & VCC))
-- \led_flash_cnt[2250][3]~58385\ = CARRY((\led_flash_cnt[2250][3]~q\ & !\led_flash_cnt[2250][2]~58383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2250][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2250][2]~58383\,
	combout => \led_flash_cnt[2250][3]~58384_combout\,
	cout => \led_flash_cnt[2250][3]~58385\);

-- Location: FF_X17_Y18_N7
\led_flash_cnt[2250][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2250][3]~58384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2250][3]~q\);

-- Location: LCCOMB_X17_Y18_N8
\led_flash_cnt[2250][4]~58386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2250][4]~58386_combout\ = (\led_flash_cnt[2250][4]~q\ & (!\led_flash_cnt[2250][3]~58385\)) # (!\led_flash_cnt[2250][4]~q\ & ((\led_flash_cnt[2250][3]~58385\) # (GND)))
-- \led_flash_cnt[2250][4]~58387\ = CARRY((!\led_flash_cnt[2250][3]~58385\) # (!\led_flash_cnt[2250][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2250][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2250][3]~58385\,
	combout => \led_flash_cnt[2250][4]~58386_combout\,
	cout => \led_flash_cnt[2250][4]~58387\);

-- Location: FF_X17_Y18_N9
\led_flash_cnt[2250][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2250][4]~58386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2250][4]~q\);

-- Location: LCCOMB_X17_Y18_N26
\WideAnd2250~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2250~0_combout\ = (\led_flash_cnt[2250][3]~q\ & (\led_flash_cnt[2250][4]~q\ & (\led_flash_cnt[2250][2]~q\ & \led_flash_cnt[2250][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2250][3]~q\,
	datab => \led_flash_cnt[2250][4]~q\,
	datac => \led_flash_cnt[2250][2]~q\,
	datad => \led_flash_cnt[2250][1]~q\,
	combout => \WideAnd2250~0_combout\);

-- Location: LCCOMB_X17_Y18_N10
\led_flash_cnt[2250][5]~58388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2250][5]~58388_combout\ = (\led_flash_cnt[2250][5]~q\ & (\led_flash_cnt[2250][4]~58387\ $ (GND))) # (!\led_flash_cnt[2250][5]~q\ & (!\led_flash_cnt[2250][4]~58387\ & VCC))
-- \led_flash_cnt[2250][5]~58389\ = CARRY((\led_flash_cnt[2250][5]~q\ & !\led_flash_cnt[2250][4]~58387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2250][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2250][4]~58387\,
	combout => \led_flash_cnt[2250][5]~58388_combout\,
	cout => \led_flash_cnt[2250][5]~58389\);

-- Location: FF_X17_Y18_N11
\led_flash_cnt[2250][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2250][5]~58388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2250][5]~q\);

-- Location: LCCOMB_X17_Y18_N12
\led_flash_cnt[2250][6]~58390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2250][6]~58390_combout\ = (\led_flash_cnt[2250][6]~q\ & (!\led_flash_cnt[2250][5]~58389\)) # (!\led_flash_cnt[2250][6]~q\ & ((\led_flash_cnt[2250][5]~58389\) # (GND)))
-- \led_flash_cnt[2250][6]~58391\ = CARRY((!\led_flash_cnt[2250][5]~58389\) # (!\led_flash_cnt[2250][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2250][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2250][5]~58389\,
	combout => \led_flash_cnt[2250][6]~58390_combout\,
	cout => \led_flash_cnt[2250][6]~58391\);

-- Location: FF_X17_Y18_N13
\led_flash_cnt[2250][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2250][6]~58390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2250][6]~q\);

-- Location: LCCOMB_X17_Y18_N24
\WideAnd2250~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2250~1_combout\ = (\led_flash_cnt[2250][6]~q\ & \led_flash_cnt[2250][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2250][6]~q\,
	datad => \led_flash_cnt[2250][5]~q\,
	combout => \WideAnd2250~1_combout\);

-- Location: LCCOMB_X17_Y18_N14
\led_flash_cnt[2250][7]~58392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2250][7]~58392_combout\ = \led_flash_cnt[2250][7]~q\ $ (!\led_flash_cnt[2250][6]~58391\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2250][7]~q\,
	cin => \led_flash_cnt[2250][6]~58391\,
	combout => \led_flash_cnt[2250][7]~58392_combout\);

-- Location: FF_X17_Y18_N15
\led_flash_cnt[2250][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2250][7]~58392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2250][7]~q\);

-- Location: LCCOMB_X17_Y18_N18
WideAnd2250 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2250~combout\ = (\WideAnd2250~0_combout\ & (\WideAnd2250~1_combout\ & (\led_flash_cnt[2250][7]~q\ & \led_flash_cnt[2250][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2250~0_combout\,
	datab => \WideAnd2250~1_combout\,
	datac => \led_flash_cnt[2250][7]~q\,
	datad => \led_flash_cnt[2250][0]~q\,
	combout => \WideAnd2250~combout\);

-- Location: FF_X17_Y18_N19
\led_flash_cnt_ands[2250]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2250~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2250));

-- Location: LCCOMB_X34_Y7_N12
\led_flash_cnt[2249][0]~82889\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2249][0]~82889_combout\ = !\led_flash_cnt[2249][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2249][0]~q\,
	combout => \led_flash_cnt[2249][0]~82889_combout\);

-- Location: FF_X34_Y7_N13
\led_flash_cnt[2249][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2249][0]~82889_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2249][0]~q\);

-- Location: LCCOMB_X34_Y7_N16
\led_flash_cnt[2249][1]~58366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2249][1]~58366_combout\ = (\led_flash_cnt[2249][0]~q\ & (\led_flash_cnt[2249][1]~q\ $ (VCC))) # (!\led_flash_cnt[2249][0]~q\ & (\led_flash_cnt[2249][1]~q\ & VCC))
-- \led_flash_cnt[2249][1]~58367\ = CARRY((\led_flash_cnt[2249][0]~q\ & \led_flash_cnt[2249][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2249][0]~q\,
	datab => \led_flash_cnt[2249][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2249][1]~58366_combout\,
	cout => \led_flash_cnt[2249][1]~58367\);

-- Location: FF_X34_Y7_N17
\led_flash_cnt[2249][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2249][1]~58366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2249][1]~q\);

-- Location: LCCOMB_X34_Y7_N18
\led_flash_cnt[2249][2]~58368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2249][2]~58368_combout\ = (\led_flash_cnt[2249][2]~q\ & (!\led_flash_cnt[2249][1]~58367\)) # (!\led_flash_cnt[2249][2]~q\ & ((\led_flash_cnt[2249][1]~58367\) # (GND)))
-- \led_flash_cnt[2249][2]~58369\ = CARRY((!\led_flash_cnt[2249][1]~58367\) # (!\led_flash_cnt[2249][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2249][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2249][1]~58367\,
	combout => \led_flash_cnt[2249][2]~58368_combout\,
	cout => \led_flash_cnt[2249][2]~58369\);

-- Location: FF_X34_Y7_N19
\led_flash_cnt[2249][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2249][2]~58368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2249][2]~q\);

-- Location: LCCOMB_X34_Y7_N20
\led_flash_cnt[2249][3]~58370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2249][3]~58370_combout\ = (\led_flash_cnt[2249][3]~q\ & (\led_flash_cnt[2249][2]~58369\ $ (GND))) # (!\led_flash_cnt[2249][3]~q\ & (!\led_flash_cnt[2249][2]~58369\ & VCC))
-- \led_flash_cnt[2249][3]~58371\ = CARRY((\led_flash_cnt[2249][3]~q\ & !\led_flash_cnt[2249][2]~58369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2249][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2249][2]~58369\,
	combout => \led_flash_cnt[2249][3]~58370_combout\,
	cout => \led_flash_cnt[2249][3]~58371\);

-- Location: FF_X34_Y7_N21
\led_flash_cnt[2249][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2249][3]~58370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2249][3]~q\);

-- Location: LCCOMB_X34_Y7_N22
\led_flash_cnt[2249][4]~58372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2249][4]~58372_combout\ = (\led_flash_cnt[2249][4]~q\ & (!\led_flash_cnt[2249][3]~58371\)) # (!\led_flash_cnt[2249][4]~q\ & ((\led_flash_cnt[2249][3]~58371\) # (GND)))
-- \led_flash_cnt[2249][4]~58373\ = CARRY((!\led_flash_cnt[2249][3]~58371\) # (!\led_flash_cnt[2249][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2249][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2249][3]~58371\,
	combout => \led_flash_cnt[2249][4]~58372_combout\,
	cout => \led_flash_cnt[2249][4]~58373\);

-- Location: FF_X34_Y7_N23
\led_flash_cnt[2249][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2249][4]~58372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2249][4]~q\);

-- Location: LCCOMB_X34_Y7_N24
\led_flash_cnt[2249][5]~58374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2249][5]~58374_combout\ = (\led_flash_cnt[2249][5]~q\ & (\led_flash_cnt[2249][4]~58373\ $ (GND))) # (!\led_flash_cnt[2249][5]~q\ & (!\led_flash_cnt[2249][4]~58373\ & VCC))
-- \led_flash_cnt[2249][5]~58375\ = CARRY((\led_flash_cnt[2249][5]~q\ & !\led_flash_cnt[2249][4]~58373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2249][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2249][4]~58373\,
	combout => \led_flash_cnt[2249][5]~58374_combout\,
	cout => \led_flash_cnt[2249][5]~58375\);

-- Location: FF_X34_Y7_N25
\led_flash_cnt[2249][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2249][5]~58374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2249][5]~q\);

-- Location: LCCOMB_X34_Y7_N26
\led_flash_cnt[2249][6]~58376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2249][6]~58376_combout\ = (\led_flash_cnt[2249][6]~q\ & (!\led_flash_cnt[2249][5]~58375\)) # (!\led_flash_cnt[2249][6]~q\ & ((\led_flash_cnt[2249][5]~58375\) # (GND)))
-- \led_flash_cnt[2249][6]~58377\ = CARRY((!\led_flash_cnt[2249][5]~58375\) # (!\led_flash_cnt[2249][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2249][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2249][5]~58375\,
	combout => \led_flash_cnt[2249][6]~58376_combout\,
	cout => \led_flash_cnt[2249][6]~58377\);

-- Location: FF_X34_Y7_N27
\led_flash_cnt[2249][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2249][6]~58376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2249][6]~q\);

-- Location: LCCOMB_X34_Y7_N28
\led_flash_cnt[2249][7]~58378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2249][7]~58378_combout\ = \led_flash_cnt[2249][6]~58377\ $ (!\led_flash_cnt[2249][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2249][7]~q\,
	cin => \led_flash_cnt[2249][6]~58377\,
	combout => \led_flash_cnt[2249][7]~58378_combout\);

-- Location: FF_X34_Y7_N29
\led_flash_cnt[2249][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2249][7]~58378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2249][7]~q\);

-- Location: LCCOMB_X34_Y7_N4
\WideAnd2249~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2249~1_combout\ = (\led_flash_cnt[2249][6]~q\ & \led_flash_cnt[2249][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2249][6]~q\,
	datad => \led_flash_cnt[2249][5]~q\,
	combout => \WideAnd2249~1_combout\);

-- Location: LCCOMB_X34_Y7_N2
\WideAnd2249~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2249~0_combout\ = (\led_flash_cnt[2249][2]~q\ & (\led_flash_cnt[2249][3]~q\ & (\led_flash_cnt[2249][4]~q\ & \led_flash_cnt[2249][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2249][2]~q\,
	datab => \led_flash_cnt[2249][3]~q\,
	datac => \led_flash_cnt[2249][4]~q\,
	datad => \led_flash_cnt[2249][1]~q\,
	combout => \WideAnd2249~0_combout\);

-- Location: LCCOMB_X34_Y7_N6
WideAnd2249 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2249~combout\ = (\led_flash_cnt[2249][0]~q\ & (\led_flash_cnt[2249][7]~q\ & (\WideAnd2249~1_combout\ & \WideAnd2249~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2249][0]~q\,
	datab => \led_flash_cnt[2249][7]~q\,
	datac => \WideAnd2249~1_combout\,
	datad => \WideAnd2249~0_combout\,
	combout => \WideAnd2249~combout\);

-- Location: FF_X34_Y7_N7
\led_flash_cnt_ands[2249]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2249~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2249));

-- Location: LCCOMB_X17_Y18_N20
\led_flash_cnt[2251][0]~82891\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2251][0]~82891_combout\ = !\led_flash_cnt[2251][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2251][0]~q\,
	combout => \led_flash_cnt[2251][0]~82891_combout\);

-- Location: FF_X17_Y18_N21
\led_flash_cnt[2251][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2251][0]~82891_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2251][0]~q\);

-- Location: LCCOMB_X18_Y18_N0
\led_flash_cnt[2251][1]~58394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2251][1]~58394_combout\ = (\led_flash_cnt[2251][0]~q\ & (\led_flash_cnt[2251][1]~q\ $ (VCC))) # (!\led_flash_cnt[2251][0]~q\ & (\led_flash_cnt[2251][1]~q\ & VCC))
-- \led_flash_cnt[2251][1]~58395\ = CARRY((\led_flash_cnt[2251][0]~q\ & \led_flash_cnt[2251][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2251][0]~q\,
	datab => \led_flash_cnt[2251][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2251][1]~58394_combout\,
	cout => \led_flash_cnt[2251][1]~58395\);

-- Location: FF_X18_Y18_N1
\led_flash_cnt[2251][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2251][1]~58394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2251][1]~q\);

-- Location: LCCOMB_X18_Y18_N2
\led_flash_cnt[2251][2]~58396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2251][2]~58396_combout\ = (\led_flash_cnt[2251][2]~q\ & (!\led_flash_cnt[2251][1]~58395\)) # (!\led_flash_cnt[2251][2]~q\ & ((\led_flash_cnt[2251][1]~58395\) # (GND)))
-- \led_flash_cnt[2251][2]~58397\ = CARRY((!\led_flash_cnt[2251][1]~58395\) # (!\led_flash_cnt[2251][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2251][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2251][1]~58395\,
	combout => \led_flash_cnt[2251][2]~58396_combout\,
	cout => \led_flash_cnt[2251][2]~58397\);

-- Location: FF_X18_Y18_N3
\led_flash_cnt[2251][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2251][2]~58396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2251][2]~q\);

-- Location: LCCOMB_X18_Y18_N4
\led_flash_cnt[2251][3]~58398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2251][3]~58398_combout\ = (\led_flash_cnt[2251][3]~q\ & (\led_flash_cnt[2251][2]~58397\ $ (GND))) # (!\led_flash_cnt[2251][3]~q\ & (!\led_flash_cnt[2251][2]~58397\ & VCC))
-- \led_flash_cnt[2251][3]~58399\ = CARRY((\led_flash_cnt[2251][3]~q\ & !\led_flash_cnt[2251][2]~58397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2251][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2251][2]~58397\,
	combout => \led_flash_cnt[2251][3]~58398_combout\,
	cout => \led_flash_cnt[2251][3]~58399\);

-- Location: FF_X18_Y18_N5
\led_flash_cnt[2251][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2251][3]~58398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2251][3]~q\);

-- Location: LCCOMB_X18_Y18_N6
\led_flash_cnt[2251][4]~58400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2251][4]~58400_combout\ = (\led_flash_cnt[2251][4]~q\ & (!\led_flash_cnt[2251][3]~58399\)) # (!\led_flash_cnt[2251][4]~q\ & ((\led_flash_cnt[2251][3]~58399\) # (GND)))
-- \led_flash_cnt[2251][4]~58401\ = CARRY((!\led_flash_cnt[2251][3]~58399\) # (!\led_flash_cnt[2251][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2251][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2251][3]~58399\,
	combout => \led_flash_cnt[2251][4]~58400_combout\,
	cout => \led_flash_cnt[2251][4]~58401\);

-- Location: FF_X18_Y18_N7
\led_flash_cnt[2251][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2251][4]~58400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2251][4]~q\);

-- Location: LCCOMB_X18_Y18_N8
\led_flash_cnt[2251][5]~58402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2251][5]~58402_combout\ = (\led_flash_cnt[2251][5]~q\ & (\led_flash_cnt[2251][4]~58401\ $ (GND))) # (!\led_flash_cnt[2251][5]~q\ & (!\led_flash_cnt[2251][4]~58401\ & VCC))
-- \led_flash_cnt[2251][5]~58403\ = CARRY((\led_flash_cnt[2251][5]~q\ & !\led_flash_cnt[2251][4]~58401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2251][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2251][4]~58401\,
	combout => \led_flash_cnt[2251][5]~58402_combout\,
	cout => \led_flash_cnt[2251][5]~58403\);

-- Location: FF_X18_Y18_N9
\led_flash_cnt[2251][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2251][5]~58402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2251][5]~q\);

-- Location: LCCOMB_X18_Y18_N10
\led_flash_cnt[2251][6]~58404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2251][6]~58404_combout\ = (\led_flash_cnt[2251][6]~q\ & (!\led_flash_cnt[2251][5]~58403\)) # (!\led_flash_cnt[2251][6]~q\ & ((\led_flash_cnt[2251][5]~58403\) # (GND)))
-- \led_flash_cnt[2251][6]~58405\ = CARRY((!\led_flash_cnt[2251][5]~58403\) # (!\led_flash_cnt[2251][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2251][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2251][5]~58403\,
	combout => \led_flash_cnt[2251][6]~58404_combout\,
	cout => \led_flash_cnt[2251][6]~58405\);

-- Location: FF_X18_Y18_N11
\led_flash_cnt[2251][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2251][6]~58404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2251][6]~q\);

-- Location: LCCOMB_X17_Y18_N30
\WideAnd2251~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2251~1_combout\ = (\led_flash_cnt[2251][6]~q\ & \led_flash_cnt[2251][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2251][6]~q\,
	datac => \led_flash_cnt[2251][5]~q\,
	combout => \WideAnd2251~1_combout\);

-- Location: LCCOMB_X18_Y18_N12
\led_flash_cnt[2251][7]~58406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2251][7]~58406_combout\ = \led_flash_cnt[2251][6]~58405\ $ (!\led_flash_cnt[2251][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2251][7]~q\,
	cin => \led_flash_cnt[2251][6]~58405\,
	combout => \led_flash_cnt[2251][7]~58406_combout\);

-- Location: FF_X18_Y18_N13
\led_flash_cnt[2251][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2251][7]~58406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2251][7]~q\);

-- Location: LCCOMB_X18_Y18_N16
\WideAnd2251~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2251~0_combout\ = (\led_flash_cnt[2251][4]~q\ & (\led_flash_cnt[2251][1]~q\ & (\led_flash_cnt[2251][3]~q\ & \led_flash_cnt[2251][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2251][4]~q\,
	datab => \led_flash_cnt[2251][1]~q\,
	datac => \led_flash_cnt[2251][3]~q\,
	datad => \led_flash_cnt[2251][2]~q\,
	combout => \WideAnd2251~0_combout\);

-- Location: LCCOMB_X17_Y18_N28
WideAnd2251 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2251~combout\ = (\WideAnd2251~1_combout\ & (\led_flash_cnt[2251][0]~q\ & (\led_flash_cnt[2251][7]~q\ & \WideAnd2251~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2251~1_combout\,
	datab => \led_flash_cnt[2251][0]~q\,
	datac => \led_flash_cnt[2251][7]~q\,
	datad => \WideAnd2251~0_combout\,
	combout => \WideAnd2251~combout\);

-- Location: FF_X17_Y18_N29
\led_flash_cnt_ands[2251]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2251~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2251));

-- Location: LCCOMB_X16_Y18_N0
\WideAnd4121~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4121~0_combout\ = (led_flash_cnt_ands(2248) & (led_flash_cnt_ands(2250) & (led_flash_cnt_ands(2249) & led_flash_cnt_ands(2251))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2248),
	datab => led_flash_cnt_ands(2250),
	datac => led_flash_cnt_ands(2249),
	datad => led_flash_cnt_ands(2251),
	combout => \WideAnd4121~0_combout\);

-- Location: LCCOMB_X15_Y19_N2
\led_flash_cnt[2255][0]~82895\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2255][0]~82895_combout\ = !\led_flash_cnt[2255][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2255][0]~q\,
	combout => \led_flash_cnt[2255][0]~82895_combout\);

-- Location: FF_X15_Y19_N3
\led_flash_cnt[2255][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2255][0]~82895_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2255][0]~q\);

-- Location: LCCOMB_X16_Y19_N18
\led_flash_cnt[2255][1]~58450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2255][1]~58450_combout\ = (\led_flash_cnt[2255][0]~q\ & (\led_flash_cnt[2255][1]~q\ $ (VCC))) # (!\led_flash_cnt[2255][0]~q\ & (\led_flash_cnt[2255][1]~q\ & VCC))
-- \led_flash_cnt[2255][1]~58451\ = CARRY((\led_flash_cnt[2255][0]~q\ & \led_flash_cnt[2255][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2255][0]~q\,
	datab => \led_flash_cnt[2255][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2255][1]~58450_combout\,
	cout => \led_flash_cnt[2255][1]~58451\);

-- Location: FF_X16_Y19_N19
\led_flash_cnt[2255][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2255][1]~58450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2255][1]~q\);

-- Location: LCCOMB_X16_Y19_N20
\led_flash_cnt[2255][2]~58452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2255][2]~58452_combout\ = (\led_flash_cnt[2255][2]~q\ & (!\led_flash_cnt[2255][1]~58451\)) # (!\led_flash_cnt[2255][2]~q\ & ((\led_flash_cnt[2255][1]~58451\) # (GND)))
-- \led_flash_cnt[2255][2]~58453\ = CARRY((!\led_flash_cnt[2255][1]~58451\) # (!\led_flash_cnt[2255][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2255][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2255][1]~58451\,
	combout => \led_flash_cnt[2255][2]~58452_combout\,
	cout => \led_flash_cnt[2255][2]~58453\);

-- Location: FF_X16_Y19_N21
\led_flash_cnt[2255][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2255][2]~58452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2255][2]~q\);

-- Location: LCCOMB_X16_Y19_N22
\led_flash_cnt[2255][3]~58454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2255][3]~58454_combout\ = (\led_flash_cnt[2255][3]~q\ & (\led_flash_cnt[2255][2]~58453\ $ (GND))) # (!\led_flash_cnt[2255][3]~q\ & (!\led_flash_cnt[2255][2]~58453\ & VCC))
-- \led_flash_cnt[2255][3]~58455\ = CARRY((\led_flash_cnt[2255][3]~q\ & !\led_flash_cnt[2255][2]~58453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2255][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2255][2]~58453\,
	combout => \led_flash_cnt[2255][3]~58454_combout\,
	cout => \led_flash_cnt[2255][3]~58455\);

-- Location: FF_X16_Y19_N23
\led_flash_cnt[2255][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2255][3]~58454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2255][3]~q\);

-- Location: LCCOMB_X16_Y19_N24
\led_flash_cnt[2255][4]~58456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2255][4]~58456_combout\ = (\led_flash_cnt[2255][4]~q\ & (!\led_flash_cnt[2255][3]~58455\)) # (!\led_flash_cnt[2255][4]~q\ & ((\led_flash_cnt[2255][3]~58455\) # (GND)))
-- \led_flash_cnt[2255][4]~58457\ = CARRY((!\led_flash_cnt[2255][3]~58455\) # (!\led_flash_cnt[2255][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2255][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2255][3]~58455\,
	combout => \led_flash_cnt[2255][4]~58456_combout\,
	cout => \led_flash_cnt[2255][4]~58457\);

-- Location: FF_X16_Y19_N25
\led_flash_cnt[2255][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2255][4]~58456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2255][4]~q\);

-- Location: LCCOMB_X16_Y19_N26
\led_flash_cnt[2255][5]~58458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2255][5]~58458_combout\ = (\led_flash_cnt[2255][5]~q\ & (\led_flash_cnt[2255][4]~58457\ $ (GND))) # (!\led_flash_cnt[2255][5]~q\ & (!\led_flash_cnt[2255][4]~58457\ & VCC))
-- \led_flash_cnt[2255][5]~58459\ = CARRY((\led_flash_cnt[2255][5]~q\ & !\led_flash_cnt[2255][4]~58457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2255][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2255][4]~58457\,
	combout => \led_flash_cnt[2255][5]~58458_combout\,
	cout => \led_flash_cnt[2255][5]~58459\);

-- Location: FF_X16_Y19_N27
\led_flash_cnt[2255][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2255][5]~58458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2255][5]~q\);

-- Location: LCCOMB_X16_Y19_N28
\led_flash_cnt[2255][6]~58460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2255][6]~58460_combout\ = (\led_flash_cnt[2255][6]~q\ & (!\led_flash_cnt[2255][5]~58459\)) # (!\led_flash_cnt[2255][6]~q\ & ((\led_flash_cnt[2255][5]~58459\) # (GND)))
-- \led_flash_cnt[2255][6]~58461\ = CARRY((!\led_flash_cnt[2255][5]~58459\) # (!\led_flash_cnt[2255][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2255][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2255][5]~58459\,
	combout => \led_flash_cnt[2255][6]~58460_combout\,
	cout => \led_flash_cnt[2255][6]~58461\);

-- Location: FF_X16_Y19_N29
\led_flash_cnt[2255][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2255][6]~58460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2255][6]~q\);

-- Location: LCCOMB_X16_Y19_N30
\led_flash_cnt[2255][7]~58462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2255][7]~58462_combout\ = \led_flash_cnt[2255][7]~q\ $ (!\led_flash_cnt[2255][6]~58461\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2255][7]~q\,
	cin => \led_flash_cnt[2255][6]~58461\,
	combout => \led_flash_cnt[2255][7]~58462_combout\);

-- Location: FF_X16_Y19_N31
\led_flash_cnt[2255][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2255][7]~58462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2255][7]~q\);

-- Location: LCCOMB_X16_Y19_N0
\WideAnd2255~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2255~0_combout\ = (\led_flash_cnt[2255][1]~q\ & (\led_flash_cnt[2255][4]~q\ & (\led_flash_cnt[2255][3]~q\ & \led_flash_cnt[2255][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2255][1]~q\,
	datab => \led_flash_cnt[2255][4]~q\,
	datac => \led_flash_cnt[2255][3]~q\,
	datad => \led_flash_cnt[2255][2]~q\,
	combout => \WideAnd2255~0_combout\);

-- Location: LCCOMB_X15_Y19_N6
\WideAnd2255~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2255~1_combout\ = (\led_flash_cnt[2255][6]~q\ & \led_flash_cnt[2255][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2255][6]~q\,
	datad => \led_flash_cnt[2255][5]~q\,
	combout => \WideAnd2255~1_combout\);

-- Location: LCCOMB_X15_Y19_N28
WideAnd2255 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2255~combout\ = (\led_flash_cnt[2255][7]~q\ & (\led_flash_cnt[2255][0]~q\ & (\WideAnd2255~0_combout\ & \WideAnd2255~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2255][7]~q\,
	datab => \led_flash_cnt[2255][0]~q\,
	datac => \WideAnd2255~0_combout\,
	datad => \WideAnd2255~1_combout\,
	combout => \WideAnd2255~combout\);

-- Location: FF_X15_Y19_N29
\led_flash_cnt_ands[2255]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2255~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2255));

-- Location: LCCOMB_X17_Y33_N6
\led_flash_cnt[2253][0]~82893\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2253][0]~82893_combout\ = !\led_flash_cnt[2253][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2253][0]~q\,
	combout => \led_flash_cnt[2253][0]~82893_combout\);

-- Location: FF_X17_Y33_N7
\led_flash_cnt[2253][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2253][0]~82893_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2253][0]~q\);

-- Location: LCCOMB_X18_Y33_N4
\led_flash_cnt[2253][1]~58422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2253][1]~58422_combout\ = (\led_flash_cnt[2253][0]~q\ & (\led_flash_cnt[2253][1]~q\ $ (VCC))) # (!\led_flash_cnt[2253][0]~q\ & (\led_flash_cnt[2253][1]~q\ & VCC))
-- \led_flash_cnt[2253][1]~58423\ = CARRY((\led_flash_cnt[2253][0]~q\ & \led_flash_cnt[2253][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2253][0]~q\,
	datab => \led_flash_cnt[2253][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2253][1]~58422_combout\,
	cout => \led_flash_cnt[2253][1]~58423\);

-- Location: FF_X18_Y33_N5
\led_flash_cnt[2253][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2253][1]~58422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2253][1]~q\);

-- Location: LCCOMB_X18_Y33_N6
\led_flash_cnt[2253][2]~58424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2253][2]~58424_combout\ = (\led_flash_cnt[2253][2]~q\ & (!\led_flash_cnt[2253][1]~58423\)) # (!\led_flash_cnt[2253][2]~q\ & ((\led_flash_cnt[2253][1]~58423\) # (GND)))
-- \led_flash_cnt[2253][2]~58425\ = CARRY((!\led_flash_cnt[2253][1]~58423\) # (!\led_flash_cnt[2253][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2253][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2253][1]~58423\,
	combout => \led_flash_cnt[2253][2]~58424_combout\,
	cout => \led_flash_cnt[2253][2]~58425\);

-- Location: FF_X18_Y33_N7
\led_flash_cnt[2253][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2253][2]~58424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2253][2]~q\);

-- Location: LCCOMB_X18_Y33_N8
\led_flash_cnt[2253][3]~58426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2253][3]~58426_combout\ = (\led_flash_cnt[2253][3]~q\ & (\led_flash_cnt[2253][2]~58425\ $ (GND))) # (!\led_flash_cnt[2253][3]~q\ & (!\led_flash_cnt[2253][2]~58425\ & VCC))
-- \led_flash_cnt[2253][3]~58427\ = CARRY((\led_flash_cnt[2253][3]~q\ & !\led_flash_cnt[2253][2]~58425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2253][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2253][2]~58425\,
	combout => \led_flash_cnt[2253][3]~58426_combout\,
	cout => \led_flash_cnt[2253][3]~58427\);

-- Location: FF_X18_Y33_N9
\led_flash_cnt[2253][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2253][3]~58426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2253][3]~q\);

-- Location: LCCOMB_X18_Y33_N10
\led_flash_cnt[2253][4]~58428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2253][4]~58428_combout\ = (\led_flash_cnt[2253][4]~q\ & (!\led_flash_cnt[2253][3]~58427\)) # (!\led_flash_cnt[2253][4]~q\ & ((\led_flash_cnt[2253][3]~58427\) # (GND)))
-- \led_flash_cnt[2253][4]~58429\ = CARRY((!\led_flash_cnt[2253][3]~58427\) # (!\led_flash_cnt[2253][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2253][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2253][3]~58427\,
	combout => \led_flash_cnt[2253][4]~58428_combout\,
	cout => \led_flash_cnt[2253][4]~58429\);

-- Location: FF_X18_Y33_N11
\led_flash_cnt[2253][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2253][4]~58428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2253][4]~q\);

-- Location: LCCOMB_X18_Y33_N0
\WideAnd2253~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2253~0_combout\ = (\led_flash_cnt[2253][4]~q\ & (\led_flash_cnt[2253][3]~q\ & (\led_flash_cnt[2253][1]~q\ & \led_flash_cnt[2253][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2253][4]~q\,
	datab => \led_flash_cnt[2253][3]~q\,
	datac => \led_flash_cnt[2253][1]~q\,
	datad => \led_flash_cnt[2253][2]~q\,
	combout => \WideAnd2253~0_combout\);

-- Location: LCCOMB_X18_Y33_N12
\led_flash_cnt[2253][5]~58430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2253][5]~58430_combout\ = (\led_flash_cnt[2253][5]~q\ & (\led_flash_cnt[2253][4]~58429\ $ (GND))) # (!\led_flash_cnt[2253][5]~q\ & (!\led_flash_cnt[2253][4]~58429\ & VCC))
-- \led_flash_cnt[2253][5]~58431\ = CARRY((\led_flash_cnt[2253][5]~q\ & !\led_flash_cnt[2253][4]~58429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2253][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2253][4]~58429\,
	combout => \led_flash_cnt[2253][5]~58430_combout\,
	cout => \led_flash_cnt[2253][5]~58431\);

-- Location: FF_X18_Y33_N13
\led_flash_cnt[2253][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2253][5]~58430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2253][5]~q\);

-- Location: LCCOMB_X18_Y33_N14
\led_flash_cnt[2253][6]~58432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2253][6]~58432_combout\ = (\led_flash_cnt[2253][6]~q\ & (!\led_flash_cnt[2253][5]~58431\)) # (!\led_flash_cnt[2253][6]~q\ & ((\led_flash_cnt[2253][5]~58431\) # (GND)))
-- \led_flash_cnt[2253][6]~58433\ = CARRY((!\led_flash_cnt[2253][5]~58431\) # (!\led_flash_cnt[2253][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2253][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2253][5]~58431\,
	combout => \led_flash_cnt[2253][6]~58432_combout\,
	cout => \led_flash_cnt[2253][6]~58433\);

-- Location: FF_X18_Y33_N15
\led_flash_cnt[2253][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2253][6]~58432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2253][6]~q\);

-- Location: LCCOMB_X17_Y33_N14
\WideAnd2253~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2253~1_combout\ = (\led_flash_cnt[2253][6]~q\ & \led_flash_cnt[2253][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2253][6]~q\,
	datac => \led_flash_cnt[2253][5]~q\,
	combout => \WideAnd2253~1_combout\);

-- Location: LCCOMB_X18_Y33_N16
\led_flash_cnt[2253][7]~58434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2253][7]~58434_combout\ = \led_flash_cnt[2253][6]~58433\ $ (!\led_flash_cnt[2253][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2253][7]~q\,
	cin => \led_flash_cnt[2253][6]~58433\,
	combout => \led_flash_cnt[2253][7]~58434_combout\);

-- Location: FF_X18_Y33_N17
\led_flash_cnt[2253][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2253][7]~58434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2253][7]~q\);

-- Location: LCCOMB_X17_Y33_N4
WideAnd2253 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2253~combout\ = (\led_flash_cnt[2253][0]~q\ & (\WideAnd2253~0_combout\ & (\WideAnd2253~1_combout\ & \led_flash_cnt[2253][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2253][0]~q\,
	datab => \WideAnd2253~0_combout\,
	datac => \WideAnd2253~1_combout\,
	datad => \led_flash_cnt[2253][7]~q\,
	combout => \WideAnd2253~combout\);

-- Location: FF_X17_Y33_N5
\led_flash_cnt_ands[2253]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2253~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2253));

-- Location: LCCOMB_X17_Y33_N10
\led_flash_cnt[2252][0]~82892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2252][0]~82892_combout\ = !\led_flash_cnt[2252][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2252][0]~q\,
	combout => \led_flash_cnt[2252][0]~82892_combout\);

-- Location: FF_X17_Y33_N11
\led_flash_cnt[2252][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2252][0]~82892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2252][0]~q\);

-- Location: LCCOMB_X17_Y33_N18
\led_flash_cnt[2252][1]~58408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2252][1]~58408_combout\ = (\led_flash_cnt[2252][0]~q\ & (\led_flash_cnt[2252][1]~q\ $ (VCC))) # (!\led_flash_cnt[2252][0]~q\ & (\led_flash_cnt[2252][1]~q\ & VCC))
-- \led_flash_cnt[2252][1]~58409\ = CARRY((\led_flash_cnt[2252][0]~q\ & \led_flash_cnt[2252][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2252][0]~q\,
	datab => \led_flash_cnt[2252][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2252][1]~58408_combout\,
	cout => \led_flash_cnt[2252][1]~58409\);

-- Location: FF_X17_Y33_N19
\led_flash_cnt[2252][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2252][1]~58408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2252][1]~q\);

-- Location: LCCOMB_X17_Y33_N20
\led_flash_cnt[2252][2]~58410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2252][2]~58410_combout\ = (\led_flash_cnt[2252][2]~q\ & (!\led_flash_cnt[2252][1]~58409\)) # (!\led_flash_cnt[2252][2]~q\ & ((\led_flash_cnt[2252][1]~58409\) # (GND)))
-- \led_flash_cnt[2252][2]~58411\ = CARRY((!\led_flash_cnt[2252][1]~58409\) # (!\led_flash_cnt[2252][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2252][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2252][1]~58409\,
	combout => \led_flash_cnt[2252][2]~58410_combout\,
	cout => \led_flash_cnt[2252][2]~58411\);

-- Location: FF_X17_Y33_N21
\led_flash_cnt[2252][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2252][2]~58410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2252][2]~q\);

-- Location: LCCOMB_X17_Y33_N22
\led_flash_cnt[2252][3]~58412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2252][3]~58412_combout\ = (\led_flash_cnt[2252][3]~q\ & (\led_flash_cnt[2252][2]~58411\ $ (GND))) # (!\led_flash_cnt[2252][3]~q\ & (!\led_flash_cnt[2252][2]~58411\ & VCC))
-- \led_flash_cnt[2252][3]~58413\ = CARRY((\led_flash_cnt[2252][3]~q\ & !\led_flash_cnt[2252][2]~58411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2252][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2252][2]~58411\,
	combout => \led_flash_cnt[2252][3]~58412_combout\,
	cout => \led_flash_cnt[2252][3]~58413\);

-- Location: FF_X17_Y33_N23
\led_flash_cnt[2252][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2252][3]~58412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2252][3]~q\);

-- Location: LCCOMB_X17_Y33_N24
\led_flash_cnt[2252][4]~58414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2252][4]~58414_combout\ = (\led_flash_cnt[2252][4]~q\ & (!\led_flash_cnt[2252][3]~58413\)) # (!\led_flash_cnt[2252][4]~q\ & ((\led_flash_cnt[2252][3]~58413\) # (GND)))
-- \led_flash_cnt[2252][4]~58415\ = CARRY((!\led_flash_cnt[2252][3]~58413\) # (!\led_flash_cnt[2252][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2252][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2252][3]~58413\,
	combout => \led_flash_cnt[2252][4]~58414_combout\,
	cout => \led_flash_cnt[2252][4]~58415\);

-- Location: FF_X17_Y33_N25
\led_flash_cnt[2252][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2252][4]~58414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2252][4]~q\);

-- Location: LCCOMB_X17_Y33_N26
\led_flash_cnt[2252][5]~58416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2252][5]~58416_combout\ = (\led_flash_cnt[2252][5]~q\ & (\led_flash_cnt[2252][4]~58415\ $ (GND))) # (!\led_flash_cnt[2252][5]~q\ & (!\led_flash_cnt[2252][4]~58415\ & VCC))
-- \led_flash_cnt[2252][5]~58417\ = CARRY((\led_flash_cnt[2252][5]~q\ & !\led_flash_cnt[2252][4]~58415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2252][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2252][4]~58415\,
	combout => \led_flash_cnt[2252][5]~58416_combout\,
	cout => \led_flash_cnt[2252][5]~58417\);

-- Location: FF_X17_Y33_N27
\led_flash_cnt[2252][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2252][5]~58416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2252][5]~q\);

-- Location: LCCOMB_X17_Y33_N28
\led_flash_cnt[2252][6]~58418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2252][6]~58418_combout\ = (\led_flash_cnt[2252][6]~q\ & (!\led_flash_cnt[2252][5]~58417\)) # (!\led_flash_cnt[2252][6]~q\ & ((\led_flash_cnt[2252][5]~58417\) # (GND)))
-- \led_flash_cnt[2252][6]~58419\ = CARRY((!\led_flash_cnt[2252][5]~58417\) # (!\led_flash_cnt[2252][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2252][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2252][5]~58417\,
	combout => \led_flash_cnt[2252][6]~58418_combout\,
	cout => \led_flash_cnt[2252][6]~58419\);

-- Location: FF_X17_Y33_N29
\led_flash_cnt[2252][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2252][6]~58418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2252][6]~q\);

-- Location: LCCOMB_X17_Y33_N8
\WideAnd2252~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2252~1_combout\ = (\led_flash_cnt[2252][5]~q\ & \led_flash_cnt[2252][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2252][5]~q\,
	datad => \led_flash_cnt[2252][6]~q\,
	combout => \WideAnd2252~1_combout\);

-- Location: LCCOMB_X17_Y33_N30
\led_flash_cnt[2252][7]~58420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2252][7]~58420_combout\ = \led_flash_cnt[2252][7]~q\ $ (!\led_flash_cnt[2252][6]~58419\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2252][7]~q\,
	cin => \led_flash_cnt[2252][6]~58419\,
	combout => \led_flash_cnt[2252][7]~58420_combout\);

-- Location: FF_X17_Y33_N31
\led_flash_cnt[2252][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2252][7]~58420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2252][7]~q\);

-- Location: LCCOMB_X17_Y33_N16
\WideAnd2252~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2252~0_combout\ = (\led_flash_cnt[2252][4]~q\ & (\led_flash_cnt[2252][2]~q\ & (\led_flash_cnt[2252][3]~q\ & \led_flash_cnt[2252][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2252][4]~q\,
	datab => \led_flash_cnt[2252][2]~q\,
	datac => \led_flash_cnt[2252][3]~q\,
	datad => \led_flash_cnt[2252][1]~q\,
	combout => \WideAnd2252~0_combout\);

-- Location: LCCOMB_X17_Y33_N12
WideAnd2252 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2252~combout\ = (\led_flash_cnt[2252][0]~q\ & (\WideAnd2252~1_combout\ & (\led_flash_cnt[2252][7]~q\ & \WideAnd2252~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2252][0]~q\,
	datab => \WideAnd2252~1_combout\,
	datac => \led_flash_cnt[2252][7]~q\,
	datad => \WideAnd2252~0_combout\,
	combout => \WideAnd2252~combout\);

-- Location: FF_X17_Y33_N13
\led_flash_cnt_ands[2252]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2252~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2252));

-- Location: LCCOMB_X17_Y33_N2
\WideAnd4121~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4121~1_combout\ = (led_flash_cnt_ands(2253) & led_flash_cnt_ands(2252))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2253),
	datad => led_flash_cnt_ands(2252),
	combout => \WideAnd4121~1_combout\);

-- Location: LCCOMB_X15_Y19_N22
\led_flash_cnt[2254][0]~82894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2254][0]~82894_combout\ = !\led_flash_cnt[2254][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2254][0]~q\,
	combout => \led_flash_cnt[2254][0]~82894_combout\);

-- Location: FF_X15_Y19_N23
\led_flash_cnt[2254][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2254][0]~82894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2254][0]~q\);

-- Location: LCCOMB_X15_Y19_N8
\led_flash_cnt[2254][1]~58436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2254][1]~58436_combout\ = (\led_flash_cnt[2254][0]~q\ & (\led_flash_cnt[2254][1]~q\ $ (VCC))) # (!\led_flash_cnt[2254][0]~q\ & (\led_flash_cnt[2254][1]~q\ & VCC))
-- \led_flash_cnt[2254][1]~58437\ = CARRY((\led_flash_cnt[2254][0]~q\ & \led_flash_cnt[2254][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2254][0]~q\,
	datab => \led_flash_cnt[2254][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2254][1]~58436_combout\,
	cout => \led_flash_cnt[2254][1]~58437\);

-- Location: FF_X15_Y19_N9
\led_flash_cnt[2254][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2254][1]~58436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2254][1]~q\);

-- Location: LCCOMB_X15_Y19_N10
\led_flash_cnt[2254][2]~58438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2254][2]~58438_combout\ = (\led_flash_cnt[2254][2]~q\ & (!\led_flash_cnt[2254][1]~58437\)) # (!\led_flash_cnt[2254][2]~q\ & ((\led_flash_cnt[2254][1]~58437\) # (GND)))
-- \led_flash_cnt[2254][2]~58439\ = CARRY((!\led_flash_cnt[2254][1]~58437\) # (!\led_flash_cnt[2254][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2254][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2254][1]~58437\,
	combout => \led_flash_cnt[2254][2]~58438_combout\,
	cout => \led_flash_cnt[2254][2]~58439\);

-- Location: FF_X15_Y19_N11
\led_flash_cnt[2254][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2254][2]~58438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2254][2]~q\);

-- Location: LCCOMB_X15_Y19_N12
\led_flash_cnt[2254][3]~58440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2254][3]~58440_combout\ = (\led_flash_cnt[2254][3]~q\ & (\led_flash_cnt[2254][2]~58439\ $ (GND))) # (!\led_flash_cnt[2254][3]~q\ & (!\led_flash_cnt[2254][2]~58439\ & VCC))
-- \led_flash_cnt[2254][3]~58441\ = CARRY((\led_flash_cnt[2254][3]~q\ & !\led_flash_cnt[2254][2]~58439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2254][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2254][2]~58439\,
	combout => \led_flash_cnt[2254][3]~58440_combout\,
	cout => \led_flash_cnt[2254][3]~58441\);

-- Location: FF_X15_Y19_N13
\led_flash_cnt[2254][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2254][3]~58440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2254][3]~q\);

-- Location: LCCOMB_X15_Y19_N14
\led_flash_cnt[2254][4]~58442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2254][4]~58442_combout\ = (\led_flash_cnt[2254][4]~q\ & (!\led_flash_cnt[2254][3]~58441\)) # (!\led_flash_cnt[2254][4]~q\ & ((\led_flash_cnt[2254][3]~58441\) # (GND)))
-- \led_flash_cnt[2254][4]~58443\ = CARRY((!\led_flash_cnt[2254][3]~58441\) # (!\led_flash_cnt[2254][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2254][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2254][3]~58441\,
	combout => \led_flash_cnt[2254][4]~58442_combout\,
	cout => \led_flash_cnt[2254][4]~58443\);

-- Location: FF_X15_Y19_N15
\led_flash_cnt[2254][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2254][4]~58442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2254][4]~q\);

-- Location: LCCOMB_X15_Y19_N26
\WideAnd2254~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2254~1_combout\ = (\led_flash_cnt[2254][0]~q\ & \led_flash_cnt[2254][4]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2254][0]~q\,
	datac => \led_flash_cnt[2254][4]~q\,
	combout => \WideAnd2254~1_combout\);

-- Location: LCCOMB_X15_Y19_N16
\led_flash_cnt[2254][5]~58444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2254][5]~58444_combout\ = (\led_flash_cnt[2254][5]~q\ & (\led_flash_cnt[2254][4]~58443\ $ (GND))) # (!\led_flash_cnt[2254][5]~q\ & (!\led_flash_cnt[2254][4]~58443\ & VCC))
-- \led_flash_cnt[2254][5]~58445\ = CARRY((\led_flash_cnt[2254][5]~q\ & !\led_flash_cnt[2254][4]~58443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2254][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2254][4]~58443\,
	combout => \led_flash_cnt[2254][5]~58444_combout\,
	cout => \led_flash_cnt[2254][5]~58445\);

-- Location: FF_X15_Y19_N17
\led_flash_cnt[2254][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2254][5]~58444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2254][5]~q\);

-- Location: LCCOMB_X15_Y19_N18
\led_flash_cnt[2254][6]~58446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2254][6]~58446_combout\ = (\led_flash_cnt[2254][6]~q\ & (!\led_flash_cnt[2254][5]~58445\)) # (!\led_flash_cnt[2254][6]~q\ & ((\led_flash_cnt[2254][5]~58445\) # (GND)))
-- \led_flash_cnt[2254][6]~58447\ = CARRY((!\led_flash_cnt[2254][5]~58445\) # (!\led_flash_cnt[2254][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2254][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2254][5]~58445\,
	combout => \led_flash_cnt[2254][6]~58446_combout\,
	cout => \led_flash_cnt[2254][6]~58447\);

-- Location: FF_X15_Y19_N19
\led_flash_cnt[2254][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2254][6]~58446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2254][6]~q\);

-- Location: LCCOMB_X15_Y19_N20
\led_flash_cnt[2254][7]~58448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2254][7]~58448_combout\ = \led_flash_cnt[2254][6]~58447\ $ (!\led_flash_cnt[2254][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2254][7]~q\,
	cin => \led_flash_cnt[2254][6]~58447\,
	combout => \led_flash_cnt[2254][7]~58448_combout\);

-- Location: FF_X15_Y19_N21
\led_flash_cnt[2254][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2254][7]~58448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2254][7]~q\);

-- Location: LCCOMB_X15_Y19_N4
\WideAnd2254~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2254~0_combout\ = (\led_flash_cnt[2254][3]~q\ & (\led_flash_cnt[2254][6]~q\ & (\led_flash_cnt[2254][1]~q\ & \led_flash_cnt[2254][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2254][3]~q\,
	datab => \led_flash_cnt[2254][6]~q\,
	datac => \led_flash_cnt[2254][1]~q\,
	datad => \led_flash_cnt[2254][2]~q\,
	combout => \WideAnd2254~0_combout\);

-- Location: LCCOMB_X15_Y19_N0
WideAnd2254 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2254~combout\ = (\WideAnd2254~1_combout\ & (\led_flash_cnt[2254][7]~q\ & (\WideAnd2254~0_combout\ & \led_flash_cnt[2254][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2254~1_combout\,
	datab => \led_flash_cnt[2254][7]~q\,
	datac => \WideAnd2254~0_combout\,
	datad => \led_flash_cnt[2254][5]~q\,
	combout => \WideAnd2254~combout\);

-- Location: FF_X15_Y19_N1
\led_flash_cnt_ands[2254]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2254~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2254));

-- Location: LCCOMB_X15_Y19_N30
WideAnd4121 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4121~combout\ = (\WideAnd4121~0_combout\ & (led_flash_cnt_ands(2255) & (\WideAnd4121~1_combout\ & led_flash_cnt_ands(2254))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4121~0_combout\,
	datab => led_flash_cnt_ands(2255),
	datac => \WideAnd4121~1_combout\,
	datad => led_flash_cnt_ands(2254),
	combout => \WideAnd4121~combout\);

-- Location: FF_X15_Y19_N31
\led_flash_cnt_ands_1[281]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4121~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(281));

-- Location: LCCOMB_X13_Y3_N6
\led_flash_cnt[2258][0]~82898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2258][0]~82898_combout\ = !\led_flash_cnt[2258][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2258][0]~q\,
	combout => \led_flash_cnt[2258][0]~82898_combout\);

-- Location: FF_X13_Y3_N7
\led_flash_cnt[2258][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2258][0]~82898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2258][0]~q\);

-- Location: LCCOMB_X13_Y3_N14
\led_flash_cnt[2258][1]~58492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2258][1]~58492_combout\ = (\led_flash_cnt[2258][0]~q\ & (\led_flash_cnt[2258][1]~q\ $ (VCC))) # (!\led_flash_cnt[2258][0]~q\ & (\led_flash_cnt[2258][1]~q\ & VCC))
-- \led_flash_cnt[2258][1]~58493\ = CARRY((\led_flash_cnt[2258][0]~q\ & \led_flash_cnt[2258][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2258][0]~q\,
	datab => \led_flash_cnt[2258][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2258][1]~58492_combout\,
	cout => \led_flash_cnt[2258][1]~58493\);

-- Location: FF_X13_Y3_N15
\led_flash_cnt[2258][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2258][1]~58492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2258][1]~q\);

-- Location: LCCOMB_X13_Y3_N16
\led_flash_cnt[2258][2]~58494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2258][2]~58494_combout\ = (\led_flash_cnt[2258][2]~q\ & (!\led_flash_cnt[2258][1]~58493\)) # (!\led_flash_cnt[2258][2]~q\ & ((\led_flash_cnt[2258][1]~58493\) # (GND)))
-- \led_flash_cnt[2258][2]~58495\ = CARRY((!\led_flash_cnt[2258][1]~58493\) # (!\led_flash_cnt[2258][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2258][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2258][1]~58493\,
	combout => \led_flash_cnt[2258][2]~58494_combout\,
	cout => \led_flash_cnt[2258][2]~58495\);

-- Location: FF_X13_Y3_N17
\led_flash_cnt[2258][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2258][2]~58494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2258][2]~q\);

-- Location: LCCOMB_X13_Y3_N18
\led_flash_cnt[2258][3]~58496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2258][3]~58496_combout\ = (\led_flash_cnt[2258][3]~q\ & (\led_flash_cnt[2258][2]~58495\ $ (GND))) # (!\led_flash_cnt[2258][3]~q\ & (!\led_flash_cnt[2258][2]~58495\ & VCC))
-- \led_flash_cnt[2258][3]~58497\ = CARRY((\led_flash_cnt[2258][3]~q\ & !\led_flash_cnt[2258][2]~58495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2258][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2258][2]~58495\,
	combout => \led_flash_cnt[2258][3]~58496_combout\,
	cout => \led_flash_cnt[2258][3]~58497\);

-- Location: FF_X13_Y3_N19
\led_flash_cnt[2258][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2258][3]~58496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2258][3]~q\);

-- Location: LCCOMB_X13_Y3_N20
\led_flash_cnt[2258][4]~58498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2258][4]~58498_combout\ = (\led_flash_cnt[2258][4]~q\ & (!\led_flash_cnt[2258][3]~58497\)) # (!\led_flash_cnt[2258][4]~q\ & ((\led_flash_cnt[2258][3]~58497\) # (GND)))
-- \led_flash_cnt[2258][4]~58499\ = CARRY((!\led_flash_cnt[2258][3]~58497\) # (!\led_flash_cnt[2258][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2258][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2258][3]~58497\,
	combout => \led_flash_cnt[2258][4]~58498_combout\,
	cout => \led_flash_cnt[2258][4]~58499\);

-- Location: FF_X13_Y3_N21
\led_flash_cnt[2258][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2258][4]~58498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2258][4]~q\);

-- Location: LCCOMB_X13_Y3_N22
\led_flash_cnt[2258][5]~58500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2258][5]~58500_combout\ = (\led_flash_cnt[2258][5]~q\ & (\led_flash_cnt[2258][4]~58499\ $ (GND))) # (!\led_flash_cnt[2258][5]~q\ & (!\led_flash_cnt[2258][4]~58499\ & VCC))
-- \led_flash_cnt[2258][5]~58501\ = CARRY((\led_flash_cnt[2258][5]~q\ & !\led_flash_cnt[2258][4]~58499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2258][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2258][4]~58499\,
	combout => \led_flash_cnt[2258][5]~58500_combout\,
	cout => \led_flash_cnt[2258][5]~58501\);

-- Location: FF_X13_Y3_N23
\led_flash_cnt[2258][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2258][5]~58500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2258][5]~q\);

-- Location: LCCOMB_X13_Y3_N24
\led_flash_cnt[2258][6]~58502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2258][6]~58502_combout\ = (\led_flash_cnt[2258][6]~q\ & (!\led_flash_cnt[2258][5]~58501\)) # (!\led_flash_cnt[2258][6]~q\ & ((\led_flash_cnt[2258][5]~58501\) # (GND)))
-- \led_flash_cnt[2258][6]~58503\ = CARRY((!\led_flash_cnt[2258][5]~58501\) # (!\led_flash_cnt[2258][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2258][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2258][5]~58501\,
	combout => \led_flash_cnt[2258][6]~58502_combout\,
	cout => \led_flash_cnt[2258][6]~58503\);

-- Location: FF_X13_Y3_N25
\led_flash_cnt[2258][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2258][6]~58502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2258][6]~q\);

-- Location: LCCOMB_X13_Y3_N8
\WideAnd2258~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2258~1_combout\ = (\led_flash_cnt[2258][5]~q\ & \led_flash_cnt[2258][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2258][5]~q\,
	datad => \led_flash_cnt[2258][6]~q\,
	combout => \WideAnd2258~1_combout\);

-- Location: LCCOMB_X13_Y3_N26
\led_flash_cnt[2258][7]~58504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2258][7]~58504_combout\ = \led_flash_cnt[2258][7]~q\ $ (!\led_flash_cnt[2258][6]~58503\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2258][7]~q\,
	cin => \led_flash_cnt[2258][6]~58503\,
	combout => \led_flash_cnt[2258][7]~58504_combout\);

-- Location: FF_X13_Y3_N27
\led_flash_cnt[2258][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2258][7]~58504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2258][7]~q\);

-- Location: LCCOMB_X13_Y3_N10
\WideAnd2258~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2258~0_combout\ = (\led_flash_cnt[2258][4]~q\ & (\led_flash_cnt[2258][3]~q\ & (\led_flash_cnt[2258][1]~q\ & \led_flash_cnt[2258][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2258][4]~q\,
	datab => \led_flash_cnt[2258][3]~q\,
	datac => \led_flash_cnt[2258][1]~q\,
	datad => \led_flash_cnt[2258][2]~q\,
	combout => \WideAnd2258~0_combout\);

-- Location: LCCOMB_X13_Y3_N30
WideAnd2258 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2258~combout\ = (\led_flash_cnt[2258][0]~q\ & (\WideAnd2258~1_combout\ & (\led_flash_cnt[2258][7]~q\ & \WideAnd2258~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2258][0]~q\,
	datab => \WideAnd2258~1_combout\,
	datac => \led_flash_cnt[2258][7]~q\,
	datad => \WideAnd2258~0_combout\,
	combout => \WideAnd2258~combout\);

-- Location: FF_X13_Y3_N31
\led_flash_cnt_ands[2258]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2258~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2258));

-- Location: LCCOMB_X10_Y3_N0
\led_flash_cnt[2257][0]~82897\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2257][0]~82897_combout\ = !\led_flash_cnt[2257][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2257][0]~q\,
	combout => \led_flash_cnt[2257][0]~82897_combout\);

-- Location: FF_X10_Y3_N1
\led_flash_cnt[2257][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2257][0]~82897_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2257][0]~q\);

-- Location: LCCOMB_X14_Y3_N0
\led_flash_cnt[2257][1]~58478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2257][1]~58478_combout\ = (\led_flash_cnt[2257][0]~q\ & (\led_flash_cnt[2257][1]~q\ $ (VCC))) # (!\led_flash_cnt[2257][0]~q\ & (\led_flash_cnt[2257][1]~q\ & VCC))
-- \led_flash_cnt[2257][1]~58479\ = CARRY((\led_flash_cnt[2257][0]~q\ & \led_flash_cnt[2257][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2257][0]~q\,
	datab => \led_flash_cnt[2257][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2257][1]~58478_combout\,
	cout => \led_flash_cnt[2257][1]~58479\);

-- Location: FF_X14_Y3_N1
\led_flash_cnt[2257][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2257][1]~58478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2257][1]~q\);

-- Location: LCCOMB_X14_Y3_N2
\led_flash_cnt[2257][2]~58480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2257][2]~58480_combout\ = (\led_flash_cnt[2257][2]~q\ & (!\led_flash_cnt[2257][1]~58479\)) # (!\led_flash_cnt[2257][2]~q\ & ((\led_flash_cnt[2257][1]~58479\) # (GND)))
-- \led_flash_cnt[2257][2]~58481\ = CARRY((!\led_flash_cnt[2257][1]~58479\) # (!\led_flash_cnt[2257][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2257][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2257][1]~58479\,
	combout => \led_flash_cnt[2257][2]~58480_combout\,
	cout => \led_flash_cnt[2257][2]~58481\);

-- Location: FF_X14_Y3_N3
\led_flash_cnt[2257][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2257][2]~58480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2257][2]~q\);

-- Location: LCCOMB_X14_Y3_N4
\led_flash_cnt[2257][3]~58482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2257][3]~58482_combout\ = (\led_flash_cnt[2257][3]~q\ & (\led_flash_cnt[2257][2]~58481\ $ (GND))) # (!\led_flash_cnt[2257][3]~q\ & (!\led_flash_cnt[2257][2]~58481\ & VCC))
-- \led_flash_cnt[2257][3]~58483\ = CARRY((\led_flash_cnt[2257][3]~q\ & !\led_flash_cnt[2257][2]~58481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2257][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2257][2]~58481\,
	combout => \led_flash_cnt[2257][3]~58482_combout\,
	cout => \led_flash_cnt[2257][3]~58483\);

-- Location: FF_X14_Y3_N5
\led_flash_cnt[2257][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2257][3]~58482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2257][3]~q\);

-- Location: LCCOMB_X14_Y3_N6
\led_flash_cnt[2257][4]~58484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2257][4]~58484_combout\ = (\led_flash_cnt[2257][4]~q\ & (!\led_flash_cnt[2257][3]~58483\)) # (!\led_flash_cnt[2257][4]~q\ & ((\led_flash_cnt[2257][3]~58483\) # (GND)))
-- \led_flash_cnt[2257][4]~58485\ = CARRY((!\led_flash_cnt[2257][3]~58483\) # (!\led_flash_cnt[2257][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2257][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2257][3]~58483\,
	combout => \led_flash_cnt[2257][4]~58484_combout\,
	cout => \led_flash_cnt[2257][4]~58485\);

-- Location: FF_X14_Y3_N7
\led_flash_cnt[2257][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2257][4]~58484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2257][4]~q\);

-- Location: LCCOMB_X14_Y3_N16
\WideAnd2257~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2257~0_combout\ = (\led_flash_cnt[2257][4]~q\ & (\led_flash_cnt[2257][2]~q\ & (\led_flash_cnt[2257][3]~q\ & \led_flash_cnt[2257][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2257][4]~q\,
	datab => \led_flash_cnt[2257][2]~q\,
	datac => \led_flash_cnt[2257][3]~q\,
	datad => \led_flash_cnt[2257][1]~q\,
	combout => \WideAnd2257~0_combout\);

-- Location: LCCOMB_X14_Y3_N8
\led_flash_cnt[2257][5]~58486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2257][5]~58486_combout\ = (\led_flash_cnt[2257][5]~q\ & (\led_flash_cnt[2257][4]~58485\ $ (GND))) # (!\led_flash_cnt[2257][5]~q\ & (!\led_flash_cnt[2257][4]~58485\ & VCC))
-- \led_flash_cnt[2257][5]~58487\ = CARRY((\led_flash_cnt[2257][5]~q\ & !\led_flash_cnt[2257][4]~58485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2257][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2257][4]~58485\,
	combout => \led_flash_cnt[2257][5]~58486_combout\,
	cout => \led_flash_cnt[2257][5]~58487\);

-- Location: FF_X14_Y3_N9
\led_flash_cnt[2257][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2257][5]~58486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2257][5]~q\);

-- Location: LCCOMB_X14_Y3_N10
\led_flash_cnt[2257][6]~58488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2257][6]~58488_combout\ = (\led_flash_cnt[2257][6]~q\ & (!\led_flash_cnt[2257][5]~58487\)) # (!\led_flash_cnt[2257][6]~q\ & ((\led_flash_cnt[2257][5]~58487\) # (GND)))
-- \led_flash_cnt[2257][6]~58489\ = CARRY((!\led_flash_cnt[2257][5]~58487\) # (!\led_flash_cnt[2257][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2257][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2257][5]~58487\,
	combout => \led_flash_cnt[2257][6]~58488_combout\,
	cout => \led_flash_cnt[2257][6]~58489\);

-- Location: FF_X14_Y3_N11
\led_flash_cnt[2257][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2257][6]~58488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2257][6]~q\);

-- Location: LCCOMB_X14_Y3_N12
\led_flash_cnt[2257][7]~58490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2257][7]~58490_combout\ = \led_flash_cnt[2257][6]~58489\ $ (!\led_flash_cnt[2257][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2257][7]~q\,
	cin => \led_flash_cnt[2257][6]~58489\,
	combout => \led_flash_cnt[2257][7]~58490_combout\);

-- Location: FF_X14_Y3_N13
\led_flash_cnt[2257][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2257][7]~58490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2257][7]~q\);

-- Location: LCCOMB_X13_Y3_N0
\WideAnd2257~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2257~1_combout\ = (\led_flash_cnt[2257][6]~q\ & \led_flash_cnt[2257][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2257][6]~q\,
	datac => \led_flash_cnt[2257][5]~q\,
	combout => \WideAnd2257~1_combout\);

-- Location: LCCOMB_X13_Y3_N28
WideAnd2257 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2257~combout\ = (\led_flash_cnt[2257][0]~q\ & (\WideAnd2257~0_combout\ & (\led_flash_cnt[2257][7]~q\ & \WideAnd2257~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2257][0]~q\,
	datab => \WideAnd2257~0_combout\,
	datac => \led_flash_cnt[2257][7]~q\,
	datad => \WideAnd2257~1_combout\,
	combout => \WideAnd2257~combout\);

-- Location: FF_X13_Y3_N29
\led_flash_cnt_ands[2257]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2257~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2257));

-- Location: LCCOMB_X14_Y2_N10
\led_flash_cnt[2256][0]~82896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2256][0]~82896_combout\ = !\led_flash_cnt[2256][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2256][0]~q\,
	combout => \led_flash_cnt[2256][0]~82896_combout\);

-- Location: FF_X14_Y2_N11
\led_flash_cnt[2256][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2256][0]~82896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2256][0]~q\);

-- Location: LCCOMB_X14_Y2_N18
\led_flash_cnt[2256][1]~58464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2256][1]~58464_combout\ = (\led_flash_cnt[2256][0]~q\ & (\led_flash_cnt[2256][1]~q\ $ (VCC))) # (!\led_flash_cnt[2256][0]~q\ & (\led_flash_cnt[2256][1]~q\ & VCC))
-- \led_flash_cnt[2256][1]~58465\ = CARRY((\led_flash_cnt[2256][0]~q\ & \led_flash_cnt[2256][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2256][0]~q\,
	datab => \led_flash_cnt[2256][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2256][1]~58464_combout\,
	cout => \led_flash_cnt[2256][1]~58465\);

-- Location: FF_X14_Y2_N19
\led_flash_cnt[2256][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2256][1]~58464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2256][1]~q\);

-- Location: LCCOMB_X14_Y2_N20
\led_flash_cnt[2256][2]~58466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2256][2]~58466_combout\ = (\led_flash_cnt[2256][2]~q\ & (!\led_flash_cnt[2256][1]~58465\)) # (!\led_flash_cnt[2256][2]~q\ & ((\led_flash_cnt[2256][1]~58465\) # (GND)))
-- \led_flash_cnt[2256][2]~58467\ = CARRY((!\led_flash_cnt[2256][1]~58465\) # (!\led_flash_cnt[2256][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2256][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2256][1]~58465\,
	combout => \led_flash_cnt[2256][2]~58466_combout\,
	cout => \led_flash_cnt[2256][2]~58467\);

-- Location: FF_X14_Y2_N21
\led_flash_cnt[2256][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2256][2]~58466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2256][2]~q\);

-- Location: LCCOMB_X14_Y2_N22
\led_flash_cnt[2256][3]~58468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2256][3]~58468_combout\ = (\led_flash_cnt[2256][3]~q\ & (\led_flash_cnt[2256][2]~58467\ $ (GND))) # (!\led_flash_cnt[2256][3]~q\ & (!\led_flash_cnt[2256][2]~58467\ & VCC))
-- \led_flash_cnt[2256][3]~58469\ = CARRY((\led_flash_cnt[2256][3]~q\ & !\led_flash_cnt[2256][2]~58467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2256][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2256][2]~58467\,
	combout => \led_flash_cnt[2256][3]~58468_combout\,
	cout => \led_flash_cnt[2256][3]~58469\);

-- Location: FF_X14_Y2_N23
\led_flash_cnt[2256][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2256][3]~58468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2256][3]~q\);

-- Location: LCCOMB_X14_Y2_N24
\led_flash_cnt[2256][4]~58470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2256][4]~58470_combout\ = (\led_flash_cnt[2256][4]~q\ & (!\led_flash_cnt[2256][3]~58469\)) # (!\led_flash_cnt[2256][4]~q\ & ((\led_flash_cnt[2256][3]~58469\) # (GND)))
-- \led_flash_cnt[2256][4]~58471\ = CARRY((!\led_flash_cnt[2256][3]~58469\) # (!\led_flash_cnt[2256][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2256][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2256][3]~58469\,
	combout => \led_flash_cnt[2256][4]~58470_combout\,
	cout => \led_flash_cnt[2256][4]~58471\);

-- Location: FF_X14_Y2_N25
\led_flash_cnt[2256][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2256][4]~58470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2256][4]~q\);

-- Location: LCCOMB_X14_Y2_N4
\WideAnd2256~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2256~0_combout\ = (\led_flash_cnt[2256][1]~q\ & (\led_flash_cnt[2256][2]~q\ & (\led_flash_cnt[2256][3]~q\ & \led_flash_cnt[2256][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2256][1]~q\,
	datab => \led_flash_cnt[2256][2]~q\,
	datac => \led_flash_cnt[2256][3]~q\,
	datad => \led_flash_cnt[2256][4]~q\,
	combout => \WideAnd2256~0_combout\);

-- Location: LCCOMB_X14_Y2_N26
\led_flash_cnt[2256][5]~58472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2256][5]~58472_combout\ = (\led_flash_cnt[2256][5]~q\ & (\led_flash_cnt[2256][4]~58471\ $ (GND))) # (!\led_flash_cnt[2256][5]~q\ & (!\led_flash_cnt[2256][4]~58471\ & VCC))
-- \led_flash_cnt[2256][5]~58473\ = CARRY((\led_flash_cnt[2256][5]~q\ & !\led_flash_cnt[2256][4]~58471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2256][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2256][4]~58471\,
	combout => \led_flash_cnt[2256][5]~58472_combout\,
	cout => \led_flash_cnt[2256][5]~58473\);

-- Location: FF_X14_Y2_N27
\led_flash_cnt[2256][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2256][5]~58472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2256][5]~q\);

-- Location: LCCOMB_X14_Y2_N28
\led_flash_cnt[2256][6]~58474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2256][6]~58474_combout\ = (\led_flash_cnt[2256][6]~q\ & (!\led_flash_cnt[2256][5]~58473\)) # (!\led_flash_cnt[2256][6]~q\ & ((\led_flash_cnt[2256][5]~58473\) # (GND)))
-- \led_flash_cnt[2256][6]~58475\ = CARRY((!\led_flash_cnt[2256][5]~58473\) # (!\led_flash_cnt[2256][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2256][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2256][5]~58473\,
	combout => \led_flash_cnt[2256][6]~58474_combout\,
	cout => \led_flash_cnt[2256][6]~58475\);

-- Location: FF_X14_Y2_N29
\led_flash_cnt[2256][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2256][6]~58474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2256][6]~q\);

-- Location: LCCOMB_X14_Y2_N30
\led_flash_cnt[2256][7]~58476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2256][7]~58476_combout\ = \led_flash_cnt[2256][7]~q\ $ (!\led_flash_cnt[2256][6]~58475\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2256][7]~q\,
	cin => \led_flash_cnt[2256][6]~58475\,
	combout => \led_flash_cnt[2256][7]~58476_combout\);

-- Location: FF_X14_Y2_N31
\led_flash_cnt[2256][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2256][7]~58476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2256][7]~q\);

-- Location: LCCOMB_X14_Y2_N12
\WideAnd2256~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2256~1_combout\ = (\led_flash_cnt[2256][5]~q\ & \led_flash_cnt[2256][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2256][5]~q\,
	datad => \led_flash_cnt[2256][6]~q\,
	combout => \WideAnd2256~1_combout\);

-- Location: LCCOMB_X14_Y2_N0
WideAnd2256 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2256~combout\ = (\led_flash_cnt[2256][0]~q\ & (\WideAnd2256~0_combout\ & (\led_flash_cnt[2256][7]~q\ & \WideAnd2256~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2256][0]~q\,
	datab => \WideAnd2256~0_combout\,
	datac => \led_flash_cnt[2256][7]~q\,
	datad => \WideAnd2256~1_combout\,
	combout => \WideAnd2256~combout\);

-- Location: FF_X14_Y2_N1
\led_flash_cnt_ands[2256]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2256~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2256));

-- Location: LCCOMB_X11_Y3_N2
\led_flash_cnt[2259][0]~82899\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2259][0]~82899_combout\ = !\led_flash_cnt[2259][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2259][0]~q\,
	combout => \led_flash_cnt[2259][0]~82899_combout\);

-- Location: FF_X11_Y3_N3
\led_flash_cnt[2259][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2259][0]~82899_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2259][0]~q\);

-- Location: LCCOMB_X12_Y3_N0
\led_flash_cnt[2259][1]~58506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2259][1]~58506_combout\ = (\led_flash_cnt[2259][0]~q\ & (\led_flash_cnt[2259][1]~q\ $ (VCC))) # (!\led_flash_cnt[2259][0]~q\ & (\led_flash_cnt[2259][1]~q\ & VCC))
-- \led_flash_cnt[2259][1]~58507\ = CARRY((\led_flash_cnt[2259][0]~q\ & \led_flash_cnt[2259][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2259][0]~q\,
	datab => \led_flash_cnt[2259][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2259][1]~58506_combout\,
	cout => \led_flash_cnt[2259][1]~58507\);

-- Location: FF_X12_Y3_N1
\led_flash_cnt[2259][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2259][1]~58506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2259][1]~q\);

-- Location: LCCOMB_X12_Y3_N2
\led_flash_cnt[2259][2]~58508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2259][2]~58508_combout\ = (\led_flash_cnt[2259][2]~q\ & (!\led_flash_cnt[2259][1]~58507\)) # (!\led_flash_cnt[2259][2]~q\ & ((\led_flash_cnt[2259][1]~58507\) # (GND)))
-- \led_flash_cnt[2259][2]~58509\ = CARRY((!\led_flash_cnt[2259][1]~58507\) # (!\led_flash_cnt[2259][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2259][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2259][1]~58507\,
	combout => \led_flash_cnt[2259][2]~58508_combout\,
	cout => \led_flash_cnt[2259][2]~58509\);

-- Location: FF_X12_Y3_N3
\led_flash_cnt[2259][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2259][2]~58508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2259][2]~q\);

-- Location: LCCOMB_X12_Y3_N4
\led_flash_cnt[2259][3]~58510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2259][3]~58510_combout\ = (\led_flash_cnt[2259][3]~q\ & (\led_flash_cnt[2259][2]~58509\ $ (GND))) # (!\led_flash_cnt[2259][3]~q\ & (!\led_flash_cnt[2259][2]~58509\ & VCC))
-- \led_flash_cnt[2259][3]~58511\ = CARRY((\led_flash_cnt[2259][3]~q\ & !\led_flash_cnt[2259][2]~58509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2259][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2259][2]~58509\,
	combout => \led_flash_cnt[2259][3]~58510_combout\,
	cout => \led_flash_cnt[2259][3]~58511\);

-- Location: FF_X12_Y3_N5
\led_flash_cnt[2259][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2259][3]~58510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2259][3]~q\);

-- Location: LCCOMB_X12_Y3_N6
\led_flash_cnt[2259][4]~58512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2259][4]~58512_combout\ = (\led_flash_cnt[2259][4]~q\ & (!\led_flash_cnt[2259][3]~58511\)) # (!\led_flash_cnt[2259][4]~q\ & ((\led_flash_cnt[2259][3]~58511\) # (GND)))
-- \led_flash_cnt[2259][4]~58513\ = CARRY((!\led_flash_cnt[2259][3]~58511\) # (!\led_flash_cnt[2259][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2259][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2259][3]~58511\,
	combout => \led_flash_cnt[2259][4]~58512_combout\,
	cout => \led_flash_cnt[2259][4]~58513\);

-- Location: FF_X12_Y3_N7
\led_flash_cnt[2259][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2259][4]~58512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2259][4]~q\);

-- Location: LCCOMB_X12_Y3_N8
\led_flash_cnt[2259][5]~58514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2259][5]~58514_combout\ = (\led_flash_cnt[2259][5]~q\ & (\led_flash_cnt[2259][4]~58513\ $ (GND))) # (!\led_flash_cnt[2259][5]~q\ & (!\led_flash_cnt[2259][4]~58513\ & VCC))
-- \led_flash_cnt[2259][5]~58515\ = CARRY((\led_flash_cnt[2259][5]~q\ & !\led_flash_cnt[2259][4]~58513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2259][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2259][4]~58513\,
	combout => \led_flash_cnt[2259][5]~58514_combout\,
	cout => \led_flash_cnt[2259][5]~58515\);

-- Location: FF_X12_Y3_N9
\led_flash_cnt[2259][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2259][5]~58514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2259][5]~q\);

-- Location: LCCOMB_X12_Y3_N10
\led_flash_cnt[2259][6]~58516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2259][6]~58516_combout\ = (\led_flash_cnt[2259][6]~q\ & (!\led_flash_cnt[2259][5]~58515\)) # (!\led_flash_cnt[2259][6]~q\ & ((\led_flash_cnt[2259][5]~58515\) # (GND)))
-- \led_flash_cnt[2259][6]~58517\ = CARRY((!\led_flash_cnt[2259][5]~58515\) # (!\led_flash_cnt[2259][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2259][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2259][5]~58515\,
	combout => \led_flash_cnt[2259][6]~58516_combout\,
	cout => \led_flash_cnt[2259][6]~58517\);

-- Location: FF_X12_Y3_N11
\led_flash_cnt[2259][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2259][6]~58516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2259][6]~q\);

-- Location: LCCOMB_X12_Y3_N12
\led_flash_cnt[2259][7]~58518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2259][7]~58518_combout\ = \led_flash_cnt[2259][6]~58517\ $ (!\led_flash_cnt[2259][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2259][7]~q\,
	cin => \led_flash_cnt[2259][6]~58517\,
	combout => \led_flash_cnt[2259][7]~58518_combout\);

-- Location: FF_X12_Y3_N13
\led_flash_cnt[2259][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2259][7]~58518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2259][7]~q\);

-- Location: LCCOMB_X12_Y3_N28
\WideAnd2259~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2259~0_combout\ = (\led_flash_cnt[2259][4]~q\ & (\led_flash_cnt[2259][2]~q\ & (\led_flash_cnt[2259][3]~q\ & \led_flash_cnt[2259][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2259][4]~q\,
	datab => \led_flash_cnt[2259][2]~q\,
	datac => \led_flash_cnt[2259][3]~q\,
	datad => \led_flash_cnt[2259][1]~q\,
	combout => \WideAnd2259~0_combout\);

-- Location: LCCOMB_X13_Y3_N2
\WideAnd2259~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2259~1_combout\ = (\led_flash_cnt[2259][6]~q\ & \led_flash_cnt[2259][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2259][6]~q\,
	datad => \led_flash_cnt[2259][5]~q\,
	combout => \WideAnd2259~1_combout\);

-- Location: LCCOMB_X13_Y3_N12
WideAnd2259 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2259~combout\ = (\led_flash_cnt[2259][7]~q\ & (\WideAnd2259~0_combout\ & (\led_flash_cnt[2259][0]~q\ & \WideAnd2259~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2259][7]~q\,
	datab => \WideAnd2259~0_combout\,
	datac => \led_flash_cnt[2259][0]~q\,
	datad => \WideAnd2259~1_combout\,
	combout => \WideAnd2259~combout\);

-- Location: FF_X13_Y3_N13
\led_flash_cnt_ands[2259]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2259~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2259));

-- Location: LCCOMB_X13_Y3_N4
\WideAnd4122~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4122~0_combout\ = (led_flash_cnt_ands(2258) & (led_flash_cnt_ands(2257) & (led_flash_cnt_ands(2256) & led_flash_cnt_ands(2259))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2258),
	datab => led_flash_cnt_ands(2257),
	datac => led_flash_cnt_ands(2256),
	datad => led_flash_cnt_ands(2259),
	combout => \WideAnd4122~0_combout\);

-- Location: LCCOMB_X9_Y4_N26
\led_flash_cnt[2263][0]~82903\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2263][0]~82903_combout\ = !\led_flash_cnt[2263][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2263][0]~q\,
	combout => \led_flash_cnt[2263][0]~82903_combout\);

-- Location: FF_X9_Y4_N27
\led_flash_cnt[2263][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2263][0]~82903_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2263][0]~q\);

-- Location: LCCOMB_X10_Y4_N4
\led_flash_cnt[2263][1]~58562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2263][1]~58562_combout\ = (\led_flash_cnt[2263][0]~q\ & (\led_flash_cnt[2263][1]~q\ $ (VCC))) # (!\led_flash_cnt[2263][0]~q\ & (\led_flash_cnt[2263][1]~q\ & VCC))
-- \led_flash_cnt[2263][1]~58563\ = CARRY((\led_flash_cnt[2263][0]~q\ & \led_flash_cnt[2263][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2263][0]~q\,
	datab => \led_flash_cnt[2263][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2263][1]~58562_combout\,
	cout => \led_flash_cnt[2263][1]~58563\);

-- Location: FF_X10_Y4_N5
\led_flash_cnt[2263][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2263][1]~58562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2263][1]~q\);

-- Location: LCCOMB_X10_Y4_N6
\led_flash_cnt[2263][2]~58564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2263][2]~58564_combout\ = (\led_flash_cnt[2263][2]~q\ & (!\led_flash_cnt[2263][1]~58563\)) # (!\led_flash_cnt[2263][2]~q\ & ((\led_flash_cnt[2263][1]~58563\) # (GND)))
-- \led_flash_cnt[2263][2]~58565\ = CARRY((!\led_flash_cnt[2263][1]~58563\) # (!\led_flash_cnt[2263][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2263][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2263][1]~58563\,
	combout => \led_flash_cnt[2263][2]~58564_combout\,
	cout => \led_flash_cnt[2263][2]~58565\);

-- Location: FF_X10_Y4_N7
\led_flash_cnt[2263][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2263][2]~58564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2263][2]~q\);

-- Location: LCCOMB_X10_Y4_N8
\led_flash_cnt[2263][3]~58566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2263][3]~58566_combout\ = (\led_flash_cnt[2263][3]~q\ & (\led_flash_cnt[2263][2]~58565\ $ (GND))) # (!\led_flash_cnt[2263][3]~q\ & (!\led_flash_cnt[2263][2]~58565\ & VCC))
-- \led_flash_cnt[2263][3]~58567\ = CARRY((\led_flash_cnt[2263][3]~q\ & !\led_flash_cnt[2263][2]~58565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2263][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2263][2]~58565\,
	combout => \led_flash_cnt[2263][3]~58566_combout\,
	cout => \led_flash_cnt[2263][3]~58567\);

-- Location: FF_X10_Y4_N9
\led_flash_cnt[2263][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2263][3]~58566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2263][3]~q\);

-- Location: LCCOMB_X10_Y4_N10
\led_flash_cnt[2263][4]~58568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2263][4]~58568_combout\ = (\led_flash_cnt[2263][4]~q\ & (!\led_flash_cnt[2263][3]~58567\)) # (!\led_flash_cnt[2263][4]~q\ & ((\led_flash_cnt[2263][3]~58567\) # (GND)))
-- \led_flash_cnt[2263][4]~58569\ = CARRY((!\led_flash_cnt[2263][3]~58567\) # (!\led_flash_cnt[2263][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2263][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2263][3]~58567\,
	combout => \led_flash_cnt[2263][4]~58568_combout\,
	cout => \led_flash_cnt[2263][4]~58569\);

-- Location: FF_X10_Y4_N11
\led_flash_cnt[2263][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2263][4]~58568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2263][4]~q\);

-- Location: LCCOMB_X10_Y4_N12
\led_flash_cnt[2263][5]~58570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2263][5]~58570_combout\ = (\led_flash_cnt[2263][5]~q\ & (\led_flash_cnt[2263][4]~58569\ $ (GND))) # (!\led_flash_cnt[2263][5]~q\ & (!\led_flash_cnt[2263][4]~58569\ & VCC))
-- \led_flash_cnt[2263][5]~58571\ = CARRY((\led_flash_cnt[2263][5]~q\ & !\led_flash_cnt[2263][4]~58569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2263][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2263][4]~58569\,
	combout => \led_flash_cnt[2263][5]~58570_combout\,
	cout => \led_flash_cnt[2263][5]~58571\);

-- Location: FF_X10_Y4_N13
\led_flash_cnt[2263][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2263][5]~58570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2263][5]~q\);

-- Location: LCCOMB_X10_Y4_N14
\led_flash_cnt[2263][6]~58572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2263][6]~58572_combout\ = (\led_flash_cnt[2263][6]~q\ & (!\led_flash_cnt[2263][5]~58571\)) # (!\led_flash_cnt[2263][6]~q\ & ((\led_flash_cnt[2263][5]~58571\) # (GND)))
-- \led_flash_cnt[2263][6]~58573\ = CARRY((!\led_flash_cnt[2263][5]~58571\) # (!\led_flash_cnt[2263][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2263][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2263][5]~58571\,
	combout => \led_flash_cnt[2263][6]~58572_combout\,
	cout => \led_flash_cnt[2263][6]~58573\);

-- Location: FF_X10_Y4_N15
\led_flash_cnt[2263][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2263][6]~58572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2263][6]~q\);

-- Location: LCCOMB_X10_Y4_N16
\led_flash_cnt[2263][7]~58574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2263][7]~58574_combout\ = \led_flash_cnt[2263][6]~58573\ $ (!\led_flash_cnt[2263][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2263][7]~q\,
	cin => \led_flash_cnt[2263][6]~58573\,
	combout => \led_flash_cnt[2263][7]~58574_combout\);

-- Location: FF_X10_Y4_N17
\led_flash_cnt[2263][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2263][7]~58574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2263][7]~q\);

-- Location: LCCOMB_X9_Y4_N30
\WideAnd2263~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2263~1_combout\ = (\led_flash_cnt[2263][6]~q\ & \led_flash_cnt[2263][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2263][6]~q\,
	datac => \led_flash_cnt[2263][5]~q\,
	combout => \WideAnd2263~1_combout\);

-- Location: LCCOMB_X10_Y4_N2
\WideAnd2263~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2263~0_combout\ = (\led_flash_cnt[2263][2]~q\ & (\led_flash_cnt[2263][1]~q\ & (\led_flash_cnt[2263][3]~q\ & \led_flash_cnt[2263][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2263][2]~q\,
	datab => \led_flash_cnt[2263][1]~q\,
	datac => \led_flash_cnt[2263][3]~q\,
	datad => \led_flash_cnt[2263][4]~q\,
	combout => \WideAnd2263~0_combout\);

-- Location: LCCOMB_X9_Y4_N28
WideAnd2263 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2263~combout\ = (\led_flash_cnt[2263][0]~q\ & (\led_flash_cnt[2263][7]~q\ & (\WideAnd2263~1_combout\ & \WideAnd2263~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2263][0]~q\,
	datab => \led_flash_cnt[2263][7]~q\,
	datac => \WideAnd2263~1_combout\,
	datad => \WideAnd2263~0_combout\,
	combout => \WideAnd2263~combout\);

-- Location: FF_X9_Y4_N29
\led_flash_cnt_ands[2263]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2263~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2263));

-- Location: LCCOMB_X25_Y8_N12
\led_flash_cnt[2261][0]~82901\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2261][0]~82901_combout\ = !\led_flash_cnt[2261][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2261][0]~q\,
	combout => \led_flash_cnt[2261][0]~82901_combout\);

-- Location: FF_X25_Y8_N13
\led_flash_cnt[2261][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2261][0]~82901_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2261][0]~q\);

-- Location: LCCOMB_X25_Y8_N14
\led_flash_cnt[2261][1]~58534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2261][1]~58534_combout\ = (\led_flash_cnt[2261][0]~q\ & (\led_flash_cnt[2261][1]~q\ $ (VCC))) # (!\led_flash_cnt[2261][0]~q\ & (\led_flash_cnt[2261][1]~q\ & VCC))
-- \led_flash_cnt[2261][1]~58535\ = CARRY((\led_flash_cnt[2261][0]~q\ & \led_flash_cnt[2261][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2261][0]~q\,
	datab => \led_flash_cnt[2261][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2261][1]~58534_combout\,
	cout => \led_flash_cnt[2261][1]~58535\);

-- Location: FF_X25_Y8_N15
\led_flash_cnt[2261][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2261][1]~58534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2261][1]~q\);

-- Location: LCCOMB_X25_Y8_N16
\led_flash_cnt[2261][2]~58536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2261][2]~58536_combout\ = (\led_flash_cnt[2261][2]~q\ & (!\led_flash_cnt[2261][1]~58535\)) # (!\led_flash_cnt[2261][2]~q\ & ((\led_flash_cnt[2261][1]~58535\) # (GND)))
-- \led_flash_cnt[2261][2]~58537\ = CARRY((!\led_flash_cnt[2261][1]~58535\) # (!\led_flash_cnt[2261][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2261][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2261][1]~58535\,
	combout => \led_flash_cnt[2261][2]~58536_combout\,
	cout => \led_flash_cnt[2261][2]~58537\);

-- Location: FF_X25_Y8_N17
\led_flash_cnt[2261][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2261][2]~58536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2261][2]~q\);

-- Location: LCCOMB_X25_Y8_N18
\led_flash_cnt[2261][3]~58538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2261][3]~58538_combout\ = (\led_flash_cnt[2261][3]~q\ & (\led_flash_cnt[2261][2]~58537\ $ (GND))) # (!\led_flash_cnt[2261][3]~q\ & (!\led_flash_cnt[2261][2]~58537\ & VCC))
-- \led_flash_cnt[2261][3]~58539\ = CARRY((\led_flash_cnt[2261][3]~q\ & !\led_flash_cnt[2261][2]~58537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2261][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2261][2]~58537\,
	combout => \led_flash_cnt[2261][3]~58538_combout\,
	cout => \led_flash_cnt[2261][3]~58539\);

-- Location: FF_X25_Y8_N19
\led_flash_cnt[2261][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2261][3]~58538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2261][3]~q\);

-- Location: LCCOMB_X25_Y8_N20
\led_flash_cnt[2261][4]~58540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2261][4]~58540_combout\ = (\led_flash_cnt[2261][4]~q\ & (!\led_flash_cnt[2261][3]~58539\)) # (!\led_flash_cnt[2261][4]~q\ & ((\led_flash_cnt[2261][3]~58539\) # (GND)))
-- \led_flash_cnt[2261][4]~58541\ = CARRY((!\led_flash_cnt[2261][3]~58539\) # (!\led_flash_cnt[2261][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2261][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2261][3]~58539\,
	combout => \led_flash_cnt[2261][4]~58540_combout\,
	cout => \led_flash_cnt[2261][4]~58541\);

-- Location: FF_X25_Y8_N21
\led_flash_cnt[2261][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2261][4]~58540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2261][4]~q\);

-- Location: LCCOMB_X25_Y8_N22
\led_flash_cnt[2261][5]~58542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2261][5]~58542_combout\ = (\led_flash_cnt[2261][5]~q\ & (\led_flash_cnt[2261][4]~58541\ $ (GND))) # (!\led_flash_cnt[2261][5]~q\ & (!\led_flash_cnt[2261][4]~58541\ & VCC))
-- \led_flash_cnt[2261][5]~58543\ = CARRY((\led_flash_cnt[2261][5]~q\ & !\led_flash_cnt[2261][4]~58541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2261][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2261][4]~58541\,
	combout => \led_flash_cnt[2261][5]~58542_combout\,
	cout => \led_flash_cnt[2261][5]~58543\);

-- Location: FF_X25_Y8_N23
\led_flash_cnt[2261][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2261][5]~58542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2261][5]~q\);

-- Location: LCCOMB_X25_Y8_N24
\led_flash_cnt[2261][6]~58544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2261][6]~58544_combout\ = (\led_flash_cnt[2261][6]~q\ & (!\led_flash_cnt[2261][5]~58543\)) # (!\led_flash_cnt[2261][6]~q\ & ((\led_flash_cnt[2261][5]~58543\) # (GND)))
-- \led_flash_cnt[2261][6]~58545\ = CARRY((!\led_flash_cnt[2261][5]~58543\) # (!\led_flash_cnt[2261][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2261][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2261][5]~58543\,
	combout => \led_flash_cnt[2261][6]~58544_combout\,
	cout => \led_flash_cnt[2261][6]~58545\);

-- Location: FF_X25_Y8_N25
\led_flash_cnt[2261][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2261][6]~58544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2261][6]~q\);

-- Location: LCCOMB_X25_Y8_N6
\WideAnd2261~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2261~1_combout\ = (\led_flash_cnt[2261][5]~q\ & \led_flash_cnt[2261][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2261][5]~q\,
	datad => \led_flash_cnt[2261][6]~q\,
	combout => \WideAnd2261~1_combout\);

-- Location: LCCOMB_X25_Y8_N4
\WideAnd2261~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2261~0_combout\ = (\led_flash_cnt[2261][3]~q\ & (\led_flash_cnt[2261][4]~q\ & (\led_flash_cnt[2261][1]~q\ & \led_flash_cnt[2261][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2261][3]~q\,
	datab => \led_flash_cnt[2261][4]~q\,
	datac => \led_flash_cnt[2261][1]~q\,
	datad => \led_flash_cnt[2261][2]~q\,
	combout => \WideAnd2261~0_combout\);

-- Location: LCCOMB_X25_Y8_N26
\led_flash_cnt[2261][7]~58546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2261][7]~58546_combout\ = \led_flash_cnt[2261][7]~q\ $ (!\led_flash_cnt[2261][6]~58545\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2261][7]~q\,
	cin => \led_flash_cnt[2261][6]~58545\,
	combout => \led_flash_cnt[2261][7]~58546_combout\);

-- Location: FF_X25_Y8_N27
\led_flash_cnt[2261][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2261][7]~58546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2261][7]~q\);

-- Location: LCCOMB_X25_Y8_N28
WideAnd2261 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2261~combout\ = (\WideAnd2261~1_combout\ & (\WideAnd2261~0_combout\ & (\led_flash_cnt[2261][7]~q\ & \led_flash_cnt[2261][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2261~1_combout\,
	datab => \WideAnd2261~0_combout\,
	datac => \led_flash_cnt[2261][7]~q\,
	datad => \led_flash_cnt[2261][0]~q\,
	combout => \WideAnd2261~combout\);

-- Location: FF_X25_Y8_N29
\led_flash_cnt_ands[2261]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2261~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2261));

-- Location: LCCOMB_X6_Y5_N22
\led_flash_cnt[2260][0]~82900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2260][0]~82900_combout\ = !\led_flash_cnt[2260][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2260][0]~q\,
	combout => \led_flash_cnt[2260][0]~82900_combout\);

-- Location: FF_X6_Y5_N23
\led_flash_cnt[2260][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2260][0]~82900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2260][0]~q\);

-- Location: LCCOMB_X6_Y5_N0
\led_flash_cnt[2260][1]~58520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2260][1]~58520_combout\ = (\led_flash_cnt[2260][0]~q\ & (\led_flash_cnt[2260][1]~q\ $ (VCC))) # (!\led_flash_cnt[2260][0]~q\ & (\led_flash_cnt[2260][1]~q\ & VCC))
-- \led_flash_cnt[2260][1]~58521\ = CARRY((\led_flash_cnt[2260][0]~q\ & \led_flash_cnt[2260][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2260][0]~q\,
	datab => \led_flash_cnt[2260][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2260][1]~58520_combout\,
	cout => \led_flash_cnt[2260][1]~58521\);

-- Location: FF_X6_Y5_N1
\led_flash_cnt[2260][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2260][1]~58520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2260][1]~q\);

-- Location: LCCOMB_X6_Y5_N2
\led_flash_cnt[2260][2]~58522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2260][2]~58522_combout\ = (\led_flash_cnt[2260][2]~q\ & (!\led_flash_cnt[2260][1]~58521\)) # (!\led_flash_cnt[2260][2]~q\ & ((\led_flash_cnt[2260][1]~58521\) # (GND)))
-- \led_flash_cnt[2260][2]~58523\ = CARRY((!\led_flash_cnt[2260][1]~58521\) # (!\led_flash_cnt[2260][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2260][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2260][1]~58521\,
	combout => \led_flash_cnt[2260][2]~58522_combout\,
	cout => \led_flash_cnt[2260][2]~58523\);

-- Location: FF_X6_Y5_N3
\led_flash_cnt[2260][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2260][2]~58522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2260][2]~q\);

-- Location: LCCOMB_X6_Y5_N4
\led_flash_cnt[2260][3]~58524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2260][3]~58524_combout\ = (\led_flash_cnt[2260][3]~q\ & (\led_flash_cnt[2260][2]~58523\ $ (GND))) # (!\led_flash_cnt[2260][3]~q\ & (!\led_flash_cnt[2260][2]~58523\ & VCC))
-- \led_flash_cnt[2260][3]~58525\ = CARRY((\led_flash_cnt[2260][3]~q\ & !\led_flash_cnt[2260][2]~58523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2260][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2260][2]~58523\,
	combout => \led_flash_cnt[2260][3]~58524_combout\,
	cout => \led_flash_cnt[2260][3]~58525\);

-- Location: FF_X6_Y5_N5
\led_flash_cnt[2260][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2260][3]~58524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2260][3]~q\);

-- Location: LCCOMB_X6_Y5_N6
\led_flash_cnt[2260][4]~58526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2260][4]~58526_combout\ = (\led_flash_cnt[2260][4]~q\ & (!\led_flash_cnt[2260][3]~58525\)) # (!\led_flash_cnt[2260][4]~q\ & ((\led_flash_cnt[2260][3]~58525\) # (GND)))
-- \led_flash_cnt[2260][4]~58527\ = CARRY((!\led_flash_cnt[2260][3]~58525\) # (!\led_flash_cnt[2260][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2260][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2260][3]~58525\,
	combout => \led_flash_cnt[2260][4]~58526_combout\,
	cout => \led_flash_cnt[2260][4]~58527\);

-- Location: FF_X6_Y5_N7
\led_flash_cnt[2260][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2260][4]~58526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2260][4]~q\);

-- Location: LCCOMB_X6_Y5_N8
\led_flash_cnt[2260][5]~58528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2260][5]~58528_combout\ = (\led_flash_cnt[2260][5]~q\ & (\led_flash_cnt[2260][4]~58527\ $ (GND))) # (!\led_flash_cnt[2260][5]~q\ & (!\led_flash_cnt[2260][4]~58527\ & VCC))
-- \led_flash_cnt[2260][5]~58529\ = CARRY((\led_flash_cnt[2260][5]~q\ & !\led_flash_cnt[2260][4]~58527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2260][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2260][4]~58527\,
	combout => \led_flash_cnt[2260][5]~58528_combout\,
	cout => \led_flash_cnt[2260][5]~58529\);

-- Location: FF_X6_Y5_N9
\led_flash_cnt[2260][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2260][5]~58528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2260][5]~q\);

-- Location: LCCOMB_X6_Y5_N10
\led_flash_cnt[2260][6]~58530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2260][6]~58530_combout\ = (\led_flash_cnt[2260][6]~q\ & (!\led_flash_cnt[2260][5]~58529\)) # (!\led_flash_cnt[2260][6]~q\ & ((\led_flash_cnt[2260][5]~58529\) # (GND)))
-- \led_flash_cnt[2260][6]~58531\ = CARRY((!\led_flash_cnt[2260][5]~58529\) # (!\led_flash_cnt[2260][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2260][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2260][5]~58529\,
	combout => \led_flash_cnt[2260][6]~58530_combout\,
	cout => \led_flash_cnt[2260][6]~58531\);

-- Location: FF_X6_Y5_N11
\led_flash_cnt[2260][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2260][6]~58530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2260][6]~q\);

-- Location: LCCOMB_X6_Y5_N12
\led_flash_cnt[2260][7]~58532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2260][7]~58532_combout\ = \led_flash_cnt[2260][6]~58531\ $ (!\led_flash_cnt[2260][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2260][7]~q\,
	cin => \led_flash_cnt[2260][6]~58531\,
	combout => \led_flash_cnt[2260][7]~58532_combout\);

-- Location: FF_X6_Y5_N13
\led_flash_cnt[2260][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2260][7]~58532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2260][7]~q\);

-- Location: LCCOMB_X6_Y5_N20
\WideAnd2260~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2260~0_combout\ = (\led_flash_cnt[2260][4]~q\ & (\led_flash_cnt[2260][1]~q\ & (\led_flash_cnt[2260][3]~q\ & \led_flash_cnt[2260][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2260][4]~q\,
	datab => \led_flash_cnt[2260][1]~q\,
	datac => \led_flash_cnt[2260][3]~q\,
	datad => \led_flash_cnt[2260][2]~q\,
	combout => \WideAnd2260~0_combout\);

-- Location: LCCOMB_X6_Y5_N18
\WideAnd2260~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2260~1_combout\ = (\led_flash_cnt[2260][5]~q\ & \led_flash_cnt[2260][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2260][5]~q\,
	datad => \led_flash_cnt[2260][6]~q\,
	combout => \WideAnd2260~1_combout\);

-- Location: LCCOMB_X6_Y5_N28
WideAnd2260 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2260~combout\ = (\led_flash_cnt[2260][7]~q\ & (\WideAnd2260~0_combout\ & (\led_flash_cnt[2260][0]~q\ & \WideAnd2260~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2260][7]~q\,
	datab => \WideAnd2260~0_combout\,
	datac => \led_flash_cnt[2260][0]~q\,
	datad => \WideAnd2260~1_combout\,
	combout => \WideAnd2260~combout\);

-- Location: FF_X6_Y5_N29
\led_flash_cnt_ands[2260]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2260~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2260));

-- Location: LCCOMB_X9_Y5_N30
\WideAnd4122~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4122~1_combout\ = (led_flash_cnt_ands(2261) & led_flash_cnt_ands(2260))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2261),
	datad => led_flash_cnt_ands(2260),
	combout => \WideAnd4122~1_combout\);

-- Location: LCCOMB_X9_Y4_N8
\led_flash_cnt[2262][0]~82902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2262][0]~82902_combout\ = !\led_flash_cnt[2262][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2262][0]~q\,
	combout => \led_flash_cnt[2262][0]~82902_combout\);

-- Location: FF_X9_Y4_N9
\led_flash_cnt[2262][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2262][0]~82902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2262][0]~q\);

-- Location: LCCOMB_X9_Y4_N12
\led_flash_cnt[2262][1]~58548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2262][1]~58548_combout\ = (\led_flash_cnt[2262][1]~q\ & (\led_flash_cnt[2262][0]~q\ $ (VCC))) # (!\led_flash_cnt[2262][1]~q\ & (\led_flash_cnt[2262][0]~q\ & VCC))
-- \led_flash_cnt[2262][1]~58549\ = CARRY((\led_flash_cnt[2262][1]~q\ & \led_flash_cnt[2262][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2262][1]~q\,
	datab => \led_flash_cnt[2262][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2262][1]~58548_combout\,
	cout => \led_flash_cnt[2262][1]~58549\);

-- Location: FF_X9_Y4_N13
\led_flash_cnt[2262][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2262][1]~58548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2262][1]~q\);

-- Location: LCCOMB_X9_Y4_N14
\led_flash_cnt[2262][2]~58550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2262][2]~58550_combout\ = (\led_flash_cnt[2262][2]~q\ & (!\led_flash_cnt[2262][1]~58549\)) # (!\led_flash_cnt[2262][2]~q\ & ((\led_flash_cnt[2262][1]~58549\) # (GND)))
-- \led_flash_cnt[2262][2]~58551\ = CARRY((!\led_flash_cnt[2262][1]~58549\) # (!\led_flash_cnt[2262][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2262][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2262][1]~58549\,
	combout => \led_flash_cnt[2262][2]~58550_combout\,
	cout => \led_flash_cnt[2262][2]~58551\);

-- Location: FF_X9_Y4_N15
\led_flash_cnt[2262][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2262][2]~58550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2262][2]~q\);

-- Location: LCCOMB_X9_Y4_N16
\led_flash_cnt[2262][3]~58552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2262][3]~58552_combout\ = (\led_flash_cnt[2262][3]~q\ & (\led_flash_cnt[2262][2]~58551\ $ (GND))) # (!\led_flash_cnt[2262][3]~q\ & (!\led_flash_cnt[2262][2]~58551\ & VCC))
-- \led_flash_cnt[2262][3]~58553\ = CARRY((\led_flash_cnt[2262][3]~q\ & !\led_flash_cnt[2262][2]~58551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2262][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2262][2]~58551\,
	combout => \led_flash_cnt[2262][3]~58552_combout\,
	cout => \led_flash_cnt[2262][3]~58553\);

-- Location: FF_X9_Y4_N17
\led_flash_cnt[2262][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2262][3]~58552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2262][3]~q\);

-- Location: LCCOMB_X9_Y4_N18
\led_flash_cnt[2262][4]~58554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2262][4]~58554_combout\ = (\led_flash_cnt[2262][4]~q\ & (!\led_flash_cnt[2262][3]~58553\)) # (!\led_flash_cnt[2262][4]~q\ & ((\led_flash_cnt[2262][3]~58553\) # (GND)))
-- \led_flash_cnt[2262][4]~58555\ = CARRY((!\led_flash_cnt[2262][3]~58553\) # (!\led_flash_cnt[2262][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2262][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2262][3]~58553\,
	combout => \led_flash_cnt[2262][4]~58554_combout\,
	cout => \led_flash_cnt[2262][4]~58555\);

-- Location: FF_X9_Y4_N19
\led_flash_cnt[2262][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2262][4]~58554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2262][4]~q\);

-- Location: LCCOMB_X9_Y4_N20
\led_flash_cnt[2262][5]~58556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2262][5]~58556_combout\ = (\led_flash_cnt[2262][5]~q\ & (\led_flash_cnt[2262][4]~58555\ $ (GND))) # (!\led_flash_cnt[2262][5]~q\ & (!\led_flash_cnt[2262][4]~58555\ & VCC))
-- \led_flash_cnt[2262][5]~58557\ = CARRY((\led_flash_cnt[2262][5]~q\ & !\led_flash_cnt[2262][4]~58555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2262][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2262][4]~58555\,
	combout => \led_flash_cnt[2262][5]~58556_combout\,
	cout => \led_flash_cnt[2262][5]~58557\);

-- Location: FF_X9_Y4_N21
\led_flash_cnt[2262][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2262][5]~58556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2262][5]~q\);

-- Location: LCCOMB_X9_Y4_N22
\led_flash_cnt[2262][6]~58558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2262][6]~58558_combout\ = (\led_flash_cnt[2262][6]~q\ & (!\led_flash_cnt[2262][5]~58557\)) # (!\led_flash_cnt[2262][6]~q\ & ((\led_flash_cnt[2262][5]~58557\) # (GND)))
-- \led_flash_cnt[2262][6]~58559\ = CARRY((!\led_flash_cnt[2262][5]~58557\) # (!\led_flash_cnt[2262][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2262][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2262][5]~58557\,
	combout => \led_flash_cnt[2262][6]~58558_combout\,
	cout => \led_flash_cnt[2262][6]~58559\);

-- Location: FF_X9_Y4_N23
\led_flash_cnt[2262][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2262][6]~58558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2262][6]~q\);

-- Location: LCCOMB_X9_Y4_N6
\WideAnd2262~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2262~1_combout\ = (\led_flash_cnt[2262][6]~q\ & \led_flash_cnt[2262][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2262][6]~q\,
	datad => \led_flash_cnt[2262][5]~q\,
	combout => \WideAnd2262~1_combout\);

-- Location: LCCOMB_X9_Y4_N4
\WideAnd2262~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2262~0_combout\ = (\led_flash_cnt[2262][1]~q\ & (\led_flash_cnt[2262][3]~q\ & (\led_flash_cnt[2262][2]~q\ & \led_flash_cnt[2262][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2262][1]~q\,
	datab => \led_flash_cnt[2262][3]~q\,
	datac => \led_flash_cnt[2262][2]~q\,
	datad => \led_flash_cnt[2262][4]~q\,
	combout => \WideAnd2262~0_combout\);

-- Location: LCCOMB_X9_Y4_N24
\led_flash_cnt[2262][7]~58560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2262][7]~58560_combout\ = \led_flash_cnt[2262][6]~58559\ $ (!\led_flash_cnt[2262][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2262][7]~q\,
	cin => \led_flash_cnt[2262][6]~58559\,
	combout => \led_flash_cnt[2262][7]~58560_combout\);

-- Location: FF_X9_Y4_N25
\led_flash_cnt[2262][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2262][7]~58560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2262][7]~q\);

-- Location: LCCOMB_X9_Y4_N10
WideAnd2262 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2262~combout\ = (\WideAnd2262~1_combout\ & (\led_flash_cnt[2262][0]~q\ & (\WideAnd2262~0_combout\ & \led_flash_cnt[2262][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2262~1_combout\,
	datab => \led_flash_cnt[2262][0]~q\,
	datac => \WideAnd2262~0_combout\,
	datad => \led_flash_cnt[2262][7]~q\,
	combout => \WideAnd2262~combout\);

-- Location: FF_X9_Y4_N11
\led_flash_cnt_ands[2262]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2262~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2262));

-- Location: LCCOMB_X9_Y4_N2
WideAnd4122 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4122~combout\ = (\WideAnd4122~0_combout\ & (led_flash_cnt_ands(2263) & (\WideAnd4122~1_combout\ & led_flash_cnt_ands(2262))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4122~0_combout\,
	datab => led_flash_cnt_ands(2263),
	datac => \WideAnd4122~1_combout\,
	datad => led_flash_cnt_ands(2262),
	combout => \WideAnd4122~combout\);

-- Location: FF_X9_Y4_N3
\led_flash_cnt_ands_1[282]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4122~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(282));

-- Location: LCCOMB_X19_Y18_N10
\WideAnd4355~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4355~0_combout\ = (led_flash_cnt_ands_1(280) & (led_flash_cnt_ands_1(283) & (led_flash_cnt_ands_1(281) & led_flash_cnt_ands_1(282))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(280),
	datab => led_flash_cnt_ands_1(283),
	datac => led_flash_cnt_ands_1(281),
	datad => led_flash_cnt_ands_1(282),
	combout => \WideAnd4355~0_combout\);

-- Location: LCCOMB_X12_Y8_N2
\led_flash_cnt[2278][0]~82918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2278][0]~82918_combout\ = !\led_flash_cnt[2278][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2278][0]~q\,
	combout => \led_flash_cnt[2278][0]~82918_combout\);

-- Location: FF_X12_Y8_N3
\led_flash_cnt[2278][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2278][0]~82918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2278][0]~q\);

-- Location: LCCOMB_X11_Y8_N16
\led_flash_cnt[2278][1]~58772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2278][1]~58772_combout\ = (\led_flash_cnt[2278][0]~q\ & (\led_flash_cnt[2278][1]~q\ $ (VCC))) # (!\led_flash_cnt[2278][0]~q\ & (\led_flash_cnt[2278][1]~q\ & VCC))
-- \led_flash_cnt[2278][1]~58773\ = CARRY((\led_flash_cnt[2278][0]~q\ & \led_flash_cnt[2278][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2278][0]~q\,
	datab => \led_flash_cnt[2278][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2278][1]~58772_combout\,
	cout => \led_flash_cnt[2278][1]~58773\);

-- Location: FF_X11_Y8_N17
\led_flash_cnt[2278][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2278][1]~58772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2278][1]~q\);

-- Location: LCCOMB_X11_Y8_N18
\led_flash_cnt[2278][2]~58774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2278][2]~58774_combout\ = (\led_flash_cnt[2278][2]~q\ & (!\led_flash_cnt[2278][1]~58773\)) # (!\led_flash_cnt[2278][2]~q\ & ((\led_flash_cnt[2278][1]~58773\) # (GND)))
-- \led_flash_cnt[2278][2]~58775\ = CARRY((!\led_flash_cnt[2278][1]~58773\) # (!\led_flash_cnt[2278][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2278][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2278][1]~58773\,
	combout => \led_flash_cnt[2278][2]~58774_combout\,
	cout => \led_flash_cnt[2278][2]~58775\);

-- Location: FF_X11_Y8_N19
\led_flash_cnt[2278][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2278][2]~58774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2278][2]~q\);

-- Location: LCCOMB_X11_Y8_N20
\led_flash_cnt[2278][3]~58776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2278][3]~58776_combout\ = (\led_flash_cnt[2278][3]~q\ & (\led_flash_cnt[2278][2]~58775\ $ (GND))) # (!\led_flash_cnt[2278][3]~q\ & (!\led_flash_cnt[2278][2]~58775\ & VCC))
-- \led_flash_cnt[2278][3]~58777\ = CARRY((\led_flash_cnt[2278][3]~q\ & !\led_flash_cnt[2278][2]~58775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2278][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2278][2]~58775\,
	combout => \led_flash_cnt[2278][3]~58776_combout\,
	cout => \led_flash_cnt[2278][3]~58777\);

-- Location: FF_X11_Y8_N21
\led_flash_cnt[2278][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2278][3]~58776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2278][3]~q\);

-- Location: LCCOMB_X11_Y8_N22
\led_flash_cnt[2278][4]~58778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2278][4]~58778_combout\ = (\led_flash_cnt[2278][4]~q\ & (!\led_flash_cnt[2278][3]~58777\)) # (!\led_flash_cnt[2278][4]~q\ & ((\led_flash_cnt[2278][3]~58777\) # (GND)))
-- \led_flash_cnt[2278][4]~58779\ = CARRY((!\led_flash_cnt[2278][3]~58777\) # (!\led_flash_cnt[2278][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2278][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2278][3]~58777\,
	combout => \led_flash_cnt[2278][4]~58778_combout\,
	cout => \led_flash_cnt[2278][4]~58779\);

-- Location: FF_X11_Y8_N23
\led_flash_cnt[2278][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2278][4]~58778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2278][4]~q\);

-- Location: LCCOMB_X11_Y8_N14
\WideAnd2278~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2278~0_combout\ = (\led_flash_cnt[2278][1]~q\ & (\led_flash_cnt[2278][2]~q\ & (\led_flash_cnt[2278][4]~q\ & \led_flash_cnt[2278][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2278][1]~q\,
	datab => \led_flash_cnt[2278][2]~q\,
	datac => \led_flash_cnt[2278][4]~q\,
	datad => \led_flash_cnt[2278][3]~q\,
	combout => \WideAnd2278~0_combout\);

-- Location: LCCOMB_X11_Y8_N24
\led_flash_cnt[2278][5]~58780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2278][5]~58780_combout\ = (\led_flash_cnt[2278][5]~q\ & (\led_flash_cnt[2278][4]~58779\ $ (GND))) # (!\led_flash_cnt[2278][5]~q\ & (!\led_flash_cnt[2278][4]~58779\ & VCC))
-- \led_flash_cnt[2278][5]~58781\ = CARRY((\led_flash_cnt[2278][5]~q\ & !\led_flash_cnt[2278][4]~58779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2278][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2278][4]~58779\,
	combout => \led_flash_cnt[2278][5]~58780_combout\,
	cout => \led_flash_cnt[2278][5]~58781\);

-- Location: FF_X11_Y8_N25
\led_flash_cnt[2278][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2278][5]~58780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2278][5]~q\);

-- Location: LCCOMB_X11_Y8_N26
\led_flash_cnt[2278][6]~58782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2278][6]~58782_combout\ = (\led_flash_cnt[2278][6]~q\ & (!\led_flash_cnt[2278][5]~58781\)) # (!\led_flash_cnt[2278][6]~q\ & ((\led_flash_cnt[2278][5]~58781\) # (GND)))
-- \led_flash_cnt[2278][6]~58783\ = CARRY((!\led_flash_cnt[2278][5]~58781\) # (!\led_flash_cnt[2278][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2278][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2278][5]~58781\,
	combout => \led_flash_cnt[2278][6]~58782_combout\,
	cout => \led_flash_cnt[2278][6]~58783\);

-- Location: FF_X11_Y8_N27
\led_flash_cnt[2278][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2278][6]~58782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2278][6]~q\);

-- Location: LCCOMB_X11_Y8_N28
\led_flash_cnt[2278][7]~58784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2278][7]~58784_combout\ = \led_flash_cnt[2278][6]~58783\ $ (!\led_flash_cnt[2278][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2278][7]~q\,
	cin => \led_flash_cnt[2278][6]~58783\,
	combout => \led_flash_cnt[2278][7]~58784_combout\);

-- Location: FF_X11_Y8_N29
\led_flash_cnt[2278][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2278][7]~58784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2278][7]~q\);

-- Location: LCCOMB_X12_Y8_N30
\WideAnd2278~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2278~1_combout\ = (\led_flash_cnt[2278][6]~q\ & \led_flash_cnt[2278][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2278][6]~q\,
	datad => \led_flash_cnt[2278][5]~q\,
	combout => \WideAnd2278~1_combout\);

-- Location: LCCOMB_X12_Y8_N0
WideAnd2278 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2278~combout\ = (\WideAnd2278~0_combout\ & (\led_flash_cnt[2278][7]~q\ & (\WideAnd2278~1_combout\ & \led_flash_cnt[2278][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2278~0_combout\,
	datab => \led_flash_cnt[2278][7]~q\,
	datac => \WideAnd2278~1_combout\,
	datad => \led_flash_cnt[2278][0]~q\,
	combout => \WideAnd2278~combout\);

-- Location: FF_X12_Y8_N1
\led_flash_cnt_ands[2278]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2278~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2278));

-- Location: LCCOMB_X14_Y9_N30
\led_flash_cnt[2279][0]~82919\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2279][0]~82919_combout\ = !\led_flash_cnt[2279][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2279][0]~q\,
	combout => \led_flash_cnt[2279][0]~82919_combout\);

-- Location: FF_X14_Y9_N31
\led_flash_cnt[2279][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2279][0]~82919_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2279][0]~q\);

-- Location: LCCOMB_X13_Y9_N18
\led_flash_cnt[2279][1]~58786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2279][1]~58786_combout\ = (\led_flash_cnt[2279][0]~q\ & (\led_flash_cnt[2279][1]~q\ $ (VCC))) # (!\led_flash_cnt[2279][0]~q\ & (\led_flash_cnt[2279][1]~q\ & VCC))
-- \led_flash_cnt[2279][1]~58787\ = CARRY((\led_flash_cnt[2279][0]~q\ & \led_flash_cnt[2279][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2279][0]~q\,
	datab => \led_flash_cnt[2279][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2279][1]~58786_combout\,
	cout => \led_flash_cnt[2279][1]~58787\);

-- Location: FF_X13_Y9_N19
\led_flash_cnt[2279][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2279][1]~58786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2279][1]~q\);

-- Location: LCCOMB_X13_Y9_N20
\led_flash_cnt[2279][2]~58788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2279][2]~58788_combout\ = (\led_flash_cnt[2279][2]~q\ & (!\led_flash_cnt[2279][1]~58787\)) # (!\led_flash_cnt[2279][2]~q\ & ((\led_flash_cnt[2279][1]~58787\) # (GND)))
-- \led_flash_cnt[2279][2]~58789\ = CARRY((!\led_flash_cnt[2279][1]~58787\) # (!\led_flash_cnt[2279][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2279][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2279][1]~58787\,
	combout => \led_flash_cnt[2279][2]~58788_combout\,
	cout => \led_flash_cnt[2279][2]~58789\);

-- Location: FF_X13_Y9_N21
\led_flash_cnt[2279][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2279][2]~58788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2279][2]~q\);

-- Location: LCCOMB_X13_Y9_N22
\led_flash_cnt[2279][3]~58790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2279][3]~58790_combout\ = (\led_flash_cnt[2279][3]~q\ & (\led_flash_cnt[2279][2]~58789\ $ (GND))) # (!\led_flash_cnt[2279][3]~q\ & (!\led_flash_cnt[2279][2]~58789\ & VCC))
-- \led_flash_cnt[2279][3]~58791\ = CARRY((\led_flash_cnt[2279][3]~q\ & !\led_flash_cnt[2279][2]~58789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2279][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2279][2]~58789\,
	combout => \led_flash_cnt[2279][3]~58790_combout\,
	cout => \led_flash_cnt[2279][3]~58791\);

-- Location: FF_X13_Y9_N23
\led_flash_cnt[2279][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2279][3]~58790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2279][3]~q\);

-- Location: LCCOMB_X13_Y9_N24
\led_flash_cnt[2279][4]~58792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2279][4]~58792_combout\ = (\led_flash_cnt[2279][4]~q\ & (!\led_flash_cnt[2279][3]~58791\)) # (!\led_flash_cnt[2279][4]~q\ & ((\led_flash_cnt[2279][3]~58791\) # (GND)))
-- \led_flash_cnt[2279][4]~58793\ = CARRY((!\led_flash_cnt[2279][3]~58791\) # (!\led_flash_cnt[2279][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2279][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2279][3]~58791\,
	combout => \led_flash_cnt[2279][4]~58792_combout\,
	cout => \led_flash_cnt[2279][4]~58793\);

-- Location: FF_X13_Y9_N25
\led_flash_cnt[2279][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2279][4]~58792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2279][4]~q\);

-- Location: LCCOMB_X13_Y9_N26
\led_flash_cnt[2279][5]~58794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2279][5]~58794_combout\ = (\led_flash_cnt[2279][5]~q\ & (\led_flash_cnt[2279][4]~58793\ $ (GND))) # (!\led_flash_cnt[2279][5]~q\ & (!\led_flash_cnt[2279][4]~58793\ & VCC))
-- \led_flash_cnt[2279][5]~58795\ = CARRY((\led_flash_cnt[2279][5]~q\ & !\led_flash_cnt[2279][4]~58793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2279][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2279][4]~58793\,
	combout => \led_flash_cnt[2279][5]~58794_combout\,
	cout => \led_flash_cnt[2279][5]~58795\);

-- Location: FF_X13_Y9_N27
\led_flash_cnt[2279][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2279][5]~58794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2279][5]~q\);

-- Location: LCCOMB_X13_Y9_N28
\led_flash_cnt[2279][6]~58796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2279][6]~58796_combout\ = (\led_flash_cnt[2279][6]~q\ & (!\led_flash_cnt[2279][5]~58795\)) # (!\led_flash_cnt[2279][6]~q\ & ((\led_flash_cnt[2279][5]~58795\) # (GND)))
-- \led_flash_cnt[2279][6]~58797\ = CARRY((!\led_flash_cnt[2279][5]~58795\) # (!\led_flash_cnt[2279][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2279][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2279][5]~58795\,
	combout => \led_flash_cnt[2279][6]~58796_combout\,
	cout => \led_flash_cnt[2279][6]~58797\);

-- Location: FF_X13_Y9_N29
\led_flash_cnt[2279][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2279][6]~58796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2279][6]~q\);

-- Location: LCCOMB_X13_Y9_N30
\led_flash_cnt[2279][7]~58798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2279][7]~58798_combout\ = \led_flash_cnt[2279][7]~q\ $ (!\led_flash_cnt[2279][6]~58797\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2279][7]~q\,
	cin => \led_flash_cnt[2279][6]~58797\,
	combout => \led_flash_cnt[2279][7]~58798_combout\);

-- Location: FF_X13_Y9_N31
\led_flash_cnt[2279][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2279][7]~58798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2279][7]~q\);

-- Location: LCCOMB_X13_Y9_N16
\WideAnd2279~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2279~0_combout\ = (\led_flash_cnt[2279][4]~q\ & (\led_flash_cnt[2279][1]~q\ & (\led_flash_cnt[2279][3]~q\ & \led_flash_cnt[2279][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2279][4]~q\,
	datab => \led_flash_cnt[2279][1]~q\,
	datac => \led_flash_cnt[2279][3]~q\,
	datad => \led_flash_cnt[2279][2]~q\,
	combout => \WideAnd2279~0_combout\);

-- Location: LCCOMB_X14_Y9_N16
\WideAnd2279~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2279~1_combout\ = (\led_flash_cnt[2279][5]~q\ & \led_flash_cnt[2279][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2279][5]~q\,
	datad => \led_flash_cnt[2279][6]~q\,
	combout => \WideAnd2279~1_combout\);

-- Location: LCCOMB_X14_Y9_N20
WideAnd2279 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2279~combout\ = (\led_flash_cnt[2279][0]~q\ & (\led_flash_cnt[2279][7]~q\ & (\WideAnd2279~0_combout\ & \WideAnd2279~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2279][0]~q\,
	datab => \led_flash_cnt[2279][7]~q\,
	datac => \WideAnd2279~0_combout\,
	datad => \WideAnd2279~1_combout\,
	combout => \WideAnd2279~combout\);

-- Location: FF_X14_Y9_N21
\led_flash_cnt_ands[2279]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2279~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2279));

-- Location: LCCOMB_X18_Y12_N0
\led_flash_cnt[2277][0]~82917\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2277][0]~82917_combout\ = !\led_flash_cnt[2277][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2277][0]~q\,
	combout => \led_flash_cnt[2277][0]~82917_combout\);

-- Location: FF_X18_Y12_N1
\led_flash_cnt[2277][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2277][0]~82917_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2277][0]~q\);

-- Location: LCCOMB_X18_Y12_N12
\led_flash_cnt[2277][1]~58758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2277][1]~58758_combout\ = (\led_flash_cnt[2277][1]~q\ & (\led_flash_cnt[2277][0]~q\ $ (VCC))) # (!\led_flash_cnt[2277][1]~q\ & (\led_flash_cnt[2277][0]~q\ & VCC))
-- \led_flash_cnt[2277][1]~58759\ = CARRY((\led_flash_cnt[2277][1]~q\ & \led_flash_cnt[2277][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2277][1]~q\,
	datab => \led_flash_cnt[2277][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2277][1]~58758_combout\,
	cout => \led_flash_cnt[2277][1]~58759\);

-- Location: FF_X18_Y12_N13
\led_flash_cnt[2277][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2277][1]~58758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2277][1]~q\);

-- Location: LCCOMB_X18_Y12_N14
\led_flash_cnt[2277][2]~58760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2277][2]~58760_combout\ = (\led_flash_cnt[2277][2]~q\ & (!\led_flash_cnt[2277][1]~58759\)) # (!\led_flash_cnt[2277][2]~q\ & ((\led_flash_cnt[2277][1]~58759\) # (GND)))
-- \led_flash_cnt[2277][2]~58761\ = CARRY((!\led_flash_cnt[2277][1]~58759\) # (!\led_flash_cnt[2277][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2277][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2277][1]~58759\,
	combout => \led_flash_cnt[2277][2]~58760_combout\,
	cout => \led_flash_cnt[2277][2]~58761\);

-- Location: FF_X18_Y12_N15
\led_flash_cnt[2277][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2277][2]~58760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2277][2]~q\);

-- Location: LCCOMB_X18_Y12_N16
\led_flash_cnt[2277][3]~58762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2277][3]~58762_combout\ = (\led_flash_cnt[2277][3]~q\ & (\led_flash_cnt[2277][2]~58761\ $ (GND))) # (!\led_flash_cnt[2277][3]~q\ & (!\led_flash_cnt[2277][2]~58761\ & VCC))
-- \led_flash_cnt[2277][3]~58763\ = CARRY((\led_flash_cnt[2277][3]~q\ & !\led_flash_cnt[2277][2]~58761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2277][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2277][2]~58761\,
	combout => \led_flash_cnt[2277][3]~58762_combout\,
	cout => \led_flash_cnt[2277][3]~58763\);

-- Location: FF_X18_Y12_N17
\led_flash_cnt[2277][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2277][3]~58762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2277][3]~q\);

-- Location: LCCOMB_X18_Y12_N18
\led_flash_cnt[2277][4]~58764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2277][4]~58764_combout\ = (\led_flash_cnt[2277][4]~q\ & (!\led_flash_cnt[2277][3]~58763\)) # (!\led_flash_cnt[2277][4]~q\ & ((\led_flash_cnt[2277][3]~58763\) # (GND)))
-- \led_flash_cnt[2277][4]~58765\ = CARRY((!\led_flash_cnt[2277][3]~58763\) # (!\led_flash_cnt[2277][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2277][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2277][3]~58763\,
	combout => \led_flash_cnt[2277][4]~58764_combout\,
	cout => \led_flash_cnt[2277][4]~58765\);

-- Location: FF_X18_Y12_N19
\led_flash_cnt[2277][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2277][4]~58764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2277][4]~q\);

-- Location: LCCOMB_X18_Y12_N20
\led_flash_cnt[2277][5]~58766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2277][5]~58766_combout\ = (\led_flash_cnt[2277][5]~q\ & (\led_flash_cnt[2277][4]~58765\ $ (GND))) # (!\led_flash_cnt[2277][5]~q\ & (!\led_flash_cnt[2277][4]~58765\ & VCC))
-- \led_flash_cnt[2277][5]~58767\ = CARRY((\led_flash_cnt[2277][5]~q\ & !\led_flash_cnt[2277][4]~58765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2277][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2277][4]~58765\,
	combout => \led_flash_cnt[2277][5]~58766_combout\,
	cout => \led_flash_cnt[2277][5]~58767\);

-- Location: FF_X18_Y12_N21
\led_flash_cnt[2277][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2277][5]~58766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2277][5]~q\);

-- Location: LCCOMB_X18_Y12_N22
\led_flash_cnt[2277][6]~58768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2277][6]~58768_combout\ = (\led_flash_cnt[2277][6]~q\ & (!\led_flash_cnt[2277][5]~58767\)) # (!\led_flash_cnt[2277][6]~q\ & ((\led_flash_cnt[2277][5]~58767\) # (GND)))
-- \led_flash_cnt[2277][6]~58769\ = CARRY((!\led_flash_cnt[2277][5]~58767\) # (!\led_flash_cnt[2277][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2277][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2277][5]~58767\,
	combout => \led_flash_cnt[2277][6]~58768_combout\,
	cout => \led_flash_cnt[2277][6]~58769\);

-- Location: FF_X18_Y12_N23
\led_flash_cnt[2277][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2277][6]~58768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2277][6]~q\);

-- Location: LCCOMB_X18_Y12_N26
\WideAnd2277~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2277~1_combout\ = (\led_flash_cnt[2277][6]~q\ & \led_flash_cnt[2277][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2277][6]~q\,
	datad => \led_flash_cnt[2277][5]~q\,
	combout => \WideAnd2277~1_combout\);

-- Location: LCCOMB_X18_Y12_N4
\WideAnd2277~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2277~0_combout\ = (\led_flash_cnt[2277][1]~q\ & (\led_flash_cnt[2277][4]~q\ & (\led_flash_cnt[2277][2]~q\ & \led_flash_cnt[2277][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2277][1]~q\,
	datab => \led_flash_cnt[2277][4]~q\,
	datac => \led_flash_cnt[2277][2]~q\,
	datad => \led_flash_cnt[2277][3]~q\,
	combout => \WideAnd2277~0_combout\);

-- Location: LCCOMB_X18_Y12_N24
\led_flash_cnt[2277][7]~58770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2277][7]~58770_combout\ = \led_flash_cnt[2277][6]~58769\ $ (!\led_flash_cnt[2277][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2277][7]~q\,
	cin => \led_flash_cnt[2277][6]~58769\,
	combout => \led_flash_cnt[2277][7]~58770_combout\);

-- Location: FF_X18_Y12_N25
\led_flash_cnt[2277][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2277][7]~58770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2277][7]~q\);

-- Location: LCCOMB_X18_Y12_N30
WideAnd2277 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2277~combout\ = (\WideAnd2277~1_combout\ & (\led_flash_cnt[2277][0]~q\ & (\WideAnd2277~0_combout\ & \led_flash_cnt[2277][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2277~1_combout\,
	datab => \led_flash_cnt[2277][0]~q\,
	datac => \WideAnd2277~0_combout\,
	datad => \led_flash_cnt[2277][7]~q\,
	combout => \WideAnd2277~combout\);

-- Location: FF_X18_Y12_N31
\led_flash_cnt_ands[2277]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2277~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2277));

-- Location: LCCOMB_X18_Y12_N6
\led_flash_cnt[2276][0]~82916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2276][0]~82916_combout\ = !\led_flash_cnt[2276][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2276][0]~q\,
	combout => \led_flash_cnt[2276][0]~82916_combout\);

-- Location: FF_X18_Y12_N7
\led_flash_cnt[2276][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2276][0]~82916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2276][0]~q\);

-- Location: LCCOMB_X19_Y12_N16
\led_flash_cnt[2276][1]~58744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2276][1]~58744_combout\ = (\led_flash_cnt[2276][0]~q\ & (\led_flash_cnt[2276][1]~q\ $ (VCC))) # (!\led_flash_cnt[2276][0]~q\ & (\led_flash_cnt[2276][1]~q\ & VCC))
-- \led_flash_cnt[2276][1]~58745\ = CARRY((\led_flash_cnt[2276][0]~q\ & \led_flash_cnt[2276][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2276][0]~q\,
	datab => \led_flash_cnt[2276][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2276][1]~58744_combout\,
	cout => \led_flash_cnt[2276][1]~58745\);

-- Location: FF_X19_Y12_N17
\led_flash_cnt[2276][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2276][1]~58744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2276][1]~q\);

-- Location: LCCOMB_X19_Y12_N18
\led_flash_cnt[2276][2]~58746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2276][2]~58746_combout\ = (\led_flash_cnt[2276][2]~q\ & (!\led_flash_cnt[2276][1]~58745\)) # (!\led_flash_cnt[2276][2]~q\ & ((\led_flash_cnt[2276][1]~58745\) # (GND)))
-- \led_flash_cnt[2276][2]~58747\ = CARRY((!\led_flash_cnt[2276][1]~58745\) # (!\led_flash_cnt[2276][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2276][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2276][1]~58745\,
	combout => \led_flash_cnt[2276][2]~58746_combout\,
	cout => \led_flash_cnt[2276][2]~58747\);

-- Location: FF_X19_Y12_N19
\led_flash_cnt[2276][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2276][2]~58746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2276][2]~q\);

-- Location: LCCOMB_X19_Y12_N20
\led_flash_cnt[2276][3]~58748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2276][3]~58748_combout\ = (\led_flash_cnt[2276][3]~q\ & (\led_flash_cnt[2276][2]~58747\ $ (GND))) # (!\led_flash_cnt[2276][3]~q\ & (!\led_flash_cnt[2276][2]~58747\ & VCC))
-- \led_flash_cnt[2276][3]~58749\ = CARRY((\led_flash_cnt[2276][3]~q\ & !\led_flash_cnt[2276][2]~58747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2276][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2276][2]~58747\,
	combout => \led_flash_cnt[2276][3]~58748_combout\,
	cout => \led_flash_cnt[2276][3]~58749\);

-- Location: FF_X19_Y12_N21
\led_flash_cnt[2276][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2276][3]~58748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2276][3]~q\);

-- Location: LCCOMB_X19_Y12_N22
\led_flash_cnt[2276][4]~58750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2276][4]~58750_combout\ = (\led_flash_cnt[2276][4]~q\ & (!\led_flash_cnt[2276][3]~58749\)) # (!\led_flash_cnt[2276][4]~q\ & ((\led_flash_cnt[2276][3]~58749\) # (GND)))
-- \led_flash_cnt[2276][4]~58751\ = CARRY((!\led_flash_cnt[2276][3]~58749\) # (!\led_flash_cnt[2276][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2276][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2276][3]~58749\,
	combout => \led_flash_cnt[2276][4]~58750_combout\,
	cout => \led_flash_cnt[2276][4]~58751\);

-- Location: FF_X19_Y12_N23
\led_flash_cnt[2276][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2276][4]~58750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2276][4]~q\);

-- Location: LCCOMB_X19_Y12_N24
\led_flash_cnt[2276][5]~58752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2276][5]~58752_combout\ = (\led_flash_cnt[2276][5]~q\ & (\led_flash_cnt[2276][4]~58751\ $ (GND))) # (!\led_flash_cnt[2276][5]~q\ & (!\led_flash_cnt[2276][4]~58751\ & VCC))
-- \led_flash_cnt[2276][5]~58753\ = CARRY((\led_flash_cnt[2276][5]~q\ & !\led_flash_cnt[2276][4]~58751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2276][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2276][4]~58751\,
	combout => \led_flash_cnt[2276][5]~58752_combout\,
	cout => \led_flash_cnt[2276][5]~58753\);

-- Location: FF_X19_Y12_N25
\led_flash_cnt[2276][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2276][5]~58752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2276][5]~q\);

-- Location: LCCOMB_X19_Y12_N26
\led_flash_cnt[2276][6]~58754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2276][6]~58754_combout\ = (\led_flash_cnt[2276][6]~q\ & (!\led_flash_cnt[2276][5]~58753\)) # (!\led_flash_cnt[2276][6]~q\ & ((\led_flash_cnt[2276][5]~58753\) # (GND)))
-- \led_flash_cnt[2276][6]~58755\ = CARRY((!\led_flash_cnt[2276][5]~58753\) # (!\led_flash_cnt[2276][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2276][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2276][5]~58753\,
	combout => \led_flash_cnt[2276][6]~58754_combout\,
	cout => \led_flash_cnt[2276][6]~58755\);

-- Location: FF_X19_Y12_N27
\led_flash_cnt[2276][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2276][6]~58754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2276][6]~q\);

-- Location: LCCOMB_X19_Y12_N28
\led_flash_cnt[2276][7]~58756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2276][7]~58756_combout\ = \led_flash_cnt[2276][6]~58755\ $ (!\led_flash_cnt[2276][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2276][7]~q\,
	cin => \led_flash_cnt[2276][6]~58755\,
	combout => \led_flash_cnt[2276][7]~58756_combout\);

-- Location: FF_X19_Y12_N29
\led_flash_cnt[2276][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2276][7]~58756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2276][7]~q\);

-- Location: LCCOMB_X19_Y12_N14
\WideAnd2276~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2276~0_combout\ = (\led_flash_cnt[2276][1]~q\ & (\led_flash_cnt[2276][2]~q\ & (\led_flash_cnt[2276][4]~q\ & \led_flash_cnt[2276][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2276][1]~q\,
	datab => \led_flash_cnt[2276][2]~q\,
	datac => \led_flash_cnt[2276][4]~q\,
	datad => \led_flash_cnt[2276][3]~q\,
	combout => \WideAnd2276~0_combout\);

-- Location: LCCOMB_X18_Y12_N10
\WideAnd2276~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2276~1_combout\ = (\led_flash_cnt[2276][5]~q\ & \led_flash_cnt[2276][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2276][5]~q\,
	datad => \led_flash_cnt[2276][6]~q\,
	combout => \WideAnd2276~1_combout\);

-- Location: LCCOMB_X18_Y12_N2
WideAnd2276 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2276~combout\ = (\led_flash_cnt[2276][0]~q\ & (\led_flash_cnt[2276][7]~q\ & (\WideAnd2276~0_combout\ & \WideAnd2276~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2276][0]~q\,
	datab => \led_flash_cnt[2276][7]~q\,
	datac => \WideAnd2276~0_combout\,
	datad => \WideAnd2276~1_combout\,
	combout => \WideAnd2276~combout\);

-- Location: FF_X18_Y12_N3
\led_flash_cnt_ands[2276]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2276~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2276));

-- Location: LCCOMB_X18_Y12_N8
\WideAnd4124~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4124~1_combout\ = (led_flash_cnt_ands(2277) & led_flash_cnt_ands(2276))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2277),
	datad => led_flash_cnt_ands(2276),
	combout => \WideAnd4124~1_combout\);

-- Location: LCCOMB_X14_Y9_N28
\led_flash_cnt[2275][0]~82915\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2275][0]~82915_combout\ = !\led_flash_cnt[2275][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2275][0]~q\,
	combout => \led_flash_cnt[2275][0]~82915_combout\);

-- Location: FF_X14_Y9_N29
\led_flash_cnt[2275][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2275][0]~82915_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2275][0]~q\);

-- Location: LCCOMB_X14_Y9_N0
\led_flash_cnt[2275][1]~58730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2275][1]~58730_combout\ = (\led_flash_cnt[2275][1]~q\ & (\led_flash_cnt[2275][0]~q\ $ (VCC))) # (!\led_flash_cnt[2275][1]~q\ & (\led_flash_cnt[2275][0]~q\ & VCC))
-- \led_flash_cnt[2275][1]~58731\ = CARRY((\led_flash_cnt[2275][1]~q\ & \led_flash_cnt[2275][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2275][1]~q\,
	datab => \led_flash_cnt[2275][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2275][1]~58730_combout\,
	cout => \led_flash_cnt[2275][1]~58731\);

-- Location: FF_X14_Y9_N1
\led_flash_cnt[2275][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2275][1]~58730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2275][1]~q\);

-- Location: LCCOMB_X14_Y9_N2
\led_flash_cnt[2275][2]~58732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2275][2]~58732_combout\ = (\led_flash_cnt[2275][2]~q\ & (!\led_flash_cnt[2275][1]~58731\)) # (!\led_flash_cnt[2275][2]~q\ & ((\led_flash_cnt[2275][1]~58731\) # (GND)))
-- \led_flash_cnt[2275][2]~58733\ = CARRY((!\led_flash_cnt[2275][1]~58731\) # (!\led_flash_cnt[2275][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2275][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2275][1]~58731\,
	combout => \led_flash_cnt[2275][2]~58732_combout\,
	cout => \led_flash_cnt[2275][2]~58733\);

-- Location: FF_X14_Y9_N3
\led_flash_cnt[2275][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2275][2]~58732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2275][2]~q\);

-- Location: LCCOMB_X14_Y9_N4
\led_flash_cnt[2275][3]~58734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2275][3]~58734_combout\ = (\led_flash_cnt[2275][3]~q\ & (\led_flash_cnt[2275][2]~58733\ $ (GND))) # (!\led_flash_cnt[2275][3]~q\ & (!\led_flash_cnt[2275][2]~58733\ & VCC))
-- \led_flash_cnt[2275][3]~58735\ = CARRY((\led_flash_cnt[2275][3]~q\ & !\led_flash_cnt[2275][2]~58733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2275][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2275][2]~58733\,
	combout => \led_flash_cnt[2275][3]~58734_combout\,
	cout => \led_flash_cnt[2275][3]~58735\);

-- Location: FF_X14_Y9_N5
\led_flash_cnt[2275][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2275][3]~58734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2275][3]~q\);

-- Location: LCCOMB_X14_Y9_N6
\led_flash_cnt[2275][4]~58736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2275][4]~58736_combout\ = (\led_flash_cnt[2275][4]~q\ & (!\led_flash_cnt[2275][3]~58735\)) # (!\led_flash_cnt[2275][4]~q\ & ((\led_flash_cnt[2275][3]~58735\) # (GND)))
-- \led_flash_cnt[2275][4]~58737\ = CARRY((!\led_flash_cnt[2275][3]~58735\) # (!\led_flash_cnt[2275][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2275][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2275][3]~58735\,
	combout => \led_flash_cnt[2275][4]~58736_combout\,
	cout => \led_flash_cnt[2275][4]~58737\);

-- Location: FF_X14_Y9_N7
\led_flash_cnt[2275][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2275][4]~58736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2275][4]~q\);

-- Location: LCCOMB_X14_Y9_N8
\led_flash_cnt[2275][5]~58738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2275][5]~58738_combout\ = (\led_flash_cnt[2275][5]~q\ & (\led_flash_cnt[2275][4]~58737\ $ (GND))) # (!\led_flash_cnt[2275][5]~q\ & (!\led_flash_cnt[2275][4]~58737\ & VCC))
-- \led_flash_cnt[2275][5]~58739\ = CARRY((\led_flash_cnt[2275][5]~q\ & !\led_flash_cnt[2275][4]~58737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2275][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2275][4]~58737\,
	combout => \led_flash_cnt[2275][5]~58738_combout\,
	cout => \led_flash_cnt[2275][5]~58739\);

-- Location: FF_X14_Y9_N9
\led_flash_cnt[2275][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2275][5]~58738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2275][5]~q\);

-- Location: LCCOMB_X14_Y9_N10
\led_flash_cnt[2275][6]~58740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2275][6]~58740_combout\ = (\led_flash_cnt[2275][6]~q\ & (!\led_flash_cnt[2275][5]~58739\)) # (!\led_flash_cnt[2275][6]~q\ & ((\led_flash_cnt[2275][5]~58739\) # (GND)))
-- \led_flash_cnt[2275][6]~58741\ = CARRY((!\led_flash_cnt[2275][5]~58739\) # (!\led_flash_cnt[2275][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2275][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2275][5]~58739\,
	combout => \led_flash_cnt[2275][6]~58740_combout\,
	cout => \led_flash_cnt[2275][6]~58741\);

-- Location: FF_X14_Y9_N11
\led_flash_cnt[2275][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2275][6]~58740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2275][6]~q\);

-- Location: LCCOMB_X14_Y9_N12
\led_flash_cnt[2275][7]~58742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2275][7]~58742_combout\ = \led_flash_cnt[2275][6]~58741\ $ (!\led_flash_cnt[2275][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2275][7]~q\,
	cin => \led_flash_cnt[2275][6]~58741\,
	combout => \led_flash_cnt[2275][7]~58742_combout\);

-- Location: FF_X14_Y9_N13
\led_flash_cnt[2275][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2275][7]~58742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2275][7]~q\);

-- Location: LCCOMB_X14_Y9_N24
\WideAnd2275~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2275~1_combout\ = (\led_flash_cnt[2275][5]~q\ & \led_flash_cnt[2275][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2275][5]~q\,
	datad => \led_flash_cnt[2275][6]~q\,
	combout => \WideAnd2275~1_combout\);

-- Location: LCCOMB_X14_Y9_N22
\WideAnd2275~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2275~0_combout\ = (\led_flash_cnt[2275][4]~q\ & (\led_flash_cnt[2275][2]~q\ & (\led_flash_cnt[2275][3]~q\ & \led_flash_cnt[2275][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2275][4]~q\,
	datab => \led_flash_cnt[2275][2]~q\,
	datac => \led_flash_cnt[2275][3]~q\,
	datad => \led_flash_cnt[2275][1]~q\,
	combout => \WideAnd2275~0_combout\);

-- Location: LCCOMB_X14_Y9_N26
WideAnd2275 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2275~combout\ = (\led_flash_cnt[2275][7]~q\ & (\WideAnd2275~1_combout\ & (\WideAnd2275~0_combout\ & \led_flash_cnt[2275][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2275][7]~q\,
	datab => \WideAnd2275~1_combout\,
	datac => \WideAnd2275~0_combout\,
	datad => \led_flash_cnt[2275][0]~q\,
	combout => \WideAnd2275~combout\);

-- Location: FF_X14_Y9_N27
\led_flash_cnt_ands[2275]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2275~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2275));

-- Location: LCCOMB_X13_Y11_N18
\led_flash_cnt[2273][0]~82913\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2273][0]~82913_combout\ = !\led_flash_cnt[2273][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2273][0]~q\,
	combout => \led_flash_cnt[2273][0]~82913_combout\);

-- Location: FF_X13_Y11_N19
\led_flash_cnt[2273][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2273][0]~82913_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2273][0]~q\);

-- Location: LCCOMB_X13_Y11_N0
\led_flash_cnt[2273][1]~58702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2273][1]~58702_combout\ = (\led_flash_cnt[2273][0]~q\ & (\led_flash_cnt[2273][1]~q\ $ (VCC))) # (!\led_flash_cnt[2273][0]~q\ & (\led_flash_cnt[2273][1]~q\ & VCC))
-- \led_flash_cnt[2273][1]~58703\ = CARRY((\led_flash_cnt[2273][0]~q\ & \led_flash_cnt[2273][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2273][0]~q\,
	datab => \led_flash_cnt[2273][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2273][1]~58702_combout\,
	cout => \led_flash_cnt[2273][1]~58703\);

-- Location: FF_X13_Y11_N1
\led_flash_cnt[2273][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2273][1]~58702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2273][1]~q\);

-- Location: LCCOMB_X13_Y11_N2
\led_flash_cnt[2273][2]~58704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2273][2]~58704_combout\ = (\led_flash_cnt[2273][2]~q\ & (!\led_flash_cnt[2273][1]~58703\)) # (!\led_flash_cnt[2273][2]~q\ & ((\led_flash_cnt[2273][1]~58703\) # (GND)))
-- \led_flash_cnt[2273][2]~58705\ = CARRY((!\led_flash_cnt[2273][1]~58703\) # (!\led_flash_cnt[2273][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2273][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2273][1]~58703\,
	combout => \led_flash_cnt[2273][2]~58704_combout\,
	cout => \led_flash_cnt[2273][2]~58705\);

-- Location: FF_X13_Y11_N3
\led_flash_cnt[2273][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2273][2]~58704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2273][2]~q\);

-- Location: LCCOMB_X13_Y11_N4
\led_flash_cnt[2273][3]~58706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2273][3]~58706_combout\ = (\led_flash_cnt[2273][3]~q\ & (\led_flash_cnt[2273][2]~58705\ $ (GND))) # (!\led_flash_cnt[2273][3]~q\ & (!\led_flash_cnt[2273][2]~58705\ & VCC))
-- \led_flash_cnt[2273][3]~58707\ = CARRY((\led_flash_cnt[2273][3]~q\ & !\led_flash_cnt[2273][2]~58705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2273][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2273][2]~58705\,
	combout => \led_flash_cnt[2273][3]~58706_combout\,
	cout => \led_flash_cnt[2273][3]~58707\);

-- Location: FF_X13_Y11_N5
\led_flash_cnt[2273][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2273][3]~58706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2273][3]~q\);

-- Location: LCCOMB_X13_Y11_N6
\led_flash_cnt[2273][4]~58708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2273][4]~58708_combout\ = (\led_flash_cnt[2273][4]~q\ & (!\led_flash_cnt[2273][3]~58707\)) # (!\led_flash_cnt[2273][4]~q\ & ((\led_flash_cnt[2273][3]~58707\) # (GND)))
-- \led_flash_cnt[2273][4]~58709\ = CARRY((!\led_flash_cnt[2273][3]~58707\) # (!\led_flash_cnt[2273][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2273][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2273][3]~58707\,
	combout => \led_flash_cnt[2273][4]~58708_combout\,
	cout => \led_flash_cnt[2273][4]~58709\);

-- Location: FF_X13_Y11_N7
\led_flash_cnt[2273][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2273][4]~58708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2273][4]~q\);

-- Location: LCCOMB_X13_Y11_N8
\led_flash_cnt[2273][5]~58710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2273][5]~58710_combout\ = (\led_flash_cnt[2273][5]~q\ & (\led_flash_cnt[2273][4]~58709\ $ (GND))) # (!\led_flash_cnt[2273][5]~q\ & (!\led_flash_cnt[2273][4]~58709\ & VCC))
-- \led_flash_cnt[2273][5]~58711\ = CARRY((\led_flash_cnt[2273][5]~q\ & !\led_flash_cnt[2273][4]~58709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2273][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2273][4]~58709\,
	combout => \led_flash_cnt[2273][5]~58710_combout\,
	cout => \led_flash_cnt[2273][5]~58711\);

-- Location: FF_X13_Y11_N9
\led_flash_cnt[2273][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2273][5]~58710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2273][5]~q\);

-- Location: LCCOMB_X13_Y11_N10
\led_flash_cnt[2273][6]~58712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2273][6]~58712_combout\ = (\led_flash_cnt[2273][6]~q\ & (!\led_flash_cnt[2273][5]~58711\)) # (!\led_flash_cnt[2273][6]~q\ & ((\led_flash_cnt[2273][5]~58711\) # (GND)))
-- \led_flash_cnt[2273][6]~58713\ = CARRY((!\led_flash_cnt[2273][5]~58711\) # (!\led_flash_cnt[2273][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2273][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2273][5]~58711\,
	combout => \led_flash_cnt[2273][6]~58712_combout\,
	cout => \led_flash_cnt[2273][6]~58713\);

-- Location: FF_X13_Y11_N11
\led_flash_cnt[2273][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2273][6]~58712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2273][6]~q\);

-- Location: LCCOMB_X13_Y11_N12
\led_flash_cnt[2273][7]~58714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2273][7]~58714_combout\ = \led_flash_cnt[2273][6]~58713\ $ (!\led_flash_cnt[2273][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2273][7]~q\,
	cin => \led_flash_cnt[2273][6]~58713\,
	combout => \led_flash_cnt[2273][7]~58714_combout\);

-- Location: FF_X13_Y11_N13
\led_flash_cnt[2273][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2273][7]~58714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2273][7]~q\);

-- Location: LCCOMB_X13_Y11_N24
\WideAnd2273~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2273~0_combout\ = (\led_flash_cnt[2273][4]~q\ & (\led_flash_cnt[2273][2]~q\ & (\led_flash_cnt[2273][3]~q\ & \led_flash_cnt[2273][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2273][4]~q\,
	datab => \led_flash_cnt[2273][2]~q\,
	datac => \led_flash_cnt[2273][3]~q\,
	datad => \led_flash_cnt[2273][1]~q\,
	combout => \WideAnd2273~0_combout\);

-- Location: LCCOMB_X13_Y11_N26
\WideAnd2273~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2273~1_combout\ = (\led_flash_cnt[2273][5]~q\ & \led_flash_cnt[2273][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2273][5]~q\,
	datad => \led_flash_cnt[2273][6]~q\,
	combout => \WideAnd2273~1_combout\);

-- Location: LCCOMB_X13_Y11_N16
WideAnd2273 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2273~combout\ = (\led_flash_cnt[2273][7]~q\ & (\WideAnd2273~0_combout\ & (\WideAnd2273~1_combout\ & \led_flash_cnt[2273][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2273][7]~q\,
	datab => \WideAnd2273~0_combout\,
	datac => \WideAnd2273~1_combout\,
	datad => \led_flash_cnt[2273][0]~q\,
	combout => \WideAnd2273~combout\);

-- Location: FF_X13_Y11_N17
\led_flash_cnt_ands[2273]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2273~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2273));

-- Location: LCCOMB_X11_Y3_N18
\led_flash_cnt[2274][0]~82914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2274][0]~82914_combout\ = !\led_flash_cnt[2274][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2274][0]~q\,
	combout => \led_flash_cnt[2274][0]~82914_combout\);

-- Location: FF_X11_Y3_N19
\led_flash_cnt[2274][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2274][0]~82914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2274][0]~q\);

-- Location: LCCOMB_X11_Y3_N4
\led_flash_cnt[2274][1]~58716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2274][1]~58716_combout\ = (\led_flash_cnt[2274][1]~q\ & (\led_flash_cnt[2274][0]~q\ $ (VCC))) # (!\led_flash_cnt[2274][1]~q\ & (\led_flash_cnt[2274][0]~q\ & VCC))
-- \led_flash_cnt[2274][1]~58717\ = CARRY((\led_flash_cnt[2274][1]~q\ & \led_flash_cnt[2274][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2274][1]~q\,
	datab => \led_flash_cnt[2274][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2274][1]~58716_combout\,
	cout => \led_flash_cnt[2274][1]~58717\);

-- Location: FF_X11_Y3_N5
\led_flash_cnt[2274][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2274][1]~58716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2274][1]~q\);

-- Location: LCCOMB_X11_Y3_N6
\led_flash_cnt[2274][2]~58718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2274][2]~58718_combout\ = (\led_flash_cnt[2274][2]~q\ & (!\led_flash_cnt[2274][1]~58717\)) # (!\led_flash_cnt[2274][2]~q\ & ((\led_flash_cnt[2274][1]~58717\) # (GND)))
-- \led_flash_cnt[2274][2]~58719\ = CARRY((!\led_flash_cnt[2274][1]~58717\) # (!\led_flash_cnt[2274][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2274][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2274][1]~58717\,
	combout => \led_flash_cnt[2274][2]~58718_combout\,
	cout => \led_flash_cnt[2274][2]~58719\);

-- Location: FF_X11_Y3_N7
\led_flash_cnt[2274][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2274][2]~58718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2274][2]~q\);

-- Location: LCCOMB_X11_Y3_N8
\led_flash_cnt[2274][3]~58720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2274][3]~58720_combout\ = (\led_flash_cnt[2274][3]~q\ & (\led_flash_cnt[2274][2]~58719\ $ (GND))) # (!\led_flash_cnt[2274][3]~q\ & (!\led_flash_cnt[2274][2]~58719\ & VCC))
-- \led_flash_cnt[2274][3]~58721\ = CARRY((\led_flash_cnt[2274][3]~q\ & !\led_flash_cnt[2274][2]~58719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2274][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2274][2]~58719\,
	combout => \led_flash_cnt[2274][3]~58720_combout\,
	cout => \led_flash_cnt[2274][3]~58721\);

-- Location: FF_X11_Y3_N9
\led_flash_cnt[2274][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2274][3]~58720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2274][3]~q\);

-- Location: LCCOMB_X11_Y3_N10
\led_flash_cnt[2274][4]~58722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2274][4]~58722_combout\ = (\led_flash_cnt[2274][4]~q\ & (!\led_flash_cnt[2274][3]~58721\)) # (!\led_flash_cnt[2274][4]~q\ & ((\led_flash_cnt[2274][3]~58721\) # (GND)))
-- \led_flash_cnt[2274][4]~58723\ = CARRY((!\led_flash_cnt[2274][3]~58721\) # (!\led_flash_cnt[2274][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2274][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2274][3]~58721\,
	combout => \led_flash_cnt[2274][4]~58722_combout\,
	cout => \led_flash_cnt[2274][4]~58723\);

-- Location: FF_X11_Y3_N11
\led_flash_cnt[2274][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2274][4]~58722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2274][4]~q\);

-- Location: LCCOMB_X11_Y3_N26
\WideAnd2274~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2274~0_combout\ = (\led_flash_cnt[2274][2]~q\ & (\led_flash_cnt[2274][1]~q\ & (\led_flash_cnt[2274][3]~q\ & \led_flash_cnt[2274][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2274][2]~q\,
	datab => \led_flash_cnt[2274][1]~q\,
	datac => \led_flash_cnt[2274][3]~q\,
	datad => \led_flash_cnt[2274][4]~q\,
	combout => \WideAnd2274~0_combout\);

-- Location: LCCOMB_X11_Y3_N12
\led_flash_cnt[2274][5]~58724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2274][5]~58724_combout\ = (\led_flash_cnt[2274][5]~q\ & (\led_flash_cnt[2274][4]~58723\ $ (GND))) # (!\led_flash_cnt[2274][5]~q\ & (!\led_flash_cnt[2274][4]~58723\ & VCC))
-- \led_flash_cnt[2274][5]~58725\ = CARRY((\led_flash_cnt[2274][5]~q\ & !\led_flash_cnt[2274][4]~58723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2274][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2274][4]~58723\,
	combout => \led_flash_cnt[2274][5]~58724_combout\,
	cout => \led_flash_cnt[2274][5]~58725\);

-- Location: FF_X11_Y3_N13
\led_flash_cnt[2274][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2274][5]~58724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2274][5]~q\);

-- Location: LCCOMB_X11_Y3_N14
\led_flash_cnt[2274][6]~58726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2274][6]~58726_combout\ = (\led_flash_cnt[2274][6]~q\ & (!\led_flash_cnt[2274][5]~58725\)) # (!\led_flash_cnt[2274][6]~q\ & ((\led_flash_cnt[2274][5]~58725\) # (GND)))
-- \led_flash_cnt[2274][6]~58727\ = CARRY((!\led_flash_cnt[2274][5]~58725\) # (!\led_flash_cnt[2274][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2274][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2274][5]~58725\,
	combout => \led_flash_cnt[2274][6]~58726_combout\,
	cout => \led_flash_cnt[2274][6]~58727\);

-- Location: FF_X11_Y3_N15
\led_flash_cnt[2274][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2274][6]~58726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2274][6]~q\);

-- Location: LCCOMB_X11_Y3_N16
\led_flash_cnt[2274][7]~58728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2274][7]~58728_combout\ = \led_flash_cnt[2274][6]~58727\ $ (!\led_flash_cnt[2274][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2274][7]~q\,
	cin => \led_flash_cnt[2274][6]~58727\,
	combout => \led_flash_cnt[2274][7]~58728_combout\);

-- Location: FF_X11_Y3_N17
\led_flash_cnt[2274][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2274][7]~58728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2274][7]~q\);

-- Location: LCCOMB_X11_Y3_N30
\WideAnd2274~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2274~1_combout\ = (\led_flash_cnt[2274][6]~q\ & \led_flash_cnt[2274][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2274][6]~q\,
	datad => \led_flash_cnt[2274][5]~q\,
	combout => \WideAnd2274~1_combout\);

-- Location: LCCOMB_X11_Y3_N24
WideAnd2274 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2274~combout\ = (\WideAnd2274~0_combout\ & (\led_flash_cnt[2274][7]~q\ & (\WideAnd2274~1_combout\ & \led_flash_cnt[2274][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2274~0_combout\,
	datab => \led_flash_cnt[2274][7]~q\,
	datac => \WideAnd2274~1_combout\,
	datad => \led_flash_cnt[2274][0]~q\,
	combout => \WideAnd2274~combout\);

-- Location: FF_X11_Y3_N25
\led_flash_cnt_ands[2274]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2274~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2274));

-- Location: LCCOMB_X20_Y12_N6
\led_flash_cnt[2272][0]~82912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2272][0]~82912_combout\ = !\led_flash_cnt[2272][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2272][0]~q\,
	combout => \led_flash_cnt[2272][0]~82912_combout\);

-- Location: FF_X20_Y12_N7
\led_flash_cnt[2272][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2272][0]~82912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2272][0]~q\);

-- Location: LCCOMB_X20_Y12_N8
\led_flash_cnt[2272][1]~58688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2272][1]~58688_combout\ = (\led_flash_cnt[2272][0]~q\ & (\led_flash_cnt[2272][1]~q\ $ (VCC))) # (!\led_flash_cnt[2272][0]~q\ & (\led_flash_cnt[2272][1]~q\ & VCC))
-- \led_flash_cnt[2272][1]~58689\ = CARRY((\led_flash_cnt[2272][0]~q\ & \led_flash_cnt[2272][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2272][0]~q\,
	datab => \led_flash_cnt[2272][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2272][1]~58688_combout\,
	cout => \led_flash_cnt[2272][1]~58689\);

-- Location: FF_X20_Y12_N9
\led_flash_cnt[2272][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2272][1]~58688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2272][1]~q\);

-- Location: LCCOMB_X20_Y12_N10
\led_flash_cnt[2272][2]~58690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2272][2]~58690_combout\ = (\led_flash_cnt[2272][2]~q\ & (!\led_flash_cnt[2272][1]~58689\)) # (!\led_flash_cnt[2272][2]~q\ & ((\led_flash_cnt[2272][1]~58689\) # (GND)))
-- \led_flash_cnt[2272][2]~58691\ = CARRY((!\led_flash_cnt[2272][1]~58689\) # (!\led_flash_cnt[2272][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2272][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2272][1]~58689\,
	combout => \led_flash_cnt[2272][2]~58690_combout\,
	cout => \led_flash_cnt[2272][2]~58691\);

-- Location: FF_X20_Y12_N11
\led_flash_cnt[2272][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2272][2]~58690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2272][2]~q\);

-- Location: LCCOMB_X20_Y12_N12
\led_flash_cnt[2272][3]~58692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2272][3]~58692_combout\ = (\led_flash_cnt[2272][3]~q\ & (\led_flash_cnt[2272][2]~58691\ $ (GND))) # (!\led_flash_cnt[2272][3]~q\ & (!\led_flash_cnt[2272][2]~58691\ & VCC))
-- \led_flash_cnt[2272][3]~58693\ = CARRY((\led_flash_cnt[2272][3]~q\ & !\led_flash_cnt[2272][2]~58691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2272][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2272][2]~58691\,
	combout => \led_flash_cnt[2272][3]~58692_combout\,
	cout => \led_flash_cnt[2272][3]~58693\);

-- Location: FF_X20_Y12_N13
\led_flash_cnt[2272][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2272][3]~58692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2272][3]~q\);

-- Location: LCCOMB_X20_Y12_N14
\led_flash_cnt[2272][4]~58694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2272][4]~58694_combout\ = (\led_flash_cnt[2272][4]~q\ & (!\led_flash_cnt[2272][3]~58693\)) # (!\led_flash_cnt[2272][4]~q\ & ((\led_flash_cnt[2272][3]~58693\) # (GND)))
-- \led_flash_cnt[2272][4]~58695\ = CARRY((!\led_flash_cnt[2272][3]~58693\) # (!\led_flash_cnt[2272][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2272][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2272][3]~58693\,
	combout => \led_flash_cnt[2272][4]~58694_combout\,
	cout => \led_flash_cnt[2272][4]~58695\);

-- Location: FF_X20_Y12_N15
\led_flash_cnt[2272][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2272][4]~58694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2272][4]~q\);

-- Location: LCCOMB_X20_Y12_N16
\led_flash_cnt[2272][5]~58696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2272][5]~58696_combout\ = (\led_flash_cnt[2272][5]~q\ & (\led_flash_cnt[2272][4]~58695\ $ (GND))) # (!\led_flash_cnt[2272][5]~q\ & (!\led_flash_cnt[2272][4]~58695\ & VCC))
-- \led_flash_cnt[2272][5]~58697\ = CARRY((\led_flash_cnt[2272][5]~q\ & !\led_flash_cnt[2272][4]~58695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2272][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2272][4]~58695\,
	combout => \led_flash_cnt[2272][5]~58696_combout\,
	cout => \led_flash_cnt[2272][5]~58697\);

-- Location: FF_X20_Y12_N17
\led_flash_cnt[2272][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2272][5]~58696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2272][5]~q\);

-- Location: LCCOMB_X20_Y12_N18
\led_flash_cnt[2272][6]~58698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2272][6]~58698_combout\ = (\led_flash_cnt[2272][6]~q\ & (!\led_flash_cnt[2272][5]~58697\)) # (!\led_flash_cnt[2272][6]~q\ & ((\led_flash_cnt[2272][5]~58697\) # (GND)))
-- \led_flash_cnt[2272][6]~58699\ = CARRY((!\led_flash_cnt[2272][5]~58697\) # (!\led_flash_cnt[2272][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2272][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2272][5]~58697\,
	combout => \led_flash_cnt[2272][6]~58698_combout\,
	cout => \led_flash_cnt[2272][6]~58699\);

-- Location: FF_X20_Y12_N19
\led_flash_cnt[2272][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2272][6]~58698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2272][6]~q\);

-- Location: LCCOMB_X20_Y12_N28
\WideAnd2272~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2272~1_combout\ = (\led_flash_cnt[2272][6]~q\ & \led_flash_cnt[2272][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2272][6]~q\,
	datad => \led_flash_cnt[2272][5]~q\,
	combout => \WideAnd2272~1_combout\);

-- Location: LCCOMB_X20_Y12_N30
\WideAnd2272~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2272~0_combout\ = (\led_flash_cnt[2272][3]~q\ & (\led_flash_cnt[2272][1]~q\ & (\led_flash_cnt[2272][4]~q\ & \led_flash_cnt[2272][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2272][3]~q\,
	datab => \led_flash_cnt[2272][1]~q\,
	datac => \led_flash_cnt[2272][4]~q\,
	datad => \led_flash_cnt[2272][2]~q\,
	combout => \WideAnd2272~0_combout\);

-- Location: LCCOMB_X20_Y12_N20
\led_flash_cnt[2272][7]~58700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2272][7]~58700_combout\ = \led_flash_cnt[2272][6]~58699\ $ (!\led_flash_cnt[2272][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2272][7]~q\,
	cin => \led_flash_cnt[2272][6]~58699\,
	combout => \led_flash_cnt[2272][7]~58700_combout\);

-- Location: FF_X20_Y12_N21
\led_flash_cnt[2272][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2272][7]~58700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2272][7]~q\);

-- Location: LCCOMB_X20_Y12_N0
WideAnd2272 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2272~combout\ = (\led_flash_cnt[2272][0]~q\ & (\WideAnd2272~1_combout\ & (\WideAnd2272~0_combout\ & \led_flash_cnt[2272][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2272][0]~q\,
	datab => \WideAnd2272~1_combout\,
	datac => \WideAnd2272~0_combout\,
	datad => \led_flash_cnt[2272][7]~q\,
	combout => \WideAnd2272~combout\);

-- Location: FF_X20_Y12_N1
\led_flash_cnt_ands[2272]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2272~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2272));

-- Location: LCCOMB_X14_Y9_N18
\WideAnd4124~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4124~0_combout\ = (led_flash_cnt_ands(2275) & (led_flash_cnt_ands(2273) & (led_flash_cnt_ands(2274) & led_flash_cnt_ands(2272))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2275),
	datab => led_flash_cnt_ands(2273),
	datac => led_flash_cnt_ands(2274),
	datad => led_flash_cnt_ands(2272),
	combout => \WideAnd4124~0_combout\);

-- Location: LCCOMB_X14_Y9_N14
WideAnd4124 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4124~combout\ = (led_flash_cnt_ands(2278) & (led_flash_cnt_ands(2279) & (\WideAnd4124~1_combout\ & \WideAnd4124~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2278),
	datab => led_flash_cnt_ands(2279),
	datac => \WideAnd4124~1_combout\,
	datad => \WideAnd4124~0_combout\,
	combout => \WideAnd4124~combout\);

-- Location: FF_X14_Y9_N15
\led_flash_cnt_ands_1[284]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4124~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(284));

-- Location: LCCOMB_X10_Y15_N2
\led_flash_cnt[2286][0]~82926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2286][0]~82926_combout\ = !\led_flash_cnt[2286][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2286][0]~q\,
	combout => \led_flash_cnt[2286][0]~82926_combout\);

-- Location: FF_X10_Y15_N3
\led_flash_cnt[2286][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2286][0]~82926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2286][0]~q\);

-- Location: LCCOMB_X9_Y15_N16
\led_flash_cnt[2286][1]~58884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2286][1]~58884_combout\ = (\led_flash_cnt[2286][0]~q\ & (\led_flash_cnt[2286][1]~q\ $ (VCC))) # (!\led_flash_cnt[2286][0]~q\ & (\led_flash_cnt[2286][1]~q\ & VCC))
-- \led_flash_cnt[2286][1]~58885\ = CARRY((\led_flash_cnt[2286][0]~q\ & \led_flash_cnt[2286][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2286][0]~q\,
	datab => \led_flash_cnt[2286][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2286][1]~58884_combout\,
	cout => \led_flash_cnt[2286][1]~58885\);

-- Location: FF_X9_Y15_N17
\led_flash_cnt[2286][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2286][1]~58884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2286][1]~q\);

-- Location: LCCOMB_X9_Y15_N18
\led_flash_cnt[2286][2]~58886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2286][2]~58886_combout\ = (\led_flash_cnt[2286][2]~q\ & (!\led_flash_cnt[2286][1]~58885\)) # (!\led_flash_cnt[2286][2]~q\ & ((\led_flash_cnt[2286][1]~58885\) # (GND)))
-- \led_flash_cnt[2286][2]~58887\ = CARRY((!\led_flash_cnt[2286][1]~58885\) # (!\led_flash_cnt[2286][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2286][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2286][1]~58885\,
	combout => \led_flash_cnt[2286][2]~58886_combout\,
	cout => \led_flash_cnt[2286][2]~58887\);

-- Location: FF_X9_Y15_N19
\led_flash_cnt[2286][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2286][2]~58886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2286][2]~q\);

-- Location: LCCOMB_X9_Y15_N20
\led_flash_cnt[2286][3]~58888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2286][3]~58888_combout\ = (\led_flash_cnt[2286][3]~q\ & (\led_flash_cnt[2286][2]~58887\ $ (GND))) # (!\led_flash_cnt[2286][3]~q\ & (!\led_flash_cnt[2286][2]~58887\ & VCC))
-- \led_flash_cnt[2286][3]~58889\ = CARRY((\led_flash_cnt[2286][3]~q\ & !\led_flash_cnt[2286][2]~58887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2286][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2286][2]~58887\,
	combout => \led_flash_cnt[2286][3]~58888_combout\,
	cout => \led_flash_cnt[2286][3]~58889\);

-- Location: FF_X9_Y15_N21
\led_flash_cnt[2286][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2286][3]~58888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2286][3]~q\);

-- Location: LCCOMB_X9_Y15_N22
\led_flash_cnt[2286][4]~58890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2286][4]~58890_combout\ = (\led_flash_cnt[2286][4]~q\ & (!\led_flash_cnt[2286][3]~58889\)) # (!\led_flash_cnt[2286][4]~q\ & ((\led_flash_cnt[2286][3]~58889\) # (GND)))
-- \led_flash_cnt[2286][4]~58891\ = CARRY((!\led_flash_cnt[2286][3]~58889\) # (!\led_flash_cnt[2286][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2286][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2286][3]~58889\,
	combout => \led_flash_cnt[2286][4]~58890_combout\,
	cout => \led_flash_cnt[2286][4]~58891\);

-- Location: FF_X9_Y15_N23
\led_flash_cnt[2286][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2286][4]~58890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2286][4]~q\);

-- Location: LCCOMB_X9_Y15_N14
\WideAnd2286~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2286~0_combout\ = (\led_flash_cnt[2286][3]~q\ & (\led_flash_cnt[2286][1]~q\ & (\led_flash_cnt[2286][4]~q\ & \led_flash_cnt[2286][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2286][3]~q\,
	datab => \led_flash_cnt[2286][1]~q\,
	datac => \led_flash_cnt[2286][4]~q\,
	datad => \led_flash_cnt[2286][2]~q\,
	combout => \WideAnd2286~0_combout\);

-- Location: LCCOMB_X9_Y15_N24
\led_flash_cnt[2286][5]~58892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2286][5]~58892_combout\ = (\led_flash_cnt[2286][5]~q\ & (\led_flash_cnt[2286][4]~58891\ $ (GND))) # (!\led_flash_cnt[2286][5]~q\ & (!\led_flash_cnt[2286][4]~58891\ & VCC))
-- \led_flash_cnt[2286][5]~58893\ = CARRY((\led_flash_cnt[2286][5]~q\ & !\led_flash_cnt[2286][4]~58891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2286][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2286][4]~58891\,
	combout => \led_flash_cnt[2286][5]~58892_combout\,
	cout => \led_flash_cnt[2286][5]~58893\);

-- Location: FF_X9_Y15_N25
\led_flash_cnt[2286][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2286][5]~58892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2286][5]~q\);

-- Location: LCCOMB_X9_Y15_N26
\led_flash_cnt[2286][6]~58894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2286][6]~58894_combout\ = (\led_flash_cnt[2286][6]~q\ & (!\led_flash_cnt[2286][5]~58893\)) # (!\led_flash_cnt[2286][6]~q\ & ((\led_flash_cnt[2286][5]~58893\) # (GND)))
-- \led_flash_cnt[2286][6]~58895\ = CARRY((!\led_flash_cnt[2286][5]~58893\) # (!\led_flash_cnt[2286][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2286][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2286][5]~58893\,
	combout => \led_flash_cnt[2286][6]~58894_combout\,
	cout => \led_flash_cnt[2286][6]~58895\);

-- Location: FF_X9_Y15_N27
\led_flash_cnt[2286][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2286][6]~58894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2286][6]~q\);

-- Location: LCCOMB_X9_Y15_N28
\led_flash_cnt[2286][7]~58896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2286][7]~58896_combout\ = \led_flash_cnt[2286][6]~58895\ $ (!\led_flash_cnt[2286][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2286][7]~q\,
	cin => \led_flash_cnt[2286][6]~58895\,
	combout => \led_flash_cnt[2286][7]~58896_combout\);

-- Location: FF_X9_Y15_N29
\led_flash_cnt[2286][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2286][7]~58896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2286][7]~q\);

-- Location: LCCOMB_X10_Y15_N14
\WideAnd2286~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2286~1_combout\ = (\led_flash_cnt[2286][6]~q\ & \led_flash_cnt[2286][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2286][6]~q\,
	datad => \led_flash_cnt[2286][5]~q\,
	combout => \WideAnd2286~1_combout\);

-- Location: LCCOMB_X10_Y15_N10
WideAnd2286 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2286~combout\ = (\WideAnd2286~0_combout\ & (\led_flash_cnt[2286][7]~q\ & (\WideAnd2286~1_combout\ & \led_flash_cnt[2286][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2286~0_combout\,
	datab => \led_flash_cnt[2286][7]~q\,
	datac => \WideAnd2286~1_combout\,
	datad => \led_flash_cnt[2286][0]~q\,
	combout => \WideAnd2286~combout\);

-- Location: FF_X10_Y15_N11
\led_flash_cnt_ands[2286]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2286~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2286));

-- Location: LCCOMB_X10_Y15_N6
\led_flash_cnt[2287][0]~82927\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2287][0]~82927_combout\ = !\led_flash_cnt[2287][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2287][0]~q\,
	combout => \led_flash_cnt[2287][0]~82927_combout\);

-- Location: FF_X10_Y15_N7
\led_flash_cnt[2287][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2287][0]~82927_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2287][0]~q\);

-- Location: LCCOMB_X10_Y15_N18
\led_flash_cnt[2287][1]~58898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2287][1]~58898_combout\ = (\led_flash_cnt[2287][0]~q\ & (\led_flash_cnt[2287][1]~q\ $ (VCC))) # (!\led_flash_cnt[2287][0]~q\ & (\led_flash_cnt[2287][1]~q\ & VCC))
-- \led_flash_cnt[2287][1]~58899\ = CARRY((\led_flash_cnt[2287][0]~q\ & \led_flash_cnt[2287][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2287][0]~q\,
	datab => \led_flash_cnt[2287][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2287][1]~58898_combout\,
	cout => \led_flash_cnt[2287][1]~58899\);

-- Location: FF_X10_Y15_N19
\led_flash_cnt[2287][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2287][1]~58898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2287][1]~q\);

-- Location: LCCOMB_X10_Y15_N20
\led_flash_cnt[2287][2]~58900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2287][2]~58900_combout\ = (\led_flash_cnt[2287][2]~q\ & (!\led_flash_cnt[2287][1]~58899\)) # (!\led_flash_cnt[2287][2]~q\ & ((\led_flash_cnt[2287][1]~58899\) # (GND)))
-- \led_flash_cnt[2287][2]~58901\ = CARRY((!\led_flash_cnt[2287][1]~58899\) # (!\led_flash_cnt[2287][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2287][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2287][1]~58899\,
	combout => \led_flash_cnt[2287][2]~58900_combout\,
	cout => \led_flash_cnt[2287][2]~58901\);

-- Location: FF_X10_Y15_N21
\led_flash_cnt[2287][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2287][2]~58900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2287][2]~q\);

-- Location: LCCOMB_X10_Y15_N22
\led_flash_cnt[2287][3]~58902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2287][3]~58902_combout\ = (\led_flash_cnt[2287][3]~q\ & (\led_flash_cnt[2287][2]~58901\ $ (GND))) # (!\led_flash_cnt[2287][3]~q\ & (!\led_flash_cnt[2287][2]~58901\ & VCC))
-- \led_flash_cnt[2287][3]~58903\ = CARRY((\led_flash_cnt[2287][3]~q\ & !\led_flash_cnt[2287][2]~58901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2287][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2287][2]~58901\,
	combout => \led_flash_cnt[2287][3]~58902_combout\,
	cout => \led_flash_cnt[2287][3]~58903\);

-- Location: FF_X10_Y15_N23
\led_flash_cnt[2287][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2287][3]~58902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2287][3]~q\);

-- Location: LCCOMB_X10_Y15_N24
\led_flash_cnt[2287][4]~58904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2287][4]~58904_combout\ = (\led_flash_cnt[2287][4]~q\ & (!\led_flash_cnt[2287][3]~58903\)) # (!\led_flash_cnt[2287][4]~q\ & ((\led_flash_cnt[2287][3]~58903\) # (GND)))
-- \led_flash_cnt[2287][4]~58905\ = CARRY((!\led_flash_cnt[2287][3]~58903\) # (!\led_flash_cnt[2287][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2287][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2287][3]~58903\,
	combout => \led_flash_cnt[2287][4]~58904_combout\,
	cout => \led_flash_cnt[2287][4]~58905\);

-- Location: FF_X10_Y15_N25
\led_flash_cnt[2287][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2287][4]~58904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2287][4]~q\);

-- Location: LCCOMB_X10_Y15_N26
\led_flash_cnt[2287][5]~58906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2287][5]~58906_combout\ = (\led_flash_cnt[2287][5]~q\ & (\led_flash_cnt[2287][4]~58905\ $ (GND))) # (!\led_flash_cnt[2287][5]~q\ & (!\led_flash_cnt[2287][4]~58905\ & VCC))
-- \led_flash_cnt[2287][5]~58907\ = CARRY((\led_flash_cnt[2287][5]~q\ & !\led_flash_cnt[2287][4]~58905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2287][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2287][4]~58905\,
	combout => \led_flash_cnt[2287][5]~58906_combout\,
	cout => \led_flash_cnt[2287][5]~58907\);

-- Location: FF_X10_Y15_N27
\led_flash_cnt[2287][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2287][5]~58906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2287][5]~q\);

-- Location: LCCOMB_X10_Y15_N28
\led_flash_cnt[2287][6]~58908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2287][6]~58908_combout\ = (\led_flash_cnt[2287][6]~q\ & (!\led_flash_cnt[2287][5]~58907\)) # (!\led_flash_cnt[2287][6]~q\ & ((\led_flash_cnt[2287][5]~58907\) # (GND)))
-- \led_flash_cnt[2287][6]~58909\ = CARRY((!\led_flash_cnt[2287][5]~58907\) # (!\led_flash_cnt[2287][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2287][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2287][5]~58907\,
	combout => \led_flash_cnt[2287][6]~58908_combout\,
	cout => \led_flash_cnt[2287][6]~58909\);

-- Location: FF_X10_Y15_N29
\led_flash_cnt[2287][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2287][6]~58908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2287][6]~q\);

-- Location: LCCOMB_X10_Y15_N4
\WideAnd2287~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2287~1_combout\ = (\led_flash_cnt[2287][5]~q\ & \led_flash_cnt[2287][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2287][5]~q\,
	datad => \led_flash_cnt[2287][6]~q\,
	combout => \WideAnd2287~1_combout\);

-- Location: LCCOMB_X10_Y15_N30
\led_flash_cnt[2287][7]~58910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2287][7]~58910_combout\ = \led_flash_cnt[2287][7]~q\ $ (!\led_flash_cnt[2287][6]~58909\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2287][7]~q\,
	cin => \led_flash_cnt[2287][6]~58909\,
	combout => \led_flash_cnt[2287][7]~58910_combout\);

-- Location: FF_X10_Y15_N31
\led_flash_cnt[2287][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2287][7]~58910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2287][7]~q\);

-- Location: LCCOMB_X10_Y15_N16
\WideAnd2287~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2287~0_combout\ = (\led_flash_cnt[2287][1]~q\ & (\led_flash_cnt[2287][4]~q\ & (\led_flash_cnt[2287][3]~q\ & \led_flash_cnt[2287][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2287][1]~q\,
	datab => \led_flash_cnt[2287][4]~q\,
	datac => \led_flash_cnt[2287][3]~q\,
	datad => \led_flash_cnt[2287][2]~q\,
	combout => \WideAnd2287~0_combout\);

-- Location: LCCOMB_X10_Y15_N8
WideAnd2287 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2287~combout\ = (\led_flash_cnt[2287][0]~q\ & (\WideAnd2287~1_combout\ & (\led_flash_cnt[2287][7]~q\ & \WideAnd2287~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2287][0]~q\,
	datab => \WideAnd2287~1_combout\,
	datac => \led_flash_cnt[2287][7]~q\,
	datad => \WideAnd2287~0_combout\,
	combout => \WideAnd2287~combout\);

-- Location: FF_X10_Y15_N9
\led_flash_cnt_ands[2287]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2287~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2287));

-- Location: LCCOMB_X7_Y11_N4
\led_flash_cnt[2285][0]~82925\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2285][0]~82925_combout\ = !\led_flash_cnt[2285][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2285][0]~q\,
	combout => \led_flash_cnt[2285][0]~82925_combout\);

-- Location: FF_X7_Y11_N5
\led_flash_cnt[2285][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2285][0]~82925_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2285][0]~q\);

-- Location: LCCOMB_X7_Y11_N6
\led_flash_cnt[2285][1]~58870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2285][1]~58870_combout\ = (\led_flash_cnt[2285][1]~q\ & (\led_flash_cnt[2285][0]~q\ $ (VCC))) # (!\led_flash_cnt[2285][1]~q\ & (\led_flash_cnt[2285][0]~q\ & VCC))
-- \led_flash_cnt[2285][1]~58871\ = CARRY((\led_flash_cnt[2285][1]~q\ & \led_flash_cnt[2285][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2285][1]~q\,
	datab => \led_flash_cnt[2285][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2285][1]~58870_combout\,
	cout => \led_flash_cnt[2285][1]~58871\);

-- Location: FF_X7_Y11_N7
\led_flash_cnt[2285][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2285][1]~58870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2285][1]~q\);

-- Location: LCCOMB_X7_Y11_N8
\led_flash_cnt[2285][2]~58872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2285][2]~58872_combout\ = (\led_flash_cnt[2285][2]~q\ & (!\led_flash_cnt[2285][1]~58871\)) # (!\led_flash_cnt[2285][2]~q\ & ((\led_flash_cnt[2285][1]~58871\) # (GND)))
-- \led_flash_cnt[2285][2]~58873\ = CARRY((!\led_flash_cnt[2285][1]~58871\) # (!\led_flash_cnt[2285][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2285][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2285][1]~58871\,
	combout => \led_flash_cnt[2285][2]~58872_combout\,
	cout => \led_flash_cnt[2285][2]~58873\);

-- Location: FF_X7_Y11_N9
\led_flash_cnt[2285][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2285][2]~58872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2285][2]~q\);

-- Location: LCCOMB_X7_Y11_N10
\led_flash_cnt[2285][3]~58874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2285][3]~58874_combout\ = (\led_flash_cnt[2285][3]~q\ & (\led_flash_cnt[2285][2]~58873\ $ (GND))) # (!\led_flash_cnt[2285][3]~q\ & (!\led_flash_cnt[2285][2]~58873\ & VCC))
-- \led_flash_cnt[2285][3]~58875\ = CARRY((\led_flash_cnt[2285][3]~q\ & !\led_flash_cnt[2285][2]~58873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2285][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2285][2]~58873\,
	combout => \led_flash_cnt[2285][3]~58874_combout\,
	cout => \led_flash_cnt[2285][3]~58875\);

-- Location: FF_X7_Y11_N11
\led_flash_cnt[2285][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2285][3]~58874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2285][3]~q\);

-- Location: LCCOMB_X7_Y11_N12
\led_flash_cnt[2285][4]~58876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2285][4]~58876_combout\ = (\led_flash_cnt[2285][4]~q\ & (!\led_flash_cnt[2285][3]~58875\)) # (!\led_flash_cnt[2285][4]~q\ & ((\led_flash_cnt[2285][3]~58875\) # (GND)))
-- \led_flash_cnt[2285][4]~58877\ = CARRY((!\led_flash_cnt[2285][3]~58875\) # (!\led_flash_cnt[2285][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2285][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2285][3]~58875\,
	combout => \led_flash_cnt[2285][4]~58876_combout\,
	cout => \led_flash_cnt[2285][4]~58877\);

-- Location: FF_X7_Y11_N13
\led_flash_cnt[2285][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2285][4]~58876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2285][4]~q\);

-- Location: LCCOMB_X7_Y11_N26
\WideAnd2285~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2285~0_combout\ = (\led_flash_cnt[2285][1]~q\ & (\led_flash_cnt[2285][3]~q\ & (\led_flash_cnt[2285][2]~q\ & \led_flash_cnt[2285][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2285][1]~q\,
	datab => \led_flash_cnt[2285][3]~q\,
	datac => \led_flash_cnt[2285][2]~q\,
	datad => \led_flash_cnt[2285][4]~q\,
	combout => \WideAnd2285~0_combout\);

-- Location: LCCOMB_X7_Y11_N14
\led_flash_cnt[2285][5]~58878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2285][5]~58878_combout\ = (\led_flash_cnt[2285][5]~q\ & (\led_flash_cnt[2285][4]~58877\ $ (GND))) # (!\led_flash_cnt[2285][5]~q\ & (!\led_flash_cnt[2285][4]~58877\ & VCC))
-- \led_flash_cnt[2285][5]~58879\ = CARRY((\led_flash_cnt[2285][5]~q\ & !\led_flash_cnt[2285][4]~58877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2285][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2285][4]~58877\,
	combout => \led_flash_cnt[2285][5]~58878_combout\,
	cout => \led_flash_cnt[2285][5]~58879\);

-- Location: FF_X7_Y11_N15
\led_flash_cnt[2285][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2285][5]~58878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2285][5]~q\);

-- Location: LCCOMB_X7_Y11_N16
\led_flash_cnt[2285][6]~58880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2285][6]~58880_combout\ = (\led_flash_cnt[2285][6]~q\ & (!\led_flash_cnt[2285][5]~58879\)) # (!\led_flash_cnt[2285][6]~q\ & ((\led_flash_cnt[2285][5]~58879\) # (GND)))
-- \led_flash_cnt[2285][6]~58881\ = CARRY((!\led_flash_cnt[2285][5]~58879\) # (!\led_flash_cnt[2285][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2285][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2285][5]~58879\,
	combout => \led_flash_cnt[2285][6]~58880_combout\,
	cout => \led_flash_cnt[2285][6]~58881\);

-- Location: FF_X7_Y11_N17
\led_flash_cnt[2285][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2285][6]~58880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2285][6]~q\);

-- Location: LCCOMB_X7_Y11_N22
\WideAnd2285~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2285~1_combout\ = (\led_flash_cnt[2285][5]~q\ & \led_flash_cnt[2285][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2285][5]~q\,
	datad => \led_flash_cnt[2285][6]~q\,
	combout => \WideAnd2285~1_combout\);

-- Location: LCCOMB_X7_Y11_N18
\led_flash_cnt[2285][7]~58882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2285][7]~58882_combout\ = \led_flash_cnt[2285][6]~58881\ $ (!\led_flash_cnt[2285][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2285][7]~q\,
	cin => \led_flash_cnt[2285][6]~58881\,
	combout => \led_flash_cnt[2285][7]~58882_combout\);

-- Location: FF_X7_Y11_N19
\led_flash_cnt[2285][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2285][7]~58882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2285][7]~q\);

-- Location: LCCOMB_X7_Y11_N30
WideAnd2285 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2285~combout\ = (\WideAnd2285~0_combout\ & (\led_flash_cnt[2285][0]~q\ & (\WideAnd2285~1_combout\ & \led_flash_cnt[2285][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2285~0_combout\,
	datab => \led_flash_cnt[2285][0]~q\,
	datac => \WideAnd2285~1_combout\,
	datad => \led_flash_cnt[2285][7]~q\,
	combout => \WideAnd2285~combout\);

-- Location: FF_X7_Y11_N31
\led_flash_cnt_ands[2285]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2285~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2285));

-- Location: LCCOMB_X6_Y17_N22
\led_flash_cnt[2284][0]~82924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2284][0]~82924_combout\ = !\led_flash_cnt[2284][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2284][0]~q\,
	combout => \led_flash_cnt[2284][0]~82924_combout\);

-- Location: FF_X6_Y17_N23
\led_flash_cnt[2284][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2284][0]~82924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2284][0]~q\);

-- Location: LCCOMB_X6_Y17_N4
\led_flash_cnt[2284][1]~58856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2284][1]~58856_combout\ = (\led_flash_cnt[2284][0]~q\ & (\led_flash_cnt[2284][1]~q\ $ (VCC))) # (!\led_flash_cnt[2284][0]~q\ & (\led_flash_cnt[2284][1]~q\ & VCC))
-- \led_flash_cnt[2284][1]~58857\ = CARRY((\led_flash_cnt[2284][0]~q\ & \led_flash_cnt[2284][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2284][0]~q\,
	datab => \led_flash_cnt[2284][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2284][1]~58856_combout\,
	cout => \led_flash_cnt[2284][1]~58857\);

-- Location: FF_X6_Y17_N5
\led_flash_cnt[2284][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2284][1]~58856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2284][1]~q\);

-- Location: LCCOMB_X6_Y17_N6
\led_flash_cnt[2284][2]~58858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2284][2]~58858_combout\ = (\led_flash_cnt[2284][2]~q\ & (!\led_flash_cnt[2284][1]~58857\)) # (!\led_flash_cnt[2284][2]~q\ & ((\led_flash_cnt[2284][1]~58857\) # (GND)))
-- \led_flash_cnt[2284][2]~58859\ = CARRY((!\led_flash_cnt[2284][1]~58857\) # (!\led_flash_cnt[2284][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2284][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2284][1]~58857\,
	combout => \led_flash_cnt[2284][2]~58858_combout\,
	cout => \led_flash_cnt[2284][2]~58859\);

-- Location: FF_X6_Y17_N7
\led_flash_cnt[2284][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2284][2]~58858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2284][2]~q\);

-- Location: LCCOMB_X6_Y17_N8
\led_flash_cnt[2284][3]~58860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2284][3]~58860_combout\ = (\led_flash_cnt[2284][3]~q\ & (\led_flash_cnt[2284][2]~58859\ $ (GND))) # (!\led_flash_cnt[2284][3]~q\ & (!\led_flash_cnt[2284][2]~58859\ & VCC))
-- \led_flash_cnt[2284][3]~58861\ = CARRY((\led_flash_cnt[2284][3]~q\ & !\led_flash_cnt[2284][2]~58859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2284][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2284][2]~58859\,
	combout => \led_flash_cnt[2284][3]~58860_combout\,
	cout => \led_flash_cnt[2284][3]~58861\);

-- Location: FF_X6_Y17_N9
\led_flash_cnt[2284][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2284][3]~58860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2284][3]~q\);

-- Location: LCCOMB_X6_Y17_N10
\led_flash_cnt[2284][4]~58862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2284][4]~58862_combout\ = (\led_flash_cnt[2284][4]~q\ & (!\led_flash_cnt[2284][3]~58861\)) # (!\led_flash_cnt[2284][4]~q\ & ((\led_flash_cnt[2284][3]~58861\) # (GND)))
-- \led_flash_cnt[2284][4]~58863\ = CARRY((!\led_flash_cnt[2284][3]~58861\) # (!\led_flash_cnt[2284][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2284][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2284][3]~58861\,
	combout => \led_flash_cnt[2284][4]~58862_combout\,
	cout => \led_flash_cnt[2284][4]~58863\);

-- Location: FF_X6_Y17_N11
\led_flash_cnt[2284][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2284][4]~58862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2284][4]~q\);

-- Location: LCCOMB_X6_Y17_N12
\led_flash_cnt[2284][5]~58864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2284][5]~58864_combout\ = (\led_flash_cnt[2284][5]~q\ & (\led_flash_cnt[2284][4]~58863\ $ (GND))) # (!\led_flash_cnt[2284][5]~q\ & (!\led_flash_cnt[2284][4]~58863\ & VCC))
-- \led_flash_cnt[2284][5]~58865\ = CARRY((\led_flash_cnt[2284][5]~q\ & !\led_flash_cnt[2284][4]~58863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2284][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2284][4]~58863\,
	combout => \led_flash_cnt[2284][5]~58864_combout\,
	cout => \led_flash_cnt[2284][5]~58865\);

-- Location: FF_X6_Y17_N13
\led_flash_cnt[2284][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2284][5]~58864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2284][5]~q\);

-- Location: LCCOMB_X6_Y17_N14
\led_flash_cnt[2284][6]~58866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2284][6]~58866_combout\ = (\led_flash_cnt[2284][6]~q\ & (!\led_flash_cnt[2284][5]~58865\)) # (!\led_flash_cnt[2284][6]~q\ & ((\led_flash_cnt[2284][5]~58865\) # (GND)))
-- \led_flash_cnt[2284][6]~58867\ = CARRY((!\led_flash_cnt[2284][5]~58865\) # (!\led_flash_cnt[2284][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2284][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2284][5]~58865\,
	combout => \led_flash_cnt[2284][6]~58866_combout\,
	cout => \led_flash_cnt[2284][6]~58867\);

-- Location: FF_X6_Y17_N15
\led_flash_cnt[2284][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2284][6]~58866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2284][6]~q\);

-- Location: LCCOMB_X6_Y17_N16
\led_flash_cnt[2284][7]~58868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2284][7]~58868_combout\ = \led_flash_cnt[2284][6]~58867\ $ (!\led_flash_cnt[2284][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2284][7]~q\,
	cin => \led_flash_cnt[2284][6]~58867\,
	combout => \led_flash_cnt[2284][7]~58868_combout\);

-- Location: FF_X6_Y17_N17
\led_flash_cnt[2284][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2284][7]~58868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2284][7]~q\);

-- Location: LCCOMB_X6_Y17_N26
\WideAnd2284~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2284~1_combout\ = (\led_flash_cnt[2284][6]~q\ & \led_flash_cnt[2284][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2284][6]~q\,
	datad => \led_flash_cnt[2284][5]~q\,
	combout => \WideAnd2284~1_combout\);

-- Location: LCCOMB_X6_Y17_N24
\WideAnd2284~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2284~0_combout\ = (\led_flash_cnt[2284][4]~q\ & (\led_flash_cnt[2284][1]~q\ & (\led_flash_cnt[2284][3]~q\ & \led_flash_cnt[2284][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2284][4]~q\,
	datab => \led_flash_cnt[2284][1]~q\,
	datac => \led_flash_cnt[2284][3]~q\,
	datad => \led_flash_cnt[2284][2]~q\,
	combout => \WideAnd2284~0_combout\);

-- Location: LCCOMB_X6_Y17_N0
WideAnd2284 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2284~combout\ = (\led_flash_cnt[2284][0]~q\ & (\led_flash_cnt[2284][7]~q\ & (\WideAnd2284~1_combout\ & \WideAnd2284~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2284][0]~q\,
	datab => \led_flash_cnt[2284][7]~q\,
	datac => \WideAnd2284~1_combout\,
	datad => \WideAnd2284~0_combout\,
	combout => \WideAnd2284~combout\);

-- Location: FF_X6_Y17_N1
\led_flash_cnt_ands[2284]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2284~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2284));

-- Location: LCCOMB_X7_Y15_N6
\WideAnd4125~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4125~1_combout\ = (led_flash_cnt_ands(2285) & led_flash_cnt_ands(2284))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2285),
	datad => led_flash_cnt_ands(2284),
	combout => \WideAnd4125~1_combout\);

-- Location: LCCOMB_X13_Y12_N26
\led_flash_cnt[2283][0]~82923\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2283][0]~82923_combout\ = !\led_flash_cnt[2283][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2283][0]~q\,
	combout => \led_flash_cnt[2283][0]~82923_combout\);

-- Location: FF_X13_Y12_N27
\led_flash_cnt[2283][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2283][0]~82923_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2283][0]~q\);

-- Location: LCCOMB_X10_Y12_N2
\led_flash_cnt[2283][1]~58842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2283][1]~58842_combout\ = (\led_flash_cnt[2283][1]~q\ & (\led_flash_cnt[2283][0]~q\ $ (VCC))) # (!\led_flash_cnt[2283][1]~q\ & (\led_flash_cnt[2283][0]~q\ & VCC))
-- \led_flash_cnt[2283][1]~58843\ = CARRY((\led_flash_cnt[2283][1]~q\ & \led_flash_cnt[2283][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2283][1]~q\,
	datab => \led_flash_cnt[2283][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2283][1]~58842_combout\,
	cout => \led_flash_cnt[2283][1]~58843\);

-- Location: FF_X10_Y12_N3
\led_flash_cnt[2283][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2283][1]~58842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2283][1]~q\);

-- Location: LCCOMB_X10_Y12_N4
\led_flash_cnt[2283][2]~58844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2283][2]~58844_combout\ = (\led_flash_cnt[2283][2]~q\ & (!\led_flash_cnt[2283][1]~58843\)) # (!\led_flash_cnt[2283][2]~q\ & ((\led_flash_cnt[2283][1]~58843\) # (GND)))
-- \led_flash_cnt[2283][2]~58845\ = CARRY((!\led_flash_cnt[2283][1]~58843\) # (!\led_flash_cnt[2283][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2283][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2283][1]~58843\,
	combout => \led_flash_cnt[2283][2]~58844_combout\,
	cout => \led_flash_cnt[2283][2]~58845\);

-- Location: FF_X10_Y12_N5
\led_flash_cnt[2283][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2283][2]~58844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2283][2]~q\);

-- Location: LCCOMB_X10_Y12_N6
\led_flash_cnt[2283][3]~58846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2283][3]~58846_combout\ = (\led_flash_cnt[2283][3]~q\ & (\led_flash_cnt[2283][2]~58845\ $ (GND))) # (!\led_flash_cnt[2283][3]~q\ & (!\led_flash_cnt[2283][2]~58845\ & VCC))
-- \led_flash_cnt[2283][3]~58847\ = CARRY((\led_flash_cnt[2283][3]~q\ & !\led_flash_cnt[2283][2]~58845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2283][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2283][2]~58845\,
	combout => \led_flash_cnt[2283][3]~58846_combout\,
	cout => \led_flash_cnt[2283][3]~58847\);

-- Location: FF_X10_Y12_N7
\led_flash_cnt[2283][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2283][3]~58846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2283][3]~q\);

-- Location: LCCOMB_X10_Y12_N8
\led_flash_cnt[2283][4]~58848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2283][4]~58848_combout\ = (\led_flash_cnt[2283][4]~q\ & (!\led_flash_cnt[2283][3]~58847\)) # (!\led_flash_cnt[2283][4]~q\ & ((\led_flash_cnt[2283][3]~58847\) # (GND)))
-- \led_flash_cnt[2283][4]~58849\ = CARRY((!\led_flash_cnt[2283][3]~58847\) # (!\led_flash_cnt[2283][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2283][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2283][3]~58847\,
	combout => \led_flash_cnt[2283][4]~58848_combout\,
	cout => \led_flash_cnt[2283][4]~58849\);

-- Location: FF_X10_Y12_N9
\led_flash_cnt[2283][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2283][4]~58848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2283][4]~q\);

-- Location: LCCOMB_X10_Y12_N30
\WideAnd2283~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2283~0_combout\ = (\led_flash_cnt[2283][3]~q\ & (\led_flash_cnt[2283][4]~q\ & (\led_flash_cnt[2283][2]~q\ & \led_flash_cnt[2283][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2283][3]~q\,
	datab => \led_flash_cnt[2283][4]~q\,
	datac => \led_flash_cnt[2283][2]~q\,
	datad => \led_flash_cnt[2283][1]~q\,
	combout => \WideAnd2283~0_combout\);

-- Location: LCCOMB_X10_Y12_N10
\led_flash_cnt[2283][5]~58850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2283][5]~58850_combout\ = (\led_flash_cnt[2283][5]~q\ & (\led_flash_cnt[2283][4]~58849\ $ (GND))) # (!\led_flash_cnt[2283][5]~q\ & (!\led_flash_cnt[2283][4]~58849\ & VCC))
-- \led_flash_cnt[2283][5]~58851\ = CARRY((\led_flash_cnt[2283][5]~q\ & !\led_flash_cnt[2283][4]~58849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2283][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2283][4]~58849\,
	combout => \led_flash_cnt[2283][5]~58850_combout\,
	cout => \led_flash_cnt[2283][5]~58851\);

-- Location: FF_X10_Y12_N11
\led_flash_cnt[2283][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2283][5]~58850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2283][5]~q\);

-- Location: LCCOMB_X10_Y12_N12
\led_flash_cnt[2283][6]~58852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2283][6]~58852_combout\ = (\led_flash_cnt[2283][6]~q\ & (!\led_flash_cnt[2283][5]~58851\)) # (!\led_flash_cnt[2283][6]~q\ & ((\led_flash_cnt[2283][5]~58851\) # (GND)))
-- \led_flash_cnt[2283][6]~58853\ = CARRY((!\led_flash_cnt[2283][5]~58851\) # (!\led_flash_cnt[2283][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2283][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2283][5]~58851\,
	combout => \led_flash_cnt[2283][6]~58852_combout\,
	cout => \led_flash_cnt[2283][6]~58853\);

-- Location: FF_X10_Y12_N13
\led_flash_cnt[2283][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2283][6]~58852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2283][6]~q\);

-- Location: LCCOMB_X10_Y12_N0
\WideAnd2283~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2283~1_combout\ = (\led_flash_cnt[2283][6]~q\ & \led_flash_cnt[2283][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2283][6]~q\,
	datad => \led_flash_cnt[2283][5]~q\,
	combout => \WideAnd2283~1_combout\);

-- Location: LCCOMB_X10_Y12_N14
\led_flash_cnt[2283][7]~58854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2283][7]~58854_combout\ = \led_flash_cnt[2283][7]~q\ $ (!\led_flash_cnt[2283][6]~58853\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2283][7]~q\,
	cin => \led_flash_cnt[2283][6]~58853\,
	combout => \led_flash_cnt[2283][7]~58854_combout\);

-- Location: FF_X10_Y12_N15
\led_flash_cnt[2283][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2283][7]~58854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2283][7]~q\);

-- Location: LCCOMB_X10_Y12_N28
WideAnd2283 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2283~combout\ = (\WideAnd2283~0_combout\ & (\WideAnd2283~1_combout\ & (\led_flash_cnt[2283][7]~q\ & \led_flash_cnt[2283][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2283~0_combout\,
	datab => \WideAnd2283~1_combout\,
	datac => \led_flash_cnt[2283][7]~q\,
	datad => \led_flash_cnt[2283][0]~q\,
	combout => \WideAnd2283~combout\);

-- Location: FF_X10_Y12_N29
\led_flash_cnt_ands[2283]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2283~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2283));

-- Location: LCCOMB_X10_Y12_N24
\led_flash_cnt[2280][0]~82920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2280][0]~82920_combout\ = !\led_flash_cnt[2280][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2280][0]~q\,
	combout => \led_flash_cnt[2280][0]~82920_combout\);

-- Location: FF_X10_Y12_N25
\led_flash_cnt[2280][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2280][0]~82920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2280][0]~q\);

-- Location: LCCOMB_X11_Y12_N0
\led_flash_cnt[2280][1]~58800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2280][1]~58800_combout\ = (\led_flash_cnt[2280][0]~q\ & (\led_flash_cnt[2280][1]~q\ $ (VCC))) # (!\led_flash_cnt[2280][0]~q\ & (\led_flash_cnt[2280][1]~q\ & VCC))
-- \led_flash_cnt[2280][1]~58801\ = CARRY((\led_flash_cnt[2280][0]~q\ & \led_flash_cnt[2280][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2280][0]~q\,
	datab => \led_flash_cnt[2280][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2280][1]~58800_combout\,
	cout => \led_flash_cnt[2280][1]~58801\);

-- Location: FF_X11_Y12_N1
\led_flash_cnt[2280][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2280][1]~58800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2280][1]~q\);

-- Location: LCCOMB_X11_Y12_N2
\led_flash_cnt[2280][2]~58802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2280][2]~58802_combout\ = (\led_flash_cnt[2280][2]~q\ & (!\led_flash_cnt[2280][1]~58801\)) # (!\led_flash_cnt[2280][2]~q\ & ((\led_flash_cnt[2280][1]~58801\) # (GND)))
-- \led_flash_cnt[2280][2]~58803\ = CARRY((!\led_flash_cnt[2280][1]~58801\) # (!\led_flash_cnt[2280][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2280][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2280][1]~58801\,
	combout => \led_flash_cnt[2280][2]~58802_combout\,
	cout => \led_flash_cnt[2280][2]~58803\);

-- Location: FF_X11_Y12_N3
\led_flash_cnt[2280][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2280][2]~58802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2280][2]~q\);

-- Location: LCCOMB_X11_Y12_N4
\led_flash_cnt[2280][3]~58804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2280][3]~58804_combout\ = (\led_flash_cnt[2280][3]~q\ & (\led_flash_cnt[2280][2]~58803\ $ (GND))) # (!\led_flash_cnt[2280][3]~q\ & (!\led_flash_cnt[2280][2]~58803\ & VCC))
-- \led_flash_cnt[2280][3]~58805\ = CARRY((\led_flash_cnt[2280][3]~q\ & !\led_flash_cnt[2280][2]~58803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2280][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2280][2]~58803\,
	combout => \led_flash_cnt[2280][3]~58804_combout\,
	cout => \led_flash_cnt[2280][3]~58805\);

-- Location: FF_X11_Y12_N5
\led_flash_cnt[2280][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2280][3]~58804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2280][3]~q\);

-- Location: LCCOMB_X11_Y12_N6
\led_flash_cnt[2280][4]~58806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2280][4]~58806_combout\ = (\led_flash_cnt[2280][4]~q\ & (!\led_flash_cnt[2280][3]~58805\)) # (!\led_flash_cnt[2280][4]~q\ & ((\led_flash_cnt[2280][3]~58805\) # (GND)))
-- \led_flash_cnt[2280][4]~58807\ = CARRY((!\led_flash_cnt[2280][3]~58805\) # (!\led_flash_cnt[2280][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2280][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2280][3]~58805\,
	combout => \led_flash_cnt[2280][4]~58806_combout\,
	cout => \led_flash_cnt[2280][4]~58807\);

-- Location: FF_X11_Y12_N7
\led_flash_cnt[2280][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2280][4]~58806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2280][4]~q\);

-- Location: LCCOMB_X11_Y12_N8
\led_flash_cnt[2280][5]~58808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2280][5]~58808_combout\ = (\led_flash_cnt[2280][5]~q\ & (\led_flash_cnt[2280][4]~58807\ $ (GND))) # (!\led_flash_cnt[2280][5]~q\ & (!\led_flash_cnt[2280][4]~58807\ & VCC))
-- \led_flash_cnt[2280][5]~58809\ = CARRY((\led_flash_cnt[2280][5]~q\ & !\led_flash_cnt[2280][4]~58807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2280][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2280][4]~58807\,
	combout => \led_flash_cnt[2280][5]~58808_combout\,
	cout => \led_flash_cnt[2280][5]~58809\);

-- Location: FF_X11_Y12_N9
\led_flash_cnt[2280][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2280][5]~58808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2280][5]~q\);

-- Location: LCCOMB_X11_Y12_N10
\led_flash_cnt[2280][6]~58810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2280][6]~58810_combout\ = (\led_flash_cnt[2280][6]~q\ & (!\led_flash_cnt[2280][5]~58809\)) # (!\led_flash_cnt[2280][6]~q\ & ((\led_flash_cnt[2280][5]~58809\) # (GND)))
-- \led_flash_cnt[2280][6]~58811\ = CARRY((!\led_flash_cnt[2280][5]~58809\) # (!\led_flash_cnt[2280][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2280][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2280][5]~58809\,
	combout => \led_flash_cnt[2280][6]~58810_combout\,
	cout => \led_flash_cnt[2280][6]~58811\);

-- Location: FF_X11_Y12_N11
\led_flash_cnt[2280][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2280][6]~58810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2280][6]~q\);

-- Location: LCCOMB_X10_Y12_N26
\WideAnd2280~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2280~1_combout\ = (\led_flash_cnt[2280][6]~q\ & \led_flash_cnt[2280][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2280][6]~q\,
	datac => \led_flash_cnt[2280][5]~q\,
	combout => \WideAnd2280~1_combout\);

-- Location: LCCOMB_X11_Y12_N12
\led_flash_cnt[2280][7]~58812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2280][7]~58812_combout\ = \led_flash_cnt[2280][6]~58811\ $ (!\led_flash_cnt[2280][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2280][7]~q\,
	cin => \led_flash_cnt[2280][6]~58811\,
	combout => \led_flash_cnt[2280][7]~58812_combout\);

-- Location: FF_X11_Y12_N13
\led_flash_cnt[2280][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2280][7]~58812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2280][7]~q\);

-- Location: LCCOMB_X11_Y12_N16
\WideAnd2280~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2280~0_combout\ = (\led_flash_cnt[2280][4]~q\ & (\led_flash_cnt[2280][2]~q\ & (\led_flash_cnt[2280][3]~q\ & \led_flash_cnt[2280][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2280][4]~q\,
	datab => \led_flash_cnt[2280][2]~q\,
	datac => \led_flash_cnt[2280][3]~q\,
	datad => \led_flash_cnt[2280][1]~q\,
	combout => \WideAnd2280~0_combout\);

-- Location: LCCOMB_X10_Y12_N16
WideAnd2280 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2280~combout\ = (\WideAnd2280~1_combout\ & (\led_flash_cnt[2280][0]~q\ & (\led_flash_cnt[2280][7]~q\ & \WideAnd2280~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2280~1_combout\,
	datab => \led_flash_cnt[2280][0]~q\,
	datac => \led_flash_cnt[2280][7]~q\,
	datad => \WideAnd2280~0_combout\,
	combout => \WideAnd2280~combout\);

-- Location: FF_X10_Y12_N17
\led_flash_cnt_ands[2280]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2280~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2280));

-- Location: LCCOMB_X11_Y15_N6
\led_flash_cnt[2281][0]~82921\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2281][0]~82921_combout\ = !\led_flash_cnt[2281][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2281][0]~q\,
	combout => \led_flash_cnt[2281][0]~82921_combout\);

-- Location: FF_X11_Y15_N7
\led_flash_cnt[2281][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2281][0]~82921_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2281][0]~q\);

-- Location: LCCOMB_X12_Y15_N0
\led_flash_cnt[2281][1]~58814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2281][1]~58814_combout\ = (\led_flash_cnt[2281][0]~q\ & (\led_flash_cnt[2281][1]~q\ $ (VCC))) # (!\led_flash_cnt[2281][0]~q\ & (\led_flash_cnt[2281][1]~q\ & VCC))
-- \led_flash_cnt[2281][1]~58815\ = CARRY((\led_flash_cnt[2281][0]~q\ & \led_flash_cnt[2281][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2281][0]~q\,
	datab => \led_flash_cnt[2281][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2281][1]~58814_combout\,
	cout => \led_flash_cnt[2281][1]~58815\);

-- Location: FF_X12_Y15_N1
\led_flash_cnt[2281][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2281][1]~58814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2281][1]~q\);

-- Location: LCCOMB_X12_Y15_N2
\led_flash_cnt[2281][2]~58816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2281][2]~58816_combout\ = (\led_flash_cnt[2281][2]~q\ & (!\led_flash_cnt[2281][1]~58815\)) # (!\led_flash_cnt[2281][2]~q\ & ((\led_flash_cnt[2281][1]~58815\) # (GND)))
-- \led_flash_cnt[2281][2]~58817\ = CARRY((!\led_flash_cnt[2281][1]~58815\) # (!\led_flash_cnt[2281][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2281][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2281][1]~58815\,
	combout => \led_flash_cnt[2281][2]~58816_combout\,
	cout => \led_flash_cnt[2281][2]~58817\);

-- Location: FF_X12_Y15_N3
\led_flash_cnt[2281][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2281][2]~58816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2281][2]~q\);

-- Location: LCCOMB_X12_Y15_N4
\led_flash_cnt[2281][3]~58818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2281][3]~58818_combout\ = (\led_flash_cnt[2281][3]~q\ & (\led_flash_cnt[2281][2]~58817\ $ (GND))) # (!\led_flash_cnt[2281][3]~q\ & (!\led_flash_cnt[2281][2]~58817\ & VCC))
-- \led_flash_cnt[2281][3]~58819\ = CARRY((\led_flash_cnt[2281][3]~q\ & !\led_flash_cnt[2281][2]~58817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2281][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2281][2]~58817\,
	combout => \led_flash_cnt[2281][3]~58818_combout\,
	cout => \led_flash_cnt[2281][3]~58819\);

-- Location: FF_X12_Y15_N5
\led_flash_cnt[2281][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2281][3]~58818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2281][3]~q\);

-- Location: LCCOMB_X12_Y15_N6
\led_flash_cnt[2281][4]~58820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2281][4]~58820_combout\ = (\led_flash_cnt[2281][4]~q\ & (!\led_flash_cnt[2281][3]~58819\)) # (!\led_flash_cnt[2281][4]~q\ & ((\led_flash_cnt[2281][3]~58819\) # (GND)))
-- \led_flash_cnt[2281][4]~58821\ = CARRY((!\led_flash_cnt[2281][3]~58819\) # (!\led_flash_cnt[2281][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2281][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2281][3]~58819\,
	combout => \led_flash_cnt[2281][4]~58820_combout\,
	cout => \led_flash_cnt[2281][4]~58821\);

-- Location: FF_X12_Y15_N7
\led_flash_cnt[2281][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2281][4]~58820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2281][4]~q\);

-- Location: LCCOMB_X12_Y15_N8
\led_flash_cnt[2281][5]~58822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2281][5]~58822_combout\ = (\led_flash_cnt[2281][5]~q\ & (\led_flash_cnt[2281][4]~58821\ $ (GND))) # (!\led_flash_cnt[2281][5]~q\ & (!\led_flash_cnt[2281][4]~58821\ & VCC))
-- \led_flash_cnt[2281][5]~58823\ = CARRY((\led_flash_cnt[2281][5]~q\ & !\led_flash_cnt[2281][4]~58821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2281][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2281][4]~58821\,
	combout => \led_flash_cnt[2281][5]~58822_combout\,
	cout => \led_flash_cnt[2281][5]~58823\);

-- Location: FF_X12_Y15_N9
\led_flash_cnt[2281][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2281][5]~58822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2281][5]~q\);

-- Location: LCCOMB_X12_Y15_N10
\led_flash_cnt[2281][6]~58824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2281][6]~58824_combout\ = (\led_flash_cnt[2281][6]~q\ & (!\led_flash_cnt[2281][5]~58823\)) # (!\led_flash_cnt[2281][6]~q\ & ((\led_flash_cnt[2281][5]~58823\) # (GND)))
-- \led_flash_cnt[2281][6]~58825\ = CARRY((!\led_flash_cnt[2281][5]~58823\) # (!\led_flash_cnt[2281][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2281][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2281][5]~58823\,
	combout => \led_flash_cnt[2281][6]~58824_combout\,
	cout => \led_flash_cnt[2281][6]~58825\);

-- Location: FF_X12_Y15_N11
\led_flash_cnt[2281][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2281][6]~58824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2281][6]~q\);

-- Location: LCCOMB_X11_Y15_N10
\WideAnd2281~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2281~1_combout\ = (\led_flash_cnt[2281][6]~q\ & \led_flash_cnt[2281][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2281][6]~q\,
	datac => \led_flash_cnt[2281][5]~q\,
	combout => \WideAnd2281~1_combout\);

-- Location: LCCOMB_X12_Y15_N14
\WideAnd2281~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2281~0_combout\ = (\led_flash_cnt[2281][4]~q\ & (\led_flash_cnt[2281][1]~q\ & (\led_flash_cnt[2281][3]~q\ & \led_flash_cnt[2281][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2281][4]~q\,
	datab => \led_flash_cnt[2281][1]~q\,
	datac => \led_flash_cnt[2281][3]~q\,
	datad => \led_flash_cnt[2281][2]~q\,
	combout => \WideAnd2281~0_combout\);

-- Location: LCCOMB_X12_Y15_N12
\led_flash_cnt[2281][7]~58826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2281][7]~58826_combout\ = \led_flash_cnt[2281][6]~58825\ $ (!\led_flash_cnt[2281][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2281][7]~q\,
	cin => \led_flash_cnt[2281][6]~58825\,
	combout => \led_flash_cnt[2281][7]~58826_combout\);

-- Location: FF_X12_Y15_N13
\led_flash_cnt[2281][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2281][7]~58826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2281][7]~q\);

-- Location: LCCOMB_X11_Y15_N8
WideAnd2281 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2281~combout\ = (\WideAnd2281~1_combout\ & (\WideAnd2281~0_combout\ & (\led_flash_cnt[2281][7]~q\ & \led_flash_cnt[2281][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2281~1_combout\,
	datab => \WideAnd2281~0_combout\,
	datac => \led_flash_cnt[2281][7]~q\,
	datad => \led_flash_cnt[2281][0]~q\,
	combout => \WideAnd2281~combout\);

-- Location: FF_X11_Y15_N9
\led_flash_cnt_ands[2281]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2281~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2281));

-- Location: LCCOMB_X11_Y15_N12
\led_flash_cnt[2282][0]~82922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2282][0]~82922_combout\ = !\led_flash_cnt[2282][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2282][0]~q\,
	combout => \led_flash_cnt[2282][0]~82922_combout\);

-- Location: FF_X11_Y15_N13
\led_flash_cnt[2282][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2282][0]~82922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2282][0]~q\);

-- Location: LCCOMB_X11_Y15_N14
\led_flash_cnt[2282][1]~58828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2282][1]~58828_combout\ = (\led_flash_cnt[2282][0]~q\ & (\led_flash_cnt[2282][1]~q\ $ (VCC))) # (!\led_flash_cnt[2282][0]~q\ & (\led_flash_cnt[2282][1]~q\ & VCC))
-- \led_flash_cnt[2282][1]~58829\ = CARRY((\led_flash_cnt[2282][0]~q\ & \led_flash_cnt[2282][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2282][0]~q\,
	datab => \led_flash_cnt[2282][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2282][1]~58828_combout\,
	cout => \led_flash_cnt[2282][1]~58829\);

-- Location: FF_X11_Y15_N15
\led_flash_cnt[2282][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2282][1]~58828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2282][1]~q\);

-- Location: LCCOMB_X11_Y15_N16
\led_flash_cnt[2282][2]~58830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2282][2]~58830_combout\ = (\led_flash_cnt[2282][2]~q\ & (!\led_flash_cnt[2282][1]~58829\)) # (!\led_flash_cnt[2282][2]~q\ & ((\led_flash_cnt[2282][1]~58829\) # (GND)))
-- \led_flash_cnt[2282][2]~58831\ = CARRY((!\led_flash_cnt[2282][1]~58829\) # (!\led_flash_cnt[2282][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2282][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2282][1]~58829\,
	combout => \led_flash_cnt[2282][2]~58830_combout\,
	cout => \led_flash_cnt[2282][2]~58831\);

-- Location: FF_X11_Y15_N17
\led_flash_cnt[2282][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2282][2]~58830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2282][2]~q\);

-- Location: LCCOMB_X11_Y15_N18
\led_flash_cnt[2282][3]~58832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2282][3]~58832_combout\ = (\led_flash_cnt[2282][3]~q\ & (\led_flash_cnt[2282][2]~58831\ $ (GND))) # (!\led_flash_cnt[2282][3]~q\ & (!\led_flash_cnt[2282][2]~58831\ & VCC))
-- \led_flash_cnt[2282][3]~58833\ = CARRY((\led_flash_cnt[2282][3]~q\ & !\led_flash_cnt[2282][2]~58831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2282][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2282][2]~58831\,
	combout => \led_flash_cnt[2282][3]~58832_combout\,
	cout => \led_flash_cnt[2282][3]~58833\);

-- Location: FF_X11_Y15_N19
\led_flash_cnt[2282][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2282][3]~58832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2282][3]~q\);

-- Location: LCCOMB_X11_Y15_N20
\led_flash_cnt[2282][4]~58834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2282][4]~58834_combout\ = (\led_flash_cnt[2282][4]~q\ & (!\led_flash_cnt[2282][3]~58833\)) # (!\led_flash_cnt[2282][4]~q\ & ((\led_flash_cnt[2282][3]~58833\) # (GND)))
-- \led_flash_cnt[2282][4]~58835\ = CARRY((!\led_flash_cnt[2282][3]~58833\) # (!\led_flash_cnt[2282][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2282][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2282][3]~58833\,
	combout => \led_flash_cnt[2282][4]~58834_combout\,
	cout => \led_flash_cnt[2282][4]~58835\);

-- Location: FF_X11_Y15_N21
\led_flash_cnt[2282][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2282][4]~58834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2282][4]~q\);

-- Location: LCCOMB_X11_Y15_N30
\WideAnd2282~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2282~0_combout\ = (\led_flash_cnt[2282][3]~q\ & (\led_flash_cnt[2282][4]~q\ & (\led_flash_cnt[2282][1]~q\ & \led_flash_cnt[2282][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2282][3]~q\,
	datab => \led_flash_cnt[2282][4]~q\,
	datac => \led_flash_cnt[2282][1]~q\,
	datad => \led_flash_cnt[2282][2]~q\,
	combout => \WideAnd2282~0_combout\);

-- Location: LCCOMB_X11_Y15_N22
\led_flash_cnt[2282][5]~58836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2282][5]~58836_combout\ = (\led_flash_cnt[2282][5]~q\ & (\led_flash_cnt[2282][4]~58835\ $ (GND))) # (!\led_flash_cnt[2282][5]~q\ & (!\led_flash_cnt[2282][4]~58835\ & VCC))
-- \led_flash_cnt[2282][5]~58837\ = CARRY((\led_flash_cnt[2282][5]~q\ & !\led_flash_cnt[2282][4]~58835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2282][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2282][4]~58835\,
	combout => \led_flash_cnt[2282][5]~58836_combout\,
	cout => \led_flash_cnt[2282][5]~58837\);

-- Location: FF_X11_Y15_N23
\led_flash_cnt[2282][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2282][5]~58836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2282][5]~q\);

-- Location: LCCOMB_X11_Y15_N24
\led_flash_cnt[2282][6]~58838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2282][6]~58838_combout\ = (\led_flash_cnt[2282][6]~q\ & (!\led_flash_cnt[2282][5]~58837\)) # (!\led_flash_cnt[2282][6]~q\ & ((\led_flash_cnt[2282][5]~58837\) # (GND)))
-- \led_flash_cnt[2282][6]~58839\ = CARRY((!\led_flash_cnt[2282][5]~58837\) # (!\led_flash_cnt[2282][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2282][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2282][5]~58837\,
	combout => \led_flash_cnt[2282][6]~58838_combout\,
	cout => \led_flash_cnt[2282][6]~58839\);

-- Location: FF_X11_Y15_N25
\led_flash_cnt[2282][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2282][6]~58838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2282][6]~q\);

-- Location: LCCOMB_X11_Y15_N4
\WideAnd2282~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2282~1_combout\ = (\led_flash_cnt[2282][5]~q\ & \led_flash_cnt[2282][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2282][5]~q\,
	datad => \led_flash_cnt[2282][6]~q\,
	combout => \WideAnd2282~1_combout\);

-- Location: LCCOMB_X11_Y15_N26
\led_flash_cnt[2282][7]~58840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2282][7]~58840_combout\ = \led_flash_cnt[2282][7]~q\ $ (!\led_flash_cnt[2282][6]~58839\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2282][7]~q\,
	cin => \led_flash_cnt[2282][6]~58839\,
	combout => \led_flash_cnt[2282][7]~58840_combout\);

-- Location: FF_X11_Y15_N27
\led_flash_cnt[2282][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2282][7]~58840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2282][7]~q\);

-- Location: LCCOMB_X11_Y15_N28
WideAnd2282 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2282~combout\ = (\WideAnd2282~0_combout\ & (\WideAnd2282~1_combout\ & (\led_flash_cnt[2282][7]~q\ & \led_flash_cnt[2282][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2282~0_combout\,
	datab => \WideAnd2282~1_combout\,
	datac => \led_flash_cnt[2282][7]~q\,
	datad => \led_flash_cnt[2282][0]~q\,
	combout => \WideAnd2282~combout\);

-- Location: FF_X11_Y15_N29
\led_flash_cnt_ands[2282]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2282~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2282));

-- Location: LCCOMB_X10_Y15_N12
\WideAnd4125~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4125~0_combout\ = (led_flash_cnt_ands(2283) & (led_flash_cnt_ands(2280) & (led_flash_cnt_ands(2281) & led_flash_cnt_ands(2282))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2283),
	datab => led_flash_cnt_ands(2280),
	datac => led_flash_cnt_ands(2281),
	datad => led_flash_cnt_ands(2282),
	combout => \WideAnd4125~0_combout\);

-- Location: LCCOMB_X10_Y15_N0
WideAnd4125 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4125~combout\ = (led_flash_cnt_ands(2286) & (led_flash_cnt_ands(2287) & (\WideAnd4125~1_combout\ & \WideAnd4125~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2286),
	datab => led_flash_cnt_ands(2287),
	datac => \WideAnd4125~1_combout\,
	datad => \WideAnd4125~0_combout\,
	combout => \WideAnd4125~combout\);

-- Location: FF_X10_Y15_N1
\led_flash_cnt_ands_1[285]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4125~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(285));

-- Location: LCCOMB_X14_Y15_N2
\WideAnd4355~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4355~1_combout\ = (led_flash_cnt_ands_1(284) & led_flash_cnt_ands_1(285))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(284),
	datad => led_flash_cnt_ands_1(285),
	combout => \WideAnd4355~1_combout\);

-- Location: LCCOMB_X30_Y23_N26
\led_flash_cnt[2294][0]~82934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2294][0]~82934_combout\ = !\led_flash_cnt[2294][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2294][0]~q\,
	combout => \led_flash_cnt[2294][0]~82934_combout\);

-- Location: FF_X30_Y23_N27
\led_flash_cnt[2294][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2294][0]~82934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2294][0]~q\);

-- Location: LCCOMB_X31_Y23_N18
\led_flash_cnt[2294][1]~58996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2294][1]~58996_combout\ = (\led_flash_cnt[2294][0]~q\ & (\led_flash_cnt[2294][1]~q\ $ (VCC))) # (!\led_flash_cnt[2294][0]~q\ & (\led_flash_cnt[2294][1]~q\ & VCC))
-- \led_flash_cnt[2294][1]~58997\ = CARRY((\led_flash_cnt[2294][0]~q\ & \led_flash_cnt[2294][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2294][0]~q\,
	datab => \led_flash_cnt[2294][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2294][1]~58996_combout\,
	cout => \led_flash_cnt[2294][1]~58997\);

-- Location: FF_X31_Y23_N19
\led_flash_cnt[2294][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2294][1]~58996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2294][1]~q\);

-- Location: LCCOMB_X31_Y23_N20
\led_flash_cnt[2294][2]~58998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2294][2]~58998_combout\ = (\led_flash_cnt[2294][2]~q\ & (!\led_flash_cnt[2294][1]~58997\)) # (!\led_flash_cnt[2294][2]~q\ & ((\led_flash_cnt[2294][1]~58997\) # (GND)))
-- \led_flash_cnt[2294][2]~58999\ = CARRY((!\led_flash_cnt[2294][1]~58997\) # (!\led_flash_cnt[2294][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2294][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2294][1]~58997\,
	combout => \led_flash_cnt[2294][2]~58998_combout\,
	cout => \led_flash_cnt[2294][2]~58999\);

-- Location: FF_X31_Y23_N21
\led_flash_cnt[2294][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2294][2]~58998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2294][2]~q\);

-- Location: LCCOMB_X31_Y23_N22
\led_flash_cnt[2294][3]~59000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2294][3]~59000_combout\ = (\led_flash_cnt[2294][3]~q\ & (\led_flash_cnt[2294][2]~58999\ $ (GND))) # (!\led_flash_cnt[2294][3]~q\ & (!\led_flash_cnt[2294][2]~58999\ & VCC))
-- \led_flash_cnt[2294][3]~59001\ = CARRY((\led_flash_cnt[2294][3]~q\ & !\led_flash_cnt[2294][2]~58999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2294][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2294][2]~58999\,
	combout => \led_flash_cnt[2294][3]~59000_combout\,
	cout => \led_flash_cnt[2294][3]~59001\);

-- Location: FF_X31_Y23_N23
\led_flash_cnt[2294][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2294][3]~59000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2294][3]~q\);

-- Location: LCCOMB_X31_Y23_N24
\led_flash_cnt[2294][4]~59002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2294][4]~59002_combout\ = (\led_flash_cnt[2294][4]~q\ & (!\led_flash_cnt[2294][3]~59001\)) # (!\led_flash_cnt[2294][4]~q\ & ((\led_flash_cnt[2294][3]~59001\) # (GND)))
-- \led_flash_cnt[2294][4]~59003\ = CARRY((!\led_flash_cnt[2294][3]~59001\) # (!\led_flash_cnt[2294][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2294][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2294][3]~59001\,
	combout => \led_flash_cnt[2294][4]~59002_combout\,
	cout => \led_flash_cnt[2294][4]~59003\);

-- Location: FF_X31_Y23_N25
\led_flash_cnt[2294][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2294][4]~59002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2294][4]~q\);

-- Location: LCCOMB_X31_Y23_N2
\WideAnd2294~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2294~0_combout\ = (\led_flash_cnt[2294][2]~q\ & (\led_flash_cnt[2294][1]~q\ & (\led_flash_cnt[2294][3]~q\ & \led_flash_cnt[2294][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2294][2]~q\,
	datab => \led_flash_cnt[2294][1]~q\,
	datac => \led_flash_cnt[2294][3]~q\,
	datad => \led_flash_cnt[2294][4]~q\,
	combout => \WideAnd2294~0_combout\);

-- Location: LCCOMB_X31_Y23_N26
\led_flash_cnt[2294][5]~59004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2294][5]~59004_combout\ = (\led_flash_cnt[2294][5]~q\ & (\led_flash_cnt[2294][4]~59003\ $ (GND))) # (!\led_flash_cnt[2294][5]~q\ & (!\led_flash_cnt[2294][4]~59003\ & VCC))
-- \led_flash_cnt[2294][5]~59005\ = CARRY((\led_flash_cnt[2294][5]~q\ & !\led_flash_cnt[2294][4]~59003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2294][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2294][4]~59003\,
	combout => \led_flash_cnt[2294][5]~59004_combout\,
	cout => \led_flash_cnt[2294][5]~59005\);

-- Location: FF_X31_Y23_N27
\led_flash_cnt[2294][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2294][5]~59004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2294][5]~q\);

-- Location: LCCOMB_X31_Y23_N28
\led_flash_cnt[2294][6]~59006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2294][6]~59006_combout\ = (\led_flash_cnt[2294][6]~q\ & (!\led_flash_cnt[2294][5]~59005\)) # (!\led_flash_cnt[2294][6]~q\ & ((\led_flash_cnt[2294][5]~59005\) # (GND)))
-- \led_flash_cnt[2294][6]~59007\ = CARRY((!\led_flash_cnt[2294][5]~59005\) # (!\led_flash_cnt[2294][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2294][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2294][5]~59005\,
	combout => \led_flash_cnt[2294][6]~59006_combout\,
	cout => \led_flash_cnt[2294][6]~59007\);

-- Location: FF_X31_Y23_N29
\led_flash_cnt[2294][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2294][6]~59006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2294][6]~q\);

-- Location: LCCOMB_X31_Y23_N30
\led_flash_cnt[2294][7]~59008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2294][7]~59008_combout\ = \led_flash_cnt[2294][7]~q\ $ (!\led_flash_cnt[2294][6]~59007\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2294][7]~q\,
	cin => \led_flash_cnt[2294][6]~59007\,
	combout => \led_flash_cnt[2294][7]~59008_combout\);

-- Location: FF_X31_Y23_N31
\led_flash_cnt[2294][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2294][7]~59008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2294][7]~q\);

-- Location: LCCOMB_X31_Y23_N0
\WideAnd2294~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2294~1_combout\ = (\led_flash_cnt[2294][5]~q\ & \led_flash_cnt[2294][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2294][5]~q\,
	datad => \led_flash_cnt[2294][6]~q\,
	combout => \WideAnd2294~1_combout\);

-- Location: LCCOMB_X31_Y23_N6
WideAnd2294 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2294~combout\ = (\led_flash_cnt[2294][0]~q\ & (\WideAnd2294~0_combout\ & (\led_flash_cnt[2294][7]~q\ & \WideAnd2294~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2294][0]~q\,
	datab => \WideAnd2294~0_combout\,
	datac => \led_flash_cnt[2294][7]~q\,
	datad => \WideAnd2294~1_combout\,
	combout => \WideAnd2294~combout\);

-- Location: FF_X31_Y23_N7
\led_flash_cnt_ands[2294]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2294~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2294));

-- Location: LCCOMB_X24_Y14_N22
\led_flash_cnt[2295][0]~82935\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2295][0]~82935_combout\ = !\led_flash_cnt[2295][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2295][0]~q\,
	combout => \led_flash_cnt[2295][0]~82935_combout\);

-- Location: FF_X24_Y14_N23
\led_flash_cnt[2295][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2295][0]~82935_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2295][0]~q\);

-- Location: LCCOMB_X24_Y14_N4
\led_flash_cnt[2295][1]~59010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2295][1]~59010_combout\ = (\led_flash_cnt[2295][0]~q\ & (\led_flash_cnt[2295][1]~q\ $ (VCC))) # (!\led_flash_cnt[2295][0]~q\ & (\led_flash_cnt[2295][1]~q\ & VCC))
-- \led_flash_cnt[2295][1]~59011\ = CARRY((\led_flash_cnt[2295][0]~q\ & \led_flash_cnt[2295][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2295][0]~q\,
	datab => \led_flash_cnt[2295][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2295][1]~59010_combout\,
	cout => \led_flash_cnt[2295][1]~59011\);

-- Location: FF_X24_Y14_N5
\led_flash_cnt[2295][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2295][1]~59010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2295][1]~q\);

-- Location: LCCOMB_X24_Y14_N6
\led_flash_cnt[2295][2]~59012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2295][2]~59012_combout\ = (\led_flash_cnt[2295][2]~q\ & (!\led_flash_cnt[2295][1]~59011\)) # (!\led_flash_cnt[2295][2]~q\ & ((\led_flash_cnt[2295][1]~59011\) # (GND)))
-- \led_flash_cnt[2295][2]~59013\ = CARRY((!\led_flash_cnt[2295][1]~59011\) # (!\led_flash_cnt[2295][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2295][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2295][1]~59011\,
	combout => \led_flash_cnt[2295][2]~59012_combout\,
	cout => \led_flash_cnt[2295][2]~59013\);

-- Location: FF_X24_Y14_N7
\led_flash_cnt[2295][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2295][2]~59012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2295][2]~q\);

-- Location: LCCOMB_X24_Y14_N8
\led_flash_cnt[2295][3]~59014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2295][3]~59014_combout\ = (\led_flash_cnt[2295][3]~q\ & (\led_flash_cnt[2295][2]~59013\ $ (GND))) # (!\led_flash_cnt[2295][3]~q\ & (!\led_flash_cnt[2295][2]~59013\ & VCC))
-- \led_flash_cnt[2295][3]~59015\ = CARRY((\led_flash_cnt[2295][3]~q\ & !\led_flash_cnt[2295][2]~59013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2295][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2295][2]~59013\,
	combout => \led_flash_cnt[2295][3]~59014_combout\,
	cout => \led_flash_cnt[2295][3]~59015\);

-- Location: FF_X24_Y14_N9
\led_flash_cnt[2295][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2295][3]~59014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2295][3]~q\);

-- Location: LCCOMB_X24_Y14_N10
\led_flash_cnt[2295][4]~59016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2295][4]~59016_combout\ = (\led_flash_cnt[2295][4]~q\ & (!\led_flash_cnt[2295][3]~59015\)) # (!\led_flash_cnt[2295][4]~q\ & ((\led_flash_cnt[2295][3]~59015\) # (GND)))
-- \led_flash_cnt[2295][4]~59017\ = CARRY((!\led_flash_cnt[2295][3]~59015\) # (!\led_flash_cnt[2295][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2295][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2295][3]~59015\,
	combout => \led_flash_cnt[2295][4]~59016_combout\,
	cout => \led_flash_cnt[2295][4]~59017\);

-- Location: FF_X24_Y14_N11
\led_flash_cnt[2295][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2295][4]~59016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2295][4]~q\);

-- Location: LCCOMB_X24_Y14_N12
\led_flash_cnt[2295][5]~59018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2295][5]~59018_combout\ = (\led_flash_cnt[2295][5]~q\ & (\led_flash_cnt[2295][4]~59017\ $ (GND))) # (!\led_flash_cnt[2295][5]~q\ & (!\led_flash_cnt[2295][4]~59017\ & VCC))
-- \led_flash_cnt[2295][5]~59019\ = CARRY((\led_flash_cnt[2295][5]~q\ & !\led_flash_cnt[2295][4]~59017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2295][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2295][4]~59017\,
	combout => \led_flash_cnt[2295][5]~59018_combout\,
	cout => \led_flash_cnt[2295][5]~59019\);

-- Location: FF_X24_Y14_N13
\led_flash_cnt[2295][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2295][5]~59018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2295][5]~q\);

-- Location: LCCOMB_X24_Y14_N14
\led_flash_cnt[2295][6]~59020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2295][6]~59020_combout\ = (\led_flash_cnt[2295][6]~q\ & (!\led_flash_cnt[2295][5]~59019\)) # (!\led_flash_cnt[2295][6]~q\ & ((\led_flash_cnt[2295][5]~59019\) # (GND)))
-- \led_flash_cnt[2295][6]~59021\ = CARRY((!\led_flash_cnt[2295][5]~59019\) # (!\led_flash_cnt[2295][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2295][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2295][5]~59019\,
	combout => \led_flash_cnt[2295][6]~59020_combout\,
	cout => \led_flash_cnt[2295][6]~59021\);

-- Location: FF_X24_Y14_N15
\led_flash_cnt[2295][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2295][6]~59020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2295][6]~q\);

-- Location: LCCOMB_X24_Y14_N0
\WideAnd2295~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2295~1_combout\ = (\led_flash_cnt[2295][6]~q\ & \led_flash_cnt[2295][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2295][6]~q\,
	datad => \led_flash_cnt[2295][5]~q\,
	combout => \WideAnd2295~1_combout\);

-- Location: LCCOMB_X24_Y14_N30
\WideAnd2295~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2295~0_combout\ = (\led_flash_cnt[2295][2]~q\ & (\led_flash_cnt[2295][1]~q\ & (\led_flash_cnt[2295][3]~q\ & \led_flash_cnt[2295][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2295][2]~q\,
	datab => \led_flash_cnt[2295][1]~q\,
	datac => \led_flash_cnt[2295][3]~q\,
	datad => \led_flash_cnt[2295][4]~q\,
	combout => \WideAnd2295~0_combout\);

-- Location: LCCOMB_X24_Y14_N16
\led_flash_cnt[2295][7]~59022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2295][7]~59022_combout\ = \led_flash_cnt[2295][6]~59021\ $ (!\led_flash_cnt[2295][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2295][7]~q\,
	cin => \led_flash_cnt[2295][6]~59021\,
	combout => \led_flash_cnt[2295][7]~59022_combout\);

-- Location: FF_X24_Y14_N17
\led_flash_cnt[2295][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2295][7]~59022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2295][7]~q\);

-- Location: LCCOMB_X24_Y14_N18
WideAnd2295 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2295~combout\ = (\led_flash_cnt[2295][0]~q\ & (\WideAnd2295~1_combout\ & (\WideAnd2295~0_combout\ & \led_flash_cnt[2295][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2295][0]~q\,
	datab => \WideAnd2295~1_combout\,
	datac => \WideAnd2295~0_combout\,
	datad => \led_flash_cnt[2295][7]~q\,
	combout => \WideAnd2295~combout\);

-- Location: FF_X24_Y14_N19
\led_flash_cnt_ands[2295]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2295~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2295));

-- Location: LCCOMB_X44_Y17_N8
\led_flash_cnt[2293][0]~82933\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2293][0]~82933_combout\ = !\led_flash_cnt[2293][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2293][0]~q\,
	combout => \led_flash_cnt[2293][0]~82933_combout\);

-- Location: FF_X44_Y17_N9
\led_flash_cnt[2293][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2293][0]~82933_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2293][0]~q\);

-- Location: LCCOMB_X44_Y17_N10
\led_flash_cnt[2293][1]~58982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2293][1]~58982_combout\ = (\led_flash_cnt[2293][1]~q\ & (\led_flash_cnt[2293][0]~q\ $ (VCC))) # (!\led_flash_cnt[2293][1]~q\ & (\led_flash_cnt[2293][0]~q\ & VCC))
-- \led_flash_cnt[2293][1]~58983\ = CARRY((\led_flash_cnt[2293][1]~q\ & \led_flash_cnt[2293][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2293][1]~q\,
	datab => \led_flash_cnt[2293][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2293][1]~58982_combout\,
	cout => \led_flash_cnt[2293][1]~58983\);

-- Location: FF_X44_Y17_N11
\led_flash_cnt[2293][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2293][1]~58982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2293][1]~q\);

-- Location: LCCOMB_X44_Y17_N12
\led_flash_cnt[2293][2]~58984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2293][2]~58984_combout\ = (\led_flash_cnt[2293][2]~q\ & (!\led_flash_cnt[2293][1]~58983\)) # (!\led_flash_cnt[2293][2]~q\ & ((\led_flash_cnt[2293][1]~58983\) # (GND)))
-- \led_flash_cnt[2293][2]~58985\ = CARRY((!\led_flash_cnt[2293][1]~58983\) # (!\led_flash_cnt[2293][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2293][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2293][1]~58983\,
	combout => \led_flash_cnt[2293][2]~58984_combout\,
	cout => \led_flash_cnt[2293][2]~58985\);

-- Location: FF_X44_Y17_N13
\led_flash_cnt[2293][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2293][2]~58984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2293][2]~q\);

-- Location: LCCOMB_X44_Y17_N14
\led_flash_cnt[2293][3]~58986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2293][3]~58986_combout\ = (\led_flash_cnt[2293][3]~q\ & (\led_flash_cnt[2293][2]~58985\ $ (GND))) # (!\led_flash_cnt[2293][3]~q\ & (!\led_flash_cnt[2293][2]~58985\ & VCC))
-- \led_flash_cnt[2293][3]~58987\ = CARRY((\led_flash_cnt[2293][3]~q\ & !\led_flash_cnt[2293][2]~58985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2293][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2293][2]~58985\,
	combout => \led_flash_cnt[2293][3]~58986_combout\,
	cout => \led_flash_cnt[2293][3]~58987\);

-- Location: FF_X44_Y17_N15
\led_flash_cnt[2293][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2293][3]~58986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2293][3]~q\);

-- Location: LCCOMB_X44_Y17_N16
\led_flash_cnt[2293][4]~58988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2293][4]~58988_combout\ = (\led_flash_cnt[2293][4]~q\ & (!\led_flash_cnt[2293][3]~58987\)) # (!\led_flash_cnt[2293][4]~q\ & ((\led_flash_cnt[2293][3]~58987\) # (GND)))
-- \led_flash_cnt[2293][4]~58989\ = CARRY((!\led_flash_cnt[2293][3]~58987\) # (!\led_flash_cnt[2293][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2293][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2293][3]~58987\,
	combout => \led_flash_cnt[2293][4]~58988_combout\,
	cout => \led_flash_cnt[2293][4]~58989\);

-- Location: FF_X44_Y17_N17
\led_flash_cnt[2293][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2293][4]~58988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2293][4]~q\);

-- Location: LCCOMB_X44_Y17_N18
\led_flash_cnt[2293][5]~58990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2293][5]~58990_combout\ = (\led_flash_cnt[2293][5]~q\ & (\led_flash_cnt[2293][4]~58989\ $ (GND))) # (!\led_flash_cnt[2293][5]~q\ & (!\led_flash_cnt[2293][4]~58989\ & VCC))
-- \led_flash_cnt[2293][5]~58991\ = CARRY((\led_flash_cnt[2293][5]~q\ & !\led_flash_cnt[2293][4]~58989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2293][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2293][4]~58989\,
	combout => \led_flash_cnt[2293][5]~58990_combout\,
	cout => \led_flash_cnt[2293][5]~58991\);

-- Location: FF_X44_Y17_N19
\led_flash_cnt[2293][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2293][5]~58990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2293][5]~q\);

-- Location: LCCOMB_X44_Y17_N20
\led_flash_cnt[2293][6]~58992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2293][6]~58992_combout\ = (\led_flash_cnt[2293][6]~q\ & (!\led_flash_cnt[2293][5]~58991\)) # (!\led_flash_cnt[2293][6]~q\ & ((\led_flash_cnt[2293][5]~58991\) # (GND)))
-- \led_flash_cnt[2293][6]~58993\ = CARRY((!\led_flash_cnt[2293][5]~58991\) # (!\led_flash_cnt[2293][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2293][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2293][5]~58991\,
	combout => \led_flash_cnt[2293][6]~58992_combout\,
	cout => \led_flash_cnt[2293][6]~58993\);

-- Location: FF_X44_Y17_N21
\led_flash_cnt[2293][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2293][6]~58992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2293][6]~q\);

-- Location: LCCOMB_X44_Y17_N30
\WideAnd2293~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2293~1_combout\ = (\led_flash_cnt[2293][6]~q\ & \led_flash_cnt[2293][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2293][6]~q\,
	datad => \led_flash_cnt[2293][5]~q\,
	combout => \WideAnd2293~1_combout\);

-- Location: LCCOMB_X44_Y17_N22
\led_flash_cnt[2293][7]~58994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2293][7]~58994_combout\ = \led_flash_cnt[2293][7]~q\ $ (!\led_flash_cnt[2293][6]~58993\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2293][7]~q\,
	cin => \led_flash_cnt[2293][6]~58993\,
	combout => \led_flash_cnt[2293][7]~58994_combout\);

-- Location: FF_X44_Y17_N23
\led_flash_cnt[2293][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2293][7]~58994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2293][7]~q\);

-- Location: LCCOMB_X44_Y17_N0
\WideAnd2293~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2293~0_combout\ = (\led_flash_cnt[2293][2]~q\ & (\led_flash_cnt[2293][4]~q\ & (\led_flash_cnt[2293][3]~q\ & \led_flash_cnt[2293][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2293][2]~q\,
	datab => \led_flash_cnt[2293][4]~q\,
	datac => \led_flash_cnt[2293][3]~q\,
	datad => \led_flash_cnt[2293][1]~q\,
	combout => \WideAnd2293~0_combout\);

-- Location: LCCOMB_X44_Y17_N4
WideAnd2293 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2293~combout\ = (\WideAnd2293~1_combout\ & (\led_flash_cnt[2293][0]~q\ & (\led_flash_cnt[2293][7]~q\ & \WideAnd2293~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2293~1_combout\,
	datab => \led_flash_cnt[2293][0]~q\,
	datac => \led_flash_cnt[2293][7]~q\,
	datad => \WideAnd2293~0_combout\,
	combout => \WideAnd2293~combout\);

-- Location: FF_X44_Y17_N5
\led_flash_cnt_ands[2293]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2293~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2293));

-- Location: LCCOMB_X44_Y17_N2
\led_flash_cnt[2292][0]~82932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2292][0]~82932_combout\ = !\led_flash_cnt[2292][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2292][0]~q\,
	combout => \led_flash_cnt[2292][0]~82932_combout\);

-- Location: FF_X44_Y17_N3
\led_flash_cnt[2292][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2292][0]~82932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2292][0]~q\);

-- Location: LCCOMB_X43_Y17_N4
\led_flash_cnt[2292][1]~58968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2292][1]~58968_combout\ = (\led_flash_cnt[2292][0]~q\ & (\led_flash_cnt[2292][1]~q\ $ (VCC))) # (!\led_flash_cnt[2292][0]~q\ & (\led_flash_cnt[2292][1]~q\ & VCC))
-- \led_flash_cnt[2292][1]~58969\ = CARRY((\led_flash_cnt[2292][0]~q\ & \led_flash_cnt[2292][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2292][0]~q\,
	datab => \led_flash_cnt[2292][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2292][1]~58968_combout\,
	cout => \led_flash_cnt[2292][1]~58969\);

-- Location: FF_X43_Y17_N5
\led_flash_cnt[2292][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2292][1]~58968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2292][1]~q\);

-- Location: LCCOMB_X43_Y17_N6
\led_flash_cnt[2292][2]~58970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2292][2]~58970_combout\ = (\led_flash_cnt[2292][2]~q\ & (!\led_flash_cnt[2292][1]~58969\)) # (!\led_flash_cnt[2292][2]~q\ & ((\led_flash_cnt[2292][1]~58969\) # (GND)))
-- \led_flash_cnt[2292][2]~58971\ = CARRY((!\led_flash_cnt[2292][1]~58969\) # (!\led_flash_cnt[2292][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2292][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2292][1]~58969\,
	combout => \led_flash_cnt[2292][2]~58970_combout\,
	cout => \led_flash_cnt[2292][2]~58971\);

-- Location: FF_X43_Y17_N7
\led_flash_cnt[2292][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2292][2]~58970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2292][2]~q\);

-- Location: LCCOMB_X43_Y17_N8
\led_flash_cnt[2292][3]~58972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2292][3]~58972_combout\ = (\led_flash_cnt[2292][3]~q\ & (\led_flash_cnt[2292][2]~58971\ $ (GND))) # (!\led_flash_cnt[2292][3]~q\ & (!\led_flash_cnt[2292][2]~58971\ & VCC))
-- \led_flash_cnt[2292][3]~58973\ = CARRY((\led_flash_cnt[2292][3]~q\ & !\led_flash_cnt[2292][2]~58971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2292][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2292][2]~58971\,
	combout => \led_flash_cnt[2292][3]~58972_combout\,
	cout => \led_flash_cnt[2292][3]~58973\);

-- Location: FF_X43_Y17_N9
\led_flash_cnt[2292][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2292][3]~58972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2292][3]~q\);

-- Location: LCCOMB_X43_Y17_N10
\led_flash_cnt[2292][4]~58974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2292][4]~58974_combout\ = (\led_flash_cnt[2292][4]~q\ & (!\led_flash_cnt[2292][3]~58973\)) # (!\led_flash_cnt[2292][4]~q\ & ((\led_flash_cnt[2292][3]~58973\) # (GND)))
-- \led_flash_cnt[2292][4]~58975\ = CARRY((!\led_flash_cnt[2292][3]~58973\) # (!\led_flash_cnt[2292][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2292][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2292][3]~58973\,
	combout => \led_flash_cnt[2292][4]~58974_combout\,
	cout => \led_flash_cnt[2292][4]~58975\);

-- Location: FF_X43_Y17_N11
\led_flash_cnt[2292][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2292][4]~58974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2292][4]~q\);

-- Location: LCCOMB_X43_Y17_N2
\WideAnd2292~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2292~0_combout\ = (\led_flash_cnt[2292][4]~q\ & (\led_flash_cnt[2292][3]~q\ & (\led_flash_cnt[2292][1]~q\ & \led_flash_cnt[2292][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2292][4]~q\,
	datab => \led_flash_cnt[2292][3]~q\,
	datac => \led_flash_cnt[2292][1]~q\,
	datad => \led_flash_cnt[2292][2]~q\,
	combout => \WideAnd2292~0_combout\);

-- Location: LCCOMB_X43_Y17_N12
\led_flash_cnt[2292][5]~58976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2292][5]~58976_combout\ = (\led_flash_cnt[2292][5]~q\ & (\led_flash_cnt[2292][4]~58975\ $ (GND))) # (!\led_flash_cnt[2292][5]~q\ & (!\led_flash_cnt[2292][4]~58975\ & VCC))
-- \led_flash_cnt[2292][5]~58977\ = CARRY((\led_flash_cnt[2292][5]~q\ & !\led_flash_cnt[2292][4]~58975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2292][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2292][4]~58975\,
	combout => \led_flash_cnt[2292][5]~58976_combout\,
	cout => \led_flash_cnt[2292][5]~58977\);

-- Location: FF_X43_Y17_N13
\led_flash_cnt[2292][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2292][5]~58976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2292][5]~q\);

-- Location: LCCOMB_X43_Y17_N14
\led_flash_cnt[2292][6]~58978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2292][6]~58978_combout\ = (\led_flash_cnt[2292][6]~q\ & (!\led_flash_cnt[2292][5]~58977\)) # (!\led_flash_cnt[2292][6]~q\ & ((\led_flash_cnt[2292][5]~58977\) # (GND)))
-- \led_flash_cnt[2292][6]~58979\ = CARRY((!\led_flash_cnt[2292][5]~58977\) # (!\led_flash_cnt[2292][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2292][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2292][5]~58977\,
	combout => \led_flash_cnt[2292][6]~58978_combout\,
	cout => \led_flash_cnt[2292][6]~58979\);

-- Location: FF_X43_Y17_N15
\led_flash_cnt[2292][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2292][6]~58978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2292][6]~q\);

-- Location: LCCOMB_X44_Y17_N28
\WideAnd2292~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2292~1_combout\ = (\led_flash_cnt[2292][5]~q\ & \led_flash_cnt[2292][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2292][5]~q\,
	datad => \led_flash_cnt[2292][6]~q\,
	combout => \WideAnd2292~1_combout\);

-- Location: LCCOMB_X43_Y17_N16
\led_flash_cnt[2292][7]~58980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2292][7]~58980_combout\ = \led_flash_cnt[2292][6]~58979\ $ (!\led_flash_cnt[2292][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2292][7]~q\,
	cin => \led_flash_cnt[2292][6]~58979\,
	combout => \led_flash_cnt[2292][7]~58980_combout\);

-- Location: FF_X43_Y17_N17
\led_flash_cnt[2292][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2292][7]~58980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2292][7]~q\);

-- Location: LCCOMB_X44_Y17_N24
WideAnd2292 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2292~combout\ = (\WideAnd2292~0_combout\ & (\WideAnd2292~1_combout\ & (\led_flash_cnt[2292][7]~q\ & \led_flash_cnt[2292][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2292~0_combout\,
	datab => \WideAnd2292~1_combout\,
	datac => \led_flash_cnt[2292][7]~q\,
	datad => \led_flash_cnt[2292][0]~q\,
	combout => \WideAnd2292~combout\);

-- Location: FF_X44_Y17_N25
\led_flash_cnt_ands[2292]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2292~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2292));

-- Location: LCCOMB_X44_Y17_N26
\WideAnd4126~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4126~1_combout\ = (led_flash_cnt_ands(2293) & led_flash_cnt_ands(2292))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2293),
	datad => led_flash_cnt_ands(2292),
	combout => \WideAnd4126~1_combout\);

-- Location: LCCOMB_X26_Y22_N20
\led_flash_cnt[2288][0]~82928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2288][0]~82928_combout\ = !\led_flash_cnt[2288][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2288][0]~q\,
	combout => \led_flash_cnt[2288][0]~82928_combout\);

-- Location: FF_X26_Y22_N21
\led_flash_cnt[2288][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2288][0]~82928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2288][0]~q\);

-- Location: LCCOMB_X26_Y22_N2
\led_flash_cnt[2288][1]~58912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2288][1]~58912_combout\ = (\led_flash_cnt[2288][0]~q\ & (\led_flash_cnt[2288][1]~q\ $ (VCC))) # (!\led_flash_cnt[2288][0]~q\ & (\led_flash_cnt[2288][1]~q\ & VCC))
-- \led_flash_cnt[2288][1]~58913\ = CARRY((\led_flash_cnt[2288][0]~q\ & \led_flash_cnt[2288][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2288][0]~q\,
	datab => \led_flash_cnt[2288][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2288][1]~58912_combout\,
	cout => \led_flash_cnt[2288][1]~58913\);

-- Location: FF_X26_Y22_N3
\led_flash_cnt[2288][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2288][1]~58912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2288][1]~q\);

-- Location: LCCOMB_X26_Y22_N4
\led_flash_cnt[2288][2]~58914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2288][2]~58914_combout\ = (\led_flash_cnt[2288][2]~q\ & (!\led_flash_cnt[2288][1]~58913\)) # (!\led_flash_cnt[2288][2]~q\ & ((\led_flash_cnt[2288][1]~58913\) # (GND)))
-- \led_flash_cnt[2288][2]~58915\ = CARRY((!\led_flash_cnt[2288][1]~58913\) # (!\led_flash_cnt[2288][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2288][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2288][1]~58913\,
	combout => \led_flash_cnt[2288][2]~58914_combout\,
	cout => \led_flash_cnt[2288][2]~58915\);

-- Location: FF_X26_Y22_N5
\led_flash_cnt[2288][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2288][2]~58914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2288][2]~q\);

-- Location: LCCOMB_X26_Y22_N6
\led_flash_cnt[2288][3]~58916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2288][3]~58916_combout\ = (\led_flash_cnt[2288][3]~q\ & (\led_flash_cnt[2288][2]~58915\ $ (GND))) # (!\led_flash_cnt[2288][3]~q\ & (!\led_flash_cnt[2288][2]~58915\ & VCC))
-- \led_flash_cnt[2288][3]~58917\ = CARRY((\led_flash_cnt[2288][3]~q\ & !\led_flash_cnt[2288][2]~58915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2288][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2288][2]~58915\,
	combout => \led_flash_cnt[2288][3]~58916_combout\,
	cout => \led_flash_cnt[2288][3]~58917\);

-- Location: FF_X26_Y22_N7
\led_flash_cnt[2288][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2288][3]~58916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2288][3]~q\);

-- Location: LCCOMB_X26_Y22_N8
\led_flash_cnt[2288][4]~58918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2288][4]~58918_combout\ = (\led_flash_cnt[2288][4]~q\ & (!\led_flash_cnt[2288][3]~58917\)) # (!\led_flash_cnt[2288][4]~q\ & ((\led_flash_cnt[2288][3]~58917\) # (GND)))
-- \led_flash_cnt[2288][4]~58919\ = CARRY((!\led_flash_cnt[2288][3]~58917\) # (!\led_flash_cnt[2288][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2288][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2288][3]~58917\,
	combout => \led_flash_cnt[2288][4]~58918_combout\,
	cout => \led_flash_cnt[2288][4]~58919\);

-- Location: FF_X26_Y22_N9
\led_flash_cnt[2288][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2288][4]~58918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2288][4]~q\);

-- Location: LCCOMB_X26_Y22_N10
\led_flash_cnt[2288][5]~58920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2288][5]~58920_combout\ = (\led_flash_cnt[2288][5]~q\ & (\led_flash_cnt[2288][4]~58919\ $ (GND))) # (!\led_flash_cnt[2288][5]~q\ & (!\led_flash_cnt[2288][4]~58919\ & VCC))
-- \led_flash_cnt[2288][5]~58921\ = CARRY((\led_flash_cnt[2288][5]~q\ & !\led_flash_cnt[2288][4]~58919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2288][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2288][4]~58919\,
	combout => \led_flash_cnt[2288][5]~58920_combout\,
	cout => \led_flash_cnt[2288][5]~58921\);

-- Location: FF_X26_Y22_N11
\led_flash_cnt[2288][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2288][5]~58920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2288][5]~q\);

-- Location: LCCOMB_X26_Y22_N12
\led_flash_cnt[2288][6]~58922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2288][6]~58922_combout\ = (\led_flash_cnt[2288][6]~q\ & (!\led_flash_cnt[2288][5]~58921\)) # (!\led_flash_cnt[2288][6]~q\ & ((\led_flash_cnt[2288][5]~58921\) # (GND)))
-- \led_flash_cnt[2288][6]~58923\ = CARRY((!\led_flash_cnt[2288][5]~58921\) # (!\led_flash_cnt[2288][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2288][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2288][5]~58921\,
	combout => \led_flash_cnt[2288][6]~58922_combout\,
	cout => \led_flash_cnt[2288][6]~58923\);

-- Location: FF_X26_Y22_N13
\led_flash_cnt[2288][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2288][6]~58922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2288][6]~q\);

-- Location: LCCOMB_X26_Y22_N26
\WideAnd2288~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2288~1_combout\ = (\led_flash_cnt[2288][5]~q\ & \led_flash_cnt[2288][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2288][5]~q\,
	datad => \led_flash_cnt[2288][6]~q\,
	combout => \WideAnd2288~1_combout\);

-- Location: LCCOMB_X26_Y22_N14
\led_flash_cnt[2288][7]~58924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2288][7]~58924_combout\ = \led_flash_cnt[2288][7]~q\ $ (!\led_flash_cnt[2288][6]~58923\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2288][7]~q\,
	cin => \led_flash_cnt[2288][6]~58923\,
	combout => \led_flash_cnt[2288][7]~58924_combout\);

-- Location: FF_X26_Y22_N15
\led_flash_cnt[2288][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2288][7]~58924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2288][7]~q\);

-- Location: LCCOMB_X26_Y22_N18
\WideAnd2288~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2288~0_combout\ = (\led_flash_cnt[2288][3]~q\ & (\led_flash_cnt[2288][4]~q\ & (\led_flash_cnt[2288][2]~q\ & \led_flash_cnt[2288][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2288][3]~q\,
	datab => \led_flash_cnt[2288][4]~q\,
	datac => \led_flash_cnt[2288][2]~q\,
	datad => \led_flash_cnt[2288][1]~q\,
	combout => \WideAnd2288~0_combout\);

-- Location: LCCOMB_X26_Y22_N22
WideAnd2288 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2288~combout\ = (\WideAnd2288~1_combout\ & (\led_flash_cnt[2288][0]~q\ & (\led_flash_cnt[2288][7]~q\ & \WideAnd2288~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2288~1_combout\,
	datab => \led_flash_cnt[2288][0]~q\,
	datac => \led_flash_cnt[2288][7]~q\,
	datad => \WideAnd2288~0_combout\,
	combout => \WideAnd2288~combout\);

-- Location: FF_X26_Y22_N23
\led_flash_cnt_ands[2288]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2288~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2288));

-- Location: LCCOMB_X38_Y24_N0
\led_flash_cnt[2290][0]~82930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2290][0]~82930_combout\ = !\led_flash_cnt[2290][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2290][0]~q\,
	combout => \led_flash_cnt[2290][0]~82930_combout\);

-- Location: FF_X38_Y24_N1
\led_flash_cnt[2290][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2290][0]~82930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2290][0]~q\);

-- Location: LCCOMB_X38_Y24_N12
\led_flash_cnt[2290][1]~58940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2290][1]~58940_combout\ = (\led_flash_cnt[2290][1]~q\ & (\led_flash_cnt[2290][0]~q\ $ (VCC))) # (!\led_flash_cnt[2290][1]~q\ & (\led_flash_cnt[2290][0]~q\ & VCC))
-- \led_flash_cnt[2290][1]~58941\ = CARRY((\led_flash_cnt[2290][1]~q\ & \led_flash_cnt[2290][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2290][1]~q\,
	datab => \led_flash_cnt[2290][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2290][1]~58940_combout\,
	cout => \led_flash_cnt[2290][1]~58941\);

-- Location: FF_X38_Y24_N13
\led_flash_cnt[2290][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2290][1]~58940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2290][1]~q\);

-- Location: LCCOMB_X38_Y24_N14
\led_flash_cnt[2290][2]~58942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2290][2]~58942_combout\ = (\led_flash_cnt[2290][2]~q\ & (!\led_flash_cnt[2290][1]~58941\)) # (!\led_flash_cnt[2290][2]~q\ & ((\led_flash_cnt[2290][1]~58941\) # (GND)))
-- \led_flash_cnt[2290][2]~58943\ = CARRY((!\led_flash_cnt[2290][1]~58941\) # (!\led_flash_cnt[2290][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2290][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2290][1]~58941\,
	combout => \led_flash_cnt[2290][2]~58942_combout\,
	cout => \led_flash_cnt[2290][2]~58943\);

-- Location: FF_X38_Y24_N15
\led_flash_cnt[2290][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2290][2]~58942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2290][2]~q\);

-- Location: LCCOMB_X38_Y24_N16
\led_flash_cnt[2290][3]~58944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2290][3]~58944_combout\ = (\led_flash_cnt[2290][3]~q\ & (\led_flash_cnt[2290][2]~58943\ $ (GND))) # (!\led_flash_cnt[2290][3]~q\ & (!\led_flash_cnt[2290][2]~58943\ & VCC))
-- \led_flash_cnt[2290][3]~58945\ = CARRY((\led_flash_cnt[2290][3]~q\ & !\led_flash_cnt[2290][2]~58943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2290][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2290][2]~58943\,
	combout => \led_flash_cnt[2290][3]~58944_combout\,
	cout => \led_flash_cnt[2290][3]~58945\);

-- Location: FF_X38_Y24_N17
\led_flash_cnt[2290][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2290][3]~58944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2290][3]~q\);

-- Location: LCCOMB_X38_Y24_N18
\led_flash_cnt[2290][4]~58946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2290][4]~58946_combout\ = (\led_flash_cnt[2290][4]~q\ & (!\led_flash_cnt[2290][3]~58945\)) # (!\led_flash_cnt[2290][4]~q\ & ((\led_flash_cnt[2290][3]~58945\) # (GND)))
-- \led_flash_cnt[2290][4]~58947\ = CARRY((!\led_flash_cnt[2290][3]~58945\) # (!\led_flash_cnt[2290][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2290][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2290][3]~58945\,
	combout => \led_flash_cnt[2290][4]~58946_combout\,
	cout => \led_flash_cnt[2290][4]~58947\);

-- Location: FF_X38_Y24_N19
\led_flash_cnt[2290][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2290][4]~58946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2290][4]~q\);

-- Location: LCCOMB_X38_Y24_N10
\WideAnd2290~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2290~0_combout\ = (\led_flash_cnt[2290][4]~q\ & (\led_flash_cnt[2290][3]~q\ & (\led_flash_cnt[2290][2]~q\ & \led_flash_cnt[2290][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2290][4]~q\,
	datab => \led_flash_cnt[2290][3]~q\,
	datac => \led_flash_cnt[2290][2]~q\,
	datad => \led_flash_cnt[2290][1]~q\,
	combout => \WideAnd2290~0_combout\);

-- Location: LCCOMB_X38_Y24_N20
\led_flash_cnt[2290][5]~58948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2290][5]~58948_combout\ = (\led_flash_cnt[2290][5]~q\ & (\led_flash_cnt[2290][4]~58947\ $ (GND))) # (!\led_flash_cnt[2290][5]~q\ & (!\led_flash_cnt[2290][4]~58947\ & VCC))
-- \led_flash_cnt[2290][5]~58949\ = CARRY((\led_flash_cnt[2290][5]~q\ & !\led_flash_cnt[2290][4]~58947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2290][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2290][4]~58947\,
	combout => \led_flash_cnt[2290][5]~58948_combout\,
	cout => \led_flash_cnt[2290][5]~58949\);

-- Location: FF_X38_Y24_N21
\led_flash_cnt[2290][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2290][5]~58948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2290][5]~q\);

-- Location: LCCOMB_X38_Y24_N22
\led_flash_cnt[2290][6]~58950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2290][6]~58950_combout\ = (\led_flash_cnt[2290][6]~q\ & (!\led_flash_cnt[2290][5]~58949\)) # (!\led_flash_cnt[2290][6]~q\ & ((\led_flash_cnt[2290][5]~58949\) # (GND)))
-- \led_flash_cnt[2290][6]~58951\ = CARRY((!\led_flash_cnt[2290][5]~58949\) # (!\led_flash_cnt[2290][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2290][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2290][5]~58949\,
	combout => \led_flash_cnt[2290][6]~58950_combout\,
	cout => \led_flash_cnt[2290][6]~58951\);

-- Location: FF_X38_Y24_N23
\led_flash_cnt[2290][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2290][6]~58950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2290][6]~q\);

-- Location: LCCOMB_X38_Y24_N8
\WideAnd2290~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2290~1_combout\ = (\led_flash_cnt[2290][6]~q\ & \led_flash_cnt[2290][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2290][6]~q\,
	datad => \led_flash_cnt[2290][5]~q\,
	combout => \WideAnd2290~1_combout\);

-- Location: LCCOMB_X38_Y24_N24
\led_flash_cnt[2290][7]~58952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2290][7]~58952_combout\ = \led_flash_cnt[2290][6]~58951\ $ (!\led_flash_cnt[2290][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2290][7]~q\,
	cin => \led_flash_cnt[2290][6]~58951\,
	combout => \led_flash_cnt[2290][7]~58952_combout\);

-- Location: FF_X38_Y24_N25
\led_flash_cnt[2290][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2290][7]~58952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2290][7]~q\);

-- Location: LCCOMB_X38_Y24_N26
WideAnd2290 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2290~combout\ = (\WideAnd2290~0_combout\ & (\led_flash_cnt[2290][0]~q\ & (\WideAnd2290~1_combout\ & \led_flash_cnt[2290][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2290~0_combout\,
	datab => \led_flash_cnt[2290][0]~q\,
	datac => \WideAnd2290~1_combout\,
	datad => \led_flash_cnt[2290][7]~q\,
	combout => \WideAnd2290~combout\);

-- Location: FF_X38_Y24_N27
\led_flash_cnt_ands[2290]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2290~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2290));

-- Location: LCCOMB_X26_Y23_N6
\led_flash_cnt[2289][0]~82929\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2289][0]~82929_combout\ = !\led_flash_cnt[2289][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2289][0]~q\,
	combout => \led_flash_cnt[2289][0]~82929_combout\);

-- Location: FF_X26_Y23_N7
\led_flash_cnt[2289][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2289][0]~82929_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2289][0]~q\);

-- Location: LCCOMB_X27_Y23_N18
\led_flash_cnt[2289][1]~58926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2289][1]~58926_combout\ = (\led_flash_cnt[2289][0]~q\ & (\led_flash_cnt[2289][1]~q\ $ (VCC))) # (!\led_flash_cnt[2289][0]~q\ & (\led_flash_cnt[2289][1]~q\ & VCC))
-- \led_flash_cnt[2289][1]~58927\ = CARRY((\led_flash_cnt[2289][0]~q\ & \led_flash_cnt[2289][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2289][0]~q\,
	datab => \led_flash_cnt[2289][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2289][1]~58926_combout\,
	cout => \led_flash_cnt[2289][1]~58927\);

-- Location: FF_X27_Y23_N19
\led_flash_cnt[2289][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2289][1]~58926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2289][1]~q\);

-- Location: LCCOMB_X27_Y23_N20
\led_flash_cnt[2289][2]~58928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2289][2]~58928_combout\ = (\led_flash_cnt[2289][2]~q\ & (!\led_flash_cnt[2289][1]~58927\)) # (!\led_flash_cnt[2289][2]~q\ & ((\led_flash_cnt[2289][1]~58927\) # (GND)))
-- \led_flash_cnt[2289][2]~58929\ = CARRY((!\led_flash_cnt[2289][1]~58927\) # (!\led_flash_cnt[2289][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2289][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2289][1]~58927\,
	combout => \led_flash_cnt[2289][2]~58928_combout\,
	cout => \led_flash_cnt[2289][2]~58929\);

-- Location: FF_X27_Y23_N21
\led_flash_cnt[2289][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2289][2]~58928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2289][2]~q\);

-- Location: LCCOMB_X27_Y23_N22
\led_flash_cnt[2289][3]~58930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2289][3]~58930_combout\ = (\led_flash_cnt[2289][3]~q\ & (\led_flash_cnt[2289][2]~58929\ $ (GND))) # (!\led_flash_cnt[2289][3]~q\ & (!\led_flash_cnt[2289][2]~58929\ & VCC))
-- \led_flash_cnt[2289][3]~58931\ = CARRY((\led_flash_cnt[2289][3]~q\ & !\led_flash_cnt[2289][2]~58929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2289][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2289][2]~58929\,
	combout => \led_flash_cnt[2289][3]~58930_combout\,
	cout => \led_flash_cnt[2289][3]~58931\);

-- Location: FF_X27_Y23_N23
\led_flash_cnt[2289][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2289][3]~58930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2289][3]~q\);

-- Location: LCCOMB_X27_Y23_N24
\led_flash_cnt[2289][4]~58932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2289][4]~58932_combout\ = (\led_flash_cnt[2289][4]~q\ & (!\led_flash_cnt[2289][3]~58931\)) # (!\led_flash_cnt[2289][4]~q\ & ((\led_flash_cnt[2289][3]~58931\) # (GND)))
-- \led_flash_cnt[2289][4]~58933\ = CARRY((!\led_flash_cnt[2289][3]~58931\) # (!\led_flash_cnt[2289][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2289][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2289][3]~58931\,
	combout => \led_flash_cnt[2289][4]~58932_combout\,
	cout => \led_flash_cnt[2289][4]~58933\);

-- Location: FF_X27_Y23_N25
\led_flash_cnt[2289][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2289][4]~58932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2289][4]~q\);

-- Location: LCCOMB_X27_Y23_N26
\led_flash_cnt[2289][5]~58934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2289][5]~58934_combout\ = (\led_flash_cnt[2289][5]~q\ & (\led_flash_cnt[2289][4]~58933\ $ (GND))) # (!\led_flash_cnt[2289][5]~q\ & (!\led_flash_cnt[2289][4]~58933\ & VCC))
-- \led_flash_cnt[2289][5]~58935\ = CARRY((\led_flash_cnt[2289][5]~q\ & !\led_flash_cnt[2289][4]~58933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2289][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2289][4]~58933\,
	combout => \led_flash_cnt[2289][5]~58934_combout\,
	cout => \led_flash_cnt[2289][5]~58935\);

-- Location: FF_X27_Y23_N27
\led_flash_cnt[2289][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2289][5]~58934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2289][5]~q\);

-- Location: LCCOMB_X27_Y23_N28
\led_flash_cnt[2289][6]~58936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2289][6]~58936_combout\ = (\led_flash_cnt[2289][6]~q\ & (!\led_flash_cnt[2289][5]~58935\)) # (!\led_flash_cnt[2289][6]~q\ & ((\led_flash_cnt[2289][5]~58935\) # (GND)))
-- \led_flash_cnt[2289][6]~58937\ = CARRY((!\led_flash_cnt[2289][5]~58935\) # (!\led_flash_cnt[2289][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2289][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2289][5]~58935\,
	combout => \led_flash_cnt[2289][6]~58936_combout\,
	cout => \led_flash_cnt[2289][6]~58937\);

-- Location: FF_X27_Y23_N29
\led_flash_cnt[2289][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2289][6]~58936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2289][6]~q\);

-- Location: LCCOMB_X27_Y23_N30
\led_flash_cnt[2289][7]~58938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2289][7]~58938_combout\ = \led_flash_cnt[2289][7]~q\ $ (!\led_flash_cnt[2289][6]~58937\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2289][7]~q\,
	cin => \led_flash_cnt[2289][6]~58937\,
	combout => \led_flash_cnt[2289][7]~58938_combout\);

-- Location: FF_X27_Y23_N31
\led_flash_cnt[2289][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2289][7]~58938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2289][7]~q\);

-- Location: LCCOMB_X26_Y23_N0
\WideAnd2289~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2289~1_combout\ = (\led_flash_cnt[2289][7]~q\ & \led_flash_cnt[2289][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2289][7]~q\,
	datad => \led_flash_cnt[2289][6]~q\,
	combout => \WideAnd2289~1_combout\);

-- Location: LCCOMB_X26_Y23_N8
\WideAnd2289~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2289~0_combout\ = (\led_flash_cnt[2289][4]~q\ & (\led_flash_cnt[2289][3]~q\ & (\led_flash_cnt[2289][2]~q\ & \led_flash_cnt[2289][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2289][4]~q\,
	datab => \led_flash_cnt[2289][3]~q\,
	datac => \led_flash_cnt[2289][2]~q\,
	datad => \led_flash_cnt[2289][1]~q\,
	combout => \WideAnd2289~0_combout\);

-- Location: LCCOMB_X26_Y23_N30
WideAnd2289 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2289~combout\ = (\led_flash_cnt[2289][0]~q\ & (\WideAnd2289~1_combout\ & (\WideAnd2289~0_combout\ & \led_flash_cnt[2289][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2289][0]~q\,
	datab => \WideAnd2289~1_combout\,
	datac => \WideAnd2289~0_combout\,
	datad => \led_flash_cnt[2289][5]~q\,
	combout => \WideAnd2289~combout\);

-- Location: FF_X26_Y23_N31
\led_flash_cnt_ands[2289]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2289~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2289));

-- Location: LCCOMB_X26_Y22_N30
\led_flash_cnt[2291][0]~82931\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2291][0]~82931_combout\ = !\led_flash_cnt[2291][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2291][0]~q\,
	combout => \led_flash_cnt[2291][0]~82931_combout\);

-- Location: FF_X26_Y22_N31
\led_flash_cnt[2291][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2291][0]~82931_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2291][0]~q\);

-- Location: LCCOMB_X25_Y22_N0
\led_flash_cnt[2291][1]~58954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2291][1]~58954_combout\ = (\led_flash_cnt[2291][0]~q\ & (\led_flash_cnt[2291][1]~q\ $ (VCC))) # (!\led_flash_cnt[2291][0]~q\ & (\led_flash_cnt[2291][1]~q\ & VCC))
-- \led_flash_cnt[2291][1]~58955\ = CARRY((\led_flash_cnt[2291][0]~q\ & \led_flash_cnt[2291][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2291][0]~q\,
	datab => \led_flash_cnt[2291][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2291][1]~58954_combout\,
	cout => \led_flash_cnt[2291][1]~58955\);

-- Location: FF_X25_Y22_N1
\led_flash_cnt[2291][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2291][1]~58954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2291][1]~q\);

-- Location: LCCOMB_X25_Y22_N2
\led_flash_cnt[2291][2]~58956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2291][2]~58956_combout\ = (\led_flash_cnt[2291][2]~q\ & (!\led_flash_cnt[2291][1]~58955\)) # (!\led_flash_cnt[2291][2]~q\ & ((\led_flash_cnt[2291][1]~58955\) # (GND)))
-- \led_flash_cnt[2291][2]~58957\ = CARRY((!\led_flash_cnt[2291][1]~58955\) # (!\led_flash_cnt[2291][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2291][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2291][1]~58955\,
	combout => \led_flash_cnt[2291][2]~58956_combout\,
	cout => \led_flash_cnt[2291][2]~58957\);

-- Location: FF_X25_Y22_N3
\led_flash_cnt[2291][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2291][2]~58956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2291][2]~q\);

-- Location: LCCOMB_X25_Y22_N4
\led_flash_cnt[2291][3]~58958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2291][3]~58958_combout\ = (\led_flash_cnt[2291][3]~q\ & (\led_flash_cnt[2291][2]~58957\ $ (GND))) # (!\led_flash_cnt[2291][3]~q\ & (!\led_flash_cnt[2291][2]~58957\ & VCC))
-- \led_flash_cnt[2291][3]~58959\ = CARRY((\led_flash_cnt[2291][3]~q\ & !\led_flash_cnt[2291][2]~58957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2291][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2291][2]~58957\,
	combout => \led_flash_cnt[2291][3]~58958_combout\,
	cout => \led_flash_cnt[2291][3]~58959\);

-- Location: FF_X25_Y22_N5
\led_flash_cnt[2291][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2291][3]~58958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2291][3]~q\);

-- Location: LCCOMB_X25_Y22_N6
\led_flash_cnt[2291][4]~58960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2291][4]~58960_combout\ = (\led_flash_cnt[2291][4]~q\ & (!\led_flash_cnt[2291][3]~58959\)) # (!\led_flash_cnt[2291][4]~q\ & ((\led_flash_cnt[2291][3]~58959\) # (GND)))
-- \led_flash_cnt[2291][4]~58961\ = CARRY((!\led_flash_cnt[2291][3]~58959\) # (!\led_flash_cnt[2291][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2291][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2291][3]~58959\,
	combout => \led_flash_cnt[2291][4]~58960_combout\,
	cout => \led_flash_cnt[2291][4]~58961\);

-- Location: FF_X25_Y22_N7
\led_flash_cnt[2291][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2291][4]~58960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2291][4]~q\);

-- Location: LCCOMB_X25_Y22_N8
\led_flash_cnt[2291][5]~58962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2291][5]~58962_combout\ = (\led_flash_cnt[2291][5]~q\ & (\led_flash_cnt[2291][4]~58961\ $ (GND))) # (!\led_flash_cnt[2291][5]~q\ & (!\led_flash_cnt[2291][4]~58961\ & VCC))
-- \led_flash_cnt[2291][5]~58963\ = CARRY((\led_flash_cnt[2291][5]~q\ & !\led_flash_cnt[2291][4]~58961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2291][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2291][4]~58961\,
	combout => \led_flash_cnt[2291][5]~58962_combout\,
	cout => \led_flash_cnt[2291][5]~58963\);

-- Location: FF_X25_Y22_N9
\led_flash_cnt[2291][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2291][5]~58962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2291][5]~q\);

-- Location: LCCOMB_X25_Y22_N10
\led_flash_cnt[2291][6]~58964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2291][6]~58964_combout\ = (\led_flash_cnt[2291][6]~q\ & (!\led_flash_cnt[2291][5]~58963\)) # (!\led_flash_cnt[2291][6]~q\ & ((\led_flash_cnt[2291][5]~58963\) # (GND)))
-- \led_flash_cnt[2291][6]~58965\ = CARRY((!\led_flash_cnt[2291][5]~58963\) # (!\led_flash_cnt[2291][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2291][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2291][5]~58963\,
	combout => \led_flash_cnt[2291][6]~58964_combout\,
	cout => \led_flash_cnt[2291][6]~58965\);

-- Location: FF_X25_Y22_N11
\led_flash_cnt[2291][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2291][6]~58964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2291][6]~q\);

-- Location: LCCOMB_X25_Y22_N12
\led_flash_cnt[2291][7]~58966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2291][7]~58966_combout\ = \led_flash_cnt[2291][6]~58965\ $ (!\led_flash_cnt[2291][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2291][7]~q\,
	cin => \led_flash_cnt[2291][6]~58965\,
	combout => \led_flash_cnt[2291][7]~58966_combout\);

-- Location: FF_X25_Y22_N13
\led_flash_cnt[2291][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2291][7]~58966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2291][7]~q\);

-- Location: LCCOMB_X25_Y22_N14
\WideAnd2291~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2291~0_combout\ = (\led_flash_cnt[2291][4]~q\ & (\led_flash_cnt[2291][2]~q\ & (\led_flash_cnt[2291][3]~q\ & \led_flash_cnt[2291][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2291][4]~q\,
	datab => \led_flash_cnt[2291][2]~q\,
	datac => \led_flash_cnt[2291][3]~q\,
	datad => \led_flash_cnt[2291][1]~q\,
	combout => \WideAnd2291~0_combout\);

-- Location: LCCOMB_X26_Y22_N24
\WideAnd2291~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2291~1_combout\ = (\led_flash_cnt[2291][6]~q\ & \led_flash_cnt[2291][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2291][6]~q\,
	datad => \led_flash_cnt[2291][5]~q\,
	combout => \WideAnd2291~1_combout\);

-- Location: LCCOMB_X26_Y22_N16
WideAnd2291 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2291~combout\ = (\led_flash_cnt[2291][7]~q\ & (\led_flash_cnt[2291][0]~q\ & (\WideAnd2291~0_combout\ & \WideAnd2291~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2291][7]~q\,
	datab => \led_flash_cnt[2291][0]~q\,
	datac => \WideAnd2291~0_combout\,
	datad => \WideAnd2291~1_combout\,
	combout => \WideAnd2291~combout\);

-- Location: FF_X26_Y22_N17
\led_flash_cnt_ands[2291]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2291~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2291));

-- Location: LCCOMB_X26_Y22_N28
\WideAnd4126~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4126~0_combout\ = (led_flash_cnt_ands(2288) & (led_flash_cnt_ands(2290) & (led_flash_cnt_ands(2289) & led_flash_cnt_ands(2291))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2288),
	datab => led_flash_cnt_ands(2290),
	datac => led_flash_cnt_ands(2289),
	datad => led_flash_cnt_ands(2291),
	combout => \WideAnd4126~0_combout\);

-- Location: LCCOMB_X25_Y18_N28
WideAnd4126 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4126~combout\ = (led_flash_cnt_ands(2294) & (led_flash_cnt_ands(2295) & (\WideAnd4126~1_combout\ & \WideAnd4126~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2294),
	datab => led_flash_cnt_ands(2295),
	datac => \WideAnd4126~1_combout\,
	datad => \WideAnd4126~0_combout\,
	combout => \WideAnd4126~combout\);

-- Location: FF_X25_Y18_N29
\led_flash_cnt_ands_1[286]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4126~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(286));

-- Location: LCCOMB_X22_Y18_N0
WideAnd4355 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4355~combout\ = (led_flash_cnt_ands_1(287) & (\WideAnd4355~0_combout\ & (\WideAnd4355~1_combout\ & led_flash_cnt_ands_1(286))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(287),
	datab => \WideAnd4355~0_combout\,
	datac => \WideAnd4355~1_combout\,
	datad => led_flash_cnt_ands_1(286),
	combout => \WideAnd4355~combout\);

-- Location: FF_X22_Y18_N1
\led_flash_cnt_ands_2[35]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4355~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(35));

-- Location: LCCOMB_X57_Y21_N10
\led_flash_cnt[2174][0]~82814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2174][0]~82814_combout\ = !\led_flash_cnt[2174][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2174][0]~q\,
	combout => \led_flash_cnt[2174][0]~82814_combout\);

-- Location: FF_X57_Y21_N11
\led_flash_cnt[2174][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2174][0]~82814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2174][0]~q\);

-- Location: LCCOMB_X57_Y21_N16
\led_flash_cnt[2174][1]~57316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2174][1]~57316_combout\ = (\led_flash_cnt[2174][0]~q\ & (\led_flash_cnt[2174][1]~q\ $ (VCC))) # (!\led_flash_cnt[2174][0]~q\ & (\led_flash_cnt[2174][1]~q\ & VCC))
-- \led_flash_cnt[2174][1]~57317\ = CARRY((\led_flash_cnt[2174][0]~q\ & \led_flash_cnt[2174][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2174][0]~q\,
	datab => \led_flash_cnt[2174][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2174][1]~57316_combout\,
	cout => \led_flash_cnt[2174][1]~57317\);

-- Location: FF_X57_Y21_N17
\led_flash_cnt[2174][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2174][1]~57316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2174][1]~q\);

-- Location: LCCOMB_X57_Y21_N18
\led_flash_cnt[2174][2]~57318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2174][2]~57318_combout\ = (\led_flash_cnt[2174][2]~q\ & (!\led_flash_cnt[2174][1]~57317\)) # (!\led_flash_cnt[2174][2]~q\ & ((\led_flash_cnt[2174][1]~57317\) # (GND)))
-- \led_flash_cnt[2174][2]~57319\ = CARRY((!\led_flash_cnt[2174][1]~57317\) # (!\led_flash_cnt[2174][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2174][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2174][1]~57317\,
	combout => \led_flash_cnt[2174][2]~57318_combout\,
	cout => \led_flash_cnt[2174][2]~57319\);

-- Location: FF_X57_Y21_N19
\led_flash_cnt[2174][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2174][2]~57318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2174][2]~q\);

-- Location: LCCOMB_X57_Y21_N20
\led_flash_cnt[2174][3]~57320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2174][3]~57320_combout\ = (\led_flash_cnt[2174][3]~q\ & (\led_flash_cnt[2174][2]~57319\ $ (GND))) # (!\led_flash_cnt[2174][3]~q\ & (!\led_flash_cnt[2174][2]~57319\ & VCC))
-- \led_flash_cnt[2174][3]~57321\ = CARRY((\led_flash_cnt[2174][3]~q\ & !\led_flash_cnt[2174][2]~57319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2174][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2174][2]~57319\,
	combout => \led_flash_cnt[2174][3]~57320_combout\,
	cout => \led_flash_cnt[2174][3]~57321\);

-- Location: FF_X57_Y21_N21
\led_flash_cnt[2174][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2174][3]~57320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2174][3]~q\);

-- Location: LCCOMB_X57_Y21_N22
\led_flash_cnt[2174][4]~57322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2174][4]~57322_combout\ = (\led_flash_cnt[2174][4]~q\ & (!\led_flash_cnt[2174][3]~57321\)) # (!\led_flash_cnt[2174][4]~q\ & ((\led_flash_cnt[2174][3]~57321\) # (GND)))
-- \led_flash_cnt[2174][4]~57323\ = CARRY((!\led_flash_cnt[2174][3]~57321\) # (!\led_flash_cnt[2174][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2174][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2174][3]~57321\,
	combout => \led_flash_cnt[2174][4]~57322_combout\,
	cout => \led_flash_cnt[2174][4]~57323\);

-- Location: FF_X57_Y21_N23
\led_flash_cnt[2174][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2174][4]~57322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2174][4]~q\);

-- Location: LCCOMB_X57_Y21_N24
\led_flash_cnt[2174][5]~57324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2174][5]~57324_combout\ = (\led_flash_cnt[2174][5]~q\ & (\led_flash_cnt[2174][4]~57323\ $ (GND))) # (!\led_flash_cnt[2174][5]~q\ & (!\led_flash_cnt[2174][4]~57323\ & VCC))
-- \led_flash_cnt[2174][5]~57325\ = CARRY((\led_flash_cnt[2174][5]~q\ & !\led_flash_cnt[2174][4]~57323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2174][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2174][4]~57323\,
	combout => \led_flash_cnt[2174][5]~57324_combout\,
	cout => \led_flash_cnt[2174][5]~57325\);

-- Location: FF_X57_Y21_N25
\led_flash_cnt[2174][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2174][5]~57324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2174][5]~q\);

-- Location: LCCOMB_X57_Y21_N26
\led_flash_cnt[2174][6]~57326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2174][6]~57326_combout\ = (\led_flash_cnt[2174][6]~q\ & (!\led_flash_cnt[2174][5]~57325\)) # (!\led_flash_cnt[2174][6]~q\ & ((\led_flash_cnt[2174][5]~57325\) # (GND)))
-- \led_flash_cnt[2174][6]~57327\ = CARRY((!\led_flash_cnt[2174][5]~57325\) # (!\led_flash_cnt[2174][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2174][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2174][5]~57325\,
	combout => \led_flash_cnt[2174][6]~57326_combout\,
	cout => \led_flash_cnt[2174][6]~57327\);

-- Location: FF_X57_Y21_N27
\led_flash_cnt[2174][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2174][6]~57326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2174][6]~q\);

-- Location: LCCOMB_X57_Y21_N28
\led_flash_cnt[2174][7]~57328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2174][7]~57328_combout\ = \led_flash_cnt[2174][6]~57327\ $ (!\led_flash_cnt[2174][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2174][7]~q\,
	cin => \led_flash_cnt[2174][6]~57327\,
	combout => \led_flash_cnt[2174][7]~57328_combout\);

-- Location: FF_X57_Y21_N29
\led_flash_cnt[2174][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2174][7]~57328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2174][7]~q\);

-- Location: LCCOMB_X57_Y21_N4
\WideAnd2174~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2174~1_combout\ = (\led_flash_cnt[2174][6]~q\ & \led_flash_cnt[2174][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2174][6]~q\,
	datad => \led_flash_cnt[2174][5]~q\,
	combout => \WideAnd2174~1_combout\);

-- Location: LCCOMB_X57_Y21_N12
\WideAnd2174~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2174~0_combout\ = (\led_flash_cnt[2174][3]~q\ & (\led_flash_cnt[2174][2]~q\ & (\led_flash_cnt[2174][4]~q\ & \led_flash_cnt[2174][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2174][3]~q\,
	datab => \led_flash_cnt[2174][2]~q\,
	datac => \led_flash_cnt[2174][4]~q\,
	datad => \led_flash_cnt[2174][1]~q\,
	combout => \WideAnd2174~0_combout\);

-- Location: LCCOMB_X57_Y21_N2
WideAnd2174 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2174~combout\ = (\led_flash_cnt[2174][0]~q\ & (\led_flash_cnt[2174][7]~q\ & (\WideAnd2174~1_combout\ & \WideAnd2174~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2174][0]~q\,
	datab => \led_flash_cnt[2174][7]~q\,
	datac => \WideAnd2174~1_combout\,
	datad => \WideAnd2174~0_combout\,
	combout => \WideAnd2174~combout\);

-- Location: FF_X57_Y21_N3
\led_flash_cnt_ands[2174]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2174~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2174));

-- Location: LCCOMB_X61_Y42_N24
\led_flash_cnt[2168][0]~82808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2168][0]~82808_combout\ = !\led_flash_cnt[2168][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2168][0]~q\,
	combout => \led_flash_cnt[2168][0]~82808_combout\);

-- Location: FF_X61_Y42_N25
\led_flash_cnt[2168][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2168][0]~82808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2168][0]~q\);

-- Location: LCCOMB_X61_Y42_N6
\led_flash_cnt[2168][1]~57232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2168][1]~57232_combout\ = (\led_flash_cnt[2168][1]~q\ & (\led_flash_cnt[2168][0]~q\ $ (VCC))) # (!\led_flash_cnt[2168][1]~q\ & (\led_flash_cnt[2168][0]~q\ & VCC))
-- \led_flash_cnt[2168][1]~57233\ = CARRY((\led_flash_cnt[2168][1]~q\ & \led_flash_cnt[2168][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2168][1]~q\,
	datab => \led_flash_cnt[2168][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2168][1]~57232_combout\,
	cout => \led_flash_cnt[2168][1]~57233\);

-- Location: FF_X61_Y42_N7
\led_flash_cnt[2168][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2168][1]~57232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2168][1]~q\);

-- Location: LCCOMB_X61_Y42_N8
\led_flash_cnt[2168][2]~57234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2168][2]~57234_combout\ = (\led_flash_cnt[2168][2]~q\ & (!\led_flash_cnt[2168][1]~57233\)) # (!\led_flash_cnt[2168][2]~q\ & ((\led_flash_cnt[2168][1]~57233\) # (GND)))
-- \led_flash_cnt[2168][2]~57235\ = CARRY((!\led_flash_cnt[2168][1]~57233\) # (!\led_flash_cnt[2168][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2168][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2168][1]~57233\,
	combout => \led_flash_cnt[2168][2]~57234_combout\,
	cout => \led_flash_cnt[2168][2]~57235\);

-- Location: FF_X61_Y42_N9
\led_flash_cnt[2168][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2168][2]~57234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2168][2]~q\);

-- Location: LCCOMB_X61_Y42_N10
\led_flash_cnt[2168][3]~57236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2168][3]~57236_combout\ = (\led_flash_cnt[2168][3]~q\ & (\led_flash_cnt[2168][2]~57235\ $ (GND))) # (!\led_flash_cnt[2168][3]~q\ & (!\led_flash_cnt[2168][2]~57235\ & VCC))
-- \led_flash_cnt[2168][3]~57237\ = CARRY((\led_flash_cnt[2168][3]~q\ & !\led_flash_cnt[2168][2]~57235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2168][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2168][2]~57235\,
	combout => \led_flash_cnt[2168][3]~57236_combout\,
	cout => \led_flash_cnt[2168][3]~57237\);

-- Location: FF_X61_Y42_N11
\led_flash_cnt[2168][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2168][3]~57236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2168][3]~q\);

-- Location: LCCOMB_X61_Y42_N12
\led_flash_cnt[2168][4]~57238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2168][4]~57238_combout\ = (\led_flash_cnt[2168][4]~q\ & (!\led_flash_cnt[2168][3]~57237\)) # (!\led_flash_cnt[2168][4]~q\ & ((\led_flash_cnt[2168][3]~57237\) # (GND)))
-- \led_flash_cnt[2168][4]~57239\ = CARRY((!\led_flash_cnt[2168][3]~57237\) # (!\led_flash_cnt[2168][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2168][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2168][3]~57237\,
	combout => \led_flash_cnt[2168][4]~57238_combout\,
	cout => \led_flash_cnt[2168][4]~57239\);

-- Location: FF_X61_Y42_N13
\led_flash_cnt[2168][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2168][4]~57238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2168][4]~q\);

-- Location: LCCOMB_X61_Y42_N22
\WideAnd2168~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2168~0_combout\ = (\led_flash_cnt[2168][3]~q\ & (\led_flash_cnt[2168][4]~q\ & (\led_flash_cnt[2168][2]~q\ & \led_flash_cnt[2168][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2168][3]~q\,
	datab => \led_flash_cnt[2168][4]~q\,
	datac => \led_flash_cnt[2168][2]~q\,
	datad => \led_flash_cnt[2168][1]~q\,
	combout => \WideAnd2168~0_combout\);

-- Location: LCCOMB_X61_Y42_N14
\led_flash_cnt[2168][5]~57240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2168][5]~57240_combout\ = (\led_flash_cnt[2168][5]~q\ & (\led_flash_cnt[2168][4]~57239\ $ (GND))) # (!\led_flash_cnt[2168][5]~q\ & (!\led_flash_cnt[2168][4]~57239\ & VCC))
-- \led_flash_cnt[2168][5]~57241\ = CARRY((\led_flash_cnt[2168][5]~q\ & !\led_flash_cnt[2168][4]~57239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2168][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2168][4]~57239\,
	combout => \led_flash_cnt[2168][5]~57240_combout\,
	cout => \led_flash_cnt[2168][5]~57241\);

-- Location: FF_X61_Y42_N15
\led_flash_cnt[2168][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2168][5]~57240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2168][5]~q\);

-- Location: LCCOMB_X61_Y42_N16
\led_flash_cnt[2168][6]~57242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2168][6]~57242_combout\ = (\led_flash_cnt[2168][6]~q\ & (!\led_flash_cnt[2168][5]~57241\)) # (!\led_flash_cnt[2168][6]~q\ & ((\led_flash_cnt[2168][5]~57241\) # (GND)))
-- \led_flash_cnt[2168][6]~57243\ = CARRY((!\led_flash_cnt[2168][5]~57241\) # (!\led_flash_cnt[2168][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2168][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2168][5]~57241\,
	combout => \led_flash_cnt[2168][6]~57242_combout\,
	cout => \led_flash_cnt[2168][6]~57243\);

-- Location: FF_X61_Y42_N17
\led_flash_cnt[2168][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2168][6]~57242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2168][6]~q\);

-- Location: LCCOMB_X61_Y42_N18
\led_flash_cnt[2168][7]~57244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2168][7]~57244_combout\ = \led_flash_cnt[2168][6]~57243\ $ (!\led_flash_cnt[2168][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2168][7]~q\,
	cin => \led_flash_cnt[2168][6]~57243\,
	combout => \led_flash_cnt[2168][7]~57244_combout\);

-- Location: FF_X61_Y42_N19
\led_flash_cnt[2168][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2168][7]~57244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2168][7]~q\);

-- Location: LCCOMB_X61_Y42_N4
\WideAnd2168~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2168~1_combout\ = (\led_flash_cnt[2168][5]~q\ & \led_flash_cnt[2168][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2168][5]~q\,
	datad => \led_flash_cnt[2168][6]~q\,
	combout => \WideAnd2168~1_combout\);

-- Location: LCCOMB_X61_Y42_N26
WideAnd2168 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2168~combout\ = (\WideAnd2168~0_combout\ & (\led_flash_cnt[2168][7]~q\ & (\WideAnd2168~1_combout\ & \led_flash_cnt[2168][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2168~0_combout\,
	datab => \led_flash_cnt[2168][7]~q\,
	datac => \WideAnd2168~1_combout\,
	datad => \led_flash_cnt[2168][0]~q\,
	combout => \WideAnd2168~combout\);

-- Location: FF_X61_Y42_N27
\led_flash_cnt_ands[2168]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2168~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2168));

-- Location: LCCOMB_X62_Y42_N24
\led_flash_cnt[2171][0]~82811\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2171][0]~82811_combout\ = !\led_flash_cnt[2171][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2171][0]~q\,
	combout => \led_flash_cnt[2171][0]~82811_combout\);

-- Location: FF_X62_Y42_N25
\led_flash_cnt[2171][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2171][0]~82811_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2171][0]~q\);

-- Location: LCCOMB_X62_Y42_N6
\led_flash_cnt[2171][1]~57274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2171][1]~57274_combout\ = (\led_flash_cnt[2171][1]~q\ & (\led_flash_cnt[2171][0]~q\ $ (VCC))) # (!\led_flash_cnt[2171][1]~q\ & (\led_flash_cnt[2171][0]~q\ & VCC))
-- \led_flash_cnt[2171][1]~57275\ = CARRY((\led_flash_cnt[2171][1]~q\ & \led_flash_cnt[2171][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2171][1]~q\,
	datab => \led_flash_cnt[2171][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2171][1]~57274_combout\,
	cout => \led_flash_cnt[2171][1]~57275\);

-- Location: FF_X62_Y42_N7
\led_flash_cnt[2171][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2171][1]~57274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2171][1]~q\);

-- Location: LCCOMB_X62_Y42_N8
\led_flash_cnt[2171][2]~57276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2171][2]~57276_combout\ = (\led_flash_cnt[2171][2]~q\ & (!\led_flash_cnt[2171][1]~57275\)) # (!\led_flash_cnt[2171][2]~q\ & ((\led_flash_cnt[2171][1]~57275\) # (GND)))
-- \led_flash_cnt[2171][2]~57277\ = CARRY((!\led_flash_cnt[2171][1]~57275\) # (!\led_flash_cnt[2171][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2171][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2171][1]~57275\,
	combout => \led_flash_cnt[2171][2]~57276_combout\,
	cout => \led_flash_cnt[2171][2]~57277\);

-- Location: FF_X62_Y42_N9
\led_flash_cnt[2171][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2171][2]~57276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2171][2]~q\);

-- Location: LCCOMB_X62_Y42_N10
\led_flash_cnt[2171][3]~57278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2171][3]~57278_combout\ = (\led_flash_cnt[2171][3]~q\ & (\led_flash_cnt[2171][2]~57277\ $ (GND))) # (!\led_flash_cnt[2171][3]~q\ & (!\led_flash_cnt[2171][2]~57277\ & VCC))
-- \led_flash_cnt[2171][3]~57279\ = CARRY((\led_flash_cnt[2171][3]~q\ & !\led_flash_cnt[2171][2]~57277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2171][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2171][2]~57277\,
	combout => \led_flash_cnt[2171][3]~57278_combout\,
	cout => \led_flash_cnt[2171][3]~57279\);

-- Location: FF_X62_Y42_N11
\led_flash_cnt[2171][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2171][3]~57278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2171][3]~q\);

-- Location: LCCOMB_X62_Y42_N12
\led_flash_cnt[2171][4]~57280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2171][4]~57280_combout\ = (\led_flash_cnt[2171][4]~q\ & (!\led_flash_cnt[2171][3]~57279\)) # (!\led_flash_cnt[2171][4]~q\ & ((\led_flash_cnt[2171][3]~57279\) # (GND)))
-- \led_flash_cnt[2171][4]~57281\ = CARRY((!\led_flash_cnt[2171][3]~57279\) # (!\led_flash_cnt[2171][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2171][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2171][3]~57279\,
	combout => \led_flash_cnt[2171][4]~57280_combout\,
	cout => \led_flash_cnt[2171][4]~57281\);

-- Location: FF_X62_Y42_N13
\led_flash_cnt[2171][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2171][4]~57280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2171][4]~q\);

-- Location: LCCOMB_X62_Y42_N22
\WideAnd2171~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2171~0_combout\ = (\led_flash_cnt[2171][4]~q\ & (\led_flash_cnt[2171][1]~q\ & (\led_flash_cnt[2171][2]~q\ & \led_flash_cnt[2171][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2171][4]~q\,
	datab => \led_flash_cnt[2171][1]~q\,
	datac => \led_flash_cnt[2171][2]~q\,
	datad => \led_flash_cnt[2171][3]~q\,
	combout => \WideAnd2171~0_combout\);

-- Location: LCCOMB_X62_Y42_N14
\led_flash_cnt[2171][5]~57282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2171][5]~57282_combout\ = (\led_flash_cnt[2171][5]~q\ & (\led_flash_cnt[2171][4]~57281\ $ (GND))) # (!\led_flash_cnt[2171][5]~q\ & (!\led_flash_cnt[2171][4]~57281\ & VCC))
-- \led_flash_cnt[2171][5]~57283\ = CARRY((\led_flash_cnt[2171][5]~q\ & !\led_flash_cnt[2171][4]~57281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2171][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2171][4]~57281\,
	combout => \led_flash_cnt[2171][5]~57282_combout\,
	cout => \led_flash_cnt[2171][5]~57283\);

-- Location: FF_X62_Y42_N15
\led_flash_cnt[2171][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2171][5]~57282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2171][5]~q\);

-- Location: LCCOMB_X62_Y42_N16
\led_flash_cnt[2171][6]~57284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2171][6]~57284_combout\ = (\led_flash_cnt[2171][6]~q\ & (!\led_flash_cnt[2171][5]~57283\)) # (!\led_flash_cnt[2171][6]~q\ & ((\led_flash_cnt[2171][5]~57283\) # (GND)))
-- \led_flash_cnt[2171][6]~57285\ = CARRY((!\led_flash_cnt[2171][5]~57283\) # (!\led_flash_cnt[2171][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2171][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2171][5]~57283\,
	combout => \led_flash_cnt[2171][6]~57284_combout\,
	cout => \led_flash_cnt[2171][6]~57285\);

-- Location: FF_X62_Y42_N17
\led_flash_cnt[2171][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2171][6]~57284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2171][6]~q\);

-- Location: LCCOMB_X62_Y42_N4
\WideAnd2171~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2171~1_combout\ = (\led_flash_cnt[2171][5]~q\ & \led_flash_cnt[2171][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2171][5]~q\,
	datad => \led_flash_cnt[2171][6]~q\,
	combout => \WideAnd2171~1_combout\);

-- Location: LCCOMB_X62_Y42_N18
\led_flash_cnt[2171][7]~57286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2171][7]~57286_combout\ = \led_flash_cnt[2171][6]~57285\ $ (!\led_flash_cnt[2171][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2171][7]~q\,
	cin => \led_flash_cnt[2171][6]~57285\,
	combout => \led_flash_cnt[2171][7]~57286_combout\);

-- Location: FF_X62_Y42_N19
\led_flash_cnt[2171][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2171][7]~57286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2171][7]~q\);

-- Location: LCCOMB_X62_Y42_N2
WideAnd2171 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2171~combout\ = (\WideAnd2171~0_combout\ & (\led_flash_cnt[2171][0]~q\ & (\WideAnd2171~1_combout\ & \led_flash_cnt[2171][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2171~0_combout\,
	datab => \led_flash_cnt[2171][0]~q\,
	datac => \WideAnd2171~1_combout\,
	datad => \led_flash_cnt[2171][7]~q\,
	combout => \WideAnd2171~combout\);

-- Location: FF_X62_Y42_N3
\led_flash_cnt_ands[2171]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2171~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2171));

-- Location: LCCOMB_X62_Y43_N12
\led_flash_cnt[2170][0]~82810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2170][0]~82810_combout\ = !\led_flash_cnt[2170][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2170][0]~q\,
	combout => \led_flash_cnt[2170][0]~82810_combout\);

-- Location: FF_X62_Y43_N13
\led_flash_cnt[2170][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2170][0]~82810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2170][0]~q\);

-- Location: LCCOMB_X62_Y43_N14
\led_flash_cnt[2170][1]~57260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2170][1]~57260_combout\ = (\led_flash_cnt[2170][0]~q\ & (\led_flash_cnt[2170][1]~q\ $ (VCC))) # (!\led_flash_cnt[2170][0]~q\ & (\led_flash_cnt[2170][1]~q\ & VCC))
-- \led_flash_cnt[2170][1]~57261\ = CARRY((\led_flash_cnt[2170][0]~q\ & \led_flash_cnt[2170][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2170][0]~q\,
	datab => \led_flash_cnt[2170][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2170][1]~57260_combout\,
	cout => \led_flash_cnt[2170][1]~57261\);

-- Location: FF_X62_Y43_N15
\led_flash_cnt[2170][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2170][1]~57260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2170][1]~q\);

-- Location: LCCOMB_X62_Y43_N16
\led_flash_cnt[2170][2]~57262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2170][2]~57262_combout\ = (\led_flash_cnt[2170][2]~q\ & (!\led_flash_cnt[2170][1]~57261\)) # (!\led_flash_cnt[2170][2]~q\ & ((\led_flash_cnt[2170][1]~57261\) # (GND)))
-- \led_flash_cnt[2170][2]~57263\ = CARRY((!\led_flash_cnt[2170][1]~57261\) # (!\led_flash_cnt[2170][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2170][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2170][1]~57261\,
	combout => \led_flash_cnt[2170][2]~57262_combout\,
	cout => \led_flash_cnt[2170][2]~57263\);

-- Location: FF_X62_Y43_N17
\led_flash_cnt[2170][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2170][2]~57262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2170][2]~q\);

-- Location: LCCOMB_X62_Y43_N18
\led_flash_cnt[2170][3]~57264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2170][3]~57264_combout\ = (\led_flash_cnt[2170][3]~q\ & (\led_flash_cnt[2170][2]~57263\ $ (GND))) # (!\led_flash_cnt[2170][3]~q\ & (!\led_flash_cnt[2170][2]~57263\ & VCC))
-- \led_flash_cnt[2170][3]~57265\ = CARRY((\led_flash_cnt[2170][3]~q\ & !\led_flash_cnt[2170][2]~57263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2170][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2170][2]~57263\,
	combout => \led_flash_cnt[2170][3]~57264_combout\,
	cout => \led_flash_cnt[2170][3]~57265\);

-- Location: FF_X62_Y43_N19
\led_flash_cnt[2170][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2170][3]~57264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2170][3]~q\);

-- Location: LCCOMB_X62_Y43_N20
\led_flash_cnt[2170][4]~57266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2170][4]~57266_combout\ = (\led_flash_cnt[2170][4]~q\ & (!\led_flash_cnt[2170][3]~57265\)) # (!\led_flash_cnt[2170][4]~q\ & ((\led_flash_cnt[2170][3]~57265\) # (GND)))
-- \led_flash_cnt[2170][4]~57267\ = CARRY((!\led_flash_cnt[2170][3]~57265\) # (!\led_flash_cnt[2170][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2170][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2170][3]~57265\,
	combout => \led_flash_cnt[2170][4]~57266_combout\,
	cout => \led_flash_cnt[2170][4]~57267\);

-- Location: FF_X62_Y43_N21
\led_flash_cnt[2170][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2170][4]~57266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2170][4]~q\);

-- Location: LCCOMB_X62_Y43_N22
\led_flash_cnt[2170][5]~57268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2170][5]~57268_combout\ = (\led_flash_cnt[2170][5]~q\ & (\led_flash_cnt[2170][4]~57267\ $ (GND))) # (!\led_flash_cnt[2170][5]~q\ & (!\led_flash_cnt[2170][4]~57267\ & VCC))
-- \led_flash_cnt[2170][5]~57269\ = CARRY((\led_flash_cnt[2170][5]~q\ & !\led_flash_cnt[2170][4]~57267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2170][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2170][4]~57267\,
	combout => \led_flash_cnt[2170][5]~57268_combout\,
	cout => \led_flash_cnt[2170][5]~57269\);

-- Location: FF_X62_Y43_N23
\led_flash_cnt[2170][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2170][5]~57268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2170][5]~q\);

-- Location: LCCOMB_X62_Y43_N24
\led_flash_cnt[2170][6]~57270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2170][6]~57270_combout\ = (\led_flash_cnt[2170][6]~q\ & (!\led_flash_cnt[2170][5]~57269\)) # (!\led_flash_cnt[2170][6]~q\ & ((\led_flash_cnt[2170][5]~57269\) # (GND)))
-- \led_flash_cnt[2170][6]~57271\ = CARRY((!\led_flash_cnt[2170][5]~57269\) # (!\led_flash_cnt[2170][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2170][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2170][5]~57269\,
	combout => \led_flash_cnt[2170][6]~57270_combout\,
	cout => \led_flash_cnt[2170][6]~57271\);

-- Location: FF_X62_Y43_N25
\led_flash_cnt[2170][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2170][6]~57270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2170][6]~q\);

-- Location: LCCOMB_X62_Y43_N10
\WideAnd2170~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2170~1_combout\ = (\led_flash_cnt[2170][5]~q\ & \led_flash_cnt[2170][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2170][5]~q\,
	datad => \led_flash_cnt[2170][6]~q\,
	combout => \WideAnd2170~1_combout\);

-- Location: LCCOMB_X62_Y43_N28
\WideAnd2170~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2170~0_combout\ = (\led_flash_cnt[2170][4]~q\ & (\led_flash_cnt[2170][3]~q\ & (\led_flash_cnt[2170][1]~q\ & \led_flash_cnt[2170][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2170][4]~q\,
	datab => \led_flash_cnt[2170][3]~q\,
	datac => \led_flash_cnt[2170][1]~q\,
	datad => \led_flash_cnt[2170][2]~q\,
	combout => \WideAnd2170~0_combout\);

-- Location: LCCOMB_X62_Y43_N26
\led_flash_cnt[2170][7]~57272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2170][7]~57272_combout\ = \led_flash_cnt[2170][7]~q\ $ (!\led_flash_cnt[2170][6]~57271\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2170][7]~q\,
	cin => \led_flash_cnt[2170][6]~57271\,
	combout => \led_flash_cnt[2170][7]~57272_combout\);

-- Location: FF_X62_Y43_N27
\led_flash_cnt[2170][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2170][7]~57272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2170][7]~q\);

-- Location: LCCOMB_X62_Y43_N30
WideAnd2170 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2170~combout\ = (\WideAnd2170~1_combout\ & (\WideAnd2170~0_combout\ & (\led_flash_cnt[2170][7]~q\ & \led_flash_cnt[2170][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2170~1_combout\,
	datab => \WideAnd2170~0_combout\,
	datac => \led_flash_cnt[2170][7]~q\,
	datad => \led_flash_cnt[2170][0]~q\,
	combout => \WideAnd2170~combout\);

-- Location: FF_X62_Y43_N31
\led_flash_cnt_ands[2170]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2170~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2170));

-- Location: LCCOMB_X62_Y42_N30
\led_flash_cnt[2169][0]~82809\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2169][0]~82809_combout\ = !\led_flash_cnt[2169][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2169][0]~q\,
	combout => \led_flash_cnt[2169][0]~82809_combout\);

-- Location: FF_X62_Y42_N31
\led_flash_cnt[2169][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2169][0]~82809_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2169][0]~q\);

-- Location: LCCOMB_X62_Y41_N0
\led_flash_cnt[2169][1]~57246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2169][1]~57246_combout\ = (\led_flash_cnt[2169][0]~q\ & (\led_flash_cnt[2169][1]~q\ $ (VCC))) # (!\led_flash_cnt[2169][0]~q\ & (\led_flash_cnt[2169][1]~q\ & VCC))
-- \led_flash_cnt[2169][1]~57247\ = CARRY((\led_flash_cnt[2169][0]~q\ & \led_flash_cnt[2169][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2169][0]~q\,
	datab => \led_flash_cnt[2169][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2169][1]~57246_combout\,
	cout => \led_flash_cnt[2169][1]~57247\);

-- Location: FF_X62_Y41_N1
\led_flash_cnt[2169][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2169][1]~57246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2169][1]~q\);

-- Location: LCCOMB_X62_Y41_N2
\led_flash_cnt[2169][2]~57248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2169][2]~57248_combout\ = (\led_flash_cnt[2169][2]~q\ & (!\led_flash_cnt[2169][1]~57247\)) # (!\led_flash_cnt[2169][2]~q\ & ((\led_flash_cnt[2169][1]~57247\) # (GND)))
-- \led_flash_cnt[2169][2]~57249\ = CARRY((!\led_flash_cnt[2169][1]~57247\) # (!\led_flash_cnt[2169][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2169][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2169][1]~57247\,
	combout => \led_flash_cnt[2169][2]~57248_combout\,
	cout => \led_flash_cnt[2169][2]~57249\);

-- Location: FF_X62_Y41_N3
\led_flash_cnt[2169][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2169][2]~57248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2169][2]~q\);

-- Location: LCCOMB_X62_Y41_N4
\led_flash_cnt[2169][3]~57250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2169][3]~57250_combout\ = (\led_flash_cnt[2169][3]~q\ & (\led_flash_cnt[2169][2]~57249\ $ (GND))) # (!\led_flash_cnt[2169][3]~q\ & (!\led_flash_cnt[2169][2]~57249\ & VCC))
-- \led_flash_cnt[2169][3]~57251\ = CARRY((\led_flash_cnt[2169][3]~q\ & !\led_flash_cnt[2169][2]~57249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2169][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2169][2]~57249\,
	combout => \led_flash_cnt[2169][3]~57250_combout\,
	cout => \led_flash_cnt[2169][3]~57251\);

-- Location: FF_X62_Y41_N5
\led_flash_cnt[2169][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2169][3]~57250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2169][3]~q\);

-- Location: LCCOMB_X62_Y41_N6
\led_flash_cnt[2169][4]~57252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2169][4]~57252_combout\ = (\led_flash_cnt[2169][4]~q\ & (!\led_flash_cnt[2169][3]~57251\)) # (!\led_flash_cnt[2169][4]~q\ & ((\led_flash_cnt[2169][3]~57251\) # (GND)))
-- \led_flash_cnt[2169][4]~57253\ = CARRY((!\led_flash_cnt[2169][3]~57251\) # (!\led_flash_cnt[2169][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2169][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2169][3]~57251\,
	combout => \led_flash_cnt[2169][4]~57252_combout\,
	cout => \led_flash_cnt[2169][4]~57253\);

-- Location: FF_X62_Y41_N7
\led_flash_cnt[2169][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2169][4]~57252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2169][4]~q\);

-- Location: LCCOMB_X62_Y41_N8
\led_flash_cnt[2169][5]~57254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2169][5]~57254_combout\ = (\led_flash_cnt[2169][5]~q\ & (\led_flash_cnt[2169][4]~57253\ $ (GND))) # (!\led_flash_cnt[2169][5]~q\ & (!\led_flash_cnt[2169][4]~57253\ & VCC))
-- \led_flash_cnt[2169][5]~57255\ = CARRY((\led_flash_cnt[2169][5]~q\ & !\led_flash_cnt[2169][4]~57253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2169][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2169][4]~57253\,
	combout => \led_flash_cnt[2169][5]~57254_combout\,
	cout => \led_flash_cnt[2169][5]~57255\);

-- Location: FF_X62_Y41_N9
\led_flash_cnt[2169][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2169][5]~57254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2169][5]~q\);

-- Location: LCCOMB_X62_Y41_N10
\led_flash_cnt[2169][6]~57256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2169][6]~57256_combout\ = (\led_flash_cnt[2169][6]~q\ & (!\led_flash_cnt[2169][5]~57255\)) # (!\led_flash_cnt[2169][6]~q\ & ((\led_flash_cnt[2169][5]~57255\) # (GND)))
-- \led_flash_cnt[2169][6]~57257\ = CARRY((!\led_flash_cnt[2169][5]~57255\) # (!\led_flash_cnt[2169][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2169][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2169][5]~57255\,
	combout => \led_flash_cnt[2169][6]~57256_combout\,
	cout => \led_flash_cnt[2169][6]~57257\);

-- Location: FF_X62_Y41_N11
\led_flash_cnt[2169][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2169][6]~57256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2169][6]~q\);

-- Location: LCCOMB_X62_Y42_N26
\WideAnd2169~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2169~1_combout\ = (\led_flash_cnt[2169][5]~q\ & \led_flash_cnt[2169][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2169][5]~q\,
	datad => \led_flash_cnt[2169][6]~q\,
	combout => \WideAnd2169~1_combout\);

-- Location: LCCOMB_X62_Y41_N12
\led_flash_cnt[2169][7]~57258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2169][7]~57258_combout\ = \led_flash_cnt[2169][6]~57257\ $ (!\led_flash_cnt[2169][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2169][7]~q\,
	cin => \led_flash_cnt[2169][6]~57257\,
	combout => \led_flash_cnt[2169][7]~57258_combout\);

-- Location: FF_X62_Y41_N13
\led_flash_cnt[2169][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2169][7]~57258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2169][7]~q\);

-- Location: LCCOMB_X62_Y41_N14
\WideAnd2169~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2169~0_combout\ = (\led_flash_cnt[2169][4]~q\ & (\led_flash_cnt[2169][1]~q\ & (\led_flash_cnt[2169][3]~q\ & \led_flash_cnt[2169][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2169][4]~q\,
	datab => \led_flash_cnt[2169][1]~q\,
	datac => \led_flash_cnt[2169][3]~q\,
	datad => \led_flash_cnt[2169][2]~q\,
	combout => \WideAnd2169~0_combout\);

-- Location: LCCOMB_X62_Y42_N20
WideAnd2169 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2169~combout\ = (\WideAnd2169~1_combout\ & (\led_flash_cnt[2169][7]~q\ & (\led_flash_cnt[2169][0]~q\ & \WideAnd2169~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2169~1_combout\,
	datab => \led_flash_cnt[2169][7]~q\,
	datac => \led_flash_cnt[2169][0]~q\,
	datad => \WideAnd2169~0_combout\,
	combout => \WideAnd2169~combout\);

-- Location: FF_X62_Y42_N21
\led_flash_cnt_ands[2169]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2169~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2169));

-- Location: LCCOMB_X62_Y42_N28
\WideAnd4111~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4111~0_combout\ = (led_flash_cnt_ands(2168) & (led_flash_cnt_ands(2171) & (led_flash_cnt_ands(2170) & led_flash_cnt_ands(2169))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2168),
	datab => led_flash_cnt_ands(2171),
	datac => led_flash_cnt_ands(2170),
	datad => led_flash_cnt_ands(2169),
	combout => \WideAnd4111~0_combout\);

-- Location: LCCOMB_X55_Y31_N2
\led_flash_cnt[2173][0]~82813\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2173][0]~82813_combout\ = !\led_flash_cnt[2173][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2173][0]~q\,
	combout => \led_flash_cnt[2173][0]~82813_combout\);

-- Location: FF_X55_Y31_N3
\led_flash_cnt[2173][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2173][0]~82813_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2173][0]~q\);

-- Location: LCCOMB_X54_Y31_N2
\led_flash_cnt[2173][1]~57302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2173][1]~57302_combout\ = (\led_flash_cnt[2173][0]~q\ & (\led_flash_cnt[2173][1]~q\ $ (VCC))) # (!\led_flash_cnt[2173][0]~q\ & (\led_flash_cnt[2173][1]~q\ & VCC))
-- \led_flash_cnt[2173][1]~57303\ = CARRY((\led_flash_cnt[2173][0]~q\ & \led_flash_cnt[2173][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2173][0]~q\,
	datab => \led_flash_cnt[2173][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2173][1]~57302_combout\,
	cout => \led_flash_cnt[2173][1]~57303\);

-- Location: FF_X54_Y31_N3
\led_flash_cnt[2173][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2173][1]~57302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2173][1]~q\);

-- Location: LCCOMB_X54_Y31_N4
\led_flash_cnt[2173][2]~57304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2173][2]~57304_combout\ = (\led_flash_cnt[2173][2]~q\ & (!\led_flash_cnt[2173][1]~57303\)) # (!\led_flash_cnt[2173][2]~q\ & ((\led_flash_cnt[2173][1]~57303\) # (GND)))
-- \led_flash_cnt[2173][2]~57305\ = CARRY((!\led_flash_cnt[2173][1]~57303\) # (!\led_flash_cnt[2173][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2173][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2173][1]~57303\,
	combout => \led_flash_cnt[2173][2]~57304_combout\,
	cout => \led_flash_cnt[2173][2]~57305\);

-- Location: FF_X54_Y31_N5
\led_flash_cnt[2173][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2173][2]~57304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2173][2]~q\);

-- Location: LCCOMB_X54_Y31_N6
\led_flash_cnt[2173][3]~57306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2173][3]~57306_combout\ = (\led_flash_cnt[2173][3]~q\ & (\led_flash_cnt[2173][2]~57305\ $ (GND))) # (!\led_flash_cnt[2173][3]~q\ & (!\led_flash_cnt[2173][2]~57305\ & VCC))
-- \led_flash_cnt[2173][3]~57307\ = CARRY((\led_flash_cnt[2173][3]~q\ & !\led_flash_cnt[2173][2]~57305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2173][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2173][2]~57305\,
	combout => \led_flash_cnt[2173][3]~57306_combout\,
	cout => \led_flash_cnt[2173][3]~57307\);

-- Location: FF_X54_Y31_N7
\led_flash_cnt[2173][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2173][3]~57306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2173][3]~q\);

-- Location: LCCOMB_X54_Y31_N8
\led_flash_cnt[2173][4]~57308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2173][4]~57308_combout\ = (\led_flash_cnt[2173][4]~q\ & (!\led_flash_cnt[2173][3]~57307\)) # (!\led_flash_cnt[2173][4]~q\ & ((\led_flash_cnt[2173][3]~57307\) # (GND)))
-- \led_flash_cnt[2173][4]~57309\ = CARRY((!\led_flash_cnt[2173][3]~57307\) # (!\led_flash_cnt[2173][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2173][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2173][3]~57307\,
	combout => \led_flash_cnt[2173][4]~57308_combout\,
	cout => \led_flash_cnt[2173][4]~57309\);

-- Location: FF_X54_Y31_N9
\led_flash_cnt[2173][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2173][4]~57308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2173][4]~q\);

-- Location: LCCOMB_X54_Y31_N10
\led_flash_cnt[2173][5]~57310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2173][5]~57310_combout\ = (\led_flash_cnt[2173][5]~q\ & (\led_flash_cnt[2173][4]~57309\ $ (GND))) # (!\led_flash_cnt[2173][5]~q\ & (!\led_flash_cnt[2173][4]~57309\ & VCC))
-- \led_flash_cnt[2173][5]~57311\ = CARRY((\led_flash_cnt[2173][5]~q\ & !\led_flash_cnt[2173][4]~57309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2173][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2173][4]~57309\,
	combout => \led_flash_cnt[2173][5]~57310_combout\,
	cout => \led_flash_cnt[2173][5]~57311\);

-- Location: FF_X54_Y31_N11
\led_flash_cnt[2173][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2173][5]~57310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2173][5]~q\);

-- Location: LCCOMB_X54_Y31_N12
\led_flash_cnt[2173][6]~57312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2173][6]~57312_combout\ = (\led_flash_cnt[2173][6]~q\ & (!\led_flash_cnt[2173][5]~57311\)) # (!\led_flash_cnt[2173][6]~q\ & ((\led_flash_cnt[2173][5]~57311\) # (GND)))
-- \led_flash_cnt[2173][6]~57313\ = CARRY((!\led_flash_cnt[2173][5]~57311\) # (!\led_flash_cnt[2173][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2173][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2173][5]~57311\,
	combout => \led_flash_cnt[2173][6]~57312_combout\,
	cout => \led_flash_cnt[2173][6]~57313\);

-- Location: FF_X54_Y31_N13
\led_flash_cnt[2173][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2173][6]~57312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2173][6]~q\);

-- Location: LCCOMB_X54_Y31_N14
\led_flash_cnt[2173][7]~57314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2173][7]~57314_combout\ = \led_flash_cnt[2173][7]~q\ $ (!\led_flash_cnt[2173][6]~57313\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2173][7]~q\,
	cin => \led_flash_cnt[2173][6]~57313\,
	combout => \led_flash_cnt[2173][7]~57314_combout\);

-- Location: FF_X54_Y31_N15
\led_flash_cnt[2173][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2173][7]~57314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2173][7]~q\);

-- Location: LCCOMB_X54_Y31_N30
\WideAnd2173~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2173~0_combout\ = (\led_flash_cnt[2173][3]~q\ & (\led_flash_cnt[2173][4]~q\ & (\led_flash_cnt[2173][2]~q\ & \led_flash_cnt[2173][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2173][3]~q\,
	datab => \led_flash_cnt[2173][4]~q\,
	datac => \led_flash_cnt[2173][2]~q\,
	datad => \led_flash_cnt[2173][1]~q\,
	combout => \WideAnd2173~0_combout\);

-- Location: LCCOMB_X55_Y31_N28
\WideAnd2173~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2173~1_combout\ = (\led_flash_cnt[2173][6]~q\ & \led_flash_cnt[2173][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2173][6]~q\,
	datad => \led_flash_cnt[2173][5]~q\,
	combout => \WideAnd2173~1_combout\);

-- Location: LCCOMB_X55_Y31_N30
WideAnd2173 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2173~combout\ = (\led_flash_cnt[2173][7]~q\ & (\WideAnd2173~0_combout\ & (\led_flash_cnt[2173][0]~q\ & \WideAnd2173~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2173][7]~q\,
	datab => \WideAnd2173~0_combout\,
	datac => \led_flash_cnt[2173][0]~q\,
	datad => \WideAnd2173~1_combout\,
	combout => \WideAnd2173~combout\);

-- Location: FF_X55_Y31_N31
\led_flash_cnt_ands[2173]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2173~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2173));

-- Location: LCCOMB_X55_Y31_N6
\led_flash_cnt[2172][0]~82812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2172][0]~82812_combout\ = !\led_flash_cnt[2172][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2172][0]~q\,
	combout => \led_flash_cnt[2172][0]~82812_combout\);

-- Location: FF_X55_Y31_N7
\led_flash_cnt[2172][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2172][0]~82812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2172][0]~q\);

-- Location: LCCOMB_X55_Y31_N8
\led_flash_cnt[2172][1]~57288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2172][1]~57288_combout\ = (\led_flash_cnt[2172][0]~q\ & (\led_flash_cnt[2172][1]~q\ $ (VCC))) # (!\led_flash_cnt[2172][0]~q\ & (\led_flash_cnt[2172][1]~q\ & VCC))
-- \led_flash_cnt[2172][1]~57289\ = CARRY((\led_flash_cnt[2172][0]~q\ & \led_flash_cnt[2172][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2172][0]~q\,
	datab => \led_flash_cnt[2172][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2172][1]~57288_combout\,
	cout => \led_flash_cnt[2172][1]~57289\);

-- Location: FF_X55_Y31_N9
\led_flash_cnt[2172][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2172][1]~57288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2172][1]~q\);

-- Location: LCCOMB_X55_Y31_N10
\led_flash_cnt[2172][2]~57290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2172][2]~57290_combout\ = (\led_flash_cnt[2172][2]~q\ & (!\led_flash_cnt[2172][1]~57289\)) # (!\led_flash_cnt[2172][2]~q\ & ((\led_flash_cnt[2172][1]~57289\) # (GND)))
-- \led_flash_cnt[2172][2]~57291\ = CARRY((!\led_flash_cnt[2172][1]~57289\) # (!\led_flash_cnt[2172][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2172][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2172][1]~57289\,
	combout => \led_flash_cnt[2172][2]~57290_combout\,
	cout => \led_flash_cnt[2172][2]~57291\);

-- Location: FF_X55_Y31_N11
\led_flash_cnt[2172][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2172][2]~57290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2172][2]~q\);

-- Location: LCCOMB_X55_Y31_N12
\led_flash_cnt[2172][3]~57292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2172][3]~57292_combout\ = (\led_flash_cnt[2172][3]~q\ & (\led_flash_cnt[2172][2]~57291\ $ (GND))) # (!\led_flash_cnt[2172][3]~q\ & (!\led_flash_cnt[2172][2]~57291\ & VCC))
-- \led_flash_cnt[2172][3]~57293\ = CARRY((\led_flash_cnt[2172][3]~q\ & !\led_flash_cnt[2172][2]~57291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2172][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2172][2]~57291\,
	combout => \led_flash_cnt[2172][3]~57292_combout\,
	cout => \led_flash_cnt[2172][3]~57293\);

-- Location: FF_X55_Y31_N13
\led_flash_cnt[2172][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2172][3]~57292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2172][3]~q\);

-- Location: LCCOMB_X55_Y31_N14
\led_flash_cnt[2172][4]~57294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2172][4]~57294_combout\ = (\led_flash_cnt[2172][4]~q\ & (!\led_flash_cnt[2172][3]~57293\)) # (!\led_flash_cnt[2172][4]~q\ & ((\led_flash_cnt[2172][3]~57293\) # (GND)))
-- \led_flash_cnt[2172][4]~57295\ = CARRY((!\led_flash_cnt[2172][3]~57293\) # (!\led_flash_cnt[2172][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2172][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2172][3]~57293\,
	combout => \led_flash_cnt[2172][4]~57294_combout\,
	cout => \led_flash_cnt[2172][4]~57295\);

-- Location: FF_X55_Y31_N15
\led_flash_cnt[2172][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2172][4]~57294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2172][4]~q\);

-- Location: LCCOMB_X55_Y31_N16
\led_flash_cnt[2172][5]~57296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2172][5]~57296_combout\ = (\led_flash_cnt[2172][5]~q\ & (\led_flash_cnt[2172][4]~57295\ $ (GND))) # (!\led_flash_cnt[2172][5]~q\ & (!\led_flash_cnt[2172][4]~57295\ & VCC))
-- \led_flash_cnt[2172][5]~57297\ = CARRY((\led_flash_cnt[2172][5]~q\ & !\led_flash_cnt[2172][4]~57295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2172][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2172][4]~57295\,
	combout => \led_flash_cnt[2172][5]~57296_combout\,
	cout => \led_flash_cnt[2172][5]~57297\);

-- Location: FF_X55_Y31_N17
\led_flash_cnt[2172][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2172][5]~57296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2172][5]~q\);

-- Location: LCCOMB_X55_Y31_N18
\led_flash_cnt[2172][6]~57298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2172][6]~57298_combout\ = (\led_flash_cnt[2172][6]~q\ & (!\led_flash_cnt[2172][5]~57297\)) # (!\led_flash_cnt[2172][6]~q\ & ((\led_flash_cnt[2172][5]~57297\) # (GND)))
-- \led_flash_cnt[2172][6]~57299\ = CARRY((!\led_flash_cnt[2172][5]~57297\) # (!\led_flash_cnt[2172][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2172][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2172][5]~57297\,
	combout => \led_flash_cnt[2172][6]~57298_combout\,
	cout => \led_flash_cnt[2172][6]~57299\);

-- Location: FF_X55_Y31_N19
\led_flash_cnt[2172][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2172][6]~57298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2172][6]~q\);

-- Location: LCCOMB_X55_Y31_N20
\led_flash_cnt[2172][7]~57300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2172][7]~57300_combout\ = \led_flash_cnt[2172][6]~57299\ $ (!\led_flash_cnt[2172][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2172][7]~q\,
	cin => \led_flash_cnt[2172][6]~57299\,
	combout => \led_flash_cnt[2172][7]~57300_combout\);

-- Location: FF_X55_Y31_N21
\led_flash_cnt[2172][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2172][7]~57300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2172][7]~q\);

-- Location: LCCOMB_X55_Y31_N22
\WideAnd2172~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2172~1_combout\ = (\led_flash_cnt[2172][6]~q\ & \led_flash_cnt[2172][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2172][6]~q\,
	datad => \led_flash_cnt[2172][5]~q\,
	combout => \WideAnd2172~1_combout\);

-- Location: LCCOMB_X55_Y31_N24
\WideAnd2172~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2172~0_combout\ = (\led_flash_cnt[2172][3]~q\ & (\led_flash_cnt[2172][1]~q\ & (\led_flash_cnt[2172][4]~q\ & \led_flash_cnt[2172][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2172][3]~q\,
	datab => \led_flash_cnt[2172][1]~q\,
	datac => \led_flash_cnt[2172][4]~q\,
	datad => \led_flash_cnt[2172][2]~q\,
	combout => \WideAnd2172~0_combout\);

-- Location: LCCOMB_X55_Y31_N0
WideAnd2172 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2172~combout\ = (\led_flash_cnt[2172][0]~q\ & (\led_flash_cnt[2172][7]~q\ & (\WideAnd2172~1_combout\ & \WideAnd2172~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2172][0]~q\,
	datab => \led_flash_cnt[2172][7]~q\,
	datac => \WideAnd2172~1_combout\,
	datad => \WideAnd2172~0_combout\,
	combout => \WideAnd2172~combout\);

-- Location: FF_X55_Y31_N1
\led_flash_cnt_ands[2172]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2172~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2172));

-- Location: LCCOMB_X55_Y31_N4
\WideAnd4111~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4111~1_combout\ = (led_flash_cnt_ands(2173) & led_flash_cnt_ands(2172))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2173),
	datad => led_flash_cnt_ands(2172),
	combout => \WideAnd4111~1_combout\);

-- Location: LCCOMB_X56_Y23_N12
\led_flash_cnt[2175][0]~82815\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2175][0]~82815_combout\ = !\led_flash_cnt[2175][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2175][0]~q\,
	combout => \led_flash_cnt[2175][0]~82815_combout\);

-- Location: FF_X56_Y23_N13
\led_flash_cnt[2175][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2175][0]~82815_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2175][0]~q\);

-- Location: LCCOMB_X56_Y23_N18
\led_flash_cnt[2175][1]~57330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2175][1]~57330_combout\ = (\led_flash_cnt[2175][0]~q\ & (\led_flash_cnt[2175][1]~q\ $ (VCC))) # (!\led_flash_cnt[2175][0]~q\ & (\led_flash_cnt[2175][1]~q\ & VCC))
-- \led_flash_cnt[2175][1]~57331\ = CARRY((\led_flash_cnt[2175][0]~q\ & \led_flash_cnt[2175][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2175][0]~q\,
	datab => \led_flash_cnt[2175][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2175][1]~57330_combout\,
	cout => \led_flash_cnt[2175][1]~57331\);

-- Location: FF_X56_Y23_N19
\led_flash_cnt[2175][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2175][1]~57330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2175][1]~q\);

-- Location: LCCOMB_X56_Y23_N20
\led_flash_cnt[2175][2]~57332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2175][2]~57332_combout\ = (\led_flash_cnt[2175][2]~q\ & (!\led_flash_cnt[2175][1]~57331\)) # (!\led_flash_cnt[2175][2]~q\ & ((\led_flash_cnt[2175][1]~57331\) # (GND)))
-- \led_flash_cnt[2175][2]~57333\ = CARRY((!\led_flash_cnt[2175][1]~57331\) # (!\led_flash_cnt[2175][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2175][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2175][1]~57331\,
	combout => \led_flash_cnt[2175][2]~57332_combout\,
	cout => \led_flash_cnt[2175][2]~57333\);

-- Location: FF_X56_Y23_N21
\led_flash_cnt[2175][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2175][2]~57332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2175][2]~q\);

-- Location: LCCOMB_X56_Y23_N22
\led_flash_cnt[2175][3]~57334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2175][3]~57334_combout\ = (\led_flash_cnt[2175][3]~q\ & (\led_flash_cnt[2175][2]~57333\ $ (GND))) # (!\led_flash_cnt[2175][3]~q\ & (!\led_flash_cnt[2175][2]~57333\ & VCC))
-- \led_flash_cnt[2175][3]~57335\ = CARRY((\led_flash_cnt[2175][3]~q\ & !\led_flash_cnt[2175][2]~57333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2175][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2175][2]~57333\,
	combout => \led_flash_cnt[2175][3]~57334_combout\,
	cout => \led_flash_cnt[2175][3]~57335\);

-- Location: FF_X56_Y23_N23
\led_flash_cnt[2175][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2175][3]~57334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2175][3]~q\);

-- Location: LCCOMB_X56_Y23_N24
\led_flash_cnt[2175][4]~57336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2175][4]~57336_combout\ = (\led_flash_cnt[2175][4]~q\ & (!\led_flash_cnt[2175][3]~57335\)) # (!\led_flash_cnt[2175][4]~q\ & ((\led_flash_cnt[2175][3]~57335\) # (GND)))
-- \led_flash_cnt[2175][4]~57337\ = CARRY((!\led_flash_cnt[2175][3]~57335\) # (!\led_flash_cnt[2175][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2175][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2175][3]~57335\,
	combout => \led_flash_cnt[2175][4]~57336_combout\,
	cout => \led_flash_cnt[2175][4]~57337\);

-- Location: FF_X56_Y23_N25
\led_flash_cnt[2175][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2175][4]~57336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2175][4]~q\);

-- Location: LCCOMB_X56_Y23_N26
\led_flash_cnt[2175][5]~57338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2175][5]~57338_combout\ = (\led_flash_cnt[2175][5]~q\ & (\led_flash_cnt[2175][4]~57337\ $ (GND))) # (!\led_flash_cnt[2175][5]~q\ & (!\led_flash_cnt[2175][4]~57337\ & VCC))
-- \led_flash_cnt[2175][5]~57339\ = CARRY((\led_flash_cnt[2175][5]~q\ & !\led_flash_cnt[2175][4]~57337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2175][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2175][4]~57337\,
	combout => \led_flash_cnt[2175][5]~57338_combout\,
	cout => \led_flash_cnt[2175][5]~57339\);

-- Location: FF_X56_Y23_N27
\led_flash_cnt[2175][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2175][5]~57338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2175][5]~q\);

-- Location: LCCOMB_X56_Y23_N28
\led_flash_cnt[2175][6]~57340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2175][6]~57340_combout\ = (\led_flash_cnt[2175][6]~q\ & (!\led_flash_cnt[2175][5]~57339\)) # (!\led_flash_cnt[2175][6]~q\ & ((\led_flash_cnt[2175][5]~57339\) # (GND)))
-- \led_flash_cnt[2175][6]~57341\ = CARRY((!\led_flash_cnt[2175][5]~57339\) # (!\led_flash_cnt[2175][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2175][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2175][5]~57339\,
	combout => \led_flash_cnt[2175][6]~57340_combout\,
	cout => \led_flash_cnt[2175][6]~57341\);

-- Location: FF_X56_Y23_N29
\led_flash_cnt[2175][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2175][6]~57340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2175][6]~q\);

-- Location: LCCOMB_X56_Y23_N30
\led_flash_cnt[2175][7]~57342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2175][7]~57342_combout\ = \led_flash_cnt[2175][7]~q\ $ (!\led_flash_cnt[2175][6]~57341\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2175][7]~q\,
	cin => \led_flash_cnt[2175][6]~57341\,
	combout => \led_flash_cnt[2175][7]~57342_combout\);

-- Location: FF_X56_Y23_N31
\led_flash_cnt[2175][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2175][7]~57342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2175][7]~q\);

-- Location: LCCOMB_X56_Y23_N16
\WideAnd2175~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2175~0_combout\ = (\led_flash_cnt[2175][1]~q\ & (\led_flash_cnt[2175][2]~q\ & (\led_flash_cnt[2175][3]~q\ & \led_flash_cnt[2175][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2175][1]~q\,
	datab => \led_flash_cnt[2175][2]~q\,
	datac => \led_flash_cnt[2175][3]~q\,
	datad => \led_flash_cnt[2175][4]~q\,
	combout => \WideAnd2175~0_combout\);

-- Location: LCCOMB_X56_Y23_N4
\WideAnd2175~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2175~1_combout\ = (\led_flash_cnt[2175][5]~q\ & \led_flash_cnt[2175][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2175][5]~q\,
	datad => \led_flash_cnt[2175][6]~q\,
	combout => \WideAnd2175~1_combout\);

-- Location: LCCOMB_X56_Y23_N0
WideAnd2175 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2175~combout\ = (\led_flash_cnt[2175][7]~q\ & (\WideAnd2175~0_combout\ & (\WideAnd2175~1_combout\ & \led_flash_cnt[2175][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2175][7]~q\,
	datab => \WideAnd2175~0_combout\,
	datac => \WideAnd2175~1_combout\,
	datad => \led_flash_cnt[2175][0]~q\,
	combout => \WideAnd2175~combout\);

-- Location: FF_X56_Y23_N1
\led_flash_cnt_ands[2175]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2175~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2175));

-- Location: LCCOMB_X56_Y23_N6
WideAnd4111 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4111~combout\ = (led_flash_cnt_ands(2174) & (\WideAnd4111~0_combout\ & (\WideAnd4111~1_combout\ & led_flash_cnt_ands(2175))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2174),
	datab => \WideAnd4111~0_combout\,
	datac => \WideAnd4111~1_combout\,
	datad => led_flash_cnt_ands(2175),
	combout => \WideAnd4111~combout\);

-- Location: FF_X56_Y23_N7
\led_flash_cnt_ands_1[271]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4111~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(271));

-- Location: LCCOMB_X76_Y20_N12
\led_flash_cnt[2164][0]~82804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2164][0]~82804_combout\ = !\led_flash_cnt[2164][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2164][0]~q\,
	combout => \led_flash_cnt[2164][0]~82804_combout\);

-- Location: FF_X76_Y20_N13
\led_flash_cnt[2164][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2164][0]~82804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2164][0]~q\);

-- Location: LCCOMB_X76_Y20_N16
\led_flash_cnt[2164][1]~57176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2164][1]~57176_combout\ = (\led_flash_cnt[2164][0]~q\ & (\led_flash_cnt[2164][1]~q\ $ (VCC))) # (!\led_flash_cnt[2164][0]~q\ & (\led_flash_cnt[2164][1]~q\ & VCC))
-- \led_flash_cnt[2164][1]~57177\ = CARRY((\led_flash_cnt[2164][0]~q\ & \led_flash_cnt[2164][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2164][0]~q\,
	datab => \led_flash_cnt[2164][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2164][1]~57176_combout\,
	cout => \led_flash_cnt[2164][1]~57177\);

-- Location: FF_X76_Y20_N17
\led_flash_cnt[2164][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2164][1]~57176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2164][1]~q\);

-- Location: LCCOMB_X76_Y20_N18
\led_flash_cnt[2164][2]~57178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2164][2]~57178_combout\ = (\led_flash_cnt[2164][2]~q\ & (!\led_flash_cnt[2164][1]~57177\)) # (!\led_flash_cnt[2164][2]~q\ & ((\led_flash_cnt[2164][1]~57177\) # (GND)))
-- \led_flash_cnt[2164][2]~57179\ = CARRY((!\led_flash_cnt[2164][1]~57177\) # (!\led_flash_cnt[2164][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2164][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2164][1]~57177\,
	combout => \led_flash_cnt[2164][2]~57178_combout\,
	cout => \led_flash_cnt[2164][2]~57179\);

-- Location: FF_X76_Y20_N19
\led_flash_cnt[2164][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2164][2]~57178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2164][2]~q\);

-- Location: LCCOMB_X76_Y20_N20
\led_flash_cnt[2164][3]~57180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2164][3]~57180_combout\ = (\led_flash_cnt[2164][3]~q\ & (\led_flash_cnt[2164][2]~57179\ $ (GND))) # (!\led_flash_cnt[2164][3]~q\ & (!\led_flash_cnt[2164][2]~57179\ & VCC))
-- \led_flash_cnt[2164][3]~57181\ = CARRY((\led_flash_cnt[2164][3]~q\ & !\led_flash_cnt[2164][2]~57179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2164][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2164][2]~57179\,
	combout => \led_flash_cnt[2164][3]~57180_combout\,
	cout => \led_flash_cnt[2164][3]~57181\);

-- Location: FF_X76_Y20_N21
\led_flash_cnt[2164][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2164][3]~57180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2164][3]~q\);

-- Location: LCCOMB_X76_Y20_N22
\led_flash_cnt[2164][4]~57182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2164][4]~57182_combout\ = (\led_flash_cnt[2164][4]~q\ & (!\led_flash_cnt[2164][3]~57181\)) # (!\led_flash_cnt[2164][4]~q\ & ((\led_flash_cnt[2164][3]~57181\) # (GND)))
-- \led_flash_cnt[2164][4]~57183\ = CARRY((!\led_flash_cnt[2164][3]~57181\) # (!\led_flash_cnt[2164][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2164][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2164][3]~57181\,
	combout => \led_flash_cnt[2164][4]~57182_combout\,
	cout => \led_flash_cnt[2164][4]~57183\);

-- Location: FF_X76_Y20_N23
\led_flash_cnt[2164][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2164][4]~57182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2164][4]~q\);

-- Location: LCCOMB_X76_Y20_N24
\led_flash_cnt[2164][5]~57184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2164][5]~57184_combout\ = (\led_flash_cnt[2164][5]~q\ & (\led_flash_cnt[2164][4]~57183\ $ (GND))) # (!\led_flash_cnt[2164][5]~q\ & (!\led_flash_cnt[2164][4]~57183\ & VCC))
-- \led_flash_cnt[2164][5]~57185\ = CARRY((\led_flash_cnt[2164][5]~q\ & !\led_flash_cnt[2164][4]~57183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2164][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2164][4]~57183\,
	combout => \led_flash_cnt[2164][5]~57184_combout\,
	cout => \led_flash_cnt[2164][5]~57185\);

-- Location: FF_X76_Y20_N25
\led_flash_cnt[2164][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2164][5]~57184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2164][5]~q\);

-- Location: LCCOMB_X76_Y20_N26
\led_flash_cnt[2164][6]~57186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2164][6]~57186_combout\ = (\led_flash_cnt[2164][6]~q\ & (!\led_flash_cnt[2164][5]~57185\)) # (!\led_flash_cnt[2164][6]~q\ & ((\led_flash_cnt[2164][5]~57185\) # (GND)))
-- \led_flash_cnt[2164][6]~57187\ = CARRY((!\led_flash_cnt[2164][5]~57185\) # (!\led_flash_cnt[2164][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2164][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2164][5]~57185\,
	combout => \led_flash_cnt[2164][6]~57186_combout\,
	cout => \led_flash_cnt[2164][6]~57187\);

-- Location: FF_X76_Y20_N27
\led_flash_cnt[2164][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2164][6]~57186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2164][6]~q\);

-- Location: LCCOMB_X76_Y20_N28
\led_flash_cnt[2164][7]~57188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2164][7]~57188_combout\ = \led_flash_cnt[2164][6]~57187\ $ (!\led_flash_cnt[2164][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2164][7]~q\,
	cin => \led_flash_cnt[2164][6]~57187\,
	combout => \led_flash_cnt[2164][7]~57188_combout\);

-- Location: FF_X76_Y20_N29
\led_flash_cnt[2164][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2164][7]~57188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2164][7]~q\);

-- Location: LCCOMB_X76_Y20_N14
\WideAnd2164~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2164~0_combout\ = (\led_flash_cnt[2164][1]~q\ & (\led_flash_cnt[2164][3]~q\ & (\led_flash_cnt[2164][4]~q\ & \led_flash_cnt[2164][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2164][1]~q\,
	datab => \led_flash_cnt[2164][3]~q\,
	datac => \led_flash_cnt[2164][4]~q\,
	datad => \led_flash_cnt[2164][2]~q\,
	combout => \WideAnd2164~0_combout\);

-- Location: LCCOMB_X76_Y20_N0
\WideAnd2164~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2164~1_combout\ = (\led_flash_cnt[2164][6]~q\ & \led_flash_cnt[2164][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2164][6]~q\,
	datad => \led_flash_cnt[2164][5]~q\,
	combout => \WideAnd2164~1_combout\);

-- Location: LCCOMB_X76_Y20_N30
WideAnd2164 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2164~combout\ = (\led_flash_cnt[2164][0]~q\ & (\led_flash_cnt[2164][7]~q\ & (\WideAnd2164~0_combout\ & \WideAnd2164~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2164][0]~q\,
	datab => \led_flash_cnt[2164][7]~q\,
	datac => \WideAnd2164~0_combout\,
	datad => \WideAnd2164~1_combout\,
	combout => \WideAnd2164~combout\);

-- Location: FF_X76_Y20_N31
\led_flash_cnt_ands[2164]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2164~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2164));

-- Location: LCCOMB_X76_Y20_N2
\led_flash_cnt[2165][0]~82805\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2165][0]~82805_combout\ = !\led_flash_cnt[2165][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2165][0]~q\,
	combout => \led_flash_cnt[2165][0]~82805_combout\);

-- Location: FF_X76_Y20_N3
\led_flash_cnt[2165][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2165][0]~82805_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2165][0]~q\);

-- Location: LCCOMB_X75_Y20_N18
\led_flash_cnt[2165][1]~57190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2165][1]~57190_combout\ = (\led_flash_cnt[2165][0]~q\ & (\led_flash_cnt[2165][1]~q\ $ (VCC))) # (!\led_flash_cnt[2165][0]~q\ & (\led_flash_cnt[2165][1]~q\ & VCC))
-- \led_flash_cnt[2165][1]~57191\ = CARRY((\led_flash_cnt[2165][0]~q\ & \led_flash_cnt[2165][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2165][0]~q\,
	datab => \led_flash_cnt[2165][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2165][1]~57190_combout\,
	cout => \led_flash_cnt[2165][1]~57191\);

-- Location: FF_X75_Y20_N19
\led_flash_cnt[2165][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2165][1]~57190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2165][1]~q\);

-- Location: LCCOMB_X75_Y20_N20
\led_flash_cnt[2165][2]~57192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2165][2]~57192_combout\ = (\led_flash_cnt[2165][2]~q\ & (!\led_flash_cnt[2165][1]~57191\)) # (!\led_flash_cnt[2165][2]~q\ & ((\led_flash_cnt[2165][1]~57191\) # (GND)))
-- \led_flash_cnt[2165][2]~57193\ = CARRY((!\led_flash_cnt[2165][1]~57191\) # (!\led_flash_cnt[2165][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2165][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2165][1]~57191\,
	combout => \led_flash_cnt[2165][2]~57192_combout\,
	cout => \led_flash_cnt[2165][2]~57193\);

-- Location: FF_X75_Y20_N21
\led_flash_cnt[2165][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2165][2]~57192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2165][2]~q\);

-- Location: LCCOMB_X75_Y20_N22
\led_flash_cnt[2165][3]~57194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2165][3]~57194_combout\ = (\led_flash_cnt[2165][3]~q\ & (\led_flash_cnt[2165][2]~57193\ $ (GND))) # (!\led_flash_cnt[2165][3]~q\ & (!\led_flash_cnt[2165][2]~57193\ & VCC))
-- \led_flash_cnt[2165][3]~57195\ = CARRY((\led_flash_cnt[2165][3]~q\ & !\led_flash_cnt[2165][2]~57193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2165][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2165][2]~57193\,
	combout => \led_flash_cnt[2165][3]~57194_combout\,
	cout => \led_flash_cnt[2165][3]~57195\);

-- Location: FF_X75_Y20_N23
\led_flash_cnt[2165][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2165][3]~57194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2165][3]~q\);

-- Location: LCCOMB_X75_Y20_N24
\led_flash_cnt[2165][4]~57196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2165][4]~57196_combout\ = (\led_flash_cnt[2165][4]~q\ & (!\led_flash_cnt[2165][3]~57195\)) # (!\led_flash_cnt[2165][4]~q\ & ((\led_flash_cnt[2165][3]~57195\) # (GND)))
-- \led_flash_cnt[2165][4]~57197\ = CARRY((!\led_flash_cnt[2165][3]~57195\) # (!\led_flash_cnt[2165][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2165][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2165][3]~57195\,
	combout => \led_flash_cnt[2165][4]~57196_combout\,
	cout => \led_flash_cnt[2165][4]~57197\);

-- Location: FF_X75_Y20_N25
\led_flash_cnt[2165][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2165][4]~57196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2165][4]~q\);

-- Location: LCCOMB_X75_Y20_N26
\led_flash_cnt[2165][5]~57198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2165][5]~57198_combout\ = (\led_flash_cnt[2165][5]~q\ & (\led_flash_cnt[2165][4]~57197\ $ (GND))) # (!\led_flash_cnt[2165][5]~q\ & (!\led_flash_cnt[2165][4]~57197\ & VCC))
-- \led_flash_cnt[2165][5]~57199\ = CARRY((\led_flash_cnt[2165][5]~q\ & !\led_flash_cnt[2165][4]~57197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2165][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2165][4]~57197\,
	combout => \led_flash_cnt[2165][5]~57198_combout\,
	cout => \led_flash_cnt[2165][5]~57199\);

-- Location: FF_X75_Y20_N27
\led_flash_cnt[2165][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2165][5]~57198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2165][5]~q\);

-- Location: LCCOMB_X75_Y20_N28
\led_flash_cnt[2165][6]~57200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2165][6]~57200_combout\ = (\led_flash_cnt[2165][6]~q\ & (!\led_flash_cnt[2165][5]~57199\)) # (!\led_flash_cnt[2165][6]~q\ & ((\led_flash_cnt[2165][5]~57199\) # (GND)))
-- \led_flash_cnt[2165][6]~57201\ = CARRY((!\led_flash_cnt[2165][5]~57199\) # (!\led_flash_cnt[2165][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2165][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2165][5]~57199\,
	combout => \led_flash_cnt[2165][6]~57200_combout\,
	cout => \led_flash_cnt[2165][6]~57201\);

-- Location: FF_X75_Y20_N29
\led_flash_cnt[2165][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2165][6]~57200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2165][6]~q\);

-- Location: LCCOMB_X76_Y20_N6
\WideAnd2165~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2165~1_combout\ = (\led_flash_cnt[2165][5]~q\ & \led_flash_cnt[2165][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2165][5]~q\,
	datad => \led_flash_cnt[2165][6]~q\,
	combout => \WideAnd2165~1_combout\);

-- Location: LCCOMB_X75_Y20_N30
\led_flash_cnt[2165][7]~57202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2165][7]~57202_combout\ = \led_flash_cnt[2165][7]~q\ $ (!\led_flash_cnt[2165][6]~57201\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2165][7]~q\,
	cin => \led_flash_cnt[2165][6]~57201\,
	combout => \led_flash_cnt[2165][7]~57202_combout\);

-- Location: FF_X75_Y20_N31
\led_flash_cnt[2165][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2165][7]~57202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2165][7]~q\);

-- Location: LCCOMB_X75_Y20_N0
\WideAnd2165~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2165~0_combout\ = (\led_flash_cnt[2165][4]~q\ & (\led_flash_cnt[2165][2]~q\ & (\led_flash_cnt[2165][3]~q\ & \led_flash_cnt[2165][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2165][4]~q\,
	datab => \led_flash_cnt[2165][2]~q\,
	datac => \led_flash_cnt[2165][3]~q\,
	datad => \led_flash_cnt[2165][1]~q\,
	combout => \WideAnd2165~0_combout\);

-- Location: LCCOMB_X76_Y20_N4
WideAnd2165 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2165~combout\ = (\WideAnd2165~1_combout\ & (\led_flash_cnt[2165][7]~q\ & (\WideAnd2165~0_combout\ & \led_flash_cnt[2165][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2165~1_combout\,
	datab => \led_flash_cnt[2165][7]~q\,
	datac => \WideAnd2165~0_combout\,
	datad => \led_flash_cnt[2165][0]~q\,
	combout => \WideAnd2165~combout\);

-- Location: FF_X76_Y20_N5
\led_flash_cnt_ands[2165]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2165~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2165));

-- Location: LCCOMB_X76_Y20_N10
\WideAnd4110~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4110~1_combout\ = (led_flash_cnt_ands(2164) & led_flash_cnt_ands(2165))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2164),
	datac => led_flash_cnt_ands(2165),
	combout => \WideAnd4110~1_combout\);

-- Location: LCCOMB_X76_Y19_N24
\led_flash_cnt[2166][0]~82806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2166][0]~82806_combout\ = !\led_flash_cnt[2166][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2166][0]~q\,
	combout => \led_flash_cnt[2166][0]~82806_combout\);

-- Location: FF_X76_Y19_N25
\led_flash_cnt[2166][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2166][0]~82806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2166][0]~q\);

-- Location: LCCOMB_X76_Y19_N2
\led_flash_cnt[2166][1]~57204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2166][1]~57204_combout\ = (\led_flash_cnt[2166][1]~q\ & (\led_flash_cnt[2166][0]~q\ $ (VCC))) # (!\led_flash_cnt[2166][1]~q\ & (\led_flash_cnt[2166][0]~q\ & VCC))
-- \led_flash_cnt[2166][1]~57205\ = CARRY((\led_flash_cnt[2166][1]~q\ & \led_flash_cnt[2166][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2166][1]~q\,
	datab => \led_flash_cnt[2166][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2166][1]~57204_combout\,
	cout => \led_flash_cnt[2166][1]~57205\);

-- Location: FF_X76_Y19_N3
\led_flash_cnt[2166][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2166][1]~57204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2166][1]~q\);

-- Location: LCCOMB_X76_Y19_N4
\led_flash_cnt[2166][2]~57206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2166][2]~57206_combout\ = (\led_flash_cnt[2166][2]~q\ & (!\led_flash_cnt[2166][1]~57205\)) # (!\led_flash_cnt[2166][2]~q\ & ((\led_flash_cnt[2166][1]~57205\) # (GND)))
-- \led_flash_cnt[2166][2]~57207\ = CARRY((!\led_flash_cnt[2166][1]~57205\) # (!\led_flash_cnt[2166][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2166][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2166][1]~57205\,
	combout => \led_flash_cnt[2166][2]~57206_combout\,
	cout => \led_flash_cnt[2166][2]~57207\);

-- Location: FF_X76_Y19_N5
\led_flash_cnt[2166][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2166][2]~57206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2166][2]~q\);

-- Location: LCCOMB_X76_Y19_N6
\led_flash_cnt[2166][3]~57208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2166][3]~57208_combout\ = (\led_flash_cnt[2166][3]~q\ & (\led_flash_cnt[2166][2]~57207\ $ (GND))) # (!\led_flash_cnt[2166][3]~q\ & (!\led_flash_cnt[2166][2]~57207\ & VCC))
-- \led_flash_cnt[2166][3]~57209\ = CARRY((\led_flash_cnt[2166][3]~q\ & !\led_flash_cnt[2166][2]~57207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2166][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2166][2]~57207\,
	combout => \led_flash_cnt[2166][3]~57208_combout\,
	cout => \led_flash_cnt[2166][3]~57209\);

-- Location: FF_X76_Y19_N7
\led_flash_cnt[2166][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2166][3]~57208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2166][3]~q\);

-- Location: LCCOMB_X76_Y19_N8
\led_flash_cnt[2166][4]~57210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2166][4]~57210_combout\ = (\led_flash_cnt[2166][4]~q\ & (!\led_flash_cnt[2166][3]~57209\)) # (!\led_flash_cnt[2166][4]~q\ & ((\led_flash_cnt[2166][3]~57209\) # (GND)))
-- \led_flash_cnt[2166][4]~57211\ = CARRY((!\led_flash_cnt[2166][3]~57209\) # (!\led_flash_cnt[2166][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2166][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2166][3]~57209\,
	combout => \led_flash_cnt[2166][4]~57210_combout\,
	cout => \led_flash_cnt[2166][4]~57211\);

-- Location: FF_X76_Y19_N9
\led_flash_cnt[2166][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2166][4]~57210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2166][4]~q\);

-- Location: LCCOMB_X76_Y19_N10
\led_flash_cnt[2166][5]~57212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2166][5]~57212_combout\ = (\led_flash_cnt[2166][5]~q\ & (\led_flash_cnt[2166][4]~57211\ $ (GND))) # (!\led_flash_cnt[2166][5]~q\ & (!\led_flash_cnt[2166][4]~57211\ & VCC))
-- \led_flash_cnt[2166][5]~57213\ = CARRY((\led_flash_cnt[2166][5]~q\ & !\led_flash_cnt[2166][4]~57211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2166][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2166][4]~57211\,
	combout => \led_flash_cnt[2166][5]~57212_combout\,
	cout => \led_flash_cnt[2166][5]~57213\);

-- Location: FF_X76_Y19_N11
\led_flash_cnt[2166][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2166][5]~57212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2166][5]~q\);

-- Location: LCCOMB_X76_Y19_N12
\led_flash_cnt[2166][6]~57214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2166][6]~57214_combout\ = (\led_flash_cnt[2166][6]~q\ & (!\led_flash_cnt[2166][5]~57213\)) # (!\led_flash_cnt[2166][6]~q\ & ((\led_flash_cnt[2166][5]~57213\) # (GND)))
-- \led_flash_cnt[2166][6]~57215\ = CARRY((!\led_flash_cnt[2166][5]~57213\) # (!\led_flash_cnt[2166][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2166][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2166][5]~57213\,
	combout => \led_flash_cnt[2166][6]~57214_combout\,
	cout => \led_flash_cnt[2166][6]~57215\);

-- Location: FF_X76_Y19_N13
\led_flash_cnt[2166][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2166][6]~57214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2166][6]~q\);

-- Location: LCCOMB_X76_Y19_N26
\WideAnd2166~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2166~1_combout\ = (\led_flash_cnt[2166][6]~q\ & \led_flash_cnt[2166][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2166][6]~q\,
	datad => \led_flash_cnt[2166][5]~q\,
	combout => \WideAnd2166~1_combout\);

-- Location: LCCOMB_X76_Y19_N14
\led_flash_cnt[2166][7]~57216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2166][7]~57216_combout\ = \led_flash_cnt[2166][7]~q\ $ (!\led_flash_cnt[2166][6]~57215\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2166][7]~q\,
	cin => \led_flash_cnt[2166][6]~57215\,
	combout => \led_flash_cnt[2166][7]~57216_combout\);

-- Location: FF_X76_Y19_N15
\led_flash_cnt[2166][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2166][7]~57216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2166][7]~q\);

-- Location: LCCOMB_X76_Y19_N18
\WideAnd2166~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2166~0_combout\ = (\led_flash_cnt[2166][1]~q\ & (\led_flash_cnt[2166][4]~q\ & (\led_flash_cnt[2166][2]~q\ & \led_flash_cnt[2166][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2166][1]~q\,
	datab => \led_flash_cnt[2166][4]~q\,
	datac => \led_flash_cnt[2166][2]~q\,
	datad => \led_flash_cnt[2166][3]~q\,
	combout => \WideAnd2166~0_combout\);

-- Location: LCCOMB_X76_Y19_N22
WideAnd2166 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2166~combout\ = (\WideAnd2166~1_combout\ & (\led_flash_cnt[2166][0]~q\ & (\led_flash_cnt[2166][7]~q\ & \WideAnd2166~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2166~1_combout\,
	datab => \led_flash_cnt[2166][0]~q\,
	datac => \led_flash_cnt[2166][7]~q\,
	datad => \WideAnd2166~0_combout\,
	combout => \WideAnd2166~combout\);

-- Location: FF_X76_Y19_N23
\led_flash_cnt_ands[2166]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2166~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2166));

-- Location: LCCOMB_X76_Y4_N12
\led_flash_cnt[2161][0]~82801\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2161][0]~82801_combout\ = !\led_flash_cnt[2161][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2161][0]~q\,
	combout => \led_flash_cnt[2161][0]~82801_combout\);

-- Location: FF_X76_Y4_N13
\led_flash_cnt[2161][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2161][0]~82801_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2161][0]~q\);

-- Location: LCCOMB_X76_Y4_N14
\led_flash_cnt[2161][1]~57134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2161][1]~57134_combout\ = (\led_flash_cnt[2161][0]~q\ & (\led_flash_cnt[2161][1]~q\ $ (VCC))) # (!\led_flash_cnt[2161][0]~q\ & (\led_flash_cnt[2161][1]~q\ & VCC))
-- \led_flash_cnt[2161][1]~57135\ = CARRY((\led_flash_cnt[2161][0]~q\ & \led_flash_cnt[2161][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2161][0]~q\,
	datab => \led_flash_cnt[2161][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2161][1]~57134_combout\,
	cout => \led_flash_cnt[2161][1]~57135\);

-- Location: FF_X76_Y4_N15
\led_flash_cnt[2161][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2161][1]~57134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2161][1]~q\);

-- Location: LCCOMB_X76_Y4_N16
\led_flash_cnt[2161][2]~57136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2161][2]~57136_combout\ = (\led_flash_cnt[2161][2]~q\ & (!\led_flash_cnt[2161][1]~57135\)) # (!\led_flash_cnt[2161][2]~q\ & ((\led_flash_cnt[2161][1]~57135\) # (GND)))
-- \led_flash_cnt[2161][2]~57137\ = CARRY((!\led_flash_cnt[2161][1]~57135\) # (!\led_flash_cnt[2161][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2161][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2161][1]~57135\,
	combout => \led_flash_cnt[2161][2]~57136_combout\,
	cout => \led_flash_cnt[2161][2]~57137\);

-- Location: FF_X76_Y4_N17
\led_flash_cnt[2161][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2161][2]~57136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2161][2]~q\);

-- Location: LCCOMB_X76_Y4_N18
\led_flash_cnt[2161][3]~57138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2161][3]~57138_combout\ = (\led_flash_cnt[2161][3]~q\ & (\led_flash_cnt[2161][2]~57137\ $ (GND))) # (!\led_flash_cnt[2161][3]~q\ & (!\led_flash_cnt[2161][2]~57137\ & VCC))
-- \led_flash_cnt[2161][3]~57139\ = CARRY((\led_flash_cnt[2161][3]~q\ & !\led_flash_cnt[2161][2]~57137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2161][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2161][2]~57137\,
	combout => \led_flash_cnt[2161][3]~57138_combout\,
	cout => \led_flash_cnt[2161][3]~57139\);

-- Location: FF_X76_Y4_N19
\led_flash_cnt[2161][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2161][3]~57138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2161][3]~q\);

-- Location: LCCOMB_X76_Y4_N20
\led_flash_cnt[2161][4]~57140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2161][4]~57140_combout\ = (\led_flash_cnt[2161][4]~q\ & (!\led_flash_cnt[2161][3]~57139\)) # (!\led_flash_cnt[2161][4]~q\ & ((\led_flash_cnt[2161][3]~57139\) # (GND)))
-- \led_flash_cnt[2161][4]~57141\ = CARRY((!\led_flash_cnt[2161][3]~57139\) # (!\led_flash_cnt[2161][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2161][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2161][3]~57139\,
	combout => \led_flash_cnt[2161][4]~57140_combout\,
	cout => \led_flash_cnt[2161][4]~57141\);

-- Location: FF_X76_Y4_N21
\led_flash_cnt[2161][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2161][4]~57140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2161][4]~q\);

-- Location: LCCOMB_X76_Y4_N4
\WideAnd2161~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2161~0_combout\ = (\led_flash_cnt[2161][3]~q\ & (\led_flash_cnt[2161][4]~q\ & (\led_flash_cnt[2161][1]~q\ & \led_flash_cnt[2161][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2161][3]~q\,
	datab => \led_flash_cnt[2161][4]~q\,
	datac => \led_flash_cnt[2161][1]~q\,
	datad => \led_flash_cnt[2161][2]~q\,
	combout => \WideAnd2161~0_combout\);

-- Location: LCCOMB_X76_Y4_N22
\led_flash_cnt[2161][5]~57142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2161][5]~57142_combout\ = (\led_flash_cnt[2161][5]~q\ & (\led_flash_cnt[2161][4]~57141\ $ (GND))) # (!\led_flash_cnt[2161][5]~q\ & (!\led_flash_cnt[2161][4]~57141\ & VCC))
-- \led_flash_cnt[2161][5]~57143\ = CARRY((\led_flash_cnt[2161][5]~q\ & !\led_flash_cnt[2161][4]~57141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2161][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2161][4]~57141\,
	combout => \led_flash_cnt[2161][5]~57142_combout\,
	cout => \led_flash_cnt[2161][5]~57143\);

-- Location: FF_X76_Y4_N23
\led_flash_cnt[2161][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2161][5]~57142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2161][5]~q\);

-- Location: LCCOMB_X76_Y4_N24
\led_flash_cnt[2161][6]~57144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2161][6]~57144_combout\ = (\led_flash_cnt[2161][6]~q\ & (!\led_flash_cnt[2161][5]~57143\)) # (!\led_flash_cnt[2161][6]~q\ & ((\led_flash_cnt[2161][5]~57143\) # (GND)))
-- \led_flash_cnt[2161][6]~57145\ = CARRY((!\led_flash_cnt[2161][5]~57143\) # (!\led_flash_cnt[2161][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2161][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2161][5]~57143\,
	combout => \led_flash_cnt[2161][6]~57144_combout\,
	cout => \led_flash_cnt[2161][6]~57145\);

-- Location: FF_X76_Y4_N25
\led_flash_cnt[2161][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2161][6]~57144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2161][6]~q\);

-- Location: LCCOMB_X76_Y4_N26
\led_flash_cnt[2161][7]~57146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2161][7]~57146_combout\ = \led_flash_cnt[2161][7]~q\ $ (!\led_flash_cnt[2161][6]~57145\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2161][7]~q\,
	cin => \led_flash_cnt[2161][6]~57145\,
	combout => \led_flash_cnt[2161][7]~57146_combout\);

-- Location: FF_X76_Y4_N27
\led_flash_cnt[2161][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2161][7]~57146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2161][7]~q\);

-- Location: LCCOMB_X76_Y4_N28
\WideAnd2161~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2161~1_combout\ = (\led_flash_cnt[2161][5]~q\ & \led_flash_cnt[2161][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2161][5]~q\,
	datad => \led_flash_cnt[2161][6]~q\,
	combout => \WideAnd2161~1_combout\);

-- Location: LCCOMB_X76_Y4_N10
WideAnd2161 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2161~combout\ = (\led_flash_cnt[2161][0]~q\ & (\WideAnd2161~0_combout\ & (\led_flash_cnt[2161][7]~q\ & \WideAnd2161~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2161][0]~q\,
	datab => \WideAnd2161~0_combout\,
	datac => \led_flash_cnt[2161][7]~q\,
	datad => \WideAnd2161~1_combout\,
	combout => \WideAnd2161~combout\);

-- Location: FF_X76_Y4_N11
\led_flash_cnt_ands[2161]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2161~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2161));

-- Location: LCCOMB_X76_Y3_N4
\led_flash_cnt[2162][0]~82802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2162][0]~82802_combout\ = !\led_flash_cnt[2162][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2162][0]~q\,
	combout => \led_flash_cnt[2162][0]~82802_combout\);

-- Location: FF_X76_Y3_N5
\led_flash_cnt[2162][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2162][0]~82802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2162][0]~q\);

-- Location: LCCOMB_X76_Y3_N10
\led_flash_cnt[2162][1]~57148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2162][1]~57148_combout\ = (\led_flash_cnt[2162][1]~q\ & (\led_flash_cnt[2162][0]~q\ $ (VCC))) # (!\led_flash_cnt[2162][1]~q\ & (\led_flash_cnt[2162][0]~q\ & VCC))
-- \led_flash_cnt[2162][1]~57149\ = CARRY((\led_flash_cnt[2162][1]~q\ & \led_flash_cnt[2162][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2162][1]~q\,
	datab => \led_flash_cnt[2162][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2162][1]~57148_combout\,
	cout => \led_flash_cnt[2162][1]~57149\);

-- Location: FF_X76_Y3_N11
\led_flash_cnt[2162][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2162][1]~57148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2162][1]~q\);

-- Location: LCCOMB_X76_Y3_N12
\led_flash_cnt[2162][2]~57150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2162][2]~57150_combout\ = (\led_flash_cnt[2162][2]~q\ & (!\led_flash_cnt[2162][1]~57149\)) # (!\led_flash_cnt[2162][2]~q\ & ((\led_flash_cnt[2162][1]~57149\) # (GND)))
-- \led_flash_cnt[2162][2]~57151\ = CARRY((!\led_flash_cnt[2162][1]~57149\) # (!\led_flash_cnt[2162][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2162][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2162][1]~57149\,
	combout => \led_flash_cnt[2162][2]~57150_combout\,
	cout => \led_flash_cnt[2162][2]~57151\);

-- Location: FF_X76_Y3_N13
\led_flash_cnt[2162][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2162][2]~57150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2162][2]~q\);

-- Location: LCCOMB_X76_Y3_N14
\led_flash_cnt[2162][3]~57152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2162][3]~57152_combout\ = (\led_flash_cnt[2162][3]~q\ & (\led_flash_cnt[2162][2]~57151\ $ (GND))) # (!\led_flash_cnt[2162][3]~q\ & (!\led_flash_cnt[2162][2]~57151\ & VCC))
-- \led_flash_cnt[2162][3]~57153\ = CARRY((\led_flash_cnt[2162][3]~q\ & !\led_flash_cnt[2162][2]~57151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2162][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2162][2]~57151\,
	combout => \led_flash_cnt[2162][3]~57152_combout\,
	cout => \led_flash_cnt[2162][3]~57153\);

-- Location: FF_X76_Y3_N15
\led_flash_cnt[2162][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2162][3]~57152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2162][3]~q\);

-- Location: LCCOMB_X76_Y3_N16
\led_flash_cnt[2162][4]~57154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2162][4]~57154_combout\ = (\led_flash_cnt[2162][4]~q\ & (!\led_flash_cnt[2162][3]~57153\)) # (!\led_flash_cnt[2162][4]~q\ & ((\led_flash_cnt[2162][3]~57153\) # (GND)))
-- \led_flash_cnt[2162][4]~57155\ = CARRY((!\led_flash_cnt[2162][3]~57153\) # (!\led_flash_cnt[2162][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2162][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2162][3]~57153\,
	combout => \led_flash_cnt[2162][4]~57154_combout\,
	cout => \led_flash_cnt[2162][4]~57155\);

-- Location: FF_X76_Y3_N17
\led_flash_cnt[2162][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2162][4]~57154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2162][4]~q\);

-- Location: LCCOMB_X76_Y3_N18
\led_flash_cnt[2162][5]~57156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2162][5]~57156_combout\ = (\led_flash_cnt[2162][5]~q\ & (\led_flash_cnt[2162][4]~57155\ $ (GND))) # (!\led_flash_cnt[2162][5]~q\ & (!\led_flash_cnt[2162][4]~57155\ & VCC))
-- \led_flash_cnt[2162][5]~57157\ = CARRY((\led_flash_cnt[2162][5]~q\ & !\led_flash_cnt[2162][4]~57155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2162][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2162][4]~57155\,
	combout => \led_flash_cnt[2162][5]~57156_combout\,
	cout => \led_flash_cnt[2162][5]~57157\);

-- Location: FF_X76_Y3_N19
\led_flash_cnt[2162][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2162][5]~57156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2162][5]~q\);

-- Location: LCCOMB_X76_Y3_N20
\led_flash_cnt[2162][6]~57158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2162][6]~57158_combout\ = (\led_flash_cnt[2162][6]~q\ & (!\led_flash_cnt[2162][5]~57157\)) # (!\led_flash_cnt[2162][6]~q\ & ((\led_flash_cnt[2162][5]~57157\) # (GND)))
-- \led_flash_cnt[2162][6]~57159\ = CARRY((!\led_flash_cnt[2162][5]~57157\) # (!\led_flash_cnt[2162][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2162][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2162][5]~57157\,
	combout => \led_flash_cnt[2162][6]~57158_combout\,
	cout => \led_flash_cnt[2162][6]~57159\);

-- Location: FF_X76_Y3_N21
\led_flash_cnt[2162][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2162][6]~57158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2162][6]~q\);

-- Location: LCCOMB_X76_Y3_N26
\WideAnd2162~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2162~1_combout\ = (\led_flash_cnt[2162][6]~q\ & \led_flash_cnt[2162][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2162][6]~q\,
	datad => \led_flash_cnt[2162][5]~q\,
	combout => \WideAnd2162~1_combout\);

-- Location: LCCOMB_X76_Y3_N22
\led_flash_cnt[2162][7]~57160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2162][7]~57160_combout\ = \led_flash_cnt[2162][7]~q\ $ (!\led_flash_cnt[2162][6]~57159\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2162][7]~q\,
	cin => \led_flash_cnt[2162][6]~57159\,
	combout => \led_flash_cnt[2162][7]~57160_combout\);

-- Location: FF_X76_Y3_N23
\led_flash_cnt[2162][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2162][7]~57160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2162][7]~q\);

-- Location: LCCOMB_X76_Y3_N24
\WideAnd2162~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2162~0_combout\ = (\led_flash_cnt[2162][2]~q\ & (\led_flash_cnt[2162][4]~q\ & (\led_flash_cnt[2162][3]~q\ & \led_flash_cnt[2162][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2162][2]~q\,
	datab => \led_flash_cnt[2162][4]~q\,
	datac => \led_flash_cnt[2162][3]~q\,
	datad => \led_flash_cnt[2162][1]~q\,
	combout => \WideAnd2162~0_combout\);

-- Location: LCCOMB_X76_Y3_N0
WideAnd2162 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2162~combout\ = (\WideAnd2162~1_combout\ & (\led_flash_cnt[2162][0]~q\ & (\led_flash_cnt[2162][7]~q\ & \WideAnd2162~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2162~1_combout\,
	datab => \led_flash_cnt[2162][0]~q\,
	datac => \led_flash_cnt[2162][7]~q\,
	datad => \WideAnd2162~0_combout\,
	combout => \WideAnd2162~combout\);

-- Location: FF_X76_Y3_N1
\led_flash_cnt_ands[2162]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2162~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2162));

-- Location: LCCOMB_X75_Y4_N26
\led_flash_cnt[2160][0]~82800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2160][0]~82800_combout\ = !\led_flash_cnt[2160][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2160][0]~q\,
	combout => \led_flash_cnt[2160][0]~82800_combout\);

-- Location: FF_X75_Y4_N27
\led_flash_cnt[2160][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2160][0]~82800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2160][0]~q\);

-- Location: LCCOMB_X75_Y4_N2
\led_flash_cnt[2160][1]~57120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2160][1]~57120_combout\ = (\led_flash_cnt[2160][0]~q\ & (\led_flash_cnt[2160][1]~q\ $ (VCC))) # (!\led_flash_cnt[2160][0]~q\ & (\led_flash_cnt[2160][1]~q\ & VCC))
-- \led_flash_cnt[2160][1]~57121\ = CARRY((\led_flash_cnt[2160][0]~q\ & \led_flash_cnt[2160][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2160][0]~q\,
	datab => \led_flash_cnt[2160][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2160][1]~57120_combout\,
	cout => \led_flash_cnt[2160][1]~57121\);

-- Location: FF_X75_Y4_N3
\led_flash_cnt[2160][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2160][1]~57120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2160][1]~q\);

-- Location: LCCOMB_X75_Y4_N4
\led_flash_cnt[2160][2]~57122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2160][2]~57122_combout\ = (\led_flash_cnt[2160][2]~q\ & (!\led_flash_cnt[2160][1]~57121\)) # (!\led_flash_cnt[2160][2]~q\ & ((\led_flash_cnt[2160][1]~57121\) # (GND)))
-- \led_flash_cnt[2160][2]~57123\ = CARRY((!\led_flash_cnt[2160][1]~57121\) # (!\led_flash_cnt[2160][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2160][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2160][1]~57121\,
	combout => \led_flash_cnt[2160][2]~57122_combout\,
	cout => \led_flash_cnt[2160][2]~57123\);

-- Location: FF_X75_Y4_N5
\led_flash_cnt[2160][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2160][2]~57122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2160][2]~q\);

-- Location: LCCOMB_X75_Y4_N6
\led_flash_cnt[2160][3]~57124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2160][3]~57124_combout\ = (\led_flash_cnt[2160][3]~q\ & (\led_flash_cnt[2160][2]~57123\ $ (GND))) # (!\led_flash_cnt[2160][3]~q\ & (!\led_flash_cnt[2160][2]~57123\ & VCC))
-- \led_flash_cnt[2160][3]~57125\ = CARRY((\led_flash_cnt[2160][3]~q\ & !\led_flash_cnt[2160][2]~57123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2160][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2160][2]~57123\,
	combout => \led_flash_cnt[2160][3]~57124_combout\,
	cout => \led_flash_cnt[2160][3]~57125\);

-- Location: FF_X75_Y4_N7
\led_flash_cnt[2160][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2160][3]~57124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2160][3]~q\);

-- Location: LCCOMB_X75_Y4_N8
\led_flash_cnt[2160][4]~57126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2160][4]~57126_combout\ = (\led_flash_cnt[2160][4]~q\ & (!\led_flash_cnt[2160][3]~57125\)) # (!\led_flash_cnt[2160][4]~q\ & ((\led_flash_cnt[2160][3]~57125\) # (GND)))
-- \led_flash_cnt[2160][4]~57127\ = CARRY((!\led_flash_cnt[2160][3]~57125\) # (!\led_flash_cnt[2160][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2160][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2160][3]~57125\,
	combout => \led_flash_cnt[2160][4]~57126_combout\,
	cout => \led_flash_cnt[2160][4]~57127\);

-- Location: FF_X75_Y4_N9
\led_flash_cnt[2160][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2160][4]~57126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2160][4]~q\);

-- Location: LCCOMB_X75_Y4_N22
\WideAnd2160~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2160~0_combout\ = (\led_flash_cnt[2160][3]~q\ & (\led_flash_cnt[2160][4]~q\ & (\led_flash_cnt[2160][2]~q\ & \led_flash_cnt[2160][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2160][3]~q\,
	datab => \led_flash_cnt[2160][4]~q\,
	datac => \led_flash_cnt[2160][2]~q\,
	datad => \led_flash_cnt[2160][1]~q\,
	combout => \WideAnd2160~0_combout\);

-- Location: LCCOMB_X75_Y4_N10
\led_flash_cnt[2160][5]~57128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2160][5]~57128_combout\ = (\led_flash_cnt[2160][5]~q\ & (\led_flash_cnt[2160][4]~57127\ $ (GND))) # (!\led_flash_cnt[2160][5]~q\ & (!\led_flash_cnt[2160][4]~57127\ & VCC))
-- \led_flash_cnt[2160][5]~57129\ = CARRY((\led_flash_cnt[2160][5]~q\ & !\led_flash_cnt[2160][4]~57127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2160][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2160][4]~57127\,
	combout => \led_flash_cnt[2160][5]~57128_combout\,
	cout => \led_flash_cnt[2160][5]~57129\);

-- Location: FF_X75_Y4_N11
\led_flash_cnt[2160][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2160][5]~57128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2160][5]~q\);

-- Location: LCCOMB_X75_Y4_N12
\led_flash_cnt[2160][6]~57130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2160][6]~57130_combout\ = (\led_flash_cnt[2160][6]~q\ & (!\led_flash_cnt[2160][5]~57129\)) # (!\led_flash_cnt[2160][6]~q\ & ((\led_flash_cnt[2160][5]~57129\) # (GND)))
-- \led_flash_cnt[2160][6]~57131\ = CARRY((!\led_flash_cnt[2160][5]~57129\) # (!\led_flash_cnt[2160][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2160][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2160][5]~57129\,
	combout => \led_flash_cnt[2160][6]~57130_combout\,
	cout => \led_flash_cnt[2160][6]~57131\);

-- Location: FF_X75_Y4_N13
\led_flash_cnt[2160][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2160][6]~57130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2160][6]~q\);

-- Location: LCCOMB_X75_Y4_N14
\led_flash_cnt[2160][7]~57132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2160][7]~57132_combout\ = \led_flash_cnt[2160][7]~q\ $ (!\led_flash_cnt[2160][6]~57131\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2160][7]~q\,
	cin => \led_flash_cnt[2160][6]~57131\,
	combout => \led_flash_cnt[2160][7]~57132_combout\);

-- Location: FF_X75_Y4_N15
\led_flash_cnt[2160][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2160][7]~57132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2160][7]~q\);

-- Location: LCCOMB_X75_Y4_N18
\WideAnd2160~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2160~1_combout\ = (\led_flash_cnt[2160][6]~q\ & \led_flash_cnt[2160][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2160][6]~q\,
	datad => \led_flash_cnt[2160][5]~q\,
	combout => \WideAnd2160~1_combout\);

-- Location: LCCOMB_X75_Y4_N16
WideAnd2160 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2160~combout\ = (\WideAnd2160~0_combout\ & (\led_flash_cnt[2160][7]~q\ & (\led_flash_cnt[2160][0]~q\ & \WideAnd2160~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2160~0_combout\,
	datab => \led_flash_cnt[2160][7]~q\,
	datac => \led_flash_cnt[2160][0]~q\,
	datad => \WideAnd2160~1_combout\,
	combout => \WideAnd2160~combout\);

-- Location: FF_X75_Y4_N17
\led_flash_cnt_ands[2160]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2160~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2160));

-- Location: LCCOMB_X77_Y4_N26
\led_flash_cnt[2163][0]~82803\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2163][0]~82803_combout\ = !\led_flash_cnt[2163][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2163][0]~q\,
	combout => \led_flash_cnt[2163][0]~82803_combout\);

-- Location: FF_X77_Y4_N27
\led_flash_cnt[2163][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2163][0]~82803_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2163][0]~q\);

-- Location: LCCOMB_X77_Y4_N4
\led_flash_cnt[2163][1]~57162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2163][1]~57162_combout\ = (\led_flash_cnt[2163][0]~q\ & (\led_flash_cnt[2163][1]~q\ $ (VCC))) # (!\led_flash_cnt[2163][0]~q\ & (\led_flash_cnt[2163][1]~q\ & VCC))
-- \led_flash_cnt[2163][1]~57163\ = CARRY((\led_flash_cnt[2163][0]~q\ & \led_flash_cnt[2163][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2163][0]~q\,
	datab => \led_flash_cnt[2163][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2163][1]~57162_combout\,
	cout => \led_flash_cnt[2163][1]~57163\);

-- Location: FF_X77_Y4_N5
\led_flash_cnt[2163][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2163][1]~57162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2163][1]~q\);

-- Location: LCCOMB_X77_Y4_N6
\led_flash_cnt[2163][2]~57164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2163][2]~57164_combout\ = (\led_flash_cnt[2163][2]~q\ & (!\led_flash_cnt[2163][1]~57163\)) # (!\led_flash_cnt[2163][2]~q\ & ((\led_flash_cnt[2163][1]~57163\) # (GND)))
-- \led_flash_cnt[2163][2]~57165\ = CARRY((!\led_flash_cnt[2163][1]~57163\) # (!\led_flash_cnt[2163][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2163][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2163][1]~57163\,
	combout => \led_flash_cnt[2163][2]~57164_combout\,
	cout => \led_flash_cnt[2163][2]~57165\);

-- Location: FF_X77_Y4_N7
\led_flash_cnt[2163][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2163][2]~57164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2163][2]~q\);

-- Location: LCCOMB_X77_Y4_N8
\led_flash_cnt[2163][3]~57166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2163][3]~57166_combout\ = (\led_flash_cnt[2163][3]~q\ & (\led_flash_cnt[2163][2]~57165\ $ (GND))) # (!\led_flash_cnt[2163][3]~q\ & (!\led_flash_cnt[2163][2]~57165\ & VCC))
-- \led_flash_cnt[2163][3]~57167\ = CARRY((\led_flash_cnt[2163][3]~q\ & !\led_flash_cnt[2163][2]~57165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2163][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2163][2]~57165\,
	combout => \led_flash_cnt[2163][3]~57166_combout\,
	cout => \led_flash_cnt[2163][3]~57167\);

-- Location: FF_X77_Y4_N9
\led_flash_cnt[2163][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2163][3]~57166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2163][3]~q\);

-- Location: LCCOMB_X77_Y4_N10
\led_flash_cnt[2163][4]~57168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2163][4]~57168_combout\ = (\led_flash_cnt[2163][4]~q\ & (!\led_flash_cnt[2163][3]~57167\)) # (!\led_flash_cnt[2163][4]~q\ & ((\led_flash_cnt[2163][3]~57167\) # (GND)))
-- \led_flash_cnt[2163][4]~57169\ = CARRY((!\led_flash_cnt[2163][3]~57167\) # (!\led_flash_cnt[2163][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2163][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2163][3]~57167\,
	combout => \led_flash_cnt[2163][4]~57168_combout\,
	cout => \led_flash_cnt[2163][4]~57169\);

-- Location: FF_X77_Y4_N11
\led_flash_cnt[2163][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2163][4]~57168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2163][4]~q\);

-- Location: LCCOMB_X77_Y4_N22
\WideAnd2163~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2163~0_combout\ = (\led_flash_cnt[2163][4]~q\ & (\led_flash_cnt[2163][1]~q\ & (\led_flash_cnt[2163][3]~q\ & \led_flash_cnt[2163][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2163][4]~q\,
	datab => \led_flash_cnt[2163][1]~q\,
	datac => \led_flash_cnt[2163][3]~q\,
	datad => \led_flash_cnt[2163][2]~q\,
	combout => \WideAnd2163~0_combout\);

-- Location: LCCOMB_X77_Y4_N12
\led_flash_cnt[2163][5]~57170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2163][5]~57170_combout\ = (\led_flash_cnt[2163][5]~q\ & (\led_flash_cnt[2163][4]~57169\ $ (GND))) # (!\led_flash_cnt[2163][5]~q\ & (!\led_flash_cnt[2163][4]~57169\ & VCC))
-- \led_flash_cnt[2163][5]~57171\ = CARRY((\led_flash_cnt[2163][5]~q\ & !\led_flash_cnt[2163][4]~57169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2163][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2163][4]~57169\,
	combout => \led_flash_cnt[2163][5]~57170_combout\,
	cout => \led_flash_cnt[2163][5]~57171\);

-- Location: FF_X77_Y4_N13
\led_flash_cnt[2163][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2163][5]~57170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2163][5]~q\);

-- Location: LCCOMB_X77_Y4_N14
\led_flash_cnt[2163][6]~57172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2163][6]~57172_combout\ = (\led_flash_cnt[2163][6]~q\ & (!\led_flash_cnt[2163][5]~57171\)) # (!\led_flash_cnt[2163][6]~q\ & ((\led_flash_cnt[2163][5]~57171\) # (GND)))
-- \led_flash_cnt[2163][6]~57173\ = CARRY((!\led_flash_cnt[2163][5]~57171\) # (!\led_flash_cnt[2163][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2163][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2163][5]~57171\,
	combout => \led_flash_cnt[2163][6]~57172_combout\,
	cout => \led_flash_cnt[2163][6]~57173\);

-- Location: FF_X77_Y4_N15
\led_flash_cnt[2163][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2163][6]~57172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2163][6]~q\);

-- Location: LCCOMB_X77_Y4_N18
\WideAnd2163~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2163~1_combout\ = (\led_flash_cnt[2163][6]~q\ & \led_flash_cnt[2163][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2163][6]~q\,
	datad => \led_flash_cnt[2163][5]~q\,
	combout => \WideAnd2163~1_combout\);

-- Location: LCCOMB_X77_Y4_N16
\led_flash_cnt[2163][7]~57174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2163][7]~57174_combout\ = \led_flash_cnt[2163][6]~57173\ $ (!\led_flash_cnt[2163][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2163][7]~q\,
	cin => \led_flash_cnt[2163][6]~57173\,
	combout => \led_flash_cnt[2163][7]~57174_combout\);

-- Location: FF_X77_Y4_N17
\led_flash_cnt[2163][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2163][7]~57174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2163][7]~q\);

-- Location: LCCOMB_X77_Y4_N28
WideAnd2163 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2163~combout\ = (\WideAnd2163~0_combout\ & (\WideAnd2163~1_combout\ & (\led_flash_cnt[2163][0]~q\ & \led_flash_cnt[2163][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2163~0_combout\,
	datab => \WideAnd2163~1_combout\,
	datac => \led_flash_cnt[2163][0]~q\,
	datad => \led_flash_cnt[2163][7]~q\,
	combout => \WideAnd2163~combout\);

-- Location: FF_X77_Y4_N29
\led_flash_cnt_ands[2163]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2163~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2163));

-- Location: LCCOMB_X76_Y4_N0
\WideAnd4110~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4110~0_combout\ = (led_flash_cnt_ands(2161) & (led_flash_cnt_ands(2162) & (led_flash_cnt_ands(2160) & led_flash_cnt_ands(2163))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2161),
	datab => led_flash_cnt_ands(2162),
	datac => led_flash_cnt_ands(2160),
	datad => led_flash_cnt_ands(2163),
	combout => \WideAnd4110~0_combout\);

-- Location: LCCOMB_X77_Y20_N4
\led_flash_cnt[2167][0]~82807\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2167][0]~82807_combout\ = !\led_flash_cnt[2167][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2167][0]~q\,
	combout => \led_flash_cnt[2167][0]~82807_combout\);

-- Location: FF_X77_Y20_N5
\led_flash_cnt[2167][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2167][0]~82807_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2167][0]~q\);

-- Location: LCCOMB_X77_Y20_N10
\led_flash_cnt[2167][1]~57218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2167][1]~57218_combout\ = (\led_flash_cnt[2167][1]~q\ & (\led_flash_cnt[2167][0]~q\ $ (VCC))) # (!\led_flash_cnt[2167][1]~q\ & (\led_flash_cnt[2167][0]~q\ & VCC))
-- \led_flash_cnt[2167][1]~57219\ = CARRY((\led_flash_cnt[2167][1]~q\ & \led_flash_cnt[2167][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2167][1]~q\,
	datab => \led_flash_cnt[2167][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2167][1]~57218_combout\,
	cout => \led_flash_cnt[2167][1]~57219\);

-- Location: FF_X77_Y20_N11
\led_flash_cnt[2167][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2167][1]~57218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2167][1]~q\);

-- Location: LCCOMB_X77_Y20_N12
\led_flash_cnt[2167][2]~57220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2167][2]~57220_combout\ = (\led_flash_cnt[2167][2]~q\ & (!\led_flash_cnt[2167][1]~57219\)) # (!\led_flash_cnt[2167][2]~q\ & ((\led_flash_cnt[2167][1]~57219\) # (GND)))
-- \led_flash_cnt[2167][2]~57221\ = CARRY((!\led_flash_cnt[2167][1]~57219\) # (!\led_flash_cnt[2167][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2167][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2167][1]~57219\,
	combout => \led_flash_cnt[2167][2]~57220_combout\,
	cout => \led_flash_cnt[2167][2]~57221\);

-- Location: FF_X77_Y20_N13
\led_flash_cnt[2167][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2167][2]~57220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2167][2]~q\);

-- Location: LCCOMB_X77_Y20_N14
\led_flash_cnt[2167][3]~57222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2167][3]~57222_combout\ = (\led_flash_cnt[2167][3]~q\ & (\led_flash_cnt[2167][2]~57221\ $ (GND))) # (!\led_flash_cnt[2167][3]~q\ & (!\led_flash_cnt[2167][2]~57221\ & VCC))
-- \led_flash_cnt[2167][3]~57223\ = CARRY((\led_flash_cnt[2167][3]~q\ & !\led_flash_cnt[2167][2]~57221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2167][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2167][2]~57221\,
	combout => \led_flash_cnt[2167][3]~57222_combout\,
	cout => \led_flash_cnt[2167][3]~57223\);

-- Location: FF_X77_Y20_N15
\led_flash_cnt[2167][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2167][3]~57222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2167][3]~q\);

-- Location: LCCOMB_X77_Y20_N16
\led_flash_cnt[2167][4]~57224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2167][4]~57224_combout\ = (\led_flash_cnt[2167][4]~q\ & (!\led_flash_cnt[2167][3]~57223\)) # (!\led_flash_cnt[2167][4]~q\ & ((\led_flash_cnt[2167][3]~57223\) # (GND)))
-- \led_flash_cnt[2167][4]~57225\ = CARRY((!\led_flash_cnt[2167][3]~57223\) # (!\led_flash_cnt[2167][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2167][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2167][3]~57223\,
	combout => \led_flash_cnt[2167][4]~57224_combout\,
	cout => \led_flash_cnt[2167][4]~57225\);

-- Location: FF_X77_Y20_N17
\led_flash_cnt[2167][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2167][4]~57224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2167][4]~q\);

-- Location: LCCOMB_X77_Y20_N18
\led_flash_cnt[2167][5]~57226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2167][5]~57226_combout\ = (\led_flash_cnt[2167][5]~q\ & (\led_flash_cnt[2167][4]~57225\ $ (GND))) # (!\led_flash_cnt[2167][5]~q\ & (!\led_flash_cnt[2167][4]~57225\ & VCC))
-- \led_flash_cnt[2167][5]~57227\ = CARRY((\led_flash_cnt[2167][5]~q\ & !\led_flash_cnt[2167][4]~57225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2167][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2167][4]~57225\,
	combout => \led_flash_cnt[2167][5]~57226_combout\,
	cout => \led_flash_cnt[2167][5]~57227\);

-- Location: FF_X77_Y20_N19
\led_flash_cnt[2167][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2167][5]~57226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2167][5]~q\);

-- Location: LCCOMB_X77_Y20_N20
\led_flash_cnt[2167][6]~57228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2167][6]~57228_combout\ = (\led_flash_cnt[2167][6]~q\ & (!\led_flash_cnt[2167][5]~57227\)) # (!\led_flash_cnt[2167][6]~q\ & ((\led_flash_cnt[2167][5]~57227\) # (GND)))
-- \led_flash_cnt[2167][6]~57229\ = CARRY((!\led_flash_cnt[2167][5]~57227\) # (!\led_flash_cnt[2167][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2167][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2167][5]~57227\,
	combout => \led_flash_cnt[2167][6]~57228_combout\,
	cout => \led_flash_cnt[2167][6]~57229\);

-- Location: FF_X77_Y20_N21
\led_flash_cnt[2167][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2167][6]~57228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2167][6]~q\);

-- Location: LCCOMB_X77_Y20_N26
\WideAnd2167~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2167~1_combout\ = (\led_flash_cnt[2167][6]~q\ & \led_flash_cnt[2167][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2167][6]~q\,
	datad => \led_flash_cnt[2167][5]~q\,
	combout => \WideAnd2167~1_combout\);

-- Location: LCCOMB_X77_Y20_N22
\led_flash_cnt[2167][7]~57230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2167][7]~57230_combout\ = \led_flash_cnt[2167][7]~q\ $ (!\led_flash_cnt[2167][6]~57229\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2167][7]~q\,
	cin => \led_flash_cnt[2167][6]~57229\,
	combout => \led_flash_cnt[2167][7]~57230_combout\);

-- Location: FF_X77_Y20_N23
\led_flash_cnt[2167][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2167][7]~57230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2167][7]~q\);

-- Location: LCCOMB_X77_Y20_N24
\WideAnd2167~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2167~0_combout\ = (\led_flash_cnt[2167][2]~q\ & (\led_flash_cnt[2167][4]~q\ & (\led_flash_cnt[2167][3]~q\ & \led_flash_cnt[2167][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2167][2]~q\,
	datab => \led_flash_cnt[2167][4]~q\,
	datac => \led_flash_cnt[2167][3]~q\,
	datad => \led_flash_cnt[2167][1]~q\,
	combout => \WideAnd2167~0_combout\);

-- Location: LCCOMB_X77_Y20_N28
WideAnd2167 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2167~combout\ = (\WideAnd2167~1_combout\ & (\led_flash_cnt[2167][0]~q\ & (\led_flash_cnt[2167][7]~q\ & \WideAnd2167~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2167~1_combout\,
	datab => \led_flash_cnt[2167][0]~q\,
	datac => \led_flash_cnt[2167][7]~q\,
	datad => \WideAnd2167~0_combout\,
	combout => \WideAnd2167~combout\);

-- Location: FF_X77_Y20_N29
\led_flash_cnt_ands[2167]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2167~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2167));

-- Location: LCCOMB_X76_Y20_N8
WideAnd4110 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4110~combout\ = (\WideAnd4110~1_combout\ & (led_flash_cnt_ands(2166) & (\WideAnd4110~0_combout\ & led_flash_cnt_ands(2167))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4110~1_combout\,
	datab => led_flash_cnt_ands(2166),
	datac => \WideAnd4110~0_combout\,
	datad => led_flash_cnt_ands(2167),
	combout => \WideAnd4110~combout\);

-- Location: FF_X76_Y20_N9
\led_flash_cnt_ands_1[270]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4110~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(270));

-- Location: LCCOMB_X12_Y31_N22
\led_flash_cnt[2134][0]~82774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2134][0]~82774_combout\ = !\led_flash_cnt[2134][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2134][0]~q\,
	combout => \led_flash_cnt[2134][0]~82774_combout\);

-- Location: FF_X12_Y31_N23
\led_flash_cnt[2134][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2134][0]~82774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2134][0]~q\);

-- Location: LCCOMB_X12_Y31_N0
\led_flash_cnt[2134][1]~56756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2134][1]~56756_combout\ = (\led_flash_cnt[2134][0]~q\ & (\led_flash_cnt[2134][1]~q\ $ (VCC))) # (!\led_flash_cnt[2134][0]~q\ & (\led_flash_cnt[2134][1]~q\ & VCC))
-- \led_flash_cnt[2134][1]~56757\ = CARRY((\led_flash_cnt[2134][0]~q\ & \led_flash_cnt[2134][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2134][0]~q\,
	datab => \led_flash_cnt[2134][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2134][1]~56756_combout\,
	cout => \led_flash_cnt[2134][1]~56757\);

-- Location: FF_X12_Y31_N1
\led_flash_cnt[2134][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2134][1]~56756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2134][1]~q\);

-- Location: LCCOMB_X12_Y31_N2
\led_flash_cnt[2134][2]~56758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2134][2]~56758_combout\ = (\led_flash_cnt[2134][2]~q\ & (!\led_flash_cnt[2134][1]~56757\)) # (!\led_flash_cnt[2134][2]~q\ & ((\led_flash_cnt[2134][1]~56757\) # (GND)))
-- \led_flash_cnt[2134][2]~56759\ = CARRY((!\led_flash_cnt[2134][1]~56757\) # (!\led_flash_cnt[2134][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2134][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2134][1]~56757\,
	combout => \led_flash_cnt[2134][2]~56758_combout\,
	cout => \led_flash_cnt[2134][2]~56759\);

-- Location: FF_X12_Y31_N3
\led_flash_cnt[2134][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2134][2]~56758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2134][2]~q\);

-- Location: LCCOMB_X12_Y31_N4
\led_flash_cnt[2134][3]~56760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2134][3]~56760_combout\ = (\led_flash_cnt[2134][3]~q\ & (\led_flash_cnt[2134][2]~56759\ $ (GND))) # (!\led_flash_cnt[2134][3]~q\ & (!\led_flash_cnt[2134][2]~56759\ & VCC))
-- \led_flash_cnt[2134][3]~56761\ = CARRY((\led_flash_cnt[2134][3]~q\ & !\led_flash_cnt[2134][2]~56759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2134][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2134][2]~56759\,
	combout => \led_flash_cnt[2134][3]~56760_combout\,
	cout => \led_flash_cnt[2134][3]~56761\);

-- Location: FF_X12_Y31_N5
\led_flash_cnt[2134][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2134][3]~56760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2134][3]~q\);

-- Location: LCCOMB_X12_Y31_N6
\led_flash_cnt[2134][4]~56762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2134][4]~56762_combout\ = (\led_flash_cnt[2134][4]~q\ & (!\led_flash_cnt[2134][3]~56761\)) # (!\led_flash_cnt[2134][4]~q\ & ((\led_flash_cnt[2134][3]~56761\) # (GND)))
-- \led_flash_cnt[2134][4]~56763\ = CARRY((!\led_flash_cnt[2134][3]~56761\) # (!\led_flash_cnt[2134][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2134][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2134][3]~56761\,
	combout => \led_flash_cnt[2134][4]~56762_combout\,
	cout => \led_flash_cnt[2134][4]~56763\);

-- Location: FF_X12_Y31_N7
\led_flash_cnt[2134][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2134][4]~56762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2134][4]~q\);

-- Location: LCCOMB_X12_Y31_N8
\led_flash_cnt[2134][5]~56764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2134][5]~56764_combout\ = (\led_flash_cnt[2134][5]~q\ & (\led_flash_cnt[2134][4]~56763\ $ (GND))) # (!\led_flash_cnt[2134][5]~q\ & (!\led_flash_cnt[2134][4]~56763\ & VCC))
-- \led_flash_cnt[2134][5]~56765\ = CARRY((\led_flash_cnt[2134][5]~q\ & !\led_flash_cnt[2134][4]~56763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2134][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2134][4]~56763\,
	combout => \led_flash_cnt[2134][5]~56764_combout\,
	cout => \led_flash_cnt[2134][5]~56765\);

-- Location: FF_X12_Y31_N9
\led_flash_cnt[2134][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2134][5]~56764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2134][5]~q\);

-- Location: LCCOMB_X12_Y31_N10
\led_flash_cnt[2134][6]~56766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2134][6]~56766_combout\ = (\led_flash_cnt[2134][6]~q\ & (!\led_flash_cnt[2134][5]~56765\)) # (!\led_flash_cnt[2134][6]~q\ & ((\led_flash_cnt[2134][5]~56765\) # (GND)))
-- \led_flash_cnt[2134][6]~56767\ = CARRY((!\led_flash_cnt[2134][5]~56765\) # (!\led_flash_cnt[2134][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2134][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2134][5]~56765\,
	combout => \led_flash_cnt[2134][6]~56766_combout\,
	cout => \led_flash_cnt[2134][6]~56767\);

-- Location: FF_X12_Y31_N11
\led_flash_cnt[2134][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2134][6]~56766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2134][6]~q\);

-- Location: LCCOMB_X12_Y31_N30
\WideAnd2134~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2134~1_combout\ = (\led_flash_cnt[2134][5]~q\ & \led_flash_cnt[2134][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2134][5]~q\,
	datad => \led_flash_cnt[2134][6]~q\,
	combout => \WideAnd2134~1_combout\);

-- Location: LCCOMB_X12_Y31_N18
\WideAnd2134~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2134~0_combout\ = (\led_flash_cnt[2134][4]~q\ & (\led_flash_cnt[2134][1]~q\ & (\led_flash_cnt[2134][3]~q\ & \led_flash_cnt[2134][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2134][4]~q\,
	datab => \led_flash_cnt[2134][1]~q\,
	datac => \led_flash_cnt[2134][3]~q\,
	datad => \led_flash_cnt[2134][2]~q\,
	combout => \WideAnd2134~0_combout\);

-- Location: LCCOMB_X12_Y31_N12
\led_flash_cnt[2134][7]~56768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2134][7]~56768_combout\ = \led_flash_cnt[2134][6]~56767\ $ (!\led_flash_cnt[2134][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2134][7]~q\,
	cin => \led_flash_cnt[2134][6]~56767\,
	combout => \led_flash_cnt[2134][7]~56768_combout\);

-- Location: FF_X12_Y31_N13
\led_flash_cnt[2134][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2134][7]~56768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2134][7]~q\);

-- Location: LCCOMB_X12_Y31_N24
WideAnd2134 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2134~combout\ = (\WideAnd2134~1_combout\ & (\WideAnd2134~0_combout\ & (\led_flash_cnt[2134][0]~q\ & \led_flash_cnt[2134][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2134~1_combout\,
	datab => \WideAnd2134~0_combout\,
	datac => \led_flash_cnt[2134][0]~q\,
	datad => \led_flash_cnt[2134][7]~q\,
	combout => \WideAnd2134~combout\);

-- Location: FF_X12_Y31_N25
\led_flash_cnt_ands[2134]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2134~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2134));

-- Location: LCCOMB_X12_Y31_N28
\led_flash_cnt[2135][0]~82775\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2135][0]~82775_combout\ = !\led_flash_cnt[2135][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2135][0]~q\,
	combout => \led_flash_cnt[2135][0]~82775_combout\);

-- Location: FF_X12_Y31_N29
\led_flash_cnt[2135][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2135][0]~82775_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2135][0]~q\);

-- Location: LCCOMB_X11_Y31_N16
\led_flash_cnt[2135][1]~56770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2135][1]~56770_combout\ = (\led_flash_cnt[2135][0]~q\ & (\led_flash_cnt[2135][1]~q\ $ (VCC))) # (!\led_flash_cnt[2135][0]~q\ & (\led_flash_cnt[2135][1]~q\ & VCC))
-- \led_flash_cnt[2135][1]~56771\ = CARRY((\led_flash_cnt[2135][0]~q\ & \led_flash_cnt[2135][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2135][0]~q\,
	datab => \led_flash_cnt[2135][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2135][1]~56770_combout\,
	cout => \led_flash_cnt[2135][1]~56771\);

-- Location: FF_X11_Y31_N17
\led_flash_cnt[2135][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2135][1]~56770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2135][1]~q\);

-- Location: LCCOMB_X11_Y31_N18
\led_flash_cnt[2135][2]~56772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2135][2]~56772_combout\ = (\led_flash_cnt[2135][2]~q\ & (!\led_flash_cnt[2135][1]~56771\)) # (!\led_flash_cnt[2135][2]~q\ & ((\led_flash_cnt[2135][1]~56771\) # (GND)))
-- \led_flash_cnt[2135][2]~56773\ = CARRY((!\led_flash_cnt[2135][1]~56771\) # (!\led_flash_cnt[2135][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2135][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2135][1]~56771\,
	combout => \led_flash_cnt[2135][2]~56772_combout\,
	cout => \led_flash_cnt[2135][2]~56773\);

-- Location: FF_X11_Y31_N19
\led_flash_cnt[2135][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2135][2]~56772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2135][2]~q\);

-- Location: LCCOMB_X11_Y31_N20
\led_flash_cnt[2135][3]~56774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2135][3]~56774_combout\ = (\led_flash_cnt[2135][3]~q\ & (\led_flash_cnt[2135][2]~56773\ $ (GND))) # (!\led_flash_cnt[2135][3]~q\ & (!\led_flash_cnt[2135][2]~56773\ & VCC))
-- \led_flash_cnt[2135][3]~56775\ = CARRY((\led_flash_cnt[2135][3]~q\ & !\led_flash_cnt[2135][2]~56773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2135][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2135][2]~56773\,
	combout => \led_flash_cnt[2135][3]~56774_combout\,
	cout => \led_flash_cnt[2135][3]~56775\);

-- Location: FF_X11_Y31_N21
\led_flash_cnt[2135][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2135][3]~56774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2135][3]~q\);

-- Location: LCCOMB_X11_Y31_N22
\led_flash_cnt[2135][4]~56776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2135][4]~56776_combout\ = (\led_flash_cnt[2135][4]~q\ & (!\led_flash_cnt[2135][3]~56775\)) # (!\led_flash_cnt[2135][4]~q\ & ((\led_flash_cnt[2135][3]~56775\) # (GND)))
-- \led_flash_cnt[2135][4]~56777\ = CARRY((!\led_flash_cnt[2135][3]~56775\) # (!\led_flash_cnt[2135][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2135][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2135][3]~56775\,
	combout => \led_flash_cnt[2135][4]~56776_combout\,
	cout => \led_flash_cnt[2135][4]~56777\);

-- Location: FF_X11_Y31_N23
\led_flash_cnt[2135][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2135][4]~56776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2135][4]~q\);

-- Location: LCCOMB_X11_Y31_N24
\led_flash_cnt[2135][5]~56778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2135][5]~56778_combout\ = (\led_flash_cnt[2135][5]~q\ & (\led_flash_cnt[2135][4]~56777\ $ (GND))) # (!\led_flash_cnt[2135][5]~q\ & (!\led_flash_cnt[2135][4]~56777\ & VCC))
-- \led_flash_cnt[2135][5]~56779\ = CARRY((\led_flash_cnt[2135][5]~q\ & !\led_flash_cnt[2135][4]~56777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2135][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2135][4]~56777\,
	combout => \led_flash_cnt[2135][5]~56778_combout\,
	cout => \led_flash_cnt[2135][5]~56779\);

-- Location: FF_X11_Y31_N25
\led_flash_cnt[2135][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2135][5]~56778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2135][5]~q\);

-- Location: LCCOMB_X11_Y31_N26
\led_flash_cnt[2135][6]~56780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2135][6]~56780_combout\ = (\led_flash_cnt[2135][6]~q\ & (!\led_flash_cnt[2135][5]~56779\)) # (!\led_flash_cnt[2135][6]~q\ & ((\led_flash_cnt[2135][5]~56779\) # (GND)))
-- \led_flash_cnt[2135][6]~56781\ = CARRY((!\led_flash_cnt[2135][5]~56779\) # (!\led_flash_cnt[2135][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2135][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2135][5]~56779\,
	combout => \led_flash_cnt[2135][6]~56780_combout\,
	cout => \led_flash_cnt[2135][6]~56781\);

-- Location: FF_X11_Y31_N27
\led_flash_cnt[2135][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2135][6]~56780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2135][6]~q\);

-- Location: LCCOMB_X12_Y31_N26
\WideAnd2135~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2135~1_combout\ = (\led_flash_cnt[2135][6]~q\ & \led_flash_cnt[2135][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2135][6]~q\,
	datad => \led_flash_cnt[2135][5]~q\,
	combout => \WideAnd2135~1_combout\);

-- Location: LCCOMB_X11_Y31_N28
\led_flash_cnt[2135][7]~56782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2135][7]~56782_combout\ = \led_flash_cnt[2135][6]~56781\ $ (!\led_flash_cnt[2135][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2135][7]~q\,
	cin => \led_flash_cnt[2135][6]~56781\,
	combout => \led_flash_cnt[2135][7]~56782_combout\);

-- Location: FF_X11_Y31_N29
\led_flash_cnt[2135][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2135][7]~56782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2135][7]~q\);

-- Location: LCCOMB_X11_Y31_N0
\WideAnd2135~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2135~0_combout\ = (\led_flash_cnt[2135][2]~q\ & (\led_flash_cnt[2135][1]~q\ & (\led_flash_cnt[2135][4]~q\ & \led_flash_cnt[2135][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2135][2]~q\,
	datab => \led_flash_cnt[2135][1]~q\,
	datac => \led_flash_cnt[2135][4]~q\,
	datad => \led_flash_cnt[2135][3]~q\,
	combout => \WideAnd2135~0_combout\);

-- Location: LCCOMB_X12_Y31_N16
WideAnd2135 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2135~combout\ = (\WideAnd2135~1_combout\ & (\led_flash_cnt[2135][7]~q\ & (\WideAnd2135~0_combout\ & \led_flash_cnt[2135][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2135~1_combout\,
	datab => \led_flash_cnt[2135][7]~q\,
	datac => \WideAnd2135~0_combout\,
	datad => \led_flash_cnt[2135][0]~q\,
	combout => \WideAnd2135~combout\);

-- Location: FF_X12_Y31_N17
\led_flash_cnt_ands[2135]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2135~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2135));

-- Location: LCCOMB_X15_Y31_N18
\led_flash_cnt[2133][0]~82773\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2133][0]~82773_combout\ = !\led_flash_cnt[2133][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2133][0]~q\,
	combout => \led_flash_cnt[2133][0]~82773_combout\);

-- Location: FF_X15_Y31_N19
\led_flash_cnt[2133][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2133][0]~82773_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2133][0]~q\);

-- Location: LCCOMB_X16_Y28_N0
\led_flash_cnt[2133][1]~56742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2133][1]~56742_combout\ = (\led_flash_cnt[2133][0]~q\ & (\led_flash_cnt[2133][1]~q\ $ (VCC))) # (!\led_flash_cnt[2133][0]~q\ & (\led_flash_cnt[2133][1]~q\ & VCC))
-- \led_flash_cnt[2133][1]~56743\ = CARRY((\led_flash_cnt[2133][0]~q\ & \led_flash_cnt[2133][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2133][0]~q\,
	datab => \led_flash_cnt[2133][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2133][1]~56742_combout\,
	cout => \led_flash_cnt[2133][1]~56743\);

-- Location: FF_X16_Y28_N1
\led_flash_cnt[2133][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2133][1]~56742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2133][1]~q\);

-- Location: LCCOMB_X16_Y28_N2
\led_flash_cnt[2133][2]~56744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2133][2]~56744_combout\ = (\led_flash_cnt[2133][2]~q\ & (!\led_flash_cnt[2133][1]~56743\)) # (!\led_flash_cnt[2133][2]~q\ & ((\led_flash_cnt[2133][1]~56743\) # (GND)))
-- \led_flash_cnt[2133][2]~56745\ = CARRY((!\led_flash_cnt[2133][1]~56743\) # (!\led_flash_cnt[2133][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2133][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2133][1]~56743\,
	combout => \led_flash_cnt[2133][2]~56744_combout\,
	cout => \led_flash_cnt[2133][2]~56745\);

-- Location: FF_X16_Y28_N3
\led_flash_cnt[2133][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2133][2]~56744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2133][2]~q\);

-- Location: LCCOMB_X16_Y28_N4
\led_flash_cnt[2133][3]~56746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2133][3]~56746_combout\ = (\led_flash_cnt[2133][3]~q\ & (\led_flash_cnt[2133][2]~56745\ $ (GND))) # (!\led_flash_cnt[2133][3]~q\ & (!\led_flash_cnt[2133][2]~56745\ & VCC))
-- \led_flash_cnt[2133][3]~56747\ = CARRY((\led_flash_cnt[2133][3]~q\ & !\led_flash_cnt[2133][2]~56745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2133][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2133][2]~56745\,
	combout => \led_flash_cnt[2133][3]~56746_combout\,
	cout => \led_flash_cnt[2133][3]~56747\);

-- Location: FF_X16_Y28_N5
\led_flash_cnt[2133][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2133][3]~56746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2133][3]~q\);

-- Location: LCCOMB_X16_Y28_N6
\led_flash_cnt[2133][4]~56748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2133][4]~56748_combout\ = (\led_flash_cnt[2133][4]~q\ & (!\led_flash_cnt[2133][3]~56747\)) # (!\led_flash_cnt[2133][4]~q\ & ((\led_flash_cnt[2133][3]~56747\) # (GND)))
-- \led_flash_cnt[2133][4]~56749\ = CARRY((!\led_flash_cnt[2133][3]~56747\) # (!\led_flash_cnt[2133][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2133][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2133][3]~56747\,
	combout => \led_flash_cnt[2133][4]~56748_combout\,
	cout => \led_flash_cnt[2133][4]~56749\);

-- Location: FF_X16_Y28_N7
\led_flash_cnt[2133][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2133][4]~56748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2133][4]~q\);

-- Location: LCCOMB_X16_Y28_N8
\led_flash_cnt[2133][5]~56750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2133][5]~56750_combout\ = (\led_flash_cnt[2133][5]~q\ & (\led_flash_cnt[2133][4]~56749\ $ (GND))) # (!\led_flash_cnt[2133][5]~q\ & (!\led_flash_cnt[2133][4]~56749\ & VCC))
-- \led_flash_cnt[2133][5]~56751\ = CARRY((\led_flash_cnt[2133][5]~q\ & !\led_flash_cnt[2133][4]~56749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2133][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2133][4]~56749\,
	combout => \led_flash_cnt[2133][5]~56750_combout\,
	cout => \led_flash_cnt[2133][5]~56751\);

-- Location: FF_X16_Y28_N9
\led_flash_cnt[2133][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2133][5]~56750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2133][5]~q\);

-- Location: LCCOMB_X16_Y28_N10
\led_flash_cnt[2133][6]~56752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2133][6]~56752_combout\ = (\led_flash_cnt[2133][6]~q\ & (!\led_flash_cnt[2133][5]~56751\)) # (!\led_flash_cnt[2133][6]~q\ & ((\led_flash_cnt[2133][5]~56751\) # (GND)))
-- \led_flash_cnt[2133][6]~56753\ = CARRY((!\led_flash_cnt[2133][5]~56751\) # (!\led_flash_cnt[2133][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2133][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2133][5]~56751\,
	combout => \led_flash_cnt[2133][6]~56752_combout\,
	cout => \led_flash_cnt[2133][6]~56753\);

-- Location: FF_X16_Y28_N11
\led_flash_cnt[2133][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2133][6]~56752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2133][6]~q\);

-- Location: LCCOMB_X15_Y28_N26
\WideAnd2133~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2133~1_combout\ = (\led_flash_cnt[2133][6]~q\ & \led_flash_cnt[2133][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2133][6]~q\,
	datac => \led_flash_cnt[2133][5]~q\,
	combout => \WideAnd2133~1_combout\);

-- Location: LCCOMB_X16_Y28_N12
\led_flash_cnt[2133][7]~56754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2133][7]~56754_combout\ = \led_flash_cnt[2133][6]~56753\ $ (!\led_flash_cnt[2133][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2133][7]~q\,
	cin => \led_flash_cnt[2133][6]~56753\,
	combout => \led_flash_cnt[2133][7]~56754_combout\);

-- Location: FF_X16_Y28_N13
\led_flash_cnt[2133][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2133][7]~56754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2133][7]~q\);

-- Location: LCCOMB_X16_Y28_N28
\WideAnd2133~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2133~0_combout\ = (\led_flash_cnt[2133][4]~q\ & (\led_flash_cnt[2133][2]~q\ & (\led_flash_cnt[2133][3]~q\ & \led_flash_cnt[2133][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2133][4]~q\,
	datab => \led_flash_cnt[2133][2]~q\,
	datac => \led_flash_cnt[2133][3]~q\,
	datad => \led_flash_cnt[2133][1]~q\,
	combout => \WideAnd2133~0_combout\);

-- Location: LCCOMB_X15_Y28_N24
WideAnd2133 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2133~combout\ = (\WideAnd2133~1_combout\ & (\led_flash_cnt[2133][7]~q\ & (\led_flash_cnt[2133][0]~q\ & \WideAnd2133~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2133~1_combout\,
	datab => \led_flash_cnt[2133][7]~q\,
	datac => \led_flash_cnt[2133][0]~q\,
	datad => \WideAnd2133~0_combout\,
	combout => \WideAnd2133~combout\);

-- Location: FF_X15_Y28_N25
\led_flash_cnt_ands[2133]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2133~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2133));

-- Location: LCCOMB_X15_Y31_N22
\led_flash_cnt[2132][0]~82772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2132][0]~82772_combout\ = !\led_flash_cnt[2132][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2132][0]~q\,
	combout => \led_flash_cnt[2132][0]~82772_combout\);

-- Location: FF_X15_Y31_N23
\led_flash_cnt[2132][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2132][0]~82772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2132][0]~q\);

-- Location: LCCOMB_X15_Y31_N4
\led_flash_cnt[2132][1]~56728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2132][1]~56728_combout\ = (\led_flash_cnt[2132][0]~q\ & (\led_flash_cnt[2132][1]~q\ $ (VCC))) # (!\led_flash_cnt[2132][0]~q\ & (\led_flash_cnt[2132][1]~q\ & VCC))
-- \led_flash_cnt[2132][1]~56729\ = CARRY((\led_flash_cnt[2132][0]~q\ & \led_flash_cnt[2132][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2132][0]~q\,
	datab => \led_flash_cnt[2132][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2132][1]~56728_combout\,
	cout => \led_flash_cnt[2132][1]~56729\);

-- Location: FF_X15_Y31_N5
\led_flash_cnt[2132][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2132][1]~56728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2132][1]~q\);

-- Location: LCCOMB_X15_Y31_N6
\led_flash_cnt[2132][2]~56730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2132][2]~56730_combout\ = (\led_flash_cnt[2132][2]~q\ & (!\led_flash_cnt[2132][1]~56729\)) # (!\led_flash_cnt[2132][2]~q\ & ((\led_flash_cnt[2132][1]~56729\) # (GND)))
-- \led_flash_cnt[2132][2]~56731\ = CARRY((!\led_flash_cnt[2132][1]~56729\) # (!\led_flash_cnt[2132][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2132][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2132][1]~56729\,
	combout => \led_flash_cnt[2132][2]~56730_combout\,
	cout => \led_flash_cnt[2132][2]~56731\);

-- Location: FF_X15_Y31_N7
\led_flash_cnt[2132][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2132][2]~56730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2132][2]~q\);

-- Location: LCCOMB_X15_Y31_N8
\led_flash_cnt[2132][3]~56732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2132][3]~56732_combout\ = (\led_flash_cnt[2132][3]~q\ & (\led_flash_cnt[2132][2]~56731\ $ (GND))) # (!\led_flash_cnt[2132][3]~q\ & (!\led_flash_cnt[2132][2]~56731\ & VCC))
-- \led_flash_cnt[2132][3]~56733\ = CARRY((\led_flash_cnt[2132][3]~q\ & !\led_flash_cnt[2132][2]~56731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2132][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2132][2]~56731\,
	combout => \led_flash_cnt[2132][3]~56732_combout\,
	cout => \led_flash_cnt[2132][3]~56733\);

-- Location: FF_X15_Y31_N9
\led_flash_cnt[2132][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2132][3]~56732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2132][3]~q\);

-- Location: LCCOMB_X15_Y31_N10
\led_flash_cnt[2132][4]~56734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2132][4]~56734_combout\ = (\led_flash_cnt[2132][4]~q\ & (!\led_flash_cnt[2132][3]~56733\)) # (!\led_flash_cnt[2132][4]~q\ & ((\led_flash_cnt[2132][3]~56733\) # (GND)))
-- \led_flash_cnt[2132][4]~56735\ = CARRY((!\led_flash_cnt[2132][3]~56733\) # (!\led_flash_cnt[2132][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2132][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2132][3]~56733\,
	combout => \led_flash_cnt[2132][4]~56734_combout\,
	cout => \led_flash_cnt[2132][4]~56735\);

-- Location: FF_X15_Y31_N11
\led_flash_cnt[2132][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2132][4]~56734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2132][4]~q\);

-- Location: LCCOMB_X15_Y31_N30
\WideAnd2132~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2132~0_combout\ = (\led_flash_cnt[2132][4]~q\ & (\led_flash_cnt[2132][3]~q\ & (\led_flash_cnt[2132][1]~q\ & \led_flash_cnt[2132][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2132][4]~q\,
	datab => \led_flash_cnt[2132][3]~q\,
	datac => \led_flash_cnt[2132][1]~q\,
	datad => \led_flash_cnt[2132][2]~q\,
	combout => \WideAnd2132~0_combout\);

-- Location: LCCOMB_X15_Y31_N12
\led_flash_cnt[2132][5]~56736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2132][5]~56736_combout\ = (\led_flash_cnt[2132][5]~q\ & (\led_flash_cnt[2132][4]~56735\ $ (GND))) # (!\led_flash_cnt[2132][5]~q\ & (!\led_flash_cnt[2132][4]~56735\ & VCC))
-- \led_flash_cnt[2132][5]~56737\ = CARRY((\led_flash_cnt[2132][5]~q\ & !\led_flash_cnt[2132][4]~56735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2132][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2132][4]~56735\,
	combout => \led_flash_cnt[2132][5]~56736_combout\,
	cout => \led_flash_cnt[2132][5]~56737\);

-- Location: FF_X15_Y31_N13
\led_flash_cnt[2132][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2132][5]~56736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2132][5]~q\);

-- Location: LCCOMB_X15_Y31_N14
\led_flash_cnt[2132][6]~56738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2132][6]~56738_combout\ = (\led_flash_cnt[2132][6]~q\ & (!\led_flash_cnt[2132][5]~56737\)) # (!\led_flash_cnt[2132][6]~q\ & ((\led_flash_cnt[2132][5]~56737\) # (GND)))
-- \led_flash_cnt[2132][6]~56739\ = CARRY((!\led_flash_cnt[2132][5]~56737\) # (!\led_flash_cnt[2132][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2132][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2132][5]~56737\,
	combout => \led_flash_cnt[2132][6]~56738_combout\,
	cout => \led_flash_cnt[2132][6]~56739\);

-- Location: FF_X15_Y31_N15
\led_flash_cnt[2132][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2132][6]~56738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2132][6]~q\);

-- Location: LCCOMB_X15_Y31_N16
\led_flash_cnt[2132][7]~56740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2132][7]~56740_combout\ = \led_flash_cnt[2132][6]~56739\ $ (!\led_flash_cnt[2132][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2132][7]~q\,
	cin => \led_flash_cnt[2132][6]~56739\,
	combout => \led_flash_cnt[2132][7]~56740_combout\);

-- Location: FF_X15_Y31_N17
\led_flash_cnt[2132][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2132][7]~56740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2132][7]~q\);

-- Location: LCCOMB_X15_Y31_N24
\WideAnd2132~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2132~1_combout\ = (\led_flash_cnt[2132][6]~q\ & \led_flash_cnt[2132][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2132][6]~q\,
	datad => \led_flash_cnt[2132][5]~q\,
	combout => \WideAnd2132~1_combout\);

-- Location: LCCOMB_X15_Y31_N28
WideAnd2132 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2132~combout\ = (\WideAnd2132~0_combout\ & (\led_flash_cnt[2132][7]~q\ & (\led_flash_cnt[2132][0]~q\ & \WideAnd2132~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2132~0_combout\,
	datab => \led_flash_cnt[2132][7]~q\,
	datac => \led_flash_cnt[2132][0]~q\,
	datad => \WideAnd2132~1_combout\,
	combout => \WideAnd2132~combout\);

-- Location: FF_X15_Y31_N29
\led_flash_cnt_ands[2132]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2132~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2132));

-- Location: LCCOMB_X15_Y31_N26
\WideAnd4106~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4106~1_combout\ = (led_flash_cnt_ands(2133) & led_flash_cnt_ands(2132))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2133),
	datad => led_flash_cnt_ands(2132),
	combout => \WideAnd4106~1_combout\);

-- Location: LCCOMB_X49_Y44_N12
\led_flash_cnt[2129][0]~82769\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2129][0]~82769_combout\ = !\led_flash_cnt[2129][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2129][0]~q\,
	combout => \led_flash_cnt[2129][0]~82769_combout\);

-- Location: FF_X49_Y44_N13
\led_flash_cnt[2129][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2129][0]~82769_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2129][0]~q\);

-- Location: LCCOMB_X49_Y44_N18
\led_flash_cnt[2129][1]~56686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2129][1]~56686_combout\ = (\led_flash_cnt[2129][0]~q\ & (\led_flash_cnt[2129][1]~q\ $ (VCC))) # (!\led_flash_cnt[2129][0]~q\ & (\led_flash_cnt[2129][1]~q\ & VCC))
-- \led_flash_cnt[2129][1]~56687\ = CARRY((\led_flash_cnt[2129][0]~q\ & \led_flash_cnt[2129][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2129][0]~q\,
	datab => \led_flash_cnt[2129][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2129][1]~56686_combout\,
	cout => \led_flash_cnt[2129][1]~56687\);

-- Location: FF_X49_Y44_N19
\led_flash_cnt[2129][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2129][1]~56686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2129][1]~q\);

-- Location: LCCOMB_X49_Y44_N20
\led_flash_cnt[2129][2]~56688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2129][2]~56688_combout\ = (\led_flash_cnt[2129][2]~q\ & (!\led_flash_cnt[2129][1]~56687\)) # (!\led_flash_cnt[2129][2]~q\ & ((\led_flash_cnt[2129][1]~56687\) # (GND)))
-- \led_flash_cnt[2129][2]~56689\ = CARRY((!\led_flash_cnt[2129][1]~56687\) # (!\led_flash_cnt[2129][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2129][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2129][1]~56687\,
	combout => \led_flash_cnt[2129][2]~56688_combout\,
	cout => \led_flash_cnt[2129][2]~56689\);

-- Location: FF_X49_Y44_N21
\led_flash_cnt[2129][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2129][2]~56688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2129][2]~q\);

-- Location: LCCOMB_X49_Y44_N22
\led_flash_cnt[2129][3]~56690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2129][3]~56690_combout\ = (\led_flash_cnt[2129][3]~q\ & (\led_flash_cnt[2129][2]~56689\ $ (GND))) # (!\led_flash_cnt[2129][3]~q\ & (!\led_flash_cnt[2129][2]~56689\ & VCC))
-- \led_flash_cnt[2129][3]~56691\ = CARRY((\led_flash_cnt[2129][3]~q\ & !\led_flash_cnt[2129][2]~56689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2129][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2129][2]~56689\,
	combout => \led_flash_cnt[2129][3]~56690_combout\,
	cout => \led_flash_cnt[2129][3]~56691\);

-- Location: FF_X49_Y44_N23
\led_flash_cnt[2129][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2129][3]~56690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2129][3]~q\);

-- Location: LCCOMB_X49_Y44_N24
\led_flash_cnt[2129][4]~56692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2129][4]~56692_combout\ = (\led_flash_cnt[2129][4]~q\ & (!\led_flash_cnt[2129][3]~56691\)) # (!\led_flash_cnt[2129][4]~q\ & ((\led_flash_cnt[2129][3]~56691\) # (GND)))
-- \led_flash_cnt[2129][4]~56693\ = CARRY((!\led_flash_cnt[2129][3]~56691\) # (!\led_flash_cnt[2129][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2129][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2129][3]~56691\,
	combout => \led_flash_cnt[2129][4]~56692_combout\,
	cout => \led_flash_cnt[2129][4]~56693\);

-- Location: FF_X49_Y44_N25
\led_flash_cnt[2129][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2129][4]~56692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2129][4]~q\);

-- Location: LCCOMB_X49_Y44_N26
\led_flash_cnt[2129][5]~56694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2129][5]~56694_combout\ = (\led_flash_cnt[2129][5]~q\ & (\led_flash_cnt[2129][4]~56693\ $ (GND))) # (!\led_flash_cnt[2129][5]~q\ & (!\led_flash_cnt[2129][4]~56693\ & VCC))
-- \led_flash_cnt[2129][5]~56695\ = CARRY((\led_flash_cnt[2129][5]~q\ & !\led_flash_cnt[2129][4]~56693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2129][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2129][4]~56693\,
	combout => \led_flash_cnt[2129][5]~56694_combout\,
	cout => \led_flash_cnt[2129][5]~56695\);

-- Location: FF_X49_Y44_N27
\led_flash_cnt[2129][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2129][5]~56694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2129][5]~q\);

-- Location: LCCOMB_X49_Y44_N28
\led_flash_cnt[2129][6]~56696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2129][6]~56696_combout\ = (\led_flash_cnt[2129][6]~q\ & (!\led_flash_cnt[2129][5]~56695\)) # (!\led_flash_cnt[2129][6]~q\ & ((\led_flash_cnt[2129][5]~56695\) # (GND)))
-- \led_flash_cnt[2129][6]~56697\ = CARRY((!\led_flash_cnt[2129][5]~56695\) # (!\led_flash_cnt[2129][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2129][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2129][5]~56695\,
	combout => \led_flash_cnt[2129][6]~56696_combout\,
	cout => \led_flash_cnt[2129][6]~56697\);

-- Location: FF_X49_Y44_N29
\led_flash_cnt[2129][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2129][6]~56696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2129][6]~q\);

-- Location: LCCOMB_X49_Y44_N10
\WideAnd2129~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2129~1_combout\ = (\led_flash_cnt[2129][5]~q\ & \led_flash_cnt[2129][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2129][5]~q\,
	datad => \led_flash_cnt[2129][6]~q\,
	combout => \WideAnd2129~1_combout\);

-- Location: LCCOMB_X49_Y44_N16
\WideAnd2129~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2129~0_combout\ = (\led_flash_cnt[2129][2]~q\ & (\led_flash_cnt[2129][1]~q\ & (\led_flash_cnt[2129][3]~q\ & \led_flash_cnt[2129][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2129][2]~q\,
	datab => \led_flash_cnt[2129][1]~q\,
	datac => \led_flash_cnt[2129][3]~q\,
	datad => \led_flash_cnt[2129][4]~q\,
	combout => \WideAnd2129~0_combout\);

-- Location: LCCOMB_X49_Y44_N30
\led_flash_cnt[2129][7]~56698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2129][7]~56698_combout\ = \led_flash_cnt[2129][7]~q\ $ (!\led_flash_cnt[2129][6]~56697\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2129][7]~q\,
	cin => \led_flash_cnt[2129][6]~56697\,
	combout => \led_flash_cnt[2129][7]~56698_combout\);

-- Location: FF_X49_Y44_N31
\led_flash_cnt[2129][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2129][7]~56698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2129][7]~q\);

-- Location: LCCOMB_X49_Y44_N2
WideAnd2129 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2129~combout\ = (\WideAnd2129~1_combout\ & (\WideAnd2129~0_combout\ & (\led_flash_cnt[2129][7]~q\ & \led_flash_cnt[2129][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2129~1_combout\,
	datab => \WideAnd2129~0_combout\,
	datac => \led_flash_cnt[2129][7]~q\,
	datad => \led_flash_cnt[2129][0]~q\,
	combout => \WideAnd2129~combout\);

-- Location: FF_X49_Y44_N3
\led_flash_cnt_ands[2129]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2129~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2129));

-- Location: LCCOMB_X44_Y47_N22
\led_flash_cnt[2128][0]~82768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2128][0]~82768_combout\ = !\led_flash_cnt[2128][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2128][0]~q\,
	combout => \led_flash_cnt[2128][0]~82768_combout\);

-- Location: FF_X44_Y47_N23
\led_flash_cnt[2128][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2128][0]~82768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2128][0]~q\);

-- Location: LCCOMB_X44_Y47_N2
\led_flash_cnt[2128][1]~56672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2128][1]~56672_combout\ = (\led_flash_cnt[2128][0]~q\ & (\led_flash_cnt[2128][1]~q\ $ (VCC))) # (!\led_flash_cnt[2128][0]~q\ & (\led_flash_cnt[2128][1]~q\ & VCC))
-- \led_flash_cnt[2128][1]~56673\ = CARRY((\led_flash_cnt[2128][0]~q\ & \led_flash_cnt[2128][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2128][0]~q\,
	datab => \led_flash_cnt[2128][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2128][1]~56672_combout\,
	cout => \led_flash_cnt[2128][1]~56673\);

-- Location: FF_X44_Y47_N3
\led_flash_cnt[2128][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2128][1]~56672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2128][1]~q\);

-- Location: LCCOMB_X44_Y47_N4
\led_flash_cnt[2128][2]~56674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2128][2]~56674_combout\ = (\led_flash_cnt[2128][2]~q\ & (!\led_flash_cnt[2128][1]~56673\)) # (!\led_flash_cnt[2128][2]~q\ & ((\led_flash_cnt[2128][1]~56673\) # (GND)))
-- \led_flash_cnt[2128][2]~56675\ = CARRY((!\led_flash_cnt[2128][1]~56673\) # (!\led_flash_cnt[2128][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2128][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2128][1]~56673\,
	combout => \led_flash_cnt[2128][2]~56674_combout\,
	cout => \led_flash_cnt[2128][2]~56675\);

-- Location: FF_X44_Y47_N5
\led_flash_cnt[2128][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2128][2]~56674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2128][2]~q\);

-- Location: LCCOMB_X44_Y47_N6
\led_flash_cnt[2128][3]~56676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2128][3]~56676_combout\ = (\led_flash_cnt[2128][3]~q\ & (\led_flash_cnt[2128][2]~56675\ $ (GND))) # (!\led_flash_cnt[2128][3]~q\ & (!\led_flash_cnt[2128][2]~56675\ & VCC))
-- \led_flash_cnt[2128][3]~56677\ = CARRY((\led_flash_cnt[2128][3]~q\ & !\led_flash_cnt[2128][2]~56675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2128][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2128][2]~56675\,
	combout => \led_flash_cnt[2128][3]~56676_combout\,
	cout => \led_flash_cnt[2128][3]~56677\);

-- Location: FF_X44_Y47_N7
\led_flash_cnt[2128][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2128][3]~56676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2128][3]~q\);

-- Location: LCCOMB_X44_Y47_N8
\led_flash_cnt[2128][4]~56678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2128][4]~56678_combout\ = (\led_flash_cnt[2128][4]~q\ & (!\led_flash_cnt[2128][3]~56677\)) # (!\led_flash_cnt[2128][4]~q\ & ((\led_flash_cnt[2128][3]~56677\) # (GND)))
-- \led_flash_cnt[2128][4]~56679\ = CARRY((!\led_flash_cnt[2128][3]~56677\) # (!\led_flash_cnt[2128][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2128][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2128][3]~56677\,
	combout => \led_flash_cnt[2128][4]~56678_combout\,
	cout => \led_flash_cnt[2128][4]~56679\);

-- Location: FF_X44_Y47_N9
\led_flash_cnt[2128][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2128][4]~56678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2128][4]~q\);

-- Location: LCCOMB_X44_Y47_N10
\led_flash_cnt[2128][5]~56680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2128][5]~56680_combout\ = (\led_flash_cnt[2128][5]~q\ & (\led_flash_cnt[2128][4]~56679\ $ (GND))) # (!\led_flash_cnt[2128][5]~q\ & (!\led_flash_cnt[2128][4]~56679\ & VCC))
-- \led_flash_cnt[2128][5]~56681\ = CARRY((\led_flash_cnt[2128][5]~q\ & !\led_flash_cnt[2128][4]~56679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2128][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2128][4]~56679\,
	combout => \led_flash_cnt[2128][5]~56680_combout\,
	cout => \led_flash_cnt[2128][5]~56681\);

-- Location: FF_X44_Y47_N11
\led_flash_cnt[2128][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2128][5]~56680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2128][5]~q\);

-- Location: LCCOMB_X44_Y47_N12
\led_flash_cnt[2128][6]~56682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2128][6]~56682_combout\ = (\led_flash_cnt[2128][6]~q\ & (!\led_flash_cnt[2128][5]~56681\)) # (!\led_flash_cnt[2128][6]~q\ & ((\led_flash_cnt[2128][5]~56681\) # (GND)))
-- \led_flash_cnt[2128][6]~56683\ = CARRY((!\led_flash_cnt[2128][5]~56681\) # (!\led_flash_cnt[2128][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2128][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2128][5]~56681\,
	combout => \led_flash_cnt[2128][6]~56682_combout\,
	cout => \led_flash_cnt[2128][6]~56683\);

-- Location: FF_X44_Y47_N13
\led_flash_cnt[2128][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2128][6]~56682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2128][6]~q\);

-- Location: LCCOMB_X44_Y47_N26
\WideAnd2128~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2128~1_combout\ = (\led_flash_cnt[2128][6]~q\ & \led_flash_cnt[2128][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2128][6]~q\,
	datad => \led_flash_cnt[2128][5]~q\,
	combout => \WideAnd2128~1_combout\);

-- Location: LCCOMB_X44_Y47_N14
\led_flash_cnt[2128][7]~56684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2128][7]~56684_combout\ = \led_flash_cnt[2128][7]~q\ $ (!\led_flash_cnt[2128][6]~56683\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2128][7]~q\,
	cin => \led_flash_cnt[2128][6]~56683\,
	combout => \led_flash_cnt[2128][7]~56684_combout\);

-- Location: FF_X44_Y47_N15
\led_flash_cnt[2128][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2128][7]~56684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2128][7]~q\);

-- Location: LCCOMB_X44_Y47_N18
\WideAnd2128~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2128~0_combout\ = (\led_flash_cnt[2128][3]~q\ & (\led_flash_cnt[2128][4]~q\ & (\led_flash_cnt[2128][2]~q\ & \led_flash_cnt[2128][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2128][3]~q\,
	datab => \led_flash_cnt[2128][4]~q\,
	datac => \led_flash_cnt[2128][2]~q\,
	datad => \led_flash_cnt[2128][1]~q\,
	combout => \WideAnd2128~0_combout\);

-- Location: LCCOMB_X44_Y47_N20
WideAnd2128 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2128~combout\ = (\WideAnd2128~1_combout\ & (\led_flash_cnt[2128][7]~q\ & (\led_flash_cnt[2128][0]~q\ & \WideAnd2128~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2128~1_combout\,
	datab => \led_flash_cnt[2128][7]~q\,
	datac => \led_flash_cnt[2128][0]~q\,
	datad => \WideAnd2128~0_combout\,
	combout => \WideAnd2128~combout\);

-- Location: FF_X44_Y47_N21
\led_flash_cnt_ands[2128]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2128~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2128));

-- Location: LCCOMB_X59_Y17_N26
\led_flash_cnt[2130][0]~82770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2130][0]~82770_combout\ = !\led_flash_cnt[2130][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2130][0]~q\,
	combout => \led_flash_cnt[2130][0]~82770_combout\);

-- Location: FF_X59_Y17_N27
\led_flash_cnt[2130][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2130][0]~82770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2130][0]~q\);

-- Location: LCCOMB_X59_Y17_N8
\led_flash_cnt[2130][1]~56700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2130][1]~56700_combout\ = (\led_flash_cnt[2130][0]~q\ & (\led_flash_cnt[2130][1]~q\ $ (VCC))) # (!\led_flash_cnt[2130][0]~q\ & (\led_flash_cnt[2130][1]~q\ & VCC))
-- \led_flash_cnt[2130][1]~56701\ = CARRY((\led_flash_cnt[2130][0]~q\ & \led_flash_cnt[2130][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2130][0]~q\,
	datab => \led_flash_cnt[2130][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2130][1]~56700_combout\,
	cout => \led_flash_cnt[2130][1]~56701\);

-- Location: FF_X59_Y17_N9
\led_flash_cnt[2130][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2130][1]~56700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2130][1]~q\);

-- Location: LCCOMB_X59_Y17_N10
\led_flash_cnt[2130][2]~56702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2130][2]~56702_combout\ = (\led_flash_cnt[2130][2]~q\ & (!\led_flash_cnt[2130][1]~56701\)) # (!\led_flash_cnt[2130][2]~q\ & ((\led_flash_cnt[2130][1]~56701\) # (GND)))
-- \led_flash_cnt[2130][2]~56703\ = CARRY((!\led_flash_cnt[2130][1]~56701\) # (!\led_flash_cnt[2130][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2130][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2130][1]~56701\,
	combout => \led_flash_cnt[2130][2]~56702_combout\,
	cout => \led_flash_cnt[2130][2]~56703\);

-- Location: FF_X59_Y17_N11
\led_flash_cnt[2130][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2130][2]~56702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2130][2]~q\);

-- Location: LCCOMB_X59_Y17_N12
\led_flash_cnt[2130][3]~56704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2130][3]~56704_combout\ = (\led_flash_cnt[2130][3]~q\ & (\led_flash_cnt[2130][2]~56703\ $ (GND))) # (!\led_flash_cnt[2130][3]~q\ & (!\led_flash_cnt[2130][2]~56703\ & VCC))
-- \led_flash_cnt[2130][3]~56705\ = CARRY((\led_flash_cnt[2130][3]~q\ & !\led_flash_cnt[2130][2]~56703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2130][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2130][2]~56703\,
	combout => \led_flash_cnt[2130][3]~56704_combout\,
	cout => \led_flash_cnt[2130][3]~56705\);

-- Location: FF_X59_Y17_N13
\led_flash_cnt[2130][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2130][3]~56704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2130][3]~q\);

-- Location: LCCOMB_X59_Y17_N14
\led_flash_cnt[2130][4]~56706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2130][4]~56706_combout\ = (\led_flash_cnt[2130][4]~q\ & (!\led_flash_cnt[2130][3]~56705\)) # (!\led_flash_cnt[2130][4]~q\ & ((\led_flash_cnt[2130][3]~56705\) # (GND)))
-- \led_flash_cnt[2130][4]~56707\ = CARRY((!\led_flash_cnt[2130][3]~56705\) # (!\led_flash_cnt[2130][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2130][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2130][3]~56705\,
	combout => \led_flash_cnt[2130][4]~56706_combout\,
	cout => \led_flash_cnt[2130][4]~56707\);

-- Location: FF_X59_Y17_N15
\led_flash_cnt[2130][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2130][4]~56706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2130][4]~q\);

-- Location: LCCOMB_X59_Y17_N16
\led_flash_cnt[2130][5]~56708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2130][5]~56708_combout\ = (\led_flash_cnt[2130][5]~q\ & (\led_flash_cnt[2130][4]~56707\ $ (GND))) # (!\led_flash_cnt[2130][5]~q\ & (!\led_flash_cnt[2130][4]~56707\ & VCC))
-- \led_flash_cnt[2130][5]~56709\ = CARRY((\led_flash_cnt[2130][5]~q\ & !\led_flash_cnt[2130][4]~56707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2130][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2130][4]~56707\,
	combout => \led_flash_cnt[2130][5]~56708_combout\,
	cout => \led_flash_cnt[2130][5]~56709\);

-- Location: FF_X59_Y17_N17
\led_flash_cnt[2130][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2130][5]~56708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2130][5]~q\);

-- Location: LCCOMB_X59_Y17_N18
\led_flash_cnt[2130][6]~56710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2130][6]~56710_combout\ = (\led_flash_cnt[2130][6]~q\ & (!\led_flash_cnt[2130][5]~56709\)) # (!\led_flash_cnt[2130][6]~q\ & ((\led_flash_cnt[2130][5]~56709\) # (GND)))
-- \led_flash_cnt[2130][6]~56711\ = CARRY((!\led_flash_cnt[2130][5]~56709\) # (!\led_flash_cnt[2130][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2130][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2130][5]~56709\,
	combout => \led_flash_cnt[2130][6]~56710_combout\,
	cout => \led_flash_cnt[2130][6]~56711\);

-- Location: FF_X59_Y17_N19
\led_flash_cnt[2130][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2130][6]~56710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2130][6]~q\);

-- Location: LCCOMB_X59_Y17_N20
\led_flash_cnt[2130][7]~56712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2130][7]~56712_combout\ = \led_flash_cnt[2130][6]~56711\ $ (!\led_flash_cnt[2130][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2130][7]~q\,
	cin => \led_flash_cnt[2130][6]~56711\,
	combout => \led_flash_cnt[2130][7]~56712_combout\);

-- Location: FF_X59_Y17_N21
\led_flash_cnt[2130][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2130][7]~56712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2130][7]~q\);

-- Location: LCCOMB_X59_Y17_N22
\WideAnd2130~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2130~1_combout\ = (\led_flash_cnt[2130][6]~q\ & \led_flash_cnt[2130][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2130][6]~q\,
	datad => \led_flash_cnt[2130][5]~q\,
	combout => \WideAnd2130~1_combout\);

-- Location: LCCOMB_X59_Y17_N28
\WideAnd2130~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2130~0_combout\ = (\led_flash_cnt[2130][3]~q\ & (\led_flash_cnt[2130][1]~q\ & (\led_flash_cnt[2130][4]~q\ & \led_flash_cnt[2130][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2130][3]~q\,
	datab => \led_flash_cnt[2130][1]~q\,
	datac => \led_flash_cnt[2130][4]~q\,
	datad => \led_flash_cnt[2130][2]~q\,
	combout => \WideAnd2130~0_combout\);

-- Location: LCCOMB_X59_Y17_N4
WideAnd2130 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2130~combout\ = (\led_flash_cnt[2130][0]~q\ & (\led_flash_cnt[2130][7]~q\ & (\WideAnd2130~1_combout\ & \WideAnd2130~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2130][0]~q\,
	datab => \led_flash_cnt[2130][7]~q\,
	datac => \WideAnd2130~1_combout\,
	datad => \WideAnd2130~0_combout\,
	combout => \WideAnd2130~combout\);

-- Location: FF_X59_Y17_N5
\led_flash_cnt_ands[2130]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2130~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2130));

-- Location: LCCOMB_X44_Y47_N24
\led_flash_cnt[2131][0]~82771\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2131][0]~82771_combout\ = !\led_flash_cnt[2131][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2131][0]~q\,
	combout => \led_flash_cnt[2131][0]~82771_combout\);

-- Location: FF_X44_Y47_N25
\led_flash_cnt[2131][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2131][0]~82771_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2131][0]~q\);

-- Location: LCCOMB_X45_Y47_N0
\led_flash_cnt[2131][1]~56714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2131][1]~56714_combout\ = (\led_flash_cnt[2131][0]~q\ & (\led_flash_cnt[2131][1]~q\ $ (VCC))) # (!\led_flash_cnt[2131][0]~q\ & (\led_flash_cnt[2131][1]~q\ & VCC))
-- \led_flash_cnt[2131][1]~56715\ = CARRY((\led_flash_cnt[2131][0]~q\ & \led_flash_cnt[2131][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2131][0]~q\,
	datab => \led_flash_cnt[2131][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2131][1]~56714_combout\,
	cout => \led_flash_cnt[2131][1]~56715\);

-- Location: FF_X45_Y47_N1
\led_flash_cnt[2131][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2131][1]~56714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2131][1]~q\);

-- Location: LCCOMB_X45_Y47_N2
\led_flash_cnt[2131][2]~56716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2131][2]~56716_combout\ = (\led_flash_cnt[2131][2]~q\ & (!\led_flash_cnt[2131][1]~56715\)) # (!\led_flash_cnt[2131][2]~q\ & ((\led_flash_cnt[2131][1]~56715\) # (GND)))
-- \led_flash_cnt[2131][2]~56717\ = CARRY((!\led_flash_cnt[2131][1]~56715\) # (!\led_flash_cnt[2131][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2131][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2131][1]~56715\,
	combout => \led_flash_cnt[2131][2]~56716_combout\,
	cout => \led_flash_cnt[2131][2]~56717\);

-- Location: FF_X45_Y47_N3
\led_flash_cnt[2131][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2131][2]~56716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2131][2]~q\);

-- Location: LCCOMB_X45_Y47_N4
\led_flash_cnt[2131][3]~56718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2131][3]~56718_combout\ = (\led_flash_cnt[2131][3]~q\ & (\led_flash_cnt[2131][2]~56717\ $ (GND))) # (!\led_flash_cnt[2131][3]~q\ & (!\led_flash_cnt[2131][2]~56717\ & VCC))
-- \led_flash_cnt[2131][3]~56719\ = CARRY((\led_flash_cnt[2131][3]~q\ & !\led_flash_cnt[2131][2]~56717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2131][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2131][2]~56717\,
	combout => \led_flash_cnt[2131][3]~56718_combout\,
	cout => \led_flash_cnt[2131][3]~56719\);

-- Location: FF_X45_Y47_N5
\led_flash_cnt[2131][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2131][3]~56718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2131][3]~q\);

-- Location: LCCOMB_X45_Y47_N6
\led_flash_cnt[2131][4]~56720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2131][4]~56720_combout\ = (\led_flash_cnt[2131][4]~q\ & (!\led_flash_cnt[2131][3]~56719\)) # (!\led_flash_cnt[2131][4]~q\ & ((\led_flash_cnt[2131][3]~56719\) # (GND)))
-- \led_flash_cnt[2131][4]~56721\ = CARRY((!\led_flash_cnt[2131][3]~56719\) # (!\led_flash_cnt[2131][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2131][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2131][3]~56719\,
	combout => \led_flash_cnt[2131][4]~56720_combout\,
	cout => \led_flash_cnt[2131][4]~56721\);

-- Location: FF_X45_Y47_N7
\led_flash_cnt[2131][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2131][4]~56720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2131][4]~q\);

-- Location: LCCOMB_X45_Y47_N8
\led_flash_cnt[2131][5]~56722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2131][5]~56722_combout\ = (\led_flash_cnt[2131][5]~q\ & (\led_flash_cnt[2131][4]~56721\ $ (GND))) # (!\led_flash_cnt[2131][5]~q\ & (!\led_flash_cnt[2131][4]~56721\ & VCC))
-- \led_flash_cnt[2131][5]~56723\ = CARRY((\led_flash_cnt[2131][5]~q\ & !\led_flash_cnt[2131][4]~56721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2131][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2131][4]~56721\,
	combout => \led_flash_cnt[2131][5]~56722_combout\,
	cout => \led_flash_cnt[2131][5]~56723\);

-- Location: FF_X45_Y47_N9
\led_flash_cnt[2131][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2131][5]~56722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2131][5]~q\);

-- Location: LCCOMB_X45_Y47_N10
\led_flash_cnt[2131][6]~56724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2131][6]~56724_combout\ = (\led_flash_cnt[2131][6]~q\ & (!\led_flash_cnt[2131][5]~56723\)) # (!\led_flash_cnt[2131][6]~q\ & ((\led_flash_cnt[2131][5]~56723\) # (GND)))
-- \led_flash_cnt[2131][6]~56725\ = CARRY((!\led_flash_cnt[2131][5]~56723\) # (!\led_flash_cnt[2131][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2131][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2131][5]~56723\,
	combout => \led_flash_cnt[2131][6]~56724_combout\,
	cout => \led_flash_cnt[2131][6]~56725\);

-- Location: FF_X45_Y47_N11
\led_flash_cnt[2131][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2131][6]~56724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2131][6]~q\);

-- Location: LCCOMB_X44_Y47_N30
\WideAnd2131~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2131~1_combout\ = (\led_flash_cnt[2131][6]~q\ & \led_flash_cnt[2131][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2131][6]~q\,
	datac => \led_flash_cnt[2131][5]~q\,
	combout => \WideAnd2131~1_combout\);

-- Location: LCCOMB_X45_Y47_N12
\led_flash_cnt[2131][7]~56726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2131][7]~56726_combout\ = \led_flash_cnt[2131][6]~56725\ $ (!\led_flash_cnt[2131][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2131][7]~q\,
	cin => \led_flash_cnt[2131][6]~56725\,
	combout => \led_flash_cnt[2131][7]~56726_combout\);

-- Location: FF_X45_Y47_N13
\led_flash_cnt[2131][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2131][7]~56726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2131][7]~q\);

-- Location: LCCOMB_X45_Y47_N28
\WideAnd2131~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2131~0_combout\ = (\led_flash_cnt[2131][4]~q\ & (\led_flash_cnt[2131][1]~q\ & (\led_flash_cnt[2131][3]~q\ & \led_flash_cnt[2131][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2131][4]~q\,
	datab => \led_flash_cnt[2131][1]~q\,
	datac => \led_flash_cnt[2131][3]~q\,
	datad => \led_flash_cnt[2131][2]~q\,
	combout => \WideAnd2131~0_combout\);

-- Location: LCCOMB_X44_Y47_N16
WideAnd2131 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2131~combout\ = (\WideAnd2131~1_combout\ & (\led_flash_cnt[2131][0]~q\ & (\led_flash_cnt[2131][7]~q\ & \WideAnd2131~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2131~1_combout\,
	datab => \led_flash_cnt[2131][0]~q\,
	datac => \led_flash_cnt[2131][7]~q\,
	datad => \WideAnd2131~0_combout\,
	combout => \WideAnd2131~combout\);

-- Location: FF_X44_Y47_N17
\led_flash_cnt_ands[2131]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2131~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2131));

-- Location: LCCOMB_X44_Y47_N28
\WideAnd4106~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4106~0_combout\ = (led_flash_cnt_ands(2129) & (led_flash_cnt_ands(2128) & (led_flash_cnt_ands(2130) & led_flash_cnt_ands(2131))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2129),
	datab => led_flash_cnt_ands(2128),
	datac => led_flash_cnt_ands(2130),
	datad => led_flash_cnt_ands(2131),
	combout => \WideAnd4106~0_combout\);

-- Location: LCCOMB_X16_Y31_N30
WideAnd4106 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4106~combout\ = (led_flash_cnt_ands(2134) & (led_flash_cnt_ands(2135) & (\WideAnd4106~1_combout\ & \WideAnd4106~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2134),
	datab => led_flash_cnt_ands(2135),
	datac => \WideAnd4106~1_combout\,
	datad => \WideAnd4106~0_combout\,
	combout => \WideAnd4106~combout\);

-- Location: FF_X16_Y31_N31
\led_flash_cnt_ands_1[266]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4106~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(266));

-- Location: LCCOMB_X52_Y19_N4
\led_flash_cnt[2117][0]~82757\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2117][0]~82757_combout\ = !\led_flash_cnt[2117][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2117][0]~q\,
	combout => \led_flash_cnt[2117][0]~82757_combout\);

-- Location: FF_X52_Y19_N5
\led_flash_cnt[2117][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2117][0]~82757_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2117][0]~q\);

-- Location: LCCOMB_X52_Y16_N18
\led_flash_cnt[2117][1]~56518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2117][1]~56518_combout\ = (\led_flash_cnt[2117][1]~q\ & (\led_flash_cnt[2117][0]~q\ $ (VCC))) # (!\led_flash_cnt[2117][1]~q\ & (\led_flash_cnt[2117][0]~q\ & VCC))
-- \led_flash_cnt[2117][1]~56519\ = CARRY((\led_flash_cnt[2117][1]~q\ & \led_flash_cnt[2117][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2117][1]~q\,
	datab => \led_flash_cnt[2117][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2117][1]~56518_combout\,
	cout => \led_flash_cnt[2117][1]~56519\);

-- Location: FF_X52_Y16_N19
\led_flash_cnt[2117][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2117][1]~56518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2117][1]~q\);

-- Location: LCCOMB_X52_Y16_N20
\led_flash_cnt[2117][2]~56520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2117][2]~56520_combout\ = (\led_flash_cnt[2117][2]~q\ & (!\led_flash_cnt[2117][1]~56519\)) # (!\led_flash_cnt[2117][2]~q\ & ((\led_flash_cnt[2117][1]~56519\) # (GND)))
-- \led_flash_cnt[2117][2]~56521\ = CARRY((!\led_flash_cnt[2117][1]~56519\) # (!\led_flash_cnt[2117][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2117][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2117][1]~56519\,
	combout => \led_flash_cnt[2117][2]~56520_combout\,
	cout => \led_flash_cnt[2117][2]~56521\);

-- Location: FF_X52_Y16_N21
\led_flash_cnt[2117][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2117][2]~56520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2117][2]~q\);

-- Location: LCCOMB_X52_Y16_N22
\led_flash_cnt[2117][3]~56522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2117][3]~56522_combout\ = (\led_flash_cnt[2117][3]~q\ & (\led_flash_cnt[2117][2]~56521\ $ (GND))) # (!\led_flash_cnt[2117][3]~q\ & (!\led_flash_cnt[2117][2]~56521\ & VCC))
-- \led_flash_cnt[2117][3]~56523\ = CARRY((\led_flash_cnt[2117][3]~q\ & !\led_flash_cnt[2117][2]~56521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2117][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2117][2]~56521\,
	combout => \led_flash_cnt[2117][3]~56522_combout\,
	cout => \led_flash_cnt[2117][3]~56523\);

-- Location: FF_X52_Y16_N23
\led_flash_cnt[2117][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2117][3]~56522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2117][3]~q\);

-- Location: LCCOMB_X52_Y16_N24
\led_flash_cnt[2117][4]~56524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2117][4]~56524_combout\ = (\led_flash_cnt[2117][4]~q\ & (!\led_flash_cnt[2117][3]~56523\)) # (!\led_flash_cnt[2117][4]~q\ & ((\led_flash_cnt[2117][3]~56523\) # (GND)))
-- \led_flash_cnt[2117][4]~56525\ = CARRY((!\led_flash_cnt[2117][3]~56523\) # (!\led_flash_cnt[2117][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2117][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2117][3]~56523\,
	combout => \led_flash_cnt[2117][4]~56524_combout\,
	cout => \led_flash_cnt[2117][4]~56525\);

-- Location: FF_X52_Y16_N25
\led_flash_cnt[2117][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2117][4]~56524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2117][4]~q\);

-- Location: LCCOMB_X52_Y16_N26
\led_flash_cnt[2117][5]~56526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2117][5]~56526_combout\ = (\led_flash_cnt[2117][5]~q\ & (\led_flash_cnt[2117][4]~56525\ $ (GND))) # (!\led_flash_cnt[2117][5]~q\ & (!\led_flash_cnt[2117][4]~56525\ & VCC))
-- \led_flash_cnt[2117][5]~56527\ = CARRY((\led_flash_cnt[2117][5]~q\ & !\led_flash_cnt[2117][4]~56525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2117][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2117][4]~56525\,
	combout => \led_flash_cnt[2117][5]~56526_combout\,
	cout => \led_flash_cnt[2117][5]~56527\);

-- Location: FF_X52_Y16_N27
\led_flash_cnt[2117][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2117][5]~56526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2117][5]~q\);

-- Location: LCCOMB_X52_Y16_N28
\led_flash_cnt[2117][6]~56528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2117][6]~56528_combout\ = (\led_flash_cnt[2117][6]~q\ & (!\led_flash_cnt[2117][5]~56527\)) # (!\led_flash_cnt[2117][6]~q\ & ((\led_flash_cnt[2117][5]~56527\) # (GND)))
-- \led_flash_cnt[2117][6]~56529\ = CARRY((!\led_flash_cnt[2117][5]~56527\) # (!\led_flash_cnt[2117][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2117][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2117][5]~56527\,
	combout => \led_flash_cnt[2117][6]~56528_combout\,
	cout => \led_flash_cnt[2117][6]~56529\);

-- Location: FF_X52_Y16_N29
\led_flash_cnt[2117][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2117][6]~56528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2117][6]~q\);

-- Location: LCCOMB_X52_Y16_N30
\led_flash_cnt[2117][7]~56530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2117][7]~56530_combout\ = \led_flash_cnt[2117][7]~q\ $ (!\led_flash_cnt[2117][6]~56529\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2117][7]~q\,
	cin => \led_flash_cnt[2117][6]~56529\,
	combout => \led_flash_cnt[2117][7]~56530_combout\);

-- Location: FF_X52_Y16_N31
\led_flash_cnt[2117][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2117][7]~56530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2117][7]~q\);

-- Location: LCCOMB_X52_Y19_N2
\WideAnd2117~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2117~1_combout\ = (\led_flash_cnt[2117][6]~q\ & \led_flash_cnt[2117][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2117][6]~q\,
	datad => \led_flash_cnt[2117][5]~q\,
	combout => \WideAnd2117~1_combout\);

-- Location: LCCOMB_X52_Y16_N2
\WideAnd2117~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2117~0_combout\ = (\led_flash_cnt[2117][1]~q\ & (\led_flash_cnt[2117][2]~q\ & (\led_flash_cnt[2117][3]~q\ & \led_flash_cnt[2117][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2117][1]~q\,
	datab => \led_flash_cnt[2117][2]~q\,
	datac => \led_flash_cnt[2117][3]~q\,
	datad => \led_flash_cnt[2117][4]~q\,
	combout => \WideAnd2117~0_combout\);

-- Location: LCCOMB_X52_Y19_N14
WideAnd2117 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2117~combout\ = (\led_flash_cnt[2117][7]~q\ & (\WideAnd2117~1_combout\ & (\led_flash_cnt[2117][0]~q\ & \WideAnd2117~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2117][7]~q\,
	datab => \WideAnd2117~1_combout\,
	datac => \led_flash_cnt[2117][0]~q\,
	datad => \WideAnd2117~0_combout\,
	combout => \WideAnd2117~combout\);

-- Location: FF_X52_Y19_N15
\led_flash_cnt_ands[2117]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2117~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2117));

-- Location: LCCOMB_X52_Y19_N6
\led_flash_cnt[2116][0]~82756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2116][0]~82756_combout\ = !\led_flash_cnt[2116][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2116][0]~q\,
	combout => \led_flash_cnt[2116][0]~82756_combout\);

-- Location: FF_X52_Y19_N7
\led_flash_cnt[2116][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2116][0]~82756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2116][0]~q\);

-- Location: LCCOMB_X52_Y19_N16
\led_flash_cnt[2116][1]~56504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2116][1]~56504_combout\ = (\led_flash_cnt[2116][0]~q\ & (\led_flash_cnt[2116][1]~q\ $ (VCC))) # (!\led_flash_cnt[2116][0]~q\ & (\led_flash_cnt[2116][1]~q\ & VCC))
-- \led_flash_cnt[2116][1]~56505\ = CARRY((\led_flash_cnt[2116][0]~q\ & \led_flash_cnt[2116][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2116][0]~q\,
	datab => \led_flash_cnt[2116][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2116][1]~56504_combout\,
	cout => \led_flash_cnt[2116][1]~56505\);

-- Location: FF_X52_Y19_N17
\led_flash_cnt[2116][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2116][1]~56504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2116][1]~q\);

-- Location: LCCOMB_X52_Y19_N18
\led_flash_cnt[2116][2]~56506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2116][2]~56506_combout\ = (\led_flash_cnt[2116][2]~q\ & (!\led_flash_cnt[2116][1]~56505\)) # (!\led_flash_cnt[2116][2]~q\ & ((\led_flash_cnt[2116][1]~56505\) # (GND)))
-- \led_flash_cnt[2116][2]~56507\ = CARRY((!\led_flash_cnt[2116][1]~56505\) # (!\led_flash_cnt[2116][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2116][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2116][1]~56505\,
	combout => \led_flash_cnt[2116][2]~56506_combout\,
	cout => \led_flash_cnt[2116][2]~56507\);

-- Location: FF_X52_Y19_N19
\led_flash_cnt[2116][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2116][2]~56506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2116][2]~q\);

-- Location: LCCOMB_X52_Y19_N20
\led_flash_cnt[2116][3]~56508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2116][3]~56508_combout\ = (\led_flash_cnt[2116][3]~q\ & (\led_flash_cnt[2116][2]~56507\ $ (GND))) # (!\led_flash_cnt[2116][3]~q\ & (!\led_flash_cnt[2116][2]~56507\ & VCC))
-- \led_flash_cnt[2116][3]~56509\ = CARRY((\led_flash_cnt[2116][3]~q\ & !\led_flash_cnt[2116][2]~56507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2116][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2116][2]~56507\,
	combout => \led_flash_cnt[2116][3]~56508_combout\,
	cout => \led_flash_cnt[2116][3]~56509\);

-- Location: FF_X52_Y19_N21
\led_flash_cnt[2116][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2116][3]~56508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2116][3]~q\);

-- Location: LCCOMB_X52_Y19_N22
\led_flash_cnt[2116][4]~56510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2116][4]~56510_combout\ = (\led_flash_cnt[2116][4]~q\ & (!\led_flash_cnt[2116][3]~56509\)) # (!\led_flash_cnt[2116][4]~q\ & ((\led_flash_cnt[2116][3]~56509\) # (GND)))
-- \led_flash_cnt[2116][4]~56511\ = CARRY((!\led_flash_cnt[2116][3]~56509\) # (!\led_flash_cnt[2116][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2116][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2116][3]~56509\,
	combout => \led_flash_cnt[2116][4]~56510_combout\,
	cout => \led_flash_cnt[2116][4]~56511\);

-- Location: FF_X52_Y19_N23
\led_flash_cnt[2116][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2116][4]~56510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2116][4]~q\);

-- Location: LCCOMB_X52_Y19_N24
\led_flash_cnt[2116][5]~56512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2116][5]~56512_combout\ = (\led_flash_cnt[2116][5]~q\ & (\led_flash_cnt[2116][4]~56511\ $ (GND))) # (!\led_flash_cnt[2116][5]~q\ & (!\led_flash_cnt[2116][4]~56511\ & VCC))
-- \led_flash_cnt[2116][5]~56513\ = CARRY((\led_flash_cnt[2116][5]~q\ & !\led_flash_cnt[2116][4]~56511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2116][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2116][4]~56511\,
	combout => \led_flash_cnt[2116][5]~56512_combout\,
	cout => \led_flash_cnt[2116][5]~56513\);

-- Location: FF_X52_Y19_N25
\led_flash_cnt[2116][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2116][5]~56512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2116][5]~q\);

-- Location: LCCOMB_X52_Y19_N26
\led_flash_cnt[2116][6]~56514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2116][6]~56514_combout\ = (\led_flash_cnt[2116][6]~q\ & (!\led_flash_cnt[2116][5]~56513\)) # (!\led_flash_cnt[2116][6]~q\ & ((\led_flash_cnt[2116][5]~56513\) # (GND)))
-- \led_flash_cnt[2116][6]~56515\ = CARRY((!\led_flash_cnt[2116][5]~56513\) # (!\led_flash_cnt[2116][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2116][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2116][5]~56513\,
	combout => \led_flash_cnt[2116][6]~56514_combout\,
	cout => \led_flash_cnt[2116][6]~56515\);

-- Location: FF_X52_Y19_N27
\led_flash_cnt[2116][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2116][6]~56514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2116][6]~q\);

-- Location: LCCOMB_X52_Y19_N28
\led_flash_cnt[2116][7]~56516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2116][7]~56516_combout\ = \led_flash_cnt[2116][6]~56515\ $ (!\led_flash_cnt[2116][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2116][7]~q\,
	cin => \led_flash_cnt[2116][6]~56515\,
	combout => \led_flash_cnt[2116][7]~56516_combout\);

-- Location: FF_X52_Y19_N29
\led_flash_cnt[2116][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2116][7]~56516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2116][7]~q\);

-- Location: LCCOMB_X52_Y19_N8
\WideAnd2116~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2116~1_combout\ = (\led_flash_cnt[2116][6]~q\ & \led_flash_cnt[2116][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2116][6]~q\,
	datad => \led_flash_cnt[2116][5]~q\,
	combout => \WideAnd2116~1_combout\);

-- Location: LCCOMB_X52_Y19_N12
\WideAnd2116~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2116~0_combout\ = (\led_flash_cnt[2116][2]~q\ & (\led_flash_cnt[2116][3]~q\ & (\led_flash_cnt[2116][4]~q\ & \led_flash_cnt[2116][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2116][2]~q\,
	datab => \led_flash_cnt[2116][3]~q\,
	datac => \led_flash_cnt[2116][4]~q\,
	datad => \led_flash_cnt[2116][1]~q\,
	combout => \WideAnd2116~0_combout\);

-- Location: LCCOMB_X52_Y19_N0
WideAnd2116 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2116~combout\ = (\led_flash_cnt[2116][0]~q\ & (\led_flash_cnt[2116][7]~q\ & (\WideAnd2116~1_combout\ & \WideAnd2116~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2116][0]~q\,
	datab => \led_flash_cnt[2116][7]~q\,
	datac => \WideAnd2116~1_combout\,
	datad => \WideAnd2116~0_combout\,
	combout => \WideAnd2116~combout\);

-- Location: FF_X52_Y19_N1
\led_flash_cnt_ands[2116]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2116~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2116));

-- Location: LCCOMB_X52_Y19_N10
\WideAnd4104~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4104~1_combout\ = (led_flash_cnt_ands(2117) & led_flash_cnt_ands(2116))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2117),
	datad => led_flash_cnt_ands(2116),
	combout => \WideAnd4104~1_combout\);

-- Location: LCCOMB_X52_Y11_N24
\led_flash_cnt[2118][0]~82758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2118][0]~82758_combout\ = !\led_flash_cnt[2118][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2118][0]~q\,
	combout => \led_flash_cnt[2118][0]~82758_combout\);

-- Location: FF_X52_Y11_N25
\led_flash_cnt[2118][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2118][0]~82758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2118][0]~q\);

-- Location: LCCOMB_X52_Y11_N0
\led_flash_cnt[2118][1]~56532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2118][1]~56532_combout\ = (\led_flash_cnt[2118][1]~q\ & (\led_flash_cnt[2118][0]~q\ $ (VCC))) # (!\led_flash_cnt[2118][1]~q\ & (\led_flash_cnt[2118][0]~q\ & VCC))
-- \led_flash_cnt[2118][1]~56533\ = CARRY((\led_flash_cnt[2118][1]~q\ & \led_flash_cnt[2118][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2118][1]~q\,
	datab => \led_flash_cnt[2118][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2118][1]~56532_combout\,
	cout => \led_flash_cnt[2118][1]~56533\);

-- Location: FF_X52_Y11_N1
\led_flash_cnt[2118][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2118][1]~56532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2118][1]~q\);

-- Location: LCCOMB_X52_Y11_N2
\led_flash_cnt[2118][2]~56534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2118][2]~56534_combout\ = (\led_flash_cnt[2118][2]~q\ & (!\led_flash_cnt[2118][1]~56533\)) # (!\led_flash_cnt[2118][2]~q\ & ((\led_flash_cnt[2118][1]~56533\) # (GND)))
-- \led_flash_cnt[2118][2]~56535\ = CARRY((!\led_flash_cnt[2118][1]~56533\) # (!\led_flash_cnt[2118][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2118][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2118][1]~56533\,
	combout => \led_flash_cnt[2118][2]~56534_combout\,
	cout => \led_flash_cnt[2118][2]~56535\);

-- Location: FF_X52_Y11_N3
\led_flash_cnt[2118][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2118][2]~56534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2118][2]~q\);

-- Location: LCCOMB_X52_Y11_N4
\led_flash_cnt[2118][3]~56536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2118][3]~56536_combout\ = (\led_flash_cnt[2118][3]~q\ & (\led_flash_cnt[2118][2]~56535\ $ (GND))) # (!\led_flash_cnt[2118][3]~q\ & (!\led_flash_cnt[2118][2]~56535\ & VCC))
-- \led_flash_cnt[2118][3]~56537\ = CARRY((\led_flash_cnt[2118][3]~q\ & !\led_flash_cnt[2118][2]~56535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2118][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2118][2]~56535\,
	combout => \led_flash_cnt[2118][3]~56536_combout\,
	cout => \led_flash_cnt[2118][3]~56537\);

-- Location: FF_X52_Y11_N5
\led_flash_cnt[2118][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2118][3]~56536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2118][3]~q\);

-- Location: LCCOMB_X52_Y11_N6
\led_flash_cnt[2118][4]~56538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2118][4]~56538_combout\ = (\led_flash_cnt[2118][4]~q\ & (!\led_flash_cnt[2118][3]~56537\)) # (!\led_flash_cnt[2118][4]~q\ & ((\led_flash_cnt[2118][3]~56537\) # (GND)))
-- \led_flash_cnt[2118][4]~56539\ = CARRY((!\led_flash_cnt[2118][3]~56537\) # (!\led_flash_cnt[2118][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2118][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2118][3]~56537\,
	combout => \led_flash_cnt[2118][4]~56538_combout\,
	cout => \led_flash_cnt[2118][4]~56539\);

-- Location: FF_X52_Y11_N7
\led_flash_cnt[2118][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2118][4]~56538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2118][4]~q\);

-- Location: LCCOMB_X52_Y11_N8
\led_flash_cnt[2118][5]~56540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2118][5]~56540_combout\ = (\led_flash_cnt[2118][5]~q\ & (\led_flash_cnt[2118][4]~56539\ $ (GND))) # (!\led_flash_cnt[2118][5]~q\ & (!\led_flash_cnt[2118][4]~56539\ & VCC))
-- \led_flash_cnt[2118][5]~56541\ = CARRY((\led_flash_cnt[2118][5]~q\ & !\led_flash_cnt[2118][4]~56539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2118][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2118][4]~56539\,
	combout => \led_flash_cnt[2118][5]~56540_combout\,
	cout => \led_flash_cnt[2118][5]~56541\);

-- Location: FF_X52_Y11_N9
\led_flash_cnt[2118][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2118][5]~56540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2118][5]~q\);

-- Location: LCCOMB_X52_Y11_N10
\led_flash_cnt[2118][6]~56542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2118][6]~56542_combout\ = (\led_flash_cnt[2118][6]~q\ & (!\led_flash_cnt[2118][5]~56541\)) # (!\led_flash_cnt[2118][6]~q\ & ((\led_flash_cnt[2118][5]~56541\) # (GND)))
-- \led_flash_cnt[2118][6]~56543\ = CARRY((!\led_flash_cnt[2118][5]~56541\) # (!\led_flash_cnt[2118][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2118][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2118][5]~56541\,
	combout => \led_flash_cnt[2118][6]~56542_combout\,
	cout => \led_flash_cnt[2118][6]~56543\);

-- Location: FF_X52_Y11_N11
\led_flash_cnt[2118][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2118][6]~56542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2118][6]~q\);

-- Location: LCCOMB_X52_Y11_N12
\led_flash_cnt[2118][7]~56544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2118][7]~56544_combout\ = \led_flash_cnt[2118][6]~56543\ $ (!\led_flash_cnt[2118][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2118][7]~q\,
	cin => \led_flash_cnt[2118][6]~56543\,
	combout => \led_flash_cnt[2118][7]~56544_combout\);

-- Location: FF_X52_Y11_N13
\led_flash_cnt[2118][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2118][7]~56544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2118][7]~q\);

-- Location: LCCOMB_X52_Y11_N26
\WideAnd2118~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2118~0_combout\ = (\led_flash_cnt[2118][4]~q\ & (\led_flash_cnt[2118][1]~q\ & (\led_flash_cnt[2118][3]~q\ & \led_flash_cnt[2118][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2118][4]~q\,
	datab => \led_flash_cnt[2118][1]~q\,
	datac => \led_flash_cnt[2118][3]~q\,
	datad => \led_flash_cnt[2118][2]~q\,
	combout => \WideAnd2118~0_combout\);

-- Location: LCCOMB_X52_Y11_N18
\WideAnd2118~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2118~1_combout\ = (\led_flash_cnt[2118][5]~q\ & \led_flash_cnt[2118][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2118][5]~q\,
	datad => \led_flash_cnt[2118][6]~q\,
	combout => \WideAnd2118~1_combout\);

-- Location: LCCOMB_X52_Y11_N20
WideAnd2118 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2118~combout\ = (\led_flash_cnt[2118][7]~q\ & (\led_flash_cnt[2118][0]~q\ & (\WideAnd2118~0_combout\ & \WideAnd2118~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2118][7]~q\,
	datab => \led_flash_cnt[2118][0]~q\,
	datac => \WideAnd2118~0_combout\,
	datad => \WideAnd2118~1_combout\,
	combout => \WideAnd2118~combout\);

-- Location: FF_X52_Y11_N21
\led_flash_cnt_ands[2118]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2118~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2118));

-- Location: LCCOMB_X13_Y10_N10
\led_flash_cnt[2115][0]~82755\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2115][0]~82755_combout\ = !\led_flash_cnt[2115][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2115][0]~q\,
	combout => \led_flash_cnt[2115][0]~82755_combout\);

-- Location: FF_X13_Y10_N11
\led_flash_cnt[2115][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2115][0]~82755_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2115][0]~q\);

-- Location: LCCOMB_X13_Y10_N18
\led_flash_cnt[2115][1]~56490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2115][1]~56490_combout\ = (\led_flash_cnt[2115][0]~q\ & (\led_flash_cnt[2115][1]~q\ $ (VCC))) # (!\led_flash_cnt[2115][0]~q\ & (\led_flash_cnt[2115][1]~q\ & VCC))
-- \led_flash_cnt[2115][1]~56491\ = CARRY((\led_flash_cnt[2115][0]~q\ & \led_flash_cnt[2115][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2115][0]~q\,
	datab => \led_flash_cnt[2115][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2115][1]~56490_combout\,
	cout => \led_flash_cnt[2115][1]~56491\);

-- Location: FF_X13_Y10_N19
\led_flash_cnt[2115][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2115][1]~56490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2115][1]~q\);

-- Location: LCCOMB_X13_Y10_N20
\led_flash_cnt[2115][2]~56492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2115][2]~56492_combout\ = (\led_flash_cnt[2115][2]~q\ & (!\led_flash_cnt[2115][1]~56491\)) # (!\led_flash_cnt[2115][2]~q\ & ((\led_flash_cnt[2115][1]~56491\) # (GND)))
-- \led_flash_cnt[2115][2]~56493\ = CARRY((!\led_flash_cnt[2115][1]~56491\) # (!\led_flash_cnt[2115][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2115][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2115][1]~56491\,
	combout => \led_flash_cnt[2115][2]~56492_combout\,
	cout => \led_flash_cnt[2115][2]~56493\);

-- Location: FF_X13_Y10_N21
\led_flash_cnt[2115][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2115][2]~56492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2115][2]~q\);

-- Location: LCCOMB_X13_Y10_N22
\led_flash_cnt[2115][3]~56494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2115][3]~56494_combout\ = (\led_flash_cnt[2115][3]~q\ & (\led_flash_cnt[2115][2]~56493\ $ (GND))) # (!\led_flash_cnt[2115][3]~q\ & (!\led_flash_cnt[2115][2]~56493\ & VCC))
-- \led_flash_cnt[2115][3]~56495\ = CARRY((\led_flash_cnt[2115][3]~q\ & !\led_flash_cnt[2115][2]~56493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2115][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2115][2]~56493\,
	combout => \led_flash_cnt[2115][3]~56494_combout\,
	cout => \led_flash_cnt[2115][3]~56495\);

-- Location: FF_X13_Y10_N23
\led_flash_cnt[2115][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2115][3]~56494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2115][3]~q\);

-- Location: LCCOMB_X13_Y10_N24
\led_flash_cnt[2115][4]~56496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2115][4]~56496_combout\ = (\led_flash_cnt[2115][4]~q\ & (!\led_flash_cnt[2115][3]~56495\)) # (!\led_flash_cnt[2115][4]~q\ & ((\led_flash_cnt[2115][3]~56495\) # (GND)))
-- \led_flash_cnt[2115][4]~56497\ = CARRY((!\led_flash_cnt[2115][3]~56495\) # (!\led_flash_cnt[2115][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2115][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2115][3]~56495\,
	combout => \led_flash_cnt[2115][4]~56496_combout\,
	cout => \led_flash_cnt[2115][4]~56497\);

-- Location: FF_X13_Y10_N25
\led_flash_cnt[2115][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2115][4]~56496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2115][4]~q\);

-- Location: LCCOMB_X13_Y10_N26
\led_flash_cnt[2115][5]~56498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2115][5]~56498_combout\ = (\led_flash_cnt[2115][5]~q\ & (\led_flash_cnt[2115][4]~56497\ $ (GND))) # (!\led_flash_cnt[2115][5]~q\ & (!\led_flash_cnt[2115][4]~56497\ & VCC))
-- \led_flash_cnt[2115][5]~56499\ = CARRY((\led_flash_cnt[2115][5]~q\ & !\led_flash_cnt[2115][4]~56497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2115][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2115][4]~56497\,
	combout => \led_flash_cnt[2115][5]~56498_combout\,
	cout => \led_flash_cnt[2115][5]~56499\);

-- Location: FF_X13_Y10_N27
\led_flash_cnt[2115][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2115][5]~56498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2115][5]~q\);

-- Location: LCCOMB_X13_Y10_N28
\led_flash_cnt[2115][6]~56500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2115][6]~56500_combout\ = (\led_flash_cnt[2115][6]~q\ & (!\led_flash_cnt[2115][5]~56499\)) # (!\led_flash_cnt[2115][6]~q\ & ((\led_flash_cnt[2115][5]~56499\) # (GND)))
-- \led_flash_cnt[2115][6]~56501\ = CARRY((!\led_flash_cnt[2115][5]~56499\) # (!\led_flash_cnt[2115][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2115][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2115][5]~56499\,
	combout => \led_flash_cnt[2115][6]~56500_combout\,
	cout => \led_flash_cnt[2115][6]~56501\);

-- Location: FF_X13_Y10_N29
\led_flash_cnt[2115][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2115][6]~56500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2115][6]~q\);

-- Location: LCCOMB_X13_Y10_N30
\led_flash_cnt[2115][7]~56502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2115][7]~56502_combout\ = \led_flash_cnt[2115][7]~q\ $ (!\led_flash_cnt[2115][6]~56501\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2115][7]~q\,
	cin => \led_flash_cnt[2115][6]~56501\,
	combout => \led_flash_cnt[2115][7]~56502_combout\);

-- Location: FF_X13_Y10_N31
\led_flash_cnt[2115][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2115][7]~56502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2115][7]~q\);

-- Location: LCCOMB_X13_Y10_N4
\WideAnd2115~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2115~1_combout\ = (\led_flash_cnt[2115][5]~q\ & \led_flash_cnt[2115][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2115][5]~q\,
	datad => \led_flash_cnt[2115][6]~q\,
	combout => \WideAnd2115~1_combout\);

-- Location: LCCOMB_X13_Y10_N8
\WideAnd2115~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2115~0_combout\ = (\led_flash_cnt[2115][2]~q\ & (\led_flash_cnt[2115][1]~q\ & (\led_flash_cnt[2115][3]~q\ & \led_flash_cnt[2115][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2115][2]~q\,
	datab => \led_flash_cnt[2115][1]~q\,
	datac => \led_flash_cnt[2115][3]~q\,
	datad => \led_flash_cnt[2115][4]~q\,
	combout => \WideAnd2115~0_combout\);

-- Location: LCCOMB_X13_Y10_N12
WideAnd2115 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2115~combout\ = (\led_flash_cnt[2115][7]~q\ & (\WideAnd2115~1_combout\ & (\WideAnd2115~0_combout\ & \led_flash_cnt[2115][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2115][7]~q\,
	datab => \WideAnd2115~1_combout\,
	datac => \WideAnd2115~0_combout\,
	datad => \led_flash_cnt[2115][0]~q\,
	combout => \WideAnd2115~combout\);

-- Location: FF_X13_Y10_N13
\led_flash_cnt_ands[2115]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2115~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2115));

-- Location: LCCOMB_X14_Y10_N10
\led_flash_cnt[2114][0]~82754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2114][0]~82754_combout\ = !\led_flash_cnt[2114][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2114][0]~q\,
	combout => \led_flash_cnt[2114][0]~82754_combout\);

-- Location: FF_X14_Y10_N11
\led_flash_cnt[2114][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2114][0]~82754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2114][0]~q\);

-- Location: LCCOMB_X14_Y10_N18
\led_flash_cnt[2114][1]~56476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2114][1]~56476_combout\ = (\led_flash_cnt[2114][0]~q\ & (\led_flash_cnt[2114][1]~q\ $ (VCC))) # (!\led_flash_cnt[2114][0]~q\ & (\led_flash_cnt[2114][1]~q\ & VCC))
-- \led_flash_cnt[2114][1]~56477\ = CARRY((\led_flash_cnt[2114][0]~q\ & \led_flash_cnt[2114][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2114][0]~q\,
	datab => \led_flash_cnt[2114][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2114][1]~56476_combout\,
	cout => \led_flash_cnt[2114][1]~56477\);

-- Location: FF_X14_Y10_N19
\led_flash_cnt[2114][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2114][1]~56476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2114][1]~q\);

-- Location: LCCOMB_X14_Y10_N20
\led_flash_cnt[2114][2]~56478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2114][2]~56478_combout\ = (\led_flash_cnt[2114][2]~q\ & (!\led_flash_cnt[2114][1]~56477\)) # (!\led_flash_cnt[2114][2]~q\ & ((\led_flash_cnt[2114][1]~56477\) # (GND)))
-- \led_flash_cnt[2114][2]~56479\ = CARRY((!\led_flash_cnt[2114][1]~56477\) # (!\led_flash_cnt[2114][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2114][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2114][1]~56477\,
	combout => \led_flash_cnt[2114][2]~56478_combout\,
	cout => \led_flash_cnt[2114][2]~56479\);

-- Location: FF_X14_Y10_N21
\led_flash_cnt[2114][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2114][2]~56478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2114][2]~q\);

-- Location: LCCOMB_X14_Y10_N22
\led_flash_cnt[2114][3]~56480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2114][3]~56480_combout\ = (\led_flash_cnt[2114][3]~q\ & (\led_flash_cnt[2114][2]~56479\ $ (GND))) # (!\led_flash_cnt[2114][3]~q\ & (!\led_flash_cnt[2114][2]~56479\ & VCC))
-- \led_flash_cnt[2114][3]~56481\ = CARRY((\led_flash_cnt[2114][3]~q\ & !\led_flash_cnt[2114][2]~56479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2114][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2114][2]~56479\,
	combout => \led_flash_cnt[2114][3]~56480_combout\,
	cout => \led_flash_cnt[2114][3]~56481\);

-- Location: FF_X14_Y10_N23
\led_flash_cnt[2114][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2114][3]~56480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2114][3]~q\);

-- Location: LCCOMB_X14_Y10_N24
\led_flash_cnt[2114][4]~56482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2114][4]~56482_combout\ = (\led_flash_cnt[2114][4]~q\ & (!\led_flash_cnt[2114][3]~56481\)) # (!\led_flash_cnt[2114][4]~q\ & ((\led_flash_cnt[2114][3]~56481\) # (GND)))
-- \led_flash_cnt[2114][4]~56483\ = CARRY((!\led_flash_cnt[2114][3]~56481\) # (!\led_flash_cnt[2114][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2114][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2114][3]~56481\,
	combout => \led_flash_cnt[2114][4]~56482_combout\,
	cout => \led_flash_cnt[2114][4]~56483\);

-- Location: FF_X14_Y10_N25
\led_flash_cnt[2114][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2114][4]~56482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2114][4]~q\);

-- Location: LCCOMB_X14_Y10_N26
\led_flash_cnt[2114][5]~56484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2114][5]~56484_combout\ = (\led_flash_cnt[2114][5]~q\ & (\led_flash_cnt[2114][4]~56483\ $ (GND))) # (!\led_flash_cnt[2114][5]~q\ & (!\led_flash_cnt[2114][4]~56483\ & VCC))
-- \led_flash_cnt[2114][5]~56485\ = CARRY((\led_flash_cnt[2114][5]~q\ & !\led_flash_cnt[2114][4]~56483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2114][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2114][4]~56483\,
	combout => \led_flash_cnt[2114][5]~56484_combout\,
	cout => \led_flash_cnt[2114][5]~56485\);

-- Location: FF_X14_Y10_N27
\led_flash_cnt[2114][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2114][5]~56484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2114][5]~q\);

-- Location: LCCOMB_X14_Y10_N28
\led_flash_cnt[2114][6]~56486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2114][6]~56486_combout\ = (\led_flash_cnt[2114][6]~q\ & (!\led_flash_cnt[2114][5]~56485\)) # (!\led_flash_cnt[2114][6]~q\ & ((\led_flash_cnt[2114][5]~56485\) # (GND)))
-- \led_flash_cnt[2114][6]~56487\ = CARRY((!\led_flash_cnt[2114][5]~56485\) # (!\led_flash_cnt[2114][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2114][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2114][5]~56485\,
	combout => \led_flash_cnt[2114][6]~56486_combout\,
	cout => \led_flash_cnt[2114][6]~56487\);

-- Location: FF_X14_Y10_N29
\led_flash_cnt[2114][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2114][6]~56486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2114][6]~q\);

-- Location: LCCOMB_X14_Y10_N4
\WideAnd2114~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2114~0_combout\ = (\led_flash_cnt[2114][1]~q\ & (\led_flash_cnt[2114][2]~q\ & (\led_flash_cnt[2114][3]~q\ & \led_flash_cnt[2114][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2114][1]~q\,
	datab => \led_flash_cnt[2114][2]~q\,
	datac => \led_flash_cnt[2114][3]~q\,
	datad => \led_flash_cnt[2114][4]~q\,
	combout => \WideAnd2114~0_combout\);

-- Location: LCCOMB_X14_Y10_N30
\led_flash_cnt[2114][7]~56488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2114][7]~56488_combout\ = \led_flash_cnt[2114][7]~q\ $ (!\led_flash_cnt[2114][6]~56487\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2114][7]~q\,
	cin => \led_flash_cnt[2114][6]~56487\,
	combout => \led_flash_cnt[2114][7]~56488_combout\);

-- Location: FF_X14_Y10_N31
\led_flash_cnt[2114][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2114][7]~56488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2114][7]~q\);

-- Location: LCCOMB_X14_Y10_N12
\WideAnd2114~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2114~1_combout\ = (\led_flash_cnt[2114][5]~q\ & \led_flash_cnt[2114][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2114][5]~q\,
	datac => \led_flash_cnt[2114][7]~q\,
	combout => \WideAnd2114~1_combout\);

-- Location: LCCOMB_X14_Y10_N8
WideAnd2114 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2114~combout\ = (\led_flash_cnt[2114][0]~q\ & (\led_flash_cnt[2114][6]~q\ & (\WideAnd2114~0_combout\ & \WideAnd2114~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2114][0]~q\,
	datab => \led_flash_cnt[2114][6]~q\,
	datac => \WideAnd2114~0_combout\,
	datad => \WideAnd2114~1_combout\,
	combout => \WideAnd2114~combout\);

-- Location: FF_X14_Y10_N9
\led_flash_cnt_ands[2114]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2114~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2114));

-- Location: LCCOMB_X9_Y8_N4
\led_flash_cnt[2113][0]~82753\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2113][0]~82753_combout\ = !\led_flash_cnt[2113][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2113][0]~q\,
	combout => \led_flash_cnt[2113][0]~82753_combout\);

-- Location: FF_X9_Y8_N5
\led_flash_cnt[2113][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2113][0]~82753_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2113][0]~q\);

-- Location: LCCOMB_X9_Y8_N6
\led_flash_cnt[2113][1]~56462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2113][1]~56462_combout\ = (\led_flash_cnt[2113][1]~q\ & (\led_flash_cnt[2113][0]~q\ $ (VCC))) # (!\led_flash_cnt[2113][1]~q\ & (\led_flash_cnt[2113][0]~q\ & VCC))
-- \led_flash_cnt[2113][1]~56463\ = CARRY((\led_flash_cnt[2113][1]~q\ & \led_flash_cnt[2113][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2113][1]~q\,
	datab => \led_flash_cnt[2113][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2113][1]~56462_combout\,
	cout => \led_flash_cnt[2113][1]~56463\);

-- Location: FF_X9_Y8_N7
\led_flash_cnt[2113][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2113][1]~56462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2113][1]~q\);

-- Location: LCCOMB_X9_Y8_N8
\led_flash_cnt[2113][2]~56464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2113][2]~56464_combout\ = (\led_flash_cnt[2113][2]~q\ & (!\led_flash_cnt[2113][1]~56463\)) # (!\led_flash_cnt[2113][2]~q\ & ((\led_flash_cnt[2113][1]~56463\) # (GND)))
-- \led_flash_cnt[2113][2]~56465\ = CARRY((!\led_flash_cnt[2113][1]~56463\) # (!\led_flash_cnt[2113][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2113][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2113][1]~56463\,
	combout => \led_flash_cnt[2113][2]~56464_combout\,
	cout => \led_flash_cnt[2113][2]~56465\);

-- Location: FF_X9_Y8_N9
\led_flash_cnt[2113][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2113][2]~56464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2113][2]~q\);

-- Location: LCCOMB_X9_Y8_N10
\led_flash_cnt[2113][3]~56466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2113][3]~56466_combout\ = (\led_flash_cnt[2113][3]~q\ & (\led_flash_cnt[2113][2]~56465\ $ (GND))) # (!\led_flash_cnt[2113][3]~q\ & (!\led_flash_cnt[2113][2]~56465\ & VCC))
-- \led_flash_cnt[2113][3]~56467\ = CARRY((\led_flash_cnt[2113][3]~q\ & !\led_flash_cnt[2113][2]~56465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2113][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2113][2]~56465\,
	combout => \led_flash_cnt[2113][3]~56466_combout\,
	cout => \led_flash_cnt[2113][3]~56467\);

-- Location: FF_X9_Y8_N11
\led_flash_cnt[2113][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2113][3]~56466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2113][3]~q\);

-- Location: LCCOMB_X9_Y8_N12
\led_flash_cnt[2113][4]~56468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2113][4]~56468_combout\ = (\led_flash_cnt[2113][4]~q\ & (!\led_flash_cnt[2113][3]~56467\)) # (!\led_flash_cnt[2113][4]~q\ & ((\led_flash_cnt[2113][3]~56467\) # (GND)))
-- \led_flash_cnt[2113][4]~56469\ = CARRY((!\led_flash_cnt[2113][3]~56467\) # (!\led_flash_cnt[2113][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2113][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2113][3]~56467\,
	combout => \led_flash_cnt[2113][4]~56468_combout\,
	cout => \led_flash_cnt[2113][4]~56469\);

-- Location: FF_X9_Y8_N13
\led_flash_cnt[2113][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2113][4]~56468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2113][4]~q\);

-- Location: LCCOMB_X9_Y8_N14
\led_flash_cnt[2113][5]~56470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2113][5]~56470_combout\ = (\led_flash_cnt[2113][5]~q\ & (\led_flash_cnt[2113][4]~56469\ $ (GND))) # (!\led_flash_cnt[2113][5]~q\ & (!\led_flash_cnt[2113][4]~56469\ & VCC))
-- \led_flash_cnt[2113][5]~56471\ = CARRY((\led_flash_cnt[2113][5]~q\ & !\led_flash_cnt[2113][4]~56469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2113][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2113][4]~56469\,
	combout => \led_flash_cnt[2113][5]~56470_combout\,
	cout => \led_flash_cnt[2113][5]~56471\);

-- Location: FF_X9_Y8_N15
\led_flash_cnt[2113][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2113][5]~56470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2113][5]~q\);

-- Location: LCCOMB_X9_Y8_N16
\led_flash_cnt[2113][6]~56472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2113][6]~56472_combout\ = (\led_flash_cnt[2113][6]~q\ & (!\led_flash_cnt[2113][5]~56471\)) # (!\led_flash_cnt[2113][6]~q\ & ((\led_flash_cnt[2113][5]~56471\) # (GND)))
-- \led_flash_cnt[2113][6]~56473\ = CARRY((!\led_flash_cnt[2113][5]~56471\) # (!\led_flash_cnt[2113][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2113][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2113][5]~56471\,
	combout => \led_flash_cnt[2113][6]~56472_combout\,
	cout => \led_flash_cnt[2113][6]~56473\);

-- Location: FF_X9_Y8_N17
\led_flash_cnt[2113][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2113][6]~56472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2113][6]~q\);

-- Location: LCCOMB_X9_Y8_N28
\WideAnd2113~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2113~0_combout\ = (\led_flash_cnt[2113][3]~q\ & (\led_flash_cnt[2113][5]~q\ & (\led_flash_cnt[2113][2]~q\ & \led_flash_cnt[2113][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2113][3]~q\,
	datab => \led_flash_cnt[2113][5]~q\,
	datac => \led_flash_cnt[2113][2]~q\,
	datad => \led_flash_cnt[2113][6]~q\,
	combout => \WideAnd2113~0_combout\);

-- Location: LCCOMB_X9_Y8_N18
\led_flash_cnt[2113][7]~56474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2113][7]~56474_combout\ = \led_flash_cnt[2113][6]~56473\ $ (!\led_flash_cnt[2113][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2113][7]~q\,
	cin => \led_flash_cnt[2113][6]~56473\,
	combout => \led_flash_cnt[2113][7]~56474_combout\);

-- Location: FF_X9_Y8_N19
\led_flash_cnt[2113][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2113][7]~56474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2113][7]~q\);

-- Location: LCCOMB_X9_Y8_N22
\WideAnd2113~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2113~1_combout\ = (\led_flash_cnt[2113][0]~q\ & \led_flash_cnt[2113][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2113][0]~q\,
	datad => \led_flash_cnt[2113][7]~q\,
	combout => \WideAnd2113~1_combout\);

-- Location: LCCOMB_X9_Y8_N24
WideAnd2113 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2113~combout\ = (\led_flash_cnt[2113][1]~q\ & (\WideAnd2113~0_combout\ & (\WideAnd2113~1_combout\ & \led_flash_cnt[2113][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2113][1]~q\,
	datab => \WideAnd2113~0_combout\,
	datac => \WideAnd2113~1_combout\,
	datad => \led_flash_cnt[2113][4]~q\,
	combout => \WideAnd2113~combout\);

-- Location: FF_X9_Y8_N25
\led_flash_cnt_ands[2113]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2113~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2113));

-- Location: LCCOMB_X11_Y6_N12
\led_flash_cnt[2112][0]~82752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2112][0]~82752_combout\ = !\led_flash_cnt[2112][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2112][0]~q\,
	combout => \led_flash_cnt[2112][0]~82752_combout\);

-- Location: FF_X11_Y6_N13
\led_flash_cnt[2112][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2112][0]~82752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2112][0]~q\);

-- Location: LCCOMB_X11_Y6_N16
\led_flash_cnt[2112][1]~56448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2112][1]~56448_combout\ = (\led_flash_cnt[2112][0]~q\ & (\led_flash_cnt[2112][1]~q\ $ (VCC))) # (!\led_flash_cnt[2112][0]~q\ & (\led_flash_cnt[2112][1]~q\ & VCC))
-- \led_flash_cnt[2112][1]~56449\ = CARRY((\led_flash_cnt[2112][0]~q\ & \led_flash_cnt[2112][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2112][0]~q\,
	datab => \led_flash_cnt[2112][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2112][1]~56448_combout\,
	cout => \led_flash_cnt[2112][1]~56449\);

-- Location: FF_X11_Y6_N17
\led_flash_cnt[2112][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2112][1]~56448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2112][1]~q\);

-- Location: LCCOMB_X11_Y6_N18
\led_flash_cnt[2112][2]~56450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2112][2]~56450_combout\ = (\led_flash_cnt[2112][2]~q\ & (!\led_flash_cnt[2112][1]~56449\)) # (!\led_flash_cnt[2112][2]~q\ & ((\led_flash_cnt[2112][1]~56449\) # (GND)))
-- \led_flash_cnt[2112][2]~56451\ = CARRY((!\led_flash_cnt[2112][1]~56449\) # (!\led_flash_cnt[2112][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2112][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2112][1]~56449\,
	combout => \led_flash_cnt[2112][2]~56450_combout\,
	cout => \led_flash_cnt[2112][2]~56451\);

-- Location: FF_X11_Y6_N19
\led_flash_cnt[2112][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2112][2]~56450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2112][2]~q\);

-- Location: LCCOMB_X11_Y6_N20
\led_flash_cnt[2112][3]~56452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2112][3]~56452_combout\ = (\led_flash_cnt[2112][3]~q\ & (\led_flash_cnt[2112][2]~56451\ $ (GND))) # (!\led_flash_cnt[2112][3]~q\ & (!\led_flash_cnt[2112][2]~56451\ & VCC))
-- \led_flash_cnt[2112][3]~56453\ = CARRY((\led_flash_cnt[2112][3]~q\ & !\led_flash_cnt[2112][2]~56451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2112][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2112][2]~56451\,
	combout => \led_flash_cnt[2112][3]~56452_combout\,
	cout => \led_flash_cnt[2112][3]~56453\);

-- Location: FF_X11_Y6_N21
\led_flash_cnt[2112][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2112][3]~56452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2112][3]~q\);

-- Location: LCCOMB_X11_Y6_N22
\led_flash_cnt[2112][4]~56454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2112][4]~56454_combout\ = (\led_flash_cnt[2112][4]~q\ & (!\led_flash_cnt[2112][3]~56453\)) # (!\led_flash_cnt[2112][4]~q\ & ((\led_flash_cnt[2112][3]~56453\) # (GND)))
-- \led_flash_cnt[2112][4]~56455\ = CARRY((!\led_flash_cnt[2112][3]~56453\) # (!\led_flash_cnt[2112][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2112][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2112][3]~56453\,
	combout => \led_flash_cnt[2112][4]~56454_combout\,
	cout => \led_flash_cnt[2112][4]~56455\);

-- Location: FF_X11_Y6_N23
\led_flash_cnt[2112][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2112][4]~56454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2112][4]~q\);

-- Location: LCCOMB_X11_Y6_N24
\led_flash_cnt[2112][5]~56456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2112][5]~56456_combout\ = (\led_flash_cnt[2112][5]~q\ & (\led_flash_cnt[2112][4]~56455\ $ (GND))) # (!\led_flash_cnt[2112][5]~q\ & (!\led_flash_cnt[2112][4]~56455\ & VCC))
-- \led_flash_cnt[2112][5]~56457\ = CARRY((\led_flash_cnt[2112][5]~q\ & !\led_flash_cnt[2112][4]~56455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2112][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2112][4]~56455\,
	combout => \led_flash_cnt[2112][5]~56456_combout\,
	cout => \led_flash_cnt[2112][5]~56457\);

-- Location: FF_X11_Y6_N25
\led_flash_cnt[2112][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2112][5]~56456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2112][5]~q\);

-- Location: LCCOMB_X11_Y6_N26
\led_flash_cnt[2112][6]~56458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2112][6]~56458_combout\ = (\led_flash_cnt[2112][6]~q\ & (!\led_flash_cnt[2112][5]~56457\)) # (!\led_flash_cnt[2112][6]~q\ & ((\led_flash_cnt[2112][5]~56457\) # (GND)))
-- \led_flash_cnt[2112][6]~56459\ = CARRY((!\led_flash_cnt[2112][5]~56457\) # (!\led_flash_cnt[2112][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2112][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2112][5]~56457\,
	combout => \led_flash_cnt[2112][6]~56458_combout\,
	cout => \led_flash_cnt[2112][6]~56459\);

-- Location: FF_X11_Y6_N27
\led_flash_cnt[2112][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2112][6]~56458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2112][6]~q\);

-- Location: LCCOMB_X11_Y6_N10
\WideAnd2112~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2112~1_combout\ = (\led_flash_cnt[2112][6]~q\ & \led_flash_cnt[2112][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2112][6]~q\,
	datad => \led_flash_cnt[2112][5]~q\,
	combout => \WideAnd2112~1_combout\);

-- Location: LCCOMB_X11_Y6_N28
\led_flash_cnt[2112][7]~56460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2112][7]~56460_combout\ = \led_flash_cnt[2112][6]~56459\ $ (!\led_flash_cnt[2112][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2112][7]~q\,
	cin => \led_flash_cnt[2112][6]~56459\,
	combout => \led_flash_cnt[2112][7]~56460_combout\);

-- Location: FF_X11_Y6_N29
\led_flash_cnt[2112][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2112][7]~56460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2112][7]~q\);

-- Location: LCCOMB_X11_Y6_N30
\WideAnd2112~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2112~0_combout\ = (\led_flash_cnt[2112][1]~q\ & (\led_flash_cnt[2112][3]~q\ & (\led_flash_cnt[2112][4]~q\ & \led_flash_cnt[2112][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2112][1]~q\,
	datab => \led_flash_cnt[2112][3]~q\,
	datac => \led_flash_cnt[2112][4]~q\,
	datad => \led_flash_cnt[2112][2]~q\,
	combout => \WideAnd2112~0_combout\);

-- Location: LCCOMB_X11_Y6_N4
WideAnd2112 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2112~combout\ = (\WideAnd2112~1_combout\ & (\led_flash_cnt[2112][7]~q\ & (\WideAnd2112~0_combout\ & \led_flash_cnt[2112][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2112~1_combout\,
	datab => \led_flash_cnt[2112][7]~q\,
	datac => \WideAnd2112~0_combout\,
	datad => \led_flash_cnt[2112][0]~q\,
	combout => \WideAnd2112~combout\);

-- Location: FF_X11_Y6_N5
\led_flash_cnt_ands[2112]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2112~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2112));

-- Location: LCCOMB_X13_Y10_N0
\WideAnd4104~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4104~0_combout\ = (led_flash_cnt_ands(2115) & (led_flash_cnt_ands(2114) & (led_flash_cnt_ands(2113) & led_flash_cnt_ands(2112))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2115),
	datab => led_flash_cnt_ands(2114),
	datac => led_flash_cnt_ands(2113),
	datad => led_flash_cnt_ands(2112),
	combout => \WideAnd4104~0_combout\);

-- Location: LCCOMB_X56_Y15_N30
\led_flash_cnt[2119][0]~82759\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2119][0]~82759_combout\ = !\led_flash_cnt[2119][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2119][0]~q\,
	combout => \led_flash_cnt[2119][0]~82759_combout\);

-- Location: FF_X56_Y15_N31
\led_flash_cnt[2119][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2119][0]~82759_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2119][0]~q\);

-- Location: LCCOMB_X56_Y15_N4
\led_flash_cnt[2119][1]~56546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2119][1]~56546_combout\ = (\led_flash_cnt[2119][0]~q\ & (\led_flash_cnt[2119][1]~q\ $ (VCC))) # (!\led_flash_cnt[2119][0]~q\ & (\led_flash_cnt[2119][1]~q\ & VCC))
-- \led_flash_cnt[2119][1]~56547\ = CARRY((\led_flash_cnt[2119][0]~q\ & \led_flash_cnt[2119][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2119][0]~q\,
	datab => \led_flash_cnt[2119][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2119][1]~56546_combout\,
	cout => \led_flash_cnt[2119][1]~56547\);

-- Location: FF_X56_Y15_N5
\led_flash_cnt[2119][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2119][1]~56546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2119][1]~q\);

-- Location: LCCOMB_X56_Y15_N6
\led_flash_cnt[2119][2]~56548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2119][2]~56548_combout\ = (\led_flash_cnt[2119][2]~q\ & (!\led_flash_cnt[2119][1]~56547\)) # (!\led_flash_cnt[2119][2]~q\ & ((\led_flash_cnt[2119][1]~56547\) # (GND)))
-- \led_flash_cnt[2119][2]~56549\ = CARRY((!\led_flash_cnt[2119][1]~56547\) # (!\led_flash_cnt[2119][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2119][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2119][1]~56547\,
	combout => \led_flash_cnt[2119][2]~56548_combout\,
	cout => \led_flash_cnt[2119][2]~56549\);

-- Location: FF_X56_Y15_N7
\led_flash_cnt[2119][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2119][2]~56548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2119][2]~q\);

-- Location: LCCOMB_X56_Y15_N8
\led_flash_cnt[2119][3]~56550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2119][3]~56550_combout\ = (\led_flash_cnt[2119][3]~q\ & (\led_flash_cnt[2119][2]~56549\ $ (GND))) # (!\led_flash_cnt[2119][3]~q\ & (!\led_flash_cnt[2119][2]~56549\ & VCC))
-- \led_flash_cnt[2119][3]~56551\ = CARRY((\led_flash_cnt[2119][3]~q\ & !\led_flash_cnt[2119][2]~56549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2119][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2119][2]~56549\,
	combout => \led_flash_cnt[2119][3]~56550_combout\,
	cout => \led_flash_cnt[2119][3]~56551\);

-- Location: FF_X56_Y15_N9
\led_flash_cnt[2119][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2119][3]~56550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2119][3]~q\);

-- Location: LCCOMB_X56_Y15_N10
\led_flash_cnt[2119][4]~56552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2119][4]~56552_combout\ = (\led_flash_cnt[2119][4]~q\ & (!\led_flash_cnt[2119][3]~56551\)) # (!\led_flash_cnt[2119][4]~q\ & ((\led_flash_cnt[2119][3]~56551\) # (GND)))
-- \led_flash_cnt[2119][4]~56553\ = CARRY((!\led_flash_cnt[2119][3]~56551\) # (!\led_flash_cnt[2119][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2119][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2119][3]~56551\,
	combout => \led_flash_cnt[2119][4]~56552_combout\,
	cout => \led_flash_cnt[2119][4]~56553\);

-- Location: FF_X56_Y15_N11
\led_flash_cnt[2119][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2119][4]~56552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2119][4]~q\);

-- Location: LCCOMB_X56_Y15_N12
\led_flash_cnt[2119][5]~56554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2119][5]~56554_combout\ = (\led_flash_cnt[2119][5]~q\ & (\led_flash_cnt[2119][4]~56553\ $ (GND))) # (!\led_flash_cnt[2119][5]~q\ & (!\led_flash_cnt[2119][4]~56553\ & VCC))
-- \led_flash_cnt[2119][5]~56555\ = CARRY((\led_flash_cnt[2119][5]~q\ & !\led_flash_cnt[2119][4]~56553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2119][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2119][4]~56553\,
	combout => \led_flash_cnt[2119][5]~56554_combout\,
	cout => \led_flash_cnt[2119][5]~56555\);

-- Location: FF_X56_Y15_N13
\led_flash_cnt[2119][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2119][5]~56554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2119][5]~q\);

-- Location: LCCOMB_X56_Y15_N14
\led_flash_cnt[2119][6]~56556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2119][6]~56556_combout\ = (\led_flash_cnt[2119][6]~q\ & (!\led_flash_cnt[2119][5]~56555\)) # (!\led_flash_cnt[2119][6]~q\ & ((\led_flash_cnt[2119][5]~56555\) # (GND)))
-- \led_flash_cnt[2119][6]~56557\ = CARRY((!\led_flash_cnt[2119][5]~56555\) # (!\led_flash_cnt[2119][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2119][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2119][5]~56555\,
	combout => \led_flash_cnt[2119][6]~56556_combout\,
	cout => \led_flash_cnt[2119][6]~56557\);

-- Location: FF_X56_Y15_N15
\led_flash_cnt[2119][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2119][6]~56556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2119][6]~q\);

-- Location: LCCOMB_X56_Y15_N16
\led_flash_cnt[2119][7]~56558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2119][7]~56558_combout\ = \led_flash_cnt[2119][6]~56557\ $ (!\led_flash_cnt[2119][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2119][7]~q\,
	cin => \led_flash_cnt[2119][6]~56557\,
	combout => \led_flash_cnt[2119][7]~56558_combout\);

-- Location: FF_X56_Y15_N17
\led_flash_cnt[2119][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2119][7]~56558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2119][7]~q\);

-- Location: LCCOMB_X56_Y15_N26
\WideAnd2119~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2119~1_combout\ = (\led_flash_cnt[2119][6]~q\ & \led_flash_cnt[2119][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2119][6]~q\,
	datad => \led_flash_cnt[2119][5]~q\,
	combout => \WideAnd2119~1_combout\);

-- Location: LCCOMB_X56_Y15_N18
\WideAnd2119~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2119~0_combout\ = (\led_flash_cnt[2119][4]~q\ & (\led_flash_cnt[2119][1]~q\ & (\led_flash_cnt[2119][3]~q\ & \led_flash_cnt[2119][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2119][4]~q\,
	datab => \led_flash_cnt[2119][1]~q\,
	datac => \led_flash_cnt[2119][3]~q\,
	datad => \led_flash_cnt[2119][2]~q\,
	combout => \WideAnd2119~0_combout\);

-- Location: LCCOMB_X56_Y15_N24
WideAnd2119 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2119~combout\ = (\led_flash_cnt[2119][0]~q\ & (\led_flash_cnt[2119][7]~q\ & (\WideAnd2119~1_combout\ & \WideAnd2119~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2119][0]~q\,
	datab => \led_flash_cnt[2119][7]~q\,
	datac => \WideAnd2119~1_combout\,
	datad => \WideAnd2119~0_combout\,
	combout => \WideAnd2119~combout\);

-- Location: FF_X56_Y15_N25
\led_flash_cnt_ands[2119]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2119~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2119));

-- Location: LCCOMB_X56_Y15_N22
WideAnd4104 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4104~combout\ = (\WideAnd4104~1_combout\ & (led_flash_cnt_ands(2118) & (\WideAnd4104~0_combout\ & led_flash_cnt_ands(2119))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4104~1_combout\,
	datab => led_flash_cnt_ands(2118),
	datac => \WideAnd4104~0_combout\,
	datad => led_flash_cnt_ands(2119),
	combout => \WideAnd4104~combout\);

-- Location: FF_X56_Y15_N23
\led_flash_cnt_ands_1[264]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4104~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(264));

-- Location: LCCOMB_X59_Y11_N28
\led_flash_cnt[2127][0]~82767\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2127][0]~82767_combout\ = !\led_flash_cnt[2127][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2127][0]~q\,
	combout => \led_flash_cnt[2127][0]~82767_combout\);

-- Location: FF_X59_Y11_N29
\led_flash_cnt[2127][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2127][0]~82767_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2127][0]~q\);

-- Location: LCCOMB_X59_Y11_N6
\led_flash_cnt[2127][1]~56658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2127][1]~56658_combout\ = (\led_flash_cnt[2127][1]~q\ & (\led_flash_cnt[2127][0]~q\ $ (VCC))) # (!\led_flash_cnt[2127][1]~q\ & (\led_flash_cnt[2127][0]~q\ & VCC))
-- \led_flash_cnt[2127][1]~56659\ = CARRY((\led_flash_cnt[2127][1]~q\ & \led_flash_cnt[2127][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2127][1]~q\,
	datab => \led_flash_cnt[2127][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2127][1]~56658_combout\,
	cout => \led_flash_cnt[2127][1]~56659\);

-- Location: FF_X59_Y11_N7
\led_flash_cnt[2127][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2127][1]~56658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2127][1]~q\);

-- Location: LCCOMB_X59_Y11_N8
\led_flash_cnt[2127][2]~56660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2127][2]~56660_combout\ = (\led_flash_cnt[2127][2]~q\ & (!\led_flash_cnt[2127][1]~56659\)) # (!\led_flash_cnt[2127][2]~q\ & ((\led_flash_cnt[2127][1]~56659\) # (GND)))
-- \led_flash_cnt[2127][2]~56661\ = CARRY((!\led_flash_cnt[2127][1]~56659\) # (!\led_flash_cnt[2127][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2127][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2127][1]~56659\,
	combout => \led_flash_cnt[2127][2]~56660_combout\,
	cout => \led_flash_cnt[2127][2]~56661\);

-- Location: FF_X59_Y11_N9
\led_flash_cnt[2127][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2127][2]~56660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2127][2]~q\);

-- Location: LCCOMB_X59_Y11_N10
\led_flash_cnt[2127][3]~56662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2127][3]~56662_combout\ = (\led_flash_cnt[2127][3]~q\ & (\led_flash_cnt[2127][2]~56661\ $ (GND))) # (!\led_flash_cnt[2127][3]~q\ & (!\led_flash_cnt[2127][2]~56661\ & VCC))
-- \led_flash_cnt[2127][3]~56663\ = CARRY((\led_flash_cnt[2127][3]~q\ & !\led_flash_cnt[2127][2]~56661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2127][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2127][2]~56661\,
	combout => \led_flash_cnt[2127][3]~56662_combout\,
	cout => \led_flash_cnt[2127][3]~56663\);

-- Location: FF_X59_Y11_N11
\led_flash_cnt[2127][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2127][3]~56662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2127][3]~q\);

-- Location: LCCOMB_X59_Y11_N12
\led_flash_cnt[2127][4]~56664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2127][4]~56664_combout\ = (\led_flash_cnt[2127][4]~q\ & (!\led_flash_cnt[2127][3]~56663\)) # (!\led_flash_cnt[2127][4]~q\ & ((\led_flash_cnt[2127][3]~56663\) # (GND)))
-- \led_flash_cnt[2127][4]~56665\ = CARRY((!\led_flash_cnt[2127][3]~56663\) # (!\led_flash_cnt[2127][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2127][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2127][3]~56663\,
	combout => \led_flash_cnt[2127][4]~56664_combout\,
	cout => \led_flash_cnt[2127][4]~56665\);

-- Location: FF_X59_Y11_N13
\led_flash_cnt[2127][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2127][4]~56664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2127][4]~q\);

-- Location: LCCOMB_X59_Y11_N26
\WideAnd2127~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2127~0_combout\ = (\led_flash_cnt[2127][4]~q\ & (\led_flash_cnt[2127][1]~q\ & (\led_flash_cnt[2127][2]~q\ & \led_flash_cnt[2127][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2127][4]~q\,
	datab => \led_flash_cnt[2127][1]~q\,
	datac => \led_flash_cnt[2127][2]~q\,
	datad => \led_flash_cnt[2127][3]~q\,
	combout => \WideAnd2127~0_combout\);

-- Location: LCCOMB_X59_Y11_N14
\led_flash_cnt[2127][5]~56666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2127][5]~56666_combout\ = (\led_flash_cnt[2127][5]~q\ & (\led_flash_cnt[2127][4]~56665\ $ (GND))) # (!\led_flash_cnt[2127][5]~q\ & (!\led_flash_cnt[2127][4]~56665\ & VCC))
-- \led_flash_cnt[2127][5]~56667\ = CARRY((\led_flash_cnt[2127][5]~q\ & !\led_flash_cnt[2127][4]~56665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2127][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2127][4]~56665\,
	combout => \led_flash_cnt[2127][5]~56666_combout\,
	cout => \led_flash_cnt[2127][5]~56667\);

-- Location: FF_X59_Y11_N15
\led_flash_cnt[2127][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2127][5]~56666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2127][5]~q\);

-- Location: LCCOMB_X59_Y11_N16
\led_flash_cnt[2127][6]~56668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2127][6]~56668_combout\ = (\led_flash_cnt[2127][6]~q\ & (!\led_flash_cnt[2127][5]~56667\)) # (!\led_flash_cnt[2127][6]~q\ & ((\led_flash_cnt[2127][5]~56667\) # (GND)))
-- \led_flash_cnt[2127][6]~56669\ = CARRY((!\led_flash_cnt[2127][5]~56667\) # (!\led_flash_cnt[2127][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2127][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2127][5]~56667\,
	combout => \led_flash_cnt[2127][6]~56668_combout\,
	cout => \led_flash_cnt[2127][6]~56669\);

-- Location: FF_X59_Y11_N17
\led_flash_cnt[2127][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2127][6]~56668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2127][6]~q\);

-- Location: LCCOMB_X59_Y11_N18
\led_flash_cnt[2127][7]~56670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2127][7]~56670_combout\ = \led_flash_cnt[2127][6]~56669\ $ (!\led_flash_cnt[2127][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2127][7]~q\,
	cin => \led_flash_cnt[2127][6]~56669\,
	combout => \led_flash_cnt[2127][7]~56670_combout\);

-- Location: FF_X59_Y11_N19
\led_flash_cnt[2127][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2127][7]~56670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2127][7]~q\);

-- Location: LCCOMB_X59_Y11_N30
\WideAnd2127~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2127~1_combout\ = (\led_flash_cnt[2127][5]~q\ & \led_flash_cnt[2127][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2127][5]~q\,
	datad => \led_flash_cnt[2127][6]~q\,
	combout => \WideAnd2127~1_combout\);

-- Location: LCCOMB_X59_Y11_N22
WideAnd2127 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2127~combout\ = (\WideAnd2127~0_combout\ & (\led_flash_cnt[2127][7]~q\ & (\WideAnd2127~1_combout\ & \led_flash_cnt[2127][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2127~0_combout\,
	datab => \led_flash_cnt[2127][7]~q\,
	datac => \WideAnd2127~1_combout\,
	datad => \led_flash_cnt[2127][0]~q\,
	combout => \WideAnd2127~combout\);

-- Location: FF_X59_Y11_N23
\led_flash_cnt_ands[2127]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2127~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2127));

-- Location: LCCOMB_X59_Y11_N2
\led_flash_cnt[2126][0]~82766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2126][0]~82766_combout\ = !\led_flash_cnt[2126][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2126][0]~q\,
	combout => \led_flash_cnt[2126][0]~82766_combout\);

-- Location: FF_X59_Y11_N3
\led_flash_cnt[2126][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2126][0]~82766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2126][0]~q\);

-- Location: LCCOMB_X58_Y11_N0
\led_flash_cnt[2126][1]~56644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2126][1]~56644_combout\ = (\led_flash_cnt[2126][0]~q\ & (\led_flash_cnt[2126][1]~q\ $ (VCC))) # (!\led_flash_cnt[2126][0]~q\ & (\led_flash_cnt[2126][1]~q\ & VCC))
-- \led_flash_cnt[2126][1]~56645\ = CARRY((\led_flash_cnt[2126][0]~q\ & \led_flash_cnt[2126][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2126][0]~q\,
	datab => \led_flash_cnt[2126][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2126][1]~56644_combout\,
	cout => \led_flash_cnt[2126][1]~56645\);

-- Location: FF_X58_Y11_N1
\led_flash_cnt[2126][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2126][1]~56644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2126][1]~q\);

-- Location: LCCOMB_X58_Y11_N2
\led_flash_cnt[2126][2]~56646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2126][2]~56646_combout\ = (\led_flash_cnt[2126][2]~q\ & (!\led_flash_cnt[2126][1]~56645\)) # (!\led_flash_cnt[2126][2]~q\ & ((\led_flash_cnt[2126][1]~56645\) # (GND)))
-- \led_flash_cnt[2126][2]~56647\ = CARRY((!\led_flash_cnt[2126][1]~56645\) # (!\led_flash_cnt[2126][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2126][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2126][1]~56645\,
	combout => \led_flash_cnt[2126][2]~56646_combout\,
	cout => \led_flash_cnt[2126][2]~56647\);

-- Location: FF_X58_Y11_N3
\led_flash_cnt[2126][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2126][2]~56646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2126][2]~q\);

-- Location: LCCOMB_X58_Y11_N4
\led_flash_cnt[2126][3]~56648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2126][3]~56648_combout\ = (\led_flash_cnt[2126][3]~q\ & (\led_flash_cnt[2126][2]~56647\ $ (GND))) # (!\led_flash_cnt[2126][3]~q\ & (!\led_flash_cnt[2126][2]~56647\ & VCC))
-- \led_flash_cnt[2126][3]~56649\ = CARRY((\led_flash_cnt[2126][3]~q\ & !\led_flash_cnt[2126][2]~56647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2126][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2126][2]~56647\,
	combout => \led_flash_cnt[2126][3]~56648_combout\,
	cout => \led_flash_cnt[2126][3]~56649\);

-- Location: FF_X58_Y11_N5
\led_flash_cnt[2126][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2126][3]~56648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2126][3]~q\);

-- Location: LCCOMB_X58_Y11_N6
\led_flash_cnt[2126][4]~56650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2126][4]~56650_combout\ = (\led_flash_cnt[2126][4]~q\ & (!\led_flash_cnt[2126][3]~56649\)) # (!\led_flash_cnt[2126][4]~q\ & ((\led_flash_cnt[2126][3]~56649\) # (GND)))
-- \led_flash_cnt[2126][4]~56651\ = CARRY((!\led_flash_cnt[2126][3]~56649\) # (!\led_flash_cnt[2126][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2126][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2126][3]~56649\,
	combout => \led_flash_cnt[2126][4]~56650_combout\,
	cout => \led_flash_cnt[2126][4]~56651\);

-- Location: FF_X58_Y11_N7
\led_flash_cnt[2126][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2126][4]~56650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2126][4]~q\);

-- Location: LCCOMB_X58_Y11_N8
\led_flash_cnt[2126][5]~56652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2126][5]~56652_combout\ = (\led_flash_cnt[2126][5]~q\ & (\led_flash_cnt[2126][4]~56651\ $ (GND))) # (!\led_flash_cnt[2126][5]~q\ & (!\led_flash_cnt[2126][4]~56651\ & VCC))
-- \led_flash_cnt[2126][5]~56653\ = CARRY((\led_flash_cnt[2126][5]~q\ & !\led_flash_cnt[2126][4]~56651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2126][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2126][4]~56651\,
	combout => \led_flash_cnt[2126][5]~56652_combout\,
	cout => \led_flash_cnt[2126][5]~56653\);

-- Location: FF_X58_Y11_N9
\led_flash_cnt[2126][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2126][5]~56652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2126][5]~q\);

-- Location: LCCOMB_X58_Y11_N10
\led_flash_cnt[2126][6]~56654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2126][6]~56654_combout\ = (\led_flash_cnt[2126][6]~q\ & (!\led_flash_cnt[2126][5]~56653\)) # (!\led_flash_cnt[2126][6]~q\ & ((\led_flash_cnt[2126][5]~56653\) # (GND)))
-- \led_flash_cnt[2126][6]~56655\ = CARRY((!\led_flash_cnt[2126][5]~56653\) # (!\led_flash_cnt[2126][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2126][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2126][5]~56653\,
	combout => \led_flash_cnt[2126][6]~56654_combout\,
	cout => \led_flash_cnt[2126][6]~56655\);

-- Location: FF_X58_Y11_N11
\led_flash_cnt[2126][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2126][6]~56654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2126][6]~q\);

-- Location: LCCOMB_X58_Y11_N12
\led_flash_cnt[2126][7]~56656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2126][7]~56656_combout\ = \led_flash_cnt[2126][6]~56655\ $ (!\led_flash_cnt[2126][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2126][7]~q\,
	cin => \led_flash_cnt[2126][6]~56655\,
	combout => \led_flash_cnt[2126][7]~56656_combout\);

-- Location: FF_X58_Y11_N13
\led_flash_cnt[2126][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2126][7]~56656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2126][7]~q\);

-- Location: LCCOMB_X59_Y11_N24
\WideAnd2126~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2126~1_combout\ = (\led_flash_cnt[2126][6]~q\ & \led_flash_cnt[2126][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2126][6]~q\,
	datad => \led_flash_cnt[2126][5]~q\,
	combout => \WideAnd2126~1_combout\);

-- Location: LCCOMB_X58_Y11_N14
\WideAnd2126~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2126~0_combout\ = (\led_flash_cnt[2126][4]~q\ & (\led_flash_cnt[2126][1]~q\ & (\led_flash_cnt[2126][3]~q\ & \led_flash_cnt[2126][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2126][4]~q\,
	datab => \led_flash_cnt[2126][1]~q\,
	datac => \led_flash_cnt[2126][3]~q\,
	datad => \led_flash_cnt[2126][2]~q\,
	combout => \WideAnd2126~0_combout\);

-- Location: LCCOMB_X59_Y11_N20
WideAnd2126 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2126~combout\ = (\led_flash_cnt[2126][7]~q\ & (\WideAnd2126~1_combout\ & (\led_flash_cnt[2126][0]~q\ & \WideAnd2126~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2126][7]~q\,
	datab => \WideAnd2126~1_combout\,
	datac => \led_flash_cnt[2126][0]~q\,
	datad => \WideAnd2126~0_combout\,
	combout => \WideAnd2126~combout\);

-- Location: FF_X59_Y11_N21
\led_flash_cnt_ands[2126]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2126~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2126));

-- Location: LCCOMB_X64_Y9_N12
\led_flash_cnt[2123][0]~82763\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2123][0]~82763_combout\ = !\led_flash_cnt[2123][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2123][0]~q\,
	combout => \led_flash_cnt[2123][0]~82763_combout\);

-- Location: FF_X64_Y9_N13
\led_flash_cnt[2123][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2123][0]~82763_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2123][0]~q\);

-- Location: LCCOMB_X64_Y9_N18
\led_flash_cnt[2123][1]~56602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2123][1]~56602_combout\ = (\led_flash_cnt[2123][0]~q\ & (\led_flash_cnt[2123][1]~q\ $ (VCC))) # (!\led_flash_cnt[2123][0]~q\ & (\led_flash_cnt[2123][1]~q\ & VCC))
-- \led_flash_cnt[2123][1]~56603\ = CARRY((\led_flash_cnt[2123][0]~q\ & \led_flash_cnt[2123][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2123][0]~q\,
	datab => \led_flash_cnt[2123][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2123][1]~56602_combout\,
	cout => \led_flash_cnt[2123][1]~56603\);

-- Location: FF_X64_Y9_N19
\led_flash_cnt[2123][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2123][1]~56602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2123][1]~q\);

-- Location: LCCOMB_X64_Y9_N20
\led_flash_cnt[2123][2]~56604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2123][2]~56604_combout\ = (\led_flash_cnt[2123][2]~q\ & (!\led_flash_cnt[2123][1]~56603\)) # (!\led_flash_cnt[2123][2]~q\ & ((\led_flash_cnt[2123][1]~56603\) # (GND)))
-- \led_flash_cnt[2123][2]~56605\ = CARRY((!\led_flash_cnt[2123][1]~56603\) # (!\led_flash_cnt[2123][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2123][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2123][1]~56603\,
	combout => \led_flash_cnt[2123][2]~56604_combout\,
	cout => \led_flash_cnt[2123][2]~56605\);

-- Location: FF_X64_Y9_N21
\led_flash_cnt[2123][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2123][2]~56604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2123][2]~q\);

-- Location: LCCOMB_X64_Y9_N22
\led_flash_cnt[2123][3]~56606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2123][3]~56606_combout\ = (\led_flash_cnt[2123][3]~q\ & (\led_flash_cnt[2123][2]~56605\ $ (GND))) # (!\led_flash_cnt[2123][3]~q\ & (!\led_flash_cnt[2123][2]~56605\ & VCC))
-- \led_flash_cnt[2123][3]~56607\ = CARRY((\led_flash_cnt[2123][3]~q\ & !\led_flash_cnt[2123][2]~56605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2123][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2123][2]~56605\,
	combout => \led_flash_cnt[2123][3]~56606_combout\,
	cout => \led_flash_cnt[2123][3]~56607\);

-- Location: FF_X64_Y9_N23
\led_flash_cnt[2123][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2123][3]~56606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2123][3]~q\);

-- Location: LCCOMB_X64_Y9_N24
\led_flash_cnt[2123][4]~56608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2123][4]~56608_combout\ = (\led_flash_cnt[2123][4]~q\ & (!\led_flash_cnt[2123][3]~56607\)) # (!\led_flash_cnt[2123][4]~q\ & ((\led_flash_cnt[2123][3]~56607\) # (GND)))
-- \led_flash_cnt[2123][4]~56609\ = CARRY((!\led_flash_cnt[2123][3]~56607\) # (!\led_flash_cnt[2123][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2123][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2123][3]~56607\,
	combout => \led_flash_cnt[2123][4]~56608_combout\,
	cout => \led_flash_cnt[2123][4]~56609\);

-- Location: FF_X64_Y9_N25
\led_flash_cnt[2123][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2123][4]~56608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2123][4]~q\);

-- Location: LCCOMB_X64_Y9_N26
\led_flash_cnt[2123][5]~56610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2123][5]~56610_combout\ = (\led_flash_cnt[2123][5]~q\ & (\led_flash_cnt[2123][4]~56609\ $ (GND))) # (!\led_flash_cnt[2123][5]~q\ & (!\led_flash_cnt[2123][4]~56609\ & VCC))
-- \led_flash_cnt[2123][5]~56611\ = CARRY((\led_flash_cnt[2123][5]~q\ & !\led_flash_cnt[2123][4]~56609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2123][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2123][4]~56609\,
	combout => \led_flash_cnt[2123][5]~56610_combout\,
	cout => \led_flash_cnt[2123][5]~56611\);

-- Location: FF_X64_Y9_N27
\led_flash_cnt[2123][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2123][5]~56610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2123][5]~q\);

-- Location: LCCOMB_X64_Y9_N28
\led_flash_cnt[2123][6]~56612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2123][6]~56612_combout\ = (\led_flash_cnt[2123][6]~q\ & (!\led_flash_cnt[2123][5]~56611\)) # (!\led_flash_cnt[2123][6]~q\ & ((\led_flash_cnt[2123][5]~56611\) # (GND)))
-- \led_flash_cnt[2123][6]~56613\ = CARRY((!\led_flash_cnt[2123][5]~56611\) # (!\led_flash_cnt[2123][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2123][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2123][5]~56611\,
	combout => \led_flash_cnt[2123][6]~56612_combout\,
	cout => \led_flash_cnt[2123][6]~56613\);

-- Location: FF_X64_Y9_N29
\led_flash_cnt[2123][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2123][6]~56612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2123][6]~q\);

-- Location: LCCOMB_X64_Y9_N10
\WideAnd2123~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2123~1_combout\ = (\led_flash_cnt[2123][5]~q\ & \led_flash_cnt[2123][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2123][5]~q\,
	datad => \led_flash_cnt[2123][6]~q\,
	combout => \WideAnd2123~1_combout\);

-- Location: LCCOMB_X64_Y9_N14
\WideAnd2123~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2123~0_combout\ = (\led_flash_cnt[2123][4]~q\ & (\led_flash_cnt[2123][2]~q\ & (\led_flash_cnt[2123][3]~q\ & \led_flash_cnt[2123][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2123][4]~q\,
	datab => \led_flash_cnt[2123][2]~q\,
	datac => \led_flash_cnt[2123][3]~q\,
	datad => \led_flash_cnt[2123][1]~q\,
	combout => \WideAnd2123~0_combout\);

-- Location: LCCOMB_X64_Y9_N30
\led_flash_cnt[2123][7]~56614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2123][7]~56614_combout\ = \led_flash_cnt[2123][7]~q\ $ (!\led_flash_cnt[2123][6]~56613\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2123][7]~q\,
	cin => \led_flash_cnt[2123][6]~56613\,
	combout => \led_flash_cnt[2123][7]~56614_combout\);

-- Location: FF_X64_Y9_N31
\led_flash_cnt[2123][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2123][7]~56614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2123][7]~q\);

-- Location: LCCOMB_X64_Y9_N6
WideAnd2123 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2123~combout\ = (\WideAnd2123~1_combout\ & (\WideAnd2123~0_combout\ & (\led_flash_cnt[2123][7]~q\ & \led_flash_cnt[2123][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2123~1_combout\,
	datab => \WideAnd2123~0_combout\,
	datac => \led_flash_cnt[2123][7]~q\,
	datad => \led_flash_cnt[2123][0]~q\,
	combout => \WideAnd2123~combout\);

-- Location: FF_X64_Y9_N7
\led_flash_cnt_ands[2123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2123~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2123));

-- Location: LCCOMB_X64_Y4_N12
\led_flash_cnt[2120][0]~82760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2120][0]~82760_combout\ = !\led_flash_cnt[2120][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2120][0]~q\,
	combout => \led_flash_cnt[2120][0]~82760_combout\);

-- Location: FF_X64_Y4_N13
\led_flash_cnt[2120][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2120][0]~82760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2120][0]~q\);

-- Location: LCCOMB_X64_Y4_N18
\led_flash_cnt[2120][1]~56560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2120][1]~56560_combout\ = (\led_flash_cnt[2120][0]~q\ & (\led_flash_cnt[2120][1]~q\ $ (VCC))) # (!\led_flash_cnt[2120][0]~q\ & (\led_flash_cnt[2120][1]~q\ & VCC))
-- \led_flash_cnt[2120][1]~56561\ = CARRY((\led_flash_cnt[2120][0]~q\ & \led_flash_cnt[2120][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2120][0]~q\,
	datab => \led_flash_cnt[2120][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2120][1]~56560_combout\,
	cout => \led_flash_cnt[2120][1]~56561\);

-- Location: FF_X64_Y4_N19
\led_flash_cnt[2120][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2120][1]~56560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2120][1]~q\);

-- Location: LCCOMB_X64_Y4_N20
\led_flash_cnt[2120][2]~56562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2120][2]~56562_combout\ = (\led_flash_cnt[2120][2]~q\ & (!\led_flash_cnt[2120][1]~56561\)) # (!\led_flash_cnt[2120][2]~q\ & ((\led_flash_cnt[2120][1]~56561\) # (GND)))
-- \led_flash_cnt[2120][2]~56563\ = CARRY((!\led_flash_cnt[2120][1]~56561\) # (!\led_flash_cnt[2120][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2120][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2120][1]~56561\,
	combout => \led_flash_cnt[2120][2]~56562_combout\,
	cout => \led_flash_cnt[2120][2]~56563\);

-- Location: FF_X64_Y4_N21
\led_flash_cnt[2120][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2120][2]~56562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2120][2]~q\);

-- Location: LCCOMB_X64_Y4_N22
\led_flash_cnt[2120][3]~56564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2120][3]~56564_combout\ = (\led_flash_cnt[2120][3]~q\ & (\led_flash_cnt[2120][2]~56563\ $ (GND))) # (!\led_flash_cnt[2120][3]~q\ & (!\led_flash_cnt[2120][2]~56563\ & VCC))
-- \led_flash_cnt[2120][3]~56565\ = CARRY((\led_flash_cnt[2120][3]~q\ & !\led_flash_cnt[2120][2]~56563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2120][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2120][2]~56563\,
	combout => \led_flash_cnt[2120][3]~56564_combout\,
	cout => \led_flash_cnt[2120][3]~56565\);

-- Location: FF_X64_Y4_N23
\led_flash_cnt[2120][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2120][3]~56564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2120][3]~q\);

-- Location: LCCOMB_X64_Y4_N24
\led_flash_cnt[2120][4]~56566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2120][4]~56566_combout\ = (\led_flash_cnt[2120][4]~q\ & (!\led_flash_cnt[2120][3]~56565\)) # (!\led_flash_cnt[2120][4]~q\ & ((\led_flash_cnt[2120][3]~56565\) # (GND)))
-- \led_flash_cnt[2120][4]~56567\ = CARRY((!\led_flash_cnt[2120][3]~56565\) # (!\led_flash_cnt[2120][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2120][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2120][3]~56565\,
	combout => \led_flash_cnt[2120][4]~56566_combout\,
	cout => \led_flash_cnt[2120][4]~56567\);

-- Location: FF_X64_Y4_N25
\led_flash_cnt[2120][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2120][4]~56566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2120][4]~q\);

-- Location: LCCOMB_X64_Y4_N26
\led_flash_cnt[2120][5]~56568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2120][5]~56568_combout\ = (\led_flash_cnt[2120][5]~q\ & (\led_flash_cnt[2120][4]~56567\ $ (GND))) # (!\led_flash_cnt[2120][5]~q\ & (!\led_flash_cnt[2120][4]~56567\ & VCC))
-- \led_flash_cnt[2120][5]~56569\ = CARRY((\led_flash_cnt[2120][5]~q\ & !\led_flash_cnt[2120][4]~56567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2120][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2120][4]~56567\,
	combout => \led_flash_cnt[2120][5]~56568_combout\,
	cout => \led_flash_cnt[2120][5]~56569\);

-- Location: FF_X64_Y4_N27
\led_flash_cnt[2120][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2120][5]~56568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2120][5]~q\);

-- Location: LCCOMB_X64_Y4_N28
\led_flash_cnt[2120][6]~56570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2120][6]~56570_combout\ = (\led_flash_cnt[2120][6]~q\ & (!\led_flash_cnt[2120][5]~56569\)) # (!\led_flash_cnt[2120][6]~q\ & ((\led_flash_cnt[2120][5]~56569\) # (GND)))
-- \led_flash_cnt[2120][6]~56571\ = CARRY((!\led_flash_cnt[2120][5]~56569\) # (!\led_flash_cnt[2120][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2120][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2120][5]~56569\,
	combout => \led_flash_cnt[2120][6]~56570_combout\,
	cout => \led_flash_cnt[2120][6]~56571\);

-- Location: FF_X64_Y4_N29
\led_flash_cnt[2120][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2120][6]~56570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2120][6]~q\);

-- Location: LCCOMB_X64_Y4_N10
\WideAnd2120~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2120~1_combout\ = (\led_flash_cnt[2120][5]~q\ & \led_flash_cnt[2120][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2120][5]~q\,
	datad => \led_flash_cnt[2120][6]~q\,
	combout => \WideAnd2120~1_combout\);

-- Location: LCCOMB_X64_Y4_N4
\WideAnd2120~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2120~0_combout\ = (\led_flash_cnt[2120][2]~q\ & (\led_flash_cnt[2120][4]~q\ & (\led_flash_cnt[2120][3]~q\ & \led_flash_cnt[2120][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2120][2]~q\,
	datab => \led_flash_cnt[2120][4]~q\,
	datac => \led_flash_cnt[2120][3]~q\,
	datad => \led_flash_cnt[2120][1]~q\,
	combout => \WideAnd2120~0_combout\);

-- Location: LCCOMB_X64_Y4_N30
\led_flash_cnt[2120][7]~56572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2120][7]~56572_combout\ = \led_flash_cnt[2120][7]~q\ $ (!\led_flash_cnt[2120][6]~56571\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2120][7]~q\,
	cin => \led_flash_cnt[2120][6]~56571\,
	combout => \led_flash_cnt[2120][7]~56572_combout\);

-- Location: FF_X64_Y4_N31
\led_flash_cnt[2120][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2120][7]~56572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2120][7]~q\);

-- Location: LCCOMB_X64_Y4_N0
WideAnd2120 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2120~combout\ = (\WideAnd2120~1_combout\ & (\WideAnd2120~0_combout\ & (\led_flash_cnt[2120][7]~q\ & \led_flash_cnt[2120][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2120~1_combout\,
	datab => \WideAnd2120~0_combout\,
	datac => \led_flash_cnt[2120][7]~q\,
	datad => \led_flash_cnt[2120][0]~q\,
	combout => \WideAnd2120~combout\);

-- Location: FF_X64_Y4_N1
\led_flash_cnt_ands[2120]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2120~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2120));

-- Location: LCCOMB_X61_Y7_N24
\led_flash_cnt[2121][0]~82761\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2121][0]~82761_combout\ = !\led_flash_cnt[2121][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2121][0]~q\,
	combout => \led_flash_cnt[2121][0]~82761_combout\);

-- Location: FF_X61_Y7_N25
\led_flash_cnt[2121][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2121][0]~82761_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2121][0]~q\);

-- Location: LCCOMB_X61_Y7_N2
\led_flash_cnt[2121][1]~56574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2121][1]~56574_combout\ = (\led_flash_cnt[2121][1]~q\ & (\led_flash_cnt[2121][0]~q\ $ (VCC))) # (!\led_flash_cnt[2121][1]~q\ & (\led_flash_cnt[2121][0]~q\ & VCC))
-- \led_flash_cnt[2121][1]~56575\ = CARRY((\led_flash_cnt[2121][1]~q\ & \led_flash_cnt[2121][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2121][1]~q\,
	datab => \led_flash_cnt[2121][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2121][1]~56574_combout\,
	cout => \led_flash_cnt[2121][1]~56575\);

-- Location: FF_X61_Y7_N3
\led_flash_cnt[2121][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2121][1]~56574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2121][1]~q\);

-- Location: LCCOMB_X61_Y7_N4
\led_flash_cnt[2121][2]~56576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2121][2]~56576_combout\ = (\led_flash_cnt[2121][2]~q\ & (!\led_flash_cnt[2121][1]~56575\)) # (!\led_flash_cnt[2121][2]~q\ & ((\led_flash_cnt[2121][1]~56575\) # (GND)))
-- \led_flash_cnt[2121][2]~56577\ = CARRY((!\led_flash_cnt[2121][1]~56575\) # (!\led_flash_cnt[2121][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2121][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2121][1]~56575\,
	combout => \led_flash_cnt[2121][2]~56576_combout\,
	cout => \led_flash_cnt[2121][2]~56577\);

-- Location: FF_X61_Y7_N5
\led_flash_cnt[2121][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2121][2]~56576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2121][2]~q\);

-- Location: LCCOMB_X61_Y7_N6
\led_flash_cnt[2121][3]~56578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2121][3]~56578_combout\ = (\led_flash_cnt[2121][3]~q\ & (\led_flash_cnt[2121][2]~56577\ $ (GND))) # (!\led_flash_cnt[2121][3]~q\ & (!\led_flash_cnt[2121][2]~56577\ & VCC))
-- \led_flash_cnt[2121][3]~56579\ = CARRY((\led_flash_cnt[2121][3]~q\ & !\led_flash_cnt[2121][2]~56577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2121][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2121][2]~56577\,
	combout => \led_flash_cnt[2121][3]~56578_combout\,
	cout => \led_flash_cnt[2121][3]~56579\);

-- Location: FF_X61_Y7_N7
\led_flash_cnt[2121][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2121][3]~56578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2121][3]~q\);

-- Location: LCCOMB_X61_Y7_N8
\led_flash_cnt[2121][4]~56580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2121][4]~56580_combout\ = (\led_flash_cnt[2121][4]~q\ & (!\led_flash_cnt[2121][3]~56579\)) # (!\led_flash_cnt[2121][4]~q\ & ((\led_flash_cnt[2121][3]~56579\) # (GND)))
-- \led_flash_cnt[2121][4]~56581\ = CARRY((!\led_flash_cnt[2121][3]~56579\) # (!\led_flash_cnt[2121][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2121][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2121][3]~56579\,
	combout => \led_flash_cnt[2121][4]~56580_combout\,
	cout => \led_flash_cnt[2121][4]~56581\);

-- Location: FF_X61_Y7_N9
\led_flash_cnt[2121][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2121][4]~56580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2121][4]~q\);

-- Location: LCCOMB_X61_Y7_N10
\led_flash_cnt[2121][5]~56582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2121][5]~56582_combout\ = (\led_flash_cnt[2121][5]~q\ & (\led_flash_cnt[2121][4]~56581\ $ (GND))) # (!\led_flash_cnt[2121][5]~q\ & (!\led_flash_cnt[2121][4]~56581\ & VCC))
-- \led_flash_cnt[2121][5]~56583\ = CARRY((\led_flash_cnt[2121][5]~q\ & !\led_flash_cnt[2121][4]~56581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2121][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2121][4]~56581\,
	combout => \led_flash_cnt[2121][5]~56582_combout\,
	cout => \led_flash_cnt[2121][5]~56583\);

-- Location: FF_X61_Y7_N11
\led_flash_cnt[2121][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2121][5]~56582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2121][5]~q\);

-- Location: LCCOMB_X61_Y7_N12
\led_flash_cnt[2121][6]~56584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2121][6]~56584_combout\ = (\led_flash_cnt[2121][6]~q\ & (!\led_flash_cnt[2121][5]~56583\)) # (!\led_flash_cnt[2121][6]~q\ & ((\led_flash_cnt[2121][5]~56583\) # (GND)))
-- \led_flash_cnt[2121][6]~56585\ = CARRY((!\led_flash_cnt[2121][5]~56583\) # (!\led_flash_cnt[2121][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2121][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2121][5]~56583\,
	combout => \led_flash_cnt[2121][6]~56584_combout\,
	cout => \led_flash_cnt[2121][6]~56585\);

-- Location: FF_X61_Y7_N13
\led_flash_cnt[2121][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2121][6]~56584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2121][6]~q\);

-- Location: LCCOMB_X61_Y7_N22
\WideAnd2121~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2121~1_combout\ = (\led_flash_cnt[2121][6]~q\ & \led_flash_cnt[2121][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2121][6]~q\,
	datad => \led_flash_cnt[2121][5]~q\,
	combout => \WideAnd2121~1_combout\);

-- Location: LCCOMB_X61_Y7_N28
\WideAnd2121~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2121~0_combout\ = (\led_flash_cnt[2121][1]~q\ & (\led_flash_cnt[2121][4]~q\ & (\led_flash_cnt[2121][2]~q\ & \led_flash_cnt[2121][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2121][1]~q\,
	datab => \led_flash_cnt[2121][4]~q\,
	datac => \led_flash_cnt[2121][2]~q\,
	datad => \led_flash_cnt[2121][3]~q\,
	combout => \WideAnd2121~0_combout\);

-- Location: LCCOMB_X61_Y7_N14
\led_flash_cnt[2121][7]~56586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2121][7]~56586_combout\ = \led_flash_cnt[2121][7]~q\ $ (!\led_flash_cnt[2121][6]~56585\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2121][7]~q\,
	cin => \led_flash_cnt[2121][6]~56585\,
	combout => \led_flash_cnt[2121][7]~56586_combout\);

-- Location: FF_X61_Y7_N15
\led_flash_cnt[2121][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2121][7]~56586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2121][7]~q\);

-- Location: LCCOMB_X61_Y7_N26
WideAnd2121 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2121~combout\ = (\WideAnd2121~1_combout\ & (\WideAnd2121~0_combout\ & (\led_flash_cnt[2121][7]~q\ & \led_flash_cnt[2121][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2121~1_combout\,
	datab => \WideAnd2121~0_combout\,
	datac => \led_flash_cnt[2121][7]~q\,
	datad => \led_flash_cnt[2121][0]~q\,
	combout => \WideAnd2121~combout\);

-- Location: FF_X61_Y7_N27
\led_flash_cnt_ands[2121]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2121~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2121));

-- Location: LCCOMB_X64_Y9_N2
\led_flash_cnt[2122][0]~82762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2122][0]~82762_combout\ = !\led_flash_cnt[2122][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2122][0]~q\,
	combout => \led_flash_cnt[2122][0]~82762_combout\);

-- Location: FF_X64_Y9_N3
\led_flash_cnt[2122][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2122][0]~82762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2122][0]~q\);

-- Location: LCCOMB_X63_Y9_N0
\led_flash_cnt[2122][1]~56588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2122][1]~56588_combout\ = (\led_flash_cnt[2122][0]~q\ & (\led_flash_cnt[2122][1]~q\ $ (VCC))) # (!\led_flash_cnt[2122][0]~q\ & (\led_flash_cnt[2122][1]~q\ & VCC))
-- \led_flash_cnt[2122][1]~56589\ = CARRY((\led_flash_cnt[2122][0]~q\ & \led_flash_cnt[2122][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2122][0]~q\,
	datab => \led_flash_cnt[2122][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2122][1]~56588_combout\,
	cout => \led_flash_cnt[2122][1]~56589\);

-- Location: FF_X63_Y9_N1
\led_flash_cnt[2122][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2122][1]~56588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2122][1]~q\);

-- Location: LCCOMB_X63_Y9_N2
\led_flash_cnt[2122][2]~56590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2122][2]~56590_combout\ = (\led_flash_cnt[2122][2]~q\ & (!\led_flash_cnt[2122][1]~56589\)) # (!\led_flash_cnt[2122][2]~q\ & ((\led_flash_cnt[2122][1]~56589\) # (GND)))
-- \led_flash_cnt[2122][2]~56591\ = CARRY((!\led_flash_cnt[2122][1]~56589\) # (!\led_flash_cnt[2122][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2122][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2122][1]~56589\,
	combout => \led_flash_cnt[2122][2]~56590_combout\,
	cout => \led_flash_cnt[2122][2]~56591\);

-- Location: FF_X63_Y9_N3
\led_flash_cnt[2122][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2122][2]~56590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2122][2]~q\);

-- Location: LCCOMB_X63_Y9_N4
\led_flash_cnt[2122][3]~56592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2122][3]~56592_combout\ = (\led_flash_cnt[2122][3]~q\ & (\led_flash_cnt[2122][2]~56591\ $ (GND))) # (!\led_flash_cnt[2122][3]~q\ & (!\led_flash_cnt[2122][2]~56591\ & VCC))
-- \led_flash_cnt[2122][3]~56593\ = CARRY((\led_flash_cnt[2122][3]~q\ & !\led_flash_cnt[2122][2]~56591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2122][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2122][2]~56591\,
	combout => \led_flash_cnt[2122][3]~56592_combout\,
	cout => \led_flash_cnt[2122][3]~56593\);

-- Location: FF_X63_Y9_N5
\led_flash_cnt[2122][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2122][3]~56592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2122][3]~q\);

-- Location: LCCOMB_X63_Y9_N6
\led_flash_cnt[2122][4]~56594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2122][4]~56594_combout\ = (\led_flash_cnt[2122][4]~q\ & (!\led_flash_cnt[2122][3]~56593\)) # (!\led_flash_cnt[2122][4]~q\ & ((\led_flash_cnt[2122][3]~56593\) # (GND)))
-- \led_flash_cnt[2122][4]~56595\ = CARRY((!\led_flash_cnt[2122][3]~56593\) # (!\led_flash_cnt[2122][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2122][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2122][3]~56593\,
	combout => \led_flash_cnt[2122][4]~56594_combout\,
	cout => \led_flash_cnt[2122][4]~56595\);

-- Location: FF_X63_Y9_N7
\led_flash_cnt[2122][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2122][4]~56594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2122][4]~q\);

-- Location: LCCOMB_X63_Y9_N8
\led_flash_cnt[2122][5]~56596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2122][5]~56596_combout\ = (\led_flash_cnt[2122][5]~q\ & (\led_flash_cnt[2122][4]~56595\ $ (GND))) # (!\led_flash_cnt[2122][5]~q\ & (!\led_flash_cnt[2122][4]~56595\ & VCC))
-- \led_flash_cnt[2122][5]~56597\ = CARRY((\led_flash_cnt[2122][5]~q\ & !\led_flash_cnt[2122][4]~56595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2122][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2122][4]~56595\,
	combout => \led_flash_cnt[2122][5]~56596_combout\,
	cout => \led_flash_cnt[2122][5]~56597\);

-- Location: FF_X63_Y9_N9
\led_flash_cnt[2122][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2122][5]~56596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2122][5]~q\);

-- Location: LCCOMB_X63_Y9_N10
\led_flash_cnt[2122][6]~56598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2122][6]~56598_combout\ = (\led_flash_cnt[2122][6]~q\ & (!\led_flash_cnt[2122][5]~56597\)) # (!\led_flash_cnt[2122][6]~q\ & ((\led_flash_cnt[2122][5]~56597\) # (GND)))
-- \led_flash_cnt[2122][6]~56599\ = CARRY((!\led_flash_cnt[2122][5]~56597\) # (!\led_flash_cnt[2122][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2122][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2122][5]~56597\,
	combout => \led_flash_cnt[2122][6]~56598_combout\,
	cout => \led_flash_cnt[2122][6]~56599\);

-- Location: FF_X63_Y9_N11
\led_flash_cnt[2122][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2122][6]~56598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2122][6]~q\);

-- Location: LCCOMB_X63_Y9_N12
\led_flash_cnt[2122][7]~56600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2122][7]~56600_combout\ = \led_flash_cnt[2122][6]~56599\ $ (!\led_flash_cnt[2122][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2122][7]~q\,
	cin => \led_flash_cnt[2122][6]~56599\,
	combout => \led_flash_cnt[2122][7]~56600_combout\);

-- Location: FF_X63_Y9_N13
\led_flash_cnt[2122][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2122][7]~56600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2122][7]~q\);

-- Location: LCCOMB_X64_Y9_N4
\WideAnd2122~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2122~1_combout\ = (\led_flash_cnt[2122][6]~q\ & \led_flash_cnt[2122][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2122][6]~q\,
	datad => \led_flash_cnt[2122][5]~q\,
	combout => \WideAnd2122~1_combout\);

-- Location: LCCOMB_X63_Y9_N30
\WideAnd2122~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2122~0_combout\ = (\led_flash_cnt[2122][4]~q\ & (\led_flash_cnt[2122][2]~q\ & (\led_flash_cnt[2122][3]~q\ & \led_flash_cnt[2122][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2122][4]~q\,
	datab => \led_flash_cnt[2122][2]~q\,
	datac => \led_flash_cnt[2122][3]~q\,
	datad => \led_flash_cnt[2122][1]~q\,
	combout => \WideAnd2122~0_combout\);

-- Location: LCCOMB_X64_Y9_N16
WideAnd2122 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2122~combout\ = (\led_flash_cnt[2122][7]~q\ & (\WideAnd2122~1_combout\ & (\led_flash_cnt[2122][0]~q\ & \WideAnd2122~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2122][7]~q\,
	datab => \WideAnd2122~1_combout\,
	datac => \led_flash_cnt[2122][0]~q\,
	datad => \WideAnd2122~0_combout\,
	combout => \WideAnd2122~combout\);

-- Location: FF_X64_Y9_N17
\led_flash_cnt_ands[2122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2122~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2122));

-- Location: LCCOMB_X64_Y9_N8
\WideAnd4105~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4105~0_combout\ = (led_flash_cnt_ands(2123) & (led_flash_cnt_ands(2120) & (led_flash_cnt_ands(2121) & led_flash_cnt_ands(2122))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2123),
	datab => led_flash_cnt_ands(2120),
	datac => led_flash_cnt_ands(2121),
	datad => led_flash_cnt_ands(2122),
	combout => \WideAnd4105~0_combout\);

-- Location: LCCOMB_X59_Y14_N2
\led_flash_cnt[2125][0]~82765\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2125][0]~82765_combout\ = !\led_flash_cnt[2125][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2125][0]~q\,
	combout => \led_flash_cnt[2125][0]~82765_combout\);

-- Location: FF_X59_Y14_N3
\led_flash_cnt[2125][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2125][0]~82765_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2125][0]~q\);

-- Location: LCCOMB_X58_Y14_N0
\led_flash_cnt[2125][1]~56630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2125][1]~56630_combout\ = (\led_flash_cnt[2125][0]~q\ & (\led_flash_cnt[2125][1]~q\ $ (VCC))) # (!\led_flash_cnt[2125][0]~q\ & (\led_flash_cnt[2125][1]~q\ & VCC))
-- \led_flash_cnt[2125][1]~56631\ = CARRY((\led_flash_cnt[2125][0]~q\ & \led_flash_cnt[2125][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2125][0]~q\,
	datab => \led_flash_cnt[2125][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2125][1]~56630_combout\,
	cout => \led_flash_cnt[2125][1]~56631\);

-- Location: FF_X58_Y14_N1
\led_flash_cnt[2125][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2125][1]~56630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2125][1]~q\);

-- Location: LCCOMB_X58_Y14_N2
\led_flash_cnt[2125][2]~56632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2125][2]~56632_combout\ = (\led_flash_cnt[2125][2]~q\ & (!\led_flash_cnt[2125][1]~56631\)) # (!\led_flash_cnt[2125][2]~q\ & ((\led_flash_cnt[2125][1]~56631\) # (GND)))
-- \led_flash_cnt[2125][2]~56633\ = CARRY((!\led_flash_cnt[2125][1]~56631\) # (!\led_flash_cnt[2125][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2125][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2125][1]~56631\,
	combout => \led_flash_cnt[2125][2]~56632_combout\,
	cout => \led_flash_cnt[2125][2]~56633\);

-- Location: FF_X58_Y14_N3
\led_flash_cnt[2125][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2125][2]~56632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2125][2]~q\);

-- Location: LCCOMB_X58_Y14_N4
\led_flash_cnt[2125][3]~56634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2125][3]~56634_combout\ = (\led_flash_cnt[2125][3]~q\ & (\led_flash_cnt[2125][2]~56633\ $ (GND))) # (!\led_flash_cnt[2125][3]~q\ & (!\led_flash_cnt[2125][2]~56633\ & VCC))
-- \led_flash_cnt[2125][3]~56635\ = CARRY((\led_flash_cnt[2125][3]~q\ & !\led_flash_cnt[2125][2]~56633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2125][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2125][2]~56633\,
	combout => \led_flash_cnt[2125][3]~56634_combout\,
	cout => \led_flash_cnt[2125][3]~56635\);

-- Location: FF_X58_Y14_N5
\led_flash_cnt[2125][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2125][3]~56634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2125][3]~q\);

-- Location: LCCOMB_X58_Y14_N6
\led_flash_cnt[2125][4]~56636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2125][4]~56636_combout\ = (\led_flash_cnt[2125][4]~q\ & (!\led_flash_cnt[2125][3]~56635\)) # (!\led_flash_cnt[2125][4]~q\ & ((\led_flash_cnt[2125][3]~56635\) # (GND)))
-- \led_flash_cnt[2125][4]~56637\ = CARRY((!\led_flash_cnt[2125][3]~56635\) # (!\led_flash_cnt[2125][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2125][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2125][3]~56635\,
	combout => \led_flash_cnt[2125][4]~56636_combout\,
	cout => \led_flash_cnt[2125][4]~56637\);

-- Location: FF_X58_Y14_N7
\led_flash_cnt[2125][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2125][4]~56636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2125][4]~q\);

-- Location: LCCOMB_X58_Y14_N8
\led_flash_cnt[2125][5]~56638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2125][5]~56638_combout\ = (\led_flash_cnt[2125][5]~q\ & (\led_flash_cnt[2125][4]~56637\ $ (GND))) # (!\led_flash_cnt[2125][5]~q\ & (!\led_flash_cnt[2125][4]~56637\ & VCC))
-- \led_flash_cnt[2125][5]~56639\ = CARRY((\led_flash_cnt[2125][5]~q\ & !\led_flash_cnt[2125][4]~56637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2125][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2125][4]~56637\,
	combout => \led_flash_cnt[2125][5]~56638_combout\,
	cout => \led_flash_cnt[2125][5]~56639\);

-- Location: FF_X58_Y14_N9
\led_flash_cnt[2125][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2125][5]~56638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2125][5]~q\);

-- Location: LCCOMB_X58_Y14_N10
\led_flash_cnt[2125][6]~56640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2125][6]~56640_combout\ = (\led_flash_cnt[2125][6]~q\ & (!\led_flash_cnt[2125][5]~56639\)) # (!\led_flash_cnt[2125][6]~q\ & ((\led_flash_cnt[2125][5]~56639\) # (GND)))
-- \led_flash_cnt[2125][6]~56641\ = CARRY((!\led_flash_cnt[2125][5]~56639\) # (!\led_flash_cnt[2125][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2125][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2125][5]~56639\,
	combout => \led_flash_cnt[2125][6]~56640_combout\,
	cout => \led_flash_cnt[2125][6]~56641\);

-- Location: FF_X58_Y14_N11
\led_flash_cnt[2125][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2125][6]~56640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2125][6]~q\);

-- Location: LCCOMB_X58_Y14_N12
\led_flash_cnt[2125][7]~56642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2125][7]~56642_combout\ = \led_flash_cnt[2125][6]~56641\ $ (!\led_flash_cnt[2125][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2125][7]~q\,
	cin => \led_flash_cnt[2125][6]~56641\,
	combout => \led_flash_cnt[2125][7]~56642_combout\);

-- Location: FF_X58_Y14_N13
\led_flash_cnt[2125][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2125][7]~56642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2125][7]~q\);

-- Location: LCCOMB_X59_Y14_N28
\WideAnd2125~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2125~1_combout\ = (\led_flash_cnt[2125][6]~q\ & \led_flash_cnt[2125][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2125][6]~q\,
	datad => \led_flash_cnt[2125][5]~q\,
	combout => \WideAnd2125~1_combout\);

-- Location: LCCOMB_X58_Y14_N14
\WideAnd2125~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2125~0_combout\ = (\led_flash_cnt[2125][4]~q\ & (\led_flash_cnt[2125][1]~q\ & (\led_flash_cnt[2125][3]~q\ & \led_flash_cnt[2125][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2125][4]~q\,
	datab => \led_flash_cnt[2125][1]~q\,
	datac => \led_flash_cnt[2125][3]~q\,
	datad => \led_flash_cnt[2125][2]~q\,
	combout => \WideAnd2125~0_combout\);

-- Location: LCCOMB_X59_Y14_N4
WideAnd2125 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2125~combout\ = (\led_flash_cnt[2125][7]~q\ & (\WideAnd2125~1_combout\ & (\led_flash_cnt[2125][0]~q\ & \WideAnd2125~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2125][7]~q\,
	datab => \WideAnd2125~1_combout\,
	datac => \led_flash_cnt[2125][0]~q\,
	datad => \WideAnd2125~0_combout\,
	combout => \WideAnd2125~combout\);

-- Location: FF_X59_Y14_N5
\led_flash_cnt_ands[2125]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2125~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2125));

-- Location: LCCOMB_X59_Y14_N8
\led_flash_cnt[2124][0]~82764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2124][0]~82764_combout\ = !\led_flash_cnt[2124][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2124][0]~q\,
	combout => \led_flash_cnt[2124][0]~82764_combout\);

-- Location: FF_X59_Y14_N9
\led_flash_cnt[2124][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2124][0]~82764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2124][0]~q\);

-- Location: LCCOMB_X59_Y14_N10
\led_flash_cnt[2124][1]~56616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2124][1]~56616_combout\ = (\led_flash_cnt[2124][1]~q\ & (\led_flash_cnt[2124][0]~q\ $ (VCC))) # (!\led_flash_cnt[2124][1]~q\ & (\led_flash_cnt[2124][0]~q\ & VCC))
-- \led_flash_cnt[2124][1]~56617\ = CARRY((\led_flash_cnt[2124][1]~q\ & \led_flash_cnt[2124][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2124][1]~q\,
	datab => \led_flash_cnt[2124][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2124][1]~56616_combout\,
	cout => \led_flash_cnt[2124][1]~56617\);

-- Location: FF_X59_Y14_N11
\led_flash_cnt[2124][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2124][1]~56616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2124][1]~q\);

-- Location: LCCOMB_X59_Y14_N12
\led_flash_cnt[2124][2]~56618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2124][2]~56618_combout\ = (\led_flash_cnt[2124][2]~q\ & (!\led_flash_cnt[2124][1]~56617\)) # (!\led_flash_cnt[2124][2]~q\ & ((\led_flash_cnt[2124][1]~56617\) # (GND)))
-- \led_flash_cnt[2124][2]~56619\ = CARRY((!\led_flash_cnt[2124][1]~56617\) # (!\led_flash_cnt[2124][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2124][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2124][1]~56617\,
	combout => \led_flash_cnt[2124][2]~56618_combout\,
	cout => \led_flash_cnt[2124][2]~56619\);

-- Location: FF_X59_Y14_N13
\led_flash_cnt[2124][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2124][2]~56618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2124][2]~q\);

-- Location: LCCOMB_X59_Y14_N14
\led_flash_cnt[2124][3]~56620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2124][3]~56620_combout\ = (\led_flash_cnt[2124][3]~q\ & (\led_flash_cnt[2124][2]~56619\ $ (GND))) # (!\led_flash_cnt[2124][3]~q\ & (!\led_flash_cnt[2124][2]~56619\ & VCC))
-- \led_flash_cnt[2124][3]~56621\ = CARRY((\led_flash_cnt[2124][3]~q\ & !\led_flash_cnt[2124][2]~56619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2124][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2124][2]~56619\,
	combout => \led_flash_cnt[2124][3]~56620_combout\,
	cout => \led_flash_cnt[2124][3]~56621\);

-- Location: FF_X59_Y14_N15
\led_flash_cnt[2124][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2124][3]~56620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2124][3]~q\);

-- Location: LCCOMB_X59_Y14_N16
\led_flash_cnt[2124][4]~56622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2124][4]~56622_combout\ = (\led_flash_cnt[2124][4]~q\ & (!\led_flash_cnt[2124][3]~56621\)) # (!\led_flash_cnt[2124][4]~q\ & ((\led_flash_cnt[2124][3]~56621\) # (GND)))
-- \led_flash_cnt[2124][4]~56623\ = CARRY((!\led_flash_cnt[2124][3]~56621\) # (!\led_flash_cnt[2124][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2124][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2124][3]~56621\,
	combout => \led_flash_cnt[2124][4]~56622_combout\,
	cout => \led_flash_cnt[2124][4]~56623\);

-- Location: FF_X59_Y14_N17
\led_flash_cnt[2124][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2124][4]~56622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2124][4]~q\);

-- Location: LCCOMB_X59_Y14_N18
\led_flash_cnt[2124][5]~56624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2124][5]~56624_combout\ = (\led_flash_cnt[2124][5]~q\ & (\led_flash_cnt[2124][4]~56623\ $ (GND))) # (!\led_flash_cnt[2124][5]~q\ & (!\led_flash_cnt[2124][4]~56623\ & VCC))
-- \led_flash_cnt[2124][5]~56625\ = CARRY((\led_flash_cnt[2124][5]~q\ & !\led_flash_cnt[2124][4]~56623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2124][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2124][4]~56623\,
	combout => \led_flash_cnt[2124][5]~56624_combout\,
	cout => \led_flash_cnt[2124][5]~56625\);

-- Location: FF_X59_Y14_N19
\led_flash_cnt[2124][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2124][5]~56624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2124][5]~q\);

-- Location: LCCOMB_X59_Y14_N20
\led_flash_cnt[2124][6]~56626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2124][6]~56626_combout\ = (\led_flash_cnt[2124][6]~q\ & (!\led_flash_cnt[2124][5]~56625\)) # (!\led_flash_cnt[2124][6]~q\ & ((\led_flash_cnt[2124][5]~56625\) # (GND)))
-- \led_flash_cnt[2124][6]~56627\ = CARRY((!\led_flash_cnt[2124][5]~56625\) # (!\led_flash_cnt[2124][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2124][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2124][5]~56625\,
	combout => \led_flash_cnt[2124][6]~56626_combout\,
	cout => \led_flash_cnt[2124][6]~56627\);

-- Location: FF_X59_Y14_N21
\led_flash_cnt[2124][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2124][6]~56626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2124][6]~q\);

-- Location: LCCOMB_X59_Y14_N22
\led_flash_cnt[2124][7]~56628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2124][7]~56628_combout\ = \led_flash_cnt[2124][7]~q\ $ (!\led_flash_cnt[2124][6]~56627\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2124][7]~q\,
	cin => \led_flash_cnt[2124][6]~56627\,
	combout => \led_flash_cnt[2124][7]~56628_combout\);

-- Location: FF_X59_Y14_N23
\led_flash_cnt[2124][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2124][7]~56628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2124][7]~q\);

-- Location: LCCOMB_X59_Y14_N30
\WideAnd2124~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2124~0_combout\ = (\led_flash_cnt[2124][2]~q\ & (\led_flash_cnt[2124][4]~q\ & (\led_flash_cnt[2124][3]~q\ & \led_flash_cnt[2124][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2124][2]~q\,
	datab => \led_flash_cnt[2124][4]~q\,
	datac => \led_flash_cnt[2124][3]~q\,
	datad => \led_flash_cnt[2124][1]~q\,
	combout => \WideAnd2124~0_combout\);

-- Location: LCCOMB_X59_Y14_N6
\WideAnd2124~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2124~1_combout\ = (\led_flash_cnt[2124][6]~q\ & \led_flash_cnt[2124][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2124][6]~q\,
	datad => \led_flash_cnt[2124][5]~q\,
	combout => \WideAnd2124~1_combout\);

-- Location: LCCOMB_X59_Y14_N24
WideAnd2124 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2124~combout\ = (\led_flash_cnt[2124][7]~q\ & (\led_flash_cnt[2124][0]~q\ & (\WideAnd2124~0_combout\ & \WideAnd2124~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2124][7]~q\,
	datab => \led_flash_cnt[2124][0]~q\,
	datac => \WideAnd2124~0_combout\,
	datad => \WideAnd2124~1_combout\,
	combout => \WideAnd2124~combout\);

-- Location: FF_X59_Y14_N25
\led_flash_cnt_ands[2124]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2124~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2124));

-- Location: LCCOMB_X59_Y14_N26
\WideAnd4105~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4105~1_combout\ = (led_flash_cnt_ands(2125) & led_flash_cnt_ands(2124))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2125),
	datad => led_flash_cnt_ands(2124),
	combout => \WideAnd4105~1_combout\);

-- Location: LCCOMB_X59_Y11_N4
WideAnd4105 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4105~combout\ = (led_flash_cnt_ands(2127) & (led_flash_cnt_ands(2126) & (\WideAnd4105~0_combout\ & \WideAnd4105~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2127),
	datab => led_flash_cnt_ands(2126),
	datac => \WideAnd4105~0_combout\,
	datad => \WideAnd4105~1_combout\,
	combout => \WideAnd4105~combout\);

-- Location: FF_X59_Y11_N5
\led_flash_cnt_ands_1[265]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4105~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(265));

-- Location: LCCOMB_X62_Y37_N6
\led_flash_cnt[2143][0]~82783\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2143][0]~82783_combout\ = !\led_flash_cnt[2143][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2143][0]~q\,
	combout => \led_flash_cnt[2143][0]~82783_combout\);

-- Location: FF_X62_Y37_N7
\led_flash_cnt[2143][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2143][0]~82783_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2143][0]~q\);

-- Location: LCCOMB_X62_Y37_N8
\led_flash_cnt[2143][1]~56882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2143][1]~56882_combout\ = (\led_flash_cnt[2143][0]~q\ & (\led_flash_cnt[2143][1]~q\ $ (VCC))) # (!\led_flash_cnt[2143][0]~q\ & (\led_flash_cnt[2143][1]~q\ & VCC))
-- \led_flash_cnt[2143][1]~56883\ = CARRY((\led_flash_cnt[2143][0]~q\ & \led_flash_cnt[2143][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2143][0]~q\,
	datab => \led_flash_cnt[2143][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2143][1]~56882_combout\,
	cout => \led_flash_cnt[2143][1]~56883\);

-- Location: FF_X62_Y37_N9
\led_flash_cnt[2143][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2143][1]~56882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2143][1]~q\);

-- Location: LCCOMB_X62_Y37_N10
\led_flash_cnt[2143][2]~56884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2143][2]~56884_combout\ = (\led_flash_cnt[2143][2]~q\ & (!\led_flash_cnt[2143][1]~56883\)) # (!\led_flash_cnt[2143][2]~q\ & ((\led_flash_cnt[2143][1]~56883\) # (GND)))
-- \led_flash_cnt[2143][2]~56885\ = CARRY((!\led_flash_cnt[2143][1]~56883\) # (!\led_flash_cnt[2143][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2143][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2143][1]~56883\,
	combout => \led_flash_cnt[2143][2]~56884_combout\,
	cout => \led_flash_cnt[2143][2]~56885\);

-- Location: FF_X62_Y37_N11
\led_flash_cnt[2143][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2143][2]~56884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2143][2]~q\);

-- Location: LCCOMB_X62_Y37_N12
\led_flash_cnt[2143][3]~56886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2143][3]~56886_combout\ = (\led_flash_cnt[2143][3]~q\ & (\led_flash_cnt[2143][2]~56885\ $ (GND))) # (!\led_flash_cnt[2143][3]~q\ & (!\led_flash_cnt[2143][2]~56885\ & VCC))
-- \led_flash_cnt[2143][3]~56887\ = CARRY((\led_flash_cnt[2143][3]~q\ & !\led_flash_cnt[2143][2]~56885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2143][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2143][2]~56885\,
	combout => \led_flash_cnt[2143][3]~56886_combout\,
	cout => \led_flash_cnt[2143][3]~56887\);

-- Location: FF_X62_Y37_N13
\led_flash_cnt[2143][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2143][3]~56886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2143][3]~q\);

-- Location: LCCOMB_X62_Y37_N14
\led_flash_cnt[2143][4]~56888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2143][4]~56888_combout\ = (\led_flash_cnt[2143][4]~q\ & (!\led_flash_cnt[2143][3]~56887\)) # (!\led_flash_cnt[2143][4]~q\ & ((\led_flash_cnt[2143][3]~56887\) # (GND)))
-- \led_flash_cnt[2143][4]~56889\ = CARRY((!\led_flash_cnt[2143][3]~56887\) # (!\led_flash_cnt[2143][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2143][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2143][3]~56887\,
	combout => \led_flash_cnt[2143][4]~56888_combout\,
	cout => \led_flash_cnt[2143][4]~56889\);

-- Location: FF_X62_Y37_N15
\led_flash_cnt[2143][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2143][4]~56888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2143][4]~q\);

-- Location: LCCOMB_X62_Y37_N16
\led_flash_cnt[2143][5]~56890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2143][5]~56890_combout\ = (\led_flash_cnt[2143][5]~q\ & (\led_flash_cnt[2143][4]~56889\ $ (GND))) # (!\led_flash_cnt[2143][5]~q\ & (!\led_flash_cnt[2143][4]~56889\ & VCC))
-- \led_flash_cnt[2143][5]~56891\ = CARRY((\led_flash_cnt[2143][5]~q\ & !\led_flash_cnt[2143][4]~56889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2143][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2143][4]~56889\,
	combout => \led_flash_cnt[2143][5]~56890_combout\,
	cout => \led_flash_cnt[2143][5]~56891\);

-- Location: FF_X62_Y37_N17
\led_flash_cnt[2143][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2143][5]~56890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2143][5]~q\);

-- Location: LCCOMB_X62_Y37_N18
\led_flash_cnt[2143][6]~56892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2143][6]~56892_combout\ = (\led_flash_cnt[2143][6]~q\ & (!\led_flash_cnt[2143][5]~56891\)) # (!\led_flash_cnt[2143][6]~q\ & ((\led_flash_cnt[2143][5]~56891\) # (GND)))
-- \led_flash_cnt[2143][6]~56893\ = CARRY((!\led_flash_cnt[2143][5]~56891\) # (!\led_flash_cnt[2143][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2143][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2143][5]~56891\,
	combout => \led_flash_cnt[2143][6]~56892_combout\,
	cout => \led_flash_cnt[2143][6]~56893\);

-- Location: FF_X62_Y37_N19
\led_flash_cnt[2143][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2143][6]~56892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2143][6]~q\);

-- Location: LCCOMB_X62_Y37_N20
\led_flash_cnt[2143][7]~56894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2143][7]~56894_combout\ = \led_flash_cnt[2143][6]~56893\ $ (!\led_flash_cnt[2143][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2143][7]~q\,
	cin => \led_flash_cnt[2143][6]~56893\,
	combout => \led_flash_cnt[2143][7]~56894_combout\);

-- Location: FF_X62_Y37_N21
\led_flash_cnt[2143][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2143][7]~56894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2143][7]~q\);

-- Location: LCCOMB_X62_Y37_N4
\WideAnd2143~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2143~1_combout\ = (\led_flash_cnt[2143][6]~q\ & \led_flash_cnt[2143][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2143][6]~q\,
	datad => \led_flash_cnt[2143][5]~q\,
	combout => \WideAnd2143~1_combout\);

-- Location: LCCOMB_X62_Y37_N2
\WideAnd2143~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2143~0_combout\ = (\led_flash_cnt[2143][3]~q\ & (\led_flash_cnt[2143][1]~q\ & (\led_flash_cnt[2143][4]~q\ & \led_flash_cnt[2143][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2143][3]~q\,
	datab => \led_flash_cnt[2143][1]~q\,
	datac => \led_flash_cnt[2143][4]~q\,
	datad => \led_flash_cnt[2143][2]~q\,
	combout => \WideAnd2143~0_combout\);

-- Location: LCCOMB_X62_Y37_N26
WideAnd2143 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2143~combout\ = (\led_flash_cnt[2143][0]~q\ & (\led_flash_cnt[2143][7]~q\ & (\WideAnd2143~1_combout\ & \WideAnd2143~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2143][0]~q\,
	datab => \led_flash_cnt[2143][7]~q\,
	datac => \WideAnd2143~1_combout\,
	datad => \WideAnd2143~0_combout\,
	combout => \WideAnd2143~combout\);

-- Location: FF_X62_Y37_N27
\led_flash_cnt_ands[2143]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2143~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2143));

-- Location: LCCOMB_X62_Y37_N28
\led_flash_cnt[2142][0]~82782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2142][0]~82782_combout\ = !\led_flash_cnt[2142][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2142][0]~q\,
	combout => \led_flash_cnt[2142][0]~82782_combout\);

-- Location: FF_X62_Y37_N29
\led_flash_cnt[2142][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2142][0]~82782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2142][0]~q\);

-- Location: LCCOMB_X61_Y37_N18
\led_flash_cnt[2142][1]~56868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2142][1]~56868_combout\ = (\led_flash_cnt[2142][1]~q\ & (\led_flash_cnt[2142][0]~q\ $ (VCC))) # (!\led_flash_cnt[2142][1]~q\ & (\led_flash_cnt[2142][0]~q\ & VCC))
-- \led_flash_cnt[2142][1]~56869\ = CARRY((\led_flash_cnt[2142][1]~q\ & \led_flash_cnt[2142][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2142][1]~q\,
	datab => \led_flash_cnt[2142][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2142][1]~56868_combout\,
	cout => \led_flash_cnt[2142][1]~56869\);

-- Location: FF_X61_Y37_N19
\led_flash_cnt[2142][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2142][1]~56868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2142][1]~q\);

-- Location: LCCOMB_X61_Y37_N20
\led_flash_cnt[2142][2]~56870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2142][2]~56870_combout\ = (\led_flash_cnt[2142][2]~q\ & (!\led_flash_cnt[2142][1]~56869\)) # (!\led_flash_cnt[2142][2]~q\ & ((\led_flash_cnt[2142][1]~56869\) # (GND)))
-- \led_flash_cnt[2142][2]~56871\ = CARRY((!\led_flash_cnt[2142][1]~56869\) # (!\led_flash_cnt[2142][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2142][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2142][1]~56869\,
	combout => \led_flash_cnt[2142][2]~56870_combout\,
	cout => \led_flash_cnt[2142][2]~56871\);

-- Location: FF_X61_Y37_N21
\led_flash_cnt[2142][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2142][2]~56870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2142][2]~q\);

-- Location: LCCOMB_X61_Y37_N22
\led_flash_cnt[2142][3]~56872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2142][3]~56872_combout\ = (\led_flash_cnt[2142][3]~q\ & (\led_flash_cnt[2142][2]~56871\ $ (GND))) # (!\led_flash_cnt[2142][3]~q\ & (!\led_flash_cnt[2142][2]~56871\ & VCC))
-- \led_flash_cnt[2142][3]~56873\ = CARRY((\led_flash_cnt[2142][3]~q\ & !\led_flash_cnt[2142][2]~56871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2142][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2142][2]~56871\,
	combout => \led_flash_cnt[2142][3]~56872_combout\,
	cout => \led_flash_cnt[2142][3]~56873\);

-- Location: FF_X61_Y37_N23
\led_flash_cnt[2142][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2142][3]~56872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2142][3]~q\);

-- Location: LCCOMB_X61_Y37_N24
\led_flash_cnt[2142][4]~56874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2142][4]~56874_combout\ = (\led_flash_cnt[2142][4]~q\ & (!\led_flash_cnt[2142][3]~56873\)) # (!\led_flash_cnt[2142][4]~q\ & ((\led_flash_cnt[2142][3]~56873\) # (GND)))
-- \led_flash_cnt[2142][4]~56875\ = CARRY((!\led_flash_cnt[2142][3]~56873\) # (!\led_flash_cnt[2142][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2142][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2142][3]~56873\,
	combout => \led_flash_cnt[2142][4]~56874_combout\,
	cout => \led_flash_cnt[2142][4]~56875\);

-- Location: FF_X61_Y37_N25
\led_flash_cnt[2142][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2142][4]~56874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2142][4]~q\);

-- Location: LCCOMB_X61_Y37_N14
\WideAnd2142~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2142~0_combout\ = (\led_flash_cnt[2142][1]~q\ & (\led_flash_cnt[2142][2]~q\ & (\led_flash_cnt[2142][3]~q\ & \led_flash_cnt[2142][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2142][1]~q\,
	datab => \led_flash_cnt[2142][2]~q\,
	datac => \led_flash_cnt[2142][3]~q\,
	datad => \led_flash_cnt[2142][4]~q\,
	combout => \WideAnd2142~0_combout\);

-- Location: LCCOMB_X61_Y37_N26
\led_flash_cnt[2142][5]~56876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2142][5]~56876_combout\ = (\led_flash_cnt[2142][5]~q\ & (\led_flash_cnt[2142][4]~56875\ $ (GND))) # (!\led_flash_cnt[2142][5]~q\ & (!\led_flash_cnt[2142][4]~56875\ & VCC))
-- \led_flash_cnt[2142][5]~56877\ = CARRY((\led_flash_cnt[2142][5]~q\ & !\led_flash_cnt[2142][4]~56875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2142][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2142][4]~56875\,
	combout => \led_flash_cnt[2142][5]~56876_combout\,
	cout => \led_flash_cnt[2142][5]~56877\);

-- Location: FF_X61_Y37_N27
\led_flash_cnt[2142][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2142][5]~56876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2142][5]~q\);

-- Location: LCCOMB_X61_Y37_N28
\led_flash_cnt[2142][6]~56878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2142][6]~56878_combout\ = (\led_flash_cnt[2142][6]~q\ & (!\led_flash_cnt[2142][5]~56877\)) # (!\led_flash_cnt[2142][6]~q\ & ((\led_flash_cnt[2142][5]~56877\) # (GND)))
-- \led_flash_cnt[2142][6]~56879\ = CARRY((!\led_flash_cnt[2142][5]~56877\) # (!\led_flash_cnt[2142][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2142][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2142][5]~56877\,
	combout => \led_flash_cnt[2142][6]~56878_combout\,
	cout => \led_flash_cnt[2142][6]~56879\);

-- Location: FF_X61_Y37_N29
\led_flash_cnt[2142][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2142][6]~56878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2142][6]~q\);

-- Location: LCCOMB_X61_Y37_N30
\led_flash_cnt[2142][7]~56880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2142][7]~56880_combout\ = \led_flash_cnt[2142][7]~q\ $ (!\led_flash_cnt[2142][6]~56879\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2142][7]~q\,
	cin => \led_flash_cnt[2142][6]~56879\,
	combout => \led_flash_cnt[2142][7]~56880_combout\);

-- Location: FF_X61_Y37_N31
\led_flash_cnt[2142][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2142][7]~56880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2142][7]~q\);

-- Location: LCCOMB_X62_Y37_N22
\WideAnd2142~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2142~1_combout\ = (\led_flash_cnt[2142][5]~q\ & \led_flash_cnt[2142][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2142][5]~q\,
	datad => \led_flash_cnt[2142][6]~q\,
	combout => \WideAnd2142~1_combout\);

-- Location: LCCOMB_X62_Y37_N0
WideAnd2142 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2142~combout\ = (\WideAnd2142~0_combout\ & (\led_flash_cnt[2142][7]~q\ & (\WideAnd2142~1_combout\ & \led_flash_cnt[2142][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2142~0_combout\,
	datab => \led_flash_cnt[2142][7]~q\,
	datac => \WideAnd2142~1_combout\,
	datad => \led_flash_cnt[2142][0]~q\,
	combout => \WideAnd2142~combout\);

-- Location: FF_X62_Y37_N1
\led_flash_cnt_ands[2142]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2142~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2142));

-- Location: LCCOMB_X60_Y50_N28
\led_flash_cnt[2141][0]~82781\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2141][0]~82781_combout\ = !\led_flash_cnt[2141][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2141][0]~q\,
	combout => \led_flash_cnt[2141][0]~82781_combout\);

-- Location: FF_X60_Y50_N29
\led_flash_cnt[2141][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2141][0]~82781_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2141][0]~q\);

-- Location: LCCOMB_X61_Y50_N18
\led_flash_cnt[2141][1]~56854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2141][1]~56854_combout\ = (\led_flash_cnt[2141][0]~q\ & (\led_flash_cnt[2141][1]~q\ $ (VCC))) # (!\led_flash_cnt[2141][0]~q\ & (\led_flash_cnt[2141][1]~q\ & VCC))
-- \led_flash_cnt[2141][1]~56855\ = CARRY((\led_flash_cnt[2141][0]~q\ & \led_flash_cnt[2141][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2141][0]~q\,
	datab => \led_flash_cnt[2141][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2141][1]~56854_combout\,
	cout => \led_flash_cnt[2141][1]~56855\);

-- Location: FF_X61_Y50_N19
\led_flash_cnt[2141][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2141][1]~56854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2141][1]~q\);

-- Location: LCCOMB_X61_Y50_N20
\led_flash_cnt[2141][2]~56856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2141][2]~56856_combout\ = (\led_flash_cnt[2141][2]~q\ & (!\led_flash_cnt[2141][1]~56855\)) # (!\led_flash_cnt[2141][2]~q\ & ((\led_flash_cnt[2141][1]~56855\) # (GND)))
-- \led_flash_cnt[2141][2]~56857\ = CARRY((!\led_flash_cnt[2141][1]~56855\) # (!\led_flash_cnt[2141][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2141][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2141][1]~56855\,
	combout => \led_flash_cnt[2141][2]~56856_combout\,
	cout => \led_flash_cnt[2141][2]~56857\);

-- Location: FF_X61_Y50_N21
\led_flash_cnt[2141][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2141][2]~56856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2141][2]~q\);

-- Location: LCCOMB_X61_Y50_N22
\led_flash_cnt[2141][3]~56858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2141][3]~56858_combout\ = (\led_flash_cnt[2141][3]~q\ & (\led_flash_cnt[2141][2]~56857\ $ (GND))) # (!\led_flash_cnt[2141][3]~q\ & (!\led_flash_cnt[2141][2]~56857\ & VCC))
-- \led_flash_cnt[2141][3]~56859\ = CARRY((\led_flash_cnt[2141][3]~q\ & !\led_flash_cnt[2141][2]~56857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2141][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2141][2]~56857\,
	combout => \led_flash_cnt[2141][3]~56858_combout\,
	cout => \led_flash_cnt[2141][3]~56859\);

-- Location: FF_X61_Y50_N23
\led_flash_cnt[2141][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2141][3]~56858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2141][3]~q\);

-- Location: LCCOMB_X61_Y50_N24
\led_flash_cnt[2141][4]~56860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2141][4]~56860_combout\ = (\led_flash_cnt[2141][4]~q\ & (!\led_flash_cnt[2141][3]~56859\)) # (!\led_flash_cnt[2141][4]~q\ & ((\led_flash_cnt[2141][3]~56859\) # (GND)))
-- \led_flash_cnt[2141][4]~56861\ = CARRY((!\led_flash_cnt[2141][3]~56859\) # (!\led_flash_cnt[2141][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2141][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2141][3]~56859\,
	combout => \led_flash_cnt[2141][4]~56860_combout\,
	cout => \led_flash_cnt[2141][4]~56861\);

-- Location: FF_X61_Y50_N25
\led_flash_cnt[2141][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2141][4]~56860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2141][4]~q\);

-- Location: LCCOMB_X61_Y50_N26
\led_flash_cnt[2141][5]~56862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2141][5]~56862_combout\ = (\led_flash_cnt[2141][5]~q\ & (\led_flash_cnt[2141][4]~56861\ $ (GND))) # (!\led_flash_cnt[2141][5]~q\ & (!\led_flash_cnt[2141][4]~56861\ & VCC))
-- \led_flash_cnt[2141][5]~56863\ = CARRY((\led_flash_cnt[2141][5]~q\ & !\led_flash_cnt[2141][4]~56861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2141][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2141][4]~56861\,
	combout => \led_flash_cnt[2141][5]~56862_combout\,
	cout => \led_flash_cnt[2141][5]~56863\);

-- Location: FF_X61_Y50_N27
\led_flash_cnt[2141][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2141][5]~56862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2141][5]~q\);

-- Location: LCCOMB_X61_Y50_N28
\led_flash_cnt[2141][6]~56864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2141][6]~56864_combout\ = (\led_flash_cnt[2141][6]~q\ & (!\led_flash_cnt[2141][5]~56863\)) # (!\led_flash_cnt[2141][6]~q\ & ((\led_flash_cnt[2141][5]~56863\) # (GND)))
-- \led_flash_cnt[2141][6]~56865\ = CARRY((!\led_flash_cnt[2141][5]~56863\) # (!\led_flash_cnt[2141][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2141][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2141][5]~56863\,
	combout => \led_flash_cnt[2141][6]~56864_combout\,
	cout => \led_flash_cnt[2141][6]~56865\);

-- Location: FF_X61_Y50_N29
\led_flash_cnt[2141][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2141][6]~56864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2141][6]~q\);

-- Location: LCCOMB_X60_Y50_N26
\WideAnd2141~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2141~1_combout\ = (\led_flash_cnt[2141][6]~q\ & \led_flash_cnt[2141][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2141][6]~q\,
	datad => \led_flash_cnt[2141][5]~q\,
	combout => \WideAnd2141~1_combout\);

-- Location: LCCOMB_X61_Y50_N30
\led_flash_cnt[2141][7]~56866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2141][7]~56866_combout\ = \led_flash_cnt[2141][7]~q\ $ (!\led_flash_cnt[2141][6]~56865\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2141][7]~q\,
	cin => \led_flash_cnt[2141][6]~56865\,
	combout => \led_flash_cnt[2141][7]~56866_combout\);

-- Location: FF_X61_Y50_N31
\led_flash_cnt[2141][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2141][7]~56866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2141][7]~q\);

-- Location: LCCOMB_X61_Y50_N2
\WideAnd2141~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2141~0_combout\ = (\led_flash_cnt[2141][4]~q\ & (\led_flash_cnt[2141][2]~q\ & (\led_flash_cnt[2141][3]~q\ & \led_flash_cnt[2141][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2141][4]~q\,
	datab => \led_flash_cnt[2141][2]~q\,
	datac => \led_flash_cnt[2141][3]~q\,
	datad => \led_flash_cnt[2141][1]~q\,
	combout => \WideAnd2141~0_combout\);

-- Location: LCCOMB_X60_Y50_N4
WideAnd2141 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2141~combout\ = (\WideAnd2141~1_combout\ & (\led_flash_cnt[2141][0]~q\ & (\led_flash_cnt[2141][7]~q\ & \WideAnd2141~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2141~1_combout\,
	datab => \led_flash_cnt[2141][0]~q\,
	datac => \led_flash_cnt[2141][7]~q\,
	datad => \WideAnd2141~0_combout\,
	combout => \WideAnd2141~combout\);

-- Location: FF_X60_Y50_N5
\led_flash_cnt_ands[2141]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2141~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2141));

-- Location: LCCOMB_X60_Y50_N0
\led_flash_cnt[2140][0]~82780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2140][0]~82780_combout\ = !\led_flash_cnt[2140][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2140][0]~q\,
	combout => \led_flash_cnt[2140][0]~82780_combout\);

-- Location: FF_X60_Y50_N1
\led_flash_cnt[2140][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2140][0]~82780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2140][0]~q\);

-- Location: LCCOMB_X60_Y50_N6
\led_flash_cnt[2140][1]~56840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2140][1]~56840_combout\ = (\led_flash_cnt[2140][1]~q\ & (\led_flash_cnt[2140][0]~q\ $ (VCC))) # (!\led_flash_cnt[2140][1]~q\ & (\led_flash_cnt[2140][0]~q\ & VCC))
-- \led_flash_cnt[2140][1]~56841\ = CARRY((\led_flash_cnt[2140][1]~q\ & \led_flash_cnt[2140][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2140][1]~q\,
	datab => \led_flash_cnt[2140][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2140][1]~56840_combout\,
	cout => \led_flash_cnt[2140][1]~56841\);

-- Location: FF_X60_Y50_N7
\led_flash_cnt[2140][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2140][1]~56840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2140][1]~q\);

-- Location: LCCOMB_X60_Y50_N8
\led_flash_cnt[2140][2]~56842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2140][2]~56842_combout\ = (\led_flash_cnt[2140][2]~q\ & (!\led_flash_cnt[2140][1]~56841\)) # (!\led_flash_cnt[2140][2]~q\ & ((\led_flash_cnt[2140][1]~56841\) # (GND)))
-- \led_flash_cnt[2140][2]~56843\ = CARRY((!\led_flash_cnt[2140][1]~56841\) # (!\led_flash_cnt[2140][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2140][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2140][1]~56841\,
	combout => \led_flash_cnt[2140][2]~56842_combout\,
	cout => \led_flash_cnt[2140][2]~56843\);

-- Location: FF_X60_Y50_N9
\led_flash_cnt[2140][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2140][2]~56842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2140][2]~q\);

-- Location: LCCOMB_X60_Y50_N10
\led_flash_cnt[2140][3]~56844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2140][3]~56844_combout\ = (\led_flash_cnt[2140][3]~q\ & (\led_flash_cnt[2140][2]~56843\ $ (GND))) # (!\led_flash_cnt[2140][3]~q\ & (!\led_flash_cnt[2140][2]~56843\ & VCC))
-- \led_flash_cnt[2140][3]~56845\ = CARRY((\led_flash_cnt[2140][3]~q\ & !\led_flash_cnt[2140][2]~56843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2140][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2140][2]~56843\,
	combout => \led_flash_cnt[2140][3]~56844_combout\,
	cout => \led_flash_cnt[2140][3]~56845\);

-- Location: FF_X60_Y50_N11
\led_flash_cnt[2140][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2140][3]~56844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2140][3]~q\);

-- Location: LCCOMB_X60_Y50_N12
\led_flash_cnt[2140][4]~56846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2140][4]~56846_combout\ = (\led_flash_cnt[2140][4]~q\ & (!\led_flash_cnt[2140][3]~56845\)) # (!\led_flash_cnt[2140][4]~q\ & ((\led_flash_cnt[2140][3]~56845\) # (GND)))
-- \led_flash_cnt[2140][4]~56847\ = CARRY((!\led_flash_cnt[2140][3]~56845\) # (!\led_flash_cnt[2140][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2140][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2140][3]~56845\,
	combout => \led_flash_cnt[2140][4]~56846_combout\,
	cout => \led_flash_cnt[2140][4]~56847\);

-- Location: FF_X60_Y50_N13
\led_flash_cnt[2140][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2140][4]~56846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2140][4]~q\);

-- Location: LCCOMB_X60_Y50_N14
\led_flash_cnt[2140][5]~56848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2140][5]~56848_combout\ = (\led_flash_cnt[2140][5]~q\ & (\led_flash_cnt[2140][4]~56847\ $ (GND))) # (!\led_flash_cnt[2140][5]~q\ & (!\led_flash_cnt[2140][4]~56847\ & VCC))
-- \led_flash_cnt[2140][5]~56849\ = CARRY((\led_flash_cnt[2140][5]~q\ & !\led_flash_cnt[2140][4]~56847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2140][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2140][4]~56847\,
	combout => \led_flash_cnt[2140][5]~56848_combout\,
	cout => \led_flash_cnt[2140][5]~56849\);

-- Location: FF_X60_Y50_N15
\led_flash_cnt[2140][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2140][5]~56848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2140][5]~q\);

-- Location: LCCOMB_X60_Y50_N16
\led_flash_cnt[2140][6]~56850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2140][6]~56850_combout\ = (\led_flash_cnt[2140][6]~q\ & (!\led_flash_cnt[2140][5]~56849\)) # (!\led_flash_cnt[2140][6]~q\ & ((\led_flash_cnt[2140][5]~56849\) # (GND)))
-- \led_flash_cnt[2140][6]~56851\ = CARRY((!\led_flash_cnt[2140][5]~56849\) # (!\led_flash_cnt[2140][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2140][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2140][5]~56849\,
	combout => \led_flash_cnt[2140][6]~56850_combout\,
	cout => \led_flash_cnt[2140][6]~56851\);

-- Location: FF_X60_Y50_N17
\led_flash_cnt[2140][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2140][6]~56850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2140][6]~q\);

-- Location: LCCOMB_X60_Y50_N18
\led_flash_cnt[2140][7]~56852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2140][7]~56852_combout\ = \led_flash_cnt[2140][7]~q\ $ (!\led_flash_cnt[2140][6]~56851\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2140][7]~q\,
	cin => \led_flash_cnt[2140][6]~56851\,
	combout => \led_flash_cnt[2140][7]~56852_combout\);

-- Location: FF_X60_Y50_N19
\led_flash_cnt[2140][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2140][7]~56852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2140][7]~q\);

-- Location: LCCOMB_X60_Y50_N22
\WideAnd2140~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2140~1_combout\ = (\led_flash_cnt[2140][5]~q\ & \led_flash_cnt[2140][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2140][5]~q\,
	datad => \led_flash_cnt[2140][6]~q\,
	combout => \WideAnd2140~1_combout\);

-- Location: LCCOMB_X60_Y50_N24
\WideAnd2140~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2140~0_combout\ = (\led_flash_cnt[2140][4]~q\ & (\led_flash_cnt[2140][1]~q\ & (\led_flash_cnt[2140][2]~q\ & \led_flash_cnt[2140][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2140][4]~q\,
	datab => \led_flash_cnt[2140][1]~q\,
	datac => \led_flash_cnt[2140][2]~q\,
	datad => \led_flash_cnt[2140][3]~q\,
	combout => \WideAnd2140~0_combout\);

-- Location: LCCOMB_X60_Y50_N20
WideAnd2140 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2140~combout\ = (\led_flash_cnt[2140][7]~q\ & (\led_flash_cnt[2140][0]~q\ & (\WideAnd2140~1_combout\ & \WideAnd2140~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2140][7]~q\,
	datab => \led_flash_cnt[2140][0]~q\,
	datac => \WideAnd2140~1_combout\,
	datad => \WideAnd2140~0_combout\,
	combout => \WideAnd2140~combout\);

-- Location: FF_X60_Y50_N21
\led_flash_cnt_ands[2140]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2140~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2140));

-- Location: LCCOMB_X60_Y50_N30
\WideAnd4107~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4107~1_combout\ = (led_flash_cnt_ands(2141) & led_flash_cnt_ands(2140))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2141),
	datad => led_flash_cnt_ands(2140),
	combout => \WideAnd4107~1_combout\);

-- Location: LCCOMB_X77_Y53_N10
\led_flash_cnt[2139][0]~82779\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2139][0]~82779_combout\ = !\led_flash_cnt[2139][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2139][0]~q\,
	combout => \led_flash_cnt[2139][0]~82779_combout\);

-- Location: FF_X77_Y53_N11
\led_flash_cnt[2139][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2139][0]~82779_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2139][0]~q\);

-- Location: LCCOMB_X77_Y53_N16
\led_flash_cnt[2139][1]~56826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2139][1]~56826_combout\ = (\led_flash_cnt[2139][0]~q\ & (\led_flash_cnt[2139][1]~q\ $ (VCC))) # (!\led_flash_cnt[2139][0]~q\ & (\led_flash_cnt[2139][1]~q\ & VCC))
-- \led_flash_cnt[2139][1]~56827\ = CARRY((\led_flash_cnt[2139][0]~q\ & \led_flash_cnt[2139][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2139][0]~q\,
	datab => \led_flash_cnt[2139][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2139][1]~56826_combout\,
	cout => \led_flash_cnt[2139][1]~56827\);

-- Location: FF_X77_Y53_N17
\led_flash_cnt[2139][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2139][1]~56826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2139][1]~q\);

-- Location: LCCOMB_X77_Y53_N18
\led_flash_cnt[2139][2]~56828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2139][2]~56828_combout\ = (\led_flash_cnt[2139][2]~q\ & (!\led_flash_cnt[2139][1]~56827\)) # (!\led_flash_cnt[2139][2]~q\ & ((\led_flash_cnt[2139][1]~56827\) # (GND)))
-- \led_flash_cnt[2139][2]~56829\ = CARRY((!\led_flash_cnt[2139][1]~56827\) # (!\led_flash_cnt[2139][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2139][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2139][1]~56827\,
	combout => \led_flash_cnt[2139][2]~56828_combout\,
	cout => \led_flash_cnt[2139][2]~56829\);

-- Location: FF_X77_Y53_N19
\led_flash_cnt[2139][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2139][2]~56828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2139][2]~q\);

-- Location: LCCOMB_X77_Y53_N20
\led_flash_cnt[2139][3]~56830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2139][3]~56830_combout\ = (\led_flash_cnt[2139][3]~q\ & (\led_flash_cnt[2139][2]~56829\ $ (GND))) # (!\led_flash_cnt[2139][3]~q\ & (!\led_flash_cnt[2139][2]~56829\ & VCC))
-- \led_flash_cnt[2139][3]~56831\ = CARRY((\led_flash_cnt[2139][3]~q\ & !\led_flash_cnt[2139][2]~56829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2139][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2139][2]~56829\,
	combout => \led_flash_cnt[2139][3]~56830_combout\,
	cout => \led_flash_cnt[2139][3]~56831\);

-- Location: FF_X77_Y53_N21
\led_flash_cnt[2139][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2139][3]~56830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2139][3]~q\);

-- Location: LCCOMB_X77_Y53_N22
\led_flash_cnt[2139][4]~56832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2139][4]~56832_combout\ = (\led_flash_cnt[2139][4]~q\ & (!\led_flash_cnt[2139][3]~56831\)) # (!\led_flash_cnt[2139][4]~q\ & ((\led_flash_cnt[2139][3]~56831\) # (GND)))
-- \led_flash_cnt[2139][4]~56833\ = CARRY((!\led_flash_cnt[2139][3]~56831\) # (!\led_flash_cnt[2139][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2139][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2139][3]~56831\,
	combout => \led_flash_cnt[2139][4]~56832_combout\,
	cout => \led_flash_cnt[2139][4]~56833\);

-- Location: FF_X77_Y53_N23
\led_flash_cnt[2139][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2139][4]~56832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2139][4]~q\);

-- Location: LCCOMB_X77_Y53_N24
\led_flash_cnt[2139][5]~56834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2139][5]~56834_combout\ = (\led_flash_cnt[2139][5]~q\ & (\led_flash_cnt[2139][4]~56833\ $ (GND))) # (!\led_flash_cnt[2139][5]~q\ & (!\led_flash_cnt[2139][4]~56833\ & VCC))
-- \led_flash_cnt[2139][5]~56835\ = CARRY((\led_flash_cnt[2139][5]~q\ & !\led_flash_cnt[2139][4]~56833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2139][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2139][4]~56833\,
	combout => \led_flash_cnt[2139][5]~56834_combout\,
	cout => \led_flash_cnt[2139][5]~56835\);

-- Location: FF_X77_Y53_N25
\led_flash_cnt[2139][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2139][5]~56834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2139][5]~q\);

-- Location: LCCOMB_X77_Y53_N26
\led_flash_cnt[2139][6]~56836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2139][6]~56836_combout\ = (\led_flash_cnt[2139][6]~q\ & (!\led_flash_cnt[2139][5]~56835\)) # (!\led_flash_cnt[2139][6]~q\ & ((\led_flash_cnt[2139][5]~56835\) # (GND)))
-- \led_flash_cnt[2139][6]~56837\ = CARRY((!\led_flash_cnt[2139][5]~56835\) # (!\led_flash_cnt[2139][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2139][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2139][5]~56835\,
	combout => \led_flash_cnt[2139][6]~56836_combout\,
	cout => \led_flash_cnt[2139][6]~56837\);

-- Location: FF_X77_Y53_N27
\led_flash_cnt[2139][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2139][6]~56836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2139][6]~q\);

-- Location: LCCOMB_X77_Y53_N28
\led_flash_cnt[2139][7]~56838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2139][7]~56838_combout\ = \led_flash_cnt[2139][6]~56837\ $ (!\led_flash_cnt[2139][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2139][7]~q\,
	cin => \led_flash_cnt[2139][6]~56837\,
	combout => \led_flash_cnt[2139][7]~56838_combout\);

-- Location: FF_X77_Y53_N29
\led_flash_cnt[2139][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2139][7]~56838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2139][7]~q\);

-- Location: LCCOMB_X77_Y53_N4
\WideAnd2139~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2139~1_combout\ = (\led_flash_cnt[2139][6]~q\ & \led_flash_cnt[2139][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2139][6]~q\,
	datad => \led_flash_cnt[2139][5]~q\,
	combout => \WideAnd2139~1_combout\);

-- Location: LCCOMB_X77_Y53_N12
\WideAnd2139~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2139~0_combout\ = (\led_flash_cnt[2139][1]~q\ & (\led_flash_cnt[2139][2]~q\ & (\led_flash_cnt[2139][4]~q\ & \led_flash_cnt[2139][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2139][1]~q\,
	datab => \led_flash_cnt[2139][2]~q\,
	datac => \led_flash_cnt[2139][4]~q\,
	datad => \led_flash_cnt[2139][3]~q\,
	combout => \WideAnd2139~0_combout\);

-- Location: LCCOMB_X77_Y53_N30
WideAnd2139 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2139~combout\ = (\led_flash_cnt[2139][0]~q\ & (\led_flash_cnt[2139][7]~q\ & (\WideAnd2139~1_combout\ & \WideAnd2139~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2139][0]~q\,
	datab => \led_flash_cnt[2139][7]~q\,
	datac => \WideAnd2139~1_combout\,
	datad => \WideAnd2139~0_combout\,
	combout => \WideAnd2139~combout\);

-- Location: FF_X77_Y53_N31
\led_flash_cnt_ands[2139]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2139~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2139));

-- Location: LCCOMB_X77_Y52_N2
\led_flash_cnt[2137][0]~82777\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2137][0]~82777_combout\ = !\led_flash_cnt[2137][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2137][0]~q\,
	combout => \led_flash_cnt[2137][0]~82777_combout\);

-- Location: FF_X77_Y52_N3
\led_flash_cnt[2137][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2137][0]~82777_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2137][0]~q\);

-- Location: LCCOMB_X76_Y52_N2
\led_flash_cnt[2137][1]~56798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2137][1]~56798_combout\ = (\led_flash_cnt[2137][0]~q\ & (\led_flash_cnt[2137][1]~q\ $ (VCC))) # (!\led_flash_cnt[2137][0]~q\ & (\led_flash_cnt[2137][1]~q\ & VCC))
-- \led_flash_cnt[2137][1]~56799\ = CARRY((\led_flash_cnt[2137][0]~q\ & \led_flash_cnt[2137][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2137][0]~q\,
	datab => \led_flash_cnt[2137][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2137][1]~56798_combout\,
	cout => \led_flash_cnt[2137][1]~56799\);

-- Location: FF_X76_Y52_N3
\led_flash_cnt[2137][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2137][1]~56798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2137][1]~q\);

-- Location: LCCOMB_X76_Y52_N4
\led_flash_cnt[2137][2]~56800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2137][2]~56800_combout\ = (\led_flash_cnt[2137][2]~q\ & (!\led_flash_cnt[2137][1]~56799\)) # (!\led_flash_cnt[2137][2]~q\ & ((\led_flash_cnt[2137][1]~56799\) # (GND)))
-- \led_flash_cnt[2137][2]~56801\ = CARRY((!\led_flash_cnt[2137][1]~56799\) # (!\led_flash_cnt[2137][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2137][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2137][1]~56799\,
	combout => \led_flash_cnt[2137][2]~56800_combout\,
	cout => \led_flash_cnt[2137][2]~56801\);

-- Location: FF_X76_Y52_N5
\led_flash_cnt[2137][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2137][2]~56800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2137][2]~q\);

-- Location: LCCOMB_X76_Y52_N6
\led_flash_cnt[2137][3]~56802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2137][3]~56802_combout\ = (\led_flash_cnt[2137][3]~q\ & (\led_flash_cnt[2137][2]~56801\ $ (GND))) # (!\led_flash_cnt[2137][3]~q\ & (!\led_flash_cnt[2137][2]~56801\ & VCC))
-- \led_flash_cnt[2137][3]~56803\ = CARRY((\led_flash_cnt[2137][3]~q\ & !\led_flash_cnt[2137][2]~56801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2137][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2137][2]~56801\,
	combout => \led_flash_cnt[2137][3]~56802_combout\,
	cout => \led_flash_cnt[2137][3]~56803\);

-- Location: FF_X76_Y52_N7
\led_flash_cnt[2137][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2137][3]~56802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2137][3]~q\);

-- Location: LCCOMB_X76_Y52_N8
\led_flash_cnt[2137][4]~56804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2137][4]~56804_combout\ = (\led_flash_cnt[2137][4]~q\ & (!\led_flash_cnt[2137][3]~56803\)) # (!\led_flash_cnt[2137][4]~q\ & ((\led_flash_cnt[2137][3]~56803\) # (GND)))
-- \led_flash_cnt[2137][4]~56805\ = CARRY((!\led_flash_cnt[2137][3]~56803\) # (!\led_flash_cnt[2137][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2137][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2137][3]~56803\,
	combout => \led_flash_cnt[2137][4]~56804_combout\,
	cout => \led_flash_cnt[2137][4]~56805\);

-- Location: FF_X76_Y52_N9
\led_flash_cnt[2137][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2137][4]~56804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2137][4]~q\);

-- Location: LCCOMB_X76_Y52_N10
\led_flash_cnt[2137][5]~56806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2137][5]~56806_combout\ = (\led_flash_cnt[2137][5]~q\ & (\led_flash_cnt[2137][4]~56805\ $ (GND))) # (!\led_flash_cnt[2137][5]~q\ & (!\led_flash_cnt[2137][4]~56805\ & VCC))
-- \led_flash_cnt[2137][5]~56807\ = CARRY((\led_flash_cnt[2137][5]~q\ & !\led_flash_cnt[2137][4]~56805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2137][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2137][4]~56805\,
	combout => \led_flash_cnt[2137][5]~56806_combout\,
	cout => \led_flash_cnt[2137][5]~56807\);

-- Location: FF_X76_Y52_N11
\led_flash_cnt[2137][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2137][5]~56806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2137][5]~q\);

-- Location: LCCOMB_X76_Y52_N12
\led_flash_cnt[2137][6]~56808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2137][6]~56808_combout\ = (\led_flash_cnt[2137][6]~q\ & (!\led_flash_cnt[2137][5]~56807\)) # (!\led_flash_cnt[2137][6]~q\ & ((\led_flash_cnt[2137][5]~56807\) # (GND)))
-- \led_flash_cnt[2137][6]~56809\ = CARRY((!\led_flash_cnt[2137][5]~56807\) # (!\led_flash_cnt[2137][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2137][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2137][5]~56807\,
	combout => \led_flash_cnt[2137][6]~56808_combout\,
	cout => \led_flash_cnt[2137][6]~56809\);

-- Location: FF_X76_Y52_N13
\led_flash_cnt[2137][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2137][6]~56808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2137][6]~q\);

-- Location: LCCOMB_X76_Y52_N14
\led_flash_cnt[2137][7]~56810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2137][7]~56810_combout\ = \led_flash_cnt[2137][7]~q\ $ (!\led_flash_cnt[2137][6]~56809\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2137][7]~q\,
	cin => \led_flash_cnt[2137][6]~56809\,
	combout => \led_flash_cnt[2137][7]~56810_combout\);

-- Location: FF_X76_Y52_N15
\led_flash_cnt[2137][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2137][7]~56810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2137][7]~q\);

-- Location: LCCOMB_X77_Y52_N14
\WideAnd2137~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2137~1_combout\ = (\led_flash_cnt[2137][6]~q\ & \led_flash_cnt[2137][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2137][6]~q\,
	datad => \led_flash_cnt[2137][5]~q\,
	combout => \WideAnd2137~1_combout\);

-- Location: LCCOMB_X76_Y52_N30
\WideAnd2137~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2137~0_combout\ = (\led_flash_cnt[2137][3]~q\ & (\led_flash_cnt[2137][4]~q\ & (\led_flash_cnt[2137][2]~q\ & \led_flash_cnt[2137][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2137][3]~q\,
	datab => \led_flash_cnt[2137][4]~q\,
	datac => \led_flash_cnt[2137][2]~q\,
	datad => \led_flash_cnt[2137][1]~q\,
	combout => \WideAnd2137~0_combout\);

-- Location: LCCOMB_X77_Y52_N16
WideAnd2137 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2137~combout\ = (\led_flash_cnt[2137][7]~q\ & (\WideAnd2137~1_combout\ & (\led_flash_cnt[2137][0]~q\ & \WideAnd2137~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2137][7]~q\,
	datab => \WideAnd2137~1_combout\,
	datac => \led_flash_cnt[2137][0]~q\,
	datad => \WideAnd2137~0_combout\,
	combout => \WideAnd2137~combout\);

-- Location: FF_X77_Y52_N17
\led_flash_cnt_ands[2137]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2137~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2137));

-- Location: LCCOMB_X77_Y51_N24
\led_flash_cnt[2136][0]~82776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2136][0]~82776_combout\ = !\led_flash_cnt[2136][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2136][0]~q\,
	combout => \led_flash_cnt[2136][0]~82776_combout\);

-- Location: FF_X77_Y51_N25
\led_flash_cnt[2136][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2136][0]~82776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2136][0]~q\);

-- Location: LCCOMB_X77_Y51_N6
\led_flash_cnt[2136][1]~56784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2136][1]~56784_combout\ = (\led_flash_cnt[2136][1]~q\ & (\led_flash_cnt[2136][0]~q\ $ (VCC))) # (!\led_flash_cnt[2136][1]~q\ & (\led_flash_cnt[2136][0]~q\ & VCC))
-- \led_flash_cnt[2136][1]~56785\ = CARRY((\led_flash_cnt[2136][1]~q\ & \led_flash_cnt[2136][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2136][1]~q\,
	datab => \led_flash_cnt[2136][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2136][1]~56784_combout\,
	cout => \led_flash_cnt[2136][1]~56785\);

-- Location: FF_X77_Y51_N7
\led_flash_cnt[2136][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2136][1]~56784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2136][1]~q\);

-- Location: LCCOMB_X77_Y51_N8
\led_flash_cnt[2136][2]~56786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2136][2]~56786_combout\ = (\led_flash_cnt[2136][2]~q\ & (!\led_flash_cnt[2136][1]~56785\)) # (!\led_flash_cnt[2136][2]~q\ & ((\led_flash_cnt[2136][1]~56785\) # (GND)))
-- \led_flash_cnt[2136][2]~56787\ = CARRY((!\led_flash_cnt[2136][1]~56785\) # (!\led_flash_cnt[2136][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2136][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2136][1]~56785\,
	combout => \led_flash_cnt[2136][2]~56786_combout\,
	cout => \led_flash_cnt[2136][2]~56787\);

-- Location: FF_X77_Y51_N9
\led_flash_cnt[2136][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2136][2]~56786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2136][2]~q\);

-- Location: LCCOMB_X77_Y51_N10
\led_flash_cnt[2136][3]~56788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2136][3]~56788_combout\ = (\led_flash_cnt[2136][3]~q\ & (\led_flash_cnt[2136][2]~56787\ $ (GND))) # (!\led_flash_cnt[2136][3]~q\ & (!\led_flash_cnt[2136][2]~56787\ & VCC))
-- \led_flash_cnt[2136][3]~56789\ = CARRY((\led_flash_cnt[2136][3]~q\ & !\led_flash_cnt[2136][2]~56787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2136][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2136][2]~56787\,
	combout => \led_flash_cnt[2136][3]~56788_combout\,
	cout => \led_flash_cnt[2136][3]~56789\);

-- Location: FF_X77_Y51_N11
\led_flash_cnt[2136][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2136][3]~56788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2136][3]~q\);

-- Location: LCCOMB_X77_Y51_N12
\led_flash_cnt[2136][4]~56790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2136][4]~56790_combout\ = (\led_flash_cnt[2136][4]~q\ & (!\led_flash_cnt[2136][3]~56789\)) # (!\led_flash_cnt[2136][4]~q\ & ((\led_flash_cnt[2136][3]~56789\) # (GND)))
-- \led_flash_cnt[2136][4]~56791\ = CARRY((!\led_flash_cnt[2136][3]~56789\) # (!\led_flash_cnt[2136][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2136][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2136][3]~56789\,
	combout => \led_flash_cnt[2136][4]~56790_combout\,
	cout => \led_flash_cnt[2136][4]~56791\);

-- Location: FF_X77_Y51_N13
\led_flash_cnt[2136][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2136][4]~56790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2136][4]~q\);

-- Location: LCCOMB_X77_Y51_N14
\led_flash_cnt[2136][5]~56792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2136][5]~56792_combout\ = (\led_flash_cnt[2136][5]~q\ & (\led_flash_cnt[2136][4]~56791\ $ (GND))) # (!\led_flash_cnt[2136][5]~q\ & (!\led_flash_cnt[2136][4]~56791\ & VCC))
-- \led_flash_cnt[2136][5]~56793\ = CARRY((\led_flash_cnt[2136][5]~q\ & !\led_flash_cnt[2136][4]~56791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2136][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2136][4]~56791\,
	combout => \led_flash_cnt[2136][5]~56792_combout\,
	cout => \led_flash_cnt[2136][5]~56793\);

-- Location: FF_X77_Y51_N15
\led_flash_cnt[2136][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2136][5]~56792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2136][5]~q\);

-- Location: LCCOMB_X77_Y51_N16
\led_flash_cnt[2136][6]~56794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2136][6]~56794_combout\ = (\led_flash_cnt[2136][6]~q\ & (!\led_flash_cnt[2136][5]~56793\)) # (!\led_flash_cnt[2136][6]~q\ & ((\led_flash_cnt[2136][5]~56793\) # (GND)))
-- \led_flash_cnt[2136][6]~56795\ = CARRY((!\led_flash_cnt[2136][5]~56793\) # (!\led_flash_cnt[2136][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2136][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2136][5]~56793\,
	combout => \led_flash_cnt[2136][6]~56794_combout\,
	cout => \led_flash_cnt[2136][6]~56795\);

-- Location: FF_X77_Y51_N17
\led_flash_cnt[2136][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2136][6]~56794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2136][6]~q\);

-- Location: LCCOMB_X77_Y51_N26
\WideAnd2136~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2136~1_combout\ = (\led_flash_cnt[2136][5]~q\ & \led_flash_cnt[2136][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2136][5]~q\,
	datad => \led_flash_cnt[2136][6]~q\,
	combout => \WideAnd2136~1_combout\);

-- Location: LCCOMB_X77_Y51_N18
\led_flash_cnt[2136][7]~56796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2136][7]~56796_combout\ = \led_flash_cnt[2136][6]~56795\ $ (!\led_flash_cnt[2136][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2136][7]~q\,
	cin => \led_flash_cnt[2136][6]~56795\,
	combout => \led_flash_cnt[2136][7]~56796_combout\);

-- Location: FF_X77_Y51_N19
\led_flash_cnt[2136][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2136][7]~56796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2136][7]~q\);

-- Location: LCCOMB_X77_Y51_N22
\WideAnd2136~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2136~0_combout\ = (\led_flash_cnt[2136][4]~q\ & (\led_flash_cnt[2136][1]~q\ & (\led_flash_cnt[2136][2]~q\ & \led_flash_cnt[2136][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2136][4]~q\,
	datab => \led_flash_cnt[2136][1]~q\,
	datac => \led_flash_cnt[2136][2]~q\,
	datad => \led_flash_cnt[2136][3]~q\,
	combout => \WideAnd2136~0_combout\);

-- Location: LCCOMB_X77_Y51_N0
WideAnd2136 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2136~combout\ = (\WideAnd2136~1_combout\ & (\led_flash_cnt[2136][7]~q\ & (\WideAnd2136~0_combout\ & \led_flash_cnt[2136][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2136~1_combout\,
	datab => \led_flash_cnt[2136][7]~q\,
	datac => \WideAnd2136~0_combout\,
	datad => \led_flash_cnt[2136][0]~q\,
	combout => \WideAnd2136~combout\);

-- Location: FF_X77_Y51_N1
\led_flash_cnt_ands[2136]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2136~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2136));

-- Location: LCCOMB_X77_Y52_N4
\led_flash_cnt[2138][0]~82778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2138][0]~82778_combout\ = !\led_flash_cnt[2138][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2138][0]~q\,
	combout => \led_flash_cnt[2138][0]~82778_combout\);

-- Location: FF_X77_Y52_N5
\led_flash_cnt[2138][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2138][0]~82778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2138][0]~q\);

-- Location: LCCOMB_X77_Y52_N18
\led_flash_cnt[2138][1]~56812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2138][1]~56812_combout\ = (\led_flash_cnt[2138][1]~q\ & (\led_flash_cnt[2138][0]~q\ $ (VCC))) # (!\led_flash_cnt[2138][1]~q\ & (\led_flash_cnt[2138][0]~q\ & VCC))
-- \led_flash_cnt[2138][1]~56813\ = CARRY((\led_flash_cnt[2138][1]~q\ & \led_flash_cnt[2138][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2138][1]~q\,
	datab => \led_flash_cnt[2138][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2138][1]~56812_combout\,
	cout => \led_flash_cnt[2138][1]~56813\);

-- Location: FF_X77_Y52_N19
\led_flash_cnt[2138][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2138][1]~56812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2138][1]~q\);

-- Location: LCCOMB_X77_Y52_N20
\led_flash_cnt[2138][2]~56814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2138][2]~56814_combout\ = (\led_flash_cnt[2138][2]~q\ & (!\led_flash_cnt[2138][1]~56813\)) # (!\led_flash_cnt[2138][2]~q\ & ((\led_flash_cnt[2138][1]~56813\) # (GND)))
-- \led_flash_cnt[2138][2]~56815\ = CARRY((!\led_flash_cnt[2138][1]~56813\) # (!\led_flash_cnt[2138][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2138][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2138][1]~56813\,
	combout => \led_flash_cnt[2138][2]~56814_combout\,
	cout => \led_flash_cnt[2138][2]~56815\);

-- Location: FF_X77_Y52_N21
\led_flash_cnt[2138][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2138][2]~56814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2138][2]~q\);

-- Location: LCCOMB_X77_Y52_N22
\led_flash_cnt[2138][3]~56816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2138][3]~56816_combout\ = (\led_flash_cnt[2138][3]~q\ & (\led_flash_cnt[2138][2]~56815\ $ (GND))) # (!\led_flash_cnt[2138][3]~q\ & (!\led_flash_cnt[2138][2]~56815\ & VCC))
-- \led_flash_cnt[2138][3]~56817\ = CARRY((\led_flash_cnt[2138][3]~q\ & !\led_flash_cnt[2138][2]~56815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2138][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2138][2]~56815\,
	combout => \led_flash_cnt[2138][3]~56816_combout\,
	cout => \led_flash_cnt[2138][3]~56817\);

-- Location: FF_X77_Y52_N23
\led_flash_cnt[2138][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2138][3]~56816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2138][3]~q\);

-- Location: LCCOMB_X77_Y52_N24
\led_flash_cnt[2138][4]~56818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2138][4]~56818_combout\ = (\led_flash_cnt[2138][4]~q\ & (!\led_flash_cnt[2138][3]~56817\)) # (!\led_flash_cnt[2138][4]~q\ & ((\led_flash_cnt[2138][3]~56817\) # (GND)))
-- \led_flash_cnt[2138][4]~56819\ = CARRY((!\led_flash_cnt[2138][3]~56817\) # (!\led_flash_cnt[2138][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2138][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2138][3]~56817\,
	combout => \led_flash_cnt[2138][4]~56818_combout\,
	cout => \led_flash_cnt[2138][4]~56819\);

-- Location: FF_X77_Y52_N25
\led_flash_cnt[2138][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2138][4]~56818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2138][4]~q\);

-- Location: LCCOMB_X77_Y52_N10
\WideAnd2138~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2138~0_combout\ = (\led_flash_cnt[2138][1]~q\ & (\led_flash_cnt[2138][4]~q\ & (\led_flash_cnt[2138][3]~q\ & \led_flash_cnt[2138][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2138][1]~q\,
	datab => \led_flash_cnt[2138][4]~q\,
	datac => \led_flash_cnt[2138][3]~q\,
	datad => \led_flash_cnt[2138][2]~q\,
	combout => \WideAnd2138~0_combout\);

-- Location: LCCOMB_X77_Y52_N26
\led_flash_cnt[2138][5]~56820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2138][5]~56820_combout\ = (\led_flash_cnt[2138][5]~q\ & (\led_flash_cnt[2138][4]~56819\ $ (GND))) # (!\led_flash_cnt[2138][5]~q\ & (!\led_flash_cnt[2138][4]~56819\ & VCC))
-- \led_flash_cnt[2138][5]~56821\ = CARRY((\led_flash_cnt[2138][5]~q\ & !\led_flash_cnt[2138][4]~56819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2138][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2138][4]~56819\,
	combout => \led_flash_cnt[2138][5]~56820_combout\,
	cout => \led_flash_cnt[2138][5]~56821\);

-- Location: FF_X77_Y52_N27
\led_flash_cnt[2138][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2138][5]~56820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2138][5]~q\);

-- Location: LCCOMB_X77_Y52_N28
\led_flash_cnt[2138][6]~56822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2138][6]~56822_combout\ = (\led_flash_cnt[2138][6]~q\ & (!\led_flash_cnt[2138][5]~56821\)) # (!\led_flash_cnt[2138][6]~q\ & ((\led_flash_cnt[2138][5]~56821\) # (GND)))
-- \led_flash_cnt[2138][6]~56823\ = CARRY((!\led_flash_cnt[2138][5]~56821\) # (!\led_flash_cnt[2138][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2138][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2138][5]~56821\,
	combout => \led_flash_cnt[2138][6]~56822_combout\,
	cout => \led_flash_cnt[2138][6]~56823\);

-- Location: FF_X77_Y52_N29
\led_flash_cnt[2138][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2138][6]~56822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2138][6]~q\);

-- Location: LCCOMB_X77_Y52_N30
\led_flash_cnt[2138][7]~56824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2138][7]~56824_combout\ = \led_flash_cnt[2138][7]~q\ $ (!\led_flash_cnt[2138][6]~56823\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2138][7]~q\,
	cin => \led_flash_cnt[2138][6]~56823\,
	combout => \led_flash_cnt[2138][7]~56824_combout\);

-- Location: FF_X77_Y52_N31
\led_flash_cnt[2138][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2138][7]~56824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2138][7]~q\);

-- Location: LCCOMB_X77_Y52_N12
\WideAnd2138~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2138~1_combout\ = (\led_flash_cnt[2138][5]~q\ & \led_flash_cnt[2138][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2138][5]~q\,
	datad => \led_flash_cnt[2138][6]~q\,
	combout => \WideAnd2138~1_combout\);

-- Location: LCCOMB_X77_Y52_N6
WideAnd2138 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2138~combout\ = (\WideAnd2138~0_combout\ & (\led_flash_cnt[2138][0]~q\ & (\led_flash_cnt[2138][7]~q\ & \WideAnd2138~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2138~0_combout\,
	datab => \led_flash_cnt[2138][0]~q\,
	datac => \led_flash_cnt[2138][7]~q\,
	datad => \WideAnd2138~1_combout\,
	combout => \WideAnd2138~combout\);

-- Location: FF_X77_Y52_N7
\led_flash_cnt_ands[2138]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2138~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2138));

-- Location: LCCOMB_X77_Y52_N8
\WideAnd4107~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4107~0_combout\ = (led_flash_cnt_ands(2139) & (led_flash_cnt_ands(2137) & (led_flash_cnt_ands(2136) & led_flash_cnt_ands(2138))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2139),
	datab => led_flash_cnt_ands(2137),
	datac => led_flash_cnt_ands(2136),
	datad => led_flash_cnt_ands(2138),
	combout => \WideAnd4107~0_combout\);

-- Location: LCCOMB_X62_Y37_N24
WideAnd4107 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4107~combout\ = (led_flash_cnt_ands(2143) & (led_flash_cnt_ands(2142) & (\WideAnd4107~1_combout\ & \WideAnd4107~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2143),
	datab => led_flash_cnt_ands(2142),
	datac => \WideAnd4107~1_combout\,
	datad => \WideAnd4107~0_combout\,
	combout => \WideAnd4107~combout\);

-- Location: FF_X62_Y37_N25
\led_flash_cnt_ands_1[267]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4107~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(267));

-- Location: LCCOMB_X56_Y23_N8
\WideAnd4353~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4353~0_combout\ = (led_flash_cnt_ands_1(266) & (led_flash_cnt_ands_1(264) & (led_flash_cnt_ands_1(265) & led_flash_cnt_ands_1(267))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(266),
	datab => led_flash_cnt_ands_1(264),
	datac => led_flash_cnt_ands_1(265),
	datad => led_flash_cnt_ands_1(267),
	combout => \WideAnd4353~0_combout\);

-- Location: LCCOMB_X71_Y42_N12
\led_flash_cnt[2158][0]~82798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2158][0]~82798_combout\ = !\led_flash_cnt[2158][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2158][0]~q\,
	combout => \led_flash_cnt[2158][0]~82798_combout\);

-- Location: FF_X71_Y42_N13
\led_flash_cnt[2158][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2158][0]~82798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2158][0]~q\);

-- Location: LCCOMB_X71_Y42_N16
\led_flash_cnt[2158][1]~57092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2158][1]~57092_combout\ = (\led_flash_cnt[2158][0]~q\ & (\led_flash_cnt[2158][1]~q\ $ (VCC))) # (!\led_flash_cnt[2158][0]~q\ & (\led_flash_cnt[2158][1]~q\ & VCC))
-- \led_flash_cnt[2158][1]~57093\ = CARRY((\led_flash_cnt[2158][0]~q\ & \led_flash_cnt[2158][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2158][0]~q\,
	datab => \led_flash_cnt[2158][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2158][1]~57092_combout\,
	cout => \led_flash_cnt[2158][1]~57093\);

-- Location: FF_X71_Y42_N17
\led_flash_cnt[2158][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2158][1]~57092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2158][1]~q\);

-- Location: LCCOMB_X71_Y42_N18
\led_flash_cnt[2158][2]~57094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2158][2]~57094_combout\ = (\led_flash_cnt[2158][2]~q\ & (!\led_flash_cnt[2158][1]~57093\)) # (!\led_flash_cnt[2158][2]~q\ & ((\led_flash_cnt[2158][1]~57093\) # (GND)))
-- \led_flash_cnt[2158][2]~57095\ = CARRY((!\led_flash_cnt[2158][1]~57093\) # (!\led_flash_cnt[2158][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2158][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2158][1]~57093\,
	combout => \led_flash_cnt[2158][2]~57094_combout\,
	cout => \led_flash_cnt[2158][2]~57095\);

-- Location: FF_X71_Y42_N19
\led_flash_cnt[2158][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2158][2]~57094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2158][2]~q\);

-- Location: LCCOMB_X71_Y42_N20
\led_flash_cnt[2158][3]~57096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2158][3]~57096_combout\ = (\led_flash_cnt[2158][3]~q\ & (\led_flash_cnt[2158][2]~57095\ $ (GND))) # (!\led_flash_cnt[2158][3]~q\ & (!\led_flash_cnt[2158][2]~57095\ & VCC))
-- \led_flash_cnt[2158][3]~57097\ = CARRY((\led_flash_cnt[2158][3]~q\ & !\led_flash_cnt[2158][2]~57095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2158][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2158][2]~57095\,
	combout => \led_flash_cnt[2158][3]~57096_combout\,
	cout => \led_flash_cnt[2158][3]~57097\);

-- Location: FF_X71_Y42_N21
\led_flash_cnt[2158][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2158][3]~57096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2158][3]~q\);

-- Location: LCCOMB_X71_Y42_N22
\led_flash_cnt[2158][4]~57098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2158][4]~57098_combout\ = (\led_flash_cnt[2158][4]~q\ & (!\led_flash_cnt[2158][3]~57097\)) # (!\led_flash_cnt[2158][4]~q\ & ((\led_flash_cnt[2158][3]~57097\) # (GND)))
-- \led_flash_cnt[2158][4]~57099\ = CARRY((!\led_flash_cnt[2158][3]~57097\) # (!\led_flash_cnt[2158][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2158][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2158][3]~57097\,
	combout => \led_flash_cnt[2158][4]~57098_combout\,
	cout => \led_flash_cnt[2158][4]~57099\);

-- Location: FF_X71_Y42_N23
\led_flash_cnt[2158][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2158][4]~57098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2158][4]~q\);

-- Location: LCCOMB_X71_Y42_N24
\led_flash_cnt[2158][5]~57100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2158][5]~57100_combout\ = (\led_flash_cnt[2158][5]~q\ & (\led_flash_cnt[2158][4]~57099\ $ (GND))) # (!\led_flash_cnt[2158][5]~q\ & (!\led_flash_cnt[2158][4]~57099\ & VCC))
-- \led_flash_cnt[2158][5]~57101\ = CARRY((\led_flash_cnt[2158][5]~q\ & !\led_flash_cnt[2158][4]~57099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2158][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2158][4]~57099\,
	combout => \led_flash_cnt[2158][5]~57100_combout\,
	cout => \led_flash_cnt[2158][5]~57101\);

-- Location: FF_X71_Y42_N25
\led_flash_cnt[2158][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2158][5]~57100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2158][5]~q\);

-- Location: LCCOMB_X71_Y42_N26
\led_flash_cnt[2158][6]~57102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2158][6]~57102_combout\ = (\led_flash_cnt[2158][6]~q\ & (!\led_flash_cnt[2158][5]~57101\)) # (!\led_flash_cnt[2158][6]~q\ & ((\led_flash_cnt[2158][5]~57101\) # (GND)))
-- \led_flash_cnt[2158][6]~57103\ = CARRY((!\led_flash_cnt[2158][5]~57101\) # (!\led_flash_cnt[2158][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2158][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2158][5]~57101\,
	combout => \led_flash_cnt[2158][6]~57102_combout\,
	cout => \led_flash_cnt[2158][6]~57103\);

-- Location: FF_X71_Y42_N27
\led_flash_cnt[2158][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2158][6]~57102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2158][6]~q\);

-- Location: LCCOMB_X71_Y42_N28
\led_flash_cnt[2158][7]~57104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2158][7]~57104_combout\ = \led_flash_cnt[2158][6]~57103\ $ (!\led_flash_cnt[2158][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2158][7]~q\,
	cin => \led_flash_cnt[2158][6]~57103\,
	combout => \led_flash_cnt[2158][7]~57104_combout\);

-- Location: FF_X71_Y42_N29
\led_flash_cnt[2158][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2158][7]~57104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2158][7]~q\);

-- Location: LCCOMB_X71_Y42_N8
\WideAnd2158~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2158~1_combout\ = (\led_flash_cnt[2158][6]~q\ & \led_flash_cnt[2158][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2158][6]~q\,
	datad => \led_flash_cnt[2158][5]~q\,
	combout => \WideAnd2158~1_combout\);

-- Location: LCCOMB_X71_Y42_N2
\WideAnd2158~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2158~0_combout\ = (\led_flash_cnt[2158][3]~q\ & (\led_flash_cnt[2158][2]~q\ & (\led_flash_cnt[2158][4]~q\ & \led_flash_cnt[2158][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2158][3]~q\,
	datab => \led_flash_cnt[2158][2]~q\,
	datac => \led_flash_cnt[2158][4]~q\,
	datad => \led_flash_cnt[2158][1]~q\,
	combout => \WideAnd2158~0_combout\);

-- Location: LCCOMB_X71_Y42_N10
WideAnd2158 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2158~combout\ = (\led_flash_cnt[2158][0]~q\ & (\led_flash_cnt[2158][7]~q\ & (\WideAnd2158~1_combout\ & \WideAnd2158~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2158][0]~q\,
	datab => \led_flash_cnt[2158][7]~q\,
	datac => \WideAnd2158~1_combout\,
	datad => \WideAnd2158~0_combout\,
	combout => \WideAnd2158~combout\);

-- Location: FF_X71_Y42_N11
\led_flash_cnt_ands[2158]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2158~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2158));

-- Location: LCCOMB_X72_Y42_N4
\led_flash_cnt[2159][0]~82799\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2159][0]~82799_combout\ = !\led_flash_cnt[2159][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2159][0]~q\,
	combout => \led_flash_cnt[2159][0]~82799_combout\);

-- Location: FF_X72_Y42_N5
\led_flash_cnt[2159][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2159][0]~82799_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2159][0]~q\);

-- Location: LCCOMB_X72_Y42_N10
\led_flash_cnt[2159][1]~57106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2159][1]~57106_combout\ = (\led_flash_cnt[2159][1]~q\ & (\led_flash_cnt[2159][0]~q\ $ (VCC))) # (!\led_flash_cnt[2159][1]~q\ & (\led_flash_cnt[2159][0]~q\ & VCC))
-- \led_flash_cnt[2159][1]~57107\ = CARRY((\led_flash_cnt[2159][1]~q\ & \led_flash_cnt[2159][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2159][1]~q\,
	datab => \led_flash_cnt[2159][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2159][1]~57106_combout\,
	cout => \led_flash_cnt[2159][1]~57107\);

-- Location: FF_X72_Y42_N11
\led_flash_cnt[2159][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2159][1]~57106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2159][1]~q\);

-- Location: LCCOMB_X72_Y42_N12
\led_flash_cnt[2159][2]~57108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2159][2]~57108_combout\ = (\led_flash_cnt[2159][2]~q\ & (!\led_flash_cnt[2159][1]~57107\)) # (!\led_flash_cnt[2159][2]~q\ & ((\led_flash_cnt[2159][1]~57107\) # (GND)))
-- \led_flash_cnt[2159][2]~57109\ = CARRY((!\led_flash_cnt[2159][1]~57107\) # (!\led_flash_cnt[2159][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2159][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2159][1]~57107\,
	combout => \led_flash_cnt[2159][2]~57108_combout\,
	cout => \led_flash_cnt[2159][2]~57109\);

-- Location: FF_X72_Y42_N13
\led_flash_cnt[2159][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2159][2]~57108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2159][2]~q\);

-- Location: LCCOMB_X72_Y42_N14
\led_flash_cnt[2159][3]~57110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2159][3]~57110_combout\ = (\led_flash_cnt[2159][3]~q\ & (\led_flash_cnt[2159][2]~57109\ $ (GND))) # (!\led_flash_cnt[2159][3]~q\ & (!\led_flash_cnt[2159][2]~57109\ & VCC))
-- \led_flash_cnt[2159][3]~57111\ = CARRY((\led_flash_cnt[2159][3]~q\ & !\led_flash_cnt[2159][2]~57109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2159][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2159][2]~57109\,
	combout => \led_flash_cnt[2159][3]~57110_combout\,
	cout => \led_flash_cnt[2159][3]~57111\);

-- Location: FF_X72_Y42_N15
\led_flash_cnt[2159][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2159][3]~57110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2159][3]~q\);

-- Location: LCCOMB_X72_Y42_N16
\led_flash_cnt[2159][4]~57112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2159][4]~57112_combout\ = (\led_flash_cnt[2159][4]~q\ & (!\led_flash_cnt[2159][3]~57111\)) # (!\led_flash_cnt[2159][4]~q\ & ((\led_flash_cnt[2159][3]~57111\) # (GND)))
-- \led_flash_cnt[2159][4]~57113\ = CARRY((!\led_flash_cnt[2159][3]~57111\) # (!\led_flash_cnt[2159][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2159][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2159][3]~57111\,
	combout => \led_flash_cnt[2159][4]~57112_combout\,
	cout => \led_flash_cnt[2159][4]~57113\);

-- Location: FF_X72_Y42_N17
\led_flash_cnt[2159][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2159][4]~57112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2159][4]~q\);

-- Location: LCCOMB_X72_Y42_N18
\led_flash_cnt[2159][5]~57114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2159][5]~57114_combout\ = (\led_flash_cnt[2159][5]~q\ & (\led_flash_cnt[2159][4]~57113\ $ (GND))) # (!\led_flash_cnt[2159][5]~q\ & (!\led_flash_cnt[2159][4]~57113\ & VCC))
-- \led_flash_cnt[2159][5]~57115\ = CARRY((\led_flash_cnt[2159][5]~q\ & !\led_flash_cnt[2159][4]~57113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2159][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2159][4]~57113\,
	combout => \led_flash_cnt[2159][5]~57114_combout\,
	cout => \led_flash_cnt[2159][5]~57115\);

-- Location: FF_X72_Y42_N19
\led_flash_cnt[2159][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2159][5]~57114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2159][5]~q\);

-- Location: LCCOMB_X72_Y42_N20
\led_flash_cnt[2159][6]~57116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2159][6]~57116_combout\ = (\led_flash_cnt[2159][6]~q\ & (!\led_flash_cnt[2159][5]~57115\)) # (!\led_flash_cnt[2159][6]~q\ & ((\led_flash_cnt[2159][5]~57115\) # (GND)))
-- \led_flash_cnt[2159][6]~57117\ = CARRY((!\led_flash_cnt[2159][5]~57115\) # (!\led_flash_cnt[2159][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2159][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2159][5]~57115\,
	combout => \led_flash_cnt[2159][6]~57116_combout\,
	cout => \led_flash_cnt[2159][6]~57117\);

-- Location: FF_X72_Y42_N21
\led_flash_cnt[2159][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2159][6]~57116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2159][6]~q\);

-- Location: LCCOMB_X72_Y42_N26
\WideAnd2159~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2159~1_combout\ = (\led_flash_cnt[2159][6]~q\ & \led_flash_cnt[2159][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2159][6]~q\,
	datad => \led_flash_cnt[2159][5]~q\,
	combout => \WideAnd2159~1_combout\);

-- Location: LCCOMB_X72_Y42_N22
\led_flash_cnt[2159][7]~57118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2159][7]~57118_combout\ = \led_flash_cnt[2159][7]~q\ $ (!\led_flash_cnt[2159][6]~57117\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2159][7]~q\,
	cin => \led_flash_cnt[2159][6]~57117\,
	combout => \led_flash_cnt[2159][7]~57118_combout\);

-- Location: FF_X72_Y42_N23
\led_flash_cnt[2159][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2159][7]~57118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2159][7]~q\);

-- Location: LCCOMB_X72_Y42_N24
\WideAnd2159~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2159~0_combout\ = (\led_flash_cnt[2159][2]~q\ & (\led_flash_cnt[2159][4]~q\ & (\led_flash_cnt[2159][3]~q\ & \led_flash_cnt[2159][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2159][2]~q\,
	datab => \led_flash_cnt[2159][4]~q\,
	datac => \led_flash_cnt[2159][3]~q\,
	datad => \led_flash_cnt[2159][1]~q\,
	combout => \WideAnd2159~0_combout\);

-- Location: LCCOMB_X72_Y42_N28
WideAnd2159 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2159~combout\ = (\WideAnd2159~1_combout\ & (\led_flash_cnt[2159][0]~q\ & (\led_flash_cnt[2159][7]~q\ & \WideAnd2159~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2159~1_combout\,
	datab => \led_flash_cnt[2159][0]~q\,
	datac => \led_flash_cnt[2159][7]~q\,
	datad => \WideAnd2159~0_combout\,
	combout => \WideAnd2159~combout\);

-- Location: FF_X72_Y42_N29
\led_flash_cnt_ands[2159]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2159~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2159));

-- Location: LCCOMB_X74_Y50_N24
\led_flash_cnt[2155][0]~82795\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2155][0]~82795_combout\ = !\led_flash_cnt[2155][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2155][0]~q\,
	combout => \led_flash_cnt[2155][0]~82795_combout\);

-- Location: FF_X74_Y50_N25
\led_flash_cnt[2155][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2155][0]~82795_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2155][0]~q\);

-- Location: LCCOMB_X74_Y50_N6
\led_flash_cnt[2155][1]~57050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2155][1]~57050_combout\ = (\led_flash_cnt[2155][1]~q\ & (\led_flash_cnt[2155][0]~q\ $ (VCC))) # (!\led_flash_cnt[2155][1]~q\ & (\led_flash_cnt[2155][0]~q\ & VCC))
-- \led_flash_cnt[2155][1]~57051\ = CARRY((\led_flash_cnt[2155][1]~q\ & \led_flash_cnt[2155][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2155][1]~q\,
	datab => \led_flash_cnt[2155][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2155][1]~57050_combout\,
	cout => \led_flash_cnt[2155][1]~57051\);

-- Location: FF_X74_Y50_N7
\led_flash_cnt[2155][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2155][1]~57050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2155][1]~q\);

-- Location: LCCOMB_X74_Y50_N8
\led_flash_cnt[2155][2]~57052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2155][2]~57052_combout\ = (\led_flash_cnt[2155][2]~q\ & (!\led_flash_cnt[2155][1]~57051\)) # (!\led_flash_cnt[2155][2]~q\ & ((\led_flash_cnt[2155][1]~57051\) # (GND)))
-- \led_flash_cnt[2155][2]~57053\ = CARRY((!\led_flash_cnt[2155][1]~57051\) # (!\led_flash_cnt[2155][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2155][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2155][1]~57051\,
	combout => \led_flash_cnt[2155][2]~57052_combout\,
	cout => \led_flash_cnt[2155][2]~57053\);

-- Location: FF_X74_Y50_N9
\led_flash_cnt[2155][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2155][2]~57052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2155][2]~q\);

-- Location: LCCOMB_X74_Y50_N10
\led_flash_cnt[2155][3]~57054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2155][3]~57054_combout\ = (\led_flash_cnt[2155][3]~q\ & (\led_flash_cnt[2155][2]~57053\ $ (GND))) # (!\led_flash_cnt[2155][3]~q\ & (!\led_flash_cnt[2155][2]~57053\ & VCC))
-- \led_flash_cnt[2155][3]~57055\ = CARRY((\led_flash_cnt[2155][3]~q\ & !\led_flash_cnt[2155][2]~57053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2155][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2155][2]~57053\,
	combout => \led_flash_cnt[2155][3]~57054_combout\,
	cout => \led_flash_cnt[2155][3]~57055\);

-- Location: FF_X74_Y50_N11
\led_flash_cnt[2155][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2155][3]~57054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2155][3]~q\);

-- Location: LCCOMB_X74_Y50_N12
\led_flash_cnt[2155][4]~57056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2155][4]~57056_combout\ = (\led_flash_cnt[2155][4]~q\ & (!\led_flash_cnt[2155][3]~57055\)) # (!\led_flash_cnt[2155][4]~q\ & ((\led_flash_cnt[2155][3]~57055\) # (GND)))
-- \led_flash_cnt[2155][4]~57057\ = CARRY((!\led_flash_cnt[2155][3]~57055\) # (!\led_flash_cnt[2155][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2155][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2155][3]~57055\,
	combout => \led_flash_cnt[2155][4]~57056_combout\,
	cout => \led_flash_cnt[2155][4]~57057\);

-- Location: FF_X74_Y50_N13
\led_flash_cnt[2155][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2155][4]~57056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2155][4]~q\);

-- Location: LCCOMB_X74_Y50_N22
\WideAnd2155~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2155~0_combout\ = (\led_flash_cnt[2155][3]~q\ & (\led_flash_cnt[2155][4]~q\ & (\led_flash_cnt[2155][2]~q\ & \led_flash_cnt[2155][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2155][3]~q\,
	datab => \led_flash_cnt[2155][4]~q\,
	datac => \led_flash_cnt[2155][2]~q\,
	datad => \led_flash_cnt[2155][1]~q\,
	combout => \WideAnd2155~0_combout\);

-- Location: LCCOMB_X74_Y50_N14
\led_flash_cnt[2155][5]~57058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2155][5]~57058_combout\ = (\led_flash_cnt[2155][5]~q\ & (\led_flash_cnt[2155][4]~57057\ $ (GND))) # (!\led_flash_cnt[2155][5]~q\ & (!\led_flash_cnt[2155][4]~57057\ & VCC))
-- \led_flash_cnt[2155][5]~57059\ = CARRY((\led_flash_cnt[2155][5]~q\ & !\led_flash_cnt[2155][4]~57057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2155][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2155][4]~57057\,
	combout => \led_flash_cnt[2155][5]~57058_combout\,
	cout => \led_flash_cnt[2155][5]~57059\);

-- Location: FF_X74_Y50_N15
\led_flash_cnt[2155][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2155][5]~57058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2155][5]~q\);

-- Location: LCCOMB_X74_Y50_N16
\led_flash_cnt[2155][6]~57060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2155][6]~57060_combout\ = (\led_flash_cnt[2155][6]~q\ & (!\led_flash_cnt[2155][5]~57059\)) # (!\led_flash_cnt[2155][6]~q\ & ((\led_flash_cnt[2155][5]~57059\) # (GND)))
-- \led_flash_cnt[2155][6]~57061\ = CARRY((!\led_flash_cnt[2155][5]~57059\) # (!\led_flash_cnt[2155][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2155][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2155][5]~57059\,
	combout => \led_flash_cnt[2155][6]~57060_combout\,
	cout => \led_flash_cnt[2155][6]~57061\);

-- Location: FF_X74_Y50_N17
\led_flash_cnt[2155][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2155][6]~57060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2155][6]~q\);

-- Location: LCCOMB_X74_Y50_N18
\led_flash_cnt[2155][7]~57062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2155][7]~57062_combout\ = \led_flash_cnt[2155][6]~57061\ $ (!\led_flash_cnt[2155][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2155][7]~q\,
	cin => \led_flash_cnt[2155][6]~57061\,
	combout => \led_flash_cnt[2155][7]~57062_combout\);

-- Location: FF_X74_Y50_N19
\led_flash_cnt[2155][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2155][7]~57062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2155][7]~q\);

-- Location: LCCOMB_X74_Y50_N4
\WideAnd2155~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2155~1_combout\ = (\led_flash_cnt[2155][5]~q\ & \led_flash_cnt[2155][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2155][5]~q\,
	datad => \led_flash_cnt[2155][6]~q\,
	combout => \WideAnd2155~1_combout\);

-- Location: LCCOMB_X74_Y50_N26
WideAnd2155 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2155~combout\ = (\WideAnd2155~0_combout\ & (\led_flash_cnt[2155][7]~q\ & (\WideAnd2155~1_combout\ & \led_flash_cnt[2155][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2155~0_combout\,
	datab => \led_flash_cnt[2155][7]~q\,
	datac => \WideAnd2155~1_combout\,
	datad => \led_flash_cnt[2155][0]~q\,
	combout => \WideAnd2155~combout\);

-- Location: FF_X74_Y50_N27
\led_flash_cnt_ands[2155]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2155~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2155));

-- Location: LCCOMB_X75_Y50_N12
\led_flash_cnt[2154][0]~82794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2154][0]~82794_combout\ = !\led_flash_cnt[2154][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2154][0]~q\,
	combout => \led_flash_cnt[2154][0]~82794_combout\);

-- Location: FF_X75_Y50_N13
\led_flash_cnt[2154][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2154][0]~82794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2154][0]~q\);

-- Location: LCCOMB_X75_Y50_N14
\led_flash_cnt[2154][1]~57036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2154][1]~57036_combout\ = (\led_flash_cnt[2154][0]~q\ & (\led_flash_cnt[2154][1]~q\ $ (VCC))) # (!\led_flash_cnt[2154][0]~q\ & (\led_flash_cnt[2154][1]~q\ & VCC))
-- \led_flash_cnt[2154][1]~57037\ = CARRY((\led_flash_cnt[2154][0]~q\ & \led_flash_cnt[2154][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2154][0]~q\,
	datab => \led_flash_cnt[2154][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2154][1]~57036_combout\,
	cout => \led_flash_cnt[2154][1]~57037\);

-- Location: FF_X75_Y50_N15
\led_flash_cnt[2154][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2154][1]~57036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2154][1]~q\);

-- Location: LCCOMB_X75_Y50_N16
\led_flash_cnt[2154][2]~57038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2154][2]~57038_combout\ = (\led_flash_cnt[2154][2]~q\ & (!\led_flash_cnt[2154][1]~57037\)) # (!\led_flash_cnt[2154][2]~q\ & ((\led_flash_cnt[2154][1]~57037\) # (GND)))
-- \led_flash_cnt[2154][2]~57039\ = CARRY((!\led_flash_cnt[2154][1]~57037\) # (!\led_flash_cnt[2154][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2154][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2154][1]~57037\,
	combout => \led_flash_cnt[2154][2]~57038_combout\,
	cout => \led_flash_cnt[2154][2]~57039\);

-- Location: FF_X75_Y50_N17
\led_flash_cnt[2154][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2154][2]~57038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2154][2]~q\);

-- Location: LCCOMB_X75_Y50_N18
\led_flash_cnt[2154][3]~57040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2154][3]~57040_combout\ = (\led_flash_cnt[2154][3]~q\ & (\led_flash_cnt[2154][2]~57039\ $ (GND))) # (!\led_flash_cnt[2154][3]~q\ & (!\led_flash_cnt[2154][2]~57039\ & VCC))
-- \led_flash_cnt[2154][3]~57041\ = CARRY((\led_flash_cnt[2154][3]~q\ & !\led_flash_cnt[2154][2]~57039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2154][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2154][2]~57039\,
	combout => \led_flash_cnt[2154][3]~57040_combout\,
	cout => \led_flash_cnt[2154][3]~57041\);

-- Location: FF_X75_Y50_N19
\led_flash_cnt[2154][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2154][3]~57040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2154][3]~q\);

-- Location: LCCOMB_X75_Y50_N20
\led_flash_cnt[2154][4]~57042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2154][4]~57042_combout\ = (\led_flash_cnt[2154][4]~q\ & (!\led_flash_cnt[2154][3]~57041\)) # (!\led_flash_cnt[2154][4]~q\ & ((\led_flash_cnt[2154][3]~57041\) # (GND)))
-- \led_flash_cnt[2154][4]~57043\ = CARRY((!\led_flash_cnt[2154][3]~57041\) # (!\led_flash_cnt[2154][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2154][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2154][3]~57041\,
	combout => \led_flash_cnt[2154][4]~57042_combout\,
	cout => \led_flash_cnt[2154][4]~57043\);

-- Location: FF_X75_Y50_N21
\led_flash_cnt[2154][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2154][4]~57042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2154][4]~q\);

-- Location: LCCOMB_X75_Y50_N22
\led_flash_cnt[2154][5]~57044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2154][5]~57044_combout\ = (\led_flash_cnt[2154][5]~q\ & (\led_flash_cnt[2154][4]~57043\ $ (GND))) # (!\led_flash_cnt[2154][5]~q\ & (!\led_flash_cnt[2154][4]~57043\ & VCC))
-- \led_flash_cnt[2154][5]~57045\ = CARRY((\led_flash_cnt[2154][5]~q\ & !\led_flash_cnt[2154][4]~57043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2154][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2154][4]~57043\,
	combout => \led_flash_cnt[2154][5]~57044_combout\,
	cout => \led_flash_cnt[2154][5]~57045\);

-- Location: FF_X75_Y50_N23
\led_flash_cnt[2154][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2154][5]~57044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2154][5]~q\);

-- Location: LCCOMB_X75_Y50_N24
\led_flash_cnt[2154][6]~57046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2154][6]~57046_combout\ = (\led_flash_cnt[2154][6]~q\ & (!\led_flash_cnt[2154][5]~57045\)) # (!\led_flash_cnt[2154][6]~q\ & ((\led_flash_cnt[2154][5]~57045\) # (GND)))
-- \led_flash_cnt[2154][6]~57047\ = CARRY((!\led_flash_cnt[2154][5]~57045\) # (!\led_flash_cnt[2154][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2154][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2154][5]~57045\,
	combout => \led_flash_cnt[2154][6]~57046_combout\,
	cout => \led_flash_cnt[2154][6]~57047\);

-- Location: FF_X75_Y50_N25
\led_flash_cnt[2154][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2154][6]~57046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2154][6]~q\);

-- Location: LCCOMB_X75_Y50_N10
\WideAnd2154~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2154~1_combout\ = (\led_flash_cnt[2154][5]~q\ & \led_flash_cnt[2154][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2154][5]~q\,
	datad => \led_flash_cnt[2154][6]~q\,
	combout => \WideAnd2154~1_combout\);

-- Location: LCCOMB_X75_Y50_N8
\WideAnd2154~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2154~0_combout\ = (\led_flash_cnt[2154][4]~q\ & (\led_flash_cnt[2154][3]~q\ & (\led_flash_cnt[2154][1]~q\ & \led_flash_cnt[2154][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2154][4]~q\,
	datab => \led_flash_cnt[2154][3]~q\,
	datac => \led_flash_cnt[2154][1]~q\,
	datad => \led_flash_cnt[2154][2]~q\,
	combout => \WideAnd2154~0_combout\);

-- Location: LCCOMB_X75_Y50_N26
\led_flash_cnt[2154][7]~57048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2154][7]~57048_combout\ = \led_flash_cnt[2154][7]~q\ $ (!\led_flash_cnt[2154][6]~57047\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2154][7]~q\,
	cin => \led_flash_cnt[2154][6]~57047\,
	combout => \led_flash_cnt[2154][7]~57048_combout\);

-- Location: FF_X75_Y50_N27
\led_flash_cnt[2154][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2154][7]~57048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2154][7]~q\);

-- Location: LCCOMB_X75_Y50_N4
WideAnd2154 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2154~combout\ = (\WideAnd2154~1_combout\ & (\WideAnd2154~0_combout\ & (\led_flash_cnt[2154][7]~q\ & \led_flash_cnt[2154][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2154~1_combout\,
	datab => \WideAnd2154~0_combout\,
	datac => \led_flash_cnt[2154][7]~q\,
	datad => \led_flash_cnt[2154][0]~q\,
	combout => \WideAnd2154~combout\);

-- Location: FF_X75_Y50_N5
\led_flash_cnt_ands[2154]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2154~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2154));

-- Location: LCCOMB_X72_Y50_N24
\led_flash_cnt[2152][0]~82792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2152][0]~82792_combout\ = !\led_flash_cnt[2152][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2152][0]~q\,
	combout => \led_flash_cnt[2152][0]~82792_combout\);

-- Location: FF_X72_Y50_N25
\led_flash_cnt[2152][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2152][0]~82792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2152][0]~q\);

-- Location: LCCOMB_X72_Y50_N6
\led_flash_cnt[2152][1]~57008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2152][1]~57008_combout\ = (\led_flash_cnt[2152][1]~q\ & (\led_flash_cnt[2152][0]~q\ $ (VCC))) # (!\led_flash_cnt[2152][1]~q\ & (\led_flash_cnt[2152][0]~q\ & VCC))
-- \led_flash_cnt[2152][1]~57009\ = CARRY((\led_flash_cnt[2152][1]~q\ & \led_flash_cnt[2152][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2152][1]~q\,
	datab => \led_flash_cnt[2152][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2152][1]~57008_combout\,
	cout => \led_flash_cnt[2152][1]~57009\);

-- Location: FF_X72_Y50_N7
\led_flash_cnt[2152][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2152][1]~57008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2152][1]~q\);

-- Location: LCCOMB_X72_Y50_N8
\led_flash_cnt[2152][2]~57010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2152][2]~57010_combout\ = (\led_flash_cnt[2152][2]~q\ & (!\led_flash_cnt[2152][1]~57009\)) # (!\led_flash_cnt[2152][2]~q\ & ((\led_flash_cnt[2152][1]~57009\) # (GND)))
-- \led_flash_cnt[2152][2]~57011\ = CARRY((!\led_flash_cnt[2152][1]~57009\) # (!\led_flash_cnt[2152][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2152][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2152][1]~57009\,
	combout => \led_flash_cnt[2152][2]~57010_combout\,
	cout => \led_flash_cnt[2152][2]~57011\);

-- Location: FF_X72_Y50_N9
\led_flash_cnt[2152][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2152][2]~57010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2152][2]~q\);

-- Location: LCCOMB_X72_Y50_N10
\led_flash_cnt[2152][3]~57012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2152][3]~57012_combout\ = (\led_flash_cnt[2152][3]~q\ & (\led_flash_cnt[2152][2]~57011\ $ (GND))) # (!\led_flash_cnt[2152][3]~q\ & (!\led_flash_cnt[2152][2]~57011\ & VCC))
-- \led_flash_cnt[2152][3]~57013\ = CARRY((\led_flash_cnt[2152][3]~q\ & !\led_flash_cnt[2152][2]~57011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2152][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2152][2]~57011\,
	combout => \led_flash_cnt[2152][3]~57012_combout\,
	cout => \led_flash_cnt[2152][3]~57013\);

-- Location: FF_X72_Y50_N11
\led_flash_cnt[2152][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2152][3]~57012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2152][3]~q\);

-- Location: LCCOMB_X72_Y50_N12
\led_flash_cnt[2152][4]~57014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2152][4]~57014_combout\ = (\led_flash_cnt[2152][4]~q\ & (!\led_flash_cnt[2152][3]~57013\)) # (!\led_flash_cnt[2152][4]~q\ & ((\led_flash_cnt[2152][3]~57013\) # (GND)))
-- \led_flash_cnt[2152][4]~57015\ = CARRY((!\led_flash_cnt[2152][3]~57013\) # (!\led_flash_cnt[2152][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2152][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2152][3]~57013\,
	combout => \led_flash_cnt[2152][4]~57014_combout\,
	cout => \led_flash_cnt[2152][4]~57015\);

-- Location: FF_X72_Y50_N13
\led_flash_cnt[2152][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2152][4]~57014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2152][4]~q\);

-- Location: LCCOMB_X72_Y50_N14
\led_flash_cnt[2152][5]~57016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2152][5]~57016_combout\ = (\led_flash_cnt[2152][5]~q\ & (\led_flash_cnt[2152][4]~57015\ $ (GND))) # (!\led_flash_cnt[2152][5]~q\ & (!\led_flash_cnt[2152][4]~57015\ & VCC))
-- \led_flash_cnt[2152][5]~57017\ = CARRY((\led_flash_cnt[2152][5]~q\ & !\led_flash_cnt[2152][4]~57015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2152][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2152][4]~57015\,
	combout => \led_flash_cnt[2152][5]~57016_combout\,
	cout => \led_flash_cnt[2152][5]~57017\);

-- Location: FF_X72_Y50_N15
\led_flash_cnt[2152][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2152][5]~57016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2152][5]~q\);

-- Location: LCCOMB_X72_Y50_N16
\led_flash_cnt[2152][6]~57018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2152][6]~57018_combout\ = (\led_flash_cnt[2152][6]~q\ & (!\led_flash_cnt[2152][5]~57017\)) # (!\led_flash_cnt[2152][6]~q\ & ((\led_flash_cnt[2152][5]~57017\) # (GND)))
-- \led_flash_cnt[2152][6]~57019\ = CARRY((!\led_flash_cnt[2152][5]~57017\) # (!\led_flash_cnt[2152][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2152][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2152][5]~57017\,
	combout => \led_flash_cnt[2152][6]~57018_combout\,
	cout => \led_flash_cnt[2152][6]~57019\);

-- Location: FF_X72_Y50_N17
\led_flash_cnt[2152][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2152][6]~57018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2152][6]~q\);

-- Location: LCCOMB_X72_Y50_N22
\WideAnd2152~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2152~1_combout\ = (\led_flash_cnt[2152][5]~q\ & \led_flash_cnt[2152][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2152][5]~q\,
	datad => \led_flash_cnt[2152][6]~q\,
	combout => \WideAnd2152~1_combout\);

-- Location: LCCOMB_X72_Y50_N18
\led_flash_cnt[2152][7]~57020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2152][7]~57020_combout\ = \led_flash_cnt[2152][6]~57019\ $ (!\led_flash_cnt[2152][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2152][7]~q\,
	cin => \led_flash_cnt[2152][6]~57019\,
	combout => \led_flash_cnt[2152][7]~57020_combout\);

-- Location: FF_X72_Y50_N19
\led_flash_cnt[2152][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2152][7]~57020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2152][7]~q\);

-- Location: LCCOMB_X72_Y50_N26
\WideAnd2152~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2152~0_combout\ = (\led_flash_cnt[2152][4]~q\ & (\led_flash_cnt[2152][1]~q\ & (\led_flash_cnt[2152][2]~q\ & \led_flash_cnt[2152][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2152][4]~q\,
	datab => \led_flash_cnt[2152][1]~q\,
	datac => \led_flash_cnt[2152][2]~q\,
	datad => \led_flash_cnt[2152][3]~q\,
	combout => \WideAnd2152~0_combout\);

-- Location: LCCOMB_X72_Y50_N20
WideAnd2152 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2152~combout\ = (\WideAnd2152~1_combout\ & (\led_flash_cnt[2152][7]~q\ & (\WideAnd2152~0_combout\ & \led_flash_cnt[2152][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2152~1_combout\,
	datab => \led_flash_cnt[2152][7]~q\,
	datac => \WideAnd2152~0_combout\,
	datad => \led_flash_cnt[2152][0]~q\,
	combout => \WideAnd2152~combout\);

-- Location: FF_X72_Y50_N21
\led_flash_cnt_ands[2152]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2152~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2152));

-- Location: LCCOMB_X76_Y50_N10
\led_flash_cnt[2153][0]~82793\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2153][0]~82793_combout\ = !\led_flash_cnt[2153][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2153][0]~q\,
	combout => \led_flash_cnt[2153][0]~82793_combout\);

-- Location: FF_X76_Y50_N11
\led_flash_cnt[2153][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2153][0]~82793_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2153][0]~q\);

-- Location: LCCOMB_X76_Y50_N18
\led_flash_cnt[2153][1]~57022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2153][1]~57022_combout\ = (\led_flash_cnt[2153][0]~q\ & (\led_flash_cnt[2153][1]~q\ $ (VCC))) # (!\led_flash_cnt[2153][0]~q\ & (\led_flash_cnt[2153][1]~q\ & VCC))
-- \led_flash_cnt[2153][1]~57023\ = CARRY((\led_flash_cnt[2153][0]~q\ & \led_flash_cnt[2153][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2153][0]~q\,
	datab => \led_flash_cnt[2153][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2153][1]~57022_combout\,
	cout => \led_flash_cnt[2153][1]~57023\);

-- Location: FF_X76_Y50_N19
\led_flash_cnt[2153][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2153][1]~57022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2153][1]~q\);

-- Location: LCCOMB_X76_Y50_N20
\led_flash_cnt[2153][2]~57024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2153][2]~57024_combout\ = (\led_flash_cnt[2153][2]~q\ & (!\led_flash_cnt[2153][1]~57023\)) # (!\led_flash_cnt[2153][2]~q\ & ((\led_flash_cnt[2153][1]~57023\) # (GND)))
-- \led_flash_cnt[2153][2]~57025\ = CARRY((!\led_flash_cnt[2153][1]~57023\) # (!\led_flash_cnt[2153][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2153][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2153][1]~57023\,
	combout => \led_flash_cnt[2153][2]~57024_combout\,
	cout => \led_flash_cnt[2153][2]~57025\);

-- Location: FF_X76_Y50_N21
\led_flash_cnt[2153][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2153][2]~57024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2153][2]~q\);

-- Location: LCCOMB_X76_Y50_N22
\led_flash_cnt[2153][3]~57026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2153][3]~57026_combout\ = (\led_flash_cnt[2153][3]~q\ & (\led_flash_cnt[2153][2]~57025\ $ (GND))) # (!\led_flash_cnt[2153][3]~q\ & (!\led_flash_cnt[2153][2]~57025\ & VCC))
-- \led_flash_cnt[2153][3]~57027\ = CARRY((\led_flash_cnt[2153][3]~q\ & !\led_flash_cnt[2153][2]~57025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2153][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2153][2]~57025\,
	combout => \led_flash_cnt[2153][3]~57026_combout\,
	cout => \led_flash_cnt[2153][3]~57027\);

-- Location: FF_X76_Y50_N23
\led_flash_cnt[2153][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2153][3]~57026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2153][3]~q\);

-- Location: LCCOMB_X76_Y50_N24
\led_flash_cnt[2153][4]~57028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2153][4]~57028_combout\ = (\led_flash_cnt[2153][4]~q\ & (!\led_flash_cnt[2153][3]~57027\)) # (!\led_flash_cnt[2153][4]~q\ & ((\led_flash_cnt[2153][3]~57027\) # (GND)))
-- \led_flash_cnt[2153][4]~57029\ = CARRY((!\led_flash_cnt[2153][3]~57027\) # (!\led_flash_cnt[2153][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2153][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2153][3]~57027\,
	combout => \led_flash_cnt[2153][4]~57028_combout\,
	cout => \led_flash_cnt[2153][4]~57029\);

-- Location: FF_X76_Y50_N25
\led_flash_cnt[2153][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2153][4]~57028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2153][4]~q\);

-- Location: LCCOMB_X76_Y50_N26
\led_flash_cnt[2153][5]~57030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2153][5]~57030_combout\ = (\led_flash_cnt[2153][5]~q\ & (\led_flash_cnt[2153][4]~57029\ $ (GND))) # (!\led_flash_cnt[2153][5]~q\ & (!\led_flash_cnt[2153][4]~57029\ & VCC))
-- \led_flash_cnt[2153][5]~57031\ = CARRY((\led_flash_cnt[2153][5]~q\ & !\led_flash_cnt[2153][4]~57029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2153][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2153][4]~57029\,
	combout => \led_flash_cnt[2153][5]~57030_combout\,
	cout => \led_flash_cnt[2153][5]~57031\);

-- Location: FF_X76_Y50_N27
\led_flash_cnt[2153][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2153][5]~57030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2153][5]~q\);

-- Location: LCCOMB_X76_Y50_N12
\WideAnd2153~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2153~1_combout\ = (\led_flash_cnt[2153][5]~q\ & \led_flash_cnt[2153][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2153][5]~q\,
	datad => \led_flash_cnt[2153][0]~q\,
	combout => \WideAnd2153~1_combout\);

-- Location: LCCOMB_X76_Y50_N4
\WideAnd2153~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2153~0_combout\ = (\led_flash_cnt[2153][4]~q\ & (\led_flash_cnt[2153][2]~q\ & (\led_flash_cnt[2153][3]~q\ & \led_flash_cnt[2153][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2153][4]~q\,
	datab => \led_flash_cnt[2153][2]~q\,
	datac => \led_flash_cnt[2153][3]~q\,
	datad => \led_flash_cnt[2153][1]~q\,
	combout => \WideAnd2153~0_combout\);

-- Location: LCCOMB_X76_Y50_N28
\led_flash_cnt[2153][6]~57032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2153][6]~57032_combout\ = (\led_flash_cnt[2153][6]~q\ & (!\led_flash_cnt[2153][5]~57031\)) # (!\led_flash_cnt[2153][6]~q\ & ((\led_flash_cnt[2153][5]~57031\) # (GND)))
-- \led_flash_cnt[2153][6]~57033\ = CARRY((!\led_flash_cnt[2153][5]~57031\) # (!\led_flash_cnt[2153][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2153][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2153][5]~57031\,
	combout => \led_flash_cnt[2153][6]~57032_combout\,
	cout => \led_flash_cnt[2153][6]~57033\);

-- Location: FF_X76_Y50_N29
\led_flash_cnt[2153][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2153][6]~57032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2153][6]~q\);

-- Location: LCCOMB_X76_Y50_N30
\led_flash_cnt[2153][7]~57034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2153][7]~57034_combout\ = \led_flash_cnt[2153][7]~q\ $ (!\led_flash_cnt[2153][6]~57033\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2153][7]~q\,
	cin => \led_flash_cnt[2153][6]~57033\,
	combout => \led_flash_cnt[2153][7]~57034_combout\);

-- Location: FF_X76_Y50_N31
\led_flash_cnt[2153][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2153][7]~57034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2153][7]~q\);

-- Location: LCCOMB_X76_Y50_N2
WideAnd2153 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2153~combout\ = (\WideAnd2153~1_combout\ & (\WideAnd2153~0_combout\ & (\led_flash_cnt[2153][7]~q\ & \led_flash_cnt[2153][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2153~1_combout\,
	datab => \WideAnd2153~0_combout\,
	datac => \led_flash_cnt[2153][7]~q\,
	datad => \led_flash_cnt[2153][6]~q\,
	combout => \WideAnd2153~combout\);

-- Location: FF_X76_Y50_N3
\led_flash_cnt_ands[2153]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2153~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2153));

-- Location: LCCOMB_X75_Y50_N28
\WideAnd4109~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4109~0_combout\ = (led_flash_cnt_ands(2155) & (led_flash_cnt_ands(2154) & (led_flash_cnt_ands(2152) & led_flash_cnt_ands(2153))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2155),
	datab => led_flash_cnt_ands(2154),
	datac => led_flash_cnt_ands(2152),
	datad => led_flash_cnt_ands(2153),
	combout => \WideAnd4109~0_combout\);

-- Location: LCCOMB_X72_Y43_N30
\led_flash_cnt[2157][0]~82797\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2157][0]~82797_combout\ = !\led_flash_cnt[2157][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2157][0]~q\,
	combout => \led_flash_cnt[2157][0]~82797_combout\);

-- Location: FF_X72_Y43_N31
\led_flash_cnt[2157][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2157][0]~82797_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2157][0]~q\);

-- Location: LCCOMB_X71_Y43_N0
\led_flash_cnt[2157][1]~57078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2157][1]~57078_combout\ = (\led_flash_cnt[2157][0]~q\ & (\led_flash_cnt[2157][1]~q\ $ (VCC))) # (!\led_flash_cnt[2157][0]~q\ & (\led_flash_cnt[2157][1]~q\ & VCC))
-- \led_flash_cnt[2157][1]~57079\ = CARRY((\led_flash_cnt[2157][0]~q\ & \led_flash_cnt[2157][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2157][0]~q\,
	datab => \led_flash_cnt[2157][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2157][1]~57078_combout\,
	cout => \led_flash_cnt[2157][1]~57079\);

-- Location: FF_X71_Y43_N1
\led_flash_cnt[2157][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2157][1]~57078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2157][1]~q\);

-- Location: LCCOMB_X71_Y43_N2
\led_flash_cnt[2157][2]~57080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2157][2]~57080_combout\ = (\led_flash_cnt[2157][2]~q\ & (!\led_flash_cnt[2157][1]~57079\)) # (!\led_flash_cnt[2157][2]~q\ & ((\led_flash_cnt[2157][1]~57079\) # (GND)))
-- \led_flash_cnt[2157][2]~57081\ = CARRY((!\led_flash_cnt[2157][1]~57079\) # (!\led_flash_cnt[2157][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2157][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2157][1]~57079\,
	combout => \led_flash_cnt[2157][2]~57080_combout\,
	cout => \led_flash_cnt[2157][2]~57081\);

-- Location: FF_X71_Y43_N3
\led_flash_cnt[2157][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2157][2]~57080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2157][2]~q\);

-- Location: LCCOMB_X71_Y43_N4
\led_flash_cnt[2157][3]~57082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2157][3]~57082_combout\ = (\led_flash_cnt[2157][3]~q\ & (\led_flash_cnt[2157][2]~57081\ $ (GND))) # (!\led_flash_cnt[2157][3]~q\ & (!\led_flash_cnt[2157][2]~57081\ & VCC))
-- \led_flash_cnt[2157][3]~57083\ = CARRY((\led_flash_cnt[2157][3]~q\ & !\led_flash_cnt[2157][2]~57081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2157][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2157][2]~57081\,
	combout => \led_flash_cnt[2157][3]~57082_combout\,
	cout => \led_flash_cnt[2157][3]~57083\);

-- Location: FF_X71_Y43_N5
\led_flash_cnt[2157][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2157][3]~57082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2157][3]~q\);

-- Location: LCCOMB_X71_Y43_N6
\led_flash_cnt[2157][4]~57084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2157][4]~57084_combout\ = (\led_flash_cnt[2157][4]~q\ & (!\led_flash_cnt[2157][3]~57083\)) # (!\led_flash_cnt[2157][4]~q\ & ((\led_flash_cnt[2157][3]~57083\) # (GND)))
-- \led_flash_cnt[2157][4]~57085\ = CARRY((!\led_flash_cnt[2157][3]~57083\) # (!\led_flash_cnt[2157][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2157][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2157][3]~57083\,
	combout => \led_flash_cnt[2157][4]~57084_combout\,
	cout => \led_flash_cnt[2157][4]~57085\);

-- Location: FF_X71_Y43_N7
\led_flash_cnt[2157][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2157][4]~57084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2157][4]~q\);

-- Location: LCCOMB_X71_Y43_N8
\led_flash_cnt[2157][5]~57086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2157][5]~57086_combout\ = (\led_flash_cnt[2157][5]~q\ & (\led_flash_cnt[2157][4]~57085\ $ (GND))) # (!\led_flash_cnt[2157][5]~q\ & (!\led_flash_cnt[2157][4]~57085\ & VCC))
-- \led_flash_cnt[2157][5]~57087\ = CARRY((\led_flash_cnt[2157][5]~q\ & !\led_flash_cnt[2157][4]~57085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2157][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2157][4]~57085\,
	combout => \led_flash_cnt[2157][5]~57086_combout\,
	cout => \led_flash_cnt[2157][5]~57087\);

-- Location: FF_X71_Y43_N9
\led_flash_cnt[2157][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2157][5]~57086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2157][5]~q\);

-- Location: LCCOMB_X71_Y43_N10
\led_flash_cnt[2157][6]~57088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2157][6]~57088_combout\ = (\led_flash_cnt[2157][6]~q\ & (!\led_flash_cnt[2157][5]~57087\)) # (!\led_flash_cnt[2157][6]~q\ & ((\led_flash_cnt[2157][5]~57087\) # (GND)))
-- \led_flash_cnt[2157][6]~57089\ = CARRY((!\led_flash_cnt[2157][5]~57087\) # (!\led_flash_cnt[2157][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2157][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2157][5]~57087\,
	combout => \led_flash_cnt[2157][6]~57088_combout\,
	cout => \led_flash_cnt[2157][6]~57089\);

-- Location: FF_X71_Y43_N11
\led_flash_cnt[2157][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2157][6]~57088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2157][6]~q\);

-- Location: LCCOMB_X71_Y43_N12
\led_flash_cnt[2157][7]~57090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2157][7]~57090_combout\ = \led_flash_cnt[2157][6]~57089\ $ (!\led_flash_cnt[2157][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2157][7]~q\,
	cin => \led_flash_cnt[2157][6]~57089\,
	combout => \led_flash_cnt[2157][7]~57090_combout\);

-- Location: FF_X71_Y43_N13
\led_flash_cnt[2157][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2157][7]~57090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2157][7]~q\);

-- Location: LCCOMB_X71_Y43_N30
\WideAnd2157~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2157~0_combout\ = (\led_flash_cnt[2157][4]~q\ & (\led_flash_cnt[2157][1]~q\ & (\led_flash_cnt[2157][3]~q\ & \led_flash_cnt[2157][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2157][4]~q\,
	datab => \led_flash_cnt[2157][1]~q\,
	datac => \led_flash_cnt[2157][3]~q\,
	datad => \led_flash_cnt[2157][2]~q\,
	combout => \WideAnd2157~0_combout\);

-- Location: LCCOMB_X72_Y43_N24
\WideAnd2157~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2157~1_combout\ = (\led_flash_cnt[2157][6]~q\ & \led_flash_cnt[2157][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2157][6]~q\,
	datad => \led_flash_cnt[2157][5]~q\,
	combout => \WideAnd2157~1_combout\);

-- Location: LCCOMB_X72_Y43_N20
WideAnd2157 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2157~combout\ = (\led_flash_cnt[2157][7]~q\ & (\WideAnd2157~0_combout\ & (\led_flash_cnt[2157][0]~q\ & \WideAnd2157~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2157][7]~q\,
	datab => \WideAnd2157~0_combout\,
	datac => \led_flash_cnt[2157][0]~q\,
	datad => \WideAnd2157~1_combout\,
	combout => \WideAnd2157~combout\);

-- Location: FF_X72_Y43_N21
\led_flash_cnt_ands[2157]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2157~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2157));

-- Location: LCCOMB_X72_Y43_N18
\led_flash_cnt[2156][0]~82796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2156][0]~82796_combout\ = !\led_flash_cnt[2156][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2156][0]~q\,
	combout => \led_flash_cnt[2156][0]~82796_combout\);

-- Location: FF_X72_Y43_N19
\led_flash_cnt[2156][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2156][0]~82796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2156][0]~q\);

-- Location: LCCOMB_X72_Y43_N0
\led_flash_cnt[2156][1]~57064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2156][1]~57064_combout\ = (\led_flash_cnt[2156][0]~q\ & (\led_flash_cnt[2156][1]~q\ $ (VCC))) # (!\led_flash_cnt[2156][0]~q\ & (\led_flash_cnt[2156][1]~q\ & VCC))
-- \led_flash_cnt[2156][1]~57065\ = CARRY((\led_flash_cnt[2156][0]~q\ & \led_flash_cnt[2156][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2156][0]~q\,
	datab => \led_flash_cnt[2156][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2156][1]~57064_combout\,
	cout => \led_flash_cnt[2156][1]~57065\);

-- Location: FF_X72_Y43_N1
\led_flash_cnt[2156][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2156][1]~57064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2156][1]~q\);

-- Location: LCCOMB_X72_Y43_N2
\led_flash_cnt[2156][2]~57066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2156][2]~57066_combout\ = (\led_flash_cnt[2156][2]~q\ & (!\led_flash_cnt[2156][1]~57065\)) # (!\led_flash_cnt[2156][2]~q\ & ((\led_flash_cnt[2156][1]~57065\) # (GND)))
-- \led_flash_cnt[2156][2]~57067\ = CARRY((!\led_flash_cnt[2156][1]~57065\) # (!\led_flash_cnt[2156][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2156][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2156][1]~57065\,
	combout => \led_flash_cnt[2156][2]~57066_combout\,
	cout => \led_flash_cnt[2156][2]~57067\);

-- Location: FF_X72_Y43_N3
\led_flash_cnt[2156][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2156][2]~57066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2156][2]~q\);

-- Location: LCCOMB_X72_Y43_N4
\led_flash_cnt[2156][3]~57068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2156][3]~57068_combout\ = (\led_flash_cnt[2156][3]~q\ & (\led_flash_cnt[2156][2]~57067\ $ (GND))) # (!\led_flash_cnt[2156][3]~q\ & (!\led_flash_cnt[2156][2]~57067\ & VCC))
-- \led_flash_cnt[2156][3]~57069\ = CARRY((\led_flash_cnt[2156][3]~q\ & !\led_flash_cnt[2156][2]~57067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2156][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2156][2]~57067\,
	combout => \led_flash_cnt[2156][3]~57068_combout\,
	cout => \led_flash_cnt[2156][3]~57069\);

-- Location: FF_X72_Y43_N5
\led_flash_cnt[2156][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2156][3]~57068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2156][3]~q\);

-- Location: LCCOMB_X72_Y43_N6
\led_flash_cnt[2156][4]~57070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2156][4]~57070_combout\ = (\led_flash_cnt[2156][4]~q\ & (!\led_flash_cnt[2156][3]~57069\)) # (!\led_flash_cnt[2156][4]~q\ & ((\led_flash_cnt[2156][3]~57069\) # (GND)))
-- \led_flash_cnt[2156][4]~57071\ = CARRY((!\led_flash_cnt[2156][3]~57069\) # (!\led_flash_cnt[2156][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2156][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2156][3]~57069\,
	combout => \led_flash_cnt[2156][4]~57070_combout\,
	cout => \led_flash_cnt[2156][4]~57071\);

-- Location: FF_X72_Y43_N7
\led_flash_cnt[2156][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2156][4]~57070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2156][4]~q\);

-- Location: LCCOMB_X72_Y43_N8
\led_flash_cnt[2156][5]~57072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2156][5]~57072_combout\ = (\led_flash_cnt[2156][5]~q\ & (\led_flash_cnt[2156][4]~57071\ $ (GND))) # (!\led_flash_cnt[2156][5]~q\ & (!\led_flash_cnt[2156][4]~57071\ & VCC))
-- \led_flash_cnt[2156][5]~57073\ = CARRY((\led_flash_cnt[2156][5]~q\ & !\led_flash_cnt[2156][4]~57071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2156][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2156][4]~57071\,
	combout => \led_flash_cnt[2156][5]~57072_combout\,
	cout => \led_flash_cnt[2156][5]~57073\);

-- Location: FF_X72_Y43_N9
\led_flash_cnt[2156][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2156][5]~57072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2156][5]~q\);

-- Location: LCCOMB_X72_Y43_N10
\led_flash_cnt[2156][6]~57074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2156][6]~57074_combout\ = (\led_flash_cnt[2156][6]~q\ & (!\led_flash_cnt[2156][5]~57073\)) # (!\led_flash_cnt[2156][6]~q\ & ((\led_flash_cnt[2156][5]~57073\) # (GND)))
-- \led_flash_cnt[2156][6]~57075\ = CARRY((!\led_flash_cnt[2156][5]~57073\) # (!\led_flash_cnt[2156][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2156][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2156][5]~57073\,
	combout => \led_flash_cnt[2156][6]~57074_combout\,
	cout => \led_flash_cnt[2156][6]~57075\);

-- Location: FF_X72_Y43_N11
\led_flash_cnt[2156][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2156][6]~57074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2156][6]~q\);

-- Location: LCCOMB_X72_Y43_N12
\led_flash_cnt[2156][7]~57076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2156][7]~57076_combout\ = \led_flash_cnt[2156][6]~57075\ $ (!\led_flash_cnt[2156][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2156][7]~q\,
	cin => \led_flash_cnt[2156][6]~57075\,
	combout => \led_flash_cnt[2156][7]~57076_combout\);

-- Location: FF_X72_Y43_N13
\led_flash_cnt[2156][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2156][7]~57076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2156][7]~q\);

-- Location: LCCOMB_X72_Y43_N28
\WideAnd2156~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2156~1_combout\ = (\led_flash_cnt[2156][2]~q\ & \led_flash_cnt[2156][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2156][2]~q\,
	datad => \led_flash_cnt[2156][0]~q\,
	combout => \WideAnd2156~1_combout\);

-- Location: LCCOMB_X72_Y43_N22
\WideAnd2156~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2156~0_combout\ = (\led_flash_cnt[2156][4]~q\ & (\led_flash_cnt[2156][5]~q\ & (\led_flash_cnt[2156][3]~q\ & \led_flash_cnt[2156][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2156][4]~q\,
	datab => \led_flash_cnt[2156][5]~q\,
	datac => \led_flash_cnt[2156][3]~q\,
	datad => \led_flash_cnt[2156][1]~q\,
	combout => \WideAnd2156~0_combout\);

-- Location: LCCOMB_X72_Y43_N16
WideAnd2156 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2156~combout\ = (\led_flash_cnt[2156][7]~q\ & (\WideAnd2156~1_combout\ & (\WideAnd2156~0_combout\ & \led_flash_cnt[2156][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2156][7]~q\,
	datab => \WideAnd2156~1_combout\,
	datac => \WideAnd2156~0_combout\,
	datad => \led_flash_cnt[2156][6]~q\,
	combout => \WideAnd2156~combout\);

-- Location: FF_X72_Y43_N17
\led_flash_cnt_ands[2156]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2156~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2156));

-- Location: LCCOMB_X72_Y43_N26
\WideAnd4109~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4109~1_combout\ = (led_flash_cnt_ands(2157) & led_flash_cnt_ands(2156))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2157),
	datad => led_flash_cnt_ands(2156),
	combout => \WideAnd4109~1_combout\);

-- Location: LCCOMB_X71_Y42_N4
WideAnd4109 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4109~combout\ = (led_flash_cnt_ands(2158) & (led_flash_cnt_ands(2159) & (\WideAnd4109~0_combout\ & \WideAnd4109~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2158),
	datab => led_flash_cnt_ands(2159),
	datac => \WideAnd4109~0_combout\,
	datad => \WideAnd4109~1_combout\,
	combout => \WideAnd4109~combout\);

-- Location: FF_X71_Y42_N5
\led_flash_cnt_ands_1[269]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4109~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(269));

-- Location: LCCOMB_X63_Y36_N2
\led_flash_cnt[2151][0]~82791\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2151][0]~82791_combout\ = !\led_flash_cnt[2151][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2151][0]~q\,
	combout => \led_flash_cnt[2151][0]~82791_combout\);

-- Location: FF_X63_Y36_N3
\led_flash_cnt[2151][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2151][0]~82791_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2151][0]~q\);

-- Location: LCCOMB_X62_Y36_N18
\led_flash_cnt[2151][1]~56994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2151][1]~56994_combout\ = (\led_flash_cnt[2151][0]~q\ & (\led_flash_cnt[2151][1]~q\ $ (VCC))) # (!\led_flash_cnt[2151][0]~q\ & (\led_flash_cnt[2151][1]~q\ & VCC))
-- \led_flash_cnt[2151][1]~56995\ = CARRY((\led_flash_cnt[2151][0]~q\ & \led_flash_cnt[2151][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2151][0]~q\,
	datab => \led_flash_cnt[2151][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2151][1]~56994_combout\,
	cout => \led_flash_cnt[2151][1]~56995\);

-- Location: FF_X62_Y36_N19
\led_flash_cnt[2151][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2151][1]~56994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2151][1]~q\);

-- Location: LCCOMB_X62_Y36_N20
\led_flash_cnt[2151][2]~56996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2151][2]~56996_combout\ = (\led_flash_cnt[2151][2]~q\ & (!\led_flash_cnt[2151][1]~56995\)) # (!\led_flash_cnt[2151][2]~q\ & ((\led_flash_cnt[2151][1]~56995\) # (GND)))
-- \led_flash_cnt[2151][2]~56997\ = CARRY((!\led_flash_cnt[2151][1]~56995\) # (!\led_flash_cnt[2151][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2151][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2151][1]~56995\,
	combout => \led_flash_cnt[2151][2]~56996_combout\,
	cout => \led_flash_cnt[2151][2]~56997\);

-- Location: FF_X62_Y36_N21
\led_flash_cnt[2151][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2151][2]~56996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2151][2]~q\);

-- Location: LCCOMB_X62_Y36_N22
\led_flash_cnt[2151][3]~56998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2151][3]~56998_combout\ = (\led_flash_cnt[2151][3]~q\ & (\led_flash_cnt[2151][2]~56997\ $ (GND))) # (!\led_flash_cnt[2151][3]~q\ & (!\led_flash_cnt[2151][2]~56997\ & VCC))
-- \led_flash_cnt[2151][3]~56999\ = CARRY((\led_flash_cnt[2151][3]~q\ & !\led_flash_cnt[2151][2]~56997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2151][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2151][2]~56997\,
	combout => \led_flash_cnt[2151][3]~56998_combout\,
	cout => \led_flash_cnt[2151][3]~56999\);

-- Location: FF_X62_Y36_N23
\led_flash_cnt[2151][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2151][3]~56998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2151][3]~q\);

-- Location: LCCOMB_X62_Y36_N24
\led_flash_cnt[2151][4]~57000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2151][4]~57000_combout\ = (\led_flash_cnt[2151][4]~q\ & (!\led_flash_cnt[2151][3]~56999\)) # (!\led_flash_cnt[2151][4]~q\ & ((\led_flash_cnt[2151][3]~56999\) # (GND)))
-- \led_flash_cnt[2151][4]~57001\ = CARRY((!\led_flash_cnt[2151][3]~56999\) # (!\led_flash_cnt[2151][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2151][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2151][3]~56999\,
	combout => \led_flash_cnt[2151][4]~57000_combout\,
	cout => \led_flash_cnt[2151][4]~57001\);

-- Location: FF_X62_Y36_N25
\led_flash_cnt[2151][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2151][4]~57000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2151][4]~q\);

-- Location: LCCOMB_X62_Y36_N26
\led_flash_cnt[2151][5]~57002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2151][5]~57002_combout\ = (\led_flash_cnt[2151][5]~q\ & (\led_flash_cnt[2151][4]~57001\ $ (GND))) # (!\led_flash_cnt[2151][5]~q\ & (!\led_flash_cnt[2151][4]~57001\ & VCC))
-- \led_flash_cnt[2151][5]~57003\ = CARRY((\led_flash_cnt[2151][5]~q\ & !\led_flash_cnt[2151][4]~57001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2151][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2151][4]~57001\,
	combout => \led_flash_cnt[2151][5]~57002_combout\,
	cout => \led_flash_cnt[2151][5]~57003\);

-- Location: FF_X62_Y36_N27
\led_flash_cnt[2151][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2151][5]~57002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2151][5]~q\);

-- Location: LCCOMB_X62_Y36_N28
\led_flash_cnt[2151][6]~57004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2151][6]~57004_combout\ = (\led_flash_cnt[2151][6]~q\ & (!\led_flash_cnt[2151][5]~57003\)) # (!\led_flash_cnt[2151][6]~q\ & ((\led_flash_cnt[2151][5]~57003\) # (GND)))
-- \led_flash_cnt[2151][6]~57005\ = CARRY((!\led_flash_cnt[2151][5]~57003\) # (!\led_flash_cnt[2151][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2151][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2151][5]~57003\,
	combout => \led_flash_cnt[2151][6]~57004_combout\,
	cout => \led_flash_cnt[2151][6]~57005\);

-- Location: FF_X62_Y36_N29
\led_flash_cnt[2151][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2151][6]~57004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2151][6]~q\);

-- Location: LCCOMB_X63_Y36_N24
\WideAnd2151~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2151~1_combout\ = (\led_flash_cnt[2151][5]~q\ & \led_flash_cnt[2151][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2151][5]~q\,
	datad => \led_flash_cnt[2151][6]~q\,
	combout => \WideAnd2151~1_combout\);

-- Location: LCCOMB_X62_Y36_N16
\WideAnd2151~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2151~0_combout\ = (\led_flash_cnt[2151][4]~q\ & (\led_flash_cnt[2151][2]~q\ & (\led_flash_cnt[2151][3]~q\ & \led_flash_cnt[2151][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2151][4]~q\,
	datab => \led_flash_cnt[2151][2]~q\,
	datac => \led_flash_cnt[2151][3]~q\,
	datad => \led_flash_cnt[2151][1]~q\,
	combout => \WideAnd2151~0_combout\);

-- Location: LCCOMB_X62_Y36_N30
\led_flash_cnt[2151][7]~57006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2151][7]~57006_combout\ = \led_flash_cnt[2151][7]~q\ $ (!\led_flash_cnt[2151][6]~57005\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2151][7]~q\,
	cin => \led_flash_cnt[2151][6]~57005\,
	combout => \led_flash_cnt[2151][7]~57006_combout\);

-- Location: FF_X62_Y36_N31
\led_flash_cnt[2151][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2151][7]~57006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2151][7]~q\);

-- Location: LCCOMB_X63_Y36_N26
WideAnd2151 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2151~combout\ = (\led_flash_cnt[2151][0]~q\ & (\WideAnd2151~1_combout\ & (\WideAnd2151~0_combout\ & \led_flash_cnt[2151][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2151][0]~q\,
	datab => \WideAnd2151~1_combout\,
	datac => \WideAnd2151~0_combout\,
	datad => \led_flash_cnt[2151][7]~q\,
	combout => \WideAnd2151~combout\);

-- Location: FF_X63_Y36_N27
\led_flash_cnt_ands[2151]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2151~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2151));

-- Location: LCCOMB_X67_Y28_N2
\led_flash_cnt[2147][0]~82787\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2147][0]~82787_combout\ = !\led_flash_cnt[2147][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2147][0]~q\,
	combout => \led_flash_cnt[2147][0]~82787_combout\);

-- Location: FF_X67_Y28_N3
\led_flash_cnt[2147][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2147][0]~82787_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2147][0]~q\);

-- Location: LCCOMB_X66_Y28_N0
\led_flash_cnt[2147][1]~56938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2147][1]~56938_combout\ = (\led_flash_cnt[2147][0]~q\ & (\led_flash_cnt[2147][1]~q\ $ (VCC))) # (!\led_flash_cnt[2147][0]~q\ & (\led_flash_cnt[2147][1]~q\ & VCC))
-- \led_flash_cnt[2147][1]~56939\ = CARRY((\led_flash_cnt[2147][0]~q\ & \led_flash_cnt[2147][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2147][0]~q\,
	datab => \led_flash_cnt[2147][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2147][1]~56938_combout\,
	cout => \led_flash_cnt[2147][1]~56939\);

-- Location: FF_X66_Y28_N1
\led_flash_cnt[2147][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2147][1]~56938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2147][1]~q\);

-- Location: LCCOMB_X66_Y28_N2
\led_flash_cnt[2147][2]~56940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2147][2]~56940_combout\ = (\led_flash_cnt[2147][2]~q\ & (!\led_flash_cnt[2147][1]~56939\)) # (!\led_flash_cnt[2147][2]~q\ & ((\led_flash_cnt[2147][1]~56939\) # (GND)))
-- \led_flash_cnt[2147][2]~56941\ = CARRY((!\led_flash_cnt[2147][1]~56939\) # (!\led_flash_cnt[2147][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2147][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2147][1]~56939\,
	combout => \led_flash_cnt[2147][2]~56940_combout\,
	cout => \led_flash_cnt[2147][2]~56941\);

-- Location: FF_X66_Y28_N3
\led_flash_cnt[2147][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2147][2]~56940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2147][2]~q\);

-- Location: LCCOMB_X66_Y28_N4
\led_flash_cnt[2147][3]~56942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2147][3]~56942_combout\ = (\led_flash_cnt[2147][3]~q\ & (\led_flash_cnt[2147][2]~56941\ $ (GND))) # (!\led_flash_cnt[2147][3]~q\ & (!\led_flash_cnt[2147][2]~56941\ & VCC))
-- \led_flash_cnt[2147][3]~56943\ = CARRY((\led_flash_cnt[2147][3]~q\ & !\led_flash_cnt[2147][2]~56941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2147][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2147][2]~56941\,
	combout => \led_flash_cnt[2147][3]~56942_combout\,
	cout => \led_flash_cnt[2147][3]~56943\);

-- Location: FF_X66_Y28_N5
\led_flash_cnt[2147][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2147][3]~56942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2147][3]~q\);

-- Location: LCCOMB_X66_Y28_N6
\led_flash_cnt[2147][4]~56944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2147][4]~56944_combout\ = (\led_flash_cnt[2147][4]~q\ & (!\led_flash_cnt[2147][3]~56943\)) # (!\led_flash_cnt[2147][4]~q\ & ((\led_flash_cnt[2147][3]~56943\) # (GND)))
-- \led_flash_cnt[2147][4]~56945\ = CARRY((!\led_flash_cnt[2147][3]~56943\) # (!\led_flash_cnt[2147][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2147][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2147][3]~56943\,
	combout => \led_flash_cnt[2147][4]~56944_combout\,
	cout => \led_flash_cnt[2147][4]~56945\);

-- Location: FF_X66_Y28_N7
\led_flash_cnt[2147][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2147][4]~56944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2147][4]~q\);

-- Location: LCCOMB_X66_Y28_N8
\led_flash_cnt[2147][5]~56946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2147][5]~56946_combout\ = (\led_flash_cnt[2147][5]~q\ & (\led_flash_cnt[2147][4]~56945\ $ (GND))) # (!\led_flash_cnt[2147][5]~q\ & (!\led_flash_cnt[2147][4]~56945\ & VCC))
-- \led_flash_cnt[2147][5]~56947\ = CARRY((\led_flash_cnt[2147][5]~q\ & !\led_flash_cnt[2147][4]~56945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2147][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2147][4]~56945\,
	combout => \led_flash_cnt[2147][5]~56946_combout\,
	cout => \led_flash_cnt[2147][5]~56947\);

-- Location: FF_X66_Y28_N9
\led_flash_cnt[2147][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2147][5]~56946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2147][5]~q\);

-- Location: LCCOMB_X66_Y28_N10
\led_flash_cnt[2147][6]~56948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2147][6]~56948_combout\ = (\led_flash_cnt[2147][6]~q\ & (!\led_flash_cnt[2147][5]~56947\)) # (!\led_flash_cnt[2147][6]~q\ & ((\led_flash_cnt[2147][5]~56947\) # (GND)))
-- \led_flash_cnt[2147][6]~56949\ = CARRY((!\led_flash_cnt[2147][5]~56947\) # (!\led_flash_cnt[2147][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2147][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2147][5]~56947\,
	combout => \led_flash_cnt[2147][6]~56948_combout\,
	cout => \led_flash_cnt[2147][6]~56949\);

-- Location: FF_X66_Y28_N11
\led_flash_cnt[2147][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2147][6]~56948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2147][6]~q\);

-- Location: LCCOMB_X66_Y28_N12
\led_flash_cnt[2147][7]~56950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2147][7]~56950_combout\ = \led_flash_cnt[2147][6]~56949\ $ (!\led_flash_cnt[2147][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2147][7]~q\,
	cin => \led_flash_cnt[2147][6]~56949\,
	combout => \led_flash_cnt[2147][7]~56950_combout\);

-- Location: FF_X66_Y28_N13
\led_flash_cnt[2147][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2147][7]~56950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2147][7]~q\);

-- Location: LCCOMB_X67_Y28_N8
\WideAnd2147~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2147~0_combout\ = (\led_flash_cnt[2147][1]~q\ & (\led_flash_cnt[2147][4]~q\ & (\led_flash_cnt[2147][3]~q\ & \led_flash_cnt[2147][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2147][1]~q\,
	datab => \led_flash_cnt[2147][4]~q\,
	datac => \led_flash_cnt[2147][3]~q\,
	datad => \led_flash_cnt[2147][2]~q\,
	combout => \WideAnd2147~0_combout\);

-- Location: LCCOMB_X67_Y28_N4
\WideAnd2147~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2147~1_combout\ = (\led_flash_cnt[2147][6]~q\ & \led_flash_cnt[2147][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2147][6]~q\,
	datad => \led_flash_cnt[2147][5]~q\,
	combout => \WideAnd2147~1_combout\);

-- Location: LCCOMB_X67_Y28_N10
WideAnd2147 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2147~combout\ = (\led_flash_cnt[2147][7]~q\ & (\WideAnd2147~0_combout\ & (\WideAnd2147~1_combout\ & \led_flash_cnt[2147][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2147][7]~q\,
	datab => \WideAnd2147~0_combout\,
	datac => \WideAnd2147~1_combout\,
	datad => \led_flash_cnt[2147][0]~q\,
	combout => \WideAnd2147~combout\);

-- Location: FF_X67_Y28_N11
\led_flash_cnt_ands[2147]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2147~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2147));

-- Location: LCCOMB_X66_Y27_N24
\led_flash_cnt[2146][0]~82786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2146][0]~82786_combout\ = !\led_flash_cnt[2146][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2146][0]~q\,
	combout => \led_flash_cnt[2146][0]~82786_combout\);

-- Location: FF_X66_Y27_N25
\led_flash_cnt[2146][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2146][0]~82786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2146][0]~q\);

-- Location: LCCOMB_X66_Y27_N6
\led_flash_cnt[2146][1]~56924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2146][1]~56924_combout\ = (\led_flash_cnt[2146][1]~q\ & (\led_flash_cnt[2146][0]~q\ $ (VCC))) # (!\led_flash_cnt[2146][1]~q\ & (\led_flash_cnt[2146][0]~q\ & VCC))
-- \led_flash_cnt[2146][1]~56925\ = CARRY((\led_flash_cnt[2146][1]~q\ & \led_flash_cnt[2146][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2146][1]~q\,
	datab => \led_flash_cnt[2146][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2146][1]~56924_combout\,
	cout => \led_flash_cnt[2146][1]~56925\);

-- Location: FF_X66_Y27_N7
\led_flash_cnt[2146][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2146][1]~56924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2146][1]~q\);

-- Location: LCCOMB_X66_Y27_N8
\led_flash_cnt[2146][2]~56926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2146][2]~56926_combout\ = (\led_flash_cnt[2146][2]~q\ & (!\led_flash_cnt[2146][1]~56925\)) # (!\led_flash_cnt[2146][2]~q\ & ((\led_flash_cnt[2146][1]~56925\) # (GND)))
-- \led_flash_cnt[2146][2]~56927\ = CARRY((!\led_flash_cnt[2146][1]~56925\) # (!\led_flash_cnt[2146][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2146][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2146][1]~56925\,
	combout => \led_flash_cnt[2146][2]~56926_combout\,
	cout => \led_flash_cnt[2146][2]~56927\);

-- Location: FF_X66_Y27_N9
\led_flash_cnt[2146][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2146][2]~56926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2146][2]~q\);

-- Location: LCCOMB_X66_Y27_N10
\led_flash_cnt[2146][3]~56928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2146][3]~56928_combout\ = (\led_flash_cnt[2146][3]~q\ & (\led_flash_cnt[2146][2]~56927\ $ (GND))) # (!\led_flash_cnt[2146][3]~q\ & (!\led_flash_cnt[2146][2]~56927\ & VCC))
-- \led_flash_cnt[2146][3]~56929\ = CARRY((\led_flash_cnt[2146][3]~q\ & !\led_flash_cnt[2146][2]~56927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2146][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2146][2]~56927\,
	combout => \led_flash_cnt[2146][3]~56928_combout\,
	cout => \led_flash_cnt[2146][3]~56929\);

-- Location: FF_X66_Y27_N11
\led_flash_cnt[2146][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2146][3]~56928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2146][3]~q\);

-- Location: LCCOMB_X66_Y27_N12
\led_flash_cnt[2146][4]~56930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2146][4]~56930_combout\ = (\led_flash_cnt[2146][4]~q\ & (!\led_flash_cnt[2146][3]~56929\)) # (!\led_flash_cnt[2146][4]~q\ & ((\led_flash_cnt[2146][3]~56929\) # (GND)))
-- \led_flash_cnt[2146][4]~56931\ = CARRY((!\led_flash_cnt[2146][3]~56929\) # (!\led_flash_cnt[2146][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2146][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2146][3]~56929\,
	combout => \led_flash_cnt[2146][4]~56930_combout\,
	cout => \led_flash_cnt[2146][4]~56931\);

-- Location: FF_X66_Y27_N13
\led_flash_cnt[2146][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2146][4]~56930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2146][4]~q\);

-- Location: LCCOMB_X66_Y27_N22
\WideAnd2146~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2146~0_combout\ = (\led_flash_cnt[2146][4]~q\ & (\led_flash_cnt[2146][1]~q\ & (\led_flash_cnt[2146][2]~q\ & \led_flash_cnt[2146][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2146][4]~q\,
	datab => \led_flash_cnt[2146][1]~q\,
	datac => \led_flash_cnt[2146][2]~q\,
	datad => \led_flash_cnt[2146][3]~q\,
	combout => \WideAnd2146~0_combout\);

-- Location: LCCOMB_X66_Y27_N14
\led_flash_cnt[2146][5]~56932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2146][5]~56932_combout\ = (\led_flash_cnt[2146][5]~q\ & (\led_flash_cnt[2146][4]~56931\ $ (GND))) # (!\led_flash_cnt[2146][5]~q\ & (!\led_flash_cnt[2146][4]~56931\ & VCC))
-- \led_flash_cnt[2146][5]~56933\ = CARRY((\led_flash_cnt[2146][5]~q\ & !\led_flash_cnt[2146][4]~56931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2146][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2146][4]~56931\,
	combout => \led_flash_cnt[2146][5]~56932_combout\,
	cout => \led_flash_cnt[2146][5]~56933\);

-- Location: FF_X66_Y27_N15
\led_flash_cnt[2146][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2146][5]~56932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2146][5]~q\);

-- Location: LCCOMB_X66_Y27_N16
\led_flash_cnt[2146][6]~56934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2146][6]~56934_combout\ = (\led_flash_cnt[2146][6]~q\ & (!\led_flash_cnt[2146][5]~56933\)) # (!\led_flash_cnt[2146][6]~q\ & ((\led_flash_cnt[2146][5]~56933\) # (GND)))
-- \led_flash_cnt[2146][6]~56935\ = CARRY((!\led_flash_cnt[2146][5]~56933\) # (!\led_flash_cnt[2146][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2146][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2146][5]~56933\,
	combout => \led_flash_cnt[2146][6]~56934_combout\,
	cout => \led_flash_cnt[2146][6]~56935\);

-- Location: FF_X66_Y27_N17
\led_flash_cnt[2146][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2146][6]~56934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2146][6]~q\);

-- Location: LCCOMB_X66_Y27_N18
\led_flash_cnt[2146][7]~56936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2146][7]~56936_combout\ = \led_flash_cnt[2146][6]~56935\ $ (!\led_flash_cnt[2146][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2146][7]~q\,
	cin => \led_flash_cnt[2146][6]~56935\,
	combout => \led_flash_cnt[2146][7]~56936_combout\);

-- Location: FF_X66_Y27_N19
\led_flash_cnt[2146][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2146][7]~56936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2146][7]~q\);

-- Location: LCCOMB_X66_Y27_N4
\WideAnd2146~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2146~1_combout\ = (\led_flash_cnt[2146][5]~q\ & \led_flash_cnt[2146][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2146][5]~q\,
	datad => \led_flash_cnt[2146][6]~q\,
	combout => \WideAnd2146~1_combout\);

-- Location: LCCOMB_X66_Y27_N26
WideAnd2146 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2146~combout\ = (\WideAnd2146~0_combout\ & (\led_flash_cnt[2146][7]~q\ & (\WideAnd2146~1_combout\ & \led_flash_cnt[2146][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2146~0_combout\,
	datab => \led_flash_cnt[2146][7]~q\,
	datac => \WideAnd2146~1_combout\,
	datad => \led_flash_cnt[2146][0]~q\,
	combout => \WideAnd2146~combout\);

-- Location: FF_X66_Y27_N27
\led_flash_cnt_ands[2146]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2146~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2146));

-- Location: LCCOMB_X70_Y34_N0
\led_flash_cnt[2144][0]~82784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2144][0]~82784_combout\ = !\led_flash_cnt[2144][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2144][0]~q\,
	combout => \led_flash_cnt[2144][0]~82784_combout\);

-- Location: FF_X70_Y34_N1
\led_flash_cnt[2144][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2144][0]~82784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2144][0]~q\);

-- Location: LCCOMB_X70_Y34_N12
\led_flash_cnt[2144][1]~56896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2144][1]~56896_combout\ = (\led_flash_cnt[2144][1]~q\ & (\led_flash_cnt[2144][0]~q\ $ (VCC))) # (!\led_flash_cnt[2144][1]~q\ & (\led_flash_cnt[2144][0]~q\ & VCC))
-- \led_flash_cnt[2144][1]~56897\ = CARRY((\led_flash_cnt[2144][1]~q\ & \led_flash_cnt[2144][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2144][1]~q\,
	datab => \led_flash_cnt[2144][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2144][1]~56896_combout\,
	cout => \led_flash_cnt[2144][1]~56897\);

-- Location: FF_X70_Y34_N13
\led_flash_cnt[2144][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2144][1]~56896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2144][1]~q\);

-- Location: LCCOMB_X70_Y34_N14
\led_flash_cnt[2144][2]~56898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2144][2]~56898_combout\ = (\led_flash_cnt[2144][2]~q\ & (!\led_flash_cnt[2144][1]~56897\)) # (!\led_flash_cnt[2144][2]~q\ & ((\led_flash_cnt[2144][1]~56897\) # (GND)))
-- \led_flash_cnt[2144][2]~56899\ = CARRY((!\led_flash_cnt[2144][1]~56897\) # (!\led_flash_cnt[2144][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2144][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2144][1]~56897\,
	combout => \led_flash_cnt[2144][2]~56898_combout\,
	cout => \led_flash_cnt[2144][2]~56899\);

-- Location: FF_X70_Y34_N15
\led_flash_cnt[2144][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2144][2]~56898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2144][2]~q\);

-- Location: LCCOMB_X70_Y34_N16
\led_flash_cnt[2144][3]~56900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2144][3]~56900_combout\ = (\led_flash_cnt[2144][3]~q\ & (\led_flash_cnt[2144][2]~56899\ $ (GND))) # (!\led_flash_cnt[2144][3]~q\ & (!\led_flash_cnt[2144][2]~56899\ & VCC))
-- \led_flash_cnt[2144][3]~56901\ = CARRY((\led_flash_cnt[2144][3]~q\ & !\led_flash_cnt[2144][2]~56899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2144][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2144][2]~56899\,
	combout => \led_flash_cnt[2144][3]~56900_combout\,
	cout => \led_flash_cnt[2144][3]~56901\);

-- Location: FF_X70_Y34_N17
\led_flash_cnt[2144][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2144][3]~56900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2144][3]~q\);

-- Location: LCCOMB_X70_Y34_N18
\led_flash_cnt[2144][4]~56902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2144][4]~56902_combout\ = (\led_flash_cnt[2144][4]~q\ & (!\led_flash_cnt[2144][3]~56901\)) # (!\led_flash_cnt[2144][4]~q\ & ((\led_flash_cnt[2144][3]~56901\) # (GND)))
-- \led_flash_cnt[2144][4]~56903\ = CARRY((!\led_flash_cnt[2144][3]~56901\) # (!\led_flash_cnt[2144][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2144][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2144][3]~56901\,
	combout => \led_flash_cnt[2144][4]~56902_combout\,
	cout => \led_flash_cnt[2144][4]~56903\);

-- Location: FF_X70_Y34_N19
\led_flash_cnt[2144][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2144][4]~56902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2144][4]~q\);

-- Location: LCCOMB_X70_Y34_N10
\WideAnd2144~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2144~0_combout\ = (\led_flash_cnt[2144][1]~q\ & (\led_flash_cnt[2144][4]~q\ & (\led_flash_cnt[2144][2]~q\ & \led_flash_cnt[2144][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2144][1]~q\,
	datab => \led_flash_cnt[2144][4]~q\,
	datac => \led_flash_cnt[2144][2]~q\,
	datad => \led_flash_cnt[2144][3]~q\,
	combout => \WideAnd2144~0_combout\);

-- Location: LCCOMB_X70_Y34_N20
\led_flash_cnt[2144][5]~56904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2144][5]~56904_combout\ = (\led_flash_cnt[2144][5]~q\ & (\led_flash_cnt[2144][4]~56903\ $ (GND))) # (!\led_flash_cnt[2144][5]~q\ & (!\led_flash_cnt[2144][4]~56903\ & VCC))
-- \led_flash_cnt[2144][5]~56905\ = CARRY((\led_flash_cnt[2144][5]~q\ & !\led_flash_cnt[2144][4]~56903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2144][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2144][4]~56903\,
	combout => \led_flash_cnt[2144][5]~56904_combout\,
	cout => \led_flash_cnt[2144][5]~56905\);

-- Location: FF_X70_Y34_N21
\led_flash_cnt[2144][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2144][5]~56904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2144][5]~q\);

-- Location: LCCOMB_X70_Y34_N22
\led_flash_cnt[2144][6]~56906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2144][6]~56906_combout\ = (\led_flash_cnt[2144][6]~q\ & (!\led_flash_cnt[2144][5]~56905\)) # (!\led_flash_cnt[2144][6]~q\ & ((\led_flash_cnt[2144][5]~56905\) # (GND)))
-- \led_flash_cnt[2144][6]~56907\ = CARRY((!\led_flash_cnt[2144][5]~56905\) # (!\led_flash_cnt[2144][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2144][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2144][5]~56905\,
	combout => \led_flash_cnt[2144][6]~56906_combout\,
	cout => \led_flash_cnt[2144][6]~56907\);

-- Location: FF_X70_Y34_N23
\led_flash_cnt[2144][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2144][6]~56906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2144][6]~q\);

-- Location: LCCOMB_X70_Y34_N24
\led_flash_cnt[2144][7]~56908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2144][7]~56908_combout\ = \led_flash_cnt[2144][6]~56907\ $ (!\led_flash_cnt[2144][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2144][7]~q\,
	cin => \led_flash_cnt[2144][6]~56907\,
	combout => \led_flash_cnt[2144][7]~56908_combout\);

-- Location: FF_X70_Y34_N25
\led_flash_cnt[2144][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2144][7]~56908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2144][7]~q\);

-- Location: LCCOMB_X70_Y34_N26
\WideAnd2144~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2144~1_combout\ = (\led_flash_cnt[2144][6]~q\ & \led_flash_cnt[2144][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2144][6]~q\,
	datad => \led_flash_cnt[2144][5]~q\,
	combout => \WideAnd2144~1_combout\);

-- Location: LCCOMB_X70_Y34_N8
WideAnd2144 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2144~combout\ = (\WideAnd2144~0_combout\ & (\led_flash_cnt[2144][7]~q\ & (\WideAnd2144~1_combout\ & \led_flash_cnt[2144][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2144~0_combout\,
	datab => \led_flash_cnt[2144][7]~q\,
	datac => \WideAnd2144~1_combout\,
	datad => \led_flash_cnt[2144][0]~q\,
	combout => \WideAnd2144~combout\);

-- Location: FF_X70_Y34_N9
\led_flash_cnt_ands[2144]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2144~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2144));

-- Location: LCCOMB_X67_Y28_N12
\led_flash_cnt[2145][0]~82785\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2145][0]~82785_combout\ = !\led_flash_cnt[2145][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2145][0]~q\,
	combout => \led_flash_cnt[2145][0]~82785_combout\);

-- Location: FF_X67_Y28_N13
\led_flash_cnt[2145][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2145][0]~82785_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2145][0]~q\);

-- Location: LCCOMB_X67_Y28_N18
\led_flash_cnt[2145][1]~56910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2145][1]~56910_combout\ = (\led_flash_cnt[2145][0]~q\ & (\led_flash_cnt[2145][1]~q\ $ (VCC))) # (!\led_flash_cnt[2145][0]~q\ & (\led_flash_cnt[2145][1]~q\ & VCC))
-- \led_flash_cnt[2145][1]~56911\ = CARRY((\led_flash_cnt[2145][0]~q\ & \led_flash_cnt[2145][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2145][0]~q\,
	datab => \led_flash_cnt[2145][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2145][1]~56910_combout\,
	cout => \led_flash_cnt[2145][1]~56911\);

-- Location: FF_X67_Y28_N19
\led_flash_cnt[2145][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2145][1]~56910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2145][1]~q\);

-- Location: LCCOMB_X67_Y28_N20
\led_flash_cnt[2145][2]~56912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2145][2]~56912_combout\ = (\led_flash_cnt[2145][2]~q\ & (!\led_flash_cnt[2145][1]~56911\)) # (!\led_flash_cnt[2145][2]~q\ & ((\led_flash_cnt[2145][1]~56911\) # (GND)))
-- \led_flash_cnt[2145][2]~56913\ = CARRY((!\led_flash_cnt[2145][1]~56911\) # (!\led_flash_cnt[2145][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2145][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2145][1]~56911\,
	combout => \led_flash_cnt[2145][2]~56912_combout\,
	cout => \led_flash_cnt[2145][2]~56913\);

-- Location: FF_X67_Y28_N21
\led_flash_cnt[2145][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2145][2]~56912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2145][2]~q\);

-- Location: LCCOMB_X67_Y28_N22
\led_flash_cnt[2145][3]~56914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2145][3]~56914_combout\ = (\led_flash_cnt[2145][3]~q\ & (\led_flash_cnt[2145][2]~56913\ $ (GND))) # (!\led_flash_cnt[2145][3]~q\ & (!\led_flash_cnt[2145][2]~56913\ & VCC))
-- \led_flash_cnt[2145][3]~56915\ = CARRY((\led_flash_cnt[2145][3]~q\ & !\led_flash_cnt[2145][2]~56913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2145][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2145][2]~56913\,
	combout => \led_flash_cnt[2145][3]~56914_combout\,
	cout => \led_flash_cnt[2145][3]~56915\);

-- Location: FF_X67_Y28_N23
\led_flash_cnt[2145][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2145][3]~56914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2145][3]~q\);

-- Location: LCCOMB_X67_Y28_N24
\led_flash_cnt[2145][4]~56916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2145][4]~56916_combout\ = (\led_flash_cnt[2145][4]~q\ & (!\led_flash_cnt[2145][3]~56915\)) # (!\led_flash_cnt[2145][4]~q\ & ((\led_flash_cnt[2145][3]~56915\) # (GND)))
-- \led_flash_cnt[2145][4]~56917\ = CARRY((!\led_flash_cnt[2145][3]~56915\) # (!\led_flash_cnt[2145][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2145][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2145][3]~56915\,
	combout => \led_flash_cnt[2145][4]~56916_combout\,
	cout => \led_flash_cnt[2145][4]~56917\);

-- Location: FF_X67_Y28_N25
\led_flash_cnt[2145][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2145][4]~56916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2145][4]~q\);

-- Location: LCCOMB_X67_Y28_N26
\led_flash_cnt[2145][5]~56918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2145][5]~56918_combout\ = (\led_flash_cnt[2145][5]~q\ & (\led_flash_cnt[2145][4]~56917\ $ (GND))) # (!\led_flash_cnt[2145][5]~q\ & (!\led_flash_cnt[2145][4]~56917\ & VCC))
-- \led_flash_cnt[2145][5]~56919\ = CARRY((\led_flash_cnt[2145][5]~q\ & !\led_flash_cnt[2145][4]~56917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2145][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2145][4]~56917\,
	combout => \led_flash_cnt[2145][5]~56918_combout\,
	cout => \led_flash_cnt[2145][5]~56919\);

-- Location: FF_X67_Y28_N27
\led_flash_cnt[2145][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2145][5]~56918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2145][5]~q\);

-- Location: LCCOMB_X67_Y28_N28
\led_flash_cnt[2145][6]~56920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2145][6]~56920_combout\ = (\led_flash_cnt[2145][6]~q\ & (!\led_flash_cnt[2145][5]~56919\)) # (!\led_flash_cnt[2145][6]~q\ & ((\led_flash_cnt[2145][5]~56919\) # (GND)))
-- \led_flash_cnt[2145][6]~56921\ = CARRY((!\led_flash_cnt[2145][5]~56919\) # (!\led_flash_cnt[2145][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2145][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2145][5]~56919\,
	combout => \led_flash_cnt[2145][6]~56920_combout\,
	cout => \led_flash_cnt[2145][6]~56921\);

-- Location: FF_X67_Y28_N29
\led_flash_cnt[2145][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2145][6]~56920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2145][6]~q\);

-- Location: LCCOMB_X67_Y28_N30
\led_flash_cnt[2145][7]~56922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2145][7]~56922_combout\ = \led_flash_cnt[2145][7]~q\ $ (!\led_flash_cnt[2145][6]~56921\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2145][7]~q\,
	cin => \led_flash_cnt[2145][6]~56921\,
	combout => \led_flash_cnt[2145][7]~56922_combout\);

-- Location: FF_X67_Y28_N31
\led_flash_cnt[2145][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2145][7]~56922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2145][7]~q\);

-- Location: LCCOMB_X67_Y28_N6
\WideAnd2145~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2145~1_combout\ = (\led_flash_cnt[2145][7]~q\ & \led_flash_cnt[2145][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2145][7]~q\,
	datad => \led_flash_cnt[2145][0]~q\,
	combout => \WideAnd2145~1_combout\);

-- Location: LCCOMB_X67_Y28_N0
\WideAnd2145~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2145~0_combout\ = (\led_flash_cnt[2145][4]~q\ & (\led_flash_cnt[2145][2]~q\ & (\led_flash_cnt[2145][3]~q\ & \led_flash_cnt[2145][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2145][4]~q\,
	datab => \led_flash_cnt[2145][2]~q\,
	datac => \led_flash_cnt[2145][3]~q\,
	datad => \led_flash_cnt[2145][1]~q\,
	combout => \WideAnd2145~0_combout\);

-- Location: LCCOMB_X67_Y28_N16
WideAnd2145 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2145~combout\ = (\WideAnd2145~1_combout\ & (\WideAnd2145~0_combout\ & (\led_flash_cnt[2145][5]~q\ & \led_flash_cnt[2145][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2145~1_combout\,
	datab => \WideAnd2145~0_combout\,
	datac => \led_flash_cnt[2145][5]~q\,
	datad => \led_flash_cnt[2145][6]~q\,
	combout => \WideAnd2145~combout\);

-- Location: FF_X67_Y28_N17
\led_flash_cnt_ands[2145]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2145~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2145));

-- Location: LCCOMB_X67_Y28_N14
\WideAnd4108~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4108~0_combout\ = (led_flash_cnt_ands(2147) & (led_flash_cnt_ands(2146) & (led_flash_cnt_ands(2144) & led_flash_cnt_ands(2145))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2147),
	datab => led_flash_cnt_ands(2146),
	datac => led_flash_cnt_ands(2144),
	datad => led_flash_cnt_ands(2145),
	combout => \WideAnd4108~0_combout\);

-- Location: LCCOMB_X56_Y48_N2
\led_flash_cnt[2149][0]~82789\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2149][0]~82789_combout\ = !\led_flash_cnt[2149][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2149][0]~q\,
	combout => \led_flash_cnt[2149][0]~82789_combout\);

-- Location: FF_X56_Y48_N3
\led_flash_cnt[2149][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2149][0]~82789_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2149][0]~q\);

-- Location: LCCOMB_X55_Y48_N16
\led_flash_cnt[2149][1]~56966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2149][1]~56966_combout\ = (\led_flash_cnt[2149][0]~q\ & (\led_flash_cnt[2149][1]~q\ $ (VCC))) # (!\led_flash_cnt[2149][0]~q\ & (\led_flash_cnt[2149][1]~q\ & VCC))
-- \led_flash_cnt[2149][1]~56967\ = CARRY((\led_flash_cnt[2149][0]~q\ & \led_flash_cnt[2149][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2149][0]~q\,
	datab => \led_flash_cnt[2149][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2149][1]~56966_combout\,
	cout => \led_flash_cnt[2149][1]~56967\);

-- Location: FF_X55_Y48_N17
\led_flash_cnt[2149][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2149][1]~56966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2149][1]~q\);

-- Location: LCCOMB_X55_Y48_N18
\led_flash_cnt[2149][2]~56968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2149][2]~56968_combout\ = (\led_flash_cnt[2149][2]~q\ & (!\led_flash_cnt[2149][1]~56967\)) # (!\led_flash_cnt[2149][2]~q\ & ((\led_flash_cnt[2149][1]~56967\) # (GND)))
-- \led_flash_cnt[2149][2]~56969\ = CARRY((!\led_flash_cnt[2149][1]~56967\) # (!\led_flash_cnt[2149][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2149][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2149][1]~56967\,
	combout => \led_flash_cnt[2149][2]~56968_combout\,
	cout => \led_flash_cnt[2149][2]~56969\);

-- Location: FF_X55_Y48_N19
\led_flash_cnt[2149][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2149][2]~56968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2149][2]~q\);

-- Location: LCCOMB_X55_Y48_N20
\led_flash_cnt[2149][3]~56970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2149][3]~56970_combout\ = (\led_flash_cnt[2149][3]~q\ & (\led_flash_cnt[2149][2]~56969\ $ (GND))) # (!\led_flash_cnt[2149][3]~q\ & (!\led_flash_cnt[2149][2]~56969\ & VCC))
-- \led_flash_cnt[2149][3]~56971\ = CARRY((\led_flash_cnt[2149][3]~q\ & !\led_flash_cnt[2149][2]~56969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2149][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2149][2]~56969\,
	combout => \led_flash_cnt[2149][3]~56970_combout\,
	cout => \led_flash_cnt[2149][3]~56971\);

-- Location: FF_X55_Y48_N21
\led_flash_cnt[2149][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2149][3]~56970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2149][3]~q\);

-- Location: LCCOMB_X55_Y48_N22
\led_flash_cnt[2149][4]~56972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2149][4]~56972_combout\ = (\led_flash_cnt[2149][4]~q\ & (!\led_flash_cnt[2149][3]~56971\)) # (!\led_flash_cnt[2149][4]~q\ & ((\led_flash_cnt[2149][3]~56971\) # (GND)))
-- \led_flash_cnt[2149][4]~56973\ = CARRY((!\led_flash_cnt[2149][3]~56971\) # (!\led_flash_cnt[2149][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2149][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2149][3]~56971\,
	combout => \led_flash_cnt[2149][4]~56972_combout\,
	cout => \led_flash_cnt[2149][4]~56973\);

-- Location: FF_X55_Y48_N23
\led_flash_cnt[2149][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2149][4]~56972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2149][4]~q\);

-- Location: LCCOMB_X55_Y48_N24
\led_flash_cnt[2149][5]~56974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2149][5]~56974_combout\ = (\led_flash_cnt[2149][5]~q\ & (\led_flash_cnt[2149][4]~56973\ $ (GND))) # (!\led_flash_cnt[2149][5]~q\ & (!\led_flash_cnt[2149][4]~56973\ & VCC))
-- \led_flash_cnt[2149][5]~56975\ = CARRY((\led_flash_cnt[2149][5]~q\ & !\led_flash_cnt[2149][4]~56973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2149][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2149][4]~56973\,
	combout => \led_flash_cnt[2149][5]~56974_combout\,
	cout => \led_flash_cnt[2149][5]~56975\);

-- Location: FF_X55_Y48_N25
\led_flash_cnt[2149][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2149][5]~56974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2149][5]~q\);

-- Location: LCCOMB_X55_Y48_N26
\led_flash_cnt[2149][6]~56976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2149][6]~56976_combout\ = (\led_flash_cnt[2149][6]~q\ & (!\led_flash_cnt[2149][5]~56975\)) # (!\led_flash_cnt[2149][6]~q\ & ((\led_flash_cnt[2149][5]~56975\) # (GND)))
-- \led_flash_cnt[2149][6]~56977\ = CARRY((!\led_flash_cnt[2149][5]~56975\) # (!\led_flash_cnt[2149][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2149][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2149][5]~56975\,
	combout => \led_flash_cnt[2149][6]~56976_combout\,
	cout => \led_flash_cnt[2149][6]~56977\);

-- Location: FF_X55_Y48_N27
\led_flash_cnt[2149][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2149][6]~56976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2149][6]~q\);

-- Location: LCCOMB_X56_Y48_N10
\WideAnd2149~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2149~1_combout\ = (\led_flash_cnt[2149][6]~q\ & \led_flash_cnt[2149][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2149][6]~q\,
	datad => \led_flash_cnt[2149][5]~q\,
	combout => \WideAnd2149~1_combout\);

-- Location: LCCOMB_X55_Y48_N28
\led_flash_cnt[2149][7]~56978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2149][7]~56978_combout\ = \led_flash_cnt[2149][6]~56977\ $ (!\led_flash_cnt[2149][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2149][7]~q\,
	cin => \led_flash_cnt[2149][6]~56977\,
	combout => \led_flash_cnt[2149][7]~56978_combout\);

-- Location: FF_X55_Y48_N29
\led_flash_cnt[2149][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2149][7]~56978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2149][7]~q\);

-- Location: LCCOMB_X55_Y48_N0
\WideAnd2149~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2149~0_combout\ = (\led_flash_cnt[2149][1]~q\ & (\led_flash_cnt[2149][3]~q\ & (\led_flash_cnt[2149][4]~q\ & \led_flash_cnt[2149][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2149][1]~q\,
	datab => \led_flash_cnt[2149][3]~q\,
	datac => \led_flash_cnt[2149][4]~q\,
	datad => \led_flash_cnt[2149][2]~q\,
	combout => \WideAnd2149~0_combout\);

-- Location: LCCOMB_X56_Y48_N4
WideAnd2149 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2149~combout\ = (\WideAnd2149~1_combout\ & (\led_flash_cnt[2149][7]~q\ & (\WideAnd2149~0_combout\ & \led_flash_cnt[2149][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2149~1_combout\,
	datab => \led_flash_cnt[2149][7]~q\,
	datac => \WideAnd2149~0_combout\,
	datad => \led_flash_cnt[2149][0]~q\,
	combout => \WideAnd2149~combout\);

-- Location: FF_X56_Y48_N5
\led_flash_cnt_ands[2149]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2149~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2149));

-- Location: LCCOMB_X56_Y48_N30
\led_flash_cnt[2148][0]~82788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2148][0]~82788_combout\ = !\led_flash_cnt[2148][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2148][0]~q\,
	combout => \led_flash_cnt[2148][0]~82788_combout\);

-- Location: FF_X56_Y48_N31
\led_flash_cnt[2148][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2148][0]~82788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2148][0]~q\);

-- Location: LCCOMB_X56_Y48_N14
\led_flash_cnt[2148][1]~56952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2148][1]~56952_combout\ = (\led_flash_cnt[2148][0]~q\ & (\led_flash_cnt[2148][1]~q\ $ (VCC))) # (!\led_flash_cnt[2148][0]~q\ & (\led_flash_cnt[2148][1]~q\ & VCC))
-- \led_flash_cnt[2148][1]~56953\ = CARRY((\led_flash_cnt[2148][0]~q\ & \led_flash_cnt[2148][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2148][0]~q\,
	datab => \led_flash_cnt[2148][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2148][1]~56952_combout\,
	cout => \led_flash_cnt[2148][1]~56953\);

-- Location: FF_X56_Y48_N15
\led_flash_cnt[2148][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2148][1]~56952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2148][1]~q\);

-- Location: LCCOMB_X56_Y48_N16
\led_flash_cnt[2148][2]~56954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2148][2]~56954_combout\ = (\led_flash_cnt[2148][2]~q\ & (!\led_flash_cnt[2148][1]~56953\)) # (!\led_flash_cnt[2148][2]~q\ & ((\led_flash_cnt[2148][1]~56953\) # (GND)))
-- \led_flash_cnt[2148][2]~56955\ = CARRY((!\led_flash_cnt[2148][1]~56953\) # (!\led_flash_cnt[2148][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2148][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2148][1]~56953\,
	combout => \led_flash_cnt[2148][2]~56954_combout\,
	cout => \led_flash_cnt[2148][2]~56955\);

-- Location: FF_X56_Y48_N17
\led_flash_cnt[2148][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2148][2]~56954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2148][2]~q\);

-- Location: LCCOMB_X56_Y48_N18
\led_flash_cnt[2148][3]~56956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2148][3]~56956_combout\ = (\led_flash_cnt[2148][3]~q\ & (\led_flash_cnt[2148][2]~56955\ $ (GND))) # (!\led_flash_cnt[2148][3]~q\ & (!\led_flash_cnt[2148][2]~56955\ & VCC))
-- \led_flash_cnt[2148][3]~56957\ = CARRY((\led_flash_cnt[2148][3]~q\ & !\led_flash_cnt[2148][2]~56955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2148][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2148][2]~56955\,
	combout => \led_flash_cnt[2148][3]~56956_combout\,
	cout => \led_flash_cnt[2148][3]~56957\);

-- Location: FF_X56_Y48_N19
\led_flash_cnt[2148][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2148][3]~56956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2148][3]~q\);

-- Location: LCCOMB_X56_Y48_N20
\led_flash_cnt[2148][4]~56958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2148][4]~56958_combout\ = (\led_flash_cnt[2148][4]~q\ & (!\led_flash_cnt[2148][3]~56957\)) # (!\led_flash_cnt[2148][4]~q\ & ((\led_flash_cnt[2148][3]~56957\) # (GND)))
-- \led_flash_cnt[2148][4]~56959\ = CARRY((!\led_flash_cnt[2148][3]~56957\) # (!\led_flash_cnt[2148][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2148][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2148][3]~56957\,
	combout => \led_flash_cnt[2148][4]~56958_combout\,
	cout => \led_flash_cnt[2148][4]~56959\);

-- Location: FF_X56_Y48_N21
\led_flash_cnt[2148][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2148][4]~56958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2148][4]~q\);

-- Location: LCCOMB_X56_Y48_N22
\led_flash_cnt[2148][5]~56960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2148][5]~56960_combout\ = (\led_flash_cnt[2148][5]~q\ & (\led_flash_cnt[2148][4]~56959\ $ (GND))) # (!\led_flash_cnt[2148][5]~q\ & (!\led_flash_cnt[2148][4]~56959\ & VCC))
-- \led_flash_cnt[2148][5]~56961\ = CARRY((\led_flash_cnt[2148][5]~q\ & !\led_flash_cnt[2148][4]~56959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2148][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2148][4]~56959\,
	combout => \led_flash_cnt[2148][5]~56960_combout\,
	cout => \led_flash_cnt[2148][5]~56961\);

-- Location: FF_X56_Y48_N23
\led_flash_cnt[2148][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2148][5]~56960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2148][5]~q\);

-- Location: LCCOMB_X56_Y48_N24
\led_flash_cnt[2148][6]~56962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2148][6]~56962_combout\ = (\led_flash_cnt[2148][6]~q\ & (!\led_flash_cnt[2148][5]~56961\)) # (!\led_flash_cnt[2148][6]~q\ & ((\led_flash_cnt[2148][5]~56961\) # (GND)))
-- \led_flash_cnt[2148][6]~56963\ = CARRY((!\led_flash_cnt[2148][5]~56961\) # (!\led_flash_cnt[2148][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2148][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2148][5]~56961\,
	combout => \led_flash_cnt[2148][6]~56962_combout\,
	cout => \led_flash_cnt[2148][6]~56963\);

-- Location: FF_X56_Y48_N25
\led_flash_cnt[2148][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2148][6]~56962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2148][6]~q\);

-- Location: LCCOMB_X56_Y48_N26
\led_flash_cnt[2148][7]~56964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2148][7]~56964_combout\ = \led_flash_cnt[2148][7]~q\ $ (!\led_flash_cnt[2148][6]~56963\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2148][7]~q\,
	cin => \led_flash_cnt[2148][6]~56963\,
	combout => \led_flash_cnt[2148][7]~56964_combout\);

-- Location: FF_X56_Y48_N27
\led_flash_cnt[2148][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2148][7]~56964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2148][7]~q\);

-- Location: LCCOMB_X56_Y48_N8
\WideAnd2148~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2148~0_combout\ = (\led_flash_cnt[2148][3]~q\ & (\led_flash_cnt[2148][4]~q\ & (\led_flash_cnt[2148][1]~q\ & \led_flash_cnt[2148][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2148][3]~q\,
	datab => \led_flash_cnt[2148][4]~q\,
	datac => \led_flash_cnt[2148][1]~q\,
	datad => \led_flash_cnt[2148][2]~q\,
	combout => \WideAnd2148~0_combout\);

-- Location: LCCOMB_X56_Y48_N6
\WideAnd2148~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2148~1_combout\ = (\led_flash_cnt[2148][5]~q\ & \led_flash_cnt[2148][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2148][5]~q\,
	datad => \led_flash_cnt[2148][6]~q\,
	combout => \WideAnd2148~1_combout\);

-- Location: LCCOMB_X56_Y48_N12
WideAnd2148 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2148~combout\ = (\led_flash_cnt[2148][7]~q\ & (\WideAnd2148~0_combout\ & (\led_flash_cnt[2148][0]~q\ & \WideAnd2148~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2148][7]~q\,
	datab => \WideAnd2148~0_combout\,
	datac => \led_flash_cnt[2148][0]~q\,
	datad => \WideAnd2148~1_combout\,
	combout => \WideAnd2148~combout\);

-- Location: FF_X56_Y48_N13
\led_flash_cnt_ands[2148]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2148~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2148));

-- Location: LCCOMB_X56_Y48_N28
\WideAnd4108~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4108~1_combout\ = (led_flash_cnt_ands(2149) & led_flash_cnt_ands(2148))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2149),
	datad => led_flash_cnt_ands(2148),
	combout => \WideAnd4108~1_combout\);

-- Location: LCCOMB_X63_Y36_N22
\led_flash_cnt[2150][0]~82790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2150][0]~82790_combout\ = !\led_flash_cnt[2150][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2150][0]~q\,
	combout => \led_flash_cnt[2150][0]~82790_combout\);

-- Location: FF_X63_Y36_N23
\led_flash_cnt[2150][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2150][0]~82790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2150][0]~q\);

-- Location: LCCOMB_X63_Y36_N4
\led_flash_cnt[2150][1]~56980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2150][1]~56980_combout\ = (\led_flash_cnt[2150][0]~q\ & (\led_flash_cnt[2150][1]~q\ $ (VCC))) # (!\led_flash_cnt[2150][0]~q\ & (\led_flash_cnt[2150][1]~q\ & VCC))
-- \led_flash_cnt[2150][1]~56981\ = CARRY((\led_flash_cnt[2150][0]~q\ & \led_flash_cnt[2150][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2150][0]~q\,
	datab => \led_flash_cnt[2150][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2150][1]~56980_combout\,
	cout => \led_flash_cnt[2150][1]~56981\);

-- Location: FF_X63_Y36_N5
\led_flash_cnt[2150][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2150][1]~56980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2150][1]~q\);

-- Location: LCCOMB_X63_Y36_N6
\led_flash_cnt[2150][2]~56982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2150][2]~56982_combout\ = (\led_flash_cnt[2150][2]~q\ & (!\led_flash_cnt[2150][1]~56981\)) # (!\led_flash_cnt[2150][2]~q\ & ((\led_flash_cnt[2150][1]~56981\) # (GND)))
-- \led_flash_cnt[2150][2]~56983\ = CARRY((!\led_flash_cnt[2150][1]~56981\) # (!\led_flash_cnt[2150][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2150][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2150][1]~56981\,
	combout => \led_flash_cnt[2150][2]~56982_combout\,
	cout => \led_flash_cnt[2150][2]~56983\);

-- Location: FF_X63_Y36_N7
\led_flash_cnt[2150][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2150][2]~56982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2150][2]~q\);

-- Location: LCCOMB_X63_Y36_N8
\led_flash_cnt[2150][3]~56984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2150][3]~56984_combout\ = (\led_flash_cnt[2150][3]~q\ & (\led_flash_cnt[2150][2]~56983\ $ (GND))) # (!\led_flash_cnt[2150][3]~q\ & (!\led_flash_cnt[2150][2]~56983\ & VCC))
-- \led_flash_cnt[2150][3]~56985\ = CARRY((\led_flash_cnt[2150][3]~q\ & !\led_flash_cnt[2150][2]~56983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2150][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2150][2]~56983\,
	combout => \led_flash_cnt[2150][3]~56984_combout\,
	cout => \led_flash_cnt[2150][3]~56985\);

-- Location: FF_X63_Y36_N9
\led_flash_cnt[2150][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2150][3]~56984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2150][3]~q\);

-- Location: LCCOMB_X63_Y36_N10
\led_flash_cnt[2150][4]~56986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2150][4]~56986_combout\ = (\led_flash_cnt[2150][4]~q\ & (!\led_flash_cnt[2150][3]~56985\)) # (!\led_flash_cnt[2150][4]~q\ & ((\led_flash_cnt[2150][3]~56985\) # (GND)))
-- \led_flash_cnt[2150][4]~56987\ = CARRY((!\led_flash_cnt[2150][3]~56985\) # (!\led_flash_cnt[2150][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2150][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2150][3]~56985\,
	combout => \led_flash_cnt[2150][4]~56986_combout\,
	cout => \led_flash_cnt[2150][4]~56987\);

-- Location: FF_X63_Y36_N11
\led_flash_cnt[2150][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2150][4]~56986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2150][4]~q\);

-- Location: LCCOMB_X63_Y36_N20
\WideAnd2150~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2150~0_combout\ = (\led_flash_cnt[2150][4]~q\ & (\led_flash_cnt[2150][1]~q\ & (\led_flash_cnt[2150][3]~q\ & \led_flash_cnt[2150][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2150][4]~q\,
	datab => \led_flash_cnt[2150][1]~q\,
	datac => \led_flash_cnt[2150][3]~q\,
	datad => \led_flash_cnt[2150][2]~q\,
	combout => \WideAnd2150~0_combout\);

-- Location: LCCOMB_X63_Y36_N12
\led_flash_cnt[2150][5]~56988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2150][5]~56988_combout\ = (\led_flash_cnt[2150][5]~q\ & (\led_flash_cnt[2150][4]~56987\ $ (GND))) # (!\led_flash_cnt[2150][5]~q\ & (!\led_flash_cnt[2150][4]~56987\ & VCC))
-- \led_flash_cnt[2150][5]~56989\ = CARRY((\led_flash_cnt[2150][5]~q\ & !\led_flash_cnt[2150][4]~56987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2150][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2150][4]~56987\,
	combout => \led_flash_cnt[2150][5]~56988_combout\,
	cout => \led_flash_cnt[2150][5]~56989\);

-- Location: FF_X63_Y36_N13
\led_flash_cnt[2150][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2150][5]~56988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2150][5]~q\);

-- Location: LCCOMB_X63_Y36_N14
\led_flash_cnt[2150][6]~56990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2150][6]~56990_combout\ = (\led_flash_cnt[2150][6]~q\ & (!\led_flash_cnt[2150][5]~56989\)) # (!\led_flash_cnt[2150][6]~q\ & ((\led_flash_cnt[2150][5]~56989\) # (GND)))
-- \led_flash_cnt[2150][6]~56991\ = CARRY((!\led_flash_cnt[2150][5]~56989\) # (!\led_flash_cnt[2150][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2150][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2150][5]~56989\,
	combout => \led_flash_cnt[2150][6]~56990_combout\,
	cout => \led_flash_cnt[2150][6]~56991\);

-- Location: FF_X63_Y36_N15
\led_flash_cnt[2150][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2150][6]~56990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2150][6]~q\);

-- Location: LCCOMB_X63_Y36_N30
\WideAnd2150~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2150~1_combout\ = (\led_flash_cnt[2150][6]~q\ & \led_flash_cnt[2150][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2150][6]~q\,
	datad => \led_flash_cnt[2150][5]~q\,
	combout => \WideAnd2150~1_combout\);

-- Location: LCCOMB_X63_Y36_N16
\led_flash_cnt[2150][7]~56992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2150][7]~56992_combout\ = \led_flash_cnt[2150][6]~56991\ $ (!\led_flash_cnt[2150][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2150][7]~q\,
	cin => \led_flash_cnt[2150][6]~56991\,
	combout => \led_flash_cnt[2150][7]~56992_combout\);

-- Location: FF_X63_Y36_N17
\led_flash_cnt[2150][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2150][7]~56992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2150][7]~q\);

-- Location: LCCOMB_X63_Y36_N0
WideAnd2150 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2150~combout\ = (\led_flash_cnt[2150][0]~q\ & (\WideAnd2150~0_combout\ & (\WideAnd2150~1_combout\ & \led_flash_cnt[2150][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2150][0]~q\,
	datab => \WideAnd2150~0_combout\,
	datac => \WideAnd2150~1_combout\,
	datad => \led_flash_cnt[2150][7]~q\,
	combout => \WideAnd2150~combout\);

-- Location: FF_X63_Y36_N1
\led_flash_cnt_ands[2150]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2150~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2150));

-- Location: LCCOMB_X63_Y36_N18
WideAnd4108 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4108~combout\ = (led_flash_cnt_ands(2151) & (\WideAnd4108~0_combout\ & (\WideAnd4108~1_combout\ & led_flash_cnt_ands(2150))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2151),
	datab => \WideAnd4108~0_combout\,
	datac => \WideAnd4108~1_combout\,
	datad => led_flash_cnt_ands(2150),
	combout => \WideAnd4108~combout\);

-- Location: FF_X63_Y36_N19
\led_flash_cnt_ands_1[268]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4108~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(268));

-- Location: LCCOMB_X63_Y36_N28
\WideAnd4353~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4353~1_combout\ = (led_flash_cnt_ands_1(269) & led_flash_cnt_ands_1(268))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(269),
	datad => led_flash_cnt_ands_1(268),
	combout => \WideAnd4353~1_combout\);

-- Location: LCCOMB_X56_Y23_N10
WideAnd4353 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4353~combout\ = (led_flash_cnt_ands_1(271) & (led_flash_cnt_ands_1(270) & (\WideAnd4353~0_combout\ & \WideAnd4353~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(271),
	datab => led_flash_cnt_ands_1(270),
	datac => \WideAnd4353~0_combout\,
	datad => \WideAnd4353~1_combout\,
	combout => \WideAnd4353~combout\);

-- Location: FF_X56_Y23_N11
\led_flash_cnt_ands_2[33]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4353~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(33));

-- Location: LCCOMB_X56_Y23_N2
\WideAnd4380~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~10_combout\ = (led_flash_cnt_ands_2(34) & (led_flash_cnt_ands_2(32) & (led_flash_cnt_ands_2(35) & led_flash_cnt_ands_2(33))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(34),
	datab => led_flash_cnt_ands_2(32),
	datac => led_flash_cnt_ands_2(35),
	datad => led_flash_cnt_ands_2(33),
	combout => \WideAnd4380~10_combout\);

-- Location: LCCOMB_X55_Y23_N28
\WideAnd4380~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~14_combout\ = (\WideAnd4380~13_combout\ & (\WideAnd4380~11_combout\ & (\WideAnd4380~12_combout\ & \WideAnd4380~10_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4380~13_combout\,
	datab => \WideAnd4380~11_combout\,
	datac => \WideAnd4380~12_combout\,
	datad => \WideAnd4380~10_combout\,
	combout => \WideAnd4380~14_combout\);

-- Location: LCCOMB_X39_Y20_N14
\led_flash_cnt[1471][0]~82111\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1471][0]~82111_combout\ = !\led_flash_cnt[1471][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1471][0]~q\,
	combout => \led_flash_cnt[1471][0]~82111_combout\);

-- Location: FF_X39_Y20_N15
\led_flash_cnt[1471][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1471][0]~82111_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1471][0]~q\);

-- Location: LCCOMB_X40_Y20_N0
\led_flash_cnt[1471][1]~47474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1471][1]~47474_combout\ = (\led_flash_cnt[1471][0]~q\ & (\led_flash_cnt[1471][1]~q\ $ (VCC))) # (!\led_flash_cnt[1471][0]~q\ & (\led_flash_cnt[1471][1]~q\ & VCC))
-- \led_flash_cnt[1471][1]~47475\ = CARRY((\led_flash_cnt[1471][0]~q\ & \led_flash_cnt[1471][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1471][0]~q\,
	datab => \led_flash_cnt[1471][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1471][1]~47474_combout\,
	cout => \led_flash_cnt[1471][1]~47475\);

-- Location: FF_X40_Y20_N1
\led_flash_cnt[1471][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1471][1]~47474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1471][1]~q\);

-- Location: LCCOMB_X40_Y20_N2
\led_flash_cnt[1471][2]~47476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1471][2]~47476_combout\ = (\led_flash_cnt[1471][2]~q\ & (!\led_flash_cnt[1471][1]~47475\)) # (!\led_flash_cnt[1471][2]~q\ & ((\led_flash_cnt[1471][1]~47475\) # (GND)))
-- \led_flash_cnt[1471][2]~47477\ = CARRY((!\led_flash_cnt[1471][1]~47475\) # (!\led_flash_cnt[1471][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1471][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1471][1]~47475\,
	combout => \led_flash_cnt[1471][2]~47476_combout\,
	cout => \led_flash_cnt[1471][2]~47477\);

-- Location: FF_X40_Y20_N3
\led_flash_cnt[1471][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1471][2]~47476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1471][2]~q\);

-- Location: LCCOMB_X40_Y20_N4
\led_flash_cnt[1471][3]~47478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1471][3]~47478_combout\ = (\led_flash_cnt[1471][3]~q\ & (\led_flash_cnt[1471][2]~47477\ $ (GND))) # (!\led_flash_cnt[1471][3]~q\ & (!\led_flash_cnt[1471][2]~47477\ & VCC))
-- \led_flash_cnt[1471][3]~47479\ = CARRY((\led_flash_cnt[1471][3]~q\ & !\led_flash_cnt[1471][2]~47477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1471][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1471][2]~47477\,
	combout => \led_flash_cnt[1471][3]~47478_combout\,
	cout => \led_flash_cnt[1471][3]~47479\);

-- Location: FF_X40_Y20_N5
\led_flash_cnt[1471][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1471][3]~47478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1471][3]~q\);

-- Location: LCCOMB_X40_Y20_N6
\led_flash_cnt[1471][4]~47480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1471][4]~47480_combout\ = (\led_flash_cnt[1471][4]~q\ & (!\led_flash_cnt[1471][3]~47479\)) # (!\led_flash_cnt[1471][4]~q\ & ((\led_flash_cnt[1471][3]~47479\) # (GND)))
-- \led_flash_cnt[1471][4]~47481\ = CARRY((!\led_flash_cnt[1471][3]~47479\) # (!\led_flash_cnt[1471][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1471][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1471][3]~47479\,
	combout => \led_flash_cnt[1471][4]~47480_combout\,
	cout => \led_flash_cnt[1471][4]~47481\);

-- Location: FF_X40_Y20_N7
\led_flash_cnt[1471][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1471][4]~47480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1471][4]~q\);

-- Location: LCCOMB_X40_Y20_N8
\led_flash_cnt[1471][5]~47482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1471][5]~47482_combout\ = (\led_flash_cnt[1471][5]~q\ & (\led_flash_cnt[1471][4]~47481\ $ (GND))) # (!\led_flash_cnt[1471][5]~q\ & (!\led_flash_cnt[1471][4]~47481\ & VCC))
-- \led_flash_cnt[1471][5]~47483\ = CARRY((\led_flash_cnt[1471][5]~q\ & !\led_flash_cnt[1471][4]~47481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1471][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1471][4]~47481\,
	combout => \led_flash_cnt[1471][5]~47482_combout\,
	cout => \led_flash_cnt[1471][5]~47483\);

-- Location: FF_X40_Y20_N9
\led_flash_cnt[1471][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1471][5]~47482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1471][5]~q\);

-- Location: LCCOMB_X40_Y20_N10
\led_flash_cnt[1471][6]~47484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1471][6]~47484_combout\ = (\led_flash_cnt[1471][6]~q\ & (!\led_flash_cnt[1471][5]~47483\)) # (!\led_flash_cnt[1471][6]~q\ & ((\led_flash_cnt[1471][5]~47483\) # (GND)))
-- \led_flash_cnt[1471][6]~47485\ = CARRY((!\led_flash_cnt[1471][5]~47483\) # (!\led_flash_cnt[1471][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1471][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1471][5]~47483\,
	combout => \led_flash_cnt[1471][6]~47484_combout\,
	cout => \led_flash_cnt[1471][6]~47485\);

-- Location: FF_X40_Y20_N11
\led_flash_cnt[1471][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1471][6]~47484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1471][6]~q\);

-- Location: LCCOMB_X39_Y20_N6
\WideAnd1471~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1471~1_combout\ = (\led_flash_cnt[1471][6]~q\ & \led_flash_cnt[1471][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1471][6]~q\,
	datac => \led_flash_cnt[1471][5]~q\,
	combout => \WideAnd1471~1_combout\);

-- Location: LCCOMB_X40_Y20_N14
\WideAnd1471~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1471~0_combout\ = (\led_flash_cnt[1471][4]~q\ & (\led_flash_cnt[1471][2]~q\ & (\led_flash_cnt[1471][3]~q\ & \led_flash_cnt[1471][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1471][4]~q\,
	datab => \led_flash_cnt[1471][2]~q\,
	datac => \led_flash_cnt[1471][3]~q\,
	datad => \led_flash_cnt[1471][1]~q\,
	combout => \WideAnd1471~0_combout\);

-- Location: LCCOMB_X40_Y20_N12
\led_flash_cnt[1471][7]~47486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1471][7]~47486_combout\ = \led_flash_cnt[1471][6]~47485\ $ (!\led_flash_cnt[1471][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1471][7]~q\,
	cin => \led_flash_cnt[1471][6]~47485\,
	combout => \led_flash_cnt[1471][7]~47486_combout\);

-- Location: FF_X40_Y20_N13
\led_flash_cnt[1471][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1471][7]~47486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1471][7]~q\);

-- Location: LCCOMB_X39_Y20_N8
WideAnd1471 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1471~combout\ = (\WideAnd1471~1_combout\ & (\led_flash_cnt[1471][0]~q\ & (\WideAnd1471~0_combout\ & \led_flash_cnt[1471][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1471~1_combout\,
	datab => \led_flash_cnt[1471][0]~q\,
	datac => \WideAnd1471~0_combout\,
	datad => \led_flash_cnt[1471][7]~q\,
	combout => \WideAnd1471~combout\);

-- Location: FF_X39_Y20_N9
\led_flash_cnt_ands[1471]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1471~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1471));

-- Location: LCCOMB_X34_Y18_N2
\led_flash_cnt[1470][0]~82110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1470][0]~82110_combout\ = !\led_flash_cnt[1470][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1470][0]~q\,
	combout => \led_flash_cnt[1470][0]~82110_combout\);

-- Location: FF_X34_Y18_N3
\led_flash_cnt[1470][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1470][0]~82110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1470][0]~q\);

-- Location: LCCOMB_X34_Y18_N10
\led_flash_cnt[1470][1]~47460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1470][1]~47460_combout\ = (\led_flash_cnt[1470][1]~q\ & (\led_flash_cnt[1470][0]~q\ $ (VCC))) # (!\led_flash_cnt[1470][1]~q\ & (\led_flash_cnt[1470][0]~q\ & VCC))
-- \led_flash_cnt[1470][1]~47461\ = CARRY((\led_flash_cnt[1470][1]~q\ & \led_flash_cnt[1470][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1470][1]~q\,
	datab => \led_flash_cnt[1470][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1470][1]~47460_combout\,
	cout => \led_flash_cnt[1470][1]~47461\);

-- Location: FF_X34_Y18_N11
\led_flash_cnt[1470][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1470][1]~47460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1470][1]~q\);

-- Location: LCCOMB_X34_Y18_N12
\led_flash_cnt[1470][2]~47462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1470][2]~47462_combout\ = (\led_flash_cnt[1470][2]~q\ & (!\led_flash_cnt[1470][1]~47461\)) # (!\led_flash_cnt[1470][2]~q\ & ((\led_flash_cnt[1470][1]~47461\) # (GND)))
-- \led_flash_cnt[1470][2]~47463\ = CARRY((!\led_flash_cnt[1470][1]~47461\) # (!\led_flash_cnt[1470][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1470][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1470][1]~47461\,
	combout => \led_flash_cnt[1470][2]~47462_combout\,
	cout => \led_flash_cnt[1470][2]~47463\);

-- Location: FF_X34_Y18_N13
\led_flash_cnt[1470][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1470][2]~47462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1470][2]~q\);

-- Location: LCCOMB_X34_Y18_N14
\led_flash_cnt[1470][3]~47464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1470][3]~47464_combout\ = (\led_flash_cnt[1470][3]~q\ & (\led_flash_cnt[1470][2]~47463\ $ (GND))) # (!\led_flash_cnt[1470][3]~q\ & (!\led_flash_cnt[1470][2]~47463\ & VCC))
-- \led_flash_cnt[1470][3]~47465\ = CARRY((\led_flash_cnt[1470][3]~q\ & !\led_flash_cnt[1470][2]~47463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1470][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1470][2]~47463\,
	combout => \led_flash_cnt[1470][3]~47464_combout\,
	cout => \led_flash_cnt[1470][3]~47465\);

-- Location: FF_X34_Y18_N15
\led_flash_cnt[1470][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1470][3]~47464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1470][3]~q\);

-- Location: LCCOMB_X34_Y18_N16
\led_flash_cnt[1470][4]~47466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1470][4]~47466_combout\ = (\led_flash_cnt[1470][4]~q\ & (!\led_flash_cnt[1470][3]~47465\)) # (!\led_flash_cnt[1470][4]~q\ & ((\led_flash_cnt[1470][3]~47465\) # (GND)))
-- \led_flash_cnt[1470][4]~47467\ = CARRY((!\led_flash_cnt[1470][3]~47465\) # (!\led_flash_cnt[1470][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1470][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1470][3]~47465\,
	combout => \led_flash_cnt[1470][4]~47466_combout\,
	cout => \led_flash_cnt[1470][4]~47467\);

-- Location: FF_X34_Y18_N17
\led_flash_cnt[1470][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1470][4]~47466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1470][4]~q\);

-- Location: LCCOMB_X34_Y18_N26
\WideAnd1470~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1470~0_combout\ = (\led_flash_cnt[1470][2]~q\ & (\led_flash_cnt[1470][4]~q\ & (\led_flash_cnt[1470][3]~q\ & \led_flash_cnt[1470][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1470][2]~q\,
	datab => \led_flash_cnt[1470][4]~q\,
	datac => \led_flash_cnt[1470][3]~q\,
	datad => \led_flash_cnt[1470][1]~q\,
	combout => \WideAnd1470~0_combout\);

-- Location: LCCOMB_X34_Y18_N18
\led_flash_cnt[1470][5]~47468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1470][5]~47468_combout\ = (\led_flash_cnt[1470][5]~q\ & (\led_flash_cnt[1470][4]~47467\ $ (GND))) # (!\led_flash_cnt[1470][5]~q\ & (!\led_flash_cnt[1470][4]~47467\ & VCC))
-- \led_flash_cnt[1470][5]~47469\ = CARRY((\led_flash_cnt[1470][5]~q\ & !\led_flash_cnt[1470][4]~47467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1470][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1470][4]~47467\,
	combout => \led_flash_cnt[1470][5]~47468_combout\,
	cout => \led_flash_cnt[1470][5]~47469\);

-- Location: FF_X34_Y18_N19
\led_flash_cnt[1470][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1470][5]~47468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1470][5]~q\);

-- Location: LCCOMB_X34_Y18_N20
\led_flash_cnt[1470][6]~47470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1470][6]~47470_combout\ = (\led_flash_cnt[1470][6]~q\ & (!\led_flash_cnt[1470][5]~47469\)) # (!\led_flash_cnt[1470][6]~q\ & ((\led_flash_cnt[1470][5]~47469\) # (GND)))
-- \led_flash_cnt[1470][6]~47471\ = CARRY((!\led_flash_cnt[1470][5]~47469\) # (!\led_flash_cnt[1470][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1470][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1470][5]~47469\,
	combout => \led_flash_cnt[1470][6]~47470_combout\,
	cout => \led_flash_cnt[1470][6]~47471\);

-- Location: FF_X34_Y18_N21
\led_flash_cnt[1470][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1470][6]~47470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1470][6]~q\);

-- Location: LCCOMB_X34_Y18_N8
\WideAnd1470~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1470~1_combout\ = (\led_flash_cnt[1470][6]~q\ & \led_flash_cnt[1470][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1470][6]~q\,
	datad => \led_flash_cnt[1470][5]~q\,
	combout => \WideAnd1470~1_combout\);

-- Location: LCCOMB_X34_Y18_N22
\led_flash_cnt[1470][7]~47472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1470][7]~47472_combout\ = \led_flash_cnt[1470][7]~q\ $ (!\led_flash_cnt[1470][6]~47471\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1470][7]~q\,
	cin => \led_flash_cnt[1470][6]~47471\,
	combout => \led_flash_cnt[1470][7]~47472_combout\);

-- Location: FF_X34_Y18_N23
\led_flash_cnt[1470][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1470][7]~47472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1470][7]~q\);

-- Location: LCCOMB_X34_Y18_N4
WideAnd1470 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1470~combout\ = (\WideAnd1470~0_combout\ & (\WideAnd1470~1_combout\ & (\led_flash_cnt[1470][7]~q\ & \led_flash_cnt[1470][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1470~0_combout\,
	datab => \WideAnd1470~1_combout\,
	datac => \led_flash_cnt[1470][7]~q\,
	datad => \led_flash_cnt[1470][0]~q\,
	combout => \WideAnd1470~combout\);

-- Location: FF_X34_Y18_N5
\led_flash_cnt_ands[1470]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1470~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1470));

-- Location: LCCOMB_X14_Y26_N26
\led_flash_cnt[1465][0]~82105\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1465][0]~82105_combout\ = !\led_flash_cnt[1465][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1465][0]~q\,
	combout => \led_flash_cnt[1465][0]~82105_combout\);

-- Location: FF_X14_Y26_N27
\led_flash_cnt[1465][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1465][0]~82105_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1465][0]~q\);

-- Location: LCCOMB_X15_Y26_N0
\led_flash_cnt[1465][1]~47390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1465][1]~47390_combout\ = (\led_flash_cnt[1465][0]~q\ & (\led_flash_cnt[1465][1]~q\ $ (VCC))) # (!\led_flash_cnt[1465][0]~q\ & (\led_flash_cnt[1465][1]~q\ & VCC))
-- \led_flash_cnt[1465][1]~47391\ = CARRY((\led_flash_cnt[1465][0]~q\ & \led_flash_cnt[1465][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1465][0]~q\,
	datab => \led_flash_cnt[1465][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1465][1]~47390_combout\,
	cout => \led_flash_cnt[1465][1]~47391\);

-- Location: FF_X15_Y26_N1
\led_flash_cnt[1465][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1465][1]~47390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1465][1]~q\);

-- Location: LCCOMB_X15_Y26_N2
\led_flash_cnt[1465][2]~47392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1465][2]~47392_combout\ = (\led_flash_cnt[1465][2]~q\ & (!\led_flash_cnt[1465][1]~47391\)) # (!\led_flash_cnt[1465][2]~q\ & ((\led_flash_cnt[1465][1]~47391\) # (GND)))
-- \led_flash_cnt[1465][2]~47393\ = CARRY((!\led_flash_cnt[1465][1]~47391\) # (!\led_flash_cnt[1465][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1465][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1465][1]~47391\,
	combout => \led_flash_cnt[1465][2]~47392_combout\,
	cout => \led_flash_cnt[1465][2]~47393\);

-- Location: FF_X15_Y26_N3
\led_flash_cnt[1465][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1465][2]~47392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1465][2]~q\);

-- Location: LCCOMB_X15_Y26_N4
\led_flash_cnt[1465][3]~47394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1465][3]~47394_combout\ = (\led_flash_cnt[1465][3]~q\ & (\led_flash_cnt[1465][2]~47393\ $ (GND))) # (!\led_flash_cnt[1465][3]~q\ & (!\led_flash_cnt[1465][2]~47393\ & VCC))
-- \led_flash_cnt[1465][3]~47395\ = CARRY((\led_flash_cnt[1465][3]~q\ & !\led_flash_cnt[1465][2]~47393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1465][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1465][2]~47393\,
	combout => \led_flash_cnt[1465][3]~47394_combout\,
	cout => \led_flash_cnt[1465][3]~47395\);

-- Location: FF_X15_Y26_N5
\led_flash_cnt[1465][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1465][3]~47394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1465][3]~q\);

-- Location: LCCOMB_X15_Y26_N6
\led_flash_cnt[1465][4]~47396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1465][4]~47396_combout\ = (\led_flash_cnt[1465][4]~q\ & (!\led_flash_cnt[1465][3]~47395\)) # (!\led_flash_cnt[1465][4]~q\ & ((\led_flash_cnt[1465][3]~47395\) # (GND)))
-- \led_flash_cnt[1465][4]~47397\ = CARRY((!\led_flash_cnt[1465][3]~47395\) # (!\led_flash_cnt[1465][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1465][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1465][3]~47395\,
	combout => \led_flash_cnt[1465][4]~47396_combout\,
	cout => \led_flash_cnt[1465][4]~47397\);

-- Location: FF_X15_Y26_N7
\led_flash_cnt[1465][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1465][4]~47396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1465][4]~q\);

-- Location: LCCOMB_X15_Y26_N8
\led_flash_cnt[1465][5]~47398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1465][5]~47398_combout\ = (\led_flash_cnt[1465][5]~q\ & (\led_flash_cnt[1465][4]~47397\ $ (GND))) # (!\led_flash_cnt[1465][5]~q\ & (!\led_flash_cnt[1465][4]~47397\ & VCC))
-- \led_flash_cnt[1465][5]~47399\ = CARRY((\led_flash_cnt[1465][5]~q\ & !\led_flash_cnt[1465][4]~47397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1465][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1465][4]~47397\,
	combout => \led_flash_cnt[1465][5]~47398_combout\,
	cout => \led_flash_cnt[1465][5]~47399\);

-- Location: FF_X15_Y26_N9
\led_flash_cnt[1465][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1465][5]~47398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1465][5]~q\);

-- Location: LCCOMB_X15_Y26_N10
\led_flash_cnt[1465][6]~47400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1465][6]~47400_combout\ = (\led_flash_cnt[1465][6]~q\ & (!\led_flash_cnt[1465][5]~47399\)) # (!\led_flash_cnt[1465][6]~q\ & ((\led_flash_cnt[1465][5]~47399\) # (GND)))
-- \led_flash_cnt[1465][6]~47401\ = CARRY((!\led_flash_cnt[1465][5]~47399\) # (!\led_flash_cnt[1465][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1465][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1465][5]~47399\,
	combout => \led_flash_cnt[1465][6]~47400_combout\,
	cout => \led_flash_cnt[1465][6]~47401\);

-- Location: FF_X15_Y26_N11
\led_flash_cnt[1465][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1465][6]~47400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1465][6]~q\);

-- Location: LCCOMB_X15_Y26_N12
\led_flash_cnt[1465][7]~47402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1465][7]~47402_combout\ = \led_flash_cnt[1465][6]~47401\ $ (!\led_flash_cnt[1465][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1465][7]~q\,
	cin => \led_flash_cnt[1465][6]~47401\,
	combout => \led_flash_cnt[1465][7]~47402_combout\);

-- Location: FF_X15_Y26_N13
\led_flash_cnt[1465][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1465][7]~47402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1465][7]~q\);

-- Location: LCCOMB_X15_Y26_N30
\WideAnd1465~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1465~0_combout\ = (\led_flash_cnt[1465][4]~q\ & (\led_flash_cnt[1465][2]~q\ & (\led_flash_cnt[1465][3]~q\ & \led_flash_cnt[1465][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1465][4]~q\,
	datab => \led_flash_cnt[1465][2]~q\,
	datac => \led_flash_cnt[1465][3]~q\,
	datad => \led_flash_cnt[1465][1]~q\,
	combout => \WideAnd1465~0_combout\);

-- Location: LCCOMB_X14_Y26_N20
\WideAnd1465~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1465~1_combout\ = (\led_flash_cnt[1465][5]~q\ & \led_flash_cnt[1465][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1465][5]~q\,
	datac => \led_flash_cnt[1465][6]~q\,
	combout => \WideAnd1465~1_combout\);

-- Location: LCCOMB_X14_Y26_N24
WideAnd1465 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1465~combout\ = (\led_flash_cnt[1465][0]~q\ & (\led_flash_cnt[1465][7]~q\ & (\WideAnd1465~0_combout\ & \WideAnd1465~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1465][0]~q\,
	datab => \led_flash_cnt[1465][7]~q\,
	datac => \WideAnd1465~0_combout\,
	datad => \WideAnd1465~1_combout\,
	combout => \WideAnd1465~combout\);

-- Location: FF_X14_Y26_N25
\led_flash_cnt_ands[1465]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1465~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1465));

-- Location: LCCOMB_X41_Y19_N12
\led_flash_cnt[1464][0]~82104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1464][0]~82104_combout\ = !\led_flash_cnt[1464][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1464][0]~q\,
	combout => \led_flash_cnt[1464][0]~82104_combout\);

-- Location: FF_X41_Y19_N13
\led_flash_cnt[1464][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1464][0]~82104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1464][0]~q\);

-- Location: LCCOMB_X41_Y19_N14
\led_flash_cnt[1464][1]~47376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1464][1]~47376_combout\ = (\led_flash_cnt[1464][0]~q\ & (\led_flash_cnt[1464][1]~q\ $ (VCC))) # (!\led_flash_cnt[1464][0]~q\ & (\led_flash_cnt[1464][1]~q\ & VCC))
-- \led_flash_cnt[1464][1]~47377\ = CARRY((\led_flash_cnt[1464][0]~q\ & \led_flash_cnt[1464][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1464][0]~q\,
	datab => \led_flash_cnt[1464][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1464][1]~47376_combout\,
	cout => \led_flash_cnt[1464][1]~47377\);

-- Location: FF_X41_Y19_N15
\led_flash_cnt[1464][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1464][1]~47376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1464][1]~q\);

-- Location: LCCOMB_X41_Y19_N16
\led_flash_cnt[1464][2]~47378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1464][2]~47378_combout\ = (\led_flash_cnt[1464][2]~q\ & (!\led_flash_cnt[1464][1]~47377\)) # (!\led_flash_cnt[1464][2]~q\ & ((\led_flash_cnt[1464][1]~47377\) # (GND)))
-- \led_flash_cnt[1464][2]~47379\ = CARRY((!\led_flash_cnt[1464][1]~47377\) # (!\led_flash_cnt[1464][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1464][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1464][1]~47377\,
	combout => \led_flash_cnt[1464][2]~47378_combout\,
	cout => \led_flash_cnt[1464][2]~47379\);

-- Location: FF_X41_Y19_N17
\led_flash_cnt[1464][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1464][2]~47378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1464][2]~q\);

-- Location: LCCOMB_X41_Y19_N18
\led_flash_cnt[1464][3]~47380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1464][3]~47380_combout\ = (\led_flash_cnt[1464][3]~q\ & (\led_flash_cnt[1464][2]~47379\ $ (GND))) # (!\led_flash_cnt[1464][3]~q\ & (!\led_flash_cnt[1464][2]~47379\ & VCC))
-- \led_flash_cnt[1464][3]~47381\ = CARRY((\led_flash_cnt[1464][3]~q\ & !\led_flash_cnt[1464][2]~47379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1464][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1464][2]~47379\,
	combout => \led_flash_cnt[1464][3]~47380_combout\,
	cout => \led_flash_cnt[1464][3]~47381\);

-- Location: FF_X41_Y19_N19
\led_flash_cnt[1464][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1464][3]~47380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1464][3]~q\);

-- Location: LCCOMB_X41_Y19_N20
\led_flash_cnt[1464][4]~47382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1464][4]~47382_combout\ = (\led_flash_cnt[1464][4]~q\ & (!\led_flash_cnt[1464][3]~47381\)) # (!\led_flash_cnt[1464][4]~q\ & ((\led_flash_cnt[1464][3]~47381\) # (GND)))
-- \led_flash_cnt[1464][4]~47383\ = CARRY((!\led_flash_cnt[1464][3]~47381\) # (!\led_flash_cnt[1464][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1464][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1464][3]~47381\,
	combout => \led_flash_cnt[1464][4]~47382_combout\,
	cout => \led_flash_cnt[1464][4]~47383\);

-- Location: FF_X41_Y19_N21
\led_flash_cnt[1464][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1464][4]~47382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1464][4]~q\);

-- Location: LCCOMB_X41_Y19_N22
\led_flash_cnt[1464][5]~47384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1464][5]~47384_combout\ = (\led_flash_cnt[1464][5]~q\ & (\led_flash_cnt[1464][4]~47383\ $ (GND))) # (!\led_flash_cnt[1464][5]~q\ & (!\led_flash_cnt[1464][4]~47383\ & VCC))
-- \led_flash_cnt[1464][5]~47385\ = CARRY((\led_flash_cnt[1464][5]~q\ & !\led_flash_cnt[1464][4]~47383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1464][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1464][4]~47383\,
	combout => \led_flash_cnt[1464][5]~47384_combout\,
	cout => \led_flash_cnt[1464][5]~47385\);

-- Location: FF_X41_Y19_N23
\led_flash_cnt[1464][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1464][5]~47384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1464][5]~q\);

-- Location: LCCOMB_X41_Y19_N24
\led_flash_cnt[1464][6]~47386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1464][6]~47386_combout\ = (\led_flash_cnt[1464][6]~q\ & (!\led_flash_cnt[1464][5]~47385\)) # (!\led_flash_cnt[1464][6]~q\ & ((\led_flash_cnt[1464][5]~47385\) # (GND)))
-- \led_flash_cnt[1464][6]~47387\ = CARRY((!\led_flash_cnt[1464][5]~47385\) # (!\led_flash_cnt[1464][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1464][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1464][5]~47385\,
	combout => \led_flash_cnt[1464][6]~47386_combout\,
	cout => \led_flash_cnt[1464][6]~47387\);

-- Location: FF_X41_Y19_N25
\led_flash_cnt[1464][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1464][6]~47386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1464][6]~q\);

-- Location: LCCOMB_X41_Y19_N26
\led_flash_cnt[1464][7]~47388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1464][7]~47388_combout\ = \led_flash_cnt[1464][7]~q\ $ (!\led_flash_cnt[1464][6]~47387\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1464][7]~q\,
	cin => \led_flash_cnt[1464][6]~47387\,
	combout => \led_flash_cnt[1464][7]~47388_combout\);

-- Location: FF_X41_Y19_N27
\led_flash_cnt[1464][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1464][7]~47388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1464][7]~q\);

-- Location: LCCOMB_X41_Y19_N28
\WideAnd1464~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1464~1_combout\ = (\led_flash_cnt[1464][5]~q\ & \led_flash_cnt[1464][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1464][5]~q\,
	datad => \led_flash_cnt[1464][6]~q\,
	combout => \WideAnd1464~1_combout\);

-- Location: LCCOMB_X41_Y19_N8
\WideAnd1464~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1464~0_combout\ = (\led_flash_cnt[1464][3]~q\ & (\led_flash_cnt[1464][4]~q\ & (\led_flash_cnt[1464][1]~q\ & \led_flash_cnt[1464][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1464][3]~q\,
	datab => \led_flash_cnt[1464][4]~q\,
	datac => \led_flash_cnt[1464][1]~q\,
	datad => \led_flash_cnt[1464][2]~q\,
	combout => \WideAnd1464~0_combout\);

-- Location: LCCOMB_X41_Y19_N4
WideAnd1464 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1464~combout\ = (\led_flash_cnt[1464][7]~q\ & (\WideAnd1464~1_combout\ & (\WideAnd1464~0_combout\ & \led_flash_cnt[1464][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1464][7]~q\,
	datab => \WideAnd1464~1_combout\,
	datac => \WideAnd1464~0_combout\,
	datad => \led_flash_cnt[1464][0]~q\,
	combout => \WideAnd1464~combout\);

-- Location: FF_X41_Y19_N5
\led_flash_cnt_ands[1464]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1464~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1464));

-- Location: LCCOMB_X44_Y19_N6
\led_flash_cnt[1467][0]~82107\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1467][0]~82107_combout\ = !\led_flash_cnt[1467][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1467][0]~q\,
	combout => \led_flash_cnt[1467][0]~82107_combout\);

-- Location: FF_X44_Y19_N7
\led_flash_cnt[1467][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1467][0]~82107_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1467][0]~q\);

-- Location: LCCOMB_X45_Y19_N18
\led_flash_cnt[1467][1]~47418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1467][1]~47418_combout\ = (\led_flash_cnt[1467][0]~q\ & (\led_flash_cnt[1467][1]~q\ $ (VCC))) # (!\led_flash_cnt[1467][0]~q\ & (\led_flash_cnt[1467][1]~q\ & VCC))
-- \led_flash_cnt[1467][1]~47419\ = CARRY((\led_flash_cnt[1467][0]~q\ & \led_flash_cnt[1467][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1467][0]~q\,
	datab => \led_flash_cnt[1467][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1467][1]~47418_combout\,
	cout => \led_flash_cnt[1467][1]~47419\);

-- Location: FF_X45_Y19_N19
\led_flash_cnt[1467][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1467][1]~47418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1467][1]~q\);

-- Location: LCCOMB_X45_Y19_N20
\led_flash_cnt[1467][2]~47420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1467][2]~47420_combout\ = (\led_flash_cnt[1467][2]~q\ & (!\led_flash_cnt[1467][1]~47419\)) # (!\led_flash_cnt[1467][2]~q\ & ((\led_flash_cnt[1467][1]~47419\) # (GND)))
-- \led_flash_cnt[1467][2]~47421\ = CARRY((!\led_flash_cnt[1467][1]~47419\) # (!\led_flash_cnt[1467][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1467][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1467][1]~47419\,
	combout => \led_flash_cnt[1467][2]~47420_combout\,
	cout => \led_flash_cnt[1467][2]~47421\);

-- Location: FF_X45_Y19_N21
\led_flash_cnt[1467][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1467][2]~47420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1467][2]~q\);

-- Location: LCCOMB_X45_Y19_N22
\led_flash_cnt[1467][3]~47422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1467][3]~47422_combout\ = (\led_flash_cnt[1467][3]~q\ & (\led_flash_cnt[1467][2]~47421\ $ (GND))) # (!\led_flash_cnt[1467][3]~q\ & (!\led_flash_cnt[1467][2]~47421\ & VCC))
-- \led_flash_cnt[1467][3]~47423\ = CARRY((\led_flash_cnt[1467][3]~q\ & !\led_flash_cnt[1467][2]~47421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1467][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1467][2]~47421\,
	combout => \led_flash_cnt[1467][3]~47422_combout\,
	cout => \led_flash_cnt[1467][3]~47423\);

-- Location: FF_X45_Y19_N23
\led_flash_cnt[1467][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1467][3]~47422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1467][3]~q\);

-- Location: LCCOMB_X45_Y19_N24
\led_flash_cnt[1467][4]~47424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1467][4]~47424_combout\ = (\led_flash_cnt[1467][4]~q\ & (!\led_flash_cnt[1467][3]~47423\)) # (!\led_flash_cnt[1467][4]~q\ & ((\led_flash_cnt[1467][3]~47423\) # (GND)))
-- \led_flash_cnt[1467][4]~47425\ = CARRY((!\led_flash_cnt[1467][3]~47423\) # (!\led_flash_cnt[1467][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1467][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1467][3]~47423\,
	combout => \led_flash_cnt[1467][4]~47424_combout\,
	cout => \led_flash_cnt[1467][4]~47425\);

-- Location: FF_X45_Y19_N25
\led_flash_cnt[1467][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1467][4]~47424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1467][4]~q\);

-- Location: LCCOMB_X45_Y19_N26
\led_flash_cnt[1467][5]~47426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1467][5]~47426_combout\ = (\led_flash_cnt[1467][5]~q\ & (\led_flash_cnt[1467][4]~47425\ $ (GND))) # (!\led_flash_cnt[1467][5]~q\ & (!\led_flash_cnt[1467][4]~47425\ & VCC))
-- \led_flash_cnt[1467][5]~47427\ = CARRY((\led_flash_cnt[1467][5]~q\ & !\led_flash_cnt[1467][4]~47425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1467][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1467][4]~47425\,
	combout => \led_flash_cnt[1467][5]~47426_combout\,
	cout => \led_flash_cnt[1467][5]~47427\);

-- Location: FF_X45_Y19_N27
\led_flash_cnt[1467][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1467][5]~47426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1467][5]~q\);

-- Location: LCCOMB_X45_Y19_N28
\led_flash_cnt[1467][6]~47428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1467][6]~47428_combout\ = (\led_flash_cnt[1467][6]~q\ & (!\led_flash_cnt[1467][5]~47427\)) # (!\led_flash_cnt[1467][6]~q\ & ((\led_flash_cnt[1467][5]~47427\) # (GND)))
-- \led_flash_cnt[1467][6]~47429\ = CARRY((!\led_flash_cnt[1467][5]~47427\) # (!\led_flash_cnt[1467][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1467][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1467][5]~47427\,
	combout => \led_flash_cnt[1467][6]~47428_combout\,
	cout => \led_flash_cnt[1467][6]~47429\);

-- Location: FF_X45_Y19_N29
\led_flash_cnt[1467][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1467][6]~47428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1467][6]~q\);

-- Location: LCCOMB_X45_Y19_N30
\led_flash_cnt[1467][7]~47430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1467][7]~47430_combout\ = \led_flash_cnt[1467][7]~q\ $ (!\led_flash_cnt[1467][6]~47429\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1467][7]~q\,
	cin => \led_flash_cnt[1467][6]~47429\,
	combout => \led_flash_cnt[1467][7]~47430_combout\);

-- Location: FF_X45_Y19_N31
\led_flash_cnt[1467][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1467][7]~47430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1467][7]~q\);

-- Location: LCCOMB_X45_Y19_N16
\WideAnd1467~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1467~1_combout\ = (\led_flash_cnt[1467][5]~q\ & \led_flash_cnt[1467][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1467][5]~q\,
	datad => \led_flash_cnt[1467][6]~q\,
	combout => \WideAnd1467~1_combout\);

-- Location: LCCOMB_X45_Y19_N14
\WideAnd1467~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1467~0_combout\ = (\led_flash_cnt[1467][4]~q\ & (\led_flash_cnt[1467][2]~q\ & (\led_flash_cnt[1467][3]~q\ & \led_flash_cnt[1467][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1467][4]~q\,
	datab => \led_flash_cnt[1467][2]~q\,
	datac => \led_flash_cnt[1467][3]~q\,
	datad => \led_flash_cnt[1467][1]~q\,
	combout => \WideAnd1467~0_combout\);

-- Location: LCCOMB_X44_Y19_N4
WideAnd1467 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1467~combout\ = (\led_flash_cnt[1467][7]~q\ & (\WideAnd1467~1_combout\ & (\WideAnd1467~0_combout\ & \led_flash_cnt[1467][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1467][7]~q\,
	datab => \WideAnd1467~1_combout\,
	datac => \WideAnd1467~0_combout\,
	datad => \led_flash_cnt[1467][0]~q\,
	combout => \WideAnd1467~combout\);

-- Location: FF_X44_Y19_N5
\led_flash_cnt_ands[1467]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1467~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1467));

-- Location: LCCOMB_X42_Y23_N28
\led_flash_cnt[1466][0]~82106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1466][0]~82106_combout\ = !\led_flash_cnt[1466][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1466][0]~q\,
	combout => \led_flash_cnt[1466][0]~82106_combout\);

-- Location: FF_X42_Y23_N29
\led_flash_cnt[1466][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1466][0]~82106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1466][0]~q\);

-- Location: LCCOMB_X41_Y23_N4
\led_flash_cnt[1466][1]~47404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1466][1]~47404_combout\ = (\led_flash_cnt[1466][0]~q\ & (\led_flash_cnt[1466][1]~q\ $ (VCC))) # (!\led_flash_cnt[1466][0]~q\ & (\led_flash_cnt[1466][1]~q\ & VCC))
-- \led_flash_cnt[1466][1]~47405\ = CARRY((\led_flash_cnt[1466][0]~q\ & \led_flash_cnt[1466][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1466][0]~q\,
	datab => \led_flash_cnt[1466][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1466][1]~47404_combout\,
	cout => \led_flash_cnt[1466][1]~47405\);

-- Location: FF_X41_Y23_N5
\led_flash_cnt[1466][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1466][1]~47404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1466][1]~q\);

-- Location: LCCOMB_X41_Y23_N6
\led_flash_cnt[1466][2]~47406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1466][2]~47406_combout\ = (\led_flash_cnt[1466][2]~q\ & (!\led_flash_cnt[1466][1]~47405\)) # (!\led_flash_cnt[1466][2]~q\ & ((\led_flash_cnt[1466][1]~47405\) # (GND)))
-- \led_flash_cnt[1466][2]~47407\ = CARRY((!\led_flash_cnt[1466][1]~47405\) # (!\led_flash_cnt[1466][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1466][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1466][1]~47405\,
	combout => \led_flash_cnt[1466][2]~47406_combout\,
	cout => \led_flash_cnt[1466][2]~47407\);

-- Location: FF_X41_Y23_N7
\led_flash_cnt[1466][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1466][2]~47406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1466][2]~q\);

-- Location: LCCOMB_X41_Y23_N8
\led_flash_cnt[1466][3]~47408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1466][3]~47408_combout\ = (\led_flash_cnt[1466][3]~q\ & (\led_flash_cnt[1466][2]~47407\ $ (GND))) # (!\led_flash_cnt[1466][3]~q\ & (!\led_flash_cnt[1466][2]~47407\ & VCC))
-- \led_flash_cnt[1466][3]~47409\ = CARRY((\led_flash_cnt[1466][3]~q\ & !\led_flash_cnt[1466][2]~47407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1466][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1466][2]~47407\,
	combout => \led_flash_cnt[1466][3]~47408_combout\,
	cout => \led_flash_cnt[1466][3]~47409\);

-- Location: FF_X41_Y23_N9
\led_flash_cnt[1466][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1466][3]~47408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1466][3]~q\);

-- Location: LCCOMB_X41_Y23_N10
\led_flash_cnt[1466][4]~47410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1466][4]~47410_combout\ = (\led_flash_cnt[1466][4]~q\ & (!\led_flash_cnt[1466][3]~47409\)) # (!\led_flash_cnt[1466][4]~q\ & ((\led_flash_cnt[1466][3]~47409\) # (GND)))
-- \led_flash_cnt[1466][4]~47411\ = CARRY((!\led_flash_cnt[1466][3]~47409\) # (!\led_flash_cnt[1466][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1466][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1466][3]~47409\,
	combout => \led_flash_cnt[1466][4]~47410_combout\,
	cout => \led_flash_cnt[1466][4]~47411\);

-- Location: FF_X41_Y23_N11
\led_flash_cnt[1466][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1466][4]~47410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1466][4]~q\);

-- Location: LCCOMB_X41_Y23_N2
\WideAnd1466~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1466~0_combout\ = (\led_flash_cnt[1466][4]~q\ & (\led_flash_cnt[1466][3]~q\ & (\led_flash_cnt[1466][1]~q\ & \led_flash_cnt[1466][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1466][4]~q\,
	datab => \led_flash_cnt[1466][3]~q\,
	datac => \led_flash_cnt[1466][1]~q\,
	datad => \led_flash_cnt[1466][2]~q\,
	combout => \WideAnd1466~0_combout\);

-- Location: LCCOMB_X41_Y23_N12
\led_flash_cnt[1466][5]~47412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1466][5]~47412_combout\ = (\led_flash_cnt[1466][5]~q\ & (\led_flash_cnt[1466][4]~47411\ $ (GND))) # (!\led_flash_cnt[1466][5]~q\ & (!\led_flash_cnt[1466][4]~47411\ & VCC))
-- \led_flash_cnt[1466][5]~47413\ = CARRY((\led_flash_cnt[1466][5]~q\ & !\led_flash_cnt[1466][4]~47411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1466][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1466][4]~47411\,
	combout => \led_flash_cnt[1466][5]~47412_combout\,
	cout => \led_flash_cnt[1466][5]~47413\);

-- Location: FF_X41_Y23_N13
\led_flash_cnt[1466][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1466][5]~47412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1466][5]~q\);

-- Location: LCCOMB_X41_Y23_N14
\led_flash_cnt[1466][6]~47414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1466][6]~47414_combout\ = (\led_flash_cnt[1466][6]~q\ & (!\led_flash_cnt[1466][5]~47413\)) # (!\led_flash_cnt[1466][6]~q\ & ((\led_flash_cnt[1466][5]~47413\) # (GND)))
-- \led_flash_cnt[1466][6]~47415\ = CARRY((!\led_flash_cnt[1466][5]~47413\) # (!\led_flash_cnt[1466][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1466][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1466][5]~47413\,
	combout => \led_flash_cnt[1466][6]~47414_combout\,
	cout => \led_flash_cnt[1466][6]~47415\);

-- Location: FF_X41_Y23_N15
\led_flash_cnt[1466][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1466][6]~47414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1466][6]~q\);

-- Location: LCCOMB_X42_Y23_N20
\WideAnd1466~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1466~1_combout\ = (\led_flash_cnt[1466][6]~q\ & \led_flash_cnt[1466][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1466][6]~q\,
	datad => \led_flash_cnt[1466][5]~q\,
	combout => \WideAnd1466~1_combout\);

-- Location: LCCOMB_X41_Y23_N16
\led_flash_cnt[1466][7]~47416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1466][7]~47416_combout\ = \led_flash_cnt[1466][6]~47415\ $ (!\led_flash_cnt[1466][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1466][7]~q\,
	cin => \led_flash_cnt[1466][6]~47415\,
	combout => \led_flash_cnt[1466][7]~47416_combout\);

-- Location: FF_X41_Y23_N17
\led_flash_cnt[1466][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1466][7]~47416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1466][7]~q\);

-- Location: LCCOMB_X42_Y23_N18
WideAnd1466 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1466~combout\ = (\WideAnd1466~0_combout\ & (\WideAnd1466~1_combout\ & (\led_flash_cnt[1466][7]~q\ & \led_flash_cnt[1466][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1466~0_combout\,
	datab => \WideAnd1466~1_combout\,
	datac => \led_flash_cnt[1466][7]~q\,
	datad => \led_flash_cnt[1466][0]~q\,
	combout => \WideAnd1466~combout\);

-- Location: FF_X42_Y23_N19
\led_flash_cnt_ands[1466]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1466~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1466));

-- Location: LCCOMB_X41_Y19_N30
\WideAnd4023~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4023~0_combout\ = (led_flash_cnt_ands(1465) & (led_flash_cnt_ands(1464) & (led_flash_cnt_ands(1467) & led_flash_cnt_ands(1466))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1465),
	datab => led_flash_cnt_ands(1464),
	datac => led_flash_cnt_ands(1467),
	datad => led_flash_cnt_ands(1466),
	combout => \WideAnd4023~0_combout\);

-- Location: LCCOMB_X39_Y18_N0
\led_flash_cnt[1468][0]~82108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1468][0]~82108_combout\ = !\led_flash_cnt[1468][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1468][0]~q\,
	combout => \led_flash_cnt[1468][0]~82108_combout\);

-- Location: FF_X39_Y18_N1
\led_flash_cnt[1468][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1468][0]~82108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1468][0]~q\);

-- Location: LCCOMB_X36_Y19_N18
\led_flash_cnt[1468][1]~47432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1468][1]~47432_combout\ = (\led_flash_cnt[1468][0]~q\ & (\led_flash_cnt[1468][1]~q\ $ (VCC))) # (!\led_flash_cnt[1468][0]~q\ & (\led_flash_cnt[1468][1]~q\ & VCC))
-- \led_flash_cnt[1468][1]~47433\ = CARRY((\led_flash_cnt[1468][0]~q\ & \led_flash_cnt[1468][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1468][0]~q\,
	datab => \led_flash_cnt[1468][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1468][1]~47432_combout\,
	cout => \led_flash_cnt[1468][1]~47433\);

-- Location: FF_X36_Y19_N19
\led_flash_cnt[1468][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1468][1]~47432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1468][1]~q\);

-- Location: LCCOMB_X36_Y19_N20
\led_flash_cnt[1468][2]~47434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1468][2]~47434_combout\ = (\led_flash_cnt[1468][2]~q\ & (!\led_flash_cnt[1468][1]~47433\)) # (!\led_flash_cnt[1468][2]~q\ & ((\led_flash_cnt[1468][1]~47433\) # (GND)))
-- \led_flash_cnt[1468][2]~47435\ = CARRY((!\led_flash_cnt[1468][1]~47433\) # (!\led_flash_cnt[1468][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1468][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1468][1]~47433\,
	combout => \led_flash_cnt[1468][2]~47434_combout\,
	cout => \led_flash_cnt[1468][2]~47435\);

-- Location: FF_X36_Y19_N21
\led_flash_cnt[1468][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1468][2]~47434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1468][2]~q\);

-- Location: LCCOMB_X36_Y19_N22
\led_flash_cnt[1468][3]~47436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1468][3]~47436_combout\ = (\led_flash_cnt[1468][3]~q\ & (\led_flash_cnt[1468][2]~47435\ $ (GND))) # (!\led_flash_cnt[1468][3]~q\ & (!\led_flash_cnt[1468][2]~47435\ & VCC))
-- \led_flash_cnt[1468][3]~47437\ = CARRY((\led_flash_cnt[1468][3]~q\ & !\led_flash_cnt[1468][2]~47435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1468][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1468][2]~47435\,
	combout => \led_flash_cnt[1468][3]~47436_combout\,
	cout => \led_flash_cnt[1468][3]~47437\);

-- Location: FF_X36_Y19_N23
\led_flash_cnt[1468][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1468][3]~47436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1468][3]~q\);

-- Location: LCCOMB_X36_Y19_N24
\led_flash_cnt[1468][4]~47438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1468][4]~47438_combout\ = (\led_flash_cnt[1468][4]~q\ & (!\led_flash_cnt[1468][3]~47437\)) # (!\led_flash_cnt[1468][4]~q\ & ((\led_flash_cnt[1468][3]~47437\) # (GND)))
-- \led_flash_cnt[1468][4]~47439\ = CARRY((!\led_flash_cnt[1468][3]~47437\) # (!\led_flash_cnt[1468][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1468][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1468][3]~47437\,
	combout => \led_flash_cnt[1468][4]~47438_combout\,
	cout => \led_flash_cnt[1468][4]~47439\);

-- Location: FF_X36_Y19_N25
\led_flash_cnt[1468][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1468][4]~47438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1468][4]~q\);

-- Location: LCCOMB_X36_Y19_N14
\WideAnd1468~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1468~0_combout\ = (\led_flash_cnt[1468][2]~q\ & (\led_flash_cnt[1468][4]~q\ & (\led_flash_cnt[1468][3]~q\ & \led_flash_cnt[1468][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1468][2]~q\,
	datab => \led_flash_cnt[1468][4]~q\,
	datac => \led_flash_cnt[1468][3]~q\,
	datad => \led_flash_cnt[1468][1]~q\,
	combout => \WideAnd1468~0_combout\);

-- Location: LCCOMB_X36_Y19_N26
\led_flash_cnt[1468][5]~47440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1468][5]~47440_combout\ = (\led_flash_cnt[1468][5]~q\ & (\led_flash_cnt[1468][4]~47439\ $ (GND))) # (!\led_flash_cnt[1468][5]~q\ & (!\led_flash_cnt[1468][4]~47439\ & VCC))
-- \led_flash_cnt[1468][5]~47441\ = CARRY((\led_flash_cnt[1468][5]~q\ & !\led_flash_cnt[1468][4]~47439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1468][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1468][4]~47439\,
	combout => \led_flash_cnt[1468][5]~47440_combout\,
	cout => \led_flash_cnt[1468][5]~47441\);

-- Location: FF_X36_Y19_N27
\led_flash_cnt[1468][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1468][5]~47440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1468][5]~q\);

-- Location: LCCOMB_X36_Y19_N28
\led_flash_cnt[1468][6]~47442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1468][6]~47442_combout\ = (\led_flash_cnt[1468][6]~q\ & (!\led_flash_cnt[1468][5]~47441\)) # (!\led_flash_cnt[1468][6]~q\ & ((\led_flash_cnt[1468][5]~47441\) # (GND)))
-- \led_flash_cnt[1468][6]~47443\ = CARRY((!\led_flash_cnt[1468][5]~47441\) # (!\led_flash_cnt[1468][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1468][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1468][5]~47441\,
	combout => \led_flash_cnt[1468][6]~47442_combout\,
	cout => \led_flash_cnt[1468][6]~47443\);

-- Location: FF_X36_Y19_N29
\led_flash_cnt[1468][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1468][6]~47442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1468][6]~q\);

-- Location: LCCOMB_X36_Y19_N30
\led_flash_cnt[1468][7]~47444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1468][7]~47444_combout\ = \led_flash_cnt[1468][7]~q\ $ (!\led_flash_cnt[1468][6]~47443\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1468][7]~q\,
	cin => \led_flash_cnt[1468][6]~47443\,
	combout => \led_flash_cnt[1468][7]~47444_combout\);

-- Location: FF_X36_Y19_N31
\led_flash_cnt[1468][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1468][7]~47444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1468][7]~q\);

-- Location: LCCOMB_X37_Y19_N8
\WideAnd1468~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1468~1_combout\ = (\led_flash_cnt[1468][5]~q\ & \led_flash_cnt[1468][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1468][5]~q\,
	datad => \led_flash_cnt[1468][6]~q\,
	combout => \WideAnd1468~1_combout\);

-- Location: LCCOMB_X37_Y19_N30
WideAnd1468 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1468~combout\ = (\WideAnd1468~0_combout\ & (\led_flash_cnt[1468][7]~q\ & (\WideAnd1468~1_combout\ & \led_flash_cnt[1468][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1468~0_combout\,
	datab => \led_flash_cnt[1468][7]~q\,
	datac => \WideAnd1468~1_combout\,
	datad => \led_flash_cnt[1468][0]~q\,
	combout => \WideAnd1468~combout\);

-- Location: FF_X37_Y19_N31
\led_flash_cnt_ands[1468]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1468~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1468));

-- Location: LCCOMB_X38_Y14_N16
\led_flash_cnt[1469][0]~82109\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1469][0]~82109_combout\ = !\led_flash_cnt[1469][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1469][0]~q\,
	combout => \led_flash_cnt[1469][0]~82109_combout\);

-- Location: FF_X38_Y14_N17
\led_flash_cnt[1469][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1469][0]~82109_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1469][0]~q\);

-- Location: LCCOMB_X39_Y14_N18
\led_flash_cnt[1469][1]~47446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1469][1]~47446_combout\ = (\led_flash_cnt[1469][0]~q\ & (\led_flash_cnt[1469][1]~q\ $ (VCC))) # (!\led_flash_cnt[1469][0]~q\ & (\led_flash_cnt[1469][1]~q\ & VCC))
-- \led_flash_cnt[1469][1]~47447\ = CARRY((\led_flash_cnt[1469][0]~q\ & \led_flash_cnt[1469][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1469][0]~q\,
	datab => \led_flash_cnt[1469][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1469][1]~47446_combout\,
	cout => \led_flash_cnt[1469][1]~47447\);

-- Location: FF_X39_Y14_N19
\led_flash_cnt[1469][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1469][1]~47446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1469][1]~q\);

-- Location: LCCOMB_X39_Y14_N20
\led_flash_cnt[1469][2]~47448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1469][2]~47448_combout\ = (\led_flash_cnt[1469][2]~q\ & (!\led_flash_cnt[1469][1]~47447\)) # (!\led_flash_cnt[1469][2]~q\ & ((\led_flash_cnt[1469][1]~47447\) # (GND)))
-- \led_flash_cnt[1469][2]~47449\ = CARRY((!\led_flash_cnt[1469][1]~47447\) # (!\led_flash_cnt[1469][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1469][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1469][1]~47447\,
	combout => \led_flash_cnt[1469][2]~47448_combout\,
	cout => \led_flash_cnt[1469][2]~47449\);

-- Location: FF_X39_Y14_N21
\led_flash_cnt[1469][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1469][2]~47448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1469][2]~q\);

-- Location: LCCOMB_X39_Y14_N22
\led_flash_cnt[1469][3]~47450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1469][3]~47450_combout\ = (\led_flash_cnt[1469][3]~q\ & (\led_flash_cnt[1469][2]~47449\ $ (GND))) # (!\led_flash_cnt[1469][3]~q\ & (!\led_flash_cnt[1469][2]~47449\ & VCC))
-- \led_flash_cnt[1469][3]~47451\ = CARRY((\led_flash_cnt[1469][3]~q\ & !\led_flash_cnt[1469][2]~47449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1469][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1469][2]~47449\,
	combout => \led_flash_cnt[1469][3]~47450_combout\,
	cout => \led_flash_cnt[1469][3]~47451\);

-- Location: FF_X39_Y14_N23
\led_flash_cnt[1469][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1469][3]~47450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1469][3]~q\);

-- Location: LCCOMB_X39_Y14_N24
\led_flash_cnt[1469][4]~47452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1469][4]~47452_combout\ = (\led_flash_cnt[1469][4]~q\ & (!\led_flash_cnt[1469][3]~47451\)) # (!\led_flash_cnt[1469][4]~q\ & ((\led_flash_cnt[1469][3]~47451\) # (GND)))
-- \led_flash_cnt[1469][4]~47453\ = CARRY((!\led_flash_cnt[1469][3]~47451\) # (!\led_flash_cnt[1469][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1469][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1469][3]~47451\,
	combout => \led_flash_cnt[1469][4]~47452_combout\,
	cout => \led_flash_cnt[1469][4]~47453\);

-- Location: FF_X39_Y14_N25
\led_flash_cnt[1469][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1469][4]~47452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1469][4]~q\);

-- Location: LCCOMB_X39_Y14_N26
\led_flash_cnt[1469][5]~47454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1469][5]~47454_combout\ = (\led_flash_cnt[1469][5]~q\ & (\led_flash_cnt[1469][4]~47453\ $ (GND))) # (!\led_flash_cnt[1469][5]~q\ & (!\led_flash_cnt[1469][4]~47453\ & VCC))
-- \led_flash_cnt[1469][5]~47455\ = CARRY((\led_flash_cnt[1469][5]~q\ & !\led_flash_cnt[1469][4]~47453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1469][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1469][4]~47453\,
	combout => \led_flash_cnt[1469][5]~47454_combout\,
	cout => \led_flash_cnt[1469][5]~47455\);

-- Location: FF_X39_Y14_N27
\led_flash_cnt[1469][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1469][5]~47454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1469][5]~q\);

-- Location: LCCOMB_X39_Y14_N28
\led_flash_cnt[1469][6]~47456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1469][6]~47456_combout\ = (\led_flash_cnt[1469][6]~q\ & (!\led_flash_cnt[1469][5]~47455\)) # (!\led_flash_cnt[1469][6]~q\ & ((\led_flash_cnt[1469][5]~47455\) # (GND)))
-- \led_flash_cnt[1469][6]~47457\ = CARRY((!\led_flash_cnt[1469][5]~47455\) # (!\led_flash_cnt[1469][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1469][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1469][5]~47455\,
	combout => \led_flash_cnt[1469][6]~47456_combout\,
	cout => \led_flash_cnt[1469][6]~47457\);

-- Location: FF_X39_Y14_N29
\led_flash_cnt[1469][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1469][6]~47456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1469][6]~q\);

-- Location: LCCOMB_X39_Y14_N30
\led_flash_cnt[1469][7]~47458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1469][7]~47458_combout\ = \led_flash_cnt[1469][7]~q\ $ (!\led_flash_cnt[1469][6]~47457\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1469][7]~q\,
	cin => \led_flash_cnt[1469][6]~47457\,
	combout => \led_flash_cnt[1469][7]~47458_combout\);

-- Location: FF_X39_Y14_N31
\led_flash_cnt[1469][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1469][7]~47458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1469][7]~q\);

-- Location: LCCOMB_X39_Y14_N14
\WideAnd1469~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1469~0_combout\ = (\led_flash_cnt[1469][1]~q\ & (\led_flash_cnt[1469][2]~q\ & (\led_flash_cnt[1469][3]~q\ & \led_flash_cnt[1469][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1469][1]~q\,
	datab => \led_flash_cnt[1469][2]~q\,
	datac => \led_flash_cnt[1469][3]~q\,
	datad => \led_flash_cnt[1469][4]~q\,
	combout => \WideAnd1469~0_combout\);

-- Location: LCCOMB_X38_Y14_N24
\WideAnd1469~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1469~1_combout\ = (\led_flash_cnt[1469][6]~q\ & \led_flash_cnt[1469][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1469][6]~q\,
	datad => \led_flash_cnt[1469][5]~q\,
	combout => \WideAnd1469~1_combout\);

-- Location: LCCOMB_X38_Y14_N28
WideAnd1469 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1469~combout\ = (\led_flash_cnt[1469][7]~q\ & (\led_flash_cnt[1469][0]~q\ & (\WideAnd1469~0_combout\ & \WideAnd1469~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1469][7]~q\,
	datab => \led_flash_cnt[1469][0]~q\,
	datac => \WideAnd1469~0_combout\,
	datad => \WideAnd1469~1_combout\,
	combout => \WideAnd1469~combout\);

-- Location: FF_X38_Y14_N29
\led_flash_cnt_ands[1469]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1469~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1469));

-- Location: LCCOMB_X37_Y18_N16
\WideAnd4023~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4023~1_combout\ = (led_flash_cnt_ands(1468) & led_flash_cnt_ands(1469))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1468),
	datad => led_flash_cnt_ands(1469),
	combout => \WideAnd4023~1_combout\);

-- Location: LCCOMB_X37_Y18_N26
WideAnd4023 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4023~combout\ = (led_flash_cnt_ands(1471) & (led_flash_cnt_ands(1470) & (\WideAnd4023~0_combout\ & \WideAnd4023~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1471),
	datab => led_flash_cnt_ands(1470),
	datac => \WideAnd4023~0_combout\,
	datad => \WideAnd4023~1_combout\,
	combout => \WideAnd4023~combout\);

-- Location: FF_X37_Y18_N27
\led_flash_cnt_ands_1[183]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4023~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(183));

-- Location: LCCOMB_X45_Y12_N0
\led_flash_cnt[1458][0]~82098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1458][0]~82098_combout\ = !\led_flash_cnt[1458][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1458][0]~q\,
	combout => \led_flash_cnt[1458][0]~82098_combout\);

-- Location: FF_X45_Y12_N1
\led_flash_cnt[1458][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1458][0]~82098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1458][0]~q\);

-- Location: LCCOMB_X40_Y12_N0
\led_flash_cnt[1458][1]~47292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1458][1]~47292_combout\ = (\led_flash_cnt[1458][0]~q\ & (\led_flash_cnt[1458][1]~q\ $ (VCC))) # (!\led_flash_cnt[1458][0]~q\ & (\led_flash_cnt[1458][1]~q\ & VCC))
-- \led_flash_cnt[1458][1]~47293\ = CARRY((\led_flash_cnt[1458][0]~q\ & \led_flash_cnt[1458][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1458][0]~q\,
	datab => \led_flash_cnt[1458][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1458][1]~47292_combout\,
	cout => \led_flash_cnt[1458][1]~47293\);

-- Location: FF_X40_Y12_N1
\led_flash_cnt[1458][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1458][1]~47292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1458][1]~q\);

-- Location: LCCOMB_X40_Y12_N2
\led_flash_cnt[1458][2]~47294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1458][2]~47294_combout\ = (\led_flash_cnt[1458][2]~q\ & (!\led_flash_cnt[1458][1]~47293\)) # (!\led_flash_cnt[1458][2]~q\ & ((\led_flash_cnt[1458][1]~47293\) # (GND)))
-- \led_flash_cnt[1458][2]~47295\ = CARRY((!\led_flash_cnt[1458][1]~47293\) # (!\led_flash_cnt[1458][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1458][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1458][1]~47293\,
	combout => \led_flash_cnt[1458][2]~47294_combout\,
	cout => \led_flash_cnt[1458][2]~47295\);

-- Location: FF_X40_Y12_N3
\led_flash_cnt[1458][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1458][2]~47294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1458][2]~q\);

-- Location: LCCOMB_X40_Y12_N4
\led_flash_cnt[1458][3]~47296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1458][3]~47296_combout\ = (\led_flash_cnt[1458][3]~q\ & (\led_flash_cnt[1458][2]~47295\ $ (GND))) # (!\led_flash_cnt[1458][3]~q\ & (!\led_flash_cnt[1458][2]~47295\ & VCC))
-- \led_flash_cnt[1458][3]~47297\ = CARRY((\led_flash_cnt[1458][3]~q\ & !\led_flash_cnt[1458][2]~47295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1458][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1458][2]~47295\,
	combout => \led_flash_cnt[1458][3]~47296_combout\,
	cout => \led_flash_cnt[1458][3]~47297\);

-- Location: FF_X40_Y12_N5
\led_flash_cnt[1458][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1458][3]~47296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1458][3]~q\);

-- Location: LCCOMB_X40_Y12_N6
\led_flash_cnt[1458][4]~47298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1458][4]~47298_combout\ = (\led_flash_cnt[1458][4]~q\ & (!\led_flash_cnt[1458][3]~47297\)) # (!\led_flash_cnt[1458][4]~q\ & ((\led_flash_cnt[1458][3]~47297\) # (GND)))
-- \led_flash_cnt[1458][4]~47299\ = CARRY((!\led_flash_cnt[1458][3]~47297\) # (!\led_flash_cnt[1458][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1458][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1458][3]~47297\,
	combout => \led_flash_cnt[1458][4]~47298_combout\,
	cout => \led_flash_cnt[1458][4]~47299\);

-- Location: FF_X40_Y12_N7
\led_flash_cnt[1458][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1458][4]~47298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1458][4]~q\);

-- Location: LCCOMB_X40_Y12_N8
\led_flash_cnt[1458][5]~47300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1458][5]~47300_combout\ = (\led_flash_cnt[1458][5]~q\ & (\led_flash_cnt[1458][4]~47299\ $ (GND))) # (!\led_flash_cnt[1458][5]~q\ & (!\led_flash_cnt[1458][4]~47299\ & VCC))
-- \led_flash_cnt[1458][5]~47301\ = CARRY((\led_flash_cnt[1458][5]~q\ & !\led_flash_cnt[1458][4]~47299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1458][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1458][4]~47299\,
	combout => \led_flash_cnt[1458][5]~47300_combout\,
	cout => \led_flash_cnt[1458][5]~47301\);

-- Location: FF_X40_Y12_N9
\led_flash_cnt[1458][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1458][5]~47300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1458][5]~q\);

-- Location: LCCOMB_X40_Y12_N10
\led_flash_cnt[1458][6]~47302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1458][6]~47302_combout\ = (\led_flash_cnt[1458][6]~q\ & (!\led_flash_cnt[1458][5]~47301\)) # (!\led_flash_cnt[1458][6]~q\ & ((\led_flash_cnt[1458][5]~47301\) # (GND)))
-- \led_flash_cnt[1458][6]~47303\ = CARRY((!\led_flash_cnt[1458][5]~47301\) # (!\led_flash_cnt[1458][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1458][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1458][5]~47301\,
	combout => \led_flash_cnt[1458][6]~47302_combout\,
	cout => \led_flash_cnt[1458][6]~47303\);

-- Location: FF_X40_Y12_N11
\led_flash_cnt[1458][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1458][6]~47302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1458][6]~q\);

-- Location: LCCOMB_X40_Y12_N12
\led_flash_cnt[1458][7]~47304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1458][7]~47304_combout\ = \led_flash_cnt[1458][6]~47303\ $ (!\led_flash_cnt[1458][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1458][7]~q\,
	cin => \led_flash_cnt[1458][6]~47303\,
	combout => \led_flash_cnt[1458][7]~47304_combout\);

-- Location: FF_X40_Y12_N13
\led_flash_cnt[1458][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1458][7]~47304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1458][7]~q\);

-- Location: LCCOMB_X41_Y12_N2
\WideAnd1458~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1458~1_combout\ = (\led_flash_cnt[1458][6]~q\ & \led_flash_cnt[1458][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1458][6]~q\,
	datad => \led_flash_cnt[1458][5]~q\,
	combout => \WideAnd1458~1_combout\);

-- Location: LCCOMB_X40_Y12_N14
\WideAnd1458~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1458~0_combout\ = (\led_flash_cnt[1458][4]~q\ & (\led_flash_cnt[1458][1]~q\ & (\led_flash_cnt[1458][3]~q\ & \led_flash_cnt[1458][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1458][4]~q\,
	datab => \led_flash_cnt[1458][1]~q\,
	datac => \led_flash_cnt[1458][3]~q\,
	datad => \led_flash_cnt[1458][2]~q\,
	combout => \WideAnd1458~0_combout\);

-- Location: LCCOMB_X41_Y12_N24
WideAnd1458 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1458~combout\ = (\led_flash_cnt[1458][7]~q\ & (\WideAnd1458~1_combout\ & (\led_flash_cnt[1458][0]~q\ & \WideAnd1458~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1458][7]~q\,
	datab => \WideAnd1458~1_combout\,
	datac => \led_flash_cnt[1458][0]~q\,
	datad => \WideAnd1458~0_combout\,
	combout => \WideAnd1458~combout\);

-- Location: FF_X41_Y12_N25
\led_flash_cnt_ands[1458]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1458~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1458));

-- Location: LCCOMB_X45_Y13_N30
\led_flash_cnt[1457][0]~82097\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1457][0]~82097_combout\ = !\led_flash_cnt[1457][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1457][0]~q\,
	combout => \led_flash_cnt[1457][0]~82097_combout\);

-- Location: FF_X45_Y13_N31
\led_flash_cnt[1457][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1457][0]~82097_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1457][0]~q\);

-- Location: LCCOMB_X46_Y12_N0
\led_flash_cnt[1457][1]~47278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1457][1]~47278_combout\ = (\led_flash_cnt[1457][0]~q\ & (\led_flash_cnt[1457][1]~q\ $ (VCC))) # (!\led_flash_cnt[1457][0]~q\ & (\led_flash_cnt[1457][1]~q\ & VCC))
-- \led_flash_cnt[1457][1]~47279\ = CARRY((\led_flash_cnt[1457][0]~q\ & \led_flash_cnt[1457][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1457][0]~q\,
	datab => \led_flash_cnt[1457][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1457][1]~47278_combout\,
	cout => \led_flash_cnt[1457][1]~47279\);

-- Location: FF_X46_Y12_N1
\led_flash_cnt[1457][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1457][1]~47278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1457][1]~q\);

-- Location: LCCOMB_X46_Y12_N2
\led_flash_cnt[1457][2]~47280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1457][2]~47280_combout\ = (\led_flash_cnt[1457][2]~q\ & (!\led_flash_cnt[1457][1]~47279\)) # (!\led_flash_cnt[1457][2]~q\ & ((\led_flash_cnt[1457][1]~47279\) # (GND)))
-- \led_flash_cnt[1457][2]~47281\ = CARRY((!\led_flash_cnt[1457][1]~47279\) # (!\led_flash_cnt[1457][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1457][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1457][1]~47279\,
	combout => \led_flash_cnt[1457][2]~47280_combout\,
	cout => \led_flash_cnt[1457][2]~47281\);

-- Location: FF_X46_Y12_N3
\led_flash_cnt[1457][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1457][2]~47280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1457][2]~q\);

-- Location: LCCOMB_X46_Y12_N4
\led_flash_cnt[1457][3]~47282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1457][3]~47282_combout\ = (\led_flash_cnt[1457][3]~q\ & (\led_flash_cnt[1457][2]~47281\ $ (GND))) # (!\led_flash_cnt[1457][3]~q\ & (!\led_flash_cnt[1457][2]~47281\ & VCC))
-- \led_flash_cnt[1457][3]~47283\ = CARRY((\led_flash_cnt[1457][3]~q\ & !\led_flash_cnt[1457][2]~47281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1457][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1457][2]~47281\,
	combout => \led_flash_cnt[1457][3]~47282_combout\,
	cout => \led_flash_cnt[1457][3]~47283\);

-- Location: FF_X46_Y12_N5
\led_flash_cnt[1457][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1457][3]~47282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1457][3]~q\);

-- Location: LCCOMB_X46_Y12_N6
\led_flash_cnt[1457][4]~47284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1457][4]~47284_combout\ = (\led_flash_cnt[1457][4]~q\ & (!\led_flash_cnt[1457][3]~47283\)) # (!\led_flash_cnt[1457][4]~q\ & ((\led_flash_cnt[1457][3]~47283\) # (GND)))
-- \led_flash_cnt[1457][4]~47285\ = CARRY((!\led_flash_cnt[1457][3]~47283\) # (!\led_flash_cnt[1457][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1457][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1457][3]~47283\,
	combout => \led_flash_cnt[1457][4]~47284_combout\,
	cout => \led_flash_cnt[1457][4]~47285\);

-- Location: FF_X46_Y12_N7
\led_flash_cnt[1457][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1457][4]~47284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1457][4]~q\);

-- Location: LCCOMB_X46_Y12_N18
\WideAnd1457~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1457~0_combout\ = (\led_flash_cnt[1457][4]~q\ & (\led_flash_cnt[1457][1]~q\ & (\led_flash_cnt[1457][3]~q\ & \led_flash_cnt[1457][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1457][4]~q\,
	datab => \led_flash_cnt[1457][1]~q\,
	datac => \led_flash_cnt[1457][3]~q\,
	datad => \led_flash_cnt[1457][2]~q\,
	combout => \WideAnd1457~0_combout\);

-- Location: LCCOMB_X46_Y12_N8
\led_flash_cnt[1457][5]~47286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1457][5]~47286_combout\ = (\led_flash_cnt[1457][5]~q\ & (\led_flash_cnt[1457][4]~47285\ $ (GND))) # (!\led_flash_cnt[1457][5]~q\ & (!\led_flash_cnt[1457][4]~47285\ & VCC))
-- \led_flash_cnt[1457][5]~47287\ = CARRY((\led_flash_cnt[1457][5]~q\ & !\led_flash_cnt[1457][4]~47285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1457][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1457][4]~47285\,
	combout => \led_flash_cnt[1457][5]~47286_combout\,
	cout => \led_flash_cnt[1457][5]~47287\);

-- Location: FF_X46_Y12_N9
\led_flash_cnt[1457][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1457][5]~47286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1457][5]~q\);

-- Location: LCCOMB_X46_Y12_N10
\led_flash_cnt[1457][6]~47288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1457][6]~47288_combout\ = (\led_flash_cnt[1457][6]~q\ & (!\led_flash_cnt[1457][5]~47287\)) # (!\led_flash_cnt[1457][6]~q\ & ((\led_flash_cnt[1457][5]~47287\) # (GND)))
-- \led_flash_cnt[1457][6]~47289\ = CARRY((!\led_flash_cnt[1457][5]~47287\) # (!\led_flash_cnt[1457][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1457][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1457][5]~47287\,
	combout => \led_flash_cnt[1457][6]~47288_combout\,
	cout => \led_flash_cnt[1457][6]~47289\);

-- Location: FF_X46_Y12_N11
\led_flash_cnt[1457][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1457][6]~47288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1457][6]~q\);

-- Location: LCCOMB_X46_Y12_N22
\WideAnd1457~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1457~1_combout\ = (\led_flash_cnt[1457][5]~q\ & \led_flash_cnt[1457][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1457][5]~q\,
	datad => \led_flash_cnt[1457][6]~q\,
	combout => \WideAnd1457~1_combout\);

-- Location: LCCOMB_X46_Y12_N12
\led_flash_cnt[1457][7]~47290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1457][7]~47290_combout\ = \led_flash_cnt[1457][6]~47289\ $ (!\led_flash_cnt[1457][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1457][7]~q\,
	cin => \led_flash_cnt[1457][6]~47289\,
	combout => \led_flash_cnt[1457][7]~47290_combout\);

-- Location: FF_X46_Y12_N13
\led_flash_cnt[1457][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1457][7]~47290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1457][7]~q\);

-- Location: LCCOMB_X46_Y12_N26
WideAnd1457 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1457~combout\ = (\led_flash_cnt[1457][0]~q\ & (\WideAnd1457~0_combout\ & (\WideAnd1457~1_combout\ & \led_flash_cnt[1457][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1457][0]~q\,
	datab => \WideAnd1457~0_combout\,
	datac => \WideAnd1457~1_combout\,
	datad => \led_flash_cnt[1457][7]~q\,
	combout => \WideAnd1457~combout\);

-- Location: FF_X46_Y12_N27
\led_flash_cnt_ands[1457]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1457~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1457));

-- Location: LCCOMB_X45_Y9_N2
\led_flash_cnt[1459][0]~82099\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1459][0]~82099_combout\ = !\led_flash_cnt[1459][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1459][0]~q\,
	combout => \led_flash_cnt[1459][0]~82099_combout\);

-- Location: FF_X45_Y9_N3
\led_flash_cnt[1459][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1459][0]~82099_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1459][0]~q\);

-- Location: LCCOMB_X44_Y9_N2
\led_flash_cnt[1459][1]~47306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1459][1]~47306_combout\ = (\led_flash_cnt[1459][0]~q\ & (\led_flash_cnt[1459][1]~q\ $ (VCC))) # (!\led_flash_cnt[1459][0]~q\ & (\led_flash_cnt[1459][1]~q\ & VCC))
-- \led_flash_cnt[1459][1]~47307\ = CARRY((\led_flash_cnt[1459][0]~q\ & \led_flash_cnt[1459][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1459][0]~q\,
	datab => \led_flash_cnt[1459][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1459][1]~47306_combout\,
	cout => \led_flash_cnt[1459][1]~47307\);

-- Location: FF_X44_Y9_N3
\led_flash_cnt[1459][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1459][1]~47306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1459][1]~q\);

-- Location: LCCOMB_X44_Y9_N4
\led_flash_cnt[1459][2]~47308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1459][2]~47308_combout\ = (\led_flash_cnt[1459][2]~q\ & (!\led_flash_cnt[1459][1]~47307\)) # (!\led_flash_cnt[1459][2]~q\ & ((\led_flash_cnt[1459][1]~47307\) # (GND)))
-- \led_flash_cnt[1459][2]~47309\ = CARRY((!\led_flash_cnt[1459][1]~47307\) # (!\led_flash_cnt[1459][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1459][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1459][1]~47307\,
	combout => \led_flash_cnt[1459][2]~47308_combout\,
	cout => \led_flash_cnt[1459][2]~47309\);

-- Location: FF_X44_Y9_N5
\led_flash_cnt[1459][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1459][2]~47308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1459][2]~q\);

-- Location: LCCOMB_X44_Y9_N6
\led_flash_cnt[1459][3]~47310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1459][3]~47310_combout\ = (\led_flash_cnt[1459][3]~q\ & (\led_flash_cnt[1459][2]~47309\ $ (GND))) # (!\led_flash_cnt[1459][3]~q\ & (!\led_flash_cnt[1459][2]~47309\ & VCC))
-- \led_flash_cnt[1459][3]~47311\ = CARRY((\led_flash_cnt[1459][3]~q\ & !\led_flash_cnt[1459][2]~47309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1459][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1459][2]~47309\,
	combout => \led_flash_cnt[1459][3]~47310_combout\,
	cout => \led_flash_cnt[1459][3]~47311\);

-- Location: FF_X44_Y9_N7
\led_flash_cnt[1459][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1459][3]~47310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1459][3]~q\);

-- Location: LCCOMB_X44_Y9_N8
\led_flash_cnt[1459][4]~47312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1459][4]~47312_combout\ = (\led_flash_cnt[1459][4]~q\ & (!\led_flash_cnt[1459][3]~47311\)) # (!\led_flash_cnt[1459][4]~q\ & ((\led_flash_cnt[1459][3]~47311\) # (GND)))
-- \led_flash_cnt[1459][4]~47313\ = CARRY((!\led_flash_cnt[1459][3]~47311\) # (!\led_flash_cnt[1459][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1459][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1459][3]~47311\,
	combout => \led_flash_cnt[1459][4]~47312_combout\,
	cout => \led_flash_cnt[1459][4]~47313\);

-- Location: FF_X44_Y9_N9
\led_flash_cnt[1459][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1459][4]~47312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1459][4]~q\);

-- Location: LCCOMB_X44_Y9_N10
\led_flash_cnt[1459][5]~47314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1459][5]~47314_combout\ = (\led_flash_cnt[1459][5]~q\ & (\led_flash_cnt[1459][4]~47313\ $ (GND))) # (!\led_flash_cnt[1459][5]~q\ & (!\led_flash_cnt[1459][4]~47313\ & VCC))
-- \led_flash_cnt[1459][5]~47315\ = CARRY((\led_flash_cnt[1459][5]~q\ & !\led_flash_cnt[1459][4]~47313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1459][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1459][4]~47313\,
	combout => \led_flash_cnt[1459][5]~47314_combout\,
	cout => \led_flash_cnt[1459][5]~47315\);

-- Location: FF_X44_Y9_N11
\led_flash_cnt[1459][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1459][5]~47314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1459][5]~q\);

-- Location: LCCOMB_X44_Y9_N12
\led_flash_cnt[1459][6]~47316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1459][6]~47316_combout\ = (\led_flash_cnt[1459][6]~q\ & (!\led_flash_cnt[1459][5]~47315\)) # (!\led_flash_cnt[1459][6]~q\ & ((\led_flash_cnt[1459][5]~47315\) # (GND)))
-- \led_flash_cnt[1459][6]~47317\ = CARRY((!\led_flash_cnt[1459][5]~47315\) # (!\led_flash_cnt[1459][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1459][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1459][5]~47315\,
	combout => \led_flash_cnt[1459][6]~47316_combout\,
	cout => \led_flash_cnt[1459][6]~47317\);

-- Location: FF_X44_Y9_N13
\led_flash_cnt[1459][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1459][6]~47316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1459][6]~q\);

-- Location: LCCOMB_X44_Y9_N14
\led_flash_cnt[1459][7]~47318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1459][7]~47318_combout\ = \led_flash_cnt[1459][7]~q\ $ (!\led_flash_cnt[1459][6]~47317\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1459][7]~q\,
	cin => \led_flash_cnt[1459][6]~47317\,
	combout => \led_flash_cnt[1459][7]~47318_combout\);

-- Location: FF_X44_Y9_N15
\led_flash_cnt[1459][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1459][7]~47318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1459][7]~q\);

-- Location: LCCOMB_X45_Y9_N8
\WideAnd1459~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1459~1_combout\ = (\led_flash_cnt[1459][6]~q\ & \led_flash_cnt[1459][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1459][6]~q\,
	datad => \led_flash_cnt[1459][5]~q\,
	combout => \WideAnd1459~1_combout\);

-- Location: LCCOMB_X44_Y9_N16
\WideAnd1459~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1459~0_combout\ = (\led_flash_cnt[1459][3]~q\ & (\led_flash_cnt[1459][4]~q\ & (\led_flash_cnt[1459][2]~q\ & \led_flash_cnt[1459][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1459][3]~q\,
	datab => \led_flash_cnt[1459][4]~q\,
	datac => \led_flash_cnt[1459][2]~q\,
	datad => \led_flash_cnt[1459][1]~q\,
	combout => \WideAnd1459~0_combout\);

-- Location: LCCOMB_X45_Y9_N4
WideAnd1459 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1459~combout\ = (\led_flash_cnt[1459][7]~q\ & (\WideAnd1459~1_combout\ & (\WideAnd1459~0_combout\ & \led_flash_cnt[1459][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1459][7]~q\,
	datab => \WideAnd1459~1_combout\,
	datac => \WideAnd1459~0_combout\,
	datad => \led_flash_cnt[1459][0]~q\,
	combout => \WideAnd1459~combout\);

-- Location: FF_X45_Y9_N5
\led_flash_cnt_ands[1459]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1459~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1459));

-- Location: LCCOMB_X46_Y12_N14
\led_flash_cnt[1456][0]~82096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1456][0]~82096_combout\ = !\led_flash_cnt[1456][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1456][0]~q\,
	combout => \led_flash_cnt[1456][0]~82096_combout\);

-- Location: FF_X46_Y12_N15
\led_flash_cnt[1456][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1456][0]~82096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1456][0]~q\);

-- Location: LCCOMB_X47_Y12_N2
\led_flash_cnt[1456][1]~47264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1456][1]~47264_combout\ = (\led_flash_cnt[1456][0]~q\ & (\led_flash_cnt[1456][1]~q\ $ (VCC))) # (!\led_flash_cnt[1456][0]~q\ & (\led_flash_cnt[1456][1]~q\ & VCC))
-- \led_flash_cnt[1456][1]~47265\ = CARRY((\led_flash_cnt[1456][0]~q\ & \led_flash_cnt[1456][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1456][0]~q\,
	datab => \led_flash_cnt[1456][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1456][1]~47264_combout\,
	cout => \led_flash_cnt[1456][1]~47265\);

-- Location: FF_X47_Y12_N3
\led_flash_cnt[1456][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1456][1]~47264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1456][1]~q\);

-- Location: LCCOMB_X47_Y12_N4
\led_flash_cnt[1456][2]~47266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1456][2]~47266_combout\ = (\led_flash_cnt[1456][2]~q\ & (!\led_flash_cnt[1456][1]~47265\)) # (!\led_flash_cnt[1456][2]~q\ & ((\led_flash_cnt[1456][1]~47265\) # (GND)))
-- \led_flash_cnt[1456][2]~47267\ = CARRY((!\led_flash_cnt[1456][1]~47265\) # (!\led_flash_cnt[1456][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1456][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1456][1]~47265\,
	combout => \led_flash_cnt[1456][2]~47266_combout\,
	cout => \led_flash_cnt[1456][2]~47267\);

-- Location: FF_X47_Y12_N5
\led_flash_cnt[1456][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1456][2]~47266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1456][2]~q\);

-- Location: LCCOMB_X47_Y12_N6
\led_flash_cnt[1456][3]~47268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1456][3]~47268_combout\ = (\led_flash_cnt[1456][3]~q\ & (\led_flash_cnt[1456][2]~47267\ $ (GND))) # (!\led_flash_cnt[1456][3]~q\ & (!\led_flash_cnt[1456][2]~47267\ & VCC))
-- \led_flash_cnt[1456][3]~47269\ = CARRY((\led_flash_cnt[1456][3]~q\ & !\led_flash_cnt[1456][2]~47267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1456][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1456][2]~47267\,
	combout => \led_flash_cnt[1456][3]~47268_combout\,
	cout => \led_flash_cnt[1456][3]~47269\);

-- Location: FF_X47_Y12_N7
\led_flash_cnt[1456][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1456][3]~47268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1456][3]~q\);

-- Location: LCCOMB_X47_Y12_N8
\led_flash_cnt[1456][4]~47270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1456][4]~47270_combout\ = (\led_flash_cnt[1456][4]~q\ & (!\led_flash_cnt[1456][3]~47269\)) # (!\led_flash_cnt[1456][4]~q\ & ((\led_flash_cnt[1456][3]~47269\) # (GND)))
-- \led_flash_cnt[1456][4]~47271\ = CARRY((!\led_flash_cnt[1456][3]~47269\) # (!\led_flash_cnt[1456][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1456][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1456][3]~47269\,
	combout => \led_flash_cnt[1456][4]~47270_combout\,
	cout => \led_flash_cnt[1456][4]~47271\);

-- Location: FF_X47_Y12_N9
\led_flash_cnt[1456][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1456][4]~47270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1456][4]~q\);

-- Location: LCCOMB_X47_Y12_N10
\led_flash_cnt[1456][5]~47272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1456][5]~47272_combout\ = (\led_flash_cnt[1456][5]~q\ & (\led_flash_cnt[1456][4]~47271\ $ (GND))) # (!\led_flash_cnt[1456][5]~q\ & (!\led_flash_cnt[1456][4]~47271\ & VCC))
-- \led_flash_cnt[1456][5]~47273\ = CARRY((\led_flash_cnt[1456][5]~q\ & !\led_flash_cnt[1456][4]~47271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1456][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1456][4]~47271\,
	combout => \led_flash_cnt[1456][5]~47272_combout\,
	cout => \led_flash_cnt[1456][5]~47273\);

-- Location: FF_X47_Y12_N11
\led_flash_cnt[1456][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1456][5]~47272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1456][5]~q\);

-- Location: LCCOMB_X47_Y12_N12
\led_flash_cnt[1456][6]~47274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1456][6]~47274_combout\ = (\led_flash_cnt[1456][6]~q\ & (!\led_flash_cnt[1456][5]~47273\)) # (!\led_flash_cnt[1456][6]~q\ & ((\led_flash_cnt[1456][5]~47273\) # (GND)))
-- \led_flash_cnt[1456][6]~47275\ = CARRY((!\led_flash_cnt[1456][5]~47273\) # (!\led_flash_cnt[1456][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1456][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1456][5]~47273\,
	combout => \led_flash_cnt[1456][6]~47274_combout\,
	cout => \led_flash_cnt[1456][6]~47275\);

-- Location: FF_X47_Y12_N13
\led_flash_cnt[1456][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1456][6]~47274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1456][6]~q\);

-- Location: LCCOMB_X46_Y12_N30
\WideAnd1456~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1456~1_combout\ = (\led_flash_cnt[1456][6]~q\ & \led_flash_cnt[1456][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1456][6]~q\,
	datac => \led_flash_cnt[1456][5]~q\,
	combout => \WideAnd1456~1_combout\);

-- Location: LCCOMB_X47_Y12_N14
\led_flash_cnt[1456][7]~47276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1456][7]~47276_combout\ = \led_flash_cnt[1456][7]~q\ $ (!\led_flash_cnt[1456][6]~47275\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1456][7]~q\,
	cin => \led_flash_cnt[1456][6]~47275\,
	combout => \led_flash_cnt[1456][7]~47276_combout\);

-- Location: FF_X47_Y12_N15
\led_flash_cnt[1456][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1456][7]~47276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1456][7]~q\);

-- Location: LCCOMB_X47_Y12_N16
\WideAnd1456~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1456~0_combout\ = (\led_flash_cnt[1456][3]~q\ & (\led_flash_cnt[1456][4]~q\ & (\led_flash_cnt[1456][2]~q\ & \led_flash_cnt[1456][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1456][3]~q\,
	datab => \led_flash_cnt[1456][4]~q\,
	datac => \led_flash_cnt[1456][2]~q\,
	datad => \led_flash_cnt[1456][1]~q\,
	combout => \WideAnd1456~0_combout\);

-- Location: LCCOMB_X46_Y12_N28
WideAnd1456 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1456~combout\ = (\WideAnd1456~1_combout\ & (\led_flash_cnt[1456][0]~q\ & (\led_flash_cnt[1456][7]~q\ & \WideAnd1456~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1456~1_combout\,
	datab => \led_flash_cnt[1456][0]~q\,
	datac => \led_flash_cnt[1456][7]~q\,
	datad => \WideAnd1456~0_combout\,
	combout => \WideAnd1456~combout\);

-- Location: FF_X46_Y12_N29
\led_flash_cnt_ands[1456]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1456~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1456));

-- Location: LCCOMB_X45_Y12_N26
\WideAnd4022~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4022~0_combout\ = (led_flash_cnt_ands(1458) & (led_flash_cnt_ands(1457) & (led_flash_cnt_ands(1459) & led_flash_cnt_ands(1456))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1458),
	datab => led_flash_cnt_ands(1457),
	datac => led_flash_cnt_ands(1459),
	datad => led_flash_cnt_ands(1456),
	combout => \WideAnd4022~0_combout\);

-- Location: LCCOMB_X34_Y21_N14
\led_flash_cnt[1463][0]~82103\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1463][0]~82103_combout\ = !\led_flash_cnt[1463][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1463][0]~q\,
	combout => \led_flash_cnt[1463][0]~82103_combout\);

-- Location: FF_X34_Y21_N15
\led_flash_cnt[1463][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1463][0]~82103_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1463][0]~q\);

-- Location: LCCOMB_X34_Y23_N0
\led_flash_cnt[1463][1]~47362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1463][1]~47362_combout\ = (\led_flash_cnt[1463][0]~q\ & (\led_flash_cnt[1463][1]~q\ $ (VCC))) # (!\led_flash_cnt[1463][0]~q\ & (\led_flash_cnt[1463][1]~q\ & VCC))
-- \led_flash_cnt[1463][1]~47363\ = CARRY((\led_flash_cnt[1463][0]~q\ & \led_flash_cnt[1463][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1463][0]~q\,
	datab => \led_flash_cnt[1463][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1463][1]~47362_combout\,
	cout => \led_flash_cnt[1463][1]~47363\);

-- Location: FF_X34_Y23_N1
\led_flash_cnt[1463][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1463][1]~47362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1463][1]~q\);

-- Location: LCCOMB_X34_Y23_N2
\led_flash_cnt[1463][2]~47364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1463][2]~47364_combout\ = (\led_flash_cnt[1463][2]~q\ & (!\led_flash_cnt[1463][1]~47363\)) # (!\led_flash_cnt[1463][2]~q\ & ((\led_flash_cnt[1463][1]~47363\) # (GND)))
-- \led_flash_cnt[1463][2]~47365\ = CARRY((!\led_flash_cnt[1463][1]~47363\) # (!\led_flash_cnt[1463][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1463][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1463][1]~47363\,
	combout => \led_flash_cnt[1463][2]~47364_combout\,
	cout => \led_flash_cnt[1463][2]~47365\);

-- Location: FF_X34_Y23_N3
\led_flash_cnt[1463][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1463][2]~47364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1463][2]~q\);

-- Location: LCCOMB_X34_Y23_N4
\led_flash_cnt[1463][3]~47366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1463][3]~47366_combout\ = (\led_flash_cnt[1463][3]~q\ & (\led_flash_cnt[1463][2]~47365\ $ (GND))) # (!\led_flash_cnt[1463][3]~q\ & (!\led_flash_cnt[1463][2]~47365\ & VCC))
-- \led_flash_cnt[1463][3]~47367\ = CARRY((\led_flash_cnt[1463][3]~q\ & !\led_flash_cnt[1463][2]~47365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1463][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1463][2]~47365\,
	combout => \led_flash_cnt[1463][3]~47366_combout\,
	cout => \led_flash_cnt[1463][3]~47367\);

-- Location: FF_X34_Y23_N5
\led_flash_cnt[1463][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1463][3]~47366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1463][3]~q\);

-- Location: LCCOMB_X34_Y23_N6
\led_flash_cnt[1463][4]~47368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1463][4]~47368_combout\ = (\led_flash_cnt[1463][4]~q\ & (!\led_flash_cnt[1463][3]~47367\)) # (!\led_flash_cnt[1463][4]~q\ & ((\led_flash_cnt[1463][3]~47367\) # (GND)))
-- \led_flash_cnt[1463][4]~47369\ = CARRY((!\led_flash_cnt[1463][3]~47367\) # (!\led_flash_cnt[1463][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1463][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1463][3]~47367\,
	combout => \led_flash_cnt[1463][4]~47368_combout\,
	cout => \led_flash_cnt[1463][4]~47369\);

-- Location: FF_X34_Y23_N7
\led_flash_cnt[1463][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1463][4]~47368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1463][4]~q\);

-- Location: LCCOMB_X34_Y23_N8
\led_flash_cnt[1463][5]~47370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1463][5]~47370_combout\ = (\led_flash_cnt[1463][5]~q\ & (\led_flash_cnt[1463][4]~47369\ $ (GND))) # (!\led_flash_cnt[1463][5]~q\ & (!\led_flash_cnt[1463][4]~47369\ & VCC))
-- \led_flash_cnt[1463][5]~47371\ = CARRY((\led_flash_cnt[1463][5]~q\ & !\led_flash_cnt[1463][4]~47369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1463][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1463][4]~47369\,
	combout => \led_flash_cnt[1463][5]~47370_combout\,
	cout => \led_flash_cnt[1463][5]~47371\);

-- Location: FF_X34_Y23_N9
\led_flash_cnt[1463][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1463][5]~47370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1463][5]~q\);

-- Location: LCCOMB_X34_Y23_N10
\led_flash_cnt[1463][6]~47372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1463][6]~47372_combout\ = (\led_flash_cnt[1463][6]~q\ & (!\led_flash_cnt[1463][5]~47371\)) # (!\led_flash_cnt[1463][6]~q\ & ((\led_flash_cnt[1463][5]~47371\) # (GND)))
-- \led_flash_cnt[1463][6]~47373\ = CARRY((!\led_flash_cnt[1463][5]~47371\) # (!\led_flash_cnt[1463][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1463][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1463][5]~47371\,
	combout => \led_flash_cnt[1463][6]~47372_combout\,
	cout => \led_flash_cnt[1463][6]~47373\);

-- Location: FF_X34_Y23_N11
\led_flash_cnt[1463][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1463][6]~47372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1463][6]~q\);

-- Location: LCCOMB_X34_Y23_N12
\led_flash_cnt[1463][7]~47374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1463][7]~47374_combout\ = \led_flash_cnt[1463][6]~47373\ $ (!\led_flash_cnt[1463][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1463][7]~q\,
	cin => \led_flash_cnt[1463][6]~47373\,
	combout => \led_flash_cnt[1463][7]~47374_combout\);

-- Location: FF_X34_Y23_N13
\led_flash_cnt[1463][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1463][7]~47374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1463][7]~q\);

-- Location: LCCOMB_X34_Y21_N4
\WideAnd1463~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1463~1_combout\ = (\led_flash_cnt[1463][6]~q\ & \led_flash_cnt[1463][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1463][6]~q\,
	datac => \led_flash_cnt[1463][5]~q\,
	combout => \WideAnd1463~1_combout\);

-- Location: LCCOMB_X34_Y23_N16
\WideAnd1463~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1463~0_combout\ = (\led_flash_cnt[1463][4]~q\ & (\led_flash_cnt[1463][1]~q\ & (\led_flash_cnt[1463][3]~q\ & \led_flash_cnt[1463][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1463][4]~q\,
	datab => \led_flash_cnt[1463][1]~q\,
	datac => \led_flash_cnt[1463][3]~q\,
	datad => \led_flash_cnt[1463][2]~q\,
	combout => \WideAnd1463~0_combout\);

-- Location: LCCOMB_X34_Y21_N8
WideAnd1463 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1463~combout\ = (\led_flash_cnt[1463][0]~q\ & (\led_flash_cnt[1463][7]~q\ & (\WideAnd1463~1_combout\ & \WideAnd1463~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1463][0]~q\,
	datab => \led_flash_cnt[1463][7]~q\,
	datac => \WideAnd1463~1_combout\,
	datad => \WideAnd1463~0_combout\,
	combout => \WideAnd1463~combout\);

-- Location: FF_X34_Y21_N9
\led_flash_cnt_ands[1463]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1463~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1463));

-- Location: LCCOMB_X34_Y18_N6
\led_flash_cnt[1462][0]~82102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1462][0]~82102_combout\ = !\led_flash_cnt[1462][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1462][0]~q\,
	combout => \led_flash_cnt[1462][0]~82102_combout\);

-- Location: FF_X34_Y18_N7
\led_flash_cnt[1462][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1462][0]~82102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1462][0]~q\);

-- Location: LCCOMB_X35_Y18_N18
\led_flash_cnt[1462][1]~47348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1462][1]~47348_combout\ = (\led_flash_cnt[1462][1]~q\ & (\led_flash_cnt[1462][0]~q\ $ (VCC))) # (!\led_flash_cnt[1462][1]~q\ & (\led_flash_cnt[1462][0]~q\ & VCC))
-- \led_flash_cnt[1462][1]~47349\ = CARRY((\led_flash_cnt[1462][1]~q\ & \led_flash_cnt[1462][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1462][1]~q\,
	datab => \led_flash_cnt[1462][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1462][1]~47348_combout\,
	cout => \led_flash_cnt[1462][1]~47349\);

-- Location: FF_X35_Y18_N19
\led_flash_cnt[1462][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1462][1]~47348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1462][1]~q\);

-- Location: LCCOMB_X35_Y18_N20
\led_flash_cnt[1462][2]~47350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1462][2]~47350_combout\ = (\led_flash_cnt[1462][2]~q\ & (!\led_flash_cnt[1462][1]~47349\)) # (!\led_flash_cnt[1462][2]~q\ & ((\led_flash_cnt[1462][1]~47349\) # (GND)))
-- \led_flash_cnt[1462][2]~47351\ = CARRY((!\led_flash_cnt[1462][1]~47349\) # (!\led_flash_cnt[1462][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1462][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1462][1]~47349\,
	combout => \led_flash_cnt[1462][2]~47350_combout\,
	cout => \led_flash_cnt[1462][2]~47351\);

-- Location: FF_X35_Y18_N21
\led_flash_cnt[1462][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1462][2]~47350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1462][2]~q\);

-- Location: LCCOMB_X35_Y18_N22
\led_flash_cnt[1462][3]~47352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1462][3]~47352_combout\ = (\led_flash_cnt[1462][3]~q\ & (\led_flash_cnt[1462][2]~47351\ $ (GND))) # (!\led_flash_cnt[1462][3]~q\ & (!\led_flash_cnt[1462][2]~47351\ & VCC))
-- \led_flash_cnt[1462][3]~47353\ = CARRY((\led_flash_cnt[1462][3]~q\ & !\led_flash_cnt[1462][2]~47351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1462][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1462][2]~47351\,
	combout => \led_flash_cnt[1462][3]~47352_combout\,
	cout => \led_flash_cnt[1462][3]~47353\);

-- Location: FF_X35_Y18_N23
\led_flash_cnt[1462][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1462][3]~47352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1462][3]~q\);

-- Location: LCCOMB_X35_Y18_N24
\led_flash_cnt[1462][4]~47354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1462][4]~47354_combout\ = (\led_flash_cnt[1462][4]~q\ & (!\led_flash_cnt[1462][3]~47353\)) # (!\led_flash_cnt[1462][4]~q\ & ((\led_flash_cnt[1462][3]~47353\) # (GND)))
-- \led_flash_cnt[1462][4]~47355\ = CARRY((!\led_flash_cnt[1462][3]~47353\) # (!\led_flash_cnt[1462][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1462][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1462][3]~47353\,
	combout => \led_flash_cnt[1462][4]~47354_combout\,
	cout => \led_flash_cnt[1462][4]~47355\);

-- Location: FF_X35_Y18_N25
\led_flash_cnt[1462][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1462][4]~47354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1462][4]~q\);

-- Location: LCCOMB_X35_Y18_N26
\led_flash_cnt[1462][5]~47356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1462][5]~47356_combout\ = (\led_flash_cnt[1462][5]~q\ & (\led_flash_cnt[1462][4]~47355\ $ (GND))) # (!\led_flash_cnt[1462][5]~q\ & (!\led_flash_cnt[1462][4]~47355\ & VCC))
-- \led_flash_cnt[1462][5]~47357\ = CARRY((\led_flash_cnt[1462][5]~q\ & !\led_flash_cnt[1462][4]~47355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1462][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1462][4]~47355\,
	combout => \led_flash_cnt[1462][5]~47356_combout\,
	cout => \led_flash_cnt[1462][5]~47357\);

-- Location: FF_X35_Y18_N27
\led_flash_cnt[1462][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1462][5]~47356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1462][5]~q\);

-- Location: LCCOMB_X35_Y18_N28
\led_flash_cnt[1462][6]~47358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1462][6]~47358_combout\ = (\led_flash_cnt[1462][6]~q\ & (!\led_flash_cnt[1462][5]~47357\)) # (!\led_flash_cnt[1462][6]~q\ & ((\led_flash_cnt[1462][5]~47357\) # (GND)))
-- \led_flash_cnt[1462][6]~47359\ = CARRY((!\led_flash_cnt[1462][5]~47357\) # (!\led_flash_cnt[1462][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1462][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1462][5]~47357\,
	combout => \led_flash_cnt[1462][6]~47358_combout\,
	cout => \led_flash_cnt[1462][6]~47359\);

-- Location: FF_X35_Y18_N29
\led_flash_cnt[1462][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1462][6]~47358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1462][6]~q\);

-- Location: LCCOMB_X35_Y18_N30
\led_flash_cnt[1462][7]~47360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1462][7]~47360_combout\ = \led_flash_cnt[1462][7]~q\ $ (!\led_flash_cnt[1462][6]~47359\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1462][7]~q\,
	cin => \led_flash_cnt[1462][6]~47359\,
	combout => \led_flash_cnt[1462][7]~47360_combout\);

-- Location: FF_X35_Y18_N31
\led_flash_cnt[1462][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1462][7]~47360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1462][7]~q\);

-- Location: LCCOMB_X36_Y18_N14
\WideAnd1462~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1462~1_combout\ = (\led_flash_cnt[1462][5]~q\ & \led_flash_cnt[1462][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1462][5]~q\,
	datad => \led_flash_cnt[1462][6]~q\,
	combout => \WideAnd1462~1_combout\);

-- Location: LCCOMB_X34_Y18_N24
\WideAnd1462~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1462~0_combout\ = (\led_flash_cnt[1462][1]~q\ & (\led_flash_cnt[1462][4]~q\ & (\led_flash_cnt[1462][2]~q\ & \led_flash_cnt[1462][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1462][1]~q\,
	datab => \led_flash_cnt[1462][4]~q\,
	datac => \led_flash_cnt[1462][2]~q\,
	datad => \led_flash_cnt[1462][3]~q\,
	combout => \WideAnd1462~0_combout\);

-- Location: LCCOMB_X35_Y18_N0
WideAnd1462 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1462~combout\ = (\led_flash_cnt[1462][7]~q\ & (\led_flash_cnt[1462][0]~q\ & (\WideAnd1462~1_combout\ & \WideAnd1462~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1462][7]~q\,
	datab => \led_flash_cnt[1462][0]~q\,
	datac => \WideAnd1462~1_combout\,
	datad => \WideAnd1462~0_combout\,
	combout => \WideAnd1462~combout\);

-- Location: FF_X35_Y18_N1
\led_flash_cnt_ands[1462]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1462~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1462));

-- Location: LCCOMB_X46_Y11_N28
\led_flash_cnt[1461][0]~82101\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1461][0]~82101_combout\ = !\led_flash_cnt[1461][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1461][0]~q\,
	combout => \led_flash_cnt[1461][0]~82101_combout\);

-- Location: FF_X46_Y11_N29
\led_flash_cnt[1461][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1461][0]~82101_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1461][0]~q\);

-- Location: LCCOMB_X47_Y11_N2
\led_flash_cnt[1461][1]~47334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1461][1]~47334_combout\ = (\led_flash_cnt[1461][0]~q\ & (\led_flash_cnt[1461][1]~q\ $ (VCC))) # (!\led_flash_cnt[1461][0]~q\ & (\led_flash_cnt[1461][1]~q\ & VCC))
-- \led_flash_cnt[1461][1]~47335\ = CARRY((\led_flash_cnt[1461][0]~q\ & \led_flash_cnt[1461][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1461][0]~q\,
	datab => \led_flash_cnt[1461][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1461][1]~47334_combout\,
	cout => \led_flash_cnt[1461][1]~47335\);

-- Location: FF_X47_Y11_N3
\led_flash_cnt[1461][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1461][1]~47334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1461][1]~q\);

-- Location: LCCOMB_X47_Y11_N4
\led_flash_cnt[1461][2]~47336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1461][2]~47336_combout\ = (\led_flash_cnt[1461][2]~q\ & (!\led_flash_cnt[1461][1]~47335\)) # (!\led_flash_cnt[1461][2]~q\ & ((\led_flash_cnt[1461][1]~47335\) # (GND)))
-- \led_flash_cnt[1461][2]~47337\ = CARRY((!\led_flash_cnt[1461][1]~47335\) # (!\led_flash_cnt[1461][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1461][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1461][1]~47335\,
	combout => \led_flash_cnt[1461][2]~47336_combout\,
	cout => \led_flash_cnt[1461][2]~47337\);

-- Location: FF_X47_Y11_N5
\led_flash_cnt[1461][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1461][2]~47336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1461][2]~q\);

-- Location: LCCOMB_X47_Y11_N6
\led_flash_cnt[1461][3]~47338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1461][3]~47338_combout\ = (\led_flash_cnt[1461][3]~q\ & (\led_flash_cnt[1461][2]~47337\ $ (GND))) # (!\led_flash_cnt[1461][3]~q\ & (!\led_flash_cnt[1461][2]~47337\ & VCC))
-- \led_flash_cnt[1461][3]~47339\ = CARRY((\led_flash_cnt[1461][3]~q\ & !\led_flash_cnt[1461][2]~47337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1461][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1461][2]~47337\,
	combout => \led_flash_cnt[1461][3]~47338_combout\,
	cout => \led_flash_cnt[1461][3]~47339\);

-- Location: FF_X47_Y11_N7
\led_flash_cnt[1461][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1461][3]~47338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1461][3]~q\);

-- Location: LCCOMB_X47_Y11_N8
\led_flash_cnt[1461][4]~47340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1461][4]~47340_combout\ = (\led_flash_cnt[1461][4]~q\ & (!\led_flash_cnt[1461][3]~47339\)) # (!\led_flash_cnt[1461][4]~q\ & ((\led_flash_cnt[1461][3]~47339\) # (GND)))
-- \led_flash_cnt[1461][4]~47341\ = CARRY((!\led_flash_cnt[1461][3]~47339\) # (!\led_flash_cnt[1461][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1461][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1461][3]~47339\,
	combout => \led_flash_cnt[1461][4]~47340_combout\,
	cout => \led_flash_cnt[1461][4]~47341\);

-- Location: FF_X47_Y11_N9
\led_flash_cnt[1461][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1461][4]~47340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1461][4]~q\);

-- Location: LCCOMB_X47_Y11_N10
\led_flash_cnt[1461][5]~47342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1461][5]~47342_combout\ = (\led_flash_cnt[1461][5]~q\ & (\led_flash_cnt[1461][4]~47341\ $ (GND))) # (!\led_flash_cnt[1461][5]~q\ & (!\led_flash_cnt[1461][4]~47341\ & VCC))
-- \led_flash_cnt[1461][5]~47343\ = CARRY((\led_flash_cnt[1461][5]~q\ & !\led_flash_cnt[1461][4]~47341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1461][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1461][4]~47341\,
	combout => \led_flash_cnt[1461][5]~47342_combout\,
	cout => \led_flash_cnt[1461][5]~47343\);

-- Location: FF_X47_Y11_N11
\led_flash_cnt[1461][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1461][5]~47342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1461][5]~q\);

-- Location: LCCOMB_X47_Y11_N12
\led_flash_cnt[1461][6]~47344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1461][6]~47344_combout\ = (\led_flash_cnt[1461][6]~q\ & (!\led_flash_cnt[1461][5]~47343\)) # (!\led_flash_cnt[1461][6]~q\ & ((\led_flash_cnt[1461][5]~47343\) # (GND)))
-- \led_flash_cnt[1461][6]~47345\ = CARRY((!\led_flash_cnt[1461][5]~47343\) # (!\led_flash_cnt[1461][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1461][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1461][5]~47343\,
	combout => \led_flash_cnt[1461][6]~47344_combout\,
	cout => \led_flash_cnt[1461][6]~47345\);

-- Location: FF_X47_Y11_N13
\led_flash_cnt[1461][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1461][6]~47344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1461][6]~q\);

-- Location: LCCOMB_X46_Y11_N26
\WideAnd1461~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1461~1_combout\ = (\led_flash_cnt[1461][6]~q\ & \led_flash_cnt[1461][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1461][6]~q\,
	datac => \led_flash_cnt[1461][5]~q\,
	combout => \WideAnd1461~1_combout\);

-- Location: LCCOMB_X47_Y11_N0
\WideAnd1461~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1461~0_combout\ = (\led_flash_cnt[1461][3]~q\ & (\led_flash_cnt[1461][4]~q\ & (\led_flash_cnt[1461][2]~q\ & \led_flash_cnt[1461][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1461][3]~q\,
	datab => \led_flash_cnt[1461][4]~q\,
	datac => \led_flash_cnt[1461][2]~q\,
	datad => \led_flash_cnt[1461][1]~q\,
	combout => \WideAnd1461~0_combout\);

-- Location: LCCOMB_X47_Y11_N14
\led_flash_cnt[1461][7]~47346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1461][7]~47346_combout\ = \led_flash_cnt[1461][7]~q\ $ (!\led_flash_cnt[1461][6]~47345\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1461][7]~q\,
	cin => \led_flash_cnt[1461][6]~47345\,
	combout => \led_flash_cnt[1461][7]~47346_combout\);

-- Location: FF_X47_Y11_N15
\led_flash_cnt[1461][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1461][7]~47346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1461][7]~q\);

-- Location: LCCOMB_X46_Y11_N30
WideAnd1461 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1461~combout\ = (\WideAnd1461~1_combout\ & (\WideAnd1461~0_combout\ & (\led_flash_cnt[1461][7]~q\ & \led_flash_cnt[1461][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1461~1_combout\,
	datab => \WideAnd1461~0_combout\,
	datac => \led_flash_cnt[1461][7]~q\,
	datad => \led_flash_cnt[1461][0]~q\,
	combout => \WideAnd1461~combout\);

-- Location: FF_X46_Y11_N31
\led_flash_cnt_ands[1461]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1461~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1461));

-- Location: LCCOMB_X49_Y10_N8
\led_flash_cnt[1460][0]~82100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1460][0]~82100_combout\ = !\led_flash_cnt[1460][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1460][0]~q\,
	combout => \led_flash_cnt[1460][0]~82100_combout\);

-- Location: FF_X49_Y10_N9
\led_flash_cnt[1460][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1460][0]~82100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1460][0]~q\);

-- Location: LCCOMB_X47_Y10_N2
\led_flash_cnt[1460][1]~47320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1460][1]~47320_combout\ = (\led_flash_cnt[1460][0]~q\ & (\led_flash_cnt[1460][1]~q\ $ (VCC))) # (!\led_flash_cnt[1460][0]~q\ & (\led_flash_cnt[1460][1]~q\ & VCC))
-- \led_flash_cnt[1460][1]~47321\ = CARRY((\led_flash_cnt[1460][0]~q\ & \led_flash_cnt[1460][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1460][0]~q\,
	datab => \led_flash_cnt[1460][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1460][1]~47320_combout\,
	cout => \led_flash_cnt[1460][1]~47321\);

-- Location: FF_X47_Y10_N3
\led_flash_cnt[1460][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1460][1]~47320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1460][1]~q\);

-- Location: LCCOMB_X47_Y10_N4
\led_flash_cnt[1460][2]~47322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1460][2]~47322_combout\ = (\led_flash_cnt[1460][2]~q\ & (!\led_flash_cnt[1460][1]~47321\)) # (!\led_flash_cnt[1460][2]~q\ & ((\led_flash_cnt[1460][1]~47321\) # (GND)))
-- \led_flash_cnt[1460][2]~47323\ = CARRY((!\led_flash_cnt[1460][1]~47321\) # (!\led_flash_cnt[1460][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1460][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1460][1]~47321\,
	combout => \led_flash_cnt[1460][2]~47322_combout\,
	cout => \led_flash_cnt[1460][2]~47323\);

-- Location: FF_X47_Y10_N5
\led_flash_cnt[1460][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1460][2]~47322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1460][2]~q\);

-- Location: LCCOMB_X47_Y10_N6
\led_flash_cnt[1460][3]~47324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1460][3]~47324_combout\ = (\led_flash_cnt[1460][3]~q\ & (\led_flash_cnt[1460][2]~47323\ $ (GND))) # (!\led_flash_cnt[1460][3]~q\ & (!\led_flash_cnt[1460][2]~47323\ & VCC))
-- \led_flash_cnt[1460][3]~47325\ = CARRY((\led_flash_cnt[1460][3]~q\ & !\led_flash_cnt[1460][2]~47323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1460][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1460][2]~47323\,
	combout => \led_flash_cnt[1460][3]~47324_combout\,
	cout => \led_flash_cnt[1460][3]~47325\);

-- Location: FF_X47_Y10_N7
\led_flash_cnt[1460][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1460][3]~47324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1460][3]~q\);

-- Location: LCCOMB_X47_Y10_N8
\led_flash_cnt[1460][4]~47326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1460][4]~47326_combout\ = (\led_flash_cnt[1460][4]~q\ & (!\led_flash_cnt[1460][3]~47325\)) # (!\led_flash_cnt[1460][4]~q\ & ((\led_flash_cnt[1460][3]~47325\) # (GND)))
-- \led_flash_cnt[1460][4]~47327\ = CARRY((!\led_flash_cnt[1460][3]~47325\) # (!\led_flash_cnt[1460][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1460][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1460][3]~47325\,
	combout => \led_flash_cnt[1460][4]~47326_combout\,
	cout => \led_flash_cnt[1460][4]~47327\);

-- Location: FF_X47_Y10_N9
\led_flash_cnt[1460][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1460][4]~47326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1460][4]~q\);

-- Location: LCCOMB_X47_Y10_N10
\led_flash_cnt[1460][5]~47328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1460][5]~47328_combout\ = (\led_flash_cnt[1460][5]~q\ & (\led_flash_cnt[1460][4]~47327\ $ (GND))) # (!\led_flash_cnt[1460][5]~q\ & (!\led_flash_cnt[1460][4]~47327\ & VCC))
-- \led_flash_cnt[1460][5]~47329\ = CARRY((\led_flash_cnt[1460][5]~q\ & !\led_flash_cnt[1460][4]~47327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1460][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1460][4]~47327\,
	combout => \led_flash_cnt[1460][5]~47328_combout\,
	cout => \led_flash_cnt[1460][5]~47329\);

-- Location: FF_X47_Y10_N11
\led_flash_cnt[1460][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1460][5]~47328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1460][5]~q\);

-- Location: LCCOMB_X47_Y10_N12
\led_flash_cnt[1460][6]~47330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1460][6]~47330_combout\ = (\led_flash_cnt[1460][6]~q\ & (!\led_flash_cnt[1460][5]~47329\)) # (!\led_flash_cnt[1460][6]~q\ & ((\led_flash_cnt[1460][5]~47329\) # (GND)))
-- \led_flash_cnt[1460][6]~47331\ = CARRY((!\led_flash_cnt[1460][5]~47329\) # (!\led_flash_cnt[1460][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1460][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1460][5]~47329\,
	combout => \led_flash_cnt[1460][6]~47330_combout\,
	cout => \led_flash_cnt[1460][6]~47331\);

-- Location: FF_X47_Y10_N13
\led_flash_cnt[1460][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1460][6]~47330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1460][6]~q\);

-- Location: LCCOMB_X47_Y10_N14
\led_flash_cnt[1460][7]~47332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1460][7]~47332_combout\ = \led_flash_cnt[1460][7]~q\ $ (!\led_flash_cnt[1460][6]~47331\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1460][7]~q\,
	cin => \led_flash_cnt[1460][6]~47331\,
	combout => \led_flash_cnt[1460][7]~47332_combout\);

-- Location: FF_X47_Y10_N15
\led_flash_cnt[1460][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1460][7]~47332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1460][7]~q\);

-- Location: LCCOMB_X47_Y10_N0
\WideAnd1460~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1460~0_combout\ = (\led_flash_cnt[1460][3]~q\ & (\led_flash_cnt[1460][4]~q\ & (\led_flash_cnt[1460][2]~q\ & \led_flash_cnt[1460][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1460][3]~q\,
	datab => \led_flash_cnt[1460][4]~q\,
	datac => \led_flash_cnt[1460][2]~q\,
	datad => \led_flash_cnt[1460][1]~q\,
	combout => \WideAnd1460~0_combout\);

-- Location: LCCOMB_X49_Y10_N0
\WideAnd1460~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1460~1_combout\ = (\led_flash_cnt[1460][6]~q\ & \led_flash_cnt[1460][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1460][6]~q\,
	datad => \led_flash_cnt[1460][5]~q\,
	combout => \WideAnd1460~1_combout\);

-- Location: LCCOMB_X49_Y10_N10
WideAnd1460 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1460~combout\ = (\led_flash_cnt[1460][7]~q\ & (\led_flash_cnt[1460][0]~q\ & (\WideAnd1460~0_combout\ & \WideAnd1460~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1460][7]~q\,
	datab => \led_flash_cnt[1460][0]~q\,
	datac => \WideAnd1460~0_combout\,
	datad => \WideAnd1460~1_combout\,
	combout => \WideAnd1460~combout\);

-- Location: FF_X49_Y10_N11
\led_flash_cnt_ands[1460]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1460~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1460));

-- Location: LCCOMB_X49_Y10_N6
\WideAnd4022~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4022~1_combout\ = (led_flash_cnt_ands(1461) & led_flash_cnt_ands(1460))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1461),
	datad => led_flash_cnt_ands(1460),
	combout => \WideAnd4022~1_combout\);

-- Location: LCCOMB_X34_Y18_N28
WideAnd4022 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4022~combout\ = (\WideAnd4022~0_combout\ & (led_flash_cnt_ands(1463) & (led_flash_cnt_ands(1462) & \WideAnd4022~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4022~0_combout\,
	datab => led_flash_cnt_ands(1463),
	datac => led_flash_cnt_ands(1462),
	datad => \WideAnd4022~1_combout\,
	combout => \WideAnd4022~combout\);

-- Location: FF_X34_Y18_N29
\led_flash_cnt_ands_1[182]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4022~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(182));

-- Location: LCCOMB_X19_Y24_N2
\led_flash_cnt[1441][0]~82081\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1441][0]~82081_combout\ = !\led_flash_cnt[1441][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1441][0]~q\,
	combout => \led_flash_cnt[1441][0]~82081_combout\);

-- Location: FF_X19_Y24_N3
\led_flash_cnt[1441][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1441][0]~82081_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1441][0]~q\);

-- Location: LCCOMB_X18_Y24_N0
\led_flash_cnt[1441][1]~47054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1441][1]~47054_combout\ = (\led_flash_cnt[1441][0]~q\ & (\led_flash_cnt[1441][1]~q\ $ (VCC))) # (!\led_flash_cnt[1441][0]~q\ & (\led_flash_cnt[1441][1]~q\ & VCC))
-- \led_flash_cnt[1441][1]~47055\ = CARRY((\led_flash_cnt[1441][0]~q\ & \led_flash_cnt[1441][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1441][0]~q\,
	datab => \led_flash_cnt[1441][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1441][1]~47054_combout\,
	cout => \led_flash_cnt[1441][1]~47055\);

-- Location: FF_X18_Y24_N1
\led_flash_cnt[1441][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1441][1]~47054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1441][1]~q\);

-- Location: LCCOMB_X18_Y24_N2
\led_flash_cnt[1441][2]~47056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1441][2]~47056_combout\ = (\led_flash_cnt[1441][2]~q\ & (!\led_flash_cnt[1441][1]~47055\)) # (!\led_flash_cnt[1441][2]~q\ & ((\led_flash_cnt[1441][1]~47055\) # (GND)))
-- \led_flash_cnt[1441][2]~47057\ = CARRY((!\led_flash_cnt[1441][1]~47055\) # (!\led_flash_cnt[1441][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1441][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1441][1]~47055\,
	combout => \led_flash_cnt[1441][2]~47056_combout\,
	cout => \led_flash_cnt[1441][2]~47057\);

-- Location: FF_X18_Y24_N3
\led_flash_cnt[1441][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1441][2]~47056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1441][2]~q\);

-- Location: LCCOMB_X18_Y24_N4
\led_flash_cnt[1441][3]~47058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1441][3]~47058_combout\ = (\led_flash_cnt[1441][3]~q\ & (\led_flash_cnt[1441][2]~47057\ $ (GND))) # (!\led_flash_cnt[1441][3]~q\ & (!\led_flash_cnt[1441][2]~47057\ & VCC))
-- \led_flash_cnt[1441][3]~47059\ = CARRY((\led_flash_cnt[1441][3]~q\ & !\led_flash_cnt[1441][2]~47057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1441][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1441][2]~47057\,
	combout => \led_flash_cnt[1441][3]~47058_combout\,
	cout => \led_flash_cnt[1441][3]~47059\);

-- Location: FF_X18_Y24_N5
\led_flash_cnt[1441][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1441][3]~47058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1441][3]~q\);

-- Location: LCCOMB_X18_Y24_N6
\led_flash_cnt[1441][4]~47060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1441][4]~47060_combout\ = (\led_flash_cnt[1441][4]~q\ & (!\led_flash_cnt[1441][3]~47059\)) # (!\led_flash_cnt[1441][4]~q\ & ((\led_flash_cnt[1441][3]~47059\) # (GND)))
-- \led_flash_cnt[1441][4]~47061\ = CARRY((!\led_flash_cnt[1441][3]~47059\) # (!\led_flash_cnt[1441][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1441][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1441][3]~47059\,
	combout => \led_flash_cnt[1441][4]~47060_combout\,
	cout => \led_flash_cnt[1441][4]~47061\);

-- Location: FF_X18_Y24_N7
\led_flash_cnt[1441][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1441][4]~47060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1441][4]~q\);

-- Location: LCCOMB_X18_Y24_N8
\led_flash_cnt[1441][5]~47062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1441][5]~47062_combout\ = (\led_flash_cnt[1441][5]~q\ & (\led_flash_cnt[1441][4]~47061\ $ (GND))) # (!\led_flash_cnt[1441][5]~q\ & (!\led_flash_cnt[1441][4]~47061\ & VCC))
-- \led_flash_cnt[1441][5]~47063\ = CARRY((\led_flash_cnt[1441][5]~q\ & !\led_flash_cnt[1441][4]~47061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1441][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1441][4]~47061\,
	combout => \led_flash_cnt[1441][5]~47062_combout\,
	cout => \led_flash_cnt[1441][5]~47063\);

-- Location: FF_X18_Y24_N9
\led_flash_cnt[1441][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1441][5]~47062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1441][5]~q\);

-- Location: LCCOMB_X18_Y24_N10
\led_flash_cnt[1441][6]~47064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1441][6]~47064_combout\ = (\led_flash_cnt[1441][6]~q\ & (!\led_flash_cnt[1441][5]~47063\)) # (!\led_flash_cnt[1441][6]~q\ & ((\led_flash_cnt[1441][5]~47063\) # (GND)))
-- \led_flash_cnt[1441][6]~47065\ = CARRY((!\led_flash_cnt[1441][5]~47063\) # (!\led_flash_cnt[1441][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1441][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1441][5]~47063\,
	combout => \led_flash_cnt[1441][6]~47064_combout\,
	cout => \led_flash_cnt[1441][6]~47065\);

-- Location: FF_X18_Y24_N11
\led_flash_cnt[1441][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1441][6]~47064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1441][6]~q\);

-- Location: LCCOMB_X17_Y24_N24
\WideAnd1441~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1441~1_combout\ = (\led_flash_cnt[1441][6]~q\ & \led_flash_cnt[1441][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1441][6]~q\,
	datad => \led_flash_cnt[1441][5]~q\,
	combout => \WideAnd1441~1_combout\);

-- Location: LCCOMB_X18_Y24_N30
\WideAnd1441~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1441~0_combout\ = (\led_flash_cnt[1441][4]~q\ & (\led_flash_cnt[1441][2]~q\ & (\led_flash_cnt[1441][3]~q\ & \led_flash_cnt[1441][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1441][4]~q\,
	datab => \led_flash_cnt[1441][2]~q\,
	datac => \led_flash_cnt[1441][3]~q\,
	datad => \led_flash_cnt[1441][1]~q\,
	combout => \WideAnd1441~0_combout\);

-- Location: LCCOMB_X18_Y24_N12
\led_flash_cnt[1441][7]~47066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1441][7]~47066_combout\ = \led_flash_cnt[1441][6]~47065\ $ (!\led_flash_cnt[1441][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1441][7]~q\,
	cin => \led_flash_cnt[1441][6]~47065\,
	combout => \led_flash_cnt[1441][7]~47066_combout\);

-- Location: FF_X18_Y24_N13
\led_flash_cnt[1441][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1441][7]~47066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1441][7]~q\);

-- Location: LCCOMB_X18_Y24_N28
WideAnd1441 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1441~combout\ = (\led_flash_cnt[1441][0]~q\ & (\WideAnd1441~1_combout\ & (\WideAnd1441~0_combout\ & \led_flash_cnt[1441][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1441][0]~q\,
	datab => \WideAnd1441~1_combout\,
	datac => \WideAnd1441~0_combout\,
	datad => \led_flash_cnt[1441][7]~q\,
	combout => \WideAnd1441~combout\);

-- Location: FF_X18_Y24_N29
\led_flash_cnt_ands[1441]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1441~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1441));

-- Location: LCCOMB_X25_Y27_N20
\led_flash_cnt[1440][0]~82080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1440][0]~82080_combout\ = !\led_flash_cnt[1440][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1440][0]~q\,
	combout => \led_flash_cnt[1440][0]~82080_combout\);

-- Location: FF_X25_Y27_N21
\led_flash_cnt[1440][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1440][0]~82080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1440][0]~q\);

-- Location: LCCOMB_X26_Y27_N2
\led_flash_cnt[1440][1]~47040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1440][1]~47040_combout\ = (\led_flash_cnt[1440][0]~q\ & (\led_flash_cnt[1440][1]~q\ $ (VCC))) # (!\led_flash_cnt[1440][0]~q\ & (\led_flash_cnt[1440][1]~q\ & VCC))
-- \led_flash_cnt[1440][1]~47041\ = CARRY((\led_flash_cnt[1440][0]~q\ & \led_flash_cnt[1440][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1440][0]~q\,
	datab => \led_flash_cnt[1440][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1440][1]~47040_combout\,
	cout => \led_flash_cnt[1440][1]~47041\);

-- Location: FF_X26_Y27_N3
\led_flash_cnt[1440][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1440][1]~47040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1440][1]~q\);

-- Location: LCCOMB_X26_Y27_N4
\led_flash_cnt[1440][2]~47042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1440][2]~47042_combout\ = (\led_flash_cnt[1440][2]~q\ & (!\led_flash_cnt[1440][1]~47041\)) # (!\led_flash_cnt[1440][2]~q\ & ((\led_flash_cnt[1440][1]~47041\) # (GND)))
-- \led_flash_cnt[1440][2]~47043\ = CARRY((!\led_flash_cnt[1440][1]~47041\) # (!\led_flash_cnt[1440][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1440][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1440][1]~47041\,
	combout => \led_flash_cnt[1440][2]~47042_combout\,
	cout => \led_flash_cnt[1440][2]~47043\);

-- Location: FF_X26_Y27_N5
\led_flash_cnt[1440][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1440][2]~47042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1440][2]~q\);

-- Location: LCCOMB_X26_Y27_N6
\led_flash_cnt[1440][3]~47044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1440][3]~47044_combout\ = (\led_flash_cnt[1440][3]~q\ & (\led_flash_cnt[1440][2]~47043\ $ (GND))) # (!\led_flash_cnt[1440][3]~q\ & (!\led_flash_cnt[1440][2]~47043\ & VCC))
-- \led_flash_cnt[1440][3]~47045\ = CARRY((\led_flash_cnt[1440][3]~q\ & !\led_flash_cnt[1440][2]~47043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1440][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1440][2]~47043\,
	combout => \led_flash_cnt[1440][3]~47044_combout\,
	cout => \led_flash_cnt[1440][3]~47045\);

-- Location: FF_X26_Y27_N7
\led_flash_cnt[1440][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1440][3]~47044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1440][3]~q\);

-- Location: LCCOMB_X26_Y27_N8
\led_flash_cnt[1440][4]~47046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1440][4]~47046_combout\ = (\led_flash_cnt[1440][4]~q\ & (!\led_flash_cnt[1440][3]~47045\)) # (!\led_flash_cnt[1440][4]~q\ & ((\led_flash_cnt[1440][3]~47045\) # (GND)))
-- \led_flash_cnt[1440][4]~47047\ = CARRY((!\led_flash_cnt[1440][3]~47045\) # (!\led_flash_cnt[1440][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1440][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1440][3]~47045\,
	combout => \led_flash_cnt[1440][4]~47046_combout\,
	cout => \led_flash_cnt[1440][4]~47047\);

-- Location: FF_X26_Y27_N9
\led_flash_cnt[1440][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1440][4]~47046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1440][4]~q\);

-- Location: LCCOMB_X26_Y27_N10
\led_flash_cnt[1440][5]~47048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1440][5]~47048_combout\ = (\led_flash_cnt[1440][5]~q\ & (\led_flash_cnt[1440][4]~47047\ $ (GND))) # (!\led_flash_cnt[1440][5]~q\ & (!\led_flash_cnt[1440][4]~47047\ & VCC))
-- \led_flash_cnt[1440][5]~47049\ = CARRY((\led_flash_cnt[1440][5]~q\ & !\led_flash_cnt[1440][4]~47047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1440][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1440][4]~47047\,
	combout => \led_flash_cnt[1440][5]~47048_combout\,
	cout => \led_flash_cnt[1440][5]~47049\);

-- Location: FF_X26_Y27_N11
\led_flash_cnt[1440][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1440][5]~47048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1440][5]~q\);

-- Location: LCCOMB_X26_Y27_N12
\led_flash_cnt[1440][6]~47050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1440][6]~47050_combout\ = (\led_flash_cnt[1440][6]~q\ & (!\led_flash_cnt[1440][5]~47049\)) # (!\led_flash_cnt[1440][6]~q\ & ((\led_flash_cnt[1440][5]~47049\) # (GND)))
-- \led_flash_cnt[1440][6]~47051\ = CARRY((!\led_flash_cnt[1440][5]~47049\) # (!\led_flash_cnt[1440][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1440][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1440][5]~47049\,
	combout => \led_flash_cnt[1440][6]~47050_combout\,
	cout => \led_flash_cnt[1440][6]~47051\);

-- Location: FF_X26_Y27_N13
\led_flash_cnt[1440][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1440][6]~47050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1440][6]~q\);

-- Location: LCCOMB_X25_Y27_N26
\WideAnd1440~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1440~1_combout\ = (\led_flash_cnt[1440][6]~q\ & \led_flash_cnt[1440][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1440][6]~q\,
	datac => \led_flash_cnt[1440][5]~q\,
	combout => \WideAnd1440~1_combout\);

-- Location: LCCOMB_X26_Y27_N0
\WideAnd1440~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1440~0_combout\ = (\led_flash_cnt[1440][3]~q\ & (\led_flash_cnt[1440][4]~q\ & (\led_flash_cnt[1440][2]~q\ & \led_flash_cnt[1440][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1440][3]~q\,
	datab => \led_flash_cnt[1440][4]~q\,
	datac => \led_flash_cnt[1440][2]~q\,
	datad => \led_flash_cnt[1440][1]~q\,
	combout => \WideAnd1440~0_combout\);

-- Location: LCCOMB_X26_Y27_N14
\led_flash_cnt[1440][7]~47052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1440][7]~47052_combout\ = \led_flash_cnt[1440][7]~q\ $ (!\led_flash_cnt[1440][6]~47051\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1440][7]~q\,
	cin => \led_flash_cnt[1440][6]~47051\,
	combout => \led_flash_cnt[1440][7]~47052_combout\);

-- Location: FF_X26_Y27_N15
\led_flash_cnt[1440][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1440][7]~47052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1440][7]~q\);

-- Location: LCCOMB_X25_Y27_N16
WideAnd1440 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1440~combout\ = (\WideAnd1440~1_combout\ & (\WideAnd1440~0_combout\ & (\led_flash_cnt[1440][7]~q\ & \led_flash_cnt[1440][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1440~1_combout\,
	datab => \WideAnd1440~0_combout\,
	datac => \led_flash_cnt[1440][7]~q\,
	datad => \led_flash_cnt[1440][0]~q\,
	combout => \WideAnd1440~combout\);

-- Location: FF_X25_Y27_N17
\led_flash_cnt_ands[1440]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1440~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1440));

-- Location: LCCOMB_X17_Y20_N10
\led_flash_cnt[1442][0]~82082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1442][0]~82082_combout\ = !\led_flash_cnt[1442][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1442][0]~q\,
	combout => \led_flash_cnt[1442][0]~82082_combout\);

-- Location: FF_X17_Y20_N11
\led_flash_cnt[1442][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1442][0]~82082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1442][0]~q\);

-- Location: LCCOMB_X17_Y20_N14
\led_flash_cnt[1442][1]~47068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1442][1]~47068_combout\ = (\led_flash_cnt[1442][0]~q\ & (\led_flash_cnt[1442][1]~q\ $ (VCC))) # (!\led_flash_cnt[1442][0]~q\ & (\led_flash_cnt[1442][1]~q\ & VCC))
-- \led_flash_cnt[1442][1]~47069\ = CARRY((\led_flash_cnt[1442][0]~q\ & \led_flash_cnt[1442][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1442][0]~q\,
	datab => \led_flash_cnt[1442][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1442][1]~47068_combout\,
	cout => \led_flash_cnt[1442][1]~47069\);

-- Location: FF_X17_Y20_N15
\led_flash_cnt[1442][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1442][1]~47068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1442][1]~q\);

-- Location: LCCOMB_X17_Y20_N16
\led_flash_cnt[1442][2]~47070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1442][2]~47070_combout\ = (\led_flash_cnt[1442][2]~q\ & (!\led_flash_cnt[1442][1]~47069\)) # (!\led_flash_cnt[1442][2]~q\ & ((\led_flash_cnt[1442][1]~47069\) # (GND)))
-- \led_flash_cnt[1442][2]~47071\ = CARRY((!\led_flash_cnt[1442][1]~47069\) # (!\led_flash_cnt[1442][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1442][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1442][1]~47069\,
	combout => \led_flash_cnt[1442][2]~47070_combout\,
	cout => \led_flash_cnt[1442][2]~47071\);

-- Location: FF_X17_Y20_N17
\led_flash_cnt[1442][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1442][2]~47070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1442][2]~q\);

-- Location: LCCOMB_X17_Y20_N18
\led_flash_cnt[1442][3]~47072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1442][3]~47072_combout\ = (\led_flash_cnt[1442][3]~q\ & (\led_flash_cnt[1442][2]~47071\ $ (GND))) # (!\led_flash_cnt[1442][3]~q\ & (!\led_flash_cnt[1442][2]~47071\ & VCC))
-- \led_flash_cnt[1442][3]~47073\ = CARRY((\led_flash_cnt[1442][3]~q\ & !\led_flash_cnt[1442][2]~47071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1442][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1442][2]~47071\,
	combout => \led_flash_cnt[1442][3]~47072_combout\,
	cout => \led_flash_cnt[1442][3]~47073\);

-- Location: FF_X17_Y20_N19
\led_flash_cnt[1442][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1442][3]~47072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1442][3]~q\);

-- Location: LCCOMB_X17_Y20_N20
\led_flash_cnt[1442][4]~47074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1442][4]~47074_combout\ = (\led_flash_cnt[1442][4]~q\ & (!\led_flash_cnt[1442][3]~47073\)) # (!\led_flash_cnt[1442][4]~q\ & ((\led_flash_cnt[1442][3]~47073\) # (GND)))
-- \led_flash_cnt[1442][4]~47075\ = CARRY((!\led_flash_cnt[1442][3]~47073\) # (!\led_flash_cnt[1442][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1442][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1442][3]~47073\,
	combout => \led_flash_cnt[1442][4]~47074_combout\,
	cout => \led_flash_cnt[1442][4]~47075\);

-- Location: FF_X17_Y20_N21
\led_flash_cnt[1442][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1442][4]~47074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1442][4]~q\);

-- Location: LCCOMB_X17_Y20_N22
\led_flash_cnt[1442][5]~47076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1442][5]~47076_combout\ = (\led_flash_cnt[1442][5]~q\ & (\led_flash_cnt[1442][4]~47075\ $ (GND))) # (!\led_flash_cnt[1442][5]~q\ & (!\led_flash_cnt[1442][4]~47075\ & VCC))
-- \led_flash_cnt[1442][5]~47077\ = CARRY((\led_flash_cnt[1442][5]~q\ & !\led_flash_cnt[1442][4]~47075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1442][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1442][4]~47075\,
	combout => \led_flash_cnt[1442][5]~47076_combout\,
	cout => \led_flash_cnt[1442][5]~47077\);

-- Location: FF_X17_Y20_N23
\led_flash_cnt[1442][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1442][5]~47076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1442][5]~q\);

-- Location: LCCOMB_X17_Y20_N24
\led_flash_cnt[1442][6]~47078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1442][6]~47078_combout\ = (\led_flash_cnt[1442][6]~q\ & (!\led_flash_cnt[1442][5]~47077\)) # (!\led_flash_cnt[1442][6]~q\ & ((\led_flash_cnt[1442][5]~47077\) # (GND)))
-- \led_flash_cnt[1442][6]~47079\ = CARRY((!\led_flash_cnt[1442][5]~47077\) # (!\led_flash_cnt[1442][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1442][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1442][5]~47077\,
	combout => \led_flash_cnt[1442][6]~47078_combout\,
	cout => \led_flash_cnt[1442][6]~47079\);

-- Location: FF_X17_Y20_N25
\led_flash_cnt[1442][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1442][6]~47078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1442][6]~q\);

-- Location: LCCOMB_X17_Y20_N6
\WideAnd1442~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1442~1_combout\ = (\led_flash_cnt[1442][5]~q\ & \led_flash_cnt[1442][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1442][5]~q\,
	datad => \led_flash_cnt[1442][6]~q\,
	combout => \WideAnd1442~1_combout\);

-- Location: LCCOMB_X17_Y20_N8
\WideAnd1442~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1442~0_combout\ = (\led_flash_cnt[1442][2]~q\ & (\led_flash_cnt[1442][3]~q\ & (\led_flash_cnt[1442][1]~q\ & \led_flash_cnt[1442][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1442][2]~q\,
	datab => \led_flash_cnt[1442][3]~q\,
	datac => \led_flash_cnt[1442][1]~q\,
	datad => \led_flash_cnt[1442][4]~q\,
	combout => \WideAnd1442~0_combout\);

-- Location: LCCOMB_X17_Y20_N26
\led_flash_cnt[1442][7]~47080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1442][7]~47080_combout\ = \led_flash_cnt[1442][7]~q\ $ (!\led_flash_cnt[1442][6]~47079\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1442][7]~q\,
	cin => \led_flash_cnt[1442][6]~47079\,
	combout => \led_flash_cnt[1442][7]~47080_combout\);

-- Location: FF_X17_Y20_N27
\led_flash_cnt[1442][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1442][7]~47080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1442][7]~q\);

-- Location: LCCOMB_X17_Y20_N4
WideAnd1442 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1442~combout\ = (\WideAnd1442~1_combout\ & (\WideAnd1442~0_combout\ & (\led_flash_cnt[1442][7]~q\ & \led_flash_cnt[1442][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1442~1_combout\,
	datab => \WideAnd1442~0_combout\,
	datac => \led_flash_cnt[1442][7]~q\,
	datad => \led_flash_cnt[1442][0]~q\,
	combout => \WideAnd1442~combout\);

-- Location: FF_X17_Y20_N5
\led_flash_cnt_ands[1442]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1442~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1442));

-- Location: LCCOMB_X25_Y27_N22
\led_flash_cnt[1443][0]~82083\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1443][0]~82083_combout\ = !\led_flash_cnt[1443][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1443][0]~q\,
	combout => \led_flash_cnt[1443][0]~82083_combout\);

-- Location: FF_X25_Y27_N23
\led_flash_cnt[1443][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1443][0]~82083_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1443][0]~q\);

-- Location: LCCOMB_X25_Y27_N0
\led_flash_cnt[1443][1]~47082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1443][1]~47082_combout\ = (\led_flash_cnt[1443][0]~q\ & (\led_flash_cnt[1443][1]~q\ $ (VCC))) # (!\led_flash_cnt[1443][0]~q\ & (\led_flash_cnt[1443][1]~q\ & VCC))
-- \led_flash_cnt[1443][1]~47083\ = CARRY((\led_flash_cnt[1443][0]~q\ & \led_flash_cnt[1443][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1443][0]~q\,
	datab => \led_flash_cnt[1443][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1443][1]~47082_combout\,
	cout => \led_flash_cnt[1443][1]~47083\);

-- Location: FF_X25_Y27_N1
\led_flash_cnt[1443][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1443][1]~47082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1443][1]~q\);

-- Location: LCCOMB_X25_Y27_N2
\led_flash_cnt[1443][2]~47084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1443][2]~47084_combout\ = (\led_flash_cnt[1443][2]~q\ & (!\led_flash_cnt[1443][1]~47083\)) # (!\led_flash_cnt[1443][2]~q\ & ((\led_flash_cnt[1443][1]~47083\) # (GND)))
-- \led_flash_cnt[1443][2]~47085\ = CARRY((!\led_flash_cnt[1443][1]~47083\) # (!\led_flash_cnt[1443][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1443][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1443][1]~47083\,
	combout => \led_flash_cnt[1443][2]~47084_combout\,
	cout => \led_flash_cnt[1443][2]~47085\);

-- Location: FF_X25_Y27_N3
\led_flash_cnt[1443][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1443][2]~47084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1443][2]~q\);

-- Location: LCCOMB_X25_Y27_N4
\led_flash_cnt[1443][3]~47086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1443][3]~47086_combout\ = (\led_flash_cnt[1443][3]~q\ & (\led_flash_cnt[1443][2]~47085\ $ (GND))) # (!\led_flash_cnt[1443][3]~q\ & (!\led_flash_cnt[1443][2]~47085\ & VCC))
-- \led_flash_cnt[1443][3]~47087\ = CARRY((\led_flash_cnt[1443][3]~q\ & !\led_flash_cnt[1443][2]~47085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1443][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1443][2]~47085\,
	combout => \led_flash_cnt[1443][3]~47086_combout\,
	cout => \led_flash_cnt[1443][3]~47087\);

-- Location: FF_X25_Y27_N5
\led_flash_cnt[1443][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1443][3]~47086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1443][3]~q\);

-- Location: LCCOMB_X25_Y27_N6
\led_flash_cnt[1443][4]~47088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1443][4]~47088_combout\ = (\led_flash_cnt[1443][4]~q\ & (!\led_flash_cnt[1443][3]~47087\)) # (!\led_flash_cnt[1443][4]~q\ & ((\led_flash_cnt[1443][3]~47087\) # (GND)))
-- \led_flash_cnt[1443][4]~47089\ = CARRY((!\led_flash_cnt[1443][3]~47087\) # (!\led_flash_cnt[1443][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1443][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1443][3]~47087\,
	combout => \led_flash_cnt[1443][4]~47088_combout\,
	cout => \led_flash_cnt[1443][4]~47089\);

-- Location: FF_X25_Y27_N7
\led_flash_cnt[1443][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1443][4]~47088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1443][4]~q\);

-- Location: LCCOMB_X25_Y27_N30
\WideAnd1443~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1443~0_combout\ = (\led_flash_cnt[1443][4]~q\ & (\led_flash_cnt[1443][1]~q\ & (\led_flash_cnt[1443][3]~q\ & \led_flash_cnt[1443][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1443][4]~q\,
	datab => \led_flash_cnt[1443][1]~q\,
	datac => \led_flash_cnt[1443][3]~q\,
	datad => \led_flash_cnt[1443][2]~q\,
	combout => \WideAnd1443~0_combout\);

-- Location: LCCOMB_X25_Y27_N8
\led_flash_cnt[1443][5]~47090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1443][5]~47090_combout\ = (\led_flash_cnt[1443][5]~q\ & (\led_flash_cnt[1443][4]~47089\ $ (GND))) # (!\led_flash_cnt[1443][5]~q\ & (!\led_flash_cnt[1443][4]~47089\ & VCC))
-- \led_flash_cnt[1443][5]~47091\ = CARRY((\led_flash_cnt[1443][5]~q\ & !\led_flash_cnt[1443][4]~47089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1443][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1443][4]~47089\,
	combout => \led_flash_cnt[1443][5]~47090_combout\,
	cout => \led_flash_cnt[1443][5]~47091\);

-- Location: FF_X25_Y27_N9
\led_flash_cnt[1443][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1443][5]~47090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1443][5]~q\);

-- Location: LCCOMB_X25_Y27_N10
\led_flash_cnt[1443][6]~47092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1443][6]~47092_combout\ = (\led_flash_cnt[1443][6]~q\ & (!\led_flash_cnt[1443][5]~47091\)) # (!\led_flash_cnt[1443][6]~q\ & ((\led_flash_cnt[1443][5]~47091\) # (GND)))
-- \led_flash_cnt[1443][6]~47093\ = CARRY((!\led_flash_cnt[1443][5]~47091\) # (!\led_flash_cnt[1443][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1443][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1443][5]~47091\,
	combout => \led_flash_cnt[1443][6]~47092_combout\,
	cout => \led_flash_cnt[1443][6]~47093\);

-- Location: FF_X25_Y27_N11
\led_flash_cnt[1443][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1443][6]~47092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1443][6]~q\);

-- Location: LCCOMB_X25_Y27_N28
\WideAnd1443~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1443~1_combout\ = (\led_flash_cnt[1443][5]~q\ & \led_flash_cnt[1443][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1443][5]~q\,
	datad => \led_flash_cnt[1443][6]~q\,
	combout => \WideAnd1443~1_combout\);

-- Location: LCCOMB_X25_Y27_N12
\led_flash_cnt[1443][7]~47094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1443][7]~47094_combout\ = \led_flash_cnt[1443][6]~47093\ $ (!\led_flash_cnt[1443][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1443][7]~q\,
	cin => \led_flash_cnt[1443][6]~47093\,
	combout => \led_flash_cnt[1443][7]~47094_combout\);

-- Location: FF_X25_Y27_N13
\led_flash_cnt[1443][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1443][7]~47094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1443][7]~q\);

-- Location: LCCOMB_X25_Y27_N18
WideAnd1443 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1443~combout\ = (\WideAnd1443~0_combout\ & (\WideAnd1443~1_combout\ & (\led_flash_cnt[1443][0]~q\ & \led_flash_cnt[1443][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1443~0_combout\,
	datab => \WideAnd1443~1_combout\,
	datac => \led_flash_cnt[1443][0]~q\,
	datad => \led_flash_cnt[1443][7]~q\,
	combout => \WideAnd1443~combout\);

-- Location: FF_X25_Y27_N19
\led_flash_cnt_ands[1443]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1443~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1443));

-- Location: LCCOMB_X25_Y27_N24
\WideAnd4020~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4020~0_combout\ = (led_flash_cnt_ands(1441) & (led_flash_cnt_ands(1440) & (led_flash_cnt_ands(1442) & led_flash_cnt_ands(1443))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1441),
	datab => led_flash_cnt_ands(1440),
	datac => led_flash_cnt_ands(1442),
	datad => led_flash_cnt_ands(1443),
	combout => \WideAnd4020~0_combout\);

-- Location: LCCOMB_X21_Y30_N30
\led_flash_cnt[1446][0]~82086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1446][0]~82086_combout\ = !\led_flash_cnt[1446][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1446][0]~q\,
	combout => \led_flash_cnt[1446][0]~82086_combout\);

-- Location: FF_X21_Y30_N31
\led_flash_cnt[1446][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1446][0]~82086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1446][0]~q\);

-- Location: LCCOMB_X21_Y30_N10
\led_flash_cnt[1446][1]~47124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1446][1]~47124_combout\ = (\led_flash_cnt[1446][0]~q\ & (\led_flash_cnt[1446][1]~q\ $ (VCC))) # (!\led_flash_cnt[1446][0]~q\ & (\led_flash_cnt[1446][1]~q\ & VCC))
-- \led_flash_cnt[1446][1]~47125\ = CARRY((\led_flash_cnt[1446][0]~q\ & \led_flash_cnt[1446][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1446][0]~q\,
	datab => \led_flash_cnt[1446][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1446][1]~47124_combout\,
	cout => \led_flash_cnt[1446][1]~47125\);

-- Location: FF_X21_Y30_N11
\led_flash_cnt[1446][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1446][1]~47124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1446][1]~q\);

-- Location: LCCOMB_X21_Y30_N12
\led_flash_cnt[1446][2]~47126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1446][2]~47126_combout\ = (\led_flash_cnt[1446][2]~q\ & (!\led_flash_cnt[1446][1]~47125\)) # (!\led_flash_cnt[1446][2]~q\ & ((\led_flash_cnt[1446][1]~47125\) # (GND)))
-- \led_flash_cnt[1446][2]~47127\ = CARRY((!\led_flash_cnt[1446][1]~47125\) # (!\led_flash_cnt[1446][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1446][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1446][1]~47125\,
	combout => \led_flash_cnt[1446][2]~47126_combout\,
	cout => \led_flash_cnt[1446][2]~47127\);

-- Location: FF_X21_Y30_N13
\led_flash_cnt[1446][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1446][2]~47126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1446][2]~q\);

-- Location: LCCOMB_X21_Y30_N14
\led_flash_cnt[1446][3]~47128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1446][3]~47128_combout\ = (\led_flash_cnt[1446][3]~q\ & (\led_flash_cnt[1446][2]~47127\ $ (GND))) # (!\led_flash_cnt[1446][3]~q\ & (!\led_flash_cnt[1446][2]~47127\ & VCC))
-- \led_flash_cnt[1446][3]~47129\ = CARRY((\led_flash_cnt[1446][3]~q\ & !\led_flash_cnt[1446][2]~47127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1446][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1446][2]~47127\,
	combout => \led_flash_cnt[1446][3]~47128_combout\,
	cout => \led_flash_cnt[1446][3]~47129\);

-- Location: FF_X21_Y30_N15
\led_flash_cnt[1446][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1446][3]~47128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1446][3]~q\);

-- Location: LCCOMB_X21_Y30_N16
\led_flash_cnt[1446][4]~47130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1446][4]~47130_combout\ = (\led_flash_cnt[1446][4]~q\ & (!\led_flash_cnt[1446][3]~47129\)) # (!\led_flash_cnt[1446][4]~q\ & ((\led_flash_cnt[1446][3]~47129\) # (GND)))
-- \led_flash_cnt[1446][4]~47131\ = CARRY((!\led_flash_cnt[1446][3]~47129\) # (!\led_flash_cnt[1446][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1446][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1446][3]~47129\,
	combout => \led_flash_cnt[1446][4]~47130_combout\,
	cout => \led_flash_cnt[1446][4]~47131\);

-- Location: FF_X21_Y30_N17
\led_flash_cnt[1446][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1446][4]~47130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1446][4]~q\);

-- Location: LCCOMB_X21_Y30_N18
\led_flash_cnt[1446][5]~47132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1446][5]~47132_combout\ = (\led_flash_cnt[1446][5]~q\ & (\led_flash_cnt[1446][4]~47131\ $ (GND))) # (!\led_flash_cnt[1446][5]~q\ & (!\led_flash_cnt[1446][4]~47131\ & VCC))
-- \led_flash_cnt[1446][5]~47133\ = CARRY((\led_flash_cnt[1446][5]~q\ & !\led_flash_cnt[1446][4]~47131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1446][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1446][4]~47131\,
	combout => \led_flash_cnt[1446][5]~47132_combout\,
	cout => \led_flash_cnt[1446][5]~47133\);

-- Location: FF_X21_Y30_N19
\led_flash_cnt[1446][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1446][5]~47132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1446][5]~q\);

-- Location: LCCOMB_X21_Y30_N20
\led_flash_cnt[1446][6]~47134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1446][6]~47134_combout\ = (\led_flash_cnt[1446][6]~q\ & (!\led_flash_cnt[1446][5]~47133\)) # (!\led_flash_cnt[1446][6]~q\ & ((\led_flash_cnt[1446][5]~47133\) # (GND)))
-- \led_flash_cnt[1446][6]~47135\ = CARRY((!\led_flash_cnt[1446][5]~47133\) # (!\led_flash_cnt[1446][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1446][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1446][5]~47133\,
	combout => \led_flash_cnt[1446][6]~47134_combout\,
	cout => \led_flash_cnt[1446][6]~47135\);

-- Location: FF_X21_Y30_N21
\led_flash_cnt[1446][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1446][6]~47134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1446][6]~q\);

-- Location: LCCOMB_X21_Y30_N22
\led_flash_cnt[1446][7]~47136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1446][7]~47136_combout\ = \led_flash_cnt[1446][7]~q\ $ (!\led_flash_cnt[1446][6]~47135\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1446][7]~q\,
	cin => \led_flash_cnt[1446][6]~47135\,
	combout => \led_flash_cnt[1446][7]~47136_combout\);

-- Location: FF_X21_Y30_N23
\led_flash_cnt[1446][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1446][7]~47136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1446][7]~q\);

-- Location: LCCOMB_X21_Y30_N4
\WideAnd1446~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1446~1_combout\ = (\led_flash_cnt[1446][5]~q\ & \led_flash_cnt[1446][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1446][5]~q\,
	datad => \led_flash_cnt[1446][6]~q\,
	combout => \WideAnd1446~1_combout\);

-- Location: LCCOMB_X21_Y30_N24
\WideAnd1446~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1446~0_combout\ = (\led_flash_cnt[1446][1]~q\ & (\led_flash_cnt[1446][4]~q\ & (\led_flash_cnt[1446][3]~q\ & \led_flash_cnt[1446][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1446][1]~q\,
	datab => \led_flash_cnt[1446][4]~q\,
	datac => \led_flash_cnt[1446][3]~q\,
	datad => \led_flash_cnt[1446][2]~q\,
	combout => \WideAnd1446~0_combout\);

-- Location: LCCOMB_X21_Y30_N28
WideAnd1446 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1446~combout\ = (\led_flash_cnt[1446][7]~q\ & (\WideAnd1446~1_combout\ & (\led_flash_cnt[1446][0]~q\ & \WideAnd1446~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1446][7]~q\,
	datab => \WideAnd1446~1_combout\,
	datac => \led_flash_cnt[1446][0]~q\,
	datad => \WideAnd1446~0_combout\,
	combout => \WideAnd1446~combout\);

-- Location: FF_X21_Y30_N29
\led_flash_cnt_ands[1446]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1446~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1446));

-- Location: LCCOMB_X11_Y11_N12
\led_flash_cnt[1445][0]~82085\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1445][0]~82085_combout\ = !\led_flash_cnt[1445][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1445][0]~q\,
	combout => \led_flash_cnt[1445][0]~82085_combout\);

-- Location: FF_X11_Y11_N13
\led_flash_cnt[1445][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1445][0]~82085_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1445][0]~q\);

-- Location: LCCOMB_X11_Y11_N16
\led_flash_cnt[1445][1]~47110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1445][1]~47110_combout\ = (\led_flash_cnt[1445][0]~q\ & (\led_flash_cnt[1445][1]~q\ $ (VCC))) # (!\led_flash_cnt[1445][0]~q\ & (\led_flash_cnt[1445][1]~q\ & VCC))
-- \led_flash_cnt[1445][1]~47111\ = CARRY((\led_flash_cnt[1445][0]~q\ & \led_flash_cnt[1445][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1445][0]~q\,
	datab => \led_flash_cnt[1445][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1445][1]~47110_combout\,
	cout => \led_flash_cnt[1445][1]~47111\);

-- Location: FF_X11_Y11_N17
\led_flash_cnt[1445][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1445][1]~47110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1445][1]~q\);

-- Location: LCCOMB_X11_Y11_N18
\led_flash_cnt[1445][2]~47112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1445][2]~47112_combout\ = (\led_flash_cnt[1445][2]~q\ & (!\led_flash_cnt[1445][1]~47111\)) # (!\led_flash_cnt[1445][2]~q\ & ((\led_flash_cnt[1445][1]~47111\) # (GND)))
-- \led_flash_cnt[1445][2]~47113\ = CARRY((!\led_flash_cnt[1445][1]~47111\) # (!\led_flash_cnt[1445][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1445][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1445][1]~47111\,
	combout => \led_flash_cnt[1445][2]~47112_combout\,
	cout => \led_flash_cnt[1445][2]~47113\);

-- Location: FF_X11_Y11_N19
\led_flash_cnt[1445][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1445][2]~47112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1445][2]~q\);

-- Location: LCCOMB_X11_Y11_N20
\led_flash_cnt[1445][3]~47114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1445][3]~47114_combout\ = (\led_flash_cnt[1445][3]~q\ & (\led_flash_cnt[1445][2]~47113\ $ (GND))) # (!\led_flash_cnt[1445][3]~q\ & (!\led_flash_cnt[1445][2]~47113\ & VCC))
-- \led_flash_cnt[1445][3]~47115\ = CARRY((\led_flash_cnt[1445][3]~q\ & !\led_flash_cnt[1445][2]~47113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1445][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1445][2]~47113\,
	combout => \led_flash_cnt[1445][3]~47114_combout\,
	cout => \led_flash_cnt[1445][3]~47115\);

-- Location: FF_X11_Y11_N21
\led_flash_cnt[1445][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1445][3]~47114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1445][3]~q\);

-- Location: LCCOMB_X11_Y11_N22
\led_flash_cnt[1445][4]~47116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1445][4]~47116_combout\ = (\led_flash_cnt[1445][4]~q\ & (!\led_flash_cnt[1445][3]~47115\)) # (!\led_flash_cnt[1445][4]~q\ & ((\led_flash_cnt[1445][3]~47115\) # (GND)))
-- \led_flash_cnt[1445][4]~47117\ = CARRY((!\led_flash_cnt[1445][3]~47115\) # (!\led_flash_cnt[1445][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1445][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1445][3]~47115\,
	combout => \led_flash_cnt[1445][4]~47116_combout\,
	cout => \led_flash_cnt[1445][4]~47117\);

-- Location: FF_X11_Y11_N23
\led_flash_cnt[1445][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1445][4]~47116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1445][4]~q\);

-- Location: LCCOMB_X11_Y11_N24
\led_flash_cnt[1445][5]~47118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1445][5]~47118_combout\ = (\led_flash_cnt[1445][5]~q\ & (\led_flash_cnt[1445][4]~47117\ $ (GND))) # (!\led_flash_cnt[1445][5]~q\ & (!\led_flash_cnt[1445][4]~47117\ & VCC))
-- \led_flash_cnt[1445][5]~47119\ = CARRY((\led_flash_cnt[1445][5]~q\ & !\led_flash_cnt[1445][4]~47117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1445][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1445][4]~47117\,
	combout => \led_flash_cnt[1445][5]~47118_combout\,
	cout => \led_flash_cnt[1445][5]~47119\);

-- Location: FF_X11_Y11_N25
\led_flash_cnt[1445][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1445][5]~47118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1445][5]~q\);

-- Location: LCCOMB_X11_Y11_N26
\led_flash_cnt[1445][6]~47120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1445][6]~47120_combout\ = (\led_flash_cnt[1445][6]~q\ & (!\led_flash_cnt[1445][5]~47119\)) # (!\led_flash_cnt[1445][6]~q\ & ((\led_flash_cnt[1445][5]~47119\) # (GND)))
-- \led_flash_cnt[1445][6]~47121\ = CARRY((!\led_flash_cnt[1445][5]~47119\) # (!\led_flash_cnt[1445][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1445][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1445][5]~47119\,
	combout => \led_flash_cnt[1445][6]~47120_combout\,
	cout => \led_flash_cnt[1445][6]~47121\);

-- Location: FF_X11_Y11_N27
\led_flash_cnt[1445][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1445][6]~47120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1445][6]~q\);

-- Location: LCCOMB_X11_Y11_N28
\led_flash_cnt[1445][7]~47122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1445][7]~47122_combout\ = \led_flash_cnt[1445][6]~47121\ $ (!\led_flash_cnt[1445][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1445][7]~q\,
	cin => \led_flash_cnt[1445][6]~47121\,
	combout => \led_flash_cnt[1445][7]~47122_combout\);

-- Location: FF_X11_Y11_N29
\led_flash_cnt[1445][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1445][7]~47122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1445][7]~q\);

-- Location: LCCOMB_X11_Y11_N14
\WideAnd1445~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1445~1_combout\ = (\led_flash_cnt[1445][6]~q\ & \led_flash_cnt[1445][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1445][6]~q\,
	datad => \led_flash_cnt[1445][5]~q\,
	combout => \WideAnd1445~1_combout\);

-- Location: LCCOMB_X11_Y11_N0
\WideAnd1445~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1445~0_combout\ = (\led_flash_cnt[1445][2]~q\ & (\led_flash_cnt[1445][3]~q\ & (\led_flash_cnt[1445][4]~q\ & \led_flash_cnt[1445][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1445][2]~q\,
	datab => \led_flash_cnt[1445][3]~q\,
	datac => \led_flash_cnt[1445][4]~q\,
	datad => \led_flash_cnt[1445][1]~q\,
	combout => \WideAnd1445~0_combout\);

-- Location: LCCOMB_X11_Y11_N10
WideAnd1445 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1445~combout\ = (\led_flash_cnt[1445][0]~q\ & (\led_flash_cnt[1445][7]~q\ & (\WideAnd1445~1_combout\ & \WideAnd1445~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1445][0]~q\,
	datab => \led_flash_cnt[1445][7]~q\,
	datac => \WideAnd1445~1_combout\,
	datad => \WideAnd1445~0_combout\,
	combout => \WideAnd1445~combout\);

-- Location: FF_X11_Y11_N11
\led_flash_cnt_ands[1445]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1445~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1445));

-- Location: LCCOMB_X31_Y14_N30
\led_flash_cnt[1444][0]~82084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1444][0]~82084_combout\ = !\led_flash_cnt[1444][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1444][0]~q\,
	combout => \led_flash_cnt[1444][0]~82084_combout\);

-- Location: FF_X31_Y14_N31
\led_flash_cnt[1444][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1444][0]~82084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1444][0]~q\);

-- Location: LCCOMB_X31_Y14_N2
\led_flash_cnt[1444][1]~47096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1444][1]~47096_combout\ = (\led_flash_cnt[1444][0]~q\ & (\led_flash_cnt[1444][1]~q\ $ (VCC))) # (!\led_flash_cnt[1444][0]~q\ & (\led_flash_cnt[1444][1]~q\ & VCC))
-- \led_flash_cnt[1444][1]~47097\ = CARRY((\led_flash_cnt[1444][0]~q\ & \led_flash_cnt[1444][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1444][0]~q\,
	datab => \led_flash_cnt[1444][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1444][1]~47096_combout\,
	cout => \led_flash_cnt[1444][1]~47097\);

-- Location: FF_X31_Y14_N3
\led_flash_cnt[1444][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1444][1]~47096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1444][1]~q\);

-- Location: LCCOMB_X31_Y14_N4
\led_flash_cnt[1444][2]~47098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1444][2]~47098_combout\ = (\led_flash_cnt[1444][2]~q\ & (!\led_flash_cnt[1444][1]~47097\)) # (!\led_flash_cnt[1444][2]~q\ & ((\led_flash_cnt[1444][1]~47097\) # (GND)))
-- \led_flash_cnt[1444][2]~47099\ = CARRY((!\led_flash_cnt[1444][1]~47097\) # (!\led_flash_cnt[1444][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1444][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1444][1]~47097\,
	combout => \led_flash_cnt[1444][2]~47098_combout\,
	cout => \led_flash_cnt[1444][2]~47099\);

-- Location: FF_X31_Y14_N5
\led_flash_cnt[1444][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1444][2]~47098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1444][2]~q\);

-- Location: LCCOMB_X31_Y14_N6
\led_flash_cnt[1444][3]~47100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1444][3]~47100_combout\ = (\led_flash_cnt[1444][3]~q\ & (\led_flash_cnt[1444][2]~47099\ $ (GND))) # (!\led_flash_cnt[1444][3]~q\ & (!\led_flash_cnt[1444][2]~47099\ & VCC))
-- \led_flash_cnt[1444][3]~47101\ = CARRY((\led_flash_cnt[1444][3]~q\ & !\led_flash_cnt[1444][2]~47099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1444][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1444][2]~47099\,
	combout => \led_flash_cnt[1444][3]~47100_combout\,
	cout => \led_flash_cnt[1444][3]~47101\);

-- Location: FF_X31_Y14_N7
\led_flash_cnt[1444][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1444][3]~47100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1444][3]~q\);

-- Location: LCCOMB_X31_Y14_N8
\led_flash_cnt[1444][4]~47102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1444][4]~47102_combout\ = (\led_flash_cnt[1444][4]~q\ & (!\led_flash_cnt[1444][3]~47101\)) # (!\led_flash_cnt[1444][4]~q\ & ((\led_flash_cnt[1444][3]~47101\) # (GND)))
-- \led_flash_cnt[1444][4]~47103\ = CARRY((!\led_flash_cnt[1444][3]~47101\) # (!\led_flash_cnt[1444][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1444][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1444][3]~47101\,
	combout => \led_flash_cnt[1444][4]~47102_combout\,
	cout => \led_flash_cnt[1444][4]~47103\);

-- Location: FF_X31_Y14_N9
\led_flash_cnt[1444][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1444][4]~47102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1444][4]~q\);

-- Location: LCCOMB_X31_Y14_N10
\led_flash_cnt[1444][5]~47104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1444][5]~47104_combout\ = (\led_flash_cnt[1444][5]~q\ & (\led_flash_cnt[1444][4]~47103\ $ (GND))) # (!\led_flash_cnt[1444][5]~q\ & (!\led_flash_cnt[1444][4]~47103\ & VCC))
-- \led_flash_cnt[1444][5]~47105\ = CARRY((\led_flash_cnt[1444][5]~q\ & !\led_flash_cnt[1444][4]~47103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1444][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1444][4]~47103\,
	combout => \led_flash_cnt[1444][5]~47104_combout\,
	cout => \led_flash_cnt[1444][5]~47105\);

-- Location: FF_X31_Y14_N11
\led_flash_cnt[1444][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1444][5]~47104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1444][5]~q\);

-- Location: LCCOMB_X31_Y14_N12
\led_flash_cnt[1444][6]~47106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1444][6]~47106_combout\ = (\led_flash_cnt[1444][6]~q\ & (!\led_flash_cnt[1444][5]~47105\)) # (!\led_flash_cnt[1444][6]~q\ & ((\led_flash_cnt[1444][5]~47105\) # (GND)))
-- \led_flash_cnt[1444][6]~47107\ = CARRY((!\led_flash_cnt[1444][5]~47105\) # (!\led_flash_cnt[1444][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1444][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1444][5]~47105\,
	combout => \led_flash_cnt[1444][6]~47106_combout\,
	cout => \led_flash_cnt[1444][6]~47107\);

-- Location: FF_X31_Y14_N13
\led_flash_cnt[1444][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1444][6]~47106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1444][6]~q\);

-- Location: LCCOMB_X31_Y14_N22
\WideAnd1444~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1444~1_combout\ = (\led_flash_cnt[1444][5]~q\ & \led_flash_cnt[1444][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1444][5]~q\,
	datad => \led_flash_cnt[1444][6]~q\,
	combout => \WideAnd1444~1_combout\);

-- Location: LCCOMB_X31_Y14_N14
\led_flash_cnt[1444][7]~47108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1444][7]~47108_combout\ = \led_flash_cnt[1444][7]~q\ $ (!\led_flash_cnt[1444][6]~47107\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1444][7]~q\,
	cin => \led_flash_cnt[1444][6]~47107\,
	combout => \led_flash_cnt[1444][7]~47108_combout\);

-- Location: FF_X31_Y14_N15
\led_flash_cnt[1444][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1444][7]~47108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1444][7]~q\);

-- Location: LCCOMB_X31_Y14_N24
\WideAnd1444~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1444~0_combout\ = (\led_flash_cnt[1444][3]~q\ & (\led_flash_cnt[1444][4]~q\ & (\led_flash_cnt[1444][2]~q\ & \led_flash_cnt[1444][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1444][3]~q\,
	datab => \led_flash_cnt[1444][4]~q\,
	datac => \led_flash_cnt[1444][2]~q\,
	datad => \led_flash_cnt[1444][1]~q\,
	combout => \WideAnd1444~0_combout\);

-- Location: LCCOMB_X31_Y14_N18
WideAnd1444 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1444~combout\ = (\WideAnd1444~1_combout\ & (\led_flash_cnt[1444][7]~q\ & (\led_flash_cnt[1444][0]~q\ & \WideAnd1444~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1444~1_combout\,
	datab => \led_flash_cnt[1444][7]~q\,
	datac => \led_flash_cnt[1444][0]~q\,
	datad => \WideAnd1444~0_combout\,
	combout => \WideAnd1444~combout\);

-- Location: FF_X31_Y14_N19
\led_flash_cnt_ands[1444]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1444~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1444));

-- Location: LCCOMB_X20_Y11_N22
\WideAnd4020~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4020~1_combout\ = (led_flash_cnt_ands(1445) & led_flash_cnt_ands(1444))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1445),
	datad => led_flash_cnt_ands(1444),
	combout => \WideAnd4020~1_combout\);

-- Location: LCCOMB_X21_Y30_N8
\led_flash_cnt[1447][0]~82087\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1447][0]~82087_combout\ = !\led_flash_cnt[1447][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1447][0]~q\,
	combout => \led_flash_cnt[1447][0]~82087_combout\);

-- Location: FF_X21_Y30_N9
\led_flash_cnt[1447][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1447][0]~82087_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1447][0]~q\);

-- Location: LCCOMB_X24_Y34_N4
\led_flash_cnt[1447][1]~47138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1447][1]~47138_combout\ = (\led_flash_cnt[1447][0]~q\ & (\led_flash_cnt[1447][1]~q\ $ (VCC))) # (!\led_flash_cnt[1447][0]~q\ & (\led_flash_cnt[1447][1]~q\ & VCC))
-- \led_flash_cnt[1447][1]~47139\ = CARRY((\led_flash_cnt[1447][0]~q\ & \led_flash_cnt[1447][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1447][0]~q\,
	datab => \led_flash_cnt[1447][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1447][1]~47138_combout\,
	cout => \led_flash_cnt[1447][1]~47139\);

-- Location: FF_X24_Y34_N5
\led_flash_cnt[1447][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1447][1]~47138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1447][1]~q\);

-- Location: LCCOMB_X24_Y34_N6
\led_flash_cnt[1447][2]~47140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1447][2]~47140_combout\ = (\led_flash_cnt[1447][2]~q\ & (!\led_flash_cnt[1447][1]~47139\)) # (!\led_flash_cnt[1447][2]~q\ & ((\led_flash_cnt[1447][1]~47139\) # (GND)))
-- \led_flash_cnt[1447][2]~47141\ = CARRY((!\led_flash_cnt[1447][1]~47139\) # (!\led_flash_cnt[1447][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1447][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1447][1]~47139\,
	combout => \led_flash_cnt[1447][2]~47140_combout\,
	cout => \led_flash_cnt[1447][2]~47141\);

-- Location: FF_X24_Y34_N7
\led_flash_cnt[1447][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1447][2]~47140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1447][2]~q\);

-- Location: LCCOMB_X24_Y34_N8
\led_flash_cnt[1447][3]~47142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1447][3]~47142_combout\ = (\led_flash_cnt[1447][3]~q\ & (\led_flash_cnt[1447][2]~47141\ $ (GND))) # (!\led_flash_cnt[1447][3]~q\ & (!\led_flash_cnt[1447][2]~47141\ & VCC))
-- \led_flash_cnt[1447][3]~47143\ = CARRY((\led_flash_cnt[1447][3]~q\ & !\led_flash_cnt[1447][2]~47141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1447][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1447][2]~47141\,
	combout => \led_flash_cnt[1447][3]~47142_combout\,
	cout => \led_flash_cnt[1447][3]~47143\);

-- Location: FF_X24_Y34_N9
\led_flash_cnt[1447][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1447][3]~47142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1447][3]~q\);

-- Location: LCCOMB_X24_Y34_N10
\led_flash_cnt[1447][4]~47144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1447][4]~47144_combout\ = (\led_flash_cnt[1447][4]~q\ & (!\led_flash_cnt[1447][3]~47143\)) # (!\led_flash_cnt[1447][4]~q\ & ((\led_flash_cnt[1447][3]~47143\) # (GND)))
-- \led_flash_cnt[1447][4]~47145\ = CARRY((!\led_flash_cnt[1447][3]~47143\) # (!\led_flash_cnt[1447][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1447][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1447][3]~47143\,
	combout => \led_flash_cnt[1447][4]~47144_combout\,
	cout => \led_flash_cnt[1447][4]~47145\);

-- Location: FF_X24_Y34_N11
\led_flash_cnt[1447][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1447][4]~47144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1447][4]~q\);

-- Location: LCCOMB_X24_Y34_N12
\led_flash_cnt[1447][5]~47146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1447][5]~47146_combout\ = (\led_flash_cnt[1447][5]~q\ & (\led_flash_cnt[1447][4]~47145\ $ (GND))) # (!\led_flash_cnt[1447][5]~q\ & (!\led_flash_cnt[1447][4]~47145\ & VCC))
-- \led_flash_cnt[1447][5]~47147\ = CARRY((\led_flash_cnt[1447][5]~q\ & !\led_flash_cnt[1447][4]~47145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1447][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1447][4]~47145\,
	combout => \led_flash_cnt[1447][5]~47146_combout\,
	cout => \led_flash_cnt[1447][5]~47147\);

-- Location: FF_X24_Y34_N13
\led_flash_cnt[1447][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1447][5]~47146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1447][5]~q\);

-- Location: LCCOMB_X24_Y34_N14
\led_flash_cnt[1447][6]~47148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1447][6]~47148_combout\ = (\led_flash_cnt[1447][6]~q\ & (!\led_flash_cnt[1447][5]~47147\)) # (!\led_flash_cnt[1447][6]~q\ & ((\led_flash_cnt[1447][5]~47147\) # (GND)))
-- \led_flash_cnt[1447][6]~47149\ = CARRY((!\led_flash_cnt[1447][5]~47147\) # (!\led_flash_cnt[1447][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1447][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1447][5]~47147\,
	combout => \led_flash_cnt[1447][6]~47148_combout\,
	cout => \led_flash_cnt[1447][6]~47149\);

-- Location: FF_X24_Y34_N15
\led_flash_cnt[1447][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1447][6]~47148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1447][6]~q\);

-- Location: LCCOMB_X21_Y30_N6
\WideAnd1447~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1447~1_combout\ = (\led_flash_cnt[1447][5]~q\ & \led_flash_cnt[1447][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1447][5]~q\,
	datad => \led_flash_cnt[1447][6]~q\,
	combout => \WideAnd1447~1_combout\);

-- Location: LCCOMB_X24_Y34_N16
\led_flash_cnt[1447][7]~47150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1447][7]~47150_combout\ = \led_flash_cnt[1447][6]~47149\ $ (!\led_flash_cnt[1447][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1447][7]~q\,
	cin => \led_flash_cnt[1447][6]~47149\,
	combout => \led_flash_cnt[1447][7]~47150_combout\);

-- Location: FF_X24_Y34_N17
\led_flash_cnt[1447][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1447][7]~47150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1447][7]~q\);

-- Location: LCCOMB_X24_Y34_N2
\WideAnd1447~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1447~0_combout\ = (\led_flash_cnt[1447][4]~q\ & (\led_flash_cnt[1447][1]~q\ & (\led_flash_cnt[1447][3]~q\ & \led_flash_cnt[1447][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1447][4]~q\,
	datab => \led_flash_cnt[1447][1]~q\,
	datac => \led_flash_cnt[1447][3]~q\,
	datad => \led_flash_cnt[1447][2]~q\,
	combout => \WideAnd1447~0_combout\);

-- Location: LCCOMB_X21_Y30_N2
WideAnd1447 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1447~combout\ = (\WideAnd1447~1_combout\ & (\led_flash_cnt[1447][7]~q\ & (\led_flash_cnt[1447][0]~q\ & \WideAnd1447~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1447~1_combout\,
	datab => \led_flash_cnt[1447][7]~q\,
	datac => \led_flash_cnt[1447][0]~q\,
	datad => \WideAnd1447~0_combout\,
	combout => \WideAnd1447~combout\);

-- Location: FF_X21_Y30_N3
\led_flash_cnt_ands[1447]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1447~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1447));

-- Location: LCCOMB_X21_Y30_N26
WideAnd4020 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4020~combout\ = (\WideAnd4020~0_combout\ & (led_flash_cnt_ands(1446) & (\WideAnd4020~1_combout\ & led_flash_cnt_ands(1447))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4020~0_combout\,
	datab => led_flash_cnt_ands(1446),
	datac => \WideAnd4020~1_combout\,
	datad => led_flash_cnt_ands(1447),
	combout => \WideAnd4020~combout\);

-- Location: FF_X21_Y30_N27
\led_flash_cnt_ands_1[180]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4020~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(180));

-- Location: LCCOMB_X21_Y5_N0
\led_flash_cnt[1455][0]~82095\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1455][0]~82095_combout\ = !\led_flash_cnt[1455][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1455][0]~q\,
	combout => \led_flash_cnt[1455][0]~82095_combout\);

-- Location: FF_X21_Y5_N1
\led_flash_cnt[1455][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1455][0]~82095_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1455][0]~q\);

-- Location: LCCOMB_X22_Y5_N0
\led_flash_cnt[1455][1]~47250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1455][1]~47250_combout\ = (\led_flash_cnt[1455][0]~q\ & (\led_flash_cnt[1455][1]~q\ $ (VCC))) # (!\led_flash_cnt[1455][0]~q\ & (\led_flash_cnt[1455][1]~q\ & VCC))
-- \led_flash_cnt[1455][1]~47251\ = CARRY((\led_flash_cnt[1455][0]~q\ & \led_flash_cnt[1455][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1455][0]~q\,
	datab => \led_flash_cnt[1455][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1455][1]~47250_combout\,
	cout => \led_flash_cnt[1455][1]~47251\);

-- Location: FF_X22_Y5_N1
\led_flash_cnt[1455][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1455][1]~47250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1455][1]~q\);

-- Location: LCCOMB_X22_Y5_N2
\led_flash_cnt[1455][2]~47252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1455][2]~47252_combout\ = (\led_flash_cnt[1455][2]~q\ & (!\led_flash_cnt[1455][1]~47251\)) # (!\led_flash_cnt[1455][2]~q\ & ((\led_flash_cnt[1455][1]~47251\) # (GND)))
-- \led_flash_cnt[1455][2]~47253\ = CARRY((!\led_flash_cnt[1455][1]~47251\) # (!\led_flash_cnt[1455][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1455][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1455][1]~47251\,
	combout => \led_flash_cnt[1455][2]~47252_combout\,
	cout => \led_flash_cnt[1455][2]~47253\);

-- Location: FF_X22_Y5_N3
\led_flash_cnt[1455][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1455][2]~47252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1455][2]~q\);

-- Location: LCCOMB_X22_Y5_N4
\led_flash_cnt[1455][3]~47254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1455][3]~47254_combout\ = (\led_flash_cnt[1455][3]~q\ & (\led_flash_cnt[1455][2]~47253\ $ (GND))) # (!\led_flash_cnt[1455][3]~q\ & (!\led_flash_cnt[1455][2]~47253\ & VCC))
-- \led_flash_cnt[1455][3]~47255\ = CARRY((\led_flash_cnt[1455][3]~q\ & !\led_flash_cnt[1455][2]~47253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1455][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1455][2]~47253\,
	combout => \led_flash_cnt[1455][3]~47254_combout\,
	cout => \led_flash_cnt[1455][3]~47255\);

-- Location: FF_X22_Y5_N5
\led_flash_cnt[1455][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1455][3]~47254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1455][3]~q\);

-- Location: LCCOMB_X22_Y5_N6
\led_flash_cnt[1455][4]~47256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1455][4]~47256_combout\ = (\led_flash_cnt[1455][4]~q\ & (!\led_flash_cnt[1455][3]~47255\)) # (!\led_flash_cnt[1455][4]~q\ & ((\led_flash_cnt[1455][3]~47255\) # (GND)))
-- \led_flash_cnt[1455][4]~47257\ = CARRY((!\led_flash_cnt[1455][3]~47255\) # (!\led_flash_cnt[1455][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1455][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1455][3]~47255\,
	combout => \led_flash_cnt[1455][4]~47256_combout\,
	cout => \led_flash_cnt[1455][4]~47257\);

-- Location: FF_X22_Y5_N7
\led_flash_cnt[1455][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1455][4]~47256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1455][4]~q\);

-- Location: LCCOMB_X22_Y5_N8
\led_flash_cnt[1455][5]~47258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1455][5]~47258_combout\ = (\led_flash_cnt[1455][5]~q\ & (\led_flash_cnt[1455][4]~47257\ $ (GND))) # (!\led_flash_cnt[1455][5]~q\ & (!\led_flash_cnt[1455][4]~47257\ & VCC))
-- \led_flash_cnt[1455][5]~47259\ = CARRY((\led_flash_cnt[1455][5]~q\ & !\led_flash_cnt[1455][4]~47257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1455][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1455][4]~47257\,
	combout => \led_flash_cnt[1455][5]~47258_combout\,
	cout => \led_flash_cnt[1455][5]~47259\);

-- Location: FF_X22_Y5_N9
\led_flash_cnt[1455][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1455][5]~47258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1455][5]~q\);

-- Location: LCCOMB_X22_Y5_N10
\led_flash_cnt[1455][6]~47260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1455][6]~47260_combout\ = (\led_flash_cnt[1455][6]~q\ & (!\led_flash_cnt[1455][5]~47259\)) # (!\led_flash_cnt[1455][6]~q\ & ((\led_flash_cnt[1455][5]~47259\) # (GND)))
-- \led_flash_cnt[1455][6]~47261\ = CARRY((!\led_flash_cnt[1455][5]~47259\) # (!\led_flash_cnt[1455][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1455][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1455][5]~47259\,
	combout => \led_flash_cnt[1455][6]~47260_combout\,
	cout => \led_flash_cnt[1455][6]~47261\);

-- Location: FF_X22_Y5_N11
\led_flash_cnt[1455][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1455][6]~47260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1455][6]~q\);

-- Location: LCCOMB_X22_Y5_N12
\led_flash_cnt[1455][7]~47262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1455][7]~47262_combout\ = \led_flash_cnt[1455][6]~47261\ $ (!\led_flash_cnt[1455][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1455][7]~q\,
	cin => \led_flash_cnt[1455][6]~47261\,
	combout => \led_flash_cnt[1455][7]~47262_combout\);

-- Location: FF_X22_Y5_N13
\led_flash_cnt[1455][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1455][7]~47262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1455][7]~q\);

-- Location: LCCOMB_X21_Y5_N4
\WideAnd1455~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1455~1_combout\ = (\led_flash_cnt[1455][6]~q\ & \led_flash_cnt[1455][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1455][6]~q\,
	datac => \led_flash_cnt[1455][5]~q\,
	combout => \WideAnd1455~1_combout\);

-- Location: LCCOMB_X22_Y5_N28
\WideAnd1455~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1455~0_combout\ = (\led_flash_cnt[1455][4]~q\ & (\led_flash_cnt[1455][1]~q\ & (\led_flash_cnt[1455][3]~q\ & \led_flash_cnt[1455][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1455][4]~q\,
	datab => \led_flash_cnt[1455][1]~q\,
	datac => \led_flash_cnt[1455][3]~q\,
	datad => \led_flash_cnt[1455][2]~q\,
	combout => \WideAnd1455~0_combout\);

-- Location: LCCOMB_X21_Y5_N6
WideAnd1455 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1455~combout\ = (\led_flash_cnt[1455][7]~q\ & (\led_flash_cnt[1455][0]~q\ & (\WideAnd1455~1_combout\ & \WideAnd1455~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1455][7]~q\,
	datab => \led_flash_cnt[1455][0]~q\,
	datac => \WideAnd1455~1_combout\,
	datad => \WideAnd1455~0_combout\,
	combout => \WideAnd1455~combout\);

-- Location: FF_X21_Y5_N7
\led_flash_cnt_ands[1455]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1455~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1455));

-- Location: LCCOMB_X41_Y2_N2
\led_flash_cnt[1453][0]~82093\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1453][0]~82093_combout\ = !\led_flash_cnt[1453][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1453][0]~q\,
	combout => \led_flash_cnt[1453][0]~82093_combout\);

-- Location: FF_X41_Y2_N3
\led_flash_cnt[1453][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1453][0]~82093_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1453][0]~q\);

-- Location: LCCOMB_X40_Y2_N2
\led_flash_cnt[1453][1]~47222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1453][1]~47222_combout\ = (\led_flash_cnt[1453][0]~q\ & (\led_flash_cnt[1453][1]~q\ $ (VCC))) # (!\led_flash_cnt[1453][0]~q\ & (\led_flash_cnt[1453][1]~q\ & VCC))
-- \led_flash_cnt[1453][1]~47223\ = CARRY((\led_flash_cnt[1453][0]~q\ & \led_flash_cnt[1453][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1453][0]~q\,
	datab => \led_flash_cnt[1453][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1453][1]~47222_combout\,
	cout => \led_flash_cnt[1453][1]~47223\);

-- Location: FF_X40_Y2_N3
\led_flash_cnt[1453][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1453][1]~47222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1453][1]~q\);

-- Location: LCCOMB_X40_Y2_N4
\led_flash_cnt[1453][2]~47224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1453][2]~47224_combout\ = (\led_flash_cnt[1453][2]~q\ & (!\led_flash_cnt[1453][1]~47223\)) # (!\led_flash_cnt[1453][2]~q\ & ((\led_flash_cnt[1453][1]~47223\) # (GND)))
-- \led_flash_cnt[1453][2]~47225\ = CARRY((!\led_flash_cnt[1453][1]~47223\) # (!\led_flash_cnt[1453][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1453][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1453][1]~47223\,
	combout => \led_flash_cnt[1453][2]~47224_combout\,
	cout => \led_flash_cnt[1453][2]~47225\);

-- Location: FF_X40_Y2_N5
\led_flash_cnt[1453][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1453][2]~47224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1453][2]~q\);

-- Location: LCCOMB_X40_Y2_N6
\led_flash_cnt[1453][3]~47226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1453][3]~47226_combout\ = (\led_flash_cnt[1453][3]~q\ & (\led_flash_cnt[1453][2]~47225\ $ (GND))) # (!\led_flash_cnt[1453][3]~q\ & (!\led_flash_cnt[1453][2]~47225\ & VCC))
-- \led_flash_cnt[1453][3]~47227\ = CARRY((\led_flash_cnt[1453][3]~q\ & !\led_flash_cnt[1453][2]~47225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1453][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1453][2]~47225\,
	combout => \led_flash_cnt[1453][3]~47226_combout\,
	cout => \led_flash_cnt[1453][3]~47227\);

-- Location: FF_X40_Y2_N7
\led_flash_cnt[1453][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1453][3]~47226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1453][3]~q\);

-- Location: LCCOMB_X40_Y2_N8
\led_flash_cnt[1453][4]~47228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1453][4]~47228_combout\ = (\led_flash_cnt[1453][4]~q\ & (!\led_flash_cnt[1453][3]~47227\)) # (!\led_flash_cnt[1453][4]~q\ & ((\led_flash_cnt[1453][3]~47227\) # (GND)))
-- \led_flash_cnt[1453][4]~47229\ = CARRY((!\led_flash_cnt[1453][3]~47227\) # (!\led_flash_cnt[1453][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1453][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1453][3]~47227\,
	combout => \led_flash_cnt[1453][4]~47228_combout\,
	cout => \led_flash_cnt[1453][4]~47229\);

-- Location: FF_X40_Y2_N9
\led_flash_cnt[1453][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1453][4]~47228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1453][4]~q\);

-- Location: LCCOMB_X40_Y2_N10
\led_flash_cnt[1453][5]~47230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1453][5]~47230_combout\ = (\led_flash_cnt[1453][5]~q\ & (\led_flash_cnt[1453][4]~47229\ $ (GND))) # (!\led_flash_cnt[1453][5]~q\ & (!\led_flash_cnt[1453][4]~47229\ & VCC))
-- \led_flash_cnt[1453][5]~47231\ = CARRY((\led_flash_cnt[1453][5]~q\ & !\led_flash_cnt[1453][4]~47229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1453][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1453][4]~47229\,
	combout => \led_flash_cnt[1453][5]~47230_combout\,
	cout => \led_flash_cnt[1453][5]~47231\);

-- Location: FF_X40_Y2_N11
\led_flash_cnt[1453][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1453][5]~47230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1453][5]~q\);

-- Location: LCCOMB_X40_Y2_N12
\led_flash_cnt[1453][6]~47232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1453][6]~47232_combout\ = (\led_flash_cnt[1453][6]~q\ & (!\led_flash_cnt[1453][5]~47231\)) # (!\led_flash_cnt[1453][6]~q\ & ((\led_flash_cnt[1453][5]~47231\) # (GND)))
-- \led_flash_cnt[1453][6]~47233\ = CARRY((!\led_flash_cnt[1453][5]~47231\) # (!\led_flash_cnt[1453][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1453][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1453][5]~47231\,
	combout => \led_flash_cnt[1453][6]~47232_combout\,
	cout => \led_flash_cnt[1453][6]~47233\);

-- Location: FF_X40_Y2_N13
\led_flash_cnt[1453][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1453][6]~47232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1453][6]~q\);

-- Location: LCCOMB_X40_Y2_N14
\led_flash_cnt[1453][7]~47234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1453][7]~47234_combout\ = \led_flash_cnt[1453][7]~q\ $ (!\led_flash_cnt[1453][6]~47233\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1453][7]~q\,
	cin => \led_flash_cnt[1453][6]~47233\,
	combout => \led_flash_cnt[1453][7]~47234_combout\);

-- Location: FF_X40_Y2_N15
\led_flash_cnt[1453][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1453][7]~47234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1453][7]~q\);

-- Location: LCCOMB_X41_Y2_N8
\WideAnd1453~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1453~0_combout\ = (\led_flash_cnt[1453][1]~q\ & (\led_flash_cnt[1453][3]~q\ & (\led_flash_cnt[1453][2]~q\ & \led_flash_cnt[1453][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1453][1]~q\,
	datab => \led_flash_cnt[1453][3]~q\,
	datac => \led_flash_cnt[1453][2]~q\,
	datad => \led_flash_cnt[1453][4]~q\,
	combout => \WideAnd1453~0_combout\);

-- Location: LCCOMB_X40_Y2_N0
\WideAnd1453~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1453~1_combout\ = (\led_flash_cnt[1453][6]~q\ & \led_flash_cnt[1453][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1453][6]~q\,
	datad => \led_flash_cnt[1453][5]~q\,
	combout => \WideAnd1453~1_combout\);

-- Location: LCCOMB_X41_Y2_N0
WideAnd1453 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1453~combout\ = (\led_flash_cnt[1453][7]~q\ & (\WideAnd1453~0_combout\ & (\WideAnd1453~1_combout\ & \led_flash_cnt[1453][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1453][7]~q\,
	datab => \WideAnd1453~0_combout\,
	datac => \WideAnd1453~1_combout\,
	datad => \led_flash_cnt[1453][0]~q\,
	combout => \WideAnd1453~combout\);

-- Location: FF_X40_Y2_N1
\led_flash_cnt_ands[1453]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd1453~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1453));

-- Location: LCCOMB_X40_Y3_N2
\led_flash_cnt[1452][0]~82092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1452][0]~82092_combout\ = !\led_flash_cnt[1452][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1452][0]~q\,
	combout => \led_flash_cnt[1452][0]~82092_combout\);

-- Location: FF_X40_Y3_N3
\led_flash_cnt[1452][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1452][0]~82092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1452][0]~q\);

-- Location: LCCOMB_X39_Y3_N16
\led_flash_cnt[1452][1]~47208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1452][1]~47208_combout\ = (\led_flash_cnt[1452][0]~q\ & (\led_flash_cnt[1452][1]~q\ $ (VCC))) # (!\led_flash_cnt[1452][0]~q\ & (\led_flash_cnt[1452][1]~q\ & VCC))
-- \led_flash_cnt[1452][1]~47209\ = CARRY((\led_flash_cnt[1452][0]~q\ & \led_flash_cnt[1452][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1452][0]~q\,
	datab => \led_flash_cnt[1452][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1452][1]~47208_combout\,
	cout => \led_flash_cnt[1452][1]~47209\);

-- Location: FF_X39_Y3_N17
\led_flash_cnt[1452][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1452][1]~47208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1452][1]~q\);

-- Location: LCCOMB_X39_Y3_N18
\led_flash_cnt[1452][2]~47210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1452][2]~47210_combout\ = (\led_flash_cnt[1452][2]~q\ & (!\led_flash_cnt[1452][1]~47209\)) # (!\led_flash_cnt[1452][2]~q\ & ((\led_flash_cnt[1452][1]~47209\) # (GND)))
-- \led_flash_cnt[1452][2]~47211\ = CARRY((!\led_flash_cnt[1452][1]~47209\) # (!\led_flash_cnt[1452][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1452][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1452][1]~47209\,
	combout => \led_flash_cnt[1452][2]~47210_combout\,
	cout => \led_flash_cnt[1452][2]~47211\);

-- Location: FF_X39_Y3_N19
\led_flash_cnt[1452][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1452][2]~47210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1452][2]~q\);

-- Location: LCCOMB_X39_Y3_N20
\led_flash_cnt[1452][3]~47212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1452][3]~47212_combout\ = (\led_flash_cnt[1452][3]~q\ & (\led_flash_cnt[1452][2]~47211\ $ (GND))) # (!\led_flash_cnt[1452][3]~q\ & (!\led_flash_cnt[1452][2]~47211\ & VCC))
-- \led_flash_cnt[1452][3]~47213\ = CARRY((\led_flash_cnt[1452][3]~q\ & !\led_flash_cnt[1452][2]~47211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1452][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1452][2]~47211\,
	combout => \led_flash_cnt[1452][3]~47212_combout\,
	cout => \led_flash_cnt[1452][3]~47213\);

-- Location: FF_X39_Y3_N21
\led_flash_cnt[1452][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1452][3]~47212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1452][3]~q\);

-- Location: LCCOMB_X39_Y3_N22
\led_flash_cnt[1452][4]~47214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1452][4]~47214_combout\ = (\led_flash_cnt[1452][4]~q\ & (!\led_flash_cnt[1452][3]~47213\)) # (!\led_flash_cnt[1452][4]~q\ & ((\led_flash_cnt[1452][3]~47213\) # (GND)))
-- \led_flash_cnt[1452][4]~47215\ = CARRY((!\led_flash_cnt[1452][3]~47213\) # (!\led_flash_cnt[1452][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1452][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1452][3]~47213\,
	combout => \led_flash_cnt[1452][4]~47214_combout\,
	cout => \led_flash_cnt[1452][4]~47215\);

-- Location: FF_X39_Y3_N23
\led_flash_cnt[1452][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1452][4]~47214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1452][4]~q\);

-- Location: LCCOMB_X39_Y3_N24
\led_flash_cnt[1452][5]~47216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1452][5]~47216_combout\ = (\led_flash_cnt[1452][5]~q\ & (\led_flash_cnt[1452][4]~47215\ $ (GND))) # (!\led_flash_cnt[1452][5]~q\ & (!\led_flash_cnt[1452][4]~47215\ & VCC))
-- \led_flash_cnt[1452][5]~47217\ = CARRY((\led_flash_cnt[1452][5]~q\ & !\led_flash_cnt[1452][4]~47215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1452][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1452][4]~47215\,
	combout => \led_flash_cnt[1452][5]~47216_combout\,
	cout => \led_flash_cnt[1452][5]~47217\);

-- Location: FF_X39_Y3_N25
\led_flash_cnt[1452][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1452][5]~47216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1452][5]~q\);

-- Location: LCCOMB_X39_Y3_N26
\led_flash_cnt[1452][6]~47218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1452][6]~47218_combout\ = (\led_flash_cnt[1452][6]~q\ & (!\led_flash_cnt[1452][5]~47217\)) # (!\led_flash_cnt[1452][6]~q\ & ((\led_flash_cnt[1452][5]~47217\) # (GND)))
-- \led_flash_cnt[1452][6]~47219\ = CARRY((!\led_flash_cnt[1452][5]~47217\) # (!\led_flash_cnt[1452][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1452][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1452][5]~47217\,
	combout => \led_flash_cnt[1452][6]~47218_combout\,
	cout => \led_flash_cnt[1452][6]~47219\);

-- Location: FF_X39_Y3_N27
\led_flash_cnt[1452][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1452][6]~47218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1452][6]~q\);

-- Location: LCCOMB_X40_Y3_N30
\WideAnd1452~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1452~1_combout\ = (\led_flash_cnt[1452][6]~q\ & \led_flash_cnt[1452][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1452][6]~q\,
	datad => \led_flash_cnt[1452][5]~q\,
	combout => \WideAnd1452~1_combout\);

-- Location: LCCOMB_X39_Y3_N28
\led_flash_cnt[1452][7]~47220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1452][7]~47220_combout\ = \led_flash_cnt[1452][6]~47219\ $ (!\led_flash_cnt[1452][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1452][7]~q\,
	cin => \led_flash_cnt[1452][6]~47219\,
	combout => \led_flash_cnt[1452][7]~47220_combout\);

-- Location: FF_X39_Y3_N29
\led_flash_cnt[1452][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1452][7]~47220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1452][7]~q\);

-- Location: LCCOMB_X39_Y3_N0
\WideAnd1452~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1452~0_combout\ = (\led_flash_cnt[1452][3]~q\ & (\led_flash_cnt[1452][2]~q\ & (\led_flash_cnt[1452][4]~q\ & \led_flash_cnt[1452][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1452][3]~q\,
	datab => \led_flash_cnt[1452][2]~q\,
	datac => \led_flash_cnt[1452][4]~q\,
	datad => \led_flash_cnt[1452][1]~q\,
	combout => \WideAnd1452~0_combout\);

-- Location: LCCOMB_X40_Y3_N28
WideAnd1452 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1452~combout\ = (\WideAnd1452~1_combout\ & (\led_flash_cnt[1452][7]~q\ & (\WideAnd1452~0_combout\ & \led_flash_cnt[1452][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1452~1_combout\,
	datab => \led_flash_cnt[1452][7]~q\,
	datac => \WideAnd1452~0_combout\,
	datad => \led_flash_cnt[1452][0]~q\,
	combout => \WideAnd1452~combout\);

-- Location: FF_X40_Y3_N29
\led_flash_cnt_ands[1452]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1452~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1452));

-- Location: LCCOMB_X40_Y3_N10
\WideAnd4021~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4021~1_combout\ = (led_flash_cnt_ands(1453) & led_flash_cnt_ands(1452))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1453),
	datad => led_flash_cnt_ands(1452),
	combout => \WideAnd4021~1_combout\);

-- Location: LCCOMB_X26_Y2_N28
\led_flash_cnt[1454][0]~82094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1454][0]~82094_combout\ = !\led_flash_cnt[1454][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1454][0]~q\,
	combout => \led_flash_cnt[1454][0]~82094_combout\);

-- Location: FF_X26_Y2_N29
\led_flash_cnt[1454][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1454][0]~82094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1454][0]~q\);

-- Location: LCCOMB_X25_Y2_N18
\led_flash_cnt[1454][1]~47236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1454][1]~47236_combout\ = (\led_flash_cnt[1454][1]~q\ & (\led_flash_cnt[1454][0]~q\ $ (VCC))) # (!\led_flash_cnt[1454][1]~q\ & (\led_flash_cnt[1454][0]~q\ & VCC))
-- \led_flash_cnt[1454][1]~47237\ = CARRY((\led_flash_cnt[1454][1]~q\ & \led_flash_cnt[1454][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1454][1]~q\,
	datab => \led_flash_cnt[1454][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1454][1]~47236_combout\,
	cout => \led_flash_cnt[1454][1]~47237\);

-- Location: FF_X25_Y2_N19
\led_flash_cnt[1454][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1454][1]~47236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1454][1]~q\);

-- Location: LCCOMB_X25_Y2_N20
\led_flash_cnt[1454][2]~47238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1454][2]~47238_combout\ = (\led_flash_cnt[1454][2]~q\ & (!\led_flash_cnt[1454][1]~47237\)) # (!\led_flash_cnt[1454][2]~q\ & ((\led_flash_cnt[1454][1]~47237\) # (GND)))
-- \led_flash_cnt[1454][2]~47239\ = CARRY((!\led_flash_cnt[1454][1]~47237\) # (!\led_flash_cnt[1454][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1454][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1454][1]~47237\,
	combout => \led_flash_cnt[1454][2]~47238_combout\,
	cout => \led_flash_cnt[1454][2]~47239\);

-- Location: FF_X25_Y2_N21
\led_flash_cnt[1454][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1454][2]~47238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1454][2]~q\);

-- Location: LCCOMB_X25_Y2_N22
\led_flash_cnt[1454][3]~47240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1454][3]~47240_combout\ = (\led_flash_cnt[1454][3]~q\ & (\led_flash_cnt[1454][2]~47239\ $ (GND))) # (!\led_flash_cnt[1454][3]~q\ & (!\led_flash_cnt[1454][2]~47239\ & VCC))
-- \led_flash_cnt[1454][3]~47241\ = CARRY((\led_flash_cnt[1454][3]~q\ & !\led_flash_cnt[1454][2]~47239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1454][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1454][2]~47239\,
	combout => \led_flash_cnt[1454][3]~47240_combout\,
	cout => \led_flash_cnt[1454][3]~47241\);

-- Location: FF_X25_Y2_N23
\led_flash_cnt[1454][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1454][3]~47240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1454][3]~q\);

-- Location: LCCOMB_X25_Y2_N24
\led_flash_cnt[1454][4]~47242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1454][4]~47242_combout\ = (\led_flash_cnt[1454][4]~q\ & (!\led_flash_cnt[1454][3]~47241\)) # (!\led_flash_cnt[1454][4]~q\ & ((\led_flash_cnt[1454][3]~47241\) # (GND)))
-- \led_flash_cnt[1454][4]~47243\ = CARRY((!\led_flash_cnt[1454][3]~47241\) # (!\led_flash_cnt[1454][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1454][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1454][3]~47241\,
	combout => \led_flash_cnt[1454][4]~47242_combout\,
	cout => \led_flash_cnt[1454][4]~47243\);

-- Location: FF_X25_Y2_N25
\led_flash_cnt[1454][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1454][4]~47242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1454][4]~q\);

-- Location: LCCOMB_X25_Y2_N26
\led_flash_cnt[1454][5]~47244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1454][5]~47244_combout\ = (\led_flash_cnt[1454][5]~q\ & (\led_flash_cnt[1454][4]~47243\ $ (GND))) # (!\led_flash_cnt[1454][5]~q\ & (!\led_flash_cnt[1454][4]~47243\ & VCC))
-- \led_flash_cnt[1454][5]~47245\ = CARRY((\led_flash_cnt[1454][5]~q\ & !\led_flash_cnt[1454][4]~47243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1454][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1454][4]~47243\,
	combout => \led_flash_cnt[1454][5]~47244_combout\,
	cout => \led_flash_cnt[1454][5]~47245\);

-- Location: FF_X25_Y2_N27
\led_flash_cnt[1454][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1454][5]~47244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1454][5]~q\);

-- Location: LCCOMB_X25_Y2_N28
\led_flash_cnt[1454][6]~47246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1454][6]~47246_combout\ = (\led_flash_cnt[1454][6]~q\ & (!\led_flash_cnt[1454][5]~47245\)) # (!\led_flash_cnt[1454][6]~q\ & ((\led_flash_cnt[1454][5]~47245\) # (GND)))
-- \led_flash_cnt[1454][6]~47247\ = CARRY((!\led_flash_cnt[1454][5]~47245\) # (!\led_flash_cnt[1454][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1454][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1454][5]~47245\,
	combout => \led_flash_cnt[1454][6]~47246_combout\,
	cout => \led_flash_cnt[1454][6]~47247\);

-- Location: FF_X25_Y2_N29
\led_flash_cnt[1454][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1454][6]~47246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1454][6]~q\);

-- Location: LCCOMB_X26_Y2_N30
\WideAnd1454~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1454~1_combout\ = (\led_flash_cnt[1454][5]~q\ & \led_flash_cnt[1454][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1454][5]~q\,
	datad => \led_flash_cnt[1454][6]~q\,
	combout => \WideAnd1454~1_combout\);

-- Location: LCCOMB_X25_Y2_N30
\led_flash_cnt[1454][7]~47248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1454][7]~47248_combout\ = \led_flash_cnt[1454][7]~q\ $ (!\led_flash_cnt[1454][6]~47247\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1454][7]~q\,
	cin => \led_flash_cnt[1454][6]~47247\,
	combout => \led_flash_cnt[1454][7]~47248_combout\);

-- Location: FF_X25_Y2_N31
\led_flash_cnt[1454][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1454][7]~47248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1454][7]~q\);

-- Location: LCCOMB_X25_Y2_N16
\WideAnd1454~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1454~0_combout\ = (\led_flash_cnt[1454][1]~q\ & (\led_flash_cnt[1454][2]~q\ & (\led_flash_cnt[1454][3]~q\ & \led_flash_cnt[1454][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1454][1]~q\,
	datab => \led_flash_cnt[1454][2]~q\,
	datac => \led_flash_cnt[1454][3]~q\,
	datad => \led_flash_cnt[1454][4]~q\,
	combout => \WideAnd1454~0_combout\);

-- Location: LCCOMB_X26_Y2_N16
WideAnd1454 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1454~combout\ = (\WideAnd1454~1_combout\ & (\led_flash_cnt[1454][7]~q\ & (\WideAnd1454~0_combout\ & \led_flash_cnt[1454][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1454~1_combout\,
	datab => \led_flash_cnt[1454][7]~q\,
	datac => \WideAnd1454~0_combout\,
	datad => \led_flash_cnt[1454][0]~q\,
	combout => \WideAnd1454~combout\);

-- Location: FF_X26_Y2_N17
\led_flash_cnt_ands[1454]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1454~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1454));

-- Location: LCCOMB_X29_Y5_N22
\led_flash_cnt[1451][0]~82091\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1451][0]~82091_combout\ = !\led_flash_cnt[1451][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1451][0]~q\,
	combout => \led_flash_cnt[1451][0]~82091_combout\);

-- Location: FF_X29_Y5_N23
\led_flash_cnt[1451][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1451][0]~82091_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1451][0]~q\);

-- Location: LCCOMB_X27_Y5_N18
\led_flash_cnt[1451][1]~47194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1451][1]~47194_combout\ = (\led_flash_cnt[1451][0]~q\ & (\led_flash_cnt[1451][1]~q\ $ (VCC))) # (!\led_flash_cnt[1451][0]~q\ & (\led_flash_cnt[1451][1]~q\ & VCC))
-- \led_flash_cnt[1451][1]~47195\ = CARRY((\led_flash_cnt[1451][0]~q\ & \led_flash_cnt[1451][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1451][0]~q\,
	datab => \led_flash_cnt[1451][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1451][1]~47194_combout\,
	cout => \led_flash_cnt[1451][1]~47195\);

-- Location: FF_X27_Y5_N19
\led_flash_cnt[1451][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1451][1]~47194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1451][1]~q\);

-- Location: LCCOMB_X27_Y5_N20
\led_flash_cnt[1451][2]~47196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1451][2]~47196_combout\ = (\led_flash_cnt[1451][2]~q\ & (!\led_flash_cnt[1451][1]~47195\)) # (!\led_flash_cnt[1451][2]~q\ & ((\led_flash_cnt[1451][1]~47195\) # (GND)))
-- \led_flash_cnt[1451][2]~47197\ = CARRY((!\led_flash_cnt[1451][1]~47195\) # (!\led_flash_cnt[1451][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1451][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1451][1]~47195\,
	combout => \led_flash_cnt[1451][2]~47196_combout\,
	cout => \led_flash_cnt[1451][2]~47197\);

-- Location: FF_X27_Y5_N21
\led_flash_cnt[1451][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1451][2]~47196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1451][2]~q\);

-- Location: LCCOMB_X27_Y5_N22
\led_flash_cnt[1451][3]~47198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1451][3]~47198_combout\ = (\led_flash_cnt[1451][3]~q\ & (\led_flash_cnt[1451][2]~47197\ $ (GND))) # (!\led_flash_cnt[1451][3]~q\ & (!\led_flash_cnt[1451][2]~47197\ & VCC))
-- \led_flash_cnt[1451][3]~47199\ = CARRY((\led_flash_cnt[1451][3]~q\ & !\led_flash_cnt[1451][2]~47197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1451][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1451][2]~47197\,
	combout => \led_flash_cnt[1451][3]~47198_combout\,
	cout => \led_flash_cnt[1451][3]~47199\);

-- Location: FF_X27_Y5_N23
\led_flash_cnt[1451][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1451][3]~47198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1451][3]~q\);

-- Location: LCCOMB_X27_Y5_N24
\led_flash_cnt[1451][4]~47200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1451][4]~47200_combout\ = (\led_flash_cnt[1451][4]~q\ & (!\led_flash_cnt[1451][3]~47199\)) # (!\led_flash_cnt[1451][4]~q\ & ((\led_flash_cnt[1451][3]~47199\) # (GND)))
-- \led_flash_cnt[1451][4]~47201\ = CARRY((!\led_flash_cnt[1451][3]~47199\) # (!\led_flash_cnt[1451][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1451][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1451][3]~47199\,
	combout => \led_flash_cnt[1451][4]~47200_combout\,
	cout => \led_flash_cnt[1451][4]~47201\);

-- Location: FF_X27_Y5_N25
\led_flash_cnt[1451][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1451][4]~47200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1451][4]~q\);

-- Location: LCCOMB_X27_Y5_N26
\led_flash_cnt[1451][5]~47202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1451][5]~47202_combout\ = (\led_flash_cnt[1451][5]~q\ & (\led_flash_cnt[1451][4]~47201\ $ (GND))) # (!\led_flash_cnt[1451][5]~q\ & (!\led_flash_cnt[1451][4]~47201\ & VCC))
-- \led_flash_cnt[1451][5]~47203\ = CARRY((\led_flash_cnt[1451][5]~q\ & !\led_flash_cnt[1451][4]~47201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1451][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1451][4]~47201\,
	combout => \led_flash_cnt[1451][5]~47202_combout\,
	cout => \led_flash_cnt[1451][5]~47203\);

-- Location: FF_X27_Y5_N27
\led_flash_cnt[1451][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1451][5]~47202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1451][5]~q\);

-- Location: LCCOMB_X27_Y5_N28
\led_flash_cnt[1451][6]~47204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1451][6]~47204_combout\ = (\led_flash_cnt[1451][6]~q\ & (!\led_flash_cnt[1451][5]~47203\)) # (!\led_flash_cnt[1451][6]~q\ & ((\led_flash_cnt[1451][5]~47203\) # (GND)))
-- \led_flash_cnt[1451][6]~47205\ = CARRY((!\led_flash_cnt[1451][5]~47203\) # (!\led_flash_cnt[1451][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1451][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1451][5]~47203\,
	combout => \led_flash_cnt[1451][6]~47204_combout\,
	cout => \led_flash_cnt[1451][6]~47205\);

-- Location: FF_X27_Y5_N29
\led_flash_cnt[1451][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1451][6]~47204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1451][6]~q\);

-- Location: LCCOMB_X26_Y5_N22
\WideAnd1451~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1451~1_combout\ = (\led_flash_cnt[1451][6]~q\ & \led_flash_cnt[1451][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1451][6]~q\,
	datad => \led_flash_cnt[1451][5]~q\,
	combout => \WideAnd1451~1_combout\);

-- Location: LCCOMB_X27_Y5_N14
\WideAnd1451~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1451~0_combout\ = (\led_flash_cnt[1451][4]~q\ & (\led_flash_cnt[1451][1]~q\ & (\led_flash_cnt[1451][3]~q\ & \led_flash_cnt[1451][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1451][4]~q\,
	datab => \led_flash_cnt[1451][1]~q\,
	datac => \led_flash_cnt[1451][3]~q\,
	datad => \led_flash_cnt[1451][2]~q\,
	combout => \WideAnd1451~0_combout\);

-- Location: LCCOMB_X27_Y5_N30
\led_flash_cnt[1451][7]~47206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1451][7]~47206_combout\ = \led_flash_cnt[1451][7]~q\ $ (!\led_flash_cnt[1451][6]~47205\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1451][7]~q\,
	cin => \led_flash_cnt[1451][6]~47205\,
	combout => \led_flash_cnt[1451][7]~47206_combout\);

-- Location: FF_X27_Y5_N31
\led_flash_cnt[1451][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1451][7]~47206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1451][7]~q\);

-- Location: LCCOMB_X26_Y5_N26
WideAnd1451 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1451~combout\ = (\WideAnd1451~1_combout\ & (\WideAnd1451~0_combout\ & (\led_flash_cnt[1451][7]~q\ & \led_flash_cnt[1451][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1451~1_combout\,
	datab => \WideAnd1451~0_combout\,
	datac => \led_flash_cnt[1451][7]~q\,
	datad => \led_flash_cnt[1451][0]~q\,
	combout => \WideAnd1451~combout\);

-- Location: FF_X26_Y5_N27
\led_flash_cnt_ands[1451]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1451~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1451));

-- Location: LCCOMB_X25_Y6_N20
\led_flash_cnt[1448][0]~82088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1448][0]~82088_combout\ = !\led_flash_cnt[1448][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1448][0]~q\,
	combout => \led_flash_cnt[1448][0]~82088_combout\);

-- Location: FF_X25_Y6_N21
\led_flash_cnt[1448][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1448][0]~82088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1448][0]~q\);

-- Location: LCCOMB_X26_Y5_N4
\led_flash_cnt[1448][1]~47152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1448][1]~47152_combout\ = (\led_flash_cnt[1448][0]~q\ & (\led_flash_cnt[1448][1]~q\ $ (VCC))) # (!\led_flash_cnt[1448][0]~q\ & (\led_flash_cnt[1448][1]~q\ & VCC))
-- \led_flash_cnt[1448][1]~47153\ = CARRY((\led_flash_cnt[1448][0]~q\ & \led_flash_cnt[1448][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1448][0]~q\,
	datab => \led_flash_cnt[1448][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1448][1]~47152_combout\,
	cout => \led_flash_cnt[1448][1]~47153\);

-- Location: FF_X26_Y5_N5
\led_flash_cnt[1448][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1448][1]~47152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1448][1]~q\);

-- Location: LCCOMB_X26_Y5_N6
\led_flash_cnt[1448][2]~47154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1448][2]~47154_combout\ = (\led_flash_cnt[1448][2]~q\ & (!\led_flash_cnt[1448][1]~47153\)) # (!\led_flash_cnt[1448][2]~q\ & ((\led_flash_cnt[1448][1]~47153\) # (GND)))
-- \led_flash_cnt[1448][2]~47155\ = CARRY((!\led_flash_cnt[1448][1]~47153\) # (!\led_flash_cnt[1448][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1448][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1448][1]~47153\,
	combout => \led_flash_cnt[1448][2]~47154_combout\,
	cout => \led_flash_cnt[1448][2]~47155\);

-- Location: FF_X26_Y5_N7
\led_flash_cnt[1448][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1448][2]~47154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1448][2]~q\);

-- Location: LCCOMB_X26_Y5_N8
\led_flash_cnt[1448][3]~47156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1448][3]~47156_combout\ = (\led_flash_cnt[1448][3]~q\ & (\led_flash_cnt[1448][2]~47155\ $ (GND))) # (!\led_flash_cnt[1448][3]~q\ & (!\led_flash_cnt[1448][2]~47155\ & VCC))
-- \led_flash_cnt[1448][3]~47157\ = CARRY((\led_flash_cnt[1448][3]~q\ & !\led_flash_cnt[1448][2]~47155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1448][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1448][2]~47155\,
	combout => \led_flash_cnt[1448][3]~47156_combout\,
	cout => \led_flash_cnt[1448][3]~47157\);

-- Location: FF_X26_Y5_N9
\led_flash_cnt[1448][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1448][3]~47156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1448][3]~q\);

-- Location: LCCOMB_X26_Y5_N10
\led_flash_cnt[1448][4]~47158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1448][4]~47158_combout\ = (\led_flash_cnt[1448][4]~q\ & (!\led_flash_cnt[1448][3]~47157\)) # (!\led_flash_cnt[1448][4]~q\ & ((\led_flash_cnt[1448][3]~47157\) # (GND)))
-- \led_flash_cnt[1448][4]~47159\ = CARRY((!\led_flash_cnt[1448][3]~47157\) # (!\led_flash_cnt[1448][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1448][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1448][3]~47157\,
	combout => \led_flash_cnt[1448][4]~47158_combout\,
	cout => \led_flash_cnt[1448][4]~47159\);

-- Location: FF_X26_Y5_N11
\led_flash_cnt[1448][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1448][4]~47158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1448][4]~q\);

-- Location: LCCOMB_X26_Y5_N12
\led_flash_cnt[1448][5]~47160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1448][5]~47160_combout\ = (\led_flash_cnt[1448][5]~q\ & (\led_flash_cnt[1448][4]~47159\ $ (GND))) # (!\led_flash_cnt[1448][5]~q\ & (!\led_flash_cnt[1448][4]~47159\ & VCC))
-- \led_flash_cnt[1448][5]~47161\ = CARRY((\led_flash_cnt[1448][5]~q\ & !\led_flash_cnt[1448][4]~47159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1448][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1448][4]~47159\,
	combout => \led_flash_cnt[1448][5]~47160_combout\,
	cout => \led_flash_cnt[1448][5]~47161\);

-- Location: FF_X26_Y5_N13
\led_flash_cnt[1448][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1448][5]~47160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1448][5]~q\);

-- Location: LCCOMB_X26_Y5_N14
\led_flash_cnt[1448][6]~47162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1448][6]~47162_combout\ = (\led_flash_cnt[1448][6]~q\ & (!\led_flash_cnt[1448][5]~47161\)) # (!\led_flash_cnt[1448][6]~q\ & ((\led_flash_cnt[1448][5]~47161\) # (GND)))
-- \led_flash_cnt[1448][6]~47163\ = CARRY((!\led_flash_cnt[1448][5]~47161\) # (!\led_flash_cnt[1448][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1448][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1448][5]~47161\,
	combout => \led_flash_cnt[1448][6]~47162_combout\,
	cout => \led_flash_cnt[1448][6]~47163\);

-- Location: FF_X26_Y5_N15
\led_flash_cnt[1448][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1448][6]~47162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1448][6]~q\);

-- Location: LCCOMB_X26_Y5_N30
\WideAnd1448~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1448~1_combout\ = (\led_flash_cnt[1448][6]~q\ & \led_flash_cnt[1448][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1448][6]~q\,
	datad => \led_flash_cnt[1448][5]~q\,
	combout => \WideAnd1448~1_combout\);

-- Location: LCCOMB_X26_Y5_N16
\led_flash_cnt[1448][7]~47164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1448][7]~47164_combout\ = \led_flash_cnt[1448][6]~47163\ $ (!\led_flash_cnt[1448][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1448][7]~q\,
	cin => \led_flash_cnt[1448][6]~47163\,
	combout => \led_flash_cnt[1448][7]~47164_combout\);

-- Location: FF_X26_Y5_N17
\led_flash_cnt[1448][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1448][7]~47164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1448][7]~q\);

-- Location: LCCOMB_X26_Y5_N24
\WideAnd1448~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1448~0_combout\ = (\led_flash_cnt[1448][2]~q\ & (\led_flash_cnt[1448][3]~q\ & (\led_flash_cnt[1448][1]~q\ & \led_flash_cnt[1448][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1448][2]~q\,
	datab => \led_flash_cnt[1448][3]~q\,
	datac => \led_flash_cnt[1448][1]~q\,
	datad => \led_flash_cnt[1448][4]~q\,
	combout => \WideAnd1448~0_combout\);

-- Location: LCCOMB_X26_Y5_N18
WideAnd1448 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1448~combout\ = (\WideAnd1448~1_combout\ & (\led_flash_cnt[1448][7]~q\ & (\led_flash_cnt[1448][0]~q\ & \WideAnd1448~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1448~1_combout\,
	datab => \led_flash_cnt[1448][7]~q\,
	datac => \led_flash_cnt[1448][0]~q\,
	datad => \WideAnd1448~0_combout\,
	combout => \WideAnd1448~combout\);

-- Location: FF_X26_Y5_N19
\led_flash_cnt_ands[1448]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1448~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1448));

-- Location: LCCOMB_X23_Y7_N30
\led_flash_cnt[1450][0]~82090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1450][0]~82090_combout\ = !\led_flash_cnt[1450][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1450][0]~q\,
	combout => \led_flash_cnt[1450][0]~82090_combout\);

-- Location: FF_X23_Y7_N31
\led_flash_cnt[1450][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1450][0]~82090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1450][0]~q\);

-- Location: LCCOMB_X19_Y7_N18
\led_flash_cnt[1450][1]~47180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1450][1]~47180_combout\ = (\led_flash_cnt[1450][0]~q\ & (\led_flash_cnt[1450][1]~q\ $ (VCC))) # (!\led_flash_cnt[1450][0]~q\ & (\led_flash_cnt[1450][1]~q\ & VCC))
-- \led_flash_cnt[1450][1]~47181\ = CARRY((\led_flash_cnt[1450][0]~q\ & \led_flash_cnt[1450][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1450][0]~q\,
	datab => \led_flash_cnt[1450][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1450][1]~47180_combout\,
	cout => \led_flash_cnt[1450][1]~47181\);

-- Location: FF_X19_Y7_N19
\led_flash_cnt[1450][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1450][1]~47180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1450][1]~q\);

-- Location: LCCOMB_X19_Y7_N20
\led_flash_cnt[1450][2]~47182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1450][2]~47182_combout\ = (\led_flash_cnt[1450][2]~q\ & (!\led_flash_cnt[1450][1]~47181\)) # (!\led_flash_cnt[1450][2]~q\ & ((\led_flash_cnt[1450][1]~47181\) # (GND)))
-- \led_flash_cnt[1450][2]~47183\ = CARRY((!\led_flash_cnt[1450][1]~47181\) # (!\led_flash_cnt[1450][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1450][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1450][1]~47181\,
	combout => \led_flash_cnt[1450][2]~47182_combout\,
	cout => \led_flash_cnt[1450][2]~47183\);

-- Location: FF_X19_Y7_N21
\led_flash_cnt[1450][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1450][2]~47182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1450][2]~q\);

-- Location: LCCOMB_X19_Y7_N22
\led_flash_cnt[1450][3]~47184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1450][3]~47184_combout\ = (\led_flash_cnt[1450][3]~q\ & (\led_flash_cnt[1450][2]~47183\ $ (GND))) # (!\led_flash_cnt[1450][3]~q\ & (!\led_flash_cnt[1450][2]~47183\ & VCC))
-- \led_flash_cnt[1450][3]~47185\ = CARRY((\led_flash_cnt[1450][3]~q\ & !\led_flash_cnt[1450][2]~47183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1450][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1450][2]~47183\,
	combout => \led_flash_cnt[1450][3]~47184_combout\,
	cout => \led_flash_cnt[1450][3]~47185\);

-- Location: FF_X19_Y7_N23
\led_flash_cnt[1450][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1450][3]~47184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1450][3]~q\);

-- Location: LCCOMB_X19_Y7_N24
\led_flash_cnt[1450][4]~47186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1450][4]~47186_combout\ = (\led_flash_cnt[1450][4]~q\ & (!\led_flash_cnt[1450][3]~47185\)) # (!\led_flash_cnt[1450][4]~q\ & ((\led_flash_cnt[1450][3]~47185\) # (GND)))
-- \led_flash_cnt[1450][4]~47187\ = CARRY((!\led_flash_cnt[1450][3]~47185\) # (!\led_flash_cnt[1450][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1450][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1450][3]~47185\,
	combout => \led_flash_cnt[1450][4]~47186_combout\,
	cout => \led_flash_cnt[1450][4]~47187\);

-- Location: FF_X19_Y7_N25
\led_flash_cnt[1450][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1450][4]~47186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1450][4]~q\);

-- Location: LCCOMB_X18_Y7_N28
\WideAnd1450~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1450~0_combout\ = (\led_flash_cnt[1450][1]~q\ & (\led_flash_cnt[1450][4]~q\ & (\led_flash_cnt[1450][2]~q\ & \led_flash_cnt[1450][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1450][1]~q\,
	datab => \led_flash_cnt[1450][4]~q\,
	datac => \led_flash_cnt[1450][2]~q\,
	datad => \led_flash_cnt[1450][3]~q\,
	combout => \WideAnd1450~0_combout\);

-- Location: LCCOMB_X19_Y7_N26
\led_flash_cnt[1450][5]~47188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1450][5]~47188_combout\ = (\led_flash_cnt[1450][5]~q\ & (\led_flash_cnt[1450][4]~47187\ $ (GND))) # (!\led_flash_cnt[1450][5]~q\ & (!\led_flash_cnt[1450][4]~47187\ & VCC))
-- \led_flash_cnt[1450][5]~47189\ = CARRY((\led_flash_cnt[1450][5]~q\ & !\led_flash_cnt[1450][4]~47187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1450][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1450][4]~47187\,
	combout => \led_flash_cnt[1450][5]~47188_combout\,
	cout => \led_flash_cnt[1450][5]~47189\);

-- Location: FF_X19_Y7_N27
\led_flash_cnt[1450][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1450][5]~47188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1450][5]~q\);

-- Location: LCCOMB_X19_Y7_N28
\led_flash_cnt[1450][6]~47190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1450][6]~47190_combout\ = (\led_flash_cnt[1450][6]~q\ & (!\led_flash_cnt[1450][5]~47189\)) # (!\led_flash_cnt[1450][6]~q\ & ((\led_flash_cnt[1450][5]~47189\) # (GND)))
-- \led_flash_cnt[1450][6]~47191\ = CARRY((!\led_flash_cnt[1450][5]~47189\) # (!\led_flash_cnt[1450][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1450][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1450][5]~47189\,
	combout => \led_flash_cnt[1450][6]~47190_combout\,
	cout => \led_flash_cnt[1450][6]~47191\);

-- Location: FF_X19_Y7_N29
\led_flash_cnt[1450][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1450][6]~47190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1450][6]~q\);

-- Location: LCCOMB_X19_Y7_N30
\led_flash_cnt[1450][7]~47192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1450][7]~47192_combout\ = \led_flash_cnt[1450][7]~q\ $ (!\led_flash_cnt[1450][6]~47191\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1450][7]~q\,
	cin => \led_flash_cnt[1450][6]~47191\,
	combout => \led_flash_cnt[1450][7]~47192_combout\);

-- Location: FF_X19_Y7_N31
\led_flash_cnt[1450][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1450][7]~47192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1450][7]~q\);

-- Location: LCCOMB_X18_Y7_N12
\WideAnd1450~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1450~1_combout\ = (\led_flash_cnt[1450][5]~q\ & \led_flash_cnt[1450][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1450][5]~q\,
	datad => \led_flash_cnt[1450][6]~q\,
	combout => \WideAnd1450~1_combout\);

-- Location: LCCOMB_X19_Y7_N16
WideAnd1450 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1450~combout\ = (\led_flash_cnt[1450][0]~q\ & (\WideAnd1450~0_combout\ & (\led_flash_cnt[1450][7]~q\ & \WideAnd1450~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1450][0]~q\,
	datab => \WideAnd1450~0_combout\,
	datac => \led_flash_cnt[1450][7]~q\,
	datad => \WideAnd1450~1_combout\,
	combout => \WideAnd1450~combout\);

-- Location: FF_X19_Y7_N17
\led_flash_cnt_ands[1450]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1450~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1450));

-- Location: LCCOMB_X30_Y7_N4
\led_flash_cnt[1449][0]~82089\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1449][0]~82089_combout\ = !\led_flash_cnt[1449][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1449][0]~q\,
	combout => \led_flash_cnt[1449][0]~82089_combout\);

-- Location: FF_X30_Y7_N5
\led_flash_cnt[1449][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1449][0]~82089_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1449][0]~q\);

-- Location: LCCOMB_X26_Y7_N4
\led_flash_cnt[1449][1]~47166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1449][1]~47166_combout\ = (\led_flash_cnt[1449][0]~q\ & (\led_flash_cnt[1449][1]~q\ $ (VCC))) # (!\led_flash_cnt[1449][0]~q\ & (\led_flash_cnt[1449][1]~q\ & VCC))
-- \led_flash_cnt[1449][1]~47167\ = CARRY((\led_flash_cnt[1449][0]~q\ & \led_flash_cnt[1449][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1449][0]~q\,
	datab => \led_flash_cnt[1449][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1449][1]~47166_combout\,
	cout => \led_flash_cnt[1449][1]~47167\);

-- Location: FF_X26_Y7_N5
\led_flash_cnt[1449][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1449][1]~47166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1449][1]~q\);

-- Location: LCCOMB_X26_Y7_N6
\led_flash_cnt[1449][2]~47168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1449][2]~47168_combout\ = (\led_flash_cnt[1449][2]~q\ & (!\led_flash_cnt[1449][1]~47167\)) # (!\led_flash_cnt[1449][2]~q\ & ((\led_flash_cnt[1449][1]~47167\) # (GND)))
-- \led_flash_cnt[1449][2]~47169\ = CARRY((!\led_flash_cnt[1449][1]~47167\) # (!\led_flash_cnt[1449][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1449][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1449][1]~47167\,
	combout => \led_flash_cnt[1449][2]~47168_combout\,
	cout => \led_flash_cnt[1449][2]~47169\);

-- Location: FF_X26_Y7_N7
\led_flash_cnt[1449][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1449][2]~47168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1449][2]~q\);

-- Location: LCCOMB_X26_Y7_N8
\led_flash_cnt[1449][3]~47170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1449][3]~47170_combout\ = (\led_flash_cnt[1449][3]~q\ & (\led_flash_cnt[1449][2]~47169\ $ (GND))) # (!\led_flash_cnt[1449][3]~q\ & (!\led_flash_cnt[1449][2]~47169\ & VCC))
-- \led_flash_cnt[1449][3]~47171\ = CARRY((\led_flash_cnt[1449][3]~q\ & !\led_flash_cnt[1449][2]~47169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1449][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1449][2]~47169\,
	combout => \led_flash_cnt[1449][3]~47170_combout\,
	cout => \led_flash_cnt[1449][3]~47171\);

-- Location: FF_X26_Y7_N9
\led_flash_cnt[1449][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1449][3]~47170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1449][3]~q\);

-- Location: LCCOMB_X26_Y7_N10
\led_flash_cnt[1449][4]~47172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1449][4]~47172_combout\ = (\led_flash_cnt[1449][4]~q\ & (!\led_flash_cnt[1449][3]~47171\)) # (!\led_flash_cnt[1449][4]~q\ & ((\led_flash_cnt[1449][3]~47171\) # (GND)))
-- \led_flash_cnt[1449][4]~47173\ = CARRY((!\led_flash_cnt[1449][3]~47171\) # (!\led_flash_cnt[1449][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1449][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1449][3]~47171\,
	combout => \led_flash_cnt[1449][4]~47172_combout\,
	cout => \led_flash_cnt[1449][4]~47173\);

-- Location: FF_X26_Y7_N11
\led_flash_cnt[1449][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1449][4]~47172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1449][4]~q\);

-- Location: LCCOMB_X26_Y7_N2
\WideAnd1449~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1449~0_combout\ = (\led_flash_cnt[1449][2]~q\ & (\led_flash_cnt[1449][3]~q\ & (\led_flash_cnt[1449][1]~q\ & \led_flash_cnt[1449][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1449][2]~q\,
	datab => \led_flash_cnt[1449][3]~q\,
	datac => \led_flash_cnt[1449][1]~q\,
	datad => \led_flash_cnt[1449][4]~q\,
	combout => \WideAnd1449~0_combout\);

-- Location: LCCOMB_X26_Y7_N12
\led_flash_cnt[1449][5]~47174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1449][5]~47174_combout\ = (\led_flash_cnt[1449][5]~q\ & (\led_flash_cnt[1449][4]~47173\ $ (GND))) # (!\led_flash_cnt[1449][5]~q\ & (!\led_flash_cnt[1449][4]~47173\ & VCC))
-- \led_flash_cnt[1449][5]~47175\ = CARRY((\led_flash_cnt[1449][5]~q\ & !\led_flash_cnt[1449][4]~47173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1449][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1449][4]~47173\,
	combout => \led_flash_cnt[1449][5]~47174_combout\,
	cout => \led_flash_cnt[1449][5]~47175\);

-- Location: FF_X26_Y7_N13
\led_flash_cnt[1449][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1449][5]~47174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1449][5]~q\);

-- Location: LCCOMB_X26_Y7_N14
\led_flash_cnt[1449][6]~47176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1449][6]~47176_combout\ = (\led_flash_cnt[1449][6]~q\ & (!\led_flash_cnt[1449][5]~47175\)) # (!\led_flash_cnt[1449][6]~q\ & ((\led_flash_cnt[1449][5]~47175\) # (GND)))
-- \led_flash_cnt[1449][6]~47177\ = CARRY((!\led_flash_cnt[1449][5]~47175\) # (!\led_flash_cnt[1449][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1449][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1449][5]~47175\,
	combout => \led_flash_cnt[1449][6]~47176_combout\,
	cout => \led_flash_cnt[1449][6]~47177\);

-- Location: FF_X26_Y7_N15
\led_flash_cnt[1449][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1449][6]~47176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1449][6]~q\);

-- Location: LCCOMB_X26_Y7_N16
\led_flash_cnt[1449][7]~47178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1449][7]~47178_combout\ = \led_flash_cnt[1449][6]~47177\ $ (!\led_flash_cnt[1449][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1449][7]~q\,
	cin => \led_flash_cnt[1449][6]~47177\,
	combout => \led_flash_cnt[1449][7]~47178_combout\);

-- Location: FF_X26_Y7_N17
\led_flash_cnt[1449][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1449][7]~47178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1449][7]~q\);

-- Location: LCCOMB_X27_Y7_N24
\WideAnd1449~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1449~1_combout\ = (\led_flash_cnt[1449][5]~q\ & \led_flash_cnt[1449][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1449][5]~q\,
	datad => \led_flash_cnt[1449][6]~q\,
	combout => \WideAnd1449~1_combout\);

-- Location: LCCOMB_X27_Y7_N22
WideAnd1449 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1449~combout\ = (\WideAnd1449~0_combout\ & (\led_flash_cnt[1449][0]~q\ & (\led_flash_cnt[1449][7]~q\ & \WideAnd1449~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1449~0_combout\,
	datab => \led_flash_cnt[1449][0]~q\,
	datac => \led_flash_cnt[1449][7]~q\,
	datad => \WideAnd1449~1_combout\,
	combout => \WideAnd1449~combout\);

-- Location: FF_X27_Y7_N23
\led_flash_cnt_ands[1449]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1449~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1449));

-- Location: LCCOMB_X26_Y5_N28
\WideAnd4021~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4021~0_combout\ = (led_flash_cnt_ands(1451) & (led_flash_cnt_ands(1448) & (led_flash_cnt_ands(1450) & led_flash_cnt_ands(1449))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1451),
	datab => led_flash_cnt_ands(1448),
	datac => led_flash_cnt_ands(1450),
	datad => led_flash_cnt_ands(1449),
	combout => \WideAnd4021~0_combout\);

-- Location: LCCOMB_X26_Y5_N2
WideAnd4021 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4021~combout\ = (led_flash_cnt_ands(1455) & (\WideAnd4021~1_combout\ & (led_flash_cnt_ands(1454) & \WideAnd4021~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1455),
	datab => \WideAnd4021~1_combout\,
	datac => led_flash_cnt_ands(1454),
	datad => \WideAnd4021~0_combout\,
	combout => \WideAnd4021~combout\);

-- Location: FF_X26_Y5_N3
\led_flash_cnt_ands_1[181]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4021~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(181));

-- Location: LCCOMB_X30_Y18_N16
\WideAnd4342~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4342~1_combout\ = (led_flash_cnt_ands_1(180) & led_flash_cnt_ands_1(181))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(180),
	datad => led_flash_cnt_ands_1(181),
	combout => \WideAnd4342~1_combout\);

-- Location: LCCOMB_X15_Y25_N22
\led_flash_cnt[1431][0]~82071\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1431][0]~82071_combout\ = !\led_flash_cnt[1431][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1431][0]~q\,
	combout => \led_flash_cnt[1431][0]~82071_combout\);

-- Location: FF_X15_Y25_N23
\led_flash_cnt[1431][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1431][0]~82071_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1431][0]~q\);

-- Location: LCCOMB_X15_Y25_N2
\led_flash_cnt[1431][1]~46914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1431][1]~46914_combout\ = (\led_flash_cnt[1431][0]~q\ & (\led_flash_cnt[1431][1]~q\ $ (VCC))) # (!\led_flash_cnt[1431][0]~q\ & (\led_flash_cnt[1431][1]~q\ & VCC))
-- \led_flash_cnt[1431][1]~46915\ = CARRY((\led_flash_cnt[1431][0]~q\ & \led_flash_cnt[1431][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1431][0]~q\,
	datab => \led_flash_cnt[1431][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1431][1]~46914_combout\,
	cout => \led_flash_cnt[1431][1]~46915\);

-- Location: FF_X15_Y25_N3
\led_flash_cnt[1431][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1431][1]~46914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1431][1]~q\);

-- Location: LCCOMB_X15_Y25_N4
\led_flash_cnt[1431][2]~46916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1431][2]~46916_combout\ = (\led_flash_cnt[1431][2]~q\ & (!\led_flash_cnt[1431][1]~46915\)) # (!\led_flash_cnt[1431][2]~q\ & ((\led_flash_cnt[1431][1]~46915\) # (GND)))
-- \led_flash_cnt[1431][2]~46917\ = CARRY((!\led_flash_cnt[1431][1]~46915\) # (!\led_flash_cnt[1431][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1431][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1431][1]~46915\,
	combout => \led_flash_cnt[1431][2]~46916_combout\,
	cout => \led_flash_cnt[1431][2]~46917\);

-- Location: FF_X15_Y25_N5
\led_flash_cnt[1431][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1431][2]~46916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1431][2]~q\);

-- Location: LCCOMB_X15_Y25_N6
\led_flash_cnt[1431][3]~46918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1431][3]~46918_combout\ = (\led_flash_cnt[1431][3]~q\ & (\led_flash_cnt[1431][2]~46917\ $ (GND))) # (!\led_flash_cnt[1431][3]~q\ & (!\led_flash_cnt[1431][2]~46917\ & VCC))
-- \led_flash_cnt[1431][3]~46919\ = CARRY((\led_flash_cnt[1431][3]~q\ & !\led_flash_cnt[1431][2]~46917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1431][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1431][2]~46917\,
	combout => \led_flash_cnt[1431][3]~46918_combout\,
	cout => \led_flash_cnt[1431][3]~46919\);

-- Location: FF_X15_Y25_N7
\led_flash_cnt[1431][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1431][3]~46918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1431][3]~q\);

-- Location: LCCOMB_X15_Y25_N8
\led_flash_cnt[1431][4]~46920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1431][4]~46920_combout\ = (\led_flash_cnt[1431][4]~q\ & (!\led_flash_cnt[1431][3]~46919\)) # (!\led_flash_cnt[1431][4]~q\ & ((\led_flash_cnt[1431][3]~46919\) # (GND)))
-- \led_flash_cnt[1431][4]~46921\ = CARRY((!\led_flash_cnt[1431][3]~46919\) # (!\led_flash_cnt[1431][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1431][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1431][3]~46919\,
	combout => \led_flash_cnt[1431][4]~46920_combout\,
	cout => \led_flash_cnt[1431][4]~46921\);

-- Location: FF_X15_Y25_N9
\led_flash_cnt[1431][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1431][4]~46920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1431][4]~q\);

-- Location: LCCOMB_X15_Y25_N10
\led_flash_cnt[1431][5]~46922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1431][5]~46922_combout\ = (\led_flash_cnt[1431][5]~q\ & (\led_flash_cnt[1431][4]~46921\ $ (GND))) # (!\led_flash_cnt[1431][5]~q\ & (!\led_flash_cnt[1431][4]~46921\ & VCC))
-- \led_flash_cnt[1431][5]~46923\ = CARRY((\led_flash_cnt[1431][5]~q\ & !\led_flash_cnt[1431][4]~46921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1431][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1431][4]~46921\,
	combout => \led_flash_cnt[1431][5]~46922_combout\,
	cout => \led_flash_cnt[1431][5]~46923\);

-- Location: FF_X15_Y25_N11
\led_flash_cnt[1431][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1431][5]~46922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1431][5]~q\);

-- Location: LCCOMB_X15_Y25_N12
\led_flash_cnt[1431][6]~46924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1431][6]~46924_combout\ = (\led_flash_cnt[1431][6]~q\ & (!\led_flash_cnt[1431][5]~46923\)) # (!\led_flash_cnt[1431][6]~q\ & ((\led_flash_cnt[1431][5]~46923\) # (GND)))
-- \led_flash_cnt[1431][6]~46925\ = CARRY((!\led_flash_cnt[1431][5]~46923\) # (!\led_flash_cnt[1431][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1431][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1431][5]~46923\,
	combout => \led_flash_cnt[1431][6]~46924_combout\,
	cout => \led_flash_cnt[1431][6]~46925\);

-- Location: FF_X15_Y25_N13
\led_flash_cnt[1431][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1431][6]~46924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1431][6]~q\);

-- Location: LCCOMB_X15_Y25_N24
\WideAnd1431~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1431~1_combout\ = (\led_flash_cnt[1431][5]~q\ & \led_flash_cnt[1431][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1431][5]~q\,
	datad => \led_flash_cnt[1431][6]~q\,
	combout => \WideAnd1431~1_combout\);

-- Location: LCCOMB_X15_Y25_N14
\led_flash_cnt[1431][7]~46926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1431][7]~46926_combout\ = \led_flash_cnt[1431][7]~q\ $ (!\led_flash_cnt[1431][6]~46925\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1431][7]~q\,
	cin => \led_flash_cnt[1431][6]~46925\,
	combout => \led_flash_cnt[1431][7]~46926_combout\);

-- Location: FF_X15_Y25_N15
\led_flash_cnt[1431][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1431][7]~46926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1431][7]~q\);

-- Location: LCCOMB_X15_Y25_N18
\WideAnd1431~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1431~0_combout\ = (\led_flash_cnt[1431][3]~q\ & (\led_flash_cnt[1431][2]~q\ & (\led_flash_cnt[1431][4]~q\ & \led_flash_cnt[1431][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1431][3]~q\,
	datab => \led_flash_cnt[1431][2]~q\,
	datac => \led_flash_cnt[1431][4]~q\,
	datad => \led_flash_cnt[1431][1]~q\,
	combout => \WideAnd1431~0_combout\);

-- Location: LCCOMB_X15_Y25_N30
WideAnd1431 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1431~combout\ = (\led_flash_cnt[1431][0]~q\ & (\WideAnd1431~1_combout\ & (\led_flash_cnt[1431][7]~q\ & \WideAnd1431~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1431][0]~q\,
	datab => \WideAnd1431~1_combout\,
	datac => \led_flash_cnt[1431][7]~q\,
	datad => \WideAnd1431~0_combout\,
	combout => \WideAnd1431~combout\);

-- Location: FF_X15_Y25_N31
\led_flash_cnt_ands[1431]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1431~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1431));

-- Location: LCCOMB_X8_Y29_N18
\led_flash_cnt[1430][0]~82070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1430][0]~82070_combout\ = !\led_flash_cnt[1430][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1430][0]~q\,
	combout => \led_flash_cnt[1430][0]~82070_combout\);

-- Location: FF_X8_Y29_N19
\led_flash_cnt[1430][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1430][0]~82070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1430][0]~q\);

-- Location: LCCOMB_X13_Y29_N14
\led_flash_cnt[1430][1]~46900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1430][1]~46900_combout\ = (\led_flash_cnt[1430][0]~q\ & (\led_flash_cnt[1430][1]~q\ $ (VCC))) # (!\led_flash_cnt[1430][0]~q\ & (\led_flash_cnt[1430][1]~q\ & VCC))
-- \led_flash_cnt[1430][1]~46901\ = CARRY((\led_flash_cnt[1430][0]~q\ & \led_flash_cnt[1430][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1430][0]~q\,
	datab => \led_flash_cnt[1430][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1430][1]~46900_combout\,
	cout => \led_flash_cnt[1430][1]~46901\);

-- Location: FF_X13_Y29_N15
\led_flash_cnt[1430][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1430][1]~46900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1430][1]~q\);

-- Location: LCCOMB_X13_Y29_N16
\led_flash_cnt[1430][2]~46902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1430][2]~46902_combout\ = (\led_flash_cnt[1430][2]~q\ & (!\led_flash_cnt[1430][1]~46901\)) # (!\led_flash_cnt[1430][2]~q\ & ((\led_flash_cnt[1430][1]~46901\) # (GND)))
-- \led_flash_cnt[1430][2]~46903\ = CARRY((!\led_flash_cnt[1430][1]~46901\) # (!\led_flash_cnt[1430][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1430][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1430][1]~46901\,
	combout => \led_flash_cnt[1430][2]~46902_combout\,
	cout => \led_flash_cnt[1430][2]~46903\);

-- Location: FF_X13_Y29_N17
\led_flash_cnt[1430][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1430][2]~46902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1430][2]~q\);

-- Location: LCCOMB_X13_Y29_N18
\led_flash_cnt[1430][3]~46904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1430][3]~46904_combout\ = (\led_flash_cnt[1430][3]~q\ & (\led_flash_cnt[1430][2]~46903\ $ (GND))) # (!\led_flash_cnt[1430][3]~q\ & (!\led_flash_cnt[1430][2]~46903\ & VCC))
-- \led_flash_cnt[1430][3]~46905\ = CARRY((\led_flash_cnt[1430][3]~q\ & !\led_flash_cnt[1430][2]~46903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1430][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1430][2]~46903\,
	combout => \led_flash_cnt[1430][3]~46904_combout\,
	cout => \led_flash_cnt[1430][3]~46905\);

-- Location: FF_X13_Y29_N19
\led_flash_cnt[1430][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1430][3]~46904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1430][3]~q\);

-- Location: LCCOMB_X13_Y29_N20
\led_flash_cnt[1430][4]~46906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1430][4]~46906_combout\ = (\led_flash_cnt[1430][4]~q\ & (!\led_flash_cnt[1430][3]~46905\)) # (!\led_flash_cnt[1430][4]~q\ & ((\led_flash_cnt[1430][3]~46905\) # (GND)))
-- \led_flash_cnt[1430][4]~46907\ = CARRY((!\led_flash_cnt[1430][3]~46905\) # (!\led_flash_cnt[1430][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1430][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1430][3]~46905\,
	combout => \led_flash_cnt[1430][4]~46906_combout\,
	cout => \led_flash_cnt[1430][4]~46907\);

-- Location: FF_X13_Y29_N21
\led_flash_cnt[1430][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1430][4]~46906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1430][4]~q\);

-- Location: LCCOMB_X13_Y29_N28
\WideAnd1430~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1430~0_combout\ = (\led_flash_cnt[1430][4]~q\ & (\led_flash_cnt[1430][3]~q\ & (\led_flash_cnt[1430][1]~q\ & \led_flash_cnt[1430][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1430][4]~q\,
	datab => \led_flash_cnt[1430][3]~q\,
	datac => \led_flash_cnt[1430][1]~q\,
	datad => \led_flash_cnt[1430][2]~q\,
	combout => \WideAnd1430~0_combout\);

-- Location: LCCOMB_X13_Y29_N22
\led_flash_cnt[1430][5]~46908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1430][5]~46908_combout\ = (\led_flash_cnt[1430][5]~q\ & (\led_flash_cnt[1430][4]~46907\ $ (GND))) # (!\led_flash_cnt[1430][5]~q\ & (!\led_flash_cnt[1430][4]~46907\ & VCC))
-- \led_flash_cnt[1430][5]~46909\ = CARRY((\led_flash_cnt[1430][5]~q\ & !\led_flash_cnt[1430][4]~46907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1430][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1430][4]~46907\,
	combout => \led_flash_cnt[1430][5]~46908_combout\,
	cout => \led_flash_cnt[1430][5]~46909\);

-- Location: FF_X13_Y29_N23
\led_flash_cnt[1430][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1430][5]~46908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1430][5]~q\);

-- Location: LCCOMB_X13_Y29_N24
\led_flash_cnt[1430][6]~46910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1430][6]~46910_combout\ = (\led_flash_cnt[1430][6]~q\ & (!\led_flash_cnt[1430][5]~46909\)) # (!\led_flash_cnt[1430][6]~q\ & ((\led_flash_cnt[1430][5]~46909\) # (GND)))
-- \led_flash_cnt[1430][6]~46911\ = CARRY((!\led_flash_cnt[1430][5]~46909\) # (!\led_flash_cnt[1430][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1430][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1430][5]~46909\,
	combout => \led_flash_cnt[1430][6]~46910_combout\,
	cout => \led_flash_cnt[1430][6]~46911\);

-- Location: FF_X13_Y29_N25
\led_flash_cnt[1430][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1430][6]~46910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1430][6]~q\);

-- Location: LCCOMB_X13_Y29_N26
\led_flash_cnt[1430][7]~46912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1430][7]~46912_combout\ = \led_flash_cnt[1430][7]~q\ $ (!\led_flash_cnt[1430][6]~46911\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1430][7]~q\,
	cin => \led_flash_cnt[1430][6]~46911\,
	combout => \led_flash_cnt[1430][7]~46912_combout\);

-- Location: FF_X13_Y29_N27
\led_flash_cnt[1430][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1430][7]~46912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1430][7]~q\);

-- Location: LCCOMB_X14_Y29_N28
\WideAnd1430~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1430~1_combout\ = (\led_flash_cnt[1430][5]~q\ & \led_flash_cnt[1430][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1430][5]~q\,
	datad => \led_flash_cnt[1430][6]~q\,
	combout => \WideAnd1430~1_combout\);

-- Location: LCCOMB_X13_Y29_N30
WideAnd1430 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1430~combout\ = (\led_flash_cnt[1430][0]~q\ & (\WideAnd1430~0_combout\ & (\led_flash_cnt[1430][7]~q\ & \WideAnd1430~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1430][0]~q\,
	datab => \WideAnd1430~0_combout\,
	datac => \led_flash_cnt[1430][7]~q\,
	datad => \WideAnd1430~1_combout\,
	combout => \WideAnd1430~combout\);

-- Location: FF_X13_Y29_N31
\led_flash_cnt_ands[1430]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1430~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1430));

-- Location: LCCOMB_X7_Y22_N30
\led_flash_cnt[1428][0]~82068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1428][0]~82068_combout\ = !\led_flash_cnt[1428][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1428][0]~q\,
	combout => \led_flash_cnt[1428][0]~82068_combout\);

-- Location: FF_X7_Y22_N31
\led_flash_cnt[1428][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1428][0]~82068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1428][0]~q\);

-- Location: LCCOMB_X7_Y22_N8
\led_flash_cnt[1428][1]~46872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1428][1]~46872_combout\ = (\led_flash_cnt[1428][0]~q\ & (\led_flash_cnt[1428][1]~q\ $ (VCC))) # (!\led_flash_cnt[1428][0]~q\ & (\led_flash_cnt[1428][1]~q\ & VCC))
-- \led_flash_cnt[1428][1]~46873\ = CARRY((\led_flash_cnt[1428][0]~q\ & \led_flash_cnt[1428][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1428][0]~q\,
	datab => \led_flash_cnt[1428][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1428][1]~46872_combout\,
	cout => \led_flash_cnt[1428][1]~46873\);

-- Location: FF_X7_Y22_N9
\led_flash_cnt[1428][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1428][1]~46872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1428][1]~q\);

-- Location: LCCOMB_X7_Y22_N10
\led_flash_cnt[1428][2]~46874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1428][2]~46874_combout\ = (\led_flash_cnt[1428][2]~q\ & (!\led_flash_cnt[1428][1]~46873\)) # (!\led_flash_cnt[1428][2]~q\ & ((\led_flash_cnt[1428][1]~46873\) # (GND)))
-- \led_flash_cnt[1428][2]~46875\ = CARRY((!\led_flash_cnt[1428][1]~46873\) # (!\led_flash_cnt[1428][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1428][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1428][1]~46873\,
	combout => \led_flash_cnt[1428][2]~46874_combout\,
	cout => \led_flash_cnt[1428][2]~46875\);

-- Location: FF_X7_Y22_N11
\led_flash_cnt[1428][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1428][2]~46874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1428][2]~q\);

-- Location: LCCOMB_X7_Y22_N12
\led_flash_cnt[1428][3]~46876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1428][3]~46876_combout\ = (\led_flash_cnt[1428][3]~q\ & (\led_flash_cnt[1428][2]~46875\ $ (GND))) # (!\led_flash_cnt[1428][3]~q\ & (!\led_flash_cnt[1428][2]~46875\ & VCC))
-- \led_flash_cnt[1428][3]~46877\ = CARRY((\led_flash_cnt[1428][3]~q\ & !\led_flash_cnt[1428][2]~46875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1428][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1428][2]~46875\,
	combout => \led_flash_cnt[1428][3]~46876_combout\,
	cout => \led_flash_cnt[1428][3]~46877\);

-- Location: FF_X7_Y22_N13
\led_flash_cnt[1428][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1428][3]~46876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1428][3]~q\);

-- Location: LCCOMB_X7_Y22_N14
\led_flash_cnt[1428][4]~46878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1428][4]~46878_combout\ = (\led_flash_cnt[1428][4]~q\ & (!\led_flash_cnt[1428][3]~46877\)) # (!\led_flash_cnt[1428][4]~q\ & ((\led_flash_cnt[1428][3]~46877\) # (GND)))
-- \led_flash_cnt[1428][4]~46879\ = CARRY((!\led_flash_cnt[1428][3]~46877\) # (!\led_flash_cnt[1428][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1428][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1428][3]~46877\,
	combout => \led_flash_cnt[1428][4]~46878_combout\,
	cout => \led_flash_cnt[1428][4]~46879\);

-- Location: FF_X7_Y22_N15
\led_flash_cnt[1428][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1428][4]~46878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1428][4]~q\);

-- Location: LCCOMB_X7_Y22_N16
\led_flash_cnt[1428][5]~46880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1428][5]~46880_combout\ = (\led_flash_cnt[1428][5]~q\ & (\led_flash_cnt[1428][4]~46879\ $ (GND))) # (!\led_flash_cnt[1428][5]~q\ & (!\led_flash_cnt[1428][4]~46879\ & VCC))
-- \led_flash_cnt[1428][5]~46881\ = CARRY((\led_flash_cnt[1428][5]~q\ & !\led_flash_cnt[1428][4]~46879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1428][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1428][4]~46879\,
	combout => \led_flash_cnt[1428][5]~46880_combout\,
	cout => \led_flash_cnt[1428][5]~46881\);

-- Location: FF_X7_Y22_N17
\led_flash_cnt[1428][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1428][5]~46880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1428][5]~q\);

-- Location: LCCOMB_X7_Y22_N18
\led_flash_cnt[1428][6]~46882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1428][6]~46882_combout\ = (\led_flash_cnt[1428][6]~q\ & (!\led_flash_cnt[1428][5]~46881\)) # (!\led_flash_cnt[1428][6]~q\ & ((\led_flash_cnt[1428][5]~46881\) # (GND)))
-- \led_flash_cnt[1428][6]~46883\ = CARRY((!\led_flash_cnt[1428][5]~46881\) # (!\led_flash_cnt[1428][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1428][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1428][5]~46881\,
	combout => \led_flash_cnt[1428][6]~46882_combout\,
	cout => \led_flash_cnt[1428][6]~46883\);

-- Location: FF_X7_Y22_N19
\led_flash_cnt[1428][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1428][6]~46882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1428][6]~q\);

-- Location: LCCOMB_X7_Y22_N20
\led_flash_cnt[1428][7]~46884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1428][7]~46884_combout\ = \led_flash_cnt[1428][6]~46883\ $ (!\led_flash_cnt[1428][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1428][7]~q\,
	cin => \led_flash_cnt[1428][6]~46883\,
	combout => \led_flash_cnt[1428][7]~46884_combout\);

-- Location: FF_X7_Y22_N21
\led_flash_cnt[1428][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1428][7]~46884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1428][7]~q\);

-- Location: LCCOMB_X7_Y22_N4
\WideAnd1428~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1428~1_combout\ = (\led_flash_cnt[1428][5]~q\ & \led_flash_cnt[1428][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1428][5]~q\,
	datad => \led_flash_cnt[1428][6]~q\,
	combout => \WideAnd1428~1_combout\);

-- Location: LCCOMB_X7_Y22_N28
\WideAnd1428~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1428~0_combout\ = (\led_flash_cnt[1428][3]~q\ & (\led_flash_cnt[1428][1]~q\ & (\led_flash_cnt[1428][4]~q\ & \led_flash_cnt[1428][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1428][3]~q\,
	datab => \led_flash_cnt[1428][1]~q\,
	datac => \led_flash_cnt[1428][4]~q\,
	datad => \led_flash_cnt[1428][2]~q\,
	combout => \WideAnd1428~0_combout\);

-- Location: LCCOMB_X7_Y22_N22
WideAnd1428 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1428~combout\ = (\led_flash_cnt[1428][0]~q\ & (\led_flash_cnt[1428][7]~q\ & (\WideAnd1428~1_combout\ & \WideAnd1428~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1428][0]~q\,
	datab => \led_flash_cnt[1428][7]~q\,
	datac => \WideAnd1428~1_combout\,
	datad => \WideAnd1428~0_combout\,
	combout => \WideAnd1428~combout\);

-- Location: FF_X7_Y22_N23
\led_flash_cnt_ands[1428]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1428~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1428));

-- Location: LCCOMB_X7_Y22_N6
\led_flash_cnt[1429][0]~82069\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1429][0]~82069_combout\ = !\led_flash_cnt[1429][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1429][0]~q\,
	combout => \led_flash_cnt[1429][0]~82069_combout\);

-- Location: FF_X7_Y22_N7
\led_flash_cnt[1429][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1429][0]~82069_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1429][0]~q\);

-- Location: LCCOMB_X8_Y22_N18
\led_flash_cnt[1429][1]~46886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1429][1]~46886_combout\ = (\led_flash_cnt[1429][0]~q\ & (\led_flash_cnt[1429][1]~q\ $ (VCC))) # (!\led_flash_cnt[1429][0]~q\ & (\led_flash_cnt[1429][1]~q\ & VCC))
-- \led_flash_cnt[1429][1]~46887\ = CARRY((\led_flash_cnt[1429][0]~q\ & \led_flash_cnt[1429][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1429][0]~q\,
	datab => \led_flash_cnt[1429][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1429][1]~46886_combout\,
	cout => \led_flash_cnt[1429][1]~46887\);

-- Location: FF_X8_Y22_N19
\led_flash_cnt[1429][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1429][1]~46886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1429][1]~q\);

-- Location: LCCOMB_X8_Y22_N20
\led_flash_cnt[1429][2]~46888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1429][2]~46888_combout\ = (\led_flash_cnt[1429][2]~q\ & (!\led_flash_cnt[1429][1]~46887\)) # (!\led_flash_cnt[1429][2]~q\ & ((\led_flash_cnt[1429][1]~46887\) # (GND)))
-- \led_flash_cnt[1429][2]~46889\ = CARRY((!\led_flash_cnt[1429][1]~46887\) # (!\led_flash_cnt[1429][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1429][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1429][1]~46887\,
	combout => \led_flash_cnt[1429][2]~46888_combout\,
	cout => \led_flash_cnt[1429][2]~46889\);

-- Location: FF_X8_Y22_N21
\led_flash_cnt[1429][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1429][2]~46888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1429][2]~q\);

-- Location: LCCOMB_X8_Y22_N22
\led_flash_cnt[1429][3]~46890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1429][3]~46890_combout\ = (\led_flash_cnt[1429][3]~q\ & (\led_flash_cnt[1429][2]~46889\ $ (GND))) # (!\led_flash_cnt[1429][3]~q\ & (!\led_flash_cnt[1429][2]~46889\ & VCC))
-- \led_flash_cnt[1429][3]~46891\ = CARRY((\led_flash_cnt[1429][3]~q\ & !\led_flash_cnt[1429][2]~46889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1429][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1429][2]~46889\,
	combout => \led_flash_cnt[1429][3]~46890_combout\,
	cout => \led_flash_cnt[1429][3]~46891\);

-- Location: FF_X8_Y22_N23
\led_flash_cnt[1429][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1429][3]~46890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1429][3]~q\);

-- Location: LCCOMB_X8_Y22_N24
\led_flash_cnt[1429][4]~46892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1429][4]~46892_combout\ = (\led_flash_cnt[1429][4]~q\ & (!\led_flash_cnt[1429][3]~46891\)) # (!\led_flash_cnt[1429][4]~q\ & ((\led_flash_cnt[1429][3]~46891\) # (GND)))
-- \led_flash_cnt[1429][4]~46893\ = CARRY((!\led_flash_cnt[1429][3]~46891\) # (!\led_flash_cnt[1429][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1429][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1429][3]~46891\,
	combout => \led_flash_cnt[1429][4]~46892_combout\,
	cout => \led_flash_cnt[1429][4]~46893\);

-- Location: FF_X8_Y22_N25
\led_flash_cnt[1429][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1429][4]~46892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1429][4]~q\);

-- Location: LCCOMB_X8_Y22_N26
\led_flash_cnt[1429][5]~46894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1429][5]~46894_combout\ = (\led_flash_cnt[1429][5]~q\ & (\led_flash_cnt[1429][4]~46893\ $ (GND))) # (!\led_flash_cnt[1429][5]~q\ & (!\led_flash_cnt[1429][4]~46893\ & VCC))
-- \led_flash_cnt[1429][5]~46895\ = CARRY((\led_flash_cnt[1429][5]~q\ & !\led_flash_cnt[1429][4]~46893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1429][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1429][4]~46893\,
	combout => \led_flash_cnt[1429][5]~46894_combout\,
	cout => \led_flash_cnt[1429][5]~46895\);

-- Location: FF_X8_Y22_N27
\led_flash_cnt[1429][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1429][5]~46894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1429][5]~q\);

-- Location: LCCOMB_X8_Y22_N28
\led_flash_cnt[1429][6]~46896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1429][6]~46896_combout\ = (\led_flash_cnt[1429][6]~q\ & (!\led_flash_cnt[1429][5]~46895\)) # (!\led_flash_cnt[1429][6]~q\ & ((\led_flash_cnt[1429][5]~46895\) # (GND)))
-- \led_flash_cnt[1429][6]~46897\ = CARRY((!\led_flash_cnt[1429][5]~46895\) # (!\led_flash_cnt[1429][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1429][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1429][5]~46895\,
	combout => \led_flash_cnt[1429][6]~46896_combout\,
	cout => \led_flash_cnt[1429][6]~46897\);

-- Location: FF_X8_Y22_N29
\led_flash_cnt[1429][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1429][6]~46896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1429][6]~q\);

-- Location: LCCOMB_X7_Y22_N26
\WideAnd1429~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1429~1_combout\ = (\led_flash_cnt[1429][5]~q\ & \led_flash_cnt[1429][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1429][5]~q\,
	datad => \led_flash_cnt[1429][6]~q\,
	combout => \WideAnd1429~1_combout\);

-- Location: LCCOMB_X8_Y22_N16
\WideAnd1429~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1429~0_combout\ = (\led_flash_cnt[1429][4]~q\ & (\led_flash_cnt[1429][1]~q\ & (\led_flash_cnt[1429][3]~q\ & \led_flash_cnt[1429][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1429][4]~q\,
	datab => \led_flash_cnt[1429][1]~q\,
	datac => \led_flash_cnt[1429][3]~q\,
	datad => \led_flash_cnt[1429][2]~q\,
	combout => \WideAnd1429~0_combout\);

-- Location: LCCOMB_X8_Y22_N30
\led_flash_cnt[1429][7]~46898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1429][7]~46898_combout\ = \led_flash_cnt[1429][7]~q\ $ (!\led_flash_cnt[1429][6]~46897\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1429][7]~q\,
	cin => \led_flash_cnt[1429][6]~46897\,
	combout => \led_flash_cnt[1429][7]~46898_combout\);

-- Location: FF_X8_Y22_N31
\led_flash_cnt[1429][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1429][7]~46898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1429][7]~q\);

-- Location: LCCOMB_X7_Y22_N2
WideAnd1429 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1429~combout\ = (\WideAnd1429~1_combout\ & (\WideAnd1429~0_combout\ & (\led_flash_cnt[1429][7]~q\ & \led_flash_cnt[1429][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1429~1_combout\,
	datab => \WideAnd1429~0_combout\,
	datac => \led_flash_cnt[1429][7]~q\,
	datad => \led_flash_cnt[1429][0]~q\,
	combout => \WideAnd1429~combout\);

-- Location: FF_X7_Y22_N3
\led_flash_cnt_ands[1429]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1429~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1429));

-- Location: LCCOMB_X7_Y22_N24
\WideAnd4018~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4018~1_combout\ = (led_flash_cnt_ands(1428) & led_flash_cnt_ands(1429))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1428),
	datad => led_flash_cnt_ands(1429),
	combout => \WideAnd4018~1_combout\);

-- Location: LCCOMB_X16_Y2_N26
\led_flash_cnt[1424][0]~82064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1424][0]~82064_combout\ = !\led_flash_cnt[1424][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1424][0]~q\,
	combout => \led_flash_cnt[1424][0]~82064_combout\);

-- Location: FF_X16_Y2_N27
\led_flash_cnt[1424][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1424][0]~82064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1424][0]~q\);

-- Location: LCCOMB_X16_Y2_N4
\led_flash_cnt[1424][1]~46816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1424][1]~46816_combout\ = (\led_flash_cnt[1424][0]~q\ & (\led_flash_cnt[1424][1]~q\ $ (VCC))) # (!\led_flash_cnt[1424][0]~q\ & (\led_flash_cnt[1424][1]~q\ & VCC))
-- \led_flash_cnt[1424][1]~46817\ = CARRY((\led_flash_cnt[1424][0]~q\ & \led_flash_cnt[1424][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1424][0]~q\,
	datab => \led_flash_cnt[1424][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1424][1]~46816_combout\,
	cout => \led_flash_cnt[1424][1]~46817\);

-- Location: FF_X16_Y2_N5
\led_flash_cnt[1424][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1424][1]~46816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1424][1]~q\);

-- Location: LCCOMB_X16_Y2_N6
\led_flash_cnt[1424][2]~46818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1424][2]~46818_combout\ = (\led_flash_cnt[1424][2]~q\ & (!\led_flash_cnt[1424][1]~46817\)) # (!\led_flash_cnt[1424][2]~q\ & ((\led_flash_cnt[1424][1]~46817\) # (GND)))
-- \led_flash_cnt[1424][2]~46819\ = CARRY((!\led_flash_cnt[1424][1]~46817\) # (!\led_flash_cnt[1424][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1424][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1424][1]~46817\,
	combout => \led_flash_cnt[1424][2]~46818_combout\,
	cout => \led_flash_cnt[1424][2]~46819\);

-- Location: FF_X16_Y2_N7
\led_flash_cnt[1424][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1424][2]~46818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1424][2]~q\);

-- Location: LCCOMB_X16_Y2_N8
\led_flash_cnt[1424][3]~46820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1424][3]~46820_combout\ = (\led_flash_cnt[1424][3]~q\ & (\led_flash_cnt[1424][2]~46819\ $ (GND))) # (!\led_flash_cnt[1424][3]~q\ & (!\led_flash_cnt[1424][2]~46819\ & VCC))
-- \led_flash_cnt[1424][3]~46821\ = CARRY((\led_flash_cnt[1424][3]~q\ & !\led_flash_cnt[1424][2]~46819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1424][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1424][2]~46819\,
	combout => \led_flash_cnt[1424][3]~46820_combout\,
	cout => \led_flash_cnt[1424][3]~46821\);

-- Location: FF_X16_Y2_N9
\led_flash_cnt[1424][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1424][3]~46820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1424][3]~q\);

-- Location: LCCOMB_X16_Y2_N10
\led_flash_cnt[1424][4]~46822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1424][4]~46822_combout\ = (\led_flash_cnt[1424][4]~q\ & (!\led_flash_cnt[1424][3]~46821\)) # (!\led_flash_cnt[1424][4]~q\ & ((\led_flash_cnt[1424][3]~46821\) # (GND)))
-- \led_flash_cnt[1424][4]~46823\ = CARRY((!\led_flash_cnt[1424][3]~46821\) # (!\led_flash_cnt[1424][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1424][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1424][3]~46821\,
	combout => \led_flash_cnt[1424][4]~46822_combout\,
	cout => \led_flash_cnt[1424][4]~46823\);

-- Location: FF_X16_Y2_N11
\led_flash_cnt[1424][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1424][4]~46822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1424][4]~q\);

-- Location: LCCOMB_X16_Y2_N12
\led_flash_cnt[1424][5]~46824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1424][5]~46824_combout\ = (\led_flash_cnt[1424][5]~q\ & (\led_flash_cnt[1424][4]~46823\ $ (GND))) # (!\led_flash_cnt[1424][5]~q\ & (!\led_flash_cnt[1424][4]~46823\ & VCC))
-- \led_flash_cnt[1424][5]~46825\ = CARRY((\led_flash_cnt[1424][5]~q\ & !\led_flash_cnt[1424][4]~46823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1424][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1424][4]~46823\,
	combout => \led_flash_cnt[1424][5]~46824_combout\,
	cout => \led_flash_cnt[1424][5]~46825\);

-- Location: FF_X16_Y2_N13
\led_flash_cnt[1424][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1424][5]~46824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1424][5]~q\);

-- Location: LCCOMB_X16_Y2_N14
\led_flash_cnt[1424][6]~46826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1424][6]~46826_combout\ = (\led_flash_cnt[1424][6]~q\ & (!\led_flash_cnt[1424][5]~46825\)) # (!\led_flash_cnt[1424][6]~q\ & ((\led_flash_cnt[1424][5]~46825\) # (GND)))
-- \led_flash_cnt[1424][6]~46827\ = CARRY((!\led_flash_cnt[1424][5]~46825\) # (!\led_flash_cnt[1424][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1424][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1424][5]~46825\,
	combout => \led_flash_cnt[1424][6]~46826_combout\,
	cout => \led_flash_cnt[1424][6]~46827\);

-- Location: FF_X16_Y2_N15
\led_flash_cnt[1424][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1424][6]~46826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1424][6]~q\);

-- Location: LCCOMB_X16_Y2_N20
\WideAnd1424~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1424~1_combout\ = (\led_flash_cnt[1424][6]~q\ & \led_flash_cnt[1424][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1424][6]~q\,
	datad => \led_flash_cnt[1424][5]~q\,
	combout => \WideAnd1424~1_combout\);

-- Location: LCCOMB_X16_Y2_N22
\WideAnd1424~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1424~0_combout\ = (\led_flash_cnt[1424][4]~q\ & (\led_flash_cnt[1424][1]~q\ & (\led_flash_cnt[1424][3]~q\ & \led_flash_cnt[1424][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1424][4]~q\,
	datab => \led_flash_cnt[1424][1]~q\,
	datac => \led_flash_cnt[1424][3]~q\,
	datad => \led_flash_cnt[1424][2]~q\,
	combout => \WideAnd1424~0_combout\);

-- Location: LCCOMB_X16_Y2_N16
\led_flash_cnt[1424][7]~46828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1424][7]~46828_combout\ = \led_flash_cnt[1424][6]~46827\ $ (!\led_flash_cnt[1424][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1424][7]~q\,
	cin => \led_flash_cnt[1424][6]~46827\,
	combout => \led_flash_cnt[1424][7]~46828_combout\);

-- Location: FF_X16_Y2_N17
\led_flash_cnt[1424][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1424][7]~46828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1424][7]~q\);

-- Location: LCCOMB_X16_Y2_N2
WideAnd1424 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1424~combout\ = (\led_flash_cnt[1424][0]~q\ & (\WideAnd1424~1_combout\ & (\WideAnd1424~0_combout\ & \led_flash_cnt[1424][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1424][0]~q\,
	datab => \WideAnd1424~1_combout\,
	datac => \WideAnd1424~0_combout\,
	datad => \led_flash_cnt[1424][7]~q\,
	combout => \WideAnd1424~combout\);

-- Location: FF_X16_Y2_N3
\led_flash_cnt_ands[1424]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1424~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1424));

-- Location: LCCOMB_X39_Y17_N10
\led_flash_cnt[1426][0]~82066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1426][0]~82066_combout\ = !\led_flash_cnt[1426][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1426][0]~q\,
	combout => \led_flash_cnt[1426][0]~82066_combout\);

-- Location: FF_X39_Y17_N11
\led_flash_cnt[1426][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1426][0]~82066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1426][0]~q\);

-- Location: LCCOMB_X39_Y17_N18
\led_flash_cnt[1426][1]~46844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1426][1]~46844_combout\ = (\led_flash_cnt[1426][0]~q\ & (\led_flash_cnt[1426][1]~q\ $ (VCC))) # (!\led_flash_cnt[1426][0]~q\ & (\led_flash_cnt[1426][1]~q\ & VCC))
-- \led_flash_cnt[1426][1]~46845\ = CARRY((\led_flash_cnt[1426][0]~q\ & \led_flash_cnt[1426][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1426][0]~q\,
	datab => \led_flash_cnt[1426][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1426][1]~46844_combout\,
	cout => \led_flash_cnt[1426][1]~46845\);

-- Location: FF_X39_Y17_N19
\led_flash_cnt[1426][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1426][1]~46844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1426][1]~q\);

-- Location: LCCOMB_X39_Y17_N20
\led_flash_cnt[1426][2]~46846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1426][2]~46846_combout\ = (\led_flash_cnt[1426][2]~q\ & (!\led_flash_cnt[1426][1]~46845\)) # (!\led_flash_cnt[1426][2]~q\ & ((\led_flash_cnt[1426][1]~46845\) # (GND)))
-- \led_flash_cnt[1426][2]~46847\ = CARRY((!\led_flash_cnt[1426][1]~46845\) # (!\led_flash_cnt[1426][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1426][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1426][1]~46845\,
	combout => \led_flash_cnt[1426][2]~46846_combout\,
	cout => \led_flash_cnt[1426][2]~46847\);

-- Location: FF_X39_Y17_N21
\led_flash_cnt[1426][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1426][2]~46846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1426][2]~q\);

-- Location: LCCOMB_X39_Y17_N22
\led_flash_cnt[1426][3]~46848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1426][3]~46848_combout\ = (\led_flash_cnt[1426][3]~q\ & (\led_flash_cnt[1426][2]~46847\ $ (GND))) # (!\led_flash_cnt[1426][3]~q\ & (!\led_flash_cnt[1426][2]~46847\ & VCC))
-- \led_flash_cnt[1426][3]~46849\ = CARRY((\led_flash_cnt[1426][3]~q\ & !\led_flash_cnt[1426][2]~46847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1426][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1426][2]~46847\,
	combout => \led_flash_cnt[1426][3]~46848_combout\,
	cout => \led_flash_cnt[1426][3]~46849\);

-- Location: FF_X39_Y17_N23
\led_flash_cnt[1426][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1426][3]~46848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1426][3]~q\);

-- Location: LCCOMB_X39_Y17_N24
\led_flash_cnt[1426][4]~46850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1426][4]~46850_combout\ = (\led_flash_cnt[1426][4]~q\ & (!\led_flash_cnt[1426][3]~46849\)) # (!\led_flash_cnt[1426][4]~q\ & ((\led_flash_cnt[1426][3]~46849\) # (GND)))
-- \led_flash_cnt[1426][4]~46851\ = CARRY((!\led_flash_cnt[1426][3]~46849\) # (!\led_flash_cnt[1426][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1426][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1426][3]~46849\,
	combout => \led_flash_cnt[1426][4]~46850_combout\,
	cout => \led_flash_cnt[1426][4]~46851\);

-- Location: FF_X39_Y17_N25
\led_flash_cnt[1426][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1426][4]~46850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1426][4]~q\);

-- Location: LCCOMB_X39_Y17_N26
\led_flash_cnt[1426][5]~46852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1426][5]~46852_combout\ = (\led_flash_cnt[1426][5]~q\ & (\led_flash_cnt[1426][4]~46851\ $ (GND))) # (!\led_flash_cnt[1426][5]~q\ & (!\led_flash_cnt[1426][4]~46851\ & VCC))
-- \led_flash_cnt[1426][5]~46853\ = CARRY((\led_flash_cnt[1426][5]~q\ & !\led_flash_cnt[1426][4]~46851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1426][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1426][4]~46851\,
	combout => \led_flash_cnt[1426][5]~46852_combout\,
	cout => \led_flash_cnt[1426][5]~46853\);

-- Location: FF_X39_Y17_N27
\led_flash_cnt[1426][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1426][5]~46852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1426][5]~q\);

-- Location: LCCOMB_X39_Y17_N28
\led_flash_cnt[1426][6]~46854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1426][6]~46854_combout\ = (\led_flash_cnt[1426][6]~q\ & (!\led_flash_cnt[1426][5]~46853\)) # (!\led_flash_cnt[1426][6]~q\ & ((\led_flash_cnt[1426][5]~46853\) # (GND)))
-- \led_flash_cnt[1426][6]~46855\ = CARRY((!\led_flash_cnt[1426][5]~46853\) # (!\led_flash_cnt[1426][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1426][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1426][5]~46853\,
	combout => \led_flash_cnt[1426][6]~46854_combout\,
	cout => \led_flash_cnt[1426][6]~46855\);

-- Location: FF_X39_Y17_N29
\led_flash_cnt[1426][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1426][6]~46854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1426][6]~q\);

-- Location: LCCOMB_X39_Y17_N4
\WideAnd1426~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1426~1_combout\ = (\led_flash_cnt[1426][5]~q\ & \led_flash_cnt[1426][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1426][5]~q\,
	datad => \led_flash_cnt[1426][6]~q\,
	combout => \WideAnd1426~1_combout\);

-- Location: LCCOMB_X39_Y17_N30
\led_flash_cnt[1426][7]~46856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1426][7]~46856_combout\ = \led_flash_cnt[1426][7]~q\ $ (!\led_flash_cnt[1426][6]~46855\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1426][7]~q\,
	cin => \led_flash_cnt[1426][6]~46855\,
	combout => \led_flash_cnt[1426][7]~46856_combout\);

-- Location: FF_X39_Y17_N31
\led_flash_cnt[1426][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1426][7]~46856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1426][7]~q\);

-- Location: LCCOMB_X39_Y17_N0
\WideAnd1426~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1426~0_combout\ = (\led_flash_cnt[1426][2]~q\ & (\led_flash_cnt[1426][1]~q\ & (\led_flash_cnt[1426][3]~q\ & \led_flash_cnt[1426][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1426][2]~q\,
	datab => \led_flash_cnt[1426][1]~q\,
	datac => \led_flash_cnt[1426][3]~q\,
	datad => \led_flash_cnt[1426][4]~q\,
	combout => \WideAnd1426~0_combout\);

-- Location: LCCOMB_X39_Y17_N8
WideAnd1426 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1426~combout\ = (\led_flash_cnt[1426][0]~q\ & (\WideAnd1426~1_combout\ & (\led_flash_cnt[1426][7]~q\ & \WideAnd1426~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1426][0]~q\,
	datab => \WideAnd1426~1_combout\,
	datac => \led_flash_cnt[1426][7]~q\,
	datad => \WideAnd1426~0_combout\,
	combout => \WideAnd1426~combout\);

-- Location: FF_X39_Y17_N9
\led_flash_cnt_ands[1426]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1426~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1426));

-- Location: LCCOMB_X39_Y21_N28
\led_flash_cnt[1427][0]~82067\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1427][0]~82067_combout\ = !\led_flash_cnt[1427][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1427][0]~q\,
	combout => \led_flash_cnt[1427][0]~82067_combout\);

-- Location: FF_X39_Y21_N29
\led_flash_cnt[1427][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1427][0]~82067_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1427][0]~q\);

-- Location: LCCOMB_X39_Y19_N16
\led_flash_cnt[1427][1]~46858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1427][1]~46858_combout\ = (\led_flash_cnt[1427][0]~q\ & (\led_flash_cnt[1427][1]~q\ $ (VCC))) # (!\led_flash_cnt[1427][0]~q\ & (\led_flash_cnt[1427][1]~q\ & VCC))
-- \led_flash_cnt[1427][1]~46859\ = CARRY((\led_flash_cnt[1427][0]~q\ & \led_flash_cnt[1427][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1427][0]~q\,
	datab => \led_flash_cnt[1427][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1427][1]~46858_combout\,
	cout => \led_flash_cnt[1427][1]~46859\);

-- Location: FF_X39_Y19_N17
\led_flash_cnt[1427][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1427][1]~46858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1427][1]~q\);

-- Location: LCCOMB_X39_Y19_N18
\led_flash_cnt[1427][2]~46860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1427][2]~46860_combout\ = (\led_flash_cnt[1427][2]~q\ & (!\led_flash_cnt[1427][1]~46859\)) # (!\led_flash_cnt[1427][2]~q\ & ((\led_flash_cnt[1427][1]~46859\) # (GND)))
-- \led_flash_cnt[1427][2]~46861\ = CARRY((!\led_flash_cnt[1427][1]~46859\) # (!\led_flash_cnt[1427][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1427][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1427][1]~46859\,
	combout => \led_flash_cnt[1427][2]~46860_combout\,
	cout => \led_flash_cnt[1427][2]~46861\);

-- Location: FF_X39_Y19_N19
\led_flash_cnt[1427][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1427][2]~46860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1427][2]~q\);

-- Location: LCCOMB_X39_Y19_N20
\led_flash_cnt[1427][3]~46862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1427][3]~46862_combout\ = (\led_flash_cnt[1427][3]~q\ & (\led_flash_cnt[1427][2]~46861\ $ (GND))) # (!\led_flash_cnt[1427][3]~q\ & (!\led_flash_cnt[1427][2]~46861\ & VCC))
-- \led_flash_cnt[1427][3]~46863\ = CARRY((\led_flash_cnt[1427][3]~q\ & !\led_flash_cnt[1427][2]~46861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1427][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1427][2]~46861\,
	combout => \led_flash_cnt[1427][3]~46862_combout\,
	cout => \led_flash_cnt[1427][3]~46863\);

-- Location: FF_X39_Y19_N21
\led_flash_cnt[1427][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1427][3]~46862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1427][3]~q\);

-- Location: LCCOMB_X39_Y19_N22
\led_flash_cnt[1427][4]~46864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1427][4]~46864_combout\ = (\led_flash_cnt[1427][4]~q\ & (!\led_flash_cnt[1427][3]~46863\)) # (!\led_flash_cnt[1427][4]~q\ & ((\led_flash_cnt[1427][3]~46863\) # (GND)))
-- \led_flash_cnt[1427][4]~46865\ = CARRY((!\led_flash_cnt[1427][3]~46863\) # (!\led_flash_cnt[1427][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1427][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1427][3]~46863\,
	combout => \led_flash_cnt[1427][4]~46864_combout\,
	cout => \led_flash_cnt[1427][4]~46865\);

-- Location: FF_X39_Y19_N23
\led_flash_cnt[1427][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1427][4]~46864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1427][4]~q\);

-- Location: LCCOMB_X39_Y19_N24
\led_flash_cnt[1427][5]~46866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1427][5]~46866_combout\ = (\led_flash_cnt[1427][5]~q\ & (\led_flash_cnt[1427][4]~46865\ $ (GND))) # (!\led_flash_cnt[1427][5]~q\ & (!\led_flash_cnt[1427][4]~46865\ & VCC))
-- \led_flash_cnt[1427][5]~46867\ = CARRY((\led_flash_cnt[1427][5]~q\ & !\led_flash_cnt[1427][4]~46865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1427][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1427][4]~46865\,
	combout => \led_flash_cnt[1427][5]~46866_combout\,
	cout => \led_flash_cnt[1427][5]~46867\);

-- Location: FF_X39_Y19_N25
\led_flash_cnt[1427][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1427][5]~46866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1427][5]~q\);

-- Location: LCCOMB_X39_Y19_N26
\led_flash_cnt[1427][6]~46868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1427][6]~46868_combout\ = (\led_flash_cnt[1427][6]~q\ & (!\led_flash_cnt[1427][5]~46867\)) # (!\led_flash_cnt[1427][6]~q\ & ((\led_flash_cnt[1427][5]~46867\) # (GND)))
-- \led_flash_cnt[1427][6]~46869\ = CARRY((!\led_flash_cnt[1427][5]~46867\) # (!\led_flash_cnt[1427][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1427][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1427][5]~46867\,
	combout => \led_flash_cnt[1427][6]~46868_combout\,
	cout => \led_flash_cnt[1427][6]~46869\);

-- Location: FF_X39_Y19_N27
\led_flash_cnt[1427][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1427][6]~46868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1427][6]~q\);

-- Location: LCCOMB_X39_Y19_N28
\led_flash_cnt[1427][7]~46870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1427][7]~46870_combout\ = \led_flash_cnt[1427][6]~46869\ $ (!\led_flash_cnt[1427][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1427][7]~q\,
	cin => \led_flash_cnt[1427][6]~46869\,
	combout => \led_flash_cnt[1427][7]~46870_combout\);

-- Location: FF_X39_Y19_N29
\led_flash_cnt[1427][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1427][7]~46870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1427][7]~q\);

-- Location: LCCOMB_X39_Y19_N14
\WideAnd1427~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1427~0_combout\ = (\led_flash_cnt[1427][1]~q\ & (\led_flash_cnt[1427][2]~q\ & (\led_flash_cnt[1427][4]~q\ & \led_flash_cnt[1427][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1427][1]~q\,
	datab => \led_flash_cnt[1427][2]~q\,
	datac => \led_flash_cnt[1427][4]~q\,
	datad => \led_flash_cnt[1427][3]~q\,
	combout => \WideAnd1427~0_combout\);

-- Location: LCCOMB_X39_Y21_N18
\WideAnd1427~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1427~1_combout\ = (\led_flash_cnt[1427][6]~q\ & \led_flash_cnt[1427][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1427][6]~q\,
	datad => \led_flash_cnt[1427][5]~q\,
	combout => \WideAnd1427~1_combout\);

-- Location: LCCOMB_X39_Y21_N0
WideAnd1427 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1427~combout\ = (\led_flash_cnt[1427][7]~q\ & (\led_flash_cnt[1427][0]~q\ & (\WideAnd1427~0_combout\ & \WideAnd1427~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1427][7]~q\,
	datab => \led_flash_cnt[1427][0]~q\,
	datac => \WideAnd1427~0_combout\,
	datad => \WideAnd1427~1_combout\,
	combout => \WideAnd1427~combout\);

-- Location: FF_X39_Y21_N1
\led_flash_cnt_ands[1427]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1427~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1427));

-- Location: LCCOMB_X16_Y2_N18
\led_flash_cnt[1425][0]~82065\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1425][0]~82065_combout\ = !\led_flash_cnt[1425][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1425][0]~q\,
	combout => \led_flash_cnt[1425][0]~82065_combout\);

-- Location: FF_X16_Y2_N19
\led_flash_cnt[1425][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1425][0]~82065_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1425][0]~q\);

-- Location: LCCOMB_X17_Y2_N16
\led_flash_cnt[1425][1]~46830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1425][1]~46830_combout\ = (\led_flash_cnt[1425][0]~q\ & (\led_flash_cnt[1425][1]~q\ $ (VCC))) # (!\led_flash_cnt[1425][0]~q\ & (\led_flash_cnt[1425][1]~q\ & VCC))
-- \led_flash_cnt[1425][1]~46831\ = CARRY((\led_flash_cnt[1425][0]~q\ & \led_flash_cnt[1425][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1425][0]~q\,
	datab => \led_flash_cnt[1425][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1425][1]~46830_combout\,
	cout => \led_flash_cnt[1425][1]~46831\);

-- Location: FF_X17_Y2_N17
\led_flash_cnt[1425][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1425][1]~46830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1425][1]~q\);

-- Location: LCCOMB_X17_Y2_N18
\led_flash_cnt[1425][2]~46832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1425][2]~46832_combout\ = (\led_flash_cnt[1425][2]~q\ & (!\led_flash_cnt[1425][1]~46831\)) # (!\led_flash_cnt[1425][2]~q\ & ((\led_flash_cnt[1425][1]~46831\) # (GND)))
-- \led_flash_cnt[1425][2]~46833\ = CARRY((!\led_flash_cnt[1425][1]~46831\) # (!\led_flash_cnt[1425][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1425][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1425][1]~46831\,
	combout => \led_flash_cnt[1425][2]~46832_combout\,
	cout => \led_flash_cnt[1425][2]~46833\);

-- Location: FF_X17_Y2_N19
\led_flash_cnt[1425][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1425][2]~46832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1425][2]~q\);

-- Location: LCCOMB_X17_Y2_N20
\led_flash_cnt[1425][3]~46834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1425][3]~46834_combout\ = (\led_flash_cnt[1425][3]~q\ & (\led_flash_cnt[1425][2]~46833\ $ (GND))) # (!\led_flash_cnt[1425][3]~q\ & (!\led_flash_cnt[1425][2]~46833\ & VCC))
-- \led_flash_cnt[1425][3]~46835\ = CARRY((\led_flash_cnt[1425][3]~q\ & !\led_flash_cnt[1425][2]~46833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1425][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1425][2]~46833\,
	combout => \led_flash_cnt[1425][3]~46834_combout\,
	cout => \led_flash_cnt[1425][3]~46835\);

-- Location: FF_X17_Y2_N21
\led_flash_cnt[1425][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1425][3]~46834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1425][3]~q\);

-- Location: LCCOMB_X17_Y2_N22
\led_flash_cnt[1425][4]~46836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1425][4]~46836_combout\ = (\led_flash_cnt[1425][4]~q\ & (!\led_flash_cnt[1425][3]~46835\)) # (!\led_flash_cnt[1425][4]~q\ & ((\led_flash_cnt[1425][3]~46835\) # (GND)))
-- \led_flash_cnt[1425][4]~46837\ = CARRY((!\led_flash_cnt[1425][3]~46835\) # (!\led_flash_cnt[1425][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1425][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1425][3]~46835\,
	combout => \led_flash_cnt[1425][4]~46836_combout\,
	cout => \led_flash_cnt[1425][4]~46837\);

-- Location: FF_X17_Y2_N23
\led_flash_cnt[1425][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1425][4]~46836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1425][4]~q\);

-- Location: LCCOMB_X17_Y2_N30
\WideAnd1425~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1425~0_combout\ = (\led_flash_cnt[1425][1]~q\ & (\led_flash_cnt[1425][2]~q\ & (\led_flash_cnt[1425][4]~q\ & \led_flash_cnt[1425][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1425][1]~q\,
	datab => \led_flash_cnt[1425][2]~q\,
	datac => \led_flash_cnt[1425][4]~q\,
	datad => \led_flash_cnt[1425][3]~q\,
	combout => \WideAnd1425~0_combout\);

-- Location: LCCOMB_X17_Y2_N24
\led_flash_cnt[1425][5]~46838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1425][5]~46838_combout\ = (\led_flash_cnt[1425][5]~q\ & (\led_flash_cnt[1425][4]~46837\ $ (GND))) # (!\led_flash_cnt[1425][5]~q\ & (!\led_flash_cnt[1425][4]~46837\ & VCC))
-- \led_flash_cnt[1425][5]~46839\ = CARRY((\led_flash_cnt[1425][5]~q\ & !\led_flash_cnt[1425][4]~46837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1425][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1425][4]~46837\,
	combout => \led_flash_cnt[1425][5]~46838_combout\,
	cout => \led_flash_cnt[1425][5]~46839\);

-- Location: FF_X17_Y2_N25
\led_flash_cnt[1425][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1425][5]~46838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1425][5]~q\);

-- Location: LCCOMB_X17_Y2_N26
\led_flash_cnt[1425][6]~46840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1425][6]~46840_combout\ = (\led_flash_cnt[1425][6]~q\ & (!\led_flash_cnt[1425][5]~46839\)) # (!\led_flash_cnt[1425][6]~q\ & ((\led_flash_cnt[1425][5]~46839\) # (GND)))
-- \led_flash_cnt[1425][6]~46841\ = CARRY((!\led_flash_cnt[1425][5]~46839\) # (!\led_flash_cnt[1425][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1425][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1425][5]~46839\,
	combout => \led_flash_cnt[1425][6]~46840_combout\,
	cout => \led_flash_cnt[1425][6]~46841\);

-- Location: FF_X17_Y2_N27
\led_flash_cnt[1425][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1425][6]~46840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1425][6]~q\);

-- Location: LCCOMB_X16_Y2_N30
\WideAnd1425~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1425~1_combout\ = (\led_flash_cnt[1425][5]~q\ & \led_flash_cnt[1425][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1425][5]~q\,
	datad => \led_flash_cnt[1425][6]~q\,
	combout => \WideAnd1425~1_combout\);

-- Location: LCCOMB_X17_Y2_N28
\led_flash_cnt[1425][7]~46842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1425][7]~46842_combout\ = \led_flash_cnt[1425][6]~46841\ $ (!\led_flash_cnt[1425][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1425][7]~q\,
	cin => \led_flash_cnt[1425][6]~46841\,
	combout => \led_flash_cnt[1425][7]~46842_combout\);

-- Location: FF_X17_Y2_N29
\led_flash_cnt[1425][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1425][7]~46842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1425][7]~q\);

-- Location: LCCOMB_X16_Y2_N28
WideAnd1425 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1425~combout\ = (\WideAnd1425~0_combout\ & (\led_flash_cnt[1425][0]~q\ & (\WideAnd1425~1_combout\ & \led_flash_cnt[1425][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1425~0_combout\,
	datab => \led_flash_cnt[1425][0]~q\,
	datac => \WideAnd1425~1_combout\,
	datad => \led_flash_cnt[1425][7]~q\,
	combout => \WideAnd1425~combout\);

-- Location: FF_X16_Y2_N29
\led_flash_cnt_ands[1425]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1425~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1425));

-- Location: LCCOMB_X15_Y2_N18
\WideAnd4018~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4018~0_combout\ = (led_flash_cnt_ands(1424) & (led_flash_cnt_ands(1426) & (led_flash_cnt_ands(1427) & led_flash_cnt_ands(1425))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1424),
	datab => led_flash_cnt_ands(1426),
	datac => led_flash_cnt_ands(1427),
	datad => led_flash_cnt_ands(1425),
	combout => \WideAnd4018~0_combout\);

-- Location: LCCOMB_X14_Y25_N22
WideAnd4018 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4018~combout\ = (led_flash_cnt_ands(1431) & (led_flash_cnt_ands(1430) & (\WideAnd4018~1_combout\ & \WideAnd4018~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1431),
	datab => led_flash_cnt_ands(1430),
	datac => \WideAnd4018~1_combout\,
	datad => \WideAnd4018~0_combout\,
	combout => \WideAnd4018~combout\);

-- Location: FF_X14_Y25_N23
\led_flash_cnt_ands_1[178]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4018~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(178));

-- Location: LCCOMB_X8_Y4_N26
\led_flash_cnt[1422][0]~82062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1422][0]~82062_combout\ = !\led_flash_cnt[1422][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1422][0]~q\,
	combout => \led_flash_cnt[1422][0]~82062_combout\);

-- Location: FF_X8_Y4_N27
\led_flash_cnt[1422][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1422][0]~82062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1422][0]~q\);

-- Location: LCCOMB_X8_Y4_N0
\led_flash_cnt[1422][1]~46788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1422][1]~46788_combout\ = (\led_flash_cnt[1422][0]~q\ & (\led_flash_cnt[1422][1]~q\ $ (VCC))) # (!\led_flash_cnt[1422][0]~q\ & (\led_flash_cnt[1422][1]~q\ & VCC))
-- \led_flash_cnt[1422][1]~46789\ = CARRY((\led_flash_cnt[1422][0]~q\ & \led_flash_cnt[1422][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1422][0]~q\,
	datab => \led_flash_cnt[1422][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1422][1]~46788_combout\,
	cout => \led_flash_cnt[1422][1]~46789\);

-- Location: FF_X8_Y4_N1
\led_flash_cnt[1422][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1422][1]~46788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1422][1]~q\);

-- Location: LCCOMB_X8_Y4_N2
\led_flash_cnt[1422][2]~46790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1422][2]~46790_combout\ = (\led_flash_cnt[1422][2]~q\ & (!\led_flash_cnt[1422][1]~46789\)) # (!\led_flash_cnt[1422][2]~q\ & ((\led_flash_cnt[1422][1]~46789\) # (GND)))
-- \led_flash_cnt[1422][2]~46791\ = CARRY((!\led_flash_cnt[1422][1]~46789\) # (!\led_flash_cnt[1422][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1422][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1422][1]~46789\,
	combout => \led_flash_cnt[1422][2]~46790_combout\,
	cout => \led_flash_cnt[1422][2]~46791\);

-- Location: FF_X8_Y4_N3
\led_flash_cnt[1422][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1422][2]~46790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1422][2]~q\);

-- Location: LCCOMB_X8_Y4_N4
\led_flash_cnt[1422][3]~46792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1422][3]~46792_combout\ = (\led_flash_cnt[1422][3]~q\ & (\led_flash_cnt[1422][2]~46791\ $ (GND))) # (!\led_flash_cnt[1422][3]~q\ & (!\led_flash_cnt[1422][2]~46791\ & VCC))
-- \led_flash_cnt[1422][3]~46793\ = CARRY((\led_flash_cnt[1422][3]~q\ & !\led_flash_cnt[1422][2]~46791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1422][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1422][2]~46791\,
	combout => \led_flash_cnt[1422][3]~46792_combout\,
	cout => \led_flash_cnt[1422][3]~46793\);

-- Location: FF_X8_Y4_N5
\led_flash_cnt[1422][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1422][3]~46792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1422][3]~q\);

-- Location: LCCOMB_X8_Y4_N6
\led_flash_cnt[1422][4]~46794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1422][4]~46794_combout\ = (\led_flash_cnt[1422][4]~q\ & (!\led_flash_cnt[1422][3]~46793\)) # (!\led_flash_cnt[1422][4]~q\ & ((\led_flash_cnt[1422][3]~46793\) # (GND)))
-- \led_flash_cnt[1422][4]~46795\ = CARRY((!\led_flash_cnt[1422][3]~46793\) # (!\led_flash_cnt[1422][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1422][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1422][3]~46793\,
	combout => \led_flash_cnt[1422][4]~46794_combout\,
	cout => \led_flash_cnt[1422][4]~46795\);

-- Location: FF_X8_Y4_N7
\led_flash_cnt[1422][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1422][4]~46794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1422][4]~q\);

-- Location: LCCOMB_X8_Y4_N8
\led_flash_cnt[1422][5]~46796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1422][5]~46796_combout\ = (\led_flash_cnt[1422][5]~q\ & (\led_flash_cnt[1422][4]~46795\ $ (GND))) # (!\led_flash_cnt[1422][5]~q\ & (!\led_flash_cnt[1422][4]~46795\ & VCC))
-- \led_flash_cnt[1422][5]~46797\ = CARRY((\led_flash_cnt[1422][5]~q\ & !\led_flash_cnt[1422][4]~46795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1422][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1422][4]~46795\,
	combout => \led_flash_cnt[1422][5]~46796_combout\,
	cout => \led_flash_cnt[1422][5]~46797\);

-- Location: FF_X8_Y4_N9
\led_flash_cnt[1422][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1422][5]~46796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1422][5]~q\);

-- Location: LCCOMB_X8_Y4_N10
\led_flash_cnt[1422][6]~46798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1422][6]~46798_combout\ = (\led_flash_cnt[1422][6]~q\ & (!\led_flash_cnt[1422][5]~46797\)) # (!\led_flash_cnt[1422][6]~q\ & ((\led_flash_cnt[1422][5]~46797\) # (GND)))
-- \led_flash_cnt[1422][6]~46799\ = CARRY((!\led_flash_cnt[1422][5]~46797\) # (!\led_flash_cnt[1422][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1422][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1422][5]~46797\,
	combout => \led_flash_cnt[1422][6]~46798_combout\,
	cout => \led_flash_cnt[1422][6]~46799\);

-- Location: FF_X8_Y4_N11
\led_flash_cnt[1422][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1422][6]~46798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1422][6]~q\);

-- Location: LCCOMB_X8_Y4_N12
\led_flash_cnt[1422][7]~46800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1422][7]~46800_combout\ = \led_flash_cnt[1422][6]~46799\ $ (!\led_flash_cnt[1422][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1422][7]~q\,
	cin => \led_flash_cnt[1422][6]~46799\,
	combout => \led_flash_cnt[1422][7]~46800_combout\);

-- Location: FF_X8_Y4_N13
\led_flash_cnt[1422][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1422][7]~46800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1422][7]~q\);

-- Location: LCCOMB_X8_Y4_N28
\WideAnd1422~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1422~1_combout\ = (\led_flash_cnt[1422][5]~q\ & \led_flash_cnt[1422][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1422][5]~q\,
	datad => \led_flash_cnt[1422][6]~q\,
	combout => \WideAnd1422~1_combout\);

-- Location: LCCOMB_X8_Y4_N16
\WideAnd1422~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1422~0_combout\ = (\led_flash_cnt[1422][4]~q\ & (\led_flash_cnt[1422][1]~q\ & (\led_flash_cnt[1422][3]~q\ & \led_flash_cnt[1422][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1422][4]~q\,
	datab => \led_flash_cnt[1422][1]~q\,
	datac => \led_flash_cnt[1422][3]~q\,
	datad => \led_flash_cnt[1422][2]~q\,
	combout => \WideAnd1422~0_combout\);

-- Location: LCCOMB_X8_Y4_N14
WideAnd1422 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1422~combout\ = (\led_flash_cnt[1422][7]~q\ & (\WideAnd1422~1_combout\ & (\led_flash_cnt[1422][0]~q\ & \WideAnd1422~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1422][7]~q\,
	datab => \WideAnd1422~1_combout\,
	datac => \led_flash_cnt[1422][0]~q\,
	datad => \WideAnd1422~0_combout\,
	combout => \WideAnd1422~combout\);

-- Location: FF_X8_Y4_N15
\led_flash_cnt_ands[1422]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1422~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1422));

-- Location: LCCOMB_X24_Y8_N18
\led_flash_cnt[1419][0]~82059\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1419][0]~82059_combout\ = !\led_flash_cnt[1419][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1419][0]~q\,
	combout => \led_flash_cnt[1419][0]~82059_combout\);

-- Location: FF_X24_Y8_N19
\led_flash_cnt[1419][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1419][0]~82059_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1419][0]~q\);

-- Location: LCCOMB_X24_Y8_N0
\led_flash_cnt[1419][1]~46746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1419][1]~46746_combout\ = (\led_flash_cnt[1419][1]~q\ & (\led_flash_cnt[1419][0]~q\ $ (VCC))) # (!\led_flash_cnt[1419][1]~q\ & (\led_flash_cnt[1419][0]~q\ & VCC))
-- \led_flash_cnt[1419][1]~46747\ = CARRY((\led_flash_cnt[1419][1]~q\ & \led_flash_cnt[1419][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1419][1]~q\,
	datab => \led_flash_cnt[1419][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1419][1]~46746_combout\,
	cout => \led_flash_cnt[1419][1]~46747\);

-- Location: FF_X24_Y8_N1
\led_flash_cnt[1419][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1419][1]~46746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1419][1]~q\);

-- Location: LCCOMB_X24_Y8_N2
\led_flash_cnt[1419][2]~46748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1419][2]~46748_combout\ = (\led_flash_cnt[1419][2]~q\ & (!\led_flash_cnt[1419][1]~46747\)) # (!\led_flash_cnt[1419][2]~q\ & ((\led_flash_cnt[1419][1]~46747\) # (GND)))
-- \led_flash_cnt[1419][2]~46749\ = CARRY((!\led_flash_cnt[1419][1]~46747\) # (!\led_flash_cnt[1419][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1419][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1419][1]~46747\,
	combout => \led_flash_cnt[1419][2]~46748_combout\,
	cout => \led_flash_cnt[1419][2]~46749\);

-- Location: FF_X24_Y8_N3
\led_flash_cnt[1419][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1419][2]~46748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1419][2]~q\);

-- Location: LCCOMB_X24_Y8_N4
\led_flash_cnt[1419][3]~46750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1419][3]~46750_combout\ = (\led_flash_cnt[1419][3]~q\ & (\led_flash_cnt[1419][2]~46749\ $ (GND))) # (!\led_flash_cnt[1419][3]~q\ & (!\led_flash_cnt[1419][2]~46749\ & VCC))
-- \led_flash_cnt[1419][3]~46751\ = CARRY((\led_flash_cnt[1419][3]~q\ & !\led_flash_cnt[1419][2]~46749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1419][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1419][2]~46749\,
	combout => \led_flash_cnt[1419][3]~46750_combout\,
	cout => \led_flash_cnt[1419][3]~46751\);

-- Location: FF_X24_Y8_N5
\led_flash_cnt[1419][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1419][3]~46750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1419][3]~q\);

-- Location: LCCOMB_X24_Y8_N6
\led_flash_cnt[1419][4]~46752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1419][4]~46752_combout\ = (\led_flash_cnt[1419][4]~q\ & (!\led_flash_cnt[1419][3]~46751\)) # (!\led_flash_cnt[1419][4]~q\ & ((\led_flash_cnt[1419][3]~46751\) # (GND)))
-- \led_flash_cnt[1419][4]~46753\ = CARRY((!\led_flash_cnt[1419][3]~46751\) # (!\led_flash_cnt[1419][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1419][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1419][3]~46751\,
	combout => \led_flash_cnt[1419][4]~46752_combout\,
	cout => \led_flash_cnt[1419][4]~46753\);

-- Location: FF_X24_Y8_N7
\led_flash_cnt[1419][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1419][4]~46752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1419][4]~q\);

-- Location: LCCOMB_X24_Y8_N8
\led_flash_cnt[1419][5]~46754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1419][5]~46754_combout\ = (\led_flash_cnt[1419][5]~q\ & (\led_flash_cnt[1419][4]~46753\ $ (GND))) # (!\led_flash_cnt[1419][5]~q\ & (!\led_flash_cnt[1419][4]~46753\ & VCC))
-- \led_flash_cnt[1419][5]~46755\ = CARRY((\led_flash_cnt[1419][5]~q\ & !\led_flash_cnt[1419][4]~46753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1419][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1419][4]~46753\,
	combout => \led_flash_cnt[1419][5]~46754_combout\,
	cout => \led_flash_cnt[1419][5]~46755\);

-- Location: FF_X24_Y8_N9
\led_flash_cnt[1419][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1419][5]~46754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1419][5]~q\);

-- Location: LCCOMB_X24_Y8_N10
\led_flash_cnt[1419][6]~46756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1419][6]~46756_combout\ = (\led_flash_cnt[1419][6]~q\ & (!\led_flash_cnt[1419][5]~46755\)) # (!\led_flash_cnt[1419][6]~q\ & ((\led_flash_cnt[1419][5]~46755\) # (GND)))
-- \led_flash_cnt[1419][6]~46757\ = CARRY((!\led_flash_cnt[1419][5]~46755\) # (!\led_flash_cnt[1419][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1419][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1419][5]~46755\,
	combout => \led_flash_cnt[1419][6]~46756_combout\,
	cout => \led_flash_cnt[1419][6]~46757\);

-- Location: FF_X24_Y8_N11
\led_flash_cnt[1419][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1419][6]~46756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1419][6]~q\);

-- Location: LCCOMB_X24_Y8_N12
\led_flash_cnt[1419][7]~46758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1419][7]~46758_combout\ = \led_flash_cnt[1419][6]~46757\ $ (!\led_flash_cnt[1419][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1419][7]~q\,
	cin => \led_flash_cnt[1419][6]~46757\,
	combout => \led_flash_cnt[1419][7]~46758_combout\);

-- Location: FF_X24_Y8_N13
\led_flash_cnt[1419][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1419][7]~46758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1419][7]~q\);

-- Location: LCCOMB_X24_Y8_N28
\WideAnd1419~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1419~1_combout\ = (\led_flash_cnt[1419][5]~q\ & \led_flash_cnt[1419][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1419][5]~q\,
	datad => \led_flash_cnt[1419][6]~q\,
	combout => \WideAnd1419~1_combout\);

-- Location: LCCOMB_X24_Y8_N30
\WideAnd1419~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1419~0_combout\ = (\led_flash_cnt[1419][4]~q\ & (\led_flash_cnt[1419][1]~q\ & (\led_flash_cnt[1419][3]~q\ & \led_flash_cnt[1419][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1419][4]~q\,
	datab => \led_flash_cnt[1419][1]~q\,
	datac => \led_flash_cnt[1419][3]~q\,
	datad => \led_flash_cnt[1419][2]~q\,
	combout => \WideAnd1419~0_combout\);

-- Location: LCCOMB_X24_Y8_N22
WideAnd1419 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1419~combout\ = (\led_flash_cnt[1419][7]~q\ & (\WideAnd1419~1_combout\ & (\WideAnd1419~0_combout\ & \led_flash_cnt[1419][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1419][7]~q\,
	datab => \WideAnd1419~1_combout\,
	datac => \WideAnd1419~0_combout\,
	datad => \led_flash_cnt[1419][0]~q\,
	combout => \WideAnd1419~combout\);

-- Location: FF_X24_Y8_N23
\led_flash_cnt_ands[1419]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1419~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1419));

-- Location: LCCOMB_X13_Y6_N6
\led_flash_cnt[1416][0]~82056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1416][0]~82056_combout\ = !\led_flash_cnt[1416][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1416][0]~q\,
	combout => \led_flash_cnt[1416][0]~82056_combout\);

-- Location: FF_X13_Y6_N7
\led_flash_cnt[1416][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1416][0]~82056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1416][0]~q\);

-- Location: LCCOMB_X13_Y6_N18
\led_flash_cnt[1416][1]~46704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1416][1]~46704_combout\ = (\led_flash_cnt[1416][0]~q\ & (\led_flash_cnt[1416][1]~q\ $ (VCC))) # (!\led_flash_cnt[1416][0]~q\ & (\led_flash_cnt[1416][1]~q\ & VCC))
-- \led_flash_cnt[1416][1]~46705\ = CARRY((\led_flash_cnt[1416][0]~q\ & \led_flash_cnt[1416][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1416][0]~q\,
	datab => \led_flash_cnt[1416][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1416][1]~46704_combout\,
	cout => \led_flash_cnt[1416][1]~46705\);

-- Location: FF_X13_Y6_N19
\led_flash_cnt[1416][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1416][1]~46704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1416][1]~q\);

-- Location: LCCOMB_X13_Y6_N20
\led_flash_cnt[1416][2]~46706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1416][2]~46706_combout\ = (\led_flash_cnt[1416][2]~q\ & (!\led_flash_cnt[1416][1]~46705\)) # (!\led_flash_cnt[1416][2]~q\ & ((\led_flash_cnt[1416][1]~46705\) # (GND)))
-- \led_flash_cnt[1416][2]~46707\ = CARRY((!\led_flash_cnt[1416][1]~46705\) # (!\led_flash_cnt[1416][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1416][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1416][1]~46705\,
	combout => \led_flash_cnt[1416][2]~46706_combout\,
	cout => \led_flash_cnt[1416][2]~46707\);

-- Location: FF_X13_Y6_N21
\led_flash_cnt[1416][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1416][2]~46706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1416][2]~q\);

-- Location: LCCOMB_X13_Y6_N22
\led_flash_cnt[1416][3]~46708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1416][3]~46708_combout\ = (\led_flash_cnt[1416][3]~q\ & (\led_flash_cnt[1416][2]~46707\ $ (GND))) # (!\led_flash_cnt[1416][3]~q\ & (!\led_flash_cnt[1416][2]~46707\ & VCC))
-- \led_flash_cnt[1416][3]~46709\ = CARRY((\led_flash_cnt[1416][3]~q\ & !\led_flash_cnt[1416][2]~46707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1416][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1416][2]~46707\,
	combout => \led_flash_cnt[1416][3]~46708_combout\,
	cout => \led_flash_cnt[1416][3]~46709\);

-- Location: FF_X13_Y6_N23
\led_flash_cnt[1416][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1416][3]~46708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1416][3]~q\);

-- Location: LCCOMB_X13_Y6_N24
\led_flash_cnt[1416][4]~46710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1416][4]~46710_combout\ = (\led_flash_cnt[1416][4]~q\ & (!\led_flash_cnt[1416][3]~46709\)) # (!\led_flash_cnt[1416][4]~q\ & ((\led_flash_cnt[1416][3]~46709\) # (GND)))
-- \led_flash_cnt[1416][4]~46711\ = CARRY((!\led_flash_cnt[1416][3]~46709\) # (!\led_flash_cnt[1416][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1416][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1416][3]~46709\,
	combout => \led_flash_cnt[1416][4]~46710_combout\,
	cout => \led_flash_cnt[1416][4]~46711\);

-- Location: FF_X13_Y6_N25
\led_flash_cnt[1416][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1416][4]~46710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1416][4]~q\);

-- Location: LCCOMB_X13_Y6_N26
\led_flash_cnt[1416][5]~46712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1416][5]~46712_combout\ = (\led_flash_cnt[1416][5]~q\ & (\led_flash_cnt[1416][4]~46711\ $ (GND))) # (!\led_flash_cnt[1416][5]~q\ & (!\led_flash_cnt[1416][4]~46711\ & VCC))
-- \led_flash_cnt[1416][5]~46713\ = CARRY((\led_flash_cnt[1416][5]~q\ & !\led_flash_cnt[1416][4]~46711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1416][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1416][4]~46711\,
	combout => \led_flash_cnt[1416][5]~46712_combout\,
	cout => \led_flash_cnt[1416][5]~46713\);

-- Location: FF_X13_Y6_N27
\led_flash_cnt[1416][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1416][5]~46712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1416][5]~q\);

-- Location: LCCOMB_X13_Y6_N28
\led_flash_cnt[1416][6]~46714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1416][6]~46714_combout\ = (\led_flash_cnt[1416][6]~q\ & (!\led_flash_cnt[1416][5]~46713\)) # (!\led_flash_cnt[1416][6]~q\ & ((\led_flash_cnt[1416][5]~46713\) # (GND)))
-- \led_flash_cnt[1416][6]~46715\ = CARRY((!\led_flash_cnt[1416][5]~46713\) # (!\led_flash_cnt[1416][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1416][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1416][5]~46713\,
	combout => \led_flash_cnt[1416][6]~46714_combout\,
	cout => \led_flash_cnt[1416][6]~46715\);

-- Location: FF_X13_Y6_N29
\led_flash_cnt[1416][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1416][6]~46714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1416][6]~q\);

-- Location: LCCOMB_X13_Y6_N30
\led_flash_cnt[1416][7]~46716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1416][7]~46716_combout\ = \led_flash_cnt[1416][7]~q\ $ (!\led_flash_cnt[1416][6]~46715\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1416][7]~q\,
	cin => \led_flash_cnt[1416][6]~46715\,
	combout => \led_flash_cnt[1416][7]~46716_combout\);

-- Location: FF_X13_Y6_N31
\led_flash_cnt[1416][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1416][7]~46716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1416][7]~q\);

-- Location: LCCOMB_X13_Y6_N8
\WideAnd1416~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1416~0_combout\ = (\led_flash_cnt[1416][2]~q\ & (\led_flash_cnt[1416][1]~q\ & (\led_flash_cnt[1416][3]~q\ & \led_flash_cnt[1416][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1416][2]~q\,
	datab => \led_flash_cnt[1416][1]~q\,
	datac => \led_flash_cnt[1416][3]~q\,
	datad => \led_flash_cnt[1416][4]~q\,
	combout => \WideAnd1416~0_combout\);

-- Location: LCCOMB_X13_Y6_N14
\WideAnd1416~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1416~1_combout\ = (\led_flash_cnt[1416][5]~q\ & \led_flash_cnt[1416][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1416][5]~q\,
	datad => \led_flash_cnt[1416][6]~q\,
	combout => \WideAnd1416~1_combout\);

-- Location: LCCOMB_X13_Y6_N4
WideAnd1416 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1416~combout\ = (\led_flash_cnt[1416][7]~q\ & (\WideAnd1416~0_combout\ & (\WideAnd1416~1_combout\ & \led_flash_cnt[1416][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1416][7]~q\,
	datab => \WideAnd1416~0_combout\,
	datac => \WideAnd1416~1_combout\,
	datad => \led_flash_cnt[1416][0]~q\,
	combout => \WideAnd1416~combout\);

-- Location: FF_X13_Y6_N5
\led_flash_cnt_ands[1416]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1416~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1416));

-- Location: LCCOMB_X23_Y2_N4
\led_flash_cnt[1417][0]~82057\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1417][0]~82057_combout\ = !\led_flash_cnt[1417][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1417][0]~q\,
	combout => \led_flash_cnt[1417][0]~82057_combout\);

-- Location: FF_X23_Y2_N5
\led_flash_cnt[1417][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1417][0]~82057_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1417][0]~q\);

-- Location: LCCOMB_X23_Y4_N8
\led_flash_cnt[1417][1]~46718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1417][1]~46718_combout\ = (\led_flash_cnt[1417][0]~q\ & (\led_flash_cnt[1417][1]~q\ $ (VCC))) # (!\led_flash_cnt[1417][0]~q\ & (\led_flash_cnt[1417][1]~q\ & VCC))
-- \led_flash_cnt[1417][1]~46719\ = CARRY((\led_flash_cnt[1417][0]~q\ & \led_flash_cnt[1417][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1417][0]~q\,
	datab => \led_flash_cnt[1417][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1417][1]~46718_combout\,
	cout => \led_flash_cnt[1417][1]~46719\);

-- Location: FF_X23_Y4_N9
\led_flash_cnt[1417][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1417][1]~46718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1417][1]~q\);

-- Location: LCCOMB_X23_Y4_N10
\led_flash_cnt[1417][2]~46720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1417][2]~46720_combout\ = (\led_flash_cnt[1417][2]~q\ & (!\led_flash_cnt[1417][1]~46719\)) # (!\led_flash_cnt[1417][2]~q\ & ((\led_flash_cnt[1417][1]~46719\) # (GND)))
-- \led_flash_cnt[1417][2]~46721\ = CARRY((!\led_flash_cnt[1417][1]~46719\) # (!\led_flash_cnt[1417][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1417][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1417][1]~46719\,
	combout => \led_flash_cnt[1417][2]~46720_combout\,
	cout => \led_flash_cnt[1417][2]~46721\);

-- Location: FF_X23_Y4_N11
\led_flash_cnt[1417][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1417][2]~46720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1417][2]~q\);

-- Location: LCCOMB_X23_Y4_N12
\led_flash_cnt[1417][3]~46722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1417][3]~46722_combout\ = (\led_flash_cnt[1417][3]~q\ & (\led_flash_cnt[1417][2]~46721\ $ (GND))) # (!\led_flash_cnt[1417][3]~q\ & (!\led_flash_cnt[1417][2]~46721\ & VCC))
-- \led_flash_cnt[1417][3]~46723\ = CARRY((\led_flash_cnt[1417][3]~q\ & !\led_flash_cnt[1417][2]~46721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1417][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1417][2]~46721\,
	combout => \led_flash_cnt[1417][3]~46722_combout\,
	cout => \led_flash_cnt[1417][3]~46723\);

-- Location: FF_X23_Y4_N13
\led_flash_cnt[1417][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1417][3]~46722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1417][3]~q\);

-- Location: LCCOMB_X23_Y4_N14
\led_flash_cnt[1417][4]~46724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1417][4]~46724_combout\ = (\led_flash_cnt[1417][4]~q\ & (!\led_flash_cnt[1417][3]~46723\)) # (!\led_flash_cnt[1417][4]~q\ & ((\led_flash_cnt[1417][3]~46723\) # (GND)))
-- \led_flash_cnt[1417][4]~46725\ = CARRY((!\led_flash_cnt[1417][3]~46723\) # (!\led_flash_cnt[1417][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1417][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1417][3]~46723\,
	combout => \led_flash_cnt[1417][4]~46724_combout\,
	cout => \led_flash_cnt[1417][4]~46725\);

-- Location: FF_X23_Y4_N15
\led_flash_cnt[1417][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1417][4]~46724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1417][4]~q\);

-- Location: LCCOMB_X23_Y4_N16
\led_flash_cnt[1417][5]~46726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1417][5]~46726_combout\ = (\led_flash_cnt[1417][5]~q\ & (\led_flash_cnt[1417][4]~46725\ $ (GND))) # (!\led_flash_cnt[1417][5]~q\ & (!\led_flash_cnt[1417][4]~46725\ & VCC))
-- \led_flash_cnt[1417][5]~46727\ = CARRY((\led_flash_cnt[1417][5]~q\ & !\led_flash_cnt[1417][4]~46725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1417][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1417][4]~46725\,
	combout => \led_flash_cnt[1417][5]~46726_combout\,
	cout => \led_flash_cnt[1417][5]~46727\);

-- Location: FF_X23_Y4_N17
\led_flash_cnt[1417][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1417][5]~46726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1417][5]~q\);

-- Location: LCCOMB_X23_Y4_N18
\led_flash_cnt[1417][6]~46728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1417][6]~46728_combout\ = (\led_flash_cnt[1417][6]~q\ & (!\led_flash_cnt[1417][5]~46727\)) # (!\led_flash_cnt[1417][6]~q\ & ((\led_flash_cnt[1417][5]~46727\) # (GND)))
-- \led_flash_cnt[1417][6]~46729\ = CARRY((!\led_flash_cnt[1417][5]~46727\) # (!\led_flash_cnt[1417][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1417][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1417][5]~46727\,
	combout => \led_flash_cnt[1417][6]~46728_combout\,
	cout => \led_flash_cnt[1417][6]~46729\);

-- Location: FF_X23_Y4_N19
\led_flash_cnt[1417][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1417][6]~46728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1417][6]~q\);

-- Location: LCCOMB_X23_Y4_N20
\led_flash_cnt[1417][7]~46730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1417][7]~46730_combout\ = \led_flash_cnt[1417][6]~46729\ $ (!\led_flash_cnt[1417][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1417][7]~q\,
	cin => \led_flash_cnt[1417][6]~46729\,
	combout => \led_flash_cnt[1417][7]~46730_combout\);

-- Location: FF_X23_Y4_N21
\led_flash_cnt[1417][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1417][7]~46730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1417][7]~q\);

-- Location: LCCOMB_X23_Y4_N26
\WideAnd1417~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1417~0_combout\ = (\led_flash_cnt[1417][3]~q\ & (\led_flash_cnt[1417][1]~q\ & (\led_flash_cnt[1417][4]~q\ & \led_flash_cnt[1417][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1417][3]~q\,
	datab => \led_flash_cnt[1417][1]~q\,
	datac => \led_flash_cnt[1417][4]~q\,
	datad => \led_flash_cnt[1417][2]~q\,
	combout => \WideAnd1417~0_combout\);

-- Location: LCCOMB_X23_Y4_N24
\WideAnd1417~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1417~1_combout\ = (\led_flash_cnt[1417][5]~q\ & \led_flash_cnt[1417][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1417][5]~q\,
	datad => \led_flash_cnt[1417][6]~q\,
	combout => \WideAnd1417~1_combout\);

-- Location: LCCOMB_X23_Y4_N0
WideAnd1417 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1417~combout\ = (\led_flash_cnt[1417][0]~q\ & (\led_flash_cnt[1417][7]~q\ & (\WideAnd1417~0_combout\ & \WideAnd1417~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1417][0]~q\,
	datab => \led_flash_cnt[1417][7]~q\,
	datac => \WideAnd1417~0_combout\,
	datad => \WideAnd1417~1_combout\,
	combout => \WideAnd1417~combout\);

-- Location: FF_X23_Y4_N1
\led_flash_cnt_ands[1417]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1417~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1417));

-- Location: LCCOMB_X11_Y6_N14
\led_flash_cnt[1418][0]~82058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1418][0]~82058_combout\ = !\led_flash_cnt[1418][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1418][0]~q\,
	combout => \led_flash_cnt[1418][0]~82058_combout\);

-- Location: FF_X11_Y6_N15
\led_flash_cnt[1418][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1418][0]~82058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1418][0]~q\);

-- Location: LCCOMB_X12_Y6_N14
\led_flash_cnt[1418][1]~46732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1418][1]~46732_combout\ = (\led_flash_cnt[1418][0]~q\ & (\led_flash_cnt[1418][1]~q\ $ (VCC))) # (!\led_flash_cnt[1418][0]~q\ & (\led_flash_cnt[1418][1]~q\ & VCC))
-- \led_flash_cnt[1418][1]~46733\ = CARRY((\led_flash_cnt[1418][0]~q\ & \led_flash_cnt[1418][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1418][0]~q\,
	datab => \led_flash_cnt[1418][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1418][1]~46732_combout\,
	cout => \led_flash_cnt[1418][1]~46733\);

-- Location: FF_X12_Y6_N15
\led_flash_cnt[1418][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1418][1]~46732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1418][1]~q\);

-- Location: LCCOMB_X12_Y6_N16
\led_flash_cnt[1418][2]~46734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1418][2]~46734_combout\ = (\led_flash_cnt[1418][2]~q\ & (!\led_flash_cnt[1418][1]~46733\)) # (!\led_flash_cnt[1418][2]~q\ & ((\led_flash_cnt[1418][1]~46733\) # (GND)))
-- \led_flash_cnt[1418][2]~46735\ = CARRY((!\led_flash_cnt[1418][1]~46733\) # (!\led_flash_cnt[1418][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1418][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1418][1]~46733\,
	combout => \led_flash_cnt[1418][2]~46734_combout\,
	cout => \led_flash_cnt[1418][2]~46735\);

-- Location: FF_X12_Y6_N17
\led_flash_cnt[1418][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1418][2]~46734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1418][2]~q\);

-- Location: LCCOMB_X12_Y6_N18
\led_flash_cnt[1418][3]~46736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1418][3]~46736_combout\ = (\led_flash_cnt[1418][3]~q\ & (\led_flash_cnt[1418][2]~46735\ $ (GND))) # (!\led_flash_cnt[1418][3]~q\ & (!\led_flash_cnt[1418][2]~46735\ & VCC))
-- \led_flash_cnt[1418][3]~46737\ = CARRY((\led_flash_cnt[1418][3]~q\ & !\led_flash_cnt[1418][2]~46735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1418][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1418][2]~46735\,
	combout => \led_flash_cnt[1418][3]~46736_combout\,
	cout => \led_flash_cnt[1418][3]~46737\);

-- Location: FF_X12_Y6_N19
\led_flash_cnt[1418][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1418][3]~46736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1418][3]~q\);

-- Location: LCCOMB_X12_Y6_N20
\led_flash_cnt[1418][4]~46738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1418][4]~46738_combout\ = (\led_flash_cnt[1418][4]~q\ & (!\led_flash_cnt[1418][3]~46737\)) # (!\led_flash_cnt[1418][4]~q\ & ((\led_flash_cnt[1418][3]~46737\) # (GND)))
-- \led_flash_cnt[1418][4]~46739\ = CARRY((!\led_flash_cnt[1418][3]~46737\) # (!\led_flash_cnt[1418][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1418][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1418][3]~46737\,
	combout => \led_flash_cnt[1418][4]~46738_combout\,
	cout => \led_flash_cnt[1418][4]~46739\);

-- Location: FF_X12_Y6_N21
\led_flash_cnt[1418][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1418][4]~46738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1418][4]~q\);

-- Location: LCCOMB_X12_Y6_N22
\led_flash_cnt[1418][5]~46740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1418][5]~46740_combout\ = (\led_flash_cnt[1418][5]~q\ & (\led_flash_cnt[1418][4]~46739\ $ (GND))) # (!\led_flash_cnt[1418][5]~q\ & (!\led_flash_cnt[1418][4]~46739\ & VCC))
-- \led_flash_cnt[1418][5]~46741\ = CARRY((\led_flash_cnt[1418][5]~q\ & !\led_flash_cnt[1418][4]~46739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1418][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1418][4]~46739\,
	combout => \led_flash_cnt[1418][5]~46740_combout\,
	cout => \led_flash_cnt[1418][5]~46741\);

-- Location: FF_X12_Y6_N23
\led_flash_cnt[1418][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1418][5]~46740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1418][5]~q\);

-- Location: LCCOMB_X12_Y6_N24
\led_flash_cnt[1418][6]~46742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1418][6]~46742_combout\ = (\led_flash_cnt[1418][6]~q\ & (!\led_flash_cnt[1418][5]~46741\)) # (!\led_flash_cnt[1418][6]~q\ & ((\led_flash_cnt[1418][5]~46741\) # (GND)))
-- \led_flash_cnt[1418][6]~46743\ = CARRY((!\led_flash_cnt[1418][5]~46741\) # (!\led_flash_cnt[1418][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1418][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1418][5]~46741\,
	combout => \led_flash_cnt[1418][6]~46742_combout\,
	cout => \led_flash_cnt[1418][6]~46743\);

-- Location: FF_X12_Y6_N25
\led_flash_cnt[1418][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1418][6]~46742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1418][6]~q\);

-- Location: LCCOMB_X12_Y6_N26
\led_flash_cnt[1418][7]~46744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1418][7]~46744_combout\ = \led_flash_cnt[1418][7]~q\ $ (!\led_flash_cnt[1418][6]~46743\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1418][7]~q\,
	cin => \led_flash_cnt[1418][6]~46743\,
	combout => \led_flash_cnt[1418][7]~46744_combout\);

-- Location: FF_X12_Y6_N27
\led_flash_cnt[1418][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1418][7]~46744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1418][7]~q\);

-- Location: LCCOMB_X12_Y6_N28
\WideAnd1418~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1418~0_combout\ = (\led_flash_cnt[1418][2]~q\ & (\led_flash_cnt[1418][3]~q\ & (\led_flash_cnt[1418][1]~q\ & \led_flash_cnt[1418][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1418][2]~q\,
	datab => \led_flash_cnt[1418][3]~q\,
	datac => \led_flash_cnt[1418][1]~q\,
	datad => \led_flash_cnt[1418][4]~q\,
	combout => \WideAnd1418~0_combout\);

-- Location: LCCOMB_X11_Y6_N6
\WideAnd1418~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1418~1_combout\ = (\led_flash_cnt[1418][5]~q\ & \led_flash_cnt[1418][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1418][5]~q\,
	datad => \led_flash_cnt[1418][6]~q\,
	combout => \WideAnd1418~1_combout\);

-- Location: LCCOMB_X12_Y6_N30
WideAnd1418 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1418~combout\ = (\led_flash_cnt[1418][7]~q\ & (\WideAnd1418~0_combout\ & (\WideAnd1418~1_combout\ & \led_flash_cnt[1418][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1418][7]~q\,
	datab => \WideAnd1418~0_combout\,
	datac => \WideAnd1418~1_combout\,
	datad => \led_flash_cnt[1418][0]~q\,
	combout => \WideAnd1418~combout\);

-- Location: FF_X12_Y6_N31
\led_flash_cnt_ands[1418]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1418~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1418));

-- Location: LCCOMB_X13_Y6_N16
\WideAnd4017~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4017~0_combout\ = (led_flash_cnt_ands(1419) & (led_flash_cnt_ands(1416) & (led_flash_cnt_ands(1417) & led_flash_cnt_ands(1418))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1419),
	datab => led_flash_cnt_ands(1416),
	datac => led_flash_cnt_ands(1417),
	datad => led_flash_cnt_ands(1418),
	combout => \WideAnd4017~0_combout\);

-- Location: LCCOMB_X21_Y4_N2
\led_flash_cnt[1423][0]~82063\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1423][0]~82063_combout\ = !\led_flash_cnt[1423][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1423][0]~q\,
	combout => \led_flash_cnt[1423][0]~82063_combout\);

-- Location: FF_X21_Y4_N3
\led_flash_cnt[1423][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1423][0]~82063_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1423][0]~q\);

-- Location: LCCOMB_X20_Y4_N4
\led_flash_cnt[1423][1]~46802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1423][1]~46802_combout\ = (\led_flash_cnt[1423][0]~q\ & (\led_flash_cnt[1423][1]~q\ $ (VCC))) # (!\led_flash_cnt[1423][0]~q\ & (\led_flash_cnt[1423][1]~q\ & VCC))
-- \led_flash_cnt[1423][1]~46803\ = CARRY((\led_flash_cnt[1423][0]~q\ & \led_flash_cnt[1423][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1423][0]~q\,
	datab => \led_flash_cnt[1423][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1423][1]~46802_combout\,
	cout => \led_flash_cnt[1423][1]~46803\);

-- Location: FF_X20_Y4_N5
\led_flash_cnt[1423][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1423][1]~46802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1423][1]~q\);

-- Location: LCCOMB_X20_Y4_N6
\led_flash_cnt[1423][2]~46804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1423][2]~46804_combout\ = (\led_flash_cnt[1423][2]~q\ & (!\led_flash_cnt[1423][1]~46803\)) # (!\led_flash_cnt[1423][2]~q\ & ((\led_flash_cnt[1423][1]~46803\) # (GND)))
-- \led_flash_cnt[1423][2]~46805\ = CARRY((!\led_flash_cnt[1423][1]~46803\) # (!\led_flash_cnt[1423][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1423][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1423][1]~46803\,
	combout => \led_flash_cnt[1423][2]~46804_combout\,
	cout => \led_flash_cnt[1423][2]~46805\);

-- Location: FF_X20_Y4_N7
\led_flash_cnt[1423][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1423][2]~46804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1423][2]~q\);

-- Location: LCCOMB_X20_Y4_N8
\led_flash_cnt[1423][3]~46806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1423][3]~46806_combout\ = (\led_flash_cnt[1423][3]~q\ & (\led_flash_cnt[1423][2]~46805\ $ (GND))) # (!\led_flash_cnt[1423][3]~q\ & (!\led_flash_cnt[1423][2]~46805\ & VCC))
-- \led_flash_cnt[1423][3]~46807\ = CARRY((\led_flash_cnt[1423][3]~q\ & !\led_flash_cnt[1423][2]~46805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1423][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1423][2]~46805\,
	combout => \led_flash_cnt[1423][3]~46806_combout\,
	cout => \led_flash_cnt[1423][3]~46807\);

-- Location: FF_X20_Y4_N9
\led_flash_cnt[1423][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1423][3]~46806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1423][3]~q\);

-- Location: LCCOMB_X20_Y4_N10
\led_flash_cnt[1423][4]~46808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1423][4]~46808_combout\ = (\led_flash_cnt[1423][4]~q\ & (!\led_flash_cnt[1423][3]~46807\)) # (!\led_flash_cnt[1423][4]~q\ & ((\led_flash_cnt[1423][3]~46807\) # (GND)))
-- \led_flash_cnt[1423][4]~46809\ = CARRY((!\led_flash_cnt[1423][3]~46807\) # (!\led_flash_cnt[1423][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1423][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1423][3]~46807\,
	combout => \led_flash_cnt[1423][4]~46808_combout\,
	cout => \led_flash_cnt[1423][4]~46809\);

-- Location: FF_X20_Y4_N11
\led_flash_cnt[1423][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1423][4]~46808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1423][4]~q\);

-- Location: LCCOMB_X21_Y4_N12
\WideAnd1423~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1423~0_combout\ = (\led_flash_cnt[1423][4]~q\ & (\led_flash_cnt[1423][2]~q\ & (\led_flash_cnt[1423][1]~q\ & \led_flash_cnt[1423][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1423][4]~q\,
	datab => \led_flash_cnt[1423][2]~q\,
	datac => \led_flash_cnt[1423][1]~q\,
	datad => \led_flash_cnt[1423][3]~q\,
	combout => \WideAnd1423~0_combout\);

-- Location: LCCOMB_X20_Y4_N12
\led_flash_cnt[1423][5]~46810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1423][5]~46810_combout\ = (\led_flash_cnt[1423][5]~q\ & (\led_flash_cnt[1423][4]~46809\ $ (GND))) # (!\led_flash_cnt[1423][5]~q\ & (!\led_flash_cnt[1423][4]~46809\ & VCC))
-- \led_flash_cnt[1423][5]~46811\ = CARRY((\led_flash_cnt[1423][5]~q\ & !\led_flash_cnt[1423][4]~46809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1423][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1423][4]~46809\,
	combout => \led_flash_cnt[1423][5]~46810_combout\,
	cout => \led_flash_cnt[1423][5]~46811\);

-- Location: FF_X20_Y4_N13
\led_flash_cnt[1423][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1423][5]~46810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1423][5]~q\);

-- Location: LCCOMB_X20_Y4_N14
\led_flash_cnt[1423][6]~46812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1423][6]~46812_combout\ = (\led_flash_cnt[1423][6]~q\ & (!\led_flash_cnt[1423][5]~46811\)) # (!\led_flash_cnt[1423][6]~q\ & ((\led_flash_cnt[1423][5]~46811\) # (GND)))
-- \led_flash_cnt[1423][6]~46813\ = CARRY((!\led_flash_cnt[1423][5]~46811\) # (!\led_flash_cnt[1423][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1423][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1423][5]~46811\,
	combout => \led_flash_cnt[1423][6]~46812_combout\,
	cout => \led_flash_cnt[1423][6]~46813\);

-- Location: FF_X20_Y4_N15
\led_flash_cnt[1423][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1423][6]~46812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1423][6]~q\);

-- Location: LCCOMB_X21_Y4_N4
\WideAnd1423~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1423~1_combout\ = (\led_flash_cnt[1423][6]~q\ & \led_flash_cnt[1423][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1423][6]~q\,
	datad => \led_flash_cnt[1423][5]~q\,
	combout => \WideAnd1423~1_combout\);

-- Location: LCCOMB_X20_Y4_N16
\led_flash_cnt[1423][7]~46814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1423][7]~46814_combout\ = \led_flash_cnt[1423][6]~46813\ $ (!\led_flash_cnt[1423][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1423][7]~q\,
	cin => \led_flash_cnt[1423][6]~46813\,
	combout => \led_flash_cnt[1423][7]~46814_combout\);

-- Location: FF_X20_Y4_N17
\led_flash_cnt[1423][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1423][7]~46814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1423][7]~q\);

-- Location: LCCOMB_X21_Y4_N8
WideAnd1423 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1423~combout\ = (\WideAnd1423~0_combout\ & (\WideAnd1423~1_combout\ & (\led_flash_cnt[1423][7]~q\ & \led_flash_cnt[1423][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1423~0_combout\,
	datab => \WideAnd1423~1_combout\,
	datac => \led_flash_cnt[1423][7]~q\,
	datad => \led_flash_cnt[1423][0]~q\,
	combout => \WideAnd1423~combout\);

-- Location: FF_X21_Y4_N9
\led_flash_cnt_ands[1423]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1423~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1423));

-- Location: LCCOMB_X8_Y4_N20
\led_flash_cnt[1420][0]~82060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1420][0]~82060_combout\ = !\led_flash_cnt[1420][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1420][0]~q\,
	combout => \led_flash_cnt[1420][0]~82060_combout\);

-- Location: FF_X8_Y4_N21
\led_flash_cnt[1420][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1420][0]~82060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1420][0]~q\);

-- Location: LCCOMB_X12_Y4_N4
\led_flash_cnt[1420][1]~46760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1420][1]~46760_combout\ = (\led_flash_cnt[1420][0]~q\ & (\led_flash_cnt[1420][1]~q\ $ (VCC))) # (!\led_flash_cnt[1420][0]~q\ & (\led_flash_cnt[1420][1]~q\ & VCC))
-- \led_flash_cnt[1420][1]~46761\ = CARRY((\led_flash_cnt[1420][0]~q\ & \led_flash_cnt[1420][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1420][0]~q\,
	datab => \led_flash_cnt[1420][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1420][1]~46760_combout\,
	cout => \led_flash_cnt[1420][1]~46761\);

-- Location: FF_X12_Y4_N5
\led_flash_cnt[1420][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1420][1]~46760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1420][1]~q\);

-- Location: LCCOMB_X12_Y4_N6
\led_flash_cnt[1420][2]~46762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1420][2]~46762_combout\ = (\led_flash_cnt[1420][2]~q\ & (!\led_flash_cnt[1420][1]~46761\)) # (!\led_flash_cnt[1420][2]~q\ & ((\led_flash_cnt[1420][1]~46761\) # (GND)))
-- \led_flash_cnt[1420][2]~46763\ = CARRY((!\led_flash_cnt[1420][1]~46761\) # (!\led_flash_cnt[1420][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1420][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1420][1]~46761\,
	combout => \led_flash_cnt[1420][2]~46762_combout\,
	cout => \led_flash_cnt[1420][2]~46763\);

-- Location: FF_X12_Y4_N7
\led_flash_cnt[1420][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1420][2]~46762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1420][2]~q\);

-- Location: LCCOMB_X12_Y4_N8
\led_flash_cnt[1420][3]~46764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1420][3]~46764_combout\ = (\led_flash_cnt[1420][3]~q\ & (\led_flash_cnt[1420][2]~46763\ $ (GND))) # (!\led_flash_cnt[1420][3]~q\ & (!\led_flash_cnt[1420][2]~46763\ & VCC))
-- \led_flash_cnt[1420][3]~46765\ = CARRY((\led_flash_cnt[1420][3]~q\ & !\led_flash_cnt[1420][2]~46763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1420][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1420][2]~46763\,
	combout => \led_flash_cnt[1420][3]~46764_combout\,
	cout => \led_flash_cnt[1420][3]~46765\);

-- Location: FF_X12_Y4_N9
\led_flash_cnt[1420][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1420][3]~46764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1420][3]~q\);

-- Location: LCCOMB_X12_Y4_N10
\led_flash_cnt[1420][4]~46766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1420][4]~46766_combout\ = (\led_flash_cnt[1420][4]~q\ & (!\led_flash_cnt[1420][3]~46765\)) # (!\led_flash_cnt[1420][4]~q\ & ((\led_flash_cnt[1420][3]~46765\) # (GND)))
-- \led_flash_cnt[1420][4]~46767\ = CARRY((!\led_flash_cnt[1420][3]~46765\) # (!\led_flash_cnt[1420][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1420][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1420][3]~46765\,
	combout => \led_flash_cnt[1420][4]~46766_combout\,
	cout => \led_flash_cnt[1420][4]~46767\);

-- Location: FF_X12_Y4_N11
\led_flash_cnt[1420][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1420][4]~46766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1420][4]~q\);

-- Location: LCCOMB_X12_Y4_N12
\led_flash_cnt[1420][5]~46768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1420][5]~46768_combout\ = (\led_flash_cnt[1420][5]~q\ & (\led_flash_cnt[1420][4]~46767\ $ (GND))) # (!\led_flash_cnt[1420][5]~q\ & (!\led_flash_cnt[1420][4]~46767\ & VCC))
-- \led_flash_cnt[1420][5]~46769\ = CARRY((\led_flash_cnt[1420][5]~q\ & !\led_flash_cnt[1420][4]~46767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1420][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1420][4]~46767\,
	combout => \led_flash_cnt[1420][5]~46768_combout\,
	cout => \led_flash_cnt[1420][5]~46769\);

-- Location: FF_X12_Y4_N13
\led_flash_cnt[1420][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1420][5]~46768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1420][5]~q\);

-- Location: LCCOMB_X12_Y4_N14
\led_flash_cnt[1420][6]~46770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1420][6]~46770_combout\ = (\led_flash_cnt[1420][6]~q\ & (!\led_flash_cnt[1420][5]~46769\)) # (!\led_flash_cnt[1420][6]~q\ & ((\led_flash_cnt[1420][5]~46769\) # (GND)))
-- \led_flash_cnt[1420][6]~46771\ = CARRY((!\led_flash_cnt[1420][5]~46769\) # (!\led_flash_cnt[1420][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1420][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1420][5]~46769\,
	combout => \led_flash_cnt[1420][6]~46770_combout\,
	cout => \led_flash_cnt[1420][6]~46771\);

-- Location: FF_X12_Y4_N15
\led_flash_cnt[1420][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1420][6]~46770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1420][6]~q\);

-- Location: LCCOMB_X8_Y4_N22
\WideAnd1420~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1420~1_combout\ = (\led_flash_cnt[1420][6]~q\ & \led_flash_cnt[1420][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1420][6]~q\,
	datad => \led_flash_cnt[1420][5]~q\,
	combout => \WideAnd1420~1_combout\);

-- Location: LCCOMB_X12_Y4_N16
\led_flash_cnt[1420][7]~46772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1420][7]~46772_combout\ = \led_flash_cnt[1420][6]~46771\ $ (!\led_flash_cnt[1420][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1420][7]~q\,
	cin => \led_flash_cnt[1420][6]~46771\,
	combout => \led_flash_cnt[1420][7]~46772_combout\);

-- Location: FF_X12_Y4_N17
\led_flash_cnt[1420][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1420][7]~46772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1420][7]~q\);

-- Location: LCCOMB_X12_Y4_N2
\WideAnd1420~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1420~0_combout\ = (\led_flash_cnt[1420][4]~q\ & (\led_flash_cnt[1420][1]~q\ & (\led_flash_cnt[1420][3]~q\ & \led_flash_cnt[1420][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1420][4]~q\,
	datab => \led_flash_cnt[1420][1]~q\,
	datac => \led_flash_cnt[1420][3]~q\,
	datad => \led_flash_cnt[1420][2]~q\,
	combout => \WideAnd1420~0_combout\);

-- Location: LCCOMB_X8_Y4_N30
WideAnd1420 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1420~combout\ = (\WideAnd1420~1_combout\ & (\led_flash_cnt[1420][0]~q\ & (\led_flash_cnt[1420][7]~q\ & \WideAnd1420~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1420~1_combout\,
	datab => \led_flash_cnt[1420][0]~q\,
	datac => \led_flash_cnt[1420][7]~q\,
	datad => \WideAnd1420~0_combout\,
	combout => \WideAnd1420~combout\);

-- Location: FF_X8_Y4_N31
\led_flash_cnt_ands[1420]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1420~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1420));

-- Location: LCCOMB_X8_Y9_N4
\led_flash_cnt[1421][0]~82061\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1421][0]~82061_combout\ = !\led_flash_cnt[1421][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1421][0]~q\,
	combout => \led_flash_cnt[1421][0]~82061_combout\);

-- Location: FF_X8_Y9_N5
\led_flash_cnt[1421][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1421][0]~82061_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1421][0]~q\);

-- Location: LCCOMB_X8_Y9_N10
\led_flash_cnt[1421][1]~46774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1421][1]~46774_combout\ = (\led_flash_cnt[1421][1]~q\ & (\led_flash_cnt[1421][0]~q\ $ (VCC))) # (!\led_flash_cnt[1421][1]~q\ & (\led_flash_cnt[1421][0]~q\ & VCC))
-- \led_flash_cnt[1421][1]~46775\ = CARRY((\led_flash_cnt[1421][1]~q\ & \led_flash_cnt[1421][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1421][1]~q\,
	datab => \led_flash_cnt[1421][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1421][1]~46774_combout\,
	cout => \led_flash_cnt[1421][1]~46775\);

-- Location: FF_X8_Y9_N11
\led_flash_cnt[1421][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1421][1]~46774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1421][1]~q\);

-- Location: LCCOMB_X8_Y9_N12
\led_flash_cnt[1421][2]~46776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1421][2]~46776_combout\ = (\led_flash_cnt[1421][2]~q\ & (!\led_flash_cnt[1421][1]~46775\)) # (!\led_flash_cnt[1421][2]~q\ & ((\led_flash_cnt[1421][1]~46775\) # (GND)))
-- \led_flash_cnt[1421][2]~46777\ = CARRY((!\led_flash_cnt[1421][1]~46775\) # (!\led_flash_cnt[1421][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1421][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1421][1]~46775\,
	combout => \led_flash_cnt[1421][2]~46776_combout\,
	cout => \led_flash_cnt[1421][2]~46777\);

-- Location: FF_X8_Y9_N13
\led_flash_cnt[1421][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1421][2]~46776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1421][2]~q\);

-- Location: LCCOMB_X8_Y9_N14
\led_flash_cnt[1421][3]~46778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1421][3]~46778_combout\ = (\led_flash_cnt[1421][3]~q\ & (\led_flash_cnt[1421][2]~46777\ $ (GND))) # (!\led_flash_cnt[1421][3]~q\ & (!\led_flash_cnt[1421][2]~46777\ & VCC))
-- \led_flash_cnt[1421][3]~46779\ = CARRY((\led_flash_cnt[1421][3]~q\ & !\led_flash_cnt[1421][2]~46777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1421][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1421][2]~46777\,
	combout => \led_flash_cnt[1421][3]~46778_combout\,
	cout => \led_flash_cnt[1421][3]~46779\);

-- Location: FF_X8_Y9_N15
\led_flash_cnt[1421][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1421][3]~46778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1421][3]~q\);

-- Location: LCCOMB_X8_Y9_N16
\led_flash_cnt[1421][4]~46780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1421][4]~46780_combout\ = (\led_flash_cnt[1421][4]~q\ & (!\led_flash_cnt[1421][3]~46779\)) # (!\led_flash_cnt[1421][4]~q\ & ((\led_flash_cnt[1421][3]~46779\) # (GND)))
-- \led_flash_cnt[1421][4]~46781\ = CARRY((!\led_flash_cnt[1421][3]~46779\) # (!\led_flash_cnt[1421][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1421][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1421][3]~46779\,
	combout => \led_flash_cnt[1421][4]~46780_combout\,
	cout => \led_flash_cnt[1421][4]~46781\);

-- Location: FF_X8_Y9_N17
\led_flash_cnt[1421][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1421][4]~46780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1421][4]~q\);

-- Location: LCCOMB_X8_Y9_N18
\led_flash_cnt[1421][5]~46782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1421][5]~46782_combout\ = (\led_flash_cnt[1421][5]~q\ & (\led_flash_cnt[1421][4]~46781\ $ (GND))) # (!\led_flash_cnt[1421][5]~q\ & (!\led_flash_cnt[1421][4]~46781\ & VCC))
-- \led_flash_cnt[1421][5]~46783\ = CARRY((\led_flash_cnt[1421][5]~q\ & !\led_flash_cnt[1421][4]~46781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1421][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1421][4]~46781\,
	combout => \led_flash_cnt[1421][5]~46782_combout\,
	cout => \led_flash_cnt[1421][5]~46783\);

-- Location: FF_X8_Y9_N19
\led_flash_cnt[1421][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1421][5]~46782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1421][5]~q\);

-- Location: LCCOMB_X8_Y9_N20
\led_flash_cnt[1421][6]~46784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1421][6]~46784_combout\ = (\led_flash_cnt[1421][6]~q\ & (!\led_flash_cnt[1421][5]~46783\)) # (!\led_flash_cnt[1421][6]~q\ & ((\led_flash_cnt[1421][5]~46783\) # (GND)))
-- \led_flash_cnt[1421][6]~46785\ = CARRY((!\led_flash_cnt[1421][5]~46783\) # (!\led_flash_cnt[1421][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1421][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1421][5]~46783\,
	combout => \led_flash_cnt[1421][6]~46784_combout\,
	cout => \led_flash_cnt[1421][6]~46785\);

-- Location: FF_X8_Y9_N21
\led_flash_cnt[1421][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1421][6]~46784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1421][6]~q\);

-- Location: LCCOMB_X8_Y9_N22
\led_flash_cnt[1421][7]~46786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1421][7]~46786_combout\ = \led_flash_cnt[1421][7]~q\ $ (!\led_flash_cnt[1421][6]~46785\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1421][7]~q\,
	cin => \led_flash_cnt[1421][6]~46785\,
	combout => \led_flash_cnt[1421][7]~46786_combout\);

-- Location: FF_X8_Y9_N23
\led_flash_cnt[1421][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1421][7]~46786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1421][7]~q\);

-- Location: LCCOMB_X8_Y9_N8
\WideAnd1421~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1421~1_combout\ = (\led_flash_cnt[1421][6]~q\ & \led_flash_cnt[1421][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1421][6]~q\,
	datad => \led_flash_cnt[1421][5]~q\,
	combout => \WideAnd1421~1_combout\);

-- Location: LCCOMB_X8_Y9_N6
\WideAnd1421~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1421~0_combout\ = (\led_flash_cnt[1421][1]~q\ & (\led_flash_cnt[1421][4]~q\ & (\led_flash_cnt[1421][3]~q\ & \led_flash_cnt[1421][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1421][1]~q\,
	datab => \led_flash_cnt[1421][4]~q\,
	datac => \led_flash_cnt[1421][3]~q\,
	datad => \led_flash_cnt[1421][2]~q\,
	combout => \WideAnd1421~0_combout\);

-- Location: LCCOMB_X8_Y9_N30
WideAnd1421 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1421~combout\ = (\led_flash_cnt[1421][7]~q\ & (\led_flash_cnt[1421][0]~q\ & (\WideAnd1421~1_combout\ & \WideAnd1421~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1421][7]~q\,
	datab => \led_flash_cnt[1421][0]~q\,
	datac => \WideAnd1421~1_combout\,
	datad => \WideAnd1421~0_combout\,
	combout => \WideAnd1421~combout\);

-- Location: FF_X8_Y9_N31
\led_flash_cnt_ands[1421]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1421~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1421));

-- Location: LCCOMB_X8_Y4_N18
\WideAnd4017~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4017~1_combout\ = (led_flash_cnt_ands(1420) & led_flash_cnt_ands(1421))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1420),
	datac => led_flash_cnt_ands(1421),
	combout => \WideAnd4017~1_combout\);

-- Location: LCCOMB_X13_Y4_N22
WideAnd4017 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4017~combout\ = (led_flash_cnt_ands(1422) & (\WideAnd4017~0_combout\ & (led_flash_cnt_ands(1423) & \WideAnd4017~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1422),
	datab => \WideAnd4017~0_combout\,
	datac => led_flash_cnt_ands(1423),
	datad => \WideAnd4017~1_combout\,
	combout => \WideAnd4017~combout\);

-- Location: FF_X13_Y4_N23
\led_flash_cnt_ands_1[177]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4017~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(177));

-- Location: LCCOMB_X21_Y32_N8
\led_flash_cnt[1408][0]~82048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1408][0]~82048_combout\ = !\led_flash_cnt[1408][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1408][0]~q\,
	combout => \led_flash_cnt[1408][0]~82048_combout\);

-- Location: FF_X21_Y32_N9
\led_flash_cnt[1408][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1408][0]~82048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1408][0]~q\);

-- Location: LCCOMB_X21_Y32_N10
\led_flash_cnt[1408][1]~46592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1408][1]~46592_combout\ = (\led_flash_cnt[1408][1]~q\ & (\led_flash_cnt[1408][0]~q\ $ (VCC))) # (!\led_flash_cnt[1408][1]~q\ & (\led_flash_cnt[1408][0]~q\ & VCC))
-- \led_flash_cnt[1408][1]~46593\ = CARRY((\led_flash_cnt[1408][1]~q\ & \led_flash_cnt[1408][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1408][1]~q\,
	datab => \led_flash_cnt[1408][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1408][1]~46592_combout\,
	cout => \led_flash_cnt[1408][1]~46593\);

-- Location: FF_X21_Y32_N11
\led_flash_cnt[1408][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1408][1]~46592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1408][1]~q\);

-- Location: LCCOMB_X21_Y32_N12
\led_flash_cnt[1408][2]~46594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1408][2]~46594_combout\ = (\led_flash_cnt[1408][2]~q\ & (!\led_flash_cnt[1408][1]~46593\)) # (!\led_flash_cnt[1408][2]~q\ & ((\led_flash_cnt[1408][1]~46593\) # (GND)))
-- \led_flash_cnt[1408][2]~46595\ = CARRY((!\led_flash_cnt[1408][1]~46593\) # (!\led_flash_cnt[1408][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1408][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1408][1]~46593\,
	combout => \led_flash_cnt[1408][2]~46594_combout\,
	cout => \led_flash_cnt[1408][2]~46595\);

-- Location: FF_X21_Y32_N13
\led_flash_cnt[1408][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1408][2]~46594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1408][2]~q\);

-- Location: LCCOMB_X21_Y32_N14
\led_flash_cnt[1408][3]~46596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1408][3]~46596_combout\ = (\led_flash_cnt[1408][3]~q\ & (\led_flash_cnt[1408][2]~46595\ $ (GND))) # (!\led_flash_cnt[1408][3]~q\ & (!\led_flash_cnt[1408][2]~46595\ & VCC))
-- \led_flash_cnt[1408][3]~46597\ = CARRY((\led_flash_cnt[1408][3]~q\ & !\led_flash_cnt[1408][2]~46595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1408][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1408][2]~46595\,
	combout => \led_flash_cnt[1408][3]~46596_combout\,
	cout => \led_flash_cnt[1408][3]~46597\);

-- Location: FF_X21_Y32_N15
\led_flash_cnt[1408][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1408][3]~46596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1408][3]~q\);

-- Location: LCCOMB_X21_Y32_N16
\led_flash_cnt[1408][4]~46598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1408][4]~46598_combout\ = (\led_flash_cnt[1408][4]~q\ & (!\led_flash_cnt[1408][3]~46597\)) # (!\led_flash_cnt[1408][4]~q\ & ((\led_flash_cnt[1408][3]~46597\) # (GND)))
-- \led_flash_cnt[1408][4]~46599\ = CARRY((!\led_flash_cnt[1408][3]~46597\) # (!\led_flash_cnt[1408][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1408][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1408][3]~46597\,
	combout => \led_flash_cnt[1408][4]~46598_combout\,
	cout => \led_flash_cnt[1408][4]~46599\);

-- Location: FF_X21_Y32_N17
\led_flash_cnt[1408][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1408][4]~46598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1408][4]~q\);

-- Location: LCCOMB_X21_Y32_N18
\led_flash_cnt[1408][5]~46600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1408][5]~46600_combout\ = (\led_flash_cnt[1408][5]~q\ & (\led_flash_cnt[1408][4]~46599\ $ (GND))) # (!\led_flash_cnt[1408][5]~q\ & (!\led_flash_cnt[1408][4]~46599\ & VCC))
-- \led_flash_cnt[1408][5]~46601\ = CARRY((\led_flash_cnt[1408][5]~q\ & !\led_flash_cnt[1408][4]~46599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1408][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1408][4]~46599\,
	combout => \led_flash_cnt[1408][5]~46600_combout\,
	cout => \led_flash_cnt[1408][5]~46601\);

-- Location: FF_X21_Y32_N19
\led_flash_cnt[1408][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1408][5]~46600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1408][5]~q\);

-- Location: LCCOMB_X21_Y32_N20
\led_flash_cnt[1408][6]~46602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1408][6]~46602_combout\ = (\led_flash_cnt[1408][6]~q\ & (!\led_flash_cnt[1408][5]~46601\)) # (!\led_flash_cnt[1408][6]~q\ & ((\led_flash_cnt[1408][5]~46601\) # (GND)))
-- \led_flash_cnt[1408][6]~46603\ = CARRY((!\led_flash_cnt[1408][5]~46601\) # (!\led_flash_cnt[1408][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1408][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1408][5]~46601\,
	combout => \led_flash_cnt[1408][6]~46602_combout\,
	cout => \led_flash_cnt[1408][6]~46603\);

-- Location: FF_X21_Y32_N21
\led_flash_cnt[1408][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1408][6]~46602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1408][6]~q\);

-- Location: LCCOMB_X21_Y32_N22
\led_flash_cnt[1408][7]~46604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1408][7]~46604_combout\ = \led_flash_cnt[1408][7]~q\ $ (!\led_flash_cnt[1408][6]~46603\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1408][7]~q\,
	cin => \led_flash_cnt[1408][6]~46603\,
	combout => \led_flash_cnt[1408][7]~46604_combout\);

-- Location: FF_X21_Y32_N23
\led_flash_cnt[1408][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1408][7]~46604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1408][7]~q\);

-- Location: LCCOMB_X21_Y32_N4
\WideAnd1408~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1408~0_combout\ = (\led_flash_cnt[1408][2]~q\ & (\led_flash_cnt[1408][4]~q\ & (\led_flash_cnt[1408][3]~q\ & \led_flash_cnt[1408][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1408][2]~q\,
	datab => \led_flash_cnt[1408][4]~q\,
	datac => \led_flash_cnt[1408][3]~q\,
	datad => \led_flash_cnt[1408][1]~q\,
	combout => \WideAnd1408~0_combout\);

-- Location: LCCOMB_X21_Y32_N24
\WideAnd1408~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1408~1_combout\ = (\led_flash_cnt[1408][5]~q\ & \led_flash_cnt[1408][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1408][5]~q\,
	datad => \led_flash_cnt[1408][6]~q\,
	combout => \WideAnd1408~1_combout\);

-- Location: LCCOMB_X21_Y32_N6
WideAnd1408 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1408~combout\ = (\led_flash_cnt[1408][7]~q\ & (\WideAnd1408~0_combout\ & (\led_flash_cnt[1408][0]~q\ & \WideAnd1408~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1408][7]~q\,
	datab => \WideAnd1408~0_combout\,
	datac => \led_flash_cnt[1408][0]~q\,
	datad => \WideAnd1408~1_combout\,
	combout => \WideAnd1408~combout\);

-- Location: FF_X21_Y32_N7
\led_flash_cnt_ands[1408]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1408~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1408));

-- Location: LCCOMB_X12_Y34_N10
\led_flash_cnt[1410][0]~82050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1410][0]~82050_combout\ = !\led_flash_cnt[1410][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1410][0]~q\,
	combout => \led_flash_cnt[1410][0]~82050_combout\);

-- Location: FF_X12_Y34_N11
\led_flash_cnt[1410][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1410][0]~82050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1410][0]~q\);

-- Location: LCCOMB_X12_Y34_N14
\led_flash_cnt[1410][1]~46620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1410][1]~46620_combout\ = (\led_flash_cnt[1410][0]~q\ & (\led_flash_cnt[1410][1]~q\ $ (VCC))) # (!\led_flash_cnt[1410][0]~q\ & (\led_flash_cnt[1410][1]~q\ & VCC))
-- \led_flash_cnt[1410][1]~46621\ = CARRY((\led_flash_cnt[1410][0]~q\ & \led_flash_cnt[1410][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1410][0]~q\,
	datab => \led_flash_cnt[1410][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1410][1]~46620_combout\,
	cout => \led_flash_cnt[1410][1]~46621\);

-- Location: FF_X12_Y34_N15
\led_flash_cnt[1410][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1410][1]~46620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1410][1]~q\);

-- Location: LCCOMB_X12_Y34_N16
\led_flash_cnt[1410][2]~46622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1410][2]~46622_combout\ = (\led_flash_cnt[1410][2]~q\ & (!\led_flash_cnt[1410][1]~46621\)) # (!\led_flash_cnt[1410][2]~q\ & ((\led_flash_cnt[1410][1]~46621\) # (GND)))
-- \led_flash_cnt[1410][2]~46623\ = CARRY((!\led_flash_cnt[1410][1]~46621\) # (!\led_flash_cnt[1410][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1410][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1410][1]~46621\,
	combout => \led_flash_cnt[1410][2]~46622_combout\,
	cout => \led_flash_cnt[1410][2]~46623\);

-- Location: FF_X12_Y34_N17
\led_flash_cnt[1410][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1410][2]~46622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1410][2]~q\);

-- Location: LCCOMB_X12_Y34_N18
\led_flash_cnt[1410][3]~46624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1410][3]~46624_combout\ = (\led_flash_cnt[1410][3]~q\ & (\led_flash_cnt[1410][2]~46623\ $ (GND))) # (!\led_flash_cnt[1410][3]~q\ & (!\led_flash_cnt[1410][2]~46623\ & VCC))
-- \led_flash_cnt[1410][3]~46625\ = CARRY((\led_flash_cnt[1410][3]~q\ & !\led_flash_cnt[1410][2]~46623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1410][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1410][2]~46623\,
	combout => \led_flash_cnt[1410][3]~46624_combout\,
	cout => \led_flash_cnt[1410][3]~46625\);

-- Location: FF_X12_Y34_N19
\led_flash_cnt[1410][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1410][3]~46624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1410][3]~q\);

-- Location: LCCOMB_X12_Y34_N20
\led_flash_cnt[1410][4]~46626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1410][4]~46626_combout\ = (\led_flash_cnt[1410][4]~q\ & (!\led_flash_cnt[1410][3]~46625\)) # (!\led_flash_cnt[1410][4]~q\ & ((\led_flash_cnt[1410][3]~46625\) # (GND)))
-- \led_flash_cnt[1410][4]~46627\ = CARRY((!\led_flash_cnt[1410][3]~46625\) # (!\led_flash_cnt[1410][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1410][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1410][3]~46625\,
	combout => \led_flash_cnt[1410][4]~46626_combout\,
	cout => \led_flash_cnt[1410][4]~46627\);

-- Location: FF_X12_Y34_N21
\led_flash_cnt[1410][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1410][4]~46626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1410][4]~q\);

-- Location: LCCOMB_X12_Y34_N0
\WideAnd1410~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1410~0_combout\ = (\led_flash_cnt[1410][3]~q\ & (\led_flash_cnt[1410][4]~q\ & (\led_flash_cnt[1410][1]~q\ & \led_flash_cnt[1410][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1410][3]~q\,
	datab => \led_flash_cnt[1410][4]~q\,
	datac => \led_flash_cnt[1410][1]~q\,
	datad => \led_flash_cnt[1410][2]~q\,
	combout => \WideAnd1410~0_combout\);

-- Location: LCCOMB_X12_Y34_N22
\led_flash_cnt[1410][5]~46628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1410][5]~46628_combout\ = (\led_flash_cnt[1410][5]~q\ & (\led_flash_cnt[1410][4]~46627\ $ (GND))) # (!\led_flash_cnt[1410][5]~q\ & (!\led_flash_cnt[1410][4]~46627\ & VCC))
-- \led_flash_cnt[1410][5]~46629\ = CARRY((\led_flash_cnt[1410][5]~q\ & !\led_flash_cnt[1410][4]~46627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1410][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1410][4]~46627\,
	combout => \led_flash_cnt[1410][5]~46628_combout\,
	cout => \led_flash_cnt[1410][5]~46629\);

-- Location: FF_X12_Y34_N23
\led_flash_cnt[1410][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1410][5]~46628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1410][5]~q\);

-- Location: LCCOMB_X12_Y34_N24
\led_flash_cnt[1410][6]~46630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1410][6]~46630_combout\ = (\led_flash_cnt[1410][6]~q\ & (!\led_flash_cnt[1410][5]~46629\)) # (!\led_flash_cnt[1410][6]~q\ & ((\led_flash_cnt[1410][5]~46629\) # (GND)))
-- \led_flash_cnt[1410][6]~46631\ = CARRY((!\led_flash_cnt[1410][5]~46629\) # (!\led_flash_cnt[1410][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1410][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1410][5]~46629\,
	combout => \led_flash_cnt[1410][6]~46630_combout\,
	cout => \led_flash_cnt[1410][6]~46631\);

-- Location: FF_X12_Y34_N25
\led_flash_cnt[1410][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1410][6]~46630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1410][6]~q\);

-- Location: LCCOMB_X12_Y34_N26
\led_flash_cnt[1410][7]~46632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1410][7]~46632_combout\ = \led_flash_cnt[1410][7]~q\ $ (!\led_flash_cnt[1410][6]~46631\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1410][7]~q\,
	cin => \led_flash_cnt[1410][6]~46631\,
	combout => \led_flash_cnt[1410][7]~46632_combout\);

-- Location: FF_X12_Y34_N27
\led_flash_cnt[1410][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1410][7]~46632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1410][7]~q\);

-- Location: LCCOMB_X12_Y34_N12
\WideAnd1410~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1410~1_combout\ = (\led_flash_cnt[1410][5]~q\ & \led_flash_cnt[1410][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1410][5]~q\,
	datad => \led_flash_cnt[1410][6]~q\,
	combout => \WideAnd1410~1_combout\);

-- Location: LCCOMB_X12_Y34_N4
WideAnd1410 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1410~combout\ = (\led_flash_cnt[1410][0]~q\ & (\WideAnd1410~0_combout\ & (\led_flash_cnt[1410][7]~q\ & \WideAnd1410~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1410][0]~q\,
	datab => \WideAnd1410~0_combout\,
	datac => \led_flash_cnt[1410][7]~q\,
	datad => \WideAnd1410~1_combout\,
	combout => \WideAnd1410~combout\);

-- Location: FF_X12_Y34_N5
\led_flash_cnt_ands[1410]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1410~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1410));

-- Location: LCCOMB_X26_Y29_N4
\led_flash_cnt[1409][0]~82049\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1409][0]~82049_combout\ = !\led_flash_cnt[1409][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1409][0]~q\,
	combout => \led_flash_cnt[1409][0]~82049_combout\);

-- Location: FF_X26_Y29_N5
\led_flash_cnt[1409][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1409][0]~82049_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1409][0]~q\);

-- Location: LCCOMB_X20_Y29_N2
\led_flash_cnt[1409][1]~46606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1409][1]~46606_combout\ = (\led_flash_cnt[1409][0]~q\ & (\led_flash_cnt[1409][1]~q\ $ (VCC))) # (!\led_flash_cnt[1409][0]~q\ & (\led_flash_cnt[1409][1]~q\ & VCC))
-- \led_flash_cnt[1409][1]~46607\ = CARRY((\led_flash_cnt[1409][0]~q\ & \led_flash_cnt[1409][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1409][0]~q\,
	datab => \led_flash_cnt[1409][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1409][1]~46606_combout\,
	cout => \led_flash_cnt[1409][1]~46607\);

-- Location: FF_X20_Y29_N3
\led_flash_cnt[1409][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1409][1]~46606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1409][1]~q\);

-- Location: LCCOMB_X20_Y29_N4
\led_flash_cnt[1409][2]~46608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1409][2]~46608_combout\ = (\led_flash_cnt[1409][2]~q\ & (!\led_flash_cnt[1409][1]~46607\)) # (!\led_flash_cnt[1409][2]~q\ & ((\led_flash_cnt[1409][1]~46607\) # (GND)))
-- \led_flash_cnt[1409][2]~46609\ = CARRY((!\led_flash_cnt[1409][1]~46607\) # (!\led_flash_cnt[1409][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1409][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1409][1]~46607\,
	combout => \led_flash_cnt[1409][2]~46608_combout\,
	cout => \led_flash_cnt[1409][2]~46609\);

-- Location: FF_X20_Y29_N5
\led_flash_cnt[1409][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1409][2]~46608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1409][2]~q\);

-- Location: LCCOMB_X20_Y29_N6
\led_flash_cnt[1409][3]~46610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1409][3]~46610_combout\ = (\led_flash_cnt[1409][3]~q\ & (\led_flash_cnt[1409][2]~46609\ $ (GND))) # (!\led_flash_cnt[1409][3]~q\ & (!\led_flash_cnt[1409][2]~46609\ & VCC))
-- \led_flash_cnt[1409][3]~46611\ = CARRY((\led_flash_cnt[1409][3]~q\ & !\led_flash_cnt[1409][2]~46609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1409][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1409][2]~46609\,
	combout => \led_flash_cnt[1409][3]~46610_combout\,
	cout => \led_flash_cnt[1409][3]~46611\);

-- Location: FF_X20_Y29_N7
\led_flash_cnt[1409][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1409][3]~46610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1409][3]~q\);

-- Location: LCCOMB_X20_Y29_N8
\led_flash_cnt[1409][4]~46612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1409][4]~46612_combout\ = (\led_flash_cnt[1409][4]~q\ & (!\led_flash_cnt[1409][3]~46611\)) # (!\led_flash_cnt[1409][4]~q\ & ((\led_flash_cnt[1409][3]~46611\) # (GND)))
-- \led_flash_cnt[1409][4]~46613\ = CARRY((!\led_flash_cnt[1409][3]~46611\) # (!\led_flash_cnt[1409][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1409][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1409][3]~46611\,
	combout => \led_flash_cnt[1409][4]~46612_combout\,
	cout => \led_flash_cnt[1409][4]~46613\);

-- Location: FF_X20_Y29_N9
\led_flash_cnt[1409][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1409][4]~46612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1409][4]~q\);

-- Location: LCCOMB_X20_Y29_N30
\WideAnd1409~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1409~0_combout\ = (\led_flash_cnt[1409][3]~q\ & (\led_flash_cnt[1409][2]~q\ & (\led_flash_cnt[1409][4]~q\ & \led_flash_cnt[1409][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1409][3]~q\,
	datab => \led_flash_cnt[1409][2]~q\,
	datac => \led_flash_cnt[1409][4]~q\,
	datad => \led_flash_cnt[1409][1]~q\,
	combout => \WideAnd1409~0_combout\);

-- Location: LCCOMB_X20_Y29_N10
\led_flash_cnt[1409][5]~46614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1409][5]~46614_combout\ = (\led_flash_cnt[1409][5]~q\ & (\led_flash_cnt[1409][4]~46613\ $ (GND))) # (!\led_flash_cnt[1409][5]~q\ & (!\led_flash_cnt[1409][4]~46613\ & VCC))
-- \led_flash_cnt[1409][5]~46615\ = CARRY((\led_flash_cnt[1409][5]~q\ & !\led_flash_cnt[1409][4]~46613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1409][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1409][4]~46613\,
	combout => \led_flash_cnt[1409][5]~46614_combout\,
	cout => \led_flash_cnt[1409][5]~46615\);

-- Location: FF_X20_Y29_N11
\led_flash_cnt[1409][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1409][5]~46614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1409][5]~q\);

-- Location: LCCOMB_X20_Y29_N12
\led_flash_cnt[1409][6]~46616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1409][6]~46616_combout\ = (\led_flash_cnt[1409][6]~q\ & (!\led_flash_cnt[1409][5]~46615\)) # (!\led_flash_cnt[1409][6]~q\ & ((\led_flash_cnt[1409][5]~46615\) # (GND)))
-- \led_flash_cnt[1409][6]~46617\ = CARRY((!\led_flash_cnt[1409][5]~46615\) # (!\led_flash_cnt[1409][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1409][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1409][5]~46615\,
	combout => \led_flash_cnt[1409][6]~46616_combout\,
	cout => \led_flash_cnt[1409][6]~46617\);

-- Location: FF_X20_Y29_N13
\led_flash_cnt[1409][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1409][6]~46616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1409][6]~q\);

-- Location: LCCOMB_X20_Y29_N14
\led_flash_cnt[1409][7]~46618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1409][7]~46618_combout\ = \led_flash_cnt[1409][7]~q\ $ (!\led_flash_cnt[1409][6]~46617\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1409][7]~q\,
	cin => \led_flash_cnt[1409][6]~46617\,
	combout => \led_flash_cnt[1409][7]~46618_combout\);

-- Location: FF_X20_Y29_N15
\led_flash_cnt[1409][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1409][7]~46618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1409][7]~q\);

-- Location: LCCOMB_X23_Y29_N20
\WideAnd1409~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1409~1_combout\ = (\led_flash_cnt[1409][6]~q\ & \led_flash_cnt[1409][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1409][6]~q\,
	datad => \led_flash_cnt[1409][5]~q\,
	combout => \WideAnd1409~1_combout\);

-- Location: LCCOMB_X23_Y29_N26
WideAnd1409 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1409~combout\ = (\WideAnd1409~0_combout\ & (\led_flash_cnt[1409][7]~q\ & (\led_flash_cnt[1409][0]~q\ & \WideAnd1409~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1409~0_combout\,
	datab => \led_flash_cnt[1409][7]~q\,
	datac => \led_flash_cnt[1409][0]~q\,
	datad => \WideAnd1409~1_combout\,
	combout => \WideAnd1409~combout\);

-- Location: FF_X23_Y29_N27
\led_flash_cnt_ands[1409]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1409~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1409));

-- Location: LCCOMB_X21_Y32_N2
\led_flash_cnt[1411][0]~82051\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1411][0]~82051_combout\ = !\led_flash_cnt[1411][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1411][0]~q\,
	combout => \led_flash_cnt[1411][0]~82051_combout\);

-- Location: FF_X21_Y32_N3
\led_flash_cnt[1411][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1411][0]~82051_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1411][0]~q\);

-- Location: LCCOMB_X20_Y32_N14
\led_flash_cnt[1411][1]~46634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1411][1]~46634_combout\ = (\led_flash_cnt[1411][0]~q\ & (\led_flash_cnt[1411][1]~q\ $ (VCC))) # (!\led_flash_cnt[1411][0]~q\ & (\led_flash_cnt[1411][1]~q\ & VCC))
-- \led_flash_cnt[1411][1]~46635\ = CARRY((\led_flash_cnt[1411][0]~q\ & \led_flash_cnt[1411][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1411][0]~q\,
	datab => \led_flash_cnt[1411][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1411][1]~46634_combout\,
	cout => \led_flash_cnt[1411][1]~46635\);

-- Location: FF_X20_Y32_N15
\led_flash_cnt[1411][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1411][1]~46634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1411][1]~q\);

-- Location: LCCOMB_X20_Y32_N16
\led_flash_cnt[1411][2]~46636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1411][2]~46636_combout\ = (\led_flash_cnt[1411][2]~q\ & (!\led_flash_cnt[1411][1]~46635\)) # (!\led_flash_cnt[1411][2]~q\ & ((\led_flash_cnt[1411][1]~46635\) # (GND)))
-- \led_flash_cnt[1411][2]~46637\ = CARRY((!\led_flash_cnt[1411][1]~46635\) # (!\led_flash_cnt[1411][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1411][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1411][1]~46635\,
	combout => \led_flash_cnt[1411][2]~46636_combout\,
	cout => \led_flash_cnt[1411][2]~46637\);

-- Location: FF_X20_Y32_N17
\led_flash_cnt[1411][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1411][2]~46636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1411][2]~q\);

-- Location: LCCOMB_X20_Y32_N18
\led_flash_cnt[1411][3]~46638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1411][3]~46638_combout\ = (\led_flash_cnt[1411][3]~q\ & (\led_flash_cnt[1411][2]~46637\ $ (GND))) # (!\led_flash_cnt[1411][3]~q\ & (!\led_flash_cnt[1411][2]~46637\ & VCC))
-- \led_flash_cnt[1411][3]~46639\ = CARRY((\led_flash_cnt[1411][3]~q\ & !\led_flash_cnt[1411][2]~46637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1411][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1411][2]~46637\,
	combout => \led_flash_cnt[1411][3]~46638_combout\,
	cout => \led_flash_cnt[1411][3]~46639\);

-- Location: FF_X20_Y32_N19
\led_flash_cnt[1411][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1411][3]~46638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1411][3]~q\);

-- Location: LCCOMB_X20_Y32_N20
\led_flash_cnt[1411][4]~46640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1411][4]~46640_combout\ = (\led_flash_cnt[1411][4]~q\ & (!\led_flash_cnt[1411][3]~46639\)) # (!\led_flash_cnt[1411][4]~q\ & ((\led_flash_cnt[1411][3]~46639\) # (GND)))
-- \led_flash_cnt[1411][4]~46641\ = CARRY((!\led_flash_cnt[1411][3]~46639\) # (!\led_flash_cnt[1411][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1411][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1411][3]~46639\,
	combout => \led_flash_cnt[1411][4]~46640_combout\,
	cout => \led_flash_cnt[1411][4]~46641\);

-- Location: FF_X20_Y32_N21
\led_flash_cnt[1411][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1411][4]~46640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1411][4]~q\);

-- Location: LCCOMB_X20_Y32_N22
\led_flash_cnt[1411][5]~46642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1411][5]~46642_combout\ = (\led_flash_cnt[1411][5]~q\ & (\led_flash_cnt[1411][4]~46641\ $ (GND))) # (!\led_flash_cnt[1411][5]~q\ & (!\led_flash_cnt[1411][4]~46641\ & VCC))
-- \led_flash_cnt[1411][5]~46643\ = CARRY((\led_flash_cnt[1411][5]~q\ & !\led_flash_cnt[1411][4]~46641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1411][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1411][4]~46641\,
	combout => \led_flash_cnt[1411][5]~46642_combout\,
	cout => \led_flash_cnt[1411][5]~46643\);

-- Location: FF_X20_Y32_N23
\led_flash_cnt[1411][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1411][5]~46642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1411][5]~q\);

-- Location: LCCOMB_X20_Y32_N24
\led_flash_cnt[1411][6]~46644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1411][6]~46644_combout\ = (\led_flash_cnt[1411][6]~q\ & (!\led_flash_cnt[1411][5]~46643\)) # (!\led_flash_cnt[1411][6]~q\ & ((\led_flash_cnt[1411][5]~46643\) # (GND)))
-- \led_flash_cnt[1411][6]~46645\ = CARRY((!\led_flash_cnt[1411][5]~46643\) # (!\led_flash_cnt[1411][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1411][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1411][5]~46643\,
	combout => \led_flash_cnt[1411][6]~46644_combout\,
	cout => \led_flash_cnt[1411][6]~46645\);

-- Location: FF_X20_Y32_N25
\led_flash_cnt[1411][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1411][6]~46644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1411][6]~q\);

-- Location: LCCOMB_X21_Y32_N30
\WideAnd1411~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1411~1_combout\ = (\led_flash_cnt[1411][6]~q\ & \led_flash_cnt[1411][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1411][6]~q\,
	datad => \led_flash_cnt[1411][5]~q\,
	combout => \WideAnd1411~1_combout\);

-- Location: LCCOMB_X20_Y32_N30
\WideAnd1411~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1411~0_combout\ = (\led_flash_cnt[1411][4]~q\ & (\led_flash_cnt[1411][2]~q\ & (\led_flash_cnt[1411][1]~q\ & \led_flash_cnt[1411][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1411][4]~q\,
	datab => \led_flash_cnt[1411][2]~q\,
	datac => \led_flash_cnt[1411][1]~q\,
	datad => \led_flash_cnt[1411][3]~q\,
	combout => \WideAnd1411~0_combout\);

-- Location: LCCOMB_X20_Y32_N26
\led_flash_cnt[1411][7]~46646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1411][7]~46646_combout\ = \led_flash_cnt[1411][7]~q\ $ (!\led_flash_cnt[1411][6]~46645\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1411][7]~q\,
	cin => \led_flash_cnt[1411][6]~46645\,
	combout => \led_flash_cnt[1411][7]~46646_combout\);

-- Location: FF_X20_Y32_N27
\led_flash_cnt[1411][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1411][7]~46646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1411][7]~q\);

-- Location: LCCOMB_X21_Y32_N28
WideAnd1411 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1411~combout\ = (\WideAnd1411~1_combout\ & (\WideAnd1411~0_combout\ & (\led_flash_cnt[1411][7]~q\ & \led_flash_cnt[1411][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1411~1_combout\,
	datab => \WideAnd1411~0_combout\,
	datac => \led_flash_cnt[1411][7]~q\,
	datad => \led_flash_cnt[1411][0]~q\,
	combout => \WideAnd1411~combout\);

-- Location: FF_X21_Y32_N29
\led_flash_cnt_ands[1411]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1411~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1411));

-- Location: LCCOMB_X21_Y32_N26
\WideAnd4016~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4016~0_combout\ = (led_flash_cnt_ands(1408) & (led_flash_cnt_ands(1410) & (led_flash_cnt_ands(1409) & led_flash_cnt_ands(1411))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1408),
	datab => led_flash_cnt_ands(1410),
	datac => led_flash_cnt_ands(1409),
	datad => led_flash_cnt_ands(1411),
	combout => \WideAnd4016~0_combout\);

-- Location: LCCOMB_X10_Y37_N20
\led_flash_cnt[1412][0]~82052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1412][0]~82052_combout\ = !\led_flash_cnt[1412][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1412][0]~q\,
	combout => \led_flash_cnt[1412][0]~82052_combout\);

-- Location: FF_X10_Y37_N21
\led_flash_cnt[1412][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1412][0]~82052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1412][0]~q\);

-- Location: LCCOMB_X10_Y37_N4
\led_flash_cnt[1412][1]~46648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1412][1]~46648_combout\ = (\led_flash_cnt[1412][1]~q\ & (\led_flash_cnt[1412][0]~q\ $ (VCC))) # (!\led_flash_cnt[1412][1]~q\ & (\led_flash_cnt[1412][0]~q\ & VCC))
-- \led_flash_cnt[1412][1]~46649\ = CARRY((\led_flash_cnt[1412][1]~q\ & \led_flash_cnt[1412][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1412][1]~q\,
	datab => \led_flash_cnt[1412][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1412][1]~46648_combout\,
	cout => \led_flash_cnt[1412][1]~46649\);

-- Location: FF_X10_Y37_N5
\led_flash_cnt[1412][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1412][1]~46648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1412][1]~q\);

-- Location: LCCOMB_X10_Y37_N6
\led_flash_cnt[1412][2]~46650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1412][2]~46650_combout\ = (\led_flash_cnt[1412][2]~q\ & (!\led_flash_cnt[1412][1]~46649\)) # (!\led_flash_cnt[1412][2]~q\ & ((\led_flash_cnt[1412][1]~46649\) # (GND)))
-- \led_flash_cnt[1412][2]~46651\ = CARRY((!\led_flash_cnt[1412][1]~46649\) # (!\led_flash_cnt[1412][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1412][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1412][1]~46649\,
	combout => \led_flash_cnt[1412][2]~46650_combout\,
	cout => \led_flash_cnt[1412][2]~46651\);

-- Location: FF_X10_Y37_N7
\led_flash_cnt[1412][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1412][2]~46650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1412][2]~q\);

-- Location: LCCOMB_X10_Y37_N8
\led_flash_cnt[1412][3]~46652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1412][3]~46652_combout\ = (\led_flash_cnt[1412][3]~q\ & (\led_flash_cnt[1412][2]~46651\ $ (GND))) # (!\led_flash_cnt[1412][3]~q\ & (!\led_flash_cnt[1412][2]~46651\ & VCC))
-- \led_flash_cnt[1412][3]~46653\ = CARRY((\led_flash_cnt[1412][3]~q\ & !\led_flash_cnt[1412][2]~46651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1412][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1412][2]~46651\,
	combout => \led_flash_cnt[1412][3]~46652_combout\,
	cout => \led_flash_cnt[1412][3]~46653\);

-- Location: FF_X10_Y37_N9
\led_flash_cnt[1412][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1412][3]~46652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1412][3]~q\);

-- Location: LCCOMB_X10_Y37_N10
\led_flash_cnt[1412][4]~46654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1412][4]~46654_combout\ = (\led_flash_cnt[1412][4]~q\ & (!\led_flash_cnt[1412][3]~46653\)) # (!\led_flash_cnt[1412][4]~q\ & ((\led_flash_cnt[1412][3]~46653\) # (GND)))
-- \led_flash_cnt[1412][4]~46655\ = CARRY((!\led_flash_cnt[1412][3]~46653\) # (!\led_flash_cnt[1412][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1412][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1412][3]~46653\,
	combout => \led_flash_cnt[1412][4]~46654_combout\,
	cout => \led_flash_cnt[1412][4]~46655\);

-- Location: FF_X10_Y37_N11
\led_flash_cnt[1412][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1412][4]~46654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1412][4]~q\);

-- Location: LCCOMB_X10_Y37_N22
\WideAnd1412~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1412~0_combout\ = (\led_flash_cnt[1412][1]~q\ & (\led_flash_cnt[1412][2]~q\ & (\led_flash_cnt[1412][3]~q\ & \led_flash_cnt[1412][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1412][1]~q\,
	datab => \led_flash_cnt[1412][2]~q\,
	datac => \led_flash_cnt[1412][3]~q\,
	datad => \led_flash_cnt[1412][4]~q\,
	combout => \WideAnd1412~0_combout\);

-- Location: LCCOMB_X10_Y37_N12
\led_flash_cnt[1412][5]~46656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1412][5]~46656_combout\ = (\led_flash_cnt[1412][5]~q\ & (\led_flash_cnt[1412][4]~46655\ $ (GND))) # (!\led_flash_cnt[1412][5]~q\ & (!\led_flash_cnt[1412][4]~46655\ & VCC))
-- \led_flash_cnt[1412][5]~46657\ = CARRY((\led_flash_cnt[1412][5]~q\ & !\led_flash_cnt[1412][4]~46655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1412][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1412][4]~46655\,
	combout => \led_flash_cnt[1412][5]~46656_combout\,
	cout => \led_flash_cnt[1412][5]~46657\);

-- Location: FF_X10_Y37_N13
\led_flash_cnt[1412][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1412][5]~46656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1412][5]~q\);

-- Location: LCCOMB_X10_Y37_N14
\led_flash_cnt[1412][6]~46658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1412][6]~46658_combout\ = (\led_flash_cnt[1412][6]~q\ & (!\led_flash_cnt[1412][5]~46657\)) # (!\led_flash_cnt[1412][6]~q\ & ((\led_flash_cnt[1412][5]~46657\) # (GND)))
-- \led_flash_cnt[1412][6]~46659\ = CARRY((!\led_flash_cnt[1412][5]~46657\) # (!\led_flash_cnt[1412][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1412][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1412][5]~46657\,
	combout => \led_flash_cnt[1412][6]~46658_combout\,
	cout => \led_flash_cnt[1412][6]~46659\);

-- Location: FF_X10_Y37_N15
\led_flash_cnt[1412][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1412][6]~46658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1412][6]~q\);

-- Location: LCCOMB_X10_Y37_N16
\led_flash_cnt[1412][7]~46660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1412][7]~46660_combout\ = \led_flash_cnt[1412][6]~46659\ $ (!\led_flash_cnt[1412][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1412][7]~q\,
	cin => \led_flash_cnt[1412][6]~46659\,
	combout => \led_flash_cnt[1412][7]~46660_combout\);

-- Location: FF_X10_Y37_N17
\led_flash_cnt[1412][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1412][7]~46660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1412][7]~q\);

-- Location: LCCOMB_X10_Y37_N30
\WideAnd1412~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1412~1_combout\ = (\led_flash_cnt[1412][5]~q\ & \led_flash_cnt[1412][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1412][5]~q\,
	datac => \led_flash_cnt[1412][6]~q\,
	combout => \WideAnd1412~1_combout\);

-- Location: LCCOMB_X10_Y37_N26
WideAnd1412 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1412~combout\ = (\WideAnd1412~0_combout\ & (\led_flash_cnt[1412][7]~q\ & (\WideAnd1412~1_combout\ & \led_flash_cnt[1412][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1412~0_combout\,
	datab => \led_flash_cnt[1412][7]~q\,
	datac => \WideAnd1412~1_combout\,
	datad => \led_flash_cnt[1412][0]~q\,
	combout => \WideAnd1412~combout\);

-- Location: FF_X10_Y37_N27
\led_flash_cnt_ands[1412]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1412~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1412));

-- Location: LCCOMB_X10_Y37_N2
\led_flash_cnt[1413][0]~82053\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1413][0]~82053_combout\ = !\led_flash_cnt[1413][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1413][0]~q\,
	combout => \led_flash_cnt[1413][0]~82053_combout\);

-- Location: FF_X10_Y37_N3
\led_flash_cnt[1413][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1413][0]~82053_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1413][0]~q\);

-- Location: LCCOMB_X11_Y37_N18
\led_flash_cnt[1413][1]~46662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1413][1]~46662_combout\ = (\led_flash_cnt[1413][0]~q\ & (\led_flash_cnt[1413][1]~q\ $ (VCC))) # (!\led_flash_cnt[1413][0]~q\ & (\led_flash_cnt[1413][1]~q\ & VCC))
-- \led_flash_cnt[1413][1]~46663\ = CARRY((\led_flash_cnt[1413][0]~q\ & \led_flash_cnt[1413][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1413][0]~q\,
	datab => \led_flash_cnt[1413][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1413][1]~46662_combout\,
	cout => \led_flash_cnt[1413][1]~46663\);

-- Location: FF_X11_Y37_N19
\led_flash_cnt[1413][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1413][1]~46662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1413][1]~q\);

-- Location: LCCOMB_X11_Y37_N20
\led_flash_cnt[1413][2]~46664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1413][2]~46664_combout\ = (\led_flash_cnt[1413][2]~q\ & (!\led_flash_cnt[1413][1]~46663\)) # (!\led_flash_cnt[1413][2]~q\ & ((\led_flash_cnt[1413][1]~46663\) # (GND)))
-- \led_flash_cnt[1413][2]~46665\ = CARRY((!\led_flash_cnt[1413][1]~46663\) # (!\led_flash_cnt[1413][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1413][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1413][1]~46663\,
	combout => \led_flash_cnt[1413][2]~46664_combout\,
	cout => \led_flash_cnt[1413][2]~46665\);

-- Location: FF_X11_Y37_N21
\led_flash_cnt[1413][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1413][2]~46664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1413][2]~q\);

-- Location: LCCOMB_X11_Y37_N22
\led_flash_cnt[1413][3]~46666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1413][3]~46666_combout\ = (\led_flash_cnt[1413][3]~q\ & (\led_flash_cnt[1413][2]~46665\ $ (GND))) # (!\led_flash_cnt[1413][3]~q\ & (!\led_flash_cnt[1413][2]~46665\ & VCC))
-- \led_flash_cnt[1413][3]~46667\ = CARRY((\led_flash_cnt[1413][3]~q\ & !\led_flash_cnt[1413][2]~46665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1413][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1413][2]~46665\,
	combout => \led_flash_cnt[1413][3]~46666_combout\,
	cout => \led_flash_cnt[1413][3]~46667\);

-- Location: FF_X11_Y37_N23
\led_flash_cnt[1413][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1413][3]~46666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1413][3]~q\);

-- Location: LCCOMB_X11_Y37_N24
\led_flash_cnt[1413][4]~46668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1413][4]~46668_combout\ = (\led_flash_cnt[1413][4]~q\ & (!\led_flash_cnt[1413][3]~46667\)) # (!\led_flash_cnt[1413][4]~q\ & ((\led_flash_cnt[1413][3]~46667\) # (GND)))
-- \led_flash_cnt[1413][4]~46669\ = CARRY((!\led_flash_cnt[1413][3]~46667\) # (!\led_flash_cnt[1413][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1413][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1413][3]~46667\,
	combout => \led_flash_cnt[1413][4]~46668_combout\,
	cout => \led_flash_cnt[1413][4]~46669\);

-- Location: FF_X11_Y37_N25
\led_flash_cnt[1413][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1413][4]~46668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1413][4]~q\);

-- Location: LCCOMB_X11_Y37_N26
\led_flash_cnt[1413][5]~46670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1413][5]~46670_combout\ = (\led_flash_cnt[1413][5]~q\ & (\led_flash_cnt[1413][4]~46669\ $ (GND))) # (!\led_flash_cnt[1413][5]~q\ & (!\led_flash_cnt[1413][4]~46669\ & VCC))
-- \led_flash_cnt[1413][5]~46671\ = CARRY((\led_flash_cnt[1413][5]~q\ & !\led_flash_cnt[1413][4]~46669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1413][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1413][4]~46669\,
	combout => \led_flash_cnt[1413][5]~46670_combout\,
	cout => \led_flash_cnt[1413][5]~46671\);

-- Location: FF_X11_Y37_N27
\led_flash_cnt[1413][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1413][5]~46670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1413][5]~q\);

-- Location: LCCOMB_X11_Y37_N28
\led_flash_cnt[1413][6]~46672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1413][6]~46672_combout\ = (\led_flash_cnt[1413][6]~q\ & (!\led_flash_cnt[1413][5]~46671\)) # (!\led_flash_cnt[1413][6]~q\ & ((\led_flash_cnt[1413][5]~46671\) # (GND)))
-- \led_flash_cnt[1413][6]~46673\ = CARRY((!\led_flash_cnt[1413][5]~46671\) # (!\led_flash_cnt[1413][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1413][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1413][5]~46671\,
	combout => \led_flash_cnt[1413][6]~46672_combout\,
	cout => \led_flash_cnt[1413][6]~46673\);

-- Location: FF_X11_Y37_N29
\led_flash_cnt[1413][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1413][6]~46672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1413][6]~q\);

-- Location: LCCOMB_X11_Y37_N30
\led_flash_cnt[1413][7]~46674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1413][7]~46674_combout\ = \led_flash_cnt[1413][7]~q\ $ (!\led_flash_cnt[1413][6]~46673\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1413][7]~q\,
	cin => \led_flash_cnt[1413][6]~46673\,
	combout => \led_flash_cnt[1413][7]~46674_combout\);

-- Location: FF_X11_Y37_N31
\led_flash_cnt[1413][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1413][7]~46674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1413][7]~q\);

-- Location: LCCOMB_X10_Y37_N24
\WideAnd1413~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1413~1_combout\ = (\led_flash_cnt[1413][5]~q\ & \led_flash_cnt[1413][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1413][5]~q\,
	datad => \led_flash_cnt[1413][6]~q\,
	combout => \WideAnd1413~1_combout\);

-- Location: LCCOMB_X11_Y37_N14
\WideAnd1413~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1413~0_combout\ = (\led_flash_cnt[1413][1]~q\ & (\led_flash_cnt[1413][2]~q\ & (\led_flash_cnt[1413][3]~q\ & \led_flash_cnt[1413][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1413][1]~q\,
	datab => \led_flash_cnt[1413][2]~q\,
	datac => \led_flash_cnt[1413][3]~q\,
	datad => \led_flash_cnt[1413][4]~q\,
	combout => \WideAnd1413~0_combout\);

-- Location: LCCOMB_X10_Y37_N18
WideAnd1413 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1413~combout\ = (\led_flash_cnt[1413][7]~q\ & (\WideAnd1413~1_combout\ & (\WideAnd1413~0_combout\ & \led_flash_cnt[1413][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1413][7]~q\,
	datab => \WideAnd1413~1_combout\,
	datac => \WideAnd1413~0_combout\,
	datad => \led_flash_cnt[1413][0]~q\,
	combout => \WideAnd1413~combout\);

-- Location: FF_X10_Y37_N19
\led_flash_cnt_ands[1413]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1413~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1413));

-- Location: LCCOMB_X10_Y37_N28
\WideAnd4016~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4016~1_combout\ = (led_flash_cnt_ands(1412) & led_flash_cnt_ands(1413))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1412),
	datad => led_flash_cnt_ands(1413),
	combout => \WideAnd4016~1_combout\);

-- Location: LCCOMB_X8_Y32_N4
\led_flash_cnt[1415][0]~82055\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1415][0]~82055_combout\ = !\led_flash_cnt[1415][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1415][0]~q\,
	combout => \led_flash_cnt[1415][0]~82055_combout\);

-- Location: FF_X8_Y32_N5
\led_flash_cnt[1415][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1415][0]~82055_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1415][0]~q\);

-- Location: LCCOMB_X7_Y32_N2
\led_flash_cnt[1415][1]~46690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1415][1]~46690_combout\ = (\led_flash_cnt[1415][0]~q\ & (\led_flash_cnt[1415][1]~q\ $ (VCC))) # (!\led_flash_cnt[1415][0]~q\ & (\led_flash_cnt[1415][1]~q\ & VCC))
-- \led_flash_cnt[1415][1]~46691\ = CARRY((\led_flash_cnt[1415][0]~q\ & \led_flash_cnt[1415][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1415][0]~q\,
	datab => \led_flash_cnt[1415][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1415][1]~46690_combout\,
	cout => \led_flash_cnt[1415][1]~46691\);

-- Location: FF_X7_Y32_N3
\led_flash_cnt[1415][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1415][1]~46690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1415][1]~q\);

-- Location: LCCOMB_X7_Y32_N4
\led_flash_cnt[1415][2]~46692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1415][2]~46692_combout\ = (\led_flash_cnt[1415][2]~q\ & (!\led_flash_cnt[1415][1]~46691\)) # (!\led_flash_cnt[1415][2]~q\ & ((\led_flash_cnt[1415][1]~46691\) # (GND)))
-- \led_flash_cnt[1415][2]~46693\ = CARRY((!\led_flash_cnt[1415][1]~46691\) # (!\led_flash_cnt[1415][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1415][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1415][1]~46691\,
	combout => \led_flash_cnt[1415][2]~46692_combout\,
	cout => \led_flash_cnt[1415][2]~46693\);

-- Location: FF_X7_Y32_N5
\led_flash_cnt[1415][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1415][2]~46692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1415][2]~q\);

-- Location: LCCOMB_X7_Y32_N6
\led_flash_cnt[1415][3]~46694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1415][3]~46694_combout\ = (\led_flash_cnt[1415][3]~q\ & (\led_flash_cnt[1415][2]~46693\ $ (GND))) # (!\led_flash_cnt[1415][3]~q\ & (!\led_flash_cnt[1415][2]~46693\ & VCC))
-- \led_flash_cnt[1415][3]~46695\ = CARRY((\led_flash_cnt[1415][3]~q\ & !\led_flash_cnt[1415][2]~46693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1415][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1415][2]~46693\,
	combout => \led_flash_cnt[1415][3]~46694_combout\,
	cout => \led_flash_cnt[1415][3]~46695\);

-- Location: FF_X7_Y32_N7
\led_flash_cnt[1415][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1415][3]~46694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1415][3]~q\);

-- Location: LCCOMB_X7_Y32_N8
\led_flash_cnt[1415][4]~46696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1415][4]~46696_combout\ = (\led_flash_cnt[1415][4]~q\ & (!\led_flash_cnt[1415][3]~46695\)) # (!\led_flash_cnt[1415][4]~q\ & ((\led_flash_cnt[1415][3]~46695\) # (GND)))
-- \led_flash_cnt[1415][4]~46697\ = CARRY((!\led_flash_cnt[1415][3]~46695\) # (!\led_flash_cnt[1415][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1415][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1415][3]~46695\,
	combout => \led_flash_cnt[1415][4]~46696_combout\,
	cout => \led_flash_cnt[1415][4]~46697\);

-- Location: FF_X7_Y32_N9
\led_flash_cnt[1415][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1415][4]~46696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1415][4]~q\);

-- Location: LCCOMB_X7_Y32_N10
\led_flash_cnt[1415][5]~46698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1415][5]~46698_combout\ = (\led_flash_cnt[1415][5]~q\ & (\led_flash_cnt[1415][4]~46697\ $ (GND))) # (!\led_flash_cnt[1415][5]~q\ & (!\led_flash_cnt[1415][4]~46697\ & VCC))
-- \led_flash_cnt[1415][5]~46699\ = CARRY((\led_flash_cnt[1415][5]~q\ & !\led_flash_cnt[1415][4]~46697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1415][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1415][4]~46697\,
	combout => \led_flash_cnt[1415][5]~46698_combout\,
	cout => \led_flash_cnt[1415][5]~46699\);

-- Location: FF_X7_Y32_N11
\led_flash_cnt[1415][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1415][5]~46698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1415][5]~q\);

-- Location: LCCOMB_X7_Y32_N12
\led_flash_cnt[1415][6]~46700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1415][6]~46700_combout\ = (\led_flash_cnt[1415][6]~q\ & (!\led_flash_cnt[1415][5]~46699\)) # (!\led_flash_cnt[1415][6]~q\ & ((\led_flash_cnt[1415][5]~46699\) # (GND)))
-- \led_flash_cnt[1415][6]~46701\ = CARRY((!\led_flash_cnt[1415][5]~46699\) # (!\led_flash_cnt[1415][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1415][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1415][5]~46699\,
	combout => \led_flash_cnt[1415][6]~46700_combout\,
	cout => \led_flash_cnt[1415][6]~46701\);

-- Location: FF_X7_Y32_N13
\led_flash_cnt[1415][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1415][6]~46700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1415][6]~q\);

-- Location: LCCOMB_X7_Y32_N14
\led_flash_cnt[1415][7]~46702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1415][7]~46702_combout\ = \led_flash_cnt[1415][7]~q\ $ (!\led_flash_cnt[1415][6]~46701\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1415][7]~q\,
	cin => \led_flash_cnt[1415][6]~46701\,
	combout => \led_flash_cnt[1415][7]~46702_combout\);

-- Location: FF_X7_Y32_N15
\led_flash_cnt[1415][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1415][7]~46702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1415][7]~q\);

-- Location: LCCOMB_X7_Y32_N0
\WideAnd1415~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1415~0_combout\ = (\led_flash_cnt[1415][3]~q\ & (\led_flash_cnt[1415][4]~q\ & (\led_flash_cnt[1415][2]~q\ & \led_flash_cnt[1415][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1415][3]~q\,
	datab => \led_flash_cnt[1415][4]~q\,
	datac => \led_flash_cnt[1415][2]~q\,
	datad => \led_flash_cnt[1415][1]~q\,
	combout => \WideAnd1415~0_combout\);

-- Location: LCCOMB_X8_Y32_N6
\WideAnd1415~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1415~1_combout\ = (\led_flash_cnt[1415][5]~q\ & \led_flash_cnt[1415][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1415][5]~q\,
	datad => \led_flash_cnt[1415][6]~q\,
	combout => \WideAnd1415~1_combout\);

-- Location: LCCOMB_X8_Y32_N8
WideAnd1415 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1415~combout\ = (\led_flash_cnt[1415][7]~q\ & (\led_flash_cnt[1415][0]~q\ & (\WideAnd1415~0_combout\ & \WideAnd1415~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1415][7]~q\,
	datab => \led_flash_cnt[1415][0]~q\,
	datac => \WideAnd1415~0_combout\,
	datad => \WideAnd1415~1_combout\,
	combout => \WideAnd1415~combout\);

-- Location: FF_X8_Y32_N9
\led_flash_cnt_ands[1415]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1415~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1415));

-- Location: LCCOMB_X12_Y34_N6
\led_flash_cnt[1414][0]~82054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1414][0]~82054_combout\ = !\led_flash_cnt[1414][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1414][0]~q\,
	combout => \led_flash_cnt[1414][0]~82054_combout\);

-- Location: FF_X12_Y34_N7
\led_flash_cnt[1414][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1414][0]~82054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1414][0]~q\);

-- Location: LCCOMB_X11_Y34_N18
\led_flash_cnt[1414][1]~46676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1414][1]~46676_combout\ = (\led_flash_cnt[1414][0]~q\ & (\led_flash_cnt[1414][1]~q\ $ (VCC))) # (!\led_flash_cnt[1414][0]~q\ & (\led_flash_cnt[1414][1]~q\ & VCC))
-- \led_flash_cnt[1414][1]~46677\ = CARRY((\led_flash_cnt[1414][0]~q\ & \led_flash_cnt[1414][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1414][0]~q\,
	datab => \led_flash_cnt[1414][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1414][1]~46676_combout\,
	cout => \led_flash_cnt[1414][1]~46677\);

-- Location: FF_X11_Y34_N19
\led_flash_cnt[1414][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1414][1]~46676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1414][1]~q\);

-- Location: LCCOMB_X11_Y34_N20
\led_flash_cnt[1414][2]~46678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1414][2]~46678_combout\ = (\led_flash_cnt[1414][2]~q\ & (!\led_flash_cnt[1414][1]~46677\)) # (!\led_flash_cnt[1414][2]~q\ & ((\led_flash_cnt[1414][1]~46677\) # (GND)))
-- \led_flash_cnt[1414][2]~46679\ = CARRY((!\led_flash_cnt[1414][1]~46677\) # (!\led_flash_cnt[1414][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1414][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1414][1]~46677\,
	combout => \led_flash_cnt[1414][2]~46678_combout\,
	cout => \led_flash_cnt[1414][2]~46679\);

-- Location: FF_X11_Y34_N21
\led_flash_cnt[1414][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1414][2]~46678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1414][2]~q\);

-- Location: LCCOMB_X11_Y34_N22
\led_flash_cnt[1414][3]~46680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1414][3]~46680_combout\ = (\led_flash_cnt[1414][3]~q\ & (\led_flash_cnt[1414][2]~46679\ $ (GND))) # (!\led_flash_cnt[1414][3]~q\ & (!\led_flash_cnt[1414][2]~46679\ & VCC))
-- \led_flash_cnt[1414][3]~46681\ = CARRY((\led_flash_cnt[1414][3]~q\ & !\led_flash_cnt[1414][2]~46679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1414][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1414][2]~46679\,
	combout => \led_flash_cnt[1414][3]~46680_combout\,
	cout => \led_flash_cnt[1414][3]~46681\);

-- Location: FF_X11_Y34_N23
\led_flash_cnt[1414][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1414][3]~46680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1414][3]~q\);

-- Location: LCCOMB_X11_Y34_N24
\led_flash_cnt[1414][4]~46682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1414][4]~46682_combout\ = (\led_flash_cnt[1414][4]~q\ & (!\led_flash_cnt[1414][3]~46681\)) # (!\led_flash_cnt[1414][4]~q\ & ((\led_flash_cnt[1414][3]~46681\) # (GND)))
-- \led_flash_cnt[1414][4]~46683\ = CARRY((!\led_flash_cnt[1414][3]~46681\) # (!\led_flash_cnt[1414][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1414][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1414][3]~46681\,
	combout => \led_flash_cnt[1414][4]~46682_combout\,
	cout => \led_flash_cnt[1414][4]~46683\);

-- Location: FF_X11_Y34_N25
\led_flash_cnt[1414][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1414][4]~46682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1414][4]~q\);

-- Location: LCCOMB_X11_Y34_N26
\led_flash_cnt[1414][5]~46684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1414][5]~46684_combout\ = (\led_flash_cnt[1414][5]~q\ & (\led_flash_cnt[1414][4]~46683\ $ (GND))) # (!\led_flash_cnt[1414][5]~q\ & (!\led_flash_cnt[1414][4]~46683\ & VCC))
-- \led_flash_cnt[1414][5]~46685\ = CARRY((\led_flash_cnt[1414][5]~q\ & !\led_flash_cnt[1414][4]~46683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1414][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1414][4]~46683\,
	combout => \led_flash_cnt[1414][5]~46684_combout\,
	cout => \led_flash_cnt[1414][5]~46685\);

-- Location: FF_X11_Y34_N27
\led_flash_cnt[1414][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1414][5]~46684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1414][5]~q\);

-- Location: LCCOMB_X11_Y34_N28
\led_flash_cnt[1414][6]~46686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1414][6]~46686_combout\ = (\led_flash_cnt[1414][6]~q\ & (!\led_flash_cnt[1414][5]~46685\)) # (!\led_flash_cnt[1414][6]~q\ & ((\led_flash_cnt[1414][5]~46685\) # (GND)))
-- \led_flash_cnt[1414][6]~46687\ = CARRY((!\led_flash_cnt[1414][5]~46685\) # (!\led_flash_cnt[1414][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1414][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1414][5]~46685\,
	combout => \led_flash_cnt[1414][6]~46686_combout\,
	cout => \led_flash_cnt[1414][6]~46687\);

-- Location: FF_X11_Y34_N29
\led_flash_cnt[1414][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1414][6]~46686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1414][6]~q\);

-- Location: LCCOMB_X10_Y34_N8
\WideAnd1414~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1414~1_combout\ = (\led_flash_cnt[1414][5]~q\ & \led_flash_cnt[1414][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1414][5]~q\,
	datad => \led_flash_cnt[1414][6]~q\,
	combout => \WideAnd1414~1_combout\);

-- Location: LCCOMB_X10_Y34_N30
\WideAnd1414~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1414~0_combout\ = (\led_flash_cnt[1414][3]~q\ & (\led_flash_cnt[1414][4]~q\ & (\led_flash_cnt[1414][2]~q\ & \led_flash_cnt[1414][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1414][3]~q\,
	datab => \led_flash_cnt[1414][4]~q\,
	datac => \led_flash_cnt[1414][2]~q\,
	datad => \led_flash_cnt[1414][1]~q\,
	combout => \WideAnd1414~0_combout\);

-- Location: LCCOMB_X11_Y34_N30
\led_flash_cnt[1414][7]~46688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1414][7]~46688_combout\ = \led_flash_cnt[1414][7]~q\ $ (!\led_flash_cnt[1414][6]~46687\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1414][7]~q\,
	cin => \led_flash_cnt[1414][6]~46687\,
	combout => \led_flash_cnt[1414][7]~46688_combout\);

-- Location: FF_X11_Y34_N31
\led_flash_cnt[1414][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1414][7]~46688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1414][7]~q\);

-- Location: LCCOMB_X11_Y34_N16
WideAnd1414 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1414~combout\ = (\WideAnd1414~1_combout\ & (\WideAnd1414~0_combout\ & (\led_flash_cnt[1414][7]~q\ & \led_flash_cnt[1414][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1414~1_combout\,
	datab => \WideAnd1414~0_combout\,
	datac => \led_flash_cnt[1414][7]~q\,
	datad => \led_flash_cnt[1414][0]~q\,
	combout => \WideAnd1414~combout\);

-- Location: FF_X11_Y34_N17
\led_flash_cnt_ands[1414]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1414~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1414));

-- Location: LCCOMB_X10_Y32_N26
WideAnd4016 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4016~combout\ = (\WideAnd4016~0_combout\ & (\WideAnd4016~1_combout\ & (led_flash_cnt_ands(1415) & led_flash_cnt_ands(1414))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4016~0_combout\,
	datab => \WideAnd4016~1_combout\,
	datac => led_flash_cnt_ands(1415),
	datad => led_flash_cnt_ands(1414),
	combout => \WideAnd4016~combout\);

-- Location: FF_X10_Y32_N27
\led_flash_cnt_ands_1[176]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4016~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(176));

-- Location: LCCOMB_X14_Y15_N12
\led_flash_cnt[1439][0]~82079\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1439][0]~82079_combout\ = !\led_flash_cnt[1439][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1439][0]~q\,
	combout => \led_flash_cnt[1439][0]~82079_combout\);

-- Location: FF_X14_Y15_N13
\led_flash_cnt[1439][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1439][0]~82079_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1439][0]~q\);

-- Location: LCCOMB_X14_Y15_N18
\led_flash_cnt[1439][1]~47026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1439][1]~47026_combout\ = (\led_flash_cnt[1439][0]~q\ & (\led_flash_cnt[1439][1]~q\ $ (VCC))) # (!\led_flash_cnt[1439][0]~q\ & (\led_flash_cnt[1439][1]~q\ & VCC))
-- \led_flash_cnt[1439][1]~47027\ = CARRY((\led_flash_cnt[1439][0]~q\ & \led_flash_cnt[1439][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1439][0]~q\,
	datab => \led_flash_cnt[1439][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1439][1]~47026_combout\,
	cout => \led_flash_cnt[1439][1]~47027\);

-- Location: FF_X14_Y15_N19
\led_flash_cnt[1439][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1439][1]~47026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1439][1]~q\);

-- Location: LCCOMB_X14_Y15_N20
\led_flash_cnt[1439][2]~47028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1439][2]~47028_combout\ = (\led_flash_cnt[1439][2]~q\ & (!\led_flash_cnt[1439][1]~47027\)) # (!\led_flash_cnt[1439][2]~q\ & ((\led_flash_cnt[1439][1]~47027\) # (GND)))
-- \led_flash_cnt[1439][2]~47029\ = CARRY((!\led_flash_cnt[1439][1]~47027\) # (!\led_flash_cnt[1439][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1439][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1439][1]~47027\,
	combout => \led_flash_cnt[1439][2]~47028_combout\,
	cout => \led_flash_cnt[1439][2]~47029\);

-- Location: FF_X14_Y15_N21
\led_flash_cnt[1439][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1439][2]~47028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1439][2]~q\);

-- Location: LCCOMB_X14_Y15_N22
\led_flash_cnt[1439][3]~47030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1439][3]~47030_combout\ = (\led_flash_cnt[1439][3]~q\ & (\led_flash_cnt[1439][2]~47029\ $ (GND))) # (!\led_flash_cnt[1439][3]~q\ & (!\led_flash_cnt[1439][2]~47029\ & VCC))
-- \led_flash_cnt[1439][3]~47031\ = CARRY((\led_flash_cnt[1439][3]~q\ & !\led_flash_cnt[1439][2]~47029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1439][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1439][2]~47029\,
	combout => \led_flash_cnt[1439][3]~47030_combout\,
	cout => \led_flash_cnt[1439][3]~47031\);

-- Location: FF_X14_Y15_N23
\led_flash_cnt[1439][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1439][3]~47030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1439][3]~q\);

-- Location: LCCOMB_X14_Y15_N24
\led_flash_cnt[1439][4]~47032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1439][4]~47032_combout\ = (\led_flash_cnt[1439][4]~q\ & (!\led_flash_cnt[1439][3]~47031\)) # (!\led_flash_cnt[1439][4]~q\ & ((\led_flash_cnt[1439][3]~47031\) # (GND)))
-- \led_flash_cnt[1439][4]~47033\ = CARRY((!\led_flash_cnt[1439][3]~47031\) # (!\led_flash_cnt[1439][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1439][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1439][3]~47031\,
	combout => \led_flash_cnt[1439][4]~47032_combout\,
	cout => \led_flash_cnt[1439][4]~47033\);

-- Location: FF_X14_Y15_N25
\led_flash_cnt[1439][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1439][4]~47032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1439][4]~q\);

-- Location: LCCOMB_X14_Y15_N10
\WideAnd1439~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1439~0_combout\ = (\led_flash_cnt[1439][4]~q\ & (\led_flash_cnt[1439][1]~q\ & (\led_flash_cnt[1439][3]~q\ & \led_flash_cnt[1439][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1439][4]~q\,
	datab => \led_flash_cnt[1439][1]~q\,
	datac => \led_flash_cnt[1439][3]~q\,
	datad => \led_flash_cnt[1439][2]~q\,
	combout => \WideAnd1439~0_combout\);

-- Location: LCCOMB_X14_Y15_N26
\led_flash_cnt[1439][5]~47034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1439][5]~47034_combout\ = (\led_flash_cnt[1439][5]~q\ & (\led_flash_cnt[1439][4]~47033\ $ (GND))) # (!\led_flash_cnt[1439][5]~q\ & (!\led_flash_cnt[1439][4]~47033\ & VCC))
-- \led_flash_cnt[1439][5]~47035\ = CARRY((\led_flash_cnt[1439][5]~q\ & !\led_flash_cnt[1439][4]~47033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1439][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1439][4]~47033\,
	combout => \led_flash_cnt[1439][5]~47034_combout\,
	cout => \led_flash_cnt[1439][5]~47035\);

-- Location: FF_X14_Y15_N27
\led_flash_cnt[1439][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1439][5]~47034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1439][5]~q\);

-- Location: LCCOMB_X14_Y15_N28
\led_flash_cnt[1439][6]~47036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1439][6]~47036_combout\ = (\led_flash_cnt[1439][6]~q\ & (!\led_flash_cnt[1439][5]~47035\)) # (!\led_flash_cnt[1439][6]~q\ & ((\led_flash_cnt[1439][5]~47035\) # (GND)))
-- \led_flash_cnt[1439][6]~47037\ = CARRY((!\led_flash_cnt[1439][5]~47035\) # (!\led_flash_cnt[1439][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1439][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1439][5]~47035\,
	combout => \led_flash_cnt[1439][6]~47036_combout\,
	cout => \led_flash_cnt[1439][6]~47037\);

-- Location: FF_X14_Y15_N29
\led_flash_cnt[1439][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1439][6]~47036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1439][6]~q\);

-- Location: LCCOMB_X14_Y15_N16
\WideAnd1439~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1439~1_combout\ = (\led_flash_cnt[1439][5]~q\ & \led_flash_cnt[1439][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1439][5]~q\,
	datad => \led_flash_cnt[1439][6]~q\,
	combout => \WideAnd1439~1_combout\);

-- Location: LCCOMB_X14_Y15_N30
\led_flash_cnt[1439][7]~47038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1439][7]~47038_combout\ = \led_flash_cnt[1439][7]~q\ $ (!\led_flash_cnt[1439][6]~47037\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1439][7]~q\,
	cin => \led_flash_cnt[1439][6]~47037\,
	combout => \led_flash_cnt[1439][7]~47038_combout\);

-- Location: FF_X14_Y15_N31
\led_flash_cnt[1439][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1439][7]~47038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1439][7]~q\);

-- Location: LCCOMB_X14_Y15_N8
WideAnd1439 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1439~combout\ = (\WideAnd1439~0_combout\ & (\WideAnd1439~1_combout\ & (\led_flash_cnt[1439][7]~q\ & \led_flash_cnt[1439][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1439~0_combout\,
	datab => \WideAnd1439~1_combout\,
	datac => \led_flash_cnt[1439][7]~q\,
	datad => \led_flash_cnt[1439][0]~q\,
	combout => \WideAnd1439~combout\);

-- Location: FF_X14_Y15_N9
\led_flash_cnt_ands[1439]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1439~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1439));

-- Location: LCCOMB_X14_Y27_N24
\led_flash_cnt[1436][0]~82076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1436][0]~82076_combout\ = !\led_flash_cnt[1436][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1436][0]~q\,
	combout => \led_flash_cnt[1436][0]~82076_combout\);

-- Location: FF_X14_Y27_N25
\led_flash_cnt[1436][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1436][0]~82076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1436][0]~q\);

-- Location: LCCOMB_X14_Y27_N10
\led_flash_cnt[1436][1]~46984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1436][1]~46984_combout\ = (\led_flash_cnt[1436][1]~q\ & (\led_flash_cnt[1436][0]~q\ $ (VCC))) # (!\led_flash_cnt[1436][1]~q\ & (\led_flash_cnt[1436][0]~q\ & VCC))
-- \led_flash_cnt[1436][1]~46985\ = CARRY((\led_flash_cnt[1436][1]~q\ & \led_flash_cnt[1436][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1436][1]~q\,
	datab => \led_flash_cnt[1436][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1436][1]~46984_combout\,
	cout => \led_flash_cnt[1436][1]~46985\);

-- Location: FF_X14_Y27_N11
\led_flash_cnt[1436][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1436][1]~46984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1436][1]~q\);

-- Location: LCCOMB_X14_Y27_N12
\led_flash_cnt[1436][2]~46986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1436][2]~46986_combout\ = (\led_flash_cnt[1436][2]~q\ & (!\led_flash_cnt[1436][1]~46985\)) # (!\led_flash_cnt[1436][2]~q\ & ((\led_flash_cnt[1436][1]~46985\) # (GND)))
-- \led_flash_cnt[1436][2]~46987\ = CARRY((!\led_flash_cnt[1436][1]~46985\) # (!\led_flash_cnt[1436][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1436][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1436][1]~46985\,
	combout => \led_flash_cnt[1436][2]~46986_combout\,
	cout => \led_flash_cnt[1436][2]~46987\);

-- Location: FF_X14_Y27_N13
\led_flash_cnt[1436][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1436][2]~46986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1436][2]~q\);

-- Location: LCCOMB_X14_Y27_N14
\led_flash_cnt[1436][3]~46988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1436][3]~46988_combout\ = (\led_flash_cnt[1436][3]~q\ & (\led_flash_cnt[1436][2]~46987\ $ (GND))) # (!\led_flash_cnt[1436][3]~q\ & (!\led_flash_cnt[1436][2]~46987\ & VCC))
-- \led_flash_cnt[1436][3]~46989\ = CARRY((\led_flash_cnt[1436][3]~q\ & !\led_flash_cnt[1436][2]~46987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1436][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1436][2]~46987\,
	combout => \led_flash_cnt[1436][3]~46988_combout\,
	cout => \led_flash_cnt[1436][3]~46989\);

-- Location: FF_X14_Y27_N15
\led_flash_cnt[1436][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1436][3]~46988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1436][3]~q\);

-- Location: LCCOMB_X14_Y27_N16
\led_flash_cnt[1436][4]~46990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1436][4]~46990_combout\ = (\led_flash_cnt[1436][4]~q\ & (!\led_flash_cnt[1436][3]~46989\)) # (!\led_flash_cnt[1436][4]~q\ & ((\led_flash_cnt[1436][3]~46989\) # (GND)))
-- \led_flash_cnt[1436][4]~46991\ = CARRY((!\led_flash_cnt[1436][3]~46989\) # (!\led_flash_cnt[1436][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1436][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1436][3]~46989\,
	combout => \led_flash_cnt[1436][4]~46990_combout\,
	cout => \led_flash_cnt[1436][4]~46991\);

-- Location: FF_X14_Y27_N17
\led_flash_cnt[1436][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1436][4]~46990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1436][4]~q\);

-- Location: LCCOMB_X14_Y27_N18
\led_flash_cnt[1436][5]~46992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1436][5]~46992_combout\ = (\led_flash_cnt[1436][5]~q\ & (\led_flash_cnt[1436][4]~46991\ $ (GND))) # (!\led_flash_cnt[1436][5]~q\ & (!\led_flash_cnt[1436][4]~46991\ & VCC))
-- \led_flash_cnt[1436][5]~46993\ = CARRY((\led_flash_cnt[1436][5]~q\ & !\led_flash_cnt[1436][4]~46991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1436][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1436][4]~46991\,
	combout => \led_flash_cnt[1436][5]~46992_combout\,
	cout => \led_flash_cnt[1436][5]~46993\);

-- Location: FF_X14_Y27_N19
\led_flash_cnt[1436][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1436][5]~46992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1436][5]~q\);

-- Location: LCCOMB_X14_Y27_N20
\led_flash_cnt[1436][6]~46994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1436][6]~46994_combout\ = (\led_flash_cnt[1436][6]~q\ & (!\led_flash_cnt[1436][5]~46993\)) # (!\led_flash_cnt[1436][6]~q\ & ((\led_flash_cnt[1436][5]~46993\) # (GND)))
-- \led_flash_cnt[1436][6]~46995\ = CARRY((!\led_flash_cnt[1436][5]~46993\) # (!\led_flash_cnt[1436][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1436][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1436][5]~46993\,
	combout => \led_flash_cnt[1436][6]~46994_combout\,
	cout => \led_flash_cnt[1436][6]~46995\);

-- Location: FF_X14_Y27_N21
\led_flash_cnt[1436][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1436][6]~46994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1436][6]~q\);

-- Location: LCCOMB_X14_Y27_N26
\WideAnd1436~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1436~1_combout\ = (\led_flash_cnt[1436][6]~q\ & \led_flash_cnt[1436][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1436][6]~q\,
	datad => \led_flash_cnt[1436][5]~q\,
	combout => \WideAnd1436~1_combout\);

-- Location: LCCOMB_X14_Y27_N4
\WideAnd1436~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1436~0_combout\ = (\led_flash_cnt[1436][1]~q\ & (\led_flash_cnt[1436][4]~q\ & (\led_flash_cnt[1436][3]~q\ & \led_flash_cnt[1436][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1436][1]~q\,
	datab => \led_flash_cnt[1436][4]~q\,
	datac => \led_flash_cnt[1436][3]~q\,
	datad => \led_flash_cnt[1436][2]~q\,
	combout => \WideAnd1436~0_combout\);

-- Location: LCCOMB_X14_Y27_N22
\led_flash_cnt[1436][7]~46996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1436][7]~46996_combout\ = \led_flash_cnt[1436][7]~q\ $ (!\led_flash_cnt[1436][6]~46995\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1436][7]~q\,
	cin => \led_flash_cnt[1436][6]~46995\,
	combout => \led_flash_cnt[1436][7]~46996_combout\);

-- Location: FF_X14_Y27_N23
\led_flash_cnt[1436][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1436][7]~46996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1436][7]~q\);

-- Location: LCCOMB_X14_Y27_N6
WideAnd1436 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1436~combout\ = (\WideAnd1436~1_combout\ & (\WideAnd1436~0_combout\ & (\led_flash_cnt[1436][7]~q\ & \led_flash_cnt[1436][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1436~1_combout\,
	datab => \WideAnd1436~0_combout\,
	datac => \led_flash_cnt[1436][7]~q\,
	datad => \led_flash_cnt[1436][0]~q\,
	combout => \WideAnd1436~combout\);

-- Location: FF_X14_Y27_N7
\led_flash_cnt_ands[1436]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1436~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1436));

-- Location: LCCOMB_X14_Y27_N2
\led_flash_cnt[1437][0]~82077\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1437][0]~82077_combout\ = !\led_flash_cnt[1437][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1437][0]~q\,
	combout => \led_flash_cnt[1437][0]~82077_combout\);

-- Location: FF_X14_Y27_N3
\led_flash_cnt[1437][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1437][0]~82077_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1437][0]~q\);

-- Location: LCCOMB_X15_Y27_N4
\led_flash_cnt[1437][1]~46998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1437][1]~46998_combout\ = (\led_flash_cnt[1437][0]~q\ & (\led_flash_cnt[1437][1]~q\ $ (VCC))) # (!\led_flash_cnt[1437][0]~q\ & (\led_flash_cnt[1437][1]~q\ & VCC))
-- \led_flash_cnt[1437][1]~46999\ = CARRY((\led_flash_cnt[1437][0]~q\ & \led_flash_cnt[1437][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1437][0]~q\,
	datab => \led_flash_cnt[1437][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1437][1]~46998_combout\,
	cout => \led_flash_cnt[1437][1]~46999\);

-- Location: FF_X15_Y27_N5
\led_flash_cnt[1437][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1437][1]~46998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1437][1]~q\);

-- Location: LCCOMB_X15_Y27_N6
\led_flash_cnt[1437][2]~47000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1437][2]~47000_combout\ = (\led_flash_cnt[1437][2]~q\ & (!\led_flash_cnt[1437][1]~46999\)) # (!\led_flash_cnt[1437][2]~q\ & ((\led_flash_cnt[1437][1]~46999\) # (GND)))
-- \led_flash_cnt[1437][2]~47001\ = CARRY((!\led_flash_cnt[1437][1]~46999\) # (!\led_flash_cnt[1437][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1437][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1437][1]~46999\,
	combout => \led_flash_cnt[1437][2]~47000_combout\,
	cout => \led_flash_cnt[1437][2]~47001\);

-- Location: FF_X15_Y27_N7
\led_flash_cnt[1437][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1437][2]~47000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1437][2]~q\);

-- Location: LCCOMB_X15_Y27_N8
\led_flash_cnt[1437][3]~47002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1437][3]~47002_combout\ = (\led_flash_cnt[1437][3]~q\ & (\led_flash_cnt[1437][2]~47001\ $ (GND))) # (!\led_flash_cnt[1437][3]~q\ & (!\led_flash_cnt[1437][2]~47001\ & VCC))
-- \led_flash_cnt[1437][3]~47003\ = CARRY((\led_flash_cnt[1437][3]~q\ & !\led_flash_cnt[1437][2]~47001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1437][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1437][2]~47001\,
	combout => \led_flash_cnt[1437][3]~47002_combout\,
	cout => \led_flash_cnt[1437][3]~47003\);

-- Location: FF_X15_Y27_N9
\led_flash_cnt[1437][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1437][3]~47002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1437][3]~q\);

-- Location: LCCOMB_X15_Y27_N10
\led_flash_cnt[1437][4]~47004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1437][4]~47004_combout\ = (\led_flash_cnt[1437][4]~q\ & (!\led_flash_cnt[1437][3]~47003\)) # (!\led_flash_cnt[1437][4]~q\ & ((\led_flash_cnt[1437][3]~47003\) # (GND)))
-- \led_flash_cnt[1437][4]~47005\ = CARRY((!\led_flash_cnt[1437][3]~47003\) # (!\led_flash_cnt[1437][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1437][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1437][3]~47003\,
	combout => \led_flash_cnt[1437][4]~47004_combout\,
	cout => \led_flash_cnt[1437][4]~47005\);

-- Location: FF_X15_Y27_N11
\led_flash_cnt[1437][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1437][4]~47004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1437][4]~q\);

-- Location: LCCOMB_X15_Y27_N12
\led_flash_cnt[1437][5]~47006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1437][5]~47006_combout\ = (\led_flash_cnt[1437][5]~q\ & (\led_flash_cnt[1437][4]~47005\ $ (GND))) # (!\led_flash_cnt[1437][5]~q\ & (!\led_flash_cnt[1437][4]~47005\ & VCC))
-- \led_flash_cnt[1437][5]~47007\ = CARRY((\led_flash_cnt[1437][5]~q\ & !\led_flash_cnt[1437][4]~47005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1437][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1437][4]~47005\,
	combout => \led_flash_cnt[1437][5]~47006_combout\,
	cout => \led_flash_cnt[1437][5]~47007\);

-- Location: FF_X15_Y27_N13
\led_flash_cnt[1437][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1437][5]~47006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1437][5]~q\);

-- Location: LCCOMB_X15_Y27_N14
\led_flash_cnt[1437][6]~47008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1437][6]~47008_combout\ = (\led_flash_cnt[1437][6]~q\ & (!\led_flash_cnt[1437][5]~47007\)) # (!\led_flash_cnt[1437][6]~q\ & ((\led_flash_cnt[1437][5]~47007\) # (GND)))
-- \led_flash_cnt[1437][6]~47009\ = CARRY((!\led_flash_cnt[1437][5]~47007\) # (!\led_flash_cnt[1437][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1437][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1437][5]~47007\,
	combout => \led_flash_cnt[1437][6]~47008_combout\,
	cout => \led_flash_cnt[1437][6]~47009\);

-- Location: FF_X15_Y27_N15
\led_flash_cnt[1437][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1437][6]~47008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1437][6]~q\);

-- Location: LCCOMB_X14_Y27_N30
\WideAnd1437~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1437~1_combout\ = (\led_flash_cnt[1437][6]~q\ & \led_flash_cnt[1437][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1437][6]~q\,
	datac => \led_flash_cnt[1437][5]~q\,
	combout => \WideAnd1437~1_combout\);

-- Location: LCCOMB_X15_Y27_N0
\WideAnd1437~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1437~0_combout\ = (\led_flash_cnt[1437][4]~q\ & (\led_flash_cnt[1437][1]~q\ & (\led_flash_cnt[1437][3]~q\ & \led_flash_cnt[1437][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1437][4]~q\,
	datab => \led_flash_cnt[1437][1]~q\,
	datac => \led_flash_cnt[1437][3]~q\,
	datad => \led_flash_cnt[1437][2]~q\,
	combout => \WideAnd1437~0_combout\);

-- Location: LCCOMB_X15_Y27_N16
\led_flash_cnt[1437][7]~47010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1437][7]~47010_combout\ = \led_flash_cnt[1437][6]~47009\ $ (!\led_flash_cnt[1437][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1437][7]~q\,
	cin => \led_flash_cnt[1437][6]~47009\,
	combout => \led_flash_cnt[1437][7]~47010_combout\);

-- Location: FF_X15_Y27_N17
\led_flash_cnt[1437][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1437][7]~47010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1437][7]~q\);

-- Location: LCCOMB_X14_Y27_N28
WideAnd1437 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1437~combout\ = (\WideAnd1437~1_combout\ & (\led_flash_cnt[1437][0]~q\ & (\WideAnd1437~0_combout\ & \led_flash_cnt[1437][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1437~1_combout\,
	datab => \led_flash_cnt[1437][0]~q\,
	datac => \WideAnd1437~0_combout\,
	datad => \led_flash_cnt[1437][7]~q\,
	combout => \WideAnd1437~combout\);

-- Location: FF_X14_Y27_N29
\led_flash_cnt_ands[1437]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1437~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1437));

-- Location: LCCOMB_X14_Y27_N8
\WideAnd4019~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4019~1_combout\ = (led_flash_cnt_ands(1436) & led_flash_cnt_ands(1437))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1436),
	datad => led_flash_cnt_ands(1437),
	combout => \WideAnd4019~1_combout\);

-- Location: LCCOMB_X32_Y24_N24
\led_flash_cnt[1433][0]~82073\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1433][0]~82073_combout\ = !\led_flash_cnt[1433][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1433][0]~q\,
	combout => \led_flash_cnt[1433][0]~82073_combout\);

-- Location: FF_X32_Y24_N25
\led_flash_cnt[1433][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1433][0]~82073_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1433][0]~q\);

-- Location: LCCOMB_X35_Y24_N12
\led_flash_cnt[1433][1]~46942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1433][1]~46942_combout\ = (\led_flash_cnt[1433][1]~q\ & (\led_flash_cnt[1433][0]~q\ $ (VCC))) # (!\led_flash_cnt[1433][1]~q\ & (\led_flash_cnt[1433][0]~q\ & VCC))
-- \led_flash_cnt[1433][1]~46943\ = CARRY((\led_flash_cnt[1433][1]~q\ & \led_flash_cnt[1433][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1433][1]~q\,
	datab => \led_flash_cnt[1433][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1433][1]~46942_combout\,
	cout => \led_flash_cnt[1433][1]~46943\);

-- Location: FF_X35_Y24_N13
\led_flash_cnt[1433][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1433][1]~46942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1433][1]~q\);

-- Location: LCCOMB_X35_Y24_N14
\led_flash_cnt[1433][2]~46944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1433][2]~46944_combout\ = (\led_flash_cnt[1433][2]~q\ & (!\led_flash_cnt[1433][1]~46943\)) # (!\led_flash_cnt[1433][2]~q\ & ((\led_flash_cnt[1433][1]~46943\) # (GND)))
-- \led_flash_cnt[1433][2]~46945\ = CARRY((!\led_flash_cnt[1433][1]~46943\) # (!\led_flash_cnt[1433][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1433][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1433][1]~46943\,
	combout => \led_flash_cnt[1433][2]~46944_combout\,
	cout => \led_flash_cnt[1433][2]~46945\);

-- Location: FF_X35_Y24_N15
\led_flash_cnt[1433][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1433][2]~46944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1433][2]~q\);

-- Location: LCCOMB_X35_Y24_N16
\led_flash_cnt[1433][3]~46946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1433][3]~46946_combout\ = (\led_flash_cnt[1433][3]~q\ & (\led_flash_cnt[1433][2]~46945\ $ (GND))) # (!\led_flash_cnt[1433][3]~q\ & (!\led_flash_cnt[1433][2]~46945\ & VCC))
-- \led_flash_cnt[1433][3]~46947\ = CARRY((\led_flash_cnt[1433][3]~q\ & !\led_flash_cnt[1433][2]~46945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1433][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1433][2]~46945\,
	combout => \led_flash_cnt[1433][3]~46946_combout\,
	cout => \led_flash_cnt[1433][3]~46947\);

-- Location: FF_X35_Y24_N17
\led_flash_cnt[1433][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1433][3]~46946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1433][3]~q\);

-- Location: LCCOMB_X35_Y24_N18
\led_flash_cnt[1433][4]~46948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1433][4]~46948_combout\ = (\led_flash_cnt[1433][4]~q\ & (!\led_flash_cnt[1433][3]~46947\)) # (!\led_flash_cnt[1433][4]~q\ & ((\led_flash_cnt[1433][3]~46947\) # (GND)))
-- \led_flash_cnt[1433][4]~46949\ = CARRY((!\led_flash_cnt[1433][3]~46947\) # (!\led_flash_cnt[1433][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1433][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1433][3]~46947\,
	combout => \led_flash_cnt[1433][4]~46948_combout\,
	cout => \led_flash_cnt[1433][4]~46949\);

-- Location: FF_X35_Y24_N19
\led_flash_cnt[1433][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1433][4]~46948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1433][4]~q\);

-- Location: LCCOMB_X35_Y24_N20
\led_flash_cnt[1433][5]~46950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1433][5]~46950_combout\ = (\led_flash_cnt[1433][5]~q\ & (\led_flash_cnt[1433][4]~46949\ $ (GND))) # (!\led_flash_cnt[1433][5]~q\ & (!\led_flash_cnt[1433][4]~46949\ & VCC))
-- \led_flash_cnt[1433][5]~46951\ = CARRY((\led_flash_cnt[1433][5]~q\ & !\led_flash_cnt[1433][4]~46949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1433][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1433][4]~46949\,
	combout => \led_flash_cnt[1433][5]~46950_combout\,
	cout => \led_flash_cnt[1433][5]~46951\);

-- Location: FF_X35_Y24_N21
\led_flash_cnt[1433][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1433][5]~46950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1433][5]~q\);

-- Location: LCCOMB_X35_Y24_N22
\led_flash_cnt[1433][6]~46952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1433][6]~46952_combout\ = (\led_flash_cnt[1433][6]~q\ & (!\led_flash_cnt[1433][5]~46951\)) # (!\led_flash_cnt[1433][6]~q\ & ((\led_flash_cnt[1433][5]~46951\) # (GND)))
-- \led_flash_cnt[1433][6]~46953\ = CARRY((!\led_flash_cnt[1433][5]~46951\) # (!\led_flash_cnt[1433][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1433][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1433][5]~46951\,
	combout => \led_flash_cnt[1433][6]~46952_combout\,
	cout => \led_flash_cnt[1433][6]~46953\);

-- Location: FF_X35_Y24_N23
\led_flash_cnt[1433][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1433][6]~46952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1433][6]~q\);

-- Location: LCCOMB_X35_Y24_N30
\WideAnd1433~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1433~1_combout\ = (\led_flash_cnt[1433][6]~q\ & \led_flash_cnt[1433][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1433][6]~q\,
	datad => \led_flash_cnt[1433][5]~q\,
	combout => \WideAnd1433~1_combout\);

-- Location: LCCOMB_X35_Y24_N4
\WideAnd1433~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1433~0_combout\ = (\led_flash_cnt[1433][4]~q\ & (\led_flash_cnt[1433][3]~q\ & (\led_flash_cnt[1433][2]~q\ & \led_flash_cnt[1433][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1433][4]~q\,
	datab => \led_flash_cnt[1433][3]~q\,
	datac => \led_flash_cnt[1433][2]~q\,
	datad => \led_flash_cnt[1433][1]~q\,
	combout => \WideAnd1433~0_combout\);

-- Location: LCCOMB_X35_Y24_N24
\led_flash_cnt[1433][7]~46954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1433][7]~46954_combout\ = \led_flash_cnt[1433][6]~46953\ $ (!\led_flash_cnt[1433][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1433][7]~q\,
	cin => \led_flash_cnt[1433][6]~46953\,
	combout => \led_flash_cnt[1433][7]~46954_combout\);

-- Location: FF_X35_Y24_N25
\led_flash_cnt[1433][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1433][7]~46954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1433][7]~q\);

-- Location: LCCOMB_X35_Y24_N10
WideAnd1433 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1433~combout\ = (\WideAnd1433~1_combout\ & (\led_flash_cnt[1433][0]~q\ & (\WideAnd1433~0_combout\ & \led_flash_cnt[1433][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1433~1_combout\,
	datab => \led_flash_cnt[1433][0]~q\,
	datac => \WideAnd1433~0_combout\,
	datad => \led_flash_cnt[1433][7]~q\,
	combout => \WideAnd1433~combout\);

-- Location: FF_X35_Y24_N11
\led_flash_cnt_ands[1433]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1433~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1433));

-- Location: LCCOMB_X45_Y15_N12
\led_flash_cnt[1432][0]~82072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1432][0]~82072_combout\ = !\led_flash_cnt[1432][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1432][0]~q\,
	combout => \led_flash_cnt[1432][0]~82072_combout\);

-- Location: FF_X45_Y15_N13
\led_flash_cnt[1432][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1432][0]~82072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1432][0]~q\);

-- Location: LCCOMB_X45_Y15_N18
\led_flash_cnt[1432][1]~46928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1432][1]~46928_combout\ = (\led_flash_cnt[1432][0]~q\ & (\led_flash_cnt[1432][1]~q\ $ (VCC))) # (!\led_flash_cnt[1432][0]~q\ & (\led_flash_cnt[1432][1]~q\ & VCC))
-- \led_flash_cnt[1432][1]~46929\ = CARRY((\led_flash_cnt[1432][0]~q\ & \led_flash_cnt[1432][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1432][0]~q\,
	datab => \led_flash_cnt[1432][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1432][1]~46928_combout\,
	cout => \led_flash_cnt[1432][1]~46929\);

-- Location: FF_X45_Y15_N19
\led_flash_cnt[1432][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1432][1]~46928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1432][1]~q\);

-- Location: LCCOMB_X45_Y15_N20
\led_flash_cnt[1432][2]~46930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1432][2]~46930_combout\ = (\led_flash_cnt[1432][2]~q\ & (!\led_flash_cnt[1432][1]~46929\)) # (!\led_flash_cnt[1432][2]~q\ & ((\led_flash_cnt[1432][1]~46929\) # (GND)))
-- \led_flash_cnt[1432][2]~46931\ = CARRY((!\led_flash_cnt[1432][1]~46929\) # (!\led_flash_cnt[1432][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1432][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1432][1]~46929\,
	combout => \led_flash_cnt[1432][2]~46930_combout\,
	cout => \led_flash_cnt[1432][2]~46931\);

-- Location: FF_X45_Y15_N21
\led_flash_cnt[1432][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1432][2]~46930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1432][2]~q\);

-- Location: LCCOMB_X45_Y15_N22
\led_flash_cnt[1432][3]~46932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1432][3]~46932_combout\ = (\led_flash_cnt[1432][3]~q\ & (\led_flash_cnt[1432][2]~46931\ $ (GND))) # (!\led_flash_cnt[1432][3]~q\ & (!\led_flash_cnt[1432][2]~46931\ & VCC))
-- \led_flash_cnt[1432][3]~46933\ = CARRY((\led_flash_cnt[1432][3]~q\ & !\led_flash_cnt[1432][2]~46931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1432][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1432][2]~46931\,
	combout => \led_flash_cnt[1432][3]~46932_combout\,
	cout => \led_flash_cnt[1432][3]~46933\);

-- Location: FF_X45_Y15_N23
\led_flash_cnt[1432][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1432][3]~46932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1432][3]~q\);

-- Location: LCCOMB_X45_Y15_N24
\led_flash_cnt[1432][4]~46934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1432][4]~46934_combout\ = (\led_flash_cnt[1432][4]~q\ & (!\led_flash_cnt[1432][3]~46933\)) # (!\led_flash_cnt[1432][4]~q\ & ((\led_flash_cnt[1432][3]~46933\) # (GND)))
-- \led_flash_cnt[1432][4]~46935\ = CARRY((!\led_flash_cnt[1432][3]~46933\) # (!\led_flash_cnt[1432][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1432][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1432][3]~46933\,
	combout => \led_flash_cnt[1432][4]~46934_combout\,
	cout => \led_flash_cnt[1432][4]~46935\);

-- Location: FF_X45_Y15_N25
\led_flash_cnt[1432][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1432][4]~46934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1432][4]~q\);

-- Location: LCCOMB_X45_Y15_N26
\led_flash_cnt[1432][5]~46936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1432][5]~46936_combout\ = (\led_flash_cnt[1432][5]~q\ & (\led_flash_cnt[1432][4]~46935\ $ (GND))) # (!\led_flash_cnt[1432][5]~q\ & (!\led_flash_cnt[1432][4]~46935\ & VCC))
-- \led_flash_cnt[1432][5]~46937\ = CARRY((\led_flash_cnt[1432][5]~q\ & !\led_flash_cnt[1432][4]~46935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1432][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1432][4]~46935\,
	combout => \led_flash_cnt[1432][5]~46936_combout\,
	cout => \led_flash_cnt[1432][5]~46937\);

-- Location: FF_X45_Y15_N27
\led_flash_cnt[1432][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1432][5]~46936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1432][5]~q\);

-- Location: LCCOMB_X45_Y15_N28
\led_flash_cnt[1432][6]~46938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1432][6]~46938_combout\ = (\led_flash_cnt[1432][6]~q\ & (!\led_flash_cnt[1432][5]~46937\)) # (!\led_flash_cnt[1432][6]~q\ & ((\led_flash_cnt[1432][5]~46937\) # (GND)))
-- \led_flash_cnt[1432][6]~46939\ = CARRY((!\led_flash_cnt[1432][5]~46937\) # (!\led_flash_cnt[1432][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1432][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1432][5]~46937\,
	combout => \led_flash_cnt[1432][6]~46938_combout\,
	cout => \led_flash_cnt[1432][6]~46939\);

-- Location: FF_X45_Y15_N29
\led_flash_cnt[1432][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1432][6]~46938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1432][6]~q\);

-- Location: LCCOMB_X45_Y15_N10
\WideAnd1432~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1432~1_combout\ = (\led_flash_cnt[1432][5]~q\ & \led_flash_cnt[1432][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1432][5]~q\,
	datad => \led_flash_cnt[1432][6]~q\,
	combout => \WideAnd1432~1_combout\);

-- Location: LCCOMB_X45_Y15_N16
\WideAnd1432~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1432~0_combout\ = (\led_flash_cnt[1432][4]~q\ & (\led_flash_cnt[1432][1]~q\ & (\led_flash_cnt[1432][3]~q\ & \led_flash_cnt[1432][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1432][4]~q\,
	datab => \led_flash_cnt[1432][1]~q\,
	datac => \led_flash_cnt[1432][3]~q\,
	datad => \led_flash_cnt[1432][2]~q\,
	combout => \WideAnd1432~0_combout\);

-- Location: LCCOMB_X45_Y15_N30
\led_flash_cnt[1432][7]~46940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1432][7]~46940_combout\ = \led_flash_cnt[1432][7]~q\ $ (!\led_flash_cnt[1432][6]~46939\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1432][7]~q\,
	cin => \led_flash_cnt[1432][6]~46939\,
	combout => \led_flash_cnt[1432][7]~46940_combout\);

-- Location: FF_X45_Y15_N31
\led_flash_cnt[1432][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1432][7]~46940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1432][7]~q\);

-- Location: LCCOMB_X45_Y15_N0
WideAnd1432 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1432~combout\ = (\WideAnd1432~1_combout\ & (\WideAnd1432~0_combout\ & (\led_flash_cnt[1432][7]~q\ & \led_flash_cnt[1432][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1432~1_combout\,
	datab => \WideAnd1432~0_combout\,
	datac => \led_flash_cnt[1432][7]~q\,
	datad => \led_flash_cnt[1432][0]~q\,
	combout => \WideAnd1432~combout\);

-- Location: FF_X45_Y15_N1
\led_flash_cnt_ands[1432]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1432~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1432));

-- Location: LCCOMB_X35_Y24_N2
\led_flash_cnt[1435][0]~82075\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1435][0]~82075_combout\ = !\led_flash_cnt[1435][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1435][0]~q\,
	combout => \led_flash_cnt[1435][0]~82075_combout\);

-- Location: FF_X35_Y24_N3
\led_flash_cnt[1435][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1435][0]~82075_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1435][0]~q\);

-- Location: LCCOMB_X34_Y24_N0
\led_flash_cnt[1435][1]~46970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1435][1]~46970_combout\ = (\led_flash_cnt[1435][0]~q\ & (\led_flash_cnt[1435][1]~q\ $ (VCC))) # (!\led_flash_cnt[1435][0]~q\ & (\led_flash_cnt[1435][1]~q\ & VCC))
-- \led_flash_cnt[1435][1]~46971\ = CARRY((\led_flash_cnt[1435][0]~q\ & \led_flash_cnt[1435][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1435][0]~q\,
	datab => \led_flash_cnt[1435][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1435][1]~46970_combout\,
	cout => \led_flash_cnt[1435][1]~46971\);

-- Location: FF_X34_Y24_N1
\led_flash_cnt[1435][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1435][1]~46970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1435][1]~q\);

-- Location: LCCOMB_X34_Y24_N2
\led_flash_cnt[1435][2]~46972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1435][2]~46972_combout\ = (\led_flash_cnt[1435][2]~q\ & (!\led_flash_cnt[1435][1]~46971\)) # (!\led_flash_cnt[1435][2]~q\ & ((\led_flash_cnt[1435][1]~46971\) # (GND)))
-- \led_flash_cnt[1435][2]~46973\ = CARRY((!\led_flash_cnt[1435][1]~46971\) # (!\led_flash_cnt[1435][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1435][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1435][1]~46971\,
	combout => \led_flash_cnt[1435][2]~46972_combout\,
	cout => \led_flash_cnt[1435][2]~46973\);

-- Location: FF_X34_Y24_N3
\led_flash_cnt[1435][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1435][2]~46972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1435][2]~q\);

-- Location: LCCOMB_X34_Y24_N4
\led_flash_cnt[1435][3]~46974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1435][3]~46974_combout\ = (\led_flash_cnt[1435][3]~q\ & (\led_flash_cnt[1435][2]~46973\ $ (GND))) # (!\led_flash_cnt[1435][3]~q\ & (!\led_flash_cnt[1435][2]~46973\ & VCC))
-- \led_flash_cnt[1435][3]~46975\ = CARRY((\led_flash_cnt[1435][3]~q\ & !\led_flash_cnt[1435][2]~46973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1435][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1435][2]~46973\,
	combout => \led_flash_cnt[1435][3]~46974_combout\,
	cout => \led_flash_cnt[1435][3]~46975\);

-- Location: FF_X34_Y24_N5
\led_flash_cnt[1435][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1435][3]~46974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1435][3]~q\);

-- Location: LCCOMB_X34_Y24_N6
\led_flash_cnt[1435][4]~46976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1435][4]~46976_combout\ = (\led_flash_cnt[1435][4]~q\ & (!\led_flash_cnt[1435][3]~46975\)) # (!\led_flash_cnt[1435][4]~q\ & ((\led_flash_cnt[1435][3]~46975\) # (GND)))
-- \led_flash_cnt[1435][4]~46977\ = CARRY((!\led_flash_cnt[1435][3]~46975\) # (!\led_flash_cnt[1435][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1435][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1435][3]~46975\,
	combout => \led_flash_cnt[1435][4]~46976_combout\,
	cout => \led_flash_cnt[1435][4]~46977\);

-- Location: FF_X34_Y24_N7
\led_flash_cnt[1435][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1435][4]~46976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1435][4]~q\);

-- Location: LCCOMB_X34_Y24_N8
\led_flash_cnt[1435][5]~46978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1435][5]~46978_combout\ = (\led_flash_cnt[1435][5]~q\ & (\led_flash_cnt[1435][4]~46977\ $ (GND))) # (!\led_flash_cnt[1435][5]~q\ & (!\led_flash_cnt[1435][4]~46977\ & VCC))
-- \led_flash_cnt[1435][5]~46979\ = CARRY((\led_flash_cnt[1435][5]~q\ & !\led_flash_cnt[1435][4]~46977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1435][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1435][4]~46977\,
	combout => \led_flash_cnt[1435][5]~46978_combout\,
	cout => \led_flash_cnt[1435][5]~46979\);

-- Location: FF_X34_Y24_N9
\led_flash_cnt[1435][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1435][5]~46978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1435][5]~q\);

-- Location: LCCOMB_X34_Y24_N10
\led_flash_cnt[1435][6]~46980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1435][6]~46980_combout\ = (\led_flash_cnt[1435][6]~q\ & (!\led_flash_cnt[1435][5]~46979\)) # (!\led_flash_cnt[1435][6]~q\ & ((\led_flash_cnt[1435][5]~46979\) # (GND)))
-- \led_flash_cnt[1435][6]~46981\ = CARRY((!\led_flash_cnt[1435][5]~46979\) # (!\led_flash_cnt[1435][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1435][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1435][5]~46979\,
	combout => \led_flash_cnt[1435][6]~46980_combout\,
	cout => \led_flash_cnt[1435][6]~46981\);

-- Location: FF_X34_Y24_N11
\led_flash_cnt[1435][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1435][6]~46980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1435][6]~q\);

-- Location: LCCOMB_X34_Y24_N12
\led_flash_cnt[1435][7]~46982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1435][7]~46982_combout\ = \led_flash_cnt[1435][6]~46981\ $ (!\led_flash_cnt[1435][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1435][7]~q\,
	cin => \led_flash_cnt[1435][6]~46981\,
	combout => \led_flash_cnt[1435][7]~46982_combout\);

-- Location: FF_X34_Y24_N13
\led_flash_cnt[1435][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1435][7]~46982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1435][7]~q\);

-- Location: LCCOMB_X35_Y24_N8
\WideAnd1435~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1435~0_combout\ = (\led_flash_cnt[1435][1]~q\ & (\led_flash_cnt[1435][3]~q\ & (\led_flash_cnt[1435][4]~q\ & \led_flash_cnt[1435][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1435][1]~q\,
	datab => \led_flash_cnt[1435][3]~q\,
	datac => \led_flash_cnt[1435][4]~q\,
	datad => \led_flash_cnt[1435][2]~q\,
	combout => \WideAnd1435~0_combout\);

-- Location: LCCOMB_X35_Y24_N6
\WideAnd1435~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1435~1_combout\ = (\led_flash_cnt[1435][6]~q\ & \led_flash_cnt[1435][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1435][6]~q\,
	datad => \led_flash_cnt[1435][5]~q\,
	combout => \WideAnd1435~1_combout\);

-- Location: LCCOMB_X35_Y24_N26
WideAnd1435 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1435~combout\ = (\led_flash_cnt[1435][7]~q\ & (\led_flash_cnt[1435][0]~q\ & (\WideAnd1435~0_combout\ & \WideAnd1435~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1435][7]~q\,
	datab => \led_flash_cnt[1435][0]~q\,
	datac => \WideAnd1435~0_combout\,
	datad => \WideAnd1435~1_combout\,
	combout => \WideAnd1435~combout\);

-- Location: FF_X35_Y24_N27
\led_flash_cnt_ands[1435]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1435~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1435));

-- Location: LCCOMB_X42_Y30_N2
\led_flash_cnt[1434][0]~82074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1434][0]~82074_combout\ = !\led_flash_cnt[1434][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1434][0]~q\,
	combout => \led_flash_cnt[1434][0]~82074_combout\);

-- Location: FF_X42_Y30_N3
\led_flash_cnt[1434][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1434][0]~82074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1434][0]~q\);

-- Location: LCCOMB_X41_Y30_N16
\led_flash_cnt[1434][1]~46956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1434][1]~46956_combout\ = (\led_flash_cnt[1434][0]~q\ & (\led_flash_cnt[1434][1]~q\ $ (VCC))) # (!\led_flash_cnt[1434][0]~q\ & (\led_flash_cnt[1434][1]~q\ & VCC))
-- \led_flash_cnt[1434][1]~46957\ = CARRY((\led_flash_cnt[1434][0]~q\ & \led_flash_cnt[1434][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1434][0]~q\,
	datab => \led_flash_cnt[1434][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1434][1]~46956_combout\,
	cout => \led_flash_cnt[1434][1]~46957\);

-- Location: FF_X41_Y30_N17
\led_flash_cnt[1434][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1434][1]~46956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1434][1]~q\);

-- Location: LCCOMB_X41_Y30_N18
\led_flash_cnt[1434][2]~46958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1434][2]~46958_combout\ = (\led_flash_cnt[1434][2]~q\ & (!\led_flash_cnt[1434][1]~46957\)) # (!\led_flash_cnt[1434][2]~q\ & ((\led_flash_cnt[1434][1]~46957\) # (GND)))
-- \led_flash_cnt[1434][2]~46959\ = CARRY((!\led_flash_cnt[1434][1]~46957\) # (!\led_flash_cnt[1434][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1434][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1434][1]~46957\,
	combout => \led_flash_cnt[1434][2]~46958_combout\,
	cout => \led_flash_cnt[1434][2]~46959\);

-- Location: FF_X41_Y30_N19
\led_flash_cnt[1434][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1434][2]~46958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1434][2]~q\);

-- Location: LCCOMB_X41_Y30_N20
\led_flash_cnt[1434][3]~46960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1434][3]~46960_combout\ = (\led_flash_cnt[1434][3]~q\ & (\led_flash_cnt[1434][2]~46959\ $ (GND))) # (!\led_flash_cnt[1434][3]~q\ & (!\led_flash_cnt[1434][2]~46959\ & VCC))
-- \led_flash_cnt[1434][3]~46961\ = CARRY((\led_flash_cnt[1434][3]~q\ & !\led_flash_cnt[1434][2]~46959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1434][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1434][2]~46959\,
	combout => \led_flash_cnt[1434][3]~46960_combout\,
	cout => \led_flash_cnt[1434][3]~46961\);

-- Location: FF_X41_Y30_N21
\led_flash_cnt[1434][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1434][3]~46960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1434][3]~q\);

-- Location: LCCOMB_X41_Y30_N22
\led_flash_cnt[1434][4]~46962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1434][4]~46962_combout\ = (\led_flash_cnt[1434][4]~q\ & (!\led_flash_cnt[1434][3]~46961\)) # (!\led_flash_cnt[1434][4]~q\ & ((\led_flash_cnt[1434][3]~46961\) # (GND)))
-- \led_flash_cnt[1434][4]~46963\ = CARRY((!\led_flash_cnt[1434][3]~46961\) # (!\led_flash_cnt[1434][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1434][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1434][3]~46961\,
	combout => \led_flash_cnt[1434][4]~46962_combout\,
	cout => \led_flash_cnt[1434][4]~46963\);

-- Location: FF_X41_Y30_N23
\led_flash_cnt[1434][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1434][4]~46962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1434][4]~q\);

-- Location: LCCOMB_X41_Y30_N24
\led_flash_cnt[1434][5]~46964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1434][5]~46964_combout\ = (\led_flash_cnt[1434][5]~q\ & (\led_flash_cnt[1434][4]~46963\ $ (GND))) # (!\led_flash_cnt[1434][5]~q\ & (!\led_flash_cnt[1434][4]~46963\ & VCC))
-- \led_flash_cnt[1434][5]~46965\ = CARRY((\led_flash_cnt[1434][5]~q\ & !\led_flash_cnt[1434][4]~46963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1434][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1434][4]~46963\,
	combout => \led_flash_cnt[1434][5]~46964_combout\,
	cout => \led_flash_cnt[1434][5]~46965\);

-- Location: FF_X41_Y30_N25
\led_flash_cnt[1434][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1434][5]~46964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1434][5]~q\);

-- Location: LCCOMB_X41_Y30_N26
\led_flash_cnt[1434][6]~46966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1434][6]~46966_combout\ = (\led_flash_cnt[1434][6]~q\ & (!\led_flash_cnt[1434][5]~46965\)) # (!\led_flash_cnt[1434][6]~q\ & ((\led_flash_cnt[1434][5]~46965\) # (GND)))
-- \led_flash_cnt[1434][6]~46967\ = CARRY((!\led_flash_cnt[1434][5]~46965\) # (!\led_flash_cnt[1434][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1434][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1434][5]~46965\,
	combout => \led_flash_cnt[1434][6]~46966_combout\,
	cout => \led_flash_cnt[1434][6]~46967\);

-- Location: FF_X41_Y30_N27
\led_flash_cnt[1434][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1434][6]~46966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1434][6]~q\);

-- Location: LCCOMB_X42_Y30_N30
\WideAnd1434~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1434~1_combout\ = (\led_flash_cnt[1434][6]~q\ & \led_flash_cnt[1434][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1434][6]~q\,
	datad => \led_flash_cnt[1434][5]~q\,
	combout => \WideAnd1434~1_combout\);

-- Location: LCCOMB_X41_Y30_N28
\led_flash_cnt[1434][7]~46968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1434][7]~46968_combout\ = \led_flash_cnt[1434][6]~46967\ $ (!\led_flash_cnt[1434][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1434][7]~q\,
	cin => \led_flash_cnt[1434][6]~46967\,
	combout => \led_flash_cnt[1434][7]~46968_combout\);

-- Location: FF_X41_Y30_N29
\led_flash_cnt[1434][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1434][7]~46968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1434][7]~q\);

-- Location: LCCOMB_X42_Y30_N28
\WideAnd1434~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1434~0_combout\ = (\led_flash_cnt[1434][4]~q\ & (\led_flash_cnt[1434][3]~q\ & (\led_flash_cnt[1434][1]~q\ & \led_flash_cnt[1434][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1434][4]~q\,
	datab => \led_flash_cnt[1434][3]~q\,
	datac => \led_flash_cnt[1434][1]~q\,
	datad => \led_flash_cnt[1434][2]~q\,
	combout => \WideAnd1434~0_combout\);

-- Location: LCCOMB_X42_Y30_N6
WideAnd1434 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1434~combout\ = (\WideAnd1434~1_combout\ & (\led_flash_cnt[1434][7]~q\ & (\led_flash_cnt[1434][0]~q\ & \WideAnd1434~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1434~1_combout\,
	datab => \led_flash_cnt[1434][7]~q\,
	datac => \led_flash_cnt[1434][0]~q\,
	datad => \WideAnd1434~0_combout\,
	combout => \WideAnd1434~combout\);

-- Location: FF_X42_Y30_N7
\led_flash_cnt_ands[1434]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1434~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1434));

-- Location: LCCOMB_X35_Y24_N0
\WideAnd4019~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4019~0_combout\ = (led_flash_cnt_ands(1433) & (led_flash_cnt_ands(1432) & (led_flash_cnt_ands(1435) & led_flash_cnt_ands(1434))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1433),
	datab => led_flash_cnt_ands(1432),
	datac => led_flash_cnt_ands(1435),
	datad => led_flash_cnt_ands(1434),
	combout => \WideAnd4019~0_combout\);

-- Location: LCCOMB_X15_Y25_N28
\led_flash_cnt[1438][0]~82078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1438][0]~82078_combout\ = !\led_flash_cnt[1438][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1438][0]~q\,
	combout => \led_flash_cnt[1438][0]~82078_combout\);

-- Location: FF_X15_Y25_N29
\led_flash_cnt[1438][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1438][0]~82078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1438][0]~q\);

-- Location: LCCOMB_X14_Y25_N6
\led_flash_cnt[1438][1]~47012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1438][1]~47012_combout\ = (\led_flash_cnt[1438][1]~q\ & (\led_flash_cnt[1438][0]~q\ $ (VCC))) # (!\led_flash_cnt[1438][1]~q\ & (\led_flash_cnt[1438][0]~q\ & VCC))
-- \led_flash_cnt[1438][1]~47013\ = CARRY((\led_flash_cnt[1438][1]~q\ & \led_flash_cnt[1438][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1438][1]~q\,
	datab => \led_flash_cnt[1438][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1438][1]~47012_combout\,
	cout => \led_flash_cnt[1438][1]~47013\);

-- Location: FF_X14_Y25_N7
\led_flash_cnt[1438][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1438][1]~47012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1438][1]~q\);

-- Location: LCCOMB_X14_Y25_N8
\led_flash_cnt[1438][2]~47014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1438][2]~47014_combout\ = (\led_flash_cnt[1438][2]~q\ & (!\led_flash_cnt[1438][1]~47013\)) # (!\led_flash_cnt[1438][2]~q\ & ((\led_flash_cnt[1438][1]~47013\) # (GND)))
-- \led_flash_cnt[1438][2]~47015\ = CARRY((!\led_flash_cnt[1438][1]~47013\) # (!\led_flash_cnt[1438][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1438][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1438][1]~47013\,
	combout => \led_flash_cnt[1438][2]~47014_combout\,
	cout => \led_flash_cnt[1438][2]~47015\);

-- Location: FF_X14_Y25_N9
\led_flash_cnt[1438][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1438][2]~47014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1438][2]~q\);

-- Location: LCCOMB_X14_Y25_N10
\led_flash_cnt[1438][3]~47016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1438][3]~47016_combout\ = (\led_flash_cnt[1438][3]~q\ & (\led_flash_cnt[1438][2]~47015\ $ (GND))) # (!\led_flash_cnt[1438][3]~q\ & (!\led_flash_cnt[1438][2]~47015\ & VCC))
-- \led_flash_cnt[1438][3]~47017\ = CARRY((\led_flash_cnt[1438][3]~q\ & !\led_flash_cnt[1438][2]~47015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1438][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1438][2]~47015\,
	combout => \led_flash_cnt[1438][3]~47016_combout\,
	cout => \led_flash_cnt[1438][3]~47017\);

-- Location: FF_X14_Y25_N11
\led_flash_cnt[1438][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1438][3]~47016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1438][3]~q\);

-- Location: LCCOMB_X14_Y25_N12
\led_flash_cnt[1438][4]~47018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1438][4]~47018_combout\ = (\led_flash_cnt[1438][4]~q\ & (!\led_flash_cnt[1438][3]~47017\)) # (!\led_flash_cnt[1438][4]~q\ & ((\led_flash_cnt[1438][3]~47017\) # (GND)))
-- \led_flash_cnt[1438][4]~47019\ = CARRY((!\led_flash_cnt[1438][3]~47017\) # (!\led_flash_cnt[1438][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1438][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1438][3]~47017\,
	combout => \led_flash_cnt[1438][4]~47018_combout\,
	cout => \led_flash_cnt[1438][4]~47019\);

-- Location: FF_X14_Y25_N13
\led_flash_cnt[1438][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1438][4]~47018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1438][4]~q\);

-- Location: LCCOMB_X14_Y25_N26
\WideAnd1438~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1438~0_combout\ = (\led_flash_cnt[1438][3]~q\ & (\led_flash_cnt[1438][1]~q\ & (\led_flash_cnt[1438][2]~q\ & \led_flash_cnt[1438][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1438][3]~q\,
	datab => \led_flash_cnt[1438][1]~q\,
	datac => \led_flash_cnt[1438][2]~q\,
	datad => \led_flash_cnt[1438][4]~q\,
	combout => \WideAnd1438~0_combout\);

-- Location: LCCOMB_X14_Y25_N14
\led_flash_cnt[1438][5]~47020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1438][5]~47020_combout\ = (\led_flash_cnt[1438][5]~q\ & (\led_flash_cnt[1438][4]~47019\ $ (GND))) # (!\led_flash_cnt[1438][5]~q\ & (!\led_flash_cnt[1438][4]~47019\ & VCC))
-- \led_flash_cnt[1438][5]~47021\ = CARRY((\led_flash_cnt[1438][5]~q\ & !\led_flash_cnt[1438][4]~47019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1438][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1438][4]~47019\,
	combout => \led_flash_cnt[1438][5]~47020_combout\,
	cout => \led_flash_cnt[1438][5]~47021\);

-- Location: FF_X14_Y25_N15
\led_flash_cnt[1438][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1438][5]~47020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1438][5]~q\);

-- Location: LCCOMB_X14_Y25_N16
\led_flash_cnt[1438][6]~47022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1438][6]~47022_combout\ = (\led_flash_cnt[1438][6]~q\ & (!\led_flash_cnt[1438][5]~47021\)) # (!\led_flash_cnt[1438][6]~q\ & ((\led_flash_cnt[1438][5]~47021\) # (GND)))
-- \led_flash_cnt[1438][6]~47023\ = CARRY((!\led_flash_cnt[1438][5]~47021\) # (!\led_flash_cnt[1438][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1438][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1438][5]~47021\,
	combout => \led_flash_cnt[1438][6]~47022_combout\,
	cout => \led_flash_cnt[1438][6]~47023\);

-- Location: FF_X14_Y25_N17
\led_flash_cnt[1438][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1438][6]~47022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1438][6]~q\);

-- Location: LCCOMB_X14_Y25_N4
\WideAnd1438~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1438~1_combout\ = (\led_flash_cnt[1438][5]~q\ & \led_flash_cnt[1438][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1438][5]~q\,
	datad => \led_flash_cnt[1438][6]~q\,
	combout => \WideAnd1438~1_combout\);

-- Location: LCCOMB_X14_Y25_N18
\led_flash_cnt[1438][7]~47024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1438][7]~47024_combout\ = \led_flash_cnt[1438][6]~47023\ $ (!\led_flash_cnt[1438][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1438][7]~q\,
	cin => \led_flash_cnt[1438][6]~47023\,
	combout => \led_flash_cnt[1438][7]~47024_combout\);

-- Location: FF_X14_Y25_N19
\led_flash_cnt[1438][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1438][7]~47024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1438][7]~q\);

-- Location: LCCOMB_X14_Y25_N28
WideAnd1438 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1438~combout\ = (\WideAnd1438~0_combout\ & (\led_flash_cnt[1438][0]~q\ & (\WideAnd1438~1_combout\ & \led_flash_cnt[1438][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1438~0_combout\,
	datab => \led_flash_cnt[1438][0]~q\,
	datac => \WideAnd1438~1_combout\,
	datad => \led_flash_cnt[1438][7]~q\,
	combout => \WideAnd1438~combout\);

-- Location: FF_X14_Y25_N29
\led_flash_cnt_ands[1438]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1438~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1438));

-- Location: LCCOMB_X14_Y25_N24
WideAnd4019 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4019~combout\ = (led_flash_cnt_ands(1439) & (\WideAnd4019~1_combout\ & (\WideAnd4019~0_combout\ & led_flash_cnt_ands(1438))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1439),
	datab => \WideAnd4019~1_combout\,
	datac => \WideAnd4019~0_combout\,
	datad => led_flash_cnt_ands(1438),
	combout => \WideAnd4019~combout\);

-- Location: FF_X14_Y25_N25
\led_flash_cnt_ands_1[179]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4019~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(179));

-- Location: LCCOMB_X14_Y25_N20
\WideAnd4342~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4342~0_combout\ = (led_flash_cnt_ands_1(178) & (led_flash_cnt_ands_1(177) & (led_flash_cnt_ands_1(176) & led_flash_cnt_ands_1(179))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(178),
	datab => led_flash_cnt_ands_1(177),
	datac => led_flash_cnt_ands_1(176),
	datad => led_flash_cnt_ands_1(179),
	combout => \WideAnd4342~0_combout\);

-- Location: LCCOMB_X34_Y18_N30
WideAnd4342 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4342~combout\ = (led_flash_cnt_ands_1(183) & (led_flash_cnt_ands_1(182) & (\WideAnd4342~1_combout\ & \WideAnd4342~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(183),
	datab => led_flash_cnt_ands_1(182),
	datac => \WideAnd4342~1_combout\,
	datad => \WideAnd4342~0_combout\,
	combout => \WideAnd4342~combout\);

-- Location: FF_X34_Y18_N31
\led_flash_cnt_ands_2[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4342~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(22));

-- Location: LCCOMB_X43_Y4_N2
\led_flash_cnt[1509][0]~82149\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1509][0]~82149_combout\ = !\led_flash_cnt[1509][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1509][0]~q\,
	combout => \led_flash_cnt[1509][0]~82149_combout\);

-- Location: FF_X43_Y4_N3
\led_flash_cnt[1509][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1509][0]~82149_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1509][0]~q\);

-- Location: LCCOMB_X42_Y4_N14
\led_flash_cnt[1509][1]~48006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1509][1]~48006_combout\ = (\led_flash_cnt[1509][0]~q\ & (\led_flash_cnt[1509][1]~q\ $ (VCC))) # (!\led_flash_cnt[1509][0]~q\ & (\led_flash_cnt[1509][1]~q\ & VCC))
-- \led_flash_cnt[1509][1]~48007\ = CARRY((\led_flash_cnt[1509][0]~q\ & \led_flash_cnt[1509][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1509][0]~q\,
	datab => \led_flash_cnt[1509][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1509][1]~48006_combout\,
	cout => \led_flash_cnt[1509][1]~48007\);

-- Location: FF_X42_Y4_N15
\led_flash_cnt[1509][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1509][1]~48006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1509][1]~q\);

-- Location: LCCOMB_X42_Y4_N16
\led_flash_cnt[1509][2]~48008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1509][2]~48008_combout\ = (\led_flash_cnt[1509][2]~q\ & (!\led_flash_cnt[1509][1]~48007\)) # (!\led_flash_cnt[1509][2]~q\ & ((\led_flash_cnt[1509][1]~48007\) # (GND)))
-- \led_flash_cnt[1509][2]~48009\ = CARRY((!\led_flash_cnt[1509][1]~48007\) # (!\led_flash_cnt[1509][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1509][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1509][1]~48007\,
	combout => \led_flash_cnt[1509][2]~48008_combout\,
	cout => \led_flash_cnt[1509][2]~48009\);

-- Location: FF_X42_Y4_N17
\led_flash_cnt[1509][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1509][2]~48008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1509][2]~q\);

-- Location: LCCOMB_X42_Y4_N18
\led_flash_cnt[1509][3]~48010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1509][3]~48010_combout\ = (\led_flash_cnt[1509][3]~q\ & (\led_flash_cnt[1509][2]~48009\ $ (GND))) # (!\led_flash_cnt[1509][3]~q\ & (!\led_flash_cnt[1509][2]~48009\ & VCC))
-- \led_flash_cnt[1509][3]~48011\ = CARRY((\led_flash_cnt[1509][3]~q\ & !\led_flash_cnt[1509][2]~48009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1509][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1509][2]~48009\,
	combout => \led_flash_cnt[1509][3]~48010_combout\,
	cout => \led_flash_cnt[1509][3]~48011\);

-- Location: FF_X42_Y4_N19
\led_flash_cnt[1509][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1509][3]~48010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1509][3]~q\);

-- Location: LCCOMB_X42_Y4_N20
\led_flash_cnt[1509][4]~48012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1509][4]~48012_combout\ = (\led_flash_cnt[1509][4]~q\ & (!\led_flash_cnt[1509][3]~48011\)) # (!\led_flash_cnt[1509][4]~q\ & ((\led_flash_cnt[1509][3]~48011\) # (GND)))
-- \led_flash_cnt[1509][4]~48013\ = CARRY((!\led_flash_cnt[1509][3]~48011\) # (!\led_flash_cnt[1509][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1509][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1509][3]~48011\,
	combout => \led_flash_cnt[1509][4]~48012_combout\,
	cout => \led_flash_cnt[1509][4]~48013\);

-- Location: FF_X42_Y4_N21
\led_flash_cnt[1509][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1509][4]~48012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1509][4]~q\);

-- Location: LCCOMB_X42_Y4_N22
\led_flash_cnt[1509][5]~48014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1509][5]~48014_combout\ = (\led_flash_cnt[1509][5]~q\ & (\led_flash_cnt[1509][4]~48013\ $ (GND))) # (!\led_flash_cnt[1509][5]~q\ & (!\led_flash_cnt[1509][4]~48013\ & VCC))
-- \led_flash_cnt[1509][5]~48015\ = CARRY((\led_flash_cnt[1509][5]~q\ & !\led_flash_cnt[1509][4]~48013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1509][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1509][4]~48013\,
	combout => \led_flash_cnt[1509][5]~48014_combout\,
	cout => \led_flash_cnt[1509][5]~48015\);

-- Location: FF_X42_Y4_N23
\led_flash_cnt[1509][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1509][5]~48014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1509][5]~q\);

-- Location: LCCOMB_X42_Y4_N24
\led_flash_cnt[1509][6]~48016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1509][6]~48016_combout\ = (\led_flash_cnt[1509][6]~q\ & (!\led_flash_cnt[1509][5]~48015\)) # (!\led_flash_cnt[1509][6]~q\ & ((\led_flash_cnt[1509][5]~48015\) # (GND)))
-- \led_flash_cnt[1509][6]~48017\ = CARRY((!\led_flash_cnt[1509][5]~48015\) # (!\led_flash_cnt[1509][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1509][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1509][5]~48015\,
	combout => \led_flash_cnt[1509][6]~48016_combout\,
	cout => \led_flash_cnt[1509][6]~48017\);

-- Location: FF_X42_Y4_N25
\led_flash_cnt[1509][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1509][6]~48016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1509][6]~q\);

-- Location: LCCOMB_X43_Y4_N30
\WideAnd1509~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1509~1_combout\ = (\led_flash_cnt[1509][6]~q\ & \led_flash_cnt[1509][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1509][6]~q\,
	datad => \led_flash_cnt[1509][5]~q\,
	combout => \WideAnd1509~1_combout\);

-- Location: LCCOMB_X42_Y4_N30
\WideAnd1509~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1509~0_combout\ = (\led_flash_cnt[1509][4]~q\ & (\led_flash_cnt[1509][3]~q\ & (\led_flash_cnt[1509][1]~q\ & \led_flash_cnt[1509][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1509][4]~q\,
	datab => \led_flash_cnt[1509][3]~q\,
	datac => \led_flash_cnt[1509][1]~q\,
	datad => \led_flash_cnt[1509][2]~q\,
	combout => \WideAnd1509~0_combout\);

-- Location: LCCOMB_X42_Y4_N26
\led_flash_cnt[1509][7]~48018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1509][7]~48018_combout\ = \led_flash_cnt[1509][7]~q\ $ (!\led_flash_cnt[1509][6]~48017\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1509][7]~q\,
	cin => \led_flash_cnt[1509][6]~48017\,
	combout => \led_flash_cnt[1509][7]~48018_combout\);

-- Location: FF_X42_Y4_N27
\led_flash_cnt[1509][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1509][7]~48018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1509][7]~q\);

-- Location: LCCOMB_X43_Y4_N8
WideAnd1509 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1509~combout\ = (\WideAnd1509~1_combout\ & (\WideAnd1509~0_combout\ & (\led_flash_cnt[1509][7]~q\ & \led_flash_cnt[1509][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1509~1_combout\,
	datab => \WideAnd1509~0_combout\,
	datac => \led_flash_cnt[1509][7]~q\,
	datad => \led_flash_cnt[1509][0]~q\,
	combout => \WideAnd1509~combout\);

-- Location: FF_X43_Y4_N9
\led_flash_cnt_ands[1509]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1509~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1509));

-- Location: LCCOMB_X44_Y2_N6
\led_flash_cnt[1508][0]~82148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1508][0]~82148_combout\ = !\led_flash_cnt[1508][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1508][0]~q\,
	combout => \led_flash_cnt[1508][0]~82148_combout\);

-- Location: FF_X44_Y2_N7
\led_flash_cnt[1508][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1508][0]~82148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1508][0]~q\);

-- Location: LCCOMB_X45_Y2_N18
\led_flash_cnt[1508][1]~47992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1508][1]~47992_combout\ = (\led_flash_cnt[1508][0]~q\ & (\led_flash_cnt[1508][1]~q\ $ (VCC))) # (!\led_flash_cnt[1508][0]~q\ & (\led_flash_cnt[1508][1]~q\ & VCC))
-- \led_flash_cnt[1508][1]~47993\ = CARRY((\led_flash_cnt[1508][0]~q\ & \led_flash_cnt[1508][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1508][0]~q\,
	datab => \led_flash_cnt[1508][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1508][1]~47992_combout\,
	cout => \led_flash_cnt[1508][1]~47993\);

-- Location: FF_X45_Y2_N19
\led_flash_cnt[1508][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1508][1]~47992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1508][1]~q\);

-- Location: LCCOMB_X45_Y2_N20
\led_flash_cnt[1508][2]~47994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1508][2]~47994_combout\ = (\led_flash_cnt[1508][2]~q\ & (!\led_flash_cnt[1508][1]~47993\)) # (!\led_flash_cnt[1508][2]~q\ & ((\led_flash_cnt[1508][1]~47993\) # (GND)))
-- \led_flash_cnt[1508][2]~47995\ = CARRY((!\led_flash_cnt[1508][1]~47993\) # (!\led_flash_cnt[1508][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1508][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1508][1]~47993\,
	combout => \led_flash_cnt[1508][2]~47994_combout\,
	cout => \led_flash_cnt[1508][2]~47995\);

-- Location: FF_X45_Y2_N21
\led_flash_cnt[1508][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1508][2]~47994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1508][2]~q\);

-- Location: LCCOMB_X45_Y2_N22
\led_flash_cnt[1508][3]~47996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1508][3]~47996_combout\ = (\led_flash_cnt[1508][3]~q\ & (\led_flash_cnt[1508][2]~47995\ $ (GND))) # (!\led_flash_cnt[1508][3]~q\ & (!\led_flash_cnt[1508][2]~47995\ & VCC))
-- \led_flash_cnt[1508][3]~47997\ = CARRY((\led_flash_cnt[1508][3]~q\ & !\led_flash_cnt[1508][2]~47995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1508][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1508][2]~47995\,
	combout => \led_flash_cnt[1508][3]~47996_combout\,
	cout => \led_flash_cnt[1508][3]~47997\);

-- Location: FF_X45_Y2_N23
\led_flash_cnt[1508][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1508][3]~47996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1508][3]~q\);

-- Location: LCCOMB_X45_Y2_N24
\led_flash_cnt[1508][4]~47998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1508][4]~47998_combout\ = (\led_flash_cnt[1508][4]~q\ & (!\led_flash_cnt[1508][3]~47997\)) # (!\led_flash_cnt[1508][4]~q\ & ((\led_flash_cnt[1508][3]~47997\) # (GND)))
-- \led_flash_cnt[1508][4]~47999\ = CARRY((!\led_flash_cnt[1508][3]~47997\) # (!\led_flash_cnt[1508][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1508][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1508][3]~47997\,
	combout => \led_flash_cnt[1508][4]~47998_combout\,
	cout => \led_flash_cnt[1508][4]~47999\);

-- Location: FF_X45_Y2_N25
\led_flash_cnt[1508][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1508][4]~47998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1508][4]~q\);

-- Location: LCCOMB_X45_Y2_N26
\led_flash_cnt[1508][5]~48000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1508][5]~48000_combout\ = (\led_flash_cnt[1508][5]~q\ & (\led_flash_cnt[1508][4]~47999\ $ (GND))) # (!\led_flash_cnt[1508][5]~q\ & (!\led_flash_cnt[1508][4]~47999\ & VCC))
-- \led_flash_cnt[1508][5]~48001\ = CARRY((\led_flash_cnt[1508][5]~q\ & !\led_flash_cnt[1508][4]~47999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1508][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1508][4]~47999\,
	combout => \led_flash_cnt[1508][5]~48000_combout\,
	cout => \led_flash_cnt[1508][5]~48001\);

-- Location: FF_X45_Y2_N27
\led_flash_cnt[1508][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1508][5]~48000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1508][5]~q\);

-- Location: LCCOMB_X45_Y2_N28
\led_flash_cnt[1508][6]~48002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1508][6]~48002_combout\ = (\led_flash_cnt[1508][6]~q\ & (!\led_flash_cnt[1508][5]~48001\)) # (!\led_flash_cnt[1508][6]~q\ & ((\led_flash_cnt[1508][5]~48001\) # (GND)))
-- \led_flash_cnt[1508][6]~48003\ = CARRY((!\led_flash_cnt[1508][5]~48001\) # (!\led_flash_cnt[1508][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1508][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1508][5]~48001\,
	combout => \led_flash_cnt[1508][6]~48002_combout\,
	cout => \led_flash_cnt[1508][6]~48003\);

-- Location: FF_X45_Y2_N29
\led_flash_cnt[1508][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1508][6]~48002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1508][6]~q\);

-- Location: LCCOMB_X44_Y2_N8
\WideAnd1508~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1508~1_combout\ = (\led_flash_cnt[1508][6]~q\ & \led_flash_cnt[1508][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1508][6]~q\,
	datad => \led_flash_cnt[1508][5]~q\,
	combout => \WideAnd1508~1_combout\);

-- Location: LCCOMB_X45_Y2_N30
\led_flash_cnt[1508][7]~48004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1508][7]~48004_combout\ = \led_flash_cnt[1508][7]~q\ $ (!\led_flash_cnt[1508][6]~48003\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1508][7]~q\,
	cin => \led_flash_cnt[1508][6]~48003\,
	combout => \led_flash_cnt[1508][7]~48004_combout\);

-- Location: FF_X45_Y2_N31
\led_flash_cnt[1508][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1508][7]~48004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1508][7]~q\);

-- Location: LCCOMB_X45_Y2_N16
\WideAnd1508~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1508~0_combout\ = (\led_flash_cnt[1508][1]~q\ & (\led_flash_cnt[1508][4]~q\ & (\led_flash_cnt[1508][3]~q\ & \led_flash_cnt[1508][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1508][1]~q\,
	datab => \led_flash_cnt[1508][4]~q\,
	datac => \led_flash_cnt[1508][3]~q\,
	datad => \led_flash_cnt[1508][2]~q\,
	combout => \WideAnd1508~0_combout\);

-- Location: LCCOMB_X44_Y2_N16
WideAnd1508 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1508~combout\ = (\led_flash_cnt[1508][0]~q\ & (\WideAnd1508~1_combout\ & (\led_flash_cnt[1508][7]~q\ & \WideAnd1508~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1508][0]~q\,
	datab => \WideAnd1508~1_combout\,
	datac => \led_flash_cnt[1508][7]~q\,
	datad => \WideAnd1508~0_combout\,
	combout => \WideAnd1508~combout\);

-- Location: FF_X44_Y2_N17
\led_flash_cnt_ands[1508]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1508~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1508));

-- Location: LCCOMB_X44_Y2_N2
\WideAnd4028~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4028~1_combout\ = (led_flash_cnt_ands(1509) & led_flash_cnt_ands(1508))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1509),
	datad => led_flash_cnt_ands(1508),
	combout => \WideAnd4028~1_combout\);

-- Location: LCCOMB_X43_Y5_N2
\led_flash_cnt[1511][0]~82151\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1511][0]~82151_combout\ = !\led_flash_cnt[1511][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1511][0]~q\,
	combout => \led_flash_cnt[1511][0]~82151_combout\);

-- Location: FF_X43_Y5_N3
\led_flash_cnt[1511][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1511][0]~82151_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1511][0]~q\);

-- Location: LCCOMB_X42_Y5_N16
\led_flash_cnt[1511][1]~48034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1511][1]~48034_combout\ = (\led_flash_cnt[1511][0]~q\ & (\led_flash_cnt[1511][1]~q\ $ (VCC))) # (!\led_flash_cnt[1511][0]~q\ & (\led_flash_cnt[1511][1]~q\ & VCC))
-- \led_flash_cnt[1511][1]~48035\ = CARRY((\led_flash_cnt[1511][0]~q\ & \led_flash_cnt[1511][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1511][0]~q\,
	datab => \led_flash_cnt[1511][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1511][1]~48034_combout\,
	cout => \led_flash_cnt[1511][1]~48035\);

-- Location: FF_X42_Y5_N17
\led_flash_cnt[1511][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1511][1]~48034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1511][1]~q\);

-- Location: LCCOMB_X42_Y5_N18
\led_flash_cnt[1511][2]~48036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1511][2]~48036_combout\ = (\led_flash_cnt[1511][2]~q\ & (!\led_flash_cnt[1511][1]~48035\)) # (!\led_flash_cnt[1511][2]~q\ & ((\led_flash_cnt[1511][1]~48035\) # (GND)))
-- \led_flash_cnt[1511][2]~48037\ = CARRY((!\led_flash_cnt[1511][1]~48035\) # (!\led_flash_cnt[1511][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1511][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1511][1]~48035\,
	combout => \led_flash_cnt[1511][2]~48036_combout\,
	cout => \led_flash_cnt[1511][2]~48037\);

-- Location: FF_X42_Y5_N19
\led_flash_cnt[1511][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1511][2]~48036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1511][2]~q\);

-- Location: LCCOMB_X42_Y5_N20
\led_flash_cnt[1511][3]~48038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1511][3]~48038_combout\ = (\led_flash_cnt[1511][3]~q\ & (\led_flash_cnt[1511][2]~48037\ $ (GND))) # (!\led_flash_cnt[1511][3]~q\ & (!\led_flash_cnt[1511][2]~48037\ & VCC))
-- \led_flash_cnt[1511][3]~48039\ = CARRY((\led_flash_cnt[1511][3]~q\ & !\led_flash_cnt[1511][2]~48037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1511][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1511][2]~48037\,
	combout => \led_flash_cnt[1511][3]~48038_combout\,
	cout => \led_flash_cnt[1511][3]~48039\);

-- Location: FF_X42_Y5_N21
\led_flash_cnt[1511][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1511][3]~48038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1511][3]~q\);

-- Location: LCCOMB_X42_Y5_N22
\led_flash_cnt[1511][4]~48040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1511][4]~48040_combout\ = (\led_flash_cnt[1511][4]~q\ & (!\led_flash_cnt[1511][3]~48039\)) # (!\led_flash_cnt[1511][4]~q\ & ((\led_flash_cnt[1511][3]~48039\) # (GND)))
-- \led_flash_cnt[1511][4]~48041\ = CARRY((!\led_flash_cnt[1511][3]~48039\) # (!\led_flash_cnt[1511][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1511][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1511][3]~48039\,
	combout => \led_flash_cnt[1511][4]~48040_combout\,
	cout => \led_flash_cnt[1511][4]~48041\);

-- Location: FF_X42_Y5_N23
\led_flash_cnt[1511][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1511][4]~48040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1511][4]~q\);

-- Location: LCCOMB_X42_Y5_N14
\WideAnd1511~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1511~0_combout\ = (\led_flash_cnt[1511][2]~q\ & (\led_flash_cnt[1511][3]~q\ & (\led_flash_cnt[1511][4]~q\ & \led_flash_cnt[1511][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1511][2]~q\,
	datab => \led_flash_cnt[1511][3]~q\,
	datac => \led_flash_cnt[1511][4]~q\,
	datad => \led_flash_cnt[1511][1]~q\,
	combout => \WideAnd1511~0_combout\);

-- Location: LCCOMB_X42_Y5_N24
\led_flash_cnt[1511][5]~48042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1511][5]~48042_combout\ = (\led_flash_cnt[1511][5]~q\ & (\led_flash_cnt[1511][4]~48041\ $ (GND))) # (!\led_flash_cnt[1511][5]~q\ & (!\led_flash_cnt[1511][4]~48041\ & VCC))
-- \led_flash_cnt[1511][5]~48043\ = CARRY((\led_flash_cnt[1511][5]~q\ & !\led_flash_cnt[1511][4]~48041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1511][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1511][4]~48041\,
	combout => \led_flash_cnt[1511][5]~48042_combout\,
	cout => \led_flash_cnt[1511][5]~48043\);

-- Location: FF_X42_Y5_N25
\led_flash_cnt[1511][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1511][5]~48042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1511][5]~q\);

-- Location: LCCOMB_X42_Y5_N26
\led_flash_cnt[1511][6]~48044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1511][6]~48044_combout\ = (\led_flash_cnt[1511][6]~q\ & (!\led_flash_cnt[1511][5]~48043\)) # (!\led_flash_cnt[1511][6]~q\ & ((\led_flash_cnt[1511][5]~48043\) # (GND)))
-- \led_flash_cnt[1511][6]~48045\ = CARRY((!\led_flash_cnt[1511][5]~48043\) # (!\led_flash_cnt[1511][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1511][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1511][5]~48043\,
	combout => \led_flash_cnt[1511][6]~48044_combout\,
	cout => \led_flash_cnt[1511][6]~48045\);

-- Location: FF_X42_Y5_N27
\led_flash_cnt[1511][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1511][6]~48044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1511][6]~q\);

-- Location: LCCOMB_X42_Y5_N28
\led_flash_cnt[1511][7]~48046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1511][7]~48046_combout\ = \led_flash_cnt[1511][6]~48045\ $ (!\led_flash_cnt[1511][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1511][7]~q\,
	cin => \led_flash_cnt[1511][6]~48045\,
	combout => \led_flash_cnt[1511][7]~48046_combout\);

-- Location: FF_X42_Y5_N29
\led_flash_cnt[1511][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1511][7]~48046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1511][7]~q\);

-- Location: LCCOMB_X43_Y5_N10
\WideAnd1511~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1511~1_combout\ = (\led_flash_cnt[1511][6]~q\ & \led_flash_cnt[1511][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1511][6]~q\,
	datad => \led_flash_cnt[1511][5]~q\,
	combout => \WideAnd1511~1_combout\);

-- Location: LCCOMB_X43_Y5_N8
WideAnd1511 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1511~combout\ = (\WideAnd1511~0_combout\ & (\led_flash_cnt[1511][7]~q\ & (\led_flash_cnt[1511][0]~q\ & \WideAnd1511~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1511~0_combout\,
	datab => \led_flash_cnt[1511][7]~q\,
	datac => \led_flash_cnt[1511][0]~q\,
	datad => \WideAnd1511~1_combout\,
	combout => \WideAnd1511~combout\);

-- Location: FF_X41_Y5_N29
\led_flash_cnt_ands[1511]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd1511~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1511));

-- Location: LCCOMB_X40_Y5_N28
\led_flash_cnt[1510][0]~82150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1510][0]~82150_combout\ = !\led_flash_cnt[1510][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1510][0]~q\,
	combout => \led_flash_cnt[1510][0]~82150_combout\);

-- Location: FF_X40_Y5_N29
\led_flash_cnt[1510][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1510][0]~82150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1510][0]~q\);

-- Location: LCCOMB_X39_Y5_N18
\led_flash_cnt[1510][1]~48020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1510][1]~48020_combout\ = (\led_flash_cnt[1510][1]~q\ & (\led_flash_cnt[1510][0]~q\ $ (VCC))) # (!\led_flash_cnt[1510][1]~q\ & (\led_flash_cnt[1510][0]~q\ & VCC))
-- \led_flash_cnt[1510][1]~48021\ = CARRY((\led_flash_cnt[1510][1]~q\ & \led_flash_cnt[1510][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1510][1]~q\,
	datab => \led_flash_cnt[1510][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1510][1]~48020_combout\,
	cout => \led_flash_cnt[1510][1]~48021\);

-- Location: FF_X39_Y5_N19
\led_flash_cnt[1510][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1510][1]~48020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1510][1]~q\);

-- Location: LCCOMB_X39_Y5_N20
\led_flash_cnt[1510][2]~48022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1510][2]~48022_combout\ = (\led_flash_cnt[1510][2]~q\ & (!\led_flash_cnt[1510][1]~48021\)) # (!\led_flash_cnt[1510][2]~q\ & ((\led_flash_cnt[1510][1]~48021\) # (GND)))
-- \led_flash_cnt[1510][2]~48023\ = CARRY((!\led_flash_cnt[1510][1]~48021\) # (!\led_flash_cnt[1510][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1510][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1510][1]~48021\,
	combout => \led_flash_cnt[1510][2]~48022_combout\,
	cout => \led_flash_cnt[1510][2]~48023\);

-- Location: FF_X39_Y5_N21
\led_flash_cnt[1510][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1510][2]~48022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1510][2]~q\);

-- Location: LCCOMB_X39_Y5_N22
\led_flash_cnt[1510][3]~48024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1510][3]~48024_combout\ = (\led_flash_cnt[1510][3]~q\ & (\led_flash_cnt[1510][2]~48023\ $ (GND))) # (!\led_flash_cnt[1510][3]~q\ & (!\led_flash_cnt[1510][2]~48023\ & VCC))
-- \led_flash_cnt[1510][3]~48025\ = CARRY((\led_flash_cnt[1510][3]~q\ & !\led_flash_cnt[1510][2]~48023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1510][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1510][2]~48023\,
	combout => \led_flash_cnt[1510][3]~48024_combout\,
	cout => \led_flash_cnt[1510][3]~48025\);

-- Location: FF_X39_Y5_N23
\led_flash_cnt[1510][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1510][3]~48024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1510][3]~q\);

-- Location: LCCOMB_X39_Y5_N24
\led_flash_cnt[1510][4]~48026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1510][4]~48026_combout\ = (\led_flash_cnt[1510][4]~q\ & (!\led_flash_cnt[1510][3]~48025\)) # (!\led_flash_cnt[1510][4]~q\ & ((\led_flash_cnt[1510][3]~48025\) # (GND)))
-- \led_flash_cnt[1510][4]~48027\ = CARRY((!\led_flash_cnt[1510][3]~48025\) # (!\led_flash_cnt[1510][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1510][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1510][3]~48025\,
	combout => \led_flash_cnt[1510][4]~48026_combout\,
	cout => \led_flash_cnt[1510][4]~48027\);

-- Location: FF_X39_Y5_N25
\led_flash_cnt[1510][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1510][4]~48026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1510][4]~q\);

-- Location: LCCOMB_X39_Y5_N26
\led_flash_cnt[1510][5]~48028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1510][5]~48028_combout\ = (\led_flash_cnt[1510][5]~q\ & (\led_flash_cnt[1510][4]~48027\ $ (GND))) # (!\led_flash_cnt[1510][5]~q\ & (!\led_flash_cnt[1510][4]~48027\ & VCC))
-- \led_flash_cnt[1510][5]~48029\ = CARRY((\led_flash_cnt[1510][5]~q\ & !\led_flash_cnt[1510][4]~48027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1510][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1510][4]~48027\,
	combout => \led_flash_cnt[1510][5]~48028_combout\,
	cout => \led_flash_cnt[1510][5]~48029\);

-- Location: FF_X39_Y5_N27
\led_flash_cnt[1510][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1510][5]~48028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1510][5]~q\);

-- Location: LCCOMB_X39_Y5_N28
\led_flash_cnt[1510][6]~48030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1510][6]~48030_combout\ = (\led_flash_cnt[1510][6]~q\ & (!\led_flash_cnt[1510][5]~48029\)) # (!\led_flash_cnt[1510][6]~q\ & ((\led_flash_cnt[1510][5]~48029\) # (GND)))
-- \led_flash_cnt[1510][6]~48031\ = CARRY((!\led_flash_cnt[1510][5]~48029\) # (!\led_flash_cnt[1510][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1510][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1510][5]~48029\,
	combout => \led_flash_cnt[1510][6]~48030_combout\,
	cout => \led_flash_cnt[1510][6]~48031\);

-- Location: FF_X39_Y5_N29
\led_flash_cnt[1510][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1510][6]~48030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1510][6]~q\);

-- Location: LCCOMB_X39_Y5_N30
\led_flash_cnt[1510][7]~48032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1510][7]~48032_combout\ = \led_flash_cnt[1510][7]~q\ $ (!\led_flash_cnt[1510][6]~48031\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1510][7]~q\,
	cin => \led_flash_cnt[1510][6]~48031\,
	combout => \led_flash_cnt[1510][7]~48032_combout\);

-- Location: FF_X39_Y5_N31
\led_flash_cnt[1510][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1510][7]~48032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1510][7]~q\);

-- Location: LCCOMB_X39_Y5_N0
\WideAnd1510~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1510~0_combout\ = (\led_flash_cnt[1510][1]~q\ & (\led_flash_cnt[1510][2]~q\ & (\led_flash_cnt[1510][3]~q\ & \led_flash_cnt[1510][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1510][1]~q\,
	datab => \led_flash_cnt[1510][2]~q\,
	datac => \led_flash_cnt[1510][3]~q\,
	datad => \led_flash_cnt[1510][4]~q\,
	combout => \WideAnd1510~0_combout\);

-- Location: LCCOMB_X40_Y5_N20
\WideAnd1510~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1510~1_combout\ = (\led_flash_cnt[1510][5]~q\ & \led_flash_cnt[1510][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1510][5]~q\,
	datad => \led_flash_cnt[1510][6]~q\,
	combout => \WideAnd1510~1_combout\);

-- Location: LCCOMB_X40_Y5_N22
WideAnd1510 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1510~combout\ = (\led_flash_cnt[1510][0]~q\ & (\led_flash_cnt[1510][7]~q\ & (\WideAnd1510~0_combout\ & \WideAnd1510~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1510][0]~q\,
	datab => \led_flash_cnt[1510][7]~q\,
	datac => \WideAnd1510~0_combout\,
	datad => \WideAnd1510~1_combout\,
	combout => \WideAnd1510~combout\);

-- Location: FF_X40_Y5_N23
\led_flash_cnt_ands[1510]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1510~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1510));

-- Location: LCCOMB_X39_Y1_N2
\led_flash_cnt[1504][0]~82144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1504][0]~82144_combout\ = !\led_flash_cnt[1504][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1504][0]~q\,
	combout => \led_flash_cnt[1504][0]~82144_combout\);

-- Location: FF_X39_Y1_N3
\led_flash_cnt[1504][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1504][0]~82144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1504][0]~q\);

-- Location: LCCOMB_X38_Y1_N2
\led_flash_cnt[1504][1]~47936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1504][1]~47936_combout\ = (\led_flash_cnt[1504][0]~q\ & (\led_flash_cnt[1504][1]~q\ $ (VCC))) # (!\led_flash_cnt[1504][0]~q\ & (\led_flash_cnt[1504][1]~q\ & VCC))
-- \led_flash_cnt[1504][1]~47937\ = CARRY((\led_flash_cnt[1504][0]~q\ & \led_flash_cnt[1504][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1504][0]~q\,
	datab => \led_flash_cnt[1504][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1504][1]~47936_combout\,
	cout => \led_flash_cnt[1504][1]~47937\);

-- Location: FF_X38_Y1_N3
\led_flash_cnt[1504][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1504][1]~47936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1504][1]~q\);

-- Location: LCCOMB_X38_Y1_N4
\led_flash_cnt[1504][2]~47938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1504][2]~47938_combout\ = (\led_flash_cnt[1504][2]~q\ & (!\led_flash_cnt[1504][1]~47937\)) # (!\led_flash_cnt[1504][2]~q\ & ((\led_flash_cnt[1504][1]~47937\) # (GND)))
-- \led_flash_cnt[1504][2]~47939\ = CARRY((!\led_flash_cnt[1504][1]~47937\) # (!\led_flash_cnt[1504][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1504][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1504][1]~47937\,
	combout => \led_flash_cnt[1504][2]~47938_combout\,
	cout => \led_flash_cnt[1504][2]~47939\);

-- Location: FF_X38_Y1_N5
\led_flash_cnt[1504][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1504][2]~47938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1504][2]~q\);

-- Location: LCCOMB_X38_Y1_N6
\led_flash_cnt[1504][3]~47940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1504][3]~47940_combout\ = (\led_flash_cnt[1504][3]~q\ & (\led_flash_cnt[1504][2]~47939\ $ (GND))) # (!\led_flash_cnt[1504][3]~q\ & (!\led_flash_cnt[1504][2]~47939\ & VCC))
-- \led_flash_cnt[1504][3]~47941\ = CARRY((\led_flash_cnt[1504][3]~q\ & !\led_flash_cnt[1504][2]~47939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1504][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1504][2]~47939\,
	combout => \led_flash_cnt[1504][3]~47940_combout\,
	cout => \led_flash_cnt[1504][3]~47941\);

-- Location: FF_X38_Y1_N7
\led_flash_cnt[1504][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1504][3]~47940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1504][3]~q\);

-- Location: LCCOMB_X38_Y1_N8
\led_flash_cnt[1504][4]~47942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1504][4]~47942_combout\ = (\led_flash_cnt[1504][4]~q\ & (!\led_flash_cnt[1504][3]~47941\)) # (!\led_flash_cnt[1504][4]~q\ & ((\led_flash_cnt[1504][3]~47941\) # (GND)))
-- \led_flash_cnt[1504][4]~47943\ = CARRY((!\led_flash_cnt[1504][3]~47941\) # (!\led_flash_cnt[1504][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1504][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1504][3]~47941\,
	combout => \led_flash_cnt[1504][4]~47942_combout\,
	cout => \led_flash_cnt[1504][4]~47943\);

-- Location: FF_X38_Y1_N9
\led_flash_cnt[1504][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1504][4]~47942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1504][4]~q\);

-- Location: LCCOMB_X38_Y1_N10
\led_flash_cnt[1504][5]~47944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1504][5]~47944_combout\ = (\led_flash_cnt[1504][5]~q\ & (\led_flash_cnt[1504][4]~47943\ $ (GND))) # (!\led_flash_cnt[1504][5]~q\ & (!\led_flash_cnt[1504][4]~47943\ & VCC))
-- \led_flash_cnt[1504][5]~47945\ = CARRY((\led_flash_cnt[1504][5]~q\ & !\led_flash_cnt[1504][4]~47943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1504][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1504][4]~47943\,
	combout => \led_flash_cnt[1504][5]~47944_combout\,
	cout => \led_flash_cnt[1504][5]~47945\);

-- Location: FF_X38_Y1_N11
\led_flash_cnt[1504][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1504][5]~47944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1504][5]~q\);

-- Location: LCCOMB_X38_Y1_N12
\led_flash_cnt[1504][6]~47946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1504][6]~47946_combout\ = (\led_flash_cnt[1504][6]~q\ & (!\led_flash_cnt[1504][5]~47945\)) # (!\led_flash_cnt[1504][6]~q\ & ((\led_flash_cnt[1504][5]~47945\) # (GND)))
-- \led_flash_cnt[1504][6]~47947\ = CARRY((!\led_flash_cnt[1504][5]~47945\) # (!\led_flash_cnt[1504][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1504][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1504][5]~47945\,
	combout => \led_flash_cnt[1504][6]~47946_combout\,
	cout => \led_flash_cnt[1504][6]~47947\);

-- Location: FF_X38_Y1_N13
\led_flash_cnt[1504][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1504][6]~47946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1504][6]~q\);

-- Location: LCCOMB_X38_Y1_N14
\led_flash_cnt[1504][7]~47948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1504][7]~47948_combout\ = \led_flash_cnt[1504][7]~q\ $ (!\led_flash_cnt[1504][6]~47947\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1504][7]~q\,
	cin => \led_flash_cnt[1504][6]~47947\,
	combout => \led_flash_cnt[1504][7]~47948_combout\);

-- Location: FF_X38_Y1_N15
\led_flash_cnt[1504][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1504][7]~47948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1504][7]~q\);

-- Location: LCCOMB_X38_Y1_N30
\WideAnd1504~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1504~0_combout\ = (\led_flash_cnt[1504][3]~q\ & (\led_flash_cnt[1504][2]~q\ & (\led_flash_cnt[1504][4]~q\ & \led_flash_cnt[1504][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1504][3]~q\,
	datab => \led_flash_cnt[1504][2]~q\,
	datac => \led_flash_cnt[1504][4]~q\,
	datad => \led_flash_cnt[1504][1]~q\,
	combout => \WideAnd1504~0_combout\);

-- Location: LCCOMB_X39_Y1_N8
\WideAnd1504~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1504~1_combout\ = (\led_flash_cnt[1504][6]~q\ & \led_flash_cnt[1504][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1504][6]~q\,
	datad => \led_flash_cnt[1504][5]~q\,
	combout => \WideAnd1504~1_combout\);

-- Location: LCCOMB_X39_Y1_N10
WideAnd1504 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1504~combout\ = (\led_flash_cnt[1504][7]~q\ & (\WideAnd1504~0_combout\ & (\WideAnd1504~1_combout\ & \led_flash_cnt[1504][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1504][7]~q\,
	datab => \WideAnd1504~0_combout\,
	datac => \WideAnd1504~1_combout\,
	datad => \led_flash_cnt[1504][0]~q\,
	combout => \WideAnd1504~combout\);

-- Location: FF_X39_Y1_N11
\led_flash_cnt_ands[1504]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1504~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1504));

-- Location: LCCOMB_X49_Y7_N30
\led_flash_cnt[1507][0]~82147\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1507][0]~82147_combout\ = !\led_flash_cnt[1507][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1507][0]~q\,
	combout => \led_flash_cnt[1507][0]~82147_combout\);

-- Location: FF_X49_Y7_N31
\led_flash_cnt[1507][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1507][0]~82147_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1507][0]~q\);

-- Location: LCCOMB_X49_Y6_N16
\led_flash_cnt[1507][1]~47978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1507][1]~47978_combout\ = (\led_flash_cnt[1507][0]~q\ & (\led_flash_cnt[1507][1]~q\ $ (VCC))) # (!\led_flash_cnt[1507][0]~q\ & (\led_flash_cnt[1507][1]~q\ & VCC))
-- \led_flash_cnt[1507][1]~47979\ = CARRY((\led_flash_cnt[1507][0]~q\ & \led_flash_cnt[1507][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1507][0]~q\,
	datab => \led_flash_cnt[1507][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1507][1]~47978_combout\,
	cout => \led_flash_cnt[1507][1]~47979\);

-- Location: FF_X49_Y6_N17
\led_flash_cnt[1507][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1507][1]~47978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1507][1]~q\);

-- Location: LCCOMB_X49_Y6_N18
\led_flash_cnt[1507][2]~47980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1507][2]~47980_combout\ = (\led_flash_cnt[1507][2]~q\ & (!\led_flash_cnt[1507][1]~47979\)) # (!\led_flash_cnt[1507][2]~q\ & ((\led_flash_cnt[1507][1]~47979\) # (GND)))
-- \led_flash_cnt[1507][2]~47981\ = CARRY((!\led_flash_cnt[1507][1]~47979\) # (!\led_flash_cnt[1507][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1507][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1507][1]~47979\,
	combout => \led_flash_cnt[1507][2]~47980_combout\,
	cout => \led_flash_cnt[1507][2]~47981\);

-- Location: FF_X49_Y6_N19
\led_flash_cnt[1507][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1507][2]~47980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1507][2]~q\);

-- Location: LCCOMB_X49_Y6_N20
\led_flash_cnt[1507][3]~47982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1507][3]~47982_combout\ = (\led_flash_cnt[1507][3]~q\ & (\led_flash_cnt[1507][2]~47981\ $ (GND))) # (!\led_flash_cnt[1507][3]~q\ & (!\led_flash_cnt[1507][2]~47981\ & VCC))
-- \led_flash_cnt[1507][3]~47983\ = CARRY((\led_flash_cnt[1507][3]~q\ & !\led_flash_cnt[1507][2]~47981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1507][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1507][2]~47981\,
	combout => \led_flash_cnt[1507][3]~47982_combout\,
	cout => \led_flash_cnt[1507][3]~47983\);

-- Location: FF_X49_Y6_N21
\led_flash_cnt[1507][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1507][3]~47982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1507][3]~q\);

-- Location: LCCOMB_X49_Y6_N22
\led_flash_cnt[1507][4]~47984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1507][4]~47984_combout\ = (\led_flash_cnt[1507][4]~q\ & (!\led_flash_cnt[1507][3]~47983\)) # (!\led_flash_cnt[1507][4]~q\ & ((\led_flash_cnt[1507][3]~47983\) # (GND)))
-- \led_flash_cnt[1507][4]~47985\ = CARRY((!\led_flash_cnt[1507][3]~47983\) # (!\led_flash_cnt[1507][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1507][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1507][3]~47983\,
	combout => \led_flash_cnt[1507][4]~47984_combout\,
	cout => \led_flash_cnt[1507][4]~47985\);

-- Location: FF_X49_Y6_N23
\led_flash_cnt[1507][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1507][4]~47984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1507][4]~q\);

-- Location: LCCOMB_X49_Y6_N24
\led_flash_cnt[1507][5]~47986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1507][5]~47986_combout\ = (\led_flash_cnt[1507][5]~q\ & (\led_flash_cnt[1507][4]~47985\ $ (GND))) # (!\led_flash_cnt[1507][5]~q\ & (!\led_flash_cnt[1507][4]~47985\ & VCC))
-- \led_flash_cnt[1507][5]~47987\ = CARRY((\led_flash_cnt[1507][5]~q\ & !\led_flash_cnt[1507][4]~47985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1507][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1507][4]~47985\,
	combout => \led_flash_cnt[1507][5]~47986_combout\,
	cout => \led_flash_cnt[1507][5]~47987\);

-- Location: FF_X49_Y6_N25
\led_flash_cnt[1507][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1507][5]~47986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1507][5]~q\);

-- Location: LCCOMB_X49_Y6_N26
\led_flash_cnt[1507][6]~47988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1507][6]~47988_combout\ = (\led_flash_cnt[1507][6]~q\ & (!\led_flash_cnt[1507][5]~47987\)) # (!\led_flash_cnt[1507][6]~q\ & ((\led_flash_cnt[1507][5]~47987\) # (GND)))
-- \led_flash_cnt[1507][6]~47989\ = CARRY((!\led_flash_cnt[1507][5]~47987\) # (!\led_flash_cnt[1507][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1507][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1507][5]~47987\,
	combout => \led_flash_cnt[1507][6]~47988_combout\,
	cout => \led_flash_cnt[1507][6]~47989\);

-- Location: FF_X49_Y6_N27
\led_flash_cnt[1507][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1507][6]~47988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1507][6]~q\);

-- Location: LCCOMB_X49_Y6_N28
\led_flash_cnt[1507][7]~47990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1507][7]~47990_combout\ = \led_flash_cnt[1507][6]~47989\ $ (!\led_flash_cnt[1507][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1507][7]~q\,
	cin => \led_flash_cnt[1507][6]~47989\,
	combout => \led_flash_cnt[1507][7]~47990_combout\);

-- Location: FF_X49_Y6_N29
\led_flash_cnt[1507][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1507][7]~47990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1507][7]~q\);

-- Location: LCCOMB_X49_Y7_N4
\WideAnd1507~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1507~1_combout\ = (\led_flash_cnt[1507][5]~q\ & \led_flash_cnt[1507][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1507][5]~q\,
	datad => \led_flash_cnt[1507][6]~q\,
	combout => \WideAnd1507~1_combout\);

-- Location: LCCOMB_X49_Y6_N14
\WideAnd1507~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1507~0_combout\ = (\led_flash_cnt[1507][2]~q\ & (\led_flash_cnt[1507][3]~q\ & (\led_flash_cnt[1507][4]~q\ & \led_flash_cnt[1507][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1507][2]~q\,
	datab => \led_flash_cnt[1507][3]~q\,
	datac => \led_flash_cnt[1507][4]~q\,
	datad => \led_flash_cnt[1507][1]~q\,
	combout => \WideAnd1507~0_combout\);

-- Location: LCCOMB_X49_Y7_N28
WideAnd1507 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1507~combout\ = (\led_flash_cnt[1507][7]~q\ & (\WideAnd1507~1_combout\ & (\led_flash_cnt[1507][0]~q\ & \WideAnd1507~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1507][7]~q\,
	datab => \WideAnd1507~1_combout\,
	datac => \led_flash_cnt[1507][0]~q\,
	datad => \WideAnd1507~0_combout\,
	combout => \WideAnd1507~combout\);

-- Location: FF_X49_Y7_N29
\led_flash_cnt_ands[1507]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1507~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1507));

-- Location: LCCOMB_X44_Y1_N2
\led_flash_cnt[1506][0]~82146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1506][0]~82146_combout\ = !\led_flash_cnt[1506][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1506][0]~q\,
	combout => \led_flash_cnt[1506][0]~82146_combout\);

-- Location: FF_X44_Y1_N3
\led_flash_cnt[1506][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1506][0]~82146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1506][0]~q\);

-- Location: LCCOMB_X46_Y1_N16
\led_flash_cnt[1506][1]~47964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1506][1]~47964_combout\ = (\led_flash_cnt[1506][0]~q\ & (\led_flash_cnt[1506][1]~q\ $ (VCC))) # (!\led_flash_cnt[1506][0]~q\ & (\led_flash_cnt[1506][1]~q\ & VCC))
-- \led_flash_cnt[1506][1]~47965\ = CARRY((\led_flash_cnt[1506][0]~q\ & \led_flash_cnt[1506][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1506][0]~q\,
	datab => \led_flash_cnt[1506][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1506][1]~47964_combout\,
	cout => \led_flash_cnt[1506][1]~47965\);

-- Location: FF_X46_Y1_N17
\led_flash_cnt[1506][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1506][1]~47964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1506][1]~q\);

-- Location: LCCOMB_X46_Y1_N18
\led_flash_cnt[1506][2]~47966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1506][2]~47966_combout\ = (\led_flash_cnt[1506][2]~q\ & (!\led_flash_cnt[1506][1]~47965\)) # (!\led_flash_cnt[1506][2]~q\ & ((\led_flash_cnt[1506][1]~47965\) # (GND)))
-- \led_flash_cnt[1506][2]~47967\ = CARRY((!\led_flash_cnt[1506][1]~47965\) # (!\led_flash_cnt[1506][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1506][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1506][1]~47965\,
	combout => \led_flash_cnt[1506][2]~47966_combout\,
	cout => \led_flash_cnt[1506][2]~47967\);

-- Location: FF_X46_Y1_N19
\led_flash_cnt[1506][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1506][2]~47966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1506][2]~q\);

-- Location: LCCOMB_X46_Y1_N20
\led_flash_cnt[1506][3]~47968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1506][3]~47968_combout\ = (\led_flash_cnt[1506][3]~q\ & (\led_flash_cnt[1506][2]~47967\ $ (GND))) # (!\led_flash_cnt[1506][3]~q\ & (!\led_flash_cnt[1506][2]~47967\ & VCC))
-- \led_flash_cnt[1506][3]~47969\ = CARRY((\led_flash_cnt[1506][3]~q\ & !\led_flash_cnt[1506][2]~47967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1506][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1506][2]~47967\,
	combout => \led_flash_cnt[1506][3]~47968_combout\,
	cout => \led_flash_cnt[1506][3]~47969\);

-- Location: FF_X46_Y1_N21
\led_flash_cnt[1506][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1506][3]~47968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1506][3]~q\);

-- Location: LCCOMB_X46_Y1_N22
\led_flash_cnt[1506][4]~47970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1506][4]~47970_combout\ = (\led_flash_cnt[1506][4]~q\ & (!\led_flash_cnt[1506][3]~47969\)) # (!\led_flash_cnt[1506][4]~q\ & ((\led_flash_cnt[1506][3]~47969\) # (GND)))
-- \led_flash_cnt[1506][4]~47971\ = CARRY((!\led_flash_cnt[1506][3]~47969\) # (!\led_flash_cnt[1506][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1506][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1506][3]~47969\,
	combout => \led_flash_cnt[1506][4]~47970_combout\,
	cout => \led_flash_cnt[1506][4]~47971\);

-- Location: FF_X46_Y1_N23
\led_flash_cnt[1506][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1506][4]~47970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1506][4]~q\);

-- Location: LCCOMB_X46_Y1_N24
\led_flash_cnt[1506][5]~47972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1506][5]~47972_combout\ = (\led_flash_cnt[1506][5]~q\ & (\led_flash_cnt[1506][4]~47971\ $ (GND))) # (!\led_flash_cnt[1506][5]~q\ & (!\led_flash_cnt[1506][4]~47971\ & VCC))
-- \led_flash_cnt[1506][5]~47973\ = CARRY((\led_flash_cnt[1506][5]~q\ & !\led_flash_cnt[1506][4]~47971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1506][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1506][4]~47971\,
	combout => \led_flash_cnt[1506][5]~47972_combout\,
	cout => \led_flash_cnt[1506][5]~47973\);

-- Location: FF_X46_Y1_N25
\led_flash_cnt[1506][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1506][5]~47972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1506][5]~q\);

-- Location: LCCOMB_X46_Y1_N26
\led_flash_cnt[1506][6]~47974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1506][6]~47974_combout\ = (\led_flash_cnt[1506][6]~q\ & (!\led_flash_cnt[1506][5]~47973\)) # (!\led_flash_cnt[1506][6]~q\ & ((\led_flash_cnt[1506][5]~47973\) # (GND)))
-- \led_flash_cnt[1506][6]~47975\ = CARRY((!\led_flash_cnt[1506][5]~47973\) # (!\led_flash_cnt[1506][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1506][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1506][5]~47973\,
	combout => \led_flash_cnt[1506][6]~47974_combout\,
	cout => \led_flash_cnt[1506][6]~47975\);

-- Location: FF_X46_Y1_N27
\led_flash_cnt[1506][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1506][6]~47974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1506][6]~q\);

-- Location: LCCOMB_X46_Y1_N28
\led_flash_cnt[1506][7]~47976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1506][7]~47976_combout\ = \led_flash_cnt[1506][6]~47975\ $ (!\led_flash_cnt[1506][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1506][7]~q\,
	cin => \led_flash_cnt[1506][6]~47975\,
	combout => \led_flash_cnt[1506][7]~47976_combout\);

-- Location: FF_X46_Y1_N29
\led_flash_cnt[1506][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1506][7]~47976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1506][7]~q\);

-- Location: LCCOMB_X45_Y1_N8
\WideAnd1506~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1506~1_combout\ = (\led_flash_cnt[1506][6]~q\ & \led_flash_cnt[1506][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1506][6]~q\,
	datad => \led_flash_cnt[1506][5]~q\,
	combout => \WideAnd1506~1_combout\);

-- Location: LCCOMB_X46_Y1_N30
\WideAnd1506~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1506~0_combout\ = (\led_flash_cnt[1506][2]~q\ & (\led_flash_cnt[1506][3]~q\ & (\led_flash_cnt[1506][4]~q\ & \led_flash_cnt[1506][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1506][2]~q\,
	datab => \led_flash_cnt[1506][3]~q\,
	datac => \led_flash_cnt[1506][4]~q\,
	datad => \led_flash_cnt[1506][1]~q\,
	combout => \WideAnd1506~0_combout\);

-- Location: LCCOMB_X44_Y1_N8
WideAnd1506 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1506~combout\ = (\led_flash_cnt[1506][7]~q\ & (\led_flash_cnt[1506][0]~q\ & (\WideAnd1506~1_combout\ & \WideAnd1506~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1506][7]~q\,
	datab => \led_flash_cnt[1506][0]~q\,
	datac => \WideAnd1506~1_combout\,
	datad => \WideAnd1506~0_combout\,
	combout => \WideAnd1506~combout\);

-- Location: FF_X44_Y1_N9
\led_flash_cnt_ands[1506]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1506~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1506));

-- Location: LCCOMB_X40_Y5_N30
\led_flash_cnt[1505][0]~82145\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1505][0]~82145_combout\ = !\led_flash_cnt[1505][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1505][0]~q\,
	combout => \led_flash_cnt[1505][0]~82145_combout\);

-- Location: FF_X40_Y5_N31
\led_flash_cnt[1505][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1505][0]~82145_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1505][0]~q\);

-- Location: LCCOMB_X40_Y5_N0
\led_flash_cnt[1505][1]~47950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1505][1]~47950_combout\ = (\led_flash_cnt[1505][0]~q\ & (\led_flash_cnt[1505][1]~q\ $ (VCC))) # (!\led_flash_cnt[1505][0]~q\ & (\led_flash_cnt[1505][1]~q\ & VCC))
-- \led_flash_cnt[1505][1]~47951\ = CARRY((\led_flash_cnt[1505][0]~q\ & \led_flash_cnt[1505][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1505][0]~q\,
	datab => \led_flash_cnt[1505][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1505][1]~47950_combout\,
	cout => \led_flash_cnt[1505][1]~47951\);

-- Location: FF_X40_Y5_N1
\led_flash_cnt[1505][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1505][1]~47950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1505][1]~q\);

-- Location: LCCOMB_X40_Y5_N2
\led_flash_cnt[1505][2]~47952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1505][2]~47952_combout\ = (\led_flash_cnt[1505][2]~q\ & (!\led_flash_cnt[1505][1]~47951\)) # (!\led_flash_cnt[1505][2]~q\ & ((\led_flash_cnt[1505][1]~47951\) # (GND)))
-- \led_flash_cnt[1505][2]~47953\ = CARRY((!\led_flash_cnt[1505][1]~47951\) # (!\led_flash_cnt[1505][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1505][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1505][1]~47951\,
	combout => \led_flash_cnt[1505][2]~47952_combout\,
	cout => \led_flash_cnt[1505][2]~47953\);

-- Location: FF_X40_Y5_N3
\led_flash_cnt[1505][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1505][2]~47952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1505][2]~q\);

-- Location: LCCOMB_X40_Y5_N4
\led_flash_cnt[1505][3]~47954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1505][3]~47954_combout\ = (\led_flash_cnt[1505][3]~q\ & (\led_flash_cnt[1505][2]~47953\ $ (GND))) # (!\led_flash_cnt[1505][3]~q\ & (!\led_flash_cnt[1505][2]~47953\ & VCC))
-- \led_flash_cnt[1505][3]~47955\ = CARRY((\led_flash_cnt[1505][3]~q\ & !\led_flash_cnt[1505][2]~47953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1505][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1505][2]~47953\,
	combout => \led_flash_cnt[1505][3]~47954_combout\,
	cout => \led_flash_cnt[1505][3]~47955\);

-- Location: FF_X40_Y5_N5
\led_flash_cnt[1505][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1505][3]~47954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1505][3]~q\);

-- Location: LCCOMB_X40_Y5_N6
\led_flash_cnt[1505][4]~47956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1505][4]~47956_combout\ = (\led_flash_cnt[1505][4]~q\ & (!\led_flash_cnt[1505][3]~47955\)) # (!\led_flash_cnt[1505][4]~q\ & ((\led_flash_cnt[1505][3]~47955\) # (GND)))
-- \led_flash_cnt[1505][4]~47957\ = CARRY((!\led_flash_cnt[1505][3]~47955\) # (!\led_flash_cnt[1505][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1505][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1505][3]~47955\,
	combout => \led_flash_cnt[1505][4]~47956_combout\,
	cout => \led_flash_cnt[1505][4]~47957\);

-- Location: FF_X40_Y5_N7
\led_flash_cnt[1505][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1505][4]~47956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1505][4]~q\);

-- Location: LCCOMB_X40_Y5_N8
\led_flash_cnt[1505][5]~47958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1505][5]~47958_combout\ = (\led_flash_cnt[1505][5]~q\ & (\led_flash_cnt[1505][4]~47957\ $ (GND))) # (!\led_flash_cnt[1505][5]~q\ & (!\led_flash_cnt[1505][4]~47957\ & VCC))
-- \led_flash_cnt[1505][5]~47959\ = CARRY((\led_flash_cnt[1505][5]~q\ & !\led_flash_cnt[1505][4]~47957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1505][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1505][4]~47957\,
	combout => \led_flash_cnt[1505][5]~47958_combout\,
	cout => \led_flash_cnt[1505][5]~47959\);

-- Location: FF_X40_Y5_N9
\led_flash_cnt[1505][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1505][5]~47958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1505][5]~q\);

-- Location: LCCOMB_X40_Y5_N10
\led_flash_cnt[1505][6]~47960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1505][6]~47960_combout\ = (\led_flash_cnt[1505][6]~q\ & (!\led_flash_cnt[1505][5]~47959\)) # (!\led_flash_cnt[1505][6]~q\ & ((\led_flash_cnt[1505][5]~47959\) # (GND)))
-- \led_flash_cnt[1505][6]~47961\ = CARRY((!\led_flash_cnt[1505][5]~47959\) # (!\led_flash_cnt[1505][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1505][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1505][5]~47959\,
	combout => \led_flash_cnt[1505][6]~47960_combout\,
	cout => \led_flash_cnt[1505][6]~47961\);

-- Location: FF_X40_Y5_N11
\led_flash_cnt[1505][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1505][6]~47960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1505][6]~q\);

-- Location: LCCOMB_X40_Y5_N26
\WideAnd1505~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1505~1_combout\ = (\led_flash_cnt[1505][5]~q\ & \led_flash_cnt[1505][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1505][5]~q\,
	datad => \led_flash_cnt[1505][6]~q\,
	combout => \WideAnd1505~1_combout\);

-- Location: LCCOMB_X40_Y5_N24
\WideAnd1505~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1505~0_combout\ = (\led_flash_cnt[1505][4]~q\ & (\led_flash_cnt[1505][1]~q\ & (\led_flash_cnt[1505][3]~q\ & \led_flash_cnt[1505][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1505][4]~q\,
	datab => \led_flash_cnt[1505][1]~q\,
	datac => \led_flash_cnt[1505][3]~q\,
	datad => \led_flash_cnt[1505][2]~q\,
	combout => \WideAnd1505~0_combout\);

-- Location: LCCOMB_X40_Y5_N12
\led_flash_cnt[1505][7]~47962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1505][7]~47962_combout\ = \led_flash_cnt[1505][6]~47961\ $ (!\led_flash_cnt[1505][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1505][7]~q\,
	cin => \led_flash_cnt[1505][6]~47961\,
	combout => \led_flash_cnt[1505][7]~47962_combout\);

-- Location: FF_X40_Y5_N13
\led_flash_cnt[1505][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1505][7]~47962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1505][7]~q\);

-- Location: LCCOMB_X40_Y5_N16
WideAnd1505 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1505~combout\ = (\WideAnd1505~1_combout\ & (\WideAnd1505~0_combout\ & (\led_flash_cnt[1505][0]~q\ & \led_flash_cnt[1505][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1505~1_combout\,
	datab => \WideAnd1505~0_combout\,
	datac => \led_flash_cnt[1505][0]~q\,
	datad => \led_flash_cnt[1505][7]~q\,
	combout => \WideAnd1505~combout\);

-- Location: FF_X40_Y5_N17
\led_flash_cnt_ands[1505]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1505~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1505));

-- Location: LCCOMB_X40_Y5_N18
\WideAnd4028~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4028~0_combout\ = (led_flash_cnt_ands(1504) & (led_flash_cnt_ands(1507) & (led_flash_cnt_ands(1506) & led_flash_cnt_ands(1505))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1504),
	datab => led_flash_cnt_ands(1507),
	datac => led_flash_cnt_ands(1506),
	datad => led_flash_cnt_ands(1505),
	combout => \WideAnd4028~0_combout\);

-- Location: LCCOMB_X40_Y5_N14
WideAnd4028 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4028~combout\ = (\WideAnd4028~1_combout\ & (led_flash_cnt_ands(1511) & (led_flash_cnt_ands(1510) & \WideAnd4028~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4028~1_combout\,
	datab => led_flash_cnt_ands(1511),
	datac => led_flash_cnt_ands(1510),
	datad => \WideAnd4028~0_combout\,
	combout => \WideAnd4028~combout\);

-- Location: FF_X40_Y5_N15
\led_flash_cnt_ands_1[188]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4028~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(188));

-- Location: LCCOMB_X45_Y7_N28
\led_flash_cnt[1512][0]~82152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1512][0]~82152_combout\ = !\led_flash_cnt[1512][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1512][0]~q\,
	combout => \led_flash_cnt[1512][0]~82152_combout\);

-- Location: FF_X45_Y7_N29
\led_flash_cnt[1512][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1512][0]~82152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1512][0]~q\);

-- Location: LCCOMB_X46_Y7_N18
\led_flash_cnt[1512][1]~48048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1512][1]~48048_combout\ = (\led_flash_cnt[1512][0]~q\ & (\led_flash_cnt[1512][1]~q\ $ (VCC))) # (!\led_flash_cnt[1512][0]~q\ & (\led_flash_cnt[1512][1]~q\ & VCC))
-- \led_flash_cnt[1512][1]~48049\ = CARRY((\led_flash_cnt[1512][0]~q\ & \led_flash_cnt[1512][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1512][0]~q\,
	datab => \led_flash_cnt[1512][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1512][1]~48048_combout\,
	cout => \led_flash_cnt[1512][1]~48049\);

-- Location: FF_X46_Y7_N19
\led_flash_cnt[1512][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1512][1]~48048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1512][1]~q\);

-- Location: LCCOMB_X46_Y7_N20
\led_flash_cnt[1512][2]~48050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1512][2]~48050_combout\ = (\led_flash_cnt[1512][2]~q\ & (!\led_flash_cnt[1512][1]~48049\)) # (!\led_flash_cnt[1512][2]~q\ & ((\led_flash_cnt[1512][1]~48049\) # (GND)))
-- \led_flash_cnt[1512][2]~48051\ = CARRY((!\led_flash_cnt[1512][1]~48049\) # (!\led_flash_cnt[1512][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1512][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1512][1]~48049\,
	combout => \led_flash_cnt[1512][2]~48050_combout\,
	cout => \led_flash_cnt[1512][2]~48051\);

-- Location: FF_X46_Y7_N21
\led_flash_cnt[1512][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1512][2]~48050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1512][2]~q\);

-- Location: LCCOMB_X46_Y7_N22
\led_flash_cnt[1512][3]~48052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1512][3]~48052_combout\ = (\led_flash_cnt[1512][3]~q\ & (\led_flash_cnt[1512][2]~48051\ $ (GND))) # (!\led_flash_cnt[1512][3]~q\ & (!\led_flash_cnt[1512][2]~48051\ & VCC))
-- \led_flash_cnt[1512][3]~48053\ = CARRY((\led_flash_cnt[1512][3]~q\ & !\led_flash_cnt[1512][2]~48051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1512][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1512][2]~48051\,
	combout => \led_flash_cnt[1512][3]~48052_combout\,
	cout => \led_flash_cnt[1512][3]~48053\);

-- Location: FF_X46_Y7_N23
\led_flash_cnt[1512][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1512][3]~48052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1512][3]~q\);

-- Location: LCCOMB_X46_Y7_N24
\led_flash_cnt[1512][4]~48054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1512][4]~48054_combout\ = (\led_flash_cnt[1512][4]~q\ & (!\led_flash_cnt[1512][3]~48053\)) # (!\led_flash_cnt[1512][4]~q\ & ((\led_flash_cnt[1512][3]~48053\) # (GND)))
-- \led_flash_cnt[1512][4]~48055\ = CARRY((!\led_flash_cnt[1512][3]~48053\) # (!\led_flash_cnt[1512][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1512][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1512][3]~48053\,
	combout => \led_flash_cnt[1512][4]~48054_combout\,
	cout => \led_flash_cnt[1512][4]~48055\);

-- Location: FF_X46_Y7_N25
\led_flash_cnt[1512][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1512][4]~48054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1512][4]~q\);

-- Location: LCCOMB_X46_Y7_N26
\led_flash_cnt[1512][5]~48056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1512][5]~48056_combout\ = (\led_flash_cnt[1512][5]~q\ & (\led_flash_cnt[1512][4]~48055\ $ (GND))) # (!\led_flash_cnt[1512][5]~q\ & (!\led_flash_cnt[1512][4]~48055\ & VCC))
-- \led_flash_cnt[1512][5]~48057\ = CARRY((\led_flash_cnt[1512][5]~q\ & !\led_flash_cnt[1512][4]~48055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1512][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1512][4]~48055\,
	combout => \led_flash_cnt[1512][5]~48056_combout\,
	cout => \led_flash_cnt[1512][5]~48057\);

-- Location: FF_X46_Y7_N27
\led_flash_cnt[1512][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1512][5]~48056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1512][5]~q\);

-- Location: LCCOMB_X46_Y7_N28
\led_flash_cnt[1512][6]~48058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1512][6]~48058_combout\ = (\led_flash_cnt[1512][6]~q\ & (!\led_flash_cnt[1512][5]~48057\)) # (!\led_flash_cnt[1512][6]~q\ & ((\led_flash_cnt[1512][5]~48057\) # (GND)))
-- \led_flash_cnt[1512][6]~48059\ = CARRY((!\led_flash_cnt[1512][5]~48057\) # (!\led_flash_cnt[1512][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1512][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1512][5]~48057\,
	combout => \led_flash_cnt[1512][6]~48058_combout\,
	cout => \led_flash_cnt[1512][6]~48059\);

-- Location: FF_X46_Y7_N29
\led_flash_cnt[1512][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1512][6]~48058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1512][6]~q\);

-- Location: LCCOMB_X45_Y7_N26
\WideAnd1512~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1512~1_combout\ = (\led_flash_cnt[1512][6]~q\ & \led_flash_cnt[1512][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1512][6]~q\,
	datad => \led_flash_cnt[1512][5]~q\,
	combout => \WideAnd1512~1_combout\);

-- Location: LCCOMB_X46_Y7_N30
\led_flash_cnt[1512][7]~48060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1512][7]~48060_combout\ = \led_flash_cnt[1512][7]~q\ $ (!\led_flash_cnt[1512][6]~48059\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1512][7]~q\,
	cin => \led_flash_cnt[1512][6]~48059\,
	combout => \led_flash_cnt[1512][7]~48060_combout\);

-- Location: FF_X46_Y7_N31
\led_flash_cnt[1512][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1512][7]~48060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1512][7]~q\);

-- Location: LCCOMB_X46_Y7_N16
\WideAnd1512~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1512~0_combout\ = (\led_flash_cnt[1512][4]~q\ & (\led_flash_cnt[1512][1]~q\ & (\led_flash_cnt[1512][3]~q\ & \led_flash_cnt[1512][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1512][4]~q\,
	datab => \led_flash_cnt[1512][1]~q\,
	datac => \led_flash_cnt[1512][3]~q\,
	datad => \led_flash_cnt[1512][2]~q\,
	combout => \WideAnd1512~0_combout\);

-- Location: LCCOMB_X45_Y7_N30
WideAnd1512 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1512~combout\ = (\WideAnd1512~1_combout\ & (\led_flash_cnt[1512][0]~q\ & (\led_flash_cnt[1512][7]~q\ & \WideAnd1512~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1512~1_combout\,
	datab => \led_flash_cnt[1512][0]~q\,
	datac => \led_flash_cnt[1512][7]~q\,
	datad => \WideAnd1512~0_combout\,
	combout => \WideAnd1512~combout\);

-- Location: FF_X45_Y7_N31
\led_flash_cnt_ands[1512]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1512~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1512));

-- Location: LCCOMB_X36_Y5_N6
\led_flash_cnt[1515][0]~82155\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1515][0]~82155_combout\ = !\led_flash_cnt[1515][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1515][0]~q\,
	combout => \led_flash_cnt[1515][0]~82155_combout\);

-- Location: FF_X36_Y5_N7
\led_flash_cnt[1515][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1515][0]~82155_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1515][0]~q\);

-- Location: LCCOMB_X37_Y5_N0
\led_flash_cnt[1515][1]~48090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1515][1]~48090_combout\ = (\led_flash_cnt[1515][0]~q\ & (\led_flash_cnt[1515][1]~q\ $ (VCC))) # (!\led_flash_cnt[1515][0]~q\ & (\led_flash_cnt[1515][1]~q\ & VCC))
-- \led_flash_cnt[1515][1]~48091\ = CARRY((\led_flash_cnt[1515][0]~q\ & \led_flash_cnt[1515][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1515][0]~q\,
	datab => \led_flash_cnt[1515][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1515][1]~48090_combout\,
	cout => \led_flash_cnt[1515][1]~48091\);

-- Location: FF_X37_Y5_N1
\led_flash_cnt[1515][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1515][1]~48090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1515][1]~q\);

-- Location: LCCOMB_X37_Y5_N2
\led_flash_cnt[1515][2]~48092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1515][2]~48092_combout\ = (\led_flash_cnt[1515][2]~q\ & (!\led_flash_cnt[1515][1]~48091\)) # (!\led_flash_cnt[1515][2]~q\ & ((\led_flash_cnt[1515][1]~48091\) # (GND)))
-- \led_flash_cnt[1515][2]~48093\ = CARRY((!\led_flash_cnt[1515][1]~48091\) # (!\led_flash_cnt[1515][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1515][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1515][1]~48091\,
	combout => \led_flash_cnt[1515][2]~48092_combout\,
	cout => \led_flash_cnt[1515][2]~48093\);

-- Location: FF_X37_Y5_N3
\led_flash_cnt[1515][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1515][2]~48092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1515][2]~q\);

-- Location: LCCOMB_X37_Y5_N4
\led_flash_cnt[1515][3]~48094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1515][3]~48094_combout\ = (\led_flash_cnt[1515][3]~q\ & (\led_flash_cnt[1515][2]~48093\ $ (GND))) # (!\led_flash_cnt[1515][3]~q\ & (!\led_flash_cnt[1515][2]~48093\ & VCC))
-- \led_flash_cnt[1515][3]~48095\ = CARRY((\led_flash_cnt[1515][3]~q\ & !\led_flash_cnt[1515][2]~48093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1515][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1515][2]~48093\,
	combout => \led_flash_cnt[1515][3]~48094_combout\,
	cout => \led_flash_cnt[1515][3]~48095\);

-- Location: FF_X37_Y5_N5
\led_flash_cnt[1515][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1515][3]~48094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1515][3]~q\);

-- Location: LCCOMB_X37_Y5_N6
\led_flash_cnt[1515][4]~48096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1515][4]~48096_combout\ = (\led_flash_cnt[1515][4]~q\ & (!\led_flash_cnt[1515][3]~48095\)) # (!\led_flash_cnt[1515][4]~q\ & ((\led_flash_cnt[1515][3]~48095\) # (GND)))
-- \led_flash_cnt[1515][4]~48097\ = CARRY((!\led_flash_cnt[1515][3]~48095\) # (!\led_flash_cnt[1515][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1515][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1515][3]~48095\,
	combout => \led_flash_cnt[1515][4]~48096_combout\,
	cout => \led_flash_cnt[1515][4]~48097\);

-- Location: FF_X37_Y5_N7
\led_flash_cnt[1515][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1515][4]~48096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1515][4]~q\);

-- Location: LCCOMB_X37_Y5_N8
\led_flash_cnt[1515][5]~48098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1515][5]~48098_combout\ = (\led_flash_cnt[1515][5]~q\ & (\led_flash_cnt[1515][4]~48097\ $ (GND))) # (!\led_flash_cnt[1515][5]~q\ & (!\led_flash_cnt[1515][4]~48097\ & VCC))
-- \led_flash_cnt[1515][5]~48099\ = CARRY((\led_flash_cnt[1515][5]~q\ & !\led_flash_cnt[1515][4]~48097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1515][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1515][4]~48097\,
	combout => \led_flash_cnt[1515][5]~48098_combout\,
	cout => \led_flash_cnt[1515][5]~48099\);

-- Location: FF_X37_Y5_N9
\led_flash_cnt[1515][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1515][5]~48098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1515][5]~q\);

-- Location: LCCOMB_X37_Y5_N10
\led_flash_cnt[1515][6]~48100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1515][6]~48100_combout\ = (\led_flash_cnt[1515][6]~q\ & (!\led_flash_cnt[1515][5]~48099\)) # (!\led_flash_cnt[1515][6]~q\ & ((\led_flash_cnt[1515][5]~48099\) # (GND)))
-- \led_flash_cnt[1515][6]~48101\ = CARRY((!\led_flash_cnt[1515][5]~48099\) # (!\led_flash_cnt[1515][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1515][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1515][5]~48099\,
	combout => \led_flash_cnt[1515][6]~48100_combout\,
	cout => \led_flash_cnt[1515][6]~48101\);

-- Location: FF_X37_Y5_N11
\led_flash_cnt[1515][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1515][6]~48100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1515][6]~q\);

-- Location: LCCOMB_X37_Y5_N12
\led_flash_cnt[1515][7]~48102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1515][7]~48102_combout\ = \led_flash_cnt[1515][6]~48101\ $ (!\led_flash_cnt[1515][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1515][7]~q\,
	cin => \led_flash_cnt[1515][6]~48101\,
	combout => \led_flash_cnt[1515][7]~48102_combout\);

-- Location: FF_X37_Y5_N13
\led_flash_cnt[1515][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1515][7]~48102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1515][7]~q\);

-- Location: LCCOMB_X37_Y5_N30
\WideAnd1515~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1515~0_combout\ = (\led_flash_cnt[1515][4]~q\ & (\led_flash_cnt[1515][1]~q\ & (\led_flash_cnt[1515][3]~q\ & \led_flash_cnt[1515][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1515][4]~q\,
	datab => \led_flash_cnt[1515][1]~q\,
	datac => \led_flash_cnt[1515][3]~q\,
	datad => \led_flash_cnt[1515][2]~q\,
	combout => \WideAnd1515~0_combout\);

-- Location: LCCOMB_X36_Y5_N2
\WideAnd1515~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1515~1_combout\ = (\led_flash_cnt[1515][6]~q\ & \led_flash_cnt[1515][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1515][6]~q\,
	datac => \led_flash_cnt[1515][5]~q\,
	combout => \WideAnd1515~1_combout\);

-- Location: LCCOMB_X36_Y5_N28
WideAnd1515 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1515~combout\ = (\led_flash_cnt[1515][0]~q\ & (\led_flash_cnt[1515][7]~q\ & (\WideAnd1515~0_combout\ & \WideAnd1515~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1515][0]~q\,
	datab => \led_flash_cnt[1515][7]~q\,
	datac => \WideAnd1515~0_combout\,
	datad => \WideAnd1515~1_combout\,
	combout => \WideAnd1515~combout\);

-- Location: FF_X36_Y5_N29
\led_flash_cnt_ands[1515]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1515~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1515));

-- Location: LCCOMB_X40_Y7_N20
\led_flash_cnt[1514][0]~82154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1514][0]~82154_combout\ = !\led_flash_cnt[1514][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1514][0]~q\,
	combout => \led_flash_cnt[1514][0]~82154_combout\);

-- Location: FF_X40_Y7_N21
\led_flash_cnt[1514][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1514][0]~82154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1514][0]~q\);

-- Location: LCCOMB_X45_Y3_N4
\led_flash_cnt[1514][1]~48076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1514][1]~48076_combout\ = (\led_flash_cnt[1514][0]~q\ & (\led_flash_cnt[1514][1]~q\ $ (VCC))) # (!\led_flash_cnt[1514][0]~q\ & (\led_flash_cnt[1514][1]~q\ & VCC))
-- \led_flash_cnt[1514][1]~48077\ = CARRY((\led_flash_cnt[1514][0]~q\ & \led_flash_cnt[1514][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1514][0]~q\,
	datab => \led_flash_cnt[1514][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1514][1]~48076_combout\,
	cout => \led_flash_cnt[1514][1]~48077\);

-- Location: FF_X45_Y3_N5
\led_flash_cnt[1514][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1514][1]~48076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1514][1]~q\);

-- Location: LCCOMB_X45_Y3_N6
\led_flash_cnt[1514][2]~48078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1514][2]~48078_combout\ = (\led_flash_cnt[1514][2]~q\ & (!\led_flash_cnt[1514][1]~48077\)) # (!\led_flash_cnt[1514][2]~q\ & ((\led_flash_cnt[1514][1]~48077\) # (GND)))
-- \led_flash_cnt[1514][2]~48079\ = CARRY((!\led_flash_cnt[1514][1]~48077\) # (!\led_flash_cnt[1514][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1514][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1514][1]~48077\,
	combout => \led_flash_cnt[1514][2]~48078_combout\,
	cout => \led_flash_cnt[1514][2]~48079\);

-- Location: FF_X45_Y3_N7
\led_flash_cnt[1514][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1514][2]~48078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1514][2]~q\);

-- Location: LCCOMB_X45_Y3_N8
\led_flash_cnt[1514][3]~48080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1514][3]~48080_combout\ = (\led_flash_cnt[1514][3]~q\ & (\led_flash_cnt[1514][2]~48079\ $ (GND))) # (!\led_flash_cnt[1514][3]~q\ & (!\led_flash_cnt[1514][2]~48079\ & VCC))
-- \led_flash_cnt[1514][3]~48081\ = CARRY((\led_flash_cnt[1514][3]~q\ & !\led_flash_cnt[1514][2]~48079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1514][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1514][2]~48079\,
	combout => \led_flash_cnt[1514][3]~48080_combout\,
	cout => \led_flash_cnt[1514][3]~48081\);

-- Location: FF_X45_Y3_N9
\led_flash_cnt[1514][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1514][3]~48080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1514][3]~q\);

-- Location: LCCOMB_X45_Y3_N10
\led_flash_cnt[1514][4]~48082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1514][4]~48082_combout\ = (\led_flash_cnt[1514][4]~q\ & (!\led_flash_cnt[1514][3]~48081\)) # (!\led_flash_cnt[1514][4]~q\ & ((\led_flash_cnt[1514][3]~48081\) # (GND)))
-- \led_flash_cnt[1514][4]~48083\ = CARRY((!\led_flash_cnt[1514][3]~48081\) # (!\led_flash_cnt[1514][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1514][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1514][3]~48081\,
	combout => \led_flash_cnt[1514][4]~48082_combout\,
	cout => \led_flash_cnt[1514][4]~48083\);

-- Location: FF_X45_Y3_N11
\led_flash_cnt[1514][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1514][4]~48082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1514][4]~q\);

-- Location: LCCOMB_X45_Y3_N12
\led_flash_cnt[1514][5]~48084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1514][5]~48084_combout\ = (\led_flash_cnt[1514][5]~q\ & (\led_flash_cnt[1514][4]~48083\ $ (GND))) # (!\led_flash_cnt[1514][5]~q\ & (!\led_flash_cnt[1514][4]~48083\ & VCC))
-- \led_flash_cnt[1514][5]~48085\ = CARRY((\led_flash_cnt[1514][5]~q\ & !\led_flash_cnt[1514][4]~48083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1514][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1514][4]~48083\,
	combout => \led_flash_cnt[1514][5]~48084_combout\,
	cout => \led_flash_cnt[1514][5]~48085\);

-- Location: FF_X45_Y3_N13
\led_flash_cnt[1514][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1514][5]~48084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1514][5]~q\);

-- Location: LCCOMB_X45_Y3_N14
\led_flash_cnt[1514][6]~48086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1514][6]~48086_combout\ = (\led_flash_cnt[1514][6]~q\ & (!\led_flash_cnt[1514][5]~48085\)) # (!\led_flash_cnt[1514][6]~q\ & ((\led_flash_cnt[1514][5]~48085\) # (GND)))
-- \led_flash_cnt[1514][6]~48087\ = CARRY((!\led_flash_cnt[1514][5]~48085\) # (!\led_flash_cnt[1514][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1514][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1514][5]~48085\,
	combout => \led_flash_cnt[1514][6]~48086_combout\,
	cout => \led_flash_cnt[1514][6]~48087\);

-- Location: FF_X45_Y3_N15
\led_flash_cnt[1514][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1514][6]~48086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1514][6]~q\);

-- Location: LCCOMB_X44_Y3_N12
\WideAnd1514~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1514~1_combout\ = (\led_flash_cnt[1514][5]~q\ & \led_flash_cnt[1514][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1514][5]~q\,
	datac => \led_flash_cnt[1514][6]~q\,
	combout => \WideAnd1514~1_combout\);

-- Location: LCCOMB_X45_Y3_N0
\WideAnd1514~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1514~0_combout\ = (\led_flash_cnt[1514][4]~q\ & (\led_flash_cnt[1514][3]~q\ & (\led_flash_cnt[1514][1]~q\ & \led_flash_cnt[1514][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1514][4]~q\,
	datab => \led_flash_cnt[1514][3]~q\,
	datac => \led_flash_cnt[1514][1]~q\,
	datad => \led_flash_cnt[1514][2]~q\,
	combout => \WideAnd1514~0_combout\);

-- Location: LCCOMB_X45_Y3_N16
\led_flash_cnt[1514][7]~48088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1514][7]~48088_combout\ = \led_flash_cnt[1514][6]~48087\ $ (!\led_flash_cnt[1514][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1514][7]~q\,
	cin => \led_flash_cnt[1514][6]~48087\,
	combout => \led_flash_cnt[1514][7]~48088_combout\);

-- Location: FF_X45_Y3_N17
\led_flash_cnt[1514][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1514][7]~48088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1514][7]~q\);

-- Location: LCCOMB_X44_Y3_N0
WideAnd1514 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1514~combout\ = (\WideAnd1514~1_combout\ & (\WideAnd1514~0_combout\ & (\led_flash_cnt[1514][0]~q\ & \led_flash_cnt[1514][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1514~1_combout\,
	datab => \WideAnd1514~0_combout\,
	datac => \led_flash_cnt[1514][0]~q\,
	datad => \led_flash_cnt[1514][7]~q\,
	combout => \WideAnd1514~combout\);

-- Location: FF_X44_Y3_N1
\led_flash_cnt_ands[1514]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1514~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1514));

-- Location: LCCOMB_X38_Y2_N6
\led_flash_cnt[1513][0]~82153\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1513][0]~82153_combout\ = !\led_flash_cnt[1513][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1513][0]~q\,
	combout => \led_flash_cnt[1513][0]~82153_combout\);

-- Location: FF_X38_Y2_N7
\led_flash_cnt[1513][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1513][0]~82153_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1513][0]~q\);

-- Location: LCCOMB_X37_Y2_N0
\led_flash_cnt[1513][1]~48062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1513][1]~48062_combout\ = (\led_flash_cnt[1513][0]~q\ & (\led_flash_cnt[1513][1]~q\ $ (VCC))) # (!\led_flash_cnt[1513][0]~q\ & (\led_flash_cnt[1513][1]~q\ & VCC))
-- \led_flash_cnt[1513][1]~48063\ = CARRY((\led_flash_cnt[1513][0]~q\ & \led_flash_cnt[1513][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1513][0]~q\,
	datab => \led_flash_cnt[1513][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1513][1]~48062_combout\,
	cout => \led_flash_cnt[1513][1]~48063\);

-- Location: FF_X37_Y2_N1
\led_flash_cnt[1513][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1513][1]~48062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1513][1]~q\);

-- Location: LCCOMB_X37_Y2_N2
\led_flash_cnt[1513][2]~48064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1513][2]~48064_combout\ = (\led_flash_cnt[1513][2]~q\ & (!\led_flash_cnt[1513][1]~48063\)) # (!\led_flash_cnt[1513][2]~q\ & ((\led_flash_cnt[1513][1]~48063\) # (GND)))
-- \led_flash_cnt[1513][2]~48065\ = CARRY((!\led_flash_cnt[1513][1]~48063\) # (!\led_flash_cnt[1513][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1513][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1513][1]~48063\,
	combout => \led_flash_cnt[1513][2]~48064_combout\,
	cout => \led_flash_cnt[1513][2]~48065\);

-- Location: FF_X37_Y2_N3
\led_flash_cnt[1513][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1513][2]~48064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1513][2]~q\);

-- Location: LCCOMB_X37_Y2_N4
\led_flash_cnt[1513][3]~48066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1513][3]~48066_combout\ = (\led_flash_cnt[1513][3]~q\ & (\led_flash_cnt[1513][2]~48065\ $ (GND))) # (!\led_flash_cnt[1513][3]~q\ & (!\led_flash_cnt[1513][2]~48065\ & VCC))
-- \led_flash_cnt[1513][3]~48067\ = CARRY((\led_flash_cnt[1513][3]~q\ & !\led_flash_cnt[1513][2]~48065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1513][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1513][2]~48065\,
	combout => \led_flash_cnt[1513][3]~48066_combout\,
	cout => \led_flash_cnt[1513][3]~48067\);

-- Location: FF_X37_Y2_N5
\led_flash_cnt[1513][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1513][3]~48066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1513][3]~q\);

-- Location: LCCOMB_X37_Y2_N6
\led_flash_cnt[1513][4]~48068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1513][4]~48068_combout\ = (\led_flash_cnt[1513][4]~q\ & (!\led_flash_cnt[1513][3]~48067\)) # (!\led_flash_cnt[1513][4]~q\ & ((\led_flash_cnt[1513][3]~48067\) # (GND)))
-- \led_flash_cnt[1513][4]~48069\ = CARRY((!\led_flash_cnt[1513][3]~48067\) # (!\led_flash_cnt[1513][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1513][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1513][3]~48067\,
	combout => \led_flash_cnt[1513][4]~48068_combout\,
	cout => \led_flash_cnt[1513][4]~48069\);

-- Location: FF_X37_Y2_N7
\led_flash_cnt[1513][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1513][4]~48068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1513][4]~q\);

-- Location: LCCOMB_X37_Y2_N8
\led_flash_cnt[1513][5]~48070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1513][5]~48070_combout\ = (\led_flash_cnt[1513][5]~q\ & (\led_flash_cnt[1513][4]~48069\ $ (GND))) # (!\led_flash_cnt[1513][5]~q\ & (!\led_flash_cnt[1513][4]~48069\ & VCC))
-- \led_flash_cnt[1513][5]~48071\ = CARRY((\led_flash_cnt[1513][5]~q\ & !\led_flash_cnt[1513][4]~48069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1513][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1513][4]~48069\,
	combout => \led_flash_cnt[1513][5]~48070_combout\,
	cout => \led_flash_cnt[1513][5]~48071\);

-- Location: FF_X37_Y2_N9
\led_flash_cnt[1513][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1513][5]~48070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1513][5]~q\);

-- Location: LCCOMB_X37_Y2_N10
\led_flash_cnt[1513][6]~48072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1513][6]~48072_combout\ = (\led_flash_cnt[1513][6]~q\ & (!\led_flash_cnt[1513][5]~48071\)) # (!\led_flash_cnt[1513][6]~q\ & ((\led_flash_cnt[1513][5]~48071\) # (GND)))
-- \led_flash_cnt[1513][6]~48073\ = CARRY((!\led_flash_cnt[1513][5]~48071\) # (!\led_flash_cnt[1513][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1513][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1513][5]~48071\,
	combout => \led_flash_cnt[1513][6]~48072_combout\,
	cout => \led_flash_cnt[1513][6]~48073\);

-- Location: FF_X37_Y2_N11
\led_flash_cnt[1513][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1513][6]~48072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1513][6]~q\);

-- Location: LCCOMB_X37_Y2_N12
\led_flash_cnt[1513][7]~48074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1513][7]~48074_combout\ = \led_flash_cnt[1513][6]~48073\ $ (!\led_flash_cnt[1513][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1513][7]~q\,
	cin => \led_flash_cnt[1513][6]~48073\,
	combout => \led_flash_cnt[1513][7]~48074_combout\);

-- Location: FF_X37_Y2_N13
\led_flash_cnt[1513][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1513][7]~48074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1513][7]~q\);

-- Location: LCCOMB_X36_Y2_N28
\WideAnd1513~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1513~1_combout\ = (\led_flash_cnt[1513][6]~q\ & \led_flash_cnt[1513][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1513][6]~q\,
	datac => \led_flash_cnt[1513][5]~q\,
	combout => \WideAnd1513~1_combout\);

-- Location: LCCOMB_X36_Y2_N16
\WideAnd1513~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1513~0_combout\ = (\led_flash_cnt[1513][3]~q\ & (\led_flash_cnt[1513][4]~q\ & (\led_flash_cnt[1513][1]~q\ & \led_flash_cnt[1513][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1513][3]~q\,
	datab => \led_flash_cnt[1513][4]~q\,
	datac => \led_flash_cnt[1513][1]~q\,
	datad => \led_flash_cnt[1513][2]~q\,
	combout => \WideAnd1513~0_combout\);

-- Location: LCCOMB_X37_Y2_N16
WideAnd1513 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1513~combout\ = (\led_flash_cnt[1513][7]~q\ & (\WideAnd1513~1_combout\ & (\WideAnd1513~0_combout\ & \led_flash_cnt[1513][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1513][7]~q\,
	datab => \WideAnd1513~1_combout\,
	datac => \WideAnd1513~0_combout\,
	datad => \led_flash_cnt[1513][0]~q\,
	combout => \WideAnd1513~combout\);

-- Location: FF_X37_Y2_N17
\led_flash_cnt_ands[1513]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1513~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1513));

-- Location: LCCOMB_X37_Y7_N22
\WideAnd4029~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4029~0_combout\ = (led_flash_cnt_ands(1512) & (led_flash_cnt_ands(1515) & (led_flash_cnt_ands(1514) & led_flash_cnt_ands(1513))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1512),
	datab => led_flash_cnt_ands(1515),
	datac => led_flash_cnt_ands(1514),
	datad => led_flash_cnt_ands(1513),
	combout => \WideAnd4029~0_combout\);

-- Location: LCCOMB_X40_Y7_N2
\led_flash_cnt[1518][0]~82158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1518][0]~82158_combout\ = !\led_flash_cnt[1518][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1518][0]~q\,
	combout => \led_flash_cnt[1518][0]~82158_combout\);

-- Location: FF_X40_Y7_N3
\led_flash_cnt[1518][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1518][0]~82158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1518][0]~q\);

-- Location: LCCOMB_X40_Y7_N6
\led_flash_cnt[1518][1]~48132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1518][1]~48132_combout\ = (\led_flash_cnt[1518][1]~q\ & (\led_flash_cnt[1518][0]~q\ $ (VCC))) # (!\led_flash_cnt[1518][1]~q\ & (\led_flash_cnt[1518][0]~q\ & VCC))
-- \led_flash_cnt[1518][1]~48133\ = CARRY((\led_flash_cnt[1518][1]~q\ & \led_flash_cnt[1518][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1518][1]~q\,
	datab => \led_flash_cnt[1518][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1518][1]~48132_combout\,
	cout => \led_flash_cnt[1518][1]~48133\);

-- Location: FF_X40_Y7_N7
\led_flash_cnt[1518][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1518][1]~48132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1518][1]~q\);

-- Location: LCCOMB_X40_Y7_N8
\led_flash_cnt[1518][2]~48134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1518][2]~48134_combout\ = (\led_flash_cnt[1518][2]~q\ & (!\led_flash_cnt[1518][1]~48133\)) # (!\led_flash_cnt[1518][2]~q\ & ((\led_flash_cnt[1518][1]~48133\) # (GND)))
-- \led_flash_cnt[1518][2]~48135\ = CARRY((!\led_flash_cnt[1518][1]~48133\) # (!\led_flash_cnt[1518][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1518][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1518][1]~48133\,
	combout => \led_flash_cnt[1518][2]~48134_combout\,
	cout => \led_flash_cnt[1518][2]~48135\);

-- Location: FF_X40_Y7_N9
\led_flash_cnt[1518][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1518][2]~48134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1518][2]~q\);

-- Location: LCCOMB_X40_Y7_N10
\led_flash_cnt[1518][3]~48136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1518][3]~48136_combout\ = (\led_flash_cnt[1518][3]~q\ & (\led_flash_cnt[1518][2]~48135\ $ (GND))) # (!\led_flash_cnt[1518][3]~q\ & (!\led_flash_cnt[1518][2]~48135\ & VCC))
-- \led_flash_cnt[1518][3]~48137\ = CARRY((\led_flash_cnt[1518][3]~q\ & !\led_flash_cnt[1518][2]~48135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1518][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1518][2]~48135\,
	combout => \led_flash_cnt[1518][3]~48136_combout\,
	cout => \led_flash_cnt[1518][3]~48137\);

-- Location: FF_X40_Y7_N11
\led_flash_cnt[1518][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1518][3]~48136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1518][3]~q\);

-- Location: LCCOMB_X40_Y7_N12
\led_flash_cnt[1518][4]~48138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1518][4]~48138_combout\ = (\led_flash_cnt[1518][4]~q\ & (!\led_flash_cnt[1518][3]~48137\)) # (!\led_flash_cnt[1518][4]~q\ & ((\led_flash_cnt[1518][3]~48137\) # (GND)))
-- \led_flash_cnt[1518][4]~48139\ = CARRY((!\led_flash_cnt[1518][3]~48137\) # (!\led_flash_cnt[1518][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1518][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1518][3]~48137\,
	combout => \led_flash_cnt[1518][4]~48138_combout\,
	cout => \led_flash_cnt[1518][4]~48139\);

-- Location: FF_X40_Y7_N13
\led_flash_cnt[1518][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1518][4]~48138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1518][4]~q\);

-- Location: LCCOMB_X40_Y7_N14
\led_flash_cnt[1518][5]~48140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1518][5]~48140_combout\ = (\led_flash_cnt[1518][5]~q\ & (\led_flash_cnt[1518][4]~48139\ $ (GND))) # (!\led_flash_cnt[1518][5]~q\ & (!\led_flash_cnt[1518][4]~48139\ & VCC))
-- \led_flash_cnt[1518][5]~48141\ = CARRY((\led_flash_cnt[1518][5]~q\ & !\led_flash_cnt[1518][4]~48139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1518][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1518][4]~48139\,
	combout => \led_flash_cnt[1518][5]~48140_combout\,
	cout => \led_flash_cnt[1518][5]~48141\);

-- Location: FF_X40_Y7_N15
\led_flash_cnt[1518][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1518][5]~48140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1518][5]~q\);

-- Location: LCCOMB_X40_Y7_N16
\led_flash_cnt[1518][6]~48142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1518][6]~48142_combout\ = (\led_flash_cnt[1518][6]~q\ & (!\led_flash_cnt[1518][5]~48141\)) # (!\led_flash_cnt[1518][6]~q\ & ((\led_flash_cnt[1518][5]~48141\) # (GND)))
-- \led_flash_cnt[1518][6]~48143\ = CARRY((!\led_flash_cnt[1518][5]~48141\) # (!\led_flash_cnt[1518][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1518][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1518][5]~48141\,
	combout => \led_flash_cnt[1518][6]~48142_combout\,
	cout => \led_flash_cnt[1518][6]~48143\);

-- Location: FF_X40_Y7_N17
\led_flash_cnt[1518][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1518][6]~48142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1518][6]~q\);

-- Location: LCCOMB_X40_Y7_N26
\WideAnd1518~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1518~1_combout\ = (\led_flash_cnt[1518][5]~q\ & \led_flash_cnt[1518][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1518][5]~q\,
	datad => \led_flash_cnt[1518][6]~q\,
	combout => \WideAnd1518~1_combout\);

-- Location: LCCOMB_X40_Y7_N30
\WideAnd1518~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1518~0_combout\ = (\led_flash_cnt[1518][3]~q\ & (\led_flash_cnt[1518][4]~q\ & (\led_flash_cnt[1518][2]~q\ & \led_flash_cnt[1518][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1518][3]~q\,
	datab => \led_flash_cnt[1518][4]~q\,
	datac => \led_flash_cnt[1518][2]~q\,
	datad => \led_flash_cnt[1518][1]~q\,
	combout => \WideAnd1518~0_combout\);

-- Location: LCCOMB_X40_Y7_N18
\led_flash_cnt[1518][7]~48144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1518][7]~48144_combout\ = \led_flash_cnt[1518][6]~48143\ $ (!\led_flash_cnt[1518][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1518][7]~q\,
	cin => \led_flash_cnt[1518][6]~48143\,
	combout => \led_flash_cnt[1518][7]~48144_combout\);

-- Location: FF_X40_Y7_N19
\led_flash_cnt[1518][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1518][7]~48144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1518][7]~q\);

-- Location: LCCOMB_X40_Y7_N24
WideAnd1518 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1518~combout\ = (\WideAnd1518~1_combout\ & (\led_flash_cnt[1518][0]~q\ & (\WideAnd1518~0_combout\ & \led_flash_cnt[1518][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1518~1_combout\,
	datab => \led_flash_cnt[1518][0]~q\,
	datac => \WideAnd1518~0_combout\,
	datad => \led_flash_cnt[1518][7]~q\,
	combout => \WideAnd1518~combout\);

-- Location: FF_X40_Y7_N25
\led_flash_cnt_ands[1518]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1518~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1518));

-- Location: LCCOMB_X40_Y8_N0
\led_flash_cnt[1519][0]~82159\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1519][0]~82159_combout\ = !\led_flash_cnt[1519][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1519][0]~q\,
	combout => \led_flash_cnt[1519][0]~82159_combout\);

-- Location: FF_X40_Y8_N1
\led_flash_cnt[1519][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1519][0]~82159_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1519][0]~q\);

-- Location: LCCOMB_X41_Y10_N2
\led_flash_cnt[1519][1]~48146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1519][1]~48146_combout\ = (\led_flash_cnt[1519][0]~q\ & (\led_flash_cnt[1519][1]~q\ $ (VCC))) # (!\led_flash_cnt[1519][0]~q\ & (\led_flash_cnt[1519][1]~q\ & VCC))
-- \led_flash_cnt[1519][1]~48147\ = CARRY((\led_flash_cnt[1519][0]~q\ & \led_flash_cnt[1519][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1519][0]~q\,
	datab => \led_flash_cnt[1519][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1519][1]~48146_combout\,
	cout => \led_flash_cnt[1519][1]~48147\);

-- Location: FF_X41_Y10_N3
\led_flash_cnt[1519][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1519][1]~48146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1519][1]~q\);

-- Location: LCCOMB_X41_Y10_N4
\led_flash_cnt[1519][2]~48148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1519][2]~48148_combout\ = (\led_flash_cnt[1519][2]~q\ & (!\led_flash_cnt[1519][1]~48147\)) # (!\led_flash_cnt[1519][2]~q\ & ((\led_flash_cnt[1519][1]~48147\) # (GND)))
-- \led_flash_cnt[1519][2]~48149\ = CARRY((!\led_flash_cnt[1519][1]~48147\) # (!\led_flash_cnt[1519][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1519][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1519][1]~48147\,
	combout => \led_flash_cnt[1519][2]~48148_combout\,
	cout => \led_flash_cnt[1519][2]~48149\);

-- Location: FF_X41_Y10_N5
\led_flash_cnt[1519][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1519][2]~48148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1519][2]~q\);

-- Location: LCCOMB_X41_Y10_N6
\led_flash_cnt[1519][3]~48150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1519][3]~48150_combout\ = (\led_flash_cnt[1519][3]~q\ & (\led_flash_cnt[1519][2]~48149\ $ (GND))) # (!\led_flash_cnt[1519][3]~q\ & (!\led_flash_cnt[1519][2]~48149\ & VCC))
-- \led_flash_cnt[1519][3]~48151\ = CARRY((\led_flash_cnt[1519][3]~q\ & !\led_flash_cnt[1519][2]~48149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1519][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1519][2]~48149\,
	combout => \led_flash_cnt[1519][3]~48150_combout\,
	cout => \led_flash_cnt[1519][3]~48151\);

-- Location: FF_X41_Y10_N7
\led_flash_cnt[1519][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1519][3]~48150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1519][3]~q\);

-- Location: LCCOMB_X41_Y10_N8
\led_flash_cnt[1519][4]~48152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1519][4]~48152_combout\ = (\led_flash_cnt[1519][4]~q\ & (!\led_flash_cnt[1519][3]~48151\)) # (!\led_flash_cnt[1519][4]~q\ & ((\led_flash_cnt[1519][3]~48151\) # (GND)))
-- \led_flash_cnt[1519][4]~48153\ = CARRY((!\led_flash_cnt[1519][3]~48151\) # (!\led_flash_cnt[1519][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1519][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1519][3]~48151\,
	combout => \led_flash_cnt[1519][4]~48152_combout\,
	cout => \led_flash_cnt[1519][4]~48153\);

-- Location: FF_X41_Y10_N9
\led_flash_cnt[1519][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1519][4]~48152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1519][4]~q\);

-- Location: LCCOMB_X41_Y10_N0
\WideAnd1519~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1519~0_combout\ = (\led_flash_cnt[1519][3]~q\ & (\led_flash_cnt[1519][2]~q\ & (\led_flash_cnt[1519][4]~q\ & \led_flash_cnt[1519][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1519][3]~q\,
	datab => \led_flash_cnt[1519][2]~q\,
	datac => \led_flash_cnt[1519][4]~q\,
	datad => \led_flash_cnt[1519][1]~q\,
	combout => \WideAnd1519~0_combout\);

-- Location: LCCOMB_X41_Y10_N10
\led_flash_cnt[1519][5]~48154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1519][5]~48154_combout\ = (\led_flash_cnt[1519][5]~q\ & (\led_flash_cnt[1519][4]~48153\ $ (GND))) # (!\led_flash_cnt[1519][5]~q\ & (!\led_flash_cnt[1519][4]~48153\ & VCC))
-- \led_flash_cnt[1519][5]~48155\ = CARRY((\led_flash_cnt[1519][5]~q\ & !\led_flash_cnt[1519][4]~48153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1519][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1519][4]~48153\,
	combout => \led_flash_cnt[1519][5]~48154_combout\,
	cout => \led_flash_cnt[1519][5]~48155\);

-- Location: FF_X41_Y10_N11
\led_flash_cnt[1519][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1519][5]~48154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1519][5]~q\);

-- Location: LCCOMB_X41_Y10_N12
\led_flash_cnt[1519][6]~48156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1519][6]~48156_combout\ = (\led_flash_cnt[1519][6]~q\ & (!\led_flash_cnt[1519][5]~48155\)) # (!\led_flash_cnt[1519][6]~q\ & ((\led_flash_cnt[1519][5]~48155\) # (GND)))
-- \led_flash_cnt[1519][6]~48157\ = CARRY((!\led_flash_cnt[1519][5]~48155\) # (!\led_flash_cnt[1519][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1519][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1519][5]~48155\,
	combout => \led_flash_cnt[1519][6]~48156_combout\,
	cout => \led_flash_cnt[1519][6]~48157\);

-- Location: FF_X41_Y10_N13
\led_flash_cnt[1519][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1519][6]~48156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1519][6]~q\);

-- Location: LCCOMB_X40_Y10_N14
\WideAnd1519~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1519~1_combout\ = (\led_flash_cnt[1519][6]~q\ & \led_flash_cnt[1519][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1519][6]~q\,
	datac => \led_flash_cnt[1519][5]~q\,
	combout => \WideAnd1519~1_combout\);

-- Location: LCCOMB_X41_Y10_N14
\led_flash_cnt[1519][7]~48158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1519][7]~48158_combout\ = \led_flash_cnt[1519][7]~q\ $ (!\led_flash_cnt[1519][6]~48157\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1519][7]~q\,
	cin => \led_flash_cnt[1519][6]~48157\,
	combout => \led_flash_cnt[1519][7]~48158_combout\);

-- Location: FF_X41_Y10_N15
\led_flash_cnt[1519][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1519][7]~48158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1519][7]~q\);

-- Location: LCCOMB_X40_Y10_N20
WideAnd1519 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1519~combout\ = (\WideAnd1519~0_combout\ & (\WideAnd1519~1_combout\ & (\led_flash_cnt[1519][7]~q\ & \led_flash_cnt[1519][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1519~0_combout\,
	datab => \WideAnd1519~1_combout\,
	datac => \led_flash_cnt[1519][7]~q\,
	datad => \led_flash_cnt[1519][0]~q\,
	combout => \WideAnd1519~combout\);

-- Location: FF_X40_Y10_N21
\led_flash_cnt_ands[1519]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1519~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1519));

-- Location: LCCOMB_X36_Y6_N12
\led_flash_cnt[1516][0]~82156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1516][0]~82156_combout\ = !\led_flash_cnt[1516][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1516][0]~q\,
	combout => \led_flash_cnt[1516][0]~82156_combout\);

-- Location: FF_X36_Y6_N13
\led_flash_cnt[1516][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1516][0]~82156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1516][0]~q\);

-- Location: LCCOMB_X36_Y6_N16
\led_flash_cnt[1516][1]~48104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1516][1]~48104_combout\ = (\led_flash_cnt[1516][0]~q\ & (\led_flash_cnt[1516][1]~q\ $ (VCC))) # (!\led_flash_cnt[1516][0]~q\ & (\led_flash_cnt[1516][1]~q\ & VCC))
-- \led_flash_cnt[1516][1]~48105\ = CARRY((\led_flash_cnt[1516][0]~q\ & \led_flash_cnt[1516][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1516][0]~q\,
	datab => \led_flash_cnt[1516][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1516][1]~48104_combout\,
	cout => \led_flash_cnt[1516][1]~48105\);

-- Location: FF_X36_Y6_N17
\led_flash_cnt[1516][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1516][1]~48104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1516][1]~q\);

-- Location: LCCOMB_X36_Y6_N18
\led_flash_cnt[1516][2]~48106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1516][2]~48106_combout\ = (\led_flash_cnt[1516][2]~q\ & (!\led_flash_cnt[1516][1]~48105\)) # (!\led_flash_cnt[1516][2]~q\ & ((\led_flash_cnt[1516][1]~48105\) # (GND)))
-- \led_flash_cnt[1516][2]~48107\ = CARRY((!\led_flash_cnt[1516][1]~48105\) # (!\led_flash_cnt[1516][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1516][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1516][1]~48105\,
	combout => \led_flash_cnt[1516][2]~48106_combout\,
	cout => \led_flash_cnt[1516][2]~48107\);

-- Location: FF_X36_Y6_N19
\led_flash_cnt[1516][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1516][2]~48106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1516][2]~q\);

-- Location: LCCOMB_X36_Y6_N20
\led_flash_cnt[1516][3]~48108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1516][3]~48108_combout\ = (\led_flash_cnt[1516][3]~q\ & (\led_flash_cnt[1516][2]~48107\ $ (GND))) # (!\led_flash_cnt[1516][3]~q\ & (!\led_flash_cnt[1516][2]~48107\ & VCC))
-- \led_flash_cnt[1516][3]~48109\ = CARRY((\led_flash_cnt[1516][3]~q\ & !\led_flash_cnt[1516][2]~48107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1516][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1516][2]~48107\,
	combout => \led_flash_cnt[1516][3]~48108_combout\,
	cout => \led_flash_cnt[1516][3]~48109\);

-- Location: FF_X36_Y6_N21
\led_flash_cnt[1516][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1516][3]~48108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1516][3]~q\);

-- Location: LCCOMB_X36_Y6_N22
\led_flash_cnt[1516][4]~48110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1516][4]~48110_combout\ = (\led_flash_cnt[1516][4]~q\ & (!\led_flash_cnt[1516][3]~48109\)) # (!\led_flash_cnt[1516][4]~q\ & ((\led_flash_cnt[1516][3]~48109\) # (GND)))
-- \led_flash_cnt[1516][4]~48111\ = CARRY((!\led_flash_cnt[1516][3]~48109\) # (!\led_flash_cnt[1516][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1516][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1516][3]~48109\,
	combout => \led_flash_cnt[1516][4]~48110_combout\,
	cout => \led_flash_cnt[1516][4]~48111\);

-- Location: FF_X36_Y6_N23
\led_flash_cnt[1516][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1516][4]~48110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1516][4]~q\);

-- Location: LCCOMB_X36_Y6_N24
\led_flash_cnt[1516][5]~48112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1516][5]~48112_combout\ = (\led_flash_cnt[1516][5]~q\ & (\led_flash_cnt[1516][4]~48111\ $ (GND))) # (!\led_flash_cnt[1516][5]~q\ & (!\led_flash_cnt[1516][4]~48111\ & VCC))
-- \led_flash_cnt[1516][5]~48113\ = CARRY((\led_flash_cnt[1516][5]~q\ & !\led_flash_cnt[1516][4]~48111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1516][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1516][4]~48111\,
	combout => \led_flash_cnt[1516][5]~48112_combout\,
	cout => \led_flash_cnt[1516][5]~48113\);

-- Location: FF_X36_Y6_N25
\led_flash_cnt[1516][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1516][5]~48112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1516][5]~q\);

-- Location: LCCOMB_X36_Y6_N26
\led_flash_cnt[1516][6]~48114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1516][6]~48114_combout\ = (\led_flash_cnt[1516][6]~q\ & (!\led_flash_cnt[1516][5]~48113\)) # (!\led_flash_cnt[1516][6]~q\ & ((\led_flash_cnt[1516][5]~48113\) # (GND)))
-- \led_flash_cnt[1516][6]~48115\ = CARRY((!\led_flash_cnt[1516][5]~48113\) # (!\led_flash_cnt[1516][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1516][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1516][5]~48113\,
	combout => \led_flash_cnt[1516][6]~48114_combout\,
	cout => \led_flash_cnt[1516][6]~48115\);

-- Location: FF_X36_Y6_N27
\led_flash_cnt[1516][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1516][6]~48114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1516][6]~q\);

-- Location: LCCOMB_X36_Y6_N30
\WideAnd1516~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1516~1_combout\ = (\led_flash_cnt[1516][6]~q\ & \led_flash_cnt[1516][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1516][6]~q\,
	datad => \led_flash_cnt[1516][5]~q\,
	combout => \WideAnd1516~1_combout\);

-- Location: LCCOMB_X36_Y6_N28
\led_flash_cnt[1516][7]~48116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1516][7]~48116_combout\ = \led_flash_cnt[1516][6]~48115\ $ (!\led_flash_cnt[1516][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1516][7]~q\,
	cin => \led_flash_cnt[1516][6]~48115\,
	combout => \led_flash_cnt[1516][7]~48116_combout\);

-- Location: FF_X36_Y6_N29
\led_flash_cnt[1516][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1516][7]~48116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1516][7]~q\);

-- Location: LCCOMB_X36_Y6_N4
\WideAnd1516~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1516~0_combout\ = (\led_flash_cnt[1516][2]~q\ & (\led_flash_cnt[1516][1]~q\ & (\led_flash_cnt[1516][4]~q\ & \led_flash_cnt[1516][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1516][2]~q\,
	datab => \led_flash_cnt[1516][1]~q\,
	datac => \led_flash_cnt[1516][4]~q\,
	datad => \led_flash_cnt[1516][3]~q\,
	combout => \WideAnd1516~0_combout\);

-- Location: LCCOMB_X36_Y6_N0
WideAnd1516 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1516~combout\ = (\WideAnd1516~1_combout\ & (\led_flash_cnt[1516][7]~q\ & (\WideAnd1516~0_combout\ & \led_flash_cnt[1516][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1516~1_combout\,
	datab => \led_flash_cnt[1516][7]~q\,
	datac => \WideAnd1516~0_combout\,
	datad => \led_flash_cnt[1516][0]~q\,
	combout => \WideAnd1516~combout\);

-- Location: FF_X36_Y6_N1
\led_flash_cnt_ands[1516]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1516~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1516));

-- Location: LCCOMB_X39_Y7_N6
\led_flash_cnt[1517][0]~82157\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1517][0]~82157_combout\ = !\led_flash_cnt[1517][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1517][0]~q\,
	combout => \led_flash_cnt[1517][0]~82157_combout\);

-- Location: FF_X39_Y7_N7
\led_flash_cnt[1517][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1517][0]~82157_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1517][0]~q\);

-- Location: LCCOMB_X41_Y7_N0
\led_flash_cnt[1517][1]~48118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1517][1]~48118_combout\ = (\led_flash_cnt[1517][0]~q\ & (\led_flash_cnt[1517][1]~q\ $ (VCC))) # (!\led_flash_cnt[1517][0]~q\ & (\led_flash_cnt[1517][1]~q\ & VCC))
-- \led_flash_cnt[1517][1]~48119\ = CARRY((\led_flash_cnt[1517][0]~q\ & \led_flash_cnt[1517][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1517][0]~q\,
	datab => \led_flash_cnt[1517][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1517][1]~48118_combout\,
	cout => \led_flash_cnt[1517][1]~48119\);

-- Location: FF_X41_Y7_N1
\led_flash_cnt[1517][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1517][1]~48118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1517][1]~q\);

-- Location: LCCOMB_X41_Y7_N2
\led_flash_cnt[1517][2]~48120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1517][2]~48120_combout\ = (\led_flash_cnt[1517][2]~q\ & (!\led_flash_cnt[1517][1]~48119\)) # (!\led_flash_cnt[1517][2]~q\ & ((\led_flash_cnt[1517][1]~48119\) # (GND)))
-- \led_flash_cnt[1517][2]~48121\ = CARRY((!\led_flash_cnt[1517][1]~48119\) # (!\led_flash_cnt[1517][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1517][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1517][1]~48119\,
	combout => \led_flash_cnt[1517][2]~48120_combout\,
	cout => \led_flash_cnt[1517][2]~48121\);

-- Location: FF_X41_Y7_N3
\led_flash_cnt[1517][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1517][2]~48120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1517][2]~q\);

-- Location: LCCOMB_X41_Y7_N4
\led_flash_cnt[1517][3]~48122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1517][3]~48122_combout\ = (\led_flash_cnt[1517][3]~q\ & (\led_flash_cnt[1517][2]~48121\ $ (GND))) # (!\led_flash_cnt[1517][3]~q\ & (!\led_flash_cnt[1517][2]~48121\ & VCC))
-- \led_flash_cnt[1517][3]~48123\ = CARRY((\led_flash_cnt[1517][3]~q\ & !\led_flash_cnt[1517][2]~48121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1517][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1517][2]~48121\,
	combout => \led_flash_cnt[1517][3]~48122_combout\,
	cout => \led_flash_cnt[1517][3]~48123\);

-- Location: FF_X41_Y7_N5
\led_flash_cnt[1517][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1517][3]~48122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1517][3]~q\);

-- Location: LCCOMB_X41_Y7_N6
\led_flash_cnt[1517][4]~48124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1517][4]~48124_combout\ = (\led_flash_cnt[1517][4]~q\ & (!\led_flash_cnt[1517][3]~48123\)) # (!\led_flash_cnt[1517][4]~q\ & ((\led_flash_cnt[1517][3]~48123\) # (GND)))
-- \led_flash_cnt[1517][4]~48125\ = CARRY((!\led_flash_cnt[1517][3]~48123\) # (!\led_flash_cnt[1517][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1517][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1517][3]~48123\,
	combout => \led_flash_cnt[1517][4]~48124_combout\,
	cout => \led_flash_cnt[1517][4]~48125\);

-- Location: FF_X41_Y7_N7
\led_flash_cnt[1517][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1517][4]~48124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1517][4]~q\);

-- Location: LCCOMB_X41_Y7_N8
\led_flash_cnt[1517][5]~48126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1517][5]~48126_combout\ = (\led_flash_cnt[1517][5]~q\ & (\led_flash_cnt[1517][4]~48125\ $ (GND))) # (!\led_flash_cnt[1517][5]~q\ & (!\led_flash_cnt[1517][4]~48125\ & VCC))
-- \led_flash_cnt[1517][5]~48127\ = CARRY((\led_flash_cnt[1517][5]~q\ & !\led_flash_cnt[1517][4]~48125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1517][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1517][4]~48125\,
	combout => \led_flash_cnt[1517][5]~48126_combout\,
	cout => \led_flash_cnt[1517][5]~48127\);

-- Location: FF_X41_Y7_N9
\led_flash_cnt[1517][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1517][5]~48126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1517][5]~q\);

-- Location: LCCOMB_X41_Y7_N30
\WideAnd1517~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1517~0_combout\ = (\led_flash_cnt[1517][5]~q\ & (\led_flash_cnt[1517][1]~q\ & (\led_flash_cnt[1517][3]~q\ & \led_flash_cnt[1517][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1517][5]~q\,
	datab => \led_flash_cnt[1517][1]~q\,
	datac => \led_flash_cnt[1517][3]~q\,
	datad => \led_flash_cnt[1517][2]~q\,
	combout => \WideAnd1517~0_combout\);

-- Location: LCCOMB_X41_Y7_N10
\led_flash_cnt[1517][6]~48128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1517][6]~48128_combout\ = (\led_flash_cnt[1517][6]~q\ & (!\led_flash_cnt[1517][5]~48127\)) # (!\led_flash_cnt[1517][6]~q\ & ((\led_flash_cnt[1517][5]~48127\) # (GND)))
-- \led_flash_cnt[1517][6]~48129\ = CARRY((!\led_flash_cnt[1517][5]~48127\) # (!\led_flash_cnt[1517][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1517][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1517][5]~48127\,
	combout => \led_flash_cnt[1517][6]~48128_combout\,
	cout => \led_flash_cnt[1517][6]~48129\);

-- Location: FF_X41_Y7_N11
\led_flash_cnt[1517][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1517][6]~48128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1517][6]~q\);

-- Location: LCCOMB_X41_Y7_N12
\led_flash_cnt[1517][7]~48130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1517][7]~48130_combout\ = \led_flash_cnt[1517][6]~48129\ $ (!\led_flash_cnt[1517][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1517][7]~q\,
	cin => \led_flash_cnt[1517][6]~48129\,
	combout => \led_flash_cnt[1517][7]~48130_combout\);

-- Location: FF_X41_Y7_N13
\led_flash_cnt[1517][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1517][7]~48130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1517][7]~q\);

-- Location: LCCOMB_X40_Y7_N0
\WideAnd1517~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1517~1_combout\ = (\led_flash_cnt[1517][7]~q\ & \led_flash_cnt[1517][4]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1517][7]~q\,
	datad => \led_flash_cnt[1517][4]~q\,
	combout => \WideAnd1517~1_combout\);

-- Location: LCCOMB_X40_Y7_N28
WideAnd1517 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1517~combout\ = (\WideAnd1517~0_combout\ & (\led_flash_cnt[1517][0]~q\ & (\led_flash_cnt[1517][6]~q\ & \WideAnd1517~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1517~0_combout\,
	datab => \led_flash_cnt[1517][0]~q\,
	datac => \led_flash_cnt[1517][6]~q\,
	datad => \WideAnd1517~1_combout\,
	combout => \WideAnd1517~combout\);

-- Location: FF_X40_Y7_N29
\led_flash_cnt_ands[1517]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1517~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1517));

-- Location: LCCOMB_X39_Y7_N14
\WideAnd4029~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4029~1_combout\ = (led_flash_cnt_ands(1516) & led_flash_cnt_ands(1517))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1516),
	datad => led_flash_cnt_ands(1517),
	combout => \WideAnd4029~1_combout\);

-- Location: LCCOMB_X40_Y7_N4
WideAnd4029 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4029~combout\ = (\WideAnd4029~0_combout\ & (led_flash_cnt_ands(1518) & (led_flash_cnt_ands(1519) & \WideAnd4029~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4029~0_combout\,
	datab => led_flash_cnt_ands(1518),
	datac => led_flash_cnt_ands(1519),
	datad => \WideAnd4029~1_combout\,
	combout => \WideAnd4029~combout\);

-- Location: FF_X40_Y7_N5
\led_flash_cnt_ands_1[189]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4029~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(189));

-- Location: LCCOMB_X39_Y7_N0
\WideAnd4343~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4343~1_combout\ = (led_flash_cnt_ands_1(188) & led_flash_cnt_ands_1(189))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(188),
	datad => led_flash_cnt_ands_1(189),
	combout => \WideAnd4343~1_combout\);

-- Location: LCCOMB_X27_Y21_N0
\led_flash_cnt[1534][0]~82174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1534][0]~82174_combout\ = !\led_flash_cnt[1534][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1534][0]~q\,
	combout => \led_flash_cnt[1534][0]~82174_combout\);

-- Location: FF_X27_Y21_N1
\led_flash_cnt[1534][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1534][0]~82174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1534][0]~q\);

-- Location: LCCOMB_X27_Y21_N6
\led_flash_cnt[1534][1]~48356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1534][1]~48356_combout\ = (\led_flash_cnt[1534][1]~q\ & (\led_flash_cnt[1534][0]~q\ $ (VCC))) # (!\led_flash_cnt[1534][1]~q\ & (\led_flash_cnt[1534][0]~q\ & VCC))
-- \led_flash_cnt[1534][1]~48357\ = CARRY((\led_flash_cnt[1534][1]~q\ & \led_flash_cnt[1534][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1534][1]~q\,
	datab => \led_flash_cnt[1534][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1534][1]~48356_combout\,
	cout => \led_flash_cnt[1534][1]~48357\);

-- Location: FF_X27_Y21_N7
\led_flash_cnt[1534][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1534][1]~48356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1534][1]~q\);

-- Location: LCCOMB_X27_Y21_N8
\led_flash_cnt[1534][2]~48358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1534][2]~48358_combout\ = (\led_flash_cnt[1534][2]~q\ & (!\led_flash_cnt[1534][1]~48357\)) # (!\led_flash_cnt[1534][2]~q\ & ((\led_flash_cnt[1534][1]~48357\) # (GND)))
-- \led_flash_cnt[1534][2]~48359\ = CARRY((!\led_flash_cnt[1534][1]~48357\) # (!\led_flash_cnt[1534][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1534][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1534][1]~48357\,
	combout => \led_flash_cnt[1534][2]~48358_combout\,
	cout => \led_flash_cnt[1534][2]~48359\);

-- Location: FF_X27_Y21_N9
\led_flash_cnt[1534][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1534][2]~48358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1534][2]~q\);

-- Location: LCCOMB_X27_Y21_N10
\led_flash_cnt[1534][3]~48360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1534][3]~48360_combout\ = (\led_flash_cnt[1534][3]~q\ & (\led_flash_cnt[1534][2]~48359\ $ (GND))) # (!\led_flash_cnt[1534][3]~q\ & (!\led_flash_cnt[1534][2]~48359\ & VCC))
-- \led_flash_cnt[1534][3]~48361\ = CARRY((\led_flash_cnt[1534][3]~q\ & !\led_flash_cnt[1534][2]~48359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1534][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1534][2]~48359\,
	combout => \led_flash_cnt[1534][3]~48360_combout\,
	cout => \led_flash_cnt[1534][3]~48361\);

-- Location: FF_X27_Y21_N11
\led_flash_cnt[1534][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1534][3]~48360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1534][3]~q\);

-- Location: LCCOMB_X27_Y21_N12
\led_flash_cnt[1534][4]~48362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1534][4]~48362_combout\ = (\led_flash_cnt[1534][4]~q\ & (!\led_flash_cnt[1534][3]~48361\)) # (!\led_flash_cnt[1534][4]~q\ & ((\led_flash_cnt[1534][3]~48361\) # (GND)))
-- \led_flash_cnt[1534][4]~48363\ = CARRY((!\led_flash_cnt[1534][3]~48361\) # (!\led_flash_cnt[1534][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1534][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1534][3]~48361\,
	combout => \led_flash_cnt[1534][4]~48362_combout\,
	cout => \led_flash_cnt[1534][4]~48363\);

-- Location: FF_X27_Y21_N13
\led_flash_cnt[1534][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1534][4]~48362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1534][4]~q\);

-- Location: LCCOMB_X27_Y21_N30
\WideAnd1534~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1534~0_combout\ = (\led_flash_cnt[1534][4]~q\ & (\led_flash_cnt[1534][1]~q\ & (\led_flash_cnt[1534][2]~q\ & \led_flash_cnt[1534][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1534][4]~q\,
	datab => \led_flash_cnt[1534][1]~q\,
	datac => \led_flash_cnt[1534][2]~q\,
	datad => \led_flash_cnt[1534][3]~q\,
	combout => \WideAnd1534~0_combout\);

-- Location: LCCOMB_X27_Y21_N14
\led_flash_cnt[1534][5]~48364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1534][5]~48364_combout\ = (\led_flash_cnt[1534][5]~q\ & (\led_flash_cnt[1534][4]~48363\ $ (GND))) # (!\led_flash_cnt[1534][5]~q\ & (!\led_flash_cnt[1534][4]~48363\ & VCC))
-- \led_flash_cnt[1534][5]~48365\ = CARRY((\led_flash_cnt[1534][5]~q\ & !\led_flash_cnt[1534][4]~48363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1534][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1534][4]~48363\,
	combout => \led_flash_cnt[1534][5]~48364_combout\,
	cout => \led_flash_cnt[1534][5]~48365\);

-- Location: FF_X27_Y21_N15
\led_flash_cnt[1534][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1534][5]~48364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1534][5]~q\);

-- Location: LCCOMB_X27_Y21_N16
\led_flash_cnt[1534][6]~48366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1534][6]~48366_combout\ = (\led_flash_cnt[1534][6]~q\ & (!\led_flash_cnt[1534][5]~48365\)) # (!\led_flash_cnt[1534][6]~q\ & ((\led_flash_cnt[1534][5]~48365\) # (GND)))
-- \led_flash_cnt[1534][6]~48367\ = CARRY((!\led_flash_cnt[1534][5]~48365\) # (!\led_flash_cnt[1534][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1534][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1534][5]~48365\,
	combout => \led_flash_cnt[1534][6]~48366_combout\,
	cout => \led_flash_cnt[1534][6]~48367\);

-- Location: FF_X27_Y21_N17
\led_flash_cnt[1534][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1534][6]~48366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1534][6]~q\);

-- Location: LCCOMB_X27_Y21_N18
\led_flash_cnt[1534][7]~48368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1534][7]~48368_combout\ = \led_flash_cnt[1534][7]~q\ $ (!\led_flash_cnt[1534][6]~48367\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1534][7]~q\,
	cin => \led_flash_cnt[1534][6]~48367\,
	combout => \led_flash_cnt[1534][7]~48368_combout\);

-- Location: FF_X27_Y21_N19
\led_flash_cnt[1534][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1534][7]~48368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1534][7]~q\);

-- Location: LCCOMB_X27_Y21_N24
\WideAnd1534~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1534~1_combout\ = (\led_flash_cnt[1534][5]~q\ & \led_flash_cnt[1534][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1534][5]~q\,
	datad => \led_flash_cnt[1534][6]~q\,
	combout => \WideAnd1534~1_combout\);

-- Location: LCCOMB_X27_Y21_N26
WideAnd1534 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1534~combout\ = (\WideAnd1534~0_combout\ & (\led_flash_cnt[1534][0]~q\ & (\led_flash_cnt[1534][7]~q\ & \WideAnd1534~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1534~0_combout\,
	datab => \led_flash_cnt[1534][0]~q\,
	datac => \led_flash_cnt[1534][7]~q\,
	datad => \WideAnd1534~1_combout\,
	combout => \WideAnd1534~combout\);

-- Location: FF_X27_Y21_N27
\led_flash_cnt_ands[1534]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1534~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1534));

-- Location: LCCOMB_X54_Y17_N28
\led_flash_cnt[1533][0]~82173\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1533][0]~82173_combout\ = !\led_flash_cnt[1533][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1533][0]~q\,
	combout => \led_flash_cnt[1533][0]~82173_combout\);

-- Location: FF_X54_Y17_N29
\led_flash_cnt[1533][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1533][0]~82173_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1533][0]~q\);

-- Location: LCCOMB_X51_Y17_N2
\led_flash_cnt[1533][1]~48342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1533][1]~48342_combout\ = (\led_flash_cnt[1533][0]~q\ & (\led_flash_cnt[1533][1]~q\ $ (VCC))) # (!\led_flash_cnt[1533][0]~q\ & (\led_flash_cnt[1533][1]~q\ & VCC))
-- \led_flash_cnt[1533][1]~48343\ = CARRY((\led_flash_cnt[1533][0]~q\ & \led_flash_cnt[1533][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1533][0]~q\,
	datab => \led_flash_cnt[1533][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1533][1]~48342_combout\,
	cout => \led_flash_cnt[1533][1]~48343\);

-- Location: FF_X51_Y17_N3
\led_flash_cnt[1533][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1533][1]~48342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1533][1]~q\);

-- Location: LCCOMB_X51_Y17_N4
\led_flash_cnt[1533][2]~48344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1533][2]~48344_combout\ = (\led_flash_cnt[1533][2]~q\ & (!\led_flash_cnt[1533][1]~48343\)) # (!\led_flash_cnt[1533][2]~q\ & ((\led_flash_cnt[1533][1]~48343\) # (GND)))
-- \led_flash_cnt[1533][2]~48345\ = CARRY((!\led_flash_cnt[1533][1]~48343\) # (!\led_flash_cnt[1533][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1533][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1533][1]~48343\,
	combout => \led_flash_cnt[1533][2]~48344_combout\,
	cout => \led_flash_cnt[1533][2]~48345\);

-- Location: FF_X51_Y17_N5
\led_flash_cnt[1533][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1533][2]~48344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1533][2]~q\);

-- Location: LCCOMB_X51_Y17_N6
\led_flash_cnt[1533][3]~48346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1533][3]~48346_combout\ = (\led_flash_cnt[1533][3]~q\ & (\led_flash_cnt[1533][2]~48345\ $ (GND))) # (!\led_flash_cnt[1533][3]~q\ & (!\led_flash_cnt[1533][2]~48345\ & VCC))
-- \led_flash_cnt[1533][3]~48347\ = CARRY((\led_flash_cnt[1533][3]~q\ & !\led_flash_cnt[1533][2]~48345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1533][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1533][2]~48345\,
	combout => \led_flash_cnt[1533][3]~48346_combout\,
	cout => \led_flash_cnt[1533][3]~48347\);

-- Location: FF_X51_Y17_N7
\led_flash_cnt[1533][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1533][3]~48346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1533][3]~q\);

-- Location: LCCOMB_X51_Y17_N8
\led_flash_cnt[1533][4]~48348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1533][4]~48348_combout\ = (\led_flash_cnt[1533][4]~q\ & (!\led_flash_cnt[1533][3]~48347\)) # (!\led_flash_cnt[1533][4]~q\ & ((\led_flash_cnt[1533][3]~48347\) # (GND)))
-- \led_flash_cnt[1533][4]~48349\ = CARRY((!\led_flash_cnt[1533][3]~48347\) # (!\led_flash_cnt[1533][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1533][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1533][3]~48347\,
	combout => \led_flash_cnt[1533][4]~48348_combout\,
	cout => \led_flash_cnt[1533][4]~48349\);

-- Location: FF_X51_Y17_N9
\led_flash_cnt[1533][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1533][4]~48348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1533][4]~q\);

-- Location: LCCOMB_X51_Y17_N10
\led_flash_cnt[1533][5]~48350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1533][5]~48350_combout\ = (\led_flash_cnt[1533][5]~q\ & (\led_flash_cnt[1533][4]~48349\ $ (GND))) # (!\led_flash_cnt[1533][5]~q\ & (!\led_flash_cnt[1533][4]~48349\ & VCC))
-- \led_flash_cnt[1533][5]~48351\ = CARRY((\led_flash_cnt[1533][5]~q\ & !\led_flash_cnt[1533][4]~48349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1533][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1533][4]~48349\,
	combout => \led_flash_cnt[1533][5]~48350_combout\,
	cout => \led_flash_cnt[1533][5]~48351\);

-- Location: FF_X51_Y17_N11
\led_flash_cnt[1533][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1533][5]~48350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1533][5]~q\);

-- Location: LCCOMB_X51_Y17_N12
\led_flash_cnt[1533][6]~48352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1533][6]~48352_combout\ = (\led_flash_cnt[1533][6]~q\ & (!\led_flash_cnt[1533][5]~48351\)) # (!\led_flash_cnt[1533][6]~q\ & ((\led_flash_cnt[1533][5]~48351\) # (GND)))
-- \led_flash_cnt[1533][6]~48353\ = CARRY((!\led_flash_cnt[1533][5]~48351\) # (!\led_flash_cnt[1533][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1533][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1533][5]~48351\,
	combout => \led_flash_cnt[1533][6]~48352_combout\,
	cout => \led_flash_cnt[1533][6]~48353\);

-- Location: FF_X51_Y17_N13
\led_flash_cnt[1533][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1533][6]~48352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1533][6]~q\);

-- Location: LCCOMB_X51_Y17_N0
\WideAnd1533~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1533~1_combout\ = (\led_flash_cnt[1533][5]~q\ & \led_flash_cnt[1533][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1533][5]~q\,
	datad => \led_flash_cnt[1533][6]~q\,
	combout => \WideAnd1533~1_combout\);

-- Location: LCCOMB_X51_Y17_N14
\led_flash_cnt[1533][7]~48354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1533][7]~48354_combout\ = \led_flash_cnt[1533][7]~q\ $ (!\led_flash_cnt[1533][6]~48353\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1533][7]~q\,
	cin => \led_flash_cnt[1533][6]~48353\,
	combout => \led_flash_cnt[1533][7]~48354_combout\);

-- Location: FF_X51_Y17_N15
\led_flash_cnt[1533][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1533][7]~48354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1533][7]~q\);

-- Location: LCCOMB_X51_Y17_N18
\WideAnd1533~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1533~0_combout\ = (\led_flash_cnt[1533][3]~q\ & (\led_flash_cnt[1533][4]~q\ & (\led_flash_cnt[1533][2]~q\ & \led_flash_cnt[1533][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1533][3]~q\,
	datab => \led_flash_cnt[1533][4]~q\,
	datac => \led_flash_cnt[1533][2]~q\,
	datad => \led_flash_cnt[1533][1]~q\,
	combout => \WideAnd1533~0_combout\);

-- Location: LCCOMB_X51_Y17_N30
WideAnd1533 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1533~combout\ = (\led_flash_cnt[1533][0]~q\ & (\WideAnd1533~1_combout\ & (\led_flash_cnt[1533][7]~q\ & \WideAnd1533~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1533][0]~q\,
	datab => \WideAnd1533~1_combout\,
	datac => \led_flash_cnt[1533][7]~q\,
	datad => \WideAnd1533~0_combout\,
	combout => \WideAnd1533~combout\);

-- Location: FF_X51_Y17_N31
\led_flash_cnt_ands[1533]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1533~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1533));

-- Location: LCCOMB_X51_Y17_N28
\led_flash_cnt[1532][0]~82172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1532][0]~82172_combout\ = !\led_flash_cnt[1532][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1532][0]~q\,
	combout => \led_flash_cnt[1532][0]~82172_combout\);

-- Location: FF_X51_Y17_N29
\led_flash_cnt[1532][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1532][0]~82172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1532][0]~q\);

-- Location: LCCOMB_X52_Y17_N2
\led_flash_cnt[1532][1]~48328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1532][1]~48328_combout\ = (\led_flash_cnt[1532][1]~q\ & (\led_flash_cnt[1532][0]~q\ $ (VCC))) # (!\led_flash_cnt[1532][1]~q\ & (\led_flash_cnt[1532][0]~q\ & VCC))
-- \led_flash_cnt[1532][1]~48329\ = CARRY((\led_flash_cnt[1532][1]~q\ & \led_flash_cnt[1532][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1532][1]~q\,
	datab => \led_flash_cnt[1532][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1532][1]~48328_combout\,
	cout => \led_flash_cnt[1532][1]~48329\);

-- Location: FF_X52_Y17_N3
\led_flash_cnt[1532][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1532][1]~48328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1532][1]~q\);

-- Location: LCCOMB_X52_Y17_N4
\led_flash_cnt[1532][2]~48330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1532][2]~48330_combout\ = (\led_flash_cnt[1532][2]~q\ & (!\led_flash_cnt[1532][1]~48329\)) # (!\led_flash_cnt[1532][2]~q\ & ((\led_flash_cnt[1532][1]~48329\) # (GND)))
-- \led_flash_cnt[1532][2]~48331\ = CARRY((!\led_flash_cnt[1532][1]~48329\) # (!\led_flash_cnt[1532][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1532][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1532][1]~48329\,
	combout => \led_flash_cnt[1532][2]~48330_combout\,
	cout => \led_flash_cnt[1532][2]~48331\);

-- Location: FF_X52_Y17_N5
\led_flash_cnt[1532][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1532][2]~48330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1532][2]~q\);

-- Location: LCCOMB_X52_Y17_N6
\led_flash_cnt[1532][3]~48332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1532][3]~48332_combout\ = (\led_flash_cnt[1532][3]~q\ & (\led_flash_cnt[1532][2]~48331\ $ (GND))) # (!\led_flash_cnt[1532][3]~q\ & (!\led_flash_cnt[1532][2]~48331\ & VCC))
-- \led_flash_cnt[1532][3]~48333\ = CARRY((\led_flash_cnt[1532][3]~q\ & !\led_flash_cnt[1532][2]~48331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1532][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1532][2]~48331\,
	combout => \led_flash_cnt[1532][3]~48332_combout\,
	cout => \led_flash_cnt[1532][3]~48333\);

-- Location: FF_X52_Y17_N7
\led_flash_cnt[1532][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1532][3]~48332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1532][3]~q\);

-- Location: LCCOMB_X52_Y17_N8
\led_flash_cnt[1532][4]~48334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1532][4]~48334_combout\ = (\led_flash_cnt[1532][4]~q\ & (!\led_flash_cnt[1532][3]~48333\)) # (!\led_flash_cnt[1532][4]~q\ & ((\led_flash_cnt[1532][3]~48333\) # (GND)))
-- \led_flash_cnt[1532][4]~48335\ = CARRY((!\led_flash_cnt[1532][3]~48333\) # (!\led_flash_cnt[1532][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1532][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1532][3]~48333\,
	combout => \led_flash_cnt[1532][4]~48334_combout\,
	cout => \led_flash_cnt[1532][4]~48335\);

-- Location: FF_X52_Y17_N9
\led_flash_cnt[1532][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1532][4]~48334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1532][4]~q\);

-- Location: LCCOMB_X52_Y17_N10
\led_flash_cnt[1532][5]~48336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1532][5]~48336_combout\ = (\led_flash_cnt[1532][5]~q\ & (\led_flash_cnt[1532][4]~48335\ $ (GND))) # (!\led_flash_cnt[1532][5]~q\ & (!\led_flash_cnt[1532][4]~48335\ & VCC))
-- \led_flash_cnt[1532][5]~48337\ = CARRY((\led_flash_cnt[1532][5]~q\ & !\led_flash_cnt[1532][4]~48335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1532][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1532][4]~48335\,
	combout => \led_flash_cnt[1532][5]~48336_combout\,
	cout => \led_flash_cnt[1532][5]~48337\);

-- Location: FF_X52_Y17_N11
\led_flash_cnt[1532][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1532][5]~48336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1532][5]~q\);

-- Location: LCCOMB_X52_Y17_N12
\led_flash_cnt[1532][6]~48338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1532][6]~48338_combout\ = (\led_flash_cnt[1532][6]~q\ & (!\led_flash_cnt[1532][5]~48337\)) # (!\led_flash_cnt[1532][6]~q\ & ((\led_flash_cnt[1532][5]~48337\) # (GND)))
-- \led_flash_cnt[1532][6]~48339\ = CARRY((!\led_flash_cnt[1532][5]~48337\) # (!\led_flash_cnt[1532][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1532][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1532][5]~48337\,
	combout => \led_flash_cnt[1532][6]~48338_combout\,
	cout => \led_flash_cnt[1532][6]~48339\);

-- Location: FF_X52_Y17_N13
\led_flash_cnt[1532][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1532][6]~48338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1532][6]~q\);

-- Location: LCCOMB_X51_Y17_N26
\WideAnd1532~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1532~1_combout\ = (\led_flash_cnt[1532][6]~q\ & \led_flash_cnt[1532][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1532][6]~q\,
	datac => \led_flash_cnt[1532][5]~q\,
	combout => \WideAnd1532~1_combout\);

-- Location: LCCOMB_X51_Y17_N20
\WideAnd1532~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1532~0_combout\ = (\led_flash_cnt[1532][3]~q\ & (\led_flash_cnt[1532][2]~q\ & (\led_flash_cnt[1532][4]~q\ & \led_flash_cnt[1532][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1532][3]~q\,
	datab => \led_flash_cnt[1532][2]~q\,
	datac => \led_flash_cnt[1532][4]~q\,
	datad => \led_flash_cnt[1532][1]~q\,
	combout => \WideAnd1532~0_combout\);

-- Location: LCCOMB_X52_Y17_N14
\led_flash_cnt[1532][7]~48340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1532][7]~48340_combout\ = \led_flash_cnt[1532][7]~q\ $ (!\led_flash_cnt[1532][6]~48339\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1532][7]~q\,
	cin => \led_flash_cnt[1532][6]~48339\,
	combout => \led_flash_cnt[1532][7]~48340_combout\);

-- Location: FF_X52_Y17_N15
\led_flash_cnt[1532][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1532][7]~48340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1532][7]~q\);

-- Location: LCCOMB_X51_Y17_N22
WideAnd1532 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1532~combout\ = (\WideAnd1532~1_combout\ & (\WideAnd1532~0_combout\ & (\led_flash_cnt[1532][7]~q\ & \led_flash_cnt[1532][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1532~1_combout\,
	datab => \WideAnd1532~0_combout\,
	datac => \led_flash_cnt[1532][7]~q\,
	datad => \led_flash_cnt[1532][0]~q\,
	combout => \WideAnd1532~combout\);

-- Location: FF_X51_Y17_N23
\led_flash_cnt_ands[1532]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1532~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1532));

-- Location: LCCOMB_X51_Y17_N24
\WideAnd4031~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4031~1_combout\ = (led_flash_cnt_ands(1533) & led_flash_cnt_ands(1532))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1533),
	datac => led_flash_cnt_ands(1532),
	combout => \WideAnd4031~1_combout\);

-- Location: LCCOMB_X23_Y29_N2
\led_flash_cnt[1530][0]~82170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1530][0]~82170_combout\ = !\led_flash_cnt[1530][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1530][0]~q\,
	combout => \led_flash_cnt[1530][0]~82170_combout\);

-- Location: FF_X23_Y29_N3
\led_flash_cnt[1530][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1530][0]~82170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1530][0]~q\);

-- Location: LCCOMB_X22_Y29_N16
\led_flash_cnt[1530][1]~48300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1530][1]~48300_combout\ = (\led_flash_cnt[1530][0]~q\ & (\led_flash_cnt[1530][1]~q\ $ (VCC))) # (!\led_flash_cnt[1530][0]~q\ & (\led_flash_cnt[1530][1]~q\ & VCC))
-- \led_flash_cnt[1530][1]~48301\ = CARRY((\led_flash_cnt[1530][0]~q\ & \led_flash_cnt[1530][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1530][0]~q\,
	datab => \led_flash_cnt[1530][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1530][1]~48300_combout\,
	cout => \led_flash_cnt[1530][1]~48301\);

-- Location: FF_X22_Y29_N17
\led_flash_cnt[1530][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1530][1]~48300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1530][1]~q\);

-- Location: LCCOMB_X22_Y29_N18
\led_flash_cnt[1530][2]~48302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1530][2]~48302_combout\ = (\led_flash_cnt[1530][2]~q\ & (!\led_flash_cnt[1530][1]~48301\)) # (!\led_flash_cnt[1530][2]~q\ & ((\led_flash_cnt[1530][1]~48301\) # (GND)))
-- \led_flash_cnt[1530][2]~48303\ = CARRY((!\led_flash_cnt[1530][1]~48301\) # (!\led_flash_cnt[1530][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1530][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1530][1]~48301\,
	combout => \led_flash_cnt[1530][2]~48302_combout\,
	cout => \led_flash_cnt[1530][2]~48303\);

-- Location: FF_X22_Y29_N19
\led_flash_cnt[1530][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1530][2]~48302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1530][2]~q\);

-- Location: LCCOMB_X22_Y29_N20
\led_flash_cnt[1530][3]~48304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1530][3]~48304_combout\ = (\led_flash_cnt[1530][3]~q\ & (\led_flash_cnt[1530][2]~48303\ $ (GND))) # (!\led_flash_cnt[1530][3]~q\ & (!\led_flash_cnt[1530][2]~48303\ & VCC))
-- \led_flash_cnt[1530][3]~48305\ = CARRY((\led_flash_cnt[1530][3]~q\ & !\led_flash_cnt[1530][2]~48303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1530][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1530][2]~48303\,
	combout => \led_flash_cnt[1530][3]~48304_combout\,
	cout => \led_flash_cnt[1530][3]~48305\);

-- Location: FF_X22_Y29_N21
\led_flash_cnt[1530][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1530][3]~48304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1530][3]~q\);

-- Location: LCCOMB_X22_Y29_N22
\led_flash_cnt[1530][4]~48306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1530][4]~48306_combout\ = (\led_flash_cnt[1530][4]~q\ & (!\led_flash_cnt[1530][3]~48305\)) # (!\led_flash_cnt[1530][4]~q\ & ((\led_flash_cnt[1530][3]~48305\) # (GND)))
-- \led_flash_cnt[1530][4]~48307\ = CARRY((!\led_flash_cnt[1530][3]~48305\) # (!\led_flash_cnt[1530][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1530][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1530][3]~48305\,
	combout => \led_flash_cnt[1530][4]~48306_combout\,
	cout => \led_flash_cnt[1530][4]~48307\);

-- Location: FF_X22_Y29_N23
\led_flash_cnt[1530][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1530][4]~48306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1530][4]~q\);

-- Location: LCCOMB_X22_Y29_N14
\WideAnd1530~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1530~0_combout\ = (\led_flash_cnt[1530][1]~q\ & (\led_flash_cnt[1530][2]~q\ & (\led_flash_cnt[1530][4]~q\ & \led_flash_cnt[1530][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1530][1]~q\,
	datab => \led_flash_cnt[1530][2]~q\,
	datac => \led_flash_cnt[1530][4]~q\,
	datad => \led_flash_cnt[1530][3]~q\,
	combout => \WideAnd1530~0_combout\);

-- Location: LCCOMB_X22_Y29_N24
\led_flash_cnt[1530][5]~48308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1530][5]~48308_combout\ = (\led_flash_cnt[1530][5]~q\ & (\led_flash_cnt[1530][4]~48307\ $ (GND))) # (!\led_flash_cnt[1530][5]~q\ & (!\led_flash_cnt[1530][4]~48307\ & VCC))
-- \led_flash_cnt[1530][5]~48309\ = CARRY((\led_flash_cnt[1530][5]~q\ & !\led_flash_cnt[1530][4]~48307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1530][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1530][4]~48307\,
	combout => \led_flash_cnt[1530][5]~48308_combout\,
	cout => \led_flash_cnt[1530][5]~48309\);

-- Location: FF_X22_Y29_N25
\led_flash_cnt[1530][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1530][5]~48308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1530][5]~q\);

-- Location: LCCOMB_X22_Y29_N26
\led_flash_cnt[1530][6]~48310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1530][6]~48310_combout\ = (\led_flash_cnt[1530][6]~q\ & (!\led_flash_cnt[1530][5]~48309\)) # (!\led_flash_cnt[1530][6]~q\ & ((\led_flash_cnt[1530][5]~48309\) # (GND)))
-- \led_flash_cnt[1530][6]~48311\ = CARRY((!\led_flash_cnt[1530][5]~48309\) # (!\led_flash_cnt[1530][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1530][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1530][5]~48309\,
	combout => \led_flash_cnt[1530][6]~48310_combout\,
	cout => \led_flash_cnt[1530][6]~48311\);

-- Location: FF_X22_Y29_N27
\led_flash_cnt[1530][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1530][6]~48310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1530][6]~q\);

-- Location: LCCOMB_X22_Y29_N28
\led_flash_cnt[1530][7]~48312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1530][7]~48312_combout\ = \led_flash_cnt[1530][6]~48311\ $ (!\led_flash_cnt[1530][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1530][7]~q\,
	cin => \led_flash_cnt[1530][6]~48311\,
	combout => \led_flash_cnt[1530][7]~48312_combout\);

-- Location: FF_X22_Y29_N29
\led_flash_cnt[1530][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1530][7]~48312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1530][7]~q\);

-- Location: LCCOMB_X23_Y29_N22
\WideAnd1530~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1530~1_combout\ = (\led_flash_cnt[1530][6]~q\ & \led_flash_cnt[1530][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1530][6]~q\,
	datad => \led_flash_cnt[1530][5]~q\,
	combout => \WideAnd1530~1_combout\);

-- Location: LCCOMB_X23_Y29_N28
WideAnd1530 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1530~combout\ = (\WideAnd1530~0_combout\ & (\led_flash_cnt[1530][7]~q\ & (\WideAnd1530~1_combout\ & \led_flash_cnt[1530][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1530~0_combout\,
	datab => \led_flash_cnt[1530][7]~q\,
	datac => \WideAnd1530~1_combout\,
	datad => \led_flash_cnt[1530][0]~q\,
	combout => \WideAnd1530~combout\);

-- Location: FF_X23_Y29_N29
\led_flash_cnt_ands[1530]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1530~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1530));

-- Location: LCCOMB_X35_Y14_N16
\led_flash_cnt[1531][0]~82171\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1531][0]~82171_combout\ = !\led_flash_cnt[1531][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1531][0]~q\,
	combout => \led_flash_cnt[1531][0]~82171_combout\);

-- Location: FF_X35_Y14_N17
\led_flash_cnt[1531][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1531][0]~82171_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1531][0]~q\);

-- Location: LCCOMB_X35_Y14_N0
\led_flash_cnt[1531][1]~48314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1531][1]~48314_combout\ = (\led_flash_cnt[1531][1]~q\ & (\led_flash_cnt[1531][0]~q\ $ (VCC))) # (!\led_flash_cnt[1531][1]~q\ & (\led_flash_cnt[1531][0]~q\ & VCC))
-- \led_flash_cnt[1531][1]~48315\ = CARRY((\led_flash_cnt[1531][1]~q\ & \led_flash_cnt[1531][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1531][1]~q\,
	datab => \led_flash_cnt[1531][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1531][1]~48314_combout\,
	cout => \led_flash_cnt[1531][1]~48315\);

-- Location: FF_X35_Y14_N1
\led_flash_cnt[1531][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1531][1]~48314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1531][1]~q\);

-- Location: LCCOMB_X35_Y14_N2
\led_flash_cnt[1531][2]~48316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1531][2]~48316_combout\ = (\led_flash_cnt[1531][2]~q\ & (!\led_flash_cnt[1531][1]~48315\)) # (!\led_flash_cnt[1531][2]~q\ & ((\led_flash_cnt[1531][1]~48315\) # (GND)))
-- \led_flash_cnt[1531][2]~48317\ = CARRY((!\led_flash_cnt[1531][1]~48315\) # (!\led_flash_cnt[1531][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1531][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1531][1]~48315\,
	combout => \led_flash_cnt[1531][2]~48316_combout\,
	cout => \led_flash_cnt[1531][2]~48317\);

-- Location: FF_X35_Y14_N3
\led_flash_cnt[1531][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1531][2]~48316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1531][2]~q\);

-- Location: LCCOMB_X35_Y14_N4
\led_flash_cnt[1531][3]~48318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1531][3]~48318_combout\ = (\led_flash_cnt[1531][3]~q\ & (\led_flash_cnt[1531][2]~48317\ $ (GND))) # (!\led_flash_cnt[1531][3]~q\ & (!\led_flash_cnt[1531][2]~48317\ & VCC))
-- \led_flash_cnt[1531][3]~48319\ = CARRY((\led_flash_cnt[1531][3]~q\ & !\led_flash_cnt[1531][2]~48317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1531][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1531][2]~48317\,
	combout => \led_flash_cnt[1531][3]~48318_combout\,
	cout => \led_flash_cnt[1531][3]~48319\);

-- Location: FF_X35_Y14_N5
\led_flash_cnt[1531][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1531][3]~48318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1531][3]~q\);

-- Location: LCCOMB_X35_Y14_N6
\led_flash_cnt[1531][4]~48320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1531][4]~48320_combout\ = (\led_flash_cnt[1531][4]~q\ & (!\led_flash_cnt[1531][3]~48319\)) # (!\led_flash_cnt[1531][4]~q\ & ((\led_flash_cnt[1531][3]~48319\) # (GND)))
-- \led_flash_cnt[1531][4]~48321\ = CARRY((!\led_flash_cnt[1531][3]~48319\) # (!\led_flash_cnt[1531][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1531][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1531][3]~48319\,
	combout => \led_flash_cnt[1531][4]~48320_combout\,
	cout => \led_flash_cnt[1531][4]~48321\);

-- Location: FF_X35_Y14_N7
\led_flash_cnt[1531][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1531][4]~48320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1531][4]~q\);

-- Location: LCCOMB_X35_Y14_N8
\led_flash_cnt[1531][5]~48322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1531][5]~48322_combout\ = (\led_flash_cnt[1531][5]~q\ & (\led_flash_cnt[1531][4]~48321\ $ (GND))) # (!\led_flash_cnt[1531][5]~q\ & (!\led_flash_cnt[1531][4]~48321\ & VCC))
-- \led_flash_cnt[1531][5]~48323\ = CARRY((\led_flash_cnt[1531][5]~q\ & !\led_flash_cnt[1531][4]~48321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1531][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1531][4]~48321\,
	combout => \led_flash_cnt[1531][5]~48322_combout\,
	cout => \led_flash_cnt[1531][5]~48323\);

-- Location: FF_X35_Y14_N9
\led_flash_cnt[1531][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1531][5]~48322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1531][5]~q\);

-- Location: LCCOMB_X35_Y14_N10
\led_flash_cnt[1531][6]~48324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1531][6]~48324_combout\ = (\led_flash_cnt[1531][6]~q\ & (!\led_flash_cnt[1531][5]~48323\)) # (!\led_flash_cnt[1531][6]~q\ & ((\led_flash_cnt[1531][5]~48323\) # (GND)))
-- \led_flash_cnt[1531][6]~48325\ = CARRY((!\led_flash_cnt[1531][5]~48323\) # (!\led_flash_cnt[1531][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1531][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1531][5]~48323\,
	combout => \led_flash_cnt[1531][6]~48324_combout\,
	cout => \led_flash_cnt[1531][6]~48325\);

-- Location: FF_X35_Y14_N11
\led_flash_cnt[1531][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1531][6]~48324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1531][6]~q\);

-- Location: LCCOMB_X35_Y14_N12
\led_flash_cnt[1531][7]~48326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1531][7]~48326_combout\ = \led_flash_cnt[1531][6]~48325\ $ (!\led_flash_cnt[1531][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1531][7]~q\,
	cin => \led_flash_cnt[1531][6]~48325\,
	combout => \led_flash_cnt[1531][7]~48326_combout\);

-- Location: FF_X35_Y14_N13
\led_flash_cnt[1531][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1531][7]~48326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1531][7]~q\);

-- Location: LCCOMB_X35_Y14_N20
\WideAnd1531~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1531~1_combout\ = (\led_flash_cnt[1531][5]~q\ & \led_flash_cnt[1531][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1531][5]~q\,
	datad => \led_flash_cnt[1531][6]~q\,
	combout => \WideAnd1531~1_combout\);

-- Location: LCCOMB_X35_Y14_N30
\WideAnd1531~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1531~0_combout\ = (\led_flash_cnt[1531][1]~q\ & (\led_flash_cnt[1531][2]~q\ & (\led_flash_cnt[1531][3]~q\ & \led_flash_cnt[1531][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1531][1]~q\,
	datab => \led_flash_cnt[1531][2]~q\,
	datac => \led_flash_cnt[1531][3]~q\,
	datad => \led_flash_cnt[1531][4]~q\,
	combout => \WideAnd1531~0_combout\);

-- Location: LCCOMB_X35_Y14_N28
WideAnd1531 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1531~combout\ = (\led_flash_cnt[1531][7]~q\ & (\WideAnd1531~1_combout\ & (\WideAnd1531~0_combout\ & \led_flash_cnt[1531][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1531][7]~q\,
	datab => \WideAnd1531~1_combout\,
	datac => \WideAnd1531~0_combout\,
	datad => \led_flash_cnt[1531][0]~q\,
	combout => \WideAnd1531~combout\);

-- Location: FF_X35_Y14_N29
\led_flash_cnt_ands[1531]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1531~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1531));

-- Location: LCCOMB_X23_Y16_N20
\led_flash_cnt[1529][0]~82169\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1529][0]~82169_combout\ = !\led_flash_cnt[1529][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1529][0]~q\,
	combout => \led_flash_cnt[1529][0]~82169_combout\);

-- Location: FF_X23_Y16_N21
\led_flash_cnt[1529][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1529][0]~82169_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1529][0]~q\);

-- Location: LCCOMB_X24_Y16_N16
\led_flash_cnt[1529][1]~48286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1529][1]~48286_combout\ = (\led_flash_cnt[1529][0]~q\ & (\led_flash_cnt[1529][1]~q\ $ (VCC))) # (!\led_flash_cnt[1529][0]~q\ & (\led_flash_cnt[1529][1]~q\ & VCC))
-- \led_flash_cnt[1529][1]~48287\ = CARRY((\led_flash_cnt[1529][0]~q\ & \led_flash_cnt[1529][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1529][0]~q\,
	datab => \led_flash_cnt[1529][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1529][1]~48286_combout\,
	cout => \led_flash_cnt[1529][1]~48287\);

-- Location: FF_X24_Y16_N17
\led_flash_cnt[1529][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1529][1]~48286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1529][1]~q\);

-- Location: LCCOMB_X24_Y16_N18
\led_flash_cnt[1529][2]~48288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1529][2]~48288_combout\ = (\led_flash_cnt[1529][2]~q\ & (!\led_flash_cnt[1529][1]~48287\)) # (!\led_flash_cnt[1529][2]~q\ & ((\led_flash_cnt[1529][1]~48287\) # (GND)))
-- \led_flash_cnt[1529][2]~48289\ = CARRY((!\led_flash_cnt[1529][1]~48287\) # (!\led_flash_cnt[1529][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1529][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1529][1]~48287\,
	combout => \led_flash_cnt[1529][2]~48288_combout\,
	cout => \led_flash_cnt[1529][2]~48289\);

-- Location: FF_X24_Y16_N19
\led_flash_cnt[1529][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1529][2]~48288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1529][2]~q\);

-- Location: LCCOMB_X24_Y16_N20
\led_flash_cnt[1529][3]~48290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1529][3]~48290_combout\ = (\led_flash_cnt[1529][3]~q\ & (\led_flash_cnt[1529][2]~48289\ $ (GND))) # (!\led_flash_cnt[1529][3]~q\ & (!\led_flash_cnt[1529][2]~48289\ & VCC))
-- \led_flash_cnt[1529][3]~48291\ = CARRY((\led_flash_cnt[1529][3]~q\ & !\led_flash_cnt[1529][2]~48289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1529][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1529][2]~48289\,
	combout => \led_flash_cnt[1529][3]~48290_combout\,
	cout => \led_flash_cnt[1529][3]~48291\);

-- Location: FF_X24_Y16_N21
\led_flash_cnt[1529][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1529][3]~48290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1529][3]~q\);

-- Location: LCCOMB_X24_Y16_N22
\led_flash_cnt[1529][4]~48292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1529][4]~48292_combout\ = (\led_flash_cnt[1529][4]~q\ & (!\led_flash_cnt[1529][3]~48291\)) # (!\led_flash_cnt[1529][4]~q\ & ((\led_flash_cnt[1529][3]~48291\) # (GND)))
-- \led_flash_cnt[1529][4]~48293\ = CARRY((!\led_flash_cnt[1529][3]~48291\) # (!\led_flash_cnt[1529][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1529][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1529][3]~48291\,
	combout => \led_flash_cnt[1529][4]~48292_combout\,
	cout => \led_flash_cnt[1529][4]~48293\);

-- Location: FF_X24_Y16_N23
\led_flash_cnt[1529][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1529][4]~48292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1529][4]~q\);

-- Location: LCCOMB_X24_Y16_N24
\led_flash_cnt[1529][5]~48294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1529][5]~48294_combout\ = (\led_flash_cnt[1529][5]~q\ & (\led_flash_cnt[1529][4]~48293\ $ (GND))) # (!\led_flash_cnt[1529][5]~q\ & (!\led_flash_cnt[1529][4]~48293\ & VCC))
-- \led_flash_cnt[1529][5]~48295\ = CARRY((\led_flash_cnt[1529][5]~q\ & !\led_flash_cnt[1529][4]~48293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1529][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1529][4]~48293\,
	combout => \led_flash_cnt[1529][5]~48294_combout\,
	cout => \led_flash_cnt[1529][5]~48295\);

-- Location: FF_X24_Y16_N25
\led_flash_cnt[1529][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1529][5]~48294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1529][5]~q\);

-- Location: LCCOMB_X24_Y16_N26
\led_flash_cnt[1529][6]~48296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1529][6]~48296_combout\ = (\led_flash_cnt[1529][6]~q\ & (!\led_flash_cnt[1529][5]~48295\)) # (!\led_flash_cnt[1529][6]~q\ & ((\led_flash_cnt[1529][5]~48295\) # (GND)))
-- \led_flash_cnt[1529][6]~48297\ = CARRY((!\led_flash_cnt[1529][5]~48295\) # (!\led_flash_cnt[1529][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1529][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1529][5]~48295\,
	combout => \led_flash_cnt[1529][6]~48296_combout\,
	cout => \led_flash_cnt[1529][6]~48297\);

-- Location: FF_X24_Y16_N27
\led_flash_cnt[1529][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1529][6]~48296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1529][6]~q\);

-- Location: LCCOMB_X23_Y16_N30
\WideAnd1529~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1529~1_combout\ = (\led_flash_cnt[1529][6]~q\ & \led_flash_cnt[1529][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1529][6]~q\,
	datad => \led_flash_cnt[1529][5]~q\,
	combout => \WideAnd1529~1_combout\);

-- Location: LCCOMB_X24_Y16_N0
\WideAnd1529~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1529~0_combout\ = (\led_flash_cnt[1529][1]~q\ & (\led_flash_cnt[1529][3]~q\ & (\led_flash_cnt[1529][4]~q\ & \led_flash_cnt[1529][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1529][1]~q\,
	datab => \led_flash_cnt[1529][3]~q\,
	datac => \led_flash_cnt[1529][4]~q\,
	datad => \led_flash_cnt[1529][2]~q\,
	combout => \WideAnd1529~0_combout\);

-- Location: LCCOMB_X24_Y16_N28
\led_flash_cnt[1529][7]~48298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1529][7]~48298_combout\ = \led_flash_cnt[1529][6]~48297\ $ (!\led_flash_cnt[1529][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1529][7]~q\,
	cin => \led_flash_cnt[1529][6]~48297\,
	combout => \led_flash_cnt[1529][7]~48298_combout\);

-- Location: FF_X24_Y16_N29
\led_flash_cnt[1529][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1529][7]~48298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1529][7]~q\);

-- Location: LCCOMB_X23_Y16_N22
WideAnd1529 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1529~combout\ = (\WideAnd1529~1_combout\ & (\led_flash_cnt[1529][0]~q\ & (\WideAnd1529~0_combout\ & \led_flash_cnt[1529][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1529~1_combout\,
	datab => \led_flash_cnt[1529][0]~q\,
	datac => \WideAnd1529~0_combout\,
	datad => \led_flash_cnt[1529][7]~q\,
	combout => \WideAnd1529~combout\);

-- Location: FF_X23_Y16_N23
\led_flash_cnt_ands[1529]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1529~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1529));

-- Location: LCCOMB_X3_Y10_N24
\led_flash_cnt[1528][0]~82168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1528][0]~82168_combout\ = !\led_flash_cnt[1528][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1528][0]~q\,
	combout => \led_flash_cnt[1528][0]~82168_combout\);

-- Location: FF_X3_Y10_N25
\led_flash_cnt[1528][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1528][0]~82168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1528][0]~q\);

-- Location: LCCOMB_X3_Y10_N0
\led_flash_cnt[1528][1]~48272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1528][1]~48272_combout\ = (\led_flash_cnt[1528][1]~q\ & (\led_flash_cnt[1528][0]~q\ $ (VCC))) # (!\led_flash_cnt[1528][1]~q\ & (\led_flash_cnt[1528][0]~q\ & VCC))
-- \led_flash_cnt[1528][1]~48273\ = CARRY((\led_flash_cnt[1528][1]~q\ & \led_flash_cnt[1528][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1528][1]~q\,
	datab => \led_flash_cnt[1528][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1528][1]~48272_combout\,
	cout => \led_flash_cnt[1528][1]~48273\);

-- Location: FF_X3_Y10_N1
\led_flash_cnt[1528][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1528][1]~48272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1528][1]~q\);

-- Location: LCCOMB_X3_Y10_N2
\led_flash_cnt[1528][2]~48274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1528][2]~48274_combout\ = (\led_flash_cnt[1528][2]~q\ & (!\led_flash_cnt[1528][1]~48273\)) # (!\led_flash_cnt[1528][2]~q\ & ((\led_flash_cnt[1528][1]~48273\) # (GND)))
-- \led_flash_cnt[1528][2]~48275\ = CARRY((!\led_flash_cnt[1528][1]~48273\) # (!\led_flash_cnt[1528][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1528][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1528][1]~48273\,
	combout => \led_flash_cnt[1528][2]~48274_combout\,
	cout => \led_flash_cnt[1528][2]~48275\);

-- Location: FF_X3_Y10_N3
\led_flash_cnt[1528][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1528][2]~48274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1528][2]~q\);

-- Location: LCCOMB_X3_Y10_N4
\led_flash_cnt[1528][3]~48276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1528][3]~48276_combout\ = (\led_flash_cnt[1528][3]~q\ & (\led_flash_cnt[1528][2]~48275\ $ (GND))) # (!\led_flash_cnt[1528][3]~q\ & (!\led_flash_cnt[1528][2]~48275\ & VCC))
-- \led_flash_cnt[1528][3]~48277\ = CARRY((\led_flash_cnt[1528][3]~q\ & !\led_flash_cnt[1528][2]~48275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1528][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1528][2]~48275\,
	combout => \led_flash_cnt[1528][3]~48276_combout\,
	cout => \led_flash_cnt[1528][3]~48277\);

-- Location: FF_X3_Y10_N5
\led_flash_cnt[1528][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1528][3]~48276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1528][3]~q\);

-- Location: LCCOMB_X3_Y10_N6
\led_flash_cnt[1528][4]~48278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1528][4]~48278_combout\ = (\led_flash_cnt[1528][4]~q\ & (!\led_flash_cnt[1528][3]~48277\)) # (!\led_flash_cnt[1528][4]~q\ & ((\led_flash_cnt[1528][3]~48277\) # (GND)))
-- \led_flash_cnt[1528][4]~48279\ = CARRY((!\led_flash_cnt[1528][3]~48277\) # (!\led_flash_cnt[1528][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1528][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1528][3]~48277\,
	combout => \led_flash_cnt[1528][4]~48278_combout\,
	cout => \led_flash_cnt[1528][4]~48279\);

-- Location: FF_X3_Y10_N7
\led_flash_cnt[1528][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1528][4]~48278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1528][4]~q\);

-- Location: LCCOMB_X3_Y10_N8
\led_flash_cnt[1528][5]~48280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1528][5]~48280_combout\ = (\led_flash_cnt[1528][5]~q\ & (\led_flash_cnt[1528][4]~48279\ $ (GND))) # (!\led_flash_cnt[1528][5]~q\ & (!\led_flash_cnt[1528][4]~48279\ & VCC))
-- \led_flash_cnt[1528][5]~48281\ = CARRY((\led_flash_cnt[1528][5]~q\ & !\led_flash_cnt[1528][4]~48279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1528][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1528][4]~48279\,
	combout => \led_flash_cnt[1528][5]~48280_combout\,
	cout => \led_flash_cnt[1528][5]~48281\);

-- Location: FF_X3_Y10_N9
\led_flash_cnt[1528][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1528][5]~48280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1528][5]~q\);

-- Location: LCCOMB_X3_Y10_N10
\led_flash_cnt[1528][6]~48282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1528][6]~48282_combout\ = (\led_flash_cnt[1528][6]~q\ & (!\led_flash_cnt[1528][5]~48281\)) # (!\led_flash_cnt[1528][6]~q\ & ((\led_flash_cnt[1528][5]~48281\) # (GND)))
-- \led_flash_cnt[1528][6]~48283\ = CARRY((!\led_flash_cnt[1528][5]~48281\) # (!\led_flash_cnt[1528][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1528][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1528][5]~48281\,
	combout => \led_flash_cnt[1528][6]~48282_combout\,
	cout => \led_flash_cnt[1528][6]~48283\);

-- Location: FF_X3_Y10_N11
\led_flash_cnt[1528][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1528][6]~48282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1528][6]~q\);

-- Location: LCCOMB_X3_Y10_N12
\led_flash_cnt[1528][7]~48284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1528][7]~48284_combout\ = \led_flash_cnt[1528][6]~48283\ $ (!\led_flash_cnt[1528][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1528][7]~q\,
	cin => \led_flash_cnt[1528][6]~48283\,
	combout => \led_flash_cnt[1528][7]~48284_combout\);

-- Location: FF_X3_Y10_N13
\led_flash_cnt[1528][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1528][7]~48284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1528][7]~q\);

-- Location: LCCOMB_X3_Y10_N26
\WideAnd1528~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1528~0_combout\ = (\led_flash_cnt[1528][4]~q\ & (\led_flash_cnt[1528][1]~q\ & (\led_flash_cnt[1528][3]~q\ & \led_flash_cnt[1528][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1528][4]~q\,
	datab => \led_flash_cnt[1528][1]~q\,
	datac => \led_flash_cnt[1528][3]~q\,
	datad => \led_flash_cnt[1528][2]~q\,
	combout => \WideAnd1528~0_combout\);

-- Location: LCCOMB_X3_Y10_N18
\WideAnd1528~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1528~1_combout\ = (\led_flash_cnt[1528][5]~q\ & \led_flash_cnt[1528][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1528][5]~q\,
	datad => \led_flash_cnt[1528][6]~q\,
	combout => \WideAnd1528~1_combout\);

-- Location: LCCOMB_X3_Y10_N22
WideAnd1528 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1528~combout\ = (\led_flash_cnt[1528][7]~q\ & (\led_flash_cnt[1528][0]~q\ & (\WideAnd1528~0_combout\ & \WideAnd1528~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1528][7]~q\,
	datab => \led_flash_cnt[1528][0]~q\,
	datac => \WideAnd1528~0_combout\,
	datad => \WideAnd1528~1_combout\,
	combout => \WideAnd1528~combout\);

-- Location: FF_X3_Y10_N23
\led_flash_cnt_ands[1528]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1528~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1528));

-- Location: LCCOMB_X23_Y16_N0
\WideAnd4031~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4031~0_combout\ = (led_flash_cnt_ands(1530) & (led_flash_cnt_ands(1531) & (led_flash_cnt_ands(1529) & led_flash_cnt_ands(1528))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1530),
	datab => led_flash_cnt_ands(1531),
	datac => led_flash_cnt_ands(1529),
	datad => led_flash_cnt_ands(1528),
	combout => \WideAnd4031~0_combout\);

-- Location: LCCOMB_X27_Y21_N28
\led_flash_cnt[1535][0]~82175\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1535][0]~82175_combout\ = !\led_flash_cnt[1535][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1535][0]~q\,
	combout => \led_flash_cnt[1535][0]~82175_combout\);

-- Location: FF_X27_Y21_N29
\led_flash_cnt[1535][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1535][0]~82175_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1535][0]~q\);

-- Location: LCCOMB_X27_Y24_N16
\led_flash_cnt[1535][1]~48370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1535][1]~48370_combout\ = (\led_flash_cnt[1535][0]~q\ & (\led_flash_cnt[1535][1]~q\ $ (VCC))) # (!\led_flash_cnt[1535][0]~q\ & (\led_flash_cnt[1535][1]~q\ & VCC))
-- \led_flash_cnt[1535][1]~48371\ = CARRY((\led_flash_cnt[1535][0]~q\ & \led_flash_cnt[1535][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1535][0]~q\,
	datab => \led_flash_cnt[1535][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1535][1]~48370_combout\,
	cout => \led_flash_cnt[1535][1]~48371\);

-- Location: FF_X27_Y24_N17
\led_flash_cnt[1535][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1535][1]~48370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1535][1]~q\);

-- Location: LCCOMB_X27_Y24_N18
\led_flash_cnt[1535][2]~48372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1535][2]~48372_combout\ = (\led_flash_cnt[1535][2]~q\ & (!\led_flash_cnt[1535][1]~48371\)) # (!\led_flash_cnt[1535][2]~q\ & ((\led_flash_cnt[1535][1]~48371\) # (GND)))
-- \led_flash_cnt[1535][2]~48373\ = CARRY((!\led_flash_cnt[1535][1]~48371\) # (!\led_flash_cnt[1535][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1535][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1535][1]~48371\,
	combout => \led_flash_cnt[1535][2]~48372_combout\,
	cout => \led_flash_cnt[1535][2]~48373\);

-- Location: FF_X27_Y24_N19
\led_flash_cnt[1535][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1535][2]~48372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1535][2]~q\);

-- Location: LCCOMB_X27_Y24_N20
\led_flash_cnt[1535][3]~48374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1535][3]~48374_combout\ = (\led_flash_cnt[1535][3]~q\ & (\led_flash_cnt[1535][2]~48373\ $ (GND))) # (!\led_flash_cnt[1535][3]~q\ & (!\led_flash_cnt[1535][2]~48373\ & VCC))
-- \led_flash_cnt[1535][3]~48375\ = CARRY((\led_flash_cnt[1535][3]~q\ & !\led_flash_cnt[1535][2]~48373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1535][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1535][2]~48373\,
	combout => \led_flash_cnt[1535][3]~48374_combout\,
	cout => \led_flash_cnt[1535][3]~48375\);

-- Location: FF_X27_Y24_N21
\led_flash_cnt[1535][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1535][3]~48374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1535][3]~q\);

-- Location: LCCOMB_X27_Y24_N22
\led_flash_cnt[1535][4]~48376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1535][4]~48376_combout\ = (\led_flash_cnt[1535][4]~q\ & (!\led_flash_cnt[1535][3]~48375\)) # (!\led_flash_cnt[1535][4]~q\ & ((\led_flash_cnt[1535][3]~48375\) # (GND)))
-- \led_flash_cnt[1535][4]~48377\ = CARRY((!\led_flash_cnt[1535][3]~48375\) # (!\led_flash_cnt[1535][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1535][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1535][3]~48375\,
	combout => \led_flash_cnt[1535][4]~48376_combout\,
	cout => \led_flash_cnt[1535][4]~48377\);

-- Location: FF_X27_Y24_N23
\led_flash_cnt[1535][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1535][4]~48376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1535][4]~q\);

-- Location: LCCOMB_X27_Y24_N24
\led_flash_cnt[1535][5]~48378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1535][5]~48378_combout\ = (\led_flash_cnt[1535][5]~q\ & (\led_flash_cnt[1535][4]~48377\ $ (GND))) # (!\led_flash_cnt[1535][5]~q\ & (!\led_flash_cnt[1535][4]~48377\ & VCC))
-- \led_flash_cnt[1535][5]~48379\ = CARRY((\led_flash_cnt[1535][5]~q\ & !\led_flash_cnt[1535][4]~48377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1535][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1535][4]~48377\,
	combout => \led_flash_cnt[1535][5]~48378_combout\,
	cout => \led_flash_cnt[1535][5]~48379\);

-- Location: FF_X27_Y24_N25
\led_flash_cnt[1535][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1535][5]~48378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1535][5]~q\);

-- Location: LCCOMB_X27_Y24_N26
\led_flash_cnt[1535][6]~48380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1535][6]~48380_combout\ = (\led_flash_cnt[1535][6]~q\ & (!\led_flash_cnt[1535][5]~48379\)) # (!\led_flash_cnt[1535][6]~q\ & ((\led_flash_cnt[1535][5]~48379\) # (GND)))
-- \led_flash_cnt[1535][6]~48381\ = CARRY((!\led_flash_cnt[1535][5]~48379\) # (!\led_flash_cnt[1535][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1535][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1535][5]~48379\,
	combout => \led_flash_cnt[1535][6]~48380_combout\,
	cout => \led_flash_cnt[1535][6]~48381\);

-- Location: FF_X27_Y24_N27
\led_flash_cnt[1535][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1535][6]~48380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1535][6]~q\);

-- Location: LCCOMB_X27_Y21_N22
\WideAnd1535~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1535~1_combout\ = (\led_flash_cnt[1535][6]~q\ & \led_flash_cnt[1535][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1535][6]~q\,
	datad => \led_flash_cnt[1535][5]~q\,
	combout => \WideAnd1535~1_combout\);

-- Location: LCCOMB_X27_Y24_N0
\WideAnd1535~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1535~0_combout\ = (\led_flash_cnt[1535][1]~q\ & (\led_flash_cnt[1535][3]~q\ & (\led_flash_cnt[1535][4]~q\ & \led_flash_cnt[1535][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1535][1]~q\,
	datab => \led_flash_cnt[1535][3]~q\,
	datac => \led_flash_cnt[1535][4]~q\,
	datad => \led_flash_cnt[1535][2]~q\,
	combout => \WideAnd1535~0_combout\);

-- Location: LCCOMB_X27_Y24_N28
\led_flash_cnt[1535][7]~48382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1535][7]~48382_combout\ = \led_flash_cnt[1535][6]~48381\ $ (!\led_flash_cnt[1535][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1535][7]~q\,
	cin => \led_flash_cnt[1535][6]~48381\,
	combout => \led_flash_cnt[1535][7]~48382_combout\);

-- Location: FF_X27_Y24_N29
\led_flash_cnt[1535][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1535][7]~48382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1535][7]~q\);

-- Location: LCCOMB_X27_Y21_N20
WideAnd1535 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1535~combout\ = (\WideAnd1535~1_combout\ & (\led_flash_cnt[1535][0]~q\ & (\WideAnd1535~0_combout\ & \led_flash_cnt[1535][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1535~1_combout\,
	datab => \led_flash_cnt[1535][0]~q\,
	datac => \WideAnd1535~0_combout\,
	datad => \led_flash_cnt[1535][7]~q\,
	combout => \WideAnd1535~combout\);

-- Location: FF_X27_Y21_N21
\led_flash_cnt_ands[1535]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1535~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1535));

-- Location: LCCOMB_X27_Y21_N4
WideAnd4031 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4031~combout\ = (led_flash_cnt_ands(1534) & (\WideAnd4031~1_combout\ & (\WideAnd4031~0_combout\ & led_flash_cnt_ands(1535))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1534),
	datab => \WideAnd4031~1_combout\,
	datac => \WideAnd4031~0_combout\,
	datad => led_flash_cnt_ands(1535),
	combout => \WideAnd4031~combout\);

-- Location: FF_X27_Y21_N5
\led_flash_cnt_ands_1[191]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4031~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(191));

-- Location: LCCOMB_X36_Y22_N16
\led_flash_cnt[1474][0]~82114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1474][0]~82114_combout\ = !\led_flash_cnt[1474][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1474][0]~q\,
	combout => \led_flash_cnt[1474][0]~82114_combout\);

-- Location: FF_X36_Y22_N17
\led_flash_cnt[1474][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1474][0]~82114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1474][0]~q\);

-- Location: LCCOMB_X37_Y22_N14
\led_flash_cnt[1474][1]~47516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1474][1]~47516_combout\ = (\led_flash_cnt[1474][0]~q\ & (\led_flash_cnt[1474][1]~q\ $ (VCC))) # (!\led_flash_cnt[1474][0]~q\ & (\led_flash_cnt[1474][1]~q\ & VCC))
-- \led_flash_cnt[1474][1]~47517\ = CARRY((\led_flash_cnt[1474][0]~q\ & \led_flash_cnt[1474][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1474][0]~q\,
	datab => \led_flash_cnt[1474][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1474][1]~47516_combout\,
	cout => \led_flash_cnt[1474][1]~47517\);

-- Location: FF_X37_Y22_N15
\led_flash_cnt[1474][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1474][1]~47516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1474][1]~q\);

-- Location: LCCOMB_X37_Y22_N16
\led_flash_cnt[1474][2]~47518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1474][2]~47518_combout\ = (\led_flash_cnt[1474][2]~q\ & (!\led_flash_cnt[1474][1]~47517\)) # (!\led_flash_cnt[1474][2]~q\ & ((\led_flash_cnt[1474][1]~47517\) # (GND)))
-- \led_flash_cnt[1474][2]~47519\ = CARRY((!\led_flash_cnt[1474][1]~47517\) # (!\led_flash_cnt[1474][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1474][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1474][1]~47517\,
	combout => \led_flash_cnt[1474][2]~47518_combout\,
	cout => \led_flash_cnt[1474][2]~47519\);

-- Location: FF_X37_Y22_N17
\led_flash_cnt[1474][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1474][2]~47518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1474][2]~q\);

-- Location: LCCOMB_X37_Y22_N18
\led_flash_cnt[1474][3]~47520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1474][3]~47520_combout\ = (\led_flash_cnt[1474][3]~q\ & (\led_flash_cnt[1474][2]~47519\ $ (GND))) # (!\led_flash_cnt[1474][3]~q\ & (!\led_flash_cnt[1474][2]~47519\ & VCC))
-- \led_flash_cnt[1474][3]~47521\ = CARRY((\led_flash_cnt[1474][3]~q\ & !\led_flash_cnt[1474][2]~47519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1474][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1474][2]~47519\,
	combout => \led_flash_cnt[1474][3]~47520_combout\,
	cout => \led_flash_cnt[1474][3]~47521\);

-- Location: FF_X37_Y22_N19
\led_flash_cnt[1474][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1474][3]~47520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1474][3]~q\);

-- Location: LCCOMB_X37_Y22_N20
\led_flash_cnt[1474][4]~47522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1474][4]~47522_combout\ = (\led_flash_cnt[1474][4]~q\ & (!\led_flash_cnt[1474][3]~47521\)) # (!\led_flash_cnt[1474][4]~q\ & ((\led_flash_cnt[1474][3]~47521\) # (GND)))
-- \led_flash_cnt[1474][4]~47523\ = CARRY((!\led_flash_cnt[1474][3]~47521\) # (!\led_flash_cnt[1474][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1474][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1474][3]~47521\,
	combout => \led_flash_cnt[1474][4]~47522_combout\,
	cout => \led_flash_cnt[1474][4]~47523\);

-- Location: FF_X37_Y22_N21
\led_flash_cnt[1474][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1474][4]~47522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1474][4]~q\);

-- Location: LCCOMB_X37_Y22_N22
\led_flash_cnt[1474][5]~47524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1474][5]~47524_combout\ = (\led_flash_cnt[1474][5]~q\ & (\led_flash_cnt[1474][4]~47523\ $ (GND))) # (!\led_flash_cnt[1474][5]~q\ & (!\led_flash_cnt[1474][4]~47523\ & VCC))
-- \led_flash_cnt[1474][5]~47525\ = CARRY((\led_flash_cnt[1474][5]~q\ & !\led_flash_cnt[1474][4]~47523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1474][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1474][4]~47523\,
	combout => \led_flash_cnt[1474][5]~47524_combout\,
	cout => \led_flash_cnt[1474][5]~47525\);

-- Location: FF_X37_Y22_N23
\led_flash_cnt[1474][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1474][5]~47524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1474][5]~q\);

-- Location: LCCOMB_X37_Y22_N24
\led_flash_cnt[1474][6]~47526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1474][6]~47526_combout\ = (\led_flash_cnt[1474][6]~q\ & (!\led_flash_cnt[1474][5]~47525\)) # (!\led_flash_cnt[1474][6]~q\ & ((\led_flash_cnt[1474][5]~47525\) # (GND)))
-- \led_flash_cnt[1474][6]~47527\ = CARRY((!\led_flash_cnt[1474][5]~47525\) # (!\led_flash_cnt[1474][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1474][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1474][5]~47525\,
	combout => \led_flash_cnt[1474][6]~47526_combout\,
	cout => \led_flash_cnt[1474][6]~47527\);

-- Location: FF_X37_Y22_N25
\led_flash_cnt[1474][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1474][6]~47526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1474][6]~q\);

-- Location: LCCOMB_X37_Y22_N26
\led_flash_cnt[1474][7]~47528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1474][7]~47528_combout\ = \led_flash_cnt[1474][7]~q\ $ (!\led_flash_cnt[1474][6]~47527\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1474][7]~q\,
	cin => \led_flash_cnt[1474][6]~47527\,
	combout => \led_flash_cnt[1474][7]~47528_combout\);

-- Location: FF_X37_Y22_N27
\led_flash_cnt[1474][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1474][7]~47528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1474][7]~q\);

-- Location: LCCOMB_X36_Y22_N18
\WideAnd1474~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1474~1_combout\ = (\led_flash_cnt[1474][6]~q\ & \led_flash_cnt[1474][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1474][6]~q\,
	datad => \led_flash_cnt[1474][5]~q\,
	combout => \WideAnd1474~1_combout\);

-- Location: LCCOMB_X37_Y22_N28
\WideAnd1474~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1474~0_combout\ = (\led_flash_cnt[1474][4]~q\ & (\led_flash_cnt[1474][3]~q\ & (\led_flash_cnt[1474][1]~q\ & \led_flash_cnt[1474][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1474][4]~q\,
	datab => \led_flash_cnt[1474][3]~q\,
	datac => \led_flash_cnt[1474][1]~q\,
	datad => \led_flash_cnt[1474][2]~q\,
	combout => \WideAnd1474~0_combout\);

-- Location: LCCOMB_X36_Y22_N0
WideAnd1474 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1474~combout\ = (\led_flash_cnt[1474][7]~q\ & (\WideAnd1474~1_combout\ & (\led_flash_cnt[1474][0]~q\ & \WideAnd1474~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1474][7]~q\,
	datab => \WideAnd1474~1_combout\,
	datac => \led_flash_cnt[1474][0]~q\,
	datad => \WideAnd1474~0_combout\,
	combout => \WideAnd1474~combout\);

-- Location: FF_X36_Y22_N1
\led_flash_cnt_ands[1474]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1474~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1474));

-- Location: LCCOMB_X42_Y10_N2
\led_flash_cnt[1473][0]~82113\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1473][0]~82113_combout\ = !\led_flash_cnt[1473][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1473][0]~q\,
	combout => \led_flash_cnt[1473][0]~82113_combout\);

-- Location: FF_X42_Y10_N3
\led_flash_cnt[1473][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1473][0]~82113_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1473][0]~q\);

-- Location: LCCOMB_X42_Y10_N10
\led_flash_cnt[1473][1]~47502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1473][1]~47502_combout\ = (\led_flash_cnt[1473][1]~q\ & (\led_flash_cnt[1473][0]~q\ $ (VCC))) # (!\led_flash_cnt[1473][1]~q\ & (\led_flash_cnt[1473][0]~q\ & VCC))
-- \led_flash_cnt[1473][1]~47503\ = CARRY((\led_flash_cnt[1473][1]~q\ & \led_flash_cnt[1473][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1473][1]~q\,
	datab => \led_flash_cnt[1473][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1473][1]~47502_combout\,
	cout => \led_flash_cnt[1473][1]~47503\);

-- Location: FF_X42_Y10_N11
\led_flash_cnt[1473][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1473][1]~47502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1473][1]~q\);

-- Location: LCCOMB_X42_Y10_N12
\led_flash_cnt[1473][2]~47504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1473][2]~47504_combout\ = (\led_flash_cnt[1473][2]~q\ & (!\led_flash_cnt[1473][1]~47503\)) # (!\led_flash_cnt[1473][2]~q\ & ((\led_flash_cnt[1473][1]~47503\) # (GND)))
-- \led_flash_cnt[1473][2]~47505\ = CARRY((!\led_flash_cnt[1473][1]~47503\) # (!\led_flash_cnt[1473][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1473][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1473][1]~47503\,
	combout => \led_flash_cnt[1473][2]~47504_combout\,
	cout => \led_flash_cnt[1473][2]~47505\);

-- Location: FF_X42_Y10_N13
\led_flash_cnt[1473][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1473][2]~47504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1473][2]~q\);

-- Location: LCCOMB_X42_Y10_N14
\led_flash_cnt[1473][3]~47506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1473][3]~47506_combout\ = (\led_flash_cnt[1473][3]~q\ & (\led_flash_cnt[1473][2]~47505\ $ (GND))) # (!\led_flash_cnt[1473][3]~q\ & (!\led_flash_cnt[1473][2]~47505\ & VCC))
-- \led_flash_cnt[1473][3]~47507\ = CARRY((\led_flash_cnt[1473][3]~q\ & !\led_flash_cnt[1473][2]~47505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1473][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1473][2]~47505\,
	combout => \led_flash_cnt[1473][3]~47506_combout\,
	cout => \led_flash_cnt[1473][3]~47507\);

-- Location: FF_X42_Y10_N15
\led_flash_cnt[1473][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1473][3]~47506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1473][3]~q\);

-- Location: LCCOMB_X42_Y10_N16
\led_flash_cnt[1473][4]~47508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1473][4]~47508_combout\ = (\led_flash_cnt[1473][4]~q\ & (!\led_flash_cnt[1473][3]~47507\)) # (!\led_flash_cnt[1473][4]~q\ & ((\led_flash_cnt[1473][3]~47507\) # (GND)))
-- \led_flash_cnt[1473][4]~47509\ = CARRY((!\led_flash_cnt[1473][3]~47507\) # (!\led_flash_cnt[1473][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1473][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1473][3]~47507\,
	combout => \led_flash_cnt[1473][4]~47508_combout\,
	cout => \led_flash_cnt[1473][4]~47509\);

-- Location: FF_X42_Y10_N17
\led_flash_cnt[1473][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1473][4]~47508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1473][4]~q\);

-- Location: LCCOMB_X42_Y10_N26
\WideAnd1473~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1473~0_combout\ = (\led_flash_cnt[1473][2]~q\ & (\led_flash_cnt[1473][4]~q\ & (\led_flash_cnt[1473][3]~q\ & \led_flash_cnt[1473][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1473][2]~q\,
	datab => \led_flash_cnt[1473][4]~q\,
	datac => \led_flash_cnt[1473][3]~q\,
	datad => \led_flash_cnt[1473][1]~q\,
	combout => \WideAnd1473~0_combout\);

-- Location: LCCOMB_X42_Y10_N18
\led_flash_cnt[1473][5]~47510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1473][5]~47510_combout\ = (\led_flash_cnt[1473][5]~q\ & (\led_flash_cnt[1473][4]~47509\ $ (GND))) # (!\led_flash_cnt[1473][5]~q\ & (!\led_flash_cnt[1473][4]~47509\ & VCC))
-- \led_flash_cnt[1473][5]~47511\ = CARRY((\led_flash_cnt[1473][5]~q\ & !\led_flash_cnt[1473][4]~47509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1473][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1473][4]~47509\,
	combout => \led_flash_cnt[1473][5]~47510_combout\,
	cout => \led_flash_cnt[1473][5]~47511\);

-- Location: FF_X42_Y10_N19
\led_flash_cnt[1473][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1473][5]~47510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1473][5]~q\);

-- Location: LCCOMB_X42_Y10_N20
\led_flash_cnt[1473][6]~47512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1473][6]~47512_combout\ = (\led_flash_cnt[1473][6]~q\ & (!\led_flash_cnt[1473][5]~47511\)) # (!\led_flash_cnt[1473][6]~q\ & ((\led_flash_cnt[1473][5]~47511\) # (GND)))
-- \led_flash_cnt[1473][6]~47513\ = CARRY((!\led_flash_cnt[1473][5]~47511\) # (!\led_flash_cnt[1473][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1473][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1473][5]~47511\,
	combout => \led_flash_cnt[1473][6]~47512_combout\,
	cout => \led_flash_cnt[1473][6]~47513\);

-- Location: FF_X42_Y10_N21
\led_flash_cnt[1473][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1473][6]~47512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1473][6]~q\);

-- Location: LCCOMB_X42_Y10_N24
\WideAnd1473~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1473~1_combout\ = (\led_flash_cnt[1473][6]~q\ & \led_flash_cnt[1473][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1473][6]~q\,
	datad => \led_flash_cnt[1473][5]~q\,
	combout => \WideAnd1473~1_combout\);

-- Location: LCCOMB_X42_Y10_N22
\led_flash_cnt[1473][7]~47514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1473][7]~47514_combout\ = \led_flash_cnt[1473][7]~q\ $ (!\led_flash_cnt[1473][6]~47513\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1473][7]~q\,
	cin => \led_flash_cnt[1473][6]~47513\,
	combout => \led_flash_cnt[1473][7]~47514_combout\);

-- Location: FF_X42_Y10_N23
\led_flash_cnt[1473][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1473][7]~47514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1473][7]~q\);

-- Location: LCCOMB_X42_Y10_N4
WideAnd1473 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1473~combout\ = (\WideAnd1473~0_combout\ & (\WideAnd1473~1_combout\ & (\led_flash_cnt[1473][7]~q\ & \led_flash_cnt[1473][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1473~0_combout\,
	datab => \WideAnd1473~1_combout\,
	datac => \led_flash_cnt[1473][7]~q\,
	datad => \led_flash_cnt[1473][0]~q\,
	combout => \WideAnd1473~combout\);

-- Location: FF_X42_Y10_N5
\led_flash_cnt_ands[1473]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1473~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1473));

-- Location: LCCOMB_X42_Y9_N30
\led_flash_cnt[1475][0]~82115\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1475][0]~82115_combout\ = !\led_flash_cnt[1475][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1475][0]~q\,
	combout => \led_flash_cnt[1475][0]~82115_combout\);

-- Location: FF_X42_Y9_N31
\led_flash_cnt[1475][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1475][0]~82115_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1475][0]~q\);

-- Location: LCCOMB_X42_Y8_N0
\led_flash_cnt[1475][1]~47530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1475][1]~47530_combout\ = (\led_flash_cnt[1475][0]~q\ & (\led_flash_cnt[1475][1]~q\ $ (VCC))) # (!\led_flash_cnt[1475][0]~q\ & (\led_flash_cnt[1475][1]~q\ & VCC))
-- \led_flash_cnt[1475][1]~47531\ = CARRY((\led_flash_cnt[1475][0]~q\ & \led_flash_cnt[1475][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1475][0]~q\,
	datab => \led_flash_cnt[1475][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1475][1]~47530_combout\,
	cout => \led_flash_cnt[1475][1]~47531\);

-- Location: FF_X42_Y8_N1
\led_flash_cnt[1475][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1475][1]~47530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1475][1]~q\);

-- Location: LCCOMB_X42_Y8_N2
\led_flash_cnt[1475][2]~47532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1475][2]~47532_combout\ = (\led_flash_cnt[1475][2]~q\ & (!\led_flash_cnt[1475][1]~47531\)) # (!\led_flash_cnt[1475][2]~q\ & ((\led_flash_cnt[1475][1]~47531\) # (GND)))
-- \led_flash_cnt[1475][2]~47533\ = CARRY((!\led_flash_cnt[1475][1]~47531\) # (!\led_flash_cnt[1475][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1475][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1475][1]~47531\,
	combout => \led_flash_cnt[1475][2]~47532_combout\,
	cout => \led_flash_cnt[1475][2]~47533\);

-- Location: FF_X42_Y8_N3
\led_flash_cnt[1475][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1475][2]~47532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1475][2]~q\);

-- Location: LCCOMB_X42_Y8_N4
\led_flash_cnt[1475][3]~47534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1475][3]~47534_combout\ = (\led_flash_cnt[1475][3]~q\ & (\led_flash_cnt[1475][2]~47533\ $ (GND))) # (!\led_flash_cnt[1475][3]~q\ & (!\led_flash_cnt[1475][2]~47533\ & VCC))
-- \led_flash_cnt[1475][3]~47535\ = CARRY((\led_flash_cnt[1475][3]~q\ & !\led_flash_cnt[1475][2]~47533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1475][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1475][2]~47533\,
	combout => \led_flash_cnt[1475][3]~47534_combout\,
	cout => \led_flash_cnt[1475][3]~47535\);

-- Location: FF_X42_Y8_N5
\led_flash_cnt[1475][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1475][3]~47534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1475][3]~q\);

-- Location: LCCOMB_X42_Y8_N6
\led_flash_cnt[1475][4]~47536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1475][4]~47536_combout\ = (\led_flash_cnt[1475][4]~q\ & (!\led_flash_cnt[1475][3]~47535\)) # (!\led_flash_cnt[1475][4]~q\ & ((\led_flash_cnt[1475][3]~47535\) # (GND)))
-- \led_flash_cnt[1475][4]~47537\ = CARRY((!\led_flash_cnt[1475][3]~47535\) # (!\led_flash_cnt[1475][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1475][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1475][3]~47535\,
	combout => \led_flash_cnt[1475][4]~47536_combout\,
	cout => \led_flash_cnt[1475][4]~47537\);

-- Location: FF_X42_Y8_N7
\led_flash_cnt[1475][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1475][4]~47536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1475][4]~q\);

-- Location: LCCOMB_X42_Y8_N8
\led_flash_cnt[1475][5]~47538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1475][5]~47538_combout\ = (\led_flash_cnt[1475][5]~q\ & (\led_flash_cnt[1475][4]~47537\ $ (GND))) # (!\led_flash_cnt[1475][5]~q\ & (!\led_flash_cnt[1475][4]~47537\ & VCC))
-- \led_flash_cnt[1475][5]~47539\ = CARRY((\led_flash_cnt[1475][5]~q\ & !\led_flash_cnt[1475][4]~47537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1475][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1475][4]~47537\,
	combout => \led_flash_cnt[1475][5]~47538_combout\,
	cout => \led_flash_cnt[1475][5]~47539\);

-- Location: FF_X42_Y8_N9
\led_flash_cnt[1475][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1475][5]~47538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1475][5]~q\);

-- Location: LCCOMB_X42_Y8_N10
\led_flash_cnt[1475][6]~47540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1475][6]~47540_combout\ = (\led_flash_cnt[1475][6]~q\ & (!\led_flash_cnt[1475][5]~47539\)) # (!\led_flash_cnt[1475][6]~q\ & ((\led_flash_cnt[1475][5]~47539\) # (GND)))
-- \led_flash_cnt[1475][6]~47541\ = CARRY((!\led_flash_cnt[1475][5]~47539\) # (!\led_flash_cnt[1475][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1475][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1475][5]~47539\,
	combout => \led_flash_cnt[1475][6]~47540_combout\,
	cout => \led_flash_cnt[1475][6]~47541\);

-- Location: FF_X42_Y8_N11
\led_flash_cnt[1475][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1475][6]~47540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1475][6]~q\);

-- Location: LCCOMB_X42_Y8_N12
\led_flash_cnt[1475][7]~47542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1475][7]~47542_combout\ = \led_flash_cnt[1475][6]~47541\ $ (!\led_flash_cnt[1475][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1475][7]~q\,
	cin => \led_flash_cnt[1475][6]~47541\,
	combout => \led_flash_cnt[1475][7]~47542_combout\);

-- Location: FF_X42_Y8_N13
\led_flash_cnt[1475][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1475][7]~47542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1475][7]~q\);

-- Location: LCCOMB_X43_Y8_N8
\WideAnd1475~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1475~1_combout\ = (\led_flash_cnt[1475][6]~q\ & \led_flash_cnt[1475][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1475][6]~q\,
	datad => \led_flash_cnt[1475][5]~q\,
	combout => \WideAnd1475~1_combout\);

-- Location: LCCOMB_X43_Y8_N4
\WideAnd1475~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1475~0_combout\ = (\led_flash_cnt[1475][1]~q\ & (\led_flash_cnt[1475][4]~q\ & (\led_flash_cnt[1475][3]~q\ & \led_flash_cnt[1475][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1475][1]~q\,
	datab => \led_flash_cnt[1475][4]~q\,
	datac => \led_flash_cnt[1475][3]~q\,
	datad => \led_flash_cnt[1475][2]~q\,
	combout => \WideAnd1475~0_combout\);

-- Location: LCCOMB_X42_Y8_N30
WideAnd1475 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1475~combout\ = (\led_flash_cnt[1475][7]~q\ & (\WideAnd1475~1_combout\ & (\led_flash_cnt[1475][0]~q\ & \WideAnd1475~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1475][7]~q\,
	datab => \WideAnd1475~1_combout\,
	datac => \led_flash_cnt[1475][0]~q\,
	datad => \WideAnd1475~0_combout\,
	combout => \WideAnd1475~combout\);

-- Location: FF_X42_Y8_N31
\led_flash_cnt_ands[1475]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1475~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1475));

-- Location: LCCOMB_X43_Y9_N14
\led_flash_cnt[1472][0]~82112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1472][0]~82112_combout\ = !\led_flash_cnt[1472][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1472][0]~q\,
	combout => \led_flash_cnt[1472][0]~82112_combout\);

-- Location: FF_X43_Y9_N15
\led_flash_cnt[1472][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1472][0]~82112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1472][0]~q\);

-- Location: LCCOMB_X44_Y9_N18
\led_flash_cnt[1472][1]~47488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1472][1]~47488_combout\ = (\led_flash_cnt[1472][0]~q\ & (\led_flash_cnt[1472][1]~q\ $ (VCC))) # (!\led_flash_cnt[1472][0]~q\ & (\led_flash_cnt[1472][1]~q\ & VCC))
-- \led_flash_cnt[1472][1]~47489\ = CARRY((\led_flash_cnt[1472][0]~q\ & \led_flash_cnt[1472][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1472][0]~q\,
	datab => \led_flash_cnt[1472][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1472][1]~47488_combout\,
	cout => \led_flash_cnt[1472][1]~47489\);

-- Location: FF_X44_Y9_N19
\led_flash_cnt[1472][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1472][1]~47488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1472][1]~q\);

-- Location: LCCOMB_X44_Y9_N20
\led_flash_cnt[1472][2]~47490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1472][2]~47490_combout\ = (\led_flash_cnt[1472][2]~q\ & (!\led_flash_cnt[1472][1]~47489\)) # (!\led_flash_cnt[1472][2]~q\ & ((\led_flash_cnt[1472][1]~47489\) # (GND)))
-- \led_flash_cnt[1472][2]~47491\ = CARRY((!\led_flash_cnt[1472][1]~47489\) # (!\led_flash_cnt[1472][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1472][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1472][1]~47489\,
	combout => \led_flash_cnt[1472][2]~47490_combout\,
	cout => \led_flash_cnt[1472][2]~47491\);

-- Location: FF_X44_Y9_N21
\led_flash_cnt[1472][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1472][2]~47490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1472][2]~q\);

-- Location: LCCOMB_X44_Y9_N22
\led_flash_cnt[1472][3]~47492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1472][3]~47492_combout\ = (\led_flash_cnt[1472][3]~q\ & (\led_flash_cnt[1472][2]~47491\ $ (GND))) # (!\led_flash_cnt[1472][3]~q\ & (!\led_flash_cnt[1472][2]~47491\ & VCC))
-- \led_flash_cnt[1472][3]~47493\ = CARRY((\led_flash_cnt[1472][3]~q\ & !\led_flash_cnt[1472][2]~47491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1472][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1472][2]~47491\,
	combout => \led_flash_cnt[1472][3]~47492_combout\,
	cout => \led_flash_cnt[1472][3]~47493\);

-- Location: FF_X44_Y9_N23
\led_flash_cnt[1472][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1472][3]~47492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1472][3]~q\);

-- Location: LCCOMB_X44_Y9_N24
\led_flash_cnt[1472][4]~47494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1472][4]~47494_combout\ = (\led_flash_cnt[1472][4]~q\ & (!\led_flash_cnt[1472][3]~47493\)) # (!\led_flash_cnt[1472][4]~q\ & ((\led_flash_cnt[1472][3]~47493\) # (GND)))
-- \led_flash_cnt[1472][4]~47495\ = CARRY((!\led_flash_cnt[1472][3]~47493\) # (!\led_flash_cnt[1472][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1472][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1472][3]~47493\,
	combout => \led_flash_cnt[1472][4]~47494_combout\,
	cout => \led_flash_cnt[1472][4]~47495\);

-- Location: FF_X44_Y9_N25
\led_flash_cnt[1472][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1472][4]~47494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1472][4]~q\);

-- Location: LCCOMB_X44_Y9_N26
\led_flash_cnt[1472][5]~47496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1472][5]~47496_combout\ = (\led_flash_cnt[1472][5]~q\ & (\led_flash_cnt[1472][4]~47495\ $ (GND))) # (!\led_flash_cnt[1472][5]~q\ & (!\led_flash_cnt[1472][4]~47495\ & VCC))
-- \led_flash_cnt[1472][5]~47497\ = CARRY((\led_flash_cnt[1472][5]~q\ & !\led_flash_cnt[1472][4]~47495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1472][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1472][4]~47495\,
	combout => \led_flash_cnt[1472][5]~47496_combout\,
	cout => \led_flash_cnt[1472][5]~47497\);

-- Location: FF_X44_Y9_N27
\led_flash_cnt[1472][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1472][5]~47496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1472][5]~q\);

-- Location: LCCOMB_X44_Y9_N28
\led_flash_cnt[1472][6]~47498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1472][6]~47498_combout\ = (\led_flash_cnt[1472][6]~q\ & (!\led_flash_cnt[1472][5]~47497\)) # (!\led_flash_cnt[1472][6]~q\ & ((\led_flash_cnt[1472][5]~47497\) # (GND)))
-- \led_flash_cnt[1472][6]~47499\ = CARRY((!\led_flash_cnt[1472][5]~47497\) # (!\led_flash_cnt[1472][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1472][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1472][5]~47497\,
	combout => \led_flash_cnt[1472][6]~47498_combout\,
	cout => \led_flash_cnt[1472][6]~47499\);

-- Location: FF_X44_Y9_N29
\led_flash_cnt[1472][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1472][6]~47498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1472][6]~q\);

-- Location: LCCOMB_X44_Y9_N30
\led_flash_cnt[1472][7]~47500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1472][7]~47500_combout\ = \led_flash_cnt[1472][7]~q\ $ (!\led_flash_cnt[1472][6]~47499\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1472][7]~q\,
	cin => \led_flash_cnt[1472][6]~47499\,
	combout => \led_flash_cnt[1472][7]~47500_combout\);

-- Location: FF_X44_Y9_N31
\led_flash_cnt[1472][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1472][7]~47500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1472][7]~q\);

-- Location: LCCOMB_X44_Y9_N0
\WideAnd1472~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1472~1_combout\ = (\led_flash_cnt[1472][5]~q\ & \led_flash_cnt[1472][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1472][5]~q\,
	datad => \led_flash_cnt[1472][6]~q\,
	combout => \WideAnd1472~1_combout\);

-- Location: LCCOMB_X43_Y9_N12
\WideAnd1472~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1472~0_combout\ = (\led_flash_cnt[1472][3]~q\ & (\led_flash_cnt[1472][4]~q\ & (\led_flash_cnt[1472][2]~q\ & \led_flash_cnt[1472][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1472][3]~q\,
	datab => \led_flash_cnt[1472][4]~q\,
	datac => \led_flash_cnt[1472][2]~q\,
	datad => \led_flash_cnt[1472][1]~q\,
	combout => \WideAnd1472~0_combout\);

-- Location: LCCOMB_X43_Y9_N16
WideAnd1472 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1472~combout\ = (\led_flash_cnt[1472][7]~q\ & (\led_flash_cnt[1472][0]~q\ & (\WideAnd1472~1_combout\ & \WideAnd1472~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1472][7]~q\,
	datab => \led_flash_cnt[1472][0]~q\,
	datac => \WideAnd1472~1_combout\,
	datad => \WideAnd1472~0_combout\,
	combout => \WideAnd1472~combout\);

-- Location: FF_X43_Y9_N17
\led_flash_cnt_ands[1472]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1472~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1472));

-- Location: LCCOMB_X42_Y10_N6
\WideAnd4024~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4024~0_combout\ = (led_flash_cnt_ands(1474) & (led_flash_cnt_ands(1473) & (led_flash_cnt_ands(1475) & led_flash_cnt_ands(1472))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1474),
	datab => led_flash_cnt_ands(1473),
	datac => led_flash_cnt_ands(1475),
	datad => led_flash_cnt_ands(1472),
	combout => \WideAnd4024~0_combout\);

-- Location: LCCOMB_X42_Y14_N20
\led_flash_cnt[1479][0]~82119\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1479][0]~82119_combout\ = !\led_flash_cnt[1479][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1479][0]~q\,
	combout => \led_flash_cnt[1479][0]~82119_combout\);

-- Location: FF_X42_Y14_N21
\led_flash_cnt[1479][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1479][0]~82119_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1479][0]~q\);

-- Location: LCCOMB_X42_Y12_N0
\led_flash_cnt[1479][1]~47586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1479][1]~47586_combout\ = (\led_flash_cnt[1479][0]~q\ & (\led_flash_cnt[1479][1]~q\ $ (VCC))) # (!\led_flash_cnt[1479][0]~q\ & (\led_flash_cnt[1479][1]~q\ & VCC))
-- \led_flash_cnt[1479][1]~47587\ = CARRY((\led_flash_cnt[1479][0]~q\ & \led_flash_cnt[1479][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1479][0]~q\,
	datab => \led_flash_cnt[1479][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1479][1]~47586_combout\,
	cout => \led_flash_cnt[1479][1]~47587\);

-- Location: FF_X42_Y12_N1
\led_flash_cnt[1479][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1479][1]~47586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1479][1]~q\);

-- Location: LCCOMB_X42_Y12_N2
\led_flash_cnt[1479][2]~47588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1479][2]~47588_combout\ = (\led_flash_cnt[1479][2]~q\ & (!\led_flash_cnt[1479][1]~47587\)) # (!\led_flash_cnt[1479][2]~q\ & ((\led_flash_cnt[1479][1]~47587\) # (GND)))
-- \led_flash_cnt[1479][2]~47589\ = CARRY((!\led_flash_cnt[1479][1]~47587\) # (!\led_flash_cnt[1479][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1479][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1479][1]~47587\,
	combout => \led_flash_cnt[1479][2]~47588_combout\,
	cout => \led_flash_cnt[1479][2]~47589\);

-- Location: FF_X42_Y12_N3
\led_flash_cnt[1479][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1479][2]~47588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1479][2]~q\);

-- Location: LCCOMB_X42_Y12_N4
\led_flash_cnt[1479][3]~47590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1479][3]~47590_combout\ = (\led_flash_cnt[1479][3]~q\ & (\led_flash_cnt[1479][2]~47589\ $ (GND))) # (!\led_flash_cnt[1479][3]~q\ & (!\led_flash_cnt[1479][2]~47589\ & VCC))
-- \led_flash_cnt[1479][3]~47591\ = CARRY((\led_flash_cnt[1479][3]~q\ & !\led_flash_cnt[1479][2]~47589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1479][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1479][2]~47589\,
	combout => \led_flash_cnt[1479][3]~47590_combout\,
	cout => \led_flash_cnt[1479][3]~47591\);

-- Location: FF_X42_Y12_N5
\led_flash_cnt[1479][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1479][3]~47590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1479][3]~q\);

-- Location: LCCOMB_X42_Y12_N6
\led_flash_cnt[1479][4]~47592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1479][4]~47592_combout\ = (\led_flash_cnt[1479][4]~q\ & (!\led_flash_cnt[1479][3]~47591\)) # (!\led_flash_cnt[1479][4]~q\ & ((\led_flash_cnt[1479][3]~47591\) # (GND)))
-- \led_flash_cnt[1479][4]~47593\ = CARRY((!\led_flash_cnt[1479][3]~47591\) # (!\led_flash_cnt[1479][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1479][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1479][3]~47591\,
	combout => \led_flash_cnt[1479][4]~47592_combout\,
	cout => \led_flash_cnt[1479][4]~47593\);

-- Location: FF_X42_Y12_N7
\led_flash_cnt[1479][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1479][4]~47592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1479][4]~q\);

-- Location: LCCOMB_X42_Y12_N8
\led_flash_cnt[1479][5]~47594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1479][5]~47594_combout\ = (\led_flash_cnt[1479][5]~q\ & (\led_flash_cnt[1479][4]~47593\ $ (GND))) # (!\led_flash_cnt[1479][5]~q\ & (!\led_flash_cnt[1479][4]~47593\ & VCC))
-- \led_flash_cnt[1479][5]~47595\ = CARRY((\led_flash_cnt[1479][5]~q\ & !\led_flash_cnt[1479][4]~47593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1479][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1479][4]~47593\,
	combout => \led_flash_cnt[1479][5]~47594_combout\,
	cout => \led_flash_cnt[1479][5]~47595\);

-- Location: FF_X42_Y12_N9
\led_flash_cnt[1479][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1479][5]~47594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1479][5]~q\);

-- Location: LCCOMB_X42_Y12_N10
\led_flash_cnt[1479][6]~47596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1479][6]~47596_combout\ = (\led_flash_cnt[1479][6]~q\ & (!\led_flash_cnt[1479][5]~47595\)) # (!\led_flash_cnt[1479][6]~q\ & ((\led_flash_cnt[1479][5]~47595\) # (GND)))
-- \led_flash_cnt[1479][6]~47597\ = CARRY((!\led_flash_cnt[1479][5]~47595\) # (!\led_flash_cnt[1479][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1479][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1479][5]~47595\,
	combout => \led_flash_cnt[1479][6]~47596_combout\,
	cout => \led_flash_cnt[1479][6]~47597\);

-- Location: FF_X42_Y12_N11
\led_flash_cnt[1479][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1479][6]~47596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1479][6]~q\);

-- Location: LCCOMB_X42_Y12_N12
\led_flash_cnt[1479][7]~47598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1479][7]~47598_combout\ = \led_flash_cnt[1479][6]~47597\ $ (!\led_flash_cnt[1479][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1479][7]~q\,
	cin => \led_flash_cnt[1479][6]~47597\,
	combout => \led_flash_cnt[1479][7]~47598_combout\);

-- Location: FF_X42_Y12_N13
\led_flash_cnt[1479][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1479][7]~47598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1479][7]~q\);

-- Location: LCCOMB_X43_Y12_N22
\WideAnd1479~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1479~0_combout\ = (\led_flash_cnt[1479][1]~q\ & (\led_flash_cnt[1479][3]~q\ & (\led_flash_cnt[1479][4]~q\ & \led_flash_cnt[1479][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1479][1]~q\,
	datab => \led_flash_cnt[1479][3]~q\,
	datac => \led_flash_cnt[1479][4]~q\,
	datad => \led_flash_cnt[1479][2]~q\,
	combout => \WideAnd1479~0_combout\);

-- Location: LCCOMB_X43_Y12_N30
\WideAnd1479~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1479~1_combout\ = (\led_flash_cnt[1479][6]~q\ & \led_flash_cnt[1479][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1479][6]~q\,
	datad => \led_flash_cnt[1479][5]~q\,
	combout => \WideAnd1479~1_combout\);

-- Location: LCCOMB_X42_Y12_N28
WideAnd1479 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1479~combout\ = (\led_flash_cnt[1479][7]~q\ & (\WideAnd1479~0_combout\ & (\WideAnd1479~1_combout\ & \led_flash_cnt[1479][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1479][7]~q\,
	datab => \WideAnd1479~0_combout\,
	datac => \WideAnd1479~1_combout\,
	datad => \led_flash_cnt[1479][0]~q\,
	combout => \WideAnd1479~combout\);

-- Location: FF_X42_Y12_N29
\led_flash_cnt_ands[1479]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1479~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1479));

-- Location: LCCOMB_X35_Y14_N24
\led_flash_cnt[1477][0]~82117\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1477][0]~82117_combout\ = !\led_flash_cnt[1477][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1477][0]~q\,
	combout => \led_flash_cnt[1477][0]~82117_combout\);

-- Location: FF_X35_Y14_N25
\led_flash_cnt[1477][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1477][0]~82117_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1477][0]~q\);

-- Location: LCCOMB_X37_Y15_N18
\led_flash_cnt[1477][1]~47558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1477][1]~47558_combout\ = (\led_flash_cnt[1477][0]~q\ & (\led_flash_cnt[1477][1]~q\ $ (VCC))) # (!\led_flash_cnt[1477][0]~q\ & (\led_flash_cnt[1477][1]~q\ & VCC))
-- \led_flash_cnt[1477][1]~47559\ = CARRY((\led_flash_cnt[1477][0]~q\ & \led_flash_cnt[1477][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1477][0]~q\,
	datab => \led_flash_cnt[1477][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1477][1]~47558_combout\,
	cout => \led_flash_cnt[1477][1]~47559\);

-- Location: FF_X37_Y15_N19
\led_flash_cnt[1477][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1477][1]~47558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1477][1]~q\);

-- Location: LCCOMB_X37_Y15_N20
\led_flash_cnt[1477][2]~47560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1477][2]~47560_combout\ = (\led_flash_cnt[1477][2]~q\ & (!\led_flash_cnt[1477][1]~47559\)) # (!\led_flash_cnt[1477][2]~q\ & ((\led_flash_cnt[1477][1]~47559\) # (GND)))
-- \led_flash_cnt[1477][2]~47561\ = CARRY((!\led_flash_cnt[1477][1]~47559\) # (!\led_flash_cnt[1477][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1477][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1477][1]~47559\,
	combout => \led_flash_cnt[1477][2]~47560_combout\,
	cout => \led_flash_cnt[1477][2]~47561\);

-- Location: FF_X37_Y15_N21
\led_flash_cnt[1477][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1477][2]~47560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1477][2]~q\);

-- Location: LCCOMB_X37_Y15_N22
\led_flash_cnt[1477][3]~47562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1477][3]~47562_combout\ = (\led_flash_cnt[1477][3]~q\ & (\led_flash_cnt[1477][2]~47561\ $ (GND))) # (!\led_flash_cnt[1477][3]~q\ & (!\led_flash_cnt[1477][2]~47561\ & VCC))
-- \led_flash_cnt[1477][3]~47563\ = CARRY((\led_flash_cnt[1477][3]~q\ & !\led_flash_cnt[1477][2]~47561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1477][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1477][2]~47561\,
	combout => \led_flash_cnt[1477][3]~47562_combout\,
	cout => \led_flash_cnt[1477][3]~47563\);

-- Location: FF_X37_Y15_N23
\led_flash_cnt[1477][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1477][3]~47562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1477][3]~q\);

-- Location: LCCOMB_X37_Y15_N24
\led_flash_cnt[1477][4]~47564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1477][4]~47564_combout\ = (\led_flash_cnt[1477][4]~q\ & (!\led_flash_cnt[1477][3]~47563\)) # (!\led_flash_cnt[1477][4]~q\ & ((\led_flash_cnt[1477][3]~47563\) # (GND)))
-- \led_flash_cnt[1477][4]~47565\ = CARRY((!\led_flash_cnt[1477][3]~47563\) # (!\led_flash_cnt[1477][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1477][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1477][3]~47563\,
	combout => \led_flash_cnt[1477][4]~47564_combout\,
	cout => \led_flash_cnt[1477][4]~47565\);

-- Location: FF_X37_Y15_N25
\led_flash_cnt[1477][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1477][4]~47564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1477][4]~q\);

-- Location: LCCOMB_X37_Y15_N26
\led_flash_cnt[1477][5]~47566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1477][5]~47566_combout\ = (\led_flash_cnt[1477][5]~q\ & (\led_flash_cnt[1477][4]~47565\ $ (GND))) # (!\led_flash_cnt[1477][5]~q\ & (!\led_flash_cnt[1477][4]~47565\ & VCC))
-- \led_flash_cnt[1477][5]~47567\ = CARRY((\led_flash_cnt[1477][5]~q\ & !\led_flash_cnt[1477][4]~47565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1477][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1477][4]~47565\,
	combout => \led_flash_cnt[1477][5]~47566_combout\,
	cout => \led_flash_cnt[1477][5]~47567\);

-- Location: FF_X37_Y15_N27
\led_flash_cnt[1477][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1477][5]~47566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1477][5]~q\);

-- Location: LCCOMB_X37_Y15_N28
\led_flash_cnt[1477][6]~47568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1477][6]~47568_combout\ = (\led_flash_cnt[1477][6]~q\ & (!\led_flash_cnt[1477][5]~47567\)) # (!\led_flash_cnt[1477][6]~q\ & ((\led_flash_cnt[1477][5]~47567\) # (GND)))
-- \led_flash_cnt[1477][6]~47569\ = CARRY((!\led_flash_cnt[1477][5]~47567\) # (!\led_flash_cnt[1477][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1477][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1477][5]~47567\,
	combout => \led_flash_cnt[1477][6]~47568_combout\,
	cout => \led_flash_cnt[1477][6]~47569\);

-- Location: FF_X37_Y15_N29
\led_flash_cnt[1477][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1477][6]~47568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1477][6]~q\);

-- Location: LCCOMB_X37_Y15_N30
\led_flash_cnt[1477][7]~47570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1477][7]~47570_combout\ = \led_flash_cnt[1477][7]~q\ $ (!\led_flash_cnt[1477][6]~47569\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1477][7]~q\,
	cin => \led_flash_cnt[1477][6]~47569\,
	combout => \led_flash_cnt[1477][7]~47570_combout\);

-- Location: FF_X37_Y15_N31
\led_flash_cnt[1477][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1477][7]~47570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1477][7]~q\);

-- Location: LCCOMB_X36_Y15_N24
\WideAnd1477~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1477~1_combout\ = (\led_flash_cnt[1477][5]~q\ & \led_flash_cnt[1477][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1477][5]~q\,
	datad => \led_flash_cnt[1477][6]~q\,
	combout => \WideAnd1477~1_combout\);

-- Location: LCCOMB_X36_Y15_N2
\WideAnd1477~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1477~0_combout\ = (\led_flash_cnt[1477][4]~q\ & (\led_flash_cnt[1477][1]~q\ & (\led_flash_cnt[1477][2]~q\ & \led_flash_cnt[1477][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1477][4]~q\,
	datab => \led_flash_cnt[1477][1]~q\,
	datac => \led_flash_cnt[1477][2]~q\,
	datad => \led_flash_cnt[1477][3]~q\,
	combout => \WideAnd1477~0_combout\);

-- Location: LCCOMB_X36_Y15_N30
WideAnd1477 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1477~combout\ = (\led_flash_cnt[1477][7]~q\ & (\WideAnd1477~1_combout\ & (\led_flash_cnt[1477][0]~q\ & \WideAnd1477~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1477][7]~q\,
	datab => \WideAnd1477~1_combout\,
	datac => \led_flash_cnt[1477][0]~q\,
	datad => \WideAnd1477~0_combout\,
	combout => \WideAnd1477~combout\);

-- Location: FF_X36_Y15_N31
\led_flash_cnt_ands[1477]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1477~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1477));

-- Location: LCCOMB_X37_Y14_N6
\led_flash_cnt[1476][0]~82116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1476][0]~82116_combout\ = !\led_flash_cnt[1476][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1476][0]~q\,
	combout => \led_flash_cnt[1476][0]~82116_combout\);

-- Location: FF_X37_Y14_N7
\led_flash_cnt[1476][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1476][0]~82116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1476][0]~q\);

-- Location: LCCOMB_X36_Y14_N2
\led_flash_cnt[1476][1]~47544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1476][1]~47544_combout\ = (\led_flash_cnt[1476][0]~q\ & (\led_flash_cnt[1476][1]~q\ $ (VCC))) # (!\led_flash_cnt[1476][0]~q\ & (\led_flash_cnt[1476][1]~q\ & VCC))
-- \led_flash_cnt[1476][1]~47545\ = CARRY((\led_flash_cnt[1476][0]~q\ & \led_flash_cnt[1476][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1476][0]~q\,
	datab => \led_flash_cnt[1476][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1476][1]~47544_combout\,
	cout => \led_flash_cnt[1476][1]~47545\);

-- Location: FF_X36_Y14_N3
\led_flash_cnt[1476][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1476][1]~47544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1476][1]~q\);

-- Location: LCCOMB_X36_Y14_N4
\led_flash_cnt[1476][2]~47546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1476][2]~47546_combout\ = (\led_flash_cnt[1476][2]~q\ & (!\led_flash_cnt[1476][1]~47545\)) # (!\led_flash_cnt[1476][2]~q\ & ((\led_flash_cnt[1476][1]~47545\) # (GND)))
-- \led_flash_cnt[1476][2]~47547\ = CARRY((!\led_flash_cnt[1476][1]~47545\) # (!\led_flash_cnt[1476][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1476][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1476][1]~47545\,
	combout => \led_flash_cnt[1476][2]~47546_combout\,
	cout => \led_flash_cnt[1476][2]~47547\);

-- Location: FF_X36_Y14_N5
\led_flash_cnt[1476][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1476][2]~47546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1476][2]~q\);

-- Location: LCCOMB_X36_Y14_N6
\led_flash_cnt[1476][3]~47548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1476][3]~47548_combout\ = (\led_flash_cnt[1476][3]~q\ & (\led_flash_cnt[1476][2]~47547\ $ (GND))) # (!\led_flash_cnt[1476][3]~q\ & (!\led_flash_cnt[1476][2]~47547\ & VCC))
-- \led_flash_cnt[1476][3]~47549\ = CARRY((\led_flash_cnt[1476][3]~q\ & !\led_flash_cnt[1476][2]~47547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1476][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1476][2]~47547\,
	combout => \led_flash_cnt[1476][3]~47548_combout\,
	cout => \led_flash_cnt[1476][3]~47549\);

-- Location: FF_X36_Y14_N7
\led_flash_cnt[1476][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1476][3]~47548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1476][3]~q\);

-- Location: LCCOMB_X36_Y14_N8
\led_flash_cnt[1476][4]~47550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1476][4]~47550_combout\ = (\led_flash_cnt[1476][4]~q\ & (!\led_flash_cnt[1476][3]~47549\)) # (!\led_flash_cnt[1476][4]~q\ & ((\led_flash_cnt[1476][3]~47549\) # (GND)))
-- \led_flash_cnt[1476][4]~47551\ = CARRY((!\led_flash_cnt[1476][3]~47549\) # (!\led_flash_cnt[1476][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1476][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1476][3]~47549\,
	combout => \led_flash_cnt[1476][4]~47550_combout\,
	cout => \led_flash_cnt[1476][4]~47551\);

-- Location: FF_X36_Y14_N9
\led_flash_cnt[1476][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1476][4]~47550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1476][4]~q\);

-- Location: LCCOMB_X36_Y14_N10
\led_flash_cnt[1476][5]~47552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1476][5]~47552_combout\ = (\led_flash_cnt[1476][5]~q\ & (\led_flash_cnt[1476][4]~47551\ $ (GND))) # (!\led_flash_cnt[1476][5]~q\ & (!\led_flash_cnt[1476][4]~47551\ & VCC))
-- \led_flash_cnt[1476][5]~47553\ = CARRY((\led_flash_cnt[1476][5]~q\ & !\led_flash_cnt[1476][4]~47551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1476][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1476][4]~47551\,
	combout => \led_flash_cnt[1476][5]~47552_combout\,
	cout => \led_flash_cnt[1476][5]~47553\);

-- Location: FF_X36_Y14_N11
\led_flash_cnt[1476][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1476][5]~47552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1476][5]~q\);

-- Location: LCCOMB_X36_Y14_N12
\led_flash_cnt[1476][6]~47554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1476][6]~47554_combout\ = (\led_flash_cnt[1476][6]~q\ & (!\led_flash_cnt[1476][5]~47553\)) # (!\led_flash_cnt[1476][6]~q\ & ((\led_flash_cnt[1476][5]~47553\) # (GND)))
-- \led_flash_cnt[1476][6]~47555\ = CARRY((!\led_flash_cnt[1476][5]~47553\) # (!\led_flash_cnt[1476][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1476][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1476][5]~47553\,
	combout => \led_flash_cnt[1476][6]~47554_combout\,
	cout => \led_flash_cnt[1476][6]~47555\);

-- Location: FF_X36_Y14_N13
\led_flash_cnt[1476][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1476][6]~47554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1476][6]~q\);

-- Location: LCCOMB_X35_Y14_N22
\WideAnd1476~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1476~1_combout\ = (\led_flash_cnt[1476][5]~q\ & \led_flash_cnt[1476][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1476][5]~q\,
	datac => \led_flash_cnt[1476][6]~q\,
	combout => \WideAnd1476~1_combout\);

-- Location: LCCOMB_X36_Y14_N0
\WideAnd1476~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1476~0_combout\ = (\led_flash_cnt[1476][3]~q\ & (\led_flash_cnt[1476][2]~q\ & (\led_flash_cnt[1476][4]~q\ & \led_flash_cnt[1476][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1476][3]~q\,
	datab => \led_flash_cnt[1476][2]~q\,
	datac => \led_flash_cnt[1476][4]~q\,
	datad => \led_flash_cnt[1476][1]~q\,
	combout => \WideAnd1476~0_combout\);

-- Location: LCCOMB_X36_Y14_N14
\led_flash_cnt[1476][7]~47556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1476][7]~47556_combout\ = \led_flash_cnt[1476][7]~q\ $ (!\led_flash_cnt[1476][6]~47555\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1476][7]~q\,
	cin => \led_flash_cnt[1476][6]~47555\,
	combout => \led_flash_cnt[1476][7]~47556_combout\);

-- Location: FF_X36_Y14_N15
\led_flash_cnt[1476][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1476][7]~47556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1476][7]~q\);

-- Location: LCCOMB_X35_Y14_N18
WideAnd1476 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1476~combout\ = (\WideAnd1476~1_combout\ & (\WideAnd1476~0_combout\ & (\led_flash_cnt[1476][7]~q\ & \led_flash_cnt[1476][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1476~1_combout\,
	datab => \WideAnd1476~0_combout\,
	datac => \led_flash_cnt[1476][7]~q\,
	datad => \led_flash_cnt[1476][0]~q\,
	combout => \WideAnd1476~combout\);

-- Location: FF_X35_Y14_N19
\led_flash_cnt_ands[1476]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1476~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1476));

-- Location: LCCOMB_X35_Y14_N14
\WideAnd4024~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4024~1_combout\ = (led_flash_cnt_ands(1477) & led_flash_cnt_ands(1476))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1477),
	datad => led_flash_cnt_ands(1476),
	combout => \WideAnd4024~1_combout\);

-- Location: LCCOMB_X42_Y14_N30
\led_flash_cnt[1478][0]~82118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1478][0]~82118_combout\ = !\led_flash_cnt[1478][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1478][0]~q\,
	combout => \led_flash_cnt[1478][0]~82118_combout\);

-- Location: FF_X42_Y14_N31
\led_flash_cnt[1478][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1478][0]~82118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1478][0]~q\);

-- Location: LCCOMB_X42_Y14_N0
\led_flash_cnt[1478][1]~47572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1478][1]~47572_combout\ = (\led_flash_cnt[1478][0]~q\ & (\led_flash_cnt[1478][1]~q\ $ (VCC))) # (!\led_flash_cnt[1478][0]~q\ & (\led_flash_cnt[1478][1]~q\ & VCC))
-- \led_flash_cnt[1478][1]~47573\ = CARRY((\led_flash_cnt[1478][0]~q\ & \led_flash_cnt[1478][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1478][0]~q\,
	datab => \led_flash_cnt[1478][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1478][1]~47572_combout\,
	cout => \led_flash_cnt[1478][1]~47573\);

-- Location: FF_X42_Y14_N1
\led_flash_cnt[1478][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1478][1]~47572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1478][1]~q\);

-- Location: LCCOMB_X42_Y14_N2
\led_flash_cnt[1478][2]~47574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1478][2]~47574_combout\ = (\led_flash_cnt[1478][2]~q\ & (!\led_flash_cnt[1478][1]~47573\)) # (!\led_flash_cnt[1478][2]~q\ & ((\led_flash_cnt[1478][1]~47573\) # (GND)))
-- \led_flash_cnt[1478][2]~47575\ = CARRY((!\led_flash_cnt[1478][1]~47573\) # (!\led_flash_cnt[1478][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1478][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1478][1]~47573\,
	combout => \led_flash_cnt[1478][2]~47574_combout\,
	cout => \led_flash_cnt[1478][2]~47575\);

-- Location: FF_X42_Y14_N3
\led_flash_cnt[1478][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1478][2]~47574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1478][2]~q\);

-- Location: LCCOMB_X42_Y14_N4
\led_flash_cnt[1478][3]~47576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1478][3]~47576_combout\ = (\led_flash_cnt[1478][3]~q\ & (\led_flash_cnt[1478][2]~47575\ $ (GND))) # (!\led_flash_cnt[1478][3]~q\ & (!\led_flash_cnt[1478][2]~47575\ & VCC))
-- \led_flash_cnt[1478][3]~47577\ = CARRY((\led_flash_cnt[1478][3]~q\ & !\led_flash_cnt[1478][2]~47575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1478][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1478][2]~47575\,
	combout => \led_flash_cnt[1478][3]~47576_combout\,
	cout => \led_flash_cnt[1478][3]~47577\);

-- Location: FF_X42_Y14_N5
\led_flash_cnt[1478][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1478][3]~47576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1478][3]~q\);

-- Location: LCCOMB_X42_Y14_N6
\led_flash_cnt[1478][4]~47578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1478][4]~47578_combout\ = (\led_flash_cnt[1478][4]~q\ & (!\led_flash_cnt[1478][3]~47577\)) # (!\led_flash_cnt[1478][4]~q\ & ((\led_flash_cnt[1478][3]~47577\) # (GND)))
-- \led_flash_cnt[1478][4]~47579\ = CARRY((!\led_flash_cnt[1478][3]~47577\) # (!\led_flash_cnt[1478][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1478][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1478][3]~47577\,
	combout => \led_flash_cnt[1478][4]~47578_combout\,
	cout => \led_flash_cnt[1478][4]~47579\);

-- Location: FF_X42_Y14_N7
\led_flash_cnt[1478][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1478][4]~47578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1478][4]~q\);

-- Location: LCCOMB_X42_Y14_N22
\WideAnd1478~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1478~0_combout\ = (\led_flash_cnt[1478][4]~q\ & (\led_flash_cnt[1478][1]~q\ & (\led_flash_cnt[1478][3]~q\ & \led_flash_cnt[1478][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1478][4]~q\,
	datab => \led_flash_cnt[1478][1]~q\,
	datac => \led_flash_cnt[1478][3]~q\,
	datad => \led_flash_cnt[1478][2]~q\,
	combout => \WideAnd1478~0_combout\);

-- Location: LCCOMB_X42_Y14_N8
\led_flash_cnt[1478][5]~47580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1478][5]~47580_combout\ = (\led_flash_cnt[1478][5]~q\ & (\led_flash_cnt[1478][4]~47579\ $ (GND))) # (!\led_flash_cnt[1478][5]~q\ & (!\led_flash_cnt[1478][4]~47579\ & VCC))
-- \led_flash_cnt[1478][5]~47581\ = CARRY((\led_flash_cnt[1478][5]~q\ & !\led_flash_cnt[1478][4]~47579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1478][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1478][4]~47579\,
	combout => \led_flash_cnt[1478][5]~47580_combout\,
	cout => \led_flash_cnt[1478][5]~47581\);

-- Location: FF_X42_Y14_N9
\led_flash_cnt[1478][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1478][5]~47580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1478][5]~q\);

-- Location: LCCOMB_X42_Y14_N10
\led_flash_cnt[1478][6]~47582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1478][6]~47582_combout\ = (\led_flash_cnt[1478][6]~q\ & (!\led_flash_cnt[1478][5]~47581\)) # (!\led_flash_cnt[1478][6]~q\ & ((\led_flash_cnt[1478][5]~47581\) # (GND)))
-- \led_flash_cnt[1478][6]~47583\ = CARRY((!\led_flash_cnt[1478][5]~47581\) # (!\led_flash_cnt[1478][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1478][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1478][5]~47581\,
	combout => \led_flash_cnt[1478][6]~47582_combout\,
	cout => \led_flash_cnt[1478][6]~47583\);

-- Location: FF_X42_Y14_N11
\led_flash_cnt[1478][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1478][6]~47582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1478][6]~q\);

-- Location: LCCOMB_X42_Y14_N16
\WideAnd1478~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1478~1_combout\ = (\led_flash_cnt[1478][5]~q\ & \led_flash_cnt[1478][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1478][5]~q\,
	datad => \led_flash_cnt[1478][6]~q\,
	combout => \WideAnd1478~1_combout\);

-- Location: LCCOMB_X42_Y14_N12
\led_flash_cnt[1478][7]~47584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1478][7]~47584_combout\ = \led_flash_cnt[1478][6]~47583\ $ (!\led_flash_cnt[1478][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1478][7]~q\,
	cin => \led_flash_cnt[1478][6]~47583\,
	combout => \led_flash_cnt[1478][7]~47584_combout\);

-- Location: FF_X42_Y14_N13
\led_flash_cnt[1478][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1478][7]~47584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1478][7]~q\);

-- Location: LCCOMB_X42_Y14_N26
WideAnd1478 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1478~combout\ = (\WideAnd1478~0_combout\ & (\WideAnd1478~1_combout\ & (\led_flash_cnt[1478][0]~q\ & \led_flash_cnt[1478][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1478~0_combout\,
	datab => \WideAnd1478~1_combout\,
	datac => \led_flash_cnt[1478][0]~q\,
	datad => \led_flash_cnt[1478][7]~q\,
	combout => \WideAnd1478~combout\);

-- Location: FF_X42_Y14_N27
\led_flash_cnt_ands[1478]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1478~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1478));

-- Location: LCCOMB_X42_Y10_N8
WideAnd4024 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4024~combout\ = (\WideAnd4024~0_combout\ & (led_flash_cnt_ands(1479) & (\WideAnd4024~1_combout\ & led_flash_cnt_ands(1478))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4024~0_combout\,
	datab => led_flash_cnt_ands(1479),
	datac => \WideAnd4024~1_combout\,
	datad => led_flash_cnt_ands(1478),
	combout => \WideAnd4024~combout\);

-- Location: FF_X42_Y10_N9
\led_flash_cnt_ands_1[184]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4024~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(184));

-- Location: LCCOMB_X42_Y3_N24
\led_flash_cnt[1502][0]~82142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1502][0]~82142_combout\ = !\led_flash_cnt[1502][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1502][0]~q\,
	combout => \led_flash_cnt[1502][0]~82142_combout\);

-- Location: FF_X42_Y3_N25
\led_flash_cnt[1502][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1502][0]~82142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1502][0]~q\);

-- Location: LCCOMB_X43_Y3_N18
\led_flash_cnt[1502][1]~47908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1502][1]~47908_combout\ = (\led_flash_cnt[1502][0]~q\ & (\led_flash_cnt[1502][1]~q\ $ (VCC))) # (!\led_flash_cnt[1502][0]~q\ & (\led_flash_cnt[1502][1]~q\ & VCC))
-- \led_flash_cnt[1502][1]~47909\ = CARRY((\led_flash_cnt[1502][0]~q\ & \led_flash_cnt[1502][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1502][0]~q\,
	datab => \led_flash_cnt[1502][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1502][1]~47908_combout\,
	cout => \led_flash_cnt[1502][1]~47909\);

-- Location: FF_X43_Y3_N19
\led_flash_cnt[1502][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1502][1]~47908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1502][1]~q\);

-- Location: LCCOMB_X43_Y3_N20
\led_flash_cnt[1502][2]~47910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1502][2]~47910_combout\ = (\led_flash_cnt[1502][2]~q\ & (!\led_flash_cnt[1502][1]~47909\)) # (!\led_flash_cnt[1502][2]~q\ & ((\led_flash_cnt[1502][1]~47909\) # (GND)))
-- \led_flash_cnt[1502][2]~47911\ = CARRY((!\led_flash_cnt[1502][1]~47909\) # (!\led_flash_cnt[1502][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1502][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1502][1]~47909\,
	combout => \led_flash_cnt[1502][2]~47910_combout\,
	cout => \led_flash_cnt[1502][2]~47911\);

-- Location: FF_X43_Y3_N21
\led_flash_cnt[1502][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1502][2]~47910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1502][2]~q\);

-- Location: LCCOMB_X43_Y3_N22
\led_flash_cnt[1502][3]~47912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1502][3]~47912_combout\ = (\led_flash_cnt[1502][3]~q\ & (\led_flash_cnt[1502][2]~47911\ $ (GND))) # (!\led_flash_cnt[1502][3]~q\ & (!\led_flash_cnt[1502][2]~47911\ & VCC))
-- \led_flash_cnt[1502][3]~47913\ = CARRY((\led_flash_cnt[1502][3]~q\ & !\led_flash_cnt[1502][2]~47911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1502][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1502][2]~47911\,
	combout => \led_flash_cnt[1502][3]~47912_combout\,
	cout => \led_flash_cnt[1502][3]~47913\);

-- Location: FF_X43_Y3_N23
\led_flash_cnt[1502][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1502][3]~47912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1502][3]~q\);

-- Location: LCCOMB_X43_Y3_N24
\led_flash_cnt[1502][4]~47914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1502][4]~47914_combout\ = (\led_flash_cnt[1502][4]~q\ & (!\led_flash_cnt[1502][3]~47913\)) # (!\led_flash_cnt[1502][4]~q\ & ((\led_flash_cnt[1502][3]~47913\) # (GND)))
-- \led_flash_cnt[1502][4]~47915\ = CARRY((!\led_flash_cnt[1502][3]~47913\) # (!\led_flash_cnt[1502][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1502][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1502][3]~47913\,
	combout => \led_flash_cnt[1502][4]~47914_combout\,
	cout => \led_flash_cnt[1502][4]~47915\);

-- Location: FF_X43_Y3_N25
\led_flash_cnt[1502][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1502][4]~47914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1502][4]~q\);

-- Location: LCCOMB_X43_Y3_N26
\led_flash_cnt[1502][5]~47916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1502][5]~47916_combout\ = (\led_flash_cnt[1502][5]~q\ & (\led_flash_cnt[1502][4]~47915\ $ (GND))) # (!\led_flash_cnt[1502][5]~q\ & (!\led_flash_cnt[1502][4]~47915\ & VCC))
-- \led_flash_cnt[1502][5]~47917\ = CARRY((\led_flash_cnt[1502][5]~q\ & !\led_flash_cnt[1502][4]~47915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1502][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1502][4]~47915\,
	combout => \led_flash_cnt[1502][5]~47916_combout\,
	cout => \led_flash_cnt[1502][5]~47917\);

-- Location: FF_X43_Y3_N27
\led_flash_cnt[1502][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1502][5]~47916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1502][5]~q\);

-- Location: LCCOMB_X43_Y3_N28
\led_flash_cnt[1502][6]~47918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1502][6]~47918_combout\ = (\led_flash_cnt[1502][6]~q\ & (!\led_flash_cnt[1502][5]~47917\)) # (!\led_flash_cnt[1502][6]~q\ & ((\led_flash_cnt[1502][5]~47917\) # (GND)))
-- \led_flash_cnt[1502][6]~47919\ = CARRY((!\led_flash_cnt[1502][5]~47917\) # (!\led_flash_cnt[1502][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1502][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1502][5]~47917\,
	combout => \led_flash_cnt[1502][6]~47918_combout\,
	cout => \led_flash_cnt[1502][6]~47919\);

-- Location: FF_X43_Y3_N29
\led_flash_cnt[1502][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1502][6]~47918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1502][6]~q\);

-- Location: LCCOMB_X43_Y3_N30
\led_flash_cnt[1502][7]~47920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1502][7]~47920_combout\ = \led_flash_cnt[1502][7]~q\ $ (!\led_flash_cnt[1502][6]~47919\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1502][7]~q\,
	cin => \led_flash_cnt[1502][6]~47919\,
	combout => \led_flash_cnt[1502][7]~47920_combout\);

-- Location: FF_X43_Y3_N31
\led_flash_cnt[1502][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1502][7]~47920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1502][7]~q\);

-- Location: LCCOMB_X42_Y3_N2
\WideAnd1502~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1502~1_combout\ = (\led_flash_cnt[1502][6]~q\ & \led_flash_cnt[1502][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1502][6]~q\,
	datad => \led_flash_cnt[1502][5]~q\,
	combout => \WideAnd1502~1_combout\);

-- Location: LCCOMB_X43_Y3_N0
\WideAnd1502~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1502~0_combout\ = (\led_flash_cnt[1502][2]~q\ & (\led_flash_cnt[1502][1]~q\ & (\led_flash_cnt[1502][3]~q\ & \led_flash_cnt[1502][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1502][2]~q\,
	datab => \led_flash_cnt[1502][1]~q\,
	datac => \led_flash_cnt[1502][3]~q\,
	datad => \led_flash_cnt[1502][4]~q\,
	combout => \WideAnd1502~0_combout\);

-- Location: LCCOMB_X42_Y3_N30
WideAnd1502 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1502~combout\ = (\led_flash_cnt[1502][7]~q\ & (\WideAnd1502~1_combout\ & (\WideAnd1502~0_combout\ & \led_flash_cnt[1502][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1502][7]~q\,
	datab => \WideAnd1502~1_combout\,
	datac => \WideAnd1502~0_combout\,
	datad => \led_flash_cnt[1502][0]~q\,
	combout => \WideAnd1502~combout\);

-- Location: FF_X42_Y3_N31
\led_flash_cnt_ands[1502]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1502~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1502));

-- Location: LCCOMB_X41_Y3_N2
\led_flash_cnt[1503][0]~82143\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1503][0]~82143_combout\ = !\led_flash_cnt[1503][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1503][0]~q\,
	combout => \led_flash_cnt[1503][0]~82143_combout\);

-- Location: FF_X41_Y3_N3
\led_flash_cnt[1503][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1503][0]~82143_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1503][0]~q\);

-- Location: LCCOMB_X40_Y3_N12
\led_flash_cnt[1503][1]~47922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1503][1]~47922_combout\ = (\led_flash_cnt[1503][1]~q\ & (\led_flash_cnt[1503][0]~q\ $ (VCC))) # (!\led_flash_cnt[1503][1]~q\ & (\led_flash_cnt[1503][0]~q\ & VCC))
-- \led_flash_cnt[1503][1]~47923\ = CARRY((\led_flash_cnt[1503][1]~q\ & \led_flash_cnt[1503][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1503][1]~q\,
	datab => \led_flash_cnt[1503][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1503][1]~47922_combout\,
	cout => \led_flash_cnt[1503][1]~47923\);

-- Location: FF_X40_Y3_N13
\led_flash_cnt[1503][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1503][1]~47922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1503][1]~q\);

-- Location: LCCOMB_X40_Y3_N14
\led_flash_cnt[1503][2]~47924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1503][2]~47924_combout\ = (\led_flash_cnt[1503][2]~q\ & (!\led_flash_cnt[1503][1]~47923\)) # (!\led_flash_cnt[1503][2]~q\ & ((\led_flash_cnt[1503][1]~47923\) # (GND)))
-- \led_flash_cnt[1503][2]~47925\ = CARRY((!\led_flash_cnt[1503][1]~47923\) # (!\led_flash_cnt[1503][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1503][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1503][1]~47923\,
	combout => \led_flash_cnt[1503][2]~47924_combout\,
	cout => \led_flash_cnt[1503][2]~47925\);

-- Location: FF_X40_Y3_N15
\led_flash_cnt[1503][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1503][2]~47924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1503][2]~q\);

-- Location: LCCOMB_X40_Y3_N16
\led_flash_cnt[1503][3]~47926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1503][3]~47926_combout\ = (\led_flash_cnt[1503][3]~q\ & (\led_flash_cnt[1503][2]~47925\ $ (GND))) # (!\led_flash_cnt[1503][3]~q\ & (!\led_flash_cnt[1503][2]~47925\ & VCC))
-- \led_flash_cnt[1503][3]~47927\ = CARRY((\led_flash_cnt[1503][3]~q\ & !\led_flash_cnt[1503][2]~47925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1503][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1503][2]~47925\,
	combout => \led_flash_cnt[1503][3]~47926_combout\,
	cout => \led_flash_cnt[1503][3]~47927\);

-- Location: FF_X40_Y3_N17
\led_flash_cnt[1503][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1503][3]~47926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1503][3]~q\);

-- Location: LCCOMB_X40_Y3_N18
\led_flash_cnt[1503][4]~47928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1503][4]~47928_combout\ = (\led_flash_cnt[1503][4]~q\ & (!\led_flash_cnt[1503][3]~47927\)) # (!\led_flash_cnt[1503][4]~q\ & ((\led_flash_cnt[1503][3]~47927\) # (GND)))
-- \led_flash_cnt[1503][4]~47929\ = CARRY((!\led_flash_cnt[1503][3]~47927\) # (!\led_flash_cnt[1503][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1503][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1503][3]~47927\,
	combout => \led_flash_cnt[1503][4]~47928_combout\,
	cout => \led_flash_cnt[1503][4]~47929\);

-- Location: FF_X40_Y3_N19
\led_flash_cnt[1503][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1503][4]~47928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1503][4]~q\);

-- Location: LCCOMB_X40_Y3_N20
\led_flash_cnt[1503][5]~47930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1503][5]~47930_combout\ = (\led_flash_cnt[1503][5]~q\ & (\led_flash_cnt[1503][4]~47929\ $ (GND))) # (!\led_flash_cnt[1503][5]~q\ & (!\led_flash_cnt[1503][4]~47929\ & VCC))
-- \led_flash_cnt[1503][5]~47931\ = CARRY((\led_flash_cnt[1503][5]~q\ & !\led_flash_cnt[1503][4]~47929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1503][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1503][4]~47929\,
	combout => \led_flash_cnt[1503][5]~47930_combout\,
	cout => \led_flash_cnt[1503][5]~47931\);

-- Location: FF_X40_Y3_N21
\led_flash_cnt[1503][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1503][5]~47930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1503][5]~q\);

-- Location: LCCOMB_X40_Y3_N22
\led_flash_cnt[1503][6]~47932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1503][6]~47932_combout\ = (\led_flash_cnt[1503][6]~q\ & (!\led_flash_cnt[1503][5]~47931\)) # (!\led_flash_cnt[1503][6]~q\ & ((\led_flash_cnt[1503][5]~47931\) # (GND)))
-- \led_flash_cnt[1503][6]~47933\ = CARRY((!\led_flash_cnt[1503][5]~47931\) # (!\led_flash_cnt[1503][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1503][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1503][5]~47931\,
	combout => \led_flash_cnt[1503][6]~47932_combout\,
	cout => \led_flash_cnt[1503][6]~47933\);

-- Location: FF_X40_Y3_N23
\led_flash_cnt[1503][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1503][6]~47932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1503][6]~q\);

-- Location: LCCOMB_X40_Y3_N26
\WideAnd1503~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1503~1_combout\ = (\led_flash_cnt[1503][6]~q\ & \led_flash_cnt[1503][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1503][6]~q\,
	datad => \led_flash_cnt[1503][5]~q\,
	combout => \WideAnd1503~1_combout\);

-- Location: LCCOMB_X40_Y3_N24
\led_flash_cnt[1503][7]~47934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1503][7]~47934_combout\ = \led_flash_cnt[1503][6]~47933\ $ (!\led_flash_cnt[1503][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1503][7]~q\,
	cin => \led_flash_cnt[1503][6]~47933\,
	combout => \led_flash_cnt[1503][7]~47934_combout\);

-- Location: FF_X40_Y3_N25
\led_flash_cnt[1503][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1503][7]~47934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1503][7]~q\);

-- Location: LCCOMB_X40_Y3_N4
\WideAnd1503~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1503~0_combout\ = (\led_flash_cnt[1503][1]~q\ & (\led_flash_cnt[1503][3]~q\ & (\led_flash_cnt[1503][2]~q\ & \led_flash_cnt[1503][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1503][1]~q\,
	datab => \led_flash_cnt[1503][3]~q\,
	datac => \led_flash_cnt[1503][2]~q\,
	datad => \led_flash_cnt[1503][4]~q\,
	combout => \WideAnd1503~0_combout\);

-- Location: LCCOMB_X41_Y3_N28
WideAnd1503 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1503~combout\ = (\WideAnd1503~1_combout\ & (\led_flash_cnt[1503][7]~q\ & (\WideAnd1503~0_combout\ & \led_flash_cnt[1503][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1503~1_combout\,
	datab => \led_flash_cnt[1503][7]~q\,
	datac => \WideAnd1503~0_combout\,
	datad => \led_flash_cnt[1503][0]~q\,
	combout => \WideAnd1503~combout\);

-- Location: FF_X41_Y3_N29
\led_flash_cnt_ands[1503]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1503~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1503));

-- Location: LCCOMB_X64_Y3_N20
\led_flash_cnt[1500][0]~82140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1500][0]~82140_combout\ = !\led_flash_cnt[1500][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1500][0]~q\,
	combout => \led_flash_cnt[1500][0]~82140_combout\);

-- Location: FF_X64_Y3_N21
\led_flash_cnt[1500][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1500][0]~82140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1500][0]~q\);

-- Location: LCCOMB_X64_Y3_N6
\led_flash_cnt[1500][1]~47880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1500][1]~47880_combout\ = (\led_flash_cnt[1500][1]~q\ & (\led_flash_cnt[1500][0]~q\ $ (VCC))) # (!\led_flash_cnt[1500][1]~q\ & (\led_flash_cnt[1500][0]~q\ & VCC))
-- \led_flash_cnt[1500][1]~47881\ = CARRY((\led_flash_cnt[1500][1]~q\ & \led_flash_cnt[1500][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1500][1]~q\,
	datab => \led_flash_cnt[1500][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1500][1]~47880_combout\,
	cout => \led_flash_cnt[1500][1]~47881\);

-- Location: FF_X64_Y3_N7
\led_flash_cnt[1500][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1500][1]~47880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1500][1]~q\);

-- Location: LCCOMB_X64_Y3_N8
\led_flash_cnt[1500][2]~47882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1500][2]~47882_combout\ = (\led_flash_cnt[1500][2]~q\ & (!\led_flash_cnt[1500][1]~47881\)) # (!\led_flash_cnt[1500][2]~q\ & ((\led_flash_cnt[1500][1]~47881\) # (GND)))
-- \led_flash_cnt[1500][2]~47883\ = CARRY((!\led_flash_cnt[1500][1]~47881\) # (!\led_flash_cnt[1500][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1500][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1500][1]~47881\,
	combout => \led_flash_cnt[1500][2]~47882_combout\,
	cout => \led_flash_cnt[1500][2]~47883\);

-- Location: FF_X64_Y3_N9
\led_flash_cnt[1500][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1500][2]~47882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1500][2]~q\);

-- Location: LCCOMB_X64_Y3_N10
\led_flash_cnt[1500][3]~47884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1500][3]~47884_combout\ = (\led_flash_cnt[1500][3]~q\ & (\led_flash_cnt[1500][2]~47883\ $ (GND))) # (!\led_flash_cnt[1500][3]~q\ & (!\led_flash_cnt[1500][2]~47883\ & VCC))
-- \led_flash_cnt[1500][3]~47885\ = CARRY((\led_flash_cnt[1500][3]~q\ & !\led_flash_cnt[1500][2]~47883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1500][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1500][2]~47883\,
	combout => \led_flash_cnt[1500][3]~47884_combout\,
	cout => \led_flash_cnt[1500][3]~47885\);

-- Location: FF_X64_Y3_N11
\led_flash_cnt[1500][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1500][3]~47884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1500][3]~q\);

-- Location: LCCOMB_X64_Y3_N12
\led_flash_cnt[1500][4]~47886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1500][4]~47886_combout\ = (\led_flash_cnt[1500][4]~q\ & (!\led_flash_cnt[1500][3]~47885\)) # (!\led_flash_cnt[1500][4]~q\ & ((\led_flash_cnt[1500][3]~47885\) # (GND)))
-- \led_flash_cnt[1500][4]~47887\ = CARRY((!\led_flash_cnt[1500][3]~47885\) # (!\led_flash_cnt[1500][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1500][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1500][3]~47885\,
	combout => \led_flash_cnt[1500][4]~47886_combout\,
	cout => \led_flash_cnt[1500][4]~47887\);

-- Location: FF_X64_Y3_N13
\led_flash_cnt[1500][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1500][4]~47886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1500][4]~q\);

-- Location: LCCOMB_X64_Y3_N14
\led_flash_cnt[1500][5]~47888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1500][5]~47888_combout\ = (\led_flash_cnt[1500][5]~q\ & (\led_flash_cnt[1500][4]~47887\ $ (GND))) # (!\led_flash_cnt[1500][5]~q\ & (!\led_flash_cnt[1500][4]~47887\ & VCC))
-- \led_flash_cnt[1500][5]~47889\ = CARRY((\led_flash_cnt[1500][5]~q\ & !\led_flash_cnt[1500][4]~47887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1500][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1500][4]~47887\,
	combout => \led_flash_cnt[1500][5]~47888_combout\,
	cout => \led_flash_cnt[1500][5]~47889\);

-- Location: FF_X64_Y3_N15
\led_flash_cnt[1500][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1500][5]~47888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1500][5]~q\);

-- Location: LCCOMB_X64_Y3_N16
\led_flash_cnt[1500][6]~47890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1500][6]~47890_combout\ = (\led_flash_cnt[1500][6]~q\ & (!\led_flash_cnt[1500][5]~47889\)) # (!\led_flash_cnt[1500][6]~q\ & ((\led_flash_cnt[1500][5]~47889\) # (GND)))
-- \led_flash_cnt[1500][6]~47891\ = CARRY((!\led_flash_cnt[1500][5]~47889\) # (!\led_flash_cnt[1500][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1500][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1500][5]~47889\,
	combout => \led_flash_cnt[1500][6]~47890_combout\,
	cout => \led_flash_cnt[1500][6]~47891\);

-- Location: FF_X64_Y3_N17
\led_flash_cnt[1500][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1500][6]~47890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1500][6]~q\);

-- Location: LCCOMB_X64_Y3_N18
\led_flash_cnt[1500][7]~47892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1500][7]~47892_combout\ = \led_flash_cnt[1500][7]~q\ $ (!\led_flash_cnt[1500][6]~47891\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1500][7]~q\,
	cin => \led_flash_cnt[1500][6]~47891\,
	combout => \led_flash_cnt[1500][7]~47892_combout\);

-- Location: FF_X64_Y3_N19
\led_flash_cnt[1500][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1500][7]~47892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1500][7]~q\);

-- Location: LCCOMB_X64_Y3_N30
\WideAnd1500~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1500~1_combout\ = (\led_flash_cnt[1500][5]~q\ & \led_flash_cnt[1500][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1500][5]~q\,
	datad => \led_flash_cnt[1500][6]~q\,
	combout => \WideAnd1500~1_combout\);

-- Location: LCCOMB_X64_Y3_N28
\WideAnd1500~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1500~0_combout\ = (\led_flash_cnt[1500][1]~q\ & (\led_flash_cnt[1500][4]~q\ & (\led_flash_cnt[1500][2]~q\ & \led_flash_cnt[1500][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1500][1]~q\,
	datab => \led_flash_cnt[1500][4]~q\,
	datac => \led_flash_cnt[1500][2]~q\,
	datad => \led_flash_cnt[1500][3]~q\,
	combout => \WideAnd1500~0_combout\);

-- Location: LCCOMB_X64_Y3_N24
WideAnd1500 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1500~combout\ = (\led_flash_cnt[1500][7]~q\ & (\led_flash_cnt[1500][0]~q\ & (\WideAnd1500~1_combout\ & \WideAnd1500~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1500][7]~q\,
	datab => \led_flash_cnt[1500][0]~q\,
	datac => \WideAnd1500~1_combout\,
	datad => \WideAnd1500~0_combout\,
	combout => \WideAnd1500~combout\);

-- Location: FF_X64_Y3_N25
\led_flash_cnt_ands[1500]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1500~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1500));

-- Location: LCCOMB_X69_Y20_N4
\led_flash_cnt[1501][0]~82141\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1501][0]~82141_combout\ = !\led_flash_cnt[1501][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1501][0]~q\,
	combout => \led_flash_cnt[1501][0]~82141_combout\);

-- Location: FF_X69_Y20_N5
\led_flash_cnt[1501][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1501][0]~82141_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1501][0]~q\);

-- Location: LCCOMB_X69_Y20_N6
\led_flash_cnt[1501][1]~47894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1501][1]~47894_combout\ = (\led_flash_cnt[1501][1]~q\ & (\led_flash_cnt[1501][0]~q\ $ (VCC))) # (!\led_flash_cnt[1501][1]~q\ & (\led_flash_cnt[1501][0]~q\ & VCC))
-- \led_flash_cnt[1501][1]~47895\ = CARRY((\led_flash_cnt[1501][1]~q\ & \led_flash_cnt[1501][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1501][1]~q\,
	datab => \led_flash_cnt[1501][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1501][1]~47894_combout\,
	cout => \led_flash_cnt[1501][1]~47895\);

-- Location: FF_X69_Y20_N7
\led_flash_cnt[1501][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1501][1]~47894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1501][1]~q\);

-- Location: LCCOMB_X69_Y20_N8
\led_flash_cnt[1501][2]~47896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1501][2]~47896_combout\ = (\led_flash_cnt[1501][2]~q\ & (!\led_flash_cnt[1501][1]~47895\)) # (!\led_flash_cnt[1501][2]~q\ & ((\led_flash_cnt[1501][1]~47895\) # (GND)))
-- \led_flash_cnt[1501][2]~47897\ = CARRY((!\led_flash_cnt[1501][1]~47895\) # (!\led_flash_cnt[1501][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1501][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1501][1]~47895\,
	combout => \led_flash_cnt[1501][2]~47896_combout\,
	cout => \led_flash_cnt[1501][2]~47897\);

-- Location: FF_X69_Y20_N9
\led_flash_cnt[1501][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1501][2]~47896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1501][2]~q\);

-- Location: LCCOMB_X69_Y20_N10
\led_flash_cnt[1501][3]~47898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1501][3]~47898_combout\ = (\led_flash_cnt[1501][3]~q\ & (\led_flash_cnt[1501][2]~47897\ $ (GND))) # (!\led_flash_cnt[1501][3]~q\ & (!\led_flash_cnt[1501][2]~47897\ & VCC))
-- \led_flash_cnt[1501][3]~47899\ = CARRY((\led_flash_cnt[1501][3]~q\ & !\led_flash_cnt[1501][2]~47897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1501][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1501][2]~47897\,
	combout => \led_flash_cnt[1501][3]~47898_combout\,
	cout => \led_flash_cnt[1501][3]~47899\);

-- Location: FF_X69_Y20_N11
\led_flash_cnt[1501][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1501][3]~47898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1501][3]~q\);

-- Location: LCCOMB_X69_Y20_N12
\led_flash_cnt[1501][4]~47900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1501][4]~47900_combout\ = (\led_flash_cnt[1501][4]~q\ & (!\led_flash_cnt[1501][3]~47899\)) # (!\led_flash_cnt[1501][4]~q\ & ((\led_flash_cnt[1501][3]~47899\) # (GND)))
-- \led_flash_cnt[1501][4]~47901\ = CARRY((!\led_flash_cnt[1501][3]~47899\) # (!\led_flash_cnt[1501][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1501][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1501][3]~47899\,
	combout => \led_flash_cnt[1501][4]~47900_combout\,
	cout => \led_flash_cnt[1501][4]~47901\);

-- Location: FF_X69_Y20_N13
\led_flash_cnt[1501][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1501][4]~47900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1501][4]~q\);

-- Location: LCCOMB_X69_Y20_N22
\WideAnd1501~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1501~0_combout\ = (\led_flash_cnt[1501][4]~q\ & (\led_flash_cnt[1501][1]~q\ & (\led_flash_cnt[1501][2]~q\ & \led_flash_cnt[1501][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1501][4]~q\,
	datab => \led_flash_cnt[1501][1]~q\,
	datac => \led_flash_cnt[1501][2]~q\,
	datad => \led_flash_cnt[1501][3]~q\,
	combout => \WideAnd1501~0_combout\);

-- Location: LCCOMB_X69_Y20_N14
\led_flash_cnt[1501][5]~47902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1501][5]~47902_combout\ = (\led_flash_cnt[1501][5]~q\ & (\led_flash_cnt[1501][4]~47901\ $ (GND))) # (!\led_flash_cnt[1501][5]~q\ & (!\led_flash_cnt[1501][4]~47901\ & VCC))
-- \led_flash_cnt[1501][5]~47903\ = CARRY((\led_flash_cnt[1501][5]~q\ & !\led_flash_cnt[1501][4]~47901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1501][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1501][4]~47901\,
	combout => \led_flash_cnt[1501][5]~47902_combout\,
	cout => \led_flash_cnt[1501][5]~47903\);

-- Location: FF_X69_Y20_N15
\led_flash_cnt[1501][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1501][5]~47902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1501][5]~q\);

-- Location: LCCOMB_X69_Y20_N16
\led_flash_cnt[1501][6]~47904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1501][6]~47904_combout\ = (\led_flash_cnt[1501][6]~q\ & (!\led_flash_cnt[1501][5]~47903\)) # (!\led_flash_cnt[1501][6]~q\ & ((\led_flash_cnt[1501][5]~47903\) # (GND)))
-- \led_flash_cnt[1501][6]~47905\ = CARRY((!\led_flash_cnt[1501][5]~47903\) # (!\led_flash_cnt[1501][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1501][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1501][5]~47903\,
	combout => \led_flash_cnt[1501][6]~47904_combout\,
	cout => \led_flash_cnt[1501][6]~47905\);

-- Location: FF_X69_Y20_N17
\led_flash_cnt[1501][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1501][6]~47904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1501][6]~q\);

-- Location: LCCOMB_X69_Y20_N26
\WideAnd1501~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1501~1_combout\ = (\led_flash_cnt[1501][5]~q\ & \led_flash_cnt[1501][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1501][5]~q\,
	datad => \led_flash_cnt[1501][6]~q\,
	combout => \WideAnd1501~1_combout\);

-- Location: LCCOMB_X69_Y20_N18
\led_flash_cnt[1501][7]~47906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1501][7]~47906_combout\ = \led_flash_cnt[1501][6]~47905\ $ (!\led_flash_cnt[1501][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1501][7]~q\,
	cin => \led_flash_cnt[1501][6]~47905\,
	combout => \led_flash_cnt[1501][7]~47906_combout\);

-- Location: FF_X69_Y20_N19
\led_flash_cnt[1501][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1501][7]~47906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1501][7]~q\);

-- Location: LCCOMB_X69_Y20_N20
WideAnd1501 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1501~combout\ = (\WideAnd1501~0_combout\ & (\led_flash_cnt[1501][0]~q\ & (\WideAnd1501~1_combout\ & \led_flash_cnt[1501][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1501~0_combout\,
	datab => \led_flash_cnt[1501][0]~q\,
	datac => \WideAnd1501~1_combout\,
	datad => \led_flash_cnt[1501][7]~q\,
	combout => \WideAnd1501~combout\);

-- Location: FF_X69_Y20_N21
\led_flash_cnt_ands[1501]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1501~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1501));

-- Location: LCCOMB_X64_Y3_N4
\WideAnd4027~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4027~1_combout\ = (led_flash_cnt_ands(1500) & led_flash_cnt_ands(1501))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1500),
	datad => led_flash_cnt_ands(1501),
	combout => \WideAnd4027~1_combout\);

-- Location: LCCOMB_X42_Y7_N6
\led_flash_cnt[1498][0]~82138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1498][0]~82138_combout\ = !\led_flash_cnt[1498][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1498][0]~q\,
	combout => \led_flash_cnt[1498][0]~82138_combout\);

-- Location: FF_X42_Y7_N7
\led_flash_cnt[1498][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1498][0]~82138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1498][0]~q\);

-- Location: LCCOMB_X43_Y7_N2
\led_flash_cnt[1498][1]~47852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1498][1]~47852_combout\ = (\led_flash_cnt[1498][0]~q\ & (\led_flash_cnt[1498][1]~q\ $ (VCC))) # (!\led_flash_cnt[1498][0]~q\ & (\led_flash_cnt[1498][1]~q\ & VCC))
-- \led_flash_cnt[1498][1]~47853\ = CARRY((\led_flash_cnt[1498][0]~q\ & \led_flash_cnt[1498][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1498][0]~q\,
	datab => \led_flash_cnt[1498][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1498][1]~47852_combout\,
	cout => \led_flash_cnt[1498][1]~47853\);

-- Location: FF_X43_Y7_N3
\led_flash_cnt[1498][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1498][1]~47852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1498][1]~q\);

-- Location: LCCOMB_X43_Y7_N4
\led_flash_cnt[1498][2]~47854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1498][2]~47854_combout\ = (\led_flash_cnt[1498][2]~q\ & (!\led_flash_cnt[1498][1]~47853\)) # (!\led_flash_cnt[1498][2]~q\ & ((\led_flash_cnt[1498][1]~47853\) # (GND)))
-- \led_flash_cnt[1498][2]~47855\ = CARRY((!\led_flash_cnt[1498][1]~47853\) # (!\led_flash_cnt[1498][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1498][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1498][1]~47853\,
	combout => \led_flash_cnt[1498][2]~47854_combout\,
	cout => \led_flash_cnt[1498][2]~47855\);

-- Location: FF_X43_Y7_N5
\led_flash_cnt[1498][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1498][2]~47854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1498][2]~q\);

-- Location: LCCOMB_X43_Y7_N6
\led_flash_cnt[1498][3]~47856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1498][3]~47856_combout\ = (\led_flash_cnt[1498][3]~q\ & (\led_flash_cnt[1498][2]~47855\ $ (GND))) # (!\led_flash_cnt[1498][3]~q\ & (!\led_flash_cnt[1498][2]~47855\ & VCC))
-- \led_flash_cnt[1498][3]~47857\ = CARRY((\led_flash_cnt[1498][3]~q\ & !\led_flash_cnt[1498][2]~47855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1498][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1498][2]~47855\,
	combout => \led_flash_cnt[1498][3]~47856_combout\,
	cout => \led_flash_cnt[1498][3]~47857\);

-- Location: FF_X43_Y7_N7
\led_flash_cnt[1498][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1498][3]~47856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1498][3]~q\);

-- Location: LCCOMB_X43_Y7_N8
\led_flash_cnt[1498][4]~47858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1498][4]~47858_combout\ = (\led_flash_cnt[1498][4]~q\ & (!\led_flash_cnt[1498][3]~47857\)) # (!\led_flash_cnt[1498][4]~q\ & ((\led_flash_cnt[1498][3]~47857\) # (GND)))
-- \led_flash_cnt[1498][4]~47859\ = CARRY((!\led_flash_cnt[1498][3]~47857\) # (!\led_flash_cnt[1498][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1498][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1498][3]~47857\,
	combout => \led_flash_cnt[1498][4]~47858_combout\,
	cout => \led_flash_cnt[1498][4]~47859\);

-- Location: FF_X43_Y7_N9
\led_flash_cnt[1498][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1498][4]~47858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1498][4]~q\);

-- Location: LCCOMB_X43_Y7_N10
\led_flash_cnt[1498][5]~47860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1498][5]~47860_combout\ = (\led_flash_cnt[1498][5]~q\ & (\led_flash_cnt[1498][4]~47859\ $ (GND))) # (!\led_flash_cnt[1498][5]~q\ & (!\led_flash_cnt[1498][4]~47859\ & VCC))
-- \led_flash_cnt[1498][5]~47861\ = CARRY((\led_flash_cnt[1498][5]~q\ & !\led_flash_cnt[1498][4]~47859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1498][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1498][4]~47859\,
	combout => \led_flash_cnt[1498][5]~47860_combout\,
	cout => \led_flash_cnt[1498][5]~47861\);

-- Location: FF_X43_Y7_N11
\led_flash_cnt[1498][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1498][5]~47860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1498][5]~q\);

-- Location: LCCOMB_X43_Y7_N12
\led_flash_cnt[1498][6]~47862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1498][6]~47862_combout\ = (\led_flash_cnt[1498][6]~q\ & (!\led_flash_cnt[1498][5]~47861\)) # (!\led_flash_cnt[1498][6]~q\ & ((\led_flash_cnt[1498][5]~47861\) # (GND)))
-- \led_flash_cnt[1498][6]~47863\ = CARRY((!\led_flash_cnt[1498][5]~47861\) # (!\led_flash_cnt[1498][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1498][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1498][5]~47861\,
	combout => \led_flash_cnt[1498][6]~47862_combout\,
	cout => \led_flash_cnt[1498][6]~47863\);

-- Location: FF_X43_Y7_N13
\led_flash_cnt[1498][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1498][6]~47862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1498][6]~q\);

-- Location: LCCOMB_X42_Y7_N30
\WideAnd1498~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1498~1_combout\ = (\led_flash_cnt[1498][5]~q\ & \led_flash_cnt[1498][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1498][5]~q\,
	datac => \led_flash_cnt[1498][6]~q\,
	combout => \WideAnd1498~1_combout\);

-- Location: LCCOMB_X43_Y7_N14
\led_flash_cnt[1498][7]~47864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1498][7]~47864_combout\ = \led_flash_cnt[1498][7]~q\ $ (!\led_flash_cnt[1498][6]~47863\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1498][7]~q\,
	cin => \led_flash_cnt[1498][6]~47863\,
	combout => \led_flash_cnt[1498][7]~47864_combout\);

-- Location: FF_X43_Y7_N15
\led_flash_cnt[1498][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1498][7]~47864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1498][7]~q\);

-- Location: LCCOMB_X43_Y7_N30
\WideAnd1498~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1498~0_combout\ = (\led_flash_cnt[1498][3]~q\ & (\led_flash_cnt[1498][2]~q\ & (\led_flash_cnt[1498][4]~q\ & \led_flash_cnt[1498][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1498][3]~q\,
	datab => \led_flash_cnt[1498][2]~q\,
	datac => \led_flash_cnt[1498][4]~q\,
	datad => \led_flash_cnt[1498][1]~q\,
	combout => \WideAnd1498~0_combout\);

-- Location: LCCOMB_X42_Y7_N8
WideAnd1498 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1498~combout\ = (\WideAnd1498~1_combout\ & (\led_flash_cnt[1498][7]~q\ & (\WideAnd1498~0_combout\ & \led_flash_cnt[1498][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1498~1_combout\,
	datab => \led_flash_cnt[1498][7]~q\,
	datac => \WideAnd1498~0_combout\,
	datad => \led_flash_cnt[1498][0]~q\,
	combout => \WideAnd1498~combout\);

-- Location: FF_X42_Y7_N9
\led_flash_cnt_ands[1498]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1498~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1498));

-- Location: LCCOMB_X47_Y8_N2
\led_flash_cnt[1496][0]~82136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1496][0]~82136_combout\ = !\led_flash_cnt[1496][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1496][0]~q\,
	combout => \led_flash_cnt[1496][0]~82136_combout\);

-- Location: FF_X47_Y8_N3
\led_flash_cnt[1496][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1496][0]~82136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1496][0]~q\);

-- Location: LCCOMB_X46_Y8_N18
\led_flash_cnt[1496][1]~47824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1496][1]~47824_combout\ = (\led_flash_cnt[1496][0]~q\ & (\led_flash_cnt[1496][1]~q\ $ (VCC))) # (!\led_flash_cnt[1496][0]~q\ & (\led_flash_cnt[1496][1]~q\ & VCC))
-- \led_flash_cnt[1496][1]~47825\ = CARRY((\led_flash_cnt[1496][0]~q\ & \led_flash_cnt[1496][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1496][0]~q\,
	datab => \led_flash_cnt[1496][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1496][1]~47824_combout\,
	cout => \led_flash_cnt[1496][1]~47825\);

-- Location: FF_X46_Y8_N19
\led_flash_cnt[1496][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1496][1]~47824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1496][1]~q\);

-- Location: LCCOMB_X46_Y8_N20
\led_flash_cnt[1496][2]~47826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1496][2]~47826_combout\ = (\led_flash_cnt[1496][2]~q\ & (!\led_flash_cnt[1496][1]~47825\)) # (!\led_flash_cnt[1496][2]~q\ & ((\led_flash_cnt[1496][1]~47825\) # (GND)))
-- \led_flash_cnt[1496][2]~47827\ = CARRY((!\led_flash_cnt[1496][1]~47825\) # (!\led_flash_cnt[1496][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1496][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1496][1]~47825\,
	combout => \led_flash_cnt[1496][2]~47826_combout\,
	cout => \led_flash_cnt[1496][2]~47827\);

-- Location: FF_X46_Y8_N21
\led_flash_cnt[1496][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1496][2]~47826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1496][2]~q\);

-- Location: LCCOMB_X46_Y8_N22
\led_flash_cnt[1496][3]~47828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1496][3]~47828_combout\ = (\led_flash_cnt[1496][3]~q\ & (\led_flash_cnt[1496][2]~47827\ $ (GND))) # (!\led_flash_cnt[1496][3]~q\ & (!\led_flash_cnt[1496][2]~47827\ & VCC))
-- \led_flash_cnt[1496][3]~47829\ = CARRY((\led_flash_cnt[1496][3]~q\ & !\led_flash_cnt[1496][2]~47827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1496][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1496][2]~47827\,
	combout => \led_flash_cnt[1496][3]~47828_combout\,
	cout => \led_flash_cnt[1496][3]~47829\);

-- Location: FF_X46_Y8_N23
\led_flash_cnt[1496][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1496][3]~47828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1496][3]~q\);

-- Location: LCCOMB_X46_Y8_N24
\led_flash_cnt[1496][4]~47830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1496][4]~47830_combout\ = (\led_flash_cnt[1496][4]~q\ & (!\led_flash_cnt[1496][3]~47829\)) # (!\led_flash_cnt[1496][4]~q\ & ((\led_flash_cnt[1496][3]~47829\) # (GND)))
-- \led_flash_cnt[1496][4]~47831\ = CARRY((!\led_flash_cnt[1496][3]~47829\) # (!\led_flash_cnt[1496][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1496][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1496][3]~47829\,
	combout => \led_flash_cnt[1496][4]~47830_combout\,
	cout => \led_flash_cnt[1496][4]~47831\);

-- Location: FF_X46_Y8_N25
\led_flash_cnt[1496][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1496][4]~47830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1496][4]~q\);

-- Location: LCCOMB_X46_Y8_N26
\led_flash_cnt[1496][5]~47832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1496][5]~47832_combout\ = (\led_flash_cnt[1496][5]~q\ & (\led_flash_cnt[1496][4]~47831\ $ (GND))) # (!\led_flash_cnt[1496][5]~q\ & (!\led_flash_cnt[1496][4]~47831\ & VCC))
-- \led_flash_cnt[1496][5]~47833\ = CARRY((\led_flash_cnt[1496][5]~q\ & !\led_flash_cnt[1496][4]~47831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1496][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1496][4]~47831\,
	combout => \led_flash_cnt[1496][5]~47832_combout\,
	cout => \led_flash_cnt[1496][5]~47833\);

-- Location: FF_X46_Y8_N27
\led_flash_cnt[1496][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1496][5]~47832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1496][5]~q\);

-- Location: LCCOMB_X46_Y8_N28
\led_flash_cnt[1496][6]~47834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1496][6]~47834_combout\ = (\led_flash_cnt[1496][6]~q\ & (!\led_flash_cnt[1496][5]~47833\)) # (!\led_flash_cnt[1496][6]~q\ & ((\led_flash_cnt[1496][5]~47833\) # (GND)))
-- \led_flash_cnt[1496][6]~47835\ = CARRY((!\led_flash_cnt[1496][5]~47833\) # (!\led_flash_cnt[1496][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1496][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1496][5]~47833\,
	combout => \led_flash_cnt[1496][6]~47834_combout\,
	cout => \led_flash_cnt[1496][6]~47835\);

-- Location: FF_X46_Y8_N29
\led_flash_cnt[1496][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1496][6]~47834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1496][6]~q\);

-- Location: LCCOMB_X47_Y8_N26
\WideAnd1496~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1496~1_combout\ = (\led_flash_cnt[1496][5]~q\ & \led_flash_cnt[1496][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1496][5]~q\,
	datad => \led_flash_cnt[1496][6]~q\,
	combout => \WideAnd1496~1_combout\);

-- Location: LCCOMB_X46_Y8_N30
\led_flash_cnt[1496][7]~47836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1496][7]~47836_combout\ = \led_flash_cnt[1496][7]~q\ $ (!\led_flash_cnt[1496][6]~47835\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1496][7]~q\,
	cin => \led_flash_cnt[1496][6]~47835\,
	combout => \led_flash_cnt[1496][7]~47836_combout\);

-- Location: FF_X46_Y8_N31
\led_flash_cnt[1496][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1496][7]~47836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1496][7]~q\);

-- Location: LCCOMB_X46_Y8_N0
\WideAnd1496~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1496~0_combout\ = (\led_flash_cnt[1496][1]~q\ & (\led_flash_cnt[1496][2]~q\ & (\led_flash_cnt[1496][3]~q\ & \led_flash_cnt[1496][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1496][1]~q\,
	datab => \led_flash_cnt[1496][2]~q\,
	datac => \led_flash_cnt[1496][3]~q\,
	datad => \led_flash_cnt[1496][4]~q\,
	combout => \WideAnd1496~0_combout\);

-- Location: LCCOMB_X47_Y8_N30
WideAnd1496 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1496~combout\ = (\WideAnd1496~1_combout\ & (\led_flash_cnt[1496][7]~q\ & (\WideAnd1496~0_combout\ & \led_flash_cnt[1496][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1496~1_combout\,
	datab => \led_flash_cnt[1496][7]~q\,
	datac => \WideAnd1496~0_combout\,
	datad => \led_flash_cnt[1496][0]~q\,
	combout => \WideAnd1496~combout\);

-- Location: FF_X47_Y8_N31
\led_flash_cnt_ands[1496]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1496~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1496));

-- Location: LCCOMB_X30_Y2_N26
\led_flash_cnt[1499][0]~82139\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1499][0]~82139_combout\ = !\led_flash_cnt[1499][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1499][0]~q\,
	combout => \led_flash_cnt[1499][0]~82139_combout\);

-- Location: FF_X30_Y2_N27
\led_flash_cnt[1499][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1499][0]~82139_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1499][0]~q\);

-- Location: LCCOMB_X27_Y2_N4
\led_flash_cnt[1499][1]~47866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1499][1]~47866_combout\ = (\led_flash_cnt[1499][0]~q\ & (\led_flash_cnt[1499][1]~q\ $ (VCC))) # (!\led_flash_cnt[1499][0]~q\ & (\led_flash_cnt[1499][1]~q\ & VCC))
-- \led_flash_cnt[1499][1]~47867\ = CARRY((\led_flash_cnt[1499][0]~q\ & \led_flash_cnt[1499][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1499][0]~q\,
	datab => \led_flash_cnt[1499][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1499][1]~47866_combout\,
	cout => \led_flash_cnt[1499][1]~47867\);

-- Location: FF_X27_Y2_N5
\led_flash_cnt[1499][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1499][1]~47866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1499][1]~q\);

-- Location: LCCOMB_X27_Y2_N6
\led_flash_cnt[1499][2]~47868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1499][2]~47868_combout\ = (\led_flash_cnt[1499][2]~q\ & (!\led_flash_cnt[1499][1]~47867\)) # (!\led_flash_cnt[1499][2]~q\ & ((\led_flash_cnt[1499][1]~47867\) # (GND)))
-- \led_flash_cnt[1499][2]~47869\ = CARRY((!\led_flash_cnt[1499][1]~47867\) # (!\led_flash_cnt[1499][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1499][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1499][1]~47867\,
	combout => \led_flash_cnt[1499][2]~47868_combout\,
	cout => \led_flash_cnt[1499][2]~47869\);

-- Location: FF_X27_Y2_N7
\led_flash_cnt[1499][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1499][2]~47868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1499][2]~q\);

-- Location: LCCOMB_X27_Y2_N8
\led_flash_cnt[1499][3]~47870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1499][3]~47870_combout\ = (\led_flash_cnt[1499][3]~q\ & (\led_flash_cnt[1499][2]~47869\ $ (GND))) # (!\led_flash_cnt[1499][3]~q\ & (!\led_flash_cnt[1499][2]~47869\ & VCC))
-- \led_flash_cnt[1499][3]~47871\ = CARRY((\led_flash_cnt[1499][3]~q\ & !\led_flash_cnt[1499][2]~47869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1499][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1499][2]~47869\,
	combout => \led_flash_cnt[1499][3]~47870_combout\,
	cout => \led_flash_cnt[1499][3]~47871\);

-- Location: FF_X27_Y2_N9
\led_flash_cnt[1499][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1499][3]~47870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1499][3]~q\);

-- Location: LCCOMB_X27_Y2_N10
\led_flash_cnt[1499][4]~47872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1499][4]~47872_combout\ = (\led_flash_cnt[1499][4]~q\ & (!\led_flash_cnt[1499][3]~47871\)) # (!\led_flash_cnt[1499][4]~q\ & ((\led_flash_cnt[1499][3]~47871\) # (GND)))
-- \led_flash_cnt[1499][4]~47873\ = CARRY((!\led_flash_cnt[1499][3]~47871\) # (!\led_flash_cnt[1499][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1499][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1499][3]~47871\,
	combout => \led_flash_cnt[1499][4]~47872_combout\,
	cout => \led_flash_cnt[1499][4]~47873\);

-- Location: FF_X27_Y2_N11
\led_flash_cnt[1499][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1499][4]~47872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1499][4]~q\);

-- Location: LCCOMB_X27_Y2_N2
\WideAnd1499~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1499~0_combout\ = (\led_flash_cnt[1499][4]~q\ & (\led_flash_cnt[1499][1]~q\ & (\led_flash_cnt[1499][3]~q\ & \led_flash_cnt[1499][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1499][4]~q\,
	datab => \led_flash_cnt[1499][1]~q\,
	datac => \led_flash_cnt[1499][3]~q\,
	datad => \led_flash_cnt[1499][2]~q\,
	combout => \WideAnd1499~0_combout\);

-- Location: LCCOMB_X27_Y2_N12
\led_flash_cnt[1499][5]~47874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1499][5]~47874_combout\ = (\led_flash_cnt[1499][5]~q\ & (\led_flash_cnt[1499][4]~47873\ $ (GND))) # (!\led_flash_cnt[1499][5]~q\ & (!\led_flash_cnt[1499][4]~47873\ & VCC))
-- \led_flash_cnt[1499][5]~47875\ = CARRY((\led_flash_cnt[1499][5]~q\ & !\led_flash_cnt[1499][4]~47873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1499][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1499][4]~47873\,
	combout => \led_flash_cnt[1499][5]~47874_combout\,
	cout => \led_flash_cnt[1499][5]~47875\);

-- Location: FF_X27_Y2_N13
\led_flash_cnt[1499][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1499][5]~47874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1499][5]~q\);

-- Location: LCCOMB_X27_Y2_N14
\led_flash_cnt[1499][6]~47876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1499][6]~47876_combout\ = (\led_flash_cnt[1499][6]~q\ & (!\led_flash_cnt[1499][5]~47875\)) # (!\led_flash_cnt[1499][6]~q\ & ((\led_flash_cnt[1499][5]~47875\) # (GND)))
-- \led_flash_cnt[1499][6]~47877\ = CARRY((!\led_flash_cnt[1499][5]~47875\) # (!\led_flash_cnt[1499][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1499][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1499][5]~47875\,
	combout => \led_flash_cnt[1499][6]~47876_combout\,
	cout => \led_flash_cnt[1499][6]~47877\);

-- Location: FF_X27_Y2_N15
\led_flash_cnt[1499][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1499][6]~47876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1499][6]~q\);

-- Location: LCCOMB_X27_Y2_N16
\led_flash_cnt[1499][7]~47878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1499][7]~47878_combout\ = \led_flash_cnt[1499][6]~47877\ $ (!\led_flash_cnt[1499][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1499][7]~q\,
	cin => \led_flash_cnt[1499][6]~47877\,
	combout => \led_flash_cnt[1499][7]~47878_combout\);

-- Location: FF_X27_Y2_N17
\led_flash_cnt[1499][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1499][7]~47878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1499][7]~q\);

-- Location: LCCOMB_X30_Y2_N28
\WideAnd1499~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1499~1_combout\ = (\led_flash_cnt[1499][5]~q\ & \led_flash_cnt[1499][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1499][5]~q\,
	datad => \led_flash_cnt[1499][6]~q\,
	combout => \WideAnd1499~1_combout\);

-- Location: LCCOMB_X30_Y2_N0
WideAnd1499 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1499~combout\ = (\led_flash_cnt[1499][0]~q\ & (\WideAnd1499~0_combout\ & (\led_flash_cnt[1499][7]~q\ & \WideAnd1499~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1499][0]~q\,
	datab => \WideAnd1499~0_combout\,
	datac => \led_flash_cnt[1499][7]~q\,
	datad => \WideAnd1499~1_combout\,
	combout => \WideAnd1499~combout\);

-- Location: FF_X30_Y2_N1
\led_flash_cnt_ands[1499]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1499~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1499));

-- Location: LCCOMB_X43_Y5_N0
\led_flash_cnt[1497][0]~82137\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1497][0]~82137_combout\ = !\led_flash_cnt[1497][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1497][0]~q\,
	combout => \led_flash_cnt[1497][0]~82137_combout\);

-- Location: FF_X43_Y5_N1
\led_flash_cnt[1497][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1497][0]~82137_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1497][0]~q\);

-- Location: LCCOMB_X42_Y7_N14
\led_flash_cnt[1497][1]~47838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1497][1]~47838_combout\ = (\led_flash_cnt[1497][1]~q\ & (\led_flash_cnt[1497][0]~q\ $ (VCC))) # (!\led_flash_cnt[1497][1]~q\ & (\led_flash_cnt[1497][0]~q\ & VCC))
-- \led_flash_cnt[1497][1]~47839\ = CARRY((\led_flash_cnt[1497][1]~q\ & \led_flash_cnt[1497][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1497][1]~q\,
	datab => \led_flash_cnt[1497][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1497][1]~47838_combout\,
	cout => \led_flash_cnt[1497][1]~47839\);

-- Location: FF_X42_Y7_N15
\led_flash_cnt[1497][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1497][1]~47838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1497][1]~q\);

-- Location: LCCOMB_X42_Y7_N16
\led_flash_cnt[1497][2]~47840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1497][2]~47840_combout\ = (\led_flash_cnt[1497][2]~q\ & (!\led_flash_cnt[1497][1]~47839\)) # (!\led_flash_cnt[1497][2]~q\ & ((\led_flash_cnt[1497][1]~47839\) # (GND)))
-- \led_flash_cnt[1497][2]~47841\ = CARRY((!\led_flash_cnt[1497][1]~47839\) # (!\led_flash_cnt[1497][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1497][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1497][1]~47839\,
	combout => \led_flash_cnt[1497][2]~47840_combout\,
	cout => \led_flash_cnt[1497][2]~47841\);

-- Location: FF_X42_Y7_N17
\led_flash_cnt[1497][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1497][2]~47840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1497][2]~q\);

-- Location: LCCOMB_X42_Y7_N18
\led_flash_cnt[1497][3]~47842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1497][3]~47842_combout\ = (\led_flash_cnt[1497][3]~q\ & (\led_flash_cnt[1497][2]~47841\ $ (GND))) # (!\led_flash_cnt[1497][3]~q\ & (!\led_flash_cnt[1497][2]~47841\ & VCC))
-- \led_flash_cnt[1497][3]~47843\ = CARRY((\led_flash_cnt[1497][3]~q\ & !\led_flash_cnt[1497][2]~47841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1497][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1497][2]~47841\,
	combout => \led_flash_cnt[1497][3]~47842_combout\,
	cout => \led_flash_cnt[1497][3]~47843\);

-- Location: FF_X42_Y7_N19
\led_flash_cnt[1497][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1497][3]~47842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1497][3]~q\);

-- Location: LCCOMB_X42_Y7_N20
\led_flash_cnt[1497][4]~47844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1497][4]~47844_combout\ = (\led_flash_cnt[1497][4]~q\ & (!\led_flash_cnt[1497][3]~47843\)) # (!\led_flash_cnt[1497][4]~q\ & ((\led_flash_cnt[1497][3]~47843\) # (GND)))
-- \led_flash_cnt[1497][4]~47845\ = CARRY((!\led_flash_cnt[1497][3]~47843\) # (!\led_flash_cnt[1497][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1497][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1497][3]~47843\,
	combout => \led_flash_cnt[1497][4]~47844_combout\,
	cout => \led_flash_cnt[1497][4]~47845\);

-- Location: FF_X42_Y7_N21
\led_flash_cnt[1497][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1497][4]~47844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1497][4]~q\);

-- Location: LCCOMB_X42_Y7_N22
\led_flash_cnt[1497][5]~47846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1497][5]~47846_combout\ = (\led_flash_cnt[1497][5]~q\ & (\led_flash_cnt[1497][4]~47845\ $ (GND))) # (!\led_flash_cnt[1497][5]~q\ & (!\led_flash_cnt[1497][4]~47845\ & VCC))
-- \led_flash_cnt[1497][5]~47847\ = CARRY((\led_flash_cnt[1497][5]~q\ & !\led_flash_cnt[1497][4]~47845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1497][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1497][4]~47845\,
	combout => \led_flash_cnt[1497][5]~47846_combout\,
	cout => \led_flash_cnt[1497][5]~47847\);

-- Location: FF_X42_Y7_N23
\led_flash_cnt[1497][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1497][5]~47846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1497][5]~q\);

-- Location: LCCOMB_X42_Y7_N24
\led_flash_cnt[1497][6]~47848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1497][6]~47848_combout\ = (\led_flash_cnt[1497][6]~q\ & (!\led_flash_cnt[1497][5]~47847\)) # (!\led_flash_cnt[1497][6]~q\ & ((\led_flash_cnt[1497][5]~47847\) # (GND)))
-- \led_flash_cnt[1497][6]~47849\ = CARRY((!\led_flash_cnt[1497][5]~47847\) # (!\led_flash_cnt[1497][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1497][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1497][5]~47847\,
	combout => \led_flash_cnt[1497][6]~47848_combout\,
	cout => \led_flash_cnt[1497][6]~47849\);

-- Location: FF_X42_Y7_N25
\led_flash_cnt[1497][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1497][6]~47848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1497][6]~q\);

-- Location: LCCOMB_X42_Y7_N12
\WideAnd1497~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1497~1_combout\ = (\led_flash_cnt[1497][5]~q\ & \led_flash_cnt[1497][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1497][5]~q\,
	datad => \led_flash_cnt[1497][6]~q\,
	combout => \WideAnd1497~1_combout\);

-- Location: LCCOMB_X42_Y7_N26
\led_flash_cnt[1497][7]~47850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1497][7]~47850_combout\ = \led_flash_cnt[1497][7]~q\ $ (!\led_flash_cnt[1497][6]~47849\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1497][7]~q\,
	cin => \led_flash_cnt[1497][6]~47849\,
	combout => \led_flash_cnt[1497][7]~47850_combout\);

-- Location: FF_X42_Y7_N27
\led_flash_cnt[1497][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1497][7]~47850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1497][7]~q\);

-- Location: LCCOMB_X42_Y7_N28
\WideAnd1497~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1497~0_combout\ = (\led_flash_cnt[1497][2]~q\ & (\led_flash_cnt[1497][4]~q\ & (\led_flash_cnt[1497][1]~q\ & \led_flash_cnt[1497][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1497][2]~q\,
	datab => \led_flash_cnt[1497][4]~q\,
	datac => \led_flash_cnt[1497][1]~q\,
	datad => \led_flash_cnt[1497][3]~q\,
	combout => \WideAnd1497~0_combout\);

-- Location: LCCOMB_X42_Y7_N4
WideAnd1497 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1497~combout\ = (\WideAnd1497~1_combout\ & (\led_flash_cnt[1497][0]~q\ & (\led_flash_cnt[1497][7]~q\ & \WideAnd1497~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1497~1_combout\,
	datab => \led_flash_cnt[1497][0]~q\,
	datac => \led_flash_cnt[1497][7]~q\,
	datad => \WideAnd1497~0_combout\,
	combout => \WideAnd1497~combout\);

-- Location: FF_X42_Y7_N5
\led_flash_cnt_ands[1497]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1497~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1497));

-- Location: LCCOMB_X42_Y3_N0
\WideAnd4027~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4027~0_combout\ = (led_flash_cnt_ands(1498) & (led_flash_cnt_ands(1496) & (led_flash_cnt_ands(1499) & led_flash_cnt_ands(1497))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1498),
	datab => led_flash_cnt_ands(1496),
	datac => led_flash_cnt_ands(1499),
	datad => led_flash_cnt_ands(1497),
	combout => \WideAnd4027~0_combout\);

-- Location: LCCOMB_X42_Y3_N18
WideAnd4027 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4027~combout\ = (led_flash_cnt_ands(1502) & (led_flash_cnt_ands(1503) & (\WideAnd4027~1_combout\ & \WideAnd4027~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1502),
	datab => led_flash_cnt_ands(1503),
	datac => \WideAnd4027~1_combout\,
	datad => \WideAnd4027~0_combout\,
	combout => \WideAnd4027~combout\);

-- Location: FF_X42_Y3_N19
\led_flash_cnt_ands_1[187]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4027~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(187));

-- Location: LCCOMB_X45_Y8_N28
\led_flash_cnt[1489][0]~82129\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1489][0]~82129_combout\ = !\led_flash_cnt[1489][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1489][0]~q\,
	combout => \led_flash_cnt[1489][0]~82129_combout\);

-- Location: FF_X45_Y8_N29
\led_flash_cnt[1489][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1489][0]~82129_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1489][0]~q\);

-- Location: LCCOMB_X45_Y6_N18
\led_flash_cnt[1489][1]~47726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1489][1]~47726_combout\ = (\led_flash_cnt[1489][0]~q\ & (\led_flash_cnt[1489][1]~q\ $ (VCC))) # (!\led_flash_cnt[1489][0]~q\ & (\led_flash_cnt[1489][1]~q\ & VCC))
-- \led_flash_cnt[1489][1]~47727\ = CARRY((\led_flash_cnt[1489][0]~q\ & \led_flash_cnt[1489][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1489][0]~q\,
	datab => \led_flash_cnt[1489][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1489][1]~47726_combout\,
	cout => \led_flash_cnt[1489][1]~47727\);

-- Location: FF_X45_Y6_N19
\led_flash_cnt[1489][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1489][1]~47726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1489][1]~q\);

-- Location: LCCOMB_X45_Y6_N20
\led_flash_cnt[1489][2]~47728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1489][2]~47728_combout\ = (\led_flash_cnt[1489][2]~q\ & (!\led_flash_cnt[1489][1]~47727\)) # (!\led_flash_cnt[1489][2]~q\ & ((\led_flash_cnt[1489][1]~47727\) # (GND)))
-- \led_flash_cnt[1489][2]~47729\ = CARRY((!\led_flash_cnt[1489][1]~47727\) # (!\led_flash_cnt[1489][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1489][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1489][1]~47727\,
	combout => \led_flash_cnt[1489][2]~47728_combout\,
	cout => \led_flash_cnt[1489][2]~47729\);

-- Location: FF_X45_Y6_N21
\led_flash_cnt[1489][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1489][2]~47728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1489][2]~q\);

-- Location: LCCOMB_X45_Y6_N22
\led_flash_cnt[1489][3]~47730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1489][3]~47730_combout\ = (\led_flash_cnt[1489][3]~q\ & (\led_flash_cnt[1489][2]~47729\ $ (GND))) # (!\led_flash_cnt[1489][3]~q\ & (!\led_flash_cnt[1489][2]~47729\ & VCC))
-- \led_flash_cnt[1489][3]~47731\ = CARRY((\led_flash_cnt[1489][3]~q\ & !\led_flash_cnt[1489][2]~47729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1489][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1489][2]~47729\,
	combout => \led_flash_cnt[1489][3]~47730_combout\,
	cout => \led_flash_cnt[1489][3]~47731\);

-- Location: FF_X45_Y6_N23
\led_flash_cnt[1489][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1489][3]~47730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1489][3]~q\);

-- Location: LCCOMB_X45_Y6_N24
\led_flash_cnt[1489][4]~47732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1489][4]~47732_combout\ = (\led_flash_cnt[1489][4]~q\ & (!\led_flash_cnt[1489][3]~47731\)) # (!\led_flash_cnt[1489][4]~q\ & ((\led_flash_cnt[1489][3]~47731\) # (GND)))
-- \led_flash_cnt[1489][4]~47733\ = CARRY((!\led_flash_cnt[1489][3]~47731\) # (!\led_flash_cnt[1489][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1489][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1489][3]~47731\,
	combout => \led_flash_cnt[1489][4]~47732_combout\,
	cout => \led_flash_cnt[1489][4]~47733\);

-- Location: FF_X45_Y6_N25
\led_flash_cnt[1489][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1489][4]~47732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1489][4]~q\);

-- Location: LCCOMB_X45_Y6_N26
\led_flash_cnt[1489][5]~47734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1489][5]~47734_combout\ = (\led_flash_cnt[1489][5]~q\ & (\led_flash_cnt[1489][4]~47733\ $ (GND))) # (!\led_flash_cnt[1489][5]~q\ & (!\led_flash_cnt[1489][4]~47733\ & VCC))
-- \led_flash_cnt[1489][5]~47735\ = CARRY((\led_flash_cnt[1489][5]~q\ & !\led_flash_cnt[1489][4]~47733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1489][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1489][4]~47733\,
	combout => \led_flash_cnt[1489][5]~47734_combout\,
	cout => \led_flash_cnt[1489][5]~47735\);

-- Location: FF_X45_Y6_N27
\led_flash_cnt[1489][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1489][5]~47734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1489][5]~q\);

-- Location: LCCOMB_X45_Y6_N28
\led_flash_cnt[1489][6]~47736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1489][6]~47736_combout\ = (\led_flash_cnt[1489][6]~q\ & (!\led_flash_cnt[1489][5]~47735\)) # (!\led_flash_cnt[1489][6]~q\ & ((\led_flash_cnt[1489][5]~47735\) # (GND)))
-- \led_flash_cnt[1489][6]~47737\ = CARRY((!\led_flash_cnt[1489][5]~47735\) # (!\led_flash_cnt[1489][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1489][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1489][5]~47735\,
	combout => \led_flash_cnt[1489][6]~47736_combout\,
	cout => \led_flash_cnt[1489][6]~47737\);

-- Location: FF_X45_Y6_N29
\led_flash_cnt[1489][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1489][6]~47736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1489][6]~q\);

-- Location: LCCOMB_X44_Y6_N4
\WideAnd1489~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1489~1_combout\ = (\led_flash_cnt[1489][6]~q\ & \led_flash_cnt[1489][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1489][6]~q\,
	datad => \led_flash_cnt[1489][5]~q\,
	combout => \WideAnd1489~1_combout\);

-- Location: LCCOMB_X45_Y6_N30
\led_flash_cnt[1489][7]~47738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1489][7]~47738_combout\ = \led_flash_cnt[1489][7]~q\ $ (!\led_flash_cnt[1489][6]~47737\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1489][7]~q\,
	cin => \led_flash_cnt[1489][6]~47737\,
	combout => \led_flash_cnt[1489][7]~47738_combout\);

-- Location: FF_X45_Y6_N31
\led_flash_cnt[1489][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1489][7]~47738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1489][7]~q\);

-- Location: LCCOMB_X45_Y6_N0
\WideAnd1489~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1489~0_combout\ = (\led_flash_cnt[1489][4]~q\ & (\led_flash_cnt[1489][2]~q\ & (\led_flash_cnt[1489][3]~q\ & \led_flash_cnt[1489][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1489][4]~q\,
	datab => \led_flash_cnt[1489][2]~q\,
	datac => \led_flash_cnt[1489][3]~q\,
	datad => \led_flash_cnt[1489][1]~q\,
	combout => \WideAnd1489~0_combout\);

-- Location: LCCOMB_X45_Y6_N2
WideAnd1489 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1489~combout\ = (\led_flash_cnt[1489][0]~q\ & (\WideAnd1489~1_combout\ & (\led_flash_cnt[1489][7]~q\ & \WideAnd1489~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1489][0]~q\,
	datab => \WideAnd1489~1_combout\,
	datac => \led_flash_cnt[1489][7]~q\,
	datad => \WideAnd1489~0_combout\,
	combout => \WideAnd1489~combout\);

-- Location: FF_X45_Y6_N3
\led_flash_cnt_ands[1489]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1489~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1489));

-- Location: LCCOMB_X46_Y14_N2
\led_flash_cnt[1488][0]~82128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1488][0]~82128_combout\ = !\led_flash_cnt[1488][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1488][0]~q\,
	combout => \led_flash_cnt[1488][0]~82128_combout\);

-- Location: FF_X46_Y14_N3
\led_flash_cnt[1488][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1488][0]~82128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1488][0]~q\);

-- Location: LCCOMB_X45_Y14_N18
\led_flash_cnt[1488][1]~47712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1488][1]~47712_combout\ = (\led_flash_cnt[1488][0]~q\ & (\led_flash_cnt[1488][1]~q\ $ (VCC))) # (!\led_flash_cnt[1488][0]~q\ & (\led_flash_cnt[1488][1]~q\ & VCC))
-- \led_flash_cnt[1488][1]~47713\ = CARRY((\led_flash_cnt[1488][0]~q\ & \led_flash_cnt[1488][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1488][0]~q\,
	datab => \led_flash_cnt[1488][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1488][1]~47712_combout\,
	cout => \led_flash_cnt[1488][1]~47713\);

-- Location: FF_X45_Y14_N19
\led_flash_cnt[1488][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1488][1]~47712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1488][1]~q\);

-- Location: LCCOMB_X45_Y14_N20
\led_flash_cnt[1488][2]~47714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1488][2]~47714_combout\ = (\led_flash_cnt[1488][2]~q\ & (!\led_flash_cnt[1488][1]~47713\)) # (!\led_flash_cnt[1488][2]~q\ & ((\led_flash_cnt[1488][1]~47713\) # (GND)))
-- \led_flash_cnt[1488][2]~47715\ = CARRY((!\led_flash_cnt[1488][1]~47713\) # (!\led_flash_cnt[1488][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1488][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1488][1]~47713\,
	combout => \led_flash_cnt[1488][2]~47714_combout\,
	cout => \led_flash_cnt[1488][2]~47715\);

-- Location: FF_X45_Y14_N21
\led_flash_cnt[1488][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1488][2]~47714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1488][2]~q\);

-- Location: LCCOMB_X45_Y14_N22
\led_flash_cnt[1488][3]~47716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1488][3]~47716_combout\ = (\led_flash_cnt[1488][3]~q\ & (\led_flash_cnt[1488][2]~47715\ $ (GND))) # (!\led_flash_cnt[1488][3]~q\ & (!\led_flash_cnt[1488][2]~47715\ & VCC))
-- \led_flash_cnt[1488][3]~47717\ = CARRY((\led_flash_cnt[1488][3]~q\ & !\led_flash_cnt[1488][2]~47715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1488][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1488][2]~47715\,
	combout => \led_flash_cnt[1488][3]~47716_combout\,
	cout => \led_flash_cnt[1488][3]~47717\);

-- Location: FF_X45_Y14_N23
\led_flash_cnt[1488][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1488][3]~47716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1488][3]~q\);

-- Location: LCCOMB_X45_Y14_N24
\led_flash_cnt[1488][4]~47718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1488][4]~47718_combout\ = (\led_flash_cnt[1488][4]~q\ & (!\led_flash_cnt[1488][3]~47717\)) # (!\led_flash_cnt[1488][4]~q\ & ((\led_flash_cnt[1488][3]~47717\) # (GND)))
-- \led_flash_cnt[1488][4]~47719\ = CARRY((!\led_flash_cnt[1488][3]~47717\) # (!\led_flash_cnt[1488][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1488][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1488][3]~47717\,
	combout => \led_flash_cnt[1488][4]~47718_combout\,
	cout => \led_flash_cnt[1488][4]~47719\);

-- Location: FF_X45_Y14_N25
\led_flash_cnt[1488][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1488][4]~47718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1488][4]~q\);

-- Location: LCCOMB_X45_Y14_N2
\WideAnd1488~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1488~0_combout\ = (\led_flash_cnt[1488][4]~q\ & (\led_flash_cnt[1488][2]~q\ & (\led_flash_cnt[1488][3]~q\ & \led_flash_cnt[1488][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1488][4]~q\,
	datab => \led_flash_cnt[1488][2]~q\,
	datac => \led_flash_cnt[1488][3]~q\,
	datad => \led_flash_cnt[1488][1]~q\,
	combout => \WideAnd1488~0_combout\);

-- Location: LCCOMB_X45_Y14_N26
\led_flash_cnt[1488][5]~47720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1488][5]~47720_combout\ = (\led_flash_cnt[1488][5]~q\ & (\led_flash_cnt[1488][4]~47719\ $ (GND))) # (!\led_flash_cnt[1488][5]~q\ & (!\led_flash_cnt[1488][4]~47719\ & VCC))
-- \led_flash_cnt[1488][5]~47721\ = CARRY((\led_flash_cnt[1488][5]~q\ & !\led_flash_cnt[1488][4]~47719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1488][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1488][4]~47719\,
	combout => \led_flash_cnt[1488][5]~47720_combout\,
	cout => \led_flash_cnt[1488][5]~47721\);

-- Location: FF_X45_Y14_N27
\led_flash_cnt[1488][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1488][5]~47720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1488][5]~q\);

-- Location: LCCOMB_X45_Y14_N28
\led_flash_cnt[1488][6]~47722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1488][6]~47722_combout\ = (\led_flash_cnt[1488][6]~q\ & (!\led_flash_cnt[1488][5]~47721\)) # (!\led_flash_cnt[1488][6]~q\ & ((\led_flash_cnt[1488][5]~47721\) # (GND)))
-- \led_flash_cnt[1488][6]~47723\ = CARRY((!\led_flash_cnt[1488][5]~47721\) # (!\led_flash_cnt[1488][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1488][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1488][5]~47721\,
	combout => \led_flash_cnt[1488][6]~47722_combout\,
	cout => \led_flash_cnt[1488][6]~47723\);

-- Location: FF_X45_Y14_N29
\led_flash_cnt[1488][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1488][6]~47722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1488][6]~q\);

-- Location: LCCOMB_X45_Y14_N30
\led_flash_cnt[1488][7]~47724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1488][7]~47724_combout\ = \led_flash_cnt[1488][7]~q\ $ (!\led_flash_cnt[1488][6]~47723\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1488][7]~q\,
	cin => \led_flash_cnt[1488][6]~47723\,
	combout => \led_flash_cnt[1488][7]~47724_combout\);

-- Location: FF_X45_Y14_N31
\led_flash_cnt[1488][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1488][7]~47724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1488][7]~q\);

-- Location: LCCOMB_X46_Y14_N14
\WideAnd1488~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1488~1_combout\ = (\led_flash_cnt[1488][5]~q\ & \led_flash_cnt[1488][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1488][5]~q\,
	datad => \led_flash_cnt[1488][6]~q\,
	combout => \WideAnd1488~1_combout\);

-- Location: LCCOMB_X46_Y14_N16
WideAnd1488 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1488~combout\ = (\WideAnd1488~0_combout\ & (\led_flash_cnt[1488][7]~q\ & (\WideAnd1488~1_combout\ & \led_flash_cnt[1488][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1488~0_combout\,
	datab => \led_flash_cnt[1488][7]~q\,
	datac => \WideAnd1488~1_combout\,
	datad => \led_flash_cnt[1488][0]~q\,
	combout => \WideAnd1488~combout\);

-- Location: FF_X46_Y14_N17
\led_flash_cnt_ands[1488]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1488~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1488));

-- Location: LCCOMB_X54_Y16_N28
\led_flash_cnt[1490][0]~82130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1490][0]~82130_combout\ = !\led_flash_cnt[1490][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1490][0]~q\,
	combout => \led_flash_cnt[1490][0]~82130_combout\);

-- Location: FF_X54_Y16_N29
\led_flash_cnt[1490][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1490][0]~82130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1490][0]~q\);

-- Location: LCCOMB_X55_Y16_N0
\led_flash_cnt[1490][1]~47740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1490][1]~47740_combout\ = (\led_flash_cnt[1490][0]~q\ & (\led_flash_cnt[1490][1]~q\ $ (VCC))) # (!\led_flash_cnt[1490][0]~q\ & (\led_flash_cnt[1490][1]~q\ & VCC))
-- \led_flash_cnt[1490][1]~47741\ = CARRY((\led_flash_cnt[1490][0]~q\ & \led_flash_cnt[1490][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1490][0]~q\,
	datab => \led_flash_cnt[1490][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1490][1]~47740_combout\,
	cout => \led_flash_cnt[1490][1]~47741\);

-- Location: FF_X55_Y16_N1
\led_flash_cnt[1490][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1490][1]~47740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1490][1]~q\);

-- Location: LCCOMB_X55_Y16_N2
\led_flash_cnt[1490][2]~47742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1490][2]~47742_combout\ = (\led_flash_cnt[1490][2]~q\ & (!\led_flash_cnt[1490][1]~47741\)) # (!\led_flash_cnt[1490][2]~q\ & ((\led_flash_cnt[1490][1]~47741\) # (GND)))
-- \led_flash_cnt[1490][2]~47743\ = CARRY((!\led_flash_cnt[1490][1]~47741\) # (!\led_flash_cnt[1490][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1490][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1490][1]~47741\,
	combout => \led_flash_cnt[1490][2]~47742_combout\,
	cout => \led_flash_cnt[1490][2]~47743\);

-- Location: FF_X55_Y16_N3
\led_flash_cnt[1490][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1490][2]~47742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1490][2]~q\);

-- Location: LCCOMB_X55_Y16_N4
\led_flash_cnt[1490][3]~47744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1490][3]~47744_combout\ = (\led_flash_cnt[1490][3]~q\ & (\led_flash_cnt[1490][2]~47743\ $ (GND))) # (!\led_flash_cnt[1490][3]~q\ & (!\led_flash_cnt[1490][2]~47743\ & VCC))
-- \led_flash_cnt[1490][3]~47745\ = CARRY((\led_flash_cnt[1490][3]~q\ & !\led_flash_cnt[1490][2]~47743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1490][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1490][2]~47743\,
	combout => \led_flash_cnt[1490][3]~47744_combout\,
	cout => \led_flash_cnt[1490][3]~47745\);

-- Location: FF_X55_Y16_N5
\led_flash_cnt[1490][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1490][3]~47744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1490][3]~q\);

-- Location: LCCOMB_X55_Y16_N6
\led_flash_cnt[1490][4]~47746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1490][4]~47746_combout\ = (\led_flash_cnt[1490][4]~q\ & (!\led_flash_cnt[1490][3]~47745\)) # (!\led_flash_cnt[1490][4]~q\ & ((\led_flash_cnt[1490][3]~47745\) # (GND)))
-- \led_flash_cnt[1490][4]~47747\ = CARRY((!\led_flash_cnt[1490][3]~47745\) # (!\led_flash_cnt[1490][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1490][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1490][3]~47745\,
	combout => \led_flash_cnt[1490][4]~47746_combout\,
	cout => \led_flash_cnt[1490][4]~47747\);

-- Location: FF_X55_Y16_N7
\led_flash_cnt[1490][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1490][4]~47746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1490][4]~q\);

-- Location: LCCOMB_X55_Y16_N30
\WideAnd1490~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1490~0_combout\ = (\led_flash_cnt[1490][4]~q\ & (\led_flash_cnt[1490][1]~q\ & (\led_flash_cnt[1490][3]~q\ & \led_flash_cnt[1490][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1490][4]~q\,
	datab => \led_flash_cnt[1490][1]~q\,
	datac => \led_flash_cnt[1490][3]~q\,
	datad => \led_flash_cnt[1490][2]~q\,
	combout => \WideAnd1490~0_combout\);

-- Location: LCCOMB_X55_Y16_N8
\led_flash_cnt[1490][5]~47748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1490][5]~47748_combout\ = (\led_flash_cnt[1490][5]~q\ & (\led_flash_cnt[1490][4]~47747\ $ (GND))) # (!\led_flash_cnt[1490][5]~q\ & (!\led_flash_cnt[1490][4]~47747\ & VCC))
-- \led_flash_cnt[1490][5]~47749\ = CARRY((\led_flash_cnt[1490][5]~q\ & !\led_flash_cnt[1490][4]~47747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1490][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1490][4]~47747\,
	combout => \led_flash_cnt[1490][5]~47748_combout\,
	cout => \led_flash_cnt[1490][5]~47749\);

-- Location: FF_X55_Y16_N9
\led_flash_cnt[1490][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1490][5]~47748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1490][5]~q\);

-- Location: LCCOMB_X55_Y16_N10
\led_flash_cnt[1490][6]~47750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1490][6]~47750_combout\ = (\led_flash_cnt[1490][6]~q\ & (!\led_flash_cnt[1490][5]~47749\)) # (!\led_flash_cnt[1490][6]~q\ & ((\led_flash_cnt[1490][5]~47749\) # (GND)))
-- \led_flash_cnt[1490][6]~47751\ = CARRY((!\led_flash_cnt[1490][5]~47749\) # (!\led_flash_cnt[1490][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1490][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1490][5]~47749\,
	combout => \led_flash_cnt[1490][6]~47750_combout\,
	cout => \led_flash_cnt[1490][6]~47751\);

-- Location: FF_X55_Y16_N11
\led_flash_cnt[1490][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1490][6]~47750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1490][6]~q\);

-- Location: LCCOMB_X55_Y16_N12
\led_flash_cnt[1490][7]~47752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1490][7]~47752_combout\ = \led_flash_cnt[1490][6]~47751\ $ (!\led_flash_cnt[1490][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1490][7]~q\,
	cin => \led_flash_cnt[1490][6]~47751\,
	combout => \led_flash_cnt[1490][7]~47752_combout\);

-- Location: FF_X55_Y16_N13
\led_flash_cnt[1490][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1490][7]~47752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1490][7]~q\);

-- Location: LCCOMB_X54_Y16_N18
\WideAnd1490~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1490~1_combout\ = (\led_flash_cnt[1490][6]~q\ & \led_flash_cnt[1490][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1490][6]~q\,
	datac => \led_flash_cnt[1490][5]~q\,
	combout => \WideAnd1490~1_combout\);

-- Location: LCCOMB_X54_Y16_N16
WideAnd1490 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1490~combout\ = (\WideAnd1490~0_combout\ & (\led_flash_cnt[1490][0]~q\ & (\led_flash_cnt[1490][7]~q\ & \WideAnd1490~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1490~0_combout\,
	datab => \led_flash_cnt[1490][0]~q\,
	datac => \led_flash_cnt[1490][7]~q\,
	datad => \WideAnd1490~1_combout\,
	combout => \WideAnd1490~combout\);

-- Location: FF_X54_Y16_N17
\led_flash_cnt_ands[1490]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1490~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1490));

-- Location: LCCOMB_X45_Y8_N2
\led_flash_cnt[1491][0]~82131\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1491][0]~82131_combout\ = !\led_flash_cnt[1491][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1491][0]~q\,
	combout => \led_flash_cnt[1491][0]~82131_combout\);

-- Location: FF_X45_Y8_N3
\led_flash_cnt[1491][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1491][0]~82131_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1491][0]~q\);

-- Location: LCCOMB_X44_Y8_N14
\led_flash_cnt[1491][1]~47754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1491][1]~47754_combout\ = (\led_flash_cnt[1491][0]~q\ & (\led_flash_cnt[1491][1]~q\ $ (VCC))) # (!\led_flash_cnt[1491][0]~q\ & (\led_flash_cnt[1491][1]~q\ & VCC))
-- \led_flash_cnt[1491][1]~47755\ = CARRY((\led_flash_cnt[1491][0]~q\ & \led_flash_cnt[1491][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1491][0]~q\,
	datab => \led_flash_cnt[1491][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1491][1]~47754_combout\,
	cout => \led_flash_cnt[1491][1]~47755\);

-- Location: FF_X44_Y8_N15
\led_flash_cnt[1491][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1491][1]~47754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1491][1]~q\);

-- Location: LCCOMB_X44_Y8_N16
\led_flash_cnt[1491][2]~47756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1491][2]~47756_combout\ = (\led_flash_cnt[1491][2]~q\ & (!\led_flash_cnt[1491][1]~47755\)) # (!\led_flash_cnt[1491][2]~q\ & ((\led_flash_cnt[1491][1]~47755\) # (GND)))
-- \led_flash_cnt[1491][2]~47757\ = CARRY((!\led_flash_cnt[1491][1]~47755\) # (!\led_flash_cnt[1491][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1491][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1491][1]~47755\,
	combout => \led_flash_cnt[1491][2]~47756_combout\,
	cout => \led_flash_cnt[1491][2]~47757\);

-- Location: FF_X44_Y8_N17
\led_flash_cnt[1491][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1491][2]~47756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1491][2]~q\);

-- Location: LCCOMB_X44_Y8_N18
\led_flash_cnt[1491][3]~47758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1491][3]~47758_combout\ = (\led_flash_cnt[1491][3]~q\ & (\led_flash_cnt[1491][2]~47757\ $ (GND))) # (!\led_flash_cnt[1491][3]~q\ & (!\led_flash_cnt[1491][2]~47757\ & VCC))
-- \led_flash_cnt[1491][3]~47759\ = CARRY((\led_flash_cnt[1491][3]~q\ & !\led_flash_cnt[1491][2]~47757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1491][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1491][2]~47757\,
	combout => \led_flash_cnt[1491][3]~47758_combout\,
	cout => \led_flash_cnt[1491][3]~47759\);

-- Location: FF_X44_Y8_N19
\led_flash_cnt[1491][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1491][3]~47758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1491][3]~q\);

-- Location: LCCOMB_X44_Y8_N20
\led_flash_cnt[1491][4]~47760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1491][4]~47760_combout\ = (\led_flash_cnt[1491][4]~q\ & (!\led_flash_cnt[1491][3]~47759\)) # (!\led_flash_cnt[1491][4]~q\ & ((\led_flash_cnt[1491][3]~47759\) # (GND)))
-- \led_flash_cnt[1491][4]~47761\ = CARRY((!\led_flash_cnt[1491][3]~47759\) # (!\led_flash_cnt[1491][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1491][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1491][3]~47759\,
	combout => \led_flash_cnt[1491][4]~47760_combout\,
	cout => \led_flash_cnt[1491][4]~47761\);

-- Location: FF_X44_Y8_N21
\led_flash_cnt[1491][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1491][4]~47760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1491][4]~q\);

-- Location: LCCOMB_X44_Y8_N22
\led_flash_cnt[1491][5]~47762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1491][5]~47762_combout\ = (\led_flash_cnt[1491][5]~q\ & (\led_flash_cnt[1491][4]~47761\ $ (GND))) # (!\led_flash_cnt[1491][5]~q\ & (!\led_flash_cnt[1491][4]~47761\ & VCC))
-- \led_flash_cnt[1491][5]~47763\ = CARRY((\led_flash_cnt[1491][5]~q\ & !\led_flash_cnt[1491][4]~47761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1491][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1491][4]~47761\,
	combout => \led_flash_cnt[1491][5]~47762_combout\,
	cout => \led_flash_cnt[1491][5]~47763\);

-- Location: FF_X44_Y8_N23
\led_flash_cnt[1491][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1491][5]~47762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1491][5]~q\);

-- Location: LCCOMB_X44_Y8_N24
\led_flash_cnt[1491][6]~47764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1491][6]~47764_combout\ = (\led_flash_cnt[1491][6]~q\ & (!\led_flash_cnt[1491][5]~47763\)) # (!\led_flash_cnt[1491][6]~q\ & ((\led_flash_cnt[1491][5]~47763\) # (GND)))
-- \led_flash_cnt[1491][6]~47765\ = CARRY((!\led_flash_cnt[1491][5]~47763\) # (!\led_flash_cnt[1491][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1491][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1491][5]~47763\,
	combout => \led_flash_cnt[1491][6]~47764_combout\,
	cout => \led_flash_cnt[1491][6]~47765\);

-- Location: FF_X44_Y8_N25
\led_flash_cnt[1491][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1491][6]~47764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1491][6]~q\);

-- Location: LCCOMB_X45_Y8_N6
\WideAnd1491~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1491~1_combout\ = (\led_flash_cnt[1491][6]~q\ & \led_flash_cnt[1491][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1491][6]~q\,
	datad => \led_flash_cnt[1491][5]~q\,
	combout => \WideAnd1491~1_combout\);

-- Location: LCCOMB_X44_Y8_N30
\WideAnd1491~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1491~0_combout\ = (\led_flash_cnt[1491][4]~q\ & (\led_flash_cnt[1491][3]~q\ & (\led_flash_cnt[1491][1]~q\ & \led_flash_cnt[1491][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1491][4]~q\,
	datab => \led_flash_cnt[1491][3]~q\,
	datac => \led_flash_cnt[1491][1]~q\,
	datad => \led_flash_cnt[1491][2]~q\,
	combout => \WideAnd1491~0_combout\);

-- Location: LCCOMB_X44_Y8_N26
\led_flash_cnt[1491][7]~47766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1491][7]~47766_combout\ = \led_flash_cnt[1491][7]~q\ $ (!\led_flash_cnt[1491][6]~47765\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1491][7]~q\,
	cin => \led_flash_cnt[1491][6]~47765\,
	combout => \led_flash_cnt[1491][7]~47766_combout\);

-- Location: FF_X44_Y8_N27
\led_flash_cnt[1491][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1491][7]~47766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1491][7]~q\);

-- Location: LCCOMB_X45_Y8_N0
WideAnd1491 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1491~combout\ = (\WideAnd1491~1_combout\ & (\WideAnd1491~0_combout\ & (\led_flash_cnt[1491][7]~q\ & \led_flash_cnt[1491][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1491~1_combout\,
	datab => \WideAnd1491~0_combout\,
	datac => \led_flash_cnt[1491][7]~q\,
	datad => \led_flash_cnt[1491][0]~q\,
	combout => \WideAnd1491~combout\);

-- Location: FF_X45_Y8_N1
\led_flash_cnt_ands[1491]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1491~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1491));

-- Location: LCCOMB_X45_Y8_N30
\WideAnd4026~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4026~0_combout\ = (led_flash_cnt_ands(1489) & (led_flash_cnt_ands(1488) & (led_flash_cnt_ands(1490) & led_flash_cnt_ands(1491))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1489),
	datab => led_flash_cnt_ands(1488),
	datac => led_flash_cnt_ands(1490),
	datad => led_flash_cnt_ands(1491),
	combout => \WideAnd4026~0_combout\);

-- Location: LCCOMB_X47_Y8_N28
\led_flash_cnt[1495][0]~82135\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1495][0]~82135_combout\ = !\led_flash_cnt[1495][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1495][0]~q\,
	combout => \led_flash_cnt[1495][0]~82135_combout\);

-- Location: FF_X47_Y8_N29
\led_flash_cnt[1495][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1495][0]~82135_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1495][0]~q\);

-- Location: LCCOMB_X49_Y8_N18
\led_flash_cnt[1495][1]~47810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1495][1]~47810_combout\ = (\led_flash_cnt[1495][0]~q\ & (\led_flash_cnt[1495][1]~q\ $ (VCC))) # (!\led_flash_cnt[1495][0]~q\ & (\led_flash_cnt[1495][1]~q\ & VCC))
-- \led_flash_cnt[1495][1]~47811\ = CARRY((\led_flash_cnt[1495][0]~q\ & \led_flash_cnt[1495][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1495][0]~q\,
	datab => \led_flash_cnt[1495][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1495][1]~47810_combout\,
	cout => \led_flash_cnt[1495][1]~47811\);

-- Location: FF_X49_Y8_N19
\led_flash_cnt[1495][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1495][1]~47810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1495][1]~q\);

-- Location: LCCOMB_X49_Y8_N20
\led_flash_cnt[1495][2]~47812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1495][2]~47812_combout\ = (\led_flash_cnt[1495][2]~q\ & (!\led_flash_cnt[1495][1]~47811\)) # (!\led_flash_cnt[1495][2]~q\ & ((\led_flash_cnt[1495][1]~47811\) # (GND)))
-- \led_flash_cnt[1495][2]~47813\ = CARRY((!\led_flash_cnt[1495][1]~47811\) # (!\led_flash_cnt[1495][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1495][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1495][1]~47811\,
	combout => \led_flash_cnt[1495][2]~47812_combout\,
	cout => \led_flash_cnt[1495][2]~47813\);

-- Location: FF_X49_Y8_N21
\led_flash_cnt[1495][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1495][2]~47812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1495][2]~q\);

-- Location: LCCOMB_X49_Y8_N22
\led_flash_cnt[1495][3]~47814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1495][3]~47814_combout\ = (\led_flash_cnt[1495][3]~q\ & (\led_flash_cnt[1495][2]~47813\ $ (GND))) # (!\led_flash_cnt[1495][3]~q\ & (!\led_flash_cnt[1495][2]~47813\ & VCC))
-- \led_flash_cnt[1495][3]~47815\ = CARRY((\led_flash_cnt[1495][3]~q\ & !\led_flash_cnt[1495][2]~47813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1495][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1495][2]~47813\,
	combout => \led_flash_cnt[1495][3]~47814_combout\,
	cout => \led_flash_cnt[1495][3]~47815\);

-- Location: FF_X49_Y8_N23
\led_flash_cnt[1495][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1495][3]~47814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1495][3]~q\);

-- Location: LCCOMB_X49_Y8_N24
\led_flash_cnt[1495][4]~47816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1495][4]~47816_combout\ = (\led_flash_cnt[1495][4]~q\ & (!\led_flash_cnt[1495][3]~47815\)) # (!\led_flash_cnt[1495][4]~q\ & ((\led_flash_cnt[1495][3]~47815\) # (GND)))
-- \led_flash_cnt[1495][4]~47817\ = CARRY((!\led_flash_cnt[1495][3]~47815\) # (!\led_flash_cnt[1495][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1495][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1495][3]~47815\,
	combout => \led_flash_cnt[1495][4]~47816_combout\,
	cout => \led_flash_cnt[1495][4]~47817\);

-- Location: FF_X49_Y8_N25
\led_flash_cnt[1495][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1495][4]~47816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1495][4]~q\);

-- Location: LCCOMB_X49_Y8_N26
\led_flash_cnt[1495][5]~47818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1495][5]~47818_combout\ = (\led_flash_cnt[1495][5]~q\ & (\led_flash_cnt[1495][4]~47817\ $ (GND))) # (!\led_flash_cnt[1495][5]~q\ & (!\led_flash_cnt[1495][4]~47817\ & VCC))
-- \led_flash_cnt[1495][5]~47819\ = CARRY((\led_flash_cnt[1495][5]~q\ & !\led_flash_cnt[1495][4]~47817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1495][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1495][4]~47817\,
	combout => \led_flash_cnt[1495][5]~47818_combout\,
	cout => \led_flash_cnt[1495][5]~47819\);

-- Location: FF_X49_Y8_N27
\led_flash_cnt[1495][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1495][5]~47818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1495][5]~q\);

-- Location: LCCOMB_X49_Y8_N28
\led_flash_cnt[1495][6]~47820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1495][6]~47820_combout\ = (\led_flash_cnt[1495][6]~q\ & (!\led_flash_cnt[1495][5]~47819\)) # (!\led_flash_cnt[1495][6]~q\ & ((\led_flash_cnt[1495][5]~47819\) # (GND)))
-- \led_flash_cnt[1495][6]~47821\ = CARRY((!\led_flash_cnt[1495][5]~47819\) # (!\led_flash_cnt[1495][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1495][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1495][5]~47819\,
	combout => \led_flash_cnt[1495][6]~47820_combout\,
	cout => \led_flash_cnt[1495][6]~47821\);

-- Location: FF_X49_Y8_N29
\led_flash_cnt[1495][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1495][6]~47820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1495][6]~q\);

-- Location: LCCOMB_X47_Y8_N10
\WideAnd1495~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1495~1_combout\ = (\led_flash_cnt[1495][6]~q\ & \led_flash_cnt[1495][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1495][6]~q\,
	datad => \led_flash_cnt[1495][5]~q\,
	combout => \WideAnd1495~1_combout\);

-- Location: LCCOMB_X49_Y8_N30
\led_flash_cnt[1495][7]~47822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1495][7]~47822_combout\ = \led_flash_cnt[1495][7]~q\ $ (!\led_flash_cnt[1495][6]~47821\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1495][7]~q\,
	cin => \led_flash_cnt[1495][6]~47821\,
	combout => \led_flash_cnt[1495][7]~47822_combout\);

-- Location: FF_X49_Y8_N31
\led_flash_cnt[1495][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1495][7]~47822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1495][7]~q\);

-- Location: LCCOMB_X49_Y8_N16
\WideAnd1495~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1495~0_combout\ = (\led_flash_cnt[1495][4]~q\ & (\led_flash_cnt[1495][2]~q\ & (\led_flash_cnt[1495][3]~q\ & \led_flash_cnt[1495][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1495][4]~q\,
	datab => \led_flash_cnt[1495][2]~q\,
	datac => \led_flash_cnt[1495][3]~q\,
	datad => \led_flash_cnt[1495][1]~q\,
	combout => \WideAnd1495~0_combout\);

-- Location: LCCOMB_X47_Y8_N4
WideAnd1495 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1495~combout\ = (\WideAnd1495~1_combout\ & (\led_flash_cnt[1495][7]~q\ & (\WideAnd1495~0_combout\ & \led_flash_cnt[1495][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1495~1_combout\,
	datab => \led_flash_cnt[1495][7]~q\,
	datac => \WideAnd1495~0_combout\,
	datad => \led_flash_cnt[1495][0]~q\,
	combout => \WideAnd1495~combout\);

-- Location: FF_X47_Y8_N5
\led_flash_cnt_ands[1495]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1495~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1495));

-- Location: LCCOMB_X47_Y4_N30
\led_flash_cnt[1493][0]~82133\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1493][0]~82133_combout\ = !\led_flash_cnt[1493][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1493][0]~q\,
	combout => \led_flash_cnt[1493][0]~82133_combout\);

-- Location: FF_X47_Y4_N31
\led_flash_cnt[1493][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1493][0]~82133_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1493][0]~q\);

-- Location: LCCOMB_X38_Y4_N2
\led_flash_cnt[1493][1]~47782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1493][1]~47782_combout\ = (\led_flash_cnt[1493][1]~q\ & (\led_flash_cnt[1493][0]~q\ $ (VCC))) # (!\led_flash_cnt[1493][1]~q\ & (\led_flash_cnt[1493][0]~q\ & VCC))
-- \led_flash_cnt[1493][1]~47783\ = CARRY((\led_flash_cnt[1493][1]~q\ & \led_flash_cnt[1493][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1493][1]~q\,
	datab => \led_flash_cnt[1493][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1493][1]~47782_combout\,
	cout => \led_flash_cnt[1493][1]~47783\);

-- Location: FF_X38_Y4_N3
\led_flash_cnt[1493][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1493][1]~47782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1493][1]~q\);

-- Location: LCCOMB_X38_Y4_N4
\led_flash_cnt[1493][2]~47784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1493][2]~47784_combout\ = (\led_flash_cnt[1493][2]~q\ & (!\led_flash_cnt[1493][1]~47783\)) # (!\led_flash_cnt[1493][2]~q\ & ((\led_flash_cnt[1493][1]~47783\) # (GND)))
-- \led_flash_cnt[1493][2]~47785\ = CARRY((!\led_flash_cnt[1493][1]~47783\) # (!\led_flash_cnt[1493][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1493][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1493][1]~47783\,
	combout => \led_flash_cnt[1493][2]~47784_combout\,
	cout => \led_flash_cnt[1493][2]~47785\);

-- Location: FF_X38_Y4_N5
\led_flash_cnt[1493][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1493][2]~47784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1493][2]~q\);

-- Location: LCCOMB_X38_Y4_N6
\led_flash_cnt[1493][3]~47786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1493][3]~47786_combout\ = (\led_flash_cnt[1493][3]~q\ & (\led_flash_cnt[1493][2]~47785\ $ (GND))) # (!\led_flash_cnt[1493][3]~q\ & (!\led_flash_cnt[1493][2]~47785\ & VCC))
-- \led_flash_cnt[1493][3]~47787\ = CARRY((\led_flash_cnt[1493][3]~q\ & !\led_flash_cnt[1493][2]~47785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1493][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1493][2]~47785\,
	combout => \led_flash_cnt[1493][3]~47786_combout\,
	cout => \led_flash_cnt[1493][3]~47787\);

-- Location: FF_X38_Y4_N7
\led_flash_cnt[1493][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1493][3]~47786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1493][3]~q\);

-- Location: LCCOMB_X38_Y4_N8
\led_flash_cnt[1493][4]~47788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1493][4]~47788_combout\ = (\led_flash_cnt[1493][4]~q\ & (!\led_flash_cnt[1493][3]~47787\)) # (!\led_flash_cnt[1493][4]~q\ & ((\led_flash_cnt[1493][3]~47787\) # (GND)))
-- \led_flash_cnt[1493][4]~47789\ = CARRY((!\led_flash_cnt[1493][3]~47787\) # (!\led_flash_cnt[1493][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1493][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1493][3]~47787\,
	combout => \led_flash_cnt[1493][4]~47788_combout\,
	cout => \led_flash_cnt[1493][4]~47789\);

-- Location: FF_X38_Y4_N9
\led_flash_cnt[1493][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1493][4]~47788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1493][4]~q\);

-- Location: LCCOMB_X38_Y4_N30
\WideAnd1493~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1493~0_combout\ = (\led_flash_cnt[1493][1]~q\ & (\led_flash_cnt[1493][4]~q\ & (\led_flash_cnt[1493][2]~q\ & \led_flash_cnt[1493][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1493][1]~q\,
	datab => \led_flash_cnt[1493][4]~q\,
	datac => \led_flash_cnt[1493][2]~q\,
	datad => \led_flash_cnt[1493][3]~q\,
	combout => \WideAnd1493~0_combout\);

-- Location: LCCOMB_X38_Y4_N10
\led_flash_cnt[1493][5]~47790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1493][5]~47790_combout\ = (\led_flash_cnt[1493][5]~q\ & (\led_flash_cnt[1493][4]~47789\ $ (GND))) # (!\led_flash_cnt[1493][5]~q\ & (!\led_flash_cnt[1493][4]~47789\ & VCC))
-- \led_flash_cnt[1493][5]~47791\ = CARRY((\led_flash_cnt[1493][5]~q\ & !\led_flash_cnt[1493][4]~47789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1493][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1493][4]~47789\,
	combout => \led_flash_cnt[1493][5]~47790_combout\,
	cout => \led_flash_cnt[1493][5]~47791\);

-- Location: FF_X38_Y4_N11
\led_flash_cnt[1493][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1493][5]~47790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1493][5]~q\);

-- Location: LCCOMB_X38_Y4_N12
\led_flash_cnt[1493][6]~47792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1493][6]~47792_combout\ = (\led_flash_cnt[1493][6]~q\ & (!\led_flash_cnt[1493][5]~47791\)) # (!\led_flash_cnt[1493][6]~q\ & ((\led_flash_cnt[1493][5]~47791\) # (GND)))
-- \led_flash_cnt[1493][6]~47793\ = CARRY((!\led_flash_cnt[1493][5]~47791\) # (!\led_flash_cnt[1493][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1493][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1493][5]~47791\,
	combout => \led_flash_cnt[1493][6]~47792_combout\,
	cout => \led_flash_cnt[1493][6]~47793\);

-- Location: FF_X38_Y4_N13
\led_flash_cnt[1493][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1493][6]~47792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1493][6]~q\);

-- Location: LCCOMB_X38_Y4_N14
\led_flash_cnt[1493][7]~47794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1493][7]~47794_combout\ = \led_flash_cnt[1493][7]~q\ $ (!\led_flash_cnt[1493][6]~47793\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1493][7]~q\,
	cin => \led_flash_cnt[1493][6]~47793\,
	combout => \led_flash_cnt[1493][7]~47794_combout\);

-- Location: FF_X38_Y4_N15
\led_flash_cnt[1493][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1493][7]~47794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1493][7]~q\);

-- Location: LCCOMB_X37_Y4_N28
\WideAnd1493~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1493~1_combout\ = (\led_flash_cnt[1493][5]~q\ & \led_flash_cnt[1493][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1493][5]~q\,
	datac => \led_flash_cnt[1493][6]~q\,
	combout => \WideAnd1493~1_combout\);

-- Location: LCCOMB_X38_Y4_N0
WideAnd1493 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1493~combout\ = (\WideAnd1493~0_combout\ & (\led_flash_cnt[1493][0]~q\ & (\led_flash_cnt[1493][7]~q\ & \WideAnd1493~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1493~0_combout\,
	datab => \led_flash_cnt[1493][0]~q\,
	datac => \led_flash_cnt[1493][7]~q\,
	datad => \WideAnd1493~1_combout\,
	combout => \WideAnd1493~combout\);

-- Location: FF_X38_Y4_N1
\led_flash_cnt_ands[1493]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1493~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1493));

-- Location: LCCOMB_X39_Y4_N6
\led_flash_cnt[1492][0]~82132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1492][0]~82132_combout\ = !\led_flash_cnt[1492][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1492][0]~q\,
	combout => \led_flash_cnt[1492][0]~82132_combout\);

-- Location: FF_X39_Y4_N7
\led_flash_cnt[1492][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1492][0]~82132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1492][0]~q\);

-- Location: LCCOMB_X40_Y4_N0
\led_flash_cnt[1492][1]~47768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1492][1]~47768_combout\ = (\led_flash_cnt[1492][0]~q\ & (\led_flash_cnt[1492][1]~q\ $ (VCC))) # (!\led_flash_cnt[1492][0]~q\ & (\led_flash_cnt[1492][1]~q\ & VCC))
-- \led_flash_cnt[1492][1]~47769\ = CARRY((\led_flash_cnt[1492][0]~q\ & \led_flash_cnt[1492][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1492][0]~q\,
	datab => \led_flash_cnt[1492][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1492][1]~47768_combout\,
	cout => \led_flash_cnt[1492][1]~47769\);

-- Location: FF_X40_Y4_N1
\led_flash_cnt[1492][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1492][1]~47768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1492][1]~q\);

-- Location: LCCOMB_X40_Y4_N2
\led_flash_cnt[1492][2]~47770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1492][2]~47770_combout\ = (\led_flash_cnt[1492][2]~q\ & (!\led_flash_cnt[1492][1]~47769\)) # (!\led_flash_cnt[1492][2]~q\ & ((\led_flash_cnt[1492][1]~47769\) # (GND)))
-- \led_flash_cnt[1492][2]~47771\ = CARRY((!\led_flash_cnt[1492][1]~47769\) # (!\led_flash_cnt[1492][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1492][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1492][1]~47769\,
	combout => \led_flash_cnt[1492][2]~47770_combout\,
	cout => \led_flash_cnt[1492][2]~47771\);

-- Location: FF_X40_Y4_N3
\led_flash_cnt[1492][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1492][2]~47770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1492][2]~q\);

-- Location: LCCOMB_X40_Y4_N4
\led_flash_cnt[1492][3]~47772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1492][3]~47772_combout\ = (\led_flash_cnt[1492][3]~q\ & (\led_flash_cnt[1492][2]~47771\ $ (GND))) # (!\led_flash_cnt[1492][3]~q\ & (!\led_flash_cnt[1492][2]~47771\ & VCC))
-- \led_flash_cnt[1492][3]~47773\ = CARRY((\led_flash_cnt[1492][3]~q\ & !\led_flash_cnt[1492][2]~47771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1492][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1492][2]~47771\,
	combout => \led_flash_cnt[1492][3]~47772_combout\,
	cout => \led_flash_cnt[1492][3]~47773\);

-- Location: FF_X40_Y4_N5
\led_flash_cnt[1492][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1492][3]~47772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1492][3]~q\);

-- Location: LCCOMB_X40_Y4_N6
\led_flash_cnt[1492][4]~47774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1492][4]~47774_combout\ = (\led_flash_cnt[1492][4]~q\ & (!\led_flash_cnt[1492][3]~47773\)) # (!\led_flash_cnt[1492][4]~q\ & ((\led_flash_cnt[1492][3]~47773\) # (GND)))
-- \led_flash_cnt[1492][4]~47775\ = CARRY((!\led_flash_cnt[1492][3]~47773\) # (!\led_flash_cnt[1492][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1492][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1492][3]~47773\,
	combout => \led_flash_cnt[1492][4]~47774_combout\,
	cout => \led_flash_cnt[1492][4]~47775\);

-- Location: FF_X40_Y4_N7
\led_flash_cnt[1492][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1492][4]~47774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1492][4]~q\);

-- Location: LCCOMB_X40_Y4_N8
\led_flash_cnt[1492][5]~47776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1492][5]~47776_combout\ = (\led_flash_cnt[1492][5]~q\ & (\led_flash_cnt[1492][4]~47775\ $ (GND))) # (!\led_flash_cnt[1492][5]~q\ & (!\led_flash_cnt[1492][4]~47775\ & VCC))
-- \led_flash_cnt[1492][5]~47777\ = CARRY((\led_flash_cnt[1492][5]~q\ & !\led_flash_cnt[1492][4]~47775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1492][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1492][4]~47775\,
	combout => \led_flash_cnt[1492][5]~47776_combout\,
	cout => \led_flash_cnt[1492][5]~47777\);

-- Location: FF_X40_Y4_N9
\led_flash_cnt[1492][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1492][5]~47776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1492][5]~q\);

-- Location: LCCOMB_X40_Y4_N10
\led_flash_cnt[1492][6]~47778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1492][6]~47778_combout\ = (\led_flash_cnt[1492][6]~q\ & (!\led_flash_cnt[1492][5]~47777\)) # (!\led_flash_cnt[1492][6]~q\ & ((\led_flash_cnt[1492][5]~47777\) # (GND)))
-- \led_flash_cnt[1492][6]~47779\ = CARRY((!\led_flash_cnt[1492][5]~47777\) # (!\led_flash_cnt[1492][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1492][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1492][5]~47777\,
	combout => \led_flash_cnt[1492][6]~47778_combout\,
	cout => \led_flash_cnt[1492][6]~47779\);

-- Location: FF_X40_Y4_N11
\led_flash_cnt[1492][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1492][6]~47778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1492][6]~q\);

-- Location: LCCOMB_X39_Y4_N30
\WideAnd1492~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1492~1_combout\ = (\led_flash_cnt[1492][6]~q\ & \led_flash_cnt[1492][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1492][6]~q\,
	datac => \led_flash_cnt[1492][5]~q\,
	combout => \WideAnd1492~1_combout\);

-- Location: LCCOMB_X40_Y4_N16
\WideAnd1492~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1492~0_combout\ = (\led_flash_cnt[1492][4]~q\ & (\led_flash_cnt[1492][2]~q\ & (\led_flash_cnt[1492][3]~q\ & \led_flash_cnt[1492][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1492][4]~q\,
	datab => \led_flash_cnt[1492][2]~q\,
	datac => \led_flash_cnt[1492][3]~q\,
	datad => \led_flash_cnt[1492][1]~q\,
	combout => \WideAnd1492~0_combout\);

-- Location: LCCOMB_X40_Y4_N12
\led_flash_cnt[1492][7]~47780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1492][7]~47780_combout\ = \led_flash_cnt[1492][6]~47779\ $ (!\led_flash_cnt[1492][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1492][7]~q\,
	cin => \led_flash_cnt[1492][6]~47779\,
	combout => \led_flash_cnt[1492][7]~47780_combout\);

-- Location: FF_X40_Y4_N13
\led_flash_cnt[1492][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1492][7]~47780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1492][7]~q\);

-- Location: LCCOMB_X39_Y4_N28
WideAnd1492 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1492~combout\ = (\WideAnd1492~1_combout\ & (\WideAnd1492~0_combout\ & (\led_flash_cnt[1492][7]~q\ & \led_flash_cnt[1492][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1492~1_combout\,
	datab => \WideAnd1492~0_combout\,
	datac => \led_flash_cnt[1492][7]~q\,
	datad => \led_flash_cnt[1492][0]~q\,
	combout => \WideAnd1492~combout\);

-- Location: FF_X39_Y4_N29
\led_flash_cnt_ands[1492]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1492~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1492));

-- Location: LCCOMB_X39_Y4_N26
\WideAnd4026~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4026~1_combout\ = (led_flash_cnt_ands(1493) & led_flash_cnt_ands(1492))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1493),
	datad => led_flash_cnt_ands(1492),
	combout => \WideAnd4026~1_combout\);

-- Location: LCCOMB_X40_Y6_N0
\led_flash_cnt[1494][0]~82134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1494][0]~82134_combout\ = !\led_flash_cnt[1494][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1494][0]~q\,
	combout => \led_flash_cnt[1494][0]~82134_combout\);

-- Location: FF_X40_Y6_N1
\led_flash_cnt[1494][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1494][0]~82134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1494][0]~q\);

-- Location: LCCOMB_X41_Y6_N2
\led_flash_cnt[1494][1]~47796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1494][1]~47796_combout\ = (\led_flash_cnt[1494][0]~q\ & (\led_flash_cnt[1494][1]~q\ $ (VCC))) # (!\led_flash_cnt[1494][0]~q\ & (\led_flash_cnt[1494][1]~q\ & VCC))
-- \led_flash_cnt[1494][1]~47797\ = CARRY((\led_flash_cnt[1494][0]~q\ & \led_flash_cnt[1494][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1494][0]~q\,
	datab => \led_flash_cnt[1494][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1494][1]~47796_combout\,
	cout => \led_flash_cnt[1494][1]~47797\);

-- Location: FF_X41_Y6_N3
\led_flash_cnt[1494][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1494][1]~47796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1494][1]~q\);

-- Location: LCCOMB_X41_Y6_N4
\led_flash_cnt[1494][2]~47798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1494][2]~47798_combout\ = (\led_flash_cnt[1494][2]~q\ & (!\led_flash_cnt[1494][1]~47797\)) # (!\led_flash_cnt[1494][2]~q\ & ((\led_flash_cnt[1494][1]~47797\) # (GND)))
-- \led_flash_cnt[1494][2]~47799\ = CARRY((!\led_flash_cnt[1494][1]~47797\) # (!\led_flash_cnt[1494][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1494][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1494][1]~47797\,
	combout => \led_flash_cnt[1494][2]~47798_combout\,
	cout => \led_flash_cnt[1494][2]~47799\);

-- Location: FF_X41_Y6_N5
\led_flash_cnt[1494][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1494][2]~47798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1494][2]~q\);

-- Location: LCCOMB_X41_Y6_N6
\led_flash_cnt[1494][3]~47800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1494][3]~47800_combout\ = (\led_flash_cnt[1494][3]~q\ & (\led_flash_cnt[1494][2]~47799\ $ (GND))) # (!\led_flash_cnt[1494][3]~q\ & (!\led_flash_cnt[1494][2]~47799\ & VCC))
-- \led_flash_cnt[1494][3]~47801\ = CARRY((\led_flash_cnt[1494][3]~q\ & !\led_flash_cnt[1494][2]~47799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1494][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1494][2]~47799\,
	combout => \led_flash_cnt[1494][3]~47800_combout\,
	cout => \led_flash_cnt[1494][3]~47801\);

-- Location: FF_X41_Y6_N7
\led_flash_cnt[1494][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1494][3]~47800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1494][3]~q\);

-- Location: LCCOMB_X41_Y6_N8
\led_flash_cnt[1494][4]~47802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1494][4]~47802_combout\ = (\led_flash_cnt[1494][4]~q\ & (!\led_flash_cnt[1494][3]~47801\)) # (!\led_flash_cnt[1494][4]~q\ & ((\led_flash_cnt[1494][3]~47801\) # (GND)))
-- \led_flash_cnt[1494][4]~47803\ = CARRY((!\led_flash_cnt[1494][3]~47801\) # (!\led_flash_cnt[1494][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1494][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1494][3]~47801\,
	combout => \led_flash_cnt[1494][4]~47802_combout\,
	cout => \led_flash_cnt[1494][4]~47803\);

-- Location: FF_X41_Y6_N9
\led_flash_cnt[1494][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1494][4]~47802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1494][4]~q\);

-- Location: LCCOMB_X41_Y6_N30
\WideAnd1494~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1494~0_combout\ = (\led_flash_cnt[1494][3]~q\ & (\led_flash_cnt[1494][4]~q\ & (\led_flash_cnt[1494][2]~q\ & \led_flash_cnt[1494][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1494][3]~q\,
	datab => \led_flash_cnt[1494][4]~q\,
	datac => \led_flash_cnt[1494][2]~q\,
	datad => \led_flash_cnt[1494][1]~q\,
	combout => \WideAnd1494~0_combout\);

-- Location: LCCOMB_X41_Y6_N10
\led_flash_cnt[1494][5]~47804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1494][5]~47804_combout\ = (\led_flash_cnt[1494][5]~q\ & (\led_flash_cnt[1494][4]~47803\ $ (GND))) # (!\led_flash_cnt[1494][5]~q\ & (!\led_flash_cnt[1494][4]~47803\ & VCC))
-- \led_flash_cnt[1494][5]~47805\ = CARRY((\led_flash_cnt[1494][5]~q\ & !\led_flash_cnt[1494][4]~47803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1494][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1494][4]~47803\,
	combout => \led_flash_cnt[1494][5]~47804_combout\,
	cout => \led_flash_cnt[1494][5]~47805\);

-- Location: FF_X41_Y6_N11
\led_flash_cnt[1494][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1494][5]~47804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1494][5]~q\);

-- Location: LCCOMB_X41_Y6_N12
\led_flash_cnt[1494][6]~47806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1494][6]~47806_combout\ = (\led_flash_cnt[1494][6]~q\ & (!\led_flash_cnt[1494][5]~47805\)) # (!\led_flash_cnt[1494][6]~q\ & ((\led_flash_cnt[1494][5]~47805\) # (GND)))
-- \led_flash_cnt[1494][6]~47807\ = CARRY((!\led_flash_cnt[1494][5]~47805\) # (!\led_flash_cnt[1494][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1494][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1494][5]~47805\,
	combout => \led_flash_cnt[1494][6]~47806_combout\,
	cout => \led_flash_cnt[1494][6]~47807\);

-- Location: FF_X41_Y6_N13
\led_flash_cnt[1494][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1494][6]~47806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1494][6]~q\);

-- Location: LCCOMB_X41_Y6_N14
\led_flash_cnt[1494][7]~47808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1494][7]~47808_combout\ = \led_flash_cnt[1494][7]~q\ $ (!\led_flash_cnt[1494][6]~47807\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1494][7]~q\,
	cin => \led_flash_cnt[1494][6]~47807\,
	combout => \led_flash_cnt[1494][7]~47808_combout\);

-- Location: FF_X41_Y6_N15
\led_flash_cnt[1494][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1494][7]~47808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1494][7]~q\);

-- Location: LCCOMB_X40_Y6_N20
\WideAnd1494~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1494~1_combout\ = (\led_flash_cnt[1494][6]~q\ & \led_flash_cnt[1494][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1494][6]~q\,
	datac => \led_flash_cnt[1494][5]~q\,
	combout => \WideAnd1494~1_combout\);

-- Location: LCCOMB_X40_Y6_N18
WideAnd1494 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1494~combout\ = (\WideAnd1494~0_combout\ & (\led_flash_cnt[1494][0]~q\ & (\led_flash_cnt[1494][7]~q\ & \WideAnd1494~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1494~0_combout\,
	datab => \led_flash_cnt[1494][0]~q\,
	datac => \led_flash_cnt[1494][7]~q\,
	datad => \WideAnd1494~1_combout\,
	combout => \WideAnd1494~combout\);

-- Location: FF_X40_Y6_N19
\led_flash_cnt_ands[1494]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1494~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1494));

-- Location: LCCOMB_X40_Y6_N28
WideAnd4026 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4026~combout\ = (\WideAnd4026~0_combout\ & (led_flash_cnt_ands(1495) & (\WideAnd4026~1_combout\ & led_flash_cnt_ands(1494))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4026~0_combout\,
	datab => led_flash_cnt_ands(1495),
	datac => \WideAnd4026~1_combout\,
	datad => led_flash_cnt_ands(1494),
	combout => \WideAnd4026~combout\);

-- Location: FF_X40_Y6_N29
\led_flash_cnt_ands_1[186]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4026~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(186));

-- Location: LCCOMB_X37_Y6_N6
\led_flash_cnt[1486][0]~82126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1486][0]~82126_combout\ = !\led_flash_cnt[1486][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1486][0]~q\,
	combout => \led_flash_cnt[1486][0]~82126_combout\);

-- Location: FF_X37_Y6_N7
\led_flash_cnt[1486][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1486][0]~82126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1486][0]~q\);

-- Location: LCCOMB_X38_Y6_N18
\led_flash_cnt[1486][1]~47684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1486][1]~47684_combout\ = (\led_flash_cnt[1486][0]~q\ & (\led_flash_cnt[1486][1]~q\ $ (VCC))) # (!\led_flash_cnt[1486][0]~q\ & (\led_flash_cnt[1486][1]~q\ & VCC))
-- \led_flash_cnt[1486][1]~47685\ = CARRY((\led_flash_cnt[1486][0]~q\ & \led_flash_cnt[1486][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1486][0]~q\,
	datab => \led_flash_cnt[1486][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1486][1]~47684_combout\,
	cout => \led_flash_cnt[1486][1]~47685\);

-- Location: FF_X38_Y6_N19
\led_flash_cnt[1486][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1486][1]~47684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1486][1]~q\);

-- Location: LCCOMB_X38_Y6_N20
\led_flash_cnt[1486][2]~47686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1486][2]~47686_combout\ = (\led_flash_cnt[1486][2]~q\ & (!\led_flash_cnt[1486][1]~47685\)) # (!\led_flash_cnt[1486][2]~q\ & ((\led_flash_cnt[1486][1]~47685\) # (GND)))
-- \led_flash_cnt[1486][2]~47687\ = CARRY((!\led_flash_cnt[1486][1]~47685\) # (!\led_flash_cnt[1486][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1486][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1486][1]~47685\,
	combout => \led_flash_cnt[1486][2]~47686_combout\,
	cout => \led_flash_cnt[1486][2]~47687\);

-- Location: FF_X38_Y6_N21
\led_flash_cnt[1486][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1486][2]~47686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1486][2]~q\);

-- Location: LCCOMB_X38_Y6_N22
\led_flash_cnt[1486][3]~47688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1486][3]~47688_combout\ = (\led_flash_cnt[1486][3]~q\ & (\led_flash_cnt[1486][2]~47687\ $ (GND))) # (!\led_flash_cnt[1486][3]~q\ & (!\led_flash_cnt[1486][2]~47687\ & VCC))
-- \led_flash_cnt[1486][3]~47689\ = CARRY((\led_flash_cnt[1486][3]~q\ & !\led_flash_cnt[1486][2]~47687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1486][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1486][2]~47687\,
	combout => \led_flash_cnt[1486][3]~47688_combout\,
	cout => \led_flash_cnt[1486][3]~47689\);

-- Location: FF_X38_Y6_N23
\led_flash_cnt[1486][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1486][3]~47688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1486][3]~q\);

-- Location: LCCOMB_X38_Y6_N24
\led_flash_cnt[1486][4]~47690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1486][4]~47690_combout\ = (\led_flash_cnt[1486][4]~q\ & (!\led_flash_cnt[1486][3]~47689\)) # (!\led_flash_cnt[1486][4]~q\ & ((\led_flash_cnt[1486][3]~47689\) # (GND)))
-- \led_flash_cnt[1486][4]~47691\ = CARRY((!\led_flash_cnt[1486][3]~47689\) # (!\led_flash_cnt[1486][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1486][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1486][3]~47689\,
	combout => \led_flash_cnt[1486][4]~47690_combout\,
	cout => \led_flash_cnt[1486][4]~47691\);

-- Location: FF_X38_Y6_N25
\led_flash_cnt[1486][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1486][4]~47690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1486][4]~q\);

-- Location: LCCOMB_X38_Y6_N26
\led_flash_cnt[1486][5]~47692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1486][5]~47692_combout\ = (\led_flash_cnt[1486][5]~q\ & (\led_flash_cnt[1486][4]~47691\ $ (GND))) # (!\led_flash_cnt[1486][5]~q\ & (!\led_flash_cnt[1486][4]~47691\ & VCC))
-- \led_flash_cnt[1486][5]~47693\ = CARRY((\led_flash_cnt[1486][5]~q\ & !\led_flash_cnt[1486][4]~47691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1486][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1486][4]~47691\,
	combout => \led_flash_cnt[1486][5]~47692_combout\,
	cout => \led_flash_cnt[1486][5]~47693\);

-- Location: FF_X38_Y6_N27
\led_flash_cnt[1486][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1486][5]~47692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1486][5]~q\);

-- Location: LCCOMB_X38_Y6_N28
\led_flash_cnt[1486][6]~47694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1486][6]~47694_combout\ = (\led_flash_cnt[1486][6]~q\ & (!\led_flash_cnt[1486][5]~47693\)) # (!\led_flash_cnt[1486][6]~q\ & ((\led_flash_cnt[1486][5]~47693\) # (GND)))
-- \led_flash_cnt[1486][6]~47695\ = CARRY((!\led_flash_cnt[1486][5]~47693\) # (!\led_flash_cnt[1486][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1486][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1486][5]~47693\,
	combout => \led_flash_cnt[1486][6]~47694_combout\,
	cout => \led_flash_cnt[1486][6]~47695\);

-- Location: FF_X38_Y6_N29
\led_flash_cnt[1486][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1486][6]~47694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1486][6]~q\);

-- Location: LCCOMB_X37_Y6_N30
\WideAnd1486~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1486~1_combout\ = (\led_flash_cnt[1486][5]~q\ & \led_flash_cnt[1486][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1486][5]~q\,
	datad => \led_flash_cnt[1486][6]~q\,
	combout => \WideAnd1486~1_combout\);

-- Location: LCCOMB_X38_Y6_N14
\WideAnd1486~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1486~0_combout\ = (\led_flash_cnt[1486][4]~q\ & (\led_flash_cnt[1486][2]~q\ & (\led_flash_cnt[1486][3]~q\ & \led_flash_cnt[1486][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1486][4]~q\,
	datab => \led_flash_cnt[1486][2]~q\,
	datac => \led_flash_cnt[1486][3]~q\,
	datad => \led_flash_cnt[1486][1]~q\,
	combout => \WideAnd1486~0_combout\);

-- Location: LCCOMB_X38_Y6_N30
\led_flash_cnt[1486][7]~47696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1486][7]~47696_combout\ = \led_flash_cnt[1486][7]~q\ $ (!\led_flash_cnt[1486][6]~47695\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1486][7]~q\,
	cin => \led_flash_cnt[1486][6]~47695\,
	combout => \led_flash_cnt[1486][7]~47696_combout\);

-- Location: FF_X38_Y6_N31
\led_flash_cnt[1486][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1486][7]~47696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1486][7]~q\);

-- Location: LCCOMB_X37_Y6_N4
WideAnd1486 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1486~combout\ = (\WideAnd1486~1_combout\ & (\WideAnd1486~0_combout\ & (\led_flash_cnt[1486][7]~q\ & \led_flash_cnt[1486][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1486~1_combout\,
	datab => \WideAnd1486~0_combout\,
	datac => \led_flash_cnt[1486][7]~q\,
	datad => \led_flash_cnt[1486][0]~q\,
	combout => \WideAnd1486~combout\);

-- Location: FF_X37_Y6_N5
\led_flash_cnt_ands[1486]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1486~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1486));

-- Location: LCCOMB_X46_Y9_N0
\led_flash_cnt[1480][0]~82120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1480][0]~82120_combout\ = !\led_flash_cnt[1480][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1480][0]~q\,
	combout => \led_flash_cnt[1480][0]~82120_combout\);

-- Location: FF_X46_Y9_N1
\led_flash_cnt[1480][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1480][0]~82120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1480][0]~q\);

-- Location: LCCOMB_X47_Y9_N16
\led_flash_cnt[1480][1]~47600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1480][1]~47600_combout\ = (\led_flash_cnt[1480][0]~q\ & (\led_flash_cnt[1480][1]~q\ $ (VCC))) # (!\led_flash_cnt[1480][0]~q\ & (\led_flash_cnt[1480][1]~q\ & VCC))
-- \led_flash_cnt[1480][1]~47601\ = CARRY((\led_flash_cnt[1480][0]~q\ & \led_flash_cnt[1480][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1480][0]~q\,
	datab => \led_flash_cnt[1480][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1480][1]~47600_combout\,
	cout => \led_flash_cnt[1480][1]~47601\);

-- Location: FF_X47_Y9_N17
\led_flash_cnt[1480][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1480][1]~47600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1480][1]~q\);

-- Location: LCCOMB_X47_Y9_N18
\led_flash_cnt[1480][2]~47602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1480][2]~47602_combout\ = (\led_flash_cnt[1480][2]~q\ & (!\led_flash_cnt[1480][1]~47601\)) # (!\led_flash_cnt[1480][2]~q\ & ((\led_flash_cnt[1480][1]~47601\) # (GND)))
-- \led_flash_cnt[1480][2]~47603\ = CARRY((!\led_flash_cnt[1480][1]~47601\) # (!\led_flash_cnt[1480][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1480][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1480][1]~47601\,
	combout => \led_flash_cnt[1480][2]~47602_combout\,
	cout => \led_flash_cnt[1480][2]~47603\);

-- Location: FF_X47_Y9_N19
\led_flash_cnt[1480][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1480][2]~47602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1480][2]~q\);

-- Location: LCCOMB_X47_Y9_N20
\led_flash_cnt[1480][3]~47604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1480][3]~47604_combout\ = (\led_flash_cnt[1480][3]~q\ & (\led_flash_cnt[1480][2]~47603\ $ (GND))) # (!\led_flash_cnt[1480][3]~q\ & (!\led_flash_cnt[1480][2]~47603\ & VCC))
-- \led_flash_cnt[1480][3]~47605\ = CARRY((\led_flash_cnt[1480][3]~q\ & !\led_flash_cnt[1480][2]~47603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1480][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1480][2]~47603\,
	combout => \led_flash_cnt[1480][3]~47604_combout\,
	cout => \led_flash_cnt[1480][3]~47605\);

-- Location: FF_X47_Y9_N21
\led_flash_cnt[1480][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1480][3]~47604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1480][3]~q\);

-- Location: LCCOMB_X47_Y9_N22
\led_flash_cnt[1480][4]~47606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1480][4]~47606_combout\ = (\led_flash_cnt[1480][4]~q\ & (!\led_flash_cnt[1480][3]~47605\)) # (!\led_flash_cnt[1480][4]~q\ & ((\led_flash_cnt[1480][3]~47605\) # (GND)))
-- \led_flash_cnt[1480][4]~47607\ = CARRY((!\led_flash_cnt[1480][3]~47605\) # (!\led_flash_cnt[1480][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1480][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1480][3]~47605\,
	combout => \led_flash_cnt[1480][4]~47606_combout\,
	cout => \led_flash_cnt[1480][4]~47607\);

-- Location: FF_X47_Y9_N23
\led_flash_cnt[1480][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1480][4]~47606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1480][4]~q\);

-- Location: LCCOMB_X47_Y9_N24
\led_flash_cnt[1480][5]~47608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1480][5]~47608_combout\ = (\led_flash_cnt[1480][5]~q\ & (\led_flash_cnt[1480][4]~47607\ $ (GND))) # (!\led_flash_cnt[1480][5]~q\ & (!\led_flash_cnt[1480][4]~47607\ & VCC))
-- \led_flash_cnt[1480][5]~47609\ = CARRY((\led_flash_cnt[1480][5]~q\ & !\led_flash_cnt[1480][4]~47607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1480][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1480][4]~47607\,
	combout => \led_flash_cnt[1480][5]~47608_combout\,
	cout => \led_flash_cnt[1480][5]~47609\);

-- Location: FF_X47_Y9_N25
\led_flash_cnt[1480][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1480][5]~47608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1480][5]~q\);

-- Location: LCCOMB_X47_Y9_N26
\led_flash_cnt[1480][6]~47610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1480][6]~47610_combout\ = (\led_flash_cnt[1480][6]~q\ & (!\led_flash_cnt[1480][5]~47609\)) # (!\led_flash_cnt[1480][6]~q\ & ((\led_flash_cnt[1480][5]~47609\) # (GND)))
-- \led_flash_cnt[1480][6]~47611\ = CARRY((!\led_flash_cnt[1480][5]~47609\) # (!\led_flash_cnt[1480][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1480][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1480][5]~47609\,
	combout => \led_flash_cnt[1480][6]~47610_combout\,
	cout => \led_flash_cnt[1480][6]~47611\);

-- Location: FF_X47_Y9_N27
\led_flash_cnt[1480][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1480][6]~47610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1480][6]~q\);

-- Location: LCCOMB_X47_Y9_N28
\led_flash_cnt[1480][7]~47612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1480][7]~47612_combout\ = \led_flash_cnt[1480][6]~47611\ $ (!\led_flash_cnt[1480][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1480][7]~q\,
	cin => \led_flash_cnt[1480][6]~47611\,
	combout => \led_flash_cnt[1480][7]~47612_combout\);

-- Location: FF_X47_Y9_N29
\led_flash_cnt[1480][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1480][7]~47612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1480][7]~q\);

-- Location: LCCOMB_X46_Y9_N20
\WideAnd1480~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1480~1_combout\ = (\led_flash_cnt[1480][6]~q\ & \led_flash_cnt[1480][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1480][6]~q\,
	datad => \led_flash_cnt[1480][5]~q\,
	combout => \WideAnd1480~1_combout\);

-- Location: LCCOMB_X47_Y9_N30
\WideAnd1480~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1480~0_combout\ = (\led_flash_cnt[1480][2]~q\ & (\led_flash_cnt[1480][3]~q\ & (\led_flash_cnt[1480][4]~q\ & \led_flash_cnt[1480][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1480][2]~q\,
	datab => \led_flash_cnt[1480][3]~q\,
	datac => \led_flash_cnt[1480][4]~q\,
	datad => \led_flash_cnt[1480][1]~q\,
	combout => \WideAnd1480~0_combout\);

-- Location: LCCOMB_X46_Y9_N30
WideAnd1480 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1480~combout\ = (\led_flash_cnt[1480][7]~q\ & (\WideAnd1480~1_combout\ & (\WideAnd1480~0_combout\ & \led_flash_cnt[1480][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1480][7]~q\,
	datab => \WideAnd1480~1_combout\,
	datac => \WideAnd1480~0_combout\,
	datad => \led_flash_cnt[1480][0]~q\,
	combout => \WideAnd1480~combout\);

-- Location: FF_X46_Y9_N31
\led_flash_cnt_ands[1480]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1480~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1480));

-- Location: LCCOMB_X46_Y9_N26
\led_flash_cnt[1481][0]~82121\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1481][0]~82121_combout\ = !\led_flash_cnt[1481][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1481][0]~q\,
	combout => \led_flash_cnt[1481][0]~82121_combout\);

-- Location: FF_X46_Y9_N27
\led_flash_cnt[1481][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1481][0]~82121_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1481][0]~q\);

-- Location: LCCOMB_X46_Y9_N4
\led_flash_cnt[1481][1]~47614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1481][1]~47614_combout\ = (\led_flash_cnt[1481][0]~q\ & (\led_flash_cnt[1481][1]~q\ $ (VCC))) # (!\led_flash_cnt[1481][0]~q\ & (\led_flash_cnt[1481][1]~q\ & VCC))
-- \led_flash_cnt[1481][1]~47615\ = CARRY((\led_flash_cnt[1481][0]~q\ & \led_flash_cnt[1481][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1481][0]~q\,
	datab => \led_flash_cnt[1481][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1481][1]~47614_combout\,
	cout => \led_flash_cnt[1481][1]~47615\);

-- Location: FF_X46_Y9_N5
\led_flash_cnt[1481][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1481][1]~47614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1481][1]~q\);

-- Location: LCCOMB_X46_Y9_N6
\led_flash_cnt[1481][2]~47616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1481][2]~47616_combout\ = (\led_flash_cnt[1481][2]~q\ & (!\led_flash_cnt[1481][1]~47615\)) # (!\led_flash_cnt[1481][2]~q\ & ((\led_flash_cnt[1481][1]~47615\) # (GND)))
-- \led_flash_cnt[1481][2]~47617\ = CARRY((!\led_flash_cnt[1481][1]~47615\) # (!\led_flash_cnt[1481][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1481][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1481][1]~47615\,
	combout => \led_flash_cnt[1481][2]~47616_combout\,
	cout => \led_flash_cnt[1481][2]~47617\);

-- Location: FF_X46_Y9_N7
\led_flash_cnt[1481][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1481][2]~47616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1481][2]~q\);

-- Location: LCCOMB_X46_Y9_N8
\led_flash_cnt[1481][3]~47618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1481][3]~47618_combout\ = (\led_flash_cnt[1481][3]~q\ & (\led_flash_cnt[1481][2]~47617\ $ (GND))) # (!\led_flash_cnt[1481][3]~q\ & (!\led_flash_cnt[1481][2]~47617\ & VCC))
-- \led_flash_cnt[1481][3]~47619\ = CARRY((\led_flash_cnt[1481][3]~q\ & !\led_flash_cnt[1481][2]~47617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1481][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1481][2]~47617\,
	combout => \led_flash_cnt[1481][3]~47618_combout\,
	cout => \led_flash_cnt[1481][3]~47619\);

-- Location: FF_X46_Y9_N9
\led_flash_cnt[1481][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1481][3]~47618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1481][3]~q\);

-- Location: LCCOMB_X46_Y9_N10
\led_flash_cnt[1481][4]~47620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1481][4]~47620_combout\ = (\led_flash_cnt[1481][4]~q\ & (!\led_flash_cnt[1481][3]~47619\)) # (!\led_flash_cnt[1481][4]~q\ & ((\led_flash_cnt[1481][3]~47619\) # (GND)))
-- \led_flash_cnt[1481][4]~47621\ = CARRY((!\led_flash_cnt[1481][3]~47619\) # (!\led_flash_cnt[1481][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1481][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1481][3]~47619\,
	combout => \led_flash_cnt[1481][4]~47620_combout\,
	cout => \led_flash_cnt[1481][4]~47621\);

-- Location: FF_X46_Y9_N11
\led_flash_cnt[1481][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1481][4]~47620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1481][4]~q\);

-- Location: LCCOMB_X46_Y9_N22
\WideAnd1481~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1481~0_combout\ = (\led_flash_cnt[1481][4]~q\ & (\led_flash_cnt[1481][1]~q\ & (\led_flash_cnt[1481][3]~q\ & \led_flash_cnt[1481][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1481][4]~q\,
	datab => \led_flash_cnt[1481][1]~q\,
	datac => \led_flash_cnt[1481][3]~q\,
	datad => \led_flash_cnt[1481][2]~q\,
	combout => \WideAnd1481~0_combout\);

-- Location: LCCOMB_X46_Y9_N12
\led_flash_cnt[1481][5]~47622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1481][5]~47622_combout\ = (\led_flash_cnt[1481][5]~q\ & (\led_flash_cnt[1481][4]~47621\ $ (GND))) # (!\led_flash_cnt[1481][5]~q\ & (!\led_flash_cnt[1481][4]~47621\ & VCC))
-- \led_flash_cnt[1481][5]~47623\ = CARRY((\led_flash_cnt[1481][5]~q\ & !\led_flash_cnt[1481][4]~47621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1481][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1481][4]~47621\,
	combout => \led_flash_cnt[1481][5]~47622_combout\,
	cout => \led_flash_cnt[1481][5]~47623\);

-- Location: FF_X46_Y9_N13
\led_flash_cnt[1481][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1481][5]~47622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1481][5]~q\);

-- Location: LCCOMB_X46_Y9_N14
\led_flash_cnt[1481][6]~47624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1481][6]~47624_combout\ = (\led_flash_cnt[1481][6]~q\ & (!\led_flash_cnt[1481][5]~47623\)) # (!\led_flash_cnt[1481][6]~q\ & ((\led_flash_cnt[1481][5]~47623\) # (GND)))
-- \led_flash_cnt[1481][6]~47625\ = CARRY((!\led_flash_cnt[1481][5]~47623\) # (!\led_flash_cnt[1481][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1481][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1481][5]~47623\,
	combout => \led_flash_cnt[1481][6]~47624_combout\,
	cout => \led_flash_cnt[1481][6]~47625\);

-- Location: FF_X46_Y9_N15
\led_flash_cnt[1481][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1481][6]~47624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1481][6]~q\);

-- Location: LCCOMB_X46_Y9_N16
\led_flash_cnt[1481][7]~47626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1481][7]~47626_combout\ = \led_flash_cnt[1481][6]~47625\ $ (!\led_flash_cnt[1481][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1481][7]~q\,
	cin => \led_flash_cnt[1481][6]~47625\,
	combout => \led_flash_cnt[1481][7]~47626_combout\);

-- Location: FF_X46_Y9_N17
\led_flash_cnt[1481][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1481][7]~47626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1481][7]~q\);

-- Location: LCCOMB_X46_Y9_N18
\WideAnd1481~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1481~1_combout\ = (\led_flash_cnt[1481][6]~q\ & \led_flash_cnt[1481][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1481][6]~q\,
	datad => \led_flash_cnt[1481][5]~q\,
	combout => \WideAnd1481~1_combout\);

-- Location: LCCOMB_X46_Y9_N2
WideAnd1481 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1481~combout\ = (\WideAnd1481~0_combout\ & (\led_flash_cnt[1481][7]~q\ & (\led_flash_cnt[1481][0]~q\ & \WideAnd1481~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1481~0_combout\,
	datab => \led_flash_cnt[1481][7]~q\,
	datac => \led_flash_cnt[1481][0]~q\,
	datad => \WideAnd1481~1_combout\,
	combout => \WideAnd1481~combout\);

-- Location: FF_X46_Y9_N3
\led_flash_cnt_ands[1481]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1481~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1481));

-- Location: LCCOMB_X43_Y10_N0
\led_flash_cnt[1482][0]~82122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1482][0]~82122_combout\ = !\led_flash_cnt[1482][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1482][0]~q\,
	combout => \led_flash_cnt[1482][0]~82122_combout\);

-- Location: FF_X43_Y10_N1
\led_flash_cnt[1482][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1482][0]~82122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1482][0]~q\);

-- Location: LCCOMB_X44_Y11_N16
\led_flash_cnt[1482][1]~47628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1482][1]~47628_combout\ = (\led_flash_cnt[1482][0]~q\ & (\led_flash_cnt[1482][1]~q\ $ (VCC))) # (!\led_flash_cnt[1482][0]~q\ & (\led_flash_cnt[1482][1]~q\ & VCC))
-- \led_flash_cnt[1482][1]~47629\ = CARRY((\led_flash_cnt[1482][0]~q\ & \led_flash_cnt[1482][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1482][0]~q\,
	datab => \led_flash_cnt[1482][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1482][1]~47628_combout\,
	cout => \led_flash_cnt[1482][1]~47629\);

-- Location: FF_X44_Y11_N17
\led_flash_cnt[1482][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1482][1]~47628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1482][1]~q\);

-- Location: LCCOMB_X44_Y11_N18
\led_flash_cnt[1482][2]~47630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1482][2]~47630_combout\ = (\led_flash_cnt[1482][2]~q\ & (!\led_flash_cnt[1482][1]~47629\)) # (!\led_flash_cnt[1482][2]~q\ & ((\led_flash_cnt[1482][1]~47629\) # (GND)))
-- \led_flash_cnt[1482][2]~47631\ = CARRY((!\led_flash_cnt[1482][1]~47629\) # (!\led_flash_cnt[1482][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1482][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1482][1]~47629\,
	combout => \led_flash_cnt[1482][2]~47630_combout\,
	cout => \led_flash_cnt[1482][2]~47631\);

-- Location: FF_X44_Y11_N19
\led_flash_cnt[1482][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1482][2]~47630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1482][2]~q\);

-- Location: LCCOMB_X44_Y11_N20
\led_flash_cnt[1482][3]~47632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1482][3]~47632_combout\ = (\led_flash_cnt[1482][3]~q\ & (\led_flash_cnt[1482][2]~47631\ $ (GND))) # (!\led_flash_cnt[1482][3]~q\ & (!\led_flash_cnt[1482][2]~47631\ & VCC))
-- \led_flash_cnt[1482][3]~47633\ = CARRY((\led_flash_cnt[1482][3]~q\ & !\led_flash_cnt[1482][2]~47631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1482][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1482][2]~47631\,
	combout => \led_flash_cnt[1482][3]~47632_combout\,
	cout => \led_flash_cnt[1482][3]~47633\);

-- Location: FF_X44_Y11_N21
\led_flash_cnt[1482][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1482][3]~47632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1482][3]~q\);

-- Location: LCCOMB_X44_Y11_N22
\led_flash_cnt[1482][4]~47634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1482][4]~47634_combout\ = (\led_flash_cnt[1482][4]~q\ & (!\led_flash_cnt[1482][3]~47633\)) # (!\led_flash_cnt[1482][4]~q\ & ((\led_flash_cnt[1482][3]~47633\) # (GND)))
-- \led_flash_cnt[1482][4]~47635\ = CARRY((!\led_flash_cnt[1482][3]~47633\) # (!\led_flash_cnt[1482][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1482][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1482][3]~47633\,
	combout => \led_flash_cnt[1482][4]~47634_combout\,
	cout => \led_flash_cnt[1482][4]~47635\);

-- Location: FF_X44_Y11_N23
\led_flash_cnt[1482][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1482][4]~47634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1482][4]~q\);

-- Location: LCCOMB_X44_Y11_N24
\led_flash_cnt[1482][5]~47636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1482][5]~47636_combout\ = (\led_flash_cnt[1482][5]~q\ & (\led_flash_cnt[1482][4]~47635\ $ (GND))) # (!\led_flash_cnt[1482][5]~q\ & (!\led_flash_cnt[1482][4]~47635\ & VCC))
-- \led_flash_cnt[1482][5]~47637\ = CARRY((\led_flash_cnt[1482][5]~q\ & !\led_flash_cnt[1482][4]~47635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1482][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1482][4]~47635\,
	combout => \led_flash_cnt[1482][5]~47636_combout\,
	cout => \led_flash_cnt[1482][5]~47637\);

-- Location: FF_X44_Y11_N25
\led_flash_cnt[1482][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1482][5]~47636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1482][5]~q\);

-- Location: LCCOMB_X44_Y11_N26
\led_flash_cnt[1482][6]~47638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1482][6]~47638_combout\ = (\led_flash_cnt[1482][6]~q\ & (!\led_flash_cnt[1482][5]~47637\)) # (!\led_flash_cnt[1482][6]~q\ & ((\led_flash_cnt[1482][5]~47637\) # (GND)))
-- \led_flash_cnt[1482][6]~47639\ = CARRY((!\led_flash_cnt[1482][5]~47637\) # (!\led_flash_cnt[1482][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1482][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1482][5]~47637\,
	combout => \led_flash_cnt[1482][6]~47638_combout\,
	cout => \led_flash_cnt[1482][6]~47639\);

-- Location: FF_X44_Y11_N27
\led_flash_cnt[1482][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1482][6]~47638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1482][6]~q\);

-- Location: LCCOMB_X44_Y11_N28
\led_flash_cnt[1482][7]~47640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1482][7]~47640_combout\ = \led_flash_cnt[1482][6]~47639\ $ (!\led_flash_cnt[1482][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1482][7]~q\,
	cin => \led_flash_cnt[1482][6]~47639\,
	combout => \led_flash_cnt[1482][7]~47640_combout\);

-- Location: FF_X44_Y11_N29
\led_flash_cnt[1482][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1482][7]~47640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1482][7]~q\);

-- Location: LCCOMB_X44_Y11_N8
\WideAnd1482~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1482~0_combout\ = (\led_flash_cnt[1482][2]~q\ & (\led_flash_cnt[1482][3]~q\ & (\led_flash_cnt[1482][4]~q\ & \led_flash_cnt[1482][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1482][2]~q\,
	datab => \led_flash_cnt[1482][3]~q\,
	datac => \led_flash_cnt[1482][4]~q\,
	datad => \led_flash_cnt[1482][1]~q\,
	combout => \WideAnd1482~0_combout\);

-- Location: LCCOMB_X44_Y11_N12
\WideAnd1482~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1482~1_combout\ = (\led_flash_cnt[1482][6]~q\ & \led_flash_cnt[1482][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1482][6]~q\,
	datad => \led_flash_cnt[1482][5]~q\,
	combout => \WideAnd1482~1_combout\);

-- Location: LCCOMB_X44_Y11_N14
WideAnd1482 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1482~combout\ = (\led_flash_cnt[1482][0]~q\ & (\led_flash_cnt[1482][7]~q\ & (\WideAnd1482~0_combout\ & \WideAnd1482~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1482][0]~q\,
	datab => \led_flash_cnt[1482][7]~q\,
	datac => \WideAnd1482~0_combout\,
	datad => \WideAnd1482~1_combout\,
	combout => \WideAnd1482~combout\);

-- Location: FF_X44_Y11_N15
\led_flash_cnt_ands[1482]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1482~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1482));

-- Location: LCCOMB_X18_Y13_N16
\led_flash_cnt[1483][0]~82123\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1483][0]~82123_combout\ = !\led_flash_cnt[1483][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1483][0]~q\,
	combout => \led_flash_cnt[1483][0]~82123_combout\);

-- Location: FF_X18_Y13_N17
\led_flash_cnt[1483][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1483][0]~82123_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1483][0]~q\);

-- Location: LCCOMB_X19_Y13_N16
\led_flash_cnt[1483][1]~47642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1483][1]~47642_combout\ = (\led_flash_cnt[1483][0]~q\ & (\led_flash_cnt[1483][1]~q\ $ (VCC))) # (!\led_flash_cnt[1483][0]~q\ & (\led_flash_cnt[1483][1]~q\ & VCC))
-- \led_flash_cnt[1483][1]~47643\ = CARRY((\led_flash_cnt[1483][0]~q\ & \led_flash_cnt[1483][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1483][0]~q\,
	datab => \led_flash_cnt[1483][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1483][1]~47642_combout\,
	cout => \led_flash_cnt[1483][1]~47643\);

-- Location: FF_X19_Y13_N17
\led_flash_cnt[1483][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1483][1]~47642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1483][1]~q\);

-- Location: LCCOMB_X19_Y13_N18
\led_flash_cnt[1483][2]~47644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1483][2]~47644_combout\ = (\led_flash_cnt[1483][2]~q\ & (!\led_flash_cnt[1483][1]~47643\)) # (!\led_flash_cnt[1483][2]~q\ & ((\led_flash_cnt[1483][1]~47643\) # (GND)))
-- \led_flash_cnt[1483][2]~47645\ = CARRY((!\led_flash_cnt[1483][1]~47643\) # (!\led_flash_cnt[1483][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1483][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1483][1]~47643\,
	combout => \led_flash_cnt[1483][2]~47644_combout\,
	cout => \led_flash_cnt[1483][2]~47645\);

-- Location: FF_X19_Y13_N19
\led_flash_cnt[1483][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1483][2]~47644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1483][2]~q\);

-- Location: LCCOMB_X19_Y13_N20
\led_flash_cnt[1483][3]~47646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1483][3]~47646_combout\ = (\led_flash_cnt[1483][3]~q\ & (\led_flash_cnt[1483][2]~47645\ $ (GND))) # (!\led_flash_cnt[1483][3]~q\ & (!\led_flash_cnt[1483][2]~47645\ & VCC))
-- \led_flash_cnt[1483][3]~47647\ = CARRY((\led_flash_cnt[1483][3]~q\ & !\led_flash_cnt[1483][2]~47645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1483][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1483][2]~47645\,
	combout => \led_flash_cnt[1483][3]~47646_combout\,
	cout => \led_flash_cnt[1483][3]~47647\);

-- Location: FF_X19_Y13_N21
\led_flash_cnt[1483][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1483][3]~47646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1483][3]~q\);

-- Location: LCCOMB_X19_Y13_N22
\led_flash_cnt[1483][4]~47648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1483][4]~47648_combout\ = (\led_flash_cnt[1483][4]~q\ & (!\led_flash_cnt[1483][3]~47647\)) # (!\led_flash_cnt[1483][4]~q\ & ((\led_flash_cnt[1483][3]~47647\) # (GND)))
-- \led_flash_cnt[1483][4]~47649\ = CARRY((!\led_flash_cnt[1483][3]~47647\) # (!\led_flash_cnt[1483][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1483][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1483][3]~47647\,
	combout => \led_flash_cnt[1483][4]~47648_combout\,
	cout => \led_flash_cnt[1483][4]~47649\);

-- Location: FF_X19_Y13_N23
\led_flash_cnt[1483][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1483][4]~47648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1483][4]~q\);

-- Location: LCCOMB_X18_Y13_N30
\WideAnd1483~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1483~0_combout\ = (\led_flash_cnt[1483][4]~q\ & (\led_flash_cnt[1483][1]~q\ & (\led_flash_cnt[1483][3]~q\ & \led_flash_cnt[1483][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1483][4]~q\,
	datab => \led_flash_cnt[1483][1]~q\,
	datac => \led_flash_cnt[1483][3]~q\,
	datad => \led_flash_cnt[1483][2]~q\,
	combout => \WideAnd1483~0_combout\);

-- Location: LCCOMB_X19_Y13_N24
\led_flash_cnt[1483][5]~47650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1483][5]~47650_combout\ = (\led_flash_cnt[1483][5]~q\ & (\led_flash_cnt[1483][4]~47649\ $ (GND))) # (!\led_flash_cnt[1483][5]~q\ & (!\led_flash_cnt[1483][4]~47649\ & VCC))
-- \led_flash_cnt[1483][5]~47651\ = CARRY((\led_flash_cnt[1483][5]~q\ & !\led_flash_cnt[1483][4]~47649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1483][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1483][4]~47649\,
	combout => \led_flash_cnt[1483][5]~47650_combout\,
	cout => \led_flash_cnt[1483][5]~47651\);

-- Location: FF_X19_Y13_N25
\led_flash_cnt[1483][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1483][5]~47650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1483][5]~q\);

-- Location: LCCOMB_X19_Y13_N26
\led_flash_cnt[1483][6]~47652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1483][6]~47652_combout\ = (\led_flash_cnt[1483][6]~q\ & (!\led_flash_cnt[1483][5]~47651\)) # (!\led_flash_cnt[1483][6]~q\ & ((\led_flash_cnt[1483][5]~47651\) # (GND)))
-- \led_flash_cnt[1483][6]~47653\ = CARRY((!\led_flash_cnt[1483][5]~47651\) # (!\led_flash_cnt[1483][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1483][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1483][5]~47651\,
	combout => \led_flash_cnt[1483][6]~47652_combout\,
	cout => \led_flash_cnt[1483][6]~47653\);

-- Location: FF_X19_Y13_N27
\led_flash_cnt[1483][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1483][6]~47652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1483][6]~q\);

-- Location: LCCOMB_X18_Y13_N14
\WideAnd1483~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1483~1_combout\ = (\led_flash_cnt[1483][6]~q\ & \led_flash_cnt[1483][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1483][6]~q\,
	datad => \led_flash_cnt[1483][5]~q\,
	combout => \WideAnd1483~1_combout\);

-- Location: LCCOMB_X19_Y13_N28
\led_flash_cnt[1483][7]~47654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1483][7]~47654_combout\ = \led_flash_cnt[1483][6]~47653\ $ (!\led_flash_cnt[1483][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1483][7]~q\,
	cin => \led_flash_cnt[1483][6]~47653\,
	combout => \led_flash_cnt[1483][7]~47654_combout\);

-- Location: FF_X19_Y13_N29
\led_flash_cnt[1483][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1483][7]~47654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1483][7]~q\);

-- Location: LCCOMB_X18_Y13_N24
WideAnd1483 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1483~combout\ = (\WideAnd1483~0_combout\ & (\led_flash_cnt[1483][0]~q\ & (\WideAnd1483~1_combout\ & \led_flash_cnt[1483][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1483~0_combout\,
	datab => \led_flash_cnt[1483][0]~q\,
	datac => \WideAnd1483~1_combout\,
	datad => \led_flash_cnt[1483][7]~q\,
	combout => \WideAnd1483~combout\);

-- Location: FF_X18_Y13_N25
\led_flash_cnt_ands[1483]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1483~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1483));

-- Location: LCCOMB_X46_Y9_N28
\WideAnd4025~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4025~0_combout\ = (led_flash_cnt_ands(1480) & (led_flash_cnt_ands(1481) & (led_flash_cnt_ands(1482) & led_flash_cnt_ands(1483))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1480),
	datab => led_flash_cnt_ands(1481),
	datac => led_flash_cnt_ands(1482),
	datad => led_flash_cnt_ands(1483),
	combout => \WideAnd4025~0_combout\);

-- Location: LCCOMB_X37_Y9_N2
\led_flash_cnt[1485][0]~82125\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1485][0]~82125_combout\ = !\led_flash_cnt[1485][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1485][0]~q\,
	combout => \led_flash_cnt[1485][0]~82125_combout\);

-- Location: FF_X37_Y9_N3
\led_flash_cnt[1485][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1485][0]~82125_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1485][0]~q\);

-- Location: LCCOMB_X36_Y9_N16
\led_flash_cnt[1485][1]~47670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1485][1]~47670_combout\ = (\led_flash_cnt[1485][0]~q\ & (\led_flash_cnt[1485][1]~q\ $ (VCC))) # (!\led_flash_cnt[1485][0]~q\ & (\led_flash_cnt[1485][1]~q\ & VCC))
-- \led_flash_cnt[1485][1]~47671\ = CARRY((\led_flash_cnt[1485][0]~q\ & \led_flash_cnt[1485][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1485][0]~q\,
	datab => \led_flash_cnt[1485][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1485][1]~47670_combout\,
	cout => \led_flash_cnt[1485][1]~47671\);

-- Location: FF_X36_Y9_N17
\led_flash_cnt[1485][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1485][1]~47670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1485][1]~q\);

-- Location: LCCOMB_X36_Y9_N18
\led_flash_cnt[1485][2]~47672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1485][2]~47672_combout\ = (\led_flash_cnt[1485][2]~q\ & (!\led_flash_cnt[1485][1]~47671\)) # (!\led_flash_cnt[1485][2]~q\ & ((\led_flash_cnt[1485][1]~47671\) # (GND)))
-- \led_flash_cnt[1485][2]~47673\ = CARRY((!\led_flash_cnt[1485][1]~47671\) # (!\led_flash_cnt[1485][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1485][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1485][1]~47671\,
	combout => \led_flash_cnt[1485][2]~47672_combout\,
	cout => \led_flash_cnt[1485][2]~47673\);

-- Location: FF_X36_Y9_N19
\led_flash_cnt[1485][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1485][2]~47672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1485][2]~q\);

-- Location: LCCOMB_X36_Y9_N20
\led_flash_cnt[1485][3]~47674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1485][3]~47674_combout\ = (\led_flash_cnt[1485][3]~q\ & (\led_flash_cnt[1485][2]~47673\ $ (GND))) # (!\led_flash_cnt[1485][3]~q\ & (!\led_flash_cnt[1485][2]~47673\ & VCC))
-- \led_flash_cnt[1485][3]~47675\ = CARRY((\led_flash_cnt[1485][3]~q\ & !\led_flash_cnt[1485][2]~47673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1485][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1485][2]~47673\,
	combout => \led_flash_cnt[1485][3]~47674_combout\,
	cout => \led_flash_cnt[1485][3]~47675\);

-- Location: FF_X36_Y9_N21
\led_flash_cnt[1485][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1485][3]~47674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1485][3]~q\);

-- Location: LCCOMB_X36_Y9_N22
\led_flash_cnt[1485][4]~47676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1485][4]~47676_combout\ = (\led_flash_cnt[1485][4]~q\ & (!\led_flash_cnt[1485][3]~47675\)) # (!\led_flash_cnt[1485][4]~q\ & ((\led_flash_cnt[1485][3]~47675\) # (GND)))
-- \led_flash_cnt[1485][4]~47677\ = CARRY((!\led_flash_cnt[1485][3]~47675\) # (!\led_flash_cnt[1485][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1485][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1485][3]~47675\,
	combout => \led_flash_cnt[1485][4]~47676_combout\,
	cout => \led_flash_cnt[1485][4]~47677\);

-- Location: FF_X36_Y9_N23
\led_flash_cnt[1485][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1485][4]~47676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1485][4]~q\);

-- Location: LCCOMB_X37_Y9_N26
\WideAnd1485~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1485~0_combout\ = (\led_flash_cnt[1485][3]~q\ & (\led_flash_cnt[1485][4]~q\ & (\led_flash_cnt[1485][1]~q\ & \led_flash_cnt[1485][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1485][3]~q\,
	datab => \led_flash_cnt[1485][4]~q\,
	datac => \led_flash_cnt[1485][1]~q\,
	datad => \led_flash_cnt[1485][2]~q\,
	combout => \WideAnd1485~0_combout\);

-- Location: LCCOMB_X36_Y9_N24
\led_flash_cnt[1485][5]~47678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1485][5]~47678_combout\ = (\led_flash_cnt[1485][5]~q\ & (\led_flash_cnt[1485][4]~47677\ $ (GND))) # (!\led_flash_cnt[1485][5]~q\ & (!\led_flash_cnt[1485][4]~47677\ & VCC))
-- \led_flash_cnt[1485][5]~47679\ = CARRY((\led_flash_cnt[1485][5]~q\ & !\led_flash_cnt[1485][4]~47677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1485][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1485][4]~47677\,
	combout => \led_flash_cnt[1485][5]~47678_combout\,
	cout => \led_flash_cnt[1485][5]~47679\);

-- Location: FF_X36_Y9_N25
\led_flash_cnt[1485][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1485][5]~47678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1485][5]~q\);

-- Location: LCCOMB_X36_Y9_N26
\led_flash_cnt[1485][6]~47680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1485][6]~47680_combout\ = (\led_flash_cnt[1485][6]~q\ & (!\led_flash_cnt[1485][5]~47679\)) # (!\led_flash_cnt[1485][6]~q\ & ((\led_flash_cnt[1485][5]~47679\) # (GND)))
-- \led_flash_cnt[1485][6]~47681\ = CARRY((!\led_flash_cnt[1485][5]~47679\) # (!\led_flash_cnt[1485][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1485][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1485][5]~47679\,
	combout => \led_flash_cnt[1485][6]~47680_combout\,
	cout => \led_flash_cnt[1485][6]~47681\);

-- Location: FF_X36_Y9_N27
\led_flash_cnt[1485][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1485][6]~47680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1485][6]~q\);

-- Location: LCCOMB_X36_Y9_N28
\led_flash_cnt[1485][7]~47682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1485][7]~47682_combout\ = \led_flash_cnt[1485][6]~47681\ $ (!\led_flash_cnt[1485][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1485][7]~q\,
	cin => \led_flash_cnt[1485][6]~47681\,
	combout => \led_flash_cnt[1485][7]~47682_combout\);

-- Location: FF_X36_Y9_N29
\led_flash_cnt[1485][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1485][7]~47682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1485][7]~q\);

-- Location: LCCOMB_X37_Y9_N30
\WideAnd1485~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1485~1_combout\ = (\led_flash_cnt[1485][6]~q\ & \led_flash_cnt[1485][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1485][6]~q\,
	datad => \led_flash_cnt[1485][5]~q\,
	combout => \WideAnd1485~1_combout\);

-- Location: LCCOMB_X37_Y9_N4
WideAnd1485 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1485~combout\ = (\WideAnd1485~0_combout\ & (\led_flash_cnt[1485][7]~q\ & (\WideAnd1485~1_combout\ & \led_flash_cnt[1485][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1485~0_combout\,
	datab => \led_flash_cnt[1485][7]~q\,
	datac => \WideAnd1485~1_combout\,
	datad => \led_flash_cnt[1485][0]~q\,
	combout => \WideAnd1485~combout\);

-- Location: FF_X37_Y9_N5
\led_flash_cnt_ands[1485]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1485~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1485));

-- Location: LCCOMB_X38_Y9_N30
\led_flash_cnt[1484][0]~82124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1484][0]~82124_combout\ = !\led_flash_cnt[1484][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1484][0]~q\,
	combout => \led_flash_cnt[1484][0]~82124_combout\);

-- Location: FF_X38_Y9_N31
\led_flash_cnt[1484][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1484][0]~82124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1484][0]~q\);

-- Location: LCCOMB_X37_Y9_N8
\led_flash_cnt[1484][1]~47656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1484][1]~47656_combout\ = (\led_flash_cnt[1484][0]~q\ & (\led_flash_cnt[1484][1]~q\ $ (VCC))) # (!\led_flash_cnt[1484][0]~q\ & (\led_flash_cnt[1484][1]~q\ & VCC))
-- \led_flash_cnt[1484][1]~47657\ = CARRY((\led_flash_cnt[1484][0]~q\ & \led_flash_cnt[1484][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1484][0]~q\,
	datab => \led_flash_cnt[1484][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1484][1]~47656_combout\,
	cout => \led_flash_cnt[1484][1]~47657\);

-- Location: FF_X37_Y9_N9
\led_flash_cnt[1484][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1484][1]~47656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1484][1]~q\);

-- Location: LCCOMB_X37_Y9_N10
\led_flash_cnt[1484][2]~47658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1484][2]~47658_combout\ = (\led_flash_cnt[1484][2]~q\ & (!\led_flash_cnt[1484][1]~47657\)) # (!\led_flash_cnt[1484][2]~q\ & ((\led_flash_cnt[1484][1]~47657\) # (GND)))
-- \led_flash_cnt[1484][2]~47659\ = CARRY((!\led_flash_cnt[1484][1]~47657\) # (!\led_flash_cnt[1484][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1484][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1484][1]~47657\,
	combout => \led_flash_cnt[1484][2]~47658_combout\,
	cout => \led_flash_cnt[1484][2]~47659\);

-- Location: FF_X37_Y9_N11
\led_flash_cnt[1484][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1484][2]~47658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1484][2]~q\);

-- Location: LCCOMB_X37_Y9_N12
\led_flash_cnt[1484][3]~47660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1484][3]~47660_combout\ = (\led_flash_cnt[1484][3]~q\ & (\led_flash_cnt[1484][2]~47659\ $ (GND))) # (!\led_flash_cnt[1484][3]~q\ & (!\led_flash_cnt[1484][2]~47659\ & VCC))
-- \led_flash_cnt[1484][3]~47661\ = CARRY((\led_flash_cnt[1484][3]~q\ & !\led_flash_cnt[1484][2]~47659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1484][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1484][2]~47659\,
	combout => \led_flash_cnt[1484][3]~47660_combout\,
	cout => \led_flash_cnt[1484][3]~47661\);

-- Location: FF_X37_Y9_N13
\led_flash_cnt[1484][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1484][3]~47660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1484][3]~q\);

-- Location: LCCOMB_X37_Y9_N14
\led_flash_cnt[1484][4]~47662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1484][4]~47662_combout\ = (\led_flash_cnt[1484][4]~q\ & (!\led_flash_cnt[1484][3]~47661\)) # (!\led_flash_cnt[1484][4]~q\ & ((\led_flash_cnt[1484][3]~47661\) # (GND)))
-- \led_flash_cnt[1484][4]~47663\ = CARRY((!\led_flash_cnt[1484][3]~47661\) # (!\led_flash_cnt[1484][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1484][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1484][3]~47661\,
	combout => \led_flash_cnt[1484][4]~47662_combout\,
	cout => \led_flash_cnt[1484][4]~47663\);

-- Location: FF_X37_Y9_N15
\led_flash_cnt[1484][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1484][4]~47662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1484][4]~q\);

-- Location: LCCOMB_X37_Y9_N28
\WideAnd1484~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1484~0_combout\ = (\led_flash_cnt[1484][3]~q\ & (\led_flash_cnt[1484][1]~q\ & (\led_flash_cnt[1484][4]~q\ & \led_flash_cnt[1484][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1484][3]~q\,
	datab => \led_flash_cnt[1484][1]~q\,
	datac => \led_flash_cnt[1484][4]~q\,
	datad => \led_flash_cnt[1484][2]~q\,
	combout => \WideAnd1484~0_combout\);

-- Location: LCCOMB_X37_Y9_N16
\led_flash_cnt[1484][5]~47664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1484][5]~47664_combout\ = (\led_flash_cnt[1484][5]~q\ & (\led_flash_cnt[1484][4]~47663\ $ (GND))) # (!\led_flash_cnt[1484][5]~q\ & (!\led_flash_cnt[1484][4]~47663\ & VCC))
-- \led_flash_cnt[1484][5]~47665\ = CARRY((\led_flash_cnt[1484][5]~q\ & !\led_flash_cnt[1484][4]~47663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1484][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1484][4]~47663\,
	combout => \led_flash_cnt[1484][5]~47664_combout\,
	cout => \led_flash_cnt[1484][5]~47665\);

-- Location: FF_X37_Y9_N17
\led_flash_cnt[1484][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1484][5]~47664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1484][5]~q\);

-- Location: LCCOMB_X37_Y9_N18
\led_flash_cnt[1484][6]~47666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1484][6]~47666_combout\ = (\led_flash_cnt[1484][6]~q\ & (!\led_flash_cnt[1484][5]~47665\)) # (!\led_flash_cnt[1484][6]~q\ & ((\led_flash_cnt[1484][5]~47665\) # (GND)))
-- \led_flash_cnt[1484][6]~47667\ = CARRY((!\led_flash_cnt[1484][5]~47665\) # (!\led_flash_cnt[1484][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1484][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1484][5]~47665\,
	combout => \led_flash_cnt[1484][6]~47666_combout\,
	cout => \led_flash_cnt[1484][6]~47667\);

-- Location: FF_X37_Y9_N19
\led_flash_cnt[1484][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1484][6]~47666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1484][6]~q\);

-- Location: LCCOMB_X37_Y9_N22
\WideAnd1484~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1484~1_combout\ = (\led_flash_cnt[1484][6]~q\ & \led_flash_cnt[1484][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1484][6]~q\,
	datad => \led_flash_cnt[1484][5]~q\,
	combout => \WideAnd1484~1_combout\);

-- Location: LCCOMB_X37_Y9_N20
\led_flash_cnt[1484][7]~47668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1484][7]~47668_combout\ = \led_flash_cnt[1484][6]~47667\ $ (!\led_flash_cnt[1484][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1484][7]~q\,
	cin => \led_flash_cnt[1484][6]~47667\,
	combout => \led_flash_cnt[1484][7]~47668_combout\);

-- Location: FF_X37_Y9_N21
\led_flash_cnt[1484][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1484][7]~47668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1484][7]~q\);

-- Location: LCCOMB_X37_Y9_N6
WideAnd1484 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1484~combout\ = (\led_flash_cnt[1484][0]~q\ & (\WideAnd1484~0_combout\ & (\WideAnd1484~1_combout\ & \led_flash_cnt[1484][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1484][0]~q\,
	datab => \WideAnd1484~0_combout\,
	datac => \WideAnd1484~1_combout\,
	datad => \led_flash_cnt[1484][7]~q\,
	combout => \WideAnd1484~combout\);

-- Location: FF_X37_Y9_N7
\led_flash_cnt_ands[1484]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1484~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1484));

-- Location: LCCOMB_X37_Y9_N0
\WideAnd4025~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4025~1_combout\ = (led_flash_cnt_ands(1485) & led_flash_cnt_ands(1484))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1485),
	datad => led_flash_cnt_ands(1484),
	combout => \WideAnd4025~1_combout\);

-- Location: LCCOMB_X43_Y6_N24
\led_flash_cnt[1487][0]~82127\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1487][0]~82127_combout\ = !\led_flash_cnt[1487][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1487][0]~q\,
	combout => \led_flash_cnt[1487][0]~82127_combout\);

-- Location: FF_X43_Y6_N25
\led_flash_cnt[1487][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1487][0]~82127_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1487][0]~q\);

-- Location: LCCOMB_X43_Y2_N0
\led_flash_cnt[1487][1]~47698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1487][1]~47698_combout\ = (\led_flash_cnt[1487][0]~q\ & (\led_flash_cnt[1487][1]~q\ $ (VCC))) # (!\led_flash_cnt[1487][0]~q\ & (\led_flash_cnt[1487][1]~q\ & VCC))
-- \led_flash_cnt[1487][1]~47699\ = CARRY((\led_flash_cnt[1487][0]~q\ & \led_flash_cnt[1487][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1487][0]~q\,
	datab => \led_flash_cnt[1487][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1487][1]~47698_combout\,
	cout => \led_flash_cnt[1487][1]~47699\);

-- Location: FF_X43_Y2_N1
\led_flash_cnt[1487][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1487][1]~47698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1487][1]~q\);

-- Location: LCCOMB_X43_Y2_N2
\led_flash_cnt[1487][2]~47700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1487][2]~47700_combout\ = (\led_flash_cnt[1487][2]~q\ & (!\led_flash_cnt[1487][1]~47699\)) # (!\led_flash_cnt[1487][2]~q\ & ((\led_flash_cnt[1487][1]~47699\) # (GND)))
-- \led_flash_cnt[1487][2]~47701\ = CARRY((!\led_flash_cnt[1487][1]~47699\) # (!\led_flash_cnt[1487][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1487][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1487][1]~47699\,
	combout => \led_flash_cnt[1487][2]~47700_combout\,
	cout => \led_flash_cnt[1487][2]~47701\);

-- Location: FF_X43_Y2_N3
\led_flash_cnt[1487][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1487][2]~47700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1487][2]~q\);

-- Location: LCCOMB_X43_Y2_N4
\led_flash_cnt[1487][3]~47702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1487][3]~47702_combout\ = (\led_flash_cnt[1487][3]~q\ & (\led_flash_cnt[1487][2]~47701\ $ (GND))) # (!\led_flash_cnt[1487][3]~q\ & (!\led_flash_cnt[1487][2]~47701\ & VCC))
-- \led_flash_cnt[1487][3]~47703\ = CARRY((\led_flash_cnt[1487][3]~q\ & !\led_flash_cnt[1487][2]~47701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1487][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1487][2]~47701\,
	combout => \led_flash_cnt[1487][3]~47702_combout\,
	cout => \led_flash_cnt[1487][3]~47703\);

-- Location: FF_X43_Y2_N5
\led_flash_cnt[1487][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1487][3]~47702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1487][3]~q\);

-- Location: LCCOMB_X43_Y2_N6
\led_flash_cnt[1487][4]~47704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1487][4]~47704_combout\ = (\led_flash_cnt[1487][4]~q\ & (!\led_flash_cnt[1487][3]~47703\)) # (!\led_flash_cnt[1487][4]~q\ & ((\led_flash_cnt[1487][3]~47703\) # (GND)))
-- \led_flash_cnt[1487][4]~47705\ = CARRY((!\led_flash_cnt[1487][3]~47703\) # (!\led_flash_cnt[1487][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1487][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1487][3]~47703\,
	combout => \led_flash_cnt[1487][4]~47704_combout\,
	cout => \led_flash_cnt[1487][4]~47705\);

-- Location: FF_X43_Y2_N7
\led_flash_cnt[1487][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1487][4]~47704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1487][4]~q\);

-- Location: LCCOMB_X43_Y2_N8
\led_flash_cnt[1487][5]~47706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1487][5]~47706_combout\ = (\led_flash_cnt[1487][5]~q\ & (\led_flash_cnt[1487][4]~47705\ $ (GND))) # (!\led_flash_cnt[1487][5]~q\ & (!\led_flash_cnt[1487][4]~47705\ & VCC))
-- \led_flash_cnt[1487][5]~47707\ = CARRY((\led_flash_cnt[1487][5]~q\ & !\led_flash_cnt[1487][4]~47705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1487][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1487][4]~47705\,
	combout => \led_flash_cnt[1487][5]~47706_combout\,
	cout => \led_flash_cnt[1487][5]~47707\);

-- Location: FF_X43_Y2_N9
\led_flash_cnt[1487][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1487][5]~47706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1487][5]~q\);

-- Location: LCCOMB_X43_Y2_N10
\led_flash_cnt[1487][6]~47708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1487][6]~47708_combout\ = (\led_flash_cnt[1487][6]~q\ & (!\led_flash_cnt[1487][5]~47707\)) # (!\led_flash_cnt[1487][6]~q\ & ((\led_flash_cnt[1487][5]~47707\) # (GND)))
-- \led_flash_cnt[1487][6]~47709\ = CARRY((!\led_flash_cnt[1487][5]~47707\) # (!\led_flash_cnt[1487][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1487][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1487][5]~47707\,
	combout => \led_flash_cnt[1487][6]~47708_combout\,
	cout => \led_flash_cnt[1487][6]~47709\);

-- Location: FF_X43_Y2_N11
\led_flash_cnt[1487][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1487][6]~47708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1487][6]~q\);

-- Location: LCCOMB_X43_Y2_N16
\WideAnd1487~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1487~1_combout\ = (\led_flash_cnt[1487][5]~q\ & \led_flash_cnt[1487][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1487][5]~q\,
	datad => \led_flash_cnt[1487][6]~q\,
	combout => \WideAnd1487~1_combout\);

-- Location: LCCOMB_X43_Y2_N14
\WideAnd1487~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1487~0_combout\ = (\led_flash_cnt[1487][4]~q\ & (\led_flash_cnt[1487][1]~q\ & (\led_flash_cnt[1487][3]~q\ & \led_flash_cnt[1487][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1487][4]~q\,
	datab => \led_flash_cnt[1487][1]~q\,
	datac => \led_flash_cnt[1487][3]~q\,
	datad => \led_flash_cnt[1487][2]~q\,
	combout => \WideAnd1487~0_combout\);

-- Location: LCCOMB_X43_Y2_N12
\led_flash_cnt[1487][7]~47710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1487][7]~47710_combout\ = \led_flash_cnt[1487][6]~47709\ $ (!\led_flash_cnt[1487][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1487][7]~q\,
	cin => \led_flash_cnt[1487][6]~47709\,
	combout => \led_flash_cnt[1487][7]~47710_combout\);

-- Location: FF_X43_Y2_N13
\led_flash_cnt[1487][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1487][7]~47710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1487][7]~q\);

-- Location: LCCOMB_X43_Y6_N18
WideAnd1487 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1487~combout\ = (\WideAnd1487~1_combout\ & (\WideAnd1487~0_combout\ & (\led_flash_cnt[1487][7]~q\ & \led_flash_cnt[1487][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1487~1_combout\,
	datab => \WideAnd1487~0_combout\,
	datac => \led_flash_cnt[1487][7]~q\,
	datad => \led_flash_cnt[1487][0]~q\,
	combout => \WideAnd1487~combout\);

-- Location: FF_X43_Y6_N19
\led_flash_cnt_ands[1487]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1487~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1487));

-- Location: LCCOMB_X42_Y6_N18
WideAnd4025 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4025~combout\ = (led_flash_cnt_ands(1486) & (\WideAnd4025~0_combout\ & (\WideAnd4025~1_combout\ & led_flash_cnt_ands(1487))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1486),
	datab => \WideAnd4025~0_combout\,
	datac => \WideAnd4025~1_combout\,
	datad => led_flash_cnt_ands(1487),
	combout => \WideAnd4025~combout\);

-- Location: FF_X42_Y6_N19
\led_flash_cnt_ands_1[185]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4025~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(185));

-- Location: LCCOMB_X42_Y6_N30
\WideAnd4343~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4343~0_combout\ = (led_flash_cnt_ands_1(184) & (led_flash_cnt_ands_1(187) & (led_flash_cnt_ands_1(186) & led_flash_cnt_ands_1(185))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(184),
	datab => led_flash_cnt_ands_1(187),
	datac => led_flash_cnt_ands_1(186),
	datad => led_flash_cnt_ands_1(185),
	combout => \WideAnd4343~0_combout\);

-- Location: LCCOMB_X34_Y6_N6
\led_flash_cnt[1522][0]~82162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1522][0]~82162_combout\ = !\led_flash_cnt[1522][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1522][0]~q\,
	combout => \led_flash_cnt[1522][0]~82162_combout\);

-- Location: FF_X34_Y6_N7
\led_flash_cnt[1522][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1522][0]~82162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1522][0]~q\);

-- Location: LCCOMB_X37_Y8_N18
\led_flash_cnt[1522][1]~48188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1522][1]~48188_combout\ = (\led_flash_cnt[1522][0]~q\ & (\led_flash_cnt[1522][1]~q\ $ (VCC))) # (!\led_flash_cnt[1522][0]~q\ & (\led_flash_cnt[1522][1]~q\ & VCC))
-- \led_flash_cnt[1522][1]~48189\ = CARRY((\led_flash_cnt[1522][0]~q\ & \led_flash_cnt[1522][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1522][0]~q\,
	datab => \led_flash_cnt[1522][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1522][1]~48188_combout\,
	cout => \led_flash_cnt[1522][1]~48189\);

-- Location: FF_X37_Y8_N19
\led_flash_cnt[1522][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1522][1]~48188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1522][1]~q\);

-- Location: LCCOMB_X37_Y8_N20
\led_flash_cnt[1522][2]~48190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1522][2]~48190_combout\ = (\led_flash_cnt[1522][2]~q\ & (!\led_flash_cnt[1522][1]~48189\)) # (!\led_flash_cnt[1522][2]~q\ & ((\led_flash_cnt[1522][1]~48189\) # (GND)))
-- \led_flash_cnt[1522][2]~48191\ = CARRY((!\led_flash_cnt[1522][1]~48189\) # (!\led_flash_cnt[1522][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1522][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1522][1]~48189\,
	combout => \led_flash_cnt[1522][2]~48190_combout\,
	cout => \led_flash_cnt[1522][2]~48191\);

-- Location: FF_X37_Y8_N21
\led_flash_cnt[1522][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1522][2]~48190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1522][2]~q\);

-- Location: LCCOMB_X37_Y8_N22
\led_flash_cnt[1522][3]~48192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1522][3]~48192_combout\ = (\led_flash_cnt[1522][3]~q\ & (\led_flash_cnt[1522][2]~48191\ $ (GND))) # (!\led_flash_cnt[1522][3]~q\ & (!\led_flash_cnt[1522][2]~48191\ & VCC))
-- \led_flash_cnt[1522][3]~48193\ = CARRY((\led_flash_cnt[1522][3]~q\ & !\led_flash_cnt[1522][2]~48191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1522][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1522][2]~48191\,
	combout => \led_flash_cnt[1522][3]~48192_combout\,
	cout => \led_flash_cnt[1522][3]~48193\);

-- Location: FF_X37_Y8_N23
\led_flash_cnt[1522][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1522][3]~48192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1522][3]~q\);

-- Location: LCCOMB_X37_Y8_N24
\led_flash_cnt[1522][4]~48194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1522][4]~48194_combout\ = (\led_flash_cnt[1522][4]~q\ & (!\led_flash_cnt[1522][3]~48193\)) # (!\led_flash_cnt[1522][4]~q\ & ((\led_flash_cnt[1522][3]~48193\) # (GND)))
-- \led_flash_cnt[1522][4]~48195\ = CARRY((!\led_flash_cnt[1522][3]~48193\) # (!\led_flash_cnt[1522][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1522][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1522][3]~48193\,
	combout => \led_flash_cnt[1522][4]~48194_combout\,
	cout => \led_flash_cnt[1522][4]~48195\);

-- Location: FF_X37_Y8_N25
\led_flash_cnt[1522][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1522][4]~48194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1522][4]~q\);

-- Location: LCCOMB_X37_Y8_N26
\led_flash_cnt[1522][5]~48196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1522][5]~48196_combout\ = (\led_flash_cnt[1522][5]~q\ & (\led_flash_cnt[1522][4]~48195\ $ (GND))) # (!\led_flash_cnt[1522][5]~q\ & (!\led_flash_cnt[1522][4]~48195\ & VCC))
-- \led_flash_cnt[1522][5]~48197\ = CARRY((\led_flash_cnt[1522][5]~q\ & !\led_flash_cnt[1522][4]~48195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1522][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1522][4]~48195\,
	combout => \led_flash_cnt[1522][5]~48196_combout\,
	cout => \led_flash_cnt[1522][5]~48197\);

-- Location: FF_X37_Y8_N27
\led_flash_cnt[1522][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1522][5]~48196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1522][5]~q\);

-- Location: LCCOMB_X37_Y8_N28
\led_flash_cnt[1522][6]~48198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1522][6]~48198_combout\ = (\led_flash_cnt[1522][6]~q\ & (!\led_flash_cnt[1522][5]~48197\)) # (!\led_flash_cnt[1522][6]~q\ & ((\led_flash_cnt[1522][5]~48197\) # (GND)))
-- \led_flash_cnt[1522][6]~48199\ = CARRY((!\led_flash_cnt[1522][5]~48197\) # (!\led_flash_cnt[1522][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1522][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1522][5]~48197\,
	combout => \led_flash_cnt[1522][6]~48198_combout\,
	cout => \led_flash_cnt[1522][6]~48199\);

-- Location: FF_X37_Y8_N29
\led_flash_cnt[1522][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1522][6]~48198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1522][6]~q\);

-- Location: LCCOMB_X36_Y8_N30
\WideAnd1522~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1522~1_combout\ = (\led_flash_cnt[1522][5]~q\ & \led_flash_cnt[1522][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1522][5]~q\,
	datad => \led_flash_cnt[1522][6]~q\,
	combout => \WideAnd1522~1_combout\);

-- Location: LCCOMB_X37_Y8_N30
\led_flash_cnt[1522][7]~48200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1522][7]~48200_combout\ = \led_flash_cnt[1522][7]~q\ $ (!\led_flash_cnt[1522][6]~48199\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1522][7]~q\,
	cin => \led_flash_cnt[1522][6]~48199\,
	combout => \led_flash_cnt[1522][7]~48200_combout\);

-- Location: FF_X37_Y8_N31
\led_flash_cnt[1522][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1522][7]~48200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1522][7]~q\);

-- Location: LCCOMB_X37_Y8_N2
\WideAnd1522~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1522~0_combout\ = (\led_flash_cnt[1522][1]~q\ & (\led_flash_cnt[1522][2]~q\ & (\led_flash_cnt[1522][3]~q\ & \led_flash_cnt[1522][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1522][1]~q\,
	datab => \led_flash_cnt[1522][2]~q\,
	datac => \led_flash_cnt[1522][3]~q\,
	datad => \led_flash_cnt[1522][4]~q\,
	combout => \WideAnd1522~0_combout\);

-- Location: LCCOMB_X36_Y8_N10
WideAnd1522 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1522~combout\ = (\WideAnd1522~1_combout\ & (\led_flash_cnt[1522][0]~q\ & (\led_flash_cnt[1522][7]~q\ & \WideAnd1522~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1522~1_combout\,
	datab => \led_flash_cnt[1522][0]~q\,
	datac => \led_flash_cnt[1522][7]~q\,
	datad => \WideAnd1522~0_combout\,
	combout => \WideAnd1522~combout\);

-- Location: FF_X36_Y8_N11
\led_flash_cnt_ands[1522]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1522~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1522));

-- Location: LCCOMB_X36_Y8_N6
\led_flash_cnt[1523][0]~82163\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1523][0]~82163_combout\ = !\led_flash_cnt[1523][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1523][0]~q\,
	combout => \led_flash_cnt[1523][0]~82163_combout\);

-- Location: FF_X36_Y8_N7
\led_flash_cnt[1523][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1523][0]~82163_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1523][0]~q\);

-- Location: LCCOMB_X36_Y8_N16
\led_flash_cnt[1523][1]~48202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1523][1]~48202_combout\ = (\led_flash_cnt[1523][0]~q\ & (\led_flash_cnt[1523][1]~q\ $ (VCC))) # (!\led_flash_cnt[1523][0]~q\ & (\led_flash_cnt[1523][1]~q\ & VCC))
-- \led_flash_cnt[1523][1]~48203\ = CARRY((\led_flash_cnt[1523][0]~q\ & \led_flash_cnt[1523][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1523][0]~q\,
	datab => \led_flash_cnt[1523][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1523][1]~48202_combout\,
	cout => \led_flash_cnt[1523][1]~48203\);

-- Location: FF_X36_Y8_N17
\led_flash_cnt[1523][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1523][1]~48202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1523][1]~q\);

-- Location: LCCOMB_X36_Y8_N18
\led_flash_cnt[1523][2]~48204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1523][2]~48204_combout\ = (\led_flash_cnt[1523][2]~q\ & (!\led_flash_cnt[1523][1]~48203\)) # (!\led_flash_cnt[1523][2]~q\ & ((\led_flash_cnt[1523][1]~48203\) # (GND)))
-- \led_flash_cnt[1523][2]~48205\ = CARRY((!\led_flash_cnt[1523][1]~48203\) # (!\led_flash_cnt[1523][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1523][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1523][1]~48203\,
	combout => \led_flash_cnt[1523][2]~48204_combout\,
	cout => \led_flash_cnt[1523][2]~48205\);

-- Location: FF_X36_Y8_N19
\led_flash_cnt[1523][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1523][2]~48204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1523][2]~q\);

-- Location: LCCOMB_X36_Y8_N20
\led_flash_cnt[1523][3]~48206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1523][3]~48206_combout\ = (\led_flash_cnt[1523][3]~q\ & (\led_flash_cnt[1523][2]~48205\ $ (GND))) # (!\led_flash_cnt[1523][3]~q\ & (!\led_flash_cnt[1523][2]~48205\ & VCC))
-- \led_flash_cnt[1523][3]~48207\ = CARRY((\led_flash_cnt[1523][3]~q\ & !\led_flash_cnt[1523][2]~48205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1523][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1523][2]~48205\,
	combout => \led_flash_cnt[1523][3]~48206_combout\,
	cout => \led_flash_cnt[1523][3]~48207\);

-- Location: FF_X36_Y8_N21
\led_flash_cnt[1523][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1523][3]~48206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1523][3]~q\);

-- Location: LCCOMB_X36_Y8_N22
\led_flash_cnt[1523][4]~48208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1523][4]~48208_combout\ = (\led_flash_cnt[1523][4]~q\ & (!\led_flash_cnt[1523][3]~48207\)) # (!\led_flash_cnt[1523][4]~q\ & ((\led_flash_cnt[1523][3]~48207\) # (GND)))
-- \led_flash_cnt[1523][4]~48209\ = CARRY((!\led_flash_cnt[1523][3]~48207\) # (!\led_flash_cnt[1523][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1523][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1523][3]~48207\,
	combout => \led_flash_cnt[1523][4]~48208_combout\,
	cout => \led_flash_cnt[1523][4]~48209\);

-- Location: FF_X36_Y8_N23
\led_flash_cnt[1523][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1523][4]~48208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1523][4]~q\);

-- Location: LCCOMB_X36_Y8_N24
\led_flash_cnt[1523][5]~48210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1523][5]~48210_combout\ = (\led_flash_cnt[1523][5]~q\ & (\led_flash_cnt[1523][4]~48209\ $ (GND))) # (!\led_flash_cnt[1523][5]~q\ & (!\led_flash_cnt[1523][4]~48209\ & VCC))
-- \led_flash_cnt[1523][5]~48211\ = CARRY((\led_flash_cnt[1523][5]~q\ & !\led_flash_cnt[1523][4]~48209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1523][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1523][4]~48209\,
	combout => \led_flash_cnt[1523][5]~48210_combout\,
	cout => \led_flash_cnt[1523][5]~48211\);

-- Location: FF_X36_Y8_N25
\led_flash_cnt[1523][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1523][5]~48210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1523][5]~q\);

-- Location: LCCOMB_X36_Y8_N26
\led_flash_cnt[1523][6]~48212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1523][6]~48212_combout\ = (\led_flash_cnt[1523][6]~q\ & (!\led_flash_cnt[1523][5]~48211\)) # (!\led_flash_cnt[1523][6]~q\ & ((\led_flash_cnt[1523][5]~48211\) # (GND)))
-- \led_flash_cnt[1523][6]~48213\ = CARRY((!\led_flash_cnt[1523][5]~48211\) # (!\led_flash_cnt[1523][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1523][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1523][5]~48211\,
	combout => \led_flash_cnt[1523][6]~48212_combout\,
	cout => \led_flash_cnt[1523][6]~48213\);

-- Location: FF_X36_Y8_N27
\led_flash_cnt[1523][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1523][6]~48212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1523][6]~q\);

-- Location: LCCOMB_X36_Y8_N28
\led_flash_cnt[1523][7]~48214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1523][7]~48214_combout\ = \led_flash_cnt[1523][6]~48213\ $ (!\led_flash_cnt[1523][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1523][7]~q\,
	cin => \led_flash_cnt[1523][6]~48213\,
	combout => \led_flash_cnt[1523][7]~48214_combout\);

-- Location: FF_X36_Y8_N29
\led_flash_cnt[1523][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1523][7]~48214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1523][7]~q\);

-- Location: LCCOMB_X36_Y8_N4
\WideAnd1523~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1523~0_combout\ = (\led_flash_cnt[1523][2]~q\ & (\led_flash_cnt[1523][1]~q\ & (\led_flash_cnt[1523][4]~q\ & \led_flash_cnt[1523][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1523][2]~q\,
	datab => \led_flash_cnt[1523][1]~q\,
	datac => \led_flash_cnt[1523][4]~q\,
	datad => \led_flash_cnt[1523][3]~q\,
	combout => \WideAnd1523~0_combout\);

-- Location: LCCOMB_X36_Y8_N12
\WideAnd1523~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1523~1_combout\ = (\led_flash_cnt[1523][6]~q\ & \led_flash_cnt[1523][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1523][6]~q\,
	datad => \led_flash_cnt[1523][5]~q\,
	combout => \WideAnd1523~1_combout\);

-- Location: LCCOMB_X36_Y8_N14
WideAnd1523 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1523~combout\ = (\led_flash_cnt[1523][0]~q\ & (\led_flash_cnt[1523][7]~q\ & (\WideAnd1523~0_combout\ & \WideAnd1523~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1523][0]~q\,
	datab => \led_flash_cnt[1523][7]~q\,
	datac => \WideAnd1523~0_combout\,
	datad => \WideAnd1523~1_combout\,
	combout => \WideAnd1523~combout\);

-- Location: FF_X36_Y8_N15
\led_flash_cnt_ands[1523]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1523~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1523));

-- Location: LCCOMB_X44_Y15_N2
\led_flash_cnt[1520][0]~82160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1520][0]~82160_combout\ = !\led_flash_cnt[1520][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1520][0]~q\,
	combout => \led_flash_cnt[1520][0]~82160_combout\);

-- Location: FF_X44_Y15_N3
\led_flash_cnt[1520][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1520][0]~82160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1520][0]~q\);

-- Location: LCCOMB_X43_Y15_N18
\led_flash_cnt[1520][1]~48160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1520][1]~48160_combout\ = (\led_flash_cnt[1520][0]~q\ & (\led_flash_cnt[1520][1]~q\ $ (VCC))) # (!\led_flash_cnt[1520][0]~q\ & (\led_flash_cnt[1520][1]~q\ & VCC))
-- \led_flash_cnt[1520][1]~48161\ = CARRY((\led_flash_cnt[1520][0]~q\ & \led_flash_cnt[1520][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1520][0]~q\,
	datab => \led_flash_cnt[1520][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1520][1]~48160_combout\,
	cout => \led_flash_cnt[1520][1]~48161\);

-- Location: FF_X43_Y15_N19
\led_flash_cnt[1520][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1520][1]~48160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1520][1]~q\);

-- Location: LCCOMB_X43_Y15_N20
\led_flash_cnt[1520][2]~48162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1520][2]~48162_combout\ = (\led_flash_cnt[1520][2]~q\ & (!\led_flash_cnt[1520][1]~48161\)) # (!\led_flash_cnt[1520][2]~q\ & ((\led_flash_cnt[1520][1]~48161\) # (GND)))
-- \led_flash_cnt[1520][2]~48163\ = CARRY((!\led_flash_cnt[1520][1]~48161\) # (!\led_flash_cnt[1520][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1520][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1520][1]~48161\,
	combout => \led_flash_cnt[1520][2]~48162_combout\,
	cout => \led_flash_cnt[1520][2]~48163\);

-- Location: FF_X43_Y15_N21
\led_flash_cnt[1520][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1520][2]~48162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1520][2]~q\);

-- Location: LCCOMB_X43_Y15_N22
\led_flash_cnt[1520][3]~48164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1520][3]~48164_combout\ = (\led_flash_cnt[1520][3]~q\ & (\led_flash_cnt[1520][2]~48163\ $ (GND))) # (!\led_flash_cnt[1520][3]~q\ & (!\led_flash_cnt[1520][2]~48163\ & VCC))
-- \led_flash_cnt[1520][3]~48165\ = CARRY((\led_flash_cnt[1520][3]~q\ & !\led_flash_cnt[1520][2]~48163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1520][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1520][2]~48163\,
	combout => \led_flash_cnt[1520][3]~48164_combout\,
	cout => \led_flash_cnt[1520][3]~48165\);

-- Location: FF_X43_Y15_N23
\led_flash_cnt[1520][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1520][3]~48164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1520][3]~q\);

-- Location: LCCOMB_X43_Y15_N24
\led_flash_cnt[1520][4]~48166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1520][4]~48166_combout\ = (\led_flash_cnt[1520][4]~q\ & (!\led_flash_cnt[1520][3]~48165\)) # (!\led_flash_cnt[1520][4]~q\ & ((\led_flash_cnt[1520][3]~48165\) # (GND)))
-- \led_flash_cnt[1520][4]~48167\ = CARRY((!\led_flash_cnt[1520][3]~48165\) # (!\led_flash_cnt[1520][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1520][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1520][3]~48165\,
	combout => \led_flash_cnt[1520][4]~48166_combout\,
	cout => \led_flash_cnt[1520][4]~48167\);

-- Location: FF_X43_Y15_N25
\led_flash_cnt[1520][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1520][4]~48166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1520][4]~q\);

-- Location: LCCOMB_X43_Y15_N26
\led_flash_cnt[1520][5]~48168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1520][5]~48168_combout\ = (\led_flash_cnt[1520][5]~q\ & (\led_flash_cnt[1520][4]~48167\ $ (GND))) # (!\led_flash_cnt[1520][5]~q\ & (!\led_flash_cnt[1520][4]~48167\ & VCC))
-- \led_flash_cnt[1520][5]~48169\ = CARRY((\led_flash_cnt[1520][5]~q\ & !\led_flash_cnt[1520][4]~48167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1520][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1520][4]~48167\,
	combout => \led_flash_cnt[1520][5]~48168_combout\,
	cout => \led_flash_cnt[1520][5]~48169\);

-- Location: FF_X43_Y15_N27
\led_flash_cnt[1520][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1520][5]~48168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1520][5]~q\);

-- Location: LCCOMB_X43_Y15_N28
\led_flash_cnt[1520][6]~48170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1520][6]~48170_combout\ = (\led_flash_cnt[1520][6]~q\ & (!\led_flash_cnt[1520][5]~48169\)) # (!\led_flash_cnt[1520][6]~q\ & ((\led_flash_cnt[1520][5]~48169\) # (GND)))
-- \led_flash_cnt[1520][6]~48171\ = CARRY((!\led_flash_cnt[1520][5]~48169\) # (!\led_flash_cnt[1520][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1520][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1520][5]~48169\,
	combout => \led_flash_cnt[1520][6]~48170_combout\,
	cout => \led_flash_cnt[1520][6]~48171\);

-- Location: FF_X43_Y15_N29
\led_flash_cnt[1520][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1520][6]~48170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1520][6]~q\);

-- Location: LCCOMB_X44_Y15_N10
\WideAnd1520~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1520~1_combout\ = (\led_flash_cnt[1520][5]~q\ & \led_flash_cnt[1520][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1520][5]~q\,
	datad => \led_flash_cnt[1520][6]~q\,
	combout => \WideAnd1520~1_combout\);

-- Location: LCCOMB_X43_Y15_N30
\led_flash_cnt[1520][7]~48172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1520][7]~48172_combout\ = \led_flash_cnt[1520][7]~q\ $ (!\led_flash_cnt[1520][6]~48171\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1520][7]~q\,
	cin => \led_flash_cnt[1520][6]~48171\,
	combout => \led_flash_cnt[1520][7]~48172_combout\);

-- Location: FF_X43_Y15_N31
\led_flash_cnt[1520][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1520][7]~48172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1520][7]~q\);

-- Location: LCCOMB_X43_Y15_N16
\WideAnd1520~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1520~0_combout\ = (\led_flash_cnt[1520][1]~q\ & (\led_flash_cnt[1520][4]~q\ & (\led_flash_cnt[1520][3]~q\ & \led_flash_cnt[1520][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1520][1]~q\,
	datab => \led_flash_cnt[1520][4]~q\,
	datac => \led_flash_cnt[1520][3]~q\,
	datad => \led_flash_cnt[1520][2]~q\,
	combout => \WideAnd1520~0_combout\);

-- Location: LCCOMB_X44_Y15_N8
WideAnd1520 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1520~combout\ = (\WideAnd1520~1_combout\ & (\led_flash_cnt[1520][7]~q\ & (\WideAnd1520~0_combout\ & \led_flash_cnt[1520][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1520~1_combout\,
	datab => \led_flash_cnt[1520][7]~q\,
	datac => \WideAnd1520~0_combout\,
	datad => \led_flash_cnt[1520][0]~q\,
	combout => \WideAnd1520~combout\);

-- Location: FF_X44_Y15_N9
\led_flash_cnt_ands[1520]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1520~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1520));

-- Location: LCCOMB_X41_Y8_N28
\led_flash_cnt[1521][0]~82161\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1521][0]~82161_combout\ = !\led_flash_cnt[1521][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1521][0]~q\,
	combout => \led_flash_cnt[1521][0]~82161_combout\);

-- Location: FF_X41_Y8_N29
\led_flash_cnt[1521][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1521][0]~82161_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1521][0]~q\);

-- Location: LCCOMB_X39_Y8_N4
\led_flash_cnt[1521][1]~48174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1521][1]~48174_combout\ = (\led_flash_cnt[1521][0]~q\ & (\led_flash_cnt[1521][1]~q\ $ (VCC))) # (!\led_flash_cnt[1521][0]~q\ & (\led_flash_cnt[1521][1]~q\ & VCC))
-- \led_flash_cnt[1521][1]~48175\ = CARRY((\led_flash_cnt[1521][0]~q\ & \led_flash_cnt[1521][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1521][0]~q\,
	datab => \led_flash_cnt[1521][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1521][1]~48174_combout\,
	cout => \led_flash_cnt[1521][1]~48175\);

-- Location: FF_X39_Y8_N5
\led_flash_cnt[1521][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1521][1]~48174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1521][1]~q\);

-- Location: LCCOMB_X39_Y8_N6
\led_flash_cnt[1521][2]~48176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1521][2]~48176_combout\ = (\led_flash_cnt[1521][2]~q\ & (!\led_flash_cnt[1521][1]~48175\)) # (!\led_flash_cnt[1521][2]~q\ & ((\led_flash_cnt[1521][1]~48175\) # (GND)))
-- \led_flash_cnt[1521][2]~48177\ = CARRY((!\led_flash_cnt[1521][1]~48175\) # (!\led_flash_cnt[1521][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1521][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1521][1]~48175\,
	combout => \led_flash_cnt[1521][2]~48176_combout\,
	cout => \led_flash_cnt[1521][2]~48177\);

-- Location: FF_X39_Y8_N7
\led_flash_cnt[1521][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1521][2]~48176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1521][2]~q\);

-- Location: LCCOMB_X39_Y8_N8
\led_flash_cnt[1521][3]~48178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1521][3]~48178_combout\ = (\led_flash_cnt[1521][3]~q\ & (\led_flash_cnt[1521][2]~48177\ $ (GND))) # (!\led_flash_cnt[1521][3]~q\ & (!\led_flash_cnt[1521][2]~48177\ & VCC))
-- \led_flash_cnt[1521][3]~48179\ = CARRY((\led_flash_cnt[1521][3]~q\ & !\led_flash_cnt[1521][2]~48177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1521][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1521][2]~48177\,
	combout => \led_flash_cnt[1521][3]~48178_combout\,
	cout => \led_flash_cnt[1521][3]~48179\);

-- Location: FF_X39_Y8_N9
\led_flash_cnt[1521][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1521][3]~48178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1521][3]~q\);

-- Location: LCCOMB_X39_Y8_N10
\led_flash_cnt[1521][4]~48180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1521][4]~48180_combout\ = (\led_flash_cnt[1521][4]~q\ & (!\led_flash_cnt[1521][3]~48179\)) # (!\led_flash_cnt[1521][4]~q\ & ((\led_flash_cnt[1521][3]~48179\) # (GND)))
-- \led_flash_cnt[1521][4]~48181\ = CARRY((!\led_flash_cnt[1521][3]~48179\) # (!\led_flash_cnt[1521][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1521][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1521][3]~48179\,
	combout => \led_flash_cnt[1521][4]~48180_combout\,
	cout => \led_flash_cnt[1521][4]~48181\);

-- Location: FF_X39_Y8_N11
\led_flash_cnt[1521][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1521][4]~48180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1521][4]~q\);

-- Location: LCCOMB_X39_Y8_N12
\led_flash_cnt[1521][5]~48182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1521][5]~48182_combout\ = (\led_flash_cnt[1521][5]~q\ & (\led_flash_cnt[1521][4]~48181\ $ (GND))) # (!\led_flash_cnt[1521][5]~q\ & (!\led_flash_cnt[1521][4]~48181\ & VCC))
-- \led_flash_cnt[1521][5]~48183\ = CARRY((\led_flash_cnt[1521][5]~q\ & !\led_flash_cnt[1521][4]~48181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1521][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1521][4]~48181\,
	combout => \led_flash_cnt[1521][5]~48182_combout\,
	cout => \led_flash_cnt[1521][5]~48183\);

-- Location: FF_X39_Y8_N13
\led_flash_cnt[1521][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1521][5]~48182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1521][5]~q\);

-- Location: LCCOMB_X39_Y8_N14
\led_flash_cnt[1521][6]~48184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1521][6]~48184_combout\ = (\led_flash_cnt[1521][6]~q\ & (!\led_flash_cnt[1521][5]~48183\)) # (!\led_flash_cnt[1521][6]~q\ & ((\led_flash_cnt[1521][5]~48183\) # (GND)))
-- \led_flash_cnt[1521][6]~48185\ = CARRY((!\led_flash_cnt[1521][5]~48183\) # (!\led_flash_cnt[1521][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1521][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1521][5]~48183\,
	combout => \led_flash_cnt[1521][6]~48184_combout\,
	cout => \led_flash_cnt[1521][6]~48185\);

-- Location: FF_X39_Y8_N15
\led_flash_cnt[1521][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1521][6]~48184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1521][6]~q\);

-- Location: LCCOMB_X38_Y8_N30
\WideAnd1521~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1521~1_combout\ = (\led_flash_cnt[1521][5]~q\ & \led_flash_cnt[1521][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1521][5]~q\,
	datac => \led_flash_cnt[1521][6]~q\,
	combout => \WideAnd1521~1_combout\);

-- Location: LCCOMB_X39_Y8_N0
\WideAnd1521~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1521~0_combout\ = (\led_flash_cnt[1521][2]~q\ & (\led_flash_cnt[1521][1]~q\ & (\led_flash_cnt[1521][3]~q\ & \led_flash_cnt[1521][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1521][2]~q\,
	datab => \led_flash_cnt[1521][1]~q\,
	datac => \led_flash_cnt[1521][3]~q\,
	datad => \led_flash_cnt[1521][4]~q\,
	combout => \WideAnd1521~0_combout\);

-- Location: LCCOMB_X39_Y8_N16
\led_flash_cnt[1521][7]~48186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1521][7]~48186_combout\ = \led_flash_cnt[1521][6]~48185\ $ (!\led_flash_cnt[1521][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1521][7]~q\,
	cin => \led_flash_cnt[1521][6]~48185\,
	combout => \led_flash_cnt[1521][7]~48186_combout\);

-- Location: FF_X39_Y8_N17
\led_flash_cnt[1521][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1521][7]~48186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1521][7]~q\);

-- Location: LCCOMB_X38_Y8_N8
WideAnd1521 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1521~combout\ = (\WideAnd1521~1_combout\ & (\WideAnd1521~0_combout\ & (\led_flash_cnt[1521][0]~q\ & \led_flash_cnt[1521][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1521~1_combout\,
	datab => \WideAnd1521~0_combout\,
	datac => \led_flash_cnt[1521][0]~q\,
	datad => \led_flash_cnt[1521][7]~q\,
	combout => \WideAnd1521~combout\);

-- Location: FF_X38_Y8_N9
\led_flash_cnt_ands[1521]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1521~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1521));

-- Location: LCCOMB_X36_Y8_N8
\WideAnd4030~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4030~0_combout\ = (led_flash_cnt_ands(1522) & (led_flash_cnt_ands(1523) & (led_flash_cnt_ands(1520) & led_flash_cnt_ands(1521))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1522),
	datab => led_flash_cnt_ands(1523),
	datac => led_flash_cnt_ands(1520),
	datad => led_flash_cnt_ands(1521),
	combout => \WideAnd4030~0_combout\);

-- Location: LCCOMB_X21_Y5_N10
\led_flash_cnt[1527][0]~82167\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1527][0]~82167_combout\ = !\led_flash_cnt[1527][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1527][0]~q\,
	combout => \led_flash_cnt[1527][0]~82167_combout\);

-- Location: FF_X21_Y5_N11
\led_flash_cnt[1527][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1527][0]~82167_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1527][0]~q\);

-- Location: LCCOMB_X21_Y5_N18
\led_flash_cnt[1527][1]~48258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1527][1]~48258_combout\ = (\led_flash_cnt[1527][0]~q\ & (\led_flash_cnt[1527][1]~q\ $ (VCC))) # (!\led_flash_cnt[1527][0]~q\ & (\led_flash_cnt[1527][1]~q\ & VCC))
-- \led_flash_cnt[1527][1]~48259\ = CARRY((\led_flash_cnt[1527][0]~q\ & \led_flash_cnt[1527][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1527][0]~q\,
	datab => \led_flash_cnt[1527][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1527][1]~48258_combout\,
	cout => \led_flash_cnt[1527][1]~48259\);

-- Location: FF_X21_Y5_N19
\led_flash_cnt[1527][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1527][1]~48258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1527][1]~q\);

-- Location: LCCOMB_X21_Y5_N20
\led_flash_cnt[1527][2]~48260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1527][2]~48260_combout\ = (\led_flash_cnt[1527][2]~q\ & (!\led_flash_cnt[1527][1]~48259\)) # (!\led_flash_cnt[1527][2]~q\ & ((\led_flash_cnt[1527][1]~48259\) # (GND)))
-- \led_flash_cnt[1527][2]~48261\ = CARRY((!\led_flash_cnt[1527][1]~48259\) # (!\led_flash_cnt[1527][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1527][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1527][1]~48259\,
	combout => \led_flash_cnt[1527][2]~48260_combout\,
	cout => \led_flash_cnt[1527][2]~48261\);

-- Location: FF_X21_Y5_N21
\led_flash_cnt[1527][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1527][2]~48260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1527][2]~q\);

-- Location: LCCOMB_X21_Y5_N22
\led_flash_cnt[1527][3]~48262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1527][3]~48262_combout\ = (\led_flash_cnt[1527][3]~q\ & (\led_flash_cnt[1527][2]~48261\ $ (GND))) # (!\led_flash_cnt[1527][3]~q\ & (!\led_flash_cnt[1527][2]~48261\ & VCC))
-- \led_flash_cnt[1527][3]~48263\ = CARRY((\led_flash_cnt[1527][3]~q\ & !\led_flash_cnt[1527][2]~48261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1527][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1527][2]~48261\,
	combout => \led_flash_cnt[1527][3]~48262_combout\,
	cout => \led_flash_cnt[1527][3]~48263\);

-- Location: FF_X21_Y5_N23
\led_flash_cnt[1527][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1527][3]~48262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1527][3]~q\);

-- Location: LCCOMB_X21_Y5_N24
\led_flash_cnt[1527][4]~48264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1527][4]~48264_combout\ = (\led_flash_cnt[1527][4]~q\ & (!\led_flash_cnt[1527][3]~48263\)) # (!\led_flash_cnt[1527][4]~q\ & ((\led_flash_cnt[1527][3]~48263\) # (GND)))
-- \led_flash_cnt[1527][4]~48265\ = CARRY((!\led_flash_cnt[1527][3]~48263\) # (!\led_flash_cnt[1527][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1527][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1527][3]~48263\,
	combout => \led_flash_cnt[1527][4]~48264_combout\,
	cout => \led_flash_cnt[1527][4]~48265\);

-- Location: FF_X21_Y5_N25
\led_flash_cnt[1527][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1527][4]~48264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1527][4]~q\);

-- Location: LCCOMB_X21_Y5_N26
\led_flash_cnt[1527][5]~48266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1527][5]~48266_combout\ = (\led_flash_cnt[1527][5]~q\ & (\led_flash_cnt[1527][4]~48265\ $ (GND))) # (!\led_flash_cnt[1527][5]~q\ & (!\led_flash_cnt[1527][4]~48265\ & VCC))
-- \led_flash_cnt[1527][5]~48267\ = CARRY((\led_flash_cnt[1527][5]~q\ & !\led_flash_cnt[1527][4]~48265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1527][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1527][4]~48265\,
	combout => \led_flash_cnt[1527][5]~48266_combout\,
	cout => \led_flash_cnt[1527][5]~48267\);

-- Location: FF_X21_Y5_N27
\led_flash_cnt[1527][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1527][5]~48266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1527][5]~q\);

-- Location: LCCOMB_X21_Y5_N28
\led_flash_cnt[1527][6]~48268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1527][6]~48268_combout\ = (\led_flash_cnt[1527][6]~q\ & (!\led_flash_cnt[1527][5]~48267\)) # (!\led_flash_cnt[1527][6]~q\ & ((\led_flash_cnt[1527][5]~48267\) # (GND)))
-- \led_flash_cnt[1527][6]~48269\ = CARRY((!\led_flash_cnt[1527][5]~48267\) # (!\led_flash_cnt[1527][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1527][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1527][5]~48267\,
	combout => \led_flash_cnt[1527][6]~48268_combout\,
	cout => \led_flash_cnt[1527][6]~48269\);

-- Location: FF_X21_Y5_N29
\led_flash_cnt[1527][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1527][6]~48268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1527][6]~q\);

-- Location: LCCOMB_X21_Y5_N30
\led_flash_cnt[1527][7]~48270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1527][7]~48270_combout\ = \led_flash_cnt[1527][7]~q\ $ (!\led_flash_cnt[1527][6]~48269\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1527][7]~q\,
	cin => \led_flash_cnt[1527][6]~48269\,
	combout => \led_flash_cnt[1527][7]~48270_combout\);

-- Location: FF_X21_Y5_N31
\led_flash_cnt[1527][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1527][7]~48270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1527][7]~q\);

-- Location: LCCOMB_X21_Y5_N16
\WideAnd1527~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1527~1_combout\ = (\led_flash_cnt[1527][7]~q\ & \led_flash_cnt[1527][2]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1527][7]~q\,
	datad => \led_flash_cnt[1527][2]~q\,
	combout => \WideAnd1527~1_combout\);

-- Location: LCCOMB_X21_Y5_N12
\WideAnd1527~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1527~0_combout\ = (\led_flash_cnt[1527][6]~q\ & (\led_flash_cnt[1527][1]~q\ & (\led_flash_cnt[1527][3]~q\ & \led_flash_cnt[1527][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1527][6]~q\,
	datab => \led_flash_cnt[1527][1]~q\,
	datac => \led_flash_cnt[1527][3]~q\,
	datad => \led_flash_cnt[1527][0]~q\,
	combout => \WideAnd1527~0_combout\);

-- Location: LCCOMB_X21_Y5_N14
WideAnd1527 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1527~combout\ = (\led_flash_cnt[1527][5]~q\ & (\WideAnd1527~1_combout\ & (\led_flash_cnt[1527][4]~q\ & \WideAnd1527~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1527][5]~q\,
	datab => \WideAnd1527~1_combout\,
	datac => \led_flash_cnt[1527][4]~q\,
	datad => \WideAnd1527~0_combout\,
	combout => \WideAnd1527~combout\);

-- Location: FF_X21_Y5_N15
\led_flash_cnt_ands[1527]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1527~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1527));

-- Location: LCCOMB_X7_Y31_N22
\led_flash_cnt[1524][0]~82164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1524][0]~82164_combout\ = !\led_flash_cnt[1524][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1524][0]~q\,
	combout => \led_flash_cnt[1524][0]~82164_combout\);

-- Location: FF_X7_Y31_N23
\led_flash_cnt[1524][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1524][0]~82164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1524][0]~q\);

-- Location: LCCOMB_X7_Y31_N4
\led_flash_cnt[1524][1]~48216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1524][1]~48216_combout\ = (\led_flash_cnt[1524][0]~q\ & (\led_flash_cnt[1524][1]~q\ $ (VCC))) # (!\led_flash_cnt[1524][0]~q\ & (\led_flash_cnt[1524][1]~q\ & VCC))
-- \led_flash_cnt[1524][1]~48217\ = CARRY((\led_flash_cnt[1524][0]~q\ & \led_flash_cnt[1524][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1524][0]~q\,
	datab => \led_flash_cnt[1524][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1524][1]~48216_combout\,
	cout => \led_flash_cnt[1524][1]~48217\);

-- Location: FF_X7_Y31_N5
\led_flash_cnt[1524][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1524][1]~48216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1524][1]~q\);

-- Location: LCCOMB_X7_Y31_N6
\led_flash_cnt[1524][2]~48218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1524][2]~48218_combout\ = (\led_flash_cnt[1524][2]~q\ & (!\led_flash_cnt[1524][1]~48217\)) # (!\led_flash_cnt[1524][2]~q\ & ((\led_flash_cnt[1524][1]~48217\) # (GND)))
-- \led_flash_cnt[1524][2]~48219\ = CARRY((!\led_flash_cnt[1524][1]~48217\) # (!\led_flash_cnt[1524][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1524][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1524][1]~48217\,
	combout => \led_flash_cnt[1524][2]~48218_combout\,
	cout => \led_flash_cnt[1524][2]~48219\);

-- Location: FF_X7_Y31_N7
\led_flash_cnt[1524][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1524][2]~48218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1524][2]~q\);

-- Location: LCCOMB_X7_Y31_N8
\led_flash_cnt[1524][3]~48220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1524][3]~48220_combout\ = (\led_flash_cnt[1524][3]~q\ & (\led_flash_cnt[1524][2]~48219\ $ (GND))) # (!\led_flash_cnt[1524][3]~q\ & (!\led_flash_cnt[1524][2]~48219\ & VCC))
-- \led_flash_cnt[1524][3]~48221\ = CARRY((\led_flash_cnt[1524][3]~q\ & !\led_flash_cnt[1524][2]~48219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1524][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1524][2]~48219\,
	combout => \led_flash_cnt[1524][3]~48220_combout\,
	cout => \led_flash_cnt[1524][3]~48221\);

-- Location: FF_X7_Y31_N9
\led_flash_cnt[1524][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1524][3]~48220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1524][3]~q\);

-- Location: LCCOMB_X7_Y31_N10
\led_flash_cnt[1524][4]~48222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1524][4]~48222_combout\ = (\led_flash_cnt[1524][4]~q\ & (!\led_flash_cnt[1524][3]~48221\)) # (!\led_flash_cnt[1524][4]~q\ & ((\led_flash_cnt[1524][3]~48221\) # (GND)))
-- \led_flash_cnt[1524][4]~48223\ = CARRY((!\led_flash_cnt[1524][3]~48221\) # (!\led_flash_cnt[1524][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1524][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1524][3]~48221\,
	combout => \led_flash_cnt[1524][4]~48222_combout\,
	cout => \led_flash_cnt[1524][4]~48223\);

-- Location: FF_X7_Y31_N11
\led_flash_cnt[1524][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1524][4]~48222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1524][4]~q\);

-- Location: LCCOMB_X7_Y31_N12
\led_flash_cnt[1524][5]~48224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1524][5]~48224_combout\ = (\led_flash_cnt[1524][5]~q\ & (\led_flash_cnt[1524][4]~48223\ $ (GND))) # (!\led_flash_cnt[1524][5]~q\ & (!\led_flash_cnt[1524][4]~48223\ & VCC))
-- \led_flash_cnt[1524][5]~48225\ = CARRY((\led_flash_cnt[1524][5]~q\ & !\led_flash_cnt[1524][4]~48223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1524][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1524][4]~48223\,
	combout => \led_flash_cnt[1524][5]~48224_combout\,
	cout => \led_flash_cnt[1524][5]~48225\);

-- Location: FF_X7_Y31_N13
\led_flash_cnt[1524][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1524][5]~48224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1524][5]~q\);

-- Location: LCCOMB_X7_Y31_N14
\led_flash_cnt[1524][6]~48226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1524][6]~48226_combout\ = (\led_flash_cnt[1524][6]~q\ & (!\led_flash_cnt[1524][5]~48225\)) # (!\led_flash_cnt[1524][6]~q\ & ((\led_flash_cnt[1524][5]~48225\) # (GND)))
-- \led_flash_cnt[1524][6]~48227\ = CARRY((!\led_flash_cnt[1524][5]~48225\) # (!\led_flash_cnt[1524][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1524][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1524][5]~48225\,
	combout => \led_flash_cnt[1524][6]~48226_combout\,
	cout => \led_flash_cnt[1524][6]~48227\);

-- Location: FF_X7_Y31_N15
\led_flash_cnt[1524][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1524][6]~48226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1524][6]~q\);

-- Location: LCCOMB_X7_Y31_N16
\led_flash_cnt[1524][7]~48228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1524][7]~48228_combout\ = \led_flash_cnt[1524][6]~48227\ $ (!\led_flash_cnt[1524][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1524][7]~q\,
	cin => \led_flash_cnt[1524][6]~48227\,
	combout => \led_flash_cnt[1524][7]~48228_combout\);

-- Location: FF_X7_Y31_N17
\led_flash_cnt[1524][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1524][7]~48228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1524][7]~q\);

-- Location: LCCOMB_X7_Y31_N30
\WideAnd1524~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1524~0_combout\ = (\led_flash_cnt[1524][2]~q\ & (\led_flash_cnt[1524][3]~q\ & (\led_flash_cnt[1524][1]~q\ & \led_flash_cnt[1524][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1524][2]~q\,
	datab => \led_flash_cnt[1524][3]~q\,
	datac => \led_flash_cnt[1524][1]~q\,
	datad => \led_flash_cnt[1524][4]~q\,
	combout => \WideAnd1524~0_combout\);

-- Location: LCCOMB_X7_Y31_N24
\WideAnd1524~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1524~1_combout\ = (\led_flash_cnt[1524][6]~q\ & \led_flash_cnt[1524][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1524][6]~q\,
	datad => \led_flash_cnt[1524][5]~q\,
	combout => \WideAnd1524~1_combout\);

-- Location: LCCOMB_X7_Y31_N2
WideAnd1524 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1524~combout\ = (\led_flash_cnt[1524][0]~q\ & (\led_flash_cnt[1524][7]~q\ & (\WideAnd1524~0_combout\ & \WideAnd1524~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1524][0]~q\,
	datab => \led_flash_cnt[1524][7]~q\,
	datac => \WideAnd1524~0_combout\,
	datad => \WideAnd1524~1_combout\,
	combout => \WideAnd1524~combout\);

-- Location: FF_X7_Y31_N3
\led_flash_cnt_ands[1524]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1524~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1524));

-- Location: LCCOMB_X7_Y31_N18
\led_flash_cnt[1525][0]~82165\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1525][0]~82165_combout\ = !\led_flash_cnt[1525][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1525][0]~q\,
	combout => \led_flash_cnt[1525][0]~82165_combout\);

-- Location: FF_X7_Y31_N19
\led_flash_cnt[1525][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1525][0]~82165_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1525][0]~q\);

-- Location: LCCOMB_X8_Y31_N14
\led_flash_cnt[1525][1]~48230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1525][1]~48230_combout\ = (\led_flash_cnt[1525][0]~q\ & (\led_flash_cnt[1525][1]~q\ $ (VCC))) # (!\led_flash_cnt[1525][0]~q\ & (\led_flash_cnt[1525][1]~q\ & VCC))
-- \led_flash_cnt[1525][1]~48231\ = CARRY((\led_flash_cnt[1525][0]~q\ & \led_flash_cnt[1525][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1525][0]~q\,
	datab => \led_flash_cnt[1525][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1525][1]~48230_combout\,
	cout => \led_flash_cnt[1525][1]~48231\);

-- Location: FF_X8_Y31_N15
\led_flash_cnt[1525][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1525][1]~48230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1525][1]~q\);

-- Location: LCCOMB_X8_Y31_N16
\led_flash_cnt[1525][2]~48232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1525][2]~48232_combout\ = (\led_flash_cnt[1525][2]~q\ & (!\led_flash_cnt[1525][1]~48231\)) # (!\led_flash_cnt[1525][2]~q\ & ((\led_flash_cnt[1525][1]~48231\) # (GND)))
-- \led_flash_cnt[1525][2]~48233\ = CARRY((!\led_flash_cnt[1525][1]~48231\) # (!\led_flash_cnt[1525][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1525][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1525][1]~48231\,
	combout => \led_flash_cnt[1525][2]~48232_combout\,
	cout => \led_flash_cnt[1525][2]~48233\);

-- Location: FF_X8_Y31_N17
\led_flash_cnt[1525][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1525][2]~48232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1525][2]~q\);

-- Location: LCCOMB_X8_Y31_N18
\led_flash_cnt[1525][3]~48234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1525][3]~48234_combout\ = (\led_flash_cnt[1525][3]~q\ & (\led_flash_cnt[1525][2]~48233\ $ (GND))) # (!\led_flash_cnt[1525][3]~q\ & (!\led_flash_cnt[1525][2]~48233\ & VCC))
-- \led_flash_cnt[1525][3]~48235\ = CARRY((\led_flash_cnt[1525][3]~q\ & !\led_flash_cnt[1525][2]~48233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1525][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1525][2]~48233\,
	combout => \led_flash_cnt[1525][3]~48234_combout\,
	cout => \led_flash_cnt[1525][3]~48235\);

-- Location: FF_X8_Y31_N19
\led_flash_cnt[1525][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1525][3]~48234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1525][3]~q\);

-- Location: LCCOMB_X8_Y31_N20
\led_flash_cnt[1525][4]~48236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1525][4]~48236_combout\ = (\led_flash_cnt[1525][4]~q\ & (!\led_flash_cnt[1525][3]~48235\)) # (!\led_flash_cnt[1525][4]~q\ & ((\led_flash_cnt[1525][3]~48235\) # (GND)))
-- \led_flash_cnt[1525][4]~48237\ = CARRY((!\led_flash_cnt[1525][3]~48235\) # (!\led_flash_cnt[1525][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1525][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1525][3]~48235\,
	combout => \led_flash_cnt[1525][4]~48236_combout\,
	cout => \led_flash_cnt[1525][4]~48237\);

-- Location: FF_X8_Y31_N21
\led_flash_cnt[1525][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1525][4]~48236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1525][4]~q\);

-- Location: LCCOMB_X8_Y31_N30
\WideAnd1525~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1525~0_combout\ = (\led_flash_cnt[1525][2]~q\ & (\led_flash_cnt[1525][3]~q\ & (\led_flash_cnt[1525][1]~q\ & \led_flash_cnt[1525][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1525][2]~q\,
	datab => \led_flash_cnt[1525][3]~q\,
	datac => \led_flash_cnt[1525][1]~q\,
	datad => \led_flash_cnt[1525][4]~q\,
	combout => \WideAnd1525~0_combout\);

-- Location: LCCOMB_X8_Y31_N22
\led_flash_cnt[1525][5]~48238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1525][5]~48238_combout\ = (\led_flash_cnt[1525][5]~q\ & (\led_flash_cnt[1525][4]~48237\ $ (GND))) # (!\led_flash_cnt[1525][5]~q\ & (!\led_flash_cnt[1525][4]~48237\ & VCC))
-- \led_flash_cnt[1525][5]~48239\ = CARRY((\led_flash_cnt[1525][5]~q\ & !\led_flash_cnt[1525][4]~48237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1525][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1525][4]~48237\,
	combout => \led_flash_cnt[1525][5]~48238_combout\,
	cout => \led_flash_cnt[1525][5]~48239\);

-- Location: FF_X8_Y31_N23
\led_flash_cnt[1525][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1525][5]~48238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1525][5]~q\);

-- Location: LCCOMB_X8_Y31_N24
\led_flash_cnt[1525][6]~48240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1525][6]~48240_combout\ = (\led_flash_cnt[1525][6]~q\ & (!\led_flash_cnt[1525][5]~48239\)) # (!\led_flash_cnt[1525][6]~q\ & ((\led_flash_cnt[1525][5]~48239\) # (GND)))
-- \led_flash_cnt[1525][6]~48241\ = CARRY((!\led_flash_cnt[1525][5]~48239\) # (!\led_flash_cnt[1525][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1525][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1525][5]~48239\,
	combout => \led_flash_cnt[1525][6]~48240_combout\,
	cout => \led_flash_cnt[1525][6]~48241\);

-- Location: FF_X8_Y31_N25
\led_flash_cnt[1525][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1525][6]~48240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1525][6]~q\);

-- Location: LCCOMB_X7_Y31_N26
\WideAnd1525~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1525~1_combout\ = (\led_flash_cnt[1525][6]~q\ & \led_flash_cnt[1525][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1525][6]~q\,
	datad => \led_flash_cnt[1525][5]~q\,
	combout => \WideAnd1525~1_combout\);

-- Location: LCCOMB_X8_Y31_N26
\led_flash_cnt[1525][7]~48242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1525][7]~48242_combout\ = \led_flash_cnt[1525][7]~q\ $ (!\led_flash_cnt[1525][6]~48241\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1525][7]~q\,
	cin => \led_flash_cnt[1525][6]~48241\,
	combout => \led_flash_cnt[1525][7]~48242_combout\);

-- Location: FF_X8_Y31_N27
\led_flash_cnt[1525][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1525][7]~48242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1525][7]~q\);

-- Location: LCCOMB_X7_Y31_N20
WideAnd1525 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1525~combout\ = (\WideAnd1525~0_combout\ & (\led_flash_cnt[1525][0]~q\ & (\WideAnd1525~1_combout\ & \led_flash_cnt[1525][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1525~0_combout\,
	datab => \led_flash_cnt[1525][0]~q\,
	datac => \WideAnd1525~1_combout\,
	datad => \led_flash_cnt[1525][7]~q\,
	combout => \WideAnd1525~combout\);

-- Location: FF_X7_Y31_N21
\led_flash_cnt_ands[1525]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1525~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1525));

-- Location: LCCOMB_X7_Y31_N28
\WideAnd4030~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4030~1_combout\ = (led_flash_cnt_ands(1524) & led_flash_cnt_ands(1525))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1524),
	datad => led_flash_cnt_ands(1525),
	combout => \WideAnd4030~1_combout\);

-- Location: LCCOMB_X32_Y5_N10
\led_flash_cnt[1526][0]~82166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1526][0]~82166_combout\ = !\led_flash_cnt[1526][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1526][0]~q\,
	combout => \led_flash_cnt[1526][0]~82166_combout\);

-- Location: FF_X32_Y5_N11
\led_flash_cnt[1526][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1526][0]~82166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1526][0]~q\);

-- Location: LCCOMB_X32_Y5_N12
\led_flash_cnt[1526][1]~48244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1526][1]~48244_combout\ = (\led_flash_cnt[1526][0]~q\ & (\led_flash_cnt[1526][1]~q\ $ (VCC))) # (!\led_flash_cnt[1526][0]~q\ & (\led_flash_cnt[1526][1]~q\ & VCC))
-- \led_flash_cnt[1526][1]~48245\ = CARRY((\led_flash_cnt[1526][0]~q\ & \led_flash_cnt[1526][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1526][0]~q\,
	datab => \led_flash_cnt[1526][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1526][1]~48244_combout\,
	cout => \led_flash_cnt[1526][1]~48245\);

-- Location: FF_X32_Y5_N13
\led_flash_cnt[1526][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1526][1]~48244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1526][1]~q\);

-- Location: LCCOMB_X32_Y5_N14
\led_flash_cnt[1526][2]~48246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1526][2]~48246_combout\ = (\led_flash_cnt[1526][2]~q\ & (!\led_flash_cnt[1526][1]~48245\)) # (!\led_flash_cnt[1526][2]~q\ & ((\led_flash_cnt[1526][1]~48245\) # (GND)))
-- \led_flash_cnt[1526][2]~48247\ = CARRY((!\led_flash_cnt[1526][1]~48245\) # (!\led_flash_cnt[1526][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1526][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1526][1]~48245\,
	combout => \led_flash_cnt[1526][2]~48246_combout\,
	cout => \led_flash_cnt[1526][2]~48247\);

-- Location: FF_X32_Y5_N15
\led_flash_cnt[1526][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1526][2]~48246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1526][2]~q\);

-- Location: LCCOMB_X32_Y5_N16
\led_flash_cnt[1526][3]~48248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1526][3]~48248_combout\ = (\led_flash_cnt[1526][3]~q\ & (\led_flash_cnt[1526][2]~48247\ $ (GND))) # (!\led_flash_cnt[1526][3]~q\ & (!\led_flash_cnt[1526][2]~48247\ & VCC))
-- \led_flash_cnt[1526][3]~48249\ = CARRY((\led_flash_cnt[1526][3]~q\ & !\led_flash_cnt[1526][2]~48247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1526][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1526][2]~48247\,
	combout => \led_flash_cnt[1526][3]~48248_combout\,
	cout => \led_flash_cnt[1526][3]~48249\);

-- Location: FF_X32_Y5_N17
\led_flash_cnt[1526][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1526][3]~48248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1526][3]~q\);

-- Location: LCCOMB_X32_Y5_N18
\led_flash_cnt[1526][4]~48250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1526][4]~48250_combout\ = (\led_flash_cnt[1526][4]~q\ & (!\led_flash_cnt[1526][3]~48249\)) # (!\led_flash_cnt[1526][4]~q\ & ((\led_flash_cnt[1526][3]~48249\) # (GND)))
-- \led_flash_cnt[1526][4]~48251\ = CARRY((!\led_flash_cnt[1526][3]~48249\) # (!\led_flash_cnt[1526][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1526][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1526][3]~48249\,
	combout => \led_flash_cnt[1526][4]~48250_combout\,
	cout => \led_flash_cnt[1526][4]~48251\);

-- Location: FF_X32_Y5_N19
\led_flash_cnt[1526][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1526][4]~48250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1526][4]~q\);

-- Location: LCCOMB_X32_Y5_N20
\led_flash_cnt[1526][5]~48252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1526][5]~48252_combout\ = (\led_flash_cnt[1526][5]~q\ & (\led_flash_cnt[1526][4]~48251\ $ (GND))) # (!\led_flash_cnt[1526][5]~q\ & (!\led_flash_cnt[1526][4]~48251\ & VCC))
-- \led_flash_cnt[1526][5]~48253\ = CARRY((\led_flash_cnt[1526][5]~q\ & !\led_flash_cnt[1526][4]~48251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1526][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1526][4]~48251\,
	combout => \led_flash_cnt[1526][5]~48252_combout\,
	cout => \led_flash_cnt[1526][5]~48253\);

-- Location: FF_X32_Y5_N21
\led_flash_cnt[1526][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1526][5]~48252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1526][5]~q\);

-- Location: LCCOMB_X32_Y5_N22
\led_flash_cnt[1526][6]~48254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1526][6]~48254_combout\ = (\led_flash_cnt[1526][6]~q\ & (!\led_flash_cnt[1526][5]~48253\)) # (!\led_flash_cnt[1526][6]~q\ & ((\led_flash_cnt[1526][5]~48253\) # (GND)))
-- \led_flash_cnt[1526][6]~48255\ = CARRY((!\led_flash_cnt[1526][5]~48253\) # (!\led_flash_cnt[1526][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1526][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1526][5]~48253\,
	combout => \led_flash_cnt[1526][6]~48254_combout\,
	cout => \led_flash_cnt[1526][6]~48255\);

-- Location: FF_X32_Y5_N23
\led_flash_cnt[1526][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1526][6]~48254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1526][6]~q\);

-- Location: LCCOMB_X32_Y5_N24
\led_flash_cnt[1526][7]~48256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1526][7]~48256_combout\ = \led_flash_cnt[1526][6]~48255\ $ (!\led_flash_cnt[1526][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1526][7]~q\,
	cin => \led_flash_cnt[1526][6]~48255\,
	combout => \led_flash_cnt[1526][7]~48256_combout\);

-- Location: FF_X32_Y5_N25
\led_flash_cnt[1526][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1526][7]~48256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1526][7]~q\);

-- Location: LCCOMB_X32_Y5_N26
\WideAnd1526~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1526~1_combout\ = (\led_flash_cnt[1526][6]~q\ & \led_flash_cnt[1526][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1526][6]~q\,
	datad => \led_flash_cnt[1526][5]~q\,
	combout => \WideAnd1526~1_combout\);

-- Location: LCCOMB_X32_Y5_N0
\WideAnd1526~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1526~0_combout\ = (\led_flash_cnt[1526][1]~q\ & (\led_flash_cnt[1526][4]~q\ & (\led_flash_cnt[1526][2]~q\ & \led_flash_cnt[1526][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1526][1]~q\,
	datab => \led_flash_cnt[1526][4]~q\,
	datac => \led_flash_cnt[1526][2]~q\,
	datad => \led_flash_cnt[1526][3]~q\,
	combout => \WideAnd1526~0_combout\);

-- Location: LCCOMB_X32_Y5_N28
WideAnd1526 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1526~combout\ = (\led_flash_cnt[1526][0]~q\ & (\led_flash_cnt[1526][7]~q\ & (\WideAnd1526~1_combout\ & \WideAnd1526~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1526][0]~q\,
	datab => \led_flash_cnt[1526][7]~q\,
	datac => \WideAnd1526~1_combout\,
	datad => \WideAnd1526~0_combout\,
	combout => \WideAnd1526~combout\);

-- Location: FF_X32_Y5_N29
\led_flash_cnt_ands[1526]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1526~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1526));

-- Location: LCCOMB_X31_Y5_N16
WideAnd4030 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4030~combout\ = (\WideAnd4030~0_combout\ & (led_flash_cnt_ands(1527) & (\WideAnd4030~1_combout\ & led_flash_cnt_ands(1526))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4030~0_combout\,
	datab => led_flash_cnt_ands(1527),
	datac => \WideAnd4030~1_combout\,
	datad => led_flash_cnt_ands(1526),
	combout => \WideAnd4030~combout\);

-- Location: FF_X31_Y5_N17
\led_flash_cnt_ands_1[190]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4030~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(190));

-- Location: LCCOMB_X31_Y5_N20
WideAnd4343 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4343~combout\ = (\WideAnd4343~1_combout\ & (led_flash_cnt_ands_1(191) & (\WideAnd4343~0_combout\ & led_flash_cnt_ands_1(190))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4343~1_combout\,
	datab => led_flash_cnt_ands_1(191),
	datac => \WideAnd4343~0_combout\,
	datad => led_flash_cnt_ands_1(190),
	combout => \WideAnd4343~combout\);

-- Location: FF_X31_Y5_N21
\led_flash_cnt_ands_2[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4343~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(23));

-- Location: LCCOMB_X63_Y52_N26
\led_flash_cnt[1355][0]~81995\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1355][0]~81995_combout\ = !\led_flash_cnt[1355][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1355][0]~q\,
	combout => \led_flash_cnt[1355][0]~81995_combout\);

-- Location: FF_X63_Y52_N27
\led_flash_cnt[1355][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1355][0]~81995_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1355][0]~q\);

-- Location: LCCOMB_X63_Y52_N0
\led_flash_cnt[1355][1]~45850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1355][1]~45850_combout\ = (\led_flash_cnt[1355][0]~q\ & (\led_flash_cnt[1355][1]~q\ $ (VCC))) # (!\led_flash_cnt[1355][0]~q\ & (\led_flash_cnt[1355][1]~q\ & VCC))
-- \led_flash_cnt[1355][1]~45851\ = CARRY((\led_flash_cnt[1355][0]~q\ & \led_flash_cnt[1355][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1355][0]~q\,
	datab => \led_flash_cnt[1355][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1355][1]~45850_combout\,
	cout => \led_flash_cnt[1355][1]~45851\);

-- Location: FF_X63_Y52_N1
\led_flash_cnt[1355][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1355][1]~45850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1355][1]~q\);

-- Location: LCCOMB_X63_Y52_N2
\led_flash_cnt[1355][2]~45852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1355][2]~45852_combout\ = (\led_flash_cnt[1355][2]~q\ & (!\led_flash_cnt[1355][1]~45851\)) # (!\led_flash_cnt[1355][2]~q\ & ((\led_flash_cnt[1355][1]~45851\) # (GND)))
-- \led_flash_cnt[1355][2]~45853\ = CARRY((!\led_flash_cnt[1355][1]~45851\) # (!\led_flash_cnt[1355][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1355][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1355][1]~45851\,
	combout => \led_flash_cnt[1355][2]~45852_combout\,
	cout => \led_flash_cnt[1355][2]~45853\);

-- Location: FF_X63_Y52_N3
\led_flash_cnt[1355][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1355][2]~45852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1355][2]~q\);

-- Location: LCCOMB_X63_Y52_N4
\led_flash_cnt[1355][3]~45854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1355][3]~45854_combout\ = (\led_flash_cnt[1355][3]~q\ & (\led_flash_cnt[1355][2]~45853\ $ (GND))) # (!\led_flash_cnt[1355][3]~q\ & (!\led_flash_cnt[1355][2]~45853\ & VCC))
-- \led_flash_cnt[1355][3]~45855\ = CARRY((\led_flash_cnt[1355][3]~q\ & !\led_flash_cnt[1355][2]~45853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1355][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1355][2]~45853\,
	combout => \led_flash_cnt[1355][3]~45854_combout\,
	cout => \led_flash_cnt[1355][3]~45855\);

-- Location: FF_X63_Y52_N5
\led_flash_cnt[1355][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1355][3]~45854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1355][3]~q\);

-- Location: LCCOMB_X63_Y52_N6
\led_flash_cnt[1355][4]~45856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1355][4]~45856_combout\ = (\led_flash_cnt[1355][4]~q\ & (!\led_flash_cnt[1355][3]~45855\)) # (!\led_flash_cnt[1355][4]~q\ & ((\led_flash_cnt[1355][3]~45855\) # (GND)))
-- \led_flash_cnt[1355][4]~45857\ = CARRY((!\led_flash_cnt[1355][3]~45855\) # (!\led_flash_cnt[1355][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1355][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1355][3]~45855\,
	combout => \led_flash_cnt[1355][4]~45856_combout\,
	cout => \led_flash_cnt[1355][4]~45857\);

-- Location: FF_X63_Y52_N7
\led_flash_cnt[1355][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1355][4]~45856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1355][4]~q\);

-- Location: LCCOMB_X63_Y52_N8
\led_flash_cnt[1355][5]~45858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1355][5]~45858_combout\ = (\led_flash_cnt[1355][5]~q\ & (\led_flash_cnt[1355][4]~45857\ $ (GND))) # (!\led_flash_cnt[1355][5]~q\ & (!\led_flash_cnt[1355][4]~45857\ & VCC))
-- \led_flash_cnt[1355][5]~45859\ = CARRY((\led_flash_cnt[1355][5]~q\ & !\led_flash_cnt[1355][4]~45857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1355][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1355][4]~45857\,
	combout => \led_flash_cnt[1355][5]~45858_combout\,
	cout => \led_flash_cnt[1355][5]~45859\);

-- Location: FF_X63_Y52_N9
\led_flash_cnt[1355][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1355][5]~45858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1355][5]~q\);

-- Location: LCCOMB_X63_Y52_N10
\led_flash_cnt[1355][6]~45860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1355][6]~45860_combout\ = (\led_flash_cnt[1355][6]~q\ & (!\led_flash_cnt[1355][5]~45859\)) # (!\led_flash_cnt[1355][6]~q\ & ((\led_flash_cnt[1355][5]~45859\) # (GND)))
-- \led_flash_cnt[1355][6]~45861\ = CARRY((!\led_flash_cnt[1355][5]~45859\) # (!\led_flash_cnt[1355][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1355][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1355][5]~45859\,
	combout => \led_flash_cnt[1355][6]~45860_combout\,
	cout => \led_flash_cnt[1355][6]~45861\);

-- Location: FF_X63_Y52_N11
\led_flash_cnt[1355][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1355][6]~45860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1355][6]~q\);

-- Location: LCCOMB_X63_Y52_N12
\led_flash_cnt[1355][7]~45862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1355][7]~45862_combout\ = \led_flash_cnt[1355][6]~45861\ $ (!\led_flash_cnt[1355][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1355][7]~q\,
	cin => \led_flash_cnt[1355][6]~45861\,
	combout => \led_flash_cnt[1355][7]~45862_combout\);

-- Location: FF_X63_Y52_N13
\led_flash_cnt[1355][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1355][7]~45862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1355][7]~q\);

-- Location: LCCOMB_X63_Y52_N16
\WideAnd1355~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1355~1_combout\ = (\led_flash_cnt[1355][7]~q\ & \led_flash_cnt[1355][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1355][7]~q\,
	datac => \led_flash_cnt[1355][0]~q\,
	combout => \WideAnd1355~1_combout\);

-- Location: LCCOMB_X63_Y52_N28
\WideAnd1355~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1355~0_combout\ = (\led_flash_cnt[1355][4]~q\ & (\led_flash_cnt[1355][1]~q\ & (\led_flash_cnt[1355][3]~q\ & \led_flash_cnt[1355][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1355][4]~q\,
	datab => \led_flash_cnt[1355][1]~q\,
	datac => \led_flash_cnt[1355][3]~q\,
	datad => \led_flash_cnt[1355][2]~q\,
	combout => \WideAnd1355~0_combout\);

-- Location: LCCOMB_X63_Y52_N30
WideAnd1355 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1355~combout\ = (\led_flash_cnt[1355][6]~q\ & (\WideAnd1355~1_combout\ & (\led_flash_cnt[1355][5]~q\ & \WideAnd1355~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1355][6]~q\,
	datab => \WideAnd1355~1_combout\,
	datac => \led_flash_cnt[1355][5]~q\,
	datad => \WideAnd1355~0_combout\,
	combout => \WideAnd1355~combout\);

-- Location: FF_X63_Y52_N31
\led_flash_cnt_ands[1355]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1355~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1355));

-- Location: LCCOMB_X62_Y52_N26
\led_flash_cnt[1353][0]~81993\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1353][0]~81993_combout\ = !\led_flash_cnt[1353][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1353][0]~q\,
	combout => \led_flash_cnt[1353][0]~81993_combout\);

-- Location: FF_X62_Y52_N27
\led_flash_cnt[1353][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1353][0]~81993_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1353][0]~q\);

-- Location: LCCOMB_X62_Y52_N4
\led_flash_cnt[1353][1]~45822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1353][1]~45822_combout\ = (\led_flash_cnt[1353][0]~q\ & (\led_flash_cnt[1353][1]~q\ $ (VCC))) # (!\led_flash_cnt[1353][0]~q\ & (\led_flash_cnt[1353][1]~q\ & VCC))
-- \led_flash_cnt[1353][1]~45823\ = CARRY((\led_flash_cnt[1353][0]~q\ & \led_flash_cnt[1353][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1353][0]~q\,
	datab => \led_flash_cnt[1353][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1353][1]~45822_combout\,
	cout => \led_flash_cnt[1353][1]~45823\);

-- Location: FF_X62_Y52_N5
\led_flash_cnt[1353][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1353][1]~45822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1353][1]~q\);

-- Location: LCCOMB_X62_Y52_N6
\led_flash_cnt[1353][2]~45824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1353][2]~45824_combout\ = (\led_flash_cnt[1353][2]~q\ & (!\led_flash_cnt[1353][1]~45823\)) # (!\led_flash_cnt[1353][2]~q\ & ((\led_flash_cnt[1353][1]~45823\) # (GND)))
-- \led_flash_cnt[1353][2]~45825\ = CARRY((!\led_flash_cnt[1353][1]~45823\) # (!\led_flash_cnt[1353][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1353][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1353][1]~45823\,
	combout => \led_flash_cnt[1353][2]~45824_combout\,
	cout => \led_flash_cnt[1353][2]~45825\);

-- Location: FF_X62_Y52_N7
\led_flash_cnt[1353][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1353][2]~45824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1353][2]~q\);

-- Location: LCCOMB_X62_Y52_N8
\led_flash_cnt[1353][3]~45826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1353][3]~45826_combout\ = (\led_flash_cnt[1353][3]~q\ & (\led_flash_cnt[1353][2]~45825\ $ (GND))) # (!\led_flash_cnt[1353][3]~q\ & (!\led_flash_cnt[1353][2]~45825\ & VCC))
-- \led_flash_cnt[1353][3]~45827\ = CARRY((\led_flash_cnt[1353][3]~q\ & !\led_flash_cnt[1353][2]~45825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1353][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1353][2]~45825\,
	combout => \led_flash_cnt[1353][3]~45826_combout\,
	cout => \led_flash_cnt[1353][3]~45827\);

-- Location: FF_X62_Y52_N9
\led_flash_cnt[1353][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1353][3]~45826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1353][3]~q\);

-- Location: LCCOMB_X62_Y52_N10
\led_flash_cnt[1353][4]~45828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1353][4]~45828_combout\ = (\led_flash_cnt[1353][4]~q\ & (!\led_flash_cnt[1353][3]~45827\)) # (!\led_flash_cnt[1353][4]~q\ & ((\led_flash_cnt[1353][3]~45827\) # (GND)))
-- \led_flash_cnt[1353][4]~45829\ = CARRY((!\led_flash_cnt[1353][3]~45827\) # (!\led_flash_cnt[1353][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1353][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1353][3]~45827\,
	combout => \led_flash_cnt[1353][4]~45828_combout\,
	cout => \led_flash_cnt[1353][4]~45829\);

-- Location: FF_X62_Y52_N11
\led_flash_cnt[1353][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1353][4]~45828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1353][4]~q\);

-- Location: LCCOMB_X62_Y52_N12
\led_flash_cnt[1353][5]~45830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1353][5]~45830_combout\ = (\led_flash_cnt[1353][5]~q\ & (\led_flash_cnt[1353][4]~45829\ $ (GND))) # (!\led_flash_cnt[1353][5]~q\ & (!\led_flash_cnt[1353][4]~45829\ & VCC))
-- \led_flash_cnt[1353][5]~45831\ = CARRY((\led_flash_cnt[1353][5]~q\ & !\led_flash_cnt[1353][4]~45829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1353][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1353][4]~45829\,
	combout => \led_flash_cnt[1353][5]~45830_combout\,
	cout => \led_flash_cnt[1353][5]~45831\);

-- Location: FF_X62_Y52_N13
\led_flash_cnt[1353][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1353][5]~45830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1353][5]~q\);

-- Location: LCCOMB_X62_Y52_N14
\led_flash_cnt[1353][6]~45832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1353][6]~45832_combout\ = (\led_flash_cnt[1353][6]~q\ & (!\led_flash_cnt[1353][5]~45831\)) # (!\led_flash_cnt[1353][6]~q\ & ((\led_flash_cnt[1353][5]~45831\) # (GND)))
-- \led_flash_cnt[1353][6]~45833\ = CARRY((!\led_flash_cnt[1353][5]~45831\) # (!\led_flash_cnt[1353][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1353][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1353][5]~45831\,
	combout => \led_flash_cnt[1353][6]~45832_combout\,
	cout => \led_flash_cnt[1353][6]~45833\);

-- Location: FF_X62_Y52_N15
\led_flash_cnt[1353][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1353][6]~45832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1353][6]~q\);

-- Location: LCCOMB_X62_Y52_N16
\led_flash_cnt[1353][7]~45834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1353][7]~45834_combout\ = \led_flash_cnt[1353][6]~45833\ $ (!\led_flash_cnt[1353][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1353][7]~q\,
	cin => \led_flash_cnt[1353][6]~45833\,
	combout => \led_flash_cnt[1353][7]~45834_combout\);

-- Location: FF_X62_Y52_N17
\led_flash_cnt[1353][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1353][7]~45834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1353][7]~q\);

-- Location: LCCOMB_X62_Y52_N22
\WideAnd1353~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1353~1_combout\ = (\led_flash_cnt[1353][6]~q\ & \led_flash_cnt[1353][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1353][6]~q\,
	datad => \led_flash_cnt[1353][5]~q\,
	combout => \WideAnd1353~1_combout\);

-- Location: LCCOMB_X62_Y52_N18
\WideAnd1353~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1353~0_combout\ = (\led_flash_cnt[1353][4]~q\ & (\led_flash_cnt[1353][3]~q\ & (\led_flash_cnt[1353][1]~q\ & \led_flash_cnt[1353][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1353][4]~q\,
	datab => \led_flash_cnt[1353][3]~q\,
	datac => \led_flash_cnt[1353][1]~q\,
	datad => \led_flash_cnt[1353][2]~q\,
	combout => \WideAnd1353~0_combout\);

-- Location: LCCOMB_X62_Y52_N24
WideAnd1353 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1353~combout\ = (\led_flash_cnt[1353][0]~q\ & (\led_flash_cnt[1353][7]~q\ & (\WideAnd1353~1_combout\ & \WideAnd1353~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1353][0]~q\,
	datab => \led_flash_cnt[1353][7]~q\,
	datac => \WideAnd1353~1_combout\,
	datad => \WideAnd1353~0_combout\,
	combout => \WideAnd1353~combout\);

-- Location: FF_X62_Y52_N25
\led_flash_cnt_ands[1353]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1353~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1353));

-- Location: LCCOMB_X63_Y53_N18
\led_flash_cnt[1352][0]~81992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1352][0]~81992_combout\ = !\led_flash_cnt[1352][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1352][0]~q\,
	combout => \led_flash_cnt[1352][0]~81992_combout\);

-- Location: FF_X63_Y53_N19
\led_flash_cnt[1352][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1352][0]~81992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1352][0]~q\);

-- Location: LCCOMB_X63_Y53_N2
\led_flash_cnt[1352][1]~45808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1352][1]~45808_combout\ = (\led_flash_cnt[1352][1]~q\ & (\led_flash_cnt[1352][0]~q\ $ (VCC))) # (!\led_flash_cnt[1352][1]~q\ & (\led_flash_cnt[1352][0]~q\ & VCC))
-- \led_flash_cnt[1352][1]~45809\ = CARRY((\led_flash_cnt[1352][1]~q\ & \led_flash_cnt[1352][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1352][1]~q\,
	datab => \led_flash_cnt[1352][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1352][1]~45808_combout\,
	cout => \led_flash_cnt[1352][1]~45809\);

-- Location: FF_X63_Y53_N3
\led_flash_cnt[1352][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1352][1]~45808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1352][1]~q\);

-- Location: LCCOMB_X63_Y53_N4
\led_flash_cnt[1352][2]~45810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1352][2]~45810_combout\ = (\led_flash_cnt[1352][2]~q\ & (!\led_flash_cnt[1352][1]~45809\)) # (!\led_flash_cnt[1352][2]~q\ & ((\led_flash_cnt[1352][1]~45809\) # (GND)))
-- \led_flash_cnt[1352][2]~45811\ = CARRY((!\led_flash_cnt[1352][1]~45809\) # (!\led_flash_cnt[1352][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1352][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1352][1]~45809\,
	combout => \led_flash_cnt[1352][2]~45810_combout\,
	cout => \led_flash_cnt[1352][2]~45811\);

-- Location: FF_X63_Y53_N5
\led_flash_cnt[1352][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1352][2]~45810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1352][2]~q\);

-- Location: LCCOMB_X63_Y53_N6
\led_flash_cnt[1352][3]~45812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1352][3]~45812_combout\ = (\led_flash_cnt[1352][3]~q\ & (\led_flash_cnt[1352][2]~45811\ $ (GND))) # (!\led_flash_cnt[1352][3]~q\ & (!\led_flash_cnt[1352][2]~45811\ & VCC))
-- \led_flash_cnt[1352][3]~45813\ = CARRY((\led_flash_cnt[1352][3]~q\ & !\led_flash_cnt[1352][2]~45811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1352][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1352][2]~45811\,
	combout => \led_flash_cnt[1352][3]~45812_combout\,
	cout => \led_flash_cnt[1352][3]~45813\);

-- Location: FF_X63_Y53_N7
\led_flash_cnt[1352][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1352][3]~45812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1352][3]~q\);

-- Location: LCCOMB_X63_Y53_N8
\led_flash_cnt[1352][4]~45814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1352][4]~45814_combout\ = (\led_flash_cnt[1352][4]~q\ & (!\led_flash_cnt[1352][3]~45813\)) # (!\led_flash_cnt[1352][4]~q\ & ((\led_flash_cnt[1352][3]~45813\) # (GND)))
-- \led_flash_cnt[1352][4]~45815\ = CARRY((!\led_flash_cnt[1352][3]~45813\) # (!\led_flash_cnt[1352][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1352][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1352][3]~45813\,
	combout => \led_flash_cnt[1352][4]~45814_combout\,
	cout => \led_flash_cnt[1352][4]~45815\);

-- Location: FF_X63_Y53_N9
\led_flash_cnt[1352][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1352][4]~45814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1352][4]~q\);

-- Location: LCCOMB_X63_Y53_N10
\led_flash_cnt[1352][5]~45816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1352][5]~45816_combout\ = (\led_flash_cnt[1352][5]~q\ & (\led_flash_cnt[1352][4]~45815\ $ (GND))) # (!\led_flash_cnt[1352][5]~q\ & (!\led_flash_cnt[1352][4]~45815\ & VCC))
-- \led_flash_cnt[1352][5]~45817\ = CARRY((\led_flash_cnt[1352][5]~q\ & !\led_flash_cnt[1352][4]~45815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1352][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1352][4]~45815\,
	combout => \led_flash_cnt[1352][5]~45816_combout\,
	cout => \led_flash_cnt[1352][5]~45817\);

-- Location: FF_X63_Y53_N11
\led_flash_cnt[1352][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1352][5]~45816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1352][5]~q\);

-- Location: LCCOMB_X63_Y53_N12
\led_flash_cnt[1352][6]~45818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1352][6]~45818_combout\ = (\led_flash_cnt[1352][6]~q\ & (!\led_flash_cnt[1352][5]~45817\)) # (!\led_flash_cnt[1352][6]~q\ & ((\led_flash_cnt[1352][5]~45817\) # (GND)))
-- \led_flash_cnt[1352][6]~45819\ = CARRY((!\led_flash_cnt[1352][5]~45817\) # (!\led_flash_cnt[1352][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1352][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1352][5]~45817\,
	combout => \led_flash_cnt[1352][6]~45818_combout\,
	cout => \led_flash_cnt[1352][6]~45819\);

-- Location: FF_X63_Y53_N13
\led_flash_cnt[1352][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1352][6]~45818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1352][6]~q\);

-- Location: LCCOMB_X63_Y53_N26
\WideAnd1352~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1352~1_combout\ = (\led_flash_cnt[1352][5]~q\ & \led_flash_cnt[1352][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1352][5]~q\,
	datad => \led_flash_cnt[1352][6]~q\,
	combout => \WideAnd1352~1_combout\);

-- Location: LCCOMB_X63_Y53_N24
\WideAnd1352~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1352~0_combout\ = (\led_flash_cnt[1352][1]~q\ & (\led_flash_cnt[1352][4]~q\ & (\led_flash_cnt[1352][2]~q\ & \led_flash_cnt[1352][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1352][1]~q\,
	datab => \led_flash_cnt[1352][4]~q\,
	datac => \led_flash_cnt[1352][2]~q\,
	datad => \led_flash_cnt[1352][3]~q\,
	combout => \WideAnd1352~0_combout\);

-- Location: LCCOMB_X63_Y53_N14
\led_flash_cnt[1352][7]~45820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1352][7]~45820_combout\ = \led_flash_cnt[1352][7]~q\ $ (!\led_flash_cnt[1352][6]~45819\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1352][7]~q\,
	cin => \led_flash_cnt[1352][6]~45819\,
	combout => \led_flash_cnt[1352][7]~45820_combout\);

-- Location: FF_X63_Y53_N15
\led_flash_cnt[1352][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1352][7]~45820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1352][7]~q\);

-- Location: LCCOMB_X63_Y53_N30
WideAnd1352 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1352~combout\ = (\WideAnd1352~1_combout\ & (\WideAnd1352~0_combout\ & (\led_flash_cnt[1352][7]~q\ & \led_flash_cnt[1352][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1352~1_combout\,
	datab => \WideAnd1352~0_combout\,
	datac => \led_flash_cnt[1352][7]~q\,
	datad => \led_flash_cnt[1352][0]~q\,
	combout => \WideAnd1352~combout\);

-- Location: FF_X63_Y53_N31
\led_flash_cnt_ands[1352]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1352~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1352));

-- Location: LCCOMB_X63_Y52_N18
\led_flash_cnt[1354][0]~81994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1354][0]~81994_combout\ = !\led_flash_cnt[1354][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1354][0]~q\,
	combout => \led_flash_cnt[1354][0]~81994_combout\);

-- Location: FF_X63_Y52_N19
\led_flash_cnt[1354][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1354][0]~81994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1354][0]~q\);

-- Location: LCCOMB_X64_Y52_N16
\led_flash_cnt[1354][1]~45836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1354][1]~45836_combout\ = (\led_flash_cnt[1354][0]~q\ & (\led_flash_cnt[1354][1]~q\ $ (VCC))) # (!\led_flash_cnt[1354][0]~q\ & (\led_flash_cnt[1354][1]~q\ & VCC))
-- \led_flash_cnt[1354][1]~45837\ = CARRY((\led_flash_cnt[1354][0]~q\ & \led_flash_cnt[1354][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1354][0]~q\,
	datab => \led_flash_cnt[1354][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1354][1]~45836_combout\,
	cout => \led_flash_cnt[1354][1]~45837\);

-- Location: FF_X64_Y52_N17
\led_flash_cnt[1354][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1354][1]~45836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1354][1]~q\);

-- Location: LCCOMB_X64_Y52_N18
\led_flash_cnt[1354][2]~45838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1354][2]~45838_combout\ = (\led_flash_cnt[1354][2]~q\ & (!\led_flash_cnt[1354][1]~45837\)) # (!\led_flash_cnt[1354][2]~q\ & ((\led_flash_cnt[1354][1]~45837\) # (GND)))
-- \led_flash_cnt[1354][2]~45839\ = CARRY((!\led_flash_cnt[1354][1]~45837\) # (!\led_flash_cnt[1354][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1354][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1354][1]~45837\,
	combout => \led_flash_cnt[1354][2]~45838_combout\,
	cout => \led_flash_cnt[1354][2]~45839\);

-- Location: FF_X64_Y52_N19
\led_flash_cnt[1354][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1354][2]~45838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1354][2]~q\);

-- Location: LCCOMB_X64_Y52_N20
\led_flash_cnt[1354][3]~45840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1354][3]~45840_combout\ = (\led_flash_cnt[1354][3]~q\ & (\led_flash_cnt[1354][2]~45839\ $ (GND))) # (!\led_flash_cnt[1354][3]~q\ & (!\led_flash_cnt[1354][2]~45839\ & VCC))
-- \led_flash_cnt[1354][3]~45841\ = CARRY((\led_flash_cnt[1354][3]~q\ & !\led_flash_cnt[1354][2]~45839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1354][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1354][2]~45839\,
	combout => \led_flash_cnt[1354][3]~45840_combout\,
	cout => \led_flash_cnt[1354][3]~45841\);

-- Location: FF_X64_Y52_N21
\led_flash_cnt[1354][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1354][3]~45840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1354][3]~q\);

-- Location: LCCOMB_X64_Y52_N22
\led_flash_cnt[1354][4]~45842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1354][4]~45842_combout\ = (\led_flash_cnt[1354][4]~q\ & (!\led_flash_cnt[1354][3]~45841\)) # (!\led_flash_cnt[1354][4]~q\ & ((\led_flash_cnt[1354][3]~45841\) # (GND)))
-- \led_flash_cnt[1354][4]~45843\ = CARRY((!\led_flash_cnt[1354][3]~45841\) # (!\led_flash_cnt[1354][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1354][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1354][3]~45841\,
	combout => \led_flash_cnt[1354][4]~45842_combout\,
	cout => \led_flash_cnt[1354][4]~45843\);

-- Location: FF_X64_Y52_N23
\led_flash_cnt[1354][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1354][4]~45842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1354][4]~q\);

-- Location: LCCOMB_X64_Y52_N30
\WideAnd1354~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1354~0_combout\ = (\led_flash_cnt[1354][1]~q\ & (\led_flash_cnt[1354][3]~q\ & (\led_flash_cnt[1354][4]~q\ & \led_flash_cnt[1354][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1354][1]~q\,
	datab => \led_flash_cnt[1354][3]~q\,
	datac => \led_flash_cnt[1354][4]~q\,
	datad => \led_flash_cnt[1354][2]~q\,
	combout => \WideAnd1354~0_combout\);

-- Location: LCCOMB_X64_Y52_N24
\led_flash_cnt[1354][5]~45844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1354][5]~45844_combout\ = (\led_flash_cnt[1354][5]~q\ & (\led_flash_cnt[1354][4]~45843\ $ (GND))) # (!\led_flash_cnt[1354][5]~q\ & (!\led_flash_cnt[1354][4]~45843\ & VCC))
-- \led_flash_cnt[1354][5]~45845\ = CARRY((\led_flash_cnt[1354][5]~q\ & !\led_flash_cnt[1354][4]~45843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1354][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1354][4]~45843\,
	combout => \led_flash_cnt[1354][5]~45844_combout\,
	cout => \led_flash_cnt[1354][5]~45845\);

-- Location: FF_X64_Y52_N25
\led_flash_cnt[1354][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1354][5]~45844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1354][5]~q\);

-- Location: LCCOMB_X64_Y52_N26
\led_flash_cnt[1354][6]~45846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1354][6]~45846_combout\ = (\led_flash_cnt[1354][6]~q\ & (!\led_flash_cnt[1354][5]~45845\)) # (!\led_flash_cnt[1354][6]~q\ & ((\led_flash_cnt[1354][5]~45845\) # (GND)))
-- \led_flash_cnt[1354][6]~45847\ = CARRY((!\led_flash_cnt[1354][5]~45845\) # (!\led_flash_cnt[1354][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1354][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1354][5]~45845\,
	combout => \led_flash_cnt[1354][6]~45846_combout\,
	cout => \led_flash_cnt[1354][6]~45847\);

-- Location: FF_X64_Y52_N27
\led_flash_cnt[1354][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1354][6]~45846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1354][6]~q\);

-- Location: LCCOMB_X63_Y52_N22
\WideAnd1354~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1354~1_combout\ = (\led_flash_cnt[1354][6]~q\ & \led_flash_cnt[1354][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1354][6]~q\,
	datad => \led_flash_cnt[1354][5]~q\,
	combout => \WideAnd1354~1_combout\);

-- Location: LCCOMB_X64_Y52_N28
\led_flash_cnt[1354][7]~45848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1354][7]~45848_combout\ = \led_flash_cnt[1354][6]~45847\ $ (!\led_flash_cnt[1354][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1354][7]~q\,
	cin => \led_flash_cnt[1354][6]~45847\,
	combout => \led_flash_cnt[1354][7]~45848_combout\);

-- Location: FF_X64_Y52_N29
\led_flash_cnt[1354][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1354][7]~45848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1354][7]~q\);

-- Location: LCCOMB_X63_Y52_N24
WideAnd1354 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1354~combout\ = (\WideAnd1354~0_combout\ & (\led_flash_cnt[1354][0]~q\ & (\WideAnd1354~1_combout\ & \led_flash_cnt[1354][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1354~0_combout\,
	datab => \led_flash_cnt[1354][0]~q\,
	datac => \WideAnd1354~1_combout\,
	datad => \led_flash_cnt[1354][7]~q\,
	combout => \WideAnd1354~combout\);

-- Location: FF_X63_Y52_N25
\led_flash_cnt_ands[1354]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1354~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1354));

-- Location: LCCOMB_X63_Y52_N20
\WideAnd4009~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4009~0_combout\ = (led_flash_cnt_ands(1355) & (led_flash_cnt_ands(1353) & (led_flash_cnt_ands(1352) & led_flash_cnt_ands(1354))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1355),
	datab => led_flash_cnt_ands(1353),
	datac => led_flash_cnt_ands(1352),
	datad => led_flash_cnt_ands(1354),
	combout => \WideAnd4009~0_combout\);

-- Location: LCCOMB_X55_Y43_N2
\led_flash_cnt[1359][0]~81999\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1359][0]~81999_combout\ = !\led_flash_cnt[1359][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1359][0]~q\,
	combout => \led_flash_cnt[1359][0]~81999_combout\);

-- Location: FF_X55_Y43_N3
\led_flash_cnt[1359][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1359][0]~81999_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1359][0]~q\);

-- Location: LCCOMB_X54_Y43_N16
\led_flash_cnt[1359][1]~45906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1359][1]~45906_combout\ = (\led_flash_cnt[1359][0]~q\ & (\led_flash_cnt[1359][1]~q\ $ (VCC))) # (!\led_flash_cnt[1359][0]~q\ & (\led_flash_cnt[1359][1]~q\ & VCC))
-- \led_flash_cnt[1359][1]~45907\ = CARRY((\led_flash_cnt[1359][0]~q\ & \led_flash_cnt[1359][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1359][0]~q\,
	datab => \led_flash_cnt[1359][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1359][1]~45906_combout\,
	cout => \led_flash_cnt[1359][1]~45907\);

-- Location: FF_X54_Y43_N17
\led_flash_cnt[1359][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1359][1]~45906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1359][1]~q\);

-- Location: LCCOMB_X54_Y43_N18
\led_flash_cnt[1359][2]~45908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1359][2]~45908_combout\ = (\led_flash_cnt[1359][2]~q\ & (!\led_flash_cnt[1359][1]~45907\)) # (!\led_flash_cnt[1359][2]~q\ & ((\led_flash_cnt[1359][1]~45907\) # (GND)))
-- \led_flash_cnt[1359][2]~45909\ = CARRY((!\led_flash_cnt[1359][1]~45907\) # (!\led_flash_cnt[1359][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1359][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1359][1]~45907\,
	combout => \led_flash_cnt[1359][2]~45908_combout\,
	cout => \led_flash_cnt[1359][2]~45909\);

-- Location: FF_X54_Y43_N19
\led_flash_cnt[1359][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1359][2]~45908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1359][2]~q\);

-- Location: LCCOMB_X54_Y43_N20
\led_flash_cnt[1359][3]~45910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1359][3]~45910_combout\ = (\led_flash_cnt[1359][3]~q\ & (\led_flash_cnt[1359][2]~45909\ $ (GND))) # (!\led_flash_cnt[1359][3]~q\ & (!\led_flash_cnt[1359][2]~45909\ & VCC))
-- \led_flash_cnt[1359][3]~45911\ = CARRY((\led_flash_cnt[1359][3]~q\ & !\led_flash_cnt[1359][2]~45909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1359][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1359][2]~45909\,
	combout => \led_flash_cnt[1359][3]~45910_combout\,
	cout => \led_flash_cnt[1359][3]~45911\);

-- Location: FF_X54_Y43_N21
\led_flash_cnt[1359][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1359][3]~45910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1359][3]~q\);

-- Location: LCCOMB_X54_Y43_N22
\led_flash_cnt[1359][4]~45912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1359][4]~45912_combout\ = (\led_flash_cnt[1359][4]~q\ & (!\led_flash_cnt[1359][3]~45911\)) # (!\led_flash_cnt[1359][4]~q\ & ((\led_flash_cnt[1359][3]~45911\) # (GND)))
-- \led_flash_cnt[1359][4]~45913\ = CARRY((!\led_flash_cnt[1359][3]~45911\) # (!\led_flash_cnt[1359][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1359][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1359][3]~45911\,
	combout => \led_flash_cnt[1359][4]~45912_combout\,
	cout => \led_flash_cnt[1359][4]~45913\);

-- Location: FF_X54_Y43_N23
\led_flash_cnt[1359][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1359][4]~45912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1359][4]~q\);

-- Location: LCCOMB_X54_Y43_N24
\led_flash_cnt[1359][5]~45914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1359][5]~45914_combout\ = (\led_flash_cnt[1359][5]~q\ & (\led_flash_cnt[1359][4]~45913\ $ (GND))) # (!\led_flash_cnt[1359][5]~q\ & (!\led_flash_cnt[1359][4]~45913\ & VCC))
-- \led_flash_cnt[1359][5]~45915\ = CARRY((\led_flash_cnt[1359][5]~q\ & !\led_flash_cnt[1359][4]~45913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1359][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1359][4]~45913\,
	combout => \led_flash_cnt[1359][5]~45914_combout\,
	cout => \led_flash_cnt[1359][5]~45915\);

-- Location: FF_X54_Y43_N25
\led_flash_cnt[1359][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1359][5]~45914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1359][5]~q\);

-- Location: LCCOMB_X54_Y43_N26
\led_flash_cnt[1359][6]~45916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1359][6]~45916_combout\ = (\led_flash_cnt[1359][6]~q\ & (!\led_flash_cnt[1359][5]~45915\)) # (!\led_flash_cnt[1359][6]~q\ & ((\led_flash_cnt[1359][5]~45915\) # (GND)))
-- \led_flash_cnt[1359][6]~45917\ = CARRY((!\led_flash_cnt[1359][5]~45915\) # (!\led_flash_cnt[1359][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1359][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1359][5]~45915\,
	combout => \led_flash_cnt[1359][6]~45916_combout\,
	cout => \led_flash_cnt[1359][6]~45917\);

-- Location: FF_X54_Y43_N27
\led_flash_cnt[1359][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1359][6]~45916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1359][6]~q\);

-- Location: LCCOMB_X55_Y43_N10
\WideAnd1359~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1359~1_combout\ = (\led_flash_cnt[1359][6]~q\ & \led_flash_cnt[1359][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1359][6]~q\,
	datad => \led_flash_cnt[1359][5]~q\,
	combout => \WideAnd1359~1_combout\);

-- Location: LCCOMB_X54_Y43_N28
\led_flash_cnt[1359][7]~45918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1359][7]~45918_combout\ = \led_flash_cnt[1359][6]~45917\ $ (!\led_flash_cnt[1359][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1359][7]~q\,
	cin => \led_flash_cnt[1359][6]~45917\,
	combout => \led_flash_cnt[1359][7]~45918_combout\);

-- Location: FF_X54_Y43_N29
\led_flash_cnt[1359][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1359][7]~45918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1359][7]~q\);

-- Location: LCCOMB_X54_Y43_N0
\WideAnd1359~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1359~0_combout\ = (\led_flash_cnt[1359][1]~q\ & (\led_flash_cnt[1359][3]~q\ & (\led_flash_cnt[1359][4]~q\ & \led_flash_cnt[1359][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1359][1]~q\,
	datab => \led_flash_cnt[1359][3]~q\,
	datac => \led_flash_cnt[1359][4]~q\,
	datad => \led_flash_cnt[1359][2]~q\,
	combout => \WideAnd1359~0_combout\);

-- Location: LCCOMB_X55_Y43_N4
WideAnd1359 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1359~combout\ = (\WideAnd1359~1_combout\ & (\led_flash_cnt[1359][7]~q\ & (\WideAnd1359~0_combout\ & \led_flash_cnt[1359][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1359~1_combout\,
	datab => \led_flash_cnt[1359][7]~q\,
	datac => \WideAnd1359~0_combout\,
	datad => \led_flash_cnt[1359][0]~q\,
	combout => \WideAnd1359~combout\);

-- Location: FF_X55_Y43_N5
\led_flash_cnt_ands[1359]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1359~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1359));

-- Location: LCCOMB_X55_Y43_N12
\led_flash_cnt[1358][0]~81998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1358][0]~81998_combout\ = !\led_flash_cnt[1358][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1358][0]~q\,
	combout => \led_flash_cnt[1358][0]~81998_combout\);

-- Location: FF_X55_Y43_N13
\led_flash_cnt[1358][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1358][0]~81998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1358][0]~q\);

-- Location: LCCOMB_X55_Y43_N18
\led_flash_cnt[1358][1]~45892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1358][1]~45892_combout\ = (\led_flash_cnt[1358][0]~q\ & (\led_flash_cnt[1358][1]~q\ $ (VCC))) # (!\led_flash_cnt[1358][0]~q\ & (\led_flash_cnt[1358][1]~q\ & VCC))
-- \led_flash_cnt[1358][1]~45893\ = CARRY((\led_flash_cnt[1358][0]~q\ & \led_flash_cnt[1358][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1358][0]~q\,
	datab => \led_flash_cnt[1358][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1358][1]~45892_combout\,
	cout => \led_flash_cnt[1358][1]~45893\);

-- Location: FF_X55_Y43_N19
\led_flash_cnt[1358][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1358][1]~45892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1358][1]~q\);

-- Location: LCCOMB_X55_Y43_N20
\led_flash_cnt[1358][2]~45894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1358][2]~45894_combout\ = (\led_flash_cnt[1358][2]~q\ & (!\led_flash_cnt[1358][1]~45893\)) # (!\led_flash_cnt[1358][2]~q\ & ((\led_flash_cnt[1358][1]~45893\) # (GND)))
-- \led_flash_cnt[1358][2]~45895\ = CARRY((!\led_flash_cnt[1358][1]~45893\) # (!\led_flash_cnt[1358][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1358][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1358][1]~45893\,
	combout => \led_flash_cnt[1358][2]~45894_combout\,
	cout => \led_flash_cnt[1358][2]~45895\);

-- Location: FF_X55_Y43_N21
\led_flash_cnt[1358][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1358][2]~45894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1358][2]~q\);

-- Location: LCCOMB_X55_Y43_N22
\led_flash_cnt[1358][3]~45896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1358][3]~45896_combout\ = (\led_flash_cnt[1358][3]~q\ & (\led_flash_cnt[1358][2]~45895\ $ (GND))) # (!\led_flash_cnt[1358][3]~q\ & (!\led_flash_cnt[1358][2]~45895\ & VCC))
-- \led_flash_cnt[1358][3]~45897\ = CARRY((\led_flash_cnt[1358][3]~q\ & !\led_flash_cnt[1358][2]~45895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1358][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1358][2]~45895\,
	combout => \led_flash_cnt[1358][3]~45896_combout\,
	cout => \led_flash_cnt[1358][3]~45897\);

-- Location: FF_X55_Y43_N23
\led_flash_cnt[1358][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1358][3]~45896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1358][3]~q\);

-- Location: LCCOMB_X55_Y43_N24
\led_flash_cnt[1358][4]~45898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1358][4]~45898_combout\ = (\led_flash_cnt[1358][4]~q\ & (!\led_flash_cnt[1358][3]~45897\)) # (!\led_flash_cnt[1358][4]~q\ & ((\led_flash_cnt[1358][3]~45897\) # (GND)))
-- \led_flash_cnt[1358][4]~45899\ = CARRY((!\led_flash_cnt[1358][3]~45897\) # (!\led_flash_cnt[1358][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1358][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1358][3]~45897\,
	combout => \led_flash_cnt[1358][4]~45898_combout\,
	cout => \led_flash_cnt[1358][4]~45899\);

-- Location: FF_X55_Y43_N25
\led_flash_cnt[1358][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1358][4]~45898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1358][4]~q\);

-- Location: LCCOMB_X55_Y43_N26
\led_flash_cnt[1358][5]~45900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1358][5]~45900_combout\ = (\led_flash_cnt[1358][5]~q\ & (\led_flash_cnt[1358][4]~45899\ $ (GND))) # (!\led_flash_cnt[1358][5]~q\ & (!\led_flash_cnt[1358][4]~45899\ & VCC))
-- \led_flash_cnt[1358][5]~45901\ = CARRY((\led_flash_cnt[1358][5]~q\ & !\led_flash_cnt[1358][4]~45899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1358][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1358][4]~45899\,
	combout => \led_flash_cnt[1358][5]~45900_combout\,
	cout => \led_flash_cnt[1358][5]~45901\);

-- Location: FF_X55_Y43_N27
\led_flash_cnt[1358][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1358][5]~45900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1358][5]~q\);

-- Location: LCCOMB_X55_Y43_N28
\led_flash_cnt[1358][6]~45902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1358][6]~45902_combout\ = (\led_flash_cnt[1358][6]~q\ & (!\led_flash_cnt[1358][5]~45901\)) # (!\led_flash_cnt[1358][6]~q\ & ((\led_flash_cnt[1358][5]~45901\) # (GND)))
-- \led_flash_cnt[1358][6]~45903\ = CARRY((!\led_flash_cnt[1358][5]~45901\) # (!\led_flash_cnt[1358][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1358][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1358][5]~45901\,
	combout => \led_flash_cnt[1358][6]~45902_combout\,
	cout => \led_flash_cnt[1358][6]~45903\);

-- Location: FF_X55_Y43_N29
\led_flash_cnt[1358][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1358][6]~45902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1358][6]~q\);

-- Location: LCCOMB_X55_Y43_N8
\WideAnd1358~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1358~1_combout\ = (\led_flash_cnt[1358][5]~q\ & \led_flash_cnt[1358][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1358][5]~q\,
	datad => \led_flash_cnt[1358][6]~q\,
	combout => \WideAnd1358~1_combout\);

-- Location: LCCOMB_X55_Y43_N30
\led_flash_cnt[1358][7]~45904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1358][7]~45904_combout\ = \led_flash_cnt[1358][7]~q\ $ (!\led_flash_cnt[1358][6]~45903\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1358][7]~q\,
	cin => \led_flash_cnt[1358][6]~45903\,
	combout => \led_flash_cnt[1358][7]~45904_combout\);

-- Location: FF_X55_Y43_N31
\led_flash_cnt[1358][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1358][7]~45904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1358][7]~q\);

-- Location: LCCOMB_X55_Y43_N16
\WideAnd1358~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1358~0_combout\ = (\led_flash_cnt[1358][4]~q\ & (\led_flash_cnt[1358][2]~q\ & (\led_flash_cnt[1358][3]~q\ & \led_flash_cnt[1358][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1358][4]~q\,
	datab => \led_flash_cnt[1358][2]~q\,
	datac => \led_flash_cnt[1358][3]~q\,
	datad => \led_flash_cnt[1358][1]~q\,
	combout => \WideAnd1358~0_combout\);

-- Location: LCCOMB_X55_Y43_N6
WideAnd1358 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1358~combout\ = (\led_flash_cnt[1358][0]~q\ & (\WideAnd1358~1_combout\ & (\led_flash_cnt[1358][7]~q\ & \WideAnd1358~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1358][0]~q\,
	datab => \WideAnd1358~1_combout\,
	datac => \led_flash_cnt[1358][7]~q\,
	datad => \WideAnd1358~0_combout\,
	combout => \WideAnd1358~combout\);

-- Location: FF_X55_Y43_N7
\led_flash_cnt_ands[1358]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1358~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1358));

-- Location: LCCOMB_X60_Y38_N6
\led_flash_cnt[1357][0]~81997\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1357][0]~81997_combout\ = !\led_flash_cnt[1357][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1357][0]~q\,
	combout => \led_flash_cnt[1357][0]~81997_combout\);

-- Location: FF_X60_Y38_N7
\led_flash_cnt[1357][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1357][0]~81997_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1357][0]~q\);

-- Location: LCCOMB_X59_Y38_N4
\led_flash_cnt[1357][1]~45878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1357][1]~45878_combout\ = (\led_flash_cnt[1357][0]~q\ & (\led_flash_cnt[1357][1]~q\ $ (VCC))) # (!\led_flash_cnt[1357][0]~q\ & (\led_flash_cnt[1357][1]~q\ & VCC))
-- \led_flash_cnt[1357][1]~45879\ = CARRY((\led_flash_cnt[1357][0]~q\ & \led_flash_cnt[1357][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1357][0]~q\,
	datab => \led_flash_cnt[1357][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1357][1]~45878_combout\,
	cout => \led_flash_cnt[1357][1]~45879\);

-- Location: FF_X59_Y38_N5
\led_flash_cnt[1357][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1357][1]~45878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1357][1]~q\);

-- Location: LCCOMB_X59_Y38_N6
\led_flash_cnt[1357][2]~45880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1357][2]~45880_combout\ = (\led_flash_cnt[1357][2]~q\ & (!\led_flash_cnt[1357][1]~45879\)) # (!\led_flash_cnt[1357][2]~q\ & ((\led_flash_cnt[1357][1]~45879\) # (GND)))
-- \led_flash_cnt[1357][2]~45881\ = CARRY((!\led_flash_cnt[1357][1]~45879\) # (!\led_flash_cnt[1357][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1357][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1357][1]~45879\,
	combout => \led_flash_cnt[1357][2]~45880_combout\,
	cout => \led_flash_cnt[1357][2]~45881\);

-- Location: FF_X59_Y38_N7
\led_flash_cnt[1357][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1357][2]~45880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1357][2]~q\);

-- Location: LCCOMB_X59_Y38_N8
\led_flash_cnt[1357][3]~45882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1357][3]~45882_combout\ = (\led_flash_cnt[1357][3]~q\ & (\led_flash_cnt[1357][2]~45881\ $ (GND))) # (!\led_flash_cnt[1357][3]~q\ & (!\led_flash_cnt[1357][2]~45881\ & VCC))
-- \led_flash_cnt[1357][3]~45883\ = CARRY((\led_flash_cnt[1357][3]~q\ & !\led_flash_cnt[1357][2]~45881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1357][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1357][2]~45881\,
	combout => \led_flash_cnt[1357][3]~45882_combout\,
	cout => \led_flash_cnt[1357][3]~45883\);

-- Location: FF_X59_Y38_N9
\led_flash_cnt[1357][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1357][3]~45882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1357][3]~q\);

-- Location: LCCOMB_X59_Y38_N10
\led_flash_cnt[1357][4]~45884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1357][4]~45884_combout\ = (\led_flash_cnt[1357][4]~q\ & (!\led_flash_cnt[1357][3]~45883\)) # (!\led_flash_cnt[1357][4]~q\ & ((\led_flash_cnt[1357][3]~45883\) # (GND)))
-- \led_flash_cnt[1357][4]~45885\ = CARRY((!\led_flash_cnt[1357][3]~45883\) # (!\led_flash_cnt[1357][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1357][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1357][3]~45883\,
	combout => \led_flash_cnt[1357][4]~45884_combout\,
	cout => \led_flash_cnt[1357][4]~45885\);

-- Location: FF_X59_Y38_N11
\led_flash_cnt[1357][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1357][4]~45884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1357][4]~q\);

-- Location: LCCOMB_X59_Y38_N0
\WideAnd1357~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1357~0_combout\ = (\led_flash_cnt[1357][4]~q\ & (\led_flash_cnt[1357][3]~q\ & (\led_flash_cnt[1357][1]~q\ & \led_flash_cnt[1357][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1357][4]~q\,
	datab => \led_flash_cnt[1357][3]~q\,
	datac => \led_flash_cnt[1357][1]~q\,
	datad => \led_flash_cnt[1357][2]~q\,
	combout => \WideAnd1357~0_combout\);

-- Location: LCCOMB_X59_Y38_N12
\led_flash_cnt[1357][5]~45886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1357][5]~45886_combout\ = (\led_flash_cnt[1357][5]~q\ & (\led_flash_cnt[1357][4]~45885\ $ (GND))) # (!\led_flash_cnt[1357][5]~q\ & (!\led_flash_cnt[1357][4]~45885\ & VCC))
-- \led_flash_cnt[1357][5]~45887\ = CARRY((\led_flash_cnt[1357][5]~q\ & !\led_flash_cnt[1357][4]~45885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1357][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1357][4]~45885\,
	combout => \led_flash_cnt[1357][5]~45886_combout\,
	cout => \led_flash_cnt[1357][5]~45887\);

-- Location: FF_X59_Y38_N13
\led_flash_cnt[1357][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1357][5]~45886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1357][5]~q\);

-- Location: LCCOMB_X59_Y38_N14
\led_flash_cnt[1357][6]~45888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1357][6]~45888_combout\ = (\led_flash_cnt[1357][6]~q\ & (!\led_flash_cnt[1357][5]~45887\)) # (!\led_flash_cnt[1357][6]~q\ & ((\led_flash_cnt[1357][5]~45887\) # (GND)))
-- \led_flash_cnt[1357][6]~45889\ = CARRY((!\led_flash_cnt[1357][5]~45887\) # (!\led_flash_cnt[1357][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1357][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1357][5]~45887\,
	combout => \led_flash_cnt[1357][6]~45888_combout\,
	cout => \led_flash_cnt[1357][6]~45889\);

-- Location: FF_X59_Y38_N15
\led_flash_cnt[1357][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1357][6]~45888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1357][6]~q\);

-- Location: LCCOMB_X59_Y38_N16
\led_flash_cnt[1357][7]~45890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1357][7]~45890_combout\ = \led_flash_cnt[1357][6]~45889\ $ (!\led_flash_cnt[1357][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1357][7]~q\,
	cin => \led_flash_cnt[1357][6]~45889\,
	combout => \led_flash_cnt[1357][7]~45890_combout\);

-- Location: FF_X59_Y38_N17
\led_flash_cnt[1357][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1357][7]~45890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1357][7]~q\);

-- Location: LCCOMB_X60_Y38_N2
\WideAnd1357~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1357~1_combout\ = (\led_flash_cnt[1357][6]~q\ & \led_flash_cnt[1357][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1357][6]~q\,
	datad => \led_flash_cnt[1357][5]~q\,
	combout => \WideAnd1357~1_combout\);

-- Location: LCCOMB_X60_Y38_N0
WideAnd1357 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1357~combout\ = (\WideAnd1357~0_combout\ & (\led_flash_cnt[1357][0]~q\ & (\led_flash_cnt[1357][7]~q\ & \WideAnd1357~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1357~0_combout\,
	datab => \led_flash_cnt[1357][0]~q\,
	datac => \led_flash_cnt[1357][7]~q\,
	datad => \WideAnd1357~1_combout\,
	combout => \WideAnd1357~combout\);

-- Location: FF_X60_Y38_N1
\led_flash_cnt_ands[1357]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1357~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1357));

-- Location: LCCOMB_X60_Y38_N12
\led_flash_cnt[1356][0]~81996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1356][0]~81996_combout\ = !\led_flash_cnt[1356][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1356][0]~q\,
	combout => \led_flash_cnt[1356][0]~81996_combout\);

-- Location: FF_X60_Y38_N13
\led_flash_cnt[1356][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1356][0]~81996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1356][0]~q\);

-- Location: LCCOMB_X60_Y38_N14
\led_flash_cnt[1356][1]~45864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1356][1]~45864_combout\ = (\led_flash_cnt[1356][0]~q\ & (\led_flash_cnt[1356][1]~q\ $ (VCC))) # (!\led_flash_cnt[1356][0]~q\ & (\led_flash_cnt[1356][1]~q\ & VCC))
-- \led_flash_cnt[1356][1]~45865\ = CARRY((\led_flash_cnt[1356][0]~q\ & \led_flash_cnt[1356][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1356][0]~q\,
	datab => \led_flash_cnt[1356][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1356][1]~45864_combout\,
	cout => \led_flash_cnt[1356][1]~45865\);

-- Location: FF_X60_Y38_N15
\led_flash_cnt[1356][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1356][1]~45864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1356][1]~q\);

-- Location: LCCOMB_X60_Y38_N16
\led_flash_cnt[1356][2]~45866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1356][2]~45866_combout\ = (\led_flash_cnt[1356][2]~q\ & (!\led_flash_cnt[1356][1]~45865\)) # (!\led_flash_cnt[1356][2]~q\ & ((\led_flash_cnt[1356][1]~45865\) # (GND)))
-- \led_flash_cnt[1356][2]~45867\ = CARRY((!\led_flash_cnt[1356][1]~45865\) # (!\led_flash_cnt[1356][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1356][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1356][1]~45865\,
	combout => \led_flash_cnt[1356][2]~45866_combout\,
	cout => \led_flash_cnt[1356][2]~45867\);

-- Location: FF_X60_Y38_N17
\led_flash_cnt[1356][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1356][2]~45866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1356][2]~q\);

-- Location: LCCOMB_X60_Y38_N18
\led_flash_cnt[1356][3]~45868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1356][3]~45868_combout\ = (\led_flash_cnt[1356][3]~q\ & (\led_flash_cnt[1356][2]~45867\ $ (GND))) # (!\led_flash_cnt[1356][3]~q\ & (!\led_flash_cnt[1356][2]~45867\ & VCC))
-- \led_flash_cnt[1356][3]~45869\ = CARRY((\led_flash_cnt[1356][3]~q\ & !\led_flash_cnt[1356][2]~45867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1356][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1356][2]~45867\,
	combout => \led_flash_cnt[1356][3]~45868_combout\,
	cout => \led_flash_cnt[1356][3]~45869\);

-- Location: FF_X60_Y38_N19
\led_flash_cnt[1356][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1356][3]~45868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1356][3]~q\);

-- Location: LCCOMB_X60_Y38_N20
\led_flash_cnt[1356][4]~45870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1356][4]~45870_combout\ = (\led_flash_cnt[1356][4]~q\ & (!\led_flash_cnt[1356][3]~45869\)) # (!\led_flash_cnt[1356][4]~q\ & ((\led_flash_cnt[1356][3]~45869\) # (GND)))
-- \led_flash_cnt[1356][4]~45871\ = CARRY((!\led_flash_cnt[1356][3]~45869\) # (!\led_flash_cnt[1356][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1356][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1356][3]~45869\,
	combout => \led_flash_cnt[1356][4]~45870_combout\,
	cout => \led_flash_cnt[1356][4]~45871\);

-- Location: FF_X60_Y38_N21
\led_flash_cnt[1356][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1356][4]~45870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1356][4]~q\);

-- Location: LCCOMB_X60_Y38_N22
\led_flash_cnt[1356][5]~45872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1356][5]~45872_combout\ = (\led_flash_cnt[1356][5]~q\ & (\led_flash_cnt[1356][4]~45871\ $ (GND))) # (!\led_flash_cnt[1356][5]~q\ & (!\led_flash_cnt[1356][4]~45871\ & VCC))
-- \led_flash_cnt[1356][5]~45873\ = CARRY((\led_flash_cnt[1356][5]~q\ & !\led_flash_cnt[1356][4]~45871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1356][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1356][4]~45871\,
	combout => \led_flash_cnt[1356][5]~45872_combout\,
	cout => \led_flash_cnt[1356][5]~45873\);

-- Location: FF_X60_Y38_N23
\led_flash_cnt[1356][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1356][5]~45872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1356][5]~q\);

-- Location: LCCOMB_X60_Y38_N24
\led_flash_cnt[1356][6]~45874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1356][6]~45874_combout\ = (\led_flash_cnt[1356][6]~q\ & (!\led_flash_cnt[1356][5]~45873\)) # (!\led_flash_cnt[1356][6]~q\ & ((\led_flash_cnt[1356][5]~45873\) # (GND)))
-- \led_flash_cnt[1356][6]~45875\ = CARRY((!\led_flash_cnt[1356][5]~45873\) # (!\led_flash_cnt[1356][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1356][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1356][5]~45873\,
	combout => \led_flash_cnt[1356][6]~45874_combout\,
	cout => \led_flash_cnt[1356][6]~45875\);

-- Location: FF_X60_Y38_N25
\led_flash_cnt[1356][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1356][6]~45874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1356][6]~q\);

-- Location: LCCOMB_X60_Y38_N10
\WideAnd1356~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1356~1_combout\ = (\led_flash_cnt[1356][5]~q\ & \led_flash_cnt[1356][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1356][5]~q\,
	datad => \led_flash_cnt[1356][6]~q\,
	combout => \WideAnd1356~1_combout\);

-- Location: LCCOMB_X60_Y38_N28
\WideAnd1356~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1356~0_combout\ = (\led_flash_cnt[1356][3]~q\ & (\led_flash_cnt[1356][4]~q\ & (\led_flash_cnt[1356][1]~q\ & \led_flash_cnt[1356][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1356][3]~q\,
	datab => \led_flash_cnt[1356][4]~q\,
	datac => \led_flash_cnt[1356][1]~q\,
	datad => \led_flash_cnt[1356][2]~q\,
	combout => \WideAnd1356~0_combout\);

-- Location: LCCOMB_X60_Y38_N26
\led_flash_cnt[1356][7]~45876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1356][7]~45876_combout\ = \led_flash_cnt[1356][7]~q\ $ (!\led_flash_cnt[1356][6]~45875\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1356][7]~q\,
	cin => \led_flash_cnt[1356][6]~45875\,
	combout => \led_flash_cnt[1356][7]~45876_combout\);

-- Location: FF_X60_Y38_N27
\led_flash_cnt[1356][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1356][7]~45876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1356][7]~q\);

-- Location: LCCOMB_X60_Y38_N8
WideAnd1356 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1356~combout\ = (\WideAnd1356~1_combout\ & (\WideAnd1356~0_combout\ & (\led_flash_cnt[1356][7]~q\ & \led_flash_cnt[1356][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1356~1_combout\,
	datab => \WideAnd1356~0_combout\,
	datac => \led_flash_cnt[1356][7]~q\,
	datad => \led_flash_cnt[1356][0]~q\,
	combout => \WideAnd1356~combout\);

-- Location: FF_X60_Y38_N9
\led_flash_cnt_ands[1356]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1356~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1356));

-- Location: LCCOMB_X61_Y38_N0
\WideAnd4009~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4009~1_combout\ = (led_flash_cnt_ands(1357) & led_flash_cnt_ands(1356))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1357),
	datad => led_flash_cnt_ands(1356),
	combout => \WideAnd4009~1_combout\);

-- Location: LCCOMB_X62_Y43_N4
WideAnd4009 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4009~combout\ = (\WideAnd4009~0_combout\ & (led_flash_cnt_ands(1359) & (led_flash_cnt_ands(1358) & \WideAnd4009~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4009~0_combout\,
	datab => led_flash_cnt_ands(1359),
	datac => led_flash_cnt_ands(1358),
	datad => \WideAnd4009~1_combout\,
	combout => \WideAnd4009~combout\);

-- Location: FF_X62_Y43_N5
\led_flash_cnt_ands_1[169]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4009~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(169));

-- Location: LCCOMB_X67_Y20_N12
\led_flash_cnt[1370][0]~82010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1370][0]~82010_combout\ = !\led_flash_cnt[1370][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1370][0]~q\,
	combout => \led_flash_cnt[1370][0]~82010_combout\);

-- Location: FF_X67_Y20_N13
\led_flash_cnt[1370][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1370][0]~82010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1370][0]~q\);

-- Location: LCCOMB_X67_Y20_N14
\led_flash_cnt[1370][1]~46060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1370][1]~46060_combout\ = (\led_flash_cnt[1370][0]~q\ & (\led_flash_cnt[1370][1]~q\ $ (VCC))) # (!\led_flash_cnt[1370][0]~q\ & (\led_flash_cnt[1370][1]~q\ & VCC))
-- \led_flash_cnt[1370][1]~46061\ = CARRY((\led_flash_cnt[1370][0]~q\ & \led_flash_cnt[1370][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1370][0]~q\,
	datab => \led_flash_cnt[1370][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1370][1]~46060_combout\,
	cout => \led_flash_cnt[1370][1]~46061\);

-- Location: FF_X67_Y20_N15
\led_flash_cnt[1370][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1370][1]~46060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1370][1]~q\);

-- Location: LCCOMB_X67_Y20_N16
\led_flash_cnt[1370][2]~46062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1370][2]~46062_combout\ = (\led_flash_cnt[1370][2]~q\ & (!\led_flash_cnt[1370][1]~46061\)) # (!\led_flash_cnt[1370][2]~q\ & ((\led_flash_cnt[1370][1]~46061\) # (GND)))
-- \led_flash_cnt[1370][2]~46063\ = CARRY((!\led_flash_cnt[1370][1]~46061\) # (!\led_flash_cnt[1370][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1370][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1370][1]~46061\,
	combout => \led_flash_cnt[1370][2]~46062_combout\,
	cout => \led_flash_cnt[1370][2]~46063\);

-- Location: FF_X67_Y20_N17
\led_flash_cnt[1370][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1370][2]~46062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1370][2]~q\);

-- Location: LCCOMB_X67_Y20_N18
\led_flash_cnt[1370][3]~46064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1370][3]~46064_combout\ = (\led_flash_cnt[1370][3]~q\ & (\led_flash_cnt[1370][2]~46063\ $ (GND))) # (!\led_flash_cnt[1370][3]~q\ & (!\led_flash_cnt[1370][2]~46063\ & VCC))
-- \led_flash_cnt[1370][3]~46065\ = CARRY((\led_flash_cnt[1370][3]~q\ & !\led_flash_cnt[1370][2]~46063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1370][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1370][2]~46063\,
	combout => \led_flash_cnt[1370][3]~46064_combout\,
	cout => \led_flash_cnt[1370][3]~46065\);

-- Location: FF_X67_Y20_N19
\led_flash_cnt[1370][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1370][3]~46064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1370][3]~q\);

-- Location: LCCOMB_X67_Y20_N20
\led_flash_cnt[1370][4]~46066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1370][4]~46066_combout\ = (\led_flash_cnt[1370][4]~q\ & (!\led_flash_cnt[1370][3]~46065\)) # (!\led_flash_cnt[1370][4]~q\ & ((\led_flash_cnt[1370][3]~46065\) # (GND)))
-- \led_flash_cnt[1370][4]~46067\ = CARRY((!\led_flash_cnt[1370][3]~46065\) # (!\led_flash_cnt[1370][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1370][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1370][3]~46065\,
	combout => \led_flash_cnt[1370][4]~46066_combout\,
	cout => \led_flash_cnt[1370][4]~46067\);

-- Location: FF_X67_Y20_N21
\led_flash_cnt[1370][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1370][4]~46066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1370][4]~q\);

-- Location: LCCOMB_X67_Y20_N22
\led_flash_cnt[1370][5]~46068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1370][5]~46068_combout\ = (\led_flash_cnt[1370][5]~q\ & (\led_flash_cnt[1370][4]~46067\ $ (GND))) # (!\led_flash_cnt[1370][5]~q\ & (!\led_flash_cnt[1370][4]~46067\ & VCC))
-- \led_flash_cnt[1370][5]~46069\ = CARRY((\led_flash_cnt[1370][5]~q\ & !\led_flash_cnt[1370][4]~46067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1370][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1370][4]~46067\,
	combout => \led_flash_cnt[1370][5]~46068_combout\,
	cout => \led_flash_cnt[1370][5]~46069\);

-- Location: FF_X67_Y20_N23
\led_flash_cnt[1370][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1370][5]~46068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1370][5]~q\);

-- Location: LCCOMB_X67_Y20_N24
\led_flash_cnt[1370][6]~46070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1370][6]~46070_combout\ = (\led_flash_cnt[1370][6]~q\ & (!\led_flash_cnt[1370][5]~46069\)) # (!\led_flash_cnt[1370][6]~q\ & ((\led_flash_cnt[1370][5]~46069\) # (GND)))
-- \led_flash_cnt[1370][6]~46071\ = CARRY((!\led_flash_cnt[1370][5]~46069\) # (!\led_flash_cnt[1370][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1370][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1370][5]~46069\,
	combout => \led_flash_cnt[1370][6]~46070_combout\,
	cout => \led_flash_cnt[1370][6]~46071\);

-- Location: FF_X67_Y20_N25
\led_flash_cnt[1370][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1370][6]~46070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1370][6]~q\);

-- Location: LCCOMB_X67_Y20_N10
\WideAnd1370~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1370~1_combout\ = (\led_flash_cnt[1370][5]~q\ & \led_flash_cnt[1370][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1370][5]~q\,
	datad => \led_flash_cnt[1370][6]~q\,
	combout => \WideAnd1370~1_combout\);

-- Location: LCCOMB_X67_Y20_N28
\WideAnd1370~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1370~0_combout\ = (\led_flash_cnt[1370][4]~q\ & (\led_flash_cnt[1370][3]~q\ & (\led_flash_cnt[1370][1]~q\ & \led_flash_cnt[1370][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1370][4]~q\,
	datab => \led_flash_cnt[1370][3]~q\,
	datac => \led_flash_cnt[1370][1]~q\,
	datad => \led_flash_cnt[1370][2]~q\,
	combout => \WideAnd1370~0_combout\);

-- Location: LCCOMB_X67_Y20_N26
\led_flash_cnt[1370][7]~46072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1370][7]~46072_combout\ = \led_flash_cnt[1370][7]~q\ $ (!\led_flash_cnt[1370][6]~46071\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1370][7]~q\,
	cin => \led_flash_cnt[1370][6]~46071\,
	combout => \led_flash_cnt[1370][7]~46072_combout\);

-- Location: FF_X67_Y20_N27
\led_flash_cnt[1370][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1370][7]~46072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1370][7]~q\);

-- Location: LCCOMB_X67_Y20_N8
WideAnd1370 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1370~combout\ = (\WideAnd1370~1_combout\ & (\WideAnd1370~0_combout\ & (\led_flash_cnt[1370][7]~q\ & \led_flash_cnt[1370][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1370~1_combout\,
	datab => \WideAnd1370~0_combout\,
	datac => \led_flash_cnt[1370][7]~q\,
	datad => \led_flash_cnt[1370][0]~q\,
	combout => \WideAnd1370~combout\);

-- Location: FF_X67_Y20_N9
\led_flash_cnt_ands[1370]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1370~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1370));

-- Location: LCCOMB_X67_Y22_N2
\led_flash_cnt[1369][0]~82009\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1369][0]~82009_combout\ = !\led_flash_cnt[1369][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1369][0]~q\,
	combout => \led_flash_cnt[1369][0]~82009_combout\);

-- Location: FF_X67_Y22_N3
\led_flash_cnt[1369][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1369][0]~82009_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1369][0]~q\);

-- Location: LCCOMB_X66_Y22_N14
\led_flash_cnt[1369][1]~46046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1369][1]~46046_combout\ = (\led_flash_cnt[1369][0]~q\ & (\led_flash_cnt[1369][1]~q\ $ (VCC))) # (!\led_flash_cnt[1369][0]~q\ & (\led_flash_cnt[1369][1]~q\ & VCC))
-- \led_flash_cnt[1369][1]~46047\ = CARRY((\led_flash_cnt[1369][0]~q\ & \led_flash_cnt[1369][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1369][0]~q\,
	datab => \led_flash_cnt[1369][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1369][1]~46046_combout\,
	cout => \led_flash_cnt[1369][1]~46047\);

-- Location: FF_X66_Y22_N15
\led_flash_cnt[1369][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1369][1]~46046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1369][1]~q\);

-- Location: LCCOMB_X66_Y22_N16
\led_flash_cnt[1369][2]~46048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1369][2]~46048_combout\ = (\led_flash_cnt[1369][2]~q\ & (!\led_flash_cnt[1369][1]~46047\)) # (!\led_flash_cnt[1369][2]~q\ & ((\led_flash_cnt[1369][1]~46047\) # (GND)))
-- \led_flash_cnt[1369][2]~46049\ = CARRY((!\led_flash_cnt[1369][1]~46047\) # (!\led_flash_cnt[1369][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1369][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1369][1]~46047\,
	combout => \led_flash_cnt[1369][2]~46048_combout\,
	cout => \led_flash_cnt[1369][2]~46049\);

-- Location: FF_X66_Y22_N17
\led_flash_cnt[1369][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1369][2]~46048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1369][2]~q\);

-- Location: LCCOMB_X66_Y22_N18
\led_flash_cnt[1369][3]~46050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1369][3]~46050_combout\ = (\led_flash_cnt[1369][3]~q\ & (\led_flash_cnt[1369][2]~46049\ $ (GND))) # (!\led_flash_cnt[1369][3]~q\ & (!\led_flash_cnt[1369][2]~46049\ & VCC))
-- \led_flash_cnt[1369][3]~46051\ = CARRY((\led_flash_cnt[1369][3]~q\ & !\led_flash_cnt[1369][2]~46049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1369][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1369][2]~46049\,
	combout => \led_flash_cnt[1369][3]~46050_combout\,
	cout => \led_flash_cnt[1369][3]~46051\);

-- Location: FF_X66_Y22_N19
\led_flash_cnt[1369][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1369][3]~46050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1369][3]~q\);

-- Location: LCCOMB_X66_Y22_N20
\led_flash_cnt[1369][4]~46052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1369][4]~46052_combout\ = (\led_flash_cnt[1369][4]~q\ & (!\led_flash_cnt[1369][3]~46051\)) # (!\led_flash_cnt[1369][4]~q\ & ((\led_flash_cnt[1369][3]~46051\) # (GND)))
-- \led_flash_cnt[1369][4]~46053\ = CARRY((!\led_flash_cnt[1369][3]~46051\) # (!\led_flash_cnt[1369][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1369][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1369][3]~46051\,
	combout => \led_flash_cnt[1369][4]~46052_combout\,
	cout => \led_flash_cnt[1369][4]~46053\);

-- Location: FF_X66_Y22_N21
\led_flash_cnt[1369][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1369][4]~46052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1369][4]~q\);

-- Location: LCCOMB_X66_Y22_N22
\led_flash_cnt[1369][5]~46054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1369][5]~46054_combout\ = (\led_flash_cnt[1369][5]~q\ & (\led_flash_cnt[1369][4]~46053\ $ (GND))) # (!\led_flash_cnt[1369][5]~q\ & (!\led_flash_cnt[1369][4]~46053\ & VCC))
-- \led_flash_cnt[1369][5]~46055\ = CARRY((\led_flash_cnt[1369][5]~q\ & !\led_flash_cnt[1369][4]~46053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1369][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1369][4]~46053\,
	combout => \led_flash_cnt[1369][5]~46054_combout\,
	cout => \led_flash_cnt[1369][5]~46055\);

-- Location: FF_X66_Y22_N23
\led_flash_cnt[1369][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1369][5]~46054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1369][5]~q\);

-- Location: LCCOMB_X66_Y22_N24
\led_flash_cnt[1369][6]~46056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1369][6]~46056_combout\ = (\led_flash_cnt[1369][6]~q\ & (!\led_flash_cnt[1369][5]~46055\)) # (!\led_flash_cnt[1369][6]~q\ & ((\led_flash_cnt[1369][5]~46055\) # (GND)))
-- \led_flash_cnt[1369][6]~46057\ = CARRY((!\led_flash_cnt[1369][5]~46055\) # (!\led_flash_cnt[1369][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1369][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1369][5]~46055\,
	combout => \led_flash_cnt[1369][6]~46056_combout\,
	cout => \led_flash_cnt[1369][6]~46057\);

-- Location: FF_X66_Y22_N25
\led_flash_cnt[1369][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1369][6]~46056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1369][6]~q\);

-- Location: LCCOMB_X67_Y22_N26
\WideAnd1369~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1369~1_combout\ = (\led_flash_cnt[1369][6]~q\ & \led_flash_cnt[1369][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1369][6]~q\,
	datad => \led_flash_cnt[1369][5]~q\,
	combout => \WideAnd1369~1_combout\);

-- Location: LCCOMB_X66_Y22_N30
\WideAnd1369~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1369~0_combout\ = (\led_flash_cnt[1369][2]~q\ & (\led_flash_cnt[1369][3]~q\ & (\led_flash_cnt[1369][1]~q\ & \led_flash_cnt[1369][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1369][2]~q\,
	datab => \led_flash_cnt[1369][3]~q\,
	datac => \led_flash_cnt[1369][1]~q\,
	datad => \led_flash_cnt[1369][4]~q\,
	combout => \WideAnd1369~0_combout\);

-- Location: LCCOMB_X66_Y22_N26
\led_flash_cnt[1369][7]~46058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1369][7]~46058_combout\ = \led_flash_cnt[1369][7]~q\ $ (!\led_flash_cnt[1369][6]~46057\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1369][7]~q\,
	cin => \led_flash_cnt[1369][6]~46057\,
	combout => \led_flash_cnt[1369][7]~46058_combout\);

-- Location: FF_X66_Y22_N27
\led_flash_cnt[1369][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1369][7]~46058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1369][7]~q\);

-- Location: LCCOMB_X67_Y22_N8
WideAnd1369 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1369~combout\ = (\WideAnd1369~1_combout\ & (\WideAnd1369~0_combout\ & (\led_flash_cnt[1369][7]~q\ & \led_flash_cnt[1369][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1369~1_combout\,
	datab => \WideAnd1369~0_combout\,
	datac => \led_flash_cnt[1369][7]~q\,
	datad => \led_flash_cnt[1369][0]~q\,
	combout => \WideAnd1369~combout\);

-- Location: FF_X67_Y22_N9
\led_flash_cnt_ands[1369]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1369~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1369));

-- Location: LCCOMB_X70_Y22_N24
\led_flash_cnt[1371][0]~82011\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1371][0]~82011_combout\ = !\led_flash_cnt[1371][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1371][0]~q\,
	combout => \led_flash_cnt[1371][0]~82011_combout\);

-- Location: FF_X70_Y22_N25
\led_flash_cnt[1371][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1371][0]~82011_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1371][0]~q\);

-- Location: LCCOMB_X70_Y22_N2
\led_flash_cnt[1371][1]~46074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1371][1]~46074_combout\ = (\led_flash_cnt[1371][1]~q\ & (\led_flash_cnt[1371][0]~q\ $ (VCC))) # (!\led_flash_cnt[1371][1]~q\ & (\led_flash_cnt[1371][0]~q\ & VCC))
-- \led_flash_cnt[1371][1]~46075\ = CARRY((\led_flash_cnt[1371][1]~q\ & \led_flash_cnt[1371][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1371][1]~q\,
	datab => \led_flash_cnt[1371][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1371][1]~46074_combout\,
	cout => \led_flash_cnt[1371][1]~46075\);

-- Location: FF_X70_Y22_N3
\led_flash_cnt[1371][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1371][1]~46074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1371][1]~q\);

-- Location: LCCOMB_X70_Y22_N4
\led_flash_cnt[1371][2]~46076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1371][2]~46076_combout\ = (\led_flash_cnt[1371][2]~q\ & (!\led_flash_cnt[1371][1]~46075\)) # (!\led_flash_cnt[1371][2]~q\ & ((\led_flash_cnt[1371][1]~46075\) # (GND)))
-- \led_flash_cnt[1371][2]~46077\ = CARRY((!\led_flash_cnt[1371][1]~46075\) # (!\led_flash_cnt[1371][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1371][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1371][1]~46075\,
	combout => \led_flash_cnt[1371][2]~46076_combout\,
	cout => \led_flash_cnt[1371][2]~46077\);

-- Location: FF_X70_Y22_N5
\led_flash_cnt[1371][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1371][2]~46076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1371][2]~q\);

-- Location: LCCOMB_X70_Y22_N6
\led_flash_cnt[1371][3]~46078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1371][3]~46078_combout\ = (\led_flash_cnt[1371][3]~q\ & (\led_flash_cnt[1371][2]~46077\ $ (GND))) # (!\led_flash_cnt[1371][3]~q\ & (!\led_flash_cnt[1371][2]~46077\ & VCC))
-- \led_flash_cnt[1371][3]~46079\ = CARRY((\led_flash_cnt[1371][3]~q\ & !\led_flash_cnt[1371][2]~46077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1371][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1371][2]~46077\,
	combout => \led_flash_cnt[1371][3]~46078_combout\,
	cout => \led_flash_cnt[1371][3]~46079\);

-- Location: FF_X70_Y22_N7
\led_flash_cnt[1371][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1371][3]~46078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1371][3]~q\);

-- Location: LCCOMB_X70_Y22_N8
\led_flash_cnt[1371][4]~46080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1371][4]~46080_combout\ = (\led_flash_cnt[1371][4]~q\ & (!\led_flash_cnt[1371][3]~46079\)) # (!\led_flash_cnt[1371][4]~q\ & ((\led_flash_cnt[1371][3]~46079\) # (GND)))
-- \led_flash_cnt[1371][4]~46081\ = CARRY((!\led_flash_cnt[1371][3]~46079\) # (!\led_flash_cnt[1371][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1371][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1371][3]~46079\,
	combout => \led_flash_cnt[1371][4]~46080_combout\,
	cout => \led_flash_cnt[1371][4]~46081\);

-- Location: FF_X70_Y22_N9
\led_flash_cnt[1371][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1371][4]~46080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1371][4]~q\);

-- Location: LCCOMB_X70_Y22_N10
\led_flash_cnt[1371][5]~46082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1371][5]~46082_combout\ = (\led_flash_cnt[1371][5]~q\ & (\led_flash_cnt[1371][4]~46081\ $ (GND))) # (!\led_flash_cnt[1371][5]~q\ & (!\led_flash_cnt[1371][4]~46081\ & VCC))
-- \led_flash_cnt[1371][5]~46083\ = CARRY((\led_flash_cnt[1371][5]~q\ & !\led_flash_cnt[1371][4]~46081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1371][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1371][4]~46081\,
	combout => \led_flash_cnt[1371][5]~46082_combout\,
	cout => \led_flash_cnt[1371][5]~46083\);

-- Location: FF_X70_Y22_N11
\led_flash_cnt[1371][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1371][5]~46082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1371][5]~q\);

-- Location: LCCOMB_X70_Y22_N12
\led_flash_cnt[1371][6]~46084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1371][6]~46084_combout\ = (\led_flash_cnt[1371][6]~q\ & (!\led_flash_cnt[1371][5]~46083\)) # (!\led_flash_cnt[1371][6]~q\ & ((\led_flash_cnt[1371][5]~46083\) # (GND)))
-- \led_flash_cnt[1371][6]~46085\ = CARRY((!\led_flash_cnt[1371][5]~46083\) # (!\led_flash_cnt[1371][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1371][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1371][5]~46083\,
	combout => \led_flash_cnt[1371][6]~46084_combout\,
	cout => \led_flash_cnt[1371][6]~46085\);

-- Location: FF_X70_Y22_N13
\led_flash_cnt[1371][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1371][6]~46084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1371][6]~q\);

-- Location: LCCOMB_X70_Y22_N22
\WideAnd1371~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1371~1_combout\ = (\led_flash_cnt[1371][6]~q\ & \led_flash_cnt[1371][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1371][6]~q\,
	datad => \led_flash_cnt[1371][5]~q\,
	combout => \WideAnd1371~1_combout\);

-- Location: LCCOMB_X70_Y22_N14
\led_flash_cnt[1371][7]~46086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1371][7]~46086_combout\ = \led_flash_cnt[1371][7]~q\ $ (!\led_flash_cnt[1371][6]~46085\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1371][7]~q\,
	cin => \led_flash_cnt[1371][6]~46085\,
	combout => \led_flash_cnt[1371][7]~46086_combout\);

-- Location: FF_X70_Y22_N15
\led_flash_cnt[1371][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1371][7]~46086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1371][7]~q\);

-- Location: LCCOMB_X70_Y22_N18
\WideAnd1371~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1371~0_combout\ = (\led_flash_cnt[1371][1]~q\ & (\led_flash_cnt[1371][4]~q\ & (\led_flash_cnt[1371][2]~q\ & \led_flash_cnt[1371][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1371][1]~q\,
	datab => \led_flash_cnt[1371][4]~q\,
	datac => \led_flash_cnt[1371][2]~q\,
	datad => \led_flash_cnt[1371][3]~q\,
	combout => \WideAnd1371~0_combout\);

-- Location: LCCOMB_X70_Y22_N26
WideAnd1371 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1371~combout\ = (\WideAnd1371~1_combout\ & (\led_flash_cnt[1371][0]~q\ & (\led_flash_cnt[1371][7]~q\ & \WideAnd1371~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1371~1_combout\,
	datab => \led_flash_cnt[1371][0]~q\,
	datac => \led_flash_cnt[1371][7]~q\,
	datad => \WideAnd1371~0_combout\,
	combout => \WideAnd1371~combout\);

-- Location: FF_X70_Y22_N27
\led_flash_cnt_ands[1371]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1371~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1371));

-- Location: LCCOMB_X67_Y22_N4
\led_flash_cnt[1368][0]~82008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1368][0]~82008_combout\ = !\led_flash_cnt[1368][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1368][0]~q\,
	combout => \led_flash_cnt[1368][0]~82008_combout\);

-- Location: FF_X67_Y22_N5
\led_flash_cnt[1368][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1368][0]~82008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1368][0]~q\);

-- Location: LCCOMB_X67_Y22_N10
\led_flash_cnt[1368][1]~46032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1368][1]~46032_combout\ = (\led_flash_cnt[1368][1]~q\ & (\led_flash_cnt[1368][0]~q\ $ (VCC))) # (!\led_flash_cnt[1368][1]~q\ & (\led_flash_cnt[1368][0]~q\ & VCC))
-- \led_flash_cnt[1368][1]~46033\ = CARRY((\led_flash_cnt[1368][1]~q\ & \led_flash_cnt[1368][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1368][1]~q\,
	datab => \led_flash_cnt[1368][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1368][1]~46032_combout\,
	cout => \led_flash_cnt[1368][1]~46033\);

-- Location: FF_X67_Y22_N11
\led_flash_cnt[1368][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1368][1]~46032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1368][1]~q\);

-- Location: LCCOMB_X67_Y22_N12
\led_flash_cnt[1368][2]~46034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1368][2]~46034_combout\ = (\led_flash_cnt[1368][2]~q\ & (!\led_flash_cnt[1368][1]~46033\)) # (!\led_flash_cnt[1368][2]~q\ & ((\led_flash_cnt[1368][1]~46033\) # (GND)))
-- \led_flash_cnt[1368][2]~46035\ = CARRY((!\led_flash_cnt[1368][1]~46033\) # (!\led_flash_cnt[1368][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1368][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1368][1]~46033\,
	combout => \led_flash_cnt[1368][2]~46034_combout\,
	cout => \led_flash_cnt[1368][2]~46035\);

-- Location: FF_X67_Y22_N13
\led_flash_cnt[1368][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1368][2]~46034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1368][2]~q\);

-- Location: LCCOMB_X67_Y22_N14
\led_flash_cnt[1368][3]~46036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1368][3]~46036_combout\ = (\led_flash_cnt[1368][3]~q\ & (\led_flash_cnt[1368][2]~46035\ $ (GND))) # (!\led_flash_cnt[1368][3]~q\ & (!\led_flash_cnt[1368][2]~46035\ & VCC))
-- \led_flash_cnt[1368][3]~46037\ = CARRY((\led_flash_cnt[1368][3]~q\ & !\led_flash_cnt[1368][2]~46035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1368][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1368][2]~46035\,
	combout => \led_flash_cnt[1368][3]~46036_combout\,
	cout => \led_flash_cnt[1368][3]~46037\);

-- Location: FF_X67_Y22_N15
\led_flash_cnt[1368][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1368][3]~46036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1368][3]~q\);

-- Location: LCCOMB_X67_Y22_N16
\led_flash_cnt[1368][4]~46038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1368][4]~46038_combout\ = (\led_flash_cnt[1368][4]~q\ & (!\led_flash_cnt[1368][3]~46037\)) # (!\led_flash_cnt[1368][4]~q\ & ((\led_flash_cnt[1368][3]~46037\) # (GND)))
-- \led_flash_cnt[1368][4]~46039\ = CARRY((!\led_flash_cnt[1368][3]~46037\) # (!\led_flash_cnt[1368][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1368][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1368][3]~46037\,
	combout => \led_flash_cnt[1368][4]~46038_combout\,
	cout => \led_flash_cnt[1368][4]~46039\);

-- Location: FF_X67_Y22_N17
\led_flash_cnt[1368][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1368][4]~46038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1368][4]~q\);

-- Location: LCCOMB_X67_Y22_N18
\led_flash_cnt[1368][5]~46040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1368][5]~46040_combout\ = (\led_flash_cnt[1368][5]~q\ & (\led_flash_cnt[1368][4]~46039\ $ (GND))) # (!\led_flash_cnt[1368][5]~q\ & (!\led_flash_cnt[1368][4]~46039\ & VCC))
-- \led_flash_cnt[1368][5]~46041\ = CARRY((\led_flash_cnt[1368][5]~q\ & !\led_flash_cnt[1368][4]~46039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1368][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1368][4]~46039\,
	combout => \led_flash_cnt[1368][5]~46040_combout\,
	cout => \led_flash_cnt[1368][5]~46041\);

-- Location: FF_X67_Y22_N19
\led_flash_cnt[1368][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1368][5]~46040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1368][5]~q\);

-- Location: LCCOMB_X67_Y22_N20
\led_flash_cnt[1368][6]~46042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1368][6]~46042_combout\ = (\led_flash_cnt[1368][6]~q\ & (!\led_flash_cnt[1368][5]~46041\)) # (!\led_flash_cnt[1368][6]~q\ & ((\led_flash_cnt[1368][5]~46041\) # (GND)))
-- \led_flash_cnt[1368][6]~46043\ = CARRY((!\led_flash_cnt[1368][5]~46041\) # (!\led_flash_cnt[1368][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1368][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1368][5]~46041\,
	combout => \led_flash_cnt[1368][6]~46042_combout\,
	cout => \led_flash_cnt[1368][6]~46043\);

-- Location: FF_X67_Y22_N21
\led_flash_cnt[1368][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1368][6]~46042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1368][6]~q\);

-- Location: LCCOMB_X67_Y22_N30
\WideAnd1368~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1368~1_combout\ = (\led_flash_cnt[1368][6]~q\ & \led_flash_cnt[1368][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1368][6]~q\,
	datad => \led_flash_cnt[1368][5]~q\,
	combout => \WideAnd1368~1_combout\);

-- Location: LCCOMB_X67_Y22_N22
\led_flash_cnt[1368][7]~46044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1368][7]~46044_combout\ = \led_flash_cnt[1368][7]~q\ $ (!\led_flash_cnt[1368][6]~46043\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1368][7]~q\,
	cin => \led_flash_cnt[1368][6]~46043\,
	combout => \led_flash_cnt[1368][7]~46044_combout\);

-- Location: FF_X67_Y22_N23
\led_flash_cnt[1368][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1368][7]~46044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1368][7]~q\);

-- Location: LCCOMB_X67_Y22_N28
\WideAnd1368~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1368~0_combout\ = (\led_flash_cnt[1368][2]~q\ & (\led_flash_cnt[1368][4]~q\ & (\led_flash_cnt[1368][3]~q\ & \led_flash_cnt[1368][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1368][2]~q\,
	datab => \led_flash_cnt[1368][4]~q\,
	datac => \led_flash_cnt[1368][3]~q\,
	datad => \led_flash_cnt[1368][1]~q\,
	combout => \WideAnd1368~0_combout\);

-- Location: LCCOMB_X67_Y22_N24
WideAnd1368 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1368~combout\ = (\WideAnd1368~1_combout\ & (\led_flash_cnt[1368][0]~q\ & (\led_flash_cnt[1368][7]~q\ & \WideAnd1368~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1368~1_combout\,
	datab => \led_flash_cnt[1368][0]~q\,
	datac => \led_flash_cnt[1368][7]~q\,
	datad => \WideAnd1368~0_combout\,
	combout => \WideAnd1368~combout\);

-- Location: FF_X67_Y22_N25
\led_flash_cnt_ands[1368]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1368~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1368));

-- Location: LCCOMB_X67_Y22_N6
\WideAnd4011~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4011~0_combout\ = (led_flash_cnt_ands(1370) & (led_flash_cnt_ands(1369) & (led_flash_cnt_ands(1371) & led_flash_cnt_ands(1368))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1370),
	datab => led_flash_cnt_ands(1369),
	datac => led_flash_cnt_ands(1371),
	datad => led_flash_cnt_ands(1368),
	combout => \WideAnd4011~0_combout\);

-- Location: LCCOMB_X62_Y22_N28
\led_flash_cnt[1374][0]~82014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1374][0]~82014_combout\ = !\led_flash_cnt[1374][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1374][0]~q\,
	combout => \led_flash_cnt[1374][0]~82014_combout\);

-- Location: FF_X62_Y22_N29
\led_flash_cnt[1374][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1374][0]~82014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1374][0]~q\);

-- Location: LCCOMB_X62_Y22_N12
\led_flash_cnt[1374][1]~46116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1374][1]~46116_combout\ = (\led_flash_cnt[1374][1]~q\ & (\led_flash_cnt[1374][0]~q\ $ (VCC))) # (!\led_flash_cnt[1374][1]~q\ & (\led_flash_cnt[1374][0]~q\ & VCC))
-- \led_flash_cnt[1374][1]~46117\ = CARRY((\led_flash_cnt[1374][1]~q\ & \led_flash_cnt[1374][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1374][1]~q\,
	datab => \led_flash_cnt[1374][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1374][1]~46116_combout\,
	cout => \led_flash_cnt[1374][1]~46117\);

-- Location: FF_X62_Y22_N13
\led_flash_cnt[1374][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1374][1]~46116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1374][1]~q\);

-- Location: LCCOMB_X62_Y22_N14
\led_flash_cnt[1374][2]~46118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1374][2]~46118_combout\ = (\led_flash_cnt[1374][2]~q\ & (!\led_flash_cnt[1374][1]~46117\)) # (!\led_flash_cnt[1374][2]~q\ & ((\led_flash_cnt[1374][1]~46117\) # (GND)))
-- \led_flash_cnt[1374][2]~46119\ = CARRY((!\led_flash_cnt[1374][1]~46117\) # (!\led_flash_cnt[1374][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1374][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1374][1]~46117\,
	combout => \led_flash_cnt[1374][2]~46118_combout\,
	cout => \led_flash_cnt[1374][2]~46119\);

-- Location: FF_X62_Y22_N15
\led_flash_cnt[1374][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1374][2]~46118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1374][2]~q\);

-- Location: LCCOMB_X62_Y22_N16
\led_flash_cnt[1374][3]~46120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1374][3]~46120_combout\ = (\led_flash_cnt[1374][3]~q\ & (\led_flash_cnt[1374][2]~46119\ $ (GND))) # (!\led_flash_cnt[1374][3]~q\ & (!\led_flash_cnt[1374][2]~46119\ & VCC))
-- \led_flash_cnt[1374][3]~46121\ = CARRY((\led_flash_cnt[1374][3]~q\ & !\led_flash_cnt[1374][2]~46119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1374][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1374][2]~46119\,
	combout => \led_flash_cnt[1374][3]~46120_combout\,
	cout => \led_flash_cnt[1374][3]~46121\);

-- Location: FF_X62_Y22_N17
\led_flash_cnt[1374][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1374][3]~46120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1374][3]~q\);

-- Location: LCCOMB_X62_Y22_N18
\led_flash_cnt[1374][4]~46122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1374][4]~46122_combout\ = (\led_flash_cnt[1374][4]~q\ & (!\led_flash_cnt[1374][3]~46121\)) # (!\led_flash_cnt[1374][4]~q\ & ((\led_flash_cnt[1374][3]~46121\) # (GND)))
-- \led_flash_cnt[1374][4]~46123\ = CARRY((!\led_flash_cnt[1374][3]~46121\) # (!\led_flash_cnt[1374][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1374][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1374][3]~46121\,
	combout => \led_flash_cnt[1374][4]~46122_combout\,
	cout => \led_flash_cnt[1374][4]~46123\);

-- Location: FF_X62_Y22_N19
\led_flash_cnt[1374][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1374][4]~46122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1374][4]~q\);

-- Location: LCCOMB_X62_Y22_N10
\WideAnd1374~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1374~0_combout\ = (\led_flash_cnt[1374][1]~q\ & (\led_flash_cnt[1374][4]~q\ & (\led_flash_cnt[1374][2]~q\ & \led_flash_cnt[1374][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1374][1]~q\,
	datab => \led_flash_cnt[1374][4]~q\,
	datac => \led_flash_cnt[1374][2]~q\,
	datad => \led_flash_cnt[1374][3]~q\,
	combout => \WideAnd1374~0_combout\);

-- Location: LCCOMB_X62_Y22_N20
\led_flash_cnt[1374][5]~46124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1374][5]~46124_combout\ = (\led_flash_cnt[1374][5]~q\ & (\led_flash_cnt[1374][4]~46123\ $ (GND))) # (!\led_flash_cnt[1374][5]~q\ & (!\led_flash_cnt[1374][4]~46123\ & VCC))
-- \led_flash_cnt[1374][5]~46125\ = CARRY((\led_flash_cnt[1374][5]~q\ & !\led_flash_cnt[1374][4]~46123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1374][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1374][4]~46123\,
	combout => \led_flash_cnt[1374][5]~46124_combout\,
	cout => \led_flash_cnt[1374][5]~46125\);

-- Location: FF_X62_Y22_N21
\led_flash_cnt[1374][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1374][5]~46124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1374][5]~q\);

-- Location: LCCOMB_X62_Y22_N22
\led_flash_cnt[1374][6]~46126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1374][6]~46126_combout\ = (\led_flash_cnt[1374][6]~q\ & (!\led_flash_cnt[1374][5]~46125\)) # (!\led_flash_cnt[1374][6]~q\ & ((\led_flash_cnt[1374][5]~46125\) # (GND)))
-- \led_flash_cnt[1374][6]~46127\ = CARRY((!\led_flash_cnt[1374][5]~46125\) # (!\led_flash_cnt[1374][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1374][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1374][5]~46125\,
	combout => \led_flash_cnt[1374][6]~46126_combout\,
	cout => \led_flash_cnt[1374][6]~46127\);

-- Location: FF_X62_Y22_N23
\led_flash_cnt[1374][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1374][6]~46126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1374][6]~q\);

-- Location: LCCOMB_X62_Y22_N24
\led_flash_cnt[1374][7]~46128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1374][7]~46128_combout\ = \led_flash_cnt[1374][6]~46127\ $ (!\led_flash_cnt[1374][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1374][7]~q\,
	cin => \led_flash_cnt[1374][6]~46127\,
	combout => \led_flash_cnt[1374][7]~46128_combout\);

-- Location: FF_X62_Y22_N25
\led_flash_cnt[1374][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1374][7]~46128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1374][7]~q\);

-- Location: LCCOMB_X62_Y22_N8
\WideAnd1374~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1374~1_combout\ = (\led_flash_cnt[1374][6]~q\ & \led_flash_cnt[1374][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1374][6]~q\,
	datad => \led_flash_cnt[1374][5]~q\,
	combout => \WideAnd1374~1_combout\);

-- Location: LCCOMB_X62_Y22_N30
WideAnd1374 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1374~combout\ = (\WideAnd1374~0_combout\ & (\led_flash_cnt[1374][7]~q\ & (\WideAnd1374~1_combout\ & \led_flash_cnt[1374][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1374~0_combout\,
	datab => \led_flash_cnt[1374][7]~q\,
	datac => \WideAnd1374~1_combout\,
	datad => \led_flash_cnt[1374][0]~q\,
	combout => \WideAnd1374~combout\);

-- Location: FF_X62_Y22_N31
\led_flash_cnt_ands[1374]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1374~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1374));

-- Location: LCCOMB_X62_Y14_N6
\led_flash_cnt[1375][0]~82015\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1375][0]~82015_combout\ = !\led_flash_cnt[1375][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1375][0]~q\,
	combout => \led_flash_cnt[1375][0]~82015_combout\);

-- Location: FF_X62_Y14_N7
\led_flash_cnt[1375][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1375][0]~82015_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1375][0]~q\);

-- Location: LCCOMB_X62_Y14_N8
\led_flash_cnt[1375][1]~46130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1375][1]~46130_combout\ = (\led_flash_cnt[1375][0]~q\ & (\led_flash_cnt[1375][1]~q\ $ (VCC))) # (!\led_flash_cnt[1375][0]~q\ & (\led_flash_cnt[1375][1]~q\ & VCC))
-- \led_flash_cnt[1375][1]~46131\ = CARRY((\led_flash_cnt[1375][0]~q\ & \led_flash_cnt[1375][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1375][0]~q\,
	datab => \led_flash_cnt[1375][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1375][1]~46130_combout\,
	cout => \led_flash_cnt[1375][1]~46131\);

-- Location: FF_X62_Y14_N9
\led_flash_cnt[1375][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1375][1]~46130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1375][1]~q\);

-- Location: LCCOMB_X62_Y14_N10
\led_flash_cnt[1375][2]~46132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1375][2]~46132_combout\ = (\led_flash_cnt[1375][2]~q\ & (!\led_flash_cnt[1375][1]~46131\)) # (!\led_flash_cnt[1375][2]~q\ & ((\led_flash_cnt[1375][1]~46131\) # (GND)))
-- \led_flash_cnt[1375][2]~46133\ = CARRY((!\led_flash_cnt[1375][1]~46131\) # (!\led_flash_cnt[1375][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1375][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1375][1]~46131\,
	combout => \led_flash_cnt[1375][2]~46132_combout\,
	cout => \led_flash_cnt[1375][2]~46133\);

-- Location: FF_X62_Y14_N11
\led_flash_cnt[1375][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1375][2]~46132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1375][2]~q\);

-- Location: LCCOMB_X62_Y14_N12
\led_flash_cnt[1375][3]~46134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1375][3]~46134_combout\ = (\led_flash_cnt[1375][3]~q\ & (\led_flash_cnt[1375][2]~46133\ $ (GND))) # (!\led_flash_cnt[1375][3]~q\ & (!\led_flash_cnt[1375][2]~46133\ & VCC))
-- \led_flash_cnt[1375][3]~46135\ = CARRY((\led_flash_cnt[1375][3]~q\ & !\led_flash_cnt[1375][2]~46133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1375][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1375][2]~46133\,
	combout => \led_flash_cnt[1375][3]~46134_combout\,
	cout => \led_flash_cnt[1375][3]~46135\);

-- Location: FF_X62_Y14_N13
\led_flash_cnt[1375][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1375][3]~46134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1375][3]~q\);

-- Location: LCCOMB_X62_Y14_N14
\led_flash_cnt[1375][4]~46136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1375][4]~46136_combout\ = (\led_flash_cnt[1375][4]~q\ & (!\led_flash_cnt[1375][3]~46135\)) # (!\led_flash_cnt[1375][4]~q\ & ((\led_flash_cnt[1375][3]~46135\) # (GND)))
-- \led_flash_cnt[1375][4]~46137\ = CARRY((!\led_flash_cnt[1375][3]~46135\) # (!\led_flash_cnt[1375][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1375][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1375][3]~46135\,
	combout => \led_flash_cnt[1375][4]~46136_combout\,
	cout => \led_flash_cnt[1375][4]~46137\);

-- Location: FF_X62_Y14_N15
\led_flash_cnt[1375][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1375][4]~46136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1375][4]~q\);

-- Location: LCCOMB_X62_Y14_N16
\led_flash_cnt[1375][5]~46138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1375][5]~46138_combout\ = (\led_flash_cnt[1375][5]~q\ & (\led_flash_cnt[1375][4]~46137\ $ (GND))) # (!\led_flash_cnt[1375][5]~q\ & (!\led_flash_cnt[1375][4]~46137\ & VCC))
-- \led_flash_cnt[1375][5]~46139\ = CARRY((\led_flash_cnt[1375][5]~q\ & !\led_flash_cnt[1375][4]~46137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1375][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1375][4]~46137\,
	combout => \led_flash_cnt[1375][5]~46138_combout\,
	cout => \led_flash_cnt[1375][5]~46139\);

-- Location: FF_X62_Y14_N17
\led_flash_cnt[1375][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1375][5]~46138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1375][5]~q\);

-- Location: LCCOMB_X62_Y14_N18
\led_flash_cnt[1375][6]~46140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1375][6]~46140_combout\ = (\led_flash_cnt[1375][6]~q\ & (!\led_flash_cnt[1375][5]~46139\)) # (!\led_flash_cnt[1375][6]~q\ & ((\led_flash_cnt[1375][5]~46139\) # (GND)))
-- \led_flash_cnt[1375][6]~46141\ = CARRY((!\led_flash_cnt[1375][5]~46139\) # (!\led_flash_cnt[1375][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1375][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1375][5]~46139\,
	combout => \led_flash_cnt[1375][6]~46140_combout\,
	cout => \led_flash_cnt[1375][6]~46141\);

-- Location: FF_X62_Y14_N19
\led_flash_cnt[1375][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1375][6]~46140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1375][6]~q\);

-- Location: LCCOMB_X62_Y14_N20
\led_flash_cnt[1375][7]~46142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1375][7]~46142_combout\ = \led_flash_cnt[1375][6]~46141\ $ (!\led_flash_cnt[1375][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1375][7]~q\,
	cin => \led_flash_cnt[1375][6]~46141\,
	combout => \led_flash_cnt[1375][7]~46142_combout\);

-- Location: FF_X62_Y14_N21
\led_flash_cnt[1375][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1375][7]~46142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1375][7]~q\);

-- Location: LCCOMB_X62_Y14_N22
\WideAnd1375~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1375~1_combout\ = (\led_flash_cnt[1375][6]~q\ & \led_flash_cnt[1375][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1375][6]~q\,
	datad => \led_flash_cnt[1375][5]~q\,
	combout => \WideAnd1375~1_combout\);

-- Location: LCCOMB_X62_Y14_N24
\WideAnd1375~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1375~0_combout\ = (\led_flash_cnt[1375][3]~q\ & (\led_flash_cnt[1375][4]~q\ & (\led_flash_cnt[1375][1]~q\ & \led_flash_cnt[1375][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1375][3]~q\,
	datab => \led_flash_cnt[1375][4]~q\,
	datac => \led_flash_cnt[1375][1]~q\,
	datad => \led_flash_cnt[1375][2]~q\,
	combout => \WideAnd1375~0_combout\);

-- Location: LCCOMB_X62_Y14_N26
WideAnd1375 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1375~combout\ = (\led_flash_cnt[1375][0]~q\ & (\led_flash_cnt[1375][7]~q\ & (\WideAnd1375~1_combout\ & \WideAnd1375~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1375][0]~q\,
	datab => \led_flash_cnt[1375][7]~q\,
	datac => \WideAnd1375~1_combout\,
	datad => \WideAnd1375~0_combout\,
	combout => \WideAnd1375~combout\);

-- Location: FF_X62_Y14_N27
\led_flash_cnt_ands[1375]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1375~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1375));

-- Location: LCCOMB_X65_Y22_N20
\led_flash_cnt[1373][0]~82013\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1373][0]~82013_combout\ = !\led_flash_cnt[1373][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1373][0]~q\,
	combout => \led_flash_cnt[1373][0]~82013_combout\);

-- Location: FF_X65_Y22_N21
\led_flash_cnt[1373][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1373][0]~82013_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1373][0]~q\);

-- Location: LCCOMB_X66_Y22_N0
\led_flash_cnt[1373][1]~46102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1373][1]~46102_combout\ = (\led_flash_cnt[1373][0]~q\ & (\led_flash_cnt[1373][1]~q\ $ (VCC))) # (!\led_flash_cnt[1373][0]~q\ & (\led_flash_cnt[1373][1]~q\ & VCC))
-- \led_flash_cnt[1373][1]~46103\ = CARRY((\led_flash_cnt[1373][0]~q\ & \led_flash_cnt[1373][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1373][0]~q\,
	datab => \led_flash_cnt[1373][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1373][1]~46102_combout\,
	cout => \led_flash_cnt[1373][1]~46103\);

-- Location: FF_X66_Y22_N1
\led_flash_cnt[1373][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1373][1]~46102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1373][1]~q\);

-- Location: LCCOMB_X66_Y22_N2
\led_flash_cnt[1373][2]~46104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1373][2]~46104_combout\ = (\led_flash_cnt[1373][2]~q\ & (!\led_flash_cnt[1373][1]~46103\)) # (!\led_flash_cnt[1373][2]~q\ & ((\led_flash_cnt[1373][1]~46103\) # (GND)))
-- \led_flash_cnt[1373][2]~46105\ = CARRY((!\led_flash_cnt[1373][1]~46103\) # (!\led_flash_cnt[1373][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1373][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1373][1]~46103\,
	combout => \led_flash_cnt[1373][2]~46104_combout\,
	cout => \led_flash_cnt[1373][2]~46105\);

-- Location: FF_X66_Y22_N3
\led_flash_cnt[1373][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1373][2]~46104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1373][2]~q\);

-- Location: LCCOMB_X66_Y22_N4
\led_flash_cnt[1373][3]~46106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1373][3]~46106_combout\ = (\led_flash_cnt[1373][3]~q\ & (\led_flash_cnt[1373][2]~46105\ $ (GND))) # (!\led_flash_cnt[1373][3]~q\ & (!\led_flash_cnt[1373][2]~46105\ & VCC))
-- \led_flash_cnt[1373][3]~46107\ = CARRY((\led_flash_cnt[1373][3]~q\ & !\led_flash_cnt[1373][2]~46105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1373][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1373][2]~46105\,
	combout => \led_flash_cnt[1373][3]~46106_combout\,
	cout => \led_flash_cnt[1373][3]~46107\);

-- Location: FF_X66_Y22_N5
\led_flash_cnt[1373][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1373][3]~46106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1373][3]~q\);

-- Location: LCCOMB_X66_Y22_N6
\led_flash_cnt[1373][4]~46108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1373][4]~46108_combout\ = (\led_flash_cnt[1373][4]~q\ & (!\led_flash_cnt[1373][3]~46107\)) # (!\led_flash_cnt[1373][4]~q\ & ((\led_flash_cnt[1373][3]~46107\) # (GND)))
-- \led_flash_cnt[1373][4]~46109\ = CARRY((!\led_flash_cnt[1373][3]~46107\) # (!\led_flash_cnt[1373][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1373][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1373][3]~46107\,
	combout => \led_flash_cnt[1373][4]~46108_combout\,
	cout => \led_flash_cnt[1373][4]~46109\);

-- Location: FF_X66_Y22_N7
\led_flash_cnt[1373][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1373][4]~46108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1373][4]~q\);

-- Location: LCCOMB_X66_Y22_N8
\led_flash_cnt[1373][5]~46110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1373][5]~46110_combout\ = (\led_flash_cnt[1373][5]~q\ & (\led_flash_cnt[1373][4]~46109\ $ (GND))) # (!\led_flash_cnt[1373][5]~q\ & (!\led_flash_cnt[1373][4]~46109\ & VCC))
-- \led_flash_cnt[1373][5]~46111\ = CARRY((\led_flash_cnt[1373][5]~q\ & !\led_flash_cnt[1373][4]~46109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1373][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1373][4]~46109\,
	combout => \led_flash_cnt[1373][5]~46110_combout\,
	cout => \led_flash_cnt[1373][5]~46111\);

-- Location: FF_X66_Y22_N9
\led_flash_cnt[1373][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1373][5]~46110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1373][5]~q\);

-- Location: LCCOMB_X66_Y22_N10
\led_flash_cnt[1373][6]~46112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1373][6]~46112_combout\ = (\led_flash_cnt[1373][6]~q\ & (!\led_flash_cnt[1373][5]~46111\)) # (!\led_flash_cnt[1373][6]~q\ & ((\led_flash_cnt[1373][5]~46111\) # (GND)))
-- \led_flash_cnt[1373][6]~46113\ = CARRY((!\led_flash_cnt[1373][5]~46111\) # (!\led_flash_cnt[1373][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1373][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1373][5]~46111\,
	combout => \led_flash_cnt[1373][6]~46112_combout\,
	cout => \led_flash_cnt[1373][6]~46113\);

-- Location: FF_X66_Y22_N11
\led_flash_cnt[1373][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1373][6]~46112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1373][6]~q\);

-- Location: LCCOMB_X65_Y22_N22
\WideAnd1373~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1373~1_combout\ = (\led_flash_cnt[1373][6]~q\ & \led_flash_cnt[1373][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1373][6]~q\,
	datad => \led_flash_cnt[1373][0]~q\,
	combout => \WideAnd1373~1_combout\);

-- Location: LCCOMB_X66_Y22_N12
\led_flash_cnt[1373][7]~46114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1373][7]~46114_combout\ = \led_flash_cnt[1373][6]~46113\ $ (!\led_flash_cnt[1373][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1373][7]~q\,
	cin => \led_flash_cnt[1373][6]~46113\,
	combout => \led_flash_cnt[1373][7]~46114_combout\);

-- Location: FF_X66_Y22_N13
\led_flash_cnt[1373][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1373][7]~46114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1373][7]~q\);

-- Location: LCCOMB_X66_Y22_N28
\WideAnd1373~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1373~0_combout\ = (\led_flash_cnt[1373][4]~q\ & (\led_flash_cnt[1373][1]~q\ & (\led_flash_cnt[1373][3]~q\ & \led_flash_cnt[1373][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1373][4]~q\,
	datab => \led_flash_cnt[1373][1]~q\,
	datac => \led_flash_cnt[1373][3]~q\,
	datad => \led_flash_cnt[1373][2]~q\,
	combout => \WideAnd1373~0_combout\);

-- Location: LCCOMB_X65_Y22_N18
WideAnd1373 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1373~combout\ = (\WideAnd1373~1_combout\ & (\led_flash_cnt[1373][7]~q\ & (\led_flash_cnt[1373][5]~q\ & \WideAnd1373~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1373~1_combout\,
	datab => \led_flash_cnt[1373][7]~q\,
	datac => \led_flash_cnt[1373][5]~q\,
	datad => \WideAnd1373~0_combout\,
	combout => \WideAnd1373~combout\);

-- Location: FF_X65_Y22_N19
\led_flash_cnt_ands[1373]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1373~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1373));

-- Location: LCCOMB_X65_Y22_N30
\led_flash_cnt[1372][0]~82012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1372][0]~82012_combout\ = !\led_flash_cnt[1372][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1372][0]~q\,
	combout => \led_flash_cnt[1372][0]~82012_combout\);

-- Location: FF_X65_Y22_N31
\led_flash_cnt[1372][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1372][0]~82012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1372][0]~q\);

-- Location: LCCOMB_X65_Y22_N2
\led_flash_cnt[1372][1]~46088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1372][1]~46088_combout\ = (\led_flash_cnt[1372][0]~q\ & (\led_flash_cnt[1372][1]~q\ $ (VCC))) # (!\led_flash_cnt[1372][0]~q\ & (\led_flash_cnt[1372][1]~q\ & VCC))
-- \led_flash_cnt[1372][1]~46089\ = CARRY((\led_flash_cnt[1372][0]~q\ & \led_flash_cnt[1372][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1372][0]~q\,
	datab => \led_flash_cnt[1372][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1372][1]~46088_combout\,
	cout => \led_flash_cnt[1372][1]~46089\);

-- Location: FF_X65_Y22_N3
\led_flash_cnt[1372][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1372][1]~46088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1372][1]~q\);

-- Location: LCCOMB_X65_Y22_N4
\led_flash_cnt[1372][2]~46090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1372][2]~46090_combout\ = (\led_flash_cnt[1372][2]~q\ & (!\led_flash_cnt[1372][1]~46089\)) # (!\led_flash_cnt[1372][2]~q\ & ((\led_flash_cnt[1372][1]~46089\) # (GND)))
-- \led_flash_cnt[1372][2]~46091\ = CARRY((!\led_flash_cnt[1372][1]~46089\) # (!\led_flash_cnt[1372][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1372][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1372][1]~46089\,
	combout => \led_flash_cnt[1372][2]~46090_combout\,
	cout => \led_flash_cnt[1372][2]~46091\);

-- Location: FF_X65_Y22_N5
\led_flash_cnt[1372][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1372][2]~46090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1372][2]~q\);

-- Location: LCCOMB_X65_Y22_N6
\led_flash_cnt[1372][3]~46092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1372][3]~46092_combout\ = (\led_flash_cnt[1372][3]~q\ & (\led_flash_cnt[1372][2]~46091\ $ (GND))) # (!\led_flash_cnt[1372][3]~q\ & (!\led_flash_cnt[1372][2]~46091\ & VCC))
-- \led_flash_cnt[1372][3]~46093\ = CARRY((\led_flash_cnt[1372][3]~q\ & !\led_flash_cnt[1372][2]~46091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1372][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1372][2]~46091\,
	combout => \led_flash_cnt[1372][3]~46092_combout\,
	cout => \led_flash_cnt[1372][3]~46093\);

-- Location: FF_X65_Y22_N7
\led_flash_cnt[1372][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1372][3]~46092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1372][3]~q\);

-- Location: LCCOMB_X65_Y22_N8
\led_flash_cnt[1372][4]~46094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1372][4]~46094_combout\ = (\led_flash_cnt[1372][4]~q\ & (!\led_flash_cnt[1372][3]~46093\)) # (!\led_flash_cnt[1372][4]~q\ & ((\led_flash_cnt[1372][3]~46093\) # (GND)))
-- \led_flash_cnt[1372][4]~46095\ = CARRY((!\led_flash_cnt[1372][3]~46093\) # (!\led_flash_cnt[1372][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1372][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1372][3]~46093\,
	combout => \led_flash_cnt[1372][4]~46094_combout\,
	cout => \led_flash_cnt[1372][4]~46095\);

-- Location: FF_X65_Y22_N9
\led_flash_cnt[1372][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1372][4]~46094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1372][4]~q\);

-- Location: LCCOMB_X65_Y22_N26
\WideAnd1372~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1372~0_combout\ = (\led_flash_cnt[1372][3]~q\ & (\led_flash_cnt[1372][2]~q\ & (\led_flash_cnt[1372][4]~q\ & \led_flash_cnt[1372][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1372][3]~q\,
	datab => \led_flash_cnt[1372][2]~q\,
	datac => \led_flash_cnt[1372][4]~q\,
	datad => \led_flash_cnt[1372][1]~q\,
	combout => \WideAnd1372~0_combout\);

-- Location: LCCOMB_X65_Y22_N10
\led_flash_cnt[1372][5]~46096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1372][5]~46096_combout\ = (\led_flash_cnt[1372][5]~q\ & (\led_flash_cnt[1372][4]~46095\ $ (GND))) # (!\led_flash_cnt[1372][5]~q\ & (!\led_flash_cnt[1372][4]~46095\ & VCC))
-- \led_flash_cnt[1372][5]~46097\ = CARRY((\led_flash_cnt[1372][5]~q\ & !\led_flash_cnt[1372][4]~46095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1372][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1372][4]~46095\,
	combout => \led_flash_cnt[1372][5]~46096_combout\,
	cout => \led_flash_cnt[1372][5]~46097\);

-- Location: FF_X65_Y22_N11
\led_flash_cnt[1372][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1372][5]~46096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1372][5]~q\);

-- Location: LCCOMB_X65_Y22_N12
\led_flash_cnt[1372][6]~46098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1372][6]~46098_combout\ = (\led_flash_cnt[1372][6]~q\ & (!\led_flash_cnt[1372][5]~46097\)) # (!\led_flash_cnt[1372][6]~q\ & ((\led_flash_cnt[1372][5]~46097\) # (GND)))
-- \led_flash_cnt[1372][6]~46099\ = CARRY((!\led_flash_cnt[1372][5]~46097\) # (!\led_flash_cnt[1372][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1372][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1372][5]~46097\,
	combout => \led_flash_cnt[1372][6]~46098_combout\,
	cout => \led_flash_cnt[1372][6]~46099\);

-- Location: FF_X65_Y22_N13
\led_flash_cnt[1372][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1372][6]~46098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1372][6]~q\);

-- Location: LCCOMB_X65_Y22_N14
\led_flash_cnt[1372][7]~46100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1372][7]~46100_combout\ = \led_flash_cnt[1372][7]~q\ $ (!\led_flash_cnt[1372][6]~46099\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1372][7]~q\,
	cin => \led_flash_cnt[1372][6]~46099\,
	combout => \led_flash_cnt[1372][7]~46100_combout\);

-- Location: FF_X65_Y22_N15
\led_flash_cnt[1372][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1372][7]~46100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1372][7]~q\);

-- Location: LCCOMB_X65_Y22_N24
\WideAnd1372~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1372~1_combout\ = (\led_flash_cnt[1372][6]~q\ & \led_flash_cnt[1372][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1372][6]~q\,
	datad => \led_flash_cnt[1372][5]~q\,
	combout => \WideAnd1372~1_combout\);

-- Location: LCCOMB_X65_Y22_N28
WideAnd1372 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1372~combout\ = (\WideAnd1372~0_combout\ & (\led_flash_cnt[1372][7]~q\ & (\led_flash_cnt[1372][0]~q\ & \WideAnd1372~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1372~0_combout\,
	datab => \led_flash_cnt[1372][7]~q\,
	datac => \led_flash_cnt[1372][0]~q\,
	datad => \WideAnd1372~1_combout\,
	combout => \WideAnd1372~combout\);

-- Location: FF_X65_Y22_N29
\led_flash_cnt_ands[1372]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1372~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1372));

-- Location: LCCOMB_X64_Y22_N28
\WideAnd4011~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4011~1_combout\ = (led_flash_cnt_ands(1373) & led_flash_cnt_ands(1372))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1373),
	datad => led_flash_cnt_ands(1372),
	combout => \WideAnd4011~1_combout\);

-- Location: LCCOMB_X63_Y22_N10
WideAnd4011 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4011~combout\ = (\WideAnd4011~0_combout\ & (led_flash_cnt_ands(1374) & (led_flash_cnt_ands(1375) & \WideAnd4011~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4011~0_combout\,
	datab => led_flash_cnt_ands(1374),
	datac => led_flash_cnt_ands(1375),
	datad => \WideAnd4011~1_combout\,
	combout => \WideAnd4011~combout\);

-- Location: FF_X63_Y22_N11
\led_flash_cnt_ands_1[171]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4011~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(171));

-- Location: LCCOMB_X71_Y29_N6
\led_flash_cnt[1349][0]~81989\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1349][0]~81989_combout\ = !\led_flash_cnt[1349][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1349][0]~q\,
	combout => \led_flash_cnt[1349][0]~81989_combout\);

-- Location: FF_X71_Y29_N7
\led_flash_cnt[1349][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1349][0]~81989_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1349][0]~q\);

-- Location: LCCOMB_X71_Y29_N8
\led_flash_cnt[1349][1]~45766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1349][1]~45766_combout\ = (\led_flash_cnt[1349][0]~q\ & (\led_flash_cnt[1349][1]~q\ $ (VCC))) # (!\led_flash_cnt[1349][0]~q\ & (\led_flash_cnt[1349][1]~q\ & VCC))
-- \led_flash_cnt[1349][1]~45767\ = CARRY((\led_flash_cnt[1349][0]~q\ & \led_flash_cnt[1349][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1349][0]~q\,
	datab => \led_flash_cnt[1349][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1349][1]~45766_combout\,
	cout => \led_flash_cnt[1349][1]~45767\);

-- Location: FF_X71_Y29_N9
\led_flash_cnt[1349][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1349][1]~45766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1349][1]~q\);

-- Location: LCCOMB_X71_Y29_N10
\led_flash_cnt[1349][2]~45768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1349][2]~45768_combout\ = (\led_flash_cnt[1349][2]~q\ & (!\led_flash_cnt[1349][1]~45767\)) # (!\led_flash_cnt[1349][2]~q\ & ((\led_flash_cnt[1349][1]~45767\) # (GND)))
-- \led_flash_cnt[1349][2]~45769\ = CARRY((!\led_flash_cnt[1349][1]~45767\) # (!\led_flash_cnt[1349][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1349][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1349][1]~45767\,
	combout => \led_flash_cnt[1349][2]~45768_combout\,
	cout => \led_flash_cnt[1349][2]~45769\);

-- Location: FF_X71_Y29_N11
\led_flash_cnt[1349][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1349][2]~45768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1349][2]~q\);

-- Location: LCCOMB_X71_Y29_N12
\led_flash_cnt[1349][3]~45770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1349][3]~45770_combout\ = (\led_flash_cnt[1349][3]~q\ & (\led_flash_cnt[1349][2]~45769\ $ (GND))) # (!\led_flash_cnt[1349][3]~q\ & (!\led_flash_cnt[1349][2]~45769\ & VCC))
-- \led_flash_cnt[1349][3]~45771\ = CARRY((\led_flash_cnt[1349][3]~q\ & !\led_flash_cnt[1349][2]~45769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1349][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1349][2]~45769\,
	combout => \led_flash_cnt[1349][3]~45770_combout\,
	cout => \led_flash_cnt[1349][3]~45771\);

-- Location: FF_X71_Y29_N13
\led_flash_cnt[1349][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1349][3]~45770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1349][3]~q\);

-- Location: LCCOMB_X71_Y29_N14
\led_flash_cnt[1349][4]~45772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1349][4]~45772_combout\ = (\led_flash_cnt[1349][4]~q\ & (!\led_flash_cnt[1349][3]~45771\)) # (!\led_flash_cnt[1349][4]~q\ & ((\led_flash_cnt[1349][3]~45771\) # (GND)))
-- \led_flash_cnt[1349][4]~45773\ = CARRY((!\led_flash_cnt[1349][3]~45771\) # (!\led_flash_cnt[1349][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1349][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1349][3]~45771\,
	combout => \led_flash_cnt[1349][4]~45772_combout\,
	cout => \led_flash_cnt[1349][4]~45773\);

-- Location: FF_X71_Y29_N15
\led_flash_cnt[1349][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1349][4]~45772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1349][4]~q\);

-- Location: LCCOMB_X71_Y29_N16
\led_flash_cnt[1349][5]~45774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1349][5]~45774_combout\ = (\led_flash_cnt[1349][5]~q\ & (\led_flash_cnt[1349][4]~45773\ $ (GND))) # (!\led_flash_cnt[1349][5]~q\ & (!\led_flash_cnt[1349][4]~45773\ & VCC))
-- \led_flash_cnt[1349][5]~45775\ = CARRY((\led_flash_cnt[1349][5]~q\ & !\led_flash_cnt[1349][4]~45773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1349][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1349][4]~45773\,
	combout => \led_flash_cnt[1349][5]~45774_combout\,
	cout => \led_flash_cnt[1349][5]~45775\);

-- Location: FF_X71_Y29_N17
\led_flash_cnt[1349][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1349][5]~45774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1349][5]~q\);

-- Location: LCCOMB_X71_Y29_N18
\led_flash_cnt[1349][6]~45776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1349][6]~45776_combout\ = (\led_flash_cnt[1349][6]~q\ & (!\led_flash_cnt[1349][5]~45775\)) # (!\led_flash_cnt[1349][6]~q\ & ((\led_flash_cnt[1349][5]~45775\) # (GND)))
-- \led_flash_cnt[1349][6]~45777\ = CARRY((!\led_flash_cnt[1349][5]~45775\) # (!\led_flash_cnt[1349][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1349][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1349][5]~45775\,
	combout => \led_flash_cnt[1349][6]~45776_combout\,
	cout => \led_flash_cnt[1349][6]~45777\);

-- Location: FF_X71_Y29_N19
\led_flash_cnt[1349][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1349][6]~45776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1349][6]~q\);

-- Location: LCCOMB_X71_Y29_N20
\led_flash_cnt[1349][7]~45778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1349][7]~45778_combout\ = \led_flash_cnt[1349][6]~45777\ $ (!\led_flash_cnt[1349][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1349][7]~q\,
	cin => \led_flash_cnt[1349][6]~45777\,
	combout => \led_flash_cnt[1349][7]~45778_combout\);

-- Location: FF_X71_Y29_N21
\led_flash_cnt[1349][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1349][7]~45778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1349][7]~q\);

-- Location: LCCOMB_X71_Y29_N26
\WideAnd1349~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1349~1_combout\ = (\led_flash_cnt[1349][6]~q\ & \led_flash_cnt[1349][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1349][6]~q\,
	datad => \led_flash_cnt[1349][5]~q\,
	combout => \WideAnd1349~1_combout\);

-- Location: LCCOMB_X71_Y29_N28
\WideAnd1349~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1349~0_combout\ = (\led_flash_cnt[1349][2]~q\ & (\led_flash_cnt[1349][4]~q\ & (\led_flash_cnt[1349][1]~q\ & \led_flash_cnt[1349][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1349][2]~q\,
	datab => \led_flash_cnt[1349][4]~q\,
	datac => \led_flash_cnt[1349][1]~q\,
	datad => \led_flash_cnt[1349][3]~q\,
	combout => \WideAnd1349~0_combout\);

-- Location: LCCOMB_X71_Y29_N22
WideAnd1349 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1349~combout\ = (\led_flash_cnt[1349][0]~q\ & (\led_flash_cnt[1349][7]~q\ & (\WideAnd1349~1_combout\ & \WideAnd1349~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1349][0]~q\,
	datab => \led_flash_cnt[1349][7]~q\,
	datac => \WideAnd1349~1_combout\,
	datad => \WideAnd1349~0_combout\,
	combout => \WideAnd1349~combout\);

-- Location: FF_X71_Y29_N23
\led_flash_cnt_ands[1349]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1349~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1349));

-- Location: LCCOMB_X72_Y26_N10
\led_flash_cnt[1348][0]~81988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1348][0]~81988_combout\ = !\led_flash_cnt[1348][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1348][0]~q\,
	combout => \led_flash_cnt[1348][0]~81988_combout\);

-- Location: FF_X72_Y26_N11
\led_flash_cnt[1348][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1348][0]~81988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1348][0]~q\);

-- Location: LCCOMB_X72_Y26_N16
\led_flash_cnt[1348][1]~45752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1348][1]~45752_combout\ = (\led_flash_cnt[1348][0]~q\ & (\led_flash_cnt[1348][1]~q\ $ (VCC))) # (!\led_flash_cnt[1348][0]~q\ & (\led_flash_cnt[1348][1]~q\ & VCC))
-- \led_flash_cnt[1348][1]~45753\ = CARRY((\led_flash_cnt[1348][0]~q\ & \led_flash_cnt[1348][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1348][0]~q\,
	datab => \led_flash_cnt[1348][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1348][1]~45752_combout\,
	cout => \led_flash_cnt[1348][1]~45753\);

-- Location: FF_X72_Y26_N17
\led_flash_cnt[1348][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1348][1]~45752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1348][1]~q\);

-- Location: LCCOMB_X72_Y26_N18
\led_flash_cnt[1348][2]~45754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1348][2]~45754_combout\ = (\led_flash_cnt[1348][2]~q\ & (!\led_flash_cnt[1348][1]~45753\)) # (!\led_flash_cnt[1348][2]~q\ & ((\led_flash_cnt[1348][1]~45753\) # (GND)))
-- \led_flash_cnt[1348][2]~45755\ = CARRY((!\led_flash_cnt[1348][1]~45753\) # (!\led_flash_cnt[1348][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1348][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1348][1]~45753\,
	combout => \led_flash_cnt[1348][2]~45754_combout\,
	cout => \led_flash_cnt[1348][2]~45755\);

-- Location: FF_X72_Y26_N19
\led_flash_cnt[1348][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1348][2]~45754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1348][2]~q\);

-- Location: LCCOMB_X72_Y26_N20
\led_flash_cnt[1348][3]~45756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1348][3]~45756_combout\ = (\led_flash_cnt[1348][3]~q\ & (\led_flash_cnt[1348][2]~45755\ $ (GND))) # (!\led_flash_cnt[1348][3]~q\ & (!\led_flash_cnt[1348][2]~45755\ & VCC))
-- \led_flash_cnt[1348][3]~45757\ = CARRY((\led_flash_cnt[1348][3]~q\ & !\led_flash_cnt[1348][2]~45755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1348][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1348][2]~45755\,
	combout => \led_flash_cnt[1348][3]~45756_combout\,
	cout => \led_flash_cnt[1348][3]~45757\);

-- Location: FF_X72_Y26_N21
\led_flash_cnt[1348][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1348][3]~45756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1348][3]~q\);

-- Location: LCCOMB_X72_Y26_N22
\led_flash_cnt[1348][4]~45758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1348][4]~45758_combout\ = (\led_flash_cnt[1348][4]~q\ & (!\led_flash_cnt[1348][3]~45757\)) # (!\led_flash_cnt[1348][4]~q\ & ((\led_flash_cnt[1348][3]~45757\) # (GND)))
-- \led_flash_cnt[1348][4]~45759\ = CARRY((!\led_flash_cnt[1348][3]~45757\) # (!\led_flash_cnt[1348][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1348][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1348][3]~45757\,
	combout => \led_flash_cnt[1348][4]~45758_combout\,
	cout => \led_flash_cnt[1348][4]~45759\);

-- Location: FF_X72_Y26_N23
\led_flash_cnt[1348][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1348][4]~45758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1348][4]~q\);

-- Location: LCCOMB_X72_Y26_N24
\led_flash_cnt[1348][5]~45760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1348][5]~45760_combout\ = (\led_flash_cnt[1348][5]~q\ & (\led_flash_cnt[1348][4]~45759\ $ (GND))) # (!\led_flash_cnt[1348][5]~q\ & (!\led_flash_cnt[1348][4]~45759\ & VCC))
-- \led_flash_cnt[1348][5]~45761\ = CARRY((\led_flash_cnt[1348][5]~q\ & !\led_flash_cnt[1348][4]~45759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1348][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1348][4]~45759\,
	combout => \led_flash_cnt[1348][5]~45760_combout\,
	cout => \led_flash_cnt[1348][5]~45761\);

-- Location: FF_X72_Y26_N25
\led_flash_cnt[1348][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1348][5]~45760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1348][5]~q\);

-- Location: LCCOMB_X72_Y26_N26
\led_flash_cnt[1348][6]~45762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1348][6]~45762_combout\ = (\led_flash_cnt[1348][6]~q\ & (!\led_flash_cnt[1348][5]~45761\)) # (!\led_flash_cnt[1348][6]~q\ & ((\led_flash_cnt[1348][5]~45761\) # (GND)))
-- \led_flash_cnt[1348][6]~45763\ = CARRY((!\led_flash_cnt[1348][5]~45761\) # (!\led_flash_cnt[1348][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1348][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1348][5]~45761\,
	combout => \led_flash_cnt[1348][6]~45762_combout\,
	cout => \led_flash_cnt[1348][6]~45763\);

-- Location: FF_X72_Y26_N27
\led_flash_cnt[1348][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1348][6]~45762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1348][6]~q\);

-- Location: LCCOMB_X72_Y26_N28
\led_flash_cnt[1348][7]~45764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1348][7]~45764_combout\ = \led_flash_cnt[1348][6]~45763\ $ (!\led_flash_cnt[1348][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1348][7]~q\,
	cin => \led_flash_cnt[1348][6]~45763\,
	combout => \led_flash_cnt[1348][7]~45764_combout\);

-- Location: FF_X72_Y26_N29
\led_flash_cnt[1348][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1348][7]~45764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1348][7]~q\);

-- Location: LCCOMB_X72_Y26_N8
\WideAnd1348~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1348~1_combout\ = (\led_flash_cnt[1348][6]~q\ & \led_flash_cnt[1348][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1348][6]~q\,
	datad => \led_flash_cnt[1348][5]~q\,
	combout => \WideAnd1348~1_combout\);

-- Location: LCCOMB_X72_Y26_N12
\WideAnd1348~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1348~0_combout\ = (\led_flash_cnt[1348][3]~q\ & (\led_flash_cnt[1348][2]~q\ & (\led_flash_cnt[1348][4]~q\ & \led_flash_cnt[1348][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1348][3]~q\,
	datab => \led_flash_cnt[1348][2]~q\,
	datac => \led_flash_cnt[1348][4]~q\,
	datad => \led_flash_cnt[1348][1]~q\,
	combout => \WideAnd1348~0_combout\);

-- Location: LCCOMB_X72_Y26_N4
WideAnd1348 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1348~combout\ = (\led_flash_cnt[1348][0]~q\ & (\led_flash_cnt[1348][7]~q\ & (\WideAnd1348~1_combout\ & \WideAnd1348~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1348][0]~q\,
	datab => \led_flash_cnt[1348][7]~q\,
	datac => \WideAnd1348~1_combout\,
	datad => \WideAnd1348~0_combout\,
	combout => \WideAnd1348~combout\);

-- Location: FF_X72_Y26_N5
\led_flash_cnt_ands[1348]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1348~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1348));

-- Location: LCCOMB_X71_Y29_N4
\WideAnd4008~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4008~1_combout\ = (led_flash_cnt_ands(1349) & led_flash_cnt_ands(1348))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1349),
	datad => led_flash_cnt_ands(1348),
	combout => \WideAnd4008~1_combout\);

-- Location: LCCOMB_X63_Y45_N12
\led_flash_cnt[1350][0]~81990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1350][0]~81990_combout\ = !\led_flash_cnt[1350][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1350][0]~q\,
	combout => \led_flash_cnt[1350][0]~81990_combout\);

-- Location: FF_X63_Y45_N13
\led_flash_cnt[1350][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1350][0]~81990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1350][0]~q\);

-- Location: LCCOMB_X63_Y45_N14
\led_flash_cnt[1350][1]~45780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1350][1]~45780_combout\ = (\led_flash_cnt[1350][0]~q\ & (\led_flash_cnt[1350][1]~q\ $ (VCC))) # (!\led_flash_cnt[1350][0]~q\ & (\led_flash_cnt[1350][1]~q\ & VCC))
-- \led_flash_cnt[1350][1]~45781\ = CARRY((\led_flash_cnt[1350][0]~q\ & \led_flash_cnt[1350][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1350][0]~q\,
	datab => \led_flash_cnt[1350][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1350][1]~45780_combout\,
	cout => \led_flash_cnt[1350][1]~45781\);

-- Location: FF_X63_Y45_N15
\led_flash_cnt[1350][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1350][1]~45780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1350][1]~q\);

-- Location: LCCOMB_X63_Y45_N16
\led_flash_cnt[1350][2]~45782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1350][2]~45782_combout\ = (\led_flash_cnt[1350][2]~q\ & (!\led_flash_cnt[1350][1]~45781\)) # (!\led_flash_cnt[1350][2]~q\ & ((\led_flash_cnt[1350][1]~45781\) # (GND)))
-- \led_flash_cnt[1350][2]~45783\ = CARRY((!\led_flash_cnt[1350][1]~45781\) # (!\led_flash_cnt[1350][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1350][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1350][1]~45781\,
	combout => \led_flash_cnt[1350][2]~45782_combout\,
	cout => \led_flash_cnt[1350][2]~45783\);

-- Location: FF_X63_Y45_N17
\led_flash_cnt[1350][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1350][2]~45782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1350][2]~q\);

-- Location: LCCOMB_X63_Y45_N18
\led_flash_cnt[1350][3]~45784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1350][3]~45784_combout\ = (\led_flash_cnt[1350][3]~q\ & (\led_flash_cnt[1350][2]~45783\ $ (GND))) # (!\led_flash_cnt[1350][3]~q\ & (!\led_flash_cnt[1350][2]~45783\ & VCC))
-- \led_flash_cnt[1350][3]~45785\ = CARRY((\led_flash_cnt[1350][3]~q\ & !\led_flash_cnt[1350][2]~45783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1350][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1350][2]~45783\,
	combout => \led_flash_cnt[1350][3]~45784_combout\,
	cout => \led_flash_cnt[1350][3]~45785\);

-- Location: FF_X63_Y45_N19
\led_flash_cnt[1350][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1350][3]~45784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1350][3]~q\);

-- Location: LCCOMB_X63_Y45_N20
\led_flash_cnt[1350][4]~45786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1350][4]~45786_combout\ = (\led_flash_cnt[1350][4]~q\ & (!\led_flash_cnt[1350][3]~45785\)) # (!\led_flash_cnt[1350][4]~q\ & ((\led_flash_cnt[1350][3]~45785\) # (GND)))
-- \led_flash_cnt[1350][4]~45787\ = CARRY((!\led_flash_cnt[1350][3]~45785\) # (!\led_flash_cnt[1350][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1350][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1350][3]~45785\,
	combout => \led_flash_cnt[1350][4]~45786_combout\,
	cout => \led_flash_cnt[1350][4]~45787\);

-- Location: FF_X63_Y45_N21
\led_flash_cnt[1350][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1350][4]~45786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1350][4]~q\);

-- Location: LCCOMB_X63_Y45_N22
\led_flash_cnt[1350][5]~45788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1350][5]~45788_combout\ = (\led_flash_cnt[1350][5]~q\ & (\led_flash_cnt[1350][4]~45787\ $ (GND))) # (!\led_flash_cnt[1350][5]~q\ & (!\led_flash_cnt[1350][4]~45787\ & VCC))
-- \led_flash_cnt[1350][5]~45789\ = CARRY((\led_flash_cnt[1350][5]~q\ & !\led_flash_cnt[1350][4]~45787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1350][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1350][4]~45787\,
	combout => \led_flash_cnt[1350][5]~45788_combout\,
	cout => \led_flash_cnt[1350][5]~45789\);

-- Location: FF_X63_Y45_N23
\led_flash_cnt[1350][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1350][5]~45788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1350][5]~q\);

-- Location: LCCOMB_X63_Y45_N24
\led_flash_cnt[1350][6]~45790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1350][6]~45790_combout\ = (\led_flash_cnt[1350][6]~q\ & (!\led_flash_cnt[1350][5]~45789\)) # (!\led_flash_cnt[1350][6]~q\ & ((\led_flash_cnt[1350][5]~45789\) # (GND)))
-- \led_flash_cnt[1350][6]~45791\ = CARRY((!\led_flash_cnt[1350][5]~45789\) # (!\led_flash_cnt[1350][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1350][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1350][5]~45789\,
	combout => \led_flash_cnt[1350][6]~45790_combout\,
	cout => \led_flash_cnt[1350][6]~45791\);

-- Location: FF_X63_Y45_N25
\led_flash_cnt[1350][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1350][6]~45790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1350][6]~q\);

-- Location: LCCOMB_X63_Y45_N10
\WideAnd1350~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1350~1_combout\ = (\led_flash_cnt[1350][5]~q\ & \led_flash_cnt[1350][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1350][5]~q\,
	datad => \led_flash_cnt[1350][6]~q\,
	combout => \WideAnd1350~1_combout\);

-- Location: LCCOMB_X63_Y45_N28
\WideAnd1350~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1350~0_combout\ = (\led_flash_cnt[1350][4]~q\ & (\led_flash_cnt[1350][3]~q\ & (\led_flash_cnt[1350][1]~q\ & \led_flash_cnt[1350][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1350][4]~q\,
	datab => \led_flash_cnt[1350][3]~q\,
	datac => \led_flash_cnt[1350][1]~q\,
	datad => \led_flash_cnt[1350][2]~q\,
	combout => \WideAnd1350~0_combout\);

-- Location: LCCOMB_X63_Y45_N26
\led_flash_cnt[1350][7]~45792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1350][7]~45792_combout\ = \led_flash_cnt[1350][7]~q\ $ (!\led_flash_cnt[1350][6]~45791\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1350][7]~q\,
	cin => \led_flash_cnt[1350][6]~45791\,
	combout => \led_flash_cnt[1350][7]~45792_combout\);

-- Location: FF_X63_Y45_N27
\led_flash_cnt[1350][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1350][7]~45792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1350][7]~q\);

-- Location: LCCOMB_X63_Y45_N4
WideAnd1350 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1350~combout\ = (\WideAnd1350~1_combout\ & (\WideAnd1350~0_combout\ & (\led_flash_cnt[1350][7]~q\ & \led_flash_cnt[1350][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1350~1_combout\,
	datab => \WideAnd1350~0_combout\,
	datac => \led_flash_cnt[1350][7]~q\,
	datad => \led_flash_cnt[1350][0]~q\,
	combout => \WideAnd1350~combout\);

-- Location: FF_X63_Y45_N5
\led_flash_cnt_ands[1350]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1350~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1350));

-- Location: LCCOMB_X70_Y52_N28
\led_flash_cnt[1344][0]~81984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1344][0]~81984_combout\ = !\led_flash_cnt[1344][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1344][0]~q\,
	combout => \led_flash_cnt[1344][0]~81984_combout\);

-- Location: FF_X70_Y52_N29
\led_flash_cnt[1344][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1344][0]~81984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1344][0]~q\);

-- Location: LCCOMB_X70_Y52_N12
\led_flash_cnt[1344][1]~45696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1344][1]~45696_combout\ = (\led_flash_cnt[1344][1]~q\ & (\led_flash_cnt[1344][0]~q\ $ (VCC))) # (!\led_flash_cnt[1344][1]~q\ & (\led_flash_cnt[1344][0]~q\ & VCC))
-- \led_flash_cnt[1344][1]~45697\ = CARRY((\led_flash_cnt[1344][1]~q\ & \led_flash_cnt[1344][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1344][1]~q\,
	datab => \led_flash_cnt[1344][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1344][1]~45696_combout\,
	cout => \led_flash_cnt[1344][1]~45697\);

-- Location: FF_X70_Y52_N13
\led_flash_cnt[1344][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1344][1]~45696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1344][1]~q\);

-- Location: LCCOMB_X70_Y52_N14
\led_flash_cnt[1344][2]~45698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1344][2]~45698_combout\ = (\led_flash_cnt[1344][2]~q\ & (!\led_flash_cnt[1344][1]~45697\)) # (!\led_flash_cnt[1344][2]~q\ & ((\led_flash_cnt[1344][1]~45697\) # (GND)))
-- \led_flash_cnt[1344][2]~45699\ = CARRY((!\led_flash_cnt[1344][1]~45697\) # (!\led_flash_cnt[1344][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1344][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1344][1]~45697\,
	combout => \led_flash_cnt[1344][2]~45698_combout\,
	cout => \led_flash_cnt[1344][2]~45699\);

-- Location: FF_X70_Y52_N15
\led_flash_cnt[1344][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1344][2]~45698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1344][2]~q\);

-- Location: LCCOMB_X70_Y52_N16
\led_flash_cnt[1344][3]~45700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1344][3]~45700_combout\ = (\led_flash_cnt[1344][3]~q\ & (\led_flash_cnt[1344][2]~45699\ $ (GND))) # (!\led_flash_cnt[1344][3]~q\ & (!\led_flash_cnt[1344][2]~45699\ & VCC))
-- \led_flash_cnt[1344][3]~45701\ = CARRY((\led_flash_cnt[1344][3]~q\ & !\led_flash_cnt[1344][2]~45699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1344][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1344][2]~45699\,
	combout => \led_flash_cnt[1344][3]~45700_combout\,
	cout => \led_flash_cnt[1344][3]~45701\);

-- Location: FF_X70_Y52_N17
\led_flash_cnt[1344][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1344][3]~45700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1344][3]~q\);

-- Location: LCCOMB_X70_Y52_N18
\led_flash_cnt[1344][4]~45702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1344][4]~45702_combout\ = (\led_flash_cnt[1344][4]~q\ & (!\led_flash_cnt[1344][3]~45701\)) # (!\led_flash_cnt[1344][4]~q\ & ((\led_flash_cnt[1344][3]~45701\) # (GND)))
-- \led_flash_cnt[1344][4]~45703\ = CARRY((!\led_flash_cnt[1344][3]~45701\) # (!\led_flash_cnt[1344][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1344][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1344][3]~45701\,
	combout => \led_flash_cnt[1344][4]~45702_combout\,
	cout => \led_flash_cnt[1344][4]~45703\);

-- Location: FF_X70_Y52_N19
\led_flash_cnt[1344][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1344][4]~45702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1344][4]~q\);

-- Location: LCCOMB_X70_Y52_N10
\WideAnd1344~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1344~0_combout\ = (\led_flash_cnt[1344][1]~q\ & (\led_flash_cnt[1344][4]~q\ & (\led_flash_cnt[1344][2]~q\ & \led_flash_cnt[1344][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1344][1]~q\,
	datab => \led_flash_cnt[1344][4]~q\,
	datac => \led_flash_cnt[1344][2]~q\,
	datad => \led_flash_cnt[1344][3]~q\,
	combout => \WideAnd1344~0_combout\);

-- Location: LCCOMB_X70_Y52_N20
\led_flash_cnt[1344][5]~45704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1344][5]~45704_combout\ = (\led_flash_cnt[1344][5]~q\ & (\led_flash_cnt[1344][4]~45703\ $ (GND))) # (!\led_flash_cnt[1344][5]~q\ & (!\led_flash_cnt[1344][4]~45703\ & VCC))
-- \led_flash_cnt[1344][5]~45705\ = CARRY((\led_flash_cnt[1344][5]~q\ & !\led_flash_cnt[1344][4]~45703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1344][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1344][4]~45703\,
	combout => \led_flash_cnt[1344][5]~45704_combout\,
	cout => \led_flash_cnt[1344][5]~45705\);

-- Location: FF_X70_Y52_N21
\led_flash_cnt[1344][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1344][5]~45704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1344][5]~q\);

-- Location: LCCOMB_X70_Y52_N22
\led_flash_cnt[1344][6]~45706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1344][6]~45706_combout\ = (\led_flash_cnt[1344][6]~q\ & (!\led_flash_cnt[1344][5]~45705\)) # (!\led_flash_cnt[1344][6]~q\ & ((\led_flash_cnt[1344][5]~45705\) # (GND)))
-- \led_flash_cnt[1344][6]~45707\ = CARRY((!\led_flash_cnt[1344][5]~45705\) # (!\led_flash_cnt[1344][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1344][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1344][5]~45705\,
	combout => \led_flash_cnt[1344][6]~45706_combout\,
	cout => \led_flash_cnt[1344][6]~45707\);

-- Location: FF_X70_Y52_N23
\led_flash_cnt[1344][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1344][6]~45706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1344][6]~q\);

-- Location: LCCOMB_X70_Y52_N24
\led_flash_cnt[1344][7]~45708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1344][7]~45708_combout\ = \led_flash_cnt[1344][6]~45707\ $ (!\led_flash_cnt[1344][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1344][7]~q\,
	cin => \led_flash_cnt[1344][6]~45707\,
	combout => \led_flash_cnt[1344][7]~45708_combout\);

-- Location: FF_X70_Y52_N25
\led_flash_cnt[1344][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1344][7]~45708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1344][7]~q\);

-- Location: LCCOMB_X70_Y52_N26
\WideAnd1344~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1344~1_combout\ = (\led_flash_cnt[1344][6]~q\ & \led_flash_cnt[1344][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1344][6]~q\,
	datad => \led_flash_cnt[1344][5]~q\,
	combout => \WideAnd1344~1_combout\);

-- Location: LCCOMB_X70_Y52_N6
WideAnd1344 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1344~combout\ = (\WideAnd1344~0_combout\ & (\led_flash_cnt[1344][7]~q\ & (\WideAnd1344~1_combout\ & \led_flash_cnt[1344][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1344~0_combout\,
	datab => \led_flash_cnt[1344][7]~q\,
	datac => \WideAnd1344~1_combout\,
	datad => \led_flash_cnt[1344][0]~q\,
	combout => \WideAnd1344~combout\);

-- Location: FF_X70_Y52_N7
\led_flash_cnt_ands[1344]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1344~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1344));

-- Location: LCCOMB_X71_Y49_N12
\led_flash_cnt[1347][0]~81987\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1347][0]~81987_combout\ = !\led_flash_cnt[1347][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1347][0]~q\,
	combout => \led_flash_cnt[1347][0]~81987_combout\);

-- Location: FF_X71_Y49_N13
\led_flash_cnt[1347][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1347][0]~81987_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1347][0]~q\);

-- Location: LCCOMB_X71_Y49_N18
\led_flash_cnt[1347][1]~45738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1347][1]~45738_combout\ = (\led_flash_cnt[1347][0]~q\ & (\led_flash_cnt[1347][1]~q\ $ (VCC))) # (!\led_flash_cnt[1347][0]~q\ & (\led_flash_cnt[1347][1]~q\ & VCC))
-- \led_flash_cnt[1347][1]~45739\ = CARRY((\led_flash_cnt[1347][0]~q\ & \led_flash_cnt[1347][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1347][0]~q\,
	datab => \led_flash_cnt[1347][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1347][1]~45738_combout\,
	cout => \led_flash_cnt[1347][1]~45739\);

-- Location: FF_X71_Y49_N19
\led_flash_cnt[1347][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1347][1]~45738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1347][1]~q\);

-- Location: LCCOMB_X71_Y49_N20
\led_flash_cnt[1347][2]~45740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1347][2]~45740_combout\ = (\led_flash_cnt[1347][2]~q\ & (!\led_flash_cnt[1347][1]~45739\)) # (!\led_flash_cnt[1347][2]~q\ & ((\led_flash_cnt[1347][1]~45739\) # (GND)))
-- \led_flash_cnt[1347][2]~45741\ = CARRY((!\led_flash_cnt[1347][1]~45739\) # (!\led_flash_cnt[1347][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1347][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1347][1]~45739\,
	combout => \led_flash_cnt[1347][2]~45740_combout\,
	cout => \led_flash_cnt[1347][2]~45741\);

-- Location: FF_X71_Y49_N21
\led_flash_cnt[1347][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1347][2]~45740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1347][2]~q\);

-- Location: LCCOMB_X71_Y49_N22
\led_flash_cnt[1347][3]~45742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1347][3]~45742_combout\ = (\led_flash_cnt[1347][3]~q\ & (\led_flash_cnt[1347][2]~45741\ $ (GND))) # (!\led_flash_cnt[1347][3]~q\ & (!\led_flash_cnt[1347][2]~45741\ & VCC))
-- \led_flash_cnt[1347][3]~45743\ = CARRY((\led_flash_cnt[1347][3]~q\ & !\led_flash_cnt[1347][2]~45741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1347][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1347][2]~45741\,
	combout => \led_flash_cnt[1347][3]~45742_combout\,
	cout => \led_flash_cnt[1347][3]~45743\);

-- Location: FF_X71_Y49_N23
\led_flash_cnt[1347][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1347][3]~45742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1347][3]~q\);

-- Location: LCCOMB_X71_Y49_N24
\led_flash_cnt[1347][4]~45744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1347][4]~45744_combout\ = (\led_flash_cnt[1347][4]~q\ & (!\led_flash_cnt[1347][3]~45743\)) # (!\led_flash_cnt[1347][4]~q\ & ((\led_flash_cnt[1347][3]~45743\) # (GND)))
-- \led_flash_cnt[1347][4]~45745\ = CARRY((!\led_flash_cnt[1347][3]~45743\) # (!\led_flash_cnt[1347][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1347][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1347][3]~45743\,
	combout => \led_flash_cnt[1347][4]~45744_combout\,
	cout => \led_flash_cnt[1347][4]~45745\);

-- Location: FF_X71_Y49_N25
\led_flash_cnt[1347][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1347][4]~45744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1347][4]~q\);

-- Location: LCCOMB_X71_Y49_N26
\led_flash_cnt[1347][5]~45746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1347][5]~45746_combout\ = (\led_flash_cnt[1347][5]~q\ & (\led_flash_cnt[1347][4]~45745\ $ (GND))) # (!\led_flash_cnt[1347][5]~q\ & (!\led_flash_cnt[1347][4]~45745\ & VCC))
-- \led_flash_cnt[1347][5]~45747\ = CARRY((\led_flash_cnt[1347][5]~q\ & !\led_flash_cnt[1347][4]~45745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1347][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1347][4]~45745\,
	combout => \led_flash_cnt[1347][5]~45746_combout\,
	cout => \led_flash_cnt[1347][5]~45747\);

-- Location: FF_X71_Y49_N27
\led_flash_cnt[1347][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1347][5]~45746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1347][5]~q\);

-- Location: LCCOMB_X71_Y49_N28
\led_flash_cnt[1347][6]~45748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1347][6]~45748_combout\ = (\led_flash_cnt[1347][6]~q\ & (!\led_flash_cnt[1347][5]~45747\)) # (!\led_flash_cnt[1347][6]~q\ & ((\led_flash_cnt[1347][5]~45747\) # (GND)))
-- \led_flash_cnt[1347][6]~45749\ = CARRY((!\led_flash_cnt[1347][5]~45747\) # (!\led_flash_cnt[1347][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1347][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1347][5]~45747\,
	combout => \led_flash_cnt[1347][6]~45748_combout\,
	cout => \led_flash_cnt[1347][6]~45749\);

-- Location: FF_X71_Y49_N29
\led_flash_cnt[1347][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1347][6]~45748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1347][6]~q\);

-- Location: LCCOMB_X71_Y49_N30
\led_flash_cnt[1347][7]~45750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1347][7]~45750_combout\ = \led_flash_cnt[1347][7]~q\ $ (!\led_flash_cnt[1347][6]~45749\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1347][7]~q\,
	cin => \led_flash_cnt[1347][6]~45749\,
	combout => \led_flash_cnt[1347][7]~45750_combout\);

-- Location: FF_X71_Y49_N31
\led_flash_cnt[1347][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1347][7]~45750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1347][7]~q\);

-- Location: LCCOMB_X71_Y49_N4
\WideAnd1347~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1347~1_combout\ = (\led_flash_cnt[1347][5]~q\ & \led_flash_cnt[1347][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1347][5]~q\,
	datad => \led_flash_cnt[1347][6]~q\,
	combout => \WideAnd1347~1_combout\);

-- Location: LCCOMB_X71_Y49_N14
\WideAnd1347~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1347~0_combout\ = (\led_flash_cnt[1347][4]~q\ & (\led_flash_cnt[1347][2]~q\ & (\led_flash_cnt[1347][3]~q\ & \led_flash_cnt[1347][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1347][4]~q\,
	datab => \led_flash_cnt[1347][2]~q\,
	datac => \led_flash_cnt[1347][3]~q\,
	datad => \led_flash_cnt[1347][1]~q\,
	combout => \WideAnd1347~0_combout\);

-- Location: LCCOMB_X71_Y49_N16
WideAnd1347 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1347~combout\ = (\led_flash_cnt[1347][7]~q\ & (\WideAnd1347~1_combout\ & (\WideAnd1347~0_combout\ & \led_flash_cnt[1347][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1347][7]~q\,
	datab => \WideAnd1347~1_combout\,
	datac => \WideAnd1347~0_combout\,
	datad => \led_flash_cnt[1347][0]~q\,
	combout => \WideAnd1347~combout\);

-- Location: FF_X71_Y49_N17
\led_flash_cnt_ands[1347]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1347~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1347));

-- Location: LCCOMB_X70_Y52_N2
\led_flash_cnt[1345][0]~81985\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1345][0]~81985_combout\ = !\led_flash_cnt[1345][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1345][0]~q\,
	combout => \led_flash_cnt[1345][0]~81985_combout\);

-- Location: FF_X70_Y52_N3
\led_flash_cnt[1345][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1345][0]~81985_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1345][0]~q\);

-- Location: LCCOMB_X69_Y52_N0
\led_flash_cnt[1345][1]~45710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1345][1]~45710_combout\ = (\led_flash_cnt[1345][0]~q\ & (\led_flash_cnt[1345][1]~q\ $ (VCC))) # (!\led_flash_cnt[1345][0]~q\ & (\led_flash_cnt[1345][1]~q\ & VCC))
-- \led_flash_cnt[1345][1]~45711\ = CARRY((\led_flash_cnt[1345][0]~q\ & \led_flash_cnt[1345][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1345][0]~q\,
	datab => \led_flash_cnt[1345][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1345][1]~45710_combout\,
	cout => \led_flash_cnt[1345][1]~45711\);

-- Location: FF_X69_Y52_N1
\led_flash_cnt[1345][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1345][1]~45710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1345][1]~q\);

-- Location: LCCOMB_X69_Y52_N2
\led_flash_cnt[1345][2]~45712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1345][2]~45712_combout\ = (\led_flash_cnt[1345][2]~q\ & (!\led_flash_cnt[1345][1]~45711\)) # (!\led_flash_cnt[1345][2]~q\ & ((\led_flash_cnt[1345][1]~45711\) # (GND)))
-- \led_flash_cnt[1345][2]~45713\ = CARRY((!\led_flash_cnt[1345][1]~45711\) # (!\led_flash_cnt[1345][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1345][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1345][1]~45711\,
	combout => \led_flash_cnt[1345][2]~45712_combout\,
	cout => \led_flash_cnt[1345][2]~45713\);

-- Location: FF_X69_Y52_N3
\led_flash_cnt[1345][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1345][2]~45712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1345][2]~q\);

-- Location: LCCOMB_X69_Y52_N4
\led_flash_cnt[1345][3]~45714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1345][3]~45714_combout\ = (\led_flash_cnt[1345][3]~q\ & (\led_flash_cnt[1345][2]~45713\ $ (GND))) # (!\led_flash_cnt[1345][3]~q\ & (!\led_flash_cnt[1345][2]~45713\ & VCC))
-- \led_flash_cnt[1345][3]~45715\ = CARRY((\led_flash_cnt[1345][3]~q\ & !\led_flash_cnt[1345][2]~45713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1345][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1345][2]~45713\,
	combout => \led_flash_cnt[1345][3]~45714_combout\,
	cout => \led_flash_cnt[1345][3]~45715\);

-- Location: FF_X69_Y52_N5
\led_flash_cnt[1345][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1345][3]~45714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1345][3]~q\);

-- Location: LCCOMB_X69_Y52_N6
\led_flash_cnt[1345][4]~45716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1345][4]~45716_combout\ = (\led_flash_cnt[1345][4]~q\ & (!\led_flash_cnt[1345][3]~45715\)) # (!\led_flash_cnt[1345][4]~q\ & ((\led_flash_cnt[1345][3]~45715\) # (GND)))
-- \led_flash_cnt[1345][4]~45717\ = CARRY((!\led_flash_cnt[1345][3]~45715\) # (!\led_flash_cnt[1345][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1345][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1345][3]~45715\,
	combout => \led_flash_cnt[1345][4]~45716_combout\,
	cout => \led_flash_cnt[1345][4]~45717\);

-- Location: FF_X69_Y52_N7
\led_flash_cnt[1345][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1345][4]~45716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1345][4]~q\);

-- Location: LCCOMB_X69_Y52_N8
\led_flash_cnt[1345][5]~45718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1345][5]~45718_combout\ = (\led_flash_cnt[1345][5]~q\ & (\led_flash_cnt[1345][4]~45717\ $ (GND))) # (!\led_flash_cnt[1345][5]~q\ & (!\led_flash_cnt[1345][4]~45717\ & VCC))
-- \led_flash_cnt[1345][5]~45719\ = CARRY((\led_flash_cnt[1345][5]~q\ & !\led_flash_cnt[1345][4]~45717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1345][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1345][4]~45717\,
	combout => \led_flash_cnt[1345][5]~45718_combout\,
	cout => \led_flash_cnt[1345][5]~45719\);

-- Location: FF_X69_Y52_N9
\led_flash_cnt[1345][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1345][5]~45718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1345][5]~q\);

-- Location: LCCOMB_X69_Y52_N10
\led_flash_cnt[1345][6]~45720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1345][6]~45720_combout\ = (\led_flash_cnt[1345][6]~q\ & (!\led_flash_cnt[1345][5]~45719\)) # (!\led_flash_cnt[1345][6]~q\ & ((\led_flash_cnt[1345][5]~45719\) # (GND)))
-- \led_flash_cnt[1345][6]~45721\ = CARRY((!\led_flash_cnt[1345][5]~45719\) # (!\led_flash_cnt[1345][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1345][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1345][5]~45719\,
	combout => \led_flash_cnt[1345][6]~45720_combout\,
	cout => \led_flash_cnt[1345][6]~45721\);

-- Location: FF_X69_Y52_N11
\led_flash_cnt[1345][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1345][6]~45720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1345][6]~q\);

-- Location: LCCOMB_X69_Y52_N12
\led_flash_cnt[1345][7]~45722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1345][7]~45722_combout\ = \led_flash_cnt[1345][6]~45721\ $ (!\led_flash_cnt[1345][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1345][7]~q\,
	cin => \led_flash_cnt[1345][6]~45721\,
	combout => \led_flash_cnt[1345][7]~45722_combout\);

-- Location: FF_X69_Y52_N13
\led_flash_cnt[1345][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1345][7]~45722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1345][7]~q\);

-- Location: LCCOMB_X69_Y52_N28
\WideAnd1345~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1345~0_combout\ = (\led_flash_cnt[1345][4]~q\ & (\led_flash_cnt[1345][1]~q\ & (\led_flash_cnt[1345][3]~q\ & \led_flash_cnt[1345][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1345][4]~q\,
	datab => \led_flash_cnt[1345][1]~q\,
	datac => \led_flash_cnt[1345][3]~q\,
	datad => \led_flash_cnt[1345][2]~q\,
	combout => \WideAnd1345~0_combout\);

-- Location: LCCOMB_X70_Y52_N30
\WideAnd1345~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1345~1_combout\ = (\led_flash_cnt[1345][5]~q\ & \led_flash_cnt[1345][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1345][5]~q\,
	datad => \led_flash_cnt[1345][6]~q\,
	combout => \WideAnd1345~1_combout\);

-- Location: LCCOMB_X70_Y52_N8
WideAnd1345 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1345~combout\ = (\led_flash_cnt[1345][7]~q\ & (\WideAnd1345~0_combout\ & (\WideAnd1345~1_combout\ & \led_flash_cnt[1345][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1345][7]~q\,
	datab => \WideAnd1345~0_combout\,
	datac => \WideAnd1345~1_combout\,
	datad => \led_flash_cnt[1345][0]~q\,
	combout => \WideAnd1345~combout\);

-- Location: FF_X70_Y52_N9
\led_flash_cnt_ands[1345]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1345~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1345));

-- Location: LCCOMB_X71_Y52_N26
\led_flash_cnt[1346][0]~81986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1346][0]~81986_combout\ = !\led_flash_cnt[1346][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1346][0]~q\,
	combout => \led_flash_cnt[1346][0]~81986_combout\);

-- Location: FF_X71_Y52_N27
\led_flash_cnt[1346][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1346][0]~81986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1346][0]~q\);

-- Location: LCCOMB_X71_Y52_N8
\led_flash_cnt[1346][1]~45724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1346][1]~45724_combout\ = (\led_flash_cnt[1346][0]~q\ & (\led_flash_cnt[1346][1]~q\ $ (VCC))) # (!\led_flash_cnt[1346][0]~q\ & (\led_flash_cnt[1346][1]~q\ & VCC))
-- \led_flash_cnt[1346][1]~45725\ = CARRY((\led_flash_cnt[1346][0]~q\ & \led_flash_cnt[1346][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1346][0]~q\,
	datab => \led_flash_cnt[1346][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1346][1]~45724_combout\,
	cout => \led_flash_cnt[1346][1]~45725\);

-- Location: FF_X71_Y52_N9
\led_flash_cnt[1346][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1346][1]~45724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1346][1]~q\);

-- Location: LCCOMB_X71_Y52_N10
\led_flash_cnt[1346][2]~45726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1346][2]~45726_combout\ = (\led_flash_cnt[1346][2]~q\ & (!\led_flash_cnt[1346][1]~45725\)) # (!\led_flash_cnt[1346][2]~q\ & ((\led_flash_cnt[1346][1]~45725\) # (GND)))
-- \led_flash_cnt[1346][2]~45727\ = CARRY((!\led_flash_cnt[1346][1]~45725\) # (!\led_flash_cnt[1346][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1346][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1346][1]~45725\,
	combout => \led_flash_cnt[1346][2]~45726_combout\,
	cout => \led_flash_cnt[1346][2]~45727\);

-- Location: FF_X71_Y52_N11
\led_flash_cnt[1346][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1346][2]~45726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1346][2]~q\);

-- Location: LCCOMB_X71_Y52_N12
\led_flash_cnt[1346][3]~45728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1346][3]~45728_combout\ = (\led_flash_cnt[1346][3]~q\ & (\led_flash_cnt[1346][2]~45727\ $ (GND))) # (!\led_flash_cnt[1346][3]~q\ & (!\led_flash_cnt[1346][2]~45727\ & VCC))
-- \led_flash_cnt[1346][3]~45729\ = CARRY((\led_flash_cnt[1346][3]~q\ & !\led_flash_cnt[1346][2]~45727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1346][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1346][2]~45727\,
	combout => \led_flash_cnt[1346][3]~45728_combout\,
	cout => \led_flash_cnt[1346][3]~45729\);

-- Location: FF_X71_Y52_N13
\led_flash_cnt[1346][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1346][3]~45728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1346][3]~q\);

-- Location: LCCOMB_X71_Y52_N14
\led_flash_cnt[1346][4]~45730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1346][4]~45730_combout\ = (\led_flash_cnt[1346][4]~q\ & (!\led_flash_cnt[1346][3]~45729\)) # (!\led_flash_cnt[1346][4]~q\ & ((\led_flash_cnt[1346][3]~45729\) # (GND)))
-- \led_flash_cnt[1346][4]~45731\ = CARRY((!\led_flash_cnt[1346][3]~45729\) # (!\led_flash_cnt[1346][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1346][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1346][3]~45729\,
	combout => \led_flash_cnt[1346][4]~45730_combout\,
	cout => \led_flash_cnt[1346][4]~45731\);

-- Location: FF_X71_Y52_N15
\led_flash_cnt[1346][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1346][4]~45730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1346][4]~q\);

-- Location: LCCOMB_X71_Y52_N16
\led_flash_cnt[1346][5]~45732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1346][5]~45732_combout\ = (\led_flash_cnt[1346][5]~q\ & (\led_flash_cnt[1346][4]~45731\ $ (GND))) # (!\led_flash_cnt[1346][5]~q\ & (!\led_flash_cnt[1346][4]~45731\ & VCC))
-- \led_flash_cnt[1346][5]~45733\ = CARRY((\led_flash_cnt[1346][5]~q\ & !\led_flash_cnt[1346][4]~45731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1346][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1346][4]~45731\,
	combout => \led_flash_cnt[1346][5]~45732_combout\,
	cout => \led_flash_cnt[1346][5]~45733\);

-- Location: FF_X71_Y52_N17
\led_flash_cnt[1346][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1346][5]~45732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1346][5]~q\);

-- Location: LCCOMB_X71_Y52_N18
\led_flash_cnt[1346][6]~45734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1346][6]~45734_combout\ = (\led_flash_cnt[1346][6]~q\ & (!\led_flash_cnt[1346][5]~45733\)) # (!\led_flash_cnt[1346][6]~q\ & ((\led_flash_cnt[1346][5]~45733\) # (GND)))
-- \led_flash_cnt[1346][6]~45735\ = CARRY((!\led_flash_cnt[1346][5]~45733\) # (!\led_flash_cnt[1346][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1346][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1346][5]~45733\,
	combout => \led_flash_cnt[1346][6]~45734_combout\,
	cout => \led_flash_cnt[1346][6]~45735\);

-- Location: FF_X71_Y52_N19
\led_flash_cnt[1346][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1346][6]~45734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1346][6]~q\);

-- Location: LCCOMB_X71_Y52_N20
\led_flash_cnt[1346][7]~45736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1346][7]~45736_combout\ = \led_flash_cnt[1346][6]~45735\ $ (!\led_flash_cnt[1346][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1346][7]~q\,
	cin => \led_flash_cnt[1346][6]~45735\,
	combout => \led_flash_cnt[1346][7]~45736_combout\);

-- Location: FF_X71_Y52_N21
\led_flash_cnt[1346][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1346][7]~45736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1346][7]~q\);

-- Location: LCCOMB_X71_Y52_N22
\WideAnd1346~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1346~1_combout\ = (\led_flash_cnt[1346][6]~q\ & \led_flash_cnt[1346][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1346][6]~q\,
	datad => \led_flash_cnt[1346][5]~q\,
	combout => \WideAnd1346~1_combout\);

-- Location: LCCOMB_X71_Y52_N24
\WideAnd1346~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1346~0_combout\ = (\led_flash_cnt[1346][3]~q\ & (\led_flash_cnt[1346][4]~q\ & (\led_flash_cnt[1346][1]~q\ & \led_flash_cnt[1346][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1346][3]~q\,
	datab => \led_flash_cnt[1346][4]~q\,
	datac => \led_flash_cnt[1346][1]~q\,
	datad => \led_flash_cnt[1346][2]~q\,
	combout => \WideAnd1346~0_combout\);

-- Location: LCCOMB_X71_Y52_N28
WideAnd1346 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1346~combout\ = (\led_flash_cnt[1346][0]~q\ & (\led_flash_cnt[1346][7]~q\ & (\WideAnd1346~1_combout\ & \WideAnd1346~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1346][0]~q\,
	datab => \led_flash_cnt[1346][7]~q\,
	datac => \WideAnd1346~1_combout\,
	datad => \WideAnd1346~0_combout\,
	combout => \WideAnd1346~combout\);

-- Location: FF_X71_Y52_N29
\led_flash_cnt_ands[1346]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1346~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1346));

-- Location: LCCOMB_X70_Y52_N4
\WideAnd4008~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4008~0_combout\ = (led_flash_cnt_ands(1344) & (led_flash_cnt_ands(1347) & (led_flash_cnt_ands(1345) & led_flash_cnt_ands(1346))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1344),
	datab => led_flash_cnt_ands(1347),
	datac => led_flash_cnt_ands(1345),
	datad => led_flash_cnt_ands(1346),
	combout => \WideAnd4008~0_combout\);

-- Location: LCCOMB_X63_Y37_N22
\led_flash_cnt[1351][0]~81991\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1351][0]~81991_combout\ = !\led_flash_cnt[1351][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1351][0]~q\,
	combout => \led_flash_cnt[1351][0]~81991_combout\);

-- Location: FF_X63_Y37_N23
\led_flash_cnt[1351][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1351][0]~81991_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1351][0]~q\);

-- Location: LCCOMB_X63_Y37_N0
\led_flash_cnt[1351][1]~45794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1351][1]~45794_combout\ = (\led_flash_cnt[1351][0]~q\ & (\led_flash_cnt[1351][1]~q\ $ (VCC))) # (!\led_flash_cnt[1351][0]~q\ & (\led_flash_cnt[1351][1]~q\ & VCC))
-- \led_flash_cnt[1351][1]~45795\ = CARRY((\led_flash_cnt[1351][0]~q\ & \led_flash_cnt[1351][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1351][0]~q\,
	datab => \led_flash_cnt[1351][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1351][1]~45794_combout\,
	cout => \led_flash_cnt[1351][1]~45795\);

-- Location: FF_X63_Y37_N1
\led_flash_cnt[1351][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1351][1]~45794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1351][1]~q\);

-- Location: LCCOMB_X63_Y37_N2
\led_flash_cnt[1351][2]~45796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1351][2]~45796_combout\ = (\led_flash_cnt[1351][2]~q\ & (!\led_flash_cnt[1351][1]~45795\)) # (!\led_flash_cnt[1351][2]~q\ & ((\led_flash_cnt[1351][1]~45795\) # (GND)))
-- \led_flash_cnt[1351][2]~45797\ = CARRY((!\led_flash_cnt[1351][1]~45795\) # (!\led_flash_cnt[1351][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1351][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1351][1]~45795\,
	combout => \led_flash_cnt[1351][2]~45796_combout\,
	cout => \led_flash_cnt[1351][2]~45797\);

-- Location: FF_X63_Y37_N3
\led_flash_cnt[1351][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1351][2]~45796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1351][2]~q\);

-- Location: LCCOMB_X63_Y37_N4
\led_flash_cnt[1351][3]~45798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1351][3]~45798_combout\ = (\led_flash_cnt[1351][3]~q\ & (\led_flash_cnt[1351][2]~45797\ $ (GND))) # (!\led_flash_cnt[1351][3]~q\ & (!\led_flash_cnt[1351][2]~45797\ & VCC))
-- \led_flash_cnt[1351][3]~45799\ = CARRY((\led_flash_cnt[1351][3]~q\ & !\led_flash_cnt[1351][2]~45797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1351][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1351][2]~45797\,
	combout => \led_flash_cnt[1351][3]~45798_combout\,
	cout => \led_flash_cnt[1351][3]~45799\);

-- Location: FF_X63_Y37_N5
\led_flash_cnt[1351][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1351][3]~45798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1351][3]~q\);

-- Location: LCCOMB_X63_Y37_N6
\led_flash_cnt[1351][4]~45800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1351][4]~45800_combout\ = (\led_flash_cnt[1351][4]~q\ & (!\led_flash_cnt[1351][3]~45799\)) # (!\led_flash_cnt[1351][4]~q\ & ((\led_flash_cnt[1351][3]~45799\) # (GND)))
-- \led_flash_cnt[1351][4]~45801\ = CARRY((!\led_flash_cnt[1351][3]~45799\) # (!\led_flash_cnt[1351][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1351][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1351][3]~45799\,
	combout => \led_flash_cnt[1351][4]~45800_combout\,
	cout => \led_flash_cnt[1351][4]~45801\);

-- Location: FF_X63_Y37_N7
\led_flash_cnt[1351][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1351][4]~45800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1351][4]~q\);

-- Location: LCCOMB_X63_Y37_N8
\led_flash_cnt[1351][5]~45802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1351][5]~45802_combout\ = (\led_flash_cnt[1351][5]~q\ & (\led_flash_cnt[1351][4]~45801\ $ (GND))) # (!\led_flash_cnt[1351][5]~q\ & (!\led_flash_cnt[1351][4]~45801\ & VCC))
-- \led_flash_cnt[1351][5]~45803\ = CARRY((\led_flash_cnt[1351][5]~q\ & !\led_flash_cnt[1351][4]~45801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1351][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1351][4]~45801\,
	combout => \led_flash_cnt[1351][5]~45802_combout\,
	cout => \led_flash_cnt[1351][5]~45803\);

-- Location: FF_X63_Y37_N9
\led_flash_cnt[1351][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1351][5]~45802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1351][5]~q\);

-- Location: LCCOMB_X63_Y37_N10
\led_flash_cnt[1351][6]~45804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1351][6]~45804_combout\ = (\led_flash_cnt[1351][6]~q\ & (!\led_flash_cnt[1351][5]~45803\)) # (!\led_flash_cnt[1351][6]~q\ & ((\led_flash_cnt[1351][5]~45803\) # (GND)))
-- \led_flash_cnt[1351][6]~45805\ = CARRY((!\led_flash_cnt[1351][5]~45803\) # (!\led_flash_cnt[1351][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1351][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1351][5]~45803\,
	combout => \led_flash_cnt[1351][6]~45804_combout\,
	cout => \led_flash_cnt[1351][6]~45805\);

-- Location: FF_X63_Y37_N11
\led_flash_cnt[1351][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1351][6]~45804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1351][6]~q\);

-- Location: LCCOMB_X63_Y37_N12
\led_flash_cnt[1351][7]~45806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1351][7]~45806_combout\ = \led_flash_cnt[1351][6]~45805\ $ (!\led_flash_cnt[1351][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1351][7]~q\,
	cin => \led_flash_cnt[1351][6]~45805\,
	combout => \led_flash_cnt[1351][7]~45806_combout\);

-- Location: FF_X63_Y37_N13
\led_flash_cnt[1351][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1351][7]~45806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1351][7]~q\);

-- Location: LCCOMB_X63_Y37_N28
\WideAnd1351~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1351~1_combout\ = (\led_flash_cnt[1351][5]~q\ & \led_flash_cnt[1351][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1351][5]~q\,
	datad => \led_flash_cnt[1351][6]~q\,
	combout => \WideAnd1351~1_combout\);

-- Location: LCCOMB_X63_Y37_N18
\WideAnd1351~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1351~0_combout\ = (\led_flash_cnt[1351][4]~q\ & (\led_flash_cnt[1351][2]~q\ & (\led_flash_cnt[1351][3]~q\ & \led_flash_cnt[1351][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1351][4]~q\,
	datab => \led_flash_cnt[1351][2]~q\,
	datac => \led_flash_cnt[1351][3]~q\,
	datad => \led_flash_cnt[1351][1]~q\,
	combout => \WideAnd1351~0_combout\);

-- Location: LCCOMB_X63_Y37_N24
WideAnd1351 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1351~combout\ = (\led_flash_cnt[1351][7]~q\ & (\WideAnd1351~1_combout\ & (\led_flash_cnt[1351][0]~q\ & \WideAnd1351~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1351][7]~q\,
	datab => \WideAnd1351~1_combout\,
	datac => \led_flash_cnt[1351][0]~q\,
	datad => \WideAnd1351~0_combout\,
	combout => \WideAnd1351~combout\);

-- Location: FF_X63_Y37_N25
\led_flash_cnt_ands[1351]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1351~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1351));

-- Location: LCCOMB_X63_Y37_N26
WideAnd4008 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4008~combout\ = (\WideAnd4008~1_combout\ & (led_flash_cnt_ands(1350) & (\WideAnd4008~0_combout\ & led_flash_cnt_ands(1351))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4008~1_combout\,
	datab => led_flash_cnt_ands(1350),
	datac => \WideAnd4008~0_combout\,
	datad => led_flash_cnt_ands(1351),
	combout => \WideAnd4008~combout\);

-- Location: FF_X63_Y37_N27
\led_flash_cnt_ands_1[168]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4008~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(168));

-- Location: LCCOMB_X64_Y36_N10
\led_flash_cnt[1367][0]~82007\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1367][0]~82007_combout\ = !\led_flash_cnt[1367][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1367][0]~q\,
	combout => \led_flash_cnt[1367][0]~82007_combout\);

-- Location: FF_X64_Y36_N11
\led_flash_cnt[1367][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1367][0]~82007_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1367][0]~q\);

-- Location: LCCOMB_X64_Y36_N12
\led_flash_cnt[1367][1]~46018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1367][1]~46018_combout\ = (\led_flash_cnt[1367][1]~q\ & (\led_flash_cnt[1367][0]~q\ $ (VCC))) # (!\led_flash_cnt[1367][1]~q\ & (\led_flash_cnt[1367][0]~q\ & VCC))
-- \led_flash_cnt[1367][1]~46019\ = CARRY((\led_flash_cnt[1367][1]~q\ & \led_flash_cnt[1367][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1367][1]~q\,
	datab => \led_flash_cnt[1367][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1367][1]~46018_combout\,
	cout => \led_flash_cnt[1367][1]~46019\);

-- Location: FF_X64_Y36_N13
\led_flash_cnt[1367][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1367][1]~46018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1367][1]~q\);

-- Location: LCCOMB_X64_Y36_N14
\led_flash_cnt[1367][2]~46020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1367][2]~46020_combout\ = (\led_flash_cnt[1367][2]~q\ & (!\led_flash_cnt[1367][1]~46019\)) # (!\led_flash_cnt[1367][2]~q\ & ((\led_flash_cnt[1367][1]~46019\) # (GND)))
-- \led_flash_cnt[1367][2]~46021\ = CARRY((!\led_flash_cnt[1367][1]~46019\) # (!\led_flash_cnt[1367][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1367][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1367][1]~46019\,
	combout => \led_flash_cnt[1367][2]~46020_combout\,
	cout => \led_flash_cnt[1367][2]~46021\);

-- Location: FF_X64_Y36_N15
\led_flash_cnt[1367][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1367][2]~46020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1367][2]~q\);

-- Location: LCCOMB_X64_Y36_N16
\led_flash_cnt[1367][3]~46022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1367][3]~46022_combout\ = (\led_flash_cnt[1367][3]~q\ & (\led_flash_cnt[1367][2]~46021\ $ (GND))) # (!\led_flash_cnt[1367][3]~q\ & (!\led_flash_cnt[1367][2]~46021\ & VCC))
-- \led_flash_cnt[1367][3]~46023\ = CARRY((\led_flash_cnt[1367][3]~q\ & !\led_flash_cnt[1367][2]~46021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1367][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1367][2]~46021\,
	combout => \led_flash_cnt[1367][3]~46022_combout\,
	cout => \led_flash_cnt[1367][3]~46023\);

-- Location: FF_X64_Y36_N17
\led_flash_cnt[1367][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1367][3]~46022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1367][3]~q\);

-- Location: LCCOMB_X64_Y36_N18
\led_flash_cnt[1367][4]~46024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1367][4]~46024_combout\ = (\led_flash_cnt[1367][4]~q\ & (!\led_flash_cnt[1367][3]~46023\)) # (!\led_flash_cnt[1367][4]~q\ & ((\led_flash_cnt[1367][3]~46023\) # (GND)))
-- \led_flash_cnt[1367][4]~46025\ = CARRY((!\led_flash_cnt[1367][3]~46023\) # (!\led_flash_cnt[1367][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1367][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1367][3]~46023\,
	combout => \led_flash_cnt[1367][4]~46024_combout\,
	cout => \led_flash_cnt[1367][4]~46025\);

-- Location: FF_X64_Y36_N19
\led_flash_cnt[1367][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1367][4]~46024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1367][4]~q\);

-- Location: LCCOMB_X64_Y36_N20
\led_flash_cnt[1367][5]~46026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1367][5]~46026_combout\ = (\led_flash_cnt[1367][5]~q\ & (\led_flash_cnt[1367][4]~46025\ $ (GND))) # (!\led_flash_cnt[1367][5]~q\ & (!\led_flash_cnt[1367][4]~46025\ & VCC))
-- \led_flash_cnt[1367][5]~46027\ = CARRY((\led_flash_cnt[1367][5]~q\ & !\led_flash_cnt[1367][4]~46025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1367][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1367][4]~46025\,
	combout => \led_flash_cnt[1367][5]~46026_combout\,
	cout => \led_flash_cnt[1367][5]~46027\);

-- Location: FF_X64_Y36_N21
\led_flash_cnt[1367][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1367][5]~46026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1367][5]~q\);

-- Location: LCCOMB_X64_Y36_N22
\led_flash_cnt[1367][6]~46028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1367][6]~46028_combout\ = (\led_flash_cnt[1367][6]~q\ & (!\led_flash_cnt[1367][5]~46027\)) # (!\led_flash_cnt[1367][6]~q\ & ((\led_flash_cnt[1367][5]~46027\) # (GND)))
-- \led_flash_cnt[1367][6]~46029\ = CARRY((!\led_flash_cnt[1367][5]~46027\) # (!\led_flash_cnt[1367][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1367][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1367][5]~46027\,
	combout => \led_flash_cnt[1367][6]~46028_combout\,
	cout => \led_flash_cnt[1367][6]~46029\);

-- Location: FF_X64_Y36_N23
\led_flash_cnt[1367][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1367][6]~46028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1367][6]~q\);

-- Location: LCCOMB_X64_Y36_N24
\led_flash_cnt[1367][7]~46030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1367][7]~46030_combout\ = \led_flash_cnt[1367][6]~46029\ $ (!\led_flash_cnt[1367][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1367][7]~q\,
	cin => \led_flash_cnt[1367][6]~46029\,
	combout => \led_flash_cnt[1367][7]~46030_combout\);

-- Location: FF_X64_Y36_N25
\led_flash_cnt[1367][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1367][7]~46030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1367][7]~q\);

-- Location: LCCOMB_X64_Y36_N26
\WideAnd1367~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1367~0_combout\ = (\led_flash_cnt[1367][1]~q\ & (\led_flash_cnt[1367][4]~q\ & (\led_flash_cnt[1367][2]~q\ & \led_flash_cnt[1367][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1367][1]~q\,
	datab => \led_flash_cnt[1367][4]~q\,
	datac => \led_flash_cnt[1367][2]~q\,
	datad => \led_flash_cnt[1367][3]~q\,
	combout => \WideAnd1367~0_combout\);

-- Location: LCCOMB_X64_Y36_N0
\WideAnd1367~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1367~1_combout\ = (\led_flash_cnt[1367][6]~q\ & \led_flash_cnt[1367][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1367][6]~q\,
	datad => \led_flash_cnt[1367][5]~q\,
	combout => \WideAnd1367~1_combout\);

-- Location: LCCOMB_X64_Y36_N4
WideAnd1367 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1367~combout\ = (\led_flash_cnt[1367][0]~q\ & (\led_flash_cnt[1367][7]~q\ & (\WideAnd1367~0_combout\ & \WideAnd1367~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1367][0]~q\,
	datab => \led_flash_cnt[1367][7]~q\,
	datac => \WideAnd1367~0_combout\,
	datad => \WideAnd1367~1_combout\,
	combout => \WideAnd1367~combout\);

-- Location: FF_X64_Y36_N5
\led_flash_cnt_ands[1367]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1367~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1367));

-- Location: LCCOMB_X66_Y40_N26
\led_flash_cnt[1366][0]~82006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1366][0]~82006_combout\ = !\led_flash_cnt[1366][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1366][0]~q\,
	combout => \led_flash_cnt[1366][0]~82006_combout\);

-- Location: FF_X66_Y40_N27
\led_flash_cnt[1366][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1366][0]~82006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1366][0]~q\);

-- Location: LCCOMB_X66_Y40_N4
\led_flash_cnt[1366][1]~46004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1366][1]~46004_combout\ = (\led_flash_cnt[1366][0]~q\ & (\led_flash_cnt[1366][1]~q\ $ (VCC))) # (!\led_flash_cnt[1366][0]~q\ & (\led_flash_cnt[1366][1]~q\ & VCC))
-- \led_flash_cnt[1366][1]~46005\ = CARRY((\led_flash_cnt[1366][0]~q\ & \led_flash_cnt[1366][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1366][0]~q\,
	datab => \led_flash_cnt[1366][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1366][1]~46004_combout\,
	cout => \led_flash_cnt[1366][1]~46005\);

-- Location: FF_X66_Y40_N5
\led_flash_cnt[1366][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1366][1]~46004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1366][1]~q\);

-- Location: LCCOMB_X66_Y40_N6
\led_flash_cnt[1366][2]~46006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1366][2]~46006_combout\ = (\led_flash_cnt[1366][2]~q\ & (!\led_flash_cnt[1366][1]~46005\)) # (!\led_flash_cnt[1366][2]~q\ & ((\led_flash_cnt[1366][1]~46005\) # (GND)))
-- \led_flash_cnt[1366][2]~46007\ = CARRY((!\led_flash_cnt[1366][1]~46005\) # (!\led_flash_cnt[1366][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1366][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1366][1]~46005\,
	combout => \led_flash_cnt[1366][2]~46006_combout\,
	cout => \led_flash_cnt[1366][2]~46007\);

-- Location: FF_X66_Y40_N7
\led_flash_cnt[1366][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1366][2]~46006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1366][2]~q\);

-- Location: LCCOMB_X66_Y40_N8
\led_flash_cnt[1366][3]~46008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1366][3]~46008_combout\ = (\led_flash_cnt[1366][3]~q\ & (\led_flash_cnt[1366][2]~46007\ $ (GND))) # (!\led_flash_cnt[1366][3]~q\ & (!\led_flash_cnt[1366][2]~46007\ & VCC))
-- \led_flash_cnt[1366][3]~46009\ = CARRY((\led_flash_cnt[1366][3]~q\ & !\led_flash_cnt[1366][2]~46007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1366][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1366][2]~46007\,
	combout => \led_flash_cnt[1366][3]~46008_combout\,
	cout => \led_flash_cnt[1366][3]~46009\);

-- Location: FF_X66_Y40_N9
\led_flash_cnt[1366][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1366][3]~46008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1366][3]~q\);

-- Location: LCCOMB_X66_Y40_N10
\led_flash_cnt[1366][4]~46010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1366][4]~46010_combout\ = (\led_flash_cnt[1366][4]~q\ & (!\led_flash_cnt[1366][3]~46009\)) # (!\led_flash_cnt[1366][4]~q\ & ((\led_flash_cnt[1366][3]~46009\) # (GND)))
-- \led_flash_cnt[1366][4]~46011\ = CARRY((!\led_flash_cnt[1366][3]~46009\) # (!\led_flash_cnt[1366][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1366][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1366][3]~46009\,
	combout => \led_flash_cnt[1366][4]~46010_combout\,
	cout => \led_flash_cnt[1366][4]~46011\);

-- Location: FF_X66_Y40_N11
\led_flash_cnt[1366][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1366][4]~46010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1366][4]~q\);

-- Location: LCCOMB_X66_Y40_N12
\led_flash_cnt[1366][5]~46012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1366][5]~46012_combout\ = (\led_flash_cnt[1366][5]~q\ & (\led_flash_cnt[1366][4]~46011\ $ (GND))) # (!\led_flash_cnt[1366][5]~q\ & (!\led_flash_cnt[1366][4]~46011\ & VCC))
-- \led_flash_cnt[1366][5]~46013\ = CARRY((\led_flash_cnt[1366][5]~q\ & !\led_flash_cnt[1366][4]~46011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1366][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1366][4]~46011\,
	combout => \led_flash_cnt[1366][5]~46012_combout\,
	cout => \led_flash_cnt[1366][5]~46013\);

-- Location: FF_X66_Y40_N13
\led_flash_cnt[1366][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1366][5]~46012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1366][5]~q\);

-- Location: LCCOMB_X66_Y40_N14
\led_flash_cnt[1366][6]~46014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1366][6]~46014_combout\ = (\led_flash_cnt[1366][6]~q\ & (!\led_flash_cnt[1366][5]~46013\)) # (!\led_flash_cnt[1366][6]~q\ & ((\led_flash_cnt[1366][5]~46013\) # (GND)))
-- \led_flash_cnt[1366][6]~46015\ = CARRY((!\led_flash_cnt[1366][5]~46013\) # (!\led_flash_cnt[1366][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1366][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1366][5]~46013\,
	combout => \led_flash_cnt[1366][6]~46014_combout\,
	cout => \led_flash_cnt[1366][6]~46015\);

-- Location: FF_X66_Y40_N15
\led_flash_cnt[1366][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1366][6]~46014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1366][6]~q\);

-- Location: LCCOMB_X66_Y40_N16
\led_flash_cnt[1366][7]~46016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1366][7]~46016_combout\ = \led_flash_cnt[1366][6]~46015\ $ (!\led_flash_cnt[1366][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1366][7]~q\,
	cin => \led_flash_cnt[1366][6]~46015\,
	combout => \led_flash_cnt[1366][7]~46016_combout\);

-- Location: FF_X66_Y40_N17
\led_flash_cnt[1366][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1366][7]~46016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1366][7]~q\);

-- Location: LCCOMB_X66_Y40_N22
\WideAnd1366~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1366~1_combout\ = (\led_flash_cnt[1366][6]~q\ & \led_flash_cnt[1366][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1366][6]~q\,
	datad => \led_flash_cnt[1366][5]~q\,
	combout => \WideAnd1366~1_combout\);

-- Location: LCCOMB_X66_Y40_N18
\WideAnd1366~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1366~0_combout\ = (\led_flash_cnt[1366][4]~q\ & (\led_flash_cnt[1366][3]~q\ & (\led_flash_cnt[1366][1]~q\ & \led_flash_cnt[1366][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1366][4]~q\,
	datab => \led_flash_cnt[1366][3]~q\,
	datac => \led_flash_cnt[1366][1]~q\,
	datad => \led_flash_cnt[1366][2]~q\,
	combout => \WideAnd1366~0_combout\);

-- Location: LCCOMB_X66_Y40_N24
WideAnd1366 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1366~combout\ = (\led_flash_cnt[1366][0]~q\ & (\led_flash_cnt[1366][7]~q\ & (\WideAnd1366~1_combout\ & \WideAnd1366~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1366][0]~q\,
	datab => \led_flash_cnt[1366][7]~q\,
	datac => \WideAnd1366~1_combout\,
	datad => \WideAnd1366~0_combout\,
	combout => \WideAnd1366~combout\);

-- Location: FF_X66_Y40_N25
\led_flash_cnt_ands[1366]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1366~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1366));

-- Location: LCCOMB_X74_Y20_N12
\led_flash_cnt[1363][0]~82003\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1363][0]~82003_combout\ = !\led_flash_cnt[1363][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1363][0]~q\,
	combout => \led_flash_cnt[1363][0]~82003_combout\);

-- Location: FF_X74_Y20_N13
\led_flash_cnt[1363][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1363][0]~82003_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1363][0]~q\);

-- Location: LCCOMB_X74_Y20_N16
\led_flash_cnt[1363][1]~45962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1363][1]~45962_combout\ = (\led_flash_cnt[1363][0]~q\ & (\led_flash_cnt[1363][1]~q\ $ (VCC))) # (!\led_flash_cnt[1363][0]~q\ & (\led_flash_cnt[1363][1]~q\ & VCC))
-- \led_flash_cnt[1363][1]~45963\ = CARRY((\led_flash_cnt[1363][0]~q\ & \led_flash_cnt[1363][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1363][0]~q\,
	datab => \led_flash_cnt[1363][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1363][1]~45962_combout\,
	cout => \led_flash_cnt[1363][1]~45963\);

-- Location: FF_X74_Y20_N17
\led_flash_cnt[1363][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1363][1]~45962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1363][1]~q\);

-- Location: LCCOMB_X74_Y20_N18
\led_flash_cnt[1363][2]~45964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1363][2]~45964_combout\ = (\led_flash_cnt[1363][2]~q\ & (!\led_flash_cnt[1363][1]~45963\)) # (!\led_flash_cnt[1363][2]~q\ & ((\led_flash_cnt[1363][1]~45963\) # (GND)))
-- \led_flash_cnt[1363][2]~45965\ = CARRY((!\led_flash_cnt[1363][1]~45963\) # (!\led_flash_cnt[1363][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1363][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1363][1]~45963\,
	combout => \led_flash_cnt[1363][2]~45964_combout\,
	cout => \led_flash_cnt[1363][2]~45965\);

-- Location: FF_X74_Y20_N19
\led_flash_cnt[1363][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1363][2]~45964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1363][2]~q\);

-- Location: LCCOMB_X74_Y20_N20
\led_flash_cnt[1363][3]~45966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1363][3]~45966_combout\ = (\led_flash_cnt[1363][3]~q\ & (\led_flash_cnt[1363][2]~45965\ $ (GND))) # (!\led_flash_cnt[1363][3]~q\ & (!\led_flash_cnt[1363][2]~45965\ & VCC))
-- \led_flash_cnt[1363][3]~45967\ = CARRY((\led_flash_cnt[1363][3]~q\ & !\led_flash_cnt[1363][2]~45965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1363][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1363][2]~45965\,
	combout => \led_flash_cnt[1363][3]~45966_combout\,
	cout => \led_flash_cnt[1363][3]~45967\);

-- Location: FF_X74_Y20_N21
\led_flash_cnt[1363][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1363][3]~45966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1363][3]~q\);

-- Location: LCCOMB_X74_Y20_N22
\led_flash_cnt[1363][4]~45968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1363][4]~45968_combout\ = (\led_flash_cnt[1363][4]~q\ & (!\led_flash_cnt[1363][3]~45967\)) # (!\led_flash_cnt[1363][4]~q\ & ((\led_flash_cnt[1363][3]~45967\) # (GND)))
-- \led_flash_cnt[1363][4]~45969\ = CARRY((!\led_flash_cnt[1363][3]~45967\) # (!\led_flash_cnt[1363][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1363][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1363][3]~45967\,
	combout => \led_flash_cnt[1363][4]~45968_combout\,
	cout => \led_flash_cnt[1363][4]~45969\);

-- Location: FF_X74_Y20_N23
\led_flash_cnt[1363][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1363][4]~45968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1363][4]~q\);

-- Location: LCCOMB_X74_Y20_N24
\led_flash_cnt[1363][5]~45970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1363][5]~45970_combout\ = (\led_flash_cnt[1363][5]~q\ & (\led_flash_cnt[1363][4]~45969\ $ (GND))) # (!\led_flash_cnt[1363][5]~q\ & (!\led_flash_cnt[1363][4]~45969\ & VCC))
-- \led_flash_cnt[1363][5]~45971\ = CARRY((\led_flash_cnt[1363][5]~q\ & !\led_flash_cnt[1363][4]~45969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1363][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1363][4]~45969\,
	combout => \led_flash_cnt[1363][5]~45970_combout\,
	cout => \led_flash_cnt[1363][5]~45971\);

-- Location: FF_X74_Y20_N25
\led_flash_cnt[1363][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1363][5]~45970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1363][5]~q\);

-- Location: LCCOMB_X74_Y20_N26
\led_flash_cnt[1363][6]~45972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1363][6]~45972_combout\ = (\led_flash_cnt[1363][6]~q\ & (!\led_flash_cnt[1363][5]~45971\)) # (!\led_flash_cnt[1363][6]~q\ & ((\led_flash_cnt[1363][5]~45971\) # (GND)))
-- \led_flash_cnt[1363][6]~45973\ = CARRY((!\led_flash_cnt[1363][5]~45971\) # (!\led_flash_cnt[1363][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1363][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1363][5]~45971\,
	combout => \led_flash_cnt[1363][6]~45972_combout\,
	cout => \led_flash_cnt[1363][6]~45973\);

-- Location: FF_X74_Y20_N27
\led_flash_cnt[1363][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1363][6]~45972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1363][6]~q\);

-- Location: LCCOMB_X74_Y20_N28
\led_flash_cnt[1363][7]~45974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1363][7]~45974_combout\ = \led_flash_cnt[1363][6]~45973\ $ (!\led_flash_cnt[1363][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1363][7]~q\,
	cin => \led_flash_cnt[1363][6]~45973\,
	combout => \led_flash_cnt[1363][7]~45974_combout\);

-- Location: FF_X74_Y20_N29
\led_flash_cnt[1363][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1363][7]~45974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1363][7]~q\);

-- Location: LCCOMB_X74_Y20_N30
\WideAnd1363~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1363~0_combout\ = (\led_flash_cnt[1363][3]~q\ & (\led_flash_cnt[1363][2]~q\ & (\led_flash_cnt[1363][4]~q\ & \led_flash_cnt[1363][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1363][3]~q\,
	datab => \led_flash_cnt[1363][2]~q\,
	datac => \led_flash_cnt[1363][4]~q\,
	datad => \led_flash_cnt[1363][1]~q\,
	combout => \WideAnd1363~0_combout\);

-- Location: LCCOMB_X74_Y20_N0
\WideAnd1363~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1363~1_combout\ = (\led_flash_cnt[1363][6]~q\ & \led_flash_cnt[1363][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1363][6]~q\,
	datad => \led_flash_cnt[1363][5]~q\,
	combout => \WideAnd1363~1_combout\);

-- Location: LCCOMB_X74_Y20_N8
WideAnd1363 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1363~combout\ = (\led_flash_cnt[1363][0]~q\ & (\led_flash_cnt[1363][7]~q\ & (\WideAnd1363~0_combout\ & \WideAnd1363~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1363][0]~q\,
	datab => \led_flash_cnt[1363][7]~q\,
	datac => \WideAnd1363~0_combout\,
	datad => \WideAnd1363~1_combout\,
	combout => \WideAnd1363~combout\);

-- Location: FF_X74_Y20_N9
\led_flash_cnt_ands[1363]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1363~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1363));

-- Location: LCCOMB_X62_Y30_N18
\led_flash_cnt[1361][0]~82001\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1361][0]~82001_combout\ = !\led_flash_cnt[1361][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1361][0]~q\,
	combout => \led_flash_cnt[1361][0]~82001_combout\);

-- Location: FF_X62_Y30_N19
\led_flash_cnt[1361][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1361][0]~82001_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1361][0]~q\);

-- Location: LCCOMB_X62_Y30_N0
\led_flash_cnt[1361][1]~45934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1361][1]~45934_combout\ = (\led_flash_cnt[1361][1]~q\ & (\led_flash_cnt[1361][0]~q\ $ (VCC))) # (!\led_flash_cnt[1361][1]~q\ & (\led_flash_cnt[1361][0]~q\ & VCC))
-- \led_flash_cnt[1361][1]~45935\ = CARRY((\led_flash_cnt[1361][1]~q\ & \led_flash_cnt[1361][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1361][1]~q\,
	datab => \led_flash_cnt[1361][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1361][1]~45934_combout\,
	cout => \led_flash_cnt[1361][1]~45935\);

-- Location: FF_X62_Y30_N1
\led_flash_cnt[1361][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1361][1]~45934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1361][1]~q\);

-- Location: LCCOMB_X62_Y30_N2
\led_flash_cnt[1361][2]~45936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1361][2]~45936_combout\ = (\led_flash_cnt[1361][2]~q\ & (!\led_flash_cnt[1361][1]~45935\)) # (!\led_flash_cnt[1361][2]~q\ & ((\led_flash_cnt[1361][1]~45935\) # (GND)))
-- \led_flash_cnt[1361][2]~45937\ = CARRY((!\led_flash_cnt[1361][1]~45935\) # (!\led_flash_cnt[1361][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1361][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1361][1]~45935\,
	combout => \led_flash_cnt[1361][2]~45936_combout\,
	cout => \led_flash_cnt[1361][2]~45937\);

-- Location: FF_X62_Y30_N3
\led_flash_cnt[1361][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1361][2]~45936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1361][2]~q\);

-- Location: LCCOMB_X62_Y30_N4
\led_flash_cnt[1361][3]~45938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1361][3]~45938_combout\ = (\led_flash_cnt[1361][3]~q\ & (\led_flash_cnt[1361][2]~45937\ $ (GND))) # (!\led_flash_cnt[1361][3]~q\ & (!\led_flash_cnt[1361][2]~45937\ & VCC))
-- \led_flash_cnt[1361][3]~45939\ = CARRY((\led_flash_cnt[1361][3]~q\ & !\led_flash_cnt[1361][2]~45937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1361][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1361][2]~45937\,
	combout => \led_flash_cnt[1361][3]~45938_combout\,
	cout => \led_flash_cnt[1361][3]~45939\);

-- Location: FF_X62_Y30_N5
\led_flash_cnt[1361][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1361][3]~45938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1361][3]~q\);

-- Location: LCCOMB_X62_Y30_N6
\led_flash_cnt[1361][4]~45940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1361][4]~45940_combout\ = (\led_flash_cnt[1361][4]~q\ & (!\led_flash_cnt[1361][3]~45939\)) # (!\led_flash_cnt[1361][4]~q\ & ((\led_flash_cnt[1361][3]~45939\) # (GND)))
-- \led_flash_cnt[1361][4]~45941\ = CARRY((!\led_flash_cnt[1361][3]~45939\) # (!\led_flash_cnt[1361][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1361][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1361][3]~45939\,
	combout => \led_flash_cnt[1361][4]~45940_combout\,
	cout => \led_flash_cnt[1361][4]~45941\);

-- Location: FF_X62_Y30_N7
\led_flash_cnt[1361][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1361][4]~45940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1361][4]~q\);

-- Location: LCCOMB_X62_Y30_N8
\led_flash_cnt[1361][5]~45942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1361][5]~45942_combout\ = (\led_flash_cnt[1361][5]~q\ & (\led_flash_cnt[1361][4]~45941\ $ (GND))) # (!\led_flash_cnt[1361][5]~q\ & (!\led_flash_cnt[1361][4]~45941\ & VCC))
-- \led_flash_cnt[1361][5]~45943\ = CARRY((\led_flash_cnt[1361][5]~q\ & !\led_flash_cnt[1361][4]~45941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1361][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1361][4]~45941\,
	combout => \led_flash_cnt[1361][5]~45942_combout\,
	cout => \led_flash_cnt[1361][5]~45943\);

-- Location: FF_X62_Y30_N9
\led_flash_cnt[1361][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1361][5]~45942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1361][5]~q\);

-- Location: LCCOMB_X62_Y30_N10
\led_flash_cnt[1361][6]~45944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1361][6]~45944_combout\ = (\led_flash_cnt[1361][6]~q\ & (!\led_flash_cnt[1361][5]~45943\)) # (!\led_flash_cnt[1361][6]~q\ & ((\led_flash_cnt[1361][5]~45943\) # (GND)))
-- \led_flash_cnt[1361][6]~45945\ = CARRY((!\led_flash_cnt[1361][5]~45943\) # (!\led_flash_cnt[1361][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1361][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1361][5]~45943\,
	combout => \led_flash_cnt[1361][6]~45944_combout\,
	cout => \led_flash_cnt[1361][6]~45945\);

-- Location: FF_X62_Y30_N11
\led_flash_cnt[1361][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1361][6]~45944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1361][6]~q\);

-- Location: LCCOMB_X62_Y30_N12
\led_flash_cnt[1361][7]~45946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1361][7]~45946_combout\ = \led_flash_cnt[1361][6]~45945\ $ (!\led_flash_cnt[1361][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1361][7]~q\,
	cin => \led_flash_cnt[1361][6]~45945\,
	combout => \led_flash_cnt[1361][7]~45946_combout\);

-- Location: FF_X62_Y30_N13
\led_flash_cnt[1361][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1361][7]~45946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1361][7]~q\);

-- Location: LCCOMB_X62_Y30_N20
\WideAnd1361~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1361~0_combout\ = (\led_flash_cnt[1361][4]~q\ & (\led_flash_cnt[1361][1]~q\ & (\led_flash_cnt[1361][3]~q\ & \led_flash_cnt[1361][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1361][4]~q\,
	datab => \led_flash_cnt[1361][1]~q\,
	datac => \led_flash_cnt[1361][3]~q\,
	datad => \led_flash_cnt[1361][2]~q\,
	combout => \WideAnd1361~0_combout\);

-- Location: LCCOMB_X62_Y30_N22
\WideAnd1361~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1361~1_combout\ = (\led_flash_cnt[1361][5]~q\ & \led_flash_cnt[1361][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1361][5]~q\,
	datad => \led_flash_cnt[1361][6]~q\,
	combout => \WideAnd1361~1_combout\);

-- Location: LCCOMB_X62_Y30_N14
WideAnd1361 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1361~combout\ = (\led_flash_cnt[1361][7]~q\ & (\WideAnd1361~0_combout\ & (\WideAnd1361~1_combout\ & \led_flash_cnt[1361][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1361][7]~q\,
	datab => \WideAnd1361~0_combout\,
	datac => \WideAnd1361~1_combout\,
	datad => \led_flash_cnt[1361][0]~q\,
	combout => \WideAnd1361~combout\);

-- Location: FF_X62_Y30_N15
\led_flash_cnt_ands[1361]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1361~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1361));

-- Location: LCCOMB_X4_Y38_N26
\led_flash_cnt[1360][0]~82000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1360][0]~82000_combout\ = !\led_flash_cnt[1360][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1360][0]~q\,
	combout => \led_flash_cnt[1360][0]~82000_combout\);

-- Location: FF_X4_Y38_N27
\led_flash_cnt[1360][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1360][0]~82000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1360][0]~q\);

-- Location: LCCOMB_X4_Y38_N2
\led_flash_cnt[1360][1]~45920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1360][1]~45920_combout\ = (\led_flash_cnt[1360][0]~q\ & (\led_flash_cnt[1360][1]~q\ $ (VCC))) # (!\led_flash_cnt[1360][0]~q\ & (\led_flash_cnt[1360][1]~q\ & VCC))
-- \led_flash_cnt[1360][1]~45921\ = CARRY((\led_flash_cnt[1360][0]~q\ & \led_flash_cnt[1360][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1360][0]~q\,
	datab => \led_flash_cnt[1360][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1360][1]~45920_combout\,
	cout => \led_flash_cnt[1360][1]~45921\);

-- Location: FF_X4_Y38_N3
\led_flash_cnt[1360][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1360][1]~45920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1360][1]~q\);

-- Location: LCCOMB_X4_Y38_N4
\led_flash_cnt[1360][2]~45922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1360][2]~45922_combout\ = (\led_flash_cnt[1360][2]~q\ & (!\led_flash_cnt[1360][1]~45921\)) # (!\led_flash_cnt[1360][2]~q\ & ((\led_flash_cnt[1360][1]~45921\) # (GND)))
-- \led_flash_cnt[1360][2]~45923\ = CARRY((!\led_flash_cnt[1360][1]~45921\) # (!\led_flash_cnt[1360][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1360][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1360][1]~45921\,
	combout => \led_flash_cnt[1360][2]~45922_combout\,
	cout => \led_flash_cnt[1360][2]~45923\);

-- Location: FF_X4_Y38_N5
\led_flash_cnt[1360][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1360][2]~45922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1360][2]~q\);

-- Location: LCCOMB_X4_Y38_N6
\led_flash_cnt[1360][3]~45924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1360][3]~45924_combout\ = (\led_flash_cnt[1360][3]~q\ & (\led_flash_cnt[1360][2]~45923\ $ (GND))) # (!\led_flash_cnt[1360][3]~q\ & (!\led_flash_cnt[1360][2]~45923\ & VCC))
-- \led_flash_cnt[1360][3]~45925\ = CARRY((\led_flash_cnt[1360][3]~q\ & !\led_flash_cnt[1360][2]~45923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1360][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1360][2]~45923\,
	combout => \led_flash_cnt[1360][3]~45924_combout\,
	cout => \led_flash_cnt[1360][3]~45925\);

-- Location: FF_X4_Y38_N7
\led_flash_cnt[1360][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1360][3]~45924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1360][3]~q\);

-- Location: LCCOMB_X4_Y38_N8
\led_flash_cnt[1360][4]~45926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1360][4]~45926_combout\ = (\led_flash_cnt[1360][4]~q\ & (!\led_flash_cnt[1360][3]~45925\)) # (!\led_flash_cnt[1360][4]~q\ & ((\led_flash_cnt[1360][3]~45925\) # (GND)))
-- \led_flash_cnt[1360][4]~45927\ = CARRY((!\led_flash_cnt[1360][3]~45925\) # (!\led_flash_cnt[1360][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1360][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1360][3]~45925\,
	combout => \led_flash_cnt[1360][4]~45926_combout\,
	cout => \led_flash_cnt[1360][4]~45927\);

-- Location: FF_X4_Y38_N9
\led_flash_cnt[1360][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1360][4]~45926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1360][4]~q\);

-- Location: LCCOMB_X4_Y38_N10
\led_flash_cnt[1360][5]~45928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1360][5]~45928_combout\ = (\led_flash_cnt[1360][5]~q\ & (\led_flash_cnt[1360][4]~45927\ $ (GND))) # (!\led_flash_cnt[1360][5]~q\ & (!\led_flash_cnt[1360][4]~45927\ & VCC))
-- \led_flash_cnt[1360][5]~45929\ = CARRY((\led_flash_cnt[1360][5]~q\ & !\led_flash_cnt[1360][4]~45927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1360][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1360][4]~45927\,
	combout => \led_flash_cnt[1360][5]~45928_combout\,
	cout => \led_flash_cnt[1360][5]~45929\);

-- Location: FF_X4_Y38_N11
\led_flash_cnt[1360][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1360][5]~45928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1360][5]~q\);

-- Location: LCCOMB_X4_Y38_N12
\led_flash_cnt[1360][6]~45930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1360][6]~45930_combout\ = (\led_flash_cnt[1360][6]~q\ & (!\led_flash_cnt[1360][5]~45929\)) # (!\led_flash_cnt[1360][6]~q\ & ((\led_flash_cnt[1360][5]~45929\) # (GND)))
-- \led_flash_cnt[1360][6]~45931\ = CARRY((!\led_flash_cnt[1360][5]~45929\) # (!\led_flash_cnt[1360][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1360][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1360][5]~45929\,
	combout => \led_flash_cnt[1360][6]~45930_combout\,
	cout => \led_flash_cnt[1360][6]~45931\);

-- Location: FF_X4_Y38_N13
\led_flash_cnt[1360][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1360][6]~45930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1360][6]~q\);

-- Location: LCCOMB_X4_Y38_N24
\WideAnd1360~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1360~1_combout\ = (\led_flash_cnt[1360][5]~q\ & \led_flash_cnt[1360][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1360][5]~q\,
	datad => \led_flash_cnt[1360][6]~q\,
	combout => \WideAnd1360~1_combout\);

-- Location: LCCOMB_X4_Y38_N14
\led_flash_cnt[1360][7]~45932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1360][7]~45932_combout\ = \led_flash_cnt[1360][7]~q\ $ (!\led_flash_cnt[1360][6]~45931\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1360][7]~q\,
	cin => \led_flash_cnt[1360][6]~45931\,
	combout => \led_flash_cnt[1360][7]~45932_combout\);

-- Location: FF_X4_Y38_N15
\led_flash_cnt[1360][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1360][7]~45932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1360][7]~q\);

-- Location: LCCOMB_X4_Y38_N18
\WideAnd1360~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1360~0_combout\ = (\led_flash_cnt[1360][3]~q\ & (\led_flash_cnt[1360][2]~q\ & (\led_flash_cnt[1360][4]~q\ & \led_flash_cnt[1360][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1360][3]~q\,
	datab => \led_flash_cnt[1360][2]~q\,
	datac => \led_flash_cnt[1360][4]~q\,
	datad => \led_flash_cnt[1360][1]~q\,
	combout => \WideAnd1360~0_combout\);

-- Location: LCCOMB_X4_Y38_N16
WideAnd1360 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1360~combout\ = (\led_flash_cnt[1360][0]~q\ & (\WideAnd1360~1_combout\ & (\led_flash_cnt[1360][7]~q\ & \WideAnd1360~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1360][0]~q\,
	datab => \WideAnd1360~1_combout\,
	datac => \led_flash_cnt[1360][7]~q\,
	datad => \WideAnd1360~0_combout\,
	combout => \WideAnd1360~combout\);

-- Location: FF_X4_Y38_N17
\led_flash_cnt_ands[1360]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1360~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1360));

-- Location: LCCOMB_X69_Y38_N22
\led_flash_cnt[1362][0]~82002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1362][0]~82002_combout\ = !\led_flash_cnt[1362][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1362][0]~q\,
	combout => \led_flash_cnt[1362][0]~82002_combout\);

-- Location: FF_X69_Y38_N23
\led_flash_cnt[1362][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1362][0]~82002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1362][0]~q\);

-- Location: LCCOMB_X69_Y38_N8
\led_flash_cnt[1362][1]~45948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1362][1]~45948_combout\ = (\led_flash_cnt[1362][0]~q\ & (\led_flash_cnt[1362][1]~q\ $ (VCC))) # (!\led_flash_cnt[1362][0]~q\ & (\led_flash_cnt[1362][1]~q\ & VCC))
-- \led_flash_cnt[1362][1]~45949\ = CARRY((\led_flash_cnt[1362][0]~q\ & \led_flash_cnt[1362][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1362][0]~q\,
	datab => \led_flash_cnt[1362][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1362][1]~45948_combout\,
	cout => \led_flash_cnt[1362][1]~45949\);

-- Location: FF_X69_Y38_N9
\led_flash_cnt[1362][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1362][1]~45948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1362][1]~q\);

-- Location: LCCOMB_X69_Y38_N10
\led_flash_cnt[1362][2]~45950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1362][2]~45950_combout\ = (\led_flash_cnt[1362][2]~q\ & (!\led_flash_cnt[1362][1]~45949\)) # (!\led_flash_cnt[1362][2]~q\ & ((\led_flash_cnt[1362][1]~45949\) # (GND)))
-- \led_flash_cnt[1362][2]~45951\ = CARRY((!\led_flash_cnt[1362][1]~45949\) # (!\led_flash_cnt[1362][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1362][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1362][1]~45949\,
	combout => \led_flash_cnt[1362][2]~45950_combout\,
	cout => \led_flash_cnt[1362][2]~45951\);

-- Location: FF_X69_Y38_N11
\led_flash_cnt[1362][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1362][2]~45950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1362][2]~q\);

-- Location: LCCOMB_X69_Y38_N12
\led_flash_cnt[1362][3]~45952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1362][3]~45952_combout\ = (\led_flash_cnt[1362][3]~q\ & (\led_flash_cnt[1362][2]~45951\ $ (GND))) # (!\led_flash_cnt[1362][3]~q\ & (!\led_flash_cnt[1362][2]~45951\ & VCC))
-- \led_flash_cnt[1362][3]~45953\ = CARRY((\led_flash_cnt[1362][3]~q\ & !\led_flash_cnt[1362][2]~45951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1362][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1362][2]~45951\,
	combout => \led_flash_cnt[1362][3]~45952_combout\,
	cout => \led_flash_cnt[1362][3]~45953\);

-- Location: FF_X69_Y38_N13
\led_flash_cnt[1362][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1362][3]~45952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1362][3]~q\);

-- Location: LCCOMB_X69_Y38_N14
\led_flash_cnt[1362][4]~45954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1362][4]~45954_combout\ = (\led_flash_cnt[1362][4]~q\ & (!\led_flash_cnt[1362][3]~45953\)) # (!\led_flash_cnt[1362][4]~q\ & ((\led_flash_cnt[1362][3]~45953\) # (GND)))
-- \led_flash_cnt[1362][4]~45955\ = CARRY((!\led_flash_cnt[1362][3]~45953\) # (!\led_flash_cnt[1362][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1362][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1362][3]~45953\,
	combout => \led_flash_cnt[1362][4]~45954_combout\,
	cout => \led_flash_cnt[1362][4]~45955\);

-- Location: FF_X69_Y38_N15
\led_flash_cnt[1362][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1362][4]~45954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1362][4]~q\);

-- Location: LCCOMB_X69_Y38_N16
\led_flash_cnt[1362][5]~45956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1362][5]~45956_combout\ = (\led_flash_cnt[1362][5]~q\ & (\led_flash_cnt[1362][4]~45955\ $ (GND))) # (!\led_flash_cnt[1362][5]~q\ & (!\led_flash_cnt[1362][4]~45955\ & VCC))
-- \led_flash_cnt[1362][5]~45957\ = CARRY((\led_flash_cnt[1362][5]~q\ & !\led_flash_cnt[1362][4]~45955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1362][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1362][4]~45955\,
	combout => \led_flash_cnt[1362][5]~45956_combout\,
	cout => \led_flash_cnt[1362][5]~45957\);

-- Location: FF_X69_Y38_N17
\led_flash_cnt[1362][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1362][5]~45956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1362][5]~q\);

-- Location: LCCOMB_X69_Y38_N18
\led_flash_cnt[1362][6]~45958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1362][6]~45958_combout\ = (\led_flash_cnt[1362][6]~q\ & (!\led_flash_cnt[1362][5]~45957\)) # (!\led_flash_cnt[1362][6]~q\ & ((\led_flash_cnt[1362][5]~45957\) # (GND)))
-- \led_flash_cnt[1362][6]~45959\ = CARRY((!\led_flash_cnt[1362][5]~45957\) # (!\led_flash_cnt[1362][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1362][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1362][5]~45957\,
	combout => \led_flash_cnt[1362][6]~45958_combout\,
	cout => \led_flash_cnt[1362][6]~45959\);

-- Location: FF_X69_Y38_N19
\led_flash_cnt[1362][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1362][6]~45958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1362][6]~q\);

-- Location: LCCOMB_X69_Y38_N20
\led_flash_cnt[1362][7]~45960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1362][7]~45960_combout\ = \led_flash_cnt[1362][6]~45959\ $ (!\led_flash_cnt[1362][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1362][7]~q\,
	cin => \led_flash_cnt[1362][6]~45959\,
	combout => \led_flash_cnt[1362][7]~45960_combout\);

-- Location: FF_X69_Y38_N21
\led_flash_cnt[1362][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1362][7]~45960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1362][7]~q\);

-- Location: LCCOMB_X69_Y38_N26
\WideAnd1362~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1362~0_combout\ = (\led_flash_cnt[1362][3]~q\ & (\led_flash_cnt[1362][4]~q\ & (\led_flash_cnt[1362][1]~q\ & \led_flash_cnt[1362][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1362][3]~q\,
	datab => \led_flash_cnt[1362][4]~q\,
	datac => \led_flash_cnt[1362][1]~q\,
	datad => \led_flash_cnt[1362][2]~q\,
	combout => \WideAnd1362~0_combout\);

-- Location: LCCOMB_X69_Y38_N0
\WideAnd1362~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1362~1_combout\ = (\led_flash_cnt[1362][6]~q\ & \led_flash_cnt[1362][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1362][6]~q\,
	datad => \led_flash_cnt[1362][5]~q\,
	combout => \WideAnd1362~1_combout\);

-- Location: LCCOMB_X69_Y38_N24
WideAnd1362 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1362~combout\ = (\led_flash_cnt[1362][0]~q\ & (\led_flash_cnt[1362][7]~q\ & (\WideAnd1362~0_combout\ & \WideAnd1362~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1362][0]~q\,
	datab => \led_flash_cnt[1362][7]~q\,
	datac => \WideAnd1362~0_combout\,
	datad => \WideAnd1362~1_combout\,
	combout => \WideAnd1362~combout\);

-- Location: FF_X69_Y38_N25
\led_flash_cnt_ands[1362]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1362~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1362));

-- Location: LCCOMB_X69_Y38_N30
\WideAnd4010~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4010~0_combout\ = (led_flash_cnt_ands(1363) & (led_flash_cnt_ands(1361) & (led_flash_cnt_ands(1360) & led_flash_cnt_ands(1362))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1363),
	datab => led_flash_cnt_ands(1361),
	datac => led_flash_cnt_ands(1360),
	datad => led_flash_cnt_ands(1362),
	combout => \WideAnd4010~0_combout\);

-- Location: LCCOMB_X65_Y29_N18
\led_flash_cnt[1364][0]~82004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1364][0]~82004_combout\ = !\led_flash_cnt[1364][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1364][0]~q\,
	combout => \led_flash_cnt[1364][0]~82004_combout\);

-- Location: FF_X65_Y29_N19
\led_flash_cnt[1364][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1364][0]~82004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1364][0]~q\);

-- Location: LCCOMB_X65_Y29_N0
\led_flash_cnt[1364][1]~45976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1364][1]~45976_combout\ = (\led_flash_cnt[1364][1]~q\ & (\led_flash_cnt[1364][0]~q\ $ (VCC))) # (!\led_flash_cnt[1364][1]~q\ & (\led_flash_cnt[1364][0]~q\ & VCC))
-- \led_flash_cnt[1364][1]~45977\ = CARRY((\led_flash_cnt[1364][1]~q\ & \led_flash_cnt[1364][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1364][1]~q\,
	datab => \led_flash_cnt[1364][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1364][1]~45976_combout\,
	cout => \led_flash_cnt[1364][1]~45977\);

-- Location: FF_X65_Y29_N1
\led_flash_cnt[1364][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1364][1]~45976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1364][1]~q\);

-- Location: LCCOMB_X65_Y29_N2
\led_flash_cnt[1364][2]~45978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1364][2]~45978_combout\ = (\led_flash_cnt[1364][2]~q\ & (!\led_flash_cnt[1364][1]~45977\)) # (!\led_flash_cnt[1364][2]~q\ & ((\led_flash_cnt[1364][1]~45977\) # (GND)))
-- \led_flash_cnt[1364][2]~45979\ = CARRY((!\led_flash_cnt[1364][1]~45977\) # (!\led_flash_cnt[1364][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1364][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1364][1]~45977\,
	combout => \led_flash_cnt[1364][2]~45978_combout\,
	cout => \led_flash_cnt[1364][2]~45979\);

-- Location: FF_X65_Y29_N3
\led_flash_cnt[1364][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1364][2]~45978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1364][2]~q\);

-- Location: LCCOMB_X65_Y29_N4
\led_flash_cnt[1364][3]~45980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1364][3]~45980_combout\ = (\led_flash_cnt[1364][3]~q\ & (\led_flash_cnt[1364][2]~45979\ $ (GND))) # (!\led_flash_cnt[1364][3]~q\ & (!\led_flash_cnt[1364][2]~45979\ & VCC))
-- \led_flash_cnt[1364][3]~45981\ = CARRY((\led_flash_cnt[1364][3]~q\ & !\led_flash_cnt[1364][2]~45979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1364][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1364][2]~45979\,
	combout => \led_flash_cnt[1364][3]~45980_combout\,
	cout => \led_flash_cnt[1364][3]~45981\);

-- Location: FF_X65_Y29_N5
\led_flash_cnt[1364][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1364][3]~45980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1364][3]~q\);

-- Location: LCCOMB_X65_Y29_N6
\led_flash_cnt[1364][4]~45982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1364][4]~45982_combout\ = (\led_flash_cnt[1364][4]~q\ & (!\led_flash_cnt[1364][3]~45981\)) # (!\led_flash_cnt[1364][4]~q\ & ((\led_flash_cnt[1364][3]~45981\) # (GND)))
-- \led_flash_cnt[1364][4]~45983\ = CARRY((!\led_flash_cnt[1364][3]~45981\) # (!\led_flash_cnt[1364][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1364][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1364][3]~45981\,
	combout => \led_flash_cnt[1364][4]~45982_combout\,
	cout => \led_flash_cnt[1364][4]~45983\);

-- Location: FF_X65_Y29_N7
\led_flash_cnt[1364][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1364][4]~45982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1364][4]~q\);

-- Location: LCCOMB_X65_Y29_N8
\led_flash_cnt[1364][5]~45984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1364][5]~45984_combout\ = (\led_flash_cnt[1364][5]~q\ & (\led_flash_cnt[1364][4]~45983\ $ (GND))) # (!\led_flash_cnt[1364][5]~q\ & (!\led_flash_cnt[1364][4]~45983\ & VCC))
-- \led_flash_cnt[1364][5]~45985\ = CARRY((\led_flash_cnt[1364][5]~q\ & !\led_flash_cnt[1364][4]~45983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1364][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1364][4]~45983\,
	combout => \led_flash_cnt[1364][5]~45984_combout\,
	cout => \led_flash_cnt[1364][5]~45985\);

-- Location: FF_X65_Y29_N9
\led_flash_cnt[1364][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1364][5]~45984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1364][5]~q\);

-- Location: LCCOMB_X65_Y29_N10
\led_flash_cnt[1364][6]~45986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1364][6]~45986_combout\ = (\led_flash_cnt[1364][6]~q\ & (!\led_flash_cnt[1364][5]~45985\)) # (!\led_flash_cnt[1364][6]~q\ & ((\led_flash_cnt[1364][5]~45985\) # (GND)))
-- \led_flash_cnt[1364][6]~45987\ = CARRY((!\led_flash_cnt[1364][5]~45985\) # (!\led_flash_cnt[1364][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1364][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1364][5]~45985\,
	combout => \led_flash_cnt[1364][6]~45986_combout\,
	cout => \led_flash_cnt[1364][6]~45987\);

-- Location: FF_X65_Y29_N11
\led_flash_cnt[1364][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1364][6]~45986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1364][6]~q\);

-- Location: LCCOMB_X65_Y29_N12
\led_flash_cnt[1364][7]~45988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1364][7]~45988_combout\ = \led_flash_cnt[1364][6]~45987\ $ (!\led_flash_cnt[1364][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1364][7]~q\,
	cin => \led_flash_cnt[1364][6]~45987\,
	combout => \led_flash_cnt[1364][7]~45988_combout\);

-- Location: FF_X65_Y29_N13
\led_flash_cnt[1364][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1364][7]~45988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1364][7]~q\);

-- Location: LCCOMB_X65_Y29_N28
\WideAnd1364~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1364~1_combout\ = (\led_flash_cnt[1364][5]~q\ & \led_flash_cnt[1364][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1364][5]~q\,
	datad => \led_flash_cnt[1364][6]~q\,
	combout => \WideAnd1364~1_combout\);

-- Location: LCCOMB_X65_Y29_N26
\WideAnd1364~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1364~0_combout\ = (\led_flash_cnt[1364][4]~q\ & (\led_flash_cnt[1364][1]~q\ & (\led_flash_cnt[1364][3]~q\ & \led_flash_cnt[1364][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1364][4]~q\,
	datab => \led_flash_cnt[1364][1]~q\,
	datac => \led_flash_cnt[1364][3]~q\,
	datad => \led_flash_cnt[1364][2]~q\,
	combout => \WideAnd1364~0_combout\);

-- Location: LCCOMB_X65_Y29_N22
WideAnd1364 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1364~combout\ = (\led_flash_cnt[1364][7]~q\ & (\WideAnd1364~1_combout\ & (\WideAnd1364~0_combout\ & \led_flash_cnt[1364][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1364][7]~q\,
	datab => \WideAnd1364~1_combout\,
	datac => \WideAnd1364~0_combout\,
	datad => \led_flash_cnt[1364][0]~q\,
	combout => \WideAnd1364~combout\);

-- Location: FF_X65_Y29_N23
\led_flash_cnt_ands[1364]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1364~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1364));

-- Location: LCCOMB_X65_Y34_N22
\led_flash_cnt[1365][0]~82005\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1365][0]~82005_combout\ = !\led_flash_cnt[1365][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1365][0]~q\,
	combout => \led_flash_cnt[1365][0]~82005_combout\);

-- Location: FF_X65_Y34_N23
\led_flash_cnt[1365][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1365][0]~82005_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1365][0]~q\);

-- Location: LCCOMB_X65_Y34_N4
\led_flash_cnt[1365][1]~45990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1365][1]~45990_combout\ = (\led_flash_cnt[1365][0]~q\ & (\led_flash_cnt[1365][1]~q\ $ (VCC))) # (!\led_flash_cnt[1365][0]~q\ & (\led_flash_cnt[1365][1]~q\ & VCC))
-- \led_flash_cnt[1365][1]~45991\ = CARRY((\led_flash_cnt[1365][0]~q\ & \led_flash_cnt[1365][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1365][0]~q\,
	datab => \led_flash_cnt[1365][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1365][1]~45990_combout\,
	cout => \led_flash_cnt[1365][1]~45991\);

-- Location: FF_X65_Y34_N5
\led_flash_cnt[1365][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1365][1]~45990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1365][1]~q\);

-- Location: LCCOMB_X65_Y34_N6
\led_flash_cnt[1365][2]~45992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1365][2]~45992_combout\ = (\led_flash_cnt[1365][2]~q\ & (!\led_flash_cnt[1365][1]~45991\)) # (!\led_flash_cnt[1365][2]~q\ & ((\led_flash_cnt[1365][1]~45991\) # (GND)))
-- \led_flash_cnt[1365][2]~45993\ = CARRY((!\led_flash_cnt[1365][1]~45991\) # (!\led_flash_cnt[1365][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1365][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1365][1]~45991\,
	combout => \led_flash_cnt[1365][2]~45992_combout\,
	cout => \led_flash_cnt[1365][2]~45993\);

-- Location: FF_X65_Y34_N7
\led_flash_cnt[1365][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1365][2]~45992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1365][2]~q\);

-- Location: LCCOMB_X65_Y34_N8
\led_flash_cnt[1365][3]~45994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1365][3]~45994_combout\ = (\led_flash_cnt[1365][3]~q\ & (\led_flash_cnt[1365][2]~45993\ $ (GND))) # (!\led_flash_cnt[1365][3]~q\ & (!\led_flash_cnt[1365][2]~45993\ & VCC))
-- \led_flash_cnt[1365][3]~45995\ = CARRY((\led_flash_cnt[1365][3]~q\ & !\led_flash_cnt[1365][2]~45993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1365][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1365][2]~45993\,
	combout => \led_flash_cnt[1365][3]~45994_combout\,
	cout => \led_flash_cnt[1365][3]~45995\);

-- Location: FF_X65_Y34_N9
\led_flash_cnt[1365][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1365][3]~45994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1365][3]~q\);

-- Location: LCCOMB_X65_Y34_N10
\led_flash_cnt[1365][4]~45996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1365][4]~45996_combout\ = (\led_flash_cnt[1365][4]~q\ & (!\led_flash_cnt[1365][3]~45995\)) # (!\led_flash_cnt[1365][4]~q\ & ((\led_flash_cnt[1365][3]~45995\) # (GND)))
-- \led_flash_cnt[1365][4]~45997\ = CARRY((!\led_flash_cnt[1365][3]~45995\) # (!\led_flash_cnt[1365][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1365][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1365][3]~45995\,
	combout => \led_flash_cnt[1365][4]~45996_combout\,
	cout => \led_flash_cnt[1365][4]~45997\);

-- Location: FF_X65_Y34_N11
\led_flash_cnt[1365][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1365][4]~45996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1365][4]~q\);

-- Location: LCCOMB_X65_Y34_N12
\led_flash_cnt[1365][5]~45998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1365][5]~45998_combout\ = (\led_flash_cnt[1365][5]~q\ & (\led_flash_cnt[1365][4]~45997\ $ (GND))) # (!\led_flash_cnt[1365][5]~q\ & (!\led_flash_cnt[1365][4]~45997\ & VCC))
-- \led_flash_cnt[1365][5]~45999\ = CARRY((\led_flash_cnt[1365][5]~q\ & !\led_flash_cnt[1365][4]~45997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1365][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1365][4]~45997\,
	combout => \led_flash_cnt[1365][5]~45998_combout\,
	cout => \led_flash_cnt[1365][5]~45999\);

-- Location: FF_X65_Y34_N13
\led_flash_cnt[1365][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1365][5]~45998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1365][5]~q\);

-- Location: LCCOMB_X65_Y34_N14
\led_flash_cnt[1365][6]~46000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1365][6]~46000_combout\ = (\led_flash_cnt[1365][6]~q\ & (!\led_flash_cnt[1365][5]~45999\)) # (!\led_flash_cnt[1365][6]~q\ & ((\led_flash_cnt[1365][5]~45999\) # (GND)))
-- \led_flash_cnt[1365][6]~46001\ = CARRY((!\led_flash_cnt[1365][5]~45999\) # (!\led_flash_cnt[1365][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1365][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1365][5]~45999\,
	combout => \led_flash_cnt[1365][6]~46000_combout\,
	cout => \led_flash_cnt[1365][6]~46001\);

-- Location: FF_X65_Y34_N15
\led_flash_cnt[1365][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1365][6]~46000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1365][6]~q\);

-- Location: LCCOMB_X65_Y34_N26
\WideAnd1365~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1365~1_combout\ = (\led_flash_cnt[1365][6]~q\ & \led_flash_cnt[1365][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1365][6]~q\,
	datad => \led_flash_cnt[1365][5]~q\,
	combout => \WideAnd1365~1_combout\);

-- Location: LCCOMB_X65_Y34_N16
\led_flash_cnt[1365][7]~46002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1365][7]~46002_combout\ = \led_flash_cnt[1365][6]~46001\ $ (!\led_flash_cnt[1365][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1365][7]~q\,
	cin => \led_flash_cnt[1365][6]~46001\,
	combout => \led_flash_cnt[1365][7]~46002_combout\);

-- Location: FF_X65_Y34_N17
\led_flash_cnt[1365][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1365][7]~46002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1365][7]~q\);

-- Location: LCCOMB_X65_Y34_N18
\WideAnd1365~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1365~0_combout\ = (\led_flash_cnt[1365][2]~q\ & (\led_flash_cnt[1365][1]~q\ & (\led_flash_cnt[1365][3]~q\ & \led_flash_cnt[1365][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1365][2]~q\,
	datab => \led_flash_cnt[1365][1]~q\,
	datac => \led_flash_cnt[1365][3]~q\,
	datad => \led_flash_cnt[1365][4]~q\,
	combout => \WideAnd1365~0_combout\);

-- Location: LCCOMB_X65_Y34_N24
WideAnd1365 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1365~combout\ = (\WideAnd1365~1_combout\ & (\led_flash_cnt[1365][7]~q\ & (\led_flash_cnt[1365][0]~q\ & \WideAnd1365~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1365~1_combout\,
	datab => \led_flash_cnt[1365][7]~q\,
	datac => \led_flash_cnt[1365][0]~q\,
	datad => \WideAnd1365~0_combout\,
	combout => \WideAnd1365~combout\);

-- Location: FF_X65_Y34_N25
\led_flash_cnt_ands[1365]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1365~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1365));

-- Location: LCCOMB_X65_Y34_N2
\WideAnd4010~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4010~1_combout\ = (led_flash_cnt_ands(1364) & led_flash_cnt_ands(1365))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1364),
	datad => led_flash_cnt_ands(1365),
	combout => \WideAnd4010~1_combout\);

-- Location: LCCOMB_X65_Y37_N18
WideAnd4010 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4010~combout\ = (led_flash_cnt_ands(1367) & (led_flash_cnt_ands(1366) & (\WideAnd4010~0_combout\ & \WideAnd4010~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1367),
	datab => led_flash_cnt_ands(1366),
	datac => \WideAnd4010~0_combout\,
	datad => \WideAnd4010~1_combout\,
	combout => \WideAnd4010~combout\);

-- Location: FF_X65_Y37_N19
\led_flash_cnt_ands_1[170]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4010~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(170));

-- Location: LCCOMB_X63_Y37_N20
\WideAnd4341~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4341~0_combout\ = (led_flash_cnt_ands_1(169) & (led_flash_cnt_ands_1(171) & (led_flash_cnt_ands_1(168) & led_flash_cnt_ands_1(170))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(169),
	datab => led_flash_cnt_ands_1(171),
	datac => led_flash_cnt_ands_1(168),
	datad => led_flash_cnt_ands_1(170),
	combout => \WideAnd4341~0_combout\);

-- Location: LCCOMB_X54_Y38_N0
\led_flash_cnt[1398][0]~82038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1398][0]~82038_combout\ = !\led_flash_cnt[1398][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1398][0]~q\,
	combout => \led_flash_cnt[1398][0]~82038_combout\);

-- Location: FF_X54_Y38_N1
\led_flash_cnt[1398][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1398][0]~82038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1398][0]~q\);

-- Location: LCCOMB_X54_Y38_N12
\led_flash_cnt[1398][1]~46452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1398][1]~46452_combout\ = (\led_flash_cnt[1398][1]~q\ & (\led_flash_cnt[1398][0]~q\ $ (VCC))) # (!\led_flash_cnt[1398][1]~q\ & (\led_flash_cnt[1398][0]~q\ & VCC))
-- \led_flash_cnt[1398][1]~46453\ = CARRY((\led_flash_cnt[1398][1]~q\ & \led_flash_cnt[1398][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1398][1]~q\,
	datab => \led_flash_cnt[1398][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1398][1]~46452_combout\,
	cout => \led_flash_cnt[1398][1]~46453\);

-- Location: FF_X54_Y38_N13
\led_flash_cnt[1398][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1398][1]~46452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1398][1]~q\);

-- Location: LCCOMB_X54_Y38_N14
\led_flash_cnt[1398][2]~46454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1398][2]~46454_combout\ = (\led_flash_cnt[1398][2]~q\ & (!\led_flash_cnt[1398][1]~46453\)) # (!\led_flash_cnt[1398][2]~q\ & ((\led_flash_cnt[1398][1]~46453\) # (GND)))
-- \led_flash_cnt[1398][2]~46455\ = CARRY((!\led_flash_cnt[1398][1]~46453\) # (!\led_flash_cnt[1398][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1398][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1398][1]~46453\,
	combout => \led_flash_cnt[1398][2]~46454_combout\,
	cout => \led_flash_cnt[1398][2]~46455\);

-- Location: FF_X54_Y38_N15
\led_flash_cnt[1398][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1398][2]~46454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1398][2]~q\);

-- Location: LCCOMB_X54_Y38_N16
\led_flash_cnt[1398][3]~46456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1398][3]~46456_combout\ = (\led_flash_cnt[1398][3]~q\ & (\led_flash_cnt[1398][2]~46455\ $ (GND))) # (!\led_flash_cnt[1398][3]~q\ & (!\led_flash_cnt[1398][2]~46455\ & VCC))
-- \led_flash_cnt[1398][3]~46457\ = CARRY((\led_flash_cnt[1398][3]~q\ & !\led_flash_cnt[1398][2]~46455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1398][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1398][2]~46455\,
	combout => \led_flash_cnt[1398][3]~46456_combout\,
	cout => \led_flash_cnt[1398][3]~46457\);

-- Location: FF_X54_Y38_N17
\led_flash_cnt[1398][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1398][3]~46456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1398][3]~q\);

-- Location: LCCOMB_X54_Y38_N18
\led_flash_cnt[1398][4]~46458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1398][4]~46458_combout\ = (\led_flash_cnt[1398][4]~q\ & (!\led_flash_cnt[1398][3]~46457\)) # (!\led_flash_cnt[1398][4]~q\ & ((\led_flash_cnt[1398][3]~46457\) # (GND)))
-- \led_flash_cnt[1398][4]~46459\ = CARRY((!\led_flash_cnt[1398][3]~46457\) # (!\led_flash_cnt[1398][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1398][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1398][3]~46457\,
	combout => \led_flash_cnt[1398][4]~46458_combout\,
	cout => \led_flash_cnt[1398][4]~46459\);

-- Location: FF_X54_Y38_N19
\led_flash_cnt[1398][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1398][4]~46458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1398][4]~q\);

-- Location: LCCOMB_X54_Y38_N26
\WideAnd1398~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1398~0_combout\ = (\led_flash_cnt[1398][4]~q\ & (\led_flash_cnt[1398][3]~q\ & (\led_flash_cnt[1398][2]~q\ & \led_flash_cnt[1398][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1398][4]~q\,
	datab => \led_flash_cnt[1398][3]~q\,
	datac => \led_flash_cnt[1398][2]~q\,
	datad => \led_flash_cnt[1398][1]~q\,
	combout => \WideAnd1398~0_combout\);

-- Location: LCCOMB_X54_Y38_N20
\led_flash_cnt[1398][5]~46460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1398][5]~46460_combout\ = (\led_flash_cnt[1398][5]~q\ & (\led_flash_cnt[1398][4]~46459\ $ (GND))) # (!\led_flash_cnt[1398][5]~q\ & (!\led_flash_cnt[1398][4]~46459\ & VCC))
-- \led_flash_cnt[1398][5]~46461\ = CARRY((\led_flash_cnt[1398][5]~q\ & !\led_flash_cnt[1398][4]~46459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1398][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1398][4]~46459\,
	combout => \led_flash_cnt[1398][5]~46460_combout\,
	cout => \led_flash_cnt[1398][5]~46461\);

-- Location: FF_X54_Y38_N21
\led_flash_cnt[1398][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1398][5]~46460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1398][5]~q\);

-- Location: LCCOMB_X54_Y38_N22
\led_flash_cnt[1398][6]~46462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1398][6]~46462_combout\ = (\led_flash_cnt[1398][6]~q\ & (!\led_flash_cnt[1398][5]~46461\)) # (!\led_flash_cnt[1398][6]~q\ & ((\led_flash_cnt[1398][5]~46461\) # (GND)))
-- \led_flash_cnt[1398][6]~46463\ = CARRY((!\led_flash_cnt[1398][5]~46461\) # (!\led_flash_cnt[1398][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1398][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1398][5]~46461\,
	combout => \led_flash_cnt[1398][6]~46462_combout\,
	cout => \led_flash_cnt[1398][6]~46463\);

-- Location: FF_X54_Y38_N23
\led_flash_cnt[1398][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1398][6]~46462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1398][6]~q\);

-- Location: LCCOMB_X54_Y38_N4
\WideAnd1398~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1398~1_combout\ = (\led_flash_cnt[1398][6]~q\ & \led_flash_cnt[1398][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1398][6]~q\,
	datad => \led_flash_cnt[1398][5]~q\,
	combout => \WideAnd1398~1_combout\);

-- Location: LCCOMB_X54_Y38_N24
\led_flash_cnt[1398][7]~46464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1398][7]~46464_combout\ = \led_flash_cnt[1398][6]~46463\ $ (!\led_flash_cnt[1398][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1398][7]~q\,
	cin => \led_flash_cnt[1398][6]~46463\,
	combout => \led_flash_cnt[1398][7]~46464_combout\);

-- Location: FF_X54_Y38_N25
\led_flash_cnt[1398][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1398][7]~46464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1398][7]~q\);

-- Location: LCCOMB_X54_Y38_N10
WideAnd1398 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1398~combout\ = (\WideAnd1398~0_combout\ & (\led_flash_cnt[1398][0]~q\ & (\WideAnd1398~1_combout\ & \led_flash_cnt[1398][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1398~0_combout\,
	datab => \led_flash_cnt[1398][0]~q\,
	datac => \WideAnd1398~1_combout\,
	datad => \led_flash_cnt[1398][7]~q\,
	combout => \WideAnd1398~combout\);

-- Location: FF_X54_Y38_N11
\led_flash_cnt_ands[1398]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1398~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1398));

-- Location: LCCOMB_X54_Y38_N30
\led_flash_cnt[1399][0]~82039\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1399][0]~82039_combout\ = !\led_flash_cnt[1399][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1399][0]~q\,
	combout => \led_flash_cnt[1399][0]~82039_combout\);

-- Location: FF_X54_Y38_N31
\led_flash_cnt[1399][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1399][0]~82039_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1399][0]~q\);

-- Location: LCCOMB_X54_Y37_N16
\led_flash_cnt[1399][1]~46466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1399][1]~46466_combout\ = (\led_flash_cnt[1399][0]~q\ & (\led_flash_cnt[1399][1]~q\ $ (VCC))) # (!\led_flash_cnt[1399][0]~q\ & (\led_flash_cnt[1399][1]~q\ & VCC))
-- \led_flash_cnt[1399][1]~46467\ = CARRY((\led_flash_cnt[1399][0]~q\ & \led_flash_cnt[1399][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1399][0]~q\,
	datab => \led_flash_cnt[1399][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1399][1]~46466_combout\,
	cout => \led_flash_cnt[1399][1]~46467\);

-- Location: FF_X54_Y37_N17
\led_flash_cnt[1399][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1399][1]~46466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1399][1]~q\);

-- Location: LCCOMB_X54_Y37_N18
\led_flash_cnt[1399][2]~46468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1399][2]~46468_combout\ = (\led_flash_cnt[1399][2]~q\ & (!\led_flash_cnt[1399][1]~46467\)) # (!\led_flash_cnt[1399][2]~q\ & ((\led_flash_cnt[1399][1]~46467\) # (GND)))
-- \led_flash_cnt[1399][2]~46469\ = CARRY((!\led_flash_cnt[1399][1]~46467\) # (!\led_flash_cnt[1399][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1399][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1399][1]~46467\,
	combout => \led_flash_cnt[1399][2]~46468_combout\,
	cout => \led_flash_cnt[1399][2]~46469\);

-- Location: FF_X54_Y37_N19
\led_flash_cnt[1399][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1399][2]~46468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1399][2]~q\);

-- Location: LCCOMB_X54_Y37_N20
\led_flash_cnt[1399][3]~46470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1399][3]~46470_combout\ = (\led_flash_cnt[1399][3]~q\ & (\led_flash_cnt[1399][2]~46469\ $ (GND))) # (!\led_flash_cnt[1399][3]~q\ & (!\led_flash_cnt[1399][2]~46469\ & VCC))
-- \led_flash_cnt[1399][3]~46471\ = CARRY((\led_flash_cnt[1399][3]~q\ & !\led_flash_cnt[1399][2]~46469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1399][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1399][2]~46469\,
	combout => \led_flash_cnt[1399][3]~46470_combout\,
	cout => \led_flash_cnt[1399][3]~46471\);

-- Location: FF_X54_Y37_N21
\led_flash_cnt[1399][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1399][3]~46470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1399][3]~q\);

-- Location: LCCOMB_X54_Y37_N22
\led_flash_cnt[1399][4]~46472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1399][4]~46472_combout\ = (\led_flash_cnt[1399][4]~q\ & (!\led_flash_cnt[1399][3]~46471\)) # (!\led_flash_cnt[1399][4]~q\ & ((\led_flash_cnt[1399][3]~46471\) # (GND)))
-- \led_flash_cnt[1399][4]~46473\ = CARRY((!\led_flash_cnt[1399][3]~46471\) # (!\led_flash_cnt[1399][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1399][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1399][3]~46471\,
	combout => \led_flash_cnt[1399][4]~46472_combout\,
	cout => \led_flash_cnt[1399][4]~46473\);

-- Location: FF_X54_Y37_N23
\led_flash_cnt[1399][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1399][4]~46472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1399][4]~q\);

-- Location: LCCOMB_X54_Y37_N24
\led_flash_cnt[1399][5]~46474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1399][5]~46474_combout\ = (\led_flash_cnt[1399][5]~q\ & (\led_flash_cnt[1399][4]~46473\ $ (GND))) # (!\led_flash_cnt[1399][5]~q\ & (!\led_flash_cnt[1399][4]~46473\ & VCC))
-- \led_flash_cnt[1399][5]~46475\ = CARRY((\led_flash_cnt[1399][5]~q\ & !\led_flash_cnt[1399][4]~46473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1399][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1399][4]~46473\,
	combout => \led_flash_cnt[1399][5]~46474_combout\,
	cout => \led_flash_cnt[1399][5]~46475\);

-- Location: FF_X54_Y37_N25
\led_flash_cnt[1399][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1399][5]~46474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1399][5]~q\);

-- Location: LCCOMB_X54_Y37_N26
\led_flash_cnt[1399][6]~46476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1399][6]~46476_combout\ = (\led_flash_cnt[1399][6]~q\ & (!\led_flash_cnt[1399][5]~46475\)) # (!\led_flash_cnt[1399][6]~q\ & ((\led_flash_cnt[1399][5]~46475\) # (GND)))
-- \led_flash_cnt[1399][6]~46477\ = CARRY((!\led_flash_cnt[1399][5]~46475\) # (!\led_flash_cnt[1399][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1399][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1399][5]~46475\,
	combout => \led_flash_cnt[1399][6]~46476_combout\,
	cout => \led_flash_cnt[1399][6]~46477\);

-- Location: FF_X54_Y37_N27
\led_flash_cnt[1399][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1399][6]~46476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1399][6]~q\);

-- Location: LCCOMB_X54_Y38_N6
\WideAnd1399~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1399~1_combout\ = (\led_flash_cnt[1399][6]~q\ & \led_flash_cnt[1399][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1399][6]~q\,
	datac => \led_flash_cnt[1399][5]~q\,
	combout => \WideAnd1399~1_combout\);

-- Location: LCCOMB_X54_Y37_N0
\WideAnd1399~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1399~0_combout\ = (\led_flash_cnt[1399][3]~q\ & (\led_flash_cnt[1399][2]~q\ & (\led_flash_cnt[1399][4]~q\ & \led_flash_cnt[1399][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1399][3]~q\,
	datab => \led_flash_cnt[1399][2]~q\,
	datac => \led_flash_cnt[1399][4]~q\,
	datad => \led_flash_cnt[1399][1]~q\,
	combout => \WideAnd1399~0_combout\);

-- Location: LCCOMB_X54_Y37_N28
\led_flash_cnt[1399][7]~46478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1399][7]~46478_combout\ = \led_flash_cnt[1399][6]~46477\ $ (!\led_flash_cnt[1399][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1399][7]~q\,
	cin => \led_flash_cnt[1399][6]~46477\,
	combout => \led_flash_cnt[1399][7]~46478_combout\);

-- Location: FF_X54_Y37_N29
\led_flash_cnt[1399][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1399][7]~46478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1399][7]~q\);

-- Location: LCCOMB_X54_Y38_N2
WideAnd1399 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1399~combout\ = (\WideAnd1399~1_combout\ & (\WideAnd1399~0_combout\ & (\led_flash_cnt[1399][0]~q\ & \led_flash_cnt[1399][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1399~1_combout\,
	datab => \WideAnd1399~0_combout\,
	datac => \led_flash_cnt[1399][0]~q\,
	datad => \led_flash_cnt[1399][7]~q\,
	combout => \WideAnd1399~combout\);

-- Location: FF_X54_Y38_N3
\led_flash_cnt_ands[1399]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1399~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1399));

-- Location: LCCOMB_X46_Y49_N2
\led_flash_cnt[1396][0]~82036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1396][0]~82036_combout\ = !\led_flash_cnt[1396][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1396][0]~q\,
	combout => \led_flash_cnt[1396][0]~82036_combout\);

-- Location: FF_X46_Y49_N3
\led_flash_cnt[1396][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1396][0]~82036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1396][0]~q\);

-- Location: LCCOMB_X45_Y49_N18
\led_flash_cnt[1396][1]~46424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1396][1]~46424_combout\ = (\led_flash_cnt[1396][0]~q\ & (\led_flash_cnt[1396][1]~q\ $ (VCC))) # (!\led_flash_cnt[1396][0]~q\ & (\led_flash_cnt[1396][1]~q\ & VCC))
-- \led_flash_cnt[1396][1]~46425\ = CARRY((\led_flash_cnt[1396][0]~q\ & \led_flash_cnt[1396][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1396][0]~q\,
	datab => \led_flash_cnt[1396][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1396][1]~46424_combout\,
	cout => \led_flash_cnt[1396][1]~46425\);

-- Location: FF_X45_Y49_N19
\led_flash_cnt[1396][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1396][1]~46424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1396][1]~q\);

-- Location: LCCOMB_X45_Y49_N20
\led_flash_cnt[1396][2]~46426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1396][2]~46426_combout\ = (\led_flash_cnt[1396][2]~q\ & (!\led_flash_cnt[1396][1]~46425\)) # (!\led_flash_cnt[1396][2]~q\ & ((\led_flash_cnt[1396][1]~46425\) # (GND)))
-- \led_flash_cnt[1396][2]~46427\ = CARRY((!\led_flash_cnt[1396][1]~46425\) # (!\led_flash_cnt[1396][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1396][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1396][1]~46425\,
	combout => \led_flash_cnt[1396][2]~46426_combout\,
	cout => \led_flash_cnt[1396][2]~46427\);

-- Location: FF_X45_Y49_N21
\led_flash_cnt[1396][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1396][2]~46426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1396][2]~q\);

-- Location: LCCOMB_X45_Y49_N22
\led_flash_cnt[1396][3]~46428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1396][3]~46428_combout\ = (\led_flash_cnt[1396][3]~q\ & (\led_flash_cnt[1396][2]~46427\ $ (GND))) # (!\led_flash_cnt[1396][3]~q\ & (!\led_flash_cnt[1396][2]~46427\ & VCC))
-- \led_flash_cnt[1396][3]~46429\ = CARRY((\led_flash_cnt[1396][3]~q\ & !\led_flash_cnt[1396][2]~46427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1396][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1396][2]~46427\,
	combout => \led_flash_cnt[1396][3]~46428_combout\,
	cout => \led_flash_cnt[1396][3]~46429\);

-- Location: FF_X45_Y49_N23
\led_flash_cnt[1396][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1396][3]~46428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1396][3]~q\);

-- Location: LCCOMB_X45_Y49_N24
\led_flash_cnt[1396][4]~46430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1396][4]~46430_combout\ = (\led_flash_cnt[1396][4]~q\ & (!\led_flash_cnt[1396][3]~46429\)) # (!\led_flash_cnt[1396][4]~q\ & ((\led_flash_cnt[1396][3]~46429\) # (GND)))
-- \led_flash_cnt[1396][4]~46431\ = CARRY((!\led_flash_cnt[1396][3]~46429\) # (!\led_flash_cnt[1396][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1396][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1396][3]~46429\,
	combout => \led_flash_cnt[1396][4]~46430_combout\,
	cout => \led_flash_cnt[1396][4]~46431\);

-- Location: FF_X45_Y49_N25
\led_flash_cnt[1396][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1396][4]~46430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1396][4]~q\);

-- Location: LCCOMB_X45_Y49_N26
\led_flash_cnt[1396][5]~46432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1396][5]~46432_combout\ = (\led_flash_cnt[1396][5]~q\ & (\led_flash_cnt[1396][4]~46431\ $ (GND))) # (!\led_flash_cnt[1396][5]~q\ & (!\led_flash_cnt[1396][4]~46431\ & VCC))
-- \led_flash_cnt[1396][5]~46433\ = CARRY((\led_flash_cnt[1396][5]~q\ & !\led_flash_cnt[1396][4]~46431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1396][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1396][4]~46431\,
	combout => \led_flash_cnt[1396][5]~46432_combout\,
	cout => \led_flash_cnt[1396][5]~46433\);

-- Location: FF_X45_Y49_N27
\led_flash_cnt[1396][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1396][5]~46432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1396][5]~q\);

-- Location: LCCOMB_X45_Y49_N28
\led_flash_cnt[1396][6]~46434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1396][6]~46434_combout\ = (\led_flash_cnt[1396][6]~q\ & (!\led_flash_cnt[1396][5]~46433\)) # (!\led_flash_cnt[1396][6]~q\ & ((\led_flash_cnt[1396][5]~46433\) # (GND)))
-- \led_flash_cnt[1396][6]~46435\ = CARRY((!\led_flash_cnt[1396][5]~46433\) # (!\led_flash_cnt[1396][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1396][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1396][5]~46433\,
	combout => \led_flash_cnt[1396][6]~46434_combout\,
	cout => \led_flash_cnt[1396][6]~46435\);

-- Location: FF_X45_Y49_N29
\led_flash_cnt[1396][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1396][6]~46434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1396][6]~q\);

-- Location: LCCOMB_X46_Y49_N30
\WideAnd1396~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1396~1_combout\ = (\led_flash_cnt[1396][5]~q\ & \led_flash_cnt[1396][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1396][5]~q\,
	datad => \led_flash_cnt[1396][6]~q\,
	combout => \WideAnd1396~1_combout\);

-- Location: LCCOMB_X45_Y49_N30
\led_flash_cnt[1396][7]~46436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1396][7]~46436_combout\ = \led_flash_cnt[1396][7]~q\ $ (!\led_flash_cnt[1396][6]~46435\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1396][7]~q\,
	cin => \led_flash_cnt[1396][6]~46435\,
	combout => \led_flash_cnt[1396][7]~46436_combout\);

-- Location: FF_X45_Y49_N31
\led_flash_cnt[1396][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1396][7]~46436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1396][7]~q\);

-- Location: LCCOMB_X45_Y49_N0
\WideAnd1396~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1396~0_combout\ = (\led_flash_cnt[1396][2]~q\ & (\led_flash_cnt[1396][1]~q\ & (\led_flash_cnt[1396][3]~q\ & \led_flash_cnt[1396][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1396][2]~q\,
	datab => \led_flash_cnt[1396][1]~q\,
	datac => \led_flash_cnt[1396][3]~q\,
	datad => \led_flash_cnt[1396][4]~q\,
	combout => \WideAnd1396~0_combout\);

-- Location: LCCOMB_X46_Y49_N8
WideAnd1396 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1396~combout\ = (\WideAnd1396~1_combout\ & (\led_flash_cnt[1396][7]~q\ & (\WideAnd1396~0_combout\ & \led_flash_cnt[1396][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1396~1_combout\,
	datab => \led_flash_cnt[1396][7]~q\,
	datac => \WideAnd1396~0_combout\,
	datad => \led_flash_cnt[1396][0]~q\,
	combout => \WideAnd1396~combout\);

-- Location: FF_X46_Y49_N9
\led_flash_cnt_ands[1396]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1396~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1396));

-- Location: LCCOMB_X46_Y49_N4
\led_flash_cnt[1397][0]~82037\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1397][0]~82037_combout\ = !\led_flash_cnt[1397][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1397][0]~q\,
	combout => \led_flash_cnt[1397][0]~82037_combout\);

-- Location: FF_X46_Y49_N5
\led_flash_cnt[1397][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1397][0]~82037_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1397][0]~q\);

-- Location: LCCOMB_X46_Y49_N12
\led_flash_cnt[1397][1]~46438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1397][1]~46438_combout\ = (\led_flash_cnt[1397][1]~q\ & (\led_flash_cnt[1397][0]~q\ $ (VCC))) # (!\led_flash_cnt[1397][1]~q\ & (\led_flash_cnt[1397][0]~q\ & VCC))
-- \led_flash_cnt[1397][1]~46439\ = CARRY((\led_flash_cnt[1397][1]~q\ & \led_flash_cnt[1397][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1397][1]~q\,
	datab => \led_flash_cnt[1397][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1397][1]~46438_combout\,
	cout => \led_flash_cnt[1397][1]~46439\);

-- Location: FF_X46_Y49_N13
\led_flash_cnt[1397][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1397][1]~46438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1397][1]~q\);

-- Location: LCCOMB_X46_Y49_N14
\led_flash_cnt[1397][2]~46440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1397][2]~46440_combout\ = (\led_flash_cnt[1397][2]~q\ & (!\led_flash_cnt[1397][1]~46439\)) # (!\led_flash_cnt[1397][2]~q\ & ((\led_flash_cnt[1397][1]~46439\) # (GND)))
-- \led_flash_cnt[1397][2]~46441\ = CARRY((!\led_flash_cnt[1397][1]~46439\) # (!\led_flash_cnt[1397][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1397][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1397][1]~46439\,
	combout => \led_flash_cnt[1397][2]~46440_combout\,
	cout => \led_flash_cnt[1397][2]~46441\);

-- Location: FF_X46_Y49_N15
\led_flash_cnt[1397][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1397][2]~46440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1397][2]~q\);

-- Location: LCCOMB_X46_Y49_N16
\led_flash_cnt[1397][3]~46442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1397][3]~46442_combout\ = (\led_flash_cnt[1397][3]~q\ & (\led_flash_cnt[1397][2]~46441\ $ (GND))) # (!\led_flash_cnt[1397][3]~q\ & (!\led_flash_cnt[1397][2]~46441\ & VCC))
-- \led_flash_cnt[1397][3]~46443\ = CARRY((\led_flash_cnt[1397][3]~q\ & !\led_flash_cnt[1397][2]~46441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1397][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1397][2]~46441\,
	combout => \led_flash_cnt[1397][3]~46442_combout\,
	cout => \led_flash_cnt[1397][3]~46443\);

-- Location: FF_X46_Y49_N17
\led_flash_cnt[1397][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1397][3]~46442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1397][3]~q\);

-- Location: LCCOMB_X46_Y49_N18
\led_flash_cnt[1397][4]~46444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1397][4]~46444_combout\ = (\led_flash_cnt[1397][4]~q\ & (!\led_flash_cnt[1397][3]~46443\)) # (!\led_flash_cnt[1397][4]~q\ & ((\led_flash_cnt[1397][3]~46443\) # (GND)))
-- \led_flash_cnt[1397][4]~46445\ = CARRY((!\led_flash_cnt[1397][3]~46443\) # (!\led_flash_cnt[1397][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1397][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1397][3]~46443\,
	combout => \led_flash_cnt[1397][4]~46444_combout\,
	cout => \led_flash_cnt[1397][4]~46445\);

-- Location: FF_X46_Y49_N19
\led_flash_cnt[1397][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1397][4]~46444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1397][4]~q\);

-- Location: LCCOMB_X46_Y49_N26
\WideAnd1397~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1397~0_combout\ = (\led_flash_cnt[1397][4]~q\ & (\led_flash_cnt[1397][3]~q\ & (\led_flash_cnt[1397][2]~q\ & \led_flash_cnt[1397][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1397][4]~q\,
	datab => \led_flash_cnt[1397][3]~q\,
	datac => \led_flash_cnt[1397][2]~q\,
	datad => \led_flash_cnt[1397][1]~q\,
	combout => \WideAnd1397~0_combout\);

-- Location: LCCOMB_X46_Y49_N20
\led_flash_cnt[1397][5]~46446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1397][5]~46446_combout\ = (\led_flash_cnt[1397][5]~q\ & (\led_flash_cnt[1397][4]~46445\ $ (GND))) # (!\led_flash_cnt[1397][5]~q\ & (!\led_flash_cnt[1397][4]~46445\ & VCC))
-- \led_flash_cnt[1397][5]~46447\ = CARRY((\led_flash_cnt[1397][5]~q\ & !\led_flash_cnt[1397][4]~46445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1397][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1397][4]~46445\,
	combout => \led_flash_cnt[1397][5]~46446_combout\,
	cout => \led_flash_cnt[1397][5]~46447\);

-- Location: FF_X46_Y49_N21
\led_flash_cnt[1397][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1397][5]~46446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1397][5]~q\);

-- Location: LCCOMB_X46_Y49_N22
\led_flash_cnt[1397][6]~46448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1397][6]~46448_combout\ = (\led_flash_cnt[1397][6]~q\ & (!\led_flash_cnt[1397][5]~46447\)) # (!\led_flash_cnt[1397][6]~q\ & ((\led_flash_cnt[1397][5]~46447\) # (GND)))
-- \led_flash_cnt[1397][6]~46449\ = CARRY((!\led_flash_cnt[1397][5]~46447\) # (!\led_flash_cnt[1397][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1397][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1397][5]~46447\,
	combout => \led_flash_cnt[1397][6]~46448_combout\,
	cout => \led_flash_cnt[1397][6]~46449\);

-- Location: FF_X46_Y49_N23
\led_flash_cnt[1397][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1397][6]~46448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1397][6]~q\);

-- Location: LCCOMB_X46_Y49_N28
\WideAnd1397~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1397~1_combout\ = (\led_flash_cnt[1397][6]~q\ & \led_flash_cnt[1397][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1397][6]~q\,
	datad => \led_flash_cnt[1397][5]~q\,
	combout => \WideAnd1397~1_combout\);

-- Location: LCCOMB_X46_Y49_N24
\led_flash_cnt[1397][7]~46450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1397][7]~46450_combout\ = \led_flash_cnt[1397][6]~46449\ $ (!\led_flash_cnt[1397][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1397][7]~q\,
	cin => \led_flash_cnt[1397][6]~46449\,
	combout => \led_flash_cnt[1397][7]~46450_combout\);

-- Location: FF_X46_Y49_N25
\led_flash_cnt[1397][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1397][7]~46450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1397][7]~q\);

-- Location: LCCOMB_X46_Y49_N10
WideAnd1397 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1397~combout\ = (\WideAnd1397~0_combout\ & (\WideAnd1397~1_combout\ & (\led_flash_cnt[1397][0]~q\ & \led_flash_cnt[1397][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1397~0_combout\,
	datab => \WideAnd1397~1_combout\,
	datac => \led_flash_cnt[1397][0]~q\,
	datad => \led_flash_cnt[1397][7]~q\,
	combout => \WideAnd1397~combout\);

-- Location: FF_X46_Y49_N11
\led_flash_cnt_ands[1397]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1397~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1397));

-- Location: LCCOMB_X46_Y49_N6
\WideAnd4014~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4014~1_combout\ = (led_flash_cnt_ands(1396) & led_flash_cnt_ands(1397))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1396),
	datad => led_flash_cnt_ands(1397),
	combout => \WideAnd4014~1_combout\);

-- Location: LCCOMB_X59_Y33_N2
\led_flash_cnt[1393][0]~82033\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1393][0]~82033_combout\ = !\led_flash_cnt[1393][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1393][0]~q\,
	combout => \led_flash_cnt[1393][0]~82033_combout\);

-- Location: FF_X59_Y33_N3
\led_flash_cnt[1393][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1393][0]~82033_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1393][0]~q\);

-- Location: LCCOMB_X59_Y33_N10
\led_flash_cnt[1393][1]~46382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1393][1]~46382_combout\ = (\led_flash_cnt[1393][1]~q\ & (\led_flash_cnt[1393][0]~q\ $ (VCC))) # (!\led_flash_cnt[1393][1]~q\ & (\led_flash_cnt[1393][0]~q\ & VCC))
-- \led_flash_cnt[1393][1]~46383\ = CARRY((\led_flash_cnt[1393][1]~q\ & \led_flash_cnt[1393][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1393][1]~q\,
	datab => \led_flash_cnt[1393][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1393][1]~46382_combout\,
	cout => \led_flash_cnt[1393][1]~46383\);

-- Location: FF_X59_Y33_N11
\led_flash_cnt[1393][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1393][1]~46382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1393][1]~q\);

-- Location: LCCOMB_X59_Y33_N12
\led_flash_cnt[1393][2]~46384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1393][2]~46384_combout\ = (\led_flash_cnt[1393][2]~q\ & (!\led_flash_cnt[1393][1]~46383\)) # (!\led_flash_cnt[1393][2]~q\ & ((\led_flash_cnt[1393][1]~46383\) # (GND)))
-- \led_flash_cnt[1393][2]~46385\ = CARRY((!\led_flash_cnt[1393][1]~46383\) # (!\led_flash_cnt[1393][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1393][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1393][1]~46383\,
	combout => \led_flash_cnt[1393][2]~46384_combout\,
	cout => \led_flash_cnt[1393][2]~46385\);

-- Location: FF_X59_Y33_N13
\led_flash_cnt[1393][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1393][2]~46384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1393][2]~q\);

-- Location: LCCOMB_X59_Y33_N14
\led_flash_cnt[1393][3]~46386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1393][3]~46386_combout\ = (\led_flash_cnt[1393][3]~q\ & (\led_flash_cnt[1393][2]~46385\ $ (GND))) # (!\led_flash_cnt[1393][3]~q\ & (!\led_flash_cnt[1393][2]~46385\ & VCC))
-- \led_flash_cnt[1393][3]~46387\ = CARRY((\led_flash_cnt[1393][3]~q\ & !\led_flash_cnt[1393][2]~46385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1393][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1393][2]~46385\,
	combout => \led_flash_cnt[1393][3]~46386_combout\,
	cout => \led_flash_cnt[1393][3]~46387\);

-- Location: FF_X59_Y33_N15
\led_flash_cnt[1393][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1393][3]~46386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1393][3]~q\);

-- Location: LCCOMB_X59_Y33_N16
\led_flash_cnt[1393][4]~46388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1393][4]~46388_combout\ = (\led_flash_cnt[1393][4]~q\ & (!\led_flash_cnt[1393][3]~46387\)) # (!\led_flash_cnt[1393][4]~q\ & ((\led_flash_cnt[1393][3]~46387\) # (GND)))
-- \led_flash_cnt[1393][4]~46389\ = CARRY((!\led_flash_cnt[1393][3]~46387\) # (!\led_flash_cnt[1393][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1393][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1393][3]~46387\,
	combout => \led_flash_cnt[1393][4]~46388_combout\,
	cout => \led_flash_cnt[1393][4]~46389\);

-- Location: FF_X59_Y33_N17
\led_flash_cnt[1393][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1393][4]~46388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1393][4]~q\);

-- Location: LCCOMB_X59_Y33_N18
\led_flash_cnt[1393][5]~46390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1393][5]~46390_combout\ = (\led_flash_cnt[1393][5]~q\ & (\led_flash_cnt[1393][4]~46389\ $ (GND))) # (!\led_flash_cnt[1393][5]~q\ & (!\led_flash_cnt[1393][4]~46389\ & VCC))
-- \led_flash_cnt[1393][5]~46391\ = CARRY((\led_flash_cnt[1393][5]~q\ & !\led_flash_cnt[1393][4]~46389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1393][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1393][4]~46389\,
	combout => \led_flash_cnt[1393][5]~46390_combout\,
	cout => \led_flash_cnt[1393][5]~46391\);

-- Location: FF_X59_Y33_N19
\led_flash_cnt[1393][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1393][5]~46390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1393][5]~q\);

-- Location: LCCOMB_X59_Y33_N20
\led_flash_cnt[1393][6]~46392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1393][6]~46392_combout\ = (\led_flash_cnt[1393][6]~q\ & (!\led_flash_cnt[1393][5]~46391\)) # (!\led_flash_cnt[1393][6]~q\ & ((\led_flash_cnt[1393][5]~46391\) # (GND)))
-- \led_flash_cnt[1393][6]~46393\ = CARRY((!\led_flash_cnt[1393][5]~46391\) # (!\led_flash_cnt[1393][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1393][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1393][5]~46391\,
	combout => \led_flash_cnt[1393][6]~46392_combout\,
	cout => \led_flash_cnt[1393][6]~46393\);

-- Location: FF_X59_Y33_N21
\led_flash_cnt[1393][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1393][6]~46392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1393][6]~q\);

-- Location: LCCOMB_X59_Y33_N22
\led_flash_cnt[1393][7]~46394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1393][7]~46394_combout\ = \led_flash_cnt[1393][7]~q\ $ (!\led_flash_cnt[1393][6]~46393\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1393][7]~q\,
	cin => \led_flash_cnt[1393][6]~46393\,
	combout => \led_flash_cnt[1393][7]~46394_combout\);

-- Location: FF_X59_Y33_N23
\led_flash_cnt[1393][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1393][7]~46394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1393][7]~q\);

-- Location: LCCOMB_X59_Y33_N26
\WideAnd1393~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1393~1_combout\ = (\led_flash_cnt[1393][6]~q\ & \led_flash_cnt[1393][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1393][6]~q\,
	datad => \led_flash_cnt[1393][5]~q\,
	combout => \WideAnd1393~1_combout\);

-- Location: LCCOMB_X59_Y33_N6
\WideAnd1393~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1393~0_combout\ = (\led_flash_cnt[1393][1]~q\ & (\led_flash_cnt[1393][4]~q\ & (\led_flash_cnt[1393][3]~q\ & \led_flash_cnt[1393][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1393][1]~q\,
	datab => \led_flash_cnt[1393][4]~q\,
	datac => \led_flash_cnt[1393][3]~q\,
	datad => \led_flash_cnt[1393][2]~q\,
	combout => \WideAnd1393~0_combout\);

-- Location: LCCOMB_X59_Y33_N4
WideAnd1393 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1393~combout\ = (\led_flash_cnt[1393][7]~q\ & (\led_flash_cnt[1393][0]~q\ & (\WideAnd1393~1_combout\ & \WideAnd1393~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1393][7]~q\,
	datab => \led_flash_cnt[1393][0]~q\,
	datac => \WideAnd1393~1_combout\,
	datad => \WideAnd1393~0_combout\,
	combout => \WideAnd1393~combout\);

-- Location: FF_X59_Y33_N5
\led_flash_cnt_ands[1393]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1393~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1393));

-- Location: LCCOMB_X55_Y35_N26
\led_flash_cnt[1394][0]~82034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1394][0]~82034_combout\ = !\led_flash_cnt[1394][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1394][0]~q\,
	combout => \led_flash_cnt[1394][0]~82034_combout\);

-- Location: FF_X55_Y35_N27
\led_flash_cnt[1394][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1394][0]~82034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1394][0]~q\);

-- Location: LCCOMB_X55_Y35_N4
\led_flash_cnt[1394][1]~46396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1394][1]~46396_combout\ = (\led_flash_cnt[1394][0]~q\ & (\led_flash_cnt[1394][1]~q\ $ (VCC))) # (!\led_flash_cnt[1394][0]~q\ & (\led_flash_cnt[1394][1]~q\ & VCC))
-- \led_flash_cnt[1394][1]~46397\ = CARRY((\led_flash_cnt[1394][0]~q\ & \led_flash_cnt[1394][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1394][0]~q\,
	datab => \led_flash_cnt[1394][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1394][1]~46396_combout\,
	cout => \led_flash_cnt[1394][1]~46397\);

-- Location: FF_X55_Y35_N5
\led_flash_cnt[1394][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1394][1]~46396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1394][1]~q\);

-- Location: LCCOMB_X55_Y35_N6
\led_flash_cnt[1394][2]~46398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1394][2]~46398_combout\ = (\led_flash_cnt[1394][2]~q\ & (!\led_flash_cnt[1394][1]~46397\)) # (!\led_flash_cnt[1394][2]~q\ & ((\led_flash_cnt[1394][1]~46397\) # (GND)))
-- \led_flash_cnt[1394][2]~46399\ = CARRY((!\led_flash_cnt[1394][1]~46397\) # (!\led_flash_cnt[1394][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1394][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1394][1]~46397\,
	combout => \led_flash_cnt[1394][2]~46398_combout\,
	cout => \led_flash_cnt[1394][2]~46399\);

-- Location: FF_X55_Y35_N7
\led_flash_cnt[1394][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1394][2]~46398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1394][2]~q\);

-- Location: LCCOMB_X55_Y35_N8
\led_flash_cnt[1394][3]~46400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1394][3]~46400_combout\ = (\led_flash_cnt[1394][3]~q\ & (\led_flash_cnt[1394][2]~46399\ $ (GND))) # (!\led_flash_cnt[1394][3]~q\ & (!\led_flash_cnt[1394][2]~46399\ & VCC))
-- \led_flash_cnt[1394][3]~46401\ = CARRY((\led_flash_cnt[1394][3]~q\ & !\led_flash_cnt[1394][2]~46399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1394][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1394][2]~46399\,
	combout => \led_flash_cnt[1394][3]~46400_combout\,
	cout => \led_flash_cnt[1394][3]~46401\);

-- Location: FF_X55_Y35_N9
\led_flash_cnt[1394][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1394][3]~46400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1394][3]~q\);

-- Location: LCCOMB_X55_Y35_N10
\led_flash_cnt[1394][4]~46402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1394][4]~46402_combout\ = (\led_flash_cnt[1394][4]~q\ & (!\led_flash_cnt[1394][3]~46401\)) # (!\led_flash_cnt[1394][4]~q\ & ((\led_flash_cnt[1394][3]~46401\) # (GND)))
-- \led_flash_cnt[1394][4]~46403\ = CARRY((!\led_flash_cnt[1394][3]~46401\) # (!\led_flash_cnt[1394][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1394][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1394][3]~46401\,
	combout => \led_flash_cnt[1394][4]~46402_combout\,
	cout => \led_flash_cnt[1394][4]~46403\);

-- Location: FF_X55_Y35_N11
\led_flash_cnt[1394][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1394][4]~46402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1394][4]~q\);

-- Location: LCCOMB_X55_Y35_N12
\led_flash_cnt[1394][5]~46404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1394][5]~46404_combout\ = (\led_flash_cnt[1394][5]~q\ & (\led_flash_cnt[1394][4]~46403\ $ (GND))) # (!\led_flash_cnt[1394][5]~q\ & (!\led_flash_cnt[1394][4]~46403\ & VCC))
-- \led_flash_cnt[1394][5]~46405\ = CARRY((\led_flash_cnt[1394][5]~q\ & !\led_flash_cnt[1394][4]~46403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1394][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1394][4]~46403\,
	combout => \led_flash_cnt[1394][5]~46404_combout\,
	cout => \led_flash_cnt[1394][5]~46405\);

-- Location: FF_X55_Y35_N13
\led_flash_cnt[1394][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1394][5]~46404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1394][5]~q\);

-- Location: LCCOMB_X55_Y35_N14
\led_flash_cnt[1394][6]~46406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1394][6]~46406_combout\ = (\led_flash_cnt[1394][6]~q\ & (!\led_flash_cnt[1394][5]~46405\)) # (!\led_flash_cnt[1394][6]~q\ & ((\led_flash_cnt[1394][5]~46405\) # (GND)))
-- \led_flash_cnt[1394][6]~46407\ = CARRY((!\led_flash_cnt[1394][5]~46405\) # (!\led_flash_cnt[1394][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1394][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1394][5]~46405\,
	combout => \led_flash_cnt[1394][6]~46406_combout\,
	cout => \led_flash_cnt[1394][6]~46407\);

-- Location: FF_X55_Y35_N15
\led_flash_cnt[1394][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1394][6]~46406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1394][6]~q\);

-- Location: LCCOMB_X55_Y35_N16
\led_flash_cnt[1394][7]~46408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1394][7]~46408_combout\ = \led_flash_cnt[1394][6]~46407\ $ (!\led_flash_cnt[1394][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1394][7]~q\,
	cin => \led_flash_cnt[1394][6]~46407\,
	combout => \led_flash_cnt[1394][7]~46408_combout\);

-- Location: FF_X55_Y35_N17
\led_flash_cnt[1394][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1394][7]~46408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1394][7]~q\);

-- Location: LCCOMB_X55_Y35_N30
\WideAnd1394~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1394~1_combout\ = (\led_flash_cnt[1394][6]~q\ & \led_flash_cnt[1394][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1394][6]~q\,
	datad => \led_flash_cnt[1394][5]~q\,
	combout => \WideAnd1394~1_combout\);

-- Location: LCCOMB_X55_Y35_N18
\WideAnd1394~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1394~0_combout\ = (\led_flash_cnt[1394][4]~q\ & (\led_flash_cnt[1394][1]~q\ & (\led_flash_cnt[1394][3]~q\ & \led_flash_cnt[1394][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1394][4]~q\,
	datab => \led_flash_cnt[1394][1]~q\,
	datac => \led_flash_cnt[1394][3]~q\,
	datad => \led_flash_cnt[1394][2]~q\,
	combout => \WideAnd1394~0_combout\);

-- Location: LCCOMB_X55_Y35_N28
WideAnd1394 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1394~combout\ = (\led_flash_cnt[1394][0]~q\ & (\led_flash_cnt[1394][7]~q\ & (\WideAnd1394~1_combout\ & \WideAnd1394~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1394][0]~q\,
	datab => \led_flash_cnt[1394][7]~q\,
	datac => \WideAnd1394~1_combout\,
	datad => \WideAnd1394~0_combout\,
	combout => \WideAnd1394~combout\);

-- Location: FF_X55_Y35_N29
\led_flash_cnt_ands[1394]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1394~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1394));

-- Location: LCCOMB_X47_Y35_N26
\led_flash_cnt[1392][0]~82032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1392][0]~82032_combout\ = !\led_flash_cnt[1392][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1392][0]~q\,
	combout => \led_flash_cnt[1392][0]~82032_combout\);

-- Location: FF_X47_Y35_N27
\led_flash_cnt[1392][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1392][0]~82032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1392][0]~q\);

-- Location: LCCOMB_X47_Y35_N2
\led_flash_cnt[1392][1]~46368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1392][1]~46368_combout\ = (\led_flash_cnt[1392][0]~q\ & (\led_flash_cnt[1392][1]~q\ $ (VCC))) # (!\led_flash_cnt[1392][0]~q\ & (\led_flash_cnt[1392][1]~q\ & VCC))
-- \led_flash_cnt[1392][1]~46369\ = CARRY((\led_flash_cnt[1392][0]~q\ & \led_flash_cnt[1392][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1392][0]~q\,
	datab => \led_flash_cnt[1392][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1392][1]~46368_combout\,
	cout => \led_flash_cnt[1392][1]~46369\);

-- Location: FF_X47_Y35_N3
\led_flash_cnt[1392][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1392][1]~46368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1392][1]~q\);

-- Location: LCCOMB_X47_Y35_N4
\led_flash_cnt[1392][2]~46370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1392][2]~46370_combout\ = (\led_flash_cnt[1392][2]~q\ & (!\led_flash_cnt[1392][1]~46369\)) # (!\led_flash_cnt[1392][2]~q\ & ((\led_flash_cnt[1392][1]~46369\) # (GND)))
-- \led_flash_cnt[1392][2]~46371\ = CARRY((!\led_flash_cnt[1392][1]~46369\) # (!\led_flash_cnt[1392][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1392][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1392][1]~46369\,
	combout => \led_flash_cnt[1392][2]~46370_combout\,
	cout => \led_flash_cnt[1392][2]~46371\);

-- Location: FF_X47_Y35_N5
\led_flash_cnt[1392][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1392][2]~46370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1392][2]~q\);

-- Location: LCCOMB_X47_Y35_N6
\led_flash_cnt[1392][3]~46372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1392][3]~46372_combout\ = (\led_flash_cnt[1392][3]~q\ & (\led_flash_cnt[1392][2]~46371\ $ (GND))) # (!\led_flash_cnt[1392][3]~q\ & (!\led_flash_cnt[1392][2]~46371\ & VCC))
-- \led_flash_cnt[1392][3]~46373\ = CARRY((\led_flash_cnt[1392][3]~q\ & !\led_flash_cnt[1392][2]~46371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1392][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1392][2]~46371\,
	combout => \led_flash_cnt[1392][3]~46372_combout\,
	cout => \led_flash_cnt[1392][3]~46373\);

-- Location: FF_X47_Y35_N7
\led_flash_cnt[1392][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1392][3]~46372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1392][3]~q\);

-- Location: LCCOMB_X47_Y35_N8
\led_flash_cnt[1392][4]~46374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1392][4]~46374_combout\ = (\led_flash_cnt[1392][4]~q\ & (!\led_flash_cnt[1392][3]~46373\)) # (!\led_flash_cnt[1392][4]~q\ & ((\led_flash_cnt[1392][3]~46373\) # (GND)))
-- \led_flash_cnt[1392][4]~46375\ = CARRY((!\led_flash_cnt[1392][3]~46373\) # (!\led_flash_cnt[1392][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1392][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1392][3]~46373\,
	combout => \led_flash_cnt[1392][4]~46374_combout\,
	cout => \led_flash_cnt[1392][4]~46375\);

-- Location: FF_X47_Y35_N9
\led_flash_cnt[1392][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1392][4]~46374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1392][4]~q\);

-- Location: LCCOMB_X47_Y35_N10
\led_flash_cnt[1392][5]~46376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1392][5]~46376_combout\ = (\led_flash_cnt[1392][5]~q\ & (\led_flash_cnt[1392][4]~46375\ $ (GND))) # (!\led_flash_cnt[1392][5]~q\ & (!\led_flash_cnt[1392][4]~46375\ & VCC))
-- \led_flash_cnt[1392][5]~46377\ = CARRY((\led_flash_cnt[1392][5]~q\ & !\led_flash_cnt[1392][4]~46375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1392][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1392][4]~46375\,
	combout => \led_flash_cnt[1392][5]~46376_combout\,
	cout => \led_flash_cnt[1392][5]~46377\);

-- Location: FF_X47_Y35_N11
\led_flash_cnt[1392][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1392][5]~46376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1392][5]~q\);

-- Location: LCCOMB_X47_Y35_N12
\led_flash_cnt[1392][6]~46378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1392][6]~46378_combout\ = (\led_flash_cnt[1392][6]~q\ & (!\led_flash_cnt[1392][5]~46377\)) # (!\led_flash_cnt[1392][6]~q\ & ((\led_flash_cnt[1392][5]~46377\) # (GND)))
-- \led_flash_cnt[1392][6]~46379\ = CARRY((!\led_flash_cnt[1392][5]~46377\) # (!\led_flash_cnt[1392][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1392][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1392][5]~46377\,
	combout => \led_flash_cnt[1392][6]~46378_combout\,
	cout => \led_flash_cnt[1392][6]~46379\);

-- Location: FF_X47_Y35_N13
\led_flash_cnt[1392][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1392][6]~46378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1392][6]~q\);

-- Location: LCCOMB_X47_Y35_N22
\WideAnd1392~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1392~1_combout\ = (\led_flash_cnt[1392][6]~q\ & \led_flash_cnt[1392][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1392][6]~q\,
	datad => \led_flash_cnt[1392][5]~q\,
	combout => \WideAnd1392~1_combout\);

-- Location: LCCOMB_X47_Y35_N14
\led_flash_cnt[1392][7]~46380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1392][7]~46380_combout\ = \led_flash_cnt[1392][7]~q\ $ (!\led_flash_cnt[1392][6]~46379\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1392][7]~q\,
	cin => \led_flash_cnt[1392][6]~46379\,
	combout => \led_flash_cnt[1392][7]~46380_combout\);

-- Location: FF_X47_Y35_N15
\led_flash_cnt[1392][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1392][7]~46380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1392][7]~q\);

-- Location: LCCOMB_X47_Y35_N18
\WideAnd1392~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1392~0_combout\ = (\led_flash_cnt[1392][3]~q\ & (\led_flash_cnt[1392][4]~q\ & (\led_flash_cnt[1392][2]~q\ & \led_flash_cnt[1392][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1392][3]~q\,
	datab => \led_flash_cnt[1392][4]~q\,
	datac => \led_flash_cnt[1392][2]~q\,
	datad => \led_flash_cnt[1392][1]~q\,
	combout => \WideAnd1392~0_combout\);

-- Location: LCCOMB_X47_Y35_N28
WideAnd1392 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1392~combout\ = (\WideAnd1392~1_combout\ & (\led_flash_cnt[1392][7]~q\ & (\led_flash_cnt[1392][0]~q\ & \WideAnd1392~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1392~1_combout\,
	datab => \led_flash_cnt[1392][7]~q\,
	datac => \led_flash_cnt[1392][0]~q\,
	datad => \WideAnd1392~0_combout\,
	combout => \WideAnd1392~combout\);

-- Location: FF_X47_Y35_N29
\led_flash_cnt_ands[1392]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1392~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1392));

-- Location: LCCOMB_X55_Y35_N2
\led_flash_cnt[1395][0]~82035\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1395][0]~82035_combout\ = !\led_flash_cnt[1395][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1395][0]~q\,
	combout => \led_flash_cnt[1395][0]~82035_combout\);

-- Location: FF_X55_Y35_N3
\led_flash_cnt[1395][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1395][0]~82035_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1395][0]~q\);

-- Location: LCCOMB_X56_Y35_N4
\led_flash_cnt[1395][1]~46410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1395][1]~46410_combout\ = (\led_flash_cnt[1395][0]~q\ & (\led_flash_cnt[1395][1]~q\ $ (VCC))) # (!\led_flash_cnt[1395][0]~q\ & (\led_flash_cnt[1395][1]~q\ & VCC))
-- \led_flash_cnt[1395][1]~46411\ = CARRY((\led_flash_cnt[1395][0]~q\ & \led_flash_cnt[1395][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1395][0]~q\,
	datab => \led_flash_cnt[1395][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1395][1]~46410_combout\,
	cout => \led_flash_cnt[1395][1]~46411\);

-- Location: FF_X56_Y35_N5
\led_flash_cnt[1395][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1395][1]~46410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1395][1]~q\);

-- Location: LCCOMB_X56_Y35_N6
\led_flash_cnt[1395][2]~46412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1395][2]~46412_combout\ = (\led_flash_cnt[1395][2]~q\ & (!\led_flash_cnt[1395][1]~46411\)) # (!\led_flash_cnt[1395][2]~q\ & ((\led_flash_cnt[1395][1]~46411\) # (GND)))
-- \led_flash_cnt[1395][2]~46413\ = CARRY((!\led_flash_cnt[1395][1]~46411\) # (!\led_flash_cnt[1395][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1395][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1395][1]~46411\,
	combout => \led_flash_cnt[1395][2]~46412_combout\,
	cout => \led_flash_cnt[1395][2]~46413\);

-- Location: FF_X56_Y35_N7
\led_flash_cnt[1395][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1395][2]~46412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1395][2]~q\);

-- Location: LCCOMB_X56_Y35_N8
\led_flash_cnt[1395][3]~46414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1395][3]~46414_combout\ = (\led_flash_cnt[1395][3]~q\ & (\led_flash_cnt[1395][2]~46413\ $ (GND))) # (!\led_flash_cnt[1395][3]~q\ & (!\led_flash_cnt[1395][2]~46413\ & VCC))
-- \led_flash_cnt[1395][3]~46415\ = CARRY((\led_flash_cnt[1395][3]~q\ & !\led_flash_cnt[1395][2]~46413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1395][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1395][2]~46413\,
	combout => \led_flash_cnt[1395][3]~46414_combout\,
	cout => \led_flash_cnt[1395][3]~46415\);

-- Location: FF_X56_Y35_N9
\led_flash_cnt[1395][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1395][3]~46414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1395][3]~q\);

-- Location: LCCOMB_X56_Y35_N10
\led_flash_cnt[1395][4]~46416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1395][4]~46416_combout\ = (\led_flash_cnt[1395][4]~q\ & (!\led_flash_cnt[1395][3]~46415\)) # (!\led_flash_cnt[1395][4]~q\ & ((\led_flash_cnt[1395][3]~46415\) # (GND)))
-- \led_flash_cnt[1395][4]~46417\ = CARRY((!\led_flash_cnt[1395][3]~46415\) # (!\led_flash_cnt[1395][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1395][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1395][3]~46415\,
	combout => \led_flash_cnt[1395][4]~46416_combout\,
	cout => \led_flash_cnt[1395][4]~46417\);

-- Location: FF_X56_Y35_N11
\led_flash_cnt[1395][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1395][4]~46416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1395][4]~q\);

-- Location: LCCOMB_X56_Y35_N12
\led_flash_cnt[1395][5]~46418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1395][5]~46418_combout\ = (\led_flash_cnt[1395][5]~q\ & (\led_flash_cnt[1395][4]~46417\ $ (GND))) # (!\led_flash_cnt[1395][5]~q\ & (!\led_flash_cnt[1395][4]~46417\ & VCC))
-- \led_flash_cnt[1395][5]~46419\ = CARRY((\led_flash_cnt[1395][5]~q\ & !\led_flash_cnt[1395][4]~46417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1395][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1395][4]~46417\,
	combout => \led_flash_cnt[1395][5]~46418_combout\,
	cout => \led_flash_cnt[1395][5]~46419\);

-- Location: FF_X56_Y35_N13
\led_flash_cnt[1395][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1395][5]~46418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1395][5]~q\);

-- Location: LCCOMB_X56_Y35_N14
\led_flash_cnt[1395][6]~46420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1395][6]~46420_combout\ = (\led_flash_cnt[1395][6]~q\ & (!\led_flash_cnt[1395][5]~46419\)) # (!\led_flash_cnt[1395][6]~q\ & ((\led_flash_cnt[1395][5]~46419\) # (GND)))
-- \led_flash_cnt[1395][6]~46421\ = CARRY((!\led_flash_cnt[1395][5]~46419\) # (!\led_flash_cnt[1395][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1395][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1395][5]~46419\,
	combout => \led_flash_cnt[1395][6]~46420_combout\,
	cout => \led_flash_cnt[1395][6]~46421\);

-- Location: FF_X56_Y35_N15
\led_flash_cnt[1395][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1395][6]~46420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1395][6]~q\);

-- Location: LCCOMB_X56_Y35_N16
\led_flash_cnt[1395][7]~46422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1395][7]~46422_combout\ = \led_flash_cnt[1395][6]~46421\ $ (!\led_flash_cnt[1395][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1395][7]~q\,
	cin => \led_flash_cnt[1395][6]~46421\,
	combout => \led_flash_cnt[1395][7]~46422_combout\);

-- Location: FF_X56_Y35_N17
\led_flash_cnt[1395][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1395][7]~46422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1395][7]~q\);

-- Location: LCCOMB_X55_Y35_N22
\WideAnd1395~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1395~0_combout\ = (\led_flash_cnt[1395][1]~q\ & (\led_flash_cnt[1395][4]~q\ & (\led_flash_cnt[1395][3]~q\ & \led_flash_cnt[1395][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1395][1]~q\,
	datab => \led_flash_cnt[1395][4]~q\,
	datac => \led_flash_cnt[1395][3]~q\,
	datad => \led_flash_cnt[1395][2]~q\,
	combout => \WideAnd1395~0_combout\);

-- Location: LCCOMB_X55_Y35_N24
\WideAnd1395~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1395~1_combout\ = (\led_flash_cnt[1395][6]~q\ & \led_flash_cnt[1395][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1395][6]~q\,
	datac => \led_flash_cnt[1395][5]~q\,
	combout => \WideAnd1395~1_combout\);

-- Location: LCCOMB_X55_Y35_N20
WideAnd1395 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1395~combout\ = (\led_flash_cnt[1395][7]~q\ & (\led_flash_cnt[1395][0]~q\ & (\WideAnd1395~0_combout\ & \WideAnd1395~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1395][7]~q\,
	datab => \led_flash_cnt[1395][0]~q\,
	datac => \WideAnd1395~0_combout\,
	datad => \WideAnd1395~1_combout\,
	combout => \WideAnd1395~combout\);

-- Location: FF_X55_Y35_N21
\led_flash_cnt_ands[1395]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1395~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1395));

-- Location: LCCOMB_X55_Y35_N0
\WideAnd4014~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4014~0_combout\ = (led_flash_cnt_ands(1393) & (led_flash_cnt_ands(1394) & (led_flash_cnt_ands(1392) & led_flash_cnt_ands(1395))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1393),
	datab => led_flash_cnt_ands(1394),
	datac => led_flash_cnt_ands(1392),
	datad => led_flash_cnt_ands(1395),
	combout => \WideAnd4014~0_combout\);

-- Location: LCCOMB_X54_Y38_N8
WideAnd4014 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4014~combout\ = (led_flash_cnt_ands(1398) & (led_flash_cnt_ands(1399) & (\WideAnd4014~1_combout\ & \WideAnd4014~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1398),
	datab => led_flash_cnt_ands(1399),
	datac => \WideAnd4014~1_combout\,
	datad => \WideAnd4014~0_combout\,
	combout => \WideAnd4014~combout\);

-- Location: FF_X54_Y38_N9
\led_flash_cnt_ands_1[174]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4014~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(174));

-- Location: LCCOMB_X49_Y31_N0
\led_flash_cnt[1407][0]~82047\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1407][0]~82047_combout\ = !\led_flash_cnt[1407][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1407][0]~q\,
	combout => \led_flash_cnt[1407][0]~82047_combout\);

-- Location: FF_X49_Y31_N1
\led_flash_cnt[1407][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1407][0]~82047_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1407][0]~q\);

-- Location: LCCOMB_X45_Y31_N2
\led_flash_cnt[1407][1]~46578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1407][1]~46578_combout\ = (\led_flash_cnt[1407][0]~q\ & (\led_flash_cnt[1407][1]~q\ $ (VCC))) # (!\led_flash_cnt[1407][0]~q\ & (\led_flash_cnt[1407][1]~q\ & VCC))
-- \led_flash_cnt[1407][1]~46579\ = CARRY((\led_flash_cnt[1407][0]~q\ & \led_flash_cnt[1407][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1407][0]~q\,
	datab => \led_flash_cnt[1407][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1407][1]~46578_combout\,
	cout => \led_flash_cnt[1407][1]~46579\);

-- Location: FF_X45_Y31_N3
\led_flash_cnt[1407][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1407][1]~46578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1407][1]~q\);

-- Location: LCCOMB_X45_Y31_N4
\led_flash_cnt[1407][2]~46580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1407][2]~46580_combout\ = (\led_flash_cnt[1407][2]~q\ & (!\led_flash_cnt[1407][1]~46579\)) # (!\led_flash_cnt[1407][2]~q\ & ((\led_flash_cnt[1407][1]~46579\) # (GND)))
-- \led_flash_cnt[1407][2]~46581\ = CARRY((!\led_flash_cnt[1407][1]~46579\) # (!\led_flash_cnt[1407][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1407][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1407][1]~46579\,
	combout => \led_flash_cnt[1407][2]~46580_combout\,
	cout => \led_flash_cnt[1407][2]~46581\);

-- Location: FF_X45_Y31_N5
\led_flash_cnt[1407][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1407][2]~46580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1407][2]~q\);

-- Location: LCCOMB_X45_Y31_N6
\led_flash_cnt[1407][3]~46582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1407][3]~46582_combout\ = (\led_flash_cnt[1407][3]~q\ & (\led_flash_cnt[1407][2]~46581\ $ (GND))) # (!\led_flash_cnt[1407][3]~q\ & (!\led_flash_cnt[1407][2]~46581\ & VCC))
-- \led_flash_cnt[1407][3]~46583\ = CARRY((\led_flash_cnt[1407][3]~q\ & !\led_flash_cnt[1407][2]~46581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1407][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1407][2]~46581\,
	combout => \led_flash_cnt[1407][3]~46582_combout\,
	cout => \led_flash_cnt[1407][3]~46583\);

-- Location: FF_X45_Y31_N7
\led_flash_cnt[1407][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1407][3]~46582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1407][3]~q\);

-- Location: LCCOMB_X45_Y31_N8
\led_flash_cnt[1407][4]~46584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1407][4]~46584_combout\ = (\led_flash_cnt[1407][4]~q\ & (!\led_flash_cnt[1407][3]~46583\)) # (!\led_flash_cnt[1407][4]~q\ & ((\led_flash_cnt[1407][3]~46583\) # (GND)))
-- \led_flash_cnt[1407][4]~46585\ = CARRY((!\led_flash_cnt[1407][3]~46583\) # (!\led_flash_cnt[1407][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1407][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1407][3]~46583\,
	combout => \led_flash_cnt[1407][4]~46584_combout\,
	cout => \led_flash_cnt[1407][4]~46585\);

-- Location: FF_X45_Y31_N9
\led_flash_cnt[1407][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1407][4]~46584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1407][4]~q\);

-- Location: LCCOMB_X45_Y31_N16
\WideAnd1407~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1407~0_combout\ = (\led_flash_cnt[1407][3]~q\ & (\led_flash_cnt[1407][4]~q\ & (\led_flash_cnt[1407][2]~q\ & \led_flash_cnt[1407][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1407][3]~q\,
	datab => \led_flash_cnt[1407][4]~q\,
	datac => \led_flash_cnt[1407][2]~q\,
	datad => \led_flash_cnt[1407][1]~q\,
	combout => \WideAnd1407~0_combout\);

-- Location: LCCOMB_X45_Y31_N10
\led_flash_cnt[1407][5]~46586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1407][5]~46586_combout\ = (\led_flash_cnt[1407][5]~q\ & (\led_flash_cnt[1407][4]~46585\ $ (GND))) # (!\led_flash_cnt[1407][5]~q\ & (!\led_flash_cnt[1407][4]~46585\ & VCC))
-- \led_flash_cnt[1407][5]~46587\ = CARRY((\led_flash_cnt[1407][5]~q\ & !\led_flash_cnt[1407][4]~46585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1407][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1407][4]~46585\,
	combout => \led_flash_cnt[1407][5]~46586_combout\,
	cout => \led_flash_cnt[1407][5]~46587\);

-- Location: FF_X45_Y31_N11
\led_flash_cnt[1407][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1407][5]~46586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1407][5]~q\);

-- Location: LCCOMB_X45_Y31_N12
\led_flash_cnt[1407][6]~46588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1407][6]~46588_combout\ = (\led_flash_cnt[1407][6]~q\ & (!\led_flash_cnt[1407][5]~46587\)) # (!\led_flash_cnt[1407][6]~q\ & ((\led_flash_cnt[1407][5]~46587\) # (GND)))
-- \led_flash_cnt[1407][6]~46589\ = CARRY((!\led_flash_cnt[1407][5]~46587\) # (!\led_flash_cnt[1407][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1407][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1407][5]~46587\,
	combout => \led_flash_cnt[1407][6]~46588_combout\,
	cout => \led_flash_cnt[1407][6]~46589\);

-- Location: FF_X45_Y31_N13
\led_flash_cnt[1407][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1407][6]~46588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1407][6]~q\);

-- Location: LCCOMB_X46_Y31_N4
\WideAnd1407~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1407~1_combout\ = (\led_flash_cnt[1407][6]~q\ & \led_flash_cnt[1407][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1407][6]~q\,
	datad => \led_flash_cnt[1407][5]~q\,
	combout => \WideAnd1407~1_combout\);

-- Location: LCCOMB_X45_Y31_N14
\led_flash_cnt[1407][7]~46590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1407][7]~46590_combout\ = \led_flash_cnt[1407][7]~q\ $ (!\led_flash_cnt[1407][6]~46589\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1407][7]~q\,
	cin => \led_flash_cnt[1407][6]~46589\,
	combout => \led_flash_cnt[1407][7]~46590_combout\);

-- Location: FF_X45_Y31_N15
\led_flash_cnt[1407][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1407][7]~46590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1407][7]~q\);

-- Location: LCCOMB_X46_Y31_N22
WideAnd1407 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1407~combout\ = (\WideAnd1407~0_combout\ & (\WideAnd1407~1_combout\ & (\led_flash_cnt[1407][0]~q\ & \led_flash_cnt[1407][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1407~0_combout\,
	datab => \WideAnd1407~1_combout\,
	datac => \led_flash_cnt[1407][0]~q\,
	datad => \led_flash_cnt[1407][7]~q\,
	combout => \WideAnd1407~combout\);

-- Location: FF_X46_Y31_N23
\led_flash_cnt_ands[1407]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1407~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1407));

-- Location: LCCOMB_X56_Y24_N2
\led_flash_cnt[1402][0]~82042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1402][0]~82042_combout\ = !\led_flash_cnt[1402][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1402][0]~q\,
	combout => \led_flash_cnt[1402][0]~82042_combout\);

-- Location: FF_X56_Y24_N3
\led_flash_cnt[1402][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1402][0]~82042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1402][0]~q\);

-- Location: LCCOMB_X57_Y24_N0
\led_flash_cnt[1402][1]~46508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1402][1]~46508_combout\ = (\led_flash_cnt[1402][0]~q\ & (\led_flash_cnt[1402][1]~q\ $ (VCC))) # (!\led_flash_cnt[1402][0]~q\ & (\led_flash_cnt[1402][1]~q\ & VCC))
-- \led_flash_cnt[1402][1]~46509\ = CARRY((\led_flash_cnt[1402][0]~q\ & \led_flash_cnt[1402][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1402][0]~q\,
	datab => \led_flash_cnt[1402][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1402][1]~46508_combout\,
	cout => \led_flash_cnt[1402][1]~46509\);

-- Location: FF_X57_Y24_N1
\led_flash_cnt[1402][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1402][1]~46508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1402][1]~q\);

-- Location: LCCOMB_X57_Y24_N2
\led_flash_cnt[1402][2]~46510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1402][2]~46510_combout\ = (\led_flash_cnt[1402][2]~q\ & (!\led_flash_cnt[1402][1]~46509\)) # (!\led_flash_cnt[1402][2]~q\ & ((\led_flash_cnt[1402][1]~46509\) # (GND)))
-- \led_flash_cnt[1402][2]~46511\ = CARRY((!\led_flash_cnt[1402][1]~46509\) # (!\led_flash_cnt[1402][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1402][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1402][1]~46509\,
	combout => \led_flash_cnt[1402][2]~46510_combout\,
	cout => \led_flash_cnt[1402][2]~46511\);

-- Location: FF_X57_Y24_N3
\led_flash_cnt[1402][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1402][2]~46510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1402][2]~q\);

-- Location: LCCOMB_X57_Y24_N4
\led_flash_cnt[1402][3]~46512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1402][3]~46512_combout\ = (\led_flash_cnt[1402][3]~q\ & (\led_flash_cnt[1402][2]~46511\ $ (GND))) # (!\led_flash_cnt[1402][3]~q\ & (!\led_flash_cnt[1402][2]~46511\ & VCC))
-- \led_flash_cnt[1402][3]~46513\ = CARRY((\led_flash_cnt[1402][3]~q\ & !\led_flash_cnt[1402][2]~46511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1402][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1402][2]~46511\,
	combout => \led_flash_cnt[1402][3]~46512_combout\,
	cout => \led_flash_cnt[1402][3]~46513\);

-- Location: FF_X57_Y24_N5
\led_flash_cnt[1402][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1402][3]~46512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1402][3]~q\);

-- Location: LCCOMB_X57_Y24_N6
\led_flash_cnt[1402][4]~46514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1402][4]~46514_combout\ = (\led_flash_cnt[1402][4]~q\ & (!\led_flash_cnt[1402][3]~46513\)) # (!\led_flash_cnt[1402][4]~q\ & ((\led_flash_cnt[1402][3]~46513\) # (GND)))
-- \led_flash_cnt[1402][4]~46515\ = CARRY((!\led_flash_cnt[1402][3]~46513\) # (!\led_flash_cnt[1402][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1402][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1402][3]~46513\,
	combout => \led_flash_cnt[1402][4]~46514_combout\,
	cout => \led_flash_cnt[1402][4]~46515\);

-- Location: FF_X57_Y24_N7
\led_flash_cnt[1402][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1402][4]~46514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1402][4]~q\);

-- Location: LCCOMB_X57_Y24_N30
\WideAnd1402~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1402~0_combout\ = (\led_flash_cnt[1402][4]~q\ & (\led_flash_cnt[1402][1]~q\ & (\led_flash_cnt[1402][3]~q\ & \led_flash_cnt[1402][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1402][4]~q\,
	datab => \led_flash_cnt[1402][1]~q\,
	datac => \led_flash_cnt[1402][3]~q\,
	datad => \led_flash_cnt[1402][2]~q\,
	combout => \WideAnd1402~0_combout\);

-- Location: LCCOMB_X57_Y24_N8
\led_flash_cnt[1402][5]~46516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1402][5]~46516_combout\ = (\led_flash_cnt[1402][5]~q\ & (\led_flash_cnt[1402][4]~46515\ $ (GND))) # (!\led_flash_cnt[1402][5]~q\ & (!\led_flash_cnt[1402][4]~46515\ & VCC))
-- \led_flash_cnt[1402][5]~46517\ = CARRY((\led_flash_cnt[1402][5]~q\ & !\led_flash_cnt[1402][4]~46515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1402][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1402][4]~46515\,
	combout => \led_flash_cnt[1402][5]~46516_combout\,
	cout => \led_flash_cnt[1402][5]~46517\);

-- Location: FF_X57_Y24_N9
\led_flash_cnt[1402][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1402][5]~46516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1402][5]~q\);

-- Location: LCCOMB_X57_Y24_N10
\led_flash_cnt[1402][6]~46518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1402][6]~46518_combout\ = (\led_flash_cnt[1402][6]~q\ & (!\led_flash_cnt[1402][5]~46517\)) # (!\led_flash_cnt[1402][6]~q\ & ((\led_flash_cnt[1402][5]~46517\) # (GND)))
-- \led_flash_cnt[1402][6]~46519\ = CARRY((!\led_flash_cnt[1402][5]~46517\) # (!\led_flash_cnt[1402][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1402][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1402][5]~46517\,
	combout => \led_flash_cnt[1402][6]~46518_combout\,
	cout => \led_flash_cnt[1402][6]~46519\);

-- Location: FF_X57_Y24_N11
\led_flash_cnt[1402][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1402][6]~46518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1402][6]~q\);

-- Location: LCCOMB_X57_Y24_N12
\led_flash_cnt[1402][7]~46520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1402][7]~46520_combout\ = \led_flash_cnt[1402][6]~46519\ $ (!\led_flash_cnt[1402][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1402][7]~q\,
	cin => \led_flash_cnt[1402][6]~46519\,
	combout => \led_flash_cnt[1402][7]~46520_combout\);

-- Location: FF_X57_Y24_N13
\led_flash_cnt[1402][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1402][7]~46520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1402][7]~q\);

-- Location: LCCOMB_X56_Y24_N24
\WideAnd1402~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1402~1_combout\ = (\led_flash_cnt[1402][6]~q\ & \led_flash_cnt[1402][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1402][6]~q\,
	datac => \led_flash_cnt[1402][5]~q\,
	combout => \WideAnd1402~1_combout\);

-- Location: LCCOMB_X56_Y24_N26
WideAnd1402 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1402~combout\ = (\WideAnd1402~0_combout\ & (\led_flash_cnt[1402][0]~q\ & (\led_flash_cnt[1402][7]~q\ & \WideAnd1402~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1402~0_combout\,
	datab => \led_flash_cnt[1402][0]~q\,
	datac => \led_flash_cnt[1402][7]~q\,
	datad => \WideAnd1402~1_combout\,
	combout => \WideAnd1402~combout\);

-- Location: FF_X56_Y24_N27
\led_flash_cnt_ands[1402]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1402~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1402));

-- Location: LCCOMB_X56_Y24_N0
\led_flash_cnt[1400][0]~82040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1400][0]~82040_combout\ = !\led_flash_cnt[1400][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1400][0]~q\,
	combout => \led_flash_cnt[1400][0]~82040_combout\);

-- Location: FF_X56_Y24_N1
\led_flash_cnt[1400][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1400][0]~82040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1400][0]~q\);

-- Location: LCCOMB_X56_Y24_N10
\led_flash_cnt[1400][1]~46480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1400][1]~46480_combout\ = (\led_flash_cnt[1400][1]~q\ & (\led_flash_cnt[1400][0]~q\ $ (VCC))) # (!\led_flash_cnt[1400][1]~q\ & (\led_flash_cnt[1400][0]~q\ & VCC))
-- \led_flash_cnt[1400][1]~46481\ = CARRY((\led_flash_cnt[1400][1]~q\ & \led_flash_cnt[1400][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1400][1]~q\,
	datab => \led_flash_cnt[1400][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1400][1]~46480_combout\,
	cout => \led_flash_cnt[1400][1]~46481\);

-- Location: FF_X56_Y24_N11
\led_flash_cnt[1400][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1400][1]~46480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1400][1]~q\);

-- Location: LCCOMB_X56_Y24_N12
\led_flash_cnt[1400][2]~46482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1400][2]~46482_combout\ = (\led_flash_cnt[1400][2]~q\ & (!\led_flash_cnt[1400][1]~46481\)) # (!\led_flash_cnt[1400][2]~q\ & ((\led_flash_cnt[1400][1]~46481\) # (GND)))
-- \led_flash_cnt[1400][2]~46483\ = CARRY((!\led_flash_cnt[1400][1]~46481\) # (!\led_flash_cnt[1400][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1400][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1400][1]~46481\,
	combout => \led_flash_cnt[1400][2]~46482_combout\,
	cout => \led_flash_cnt[1400][2]~46483\);

-- Location: FF_X56_Y24_N13
\led_flash_cnt[1400][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1400][2]~46482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1400][2]~q\);

-- Location: LCCOMB_X56_Y24_N14
\led_flash_cnt[1400][3]~46484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1400][3]~46484_combout\ = (\led_flash_cnt[1400][3]~q\ & (\led_flash_cnt[1400][2]~46483\ $ (GND))) # (!\led_flash_cnt[1400][3]~q\ & (!\led_flash_cnt[1400][2]~46483\ & VCC))
-- \led_flash_cnt[1400][3]~46485\ = CARRY((\led_flash_cnt[1400][3]~q\ & !\led_flash_cnt[1400][2]~46483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1400][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1400][2]~46483\,
	combout => \led_flash_cnt[1400][3]~46484_combout\,
	cout => \led_flash_cnt[1400][3]~46485\);

-- Location: FF_X56_Y24_N15
\led_flash_cnt[1400][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1400][3]~46484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1400][3]~q\);

-- Location: LCCOMB_X56_Y24_N16
\led_flash_cnt[1400][4]~46486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1400][4]~46486_combout\ = (\led_flash_cnt[1400][4]~q\ & (!\led_flash_cnt[1400][3]~46485\)) # (!\led_flash_cnt[1400][4]~q\ & ((\led_flash_cnt[1400][3]~46485\) # (GND)))
-- \led_flash_cnt[1400][4]~46487\ = CARRY((!\led_flash_cnt[1400][3]~46485\) # (!\led_flash_cnt[1400][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1400][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1400][3]~46485\,
	combout => \led_flash_cnt[1400][4]~46486_combout\,
	cout => \led_flash_cnt[1400][4]~46487\);

-- Location: FF_X56_Y24_N17
\led_flash_cnt[1400][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1400][4]~46486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1400][4]~q\);

-- Location: LCCOMB_X56_Y24_N30
\WideAnd1400~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1400~0_combout\ = (\led_flash_cnt[1400][1]~q\ & (\led_flash_cnt[1400][4]~q\ & (\led_flash_cnt[1400][3]~q\ & \led_flash_cnt[1400][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1400][1]~q\,
	datab => \led_flash_cnt[1400][4]~q\,
	datac => \led_flash_cnt[1400][3]~q\,
	datad => \led_flash_cnt[1400][2]~q\,
	combout => \WideAnd1400~0_combout\);

-- Location: LCCOMB_X56_Y24_N18
\led_flash_cnt[1400][5]~46488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1400][5]~46488_combout\ = (\led_flash_cnt[1400][5]~q\ & (\led_flash_cnt[1400][4]~46487\ $ (GND))) # (!\led_flash_cnt[1400][5]~q\ & (!\led_flash_cnt[1400][4]~46487\ & VCC))
-- \led_flash_cnt[1400][5]~46489\ = CARRY((\led_flash_cnt[1400][5]~q\ & !\led_flash_cnt[1400][4]~46487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1400][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1400][4]~46487\,
	combout => \led_flash_cnt[1400][5]~46488_combout\,
	cout => \led_flash_cnt[1400][5]~46489\);

-- Location: FF_X56_Y24_N19
\led_flash_cnt[1400][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1400][5]~46488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1400][5]~q\);

-- Location: LCCOMB_X56_Y24_N20
\led_flash_cnt[1400][6]~46490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1400][6]~46490_combout\ = (\led_flash_cnt[1400][6]~q\ & (!\led_flash_cnt[1400][5]~46489\)) # (!\led_flash_cnt[1400][6]~q\ & ((\led_flash_cnt[1400][5]~46489\) # (GND)))
-- \led_flash_cnt[1400][6]~46491\ = CARRY((!\led_flash_cnt[1400][5]~46489\) # (!\led_flash_cnt[1400][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1400][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1400][5]~46489\,
	combout => \led_flash_cnt[1400][6]~46490_combout\,
	cout => \led_flash_cnt[1400][6]~46491\);

-- Location: FF_X56_Y24_N21
\led_flash_cnt[1400][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1400][6]~46490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1400][6]~q\);

-- Location: LCCOMB_X56_Y24_N22
\led_flash_cnt[1400][7]~46492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1400][7]~46492_combout\ = \led_flash_cnt[1400][7]~q\ $ (!\led_flash_cnt[1400][6]~46491\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1400][7]~q\,
	cin => \led_flash_cnt[1400][6]~46491\,
	combout => \led_flash_cnt[1400][7]~46492_combout\);

-- Location: FF_X56_Y24_N23
\led_flash_cnt[1400][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1400][7]~46492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1400][7]~q\);

-- Location: LCCOMB_X56_Y24_N28
\WideAnd1400~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1400~1_combout\ = (\led_flash_cnt[1400][5]~q\ & \led_flash_cnt[1400][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1400][5]~q\,
	datad => \led_flash_cnt[1400][6]~q\,
	combout => \WideAnd1400~1_combout\);

-- Location: LCCOMB_X56_Y24_N4
WideAnd1400 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1400~combout\ = (\WideAnd1400~0_combout\ & (\led_flash_cnt[1400][0]~q\ & (\led_flash_cnt[1400][7]~q\ & \WideAnd1400~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1400~0_combout\,
	datab => \led_flash_cnt[1400][0]~q\,
	datac => \led_flash_cnt[1400][7]~q\,
	datad => \WideAnd1400~1_combout\,
	combout => \WideAnd1400~combout\);

-- Location: FF_X56_Y24_N5
\led_flash_cnt_ands[1400]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1400~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1400));

-- Location: LCCOMB_X45_Y26_N26
\led_flash_cnt[1401][0]~82041\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1401][0]~82041_combout\ = !\led_flash_cnt[1401][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1401][0]~q\,
	combout => \led_flash_cnt[1401][0]~82041_combout\);

-- Location: FF_X45_Y26_N27
\led_flash_cnt[1401][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1401][0]~82041_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1401][0]~q\);

-- Location: LCCOMB_X45_Y26_N4
\led_flash_cnt[1401][1]~46494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1401][1]~46494_combout\ = (\led_flash_cnt[1401][0]~q\ & (\led_flash_cnt[1401][1]~q\ $ (VCC))) # (!\led_flash_cnt[1401][0]~q\ & (\led_flash_cnt[1401][1]~q\ & VCC))
-- \led_flash_cnt[1401][1]~46495\ = CARRY((\led_flash_cnt[1401][0]~q\ & \led_flash_cnt[1401][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1401][0]~q\,
	datab => \led_flash_cnt[1401][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1401][1]~46494_combout\,
	cout => \led_flash_cnt[1401][1]~46495\);

-- Location: FF_X45_Y26_N5
\led_flash_cnt[1401][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1401][1]~46494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1401][1]~q\);

-- Location: LCCOMB_X45_Y26_N6
\led_flash_cnt[1401][2]~46496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1401][2]~46496_combout\ = (\led_flash_cnt[1401][2]~q\ & (!\led_flash_cnt[1401][1]~46495\)) # (!\led_flash_cnt[1401][2]~q\ & ((\led_flash_cnt[1401][1]~46495\) # (GND)))
-- \led_flash_cnt[1401][2]~46497\ = CARRY((!\led_flash_cnt[1401][1]~46495\) # (!\led_flash_cnt[1401][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1401][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1401][1]~46495\,
	combout => \led_flash_cnt[1401][2]~46496_combout\,
	cout => \led_flash_cnt[1401][2]~46497\);

-- Location: FF_X45_Y26_N7
\led_flash_cnt[1401][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1401][2]~46496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1401][2]~q\);

-- Location: LCCOMB_X45_Y26_N8
\led_flash_cnt[1401][3]~46498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1401][3]~46498_combout\ = (\led_flash_cnt[1401][3]~q\ & (\led_flash_cnt[1401][2]~46497\ $ (GND))) # (!\led_flash_cnt[1401][3]~q\ & (!\led_flash_cnt[1401][2]~46497\ & VCC))
-- \led_flash_cnt[1401][3]~46499\ = CARRY((\led_flash_cnt[1401][3]~q\ & !\led_flash_cnt[1401][2]~46497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1401][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1401][2]~46497\,
	combout => \led_flash_cnt[1401][3]~46498_combout\,
	cout => \led_flash_cnt[1401][3]~46499\);

-- Location: FF_X45_Y26_N9
\led_flash_cnt[1401][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1401][3]~46498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1401][3]~q\);

-- Location: LCCOMB_X45_Y26_N10
\led_flash_cnt[1401][4]~46500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1401][4]~46500_combout\ = (\led_flash_cnt[1401][4]~q\ & (!\led_flash_cnt[1401][3]~46499\)) # (!\led_flash_cnt[1401][4]~q\ & ((\led_flash_cnt[1401][3]~46499\) # (GND)))
-- \led_flash_cnt[1401][4]~46501\ = CARRY((!\led_flash_cnt[1401][3]~46499\) # (!\led_flash_cnt[1401][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1401][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1401][3]~46499\,
	combout => \led_flash_cnt[1401][4]~46500_combout\,
	cout => \led_flash_cnt[1401][4]~46501\);

-- Location: FF_X45_Y26_N11
\led_flash_cnt[1401][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1401][4]~46500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1401][4]~q\);

-- Location: LCCOMB_X45_Y26_N12
\led_flash_cnt[1401][5]~46502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1401][5]~46502_combout\ = (\led_flash_cnt[1401][5]~q\ & (\led_flash_cnt[1401][4]~46501\ $ (GND))) # (!\led_flash_cnt[1401][5]~q\ & (!\led_flash_cnt[1401][4]~46501\ & VCC))
-- \led_flash_cnt[1401][5]~46503\ = CARRY((\led_flash_cnt[1401][5]~q\ & !\led_flash_cnt[1401][4]~46501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1401][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1401][4]~46501\,
	combout => \led_flash_cnt[1401][5]~46502_combout\,
	cout => \led_flash_cnt[1401][5]~46503\);

-- Location: FF_X45_Y26_N13
\led_flash_cnt[1401][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1401][5]~46502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1401][5]~q\);

-- Location: LCCOMB_X45_Y26_N14
\led_flash_cnt[1401][6]~46504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1401][6]~46504_combout\ = (\led_flash_cnt[1401][6]~q\ & (!\led_flash_cnt[1401][5]~46503\)) # (!\led_flash_cnt[1401][6]~q\ & ((\led_flash_cnt[1401][5]~46503\) # (GND)))
-- \led_flash_cnt[1401][6]~46505\ = CARRY((!\led_flash_cnt[1401][5]~46503\) # (!\led_flash_cnt[1401][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1401][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1401][5]~46503\,
	combout => \led_flash_cnt[1401][6]~46504_combout\,
	cout => \led_flash_cnt[1401][6]~46505\);

-- Location: FF_X45_Y26_N15
\led_flash_cnt[1401][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1401][6]~46504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1401][6]~q\);

-- Location: LCCOMB_X45_Y26_N16
\led_flash_cnt[1401][7]~46506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1401][7]~46506_combout\ = \led_flash_cnt[1401][6]~46505\ $ (!\led_flash_cnt[1401][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1401][7]~q\,
	cin => \led_flash_cnt[1401][6]~46505\,
	combout => \led_flash_cnt[1401][7]~46506_combout\);

-- Location: FF_X45_Y26_N17
\led_flash_cnt[1401][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1401][7]~46506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1401][7]~q\);

-- Location: LCCOMB_X45_Y26_N30
\WideAnd1401~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1401~0_combout\ = (\led_flash_cnt[1401][5]~q\ & (\led_flash_cnt[1401][7]~q\ & (\led_flash_cnt[1401][6]~q\ & \led_flash_cnt[1401][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1401][5]~q\,
	datab => \led_flash_cnt[1401][7]~q\,
	datac => \led_flash_cnt[1401][6]~q\,
	datad => \led_flash_cnt[1401][2]~q\,
	combout => \WideAnd1401~0_combout\);

-- Location: LCCOMB_X45_Y26_N18
\WideAnd1401~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1401~1_combout\ = (\led_flash_cnt[1401][0]~q\ & \led_flash_cnt[1401][1]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1401][0]~q\,
	datac => \led_flash_cnt[1401][1]~q\,
	combout => \WideAnd1401~1_combout\);

-- Location: LCCOMB_X45_Y26_N24
WideAnd1401 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1401~combout\ = (\WideAnd1401~0_combout\ & (\WideAnd1401~1_combout\ & (\led_flash_cnt[1401][3]~q\ & \led_flash_cnt[1401][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1401~0_combout\,
	datab => \WideAnd1401~1_combout\,
	datac => \led_flash_cnt[1401][3]~q\,
	datad => \led_flash_cnt[1401][4]~q\,
	combout => \WideAnd1401~combout\);

-- Location: FF_X45_Y26_N25
\led_flash_cnt_ands[1401]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1401~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1401));

-- Location: LCCOMB_X45_Y26_N22
\led_flash_cnt[1403][0]~82043\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1403][0]~82043_combout\ = !\led_flash_cnt[1403][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1403][0]~q\,
	combout => \led_flash_cnt[1403][0]~82043_combout\);

-- Location: FF_X45_Y26_N23
\led_flash_cnt[1403][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1403][0]~82043_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1403][0]~q\);

-- Location: LCCOMB_X39_Y26_N4
\led_flash_cnt[1403][1]~46522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1403][1]~46522_combout\ = (\led_flash_cnt[1403][0]~q\ & (\led_flash_cnt[1403][1]~q\ $ (VCC))) # (!\led_flash_cnt[1403][0]~q\ & (\led_flash_cnt[1403][1]~q\ & VCC))
-- \led_flash_cnt[1403][1]~46523\ = CARRY((\led_flash_cnt[1403][0]~q\ & \led_flash_cnt[1403][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1403][0]~q\,
	datab => \led_flash_cnt[1403][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1403][1]~46522_combout\,
	cout => \led_flash_cnt[1403][1]~46523\);

-- Location: FF_X39_Y26_N5
\led_flash_cnt[1403][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1403][1]~46522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1403][1]~q\);

-- Location: LCCOMB_X39_Y26_N6
\led_flash_cnt[1403][2]~46524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1403][2]~46524_combout\ = (\led_flash_cnt[1403][2]~q\ & (!\led_flash_cnt[1403][1]~46523\)) # (!\led_flash_cnt[1403][2]~q\ & ((\led_flash_cnt[1403][1]~46523\) # (GND)))
-- \led_flash_cnt[1403][2]~46525\ = CARRY((!\led_flash_cnt[1403][1]~46523\) # (!\led_flash_cnt[1403][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1403][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1403][1]~46523\,
	combout => \led_flash_cnt[1403][2]~46524_combout\,
	cout => \led_flash_cnt[1403][2]~46525\);

-- Location: FF_X39_Y26_N7
\led_flash_cnt[1403][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1403][2]~46524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1403][2]~q\);

-- Location: LCCOMB_X39_Y26_N8
\led_flash_cnt[1403][3]~46526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1403][3]~46526_combout\ = (\led_flash_cnt[1403][3]~q\ & (\led_flash_cnt[1403][2]~46525\ $ (GND))) # (!\led_flash_cnt[1403][3]~q\ & (!\led_flash_cnt[1403][2]~46525\ & VCC))
-- \led_flash_cnt[1403][3]~46527\ = CARRY((\led_flash_cnt[1403][3]~q\ & !\led_flash_cnt[1403][2]~46525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1403][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1403][2]~46525\,
	combout => \led_flash_cnt[1403][3]~46526_combout\,
	cout => \led_flash_cnt[1403][3]~46527\);

-- Location: FF_X39_Y26_N9
\led_flash_cnt[1403][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1403][3]~46526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1403][3]~q\);

-- Location: LCCOMB_X39_Y26_N10
\led_flash_cnt[1403][4]~46528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1403][4]~46528_combout\ = (\led_flash_cnt[1403][4]~q\ & (!\led_flash_cnt[1403][3]~46527\)) # (!\led_flash_cnt[1403][4]~q\ & ((\led_flash_cnt[1403][3]~46527\) # (GND)))
-- \led_flash_cnt[1403][4]~46529\ = CARRY((!\led_flash_cnt[1403][3]~46527\) # (!\led_flash_cnt[1403][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1403][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1403][3]~46527\,
	combout => \led_flash_cnt[1403][4]~46528_combout\,
	cout => \led_flash_cnt[1403][4]~46529\);

-- Location: FF_X39_Y26_N11
\led_flash_cnt[1403][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1403][4]~46528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1403][4]~q\);

-- Location: LCCOMB_X39_Y26_N30
\WideAnd1403~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1403~0_combout\ = (\led_flash_cnt[1403][2]~q\ & (\led_flash_cnt[1403][1]~q\ & (\led_flash_cnt[1403][3]~q\ & \led_flash_cnt[1403][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1403][2]~q\,
	datab => \led_flash_cnt[1403][1]~q\,
	datac => \led_flash_cnt[1403][3]~q\,
	datad => \led_flash_cnt[1403][4]~q\,
	combout => \WideAnd1403~0_combout\);

-- Location: LCCOMB_X39_Y26_N12
\led_flash_cnt[1403][5]~46530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1403][5]~46530_combout\ = (\led_flash_cnt[1403][5]~q\ & (\led_flash_cnt[1403][4]~46529\ $ (GND))) # (!\led_flash_cnt[1403][5]~q\ & (!\led_flash_cnt[1403][4]~46529\ & VCC))
-- \led_flash_cnt[1403][5]~46531\ = CARRY((\led_flash_cnt[1403][5]~q\ & !\led_flash_cnt[1403][4]~46529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1403][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1403][4]~46529\,
	combout => \led_flash_cnt[1403][5]~46530_combout\,
	cout => \led_flash_cnt[1403][5]~46531\);

-- Location: FF_X39_Y26_N13
\led_flash_cnt[1403][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1403][5]~46530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1403][5]~q\);

-- Location: LCCOMB_X39_Y26_N14
\led_flash_cnt[1403][6]~46532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1403][6]~46532_combout\ = (\led_flash_cnt[1403][6]~q\ & (!\led_flash_cnt[1403][5]~46531\)) # (!\led_flash_cnt[1403][6]~q\ & ((\led_flash_cnt[1403][5]~46531\) # (GND)))
-- \led_flash_cnt[1403][6]~46533\ = CARRY((!\led_flash_cnt[1403][5]~46531\) # (!\led_flash_cnt[1403][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1403][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1403][5]~46531\,
	combout => \led_flash_cnt[1403][6]~46532_combout\,
	cout => \led_flash_cnt[1403][6]~46533\);

-- Location: FF_X39_Y26_N15
\led_flash_cnt[1403][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1403][6]~46532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1403][6]~q\);

-- Location: LCCOMB_X39_Y26_N16
\led_flash_cnt[1403][7]~46534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1403][7]~46534_combout\ = \led_flash_cnt[1403][6]~46533\ $ (!\led_flash_cnt[1403][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1403][7]~q\,
	cin => \led_flash_cnt[1403][6]~46533\,
	combout => \led_flash_cnt[1403][7]~46534_combout\);

-- Location: FF_X39_Y26_N17
\led_flash_cnt[1403][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1403][7]~46534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1403][7]~q\);

-- Location: LCCOMB_X39_Y26_N24
\WideAnd1403~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1403~1_combout\ = (\led_flash_cnt[1403][6]~q\ & \led_flash_cnt[1403][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1403][6]~q\,
	datad => \led_flash_cnt[1403][5]~q\,
	combout => \WideAnd1403~1_combout\);

-- Location: LCCOMB_X39_Y26_N20
WideAnd1403 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1403~combout\ = (\WideAnd1403~0_combout\ & (\led_flash_cnt[1403][7]~q\ & (\led_flash_cnt[1403][0]~q\ & \WideAnd1403~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1403~0_combout\,
	datab => \led_flash_cnt[1403][7]~q\,
	datac => \led_flash_cnt[1403][0]~q\,
	datad => \WideAnd1403~1_combout\,
	combout => \WideAnd1403~combout\);

-- Location: FF_X39_Y26_N21
\led_flash_cnt_ands[1403]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1403~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1403));

-- Location: LCCOMB_X47_Y24_N24
\WideAnd4015~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4015~0_combout\ = (led_flash_cnt_ands(1402) & (led_flash_cnt_ands(1400) & (led_flash_cnt_ands(1401) & led_flash_cnt_ands(1403))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1402),
	datab => led_flash_cnt_ands(1400),
	datac => led_flash_cnt_ands(1401),
	datad => led_flash_cnt_ands(1403),
	combout => \WideAnd4015~0_combout\);

-- Location: LCCOMB_X44_Y30_N26
\led_flash_cnt[1405][0]~82045\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1405][0]~82045_combout\ = !\led_flash_cnt[1405][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1405][0]~q\,
	combout => \led_flash_cnt[1405][0]~82045_combout\);

-- Location: FF_X44_Y30_N27
\led_flash_cnt[1405][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1405][0]~82045_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1405][0]~q\);

-- Location: LCCOMB_X44_Y30_N0
\led_flash_cnt[1405][1]~46550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1405][1]~46550_combout\ = (\led_flash_cnt[1405][0]~q\ & (\led_flash_cnt[1405][1]~q\ $ (VCC))) # (!\led_flash_cnt[1405][0]~q\ & (\led_flash_cnt[1405][1]~q\ & VCC))
-- \led_flash_cnt[1405][1]~46551\ = CARRY((\led_flash_cnt[1405][0]~q\ & \led_flash_cnt[1405][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1405][0]~q\,
	datab => \led_flash_cnt[1405][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1405][1]~46550_combout\,
	cout => \led_flash_cnt[1405][1]~46551\);

-- Location: FF_X44_Y30_N1
\led_flash_cnt[1405][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1405][1]~46550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1405][1]~q\);

-- Location: LCCOMB_X44_Y30_N2
\led_flash_cnt[1405][2]~46552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1405][2]~46552_combout\ = (\led_flash_cnt[1405][2]~q\ & (!\led_flash_cnt[1405][1]~46551\)) # (!\led_flash_cnt[1405][2]~q\ & ((\led_flash_cnt[1405][1]~46551\) # (GND)))
-- \led_flash_cnt[1405][2]~46553\ = CARRY((!\led_flash_cnt[1405][1]~46551\) # (!\led_flash_cnt[1405][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1405][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1405][1]~46551\,
	combout => \led_flash_cnt[1405][2]~46552_combout\,
	cout => \led_flash_cnt[1405][2]~46553\);

-- Location: FF_X44_Y30_N3
\led_flash_cnt[1405][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1405][2]~46552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1405][2]~q\);

-- Location: LCCOMB_X44_Y30_N4
\led_flash_cnt[1405][3]~46554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1405][3]~46554_combout\ = (\led_flash_cnt[1405][3]~q\ & (\led_flash_cnt[1405][2]~46553\ $ (GND))) # (!\led_flash_cnt[1405][3]~q\ & (!\led_flash_cnt[1405][2]~46553\ & VCC))
-- \led_flash_cnt[1405][3]~46555\ = CARRY((\led_flash_cnt[1405][3]~q\ & !\led_flash_cnt[1405][2]~46553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1405][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1405][2]~46553\,
	combout => \led_flash_cnt[1405][3]~46554_combout\,
	cout => \led_flash_cnt[1405][3]~46555\);

-- Location: FF_X44_Y30_N5
\led_flash_cnt[1405][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1405][3]~46554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1405][3]~q\);

-- Location: LCCOMB_X44_Y30_N6
\led_flash_cnt[1405][4]~46556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1405][4]~46556_combout\ = (\led_flash_cnt[1405][4]~q\ & (!\led_flash_cnt[1405][3]~46555\)) # (!\led_flash_cnt[1405][4]~q\ & ((\led_flash_cnt[1405][3]~46555\) # (GND)))
-- \led_flash_cnt[1405][4]~46557\ = CARRY((!\led_flash_cnt[1405][3]~46555\) # (!\led_flash_cnt[1405][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1405][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1405][3]~46555\,
	combout => \led_flash_cnt[1405][4]~46556_combout\,
	cout => \led_flash_cnt[1405][4]~46557\);

-- Location: FF_X44_Y30_N7
\led_flash_cnt[1405][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1405][4]~46556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1405][4]~q\);

-- Location: LCCOMB_X44_Y30_N8
\led_flash_cnt[1405][5]~46558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1405][5]~46558_combout\ = (\led_flash_cnt[1405][5]~q\ & (\led_flash_cnt[1405][4]~46557\ $ (GND))) # (!\led_flash_cnt[1405][5]~q\ & (!\led_flash_cnt[1405][4]~46557\ & VCC))
-- \led_flash_cnt[1405][5]~46559\ = CARRY((\led_flash_cnt[1405][5]~q\ & !\led_flash_cnt[1405][4]~46557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1405][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1405][4]~46557\,
	combout => \led_flash_cnt[1405][5]~46558_combout\,
	cout => \led_flash_cnt[1405][5]~46559\);

-- Location: FF_X44_Y30_N9
\led_flash_cnt[1405][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1405][5]~46558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1405][5]~q\);

-- Location: LCCOMB_X44_Y30_N10
\led_flash_cnt[1405][6]~46560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1405][6]~46560_combout\ = (\led_flash_cnt[1405][6]~q\ & (!\led_flash_cnt[1405][5]~46559\)) # (!\led_flash_cnt[1405][6]~q\ & ((\led_flash_cnt[1405][5]~46559\) # (GND)))
-- \led_flash_cnt[1405][6]~46561\ = CARRY((!\led_flash_cnt[1405][5]~46559\) # (!\led_flash_cnt[1405][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1405][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1405][5]~46559\,
	combout => \led_flash_cnt[1405][6]~46560_combout\,
	cout => \led_flash_cnt[1405][6]~46561\);

-- Location: FF_X44_Y30_N11
\led_flash_cnt[1405][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1405][6]~46560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1405][6]~q\);

-- Location: LCCOMB_X44_Y30_N30
\WideAnd1405~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1405~1_combout\ = (\led_flash_cnt[1405][5]~q\ & \led_flash_cnt[1405][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1405][5]~q\,
	datad => \led_flash_cnt[1405][6]~q\,
	combout => \WideAnd1405~1_combout\);

-- Location: LCCOMB_X44_Y30_N18
\WideAnd1405~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1405~0_combout\ = (\led_flash_cnt[1405][4]~q\ & (\led_flash_cnt[1405][1]~q\ & (\led_flash_cnt[1405][3]~q\ & \led_flash_cnt[1405][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1405][4]~q\,
	datab => \led_flash_cnt[1405][1]~q\,
	datac => \led_flash_cnt[1405][3]~q\,
	datad => \led_flash_cnt[1405][2]~q\,
	combout => \WideAnd1405~0_combout\);

-- Location: LCCOMB_X44_Y30_N12
\led_flash_cnt[1405][7]~46562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1405][7]~46562_combout\ = \led_flash_cnt[1405][6]~46561\ $ (!\led_flash_cnt[1405][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1405][7]~q\,
	cin => \led_flash_cnt[1405][6]~46561\,
	combout => \led_flash_cnt[1405][7]~46562_combout\);

-- Location: FF_X44_Y30_N13
\led_flash_cnt[1405][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1405][7]~46562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1405][7]~q\);

-- Location: LCCOMB_X44_Y30_N28
WideAnd1405 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1405~combout\ = (\WideAnd1405~1_combout\ & (\WideAnd1405~0_combout\ & (\led_flash_cnt[1405][0]~q\ & \led_flash_cnt[1405][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1405~1_combout\,
	datab => \WideAnd1405~0_combout\,
	datac => \led_flash_cnt[1405][0]~q\,
	datad => \led_flash_cnt[1405][7]~q\,
	combout => \WideAnd1405~combout\);

-- Location: FF_X44_Y30_N29
\led_flash_cnt_ands[1405]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1405~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1405));

-- Location: LCCOMB_X44_Y30_N20
\led_flash_cnt[1404][0]~82044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1404][0]~82044_combout\ = !\led_flash_cnt[1404][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1404][0]~q\,
	combout => \led_flash_cnt[1404][0]~82044_combout\);

-- Location: FF_X44_Y30_N21
\led_flash_cnt[1404][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1404][0]~82044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1404][0]~q\);

-- Location: LCCOMB_X44_Y26_N0
\led_flash_cnt[1404][1]~46536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1404][1]~46536_combout\ = (\led_flash_cnt[1404][0]~q\ & (\led_flash_cnt[1404][1]~q\ $ (VCC))) # (!\led_flash_cnt[1404][0]~q\ & (\led_flash_cnt[1404][1]~q\ & VCC))
-- \led_flash_cnt[1404][1]~46537\ = CARRY((\led_flash_cnt[1404][0]~q\ & \led_flash_cnt[1404][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1404][0]~q\,
	datab => \led_flash_cnt[1404][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1404][1]~46536_combout\,
	cout => \led_flash_cnt[1404][1]~46537\);

-- Location: FF_X44_Y26_N1
\led_flash_cnt[1404][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1404][1]~46536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1404][1]~q\);

-- Location: LCCOMB_X44_Y26_N2
\led_flash_cnt[1404][2]~46538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1404][2]~46538_combout\ = (\led_flash_cnt[1404][2]~q\ & (!\led_flash_cnt[1404][1]~46537\)) # (!\led_flash_cnt[1404][2]~q\ & ((\led_flash_cnt[1404][1]~46537\) # (GND)))
-- \led_flash_cnt[1404][2]~46539\ = CARRY((!\led_flash_cnt[1404][1]~46537\) # (!\led_flash_cnt[1404][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1404][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1404][1]~46537\,
	combout => \led_flash_cnt[1404][2]~46538_combout\,
	cout => \led_flash_cnt[1404][2]~46539\);

-- Location: FF_X44_Y26_N3
\led_flash_cnt[1404][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1404][2]~46538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1404][2]~q\);

-- Location: LCCOMB_X44_Y26_N4
\led_flash_cnt[1404][3]~46540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1404][3]~46540_combout\ = (\led_flash_cnt[1404][3]~q\ & (\led_flash_cnt[1404][2]~46539\ $ (GND))) # (!\led_flash_cnt[1404][3]~q\ & (!\led_flash_cnt[1404][2]~46539\ & VCC))
-- \led_flash_cnt[1404][3]~46541\ = CARRY((\led_flash_cnt[1404][3]~q\ & !\led_flash_cnt[1404][2]~46539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1404][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1404][2]~46539\,
	combout => \led_flash_cnt[1404][3]~46540_combout\,
	cout => \led_flash_cnt[1404][3]~46541\);

-- Location: FF_X44_Y26_N5
\led_flash_cnt[1404][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1404][3]~46540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1404][3]~q\);

-- Location: LCCOMB_X44_Y26_N6
\led_flash_cnt[1404][4]~46542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1404][4]~46542_combout\ = (\led_flash_cnt[1404][4]~q\ & (!\led_flash_cnt[1404][3]~46541\)) # (!\led_flash_cnt[1404][4]~q\ & ((\led_flash_cnt[1404][3]~46541\) # (GND)))
-- \led_flash_cnt[1404][4]~46543\ = CARRY((!\led_flash_cnt[1404][3]~46541\) # (!\led_flash_cnt[1404][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1404][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1404][3]~46541\,
	combout => \led_flash_cnt[1404][4]~46542_combout\,
	cout => \led_flash_cnt[1404][4]~46543\);

-- Location: FF_X44_Y26_N7
\led_flash_cnt[1404][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1404][4]~46542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1404][4]~q\);

-- Location: LCCOMB_X44_Y26_N30
\WideAnd1404~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1404~0_combout\ = (\led_flash_cnt[1404][4]~q\ & (\led_flash_cnt[1404][1]~q\ & (\led_flash_cnt[1404][3]~q\ & \led_flash_cnt[1404][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1404][4]~q\,
	datab => \led_flash_cnt[1404][1]~q\,
	datac => \led_flash_cnt[1404][3]~q\,
	datad => \led_flash_cnt[1404][2]~q\,
	combout => \WideAnd1404~0_combout\);

-- Location: LCCOMB_X44_Y26_N8
\led_flash_cnt[1404][5]~46544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1404][5]~46544_combout\ = (\led_flash_cnt[1404][5]~q\ & (\led_flash_cnt[1404][4]~46543\ $ (GND))) # (!\led_flash_cnt[1404][5]~q\ & (!\led_flash_cnt[1404][4]~46543\ & VCC))
-- \led_flash_cnt[1404][5]~46545\ = CARRY((\led_flash_cnt[1404][5]~q\ & !\led_flash_cnt[1404][4]~46543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1404][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1404][4]~46543\,
	combout => \led_flash_cnt[1404][5]~46544_combout\,
	cout => \led_flash_cnt[1404][5]~46545\);

-- Location: FF_X44_Y26_N9
\led_flash_cnt[1404][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1404][5]~46544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1404][5]~q\);

-- Location: LCCOMB_X44_Y26_N10
\led_flash_cnt[1404][6]~46546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1404][6]~46546_combout\ = (\led_flash_cnt[1404][6]~q\ & (!\led_flash_cnt[1404][5]~46545\)) # (!\led_flash_cnt[1404][6]~q\ & ((\led_flash_cnt[1404][5]~46545\) # (GND)))
-- \led_flash_cnt[1404][6]~46547\ = CARRY((!\led_flash_cnt[1404][5]~46545\) # (!\led_flash_cnt[1404][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1404][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1404][5]~46545\,
	combout => \led_flash_cnt[1404][6]~46546_combout\,
	cout => \led_flash_cnt[1404][6]~46547\);

-- Location: FF_X44_Y26_N11
\led_flash_cnt[1404][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1404][6]~46546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1404][6]~q\);

-- Location: LCCOMB_X44_Y26_N12
\led_flash_cnt[1404][7]~46548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1404][7]~46548_combout\ = \led_flash_cnt[1404][6]~46547\ $ (!\led_flash_cnt[1404][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1404][7]~q\,
	cin => \led_flash_cnt[1404][6]~46547\,
	combout => \led_flash_cnt[1404][7]~46548_combout\);

-- Location: FF_X44_Y26_N13
\led_flash_cnt[1404][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1404][7]~46548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1404][7]~q\);

-- Location: LCCOMB_X44_Y30_N16
\WideAnd1404~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1404~1_combout\ = (\led_flash_cnt[1404][5]~q\ & \led_flash_cnt[1404][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1404][5]~q\,
	datad => \led_flash_cnt[1404][6]~q\,
	combout => \WideAnd1404~1_combout\);

-- Location: LCCOMB_X44_Y30_N14
WideAnd1404 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1404~combout\ = (\WideAnd1404~0_combout\ & (\led_flash_cnt[1404][0]~q\ & (\led_flash_cnt[1404][7]~q\ & \WideAnd1404~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1404~0_combout\,
	datab => \led_flash_cnt[1404][0]~q\,
	datac => \led_flash_cnt[1404][7]~q\,
	datad => \WideAnd1404~1_combout\,
	combout => \WideAnd1404~combout\);

-- Location: FF_X44_Y30_N15
\led_flash_cnt_ands[1404]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1404~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1404));

-- Location: LCCOMB_X45_Y30_N0
\WideAnd4015~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4015~1_combout\ = (led_flash_cnt_ands(1405) & led_flash_cnt_ands(1404))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1405),
	datad => led_flash_cnt_ands(1404),
	combout => \WideAnd4015~1_combout\);

-- Location: LCCOMB_X49_Y31_N24
\led_flash_cnt[1406][0]~82046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1406][0]~82046_combout\ = !\led_flash_cnt[1406][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1406][0]~q\,
	combout => \led_flash_cnt[1406][0]~82046_combout\);

-- Location: FF_X49_Y31_N25
\led_flash_cnt[1406][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1406][0]~82046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1406][0]~q\);

-- Location: LCCOMB_X49_Y31_N6
\led_flash_cnt[1406][1]~46564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1406][1]~46564_combout\ = (\led_flash_cnt[1406][1]~q\ & (\led_flash_cnt[1406][0]~q\ $ (VCC))) # (!\led_flash_cnt[1406][1]~q\ & (\led_flash_cnt[1406][0]~q\ & VCC))
-- \led_flash_cnt[1406][1]~46565\ = CARRY((\led_flash_cnt[1406][1]~q\ & \led_flash_cnt[1406][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1406][1]~q\,
	datab => \led_flash_cnt[1406][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1406][1]~46564_combout\,
	cout => \led_flash_cnt[1406][1]~46565\);

-- Location: FF_X49_Y31_N7
\led_flash_cnt[1406][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1406][1]~46564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1406][1]~q\);

-- Location: LCCOMB_X49_Y31_N8
\led_flash_cnt[1406][2]~46566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1406][2]~46566_combout\ = (\led_flash_cnt[1406][2]~q\ & (!\led_flash_cnt[1406][1]~46565\)) # (!\led_flash_cnt[1406][2]~q\ & ((\led_flash_cnt[1406][1]~46565\) # (GND)))
-- \led_flash_cnt[1406][2]~46567\ = CARRY((!\led_flash_cnt[1406][1]~46565\) # (!\led_flash_cnt[1406][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1406][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1406][1]~46565\,
	combout => \led_flash_cnt[1406][2]~46566_combout\,
	cout => \led_flash_cnt[1406][2]~46567\);

-- Location: FF_X49_Y31_N9
\led_flash_cnt[1406][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1406][2]~46566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1406][2]~q\);

-- Location: LCCOMB_X49_Y31_N10
\led_flash_cnt[1406][3]~46568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1406][3]~46568_combout\ = (\led_flash_cnt[1406][3]~q\ & (\led_flash_cnt[1406][2]~46567\ $ (GND))) # (!\led_flash_cnt[1406][3]~q\ & (!\led_flash_cnt[1406][2]~46567\ & VCC))
-- \led_flash_cnt[1406][3]~46569\ = CARRY((\led_flash_cnt[1406][3]~q\ & !\led_flash_cnt[1406][2]~46567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1406][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1406][2]~46567\,
	combout => \led_flash_cnt[1406][3]~46568_combout\,
	cout => \led_flash_cnt[1406][3]~46569\);

-- Location: FF_X49_Y31_N11
\led_flash_cnt[1406][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1406][3]~46568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1406][3]~q\);

-- Location: LCCOMB_X49_Y31_N12
\led_flash_cnt[1406][4]~46570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1406][4]~46570_combout\ = (\led_flash_cnt[1406][4]~q\ & (!\led_flash_cnt[1406][3]~46569\)) # (!\led_flash_cnt[1406][4]~q\ & ((\led_flash_cnt[1406][3]~46569\) # (GND)))
-- \led_flash_cnt[1406][4]~46571\ = CARRY((!\led_flash_cnt[1406][3]~46569\) # (!\led_flash_cnt[1406][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1406][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1406][3]~46569\,
	combout => \led_flash_cnt[1406][4]~46570_combout\,
	cout => \led_flash_cnt[1406][4]~46571\);

-- Location: FF_X49_Y31_N13
\led_flash_cnt[1406][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1406][4]~46570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1406][4]~q\);

-- Location: LCCOMB_X49_Y31_N22
\WideAnd1406~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1406~0_combout\ = (\led_flash_cnt[1406][4]~q\ & (\led_flash_cnt[1406][1]~q\ & (\led_flash_cnt[1406][2]~q\ & \led_flash_cnt[1406][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1406][4]~q\,
	datab => \led_flash_cnt[1406][1]~q\,
	datac => \led_flash_cnt[1406][2]~q\,
	datad => \led_flash_cnt[1406][3]~q\,
	combout => \WideAnd1406~0_combout\);

-- Location: LCCOMB_X49_Y31_N14
\led_flash_cnt[1406][5]~46572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1406][5]~46572_combout\ = (\led_flash_cnt[1406][5]~q\ & (\led_flash_cnt[1406][4]~46571\ $ (GND))) # (!\led_flash_cnt[1406][5]~q\ & (!\led_flash_cnt[1406][4]~46571\ & VCC))
-- \led_flash_cnt[1406][5]~46573\ = CARRY((\led_flash_cnt[1406][5]~q\ & !\led_flash_cnt[1406][4]~46571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1406][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1406][4]~46571\,
	combout => \led_flash_cnt[1406][5]~46572_combout\,
	cout => \led_flash_cnt[1406][5]~46573\);

-- Location: FF_X49_Y31_N15
\led_flash_cnt[1406][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1406][5]~46572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1406][5]~q\);

-- Location: LCCOMB_X49_Y31_N16
\led_flash_cnt[1406][6]~46574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1406][6]~46574_combout\ = (\led_flash_cnt[1406][6]~q\ & (!\led_flash_cnt[1406][5]~46573\)) # (!\led_flash_cnt[1406][6]~q\ & ((\led_flash_cnt[1406][5]~46573\) # (GND)))
-- \led_flash_cnt[1406][6]~46575\ = CARRY((!\led_flash_cnt[1406][5]~46573\) # (!\led_flash_cnt[1406][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1406][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1406][5]~46573\,
	combout => \led_flash_cnt[1406][6]~46574_combout\,
	cout => \led_flash_cnt[1406][6]~46575\);

-- Location: FF_X49_Y31_N17
\led_flash_cnt[1406][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1406][6]~46574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1406][6]~q\);

-- Location: LCCOMB_X49_Y31_N18
\led_flash_cnt[1406][7]~46576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1406][7]~46576_combout\ = \led_flash_cnt[1406][6]~46575\ $ (!\led_flash_cnt[1406][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1406][7]~q\,
	cin => \led_flash_cnt[1406][6]~46575\,
	combout => \led_flash_cnt[1406][7]~46576_combout\);

-- Location: FF_X49_Y31_N19
\led_flash_cnt[1406][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1406][7]~46576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1406][7]~q\);

-- Location: LCCOMB_X49_Y31_N4
\WideAnd1406~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1406~1_combout\ = (\led_flash_cnt[1406][5]~q\ & \led_flash_cnt[1406][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1406][5]~q\,
	datad => \led_flash_cnt[1406][6]~q\,
	combout => \WideAnd1406~1_combout\);

-- Location: LCCOMB_X49_Y31_N20
WideAnd1406 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1406~combout\ = (\WideAnd1406~0_combout\ & (\led_flash_cnt[1406][7]~q\ & (\WideAnd1406~1_combout\ & \led_flash_cnt[1406][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1406~0_combout\,
	datab => \led_flash_cnt[1406][7]~q\,
	datac => \WideAnd1406~1_combout\,
	datad => \led_flash_cnt[1406][0]~q\,
	combout => \WideAnd1406~combout\);

-- Location: FF_X49_Y31_N21
\led_flash_cnt_ands[1406]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1406~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1406));

-- Location: LCCOMB_X49_Y31_N2
WideAnd4015 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4015~combout\ = (led_flash_cnt_ands(1407) & (\WideAnd4015~0_combout\ & (\WideAnd4015~1_combout\ & led_flash_cnt_ands(1406))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1407),
	datab => \WideAnd4015~0_combout\,
	datac => \WideAnd4015~1_combout\,
	datad => led_flash_cnt_ands(1406),
	combout => \WideAnd4015~combout\);

-- Location: FF_X49_Y31_N3
\led_flash_cnt_ands_1[175]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4015~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(175));

-- Location: LCCOMB_X18_Y37_N10
\led_flash_cnt[1380][0]~82020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1380][0]~82020_combout\ = !\led_flash_cnt[1380][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1380][0]~q\,
	combout => \led_flash_cnt[1380][0]~82020_combout\);

-- Location: FF_X18_Y37_N11
\led_flash_cnt[1380][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1380][0]~82020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1380][0]~q\);

-- Location: LCCOMB_X18_Y37_N18
\led_flash_cnt[1380][1]~46200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1380][1]~46200_combout\ = (\led_flash_cnt[1380][0]~q\ & (\led_flash_cnt[1380][1]~q\ $ (VCC))) # (!\led_flash_cnt[1380][0]~q\ & (\led_flash_cnt[1380][1]~q\ & VCC))
-- \led_flash_cnt[1380][1]~46201\ = CARRY((\led_flash_cnt[1380][0]~q\ & \led_flash_cnt[1380][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1380][0]~q\,
	datab => \led_flash_cnt[1380][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1380][1]~46200_combout\,
	cout => \led_flash_cnt[1380][1]~46201\);

-- Location: FF_X18_Y37_N19
\led_flash_cnt[1380][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1380][1]~46200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1380][1]~q\);

-- Location: LCCOMB_X18_Y37_N20
\led_flash_cnt[1380][2]~46202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1380][2]~46202_combout\ = (\led_flash_cnt[1380][2]~q\ & (!\led_flash_cnt[1380][1]~46201\)) # (!\led_flash_cnt[1380][2]~q\ & ((\led_flash_cnt[1380][1]~46201\) # (GND)))
-- \led_flash_cnt[1380][2]~46203\ = CARRY((!\led_flash_cnt[1380][1]~46201\) # (!\led_flash_cnt[1380][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1380][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1380][1]~46201\,
	combout => \led_flash_cnt[1380][2]~46202_combout\,
	cout => \led_flash_cnt[1380][2]~46203\);

-- Location: FF_X18_Y37_N21
\led_flash_cnt[1380][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1380][2]~46202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1380][2]~q\);

-- Location: LCCOMB_X18_Y37_N22
\led_flash_cnt[1380][3]~46204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1380][3]~46204_combout\ = (\led_flash_cnt[1380][3]~q\ & (\led_flash_cnt[1380][2]~46203\ $ (GND))) # (!\led_flash_cnt[1380][3]~q\ & (!\led_flash_cnt[1380][2]~46203\ & VCC))
-- \led_flash_cnt[1380][3]~46205\ = CARRY((\led_flash_cnt[1380][3]~q\ & !\led_flash_cnt[1380][2]~46203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1380][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1380][2]~46203\,
	combout => \led_flash_cnt[1380][3]~46204_combout\,
	cout => \led_flash_cnt[1380][3]~46205\);

-- Location: FF_X18_Y37_N23
\led_flash_cnt[1380][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1380][3]~46204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1380][3]~q\);

-- Location: LCCOMB_X18_Y37_N24
\led_flash_cnt[1380][4]~46206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1380][4]~46206_combout\ = (\led_flash_cnt[1380][4]~q\ & (!\led_flash_cnt[1380][3]~46205\)) # (!\led_flash_cnt[1380][4]~q\ & ((\led_flash_cnt[1380][3]~46205\) # (GND)))
-- \led_flash_cnt[1380][4]~46207\ = CARRY((!\led_flash_cnt[1380][3]~46205\) # (!\led_flash_cnt[1380][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1380][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1380][3]~46205\,
	combout => \led_flash_cnt[1380][4]~46206_combout\,
	cout => \led_flash_cnt[1380][4]~46207\);

-- Location: FF_X18_Y37_N25
\led_flash_cnt[1380][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1380][4]~46206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1380][4]~q\);

-- Location: LCCOMB_X18_Y37_N16
\WideAnd1380~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1380~0_combout\ = (\led_flash_cnt[1380][4]~q\ & (\led_flash_cnt[1380][1]~q\ & (\led_flash_cnt[1380][3]~q\ & \led_flash_cnt[1380][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1380][4]~q\,
	datab => \led_flash_cnt[1380][1]~q\,
	datac => \led_flash_cnt[1380][3]~q\,
	datad => \led_flash_cnt[1380][2]~q\,
	combout => \WideAnd1380~0_combout\);

-- Location: LCCOMB_X18_Y37_N26
\led_flash_cnt[1380][5]~46208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1380][5]~46208_combout\ = (\led_flash_cnt[1380][5]~q\ & (\led_flash_cnt[1380][4]~46207\ $ (GND))) # (!\led_flash_cnt[1380][5]~q\ & (!\led_flash_cnt[1380][4]~46207\ & VCC))
-- \led_flash_cnt[1380][5]~46209\ = CARRY((\led_flash_cnt[1380][5]~q\ & !\led_flash_cnt[1380][4]~46207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1380][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1380][4]~46207\,
	combout => \led_flash_cnt[1380][5]~46208_combout\,
	cout => \led_flash_cnt[1380][5]~46209\);

-- Location: FF_X18_Y37_N27
\led_flash_cnt[1380][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1380][5]~46208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1380][5]~q\);

-- Location: LCCOMB_X18_Y37_N28
\led_flash_cnt[1380][6]~46210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1380][6]~46210_combout\ = (\led_flash_cnt[1380][6]~q\ & (!\led_flash_cnt[1380][5]~46209\)) # (!\led_flash_cnt[1380][6]~q\ & ((\led_flash_cnt[1380][5]~46209\) # (GND)))
-- \led_flash_cnt[1380][6]~46211\ = CARRY((!\led_flash_cnt[1380][5]~46209\) # (!\led_flash_cnt[1380][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1380][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1380][5]~46209\,
	combout => \led_flash_cnt[1380][6]~46210_combout\,
	cout => \led_flash_cnt[1380][6]~46211\);

-- Location: FF_X18_Y37_N29
\led_flash_cnt[1380][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1380][6]~46210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1380][6]~q\);

-- Location: LCCOMB_X18_Y37_N30
\led_flash_cnt[1380][7]~46212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1380][7]~46212_combout\ = \led_flash_cnt[1380][7]~q\ $ (!\led_flash_cnt[1380][6]~46211\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1380][7]~q\,
	cin => \led_flash_cnt[1380][6]~46211\,
	combout => \led_flash_cnt[1380][7]~46212_combout\);

-- Location: FF_X18_Y37_N31
\led_flash_cnt[1380][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1380][7]~46212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1380][7]~q\);

-- Location: LCCOMB_X18_Y37_N0
\WideAnd1380~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1380~1_combout\ = (\led_flash_cnt[1380][5]~q\ & \led_flash_cnt[1380][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1380][5]~q\,
	datad => \led_flash_cnt[1380][6]~q\,
	combout => \WideAnd1380~1_combout\);

-- Location: LCCOMB_X18_Y37_N8
WideAnd1380 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1380~combout\ = (\led_flash_cnt[1380][0]~q\ & (\WideAnd1380~0_combout\ & (\led_flash_cnt[1380][7]~q\ & \WideAnd1380~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1380][0]~q\,
	datab => \WideAnd1380~0_combout\,
	datac => \led_flash_cnt[1380][7]~q\,
	datad => \WideAnd1380~1_combout\,
	combout => \WideAnd1380~combout\);

-- Location: FF_X18_Y37_N9
\led_flash_cnt_ands[1380]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1380~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1380));

-- Location: LCCOMB_X14_Y33_N22
\led_flash_cnt[1381][0]~82021\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1381][0]~82021_combout\ = !\led_flash_cnt[1381][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1381][0]~q\,
	combout => \led_flash_cnt[1381][0]~82021_combout\);

-- Location: FF_X14_Y33_N23
\led_flash_cnt[1381][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1381][0]~82021_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1381][0]~q\);

-- Location: LCCOMB_X14_Y33_N4
\led_flash_cnt[1381][1]~46214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1381][1]~46214_combout\ = (\led_flash_cnt[1381][0]~q\ & (\led_flash_cnt[1381][1]~q\ $ (VCC))) # (!\led_flash_cnt[1381][0]~q\ & (\led_flash_cnt[1381][1]~q\ & VCC))
-- \led_flash_cnt[1381][1]~46215\ = CARRY((\led_flash_cnt[1381][0]~q\ & \led_flash_cnt[1381][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1381][0]~q\,
	datab => \led_flash_cnt[1381][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1381][1]~46214_combout\,
	cout => \led_flash_cnt[1381][1]~46215\);

-- Location: FF_X14_Y33_N5
\led_flash_cnt[1381][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1381][1]~46214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1381][1]~q\);

-- Location: LCCOMB_X14_Y33_N6
\led_flash_cnt[1381][2]~46216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1381][2]~46216_combout\ = (\led_flash_cnt[1381][2]~q\ & (!\led_flash_cnt[1381][1]~46215\)) # (!\led_flash_cnt[1381][2]~q\ & ((\led_flash_cnt[1381][1]~46215\) # (GND)))
-- \led_flash_cnt[1381][2]~46217\ = CARRY((!\led_flash_cnt[1381][1]~46215\) # (!\led_flash_cnt[1381][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1381][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1381][1]~46215\,
	combout => \led_flash_cnt[1381][2]~46216_combout\,
	cout => \led_flash_cnt[1381][2]~46217\);

-- Location: FF_X14_Y33_N7
\led_flash_cnt[1381][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1381][2]~46216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1381][2]~q\);

-- Location: LCCOMB_X14_Y33_N8
\led_flash_cnt[1381][3]~46218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1381][3]~46218_combout\ = (\led_flash_cnt[1381][3]~q\ & (\led_flash_cnt[1381][2]~46217\ $ (GND))) # (!\led_flash_cnt[1381][3]~q\ & (!\led_flash_cnt[1381][2]~46217\ & VCC))
-- \led_flash_cnt[1381][3]~46219\ = CARRY((\led_flash_cnt[1381][3]~q\ & !\led_flash_cnt[1381][2]~46217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1381][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1381][2]~46217\,
	combout => \led_flash_cnt[1381][3]~46218_combout\,
	cout => \led_flash_cnt[1381][3]~46219\);

-- Location: FF_X14_Y33_N9
\led_flash_cnt[1381][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1381][3]~46218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1381][3]~q\);

-- Location: LCCOMB_X14_Y33_N10
\led_flash_cnt[1381][4]~46220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1381][4]~46220_combout\ = (\led_flash_cnt[1381][4]~q\ & (!\led_flash_cnt[1381][3]~46219\)) # (!\led_flash_cnt[1381][4]~q\ & ((\led_flash_cnt[1381][3]~46219\) # (GND)))
-- \led_flash_cnt[1381][4]~46221\ = CARRY((!\led_flash_cnt[1381][3]~46219\) # (!\led_flash_cnt[1381][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1381][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1381][3]~46219\,
	combout => \led_flash_cnt[1381][4]~46220_combout\,
	cout => \led_flash_cnt[1381][4]~46221\);

-- Location: FF_X14_Y33_N11
\led_flash_cnt[1381][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1381][4]~46220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1381][4]~q\);

-- Location: LCCOMB_X14_Y33_N12
\led_flash_cnt[1381][5]~46222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1381][5]~46222_combout\ = (\led_flash_cnt[1381][5]~q\ & (\led_flash_cnt[1381][4]~46221\ $ (GND))) # (!\led_flash_cnt[1381][5]~q\ & (!\led_flash_cnt[1381][4]~46221\ & VCC))
-- \led_flash_cnt[1381][5]~46223\ = CARRY((\led_flash_cnt[1381][5]~q\ & !\led_flash_cnt[1381][4]~46221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1381][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1381][4]~46221\,
	combout => \led_flash_cnt[1381][5]~46222_combout\,
	cout => \led_flash_cnt[1381][5]~46223\);

-- Location: FF_X14_Y33_N13
\led_flash_cnt[1381][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1381][5]~46222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1381][5]~q\);

-- Location: LCCOMB_X14_Y33_N14
\led_flash_cnt[1381][6]~46224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1381][6]~46224_combout\ = (\led_flash_cnt[1381][6]~q\ & (!\led_flash_cnt[1381][5]~46223\)) # (!\led_flash_cnt[1381][6]~q\ & ((\led_flash_cnt[1381][5]~46223\) # (GND)))
-- \led_flash_cnt[1381][6]~46225\ = CARRY((!\led_flash_cnt[1381][5]~46223\) # (!\led_flash_cnt[1381][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1381][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1381][5]~46223\,
	combout => \led_flash_cnt[1381][6]~46224_combout\,
	cout => \led_flash_cnt[1381][6]~46225\);

-- Location: FF_X14_Y33_N15
\led_flash_cnt[1381][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1381][6]~46224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1381][6]~q\);

-- Location: LCCOMB_X14_Y33_N30
\WideAnd1381~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1381~1_combout\ = (\led_flash_cnt[1381][6]~q\ & \led_flash_cnt[1381][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1381][6]~q\,
	datad => \led_flash_cnt[1381][5]~q\,
	combout => \WideAnd1381~1_combout\);

-- Location: LCCOMB_X14_Y33_N16
\led_flash_cnt[1381][7]~46226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1381][7]~46226_combout\ = \led_flash_cnt[1381][6]~46225\ $ (!\led_flash_cnt[1381][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1381][7]~q\,
	cin => \led_flash_cnt[1381][6]~46225\,
	combout => \led_flash_cnt[1381][7]~46226_combout\);

-- Location: FF_X14_Y33_N17
\led_flash_cnt[1381][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1381][7]~46226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1381][7]~q\);

-- Location: LCCOMB_X14_Y33_N18
\WideAnd1381~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1381~0_combout\ = (\led_flash_cnt[1381][2]~q\ & (\led_flash_cnt[1381][1]~q\ & (\led_flash_cnt[1381][3]~q\ & \led_flash_cnt[1381][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1381][2]~q\,
	datab => \led_flash_cnt[1381][1]~q\,
	datac => \led_flash_cnt[1381][3]~q\,
	datad => \led_flash_cnt[1381][4]~q\,
	combout => \WideAnd1381~0_combout\);

-- Location: LCCOMB_X14_Y33_N0
WideAnd1381 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1381~combout\ = (\WideAnd1381~1_combout\ & (\led_flash_cnt[1381][7]~q\ & (\led_flash_cnt[1381][0]~q\ & \WideAnd1381~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1381~1_combout\,
	datab => \led_flash_cnt[1381][7]~q\,
	datac => \led_flash_cnt[1381][0]~q\,
	datad => \WideAnd1381~0_combout\,
	combout => \WideAnd1381~combout\);

-- Location: FF_X14_Y33_N1
\led_flash_cnt_ands[1381]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1381~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1381));

-- Location: LCCOMB_X21_Y34_N24
\WideAnd4012~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4012~1_combout\ = (led_flash_cnt_ands(1380) & led_flash_cnt_ands(1381))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1380),
	datad => led_flash_cnt_ands(1381),
	combout => \WideAnd4012~1_combout\);

-- Location: LCCOMB_X59_Y34_N12
\led_flash_cnt[1382][0]~82022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1382][0]~82022_combout\ = !\led_flash_cnt[1382][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1382][0]~q\,
	combout => \led_flash_cnt[1382][0]~82022_combout\);

-- Location: FF_X59_Y34_N13
\led_flash_cnt[1382][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1382][0]~82022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1382][0]~q\);

-- Location: LCCOMB_X59_Y34_N14
\led_flash_cnt[1382][1]~46228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1382][1]~46228_combout\ = (\led_flash_cnt[1382][0]~q\ & (\led_flash_cnt[1382][1]~q\ $ (VCC))) # (!\led_flash_cnt[1382][0]~q\ & (\led_flash_cnt[1382][1]~q\ & VCC))
-- \led_flash_cnt[1382][1]~46229\ = CARRY((\led_flash_cnt[1382][0]~q\ & \led_flash_cnt[1382][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1382][0]~q\,
	datab => \led_flash_cnt[1382][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1382][1]~46228_combout\,
	cout => \led_flash_cnt[1382][1]~46229\);

-- Location: FF_X59_Y34_N15
\led_flash_cnt[1382][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1382][1]~46228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1382][1]~q\);

-- Location: LCCOMB_X59_Y34_N16
\led_flash_cnt[1382][2]~46230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1382][2]~46230_combout\ = (\led_flash_cnt[1382][2]~q\ & (!\led_flash_cnt[1382][1]~46229\)) # (!\led_flash_cnt[1382][2]~q\ & ((\led_flash_cnt[1382][1]~46229\) # (GND)))
-- \led_flash_cnt[1382][2]~46231\ = CARRY((!\led_flash_cnt[1382][1]~46229\) # (!\led_flash_cnt[1382][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1382][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1382][1]~46229\,
	combout => \led_flash_cnt[1382][2]~46230_combout\,
	cout => \led_flash_cnt[1382][2]~46231\);

-- Location: FF_X59_Y34_N17
\led_flash_cnt[1382][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1382][2]~46230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1382][2]~q\);

-- Location: LCCOMB_X59_Y34_N18
\led_flash_cnt[1382][3]~46232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1382][3]~46232_combout\ = (\led_flash_cnt[1382][3]~q\ & (\led_flash_cnt[1382][2]~46231\ $ (GND))) # (!\led_flash_cnt[1382][3]~q\ & (!\led_flash_cnt[1382][2]~46231\ & VCC))
-- \led_flash_cnt[1382][3]~46233\ = CARRY((\led_flash_cnt[1382][3]~q\ & !\led_flash_cnt[1382][2]~46231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1382][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1382][2]~46231\,
	combout => \led_flash_cnt[1382][3]~46232_combout\,
	cout => \led_flash_cnt[1382][3]~46233\);

-- Location: FF_X59_Y34_N19
\led_flash_cnt[1382][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1382][3]~46232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1382][3]~q\);

-- Location: LCCOMB_X59_Y34_N20
\led_flash_cnt[1382][4]~46234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1382][4]~46234_combout\ = (\led_flash_cnt[1382][4]~q\ & (!\led_flash_cnt[1382][3]~46233\)) # (!\led_flash_cnt[1382][4]~q\ & ((\led_flash_cnt[1382][3]~46233\) # (GND)))
-- \led_flash_cnt[1382][4]~46235\ = CARRY((!\led_flash_cnt[1382][3]~46233\) # (!\led_flash_cnt[1382][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1382][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1382][3]~46233\,
	combout => \led_flash_cnt[1382][4]~46234_combout\,
	cout => \led_flash_cnt[1382][4]~46235\);

-- Location: FF_X59_Y34_N21
\led_flash_cnt[1382][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1382][4]~46234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1382][4]~q\);

-- Location: LCCOMB_X59_Y34_N22
\led_flash_cnt[1382][5]~46236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1382][5]~46236_combout\ = (\led_flash_cnt[1382][5]~q\ & (\led_flash_cnt[1382][4]~46235\ $ (GND))) # (!\led_flash_cnt[1382][5]~q\ & (!\led_flash_cnt[1382][4]~46235\ & VCC))
-- \led_flash_cnt[1382][5]~46237\ = CARRY((\led_flash_cnt[1382][5]~q\ & !\led_flash_cnt[1382][4]~46235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1382][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1382][4]~46235\,
	combout => \led_flash_cnt[1382][5]~46236_combout\,
	cout => \led_flash_cnt[1382][5]~46237\);

-- Location: FF_X59_Y34_N23
\led_flash_cnt[1382][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1382][5]~46236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1382][5]~q\);

-- Location: LCCOMB_X59_Y34_N24
\led_flash_cnt[1382][6]~46238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1382][6]~46238_combout\ = (\led_flash_cnt[1382][6]~q\ & (!\led_flash_cnt[1382][5]~46237\)) # (!\led_flash_cnt[1382][6]~q\ & ((\led_flash_cnt[1382][5]~46237\) # (GND)))
-- \led_flash_cnt[1382][6]~46239\ = CARRY((!\led_flash_cnt[1382][5]~46237\) # (!\led_flash_cnt[1382][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1382][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1382][5]~46237\,
	combout => \led_flash_cnt[1382][6]~46238_combout\,
	cout => \led_flash_cnt[1382][6]~46239\);

-- Location: FF_X59_Y34_N25
\led_flash_cnt[1382][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1382][6]~46238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1382][6]~q\);

-- Location: LCCOMB_X59_Y34_N10
\WideAnd1382~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1382~1_combout\ = (\led_flash_cnt[1382][5]~q\ & \led_flash_cnt[1382][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1382][5]~q\,
	datad => \led_flash_cnt[1382][6]~q\,
	combout => \WideAnd1382~1_combout\);

-- Location: LCCOMB_X59_Y34_N8
\WideAnd1382~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1382~0_combout\ = (\led_flash_cnt[1382][3]~q\ & (\led_flash_cnt[1382][2]~q\ & (\led_flash_cnt[1382][1]~q\ & \led_flash_cnt[1382][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1382][3]~q\,
	datab => \led_flash_cnt[1382][2]~q\,
	datac => \led_flash_cnt[1382][1]~q\,
	datad => \led_flash_cnt[1382][4]~q\,
	combout => \WideAnd1382~0_combout\);

-- Location: LCCOMB_X59_Y34_N26
\led_flash_cnt[1382][7]~46240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1382][7]~46240_combout\ = \led_flash_cnt[1382][7]~q\ $ (!\led_flash_cnt[1382][6]~46239\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1382][7]~q\,
	cin => \led_flash_cnt[1382][6]~46239\,
	combout => \led_flash_cnt[1382][7]~46240_combout\);

-- Location: FF_X59_Y34_N27
\led_flash_cnt[1382][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1382][7]~46240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1382][7]~q\);

-- Location: LCCOMB_X59_Y34_N28
WideAnd1382 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1382~combout\ = (\WideAnd1382~1_combout\ & (\WideAnd1382~0_combout\ & (\led_flash_cnt[1382][7]~q\ & \led_flash_cnt[1382][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1382~1_combout\,
	datab => \WideAnd1382~0_combout\,
	datac => \led_flash_cnt[1382][7]~q\,
	datad => \led_flash_cnt[1382][0]~q\,
	combout => \WideAnd1382~combout\);

-- Location: FF_X59_Y34_N29
\led_flash_cnt_ands[1382]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1382~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1382));

-- Location: LCCOMB_X66_Y46_N24
\led_flash_cnt[1383][0]~82023\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1383][0]~82023_combout\ = !\led_flash_cnt[1383][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1383][0]~q\,
	combout => \led_flash_cnt[1383][0]~82023_combout\);

-- Location: FF_X66_Y46_N25
\led_flash_cnt[1383][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1383][0]~82023_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1383][0]~q\);

-- Location: LCCOMB_X66_Y46_N6
\led_flash_cnt[1383][1]~46242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1383][1]~46242_combout\ = (\led_flash_cnt[1383][1]~q\ & (\led_flash_cnt[1383][0]~q\ $ (VCC))) # (!\led_flash_cnt[1383][1]~q\ & (\led_flash_cnt[1383][0]~q\ & VCC))
-- \led_flash_cnt[1383][1]~46243\ = CARRY((\led_flash_cnt[1383][1]~q\ & \led_flash_cnt[1383][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1383][1]~q\,
	datab => \led_flash_cnt[1383][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1383][1]~46242_combout\,
	cout => \led_flash_cnt[1383][1]~46243\);

-- Location: FF_X66_Y46_N7
\led_flash_cnt[1383][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1383][1]~46242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1383][1]~q\);

-- Location: LCCOMB_X66_Y46_N8
\led_flash_cnt[1383][2]~46244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1383][2]~46244_combout\ = (\led_flash_cnt[1383][2]~q\ & (!\led_flash_cnt[1383][1]~46243\)) # (!\led_flash_cnt[1383][2]~q\ & ((\led_flash_cnt[1383][1]~46243\) # (GND)))
-- \led_flash_cnt[1383][2]~46245\ = CARRY((!\led_flash_cnt[1383][1]~46243\) # (!\led_flash_cnt[1383][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1383][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1383][1]~46243\,
	combout => \led_flash_cnt[1383][2]~46244_combout\,
	cout => \led_flash_cnt[1383][2]~46245\);

-- Location: FF_X66_Y46_N9
\led_flash_cnt[1383][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1383][2]~46244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1383][2]~q\);

-- Location: LCCOMB_X66_Y46_N10
\led_flash_cnt[1383][3]~46246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1383][3]~46246_combout\ = (\led_flash_cnt[1383][3]~q\ & (\led_flash_cnt[1383][2]~46245\ $ (GND))) # (!\led_flash_cnt[1383][3]~q\ & (!\led_flash_cnt[1383][2]~46245\ & VCC))
-- \led_flash_cnt[1383][3]~46247\ = CARRY((\led_flash_cnt[1383][3]~q\ & !\led_flash_cnt[1383][2]~46245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1383][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1383][2]~46245\,
	combout => \led_flash_cnt[1383][3]~46246_combout\,
	cout => \led_flash_cnt[1383][3]~46247\);

-- Location: FF_X66_Y46_N11
\led_flash_cnt[1383][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1383][3]~46246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1383][3]~q\);

-- Location: LCCOMB_X66_Y46_N12
\led_flash_cnt[1383][4]~46248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1383][4]~46248_combout\ = (\led_flash_cnt[1383][4]~q\ & (!\led_flash_cnt[1383][3]~46247\)) # (!\led_flash_cnt[1383][4]~q\ & ((\led_flash_cnt[1383][3]~46247\) # (GND)))
-- \led_flash_cnt[1383][4]~46249\ = CARRY((!\led_flash_cnt[1383][3]~46247\) # (!\led_flash_cnt[1383][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1383][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1383][3]~46247\,
	combout => \led_flash_cnt[1383][4]~46248_combout\,
	cout => \led_flash_cnt[1383][4]~46249\);

-- Location: FF_X66_Y46_N13
\led_flash_cnt[1383][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1383][4]~46248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1383][4]~q\);

-- Location: LCCOMB_X66_Y46_N26
\WideAnd1383~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1383~0_combout\ = (\led_flash_cnt[1383][3]~q\ & (\led_flash_cnt[1383][4]~q\ & (\led_flash_cnt[1383][2]~q\ & \led_flash_cnt[1383][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1383][3]~q\,
	datab => \led_flash_cnt[1383][4]~q\,
	datac => \led_flash_cnt[1383][2]~q\,
	datad => \led_flash_cnt[1383][1]~q\,
	combout => \WideAnd1383~0_combout\);

-- Location: LCCOMB_X66_Y46_N14
\led_flash_cnt[1383][5]~46250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1383][5]~46250_combout\ = (\led_flash_cnt[1383][5]~q\ & (\led_flash_cnt[1383][4]~46249\ $ (GND))) # (!\led_flash_cnt[1383][5]~q\ & (!\led_flash_cnt[1383][4]~46249\ & VCC))
-- \led_flash_cnt[1383][5]~46251\ = CARRY((\led_flash_cnt[1383][5]~q\ & !\led_flash_cnt[1383][4]~46249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1383][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1383][4]~46249\,
	combout => \led_flash_cnt[1383][5]~46250_combout\,
	cout => \led_flash_cnt[1383][5]~46251\);

-- Location: FF_X66_Y46_N15
\led_flash_cnt[1383][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1383][5]~46250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1383][5]~q\);

-- Location: LCCOMB_X66_Y46_N16
\led_flash_cnt[1383][6]~46252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1383][6]~46252_combout\ = (\led_flash_cnt[1383][6]~q\ & (!\led_flash_cnt[1383][5]~46251\)) # (!\led_flash_cnt[1383][6]~q\ & ((\led_flash_cnt[1383][5]~46251\) # (GND)))
-- \led_flash_cnt[1383][6]~46253\ = CARRY((!\led_flash_cnt[1383][5]~46251\) # (!\led_flash_cnt[1383][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1383][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1383][5]~46251\,
	combout => \led_flash_cnt[1383][6]~46252_combout\,
	cout => \led_flash_cnt[1383][6]~46253\);

-- Location: FF_X66_Y46_N17
\led_flash_cnt[1383][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1383][6]~46252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1383][6]~q\);

-- Location: LCCOMB_X66_Y46_N18
\led_flash_cnt[1383][7]~46254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1383][7]~46254_combout\ = \led_flash_cnt[1383][6]~46253\ $ (!\led_flash_cnt[1383][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1383][7]~q\,
	cin => \led_flash_cnt[1383][6]~46253\,
	combout => \led_flash_cnt[1383][7]~46254_combout\);

-- Location: FF_X66_Y46_N19
\led_flash_cnt[1383][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1383][7]~46254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1383][7]~q\);

-- Location: LCCOMB_X66_Y46_N30
\WideAnd1383~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1383~1_combout\ = (\led_flash_cnt[1383][5]~q\ & \led_flash_cnt[1383][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1383][5]~q\,
	datad => \led_flash_cnt[1383][6]~q\,
	combout => \WideAnd1383~1_combout\);

-- Location: LCCOMB_X66_Y46_N22
WideAnd1383 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1383~combout\ = (\WideAnd1383~0_combout\ & (\led_flash_cnt[1383][7]~q\ & (\WideAnd1383~1_combout\ & \led_flash_cnt[1383][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1383~0_combout\,
	datab => \led_flash_cnt[1383][7]~q\,
	datac => \WideAnd1383~1_combout\,
	datad => \led_flash_cnt[1383][0]~q\,
	combout => \WideAnd1383~combout\);

-- Location: FF_X66_Y46_N23
\led_flash_cnt_ands[1383]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1383~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1383));

-- Location: LCCOMB_X74_Y28_N24
\led_flash_cnt[1379][0]~82019\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1379][0]~82019_combout\ = !\led_flash_cnt[1379][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1379][0]~q\,
	combout => \led_flash_cnt[1379][0]~82019_combout\);

-- Location: FF_X74_Y28_N25
\led_flash_cnt[1379][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1379][0]~82019_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1379][0]~q\);

-- Location: LCCOMB_X74_Y28_N6
\led_flash_cnt[1379][1]~46186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1379][1]~46186_combout\ = (\led_flash_cnt[1379][1]~q\ & (\led_flash_cnt[1379][0]~q\ $ (VCC))) # (!\led_flash_cnt[1379][1]~q\ & (\led_flash_cnt[1379][0]~q\ & VCC))
-- \led_flash_cnt[1379][1]~46187\ = CARRY((\led_flash_cnt[1379][1]~q\ & \led_flash_cnt[1379][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1379][1]~q\,
	datab => \led_flash_cnt[1379][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1379][1]~46186_combout\,
	cout => \led_flash_cnt[1379][1]~46187\);

-- Location: FF_X74_Y28_N7
\led_flash_cnt[1379][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1379][1]~46186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1379][1]~q\);

-- Location: LCCOMB_X74_Y28_N8
\led_flash_cnt[1379][2]~46188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1379][2]~46188_combout\ = (\led_flash_cnt[1379][2]~q\ & (!\led_flash_cnt[1379][1]~46187\)) # (!\led_flash_cnt[1379][2]~q\ & ((\led_flash_cnt[1379][1]~46187\) # (GND)))
-- \led_flash_cnt[1379][2]~46189\ = CARRY((!\led_flash_cnt[1379][1]~46187\) # (!\led_flash_cnt[1379][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1379][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1379][1]~46187\,
	combout => \led_flash_cnt[1379][2]~46188_combout\,
	cout => \led_flash_cnt[1379][2]~46189\);

-- Location: FF_X74_Y28_N9
\led_flash_cnt[1379][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1379][2]~46188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1379][2]~q\);

-- Location: LCCOMB_X74_Y28_N10
\led_flash_cnt[1379][3]~46190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1379][3]~46190_combout\ = (\led_flash_cnt[1379][3]~q\ & (\led_flash_cnt[1379][2]~46189\ $ (GND))) # (!\led_flash_cnt[1379][3]~q\ & (!\led_flash_cnt[1379][2]~46189\ & VCC))
-- \led_flash_cnt[1379][3]~46191\ = CARRY((\led_flash_cnt[1379][3]~q\ & !\led_flash_cnt[1379][2]~46189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1379][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1379][2]~46189\,
	combout => \led_flash_cnt[1379][3]~46190_combout\,
	cout => \led_flash_cnt[1379][3]~46191\);

-- Location: FF_X74_Y28_N11
\led_flash_cnt[1379][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1379][3]~46190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1379][3]~q\);

-- Location: LCCOMB_X74_Y28_N12
\led_flash_cnt[1379][4]~46192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1379][4]~46192_combout\ = (\led_flash_cnt[1379][4]~q\ & (!\led_flash_cnt[1379][3]~46191\)) # (!\led_flash_cnt[1379][4]~q\ & ((\led_flash_cnt[1379][3]~46191\) # (GND)))
-- \led_flash_cnt[1379][4]~46193\ = CARRY((!\led_flash_cnt[1379][3]~46191\) # (!\led_flash_cnt[1379][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1379][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1379][3]~46191\,
	combout => \led_flash_cnt[1379][4]~46192_combout\,
	cout => \led_flash_cnt[1379][4]~46193\);

-- Location: FF_X74_Y28_N13
\led_flash_cnt[1379][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1379][4]~46192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1379][4]~q\);

-- Location: LCCOMB_X74_Y28_N26
\WideAnd1379~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1379~0_combout\ = (\led_flash_cnt[1379][4]~q\ & (\led_flash_cnt[1379][1]~q\ & (\led_flash_cnt[1379][2]~q\ & \led_flash_cnt[1379][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1379][4]~q\,
	datab => \led_flash_cnt[1379][1]~q\,
	datac => \led_flash_cnt[1379][2]~q\,
	datad => \led_flash_cnt[1379][3]~q\,
	combout => \WideAnd1379~0_combout\);

-- Location: LCCOMB_X74_Y28_N14
\led_flash_cnt[1379][5]~46194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1379][5]~46194_combout\ = (\led_flash_cnt[1379][5]~q\ & (\led_flash_cnt[1379][4]~46193\ $ (GND))) # (!\led_flash_cnt[1379][5]~q\ & (!\led_flash_cnt[1379][4]~46193\ & VCC))
-- \led_flash_cnt[1379][5]~46195\ = CARRY((\led_flash_cnt[1379][5]~q\ & !\led_flash_cnt[1379][4]~46193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1379][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1379][4]~46193\,
	combout => \led_flash_cnt[1379][5]~46194_combout\,
	cout => \led_flash_cnt[1379][5]~46195\);

-- Location: FF_X74_Y28_N15
\led_flash_cnt[1379][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1379][5]~46194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1379][5]~q\);

-- Location: LCCOMB_X74_Y28_N16
\led_flash_cnt[1379][6]~46196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1379][6]~46196_combout\ = (\led_flash_cnt[1379][6]~q\ & (!\led_flash_cnt[1379][5]~46195\)) # (!\led_flash_cnt[1379][6]~q\ & ((\led_flash_cnt[1379][5]~46195\) # (GND)))
-- \led_flash_cnt[1379][6]~46197\ = CARRY((!\led_flash_cnt[1379][5]~46195\) # (!\led_flash_cnt[1379][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1379][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1379][5]~46195\,
	combout => \led_flash_cnt[1379][6]~46196_combout\,
	cout => \led_flash_cnt[1379][6]~46197\);

-- Location: FF_X74_Y28_N17
\led_flash_cnt[1379][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1379][6]~46196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1379][6]~q\);

-- Location: LCCOMB_X74_Y28_N18
\led_flash_cnt[1379][7]~46198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1379][7]~46198_combout\ = \led_flash_cnt[1379][6]~46197\ $ (!\led_flash_cnt[1379][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1379][7]~q\,
	cin => \led_flash_cnt[1379][6]~46197\,
	combout => \led_flash_cnt[1379][7]~46198_combout\);

-- Location: FF_X74_Y28_N19
\led_flash_cnt[1379][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1379][7]~46198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1379][7]~q\);

-- Location: LCCOMB_X74_Y28_N4
\WideAnd1379~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1379~1_combout\ = (\led_flash_cnt[1379][5]~q\ & \led_flash_cnt[1379][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1379][5]~q\,
	datad => \led_flash_cnt[1379][6]~q\,
	combout => \WideAnd1379~1_combout\);

-- Location: LCCOMB_X74_Y28_N2
WideAnd1379 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1379~combout\ = (\WideAnd1379~0_combout\ & (\led_flash_cnt[1379][7]~q\ & (\WideAnd1379~1_combout\ & \led_flash_cnt[1379][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1379~0_combout\,
	datab => \led_flash_cnt[1379][7]~q\,
	datac => \WideAnd1379~1_combout\,
	datad => \led_flash_cnt[1379][0]~q\,
	combout => \WideAnd1379~combout\);

-- Location: FF_X74_Y28_N3
\led_flash_cnt_ands[1379]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1379~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1379));

-- Location: LCCOMB_X66_Y34_N6
\led_flash_cnt[1377][0]~82017\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1377][0]~82017_combout\ = !\led_flash_cnt[1377][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1377][0]~q\,
	combout => \led_flash_cnt[1377][0]~82017_combout\);

-- Location: FF_X66_Y34_N7
\led_flash_cnt[1377][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1377][0]~82017_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1377][0]~q\);

-- Location: LCCOMB_X66_Y34_N8
\led_flash_cnt[1377][1]~46158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1377][1]~46158_combout\ = (\led_flash_cnt[1377][0]~q\ & (\led_flash_cnt[1377][1]~q\ $ (VCC))) # (!\led_flash_cnt[1377][0]~q\ & (\led_flash_cnt[1377][1]~q\ & VCC))
-- \led_flash_cnt[1377][1]~46159\ = CARRY((\led_flash_cnt[1377][0]~q\ & \led_flash_cnt[1377][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1377][0]~q\,
	datab => \led_flash_cnt[1377][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1377][1]~46158_combout\,
	cout => \led_flash_cnt[1377][1]~46159\);

-- Location: FF_X66_Y34_N9
\led_flash_cnt[1377][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1377][1]~46158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1377][1]~q\);

-- Location: LCCOMB_X66_Y34_N10
\led_flash_cnt[1377][2]~46160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1377][2]~46160_combout\ = (\led_flash_cnt[1377][2]~q\ & (!\led_flash_cnt[1377][1]~46159\)) # (!\led_flash_cnt[1377][2]~q\ & ((\led_flash_cnt[1377][1]~46159\) # (GND)))
-- \led_flash_cnt[1377][2]~46161\ = CARRY((!\led_flash_cnt[1377][1]~46159\) # (!\led_flash_cnt[1377][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1377][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1377][1]~46159\,
	combout => \led_flash_cnt[1377][2]~46160_combout\,
	cout => \led_flash_cnt[1377][2]~46161\);

-- Location: FF_X66_Y34_N11
\led_flash_cnt[1377][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1377][2]~46160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1377][2]~q\);

-- Location: LCCOMB_X66_Y34_N12
\led_flash_cnt[1377][3]~46162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1377][3]~46162_combout\ = (\led_flash_cnt[1377][3]~q\ & (\led_flash_cnt[1377][2]~46161\ $ (GND))) # (!\led_flash_cnt[1377][3]~q\ & (!\led_flash_cnt[1377][2]~46161\ & VCC))
-- \led_flash_cnt[1377][3]~46163\ = CARRY((\led_flash_cnt[1377][3]~q\ & !\led_flash_cnt[1377][2]~46161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1377][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1377][2]~46161\,
	combout => \led_flash_cnt[1377][3]~46162_combout\,
	cout => \led_flash_cnt[1377][3]~46163\);

-- Location: FF_X66_Y34_N13
\led_flash_cnt[1377][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1377][3]~46162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1377][3]~q\);

-- Location: LCCOMB_X66_Y34_N14
\led_flash_cnt[1377][4]~46164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1377][4]~46164_combout\ = (\led_flash_cnt[1377][4]~q\ & (!\led_flash_cnt[1377][3]~46163\)) # (!\led_flash_cnt[1377][4]~q\ & ((\led_flash_cnt[1377][3]~46163\) # (GND)))
-- \led_flash_cnt[1377][4]~46165\ = CARRY((!\led_flash_cnt[1377][3]~46163\) # (!\led_flash_cnt[1377][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1377][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1377][3]~46163\,
	combout => \led_flash_cnt[1377][4]~46164_combout\,
	cout => \led_flash_cnt[1377][4]~46165\);

-- Location: FF_X66_Y34_N15
\led_flash_cnt[1377][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1377][4]~46164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1377][4]~q\);

-- Location: LCCOMB_X66_Y34_N16
\led_flash_cnt[1377][5]~46166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1377][5]~46166_combout\ = (\led_flash_cnt[1377][5]~q\ & (\led_flash_cnt[1377][4]~46165\ $ (GND))) # (!\led_flash_cnt[1377][5]~q\ & (!\led_flash_cnt[1377][4]~46165\ & VCC))
-- \led_flash_cnt[1377][5]~46167\ = CARRY((\led_flash_cnt[1377][5]~q\ & !\led_flash_cnt[1377][4]~46165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1377][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1377][4]~46165\,
	combout => \led_flash_cnt[1377][5]~46166_combout\,
	cout => \led_flash_cnt[1377][5]~46167\);

-- Location: FF_X66_Y34_N17
\led_flash_cnt[1377][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1377][5]~46166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1377][5]~q\);

-- Location: LCCOMB_X66_Y34_N18
\led_flash_cnt[1377][6]~46168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1377][6]~46168_combout\ = (\led_flash_cnt[1377][6]~q\ & (!\led_flash_cnt[1377][5]~46167\)) # (!\led_flash_cnt[1377][6]~q\ & ((\led_flash_cnt[1377][5]~46167\) # (GND)))
-- \led_flash_cnt[1377][6]~46169\ = CARRY((!\led_flash_cnt[1377][5]~46167\) # (!\led_flash_cnt[1377][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1377][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1377][5]~46167\,
	combout => \led_flash_cnt[1377][6]~46168_combout\,
	cout => \led_flash_cnt[1377][6]~46169\);

-- Location: FF_X66_Y34_N19
\led_flash_cnt[1377][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1377][6]~46168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1377][6]~q\);

-- Location: LCCOMB_X66_Y34_N20
\led_flash_cnt[1377][7]~46170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1377][7]~46170_combout\ = \led_flash_cnt[1377][6]~46169\ $ (!\led_flash_cnt[1377][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1377][7]~q\,
	cin => \led_flash_cnt[1377][6]~46169\,
	combout => \led_flash_cnt[1377][7]~46170_combout\);

-- Location: FF_X66_Y34_N21
\led_flash_cnt[1377][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1377][7]~46170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1377][7]~q\);

-- Location: LCCOMB_X66_Y34_N4
\WideAnd1377~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1377~1_combout\ = (\led_flash_cnt[1377][6]~q\ & \led_flash_cnt[1377][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1377][6]~q\,
	datad => \led_flash_cnt[1377][5]~q\,
	combout => \WideAnd1377~1_combout\);

-- Location: LCCOMB_X66_Y34_N24
\WideAnd1377~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1377~0_combout\ = (\led_flash_cnt[1377][3]~q\ & (\led_flash_cnt[1377][1]~q\ & (\led_flash_cnt[1377][4]~q\ & \led_flash_cnt[1377][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1377][3]~q\,
	datab => \led_flash_cnt[1377][1]~q\,
	datac => \led_flash_cnt[1377][4]~q\,
	datad => \led_flash_cnt[1377][2]~q\,
	combout => \WideAnd1377~0_combout\);

-- Location: LCCOMB_X66_Y34_N30
WideAnd1377 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1377~combout\ = (\led_flash_cnt[1377][0]~q\ & (\led_flash_cnt[1377][7]~q\ & (\WideAnd1377~1_combout\ & \WideAnd1377~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1377][0]~q\,
	datab => \led_flash_cnt[1377][7]~q\,
	datac => \WideAnd1377~1_combout\,
	datad => \WideAnd1377~0_combout\,
	combout => \WideAnd1377~combout\);

-- Location: FF_X66_Y34_N31
\led_flash_cnt_ands[1377]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1377~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1377));

-- Location: LCCOMB_X64_Y31_N10
\led_flash_cnt[1378][0]~82018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1378][0]~82018_combout\ = !\led_flash_cnt[1378][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1378][0]~q\,
	combout => \led_flash_cnt[1378][0]~82018_combout\);

-- Location: FF_X64_Y31_N11
\led_flash_cnt[1378][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1378][0]~82018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1378][0]~q\);

-- Location: LCCOMB_X64_Y31_N12
\led_flash_cnt[1378][1]~46172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1378][1]~46172_combout\ = (\led_flash_cnt[1378][1]~q\ & (\led_flash_cnt[1378][0]~q\ $ (VCC))) # (!\led_flash_cnt[1378][1]~q\ & (\led_flash_cnt[1378][0]~q\ & VCC))
-- \led_flash_cnt[1378][1]~46173\ = CARRY((\led_flash_cnt[1378][1]~q\ & \led_flash_cnt[1378][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1378][1]~q\,
	datab => \led_flash_cnt[1378][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1378][1]~46172_combout\,
	cout => \led_flash_cnt[1378][1]~46173\);

-- Location: FF_X64_Y31_N13
\led_flash_cnt[1378][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1378][1]~46172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1378][1]~q\);

-- Location: LCCOMB_X64_Y31_N14
\led_flash_cnt[1378][2]~46174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1378][2]~46174_combout\ = (\led_flash_cnt[1378][2]~q\ & (!\led_flash_cnt[1378][1]~46173\)) # (!\led_flash_cnt[1378][2]~q\ & ((\led_flash_cnt[1378][1]~46173\) # (GND)))
-- \led_flash_cnt[1378][2]~46175\ = CARRY((!\led_flash_cnt[1378][1]~46173\) # (!\led_flash_cnt[1378][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1378][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1378][1]~46173\,
	combout => \led_flash_cnt[1378][2]~46174_combout\,
	cout => \led_flash_cnt[1378][2]~46175\);

-- Location: FF_X64_Y31_N15
\led_flash_cnt[1378][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1378][2]~46174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1378][2]~q\);

-- Location: LCCOMB_X64_Y31_N16
\led_flash_cnt[1378][3]~46176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1378][3]~46176_combout\ = (\led_flash_cnt[1378][3]~q\ & (\led_flash_cnt[1378][2]~46175\ $ (GND))) # (!\led_flash_cnt[1378][3]~q\ & (!\led_flash_cnt[1378][2]~46175\ & VCC))
-- \led_flash_cnt[1378][3]~46177\ = CARRY((\led_flash_cnt[1378][3]~q\ & !\led_flash_cnt[1378][2]~46175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1378][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1378][2]~46175\,
	combout => \led_flash_cnt[1378][3]~46176_combout\,
	cout => \led_flash_cnt[1378][3]~46177\);

-- Location: FF_X64_Y31_N17
\led_flash_cnt[1378][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1378][3]~46176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1378][3]~q\);

-- Location: LCCOMB_X64_Y31_N18
\led_flash_cnt[1378][4]~46178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1378][4]~46178_combout\ = (\led_flash_cnt[1378][4]~q\ & (!\led_flash_cnt[1378][3]~46177\)) # (!\led_flash_cnt[1378][4]~q\ & ((\led_flash_cnt[1378][3]~46177\) # (GND)))
-- \led_flash_cnt[1378][4]~46179\ = CARRY((!\led_flash_cnt[1378][3]~46177\) # (!\led_flash_cnt[1378][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1378][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1378][3]~46177\,
	combout => \led_flash_cnt[1378][4]~46178_combout\,
	cout => \led_flash_cnt[1378][4]~46179\);

-- Location: FF_X64_Y31_N19
\led_flash_cnt[1378][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1378][4]~46178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1378][4]~q\);

-- Location: LCCOMB_X64_Y31_N20
\led_flash_cnt[1378][5]~46180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1378][5]~46180_combout\ = (\led_flash_cnt[1378][5]~q\ & (\led_flash_cnt[1378][4]~46179\ $ (GND))) # (!\led_flash_cnt[1378][5]~q\ & (!\led_flash_cnt[1378][4]~46179\ & VCC))
-- \led_flash_cnt[1378][5]~46181\ = CARRY((\led_flash_cnt[1378][5]~q\ & !\led_flash_cnt[1378][4]~46179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1378][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1378][4]~46179\,
	combout => \led_flash_cnt[1378][5]~46180_combout\,
	cout => \led_flash_cnt[1378][5]~46181\);

-- Location: FF_X64_Y31_N21
\led_flash_cnt[1378][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1378][5]~46180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1378][5]~q\);

-- Location: LCCOMB_X64_Y31_N22
\led_flash_cnt[1378][6]~46182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1378][6]~46182_combout\ = (\led_flash_cnt[1378][6]~q\ & (!\led_flash_cnt[1378][5]~46181\)) # (!\led_flash_cnt[1378][6]~q\ & ((\led_flash_cnt[1378][5]~46181\) # (GND)))
-- \led_flash_cnt[1378][6]~46183\ = CARRY((!\led_flash_cnt[1378][5]~46181\) # (!\led_flash_cnt[1378][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1378][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1378][5]~46181\,
	combout => \led_flash_cnt[1378][6]~46182_combout\,
	cout => \led_flash_cnt[1378][6]~46183\);

-- Location: FF_X64_Y31_N23
\led_flash_cnt[1378][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1378][6]~46182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1378][6]~q\);

-- Location: LCCOMB_X64_Y31_N24
\led_flash_cnt[1378][7]~46184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1378][7]~46184_combout\ = \led_flash_cnt[1378][6]~46183\ $ (!\led_flash_cnt[1378][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1378][7]~q\,
	cin => \led_flash_cnt[1378][6]~46183\,
	combout => \led_flash_cnt[1378][7]~46184_combout\);

-- Location: FF_X64_Y31_N25
\led_flash_cnt[1378][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1378][7]~46184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1378][7]~q\);

-- Location: LCCOMB_X64_Y31_N26
\WideAnd1378~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1378~0_combout\ = (\led_flash_cnt[1378][1]~q\ & (\led_flash_cnt[1378][4]~q\ & (\led_flash_cnt[1378][2]~q\ & \led_flash_cnt[1378][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1378][1]~q\,
	datab => \led_flash_cnt[1378][4]~q\,
	datac => \led_flash_cnt[1378][2]~q\,
	datad => \led_flash_cnt[1378][3]~q\,
	combout => \WideAnd1378~0_combout\);

-- Location: LCCOMB_X64_Y31_N0
\WideAnd1378~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1378~1_combout\ = (\led_flash_cnt[1378][6]~q\ & \led_flash_cnt[1378][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1378][6]~q\,
	datad => \led_flash_cnt[1378][5]~q\,
	combout => \WideAnd1378~1_combout\);

-- Location: LCCOMB_X64_Y31_N4
WideAnd1378 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1378~combout\ = (\led_flash_cnt[1378][0]~q\ & (\led_flash_cnt[1378][7]~q\ & (\WideAnd1378~0_combout\ & \WideAnd1378~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1378][0]~q\,
	datab => \led_flash_cnt[1378][7]~q\,
	datac => \WideAnd1378~0_combout\,
	datad => \WideAnd1378~1_combout\,
	combout => \WideAnd1378~combout\);

-- Location: FF_X64_Y31_N5
\led_flash_cnt_ands[1378]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1378~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1378));

-- Location: LCCOMB_X67_Y34_N4
\led_flash_cnt[1376][0]~82016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1376][0]~82016_combout\ = !\led_flash_cnt[1376][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1376][0]~q\,
	combout => \led_flash_cnt[1376][0]~82016_combout\);

-- Location: FF_X67_Y34_N5
\led_flash_cnt[1376][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1376][0]~82016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1376][0]~q\);

-- Location: LCCOMB_X67_Y34_N10
\led_flash_cnt[1376][1]~46144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1376][1]~46144_combout\ = (\led_flash_cnt[1376][1]~q\ & (\led_flash_cnt[1376][0]~q\ $ (VCC))) # (!\led_flash_cnt[1376][1]~q\ & (\led_flash_cnt[1376][0]~q\ & VCC))
-- \led_flash_cnt[1376][1]~46145\ = CARRY((\led_flash_cnt[1376][1]~q\ & \led_flash_cnt[1376][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1376][1]~q\,
	datab => \led_flash_cnt[1376][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1376][1]~46144_combout\,
	cout => \led_flash_cnt[1376][1]~46145\);

-- Location: FF_X67_Y34_N11
\led_flash_cnt[1376][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1376][1]~46144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1376][1]~q\);

-- Location: LCCOMB_X67_Y34_N12
\led_flash_cnt[1376][2]~46146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1376][2]~46146_combout\ = (\led_flash_cnt[1376][2]~q\ & (!\led_flash_cnt[1376][1]~46145\)) # (!\led_flash_cnt[1376][2]~q\ & ((\led_flash_cnt[1376][1]~46145\) # (GND)))
-- \led_flash_cnt[1376][2]~46147\ = CARRY((!\led_flash_cnt[1376][1]~46145\) # (!\led_flash_cnt[1376][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1376][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1376][1]~46145\,
	combout => \led_flash_cnt[1376][2]~46146_combout\,
	cout => \led_flash_cnt[1376][2]~46147\);

-- Location: FF_X67_Y34_N13
\led_flash_cnt[1376][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1376][2]~46146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1376][2]~q\);

-- Location: LCCOMB_X67_Y34_N14
\led_flash_cnt[1376][3]~46148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1376][3]~46148_combout\ = (\led_flash_cnt[1376][3]~q\ & (\led_flash_cnt[1376][2]~46147\ $ (GND))) # (!\led_flash_cnt[1376][3]~q\ & (!\led_flash_cnt[1376][2]~46147\ & VCC))
-- \led_flash_cnt[1376][3]~46149\ = CARRY((\led_flash_cnt[1376][3]~q\ & !\led_flash_cnt[1376][2]~46147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1376][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1376][2]~46147\,
	combout => \led_flash_cnt[1376][3]~46148_combout\,
	cout => \led_flash_cnt[1376][3]~46149\);

-- Location: FF_X67_Y34_N15
\led_flash_cnt[1376][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1376][3]~46148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1376][3]~q\);

-- Location: LCCOMB_X67_Y34_N16
\led_flash_cnt[1376][4]~46150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1376][4]~46150_combout\ = (\led_flash_cnt[1376][4]~q\ & (!\led_flash_cnt[1376][3]~46149\)) # (!\led_flash_cnt[1376][4]~q\ & ((\led_flash_cnt[1376][3]~46149\) # (GND)))
-- \led_flash_cnt[1376][4]~46151\ = CARRY((!\led_flash_cnt[1376][3]~46149\) # (!\led_flash_cnt[1376][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1376][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1376][3]~46149\,
	combout => \led_flash_cnt[1376][4]~46150_combout\,
	cout => \led_flash_cnt[1376][4]~46151\);

-- Location: FF_X67_Y34_N17
\led_flash_cnt[1376][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1376][4]~46150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1376][4]~q\);

-- Location: LCCOMB_X67_Y34_N18
\led_flash_cnt[1376][5]~46152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1376][5]~46152_combout\ = (\led_flash_cnt[1376][5]~q\ & (\led_flash_cnt[1376][4]~46151\ $ (GND))) # (!\led_flash_cnt[1376][5]~q\ & (!\led_flash_cnt[1376][4]~46151\ & VCC))
-- \led_flash_cnt[1376][5]~46153\ = CARRY((\led_flash_cnt[1376][5]~q\ & !\led_flash_cnt[1376][4]~46151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1376][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1376][4]~46151\,
	combout => \led_flash_cnt[1376][5]~46152_combout\,
	cout => \led_flash_cnt[1376][5]~46153\);

-- Location: FF_X67_Y34_N19
\led_flash_cnt[1376][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1376][5]~46152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1376][5]~q\);

-- Location: LCCOMB_X67_Y34_N20
\led_flash_cnt[1376][6]~46154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1376][6]~46154_combout\ = (\led_flash_cnt[1376][6]~q\ & (!\led_flash_cnt[1376][5]~46153\)) # (!\led_flash_cnt[1376][6]~q\ & ((\led_flash_cnt[1376][5]~46153\) # (GND)))
-- \led_flash_cnt[1376][6]~46155\ = CARRY((!\led_flash_cnt[1376][5]~46153\) # (!\led_flash_cnt[1376][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1376][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1376][5]~46153\,
	combout => \led_flash_cnt[1376][6]~46154_combout\,
	cout => \led_flash_cnt[1376][6]~46155\);

-- Location: FF_X67_Y34_N21
\led_flash_cnt[1376][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1376][6]~46154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1376][6]~q\);

-- Location: LCCOMB_X67_Y34_N22
\led_flash_cnt[1376][7]~46156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1376][7]~46156_combout\ = \led_flash_cnt[1376][7]~q\ $ (!\led_flash_cnt[1376][6]~46155\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1376][7]~q\,
	cin => \led_flash_cnt[1376][6]~46155\,
	combout => \led_flash_cnt[1376][7]~46156_combout\);

-- Location: FF_X67_Y34_N23
\led_flash_cnt[1376][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1376][7]~46156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1376][7]~q\);

-- Location: LCCOMB_X67_Y34_N8
\WideAnd1376~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1376~0_combout\ = (\led_flash_cnt[1376][1]~q\ & (\led_flash_cnt[1376][4]~q\ & (\led_flash_cnt[1376][3]~q\ & \led_flash_cnt[1376][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1376][1]~q\,
	datab => \led_flash_cnt[1376][4]~q\,
	datac => \led_flash_cnt[1376][3]~q\,
	datad => \led_flash_cnt[1376][2]~q\,
	combout => \WideAnd1376~0_combout\);

-- Location: LCCOMB_X67_Y34_N2
\WideAnd1376~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1376~1_combout\ = (\led_flash_cnt[1376][6]~q\ & \led_flash_cnt[1376][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1376][6]~q\,
	datad => \led_flash_cnt[1376][5]~q\,
	combout => \WideAnd1376~1_combout\);

-- Location: LCCOMB_X67_Y34_N24
WideAnd1376 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1376~combout\ = (\led_flash_cnt[1376][7]~q\ & (\led_flash_cnt[1376][0]~q\ & (\WideAnd1376~0_combout\ & \WideAnd1376~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1376][7]~q\,
	datab => \led_flash_cnt[1376][0]~q\,
	datac => \WideAnd1376~0_combout\,
	datad => \WideAnd1376~1_combout\,
	combout => \WideAnd1376~combout\);

-- Location: FF_X67_Y34_N25
\led_flash_cnt_ands[1376]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1376~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1376));

-- Location: LCCOMB_X67_Y34_N28
\WideAnd4012~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4012~0_combout\ = (led_flash_cnt_ands(1379) & (led_flash_cnt_ands(1377) & (led_flash_cnt_ands(1378) & led_flash_cnt_ands(1376))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1379),
	datab => led_flash_cnt_ands(1377),
	datac => led_flash_cnt_ands(1378),
	datad => led_flash_cnt_ands(1376),
	combout => \WideAnd4012~0_combout\);

-- Location: LCCOMB_X59_Y34_N4
WideAnd4012 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4012~combout\ = (\WideAnd4012~1_combout\ & (led_flash_cnt_ands(1382) & (led_flash_cnt_ands(1383) & \WideAnd4012~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4012~1_combout\,
	datab => led_flash_cnt_ands(1382),
	datac => led_flash_cnt_ands(1383),
	datad => \WideAnd4012~0_combout\,
	combout => \WideAnd4012~combout\);

-- Location: FF_X59_Y34_N5
\led_flash_cnt_ands_1[172]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4012~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(172));

-- Location: LCCOMB_X52_Y35_N30
\led_flash_cnt[1391][0]~82031\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1391][0]~82031_combout\ = !\led_flash_cnt[1391][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1391][0]~q\,
	combout => \led_flash_cnt[1391][0]~82031_combout\);

-- Location: FF_X52_Y35_N31
\led_flash_cnt[1391][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1391][0]~82031_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1391][0]~q\);

-- Location: LCCOMB_X52_Y34_N0
\led_flash_cnt[1391][1]~46354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1391][1]~46354_combout\ = (\led_flash_cnt[1391][0]~q\ & (\led_flash_cnt[1391][1]~q\ $ (VCC))) # (!\led_flash_cnt[1391][0]~q\ & (\led_flash_cnt[1391][1]~q\ & VCC))
-- \led_flash_cnt[1391][1]~46355\ = CARRY((\led_flash_cnt[1391][0]~q\ & \led_flash_cnt[1391][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1391][0]~q\,
	datab => \led_flash_cnt[1391][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1391][1]~46354_combout\,
	cout => \led_flash_cnt[1391][1]~46355\);

-- Location: FF_X52_Y34_N1
\led_flash_cnt[1391][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1391][1]~46354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1391][1]~q\);

-- Location: LCCOMB_X52_Y34_N2
\led_flash_cnt[1391][2]~46356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1391][2]~46356_combout\ = (\led_flash_cnt[1391][2]~q\ & (!\led_flash_cnt[1391][1]~46355\)) # (!\led_flash_cnt[1391][2]~q\ & ((\led_flash_cnt[1391][1]~46355\) # (GND)))
-- \led_flash_cnt[1391][2]~46357\ = CARRY((!\led_flash_cnt[1391][1]~46355\) # (!\led_flash_cnt[1391][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1391][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1391][1]~46355\,
	combout => \led_flash_cnt[1391][2]~46356_combout\,
	cout => \led_flash_cnt[1391][2]~46357\);

-- Location: FF_X52_Y34_N3
\led_flash_cnt[1391][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1391][2]~46356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1391][2]~q\);

-- Location: LCCOMB_X52_Y34_N4
\led_flash_cnt[1391][3]~46358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1391][3]~46358_combout\ = (\led_flash_cnt[1391][3]~q\ & (\led_flash_cnt[1391][2]~46357\ $ (GND))) # (!\led_flash_cnt[1391][3]~q\ & (!\led_flash_cnt[1391][2]~46357\ & VCC))
-- \led_flash_cnt[1391][3]~46359\ = CARRY((\led_flash_cnt[1391][3]~q\ & !\led_flash_cnt[1391][2]~46357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1391][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1391][2]~46357\,
	combout => \led_flash_cnt[1391][3]~46358_combout\,
	cout => \led_flash_cnt[1391][3]~46359\);

-- Location: FF_X52_Y34_N5
\led_flash_cnt[1391][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1391][3]~46358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1391][3]~q\);

-- Location: LCCOMB_X52_Y34_N6
\led_flash_cnt[1391][4]~46360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1391][4]~46360_combout\ = (\led_flash_cnt[1391][4]~q\ & (!\led_flash_cnt[1391][3]~46359\)) # (!\led_flash_cnt[1391][4]~q\ & ((\led_flash_cnt[1391][3]~46359\) # (GND)))
-- \led_flash_cnt[1391][4]~46361\ = CARRY((!\led_flash_cnt[1391][3]~46359\) # (!\led_flash_cnt[1391][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1391][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1391][3]~46359\,
	combout => \led_flash_cnt[1391][4]~46360_combout\,
	cout => \led_flash_cnt[1391][4]~46361\);

-- Location: FF_X52_Y34_N7
\led_flash_cnt[1391][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1391][4]~46360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1391][4]~q\);

-- Location: LCCOMB_X52_Y34_N8
\led_flash_cnt[1391][5]~46362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1391][5]~46362_combout\ = (\led_flash_cnt[1391][5]~q\ & (\led_flash_cnt[1391][4]~46361\ $ (GND))) # (!\led_flash_cnt[1391][5]~q\ & (!\led_flash_cnt[1391][4]~46361\ & VCC))
-- \led_flash_cnt[1391][5]~46363\ = CARRY((\led_flash_cnt[1391][5]~q\ & !\led_flash_cnt[1391][4]~46361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1391][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1391][4]~46361\,
	combout => \led_flash_cnt[1391][5]~46362_combout\,
	cout => \led_flash_cnt[1391][5]~46363\);

-- Location: FF_X52_Y34_N9
\led_flash_cnt[1391][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1391][5]~46362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1391][5]~q\);

-- Location: LCCOMB_X52_Y34_N10
\led_flash_cnt[1391][6]~46364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1391][6]~46364_combout\ = (\led_flash_cnt[1391][6]~q\ & (!\led_flash_cnt[1391][5]~46363\)) # (!\led_flash_cnt[1391][6]~q\ & ((\led_flash_cnt[1391][5]~46363\) # (GND)))
-- \led_flash_cnt[1391][6]~46365\ = CARRY((!\led_flash_cnt[1391][5]~46363\) # (!\led_flash_cnt[1391][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1391][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1391][5]~46363\,
	combout => \led_flash_cnt[1391][6]~46364_combout\,
	cout => \led_flash_cnt[1391][6]~46365\);

-- Location: FF_X52_Y34_N11
\led_flash_cnt[1391][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1391][6]~46364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1391][6]~q\);

-- Location: LCCOMB_X52_Y34_N30
\WideAnd1391~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1391~1_combout\ = (\led_flash_cnt[1391][5]~q\ & \led_flash_cnt[1391][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1391][5]~q\,
	datad => \led_flash_cnt[1391][6]~q\,
	combout => \WideAnd1391~1_combout\);

-- Location: LCCOMB_X52_Y34_N24
\WideAnd1391~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1391~0_combout\ = (\led_flash_cnt[1391][4]~q\ & (\led_flash_cnt[1391][1]~q\ & (\led_flash_cnt[1391][3]~q\ & \led_flash_cnt[1391][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1391][4]~q\,
	datab => \led_flash_cnt[1391][1]~q\,
	datac => \led_flash_cnt[1391][3]~q\,
	datad => \led_flash_cnt[1391][2]~q\,
	combout => \WideAnd1391~0_combout\);

-- Location: LCCOMB_X52_Y34_N12
\led_flash_cnt[1391][7]~46366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1391][7]~46366_combout\ = \led_flash_cnt[1391][6]~46365\ $ (!\led_flash_cnt[1391][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1391][7]~q\,
	cin => \led_flash_cnt[1391][6]~46365\,
	combout => \led_flash_cnt[1391][7]~46366_combout\);

-- Location: FF_X52_Y34_N13
\led_flash_cnt[1391][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1391][7]~46366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1391][7]~q\);

-- Location: LCCOMB_X52_Y34_N26
WideAnd1391 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1391~combout\ = (\WideAnd1391~1_combout\ & (\WideAnd1391~0_combout\ & (\led_flash_cnt[1391][0]~q\ & \led_flash_cnt[1391][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1391~1_combout\,
	datab => \WideAnd1391~0_combout\,
	datac => \led_flash_cnt[1391][0]~q\,
	datad => \led_flash_cnt[1391][7]~q\,
	combout => \WideAnd1391~combout\);

-- Location: FF_X52_Y34_N27
\led_flash_cnt_ands[1391]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1391~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1391));

-- Location: LCCOMB_X52_Y28_N2
\led_flash_cnt[1385][0]~82025\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1385][0]~82025_combout\ = !\led_flash_cnt[1385][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1385][0]~q\,
	combout => \led_flash_cnt[1385][0]~82025_combout\);

-- Location: FF_X52_Y28_N3
\led_flash_cnt[1385][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1385][0]~82025_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1385][0]~q\);

-- Location: LCCOMB_X51_Y28_N18
\led_flash_cnt[1385][1]~46270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1385][1]~46270_combout\ = (\led_flash_cnt[1385][0]~q\ & (\led_flash_cnt[1385][1]~q\ $ (VCC))) # (!\led_flash_cnt[1385][0]~q\ & (\led_flash_cnt[1385][1]~q\ & VCC))
-- \led_flash_cnt[1385][1]~46271\ = CARRY((\led_flash_cnt[1385][0]~q\ & \led_flash_cnt[1385][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1385][0]~q\,
	datab => \led_flash_cnt[1385][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1385][1]~46270_combout\,
	cout => \led_flash_cnt[1385][1]~46271\);

-- Location: FF_X51_Y28_N19
\led_flash_cnt[1385][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1385][1]~46270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1385][1]~q\);

-- Location: LCCOMB_X51_Y28_N20
\led_flash_cnt[1385][2]~46272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1385][2]~46272_combout\ = (\led_flash_cnt[1385][2]~q\ & (!\led_flash_cnt[1385][1]~46271\)) # (!\led_flash_cnt[1385][2]~q\ & ((\led_flash_cnt[1385][1]~46271\) # (GND)))
-- \led_flash_cnt[1385][2]~46273\ = CARRY((!\led_flash_cnt[1385][1]~46271\) # (!\led_flash_cnt[1385][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1385][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1385][1]~46271\,
	combout => \led_flash_cnt[1385][2]~46272_combout\,
	cout => \led_flash_cnt[1385][2]~46273\);

-- Location: FF_X51_Y28_N21
\led_flash_cnt[1385][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1385][2]~46272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1385][2]~q\);

-- Location: LCCOMB_X51_Y28_N22
\led_flash_cnt[1385][3]~46274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1385][3]~46274_combout\ = (\led_flash_cnt[1385][3]~q\ & (\led_flash_cnt[1385][2]~46273\ $ (GND))) # (!\led_flash_cnt[1385][3]~q\ & (!\led_flash_cnt[1385][2]~46273\ & VCC))
-- \led_flash_cnt[1385][3]~46275\ = CARRY((\led_flash_cnt[1385][3]~q\ & !\led_flash_cnt[1385][2]~46273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1385][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1385][2]~46273\,
	combout => \led_flash_cnt[1385][3]~46274_combout\,
	cout => \led_flash_cnt[1385][3]~46275\);

-- Location: FF_X51_Y28_N23
\led_flash_cnt[1385][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1385][3]~46274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1385][3]~q\);

-- Location: LCCOMB_X51_Y28_N24
\led_flash_cnt[1385][4]~46276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1385][4]~46276_combout\ = (\led_flash_cnt[1385][4]~q\ & (!\led_flash_cnt[1385][3]~46275\)) # (!\led_flash_cnt[1385][4]~q\ & ((\led_flash_cnt[1385][3]~46275\) # (GND)))
-- \led_flash_cnt[1385][4]~46277\ = CARRY((!\led_flash_cnt[1385][3]~46275\) # (!\led_flash_cnt[1385][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1385][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1385][3]~46275\,
	combout => \led_flash_cnt[1385][4]~46276_combout\,
	cout => \led_flash_cnt[1385][4]~46277\);

-- Location: FF_X51_Y28_N25
\led_flash_cnt[1385][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1385][4]~46276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1385][4]~q\);

-- Location: LCCOMB_X51_Y28_N26
\led_flash_cnt[1385][5]~46278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1385][5]~46278_combout\ = (\led_flash_cnt[1385][5]~q\ & (\led_flash_cnt[1385][4]~46277\ $ (GND))) # (!\led_flash_cnt[1385][5]~q\ & (!\led_flash_cnt[1385][4]~46277\ & VCC))
-- \led_flash_cnt[1385][5]~46279\ = CARRY((\led_flash_cnt[1385][5]~q\ & !\led_flash_cnt[1385][4]~46277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1385][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1385][4]~46277\,
	combout => \led_flash_cnt[1385][5]~46278_combout\,
	cout => \led_flash_cnt[1385][5]~46279\);

-- Location: FF_X51_Y28_N27
\led_flash_cnt[1385][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1385][5]~46278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1385][5]~q\);

-- Location: LCCOMB_X51_Y28_N28
\led_flash_cnt[1385][6]~46280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1385][6]~46280_combout\ = (\led_flash_cnt[1385][6]~q\ & (!\led_flash_cnt[1385][5]~46279\)) # (!\led_flash_cnt[1385][6]~q\ & ((\led_flash_cnt[1385][5]~46279\) # (GND)))
-- \led_flash_cnt[1385][6]~46281\ = CARRY((!\led_flash_cnt[1385][5]~46279\) # (!\led_flash_cnt[1385][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1385][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1385][5]~46279\,
	combout => \led_flash_cnt[1385][6]~46280_combout\,
	cout => \led_flash_cnt[1385][6]~46281\);

-- Location: FF_X51_Y28_N29
\led_flash_cnt[1385][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1385][6]~46280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1385][6]~q\);

-- Location: LCCOMB_X52_Y28_N6
\WideAnd1385~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1385~1_combout\ = (\led_flash_cnt[1385][5]~q\ & \led_flash_cnt[1385][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1385][5]~q\,
	datad => \led_flash_cnt[1385][6]~q\,
	combout => \WideAnd1385~1_combout\);

-- Location: LCCOMB_X51_Y28_N30
\led_flash_cnt[1385][7]~46282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1385][7]~46282_combout\ = \led_flash_cnt[1385][7]~q\ $ (!\led_flash_cnt[1385][6]~46281\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1385][7]~q\,
	cin => \led_flash_cnt[1385][6]~46281\,
	combout => \led_flash_cnt[1385][7]~46282_combout\);

-- Location: FF_X51_Y28_N31
\led_flash_cnt[1385][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1385][7]~46282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1385][7]~q\);

-- Location: LCCOMB_X51_Y28_N2
\WideAnd1385~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1385~0_combout\ = (\led_flash_cnt[1385][1]~q\ & (\led_flash_cnt[1385][4]~q\ & (\led_flash_cnt[1385][3]~q\ & \led_flash_cnt[1385][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1385][1]~q\,
	datab => \led_flash_cnt[1385][4]~q\,
	datac => \led_flash_cnt[1385][3]~q\,
	datad => \led_flash_cnt[1385][2]~q\,
	combout => \WideAnd1385~0_combout\);

-- Location: LCCOMB_X52_Y28_N28
WideAnd1385 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1385~combout\ = (\WideAnd1385~1_combout\ & (\led_flash_cnt[1385][7]~q\ & (\led_flash_cnt[1385][0]~q\ & \WideAnd1385~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1385~1_combout\,
	datab => \led_flash_cnt[1385][7]~q\,
	datac => \led_flash_cnt[1385][0]~q\,
	datad => \WideAnd1385~0_combout\,
	combout => \WideAnd1385~combout\);

-- Location: FF_X52_Y28_N29
\led_flash_cnt_ands[1385]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1385~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1385));

-- Location: LCCOMB_X56_Y22_N6
\led_flash_cnt[1384][0]~82024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1384][0]~82024_combout\ = !\led_flash_cnt[1384][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1384][0]~q\,
	combout => \led_flash_cnt[1384][0]~82024_combout\);

-- Location: FF_X56_Y22_N7
\led_flash_cnt[1384][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1384][0]~82024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1384][0]~q\);

-- Location: LCCOMB_X56_Y22_N18
\led_flash_cnt[1384][1]~46256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1384][1]~46256_combout\ = (\led_flash_cnt[1384][0]~q\ & (\led_flash_cnt[1384][1]~q\ $ (VCC))) # (!\led_flash_cnt[1384][0]~q\ & (\led_flash_cnt[1384][1]~q\ & VCC))
-- \led_flash_cnt[1384][1]~46257\ = CARRY((\led_flash_cnt[1384][0]~q\ & \led_flash_cnt[1384][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1384][0]~q\,
	datab => \led_flash_cnt[1384][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1384][1]~46256_combout\,
	cout => \led_flash_cnt[1384][1]~46257\);

-- Location: FF_X56_Y22_N19
\led_flash_cnt[1384][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1384][1]~46256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1384][1]~q\);

-- Location: LCCOMB_X56_Y22_N20
\led_flash_cnt[1384][2]~46258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1384][2]~46258_combout\ = (\led_flash_cnt[1384][2]~q\ & (!\led_flash_cnt[1384][1]~46257\)) # (!\led_flash_cnt[1384][2]~q\ & ((\led_flash_cnt[1384][1]~46257\) # (GND)))
-- \led_flash_cnt[1384][2]~46259\ = CARRY((!\led_flash_cnt[1384][1]~46257\) # (!\led_flash_cnt[1384][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1384][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1384][1]~46257\,
	combout => \led_flash_cnt[1384][2]~46258_combout\,
	cout => \led_flash_cnt[1384][2]~46259\);

-- Location: FF_X56_Y22_N21
\led_flash_cnt[1384][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1384][2]~46258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1384][2]~q\);

-- Location: LCCOMB_X56_Y22_N22
\led_flash_cnt[1384][3]~46260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1384][3]~46260_combout\ = (\led_flash_cnt[1384][3]~q\ & (\led_flash_cnt[1384][2]~46259\ $ (GND))) # (!\led_flash_cnt[1384][3]~q\ & (!\led_flash_cnt[1384][2]~46259\ & VCC))
-- \led_flash_cnt[1384][3]~46261\ = CARRY((\led_flash_cnt[1384][3]~q\ & !\led_flash_cnt[1384][2]~46259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1384][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1384][2]~46259\,
	combout => \led_flash_cnt[1384][3]~46260_combout\,
	cout => \led_flash_cnt[1384][3]~46261\);

-- Location: FF_X56_Y22_N23
\led_flash_cnt[1384][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1384][3]~46260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1384][3]~q\);

-- Location: LCCOMB_X56_Y22_N24
\led_flash_cnt[1384][4]~46262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1384][4]~46262_combout\ = (\led_flash_cnt[1384][4]~q\ & (!\led_flash_cnt[1384][3]~46261\)) # (!\led_flash_cnt[1384][4]~q\ & ((\led_flash_cnt[1384][3]~46261\) # (GND)))
-- \led_flash_cnt[1384][4]~46263\ = CARRY((!\led_flash_cnt[1384][3]~46261\) # (!\led_flash_cnt[1384][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1384][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1384][3]~46261\,
	combout => \led_flash_cnt[1384][4]~46262_combout\,
	cout => \led_flash_cnt[1384][4]~46263\);

-- Location: FF_X56_Y22_N25
\led_flash_cnt[1384][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1384][4]~46262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1384][4]~q\);

-- Location: LCCOMB_X56_Y22_N26
\led_flash_cnt[1384][5]~46264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1384][5]~46264_combout\ = (\led_flash_cnt[1384][5]~q\ & (\led_flash_cnt[1384][4]~46263\ $ (GND))) # (!\led_flash_cnt[1384][5]~q\ & (!\led_flash_cnt[1384][4]~46263\ & VCC))
-- \led_flash_cnt[1384][5]~46265\ = CARRY((\led_flash_cnt[1384][5]~q\ & !\led_flash_cnt[1384][4]~46263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1384][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1384][4]~46263\,
	combout => \led_flash_cnt[1384][5]~46264_combout\,
	cout => \led_flash_cnt[1384][5]~46265\);

-- Location: FF_X56_Y22_N27
\led_flash_cnt[1384][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1384][5]~46264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1384][5]~q\);

-- Location: LCCOMB_X56_Y22_N28
\led_flash_cnt[1384][6]~46266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1384][6]~46266_combout\ = (\led_flash_cnt[1384][6]~q\ & (!\led_flash_cnt[1384][5]~46265\)) # (!\led_flash_cnt[1384][6]~q\ & ((\led_flash_cnt[1384][5]~46265\) # (GND)))
-- \led_flash_cnt[1384][6]~46267\ = CARRY((!\led_flash_cnt[1384][5]~46265\) # (!\led_flash_cnt[1384][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1384][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1384][5]~46265\,
	combout => \led_flash_cnt[1384][6]~46266_combout\,
	cout => \led_flash_cnt[1384][6]~46267\);

-- Location: FF_X56_Y22_N29
\led_flash_cnt[1384][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1384][6]~46266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1384][6]~q\);

-- Location: LCCOMB_X56_Y22_N30
\led_flash_cnt[1384][7]~46268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1384][7]~46268_combout\ = \led_flash_cnt[1384][7]~q\ $ (!\led_flash_cnt[1384][6]~46267\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1384][7]~q\,
	cin => \led_flash_cnt[1384][6]~46267\,
	combout => \led_flash_cnt[1384][7]~46268_combout\);

-- Location: FF_X56_Y22_N31
\led_flash_cnt[1384][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1384][7]~46268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1384][7]~q\);

-- Location: LCCOMB_X56_Y22_N2
\WideAnd1384~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1384~1_combout\ = (\led_flash_cnt[1384][5]~q\ & \led_flash_cnt[1384][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1384][5]~q\,
	datad => \led_flash_cnt[1384][6]~q\,
	combout => \WideAnd1384~1_combout\);

-- Location: LCCOMB_X56_Y22_N4
\WideAnd1384~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1384~0_combout\ = (\led_flash_cnt[1384][2]~q\ & (\led_flash_cnt[1384][1]~q\ & (\led_flash_cnt[1384][3]~q\ & \led_flash_cnt[1384][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1384][2]~q\,
	datab => \led_flash_cnt[1384][1]~q\,
	datac => \led_flash_cnt[1384][3]~q\,
	datad => \led_flash_cnt[1384][4]~q\,
	combout => \WideAnd1384~0_combout\);

-- Location: LCCOMB_X56_Y22_N16
WideAnd1384 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1384~combout\ = (\led_flash_cnt[1384][7]~q\ & (\WideAnd1384~1_combout\ & (\WideAnd1384~0_combout\ & \led_flash_cnt[1384][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1384][7]~q\,
	datab => \WideAnd1384~1_combout\,
	datac => \WideAnd1384~0_combout\,
	datad => \led_flash_cnt[1384][0]~q\,
	combout => \WideAnd1384~combout\);

-- Location: FF_X56_Y22_N17
\led_flash_cnt_ands[1384]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1384~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1384));

-- Location: LCCOMB_X50_Y26_N10
\led_flash_cnt[1387][0]~82027\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1387][0]~82027_combout\ = !\led_flash_cnt[1387][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1387][0]~q\,
	combout => \led_flash_cnt[1387][0]~82027_combout\);

-- Location: FF_X50_Y26_N11
\led_flash_cnt[1387][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1387][0]~82027_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1387][0]~q\);

-- Location: LCCOMB_X50_Y26_N14
\led_flash_cnt[1387][1]~46298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1387][1]~46298_combout\ = (\led_flash_cnt[1387][0]~q\ & (\led_flash_cnt[1387][1]~q\ $ (VCC))) # (!\led_flash_cnt[1387][0]~q\ & (\led_flash_cnt[1387][1]~q\ & VCC))
-- \led_flash_cnt[1387][1]~46299\ = CARRY((\led_flash_cnt[1387][0]~q\ & \led_flash_cnt[1387][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1387][0]~q\,
	datab => \led_flash_cnt[1387][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1387][1]~46298_combout\,
	cout => \led_flash_cnt[1387][1]~46299\);

-- Location: FF_X50_Y26_N15
\led_flash_cnt[1387][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1387][1]~46298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1387][1]~q\);

-- Location: LCCOMB_X50_Y26_N16
\led_flash_cnt[1387][2]~46300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1387][2]~46300_combout\ = (\led_flash_cnt[1387][2]~q\ & (!\led_flash_cnt[1387][1]~46299\)) # (!\led_flash_cnt[1387][2]~q\ & ((\led_flash_cnt[1387][1]~46299\) # (GND)))
-- \led_flash_cnt[1387][2]~46301\ = CARRY((!\led_flash_cnt[1387][1]~46299\) # (!\led_flash_cnt[1387][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1387][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1387][1]~46299\,
	combout => \led_flash_cnt[1387][2]~46300_combout\,
	cout => \led_flash_cnt[1387][2]~46301\);

-- Location: FF_X50_Y26_N17
\led_flash_cnt[1387][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1387][2]~46300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1387][2]~q\);

-- Location: LCCOMB_X50_Y26_N18
\led_flash_cnt[1387][3]~46302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1387][3]~46302_combout\ = (\led_flash_cnt[1387][3]~q\ & (\led_flash_cnt[1387][2]~46301\ $ (GND))) # (!\led_flash_cnt[1387][3]~q\ & (!\led_flash_cnt[1387][2]~46301\ & VCC))
-- \led_flash_cnt[1387][3]~46303\ = CARRY((\led_flash_cnt[1387][3]~q\ & !\led_flash_cnt[1387][2]~46301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1387][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1387][2]~46301\,
	combout => \led_flash_cnt[1387][3]~46302_combout\,
	cout => \led_flash_cnt[1387][3]~46303\);

-- Location: FF_X50_Y26_N19
\led_flash_cnt[1387][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1387][3]~46302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1387][3]~q\);

-- Location: LCCOMB_X50_Y26_N20
\led_flash_cnt[1387][4]~46304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1387][4]~46304_combout\ = (\led_flash_cnt[1387][4]~q\ & (!\led_flash_cnt[1387][3]~46303\)) # (!\led_flash_cnt[1387][4]~q\ & ((\led_flash_cnt[1387][3]~46303\) # (GND)))
-- \led_flash_cnt[1387][4]~46305\ = CARRY((!\led_flash_cnt[1387][3]~46303\) # (!\led_flash_cnt[1387][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1387][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1387][3]~46303\,
	combout => \led_flash_cnt[1387][4]~46304_combout\,
	cout => \led_flash_cnt[1387][4]~46305\);

-- Location: FF_X50_Y26_N21
\led_flash_cnt[1387][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1387][4]~46304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1387][4]~q\);

-- Location: LCCOMB_X50_Y26_N28
\WideAnd1387~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1387~0_combout\ = (\led_flash_cnt[1387][2]~q\ & (\led_flash_cnt[1387][4]~q\ & (\led_flash_cnt[1387][1]~q\ & \led_flash_cnt[1387][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1387][2]~q\,
	datab => \led_flash_cnt[1387][4]~q\,
	datac => \led_flash_cnt[1387][1]~q\,
	datad => \led_flash_cnt[1387][3]~q\,
	combout => \WideAnd1387~0_combout\);

-- Location: LCCOMB_X50_Y26_N22
\led_flash_cnt[1387][5]~46306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1387][5]~46306_combout\ = (\led_flash_cnt[1387][5]~q\ & (\led_flash_cnt[1387][4]~46305\ $ (GND))) # (!\led_flash_cnt[1387][5]~q\ & (!\led_flash_cnt[1387][4]~46305\ & VCC))
-- \led_flash_cnt[1387][5]~46307\ = CARRY((\led_flash_cnt[1387][5]~q\ & !\led_flash_cnt[1387][4]~46305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1387][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1387][4]~46305\,
	combout => \led_flash_cnt[1387][5]~46306_combout\,
	cout => \led_flash_cnt[1387][5]~46307\);

-- Location: FF_X50_Y26_N23
\led_flash_cnt[1387][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1387][5]~46306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1387][5]~q\);

-- Location: LCCOMB_X50_Y26_N24
\led_flash_cnt[1387][6]~46308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1387][6]~46308_combout\ = (\led_flash_cnt[1387][6]~q\ & (!\led_flash_cnt[1387][5]~46307\)) # (!\led_flash_cnt[1387][6]~q\ & ((\led_flash_cnt[1387][5]~46307\) # (GND)))
-- \led_flash_cnt[1387][6]~46309\ = CARRY((!\led_flash_cnt[1387][5]~46307\) # (!\led_flash_cnt[1387][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1387][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1387][5]~46307\,
	combout => \led_flash_cnt[1387][6]~46308_combout\,
	cout => \led_flash_cnt[1387][6]~46309\);

-- Location: FF_X50_Y26_N25
\led_flash_cnt[1387][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1387][6]~46308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1387][6]~q\);

-- Location: LCCOMB_X50_Y26_N26
\led_flash_cnt[1387][7]~46310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1387][7]~46310_combout\ = \led_flash_cnt[1387][7]~q\ $ (!\led_flash_cnt[1387][6]~46309\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1387][7]~q\,
	cin => \led_flash_cnt[1387][6]~46309\,
	combout => \led_flash_cnt[1387][7]~46310_combout\);

-- Location: FF_X50_Y26_N27
\led_flash_cnt[1387][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1387][7]~46310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1387][7]~q\);

-- Location: LCCOMB_X50_Y26_N12
\WideAnd1387~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1387~1_combout\ = (\led_flash_cnt[1387][5]~q\ & \led_flash_cnt[1387][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1387][5]~q\,
	datad => \led_flash_cnt[1387][6]~q\,
	combout => \WideAnd1387~1_combout\);

-- Location: LCCOMB_X50_Y26_N30
WideAnd1387 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1387~combout\ = (\led_flash_cnt[1387][0]~q\ & (\WideAnd1387~0_combout\ & (\led_flash_cnt[1387][7]~q\ & \WideAnd1387~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1387][0]~q\,
	datab => \WideAnd1387~0_combout\,
	datac => \led_flash_cnt[1387][7]~q\,
	datad => \WideAnd1387~1_combout\,
	combout => \WideAnd1387~combout\);

-- Location: FF_X50_Y26_N31
\led_flash_cnt_ands[1387]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1387~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1387));

-- Location: LCCOMB_X56_Y22_N0
\led_flash_cnt[1386][0]~82026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1386][0]~82026_combout\ = !\led_flash_cnt[1386][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1386][0]~q\,
	combout => \led_flash_cnt[1386][0]~82026_combout\);

-- Location: FF_X56_Y22_N1
\led_flash_cnt[1386][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1386][0]~82026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1386][0]~q\);

-- Location: LCCOMB_X57_Y22_N16
\led_flash_cnt[1386][1]~46284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1386][1]~46284_combout\ = (\led_flash_cnt[1386][0]~q\ & (\led_flash_cnt[1386][1]~q\ $ (VCC))) # (!\led_flash_cnt[1386][0]~q\ & (\led_flash_cnt[1386][1]~q\ & VCC))
-- \led_flash_cnt[1386][1]~46285\ = CARRY((\led_flash_cnt[1386][0]~q\ & \led_flash_cnt[1386][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1386][0]~q\,
	datab => \led_flash_cnt[1386][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1386][1]~46284_combout\,
	cout => \led_flash_cnt[1386][1]~46285\);

-- Location: FF_X57_Y22_N17
\led_flash_cnt[1386][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1386][1]~46284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1386][1]~q\);

-- Location: LCCOMB_X57_Y22_N18
\led_flash_cnt[1386][2]~46286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1386][2]~46286_combout\ = (\led_flash_cnt[1386][2]~q\ & (!\led_flash_cnt[1386][1]~46285\)) # (!\led_flash_cnt[1386][2]~q\ & ((\led_flash_cnt[1386][1]~46285\) # (GND)))
-- \led_flash_cnt[1386][2]~46287\ = CARRY((!\led_flash_cnt[1386][1]~46285\) # (!\led_flash_cnt[1386][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1386][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1386][1]~46285\,
	combout => \led_flash_cnt[1386][2]~46286_combout\,
	cout => \led_flash_cnt[1386][2]~46287\);

-- Location: FF_X57_Y22_N19
\led_flash_cnt[1386][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1386][2]~46286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1386][2]~q\);

-- Location: LCCOMB_X57_Y22_N20
\led_flash_cnt[1386][3]~46288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1386][3]~46288_combout\ = (\led_flash_cnt[1386][3]~q\ & (\led_flash_cnt[1386][2]~46287\ $ (GND))) # (!\led_flash_cnt[1386][3]~q\ & (!\led_flash_cnt[1386][2]~46287\ & VCC))
-- \led_flash_cnt[1386][3]~46289\ = CARRY((\led_flash_cnt[1386][3]~q\ & !\led_flash_cnt[1386][2]~46287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1386][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1386][2]~46287\,
	combout => \led_flash_cnt[1386][3]~46288_combout\,
	cout => \led_flash_cnt[1386][3]~46289\);

-- Location: FF_X57_Y22_N21
\led_flash_cnt[1386][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1386][3]~46288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1386][3]~q\);

-- Location: LCCOMB_X57_Y22_N22
\led_flash_cnt[1386][4]~46290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1386][4]~46290_combout\ = (\led_flash_cnt[1386][4]~q\ & (!\led_flash_cnt[1386][3]~46289\)) # (!\led_flash_cnt[1386][4]~q\ & ((\led_flash_cnt[1386][3]~46289\) # (GND)))
-- \led_flash_cnt[1386][4]~46291\ = CARRY((!\led_flash_cnt[1386][3]~46289\) # (!\led_flash_cnt[1386][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1386][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1386][3]~46289\,
	combout => \led_flash_cnt[1386][4]~46290_combout\,
	cout => \led_flash_cnt[1386][4]~46291\);

-- Location: FF_X57_Y22_N23
\led_flash_cnt[1386][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1386][4]~46290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1386][4]~q\);

-- Location: LCCOMB_X57_Y22_N24
\led_flash_cnt[1386][5]~46292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1386][5]~46292_combout\ = (\led_flash_cnt[1386][5]~q\ & (\led_flash_cnt[1386][4]~46291\ $ (GND))) # (!\led_flash_cnt[1386][5]~q\ & (!\led_flash_cnt[1386][4]~46291\ & VCC))
-- \led_flash_cnt[1386][5]~46293\ = CARRY((\led_flash_cnt[1386][5]~q\ & !\led_flash_cnt[1386][4]~46291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1386][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1386][4]~46291\,
	combout => \led_flash_cnt[1386][5]~46292_combout\,
	cout => \led_flash_cnt[1386][5]~46293\);

-- Location: FF_X57_Y22_N25
\led_flash_cnt[1386][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1386][5]~46292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1386][5]~q\);

-- Location: LCCOMB_X57_Y22_N26
\led_flash_cnt[1386][6]~46294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1386][6]~46294_combout\ = (\led_flash_cnt[1386][6]~q\ & (!\led_flash_cnt[1386][5]~46293\)) # (!\led_flash_cnt[1386][6]~q\ & ((\led_flash_cnt[1386][5]~46293\) # (GND)))
-- \led_flash_cnt[1386][6]~46295\ = CARRY((!\led_flash_cnt[1386][5]~46293\) # (!\led_flash_cnt[1386][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1386][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1386][5]~46293\,
	combout => \led_flash_cnt[1386][6]~46294_combout\,
	cout => \led_flash_cnt[1386][6]~46295\);

-- Location: FF_X57_Y22_N27
\led_flash_cnt[1386][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1386][6]~46294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1386][6]~q\);

-- Location: LCCOMB_X56_Y22_N12
\WideAnd1386~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1386~1_combout\ = (\led_flash_cnt[1386][6]~q\ & \led_flash_cnt[1386][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1386][6]~q\,
	datad => \led_flash_cnt[1386][5]~q\,
	combout => \WideAnd1386~1_combout\);

-- Location: LCCOMB_X57_Y22_N0
\WideAnd1386~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1386~0_combout\ = (\led_flash_cnt[1386][1]~q\ & (\led_flash_cnt[1386][3]~q\ & (\led_flash_cnt[1386][4]~q\ & \led_flash_cnt[1386][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1386][1]~q\,
	datab => \led_flash_cnt[1386][3]~q\,
	datac => \led_flash_cnt[1386][4]~q\,
	datad => \led_flash_cnt[1386][2]~q\,
	combout => \WideAnd1386~0_combout\);

-- Location: LCCOMB_X57_Y22_N28
\led_flash_cnt[1386][7]~46296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1386][7]~46296_combout\ = \led_flash_cnt[1386][6]~46295\ $ (!\led_flash_cnt[1386][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1386][7]~q\,
	cin => \led_flash_cnt[1386][6]~46295\,
	combout => \led_flash_cnt[1386][7]~46296_combout\);

-- Location: FF_X57_Y22_N29
\led_flash_cnt[1386][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1386][7]~46296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1386][7]~q\);

-- Location: LCCOMB_X56_Y22_N8
WideAnd1386 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1386~combout\ = (\WideAnd1386~1_combout\ & (\led_flash_cnt[1386][0]~q\ & (\WideAnd1386~0_combout\ & \led_flash_cnt[1386][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1386~1_combout\,
	datab => \led_flash_cnt[1386][0]~q\,
	datac => \WideAnd1386~0_combout\,
	datad => \led_flash_cnt[1386][7]~q\,
	combout => \WideAnd1386~combout\);

-- Location: FF_X56_Y22_N9
\led_flash_cnt_ands[1386]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1386~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1386));

-- Location: LCCOMB_X56_Y26_N10
\WideAnd4013~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4013~0_combout\ = (led_flash_cnt_ands(1385) & (led_flash_cnt_ands(1384) & (led_flash_cnt_ands(1387) & led_flash_cnt_ands(1386))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1385),
	datab => led_flash_cnt_ands(1384),
	datac => led_flash_cnt_ands(1387),
	datad => led_flash_cnt_ands(1386),
	combout => \WideAnd4013~0_combout\);

-- Location: LCCOMB_X16_Y37_N0
\led_flash_cnt[1389][0]~82029\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1389][0]~82029_combout\ = !\led_flash_cnt[1389][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1389][0]~q\,
	combout => \led_flash_cnt[1389][0]~82029_combout\);

-- Location: FF_X16_Y37_N1
\led_flash_cnt[1389][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1389][0]~82029_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1389][0]~q\);

-- Location: LCCOMB_X16_Y37_N12
\led_flash_cnt[1389][1]~46326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1389][1]~46326_combout\ = (\led_flash_cnt[1389][1]~q\ & (\led_flash_cnt[1389][0]~q\ $ (VCC))) # (!\led_flash_cnt[1389][1]~q\ & (\led_flash_cnt[1389][0]~q\ & VCC))
-- \led_flash_cnt[1389][1]~46327\ = CARRY((\led_flash_cnt[1389][1]~q\ & \led_flash_cnt[1389][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1389][1]~q\,
	datab => \led_flash_cnt[1389][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1389][1]~46326_combout\,
	cout => \led_flash_cnt[1389][1]~46327\);

-- Location: FF_X16_Y37_N13
\led_flash_cnt[1389][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1389][1]~46326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1389][1]~q\);

-- Location: LCCOMB_X16_Y37_N14
\led_flash_cnt[1389][2]~46328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1389][2]~46328_combout\ = (\led_flash_cnt[1389][2]~q\ & (!\led_flash_cnt[1389][1]~46327\)) # (!\led_flash_cnt[1389][2]~q\ & ((\led_flash_cnt[1389][1]~46327\) # (GND)))
-- \led_flash_cnt[1389][2]~46329\ = CARRY((!\led_flash_cnt[1389][1]~46327\) # (!\led_flash_cnt[1389][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1389][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1389][1]~46327\,
	combout => \led_flash_cnt[1389][2]~46328_combout\,
	cout => \led_flash_cnt[1389][2]~46329\);

-- Location: FF_X16_Y37_N15
\led_flash_cnt[1389][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1389][2]~46328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1389][2]~q\);

-- Location: LCCOMB_X16_Y37_N16
\led_flash_cnt[1389][3]~46330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1389][3]~46330_combout\ = (\led_flash_cnt[1389][3]~q\ & (\led_flash_cnt[1389][2]~46329\ $ (GND))) # (!\led_flash_cnt[1389][3]~q\ & (!\led_flash_cnt[1389][2]~46329\ & VCC))
-- \led_flash_cnt[1389][3]~46331\ = CARRY((\led_flash_cnt[1389][3]~q\ & !\led_flash_cnt[1389][2]~46329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1389][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1389][2]~46329\,
	combout => \led_flash_cnt[1389][3]~46330_combout\,
	cout => \led_flash_cnt[1389][3]~46331\);

-- Location: FF_X16_Y37_N17
\led_flash_cnt[1389][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1389][3]~46330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1389][3]~q\);

-- Location: LCCOMB_X16_Y37_N18
\led_flash_cnt[1389][4]~46332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1389][4]~46332_combout\ = (\led_flash_cnt[1389][4]~q\ & (!\led_flash_cnt[1389][3]~46331\)) # (!\led_flash_cnt[1389][4]~q\ & ((\led_flash_cnt[1389][3]~46331\) # (GND)))
-- \led_flash_cnt[1389][4]~46333\ = CARRY((!\led_flash_cnt[1389][3]~46331\) # (!\led_flash_cnt[1389][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1389][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1389][3]~46331\,
	combout => \led_flash_cnt[1389][4]~46332_combout\,
	cout => \led_flash_cnt[1389][4]~46333\);

-- Location: FF_X16_Y37_N19
\led_flash_cnt[1389][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1389][4]~46332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1389][4]~q\);

-- Location: LCCOMB_X16_Y37_N20
\led_flash_cnt[1389][5]~46334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1389][5]~46334_combout\ = (\led_flash_cnt[1389][5]~q\ & (\led_flash_cnt[1389][4]~46333\ $ (GND))) # (!\led_flash_cnt[1389][5]~q\ & (!\led_flash_cnt[1389][4]~46333\ & VCC))
-- \led_flash_cnt[1389][5]~46335\ = CARRY((\led_flash_cnt[1389][5]~q\ & !\led_flash_cnt[1389][4]~46333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1389][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1389][4]~46333\,
	combout => \led_flash_cnt[1389][5]~46334_combout\,
	cout => \led_flash_cnt[1389][5]~46335\);

-- Location: FF_X16_Y37_N21
\led_flash_cnt[1389][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1389][5]~46334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1389][5]~q\);

-- Location: LCCOMB_X16_Y37_N22
\led_flash_cnt[1389][6]~46336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1389][6]~46336_combout\ = (\led_flash_cnt[1389][6]~q\ & (!\led_flash_cnt[1389][5]~46335\)) # (!\led_flash_cnt[1389][6]~q\ & ((\led_flash_cnt[1389][5]~46335\) # (GND)))
-- \led_flash_cnt[1389][6]~46337\ = CARRY((!\led_flash_cnt[1389][5]~46335\) # (!\led_flash_cnt[1389][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1389][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1389][5]~46335\,
	combout => \led_flash_cnt[1389][6]~46336_combout\,
	cout => \led_flash_cnt[1389][6]~46337\);

-- Location: FF_X16_Y37_N23
\led_flash_cnt[1389][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1389][6]~46336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1389][6]~q\);

-- Location: LCCOMB_X16_Y37_N6
\WideAnd1389~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1389~1_combout\ = (\led_flash_cnt[1389][6]~q\ & \led_flash_cnt[1389][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1389][6]~q\,
	datad => \led_flash_cnt[1389][5]~q\,
	combout => \WideAnd1389~1_combout\);

-- Location: LCCOMB_X16_Y37_N4
\WideAnd1389~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1389~0_combout\ = (\led_flash_cnt[1389][1]~q\ & (\led_flash_cnt[1389][4]~q\ & (\led_flash_cnt[1389][2]~q\ & \led_flash_cnt[1389][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1389][1]~q\,
	datab => \led_flash_cnt[1389][4]~q\,
	datac => \led_flash_cnt[1389][2]~q\,
	datad => \led_flash_cnt[1389][3]~q\,
	combout => \WideAnd1389~0_combout\);

-- Location: LCCOMB_X16_Y37_N24
\led_flash_cnt[1389][7]~46338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1389][7]~46338_combout\ = \led_flash_cnt[1389][6]~46337\ $ (!\led_flash_cnt[1389][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1389][7]~q\,
	cin => \led_flash_cnt[1389][6]~46337\,
	combout => \led_flash_cnt[1389][7]~46338_combout\);

-- Location: FF_X16_Y37_N25
\led_flash_cnt[1389][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1389][7]~46338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1389][7]~q\);

-- Location: LCCOMB_X16_Y37_N26
WideAnd1389 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1389~combout\ = (\WideAnd1389~1_combout\ & (\led_flash_cnt[1389][0]~q\ & (\WideAnd1389~0_combout\ & \led_flash_cnt[1389][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1389~1_combout\,
	datab => \led_flash_cnt[1389][0]~q\,
	datac => \WideAnd1389~0_combout\,
	datad => \led_flash_cnt[1389][7]~q\,
	combout => \WideAnd1389~combout\);

-- Location: FF_X16_Y37_N27
\led_flash_cnt_ands[1389]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1389~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1389));

-- Location: LCCOMB_X16_Y37_N8
\led_flash_cnt[1388][0]~82028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1388][0]~82028_combout\ = !\led_flash_cnt[1388][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1388][0]~q\,
	combout => \led_flash_cnt[1388][0]~82028_combout\);

-- Location: FF_X16_Y37_N9
\led_flash_cnt[1388][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1388][0]~82028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1388][0]~q\);

-- Location: LCCOMB_X17_Y37_N14
\led_flash_cnt[1388][1]~46312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1388][1]~46312_combout\ = (\led_flash_cnt[1388][0]~q\ & (\led_flash_cnt[1388][1]~q\ $ (VCC))) # (!\led_flash_cnt[1388][0]~q\ & (\led_flash_cnt[1388][1]~q\ & VCC))
-- \led_flash_cnt[1388][1]~46313\ = CARRY((\led_flash_cnt[1388][0]~q\ & \led_flash_cnt[1388][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1388][0]~q\,
	datab => \led_flash_cnt[1388][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1388][1]~46312_combout\,
	cout => \led_flash_cnt[1388][1]~46313\);

-- Location: FF_X17_Y37_N15
\led_flash_cnt[1388][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1388][1]~46312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1388][1]~q\);

-- Location: LCCOMB_X17_Y37_N16
\led_flash_cnt[1388][2]~46314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1388][2]~46314_combout\ = (\led_flash_cnt[1388][2]~q\ & (!\led_flash_cnt[1388][1]~46313\)) # (!\led_flash_cnt[1388][2]~q\ & ((\led_flash_cnt[1388][1]~46313\) # (GND)))
-- \led_flash_cnt[1388][2]~46315\ = CARRY((!\led_flash_cnt[1388][1]~46313\) # (!\led_flash_cnt[1388][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1388][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1388][1]~46313\,
	combout => \led_flash_cnt[1388][2]~46314_combout\,
	cout => \led_flash_cnt[1388][2]~46315\);

-- Location: FF_X17_Y37_N17
\led_flash_cnt[1388][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1388][2]~46314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1388][2]~q\);

-- Location: LCCOMB_X17_Y37_N18
\led_flash_cnt[1388][3]~46316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1388][3]~46316_combout\ = (\led_flash_cnt[1388][3]~q\ & (\led_flash_cnt[1388][2]~46315\ $ (GND))) # (!\led_flash_cnt[1388][3]~q\ & (!\led_flash_cnt[1388][2]~46315\ & VCC))
-- \led_flash_cnt[1388][3]~46317\ = CARRY((\led_flash_cnt[1388][3]~q\ & !\led_flash_cnt[1388][2]~46315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1388][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1388][2]~46315\,
	combout => \led_flash_cnt[1388][3]~46316_combout\,
	cout => \led_flash_cnt[1388][3]~46317\);

-- Location: FF_X17_Y37_N19
\led_flash_cnt[1388][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1388][3]~46316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1388][3]~q\);

-- Location: LCCOMB_X17_Y37_N20
\led_flash_cnt[1388][4]~46318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1388][4]~46318_combout\ = (\led_flash_cnt[1388][4]~q\ & (!\led_flash_cnt[1388][3]~46317\)) # (!\led_flash_cnt[1388][4]~q\ & ((\led_flash_cnt[1388][3]~46317\) # (GND)))
-- \led_flash_cnt[1388][4]~46319\ = CARRY((!\led_flash_cnt[1388][3]~46317\) # (!\led_flash_cnt[1388][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1388][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1388][3]~46317\,
	combout => \led_flash_cnt[1388][4]~46318_combout\,
	cout => \led_flash_cnt[1388][4]~46319\);

-- Location: FF_X17_Y37_N21
\led_flash_cnt[1388][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1388][4]~46318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1388][4]~q\);

-- Location: LCCOMB_X16_Y37_N10
\WideAnd1388~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1388~0_combout\ = (\led_flash_cnt[1388][4]~q\ & (\led_flash_cnt[1388][2]~q\ & (\led_flash_cnt[1388][1]~q\ & \led_flash_cnt[1388][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1388][4]~q\,
	datab => \led_flash_cnt[1388][2]~q\,
	datac => \led_flash_cnt[1388][1]~q\,
	datad => \led_flash_cnt[1388][3]~q\,
	combout => \WideAnd1388~0_combout\);

-- Location: LCCOMB_X17_Y37_N22
\led_flash_cnt[1388][5]~46320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1388][5]~46320_combout\ = (\led_flash_cnt[1388][5]~q\ & (\led_flash_cnt[1388][4]~46319\ $ (GND))) # (!\led_flash_cnt[1388][5]~q\ & (!\led_flash_cnt[1388][4]~46319\ & VCC))
-- \led_flash_cnt[1388][5]~46321\ = CARRY((\led_flash_cnt[1388][5]~q\ & !\led_flash_cnt[1388][4]~46319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1388][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1388][4]~46319\,
	combout => \led_flash_cnt[1388][5]~46320_combout\,
	cout => \led_flash_cnt[1388][5]~46321\);

-- Location: FF_X17_Y37_N23
\led_flash_cnt[1388][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1388][5]~46320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1388][5]~q\);

-- Location: LCCOMB_X17_Y37_N24
\led_flash_cnt[1388][6]~46322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1388][6]~46322_combout\ = (\led_flash_cnt[1388][6]~q\ & (!\led_flash_cnt[1388][5]~46321\)) # (!\led_flash_cnt[1388][6]~q\ & ((\led_flash_cnt[1388][5]~46321\) # (GND)))
-- \led_flash_cnt[1388][6]~46323\ = CARRY((!\led_flash_cnt[1388][5]~46321\) # (!\led_flash_cnt[1388][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1388][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1388][5]~46321\,
	combout => \led_flash_cnt[1388][6]~46322_combout\,
	cout => \led_flash_cnt[1388][6]~46323\);

-- Location: FF_X17_Y37_N25
\led_flash_cnt[1388][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1388][6]~46322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1388][6]~q\);

-- Location: LCCOMB_X17_Y37_N26
\led_flash_cnt[1388][7]~46324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1388][7]~46324_combout\ = \led_flash_cnt[1388][7]~q\ $ (!\led_flash_cnt[1388][6]~46323\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1388][7]~q\,
	cin => \led_flash_cnt[1388][6]~46323\,
	combout => \led_flash_cnt[1388][7]~46324_combout\);

-- Location: FF_X17_Y37_N27
\led_flash_cnt[1388][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1388][7]~46324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1388][7]~q\);

-- Location: LCCOMB_X16_Y37_N30
\WideAnd1388~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1388~1_combout\ = (\led_flash_cnt[1388][5]~q\ & \led_flash_cnt[1388][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1388][5]~q\,
	datad => \led_flash_cnt[1388][6]~q\,
	combout => \WideAnd1388~1_combout\);

-- Location: LCCOMB_X16_Y37_N28
WideAnd1388 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1388~combout\ = (\WideAnd1388~0_combout\ & (\led_flash_cnt[1388][7]~q\ & (\WideAnd1388~1_combout\ & \led_flash_cnt[1388][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1388~0_combout\,
	datab => \led_flash_cnt[1388][7]~q\,
	datac => \WideAnd1388~1_combout\,
	datad => \led_flash_cnt[1388][0]~q\,
	combout => \WideAnd1388~combout\);

-- Location: FF_X16_Y37_N29
\led_flash_cnt_ands[1388]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1388~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1388));

-- Location: LCCOMB_X16_Y37_N2
\WideAnd4013~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4013~1_combout\ = (led_flash_cnt_ands(1389) & led_flash_cnt_ands(1388))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1389),
	datad => led_flash_cnt_ands(1388),
	combout => \WideAnd4013~1_combout\);

-- Location: LCCOMB_X52_Y34_N18
\led_flash_cnt[1390][0]~82030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1390][0]~82030_combout\ = !\led_flash_cnt[1390][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1390][0]~q\,
	combout => \led_flash_cnt[1390][0]~82030_combout\);

-- Location: FF_X52_Y34_N19
\led_flash_cnt[1390][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1390][0]~82030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1390][0]~q\);

-- Location: LCCOMB_X51_Y34_N16
\led_flash_cnt[1390][1]~46340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1390][1]~46340_combout\ = (\led_flash_cnt[1390][1]~q\ & (\led_flash_cnt[1390][0]~q\ $ (VCC))) # (!\led_flash_cnt[1390][1]~q\ & (\led_flash_cnt[1390][0]~q\ & VCC))
-- \led_flash_cnt[1390][1]~46341\ = CARRY((\led_flash_cnt[1390][1]~q\ & \led_flash_cnt[1390][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1390][1]~q\,
	datab => \led_flash_cnt[1390][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1390][1]~46340_combout\,
	cout => \led_flash_cnt[1390][1]~46341\);

-- Location: FF_X51_Y34_N17
\led_flash_cnt[1390][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1390][1]~46340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1390][1]~q\);

-- Location: LCCOMB_X51_Y34_N18
\led_flash_cnt[1390][2]~46342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1390][2]~46342_combout\ = (\led_flash_cnt[1390][2]~q\ & (!\led_flash_cnt[1390][1]~46341\)) # (!\led_flash_cnt[1390][2]~q\ & ((\led_flash_cnt[1390][1]~46341\) # (GND)))
-- \led_flash_cnt[1390][2]~46343\ = CARRY((!\led_flash_cnt[1390][1]~46341\) # (!\led_flash_cnt[1390][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1390][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1390][1]~46341\,
	combout => \led_flash_cnt[1390][2]~46342_combout\,
	cout => \led_flash_cnt[1390][2]~46343\);

-- Location: FF_X51_Y34_N19
\led_flash_cnt[1390][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1390][2]~46342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1390][2]~q\);

-- Location: LCCOMB_X51_Y34_N20
\led_flash_cnt[1390][3]~46344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1390][3]~46344_combout\ = (\led_flash_cnt[1390][3]~q\ & (\led_flash_cnt[1390][2]~46343\ $ (GND))) # (!\led_flash_cnt[1390][3]~q\ & (!\led_flash_cnt[1390][2]~46343\ & VCC))
-- \led_flash_cnt[1390][3]~46345\ = CARRY((\led_flash_cnt[1390][3]~q\ & !\led_flash_cnt[1390][2]~46343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1390][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1390][2]~46343\,
	combout => \led_flash_cnt[1390][3]~46344_combout\,
	cout => \led_flash_cnt[1390][3]~46345\);

-- Location: FF_X51_Y34_N21
\led_flash_cnt[1390][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1390][3]~46344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1390][3]~q\);

-- Location: LCCOMB_X51_Y34_N22
\led_flash_cnt[1390][4]~46346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1390][4]~46346_combout\ = (\led_flash_cnt[1390][4]~q\ & (!\led_flash_cnt[1390][3]~46345\)) # (!\led_flash_cnt[1390][4]~q\ & ((\led_flash_cnt[1390][3]~46345\) # (GND)))
-- \led_flash_cnt[1390][4]~46347\ = CARRY((!\led_flash_cnt[1390][3]~46345\) # (!\led_flash_cnt[1390][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1390][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1390][3]~46345\,
	combout => \led_flash_cnt[1390][4]~46346_combout\,
	cout => \led_flash_cnt[1390][4]~46347\);

-- Location: FF_X51_Y34_N23
\led_flash_cnt[1390][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1390][4]~46346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1390][4]~q\);

-- Location: LCCOMB_X52_Y34_N22
\WideAnd1390~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1390~0_combout\ = (\led_flash_cnt[1390][4]~q\ & (\led_flash_cnt[1390][3]~q\ & (\led_flash_cnt[1390][1]~q\ & \led_flash_cnt[1390][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1390][4]~q\,
	datab => \led_flash_cnt[1390][3]~q\,
	datac => \led_flash_cnt[1390][1]~q\,
	datad => \led_flash_cnt[1390][2]~q\,
	combout => \WideAnd1390~0_combout\);

-- Location: LCCOMB_X51_Y34_N24
\led_flash_cnt[1390][5]~46348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1390][5]~46348_combout\ = (\led_flash_cnt[1390][5]~q\ & (\led_flash_cnt[1390][4]~46347\ $ (GND))) # (!\led_flash_cnt[1390][5]~q\ & (!\led_flash_cnt[1390][4]~46347\ & VCC))
-- \led_flash_cnt[1390][5]~46349\ = CARRY((\led_flash_cnt[1390][5]~q\ & !\led_flash_cnt[1390][4]~46347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1390][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1390][4]~46347\,
	combout => \led_flash_cnt[1390][5]~46348_combout\,
	cout => \led_flash_cnt[1390][5]~46349\);

-- Location: FF_X51_Y34_N25
\led_flash_cnt[1390][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1390][5]~46348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1390][5]~q\);

-- Location: LCCOMB_X51_Y34_N26
\led_flash_cnt[1390][6]~46350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1390][6]~46350_combout\ = (\led_flash_cnt[1390][6]~q\ & (!\led_flash_cnt[1390][5]~46349\)) # (!\led_flash_cnt[1390][6]~q\ & ((\led_flash_cnt[1390][5]~46349\) # (GND)))
-- \led_flash_cnt[1390][6]~46351\ = CARRY((!\led_flash_cnt[1390][5]~46349\) # (!\led_flash_cnt[1390][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1390][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1390][5]~46349\,
	combout => \led_flash_cnt[1390][6]~46350_combout\,
	cout => \led_flash_cnt[1390][6]~46351\);

-- Location: FF_X51_Y34_N27
\led_flash_cnt[1390][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1390][6]~46350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1390][6]~q\);

-- Location: LCCOMB_X51_Y34_N28
\led_flash_cnt[1390][7]~46352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1390][7]~46352_combout\ = \led_flash_cnt[1390][6]~46351\ $ (!\led_flash_cnt[1390][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1390][7]~q\,
	cin => \led_flash_cnt[1390][6]~46351\,
	combout => \led_flash_cnt[1390][7]~46352_combout\);

-- Location: FF_X51_Y34_N29
\led_flash_cnt[1390][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1390][7]~46352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1390][7]~q\);

-- Location: LCCOMB_X52_Y34_N14
\WideAnd1390~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1390~1_combout\ = (\led_flash_cnt[1390][6]~q\ & \led_flash_cnt[1390][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1390][6]~q\,
	datad => \led_flash_cnt[1390][5]~q\,
	combout => \WideAnd1390~1_combout\);

-- Location: LCCOMB_X52_Y34_N20
WideAnd1390 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1390~combout\ = (\WideAnd1390~0_combout\ & (\led_flash_cnt[1390][7]~q\ & (\WideAnd1390~1_combout\ & \led_flash_cnt[1390][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1390~0_combout\,
	datab => \led_flash_cnt[1390][7]~q\,
	datac => \WideAnd1390~1_combout\,
	datad => \led_flash_cnt[1390][0]~q\,
	combout => \WideAnd1390~combout\);

-- Location: FF_X52_Y34_N21
\led_flash_cnt_ands[1390]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1390~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1390));

-- Location: LCCOMB_X52_Y34_N16
WideAnd4013 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4013~combout\ = (led_flash_cnt_ands(1391) & (\WideAnd4013~0_combout\ & (\WideAnd4013~1_combout\ & led_flash_cnt_ands(1390))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1391),
	datab => \WideAnd4013~0_combout\,
	datac => \WideAnd4013~1_combout\,
	datad => led_flash_cnt_ands(1390),
	combout => \WideAnd4013~combout\);

-- Location: FF_X52_Y34_N17
\led_flash_cnt_ands_1[173]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4013~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(173));

-- Location: LCCOMB_X56_Y34_N0
\WideAnd4341~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4341~1_combout\ = (led_flash_cnt_ands_1(172) & led_flash_cnt_ands_1(173))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(172),
	datad => led_flash_cnt_ands_1(173),
	combout => \WideAnd4341~1_combout\);

-- Location: LCCOMB_X56_Y34_N8
WideAnd4341 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4341~combout\ = (\WideAnd4341~0_combout\ & (led_flash_cnt_ands_1(174) & (led_flash_cnt_ands_1(175) & \WideAnd4341~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4341~0_combout\,
	datab => led_flash_cnt_ands_1(174),
	datac => led_flash_cnt_ands_1(175),
	datad => \WideAnd4341~1_combout\,
	combout => \WideAnd4341~combout\);

-- Location: FF_X56_Y34_N9
\led_flash_cnt_ands_2[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4341~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(21));

-- Location: LCCOMB_X37_Y4_N26
\led_flash_cnt[1342][0]~81982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1342][0]~81982_combout\ = !\led_flash_cnt[1342][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1342][0]~q\,
	combout => \led_flash_cnt[1342][0]~81982_combout\);

-- Location: FF_X37_Y4_N27
\led_flash_cnt[1342][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1342][0]~81982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1342][0]~q\);

-- Location: LCCOMB_X37_Y4_N8
\led_flash_cnt[1342][1]~45668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1342][1]~45668_combout\ = (\led_flash_cnt[1342][0]~q\ & (\led_flash_cnt[1342][1]~q\ $ (VCC))) # (!\led_flash_cnt[1342][0]~q\ & (\led_flash_cnt[1342][1]~q\ & VCC))
-- \led_flash_cnt[1342][1]~45669\ = CARRY((\led_flash_cnt[1342][0]~q\ & \led_flash_cnt[1342][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1342][0]~q\,
	datab => \led_flash_cnt[1342][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1342][1]~45668_combout\,
	cout => \led_flash_cnt[1342][1]~45669\);

-- Location: FF_X37_Y4_N9
\led_flash_cnt[1342][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1342][1]~45668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1342][1]~q\);

-- Location: LCCOMB_X37_Y4_N10
\led_flash_cnt[1342][2]~45670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1342][2]~45670_combout\ = (\led_flash_cnt[1342][2]~q\ & (!\led_flash_cnt[1342][1]~45669\)) # (!\led_flash_cnt[1342][2]~q\ & ((\led_flash_cnt[1342][1]~45669\) # (GND)))
-- \led_flash_cnt[1342][2]~45671\ = CARRY((!\led_flash_cnt[1342][1]~45669\) # (!\led_flash_cnt[1342][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1342][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1342][1]~45669\,
	combout => \led_flash_cnt[1342][2]~45670_combout\,
	cout => \led_flash_cnt[1342][2]~45671\);

-- Location: FF_X37_Y4_N11
\led_flash_cnt[1342][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1342][2]~45670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1342][2]~q\);

-- Location: LCCOMB_X37_Y4_N12
\led_flash_cnt[1342][3]~45672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1342][3]~45672_combout\ = (\led_flash_cnt[1342][3]~q\ & (\led_flash_cnt[1342][2]~45671\ $ (GND))) # (!\led_flash_cnt[1342][3]~q\ & (!\led_flash_cnt[1342][2]~45671\ & VCC))
-- \led_flash_cnt[1342][3]~45673\ = CARRY((\led_flash_cnt[1342][3]~q\ & !\led_flash_cnt[1342][2]~45671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1342][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1342][2]~45671\,
	combout => \led_flash_cnt[1342][3]~45672_combout\,
	cout => \led_flash_cnt[1342][3]~45673\);

-- Location: FF_X37_Y4_N13
\led_flash_cnt[1342][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1342][3]~45672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1342][3]~q\);

-- Location: LCCOMB_X37_Y4_N14
\led_flash_cnt[1342][4]~45674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1342][4]~45674_combout\ = (\led_flash_cnt[1342][4]~q\ & (!\led_flash_cnt[1342][3]~45673\)) # (!\led_flash_cnt[1342][4]~q\ & ((\led_flash_cnt[1342][3]~45673\) # (GND)))
-- \led_flash_cnt[1342][4]~45675\ = CARRY((!\led_flash_cnt[1342][3]~45673\) # (!\led_flash_cnt[1342][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1342][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1342][3]~45673\,
	combout => \led_flash_cnt[1342][4]~45674_combout\,
	cout => \led_flash_cnt[1342][4]~45675\);

-- Location: FF_X37_Y4_N15
\led_flash_cnt[1342][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1342][4]~45674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1342][4]~q\);

-- Location: LCCOMB_X37_Y4_N16
\led_flash_cnt[1342][5]~45676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1342][5]~45676_combout\ = (\led_flash_cnt[1342][5]~q\ & (\led_flash_cnt[1342][4]~45675\ $ (GND))) # (!\led_flash_cnt[1342][5]~q\ & (!\led_flash_cnt[1342][4]~45675\ & VCC))
-- \led_flash_cnt[1342][5]~45677\ = CARRY((\led_flash_cnt[1342][5]~q\ & !\led_flash_cnt[1342][4]~45675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1342][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1342][4]~45675\,
	combout => \led_flash_cnt[1342][5]~45676_combout\,
	cout => \led_flash_cnt[1342][5]~45677\);

-- Location: FF_X37_Y4_N17
\led_flash_cnt[1342][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1342][5]~45676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1342][5]~q\);

-- Location: LCCOMB_X37_Y4_N18
\led_flash_cnt[1342][6]~45678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1342][6]~45678_combout\ = (\led_flash_cnt[1342][6]~q\ & (!\led_flash_cnt[1342][5]~45677\)) # (!\led_flash_cnt[1342][6]~q\ & ((\led_flash_cnt[1342][5]~45677\) # (GND)))
-- \led_flash_cnt[1342][6]~45679\ = CARRY((!\led_flash_cnt[1342][5]~45677\) # (!\led_flash_cnt[1342][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1342][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1342][5]~45677\,
	combout => \led_flash_cnt[1342][6]~45678_combout\,
	cout => \led_flash_cnt[1342][6]~45679\);

-- Location: FF_X37_Y4_N19
\led_flash_cnt[1342][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1342][6]~45678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1342][6]~q\);

-- Location: LCCOMB_X37_Y4_N20
\led_flash_cnt[1342][7]~45680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1342][7]~45680_combout\ = \led_flash_cnt[1342][6]~45679\ $ (!\led_flash_cnt[1342][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1342][7]~q\,
	cin => \led_flash_cnt[1342][6]~45679\,
	combout => \led_flash_cnt[1342][7]~45680_combout\);

-- Location: FF_X37_Y4_N21
\led_flash_cnt[1342][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1342][7]~45680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1342][7]~q\);

-- Location: LCCOMB_X37_Y4_N22
\WideAnd1342~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1342~1_combout\ = (\led_flash_cnt[1342][6]~q\ & \led_flash_cnt[1342][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1342][6]~q\,
	datad => \led_flash_cnt[1342][5]~q\,
	combout => \WideAnd1342~1_combout\);

-- Location: LCCOMB_X37_Y4_N24
\WideAnd1342~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1342~0_combout\ = (\led_flash_cnt[1342][3]~q\ & (\led_flash_cnt[1342][4]~q\ & (\led_flash_cnt[1342][1]~q\ & \led_flash_cnt[1342][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1342][3]~q\,
	datab => \led_flash_cnt[1342][4]~q\,
	datac => \led_flash_cnt[1342][1]~q\,
	datad => \led_flash_cnt[1342][2]~q\,
	combout => \WideAnd1342~0_combout\);

-- Location: LCCOMB_X37_Y4_N4
WideAnd1342 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1342~combout\ = (\led_flash_cnt[1342][0]~q\ & (\led_flash_cnt[1342][7]~q\ & (\WideAnd1342~1_combout\ & \WideAnd1342~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1342][0]~q\,
	datab => \led_flash_cnt[1342][7]~q\,
	datac => \WideAnd1342~1_combout\,
	datad => \WideAnd1342~0_combout\,
	combout => \WideAnd1342~combout\);

-- Location: FF_X37_Y4_N5
\led_flash_cnt_ands[1342]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1342~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1342));

-- Location: LCCOMB_X18_Y3_N2
\led_flash_cnt[1340][0]~81980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1340][0]~81980_combout\ = !\led_flash_cnt[1340][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1340][0]~q\,
	combout => \led_flash_cnt[1340][0]~81980_combout\);

-- Location: FF_X18_Y3_N3
\led_flash_cnt[1340][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1340][0]~81980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1340][0]~q\);

-- Location: LCCOMB_X17_Y3_N16
\led_flash_cnt[1340][1]~45640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1340][1]~45640_combout\ = (\led_flash_cnt[1340][0]~q\ & (\led_flash_cnt[1340][1]~q\ $ (VCC))) # (!\led_flash_cnt[1340][0]~q\ & (\led_flash_cnt[1340][1]~q\ & VCC))
-- \led_flash_cnt[1340][1]~45641\ = CARRY((\led_flash_cnt[1340][0]~q\ & \led_flash_cnt[1340][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1340][0]~q\,
	datab => \led_flash_cnt[1340][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1340][1]~45640_combout\,
	cout => \led_flash_cnt[1340][1]~45641\);

-- Location: FF_X17_Y3_N17
\led_flash_cnt[1340][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1340][1]~45640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1340][1]~q\);

-- Location: LCCOMB_X17_Y3_N18
\led_flash_cnt[1340][2]~45642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1340][2]~45642_combout\ = (\led_flash_cnt[1340][2]~q\ & (!\led_flash_cnt[1340][1]~45641\)) # (!\led_flash_cnt[1340][2]~q\ & ((\led_flash_cnt[1340][1]~45641\) # (GND)))
-- \led_flash_cnt[1340][2]~45643\ = CARRY((!\led_flash_cnt[1340][1]~45641\) # (!\led_flash_cnt[1340][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1340][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1340][1]~45641\,
	combout => \led_flash_cnt[1340][2]~45642_combout\,
	cout => \led_flash_cnt[1340][2]~45643\);

-- Location: FF_X17_Y3_N19
\led_flash_cnt[1340][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1340][2]~45642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1340][2]~q\);

-- Location: LCCOMB_X17_Y3_N20
\led_flash_cnt[1340][3]~45644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1340][3]~45644_combout\ = (\led_flash_cnt[1340][3]~q\ & (\led_flash_cnt[1340][2]~45643\ $ (GND))) # (!\led_flash_cnt[1340][3]~q\ & (!\led_flash_cnt[1340][2]~45643\ & VCC))
-- \led_flash_cnt[1340][3]~45645\ = CARRY((\led_flash_cnt[1340][3]~q\ & !\led_flash_cnt[1340][2]~45643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1340][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1340][2]~45643\,
	combout => \led_flash_cnt[1340][3]~45644_combout\,
	cout => \led_flash_cnt[1340][3]~45645\);

-- Location: FF_X17_Y3_N21
\led_flash_cnt[1340][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1340][3]~45644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1340][3]~q\);

-- Location: LCCOMB_X17_Y3_N22
\led_flash_cnt[1340][4]~45646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1340][4]~45646_combout\ = (\led_flash_cnt[1340][4]~q\ & (!\led_flash_cnt[1340][3]~45645\)) # (!\led_flash_cnt[1340][4]~q\ & ((\led_flash_cnt[1340][3]~45645\) # (GND)))
-- \led_flash_cnt[1340][4]~45647\ = CARRY((!\led_flash_cnt[1340][3]~45645\) # (!\led_flash_cnt[1340][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1340][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1340][3]~45645\,
	combout => \led_flash_cnt[1340][4]~45646_combout\,
	cout => \led_flash_cnt[1340][4]~45647\);

-- Location: FF_X17_Y3_N23
\led_flash_cnt[1340][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1340][4]~45646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1340][4]~q\);

-- Location: LCCOMB_X17_Y3_N0
\WideAnd1340~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1340~0_combout\ = (\led_flash_cnt[1340][1]~q\ & (\led_flash_cnt[1340][2]~q\ & (\led_flash_cnt[1340][4]~q\ & \led_flash_cnt[1340][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1340][1]~q\,
	datab => \led_flash_cnt[1340][2]~q\,
	datac => \led_flash_cnt[1340][4]~q\,
	datad => \led_flash_cnt[1340][3]~q\,
	combout => \WideAnd1340~0_combout\);

-- Location: LCCOMB_X17_Y3_N24
\led_flash_cnt[1340][5]~45648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1340][5]~45648_combout\ = (\led_flash_cnt[1340][5]~q\ & (\led_flash_cnt[1340][4]~45647\ $ (GND))) # (!\led_flash_cnt[1340][5]~q\ & (!\led_flash_cnt[1340][4]~45647\ & VCC))
-- \led_flash_cnt[1340][5]~45649\ = CARRY((\led_flash_cnt[1340][5]~q\ & !\led_flash_cnt[1340][4]~45647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1340][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1340][4]~45647\,
	combout => \led_flash_cnt[1340][5]~45648_combout\,
	cout => \led_flash_cnt[1340][5]~45649\);

-- Location: FF_X17_Y3_N25
\led_flash_cnt[1340][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1340][5]~45648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1340][5]~q\);

-- Location: LCCOMB_X17_Y3_N26
\led_flash_cnt[1340][6]~45650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1340][6]~45650_combout\ = (\led_flash_cnt[1340][6]~q\ & (!\led_flash_cnt[1340][5]~45649\)) # (!\led_flash_cnt[1340][6]~q\ & ((\led_flash_cnt[1340][5]~45649\) # (GND)))
-- \led_flash_cnt[1340][6]~45651\ = CARRY((!\led_flash_cnt[1340][5]~45649\) # (!\led_flash_cnt[1340][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1340][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1340][5]~45649\,
	combout => \led_flash_cnt[1340][6]~45650_combout\,
	cout => \led_flash_cnt[1340][6]~45651\);

-- Location: FF_X17_Y3_N27
\led_flash_cnt[1340][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1340][6]~45650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1340][6]~q\);

-- Location: LCCOMB_X17_Y3_N28
\led_flash_cnt[1340][7]~45652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1340][7]~45652_combout\ = \led_flash_cnt[1340][6]~45651\ $ (!\led_flash_cnt[1340][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1340][7]~q\,
	cin => \led_flash_cnt[1340][6]~45651\,
	combout => \led_flash_cnt[1340][7]~45652_combout\);

-- Location: FF_X17_Y3_N29
\led_flash_cnt[1340][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1340][7]~45652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1340][7]~q\);

-- Location: LCCOMB_X18_Y3_N30
\WideAnd1340~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1340~1_combout\ = (\led_flash_cnt[1340][6]~q\ & \led_flash_cnt[1340][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1340][6]~q\,
	datad => \led_flash_cnt[1340][5]~q\,
	combout => \WideAnd1340~1_combout\);

-- Location: LCCOMB_X18_Y3_N22
WideAnd1340 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1340~combout\ = (\WideAnd1340~0_combout\ & (\led_flash_cnt[1340][7]~q\ & (\WideAnd1340~1_combout\ & \led_flash_cnt[1340][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1340~0_combout\,
	datab => \led_flash_cnt[1340][7]~q\,
	datac => \WideAnd1340~1_combout\,
	datad => \led_flash_cnt[1340][0]~q\,
	combout => \WideAnd1340~combout\);

-- Location: FF_X18_Y3_N23
\led_flash_cnt_ands[1340]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1340~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1340));

-- Location: LCCOMB_X18_Y3_N20
\led_flash_cnt[1341][0]~81981\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1341][0]~81981_combout\ = !\led_flash_cnt[1341][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1341][0]~q\,
	combout => \led_flash_cnt[1341][0]~81981_combout\);

-- Location: FF_X18_Y3_N21
\led_flash_cnt[1341][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1341][0]~81981_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1341][0]~q\);

-- Location: LCCOMB_X18_Y3_N6
\led_flash_cnt[1341][1]~45654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1341][1]~45654_combout\ = (\led_flash_cnt[1341][1]~q\ & (\led_flash_cnt[1341][0]~q\ $ (VCC))) # (!\led_flash_cnt[1341][1]~q\ & (\led_flash_cnt[1341][0]~q\ & VCC))
-- \led_flash_cnt[1341][1]~45655\ = CARRY((\led_flash_cnt[1341][1]~q\ & \led_flash_cnt[1341][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1341][1]~q\,
	datab => \led_flash_cnt[1341][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1341][1]~45654_combout\,
	cout => \led_flash_cnt[1341][1]~45655\);

-- Location: FF_X18_Y3_N7
\led_flash_cnt[1341][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1341][1]~45654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1341][1]~q\);

-- Location: LCCOMB_X18_Y3_N8
\led_flash_cnt[1341][2]~45656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1341][2]~45656_combout\ = (\led_flash_cnt[1341][2]~q\ & (!\led_flash_cnt[1341][1]~45655\)) # (!\led_flash_cnt[1341][2]~q\ & ((\led_flash_cnt[1341][1]~45655\) # (GND)))
-- \led_flash_cnt[1341][2]~45657\ = CARRY((!\led_flash_cnt[1341][1]~45655\) # (!\led_flash_cnt[1341][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1341][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1341][1]~45655\,
	combout => \led_flash_cnt[1341][2]~45656_combout\,
	cout => \led_flash_cnt[1341][2]~45657\);

-- Location: FF_X18_Y3_N9
\led_flash_cnt[1341][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1341][2]~45656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1341][2]~q\);

-- Location: LCCOMB_X18_Y3_N10
\led_flash_cnt[1341][3]~45658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1341][3]~45658_combout\ = (\led_flash_cnt[1341][3]~q\ & (\led_flash_cnt[1341][2]~45657\ $ (GND))) # (!\led_flash_cnt[1341][3]~q\ & (!\led_flash_cnt[1341][2]~45657\ & VCC))
-- \led_flash_cnt[1341][3]~45659\ = CARRY((\led_flash_cnt[1341][3]~q\ & !\led_flash_cnt[1341][2]~45657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1341][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1341][2]~45657\,
	combout => \led_flash_cnt[1341][3]~45658_combout\,
	cout => \led_flash_cnt[1341][3]~45659\);

-- Location: FF_X18_Y3_N11
\led_flash_cnt[1341][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1341][3]~45658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1341][3]~q\);

-- Location: LCCOMB_X18_Y3_N12
\led_flash_cnt[1341][4]~45660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1341][4]~45660_combout\ = (\led_flash_cnt[1341][4]~q\ & (!\led_flash_cnt[1341][3]~45659\)) # (!\led_flash_cnt[1341][4]~q\ & ((\led_flash_cnt[1341][3]~45659\) # (GND)))
-- \led_flash_cnt[1341][4]~45661\ = CARRY((!\led_flash_cnt[1341][3]~45659\) # (!\led_flash_cnt[1341][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1341][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1341][3]~45659\,
	combout => \led_flash_cnt[1341][4]~45660_combout\,
	cout => \led_flash_cnt[1341][4]~45661\);

-- Location: FF_X18_Y3_N13
\led_flash_cnt[1341][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1341][4]~45660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1341][4]~q\);

-- Location: LCCOMB_X18_Y3_N14
\led_flash_cnt[1341][5]~45662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1341][5]~45662_combout\ = (\led_flash_cnt[1341][5]~q\ & (\led_flash_cnt[1341][4]~45661\ $ (GND))) # (!\led_flash_cnt[1341][5]~q\ & (!\led_flash_cnt[1341][4]~45661\ & VCC))
-- \led_flash_cnt[1341][5]~45663\ = CARRY((\led_flash_cnt[1341][5]~q\ & !\led_flash_cnt[1341][4]~45661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1341][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1341][4]~45661\,
	combout => \led_flash_cnt[1341][5]~45662_combout\,
	cout => \led_flash_cnt[1341][5]~45663\);

-- Location: FF_X18_Y3_N15
\led_flash_cnt[1341][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1341][5]~45662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1341][5]~q\);

-- Location: LCCOMB_X18_Y3_N16
\led_flash_cnt[1341][6]~45664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1341][6]~45664_combout\ = (\led_flash_cnt[1341][6]~q\ & (!\led_flash_cnt[1341][5]~45663\)) # (!\led_flash_cnt[1341][6]~q\ & ((\led_flash_cnt[1341][5]~45663\) # (GND)))
-- \led_flash_cnt[1341][6]~45665\ = CARRY((!\led_flash_cnt[1341][5]~45663\) # (!\led_flash_cnt[1341][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1341][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1341][5]~45663\,
	combout => \led_flash_cnt[1341][6]~45664_combout\,
	cout => \led_flash_cnt[1341][6]~45665\);

-- Location: FF_X18_Y3_N17
\led_flash_cnt[1341][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1341][6]~45664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1341][6]~q\);

-- Location: LCCOMB_X18_Y3_N18
\led_flash_cnt[1341][7]~45666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1341][7]~45666_combout\ = \led_flash_cnt[1341][7]~q\ $ (!\led_flash_cnt[1341][6]~45665\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1341][7]~q\,
	cin => \led_flash_cnt[1341][6]~45665\,
	combout => \led_flash_cnt[1341][7]~45666_combout\);

-- Location: FF_X18_Y3_N19
\led_flash_cnt[1341][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1341][7]~45666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1341][7]~q\);

-- Location: LCCOMB_X18_Y3_N4
\WideAnd1341~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1341~1_combout\ = (\led_flash_cnt[1341][5]~q\ & \led_flash_cnt[1341][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1341][5]~q\,
	datad => \led_flash_cnt[1341][6]~q\,
	combout => \WideAnd1341~1_combout\);

-- Location: LCCOMB_X18_Y3_N24
\WideAnd1341~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1341~0_combout\ = (\led_flash_cnt[1341][3]~q\ & (\led_flash_cnt[1341][1]~q\ & (\led_flash_cnt[1341][2]~q\ & \led_flash_cnt[1341][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1341][3]~q\,
	datab => \led_flash_cnt[1341][1]~q\,
	datac => \led_flash_cnt[1341][2]~q\,
	datad => \led_flash_cnt[1341][4]~q\,
	combout => \WideAnd1341~0_combout\);

-- Location: LCCOMB_X18_Y3_N28
WideAnd1341 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1341~combout\ = (\led_flash_cnt[1341][7]~q\ & (\led_flash_cnt[1341][0]~q\ & (\WideAnd1341~1_combout\ & \WideAnd1341~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1341][7]~q\,
	datab => \led_flash_cnt[1341][0]~q\,
	datac => \WideAnd1341~1_combout\,
	datad => \WideAnd1341~0_combout\,
	combout => \WideAnd1341~combout\);

-- Location: FF_X18_Y3_N29
\led_flash_cnt_ands[1341]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1341~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1341));

-- Location: LCCOMB_X18_Y3_N0
\WideAnd4007~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4007~1_combout\ = (led_flash_cnt_ands(1340) & led_flash_cnt_ands(1341))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1340),
	datad => led_flash_cnt_ands(1341),
	combout => \WideAnd4007~1_combout\);

-- Location: LCCOMB_X26_Y12_N12
\led_flash_cnt[1343][0]~81983\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1343][0]~81983_combout\ = !\led_flash_cnt[1343][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1343][0]~q\,
	combout => \led_flash_cnt[1343][0]~81983_combout\);

-- Location: FF_X26_Y12_N13
\led_flash_cnt[1343][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1343][0]~81983_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1343][0]~q\);

-- Location: LCCOMB_X26_Y12_N18
\led_flash_cnt[1343][1]~45682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1343][1]~45682_combout\ = (\led_flash_cnt[1343][0]~q\ & (\led_flash_cnt[1343][1]~q\ $ (VCC))) # (!\led_flash_cnt[1343][0]~q\ & (\led_flash_cnt[1343][1]~q\ & VCC))
-- \led_flash_cnt[1343][1]~45683\ = CARRY((\led_flash_cnt[1343][0]~q\ & \led_flash_cnt[1343][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1343][0]~q\,
	datab => \led_flash_cnt[1343][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1343][1]~45682_combout\,
	cout => \led_flash_cnt[1343][1]~45683\);

-- Location: FF_X26_Y12_N19
\led_flash_cnt[1343][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1343][1]~45682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1343][1]~q\);

-- Location: LCCOMB_X26_Y12_N20
\led_flash_cnt[1343][2]~45684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1343][2]~45684_combout\ = (\led_flash_cnt[1343][2]~q\ & (!\led_flash_cnt[1343][1]~45683\)) # (!\led_flash_cnt[1343][2]~q\ & ((\led_flash_cnt[1343][1]~45683\) # (GND)))
-- \led_flash_cnt[1343][2]~45685\ = CARRY((!\led_flash_cnt[1343][1]~45683\) # (!\led_flash_cnt[1343][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1343][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1343][1]~45683\,
	combout => \led_flash_cnt[1343][2]~45684_combout\,
	cout => \led_flash_cnt[1343][2]~45685\);

-- Location: FF_X26_Y12_N21
\led_flash_cnt[1343][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1343][2]~45684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1343][2]~q\);

-- Location: LCCOMB_X26_Y12_N22
\led_flash_cnt[1343][3]~45686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1343][3]~45686_combout\ = (\led_flash_cnt[1343][3]~q\ & (\led_flash_cnt[1343][2]~45685\ $ (GND))) # (!\led_flash_cnt[1343][3]~q\ & (!\led_flash_cnt[1343][2]~45685\ & VCC))
-- \led_flash_cnt[1343][3]~45687\ = CARRY((\led_flash_cnt[1343][3]~q\ & !\led_flash_cnt[1343][2]~45685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1343][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1343][2]~45685\,
	combout => \led_flash_cnt[1343][3]~45686_combout\,
	cout => \led_flash_cnt[1343][3]~45687\);

-- Location: FF_X26_Y12_N23
\led_flash_cnt[1343][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1343][3]~45686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1343][3]~q\);

-- Location: LCCOMB_X26_Y12_N24
\led_flash_cnt[1343][4]~45688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1343][4]~45688_combout\ = (\led_flash_cnt[1343][4]~q\ & (!\led_flash_cnt[1343][3]~45687\)) # (!\led_flash_cnt[1343][4]~q\ & ((\led_flash_cnt[1343][3]~45687\) # (GND)))
-- \led_flash_cnt[1343][4]~45689\ = CARRY((!\led_flash_cnt[1343][3]~45687\) # (!\led_flash_cnt[1343][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1343][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1343][3]~45687\,
	combout => \led_flash_cnt[1343][4]~45688_combout\,
	cout => \led_flash_cnt[1343][4]~45689\);

-- Location: FF_X26_Y12_N25
\led_flash_cnt[1343][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1343][4]~45688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1343][4]~q\);

-- Location: LCCOMB_X26_Y12_N10
\WideAnd1343~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1343~0_combout\ = (\led_flash_cnt[1343][1]~q\ & (\led_flash_cnt[1343][2]~q\ & (\led_flash_cnt[1343][3]~q\ & \led_flash_cnt[1343][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1343][1]~q\,
	datab => \led_flash_cnt[1343][2]~q\,
	datac => \led_flash_cnt[1343][3]~q\,
	datad => \led_flash_cnt[1343][4]~q\,
	combout => \WideAnd1343~0_combout\);

-- Location: LCCOMB_X26_Y12_N26
\led_flash_cnt[1343][5]~45690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1343][5]~45690_combout\ = (\led_flash_cnt[1343][5]~q\ & (\led_flash_cnt[1343][4]~45689\ $ (GND))) # (!\led_flash_cnt[1343][5]~q\ & (!\led_flash_cnt[1343][4]~45689\ & VCC))
-- \led_flash_cnt[1343][5]~45691\ = CARRY((\led_flash_cnt[1343][5]~q\ & !\led_flash_cnt[1343][4]~45689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1343][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1343][4]~45689\,
	combout => \led_flash_cnt[1343][5]~45690_combout\,
	cout => \led_flash_cnt[1343][5]~45691\);

-- Location: FF_X26_Y12_N27
\led_flash_cnt[1343][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1343][5]~45690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1343][5]~q\);

-- Location: LCCOMB_X26_Y12_N28
\led_flash_cnt[1343][6]~45692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1343][6]~45692_combout\ = (\led_flash_cnt[1343][6]~q\ & (!\led_flash_cnt[1343][5]~45691\)) # (!\led_flash_cnt[1343][6]~q\ & ((\led_flash_cnt[1343][5]~45691\) # (GND)))
-- \led_flash_cnt[1343][6]~45693\ = CARRY((!\led_flash_cnt[1343][5]~45691\) # (!\led_flash_cnt[1343][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1343][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1343][5]~45691\,
	combout => \led_flash_cnt[1343][6]~45692_combout\,
	cout => \led_flash_cnt[1343][6]~45693\);

-- Location: FF_X26_Y12_N29
\led_flash_cnt[1343][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1343][6]~45692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1343][6]~q\);

-- Location: LCCOMB_X26_Y12_N8
\WideAnd1343~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1343~1_combout\ = (\led_flash_cnt[1343][5]~q\ & \led_flash_cnt[1343][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1343][5]~q\,
	datad => \led_flash_cnt[1343][6]~q\,
	combout => \WideAnd1343~1_combout\);

-- Location: LCCOMB_X26_Y12_N30
\led_flash_cnt[1343][7]~45694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1343][7]~45694_combout\ = \led_flash_cnt[1343][7]~q\ $ (!\led_flash_cnt[1343][6]~45693\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1343][7]~q\,
	cin => \led_flash_cnt[1343][6]~45693\,
	combout => \led_flash_cnt[1343][7]~45694_combout\);

-- Location: FF_X26_Y12_N31
\led_flash_cnt[1343][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1343][7]~45694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1343][7]~q\);

-- Location: LCCOMB_X26_Y12_N14
WideAnd1343 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1343~combout\ = (\WideAnd1343~0_combout\ & (\WideAnd1343~1_combout\ & (\led_flash_cnt[1343][7]~q\ & \led_flash_cnt[1343][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1343~0_combout\,
	datab => \WideAnd1343~1_combout\,
	datac => \led_flash_cnt[1343][7]~q\,
	datad => \led_flash_cnt[1343][0]~q\,
	combout => \WideAnd1343~combout\);

-- Location: FF_X26_Y12_N15
\led_flash_cnt_ands[1343]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1343~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1343));

-- Location: LCCOMB_X12_Y24_N16
\led_flash_cnt[1338][0]~81978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1338][0]~81978_combout\ = !\led_flash_cnt[1338][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1338][0]~q\,
	combout => \led_flash_cnt[1338][0]~81978_combout\);

-- Location: FF_X12_Y24_N17
\led_flash_cnt[1338][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1338][0]~81978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1338][0]~q\);

-- Location: LCCOMB_X12_Y23_N0
\led_flash_cnt[1338][1]~45612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1338][1]~45612_combout\ = (\led_flash_cnt[1338][0]~q\ & (\led_flash_cnt[1338][1]~q\ $ (VCC))) # (!\led_flash_cnt[1338][0]~q\ & (\led_flash_cnt[1338][1]~q\ & VCC))
-- \led_flash_cnt[1338][1]~45613\ = CARRY((\led_flash_cnt[1338][0]~q\ & \led_flash_cnt[1338][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1338][0]~q\,
	datab => \led_flash_cnt[1338][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1338][1]~45612_combout\,
	cout => \led_flash_cnt[1338][1]~45613\);

-- Location: FF_X12_Y23_N1
\led_flash_cnt[1338][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1338][1]~45612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1338][1]~q\);

-- Location: LCCOMB_X12_Y23_N2
\led_flash_cnt[1338][2]~45614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1338][2]~45614_combout\ = (\led_flash_cnt[1338][2]~q\ & (!\led_flash_cnt[1338][1]~45613\)) # (!\led_flash_cnt[1338][2]~q\ & ((\led_flash_cnt[1338][1]~45613\) # (GND)))
-- \led_flash_cnt[1338][2]~45615\ = CARRY((!\led_flash_cnt[1338][1]~45613\) # (!\led_flash_cnt[1338][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1338][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1338][1]~45613\,
	combout => \led_flash_cnt[1338][2]~45614_combout\,
	cout => \led_flash_cnt[1338][2]~45615\);

-- Location: FF_X12_Y23_N3
\led_flash_cnt[1338][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1338][2]~45614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1338][2]~q\);

-- Location: LCCOMB_X12_Y23_N4
\led_flash_cnt[1338][3]~45616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1338][3]~45616_combout\ = (\led_flash_cnt[1338][3]~q\ & (\led_flash_cnt[1338][2]~45615\ $ (GND))) # (!\led_flash_cnt[1338][3]~q\ & (!\led_flash_cnt[1338][2]~45615\ & VCC))
-- \led_flash_cnt[1338][3]~45617\ = CARRY((\led_flash_cnt[1338][3]~q\ & !\led_flash_cnt[1338][2]~45615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1338][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1338][2]~45615\,
	combout => \led_flash_cnt[1338][3]~45616_combout\,
	cout => \led_flash_cnt[1338][3]~45617\);

-- Location: FF_X12_Y23_N5
\led_flash_cnt[1338][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1338][3]~45616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1338][3]~q\);

-- Location: LCCOMB_X12_Y23_N6
\led_flash_cnt[1338][4]~45618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1338][4]~45618_combout\ = (\led_flash_cnt[1338][4]~q\ & (!\led_flash_cnt[1338][3]~45617\)) # (!\led_flash_cnt[1338][4]~q\ & ((\led_flash_cnt[1338][3]~45617\) # (GND)))
-- \led_flash_cnt[1338][4]~45619\ = CARRY((!\led_flash_cnt[1338][3]~45617\) # (!\led_flash_cnt[1338][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1338][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1338][3]~45617\,
	combout => \led_flash_cnt[1338][4]~45618_combout\,
	cout => \led_flash_cnt[1338][4]~45619\);

-- Location: FF_X12_Y23_N7
\led_flash_cnt[1338][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1338][4]~45618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1338][4]~q\);

-- Location: LCCOMB_X12_Y23_N8
\led_flash_cnt[1338][5]~45620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1338][5]~45620_combout\ = (\led_flash_cnt[1338][5]~q\ & (\led_flash_cnt[1338][4]~45619\ $ (GND))) # (!\led_flash_cnt[1338][5]~q\ & (!\led_flash_cnt[1338][4]~45619\ & VCC))
-- \led_flash_cnt[1338][5]~45621\ = CARRY((\led_flash_cnt[1338][5]~q\ & !\led_flash_cnt[1338][4]~45619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1338][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1338][4]~45619\,
	combout => \led_flash_cnt[1338][5]~45620_combout\,
	cout => \led_flash_cnt[1338][5]~45621\);

-- Location: FF_X12_Y23_N9
\led_flash_cnt[1338][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1338][5]~45620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1338][5]~q\);

-- Location: LCCOMB_X12_Y23_N10
\led_flash_cnt[1338][6]~45622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1338][6]~45622_combout\ = (\led_flash_cnt[1338][6]~q\ & (!\led_flash_cnt[1338][5]~45621\)) # (!\led_flash_cnt[1338][6]~q\ & ((\led_flash_cnt[1338][5]~45621\) # (GND)))
-- \led_flash_cnt[1338][6]~45623\ = CARRY((!\led_flash_cnt[1338][5]~45621\) # (!\led_flash_cnt[1338][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1338][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1338][5]~45621\,
	combout => \led_flash_cnt[1338][6]~45622_combout\,
	cout => \led_flash_cnt[1338][6]~45623\);

-- Location: FF_X12_Y23_N11
\led_flash_cnt[1338][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1338][6]~45622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1338][6]~q\);

-- Location: LCCOMB_X12_Y23_N12
\led_flash_cnt[1338][7]~45624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1338][7]~45624_combout\ = \led_flash_cnt[1338][6]~45623\ $ (!\led_flash_cnt[1338][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1338][7]~q\,
	cin => \led_flash_cnt[1338][6]~45623\,
	combout => \led_flash_cnt[1338][7]~45624_combout\);

-- Location: FF_X12_Y23_N13
\led_flash_cnt[1338][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1338][7]~45624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1338][7]~q\);

-- Location: LCCOMB_X12_Y23_N30
\WideAnd1338~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1338~0_combout\ = (\led_flash_cnt[1338][4]~q\ & (\led_flash_cnt[1338][1]~q\ & (\led_flash_cnt[1338][3]~q\ & \led_flash_cnt[1338][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1338][4]~q\,
	datab => \led_flash_cnt[1338][1]~q\,
	datac => \led_flash_cnt[1338][3]~q\,
	datad => \led_flash_cnt[1338][2]~q\,
	combout => \WideAnd1338~0_combout\);

-- Location: LCCOMB_X11_Y23_N0
\WideAnd1338~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1338~1_combout\ = (\led_flash_cnt[1338][6]~q\ & \led_flash_cnt[1338][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1338][6]~q\,
	datac => \led_flash_cnt[1338][5]~q\,
	combout => \WideAnd1338~1_combout\);

-- Location: LCCOMB_X12_Y24_N10
WideAnd1338 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1338~combout\ = (\led_flash_cnt[1338][7]~q\ & (\WideAnd1338~0_combout\ & (\WideAnd1338~1_combout\ & \led_flash_cnt[1338][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1338][7]~q\,
	datab => \WideAnd1338~0_combout\,
	datac => \WideAnd1338~1_combout\,
	datad => \led_flash_cnt[1338][0]~q\,
	combout => \WideAnd1338~combout\);

-- Location: FF_X12_Y24_N11
\led_flash_cnt_ands[1338]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1338~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1338));

-- Location: LCCOMB_X12_Y24_N12
\led_flash_cnt[1337][0]~81977\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1337][0]~81977_combout\ = !\led_flash_cnt[1337][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1337][0]~q\,
	combout => \led_flash_cnt[1337][0]~81977_combout\);

-- Location: FF_X12_Y24_N13
\led_flash_cnt[1337][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1337][0]~81977_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1337][0]~q\);

-- Location: LCCOMB_X12_Y24_N18
\led_flash_cnt[1337][1]~45598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1337][1]~45598_combout\ = (\led_flash_cnt[1337][0]~q\ & (\led_flash_cnt[1337][1]~q\ $ (VCC))) # (!\led_flash_cnt[1337][0]~q\ & (\led_flash_cnt[1337][1]~q\ & VCC))
-- \led_flash_cnt[1337][1]~45599\ = CARRY((\led_flash_cnt[1337][0]~q\ & \led_flash_cnt[1337][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1337][0]~q\,
	datab => \led_flash_cnt[1337][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1337][1]~45598_combout\,
	cout => \led_flash_cnt[1337][1]~45599\);

-- Location: FF_X12_Y24_N19
\led_flash_cnt[1337][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1337][1]~45598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1337][1]~q\);

-- Location: LCCOMB_X12_Y24_N20
\led_flash_cnt[1337][2]~45600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1337][2]~45600_combout\ = (\led_flash_cnt[1337][2]~q\ & (!\led_flash_cnt[1337][1]~45599\)) # (!\led_flash_cnt[1337][2]~q\ & ((\led_flash_cnt[1337][1]~45599\) # (GND)))
-- \led_flash_cnt[1337][2]~45601\ = CARRY((!\led_flash_cnt[1337][1]~45599\) # (!\led_flash_cnt[1337][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1337][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1337][1]~45599\,
	combout => \led_flash_cnt[1337][2]~45600_combout\,
	cout => \led_flash_cnt[1337][2]~45601\);

-- Location: FF_X12_Y24_N21
\led_flash_cnt[1337][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1337][2]~45600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1337][2]~q\);

-- Location: LCCOMB_X12_Y24_N22
\led_flash_cnt[1337][3]~45602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1337][3]~45602_combout\ = (\led_flash_cnt[1337][3]~q\ & (\led_flash_cnt[1337][2]~45601\ $ (GND))) # (!\led_flash_cnt[1337][3]~q\ & (!\led_flash_cnt[1337][2]~45601\ & VCC))
-- \led_flash_cnt[1337][3]~45603\ = CARRY((\led_flash_cnt[1337][3]~q\ & !\led_flash_cnt[1337][2]~45601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1337][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1337][2]~45601\,
	combout => \led_flash_cnt[1337][3]~45602_combout\,
	cout => \led_flash_cnt[1337][3]~45603\);

-- Location: FF_X12_Y24_N23
\led_flash_cnt[1337][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1337][3]~45602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1337][3]~q\);

-- Location: LCCOMB_X12_Y24_N24
\led_flash_cnt[1337][4]~45604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1337][4]~45604_combout\ = (\led_flash_cnt[1337][4]~q\ & (!\led_flash_cnt[1337][3]~45603\)) # (!\led_flash_cnt[1337][4]~q\ & ((\led_flash_cnt[1337][3]~45603\) # (GND)))
-- \led_flash_cnt[1337][4]~45605\ = CARRY((!\led_flash_cnt[1337][3]~45603\) # (!\led_flash_cnt[1337][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1337][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1337][3]~45603\,
	combout => \led_flash_cnt[1337][4]~45604_combout\,
	cout => \led_flash_cnt[1337][4]~45605\);

-- Location: FF_X12_Y24_N25
\led_flash_cnt[1337][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1337][4]~45604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1337][4]~q\);

-- Location: LCCOMB_X12_Y24_N26
\led_flash_cnt[1337][5]~45606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1337][5]~45606_combout\ = (\led_flash_cnt[1337][5]~q\ & (\led_flash_cnt[1337][4]~45605\ $ (GND))) # (!\led_flash_cnt[1337][5]~q\ & (!\led_flash_cnt[1337][4]~45605\ & VCC))
-- \led_flash_cnt[1337][5]~45607\ = CARRY((\led_flash_cnt[1337][5]~q\ & !\led_flash_cnt[1337][4]~45605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1337][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1337][4]~45605\,
	combout => \led_flash_cnt[1337][5]~45606_combout\,
	cout => \led_flash_cnt[1337][5]~45607\);

-- Location: FF_X12_Y24_N27
\led_flash_cnt[1337][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1337][5]~45606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1337][5]~q\);

-- Location: LCCOMB_X12_Y24_N28
\led_flash_cnt[1337][6]~45608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1337][6]~45608_combout\ = (\led_flash_cnt[1337][6]~q\ & (!\led_flash_cnt[1337][5]~45607\)) # (!\led_flash_cnt[1337][6]~q\ & ((\led_flash_cnt[1337][5]~45607\) # (GND)))
-- \led_flash_cnt[1337][6]~45609\ = CARRY((!\led_flash_cnt[1337][5]~45607\) # (!\led_flash_cnt[1337][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1337][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1337][5]~45607\,
	combout => \led_flash_cnt[1337][6]~45608_combout\,
	cout => \led_flash_cnt[1337][6]~45609\);

-- Location: FF_X12_Y24_N29
\led_flash_cnt[1337][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1337][6]~45608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1337][6]~q\);

-- Location: LCCOMB_X12_Y24_N30
\led_flash_cnt[1337][7]~45610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1337][7]~45610_combout\ = \led_flash_cnt[1337][7]~q\ $ (!\led_flash_cnt[1337][6]~45609\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1337][7]~q\,
	cin => \led_flash_cnt[1337][6]~45609\,
	combout => \led_flash_cnt[1337][7]~45610_combout\);

-- Location: FF_X12_Y24_N31
\led_flash_cnt[1337][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1337][7]~45610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1337][7]~q\);

-- Location: LCCOMB_X12_Y24_N14
\WideAnd1337~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1337~0_combout\ = (\led_flash_cnt[1337][2]~q\ & (\led_flash_cnt[1337][4]~q\ & (\led_flash_cnt[1337][3]~q\ & \led_flash_cnt[1337][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1337][2]~q\,
	datab => \led_flash_cnt[1337][4]~q\,
	datac => \led_flash_cnt[1337][3]~q\,
	datad => \led_flash_cnt[1337][1]~q\,
	combout => \WideAnd1337~0_combout\);

-- Location: LCCOMB_X12_Y24_N8
\WideAnd1337~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1337~1_combout\ = (\led_flash_cnt[1337][5]~q\ & \led_flash_cnt[1337][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1337][5]~q\,
	datad => \led_flash_cnt[1337][6]~q\,
	combout => \WideAnd1337~1_combout\);

-- Location: LCCOMB_X12_Y24_N4
WideAnd1337 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1337~combout\ = (\led_flash_cnt[1337][7]~q\ & (\WideAnd1337~0_combout\ & (\WideAnd1337~1_combout\ & \led_flash_cnt[1337][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1337][7]~q\,
	datab => \WideAnd1337~0_combout\,
	datac => \WideAnd1337~1_combout\,
	datad => \led_flash_cnt[1337][0]~q\,
	combout => \WideAnd1337~combout\);

-- Location: FF_X12_Y24_N5
\led_flash_cnt_ands[1337]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1337~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1337));

-- Location: LCCOMB_X11_Y25_N18
\led_flash_cnt[1336][0]~81976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1336][0]~81976_combout\ = !\led_flash_cnt[1336][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1336][0]~q\,
	combout => \led_flash_cnt[1336][0]~81976_combout\);

-- Location: FF_X11_Y25_N19
\led_flash_cnt[1336][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1336][0]~81976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1336][0]~q\);

-- Location: LCCOMB_X11_Y25_N2
\led_flash_cnt[1336][1]~45584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1336][1]~45584_combout\ = (\led_flash_cnt[1336][0]~q\ & (\led_flash_cnt[1336][1]~q\ $ (VCC))) # (!\led_flash_cnt[1336][0]~q\ & (\led_flash_cnt[1336][1]~q\ & VCC))
-- \led_flash_cnt[1336][1]~45585\ = CARRY((\led_flash_cnt[1336][0]~q\ & \led_flash_cnt[1336][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1336][0]~q\,
	datab => \led_flash_cnt[1336][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1336][1]~45584_combout\,
	cout => \led_flash_cnt[1336][1]~45585\);

-- Location: FF_X11_Y25_N3
\led_flash_cnt[1336][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1336][1]~45584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1336][1]~q\);

-- Location: LCCOMB_X11_Y25_N4
\led_flash_cnt[1336][2]~45586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1336][2]~45586_combout\ = (\led_flash_cnt[1336][2]~q\ & (!\led_flash_cnt[1336][1]~45585\)) # (!\led_flash_cnt[1336][2]~q\ & ((\led_flash_cnt[1336][1]~45585\) # (GND)))
-- \led_flash_cnt[1336][2]~45587\ = CARRY((!\led_flash_cnt[1336][1]~45585\) # (!\led_flash_cnt[1336][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1336][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1336][1]~45585\,
	combout => \led_flash_cnt[1336][2]~45586_combout\,
	cout => \led_flash_cnt[1336][2]~45587\);

-- Location: FF_X11_Y25_N5
\led_flash_cnt[1336][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1336][2]~45586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1336][2]~q\);

-- Location: LCCOMB_X11_Y25_N6
\led_flash_cnt[1336][3]~45588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1336][3]~45588_combout\ = (\led_flash_cnt[1336][3]~q\ & (\led_flash_cnt[1336][2]~45587\ $ (GND))) # (!\led_flash_cnt[1336][3]~q\ & (!\led_flash_cnt[1336][2]~45587\ & VCC))
-- \led_flash_cnt[1336][3]~45589\ = CARRY((\led_flash_cnt[1336][3]~q\ & !\led_flash_cnt[1336][2]~45587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1336][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1336][2]~45587\,
	combout => \led_flash_cnt[1336][3]~45588_combout\,
	cout => \led_flash_cnt[1336][3]~45589\);

-- Location: FF_X11_Y25_N7
\led_flash_cnt[1336][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1336][3]~45588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1336][3]~q\);

-- Location: LCCOMB_X11_Y25_N8
\led_flash_cnt[1336][4]~45590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1336][4]~45590_combout\ = (\led_flash_cnt[1336][4]~q\ & (!\led_flash_cnt[1336][3]~45589\)) # (!\led_flash_cnt[1336][4]~q\ & ((\led_flash_cnt[1336][3]~45589\) # (GND)))
-- \led_flash_cnt[1336][4]~45591\ = CARRY((!\led_flash_cnt[1336][3]~45589\) # (!\led_flash_cnt[1336][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1336][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1336][3]~45589\,
	combout => \led_flash_cnt[1336][4]~45590_combout\,
	cout => \led_flash_cnt[1336][4]~45591\);

-- Location: FF_X11_Y25_N9
\led_flash_cnt[1336][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1336][4]~45590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1336][4]~q\);

-- Location: LCCOMB_X11_Y25_N26
\WideAnd1336~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1336~0_combout\ = (\led_flash_cnt[1336][3]~q\ & (\led_flash_cnt[1336][2]~q\ & (\led_flash_cnt[1336][4]~q\ & \led_flash_cnt[1336][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1336][3]~q\,
	datab => \led_flash_cnt[1336][2]~q\,
	datac => \led_flash_cnt[1336][4]~q\,
	datad => \led_flash_cnt[1336][1]~q\,
	combout => \WideAnd1336~0_combout\);

-- Location: LCCOMB_X11_Y25_N10
\led_flash_cnt[1336][5]~45592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1336][5]~45592_combout\ = (\led_flash_cnt[1336][5]~q\ & (\led_flash_cnt[1336][4]~45591\ $ (GND))) # (!\led_flash_cnt[1336][5]~q\ & (!\led_flash_cnt[1336][4]~45591\ & VCC))
-- \led_flash_cnt[1336][5]~45593\ = CARRY((\led_flash_cnt[1336][5]~q\ & !\led_flash_cnt[1336][4]~45591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1336][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1336][4]~45591\,
	combout => \led_flash_cnt[1336][5]~45592_combout\,
	cout => \led_flash_cnt[1336][5]~45593\);

-- Location: FF_X11_Y25_N11
\led_flash_cnt[1336][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1336][5]~45592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1336][5]~q\);

-- Location: LCCOMB_X11_Y25_N12
\led_flash_cnt[1336][6]~45594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1336][6]~45594_combout\ = (\led_flash_cnt[1336][6]~q\ & (!\led_flash_cnt[1336][5]~45593\)) # (!\led_flash_cnt[1336][6]~q\ & ((\led_flash_cnt[1336][5]~45593\) # (GND)))
-- \led_flash_cnt[1336][6]~45595\ = CARRY((!\led_flash_cnt[1336][5]~45593\) # (!\led_flash_cnt[1336][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1336][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1336][5]~45593\,
	combout => \led_flash_cnt[1336][6]~45594_combout\,
	cout => \led_flash_cnt[1336][6]~45595\);

-- Location: FF_X11_Y25_N13
\led_flash_cnt[1336][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1336][6]~45594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1336][6]~q\);

-- Location: LCCOMB_X11_Y25_N24
\WideAnd1336~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1336~1_combout\ = (\led_flash_cnt[1336][6]~q\ & \led_flash_cnt[1336][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1336][6]~q\,
	datad => \led_flash_cnt[1336][5]~q\,
	combout => \WideAnd1336~1_combout\);

-- Location: LCCOMB_X11_Y25_N14
\led_flash_cnt[1336][7]~45596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1336][7]~45596_combout\ = \led_flash_cnt[1336][7]~q\ $ (!\led_flash_cnt[1336][6]~45595\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1336][7]~q\,
	cin => \led_flash_cnt[1336][6]~45595\,
	combout => \led_flash_cnt[1336][7]~45596_combout\);

-- Location: FF_X11_Y25_N15
\led_flash_cnt[1336][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1336][7]~45596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1336][7]~q\);

-- Location: LCCOMB_X11_Y25_N30
WideAnd1336 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1336~combout\ = (\WideAnd1336~0_combout\ & (\WideAnd1336~1_combout\ & (\led_flash_cnt[1336][7]~q\ & \led_flash_cnt[1336][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1336~0_combout\,
	datab => \WideAnd1336~1_combout\,
	datac => \led_flash_cnt[1336][7]~q\,
	datad => \led_flash_cnt[1336][0]~q\,
	combout => \WideAnd1336~combout\);

-- Location: FF_X11_Y25_N31
\led_flash_cnt_ands[1336]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1336~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1336));

-- Location: LCCOMB_X13_Y24_N4
\led_flash_cnt[1339][0]~81979\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1339][0]~81979_combout\ = !\led_flash_cnt[1339][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1339][0]~q\,
	combout => \led_flash_cnt[1339][0]~81979_combout\);

-- Location: FF_X13_Y24_N5
\led_flash_cnt[1339][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1339][0]~81979_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1339][0]~q\);

-- Location: LCCOMB_X13_Y24_N10
\led_flash_cnt[1339][1]~45626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1339][1]~45626_combout\ = (\led_flash_cnt[1339][1]~q\ & (\led_flash_cnt[1339][0]~q\ $ (VCC))) # (!\led_flash_cnt[1339][1]~q\ & (\led_flash_cnt[1339][0]~q\ & VCC))
-- \led_flash_cnt[1339][1]~45627\ = CARRY((\led_flash_cnt[1339][1]~q\ & \led_flash_cnt[1339][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1339][1]~q\,
	datab => \led_flash_cnt[1339][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1339][1]~45626_combout\,
	cout => \led_flash_cnt[1339][1]~45627\);

-- Location: FF_X13_Y24_N11
\led_flash_cnt[1339][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1339][1]~45626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1339][1]~q\);

-- Location: LCCOMB_X13_Y24_N12
\led_flash_cnt[1339][2]~45628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1339][2]~45628_combout\ = (\led_flash_cnt[1339][2]~q\ & (!\led_flash_cnt[1339][1]~45627\)) # (!\led_flash_cnt[1339][2]~q\ & ((\led_flash_cnt[1339][1]~45627\) # (GND)))
-- \led_flash_cnt[1339][2]~45629\ = CARRY((!\led_flash_cnt[1339][1]~45627\) # (!\led_flash_cnt[1339][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1339][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1339][1]~45627\,
	combout => \led_flash_cnt[1339][2]~45628_combout\,
	cout => \led_flash_cnt[1339][2]~45629\);

-- Location: FF_X13_Y24_N13
\led_flash_cnt[1339][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1339][2]~45628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1339][2]~q\);

-- Location: LCCOMB_X13_Y24_N14
\led_flash_cnt[1339][3]~45630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1339][3]~45630_combout\ = (\led_flash_cnt[1339][3]~q\ & (\led_flash_cnt[1339][2]~45629\ $ (GND))) # (!\led_flash_cnt[1339][3]~q\ & (!\led_flash_cnt[1339][2]~45629\ & VCC))
-- \led_flash_cnt[1339][3]~45631\ = CARRY((\led_flash_cnt[1339][3]~q\ & !\led_flash_cnt[1339][2]~45629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1339][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1339][2]~45629\,
	combout => \led_flash_cnt[1339][3]~45630_combout\,
	cout => \led_flash_cnt[1339][3]~45631\);

-- Location: FF_X13_Y24_N15
\led_flash_cnt[1339][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1339][3]~45630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1339][3]~q\);

-- Location: LCCOMB_X13_Y24_N16
\led_flash_cnt[1339][4]~45632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1339][4]~45632_combout\ = (\led_flash_cnt[1339][4]~q\ & (!\led_flash_cnt[1339][3]~45631\)) # (!\led_flash_cnt[1339][4]~q\ & ((\led_flash_cnt[1339][3]~45631\) # (GND)))
-- \led_flash_cnt[1339][4]~45633\ = CARRY((!\led_flash_cnt[1339][3]~45631\) # (!\led_flash_cnt[1339][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1339][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1339][3]~45631\,
	combout => \led_flash_cnt[1339][4]~45632_combout\,
	cout => \led_flash_cnt[1339][4]~45633\);

-- Location: FF_X13_Y24_N17
\led_flash_cnt[1339][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1339][4]~45632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1339][4]~q\);

-- Location: LCCOMB_X13_Y24_N18
\led_flash_cnt[1339][5]~45634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1339][5]~45634_combout\ = (\led_flash_cnt[1339][5]~q\ & (\led_flash_cnt[1339][4]~45633\ $ (GND))) # (!\led_flash_cnt[1339][5]~q\ & (!\led_flash_cnt[1339][4]~45633\ & VCC))
-- \led_flash_cnt[1339][5]~45635\ = CARRY((\led_flash_cnt[1339][5]~q\ & !\led_flash_cnt[1339][4]~45633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1339][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1339][4]~45633\,
	combout => \led_flash_cnt[1339][5]~45634_combout\,
	cout => \led_flash_cnt[1339][5]~45635\);

-- Location: FF_X13_Y24_N19
\led_flash_cnt[1339][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1339][5]~45634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1339][5]~q\);

-- Location: LCCOMB_X13_Y24_N20
\led_flash_cnt[1339][6]~45636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1339][6]~45636_combout\ = (\led_flash_cnt[1339][6]~q\ & (!\led_flash_cnt[1339][5]~45635\)) # (!\led_flash_cnt[1339][6]~q\ & ((\led_flash_cnt[1339][5]~45635\) # (GND)))
-- \led_flash_cnt[1339][6]~45637\ = CARRY((!\led_flash_cnt[1339][5]~45635\) # (!\led_flash_cnt[1339][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1339][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1339][5]~45635\,
	combout => \led_flash_cnt[1339][6]~45636_combout\,
	cout => \led_flash_cnt[1339][6]~45637\);

-- Location: FF_X13_Y24_N21
\led_flash_cnt[1339][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1339][6]~45636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1339][6]~q\);

-- Location: LCCOMB_X13_Y24_N26
\WideAnd1339~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1339~1_combout\ = (\led_flash_cnt[1339][5]~q\ & \led_flash_cnt[1339][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1339][5]~q\,
	datad => \led_flash_cnt[1339][6]~q\,
	combout => \WideAnd1339~1_combout\);

-- Location: LCCOMB_X13_Y24_N22
\led_flash_cnt[1339][7]~45638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1339][7]~45638_combout\ = \led_flash_cnt[1339][7]~q\ $ (!\led_flash_cnt[1339][6]~45637\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1339][7]~q\,
	cin => \led_flash_cnt[1339][6]~45637\,
	combout => \led_flash_cnt[1339][7]~45638_combout\);

-- Location: FF_X13_Y24_N23
\led_flash_cnt[1339][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1339][7]~45638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1339][7]~q\);

-- Location: LCCOMB_X13_Y24_N24
\WideAnd1339~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1339~0_combout\ = (\led_flash_cnt[1339][1]~q\ & (\led_flash_cnt[1339][4]~q\ & (\led_flash_cnt[1339][3]~q\ & \led_flash_cnt[1339][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1339][1]~q\,
	datab => \led_flash_cnt[1339][4]~q\,
	datac => \led_flash_cnt[1339][3]~q\,
	datad => \led_flash_cnt[1339][2]~q\,
	combout => \WideAnd1339~0_combout\);

-- Location: LCCOMB_X13_Y24_N28
WideAnd1339 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1339~combout\ = (\WideAnd1339~1_combout\ & (\led_flash_cnt[1339][0]~q\ & (\led_flash_cnt[1339][7]~q\ & \WideAnd1339~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1339~1_combout\,
	datab => \led_flash_cnt[1339][0]~q\,
	datac => \led_flash_cnt[1339][7]~q\,
	datad => \WideAnd1339~0_combout\,
	combout => \WideAnd1339~combout\);

-- Location: FF_X13_Y24_N29
\led_flash_cnt_ands[1339]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1339~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1339));

-- Location: LCCOMB_X12_Y24_N6
\WideAnd4007~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4007~0_combout\ = (led_flash_cnt_ands(1338) & (led_flash_cnt_ands(1337) & (led_flash_cnt_ands(1336) & led_flash_cnt_ands(1339))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1338),
	datab => led_flash_cnt_ands(1337),
	datac => led_flash_cnt_ands(1336),
	datad => led_flash_cnt_ands(1339),
	combout => \WideAnd4007~0_combout\);

-- Location: LCCOMB_X26_Y12_N2
WideAnd4007 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4007~combout\ = (led_flash_cnt_ands(1342) & (\WideAnd4007~1_combout\ & (led_flash_cnt_ands(1343) & \WideAnd4007~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1342),
	datab => \WideAnd4007~1_combout\,
	datac => led_flash_cnt_ands(1343),
	datad => \WideAnd4007~0_combout\,
	combout => \WideAnd4007~combout\);

-- Location: FF_X26_Y12_N3
\led_flash_cnt_ands_1[167]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4007~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(167));

-- Location: LCCOMB_X1_Y5_N18
\led_flash_cnt[1308][0]~81948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1308][0]~81948_combout\ = !\led_flash_cnt[1308][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1308][0]~q\,
	combout => \led_flash_cnt[1308][0]~81948_combout\);

-- Location: FF_X1_Y5_N19
\led_flash_cnt[1308][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1308][0]~81948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1308][0]~q\);

-- Location: LCCOMB_X1_Y5_N4
\led_flash_cnt[1308][1]~45192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1308][1]~45192_combout\ = (\led_flash_cnt[1308][1]~q\ & (\led_flash_cnt[1308][0]~q\ $ (VCC))) # (!\led_flash_cnt[1308][1]~q\ & (\led_flash_cnt[1308][0]~q\ & VCC))
-- \led_flash_cnt[1308][1]~45193\ = CARRY((\led_flash_cnt[1308][1]~q\ & \led_flash_cnt[1308][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1308][1]~q\,
	datab => \led_flash_cnt[1308][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1308][1]~45192_combout\,
	cout => \led_flash_cnt[1308][1]~45193\);

-- Location: FF_X1_Y5_N5
\led_flash_cnt[1308][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1308][1]~45192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1308][1]~q\);

-- Location: LCCOMB_X1_Y5_N6
\led_flash_cnt[1308][2]~45194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1308][2]~45194_combout\ = (\led_flash_cnt[1308][2]~q\ & (!\led_flash_cnt[1308][1]~45193\)) # (!\led_flash_cnt[1308][2]~q\ & ((\led_flash_cnt[1308][1]~45193\) # (GND)))
-- \led_flash_cnt[1308][2]~45195\ = CARRY((!\led_flash_cnt[1308][1]~45193\) # (!\led_flash_cnt[1308][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1308][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1308][1]~45193\,
	combout => \led_flash_cnt[1308][2]~45194_combout\,
	cout => \led_flash_cnt[1308][2]~45195\);

-- Location: FF_X1_Y5_N7
\led_flash_cnt[1308][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1308][2]~45194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1308][2]~q\);

-- Location: LCCOMB_X1_Y5_N8
\led_flash_cnt[1308][3]~45196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1308][3]~45196_combout\ = (\led_flash_cnt[1308][3]~q\ & (\led_flash_cnt[1308][2]~45195\ $ (GND))) # (!\led_flash_cnt[1308][3]~q\ & (!\led_flash_cnt[1308][2]~45195\ & VCC))
-- \led_flash_cnt[1308][3]~45197\ = CARRY((\led_flash_cnt[1308][3]~q\ & !\led_flash_cnt[1308][2]~45195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1308][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1308][2]~45195\,
	combout => \led_flash_cnt[1308][3]~45196_combout\,
	cout => \led_flash_cnt[1308][3]~45197\);

-- Location: FF_X1_Y5_N9
\led_flash_cnt[1308][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1308][3]~45196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1308][3]~q\);

-- Location: LCCOMB_X1_Y5_N10
\led_flash_cnt[1308][4]~45198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1308][4]~45198_combout\ = (\led_flash_cnt[1308][4]~q\ & (!\led_flash_cnt[1308][3]~45197\)) # (!\led_flash_cnt[1308][4]~q\ & ((\led_flash_cnt[1308][3]~45197\) # (GND)))
-- \led_flash_cnt[1308][4]~45199\ = CARRY((!\led_flash_cnt[1308][3]~45197\) # (!\led_flash_cnt[1308][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1308][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1308][3]~45197\,
	combout => \led_flash_cnt[1308][4]~45198_combout\,
	cout => \led_flash_cnt[1308][4]~45199\);

-- Location: FF_X1_Y5_N11
\led_flash_cnt[1308][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1308][4]~45198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1308][4]~q\);

-- Location: LCCOMB_X1_Y5_N12
\led_flash_cnt[1308][5]~45200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1308][5]~45200_combout\ = (\led_flash_cnt[1308][5]~q\ & (\led_flash_cnt[1308][4]~45199\ $ (GND))) # (!\led_flash_cnt[1308][5]~q\ & (!\led_flash_cnt[1308][4]~45199\ & VCC))
-- \led_flash_cnt[1308][5]~45201\ = CARRY((\led_flash_cnt[1308][5]~q\ & !\led_flash_cnt[1308][4]~45199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1308][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1308][4]~45199\,
	combout => \led_flash_cnt[1308][5]~45200_combout\,
	cout => \led_flash_cnt[1308][5]~45201\);

-- Location: FF_X1_Y5_N13
\led_flash_cnt[1308][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1308][5]~45200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1308][5]~q\);

-- Location: LCCOMB_X1_Y5_N14
\led_flash_cnt[1308][6]~45202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1308][6]~45202_combout\ = (\led_flash_cnt[1308][6]~q\ & (!\led_flash_cnt[1308][5]~45201\)) # (!\led_flash_cnt[1308][6]~q\ & ((\led_flash_cnt[1308][5]~45201\) # (GND)))
-- \led_flash_cnt[1308][6]~45203\ = CARRY((!\led_flash_cnt[1308][5]~45201\) # (!\led_flash_cnt[1308][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1308][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1308][5]~45201\,
	combout => \led_flash_cnt[1308][6]~45202_combout\,
	cout => \led_flash_cnt[1308][6]~45203\);

-- Location: FF_X1_Y5_N15
\led_flash_cnt[1308][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1308][6]~45202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1308][6]~q\);

-- Location: LCCOMB_X1_Y5_N26
\WideAnd1308~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1308~1_combout\ = (\led_flash_cnt[1308][6]~q\ & \led_flash_cnt[1308][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1308][6]~q\,
	datad => \led_flash_cnt[1308][5]~q\,
	combout => \WideAnd1308~1_combout\);

-- Location: LCCOMB_X1_Y5_N16
\led_flash_cnt[1308][7]~45204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1308][7]~45204_combout\ = \led_flash_cnt[1308][6]~45203\ $ (!\led_flash_cnt[1308][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1308][7]~q\,
	cin => \led_flash_cnt[1308][6]~45203\,
	combout => \led_flash_cnt[1308][7]~45204_combout\);

-- Location: FF_X1_Y5_N17
\led_flash_cnt[1308][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1308][7]~45204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1308][7]~q\);

-- Location: LCCOMB_X1_Y5_N30
\WideAnd1308~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1308~0_combout\ = (\led_flash_cnt[1308][1]~q\ & (\led_flash_cnt[1308][4]~q\ & (\led_flash_cnt[1308][3]~q\ & \led_flash_cnt[1308][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1308][1]~q\,
	datab => \led_flash_cnt[1308][4]~q\,
	datac => \led_flash_cnt[1308][3]~q\,
	datad => \led_flash_cnt[1308][2]~q\,
	combout => \WideAnd1308~0_combout\);

-- Location: LCCOMB_X1_Y5_N22
WideAnd1308 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1308~combout\ = (\WideAnd1308~1_combout\ & (\led_flash_cnt[1308][7]~q\ & (\WideAnd1308~0_combout\ & \led_flash_cnt[1308][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1308~1_combout\,
	datab => \led_flash_cnt[1308][7]~q\,
	datac => \WideAnd1308~0_combout\,
	datad => \led_flash_cnt[1308][0]~q\,
	combout => \WideAnd1308~combout\);

-- Location: FF_X1_Y5_N23
\led_flash_cnt_ands[1308]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1308~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1308));

-- Location: LCCOMB_X1_Y5_N28
\led_flash_cnt[1309][0]~81949\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1309][0]~81949_combout\ = !\led_flash_cnt[1309][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1309][0]~q\,
	combout => \led_flash_cnt[1309][0]~81949_combout\);

-- Location: FF_X1_Y5_N29
\led_flash_cnt[1309][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1309][0]~81949_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1309][0]~q\);

-- Location: LCCOMB_X2_Y5_N14
\led_flash_cnt[1309][1]~45206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1309][1]~45206_combout\ = (\led_flash_cnt[1309][0]~q\ & (\led_flash_cnt[1309][1]~q\ $ (VCC))) # (!\led_flash_cnt[1309][0]~q\ & (\led_flash_cnt[1309][1]~q\ & VCC))
-- \led_flash_cnt[1309][1]~45207\ = CARRY((\led_flash_cnt[1309][0]~q\ & \led_flash_cnt[1309][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1309][0]~q\,
	datab => \led_flash_cnt[1309][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1309][1]~45206_combout\,
	cout => \led_flash_cnt[1309][1]~45207\);

-- Location: FF_X2_Y5_N15
\led_flash_cnt[1309][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1309][1]~45206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1309][1]~q\);

-- Location: LCCOMB_X2_Y5_N16
\led_flash_cnt[1309][2]~45208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1309][2]~45208_combout\ = (\led_flash_cnt[1309][2]~q\ & (!\led_flash_cnt[1309][1]~45207\)) # (!\led_flash_cnt[1309][2]~q\ & ((\led_flash_cnt[1309][1]~45207\) # (GND)))
-- \led_flash_cnt[1309][2]~45209\ = CARRY((!\led_flash_cnt[1309][1]~45207\) # (!\led_flash_cnt[1309][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1309][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1309][1]~45207\,
	combout => \led_flash_cnt[1309][2]~45208_combout\,
	cout => \led_flash_cnt[1309][2]~45209\);

-- Location: FF_X2_Y5_N17
\led_flash_cnt[1309][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1309][2]~45208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1309][2]~q\);

-- Location: LCCOMB_X2_Y5_N18
\led_flash_cnt[1309][3]~45210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1309][3]~45210_combout\ = (\led_flash_cnt[1309][3]~q\ & (\led_flash_cnt[1309][2]~45209\ $ (GND))) # (!\led_flash_cnt[1309][3]~q\ & (!\led_flash_cnt[1309][2]~45209\ & VCC))
-- \led_flash_cnt[1309][3]~45211\ = CARRY((\led_flash_cnt[1309][3]~q\ & !\led_flash_cnt[1309][2]~45209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1309][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1309][2]~45209\,
	combout => \led_flash_cnt[1309][3]~45210_combout\,
	cout => \led_flash_cnt[1309][3]~45211\);

-- Location: FF_X2_Y5_N19
\led_flash_cnt[1309][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1309][3]~45210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1309][3]~q\);

-- Location: LCCOMB_X2_Y5_N20
\led_flash_cnt[1309][4]~45212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1309][4]~45212_combout\ = (\led_flash_cnt[1309][4]~q\ & (!\led_flash_cnt[1309][3]~45211\)) # (!\led_flash_cnt[1309][4]~q\ & ((\led_flash_cnt[1309][3]~45211\) # (GND)))
-- \led_flash_cnt[1309][4]~45213\ = CARRY((!\led_flash_cnt[1309][3]~45211\) # (!\led_flash_cnt[1309][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1309][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1309][3]~45211\,
	combout => \led_flash_cnt[1309][4]~45212_combout\,
	cout => \led_flash_cnt[1309][4]~45213\);

-- Location: FF_X2_Y5_N21
\led_flash_cnt[1309][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1309][4]~45212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1309][4]~q\);

-- Location: LCCOMB_X2_Y5_N30
\WideAnd1309~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1309~0_combout\ = (\led_flash_cnt[1309][3]~q\ & (\led_flash_cnt[1309][4]~q\ & (\led_flash_cnt[1309][1]~q\ & \led_flash_cnt[1309][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1309][3]~q\,
	datab => \led_flash_cnt[1309][4]~q\,
	datac => \led_flash_cnt[1309][1]~q\,
	datad => \led_flash_cnt[1309][2]~q\,
	combout => \WideAnd1309~0_combout\);

-- Location: LCCOMB_X2_Y5_N22
\led_flash_cnt[1309][5]~45214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1309][5]~45214_combout\ = (\led_flash_cnt[1309][5]~q\ & (\led_flash_cnt[1309][4]~45213\ $ (GND))) # (!\led_flash_cnt[1309][5]~q\ & (!\led_flash_cnt[1309][4]~45213\ & VCC))
-- \led_flash_cnt[1309][5]~45215\ = CARRY((\led_flash_cnt[1309][5]~q\ & !\led_flash_cnt[1309][4]~45213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1309][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1309][4]~45213\,
	combout => \led_flash_cnt[1309][5]~45214_combout\,
	cout => \led_flash_cnt[1309][5]~45215\);

-- Location: FF_X2_Y5_N23
\led_flash_cnt[1309][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1309][5]~45214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1309][5]~q\);

-- Location: LCCOMB_X2_Y5_N24
\led_flash_cnt[1309][6]~45216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1309][6]~45216_combout\ = (\led_flash_cnt[1309][6]~q\ & (!\led_flash_cnt[1309][5]~45215\)) # (!\led_flash_cnt[1309][6]~q\ & ((\led_flash_cnt[1309][5]~45215\) # (GND)))
-- \led_flash_cnt[1309][6]~45217\ = CARRY((!\led_flash_cnt[1309][5]~45215\) # (!\led_flash_cnt[1309][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1309][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1309][5]~45215\,
	combout => \led_flash_cnt[1309][6]~45216_combout\,
	cout => \led_flash_cnt[1309][6]~45217\);

-- Location: FF_X2_Y5_N25
\led_flash_cnt[1309][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1309][6]~45216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1309][6]~q\);

-- Location: LCCOMB_X1_Y5_N24
\WideAnd1309~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1309~1_combout\ = (\led_flash_cnt[1309][6]~q\ & \led_flash_cnt[1309][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1309][6]~q\,
	datad => \led_flash_cnt[1309][5]~q\,
	combout => \WideAnd1309~1_combout\);

-- Location: LCCOMB_X2_Y5_N26
\led_flash_cnt[1309][7]~45218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1309][7]~45218_combout\ = \led_flash_cnt[1309][7]~q\ $ (!\led_flash_cnt[1309][6]~45217\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1309][7]~q\,
	cin => \led_flash_cnt[1309][6]~45217\,
	combout => \led_flash_cnt[1309][7]~45218_combout\);

-- Location: FF_X2_Y5_N27
\led_flash_cnt[1309][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1309][7]~45218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1309][7]~q\);

-- Location: LCCOMB_X1_Y5_N20
WideAnd1309 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1309~combout\ = (\WideAnd1309~0_combout\ & (\led_flash_cnt[1309][0]~q\ & (\WideAnd1309~1_combout\ & \led_flash_cnt[1309][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1309~0_combout\,
	datab => \led_flash_cnt[1309][0]~q\,
	datac => \WideAnd1309~1_combout\,
	datad => \led_flash_cnt[1309][7]~q\,
	combout => \WideAnd1309~combout\);

-- Location: FF_X1_Y5_N21
\led_flash_cnt_ands[1309]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1309~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1309));

-- Location: LCCOMB_X1_Y5_N0
\WideAnd4003~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4003~1_combout\ = (led_flash_cnt_ands(1308) & led_flash_cnt_ands(1309))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1308),
	datad => led_flash_cnt_ands(1309),
	combout => \WideAnd4003~1_combout\);

-- Location: LCCOMB_X1_Y10_N20
\led_flash_cnt[1310][0]~81950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1310][0]~81950_combout\ = !\led_flash_cnt[1310][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1310][0]~q\,
	combout => \led_flash_cnt[1310][0]~81950_combout\);

-- Location: FF_X1_Y10_N21
\led_flash_cnt[1310][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1310][0]~81950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1310][0]~q\);

-- Location: LCCOMB_X1_Y10_N6
\led_flash_cnt[1310][1]~45220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1310][1]~45220_combout\ = (\led_flash_cnt[1310][1]~q\ & (\led_flash_cnt[1310][0]~q\ $ (VCC))) # (!\led_flash_cnt[1310][1]~q\ & (\led_flash_cnt[1310][0]~q\ & VCC))
-- \led_flash_cnt[1310][1]~45221\ = CARRY((\led_flash_cnt[1310][1]~q\ & \led_flash_cnt[1310][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1310][1]~q\,
	datab => \led_flash_cnt[1310][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1310][1]~45220_combout\,
	cout => \led_flash_cnt[1310][1]~45221\);

-- Location: FF_X1_Y10_N7
\led_flash_cnt[1310][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1310][1]~45220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1310][1]~q\);

-- Location: LCCOMB_X1_Y10_N8
\led_flash_cnt[1310][2]~45222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1310][2]~45222_combout\ = (\led_flash_cnt[1310][2]~q\ & (!\led_flash_cnt[1310][1]~45221\)) # (!\led_flash_cnt[1310][2]~q\ & ((\led_flash_cnt[1310][1]~45221\) # (GND)))
-- \led_flash_cnt[1310][2]~45223\ = CARRY((!\led_flash_cnt[1310][1]~45221\) # (!\led_flash_cnt[1310][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1310][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1310][1]~45221\,
	combout => \led_flash_cnt[1310][2]~45222_combout\,
	cout => \led_flash_cnt[1310][2]~45223\);

-- Location: FF_X1_Y10_N9
\led_flash_cnt[1310][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1310][2]~45222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1310][2]~q\);

-- Location: LCCOMB_X1_Y10_N10
\led_flash_cnt[1310][3]~45224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1310][3]~45224_combout\ = (\led_flash_cnt[1310][3]~q\ & (\led_flash_cnt[1310][2]~45223\ $ (GND))) # (!\led_flash_cnt[1310][3]~q\ & (!\led_flash_cnt[1310][2]~45223\ & VCC))
-- \led_flash_cnt[1310][3]~45225\ = CARRY((\led_flash_cnt[1310][3]~q\ & !\led_flash_cnt[1310][2]~45223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1310][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1310][2]~45223\,
	combout => \led_flash_cnt[1310][3]~45224_combout\,
	cout => \led_flash_cnt[1310][3]~45225\);

-- Location: FF_X1_Y10_N11
\led_flash_cnt[1310][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1310][3]~45224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1310][3]~q\);

-- Location: LCCOMB_X1_Y10_N12
\led_flash_cnt[1310][4]~45226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1310][4]~45226_combout\ = (\led_flash_cnt[1310][4]~q\ & (!\led_flash_cnt[1310][3]~45225\)) # (!\led_flash_cnt[1310][4]~q\ & ((\led_flash_cnt[1310][3]~45225\) # (GND)))
-- \led_flash_cnt[1310][4]~45227\ = CARRY((!\led_flash_cnt[1310][3]~45225\) # (!\led_flash_cnt[1310][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1310][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1310][3]~45225\,
	combout => \led_flash_cnt[1310][4]~45226_combout\,
	cout => \led_flash_cnt[1310][4]~45227\);

-- Location: FF_X1_Y10_N13
\led_flash_cnt[1310][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1310][4]~45226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1310][4]~q\);

-- Location: LCCOMB_X1_Y10_N14
\led_flash_cnt[1310][5]~45228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1310][5]~45228_combout\ = (\led_flash_cnt[1310][5]~q\ & (\led_flash_cnt[1310][4]~45227\ $ (GND))) # (!\led_flash_cnt[1310][5]~q\ & (!\led_flash_cnt[1310][4]~45227\ & VCC))
-- \led_flash_cnt[1310][5]~45229\ = CARRY((\led_flash_cnt[1310][5]~q\ & !\led_flash_cnt[1310][4]~45227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1310][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1310][4]~45227\,
	combout => \led_flash_cnt[1310][5]~45228_combout\,
	cout => \led_flash_cnt[1310][5]~45229\);

-- Location: FF_X1_Y10_N15
\led_flash_cnt[1310][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1310][5]~45228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1310][5]~q\);

-- Location: LCCOMB_X1_Y10_N16
\led_flash_cnt[1310][6]~45230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1310][6]~45230_combout\ = (\led_flash_cnt[1310][6]~q\ & (!\led_flash_cnt[1310][5]~45229\)) # (!\led_flash_cnt[1310][6]~q\ & ((\led_flash_cnt[1310][5]~45229\) # (GND)))
-- \led_flash_cnt[1310][6]~45231\ = CARRY((!\led_flash_cnt[1310][5]~45229\) # (!\led_flash_cnt[1310][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1310][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1310][5]~45229\,
	combout => \led_flash_cnt[1310][6]~45230_combout\,
	cout => \led_flash_cnt[1310][6]~45231\);

-- Location: FF_X1_Y10_N17
\led_flash_cnt[1310][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1310][6]~45230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1310][6]~q\);

-- Location: LCCOMB_X1_Y10_N26
\WideAnd1310~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1310~1_combout\ = (\led_flash_cnt[1310][5]~q\ & \led_flash_cnt[1310][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1310][5]~q\,
	datad => \led_flash_cnt[1310][6]~q\,
	combout => \WideAnd1310~1_combout\);

-- Location: LCCOMB_X1_Y10_N22
\WideAnd1310~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1310~0_combout\ = (\led_flash_cnt[1310][1]~q\ & (\led_flash_cnt[1310][4]~q\ & (\led_flash_cnt[1310][2]~q\ & \led_flash_cnt[1310][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1310][1]~q\,
	datab => \led_flash_cnt[1310][4]~q\,
	datac => \led_flash_cnt[1310][2]~q\,
	datad => \led_flash_cnt[1310][3]~q\,
	combout => \WideAnd1310~0_combout\);

-- Location: LCCOMB_X1_Y10_N18
\led_flash_cnt[1310][7]~45232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1310][7]~45232_combout\ = \led_flash_cnt[1310][6]~45231\ $ (!\led_flash_cnt[1310][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1310][7]~q\,
	cin => \led_flash_cnt[1310][6]~45231\,
	combout => \led_flash_cnt[1310][7]~45232_combout\);

-- Location: FF_X1_Y10_N19
\led_flash_cnt[1310][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1310][7]~45232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1310][7]~q\);

-- Location: LCCOMB_X1_Y10_N4
WideAnd1310 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1310~combout\ = (\WideAnd1310~1_combout\ & (\led_flash_cnt[1310][0]~q\ & (\WideAnd1310~0_combout\ & \led_flash_cnt[1310][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1310~1_combout\,
	datab => \led_flash_cnt[1310][0]~q\,
	datac => \WideAnd1310~0_combout\,
	datad => \led_flash_cnt[1310][7]~q\,
	combout => \WideAnd1310~combout\);

-- Location: FF_X1_Y10_N5
\led_flash_cnt_ands[1310]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1310~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1310));

-- Location: LCCOMB_X2_Y11_N28
\led_flash_cnt[1307][0]~81947\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1307][0]~81947_combout\ = !\led_flash_cnt[1307][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1307][0]~q\,
	combout => \led_flash_cnt[1307][0]~81947_combout\);

-- Location: FF_X2_Y11_N29
\led_flash_cnt[1307][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1307][0]~81947_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1307][0]~q\);

-- Location: LCCOMB_X1_Y11_N0
\led_flash_cnt[1307][1]~45178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1307][1]~45178_combout\ = (\led_flash_cnt[1307][0]~q\ & (\led_flash_cnt[1307][1]~q\ $ (VCC))) # (!\led_flash_cnt[1307][0]~q\ & (\led_flash_cnt[1307][1]~q\ & VCC))
-- \led_flash_cnt[1307][1]~45179\ = CARRY((\led_flash_cnt[1307][0]~q\ & \led_flash_cnt[1307][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1307][0]~q\,
	datab => \led_flash_cnt[1307][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1307][1]~45178_combout\,
	cout => \led_flash_cnt[1307][1]~45179\);

-- Location: FF_X1_Y11_N1
\led_flash_cnt[1307][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1307][1]~45178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1307][1]~q\);

-- Location: LCCOMB_X1_Y11_N2
\led_flash_cnt[1307][2]~45180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1307][2]~45180_combout\ = (\led_flash_cnt[1307][2]~q\ & (!\led_flash_cnt[1307][1]~45179\)) # (!\led_flash_cnt[1307][2]~q\ & ((\led_flash_cnt[1307][1]~45179\) # (GND)))
-- \led_flash_cnt[1307][2]~45181\ = CARRY((!\led_flash_cnt[1307][1]~45179\) # (!\led_flash_cnt[1307][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1307][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1307][1]~45179\,
	combout => \led_flash_cnt[1307][2]~45180_combout\,
	cout => \led_flash_cnt[1307][2]~45181\);

-- Location: FF_X1_Y11_N3
\led_flash_cnt[1307][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1307][2]~45180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1307][2]~q\);

-- Location: LCCOMB_X1_Y11_N4
\led_flash_cnt[1307][3]~45182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1307][3]~45182_combout\ = (\led_flash_cnt[1307][3]~q\ & (\led_flash_cnt[1307][2]~45181\ $ (GND))) # (!\led_flash_cnt[1307][3]~q\ & (!\led_flash_cnt[1307][2]~45181\ & VCC))
-- \led_flash_cnt[1307][3]~45183\ = CARRY((\led_flash_cnt[1307][3]~q\ & !\led_flash_cnt[1307][2]~45181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1307][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1307][2]~45181\,
	combout => \led_flash_cnt[1307][3]~45182_combout\,
	cout => \led_flash_cnt[1307][3]~45183\);

-- Location: FF_X1_Y11_N5
\led_flash_cnt[1307][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1307][3]~45182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1307][3]~q\);

-- Location: LCCOMB_X1_Y11_N6
\led_flash_cnt[1307][4]~45184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1307][4]~45184_combout\ = (\led_flash_cnt[1307][4]~q\ & (!\led_flash_cnt[1307][3]~45183\)) # (!\led_flash_cnt[1307][4]~q\ & ((\led_flash_cnt[1307][3]~45183\) # (GND)))
-- \led_flash_cnt[1307][4]~45185\ = CARRY((!\led_flash_cnt[1307][3]~45183\) # (!\led_flash_cnt[1307][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1307][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1307][3]~45183\,
	combout => \led_flash_cnt[1307][4]~45184_combout\,
	cout => \led_flash_cnt[1307][4]~45185\);

-- Location: FF_X1_Y11_N7
\led_flash_cnt[1307][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1307][4]~45184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1307][4]~q\);

-- Location: LCCOMB_X1_Y11_N8
\led_flash_cnt[1307][5]~45186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1307][5]~45186_combout\ = (\led_flash_cnt[1307][5]~q\ & (\led_flash_cnt[1307][4]~45185\ $ (GND))) # (!\led_flash_cnt[1307][5]~q\ & (!\led_flash_cnt[1307][4]~45185\ & VCC))
-- \led_flash_cnt[1307][5]~45187\ = CARRY((\led_flash_cnt[1307][5]~q\ & !\led_flash_cnt[1307][4]~45185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1307][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1307][4]~45185\,
	combout => \led_flash_cnt[1307][5]~45186_combout\,
	cout => \led_flash_cnt[1307][5]~45187\);

-- Location: FF_X1_Y11_N9
\led_flash_cnt[1307][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1307][5]~45186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1307][5]~q\);

-- Location: LCCOMB_X1_Y11_N10
\led_flash_cnt[1307][6]~45188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1307][6]~45188_combout\ = (\led_flash_cnt[1307][6]~q\ & (!\led_flash_cnt[1307][5]~45187\)) # (!\led_flash_cnt[1307][6]~q\ & ((\led_flash_cnt[1307][5]~45187\) # (GND)))
-- \led_flash_cnt[1307][6]~45189\ = CARRY((!\led_flash_cnt[1307][5]~45187\) # (!\led_flash_cnt[1307][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1307][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1307][5]~45187\,
	combout => \led_flash_cnt[1307][6]~45188_combout\,
	cout => \led_flash_cnt[1307][6]~45189\);

-- Location: FF_X1_Y11_N11
\led_flash_cnt[1307][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1307][6]~45188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1307][6]~q\);

-- Location: LCCOMB_X1_Y11_N12
\led_flash_cnt[1307][7]~45190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1307][7]~45190_combout\ = \led_flash_cnt[1307][6]~45189\ $ (!\led_flash_cnt[1307][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1307][7]~q\,
	cin => \led_flash_cnt[1307][6]~45189\,
	combout => \led_flash_cnt[1307][7]~45190_combout\);

-- Location: FF_X1_Y11_N13
\led_flash_cnt[1307][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1307][7]~45190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1307][7]~q\);

-- Location: LCCOMB_X1_Y11_N30
\WideAnd1307~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1307~0_combout\ = (\led_flash_cnt[1307][4]~q\ & (\led_flash_cnt[1307][2]~q\ & (\led_flash_cnt[1307][3]~q\ & \led_flash_cnt[1307][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1307][4]~q\,
	datab => \led_flash_cnt[1307][2]~q\,
	datac => \led_flash_cnt[1307][3]~q\,
	datad => \led_flash_cnt[1307][1]~q\,
	combout => \WideAnd1307~0_combout\);

-- Location: LCCOMB_X2_Y11_N14
\WideAnd1307~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1307~1_combout\ = (\led_flash_cnt[1307][5]~q\ & \led_flash_cnt[1307][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1307][5]~q\,
	datad => \led_flash_cnt[1307][6]~q\,
	combout => \WideAnd1307~1_combout\);

-- Location: LCCOMB_X2_Y11_N22
WideAnd1307 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1307~combout\ = (\led_flash_cnt[1307][7]~q\ & (\WideAnd1307~0_combout\ & (\WideAnd1307~1_combout\ & \led_flash_cnt[1307][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1307][7]~q\,
	datab => \WideAnd1307~0_combout\,
	datac => \WideAnd1307~1_combout\,
	datad => \led_flash_cnt[1307][0]~q\,
	combout => \WideAnd1307~combout\);

-- Location: FF_X2_Y11_N23
\led_flash_cnt_ands[1307]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1307~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1307));

-- Location: LCCOMB_X2_Y11_N16
\led_flash_cnt[1304][0]~81944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1304][0]~81944_combout\ = !\led_flash_cnt[1304][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1304][0]~q\,
	combout => \led_flash_cnt[1304][0]~81944_combout\);

-- Location: FF_X2_Y11_N17
\led_flash_cnt[1304][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1304][0]~81944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1304][0]~q\);

-- Location: LCCOMB_X2_Y11_N0
\led_flash_cnt[1304][1]~45136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1304][1]~45136_combout\ = (\led_flash_cnt[1304][1]~q\ & (\led_flash_cnt[1304][0]~q\ $ (VCC))) # (!\led_flash_cnt[1304][1]~q\ & (\led_flash_cnt[1304][0]~q\ & VCC))
-- \led_flash_cnt[1304][1]~45137\ = CARRY((\led_flash_cnt[1304][1]~q\ & \led_flash_cnt[1304][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1304][1]~q\,
	datab => \led_flash_cnt[1304][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1304][1]~45136_combout\,
	cout => \led_flash_cnt[1304][1]~45137\);

-- Location: FF_X2_Y11_N1
\led_flash_cnt[1304][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1304][1]~45136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1304][1]~q\);

-- Location: LCCOMB_X2_Y11_N2
\led_flash_cnt[1304][2]~45138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1304][2]~45138_combout\ = (\led_flash_cnt[1304][2]~q\ & (!\led_flash_cnt[1304][1]~45137\)) # (!\led_flash_cnt[1304][2]~q\ & ((\led_flash_cnt[1304][1]~45137\) # (GND)))
-- \led_flash_cnt[1304][2]~45139\ = CARRY((!\led_flash_cnt[1304][1]~45137\) # (!\led_flash_cnt[1304][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1304][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1304][1]~45137\,
	combout => \led_flash_cnt[1304][2]~45138_combout\,
	cout => \led_flash_cnt[1304][2]~45139\);

-- Location: FF_X2_Y11_N3
\led_flash_cnt[1304][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1304][2]~45138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1304][2]~q\);

-- Location: LCCOMB_X2_Y11_N4
\led_flash_cnt[1304][3]~45140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1304][3]~45140_combout\ = (\led_flash_cnt[1304][3]~q\ & (\led_flash_cnt[1304][2]~45139\ $ (GND))) # (!\led_flash_cnt[1304][3]~q\ & (!\led_flash_cnt[1304][2]~45139\ & VCC))
-- \led_flash_cnt[1304][3]~45141\ = CARRY((\led_flash_cnt[1304][3]~q\ & !\led_flash_cnt[1304][2]~45139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1304][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1304][2]~45139\,
	combout => \led_flash_cnt[1304][3]~45140_combout\,
	cout => \led_flash_cnt[1304][3]~45141\);

-- Location: FF_X2_Y11_N5
\led_flash_cnt[1304][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1304][3]~45140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1304][3]~q\);

-- Location: LCCOMB_X2_Y11_N6
\led_flash_cnt[1304][4]~45142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1304][4]~45142_combout\ = (\led_flash_cnt[1304][4]~q\ & (!\led_flash_cnt[1304][3]~45141\)) # (!\led_flash_cnt[1304][4]~q\ & ((\led_flash_cnt[1304][3]~45141\) # (GND)))
-- \led_flash_cnt[1304][4]~45143\ = CARRY((!\led_flash_cnt[1304][3]~45141\) # (!\led_flash_cnt[1304][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1304][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1304][3]~45141\,
	combout => \led_flash_cnt[1304][4]~45142_combout\,
	cout => \led_flash_cnt[1304][4]~45143\);

-- Location: FF_X2_Y11_N7
\led_flash_cnt[1304][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1304][4]~45142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1304][4]~q\);

-- Location: LCCOMB_X2_Y11_N8
\led_flash_cnt[1304][5]~45144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1304][5]~45144_combout\ = (\led_flash_cnt[1304][5]~q\ & (\led_flash_cnt[1304][4]~45143\ $ (GND))) # (!\led_flash_cnt[1304][5]~q\ & (!\led_flash_cnt[1304][4]~45143\ & VCC))
-- \led_flash_cnt[1304][5]~45145\ = CARRY((\led_flash_cnt[1304][5]~q\ & !\led_flash_cnt[1304][4]~45143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1304][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1304][4]~45143\,
	combout => \led_flash_cnt[1304][5]~45144_combout\,
	cout => \led_flash_cnt[1304][5]~45145\);

-- Location: FF_X2_Y11_N9
\led_flash_cnt[1304][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1304][5]~45144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1304][5]~q\);

-- Location: LCCOMB_X2_Y11_N10
\led_flash_cnt[1304][6]~45146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1304][6]~45146_combout\ = (\led_flash_cnt[1304][6]~q\ & (!\led_flash_cnt[1304][5]~45145\)) # (!\led_flash_cnt[1304][6]~q\ & ((\led_flash_cnt[1304][5]~45145\) # (GND)))
-- \led_flash_cnt[1304][6]~45147\ = CARRY((!\led_flash_cnt[1304][5]~45145\) # (!\led_flash_cnt[1304][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1304][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1304][5]~45145\,
	combout => \led_flash_cnt[1304][6]~45146_combout\,
	cout => \led_flash_cnt[1304][6]~45147\);

-- Location: FF_X2_Y11_N11
\led_flash_cnt[1304][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1304][6]~45146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1304][6]~q\);

-- Location: LCCOMB_X2_Y11_N12
\led_flash_cnt[1304][7]~45148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1304][7]~45148_combout\ = \led_flash_cnt[1304][6]~45147\ $ (!\led_flash_cnt[1304][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1304][7]~q\,
	cin => \led_flash_cnt[1304][6]~45147\,
	combout => \led_flash_cnt[1304][7]~45148_combout\);

-- Location: FF_X2_Y11_N13
\led_flash_cnt[1304][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1304][7]~45148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1304][7]~q\);

-- Location: LCCOMB_X2_Y11_N24
\WideAnd1304~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1304~1_combout\ = (\led_flash_cnt[1304][5]~q\ & \led_flash_cnt[1304][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1304][5]~q\,
	datad => \led_flash_cnt[1304][6]~q\,
	combout => \WideAnd1304~1_combout\);

-- Location: LCCOMB_X2_Y11_N26
\WideAnd1304~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1304~0_combout\ = (\led_flash_cnt[1304][4]~q\ & (\led_flash_cnt[1304][2]~q\ & (\led_flash_cnt[1304][3]~q\ & \led_flash_cnt[1304][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1304][4]~q\,
	datab => \led_flash_cnt[1304][2]~q\,
	datac => \led_flash_cnt[1304][3]~q\,
	datad => \led_flash_cnt[1304][1]~q\,
	combout => \WideAnd1304~0_combout\);

-- Location: LCCOMB_X2_Y11_N20
WideAnd1304 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1304~combout\ = (\led_flash_cnt[1304][7]~q\ & (\WideAnd1304~1_combout\ & (\WideAnd1304~0_combout\ & \led_flash_cnt[1304][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1304][7]~q\,
	datab => \WideAnd1304~1_combout\,
	datac => \WideAnd1304~0_combout\,
	datad => \led_flash_cnt[1304][0]~q\,
	combout => \WideAnd1304~combout\);

-- Location: FF_X2_Y11_N21
\led_flash_cnt_ands[1304]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1304~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1304));

-- Location: LCCOMB_X39_Y1_N6
\led_flash_cnt[1305][0]~81945\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1305][0]~81945_combout\ = !\led_flash_cnt[1305][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1305][0]~q\,
	combout => \led_flash_cnt[1305][0]~81945_combout\);

-- Location: FF_X39_Y1_N7
\led_flash_cnt[1305][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1305][0]~81945_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1305][0]~q\);

-- Location: LCCOMB_X39_Y1_N14
\led_flash_cnt[1305][1]~45150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1305][1]~45150_combout\ = (\led_flash_cnt[1305][0]~q\ & (\led_flash_cnt[1305][1]~q\ $ (VCC))) # (!\led_flash_cnt[1305][0]~q\ & (\led_flash_cnt[1305][1]~q\ & VCC))
-- \led_flash_cnt[1305][1]~45151\ = CARRY((\led_flash_cnt[1305][0]~q\ & \led_flash_cnt[1305][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1305][0]~q\,
	datab => \led_flash_cnt[1305][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1305][1]~45150_combout\,
	cout => \led_flash_cnt[1305][1]~45151\);

-- Location: FF_X39_Y1_N15
\led_flash_cnt[1305][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1305][1]~45150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1305][1]~q\);

-- Location: LCCOMB_X39_Y1_N16
\led_flash_cnt[1305][2]~45152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1305][2]~45152_combout\ = (\led_flash_cnt[1305][2]~q\ & (!\led_flash_cnt[1305][1]~45151\)) # (!\led_flash_cnt[1305][2]~q\ & ((\led_flash_cnt[1305][1]~45151\) # (GND)))
-- \led_flash_cnt[1305][2]~45153\ = CARRY((!\led_flash_cnt[1305][1]~45151\) # (!\led_flash_cnt[1305][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1305][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1305][1]~45151\,
	combout => \led_flash_cnt[1305][2]~45152_combout\,
	cout => \led_flash_cnt[1305][2]~45153\);

-- Location: FF_X39_Y1_N17
\led_flash_cnt[1305][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1305][2]~45152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1305][2]~q\);

-- Location: LCCOMB_X39_Y1_N18
\led_flash_cnt[1305][3]~45154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1305][3]~45154_combout\ = (\led_flash_cnt[1305][3]~q\ & (\led_flash_cnt[1305][2]~45153\ $ (GND))) # (!\led_flash_cnt[1305][3]~q\ & (!\led_flash_cnt[1305][2]~45153\ & VCC))
-- \led_flash_cnt[1305][3]~45155\ = CARRY((\led_flash_cnt[1305][3]~q\ & !\led_flash_cnt[1305][2]~45153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1305][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1305][2]~45153\,
	combout => \led_flash_cnt[1305][3]~45154_combout\,
	cout => \led_flash_cnt[1305][3]~45155\);

-- Location: FF_X39_Y1_N19
\led_flash_cnt[1305][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1305][3]~45154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1305][3]~q\);

-- Location: LCCOMB_X39_Y1_N20
\led_flash_cnt[1305][4]~45156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1305][4]~45156_combout\ = (\led_flash_cnt[1305][4]~q\ & (!\led_flash_cnt[1305][3]~45155\)) # (!\led_flash_cnt[1305][4]~q\ & ((\led_flash_cnt[1305][3]~45155\) # (GND)))
-- \led_flash_cnt[1305][4]~45157\ = CARRY((!\led_flash_cnt[1305][3]~45155\) # (!\led_flash_cnt[1305][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1305][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1305][3]~45155\,
	combout => \led_flash_cnt[1305][4]~45156_combout\,
	cout => \led_flash_cnt[1305][4]~45157\);

-- Location: FF_X39_Y1_N21
\led_flash_cnt[1305][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1305][4]~45156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1305][4]~q\);

-- Location: LCCOMB_X39_Y1_N22
\led_flash_cnt[1305][5]~45158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1305][5]~45158_combout\ = (\led_flash_cnt[1305][5]~q\ & (\led_flash_cnt[1305][4]~45157\ $ (GND))) # (!\led_flash_cnt[1305][5]~q\ & (!\led_flash_cnt[1305][4]~45157\ & VCC))
-- \led_flash_cnt[1305][5]~45159\ = CARRY((\led_flash_cnt[1305][5]~q\ & !\led_flash_cnt[1305][4]~45157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1305][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1305][4]~45157\,
	combout => \led_flash_cnt[1305][5]~45158_combout\,
	cout => \led_flash_cnt[1305][5]~45159\);

-- Location: FF_X39_Y1_N23
\led_flash_cnt[1305][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1305][5]~45158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1305][5]~q\);

-- Location: LCCOMB_X39_Y1_N24
\led_flash_cnt[1305][6]~45160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1305][6]~45160_combout\ = (\led_flash_cnt[1305][6]~q\ & (!\led_flash_cnt[1305][5]~45159\)) # (!\led_flash_cnt[1305][6]~q\ & ((\led_flash_cnt[1305][5]~45159\) # (GND)))
-- \led_flash_cnt[1305][6]~45161\ = CARRY((!\led_flash_cnt[1305][5]~45159\) # (!\led_flash_cnt[1305][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1305][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1305][5]~45159\,
	combout => \led_flash_cnt[1305][6]~45160_combout\,
	cout => \led_flash_cnt[1305][6]~45161\);

-- Location: FF_X39_Y1_N25
\led_flash_cnt[1305][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1305][6]~45160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1305][6]~q\);

-- Location: LCCOMB_X39_Y1_N30
\WideAnd1305~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1305~1_combout\ = (\led_flash_cnt[1305][5]~q\ & \led_flash_cnt[1305][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1305][5]~q\,
	datad => \led_flash_cnt[1305][6]~q\,
	combout => \WideAnd1305~1_combout\);

-- Location: LCCOMB_X39_Y1_N28
\WideAnd1305~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1305~0_combout\ = (\led_flash_cnt[1305][3]~q\ & (\led_flash_cnt[1305][4]~q\ & (\led_flash_cnt[1305][1]~q\ & \led_flash_cnt[1305][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1305][3]~q\,
	datab => \led_flash_cnt[1305][4]~q\,
	datac => \led_flash_cnt[1305][1]~q\,
	datad => \led_flash_cnt[1305][2]~q\,
	combout => \WideAnd1305~0_combout\);

-- Location: LCCOMB_X39_Y1_N26
\led_flash_cnt[1305][7]~45162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1305][7]~45162_combout\ = \led_flash_cnt[1305][7]~q\ $ (!\led_flash_cnt[1305][6]~45161\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1305][7]~q\,
	cin => \led_flash_cnt[1305][6]~45161\,
	combout => \led_flash_cnt[1305][7]~45162_combout\);

-- Location: FF_X39_Y1_N27
\led_flash_cnt[1305][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1305][7]~45162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1305][7]~q\);

-- Location: LCCOMB_X39_Y1_N4
WideAnd1305 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1305~combout\ = (\WideAnd1305~1_combout\ & (\WideAnd1305~0_combout\ & (\led_flash_cnt[1305][7]~q\ & \led_flash_cnt[1305][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1305~1_combout\,
	datab => \WideAnd1305~0_combout\,
	datac => \led_flash_cnt[1305][7]~q\,
	datad => \led_flash_cnt[1305][0]~q\,
	combout => \WideAnd1305~combout\);

-- Location: FF_X39_Y1_N5
\led_flash_cnt_ands[1305]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1305~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1305));

-- Location: LCCOMB_X3_Y11_N26
\led_flash_cnt[1306][0]~81946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1306][0]~81946_combout\ = !\led_flash_cnt[1306][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1306][0]~q\,
	combout => \led_flash_cnt[1306][0]~81946_combout\);

-- Location: FF_X3_Y11_N27
\led_flash_cnt[1306][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1306][0]~81946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1306][0]~q\);

-- Location: LCCOMB_X3_Y11_N4
\led_flash_cnt[1306][1]~45164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1306][1]~45164_combout\ = (\led_flash_cnt[1306][0]~q\ & (\led_flash_cnt[1306][1]~q\ $ (VCC))) # (!\led_flash_cnt[1306][0]~q\ & (\led_flash_cnt[1306][1]~q\ & VCC))
-- \led_flash_cnt[1306][1]~45165\ = CARRY((\led_flash_cnt[1306][0]~q\ & \led_flash_cnt[1306][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1306][0]~q\,
	datab => \led_flash_cnt[1306][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1306][1]~45164_combout\,
	cout => \led_flash_cnt[1306][1]~45165\);

-- Location: FF_X3_Y11_N5
\led_flash_cnt[1306][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1306][1]~45164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1306][1]~q\);

-- Location: LCCOMB_X3_Y11_N6
\led_flash_cnt[1306][2]~45166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1306][2]~45166_combout\ = (\led_flash_cnt[1306][2]~q\ & (!\led_flash_cnt[1306][1]~45165\)) # (!\led_flash_cnt[1306][2]~q\ & ((\led_flash_cnt[1306][1]~45165\) # (GND)))
-- \led_flash_cnt[1306][2]~45167\ = CARRY((!\led_flash_cnt[1306][1]~45165\) # (!\led_flash_cnt[1306][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1306][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1306][1]~45165\,
	combout => \led_flash_cnt[1306][2]~45166_combout\,
	cout => \led_flash_cnt[1306][2]~45167\);

-- Location: FF_X3_Y11_N7
\led_flash_cnt[1306][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1306][2]~45166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1306][2]~q\);

-- Location: LCCOMB_X3_Y11_N8
\led_flash_cnt[1306][3]~45168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1306][3]~45168_combout\ = (\led_flash_cnt[1306][3]~q\ & (\led_flash_cnt[1306][2]~45167\ $ (GND))) # (!\led_flash_cnt[1306][3]~q\ & (!\led_flash_cnt[1306][2]~45167\ & VCC))
-- \led_flash_cnt[1306][3]~45169\ = CARRY((\led_flash_cnt[1306][3]~q\ & !\led_flash_cnt[1306][2]~45167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1306][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1306][2]~45167\,
	combout => \led_flash_cnt[1306][3]~45168_combout\,
	cout => \led_flash_cnt[1306][3]~45169\);

-- Location: FF_X3_Y11_N9
\led_flash_cnt[1306][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1306][3]~45168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1306][3]~q\);

-- Location: LCCOMB_X3_Y11_N10
\led_flash_cnt[1306][4]~45170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1306][4]~45170_combout\ = (\led_flash_cnt[1306][4]~q\ & (!\led_flash_cnt[1306][3]~45169\)) # (!\led_flash_cnt[1306][4]~q\ & ((\led_flash_cnt[1306][3]~45169\) # (GND)))
-- \led_flash_cnt[1306][4]~45171\ = CARRY((!\led_flash_cnt[1306][3]~45169\) # (!\led_flash_cnt[1306][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1306][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1306][3]~45169\,
	combout => \led_flash_cnt[1306][4]~45170_combout\,
	cout => \led_flash_cnt[1306][4]~45171\);

-- Location: FF_X3_Y11_N11
\led_flash_cnt[1306][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1306][4]~45170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1306][4]~q\);

-- Location: LCCOMB_X3_Y11_N22
\WideAnd1306~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1306~0_combout\ = (\led_flash_cnt[1306][2]~q\ & (\led_flash_cnt[1306][3]~q\ & (\led_flash_cnt[1306][1]~q\ & \led_flash_cnt[1306][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1306][2]~q\,
	datab => \led_flash_cnt[1306][3]~q\,
	datac => \led_flash_cnt[1306][1]~q\,
	datad => \led_flash_cnt[1306][4]~q\,
	combout => \WideAnd1306~0_combout\);

-- Location: LCCOMB_X3_Y11_N12
\led_flash_cnt[1306][5]~45172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1306][5]~45172_combout\ = (\led_flash_cnt[1306][5]~q\ & (\led_flash_cnt[1306][4]~45171\ $ (GND))) # (!\led_flash_cnt[1306][5]~q\ & (!\led_flash_cnt[1306][4]~45171\ & VCC))
-- \led_flash_cnt[1306][5]~45173\ = CARRY((\led_flash_cnt[1306][5]~q\ & !\led_flash_cnt[1306][4]~45171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1306][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1306][4]~45171\,
	combout => \led_flash_cnt[1306][5]~45172_combout\,
	cout => \led_flash_cnt[1306][5]~45173\);

-- Location: FF_X3_Y11_N13
\led_flash_cnt[1306][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1306][5]~45172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1306][5]~q\);

-- Location: LCCOMB_X3_Y11_N14
\led_flash_cnt[1306][6]~45174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1306][6]~45174_combout\ = (\led_flash_cnt[1306][6]~q\ & (!\led_flash_cnt[1306][5]~45173\)) # (!\led_flash_cnt[1306][6]~q\ & ((\led_flash_cnt[1306][5]~45173\) # (GND)))
-- \led_flash_cnt[1306][6]~45175\ = CARRY((!\led_flash_cnt[1306][5]~45173\) # (!\led_flash_cnt[1306][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1306][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1306][5]~45173\,
	combout => \led_flash_cnt[1306][6]~45174_combout\,
	cout => \led_flash_cnt[1306][6]~45175\);

-- Location: FF_X3_Y11_N15
\led_flash_cnt[1306][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1306][6]~45174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1306][6]~q\);

-- Location: LCCOMB_X3_Y11_N24
\WideAnd1306~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1306~1_combout\ = (\led_flash_cnt[1306][6]~q\ & \led_flash_cnt[1306][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1306][6]~q\,
	datad => \led_flash_cnt[1306][5]~q\,
	combout => \WideAnd1306~1_combout\);

-- Location: LCCOMB_X3_Y11_N16
\led_flash_cnt[1306][7]~45176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1306][7]~45176_combout\ = \led_flash_cnt[1306][6]~45175\ $ (!\led_flash_cnt[1306][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1306][7]~q\,
	cin => \led_flash_cnt[1306][6]~45175\,
	combout => \led_flash_cnt[1306][7]~45176_combout\);

-- Location: FF_X3_Y11_N17
\led_flash_cnt[1306][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1306][7]~45176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1306][7]~q\);

-- Location: LCCOMB_X3_Y11_N28
WideAnd1306 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1306~combout\ = (\WideAnd1306~0_combout\ & (\WideAnd1306~1_combout\ & (\led_flash_cnt[1306][0]~q\ & \led_flash_cnt[1306][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1306~0_combout\,
	datab => \WideAnd1306~1_combout\,
	datac => \led_flash_cnt[1306][0]~q\,
	datad => \led_flash_cnt[1306][7]~q\,
	combout => \WideAnd1306~combout\);

-- Location: FF_X3_Y11_N29
\led_flash_cnt_ands[1306]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1306~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1306));

-- Location: LCCOMB_X2_Y11_N30
\WideAnd4003~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4003~0_combout\ = (led_flash_cnt_ands(1307) & (led_flash_cnt_ands(1304) & (led_flash_cnt_ands(1305) & led_flash_cnt_ands(1306))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1307),
	datab => led_flash_cnt_ands(1304),
	datac => led_flash_cnt_ands(1305),
	datad => led_flash_cnt_ands(1306),
	combout => \WideAnd4003~0_combout\);

-- Location: LCCOMB_X1_Y10_N28
\led_flash_cnt[1311][0]~81951\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1311][0]~81951_combout\ = !\led_flash_cnt[1311][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1311][0]~q\,
	combout => \led_flash_cnt[1311][0]~81951_combout\);

-- Location: FF_X1_Y10_N29
\led_flash_cnt[1311][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1311][0]~81951_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1311][0]~q\);

-- Location: LCCOMB_X2_Y10_N0
\led_flash_cnt[1311][1]~45234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1311][1]~45234_combout\ = (\led_flash_cnt[1311][0]~q\ & (\led_flash_cnt[1311][1]~q\ $ (VCC))) # (!\led_flash_cnt[1311][0]~q\ & (\led_flash_cnt[1311][1]~q\ & VCC))
-- \led_flash_cnt[1311][1]~45235\ = CARRY((\led_flash_cnt[1311][0]~q\ & \led_flash_cnt[1311][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1311][0]~q\,
	datab => \led_flash_cnt[1311][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1311][1]~45234_combout\,
	cout => \led_flash_cnt[1311][1]~45235\);

-- Location: FF_X2_Y10_N1
\led_flash_cnt[1311][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1311][1]~45234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1311][1]~q\);

-- Location: LCCOMB_X2_Y10_N2
\led_flash_cnt[1311][2]~45236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1311][2]~45236_combout\ = (\led_flash_cnt[1311][2]~q\ & (!\led_flash_cnt[1311][1]~45235\)) # (!\led_flash_cnt[1311][2]~q\ & ((\led_flash_cnt[1311][1]~45235\) # (GND)))
-- \led_flash_cnt[1311][2]~45237\ = CARRY((!\led_flash_cnt[1311][1]~45235\) # (!\led_flash_cnt[1311][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1311][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1311][1]~45235\,
	combout => \led_flash_cnt[1311][2]~45236_combout\,
	cout => \led_flash_cnt[1311][2]~45237\);

-- Location: FF_X2_Y10_N3
\led_flash_cnt[1311][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1311][2]~45236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1311][2]~q\);

-- Location: LCCOMB_X2_Y10_N4
\led_flash_cnt[1311][3]~45238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1311][3]~45238_combout\ = (\led_flash_cnt[1311][3]~q\ & (\led_flash_cnt[1311][2]~45237\ $ (GND))) # (!\led_flash_cnt[1311][3]~q\ & (!\led_flash_cnt[1311][2]~45237\ & VCC))
-- \led_flash_cnt[1311][3]~45239\ = CARRY((\led_flash_cnt[1311][3]~q\ & !\led_flash_cnt[1311][2]~45237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1311][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1311][2]~45237\,
	combout => \led_flash_cnt[1311][3]~45238_combout\,
	cout => \led_flash_cnt[1311][3]~45239\);

-- Location: FF_X2_Y10_N5
\led_flash_cnt[1311][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1311][3]~45238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1311][3]~q\);

-- Location: LCCOMB_X2_Y10_N6
\led_flash_cnt[1311][4]~45240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1311][4]~45240_combout\ = (\led_flash_cnt[1311][4]~q\ & (!\led_flash_cnt[1311][3]~45239\)) # (!\led_flash_cnt[1311][4]~q\ & ((\led_flash_cnt[1311][3]~45239\) # (GND)))
-- \led_flash_cnt[1311][4]~45241\ = CARRY((!\led_flash_cnt[1311][3]~45239\) # (!\led_flash_cnt[1311][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1311][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1311][3]~45239\,
	combout => \led_flash_cnt[1311][4]~45240_combout\,
	cout => \led_flash_cnt[1311][4]~45241\);

-- Location: FF_X2_Y10_N7
\led_flash_cnt[1311][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1311][4]~45240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1311][4]~q\);

-- Location: LCCOMB_X2_Y10_N30
\WideAnd1311~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1311~0_combout\ = (\led_flash_cnt[1311][4]~q\ & (\led_flash_cnt[1311][1]~q\ & (\led_flash_cnt[1311][3]~q\ & \led_flash_cnt[1311][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1311][4]~q\,
	datab => \led_flash_cnt[1311][1]~q\,
	datac => \led_flash_cnt[1311][3]~q\,
	datad => \led_flash_cnt[1311][2]~q\,
	combout => \WideAnd1311~0_combout\);

-- Location: LCCOMB_X2_Y10_N8
\led_flash_cnt[1311][5]~45242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1311][5]~45242_combout\ = (\led_flash_cnt[1311][5]~q\ & (\led_flash_cnt[1311][4]~45241\ $ (GND))) # (!\led_flash_cnt[1311][5]~q\ & (!\led_flash_cnt[1311][4]~45241\ & VCC))
-- \led_flash_cnt[1311][5]~45243\ = CARRY((\led_flash_cnt[1311][5]~q\ & !\led_flash_cnt[1311][4]~45241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1311][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1311][4]~45241\,
	combout => \led_flash_cnt[1311][5]~45242_combout\,
	cout => \led_flash_cnt[1311][5]~45243\);

-- Location: FF_X2_Y10_N9
\led_flash_cnt[1311][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1311][5]~45242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1311][5]~q\);

-- Location: LCCOMB_X2_Y10_N10
\led_flash_cnt[1311][6]~45244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1311][6]~45244_combout\ = (\led_flash_cnt[1311][6]~q\ & (!\led_flash_cnt[1311][5]~45243\)) # (!\led_flash_cnt[1311][6]~q\ & ((\led_flash_cnt[1311][5]~45243\) # (GND)))
-- \led_flash_cnt[1311][6]~45245\ = CARRY((!\led_flash_cnt[1311][5]~45243\) # (!\led_flash_cnt[1311][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1311][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1311][5]~45243\,
	combout => \led_flash_cnt[1311][6]~45244_combout\,
	cout => \led_flash_cnt[1311][6]~45245\);

-- Location: FF_X2_Y10_N11
\led_flash_cnt[1311][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1311][6]~45244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1311][6]~q\);

-- Location: LCCOMB_X2_Y10_N12
\led_flash_cnt[1311][7]~45246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1311][7]~45246_combout\ = \led_flash_cnt[1311][6]~45245\ $ (!\led_flash_cnt[1311][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1311][7]~q\,
	cin => \led_flash_cnt[1311][6]~45245\,
	combout => \led_flash_cnt[1311][7]~45246_combout\);

-- Location: FF_X2_Y10_N13
\led_flash_cnt[1311][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1311][7]~45246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1311][7]~q\);

-- Location: LCCOMB_X1_Y10_N2
\WideAnd1311~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1311~1_combout\ = (\led_flash_cnt[1311][5]~q\ & \led_flash_cnt[1311][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1311][5]~q\,
	datad => \led_flash_cnt[1311][6]~q\,
	combout => \WideAnd1311~1_combout\);

-- Location: LCCOMB_X1_Y10_N24
WideAnd1311 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1311~combout\ = (\WideAnd1311~0_combout\ & (\led_flash_cnt[1311][0]~q\ & (\led_flash_cnt[1311][7]~q\ & \WideAnd1311~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1311~0_combout\,
	datab => \led_flash_cnt[1311][0]~q\,
	datac => \led_flash_cnt[1311][7]~q\,
	datad => \WideAnd1311~1_combout\,
	combout => \WideAnd1311~combout\);

-- Location: FF_X1_Y10_N25
\led_flash_cnt_ands[1311]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1311~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1311));

-- Location: LCCOMB_X1_Y10_N30
WideAnd4003 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4003~combout\ = (\WideAnd4003~1_combout\ & (led_flash_cnt_ands(1310) & (\WideAnd4003~0_combout\ & led_flash_cnt_ands(1311))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4003~1_combout\,
	datab => led_flash_cnt_ands(1310),
	datac => \WideAnd4003~0_combout\,
	datad => led_flash_cnt_ands(1311),
	combout => \WideAnd4003~combout\);

-- Location: FF_X1_Y10_N31
\led_flash_cnt_ands_1[163]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4003~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(163));

-- Location: LCCOMB_X23_Y15_N24
\led_flash_cnt[1287][0]~81927\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1287][0]~81927_combout\ = !\led_flash_cnt[1287][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1287][0]~q\,
	combout => \led_flash_cnt[1287][0]~81927_combout\);

-- Location: FF_X23_Y15_N25
\led_flash_cnt[1287][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1287][0]~81927_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1287][0]~q\);

-- Location: LCCOMB_X19_Y15_N2
\led_flash_cnt[1287][1]~44898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1287][1]~44898_combout\ = (\led_flash_cnt[1287][0]~q\ & (\led_flash_cnt[1287][1]~q\ $ (VCC))) # (!\led_flash_cnt[1287][0]~q\ & (\led_flash_cnt[1287][1]~q\ & VCC))
-- \led_flash_cnt[1287][1]~44899\ = CARRY((\led_flash_cnt[1287][0]~q\ & \led_flash_cnt[1287][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1287][0]~q\,
	datab => \led_flash_cnt[1287][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1287][1]~44898_combout\,
	cout => \led_flash_cnt[1287][1]~44899\);

-- Location: FF_X19_Y15_N3
\led_flash_cnt[1287][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1287][1]~44898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1287][1]~q\);

-- Location: LCCOMB_X19_Y15_N4
\led_flash_cnt[1287][2]~44900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1287][2]~44900_combout\ = (\led_flash_cnt[1287][2]~q\ & (!\led_flash_cnt[1287][1]~44899\)) # (!\led_flash_cnt[1287][2]~q\ & ((\led_flash_cnt[1287][1]~44899\) # (GND)))
-- \led_flash_cnt[1287][2]~44901\ = CARRY((!\led_flash_cnt[1287][1]~44899\) # (!\led_flash_cnt[1287][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1287][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1287][1]~44899\,
	combout => \led_flash_cnt[1287][2]~44900_combout\,
	cout => \led_flash_cnt[1287][2]~44901\);

-- Location: FF_X19_Y15_N5
\led_flash_cnt[1287][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1287][2]~44900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1287][2]~q\);

-- Location: LCCOMB_X19_Y15_N6
\led_flash_cnt[1287][3]~44902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1287][3]~44902_combout\ = (\led_flash_cnt[1287][3]~q\ & (\led_flash_cnt[1287][2]~44901\ $ (GND))) # (!\led_flash_cnt[1287][3]~q\ & (!\led_flash_cnt[1287][2]~44901\ & VCC))
-- \led_flash_cnt[1287][3]~44903\ = CARRY((\led_flash_cnt[1287][3]~q\ & !\led_flash_cnt[1287][2]~44901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1287][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1287][2]~44901\,
	combout => \led_flash_cnt[1287][3]~44902_combout\,
	cout => \led_flash_cnt[1287][3]~44903\);

-- Location: FF_X19_Y15_N7
\led_flash_cnt[1287][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1287][3]~44902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1287][3]~q\);

-- Location: LCCOMB_X19_Y15_N8
\led_flash_cnt[1287][4]~44904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1287][4]~44904_combout\ = (\led_flash_cnt[1287][4]~q\ & (!\led_flash_cnt[1287][3]~44903\)) # (!\led_flash_cnt[1287][4]~q\ & ((\led_flash_cnt[1287][3]~44903\) # (GND)))
-- \led_flash_cnt[1287][4]~44905\ = CARRY((!\led_flash_cnt[1287][3]~44903\) # (!\led_flash_cnt[1287][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1287][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1287][3]~44903\,
	combout => \led_flash_cnt[1287][4]~44904_combout\,
	cout => \led_flash_cnt[1287][4]~44905\);

-- Location: FF_X19_Y15_N9
\led_flash_cnt[1287][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1287][4]~44904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1287][4]~q\);

-- Location: LCCOMB_X19_Y15_N10
\led_flash_cnt[1287][5]~44906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1287][5]~44906_combout\ = (\led_flash_cnt[1287][5]~q\ & (\led_flash_cnt[1287][4]~44905\ $ (GND))) # (!\led_flash_cnt[1287][5]~q\ & (!\led_flash_cnt[1287][4]~44905\ & VCC))
-- \led_flash_cnt[1287][5]~44907\ = CARRY((\led_flash_cnt[1287][5]~q\ & !\led_flash_cnt[1287][4]~44905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1287][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1287][4]~44905\,
	combout => \led_flash_cnt[1287][5]~44906_combout\,
	cout => \led_flash_cnt[1287][5]~44907\);

-- Location: FF_X19_Y15_N11
\led_flash_cnt[1287][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1287][5]~44906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1287][5]~q\);

-- Location: LCCOMB_X19_Y15_N12
\led_flash_cnt[1287][6]~44908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1287][6]~44908_combout\ = (\led_flash_cnt[1287][6]~q\ & (!\led_flash_cnt[1287][5]~44907\)) # (!\led_flash_cnt[1287][6]~q\ & ((\led_flash_cnt[1287][5]~44907\) # (GND)))
-- \led_flash_cnt[1287][6]~44909\ = CARRY((!\led_flash_cnt[1287][5]~44907\) # (!\led_flash_cnt[1287][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1287][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1287][5]~44907\,
	combout => \led_flash_cnt[1287][6]~44908_combout\,
	cout => \led_flash_cnt[1287][6]~44909\);

-- Location: FF_X19_Y15_N13
\led_flash_cnt[1287][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1287][6]~44908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1287][6]~q\);

-- Location: LCCOMB_X19_Y15_N14
\led_flash_cnt[1287][7]~44910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1287][7]~44910_combout\ = \led_flash_cnt[1287][7]~q\ $ (!\led_flash_cnt[1287][6]~44909\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1287][7]~q\,
	cin => \led_flash_cnt[1287][6]~44909\,
	combout => \led_flash_cnt[1287][7]~44910_combout\);

-- Location: FF_X19_Y15_N15
\led_flash_cnt[1287][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1287][7]~44910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1287][7]~q\);

-- Location: LCCOMB_X19_Y15_N30
\WideAnd1287~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1287~0_combout\ = (\led_flash_cnt[1287][3]~q\ & (\led_flash_cnt[1287][4]~q\ & (\led_flash_cnt[1287][2]~q\ & \led_flash_cnt[1287][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1287][3]~q\,
	datab => \led_flash_cnt[1287][4]~q\,
	datac => \led_flash_cnt[1287][2]~q\,
	datad => \led_flash_cnt[1287][1]~q\,
	combout => \WideAnd1287~0_combout\);

-- Location: LCCOMB_X20_Y15_N0
\WideAnd1287~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1287~1_combout\ = (\led_flash_cnt[1287][5]~q\ & \led_flash_cnt[1287][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1287][5]~q\,
	datad => \led_flash_cnt[1287][6]~q\,
	combout => \WideAnd1287~1_combout\);

-- Location: LCCOMB_X20_Y15_N30
WideAnd1287 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1287~combout\ = (\led_flash_cnt[1287][7]~q\ & (\WideAnd1287~0_combout\ & (\led_flash_cnt[1287][0]~q\ & \WideAnd1287~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1287][7]~q\,
	datab => \WideAnd1287~0_combout\,
	datac => \led_flash_cnt[1287][0]~q\,
	datad => \WideAnd1287~1_combout\,
	combout => \WideAnd1287~combout\);

-- Location: FF_X20_Y15_N31
\led_flash_cnt_ands[1287]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1287~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1287));

-- Location: LCCOMB_X27_Y11_N26
\led_flash_cnt[1286][0]~81926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1286][0]~81926_combout\ = !\led_flash_cnt[1286][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1286][0]~q\,
	combout => \led_flash_cnt[1286][0]~81926_combout\);

-- Location: FF_X27_Y11_N27
\led_flash_cnt[1286][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1286][0]~81926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1286][0]~q\);

-- Location: LCCOMB_X27_Y11_N8
\led_flash_cnt[1286][1]~44884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1286][1]~44884_combout\ = (\led_flash_cnt[1286][0]~q\ & (\led_flash_cnt[1286][1]~q\ $ (VCC))) # (!\led_flash_cnt[1286][0]~q\ & (\led_flash_cnt[1286][1]~q\ & VCC))
-- \led_flash_cnt[1286][1]~44885\ = CARRY((\led_flash_cnt[1286][0]~q\ & \led_flash_cnt[1286][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1286][0]~q\,
	datab => \led_flash_cnt[1286][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1286][1]~44884_combout\,
	cout => \led_flash_cnt[1286][1]~44885\);

-- Location: FF_X27_Y11_N9
\led_flash_cnt[1286][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1286][1]~44884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1286][1]~q\);

-- Location: LCCOMB_X27_Y11_N10
\led_flash_cnt[1286][2]~44886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1286][2]~44886_combout\ = (\led_flash_cnt[1286][2]~q\ & (!\led_flash_cnt[1286][1]~44885\)) # (!\led_flash_cnt[1286][2]~q\ & ((\led_flash_cnt[1286][1]~44885\) # (GND)))
-- \led_flash_cnt[1286][2]~44887\ = CARRY((!\led_flash_cnt[1286][1]~44885\) # (!\led_flash_cnt[1286][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1286][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1286][1]~44885\,
	combout => \led_flash_cnt[1286][2]~44886_combout\,
	cout => \led_flash_cnt[1286][2]~44887\);

-- Location: FF_X27_Y11_N11
\led_flash_cnt[1286][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1286][2]~44886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1286][2]~q\);

-- Location: LCCOMB_X27_Y11_N12
\led_flash_cnt[1286][3]~44888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1286][3]~44888_combout\ = (\led_flash_cnt[1286][3]~q\ & (\led_flash_cnt[1286][2]~44887\ $ (GND))) # (!\led_flash_cnt[1286][3]~q\ & (!\led_flash_cnt[1286][2]~44887\ & VCC))
-- \led_flash_cnt[1286][3]~44889\ = CARRY((\led_flash_cnt[1286][3]~q\ & !\led_flash_cnt[1286][2]~44887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1286][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1286][2]~44887\,
	combout => \led_flash_cnt[1286][3]~44888_combout\,
	cout => \led_flash_cnt[1286][3]~44889\);

-- Location: FF_X27_Y11_N13
\led_flash_cnt[1286][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1286][3]~44888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1286][3]~q\);

-- Location: LCCOMB_X27_Y11_N14
\led_flash_cnt[1286][4]~44890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1286][4]~44890_combout\ = (\led_flash_cnt[1286][4]~q\ & (!\led_flash_cnt[1286][3]~44889\)) # (!\led_flash_cnt[1286][4]~q\ & ((\led_flash_cnt[1286][3]~44889\) # (GND)))
-- \led_flash_cnt[1286][4]~44891\ = CARRY((!\led_flash_cnt[1286][3]~44889\) # (!\led_flash_cnt[1286][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1286][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1286][3]~44889\,
	combout => \led_flash_cnt[1286][4]~44890_combout\,
	cout => \led_flash_cnt[1286][4]~44891\);

-- Location: FF_X27_Y11_N15
\led_flash_cnt[1286][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1286][4]~44890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1286][4]~q\);

-- Location: LCCOMB_X27_Y11_N16
\led_flash_cnt[1286][5]~44892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1286][5]~44892_combout\ = (\led_flash_cnt[1286][5]~q\ & (\led_flash_cnt[1286][4]~44891\ $ (GND))) # (!\led_flash_cnt[1286][5]~q\ & (!\led_flash_cnt[1286][4]~44891\ & VCC))
-- \led_flash_cnt[1286][5]~44893\ = CARRY((\led_flash_cnt[1286][5]~q\ & !\led_flash_cnt[1286][4]~44891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1286][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1286][4]~44891\,
	combout => \led_flash_cnt[1286][5]~44892_combout\,
	cout => \led_flash_cnt[1286][5]~44893\);

-- Location: FF_X27_Y11_N17
\led_flash_cnt[1286][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1286][5]~44892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1286][5]~q\);

-- Location: LCCOMB_X27_Y11_N18
\led_flash_cnt[1286][6]~44894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1286][6]~44894_combout\ = (\led_flash_cnt[1286][6]~q\ & (!\led_flash_cnt[1286][5]~44893\)) # (!\led_flash_cnt[1286][6]~q\ & ((\led_flash_cnt[1286][5]~44893\) # (GND)))
-- \led_flash_cnt[1286][6]~44895\ = CARRY((!\led_flash_cnt[1286][5]~44893\) # (!\led_flash_cnt[1286][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1286][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1286][5]~44893\,
	combout => \led_flash_cnt[1286][6]~44894_combout\,
	cout => \led_flash_cnt[1286][6]~44895\);

-- Location: FF_X27_Y11_N19
\led_flash_cnt[1286][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1286][6]~44894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1286][6]~q\);

-- Location: LCCOMB_X27_Y11_N20
\led_flash_cnt[1286][7]~44896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1286][7]~44896_combout\ = \led_flash_cnt[1286][6]~44895\ $ (!\led_flash_cnt[1286][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1286][7]~q\,
	cin => \led_flash_cnt[1286][6]~44895\,
	combout => \led_flash_cnt[1286][7]~44896_combout\);

-- Location: FF_X27_Y11_N21
\led_flash_cnt[1286][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1286][7]~44896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1286][7]~q\);

-- Location: LCCOMB_X27_Y11_N30
\WideAnd1286~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1286~0_combout\ = (\led_flash_cnt[1286][3]~q\ & (\led_flash_cnt[1286][4]~q\ & (\led_flash_cnt[1286][1]~q\ & \led_flash_cnt[1286][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1286][3]~q\,
	datab => \led_flash_cnt[1286][4]~q\,
	datac => \led_flash_cnt[1286][1]~q\,
	datad => \led_flash_cnt[1286][2]~q\,
	combout => \WideAnd1286~0_combout\);

-- Location: LCCOMB_X27_Y11_N2
\WideAnd1286~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1286~1_combout\ = (\led_flash_cnt[1286][6]~q\ & \led_flash_cnt[1286][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1286][6]~q\,
	datad => \led_flash_cnt[1286][5]~q\,
	combout => \WideAnd1286~1_combout\);

-- Location: LCCOMB_X27_Y11_N28
WideAnd1286 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1286~combout\ = (\led_flash_cnt[1286][0]~q\ & (\led_flash_cnt[1286][7]~q\ & (\WideAnd1286~0_combout\ & \WideAnd1286~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1286][0]~q\,
	datab => \led_flash_cnt[1286][7]~q\,
	datac => \WideAnd1286~0_combout\,
	datad => \WideAnd1286~1_combout\,
	combout => \WideAnd1286~combout\);

-- Location: FF_X27_Y11_N29
\led_flash_cnt_ands[1286]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1286~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1286));

-- Location: LCCOMB_X16_Y23_N0
\led_flash_cnt[1283][0]~81923\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1283][0]~81923_combout\ = !\led_flash_cnt[1283][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1283][0]~q\,
	combout => \led_flash_cnt[1283][0]~81923_combout\);

-- Location: FF_X16_Y23_N1
\led_flash_cnt[1283][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1283][0]~81923_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1283][0]~q\);

-- Location: LCCOMB_X16_Y23_N12
\led_flash_cnt[1283][1]~44842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1283][1]~44842_combout\ = (\led_flash_cnt[1283][1]~q\ & (\led_flash_cnt[1283][0]~q\ $ (VCC))) # (!\led_flash_cnt[1283][1]~q\ & (\led_flash_cnt[1283][0]~q\ & VCC))
-- \led_flash_cnt[1283][1]~44843\ = CARRY((\led_flash_cnt[1283][1]~q\ & \led_flash_cnt[1283][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1283][1]~q\,
	datab => \led_flash_cnt[1283][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1283][1]~44842_combout\,
	cout => \led_flash_cnt[1283][1]~44843\);

-- Location: FF_X16_Y23_N13
\led_flash_cnt[1283][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1283][1]~44842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1283][1]~q\);

-- Location: LCCOMB_X16_Y23_N14
\led_flash_cnt[1283][2]~44844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1283][2]~44844_combout\ = (\led_flash_cnt[1283][2]~q\ & (!\led_flash_cnt[1283][1]~44843\)) # (!\led_flash_cnt[1283][2]~q\ & ((\led_flash_cnt[1283][1]~44843\) # (GND)))
-- \led_flash_cnt[1283][2]~44845\ = CARRY((!\led_flash_cnt[1283][1]~44843\) # (!\led_flash_cnt[1283][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1283][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1283][1]~44843\,
	combout => \led_flash_cnt[1283][2]~44844_combout\,
	cout => \led_flash_cnt[1283][2]~44845\);

-- Location: FF_X16_Y23_N15
\led_flash_cnt[1283][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1283][2]~44844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1283][2]~q\);

-- Location: LCCOMB_X16_Y23_N16
\led_flash_cnt[1283][3]~44846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1283][3]~44846_combout\ = (\led_flash_cnt[1283][3]~q\ & (\led_flash_cnt[1283][2]~44845\ $ (GND))) # (!\led_flash_cnt[1283][3]~q\ & (!\led_flash_cnt[1283][2]~44845\ & VCC))
-- \led_flash_cnt[1283][3]~44847\ = CARRY((\led_flash_cnt[1283][3]~q\ & !\led_flash_cnt[1283][2]~44845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1283][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1283][2]~44845\,
	combout => \led_flash_cnt[1283][3]~44846_combout\,
	cout => \led_flash_cnt[1283][3]~44847\);

-- Location: FF_X16_Y23_N17
\led_flash_cnt[1283][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1283][3]~44846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1283][3]~q\);

-- Location: LCCOMB_X16_Y23_N18
\led_flash_cnt[1283][4]~44848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1283][4]~44848_combout\ = (\led_flash_cnt[1283][4]~q\ & (!\led_flash_cnt[1283][3]~44847\)) # (!\led_flash_cnt[1283][4]~q\ & ((\led_flash_cnt[1283][3]~44847\) # (GND)))
-- \led_flash_cnt[1283][4]~44849\ = CARRY((!\led_flash_cnt[1283][3]~44847\) # (!\led_flash_cnt[1283][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1283][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1283][3]~44847\,
	combout => \led_flash_cnt[1283][4]~44848_combout\,
	cout => \led_flash_cnt[1283][4]~44849\);

-- Location: FF_X16_Y23_N19
\led_flash_cnt[1283][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1283][4]~44848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1283][4]~q\);

-- Location: LCCOMB_X16_Y23_N20
\led_flash_cnt[1283][5]~44850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1283][5]~44850_combout\ = (\led_flash_cnt[1283][5]~q\ & (\led_flash_cnt[1283][4]~44849\ $ (GND))) # (!\led_flash_cnt[1283][5]~q\ & (!\led_flash_cnt[1283][4]~44849\ & VCC))
-- \led_flash_cnt[1283][5]~44851\ = CARRY((\led_flash_cnt[1283][5]~q\ & !\led_flash_cnt[1283][4]~44849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1283][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1283][4]~44849\,
	combout => \led_flash_cnt[1283][5]~44850_combout\,
	cout => \led_flash_cnt[1283][5]~44851\);

-- Location: FF_X16_Y23_N21
\led_flash_cnt[1283][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1283][5]~44850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1283][5]~q\);

-- Location: LCCOMB_X16_Y23_N22
\led_flash_cnt[1283][6]~44852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1283][6]~44852_combout\ = (\led_flash_cnt[1283][6]~q\ & (!\led_flash_cnt[1283][5]~44851\)) # (!\led_flash_cnt[1283][6]~q\ & ((\led_flash_cnt[1283][5]~44851\) # (GND)))
-- \led_flash_cnt[1283][6]~44853\ = CARRY((!\led_flash_cnt[1283][5]~44851\) # (!\led_flash_cnt[1283][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1283][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1283][5]~44851\,
	combout => \led_flash_cnt[1283][6]~44852_combout\,
	cout => \led_flash_cnt[1283][6]~44853\);

-- Location: FF_X16_Y23_N23
\led_flash_cnt[1283][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1283][6]~44852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1283][6]~q\);

-- Location: LCCOMB_X16_Y23_N6
\WideAnd1283~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1283~1_combout\ = (\led_flash_cnt[1283][6]~q\ & \led_flash_cnt[1283][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1283][6]~q\,
	datad => \led_flash_cnt[1283][5]~q\,
	combout => \WideAnd1283~1_combout\);

-- Location: LCCOMB_X16_Y23_N30
\WideAnd1283~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1283~0_combout\ = (\led_flash_cnt[1283][4]~q\ & (\led_flash_cnt[1283][3]~q\ & (\led_flash_cnt[1283][2]~q\ & \led_flash_cnt[1283][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1283][4]~q\,
	datab => \led_flash_cnt[1283][3]~q\,
	datac => \led_flash_cnt[1283][2]~q\,
	datad => \led_flash_cnt[1283][1]~q\,
	combout => \WideAnd1283~0_combout\);

-- Location: LCCOMB_X16_Y23_N24
\led_flash_cnt[1283][7]~44854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1283][7]~44854_combout\ = \led_flash_cnt[1283][6]~44853\ $ (!\led_flash_cnt[1283][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1283][7]~q\,
	cin => \led_flash_cnt[1283][6]~44853\,
	combout => \led_flash_cnt[1283][7]~44854_combout\);

-- Location: FF_X16_Y23_N25
\led_flash_cnt[1283][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1283][7]~44854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1283][7]~q\);

-- Location: LCCOMB_X16_Y23_N26
WideAnd1283 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1283~combout\ = (\WideAnd1283~1_combout\ & (\led_flash_cnt[1283][0]~q\ & (\WideAnd1283~0_combout\ & \led_flash_cnt[1283][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1283~1_combout\,
	datab => \led_flash_cnt[1283][0]~q\,
	datac => \WideAnd1283~0_combout\,
	datad => \led_flash_cnt[1283][7]~q\,
	combout => \WideAnd1283~combout\);

-- Location: FF_X16_Y23_N27
\led_flash_cnt_ands[1283]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1283~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1283));

-- Location: LCCOMB_X17_Y27_N20
\led_flash_cnt[1282][0]~81922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1282][0]~81922_combout\ = !\led_flash_cnt[1282][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1282][0]~q\,
	combout => \led_flash_cnt[1282][0]~81922_combout\);

-- Location: FF_X17_Y27_N21
\led_flash_cnt[1282][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1282][0]~81922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1282][0]~q\);

-- Location: LCCOMB_X18_Y27_N0
\led_flash_cnt[1282][1]~44828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1282][1]~44828_combout\ = (\led_flash_cnt[1282][0]~q\ & (\led_flash_cnt[1282][1]~q\ $ (VCC))) # (!\led_flash_cnt[1282][0]~q\ & (\led_flash_cnt[1282][1]~q\ & VCC))
-- \led_flash_cnt[1282][1]~44829\ = CARRY((\led_flash_cnt[1282][0]~q\ & \led_flash_cnt[1282][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1282][0]~q\,
	datab => \led_flash_cnt[1282][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1282][1]~44828_combout\,
	cout => \led_flash_cnt[1282][1]~44829\);

-- Location: FF_X18_Y27_N1
\led_flash_cnt[1282][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1282][1]~44828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1282][1]~q\);

-- Location: LCCOMB_X18_Y27_N2
\led_flash_cnt[1282][2]~44830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1282][2]~44830_combout\ = (\led_flash_cnt[1282][2]~q\ & (!\led_flash_cnt[1282][1]~44829\)) # (!\led_flash_cnt[1282][2]~q\ & ((\led_flash_cnt[1282][1]~44829\) # (GND)))
-- \led_flash_cnt[1282][2]~44831\ = CARRY((!\led_flash_cnt[1282][1]~44829\) # (!\led_flash_cnt[1282][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1282][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1282][1]~44829\,
	combout => \led_flash_cnt[1282][2]~44830_combout\,
	cout => \led_flash_cnt[1282][2]~44831\);

-- Location: FF_X18_Y27_N3
\led_flash_cnt[1282][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1282][2]~44830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1282][2]~q\);

-- Location: LCCOMB_X18_Y27_N4
\led_flash_cnt[1282][3]~44832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1282][3]~44832_combout\ = (\led_flash_cnt[1282][3]~q\ & (\led_flash_cnt[1282][2]~44831\ $ (GND))) # (!\led_flash_cnt[1282][3]~q\ & (!\led_flash_cnt[1282][2]~44831\ & VCC))
-- \led_flash_cnt[1282][3]~44833\ = CARRY((\led_flash_cnt[1282][3]~q\ & !\led_flash_cnt[1282][2]~44831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1282][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1282][2]~44831\,
	combout => \led_flash_cnt[1282][3]~44832_combout\,
	cout => \led_flash_cnt[1282][3]~44833\);

-- Location: FF_X18_Y27_N5
\led_flash_cnt[1282][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1282][3]~44832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1282][3]~q\);

-- Location: LCCOMB_X18_Y27_N6
\led_flash_cnt[1282][4]~44834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1282][4]~44834_combout\ = (\led_flash_cnt[1282][4]~q\ & (!\led_flash_cnt[1282][3]~44833\)) # (!\led_flash_cnt[1282][4]~q\ & ((\led_flash_cnt[1282][3]~44833\) # (GND)))
-- \led_flash_cnt[1282][4]~44835\ = CARRY((!\led_flash_cnt[1282][3]~44833\) # (!\led_flash_cnt[1282][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1282][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1282][3]~44833\,
	combout => \led_flash_cnt[1282][4]~44834_combout\,
	cout => \led_flash_cnt[1282][4]~44835\);

-- Location: FF_X18_Y27_N7
\led_flash_cnt[1282][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1282][4]~44834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1282][4]~q\);

-- Location: LCCOMB_X18_Y27_N8
\led_flash_cnt[1282][5]~44836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1282][5]~44836_combout\ = (\led_flash_cnt[1282][5]~q\ & (\led_flash_cnt[1282][4]~44835\ $ (GND))) # (!\led_flash_cnt[1282][5]~q\ & (!\led_flash_cnt[1282][4]~44835\ & VCC))
-- \led_flash_cnt[1282][5]~44837\ = CARRY((\led_flash_cnt[1282][5]~q\ & !\led_flash_cnt[1282][4]~44835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1282][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1282][4]~44835\,
	combout => \led_flash_cnt[1282][5]~44836_combout\,
	cout => \led_flash_cnt[1282][5]~44837\);

-- Location: FF_X18_Y27_N9
\led_flash_cnt[1282][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1282][5]~44836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1282][5]~q\);

-- Location: LCCOMB_X18_Y27_N10
\led_flash_cnt[1282][6]~44838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1282][6]~44838_combout\ = (\led_flash_cnt[1282][6]~q\ & (!\led_flash_cnt[1282][5]~44837\)) # (!\led_flash_cnt[1282][6]~q\ & ((\led_flash_cnt[1282][5]~44837\) # (GND)))
-- \led_flash_cnt[1282][6]~44839\ = CARRY((!\led_flash_cnt[1282][5]~44837\) # (!\led_flash_cnt[1282][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1282][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1282][5]~44837\,
	combout => \led_flash_cnt[1282][6]~44838_combout\,
	cout => \led_flash_cnt[1282][6]~44839\);

-- Location: FF_X18_Y27_N11
\led_flash_cnt[1282][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1282][6]~44838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1282][6]~q\);

-- Location: LCCOMB_X18_Y27_N30
\WideAnd1282~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1282~1_combout\ = (\led_flash_cnt[1282][5]~q\ & \led_flash_cnt[1282][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1282][5]~q\,
	datad => \led_flash_cnt[1282][6]~q\,
	combout => \WideAnd1282~1_combout\);

-- Location: LCCOMB_X18_Y27_N14
\WideAnd1282~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1282~0_combout\ = (\led_flash_cnt[1282][4]~q\ & (\led_flash_cnt[1282][1]~q\ & (\led_flash_cnt[1282][3]~q\ & \led_flash_cnt[1282][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1282][4]~q\,
	datab => \led_flash_cnt[1282][1]~q\,
	datac => \led_flash_cnt[1282][3]~q\,
	datad => \led_flash_cnt[1282][2]~q\,
	combout => \WideAnd1282~0_combout\);

-- Location: LCCOMB_X18_Y27_N12
\led_flash_cnt[1282][7]~44840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1282][7]~44840_combout\ = \led_flash_cnt[1282][6]~44839\ $ (!\led_flash_cnt[1282][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1282][7]~q\,
	cin => \led_flash_cnt[1282][6]~44839\,
	combout => \led_flash_cnt[1282][7]~44840_combout\);

-- Location: FF_X18_Y27_N13
\led_flash_cnt[1282][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1282][7]~44840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1282][7]~q\);

-- Location: LCCOMB_X17_Y27_N28
WideAnd1282 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1282~combout\ = (\WideAnd1282~1_combout\ & (\WideAnd1282~0_combout\ & (\led_flash_cnt[1282][7]~q\ & \led_flash_cnt[1282][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1282~1_combout\,
	datab => \WideAnd1282~0_combout\,
	datac => \led_flash_cnt[1282][7]~q\,
	datad => \led_flash_cnt[1282][0]~q\,
	combout => \WideAnd1282~combout\);

-- Location: FF_X17_Y27_N29
\led_flash_cnt_ands[1282]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1282~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1282));

-- Location: LCCOMB_X16_Y27_N10
\led_flash_cnt[1281][0]~81921\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1281][0]~81921_combout\ = !\led_flash_cnt[1281][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1281][0]~q\,
	combout => \led_flash_cnt[1281][0]~81921_combout\);

-- Location: FF_X16_Y27_N11
\led_flash_cnt[1281][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1281][0]~81921_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1281][0]~q\);

-- Location: LCCOMB_X16_Y27_N16
\led_flash_cnt[1281][1]~44814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1281][1]~44814_combout\ = (\led_flash_cnt[1281][0]~q\ & (\led_flash_cnt[1281][1]~q\ $ (VCC))) # (!\led_flash_cnt[1281][0]~q\ & (\led_flash_cnt[1281][1]~q\ & VCC))
-- \led_flash_cnt[1281][1]~44815\ = CARRY((\led_flash_cnt[1281][0]~q\ & \led_flash_cnt[1281][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1281][0]~q\,
	datab => \led_flash_cnt[1281][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1281][1]~44814_combout\,
	cout => \led_flash_cnt[1281][1]~44815\);

-- Location: FF_X16_Y27_N17
\led_flash_cnt[1281][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1281][1]~44814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1281][1]~q\);

-- Location: LCCOMB_X16_Y27_N18
\led_flash_cnt[1281][2]~44816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1281][2]~44816_combout\ = (\led_flash_cnt[1281][2]~q\ & (!\led_flash_cnt[1281][1]~44815\)) # (!\led_flash_cnt[1281][2]~q\ & ((\led_flash_cnt[1281][1]~44815\) # (GND)))
-- \led_flash_cnt[1281][2]~44817\ = CARRY((!\led_flash_cnt[1281][1]~44815\) # (!\led_flash_cnt[1281][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1281][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1281][1]~44815\,
	combout => \led_flash_cnt[1281][2]~44816_combout\,
	cout => \led_flash_cnt[1281][2]~44817\);

-- Location: FF_X16_Y27_N19
\led_flash_cnt[1281][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1281][2]~44816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1281][2]~q\);

-- Location: LCCOMB_X16_Y27_N20
\led_flash_cnt[1281][3]~44818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1281][3]~44818_combout\ = (\led_flash_cnt[1281][3]~q\ & (\led_flash_cnt[1281][2]~44817\ $ (GND))) # (!\led_flash_cnt[1281][3]~q\ & (!\led_flash_cnt[1281][2]~44817\ & VCC))
-- \led_flash_cnt[1281][3]~44819\ = CARRY((\led_flash_cnt[1281][3]~q\ & !\led_flash_cnt[1281][2]~44817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1281][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1281][2]~44817\,
	combout => \led_flash_cnt[1281][3]~44818_combout\,
	cout => \led_flash_cnt[1281][3]~44819\);

-- Location: FF_X16_Y27_N21
\led_flash_cnt[1281][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1281][3]~44818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1281][3]~q\);

-- Location: LCCOMB_X16_Y27_N22
\led_flash_cnt[1281][4]~44820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1281][4]~44820_combout\ = (\led_flash_cnt[1281][4]~q\ & (!\led_flash_cnt[1281][3]~44819\)) # (!\led_flash_cnt[1281][4]~q\ & ((\led_flash_cnt[1281][3]~44819\) # (GND)))
-- \led_flash_cnt[1281][4]~44821\ = CARRY((!\led_flash_cnt[1281][3]~44819\) # (!\led_flash_cnt[1281][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1281][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1281][3]~44819\,
	combout => \led_flash_cnt[1281][4]~44820_combout\,
	cout => \led_flash_cnt[1281][4]~44821\);

-- Location: FF_X16_Y27_N23
\led_flash_cnt[1281][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1281][4]~44820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1281][4]~q\);

-- Location: LCCOMB_X16_Y27_N24
\led_flash_cnt[1281][5]~44822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1281][5]~44822_combout\ = (\led_flash_cnt[1281][5]~q\ & (\led_flash_cnt[1281][4]~44821\ $ (GND))) # (!\led_flash_cnt[1281][5]~q\ & (!\led_flash_cnt[1281][4]~44821\ & VCC))
-- \led_flash_cnt[1281][5]~44823\ = CARRY((\led_flash_cnt[1281][5]~q\ & !\led_flash_cnt[1281][4]~44821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1281][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1281][4]~44821\,
	combout => \led_flash_cnt[1281][5]~44822_combout\,
	cout => \led_flash_cnt[1281][5]~44823\);

-- Location: FF_X16_Y27_N25
\led_flash_cnt[1281][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1281][5]~44822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1281][5]~q\);

-- Location: LCCOMB_X16_Y27_N26
\led_flash_cnt[1281][6]~44824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1281][6]~44824_combout\ = (\led_flash_cnt[1281][6]~q\ & (!\led_flash_cnt[1281][5]~44823\)) # (!\led_flash_cnt[1281][6]~q\ & ((\led_flash_cnt[1281][5]~44823\) # (GND)))
-- \led_flash_cnt[1281][6]~44825\ = CARRY((!\led_flash_cnt[1281][5]~44823\) # (!\led_flash_cnt[1281][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1281][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1281][5]~44823\,
	combout => \led_flash_cnt[1281][6]~44824_combout\,
	cout => \led_flash_cnt[1281][6]~44825\);

-- Location: FF_X16_Y27_N27
\led_flash_cnt[1281][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1281][6]~44824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1281][6]~q\);

-- Location: LCCOMB_X16_Y27_N28
\led_flash_cnt[1281][7]~44826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1281][7]~44826_combout\ = \led_flash_cnt[1281][6]~44825\ $ (!\led_flash_cnt[1281][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1281][7]~q\,
	cin => \led_flash_cnt[1281][6]~44825\,
	combout => \led_flash_cnt[1281][7]~44826_combout\);

-- Location: FF_X16_Y27_N29
\led_flash_cnt[1281][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1281][7]~44826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1281][7]~q\);

-- Location: LCCOMB_X16_Y27_N8
\WideAnd1281~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1281~1_combout\ = (\led_flash_cnt[1281][6]~q\ & \led_flash_cnt[1281][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1281][6]~q\,
	datad => \led_flash_cnt[1281][5]~q\,
	combout => \WideAnd1281~1_combout\);

-- Location: LCCOMB_X16_Y27_N12
\WideAnd1281~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1281~0_combout\ = (\led_flash_cnt[1281][2]~q\ & (\led_flash_cnt[1281][1]~q\ & (\led_flash_cnt[1281][4]~q\ & \led_flash_cnt[1281][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1281][2]~q\,
	datab => \led_flash_cnt[1281][1]~q\,
	datac => \led_flash_cnt[1281][4]~q\,
	datad => \led_flash_cnt[1281][3]~q\,
	combout => \WideAnd1281~0_combout\);

-- Location: LCCOMB_X16_Y27_N30
WideAnd1281 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1281~combout\ = (\led_flash_cnt[1281][0]~q\ & (\led_flash_cnt[1281][7]~q\ & (\WideAnd1281~1_combout\ & \WideAnd1281~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1281][0]~q\,
	datab => \led_flash_cnt[1281][7]~q\,
	datac => \WideAnd1281~1_combout\,
	datad => \WideAnd1281~0_combout\,
	combout => \WideAnd1281~combout\);

-- Location: FF_X16_Y27_N31
\led_flash_cnt_ands[1281]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1281~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1281));

-- Location: LCCOMB_X16_Y23_N2
\led_flash_cnt[1280][0]~81920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1280][0]~81920_combout\ = !\led_flash_cnt[1280][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1280][0]~q\,
	combout => \led_flash_cnt[1280][0]~81920_combout\);

-- Location: FF_X16_Y23_N3
\led_flash_cnt[1280][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1280][0]~81920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1280][0]~q\);

-- Location: LCCOMB_X15_Y23_N16
\led_flash_cnt[1280][1]~44800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1280][1]~44800_combout\ = (\led_flash_cnt[1280][0]~q\ & (\led_flash_cnt[1280][1]~q\ $ (VCC))) # (!\led_flash_cnt[1280][0]~q\ & (\led_flash_cnt[1280][1]~q\ & VCC))
-- \led_flash_cnt[1280][1]~44801\ = CARRY((\led_flash_cnt[1280][0]~q\ & \led_flash_cnt[1280][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1280][0]~q\,
	datab => \led_flash_cnt[1280][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1280][1]~44800_combout\,
	cout => \led_flash_cnt[1280][1]~44801\);

-- Location: FF_X15_Y23_N17
\led_flash_cnt[1280][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1280][1]~44800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1280][1]~q\);

-- Location: LCCOMB_X15_Y23_N18
\led_flash_cnt[1280][2]~44802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1280][2]~44802_combout\ = (\led_flash_cnt[1280][2]~q\ & (!\led_flash_cnt[1280][1]~44801\)) # (!\led_flash_cnt[1280][2]~q\ & ((\led_flash_cnt[1280][1]~44801\) # (GND)))
-- \led_flash_cnt[1280][2]~44803\ = CARRY((!\led_flash_cnt[1280][1]~44801\) # (!\led_flash_cnt[1280][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1280][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1280][1]~44801\,
	combout => \led_flash_cnt[1280][2]~44802_combout\,
	cout => \led_flash_cnt[1280][2]~44803\);

-- Location: FF_X15_Y23_N19
\led_flash_cnt[1280][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1280][2]~44802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1280][2]~q\);

-- Location: LCCOMB_X15_Y23_N20
\led_flash_cnt[1280][3]~44804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1280][3]~44804_combout\ = (\led_flash_cnt[1280][3]~q\ & (\led_flash_cnt[1280][2]~44803\ $ (GND))) # (!\led_flash_cnt[1280][3]~q\ & (!\led_flash_cnt[1280][2]~44803\ & VCC))
-- \led_flash_cnt[1280][3]~44805\ = CARRY((\led_flash_cnt[1280][3]~q\ & !\led_flash_cnt[1280][2]~44803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1280][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1280][2]~44803\,
	combout => \led_flash_cnt[1280][3]~44804_combout\,
	cout => \led_flash_cnt[1280][3]~44805\);

-- Location: FF_X15_Y23_N21
\led_flash_cnt[1280][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1280][3]~44804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1280][3]~q\);

-- Location: LCCOMB_X15_Y23_N22
\led_flash_cnt[1280][4]~44806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1280][4]~44806_combout\ = (\led_flash_cnt[1280][4]~q\ & (!\led_flash_cnt[1280][3]~44805\)) # (!\led_flash_cnt[1280][4]~q\ & ((\led_flash_cnt[1280][3]~44805\) # (GND)))
-- \led_flash_cnt[1280][4]~44807\ = CARRY((!\led_flash_cnt[1280][3]~44805\) # (!\led_flash_cnt[1280][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1280][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1280][3]~44805\,
	combout => \led_flash_cnt[1280][4]~44806_combout\,
	cout => \led_flash_cnt[1280][4]~44807\);

-- Location: FF_X15_Y23_N23
\led_flash_cnt[1280][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1280][4]~44806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1280][4]~q\);

-- Location: LCCOMB_X15_Y23_N0
\WideAnd1280~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1280~0_combout\ = (\led_flash_cnt[1280][1]~q\ & (\led_flash_cnt[1280][3]~q\ & (\led_flash_cnt[1280][4]~q\ & \led_flash_cnt[1280][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1280][1]~q\,
	datab => \led_flash_cnt[1280][3]~q\,
	datac => \led_flash_cnt[1280][4]~q\,
	datad => \led_flash_cnt[1280][2]~q\,
	combout => \WideAnd1280~0_combout\);

-- Location: LCCOMB_X15_Y23_N24
\led_flash_cnt[1280][5]~44808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1280][5]~44808_combout\ = (\led_flash_cnt[1280][5]~q\ & (\led_flash_cnt[1280][4]~44807\ $ (GND))) # (!\led_flash_cnt[1280][5]~q\ & (!\led_flash_cnt[1280][4]~44807\ & VCC))
-- \led_flash_cnt[1280][5]~44809\ = CARRY((\led_flash_cnt[1280][5]~q\ & !\led_flash_cnt[1280][4]~44807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1280][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1280][4]~44807\,
	combout => \led_flash_cnt[1280][5]~44808_combout\,
	cout => \led_flash_cnt[1280][5]~44809\);

-- Location: FF_X15_Y23_N25
\led_flash_cnt[1280][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1280][5]~44808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1280][5]~q\);

-- Location: LCCOMB_X15_Y23_N26
\led_flash_cnt[1280][6]~44810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1280][6]~44810_combout\ = (\led_flash_cnt[1280][6]~q\ & (!\led_flash_cnt[1280][5]~44809\)) # (!\led_flash_cnt[1280][6]~q\ & ((\led_flash_cnt[1280][5]~44809\) # (GND)))
-- \led_flash_cnt[1280][6]~44811\ = CARRY((!\led_flash_cnt[1280][5]~44809\) # (!\led_flash_cnt[1280][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1280][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1280][5]~44809\,
	combout => \led_flash_cnt[1280][6]~44810_combout\,
	cout => \led_flash_cnt[1280][6]~44811\);

-- Location: FF_X15_Y23_N27
\led_flash_cnt[1280][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1280][6]~44810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1280][6]~q\);

-- Location: LCCOMB_X15_Y23_N28
\led_flash_cnt[1280][7]~44812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1280][7]~44812_combout\ = \led_flash_cnt[1280][6]~44811\ $ (!\led_flash_cnt[1280][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1280][7]~q\,
	cin => \led_flash_cnt[1280][6]~44811\,
	combout => \led_flash_cnt[1280][7]~44812_combout\);

-- Location: FF_X15_Y23_N29
\led_flash_cnt[1280][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1280][7]~44812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1280][7]~q\);

-- Location: LCCOMB_X16_Y23_N4
\WideAnd1280~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1280~1_combout\ = (\led_flash_cnt[1280][6]~q\ & \led_flash_cnt[1280][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1280][6]~q\,
	datad => \led_flash_cnt[1280][5]~q\,
	combout => \WideAnd1280~1_combout\);

-- Location: LCCOMB_X16_Y23_N10
WideAnd1280 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1280~combout\ = (\WideAnd1280~0_combout\ & (\led_flash_cnt[1280][7]~q\ & (\WideAnd1280~1_combout\ & \led_flash_cnt[1280][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1280~0_combout\,
	datab => \led_flash_cnt[1280][7]~q\,
	datac => \WideAnd1280~1_combout\,
	datad => \led_flash_cnt[1280][0]~q\,
	combout => \WideAnd1280~combout\);

-- Location: FF_X16_Y23_N11
\led_flash_cnt_ands[1280]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1280~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1280));

-- Location: LCCOMB_X16_Y23_N8
\WideAnd4000~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4000~0_combout\ = (led_flash_cnt_ands(1283) & (led_flash_cnt_ands(1282) & (led_flash_cnt_ands(1281) & led_flash_cnt_ands(1280))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1283),
	datab => led_flash_cnt_ands(1282),
	datac => led_flash_cnt_ands(1281),
	datad => led_flash_cnt_ands(1280),
	combout => \WideAnd4000~0_combout\);

-- Location: LCCOMB_X17_Y17_N2
\led_flash_cnt[1284][0]~81924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1284][0]~81924_combout\ = !\led_flash_cnt[1284][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1284][0]~q\,
	combout => \led_flash_cnt[1284][0]~81924_combout\);

-- Location: FF_X17_Y17_N3
\led_flash_cnt[1284][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1284][0]~81924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1284][0]~q\);

-- Location: LCCOMB_X19_Y17_N18
\led_flash_cnt[1284][1]~44856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1284][1]~44856_combout\ = (\led_flash_cnt[1284][0]~q\ & (\led_flash_cnt[1284][1]~q\ $ (VCC))) # (!\led_flash_cnt[1284][0]~q\ & (\led_flash_cnt[1284][1]~q\ & VCC))
-- \led_flash_cnt[1284][1]~44857\ = CARRY((\led_flash_cnt[1284][0]~q\ & \led_flash_cnt[1284][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1284][0]~q\,
	datab => \led_flash_cnt[1284][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1284][1]~44856_combout\,
	cout => \led_flash_cnt[1284][1]~44857\);

-- Location: FF_X19_Y17_N19
\led_flash_cnt[1284][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1284][1]~44856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1284][1]~q\);

-- Location: LCCOMB_X19_Y17_N20
\led_flash_cnt[1284][2]~44858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1284][2]~44858_combout\ = (\led_flash_cnt[1284][2]~q\ & (!\led_flash_cnt[1284][1]~44857\)) # (!\led_flash_cnt[1284][2]~q\ & ((\led_flash_cnt[1284][1]~44857\) # (GND)))
-- \led_flash_cnt[1284][2]~44859\ = CARRY((!\led_flash_cnt[1284][1]~44857\) # (!\led_flash_cnt[1284][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1284][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1284][1]~44857\,
	combout => \led_flash_cnt[1284][2]~44858_combout\,
	cout => \led_flash_cnt[1284][2]~44859\);

-- Location: FF_X19_Y17_N21
\led_flash_cnt[1284][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1284][2]~44858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1284][2]~q\);

-- Location: LCCOMB_X19_Y17_N22
\led_flash_cnt[1284][3]~44860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1284][3]~44860_combout\ = (\led_flash_cnt[1284][3]~q\ & (\led_flash_cnt[1284][2]~44859\ $ (GND))) # (!\led_flash_cnt[1284][3]~q\ & (!\led_flash_cnt[1284][2]~44859\ & VCC))
-- \led_flash_cnt[1284][3]~44861\ = CARRY((\led_flash_cnt[1284][3]~q\ & !\led_flash_cnt[1284][2]~44859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1284][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1284][2]~44859\,
	combout => \led_flash_cnt[1284][3]~44860_combout\,
	cout => \led_flash_cnt[1284][3]~44861\);

-- Location: FF_X19_Y17_N23
\led_flash_cnt[1284][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1284][3]~44860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1284][3]~q\);

-- Location: LCCOMB_X19_Y17_N24
\led_flash_cnt[1284][4]~44862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1284][4]~44862_combout\ = (\led_flash_cnt[1284][4]~q\ & (!\led_flash_cnt[1284][3]~44861\)) # (!\led_flash_cnt[1284][4]~q\ & ((\led_flash_cnt[1284][3]~44861\) # (GND)))
-- \led_flash_cnt[1284][4]~44863\ = CARRY((!\led_flash_cnt[1284][3]~44861\) # (!\led_flash_cnt[1284][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1284][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1284][3]~44861\,
	combout => \led_flash_cnt[1284][4]~44862_combout\,
	cout => \led_flash_cnt[1284][4]~44863\);

-- Location: FF_X19_Y17_N25
\led_flash_cnt[1284][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1284][4]~44862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1284][4]~q\);

-- Location: LCCOMB_X19_Y17_N26
\led_flash_cnt[1284][5]~44864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1284][5]~44864_combout\ = (\led_flash_cnt[1284][5]~q\ & (\led_flash_cnt[1284][4]~44863\ $ (GND))) # (!\led_flash_cnt[1284][5]~q\ & (!\led_flash_cnt[1284][4]~44863\ & VCC))
-- \led_flash_cnt[1284][5]~44865\ = CARRY((\led_flash_cnt[1284][5]~q\ & !\led_flash_cnt[1284][4]~44863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1284][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1284][4]~44863\,
	combout => \led_flash_cnt[1284][5]~44864_combout\,
	cout => \led_flash_cnt[1284][5]~44865\);

-- Location: FF_X19_Y17_N27
\led_flash_cnt[1284][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1284][5]~44864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1284][5]~q\);

-- Location: LCCOMB_X19_Y17_N28
\led_flash_cnt[1284][6]~44866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1284][6]~44866_combout\ = (\led_flash_cnt[1284][6]~q\ & (!\led_flash_cnt[1284][5]~44865\)) # (!\led_flash_cnt[1284][6]~q\ & ((\led_flash_cnt[1284][5]~44865\) # (GND)))
-- \led_flash_cnt[1284][6]~44867\ = CARRY((!\led_flash_cnt[1284][5]~44865\) # (!\led_flash_cnt[1284][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1284][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1284][5]~44865\,
	combout => \led_flash_cnt[1284][6]~44866_combout\,
	cout => \led_flash_cnt[1284][6]~44867\);

-- Location: FF_X19_Y17_N29
\led_flash_cnt[1284][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1284][6]~44866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1284][6]~q\);

-- Location: LCCOMB_X18_Y17_N28
\WideAnd1284~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1284~1_combout\ = (\led_flash_cnt[1284][5]~q\ & \led_flash_cnt[1284][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1284][5]~q\,
	datad => \led_flash_cnt[1284][6]~q\,
	combout => \WideAnd1284~1_combout\);

-- Location: LCCOMB_X19_Y17_N30
\led_flash_cnt[1284][7]~44868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1284][7]~44868_combout\ = \led_flash_cnt[1284][7]~q\ $ (!\led_flash_cnt[1284][6]~44867\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1284][7]~q\,
	cin => \led_flash_cnt[1284][6]~44867\,
	combout => \led_flash_cnt[1284][7]~44868_combout\);

-- Location: FF_X19_Y17_N31
\led_flash_cnt[1284][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1284][7]~44868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1284][7]~q\);

-- Location: LCCOMB_X19_Y17_N2
\WideAnd1284~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1284~0_combout\ = (\led_flash_cnt[1284][4]~q\ & (\led_flash_cnt[1284][2]~q\ & (\led_flash_cnt[1284][3]~q\ & \led_flash_cnt[1284][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1284][4]~q\,
	datab => \led_flash_cnt[1284][2]~q\,
	datac => \led_flash_cnt[1284][3]~q\,
	datad => \led_flash_cnt[1284][1]~q\,
	combout => \WideAnd1284~0_combout\);

-- Location: LCCOMB_X18_Y17_N8
WideAnd1284 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1284~combout\ = (\led_flash_cnt[1284][0]~q\ & (\WideAnd1284~1_combout\ & (\led_flash_cnt[1284][7]~q\ & \WideAnd1284~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1284][0]~q\,
	datab => \WideAnd1284~1_combout\,
	datac => \led_flash_cnt[1284][7]~q\,
	datad => \WideAnd1284~0_combout\,
	combout => \WideAnd1284~combout\);

-- Location: FF_X18_Y17_N9
\led_flash_cnt_ands[1284]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1284~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1284));

-- Location: LCCOMB_X32_Y11_N24
\led_flash_cnt[1285][0]~81925\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1285][0]~81925_combout\ = !\led_flash_cnt[1285][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1285][0]~q\,
	combout => \led_flash_cnt[1285][0]~81925_combout\);

-- Location: FF_X32_Y11_N25
\led_flash_cnt[1285][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1285][0]~81925_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1285][0]~q\);

-- Location: LCCOMB_X26_Y11_N18
\led_flash_cnt[1285][1]~44870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1285][1]~44870_combout\ = (\led_flash_cnt[1285][0]~q\ & (\led_flash_cnt[1285][1]~q\ $ (VCC))) # (!\led_flash_cnt[1285][0]~q\ & (\led_flash_cnt[1285][1]~q\ & VCC))
-- \led_flash_cnt[1285][1]~44871\ = CARRY((\led_flash_cnt[1285][0]~q\ & \led_flash_cnt[1285][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1285][0]~q\,
	datab => \led_flash_cnt[1285][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1285][1]~44870_combout\,
	cout => \led_flash_cnt[1285][1]~44871\);

-- Location: FF_X26_Y11_N19
\led_flash_cnt[1285][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1285][1]~44870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1285][1]~q\);

-- Location: LCCOMB_X26_Y11_N20
\led_flash_cnt[1285][2]~44872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1285][2]~44872_combout\ = (\led_flash_cnt[1285][2]~q\ & (!\led_flash_cnt[1285][1]~44871\)) # (!\led_flash_cnt[1285][2]~q\ & ((\led_flash_cnt[1285][1]~44871\) # (GND)))
-- \led_flash_cnt[1285][2]~44873\ = CARRY((!\led_flash_cnt[1285][1]~44871\) # (!\led_flash_cnt[1285][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1285][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1285][1]~44871\,
	combout => \led_flash_cnt[1285][2]~44872_combout\,
	cout => \led_flash_cnt[1285][2]~44873\);

-- Location: FF_X26_Y11_N21
\led_flash_cnt[1285][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1285][2]~44872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1285][2]~q\);

-- Location: LCCOMB_X26_Y11_N22
\led_flash_cnt[1285][3]~44874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1285][3]~44874_combout\ = (\led_flash_cnt[1285][3]~q\ & (\led_flash_cnt[1285][2]~44873\ $ (GND))) # (!\led_flash_cnt[1285][3]~q\ & (!\led_flash_cnt[1285][2]~44873\ & VCC))
-- \led_flash_cnt[1285][3]~44875\ = CARRY((\led_flash_cnt[1285][3]~q\ & !\led_flash_cnt[1285][2]~44873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1285][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1285][2]~44873\,
	combout => \led_flash_cnt[1285][3]~44874_combout\,
	cout => \led_flash_cnt[1285][3]~44875\);

-- Location: FF_X26_Y11_N23
\led_flash_cnt[1285][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1285][3]~44874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1285][3]~q\);

-- Location: LCCOMB_X26_Y11_N24
\led_flash_cnt[1285][4]~44876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1285][4]~44876_combout\ = (\led_flash_cnt[1285][4]~q\ & (!\led_flash_cnt[1285][3]~44875\)) # (!\led_flash_cnt[1285][4]~q\ & ((\led_flash_cnt[1285][3]~44875\) # (GND)))
-- \led_flash_cnt[1285][4]~44877\ = CARRY((!\led_flash_cnt[1285][3]~44875\) # (!\led_flash_cnt[1285][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1285][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1285][3]~44875\,
	combout => \led_flash_cnt[1285][4]~44876_combout\,
	cout => \led_flash_cnt[1285][4]~44877\);

-- Location: FF_X26_Y11_N25
\led_flash_cnt[1285][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1285][4]~44876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1285][4]~q\);

-- Location: LCCOMB_X26_Y11_N26
\led_flash_cnt[1285][5]~44878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1285][5]~44878_combout\ = (\led_flash_cnt[1285][5]~q\ & (\led_flash_cnt[1285][4]~44877\ $ (GND))) # (!\led_flash_cnt[1285][5]~q\ & (!\led_flash_cnt[1285][4]~44877\ & VCC))
-- \led_flash_cnt[1285][5]~44879\ = CARRY((\led_flash_cnt[1285][5]~q\ & !\led_flash_cnt[1285][4]~44877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1285][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1285][4]~44877\,
	combout => \led_flash_cnt[1285][5]~44878_combout\,
	cout => \led_flash_cnt[1285][5]~44879\);

-- Location: FF_X26_Y11_N27
\led_flash_cnt[1285][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1285][5]~44878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1285][5]~q\);

-- Location: LCCOMB_X26_Y11_N28
\led_flash_cnt[1285][6]~44880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1285][6]~44880_combout\ = (\led_flash_cnt[1285][6]~q\ & (!\led_flash_cnt[1285][5]~44879\)) # (!\led_flash_cnt[1285][6]~q\ & ((\led_flash_cnt[1285][5]~44879\) # (GND)))
-- \led_flash_cnt[1285][6]~44881\ = CARRY((!\led_flash_cnt[1285][5]~44879\) # (!\led_flash_cnt[1285][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1285][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1285][5]~44879\,
	combout => \led_flash_cnt[1285][6]~44880_combout\,
	cout => \led_flash_cnt[1285][6]~44881\);

-- Location: FF_X26_Y11_N29
\led_flash_cnt[1285][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1285][6]~44880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1285][6]~q\);

-- Location: LCCOMB_X27_Y11_N22
\WideAnd1285~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1285~1_combout\ = (\led_flash_cnt[1285][5]~q\ & \led_flash_cnt[1285][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1285][5]~q\,
	datad => \led_flash_cnt[1285][6]~q\,
	combout => \WideAnd1285~1_combout\);

-- Location: LCCOMB_X26_Y11_N30
\led_flash_cnt[1285][7]~44882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1285][7]~44882_combout\ = \led_flash_cnt[1285][7]~q\ $ (!\led_flash_cnt[1285][6]~44881\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1285][7]~q\,
	cin => \led_flash_cnt[1285][6]~44881\,
	combout => \led_flash_cnt[1285][7]~44882_combout\);

-- Location: FF_X26_Y11_N31
\led_flash_cnt[1285][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1285][7]~44882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1285][7]~q\);

-- Location: LCCOMB_X26_Y11_N0
\WideAnd1285~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1285~0_combout\ = (\led_flash_cnt[1285][2]~q\ & (\led_flash_cnt[1285][4]~q\ & (\led_flash_cnt[1285][3]~q\ & \led_flash_cnt[1285][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1285][2]~q\,
	datab => \led_flash_cnt[1285][4]~q\,
	datac => \led_flash_cnt[1285][3]~q\,
	datad => \led_flash_cnt[1285][1]~q\,
	combout => \WideAnd1285~0_combout\);

-- Location: LCCOMB_X27_Y11_N6
WideAnd1285 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1285~combout\ = (\WideAnd1285~1_combout\ & (\led_flash_cnt[1285][7]~q\ & (\WideAnd1285~0_combout\ & \led_flash_cnt[1285][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1285~1_combout\,
	datab => \led_flash_cnt[1285][7]~q\,
	datac => \WideAnd1285~0_combout\,
	datad => \led_flash_cnt[1285][0]~q\,
	combout => \WideAnd1285~combout\);

-- Location: FF_X27_Y11_N7
\led_flash_cnt_ands[1285]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1285~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1285));

-- Location: LCCOMB_X27_Y11_N24
\WideAnd4000~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4000~1_combout\ = (led_flash_cnt_ands(1284) & led_flash_cnt_ands(1285))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1284),
	datad => led_flash_cnt_ands(1285),
	combout => \WideAnd4000~1_combout\);

-- Location: LCCOMB_X27_Y11_N0
WideAnd4000 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4000~combout\ = (led_flash_cnt_ands(1287) & (led_flash_cnt_ands(1286) & (\WideAnd4000~0_combout\ & \WideAnd4000~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1287),
	datab => led_flash_cnt_ands(1286),
	datac => \WideAnd4000~0_combout\,
	datad => \WideAnd4000~1_combout\,
	combout => \WideAnd4000~combout\);

-- Location: FF_X27_Y11_N1
\led_flash_cnt_ands_1[160]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4000~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(160));

-- Location: LCCOMB_X23_Y26_N6
\led_flash_cnt[1293][0]~81933\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1293][0]~81933_combout\ = !\led_flash_cnt[1293][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1293][0]~q\,
	combout => \led_flash_cnt[1293][0]~81933_combout\);

-- Location: FF_X23_Y26_N7
\led_flash_cnt[1293][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1293][0]~81933_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1293][0]~q\);

-- Location: LCCOMB_X23_Y26_N14
\led_flash_cnt[1293][1]~44982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1293][1]~44982_combout\ = (\led_flash_cnt[1293][0]~q\ & (\led_flash_cnt[1293][1]~q\ $ (VCC))) # (!\led_flash_cnt[1293][0]~q\ & (\led_flash_cnt[1293][1]~q\ & VCC))
-- \led_flash_cnt[1293][1]~44983\ = CARRY((\led_flash_cnt[1293][0]~q\ & \led_flash_cnt[1293][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1293][0]~q\,
	datab => \led_flash_cnt[1293][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1293][1]~44982_combout\,
	cout => \led_flash_cnt[1293][1]~44983\);

-- Location: FF_X23_Y26_N15
\led_flash_cnt[1293][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1293][1]~44982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1293][1]~q\);

-- Location: LCCOMB_X23_Y26_N16
\led_flash_cnt[1293][2]~44984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1293][2]~44984_combout\ = (\led_flash_cnt[1293][2]~q\ & (!\led_flash_cnt[1293][1]~44983\)) # (!\led_flash_cnt[1293][2]~q\ & ((\led_flash_cnt[1293][1]~44983\) # (GND)))
-- \led_flash_cnt[1293][2]~44985\ = CARRY((!\led_flash_cnt[1293][1]~44983\) # (!\led_flash_cnt[1293][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1293][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1293][1]~44983\,
	combout => \led_flash_cnt[1293][2]~44984_combout\,
	cout => \led_flash_cnt[1293][2]~44985\);

-- Location: FF_X23_Y26_N17
\led_flash_cnt[1293][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1293][2]~44984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1293][2]~q\);

-- Location: LCCOMB_X23_Y26_N18
\led_flash_cnt[1293][3]~44986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1293][3]~44986_combout\ = (\led_flash_cnt[1293][3]~q\ & (\led_flash_cnt[1293][2]~44985\ $ (GND))) # (!\led_flash_cnt[1293][3]~q\ & (!\led_flash_cnt[1293][2]~44985\ & VCC))
-- \led_flash_cnt[1293][3]~44987\ = CARRY((\led_flash_cnt[1293][3]~q\ & !\led_flash_cnt[1293][2]~44985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1293][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1293][2]~44985\,
	combout => \led_flash_cnt[1293][3]~44986_combout\,
	cout => \led_flash_cnt[1293][3]~44987\);

-- Location: FF_X23_Y26_N19
\led_flash_cnt[1293][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1293][3]~44986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1293][3]~q\);

-- Location: LCCOMB_X23_Y26_N20
\led_flash_cnt[1293][4]~44988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1293][4]~44988_combout\ = (\led_flash_cnt[1293][4]~q\ & (!\led_flash_cnt[1293][3]~44987\)) # (!\led_flash_cnt[1293][4]~q\ & ((\led_flash_cnt[1293][3]~44987\) # (GND)))
-- \led_flash_cnt[1293][4]~44989\ = CARRY((!\led_flash_cnt[1293][3]~44987\) # (!\led_flash_cnt[1293][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1293][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1293][3]~44987\,
	combout => \led_flash_cnt[1293][4]~44988_combout\,
	cout => \led_flash_cnt[1293][4]~44989\);

-- Location: FF_X23_Y26_N21
\led_flash_cnt[1293][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1293][4]~44988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1293][4]~q\);

-- Location: LCCOMB_X23_Y26_N28
\WideAnd1293~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1293~0_combout\ = (\led_flash_cnt[1293][3]~q\ & (\led_flash_cnt[1293][2]~q\ & (\led_flash_cnt[1293][1]~q\ & \led_flash_cnt[1293][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1293][3]~q\,
	datab => \led_flash_cnt[1293][2]~q\,
	datac => \led_flash_cnt[1293][1]~q\,
	datad => \led_flash_cnt[1293][4]~q\,
	combout => \WideAnd1293~0_combout\);

-- Location: LCCOMB_X23_Y26_N22
\led_flash_cnt[1293][5]~44990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1293][5]~44990_combout\ = (\led_flash_cnt[1293][5]~q\ & (\led_flash_cnt[1293][4]~44989\ $ (GND))) # (!\led_flash_cnt[1293][5]~q\ & (!\led_flash_cnt[1293][4]~44989\ & VCC))
-- \led_flash_cnt[1293][5]~44991\ = CARRY((\led_flash_cnt[1293][5]~q\ & !\led_flash_cnt[1293][4]~44989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1293][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1293][4]~44989\,
	combout => \led_flash_cnt[1293][5]~44990_combout\,
	cout => \led_flash_cnt[1293][5]~44991\);

-- Location: FF_X23_Y26_N23
\led_flash_cnt[1293][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1293][5]~44990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1293][5]~q\);

-- Location: LCCOMB_X23_Y26_N24
\led_flash_cnt[1293][6]~44992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1293][6]~44992_combout\ = (\led_flash_cnt[1293][6]~q\ & (!\led_flash_cnt[1293][5]~44991\)) # (!\led_flash_cnt[1293][6]~q\ & ((\led_flash_cnt[1293][5]~44991\) # (GND)))
-- \led_flash_cnt[1293][6]~44993\ = CARRY((!\led_flash_cnt[1293][5]~44991\) # (!\led_flash_cnt[1293][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1293][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1293][5]~44991\,
	combout => \led_flash_cnt[1293][6]~44992_combout\,
	cout => \led_flash_cnt[1293][6]~44993\);

-- Location: FF_X23_Y26_N25
\led_flash_cnt[1293][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1293][6]~44992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1293][6]~q\);

-- Location: LCCOMB_X23_Y26_N26
\led_flash_cnt[1293][7]~44994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1293][7]~44994_combout\ = \led_flash_cnt[1293][7]~q\ $ (!\led_flash_cnt[1293][6]~44993\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1293][7]~q\,
	cin => \led_flash_cnt[1293][6]~44993\,
	combout => \led_flash_cnt[1293][7]~44994_combout\);

-- Location: FF_X23_Y26_N27
\led_flash_cnt[1293][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1293][7]~44994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1293][7]~q\);

-- Location: LCCOMB_X23_Y26_N12
\WideAnd1293~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1293~1_combout\ = (\led_flash_cnt[1293][5]~q\ & \led_flash_cnt[1293][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1293][5]~q\,
	datad => \led_flash_cnt[1293][6]~q\,
	combout => \WideAnd1293~1_combout\);

-- Location: LCCOMB_X23_Y26_N10
WideAnd1293 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1293~combout\ = (\led_flash_cnt[1293][0]~q\ & (\WideAnd1293~0_combout\ & (\led_flash_cnt[1293][7]~q\ & \WideAnd1293~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1293][0]~q\,
	datab => \WideAnd1293~0_combout\,
	datac => \led_flash_cnt[1293][7]~q\,
	datad => \WideAnd1293~1_combout\,
	combout => \WideAnd1293~combout\);

-- Location: FF_X23_Y26_N11
\led_flash_cnt_ands[1293]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1293~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1293));

-- Location: LCCOMB_X23_Y26_N2
\led_flash_cnt[1292][0]~81932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1292][0]~81932_combout\ = !\led_flash_cnt[1292][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1292][0]~q\,
	combout => \led_flash_cnt[1292][0]~81932_combout\);

-- Location: FF_X23_Y26_N3
\led_flash_cnt[1292][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1292][0]~81932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1292][0]~q\);

-- Location: LCCOMB_X22_Y26_N0
\led_flash_cnt[1292][1]~44968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1292][1]~44968_combout\ = (\led_flash_cnt[1292][0]~q\ & (\led_flash_cnt[1292][1]~q\ $ (VCC))) # (!\led_flash_cnt[1292][0]~q\ & (\led_flash_cnt[1292][1]~q\ & VCC))
-- \led_flash_cnt[1292][1]~44969\ = CARRY((\led_flash_cnt[1292][0]~q\ & \led_flash_cnt[1292][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1292][0]~q\,
	datab => \led_flash_cnt[1292][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1292][1]~44968_combout\,
	cout => \led_flash_cnt[1292][1]~44969\);

-- Location: FF_X22_Y26_N1
\led_flash_cnt[1292][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1292][1]~44968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1292][1]~q\);

-- Location: LCCOMB_X22_Y26_N2
\led_flash_cnt[1292][2]~44970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1292][2]~44970_combout\ = (\led_flash_cnt[1292][2]~q\ & (!\led_flash_cnt[1292][1]~44969\)) # (!\led_flash_cnt[1292][2]~q\ & ((\led_flash_cnt[1292][1]~44969\) # (GND)))
-- \led_flash_cnt[1292][2]~44971\ = CARRY((!\led_flash_cnt[1292][1]~44969\) # (!\led_flash_cnt[1292][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1292][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1292][1]~44969\,
	combout => \led_flash_cnt[1292][2]~44970_combout\,
	cout => \led_flash_cnt[1292][2]~44971\);

-- Location: FF_X22_Y26_N3
\led_flash_cnt[1292][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1292][2]~44970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1292][2]~q\);

-- Location: LCCOMB_X22_Y26_N4
\led_flash_cnt[1292][3]~44972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1292][3]~44972_combout\ = (\led_flash_cnt[1292][3]~q\ & (\led_flash_cnt[1292][2]~44971\ $ (GND))) # (!\led_flash_cnt[1292][3]~q\ & (!\led_flash_cnt[1292][2]~44971\ & VCC))
-- \led_flash_cnt[1292][3]~44973\ = CARRY((\led_flash_cnt[1292][3]~q\ & !\led_flash_cnt[1292][2]~44971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1292][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1292][2]~44971\,
	combout => \led_flash_cnt[1292][3]~44972_combout\,
	cout => \led_flash_cnt[1292][3]~44973\);

-- Location: FF_X22_Y26_N5
\led_flash_cnt[1292][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1292][3]~44972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1292][3]~q\);

-- Location: LCCOMB_X22_Y26_N6
\led_flash_cnt[1292][4]~44974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1292][4]~44974_combout\ = (\led_flash_cnt[1292][4]~q\ & (!\led_flash_cnt[1292][3]~44973\)) # (!\led_flash_cnt[1292][4]~q\ & ((\led_flash_cnt[1292][3]~44973\) # (GND)))
-- \led_flash_cnt[1292][4]~44975\ = CARRY((!\led_flash_cnt[1292][3]~44973\) # (!\led_flash_cnt[1292][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1292][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1292][3]~44973\,
	combout => \led_flash_cnt[1292][4]~44974_combout\,
	cout => \led_flash_cnt[1292][4]~44975\);

-- Location: FF_X22_Y26_N7
\led_flash_cnt[1292][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1292][4]~44974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1292][4]~q\);

-- Location: LCCOMB_X22_Y26_N8
\led_flash_cnt[1292][5]~44976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1292][5]~44976_combout\ = (\led_flash_cnt[1292][5]~q\ & (\led_flash_cnt[1292][4]~44975\ $ (GND))) # (!\led_flash_cnt[1292][5]~q\ & (!\led_flash_cnt[1292][4]~44975\ & VCC))
-- \led_flash_cnt[1292][5]~44977\ = CARRY((\led_flash_cnt[1292][5]~q\ & !\led_flash_cnt[1292][4]~44975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1292][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1292][4]~44975\,
	combout => \led_flash_cnt[1292][5]~44976_combout\,
	cout => \led_flash_cnt[1292][5]~44977\);

-- Location: FF_X22_Y26_N9
\led_flash_cnt[1292][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1292][5]~44976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1292][5]~q\);

-- Location: LCCOMB_X22_Y26_N10
\led_flash_cnt[1292][6]~44978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1292][6]~44978_combout\ = (\led_flash_cnt[1292][6]~q\ & (!\led_flash_cnt[1292][5]~44977\)) # (!\led_flash_cnt[1292][6]~q\ & ((\led_flash_cnt[1292][5]~44977\) # (GND)))
-- \led_flash_cnt[1292][6]~44979\ = CARRY((!\led_flash_cnt[1292][5]~44977\) # (!\led_flash_cnt[1292][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1292][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1292][5]~44977\,
	combout => \led_flash_cnt[1292][6]~44978_combout\,
	cout => \led_flash_cnt[1292][6]~44979\);

-- Location: FF_X22_Y26_N11
\led_flash_cnt[1292][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1292][6]~44978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1292][6]~q\);

-- Location: LCCOMB_X22_Y26_N12
\led_flash_cnt[1292][7]~44980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1292][7]~44980_combout\ = \led_flash_cnt[1292][6]~44979\ $ (!\led_flash_cnt[1292][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1292][7]~q\,
	cin => \led_flash_cnt[1292][6]~44979\,
	combout => \led_flash_cnt[1292][7]~44980_combout\);

-- Location: FF_X22_Y26_N13
\led_flash_cnt[1292][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1292][7]~44980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1292][7]~q\);

-- Location: LCCOMB_X23_Y26_N4
\WideAnd1292~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1292~1_combout\ = (\led_flash_cnt[1292][6]~q\ & \led_flash_cnt[1292][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1292][6]~q\,
	datad => \led_flash_cnt[1292][5]~q\,
	combout => \WideAnd1292~1_combout\);

-- Location: LCCOMB_X22_Y26_N14
\WideAnd1292~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1292~0_combout\ = (\led_flash_cnt[1292][4]~q\ & (\led_flash_cnt[1292][2]~q\ & (\led_flash_cnt[1292][3]~q\ & \led_flash_cnt[1292][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1292][4]~q\,
	datab => \led_flash_cnt[1292][2]~q\,
	datac => \led_flash_cnt[1292][3]~q\,
	datad => \led_flash_cnt[1292][1]~q\,
	combout => \WideAnd1292~0_combout\);

-- Location: LCCOMB_X23_Y26_N30
WideAnd1292 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1292~combout\ = (\led_flash_cnt[1292][7]~q\ & (\led_flash_cnt[1292][0]~q\ & (\WideAnd1292~1_combout\ & \WideAnd1292~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1292][7]~q\,
	datab => \led_flash_cnt[1292][0]~q\,
	datac => \WideAnd1292~1_combout\,
	datad => \WideAnd1292~0_combout\,
	combout => \WideAnd1292~combout\);

-- Location: FF_X23_Y26_N31
\led_flash_cnt_ands[1292]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1292~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1292));

-- Location: LCCOMB_X23_Y28_N20
\WideAnd4001~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4001~1_combout\ = (led_flash_cnt_ands(1293) & led_flash_cnt_ands(1292))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1293),
	datad => led_flash_cnt_ands(1292),
	combout => \WideAnd4001~1_combout\);

-- Location: LCCOMB_X26_Y28_N26
\led_flash_cnt[1294][0]~81934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1294][0]~81934_combout\ = !\led_flash_cnt[1294][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1294][0]~q\,
	combout => \led_flash_cnt[1294][0]~81934_combout\);

-- Location: FF_X26_Y28_N27
\led_flash_cnt[1294][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1294][0]~81934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1294][0]~q\);

-- Location: LCCOMB_X26_Y28_N4
\led_flash_cnt[1294][1]~44996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1294][1]~44996_combout\ = (\led_flash_cnt[1294][0]~q\ & (\led_flash_cnt[1294][1]~q\ $ (VCC))) # (!\led_flash_cnt[1294][0]~q\ & (\led_flash_cnt[1294][1]~q\ & VCC))
-- \led_flash_cnt[1294][1]~44997\ = CARRY((\led_flash_cnt[1294][0]~q\ & \led_flash_cnt[1294][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1294][0]~q\,
	datab => \led_flash_cnt[1294][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1294][1]~44996_combout\,
	cout => \led_flash_cnt[1294][1]~44997\);

-- Location: FF_X26_Y28_N5
\led_flash_cnt[1294][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1294][1]~44996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1294][1]~q\);

-- Location: LCCOMB_X26_Y28_N6
\led_flash_cnt[1294][2]~44998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1294][2]~44998_combout\ = (\led_flash_cnt[1294][2]~q\ & (!\led_flash_cnt[1294][1]~44997\)) # (!\led_flash_cnt[1294][2]~q\ & ((\led_flash_cnt[1294][1]~44997\) # (GND)))
-- \led_flash_cnt[1294][2]~44999\ = CARRY((!\led_flash_cnt[1294][1]~44997\) # (!\led_flash_cnt[1294][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1294][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1294][1]~44997\,
	combout => \led_flash_cnt[1294][2]~44998_combout\,
	cout => \led_flash_cnt[1294][2]~44999\);

-- Location: FF_X26_Y28_N7
\led_flash_cnt[1294][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1294][2]~44998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1294][2]~q\);

-- Location: LCCOMB_X26_Y28_N8
\led_flash_cnt[1294][3]~45000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1294][3]~45000_combout\ = (\led_flash_cnt[1294][3]~q\ & (\led_flash_cnt[1294][2]~44999\ $ (GND))) # (!\led_flash_cnt[1294][3]~q\ & (!\led_flash_cnt[1294][2]~44999\ & VCC))
-- \led_flash_cnt[1294][3]~45001\ = CARRY((\led_flash_cnt[1294][3]~q\ & !\led_flash_cnt[1294][2]~44999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1294][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1294][2]~44999\,
	combout => \led_flash_cnt[1294][3]~45000_combout\,
	cout => \led_flash_cnt[1294][3]~45001\);

-- Location: FF_X26_Y28_N9
\led_flash_cnt[1294][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1294][3]~45000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1294][3]~q\);

-- Location: LCCOMB_X26_Y28_N10
\led_flash_cnt[1294][4]~45002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1294][4]~45002_combout\ = (\led_flash_cnt[1294][4]~q\ & (!\led_flash_cnt[1294][3]~45001\)) # (!\led_flash_cnt[1294][4]~q\ & ((\led_flash_cnt[1294][3]~45001\) # (GND)))
-- \led_flash_cnt[1294][4]~45003\ = CARRY((!\led_flash_cnt[1294][3]~45001\) # (!\led_flash_cnt[1294][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1294][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1294][3]~45001\,
	combout => \led_flash_cnt[1294][4]~45002_combout\,
	cout => \led_flash_cnt[1294][4]~45003\);

-- Location: FF_X26_Y28_N11
\led_flash_cnt[1294][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1294][4]~45002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1294][4]~q\);

-- Location: LCCOMB_X26_Y28_N18
\WideAnd1294~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1294~0_combout\ = (\led_flash_cnt[1294][4]~q\ & (\led_flash_cnt[1294][1]~q\ & (\led_flash_cnt[1294][3]~q\ & \led_flash_cnt[1294][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1294][4]~q\,
	datab => \led_flash_cnt[1294][1]~q\,
	datac => \led_flash_cnt[1294][3]~q\,
	datad => \led_flash_cnt[1294][2]~q\,
	combout => \WideAnd1294~0_combout\);

-- Location: LCCOMB_X26_Y28_N12
\led_flash_cnt[1294][5]~45004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1294][5]~45004_combout\ = (\led_flash_cnt[1294][5]~q\ & (\led_flash_cnt[1294][4]~45003\ $ (GND))) # (!\led_flash_cnt[1294][5]~q\ & (!\led_flash_cnt[1294][4]~45003\ & VCC))
-- \led_flash_cnt[1294][5]~45005\ = CARRY((\led_flash_cnt[1294][5]~q\ & !\led_flash_cnt[1294][4]~45003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1294][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1294][4]~45003\,
	combout => \led_flash_cnt[1294][5]~45004_combout\,
	cout => \led_flash_cnt[1294][5]~45005\);

-- Location: FF_X26_Y28_N13
\led_flash_cnt[1294][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1294][5]~45004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1294][5]~q\);

-- Location: LCCOMB_X26_Y28_N14
\led_flash_cnt[1294][6]~45006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1294][6]~45006_combout\ = (\led_flash_cnt[1294][6]~q\ & (!\led_flash_cnt[1294][5]~45005\)) # (!\led_flash_cnt[1294][6]~q\ & ((\led_flash_cnt[1294][5]~45005\) # (GND)))
-- \led_flash_cnt[1294][6]~45007\ = CARRY((!\led_flash_cnt[1294][5]~45005\) # (!\led_flash_cnt[1294][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1294][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1294][5]~45005\,
	combout => \led_flash_cnt[1294][6]~45006_combout\,
	cout => \led_flash_cnt[1294][6]~45007\);

-- Location: FF_X26_Y28_N15
\led_flash_cnt[1294][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1294][6]~45006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1294][6]~q\);

-- Location: LCCOMB_X26_Y28_N30
\WideAnd1294~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1294~1_combout\ = (\led_flash_cnt[1294][6]~q\ & \led_flash_cnt[1294][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1294][6]~q\,
	datad => \led_flash_cnt[1294][5]~q\,
	combout => \WideAnd1294~1_combout\);

-- Location: LCCOMB_X26_Y28_N16
\led_flash_cnt[1294][7]~45008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1294][7]~45008_combout\ = \led_flash_cnt[1294][6]~45007\ $ (!\led_flash_cnt[1294][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1294][7]~q\,
	cin => \led_flash_cnt[1294][6]~45007\,
	combout => \led_flash_cnt[1294][7]~45008_combout\);

-- Location: FF_X26_Y28_N17
\led_flash_cnt[1294][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1294][7]~45008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1294][7]~q\);

-- Location: LCCOMB_X26_Y28_N24
WideAnd1294 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1294~combout\ = (\led_flash_cnt[1294][0]~q\ & (\WideAnd1294~0_combout\ & (\WideAnd1294~1_combout\ & \led_flash_cnt[1294][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1294][0]~q\,
	datab => \WideAnd1294~0_combout\,
	datac => \WideAnd1294~1_combout\,
	datad => \led_flash_cnt[1294][7]~q\,
	combout => \WideAnd1294~combout\);

-- Location: FF_X26_Y28_N25
\led_flash_cnt_ands[1294]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1294~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1294));

-- Location: LCCOMB_X26_Y28_N0
\led_flash_cnt[1295][0]~81935\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1295][0]~81935_combout\ = !\led_flash_cnt[1295][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1295][0]~q\,
	combout => \led_flash_cnt[1295][0]~81935_combout\);

-- Location: FF_X26_Y28_N1
\led_flash_cnt[1295][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1295][0]~81935_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1295][0]~q\);

-- Location: LCCOMB_X29_Y32_N2
\led_flash_cnt[1295][1]~45010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1295][1]~45010_combout\ = (\led_flash_cnt[1295][0]~q\ & (\led_flash_cnt[1295][1]~q\ $ (VCC))) # (!\led_flash_cnt[1295][0]~q\ & (\led_flash_cnt[1295][1]~q\ & VCC))
-- \led_flash_cnt[1295][1]~45011\ = CARRY((\led_flash_cnt[1295][0]~q\ & \led_flash_cnt[1295][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1295][0]~q\,
	datab => \led_flash_cnt[1295][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1295][1]~45010_combout\,
	cout => \led_flash_cnt[1295][1]~45011\);

-- Location: FF_X29_Y32_N3
\led_flash_cnt[1295][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1295][1]~45010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1295][1]~q\);

-- Location: LCCOMB_X29_Y32_N4
\led_flash_cnt[1295][2]~45012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1295][2]~45012_combout\ = (\led_flash_cnt[1295][2]~q\ & (!\led_flash_cnt[1295][1]~45011\)) # (!\led_flash_cnt[1295][2]~q\ & ((\led_flash_cnt[1295][1]~45011\) # (GND)))
-- \led_flash_cnt[1295][2]~45013\ = CARRY((!\led_flash_cnt[1295][1]~45011\) # (!\led_flash_cnt[1295][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1295][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1295][1]~45011\,
	combout => \led_flash_cnt[1295][2]~45012_combout\,
	cout => \led_flash_cnt[1295][2]~45013\);

-- Location: FF_X29_Y32_N5
\led_flash_cnt[1295][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1295][2]~45012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1295][2]~q\);

-- Location: LCCOMB_X29_Y32_N6
\led_flash_cnt[1295][3]~45014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1295][3]~45014_combout\ = (\led_flash_cnt[1295][3]~q\ & (\led_flash_cnt[1295][2]~45013\ $ (GND))) # (!\led_flash_cnt[1295][3]~q\ & (!\led_flash_cnt[1295][2]~45013\ & VCC))
-- \led_flash_cnt[1295][3]~45015\ = CARRY((\led_flash_cnt[1295][3]~q\ & !\led_flash_cnt[1295][2]~45013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1295][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1295][2]~45013\,
	combout => \led_flash_cnt[1295][3]~45014_combout\,
	cout => \led_flash_cnt[1295][3]~45015\);

-- Location: FF_X29_Y32_N7
\led_flash_cnt[1295][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1295][3]~45014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1295][3]~q\);

-- Location: LCCOMB_X29_Y32_N8
\led_flash_cnt[1295][4]~45016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1295][4]~45016_combout\ = (\led_flash_cnt[1295][4]~q\ & (!\led_flash_cnt[1295][3]~45015\)) # (!\led_flash_cnt[1295][4]~q\ & ((\led_flash_cnt[1295][3]~45015\) # (GND)))
-- \led_flash_cnt[1295][4]~45017\ = CARRY((!\led_flash_cnt[1295][3]~45015\) # (!\led_flash_cnt[1295][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1295][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1295][3]~45015\,
	combout => \led_flash_cnt[1295][4]~45016_combout\,
	cout => \led_flash_cnt[1295][4]~45017\);

-- Location: FF_X29_Y32_N9
\led_flash_cnt[1295][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1295][4]~45016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1295][4]~q\);

-- Location: LCCOMB_X29_Y32_N10
\led_flash_cnt[1295][5]~45018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1295][5]~45018_combout\ = (\led_flash_cnt[1295][5]~q\ & (\led_flash_cnt[1295][4]~45017\ $ (GND))) # (!\led_flash_cnt[1295][5]~q\ & (!\led_flash_cnt[1295][4]~45017\ & VCC))
-- \led_flash_cnt[1295][5]~45019\ = CARRY((\led_flash_cnt[1295][5]~q\ & !\led_flash_cnt[1295][4]~45017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1295][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1295][4]~45017\,
	combout => \led_flash_cnt[1295][5]~45018_combout\,
	cout => \led_flash_cnt[1295][5]~45019\);

-- Location: FF_X29_Y32_N11
\led_flash_cnt[1295][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1295][5]~45018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1295][5]~q\);

-- Location: LCCOMB_X29_Y32_N12
\led_flash_cnt[1295][6]~45020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1295][6]~45020_combout\ = (\led_flash_cnt[1295][6]~q\ & (!\led_flash_cnt[1295][5]~45019\)) # (!\led_flash_cnt[1295][6]~q\ & ((\led_flash_cnt[1295][5]~45019\) # (GND)))
-- \led_flash_cnt[1295][6]~45021\ = CARRY((!\led_flash_cnt[1295][5]~45019\) # (!\led_flash_cnt[1295][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1295][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1295][5]~45019\,
	combout => \led_flash_cnt[1295][6]~45020_combout\,
	cout => \led_flash_cnt[1295][6]~45021\);

-- Location: FF_X29_Y32_N13
\led_flash_cnt[1295][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1295][6]~45020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1295][6]~q\);

-- Location: LCCOMB_X29_Y32_N14
\led_flash_cnt[1295][7]~45022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1295][7]~45022_combout\ = \led_flash_cnt[1295][7]~q\ $ (!\led_flash_cnt[1295][6]~45021\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1295][7]~q\,
	cin => \led_flash_cnt[1295][6]~45021\,
	combout => \led_flash_cnt[1295][7]~45022_combout\);

-- Location: FF_X29_Y32_N15
\led_flash_cnt[1295][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1295][7]~45022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1295][7]~q\);

-- Location: LCCOMB_X29_Y32_N0
\WideAnd1295~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1295~0_combout\ = (\led_flash_cnt[1295][3]~q\ & (\led_flash_cnt[1295][2]~q\ & (\led_flash_cnt[1295][4]~q\ & \led_flash_cnt[1295][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1295][3]~q\,
	datab => \led_flash_cnt[1295][2]~q\,
	datac => \led_flash_cnt[1295][4]~q\,
	datad => \led_flash_cnt[1295][1]~q\,
	combout => \WideAnd1295~0_combout\);

-- Location: LCCOMB_X26_Y28_N2
\WideAnd1295~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1295~1_combout\ = (\led_flash_cnt[1295][5]~q\ & \led_flash_cnt[1295][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1295][5]~q\,
	datad => \led_flash_cnt[1295][6]~q\,
	combout => \WideAnd1295~1_combout\);

-- Location: LCCOMB_X26_Y28_N22
WideAnd1295 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1295~combout\ = (\led_flash_cnt[1295][7]~q\ & (\led_flash_cnt[1295][0]~q\ & (\WideAnd1295~0_combout\ & \WideAnd1295~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1295][7]~q\,
	datab => \led_flash_cnt[1295][0]~q\,
	datac => \WideAnd1295~0_combout\,
	datad => \WideAnd1295~1_combout\,
	combout => \WideAnd1295~combout\);

-- Location: FF_X26_Y28_N23
\led_flash_cnt_ands[1295]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1295~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1295));

-- Location: LCCOMB_X16_Y27_N4
\led_flash_cnt[1289][0]~81929\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1289][0]~81929_combout\ = !\led_flash_cnt[1289][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1289][0]~q\,
	combout => \led_flash_cnt[1289][0]~81929_combout\);

-- Location: FF_X16_Y27_N5
\led_flash_cnt[1289][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1289][0]~81929_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1289][0]~q\);

-- Location: LCCOMB_X15_Y27_N18
\led_flash_cnt[1289][1]~44926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1289][1]~44926_combout\ = (\led_flash_cnt[1289][0]~q\ & (\led_flash_cnt[1289][1]~q\ $ (VCC))) # (!\led_flash_cnt[1289][0]~q\ & (\led_flash_cnt[1289][1]~q\ & VCC))
-- \led_flash_cnt[1289][1]~44927\ = CARRY((\led_flash_cnt[1289][0]~q\ & \led_flash_cnt[1289][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1289][0]~q\,
	datab => \led_flash_cnt[1289][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1289][1]~44926_combout\,
	cout => \led_flash_cnt[1289][1]~44927\);

-- Location: FF_X15_Y27_N19
\led_flash_cnt[1289][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1289][1]~44926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1289][1]~q\);

-- Location: LCCOMB_X15_Y27_N20
\led_flash_cnt[1289][2]~44928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1289][2]~44928_combout\ = (\led_flash_cnt[1289][2]~q\ & (!\led_flash_cnt[1289][1]~44927\)) # (!\led_flash_cnt[1289][2]~q\ & ((\led_flash_cnt[1289][1]~44927\) # (GND)))
-- \led_flash_cnt[1289][2]~44929\ = CARRY((!\led_flash_cnt[1289][1]~44927\) # (!\led_flash_cnt[1289][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1289][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1289][1]~44927\,
	combout => \led_flash_cnt[1289][2]~44928_combout\,
	cout => \led_flash_cnt[1289][2]~44929\);

-- Location: FF_X15_Y27_N21
\led_flash_cnt[1289][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1289][2]~44928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1289][2]~q\);

-- Location: LCCOMB_X15_Y27_N22
\led_flash_cnt[1289][3]~44930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1289][3]~44930_combout\ = (\led_flash_cnt[1289][3]~q\ & (\led_flash_cnt[1289][2]~44929\ $ (GND))) # (!\led_flash_cnt[1289][3]~q\ & (!\led_flash_cnt[1289][2]~44929\ & VCC))
-- \led_flash_cnt[1289][3]~44931\ = CARRY((\led_flash_cnt[1289][3]~q\ & !\led_flash_cnt[1289][2]~44929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1289][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1289][2]~44929\,
	combout => \led_flash_cnt[1289][3]~44930_combout\,
	cout => \led_flash_cnt[1289][3]~44931\);

-- Location: FF_X15_Y27_N23
\led_flash_cnt[1289][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1289][3]~44930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1289][3]~q\);

-- Location: LCCOMB_X15_Y27_N24
\led_flash_cnt[1289][4]~44932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1289][4]~44932_combout\ = (\led_flash_cnt[1289][4]~q\ & (!\led_flash_cnt[1289][3]~44931\)) # (!\led_flash_cnt[1289][4]~q\ & ((\led_flash_cnt[1289][3]~44931\) # (GND)))
-- \led_flash_cnt[1289][4]~44933\ = CARRY((!\led_flash_cnt[1289][3]~44931\) # (!\led_flash_cnt[1289][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1289][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1289][3]~44931\,
	combout => \led_flash_cnt[1289][4]~44932_combout\,
	cout => \led_flash_cnt[1289][4]~44933\);

-- Location: FF_X15_Y27_N25
\led_flash_cnt[1289][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1289][4]~44932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1289][4]~q\);

-- Location: LCCOMB_X15_Y27_N2
\WideAnd1289~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1289~0_combout\ = (\led_flash_cnt[1289][1]~q\ & (\led_flash_cnt[1289][4]~q\ & (\led_flash_cnt[1289][3]~q\ & \led_flash_cnt[1289][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1289][1]~q\,
	datab => \led_flash_cnt[1289][4]~q\,
	datac => \led_flash_cnt[1289][3]~q\,
	datad => \led_flash_cnt[1289][2]~q\,
	combout => \WideAnd1289~0_combout\);

-- Location: LCCOMB_X15_Y27_N26
\led_flash_cnt[1289][5]~44934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1289][5]~44934_combout\ = (\led_flash_cnt[1289][5]~q\ & (\led_flash_cnt[1289][4]~44933\ $ (GND))) # (!\led_flash_cnt[1289][5]~q\ & (!\led_flash_cnt[1289][4]~44933\ & VCC))
-- \led_flash_cnt[1289][5]~44935\ = CARRY((\led_flash_cnt[1289][5]~q\ & !\led_flash_cnt[1289][4]~44933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1289][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1289][4]~44933\,
	combout => \led_flash_cnt[1289][5]~44934_combout\,
	cout => \led_flash_cnt[1289][5]~44935\);

-- Location: FF_X15_Y27_N27
\led_flash_cnt[1289][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1289][5]~44934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1289][5]~q\);

-- Location: LCCOMB_X15_Y27_N28
\led_flash_cnt[1289][6]~44936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1289][6]~44936_combout\ = (\led_flash_cnt[1289][6]~q\ & (!\led_flash_cnt[1289][5]~44935\)) # (!\led_flash_cnt[1289][6]~q\ & ((\led_flash_cnt[1289][5]~44935\) # (GND)))
-- \led_flash_cnt[1289][6]~44937\ = CARRY((!\led_flash_cnt[1289][5]~44935\) # (!\led_flash_cnt[1289][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1289][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1289][5]~44935\,
	combout => \led_flash_cnt[1289][6]~44936_combout\,
	cout => \led_flash_cnt[1289][6]~44937\);

-- Location: FF_X15_Y27_N29
\led_flash_cnt[1289][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1289][6]~44936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1289][6]~q\);

-- Location: LCCOMB_X15_Y27_N30
\led_flash_cnt[1289][7]~44938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1289][7]~44938_combout\ = \led_flash_cnt[1289][7]~q\ $ (!\led_flash_cnt[1289][6]~44937\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1289][7]~q\,
	cin => \led_flash_cnt[1289][6]~44937\,
	combout => \led_flash_cnt[1289][7]~44938_combout\);

-- Location: FF_X15_Y27_N31
\led_flash_cnt[1289][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1289][7]~44938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1289][7]~q\);

-- Location: LCCOMB_X16_Y27_N6
\WideAnd1289~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1289~1_combout\ = (\led_flash_cnt[1289][5]~q\ & \led_flash_cnt[1289][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1289][5]~q\,
	datad => \led_flash_cnt[1289][6]~q\,
	combout => \WideAnd1289~1_combout\);

-- Location: LCCOMB_X16_Y27_N2
WideAnd1289 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1289~combout\ = (\WideAnd1289~0_combout\ & (\led_flash_cnt[1289][7]~q\ & (\led_flash_cnt[1289][0]~q\ & \WideAnd1289~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1289~0_combout\,
	datab => \led_flash_cnt[1289][7]~q\,
	datac => \led_flash_cnt[1289][0]~q\,
	datad => \WideAnd1289~1_combout\,
	combout => \WideAnd1289~combout\);

-- Location: FF_X16_Y27_N3
\led_flash_cnt_ands[1289]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1289~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1289));

-- Location: LCCOMB_X19_Y27_N26
\led_flash_cnt[1290][0]~81930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1290][0]~81930_combout\ = !\led_flash_cnt[1290][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1290][0]~q\,
	combout => \led_flash_cnt[1290][0]~81930_combout\);

-- Location: FF_X19_Y27_N27
\led_flash_cnt[1290][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1290][0]~81930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1290][0]~q\);

-- Location: LCCOMB_X18_Y25_N2
\led_flash_cnt[1290][1]~44940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1290][1]~44940_combout\ = (\led_flash_cnt[1290][0]~q\ & (\led_flash_cnt[1290][1]~q\ $ (VCC))) # (!\led_flash_cnt[1290][0]~q\ & (\led_flash_cnt[1290][1]~q\ & VCC))
-- \led_flash_cnt[1290][1]~44941\ = CARRY((\led_flash_cnt[1290][0]~q\ & \led_flash_cnt[1290][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1290][0]~q\,
	datab => \led_flash_cnt[1290][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1290][1]~44940_combout\,
	cout => \led_flash_cnt[1290][1]~44941\);

-- Location: FF_X18_Y25_N3
\led_flash_cnt[1290][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1290][1]~44940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1290][1]~q\);

-- Location: LCCOMB_X18_Y25_N4
\led_flash_cnt[1290][2]~44942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1290][2]~44942_combout\ = (\led_flash_cnt[1290][2]~q\ & (!\led_flash_cnt[1290][1]~44941\)) # (!\led_flash_cnt[1290][2]~q\ & ((\led_flash_cnt[1290][1]~44941\) # (GND)))
-- \led_flash_cnt[1290][2]~44943\ = CARRY((!\led_flash_cnt[1290][1]~44941\) # (!\led_flash_cnt[1290][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1290][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1290][1]~44941\,
	combout => \led_flash_cnt[1290][2]~44942_combout\,
	cout => \led_flash_cnt[1290][2]~44943\);

-- Location: FF_X18_Y25_N5
\led_flash_cnt[1290][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1290][2]~44942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1290][2]~q\);

-- Location: LCCOMB_X18_Y25_N6
\led_flash_cnt[1290][3]~44944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1290][3]~44944_combout\ = (\led_flash_cnt[1290][3]~q\ & (\led_flash_cnt[1290][2]~44943\ $ (GND))) # (!\led_flash_cnt[1290][3]~q\ & (!\led_flash_cnt[1290][2]~44943\ & VCC))
-- \led_flash_cnt[1290][3]~44945\ = CARRY((\led_flash_cnt[1290][3]~q\ & !\led_flash_cnt[1290][2]~44943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1290][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1290][2]~44943\,
	combout => \led_flash_cnt[1290][3]~44944_combout\,
	cout => \led_flash_cnt[1290][3]~44945\);

-- Location: FF_X18_Y25_N7
\led_flash_cnt[1290][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1290][3]~44944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1290][3]~q\);

-- Location: LCCOMB_X18_Y25_N8
\led_flash_cnt[1290][4]~44946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1290][4]~44946_combout\ = (\led_flash_cnt[1290][4]~q\ & (!\led_flash_cnt[1290][3]~44945\)) # (!\led_flash_cnt[1290][4]~q\ & ((\led_flash_cnt[1290][3]~44945\) # (GND)))
-- \led_flash_cnt[1290][4]~44947\ = CARRY((!\led_flash_cnt[1290][3]~44945\) # (!\led_flash_cnt[1290][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1290][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1290][3]~44945\,
	combout => \led_flash_cnt[1290][4]~44946_combout\,
	cout => \led_flash_cnt[1290][4]~44947\);

-- Location: FF_X18_Y25_N9
\led_flash_cnt[1290][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1290][4]~44946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1290][4]~q\);

-- Location: LCCOMB_X18_Y25_N30
\WideAnd1290~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1290~0_combout\ = (\led_flash_cnt[1290][3]~q\ & (\led_flash_cnt[1290][2]~q\ & (\led_flash_cnt[1290][4]~q\ & \led_flash_cnt[1290][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1290][3]~q\,
	datab => \led_flash_cnt[1290][2]~q\,
	datac => \led_flash_cnt[1290][4]~q\,
	datad => \led_flash_cnt[1290][1]~q\,
	combout => \WideAnd1290~0_combout\);

-- Location: LCCOMB_X18_Y25_N10
\led_flash_cnt[1290][5]~44948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1290][5]~44948_combout\ = (\led_flash_cnt[1290][5]~q\ & (\led_flash_cnt[1290][4]~44947\ $ (GND))) # (!\led_flash_cnt[1290][5]~q\ & (!\led_flash_cnt[1290][4]~44947\ & VCC))
-- \led_flash_cnt[1290][5]~44949\ = CARRY((\led_flash_cnt[1290][5]~q\ & !\led_flash_cnt[1290][4]~44947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1290][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1290][4]~44947\,
	combout => \led_flash_cnt[1290][5]~44948_combout\,
	cout => \led_flash_cnt[1290][5]~44949\);

-- Location: FF_X18_Y25_N11
\led_flash_cnt[1290][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1290][5]~44948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1290][5]~q\);

-- Location: LCCOMB_X18_Y25_N12
\led_flash_cnt[1290][6]~44950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1290][6]~44950_combout\ = (\led_flash_cnt[1290][6]~q\ & (!\led_flash_cnt[1290][5]~44949\)) # (!\led_flash_cnt[1290][6]~q\ & ((\led_flash_cnt[1290][5]~44949\) # (GND)))
-- \led_flash_cnt[1290][6]~44951\ = CARRY((!\led_flash_cnt[1290][5]~44949\) # (!\led_flash_cnt[1290][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1290][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1290][5]~44949\,
	combout => \led_flash_cnt[1290][6]~44950_combout\,
	cout => \led_flash_cnt[1290][6]~44951\);

-- Location: FF_X18_Y25_N13
\led_flash_cnt[1290][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1290][6]~44950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1290][6]~q\);

-- Location: LCCOMB_X18_Y25_N0
\WideAnd1290~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1290~1_combout\ = (\led_flash_cnt[1290][6]~q\ & \led_flash_cnt[1290][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1290][6]~q\,
	datad => \led_flash_cnt[1290][5]~q\,
	combout => \WideAnd1290~1_combout\);

-- Location: LCCOMB_X18_Y25_N14
\led_flash_cnt[1290][7]~44952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1290][7]~44952_combout\ = \led_flash_cnt[1290][7]~q\ $ (!\led_flash_cnt[1290][6]~44951\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1290][7]~q\,
	cin => \led_flash_cnt[1290][6]~44951\,
	combout => \led_flash_cnt[1290][7]~44952_combout\);

-- Location: FF_X18_Y25_N15
\led_flash_cnt[1290][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1290][7]~44952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1290][7]~q\);

-- Location: LCCOMB_X19_Y27_N28
WideAnd1290 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1290~combout\ = (\led_flash_cnt[1290][0]~q\ & (\WideAnd1290~0_combout\ & (\WideAnd1290~1_combout\ & \led_flash_cnt[1290][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1290][0]~q\,
	datab => \WideAnd1290~0_combout\,
	datac => \WideAnd1290~1_combout\,
	datad => \led_flash_cnt[1290][7]~q\,
	combout => \WideAnd1290~combout\);

-- Location: FF_X19_Y27_N29
\led_flash_cnt_ands[1290]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1290~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1290));

-- Location: LCCOMB_X10_Y27_N6
\led_flash_cnt[1288][0]~81928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1288][0]~81928_combout\ = !\led_flash_cnt[1288][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1288][0]~q\,
	combout => \led_flash_cnt[1288][0]~81928_combout\);

-- Location: FF_X10_Y27_N7
\led_flash_cnt[1288][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1288][0]~81928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1288][0]~q\);

-- Location: LCCOMB_X11_Y27_N16
\led_flash_cnt[1288][1]~44912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1288][1]~44912_combout\ = (\led_flash_cnt[1288][1]~q\ & (\led_flash_cnt[1288][0]~q\ $ (VCC))) # (!\led_flash_cnt[1288][1]~q\ & (\led_flash_cnt[1288][0]~q\ & VCC))
-- \led_flash_cnt[1288][1]~44913\ = CARRY((\led_flash_cnt[1288][1]~q\ & \led_flash_cnt[1288][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1288][1]~q\,
	datab => \led_flash_cnt[1288][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1288][1]~44912_combout\,
	cout => \led_flash_cnt[1288][1]~44913\);

-- Location: FF_X11_Y27_N17
\led_flash_cnt[1288][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1288][1]~44912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1288][1]~q\);

-- Location: LCCOMB_X11_Y27_N18
\led_flash_cnt[1288][2]~44914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1288][2]~44914_combout\ = (\led_flash_cnt[1288][2]~q\ & (!\led_flash_cnt[1288][1]~44913\)) # (!\led_flash_cnt[1288][2]~q\ & ((\led_flash_cnt[1288][1]~44913\) # (GND)))
-- \led_flash_cnt[1288][2]~44915\ = CARRY((!\led_flash_cnt[1288][1]~44913\) # (!\led_flash_cnt[1288][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1288][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1288][1]~44913\,
	combout => \led_flash_cnt[1288][2]~44914_combout\,
	cout => \led_flash_cnt[1288][2]~44915\);

-- Location: FF_X11_Y27_N19
\led_flash_cnt[1288][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1288][2]~44914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1288][2]~q\);

-- Location: LCCOMB_X11_Y27_N20
\led_flash_cnt[1288][3]~44916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1288][3]~44916_combout\ = (\led_flash_cnt[1288][3]~q\ & (\led_flash_cnt[1288][2]~44915\ $ (GND))) # (!\led_flash_cnt[1288][3]~q\ & (!\led_flash_cnt[1288][2]~44915\ & VCC))
-- \led_flash_cnt[1288][3]~44917\ = CARRY((\led_flash_cnt[1288][3]~q\ & !\led_flash_cnt[1288][2]~44915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1288][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1288][2]~44915\,
	combout => \led_flash_cnt[1288][3]~44916_combout\,
	cout => \led_flash_cnt[1288][3]~44917\);

-- Location: FF_X11_Y27_N21
\led_flash_cnt[1288][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1288][3]~44916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1288][3]~q\);

-- Location: LCCOMB_X11_Y27_N22
\led_flash_cnt[1288][4]~44918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1288][4]~44918_combout\ = (\led_flash_cnt[1288][4]~q\ & (!\led_flash_cnt[1288][3]~44917\)) # (!\led_flash_cnt[1288][4]~q\ & ((\led_flash_cnt[1288][3]~44917\) # (GND)))
-- \led_flash_cnt[1288][4]~44919\ = CARRY((!\led_flash_cnt[1288][3]~44917\) # (!\led_flash_cnt[1288][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1288][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1288][3]~44917\,
	combout => \led_flash_cnt[1288][4]~44918_combout\,
	cout => \led_flash_cnt[1288][4]~44919\);

-- Location: FF_X11_Y27_N23
\led_flash_cnt[1288][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1288][4]~44918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1288][4]~q\);

-- Location: LCCOMB_X10_Y27_N8
\WideAnd1288~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1288~0_combout\ = (\led_flash_cnt[1288][4]~q\ & (\led_flash_cnt[1288][2]~q\ & (\led_flash_cnt[1288][3]~q\ & \led_flash_cnt[1288][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1288][4]~q\,
	datab => \led_flash_cnt[1288][2]~q\,
	datac => \led_flash_cnt[1288][3]~q\,
	datad => \led_flash_cnt[1288][1]~q\,
	combout => \WideAnd1288~0_combout\);

-- Location: LCCOMB_X11_Y27_N24
\led_flash_cnt[1288][5]~44920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1288][5]~44920_combout\ = (\led_flash_cnt[1288][5]~q\ & (\led_flash_cnt[1288][4]~44919\ $ (GND))) # (!\led_flash_cnt[1288][5]~q\ & (!\led_flash_cnt[1288][4]~44919\ & VCC))
-- \led_flash_cnt[1288][5]~44921\ = CARRY((\led_flash_cnt[1288][5]~q\ & !\led_flash_cnt[1288][4]~44919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1288][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1288][4]~44919\,
	combout => \led_flash_cnt[1288][5]~44920_combout\,
	cout => \led_flash_cnt[1288][5]~44921\);

-- Location: FF_X11_Y27_N25
\led_flash_cnt[1288][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1288][5]~44920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1288][5]~q\);

-- Location: LCCOMB_X11_Y27_N26
\led_flash_cnt[1288][6]~44922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1288][6]~44922_combout\ = (\led_flash_cnt[1288][6]~q\ & (!\led_flash_cnt[1288][5]~44921\)) # (!\led_flash_cnt[1288][6]~q\ & ((\led_flash_cnt[1288][5]~44921\) # (GND)))
-- \led_flash_cnt[1288][6]~44923\ = CARRY((!\led_flash_cnt[1288][5]~44921\) # (!\led_flash_cnt[1288][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1288][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1288][5]~44921\,
	combout => \led_flash_cnt[1288][6]~44922_combout\,
	cout => \led_flash_cnt[1288][6]~44923\);

-- Location: FF_X11_Y27_N27
\led_flash_cnt[1288][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1288][6]~44922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1288][6]~q\);

-- Location: LCCOMB_X10_Y27_N28
\WideAnd1288~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1288~1_combout\ = (\led_flash_cnt[1288][6]~q\ & \led_flash_cnt[1288][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1288][6]~q\,
	datad => \led_flash_cnt[1288][5]~q\,
	combout => \WideAnd1288~1_combout\);

-- Location: LCCOMB_X11_Y27_N28
\led_flash_cnt[1288][7]~44924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1288][7]~44924_combout\ = \led_flash_cnt[1288][6]~44923\ $ (!\led_flash_cnt[1288][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1288][7]~q\,
	cin => \led_flash_cnt[1288][6]~44923\,
	combout => \led_flash_cnt[1288][7]~44924_combout\);

-- Location: FF_X11_Y27_N29
\led_flash_cnt[1288][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1288][7]~44924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1288][7]~q\);

-- Location: LCCOMB_X11_Y27_N30
WideAnd1288 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1288~combout\ = (\WideAnd1288~0_combout\ & (\WideAnd1288~1_combout\ & (\led_flash_cnt[1288][0]~q\ & \led_flash_cnt[1288][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1288~0_combout\,
	datab => \WideAnd1288~1_combout\,
	datac => \led_flash_cnt[1288][0]~q\,
	datad => \led_flash_cnt[1288][7]~q\,
	combout => \WideAnd1288~combout\);

-- Location: FF_X11_Y27_N31
\led_flash_cnt_ands[1288]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1288~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1288));

-- Location: LCCOMB_X19_Y27_N6
\led_flash_cnt[1291][0]~81931\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1291][0]~81931_combout\ = !\led_flash_cnt[1291][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1291][0]~q\,
	combout => \led_flash_cnt[1291][0]~81931_combout\);

-- Location: FF_X19_Y27_N7
\led_flash_cnt[1291][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1291][0]~81931_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1291][0]~q\);

-- Location: LCCOMB_X20_Y27_N0
\led_flash_cnt[1291][1]~44954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1291][1]~44954_combout\ = (\led_flash_cnt[1291][0]~q\ & (\led_flash_cnt[1291][1]~q\ $ (VCC))) # (!\led_flash_cnt[1291][0]~q\ & (\led_flash_cnt[1291][1]~q\ & VCC))
-- \led_flash_cnt[1291][1]~44955\ = CARRY((\led_flash_cnt[1291][0]~q\ & \led_flash_cnt[1291][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1291][0]~q\,
	datab => \led_flash_cnt[1291][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1291][1]~44954_combout\,
	cout => \led_flash_cnt[1291][1]~44955\);

-- Location: FF_X20_Y27_N1
\led_flash_cnt[1291][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1291][1]~44954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1291][1]~q\);

-- Location: LCCOMB_X20_Y27_N2
\led_flash_cnt[1291][2]~44956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1291][2]~44956_combout\ = (\led_flash_cnt[1291][2]~q\ & (!\led_flash_cnt[1291][1]~44955\)) # (!\led_flash_cnt[1291][2]~q\ & ((\led_flash_cnt[1291][1]~44955\) # (GND)))
-- \led_flash_cnt[1291][2]~44957\ = CARRY((!\led_flash_cnt[1291][1]~44955\) # (!\led_flash_cnt[1291][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1291][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1291][1]~44955\,
	combout => \led_flash_cnt[1291][2]~44956_combout\,
	cout => \led_flash_cnt[1291][2]~44957\);

-- Location: FF_X20_Y27_N3
\led_flash_cnt[1291][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1291][2]~44956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1291][2]~q\);

-- Location: LCCOMB_X20_Y27_N4
\led_flash_cnt[1291][3]~44958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1291][3]~44958_combout\ = (\led_flash_cnt[1291][3]~q\ & (\led_flash_cnt[1291][2]~44957\ $ (GND))) # (!\led_flash_cnt[1291][3]~q\ & (!\led_flash_cnt[1291][2]~44957\ & VCC))
-- \led_flash_cnt[1291][3]~44959\ = CARRY((\led_flash_cnt[1291][3]~q\ & !\led_flash_cnt[1291][2]~44957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1291][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1291][2]~44957\,
	combout => \led_flash_cnt[1291][3]~44958_combout\,
	cout => \led_flash_cnt[1291][3]~44959\);

-- Location: FF_X20_Y27_N5
\led_flash_cnt[1291][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1291][3]~44958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1291][3]~q\);

-- Location: LCCOMB_X20_Y27_N6
\led_flash_cnt[1291][4]~44960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1291][4]~44960_combout\ = (\led_flash_cnt[1291][4]~q\ & (!\led_flash_cnt[1291][3]~44959\)) # (!\led_flash_cnt[1291][4]~q\ & ((\led_flash_cnt[1291][3]~44959\) # (GND)))
-- \led_flash_cnt[1291][4]~44961\ = CARRY((!\led_flash_cnt[1291][3]~44959\) # (!\led_flash_cnt[1291][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1291][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1291][3]~44959\,
	combout => \led_flash_cnt[1291][4]~44960_combout\,
	cout => \led_flash_cnt[1291][4]~44961\);

-- Location: FF_X20_Y27_N7
\led_flash_cnt[1291][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1291][4]~44960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1291][4]~q\);

-- Location: LCCOMB_X20_Y27_N14
\WideAnd1291~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1291~0_combout\ = (\led_flash_cnt[1291][4]~q\ & (\led_flash_cnt[1291][1]~q\ & (\led_flash_cnt[1291][3]~q\ & \led_flash_cnt[1291][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1291][4]~q\,
	datab => \led_flash_cnt[1291][1]~q\,
	datac => \led_flash_cnt[1291][3]~q\,
	datad => \led_flash_cnt[1291][2]~q\,
	combout => \WideAnd1291~0_combout\);

-- Location: LCCOMB_X20_Y27_N8
\led_flash_cnt[1291][5]~44962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1291][5]~44962_combout\ = (\led_flash_cnt[1291][5]~q\ & (\led_flash_cnt[1291][4]~44961\ $ (GND))) # (!\led_flash_cnt[1291][5]~q\ & (!\led_flash_cnt[1291][4]~44961\ & VCC))
-- \led_flash_cnt[1291][5]~44963\ = CARRY((\led_flash_cnt[1291][5]~q\ & !\led_flash_cnt[1291][4]~44961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1291][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1291][4]~44961\,
	combout => \led_flash_cnt[1291][5]~44962_combout\,
	cout => \led_flash_cnt[1291][5]~44963\);

-- Location: FF_X20_Y27_N9
\led_flash_cnt[1291][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1291][5]~44962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1291][5]~q\);

-- Location: LCCOMB_X20_Y27_N10
\led_flash_cnt[1291][6]~44964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1291][6]~44964_combout\ = (\led_flash_cnt[1291][6]~q\ & (!\led_flash_cnt[1291][5]~44963\)) # (!\led_flash_cnt[1291][6]~q\ & ((\led_flash_cnt[1291][5]~44963\) # (GND)))
-- \led_flash_cnt[1291][6]~44965\ = CARRY((!\led_flash_cnt[1291][5]~44963\) # (!\led_flash_cnt[1291][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1291][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1291][5]~44963\,
	combout => \led_flash_cnt[1291][6]~44964_combout\,
	cout => \led_flash_cnt[1291][6]~44965\);

-- Location: FF_X20_Y27_N11
\led_flash_cnt[1291][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1291][6]~44964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1291][6]~q\);

-- Location: LCCOMB_X20_Y27_N12
\led_flash_cnt[1291][7]~44966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1291][7]~44966_combout\ = \led_flash_cnt[1291][6]~44965\ $ (!\led_flash_cnt[1291][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1291][7]~q\,
	cin => \led_flash_cnt[1291][6]~44965\,
	combout => \led_flash_cnt[1291][7]~44966_combout\);

-- Location: FF_X20_Y27_N13
\led_flash_cnt[1291][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1291][7]~44966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1291][7]~q\);

-- Location: LCCOMB_X21_Y27_N8
\WideAnd1291~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1291~1_combout\ = (\led_flash_cnt[1291][5]~q\ & \led_flash_cnt[1291][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1291][5]~q\,
	datad => \led_flash_cnt[1291][6]~q\,
	combout => \WideAnd1291~1_combout\);

-- Location: LCCOMB_X19_Y27_N0
WideAnd1291 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1291~combout\ = (\led_flash_cnt[1291][0]~q\ & (\WideAnd1291~0_combout\ & (\led_flash_cnt[1291][7]~q\ & \WideAnd1291~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1291][0]~q\,
	datab => \WideAnd1291~0_combout\,
	datac => \led_flash_cnt[1291][7]~q\,
	datad => \WideAnd1291~1_combout\,
	combout => \WideAnd1291~combout\);

-- Location: FF_X19_Y27_N1
\led_flash_cnt_ands[1291]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1291~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1291));

-- Location: LCCOMB_X19_Y27_N4
\WideAnd4001~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4001~0_combout\ = (led_flash_cnt_ands(1289) & (led_flash_cnt_ands(1290) & (led_flash_cnt_ands(1288) & led_flash_cnt_ands(1291))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1289),
	datab => led_flash_cnt_ands(1290),
	datac => led_flash_cnt_ands(1288),
	datad => led_flash_cnt_ands(1291),
	combout => \WideAnd4001~0_combout\);

-- Location: LCCOMB_X26_Y28_N20
WideAnd4001 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4001~combout\ = (\WideAnd4001~1_combout\ & (led_flash_cnt_ands(1294) & (led_flash_cnt_ands(1295) & \WideAnd4001~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4001~1_combout\,
	datab => led_flash_cnt_ands(1294),
	datac => led_flash_cnt_ands(1295),
	datad => \WideAnd4001~0_combout\,
	combout => \WideAnd4001~combout\);

-- Location: FF_X26_Y28_N21
\led_flash_cnt_ands_1[161]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4001~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(161));

-- Location: LCCOMB_X34_Y6_N14
\led_flash_cnt[1300][0]~81940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1300][0]~81940_combout\ = !\led_flash_cnt[1300][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1300][0]~q\,
	combout => \led_flash_cnt[1300][0]~81940_combout\);

-- Location: FF_X34_Y6_N15
\led_flash_cnt[1300][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1300][0]~81940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1300][0]~q\);

-- Location: LCCOMB_X30_Y6_N4
\led_flash_cnt[1300][1]~45080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1300][1]~45080_combout\ = (\led_flash_cnt[1300][0]~q\ & (\led_flash_cnt[1300][1]~q\ $ (VCC))) # (!\led_flash_cnt[1300][0]~q\ & (\led_flash_cnt[1300][1]~q\ & VCC))
-- \led_flash_cnt[1300][1]~45081\ = CARRY((\led_flash_cnt[1300][0]~q\ & \led_flash_cnt[1300][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1300][0]~q\,
	datab => \led_flash_cnt[1300][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1300][1]~45080_combout\,
	cout => \led_flash_cnt[1300][1]~45081\);

-- Location: FF_X30_Y6_N5
\led_flash_cnt[1300][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1300][1]~45080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1300][1]~q\);

-- Location: LCCOMB_X30_Y6_N6
\led_flash_cnt[1300][2]~45082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1300][2]~45082_combout\ = (\led_flash_cnt[1300][2]~q\ & (!\led_flash_cnt[1300][1]~45081\)) # (!\led_flash_cnt[1300][2]~q\ & ((\led_flash_cnt[1300][1]~45081\) # (GND)))
-- \led_flash_cnt[1300][2]~45083\ = CARRY((!\led_flash_cnt[1300][1]~45081\) # (!\led_flash_cnt[1300][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1300][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1300][1]~45081\,
	combout => \led_flash_cnt[1300][2]~45082_combout\,
	cout => \led_flash_cnt[1300][2]~45083\);

-- Location: FF_X30_Y6_N7
\led_flash_cnt[1300][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1300][2]~45082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1300][2]~q\);

-- Location: LCCOMB_X30_Y6_N8
\led_flash_cnt[1300][3]~45084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1300][3]~45084_combout\ = (\led_flash_cnt[1300][3]~q\ & (\led_flash_cnt[1300][2]~45083\ $ (GND))) # (!\led_flash_cnt[1300][3]~q\ & (!\led_flash_cnt[1300][2]~45083\ & VCC))
-- \led_flash_cnt[1300][3]~45085\ = CARRY((\led_flash_cnt[1300][3]~q\ & !\led_flash_cnt[1300][2]~45083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1300][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1300][2]~45083\,
	combout => \led_flash_cnt[1300][3]~45084_combout\,
	cout => \led_flash_cnt[1300][3]~45085\);

-- Location: FF_X30_Y6_N9
\led_flash_cnt[1300][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1300][3]~45084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1300][3]~q\);

-- Location: LCCOMB_X30_Y6_N10
\led_flash_cnt[1300][4]~45086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1300][4]~45086_combout\ = (\led_flash_cnt[1300][4]~q\ & (!\led_flash_cnt[1300][3]~45085\)) # (!\led_flash_cnt[1300][4]~q\ & ((\led_flash_cnt[1300][3]~45085\) # (GND)))
-- \led_flash_cnt[1300][4]~45087\ = CARRY((!\led_flash_cnt[1300][3]~45085\) # (!\led_flash_cnt[1300][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1300][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1300][3]~45085\,
	combout => \led_flash_cnt[1300][4]~45086_combout\,
	cout => \led_flash_cnt[1300][4]~45087\);

-- Location: FF_X30_Y6_N11
\led_flash_cnt[1300][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1300][4]~45086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1300][4]~q\);

-- Location: LCCOMB_X30_Y6_N12
\led_flash_cnt[1300][5]~45088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1300][5]~45088_combout\ = (\led_flash_cnt[1300][5]~q\ & (\led_flash_cnt[1300][4]~45087\ $ (GND))) # (!\led_flash_cnt[1300][5]~q\ & (!\led_flash_cnt[1300][4]~45087\ & VCC))
-- \led_flash_cnt[1300][5]~45089\ = CARRY((\led_flash_cnt[1300][5]~q\ & !\led_flash_cnt[1300][4]~45087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1300][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1300][4]~45087\,
	combout => \led_flash_cnt[1300][5]~45088_combout\,
	cout => \led_flash_cnt[1300][5]~45089\);

-- Location: FF_X30_Y6_N13
\led_flash_cnt[1300][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1300][5]~45088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1300][5]~q\);

-- Location: LCCOMB_X30_Y6_N14
\led_flash_cnt[1300][6]~45090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1300][6]~45090_combout\ = (\led_flash_cnt[1300][6]~q\ & (!\led_flash_cnt[1300][5]~45089\)) # (!\led_flash_cnt[1300][6]~q\ & ((\led_flash_cnt[1300][5]~45089\) # (GND)))
-- \led_flash_cnt[1300][6]~45091\ = CARRY((!\led_flash_cnt[1300][5]~45089\) # (!\led_flash_cnt[1300][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1300][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1300][5]~45089\,
	combout => \led_flash_cnt[1300][6]~45090_combout\,
	cout => \led_flash_cnt[1300][6]~45091\);

-- Location: FF_X30_Y6_N15
\led_flash_cnt[1300][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1300][6]~45090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1300][6]~q\);

-- Location: LCCOMB_X30_Y6_N16
\led_flash_cnt[1300][7]~45092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1300][7]~45092_combout\ = \led_flash_cnt[1300][6]~45091\ $ (!\led_flash_cnt[1300][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1300][7]~q\,
	cin => \led_flash_cnt[1300][6]~45091\,
	combout => \led_flash_cnt[1300][7]~45092_combout\);

-- Location: FF_X30_Y6_N17
\led_flash_cnt[1300][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1300][7]~45092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1300][7]~q\);

-- Location: LCCOMB_X29_Y6_N16
\WideAnd1300~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1300~0_combout\ = (\led_flash_cnt[1300][1]~q\ & (\led_flash_cnt[1300][3]~q\ & (\led_flash_cnt[1300][4]~q\ & \led_flash_cnt[1300][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1300][1]~q\,
	datab => \led_flash_cnt[1300][3]~q\,
	datac => \led_flash_cnt[1300][4]~q\,
	datad => \led_flash_cnt[1300][2]~q\,
	combout => \WideAnd1300~0_combout\);

-- Location: LCCOMB_X31_Y6_N26
\WideAnd1300~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1300~1_combout\ = (\led_flash_cnt[1300][6]~q\ & \led_flash_cnt[1300][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1300][6]~q\,
	datad => \led_flash_cnt[1300][5]~q\,
	combout => \WideAnd1300~1_combout\);

-- Location: LCCOMB_X30_Y6_N2
WideAnd1300 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1300~combout\ = (\led_flash_cnt[1300][0]~q\ & (\led_flash_cnt[1300][7]~q\ & (\WideAnd1300~0_combout\ & \WideAnd1300~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1300][0]~q\,
	datab => \led_flash_cnt[1300][7]~q\,
	datac => \WideAnd1300~0_combout\,
	datad => \WideAnd1300~1_combout\,
	combout => \WideAnd1300~combout\);

-- Location: FF_X30_Y6_N3
\led_flash_cnt_ands[1300]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1300~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1300));

-- Location: LCCOMB_X25_Y6_N30
\led_flash_cnt[1301][0]~81941\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1301][0]~81941_combout\ = !\led_flash_cnt[1301][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1301][0]~q\,
	combout => \led_flash_cnt[1301][0]~81941_combout\);

-- Location: FF_X25_Y6_N31
\led_flash_cnt[1301][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1301][0]~81941_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1301][0]~q\);

-- Location: LCCOMB_X25_Y5_N16
\led_flash_cnt[1301][1]~45094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1301][1]~45094_combout\ = (\led_flash_cnt[1301][0]~q\ & (\led_flash_cnt[1301][1]~q\ $ (VCC))) # (!\led_flash_cnt[1301][0]~q\ & (\led_flash_cnt[1301][1]~q\ & VCC))
-- \led_flash_cnt[1301][1]~45095\ = CARRY((\led_flash_cnt[1301][0]~q\ & \led_flash_cnt[1301][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1301][0]~q\,
	datab => \led_flash_cnt[1301][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1301][1]~45094_combout\,
	cout => \led_flash_cnt[1301][1]~45095\);

-- Location: FF_X25_Y5_N17
\led_flash_cnt[1301][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1301][1]~45094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1301][1]~q\);

-- Location: LCCOMB_X25_Y5_N18
\led_flash_cnt[1301][2]~45096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1301][2]~45096_combout\ = (\led_flash_cnt[1301][2]~q\ & (!\led_flash_cnt[1301][1]~45095\)) # (!\led_flash_cnt[1301][2]~q\ & ((\led_flash_cnt[1301][1]~45095\) # (GND)))
-- \led_flash_cnt[1301][2]~45097\ = CARRY((!\led_flash_cnt[1301][1]~45095\) # (!\led_flash_cnt[1301][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1301][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1301][1]~45095\,
	combout => \led_flash_cnt[1301][2]~45096_combout\,
	cout => \led_flash_cnt[1301][2]~45097\);

-- Location: FF_X25_Y5_N19
\led_flash_cnt[1301][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1301][2]~45096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1301][2]~q\);

-- Location: LCCOMB_X25_Y5_N20
\led_flash_cnt[1301][3]~45098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1301][3]~45098_combout\ = (\led_flash_cnt[1301][3]~q\ & (\led_flash_cnt[1301][2]~45097\ $ (GND))) # (!\led_flash_cnt[1301][3]~q\ & (!\led_flash_cnt[1301][2]~45097\ & VCC))
-- \led_flash_cnt[1301][3]~45099\ = CARRY((\led_flash_cnt[1301][3]~q\ & !\led_flash_cnt[1301][2]~45097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1301][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1301][2]~45097\,
	combout => \led_flash_cnt[1301][3]~45098_combout\,
	cout => \led_flash_cnt[1301][3]~45099\);

-- Location: FF_X25_Y5_N21
\led_flash_cnt[1301][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1301][3]~45098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1301][3]~q\);

-- Location: LCCOMB_X25_Y5_N22
\led_flash_cnt[1301][4]~45100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1301][4]~45100_combout\ = (\led_flash_cnt[1301][4]~q\ & (!\led_flash_cnt[1301][3]~45099\)) # (!\led_flash_cnt[1301][4]~q\ & ((\led_flash_cnt[1301][3]~45099\) # (GND)))
-- \led_flash_cnt[1301][4]~45101\ = CARRY((!\led_flash_cnt[1301][3]~45099\) # (!\led_flash_cnt[1301][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1301][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1301][3]~45099\,
	combout => \led_flash_cnt[1301][4]~45100_combout\,
	cout => \led_flash_cnt[1301][4]~45101\);

-- Location: FF_X25_Y5_N23
\led_flash_cnt[1301][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1301][4]~45100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1301][4]~q\);

-- Location: LCCOMB_X25_Y5_N24
\led_flash_cnt[1301][5]~45102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1301][5]~45102_combout\ = (\led_flash_cnt[1301][5]~q\ & (\led_flash_cnt[1301][4]~45101\ $ (GND))) # (!\led_flash_cnt[1301][5]~q\ & (!\led_flash_cnt[1301][4]~45101\ & VCC))
-- \led_flash_cnt[1301][5]~45103\ = CARRY((\led_flash_cnt[1301][5]~q\ & !\led_flash_cnt[1301][4]~45101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1301][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1301][4]~45101\,
	combout => \led_flash_cnt[1301][5]~45102_combout\,
	cout => \led_flash_cnt[1301][5]~45103\);

-- Location: FF_X25_Y5_N25
\led_flash_cnt[1301][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1301][5]~45102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1301][5]~q\);

-- Location: LCCOMB_X25_Y5_N26
\led_flash_cnt[1301][6]~45104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1301][6]~45104_combout\ = (\led_flash_cnt[1301][6]~q\ & (!\led_flash_cnt[1301][5]~45103\)) # (!\led_flash_cnt[1301][6]~q\ & ((\led_flash_cnt[1301][5]~45103\) # (GND)))
-- \led_flash_cnt[1301][6]~45105\ = CARRY((!\led_flash_cnt[1301][5]~45103\) # (!\led_flash_cnt[1301][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1301][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1301][5]~45103\,
	combout => \led_flash_cnt[1301][6]~45104_combout\,
	cout => \led_flash_cnt[1301][6]~45105\);

-- Location: FF_X25_Y5_N27
\led_flash_cnt[1301][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1301][6]~45104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1301][6]~q\);

-- Location: LCCOMB_X25_Y5_N28
\led_flash_cnt[1301][7]~45106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1301][7]~45106_combout\ = \led_flash_cnt[1301][6]~45105\ $ (!\led_flash_cnt[1301][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1301][7]~q\,
	cin => \led_flash_cnt[1301][6]~45105\,
	combout => \led_flash_cnt[1301][7]~45106_combout\);

-- Location: FF_X25_Y5_N29
\led_flash_cnt[1301][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1301][7]~45106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1301][7]~q\);

-- Location: LCCOMB_X25_Y5_N0
\WideAnd1301~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1301~0_combout\ = (\led_flash_cnt[1301][3]~q\ & (\led_flash_cnt[1301][1]~q\ & (\led_flash_cnt[1301][4]~q\ & \led_flash_cnt[1301][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1301][3]~q\,
	datab => \led_flash_cnt[1301][1]~q\,
	datac => \led_flash_cnt[1301][4]~q\,
	datad => \led_flash_cnt[1301][2]~q\,
	combout => \WideAnd1301~0_combout\);

-- Location: LCCOMB_X26_Y5_N20
\WideAnd1301~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1301~1_combout\ = (\led_flash_cnt[1301][6]~q\ & \led_flash_cnt[1301][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1301][6]~q\,
	datad => \led_flash_cnt[1301][5]~q\,
	combout => \WideAnd1301~1_combout\);

-- Location: LCCOMB_X26_Y5_N0
WideAnd1301 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1301~combout\ = (\led_flash_cnt[1301][0]~q\ & (\led_flash_cnt[1301][7]~q\ & (\WideAnd1301~0_combout\ & \WideAnd1301~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1301][0]~q\,
	datab => \led_flash_cnt[1301][7]~q\,
	datac => \WideAnd1301~0_combout\,
	datad => \WideAnd1301~1_combout\,
	combout => \WideAnd1301~combout\);

-- Location: FF_X26_Y5_N1
\led_flash_cnt_ands[1301]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1301~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1301));

-- Location: LCCOMB_X30_Y5_N22
\WideAnd4002~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4002~1_combout\ = (led_flash_cnt_ands(1300) & led_flash_cnt_ands(1301))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1300),
	datad => led_flash_cnt_ands(1301),
	combout => \WideAnd4002~1_combout\);

-- Location: LCCOMB_X32_Y18_N12
\led_flash_cnt[1303][0]~81943\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1303][0]~81943_combout\ = !\led_flash_cnt[1303][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1303][0]~q\,
	combout => \led_flash_cnt[1303][0]~81943_combout\);

-- Location: FF_X32_Y18_N13
\led_flash_cnt[1303][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1303][0]~81943_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1303][0]~q\);

-- Location: LCCOMB_X32_Y21_N16
\led_flash_cnt[1303][1]~45122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1303][1]~45122_combout\ = (\led_flash_cnt[1303][0]~q\ & (\led_flash_cnt[1303][1]~q\ $ (VCC))) # (!\led_flash_cnt[1303][0]~q\ & (\led_flash_cnt[1303][1]~q\ & VCC))
-- \led_flash_cnt[1303][1]~45123\ = CARRY((\led_flash_cnt[1303][0]~q\ & \led_flash_cnt[1303][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1303][0]~q\,
	datab => \led_flash_cnt[1303][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1303][1]~45122_combout\,
	cout => \led_flash_cnt[1303][1]~45123\);

-- Location: FF_X32_Y21_N17
\led_flash_cnt[1303][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1303][1]~45122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1303][1]~q\);

-- Location: LCCOMB_X32_Y21_N18
\led_flash_cnt[1303][2]~45124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1303][2]~45124_combout\ = (\led_flash_cnt[1303][2]~q\ & (!\led_flash_cnt[1303][1]~45123\)) # (!\led_flash_cnt[1303][2]~q\ & ((\led_flash_cnt[1303][1]~45123\) # (GND)))
-- \led_flash_cnt[1303][2]~45125\ = CARRY((!\led_flash_cnt[1303][1]~45123\) # (!\led_flash_cnt[1303][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1303][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1303][1]~45123\,
	combout => \led_flash_cnt[1303][2]~45124_combout\,
	cout => \led_flash_cnt[1303][2]~45125\);

-- Location: FF_X32_Y21_N19
\led_flash_cnt[1303][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1303][2]~45124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1303][2]~q\);

-- Location: LCCOMB_X32_Y21_N20
\led_flash_cnt[1303][3]~45126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1303][3]~45126_combout\ = (\led_flash_cnt[1303][3]~q\ & (\led_flash_cnt[1303][2]~45125\ $ (GND))) # (!\led_flash_cnt[1303][3]~q\ & (!\led_flash_cnt[1303][2]~45125\ & VCC))
-- \led_flash_cnt[1303][3]~45127\ = CARRY((\led_flash_cnt[1303][3]~q\ & !\led_flash_cnt[1303][2]~45125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1303][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1303][2]~45125\,
	combout => \led_flash_cnt[1303][3]~45126_combout\,
	cout => \led_flash_cnt[1303][3]~45127\);

-- Location: FF_X32_Y21_N21
\led_flash_cnt[1303][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1303][3]~45126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1303][3]~q\);

-- Location: LCCOMB_X32_Y21_N22
\led_flash_cnt[1303][4]~45128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1303][4]~45128_combout\ = (\led_flash_cnt[1303][4]~q\ & (!\led_flash_cnt[1303][3]~45127\)) # (!\led_flash_cnt[1303][4]~q\ & ((\led_flash_cnt[1303][3]~45127\) # (GND)))
-- \led_flash_cnt[1303][4]~45129\ = CARRY((!\led_flash_cnt[1303][3]~45127\) # (!\led_flash_cnt[1303][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1303][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1303][3]~45127\,
	combout => \led_flash_cnt[1303][4]~45128_combout\,
	cout => \led_flash_cnt[1303][4]~45129\);

-- Location: FF_X32_Y21_N23
\led_flash_cnt[1303][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1303][4]~45128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1303][4]~q\);

-- Location: LCCOMB_X32_Y21_N24
\led_flash_cnt[1303][5]~45130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1303][5]~45130_combout\ = (\led_flash_cnt[1303][5]~q\ & (\led_flash_cnt[1303][4]~45129\ $ (GND))) # (!\led_flash_cnt[1303][5]~q\ & (!\led_flash_cnt[1303][4]~45129\ & VCC))
-- \led_flash_cnt[1303][5]~45131\ = CARRY((\led_flash_cnt[1303][5]~q\ & !\led_flash_cnt[1303][4]~45129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1303][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1303][4]~45129\,
	combout => \led_flash_cnt[1303][5]~45130_combout\,
	cout => \led_flash_cnt[1303][5]~45131\);

-- Location: FF_X32_Y21_N25
\led_flash_cnt[1303][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1303][5]~45130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1303][5]~q\);

-- Location: LCCOMB_X32_Y21_N26
\led_flash_cnt[1303][6]~45132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1303][6]~45132_combout\ = (\led_flash_cnt[1303][6]~q\ & (!\led_flash_cnt[1303][5]~45131\)) # (!\led_flash_cnt[1303][6]~q\ & ((\led_flash_cnt[1303][5]~45131\) # (GND)))
-- \led_flash_cnt[1303][6]~45133\ = CARRY((!\led_flash_cnt[1303][5]~45131\) # (!\led_flash_cnt[1303][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1303][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1303][5]~45131\,
	combout => \led_flash_cnt[1303][6]~45132_combout\,
	cout => \led_flash_cnt[1303][6]~45133\);

-- Location: FF_X32_Y21_N27
\led_flash_cnt[1303][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1303][6]~45132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1303][6]~q\);

-- Location: LCCOMB_X32_Y21_N28
\led_flash_cnt[1303][7]~45134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1303][7]~45134_combout\ = \led_flash_cnt[1303][6]~45133\ $ (!\led_flash_cnt[1303][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1303][7]~q\,
	cin => \led_flash_cnt[1303][6]~45133\,
	combout => \led_flash_cnt[1303][7]~45134_combout\);

-- Location: FF_X32_Y21_N29
\led_flash_cnt[1303][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1303][7]~45134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1303][7]~q\);

-- Location: LCCOMB_X35_Y21_N14
\WideAnd1303~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1303~1_combout\ = (\led_flash_cnt[1303][6]~q\ & \led_flash_cnt[1303][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1303][6]~q\,
	datad => \led_flash_cnt[1303][5]~q\,
	combout => \WideAnd1303~1_combout\);

-- Location: LCCOMB_X32_Y21_N0
\WideAnd1303~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1303~0_combout\ = (\led_flash_cnt[1303][1]~q\ & (\led_flash_cnt[1303][3]~q\ & (\led_flash_cnt[1303][4]~q\ & \led_flash_cnt[1303][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1303][1]~q\,
	datab => \led_flash_cnt[1303][3]~q\,
	datac => \led_flash_cnt[1303][4]~q\,
	datad => \led_flash_cnt[1303][2]~q\,
	combout => \WideAnd1303~0_combout\);

-- Location: LCCOMB_X32_Y18_N8
WideAnd1303 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1303~combout\ = (\led_flash_cnt[1303][0]~q\ & (\led_flash_cnt[1303][7]~q\ & (\WideAnd1303~1_combout\ & \WideAnd1303~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1303][0]~q\,
	datab => \led_flash_cnt[1303][7]~q\,
	datac => \WideAnd1303~1_combout\,
	datad => \WideAnd1303~0_combout\,
	combout => \WideAnd1303~combout\);

-- Location: FF_X32_Y18_N9
\led_flash_cnt_ands[1303]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1303~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1303));

-- Location: LCCOMB_X25_Y35_N2
\led_flash_cnt[1296][0]~81936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1296][0]~81936_combout\ = !\led_flash_cnt[1296][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1296][0]~q\,
	combout => \led_flash_cnt[1296][0]~81936_combout\);

-- Location: FF_X25_Y35_N3
\led_flash_cnt[1296][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1296][0]~81936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1296][0]~q\);

-- Location: LCCOMB_X24_Y34_N18
\led_flash_cnt[1296][1]~45024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1296][1]~45024_combout\ = (\led_flash_cnt[1296][1]~q\ & (\led_flash_cnt[1296][0]~q\ $ (VCC))) # (!\led_flash_cnt[1296][1]~q\ & (\led_flash_cnt[1296][0]~q\ & VCC))
-- \led_flash_cnt[1296][1]~45025\ = CARRY((\led_flash_cnt[1296][1]~q\ & \led_flash_cnt[1296][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1296][1]~q\,
	datab => \led_flash_cnt[1296][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1296][1]~45024_combout\,
	cout => \led_flash_cnt[1296][1]~45025\);

-- Location: FF_X24_Y34_N19
\led_flash_cnt[1296][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1296][1]~45024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1296][1]~q\);

-- Location: LCCOMB_X24_Y34_N20
\led_flash_cnt[1296][2]~45026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1296][2]~45026_combout\ = (\led_flash_cnt[1296][2]~q\ & (!\led_flash_cnt[1296][1]~45025\)) # (!\led_flash_cnt[1296][2]~q\ & ((\led_flash_cnt[1296][1]~45025\) # (GND)))
-- \led_flash_cnt[1296][2]~45027\ = CARRY((!\led_flash_cnt[1296][1]~45025\) # (!\led_flash_cnt[1296][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1296][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1296][1]~45025\,
	combout => \led_flash_cnt[1296][2]~45026_combout\,
	cout => \led_flash_cnt[1296][2]~45027\);

-- Location: FF_X24_Y34_N21
\led_flash_cnt[1296][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1296][2]~45026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1296][2]~q\);

-- Location: LCCOMB_X24_Y34_N22
\led_flash_cnt[1296][3]~45028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1296][3]~45028_combout\ = (\led_flash_cnt[1296][3]~q\ & (\led_flash_cnt[1296][2]~45027\ $ (GND))) # (!\led_flash_cnt[1296][3]~q\ & (!\led_flash_cnt[1296][2]~45027\ & VCC))
-- \led_flash_cnt[1296][3]~45029\ = CARRY((\led_flash_cnt[1296][3]~q\ & !\led_flash_cnt[1296][2]~45027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1296][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1296][2]~45027\,
	combout => \led_flash_cnt[1296][3]~45028_combout\,
	cout => \led_flash_cnt[1296][3]~45029\);

-- Location: FF_X24_Y34_N23
\led_flash_cnt[1296][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1296][3]~45028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1296][3]~q\);

-- Location: LCCOMB_X24_Y34_N24
\led_flash_cnt[1296][4]~45030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1296][4]~45030_combout\ = (\led_flash_cnt[1296][4]~q\ & (!\led_flash_cnt[1296][3]~45029\)) # (!\led_flash_cnt[1296][4]~q\ & ((\led_flash_cnt[1296][3]~45029\) # (GND)))
-- \led_flash_cnt[1296][4]~45031\ = CARRY((!\led_flash_cnt[1296][3]~45029\) # (!\led_flash_cnt[1296][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1296][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1296][3]~45029\,
	combout => \led_flash_cnt[1296][4]~45030_combout\,
	cout => \led_flash_cnt[1296][4]~45031\);

-- Location: FF_X24_Y34_N25
\led_flash_cnt[1296][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1296][4]~45030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1296][4]~q\);

-- Location: LCCOMB_X24_Y34_N26
\led_flash_cnt[1296][5]~45032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1296][5]~45032_combout\ = (\led_flash_cnt[1296][5]~q\ & (\led_flash_cnt[1296][4]~45031\ $ (GND))) # (!\led_flash_cnt[1296][5]~q\ & (!\led_flash_cnt[1296][4]~45031\ & VCC))
-- \led_flash_cnt[1296][5]~45033\ = CARRY((\led_flash_cnt[1296][5]~q\ & !\led_flash_cnt[1296][4]~45031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1296][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1296][4]~45031\,
	combout => \led_flash_cnt[1296][5]~45032_combout\,
	cout => \led_flash_cnt[1296][5]~45033\);

-- Location: FF_X24_Y34_N27
\led_flash_cnt[1296][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1296][5]~45032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1296][5]~q\);

-- Location: LCCOMB_X24_Y34_N28
\led_flash_cnt[1296][6]~45034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1296][6]~45034_combout\ = (\led_flash_cnt[1296][6]~q\ & (!\led_flash_cnt[1296][5]~45033\)) # (!\led_flash_cnt[1296][6]~q\ & ((\led_flash_cnt[1296][5]~45033\) # (GND)))
-- \led_flash_cnt[1296][6]~45035\ = CARRY((!\led_flash_cnt[1296][5]~45033\) # (!\led_flash_cnt[1296][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1296][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1296][5]~45033\,
	combout => \led_flash_cnt[1296][6]~45034_combout\,
	cout => \led_flash_cnt[1296][6]~45035\);

-- Location: FF_X24_Y34_N29
\led_flash_cnt[1296][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1296][6]~45034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1296][6]~q\);

-- Location: LCCOMB_X24_Y34_N30
\led_flash_cnt[1296][7]~45036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1296][7]~45036_combout\ = \led_flash_cnt[1296][7]~q\ $ (!\led_flash_cnt[1296][6]~45035\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1296][7]~q\,
	cin => \led_flash_cnt[1296][6]~45035\,
	combout => \led_flash_cnt[1296][7]~45036_combout\);

-- Location: FF_X24_Y34_N31
\led_flash_cnt[1296][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1296][7]~45036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1296][7]~q\);

-- Location: LCCOMB_X25_Y35_N16
\WideAnd1296~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1296~1_combout\ = (\led_flash_cnt[1296][6]~q\ & \led_flash_cnt[1296][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1296][6]~q\,
	datad => \led_flash_cnt[1296][5]~q\,
	combout => \WideAnd1296~1_combout\);

-- Location: LCCOMB_X24_Y34_N0
\WideAnd1296~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1296~0_combout\ = (\led_flash_cnt[1296][1]~q\ & (\led_flash_cnt[1296][2]~q\ & (\led_flash_cnt[1296][3]~q\ & \led_flash_cnt[1296][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1296][1]~q\,
	datab => \led_flash_cnt[1296][2]~q\,
	datac => \led_flash_cnt[1296][3]~q\,
	datad => \led_flash_cnt[1296][4]~q\,
	combout => \WideAnd1296~0_combout\);

-- Location: LCCOMB_X25_Y35_N8
WideAnd1296 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1296~combout\ = (\led_flash_cnt[1296][7]~q\ & (\WideAnd1296~1_combout\ & (\WideAnd1296~0_combout\ & \led_flash_cnt[1296][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1296][7]~q\,
	datab => \WideAnd1296~1_combout\,
	datac => \WideAnd1296~0_combout\,
	datad => \led_flash_cnt[1296][0]~q\,
	combout => \WideAnd1296~combout\);

-- Location: FF_X25_Y35_N9
\led_flash_cnt_ands[1296]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1296~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1296));

-- Location: LCCOMB_X30_Y28_N2
\led_flash_cnt[1299][0]~81939\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1299][0]~81939_combout\ = !\led_flash_cnt[1299][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1299][0]~q\,
	combout => \led_flash_cnt[1299][0]~81939_combout\);

-- Location: FF_X30_Y28_N3
\led_flash_cnt[1299][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1299][0]~81939_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1299][0]~q\);

-- Location: LCCOMB_X29_Y28_N16
\led_flash_cnt[1299][1]~45066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1299][1]~45066_combout\ = (\led_flash_cnt[1299][0]~q\ & (\led_flash_cnt[1299][1]~q\ $ (VCC))) # (!\led_flash_cnt[1299][0]~q\ & (\led_flash_cnt[1299][1]~q\ & VCC))
-- \led_flash_cnt[1299][1]~45067\ = CARRY((\led_flash_cnt[1299][0]~q\ & \led_flash_cnt[1299][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1299][0]~q\,
	datab => \led_flash_cnt[1299][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1299][1]~45066_combout\,
	cout => \led_flash_cnt[1299][1]~45067\);

-- Location: FF_X29_Y28_N17
\led_flash_cnt[1299][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1299][1]~45066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1299][1]~q\);

-- Location: LCCOMB_X29_Y28_N18
\led_flash_cnt[1299][2]~45068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1299][2]~45068_combout\ = (\led_flash_cnt[1299][2]~q\ & (!\led_flash_cnt[1299][1]~45067\)) # (!\led_flash_cnt[1299][2]~q\ & ((\led_flash_cnt[1299][1]~45067\) # (GND)))
-- \led_flash_cnt[1299][2]~45069\ = CARRY((!\led_flash_cnt[1299][1]~45067\) # (!\led_flash_cnt[1299][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1299][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1299][1]~45067\,
	combout => \led_flash_cnt[1299][2]~45068_combout\,
	cout => \led_flash_cnt[1299][2]~45069\);

-- Location: FF_X29_Y28_N19
\led_flash_cnt[1299][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1299][2]~45068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1299][2]~q\);

-- Location: LCCOMB_X29_Y28_N20
\led_flash_cnt[1299][3]~45070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1299][3]~45070_combout\ = (\led_flash_cnt[1299][3]~q\ & (\led_flash_cnt[1299][2]~45069\ $ (GND))) # (!\led_flash_cnt[1299][3]~q\ & (!\led_flash_cnt[1299][2]~45069\ & VCC))
-- \led_flash_cnt[1299][3]~45071\ = CARRY((\led_flash_cnt[1299][3]~q\ & !\led_flash_cnt[1299][2]~45069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1299][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1299][2]~45069\,
	combout => \led_flash_cnt[1299][3]~45070_combout\,
	cout => \led_flash_cnt[1299][3]~45071\);

-- Location: FF_X29_Y28_N21
\led_flash_cnt[1299][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1299][3]~45070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1299][3]~q\);

-- Location: LCCOMB_X29_Y28_N22
\led_flash_cnt[1299][4]~45072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1299][4]~45072_combout\ = (\led_flash_cnt[1299][4]~q\ & (!\led_flash_cnt[1299][3]~45071\)) # (!\led_flash_cnt[1299][4]~q\ & ((\led_flash_cnt[1299][3]~45071\) # (GND)))
-- \led_flash_cnt[1299][4]~45073\ = CARRY((!\led_flash_cnt[1299][3]~45071\) # (!\led_flash_cnt[1299][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1299][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1299][3]~45071\,
	combout => \led_flash_cnt[1299][4]~45072_combout\,
	cout => \led_flash_cnt[1299][4]~45073\);

-- Location: FF_X29_Y28_N23
\led_flash_cnt[1299][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1299][4]~45072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1299][4]~q\);

-- Location: LCCOMB_X29_Y28_N24
\led_flash_cnt[1299][5]~45074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1299][5]~45074_combout\ = (\led_flash_cnt[1299][5]~q\ & (\led_flash_cnt[1299][4]~45073\ $ (GND))) # (!\led_flash_cnt[1299][5]~q\ & (!\led_flash_cnt[1299][4]~45073\ & VCC))
-- \led_flash_cnt[1299][5]~45075\ = CARRY((\led_flash_cnt[1299][5]~q\ & !\led_flash_cnt[1299][4]~45073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1299][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1299][4]~45073\,
	combout => \led_flash_cnt[1299][5]~45074_combout\,
	cout => \led_flash_cnt[1299][5]~45075\);

-- Location: FF_X29_Y28_N25
\led_flash_cnt[1299][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1299][5]~45074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1299][5]~q\);

-- Location: LCCOMB_X29_Y28_N26
\led_flash_cnt[1299][6]~45076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1299][6]~45076_combout\ = (\led_flash_cnt[1299][6]~q\ & (!\led_flash_cnt[1299][5]~45075\)) # (!\led_flash_cnt[1299][6]~q\ & ((\led_flash_cnt[1299][5]~45075\) # (GND)))
-- \led_flash_cnt[1299][6]~45077\ = CARRY((!\led_flash_cnt[1299][5]~45075\) # (!\led_flash_cnt[1299][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1299][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1299][5]~45075\,
	combout => \led_flash_cnt[1299][6]~45076_combout\,
	cout => \led_flash_cnt[1299][6]~45077\);

-- Location: FF_X29_Y28_N27
\led_flash_cnt[1299][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1299][6]~45076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1299][6]~q\);

-- Location: LCCOMB_X30_Y28_N10
\WideAnd1299~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1299~1_combout\ = (\led_flash_cnt[1299][6]~q\ & \led_flash_cnt[1299][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1299][6]~q\,
	datad => \led_flash_cnt[1299][5]~q\,
	combout => \WideAnd1299~1_combout\);

-- Location: LCCOMB_X29_Y28_N28
\led_flash_cnt[1299][7]~45078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1299][7]~45078_combout\ = \led_flash_cnt[1299][6]~45077\ $ (!\led_flash_cnt[1299][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1299][7]~q\,
	cin => \led_flash_cnt[1299][6]~45077\,
	combout => \led_flash_cnt[1299][7]~45078_combout\);

-- Location: FF_X29_Y28_N29
\led_flash_cnt[1299][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1299][7]~45078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1299][7]~q\);

-- Location: LCCOMB_X29_Y28_N0
\WideAnd1299~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1299~0_combout\ = (\led_flash_cnt[1299][1]~q\ & (\led_flash_cnt[1299][2]~q\ & (\led_flash_cnt[1299][4]~q\ & \led_flash_cnt[1299][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1299][1]~q\,
	datab => \led_flash_cnt[1299][2]~q\,
	datac => \led_flash_cnt[1299][4]~q\,
	datad => \led_flash_cnt[1299][3]~q\,
	combout => \WideAnd1299~0_combout\);

-- Location: LCCOMB_X30_Y28_N0
WideAnd1299 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1299~combout\ = (\WideAnd1299~1_combout\ & (\led_flash_cnt[1299][7]~q\ & (\WideAnd1299~0_combout\ & \led_flash_cnt[1299][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1299~1_combout\,
	datab => \led_flash_cnt[1299][7]~q\,
	datac => \WideAnd1299~0_combout\,
	datad => \led_flash_cnt[1299][0]~q\,
	combout => \WideAnd1299~combout\);

-- Location: FF_X30_Y28_N1
\led_flash_cnt_ands[1299]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1299~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1299));

-- Location: LCCOMB_X29_Y25_N8
\led_flash_cnt[1298][0]~81938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1298][0]~81938_combout\ = !\led_flash_cnt[1298][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1298][0]~q\,
	combout => \led_flash_cnt[1298][0]~81938_combout\);

-- Location: FF_X29_Y25_N9
\led_flash_cnt[1298][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1298][0]~81938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1298][0]~q\);

-- Location: LCCOMB_X31_Y28_N0
\led_flash_cnt[1298][1]~45052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1298][1]~45052_combout\ = (\led_flash_cnt[1298][0]~q\ & (\led_flash_cnt[1298][1]~q\ $ (VCC))) # (!\led_flash_cnt[1298][0]~q\ & (\led_flash_cnt[1298][1]~q\ & VCC))
-- \led_flash_cnt[1298][1]~45053\ = CARRY((\led_flash_cnt[1298][0]~q\ & \led_flash_cnt[1298][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1298][0]~q\,
	datab => \led_flash_cnt[1298][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1298][1]~45052_combout\,
	cout => \led_flash_cnt[1298][1]~45053\);

-- Location: FF_X31_Y28_N1
\led_flash_cnt[1298][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1298][1]~45052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1298][1]~q\);

-- Location: LCCOMB_X31_Y28_N2
\led_flash_cnt[1298][2]~45054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1298][2]~45054_combout\ = (\led_flash_cnt[1298][2]~q\ & (!\led_flash_cnt[1298][1]~45053\)) # (!\led_flash_cnt[1298][2]~q\ & ((\led_flash_cnt[1298][1]~45053\) # (GND)))
-- \led_flash_cnt[1298][2]~45055\ = CARRY((!\led_flash_cnt[1298][1]~45053\) # (!\led_flash_cnt[1298][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1298][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1298][1]~45053\,
	combout => \led_flash_cnt[1298][2]~45054_combout\,
	cout => \led_flash_cnt[1298][2]~45055\);

-- Location: FF_X31_Y28_N3
\led_flash_cnt[1298][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1298][2]~45054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1298][2]~q\);

-- Location: LCCOMB_X31_Y28_N4
\led_flash_cnt[1298][3]~45056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1298][3]~45056_combout\ = (\led_flash_cnt[1298][3]~q\ & (\led_flash_cnt[1298][2]~45055\ $ (GND))) # (!\led_flash_cnt[1298][3]~q\ & (!\led_flash_cnt[1298][2]~45055\ & VCC))
-- \led_flash_cnt[1298][3]~45057\ = CARRY((\led_flash_cnt[1298][3]~q\ & !\led_flash_cnt[1298][2]~45055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1298][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1298][2]~45055\,
	combout => \led_flash_cnt[1298][3]~45056_combout\,
	cout => \led_flash_cnt[1298][3]~45057\);

-- Location: FF_X31_Y28_N5
\led_flash_cnt[1298][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1298][3]~45056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1298][3]~q\);

-- Location: LCCOMB_X31_Y28_N6
\led_flash_cnt[1298][4]~45058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1298][4]~45058_combout\ = (\led_flash_cnt[1298][4]~q\ & (!\led_flash_cnt[1298][3]~45057\)) # (!\led_flash_cnt[1298][4]~q\ & ((\led_flash_cnt[1298][3]~45057\) # (GND)))
-- \led_flash_cnt[1298][4]~45059\ = CARRY((!\led_flash_cnt[1298][3]~45057\) # (!\led_flash_cnt[1298][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1298][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1298][3]~45057\,
	combout => \led_flash_cnt[1298][4]~45058_combout\,
	cout => \led_flash_cnt[1298][4]~45059\);

-- Location: FF_X31_Y28_N7
\led_flash_cnt[1298][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1298][4]~45058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1298][4]~q\);

-- Location: LCCOMB_X31_Y28_N8
\led_flash_cnt[1298][5]~45060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1298][5]~45060_combout\ = (\led_flash_cnt[1298][5]~q\ & (\led_flash_cnt[1298][4]~45059\ $ (GND))) # (!\led_flash_cnt[1298][5]~q\ & (!\led_flash_cnt[1298][4]~45059\ & VCC))
-- \led_flash_cnt[1298][5]~45061\ = CARRY((\led_flash_cnt[1298][5]~q\ & !\led_flash_cnt[1298][4]~45059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1298][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1298][4]~45059\,
	combout => \led_flash_cnt[1298][5]~45060_combout\,
	cout => \led_flash_cnt[1298][5]~45061\);

-- Location: FF_X31_Y28_N9
\led_flash_cnt[1298][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1298][5]~45060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1298][5]~q\);

-- Location: LCCOMB_X31_Y28_N10
\led_flash_cnt[1298][6]~45062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1298][6]~45062_combout\ = (\led_flash_cnt[1298][6]~q\ & (!\led_flash_cnt[1298][5]~45061\)) # (!\led_flash_cnt[1298][6]~q\ & ((\led_flash_cnt[1298][5]~45061\) # (GND)))
-- \led_flash_cnt[1298][6]~45063\ = CARRY((!\led_flash_cnt[1298][5]~45061\) # (!\led_flash_cnt[1298][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1298][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1298][5]~45061\,
	combout => \led_flash_cnt[1298][6]~45062_combout\,
	cout => \led_flash_cnt[1298][6]~45063\);

-- Location: FF_X31_Y28_N11
\led_flash_cnt[1298][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1298][6]~45062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1298][6]~q\);

-- Location: LCCOMB_X31_Y28_N12
\led_flash_cnt[1298][7]~45064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1298][7]~45064_combout\ = \led_flash_cnt[1298][6]~45063\ $ (!\led_flash_cnt[1298][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1298][7]~q\,
	cin => \led_flash_cnt[1298][6]~45063\,
	combout => \led_flash_cnt[1298][7]~45064_combout\);

-- Location: FF_X31_Y28_N13
\led_flash_cnt[1298][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1298][7]~45064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1298][7]~q\);

-- Location: LCCOMB_X32_Y28_N28
\WideAnd1298~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1298~1_combout\ = (\led_flash_cnt[1298][5]~q\ & \led_flash_cnt[1298][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1298][5]~q\,
	datad => \led_flash_cnt[1298][6]~q\,
	combout => \WideAnd1298~1_combout\);

-- Location: LCCOMB_X30_Y28_N6
\WideAnd1298~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1298~0_combout\ = (\led_flash_cnt[1298][3]~q\ & (\led_flash_cnt[1298][2]~q\ & (\led_flash_cnt[1298][1]~q\ & \led_flash_cnt[1298][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1298][3]~q\,
	datab => \led_flash_cnt[1298][2]~q\,
	datac => \led_flash_cnt[1298][1]~q\,
	datad => \led_flash_cnt[1298][4]~q\,
	combout => \WideAnd1298~0_combout\);

-- Location: LCCOMB_X31_Y28_N30
WideAnd1298 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1298~combout\ = (\led_flash_cnt[1298][7]~q\ & (\WideAnd1298~1_combout\ & (\WideAnd1298~0_combout\ & \led_flash_cnt[1298][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1298][7]~q\,
	datab => \WideAnd1298~1_combout\,
	datac => \WideAnd1298~0_combout\,
	datad => \led_flash_cnt[1298][0]~q\,
	combout => \WideAnd1298~combout\);

-- Location: FF_X31_Y28_N31
\led_flash_cnt_ands[1298]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1298~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1298));

-- Location: LCCOMB_X23_Y14_N8
\led_flash_cnt[1297][0]~81937\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1297][0]~81937_combout\ = !\led_flash_cnt[1297][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1297][0]~q\,
	combout => \led_flash_cnt[1297][0]~81937_combout\);

-- Location: FF_X23_Y14_N9
\led_flash_cnt[1297][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1297][0]~81937_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1297][0]~q\);

-- Location: LCCOMB_X23_Y10_N4
\led_flash_cnt[1297][1]~45038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1297][1]~45038_combout\ = (\led_flash_cnt[1297][0]~q\ & (\led_flash_cnt[1297][1]~q\ $ (VCC))) # (!\led_flash_cnt[1297][0]~q\ & (\led_flash_cnt[1297][1]~q\ & VCC))
-- \led_flash_cnt[1297][1]~45039\ = CARRY((\led_flash_cnt[1297][0]~q\ & \led_flash_cnt[1297][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1297][0]~q\,
	datab => \led_flash_cnt[1297][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1297][1]~45038_combout\,
	cout => \led_flash_cnt[1297][1]~45039\);

-- Location: FF_X23_Y10_N5
\led_flash_cnt[1297][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1297][1]~45038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1297][1]~q\);

-- Location: LCCOMB_X23_Y10_N6
\led_flash_cnt[1297][2]~45040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1297][2]~45040_combout\ = (\led_flash_cnt[1297][2]~q\ & (!\led_flash_cnt[1297][1]~45039\)) # (!\led_flash_cnt[1297][2]~q\ & ((\led_flash_cnt[1297][1]~45039\) # (GND)))
-- \led_flash_cnt[1297][2]~45041\ = CARRY((!\led_flash_cnt[1297][1]~45039\) # (!\led_flash_cnt[1297][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1297][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1297][1]~45039\,
	combout => \led_flash_cnt[1297][2]~45040_combout\,
	cout => \led_flash_cnt[1297][2]~45041\);

-- Location: FF_X23_Y10_N7
\led_flash_cnt[1297][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1297][2]~45040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1297][2]~q\);

-- Location: LCCOMB_X23_Y10_N8
\led_flash_cnt[1297][3]~45042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1297][3]~45042_combout\ = (\led_flash_cnt[1297][3]~q\ & (\led_flash_cnt[1297][2]~45041\ $ (GND))) # (!\led_flash_cnt[1297][3]~q\ & (!\led_flash_cnt[1297][2]~45041\ & VCC))
-- \led_flash_cnt[1297][3]~45043\ = CARRY((\led_flash_cnt[1297][3]~q\ & !\led_flash_cnt[1297][2]~45041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1297][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1297][2]~45041\,
	combout => \led_flash_cnt[1297][3]~45042_combout\,
	cout => \led_flash_cnt[1297][3]~45043\);

-- Location: FF_X23_Y10_N9
\led_flash_cnt[1297][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1297][3]~45042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1297][3]~q\);

-- Location: LCCOMB_X23_Y10_N10
\led_flash_cnt[1297][4]~45044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1297][4]~45044_combout\ = (\led_flash_cnt[1297][4]~q\ & (!\led_flash_cnt[1297][3]~45043\)) # (!\led_flash_cnt[1297][4]~q\ & ((\led_flash_cnt[1297][3]~45043\) # (GND)))
-- \led_flash_cnt[1297][4]~45045\ = CARRY((!\led_flash_cnt[1297][3]~45043\) # (!\led_flash_cnt[1297][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1297][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1297][3]~45043\,
	combout => \led_flash_cnt[1297][4]~45044_combout\,
	cout => \led_flash_cnt[1297][4]~45045\);

-- Location: FF_X23_Y10_N11
\led_flash_cnt[1297][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1297][4]~45044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1297][4]~q\);

-- Location: LCCOMB_X23_Y10_N12
\led_flash_cnt[1297][5]~45046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1297][5]~45046_combout\ = (\led_flash_cnt[1297][5]~q\ & (\led_flash_cnt[1297][4]~45045\ $ (GND))) # (!\led_flash_cnt[1297][5]~q\ & (!\led_flash_cnt[1297][4]~45045\ & VCC))
-- \led_flash_cnt[1297][5]~45047\ = CARRY((\led_flash_cnt[1297][5]~q\ & !\led_flash_cnt[1297][4]~45045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1297][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1297][4]~45045\,
	combout => \led_flash_cnt[1297][5]~45046_combout\,
	cout => \led_flash_cnt[1297][5]~45047\);

-- Location: FF_X23_Y10_N13
\led_flash_cnt[1297][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1297][5]~45046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1297][5]~q\);

-- Location: LCCOMB_X23_Y10_N14
\led_flash_cnt[1297][6]~45048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1297][6]~45048_combout\ = (\led_flash_cnt[1297][6]~q\ & (!\led_flash_cnt[1297][5]~45047\)) # (!\led_flash_cnt[1297][6]~q\ & ((\led_flash_cnt[1297][5]~45047\) # (GND)))
-- \led_flash_cnt[1297][6]~45049\ = CARRY((!\led_flash_cnt[1297][5]~45047\) # (!\led_flash_cnt[1297][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1297][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1297][5]~45047\,
	combout => \led_flash_cnt[1297][6]~45048_combout\,
	cout => \led_flash_cnt[1297][6]~45049\);

-- Location: FF_X23_Y10_N15
\led_flash_cnt[1297][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1297][6]~45048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1297][6]~q\);

-- Location: LCCOMB_X23_Y10_N16
\led_flash_cnt[1297][7]~45050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1297][7]~45050_combout\ = \led_flash_cnt[1297][6]~45049\ $ (!\led_flash_cnt[1297][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1297][7]~q\,
	cin => \led_flash_cnt[1297][6]~45049\,
	combout => \led_flash_cnt[1297][7]~45050_combout\);

-- Location: FF_X23_Y10_N17
\led_flash_cnt[1297][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1297][7]~45050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1297][7]~q\);

-- Location: LCCOMB_X24_Y10_N30
\WideAnd1297~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1297~0_combout\ = (\led_flash_cnt[1297][4]~q\ & (\led_flash_cnt[1297][2]~q\ & (\led_flash_cnt[1297][1]~q\ & \led_flash_cnt[1297][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1297][4]~q\,
	datab => \led_flash_cnt[1297][2]~q\,
	datac => \led_flash_cnt[1297][1]~q\,
	datad => \led_flash_cnt[1297][3]~q\,
	combout => \WideAnd1297~0_combout\);

-- Location: LCCOMB_X24_Y10_N6
\WideAnd1297~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1297~1_combout\ = (\led_flash_cnt[1297][5]~q\ & \led_flash_cnt[1297][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1297][5]~q\,
	datad => \led_flash_cnt[1297][6]~q\,
	combout => \WideAnd1297~1_combout\);

-- Location: LCCOMB_X23_Y10_N0
WideAnd1297 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1297~combout\ = (\led_flash_cnt[1297][0]~q\ & (\led_flash_cnt[1297][7]~q\ & (\WideAnd1297~0_combout\ & \WideAnd1297~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1297][0]~q\,
	datab => \led_flash_cnt[1297][7]~q\,
	datac => \WideAnd1297~0_combout\,
	datad => \WideAnd1297~1_combout\,
	combout => \WideAnd1297~combout\);

-- Location: FF_X23_Y10_N1
\led_flash_cnt_ands[1297]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1297~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1297));

-- Location: LCCOMB_X30_Y28_N4
\WideAnd4002~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4002~0_combout\ = (led_flash_cnt_ands(1296) & (led_flash_cnt_ands(1299) & (led_flash_cnt_ands(1298) & led_flash_cnt_ands(1297))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1296),
	datab => led_flash_cnt_ands(1299),
	datac => led_flash_cnt_ands(1298),
	datad => led_flash_cnt_ands(1297),
	combout => \WideAnd4002~0_combout\);

-- Location: LCCOMB_X32_Y18_N2
\led_flash_cnt[1302][0]~81942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1302][0]~81942_combout\ = !\led_flash_cnt[1302][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1302][0]~q\,
	combout => \led_flash_cnt[1302][0]~81942_combout\);

-- Location: FF_X32_Y18_N3
\led_flash_cnt[1302][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1302][0]~81942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1302][0]~q\);

-- Location: LCCOMB_X31_Y18_N4
\led_flash_cnt[1302][1]~45108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1302][1]~45108_combout\ = (\led_flash_cnt[1302][0]~q\ & (\led_flash_cnt[1302][1]~q\ $ (VCC))) # (!\led_flash_cnt[1302][0]~q\ & (\led_flash_cnt[1302][1]~q\ & VCC))
-- \led_flash_cnt[1302][1]~45109\ = CARRY((\led_flash_cnt[1302][0]~q\ & \led_flash_cnt[1302][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1302][0]~q\,
	datab => \led_flash_cnt[1302][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1302][1]~45108_combout\,
	cout => \led_flash_cnt[1302][1]~45109\);

-- Location: FF_X31_Y18_N5
\led_flash_cnt[1302][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1302][1]~45108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1302][1]~q\);

-- Location: LCCOMB_X31_Y18_N6
\led_flash_cnt[1302][2]~45110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1302][2]~45110_combout\ = (\led_flash_cnt[1302][2]~q\ & (!\led_flash_cnt[1302][1]~45109\)) # (!\led_flash_cnt[1302][2]~q\ & ((\led_flash_cnt[1302][1]~45109\) # (GND)))
-- \led_flash_cnt[1302][2]~45111\ = CARRY((!\led_flash_cnt[1302][1]~45109\) # (!\led_flash_cnt[1302][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1302][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1302][1]~45109\,
	combout => \led_flash_cnt[1302][2]~45110_combout\,
	cout => \led_flash_cnt[1302][2]~45111\);

-- Location: FF_X31_Y18_N7
\led_flash_cnt[1302][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1302][2]~45110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1302][2]~q\);

-- Location: LCCOMB_X31_Y18_N8
\led_flash_cnt[1302][3]~45112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1302][3]~45112_combout\ = (\led_flash_cnt[1302][3]~q\ & (\led_flash_cnt[1302][2]~45111\ $ (GND))) # (!\led_flash_cnt[1302][3]~q\ & (!\led_flash_cnt[1302][2]~45111\ & VCC))
-- \led_flash_cnt[1302][3]~45113\ = CARRY((\led_flash_cnt[1302][3]~q\ & !\led_flash_cnt[1302][2]~45111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1302][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1302][2]~45111\,
	combout => \led_flash_cnt[1302][3]~45112_combout\,
	cout => \led_flash_cnt[1302][3]~45113\);

-- Location: FF_X31_Y18_N9
\led_flash_cnt[1302][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1302][3]~45112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1302][3]~q\);

-- Location: LCCOMB_X31_Y18_N10
\led_flash_cnt[1302][4]~45114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1302][4]~45114_combout\ = (\led_flash_cnt[1302][4]~q\ & (!\led_flash_cnt[1302][3]~45113\)) # (!\led_flash_cnt[1302][4]~q\ & ((\led_flash_cnt[1302][3]~45113\) # (GND)))
-- \led_flash_cnt[1302][4]~45115\ = CARRY((!\led_flash_cnt[1302][3]~45113\) # (!\led_flash_cnt[1302][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1302][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1302][3]~45113\,
	combout => \led_flash_cnt[1302][4]~45114_combout\,
	cout => \led_flash_cnt[1302][4]~45115\);

-- Location: FF_X31_Y18_N11
\led_flash_cnt[1302][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1302][4]~45114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1302][4]~q\);

-- Location: LCCOMB_X31_Y18_N0
\WideAnd1302~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1302~0_combout\ = (\led_flash_cnt[1302][4]~q\ & (\led_flash_cnt[1302][1]~q\ & (\led_flash_cnt[1302][3]~q\ & \led_flash_cnt[1302][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1302][4]~q\,
	datab => \led_flash_cnt[1302][1]~q\,
	datac => \led_flash_cnt[1302][3]~q\,
	datad => \led_flash_cnt[1302][2]~q\,
	combout => \WideAnd1302~0_combout\);

-- Location: LCCOMB_X31_Y18_N12
\led_flash_cnt[1302][5]~45116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1302][5]~45116_combout\ = (\led_flash_cnt[1302][5]~q\ & (\led_flash_cnt[1302][4]~45115\ $ (GND))) # (!\led_flash_cnt[1302][5]~q\ & (!\led_flash_cnt[1302][4]~45115\ & VCC))
-- \led_flash_cnt[1302][5]~45117\ = CARRY((\led_flash_cnt[1302][5]~q\ & !\led_flash_cnt[1302][4]~45115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1302][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1302][4]~45115\,
	combout => \led_flash_cnt[1302][5]~45116_combout\,
	cout => \led_flash_cnt[1302][5]~45117\);

-- Location: FF_X31_Y18_N13
\led_flash_cnt[1302][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1302][5]~45116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1302][5]~q\);

-- Location: LCCOMB_X31_Y18_N14
\led_flash_cnt[1302][6]~45118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1302][6]~45118_combout\ = (\led_flash_cnt[1302][6]~q\ & (!\led_flash_cnt[1302][5]~45117\)) # (!\led_flash_cnt[1302][6]~q\ & ((\led_flash_cnt[1302][5]~45117\) # (GND)))
-- \led_flash_cnt[1302][6]~45119\ = CARRY((!\led_flash_cnt[1302][5]~45117\) # (!\led_flash_cnt[1302][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1302][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1302][5]~45117\,
	combout => \led_flash_cnt[1302][6]~45118_combout\,
	cout => \led_flash_cnt[1302][6]~45119\);

-- Location: FF_X31_Y18_N15
\led_flash_cnt[1302][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1302][6]~45118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1302][6]~q\);

-- Location: LCCOMB_X31_Y18_N16
\led_flash_cnt[1302][7]~45120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1302][7]~45120_combout\ = \led_flash_cnt[1302][6]~45119\ $ (!\led_flash_cnt[1302][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1302][7]~q\,
	cin => \led_flash_cnt[1302][6]~45119\,
	combout => \led_flash_cnt[1302][7]~45120_combout\);

-- Location: FF_X31_Y18_N17
\led_flash_cnt[1302][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1302][7]~45120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1302][7]~q\);

-- Location: LCCOMB_X32_Y18_N10
\WideAnd1302~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1302~1_combout\ = (\led_flash_cnt[1302][6]~q\ & \led_flash_cnt[1302][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1302][6]~q\,
	datad => \led_flash_cnt[1302][5]~q\,
	combout => \WideAnd1302~1_combout\);

-- Location: LCCOMB_X32_Y18_N30
WideAnd1302 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1302~combout\ = (\WideAnd1302~0_combout\ & (\led_flash_cnt[1302][0]~q\ & (\led_flash_cnt[1302][7]~q\ & \WideAnd1302~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1302~0_combout\,
	datab => \led_flash_cnt[1302][0]~q\,
	datac => \led_flash_cnt[1302][7]~q\,
	datad => \WideAnd1302~1_combout\,
	combout => \WideAnd1302~combout\);

-- Location: FF_X32_Y18_N31
\led_flash_cnt_ands[1302]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1302~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1302));

-- Location: LCCOMB_X31_Y12_N2
WideAnd4002 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4002~combout\ = (\WideAnd4002~1_combout\ & (led_flash_cnt_ands(1303) & (\WideAnd4002~0_combout\ & led_flash_cnt_ands(1302))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4002~1_combout\,
	datab => led_flash_cnt_ands(1303),
	datac => \WideAnd4002~0_combout\,
	datad => led_flash_cnt_ands(1302),
	combout => \WideAnd4002~combout\);

-- Location: FF_X31_Y12_N3
\led_flash_cnt_ands_1[162]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4002~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(162));

-- Location: LCCOMB_X27_Y12_N8
\WideAnd4340~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4340~0_combout\ = (led_flash_cnt_ands_1(163) & (led_flash_cnt_ands_1(160) & (led_flash_cnt_ands_1(161) & led_flash_cnt_ands_1(162))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(163),
	datab => led_flash_cnt_ands_1(160),
	datac => led_flash_cnt_ands_1(161),
	datad => led_flash_cnt_ands_1(162),
	combout => \WideAnd4340~0_combout\);

-- Location: LCCOMB_X62_Y12_N12
\led_flash_cnt[1334][0]~81974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1334][0]~81974_combout\ = !\led_flash_cnt[1334][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1334][0]~q\,
	combout => \led_flash_cnt[1334][0]~81974_combout\);

-- Location: FF_X62_Y12_N13
\led_flash_cnt[1334][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1334][0]~81974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1334][0]~q\);

-- Location: LCCOMB_X62_Y12_N14
\led_flash_cnt[1334][1]~45556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1334][1]~45556_combout\ = (\led_flash_cnt[1334][0]~q\ & (\led_flash_cnt[1334][1]~q\ $ (VCC))) # (!\led_flash_cnt[1334][0]~q\ & (\led_flash_cnt[1334][1]~q\ & VCC))
-- \led_flash_cnt[1334][1]~45557\ = CARRY((\led_flash_cnt[1334][0]~q\ & \led_flash_cnt[1334][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1334][0]~q\,
	datab => \led_flash_cnt[1334][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1334][1]~45556_combout\,
	cout => \led_flash_cnt[1334][1]~45557\);

-- Location: FF_X62_Y12_N15
\led_flash_cnt[1334][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1334][1]~45556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1334][1]~q\);

-- Location: LCCOMB_X62_Y12_N16
\led_flash_cnt[1334][2]~45558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1334][2]~45558_combout\ = (\led_flash_cnt[1334][2]~q\ & (!\led_flash_cnt[1334][1]~45557\)) # (!\led_flash_cnt[1334][2]~q\ & ((\led_flash_cnt[1334][1]~45557\) # (GND)))
-- \led_flash_cnt[1334][2]~45559\ = CARRY((!\led_flash_cnt[1334][1]~45557\) # (!\led_flash_cnt[1334][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1334][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1334][1]~45557\,
	combout => \led_flash_cnt[1334][2]~45558_combout\,
	cout => \led_flash_cnt[1334][2]~45559\);

-- Location: FF_X62_Y12_N17
\led_flash_cnt[1334][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1334][2]~45558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1334][2]~q\);

-- Location: LCCOMB_X62_Y12_N18
\led_flash_cnt[1334][3]~45560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1334][3]~45560_combout\ = (\led_flash_cnt[1334][3]~q\ & (\led_flash_cnt[1334][2]~45559\ $ (GND))) # (!\led_flash_cnt[1334][3]~q\ & (!\led_flash_cnt[1334][2]~45559\ & VCC))
-- \led_flash_cnt[1334][3]~45561\ = CARRY((\led_flash_cnt[1334][3]~q\ & !\led_flash_cnt[1334][2]~45559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1334][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1334][2]~45559\,
	combout => \led_flash_cnt[1334][3]~45560_combout\,
	cout => \led_flash_cnt[1334][3]~45561\);

-- Location: FF_X62_Y12_N19
\led_flash_cnt[1334][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1334][3]~45560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1334][3]~q\);

-- Location: LCCOMB_X62_Y12_N20
\led_flash_cnt[1334][4]~45562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1334][4]~45562_combout\ = (\led_flash_cnt[1334][4]~q\ & (!\led_flash_cnt[1334][3]~45561\)) # (!\led_flash_cnt[1334][4]~q\ & ((\led_flash_cnt[1334][3]~45561\) # (GND)))
-- \led_flash_cnt[1334][4]~45563\ = CARRY((!\led_flash_cnt[1334][3]~45561\) # (!\led_flash_cnt[1334][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1334][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1334][3]~45561\,
	combout => \led_flash_cnt[1334][4]~45562_combout\,
	cout => \led_flash_cnt[1334][4]~45563\);

-- Location: FF_X62_Y12_N21
\led_flash_cnt[1334][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1334][4]~45562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1334][4]~q\);

-- Location: LCCOMB_X62_Y12_N22
\led_flash_cnt[1334][5]~45564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1334][5]~45564_combout\ = (\led_flash_cnt[1334][5]~q\ & (\led_flash_cnt[1334][4]~45563\ $ (GND))) # (!\led_flash_cnt[1334][5]~q\ & (!\led_flash_cnt[1334][4]~45563\ & VCC))
-- \led_flash_cnt[1334][5]~45565\ = CARRY((\led_flash_cnt[1334][5]~q\ & !\led_flash_cnt[1334][4]~45563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1334][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1334][4]~45563\,
	combout => \led_flash_cnt[1334][5]~45564_combout\,
	cout => \led_flash_cnt[1334][5]~45565\);

-- Location: FF_X62_Y12_N23
\led_flash_cnt[1334][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1334][5]~45564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1334][5]~q\);

-- Location: LCCOMB_X62_Y12_N24
\led_flash_cnt[1334][6]~45566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1334][6]~45566_combout\ = (\led_flash_cnt[1334][6]~q\ & (!\led_flash_cnt[1334][5]~45565\)) # (!\led_flash_cnt[1334][6]~q\ & ((\led_flash_cnt[1334][5]~45565\) # (GND)))
-- \led_flash_cnt[1334][6]~45567\ = CARRY((!\led_flash_cnt[1334][5]~45565\) # (!\led_flash_cnt[1334][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1334][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1334][5]~45565\,
	combout => \led_flash_cnt[1334][6]~45566_combout\,
	cout => \led_flash_cnt[1334][6]~45567\);

-- Location: FF_X62_Y12_N25
\led_flash_cnt[1334][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1334][6]~45566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1334][6]~q\);

-- Location: LCCOMB_X62_Y12_N30
\WideAnd1334~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1334~1_combout\ = (\led_flash_cnt[1334][5]~q\ & \led_flash_cnt[1334][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1334][5]~q\,
	datad => \led_flash_cnt[1334][6]~q\,
	combout => \WideAnd1334~1_combout\);

-- Location: LCCOMB_X62_Y12_N28
\WideAnd1334~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1334~0_combout\ = (\led_flash_cnt[1334][4]~q\ & (\led_flash_cnt[1334][3]~q\ & (\led_flash_cnt[1334][1]~q\ & \led_flash_cnt[1334][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1334][4]~q\,
	datab => \led_flash_cnt[1334][3]~q\,
	datac => \led_flash_cnt[1334][1]~q\,
	datad => \led_flash_cnt[1334][2]~q\,
	combout => \WideAnd1334~0_combout\);

-- Location: LCCOMB_X62_Y12_N26
\led_flash_cnt[1334][7]~45568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1334][7]~45568_combout\ = \led_flash_cnt[1334][7]~q\ $ (!\led_flash_cnt[1334][6]~45567\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1334][7]~q\,
	cin => \led_flash_cnt[1334][6]~45567\,
	combout => \led_flash_cnt[1334][7]~45568_combout\);

-- Location: FF_X62_Y12_N27
\led_flash_cnt[1334][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1334][7]~45568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1334][7]~q\);

-- Location: LCCOMB_X62_Y12_N10
WideAnd1334 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1334~combout\ = (\WideAnd1334~1_combout\ & (\WideAnd1334~0_combout\ & (\led_flash_cnt[1334][7]~q\ & \led_flash_cnt[1334][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1334~1_combout\,
	datab => \WideAnd1334~0_combout\,
	datac => \led_flash_cnt[1334][7]~q\,
	datad => \led_flash_cnt[1334][0]~q\,
	combout => \WideAnd1334~combout\);

-- Location: FF_X62_Y12_N11
\led_flash_cnt_ands[1334]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1334~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1334));

-- Location: LCCOMB_X62_Y16_N22
\led_flash_cnt[1335][0]~81975\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1335][0]~81975_combout\ = !\led_flash_cnt[1335][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1335][0]~q\,
	combout => \led_flash_cnt[1335][0]~81975_combout\);

-- Location: FF_X62_Y16_N23
\led_flash_cnt[1335][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1335][0]~81975_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1335][0]~q\);

-- Location: LCCOMB_X62_Y16_N0
\led_flash_cnt[1335][1]~45570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1335][1]~45570_combout\ = (\led_flash_cnt[1335][0]~q\ & (\led_flash_cnt[1335][1]~q\ $ (VCC))) # (!\led_flash_cnt[1335][0]~q\ & (\led_flash_cnt[1335][1]~q\ & VCC))
-- \led_flash_cnt[1335][1]~45571\ = CARRY((\led_flash_cnt[1335][0]~q\ & \led_flash_cnt[1335][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1335][0]~q\,
	datab => \led_flash_cnt[1335][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1335][1]~45570_combout\,
	cout => \led_flash_cnt[1335][1]~45571\);

-- Location: FF_X62_Y16_N1
\led_flash_cnt[1335][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1335][1]~45570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1335][1]~q\);

-- Location: LCCOMB_X62_Y16_N2
\led_flash_cnt[1335][2]~45572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1335][2]~45572_combout\ = (\led_flash_cnt[1335][2]~q\ & (!\led_flash_cnt[1335][1]~45571\)) # (!\led_flash_cnt[1335][2]~q\ & ((\led_flash_cnt[1335][1]~45571\) # (GND)))
-- \led_flash_cnt[1335][2]~45573\ = CARRY((!\led_flash_cnt[1335][1]~45571\) # (!\led_flash_cnt[1335][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1335][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1335][1]~45571\,
	combout => \led_flash_cnt[1335][2]~45572_combout\,
	cout => \led_flash_cnt[1335][2]~45573\);

-- Location: FF_X62_Y16_N3
\led_flash_cnt[1335][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1335][2]~45572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1335][2]~q\);

-- Location: LCCOMB_X62_Y16_N4
\led_flash_cnt[1335][3]~45574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1335][3]~45574_combout\ = (\led_flash_cnt[1335][3]~q\ & (\led_flash_cnt[1335][2]~45573\ $ (GND))) # (!\led_flash_cnt[1335][3]~q\ & (!\led_flash_cnt[1335][2]~45573\ & VCC))
-- \led_flash_cnt[1335][3]~45575\ = CARRY((\led_flash_cnt[1335][3]~q\ & !\led_flash_cnt[1335][2]~45573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1335][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1335][2]~45573\,
	combout => \led_flash_cnt[1335][3]~45574_combout\,
	cout => \led_flash_cnt[1335][3]~45575\);

-- Location: FF_X62_Y16_N5
\led_flash_cnt[1335][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1335][3]~45574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1335][3]~q\);

-- Location: LCCOMB_X62_Y16_N6
\led_flash_cnt[1335][4]~45576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1335][4]~45576_combout\ = (\led_flash_cnt[1335][4]~q\ & (!\led_flash_cnt[1335][3]~45575\)) # (!\led_flash_cnt[1335][4]~q\ & ((\led_flash_cnt[1335][3]~45575\) # (GND)))
-- \led_flash_cnt[1335][4]~45577\ = CARRY((!\led_flash_cnt[1335][3]~45575\) # (!\led_flash_cnt[1335][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1335][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1335][3]~45575\,
	combout => \led_flash_cnt[1335][4]~45576_combout\,
	cout => \led_flash_cnt[1335][4]~45577\);

-- Location: FF_X62_Y16_N7
\led_flash_cnt[1335][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1335][4]~45576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1335][4]~q\);

-- Location: LCCOMB_X62_Y16_N8
\led_flash_cnt[1335][5]~45578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1335][5]~45578_combout\ = (\led_flash_cnt[1335][5]~q\ & (\led_flash_cnt[1335][4]~45577\ $ (GND))) # (!\led_flash_cnt[1335][5]~q\ & (!\led_flash_cnt[1335][4]~45577\ & VCC))
-- \led_flash_cnt[1335][5]~45579\ = CARRY((\led_flash_cnt[1335][5]~q\ & !\led_flash_cnt[1335][4]~45577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1335][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1335][4]~45577\,
	combout => \led_flash_cnt[1335][5]~45578_combout\,
	cout => \led_flash_cnt[1335][5]~45579\);

-- Location: FF_X62_Y16_N9
\led_flash_cnt[1335][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1335][5]~45578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1335][5]~q\);

-- Location: LCCOMB_X62_Y16_N10
\led_flash_cnt[1335][6]~45580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1335][6]~45580_combout\ = (\led_flash_cnt[1335][6]~q\ & (!\led_flash_cnt[1335][5]~45579\)) # (!\led_flash_cnt[1335][6]~q\ & ((\led_flash_cnt[1335][5]~45579\) # (GND)))
-- \led_flash_cnt[1335][6]~45581\ = CARRY((!\led_flash_cnt[1335][5]~45579\) # (!\led_flash_cnt[1335][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1335][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1335][5]~45579\,
	combout => \led_flash_cnt[1335][6]~45580_combout\,
	cout => \led_flash_cnt[1335][6]~45581\);

-- Location: FF_X62_Y16_N11
\led_flash_cnt[1335][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1335][6]~45580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1335][6]~q\);

-- Location: LCCOMB_X62_Y16_N26
\WideAnd1335~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1335~1_combout\ = (\led_flash_cnt[1335][5]~q\ & \led_flash_cnt[1335][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1335][5]~q\,
	datad => \led_flash_cnt[1335][6]~q\,
	combout => \WideAnd1335~1_combout\);

-- Location: LCCOMB_X62_Y16_N24
\WideAnd1335~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1335~0_combout\ = (\led_flash_cnt[1335][4]~q\ & (\led_flash_cnt[1335][1]~q\ & (\led_flash_cnt[1335][3]~q\ & \led_flash_cnt[1335][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1335][4]~q\,
	datab => \led_flash_cnt[1335][1]~q\,
	datac => \led_flash_cnt[1335][3]~q\,
	datad => \led_flash_cnt[1335][2]~q\,
	combout => \WideAnd1335~0_combout\);

-- Location: LCCOMB_X62_Y16_N12
\led_flash_cnt[1335][7]~45582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1335][7]~45582_combout\ = \led_flash_cnt[1335][6]~45581\ $ (!\led_flash_cnt[1335][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1335][7]~q\,
	cin => \led_flash_cnt[1335][6]~45581\,
	combout => \led_flash_cnt[1335][7]~45582_combout\);

-- Location: FF_X62_Y16_N13
\led_flash_cnt[1335][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1335][7]~45582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1335][7]~q\);

-- Location: LCCOMB_X62_Y16_N16
WideAnd1335 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1335~combout\ = (\WideAnd1335~1_combout\ & (\WideAnd1335~0_combout\ & (\led_flash_cnt[1335][0]~q\ & \led_flash_cnt[1335][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1335~1_combout\,
	datab => \WideAnd1335~0_combout\,
	datac => \led_flash_cnt[1335][0]~q\,
	datad => \led_flash_cnt[1335][7]~q\,
	combout => \WideAnd1335~combout\);

-- Location: FF_X62_Y16_N17
\led_flash_cnt_ands[1335]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1335~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1335));

-- Location: LCCOMB_X54_Y12_N24
\led_flash_cnt[1328][0]~81968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1328][0]~81968_combout\ = !\led_flash_cnt[1328][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1328][0]~q\,
	combout => \led_flash_cnt[1328][0]~81968_combout\);

-- Location: FF_X54_Y12_N25
\led_flash_cnt[1328][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1328][0]~81968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1328][0]~q\);

-- Location: LCCOMB_X54_Y12_N6
\led_flash_cnt[1328][1]~45472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1328][1]~45472_combout\ = (\led_flash_cnt[1328][1]~q\ & (\led_flash_cnt[1328][0]~q\ $ (VCC))) # (!\led_flash_cnt[1328][1]~q\ & (\led_flash_cnt[1328][0]~q\ & VCC))
-- \led_flash_cnt[1328][1]~45473\ = CARRY((\led_flash_cnt[1328][1]~q\ & \led_flash_cnt[1328][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1328][1]~q\,
	datab => \led_flash_cnt[1328][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1328][1]~45472_combout\,
	cout => \led_flash_cnt[1328][1]~45473\);

-- Location: FF_X54_Y12_N7
\led_flash_cnt[1328][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1328][1]~45472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1328][1]~q\);

-- Location: LCCOMB_X54_Y12_N8
\led_flash_cnt[1328][2]~45474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1328][2]~45474_combout\ = (\led_flash_cnt[1328][2]~q\ & (!\led_flash_cnt[1328][1]~45473\)) # (!\led_flash_cnt[1328][2]~q\ & ((\led_flash_cnt[1328][1]~45473\) # (GND)))
-- \led_flash_cnt[1328][2]~45475\ = CARRY((!\led_flash_cnt[1328][1]~45473\) # (!\led_flash_cnt[1328][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1328][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1328][1]~45473\,
	combout => \led_flash_cnt[1328][2]~45474_combout\,
	cout => \led_flash_cnt[1328][2]~45475\);

-- Location: FF_X54_Y12_N9
\led_flash_cnt[1328][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1328][2]~45474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1328][2]~q\);

-- Location: LCCOMB_X54_Y12_N10
\led_flash_cnt[1328][3]~45476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1328][3]~45476_combout\ = (\led_flash_cnt[1328][3]~q\ & (\led_flash_cnt[1328][2]~45475\ $ (GND))) # (!\led_flash_cnt[1328][3]~q\ & (!\led_flash_cnt[1328][2]~45475\ & VCC))
-- \led_flash_cnt[1328][3]~45477\ = CARRY((\led_flash_cnt[1328][3]~q\ & !\led_flash_cnt[1328][2]~45475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1328][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1328][2]~45475\,
	combout => \led_flash_cnt[1328][3]~45476_combout\,
	cout => \led_flash_cnt[1328][3]~45477\);

-- Location: FF_X54_Y12_N11
\led_flash_cnt[1328][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1328][3]~45476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1328][3]~q\);

-- Location: LCCOMB_X54_Y12_N12
\led_flash_cnt[1328][4]~45478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1328][4]~45478_combout\ = (\led_flash_cnt[1328][4]~q\ & (!\led_flash_cnt[1328][3]~45477\)) # (!\led_flash_cnt[1328][4]~q\ & ((\led_flash_cnt[1328][3]~45477\) # (GND)))
-- \led_flash_cnt[1328][4]~45479\ = CARRY((!\led_flash_cnt[1328][3]~45477\) # (!\led_flash_cnt[1328][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1328][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1328][3]~45477\,
	combout => \led_flash_cnt[1328][4]~45478_combout\,
	cout => \led_flash_cnt[1328][4]~45479\);

-- Location: FF_X54_Y12_N13
\led_flash_cnt[1328][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1328][4]~45478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1328][4]~q\);

-- Location: LCCOMB_X54_Y12_N22
\WideAnd1328~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1328~0_combout\ = (\led_flash_cnt[1328][3]~q\ & (\led_flash_cnt[1328][4]~q\ & (\led_flash_cnt[1328][2]~q\ & \led_flash_cnt[1328][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1328][3]~q\,
	datab => \led_flash_cnt[1328][4]~q\,
	datac => \led_flash_cnt[1328][2]~q\,
	datad => \led_flash_cnt[1328][1]~q\,
	combout => \WideAnd1328~0_combout\);

-- Location: LCCOMB_X54_Y12_N14
\led_flash_cnt[1328][5]~45480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1328][5]~45480_combout\ = (\led_flash_cnt[1328][5]~q\ & (\led_flash_cnt[1328][4]~45479\ $ (GND))) # (!\led_flash_cnt[1328][5]~q\ & (!\led_flash_cnt[1328][4]~45479\ & VCC))
-- \led_flash_cnt[1328][5]~45481\ = CARRY((\led_flash_cnt[1328][5]~q\ & !\led_flash_cnt[1328][4]~45479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1328][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1328][4]~45479\,
	combout => \led_flash_cnt[1328][5]~45480_combout\,
	cout => \led_flash_cnt[1328][5]~45481\);

-- Location: FF_X54_Y12_N15
\led_flash_cnt[1328][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1328][5]~45480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1328][5]~q\);

-- Location: LCCOMB_X54_Y12_N16
\led_flash_cnt[1328][6]~45482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1328][6]~45482_combout\ = (\led_flash_cnt[1328][6]~q\ & (!\led_flash_cnt[1328][5]~45481\)) # (!\led_flash_cnt[1328][6]~q\ & ((\led_flash_cnt[1328][5]~45481\) # (GND)))
-- \led_flash_cnt[1328][6]~45483\ = CARRY((!\led_flash_cnt[1328][5]~45481\) # (!\led_flash_cnt[1328][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1328][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1328][5]~45481\,
	combout => \led_flash_cnt[1328][6]~45482_combout\,
	cout => \led_flash_cnt[1328][6]~45483\);

-- Location: FF_X54_Y12_N17
\led_flash_cnt[1328][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1328][6]~45482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1328][6]~q\);

-- Location: LCCOMB_X54_Y12_N18
\led_flash_cnt[1328][7]~45484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1328][7]~45484_combout\ = \led_flash_cnt[1328][6]~45483\ $ (!\led_flash_cnt[1328][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1328][7]~q\,
	cin => \led_flash_cnt[1328][6]~45483\,
	combout => \led_flash_cnt[1328][7]~45484_combout\);

-- Location: FF_X54_Y12_N19
\led_flash_cnt[1328][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1328][7]~45484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1328][7]~q\);

-- Location: LCCOMB_X54_Y12_N4
\WideAnd1328~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1328~1_combout\ = (\led_flash_cnt[1328][5]~q\ & \led_flash_cnt[1328][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1328][5]~q\,
	datad => \led_flash_cnt[1328][6]~q\,
	combout => \WideAnd1328~1_combout\);

-- Location: LCCOMB_X54_Y12_N26
WideAnd1328 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1328~combout\ = (\WideAnd1328~0_combout\ & (\led_flash_cnt[1328][7]~q\ & (\WideAnd1328~1_combout\ & \led_flash_cnt[1328][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1328~0_combout\,
	datab => \led_flash_cnt[1328][7]~q\,
	datac => \WideAnd1328~1_combout\,
	datad => \led_flash_cnt[1328][0]~q\,
	combout => \WideAnd1328~combout\);

-- Location: FF_X54_Y12_N27
\led_flash_cnt_ands[1328]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1328~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1328));

-- Location: LCCOMB_X55_Y12_N16
\led_flash_cnt[1331][0]~81971\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1331][0]~81971_combout\ = !\led_flash_cnt[1331][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1331][0]~q\,
	combout => \led_flash_cnt[1331][0]~81971_combout\);

-- Location: FF_X55_Y12_N17
\led_flash_cnt[1331][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1331][0]~81971_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1331][0]~q\);

-- Location: LCCOMB_X56_Y12_N18
\led_flash_cnt[1331][1]~45514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1331][1]~45514_combout\ = (\led_flash_cnt[1331][0]~q\ & (\led_flash_cnt[1331][1]~q\ $ (VCC))) # (!\led_flash_cnt[1331][0]~q\ & (\led_flash_cnt[1331][1]~q\ & VCC))
-- \led_flash_cnt[1331][1]~45515\ = CARRY((\led_flash_cnt[1331][0]~q\ & \led_flash_cnt[1331][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1331][0]~q\,
	datab => \led_flash_cnt[1331][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1331][1]~45514_combout\,
	cout => \led_flash_cnt[1331][1]~45515\);

-- Location: FF_X56_Y12_N19
\led_flash_cnt[1331][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1331][1]~45514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1331][1]~q\);

-- Location: LCCOMB_X56_Y12_N20
\led_flash_cnt[1331][2]~45516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1331][2]~45516_combout\ = (\led_flash_cnt[1331][2]~q\ & (!\led_flash_cnt[1331][1]~45515\)) # (!\led_flash_cnt[1331][2]~q\ & ((\led_flash_cnt[1331][1]~45515\) # (GND)))
-- \led_flash_cnt[1331][2]~45517\ = CARRY((!\led_flash_cnt[1331][1]~45515\) # (!\led_flash_cnt[1331][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1331][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1331][1]~45515\,
	combout => \led_flash_cnt[1331][2]~45516_combout\,
	cout => \led_flash_cnt[1331][2]~45517\);

-- Location: FF_X56_Y12_N21
\led_flash_cnt[1331][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1331][2]~45516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1331][2]~q\);

-- Location: LCCOMB_X56_Y12_N22
\led_flash_cnt[1331][3]~45518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1331][3]~45518_combout\ = (\led_flash_cnt[1331][3]~q\ & (\led_flash_cnt[1331][2]~45517\ $ (GND))) # (!\led_flash_cnt[1331][3]~q\ & (!\led_flash_cnt[1331][2]~45517\ & VCC))
-- \led_flash_cnt[1331][3]~45519\ = CARRY((\led_flash_cnt[1331][3]~q\ & !\led_flash_cnt[1331][2]~45517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1331][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1331][2]~45517\,
	combout => \led_flash_cnt[1331][3]~45518_combout\,
	cout => \led_flash_cnt[1331][3]~45519\);

-- Location: FF_X56_Y12_N23
\led_flash_cnt[1331][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1331][3]~45518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1331][3]~q\);

-- Location: LCCOMB_X56_Y12_N24
\led_flash_cnt[1331][4]~45520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1331][4]~45520_combout\ = (\led_flash_cnt[1331][4]~q\ & (!\led_flash_cnt[1331][3]~45519\)) # (!\led_flash_cnt[1331][4]~q\ & ((\led_flash_cnt[1331][3]~45519\) # (GND)))
-- \led_flash_cnt[1331][4]~45521\ = CARRY((!\led_flash_cnt[1331][3]~45519\) # (!\led_flash_cnt[1331][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1331][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1331][3]~45519\,
	combout => \led_flash_cnt[1331][4]~45520_combout\,
	cout => \led_flash_cnt[1331][4]~45521\);

-- Location: FF_X56_Y12_N25
\led_flash_cnt[1331][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1331][4]~45520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1331][4]~q\);

-- Location: LCCOMB_X56_Y12_N26
\led_flash_cnt[1331][5]~45522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1331][5]~45522_combout\ = (\led_flash_cnt[1331][5]~q\ & (\led_flash_cnt[1331][4]~45521\ $ (GND))) # (!\led_flash_cnt[1331][5]~q\ & (!\led_flash_cnt[1331][4]~45521\ & VCC))
-- \led_flash_cnt[1331][5]~45523\ = CARRY((\led_flash_cnt[1331][5]~q\ & !\led_flash_cnt[1331][4]~45521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1331][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1331][4]~45521\,
	combout => \led_flash_cnt[1331][5]~45522_combout\,
	cout => \led_flash_cnt[1331][5]~45523\);

-- Location: FF_X56_Y12_N27
\led_flash_cnt[1331][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1331][5]~45522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1331][5]~q\);

-- Location: LCCOMB_X56_Y12_N28
\led_flash_cnt[1331][6]~45524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1331][6]~45524_combout\ = (\led_flash_cnt[1331][6]~q\ & (!\led_flash_cnt[1331][5]~45523\)) # (!\led_flash_cnt[1331][6]~q\ & ((\led_flash_cnt[1331][5]~45523\) # (GND)))
-- \led_flash_cnt[1331][6]~45525\ = CARRY((!\led_flash_cnt[1331][5]~45523\) # (!\led_flash_cnt[1331][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1331][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1331][5]~45523\,
	combout => \led_flash_cnt[1331][6]~45524_combout\,
	cout => \led_flash_cnt[1331][6]~45525\);

-- Location: FF_X56_Y12_N29
\led_flash_cnt[1331][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1331][6]~45524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1331][6]~q\);

-- Location: LCCOMB_X55_Y12_N10
\WideAnd1331~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1331~1_combout\ = (\led_flash_cnt[1331][6]~q\ & \led_flash_cnt[1331][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1331][6]~q\,
	datad => \led_flash_cnt[1331][5]~q\,
	combout => \WideAnd1331~1_combout\);

-- Location: LCCOMB_X56_Y12_N30
\led_flash_cnt[1331][7]~45526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1331][7]~45526_combout\ = \led_flash_cnt[1331][7]~q\ $ (!\led_flash_cnt[1331][6]~45525\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1331][7]~q\,
	cin => \led_flash_cnt[1331][6]~45525\,
	combout => \led_flash_cnt[1331][7]~45526_combout\);

-- Location: FF_X56_Y12_N31
\led_flash_cnt[1331][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1331][7]~45526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1331][7]~q\);

-- Location: LCCOMB_X56_Y12_N16
\WideAnd1331~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1331~0_combout\ = (\led_flash_cnt[1331][2]~q\ & (\led_flash_cnt[1331][4]~q\ & (\led_flash_cnt[1331][3]~q\ & \led_flash_cnt[1331][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1331][2]~q\,
	datab => \led_flash_cnt[1331][4]~q\,
	datac => \led_flash_cnt[1331][3]~q\,
	datad => \led_flash_cnt[1331][1]~q\,
	combout => \WideAnd1331~0_combout\);

-- Location: LCCOMB_X55_Y12_N4
WideAnd1331 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1331~combout\ = (\WideAnd1331~1_combout\ & (\led_flash_cnt[1331][0]~q\ & (\led_flash_cnt[1331][7]~q\ & \WideAnd1331~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1331~1_combout\,
	datab => \led_flash_cnt[1331][0]~q\,
	datac => \led_flash_cnt[1331][7]~q\,
	datad => \WideAnd1331~0_combout\,
	combout => \WideAnd1331~combout\);

-- Location: FF_X55_Y12_N5
\led_flash_cnt_ands[1331]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1331~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1331));

-- Location: LCCOMB_X54_Y8_N4
\led_flash_cnt[1329][0]~81969\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1329][0]~81969_combout\ = !\led_flash_cnt[1329][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1329][0]~q\,
	combout => \led_flash_cnt[1329][0]~81969_combout\);

-- Location: FF_X54_Y8_N5
\led_flash_cnt[1329][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1329][0]~81969_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1329][0]~q\);

-- Location: LCCOMB_X54_Y8_N10
\led_flash_cnt[1329][1]~45486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1329][1]~45486_combout\ = (\led_flash_cnt[1329][1]~q\ & (\led_flash_cnt[1329][0]~q\ $ (VCC))) # (!\led_flash_cnt[1329][1]~q\ & (\led_flash_cnt[1329][0]~q\ & VCC))
-- \led_flash_cnt[1329][1]~45487\ = CARRY((\led_flash_cnt[1329][1]~q\ & \led_flash_cnt[1329][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1329][1]~q\,
	datab => \led_flash_cnt[1329][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1329][1]~45486_combout\,
	cout => \led_flash_cnt[1329][1]~45487\);

-- Location: FF_X54_Y8_N11
\led_flash_cnt[1329][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1329][1]~45486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1329][1]~q\);

-- Location: LCCOMB_X54_Y8_N12
\led_flash_cnt[1329][2]~45488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1329][2]~45488_combout\ = (\led_flash_cnt[1329][2]~q\ & (!\led_flash_cnt[1329][1]~45487\)) # (!\led_flash_cnt[1329][2]~q\ & ((\led_flash_cnt[1329][1]~45487\) # (GND)))
-- \led_flash_cnt[1329][2]~45489\ = CARRY((!\led_flash_cnt[1329][1]~45487\) # (!\led_flash_cnt[1329][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1329][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1329][1]~45487\,
	combout => \led_flash_cnt[1329][2]~45488_combout\,
	cout => \led_flash_cnt[1329][2]~45489\);

-- Location: FF_X54_Y8_N13
\led_flash_cnt[1329][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1329][2]~45488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1329][2]~q\);

-- Location: LCCOMB_X54_Y8_N14
\led_flash_cnt[1329][3]~45490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1329][3]~45490_combout\ = (\led_flash_cnt[1329][3]~q\ & (\led_flash_cnt[1329][2]~45489\ $ (GND))) # (!\led_flash_cnt[1329][3]~q\ & (!\led_flash_cnt[1329][2]~45489\ & VCC))
-- \led_flash_cnt[1329][3]~45491\ = CARRY((\led_flash_cnt[1329][3]~q\ & !\led_flash_cnt[1329][2]~45489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1329][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1329][2]~45489\,
	combout => \led_flash_cnt[1329][3]~45490_combout\,
	cout => \led_flash_cnt[1329][3]~45491\);

-- Location: FF_X54_Y8_N15
\led_flash_cnt[1329][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1329][3]~45490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1329][3]~q\);

-- Location: LCCOMB_X54_Y8_N16
\led_flash_cnt[1329][4]~45492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1329][4]~45492_combout\ = (\led_flash_cnt[1329][4]~q\ & (!\led_flash_cnt[1329][3]~45491\)) # (!\led_flash_cnt[1329][4]~q\ & ((\led_flash_cnt[1329][3]~45491\) # (GND)))
-- \led_flash_cnt[1329][4]~45493\ = CARRY((!\led_flash_cnt[1329][3]~45491\) # (!\led_flash_cnt[1329][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1329][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1329][3]~45491\,
	combout => \led_flash_cnt[1329][4]~45492_combout\,
	cout => \led_flash_cnt[1329][4]~45493\);

-- Location: FF_X54_Y8_N17
\led_flash_cnt[1329][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1329][4]~45492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1329][4]~q\);

-- Location: LCCOMB_X54_Y8_N18
\led_flash_cnt[1329][5]~45494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1329][5]~45494_combout\ = (\led_flash_cnt[1329][5]~q\ & (\led_flash_cnt[1329][4]~45493\ $ (GND))) # (!\led_flash_cnt[1329][5]~q\ & (!\led_flash_cnt[1329][4]~45493\ & VCC))
-- \led_flash_cnt[1329][5]~45495\ = CARRY((\led_flash_cnt[1329][5]~q\ & !\led_flash_cnt[1329][4]~45493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1329][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1329][4]~45493\,
	combout => \led_flash_cnt[1329][5]~45494_combout\,
	cout => \led_flash_cnt[1329][5]~45495\);

-- Location: FF_X54_Y8_N19
\led_flash_cnt[1329][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1329][5]~45494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1329][5]~q\);

-- Location: LCCOMB_X54_Y8_N20
\led_flash_cnt[1329][6]~45496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1329][6]~45496_combout\ = (\led_flash_cnt[1329][6]~q\ & (!\led_flash_cnt[1329][5]~45495\)) # (!\led_flash_cnt[1329][6]~q\ & ((\led_flash_cnt[1329][5]~45495\) # (GND)))
-- \led_flash_cnt[1329][6]~45497\ = CARRY((!\led_flash_cnt[1329][5]~45495\) # (!\led_flash_cnt[1329][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1329][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1329][5]~45495\,
	combout => \led_flash_cnt[1329][6]~45496_combout\,
	cout => \led_flash_cnt[1329][6]~45497\);

-- Location: FF_X54_Y8_N21
\led_flash_cnt[1329][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1329][6]~45496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1329][6]~q\);

-- Location: LCCOMB_X54_Y8_N26
\WideAnd1329~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1329~1_combout\ = (\led_flash_cnt[1329][6]~q\ & \led_flash_cnt[1329][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1329][6]~q\,
	datad => \led_flash_cnt[1329][5]~q\,
	combout => \WideAnd1329~1_combout\);

-- Location: LCCOMB_X54_Y8_N22
\led_flash_cnt[1329][7]~45498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1329][7]~45498_combout\ = \led_flash_cnt[1329][7]~q\ $ (!\led_flash_cnt[1329][6]~45497\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1329][7]~q\,
	cin => \led_flash_cnt[1329][6]~45497\,
	combout => \led_flash_cnt[1329][7]~45498_combout\);

-- Location: FF_X54_Y8_N23
\led_flash_cnt[1329][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1329][7]~45498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1329][7]~q\);

-- Location: LCCOMB_X54_Y8_N24
\WideAnd1329~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1329~0_combout\ = (\led_flash_cnt[1329][2]~q\ & (\led_flash_cnt[1329][4]~q\ & (\led_flash_cnt[1329][3]~q\ & \led_flash_cnt[1329][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1329][2]~q\,
	datab => \led_flash_cnt[1329][4]~q\,
	datac => \led_flash_cnt[1329][3]~q\,
	datad => \led_flash_cnt[1329][1]~q\,
	combout => \WideAnd1329~0_combout\);

-- Location: LCCOMB_X54_Y8_N8
WideAnd1329 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1329~combout\ = (\WideAnd1329~1_combout\ & (\led_flash_cnt[1329][0]~q\ & (\led_flash_cnt[1329][7]~q\ & \WideAnd1329~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1329~1_combout\,
	datab => \led_flash_cnt[1329][0]~q\,
	datac => \led_flash_cnt[1329][7]~q\,
	datad => \WideAnd1329~0_combout\,
	combout => \WideAnd1329~combout\);

-- Location: FF_X54_Y8_N9
\led_flash_cnt_ands[1329]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1329~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1329));

-- Location: LCCOMB_X55_Y12_N12
\led_flash_cnt[1330][0]~81970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1330][0]~81970_combout\ = !\led_flash_cnt[1330][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1330][0]~q\,
	combout => \led_flash_cnt[1330][0]~81970_combout\);

-- Location: FF_X55_Y12_N13
\led_flash_cnt[1330][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1330][0]~81970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1330][0]~q\);

-- Location: LCCOMB_X55_Y12_N18
\led_flash_cnt[1330][1]~45500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1330][1]~45500_combout\ = (\led_flash_cnt[1330][0]~q\ & (\led_flash_cnt[1330][1]~q\ $ (VCC))) # (!\led_flash_cnt[1330][0]~q\ & (\led_flash_cnt[1330][1]~q\ & VCC))
-- \led_flash_cnt[1330][1]~45501\ = CARRY((\led_flash_cnt[1330][0]~q\ & \led_flash_cnt[1330][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1330][0]~q\,
	datab => \led_flash_cnt[1330][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1330][1]~45500_combout\,
	cout => \led_flash_cnt[1330][1]~45501\);

-- Location: FF_X55_Y12_N19
\led_flash_cnt[1330][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1330][1]~45500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1330][1]~q\);

-- Location: LCCOMB_X55_Y12_N20
\led_flash_cnt[1330][2]~45502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1330][2]~45502_combout\ = (\led_flash_cnt[1330][2]~q\ & (!\led_flash_cnt[1330][1]~45501\)) # (!\led_flash_cnt[1330][2]~q\ & ((\led_flash_cnt[1330][1]~45501\) # (GND)))
-- \led_flash_cnt[1330][2]~45503\ = CARRY((!\led_flash_cnt[1330][1]~45501\) # (!\led_flash_cnt[1330][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1330][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1330][1]~45501\,
	combout => \led_flash_cnt[1330][2]~45502_combout\,
	cout => \led_flash_cnt[1330][2]~45503\);

-- Location: FF_X55_Y12_N21
\led_flash_cnt[1330][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1330][2]~45502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1330][2]~q\);

-- Location: LCCOMB_X55_Y12_N22
\led_flash_cnt[1330][3]~45504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1330][3]~45504_combout\ = (\led_flash_cnt[1330][3]~q\ & (\led_flash_cnt[1330][2]~45503\ $ (GND))) # (!\led_flash_cnt[1330][3]~q\ & (!\led_flash_cnt[1330][2]~45503\ & VCC))
-- \led_flash_cnt[1330][3]~45505\ = CARRY((\led_flash_cnt[1330][3]~q\ & !\led_flash_cnt[1330][2]~45503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1330][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1330][2]~45503\,
	combout => \led_flash_cnt[1330][3]~45504_combout\,
	cout => \led_flash_cnt[1330][3]~45505\);

-- Location: FF_X55_Y12_N23
\led_flash_cnt[1330][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1330][3]~45504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1330][3]~q\);

-- Location: LCCOMB_X55_Y12_N24
\led_flash_cnt[1330][4]~45506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1330][4]~45506_combout\ = (\led_flash_cnt[1330][4]~q\ & (!\led_flash_cnt[1330][3]~45505\)) # (!\led_flash_cnt[1330][4]~q\ & ((\led_flash_cnt[1330][3]~45505\) # (GND)))
-- \led_flash_cnt[1330][4]~45507\ = CARRY((!\led_flash_cnt[1330][3]~45505\) # (!\led_flash_cnt[1330][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1330][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1330][3]~45505\,
	combout => \led_flash_cnt[1330][4]~45506_combout\,
	cout => \led_flash_cnt[1330][4]~45507\);

-- Location: FF_X55_Y12_N25
\led_flash_cnt[1330][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1330][4]~45506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1330][4]~q\);

-- Location: LCCOMB_X55_Y12_N26
\led_flash_cnt[1330][5]~45508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1330][5]~45508_combout\ = (\led_flash_cnt[1330][5]~q\ & (\led_flash_cnt[1330][4]~45507\ $ (GND))) # (!\led_flash_cnt[1330][5]~q\ & (!\led_flash_cnt[1330][4]~45507\ & VCC))
-- \led_flash_cnt[1330][5]~45509\ = CARRY((\led_flash_cnt[1330][5]~q\ & !\led_flash_cnt[1330][4]~45507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1330][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1330][4]~45507\,
	combout => \led_flash_cnt[1330][5]~45508_combout\,
	cout => \led_flash_cnt[1330][5]~45509\);

-- Location: FF_X55_Y12_N27
\led_flash_cnt[1330][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1330][5]~45508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1330][5]~q\);

-- Location: LCCOMB_X55_Y12_N28
\led_flash_cnt[1330][6]~45510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1330][6]~45510_combout\ = (\led_flash_cnt[1330][6]~q\ & (!\led_flash_cnt[1330][5]~45509\)) # (!\led_flash_cnt[1330][6]~q\ & ((\led_flash_cnt[1330][5]~45509\) # (GND)))
-- \led_flash_cnt[1330][6]~45511\ = CARRY((!\led_flash_cnt[1330][5]~45509\) # (!\led_flash_cnt[1330][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1330][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1330][5]~45509\,
	combout => \led_flash_cnt[1330][6]~45510_combout\,
	cout => \led_flash_cnt[1330][6]~45511\);

-- Location: FF_X55_Y12_N29
\led_flash_cnt[1330][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1330][6]~45510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1330][6]~q\);

-- Location: LCCOMB_X55_Y12_N30
\led_flash_cnt[1330][7]~45512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1330][7]~45512_combout\ = \led_flash_cnt[1330][7]~q\ $ (!\led_flash_cnt[1330][6]~45511\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1330][7]~q\,
	cin => \led_flash_cnt[1330][6]~45511\,
	combout => \led_flash_cnt[1330][7]~45512_combout\);

-- Location: FF_X55_Y12_N31
\led_flash_cnt[1330][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1330][7]~45512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1330][7]~q\);

-- Location: LCCOMB_X55_Y12_N8
\WideAnd1330~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1330~1_combout\ = (\led_flash_cnt[1330][5]~q\ & \led_flash_cnt[1330][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1330][5]~q\,
	datad => \led_flash_cnt[1330][6]~q\,
	combout => \WideAnd1330~1_combout\);

-- Location: LCCOMB_X55_Y12_N14
\WideAnd1330~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1330~0_combout\ = (\led_flash_cnt[1330][4]~q\ & (\led_flash_cnt[1330][2]~q\ & (\led_flash_cnt[1330][3]~q\ & \led_flash_cnt[1330][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1330][4]~q\,
	datab => \led_flash_cnt[1330][2]~q\,
	datac => \led_flash_cnt[1330][3]~q\,
	datad => \led_flash_cnt[1330][1]~q\,
	combout => \WideAnd1330~0_combout\);

-- Location: LCCOMB_X55_Y12_N6
WideAnd1330 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1330~combout\ = (\led_flash_cnt[1330][7]~q\ & (\WideAnd1330~1_combout\ & (\WideAnd1330~0_combout\ & \led_flash_cnt[1330][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1330][7]~q\,
	datab => \WideAnd1330~1_combout\,
	datac => \WideAnd1330~0_combout\,
	datad => \led_flash_cnt[1330][0]~q\,
	combout => \WideAnd1330~combout\);

-- Location: FF_X55_Y12_N7
\led_flash_cnt_ands[1330]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1330~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1330));

-- Location: LCCOMB_X55_Y12_N0
\WideAnd4006~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4006~0_combout\ = (led_flash_cnt_ands(1328) & (led_flash_cnt_ands(1331) & (led_flash_cnt_ands(1329) & led_flash_cnt_ands(1330))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1328),
	datab => led_flash_cnt_ands(1331),
	datac => led_flash_cnt_ands(1329),
	datad => led_flash_cnt_ands(1330),
	combout => \WideAnd4006~0_combout\);

-- Location: LCCOMB_X63_Y7_N20
\led_flash_cnt[1333][0]~81973\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1333][0]~81973_combout\ = !\led_flash_cnt[1333][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1333][0]~q\,
	combout => \led_flash_cnt[1333][0]~81973_combout\);

-- Location: FF_X63_Y7_N21
\led_flash_cnt[1333][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1333][0]~81973_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1333][0]~q\);

-- Location: LCCOMB_X62_Y7_N2
\led_flash_cnt[1333][1]~45542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1333][1]~45542_combout\ = (\led_flash_cnt[1333][0]~q\ & (\led_flash_cnt[1333][1]~q\ $ (VCC))) # (!\led_flash_cnt[1333][0]~q\ & (\led_flash_cnt[1333][1]~q\ & VCC))
-- \led_flash_cnt[1333][1]~45543\ = CARRY((\led_flash_cnt[1333][0]~q\ & \led_flash_cnt[1333][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1333][0]~q\,
	datab => \led_flash_cnt[1333][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1333][1]~45542_combout\,
	cout => \led_flash_cnt[1333][1]~45543\);

-- Location: FF_X62_Y7_N3
\led_flash_cnt[1333][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1333][1]~45542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1333][1]~q\);

-- Location: LCCOMB_X62_Y7_N4
\led_flash_cnt[1333][2]~45544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1333][2]~45544_combout\ = (\led_flash_cnt[1333][2]~q\ & (!\led_flash_cnt[1333][1]~45543\)) # (!\led_flash_cnt[1333][2]~q\ & ((\led_flash_cnt[1333][1]~45543\) # (GND)))
-- \led_flash_cnt[1333][2]~45545\ = CARRY((!\led_flash_cnt[1333][1]~45543\) # (!\led_flash_cnt[1333][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1333][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1333][1]~45543\,
	combout => \led_flash_cnt[1333][2]~45544_combout\,
	cout => \led_flash_cnt[1333][2]~45545\);

-- Location: FF_X62_Y7_N5
\led_flash_cnt[1333][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1333][2]~45544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1333][2]~q\);

-- Location: LCCOMB_X62_Y7_N6
\led_flash_cnt[1333][3]~45546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1333][3]~45546_combout\ = (\led_flash_cnt[1333][3]~q\ & (\led_flash_cnt[1333][2]~45545\ $ (GND))) # (!\led_flash_cnt[1333][3]~q\ & (!\led_flash_cnt[1333][2]~45545\ & VCC))
-- \led_flash_cnt[1333][3]~45547\ = CARRY((\led_flash_cnt[1333][3]~q\ & !\led_flash_cnt[1333][2]~45545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1333][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1333][2]~45545\,
	combout => \led_flash_cnt[1333][3]~45546_combout\,
	cout => \led_flash_cnt[1333][3]~45547\);

-- Location: FF_X62_Y7_N7
\led_flash_cnt[1333][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1333][3]~45546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1333][3]~q\);

-- Location: LCCOMB_X62_Y7_N8
\led_flash_cnt[1333][4]~45548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1333][4]~45548_combout\ = (\led_flash_cnt[1333][4]~q\ & (!\led_flash_cnt[1333][3]~45547\)) # (!\led_flash_cnt[1333][4]~q\ & ((\led_flash_cnt[1333][3]~45547\) # (GND)))
-- \led_flash_cnt[1333][4]~45549\ = CARRY((!\led_flash_cnt[1333][3]~45547\) # (!\led_flash_cnt[1333][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1333][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1333][3]~45547\,
	combout => \led_flash_cnt[1333][4]~45548_combout\,
	cout => \led_flash_cnt[1333][4]~45549\);

-- Location: FF_X62_Y7_N9
\led_flash_cnt[1333][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1333][4]~45548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1333][4]~q\);

-- Location: LCCOMB_X62_Y7_N10
\led_flash_cnt[1333][5]~45550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1333][5]~45550_combout\ = (\led_flash_cnt[1333][5]~q\ & (\led_flash_cnt[1333][4]~45549\ $ (GND))) # (!\led_flash_cnt[1333][5]~q\ & (!\led_flash_cnt[1333][4]~45549\ & VCC))
-- \led_flash_cnt[1333][5]~45551\ = CARRY((\led_flash_cnt[1333][5]~q\ & !\led_flash_cnt[1333][4]~45549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1333][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1333][4]~45549\,
	combout => \led_flash_cnt[1333][5]~45550_combout\,
	cout => \led_flash_cnt[1333][5]~45551\);

-- Location: FF_X62_Y7_N11
\led_flash_cnt[1333][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1333][5]~45550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1333][5]~q\);

-- Location: LCCOMB_X62_Y7_N12
\led_flash_cnt[1333][6]~45552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1333][6]~45552_combout\ = (\led_flash_cnt[1333][6]~q\ & (!\led_flash_cnt[1333][5]~45551\)) # (!\led_flash_cnt[1333][6]~q\ & ((\led_flash_cnt[1333][5]~45551\) # (GND)))
-- \led_flash_cnt[1333][6]~45553\ = CARRY((!\led_flash_cnt[1333][5]~45551\) # (!\led_flash_cnt[1333][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1333][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1333][5]~45551\,
	combout => \led_flash_cnt[1333][6]~45552_combout\,
	cout => \led_flash_cnt[1333][6]~45553\);

-- Location: FF_X62_Y7_N13
\led_flash_cnt[1333][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1333][6]~45552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1333][6]~q\);

-- Location: LCCOMB_X62_Y7_N14
\led_flash_cnt[1333][7]~45554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1333][7]~45554_combout\ = \led_flash_cnt[1333][7]~q\ $ (!\led_flash_cnt[1333][6]~45553\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1333][7]~q\,
	cin => \led_flash_cnt[1333][6]~45553\,
	combout => \led_flash_cnt[1333][7]~45554_combout\);

-- Location: FF_X62_Y7_N15
\led_flash_cnt[1333][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1333][7]~45554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1333][7]~q\);

-- Location: LCCOMB_X62_Y7_N0
\WideAnd1333~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1333~0_combout\ = (\led_flash_cnt[1333][3]~q\ & (\led_flash_cnt[1333][4]~q\ & (\led_flash_cnt[1333][2]~q\ & \led_flash_cnt[1333][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1333][3]~q\,
	datab => \led_flash_cnt[1333][4]~q\,
	datac => \led_flash_cnt[1333][2]~q\,
	datad => \led_flash_cnt[1333][1]~q\,
	combout => \WideAnd1333~0_combout\);

-- Location: LCCOMB_X63_Y7_N24
\WideAnd1333~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1333~1_combout\ = (\led_flash_cnt[1333][6]~q\ & \led_flash_cnt[1333][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1333][6]~q\,
	datad => \led_flash_cnt[1333][5]~q\,
	combout => \WideAnd1333~1_combout\);

-- Location: LCCOMB_X63_Y7_N22
WideAnd1333 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1333~combout\ = (\led_flash_cnt[1333][7]~q\ & (\led_flash_cnt[1333][0]~q\ & (\WideAnd1333~0_combout\ & \WideAnd1333~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1333][7]~q\,
	datab => \led_flash_cnt[1333][0]~q\,
	datac => \WideAnd1333~0_combout\,
	datad => \WideAnd1333~1_combout\,
	combout => \WideAnd1333~combout\);

-- Location: FF_X63_Y7_N23
\led_flash_cnt_ands[1333]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1333~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1333));

-- Location: LCCOMB_X63_Y7_N18
\led_flash_cnt[1332][0]~81972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1332][0]~81972_combout\ = !\led_flash_cnt[1332][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1332][0]~q\,
	combout => \led_flash_cnt[1332][0]~81972_combout\);

-- Location: FF_X63_Y7_N19
\led_flash_cnt[1332][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1332][0]~81972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1332][0]~q\);

-- Location: LCCOMB_X63_Y7_N0
\led_flash_cnt[1332][1]~45528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1332][1]~45528_combout\ = (\led_flash_cnt[1332][0]~q\ & (\led_flash_cnt[1332][1]~q\ $ (VCC))) # (!\led_flash_cnt[1332][0]~q\ & (\led_flash_cnt[1332][1]~q\ & VCC))
-- \led_flash_cnt[1332][1]~45529\ = CARRY((\led_flash_cnt[1332][0]~q\ & \led_flash_cnt[1332][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1332][0]~q\,
	datab => \led_flash_cnt[1332][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1332][1]~45528_combout\,
	cout => \led_flash_cnt[1332][1]~45529\);

-- Location: FF_X63_Y7_N1
\led_flash_cnt[1332][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1332][1]~45528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1332][1]~q\);

-- Location: LCCOMB_X63_Y7_N2
\led_flash_cnt[1332][2]~45530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1332][2]~45530_combout\ = (\led_flash_cnt[1332][2]~q\ & (!\led_flash_cnt[1332][1]~45529\)) # (!\led_flash_cnt[1332][2]~q\ & ((\led_flash_cnt[1332][1]~45529\) # (GND)))
-- \led_flash_cnt[1332][2]~45531\ = CARRY((!\led_flash_cnt[1332][1]~45529\) # (!\led_flash_cnt[1332][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1332][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1332][1]~45529\,
	combout => \led_flash_cnt[1332][2]~45530_combout\,
	cout => \led_flash_cnt[1332][2]~45531\);

-- Location: FF_X63_Y7_N3
\led_flash_cnt[1332][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1332][2]~45530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1332][2]~q\);

-- Location: LCCOMB_X63_Y7_N4
\led_flash_cnt[1332][3]~45532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1332][3]~45532_combout\ = (\led_flash_cnt[1332][3]~q\ & (\led_flash_cnt[1332][2]~45531\ $ (GND))) # (!\led_flash_cnt[1332][3]~q\ & (!\led_flash_cnt[1332][2]~45531\ & VCC))
-- \led_flash_cnt[1332][3]~45533\ = CARRY((\led_flash_cnt[1332][3]~q\ & !\led_flash_cnt[1332][2]~45531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1332][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1332][2]~45531\,
	combout => \led_flash_cnt[1332][3]~45532_combout\,
	cout => \led_flash_cnt[1332][3]~45533\);

-- Location: FF_X63_Y7_N5
\led_flash_cnt[1332][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1332][3]~45532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1332][3]~q\);

-- Location: LCCOMB_X63_Y7_N6
\led_flash_cnt[1332][4]~45534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1332][4]~45534_combout\ = (\led_flash_cnt[1332][4]~q\ & (!\led_flash_cnt[1332][3]~45533\)) # (!\led_flash_cnt[1332][4]~q\ & ((\led_flash_cnt[1332][3]~45533\) # (GND)))
-- \led_flash_cnt[1332][4]~45535\ = CARRY((!\led_flash_cnt[1332][3]~45533\) # (!\led_flash_cnt[1332][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1332][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1332][3]~45533\,
	combout => \led_flash_cnt[1332][4]~45534_combout\,
	cout => \led_flash_cnt[1332][4]~45535\);

-- Location: FF_X63_Y7_N7
\led_flash_cnt[1332][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1332][4]~45534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1332][4]~q\);

-- Location: LCCOMB_X63_Y7_N30
\WideAnd1332~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1332~0_combout\ = (\led_flash_cnt[1332][4]~q\ & (\led_flash_cnt[1332][1]~q\ & (\led_flash_cnt[1332][3]~q\ & \led_flash_cnt[1332][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1332][4]~q\,
	datab => \led_flash_cnt[1332][1]~q\,
	datac => \led_flash_cnt[1332][3]~q\,
	datad => \led_flash_cnt[1332][2]~q\,
	combout => \WideAnd1332~0_combout\);

-- Location: LCCOMB_X63_Y7_N8
\led_flash_cnt[1332][5]~45536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1332][5]~45536_combout\ = (\led_flash_cnt[1332][5]~q\ & (\led_flash_cnt[1332][4]~45535\ $ (GND))) # (!\led_flash_cnt[1332][5]~q\ & (!\led_flash_cnt[1332][4]~45535\ & VCC))
-- \led_flash_cnt[1332][5]~45537\ = CARRY((\led_flash_cnt[1332][5]~q\ & !\led_flash_cnt[1332][4]~45535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1332][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1332][4]~45535\,
	combout => \led_flash_cnt[1332][5]~45536_combout\,
	cout => \led_flash_cnt[1332][5]~45537\);

-- Location: FF_X63_Y7_N9
\led_flash_cnt[1332][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1332][5]~45536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1332][5]~q\);

-- Location: LCCOMB_X63_Y7_N10
\led_flash_cnt[1332][6]~45538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1332][6]~45538_combout\ = (\led_flash_cnt[1332][6]~q\ & (!\led_flash_cnt[1332][5]~45537\)) # (!\led_flash_cnt[1332][6]~q\ & ((\led_flash_cnt[1332][5]~45537\) # (GND)))
-- \led_flash_cnt[1332][6]~45539\ = CARRY((!\led_flash_cnt[1332][5]~45537\) # (!\led_flash_cnt[1332][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1332][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1332][5]~45537\,
	combout => \led_flash_cnt[1332][6]~45538_combout\,
	cout => \led_flash_cnt[1332][6]~45539\);

-- Location: FF_X63_Y7_N11
\led_flash_cnt[1332][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1332][6]~45538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1332][6]~q\);

-- Location: LCCOMB_X63_Y7_N26
\WideAnd1332~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1332~1_combout\ = (\led_flash_cnt[1332][5]~q\ & \led_flash_cnt[1332][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1332][5]~q\,
	datad => \led_flash_cnt[1332][6]~q\,
	combout => \WideAnd1332~1_combout\);

-- Location: LCCOMB_X63_Y7_N12
\led_flash_cnt[1332][7]~45540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1332][7]~45540_combout\ = \led_flash_cnt[1332][6]~45539\ $ (!\led_flash_cnt[1332][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1332][7]~q\,
	cin => \led_flash_cnt[1332][6]~45539\,
	combout => \led_flash_cnt[1332][7]~45540_combout\);

-- Location: FF_X63_Y7_N13
\led_flash_cnt[1332][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1332][7]~45540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1332][7]~q\);

-- Location: LCCOMB_X63_Y7_N28
WideAnd1332 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1332~combout\ = (\WideAnd1332~0_combout\ & (\led_flash_cnt[1332][0]~q\ & (\WideAnd1332~1_combout\ & \led_flash_cnt[1332][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1332~0_combout\,
	datab => \led_flash_cnt[1332][0]~q\,
	datac => \WideAnd1332~1_combout\,
	datad => \led_flash_cnt[1332][7]~q\,
	combout => \WideAnd1332~combout\);

-- Location: FF_X63_Y7_N29
\led_flash_cnt_ands[1332]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1332~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1332));

-- Location: LCCOMB_X63_Y7_N16
\WideAnd4006~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4006~1_combout\ = (led_flash_cnt_ands(1333) & led_flash_cnt_ands(1332))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1333),
	datad => led_flash_cnt_ands(1332),
	combout => \WideAnd4006~1_combout\);

-- Location: LCCOMB_X62_Y12_N4
WideAnd4006 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4006~combout\ = (led_flash_cnt_ands(1334) & (led_flash_cnt_ands(1335) & (\WideAnd4006~0_combout\ & \WideAnd4006~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1334),
	datab => led_flash_cnt_ands(1335),
	datac => \WideAnd4006~0_combout\,
	datad => \WideAnd4006~1_combout\,
	combout => \WideAnd4006~combout\);

-- Location: FF_X62_Y12_N5
\led_flash_cnt_ands_1[166]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4006~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(166));

-- Location: LCCOMB_X60_Y13_N8
\led_flash_cnt[1319][0]~81959\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1319][0]~81959_combout\ = !\led_flash_cnt[1319][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1319][0]~q\,
	combout => \led_flash_cnt[1319][0]~81959_combout\);

-- Location: FF_X60_Y13_N9
\led_flash_cnt[1319][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1319][0]~81959_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1319][0]~q\);

-- Location: LCCOMB_X61_Y13_N2
\led_flash_cnt[1319][1]~45346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1319][1]~45346_combout\ = (\led_flash_cnt[1319][0]~q\ & (\led_flash_cnt[1319][1]~q\ $ (VCC))) # (!\led_flash_cnt[1319][0]~q\ & (\led_flash_cnt[1319][1]~q\ & VCC))
-- \led_flash_cnt[1319][1]~45347\ = CARRY((\led_flash_cnt[1319][0]~q\ & \led_flash_cnt[1319][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1319][0]~q\,
	datab => \led_flash_cnt[1319][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1319][1]~45346_combout\,
	cout => \led_flash_cnt[1319][1]~45347\);

-- Location: FF_X61_Y13_N3
\led_flash_cnt[1319][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1319][1]~45346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1319][1]~q\);

-- Location: LCCOMB_X61_Y13_N4
\led_flash_cnt[1319][2]~45348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1319][2]~45348_combout\ = (\led_flash_cnt[1319][2]~q\ & (!\led_flash_cnt[1319][1]~45347\)) # (!\led_flash_cnt[1319][2]~q\ & ((\led_flash_cnt[1319][1]~45347\) # (GND)))
-- \led_flash_cnt[1319][2]~45349\ = CARRY((!\led_flash_cnt[1319][1]~45347\) # (!\led_flash_cnt[1319][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1319][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1319][1]~45347\,
	combout => \led_flash_cnt[1319][2]~45348_combout\,
	cout => \led_flash_cnt[1319][2]~45349\);

-- Location: FF_X61_Y13_N5
\led_flash_cnt[1319][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1319][2]~45348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1319][2]~q\);

-- Location: LCCOMB_X61_Y13_N6
\led_flash_cnt[1319][3]~45350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1319][3]~45350_combout\ = (\led_flash_cnt[1319][3]~q\ & (\led_flash_cnt[1319][2]~45349\ $ (GND))) # (!\led_flash_cnt[1319][3]~q\ & (!\led_flash_cnt[1319][2]~45349\ & VCC))
-- \led_flash_cnt[1319][3]~45351\ = CARRY((\led_flash_cnt[1319][3]~q\ & !\led_flash_cnt[1319][2]~45349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1319][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1319][2]~45349\,
	combout => \led_flash_cnt[1319][3]~45350_combout\,
	cout => \led_flash_cnt[1319][3]~45351\);

-- Location: FF_X61_Y13_N7
\led_flash_cnt[1319][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1319][3]~45350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1319][3]~q\);

-- Location: LCCOMB_X61_Y13_N8
\led_flash_cnt[1319][4]~45352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1319][4]~45352_combout\ = (\led_flash_cnt[1319][4]~q\ & (!\led_flash_cnt[1319][3]~45351\)) # (!\led_flash_cnt[1319][4]~q\ & ((\led_flash_cnt[1319][3]~45351\) # (GND)))
-- \led_flash_cnt[1319][4]~45353\ = CARRY((!\led_flash_cnt[1319][3]~45351\) # (!\led_flash_cnt[1319][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1319][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1319][3]~45351\,
	combout => \led_flash_cnt[1319][4]~45352_combout\,
	cout => \led_flash_cnt[1319][4]~45353\);

-- Location: FF_X61_Y13_N9
\led_flash_cnt[1319][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1319][4]~45352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1319][4]~q\);

-- Location: LCCOMB_X61_Y13_N10
\led_flash_cnt[1319][5]~45354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1319][5]~45354_combout\ = (\led_flash_cnt[1319][5]~q\ & (\led_flash_cnt[1319][4]~45353\ $ (GND))) # (!\led_flash_cnt[1319][5]~q\ & (!\led_flash_cnt[1319][4]~45353\ & VCC))
-- \led_flash_cnt[1319][5]~45355\ = CARRY((\led_flash_cnt[1319][5]~q\ & !\led_flash_cnt[1319][4]~45353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1319][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1319][4]~45353\,
	combout => \led_flash_cnt[1319][5]~45354_combout\,
	cout => \led_flash_cnt[1319][5]~45355\);

-- Location: FF_X61_Y13_N11
\led_flash_cnt[1319][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1319][5]~45354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1319][5]~q\);

-- Location: LCCOMB_X61_Y13_N12
\led_flash_cnt[1319][6]~45356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1319][6]~45356_combout\ = (\led_flash_cnt[1319][6]~q\ & (!\led_flash_cnt[1319][5]~45355\)) # (!\led_flash_cnt[1319][6]~q\ & ((\led_flash_cnt[1319][5]~45355\) # (GND)))
-- \led_flash_cnt[1319][6]~45357\ = CARRY((!\led_flash_cnt[1319][5]~45355\) # (!\led_flash_cnt[1319][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1319][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1319][5]~45355\,
	combout => \led_flash_cnt[1319][6]~45356_combout\,
	cout => \led_flash_cnt[1319][6]~45357\);

-- Location: FF_X61_Y13_N13
\led_flash_cnt[1319][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1319][6]~45356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1319][6]~q\);

-- Location: LCCOMB_X60_Y13_N30
\WideAnd1319~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1319~1_combout\ = (\led_flash_cnt[1319][6]~q\ & \led_flash_cnt[1319][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1319][6]~q\,
	datac => \led_flash_cnt[1319][5]~q\,
	combout => \WideAnd1319~1_combout\);

-- Location: LCCOMB_X61_Y13_N14
\led_flash_cnt[1319][7]~45358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1319][7]~45358_combout\ = \led_flash_cnt[1319][7]~q\ $ (!\led_flash_cnt[1319][6]~45357\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1319][7]~q\,
	cin => \led_flash_cnt[1319][6]~45357\,
	combout => \led_flash_cnt[1319][7]~45358_combout\);

-- Location: FF_X61_Y13_N15
\led_flash_cnt[1319][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1319][7]~45358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1319][7]~q\);

-- Location: LCCOMB_X61_Y13_N16
\WideAnd1319~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1319~0_combout\ = (\led_flash_cnt[1319][3]~q\ & (\led_flash_cnt[1319][4]~q\ & (\led_flash_cnt[1319][2]~q\ & \led_flash_cnt[1319][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1319][3]~q\,
	datab => \led_flash_cnt[1319][4]~q\,
	datac => \led_flash_cnt[1319][2]~q\,
	datad => \led_flash_cnt[1319][1]~q\,
	combout => \WideAnd1319~0_combout\);

-- Location: LCCOMB_X60_Y13_N6
WideAnd1319 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1319~combout\ = (\WideAnd1319~1_combout\ & (\led_flash_cnt[1319][0]~q\ & (\led_flash_cnt[1319][7]~q\ & \WideAnd1319~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1319~1_combout\,
	datab => \led_flash_cnt[1319][0]~q\,
	datac => \led_flash_cnt[1319][7]~q\,
	datad => \WideAnd1319~0_combout\,
	combout => \WideAnd1319~combout\);

-- Location: FF_X60_Y13_N7
\led_flash_cnt_ands[1319]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1319~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1319));

-- Location: LCCOMB_X10_Y25_N10
\led_flash_cnt[1313][0]~81953\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1313][0]~81953_combout\ = !\led_flash_cnt[1313][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1313][0]~q\,
	combout => \led_flash_cnt[1313][0]~81953_combout\);

-- Location: FF_X10_Y25_N11
\led_flash_cnt[1313][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1313][0]~81953_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1313][0]~q\);

-- Location: LCCOMB_X10_Y25_N18
\led_flash_cnt[1313][1]~45262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1313][1]~45262_combout\ = (\led_flash_cnt[1313][0]~q\ & (\led_flash_cnt[1313][1]~q\ $ (VCC))) # (!\led_flash_cnt[1313][0]~q\ & (\led_flash_cnt[1313][1]~q\ & VCC))
-- \led_flash_cnt[1313][1]~45263\ = CARRY((\led_flash_cnt[1313][0]~q\ & \led_flash_cnt[1313][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1313][0]~q\,
	datab => \led_flash_cnt[1313][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1313][1]~45262_combout\,
	cout => \led_flash_cnt[1313][1]~45263\);

-- Location: FF_X10_Y25_N19
\led_flash_cnt[1313][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1313][1]~45262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1313][1]~q\);

-- Location: LCCOMB_X10_Y25_N20
\led_flash_cnt[1313][2]~45264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1313][2]~45264_combout\ = (\led_flash_cnt[1313][2]~q\ & (!\led_flash_cnt[1313][1]~45263\)) # (!\led_flash_cnt[1313][2]~q\ & ((\led_flash_cnt[1313][1]~45263\) # (GND)))
-- \led_flash_cnt[1313][2]~45265\ = CARRY((!\led_flash_cnt[1313][1]~45263\) # (!\led_flash_cnt[1313][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1313][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1313][1]~45263\,
	combout => \led_flash_cnt[1313][2]~45264_combout\,
	cout => \led_flash_cnt[1313][2]~45265\);

-- Location: FF_X10_Y25_N21
\led_flash_cnt[1313][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1313][2]~45264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1313][2]~q\);

-- Location: LCCOMB_X10_Y25_N22
\led_flash_cnt[1313][3]~45266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1313][3]~45266_combout\ = (\led_flash_cnt[1313][3]~q\ & (\led_flash_cnt[1313][2]~45265\ $ (GND))) # (!\led_flash_cnt[1313][3]~q\ & (!\led_flash_cnt[1313][2]~45265\ & VCC))
-- \led_flash_cnt[1313][3]~45267\ = CARRY((\led_flash_cnt[1313][3]~q\ & !\led_flash_cnt[1313][2]~45265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1313][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1313][2]~45265\,
	combout => \led_flash_cnt[1313][3]~45266_combout\,
	cout => \led_flash_cnt[1313][3]~45267\);

-- Location: FF_X10_Y25_N23
\led_flash_cnt[1313][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1313][3]~45266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1313][3]~q\);

-- Location: LCCOMB_X10_Y25_N24
\led_flash_cnt[1313][4]~45268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1313][4]~45268_combout\ = (\led_flash_cnt[1313][4]~q\ & (!\led_flash_cnt[1313][3]~45267\)) # (!\led_flash_cnt[1313][4]~q\ & ((\led_flash_cnt[1313][3]~45267\) # (GND)))
-- \led_flash_cnt[1313][4]~45269\ = CARRY((!\led_flash_cnt[1313][3]~45267\) # (!\led_flash_cnt[1313][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1313][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1313][3]~45267\,
	combout => \led_flash_cnt[1313][4]~45268_combout\,
	cout => \led_flash_cnt[1313][4]~45269\);

-- Location: FF_X10_Y25_N25
\led_flash_cnt[1313][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1313][4]~45268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1313][4]~q\);

-- Location: LCCOMB_X10_Y25_N4
\WideAnd1313~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1313~0_combout\ = (\led_flash_cnt[1313][2]~q\ & (\led_flash_cnt[1313][1]~q\ & (\led_flash_cnt[1313][3]~q\ & \led_flash_cnt[1313][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1313][2]~q\,
	datab => \led_flash_cnt[1313][1]~q\,
	datac => \led_flash_cnt[1313][3]~q\,
	datad => \led_flash_cnt[1313][4]~q\,
	combout => \WideAnd1313~0_combout\);

-- Location: LCCOMB_X10_Y25_N26
\led_flash_cnt[1313][5]~45270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1313][5]~45270_combout\ = (\led_flash_cnt[1313][5]~q\ & (\led_flash_cnt[1313][4]~45269\ $ (GND))) # (!\led_flash_cnt[1313][5]~q\ & (!\led_flash_cnt[1313][4]~45269\ & VCC))
-- \led_flash_cnt[1313][5]~45271\ = CARRY((\led_flash_cnt[1313][5]~q\ & !\led_flash_cnt[1313][4]~45269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1313][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1313][4]~45269\,
	combout => \led_flash_cnt[1313][5]~45270_combout\,
	cout => \led_flash_cnt[1313][5]~45271\);

-- Location: FF_X10_Y25_N27
\led_flash_cnt[1313][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1313][5]~45270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1313][5]~q\);

-- Location: LCCOMB_X10_Y25_N28
\led_flash_cnt[1313][6]~45272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1313][6]~45272_combout\ = (\led_flash_cnt[1313][6]~q\ & (!\led_flash_cnt[1313][5]~45271\)) # (!\led_flash_cnt[1313][6]~q\ & ((\led_flash_cnt[1313][5]~45271\) # (GND)))
-- \led_flash_cnt[1313][6]~45273\ = CARRY((!\led_flash_cnt[1313][5]~45271\) # (!\led_flash_cnt[1313][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1313][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1313][5]~45271\,
	combout => \led_flash_cnt[1313][6]~45272_combout\,
	cout => \led_flash_cnt[1313][6]~45273\);

-- Location: FF_X10_Y25_N29
\led_flash_cnt[1313][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1313][6]~45272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1313][6]~q\);

-- Location: LCCOMB_X10_Y25_N30
\led_flash_cnt[1313][7]~45274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1313][7]~45274_combout\ = \led_flash_cnt[1313][7]~q\ $ (!\led_flash_cnt[1313][6]~45273\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1313][7]~q\,
	cin => \led_flash_cnt[1313][6]~45273\,
	combout => \led_flash_cnt[1313][7]~45274_combout\);

-- Location: FF_X10_Y25_N31
\led_flash_cnt[1313][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1313][7]~45274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1313][7]~q\);

-- Location: LCCOMB_X10_Y25_N12
\WideAnd1313~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1313~1_combout\ = (\led_flash_cnt[1313][5]~q\ & \led_flash_cnt[1313][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1313][5]~q\,
	datad => \led_flash_cnt[1313][6]~q\,
	combout => \WideAnd1313~1_combout\);

-- Location: LCCOMB_X10_Y25_N0
WideAnd1313 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1313~combout\ = (\led_flash_cnt[1313][0]~q\ & (\WideAnd1313~0_combout\ & (\led_flash_cnt[1313][7]~q\ & \WideAnd1313~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1313][0]~q\,
	datab => \WideAnd1313~0_combout\,
	datac => \led_flash_cnt[1313][7]~q\,
	datad => \WideAnd1313~1_combout\,
	combout => \WideAnd1313~combout\);

-- Location: FF_X10_Y25_N1
\led_flash_cnt_ands[1313]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1313~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1313));

-- Location: LCCOMB_X12_Y28_N26
\led_flash_cnt[1314][0]~81954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1314][0]~81954_combout\ = !\led_flash_cnt[1314][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1314][0]~q\,
	combout => \led_flash_cnt[1314][0]~81954_combout\);

-- Location: FF_X12_Y28_N27
\led_flash_cnt[1314][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1314][0]~81954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1314][0]~q\);

-- Location: LCCOMB_X12_Y28_N0
\led_flash_cnt[1314][1]~45276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1314][1]~45276_combout\ = (\led_flash_cnt[1314][0]~q\ & (\led_flash_cnt[1314][1]~q\ $ (VCC))) # (!\led_flash_cnt[1314][0]~q\ & (\led_flash_cnt[1314][1]~q\ & VCC))
-- \led_flash_cnt[1314][1]~45277\ = CARRY((\led_flash_cnt[1314][0]~q\ & \led_flash_cnt[1314][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1314][0]~q\,
	datab => \led_flash_cnt[1314][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1314][1]~45276_combout\,
	cout => \led_flash_cnt[1314][1]~45277\);

-- Location: FF_X12_Y28_N1
\led_flash_cnt[1314][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1314][1]~45276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1314][1]~q\);

-- Location: LCCOMB_X12_Y28_N2
\led_flash_cnt[1314][2]~45278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1314][2]~45278_combout\ = (\led_flash_cnt[1314][2]~q\ & (!\led_flash_cnt[1314][1]~45277\)) # (!\led_flash_cnt[1314][2]~q\ & ((\led_flash_cnt[1314][1]~45277\) # (GND)))
-- \led_flash_cnt[1314][2]~45279\ = CARRY((!\led_flash_cnt[1314][1]~45277\) # (!\led_flash_cnt[1314][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1314][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1314][1]~45277\,
	combout => \led_flash_cnt[1314][2]~45278_combout\,
	cout => \led_flash_cnt[1314][2]~45279\);

-- Location: FF_X12_Y28_N3
\led_flash_cnt[1314][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1314][2]~45278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1314][2]~q\);

-- Location: LCCOMB_X12_Y28_N4
\led_flash_cnt[1314][3]~45280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1314][3]~45280_combout\ = (\led_flash_cnt[1314][3]~q\ & (\led_flash_cnt[1314][2]~45279\ $ (GND))) # (!\led_flash_cnt[1314][3]~q\ & (!\led_flash_cnt[1314][2]~45279\ & VCC))
-- \led_flash_cnt[1314][3]~45281\ = CARRY((\led_flash_cnt[1314][3]~q\ & !\led_flash_cnt[1314][2]~45279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1314][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1314][2]~45279\,
	combout => \led_flash_cnt[1314][3]~45280_combout\,
	cout => \led_flash_cnt[1314][3]~45281\);

-- Location: FF_X12_Y28_N5
\led_flash_cnt[1314][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1314][3]~45280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1314][3]~q\);

-- Location: LCCOMB_X12_Y28_N6
\led_flash_cnt[1314][4]~45282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1314][4]~45282_combout\ = (\led_flash_cnt[1314][4]~q\ & (!\led_flash_cnt[1314][3]~45281\)) # (!\led_flash_cnt[1314][4]~q\ & ((\led_flash_cnt[1314][3]~45281\) # (GND)))
-- \led_flash_cnt[1314][4]~45283\ = CARRY((!\led_flash_cnt[1314][3]~45281\) # (!\led_flash_cnt[1314][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1314][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1314][3]~45281\,
	combout => \led_flash_cnt[1314][4]~45282_combout\,
	cout => \led_flash_cnt[1314][4]~45283\);

-- Location: FF_X12_Y28_N7
\led_flash_cnt[1314][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1314][4]~45282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1314][4]~q\);

-- Location: LCCOMB_X12_Y28_N8
\led_flash_cnt[1314][5]~45284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1314][5]~45284_combout\ = (\led_flash_cnt[1314][5]~q\ & (\led_flash_cnt[1314][4]~45283\ $ (GND))) # (!\led_flash_cnt[1314][5]~q\ & (!\led_flash_cnt[1314][4]~45283\ & VCC))
-- \led_flash_cnt[1314][5]~45285\ = CARRY((\led_flash_cnt[1314][5]~q\ & !\led_flash_cnt[1314][4]~45283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1314][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1314][4]~45283\,
	combout => \led_flash_cnt[1314][5]~45284_combout\,
	cout => \led_flash_cnt[1314][5]~45285\);

-- Location: FF_X12_Y28_N9
\led_flash_cnt[1314][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1314][5]~45284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1314][5]~q\);

-- Location: LCCOMB_X12_Y28_N10
\led_flash_cnt[1314][6]~45286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1314][6]~45286_combout\ = (\led_flash_cnt[1314][6]~q\ & (!\led_flash_cnt[1314][5]~45285\)) # (!\led_flash_cnt[1314][6]~q\ & ((\led_flash_cnt[1314][5]~45285\) # (GND)))
-- \led_flash_cnt[1314][6]~45287\ = CARRY((!\led_flash_cnt[1314][5]~45285\) # (!\led_flash_cnt[1314][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1314][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1314][5]~45285\,
	combout => \led_flash_cnt[1314][6]~45286_combout\,
	cout => \led_flash_cnt[1314][6]~45287\);

-- Location: FF_X12_Y28_N11
\led_flash_cnt[1314][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1314][6]~45286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1314][6]~q\);

-- Location: LCCOMB_X12_Y28_N16
\WideAnd1314~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1314~1_combout\ = (\led_flash_cnt[1314][5]~q\ & \led_flash_cnt[1314][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1314][5]~q\,
	datad => \led_flash_cnt[1314][6]~q\,
	combout => \WideAnd1314~1_combout\);

-- Location: LCCOMB_X12_Y28_N22
\WideAnd1314~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1314~0_combout\ = (\led_flash_cnt[1314][4]~q\ & (\led_flash_cnt[1314][2]~q\ & (\led_flash_cnt[1314][3]~q\ & \led_flash_cnt[1314][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1314][4]~q\,
	datab => \led_flash_cnt[1314][2]~q\,
	datac => \led_flash_cnt[1314][3]~q\,
	datad => \led_flash_cnt[1314][1]~q\,
	combout => \WideAnd1314~0_combout\);

-- Location: LCCOMB_X12_Y28_N12
\led_flash_cnt[1314][7]~45288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1314][7]~45288_combout\ = \led_flash_cnt[1314][6]~45287\ $ (!\led_flash_cnt[1314][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1314][7]~q\,
	cin => \led_flash_cnt[1314][6]~45287\,
	combout => \led_flash_cnt[1314][7]~45288_combout\);

-- Location: FF_X12_Y28_N13
\led_flash_cnt[1314][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1314][7]~45288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1314][7]~q\);

-- Location: LCCOMB_X12_Y28_N18
WideAnd1314 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1314~combout\ = (\led_flash_cnt[1314][0]~q\ & (\WideAnd1314~1_combout\ & (\WideAnd1314~0_combout\ & \led_flash_cnt[1314][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1314][0]~q\,
	datab => \WideAnd1314~1_combout\,
	datac => \WideAnd1314~0_combout\,
	datad => \led_flash_cnt[1314][7]~q\,
	combout => \WideAnd1314~combout\);

-- Location: FF_X12_Y28_N19
\led_flash_cnt_ands[1314]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1314~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1314));

-- Location: LCCOMB_X10_Y27_N10
\led_flash_cnt[1312][0]~81952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1312][0]~81952_combout\ = !\led_flash_cnt[1312][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1312][0]~q\,
	combout => \led_flash_cnt[1312][0]~81952_combout\);

-- Location: FF_X10_Y27_N11
\led_flash_cnt[1312][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1312][0]~81952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1312][0]~q\);

-- Location: LCCOMB_X10_Y27_N14
\led_flash_cnt[1312][1]~45248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1312][1]~45248_combout\ = (\led_flash_cnt[1312][0]~q\ & (\led_flash_cnt[1312][1]~q\ $ (VCC))) # (!\led_flash_cnt[1312][0]~q\ & (\led_flash_cnt[1312][1]~q\ & VCC))
-- \led_flash_cnt[1312][1]~45249\ = CARRY((\led_flash_cnt[1312][0]~q\ & \led_flash_cnt[1312][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1312][0]~q\,
	datab => \led_flash_cnt[1312][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1312][1]~45248_combout\,
	cout => \led_flash_cnt[1312][1]~45249\);

-- Location: FF_X10_Y27_N15
\led_flash_cnt[1312][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1312][1]~45248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1312][1]~q\);

-- Location: LCCOMB_X10_Y27_N16
\led_flash_cnt[1312][2]~45250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1312][2]~45250_combout\ = (\led_flash_cnt[1312][2]~q\ & (!\led_flash_cnt[1312][1]~45249\)) # (!\led_flash_cnt[1312][2]~q\ & ((\led_flash_cnt[1312][1]~45249\) # (GND)))
-- \led_flash_cnt[1312][2]~45251\ = CARRY((!\led_flash_cnt[1312][1]~45249\) # (!\led_flash_cnt[1312][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1312][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1312][1]~45249\,
	combout => \led_flash_cnt[1312][2]~45250_combout\,
	cout => \led_flash_cnt[1312][2]~45251\);

-- Location: FF_X10_Y27_N17
\led_flash_cnt[1312][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1312][2]~45250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1312][2]~q\);

-- Location: LCCOMB_X10_Y27_N18
\led_flash_cnt[1312][3]~45252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1312][3]~45252_combout\ = (\led_flash_cnt[1312][3]~q\ & (\led_flash_cnt[1312][2]~45251\ $ (GND))) # (!\led_flash_cnt[1312][3]~q\ & (!\led_flash_cnt[1312][2]~45251\ & VCC))
-- \led_flash_cnt[1312][3]~45253\ = CARRY((\led_flash_cnt[1312][3]~q\ & !\led_flash_cnt[1312][2]~45251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1312][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1312][2]~45251\,
	combout => \led_flash_cnt[1312][3]~45252_combout\,
	cout => \led_flash_cnt[1312][3]~45253\);

-- Location: FF_X10_Y27_N19
\led_flash_cnt[1312][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1312][3]~45252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1312][3]~q\);

-- Location: LCCOMB_X10_Y27_N20
\led_flash_cnt[1312][4]~45254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1312][4]~45254_combout\ = (\led_flash_cnt[1312][4]~q\ & (!\led_flash_cnt[1312][3]~45253\)) # (!\led_flash_cnt[1312][4]~q\ & ((\led_flash_cnt[1312][3]~45253\) # (GND)))
-- \led_flash_cnt[1312][4]~45255\ = CARRY((!\led_flash_cnt[1312][3]~45253\) # (!\led_flash_cnt[1312][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1312][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1312][3]~45253\,
	combout => \led_flash_cnt[1312][4]~45254_combout\,
	cout => \led_flash_cnt[1312][4]~45255\);

-- Location: FF_X10_Y27_N21
\led_flash_cnt[1312][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1312][4]~45254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1312][4]~q\);

-- Location: LCCOMB_X10_Y27_N22
\led_flash_cnt[1312][5]~45256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1312][5]~45256_combout\ = (\led_flash_cnt[1312][5]~q\ & (\led_flash_cnt[1312][4]~45255\ $ (GND))) # (!\led_flash_cnt[1312][5]~q\ & (!\led_flash_cnt[1312][4]~45255\ & VCC))
-- \led_flash_cnt[1312][5]~45257\ = CARRY((\led_flash_cnt[1312][5]~q\ & !\led_flash_cnt[1312][4]~45255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1312][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1312][4]~45255\,
	combout => \led_flash_cnt[1312][5]~45256_combout\,
	cout => \led_flash_cnt[1312][5]~45257\);

-- Location: FF_X10_Y27_N23
\led_flash_cnt[1312][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1312][5]~45256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1312][5]~q\);

-- Location: LCCOMB_X10_Y27_N24
\led_flash_cnt[1312][6]~45258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1312][6]~45258_combout\ = (\led_flash_cnt[1312][6]~q\ & (!\led_flash_cnt[1312][5]~45257\)) # (!\led_flash_cnt[1312][6]~q\ & ((\led_flash_cnt[1312][5]~45257\) # (GND)))
-- \led_flash_cnt[1312][6]~45259\ = CARRY((!\led_flash_cnt[1312][5]~45257\) # (!\led_flash_cnt[1312][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1312][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1312][5]~45257\,
	combout => \led_flash_cnt[1312][6]~45258_combout\,
	cout => \led_flash_cnt[1312][6]~45259\);

-- Location: FF_X10_Y27_N25
\led_flash_cnt[1312][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1312][6]~45258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1312][6]~q\);

-- Location: LCCOMB_X10_Y27_N4
\WideAnd1312~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1312~1_combout\ = (\led_flash_cnt[1312][5]~q\ & \led_flash_cnt[1312][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1312][5]~q\,
	datad => \led_flash_cnt[1312][6]~q\,
	combout => \WideAnd1312~1_combout\);

-- Location: LCCOMB_X10_Y27_N26
\led_flash_cnt[1312][7]~45260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1312][7]~45260_combout\ = \led_flash_cnt[1312][7]~q\ $ (!\led_flash_cnt[1312][6]~45259\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1312][7]~q\,
	cin => \led_flash_cnt[1312][6]~45259\,
	combout => \led_flash_cnt[1312][7]~45260_combout\);

-- Location: FF_X10_Y27_N27
\led_flash_cnt[1312][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1312][7]~45260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1312][7]~q\);

-- Location: LCCOMB_X10_Y27_N12
\WideAnd1312~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1312~0_combout\ = (\led_flash_cnt[1312][4]~q\ & (\led_flash_cnt[1312][2]~q\ & (\led_flash_cnt[1312][1]~q\ & \led_flash_cnt[1312][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1312][4]~q\,
	datab => \led_flash_cnt[1312][2]~q\,
	datac => \led_flash_cnt[1312][1]~q\,
	datad => \led_flash_cnt[1312][3]~q\,
	combout => \WideAnd1312~0_combout\);

-- Location: LCCOMB_X10_Y27_N30
WideAnd1312 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1312~combout\ = (\led_flash_cnt[1312][0]~q\ & (\WideAnd1312~1_combout\ & (\led_flash_cnt[1312][7]~q\ & \WideAnd1312~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1312][0]~q\,
	datab => \WideAnd1312~1_combout\,
	datac => \led_flash_cnt[1312][7]~q\,
	datad => \WideAnd1312~0_combout\,
	combout => \WideAnd1312~combout\);

-- Location: FF_X10_Y27_N31
\led_flash_cnt_ands[1312]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1312~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1312));

-- Location: LCCOMB_X10_Y26_N26
\led_flash_cnt[1315][0]~81955\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1315][0]~81955_combout\ = !\led_flash_cnt[1315][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1315][0]~q\,
	combout => \led_flash_cnt[1315][0]~81955_combout\);

-- Location: FF_X10_Y26_N27
\led_flash_cnt[1315][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1315][0]~81955_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1315][0]~q\);

-- Location: LCCOMB_X10_Y26_N4
\led_flash_cnt[1315][1]~45290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1315][1]~45290_combout\ = (\led_flash_cnt[1315][0]~q\ & (\led_flash_cnt[1315][1]~q\ $ (VCC))) # (!\led_flash_cnt[1315][0]~q\ & (\led_flash_cnt[1315][1]~q\ & VCC))
-- \led_flash_cnt[1315][1]~45291\ = CARRY((\led_flash_cnt[1315][0]~q\ & \led_flash_cnt[1315][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1315][0]~q\,
	datab => \led_flash_cnt[1315][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1315][1]~45290_combout\,
	cout => \led_flash_cnt[1315][1]~45291\);

-- Location: FF_X10_Y26_N5
\led_flash_cnt[1315][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1315][1]~45290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1315][1]~q\);

-- Location: LCCOMB_X10_Y26_N6
\led_flash_cnt[1315][2]~45292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1315][2]~45292_combout\ = (\led_flash_cnt[1315][2]~q\ & (!\led_flash_cnt[1315][1]~45291\)) # (!\led_flash_cnt[1315][2]~q\ & ((\led_flash_cnt[1315][1]~45291\) # (GND)))
-- \led_flash_cnt[1315][2]~45293\ = CARRY((!\led_flash_cnt[1315][1]~45291\) # (!\led_flash_cnt[1315][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1315][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1315][1]~45291\,
	combout => \led_flash_cnt[1315][2]~45292_combout\,
	cout => \led_flash_cnt[1315][2]~45293\);

-- Location: FF_X10_Y26_N7
\led_flash_cnt[1315][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1315][2]~45292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1315][2]~q\);

-- Location: LCCOMB_X10_Y26_N8
\led_flash_cnt[1315][3]~45294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1315][3]~45294_combout\ = (\led_flash_cnt[1315][3]~q\ & (\led_flash_cnt[1315][2]~45293\ $ (GND))) # (!\led_flash_cnt[1315][3]~q\ & (!\led_flash_cnt[1315][2]~45293\ & VCC))
-- \led_flash_cnt[1315][3]~45295\ = CARRY((\led_flash_cnt[1315][3]~q\ & !\led_flash_cnt[1315][2]~45293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1315][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1315][2]~45293\,
	combout => \led_flash_cnt[1315][3]~45294_combout\,
	cout => \led_flash_cnt[1315][3]~45295\);

-- Location: FF_X10_Y26_N9
\led_flash_cnt[1315][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1315][3]~45294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1315][3]~q\);

-- Location: LCCOMB_X10_Y26_N10
\led_flash_cnt[1315][4]~45296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1315][4]~45296_combout\ = (\led_flash_cnt[1315][4]~q\ & (!\led_flash_cnt[1315][3]~45295\)) # (!\led_flash_cnt[1315][4]~q\ & ((\led_flash_cnt[1315][3]~45295\) # (GND)))
-- \led_flash_cnt[1315][4]~45297\ = CARRY((!\led_flash_cnt[1315][3]~45295\) # (!\led_flash_cnt[1315][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1315][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1315][3]~45295\,
	combout => \led_flash_cnt[1315][4]~45296_combout\,
	cout => \led_flash_cnt[1315][4]~45297\);

-- Location: FF_X10_Y26_N11
\led_flash_cnt[1315][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1315][4]~45296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1315][4]~q\);

-- Location: LCCOMB_X10_Y26_N24
\WideAnd1315~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1315~0_combout\ = (\led_flash_cnt[1315][2]~q\ & (\led_flash_cnt[1315][3]~q\ & (\led_flash_cnt[1315][1]~q\ & \led_flash_cnt[1315][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1315][2]~q\,
	datab => \led_flash_cnt[1315][3]~q\,
	datac => \led_flash_cnt[1315][1]~q\,
	datad => \led_flash_cnt[1315][4]~q\,
	combout => \WideAnd1315~0_combout\);

-- Location: LCCOMB_X10_Y26_N12
\led_flash_cnt[1315][5]~45298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1315][5]~45298_combout\ = (\led_flash_cnt[1315][5]~q\ & (\led_flash_cnt[1315][4]~45297\ $ (GND))) # (!\led_flash_cnt[1315][5]~q\ & (!\led_flash_cnt[1315][4]~45297\ & VCC))
-- \led_flash_cnt[1315][5]~45299\ = CARRY((\led_flash_cnt[1315][5]~q\ & !\led_flash_cnt[1315][4]~45297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1315][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1315][4]~45297\,
	combout => \led_flash_cnt[1315][5]~45298_combout\,
	cout => \led_flash_cnt[1315][5]~45299\);

-- Location: FF_X10_Y26_N13
\led_flash_cnt[1315][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1315][5]~45298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1315][5]~q\);

-- Location: LCCOMB_X10_Y26_N14
\led_flash_cnt[1315][6]~45300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1315][6]~45300_combout\ = (\led_flash_cnt[1315][6]~q\ & (!\led_flash_cnt[1315][5]~45299\)) # (!\led_flash_cnt[1315][6]~q\ & ((\led_flash_cnt[1315][5]~45299\) # (GND)))
-- \led_flash_cnt[1315][6]~45301\ = CARRY((!\led_flash_cnt[1315][5]~45299\) # (!\led_flash_cnt[1315][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1315][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1315][5]~45299\,
	combout => \led_flash_cnt[1315][6]~45300_combout\,
	cout => \led_flash_cnt[1315][6]~45301\);

-- Location: FF_X10_Y26_N15
\led_flash_cnt[1315][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1315][6]~45300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1315][6]~q\);

-- Location: LCCOMB_X10_Y26_N30
\WideAnd1315~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1315~1_combout\ = (\led_flash_cnt[1315][6]~q\ & \led_flash_cnt[1315][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1315][6]~q\,
	datad => \led_flash_cnt[1315][5]~q\,
	combout => \WideAnd1315~1_combout\);

-- Location: LCCOMB_X10_Y26_N16
\led_flash_cnt[1315][7]~45302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1315][7]~45302_combout\ = \led_flash_cnt[1315][6]~45301\ $ (!\led_flash_cnt[1315][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1315][7]~q\,
	cin => \led_flash_cnt[1315][6]~45301\,
	combout => \led_flash_cnt[1315][7]~45302_combout\);

-- Location: FF_X10_Y26_N17
\led_flash_cnt[1315][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1315][7]~45302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1315][7]~q\);

-- Location: LCCOMB_X10_Y26_N18
WideAnd1315 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1315~combout\ = (\led_flash_cnt[1315][0]~q\ & (\WideAnd1315~0_combout\ & (\WideAnd1315~1_combout\ & \led_flash_cnt[1315][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1315][0]~q\,
	datab => \WideAnd1315~0_combout\,
	datac => \WideAnd1315~1_combout\,
	datad => \led_flash_cnt[1315][7]~q\,
	combout => \WideAnd1315~combout\);

-- Location: FF_X10_Y26_N19
\led_flash_cnt_ands[1315]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1315~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1315));

-- Location: LCCOMB_X10_Y26_N20
\WideAnd4004~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4004~0_combout\ = (led_flash_cnt_ands(1313) & (led_flash_cnt_ands(1314) & (led_flash_cnt_ands(1312) & led_flash_cnt_ands(1315))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1313),
	datab => led_flash_cnt_ands(1314),
	datac => led_flash_cnt_ands(1312),
	datad => led_flash_cnt_ands(1315),
	combout => \WideAnd4004~0_combout\);

-- Location: LCCOMB_X59_Y8_N2
\led_flash_cnt[1317][0]~81957\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1317][0]~81957_combout\ = !\led_flash_cnt[1317][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1317][0]~q\,
	combout => \led_flash_cnt[1317][0]~81957_combout\);

-- Location: FF_X59_Y8_N3
\led_flash_cnt[1317][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1317][0]~81957_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1317][0]~q\);

-- Location: LCCOMB_X58_Y8_N0
\led_flash_cnt[1317][1]~45318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1317][1]~45318_combout\ = (\led_flash_cnt[1317][0]~q\ & (\led_flash_cnt[1317][1]~q\ $ (VCC))) # (!\led_flash_cnt[1317][0]~q\ & (\led_flash_cnt[1317][1]~q\ & VCC))
-- \led_flash_cnt[1317][1]~45319\ = CARRY((\led_flash_cnt[1317][0]~q\ & \led_flash_cnt[1317][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1317][0]~q\,
	datab => \led_flash_cnt[1317][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1317][1]~45318_combout\,
	cout => \led_flash_cnt[1317][1]~45319\);

-- Location: FF_X58_Y8_N1
\led_flash_cnt[1317][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1317][1]~45318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1317][1]~q\);

-- Location: LCCOMB_X58_Y8_N2
\led_flash_cnt[1317][2]~45320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1317][2]~45320_combout\ = (\led_flash_cnt[1317][2]~q\ & (!\led_flash_cnt[1317][1]~45319\)) # (!\led_flash_cnt[1317][2]~q\ & ((\led_flash_cnt[1317][1]~45319\) # (GND)))
-- \led_flash_cnt[1317][2]~45321\ = CARRY((!\led_flash_cnt[1317][1]~45319\) # (!\led_flash_cnt[1317][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1317][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1317][1]~45319\,
	combout => \led_flash_cnt[1317][2]~45320_combout\,
	cout => \led_flash_cnt[1317][2]~45321\);

-- Location: FF_X58_Y8_N3
\led_flash_cnt[1317][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1317][2]~45320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1317][2]~q\);

-- Location: LCCOMB_X58_Y8_N4
\led_flash_cnt[1317][3]~45322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1317][3]~45322_combout\ = (\led_flash_cnt[1317][3]~q\ & (\led_flash_cnt[1317][2]~45321\ $ (GND))) # (!\led_flash_cnt[1317][3]~q\ & (!\led_flash_cnt[1317][2]~45321\ & VCC))
-- \led_flash_cnt[1317][3]~45323\ = CARRY((\led_flash_cnt[1317][3]~q\ & !\led_flash_cnt[1317][2]~45321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1317][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1317][2]~45321\,
	combout => \led_flash_cnt[1317][3]~45322_combout\,
	cout => \led_flash_cnt[1317][3]~45323\);

-- Location: FF_X58_Y8_N5
\led_flash_cnt[1317][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1317][3]~45322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1317][3]~q\);

-- Location: LCCOMB_X58_Y8_N6
\led_flash_cnt[1317][4]~45324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1317][4]~45324_combout\ = (\led_flash_cnt[1317][4]~q\ & (!\led_flash_cnt[1317][3]~45323\)) # (!\led_flash_cnt[1317][4]~q\ & ((\led_flash_cnt[1317][3]~45323\) # (GND)))
-- \led_flash_cnt[1317][4]~45325\ = CARRY((!\led_flash_cnt[1317][3]~45323\) # (!\led_flash_cnt[1317][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1317][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1317][3]~45323\,
	combout => \led_flash_cnt[1317][4]~45324_combout\,
	cout => \led_flash_cnt[1317][4]~45325\);

-- Location: FF_X58_Y8_N7
\led_flash_cnt[1317][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1317][4]~45324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1317][4]~q\);

-- Location: LCCOMB_X58_Y8_N8
\led_flash_cnt[1317][5]~45326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1317][5]~45326_combout\ = (\led_flash_cnt[1317][5]~q\ & (\led_flash_cnt[1317][4]~45325\ $ (GND))) # (!\led_flash_cnt[1317][5]~q\ & (!\led_flash_cnt[1317][4]~45325\ & VCC))
-- \led_flash_cnt[1317][5]~45327\ = CARRY((\led_flash_cnt[1317][5]~q\ & !\led_flash_cnt[1317][4]~45325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1317][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1317][4]~45325\,
	combout => \led_flash_cnt[1317][5]~45326_combout\,
	cout => \led_flash_cnt[1317][5]~45327\);

-- Location: FF_X58_Y8_N9
\led_flash_cnt[1317][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1317][5]~45326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1317][5]~q\);

-- Location: LCCOMB_X58_Y8_N10
\led_flash_cnt[1317][6]~45328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1317][6]~45328_combout\ = (\led_flash_cnt[1317][6]~q\ & (!\led_flash_cnt[1317][5]~45327\)) # (!\led_flash_cnt[1317][6]~q\ & ((\led_flash_cnt[1317][5]~45327\) # (GND)))
-- \led_flash_cnt[1317][6]~45329\ = CARRY((!\led_flash_cnt[1317][5]~45327\) # (!\led_flash_cnt[1317][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1317][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1317][5]~45327\,
	combout => \led_flash_cnt[1317][6]~45328_combout\,
	cout => \led_flash_cnt[1317][6]~45329\);

-- Location: FF_X58_Y8_N11
\led_flash_cnt[1317][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1317][6]~45328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1317][6]~q\);

-- Location: LCCOMB_X58_Y8_N12
\led_flash_cnt[1317][7]~45330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1317][7]~45330_combout\ = \led_flash_cnt[1317][6]~45329\ $ (!\led_flash_cnt[1317][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1317][7]~q\,
	cin => \led_flash_cnt[1317][6]~45329\,
	combout => \led_flash_cnt[1317][7]~45330_combout\);

-- Location: FF_X58_Y8_N13
\led_flash_cnt[1317][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1317][7]~45330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1317][7]~q\);

-- Location: LCCOMB_X59_Y8_N14
\WideAnd1317~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1317~1_combout\ = (\led_flash_cnt[1317][5]~q\ & \led_flash_cnt[1317][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1317][5]~q\,
	datad => \led_flash_cnt[1317][6]~q\,
	combout => \WideAnd1317~1_combout\);

-- Location: LCCOMB_X58_Y8_N14
\WideAnd1317~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1317~0_combout\ = (\led_flash_cnt[1317][4]~q\ & (\led_flash_cnt[1317][1]~q\ & (\led_flash_cnt[1317][3]~q\ & \led_flash_cnt[1317][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1317][4]~q\,
	datab => \led_flash_cnt[1317][1]~q\,
	datac => \led_flash_cnt[1317][3]~q\,
	datad => \led_flash_cnt[1317][2]~q\,
	combout => \WideAnd1317~0_combout\);

-- Location: LCCOMB_X59_Y8_N8
WideAnd1317 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1317~combout\ = (\led_flash_cnt[1317][7]~q\ & (\led_flash_cnt[1317][0]~q\ & (\WideAnd1317~1_combout\ & \WideAnd1317~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1317][7]~q\,
	datab => \led_flash_cnt[1317][0]~q\,
	datac => \WideAnd1317~1_combout\,
	datad => \WideAnd1317~0_combout\,
	combout => \WideAnd1317~combout\);

-- Location: FF_X59_Y8_N9
\led_flash_cnt_ands[1317]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1317~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1317));

-- Location: LCCOMB_X59_Y8_N6
\led_flash_cnt[1316][0]~81956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1316][0]~81956_combout\ = !\led_flash_cnt[1316][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1316][0]~q\,
	combout => \led_flash_cnt[1316][0]~81956_combout\);

-- Location: FF_X59_Y8_N7
\led_flash_cnt[1316][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1316][0]~81956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1316][0]~q\);

-- Location: LCCOMB_X59_Y8_N16
\led_flash_cnt[1316][1]~45304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1316][1]~45304_combout\ = (\led_flash_cnt[1316][0]~q\ & (\led_flash_cnt[1316][1]~q\ $ (VCC))) # (!\led_flash_cnt[1316][0]~q\ & (\led_flash_cnt[1316][1]~q\ & VCC))
-- \led_flash_cnt[1316][1]~45305\ = CARRY((\led_flash_cnt[1316][0]~q\ & \led_flash_cnt[1316][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1316][0]~q\,
	datab => \led_flash_cnt[1316][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1316][1]~45304_combout\,
	cout => \led_flash_cnt[1316][1]~45305\);

-- Location: FF_X59_Y8_N17
\led_flash_cnt[1316][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1316][1]~45304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1316][1]~q\);

-- Location: LCCOMB_X59_Y8_N18
\led_flash_cnt[1316][2]~45306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1316][2]~45306_combout\ = (\led_flash_cnt[1316][2]~q\ & (!\led_flash_cnt[1316][1]~45305\)) # (!\led_flash_cnt[1316][2]~q\ & ((\led_flash_cnt[1316][1]~45305\) # (GND)))
-- \led_flash_cnt[1316][2]~45307\ = CARRY((!\led_flash_cnt[1316][1]~45305\) # (!\led_flash_cnt[1316][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1316][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1316][1]~45305\,
	combout => \led_flash_cnt[1316][2]~45306_combout\,
	cout => \led_flash_cnt[1316][2]~45307\);

-- Location: FF_X59_Y8_N19
\led_flash_cnt[1316][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1316][2]~45306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1316][2]~q\);

-- Location: LCCOMB_X59_Y8_N20
\led_flash_cnt[1316][3]~45308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1316][3]~45308_combout\ = (\led_flash_cnt[1316][3]~q\ & (\led_flash_cnt[1316][2]~45307\ $ (GND))) # (!\led_flash_cnt[1316][3]~q\ & (!\led_flash_cnt[1316][2]~45307\ & VCC))
-- \led_flash_cnt[1316][3]~45309\ = CARRY((\led_flash_cnt[1316][3]~q\ & !\led_flash_cnt[1316][2]~45307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1316][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1316][2]~45307\,
	combout => \led_flash_cnt[1316][3]~45308_combout\,
	cout => \led_flash_cnt[1316][3]~45309\);

-- Location: FF_X59_Y8_N21
\led_flash_cnt[1316][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1316][3]~45308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1316][3]~q\);

-- Location: LCCOMB_X59_Y8_N22
\led_flash_cnt[1316][4]~45310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1316][4]~45310_combout\ = (\led_flash_cnt[1316][4]~q\ & (!\led_flash_cnt[1316][3]~45309\)) # (!\led_flash_cnt[1316][4]~q\ & ((\led_flash_cnt[1316][3]~45309\) # (GND)))
-- \led_flash_cnt[1316][4]~45311\ = CARRY((!\led_flash_cnt[1316][3]~45309\) # (!\led_flash_cnt[1316][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1316][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1316][3]~45309\,
	combout => \led_flash_cnt[1316][4]~45310_combout\,
	cout => \led_flash_cnt[1316][4]~45311\);

-- Location: FF_X59_Y8_N23
\led_flash_cnt[1316][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1316][4]~45310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1316][4]~q\);

-- Location: LCCOMB_X59_Y8_N24
\led_flash_cnt[1316][5]~45312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1316][5]~45312_combout\ = (\led_flash_cnt[1316][5]~q\ & (\led_flash_cnt[1316][4]~45311\ $ (GND))) # (!\led_flash_cnt[1316][5]~q\ & (!\led_flash_cnt[1316][4]~45311\ & VCC))
-- \led_flash_cnt[1316][5]~45313\ = CARRY((\led_flash_cnt[1316][5]~q\ & !\led_flash_cnt[1316][4]~45311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1316][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1316][4]~45311\,
	combout => \led_flash_cnt[1316][5]~45312_combout\,
	cout => \led_flash_cnt[1316][5]~45313\);

-- Location: FF_X59_Y8_N25
\led_flash_cnt[1316][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1316][5]~45312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1316][5]~q\);

-- Location: LCCOMB_X59_Y8_N26
\led_flash_cnt[1316][6]~45314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1316][6]~45314_combout\ = (\led_flash_cnt[1316][6]~q\ & (!\led_flash_cnt[1316][5]~45313\)) # (!\led_flash_cnt[1316][6]~q\ & ((\led_flash_cnt[1316][5]~45313\) # (GND)))
-- \led_flash_cnt[1316][6]~45315\ = CARRY((!\led_flash_cnt[1316][5]~45313\) # (!\led_flash_cnt[1316][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1316][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1316][5]~45313\,
	combout => \led_flash_cnt[1316][6]~45314_combout\,
	cout => \led_flash_cnt[1316][6]~45315\);

-- Location: FF_X59_Y8_N27
\led_flash_cnt[1316][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1316][6]~45314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1316][6]~q\);

-- Location: LCCOMB_X59_Y8_N28
\led_flash_cnt[1316][7]~45316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1316][7]~45316_combout\ = \led_flash_cnt[1316][6]~45315\ $ (!\led_flash_cnt[1316][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1316][7]~q\,
	cin => \led_flash_cnt[1316][6]~45315\,
	combout => \led_flash_cnt[1316][7]~45316_combout\);

-- Location: FF_X59_Y8_N29
\led_flash_cnt[1316][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1316][7]~45316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1316][7]~q\);

-- Location: LCCOMB_X59_Y8_N30
\WideAnd1316~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1316~1_combout\ = (\led_flash_cnt[1316][6]~q\ & \led_flash_cnt[1316][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1316][6]~q\,
	datad => \led_flash_cnt[1316][5]~q\,
	combout => \WideAnd1316~1_combout\);

-- Location: LCCOMB_X59_Y8_N12
\WideAnd1316~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1316~0_combout\ = (\led_flash_cnt[1316][2]~q\ & (\led_flash_cnt[1316][3]~q\ & (\led_flash_cnt[1316][4]~q\ & \led_flash_cnt[1316][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1316][2]~q\,
	datab => \led_flash_cnt[1316][3]~q\,
	datac => \led_flash_cnt[1316][4]~q\,
	datad => \led_flash_cnt[1316][1]~q\,
	combout => \WideAnd1316~0_combout\);

-- Location: LCCOMB_X59_Y8_N10
WideAnd1316 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1316~combout\ = (\led_flash_cnt[1316][0]~q\ & (\led_flash_cnt[1316][7]~q\ & (\WideAnd1316~1_combout\ & \WideAnd1316~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1316][0]~q\,
	datab => \led_flash_cnt[1316][7]~q\,
	datac => \WideAnd1316~1_combout\,
	datad => \WideAnd1316~0_combout\,
	combout => \WideAnd1316~combout\);

-- Location: FF_X59_Y8_N11
\led_flash_cnt_ands[1316]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1316~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1316));

-- Location: LCCOMB_X59_Y8_N0
\WideAnd4004~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4004~1_combout\ = (led_flash_cnt_ands(1317) & led_flash_cnt_ands(1316))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1317),
	datad => led_flash_cnt_ands(1316),
	combout => \WideAnd4004~1_combout\);

-- Location: LCCOMB_X60_Y13_N12
\led_flash_cnt[1318][0]~81958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1318][0]~81958_combout\ = !\led_flash_cnt[1318][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1318][0]~q\,
	combout => \led_flash_cnt[1318][0]~81958_combout\);

-- Location: FF_X60_Y13_N13
\led_flash_cnt[1318][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1318][0]~81958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1318][0]~q\);

-- Location: LCCOMB_X60_Y13_N14
\led_flash_cnt[1318][1]~45332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1318][1]~45332_combout\ = (\led_flash_cnt[1318][0]~q\ & (\led_flash_cnt[1318][1]~q\ $ (VCC))) # (!\led_flash_cnt[1318][0]~q\ & (\led_flash_cnt[1318][1]~q\ & VCC))
-- \led_flash_cnt[1318][1]~45333\ = CARRY((\led_flash_cnt[1318][0]~q\ & \led_flash_cnt[1318][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1318][0]~q\,
	datab => \led_flash_cnt[1318][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1318][1]~45332_combout\,
	cout => \led_flash_cnt[1318][1]~45333\);

-- Location: FF_X60_Y13_N15
\led_flash_cnt[1318][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1318][1]~45332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1318][1]~q\);

-- Location: LCCOMB_X60_Y13_N16
\led_flash_cnt[1318][2]~45334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1318][2]~45334_combout\ = (\led_flash_cnt[1318][2]~q\ & (!\led_flash_cnt[1318][1]~45333\)) # (!\led_flash_cnt[1318][2]~q\ & ((\led_flash_cnt[1318][1]~45333\) # (GND)))
-- \led_flash_cnt[1318][2]~45335\ = CARRY((!\led_flash_cnt[1318][1]~45333\) # (!\led_flash_cnt[1318][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1318][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1318][1]~45333\,
	combout => \led_flash_cnt[1318][2]~45334_combout\,
	cout => \led_flash_cnt[1318][2]~45335\);

-- Location: FF_X60_Y13_N17
\led_flash_cnt[1318][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1318][2]~45334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1318][2]~q\);

-- Location: LCCOMB_X60_Y13_N18
\led_flash_cnt[1318][3]~45336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1318][3]~45336_combout\ = (\led_flash_cnt[1318][3]~q\ & (\led_flash_cnt[1318][2]~45335\ $ (GND))) # (!\led_flash_cnt[1318][3]~q\ & (!\led_flash_cnt[1318][2]~45335\ & VCC))
-- \led_flash_cnt[1318][3]~45337\ = CARRY((\led_flash_cnt[1318][3]~q\ & !\led_flash_cnt[1318][2]~45335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1318][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1318][2]~45335\,
	combout => \led_flash_cnt[1318][3]~45336_combout\,
	cout => \led_flash_cnt[1318][3]~45337\);

-- Location: FF_X60_Y13_N19
\led_flash_cnt[1318][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1318][3]~45336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1318][3]~q\);

-- Location: LCCOMB_X60_Y13_N20
\led_flash_cnt[1318][4]~45338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1318][4]~45338_combout\ = (\led_flash_cnt[1318][4]~q\ & (!\led_flash_cnt[1318][3]~45337\)) # (!\led_flash_cnt[1318][4]~q\ & ((\led_flash_cnt[1318][3]~45337\) # (GND)))
-- \led_flash_cnt[1318][4]~45339\ = CARRY((!\led_flash_cnt[1318][3]~45337\) # (!\led_flash_cnt[1318][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1318][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1318][3]~45337\,
	combout => \led_flash_cnt[1318][4]~45338_combout\,
	cout => \led_flash_cnt[1318][4]~45339\);

-- Location: FF_X60_Y13_N21
\led_flash_cnt[1318][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1318][4]~45338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1318][4]~q\);

-- Location: LCCOMB_X60_Y13_N22
\led_flash_cnt[1318][5]~45340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1318][5]~45340_combout\ = (\led_flash_cnt[1318][5]~q\ & (\led_flash_cnt[1318][4]~45339\ $ (GND))) # (!\led_flash_cnt[1318][5]~q\ & (!\led_flash_cnt[1318][4]~45339\ & VCC))
-- \led_flash_cnt[1318][5]~45341\ = CARRY((\led_flash_cnt[1318][5]~q\ & !\led_flash_cnt[1318][4]~45339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1318][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1318][4]~45339\,
	combout => \led_flash_cnt[1318][5]~45340_combout\,
	cout => \led_flash_cnt[1318][5]~45341\);

-- Location: FF_X60_Y13_N23
\led_flash_cnt[1318][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1318][5]~45340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1318][5]~q\);

-- Location: LCCOMB_X60_Y13_N24
\led_flash_cnt[1318][6]~45342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1318][6]~45342_combout\ = (\led_flash_cnt[1318][6]~q\ & (!\led_flash_cnt[1318][5]~45341\)) # (!\led_flash_cnt[1318][6]~q\ & ((\led_flash_cnt[1318][5]~45341\) # (GND)))
-- \led_flash_cnt[1318][6]~45343\ = CARRY((!\led_flash_cnt[1318][5]~45341\) # (!\led_flash_cnt[1318][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1318][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1318][5]~45341\,
	combout => \led_flash_cnt[1318][6]~45342_combout\,
	cout => \led_flash_cnt[1318][6]~45343\);

-- Location: FF_X60_Y13_N25
\led_flash_cnt[1318][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1318][6]~45342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1318][6]~q\);

-- Location: LCCOMB_X60_Y13_N10
\WideAnd1318~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1318~1_combout\ = (\led_flash_cnt[1318][5]~q\ & \led_flash_cnt[1318][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1318][5]~q\,
	datad => \led_flash_cnt[1318][6]~q\,
	combout => \WideAnd1318~1_combout\);

-- Location: LCCOMB_X60_Y13_N28
\WideAnd1318~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1318~0_combout\ = (\led_flash_cnt[1318][4]~q\ & (\led_flash_cnt[1318][3]~q\ & (\led_flash_cnt[1318][1]~q\ & \led_flash_cnt[1318][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1318][4]~q\,
	datab => \led_flash_cnt[1318][3]~q\,
	datac => \led_flash_cnt[1318][1]~q\,
	datad => \led_flash_cnt[1318][2]~q\,
	combout => \WideAnd1318~0_combout\);

-- Location: LCCOMB_X60_Y13_N26
\led_flash_cnt[1318][7]~45344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1318][7]~45344_combout\ = \led_flash_cnt[1318][7]~q\ $ (!\led_flash_cnt[1318][6]~45343\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1318][7]~q\,
	cin => \led_flash_cnt[1318][6]~45343\,
	combout => \led_flash_cnt[1318][7]~45344_combout\);

-- Location: FF_X60_Y13_N27
\led_flash_cnt[1318][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1318][7]~45344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1318][7]~q\);

-- Location: LCCOMB_X60_Y13_N4
WideAnd1318 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1318~combout\ = (\WideAnd1318~1_combout\ & (\WideAnd1318~0_combout\ & (\led_flash_cnt[1318][7]~q\ & \led_flash_cnt[1318][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1318~1_combout\,
	datab => \WideAnd1318~0_combout\,
	datac => \led_flash_cnt[1318][7]~q\,
	datad => \led_flash_cnt[1318][0]~q\,
	combout => \WideAnd1318~combout\);

-- Location: FF_X60_Y13_N5
\led_flash_cnt_ands[1318]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1318~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1318));

-- Location: LCCOMB_X59_Y13_N30
WideAnd4004 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4004~combout\ = (led_flash_cnt_ands(1319) & (\WideAnd4004~0_combout\ & (\WideAnd4004~1_combout\ & led_flash_cnt_ands(1318))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1319),
	datab => \WideAnd4004~0_combout\,
	datac => \WideAnd4004~1_combout\,
	datad => led_flash_cnt_ands(1318),
	combout => \WideAnd4004~combout\);

-- Location: FF_X59_Y13_N31
\led_flash_cnt_ands_1[164]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4004~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(164));

-- Location: LCCOMB_X2_Y18_N26
\led_flash_cnt[1323][0]~81963\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1323][0]~81963_combout\ = !\led_flash_cnt[1323][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1323][0]~q\,
	combout => \led_flash_cnt[1323][0]~81963_combout\);

-- Location: FF_X2_Y18_N27
\led_flash_cnt[1323][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1323][0]~81963_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1323][0]~q\);

-- Location: LCCOMB_X3_Y18_N18
\led_flash_cnt[1323][1]~45402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1323][1]~45402_combout\ = (\led_flash_cnt[1323][0]~q\ & (\led_flash_cnt[1323][1]~q\ $ (VCC))) # (!\led_flash_cnt[1323][0]~q\ & (\led_flash_cnt[1323][1]~q\ & VCC))
-- \led_flash_cnt[1323][1]~45403\ = CARRY((\led_flash_cnt[1323][0]~q\ & \led_flash_cnt[1323][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1323][0]~q\,
	datab => \led_flash_cnt[1323][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1323][1]~45402_combout\,
	cout => \led_flash_cnt[1323][1]~45403\);

-- Location: FF_X3_Y18_N19
\led_flash_cnt[1323][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1323][1]~45402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1323][1]~q\);

-- Location: LCCOMB_X3_Y18_N20
\led_flash_cnt[1323][2]~45404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1323][2]~45404_combout\ = (\led_flash_cnt[1323][2]~q\ & (!\led_flash_cnt[1323][1]~45403\)) # (!\led_flash_cnt[1323][2]~q\ & ((\led_flash_cnt[1323][1]~45403\) # (GND)))
-- \led_flash_cnt[1323][2]~45405\ = CARRY((!\led_flash_cnt[1323][1]~45403\) # (!\led_flash_cnt[1323][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1323][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1323][1]~45403\,
	combout => \led_flash_cnt[1323][2]~45404_combout\,
	cout => \led_flash_cnt[1323][2]~45405\);

-- Location: FF_X3_Y18_N21
\led_flash_cnt[1323][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1323][2]~45404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1323][2]~q\);

-- Location: LCCOMB_X3_Y18_N22
\led_flash_cnt[1323][3]~45406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1323][3]~45406_combout\ = (\led_flash_cnt[1323][3]~q\ & (\led_flash_cnt[1323][2]~45405\ $ (GND))) # (!\led_flash_cnt[1323][3]~q\ & (!\led_flash_cnt[1323][2]~45405\ & VCC))
-- \led_flash_cnt[1323][3]~45407\ = CARRY((\led_flash_cnt[1323][3]~q\ & !\led_flash_cnt[1323][2]~45405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1323][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1323][2]~45405\,
	combout => \led_flash_cnt[1323][3]~45406_combout\,
	cout => \led_flash_cnt[1323][3]~45407\);

-- Location: FF_X3_Y18_N23
\led_flash_cnt[1323][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1323][3]~45406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1323][3]~q\);

-- Location: LCCOMB_X3_Y18_N24
\led_flash_cnt[1323][4]~45408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1323][4]~45408_combout\ = (\led_flash_cnt[1323][4]~q\ & (!\led_flash_cnt[1323][3]~45407\)) # (!\led_flash_cnt[1323][4]~q\ & ((\led_flash_cnt[1323][3]~45407\) # (GND)))
-- \led_flash_cnt[1323][4]~45409\ = CARRY((!\led_flash_cnt[1323][3]~45407\) # (!\led_flash_cnt[1323][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1323][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1323][3]~45407\,
	combout => \led_flash_cnt[1323][4]~45408_combout\,
	cout => \led_flash_cnt[1323][4]~45409\);

-- Location: FF_X3_Y18_N25
\led_flash_cnt[1323][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1323][4]~45408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1323][4]~q\);

-- Location: LCCOMB_X3_Y18_N0
\WideAnd1323~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1323~0_combout\ = (\led_flash_cnt[1323][4]~q\ & (\led_flash_cnt[1323][2]~q\ & (\led_flash_cnt[1323][3]~q\ & \led_flash_cnt[1323][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1323][4]~q\,
	datab => \led_flash_cnt[1323][2]~q\,
	datac => \led_flash_cnt[1323][3]~q\,
	datad => \led_flash_cnt[1323][1]~q\,
	combout => \WideAnd1323~0_combout\);

-- Location: LCCOMB_X3_Y18_N26
\led_flash_cnt[1323][5]~45410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1323][5]~45410_combout\ = (\led_flash_cnt[1323][5]~q\ & (\led_flash_cnt[1323][4]~45409\ $ (GND))) # (!\led_flash_cnt[1323][5]~q\ & (!\led_flash_cnt[1323][4]~45409\ & VCC))
-- \led_flash_cnt[1323][5]~45411\ = CARRY((\led_flash_cnt[1323][5]~q\ & !\led_flash_cnt[1323][4]~45409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1323][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1323][4]~45409\,
	combout => \led_flash_cnt[1323][5]~45410_combout\,
	cout => \led_flash_cnt[1323][5]~45411\);

-- Location: FF_X3_Y18_N27
\led_flash_cnt[1323][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1323][5]~45410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1323][5]~q\);

-- Location: LCCOMB_X3_Y18_N28
\led_flash_cnt[1323][6]~45412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1323][6]~45412_combout\ = (\led_flash_cnt[1323][6]~q\ & (!\led_flash_cnt[1323][5]~45411\)) # (!\led_flash_cnt[1323][6]~q\ & ((\led_flash_cnt[1323][5]~45411\) # (GND)))
-- \led_flash_cnt[1323][6]~45413\ = CARRY((!\led_flash_cnt[1323][5]~45411\) # (!\led_flash_cnt[1323][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1323][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1323][5]~45411\,
	combout => \led_flash_cnt[1323][6]~45412_combout\,
	cout => \led_flash_cnt[1323][6]~45413\);

-- Location: FF_X3_Y18_N29
\led_flash_cnt[1323][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1323][6]~45412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1323][6]~q\);

-- Location: LCCOMB_X3_Y18_N30
\led_flash_cnt[1323][7]~45414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1323][7]~45414_combout\ = \led_flash_cnt[1323][7]~q\ $ (!\led_flash_cnt[1323][6]~45413\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1323][7]~q\,
	cin => \led_flash_cnt[1323][6]~45413\,
	combout => \led_flash_cnt[1323][7]~45414_combout\);

-- Location: FF_X3_Y18_N31
\led_flash_cnt[1323][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1323][7]~45414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1323][7]~q\);

-- Location: LCCOMB_X2_Y18_N20
\WideAnd1323~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1323~1_combout\ = (\led_flash_cnt[1323][5]~q\ & \led_flash_cnt[1323][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1323][5]~q\,
	datad => \led_flash_cnt[1323][6]~q\,
	combout => \WideAnd1323~1_combout\);

-- Location: LCCOMB_X2_Y18_N30
WideAnd1323 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1323~combout\ = (\led_flash_cnt[1323][0]~q\ & (\WideAnd1323~0_combout\ & (\led_flash_cnt[1323][7]~q\ & \WideAnd1323~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1323][0]~q\,
	datab => \WideAnd1323~0_combout\,
	datac => \led_flash_cnt[1323][7]~q\,
	datad => \WideAnd1323~1_combout\,
	combout => \WideAnd1323~combout\);

-- Location: FF_X2_Y18_N31
\led_flash_cnt_ands[1323]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1323~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1323));

-- Location: LCCOMB_X2_Y18_N22
\led_flash_cnt[1322][0]~81962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1322][0]~81962_combout\ = !\led_flash_cnt[1322][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1322][0]~q\,
	combout => \led_flash_cnt[1322][0]~81962_combout\);

-- Location: FF_X2_Y18_N23
\led_flash_cnt[1322][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1322][0]~81962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1322][0]~q\);

-- Location: LCCOMB_X2_Y18_N2
\led_flash_cnt[1322][1]~45388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1322][1]~45388_combout\ = (\led_flash_cnt[1322][0]~q\ & (\led_flash_cnt[1322][1]~q\ $ (VCC))) # (!\led_flash_cnt[1322][0]~q\ & (\led_flash_cnt[1322][1]~q\ & VCC))
-- \led_flash_cnt[1322][1]~45389\ = CARRY((\led_flash_cnt[1322][0]~q\ & \led_flash_cnt[1322][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1322][0]~q\,
	datab => \led_flash_cnt[1322][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1322][1]~45388_combout\,
	cout => \led_flash_cnt[1322][1]~45389\);

-- Location: FF_X2_Y18_N3
\led_flash_cnt[1322][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1322][1]~45388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1322][1]~q\);

-- Location: LCCOMB_X2_Y18_N4
\led_flash_cnt[1322][2]~45390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1322][2]~45390_combout\ = (\led_flash_cnt[1322][2]~q\ & (!\led_flash_cnt[1322][1]~45389\)) # (!\led_flash_cnt[1322][2]~q\ & ((\led_flash_cnt[1322][1]~45389\) # (GND)))
-- \led_flash_cnt[1322][2]~45391\ = CARRY((!\led_flash_cnt[1322][1]~45389\) # (!\led_flash_cnt[1322][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1322][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1322][1]~45389\,
	combout => \led_flash_cnt[1322][2]~45390_combout\,
	cout => \led_flash_cnt[1322][2]~45391\);

-- Location: FF_X2_Y18_N5
\led_flash_cnt[1322][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1322][2]~45390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1322][2]~q\);

-- Location: LCCOMB_X2_Y18_N6
\led_flash_cnt[1322][3]~45392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1322][3]~45392_combout\ = (\led_flash_cnt[1322][3]~q\ & (\led_flash_cnt[1322][2]~45391\ $ (GND))) # (!\led_flash_cnt[1322][3]~q\ & (!\led_flash_cnt[1322][2]~45391\ & VCC))
-- \led_flash_cnt[1322][3]~45393\ = CARRY((\led_flash_cnt[1322][3]~q\ & !\led_flash_cnt[1322][2]~45391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1322][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1322][2]~45391\,
	combout => \led_flash_cnt[1322][3]~45392_combout\,
	cout => \led_flash_cnt[1322][3]~45393\);

-- Location: FF_X2_Y18_N7
\led_flash_cnt[1322][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1322][3]~45392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1322][3]~q\);

-- Location: LCCOMB_X2_Y18_N8
\led_flash_cnt[1322][4]~45394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1322][4]~45394_combout\ = (\led_flash_cnt[1322][4]~q\ & (!\led_flash_cnt[1322][3]~45393\)) # (!\led_flash_cnt[1322][4]~q\ & ((\led_flash_cnt[1322][3]~45393\) # (GND)))
-- \led_flash_cnt[1322][4]~45395\ = CARRY((!\led_flash_cnt[1322][3]~45393\) # (!\led_flash_cnt[1322][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1322][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1322][3]~45393\,
	combout => \led_flash_cnt[1322][4]~45394_combout\,
	cout => \led_flash_cnt[1322][4]~45395\);

-- Location: FF_X2_Y18_N9
\led_flash_cnt[1322][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1322][4]~45394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1322][4]~q\);

-- Location: LCCOMB_X2_Y18_N28
\WideAnd1322~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1322~0_combout\ = (\led_flash_cnt[1322][3]~q\ & (\led_flash_cnt[1322][2]~q\ & (\led_flash_cnt[1322][4]~q\ & \led_flash_cnt[1322][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1322][3]~q\,
	datab => \led_flash_cnt[1322][2]~q\,
	datac => \led_flash_cnt[1322][4]~q\,
	datad => \led_flash_cnt[1322][1]~q\,
	combout => \WideAnd1322~0_combout\);

-- Location: LCCOMB_X2_Y18_N10
\led_flash_cnt[1322][5]~45396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1322][5]~45396_combout\ = (\led_flash_cnt[1322][5]~q\ & (\led_flash_cnt[1322][4]~45395\ $ (GND))) # (!\led_flash_cnt[1322][5]~q\ & (!\led_flash_cnt[1322][4]~45395\ & VCC))
-- \led_flash_cnt[1322][5]~45397\ = CARRY((\led_flash_cnt[1322][5]~q\ & !\led_flash_cnt[1322][4]~45395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1322][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1322][4]~45395\,
	combout => \led_flash_cnt[1322][5]~45396_combout\,
	cout => \led_flash_cnt[1322][5]~45397\);

-- Location: FF_X2_Y18_N11
\led_flash_cnt[1322][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1322][5]~45396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1322][5]~q\);

-- Location: LCCOMB_X2_Y18_N12
\led_flash_cnt[1322][6]~45398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1322][6]~45398_combout\ = (\led_flash_cnt[1322][6]~q\ & (!\led_flash_cnt[1322][5]~45397\)) # (!\led_flash_cnt[1322][6]~q\ & ((\led_flash_cnt[1322][5]~45397\) # (GND)))
-- \led_flash_cnt[1322][6]~45399\ = CARRY((!\led_flash_cnt[1322][5]~45397\) # (!\led_flash_cnt[1322][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1322][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1322][5]~45397\,
	combout => \led_flash_cnt[1322][6]~45398_combout\,
	cout => \led_flash_cnt[1322][6]~45399\);

-- Location: FF_X2_Y18_N13
\led_flash_cnt[1322][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1322][6]~45398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1322][6]~q\);

-- Location: LCCOMB_X2_Y18_N14
\led_flash_cnt[1322][7]~45400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1322][7]~45400_combout\ = \led_flash_cnt[1322][7]~q\ $ (!\led_flash_cnt[1322][6]~45399\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1322][7]~q\,
	cin => \led_flash_cnt[1322][6]~45399\,
	combout => \led_flash_cnt[1322][7]~45400_combout\);

-- Location: FF_X2_Y18_N15
\led_flash_cnt[1322][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1322][7]~45400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1322][7]~q\);

-- Location: LCCOMB_X2_Y18_N18
\WideAnd1322~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1322~1_combout\ = (\led_flash_cnt[1322][5]~q\ & \led_flash_cnt[1322][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1322][5]~q\,
	datad => \led_flash_cnt[1322][6]~q\,
	combout => \WideAnd1322~1_combout\);

-- Location: LCCOMB_X2_Y18_N16
WideAnd1322 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1322~combout\ = (\led_flash_cnt[1322][0]~q\ & (\WideAnd1322~0_combout\ & (\led_flash_cnt[1322][7]~q\ & \WideAnd1322~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1322][0]~q\,
	datab => \WideAnd1322~0_combout\,
	datac => \led_flash_cnt[1322][7]~q\,
	datad => \WideAnd1322~1_combout\,
	combout => \WideAnd1322~combout\);

-- Location: FF_X2_Y18_N17
\led_flash_cnt_ands[1322]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1322~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1322));

-- Location: LCCOMB_X4_Y10_N8
\led_flash_cnt[1320][0]~81960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1320][0]~81960_combout\ = !\led_flash_cnt[1320][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1320][0]~q\,
	combout => \led_flash_cnt[1320][0]~81960_combout\);

-- Location: FF_X4_Y10_N9
\led_flash_cnt[1320][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1320][0]~81960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1320][0]~q\);

-- Location: LCCOMB_X4_Y10_N10
\led_flash_cnt[1320][1]~45360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1320][1]~45360_combout\ = (\led_flash_cnt[1320][1]~q\ & (\led_flash_cnt[1320][0]~q\ $ (VCC))) # (!\led_flash_cnt[1320][1]~q\ & (\led_flash_cnt[1320][0]~q\ & VCC))
-- \led_flash_cnt[1320][1]~45361\ = CARRY((\led_flash_cnt[1320][1]~q\ & \led_flash_cnt[1320][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1320][1]~q\,
	datab => \led_flash_cnt[1320][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1320][1]~45360_combout\,
	cout => \led_flash_cnt[1320][1]~45361\);

-- Location: FF_X4_Y10_N11
\led_flash_cnt[1320][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1320][1]~45360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1320][1]~q\);

-- Location: LCCOMB_X4_Y10_N12
\led_flash_cnt[1320][2]~45362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1320][2]~45362_combout\ = (\led_flash_cnt[1320][2]~q\ & (!\led_flash_cnt[1320][1]~45361\)) # (!\led_flash_cnt[1320][2]~q\ & ((\led_flash_cnt[1320][1]~45361\) # (GND)))
-- \led_flash_cnt[1320][2]~45363\ = CARRY((!\led_flash_cnt[1320][1]~45361\) # (!\led_flash_cnt[1320][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1320][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1320][1]~45361\,
	combout => \led_flash_cnt[1320][2]~45362_combout\,
	cout => \led_flash_cnt[1320][2]~45363\);

-- Location: FF_X4_Y10_N13
\led_flash_cnt[1320][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1320][2]~45362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1320][2]~q\);

-- Location: LCCOMB_X4_Y10_N14
\led_flash_cnt[1320][3]~45364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1320][3]~45364_combout\ = (\led_flash_cnt[1320][3]~q\ & (\led_flash_cnt[1320][2]~45363\ $ (GND))) # (!\led_flash_cnt[1320][3]~q\ & (!\led_flash_cnt[1320][2]~45363\ & VCC))
-- \led_flash_cnt[1320][3]~45365\ = CARRY((\led_flash_cnt[1320][3]~q\ & !\led_flash_cnt[1320][2]~45363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1320][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1320][2]~45363\,
	combout => \led_flash_cnt[1320][3]~45364_combout\,
	cout => \led_flash_cnt[1320][3]~45365\);

-- Location: FF_X4_Y10_N15
\led_flash_cnt[1320][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1320][3]~45364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1320][3]~q\);

-- Location: LCCOMB_X4_Y10_N16
\led_flash_cnt[1320][4]~45366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1320][4]~45366_combout\ = (\led_flash_cnt[1320][4]~q\ & (!\led_flash_cnt[1320][3]~45365\)) # (!\led_flash_cnt[1320][4]~q\ & ((\led_flash_cnt[1320][3]~45365\) # (GND)))
-- \led_flash_cnt[1320][4]~45367\ = CARRY((!\led_flash_cnt[1320][3]~45365\) # (!\led_flash_cnt[1320][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1320][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1320][3]~45365\,
	combout => \led_flash_cnt[1320][4]~45366_combout\,
	cout => \led_flash_cnt[1320][4]~45367\);

-- Location: FF_X4_Y10_N17
\led_flash_cnt[1320][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1320][4]~45366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1320][4]~q\);

-- Location: LCCOMB_X4_Y10_N26
\WideAnd1320~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1320~0_combout\ = (\led_flash_cnt[1320][1]~q\ & (\led_flash_cnt[1320][4]~q\ & (\led_flash_cnt[1320][3]~q\ & \led_flash_cnt[1320][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1320][1]~q\,
	datab => \led_flash_cnt[1320][4]~q\,
	datac => \led_flash_cnt[1320][3]~q\,
	datad => \led_flash_cnt[1320][2]~q\,
	combout => \WideAnd1320~0_combout\);

-- Location: LCCOMB_X4_Y10_N18
\led_flash_cnt[1320][5]~45368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1320][5]~45368_combout\ = (\led_flash_cnt[1320][5]~q\ & (\led_flash_cnt[1320][4]~45367\ $ (GND))) # (!\led_flash_cnt[1320][5]~q\ & (!\led_flash_cnt[1320][4]~45367\ & VCC))
-- \led_flash_cnt[1320][5]~45369\ = CARRY((\led_flash_cnt[1320][5]~q\ & !\led_flash_cnt[1320][4]~45367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1320][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1320][4]~45367\,
	combout => \led_flash_cnt[1320][5]~45368_combout\,
	cout => \led_flash_cnt[1320][5]~45369\);

-- Location: FF_X4_Y10_N19
\led_flash_cnt[1320][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1320][5]~45368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1320][5]~q\);

-- Location: LCCOMB_X4_Y10_N20
\led_flash_cnt[1320][6]~45370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1320][6]~45370_combout\ = (\led_flash_cnt[1320][6]~q\ & (!\led_flash_cnt[1320][5]~45369\)) # (!\led_flash_cnt[1320][6]~q\ & ((\led_flash_cnt[1320][5]~45369\) # (GND)))
-- \led_flash_cnt[1320][6]~45371\ = CARRY((!\led_flash_cnt[1320][5]~45369\) # (!\led_flash_cnt[1320][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1320][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1320][5]~45369\,
	combout => \led_flash_cnt[1320][6]~45370_combout\,
	cout => \led_flash_cnt[1320][6]~45371\);

-- Location: FF_X4_Y10_N21
\led_flash_cnt[1320][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1320][6]~45370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1320][6]~q\);

-- Location: LCCOMB_X4_Y10_N22
\led_flash_cnt[1320][7]~45372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1320][7]~45372_combout\ = \led_flash_cnt[1320][7]~q\ $ (!\led_flash_cnt[1320][6]~45371\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1320][7]~q\,
	cin => \led_flash_cnt[1320][6]~45371\,
	combout => \led_flash_cnt[1320][7]~45372_combout\);

-- Location: FF_X4_Y10_N23
\led_flash_cnt[1320][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1320][7]~45372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1320][7]~q\);

-- Location: LCCOMB_X4_Y10_N24
\WideAnd1320~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1320~1_combout\ = (\led_flash_cnt[1320][5]~q\ & \led_flash_cnt[1320][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1320][5]~q\,
	datad => \led_flash_cnt[1320][6]~q\,
	combout => \WideAnd1320~1_combout\);

-- Location: LCCOMB_X4_Y10_N4
WideAnd1320 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1320~combout\ = (\WideAnd1320~0_combout\ & (\led_flash_cnt[1320][0]~q\ & (\led_flash_cnt[1320][7]~q\ & \WideAnd1320~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1320~0_combout\,
	datab => \led_flash_cnt[1320][0]~q\,
	datac => \led_flash_cnt[1320][7]~q\,
	datad => \WideAnd1320~1_combout\,
	combout => \WideAnd1320~combout\);

-- Location: FF_X4_Y10_N5
\led_flash_cnt_ands[1320]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1320~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1320));

-- Location: LCCOMB_X2_Y14_N8
\led_flash_cnt[1321][0]~81961\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1321][0]~81961_combout\ = !\led_flash_cnt[1321][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1321][0]~q\,
	combout => \led_flash_cnt[1321][0]~81961_combout\);

-- Location: FF_X2_Y14_N9
\led_flash_cnt[1321][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1321][0]~81961_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1321][0]~q\);

-- Location: LCCOMB_X2_Y14_N10
\led_flash_cnt[1321][1]~45374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1321][1]~45374_combout\ = (\led_flash_cnt[1321][1]~q\ & (\led_flash_cnt[1321][0]~q\ $ (VCC))) # (!\led_flash_cnt[1321][1]~q\ & (\led_flash_cnt[1321][0]~q\ & VCC))
-- \led_flash_cnt[1321][1]~45375\ = CARRY((\led_flash_cnt[1321][1]~q\ & \led_flash_cnt[1321][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1321][1]~q\,
	datab => \led_flash_cnt[1321][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1321][1]~45374_combout\,
	cout => \led_flash_cnt[1321][1]~45375\);

-- Location: FF_X2_Y14_N11
\led_flash_cnt[1321][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1321][1]~45374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1321][1]~q\);

-- Location: LCCOMB_X2_Y14_N12
\led_flash_cnt[1321][2]~45376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1321][2]~45376_combout\ = (\led_flash_cnt[1321][2]~q\ & (!\led_flash_cnt[1321][1]~45375\)) # (!\led_flash_cnt[1321][2]~q\ & ((\led_flash_cnt[1321][1]~45375\) # (GND)))
-- \led_flash_cnt[1321][2]~45377\ = CARRY((!\led_flash_cnt[1321][1]~45375\) # (!\led_flash_cnt[1321][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1321][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1321][1]~45375\,
	combout => \led_flash_cnt[1321][2]~45376_combout\,
	cout => \led_flash_cnt[1321][2]~45377\);

-- Location: FF_X2_Y14_N13
\led_flash_cnt[1321][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1321][2]~45376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1321][2]~q\);

-- Location: LCCOMB_X2_Y14_N14
\led_flash_cnt[1321][3]~45378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1321][3]~45378_combout\ = (\led_flash_cnt[1321][3]~q\ & (\led_flash_cnt[1321][2]~45377\ $ (GND))) # (!\led_flash_cnt[1321][3]~q\ & (!\led_flash_cnt[1321][2]~45377\ & VCC))
-- \led_flash_cnt[1321][3]~45379\ = CARRY((\led_flash_cnt[1321][3]~q\ & !\led_flash_cnt[1321][2]~45377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1321][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1321][2]~45377\,
	combout => \led_flash_cnt[1321][3]~45378_combout\,
	cout => \led_flash_cnt[1321][3]~45379\);

-- Location: FF_X2_Y14_N15
\led_flash_cnt[1321][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1321][3]~45378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1321][3]~q\);

-- Location: LCCOMB_X2_Y14_N16
\led_flash_cnt[1321][4]~45380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1321][4]~45380_combout\ = (\led_flash_cnt[1321][4]~q\ & (!\led_flash_cnt[1321][3]~45379\)) # (!\led_flash_cnt[1321][4]~q\ & ((\led_flash_cnt[1321][3]~45379\) # (GND)))
-- \led_flash_cnt[1321][4]~45381\ = CARRY((!\led_flash_cnt[1321][3]~45379\) # (!\led_flash_cnt[1321][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1321][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1321][3]~45379\,
	combout => \led_flash_cnt[1321][4]~45380_combout\,
	cout => \led_flash_cnt[1321][4]~45381\);

-- Location: FF_X2_Y14_N17
\led_flash_cnt[1321][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1321][4]~45380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1321][4]~q\);

-- Location: LCCOMB_X2_Y14_N18
\led_flash_cnt[1321][5]~45382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1321][5]~45382_combout\ = (\led_flash_cnt[1321][5]~q\ & (\led_flash_cnt[1321][4]~45381\ $ (GND))) # (!\led_flash_cnt[1321][5]~q\ & (!\led_flash_cnt[1321][4]~45381\ & VCC))
-- \led_flash_cnt[1321][5]~45383\ = CARRY((\led_flash_cnt[1321][5]~q\ & !\led_flash_cnt[1321][4]~45381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1321][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1321][4]~45381\,
	combout => \led_flash_cnt[1321][5]~45382_combout\,
	cout => \led_flash_cnt[1321][5]~45383\);

-- Location: FF_X2_Y14_N19
\led_flash_cnt[1321][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1321][5]~45382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1321][5]~q\);

-- Location: LCCOMB_X2_Y14_N20
\led_flash_cnt[1321][6]~45384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1321][6]~45384_combout\ = (\led_flash_cnt[1321][6]~q\ & (!\led_flash_cnt[1321][5]~45383\)) # (!\led_flash_cnt[1321][6]~q\ & ((\led_flash_cnt[1321][5]~45383\) # (GND)))
-- \led_flash_cnt[1321][6]~45385\ = CARRY((!\led_flash_cnt[1321][5]~45383\) # (!\led_flash_cnt[1321][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1321][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1321][5]~45383\,
	combout => \led_flash_cnt[1321][6]~45384_combout\,
	cout => \led_flash_cnt[1321][6]~45385\);

-- Location: FF_X2_Y14_N21
\led_flash_cnt[1321][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1321][6]~45384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1321][6]~q\);

-- Location: LCCOMB_X2_Y14_N22
\led_flash_cnt[1321][7]~45386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1321][7]~45386_combout\ = \led_flash_cnt[1321][7]~q\ $ (!\led_flash_cnt[1321][6]~45385\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1321][7]~q\,
	cin => \led_flash_cnt[1321][6]~45385\,
	combout => \led_flash_cnt[1321][7]~45386_combout\);

-- Location: FF_X2_Y14_N23
\led_flash_cnt[1321][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1321][7]~45386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1321][7]~q\);

-- Location: LCCOMB_X2_Y14_N4
\WideAnd1321~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1321~1_combout\ = (\led_flash_cnt[1321][6]~q\ & \led_flash_cnt[1321][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1321][6]~q\,
	datad => \led_flash_cnt[1321][5]~q\,
	combout => \WideAnd1321~1_combout\);

-- Location: LCCOMB_X2_Y14_N2
\WideAnd1321~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1321~0_combout\ = (\led_flash_cnt[1321][2]~q\ & (\led_flash_cnt[1321][4]~q\ & (\led_flash_cnt[1321][3]~q\ & \led_flash_cnt[1321][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1321][2]~q\,
	datab => \led_flash_cnt[1321][4]~q\,
	datac => \led_flash_cnt[1321][3]~q\,
	datad => \led_flash_cnt[1321][1]~q\,
	combout => \WideAnd1321~0_combout\);

-- Location: LCCOMB_X2_Y14_N28
WideAnd1321 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1321~combout\ = (\led_flash_cnt[1321][7]~q\ & (\WideAnd1321~1_combout\ & (\led_flash_cnt[1321][0]~q\ & \WideAnd1321~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1321][7]~q\,
	datab => \WideAnd1321~1_combout\,
	datac => \led_flash_cnt[1321][0]~q\,
	datad => \WideAnd1321~0_combout\,
	combout => \WideAnd1321~combout\);

-- Location: FF_X2_Y14_N29
\led_flash_cnt_ands[1321]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1321~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1321));

-- Location: LCCOMB_X1_Y14_N10
\WideAnd4005~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4005~0_combout\ = (led_flash_cnt_ands(1323) & (led_flash_cnt_ands(1322) & (led_flash_cnt_ands(1320) & led_flash_cnt_ands(1321))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1323),
	datab => led_flash_cnt_ands(1322),
	datac => led_flash_cnt_ands(1320),
	datad => led_flash_cnt_ands(1321),
	combout => \WideAnd4005~0_combout\);

-- Location: LCCOMB_X6_Y10_N10
\led_flash_cnt[1325][0]~81965\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1325][0]~81965_combout\ = !\led_flash_cnt[1325][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1325][0]~q\,
	combout => \led_flash_cnt[1325][0]~81965_combout\);

-- Location: FF_X6_Y10_N11
\led_flash_cnt[1325][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1325][0]~81965_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1325][0]~q\);

-- Location: LCCOMB_X6_Y10_N16
\led_flash_cnt[1325][1]~45430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1325][1]~45430_combout\ = (\led_flash_cnt[1325][0]~q\ & (\led_flash_cnt[1325][1]~q\ $ (VCC))) # (!\led_flash_cnt[1325][0]~q\ & (\led_flash_cnt[1325][1]~q\ & VCC))
-- \led_flash_cnt[1325][1]~45431\ = CARRY((\led_flash_cnt[1325][0]~q\ & \led_flash_cnt[1325][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1325][0]~q\,
	datab => \led_flash_cnt[1325][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1325][1]~45430_combout\,
	cout => \led_flash_cnt[1325][1]~45431\);

-- Location: FF_X6_Y10_N17
\led_flash_cnt[1325][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1325][1]~45430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1325][1]~q\);

-- Location: LCCOMB_X6_Y10_N18
\led_flash_cnt[1325][2]~45432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1325][2]~45432_combout\ = (\led_flash_cnt[1325][2]~q\ & (!\led_flash_cnt[1325][1]~45431\)) # (!\led_flash_cnt[1325][2]~q\ & ((\led_flash_cnt[1325][1]~45431\) # (GND)))
-- \led_flash_cnt[1325][2]~45433\ = CARRY((!\led_flash_cnt[1325][1]~45431\) # (!\led_flash_cnt[1325][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1325][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1325][1]~45431\,
	combout => \led_flash_cnt[1325][2]~45432_combout\,
	cout => \led_flash_cnt[1325][2]~45433\);

-- Location: FF_X6_Y10_N19
\led_flash_cnt[1325][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1325][2]~45432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1325][2]~q\);

-- Location: LCCOMB_X6_Y10_N20
\led_flash_cnt[1325][3]~45434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1325][3]~45434_combout\ = (\led_flash_cnt[1325][3]~q\ & (\led_flash_cnt[1325][2]~45433\ $ (GND))) # (!\led_flash_cnt[1325][3]~q\ & (!\led_flash_cnt[1325][2]~45433\ & VCC))
-- \led_flash_cnt[1325][3]~45435\ = CARRY((\led_flash_cnt[1325][3]~q\ & !\led_flash_cnt[1325][2]~45433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1325][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1325][2]~45433\,
	combout => \led_flash_cnt[1325][3]~45434_combout\,
	cout => \led_flash_cnt[1325][3]~45435\);

-- Location: FF_X6_Y10_N21
\led_flash_cnt[1325][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1325][3]~45434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1325][3]~q\);

-- Location: LCCOMB_X6_Y10_N22
\led_flash_cnt[1325][4]~45436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1325][4]~45436_combout\ = (\led_flash_cnt[1325][4]~q\ & (!\led_flash_cnt[1325][3]~45435\)) # (!\led_flash_cnt[1325][4]~q\ & ((\led_flash_cnt[1325][3]~45435\) # (GND)))
-- \led_flash_cnt[1325][4]~45437\ = CARRY((!\led_flash_cnt[1325][3]~45435\) # (!\led_flash_cnt[1325][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1325][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1325][3]~45435\,
	combout => \led_flash_cnt[1325][4]~45436_combout\,
	cout => \led_flash_cnt[1325][4]~45437\);

-- Location: FF_X6_Y10_N23
\led_flash_cnt[1325][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1325][4]~45436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1325][4]~q\);

-- Location: LCCOMB_X6_Y10_N24
\led_flash_cnt[1325][5]~45438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1325][5]~45438_combout\ = (\led_flash_cnt[1325][5]~q\ & (\led_flash_cnt[1325][4]~45437\ $ (GND))) # (!\led_flash_cnt[1325][5]~q\ & (!\led_flash_cnt[1325][4]~45437\ & VCC))
-- \led_flash_cnt[1325][5]~45439\ = CARRY((\led_flash_cnt[1325][5]~q\ & !\led_flash_cnt[1325][4]~45437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1325][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1325][4]~45437\,
	combout => \led_flash_cnt[1325][5]~45438_combout\,
	cout => \led_flash_cnt[1325][5]~45439\);

-- Location: FF_X6_Y10_N25
\led_flash_cnt[1325][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1325][5]~45438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1325][5]~q\);

-- Location: LCCOMB_X6_Y10_N26
\led_flash_cnt[1325][6]~45440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1325][6]~45440_combout\ = (\led_flash_cnt[1325][6]~q\ & (!\led_flash_cnt[1325][5]~45439\)) # (!\led_flash_cnt[1325][6]~q\ & ((\led_flash_cnt[1325][5]~45439\) # (GND)))
-- \led_flash_cnt[1325][6]~45441\ = CARRY((!\led_flash_cnt[1325][5]~45439\) # (!\led_flash_cnt[1325][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1325][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1325][5]~45439\,
	combout => \led_flash_cnt[1325][6]~45440_combout\,
	cout => \led_flash_cnt[1325][6]~45441\);

-- Location: FF_X6_Y10_N27
\led_flash_cnt[1325][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1325][6]~45440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1325][6]~q\);

-- Location: LCCOMB_X6_Y10_N28
\led_flash_cnt[1325][7]~45442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1325][7]~45442_combout\ = \led_flash_cnt[1325][6]~45441\ $ (!\led_flash_cnt[1325][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1325][7]~q\,
	cin => \led_flash_cnt[1325][6]~45441\,
	combout => \led_flash_cnt[1325][7]~45442_combout\);

-- Location: FF_X6_Y10_N29
\led_flash_cnt[1325][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1325][7]~45442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1325][7]~q\);

-- Location: LCCOMB_X6_Y10_N4
\WideAnd1325~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1325~1_combout\ = (\led_flash_cnt[1325][6]~q\ & \led_flash_cnt[1325][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1325][6]~q\,
	datad => \led_flash_cnt[1325][5]~q\,
	combout => \WideAnd1325~1_combout\);

-- Location: LCCOMB_X6_Y10_N12
\WideAnd1325~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1325~0_combout\ = (\led_flash_cnt[1325][3]~q\ & (\led_flash_cnt[1325][2]~q\ & (\led_flash_cnt[1325][4]~q\ & \led_flash_cnt[1325][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1325][3]~q\,
	datab => \led_flash_cnt[1325][2]~q\,
	datac => \led_flash_cnt[1325][4]~q\,
	datad => \led_flash_cnt[1325][1]~q\,
	combout => \WideAnd1325~0_combout\);

-- Location: LCCOMB_X6_Y10_N30
WideAnd1325 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1325~combout\ = (\led_flash_cnt[1325][0]~q\ & (\led_flash_cnt[1325][7]~q\ & (\WideAnd1325~1_combout\ & \WideAnd1325~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1325][0]~q\,
	datab => \led_flash_cnt[1325][7]~q\,
	datac => \WideAnd1325~1_combout\,
	datad => \WideAnd1325~0_combout\,
	combout => \WideAnd1325~combout\);

-- Location: FF_X6_Y10_N31
\led_flash_cnt_ands[1325]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1325~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1325));

-- Location: LCCOMB_X9_Y9_N24
\led_flash_cnt[1324][0]~81964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1324][0]~81964_combout\ = !\led_flash_cnt[1324][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1324][0]~q\,
	combout => \led_flash_cnt[1324][0]~81964_combout\);

-- Location: FF_X9_Y9_N25
\led_flash_cnt[1324][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1324][0]~81964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1324][0]~q\);

-- Location: LCCOMB_X9_Y9_N2
\led_flash_cnt[1324][1]~45416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1324][1]~45416_combout\ = (\led_flash_cnt[1324][0]~q\ & (\led_flash_cnt[1324][1]~q\ $ (VCC))) # (!\led_flash_cnt[1324][0]~q\ & (\led_flash_cnt[1324][1]~q\ & VCC))
-- \led_flash_cnt[1324][1]~45417\ = CARRY((\led_flash_cnt[1324][0]~q\ & \led_flash_cnt[1324][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1324][0]~q\,
	datab => \led_flash_cnt[1324][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1324][1]~45416_combout\,
	cout => \led_flash_cnt[1324][1]~45417\);

-- Location: FF_X9_Y9_N3
\led_flash_cnt[1324][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1324][1]~45416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1324][1]~q\);

-- Location: LCCOMB_X9_Y9_N4
\led_flash_cnt[1324][2]~45418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1324][2]~45418_combout\ = (\led_flash_cnt[1324][2]~q\ & (!\led_flash_cnt[1324][1]~45417\)) # (!\led_flash_cnt[1324][2]~q\ & ((\led_flash_cnt[1324][1]~45417\) # (GND)))
-- \led_flash_cnt[1324][2]~45419\ = CARRY((!\led_flash_cnt[1324][1]~45417\) # (!\led_flash_cnt[1324][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1324][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1324][1]~45417\,
	combout => \led_flash_cnt[1324][2]~45418_combout\,
	cout => \led_flash_cnt[1324][2]~45419\);

-- Location: FF_X9_Y9_N5
\led_flash_cnt[1324][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1324][2]~45418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1324][2]~q\);

-- Location: LCCOMB_X9_Y9_N6
\led_flash_cnt[1324][3]~45420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1324][3]~45420_combout\ = (\led_flash_cnt[1324][3]~q\ & (\led_flash_cnt[1324][2]~45419\ $ (GND))) # (!\led_flash_cnt[1324][3]~q\ & (!\led_flash_cnt[1324][2]~45419\ & VCC))
-- \led_flash_cnt[1324][3]~45421\ = CARRY((\led_flash_cnt[1324][3]~q\ & !\led_flash_cnt[1324][2]~45419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1324][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1324][2]~45419\,
	combout => \led_flash_cnt[1324][3]~45420_combout\,
	cout => \led_flash_cnt[1324][3]~45421\);

-- Location: FF_X9_Y9_N7
\led_flash_cnt[1324][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1324][3]~45420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1324][3]~q\);

-- Location: LCCOMB_X9_Y9_N8
\led_flash_cnt[1324][4]~45422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1324][4]~45422_combout\ = (\led_flash_cnt[1324][4]~q\ & (!\led_flash_cnt[1324][3]~45421\)) # (!\led_flash_cnt[1324][4]~q\ & ((\led_flash_cnt[1324][3]~45421\) # (GND)))
-- \led_flash_cnt[1324][4]~45423\ = CARRY((!\led_flash_cnt[1324][3]~45421\) # (!\led_flash_cnt[1324][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1324][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1324][3]~45421\,
	combout => \led_flash_cnt[1324][4]~45422_combout\,
	cout => \led_flash_cnt[1324][4]~45423\);

-- Location: FF_X9_Y9_N9
\led_flash_cnt[1324][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1324][4]~45422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1324][4]~q\);

-- Location: LCCOMB_X9_Y9_N10
\led_flash_cnt[1324][5]~45424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1324][5]~45424_combout\ = (\led_flash_cnt[1324][5]~q\ & (\led_flash_cnt[1324][4]~45423\ $ (GND))) # (!\led_flash_cnt[1324][5]~q\ & (!\led_flash_cnt[1324][4]~45423\ & VCC))
-- \led_flash_cnt[1324][5]~45425\ = CARRY((\led_flash_cnt[1324][5]~q\ & !\led_flash_cnt[1324][4]~45423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1324][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1324][4]~45423\,
	combout => \led_flash_cnt[1324][5]~45424_combout\,
	cout => \led_flash_cnt[1324][5]~45425\);

-- Location: FF_X9_Y9_N11
\led_flash_cnt[1324][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1324][5]~45424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1324][5]~q\);

-- Location: LCCOMB_X9_Y9_N12
\led_flash_cnt[1324][6]~45426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1324][6]~45426_combout\ = (\led_flash_cnt[1324][6]~q\ & (!\led_flash_cnt[1324][5]~45425\)) # (!\led_flash_cnt[1324][6]~q\ & ((\led_flash_cnt[1324][5]~45425\) # (GND)))
-- \led_flash_cnt[1324][6]~45427\ = CARRY((!\led_flash_cnt[1324][5]~45425\) # (!\led_flash_cnt[1324][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1324][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1324][5]~45425\,
	combout => \led_flash_cnt[1324][6]~45426_combout\,
	cout => \led_flash_cnt[1324][6]~45427\);

-- Location: FF_X9_Y9_N13
\led_flash_cnt[1324][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1324][6]~45426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1324][6]~q\);

-- Location: LCCOMB_X9_Y9_N22
\WideAnd1324~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1324~1_combout\ = (\led_flash_cnt[1324][6]~q\ & \led_flash_cnt[1324][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1324][6]~q\,
	datad => \led_flash_cnt[1324][5]~q\,
	combout => \WideAnd1324~1_combout\);

-- Location: LCCOMB_X9_Y9_N16
\WideAnd1324~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1324~0_combout\ = (\led_flash_cnt[1324][3]~q\ & (\led_flash_cnt[1324][4]~q\ & (\led_flash_cnt[1324][2]~q\ & \led_flash_cnt[1324][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1324][3]~q\,
	datab => \led_flash_cnt[1324][4]~q\,
	datac => \led_flash_cnt[1324][2]~q\,
	datad => \led_flash_cnt[1324][1]~q\,
	combout => \WideAnd1324~0_combout\);

-- Location: LCCOMB_X9_Y9_N14
\led_flash_cnt[1324][7]~45428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1324][7]~45428_combout\ = \led_flash_cnt[1324][7]~q\ $ (!\led_flash_cnt[1324][6]~45427\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1324][7]~q\,
	cin => \led_flash_cnt[1324][6]~45427\,
	combout => \led_flash_cnt[1324][7]~45428_combout\);

-- Location: FF_X9_Y9_N15
\led_flash_cnt[1324][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1324][7]~45428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1324][7]~q\);

-- Location: LCCOMB_X9_Y9_N18
WideAnd1324 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1324~combout\ = (\WideAnd1324~1_combout\ & (\WideAnd1324~0_combout\ & (\led_flash_cnt[1324][7]~q\ & \led_flash_cnt[1324][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1324~1_combout\,
	datab => \WideAnd1324~0_combout\,
	datac => \led_flash_cnt[1324][7]~q\,
	datad => \led_flash_cnt[1324][0]~q\,
	combout => \WideAnd1324~combout\);

-- Location: FF_X9_Y9_N19
\led_flash_cnt_ands[1324]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1324~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1324));

-- Location: LCCOMB_X9_Y9_N26
\WideAnd4005~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4005~1_combout\ = (led_flash_cnt_ands(1325) & led_flash_cnt_ands(1324))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1325),
	datad => led_flash_cnt_ands(1324),
	combout => \WideAnd4005~1_combout\);

-- Location: LCCOMB_X17_Y27_N26
\led_flash_cnt[1326][0]~81966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1326][0]~81966_combout\ = !\led_flash_cnt[1326][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1326][0]~q\,
	combout => \led_flash_cnt[1326][0]~81966_combout\);

-- Location: FF_X17_Y27_N27
\led_flash_cnt[1326][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1326][0]~81966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1326][0]~q\);

-- Location: LCCOMB_X17_Y27_N2
\led_flash_cnt[1326][1]~45444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1326][1]~45444_combout\ = (\led_flash_cnt[1326][0]~q\ & (\led_flash_cnt[1326][1]~q\ $ (VCC))) # (!\led_flash_cnt[1326][0]~q\ & (\led_flash_cnt[1326][1]~q\ & VCC))
-- \led_flash_cnt[1326][1]~45445\ = CARRY((\led_flash_cnt[1326][0]~q\ & \led_flash_cnt[1326][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1326][0]~q\,
	datab => \led_flash_cnt[1326][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1326][1]~45444_combout\,
	cout => \led_flash_cnt[1326][1]~45445\);

-- Location: FF_X17_Y27_N3
\led_flash_cnt[1326][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1326][1]~45444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1326][1]~q\);

-- Location: LCCOMB_X17_Y27_N4
\led_flash_cnt[1326][2]~45446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1326][2]~45446_combout\ = (\led_flash_cnt[1326][2]~q\ & (!\led_flash_cnt[1326][1]~45445\)) # (!\led_flash_cnt[1326][2]~q\ & ((\led_flash_cnt[1326][1]~45445\) # (GND)))
-- \led_flash_cnt[1326][2]~45447\ = CARRY((!\led_flash_cnt[1326][1]~45445\) # (!\led_flash_cnt[1326][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1326][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1326][1]~45445\,
	combout => \led_flash_cnt[1326][2]~45446_combout\,
	cout => \led_flash_cnt[1326][2]~45447\);

-- Location: FF_X17_Y27_N5
\led_flash_cnt[1326][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1326][2]~45446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1326][2]~q\);

-- Location: LCCOMB_X17_Y27_N6
\led_flash_cnt[1326][3]~45448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1326][3]~45448_combout\ = (\led_flash_cnt[1326][3]~q\ & (\led_flash_cnt[1326][2]~45447\ $ (GND))) # (!\led_flash_cnt[1326][3]~q\ & (!\led_flash_cnt[1326][2]~45447\ & VCC))
-- \led_flash_cnt[1326][3]~45449\ = CARRY((\led_flash_cnt[1326][3]~q\ & !\led_flash_cnt[1326][2]~45447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1326][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1326][2]~45447\,
	combout => \led_flash_cnt[1326][3]~45448_combout\,
	cout => \led_flash_cnt[1326][3]~45449\);

-- Location: FF_X17_Y27_N7
\led_flash_cnt[1326][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1326][3]~45448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1326][3]~q\);

-- Location: LCCOMB_X17_Y27_N8
\led_flash_cnt[1326][4]~45450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1326][4]~45450_combout\ = (\led_flash_cnt[1326][4]~q\ & (!\led_flash_cnt[1326][3]~45449\)) # (!\led_flash_cnt[1326][4]~q\ & ((\led_flash_cnt[1326][3]~45449\) # (GND)))
-- \led_flash_cnt[1326][4]~45451\ = CARRY((!\led_flash_cnt[1326][3]~45449\) # (!\led_flash_cnt[1326][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1326][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1326][3]~45449\,
	combout => \led_flash_cnt[1326][4]~45450_combout\,
	cout => \led_flash_cnt[1326][4]~45451\);

-- Location: FF_X17_Y27_N9
\led_flash_cnt[1326][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1326][4]~45450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1326][4]~q\);

-- Location: LCCOMB_X17_Y27_N22
\WideAnd1326~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1326~0_combout\ = (\led_flash_cnt[1326][3]~q\ & (\led_flash_cnt[1326][2]~q\ & (\led_flash_cnt[1326][4]~q\ & \led_flash_cnt[1326][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1326][3]~q\,
	datab => \led_flash_cnt[1326][2]~q\,
	datac => \led_flash_cnt[1326][4]~q\,
	datad => \led_flash_cnt[1326][1]~q\,
	combout => \WideAnd1326~0_combout\);

-- Location: LCCOMB_X17_Y27_N10
\led_flash_cnt[1326][5]~45452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1326][5]~45452_combout\ = (\led_flash_cnt[1326][5]~q\ & (\led_flash_cnt[1326][4]~45451\ $ (GND))) # (!\led_flash_cnt[1326][5]~q\ & (!\led_flash_cnt[1326][4]~45451\ & VCC))
-- \led_flash_cnt[1326][5]~45453\ = CARRY((\led_flash_cnt[1326][5]~q\ & !\led_flash_cnt[1326][4]~45451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1326][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1326][4]~45451\,
	combout => \led_flash_cnt[1326][5]~45452_combout\,
	cout => \led_flash_cnt[1326][5]~45453\);

-- Location: FF_X17_Y27_N11
\led_flash_cnt[1326][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1326][5]~45452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1326][5]~q\);

-- Location: LCCOMB_X17_Y27_N12
\led_flash_cnt[1326][6]~45454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1326][6]~45454_combout\ = (\led_flash_cnt[1326][6]~q\ & (!\led_flash_cnt[1326][5]~45453\)) # (!\led_flash_cnt[1326][6]~q\ & ((\led_flash_cnt[1326][5]~45453\) # (GND)))
-- \led_flash_cnt[1326][6]~45455\ = CARRY((!\led_flash_cnt[1326][5]~45453\) # (!\led_flash_cnt[1326][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1326][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1326][5]~45453\,
	combout => \led_flash_cnt[1326][6]~45454_combout\,
	cout => \led_flash_cnt[1326][6]~45455\);

-- Location: FF_X17_Y27_N13
\led_flash_cnt[1326][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1326][6]~45454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1326][6]~q\);

-- Location: LCCOMB_X17_Y27_N14
\led_flash_cnt[1326][7]~45456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1326][7]~45456_combout\ = \led_flash_cnt[1326][7]~q\ $ (!\led_flash_cnt[1326][6]~45455\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1326][7]~q\,
	cin => \led_flash_cnt[1326][6]~45455\,
	combout => \led_flash_cnt[1326][7]~45456_combout\);

-- Location: FF_X17_Y27_N15
\led_flash_cnt[1326][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1326][7]~45456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1326][7]~q\);

-- Location: LCCOMB_X17_Y27_N18
\WideAnd1326~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1326~1_combout\ = (\led_flash_cnt[1326][6]~q\ & \led_flash_cnt[1326][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1326][6]~q\,
	datad => \led_flash_cnt[1326][5]~q\,
	combout => \WideAnd1326~1_combout\);

-- Location: LCCOMB_X17_Y27_N24
WideAnd1326 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1326~combout\ = (\WideAnd1326~0_combout\ & (\led_flash_cnt[1326][7]~q\ & (\led_flash_cnt[1326][0]~q\ & \WideAnd1326~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1326~0_combout\,
	datab => \led_flash_cnt[1326][7]~q\,
	datac => \led_flash_cnt[1326][0]~q\,
	datad => \WideAnd1326~1_combout\,
	combout => \WideAnd1326~combout\);

-- Location: FF_X17_Y27_N25
\led_flash_cnt_ands[1326]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1326~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1326));

-- Location: LCCOMB_X9_Y12_N26
\led_flash_cnt[1327][0]~81967\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1327][0]~81967_combout\ = !\led_flash_cnt[1327][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1327][0]~q\,
	combout => \led_flash_cnt[1327][0]~81967_combout\);

-- Location: FF_X9_Y12_N27
\led_flash_cnt[1327][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1327][0]~81967_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1327][0]~q\);

-- Location: LCCOMB_X9_Y12_N0
\led_flash_cnt[1327][1]~45458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1327][1]~45458_combout\ = (\led_flash_cnt[1327][0]~q\ & (\led_flash_cnt[1327][1]~q\ $ (VCC))) # (!\led_flash_cnt[1327][0]~q\ & (\led_flash_cnt[1327][1]~q\ & VCC))
-- \led_flash_cnt[1327][1]~45459\ = CARRY((\led_flash_cnt[1327][0]~q\ & \led_flash_cnt[1327][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1327][0]~q\,
	datab => \led_flash_cnt[1327][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1327][1]~45458_combout\,
	cout => \led_flash_cnt[1327][1]~45459\);

-- Location: FF_X9_Y12_N1
\led_flash_cnt[1327][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1327][1]~45458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1327][1]~q\);

-- Location: LCCOMB_X9_Y12_N2
\led_flash_cnt[1327][2]~45460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1327][2]~45460_combout\ = (\led_flash_cnt[1327][2]~q\ & (!\led_flash_cnt[1327][1]~45459\)) # (!\led_flash_cnt[1327][2]~q\ & ((\led_flash_cnt[1327][1]~45459\) # (GND)))
-- \led_flash_cnt[1327][2]~45461\ = CARRY((!\led_flash_cnt[1327][1]~45459\) # (!\led_flash_cnt[1327][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1327][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1327][1]~45459\,
	combout => \led_flash_cnt[1327][2]~45460_combout\,
	cout => \led_flash_cnt[1327][2]~45461\);

-- Location: FF_X9_Y12_N3
\led_flash_cnt[1327][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1327][2]~45460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1327][2]~q\);

-- Location: LCCOMB_X9_Y12_N4
\led_flash_cnt[1327][3]~45462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1327][3]~45462_combout\ = (\led_flash_cnt[1327][3]~q\ & (\led_flash_cnt[1327][2]~45461\ $ (GND))) # (!\led_flash_cnt[1327][3]~q\ & (!\led_flash_cnt[1327][2]~45461\ & VCC))
-- \led_flash_cnt[1327][3]~45463\ = CARRY((\led_flash_cnt[1327][3]~q\ & !\led_flash_cnt[1327][2]~45461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1327][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1327][2]~45461\,
	combout => \led_flash_cnt[1327][3]~45462_combout\,
	cout => \led_flash_cnt[1327][3]~45463\);

-- Location: FF_X9_Y12_N5
\led_flash_cnt[1327][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1327][3]~45462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1327][3]~q\);

-- Location: LCCOMB_X9_Y12_N6
\led_flash_cnt[1327][4]~45464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1327][4]~45464_combout\ = (\led_flash_cnt[1327][4]~q\ & (!\led_flash_cnt[1327][3]~45463\)) # (!\led_flash_cnt[1327][4]~q\ & ((\led_flash_cnt[1327][3]~45463\) # (GND)))
-- \led_flash_cnt[1327][4]~45465\ = CARRY((!\led_flash_cnt[1327][3]~45463\) # (!\led_flash_cnt[1327][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1327][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1327][3]~45463\,
	combout => \led_flash_cnt[1327][4]~45464_combout\,
	cout => \led_flash_cnt[1327][4]~45465\);

-- Location: FF_X9_Y12_N7
\led_flash_cnt[1327][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1327][4]~45464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1327][4]~q\);

-- Location: LCCOMB_X9_Y12_N28
\WideAnd1327~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1327~0_combout\ = (\led_flash_cnt[1327][4]~q\ & (\led_flash_cnt[1327][2]~q\ & (\led_flash_cnt[1327][3]~q\ & \led_flash_cnt[1327][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1327][4]~q\,
	datab => \led_flash_cnt[1327][2]~q\,
	datac => \led_flash_cnt[1327][3]~q\,
	datad => \led_flash_cnt[1327][1]~q\,
	combout => \WideAnd1327~0_combout\);

-- Location: LCCOMB_X9_Y12_N8
\led_flash_cnt[1327][5]~45466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1327][5]~45466_combout\ = (\led_flash_cnt[1327][5]~q\ & (\led_flash_cnt[1327][4]~45465\ $ (GND))) # (!\led_flash_cnt[1327][5]~q\ & (!\led_flash_cnt[1327][4]~45465\ & VCC))
-- \led_flash_cnt[1327][5]~45467\ = CARRY((\led_flash_cnt[1327][5]~q\ & !\led_flash_cnt[1327][4]~45465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1327][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1327][4]~45465\,
	combout => \led_flash_cnt[1327][5]~45466_combout\,
	cout => \led_flash_cnt[1327][5]~45467\);

-- Location: FF_X9_Y12_N9
\led_flash_cnt[1327][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1327][5]~45466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1327][5]~q\);

-- Location: LCCOMB_X9_Y12_N10
\led_flash_cnt[1327][6]~45468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1327][6]~45468_combout\ = (\led_flash_cnt[1327][6]~q\ & (!\led_flash_cnt[1327][5]~45467\)) # (!\led_flash_cnt[1327][6]~q\ & ((\led_flash_cnt[1327][5]~45467\) # (GND)))
-- \led_flash_cnt[1327][6]~45469\ = CARRY((!\led_flash_cnt[1327][5]~45467\) # (!\led_flash_cnt[1327][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1327][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1327][5]~45467\,
	combout => \led_flash_cnt[1327][6]~45468_combout\,
	cout => \led_flash_cnt[1327][6]~45469\);

-- Location: FF_X9_Y12_N11
\led_flash_cnt[1327][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1327][6]~45468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1327][6]~q\);

-- Location: LCCOMB_X9_Y12_N22
\WideAnd1327~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1327~1_combout\ = (\led_flash_cnt[1327][5]~q\ & \led_flash_cnt[1327][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1327][5]~q\,
	datad => \led_flash_cnt[1327][6]~q\,
	combout => \WideAnd1327~1_combout\);

-- Location: LCCOMB_X9_Y12_N12
\led_flash_cnt[1327][7]~45470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1327][7]~45470_combout\ = \led_flash_cnt[1327][6]~45469\ $ (!\led_flash_cnt[1327][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1327][7]~q\,
	cin => \led_flash_cnt[1327][6]~45469\,
	combout => \led_flash_cnt[1327][7]~45470_combout\);

-- Location: FF_X9_Y12_N13
\led_flash_cnt[1327][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1327][7]~45470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1327][7]~q\);

-- Location: LCCOMB_X9_Y12_N20
WideAnd1327 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1327~combout\ = (\led_flash_cnt[1327][0]~q\ & (\WideAnd1327~0_combout\ & (\WideAnd1327~1_combout\ & \led_flash_cnt[1327][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1327][0]~q\,
	datab => \WideAnd1327~0_combout\,
	datac => \WideAnd1327~1_combout\,
	datad => \led_flash_cnt[1327][7]~q\,
	combout => \WideAnd1327~combout\);

-- Location: FF_X9_Y12_N21
\led_flash_cnt_ands[1327]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1327~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1327));

-- Location: LCCOMB_X9_Y12_N30
WideAnd4005 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4005~combout\ = (\WideAnd4005~0_combout\ & (\WideAnd4005~1_combout\ & (led_flash_cnt_ands(1326) & led_flash_cnt_ands(1327))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4005~0_combout\,
	datab => \WideAnd4005~1_combout\,
	datac => led_flash_cnt_ands(1326),
	datad => led_flash_cnt_ands(1327),
	combout => \WideAnd4005~combout\);

-- Location: FF_X9_Y12_N31
\led_flash_cnt_ands_1[165]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4005~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(165));

-- Location: LCCOMB_X31_Y12_N28
\WideAnd4340~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4340~1_combout\ = (led_flash_cnt_ands_1(164) & led_flash_cnt_ands_1(165))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(164),
	datad => led_flash_cnt_ands_1(165),
	combout => \WideAnd4340~1_combout\);

-- Location: LCCOMB_X30_Y12_N24
WideAnd4340 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4340~combout\ = (led_flash_cnt_ands_1(167) & (\WideAnd4340~0_combout\ & (led_flash_cnt_ands_1(166) & \WideAnd4340~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(167),
	datab => \WideAnd4340~0_combout\,
	datac => led_flash_cnt_ands_1(166),
	datad => \WideAnd4340~1_combout\,
	combout => \WideAnd4340~combout\);

-- Location: FF_X30_Y12_N25
\led_flash_cnt_ands_2[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4340~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(20));

-- Location: LCCOMB_X30_Y12_N4
\WideAnd4380~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~6_combout\ = (led_flash_cnt_ands_2(22) & (led_flash_cnt_ands_2(23) & (led_flash_cnt_ands_2(21) & led_flash_cnt_ands_2(20))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(22),
	datab => led_flash_cnt_ands_2(23),
	datac => led_flash_cnt_ands_2(21),
	datad => led_flash_cnt_ands_2(20),
	combout => \WideAnd4380~6_combout\);

-- Location: LCCOMB_X37_Y20_N22
\led_flash_cnt[2039][0]~82679\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2039][0]~82679_combout\ = !\led_flash_cnt[2039][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2039][0]~q\,
	combout => \led_flash_cnt[2039][0]~82679_combout\);

-- Location: FF_X37_Y20_N23
\led_flash_cnt[2039][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2039][0]~82679_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2039][0]~q\);

-- Location: LCCOMB_X37_Y20_N2
\led_flash_cnt[2039][1]~55426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2039][1]~55426_combout\ = (\led_flash_cnt[2039][0]~q\ & (\led_flash_cnt[2039][1]~q\ $ (VCC))) # (!\led_flash_cnt[2039][0]~q\ & (\led_flash_cnt[2039][1]~q\ & VCC))
-- \led_flash_cnt[2039][1]~55427\ = CARRY((\led_flash_cnt[2039][0]~q\ & \led_flash_cnt[2039][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2039][0]~q\,
	datab => \led_flash_cnt[2039][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2039][1]~55426_combout\,
	cout => \led_flash_cnt[2039][1]~55427\);

-- Location: FF_X37_Y20_N3
\led_flash_cnt[2039][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2039][1]~55426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2039][1]~q\);

-- Location: LCCOMB_X37_Y20_N4
\led_flash_cnt[2039][2]~55428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2039][2]~55428_combout\ = (\led_flash_cnt[2039][2]~q\ & (!\led_flash_cnt[2039][1]~55427\)) # (!\led_flash_cnt[2039][2]~q\ & ((\led_flash_cnt[2039][1]~55427\) # (GND)))
-- \led_flash_cnt[2039][2]~55429\ = CARRY((!\led_flash_cnt[2039][1]~55427\) # (!\led_flash_cnt[2039][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2039][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2039][1]~55427\,
	combout => \led_flash_cnt[2039][2]~55428_combout\,
	cout => \led_flash_cnt[2039][2]~55429\);

-- Location: FF_X37_Y20_N5
\led_flash_cnt[2039][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2039][2]~55428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2039][2]~q\);

-- Location: LCCOMB_X37_Y20_N6
\led_flash_cnt[2039][3]~55430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2039][3]~55430_combout\ = (\led_flash_cnt[2039][3]~q\ & (\led_flash_cnt[2039][2]~55429\ $ (GND))) # (!\led_flash_cnt[2039][3]~q\ & (!\led_flash_cnt[2039][2]~55429\ & VCC))
-- \led_flash_cnt[2039][3]~55431\ = CARRY((\led_flash_cnt[2039][3]~q\ & !\led_flash_cnt[2039][2]~55429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2039][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2039][2]~55429\,
	combout => \led_flash_cnt[2039][3]~55430_combout\,
	cout => \led_flash_cnt[2039][3]~55431\);

-- Location: FF_X37_Y20_N7
\led_flash_cnt[2039][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2039][3]~55430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2039][3]~q\);

-- Location: LCCOMB_X37_Y20_N8
\led_flash_cnt[2039][4]~55432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2039][4]~55432_combout\ = (\led_flash_cnt[2039][4]~q\ & (!\led_flash_cnt[2039][3]~55431\)) # (!\led_flash_cnt[2039][4]~q\ & ((\led_flash_cnt[2039][3]~55431\) # (GND)))
-- \led_flash_cnt[2039][4]~55433\ = CARRY((!\led_flash_cnt[2039][3]~55431\) # (!\led_flash_cnt[2039][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2039][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2039][3]~55431\,
	combout => \led_flash_cnt[2039][4]~55432_combout\,
	cout => \led_flash_cnt[2039][4]~55433\);

-- Location: FF_X37_Y20_N9
\led_flash_cnt[2039][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2039][4]~55432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2039][4]~q\);

-- Location: LCCOMB_X37_Y20_N26
\WideAnd2039~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2039~0_combout\ = (\led_flash_cnt[2039][3]~q\ & (\led_flash_cnt[2039][2]~q\ & (\led_flash_cnt[2039][4]~q\ & \led_flash_cnt[2039][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2039][3]~q\,
	datab => \led_flash_cnt[2039][2]~q\,
	datac => \led_flash_cnt[2039][4]~q\,
	datad => \led_flash_cnt[2039][1]~q\,
	combout => \WideAnd2039~0_combout\);

-- Location: LCCOMB_X37_Y20_N10
\led_flash_cnt[2039][5]~55434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2039][5]~55434_combout\ = (\led_flash_cnt[2039][5]~q\ & (\led_flash_cnt[2039][4]~55433\ $ (GND))) # (!\led_flash_cnt[2039][5]~q\ & (!\led_flash_cnt[2039][4]~55433\ & VCC))
-- \led_flash_cnt[2039][5]~55435\ = CARRY((\led_flash_cnt[2039][5]~q\ & !\led_flash_cnt[2039][4]~55433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2039][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2039][4]~55433\,
	combout => \led_flash_cnt[2039][5]~55434_combout\,
	cout => \led_flash_cnt[2039][5]~55435\);

-- Location: FF_X37_Y20_N11
\led_flash_cnt[2039][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2039][5]~55434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2039][5]~q\);

-- Location: LCCOMB_X37_Y20_N12
\led_flash_cnt[2039][6]~55436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2039][6]~55436_combout\ = (\led_flash_cnt[2039][6]~q\ & (!\led_flash_cnt[2039][5]~55435\)) # (!\led_flash_cnt[2039][6]~q\ & ((\led_flash_cnt[2039][5]~55435\) # (GND)))
-- \led_flash_cnt[2039][6]~55437\ = CARRY((!\led_flash_cnt[2039][5]~55435\) # (!\led_flash_cnt[2039][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2039][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2039][5]~55435\,
	combout => \led_flash_cnt[2039][6]~55436_combout\,
	cout => \led_flash_cnt[2039][6]~55437\);

-- Location: FF_X37_Y20_N13
\led_flash_cnt[2039][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2039][6]~55436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2039][6]~q\);

-- Location: LCCOMB_X37_Y20_N14
\led_flash_cnt[2039][7]~55438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2039][7]~55438_combout\ = \led_flash_cnt[2039][7]~q\ $ (!\led_flash_cnt[2039][6]~55437\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2039][7]~q\,
	cin => \led_flash_cnt[2039][6]~55437\,
	combout => \led_flash_cnt[2039][7]~55438_combout\);

-- Location: FF_X37_Y20_N15
\led_flash_cnt[2039][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2039][7]~55438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2039][7]~q\);

-- Location: LCCOMB_X37_Y20_N0
\WideAnd2039~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2039~1_combout\ = (\led_flash_cnt[2039][6]~q\ & \led_flash_cnt[2039][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2039][6]~q\,
	datad => \led_flash_cnt[2039][5]~q\,
	combout => \WideAnd2039~1_combout\);

-- Location: LCCOMB_X37_Y20_N20
WideAnd2039 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2039~combout\ = (\WideAnd2039~0_combout\ & (\led_flash_cnt[2039][7]~q\ & (\led_flash_cnt[2039][0]~q\ & \WideAnd2039~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2039~0_combout\,
	datab => \led_flash_cnt[2039][7]~q\,
	datac => \led_flash_cnt[2039][0]~q\,
	datad => \WideAnd2039~1_combout\,
	combout => \WideAnd2039~combout\);

-- Location: FF_X37_Y20_N21
\led_flash_cnt_ands[2039]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2039~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2039));

-- Location: LCCOMB_X34_Y37_N18
\led_flash_cnt[2038][0]~82678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2038][0]~82678_combout\ = !\led_flash_cnt[2038][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2038][0]~q\,
	combout => \led_flash_cnt[2038][0]~82678_combout\);

-- Location: FF_X34_Y37_N19
\led_flash_cnt[2038][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2038][0]~82678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2038][0]~q\);

-- Location: LCCOMB_X35_Y37_N0
\led_flash_cnt[2038][1]~55412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2038][1]~55412_combout\ = (\led_flash_cnt[2038][1]~q\ & (\led_flash_cnt[2038][0]~q\ $ (VCC))) # (!\led_flash_cnt[2038][1]~q\ & (\led_flash_cnt[2038][0]~q\ & VCC))
-- \led_flash_cnt[2038][1]~55413\ = CARRY((\led_flash_cnt[2038][1]~q\ & \led_flash_cnt[2038][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2038][1]~q\,
	datab => \led_flash_cnt[2038][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2038][1]~55412_combout\,
	cout => \led_flash_cnt[2038][1]~55413\);

-- Location: FF_X35_Y37_N1
\led_flash_cnt[2038][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2038][1]~55412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2038][1]~q\);

-- Location: LCCOMB_X35_Y37_N2
\led_flash_cnt[2038][2]~55414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2038][2]~55414_combout\ = (\led_flash_cnt[2038][2]~q\ & (!\led_flash_cnt[2038][1]~55413\)) # (!\led_flash_cnt[2038][2]~q\ & ((\led_flash_cnt[2038][1]~55413\) # (GND)))
-- \led_flash_cnt[2038][2]~55415\ = CARRY((!\led_flash_cnt[2038][1]~55413\) # (!\led_flash_cnt[2038][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2038][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2038][1]~55413\,
	combout => \led_flash_cnt[2038][2]~55414_combout\,
	cout => \led_flash_cnt[2038][2]~55415\);

-- Location: FF_X35_Y37_N3
\led_flash_cnt[2038][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2038][2]~55414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2038][2]~q\);

-- Location: LCCOMB_X35_Y37_N4
\led_flash_cnt[2038][3]~55416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2038][3]~55416_combout\ = (\led_flash_cnt[2038][3]~q\ & (\led_flash_cnt[2038][2]~55415\ $ (GND))) # (!\led_flash_cnt[2038][3]~q\ & (!\led_flash_cnt[2038][2]~55415\ & VCC))
-- \led_flash_cnt[2038][3]~55417\ = CARRY((\led_flash_cnt[2038][3]~q\ & !\led_flash_cnt[2038][2]~55415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2038][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2038][2]~55415\,
	combout => \led_flash_cnt[2038][3]~55416_combout\,
	cout => \led_flash_cnt[2038][3]~55417\);

-- Location: FF_X35_Y37_N5
\led_flash_cnt[2038][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2038][3]~55416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2038][3]~q\);

-- Location: LCCOMB_X35_Y37_N6
\led_flash_cnt[2038][4]~55418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2038][4]~55418_combout\ = (\led_flash_cnt[2038][4]~q\ & (!\led_flash_cnt[2038][3]~55417\)) # (!\led_flash_cnt[2038][4]~q\ & ((\led_flash_cnt[2038][3]~55417\) # (GND)))
-- \led_flash_cnt[2038][4]~55419\ = CARRY((!\led_flash_cnt[2038][3]~55417\) # (!\led_flash_cnt[2038][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2038][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2038][3]~55417\,
	combout => \led_flash_cnt[2038][4]~55418_combout\,
	cout => \led_flash_cnt[2038][4]~55419\);

-- Location: FF_X35_Y37_N7
\led_flash_cnt[2038][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2038][4]~55418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2038][4]~q\);

-- Location: LCCOMB_X35_Y37_N8
\led_flash_cnt[2038][5]~55420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2038][5]~55420_combout\ = (\led_flash_cnt[2038][5]~q\ & (\led_flash_cnt[2038][4]~55419\ $ (GND))) # (!\led_flash_cnt[2038][5]~q\ & (!\led_flash_cnt[2038][4]~55419\ & VCC))
-- \led_flash_cnt[2038][5]~55421\ = CARRY((\led_flash_cnt[2038][5]~q\ & !\led_flash_cnt[2038][4]~55419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2038][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2038][4]~55419\,
	combout => \led_flash_cnt[2038][5]~55420_combout\,
	cout => \led_flash_cnt[2038][5]~55421\);

-- Location: FF_X35_Y37_N9
\led_flash_cnt[2038][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2038][5]~55420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2038][5]~q\);

-- Location: LCCOMB_X35_Y37_N10
\led_flash_cnt[2038][6]~55422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2038][6]~55422_combout\ = (\led_flash_cnt[2038][6]~q\ & (!\led_flash_cnt[2038][5]~55421\)) # (!\led_flash_cnt[2038][6]~q\ & ((\led_flash_cnt[2038][5]~55421\) # (GND)))
-- \led_flash_cnt[2038][6]~55423\ = CARRY((!\led_flash_cnt[2038][5]~55421\) # (!\led_flash_cnt[2038][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2038][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2038][5]~55421\,
	combout => \led_flash_cnt[2038][6]~55422_combout\,
	cout => \led_flash_cnt[2038][6]~55423\);

-- Location: FF_X35_Y37_N11
\led_flash_cnt[2038][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2038][6]~55422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2038][6]~q\);

-- Location: LCCOMB_X34_Y37_N20
\WideAnd2038~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2038~1_combout\ = (\led_flash_cnt[2038][6]~q\ & \led_flash_cnt[2038][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2038][6]~q\,
	datac => \led_flash_cnt[2038][5]~q\,
	combout => \WideAnd2038~1_combout\);

-- Location: LCCOMB_X35_Y37_N12
\led_flash_cnt[2038][7]~55424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2038][7]~55424_combout\ = \led_flash_cnt[2038][6]~55423\ $ (!\led_flash_cnt[2038][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2038][7]~q\,
	cin => \led_flash_cnt[2038][6]~55423\,
	combout => \led_flash_cnt[2038][7]~55424_combout\);

-- Location: FF_X35_Y37_N13
\led_flash_cnt[2038][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2038][7]~55424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2038][7]~q\);

-- Location: LCCOMB_X34_Y37_N24
\WideAnd2038~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2038~0_combout\ = (\led_flash_cnt[2038][3]~q\ & (\led_flash_cnt[2038][4]~q\ & (\led_flash_cnt[2038][1]~q\ & \led_flash_cnt[2038][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2038][3]~q\,
	datab => \led_flash_cnt[2038][4]~q\,
	datac => \led_flash_cnt[2038][1]~q\,
	datad => \led_flash_cnt[2038][2]~q\,
	combout => \WideAnd2038~0_combout\);

-- Location: LCCOMB_X34_Y37_N30
WideAnd2038 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2038~combout\ = (\led_flash_cnt[2038][0]~q\ & (\WideAnd2038~1_combout\ & (\led_flash_cnt[2038][7]~q\ & \WideAnd2038~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2038][0]~q\,
	datab => \WideAnd2038~1_combout\,
	datac => \led_flash_cnt[2038][7]~q\,
	datad => \WideAnd2038~0_combout\,
	combout => \WideAnd2038~combout\);

-- Location: FF_X34_Y37_N31
\led_flash_cnt_ands[2038]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2038~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2038));

-- Location: LCCOMB_X13_Y13_N16
\led_flash_cnt[2037][0]~82677\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2037][0]~82677_combout\ = !\led_flash_cnt[2037][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2037][0]~q\,
	combout => \led_flash_cnt[2037][0]~82677_combout\);

-- Location: FF_X13_Y13_N17
\led_flash_cnt[2037][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2037][0]~82677_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2037][0]~q\);

-- Location: LCCOMB_X14_Y13_N2
\led_flash_cnt[2037][1]~55398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2037][1]~55398_combout\ = (\led_flash_cnt[2037][0]~q\ & (\led_flash_cnt[2037][1]~q\ $ (VCC))) # (!\led_flash_cnt[2037][0]~q\ & (\led_flash_cnt[2037][1]~q\ & VCC))
-- \led_flash_cnt[2037][1]~55399\ = CARRY((\led_flash_cnt[2037][0]~q\ & \led_flash_cnt[2037][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2037][0]~q\,
	datab => \led_flash_cnt[2037][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2037][1]~55398_combout\,
	cout => \led_flash_cnt[2037][1]~55399\);

-- Location: FF_X14_Y13_N3
\led_flash_cnt[2037][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2037][1]~55398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2037][1]~q\);

-- Location: LCCOMB_X14_Y13_N4
\led_flash_cnt[2037][2]~55400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2037][2]~55400_combout\ = (\led_flash_cnt[2037][2]~q\ & (!\led_flash_cnt[2037][1]~55399\)) # (!\led_flash_cnt[2037][2]~q\ & ((\led_flash_cnt[2037][1]~55399\) # (GND)))
-- \led_flash_cnt[2037][2]~55401\ = CARRY((!\led_flash_cnt[2037][1]~55399\) # (!\led_flash_cnt[2037][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2037][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2037][1]~55399\,
	combout => \led_flash_cnt[2037][2]~55400_combout\,
	cout => \led_flash_cnt[2037][2]~55401\);

-- Location: FF_X14_Y13_N5
\led_flash_cnt[2037][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2037][2]~55400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2037][2]~q\);

-- Location: LCCOMB_X14_Y13_N6
\led_flash_cnt[2037][3]~55402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2037][3]~55402_combout\ = (\led_flash_cnt[2037][3]~q\ & (\led_flash_cnt[2037][2]~55401\ $ (GND))) # (!\led_flash_cnt[2037][3]~q\ & (!\led_flash_cnt[2037][2]~55401\ & VCC))
-- \led_flash_cnt[2037][3]~55403\ = CARRY((\led_flash_cnt[2037][3]~q\ & !\led_flash_cnt[2037][2]~55401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2037][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2037][2]~55401\,
	combout => \led_flash_cnt[2037][3]~55402_combout\,
	cout => \led_flash_cnt[2037][3]~55403\);

-- Location: FF_X14_Y13_N7
\led_flash_cnt[2037][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2037][3]~55402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2037][3]~q\);

-- Location: LCCOMB_X14_Y13_N8
\led_flash_cnt[2037][4]~55404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2037][4]~55404_combout\ = (\led_flash_cnt[2037][4]~q\ & (!\led_flash_cnt[2037][3]~55403\)) # (!\led_flash_cnt[2037][4]~q\ & ((\led_flash_cnt[2037][3]~55403\) # (GND)))
-- \led_flash_cnt[2037][4]~55405\ = CARRY((!\led_flash_cnt[2037][3]~55403\) # (!\led_flash_cnt[2037][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2037][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2037][3]~55403\,
	combout => \led_flash_cnt[2037][4]~55404_combout\,
	cout => \led_flash_cnt[2037][4]~55405\);

-- Location: FF_X14_Y13_N9
\led_flash_cnt[2037][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2037][4]~55404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2037][4]~q\);

-- Location: LCCOMB_X14_Y13_N10
\led_flash_cnt[2037][5]~55406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2037][5]~55406_combout\ = (\led_flash_cnt[2037][5]~q\ & (\led_flash_cnt[2037][4]~55405\ $ (GND))) # (!\led_flash_cnt[2037][5]~q\ & (!\led_flash_cnt[2037][4]~55405\ & VCC))
-- \led_flash_cnt[2037][5]~55407\ = CARRY((\led_flash_cnt[2037][5]~q\ & !\led_flash_cnt[2037][4]~55405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2037][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2037][4]~55405\,
	combout => \led_flash_cnt[2037][5]~55406_combout\,
	cout => \led_flash_cnt[2037][5]~55407\);

-- Location: FF_X14_Y13_N11
\led_flash_cnt[2037][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2037][5]~55406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2037][5]~q\);

-- Location: LCCOMB_X14_Y13_N12
\led_flash_cnt[2037][6]~55408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2037][6]~55408_combout\ = (\led_flash_cnt[2037][6]~q\ & (!\led_flash_cnt[2037][5]~55407\)) # (!\led_flash_cnt[2037][6]~q\ & ((\led_flash_cnt[2037][5]~55407\) # (GND)))
-- \led_flash_cnt[2037][6]~55409\ = CARRY((!\led_flash_cnt[2037][5]~55407\) # (!\led_flash_cnt[2037][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2037][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2037][5]~55407\,
	combout => \led_flash_cnt[2037][6]~55408_combout\,
	cout => \led_flash_cnt[2037][6]~55409\);

-- Location: FF_X14_Y13_N13
\led_flash_cnt[2037][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2037][6]~55408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2037][6]~q\);

-- Location: LCCOMB_X13_Y13_N10
\WideAnd2037~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2037~1_combout\ = (\led_flash_cnt[2037][6]~q\ & \led_flash_cnt[2037][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2037][6]~q\,
	datac => \led_flash_cnt[2037][5]~q\,
	combout => \WideAnd2037~1_combout\);

-- Location: LCCOMB_X14_Y13_N14
\led_flash_cnt[2037][7]~55410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2037][7]~55410_combout\ = \led_flash_cnt[2037][7]~q\ $ (!\led_flash_cnt[2037][6]~55409\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2037][7]~q\,
	cin => \led_flash_cnt[2037][6]~55409\,
	combout => \led_flash_cnt[2037][7]~55410_combout\);

-- Location: FF_X14_Y13_N15
\led_flash_cnt[2037][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2037][7]~55410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2037][7]~q\);

-- Location: LCCOMB_X14_Y13_N0
\WideAnd2037~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2037~0_combout\ = (\led_flash_cnt[2037][3]~q\ & (\led_flash_cnt[2037][4]~q\ & (\led_flash_cnt[2037][2]~q\ & \led_flash_cnt[2037][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2037][3]~q\,
	datab => \led_flash_cnt[2037][4]~q\,
	datac => \led_flash_cnt[2037][2]~q\,
	datad => \led_flash_cnt[2037][1]~q\,
	combout => \WideAnd2037~0_combout\);

-- Location: LCCOMB_X13_Y13_N8
WideAnd2037 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2037~combout\ = (\WideAnd2037~1_combout\ & (\led_flash_cnt[2037][7]~q\ & (\WideAnd2037~0_combout\ & \led_flash_cnt[2037][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2037~1_combout\,
	datab => \led_flash_cnt[2037][7]~q\,
	datac => \WideAnd2037~0_combout\,
	datad => \led_flash_cnt[2037][0]~q\,
	combout => \WideAnd2037~combout\);

-- Location: FF_X13_Y13_N9
\led_flash_cnt_ands[2037]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2037~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2037));

-- Location: LCCOMB_X13_Y13_N6
\led_flash_cnt[2036][0]~82676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2036][0]~82676_combout\ = !\led_flash_cnt[2036][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2036][0]~q\,
	combout => \led_flash_cnt[2036][0]~82676_combout\);

-- Location: FF_X13_Y13_N7
\led_flash_cnt[2036][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2036][0]~82676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2036][0]~q\);

-- Location: LCCOMB_X13_Y13_N18
\led_flash_cnt[2036][1]~55384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2036][1]~55384_combout\ = (\led_flash_cnt[2036][0]~q\ & (\led_flash_cnt[2036][1]~q\ $ (VCC))) # (!\led_flash_cnt[2036][0]~q\ & (\led_flash_cnt[2036][1]~q\ & VCC))
-- \led_flash_cnt[2036][1]~55385\ = CARRY((\led_flash_cnt[2036][0]~q\ & \led_flash_cnt[2036][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2036][0]~q\,
	datab => \led_flash_cnt[2036][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2036][1]~55384_combout\,
	cout => \led_flash_cnt[2036][1]~55385\);

-- Location: FF_X13_Y13_N19
\led_flash_cnt[2036][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2036][1]~55384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2036][1]~q\);

-- Location: LCCOMB_X13_Y13_N20
\led_flash_cnt[2036][2]~55386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2036][2]~55386_combout\ = (\led_flash_cnt[2036][2]~q\ & (!\led_flash_cnt[2036][1]~55385\)) # (!\led_flash_cnt[2036][2]~q\ & ((\led_flash_cnt[2036][1]~55385\) # (GND)))
-- \led_flash_cnt[2036][2]~55387\ = CARRY((!\led_flash_cnt[2036][1]~55385\) # (!\led_flash_cnt[2036][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2036][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2036][1]~55385\,
	combout => \led_flash_cnt[2036][2]~55386_combout\,
	cout => \led_flash_cnt[2036][2]~55387\);

-- Location: FF_X13_Y13_N21
\led_flash_cnt[2036][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2036][2]~55386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2036][2]~q\);

-- Location: LCCOMB_X13_Y13_N22
\led_flash_cnt[2036][3]~55388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2036][3]~55388_combout\ = (\led_flash_cnt[2036][3]~q\ & (\led_flash_cnt[2036][2]~55387\ $ (GND))) # (!\led_flash_cnt[2036][3]~q\ & (!\led_flash_cnt[2036][2]~55387\ & VCC))
-- \led_flash_cnt[2036][3]~55389\ = CARRY((\led_flash_cnt[2036][3]~q\ & !\led_flash_cnt[2036][2]~55387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2036][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2036][2]~55387\,
	combout => \led_flash_cnt[2036][3]~55388_combout\,
	cout => \led_flash_cnt[2036][3]~55389\);

-- Location: FF_X13_Y13_N23
\led_flash_cnt[2036][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2036][3]~55388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2036][3]~q\);

-- Location: LCCOMB_X13_Y13_N24
\led_flash_cnt[2036][4]~55390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2036][4]~55390_combout\ = (\led_flash_cnt[2036][4]~q\ & (!\led_flash_cnt[2036][3]~55389\)) # (!\led_flash_cnt[2036][4]~q\ & ((\led_flash_cnt[2036][3]~55389\) # (GND)))
-- \led_flash_cnt[2036][4]~55391\ = CARRY((!\led_flash_cnt[2036][3]~55389\) # (!\led_flash_cnt[2036][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2036][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2036][3]~55389\,
	combout => \led_flash_cnt[2036][4]~55390_combout\,
	cout => \led_flash_cnt[2036][4]~55391\);

-- Location: FF_X13_Y13_N25
\led_flash_cnt[2036][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2036][4]~55390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2036][4]~q\);

-- Location: LCCOMB_X13_Y13_N14
\WideAnd2036~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2036~0_combout\ = (\led_flash_cnt[2036][1]~q\ & (\led_flash_cnt[2036][2]~q\ & (\led_flash_cnt[2036][3]~q\ & \led_flash_cnt[2036][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2036][1]~q\,
	datab => \led_flash_cnt[2036][2]~q\,
	datac => \led_flash_cnt[2036][3]~q\,
	datad => \led_flash_cnt[2036][4]~q\,
	combout => \WideAnd2036~0_combout\);

-- Location: LCCOMB_X13_Y13_N26
\led_flash_cnt[2036][5]~55392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2036][5]~55392_combout\ = (\led_flash_cnt[2036][5]~q\ & (\led_flash_cnt[2036][4]~55391\ $ (GND))) # (!\led_flash_cnt[2036][5]~q\ & (!\led_flash_cnt[2036][4]~55391\ & VCC))
-- \led_flash_cnt[2036][5]~55393\ = CARRY((\led_flash_cnt[2036][5]~q\ & !\led_flash_cnt[2036][4]~55391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2036][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2036][4]~55391\,
	combout => \led_flash_cnt[2036][5]~55392_combout\,
	cout => \led_flash_cnt[2036][5]~55393\);

-- Location: FF_X13_Y13_N27
\led_flash_cnt[2036][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2036][5]~55392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2036][5]~q\);

-- Location: LCCOMB_X13_Y13_N28
\led_flash_cnt[2036][6]~55394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2036][6]~55394_combout\ = (\led_flash_cnt[2036][6]~q\ & (!\led_flash_cnt[2036][5]~55393\)) # (!\led_flash_cnt[2036][6]~q\ & ((\led_flash_cnt[2036][5]~55393\) # (GND)))
-- \led_flash_cnt[2036][6]~55395\ = CARRY((!\led_flash_cnt[2036][5]~55393\) # (!\led_flash_cnt[2036][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2036][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2036][5]~55393\,
	combout => \led_flash_cnt[2036][6]~55394_combout\,
	cout => \led_flash_cnt[2036][6]~55395\);

-- Location: FF_X13_Y13_N29
\led_flash_cnt[2036][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2036][6]~55394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2036][6]~q\);

-- Location: LCCOMB_X13_Y13_N30
\led_flash_cnt[2036][7]~55396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2036][7]~55396_combout\ = \led_flash_cnt[2036][7]~q\ $ (!\led_flash_cnt[2036][6]~55395\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2036][7]~q\,
	cin => \led_flash_cnt[2036][6]~55395\,
	combout => \led_flash_cnt[2036][7]~55396_combout\);

-- Location: FF_X13_Y13_N31
\led_flash_cnt[2036][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2036][7]~55396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2036][7]~q\);

-- Location: LCCOMB_X13_Y13_N12
\WideAnd2036~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2036~1_combout\ = (\led_flash_cnt[2036][5]~q\ & \led_flash_cnt[2036][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2036][5]~q\,
	datad => \led_flash_cnt[2036][6]~q\,
	combout => \WideAnd2036~1_combout\);

-- Location: LCCOMB_X13_Y13_N0
WideAnd2036 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2036~combout\ = (\led_flash_cnt[2036][0]~q\ & (\WideAnd2036~0_combout\ & (\led_flash_cnt[2036][7]~q\ & \WideAnd2036~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2036][0]~q\,
	datab => \WideAnd2036~0_combout\,
	datac => \led_flash_cnt[2036][7]~q\,
	datad => \WideAnd2036~1_combout\,
	combout => \WideAnd2036~combout\);

-- Location: FF_X13_Y13_N1
\led_flash_cnt_ands[2036]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2036~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2036));

-- Location: LCCOMB_X13_Y13_N4
\WideAnd4094~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4094~1_combout\ = (led_flash_cnt_ands(2037) & led_flash_cnt_ands(2036))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2037),
	datad => led_flash_cnt_ands(2036),
	combout => \WideAnd4094~1_combout\);

-- Location: LCCOMB_X32_Y22_N2
\led_flash_cnt[2033][0]~82673\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2033][0]~82673_combout\ = !\led_flash_cnt[2033][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2033][0]~q\,
	combout => \led_flash_cnt[2033][0]~82673_combout\);

-- Location: FF_X32_Y22_N3
\led_flash_cnt[2033][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2033][0]~82673_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2033][0]~q\);

-- Location: LCCOMB_X31_Y22_N18
\led_flash_cnt[2033][1]~55342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2033][1]~55342_combout\ = (\led_flash_cnt[2033][0]~q\ & (\led_flash_cnt[2033][1]~q\ $ (VCC))) # (!\led_flash_cnt[2033][0]~q\ & (\led_flash_cnt[2033][1]~q\ & VCC))
-- \led_flash_cnt[2033][1]~55343\ = CARRY((\led_flash_cnt[2033][0]~q\ & \led_flash_cnt[2033][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2033][0]~q\,
	datab => \led_flash_cnt[2033][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2033][1]~55342_combout\,
	cout => \led_flash_cnt[2033][1]~55343\);

-- Location: FF_X31_Y22_N19
\led_flash_cnt[2033][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2033][1]~55342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2033][1]~q\);

-- Location: LCCOMB_X31_Y22_N20
\led_flash_cnt[2033][2]~55344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2033][2]~55344_combout\ = (\led_flash_cnt[2033][2]~q\ & (!\led_flash_cnt[2033][1]~55343\)) # (!\led_flash_cnt[2033][2]~q\ & ((\led_flash_cnt[2033][1]~55343\) # (GND)))
-- \led_flash_cnt[2033][2]~55345\ = CARRY((!\led_flash_cnt[2033][1]~55343\) # (!\led_flash_cnt[2033][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2033][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2033][1]~55343\,
	combout => \led_flash_cnt[2033][2]~55344_combout\,
	cout => \led_flash_cnt[2033][2]~55345\);

-- Location: FF_X31_Y22_N21
\led_flash_cnt[2033][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2033][2]~55344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2033][2]~q\);

-- Location: LCCOMB_X31_Y22_N22
\led_flash_cnt[2033][3]~55346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2033][3]~55346_combout\ = (\led_flash_cnt[2033][3]~q\ & (\led_flash_cnt[2033][2]~55345\ $ (GND))) # (!\led_flash_cnt[2033][3]~q\ & (!\led_flash_cnt[2033][2]~55345\ & VCC))
-- \led_flash_cnt[2033][3]~55347\ = CARRY((\led_flash_cnt[2033][3]~q\ & !\led_flash_cnt[2033][2]~55345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2033][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2033][2]~55345\,
	combout => \led_flash_cnt[2033][3]~55346_combout\,
	cout => \led_flash_cnt[2033][3]~55347\);

-- Location: FF_X31_Y22_N23
\led_flash_cnt[2033][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2033][3]~55346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2033][3]~q\);

-- Location: LCCOMB_X31_Y22_N24
\led_flash_cnt[2033][4]~55348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2033][4]~55348_combout\ = (\led_flash_cnt[2033][4]~q\ & (!\led_flash_cnt[2033][3]~55347\)) # (!\led_flash_cnt[2033][4]~q\ & ((\led_flash_cnt[2033][3]~55347\) # (GND)))
-- \led_flash_cnt[2033][4]~55349\ = CARRY((!\led_flash_cnt[2033][3]~55347\) # (!\led_flash_cnt[2033][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2033][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2033][3]~55347\,
	combout => \led_flash_cnt[2033][4]~55348_combout\,
	cout => \led_flash_cnt[2033][4]~55349\);

-- Location: FF_X31_Y22_N25
\led_flash_cnt[2033][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2033][4]~55348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2033][4]~q\);

-- Location: LCCOMB_X31_Y22_N26
\led_flash_cnt[2033][5]~55350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2033][5]~55350_combout\ = (\led_flash_cnt[2033][5]~q\ & (\led_flash_cnt[2033][4]~55349\ $ (GND))) # (!\led_flash_cnt[2033][5]~q\ & (!\led_flash_cnt[2033][4]~55349\ & VCC))
-- \led_flash_cnt[2033][5]~55351\ = CARRY((\led_flash_cnt[2033][5]~q\ & !\led_flash_cnt[2033][4]~55349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2033][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2033][4]~55349\,
	combout => \led_flash_cnt[2033][5]~55350_combout\,
	cout => \led_flash_cnt[2033][5]~55351\);

-- Location: FF_X31_Y22_N27
\led_flash_cnt[2033][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2033][5]~55350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2033][5]~q\);

-- Location: LCCOMB_X31_Y22_N28
\led_flash_cnt[2033][6]~55352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2033][6]~55352_combout\ = (\led_flash_cnt[2033][6]~q\ & (!\led_flash_cnt[2033][5]~55351\)) # (!\led_flash_cnt[2033][6]~q\ & ((\led_flash_cnt[2033][5]~55351\) # (GND)))
-- \led_flash_cnt[2033][6]~55353\ = CARRY((!\led_flash_cnt[2033][5]~55351\) # (!\led_flash_cnt[2033][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2033][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2033][5]~55351\,
	combout => \led_flash_cnt[2033][6]~55352_combout\,
	cout => \led_flash_cnt[2033][6]~55353\);

-- Location: FF_X31_Y22_N29
\led_flash_cnt[2033][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2033][6]~55352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2033][6]~q\);

-- Location: LCCOMB_X32_Y22_N26
\WideAnd2033~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2033~1_combout\ = (\led_flash_cnt[2033][5]~q\ & \led_flash_cnt[2033][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2033][5]~q\,
	datad => \led_flash_cnt[2033][6]~q\,
	combout => \WideAnd2033~1_combout\);

-- Location: LCCOMB_X31_Y22_N30
\led_flash_cnt[2033][7]~55354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2033][7]~55354_combout\ = \led_flash_cnt[2033][7]~q\ $ (!\led_flash_cnt[2033][6]~55353\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2033][7]~q\,
	cin => \led_flash_cnt[2033][6]~55353\,
	combout => \led_flash_cnt[2033][7]~55354_combout\);

-- Location: FF_X31_Y22_N31
\led_flash_cnt[2033][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2033][7]~55354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2033][7]~q\);

-- Location: LCCOMB_X31_Y22_N0
\WideAnd2033~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2033~0_combout\ = (\led_flash_cnt[2033][4]~q\ & (\led_flash_cnt[2033][1]~q\ & (\led_flash_cnt[2033][3]~q\ & \led_flash_cnt[2033][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2033][4]~q\,
	datab => \led_flash_cnt[2033][1]~q\,
	datac => \led_flash_cnt[2033][3]~q\,
	datad => \led_flash_cnt[2033][2]~q\,
	combout => \WideAnd2033~0_combout\);

-- Location: LCCOMB_X32_Y22_N4
WideAnd2033 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2033~combout\ = (\WideAnd2033~1_combout\ & (\led_flash_cnt[2033][7]~q\ & (\WideAnd2033~0_combout\ & \led_flash_cnt[2033][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2033~1_combout\,
	datab => \led_flash_cnt[2033][7]~q\,
	datac => \WideAnd2033~0_combout\,
	datad => \led_flash_cnt[2033][0]~q\,
	combout => \WideAnd2033~combout\);

-- Location: FF_X32_Y22_N5
\led_flash_cnt_ands[2033]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2033~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2033));

-- Location: LCCOMB_X37_Y17_N8
\led_flash_cnt[2034][0]~82674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2034][0]~82674_combout\ = !\led_flash_cnt[2034][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2034][0]~q\,
	combout => \led_flash_cnt[2034][0]~82674_combout\);

-- Location: FF_X37_Y17_N9
\led_flash_cnt[2034][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2034][0]~82674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2034][0]~q\);

-- Location: LCCOMB_X38_Y19_N0
\led_flash_cnt[2034][1]~55356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2034][1]~55356_combout\ = (\led_flash_cnt[2034][0]~q\ & (\led_flash_cnt[2034][1]~q\ $ (VCC))) # (!\led_flash_cnt[2034][0]~q\ & (\led_flash_cnt[2034][1]~q\ & VCC))
-- \led_flash_cnt[2034][1]~55357\ = CARRY((\led_flash_cnt[2034][0]~q\ & \led_flash_cnt[2034][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2034][0]~q\,
	datab => \led_flash_cnt[2034][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2034][1]~55356_combout\,
	cout => \led_flash_cnt[2034][1]~55357\);

-- Location: FF_X38_Y19_N1
\led_flash_cnt[2034][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2034][1]~55356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2034][1]~q\);

-- Location: LCCOMB_X38_Y19_N2
\led_flash_cnt[2034][2]~55358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2034][2]~55358_combout\ = (\led_flash_cnt[2034][2]~q\ & (!\led_flash_cnt[2034][1]~55357\)) # (!\led_flash_cnt[2034][2]~q\ & ((\led_flash_cnt[2034][1]~55357\) # (GND)))
-- \led_flash_cnt[2034][2]~55359\ = CARRY((!\led_flash_cnt[2034][1]~55357\) # (!\led_flash_cnt[2034][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2034][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2034][1]~55357\,
	combout => \led_flash_cnt[2034][2]~55358_combout\,
	cout => \led_flash_cnt[2034][2]~55359\);

-- Location: FF_X38_Y19_N3
\led_flash_cnt[2034][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2034][2]~55358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2034][2]~q\);

-- Location: LCCOMB_X38_Y19_N4
\led_flash_cnt[2034][3]~55360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2034][3]~55360_combout\ = (\led_flash_cnt[2034][3]~q\ & (\led_flash_cnt[2034][2]~55359\ $ (GND))) # (!\led_flash_cnt[2034][3]~q\ & (!\led_flash_cnt[2034][2]~55359\ & VCC))
-- \led_flash_cnt[2034][3]~55361\ = CARRY((\led_flash_cnt[2034][3]~q\ & !\led_flash_cnt[2034][2]~55359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2034][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2034][2]~55359\,
	combout => \led_flash_cnt[2034][3]~55360_combout\,
	cout => \led_flash_cnt[2034][3]~55361\);

-- Location: FF_X38_Y19_N5
\led_flash_cnt[2034][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2034][3]~55360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2034][3]~q\);

-- Location: LCCOMB_X38_Y19_N6
\led_flash_cnt[2034][4]~55362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2034][4]~55362_combout\ = (\led_flash_cnt[2034][4]~q\ & (!\led_flash_cnt[2034][3]~55361\)) # (!\led_flash_cnt[2034][4]~q\ & ((\led_flash_cnt[2034][3]~55361\) # (GND)))
-- \led_flash_cnt[2034][4]~55363\ = CARRY((!\led_flash_cnt[2034][3]~55361\) # (!\led_flash_cnt[2034][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2034][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2034][3]~55361\,
	combout => \led_flash_cnt[2034][4]~55362_combout\,
	cout => \led_flash_cnt[2034][4]~55363\);

-- Location: FF_X38_Y19_N7
\led_flash_cnt[2034][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2034][4]~55362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2034][4]~q\);

-- Location: LCCOMB_X38_Y19_N14
\WideAnd2034~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2034~0_combout\ = (\led_flash_cnt[2034][4]~q\ & (\led_flash_cnt[2034][1]~q\ & (\led_flash_cnt[2034][3]~q\ & \led_flash_cnt[2034][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2034][4]~q\,
	datab => \led_flash_cnt[2034][1]~q\,
	datac => \led_flash_cnt[2034][3]~q\,
	datad => \led_flash_cnt[2034][2]~q\,
	combout => \WideAnd2034~0_combout\);

-- Location: LCCOMB_X38_Y19_N8
\led_flash_cnt[2034][5]~55364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2034][5]~55364_combout\ = (\led_flash_cnt[2034][5]~q\ & (\led_flash_cnt[2034][4]~55363\ $ (GND))) # (!\led_flash_cnt[2034][5]~q\ & (!\led_flash_cnt[2034][4]~55363\ & VCC))
-- \led_flash_cnt[2034][5]~55365\ = CARRY((\led_flash_cnt[2034][5]~q\ & !\led_flash_cnt[2034][4]~55363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2034][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2034][4]~55363\,
	combout => \led_flash_cnt[2034][5]~55364_combout\,
	cout => \led_flash_cnt[2034][5]~55365\);

-- Location: FF_X38_Y19_N9
\led_flash_cnt[2034][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2034][5]~55364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2034][5]~q\);

-- Location: LCCOMB_X38_Y19_N10
\led_flash_cnt[2034][6]~55366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2034][6]~55366_combout\ = (\led_flash_cnt[2034][6]~q\ & (!\led_flash_cnt[2034][5]~55365\)) # (!\led_flash_cnt[2034][6]~q\ & ((\led_flash_cnt[2034][5]~55365\) # (GND)))
-- \led_flash_cnt[2034][6]~55367\ = CARRY((!\led_flash_cnt[2034][5]~55365\) # (!\led_flash_cnt[2034][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2034][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2034][5]~55365\,
	combout => \led_flash_cnt[2034][6]~55366_combout\,
	cout => \led_flash_cnt[2034][6]~55367\);

-- Location: FF_X38_Y19_N11
\led_flash_cnt[2034][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2034][6]~55366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2034][6]~q\);

-- Location: LCCOMB_X38_Y19_N12
\led_flash_cnt[2034][7]~55368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2034][7]~55368_combout\ = \led_flash_cnt[2034][6]~55367\ $ (!\led_flash_cnt[2034][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2034][7]~q\,
	cin => \led_flash_cnt[2034][6]~55367\,
	combout => \led_flash_cnt[2034][7]~55368_combout\);

-- Location: FF_X38_Y19_N13
\led_flash_cnt[2034][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2034][7]~55368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2034][7]~q\);

-- Location: LCCOMB_X37_Y19_N28
\WideAnd2034~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2034~1_combout\ = (\led_flash_cnt[2034][6]~q\ & \led_flash_cnt[2034][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2034][6]~q\,
	datac => \led_flash_cnt[2034][5]~q\,
	combout => \WideAnd2034~1_combout\);

-- Location: LCCOMB_X37_Y19_N6
WideAnd2034 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2034~combout\ = (\led_flash_cnt[2034][0]~q\ & (\WideAnd2034~0_combout\ & (\led_flash_cnt[2034][7]~q\ & \WideAnd2034~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2034][0]~q\,
	datab => \WideAnd2034~0_combout\,
	datac => \led_flash_cnt[2034][7]~q\,
	datad => \WideAnd2034~1_combout\,
	combout => \WideAnd2034~combout\);

-- Location: FF_X37_Y19_N7
\led_flash_cnt_ands[2034]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2034~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2034));

-- Location: LCCOMB_X41_Y29_N22
\led_flash_cnt[2035][0]~82675\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2035][0]~82675_combout\ = !\led_flash_cnt[2035][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2035][0]~q\,
	combout => \led_flash_cnt[2035][0]~82675_combout\);

-- Location: FF_X41_Y29_N23
\led_flash_cnt[2035][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2035][0]~82675_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2035][0]~q\);

-- Location: LCCOMB_X41_Y29_N4
\led_flash_cnt[2035][1]~55370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2035][1]~55370_combout\ = (\led_flash_cnt[2035][0]~q\ & (\led_flash_cnt[2035][1]~q\ $ (VCC))) # (!\led_flash_cnt[2035][0]~q\ & (\led_flash_cnt[2035][1]~q\ & VCC))
-- \led_flash_cnt[2035][1]~55371\ = CARRY((\led_flash_cnt[2035][0]~q\ & \led_flash_cnt[2035][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2035][0]~q\,
	datab => \led_flash_cnt[2035][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2035][1]~55370_combout\,
	cout => \led_flash_cnt[2035][1]~55371\);

-- Location: FF_X41_Y29_N5
\led_flash_cnt[2035][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2035][1]~55370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2035][1]~q\);

-- Location: LCCOMB_X41_Y29_N6
\led_flash_cnt[2035][2]~55372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2035][2]~55372_combout\ = (\led_flash_cnt[2035][2]~q\ & (!\led_flash_cnt[2035][1]~55371\)) # (!\led_flash_cnt[2035][2]~q\ & ((\led_flash_cnt[2035][1]~55371\) # (GND)))
-- \led_flash_cnt[2035][2]~55373\ = CARRY((!\led_flash_cnt[2035][1]~55371\) # (!\led_flash_cnt[2035][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2035][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2035][1]~55371\,
	combout => \led_flash_cnt[2035][2]~55372_combout\,
	cout => \led_flash_cnt[2035][2]~55373\);

-- Location: FF_X41_Y29_N7
\led_flash_cnt[2035][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2035][2]~55372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2035][2]~q\);

-- Location: LCCOMB_X41_Y29_N8
\led_flash_cnt[2035][3]~55374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2035][3]~55374_combout\ = (\led_flash_cnt[2035][3]~q\ & (\led_flash_cnt[2035][2]~55373\ $ (GND))) # (!\led_flash_cnt[2035][3]~q\ & (!\led_flash_cnt[2035][2]~55373\ & VCC))
-- \led_flash_cnt[2035][3]~55375\ = CARRY((\led_flash_cnt[2035][3]~q\ & !\led_flash_cnt[2035][2]~55373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2035][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2035][2]~55373\,
	combout => \led_flash_cnt[2035][3]~55374_combout\,
	cout => \led_flash_cnt[2035][3]~55375\);

-- Location: FF_X41_Y29_N9
\led_flash_cnt[2035][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2035][3]~55374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2035][3]~q\);

-- Location: LCCOMB_X41_Y29_N10
\led_flash_cnt[2035][4]~55376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2035][4]~55376_combout\ = (\led_flash_cnt[2035][4]~q\ & (!\led_flash_cnt[2035][3]~55375\)) # (!\led_flash_cnt[2035][4]~q\ & ((\led_flash_cnt[2035][3]~55375\) # (GND)))
-- \led_flash_cnt[2035][4]~55377\ = CARRY((!\led_flash_cnt[2035][3]~55375\) # (!\led_flash_cnt[2035][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2035][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2035][3]~55375\,
	combout => \led_flash_cnt[2035][4]~55376_combout\,
	cout => \led_flash_cnt[2035][4]~55377\);

-- Location: FF_X41_Y29_N11
\led_flash_cnt[2035][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2035][4]~55376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2035][4]~q\);

-- Location: LCCOMB_X41_Y29_N12
\led_flash_cnt[2035][5]~55378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2035][5]~55378_combout\ = (\led_flash_cnt[2035][5]~q\ & (\led_flash_cnt[2035][4]~55377\ $ (GND))) # (!\led_flash_cnt[2035][5]~q\ & (!\led_flash_cnt[2035][4]~55377\ & VCC))
-- \led_flash_cnt[2035][5]~55379\ = CARRY((\led_flash_cnt[2035][5]~q\ & !\led_flash_cnt[2035][4]~55377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2035][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2035][4]~55377\,
	combout => \led_flash_cnt[2035][5]~55378_combout\,
	cout => \led_flash_cnt[2035][5]~55379\);

-- Location: FF_X41_Y29_N13
\led_flash_cnt[2035][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2035][5]~55378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2035][5]~q\);

-- Location: LCCOMB_X41_Y29_N14
\led_flash_cnt[2035][6]~55380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2035][6]~55380_combout\ = (\led_flash_cnt[2035][6]~q\ & (!\led_flash_cnt[2035][5]~55379\)) # (!\led_flash_cnt[2035][6]~q\ & ((\led_flash_cnt[2035][5]~55379\) # (GND)))
-- \led_flash_cnt[2035][6]~55381\ = CARRY((!\led_flash_cnt[2035][5]~55379\) # (!\led_flash_cnt[2035][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2035][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2035][5]~55379\,
	combout => \led_flash_cnt[2035][6]~55380_combout\,
	cout => \led_flash_cnt[2035][6]~55381\);

-- Location: FF_X41_Y29_N15
\led_flash_cnt[2035][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2035][6]~55380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2035][6]~q\);

-- Location: LCCOMB_X41_Y29_N16
\led_flash_cnt[2035][7]~55382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2035][7]~55382_combout\ = \led_flash_cnt[2035][6]~55381\ $ (!\led_flash_cnt[2035][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2035][7]~q\,
	cin => \led_flash_cnt[2035][6]~55381\,
	combout => \led_flash_cnt[2035][7]~55382_combout\);

-- Location: FF_X41_Y29_N17
\led_flash_cnt[2035][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2035][7]~55382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2035][7]~q\);

-- Location: LCCOMB_X41_Y29_N26
\WideAnd2035~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2035~1_combout\ = (\led_flash_cnt[2035][6]~q\ & \led_flash_cnt[2035][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2035][6]~q\,
	datad => \led_flash_cnt[2035][5]~q\,
	combout => \WideAnd2035~1_combout\);

-- Location: LCCOMB_X41_Y29_N20
\WideAnd2035~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2035~0_combout\ = (\led_flash_cnt[2035][4]~q\ & (\led_flash_cnt[2035][1]~q\ & (\led_flash_cnt[2035][3]~q\ & \led_flash_cnt[2035][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2035][4]~q\,
	datab => \led_flash_cnt[2035][1]~q\,
	datac => \led_flash_cnt[2035][3]~q\,
	datad => \led_flash_cnt[2035][2]~q\,
	combout => \WideAnd2035~0_combout\);

-- Location: LCCOMB_X41_Y29_N30
WideAnd2035 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2035~combout\ = (\led_flash_cnt[2035][0]~q\ & (\led_flash_cnt[2035][7]~q\ & (\WideAnd2035~1_combout\ & \WideAnd2035~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2035][0]~q\,
	datab => \led_flash_cnt[2035][7]~q\,
	datac => \WideAnd2035~1_combout\,
	datad => \WideAnd2035~0_combout\,
	combout => \WideAnd2035~combout\);

-- Location: FF_X41_Y29_N31
\led_flash_cnt_ands[2035]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2035~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2035));

-- Location: LCCOMB_X37_Y20_N18
\led_flash_cnt[2032][0]~82672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2032][0]~82672_combout\ = !\led_flash_cnt[2032][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2032][0]~q\,
	combout => \led_flash_cnt[2032][0]~82672_combout\);

-- Location: FF_X37_Y20_N19
\led_flash_cnt[2032][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2032][0]~82672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2032][0]~q\);

-- Location: LCCOMB_X38_Y20_N16
\led_flash_cnt[2032][1]~55328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2032][1]~55328_combout\ = (\led_flash_cnt[2032][0]~q\ & (\led_flash_cnt[2032][1]~q\ $ (VCC))) # (!\led_flash_cnt[2032][0]~q\ & (\led_flash_cnt[2032][1]~q\ & VCC))
-- \led_flash_cnt[2032][1]~55329\ = CARRY((\led_flash_cnt[2032][0]~q\ & \led_flash_cnt[2032][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2032][0]~q\,
	datab => \led_flash_cnt[2032][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2032][1]~55328_combout\,
	cout => \led_flash_cnt[2032][1]~55329\);

-- Location: FF_X38_Y20_N17
\led_flash_cnt[2032][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2032][1]~55328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2032][1]~q\);

-- Location: LCCOMB_X38_Y20_N18
\led_flash_cnt[2032][2]~55330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2032][2]~55330_combout\ = (\led_flash_cnt[2032][2]~q\ & (!\led_flash_cnt[2032][1]~55329\)) # (!\led_flash_cnt[2032][2]~q\ & ((\led_flash_cnt[2032][1]~55329\) # (GND)))
-- \led_flash_cnt[2032][2]~55331\ = CARRY((!\led_flash_cnt[2032][1]~55329\) # (!\led_flash_cnt[2032][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2032][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2032][1]~55329\,
	combout => \led_flash_cnt[2032][2]~55330_combout\,
	cout => \led_flash_cnt[2032][2]~55331\);

-- Location: FF_X38_Y20_N19
\led_flash_cnt[2032][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2032][2]~55330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2032][2]~q\);

-- Location: LCCOMB_X38_Y20_N20
\led_flash_cnt[2032][3]~55332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2032][3]~55332_combout\ = (\led_flash_cnt[2032][3]~q\ & (\led_flash_cnt[2032][2]~55331\ $ (GND))) # (!\led_flash_cnt[2032][3]~q\ & (!\led_flash_cnt[2032][2]~55331\ & VCC))
-- \led_flash_cnt[2032][3]~55333\ = CARRY((\led_flash_cnt[2032][3]~q\ & !\led_flash_cnt[2032][2]~55331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2032][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2032][2]~55331\,
	combout => \led_flash_cnt[2032][3]~55332_combout\,
	cout => \led_flash_cnt[2032][3]~55333\);

-- Location: FF_X38_Y20_N21
\led_flash_cnt[2032][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2032][3]~55332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2032][3]~q\);

-- Location: LCCOMB_X38_Y20_N22
\led_flash_cnt[2032][4]~55334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2032][4]~55334_combout\ = (\led_flash_cnt[2032][4]~q\ & (!\led_flash_cnt[2032][3]~55333\)) # (!\led_flash_cnt[2032][4]~q\ & ((\led_flash_cnt[2032][3]~55333\) # (GND)))
-- \led_flash_cnt[2032][4]~55335\ = CARRY((!\led_flash_cnt[2032][3]~55333\) # (!\led_flash_cnt[2032][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2032][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2032][3]~55333\,
	combout => \led_flash_cnt[2032][4]~55334_combout\,
	cout => \led_flash_cnt[2032][4]~55335\);

-- Location: FF_X38_Y20_N23
\led_flash_cnt[2032][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2032][4]~55334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2032][4]~q\);

-- Location: LCCOMB_X38_Y20_N24
\led_flash_cnt[2032][5]~55336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2032][5]~55336_combout\ = (\led_flash_cnt[2032][5]~q\ & (\led_flash_cnt[2032][4]~55335\ $ (GND))) # (!\led_flash_cnt[2032][5]~q\ & (!\led_flash_cnt[2032][4]~55335\ & VCC))
-- \led_flash_cnt[2032][5]~55337\ = CARRY((\led_flash_cnt[2032][5]~q\ & !\led_flash_cnt[2032][4]~55335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2032][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2032][4]~55335\,
	combout => \led_flash_cnt[2032][5]~55336_combout\,
	cout => \led_flash_cnt[2032][5]~55337\);

-- Location: FF_X38_Y20_N25
\led_flash_cnt[2032][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2032][5]~55336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2032][5]~q\);

-- Location: LCCOMB_X38_Y20_N26
\led_flash_cnt[2032][6]~55338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2032][6]~55338_combout\ = (\led_flash_cnt[2032][6]~q\ & (!\led_flash_cnt[2032][5]~55337\)) # (!\led_flash_cnt[2032][6]~q\ & ((\led_flash_cnt[2032][5]~55337\) # (GND)))
-- \led_flash_cnt[2032][6]~55339\ = CARRY((!\led_flash_cnt[2032][5]~55337\) # (!\led_flash_cnt[2032][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2032][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2032][5]~55337\,
	combout => \led_flash_cnt[2032][6]~55338_combout\,
	cout => \led_flash_cnt[2032][6]~55339\);

-- Location: FF_X38_Y20_N27
\led_flash_cnt[2032][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2032][6]~55338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2032][6]~q\);

-- Location: LCCOMB_X37_Y20_N30
\WideAnd2032~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2032~1_combout\ = (\led_flash_cnt[2032][6]~q\ & \led_flash_cnt[2032][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2032][6]~q\,
	datad => \led_flash_cnt[2032][5]~q\,
	combout => \WideAnd2032~1_combout\);

-- Location: LCCOMB_X38_Y20_N14
\WideAnd2032~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2032~0_combout\ = (\led_flash_cnt[2032][3]~q\ & (\led_flash_cnt[2032][2]~q\ & (\led_flash_cnt[2032][4]~q\ & \led_flash_cnt[2032][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2032][3]~q\,
	datab => \led_flash_cnt[2032][2]~q\,
	datac => \led_flash_cnt[2032][4]~q\,
	datad => \led_flash_cnt[2032][1]~q\,
	combout => \WideAnd2032~0_combout\);

-- Location: LCCOMB_X38_Y20_N28
\led_flash_cnt[2032][7]~55340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2032][7]~55340_combout\ = \led_flash_cnt[2032][6]~55339\ $ (!\led_flash_cnt[2032][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2032][7]~q\,
	cin => \led_flash_cnt[2032][6]~55339\,
	combout => \led_flash_cnt[2032][7]~55340_combout\);

-- Location: FF_X38_Y20_N29
\led_flash_cnt[2032][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2032][7]~55340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2032][7]~q\);

-- Location: LCCOMB_X37_Y20_N16
WideAnd2032 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2032~combout\ = (\WideAnd2032~1_combout\ & (\led_flash_cnt[2032][0]~q\ & (\WideAnd2032~0_combout\ & \led_flash_cnt[2032][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2032~1_combout\,
	datab => \led_flash_cnt[2032][0]~q\,
	datac => \WideAnd2032~0_combout\,
	datad => \led_flash_cnt[2032][7]~q\,
	combout => \WideAnd2032~combout\);

-- Location: FF_X37_Y20_N17
\led_flash_cnt_ands[2032]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2032~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2032));

-- Location: LCCOMB_X37_Y20_N24
\WideAnd4094~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4094~0_combout\ = (led_flash_cnt_ands(2033) & (led_flash_cnt_ands(2034) & (led_flash_cnt_ands(2035) & led_flash_cnt_ands(2032))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2033),
	datab => led_flash_cnt_ands(2034),
	datac => led_flash_cnt_ands(2035),
	datad => led_flash_cnt_ands(2032),
	combout => \WideAnd4094~0_combout\);

-- Location: LCCOMB_X36_Y20_N18
WideAnd4094 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4094~combout\ = (led_flash_cnt_ands(2039) & (led_flash_cnt_ands(2038) & (\WideAnd4094~1_combout\ & \WideAnd4094~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2039),
	datab => led_flash_cnt_ands(2038),
	datac => \WideAnd4094~1_combout\,
	datad => \WideAnd4094~0_combout\,
	combout => \WideAnd4094~combout\);

-- Location: FF_X36_Y20_N19
\led_flash_cnt_ands_1[254]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4094~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(254));

-- Location: LCCOMB_X43_Y23_N22
\led_flash_cnt[2031][0]~82671\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2031][0]~82671_combout\ = !\led_flash_cnt[2031][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2031][0]~q\,
	combout => \led_flash_cnt[2031][0]~82671_combout\);

-- Location: FF_X43_Y23_N23
\led_flash_cnt[2031][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2031][0]~82671_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2031][0]~q\);

-- Location: LCCOMB_X43_Y21_N16
\led_flash_cnt[2031][1]~55314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2031][1]~55314_combout\ = (\led_flash_cnt[2031][0]~q\ & (\led_flash_cnt[2031][1]~q\ $ (VCC))) # (!\led_flash_cnt[2031][0]~q\ & (\led_flash_cnt[2031][1]~q\ & VCC))
-- \led_flash_cnt[2031][1]~55315\ = CARRY((\led_flash_cnt[2031][0]~q\ & \led_flash_cnt[2031][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2031][0]~q\,
	datab => \led_flash_cnt[2031][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2031][1]~55314_combout\,
	cout => \led_flash_cnt[2031][1]~55315\);

-- Location: FF_X43_Y21_N17
\led_flash_cnt[2031][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2031][1]~55314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2031][1]~q\);

-- Location: LCCOMB_X43_Y21_N18
\led_flash_cnt[2031][2]~55316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2031][2]~55316_combout\ = (\led_flash_cnt[2031][2]~q\ & (!\led_flash_cnt[2031][1]~55315\)) # (!\led_flash_cnt[2031][2]~q\ & ((\led_flash_cnt[2031][1]~55315\) # (GND)))
-- \led_flash_cnt[2031][2]~55317\ = CARRY((!\led_flash_cnt[2031][1]~55315\) # (!\led_flash_cnt[2031][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2031][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2031][1]~55315\,
	combout => \led_flash_cnt[2031][2]~55316_combout\,
	cout => \led_flash_cnt[2031][2]~55317\);

-- Location: FF_X43_Y21_N19
\led_flash_cnt[2031][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2031][2]~55316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2031][2]~q\);

-- Location: LCCOMB_X43_Y21_N20
\led_flash_cnt[2031][3]~55318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2031][3]~55318_combout\ = (\led_flash_cnt[2031][3]~q\ & (\led_flash_cnt[2031][2]~55317\ $ (GND))) # (!\led_flash_cnt[2031][3]~q\ & (!\led_flash_cnt[2031][2]~55317\ & VCC))
-- \led_flash_cnt[2031][3]~55319\ = CARRY((\led_flash_cnt[2031][3]~q\ & !\led_flash_cnt[2031][2]~55317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2031][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2031][2]~55317\,
	combout => \led_flash_cnt[2031][3]~55318_combout\,
	cout => \led_flash_cnt[2031][3]~55319\);

-- Location: FF_X43_Y21_N21
\led_flash_cnt[2031][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2031][3]~55318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2031][3]~q\);

-- Location: LCCOMB_X43_Y21_N22
\led_flash_cnt[2031][4]~55320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2031][4]~55320_combout\ = (\led_flash_cnt[2031][4]~q\ & (!\led_flash_cnt[2031][3]~55319\)) # (!\led_flash_cnt[2031][4]~q\ & ((\led_flash_cnt[2031][3]~55319\) # (GND)))
-- \led_flash_cnt[2031][4]~55321\ = CARRY((!\led_flash_cnt[2031][3]~55319\) # (!\led_flash_cnt[2031][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2031][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2031][3]~55319\,
	combout => \led_flash_cnt[2031][4]~55320_combout\,
	cout => \led_flash_cnt[2031][4]~55321\);

-- Location: FF_X43_Y21_N23
\led_flash_cnt[2031][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2031][4]~55320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2031][4]~q\);

-- Location: LCCOMB_X43_Y21_N24
\led_flash_cnt[2031][5]~55322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2031][5]~55322_combout\ = (\led_flash_cnt[2031][5]~q\ & (\led_flash_cnt[2031][4]~55321\ $ (GND))) # (!\led_flash_cnt[2031][5]~q\ & (!\led_flash_cnt[2031][4]~55321\ & VCC))
-- \led_flash_cnt[2031][5]~55323\ = CARRY((\led_flash_cnt[2031][5]~q\ & !\led_flash_cnt[2031][4]~55321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2031][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2031][4]~55321\,
	combout => \led_flash_cnt[2031][5]~55322_combout\,
	cout => \led_flash_cnt[2031][5]~55323\);

-- Location: FF_X43_Y21_N25
\led_flash_cnt[2031][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2031][5]~55322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2031][5]~q\);

-- Location: LCCOMB_X43_Y21_N26
\led_flash_cnt[2031][6]~55324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2031][6]~55324_combout\ = (\led_flash_cnt[2031][6]~q\ & (!\led_flash_cnt[2031][5]~55323\)) # (!\led_flash_cnt[2031][6]~q\ & ((\led_flash_cnt[2031][5]~55323\) # (GND)))
-- \led_flash_cnt[2031][6]~55325\ = CARRY((!\led_flash_cnt[2031][5]~55323\) # (!\led_flash_cnt[2031][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2031][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2031][5]~55323\,
	combout => \led_flash_cnt[2031][6]~55324_combout\,
	cout => \led_flash_cnt[2031][6]~55325\);

-- Location: FF_X43_Y21_N27
\led_flash_cnt[2031][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2031][6]~55324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2031][6]~q\);

-- Location: LCCOMB_X43_Y21_N28
\led_flash_cnt[2031][7]~55326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2031][7]~55326_combout\ = \led_flash_cnt[2031][6]~55325\ $ (!\led_flash_cnt[2031][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2031][7]~q\,
	cin => \led_flash_cnt[2031][6]~55325\,
	combout => \led_flash_cnt[2031][7]~55326_combout\);

-- Location: FF_X43_Y21_N29
\led_flash_cnt[2031][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2031][7]~55326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2031][7]~q\);

-- Location: LCCOMB_X43_Y21_N30
\WideAnd2031~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2031~0_combout\ = (\led_flash_cnt[2031][2]~q\ & (\led_flash_cnt[2031][1]~q\ & (\led_flash_cnt[2031][4]~q\ & \led_flash_cnt[2031][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2031][2]~q\,
	datab => \led_flash_cnt[2031][1]~q\,
	datac => \led_flash_cnt[2031][4]~q\,
	datad => \led_flash_cnt[2031][3]~q\,
	combout => \WideAnd2031~0_combout\);

-- Location: LCCOMB_X43_Y23_N6
\WideAnd2031~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2031~1_combout\ = (\led_flash_cnt[2031][6]~q\ & \led_flash_cnt[2031][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2031][6]~q\,
	datad => \led_flash_cnt[2031][5]~q\,
	combout => \WideAnd2031~1_combout\);

-- Location: LCCOMB_X43_Y23_N10
WideAnd2031 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2031~combout\ = (\led_flash_cnt[2031][7]~q\ & (\WideAnd2031~0_combout\ & (\led_flash_cnt[2031][0]~q\ & \WideAnd2031~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2031][7]~q\,
	datab => \WideAnd2031~0_combout\,
	datac => \led_flash_cnt[2031][0]~q\,
	datad => \WideAnd2031~1_combout\,
	combout => \WideAnd2031~combout\);

-- Location: FF_X43_Y23_N11
\led_flash_cnt_ands[2031]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2031~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2031));

-- Location: LCCOMB_X40_Y22_N28
\led_flash_cnt[2029][0]~82669\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2029][0]~82669_combout\ = !\led_flash_cnt[2029][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2029][0]~q\,
	combout => \led_flash_cnt[2029][0]~82669_combout\);

-- Location: FF_X40_Y22_N29
\led_flash_cnt[2029][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2029][0]~82669_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2029][0]~q\);

-- Location: LCCOMB_X39_Y22_N6
\led_flash_cnt[2029][1]~55286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2029][1]~55286_combout\ = (\led_flash_cnt[2029][1]~q\ & (\led_flash_cnt[2029][0]~q\ $ (VCC))) # (!\led_flash_cnt[2029][1]~q\ & (\led_flash_cnt[2029][0]~q\ & VCC))
-- \led_flash_cnt[2029][1]~55287\ = CARRY((\led_flash_cnt[2029][1]~q\ & \led_flash_cnt[2029][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2029][1]~q\,
	datab => \led_flash_cnt[2029][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2029][1]~55286_combout\,
	cout => \led_flash_cnt[2029][1]~55287\);

-- Location: FF_X39_Y22_N7
\led_flash_cnt[2029][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2029][1]~55286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2029][1]~q\);

-- Location: LCCOMB_X39_Y22_N8
\led_flash_cnt[2029][2]~55288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2029][2]~55288_combout\ = (\led_flash_cnt[2029][2]~q\ & (!\led_flash_cnt[2029][1]~55287\)) # (!\led_flash_cnt[2029][2]~q\ & ((\led_flash_cnt[2029][1]~55287\) # (GND)))
-- \led_flash_cnt[2029][2]~55289\ = CARRY((!\led_flash_cnt[2029][1]~55287\) # (!\led_flash_cnt[2029][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2029][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2029][1]~55287\,
	combout => \led_flash_cnt[2029][2]~55288_combout\,
	cout => \led_flash_cnt[2029][2]~55289\);

-- Location: FF_X39_Y22_N9
\led_flash_cnt[2029][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2029][2]~55288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2029][2]~q\);

-- Location: LCCOMB_X39_Y22_N10
\led_flash_cnt[2029][3]~55290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2029][3]~55290_combout\ = (\led_flash_cnt[2029][3]~q\ & (\led_flash_cnt[2029][2]~55289\ $ (GND))) # (!\led_flash_cnt[2029][3]~q\ & (!\led_flash_cnt[2029][2]~55289\ & VCC))
-- \led_flash_cnt[2029][3]~55291\ = CARRY((\led_flash_cnt[2029][3]~q\ & !\led_flash_cnt[2029][2]~55289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2029][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2029][2]~55289\,
	combout => \led_flash_cnt[2029][3]~55290_combout\,
	cout => \led_flash_cnt[2029][3]~55291\);

-- Location: FF_X39_Y22_N11
\led_flash_cnt[2029][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2029][3]~55290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2029][3]~q\);

-- Location: LCCOMB_X39_Y22_N12
\led_flash_cnt[2029][4]~55292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2029][4]~55292_combout\ = (\led_flash_cnt[2029][4]~q\ & (!\led_flash_cnt[2029][3]~55291\)) # (!\led_flash_cnt[2029][4]~q\ & ((\led_flash_cnt[2029][3]~55291\) # (GND)))
-- \led_flash_cnt[2029][4]~55293\ = CARRY((!\led_flash_cnt[2029][3]~55291\) # (!\led_flash_cnt[2029][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2029][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2029][3]~55291\,
	combout => \led_flash_cnt[2029][4]~55292_combout\,
	cout => \led_flash_cnt[2029][4]~55293\);

-- Location: FF_X39_Y22_N13
\led_flash_cnt[2029][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2029][4]~55292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2029][4]~q\);

-- Location: LCCOMB_X39_Y22_N30
\WideAnd2029~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2029~0_combout\ = (\led_flash_cnt[2029][4]~q\ & (\led_flash_cnt[2029][1]~q\ & (\led_flash_cnt[2029][2]~q\ & \led_flash_cnt[2029][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2029][4]~q\,
	datab => \led_flash_cnt[2029][1]~q\,
	datac => \led_flash_cnt[2029][2]~q\,
	datad => \led_flash_cnt[2029][3]~q\,
	combout => \WideAnd2029~0_combout\);

-- Location: LCCOMB_X39_Y22_N14
\led_flash_cnt[2029][5]~55294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2029][5]~55294_combout\ = (\led_flash_cnt[2029][5]~q\ & (\led_flash_cnt[2029][4]~55293\ $ (GND))) # (!\led_flash_cnt[2029][5]~q\ & (!\led_flash_cnt[2029][4]~55293\ & VCC))
-- \led_flash_cnt[2029][5]~55295\ = CARRY((\led_flash_cnt[2029][5]~q\ & !\led_flash_cnt[2029][4]~55293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2029][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2029][4]~55293\,
	combout => \led_flash_cnt[2029][5]~55294_combout\,
	cout => \led_flash_cnt[2029][5]~55295\);

-- Location: FF_X39_Y22_N15
\led_flash_cnt[2029][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2029][5]~55294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2029][5]~q\);

-- Location: LCCOMB_X39_Y22_N16
\led_flash_cnt[2029][6]~55296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2029][6]~55296_combout\ = (\led_flash_cnt[2029][6]~q\ & (!\led_flash_cnt[2029][5]~55295\)) # (!\led_flash_cnt[2029][6]~q\ & ((\led_flash_cnt[2029][5]~55295\) # (GND)))
-- \led_flash_cnt[2029][6]~55297\ = CARRY((!\led_flash_cnt[2029][5]~55295\) # (!\led_flash_cnt[2029][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2029][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2029][5]~55295\,
	combout => \led_flash_cnt[2029][6]~55296_combout\,
	cout => \led_flash_cnt[2029][6]~55297\);

-- Location: FF_X39_Y22_N17
\led_flash_cnt[2029][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2029][6]~55296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2029][6]~q\);

-- Location: LCCOMB_X39_Y22_N18
\led_flash_cnt[2029][7]~55298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2029][7]~55298_combout\ = \led_flash_cnt[2029][7]~q\ $ (!\led_flash_cnt[2029][6]~55297\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2029][7]~q\,
	cin => \led_flash_cnt[2029][6]~55297\,
	combout => \led_flash_cnt[2029][7]~55298_combout\);

-- Location: FF_X39_Y22_N19
\led_flash_cnt[2029][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2029][7]~55298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2029][7]~q\);

-- Location: LCCOMB_X39_Y22_N24
\WideAnd2029~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2029~1_combout\ = (\led_flash_cnt[2029][5]~q\ & \led_flash_cnt[2029][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2029][5]~q\,
	datad => \led_flash_cnt[2029][6]~q\,
	combout => \WideAnd2029~1_combout\);

-- Location: LCCOMB_X39_Y22_N4
WideAnd2029 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2029~combout\ = (\WideAnd2029~0_combout\ & (\led_flash_cnt[2029][0]~q\ & (\led_flash_cnt[2029][7]~q\ & \WideAnd2029~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2029~0_combout\,
	datab => \led_flash_cnt[2029][0]~q\,
	datac => \led_flash_cnt[2029][7]~q\,
	datad => \WideAnd2029~1_combout\,
	combout => \WideAnd2029~combout\);

-- Location: FF_X39_Y22_N5
\led_flash_cnt_ands[2029]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2029~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2029));

-- Location: LCCOMB_X39_Y22_N28
\led_flash_cnt[2028][0]~82668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2028][0]~82668_combout\ = !\led_flash_cnt[2028][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2028][0]~q\,
	combout => \led_flash_cnt[2028][0]~82668_combout\);

-- Location: FF_X39_Y22_N29
\led_flash_cnt[2028][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2028][0]~82668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2028][0]~q\);

-- Location: LCCOMB_X38_Y22_N18
\led_flash_cnt[2028][1]~55272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2028][1]~55272_combout\ = (\led_flash_cnt[2028][1]~q\ & (\led_flash_cnt[2028][0]~q\ $ (VCC))) # (!\led_flash_cnt[2028][1]~q\ & (\led_flash_cnt[2028][0]~q\ & VCC))
-- \led_flash_cnt[2028][1]~55273\ = CARRY((\led_flash_cnt[2028][1]~q\ & \led_flash_cnt[2028][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2028][1]~q\,
	datab => \led_flash_cnt[2028][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2028][1]~55272_combout\,
	cout => \led_flash_cnt[2028][1]~55273\);

-- Location: FF_X38_Y22_N19
\led_flash_cnt[2028][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2028][1]~55272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2028][1]~q\);

-- Location: LCCOMB_X38_Y22_N20
\led_flash_cnt[2028][2]~55274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2028][2]~55274_combout\ = (\led_flash_cnt[2028][2]~q\ & (!\led_flash_cnt[2028][1]~55273\)) # (!\led_flash_cnt[2028][2]~q\ & ((\led_flash_cnt[2028][1]~55273\) # (GND)))
-- \led_flash_cnt[2028][2]~55275\ = CARRY((!\led_flash_cnt[2028][1]~55273\) # (!\led_flash_cnt[2028][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2028][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2028][1]~55273\,
	combout => \led_flash_cnt[2028][2]~55274_combout\,
	cout => \led_flash_cnt[2028][2]~55275\);

-- Location: FF_X38_Y22_N21
\led_flash_cnt[2028][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2028][2]~55274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2028][2]~q\);

-- Location: LCCOMB_X38_Y22_N22
\led_flash_cnt[2028][3]~55276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2028][3]~55276_combout\ = (\led_flash_cnt[2028][3]~q\ & (\led_flash_cnt[2028][2]~55275\ $ (GND))) # (!\led_flash_cnt[2028][3]~q\ & (!\led_flash_cnt[2028][2]~55275\ & VCC))
-- \led_flash_cnt[2028][3]~55277\ = CARRY((\led_flash_cnt[2028][3]~q\ & !\led_flash_cnt[2028][2]~55275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2028][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2028][2]~55275\,
	combout => \led_flash_cnt[2028][3]~55276_combout\,
	cout => \led_flash_cnt[2028][3]~55277\);

-- Location: FF_X38_Y22_N23
\led_flash_cnt[2028][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2028][3]~55276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2028][3]~q\);

-- Location: LCCOMB_X38_Y22_N24
\led_flash_cnt[2028][4]~55278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2028][4]~55278_combout\ = (\led_flash_cnt[2028][4]~q\ & (!\led_flash_cnt[2028][3]~55277\)) # (!\led_flash_cnt[2028][4]~q\ & ((\led_flash_cnt[2028][3]~55277\) # (GND)))
-- \led_flash_cnt[2028][4]~55279\ = CARRY((!\led_flash_cnt[2028][3]~55277\) # (!\led_flash_cnt[2028][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2028][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2028][3]~55277\,
	combout => \led_flash_cnt[2028][4]~55278_combout\,
	cout => \led_flash_cnt[2028][4]~55279\);

-- Location: FF_X38_Y22_N25
\led_flash_cnt[2028][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2028][4]~55278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2028][4]~q\);

-- Location: LCCOMB_X38_Y22_N14
\WideAnd2028~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2028~0_combout\ = (\led_flash_cnt[2028][1]~q\ & (\led_flash_cnt[2028][2]~q\ & (\led_flash_cnt[2028][3]~q\ & \led_flash_cnt[2028][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2028][1]~q\,
	datab => \led_flash_cnt[2028][2]~q\,
	datac => \led_flash_cnt[2028][3]~q\,
	datad => \led_flash_cnt[2028][4]~q\,
	combout => \WideAnd2028~0_combout\);

-- Location: LCCOMB_X38_Y22_N26
\led_flash_cnt[2028][5]~55280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2028][5]~55280_combout\ = (\led_flash_cnt[2028][5]~q\ & (\led_flash_cnt[2028][4]~55279\ $ (GND))) # (!\led_flash_cnt[2028][5]~q\ & (!\led_flash_cnt[2028][4]~55279\ & VCC))
-- \led_flash_cnt[2028][5]~55281\ = CARRY((\led_flash_cnt[2028][5]~q\ & !\led_flash_cnt[2028][4]~55279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2028][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2028][4]~55279\,
	combout => \led_flash_cnt[2028][5]~55280_combout\,
	cout => \led_flash_cnt[2028][5]~55281\);

-- Location: FF_X38_Y22_N27
\led_flash_cnt[2028][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2028][5]~55280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2028][5]~q\);

-- Location: LCCOMB_X38_Y22_N28
\led_flash_cnt[2028][6]~55282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2028][6]~55282_combout\ = (\led_flash_cnt[2028][6]~q\ & (!\led_flash_cnt[2028][5]~55281\)) # (!\led_flash_cnt[2028][6]~q\ & ((\led_flash_cnt[2028][5]~55281\) # (GND)))
-- \led_flash_cnt[2028][6]~55283\ = CARRY((!\led_flash_cnt[2028][5]~55281\) # (!\led_flash_cnt[2028][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2028][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2028][5]~55281\,
	combout => \led_flash_cnt[2028][6]~55282_combout\,
	cout => \led_flash_cnt[2028][6]~55283\);

-- Location: FF_X38_Y22_N29
\led_flash_cnt[2028][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2028][6]~55282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2028][6]~q\);

-- Location: LCCOMB_X38_Y22_N30
\led_flash_cnt[2028][7]~55284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2028][7]~55284_combout\ = \led_flash_cnt[2028][7]~q\ $ (!\led_flash_cnt[2028][6]~55283\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2028][7]~q\,
	cin => \led_flash_cnt[2028][6]~55283\,
	combout => \led_flash_cnt[2028][7]~55284_combout\);

-- Location: FF_X38_Y22_N31
\led_flash_cnt[2028][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2028][7]~55284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2028][7]~q\);

-- Location: LCCOMB_X39_Y22_N26
\WideAnd2028~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2028~1_combout\ = (\led_flash_cnt[2028][5]~q\ & \led_flash_cnt[2028][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2028][5]~q\,
	datad => \led_flash_cnt[2028][6]~q\,
	combout => \WideAnd2028~1_combout\);

-- Location: LCCOMB_X39_Y22_N22
WideAnd2028 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2028~combout\ = (\WideAnd2028~0_combout\ & (\led_flash_cnt[2028][7]~q\ & (\WideAnd2028~1_combout\ & \led_flash_cnt[2028][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2028~0_combout\,
	datab => \led_flash_cnt[2028][7]~q\,
	datac => \WideAnd2028~1_combout\,
	datad => \led_flash_cnt[2028][0]~q\,
	combout => \WideAnd2028~combout\);

-- Location: FF_X39_Y22_N23
\led_flash_cnt_ands[2028]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2028~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2028));

-- Location: LCCOMB_X40_Y22_N0
\WideAnd4093~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4093~1_combout\ = (led_flash_cnt_ands(2029) & led_flash_cnt_ands(2028))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2029),
	datad => led_flash_cnt_ands(2028),
	combout => \WideAnd4093~1_combout\);

-- Location: LCCOMB_X43_Y28_N18
\led_flash_cnt[2025][0]~82665\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2025][0]~82665_combout\ = !\led_flash_cnt[2025][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2025][0]~q\,
	combout => \led_flash_cnt[2025][0]~82665_combout\);

-- Location: FF_X43_Y28_N19
\led_flash_cnt[2025][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2025][0]~82665_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2025][0]~q\);

-- Location: LCCOMB_X42_Y17_N0
\led_flash_cnt[2025][1]~55230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2025][1]~55230_combout\ = (\led_flash_cnt[2025][0]~q\ & (\led_flash_cnt[2025][1]~q\ $ (VCC))) # (!\led_flash_cnt[2025][0]~q\ & (\led_flash_cnt[2025][1]~q\ & VCC))
-- \led_flash_cnt[2025][1]~55231\ = CARRY((\led_flash_cnt[2025][0]~q\ & \led_flash_cnt[2025][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2025][0]~q\,
	datab => \led_flash_cnt[2025][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2025][1]~55230_combout\,
	cout => \led_flash_cnt[2025][1]~55231\);

-- Location: FF_X42_Y17_N1
\led_flash_cnt[2025][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2025][1]~55230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2025][1]~q\);

-- Location: LCCOMB_X42_Y17_N2
\led_flash_cnt[2025][2]~55232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2025][2]~55232_combout\ = (\led_flash_cnt[2025][2]~q\ & (!\led_flash_cnt[2025][1]~55231\)) # (!\led_flash_cnt[2025][2]~q\ & ((\led_flash_cnt[2025][1]~55231\) # (GND)))
-- \led_flash_cnt[2025][2]~55233\ = CARRY((!\led_flash_cnt[2025][1]~55231\) # (!\led_flash_cnt[2025][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2025][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2025][1]~55231\,
	combout => \led_flash_cnt[2025][2]~55232_combout\,
	cout => \led_flash_cnt[2025][2]~55233\);

-- Location: FF_X42_Y17_N3
\led_flash_cnt[2025][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2025][2]~55232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2025][2]~q\);

-- Location: LCCOMB_X42_Y17_N4
\led_flash_cnt[2025][3]~55234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2025][3]~55234_combout\ = (\led_flash_cnt[2025][3]~q\ & (\led_flash_cnt[2025][2]~55233\ $ (GND))) # (!\led_flash_cnt[2025][3]~q\ & (!\led_flash_cnt[2025][2]~55233\ & VCC))
-- \led_flash_cnt[2025][3]~55235\ = CARRY((\led_flash_cnt[2025][3]~q\ & !\led_flash_cnt[2025][2]~55233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2025][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2025][2]~55233\,
	combout => \led_flash_cnt[2025][3]~55234_combout\,
	cout => \led_flash_cnt[2025][3]~55235\);

-- Location: FF_X42_Y17_N5
\led_flash_cnt[2025][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2025][3]~55234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2025][3]~q\);

-- Location: LCCOMB_X42_Y17_N6
\led_flash_cnt[2025][4]~55236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2025][4]~55236_combout\ = (\led_flash_cnt[2025][4]~q\ & (!\led_flash_cnt[2025][3]~55235\)) # (!\led_flash_cnt[2025][4]~q\ & ((\led_flash_cnt[2025][3]~55235\) # (GND)))
-- \led_flash_cnt[2025][4]~55237\ = CARRY((!\led_flash_cnt[2025][3]~55235\) # (!\led_flash_cnt[2025][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2025][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2025][3]~55235\,
	combout => \led_flash_cnt[2025][4]~55236_combout\,
	cout => \led_flash_cnt[2025][4]~55237\);

-- Location: FF_X42_Y17_N7
\led_flash_cnt[2025][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2025][4]~55236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2025][4]~q\);

-- Location: LCCOMB_X42_Y17_N8
\led_flash_cnt[2025][5]~55238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2025][5]~55238_combout\ = (\led_flash_cnt[2025][5]~q\ & (\led_flash_cnt[2025][4]~55237\ $ (GND))) # (!\led_flash_cnt[2025][5]~q\ & (!\led_flash_cnt[2025][4]~55237\ & VCC))
-- \led_flash_cnt[2025][5]~55239\ = CARRY((\led_flash_cnt[2025][5]~q\ & !\led_flash_cnt[2025][4]~55237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2025][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2025][4]~55237\,
	combout => \led_flash_cnt[2025][5]~55238_combout\,
	cout => \led_flash_cnt[2025][5]~55239\);

-- Location: FF_X42_Y17_N9
\led_flash_cnt[2025][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2025][5]~55238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2025][5]~q\);

-- Location: LCCOMB_X42_Y17_N10
\led_flash_cnt[2025][6]~55240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2025][6]~55240_combout\ = (\led_flash_cnt[2025][6]~q\ & (!\led_flash_cnt[2025][5]~55239\)) # (!\led_flash_cnt[2025][6]~q\ & ((\led_flash_cnt[2025][5]~55239\) # (GND)))
-- \led_flash_cnt[2025][6]~55241\ = CARRY((!\led_flash_cnt[2025][5]~55239\) # (!\led_flash_cnt[2025][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2025][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2025][5]~55239\,
	combout => \led_flash_cnt[2025][6]~55240_combout\,
	cout => \led_flash_cnt[2025][6]~55241\);

-- Location: FF_X42_Y17_N11
\led_flash_cnt[2025][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2025][6]~55240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2025][6]~q\);

-- Location: LCCOMB_X42_Y17_N30
\WideAnd2025~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2025~0_combout\ = (\led_flash_cnt[2025][0]~q\ & (\led_flash_cnt[2025][2]~q\ & (\led_flash_cnt[2025][5]~q\ & \led_flash_cnt[2025][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2025][0]~q\,
	datab => \led_flash_cnt[2025][2]~q\,
	datac => \led_flash_cnt[2025][5]~q\,
	datad => \led_flash_cnt[2025][6]~q\,
	combout => \WideAnd2025~0_combout\);

-- Location: LCCOMB_X42_Y17_N12
\led_flash_cnt[2025][7]~55242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2025][7]~55242_combout\ = \led_flash_cnt[2025][6]~55241\ $ (!\led_flash_cnt[2025][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2025][7]~q\,
	cin => \led_flash_cnt[2025][6]~55241\,
	combout => \led_flash_cnt[2025][7]~55242_combout\);

-- Location: FF_X42_Y17_N13
\led_flash_cnt[2025][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2025][7]~55242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2025][7]~q\);

-- Location: LCCOMB_X42_Y21_N20
\WideAnd2025~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2025~1_combout\ = (\led_flash_cnt[2025][7]~q\ & \led_flash_cnt[2025][3]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2025][7]~q\,
	datad => \led_flash_cnt[2025][3]~q\,
	combout => \WideAnd2025~1_combout\);

-- Location: LCCOMB_X42_Y21_N4
WideAnd2025 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2025~combout\ = (\led_flash_cnt[2025][1]~q\ & (\led_flash_cnt[2025][4]~q\ & (\WideAnd2025~0_combout\ & \WideAnd2025~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2025][1]~q\,
	datab => \led_flash_cnt[2025][4]~q\,
	datac => \WideAnd2025~0_combout\,
	datad => \WideAnd2025~1_combout\,
	combout => \WideAnd2025~combout\);

-- Location: FF_X42_Y21_N5
\led_flash_cnt_ands[2025]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2025~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2025));

-- Location: LCCOMB_X41_Y27_N6
\led_flash_cnt[2024][0]~82664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2024][0]~82664_combout\ = !\led_flash_cnt[2024][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2024][0]~q\,
	combout => \led_flash_cnt[2024][0]~82664_combout\);

-- Location: FF_X41_Y27_N7
\led_flash_cnt[2024][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2024][0]~82664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2024][0]~q\);

-- Location: LCCOMB_X40_Y27_N18
\led_flash_cnt[2024][1]~55216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2024][1]~55216_combout\ = (\led_flash_cnt[2024][0]~q\ & (\led_flash_cnt[2024][1]~q\ $ (VCC))) # (!\led_flash_cnt[2024][0]~q\ & (\led_flash_cnt[2024][1]~q\ & VCC))
-- \led_flash_cnt[2024][1]~55217\ = CARRY((\led_flash_cnt[2024][0]~q\ & \led_flash_cnt[2024][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2024][0]~q\,
	datab => \led_flash_cnt[2024][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2024][1]~55216_combout\,
	cout => \led_flash_cnt[2024][1]~55217\);

-- Location: FF_X40_Y27_N19
\led_flash_cnt[2024][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2024][1]~55216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2024][1]~q\);

-- Location: LCCOMB_X40_Y27_N20
\led_flash_cnt[2024][2]~55218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2024][2]~55218_combout\ = (\led_flash_cnt[2024][2]~q\ & (!\led_flash_cnt[2024][1]~55217\)) # (!\led_flash_cnt[2024][2]~q\ & ((\led_flash_cnt[2024][1]~55217\) # (GND)))
-- \led_flash_cnt[2024][2]~55219\ = CARRY((!\led_flash_cnt[2024][1]~55217\) # (!\led_flash_cnt[2024][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2024][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2024][1]~55217\,
	combout => \led_flash_cnt[2024][2]~55218_combout\,
	cout => \led_flash_cnt[2024][2]~55219\);

-- Location: FF_X40_Y27_N21
\led_flash_cnt[2024][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2024][2]~55218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2024][2]~q\);

-- Location: LCCOMB_X40_Y27_N22
\led_flash_cnt[2024][3]~55220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2024][3]~55220_combout\ = (\led_flash_cnt[2024][3]~q\ & (\led_flash_cnt[2024][2]~55219\ $ (GND))) # (!\led_flash_cnt[2024][3]~q\ & (!\led_flash_cnt[2024][2]~55219\ & VCC))
-- \led_flash_cnt[2024][3]~55221\ = CARRY((\led_flash_cnt[2024][3]~q\ & !\led_flash_cnt[2024][2]~55219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2024][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2024][2]~55219\,
	combout => \led_flash_cnt[2024][3]~55220_combout\,
	cout => \led_flash_cnt[2024][3]~55221\);

-- Location: FF_X40_Y27_N23
\led_flash_cnt[2024][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2024][3]~55220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2024][3]~q\);

-- Location: LCCOMB_X40_Y27_N24
\led_flash_cnt[2024][4]~55222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2024][4]~55222_combout\ = (\led_flash_cnt[2024][4]~q\ & (!\led_flash_cnt[2024][3]~55221\)) # (!\led_flash_cnt[2024][4]~q\ & ((\led_flash_cnt[2024][3]~55221\) # (GND)))
-- \led_flash_cnt[2024][4]~55223\ = CARRY((!\led_flash_cnt[2024][3]~55221\) # (!\led_flash_cnt[2024][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2024][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2024][3]~55221\,
	combout => \led_flash_cnt[2024][4]~55222_combout\,
	cout => \led_flash_cnt[2024][4]~55223\);

-- Location: FF_X40_Y27_N25
\led_flash_cnt[2024][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2024][4]~55222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2024][4]~q\);

-- Location: LCCOMB_X40_Y27_N26
\led_flash_cnt[2024][5]~55224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2024][5]~55224_combout\ = (\led_flash_cnt[2024][5]~q\ & (\led_flash_cnt[2024][4]~55223\ $ (GND))) # (!\led_flash_cnt[2024][5]~q\ & (!\led_flash_cnt[2024][4]~55223\ & VCC))
-- \led_flash_cnt[2024][5]~55225\ = CARRY((\led_flash_cnt[2024][5]~q\ & !\led_flash_cnt[2024][4]~55223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2024][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2024][4]~55223\,
	combout => \led_flash_cnt[2024][5]~55224_combout\,
	cout => \led_flash_cnt[2024][5]~55225\);

-- Location: FF_X40_Y27_N27
\led_flash_cnt[2024][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2024][5]~55224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2024][5]~q\);

-- Location: LCCOMB_X40_Y27_N28
\led_flash_cnt[2024][6]~55226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2024][6]~55226_combout\ = (\led_flash_cnt[2024][6]~q\ & (!\led_flash_cnt[2024][5]~55225\)) # (!\led_flash_cnt[2024][6]~q\ & ((\led_flash_cnt[2024][5]~55225\) # (GND)))
-- \led_flash_cnt[2024][6]~55227\ = CARRY((!\led_flash_cnt[2024][5]~55225\) # (!\led_flash_cnt[2024][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2024][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2024][5]~55225\,
	combout => \led_flash_cnt[2024][6]~55226_combout\,
	cout => \led_flash_cnt[2024][6]~55227\);

-- Location: FF_X40_Y27_N29
\led_flash_cnt[2024][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2024][6]~55226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2024][6]~q\);

-- Location: LCCOMB_X41_Y27_N10
\WideAnd2024~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2024~1_combout\ = (\led_flash_cnt[2024][5]~q\ & \led_flash_cnt[2024][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2024][5]~q\,
	datad => \led_flash_cnt[2024][6]~q\,
	combout => \WideAnd2024~1_combout\);

-- Location: LCCOMB_X40_Y27_N30
\led_flash_cnt[2024][7]~55228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2024][7]~55228_combout\ = \led_flash_cnt[2024][7]~q\ $ (!\led_flash_cnt[2024][6]~55227\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2024][7]~q\,
	cin => \led_flash_cnt[2024][6]~55227\,
	combout => \led_flash_cnt[2024][7]~55228_combout\);

-- Location: FF_X40_Y27_N31
\led_flash_cnt[2024][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2024][7]~55228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2024][7]~q\);

-- Location: LCCOMB_X40_Y27_N0
\WideAnd2024~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2024~0_combout\ = (\led_flash_cnt[2024][2]~q\ & (\led_flash_cnt[2024][1]~q\ & (\led_flash_cnt[2024][3]~q\ & \led_flash_cnt[2024][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2024][2]~q\,
	datab => \led_flash_cnt[2024][1]~q\,
	datac => \led_flash_cnt[2024][3]~q\,
	datad => \led_flash_cnt[2024][4]~q\,
	combout => \WideAnd2024~0_combout\);

-- Location: LCCOMB_X41_Y27_N4
WideAnd2024 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2024~combout\ = (\WideAnd2024~1_combout\ & (\led_flash_cnt[2024][7]~q\ & (\WideAnd2024~0_combout\ & \led_flash_cnt[2024][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2024~1_combout\,
	datab => \led_flash_cnt[2024][7]~q\,
	datac => \WideAnd2024~0_combout\,
	datad => \led_flash_cnt[2024][0]~q\,
	combout => \WideAnd2024~combout\);

-- Location: FF_X41_Y27_N5
\led_flash_cnt_ands[2024]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2024~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2024));

-- Location: LCCOMB_X27_Y6_N2
\led_flash_cnt[2027][0]~82667\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2027][0]~82667_combout\ = !\led_flash_cnt[2027][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2027][0]~q\,
	combout => \led_flash_cnt[2027][0]~82667_combout\);

-- Location: FF_X27_Y6_N3
\led_flash_cnt[2027][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2027][0]~82667_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2027][0]~q\);

-- Location: LCCOMB_X26_Y6_N2
\led_flash_cnt[2027][1]~55258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2027][1]~55258_combout\ = (\led_flash_cnt[2027][0]~q\ & (\led_flash_cnt[2027][1]~q\ $ (VCC))) # (!\led_flash_cnt[2027][0]~q\ & (\led_flash_cnt[2027][1]~q\ & VCC))
-- \led_flash_cnt[2027][1]~55259\ = CARRY((\led_flash_cnt[2027][0]~q\ & \led_flash_cnt[2027][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2027][0]~q\,
	datab => \led_flash_cnt[2027][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2027][1]~55258_combout\,
	cout => \led_flash_cnt[2027][1]~55259\);

-- Location: FF_X26_Y6_N3
\led_flash_cnt[2027][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2027][1]~55258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2027][1]~q\);

-- Location: LCCOMB_X26_Y6_N4
\led_flash_cnt[2027][2]~55260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2027][2]~55260_combout\ = (\led_flash_cnt[2027][2]~q\ & (!\led_flash_cnt[2027][1]~55259\)) # (!\led_flash_cnt[2027][2]~q\ & ((\led_flash_cnt[2027][1]~55259\) # (GND)))
-- \led_flash_cnt[2027][2]~55261\ = CARRY((!\led_flash_cnt[2027][1]~55259\) # (!\led_flash_cnt[2027][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2027][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2027][1]~55259\,
	combout => \led_flash_cnt[2027][2]~55260_combout\,
	cout => \led_flash_cnt[2027][2]~55261\);

-- Location: FF_X26_Y6_N5
\led_flash_cnt[2027][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2027][2]~55260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2027][2]~q\);

-- Location: LCCOMB_X26_Y6_N6
\led_flash_cnt[2027][3]~55262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2027][3]~55262_combout\ = (\led_flash_cnt[2027][3]~q\ & (\led_flash_cnt[2027][2]~55261\ $ (GND))) # (!\led_flash_cnt[2027][3]~q\ & (!\led_flash_cnt[2027][2]~55261\ & VCC))
-- \led_flash_cnt[2027][3]~55263\ = CARRY((\led_flash_cnt[2027][3]~q\ & !\led_flash_cnt[2027][2]~55261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2027][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2027][2]~55261\,
	combout => \led_flash_cnt[2027][3]~55262_combout\,
	cout => \led_flash_cnt[2027][3]~55263\);

-- Location: FF_X26_Y6_N7
\led_flash_cnt[2027][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2027][3]~55262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2027][3]~q\);

-- Location: LCCOMB_X26_Y6_N8
\led_flash_cnt[2027][4]~55264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2027][4]~55264_combout\ = (\led_flash_cnt[2027][4]~q\ & (!\led_flash_cnt[2027][3]~55263\)) # (!\led_flash_cnt[2027][4]~q\ & ((\led_flash_cnt[2027][3]~55263\) # (GND)))
-- \led_flash_cnt[2027][4]~55265\ = CARRY((!\led_flash_cnt[2027][3]~55263\) # (!\led_flash_cnt[2027][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2027][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2027][3]~55263\,
	combout => \led_flash_cnt[2027][4]~55264_combout\,
	cout => \led_flash_cnt[2027][4]~55265\);

-- Location: FF_X26_Y6_N9
\led_flash_cnt[2027][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2027][4]~55264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2027][4]~q\);

-- Location: LCCOMB_X26_Y6_N10
\led_flash_cnt[2027][5]~55266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2027][5]~55266_combout\ = (\led_flash_cnt[2027][5]~q\ & (\led_flash_cnt[2027][4]~55265\ $ (GND))) # (!\led_flash_cnt[2027][5]~q\ & (!\led_flash_cnt[2027][4]~55265\ & VCC))
-- \led_flash_cnt[2027][5]~55267\ = CARRY((\led_flash_cnt[2027][5]~q\ & !\led_flash_cnt[2027][4]~55265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2027][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2027][4]~55265\,
	combout => \led_flash_cnt[2027][5]~55266_combout\,
	cout => \led_flash_cnt[2027][5]~55267\);

-- Location: FF_X26_Y6_N11
\led_flash_cnt[2027][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2027][5]~55266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2027][5]~q\);

-- Location: LCCOMB_X26_Y6_N12
\led_flash_cnt[2027][6]~55268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2027][6]~55268_combout\ = (\led_flash_cnt[2027][6]~q\ & (!\led_flash_cnt[2027][5]~55267\)) # (!\led_flash_cnt[2027][6]~q\ & ((\led_flash_cnt[2027][5]~55267\) # (GND)))
-- \led_flash_cnt[2027][6]~55269\ = CARRY((!\led_flash_cnt[2027][5]~55267\) # (!\led_flash_cnt[2027][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2027][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2027][5]~55267\,
	combout => \led_flash_cnt[2027][6]~55268_combout\,
	cout => \led_flash_cnt[2027][6]~55269\);

-- Location: FF_X26_Y6_N13
\led_flash_cnt[2027][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2027][6]~55268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2027][6]~q\);

-- Location: LCCOMB_X26_Y6_N14
\led_flash_cnt[2027][7]~55270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2027][7]~55270_combout\ = \led_flash_cnt[2027][7]~q\ $ (!\led_flash_cnt[2027][6]~55269\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2027][7]~q\,
	cin => \led_flash_cnt[2027][6]~55269\,
	combout => \led_flash_cnt[2027][7]~55270_combout\);

-- Location: FF_X26_Y6_N15
\led_flash_cnt[2027][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2027][7]~55270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2027][7]~q\);

-- Location: LCCOMB_X27_Y6_N24
\WideAnd2027~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2027~0_combout\ = (\led_flash_cnt[2027][1]~q\ & (\led_flash_cnt[2027][3]~q\ & (\led_flash_cnt[2027][2]~q\ & \led_flash_cnt[2027][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2027][1]~q\,
	datab => \led_flash_cnt[2027][3]~q\,
	datac => \led_flash_cnt[2027][2]~q\,
	datad => \led_flash_cnt[2027][4]~q\,
	combout => \WideAnd2027~0_combout\);

-- Location: LCCOMB_X27_Y6_N4
\WideAnd2027~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2027~1_combout\ = (\led_flash_cnt[2027][6]~q\ & \led_flash_cnt[2027][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2027][6]~q\,
	datad => \led_flash_cnt[2027][5]~q\,
	combout => \WideAnd2027~1_combout\);

-- Location: LCCOMB_X27_Y6_N0
WideAnd2027 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2027~combout\ = (\led_flash_cnt[2027][7]~q\ & (\WideAnd2027~0_combout\ & (\WideAnd2027~1_combout\ & \led_flash_cnt[2027][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2027][7]~q\,
	datab => \WideAnd2027~0_combout\,
	datac => \WideAnd2027~1_combout\,
	datad => \led_flash_cnt[2027][0]~q\,
	combout => \WideAnd2027~combout\);

-- Location: FF_X27_Y6_N1
\led_flash_cnt_ands[2027]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2027~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2027));

-- Location: LCCOMB_X43_Y23_N16
\led_flash_cnt[2026][0]~82666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2026][0]~82666_combout\ = !\led_flash_cnt[2026][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2026][0]~q\,
	combout => \led_flash_cnt[2026][0]~82666_combout\);

-- Location: FF_X43_Y23_N17
\led_flash_cnt[2026][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2026][0]~82666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2026][0]~q\);

-- Location: LCCOMB_X44_Y27_N18
\led_flash_cnt[2026][1]~55244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2026][1]~55244_combout\ = (\led_flash_cnt[2026][0]~q\ & (\led_flash_cnt[2026][1]~q\ $ (VCC))) # (!\led_flash_cnt[2026][0]~q\ & (\led_flash_cnt[2026][1]~q\ & VCC))
-- \led_flash_cnt[2026][1]~55245\ = CARRY((\led_flash_cnt[2026][0]~q\ & \led_flash_cnt[2026][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2026][0]~q\,
	datab => \led_flash_cnt[2026][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2026][1]~55244_combout\,
	cout => \led_flash_cnt[2026][1]~55245\);

-- Location: FF_X44_Y27_N19
\led_flash_cnt[2026][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2026][1]~55244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2026][1]~q\);

-- Location: LCCOMB_X44_Y27_N20
\led_flash_cnt[2026][2]~55246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2026][2]~55246_combout\ = (\led_flash_cnt[2026][2]~q\ & (!\led_flash_cnt[2026][1]~55245\)) # (!\led_flash_cnt[2026][2]~q\ & ((\led_flash_cnt[2026][1]~55245\) # (GND)))
-- \led_flash_cnt[2026][2]~55247\ = CARRY((!\led_flash_cnt[2026][1]~55245\) # (!\led_flash_cnt[2026][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2026][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2026][1]~55245\,
	combout => \led_flash_cnt[2026][2]~55246_combout\,
	cout => \led_flash_cnt[2026][2]~55247\);

-- Location: FF_X44_Y27_N21
\led_flash_cnt[2026][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2026][2]~55246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2026][2]~q\);

-- Location: LCCOMB_X44_Y27_N22
\led_flash_cnt[2026][3]~55248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2026][3]~55248_combout\ = (\led_flash_cnt[2026][3]~q\ & (\led_flash_cnt[2026][2]~55247\ $ (GND))) # (!\led_flash_cnt[2026][3]~q\ & (!\led_flash_cnt[2026][2]~55247\ & VCC))
-- \led_flash_cnt[2026][3]~55249\ = CARRY((\led_flash_cnt[2026][3]~q\ & !\led_flash_cnt[2026][2]~55247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2026][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2026][2]~55247\,
	combout => \led_flash_cnt[2026][3]~55248_combout\,
	cout => \led_flash_cnt[2026][3]~55249\);

-- Location: FF_X44_Y27_N23
\led_flash_cnt[2026][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2026][3]~55248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2026][3]~q\);

-- Location: LCCOMB_X44_Y27_N24
\led_flash_cnt[2026][4]~55250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2026][4]~55250_combout\ = (\led_flash_cnt[2026][4]~q\ & (!\led_flash_cnt[2026][3]~55249\)) # (!\led_flash_cnt[2026][4]~q\ & ((\led_flash_cnt[2026][3]~55249\) # (GND)))
-- \led_flash_cnt[2026][4]~55251\ = CARRY((!\led_flash_cnt[2026][3]~55249\) # (!\led_flash_cnt[2026][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2026][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2026][3]~55249\,
	combout => \led_flash_cnt[2026][4]~55250_combout\,
	cout => \led_flash_cnt[2026][4]~55251\);

-- Location: FF_X44_Y27_N25
\led_flash_cnt[2026][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2026][4]~55250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2026][4]~q\);

-- Location: LCCOMB_X44_Y27_N26
\led_flash_cnt[2026][5]~55252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2026][5]~55252_combout\ = (\led_flash_cnt[2026][5]~q\ & (\led_flash_cnt[2026][4]~55251\ $ (GND))) # (!\led_flash_cnt[2026][5]~q\ & (!\led_flash_cnt[2026][4]~55251\ & VCC))
-- \led_flash_cnt[2026][5]~55253\ = CARRY((\led_flash_cnt[2026][5]~q\ & !\led_flash_cnt[2026][4]~55251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2026][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2026][4]~55251\,
	combout => \led_flash_cnt[2026][5]~55252_combout\,
	cout => \led_flash_cnt[2026][5]~55253\);

-- Location: FF_X44_Y27_N27
\led_flash_cnt[2026][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2026][5]~55252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2026][5]~q\);

-- Location: LCCOMB_X44_Y27_N28
\led_flash_cnt[2026][6]~55254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2026][6]~55254_combout\ = (\led_flash_cnt[2026][6]~q\ & (!\led_flash_cnt[2026][5]~55253\)) # (!\led_flash_cnt[2026][6]~q\ & ((\led_flash_cnt[2026][5]~55253\) # (GND)))
-- \led_flash_cnt[2026][6]~55255\ = CARRY((!\led_flash_cnt[2026][5]~55253\) # (!\led_flash_cnt[2026][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2026][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2026][5]~55253\,
	combout => \led_flash_cnt[2026][6]~55254_combout\,
	cout => \led_flash_cnt[2026][6]~55255\);

-- Location: FF_X44_Y27_N29
\led_flash_cnt[2026][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2026][6]~55254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2026][6]~q\);

-- Location: LCCOMB_X44_Y27_N30
\led_flash_cnt[2026][7]~55256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2026][7]~55256_combout\ = \led_flash_cnt[2026][7]~q\ $ (!\led_flash_cnt[2026][6]~55255\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2026][7]~q\,
	cin => \led_flash_cnt[2026][6]~55255\,
	combout => \led_flash_cnt[2026][7]~55256_combout\);

-- Location: FF_X44_Y27_N31
\led_flash_cnt[2026][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2026][7]~55256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2026][7]~q\);

-- Location: LCCOMB_X44_Y27_N0
\WideAnd2026~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2026~0_combout\ = (\led_flash_cnt[2026][2]~q\ & (\led_flash_cnt[2026][1]~q\ & (\led_flash_cnt[2026][3]~q\ & \led_flash_cnt[2026][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2026][2]~q\,
	datab => \led_flash_cnt[2026][1]~q\,
	datac => \led_flash_cnt[2026][3]~q\,
	datad => \led_flash_cnt[2026][4]~q\,
	combout => \WideAnd2026~0_combout\);

-- Location: LCCOMB_X43_Y23_N28
\WideAnd2026~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2026~1_combout\ = (\led_flash_cnt[2026][6]~q\ & \led_flash_cnt[2026][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2026][6]~q\,
	datad => \led_flash_cnt[2026][5]~q\,
	combout => \WideAnd2026~1_combout\);

-- Location: LCCOMB_X43_Y23_N18
WideAnd2026 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2026~combout\ = (\led_flash_cnt[2026][7]~q\ & (\led_flash_cnt[2026][0]~q\ & (\WideAnd2026~0_combout\ & \WideAnd2026~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2026][7]~q\,
	datab => \led_flash_cnt[2026][0]~q\,
	datac => \WideAnd2026~0_combout\,
	datad => \WideAnd2026~1_combout\,
	combout => \WideAnd2026~combout\);

-- Location: FF_X43_Y23_N19
\led_flash_cnt_ands[2026]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2026~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2026));

-- Location: LCCOMB_X42_Y23_N16
\WideAnd4093~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4093~0_combout\ = (led_flash_cnt_ands(2025) & (led_flash_cnt_ands(2024) & (led_flash_cnt_ands(2027) & led_flash_cnt_ands(2026))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2025),
	datab => led_flash_cnt_ands(2024),
	datac => led_flash_cnt_ands(2027),
	datad => led_flash_cnt_ands(2026),
	combout => \WideAnd4093~0_combout\);

-- Location: LCCOMB_X43_Y23_N20
\led_flash_cnt[2030][0]~82670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2030][0]~82670_combout\ = !\led_flash_cnt[2030][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2030][0]~q\,
	combout => \led_flash_cnt[2030][0]~82670_combout\);

-- Location: FF_X43_Y23_N21
\led_flash_cnt[2030][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2030][0]~82670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2030][0]~q\);

-- Location: LCCOMB_X43_Y27_N14
\led_flash_cnt[2030][1]~55300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2030][1]~55300_combout\ = (\led_flash_cnt[2030][0]~q\ & (\led_flash_cnt[2030][1]~q\ $ (VCC))) # (!\led_flash_cnt[2030][0]~q\ & (\led_flash_cnt[2030][1]~q\ & VCC))
-- \led_flash_cnt[2030][1]~55301\ = CARRY((\led_flash_cnt[2030][0]~q\ & \led_flash_cnt[2030][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2030][0]~q\,
	datab => \led_flash_cnt[2030][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2030][1]~55300_combout\,
	cout => \led_flash_cnt[2030][1]~55301\);

-- Location: FF_X43_Y27_N15
\led_flash_cnt[2030][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2030][1]~55300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2030][1]~q\);

-- Location: LCCOMB_X43_Y27_N16
\led_flash_cnt[2030][2]~55302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2030][2]~55302_combout\ = (\led_flash_cnt[2030][2]~q\ & (!\led_flash_cnt[2030][1]~55301\)) # (!\led_flash_cnt[2030][2]~q\ & ((\led_flash_cnt[2030][1]~55301\) # (GND)))
-- \led_flash_cnt[2030][2]~55303\ = CARRY((!\led_flash_cnt[2030][1]~55301\) # (!\led_flash_cnt[2030][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2030][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2030][1]~55301\,
	combout => \led_flash_cnt[2030][2]~55302_combout\,
	cout => \led_flash_cnt[2030][2]~55303\);

-- Location: FF_X43_Y27_N17
\led_flash_cnt[2030][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2030][2]~55302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2030][2]~q\);

-- Location: LCCOMB_X43_Y27_N18
\led_flash_cnt[2030][3]~55304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2030][3]~55304_combout\ = (\led_flash_cnt[2030][3]~q\ & (\led_flash_cnt[2030][2]~55303\ $ (GND))) # (!\led_flash_cnt[2030][3]~q\ & (!\led_flash_cnt[2030][2]~55303\ & VCC))
-- \led_flash_cnt[2030][3]~55305\ = CARRY((\led_flash_cnt[2030][3]~q\ & !\led_flash_cnt[2030][2]~55303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2030][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2030][2]~55303\,
	combout => \led_flash_cnt[2030][3]~55304_combout\,
	cout => \led_flash_cnt[2030][3]~55305\);

-- Location: FF_X43_Y27_N19
\led_flash_cnt[2030][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2030][3]~55304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2030][3]~q\);

-- Location: LCCOMB_X43_Y27_N20
\led_flash_cnt[2030][4]~55306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2030][4]~55306_combout\ = (\led_flash_cnt[2030][4]~q\ & (!\led_flash_cnt[2030][3]~55305\)) # (!\led_flash_cnt[2030][4]~q\ & ((\led_flash_cnt[2030][3]~55305\) # (GND)))
-- \led_flash_cnt[2030][4]~55307\ = CARRY((!\led_flash_cnt[2030][3]~55305\) # (!\led_flash_cnt[2030][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2030][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2030][3]~55305\,
	combout => \led_flash_cnt[2030][4]~55306_combout\,
	cout => \led_flash_cnt[2030][4]~55307\);

-- Location: FF_X43_Y27_N21
\led_flash_cnt[2030][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2030][4]~55306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2030][4]~q\);

-- Location: LCCOMB_X43_Y27_N30
\WideAnd2030~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2030~0_combout\ = (\led_flash_cnt[2030][3]~q\ & (\led_flash_cnt[2030][2]~q\ & (\led_flash_cnt[2030][1]~q\ & \led_flash_cnt[2030][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2030][3]~q\,
	datab => \led_flash_cnt[2030][2]~q\,
	datac => \led_flash_cnt[2030][1]~q\,
	datad => \led_flash_cnt[2030][4]~q\,
	combout => \WideAnd2030~0_combout\);

-- Location: LCCOMB_X43_Y27_N22
\led_flash_cnt[2030][5]~55308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2030][5]~55308_combout\ = (\led_flash_cnt[2030][5]~q\ & (\led_flash_cnt[2030][4]~55307\ $ (GND))) # (!\led_flash_cnt[2030][5]~q\ & (!\led_flash_cnt[2030][4]~55307\ & VCC))
-- \led_flash_cnt[2030][5]~55309\ = CARRY((\led_flash_cnt[2030][5]~q\ & !\led_flash_cnt[2030][4]~55307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2030][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2030][4]~55307\,
	combout => \led_flash_cnt[2030][5]~55308_combout\,
	cout => \led_flash_cnt[2030][5]~55309\);

-- Location: FF_X43_Y27_N23
\led_flash_cnt[2030][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2030][5]~55308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2030][5]~q\);

-- Location: LCCOMB_X43_Y27_N24
\led_flash_cnt[2030][6]~55310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2030][6]~55310_combout\ = (\led_flash_cnt[2030][6]~q\ & (!\led_flash_cnt[2030][5]~55309\)) # (!\led_flash_cnt[2030][6]~q\ & ((\led_flash_cnt[2030][5]~55309\) # (GND)))
-- \led_flash_cnt[2030][6]~55311\ = CARRY((!\led_flash_cnt[2030][5]~55309\) # (!\led_flash_cnt[2030][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2030][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2030][5]~55309\,
	combout => \led_flash_cnt[2030][6]~55310_combout\,
	cout => \led_flash_cnt[2030][6]~55311\);

-- Location: FF_X43_Y27_N25
\led_flash_cnt[2030][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2030][6]~55310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2030][6]~q\);

-- Location: LCCOMB_X43_Y27_N26
\led_flash_cnt[2030][7]~55312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2030][7]~55312_combout\ = \led_flash_cnt[2030][7]~q\ $ (!\led_flash_cnt[2030][6]~55311\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2030][7]~q\,
	cin => \led_flash_cnt[2030][6]~55311\,
	combout => \led_flash_cnt[2030][7]~55312_combout\);

-- Location: FF_X43_Y27_N27
\led_flash_cnt[2030][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2030][7]~55312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2030][7]~q\);

-- Location: LCCOMB_X43_Y23_N24
\WideAnd2030~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2030~1_combout\ = (\led_flash_cnt[2030][6]~q\ & \led_flash_cnt[2030][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2030][6]~q\,
	datad => \led_flash_cnt[2030][5]~q\,
	combout => \WideAnd2030~1_combout\);

-- Location: LCCOMB_X43_Y23_N12
WideAnd2030 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2030~combout\ = (\led_flash_cnt[2030][0]~q\ & (\WideAnd2030~0_combout\ & (\led_flash_cnt[2030][7]~q\ & \WideAnd2030~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2030][0]~q\,
	datab => \WideAnd2030~0_combout\,
	datac => \led_flash_cnt[2030][7]~q\,
	datad => \WideAnd2030~1_combout\,
	combout => \WideAnd2030~combout\);

-- Location: FF_X43_Y23_N13
\led_flash_cnt_ands[2030]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2030~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2030));

-- Location: LCCOMB_X43_Y23_N8
WideAnd4093 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4093~combout\ = (led_flash_cnt_ands(2031) & (\WideAnd4093~1_combout\ & (\WideAnd4093~0_combout\ & led_flash_cnt_ands(2030))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2031),
	datab => \WideAnd4093~1_combout\,
	datac => \WideAnd4093~0_combout\,
	datad => led_flash_cnt_ands(2030),
	combout => \WideAnd4093~combout\);

-- Location: FF_X43_Y23_N9
\led_flash_cnt_ands_1[253]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4093~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(253));

-- Location: LCCOMB_X55_Y26_N28
\led_flash_cnt[2023][0]~82663\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2023][0]~82663_combout\ = !\led_flash_cnt[2023][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2023][0]~q\,
	combout => \led_flash_cnt[2023][0]~82663_combout\);

-- Location: FF_X55_Y26_N29
\led_flash_cnt[2023][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2023][0]~82663_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2023][0]~q\);

-- Location: LCCOMB_X52_Y26_N16
\led_flash_cnt[2023][1]~55202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2023][1]~55202_combout\ = (\led_flash_cnt[2023][0]~q\ & (\led_flash_cnt[2023][1]~q\ $ (VCC))) # (!\led_flash_cnt[2023][0]~q\ & (\led_flash_cnt[2023][1]~q\ & VCC))
-- \led_flash_cnt[2023][1]~55203\ = CARRY((\led_flash_cnt[2023][0]~q\ & \led_flash_cnt[2023][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2023][0]~q\,
	datab => \led_flash_cnt[2023][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2023][1]~55202_combout\,
	cout => \led_flash_cnt[2023][1]~55203\);

-- Location: FF_X52_Y26_N17
\led_flash_cnt[2023][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2023][1]~55202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2023][1]~q\);

-- Location: LCCOMB_X52_Y26_N18
\led_flash_cnt[2023][2]~55204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2023][2]~55204_combout\ = (\led_flash_cnt[2023][2]~q\ & (!\led_flash_cnt[2023][1]~55203\)) # (!\led_flash_cnt[2023][2]~q\ & ((\led_flash_cnt[2023][1]~55203\) # (GND)))
-- \led_flash_cnt[2023][2]~55205\ = CARRY((!\led_flash_cnt[2023][1]~55203\) # (!\led_flash_cnt[2023][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2023][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2023][1]~55203\,
	combout => \led_flash_cnt[2023][2]~55204_combout\,
	cout => \led_flash_cnt[2023][2]~55205\);

-- Location: FF_X52_Y26_N19
\led_flash_cnt[2023][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2023][2]~55204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2023][2]~q\);

-- Location: LCCOMB_X52_Y26_N20
\led_flash_cnt[2023][3]~55206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2023][3]~55206_combout\ = (\led_flash_cnt[2023][3]~q\ & (\led_flash_cnt[2023][2]~55205\ $ (GND))) # (!\led_flash_cnt[2023][3]~q\ & (!\led_flash_cnt[2023][2]~55205\ & VCC))
-- \led_flash_cnt[2023][3]~55207\ = CARRY((\led_flash_cnt[2023][3]~q\ & !\led_flash_cnt[2023][2]~55205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2023][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2023][2]~55205\,
	combout => \led_flash_cnt[2023][3]~55206_combout\,
	cout => \led_flash_cnt[2023][3]~55207\);

-- Location: FF_X52_Y26_N21
\led_flash_cnt[2023][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2023][3]~55206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2023][3]~q\);

-- Location: LCCOMB_X52_Y26_N22
\led_flash_cnt[2023][4]~55208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2023][4]~55208_combout\ = (\led_flash_cnt[2023][4]~q\ & (!\led_flash_cnt[2023][3]~55207\)) # (!\led_flash_cnt[2023][4]~q\ & ((\led_flash_cnt[2023][3]~55207\) # (GND)))
-- \led_flash_cnt[2023][4]~55209\ = CARRY((!\led_flash_cnt[2023][3]~55207\) # (!\led_flash_cnt[2023][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2023][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2023][3]~55207\,
	combout => \led_flash_cnt[2023][4]~55208_combout\,
	cout => \led_flash_cnt[2023][4]~55209\);

-- Location: FF_X52_Y26_N23
\led_flash_cnt[2023][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2023][4]~55208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2023][4]~q\);

-- Location: LCCOMB_X52_Y26_N24
\led_flash_cnt[2023][5]~55210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2023][5]~55210_combout\ = (\led_flash_cnt[2023][5]~q\ & (\led_flash_cnt[2023][4]~55209\ $ (GND))) # (!\led_flash_cnt[2023][5]~q\ & (!\led_flash_cnt[2023][4]~55209\ & VCC))
-- \led_flash_cnt[2023][5]~55211\ = CARRY((\led_flash_cnt[2023][5]~q\ & !\led_flash_cnt[2023][4]~55209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2023][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2023][4]~55209\,
	combout => \led_flash_cnt[2023][5]~55210_combout\,
	cout => \led_flash_cnt[2023][5]~55211\);

-- Location: FF_X52_Y26_N25
\led_flash_cnt[2023][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2023][5]~55210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2023][5]~q\);

-- Location: LCCOMB_X52_Y26_N26
\led_flash_cnt[2023][6]~55212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2023][6]~55212_combout\ = (\led_flash_cnt[2023][6]~q\ & (!\led_flash_cnt[2023][5]~55211\)) # (!\led_flash_cnt[2023][6]~q\ & ((\led_flash_cnt[2023][5]~55211\) # (GND)))
-- \led_flash_cnt[2023][6]~55213\ = CARRY((!\led_flash_cnt[2023][5]~55211\) # (!\led_flash_cnt[2023][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2023][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2023][5]~55211\,
	combout => \led_flash_cnt[2023][6]~55212_combout\,
	cout => \led_flash_cnt[2023][6]~55213\);

-- Location: FF_X52_Y26_N27
\led_flash_cnt[2023][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2023][6]~55212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2023][6]~q\);

-- Location: LCCOMB_X52_Y26_N28
\led_flash_cnt[2023][7]~55214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2023][7]~55214_combout\ = \led_flash_cnt[2023][6]~55213\ $ (!\led_flash_cnt[2023][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2023][7]~q\,
	cin => \led_flash_cnt[2023][6]~55213\,
	combout => \led_flash_cnt[2023][7]~55214_combout\);

-- Location: FF_X52_Y26_N29
\led_flash_cnt[2023][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2023][7]~55214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2023][7]~q\);

-- Location: LCCOMB_X52_Y26_N14
\WideAnd2023~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2023~0_combout\ = (\led_flash_cnt[2023][3]~q\ & (\led_flash_cnt[2023][2]~q\ & (\led_flash_cnt[2023][4]~q\ & \led_flash_cnt[2023][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2023][3]~q\,
	datab => \led_flash_cnt[2023][2]~q\,
	datac => \led_flash_cnt[2023][4]~q\,
	datad => \led_flash_cnt[2023][1]~q\,
	combout => \WideAnd2023~0_combout\);

-- Location: LCCOMB_X51_Y26_N20
\WideAnd2023~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2023~1_combout\ = (\led_flash_cnt[2023][6]~q\ & \led_flash_cnt[2023][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2023][6]~q\,
	datad => \led_flash_cnt[2023][5]~q\,
	combout => \WideAnd2023~1_combout\);

-- Location: LCCOMB_X55_Y26_N26
WideAnd2023 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2023~combout\ = (\led_flash_cnt[2023][7]~q\ & (\WideAnd2023~0_combout\ & (\WideAnd2023~1_combout\ & \led_flash_cnt[2023][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2023][7]~q\,
	datab => \WideAnd2023~0_combout\,
	datac => \WideAnd2023~1_combout\,
	datad => \led_flash_cnt[2023][0]~q\,
	combout => \WideAnd2023~combout\);

-- Location: FF_X55_Y26_N27
\led_flash_cnt_ands[2023]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2023~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2023));

-- Location: LCCOMB_X55_Y26_N18
\led_flash_cnt[2022][0]~82662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2022][0]~82662_combout\ = !\led_flash_cnt[2022][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2022][0]~q\,
	combout => \led_flash_cnt[2022][0]~82662_combout\);

-- Location: FF_X55_Y26_N19
\led_flash_cnt[2022][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2022][0]~82662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2022][0]~q\);

-- Location: LCCOMB_X55_Y26_N0
\led_flash_cnt[2022][1]~55188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2022][1]~55188_combout\ = (\led_flash_cnt[2022][1]~q\ & (\led_flash_cnt[2022][0]~q\ $ (VCC))) # (!\led_flash_cnt[2022][1]~q\ & (\led_flash_cnt[2022][0]~q\ & VCC))
-- \led_flash_cnt[2022][1]~55189\ = CARRY((\led_flash_cnt[2022][1]~q\ & \led_flash_cnt[2022][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2022][1]~q\,
	datab => \led_flash_cnt[2022][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2022][1]~55188_combout\,
	cout => \led_flash_cnt[2022][1]~55189\);

-- Location: FF_X55_Y26_N1
\led_flash_cnt[2022][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2022][1]~55188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2022][1]~q\);

-- Location: LCCOMB_X55_Y26_N2
\led_flash_cnt[2022][2]~55190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2022][2]~55190_combout\ = (\led_flash_cnt[2022][2]~q\ & (!\led_flash_cnt[2022][1]~55189\)) # (!\led_flash_cnt[2022][2]~q\ & ((\led_flash_cnt[2022][1]~55189\) # (GND)))
-- \led_flash_cnt[2022][2]~55191\ = CARRY((!\led_flash_cnt[2022][1]~55189\) # (!\led_flash_cnt[2022][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2022][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2022][1]~55189\,
	combout => \led_flash_cnt[2022][2]~55190_combout\,
	cout => \led_flash_cnt[2022][2]~55191\);

-- Location: FF_X55_Y26_N3
\led_flash_cnt[2022][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2022][2]~55190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2022][2]~q\);

-- Location: LCCOMB_X55_Y26_N4
\led_flash_cnt[2022][3]~55192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2022][3]~55192_combout\ = (\led_flash_cnt[2022][3]~q\ & (\led_flash_cnt[2022][2]~55191\ $ (GND))) # (!\led_flash_cnt[2022][3]~q\ & (!\led_flash_cnt[2022][2]~55191\ & VCC))
-- \led_flash_cnt[2022][3]~55193\ = CARRY((\led_flash_cnt[2022][3]~q\ & !\led_flash_cnt[2022][2]~55191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2022][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2022][2]~55191\,
	combout => \led_flash_cnt[2022][3]~55192_combout\,
	cout => \led_flash_cnt[2022][3]~55193\);

-- Location: FF_X55_Y26_N5
\led_flash_cnt[2022][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2022][3]~55192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2022][3]~q\);

-- Location: LCCOMB_X55_Y26_N6
\led_flash_cnt[2022][4]~55194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2022][4]~55194_combout\ = (\led_flash_cnt[2022][4]~q\ & (!\led_flash_cnt[2022][3]~55193\)) # (!\led_flash_cnt[2022][4]~q\ & ((\led_flash_cnt[2022][3]~55193\) # (GND)))
-- \led_flash_cnt[2022][4]~55195\ = CARRY((!\led_flash_cnt[2022][3]~55193\) # (!\led_flash_cnt[2022][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2022][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2022][3]~55193\,
	combout => \led_flash_cnt[2022][4]~55194_combout\,
	cout => \led_flash_cnt[2022][4]~55195\);

-- Location: FF_X55_Y26_N7
\led_flash_cnt[2022][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2022][4]~55194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2022][4]~q\);

-- Location: LCCOMB_X55_Y26_N30
\WideAnd2022~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2022~0_combout\ = (\led_flash_cnt[2022][4]~q\ & (\led_flash_cnt[2022][1]~q\ & (\led_flash_cnt[2022][3]~q\ & \led_flash_cnt[2022][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2022][4]~q\,
	datab => \led_flash_cnt[2022][1]~q\,
	datac => \led_flash_cnt[2022][3]~q\,
	datad => \led_flash_cnt[2022][2]~q\,
	combout => \WideAnd2022~0_combout\);

-- Location: LCCOMB_X55_Y26_N8
\led_flash_cnt[2022][5]~55196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2022][5]~55196_combout\ = (\led_flash_cnt[2022][5]~q\ & (\led_flash_cnt[2022][4]~55195\ $ (GND))) # (!\led_flash_cnt[2022][5]~q\ & (!\led_flash_cnt[2022][4]~55195\ & VCC))
-- \led_flash_cnt[2022][5]~55197\ = CARRY((\led_flash_cnt[2022][5]~q\ & !\led_flash_cnt[2022][4]~55195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2022][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2022][4]~55195\,
	combout => \led_flash_cnt[2022][5]~55196_combout\,
	cout => \led_flash_cnt[2022][5]~55197\);

-- Location: FF_X55_Y26_N9
\led_flash_cnt[2022][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2022][5]~55196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2022][5]~q\);

-- Location: LCCOMB_X55_Y26_N10
\led_flash_cnt[2022][6]~55198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2022][6]~55198_combout\ = (\led_flash_cnt[2022][6]~q\ & (!\led_flash_cnt[2022][5]~55197\)) # (!\led_flash_cnt[2022][6]~q\ & ((\led_flash_cnt[2022][5]~55197\) # (GND)))
-- \led_flash_cnt[2022][6]~55199\ = CARRY((!\led_flash_cnt[2022][5]~55197\) # (!\led_flash_cnt[2022][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2022][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2022][5]~55197\,
	combout => \led_flash_cnt[2022][6]~55198_combout\,
	cout => \led_flash_cnt[2022][6]~55199\);

-- Location: FF_X55_Y26_N11
\led_flash_cnt[2022][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2022][6]~55198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2022][6]~q\);

-- Location: LCCOMB_X55_Y26_N22
\WideAnd2022~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2022~1_combout\ = (\led_flash_cnt[2022][5]~q\ & \led_flash_cnt[2022][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2022][5]~q\,
	datad => \led_flash_cnt[2022][6]~q\,
	combout => \WideAnd2022~1_combout\);

-- Location: LCCOMB_X55_Y26_N12
\led_flash_cnt[2022][7]~55200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2022][7]~55200_combout\ = \led_flash_cnt[2022][6]~55199\ $ (!\led_flash_cnt[2022][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2022][7]~q\,
	cin => \led_flash_cnt[2022][6]~55199\,
	combout => \led_flash_cnt[2022][7]~55200_combout\);

-- Location: FF_X55_Y26_N13
\led_flash_cnt[2022][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2022][7]~55200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2022][7]~q\);

-- Location: LCCOMB_X55_Y26_N24
WideAnd2022 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2022~combout\ = (\WideAnd2022~0_combout\ & (\led_flash_cnt[2022][0]~q\ & (\WideAnd2022~1_combout\ & \led_flash_cnt[2022][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2022~0_combout\,
	datab => \led_flash_cnt[2022][0]~q\,
	datac => \WideAnd2022~1_combout\,
	datad => \led_flash_cnt[2022][7]~q\,
	combout => \WideAnd2022~combout\);

-- Location: FF_X55_Y26_N25
\led_flash_cnt_ands[2022]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2022~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2022));

-- Location: LCCOMB_X57_Y26_N2
\led_flash_cnt[2016][0]~82656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2016][0]~82656_combout\ = !\led_flash_cnt[2016][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2016][0]~q\,
	combout => \led_flash_cnt[2016][0]~82656_combout\);

-- Location: FF_X57_Y26_N3
\led_flash_cnt[2016][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2016][0]~82656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2016][0]~q\);

-- Location: LCCOMB_X57_Y26_N12
\led_flash_cnt[2016][1]~55104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2016][1]~55104_combout\ = (\led_flash_cnt[2016][1]~q\ & (\led_flash_cnt[2016][0]~q\ $ (VCC))) # (!\led_flash_cnt[2016][1]~q\ & (\led_flash_cnt[2016][0]~q\ & VCC))
-- \led_flash_cnt[2016][1]~55105\ = CARRY((\led_flash_cnt[2016][1]~q\ & \led_flash_cnt[2016][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2016][1]~q\,
	datab => \led_flash_cnt[2016][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2016][1]~55104_combout\,
	cout => \led_flash_cnt[2016][1]~55105\);

-- Location: FF_X57_Y26_N13
\led_flash_cnt[2016][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2016][1]~55104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2016][1]~q\);

-- Location: LCCOMB_X57_Y26_N14
\led_flash_cnt[2016][2]~55106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2016][2]~55106_combout\ = (\led_flash_cnt[2016][2]~q\ & (!\led_flash_cnt[2016][1]~55105\)) # (!\led_flash_cnt[2016][2]~q\ & ((\led_flash_cnt[2016][1]~55105\) # (GND)))
-- \led_flash_cnt[2016][2]~55107\ = CARRY((!\led_flash_cnt[2016][1]~55105\) # (!\led_flash_cnt[2016][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2016][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2016][1]~55105\,
	combout => \led_flash_cnt[2016][2]~55106_combout\,
	cout => \led_flash_cnt[2016][2]~55107\);

-- Location: FF_X57_Y26_N15
\led_flash_cnt[2016][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2016][2]~55106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2016][2]~q\);

-- Location: LCCOMB_X57_Y26_N16
\led_flash_cnt[2016][3]~55108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2016][3]~55108_combout\ = (\led_flash_cnt[2016][3]~q\ & (\led_flash_cnt[2016][2]~55107\ $ (GND))) # (!\led_flash_cnt[2016][3]~q\ & (!\led_flash_cnt[2016][2]~55107\ & VCC))
-- \led_flash_cnt[2016][3]~55109\ = CARRY((\led_flash_cnt[2016][3]~q\ & !\led_flash_cnt[2016][2]~55107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2016][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2016][2]~55107\,
	combout => \led_flash_cnt[2016][3]~55108_combout\,
	cout => \led_flash_cnt[2016][3]~55109\);

-- Location: FF_X57_Y26_N17
\led_flash_cnt[2016][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2016][3]~55108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2016][3]~q\);

-- Location: LCCOMB_X57_Y26_N18
\led_flash_cnt[2016][4]~55110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2016][4]~55110_combout\ = (\led_flash_cnt[2016][4]~q\ & (!\led_flash_cnt[2016][3]~55109\)) # (!\led_flash_cnt[2016][4]~q\ & ((\led_flash_cnt[2016][3]~55109\) # (GND)))
-- \led_flash_cnt[2016][4]~55111\ = CARRY((!\led_flash_cnt[2016][3]~55109\) # (!\led_flash_cnt[2016][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2016][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2016][3]~55109\,
	combout => \led_flash_cnt[2016][4]~55110_combout\,
	cout => \led_flash_cnt[2016][4]~55111\);

-- Location: FF_X57_Y26_N19
\led_flash_cnt[2016][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2016][4]~55110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2016][4]~q\);

-- Location: LCCOMB_X57_Y26_N20
\led_flash_cnt[2016][5]~55112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2016][5]~55112_combout\ = (\led_flash_cnt[2016][5]~q\ & (\led_flash_cnt[2016][4]~55111\ $ (GND))) # (!\led_flash_cnt[2016][5]~q\ & (!\led_flash_cnt[2016][4]~55111\ & VCC))
-- \led_flash_cnt[2016][5]~55113\ = CARRY((\led_flash_cnt[2016][5]~q\ & !\led_flash_cnt[2016][4]~55111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2016][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2016][4]~55111\,
	combout => \led_flash_cnt[2016][5]~55112_combout\,
	cout => \led_flash_cnt[2016][5]~55113\);

-- Location: FF_X57_Y26_N21
\led_flash_cnt[2016][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2016][5]~55112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2016][5]~q\);

-- Location: LCCOMB_X57_Y26_N22
\led_flash_cnt[2016][6]~55114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2016][6]~55114_combout\ = (\led_flash_cnt[2016][6]~q\ & (!\led_flash_cnt[2016][5]~55113\)) # (!\led_flash_cnt[2016][6]~q\ & ((\led_flash_cnt[2016][5]~55113\) # (GND)))
-- \led_flash_cnt[2016][6]~55115\ = CARRY((!\led_flash_cnt[2016][5]~55113\) # (!\led_flash_cnt[2016][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2016][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2016][5]~55113\,
	combout => \led_flash_cnt[2016][6]~55114_combout\,
	cout => \led_flash_cnt[2016][6]~55115\);

-- Location: FF_X57_Y26_N23
\led_flash_cnt[2016][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2016][6]~55114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2016][6]~q\);

-- Location: LCCOMB_X57_Y26_N24
\led_flash_cnt[2016][7]~55116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2016][7]~55116_combout\ = \led_flash_cnt[2016][6]~55115\ $ (!\led_flash_cnt[2016][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2016][7]~q\,
	cin => \led_flash_cnt[2016][6]~55115\,
	combout => \led_flash_cnt[2016][7]~55116_combout\);

-- Location: FF_X57_Y26_N25
\led_flash_cnt[2016][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2016][7]~55116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2016][7]~q\);

-- Location: LCCOMB_X57_Y26_N10
\WideAnd2016~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2016~1_combout\ = (\led_flash_cnt[2016][0]~q\ & \led_flash_cnt[2016][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2016][0]~q\,
	datad => \led_flash_cnt[2016][7]~q\,
	combout => \WideAnd2016~1_combout\);

-- Location: LCCOMB_X57_Y26_N0
\WideAnd2016~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2016~0_combout\ = (\led_flash_cnt[2016][1]~q\ & (\led_flash_cnt[2016][4]~q\ & (\led_flash_cnt[2016][2]~q\ & \led_flash_cnt[2016][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2016][1]~q\,
	datab => \led_flash_cnt[2016][4]~q\,
	datac => \led_flash_cnt[2016][2]~q\,
	datad => \led_flash_cnt[2016][3]~q\,
	combout => \WideAnd2016~0_combout\);

-- Location: LCCOMB_X57_Y26_N4
WideAnd2016 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2016~combout\ = (\WideAnd2016~1_combout\ & (\WideAnd2016~0_combout\ & (\led_flash_cnt[2016][6]~q\ & \led_flash_cnt[2016][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2016~1_combout\,
	datab => \WideAnd2016~0_combout\,
	datac => \led_flash_cnt[2016][6]~q\,
	datad => \led_flash_cnt[2016][5]~q\,
	combout => \WideAnd2016~combout\);

-- Location: FF_X57_Y26_N5
\led_flash_cnt_ands[2016]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2016~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2016));

-- Location: LCCOMB_X56_Y26_N14
\led_flash_cnt[2018][0]~82658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2018][0]~82658_combout\ = !\led_flash_cnt[2018][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2018][0]~q\,
	combout => \led_flash_cnt[2018][0]~82658_combout\);

-- Location: FF_X56_Y26_N15
\led_flash_cnt[2018][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2018][0]~82658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2018][0]~q\);

-- Location: LCCOMB_X55_Y30_N16
\led_flash_cnt[2018][1]~55132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2018][1]~55132_combout\ = (\led_flash_cnt[2018][1]~q\ & (\led_flash_cnt[2018][0]~q\ $ (VCC))) # (!\led_flash_cnt[2018][1]~q\ & (\led_flash_cnt[2018][0]~q\ & VCC))
-- \led_flash_cnt[2018][1]~55133\ = CARRY((\led_flash_cnt[2018][1]~q\ & \led_flash_cnt[2018][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2018][1]~q\,
	datab => \led_flash_cnt[2018][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2018][1]~55132_combout\,
	cout => \led_flash_cnt[2018][1]~55133\);

-- Location: FF_X55_Y30_N17
\led_flash_cnt[2018][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2018][1]~55132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2018][1]~q\);

-- Location: LCCOMB_X55_Y30_N18
\led_flash_cnt[2018][2]~55134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2018][2]~55134_combout\ = (\led_flash_cnt[2018][2]~q\ & (!\led_flash_cnt[2018][1]~55133\)) # (!\led_flash_cnt[2018][2]~q\ & ((\led_flash_cnt[2018][1]~55133\) # (GND)))
-- \led_flash_cnt[2018][2]~55135\ = CARRY((!\led_flash_cnt[2018][1]~55133\) # (!\led_flash_cnt[2018][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2018][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2018][1]~55133\,
	combout => \led_flash_cnt[2018][2]~55134_combout\,
	cout => \led_flash_cnt[2018][2]~55135\);

-- Location: FF_X55_Y30_N19
\led_flash_cnt[2018][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2018][2]~55134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2018][2]~q\);

-- Location: LCCOMB_X55_Y30_N20
\led_flash_cnt[2018][3]~55136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2018][3]~55136_combout\ = (\led_flash_cnt[2018][3]~q\ & (\led_flash_cnt[2018][2]~55135\ $ (GND))) # (!\led_flash_cnt[2018][3]~q\ & (!\led_flash_cnt[2018][2]~55135\ & VCC))
-- \led_flash_cnt[2018][3]~55137\ = CARRY((\led_flash_cnt[2018][3]~q\ & !\led_flash_cnt[2018][2]~55135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2018][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2018][2]~55135\,
	combout => \led_flash_cnt[2018][3]~55136_combout\,
	cout => \led_flash_cnt[2018][3]~55137\);

-- Location: FF_X55_Y30_N21
\led_flash_cnt[2018][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2018][3]~55136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2018][3]~q\);

-- Location: LCCOMB_X55_Y30_N22
\led_flash_cnt[2018][4]~55138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2018][4]~55138_combout\ = (\led_flash_cnt[2018][4]~q\ & (!\led_flash_cnt[2018][3]~55137\)) # (!\led_flash_cnt[2018][4]~q\ & ((\led_flash_cnt[2018][3]~55137\) # (GND)))
-- \led_flash_cnt[2018][4]~55139\ = CARRY((!\led_flash_cnt[2018][3]~55137\) # (!\led_flash_cnt[2018][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2018][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2018][3]~55137\,
	combout => \led_flash_cnt[2018][4]~55138_combout\,
	cout => \led_flash_cnt[2018][4]~55139\);

-- Location: FF_X55_Y30_N23
\led_flash_cnt[2018][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2018][4]~55138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2018][4]~q\);

-- Location: LCCOMB_X55_Y30_N24
\led_flash_cnt[2018][5]~55140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2018][5]~55140_combout\ = (\led_flash_cnt[2018][5]~q\ & (\led_flash_cnt[2018][4]~55139\ $ (GND))) # (!\led_flash_cnt[2018][5]~q\ & (!\led_flash_cnt[2018][4]~55139\ & VCC))
-- \led_flash_cnt[2018][5]~55141\ = CARRY((\led_flash_cnt[2018][5]~q\ & !\led_flash_cnt[2018][4]~55139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2018][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2018][4]~55139\,
	combout => \led_flash_cnt[2018][5]~55140_combout\,
	cout => \led_flash_cnt[2018][5]~55141\);

-- Location: FF_X55_Y30_N25
\led_flash_cnt[2018][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2018][5]~55140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2018][5]~q\);

-- Location: LCCOMB_X55_Y30_N26
\led_flash_cnt[2018][6]~55142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2018][6]~55142_combout\ = (\led_flash_cnt[2018][6]~q\ & (!\led_flash_cnt[2018][5]~55141\)) # (!\led_flash_cnt[2018][6]~q\ & ((\led_flash_cnt[2018][5]~55141\) # (GND)))
-- \led_flash_cnt[2018][6]~55143\ = CARRY((!\led_flash_cnt[2018][5]~55141\) # (!\led_flash_cnt[2018][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2018][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2018][5]~55141\,
	combout => \led_flash_cnt[2018][6]~55142_combout\,
	cout => \led_flash_cnt[2018][6]~55143\);

-- Location: FF_X55_Y30_N27
\led_flash_cnt[2018][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2018][6]~55142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2018][6]~q\);

-- Location: LCCOMB_X55_Y30_N28
\led_flash_cnt[2018][7]~55144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2018][7]~55144_combout\ = \led_flash_cnt[2018][6]~55143\ $ (!\led_flash_cnt[2018][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2018][7]~q\,
	cin => \led_flash_cnt[2018][6]~55143\,
	combout => \led_flash_cnt[2018][7]~55144_combout\);

-- Location: FF_X55_Y30_N29
\led_flash_cnt[2018][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2018][7]~55144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2018][7]~q\);

-- Location: LCCOMB_X55_Y30_N14
\WideAnd2018~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2018~1_combout\ = (\led_flash_cnt[2018][6]~q\ & \led_flash_cnt[2018][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2018][6]~q\,
	datad => \led_flash_cnt[2018][5]~q\,
	combout => \WideAnd2018~1_combout\);

-- Location: LCCOMB_X55_Y30_N30
\WideAnd2018~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2018~0_combout\ = (\led_flash_cnt[2018][1]~q\ & (\led_flash_cnt[2018][2]~q\ & (\led_flash_cnt[2018][4]~q\ & \led_flash_cnt[2018][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2018][1]~q\,
	datab => \led_flash_cnt[2018][2]~q\,
	datac => \led_flash_cnt[2018][4]~q\,
	datad => \led_flash_cnt[2018][3]~q\,
	combout => \WideAnd2018~0_combout\);

-- Location: LCCOMB_X56_Y26_N4
WideAnd2018 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2018~combout\ = (\led_flash_cnt[2018][0]~q\ & (\led_flash_cnt[2018][7]~q\ & (\WideAnd2018~1_combout\ & \WideAnd2018~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2018][0]~q\,
	datab => \led_flash_cnt[2018][7]~q\,
	datac => \WideAnd2018~1_combout\,
	datad => \WideAnd2018~0_combout\,
	combout => \WideAnd2018~combout\);

-- Location: FF_X56_Y26_N5
\led_flash_cnt_ands[2018]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2018~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2018));

-- Location: LCCOMB_X56_Y27_N2
\led_flash_cnt[2017][0]~82657\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2017][0]~82657_combout\ = !\led_flash_cnt[2017][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2017][0]~q\,
	combout => \led_flash_cnt[2017][0]~82657_combout\);

-- Location: FF_X56_Y27_N3
\led_flash_cnt[2017][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2017][0]~82657_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2017][0]~q\);

-- Location: LCCOMB_X55_Y27_N0
\led_flash_cnt[2017][1]~55118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2017][1]~55118_combout\ = (\led_flash_cnt[2017][0]~q\ & (\led_flash_cnt[2017][1]~q\ $ (VCC))) # (!\led_flash_cnt[2017][0]~q\ & (\led_flash_cnt[2017][1]~q\ & VCC))
-- \led_flash_cnt[2017][1]~55119\ = CARRY((\led_flash_cnt[2017][0]~q\ & \led_flash_cnt[2017][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2017][0]~q\,
	datab => \led_flash_cnt[2017][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2017][1]~55118_combout\,
	cout => \led_flash_cnt[2017][1]~55119\);

-- Location: FF_X55_Y27_N1
\led_flash_cnt[2017][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2017][1]~55118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2017][1]~q\);

-- Location: LCCOMB_X55_Y27_N2
\led_flash_cnt[2017][2]~55120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2017][2]~55120_combout\ = (\led_flash_cnt[2017][2]~q\ & (!\led_flash_cnt[2017][1]~55119\)) # (!\led_flash_cnt[2017][2]~q\ & ((\led_flash_cnt[2017][1]~55119\) # (GND)))
-- \led_flash_cnt[2017][2]~55121\ = CARRY((!\led_flash_cnt[2017][1]~55119\) # (!\led_flash_cnt[2017][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2017][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2017][1]~55119\,
	combout => \led_flash_cnt[2017][2]~55120_combout\,
	cout => \led_flash_cnt[2017][2]~55121\);

-- Location: FF_X55_Y27_N3
\led_flash_cnt[2017][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2017][2]~55120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2017][2]~q\);

-- Location: LCCOMB_X55_Y27_N4
\led_flash_cnt[2017][3]~55122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2017][3]~55122_combout\ = (\led_flash_cnt[2017][3]~q\ & (\led_flash_cnt[2017][2]~55121\ $ (GND))) # (!\led_flash_cnt[2017][3]~q\ & (!\led_flash_cnt[2017][2]~55121\ & VCC))
-- \led_flash_cnt[2017][3]~55123\ = CARRY((\led_flash_cnt[2017][3]~q\ & !\led_flash_cnt[2017][2]~55121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2017][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2017][2]~55121\,
	combout => \led_flash_cnt[2017][3]~55122_combout\,
	cout => \led_flash_cnt[2017][3]~55123\);

-- Location: FF_X55_Y27_N5
\led_flash_cnt[2017][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2017][3]~55122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2017][3]~q\);

-- Location: LCCOMB_X55_Y27_N6
\led_flash_cnt[2017][4]~55124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2017][4]~55124_combout\ = (\led_flash_cnt[2017][4]~q\ & (!\led_flash_cnt[2017][3]~55123\)) # (!\led_flash_cnt[2017][4]~q\ & ((\led_flash_cnt[2017][3]~55123\) # (GND)))
-- \led_flash_cnt[2017][4]~55125\ = CARRY((!\led_flash_cnt[2017][3]~55123\) # (!\led_flash_cnt[2017][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2017][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2017][3]~55123\,
	combout => \led_flash_cnt[2017][4]~55124_combout\,
	cout => \led_flash_cnt[2017][4]~55125\);

-- Location: FF_X55_Y27_N7
\led_flash_cnt[2017][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2017][4]~55124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2017][4]~q\);

-- Location: LCCOMB_X55_Y27_N8
\led_flash_cnt[2017][5]~55126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2017][5]~55126_combout\ = (\led_flash_cnt[2017][5]~q\ & (\led_flash_cnt[2017][4]~55125\ $ (GND))) # (!\led_flash_cnt[2017][5]~q\ & (!\led_flash_cnt[2017][4]~55125\ & VCC))
-- \led_flash_cnt[2017][5]~55127\ = CARRY((\led_flash_cnt[2017][5]~q\ & !\led_flash_cnt[2017][4]~55125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2017][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2017][4]~55125\,
	combout => \led_flash_cnt[2017][5]~55126_combout\,
	cout => \led_flash_cnt[2017][5]~55127\);

-- Location: FF_X55_Y27_N9
\led_flash_cnt[2017][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2017][5]~55126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2017][5]~q\);

-- Location: LCCOMB_X55_Y27_N10
\led_flash_cnt[2017][6]~55128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2017][6]~55128_combout\ = (\led_flash_cnt[2017][6]~q\ & (!\led_flash_cnt[2017][5]~55127\)) # (!\led_flash_cnt[2017][6]~q\ & ((\led_flash_cnt[2017][5]~55127\) # (GND)))
-- \led_flash_cnt[2017][6]~55129\ = CARRY((!\led_flash_cnt[2017][5]~55127\) # (!\led_flash_cnt[2017][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2017][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2017][5]~55127\,
	combout => \led_flash_cnt[2017][6]~55128_combout\,
	cout => \led_flash_cnt[2017][6]~55129\);

-- Location: FF_X55_Y27_N11
\led_flash_cnt[2017][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2017][6]~55128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2017][6]~q\);

-- Location: LCCOMB_X55_Y27_N12
\led_flash_cnt[2017][7]~55130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2017][7]~55130_combout\ = \led_flash_cnt[2017][6]~55129\ $ (!\led_flash_cnt[2017][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2017][7]~q\,
	cin => \led_flash_cnt[2017][6]~55129\,
	combout => \led_flash_cnt[2017][7]~55130_combout\);

-- Location: FF_X55_Y27_N13
\led_flash_cnt[2017][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2017][7]~55130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2017][7]~q\);

-- Location: LCCOMB_X56_Y27_N24
\WideAnd2017~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2017~1_combout\ = (\led_flash_cnt[2017][6]~q\ & \led_flash_cnt[2017][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2017][6]~q\,
	datad => \led_flash_cnt[2017][5]~q\,
	combout => \WideAnd2017~1_combout\);

-- Location: LCCOMB_X55_Y27_N14
\WideAnd2017~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2017~0_combout\ = (\led_flash_cnt[2017][4]~q\ & (\led_flash_cnt[2017][1]~q\ & (\led_flash_cnt[2017][3]~q\ & \led_flash_cnt[2017][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2017][4]~q\,
	datab => \led_flash_cnt[2017][1]~q\,
	datac => \led_flash_cnt[2017][3]~q\,
	datad => \led_flash_cnt[2017][2]~q\,
	combout => \WideAnd2017~0_combout\);

-- Location: LCCOMB_X56_Y27_N30
WideAnd2017 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2017~combout\ = (\led_flash_cnt[2017][7]~q\ & (\WideAnd2017~1_combout\ & (\led_flash_cnt[2017][0]~q\ & \WideAnd2017~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2017][7]~q\,
	datab => \WideAnd2017~1_combout\,
	datac => \led_flash_cnt[2017][0]~q\,
	datad => \WideAnd2017~0_combout\,
	combout => \WideAnd2017~combout\);

-- Location: FF_X56_Y27_N31
\led_flash_cnt_ands[2017]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2017~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2017));

-- Location: LCCOMB_X56_Y26_N6
\led_flash_cnt[2019][0]~82659\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2019][0]~82659_combout\ = !\led_flash_cnt[2019][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2019][0]~q\,
	combout => \led_flash_cnt[2019][0]~82659_combout\);

-- Location: FF_X56_Y26_N7
\led_flash_cnt[2019][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2019][0]~82659_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2019][0]~q\);

-- Location: LCCOMB_X56_Y26_N16
\led_flash_cnt[2019][1]~55146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2019][1]~55146_combout\ = (\led_flash_cnt[2019][0]~q\ & (\led_flash_cnt[2019][1]~q\ $ (VCC))) # (!\led_flash_cnt[2019][0]~q\ & (\led_flash_cnt[2019][1]~q\ & VCC))
-- \led_flash_cnt[2019][1]~55147\ = CARRY((\led_flash_cnt[2019][0]~q\ & \led_flash_cnt[2019][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2019][0]~q\,
	datab => \led_flash_cnt[2019][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2019][1]~55146_combout\,
	cout => \led_flash_cnt[2019][1]~55147\);

-- Location: FF_X56_Y26_N17
\led_flash_cnt[2019][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2019][1]~55146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2019][1]~q\);

-- Location: LCCOMB_X56_Y26_N18
\led_flash_cnt[2019][2]~55148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2019][2]~55148_combout\ = (\led_flash_cnt[2019][2]~q\ & (!\led_flash_cnt[2019][1]~55147\)) # (!\led_flash_cnt[2019][2]~q\ & ((\led_flash_cnt[2019][1]~55147\) # (GND)))
-- \led_flash_cnt[2019][2]~55149\ = CARRY((!\led_flash_cnt[2019][1]~55147\) # (!\led_flash_cnt[2019][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2019][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2019][1]~55147\,
	combout => \led_flash_cnt[2019][2]~55148_combout\,
	cout => \led_flash_cnt[2019][2]~55149\);

-- Location: FF_X56_Y26_N19
\led_flash_cnt[2019][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2019][2]~55148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2019][2]~q\);

-- Location: LCCOMB_X56_Y26_N20
\led_flash_cnt[2019][3]~55150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2019][3]~55150_combout\ = (\led_flash_cnt[2019][3]~q\ & (\led_flash_cnt[2019][2]~55149\ $ (GND))) # (!\led_flash_cnt[2019][3]~q\ & (!\led_flash_cnt[2019][2]~55149\ & VCC))
-- \led_flash_cnt[2019][3]~55151\ = CARRY((\led_flash_cnt[2019][3]~q\ & !\led_flash_cnt[2019][2]~55149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2019][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2019][2]~55149\,
	combout => \led_flash_cnt[2019][3]~55150_combout\,
	cout => \led_flash_cnt[2019][3]~55151\);

-- Location: FF_X56_Y26_N21
\led_flash_cnt[2019][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2019][3]~55150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2019][3]~q\);

-- Location: LCCOMB_X56_Y26_N22
\led_flash_cnt[2019][4]~55152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2019][4]~55152_combout\ = (\led_flash_cnt[2019][4]~q\ & (!\led_flash_cnt[2019][3]~55151\)) # (!\led_flash_cnt[2019][4]~q\ & ((\led_flash_cnt[2019][3]~55151\) # (GND)))
-- \led_flash_cnt[2019][4]~55153\ = CARRY((!\led_flash_cnt[2019][3]~55151\) # (!\led_flash_cnt[2019][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2019][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2019][3]~55151\,
	combout => \led_flash_cnt[2019][4]~55152_combout\,
	cout => \led_flash_cnt[2019][4]~55153\);

-- Location: FF_X56_Y26_N23
\led_flash_cnt[2019][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2019][4]~55152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2019][4]~q\);

-- Location: LCCOMB_X56_Y26_N24
\led_flash_cnt[2019][5]~55154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2019][5]~55154_combout\ = (\led_flash_cnt[2019][5]~q\ & (\led_flash_cnt[2019][4]~55153\ $ (GND))) # (!\led_flash_cnt[2019][5]~q\ & (!\led_flash_cnt[2019][4]~55153\ & VCC))
-- \led_flash_cnt[2019][5]~55155\ = CARRY((\led_flash_cnt[2019][5]~q\ & !\led_flash_cnt[2019][4]~55153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2019][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2019][4]~55153\,
	combout => \led_flash_cnt[2019][5]~55154_combout\,
	cout => \led_flash_cnt[2019][5]~55155\);

-- Location: FF_X56_Y26_N25
\led_flash_cnt[2019][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2019][5]~55154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2019][5]~q\);

-- Location: LCCOMB_X56_Y26_N26
\led_flash_cnt[2019][6]~55156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2019][6]~55156_combout\ = (\led_flash_cnt[2019][6]~q\ & (!\led_flash_cnt[2019][5]~55155\)) # (!\led_flash_cnt[2019][6]~q\ & ((\led_flash_cnt[2019][5]~55155\) # (GND)))
-- \led_flash_cnt[2019][6]~55157\ = CARRY((!\led_flash_cnt[2019][5]~55155\) # (!\led_flash_cnt[2019][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2019][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2019][5]~55155\,
	combout => \led_flash_cnt[2019][6]~55156_combout\,
	cout => \led_flash_cnt[2019][6]~55157\);

-- Location: FF_X56_Y26_N27
\led_flash_cnt[2019][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2019][6]~55156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2019][6]~q\);

-- Location: LCCOMB_X56_Y26_N28
\led_flash_cnt[2019][7]~55158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2019][7]~55158_combout\ = \led_flash_cnt[2019][6]~55157\ $ (!\led_flash_cnt[2019][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2019][7]~q\,
	cin => \led_flash_cnt[2019][6]~55157\,
	combout => \led_flash_cnt[2019][7]~55158_combout\);

-- Location: FF_X56_Y26_N29
\led_flash_cnt[2019][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2019][7]~55158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2019][7]~q\);

-- Location: LCCOMB_X56_Y26_N8
\WideAnd2019~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2019~1_combout\ = (\led_flash_cnt[2019][6]~q\ & \led_flash_cnt[2019][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2019][6]~q\,
	datad => \led_flash_cnt[2019][5]~q\,
	combout => \WideAnd2019~1_combout\);

-- Location: LCCOMB_X56_Y26_N12
\WideAnd2019~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2019~0_combout\ = (\led_flash_cnt[2019][3]~q\ & (\led_flash_cnt[2019][2]~q\ & (\led_flash_cnt[2019][4]~q\ & \led_flash_cnt[2019][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2019][3]~q\,
	datab => \led_flash_cnt[2019][2]~q\,
	datac => \led_flash_cnt[2019][4]~q\,
	datad => \led_flash_cnt[2019][1]~q\,
	combout => \WideAnd2019~0_combout\);

-- Location: LCCOMB_X56_Y26_N2
WideAnd2019 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2019~combout\ = (\led_flash_cnt[2019][0]~q\ & (\led_flash_cnt[2019][7]~q\ & (\WideAnd2019~1_combout\ & \WideAnd2019~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2019][0]~q\,
	datab => \led_flash_cnt[2019][7]~q\,
	datac => \WideAnd2019~1_combout\,
	datad => \WideAnd2019~0_combout\,
	combout => \WideAnd2019~combout\);

-- Location: FF_X56_Y26_N3
\led_flash_cnt_ands[2019]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2019~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2019));

-- Location: LCCOMB_X56_Y26_N30
\WideAnd4092~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4092~0_combout\ = (led_flash_cnt_ands(2016) & (led_flash_cnt_ands(2018) & (led_flash_cnt_ands(2017) & led_flash_cnt_ands(2019))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2016),
	datab => led_flash_cnt_ands(2018),
	datac => led_flash_cnt_ands(2017),
	datad => led_flash_cnt_ands(2019),
	combout => \WideAnd4092~0_combout\);

-- Location: LCCOMB_X62_Y30_N24
\led_flash_cnt[2020][0]~82660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2020][0]~82660_combout\ = !\led_flash_cnt[2020][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2020][0]~q\,
	combout => \led_flash_cnt[2020][0]~82660_combout\);

-- Location: FF_X62_Y30_N25
\led_flash_cnt[2020][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2020][0]~82660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2020][0]~q\);

-- Location: LCCOMB_X61_Y30_N0
\led_flash_cnt[2020][1]~55160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2020][1]~55160_combout\ = (\led_flash_cnt[2020][1]~q\ & (\led_flash_cnt[2020][0]~q\ $ (VCC))) # (!\led_flash_cnt[2020][1]~q\ & (\led_flash_cnt[2020][0]~q\ & VCC))
-- \led_flash_cnt[2020][1]~55161\ = CARRY((\led_flash_cnt[2020][1]~q\ & \led_flash_cnt[2020][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2020][1]~q\,
	datab => \led_flash_cnt[2020][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2020][1]~55160_combout\,
	cout => \led_flash_cnt[2020][1]~55161\);

-- Location: FF_X61_Y30_N1
\led_flash_cnt[2020][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2020][1]~55160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2020][1]~q\);

-- Location: LCCOMB_X61_Y30_N2
\led_flash_cnt[2020][2]~55162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2020][2]~55162_combout\ = (\led_flash_cnt[2020][2]~q\ & (!\led_flash_cnt[2020][1]~55161\)) # (!\led_flash_cnt[2020][2]~q\ & ((\led_flash_cnt[2020][1]~55161\) # (GND)))
-- \led_flash_cnt[2020][2]~55163\ = CARRY((!\led_flash_cnt[2020][1]~55161\) # (!\led_flash_cnt[2020][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2020][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2020][1]~55161\,
	combout => \led_flash_cnt[2020][2]~55162_combout\,
	cout => \led_flash_cnt[2020][2]~55163\);

-- Location: FF_X61_Y30_N3
\led_flash_cnt[2020][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2020][2]~55162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2020][2]~q\);

-- Location: LCCOMB_X61_Y30_N4
\led_flash_cnt[2020][3]~55164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2020][3]~55164_combout\ = (\led_flash_cnt[2020][3]~q\ & (\led_flash_cnt[2020][2]~55163\ $ (GND))) # (!\led_flash_cnt[2020][3]~q\ & (!\led_flash_cnt[2020][2]~55163\ & VCC))
-- \led_flash_cnt[2020][3]~55165\ = CARRY((\led_flash_cnt[2020][3]~q\ & !\led_flash_cnt[2020][2]~55163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2020][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2020][2]~55163\,
	combout => \led_flash_cnt[2020][3]~55164_combout\,
	cout => \led_flash_cnt[2020][3]~55165\);

-- Location: FF_X61_Y30_N5
\led_flash_cnt[2020][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2020][3]~55164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2020][3]~q\);

-- Location: LCCOMB_X61_Y30_N6
\led_flash_cnt[2020][4]~55166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2020][4]~55166_combout\ = (\led_flash_cnt[2020][4]~q\ & (!\led_flash_cnt[2020][3]~55165\)) # (!\led_flash_cnt[2020][4]~q\ & ((\led_flash_cnt[2020][3]~55165\) # (GND)))
-- \led_flash_cnt[2020][4]~55167\ = CARRY((!\led_flash_cnt[2020][3]~55165\) # (!\led_flash_cnt[2020][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2020][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2020][3]~55165\,
	combout => \led_flash_cnt[2020][4]~55166_combout\,
	cout => \led_flash_cnt[2020][4]~55167\);

-- Location: FF_X61_Y30_N7
\led_flash_cnt[2020][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2020][4]~55166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2020][4]~q\);

-- Location: LCCOMB_X61_Y30_N8
\led_flash_cnt[2020][5]~55168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2020][5]~55168_combout\ = (\led_flash_cnt[2020][5]~q\ & (\led_flash_cnt[2020][4]~55167\ $ (GND))) # (!\led_flash_cnt[2020][5]~q\ & (!\led_flash_cnt[2020][4]~55167\ & VCC))
-- \led_flash_cnt[2020][5]~55169\ = CARRY((\led_flash_cnt[2020][5]~q\ & !\led_flash_cnt[2020][4]~55167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2020][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2020][4]~55167\,
	combout => \led_flash_cnt[2020][5]~55168_combout\,
	cout => \led_flash_cnt[2020][5]~55169\);

-- Location: FF_X61_Y30_N9
\led_flash_cnt[2020][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2020][5]~55168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2020][5]~q\);

-- Location: LCCOMB_X61_Y30_N10
\led_flash_cnt[2020][6]~55170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2020][6]~55170_combout\ = (\led_flash_cnt[2020][6]~q\ & (!\led_flash_cnt[2020][5]~55169\)) # (!\led_flash_cnt[2020][6]~q\ & ((\led_flash_cnt[2020][5]~55169\) # (GND)))
-- \led_flash_cnt[2020][6]~55171\ = CARRY((!\led_flash_cnt[2020][5]~55169\) # (!\led_flash_cnt[2020][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2020][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2020][5]~55169\,
	combout => \led_flash_cnt[2020][6]~55170_combout\,
	cout => \led_flash_cnt[2020][6]~55171\);

-- Location: FF_X61_Y30_N11
\led_flash_cnt[2020][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2020][6]~55170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2020][6]~q\);

-- Location: LCCOMB_X60_Y30_N14
\WideAnd2020~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2020~1_combout\ = (\led_flash_cnt[2020][6]~q\ & \led_flash_cnt[2020][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2020][6]~q\,
	datac => \led_flash_cnt[2020][5]~q\,
	combout => \WideAnd2020~1_combout\);

-- Location: LCCOMB_X61_Y30_N14
\WideAnd2020~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2020~0_combout\ = (\led_flash_cnt[2020][4]~q\ & (\led_flash_cnt[2020][1]~q\ & (\led_flash_cnt[2020][3]~q\ & \led_flash_cnt[2020][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2020][4]~q\,
	datab => \led_flash_cnt[2020][1]~q\,
	datac => \led_flash_cnt[2020][3]~q\,
	datad => \led_flash_cnt[2020][2]~q\,
	combout => \WideAnd2020~0_combout\);

-- Location: LCCOMB_X61_Y30_N12
\led_flash_cnt[2020][7]~55172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2020][7]~55172_combout\ = \led_flash_cnt[2020][6]~55171\ $ (!\led_flash_cnt[2020][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2020][7]~q\,
	cin => \led_flash_cnt[2020][6]~55171\,
	combout => \led_flash_cnt[2020][7]~55172_combout\);

-- Location: FF_X61_Y30_N13
\led_flash_cnt[2020][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2020][7]~55172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2020][7]~q\);

-- Location: LCCOMB_X61_Y30_N16
WideAnd2020 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2020~combout\ = (\WideAnd2020~1_combout\ & (\led_flash_cnt[2020][0]~q\ & (\WideAnd2020~0_combout\ & \led_flash_cnt[2020][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2020~1_combout\,
	datab => \led_flash_cnt[2020][0]~q\,
	datac => \WideAnd2020~0_combout\,
	datad => \led_flash_cnt[2020][7]~q\,
	combout => \WideAnd2020~combout\);

-- Location: FF_X61_Y30_N17
\led_flash_cnt_ands[2020]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2020~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2020));

-- Location: LCCOMB_X61_Y29_N6
\led_flash_cnt[2021][0]~82661\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2021][0]~82661_combout\ = !\led_flash_cnt[2021][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2021][0]~q\,
	combout => \led_flash_cnt[2021][0]~82661_combout\);

-- Location: FF_X61_Y29_N7
\led_flash_cnt[2021][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2021][0]~82661_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2021][0]~q\);

-- Location: LCCOMB_X62_Y29_N0
\led_flash_cnt[2021][1]~55174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2021][1]~55174_combout\ = (\led_flash_cnt[2021][0]~q\ & (\led_flash_cnt[2021][1]~q\ $ (VCC))) # (!\led_flash_cnt[2021][0]~q\ & (\led_flash_cnt[2021][1]~q\ & VCC))
-- \led_flash_cnt[2021][1]~55175\ = CARRY((\led_flash_cnt[2021][0]~q\ & \led_flash_cnt[2021][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2021][0]~q\,
	datab => \led_flash_cnt[2021][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2021][1]~55174_combout\,
	cout => \led_flash_cnt[2021][1]~55175\);

-- Location: FF_X62_Y29_N1
\led_flash_cnt[2021][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2021][1]~55174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2021][1]~q\);

-- Location: LCCOMB_X62_Y29_N2
\led_flash_cnt[2021][2]~55176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2021][2]~55176_combout\ = (\led_flash_cnt[2021][2]~q\ & (!\led_flash_cnt[2021][1]~55175\)) # (!\led_flash_cnt[2021][2]~q\ & ((\led_flash_cnt[2021][1]~55175\) # (GND)))
-- \led_flash_cnt[2021][2]~55177\ = CARRY((!\led_flash_cnt[2021][1]~55175\) # (!\led_flash_cnt[2021][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2021][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2021][1]~55175\,
	combout => \led_flash_cnt[2021][2]~55176_combout\,
	cout => \led_flash_cnt[2021][2]~55177\);

-- Location: FF_X62_Y29_N3
\led_flash_cnt[2021][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2021][2]~55176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2021][2]~q\);

-- Location: LCCOMB_X62_Y29_N4
\led_flash_cnt[2021][3]~55178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2021][3]~55178_combout\ = (\led_flash_cnt[2021][3]~q\ & (\led_flash_cnt[2021][2]~55177\ $ (GND))) # (!\led_flash_cnt[2021][3]~q\ & (!\led_flash_cnt[2021][2]~55177\ & VCC))
-- \led_flash_cnt[2021][3]~55179\ = CARRY((\led_flash_cnt[2021][3]~q\ & !\led_flash_cnt[2021][2]~55177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2021][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2021][2]~55177\,
	combout => \led_flash_cnt[2021][3]~55178_combout\,
	cout => \led_flash_cnt[2021][3]~55179\);

-- Location: FF_X62_Y29_N5
\led_flash_cnt[2021][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2021][3]~55178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2021][3]~q\);

-- Location: LCCOMB_X62_Y29_N6
\led_flash_cnt[2021][4]~55180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2021][4]~55180_combout\ = (\led_flash_cnt[2021][4]~q\ & (!\led_flash_cnt[2021][3]~55179\)) # (!\led_flash_cnt[2021][4]~q\ & ((\led_flash_cnt[2021][3]~55179\) # (GND)))
-- \led_flash_cnt[2021][4]~55181\ = CARRY((!\led_flash_cnt[2021][3]~55179\) # (!\led_flash_cnt[2021][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2021][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2021][3]~55179\,
	combout => \led_flash_cnt[2021][4]~55180_combout\,
	cout => \led_flash_cnt[2021][4]~55181\);

-- Location: FF_X62_Y29_N7
\led_flash_cnt[2021][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2021][4]~55180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2021][4]~q\);

-- Location: LCCOMB_X62_Y29_N30
\WideAnd2021~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2021~0_combout\ = (\led_flash_cnt[2021][4]~q\ & (\led_flash_cnt[2021][1]~q\ & (\led_flash_cnt[2021][3]~q\ & \led_flash_cnt[2021][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2021][4]~q\,
	datab => \led_flash_cnt[2021][1]~q\,
	datac => \led_flash_cnt[2021][3]~q\,
	datad => \led_flash_cnt[2021][2]~q\,
	combout => \WideAnd2021~0_combout\);

-- Location: LCCOMB_X62_Y29_N8
\led_flash_cnt[2021][5]~55182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2021][5]~55182_combout\ = (\led_flash_cnt[2021][5]~q\ & (\led_flash_cnt[2021][4]~55181\ $ (GND))) # (!\led_flash_cnt[2021][5]~q\ & (!\led_flash_cnt[2021][4]~55181\ & VCC))
-- \led_flash_cnt[2021][5]~55183\ = CARRY((\led_flash_cnt[2021][5]~q\ & !\led_flash_cnt[2021][4]~55181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2021][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2021][4]~55181\,
	combout => \led_flash_cnt[2021][5]~55182_combout\,
	cout => \led_flash_cnt[2021][5]~55183\);

-- Location: FF_X62_Y29_N9
\led_flash_cnt[2021][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2021][5]~55182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2021][5]~q\);

-- Location: LCCOMB_X62_Y29_N10
\led_flash_cnt[2021][6]~55184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2021][6]~55184_combout\ = (\led_flash_cnt[2021][6]~q\ & (!\led_flash_cnt[2021][5]~55183\)) # (!\led_flash_cnt[2021][6]~q\ & ((\led_flash_cnt[2021][5]~55183\) # (GND)))
-- \led_flash_cnt[2021][6]~55185\ = CARRY((!\led_flash_cnt[2021][5]~55183\) # (!\led_flash_cnt[2021][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2021][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2021][5]~55183\,
	combout => \led_flash_cnt[2021][6]~55184_combout\,
	cout => \led_flash_cnt[2021][6]~55185\);

-- Location: FF_X62_Y29_N11
\led_flash_cnt[2021][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2021][6]~55184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2021][6]~q\);

-- Location: LCCOMB_X61_Y29_N24
\WideAnd2021~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2021~1_combout\ = (\led_flash_cnt[2021][6]~q\ & \led_flash_cnt[2021][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2021][6]~q\,
	datac => \led_flash_cnt[2021][5]~q\,
	combout => \WideAnd2021~1_combout\);

-- Location: LCCOMB_X62_Y29_N12
\led_flash_cnt[2021][7]~55186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2021][7]~55186_combout\ = \led_flash_cnt[2021][6]~55185\ $ (!\led_flash_cnt[2021][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2021][7]~q\,
	cin => \led_flash_cnt[2021][6]~55185\,
	combout => \led_flash_cnt[2021][7]~55186_combout\);

-- Location: FF_X62_Y29_N13
\led_flash_cnt[2021][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2021][7]~55186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2021][7]~q\);

-- Location: LCCOMB_X61_Y29_N2
WideAnd2021 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2021~combout\ = (\WideAnd2021~0_combout\ & (\WideAnd2021~1_combout\ & (\led_flash_cnt[2021][7]~q\ & \led_flash_cnt[2021][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2021~0_combout\,
	datab => \WideAnd2021~1_combout\,
	datac => \led_flash_cnt[2021][7]~q\,
	datad => \led_flash_cnt[2021][0]~q\,
	combout => \WideAnd2021~combout\);

-- Location: FF_X61_Y29_N3
\led_flash_cnt_ands[2021]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2021~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2021));

-- Location: LCCOMB_X61_Y29_N4
\WideAnd4092~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4092~1_combout\ = (led_flash_cnt_ands(2020) & led_flash_cnt_ands(2021))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2020),
	datad => led_flash_cnt_ands(2021),
	combout => \WideAnd4092~1_combout\);

-- Location: LCCOMB_X55_Y26_N14
WideAnd4092 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4092~combout\ = (led_flash_cnt_ands(2023) & (led_flash_cnt_ands(2022) & (\WideAnd4092~0_combout\ & \WideAnd4092~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2023),
	datab => led_flash_cnt_ands(2022),
	datac => \WideAnd4092~0_combout\,
	datad => \WideAnd4092~1_combout\,
	combout => \WideAnd4092~combout\);

-- Location: FF_X55_Y26_N15
\led_flash_cnt_ands_1[252]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4092~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(252));

-- Location: LCCOMB_X43_Y23_N14
\WideAnd4351~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4351~1_combout\ = (led_flash_cnt_ands_1(253) & led_flash_cnt_ands_1(252))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands_1(253),
	datad => led_flash_cnt_ands_1(252),
	combout => \WideAnd4351~1_combout\);

-- Location: LCCOMB_X15_Y15_N6
\led_flash_cnt[2047][0]~82687\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2047][0]~82687_combout\ = !\led_flash_cnt[2047][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2047][0]~q\,
	combout => \led_flash_cnt[2047][0]~82687_combout\);

-- Location: FF_X15_Y15_N7
\led_flash_cnt[2047][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2047][0]~82687_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2047][0]~q\);

-- Location: LCCOMB_X18_Y15_N16
\led_flash_cnt[2047][1]~55538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2047][1]~55538_combout\ = (\led_flash_cnt[2047][0]~q\ & (\led_flash_cnt[2047][1]~q\ $ (VCC))) # (!\led_flash_cnt[2047][0]~q\ & (\led_flash_cnt[2047][1]~q\ & VCC))
-- \led_flash_cnt[2047][1]~55539\ = CARRY((\led_flash_cnt[2047][0]~q\ & \led_flash_cnt[2047][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2047][0]~q\,
	datab => \led_flash_cnt[2047][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2047][1]~55538_combout\,
	cout => \led_flash_cnt[2047][1]~55539\);

-- Location: FF_X18_Y15_N17
\led_flash_cnt[2047][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2047][1]~55538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2047][1]~q\);

-- Location: LCCOMB_X18_Y15_N18
\led_flash_cnt[2047][2]~55540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2047][2]~55540_combout\ = (\led_flash_cnt[2047][2]~q\ & (!\led_flash_cnt[2047][1]~55539\)) # (!\led_flash_cnt[2047][2]~q\ & ((\led_flash_cnt[2047][1]~55539\) # (GND)))
-- \led_flash_cnt[2047][2]~55541\ = CARRY((!\led_flash_cnt[2047][1]~55539\) # (!\led_flash_cnt[2047][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2047][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2047][1]~55539\,
	combout => \led_flash_cnt[2047][2]~55540_combout\,
	cout => \led_flash_cnt[2047][2]~55541\);

-- Location: FF_X18_Y15_N19
\led_flash_cnt[2047][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2047][2]~55540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2047][2]~q\);

-- Location: LCCOMB_X18_Y15_N20
\led_flash_cnt[2047][3]~55542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2047][3]~55542_combout\ = (\led_flash_cnt[2047][3]~q\ & (\led_flash_cnt[2047][2]~55541\ $ (GND))) # (!\led_flash_cnt[2047][3]~q\ & (!\led_flash_cnt[2047][2]~55541\ & VCC))
-- \led_flash_cnt[2047][3]~55543\ = CARRY((\led_flash_cnt[2047][3]~q\ & !\led_flash_cnt[2047][2]~55541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2047][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2047][2]~55541\,
	combout => \led_flash_cnt[2047][3]~55542_combout\,
	cout => \led_flash_cnt[2047][3]~55543\);

-- Location: FF_X18_Y15_N21
\led_flash_cnt[2047][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2047][3]~55542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2047][3]~q\);

-- Location: LCCOMB_X18_Y15_N22
\led_flash_cnt[2047][4]~55544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2047][4]~55544_combout\ = (\led_flash_cnt[2047][4]~q\ & (!\led_flash_cnt[2047][3]~55543\)) # (!\led_flash_cnt[2047][4]~q\ & ((\led_flash_cnt[2047][3]~55543\) # (GND)))
-- \led_flash_cnt[2047][4]~55545\ = CARRY((!\led_flash_cnt[2047][3]~55543\) # (!\led_flash_cnt[2047][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2047][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2047][3]~55543\,
	combout => \led_flash_cnt[2047][4]~55544_combout\,
	cout => \led_flash_cnt[2047][4]~55545\);

-- Location: FF_X18_Y15_N23
\led_flash_cnt[2047][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2047][4]~55544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2047][4]~q\);

-- Location: LCCOMB_X18_Y15_N24
\led_flash_cnt[2047][5]~55546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2047][5]~55546_combout\ = (\led_flash_cnt[2047][5]~q\ & (\led_flash_cnt[2047][4]~55545\ $ (GND))) # (!\led_flash_cnt[2047][5]~q\ & (!\led_flash_cnt[2047][4]~55545\ & VCC))
-- \led_flash_cnt[2047][5]~55547\ = CARRY((\led_flash_cnt[2047][5]~q\ & !\led_flash_cnt[2047][4]~55545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2047][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2047][4]~55545\,
	combout => \led_flash_cnt[2047][5]~55546_combout\,
	cout => \led_flash_cnt[2047][5]~55547\);

-- Location: FF_X18_Y15_N25
\led_flash_cnt[2047][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2047][5]~55546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2047][5]~q\);

-- Location: LCCOMB_X18_Y15_N26
\led_flash_cnt[2047][6]~55548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2047][6]~55548_combout\ = (\led_flash_cnt[2047][6]~q\ & (!\led_flash_cnt[2047][5]~55547\)) # (!\led_flash_cnt[2047][6]~q\ & ((\led_flash_cnt[2047][5]~55547\) # (GND)))
-- \led_flash_cnt[2047][6]~55549\ = CARRY((!\led_flash_cnt[2047][5]~55547\) # (!\led_flash_cnt[2047][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2047][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2047][5]~55547\,
	combout => \led_flash_cnt[2047][6]~55548_combout\,
	cout => \led_flash_cnt[2047][6]~55549\);

-- Location: FF_X18_Y15_N27
\led_flash_cnt[2047][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2047][6]~55548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2047][6]~q\);

-- Location: LCCOMB_X17_Y15_N28
\WideAnd2047~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2047~1_combout\ = (\led_flash_cnt[2047][6]~q\ & \led_flash_cnt[2047][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2047][6]~q\,
	datad => \led_flash_cnt[2047][5]~q\,
	combout => \WideAnd2047~1_combout\);

-- Location: LCCOMB_X17_Y15_N26
\WideAnd2047~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2047~0_combout\ = (\led_flash_cnt[2047][1]~q\ & (\led_flash_cnt[2047][2]~q\ & (\led_flash_cnt[2047][3]~q\ & \led_flash_cnt[2047][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2047][1]~q\,
	datab => \led_flash_cnt[2047][2]~q\,
	datac => \led_flash_cnt[2047][3]~q\,
	datad => \led_flash_cnt[2047][4]~q\,
	combout => \WideAnd2047~0_combout\);

-- Location: LCCOMB_X18_Y15_N28
\led_flash_cnt[2047][7]~55550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2047][7]~55550_combout\ = \led_flash_cnt[2047][6]~55549\ $ (!\led_flash_cnt[2047][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2047][7]~q\,
	cin => \led_flash_cnt[2047][6]~55549\,
	combout => \led_flash_cnt[2047][7]~55550_combout\);

-- Location: FF_X18_Y15_N29
\led_flash_cnt[2047][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2047][7]~55550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2047][7]~q\);

-- Location: LCCOMB_X18_Y15_N30
WideAnd2047 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2047~combout\ = (\led_flash_cnt[2047][0]~q\ & (\WideAnd2047~1_combout\ & (\WideAnd2047~0_combout\ & \led_flash_cnt[2047][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2047][0]~q\,
	datab => \WideAnd2047~1_combout\,
	datac => \WideAnd2047~0_combout\,
	datad => \led_flash_cnt[2047][7]~q\,
	combout => \WideAnd2047~combout\);

-- Location: FF_X18_Y15_N31
\led_flash_cnt_ands[2047]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2047~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2047));

-- Location: LCCOMB_X25_Y8_N10
\led_flash_cnt[2044][0]~82684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2044][0]~82684_combout\ = !\led_flash_cnt[2044][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2044][0]~q\,
	combout => \led_flash_cnt[2044][0]~82684_combout\);

-- Location: FF_X25_Y8_N11
\led_flash_cnt[2044][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2044][0]~82684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2044][0]~q\);

-- Location: LCCOMB_X25_Y7_N14
\led_flash_cnt[2044][1]~55496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2044][1]~55496_combout\ = (\led_flash_cnt[2044][0]~q\ & (\led_flash_cnt[2044][1]~q\ $ (VCC))) # (!\led_flash_cnt[2044][0]~q\ & (\led_flash_cnt[2044][1]~q\ & VCC))
-- \led_flash_cnt[2044][1]~55497\ = CARRY((\led_flash_cnt[2044][0]~q\ & \led_flash_cnt[2044][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2044][0]~q\,
	datab => \led_flash_cnt[2044][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2044][1]~55496_combout\,
	cout => \led_flash_cnt[2044][1]~55497\);

-- Location: FF_X25_Y7_N15
\led_flash_cnt[2044][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2044][1]~55496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2044][1]~q\);

-- Location: LCCOMB_X25_Y7_N16
\led_flash_cnt[2044][2]~55498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2044][2]~55498_combout\ = (\led_flash_cnt[2044][2]~q\ & (!\led_flash_cnt[2044][1]~55497\)) # (!\led_flash_cnt[2044][2]~q\ & ((\led_flash_cnt[2044][1]~55497\) # (GND)))
-- \led_flash_cnt[2044][2]~55499\ = CARRY((!\led_flash_cnt[2044][1]~55497\) # (!\led_flash_cnt[2044][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2044][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2044][1]~55497\,
	combout => \led_flash_cnt[2044][2]~55498_combout\,
	cout => \led_flash_cnt[2044][2]~55499\);

-- Location: FF_X25_Y7_N17
\led_flash_cnt[2044][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2044][2]~55498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2044][2]~q\);

-- Location: LCCOMB_X25_Y7_N18
\led_flash_cnt[2044][3]~55500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2044][3]~55500_combout\ = (\led_flash_cnt[2044][3]~q\ & (\led_flash_cnt[2044][2]~55499\ $ (GND))) # (!\led_flash_cnt[2044][3]~q\ & (!\led_flash_cnt[2044][2]~55499\ & VCC))
-- \led_flash_cnt[2044][3]~55501\ = CARRY((\led_flash_cnt[2044][3]~q\ & !\led_flash_cnt[2044][2]~55499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2044][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2044][2]~55499\,
	combout => \led_flash_cnt[2044][3]~55500_combout\,
	cout => \led_flash_cnt[2044][3]~55501\);

-- Location: FF_X25_Y7_N19
\led_flash_cnt[2044][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2044][3]~55500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2044][3]~q\);

-- Location: LCCOMB_X25_Y7_N20
\led_flash_cnt[2044][4]~55502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2044][4]~55502_combout\ = (\led_flash_cnt[2044][4]~q\ & (!\led_flash_cnt[2044][3]~55501\)) # (!\led_flash_cnt[2044][4]~q\ & ((\led_flash_cnt[2044][3]~55501\) # (GND)))
-- \led_flash_cnt[2044][4]~55503\ = CARRY((!\led_flash_cnt[2044][3]~55501\) # (!\led_flash_cnt[2044][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2044][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2044][3]~55501\,
	combout => \led_flash_cnt[2044][4]~55502_combout\,
	cout => \led_flash_cnt[2044][4]~55503\);

-- Location: FF_X25_Y7_N21
\led_flash_cnt[2044][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2044][4]~55502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2044][4]~q\);

-- Location: LCCOMB_X25_Y7_N30
\WideAnd2044~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2044~0_combout\ = (\led_flash_cnt[2044][4]~q\ & (\led_flash_cnt[2044][3]~q\ & (\led_flash_cnt[2044][1]~q\ & \led_flash_cnt[2044][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2044][4]~q\,
	datab => \led_flash_cnt[2044][3]~q\,
	datac => \led_flash_cnt[2044][1]~q\,
	datad => \led_flash_cnt[2044][2]~q\,
	combout => \WideAnd2044~0_combout\);

-- Location: LCCOMB_X25_Y7_N22
\led_flash_cnt[2044][5]~55504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2044][5]~55504_combout\ = (\led_flash_cnt[2044][5]~q\ & (\led_flash_cnt[2044][4]~55503\ $ (GND))) # (!\led_flash_cnt[2044][5]~q\ & (!\led_flash_cnt[2044][4]~55503\ & VCC))
-- \led_flash_cnt[2044][5]~55505\ = CARRY((\led_flash_cnt[2044][5]~q\ & !\led_flash_cnt[2044][4]~55503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2044][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2044][4]~55503\,
	combout => \led_flash_cnt[2044][5]~55504_combout\,
	cout => \led_flash_cnt[2044][5]~55505\);

-- Location: FF_X25_Y7_N23
\led_flash_cnt[2044][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2044][5]~55504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2044][5]~q\);

-- Location: LCCOMB_X25_Y7_N24
\led_flash_cnt[2044][6]~55506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2044][6]~55506_combout\ = (\led_flash_cnt[2044][6]~q\ & (!\led_flash_cnt[2044][5]~55505\)) # (!\led_flash_cnt[2044][6]~q\ & ((\led_flash_cnt[2044][5]~55505\) # (GND)))
-- \led_flash_cnt[2044][6]~55507\ = CARRY((!\led_flash_cnt[2044][5]~55505\) # (!\led_flash_cnt[2044][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2044][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2044][5]~55505\,
	combout => \led_flash_cnt[2044][6]~55506_combout\,
	cout => \led_flash_cnt[2044][6]~55507\);

-- Location: FF_X25_Y7_N25
\led_flash_cnt[2044][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2044][6]~55506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2044][6]~q\);

-- Location: LCCOMB_X25_Y7_N26
\led_flash_cnt[2044][7]~55508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2044][7]~55508_combout\ = \led_flash_cnt[2044][7]~q\ $ (!\led_flash_cnt[2044][6]~55507\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2044][7]~q\,
	cin => \led_flash_cnt[2044][6]~55507\,
	combout => \led_flash_cnt[2044][7]~55508_combout\);

-- Location: FF_X25_Y7_N27
\led_flash_cnt[2044][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2044][7]~55508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2044][7]~q\);

-- Location: LCCOMB_X25_Y8_N2
\WideAnd2044~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2044~1_combout\ = (\led_flash_cnt[2044][6]~q\ & \led_flash_cnt[2044][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2044][6]~q\,
	datad => \led_flash_cnt[2044][5]~q\,
	combout => \WideAnd2044~1_combout\);

-- Location: LCCOMB_X25_Y8_N30
WideAnd2044 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2044~combout\ = (\led_flash_cnt[2044][0]~q\ & (\WideAnd2044~0_combout\ & (\led_flash_cnt[2044][7]~q\ & \WideAnd2044~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2044][0]~q\,
	datab => \WideAnd2044~0_combout\,
	datac => \led_flash_cnt[2044][7]~q\,
	datad => \WideAnd2044~1_combout\,
	combout => \WideAnd2044~combout\);

-- Location: FF_X25_Y8_N31
\led_flash_cnt_ands[2044]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2044~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2044));

-- Location: LCCOMB_X24_Y8_N16
\led_flash_cnt[2045][0]~82685\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2045][0]~82685_combout\ = !\led_flash_cnt[2045][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2045][0]~q\,
	combout => \led_flash_cnt[2045][0]~82685_combout\);

-- Location: FF_X24_Y8_N17
\led_flash_cnt[2045][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2045][0]~82685_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2045][0]~q\);

-- Location: LCCOMB_X25_Y12_N0
\led_flash_cnt[2045][1]~55510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2045][1]~55510_combout\ = (\led_flash_cnt[2045][0]~q\ & (\led_flash_cnt[2045][1]~q\ $ (VCC))) # (!\led_flash_cnt[2045][0]~q\ & (\led_flash_cnt[2045][1]~q\ & VCC))
-- \led_flash_cnt[2045][1]~55511\ = CARRY((\led_flash_cnt[2045][0]~q\ & \led_flash_cnt[2045][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2045][0]~q\,
	datab => \led_flash_cnt[2045][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2045][1]~55510_combout\,
	cout => \led_flash_cnt[2045][1]~55511\);

-- Location: FF_X25_Y12_N1
\led_flash_cnt[2045][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2045][1]~55510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2045][1]~q\);

-- Location: LCCOMB_X25_Y12_N2
\led_flash_cnt[2045][2]~55512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2045][2]~55512_combout\ = (\led_flash_cnt[2045][2]~q\ & (!\led_flash_cnt[2045][1]~55511\)) # (!\led_flash_cnt[2045][2]~q\ & ((\led_flash_cnt[2045][1]~55511\) # (GND)))
-- \led_flash_cnt[2045][2]~55513\ = CARRY((!\led_flash_cnt[2045][1]~55511\) # (!\led_flash_cnt[2045][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2045][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2045][1]~55511\,
	combout => \led_flash_cnt[2045][2]~55512_combout\,
	cout => \led_flash_cnt[2045][2]~55513\);

-- Location: FF_X25_Y12_N3
\led_flash_cnt[2045][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2045][2]~55512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2045][2]~q\);

-- Location: LCCOMB_X25_Y12_N4
\led_flash_cnt[2045][3]~55514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2045][3]~55514_combout\ = (\led_flash_cnt[2045][3]~q\ & (\led_flash_cnt[2045][2]~55513\ $ (GND))) # (!\led_flash_cnt[2045][3]~q\ & (!\led_flash_cnt[2045][2]~55513\ & VCC))
-- \led_flash_cnt[2045][3]~55515\ = CARRY((\led_flash_cnt[2045][3]~q\ & !\led_flash_cnt[2045][2]~55513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2045][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2045][2]~55513\,
	combout => \led_flash_cnt[2045][3]~55514_combout\,
	cout => \led_flash_cnt[2045][3]~55515\);

-- Location: FF_X25_Y12_N5
\led_flash_cnt[2045][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2045][3]~55514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2045][3]~q\);

-- Location: LCCOMB_X25_Y12_N6
\led_flash_cnt[2045][4]~55516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2045][4]~55516_combout\ = (\led_flash_cnt[2045][4]~q\ & (!\led_flash_cnt[2045][3]~55515\)) # (!\led_flash_cnt[2045][4]~q\ & ((\led_flash_cnt[2045][3]~55515\) # (GND)))
-- \led_flash_cnt[2045][4]~55517\ = CARRY((!\led_flash_cnt[2045][3]~55515\) # (!\led_flash_cnt[2045][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2045][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2045][3]~55515\,
	combout => \led_flash_cnt[2045][4]~55516_combout\,
	cout => \led_flash_cnt[2045][4]~55517\);

-- Location: FF_X25_Y12_N7
\led_flash_cnt[2045][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2045][4]~55516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2045][4]~q\);

-- Location: LCCOMB_X25_Y12_N8
\led_flash_cnt[2045][5]~55518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2045][5]~55518_combout\ = (\led_flash_cnt[2045][5]~q\ & (\led_flash_cnt[2045][4]~55517\ $ (GND))) # (!\led_flash_cnt[2045][5]~q\ & (!\led_flash_cnt[2045][4]~55517\ & VCC))
-- \led_flash_cnt[2045][5]~55519\ = CARRY((\led_flash_cnt[2045][5]~q\ & !\led_flash_cnt[2045][4]~55517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2045][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2045][4]~55517\,
	combout => \led_flash_cnt[2045][5]~55518_combout\,
	cout => \led_flash_cnt[2045][5]~55519\);

-- Location: FF_X25_Y12_N9
\led_flash_cnt[2045][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2045][5]~55518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2045][5]~q\);

-- Location: LCCOMB_X25_Y12_N10
\led_flash_cnt[2045][6]~55520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2045][6]~55520_combout\ = (\led_flash_cnt[2045][6]~q\ & (!\led_flash_cnt[2045][5]~55519\)) # (!\led_flash_cnt[2045][6]~q\ & ((\led_flash_cnt[2045][5]~55519\) # (GND)))
-- \led_flash_cnt[2045][6]~55521\ = CARRY((!\led_flash_cnt[2045][5]~55519\) # (!\led_flash_cnt[2045][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2045][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2045][5]~55519\,
	combout => \led_flash_cnt[2045][6]~55520_combout\,
	cout => \led_flash_cnt[2045][6]~55521\);

-- Location: FF_X25_Y12_N11
\led_flash_cnt[2045][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2045][6]~55520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2045][6]~q\);

-- Location: LCCOMB_X25_Y12_N12
\led_flash_cnt[2045][7]~55522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2045][7]~55522_combout\ = \led_flash_cnt[2045][6]~55521\ $ (!\led_flash_cnt[2045][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2045][7]~q\,
	cin => \led_flash_cnt[2045][6]~55521\,
	combout => \led_flash_cnt[2045][7]~55522_combout\);

-- Location: FF_X25_Y12_N13
\led_flash_cnt[2045][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2045][7]~55522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2045][7]~q\);

-- Location: LCCOMB_X26_Y12_N0
\WideAnd2045~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2045~0_combout\ = (\led_flash_cnt[2045][1]~q\ & (\led_flash_cnt[2045][3]~q\ & (\led_flash_cnt[2045][4]~q\ & \led_flash_cnt[2045][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2045][1]~q\,
	datab => \led_flash_cnt[2045][3]~q\,
	datac => \led_flash_cnt[2045][4]~q\,
	datad => \led_flash_cnt[2045][2]~q\,
	combout => \WideAnd2045~0_combout\);

-- Location: LCCOMB_X26_Y12_N4
\WideAnd2045~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2045~1_combout\ = (\led_flash_cnt[2045][6]~q\ & \led_flash_cnt[2045][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2045][6]~q\,
	datad => \led_flash_cnt[2045][5]~q\,
	combout => \WideAnd2045~1_combout\);

-- Location: LCCOMB_X26_Y12_N6
WideAnd2045 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2045~combout\ = (\led_flash_cnt[2045][7]~q\ & (\WideAnd2045~0_combout\ & (\WideAnd2045~1_combout\ & \led_flash_cnt[2045][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2045][7]~q\,
	datab => \WideAnd2045~0_combout\,
	datac => \WideAnd2045~1_combout\,
	datad => \led_flash_cnt[2045][0]~q\,
	combout => \WideAnd2045~combout\);

-- Location: FF_X26_Y12_N7
\led_flash_cnt_ands[2045]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2045~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2045));

-- Location: LCCOMB_X26_Y12_N16
\WideAnd4095~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4095~1_combout\ = (led_flash_cnt_ands(2044) & led_flash_cnt_ands(2045))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2044),
	datad => led_flash_cnt_ands(2045),
	combout => \WideAnd4095~1_combout\);

-- Location: LCCOMB_X32_Y16_N8
\led_flash_cnt[2046][0]~82686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2046][0]~82686_combout\ = !\led_flash_cnt[2046][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2046][0]~q\,
	combout => \led_flash_cnt[2046][0]~82686_combout\);

-- Location: FF_X32_Y16_N9
\led_flash_cnt[2046][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2046][0]~82686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2046][0]~q\);

-- Location: LCCOMB_X29_Y16_N14
\led_flash_cnt[2046][1]~55524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2046][1]~55524_combout\ = (\led_flash_cnt[2046][0]~q\ & (\led_flash_cnt[2046][1]~q\ $ (VCC))) # (!\led_flash_cnt[2046][0]~q\ & (\led_flash_cnt[2046][1]~q\ & VCC))
-- \led_flash_cnt[2046][1]~55525\ = CARRY((\led_flash_cnt[2046][0]~q\ & \led_flash_cnt[2046][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2046][0]~q\,
	datab => \led_flash_cnt[2046][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2046][1]~55524_combout\,
	cout => \led_flash_cnt[2046][1]~55525\);

-- Location: FF_X29_Y16_N15
\led_flash_cnt[2046][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2046][1]~55524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2046][1]~q\);

-- Location: LCCOMB_X29_Y16_N16
\led_flash_cnt[2046][2]~55526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2046][2]~55526_combout\ = (\led_flash_cnt[2046][2]~q\ & (!\led_flash_cnt[2046][1]~55525\)) # (!\led_flash_cnt[2046][2]~q\ & ((\led_flash_cnt[2046][1]~55525\) # (GND)))
-- \led_flash_cnt[2046][2]~55527\ = CARRY((!\led_flash_cnt[2046][1]~55525\) # (!\led_flash_cnt[2046][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2046][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2046][1]~55525\,
	combout => \led_flash_cnt[2046][2]~55526_combout\,
	cout => \led_flash_cnt[2046][2]~55527\);

-- Location: FF_X29_Y16_N17
\led_flash_cnt[2046][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2046][2]~55526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2046][2]~q\);

-- Location: LCCOMB_X29_Y16_N18
\led_flash_cnt[2046][3]~55528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2046][3]~55528_combout\ = (\led_flash_cnt[2046][3]~q\ & (\led_flash_cnt[2046][2]~55527\ $ (GND))) # (!\led_flash_cnt[2046][3]~q\ & (!\led_flash_cnt[2046][2]~55527\ & VCC))
-- \led_flash_cnt[2046][3]~55529\ = CARRY((\led_flash_cnt[2046][3]~q\ & !\led_flash_cnt[2046][2]~55527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2046][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2046][2]~55527\,
	combout => \led_flash_cnt[2046][3]~55528_combout\,
	cout => \led_flash_cnt[2046][3]~55529\);

-- Location: FF_X29_Y16_N19
\led_flash_cnt[2046][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2046][3]~55528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2046][3]~q\);

-- Location: LCCOMB_X29_Y16_N20
\led_flash_cnt[2046][4]~55530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2046][4]~55530_combout\ = (\led_flash_cnt[2046][4]~q\ & (!\led_flash_cnt[2046][3]~55529\)) # (!\led_flash_cnt[2046][4]~q\ & ((\led_flash_cnt[2046][3]~55529\) # (GND)))
-- \led_flash_cnt[2046][4]~55531\ = CARRY((!\led_flash_cnt[2046][3]~55529\) # (!\led_flash_cnt[2046][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2046][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2046][3]~55529\,
	combout => \led_flash_cnt[2046][4]~55530_combout\,
	cout => \led_flash_cnt[2046][4]~55531\);

-- Location: FF_X29_Y16_N21
\led_flash_cnt[2046][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2046][4]~55530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2046][4]~q\);

-- Location: LCCOMB_X29_Y16_N30
\WideAnd2046~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2046~0_combout\ = (\led_flash_cnt[2046][3]~q\ & (\led_flash_cnt[2046][2]~q\ & (\led_flash_cnt[2046][1]~q\ & \led_flash_cnt[2046][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2046][3]~q\,
	datab => \led_flash_cnt[2046][2]~q\,
	datac => \led_flash_cnt[2046][1]~q\,
	datad => \led_flash_cnt[2046][4]~q\,
	combout => \WideAnd2046~0_combout\);

-- Location: LCCOMB_X29_Y16_N22
\led_flash_cnt[2046][5]~55532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2046][5]~55532_combout\ = (\led_flash_cnt[2046][5]~q\ & (\led_flash_cnt[2046][4]~55531\ $ (GND))) # (!\led_flash_cnt[2046][5]~q\ & (!\led_flash_cnt[2046][4]~55531\ & VCC))
-- \led_flash_cnt[2046][5]~55533\ = CARRY((\led_flash_cnt[2046][5]~q\ & !\led_flash_cnt[2046][4]~55531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2046][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2046][4]~55531\,
	combout => \led_flash_cnt[2046][5]~55532_combout\,
	cout => \led_flash_cnt[2046][5]~55533\);

-- Location: FF_X29_Y16_N23
\led_flash_cnt[2046][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2046][5]~55532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2046][5]~q\);

-- Location: LCCOMB_X29_Y16_N24
\led_flash_cnt[2046][6]~55534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2046][6]~55534_combout\ = (\led_flash_cnt[2046][6]~q\ & (!\led_flash_cnt[2046][5]~55533\)) # (!\led_flash_cnt[2046][6]~q\ & ((\led_flash_cnt[2046][5]~55533\) # (GND)))
-- \led_flash_cnt[2046][6]~55535\ = CARRY((!\led_flash_cnt[2046][5]~55533\) # (!\led_flash_cnt[2046][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2046][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2046][5]~55533\,
	combout => \led_flash_cnt[2046][6]~55534_combout\,
	cout => \led_flash_cnt[2046][6]~55535\);

-- Location: FF_X29_Y16_N25
\led_flash_cnt[2046][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2046][6]~55534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2046][6]~q\);

-- Location: LCCOMB_X30_Y16_N28
\WideAnd2046~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2046~1_combout\ = (\led_flash_cnt[2046][6]~q\ & \led_flash_cnt[2046][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2046][6]~q\,
	datad => \led_flash_cnt[2046][5]~q\,
	combout => \WideAnd2046~1_combout\);

-- Location: LCCOMB_X29_Y16_N26
\led_flash_cnt[2046][7]~55536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2046][7]~55536_combout\ = \led_flash_cnt[2046][7]~q\ $ (!\led_flash_cnt[2046][6]~55535\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2046][7]~q\,
	cin => \led_flash_cnt[2046][6]~55535\,
	combout => \led_flash_cnt[2046][7]~55536_combout\);

-- Location: FF_X29_Y16_N27
\led_flash_cnt[2046][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2046][7]~55536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2046][7]~q\);

-- Location: LCCOMB_X29_Y16_N28
WideAnd2046 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2046~combout\ = (\WideAnd2046~0_combout\ & (\WideAnd2046~1_combout\ & (\led_flash_cnt[2046][7]~q\ & \led_flash_cnt[2046][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2046~0_combout\,
	datab => \WideAnd2046~1_combout\,
	datac => \led_flash_cnt[2046][7]~q\,
	datad => \led_flash_cnt[2046][0]~q\,
	combout => \WideAnd2046~combout\);

-- Location: FF_X29_Y16_N29
\led_flash_cnt_ands[2046]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2046~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2046));

-- Location: LCCOMB_X24_Y22_N8
\led_flash_cnt[2042][0]~82682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2042][0]~82682_combout\ = !\led_flash_cnt[2042][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2042][0]~q\,
	combout => \led_flash_cnt[2042][0]~82682_combout\);

-- Location: FF_X24_Y22_N9
\led_flash_cnt[2042][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2042][0]~82682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2042][0]~q\);

-- Location: LCCOMB_X22_Y22_N0
\led_flash_cnt[2042][1]~55468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2042][1]~55468_combout\ = (\led_flash_cnt[2042][0]~q\ & (\led_flash_cnt[2042][1]~q\ $ (VCC))) # (!\led_flash_cnt[2042][0]~q\ & (\led_flash_cnt[2042][1]~q\ & VCC))
-- \led_flash_cnt[2042][1]~55469\ = CARRY((\led_flash_cnt[2042][0]~q\ & \led_flash_cnt[2042][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2042][0]~q\,
	datab => \led_flash_cnt[2042][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2042][1]~55468_combout\,
	cout => \led_flash_cnt[2042][1]~55469\);

-- Location: FF_X22_Y22_N1
\led_flash_cnt[2042][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2042][1]~55468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2042][1]~q\);

-- Location: LCCOMB_X22_Y22_N2
\led_flash_cnt[2042][2]~55470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2042][2]~55470_combout\ = (\led_flash_cnt[2042][2]~q\ & (!\led_flash_cnt[2042][1]~55469\)) # (!\led_flash_cnt[2042][2]~q\ & ((\led_flash_cnt[2042][1]~55469\) # (GND)))
-- \led_flash_cnt[2042][2]~55471\ = CARRY((!\led_flash_cnt[2042][1]~55469\) # (!\led_flash_cnt[2042][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2042][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2042][1]~55469\,
	combout => \led_flash_cnt[2042][2]~55470_combout\,
	cout => \led_flash_cnt[2042][2]~55471\);

-- Location: FF_X22_Y22_N3
\led_flash_cnt[2042][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2042][2]~55470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2042][2]~q\);

-- Location: LCCOMB_X22_Y22_N4
\led_flash_cnt[2042][3]~55472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2042][3]~55472_combout\ = (\led_flash_cnt[2042][3]~q\ & (\led_flash_cnt[2042][2]~55471\ $ (GND))) # (!\led_flash_cnt[2042][3]~q\ & (!\led_flash_cnt[2042][2]~55471\ & VCC))
-- \led_flash_cnt[2042][3]~55473\ = CARRY((\led_flash_cnt[2042][3]~q\ & !\led_flash_cnt[2042][2]~55471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2042][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2042][2]~55471\,
	combout => \led_flash_cnt[2042][3]~55472_combout\,
	cout => \led_flash_cnt[2042][3]~55473\);

-- Location: FF_X22_Y22_N5
\led_flash_cnt[2042][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2042][3]~55472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2042][3]~q\);

-- Location: LCCOMB_X22_Y22_N6
\led_flash_cnt[2042][4]~55474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2042][4]~55474_combout\ = (\led_flash_cnt[2042][4]~q\ & (!\led_flash_cnt[2042][3]~55473\)) # (!\led_flash_cnt[2042][4]~q\ & ((\led_flash_cnt[2042][3]~55473\) # (GND)))
-- \led_flash_cnt[2042][4]~55475\ = CARRY((!\led_flash_cnt[2042][3]~55473\) # (!\led_flash_cnt[2042][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2042][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2042][3]~55473\,
	combout => \led_flash_cnt[2042][4]~55474_combout\,
	cout => \led_flash_cnt[2042][4]~55475\);

-- Location: FF_X22_Y22_N7
\led_flash_cnt[2042][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2042][4]~55474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2042][4]~q\);

-- Location: LCCOMB_X22_Y22_N8
\led_flash_cnt[2042][5]~55476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2042][5]~55476_combout\ = (\led_flash_cnt[2042][5]~q\ & (\led_flash_cnt[2042][4]~55475\ $ (GND))) # (!\led_flash_cnt[2042][5]~q\ & (!\led_flash_cnt[2042][4]~55475\ & VCC))
-- \led_flash_cnt[2042][5]~55477\ = CARRY((\led_flash_cnt[2042][5]~q\ & !\led_flash_cnt[2042][4]~55475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2042][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2042][4]~55475\,
	combout => \led_flash_cnt[2042][5]~55476_combout\,
	cout => \led_flash_cnt[2042][5]~55477\);

-- Location: FF_X22_Y22_N9
\led_flash_cnt[2042][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2042][5]~55476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2042][5]~q\);

-- Location: LCCOMB_X22_Y22_N10
\led_flash_cnt[2042][6]~55478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2042][6]~55478_combout\ = (\led_flash_cnt[2042][6]~q\ & (!\led_flash_cnt[2042][5]~55477\)) # (!\led_flash_cnt[2042][6]~q\ & ((\led_flash_cnt[2042][5]~55477\) # (GND)))
-- \led_flash_cnt[2042][6]~55479\ = CARRY((!\led_flash_cnt[2042][5]~55477\) # (!\led_flash_cnt[2042][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2042][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2042][5]~55477\,
	combout => \led_flash_cnt[2042][6]~55478_combout\,
	cout => \led_flash_cnt[2042][6]~55479\);

-- Location: FF_X22_Y22_N11
\led_flash_cnt[2042][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2042][6]~55478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2042][6]~q\);

-- Location: LCCOMB_X22_Y22_N12
\led_flash_cnt[2042][7]~55480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2042][7]~55480_combout\ = \led_flash_cnt[2042][6]~55479\ $ (!\led_flash_cnt[2042][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2042][7]~q\,
	cin => \led_flash_cnt[2042][6]~55479\,
	combout => \led_flash_cnt[2042][7]~55480_combout\);

-- Location: FF_X22_Y22_N13
\led_flash_cnt[2042][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2042][7]~55480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2042][7]~q\);

-- Location: LCCOMB_X23_Y22_N28
\WideAnd2042~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2042~1_combout\ = (\led_flash_cnt[2042][5]~q\ & \led_flash_cnt[2042][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2042][5]~q\,
	datad => \led_flash_cnt[2042][6]~q\,
	combout => \WideAnd2042~1_combout\);

-- Location: LCCOMB_X22_Y22_N16
\WideAnd2042~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2042~0_combout\ = (\led_flash_cnt[2042][4]~q\ & (\led_flash_cnt[2042][1]~q\ & (\led_flash_cnt[2042][3]~q\ & \led_flash_cnt[2042][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2042][4]~q\,
	datab => \led_flash_cnt[2042][1]~q\,
	datac => \led_flash_cnt[2042][3]~q\,
	datad => \led_flash_cnt[2042][2]~q\,
	combout => \WideAnd2042~0_combout\);

-- Location: LCCOMB_X22_Y22_N14
WideAnd2042 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2042~combout\ = (\led_flash_cnt[2042][7]~q\ & (\WideAnd2042~1_combout\ & (\led_flash_cnt[2042][0]~q\ & \WideAnd2042~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2042][7]~q\,
	datab => \WideAnd2042~1_combout\,
	datac => \led_flash_cnt[2042][0]~q\,
	datad => \WideAnd2042~0_combout\,
	combout => \WideAnd2042~combout\);

-- Location: FF_X22_Y22_N15
\led_flash_cnt_ands[2042]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2042~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2042));

-- Location: LCCOMB_X25_Y18_N0
\led_flash_cnt[2041][0]~82681\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2041][0]~82681_combout\ = !\led_flash_cnt[2041][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2041][0]~q\,
	combout => \led_flash_cnt[2041][0]~82681_combout\);

-- Location: FF_X25_Y18_N1
\led_flash_cnt[2041][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2041][0]~82681_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2041][0]~q\);

-- Location: LCCOMB_X25_Y18_N10
\led_flash_cnt[2041][1]~55454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2041][1]~55454_combout\ = (\led_flash_cnt[2041][1]~q\ & (\led_flash_cnt[2041][0]~q\ $ (VCC))) # (!\led_flash_cnt[2041][1]~q\ & (\led_flash_cnt[2041][0]~q\ & VCC))
-- \led_flash_cnt[2041][1]~55455\ = CARRY((\led_flash_cnt[2041][1]~q\ & \led_flash_cnt[2041][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2041][1]~q\,
	datab => \led_flash_cnt[2041][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2041][1]~55454_combout\,
	cout => \led_flash_cnt[2041][1]~55455\);

-- Location: FF_X25_Y18_N11
\led_flash_cnt[2041][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2041][1]~55454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2041][1]~q\);

-- Location: LCCOMB_X25_Y18_N12
\led_flash_cnt[2041][2]~55456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2041][2]~55456_combout\ = (\led_flash_cnt[2041][2]~q\ & (!\led_flash_cnt[2041][1]~55455\)) # (!\led_flash_cnt[2041][2]~q\ & ((\led_flash_cnt[2041][1]~55455\) # (GND)))
-- \led_flash_cnt[2041][2]~55457\ = CARRY((!\led_flash_cnt[2041][1]~55455\) # (!\led_flash_cnt[2041][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2041][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2041][1]~55455\,
	combout => \led_flash_cnt[2041][2]~55456_combout\,
	cout => \led_flash_cnt[2041][2]~55457\);

-- Location: FF_X25_Y18_N13
\led_flash_cnt[2041][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2041][2]~55456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2041][2]~q\);

-- Location: LCCOMB_X25_Y18_N14
\led_flash_cnt[2041][3]~55458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2041][3]~55458_combout\ = (\led_flash_cnt[2041][3]~q\ & (\led_flash_cnt[2041][2]~55457\ $ (GND))) # (!\led_flash_cnt[2041][3]~q\ & (!\led_flash_cnt[2041][2]~55457\ & VCC))
-- \led_flash_cnt[2041][3]~55459\ = CARRY((\led_flash_cnt[2041][3]~q\ & !\led_flash_cnt[2041][2]~55457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2041][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2041][2]~55457\,
	combout => \led_flash_cnt[2041][3]~55458_combout\,
	cout => \led_flash_cnt[2041][3]~55459\);

-- Location: FF_X25_Y18_N15
\led_flash_cnt[2041][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2041][3]~55458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2041][3]~q\);

-- Location: LCCOMB_X25_Y18_N16
\led_flash_cnt[2041][4]~55460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2041][4]~55460_combout\ = (\led_flash_cnt[2041][4]~q\ & (!\led_flash_cnt[2041][3]~55459\)) # (!\led_flash_cnt[2041][4]~q\ & ((\led_flash_cnt[2041][3]~55459\) # (GND)))
-- \led_flash_cnt[2041][4]~55461\ = CARRY((!\led_flash_cnt[2041][3]~55459\) # (!\led_flash_cnt[2041][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2041][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2041][3]~55459\,
	combout => \led_flash_cnt[2041][4]~55460_combout\,
	cout => \led_flash_cnt[2041][4]~55461\);

-- Location: FF_X25_Y18_N17
\led_flash_cnt[2041][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2041][4]~55460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2041][4]~q\);

-- Location: LCCOMB_X25_Y18_N18
\led_flash_cnt[2041][5]~55462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2041][5]~55462_combout\ = (\led_flash_cnt[2041][5]~q\ & (\led_flash_cnt[2041][4]~55461\ $ (GND))) # (!\led_flash_cnt[2041][5]~q\ & (!\led_flash_cnt[2041][4]~55461\ & VCC))
-- \led_flash_cnt[2041][5]~55463\ = CARRY((\led_flash_cnt[2041][5]~q\ & !\led_flash_cnt[2041][4]~55461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2041][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2041][4]~55461\,
	combout => \led_flash_cnt[2041][5]~55462_combout\,
	cout => \led_flash_cnt[2041][5]~55463\);

-- Location: FF_X25_Y18_N19
\led_flash_cnt[2041][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2041][5]~55462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2041][5]~q\);

-- Location: LCCOMB_X25_Y18_N20
\led_flash_cnt[2041][6]~55464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2041][6]~55464_combout\ = (\led_flash_cnt[2041][6]~q\ & (!\led_flash_cnt[2041][5]~55463\)) # (!\led_flash_cnt[2041][6]~q\ & ((\led_flash_cnt[2041][5]~55463\) # (GND)))
-- \led_flash_cnt[2041][6]~55465\ = CARRY((!\led_flash_cnt[2041][5]~55463\) # (!\led_flash_cnt[2041][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2041][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2041][5]~55463\,
	combout => \led_flash_cnt[2041][6]~55464_combout\,
	cout => \led_flash_cnt[2041][6]~55465\);

-- Location: FF_X25_Y18_N21
\led_flash_cnt[2041][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2041][6]~55464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2041][6]~q\);

-- Location: LCCOMB_X25_Y18_N26
\WideAnd2041~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2041~1_combout\ = (\led_flash_cnt[2041][5]~q\ & \led_flash_cnt[2041][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2041][5]~q\,
	datad => \led_flash_cnt[2041][6]~q\,
	combout => \WideAnd2041~1_combout\);

-- Location: LCCOMB_X25_Y18_N22
\led_flash_cnt[2041][7]~55466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2041][7]~55466_combout\ = \led_flash_cnt[2041][7]~q\ $ (!\led_flash_cnt[2041][6]~55465\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2041][7]~q\,
	cin => \led_flash_cnt[2041][6]~55465\,
	combout => \led_flash_cnt[2041][7]~55466_combout\);

-- Location: FF_X25_Y18_N23
\led_flash_cnt[2041][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2041][7]~55466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2041][7]~q\);

-- Location: LCCOMB_X25_Y18_N6
\WideAnd2041~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2041~0_combout\ = (\led_flash_cnt[2041][2]~q\ & (\led_flash_cnt[2041][4]~q\ & (\led_flash_cnt[2041][3]~q\ & \led_flash_cnt[2041][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2041][2]~q\,
	datab => \led_flash_cnt[2041][4]~q\,
	datac => \led_flash_cnt[2041][3]~q\,
	datad => \led_flash_cnt[2041][1]~q\,
	combout => \WideAnd2041~0_combout\);

-- Location: LCCOMB_X25_Y18_N24
WideAnd2041 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2041~combout\ = (\WideAnd2041~1_combout\ & (\led_flash_cnt[2041][0]~q\ & (\led_flash_cnt[2041][7]~q\ & \WideAnd2041~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2041~1_combout\,
	datab => \led_flash_cnt[2041][0]~q\,
	datac => \led_flash_cnt[2041][7]~q\,
	datad => \WideAnd2041~0_combout\,
	combout => \WideAnd2041~combout\);

-- Location: FF_X25_Y18_N25
\led_flash_cnt_ands[2041]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2041~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2041));

-- Location: LCCOMB_X25_Y18_N2
\led_flash_cnt[2040][0]~82680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2040][0]~82680_combout\ = !\led_flash_cnt[2040][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2040][0]~q\,
	combout => \led_flash_cnt[2040][0]~82680_combout\);

-- Location: FF_X25_Y18_N3
\led_flash_cnt[2040][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2040][0]~82680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2040][0]~q\);

-- Location: LCCOMB_X24_Y18_N0
\led_flash_cnt[2040][1]~55440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2040][1]~55440_combout\ = (\led_flash_cnt[2040][0]~q\ & (\led_flash_cnt[2040][1]~q\ $ (VCC))) # (!\led_flash_cnt[2040][0]~q\ & (\led_flash_cnt[2040][1]~q\ & VCC))
-- \led_flash_cnt[2040][1]~55441\ = CARRY((\led_flash_cnt[2040][0]~q\ & \led_flash_cnt[2040][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2040][0]~q\,
	datab => \led_flash_cnt[2040][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2040][1]~55440_combout\,
	cout => \led_flash_cnt[2040][1]~55441\);

-- Location: FF_X24_Y18_N1
\led_flash_cnt[2040][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2040][1]~55440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2040][1]~q\);

-- Location: LCCOMB_X24_Y18_N2
\led_flash_cnt[2040][2]~55442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2040][2]~55442_combout\ = (\led_flash_cnt[2040][2]~q\ & (!\led_flash_cnt[2040][1]~55441\)) # (!\led_flash_cnt[2040][2]~q\ & ((\led_flash_cnt[2040][1]~55441\) # (GND)))
-- \led_flash_cnt[2040][2]~55443\ = CARRY((!\led_flash_cnt[2040][1]~55441\) # (!\led_flash_cnt[2040][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2040][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2040][1]~55441\,
	combout => \led_flash_cnt[2040][2]~55442_combout\,
	cout => \led_flash_cnt[2040][2]~55443\);

-- Location: FF_X24_Y18_N3
\led_flash_cnt[2040][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2040][2]~55442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2040][2]~q\);

-- Location: LCCOMB_X24_Y18_N4
\led_flash_cnt[2040][3]~55444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2040][3]~55444_combout\ = (\led_flash_cnt[2040][3]~q\ & (\led_flash_cnt[2040][2]~55443\ $ (GND))) # (!\led_flash_cnt[2040][3]~q\ & (!\led_flash_cnt[2040][2]~55443\ & VCC))
-- \led_flash_cnt[2040][3]~55445\ = CARRY((\led_flash_cnt[2040][3]~q\ & !\led_flash_cnt[2040][2]~55443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2040][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2040][2]~55443\,
	combout => \led_flash_cnt[2040][3]~55444_combout\,
	cout => \led_flash_cnt[2040][3]~55445\);

-- Location: FF_X24_Y18_N5
\led_flash_cnt[2040][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2040][3]~55444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2040][3]~q\);

-- Location: LCCOMB_X24_Y18_N6
\led_flash_cnt[2040][4]~55446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2040][4]~55446_combout\ = (\led_flash_cnt[2040][4]~q\ & (!\led_flash_cnt[2040][3]~55445\)) # (!\led_flash_cnt[2040][4]~q\ & ((\led_flash_cnt[2040][3]~55445\) # (GND)))
-- \led_flash_cnt[2040][4]~55447\ = CARRY((!\led_flash_cnt[2040][3]~55445\) # (!\led_flash_cnt[2040][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2040][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2040][3]~55445\,
	combout => \led_flash_cnt[2040][4]~55446_combout\,
	cout => \led_flash_cnt[2040][4]~55447\);

-- Location: FF_X24_Y18_N7
\led_flash_cnt[2040][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2040][4]~55446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2040][4]~q\);

-- Location: LCCOMB_X24_Y18_N8
\led_flash_cnt[2040][5]~55448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2040][5]~55448_combout\ = (\led_flash_cnt[2040][5]~q\ & (\led_flash_cnt[2040][4]~55447\ $ (GND))) # (!\led_flash_cnt[2040][5]~q\ & (!\led_flash_cnt[2040][4]~55447\ & VCC))
-- \led_flash_cnt[2040][5]~55449\ = CARRY((\led_flash_cnt[2040][5]~q\ & !\led_flash_cnt[2040][4]~55447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2040][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2040][4]~55447\,
	combout => \led_flash_cnt[2040][5]~55448_combout\,
	cout => \led_flash_cnt[2040][5]~55449\);

-- Location: FF_X24_Y18_N9
\led_flash_cnt[2040][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2040][5]~55448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2040][5]~q\);

-- Location: LCCOMB_X24_Y18_N10
\led_flash_cnt[2040][6]~55450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2040][6]~55450_combout\ = (\led_flash_cnt[2040][6]~q\ & (!\led_flash_cnt[2040][5]~55449\)) # (!\led_flash_cnt[2040][6]~q\ & ((\led_flash_cnt[2040][5]~55449\) # (GND)))
-- \led_flash_cnt[2040][6]~55451\ = CARRY((!\led_flash_cnt[2040][5]~55449\) # (!\led_flash_cnt[2040][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2040][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2040][5]~55449\,
	combout => \led_flash_cnt[2040][6]~55450_combout\,
	cout => \led_flash_cnt[2040][6]~55451\);

-- Location: FF_X24_Y18_N11
\led_flash_cnt[2040][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2040][6]~55450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2040][6]~q\);

-- Location: LCCOMB_X24_Y18_N12
\led_flash_cnt[2040][7]~55452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2040][7]~55452_combout\ = \led_flash_cnt[2040][6]~55451\ $ (!\led_flash_cnt[2040][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2040][7]~q\,
	cin => \led_flash_cnt[2040][6]~55451\,
	combout => \led_flash_cnt[2040][7]~55452_combout\);

-- Location: FF_X24_Y18_N13
\led_flash_cnt[2040][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2040][7]~55452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2040][7]~q\);

-- Location: LCCOMB_X24_Y18_N28
\WideAnd2040~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2040~0_combout\ = (\led_flash_cnt[2040][4]~q\ & (\led_flash_cnt[2040][2]~q\ & (\led_flash_cnt[2040][3]~q\ & \led_flash_cnt[2040][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2040][4]~q\,
	datab => \led_flash_cnt[2040][2]~q\,
	datac => \led_flash_cnt[2040][3]~q\,
	datad => \led_flash_cnt[2040][1]~q\,
	combout => \WideAnd2040~0_combout\);

-- Location: LCCOMB_X25_Y18_N30
\WideAnd2040~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2040~1_combout\ = (\led_flash_cnt[2040][6]~q\ & \led_flash_cnt[2040][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2040][6]~q\,
	datad => \led_flash_cnt[2040][5]~q\,
	combout => \WideAnd2040~1_combout\);

-- Location: LCCOMB_X25_Y18_N4
WideAnd2040 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2040~combout\ = (\led_flash_cnt[2040][7]~q\ & (\WideAnd2040~0_combout\ & (\WideAnd2040~1_combout\ & \led_flash_cnt[2040][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2040][7]~q\,
	datab => \WideAnd2040~0_combout\,
	datac => \WideAnd2040~1_combout\,
	datad => \led_flash_cnt[2040][0]~q\,
	combout => \WideAnd2040~combout\);

-- Location: FF_X25_Y18_N5
\led_flash_cnt_ands[2040]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2040~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2040));

-- Location: LCCOMB_X21_Y21_N26
\led_flash_cnt[2043][0]~82683\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2043][0]~82683_combout\ = !\led_flash_cnt[2043][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2043][0]~q\,
	combout => \led_flash_cnt[2043][0]~82683_combout\);

-- Location: FF_X21_Y21_N27
\led_flash_cnt[2043][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2043][0]~82683_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2043][0]~q\);

-- Location: LCCOMB_X22_Y21_N16
\led_flash_cnt[2043][1]~55482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2043][1]~55482_combout\ = (\led_flash_cnt[2043][0]~q\ & (\led_flash_cnt[2043][1]~q\ $ (VCC))) # (!\led_flash_cnt[2043][0]~q\ & (\led_flash_cnt[2043][1]~q\ & VCC))
-- \led_flash_cnt[2043][1]~55483\ = CARRY((\led_flash_cnt[2043][0]~q\ & \led_flash_cnt[2043][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2043][0]~q\,
	datab => \led_flash_cnt[2043][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2043][1]~55482_combout\,
	cout => \led_flash_cnt[2043][1]~55483\);

-- Location: FF_X22_Y21_N17
\led_flash_cnt[2043][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2043][1]~55482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2043][1]~q\);

-- Location: LCCOMB_X22_Y21_N18
\led_flash_cnt[2043][2]~55484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2043][2]~55484_combout\ = (\led_flash_cnt[2043][2]~q\ & (!\led_flash_cnt[2043][1]~55483\)) # (!\led_flash_cnt[2043][2]~q\ & ((\led_flash_cnt[2043][1]~55483\) # (GND)))
-- \led_flash_cnt[2043][2]~55485\ = CARRY((!\led_flash_cnt[2043][1]~55483\) # (!\led_flash_cnt[2043][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2043][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2043][1]~55483\,
	combout => \led_flash_cnt[2043][2]~55484_combout\,
	cout => \led_flash_cnt[2043][2]~55485\);

-- Location: FF_X22_Y21_N19
\led_flash_cnt[2043][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2043][2]~55484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2043][2]~q\);

-- Location: LCCOMB_X22_Y21_N20
\led_flash_cnt[2043][3]~55486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2043][3]~55486_combout\ = (\led_flash_cnt[2043][3]~q\ & (\led_flash_cnt[2043][2]~55485\ $ (GND))) # (!\led_flash_cnt[2043][3]~q\ & (!\led_flash_cnt[2043][2]~55485\ & VCC))
-- \led_flash_cnt[2043][3]~55487\ = CARRY((\led_flash_cnt[2043][3]~q\ & !\led_flash_cnt[2043][2]~55485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2043][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2043][2]~55485\,
	combout => \led_flash_cnt[2043][3]~55486_combout\,
	cout => \led_flash_cnt[2043][3]~55487\);

-- Location: FF_X22_Y21_N21
\led_flash_cnt[2043][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2043][3]~55486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2043][3]~q\);

-- Location: LCCOMB_X22_Y21_N22
\led_flash_cnt[2043][4]~55488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2043][4]~55488_combout\ = (\led_flash_cnt[2043][4]~q\ & (!\led_flash_cnt[2043][3]~55487\)) # (!\led_flash_cnt[2043][4]~q\ & ((\led_flash_cnt[2043][3]~55487\) # (GND)))
-- \led_flash_cnt[2043][4]~55489\ = CARRY((!\led_flash_cnt[2043][3]~55487\) # (!\led_flash_cnt[2043][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2043][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2043][3]~55487\,
	combout => \led_flash_cnt[2043][4]~55488_combout\,
	cout => \led_flash_cnt[2043][4]~55489\);

-- Location: FF_X22_Y21_N23
\led_flash_cnt[2043][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2043][4]~55488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2043][4]~q\);

-- Location: LCCOMB_X22_Y21_N30
\WideAnd2043~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2043~0_combout\ = (\led_flash_cnt[2043][2]~q\ & (\led_flash_cnt[2043][1]~q\ & (\led_flash_cnt[2043][4]~q\ & \led_flash_cnt[2043][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2043][2]~q\,
	datab => \led_flash_cnt[2043][1]~q\,
	datac => \led_flash_cnt[2043][4]~q\,
	datad => \led_flash_cnt[2043][3]~q\,
	combout => \WideAnd2043~0_combout\);

-- Location: LCCOMB_X22_Y21_N24
\led_flash_cnt[2043][5]~55490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2043][5]~55490_combout\ = (\led_flash_cnt[2043][5]~q\ & (\led_flash_cnt[2043][4]~55489\ $ (GND))) # (!\led_flash_cnt[2043][5]~q\ & (!\led_flash_cnt[2043][4]~55489\ & VCC))
-- \led_flash_cnt[2043][5]~55491\ = CARRY((\led_flash_cnt[2043][5]~q\ & !\led_flash_cnt[2043][4]~55489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2043][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2043][4]~55489\,
	combout => \led_flash_cnt[2043][5]~55490_combout\,
	cout => \led_flash_cnt[2043][5]~55491\);

-- Location: FF_X22_Y21_N25
\led_flash_cnt[2043][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2043][5]~55490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2043][5]~q\);

-- Location: LCCOMB_X22_Y21_N26
\led_flash_cnt[2043][6]~55492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2043][6]~55492_combout\ = (\led_flash_cnt[2043][6]~q\ & (!\led_flash_cnt[2043][5]~55491\)) # (!\led_flash_cnt[2043][6]~q\ & ((\led_flash_cnt[2043][5]~55491\) # (GND)))
-- \led_flash_cnt[2043][6]~55493\ = CARRY((!\led_flash_cnt[2043][5]~55491\) # (!\led_flash_cnt[2043][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2043][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2043][5]~55491\,
	combout => \led_flash_cnt[2043][6]~55492_combout\,
	cout => \led_flash_cnt[2043][6]~55493\);

-- Location: FF_X22_Y21_N27
\led_flash_cnt[2043][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2043][6]~55492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2043][6]~q\);

-- Location: LCCOMB_X22_Y21_N28
\led_flash_cnt[2043][7]~55494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2043][7]~55494_combout\ = \led_flash_cnt[2043][6]~55493\ $ (!\led_flash_cnt[2043][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2043][7]~q\,
	cin => \led_flash_cnt[2043][6]~55493\,
	combout => \led_flash_cnt[2043][7]~55494_combout\);

-- Location: FF_X22_Y21_N29
\led_flash_cnt[2043][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2043][7]~55494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2043][7]~q\);

-- Location: LCCOMB_X21_Y21_N30
\WideAnd2043~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2043~1_combout\ = (\led_flash_cnt[2043][6]~q\ & \led_flash_cnt[2043][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2043][6]~q\,
	datad => \led_flash_cnt[2043][5]~q\,
	combout => \WideAnd2043~1_combout\);

-- Location: LCCOMB_X21_Y21_N24
WideAnd2043 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2043~combout\ = (\WideAnd2043~0_combout\ & (\led_flash_cnt[2043][7]~q\ & (\WideAnd2043~1_combout\ & \led_flash_cnt[2043][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2043~0_combout\,
	datab => \led_flash_cnt[2043][7]~q\,
	datac => \WideAnd2043~1_combout\,
	datad => \led_flash_cnt[2043][0]~q\,
	combout => \WideAnd2043~combout\);

-- Location: FF_X21_Y21_N25
\led_flash_cnt_ands[2043]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2043~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2043));

-- Location: LCCOMB_X25_Y18_N8
\WideAnd4095~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4095~0_combout\ = (led_flash_cnt_ands(2042) & (led_flash_cnt_ands(2041) & (led_flash_cnt_ands(2040) & led_flash_cnt_ands(2043))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2042),
	datab => led_flash_cnt_ands(2041),
	datac => led_flash_cnt_ands(2040),
	datad => led_flash_cnt_ands(2043),
	combout => \WideAnd4095~0_combout\);

-- Location: LCCOMB_X25_Y16_N14
WideAnd4095 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4095~combout\ = (led_flash_cnt_ands(2047) & (\WideAnd4095~1_combout\ & (led_flash_cnt_ands(2046) & \WideAnd4095~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2047),
	datab => \WideAnd4095~1_combout\,
	datac => led_flash_cnt_ands(2046),
	datad => \WideAnd4095~0_combout\,
	combout => \WideAnd4095~combout\);

-- Location: FF_X25_Y16_N15
\led_flash_cnt_ands_1[255]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4095~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(255));

-- Location: LCCOMB_X65_Y26_N12
\led_flash_cnt[2013][0]~82653\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2013][0]~82653_combout\ = !\led_flash_cnt[2013][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2013][0]~q\,
	combout => \led_flash_cnt[2013][0]~82653_combout\);

-- Location: FF_X65_Y26_N13
\led_flash_cnt[2013][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2013][0]~82653_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2013][0]~q\);

-- Location: LCCOMB_X65_Y26_N14
\led_flash_cnt[2013][1]~55062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2013][1]~55062_combout\ = (\led_flash_cnt[2013][0]~q\ & (\led_flash_cnt[2013][1]~q\ $ (VCC))) # (!\led_flash_cnt[2013][0]~q\ & (\led_flash_cnt[2013][1]~q\ & VCC))
-- \led_flash_cnt[2013][1]~55063\ = CARRY((\led_flash_cnt[2013][0]~q\ & \led_flash_cnt[2013][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2013][0]~q\,
	datab => \led_flash_cnt[2013][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2013][1]~55062_combout\,
	cout => \led_flash_cnt[2013][1]~55063\);

-- Location: FF_X65_Y26_N15
\led_flash_cnt[2013][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2013][1]~55062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2013][1]~q\);

-- Location: LCCOMB_X65_Y26_N16
\led_flash_cnt[2013][2]~55064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2013][2]~55064_combout\ = (\led_flash_cnt[2013][2]~q\ & (!\led_flash_cnt[2013][1]~55063\)) # (!\led_flash_cnt[2013][2]~q\ & ((\led_flash_cnt[2013][1]~55063\) # (GND)))
-- \led_flash_cnt[2013][2]~55065\ = CARRY((!\led_flash_cnt[2013][1]~55063\) # (!\led_flash_cnt[2013][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2013][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2013][1]~55063\,
	combout => \led_flash_cnt[2013][2]~55064_combout\,
	cout => \led_flash_cnt[2013][2]~55065\);

-- Location: FF_X65_Y26_N17
\led_flash_cnt[2013][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2013][2]~55064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2013][2]~q\);

-- Location: LCCOMB_X65_Y26_N18
\led_flash_cnt[2013][3]~55066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2013][3]~55066_combout\ = (\led_flash_cnt[2013][3]~q\ & (\led_flash_cnt[2013][2]~55065\ $ (GND))) # (!\led_flash_cnt[2013][3]~q\ & (!\led_flash_cnt[2013][2]~55065\ & VCC))
-- \led_flash_cnt[2013][3]~55067\ = CARRY((\led_flash_cnt[2013][3]~q\ & !\led_flash_cnt[2013][2]~55065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2013][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2013][2]~55065\,
	combout => \led_flash_cnt[2013][3]~55066_combout\,
	cout => \led_flash_cnt[2013][3]~55067\);

-- Location: FF_X65_Y26_N19
\led_flash_cnt[2013][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2013][3]~55066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2013][3]~q\);

-- Location: LCCOMB_X65_Y26_N20
\led_flash_cnt[2013][4]~55068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2013][4]~55068_combout\ = (\led_flash_cnt[2013][4]~q\ & (!\led_flash_cnt[2013][3]~55067\)) # (!\led_flash_cnt[2013][4]~q\ & ((\led_flash_cnt[2013][3]~55067\) # (GND)))
-- \led_flash_cnt[2013][4]~55069\ = CARRY((!\led_flash_cnt[2013][3]~55067\) # (!\led_flash_cnt[2013][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2013][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2013][3]~55067\,
	combout => \led_flash_cnt[2013][4]~55068_combout\,
	cout => \led_flash_cnt[2013][4]~55069\);

-- Location: FF_X65_Y26_N21
\led_flash_cnt[2013][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2013][4]~55068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2013][4]~q\);

-- Location: LCCOMB_X65_Y26_N22
\led_flash_cnt[2013][5]~55070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2013][5]~55070_combout\ = (\led_flash_cnt[2013][5]~q\ & (\led_flash_cnt[2013][4]~55069\ $ (GND))) # (!\led_flash_cnt[2013][5]~q\ & (!\led_flash_cnt[2013][4]~55069\ & VCC))
-- \led_flash_cnt[2013][5]~55071\ = CARRY((\led_flash_cnt[2013][5]~q\ & !\led_flash_cnt[2013][4]~55069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2013][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2013][4]~55069\,
	combout => \led_flash_cnt[2013][5]~55070_combout\,
	cout => \led_flash_cnt[2013][5]~55071\);

-- Location: FF_X65_Y26_N23
\led_flash_cnt[2013][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2013][5]~55070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2013][5]~q\);

-- Location: LCCOMB_X65_Y26_N24
\led_flash_cnt[2013][6]~55072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2013][6]~55072_combout\ = (\led_flash_cnt[2013][6]~q\ & (!\led_flash_cnt[2013][5]~55071\)) # (!\led_flash_cnt[2013][6]~q\ & ((\led_flash_cnt[2013][5]~55071\) # (GND)))
-- \led_flash_cnt[2013][6]~55073\ = CARRY((!\led_flash_cnt[2013][5]~55071\) # (!\led_flash_cnt[2013][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2013][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2013][5]~55071\,
	combout => \led_flash_cnt[2013][6]~55072_combout\,
	cout => \led_flash_cnt[2013][6]~55073\);

-- Location: FF_X65_Y26_N25
\led_flash_cnt[2013][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2013][6]~55072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2013][6]~q\);

-- Location: LCCOMB_X65_Y26_N10
\WideAnd2013~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2013~1_combout\ = (\led_flash_cnt[2013][5]~q\ & \led_flash_cnt[2013][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2013][5]~q\,
	datad => \led_flash_cnt[2013][6]~q\,
	combout => \WideAnd2013~1_combout\);

-- Location: LCCOMB_X65_Y26_N4
\WideAnd2013~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2013~0_combout\ = (\led_flash_cnt[2013][4]~q\ & (\led_flash_cnt[2013][3]~q\ & (\led_flash_cnt[2013][1]~q\ & \led_flash_cnt[2013][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2013][4]~q\,
	datab => \led_flash_cnt[2013][3]~q\,
	datac => \led_flash_cnt[2013][1]~q\,
	datad => \led_flash_cnt[2013][2]~q\,
	combout => \WideAnd2013~0_combout\);

-- Location: LCCOMB_X65_Y26_N26
\led_flash_cnt[2013][7]~55074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2013][7]~55074_combout\ = \led_flash_cnt[2013][7]~q\ $ (!\led_flash_cnt[2013][6]~55073\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2013][7]~q\,
	cin => \led_flash_cnt[2013][6]~55073\,
	combout => \led_flash_cnt[2013][7]~55074_combout\);

-- Location: FF_X65_Y26_N27
\led_flash_cnt[2013][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2013][7]~55074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2013][7]~q\);

-- Location: LCCOMB_X65_Y26_N28
WideAnd2013 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2013~combout\ = (\WideAnd2013~1_combout\ & (\WideAnd2013~0_combout\ & (\led_flash_cnt[2013][7]~q\ & \led_flash_cnt[2013][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2013~1_combout\,
	datab => \WideAnd2013~0_combout\,
	datac => \led_flash_cnt[2013][7]~q\,
	datad => \led_flash_cnt[2013][0]~q\,
	combout => \WideAnd2013~combout\);

-- Location: FF_X65_Y26_N29
\led_flash_cnt_ands[2013]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2013~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2013));

-- Location: LCCOMB_X65_Y26_N8
\led_flash_cnt[2012][0]~82652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2012][0]~82652_combout\ = !\led_flash_cnt[2012][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2012][0]~q\,
	combout => \led_flash_cnt[2012][0]~82652_combout\);

-- Location: FF_X65_Y26_N9
\led_flash_cnt[2012][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2012][0]~82652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2012][0]~q\);

-- Location: LCCOMB_X66_Y26_N16
\led_flash_cnt[2012][1]~55048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2012][1]~55048_combout\ = (\led_flash_cnt[2012][0]~q\ & (\led_flash_cnt[2012][1]~q\ $ (VCC))) # (!\led_flash_cnt[2012][0]~q\ & (\led_flash_cnt[2012][1]~q\ & VCC))
-- \led_flash_cnt[2012][1]~55049\ = CARRY((\led_flash_cnt[2012][0]~q\ & \led_flash_cnt[2012][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2012][0]~q\,
	datab => \led_flash_cnt[2012][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2012][1]~55048_combout\,
	cout => \led_flash_cnt[2012][1]~55049\);

-- Location: FF_X66_Y26_N17
\led_flash_cnt[2012][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2012][1]~55048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2012][1]~q\);

-- Location: LCCOMB_X66_Y26_N18
\led_flash_cnt[2012][2]~55050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2012][2]~55050_combout\ = (\led_flash_cnt[2012][2]~q\ & (!\led_flash_cnt[2012][1]~55049\)) # (!\led_flash_cnt[2012][2]~q\ & ((\led_flash_cnt[2012][1]~55049\) # (GND)))
-- \led_flash_cnt[2012][2]~55051\ = CARRY((!\led_flash_cnt[2012][1]~55049\) # (!\led_flash_cnt[2012][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2012][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2012][1]~55049\,
	combout => \led_flash_cnt[2012][2]~55050_combout\,
	cout => \led_flash_cnt[2012][2]~55051\);

-- Location: FF_X66_Y26_N19
\led_flash_cnt[2012][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2012][2]~55050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2012][2]~q\);

-- Location: LCCOMB_X66_Y26_N20
\led_flash_cnt[2012][3]~55052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2012][3]~55052_combout\ = (\led_flash_cnt[2012][3]~q\ & (\led_flash_cnt[2012][2]~55051\ $ (GND))) # (!\led_flash_cnt[2012][3]~q\ & (!\led_flash_cnt[2012][2]~55051\ & VCC))
-- \led_flash_cnt[2012][3]~55053\ = CARRY((\led_flash_cnt[2012][3]~q\ & !\led_flash_cnt[2012][2]~55051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2012][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2012][2]~55051\,
	combout => \led_flash_cnt[2012][3]~55052_combout\,
	cout => \led_flash_cnt[2012][3]~55053\);

-- Location: FF_X66_Y26_N21
\led_flash_cnt[2012][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2012][3]~55052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2012][3]~q\);

-- Location: LCCOMB_X66_Y26_N22
\led_flash_cnt[2012][4]~55054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2012][4]~55054_combout\ = (\led_flash_cnt[2012][4]~q\ & (!\led_flash_cnt[2012][3]~55053\)) # (!\led_flash_cnt[2012][4]~q\ & ((\led_flash_cnt[2012][3]~55053\) # (GND)))
-- \led_flash_cnt[2012][4]~55055\ = CARRY((!\led_flash_cnt[2012][3]~55053\) # (!\led_flash_cnt[2012][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2012][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2012][3]~55053\,
	combout => \led_flash_cnt[2012][4]~55054_combout\,
	cout => \led_flash_cnt[2012][4]~55055\);

-- Location: FF_X66_Y26_N23
\led_flash_cnt[2012][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2012][4]~55054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2012][4]~q\);

-- Location: LCCOMB_X66_Y26_N24
\led_flash_cnt[2012][5]~55056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2012][5]~55056_combout\ = (\led_flash_cnt[2012][5]~q\ & (\led_flash_cnt[2012][4]~55055\ $ (GND))) # (!\led_flash_cnt[2012][5]~q\ & (!\led_flash_cnt[2012][4]~55055\ & VCC))
-- \led_flash_cnt[2012][5]~55057\ = CARRY((\led_flash_cnt[2012][5]~q\ & !\led_flash_cnt[2012][4]~55055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2012][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2012][4]~55055\,
	combout => \led_flash_cnt[2012][5]~55056_combout\,
	cout => \led_flash_cnt[2012][5]~55057\);

-- Location: FF_X66_Y26_N25
\led_flash_cnt[2012][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2012][5]~55056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2012][5]~q\);

-- Location: LCCOMB_X66_Y26_N26
\led_flash_cnt[2012][6]~55058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2012][6]~55058_combout\ = (\led_flash_cnt[2012][6]~q\ & (!\led_flash_cnt[2012][5]~55057\)) # (!\led_flash_cnt[2012][6]~q\ & ((\led_flash_cnt[2012][5]~55057\) # (GND)))
-- \led_flash_cnt[2012][6]~55059\ = CARRY((!\led_flash_cnt[2012][5]~55057\) # (!\led_flash_cnt[2012][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2012][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2012][5]~55057\,
	combout => \led_flash_cnt[2012][6]~55058_combout\,
	cout => \led_flash_cnt[2012][6]~55059\);

-- Location: FF_X66_Y26_N27
\led_flash_cnt[2012][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2012][6]~55058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2012][6]~q\);

-- Location: LCCOMB_X65_Y26_N30
\WideAnd2012~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2012~1_combout\ = (\led_flash_cnt[2012][6]~q\ & \led_flash_cnt[2012][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2012][6]~q\,
	datad => \led_flash_cnt[2012][5]~q\,
	combout => \WideAnd2012~1_combout\);

-- Location: LCCOMB_X66_Y26_N30
\WideAnd2012~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2012~0_combout\ = (\led_flash_cnt[2012][3]~q\ & (\led_flash_cnt[2012][2]~q\ & (\led_flash_cnt[2012][4]~q\ & \led_flash_cnt[2012][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2012][3]~q\,
	datab => \led_flash_cnt[2012][2]~q\,
	datac => \led_flash_cnt[2012][4]~q\,
	datad => \led_flash_cnt[2012][1]~q\,
	combout => \WideAnd2012~0_combout\);

-- Location: LCCOMB_X66_Y26_N28
\led_flash_cnt[2012][7]~55060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2012][7]~55060_combout\ = \led_flash_cnt[2012][6]~55059\ $ (!\led_flash_cnt[2012][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2012][7]~q\,
	cin => \led_flash_cnt[2012][6]~55059\,
	combout => \led_flash_cnt[2012][7]~55060_combout\);

-- Location: FF_X66_Y26_N29
\led_flash_cnt[2012][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2012][7]~55060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2012][7]~q\);

-- Location: LCCOMB_X65_Y26_N2
WideAnd2012 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2012~combout\ = (\WideAnd2012~1_combout\ & (\led_flash_cnt[2012][0]~q\ & (\WideAnd2012~0_combout\ & \led_flash_cnt[2012][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2012~1_combout\,
	datab => \led_flash_cnt[2012][0]~q\,
	datac => \WideAnd2012~0_combout\,
	datad => \led_flash_cnt[2012][7]~q\,
	combout => \WideAnd2012~combout\);

-- Location: FF_X65_Y26_N3
\led_flash_cnt_ands[2012]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2012~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2012));

-- Location: LCCOMB_X65_Y26_N6
\WideAnd4091~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4091~1_combout\ = (led_flash_cnt_ands(2013) & led_flash_cnt_ands(2012))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(2013),
	datad => led_flash_cnt_ands(2012),
	combout => \WideAnd4091~1_combout\);

-- Location: LCCOMB_X64_Y26_N22
\led_flash_cnt[2014][0]~82654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2014][0]~82654_combout\ = !\led_flash_cnt[2014][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2014][0]~q\,
	combout => \led_flash_cnt[2014][0]~82654_combout\);

-- Location: FF_X64_Y26_N23
\led_flash_cnt[2014][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2014][0]~82654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2014][0]~q\);

-- Location: LCCOMB_X64_Y26_N4
\led_flash_cnt[2014][1]~55076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2014][1]~55076_combout\ = (\led_flash_cnt[2014][0]~q\ & (\led_flash_cnt[2014][1]~q\ $ (VCC))) # (!\led_flash_cnt[2014][0]~q\ & (\led_flash_cnt[2014][1]~q\ & VCC))
-- \led_flash_cnt[2014][1]~55077\ = CARRY((\led_flash_cnt[2014][0]~q\ & \led_flash_cnt[2014][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2014][0]~q\,
	datab => \led_flash_cnt[2014][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2014][1]~55076_combout\,
	cout => \led_flash_cnt[2014][1]~55077\);

-- Location: FF_X64_Y26_N5
\led_flash_cnt[2014][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2014][1]~55076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2014][1]~q\);

-- Location: LCCOMB_X64_Y26_N6
\led_flash_cnt[2014][2]~55078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2014][2]~55078_combout\ = (\led_flash_cnt[2014][2]~q\ & (!\led_flash_cnt[2014][1]~55077\)) # (!\led_flash_cnt[2014][2]~q\ & ((\led_flash_cnt[2014][1]~55077\) # (GND)))
-- \led_flash_cnt[2014][2]~55079\ = CARRY((!\led_flash_cnt[2014][1]~55077\) # (!\led_flash_cnt[2014][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2014][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2014][1]~55077\,
	combout => \led_flash_cnt[2014][2]~55078_combout\,
	cout => \led_flash_cnt[2014][2]~55079\);

-- Location: FF_X64_Y26_N7
\led_flash_cnt[2014][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2014][2]~55078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2014][2]~q\);

-- Location: LCCOMB_X64_Y26_N8
\led_flash_cnt[2014][3]~55080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2014][3]~55080_combout\ = (\led_flash_cnt[2014][3]~q\ & (\led_flash_cnt[2014][2]~55079\ $ (GND))) # (!\led_flash_cnt[2014][3]~q\ & (!\led_flash_cnt[2014][2]~55079\ & VCC))
-- \led_flash_cnt[2014][3]~55081\ = CARRY((\led_flash_cnt[2014][3]~q\ & !\led_flash_cnt[2014][2]~55079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2014][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2014][2]~55079\,
	combout => \led_flash_cnt[2014][3]~55080_combout\,
	cout => \led_flash_cnt[2014][3]~55081\);

-- Location: FF_X64_Y26_N9
\led_flash_cnt[2014][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2014][3]~55080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2014][3]~q\);

-- Location: LCCOMB_X64_Y26_N10
\led_flash_cnt[2014][4]~55082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2014][4]~55082_combout\ = (\led_flash_cnt[2014][4]~q\ & (!\led_flash_cnt[2014][3]~55081\)) # (!\led_flash_cnt[2014][4]~q\ & ((\led_flash_cnt[2014][3]~55081\) # (GND)))
-- \led_flash_cnt[2014][4]~55083\ = CARRY((!\led_flash_cnt[2014][3]~55081\) # (!\led_flash_cnt[2014][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2014][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2014][3]~55081\,
	combout => \led_flash_cnt[2014][4]~55082_combout\,
	cout => \led_flash_cnt[2014][4]~55083\);

-- Location: FF_X64_Y26_N11
\led_flash_cnt[2014][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2014][4]~55082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2014][4]~q\);

-- Location: LCCOMB_X64_Y26_N12
\led_flash_cnt[2014][5]~55084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2014][5]~55084_combout\ = (\led_flash_cnt[2014][5]~q\ & (\led_flash_cnt[2014][4]~55083\ $ (GND))) # (!\led_flash_cnt[2014][5]~q\ & (!\led_flash_cnt[2014][4]~55083\ & VCC))
-- \led_flash_cnt[2014][5]~55085\ = CARRY((\led_flash_cnt[2014][5]~q\ & !\led_flash_cnt[2014][4]~55083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2014][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2014][4]~55083\,
	combout => \led_flash_cnt[2014][5]~55084_combout\,
	cout => \led_flash_cnt[2014][5]~55085\);

-- Location: FF_X64_Y26_N13
\led_flash_cnt[2014][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2014][5]~55084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2014][5]~q\);

-- Location: LCCOMB_X64_Y26_N14
\led_flash_cnt[2014][6]~55086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2014][6]~55086_combout\ = (\led_flash_cnt[2014][6]~q\ & (!\led_flash_cnt[2014][5]~55085\)) # (!\led_flash_cnt[2014][6]~q\ & ((\led_flash_cnt[2014][5]~55085\) # (GND)))
-- \led_flash_cnt[2014][6]~55087\ = CARRY((!\led_flash_cnt[2014][5]~55085\) # (!\led_flash_cnt[2014][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2014][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2014][5]~55085\,
	combout => \led_flash_cnt[2014][6]~55086_combout\,
	cout => \led_flash_cnt[2014][6]~55087\);

-- Location: FF_X64_Y26_N15
\led_flash_cnt[2014][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2014][6]~55086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2014][6]~q\);

-- Location: LCCOMB_X64_Y26_N16
\led_flash_cnt[2014][7]~55088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2014][7]~55088_combout\ = \led_flash_cnt[2014][6]~55087\ $ (!\led_flash_cnt[2014][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2014][7]~q\,
	cin => \led_flash_cnt[2014][6]~55087\,
	combout => \led_flash_cnt[2014][7]~55088_combout\);

-- Location: FF_X64_Y26_N17
\led_flash_cnt[2014][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2014][7]~55088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2014][7]~q\);

-- Location: LCCOMB_X64_Y26_N26
\WideAnd2014~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2014~1_combout\ = (\led_flash_cnt[2014][6]~q\ & \led_flash_cnt[2014][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2014][6]~q\,
	datad => \led_flash_cnt[2014][5]~q\,
	combout => \WideAnd2014~1_combout\);

-- Location: LCCOMB_X64_Y26_N18
\WideAnd2014~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2014~0_combout\ = (\led_flash_cnt[2014][4]~q\ & (\led_flash_cnt[2014][1]~q\ & (\led_flash_cnt[2014][3]~q\ & \led_flash_cnt[2014][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2014][4]~q\,
	datab => \led_flash_cnt[2014][1]~q\,
	datac => \led_flash_cnt[2014][3]~q\,
	datad => \led_flash_cnt[2014][2]~q\,
	combout => \WideAnd2014~0_combout\);

-- Location: LCCOMB_X64_Y26_N28
WideAnd2014 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2014~combout\ = (\led_flash_cnt[2014][0]~q\ & (\led_flash_cnt[2014][7]~q\ & (\WideAnd2014~1_combout\ & \WideAnd2014~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2014][0]~q\,
	datab => \led_flash_cnt[2014][7]~q\,
	datac => \WideAnd2014~1_combout\,
	datad => \WideAnd2014~0_combout\,
	combout => \WideAnd2014~combout\);

-- Location: FF_X64_Y26_N29
\led_flash_cnt_ands[2014]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2014~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2014));

-- Location: LCCOMB_X50_Y31_N6
\led_flash_cnt[2010][0]~82650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2010][0]~82650_combout\ = !\led_flash_cnt[2010][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2010][0]~q\,
	combout => \led_flash_cnt[2010][0]~82650_combout\);

-- Location: FF_X50_Y31_N7
\led_flash_cnt[2010][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2010][0]~82650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2010][0]~q\);

-- Location: LCCOMB_X51_Y31_N4
\led_flash_cnt[2010][1]~55020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2010][1]~55020_combout\ = (\led_flash_cnt[2010][0]~q\ & (\led_flash_cnt[2010][1]~q\ $ (VCC))) # (!\led_flash_cnt[2010][0]~q\ & (\led_flash_cnt[2010][1]~q\ & VCC))
-- \led_flash_cnt[2010][1]~55021\ = CARRY((\led_flash_cnt[2010][0]~q\ & \led_flash_cnt[2010][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2010][0]~q\,
	datab => \led_flash_cnt[2010][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2010][1]~55020_combout\,
	cout => \led_flash_cnt[2010][1]~55021\);

-- Location: FF_X51_Y31_N5
\led_flash_cnt[2010][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2010][1]~55020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2010][1]~q\);

-- Location: LCCOMB_X51_Y31_N6
\led_flash_cnt[2010][2]~55022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2010][2]~55022_combout\ = (\led_flash_cnt[2010][2]~q\ & (!\led_flash_cnt[2010][1]~55021\)) # (!\led_flash_cnt[2010][2]~q\ & ((\led_flash_cnt[2010][1]~55021\) # (GND)))
-- \led_flash_cnt[2010][2]~55023\ = CARRY((!\led_flash_cnt[2010][1]~55021\) # (!\led_flash_cnt[2010][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2010][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2010][1]~55021\,
	combout => \led_flash_cnt[2010][2]~55022_combout\,
	cout => \led_flash_cnt[2010][2]~55023\);

-- Location: FF_X51_Y31_N7
\led_flash_cnt[2010][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2010][2]~55022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2010][2]~q\);

-- Location: LCCOMB_X51_Y31_N8
\led_flash_cnt[2010][3]~55024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2010][3]~55024_combout\ = (\led_flash_cnt[2010][3]~q\ & (\led_flash_cnt[2010][2]~55023\ $ (GND))) # (!\led_flash_cnt[2010][3]~q\ & (!\led_flash_cnt[2010][2]~55023\ & VCC))
-- \led_flash_cnt[2010][3]~55025\ = CARRY((\led_flash_cnt[2010][3]~q\ & !\led_flash_cnt[2010][2]~55023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2010][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2010][2]~55023\,
	combout => \led_flash_cnt[2010][3]~55024_combout\,
	cout => \led_flash_cnt[2010][3]~55025\);

-- Location: FF_X51_Y31_N9
\led_flash_cnt[2010][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2010][3]~55024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2010][3]~q\);

-- Location: LCCOMB_X51_Y31_N10
\led_flash_cnt[2010][4]~55026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2010][4]~55026_combout\ = (\led_flash_cnt[2010][4]~q\ & (!\led_flash_cnt[2010][3]~55025\)) # (!\led_flash_cnt[2010][4]~q\ & ((\led_flash_cnt[2010][3]~55025\) # (GND)))
-- \led_flash_cnt[2010][4]~55027\ = CARRY((!\led_flash_cnt[2010][3]~55025\) # (!\led_flash_cnt[2010][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2010][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2010][3]~55025\,
	combout => \led_flash_cnt[2010][4]~55026_combout\,
	cout => \led_flash_cnt[2010][4]~55027\);

-- Location: FF_X51_Y31_N11
\led_flash_cnt[2010][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2010][4]~55026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2010][4]~q\);

-- Location: LCCOMB_X51_Y31_N12
\led_flash_cnt[2010][5]~55028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2010][5]~55028_combout\ = (\led_flash_cnt[2010][5]~q\ & (\led_flash_cnt[2010][4]~55027\ $ (GND))) # (!\led_flash_cnt[2010][5]~q\ & (!\led_flash_cnt[2010][4]~55027\ & VCC))
-- \led_flash_cnt[2010][5]~55029\ = CARRY((\led_flash_cnt[2010][5]~q\ & !\led_flash_cnt[2010][4]~55027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2010][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2010][4]~55027\,
	combout => \led_flash_cnt[2010][5]~55028_combout\,
	cout => \led_flash_cnt[2010][5]~55029\);

-- Location: FF_X51_Y31_N13
\led_flash_cnt[2010][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2010][5]~55028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2010][5]~q\);

-- Location: LCCOMB_X51_Y31_N14
\led_flash_cnt[2010][6]~55030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2010][6]~55030_combout\ = (\led_flash_cnt[2010][6]~q\ & (!\led_flash_cnt[2010][5]~55029\)) # (!\led_flash_cnt[2010][6]~q\ & ((\led_flash_cnt[2010][5]~55029\) # (GND)))
-- \led_flash_cnt[2010][6]~55031\ = CARRY((!\led_flash_cnt[2010][5]~55029\) # (!\led_flash_cnt[2010][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2010][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2010][5]~55029\,
	combout => \led_flash_cnt[2010][6]~55030_combout\,
	cout => \led_flash_cnt[2010][6]~55031\);

-- Location: FF_X51_Y31_N15
\led_flash_cnt[2010][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2010][6]~55030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2010][6]~q\);

-- Location: LCCOMB_X51_Y31_N16
\led_flash_cnt[2010][7]~55032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2010][7]~55032_combout\ = \led_flash_cnt[2010][6]~55031\ $ (!\led_flash_cnt[2010][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2010][7]~q\,
	cin => \led_flash_cnt[2010][6]~55031\,
	combout => \led_flash_cnt[2010][7]~55032_combout\);

-- Location: FF_X51_Y31_N17
\led_flash_cnt[2010][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2010][7]~55032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2010][7]~q\);

-- Location: LCCOMB_X50_Y31_N8
\WideAnd2010~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2010~0_combout\ = (\led_flash_cnt[2010][2]~q\ & (\led_flash_cnt[2010][4]~q\ & (\led_flash_cnt[2010][3]~q\ & \led_flash_cnt[2010][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2010][2]~q\,
	datab => \led_flash_cnt[2010][4]~q\,
	datac => \led_flash_cnt[2010][3]~q\,
	datad => \led_flash_cnt[2010][1]~q\,
	combout => \WideAnd2010~0_combout\);

-- Location: LCCOMB_X51_Y31_N2
\WideAnd2010~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2010~1_combout\ = (\led_flash_cnt[2010][6]~q\ & \led_flash_cnt[2010][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2010][6]~q\,
	datad => \led_flash_cnt[2010][5]~q\,
	combout => \WideAnd2010~1_combout\);

-- Location: LCCOMB_X50_Y31_N4
WideAnd2010 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2010~combout\ = (\led_flash_cnt[2010][0]~q\ & (\led_flash_cnt[2010][7]~q\ & (\WideAnd2010~0_combout\ & \WideAnd2010~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2010][0]~q\,
	datab => \led_flash_cnt[2010][7]~q\,
	datac => \WideAnd2010~0_combout\,
	datad => \WideAnd2010~1_combout\,
	combout => \WideAnd2010~combout\);

-- Location: FF_X51_Y31_N3
\led_flash_cnt_ands[2010]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd2010~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2010));

-- Location: LCCOMB_X62_Y26_N6
\led_flash_cnt[2009][0]~82649\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2009][0]~82649_combout\ = !\led_flash_cnt[2009][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2009][0]~q\,
	combout => \led_flash_cnt[2009][0]~82649_combout\);

-- Location: FF_X62_Y26_N7
\led_flash_cnt[2009][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2009][0]~82649_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2009][0]~q\);

-- Location: LCCOMB_X63_Y26_N0
\led_flash_cnt[2009][1]~55006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2009][1]~55006_combout\ = (\led_flash_cnt[2009][0]~q\ & (\led_flash_cnt[2009][1]~q\ $ (VCC))) # (!\led_flash_cnt[2009][0]~q\ & (\led_flash_cnt[2009][1]~q\ & VCC))
-- \led_flash_cnt[2009][1]~55007\ = CARRY((\led_flash_cnt[2009][0]~q\ & \led_flash_cnt[2009][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2009][0]~q\,
	datab => \led_flash_cnt[2009][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2009][1]~55006_combout\,
	cout => \led_flash_cnt[2009][1]~55007\);

-- Location: FF_X63_Y26_N1
\led_flash_cnt[2009][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2009][1]~55006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2009][1]~q\);

-- Location: LCCOMB_X63_Y26_N2
\led_flash_cnt[2009][2]~55008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2009][2]~55008_combout\ = (\led_flash_cnt[2009][2]~q\ & (!\led_flash_cnt[2009][1]~55007\)) # (!\led_flash_cnt[2009][2]~q\ & ((\led_flash_cnt[2009][1]~55007\) # (GND)))
-- \led_flash_cnt[2009][2]~55009\ = CARRY((!\led_flash_cnt[2009][1]~55007\) # (!\led_flash_cnt[2009][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2009][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2009][1]~55007\,
	combout => \led_flash_cnt[2009][2]~55008_combout\,
	cout => \led_flash_cnt[2009][2]~55009\);

-- Location: FF_X63_Y26_N3
\led_flash_cnt[2009][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2009][2]~55008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2009][2]~q\);

-- Location: LCCOMB_X63_Y26_N4
\led_flash_cnt[2009][3]~55010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2009][3]~55010_combout\ = (\led_flash_cnt[2009][3]~q\ & (\led_flash_cnt[2009][2]~55009\ $ (GND))) # (!\led_flash_cnt[2009][3]~q\ & (!\led_flash_cnt[2009][2]~55009\ & VCC))
-- \led_flash_cnt[2009][3]~55011\ = CARRY((\led_flash_cnt[2009][3]~q\ & !\led_flash_cnt[2009][2]~55009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2009][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2009][2]~55009\,
	combout => \led_flash_cnt[2009][3]~55010_combout\,
	cout => \led_flash_cnt[2009][3]~55011\);

-- Location: FF_X63_Y26_N5
\led_flash_cnt[2009][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2009][3]~55010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2009][3]~q\);

-- Location: LCCOMB_X63_Y26_N6
\led_flash_cnt[2009][4]~55012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2009][4]~55012_combout\ = (\led_flash_cnt[2009][4]~q\ & (!\led_flash_cnt[2009][3]~55011\)) # (!\led_flash_cnt[2009][4]~q\ & ((\led_flash_cnt[2009][3]~55011\) # (GND)))
-- \led_flash_cnt[2009][4]~55013\ = CARRY((!\led_flash_cnt[2009][3]~55011\) # (!\led_flash_cnt[2009][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2009][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2009][3]~55011\,
	combout => \led_flash_cnt[2009][4]~55012_combout\,
	cout => \led_flash_cnt[2009][4]~55013\);

-- Location: FF_X63_Y26_N7
\led_flash_cnt[2009][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2009][4]~55012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2009][4]~q\);

-- Location: LCCOMB_X63_Y26_N8
\led_flash_cnt[2009][5]~55014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2009][5]~55014_combout\ = (\led_flash_cnt[2009][5]~q\ & (\led_flash_cnt[2009][4]~55013\ $ (GND))) # (!\led_flash_cnt[2009][5]~q\ & (!\led_flash_cnt[2009][4]~55013\ & VCC))
-- \led_flash_cnt[2009][5]~55015\ = CARRY((\led_flash_cnt[2009][5]~q\ & !\led_flash_cnt[2009][4]~55013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2009][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2009][4]~55013\,
	combout => \led_flash_cnt[2009][5]~55014_combout\,
	cout => \led_flash_cnt[2009][5]~55015\);

-- Location: FF_X63_Y26_N9
\led_flash_cnt[2009][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2009][5]~55014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2009][5]~q\);

-- Location: LCCOMB_X63_Y26_N10
\led_flash_cnt[2009][6]~55016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2009][6]~55016_combout\ = (\led_flash_cnt[2009][6]~q\ & (!\led_flash_cnt[2009][5]~55015\)) # (!\led_flash_cnt[2009][6]~q\ & ((\led_flash_cnt[2009][5]~55015\) # (GND)))
-- \led_flash_cnt[2009][6]~55017\ = CARRY((!\led_flash_cnt[2009][5]~55015\) # (!\led_flash_cnt[2009][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2009][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2009][5]~55015\,
	combout => \led_flash_cnt[2009][6]~55016_combout\,
	cout => \led_flash_cnt[2009][6]~55017\);

-- Location: FF_X63_Y26_N11
\led_flash_cnt[2009][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2009][6]~55016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2009][6]~q\);

-- Location: LCCOMB_X62_Y26_N26
\WideAnd2009~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2009~1_combout\ = (\led_flash_cnt[2009][6]~q\ & \led_flash_cnt[2009][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2009][6]~q\,
	datac => \led_flash_cnt[2009][5]~q\,
	combout => \WideAnd2009~1_combout\);

-- Location: LCCOMB_X63_Y26_N14
\WideAnd2009~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2009~0_combout\ = (\led_flash_cnt[2009][4]~q\ & (\led_flash_cnt[2009][1]~q\ & (\led_flash_cnt[2009][3]~q\ & \led_flash_cnt[2009][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2009][4]~q\,
	datab => \led_flash_cnt[2009][1]~q\,
	datac => \led_flash_cnt[2009][3]~q\,
	datad => \led_flash_cnt[2009][2]~q\,
	combout => \WideAnd2009~0_combout\);

-- Location: LCCOMB_X63_Y26_N12
\led_flash_cnt[2009][7]~55018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2009][7]~55018_combout\ = \led_flash_cnt[2009][6]~55017\ $ (!\led_flash_cnt[2009][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2009][7]~q\,
	cin => \led_flash_cnt[2009][6]~55017\,
	combout => \led_flash_cnt[2009][7]~55018_combout\);

-- Location: FF_X63_Y26_N13
\led_flash_cnt[2009][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2009][7]~55018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2009][7]~q\);

-- Location: LCCOMB_X62_Y26_N28
WideAnd2009 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2009~combout\ = (\WideAnd2009~1_combout\ & (\WideAnd2009~0_combout\ & (\led_flash_cnt[2009][7]~q\ & \led_flash_cnt[2009][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2009~1_combout\,
	datab => \WideAnd2009~0_combout\,
	datac => \led_flash_cnt[2009][7]~q\,
	datad => \led_flash_cnt[2009][0]~q\,
	combout => \WideAnd2009~combout\);

-- Location: FF_X62_Y26_N29
\led_flash_cnt_ands[2009]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2009~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2009));

-- Location: LCCOMB_X62_Y27_N6
\led_flash_cnt[2011][0]~82651\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2011][0]~82651_combout\ = !\led_flash_cnt[2011][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2011][0]~q\,
	combout => \led_flash_cnt[2011][0]~82651_combout\);

-- Location: FF_X62_Y27_N7
\led_flash_cnt[2011][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2011][0]~82651_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2011][0]~q\);

-- Location: LCCOMB_X62_Y27_N8
\led_flash_cnt[2011][1]~55034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2011][1]~55034_combout\ = (\led_flash_cnt[2011][0]~q\ & (\led_flash_cnt[2011][1]~q\ $ (VCC))) # (!\led_flash_cnt[2011][0]~q\ & (\led_flash_cnt[2011][1]~q\ & VCC))
-- \led_flash_cnt[2011][1]~55035\ = CARRY((\led_flash_cnt[2011][0]~q\ & \led_flash_cnt[2011][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2011][0]~q\,
	datab => \led_flash_cnt[2011][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2011][1]~55034_combout\,
	cout => \led_flash_cnt[2011][1]~55035\);

-- Location: FF_X62_Y27_N9
\led_flash_cnt[2011][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2011][1]~55034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2011][1]~q\);

-- Location: LCCOMB_X62_Y27_N10
\led_flash_cnt[2011][2]~55036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2011][2]~55036_combout\ = (\led_flash_cnt[2011][2]~q\ & (!\led_flash_cnt[2011][1]~55035\)) # (!\led_flash_cnt[2011][2]~q\ & ((\led_flash_cnt[2011][1]~55035\) # (GND)))
-- \led_flash_cnt[2011][2]~55037\ = CARRY((!\led_flash_cnt[2011][1]~55035\) # (!\led_flash_cnt[2011][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2011][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2011][1]~55035\,
	combout => \led_flash_cnt[2011][2]~55036_combout\,
	cout => \led_flash_cnt[2011][2]~55037\);

-- Location: FF_X62_Y27_N11
\led_flash_cnt[2011][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2011][2]~55036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2011][2]~q\);

-- Location: LCCOMB_X62_Y27_N12
\led_flash_cnt[2011][3]~55038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2011][3]~55038_combout\ = (\led_flash_cnt[2011][3]~q\ & (\led_flash_cnt[2011][2]~55037\ $ (GND))) # (!\led_flash_cnt[2011][3]~q\ & (!\led_flash_cnt[2011][2]~55037\ & VCC))
-- \led_flash_cnt[2011][3]~55039\ = CARRY((\led_flash_cnt[2011][3]~q\ & !\led_flash_cnt[2011][2]~55037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2011][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2011][2]~55037\,
	combout => \led_flash_cnt[2011][3]~55038_combout\,
	cout => \led_flash_cnt[2011][3]~55039\);

-- Location: FF_X62_Y27_N13
\led_flash_cnt[2011][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2011][3]~55038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2011][3]~q\);

-- Location: LCCOMB_X62_Y27_N14
\led_flash_cnt[2011][4]~55040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2011][4]~55040_combout\ = (\led_flash_cnt[2011][4]~q\ & (!\led_flash_cnt[2011][3]~55039\)) # (!\led_flash_cnt[2011][4]~q\ & ((\led_flash_cnt[2011][3]~55039\) # (GND)))
-- \led_flash_cnt[2011][4]~55041\ = CARRY((!\led_flash_cnt[2011][3]~55039\) # (!\led_flash_cnt[2011][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2011][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2011][3]~55039\,
	combout => \led_flash_cnt[2011][4]~55040_combout\,
	cout => \led_flash_cnt[2011][4]~55041\);

-- Location: FF_X62_Y27_N15
\led_flash_cnt[2011][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2011][4]~55040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2011][4]~q\);

-- Location: LCCOMB_X62_Y27_N16
\led_flash_cnt[2011][5]~55042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2011][5]~55042_combout\ = (\led_flash_cnt[2011][5]~q\ & (\led_flash_cnt[2011][4]~55041\ $ (GND))) # (!\led_flash_cnt[2011][5]~q\ & (!\led_flash_cnt[2011][4]~55041\ & VCC))
-- \led_flash_cnt[2011][5]~55043\ = CARRY((\led_flash_cnt[2011][5]~q\ & !\led_flash_cnt[2011][4]~55041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2011][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2011][4]~55041\,
	combout => \led_flash_cnt[2011][5]~55042_combout\,
	cout => \led_flash_cnt[2011][5]~55043\);

-- Location: FF_X62_Y27_N17
\led_flash_cnt[2011][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2011][5]~55042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2011][5]~q\);

-- Location: LCCOMB_X62_Y27_N18
\led_flash_cnt[2011][6]~55044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2011][6]~55044_combout\ = (\led_flash_cnt[2011][6]~q\ & (!\led_flash_cnt[2011][5]~55043\)) # (!\led_flash_cnt[2011][6]~q\ & ((\led_flash_cnt[2011][5]~55043\) # (GND)))
-- \led_flash_cnt[2011][6]~55045\ = CARRY((!\led_flash_cnt[2011][5]~55043\) # (!\led_flash_cnt[2011][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2011][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2011][5]~55043\,
	combout => \led_flash_cnt[2011][6]~55044_combout\,
	cout => \led_flash_cnt[2011][6]~55045\);

-- Location: FF_X62_Y27_N19
\led_flash_cnt[2011][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2011][6]~55044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2011][6]~q\);

-- Location: LCCOMB_X62_Y27_N20
\led_flash_cnt[2011][7]~55046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2011][7]~55046_combout\ = \led_flash_cnt[2011][6]~55045\ $ (!\led_flash_cnt[2011][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2011][7]~q\,
	cin => \led_flash_cnt[2011][6]~55045\,
	combout => \led_flash_cnt[2011][7]~55046_combout\);

-- Location: FF_X62_Y27_N21
\led_flash_cnt[2011][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2011][7]~55046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2011][7]~q\);

-- Location: LCCOMB_X62_Y27_N22
\WideAnd2011~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2011~1_combout\ = (\led_flash_cnt[2011][6]~q\ & \led_flash_cnt[2011][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2011][6]~q\,
	datad => \led_flash_cnt[2011][5]~q\,
	combout => \WideAnd2011~1_combout\);

-- Location: LCCOMB_X62_Y27_N0
\WideAnd2011~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2011~0_combout\ = (\led_flash_cnt[2011][3]~q\ & (\led_flash_cnt[2011][4]~q\ & (\led_flash_cnt[2011][1]~q\ & \led_flash_cnt[2011][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2011][3]~q\,
	datab => \led_flash_cnt[2011][4]~q\,
	datac => \led_flash_cnt[2011][1]~q\,
	datad => \led_flash_cnt[2011][2]~q\,
	combout => \WideAnd2011~0_combout\);

-- Location: LCCOMB_X62_Y27_N30
WideAnd2011 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2011~combout\ = (\led_flash_cnt[2011][0]~q\ & (\led_flash_cnt[2011][7]~q\ & (\WideAnd2011~1_combout\ & \WideAnd2011~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2011][0]~q\,
	datab => \led_flash_cnt[2011][7]~q\,
	datac => \WideAnd2011~1_combout\,
	datad => \WideAnd2011~0_combout\,
	combout => \WideAnd2011~combout\);

-- Location: FF_X62_Y27_N31
\led_flash_cnt_ands[2011]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2011~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2011));

-- Location: LCCOMB_X62_Y26_N22
\led_flash_cnt[2008][0]~82648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2008][0]~82648_combout\ = !\led_flash_cnt[2008][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2008][0]~q\,
	combout => \led_flash_cnt[2008][0]~82648_combout\);

-- Location: FF_X62_Y26_N23
\led_flash_cnt[2008][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2008][0]~82648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2008][0]~q\);

-- Location: LCCOMB_X62_Y26_N8
\led_flash_cnt[2008][1]~54992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2008][1]~54992_combout\ = (\led_flash_cnt[2008][0]~q\ & (\led_flash_cnt[2008][1]~q\ $ (VCC))) # (!\led_flash_cnt[2008][0]~q\ & (\led_flash_cnt[2008][1]~q\ & VCC))
-- \led_flash_cnt[2008][1]~54993\ = CARRY((\led_flash_cnt[2008][0]~q\ & \led_flash_cnt[2008][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2008][0]~q\,
	datab => \led_flash_cnt[2008][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2008][1]~54992_combout\,
	cout => \led_flash_cnt[2008][1]~54993\);

-- Location: FF_X62_Y26_N9
\led_flash_cnt[2008][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2008][1]~54992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2008][1]~q\);

-- Location: LCCOMB_X62_Y26_N10
\led_flash_cnt[2008][2]~54994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2008][2]~54994_combout\ = (\led_flash_cnt[2008][2]~q\ & (!\led_flash_cnt[2008][1]~54993\)) # (!\led_flash_cnt[2008][2]~q\ & ((\led_flash_cnt[2008][1]~54993\) # (GND)))
-- \led_flash_cnt[2008][2]~54995\ = CARRY((!\led_flash_cnt[2008][1]~54993\) # (!\led_flash_cnt[2008][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2008][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2008][1]~54993\,
	combout => \led_flash_cnt[2008][2]~54994_combout\,
	cout => \led_flash_cnt[2008][2]~54995\);

-- Location: FF_X62_Y26_N11
\led_flash_cnt[2008][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2008][2]~54994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2008][2]~q\);

-- Location: LCCOMB_X62_Y26_N12
\led_flash_cnt[2008][3]~54996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2008][3]~54996_combout\ = (\led_flash_cnt[2008][3]~q\ & (\led_flash_cnt[2008][2]~54995\ $ (GND))) # (!\led_flash_cnt[2008][3]~q\ & (!\led_flash_cnt[2008][2]~54995\ & VCC))
-- \led_flash_cnt[2008][3]~54997\ = CARRY((\led_flash_cnt[2008][3]~q\ & !\led_flash_cnt[2008][2]~54995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2008][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2008][2]~54995\,
	combout => \led_flash_cnt[2008][3]~54996_combout\,
	cout => \led_flash_cnt[2008][3]~54997\);

-- Location: FF_X62_Y26_N13
\led_flash_cnt[2008][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2008][3]~54996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2008][3]~q\);

-- Location: LCCOMB_X62_Y26_N14
\led_flash_cnt[2008][4]~54998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2008][4]~54998_combout\ = (\led_flash_cnt[2008][4]~q\ & (!\led_flash_cnt[2008][3]~54997\)) # (!\led_flash_cnt[2008][4]~q\ & ((\led_flash_cnt[2008][3]~54997\) # (GND)))
-- \led_flash_cnt[2008][4]~54999\ = CARRY((!\led_flash_cnt[2008][3]~54997\) # (!\led_flash_cnt[2008][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2008][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2008][3]~54997\,
	combout => \led_flash_cnt[2008][4]~54998_combout\,
	cout => \led_flash_cnt[2008][4]~54999\);

-- Location: FF_X62_Y26_N15
\led_flash_cnt[2008][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2008][4]~54998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2008][4]~q\);

-- Location: LCCOMB_X62_Y26_N16
\led_flash_cnt[2008][5]~55000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2008][5]~55000_combout\ = (\led_flash_cnt[2008][5]~q\ & (\led_flash_cnt[2008][4]~54999\ $ (GND))) # (!\led_flash_cnt[2008][5]~q\ & (!\led_flash_cnt[2008][4]~54999\ & VCC))
-- \led_flash_cnt[2008][5]~55001\ = CARRY((\led_flash_cnt[2008][5]~q\ & !\led_flash_cnt[2008][4]~54999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2008][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2008][4]~54999\,
	combout => \led_flash_cnt[2008][5]~55000_combout\,
	cout => \led_flash_cnt[2008][5]~55001\);

-- Location: FF_X62_Y26_N17
\led_flash_cnt[2008][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2008][5]~55000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2008][5]~q\);

-- Location: LCCOMB_X62_Y26_N18
\led_flash_cnt[2008][6]~55002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2008][6]~55002_combout\ = (\led_flash_cnt[2008][6]~q\ & (!\led_flash_cnt[2008][5]~55001\)) # (!\led_flash_cnt[2008][6]~q\ & ((\led_flash_cnt[2008][5]~55001\) # (GND)))
-- \led_flash_cnt[2008][6]~55003\ = CARRY((!\led_flash_cnt[2008][5]~55001\) # (!\led_flash_cnt[2008][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2008][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2008][5]~55001\,
	combout => \led_flash_cnt[2008][6]~55002_combout\,
	cout => \led_flash_cnt[2008][6]~55003\);

-- Location: FF_X62_Y26_N19
\led_flash_cnt[2008][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2008][6]~55002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2008][6]~q\);

-- Location: LCCOMB_X62_Y26_N20
\led_flash_cnt[2008][7]~55004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2008][7]~55004_combout\ = \led_flash_cnt[2008][6]~55003\ $ (!\led_flash_cnt[2008][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2008][7]~q\,
	cin => \led_flash_cnt[2008][6]~55003\,
	combout => \led_flash_cnt[2008][7]~55004_combout\);

-- Location: FF_X62_Y26_N21
\led_flash_cnt[2008][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2008][7]~55004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2008][7]~q\);

-- Location: LCCOMB_X62_Y26_N30
\WideAnd2008~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2008~1_combout\ = (\led_flash_cnt[2008][6]~q\ & \led_flash_cnt[2008][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2008][6]~q\,
	datad => \led_flash_cnt[2008][5]~q\,
	combout => \WideAnd2008~1_combout\);

-- Location: LCCOMB_X62_Y26_N24
\WideAnd2008~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2008~0_combout\ = (\led_flash_cnt[2008][3]~q\ & (\led_flash_cnt[2008][4]~q\ & (\led_flash_cnt[2008][1]~q\ & \led_flash_cnt[2008][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2008][3]~q\,
	datab => \led_flash_cnt[2008][4]~q\,
	datac => \led_flash_cnt[2008][1]~q\,
	datad => \led_flash_cnt[2008][2]~q\,
	combout => \WideAnd2008~0_combout\);

-- Location: LCCOMB_X62_Y26_N2
WideAnd2008 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2008~combout\ = (\led_flash_cnt[2008][0]~q\ & (\led_flash_cnt[2008][7]~q\ & (\WideAnd2008~1_combout\ & \WideAnd2008~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2008][0]~q\,
	datab => \led_flash_cnt[2008][7]~q\,
	datac => \WideAnd2008~1_combout\,
	datad => \WideAnd2008~0_combout\,
	combout => \WideAnd2008~combout\);

-- Location: FF_X62_Y26_N3
\led_flash_cnt_ands[2008]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2008~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2008));

-- Location: LCCOMB_X62_Y26_N4
\WideAnd4091~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4091~0_combout\ = (led_flash_cnt_ands(2010) & (led_flash_cnt_ands(2009) & (led_flash_cnt_ands(2011) & led_flash_cnt_ands(2008))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2010),
	datab => led_flash_cnt_ands(2009),
	datac => led_flash_cnt_ands(2011),
	datad => led_flash_cnt_ands(2008),
	combout => \WideAnd4091~0_combout\);

-- Location: LCCOMB_X64_Y26_N2
\led_flash_cnt[2015][0]~82655\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2015][0]~82655_combout\ = !\led_flash_cnt[2015][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2015][0]~q\,
	combout => \led_flash_cnt[2015][0]~82655_combout\);

-- Location: FF_X64_Y26_N3
\led_flash_cnt[2015][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2015][0]~82655_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2015][0]~q\);

-- Location: LCCOMB_X63_Y26_N18
\led_flash_cnt[2015][1]~55090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2015][1]~55090_combout\ = (\led_flash_cnt[2015][0]~q\ & (\led_flash_cnt[2015][1]~q\ $ (VCC))) # (!\led_flash_cnt[2015][0]~q\ & (\led_flash_cnt[2015][1]~q\ & VCC))
-- \led_flash_cnt[2015][1]~55091\ = CARRY((\led_flash_cnt[2015][0]~q\ & \led_flash_cnt[2015][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2015][0]~q\,
	datab => \led_flash_cnt[2015][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2015][1]~55090_combout\,
	cout => \led_flash_cnt[2015][1]~55091\);

-- Location: FF_X63_Y26_N19
\led_flash_cnt[2015][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2015][1]~55090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2015][1]~q\);

-- Location: LCCOMB_X63_Y26_N20
\led_flash_cnt[2015][2]~55092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2015][2]~55092_combout\ = (\led_flash_cnt[2015][2]~q\ & (!\led_flash_cnt[2015][1]~55091\)) # (!\led_flash_cnt[2015][2]~q\ & ((\led_flash_cnt[2015][1]~55091\) # (GND)))
-- \led_flash_cnt[2015][2]~55093\ = CARRY((!\led_flash_cnt[2015][1]~55091\) # (!\led_flash_cnt[2015][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2015][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2015][1]~55091\,
	combout => \led_flash_cnt[2015][2]~55092_combout\,
	cout => \led_flash_cnt[2015][2]~55093\);

-- Location: FF_X63_Y26_N21
\led_flash_cnt[2015][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2015][2]~55092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2015][2]~q\);

-- Location: LCCOMB_X63_Y26_N22
\led_flash_cnt[2015][3]~55094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2015][3]~55094_combout\ = (\led_flash_cnt[2015][3]~q\ & (\led_flash_cnt[2015][2]~55093\ $ (GND))) # (!\led_flash_cnt[2015][3]~q\ & (!\led_flash_cnt[2015][2]~55093\ & VCC))
-- \led_flash_cnt[2015][3]~55095\ = CARRY((\led_flash_cnt[2015][3]~q\ & !\led_flash_cnt[2015][2]~55093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2015][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2015][2]~55093\,
	combout => \led_flash_cnt[2015][3]~55094_combout\,
	cout => \led_flash_cnt[2015][3]~55095\);

-- Location: FF_X63_Y26_N23
\led_flash_cnt[2015][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2015][3]~55094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2015][3]~q\);

-- Location: LCCOMB_X63_Y26_N24
\led_flash_cnt[2015][4]~55096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2015][4]~55096_combout\ = (\led_flash_cnt[2015][4]~q\ & (!\led_flash_cnt[2015][3]~55095\)) # (!\led_flash_cnt[2015][4]~q\ & ((\led_flash_cnt[2015][3]~55095\) # (GND)))
-- \led_flash_cnt[2015][4]~55097\ = CARRY((!\led_flash_cnt[2015][3]~55095\) # (!\led_flash_cnt[2015][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2015][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2015][3]~55095\,
	combout => \led_flash_cnt[2015][4]~55096_combout\,
	cout => \led_flash_cnt[2015][4]~55097\);

-- Location: FF_X63_Y26_N25
\led_flash_cnt[2015][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2015][4]~55096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2015][4]~q\);

-- Location: LCCOMB_X63_Y26_N26
\led_flash_cnt[2015][5]~55098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2015][5]~55098_combout\ = (\led_flash_cnt[2015][5]~q\ & (\led_flash_cnt[2015][4]~55097\ $ (GND))) # (!\led_flash_cnt[2015][5]~q\ & (!\led_flash_cnt[2015][4]~55097\ & VCC))
-- \led_flash_cnt[2015][5]~55099\ = CARRY((\led_flash_cnt[2015][5]~q\ & !\led_flash_cnt[2015][4]~55097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2015][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2015][4]~55097\,
	combout => \led_flash_cnt[2015][5]~55098_combout\,
	cout => \led_flash_cnt[2015][5]~55099\);

-- Location: FF_X63_Y26_N27
\led_flash_cnt[2015][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2015][5]~55098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2015][5]~q\);

-- Location: LCCOMB_X63_Y26_N28
\led_flash_cnt[2015][6]~55100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2015][6]~55100_combout\ = (\led_flash_cnt[2015][6]~q\ & (!\led_flash_cnt[2015][5]~55099\)) # (!\led_flash_cnt[2015][6]~q\ & ((\led_flash_cnt[2015][5]~55099\) # (GND)))
-- \led_flash_cnt[2015][6]~55101\ = CARRY((!\led_flash_cnt[2015][5]~55099\) # (!\led_flash_cnt[2015][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2015][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2015][5]~55099\,
	combout => \led_flash_cnt[2015][6]~55100_combout\,
	cout => \led_flash_cnt[2015][6]~55101\);

-- Location: FF_X63_Y26_N29
\led_flash_cnt[2015][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2015][6]~55100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2015][6]~q\);

-- Location: LCCOMB_X64_Y26_N30
\WideAnd2015~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2015~1_combout\ = (\led_flash_cnt[2015][5]~q\ & \led_flash_cnt[2015][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2015][5]~q\,
	datad => \led_flash_cnt[2015][6]~q\,
	combout => \WideAnd2015~1_combout\);

-- Location: LCCOMB_X63_Y26_N30
\led_flash_cnt[2015][7]~55102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2015][7]~55102_combout\ = \led_flash_cnt[2015][7]~q\ $ (!\led_flash_cnt[2015][6]~55101\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2015][7]~q\,
	cin => \led_flash_cnt[2015][6]~55101\,
	combout => \led_flash_cnt[2015][7]~55102_combout\);

-- Location: FF_X63_Y26_N31
\led_flash_cnt[2015][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2015][7]~55102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2015][7]~q\);

-- Location: LCCOMB_X63_Y26_N16
\WideAnd2015~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2015~0_combout\ = (\led_flash_cnt[2015][4]~q\ & (\led_flash_cnt[2015][2]~q\ & (\led_flash_cnt[2015][3]~q\ & \led_flash_cnt[2015][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2015][4]~q\,
	datab => \led_flash_cnt[2015][2]~q\,
	datac => \led_flash_cnt[2015][3]~q\,
	datad => \led_flash_cnt[2015][1]~q\,
	combout => \WideAnd2015~0_combout\);

-- Location: LCCOMB_X64_Y26_N24
WideAnd2015 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2015~combout\ = (\WideAnd2015~1_combout\ & (\led_flash_cnt[2015][7]~q\ & (\WideAnd2015~0_combout\ & \led_flash_cnt[2015][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2015~1_combout\,
	datab => \led_flash_cnt[2015][7]~q\,
	datac => \WideAnd2015~0_combout\,
	datad => \led_flash_cnt[2015][0]~q\,
	combout => \WideAnd2015~combout\);

-- Location: FF_X64_Y26_N25
\led_flash_cnt_ands[2015]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2015~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2015));

-- Location: LCCOMB_X64_Y26_N0
WideAnd4091 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4091~combout\ = (\WideAnd4091~1_combout\ & (led_flash_cnt_ands(2014) & (\WideAnd4091~0_combout\ & led_flash_cnt_ands(2015))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4091~1_combout\,
	datab => led_flash_cnt_ands(2014),
	datac => \WideAnd4091~0_combout\,
	datad => led_flash_cnt_ands(2015),
	combout => \WideAnd4091~combout\);

-- Location: FF_X64_Y26_N1
\led_flash_cnt_ands_1[251]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4091~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(251));

-- Location: LCCOMB_X34_Y15_N30
\led_flash_cnt[1992][0]~82632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1992][0]~82632_combout\ = !\led_flash_cnt[1992][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1992][0]~q\,
	combout => \led_flash_cnt[1992][0]~82632_combout\);

-- Location: FF_X34_Y15_N31
\led_flash_cnt[1992][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1992][0]~82632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1992][0]~q\);

-- Location: LCCOMB_X34_Y15_N8
\led_flash_cnt[1992][1]~54768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1992][1]~54768_combout\ = (\led_flash_cnt[1992][0]~q\ & (\led_flash_cnt[1992][1]~q\ $ (VCC))) # (!\led_flash_cnt[1992][0]~q\ & (\led_flash_cnt[1992][1]~q\ & VCC))
-- \led_flash_cnt[1992][1]~54769\ = CARRY((\led_flash_cnt[1992][0]~q\ & \led_flash_cnt[1992][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1992][0]~q\,
	datab => \led_flash_cnt[1992][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1992][1]~54768_combout\,
	cout => \led_flash_cnt[1992][1]~54769\);

-- Location: FF_X34_Y15_N9
\led_flash_cnt[1992][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1992][1]~54768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1992][1]~q\);

-- Location: LCCOMB_X34_Y15_N10
\led_flash_cnt[1992][2]~54770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1992][2]~54770_combout\ = (\led_flash_cnt[1992][2]~q\ & (!\led_flash_cnt[1992][1]~54769\)) # (!\led_flash_cnt[1992][2]~q\ & ((\led_flash_cnt[1992][1]~54769\) # (GND)))
-- \led_flash_cnt[1992][2]~54771\ = CARRY((!\led_flash_cnt[1992][1]~54769\) # (!\led_flash_cnt[1992][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1992][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1992][1]~54769\,
	combout => \led_flash_cnt[1992][2]~54770_combout\,
	cout => \led_flash_cnt[1992][2]~54771\);

-- Location: FF_X34_Y15_N11
\led_flash_cnt[1992][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1992][2]~54770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1992][2]~q\);

-- Location: LCCOMB_X34_Y15_N12
\led_flash_cnt[1992][3]~54772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1992][3]~54772_combout\ = (\led_flash_cnt[1992][3]~q\ & (\led_flash_cnt[1992][2]~54771\ $ (GND))) # (!\led_flash_cnt[1992][3]~q\ & (!\led_flash_cnt[1992][2]~54771\ & VCC))
-- \led_flash_cnt[1992][3]~54773\ = CARRY((\led_flash_cnt[1992][3]~q\ & !\led_flash_cnt[1992][2]~54771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1992][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1992][2]~54771\,
	combout => \led_flash_cnt[1992][3]~54772_combout\,
	cout => \led_flash_cnt[1992][3]~54773\);

-- Location: FF_X34_Y15_N13
\led_flash_cnt[1992][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1992][3]~54772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1992][3]~q\);

-- Location: LCCOMB_X34_Y15_N14
\led_flash_cnt[1992][4]~54774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1992][4]~54774_combout\ = (\led_flash_cnt[1992][4]~q\ & (!\led_flash_cnt[1992][3]~54773\)) # (!\led_flash_cnt[1992][4]~q\ & ((\led_flash_cnt[1992][3]~54773\) # (GND)))
-- \led_flash_cnt[1992][4]~54775\ = CARRY((!\led_flash_cnt[1992][3]~54773\) # (!\led_flash_cnt[1992][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1992][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1992][3]~54773\,
	combout => \led_flash_cnt[1992][4]~54774_combout\,
	cout => \led_flash_cnt[1992][4]~54775\);

-- Location: FF_X34_Y15_N15
\led_flash_cnt[1992][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1992][4]~54774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1992][4]~q\);

-- Location: LCCOMB_X34_Y15_N16
\led_flash_cnt[1992][5]~54776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1992][5]~54776_combout\ = (\led_flash_cnt[1992][5]~q\ & (\led_flash_cnt[1992][4]~54775\ $ (GND))) # (!\led_flash_cnt[1992][5]~q\ & (!\led_flash_cnt[1992][4]~54775\ & VCC))
-- \led_flash_cnt[1992][5]~54777\ = CARRY((\led_flash_cnt[1992][5]~q\ & !\led_flash_cnt[1992][4]~54775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1992][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1992][4]~54775\,
	combout => \led_flash_cnt[1992][5]~54776_combout\,
	cout => \led_flash_cnt[1992][5]~54777\);

-- Location: FF_X34_Y15_N17
\led_flash_cnt[1992][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1992][5]~54776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1992][5]~q\);

-- Location: LCCOMB_X34_Y15_N18
\led_flash_cnt[1992][6]~54778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1992][6]~54778_combout\ = (\led_flash_cnt[1992][6]~q\ & (!\led_flash_cnt[1992][5]~54777\)) # (!\led_flash_cnt[1992][6]~q\ & ((\led_flash_cnt[1992][5]~54777\) # (GND)))
-- \led_flash_cnt[1992][6]~54779\ = CARRY((!\led_flash_cnt[1992][5]~54777\) # (!\led_flash_cnt[1992][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1992][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1992][5]~54777\,
	combout => \led_flash_cnt[1992][6]~54778_combout\,
	cout => \led_flash_cnt[1992][6]~54779\);

-- Location: FF_X34_Y15_N19
\led_flash_cnt[1992][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1992][6]~54778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1992][6]~q\);

-- Location: LCCOMB_X34_Y15_N26
\WideAnd1992~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1992~1_combout\ = (\led_flash_cnt[1992][5]~q\ & \led_flash_cnt[1992][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1992][5]~q\,
	datad => \led_flash_cnt[1992][6]~q\,
	combout => \WideAnd1992~1_combout\);

-- Location: LCCOMB_X34_Y15_N20
\led_flash_cnt[1992][7]~54780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1992][7]~54780_combout\ = \led_flash_cnt[1992][6]~54779\ $ (!\led_flash_cnt[1992][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1992][7]~q\,
	cin => \led_flash_cnt[1992][6]~54779\,
	combout => \led_flash_cnt[1992][7]~54780_combout\);

-- Location: FF_X34_Y15_N21
\led_flash_cnt[1992][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1992][7]~54780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1992][7]~q\);

-- Location: LCCOMB_X34_Y15_N24
\WideAnd1992~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1992~0_combout\ = (\led_flash_cnt[1992][3]~q\ & (\led_flash_cnt[1992][1]~q\ & (\led_flash_cnt[1992][4]~q\ & \led_flash_cnt[1992][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1992][3]~q\,
	datab => \led_flash_cnt[1992][1]~q\,
	datac => \led_flash_cnt[1992][4]~q\,
	datad => \led_flash_cnt[1992][2]~q\,
	combout => \WideAnd1992~0_combout\);

-- Location: LCCOMB_X34_Y15_N0
WideAnd1992 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1992~combout\ = (\WideAnd1992~1_combout\ & (\led_flash_cnt[1992][7]~q\ & (\led_flash_cnt[1992][0]~q\ & \WideAnd1992~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1992~1_combout\,
	datab => \led_flash_cnt[1992][7]~q\,
	datac => \led_flash_cnt[1992][0]~q\,
	datad => \WideAnd1992~0_combout\,
	combout => \WideAnd1992~combout\);

-- Location: FF_X34_Y15_N1
\led_flash_cnt_ands[1992]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1992~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1992));

-- Location: LCCOMB_X39_Y10_N16
\led_flash_cnt[1995][0]~82635\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1995][0]~82635_combout\ = !\led_flash_cnt[1995][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1995][0]~q\,
	combout => \led_flash_cnt[1995][0]~82635_combout\);

-- Location: FF_X39_Y10_N17
\led_flash_cnt[1995][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1995][0]~82635_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1995][0]~q\);

-- Location: LCCOMB_X39_Y10_N0
\led_flash_cnt[1995][1]~54810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1995][1]~54810_combout\ = (\led_flash_cnt[1995][0]~q\ & (\led_flash_cnt[1995][1]~q\ $ (VCC))) # (!\led_flash_cnt[1995][0]~q\ & (\led_flash_cnt[1995][1]~q\ & VCC))
-- \led_flash_cnt[1995][1]~54811\ = CARRY((\led_flash_cnt[1995][0]~q\ & \led_flash_cnt[1995][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1995][0]~q\,
	datab => \led_flash_cnt[1995][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1995][1]~54810_combout\,
	cout => \led_flash_cnt[1995][1]~54811\);

-- Location: FF_X39_Y10_N1
\led_flash_cnt[1995][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1995][1]~54810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1995][1]~q\);

-- Location: LCCOMB_X39_Y10_N2
\led_flash_cnt[1995][2]~54812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1995][2]~54812_combout\ = (\led_flash_cnt[1995][2]~q\ & (!\led_flash_cnt[1995][1]~54811\)) # (!\led_flash_cnt[1995][2]~q\ & ((\led_flash_cnt[1995][1]~54811\) # (GND)))
-- \led_flash_cnt[1995][2]~54813\ = CARRY((!\led_flash_cnt[1995][1]~54811\) # (!\led_flash_cnt[1995][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1995][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1995][1]~54811\,
	combout => \led_flash_cnt[1995][2]~54812_combout\,
	cout => \led_flash_cnt[1995][2]~54813\);

-- Location: FF_X39_Y10_N3
\led_flash_cnt[1995][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1995][2]~54812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1995][2]~q\);

-- Location: LCCOMB_X39_Y10_N4
\led_flash_cnt[1995][3]~54814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1995][3]~54814_combout\ = (\led_flash_cnt[1995][3]~q\ & (\led_flash_cnt[1995][2]~54813\ $ (GND))) # (!\led_flash_cnt[1995][3]~q\ & (!\led_flash_cnt[1995][2]~54813\ & VCC))
-- \led_flash_cnt[1995][3]~54815\ = CARRY((\led_flash_cnt[1995][3]~q\ & !\led_flash_cnt[1995][2]~54813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1995][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1995][2]~54813\,
	combout => \led_flash_cnt[1995][3]~54814_combout\,
	cout => \led_flash_cnt[1995][3]~54815\);

-- Location: FF_X39_Y10_N5
\led_flash_cnt[1995][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1995][3]~54814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1995][3]~q\);

-- Location: LCCOMB_X39_Y10_N6
\led_flash_cnt[1995][4]~54816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1995][4]~54816_combout\ = (\led_flash_cnt[1995][4]~q\ & (!\led_flash_cnt[1995][3]~54815\)) # (!\led_flash_cnt[1995][4]~q\ & ((\led_flash_cnt[1995][3]~54815\) # (GND)))
-- \led_flash_cnt[1995][4]~54817\ = CARRY((!\led_flash_cnt[1995][3]~54815\) # (!\led_flash_cnt[1995][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1995][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1995][3]~54815\,
	combout => \led_flash_cnt[1995][4]~54816_combout\,
	cout => \led_flash_cnt[1995][4]~54817\);

-- Location: FF_X39_Y10_N7
\led_flash_cnt[1995][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1995][4]~54816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1995][4]~q\);

-- Location: LCCOMB_X39_Y10_N8
\led_flash_cnt[1995][5]~54818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1995][5]~54818_combout\ = (\led_flash_cnt[1995][5]~q\ & (\led_flash_cnt[1995][4]~54817\ $ (GND))) # (!\led_flash_cnt[1995][5]~q\ & (!\led_flash_cnt[1995][4]~54817\ & VCC))
-- \led_flash_cnt[1995][5]~54819\ = CARRY((\led_flash_cnt[1995][5]~q\ & !\led_flash_cnt[1995][4]~54817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1995][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1995][4]~54817\,
	combout => \led_flash_cnt[1995][5]~54818_combout\,
	cout => \led_flash_cnt[1995][5]~54819\);

-- Location: FF_X39_Y10_N9
\led_flash_cnt[1995][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1995][5]~54818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1995][5]~q\);

-- Location: LCCOMB_X39_Y10_N10
\led_flash_cnt[1995][6]~54820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1995][6]~54820_combout\ = (\led_flash_cnt[1995][6]~q\ & (!\led_flash_cnt[1995][5]~54819\)) # (!\led_flash_cnt[1995][6]~q\ & ((\led_flash_cnt[1995][5]~54819\) # (GND)))
-- \led_flash_cnt[1995][6]~54821\ = CARRY((!\led_flash_cnt[1995][5]~54819\) # (!\led_flash_cnt[1995][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1995][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1995][5]~54819\,
	combout => \led_flash_cnt[1995][6]~54820_combout\,
	cout => \led_flash_cnt[1995][6]~54821\);

-- Location: FF_X39_Y10_N11
\led_flash_cnt[1995][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1995][6]~54820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1995][6]~q\);

-- Location: LCCOMB_X39_Y10_N26
\WideAnd1995~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1995~1_combout\ = (\led_flash_cnt[1995][5]~q\ & \led_flash_cnt[1995][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1995][5]~q\,
	datad => \led_flash_cnt[1995][6]~q\,
	combout => \WideAnd1995~1_combout\);

-- Location: LCCOMB_X39_Y10_N14
\WideAnd1995~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1995~0_combout\ = (\led_flash_cnt[1995][4]~q\ & (\led_flash_cnt[1995][1]~q\ & (\led_flash_cnt[1995][3]~q\ & \led_flash_cnt[1995][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1995][4]~q\,
	datab => \led_flash_cnt[1995][1]~q\,
	datac => \led_flash_cnt[1995][3]~q\,
	datad => \led_flash_cnt[1995][2]~q\,
	combout => \WideAnd1995~0_combout\);

-- Location: LCCOMB_X39_Y10_N12
\led_flash_cnt[1995][7]~54822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1995][7]~54822_combout\ = \led_flash_cnt[1995][6]~54821\ $ (!\led_flash_cnt[1995][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1995][7]~q\,
	cin => \led_flash_cnt[1995][6]~54821\,
	combout => \led_flash_cnt[1995][7]~54822_combout\);

-- Location: FF_X39_Y10_N13
\led_flash_cnt[1995][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1995][7]~54822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1995][7]~q\);

-- Location: LCCOMB_X39_Y10_N24
WideAnd1995 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1995~combout\ = (\WideAnd1995~1_combout\ & (\led_flash_cnt[1995][0]~q\ & (\WideAnd1995~0_combout\ & \led_flash_cnt[1995][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1995~1_combout\,
	datab => \led_flash_cnt[1995][0]~q\,
	datac => \WideAnd1995~0_combout\,
	datad => \led_flash_cnt[1995][7]~q\,
	combout => \WideAnd1995~combout\);

-- Location: FF_X39_Y10_N25
\led_flash_cnt_ands[1995]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1995~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1995));

-- Location: LCCOMB_X57_Y6_N6
\led_flash_cnt[1993][0]~82633\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1993][0]~82633_combout\ = !\led_flash_cnt[1993][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1993][0]~q\,
	combout => \led_flash_cnt[1993][0]~82633_combout\);

-- Location: FF_X57_Y6_N7
\led_flash_cnt[1993][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1993][0]~82633_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1993][0]~q\);

-- Location: LCCOMB_X58_Y6_N14
\led_flash_cnt[1993][1]~54782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1993][1]~54782_combout\ = (\led_flash_cnt[1993][0]~q\ & (\led_flash_cnt[1993][1]~q\ $ (VCC))) # (!\led_flash_cnt[1993][0]~q\ & (\led_flash_cnt[1993][1]~q\ & VCC))
-- \led_flash_cnt[1993][1]~54783\ = CARRY((\led_flash_cnt[1993][0]~q\ & \led_flash_cnt[1993][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1993][0]~q\,
	datab => \led_flash_cnt[1993][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1993][1]~54782_combout\,
	cout => \led_flash_cnt[1993][1]~54783\);

-- Location: FF_X58_Y6_N15
\led_flash_cnt[1993][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1993][1]~54782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1993][1]~q\);

-- Location: LCCOMB_X58_Y6_N16
\led_flash_cnt[1993][2]~54784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1993][2]~54784_combout\ = (\led_flash_cnt[1993][2]~q\ & (!\led_flash_cnt[1993][1]~54783\)) # (!\led_flash_cnt[1993][2]~q\ & ((\led_flash_cnt[1993][1]~54783\) # (GND)))
-- \led_flash_cnt[1993][2]~54785\ = CARRY((!\led_flash_cnt[1993][1]~54783\) # (!\led_flash_cnt[1993][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1993][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1993][1]~54783\,
	combout => \led_flash_cnt[1993][2]~54784_combout\,
	cout => \led_flash_cnt[1993][2]~54785\);

-- Location: FF_X58_Y6_N17
\led_flash_cnt[1993][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1993][2]~54784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1993][2]~q\);

-- Location: LCCOMB_X58_Y6_N18
\led_flash_cnt[1993][3]~54786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1993][3]~54786_combout\ = (\led_flash_cnt[1993][3]~q\ & (\led_flash_cnt[1993][2]~54785\ $ (GND))) # (!\led_flash_cnt[1993][3]~q\ & (!\led_flash_cnt[1993][2]~54785\ & VCC))
-- \led_flash_cnt[1993][3]~54787\ = CARRY((\led_flash_cnt[1993][3]~q\ & !\led_flash_cnt[1993][2]~54785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1993][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1993][2]~54785\,
	combout => \led_flash_cnt[1993][3]~54786_combout\,
	cout => \led_flash_cnt[1993][3]~54787\);

-- Location: FF_X58_Y6_N19
\led_flash_cnt[1993][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1993][3]~54786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1993][3]~q\);

-- Location: LCCOMB_X58_Y6_N20
\led_flash_cnt[1993][4]~54788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1993][4]~54788_combout\ = (\led_flash_cnt[1993][4]~q\ & (!\led_flash_cnt[1993][3]~54787\)) # (!\led_flash_cnt[1993][4]~q\ & ((\led_flash_cnt[1993][3]~54787\) # (GND)))
-- \led_flash_cnt[1993][4]~54789\ = CARRY((!\led_flash_cnt[1993][3]~54787\) # (!\led_flash_cnt[1993][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1993][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1993][3]~54787\,
	combout => \led_flash_cnt[1993][4]~54788_combout\,
	cout => \led_flash_cnt[1993][4]~54789\);

-- Location: FF_X58_Y6_N21
\led_flash_cnt[1993][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1993][4]~54788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1993][4]~q\);

-- Location: LCCOMB_X58_Y6_N22
\led_flash_cnt[1993][5]~54790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1993][5]~54790_combout\ = (\led_flash_cnt[1993][5]~q\ & (\led_flash_cnt[1993][4]~54789\ $ (GND))) # (!\led_flash_cnt[1993][5]~q\ & (!\led_flash_cnt[1993][4]~54789\ & VCC))
-- \led_flash_cnt[1993][5]~54791\ = CARRY((\led_flash_cnt[1993][5]~q\ & !\led_flash_cnt[1993][4]~54789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1993][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1993][4]~54789\,
	combout => \led_flash_cnt[1993][5]~54790_combout\,
	cout => \led_flash_cnt[1993][5]~54791\);

-- Location: FF_X58_Y6_N23
\led_flash_cnt[1993][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1993][5]~54790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1993][5]~q\);

-- Location: LCCOMB_X58_Y6_N24
\led_flash_cnt[1993][6]~54792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1993][6]~54792_combout\ = (\led_flash_cnt[1993][6]~q\ & (!\led_flash_cnt[1993][5]~54791\)) # (!\led_flash_cnt[1993][6]~q\ & ((\led_flash_cnt[1993][5]~54791\) # (GND)))
-- \led_flash_cnt[1993][6]~54793\ = CARRY((!\led_flash_cnt[1993][5]~54791\) # (!\led_flash_cnt[1993][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1993][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1993][5]~54791\,
	combout => \led_flash_cnt[1993][6]~54792_combout\,
	cout => \led_flash_cnt[1993][6]~54793\);

-- Location: FF_X58_Y6_N25
\led_flash_cnt[1993][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1993][6]~54792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1993][6]~q\);

-- Location: LCCOMB_X58_Y6_N26
\led_flash_cnt[1993][7]~54794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1993][7]~54794_combout\ = \led_flash_cnt[1993][7]~q\ $ (!\led_flash_cnt[1993][6]~54793\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1993][7]~q\,
	cin => \led_flash_cnt[1993][6]~54793\,
	combout => \led_flash_cnt[1993][7]~54794_combout\);

-- Location: FF_X58_Y6_N27
\led_flash_cnt[1993][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1993][7]~54794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1993][7]~q\);

-- Location: LCCOMB_X57_Y6_N8
\WideAnd1993~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1993~1_combout\ = (\led_flash_cnt[1993][6]~q\ & \led_flash_cnt[1993][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1993][6]~q\,
	datad => \led_flash_cnt[1993][5]~q\,
	combout => \WideAnd1993~1_combout\);

-- Location: LCCOMB_X58_Y6_N28
\WideAnd1993~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1993~0_combout\ = (\led_flash_cnt[1993][4]~q\ & (\led_flash_cnt[1993][3]~q\ & (\led_flash_cnt[1993][1]~q\ & \led_flash_cnt[1993][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1993][4]~q\,
	datab => \led_flash_cnt[1993][3]~q\,
	datac => \led_flash_cnt[1993][1]~q\,
	datad => \led_flash_cnt[1993][2]~q\,
	combout => \WideAnd1993~0_combout\);

-- Location: LCCOMB_X57_Y6_N4
WideAnd1993 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1993~combout\ = (\led_flash_cnt[1993][0]~q\ & (\led_flash_cnt[1993][7]~q\ & (\WideAnd1993~1_combout\ & \WideAnd1993~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1993][0]~q\,
	datab => \led_flash_cnt[1993][7]~q\,
	datac => \WideAnd1993~1_combout\,
	datad => \WideAnd1993~0_combout\,
	combout => \WideAnd1993~combout\);

-- Location: FF_X57_Y6_N5
\led_flash_cnt_ands[1993]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1993~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1993));

-- Location: LCCOMB_X39_Y10_N28
\led_flash_cnt[1994][0]~82634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1994][0]~82634_combout\ = !\led_flash_cnt[1994][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1994][0]~q\,
	combout => \led_flash_cnt[1994][0]~82634_combout\);

-- Location: FF_X39_Y10_N29
\led_flash_cnt[1994][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1994][0]~82634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1994][0]~q\);

-- Location: LCCOMB_X38_Y10_N0
\led_flash_cnt[1994][1]~54796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1994][1]~54796_combout\ = (\led_flash_cnt[1994][1]~q\ & (\led_flash_cnt[1994][0]~q\ $ (VCC))) # (!\led_flash_cnt[1994][1]~q\ & (\led_flash_cnt[1994][0]~q\ & VCC))
-- \led_flash_cnt[1994][1]~54797\ = CARRY((\led_flash_cnt[1994][1]~q\ & \led_flash_cnt[1994][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1994][1]~q\,
	datab => \led_flash_cnt[1994][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1994][1]~54796_combout\,
	cout => \led_flash_cnt[1994][1]~54797\);

-- Location: FF_X38_Y10_N1
\led_flash_cnt[1994][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1994][1]~54796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1994][1]~q\);

-- Location: LCCOMB_X38_Y10_N2
\led_flash_cnt[1994][2]~54798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1994][2]~54798_combout\ = (\led_flash_cnt[1994][2]~q\ & (!\led_flash_cnt[1994][1]~54797\)) # (!\led_flash_cnt[1994][2]~q\ & ((\led_flash_cnt[1994][1]~54797\) # (GND)))
-- \led_flash_cnt[1994][2]~54799\ = CARRY((!\led_flash_cnt[1994][1]~54797\) # (!\led_flash_cnt[1994][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1994][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1994][1]~54797\,
	combout => \led_flash_cnt[1994][2]~54798_combout\,
	cout => \led_flash_cnt[1994][2]~54799\);

-- Location: FF_X38_Y10_N3
\led_flash_cnt[1994][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1994][2]~54798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1994][2]~q\);

-- Location: LCCOMB_X38_Y10_N4
\led_flash_cnt[1994][3]~54800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1994][3]~54800_combout\ = (\led_flash_cnt[1994][3]~q\ & (\led_flash_cnt[1994][2]~54799\ $ (GND))) # (!\led_flash_cnt[1994][3]~q\ & (!\led_flash_cnt[1994][2]~54799\ & VCC))
-- \led_flash_cnt[1994][3]~54801\ = CARRY((\led_flash_cnt[1994][3]~q\ & !\led_flash_cnt[1994][2]~54799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1994][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1994][2]~54799\,
	combout => \led_flash_cnt[1994][3]~54800_combout\,
	cout => \led_flash_cnt[1994][3]~54801\);

-- Location: FF_X38_Y10_N5
\led_flash_cnt[1994][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1994][3]~54800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1994][3]~q\);

-- Location: LCCOMB_X38_Y10_N6
\led_flash_cnt[1994][4]~54802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1994][4]~54802_combout\ = (\led_flash_cnt[1994][4]~q\ & (!\led_flash_cnt[1994][3]~54801\)) # (!\led_flash_cnt[1994][4]~q\ & ((\led_flash_cnt[1994][3]~54801\) # (GND)))
-- \led_flash_cnt[1994][4]~54803\ = CARRY((!\led_flash_cnt[1994][3]~54801\) # (!\led_flash_cnt[1994][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1994][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1994][3]~54801\,
	combout => \led_flash_cnt[1994][4]~54802_combout\,
	cout => \led_flash_cnt[1994][4]~54803\);

-- Location: FF_X38_Y10_N7
\led_flash_cnt[1994][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1994][4]~54802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1994][4]~q\);

-- Location: LCCOMB_X38_Y10_N8
\led_flash_cnt[1994][5]~54804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1994][5]~54804_combout\ = (\led_flash_cnt[1994][5]~q\ & (\led_flash_cnt[1994][4]~54803\ $ (GND))) # (!\led_flash_cnt[1994][5]~q\ & (!\led_flash_cnt[1994][4]~54803\ & VCC))
-- \led_flash_cnt[1994][5]~54805\ = CARRY((\led_flash_cnt[1994][5]~q\ & !\led_flash_cnt[1994][4]~54803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1994][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1994][4]~54803\,
	combout => \led_flash_cnt[1994][5]~54804_combout\,
	cout => \led_flash_cnt[1994][5]~54805\);

-- Location: FF_X38_Y10_N9
\led_flash_cnt[1994][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1994][5]~54804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1994][5]~q\);

-- Location: LCCOMB_X38_Y10_N10
\led_flash_cnt[1994][6]~54806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1994][6]~54806_combout\ = (\led_flash_cnt[1994][6]~q\ & (!\led_flash_cnt[1994][5]~54805\)) # (!\led_flash_cnt[1994][6]~q\ & ((\led_flash_cnt[1994][5]~54805\) # (GND)))
-- \led_flash_cnt[1994][6]~54807\ = CARRY((!\led_flash_cnt[1994][5]~54805\) # (!\led_flash_cnt[1994][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1994][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1994][5]~54805\,
	combout => \led_flash_cnt[1994][6]~54806_combout\,
	cout => \led_flash_cnt[1994][6]~54807\);

-- Location: FF_X38_Y10_N11
\led_flash_cnt[1994][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1994][6]~54806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1994][6]~q\);

-- Location: LCCOMB_X38_Y10_N12
\led_flash_cnt[1994][7]~54808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1994][7]~54808_combout\ = \led_flash_cnt[1994][6]~54807\ $ (!\led_flash_cnt[1994][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1994][7]~q\,
	cin => \led_flash_cnt[1994][6]~54807\,
	combout => \led_flash_cnt[1994][7]~54808_combout\);

-- Location: FF_X38_Y10_N13
\led_flash_cnt[1994][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1994][7]~54808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1994][7]~q\);

-- Location: LCCOMB_X39_Y10_N20
\WideAnd1994~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1994~0_combout\ = (\led_flash_cnt[1994][1]~q\ & (\led_flash_cnt[1994][4]~q\ & (\led_flash_cnt[1994][3]~q\ & \led_flash_cnt[1994][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1994][1]~q\,
	datab => \led_flash_cnt[1994][4]~q\,
	datac => \led_flash_cnt[1994][3]~q\,
	datad => \led_flash_cnt[1994][2]~q\,
	combout => \WideAnd1994~0_combout\);

-- Location: LCCOMB_X39_Y10_N22
\WideAnd1994~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1994~1_combout\ = (\led_flash_cnt[1994][6]~q\ & \led_flash_cnt[1994][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1994][6]~q\,
	datad => \led_flash_cnt[1994][5]~q\,
	combout => \WideAnd1994~1_combout\);

-- Location: LCCOMB_X39_Y10_N18
WideAnd1994 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1994~combout\ = (\led_flash_cnt[1994][7]~q\ & (\WideAnd1994~0_combout\ & (\WideAnd1994~1_combout\ & \led_flash_cnt[1994][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1994][7]~q\,
	datab => \WideAnd1994~0_combout\,
	datac => \WideAnd1994~1_combout\,
	datad => \led_flash_cnt[1994][0]~q\,
	combout => \WideAnd1994~combout\);

-- Location: FF_X39_Y10_N19
\led_flash_cnt_ands[1994]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1994~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1994));

-- Location: LCCOMB_X39_Y10_N30
\WideAnd4089~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4089~0_combout\ = (led_flash_cnt_ands(1992) & (led_flash_cnt_ands(1995) & (led_flash_cnt_ands(1993) & led_flash_cnt_ands(1994))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1992),
	datab => led_flash_cnt_ands(1995),
	datac => led_flash_cnt_ands(1993),
	datad => led_flash_cnt_ands(1994),
	combout => \WideAnd4089~0_combout\);

-- Location: LCCOMB_X40_Y9_N6
\led_flash_cnt[1997][0]~82637\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1997][0]~82637_combout\ = !\led_flash_cnt[1997][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1997][0]~q\,
	combout => \led_flash_cnt[1997][0]~82637_combout\);

-- Location: FF_X40_Y9_N7
\led_flash_cnt[1997][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1997][0]~82637_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1997][0]~q\);

-- Location: LCCOMB_X40_Y9_N16
\led_flash_cnt[1997][1]~54838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1997][1]~54838_combout\ = (\led_flash_cnt[1997][0]~q\ & (\led_flash_cnt[1997][1]~q\ $ (VCC))) # (!\led_flash_cnt[1997][0]~q\ & (\led_flash_cnt[1997][1]~q\ & VCC))
-- \led_flash_cnt[1997][1]~54839\ = CARRY((\led_flash_cnt[1997][0]~q\ & \led_flash_cnt[1997][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1997][0]~q\,
	datab => \led_flash_cnt[1997][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1997][1]~54838_combout\,
	cout => \led_flash_cnt[1997][1]~54839\);

-- Location: FF_X40_Y9_N17
\led_flash_cnt[1997][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1997][1]~54838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1997][1]~q\);

-- Location: LCCOMB_X40_Y9_N18
\led_flash_cnt[1997][2]~54840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1997][2]~54840_combout\ = (\led_flash_cnt[1997][2]~q\ & (!\led_flash_cnt[1997][1]~54839\)) # (!\led_flash_cnt[1997][2]~q\ & ((\led_flash_cnt[1997][1]~54839\) # (GND)))
-- \led_flash_cnt[1997][2]~54841\ = CARRY((!\led_flash_cnt[1997][1]~54839\) # (!\led_flash_cnt[1997][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1997][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1997][1]~54839\,
	combout => \led_flash_cnt[1997][2]~54840_combout\,
	cout => \led_flash_cnt[1997][2]~54841\);

-- Location: FF_X40_Y9_N19
\led_flash_cnt[1997][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1997][2]~54840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1997][2]~q\);

-- Location: LCCOMB_X40_Y9_N20
\led_flash_cnt[1997][3]~54842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1997][3]~54842_combout\ = (\led_flash_cnt[1997][3]~q\ & (\led_flash_cnt[1997][2]~54841\ $ (GND))) # (!\led_flash_cnt[1997][3]~q\ & (!\led_flash_cnt[1997][2]~54841\ & VCC))
-- \led_flash_cnt[1997][3]~54843\ = CARRY((\led_flash_cnt[1997][3]~q\ & !\led_flash_cnt[1997][2]~54841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1997][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1997][2]~54841\,
	combout => \led_flash_cnt[1997][3]~54842_combout\,
	cout => \led_flash_cnt[1997][3]~54843\);

-- Location: FF_X40_Y9_N21
\led_flash_cnt[1997][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1997][3]~54842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1997][3]~q\);

-- Location: LCCOMB_X40_Y9_N22
\led_flash_cnt[1997][4]~54844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1997][4]~54844_combout\ = (\led_flash_cnt[1997][4]~q\ & (!\led_flash_cnt[1997][3]~54843\)) # (!\led_flash_cnt[1997][4]~q\ & ((\led_flash_cnt[1997][3]~54843\) # (GND)))
-- \led_flash_cnt[1997][4]~54845\ = CARRY((!\led_flash_cnt[1997][3]~54843\) # (!\led_flash_cnt[1997][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1997][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1997][3]~54843\,
	combout => \led_flash_cnt[1997][4]~54844_combout\,
	cout => \led_flash_cnt[1997][4]~54845\);

-- Location: FF_X40_Y9_N23
\led_flash_cnt[1997][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1997][4]~54844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1997][4]~q\);

-- Location: LCCOMB_X40_Y9_N24
\led_flash_cnt[1997][5]~54846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1997][5]~54846_combout\ = (\led_flash_cnt[1997][5]~q\ & (\led_flash_cnt[1997][4]~54845\ $ (GND))) # (!\led_flash_cnt[1997][5]~q\ & (!\led_flash_cnt[1997][4]~54845\ & VCC))
-- \led_flash_cnt[1997][5]~54847\ = CARRY((\led_flash_cnt[1997][5]~q\ & !\led_flash_cnt[1997][4]~54845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1997][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1997][4]~54845\,
	combout => \led_flash_cnt[1997][5]~54846_combout\,
	cout => \led_flash_cnt[1997][5]~54847\);

-- Location: FF_X40_Y9_N25
\led_flash_cnt[1997][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1997][5]~54846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1997][5]~q\);

-- Location: LCCOMB_X40_Y9_N26
\led_flash_cnt[1997][6]~54848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1997][6]~54848_combout\ = (\led_flash_cnt[1997][6]~q\ & (!\led_flash_cnt[1997][5]~54847\)) # (!\led_flash_cnt[1997][6]~q\ & ((\led_flash_cnt[1997][5]~54847\) # (GND)))
-- \led_flash_cnt[1997][6]~54849\ = CARRY((!\led_flash_cnt[1997][5]~54847\) # (!\led_flash_cnt[1997][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1997][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1997][5]~54847\,
	combout => \led_flash_cnt[1997][6]~54848_combout\,
	cout => \led_flash_cnt[1997][6]~54849\);

-- Location: FF_X40_Y9_N27
\led_flash_cnt[1997][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1997][6]~54848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1997][6]~q\);

-- Location: LCCOMB_X40_Y9_N28
\led_flash_cnt[1997][7]~54850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1997][7]~54850_combout\ = \led_flash_cnt[1997][6]~54849\ $ (!\led_flash_cnt[1997][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1997][7]~q\,
	cin => \led_flash_cnt[1997][6]~54849\,
	combout => \led_flash_cnt[1997][7]~54850_combout\);

-- Location: FF_X40_Y9_N29
\led_flash_cnt[1997][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1997][7]~54850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1997][7]~q\);

-- Location: LCCOMB_X40_Y9_N30
\WideAnd1997~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1997~1_combout\ = (\led_flash_cnt[1997][6]~q\ & \led_flash_cnt[1997][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1997][6]~q\,
	datad => \led_flash_cnt[1997][5]~q\,
	combout => \WideAnd1997~1_combout\);

-- Location: LCCOMB_X40_Y9_N2
\WideAnd1997~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1997~0_combout\ = (\led_flash_cnt[1997][2]~q\ & (\led_flash_cnt[1997][1]~q\ & (\led_flash_cnt[1997][4]~q\ & \led_flash_cnt[1997][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1997][2]~q\,
	datab => \led_flash_cnt[1997][1]~q\,
	datac => \led_flash_cnt[1997][4]~q\,
	datad => \led_flash_cnt[1997][3]~q\,
	combout => \WideAnd1997~0_combout\);

-- Location: LCCOMB_X40_Y9_N8
WideAnd1997 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1997~combout\ = (\led_flash_cnt[1997][0]~q\ & (\led_flash_cnt[1997][7]~q\ & (\WideAnd1997~1_combout\ & \WideAnd1997~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1997][0]~q\,
	datab => \led_flash_cnt[1997][7]~q\,
	datac => \WideAnd1997~1_combout\,
	datad => \WideAnd1997~0_combout\,
	combout => \WideAnd1997~combout\);

-- Location: FF_X40_Y9_N9
\led_flash_cnt_ands[1997]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1997~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1997));

-- Location: LCCOMB_X39_Y15_N28
\led_flash_cnt[1996][0]~82636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1996][0]~82636_combout\ = !\led_flash_cnt[1996][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1996][0]~q\,
	combout => \led_flash_cnt[1996][0]~82636_combout\);

-- Location: FF_X39_Y15_N29
\led_flash_cnt[1996][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1996][0]~82636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1996][0]~q\);

-- Location: LCCOMB_X35_Y15_N0
\led_flash_cnt[1996][1]~54824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1996][1]~54824_combout\ = (\led_flash_cnt[1996][0]~q\ & (\led_flash_cnt[1996][1]~q\ $ (VCC))) # (!\led_flash_cnt[1996][0]~q\ & (\led_flash_cnt[1996][1]~q\ & VCC))
-- \led_flash_cnt[1996][1]~54825\ = CARRY((\led_flash_cnt[1996][0]~q\ & \led_flash_cnt[1996][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1996][0]~q\,
	datab => \led_flash_cnt[1996][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1996][1]~54824_combout\,
	cout => \led_flash_cnt[1996][1]~54825\);

-- Location: FF_X35_Y15_N1
\led_flash_cnt[1996][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1996][1]~54824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1996][1]~q\);

-- Location: LCCOMB_X35_Y15_N2
\led_flash_cnt[1996][2]~54826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1996][2]~54826_combout\ = (\led_flash_cnt[1996][2]~q\ & (!\led_flash_cnt[1996][1]~54825\)) # (!\led_flash_cnt[1996][2]~q\ & ((\led_flash_cnt[1996][1]~54825\) # (GND)))
-- \led_flash_cnt[1996][2]~54827\ = CARRY((!\led_flash_cnt[1996][1]~54825\) # (!\led_flash_cnt[1996][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1996][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1996][1]~54825\,
	combout => \led_flash_cnt[1996][2]~54826_combout\,
	cout => \led_flash_cnt[1996][2]~54827\);

-- Location: FF_X35_Y15_N3
\led_flash_cnt[1996][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1996][2]~54826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1996][2]~q\);

-- Location: LCCOMB_X35_Y15_N4
\led_flash_cnt[1996][3]~54828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1996][3]~54828_combout\ = (\led_flash_cnt[1996][3]~q\ & (\led_flash_cnt[1996][2]~54827\ $ (GND))) # (!\led_flash_cnt[1996][3]~q\ & (!\led_flash_cnt[1996][2]~54827\ & VCC))
-- \led_flash_cnt[1996][3]~54829\ = CARRY((\led_flash_cnt[1996][3]~q\ & !\led_flash_cnt[1996][2]~54827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1996][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1996][2]~54827\,
	combout => \led_flash_cnt[1996][3]~54828_combout\,
	cout => \led_flash_cnt[1996][3]~54829\);

-- Location: FF_X35_Y15_N5
\led_flash_cnt[1996][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1996][3]~54828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1996][3]~q\);

-- Location: LCCOMB_X35_Y15_N6
\led_flash_cnt[1996][4]~54830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1996][4]~54830_combout\ = (\led_flash_cnt[1996][4]~q\ & (!\led_flash_cnt[1996][3]~54829\)) # (!\led_flash_cnt[1996][4]~q\ & ((\led_flash_cnt[1996][3]~54829\) # (GND)))
-- \led_flash_cnt[1996][4]~54831\ = CARRY((!\led_flash_cnt[1996][3]~54829\) # (!\led_flash_cnt[1996][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1996][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1996][3]~54829\,
	combout => \led_flash_cnt[1996][4]~54830_combout\,
	cout => \led_flash_cnt[1996][4]~54831\);

-- Location: FF_X35_Y15_N7
\led_flash_cnt[1996][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1996][4]~54830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1996][4]~q\);

-- Location: LCCOMB_X35_Y15_N28
\WideAnd1996~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1996~0_combout\ = (\led_flash_cnt[1996][4]~q\ & (\led_flash_cnt[1996][2]~q\ & (\led_flash_cnt[1996][3]~q\ & \led_flash_cnt[1996][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1996][4]~q\,
	datab => \led_flash_cnt[1996][2]~q\,
	datac => \led_flash_cnt[1996][3]~q\,
	datad => \led_flash_cnt[1996][1]~q\,
	combout => \WideAnd1996~0_combout\);

-- Location: LCCOMB_X35_Y15_N8
\led_flash_cnt[1996][5]~54832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1996][5]~54832_combout\ = (\led_flash_cnt[1996][5]~q\ & (\led_flash_cnt[1996][4]~54831\ $ (GND))) # (!\led_flash_cnt[1996][5]~q\ & (!\led_flash_cnt[1996][4]~54831\ & VCC))
-- \led_flash_cnt[1996][5]~54833\ = CARRY((\led_flash_cnt[1996][5]~q\ & !\led_flash_cnt[1996][4]~54831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1996][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1996][4]~54831\,
	combout => \led_flash_cnt[1996][5]~54832_combout\,
	cout => \led_flash_cnt[1996][5]~54833\);

-- Location: FF_X35_Y15_N9
\led_flash_cnt[1996][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1996][5]~54832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1996][5]~q\);

-- Location: LCCOMB_X35_Y15_N10
\led_flash_cnt[1996][6]~54834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1996][6]~54834_combout\ = (\led_flash_cnt[1996][6]~q\ & (!\led_flash_cnt[1996][5]~54833\)) # (!\led_flash_cnt[1996][6]~q\ & ((\led_flash_cnt[1996][5]~54833\) # (GND)))
-- \led_flash_cnt[1996][6]~54835\ = CARRY((!\led_flash_cnt[1996][5]~54833\) # (!\led_flash_cnt[1996][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1996][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1996][5]~54833\,
	combout => \led_flash_cnt[1996][6]~54834_combout\,
	cout => \led_flash_cnt[1996][6]~54835\);

-- Location: FF_X35_Y15_N11
\led_flash_cnt[1996][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1996][6]~54834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1996][6]~q\);

-- Location: LCCOMB_X36_Y15_N26
\WideAnd1996~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1996~1_combout\ = (\led_flash_cnt[1996][6]~q\ & \led_flash_cnt[1996][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1996][6]~q\,
	datad => \led_flash_cnt[1996][5]~q\,
	combout => \WideAnd1996~1_combout\);

-- Location: LCCOMB_X35_Y15_N12
\led_flash_cnt[1996][7]~54836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1996][7]~54836_combout\ = \led_flash_cnt[1996][6]~54835\ $ (!\led_flash_cnt[1996][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1996][7]~q\,
	cin => \led_flash_cnt[1996][6]~54835\,
	combout => \led_flash_cnt[1996][7]~54836_combout\);

-- Location: FF_X35_Y15_N13
\led_flash_cnt[1996][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1996][7]~54836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1996][7]~q\);

-- Location: LCCOMB_X36_Y15_N28
WideAnd1996 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1996~combout\ = (\led_flash_cnt[1996][0]~q\ & (\WideAnd1996~0_combout\ & (\WideAnd1996~1_combout\ & \led_flash_cnt[1996][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1996][0]~q\,
	datab => \WideAnd1996~0_combout\,
	datac => \WideAnd1996~1_combout\,
	datad => \led_flash_cnt[1996][7]~q\,
	combout => \WideAnd1996~combout\);

-- Location: FF_X36_Y15_N29
\led_flash_cnt_ands[1996]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1996~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1996));

-- Location: LCCOMB_X40_Y9_N0
\WideAnd4089~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4089~1_combout\ = (led_flash_cnt_ands(1997) & led_flash_cnt_ands(1996))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1997),
	datac => led_flash_cnt_ands(1996),
	combout => \WideAnd4089~1_combout\);

-- Location: LCCOMB_X47_Y21_N2
\led_flash_cnt[1999][0]~82639\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1999][0]~82639_combout\ = !\led_flash_cnt[1999][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1999][0]~q\,
	combout => \led_flash_cnt[1999][0]~82639_combout\);

-- Location: FF_X47_Y21_N3
\led_flash_cnt[1999][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1999][0]~82639_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1999][0]~q\);

-- Location: LCCOMB_X46_Y21_N18
\led_flash_cnt[1999][1]~54866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1999][1]~54866_combout\ = (\led_flash_cnt[1999][0]~q\ & (\led_flash_cnt[1999][1]~q\ $ (VCC))) # (!\led_flash_cnt[1999][0]~q\ & (\led_flash_cnt[1999][1]~q\ & VCC))
-- \led_flash_cnt[1999][1]~54867\ = CARRY((\led_flash_cnt[1999][0]~q\ & \led_flash_cnt[1999][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1999][0]~q\,
	datab => \led_flash_cnt[1999][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1999][1]~54866_combout\,
	cout => \led_flash_cnt[1999][1]~54867\);

-- Location: FF_X46_Y21_N19
\led_flash_cnt[1999][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1999][1]~54866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1999][1]~q\);

-- Location: LCCOMB_X46_Y21_N20
\led_flash_cnt[1999][2]~54868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1999][2]~54868_combout\ = (\led_flash_cnt[1999][2]~q\ & (!\led_flash_cnt[1999][1]~54867\)) # (!\led_flash_cnt[1999][2]~q\ & ((\led_flash_cnt[1999][1]~54867\) # (GND)))
-- \led_flash_cnt[1999][2]~54869\ = CARRY((!\led_flash_cnt[1999][1]~54867\) # (!\led_flash_cnt[1999][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1999][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1999][1]~54867\,
	combout => \led_flash_cnt[1999][2]~54868_combout\,
	cout => \led_flash_cnt[1999][2]~54869\);

-- Location: FF_X46_Y21_N21
\led_flash_cnt[1999][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1999][2]~54868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1999][2]~q\);

-- Location: LCCOMB_X46_Y21_N22
\led_flash_cnt[1999][3]~54870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1999][3]~54870_combout\ = (\led_flash_cnt[1999][3]~q\ & (\led_flash_cnt[1999][2]~54869\ $ (GND))) # (!\led_flash_cnt[1999][3]~q\ & (!\led_flash_cnt[1999][2]~54869\ & VCC))
-- \led_flash_cnt[1999][3]~54871\ = CARRY((\led_flash_cnt[1999][3]~q\ & !\led_flash_cnt[1999][2]~54869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1999][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1999][2]~54869\,
	combout => \led_flash_cnt[1999][3]~54870_combout\,
	cout => \led_flash_cnt[1999][3]~54871\);

-- Location: FF_X46_Y21_N23
\led_flash_cnt[1999][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1999][3]~54870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1999][3]~q\);

-- Location: LCCOMB_X46_Y21_N24
\led_flash_cnt[1999][4]~54872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1999][4]~54872_combout\ = (\led_flash_cnt[1999][4]~q\ & (!\led_flash_cnt[1999][3]~54871\)) # (!\led_flash_cnt[1999][4]~q\ & ((\led_flash_cnt[1999][3]~54871\) # (GND)))
-- \led_flash_cnt[1999][4]~54873\ = CARRY((!\led_flash_cnt[1999][3]~54871\) # (!\led_flash_cnt[1999][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1999][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1999][3]~54871\,
	combout => \led_flash_cnt[1999][4]~54872_combout\,
	cout => \led_flash_cnt[1999][4]~54873\);

-- Location: FF_X46_Y21_N25
\led_flash_cnt[1999][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1999][4]~54872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1999][4]~q\);

-- Location: LCCOMB_X46_Y21_N26
\led_flash_cnt[1999][5]~54874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1999][5]~54874_combout\ = (\led_flash_cnt[1999][5]~q\ & (\led_flash_cnt[1999][4]~54873\ $ (GND))) # (!\led_flash_cnt[1999][5]~q\ & (!\led_flash_cnt[1999][4]~54873\ & VCC))
-- \led_flash_cnt[1999][5]~54875\ = CARRY((\led_flash_cnt[1999][5]~q\ & !\led_flash_cnt[1999][4]~54873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1999][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1999][4]~54873\,
	combout => \led_flash_cnt[1999][5]~54874_combout\,
	cout => \led_flash_cnt[1999][5]~54875\);

-- Location: FF_X46_Y21_N27
\led_flash_cnt[1999][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1999][5]~54874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1999][5]~q\);

-- Location: LCCOMB_X46_Y21_N28
\led_flash_cnt[1999][6]~54876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1999][6]~54876_combout\ = (\led_flash_cnt[1999][6]~q\ & (!\led_flash_cnt[1999][5]~54875\)) # (!\led_flash_cnt[1999][6]~q\ & ((\led_flash_cnt[1999][5]~54875\) # (GND)))
-- \led_flash_cnt[1999][6]~54877\ = CARRY((!\led_flash_cnt[1999][5]~54875\) # (!\led_flash_cnt[1999][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1999][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1999][5]~54875\,
	combout => \led_flash_cnt[1999][6]~54876_combout\,
	cout => \led_flash_cnt[1999][6]~54877\);

-- Location: FF_X46_Y21_N29
\led_flash_cnt[1999][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1999][6]~54876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1999][6]~q\);

-- Location: LCCOMB_X46_Y21_N30
\led_flash_cnt[1999][7]~54878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1999][7]~54878_combout\ = \led_flash_cnt[1999][7]~q\ $ (!\led_flash_cnt[1999][6]~54877\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1999][7]~q\,
	cin => \led_flash_cnt[1999][6]~54877\,
	combout => \led_flash_cnt[1999][7]~54878_combout\);

-- Location: FF_X46_Y21_N31
\led_flash_cnt[1999][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1999][7]~54878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1999][7]~q\);

-- Location: LCCOMB_X47_Y21_N22
\WideAnd1999~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1999~0_combout\ = (\led_flash_cnt[1999][3]~q\ & (\led_flash_cnt[1999][4]~q\ & (\led_flash_cnt[1999][1]~q\ & \led_flash_cnt[1999][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1999][3]~q\,
	datab => \led_flash_cnt[1999][4]~q\,
	datac => \led_flash_cnt[1999][1]~q\,
	datad => \led_flash_cnt[1999][2]~q\,
	combout => \WideAnd1999~0_combout\);

-- Location: LCCOMB_X47_Y21_N24
\WideAnd1999~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1999~1_combout\ = (\led_flash_cnt[1999][5]~q\ & \led_flash_cnt[1999][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1999][5]~q\,
	datad => \led_flash_cnt[1999][6]~q\,
	combout => \WideAnd1999~1_combout\);

-- Location: LCCOMB_X47_Y21_N30
WideAnd1999 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1999~combout\ = (\led_flash_cnt[1999][0]~q\ & (\led_flash_cnt[1999][7]~q\ & (\WideAnd1999~0_combout\ & \WideAnd1999~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1999][0]~q\,
	datab => \led_flash_cnt[1999][7]~q\,
	datac => \WideAnd1999~0_combout\,
	datad => \WideAnd1999~1_combout\,
	combout => \WideAnd1999~combout\);

-- Location: FF_X47_Y21_N31
\led_flash_cnt_ands[1999]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1999~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1999));

-- Location: LCCOMB_X40_Y9_N14
\led_flash_cnt[1998][0]~82638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1998][0]~82638_combout\ = !\led_flash_cnt[1998][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1998][0]~q\,
	combout => \led_flash_cnt[1998][0]~82638_combout\);

-- Location: FF_X40_Y9_N15
\led_flash_cnt[1998][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1998][0]~82638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1998][0]~q\);

-- Location: LCCOMB_X41_Y9_N14
\led_flash_cnt[1998][1]~54852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1998][1]~54852_combout\ = (\led_flash_cnt[1998][0]~q\ & (\led_flash_cnt[1998][1]~q\ $ (VCC))) # (!\led_flash_cnt[1998][0]~q\ & (\led_flash_cnt[1998][1]~q\ & VCC))
-- \led_flash_cnt[1998][1]~54853\ = CARRY((\led_flash_cnt[1998][0]~q\ & \led_flash_cnt[1998][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1998][0]~q\,
	datab => \led_flash_cnt[1998][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1998][1]~54852_combout\,
	cout => \led_flash_cnt[1998][1]~54853\);

-- Location: FF_X41_Y9_N15
\led_flash_cnt[1998][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1998][1]~54852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1998][1]~q\);

-- Location: LCCOMB_X41_Y9_N16
\led_flash_cnt[1998][2]~54854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1998][2]~54854_combout\ = (\led_flash_cnt[1998][2]~q\ & (!\led_flash_cnt[1998][1]~54853\)) # (!\led_flash_cnt[1998][2]~q\ & ((\led_flash_cnt[1998][1]~54853\) # (GND)))
-- \led_flash_cnt[1998][2]~54855\ = CARRY((!\led_flash_cnt[1998][1]~54853\) # (!\led_flash_cnt[1998][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1998][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1998][1]~54853\,
	combout => \led_flash_cnt[1998][2]~54854_combout\,
	cout => \led_flash_cnt[1998][2]~54855\);

-- Location: FF_X41_Y9_N17
\led_flash_cnt[1998][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1998][2]~54854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1998][2]~q\);

-- Location: LCCOMB_X41_Y9_N18
\led_flash_cnt[1998][3]~54856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1998][3]~54856_combout\ = (\led_flash_cnt[1998][3]~q\ & (\led_flash_cnt[1998][2]~54855\ $ (GND))) # (!\led_flash_cnt[1998][3]~q\ & (!\led_flash_cnt[1998][2]~54855\ & VCC))
-- \led_flash_cnt[1998][3]~54857\ = CARRY((\led_flash_cnt[1998][3]~q\ & !\led_flash_cnt[1998][2]~54855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1998][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1998][2]~54855\,
	combout => \led_flash_cnt[1998][3]~54856_combout\,
	cout => \led_flash_cnt[1998][3]~54857\);

-- Location: FF_X41_Y9_N19
\led_flash_cnt[1998][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1998][3]~54856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1998][3]~q\);

-- Location: LCCOMB_X41_Y9_N20
\led_flash_cnt[1998][4]~54858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1998][4]~54858_combout\ = (\led_flash_cnt[1998][4]~q\ & (!\led_flash_cnt[1998][3]~54857\)) # (!\led_flash_cnt[1998][4]~q\ & ((\led_flash_cnt[1998][3]~54857\) # (GND)))
-- \led_flash_cnt[1998][4]~54859\ = CARRY((!\led_flash_cnt[1998][3]~54857\) # (!\led_flash_cnt[1998][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1998][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1998][3]~54857\,
	combout => \led_flash_cnt[1998][4]~54858_combout\,
	cout => \led_flash_cnt[1998][4]~54859\);

-- Location: FF_X41_Y9_N21
\led_flash_cnt[1998][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1998][4]~54858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1998][4]~q\);

-- Location: LCCOMB_X41_Y9_N30
\WideAnd1998~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1998~0_combout\ = (\led_flash_cnt[1998][2]~q\ & (\led_flash_cnt[1998][4]~q\ & (\led_flash_cnt[1998][1]~q\ & \led_flash_cnt[1998][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1998][2]~q\,
	datab => \led_flash_cnt[1998][4]~q\,
	datac => \led_flash_cnt[1998][1]~q\,
	datad => \led_flash_cnt[1998][3]~q\,
	combout => \WideAnd1998~0_combout\);

-- Location: LCCOMB_X41_Y9_N22
\led_flash_cnt[1998][5]~54860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1998][5]~54860_combout\ = (\led_flash_cnt[1998][5]~q\ & (\led_flash_cnt[1998][4]~54859\ $ (GND))) # (!\led_flash_cnt[1998][5]~q\ & (!\led_flash_cnt[1998][4]~54859\ & VCC))
-- \led_flash_cnt[1998][5]~54861\ = CARRY((\led_flash_cnt[1998][5]~q\ & !\led_flash_cnt[1998][4]~54859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1998][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1998][4]~54859\,
	combout => \led_flash_cnt[1998][5]~54860_combout\,
	cout => \led_flash_cnt[1998][5]~54861\);

-- Location: FF_X41_Y9_N23
\led_flash_cnt[1998][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1998][5]~54860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1998][5]~q\);

-- Location: LCCOMB_X41_Y9_N24
\led_flash_cnt[1998][6]~54862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1998][6]~54862_combout\ = (\led_flash_cnt[1998][6]~q\ & (!\led_flash_cnt[1998][5]~54861\)) # (!\led_flash_cnt[1998][6]~q\ & ((\led_flash_cnt[1998][5]~54861\) # (GND)))
-- \led_flash_cnt[1998][6]~54863\ = CARRY((!\led_flash_cnt[1998][5]~54861\) # (!\led_flash_cnt[1998][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1998][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1998][5]~54861\,
	combout => \led_flash_cnt[1998][6]~54862_combout\,
	cout => \led_flash_cnt[1998][6]~54863\);

-- Location: FF_X41_Y9_N25
\led_flash_cnt[1998][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1998][6]~54862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1998][6]~q\);

-- Location: LCCOMB_X41_Y9_N26
\led_flash_cnt[1998][7]~54864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1998][7]~54864_combout\ = \led_flash_cnt[1998][7]~q\ $ (!\led_flash_cnt[1998][6]~54863\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1998][7]~q\,
	cin => \led_flash_cnt[1998][6]~54863\,
	combout => \led_flash_cnt[1998][7]~54864_combout\);

-- Location: FF_X41_Y9_N27
\led_flash_cnt[1998][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1998][7]~54864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1998][7]~q\);

-- Location: LCCOMB_X40_Y9_N10
\WideAnd1998~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1998~1_combout\ = (\led_flash_cnt[1998][6]~q\ & \led_flash_cnt[1998][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1998][6]~q\,
	datad => \led_flash_cnt[1998][5]~q\,
	combout => \WideAnd1998~1_combout\);

-- Location: LCCOMB_X40_Y9_N12
WideAnd1998 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1998~combout\ = (\WideAnd1998~0_combout\ & (\led_flash_cnt[1998][7]~q\ & (\led_flash_cnt[1998][0]~q\ & \WideAnd1998~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1998~0_combout\,
	datab => \led_flash_cnt[1998][7]~q\,
	datac => \led_flash_cnt[1998][0]~q\,
	datad => \WideAnd1998~1_combout\,
	combout => \WideAnd1998~combout\);

-- Location: FF_X40_Y9_N13
\led_flash_cnt_ands[1998]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1998~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1998));

-- Location: LCCOMB_X40_Y9_N4
WideAnd4089 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4089~combout\ = (\WideAnd4089~0_combout\ & (\WideAnd4089~1_combout\ & (led_flash_cnt_ands(1999) & led_flash_cnt_ands(1998))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4089~0_combout\,
	datab => \WideAnd4089~1_combout\,
	datac => led_flash_cnt_ands(1999),
	datad => led_flash_cnt_ands(1998),
	combout => \WideAnd4089~combout\);

-- Location: FF_X40_Y9_N5
\led_flash_cnt_ands_1[249]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4089~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(249));

-- Location: LCCOMB_X38_Y2_N2
\led_flash_cnt[1990][0]~82630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1990][0]~82630_combout\ = !\led_flash_cnt[1990][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1990][0]~q\,
	combout => \led_flash_cnt[1990][0]~82630_combout\);

-- Location: FF_X38_Y2_N3
\led_flash_cnt[1990][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1990][0]~82630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1990][0]~q\);

-- Location: LCCOMB_X37_Y2_N18
\led_flash_cnt[1990][1]~54740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1990][1]~54740_combout\ = (\led_flash_cnt[1990][0]~q\ & (\led_flash_cnt[1990][1]~q\ $ (VCC))) # (!\led_flash_cnt[1990][0]~q\ & (\led_flash_cnt[1990][1]~q\ & VCC))
-- \led_flash_cnt[1990][1]~54741\ = CARRY((\led_flash_cnt[1990][0]~q\ & \led_flash_cnt[1990][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1990][0]~q\,
	datab => \led_flash_cnt[1990][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1990][1]~54740_combout\,
	cout => \led_flash_cnt[1990][1]~54741\);

-- Location: FF_X37_Y2_N19
\led_flash_cnt[1990][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1990][1]~54740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1990][1]~q\);

-- Location: LCCOMB_X37_Y2_N20
\led_flash_cnt[1990][2]~54742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1990][2]~54742_combout\ = (\led_flash_cnt[1990][2]~q\ & (!\led_flash_cnt[1990][1]~54741\)) # (!\led_flash_cnt[1990][2]~q\ & ((\led_flash_cnt[1990][1]~54741\) # (GND)))
-- \led_flash_cnt[1990][2]~54743\ = CARRY((!\led_flash_cnt[1990][1]~54741\) # (!\led_flash_cnt[1990][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1990][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1990][1]~54741\,
	combout => \led_flash_cnt[1990][2]~54742_combout\,
	cout => \led_flash_cnt[1990][2]~54743\);

-- Location: FF_X37_Y2_N21
\led_flash_cnt[1990][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1990][2]~54742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1990][2]~q\);

-- Location: LCCOMB_X37_Y2_N22
\led_flash_cnt[1990][3]~54744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1990][3]~54744_combout\ = (\led_flash_cnt[1990][3]~q\ & (\led_flash_cnt[1990][2]~54743\ $ (GND))) # (!\led_flash_cnt[1990][3]~q\ & (!\led_flash_cnt[1990][2]~54743\ & VCC))
-- \led_flash_cnt[1990][3]~54745\ = CARRY((\led_flash_cnt[1990][3]~q\ & !\led_flash_cnt[1990][2]~54743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1990][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1990][2]~54743\,
	combout => \led_flash_cnt[1990][3]~54744_combout\,
	cout => \led_flash_cnt[1990][3]~54745\);

-- Location: FF_X37_Y2_N23
\led_flash_cnt[1990][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1990][3]~54744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1990][3]~q\);

-- Location: LCCOMB_X37_Y2_N24
\led_flash_cnt[1990][4]~54746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1990][4]~54746_combout\ = (\led_flash_cnt[1990][4]~q\ & (!\led_flash_cnt[1990][3]~54745\)) # (!\led_flash_cnt[1990][4]~q\ & ((\led_flash_cnt[1990][3]~54745\) # (GND)))
-- \led_flash_cnt[1990][4]~54747\ = CARRY((!\led_flash_cnt[1990][3]~54745\) # (!\led_flash_cnt[1990][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1990][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1990][3]~54745\,
	combout => \led_flash_cnt[1990][4]~54746_combout\,
	cout => \led_flash_cnt[1990][4]~54747\);

-- Location: FF_X37_Y2_N25
\led_flash_cnt[1990][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1990][4]~54746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1990][4]~q\);

-- Location: LCCOMB_X37_Y2_N14
\WideAnd1990~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1990~0_combout\ = (\led_flash_cnt[1990][4]~q\ & (\led_flash_cnt[1990][1]~q\ & (\led_flash_cnt[1990][3]~q\ & \led_flash_cnt[1990][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1990][4]~q\,
	datab => \led_flash_cnt[1990][1]~q\,
	datac => \led_flash_cnt[1990][3]~q\,
	datad => \led_flash_cnt[1990][2]~q\,
	combout => \WideAnd1990~0_combout\);

-- Location: LCCOMB_X37_Y2_N26
\led_flash_cnt[1990][5]~54748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1990][5]~54748_combout\ = (\led_flash_cnt[1990][5]~q\ & (\led_flash_cnt[1990][4]~54747\ $ (GND))) # (!\led_flash_cnt[1990][5]~q\ & (!\led_flash_cnt[1990][4]~54747\ & VCC))
-- \led_flash_cnt[1990][5]~54749\ = CARRY((\led_flash_cnt[1990][5]~q\ & !\led_flash_cnt[1990][4]~54747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1990][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1990][4]~54747\,
	combout => \led_flash_cnt[1990][5]~54748_combout\,
	cout => \led_flash_cnt[1990][5]~54749\);

-- Location: FF_X37_Y2_N27
\led_flash_cnt[1990][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1990][5]~54748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1990][5]~q\);

-- Location: LCCOMB_X37_Y2_N28
\led_flash_cnt[1990][6]~54750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1990][6]~54750_combout\ = (\led_flash_cnt[1990][6]~q\ & (!\led_flash_cnt[1990][5]~54749\)) # (!\led_flash_cnt[1990][6]~q\ & ((\led_flash_cnt[1990][5]~54749\) # (GND)))
-- \led_flash_cnt[1990][6]~54751\ = CARRY((!\led_flash_cnt[1990][5]~54749\) # (!\led_flash_cnt[1990][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1990][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1990][5]~54749\,
	combout => \led_flash_cnt[1990][6]~54750_combout\,
	cout => \led_flash_cnt[1990][6]~54751\);

-- Location: FF_X37_Y2_N29
\led_flash_cnt[1990][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1990][6]~54750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1990][6]~q\);

-- Location: LCCOMB_X37_Y2_N30
\led_flash_cnt[1990][7]~54752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1990][7]~54752_combout\ = \led_flash_cnt[1990][7]~q\ $ (!\led_flash_cnt[1990][6]~54751\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1990][7]~q\,
	cin => \led_flash_cnt[1990][6]~54751\,
	combout => \led_flash_cnt[1990][7]~54752_combout\);

-- Location: FF_X37_Y2_N31
\led_flash_cnt[1990][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1990][7]~54752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1990][7]~q\);

-- Location: LCCOMB_X38_Y2_N12
\WideAnd1990~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1990~1_combout\ = (\led_flash_cnt[1990][5]~q\ & \led_flash_cnt[1990][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1990][5]~q\,
	datad => \led_flash_cnt[1990][6]~q\,
	combout => \WideAnd1990~1_combout\);

-- Location: LCCOMB_X38_Y2_N4
WideAnd1990 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1990~combout\ = (\WideAnd1990~0_combout\ & (\led_flash_cnt[1990][7]~q\ & (\led_flash_cnt[1990][0]~q\ & \WideAnd1990~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1990~0_combout\,
	datab => \led_flash_cnt[1990][7]~q\,
	datac => \led_flash_cnt[1990][0]~q\,
	datad => \WideAnd1990~1_combout\,
	combout => \WideAnd1990~combout\);

-- Location: FF_X38_Y2_N5
\led_flash_cnt_ands[1990]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1990~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1990));

-- Location: LCCOMB_X42_Y7_N2
\led_flash_cnt[1991][0]~82631\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1991][0]~82631_combout\ = !\led_flash_cnt[1991][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1991][0]~q\,
	combout => \led_flash_cnt[1991][0]~82631_combout\);

-- Location: FF_X42_Y7_N3
\led_flash_cnt[1991][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1991][0]~82631_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1991][0]~q\);

-- Location: LCCOMB_X41_Y7_N16
\led_flash_cnt[1991][1]~54754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1991][1]~54754_combout\ = (\led_flash_cnt[1991][0]~q\ & (\led_flash_cnt[1991][1]~q\ $ (VCC))) # (!\led_flash_cnt[1991][0]~q\ & (\led_flash_cnt[1991][1]~q\ & VCC))
-- \led_flash_cnt[1991][1]~54755\ = CARRY((\led_flash_cnt[1991][0]~q\ & \led_flash_cnt[1991][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1991][0]~q\,
	datab => \led_flash_cnt[1991][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1991][1]~54754_combout\,
	cout => \led_flash_cnt[1991][1]~54755\);

-- Location: FF_X41_Y7_N17
\led_flash_cnt[1991][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1991][1]~54754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1991][1]~q\);

-- Location: LCCOMB_X41_Y7_N18
\led_flash_cnt[1991][2]~54756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1991][2]~54756_combout\ = (\led_flash_cnt[1991][2]~q\ & (!\led_flash_cnt[1991][1]~54755\)) # (!\led_flash_cnt[1991][2]~q\ & ((\led_flash_cnt[1991][1]~54755\) # (GND)))
-- \led_flash_cnt[1991][2]~54757\ = CARRY((!\led_flash_cnt[1991][1]~54755\) # (!\led_flash_cnt[1991][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1991][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1991][1]~54755\,
	combout => \led_flash_cnt[1991][2]~54756_combout\,
	cout => \led_flash_cnt[1991][2]~54757\);

-- Location: FF_X41_Y7_N19
\led_flash_cnt[1991][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1991][2]~54756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1991][2]~q\);

-- Location: LCCOMB_X41_Y7_N20
\led_flash_cnt[1991][3]~54758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1991][3]~54758_combout\ = (\led_flash_cnt[1991][3]~q\ & (\led_flash_cnt[1991][2]~54757\ $ (GND))) # (!\led_flash_cnt[1991][3]~q\ & (!\led_flash_cnt[1991][2]~54757\ & VCC))
-- \led_flash_cnt[1991][3]~54759\ = CARRY((\led_flash_cnt[1991][3]~q\ & !\led_flash_cnt[1991][2]~54757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1991][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1991][2]~54757\,
	combout => \led_flash_cnt[1991][3]~54758_combout\,
	cout => \led_flash_cnt[1991][3]~54759\);

-- Location: FF_X41_Y7_N21
\led_flash_cnt[1991][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1991][3]~54758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1991][3]~q\);

-- Location: LCCOMB_X41_Y7_N22
\led_flash_cnt[1991][4]~54760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1991][4]~54760_combout\ = (\led_flash_cnt[1991][4]~q\ & (!\led_flash_cnt[1991][3]~54759\)) # (!\led_flash_cnt[1991][4]~q\ & ((\led_flash_cnt[1991][3]~54759\) # (GND)))
-- \led_flash_cnt[1991][4]~54761\ = CARRY((!\led_flash_cnt[1991][3]~54759\) # (!\led_flash_cnt[1991][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1991][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1991][3]~54759\,
	combout => \led_flash_cnt[1991][4]~54760_combout\,
	cout => \led_flash_cnt[1991][4]~54761\);

-- Location: FF_X41_Y7_N23
\led_flash_cnt[1991][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1991][4]~54760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1991][4]~q\);

-- Location: LCCOMB_X41_Y7_N14
\WideAnd1991~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1991~0_combout\ = (\led_flash_cnt[1991][1]~q\ & (\led_flash_cnt[1991][3]~q\ & (\led_flash_cnt[1991][4]~q\ & \led_flash_cnt[1991][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1991][1]~q\,
	datab => \led_flash_cnt[1991][3]~q\,
	datac => \led_flash_cnt[1991][4]~q\,
	datad => \led_flash_cnt[1991][2]~q\,
	combout => \WideAnd1991~0_combout\);

-- Location: LCCOMB_X41_Y7_N24
\led_flash_cnt[1991][5]~54762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1991][5]~54762_combout\ = (\led_flash_cnt[1991][5]~q\ & (\led_flash_cnt[1991][4]~54761\ $ (GND))) # (!\led_flash_cnt[1991][5]~q\ & (!\led_flash_cnt[1991][4]~54761\ & VCC))
-- \led_flash_cnt[1991][5]~54763\ = CARRY((\led_flash_cnt[1991][5]~q\ & !\led_flash_cnt[1991][4]~54761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1991][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1991][4]~54761\,
	combout => \led_flash_cnt[1991][5]~54762_combout\,
	cout => \led_flash_cnt[1991][5]~54763\);

-- Location: FF_X41_Y7_N25
\led_flash_cnt[1991][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1991][5]~54762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1991][5]~q\);

-- Location: LCCOMB_X41_Y7_N26
\led_flash_cnt[1991][6]~54764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1991][6]~54764_combout\ = (\led_flash_cnt[1991][6]~q\ & (!\led_flash_cnt[1991][5]~54763\)) # (!\led_flash_cnt[1991][6]~q\ & ((\led_flash_cnt[1991][5]~54763\) # (GND)))
-- \led_flash_cnt[1991][6]~54765\ = CARRY((!\led_flash_cnt[1991][5]~54763\) # (!\led_flash_cnt[1991][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1991][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1991][5]~54763\,
	combout => \led_flash_cnt[1991][6]~54764_combout\,
	cout => \led_flash_cnt[1991][6]~54765\);

-- Location: FF_X41_Y7_N27
\led_flash_cnt[1991][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1991][6]~54764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1991][6]~q\);

-- Location: LCCOMB_X41_Y7_N28
\led_flash_cnt[1991][7]~54766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1991][7]~54766_combout\ = \led_flash_cnt[1991][6]~54765\ $ (!\led_flash_cnt[1991][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1991][7]~q\,
	cin => \led_flash_cnt[1991][6]~54765\,
	combout => \led_flash_cnt[1991][7]~54766_combout\);

-- Location: FF_X41_Y7_N29
\led_flash_cnt[1991][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1991][7]~54766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1991][7]~q\);

-- Location: LCCOMB_X42_Y7_N10
\WideAnd1991~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1991~1_combout\ = (\led_flash_cnt[1991][6]~q\ & \led_flash_cnt[1991][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1991][6]~q\,
	datad => \led_flash_cnt[1991][5]~q\,
	combout => \WideAnd1991~1_combout\);

-- Location: LCCOMB_X42_Y7_N0
WideAnd1991 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1991~combout\ = (\WideAnd1991~0_combout\ & (\led_flash_cnt[1991][7]~q\ & (\led_flash_cnt[1991][0]~q\ & \WideAnd1991~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1991~0_combout\,
	datab => \led_flash_cnt[1991][7]~q\,
	datac => \led_flash_cnt[1991][0]~q\,
	datad => \WideAnd1991~1_combout\,
	combout => \WideAnd1991~combout\);

-- Location: FF_X42_Y7_N1
\led_flash_cnt_ands[1991]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1991~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1991));

-- Location: LCCOMB_X44_Y5_N26
\led_flash_cnt[1986][0]~82626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1986][0]~82626_combout\ = !\led_flash_cnt[1986][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1986][0]~q\,
	combout => \led_flash_cnt[1986][0]~82626_combout\);

-- Location: FF_X44_Y5_N27
\led_flash_cnt[1986][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1986][0]~82626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1986][0]~q\);

-- Location: LCCOMB_X44_Y5_N4
\led_flash_cnt[1986][1]~54684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1986][1]~54684_combout\ = (\led_flash_cnt[1986][0]~q\ & (\led_flash_cnt[1986][1]~q\ $ (VCC))) # (!\led_flash_cnt[1986][0]~q\ & (\led_flash_cnt[1986][1]~q\ & VCC))
-- \led_flash_cnt[1986][1]~54685\ = CARRY((\led_flash_cnt[1986][0]~q\ & \led_flash_cnt[1986][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1986][0]~q\,
	datab => \led_flash_cnt[1986][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1986][1]~54684_combout\,
	cout => \led_flash_cnt[1986][1]~54685\);

-- Location: FF_X44_Y5_N5
\led_flash_cnt[1986][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1986][1]~54684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1986][1]~q\);

-- Location: LCCOMB_X44_Y5_N6
\led_flash_cnt[1986][2]~54686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1986][2]~54686_combout\ = (\led_flash_cnt[1986][2]~q\ & (!\led_flash_cnt[1986][1]~54685\)) # (!\led_flash_cnt[1986][2]~q\ & ((\led_flash_cnt[1986][1]~54685\) # (GND)))
-- \led_flash_cnt[1986][2]~54687\ = CARRY((!\led_flash_cnt[1986][1]~54685\) # (!\led_flash_cnt[1986][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1986][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1986][1]~54685\,
	combout => \led_flash_cnt[1986][2]~54686_combout\,
	cout => \led_flash_cnt[1986][2]~54687\);

-- Location: FF_X44_Y5_N7
\led_flash_cnt[1986][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1986][2]~54686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1986][2]~q\);

-- Location: LCCOMB_X44_Y5_N8
\led_flash_cnt[1986][3]~54688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1986][3]~54688_combout\ = (\led_flash_cnt[1986][3]~q\ & (\led_flash_cnt[1986][2]~54687\ $ (GND))) # (!\led_flash_cnt[1986][3]~q\ & (!\led_flash_cnt[1986][2]~54687\ & VCC))
-- \led_flash_cnt[1986][3]~54689\ = CARRY((\led_flash_cnt[1986][3]~q\ & !\led_flash_cnt[1986][2]~54687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1986][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1986][2]~54687\,
	combout => \led_flash_cnt[1986][3]~54688_combout\,
	cout => \led_flash_cnt[1986][3]~54689\);

-- Location: FF_X44_Y5_N9
\led_flash_cnt[1986][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1986][3]~54688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1986][3]~q\);

-- Location: LCCOMB_X44_Y5_N10
\led_flash_cnt[1986][4]~54690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1986][4]~54690_combout\ = (\led_flash_cnt[1986][4]~q\ & (!\led_flash_cnt[1986][3]~54689\)) # (!\led_flash_cnt[1986][4]~q\ & ((\led_flash_cnt[1986][3]~54689\) # (GND)))
-- \led_flash_cnt[1986][4]~54691\ = CARRY((!\led_flash_cnt[1986][3]~54689\) # (!\led_flash_cnt[1986][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1986][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1986][3]~54689\,
	combout => \led_flash_cnt[1986][4]~54690_combout\,
	cout => \led_flash_cnt[1986][4]~54691\);

-- Location: FF_X44_Y5_N11
\led_flash_cnt[1986][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1986][4]~54690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1986][4]~q\);

-- Location: LCCOMB_X44_Y5_N12
\led_flash_cnt[1986][5]~54692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1986][5]~54692_combout\ = (\led_flash_cnt[1986][5]~q\ & (\led_flash_cnt[1986][4]~54691\ $ (GND))) # (!\led_flash_cnt[1986][5]~q\ & (!\led_flash_cnt[1986][4]~54691\ & VCC))
-- \led_flash_cnt[1986][5]~54693\ = CARRY((\led_flash_cnt[1986][5]~q\ & !\led_flash_cnt[1986][4]~54691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1986][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1986][4]~54691\,
	combout => \led_flash_cnt[1986][5]~54692_combout\,
	cout => \led_flash_cnt[1986][5]~54693\);

-- Location: FF_X44_Y5_N13
\led_flash_cnt[1986][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1986][5]~54692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1986][5]~q\);

-- Location: LCCOMB_X44_Y5_N14
\led_flash_cnt[1986][6]~54694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1986][6]~54694_combout\ = (\led_flash_cnt[1986][6]~q\ & (!\led_flash_cnt[1986][5]~54693\)) # (!\led_flash_cnt[1986][6]~q\ & ((\led_flash_cnt[1986][5]~54693\) # (GND)))
-- \led_flash_cnt[1986][6]~54695\ = CARRY((!\led_flash_cnt[1986][5]~54693\) # (!\led_flash_cnt[1986][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1986][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1986][5]~54693\,
	combout => \led_flash_cnt[1986][6]~54694_combout\,
	cout => \led_flash_cnt[1986][6]~54695\);

-- Location: FF_X44_Y5_N15
\led_flash_cnt[1986][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1986][6]~54694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1986][6]~q\);

-- Location: LCCOMB_X44_Y5_N16
\led_flash_cnt[1986][7]~54696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1986][7]~54696_combout\ = \led_flash_cnt[1986][6]~54695\ $ (!\led_flash_cnt[1986][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1986][7]~q\,
	cin => \led_flash_cnt[1986][6]~54695\,
	combout => \led_flash_cnt[1986][7]~54696_combout\);

-- Location: FF_X44_Y5_N17
\led_flash_cnt[1986][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1986][7]~54696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1986][7]~q\);

-- Location: LCCOMB_X44_Y5_N22
\WideAnd1986~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1986~1_combout\ = (\led_flash_cnt[1986][6]~q\ & \led_flash_cnt[1986][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1986][6]~q\,
	datad => \led_flash_cnt[1986][5]~q\,
	combout => \WideAnd1986~1_combout\);

-- Location: LCCOMB_X44_Y5_N18
\WideAnd1986~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1986~0_combout\ = (\led_flash_cnt[1986][4]~q\ & (\led_flash_cnt[1986][3]~q\ & (\led_flash_cnt[1986][1]~q\ & \led_flash_cnt[1986][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1986][4]~q\,
	datab => \led_flash_cnt[1986][3]~q\,
	datac => \led_flash_cnt[1986][1]~q\,
	datad => \led_flash_cnt[1986][2]~q\,
	combout => \WideAnd1986~0_combout\);

-- Location: LCCOMB_X44_Y5_N2
WideAnd1986 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1986~combout\ = (\led_flash_cnt[1986][0]~q\ & (\led_flash_cnt[1986][7]~q\ & (\WideAnd1986~1_combout\ & \WideAnd1986~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1986][0]~q\,
	datab => \led_flash_cnt[1986][7]~q\,
	datac => \WideAnd1986~1_combout\,
	datad => \WideAnd1986~0_combout\,
	combout => \WideAnd1986~combout\);

-- Location: FF_X44_Y5_N3
\led_flash_cnt_ands[1986]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1986~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1986));

-- Location: LCCOMB_X47_Y21_N20
\led_flash_cnt[1984][0]~82624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1984][0]~82624_combout\ = !\led_flash_cnt[1984][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1984][0]~q\,
	combout => \led_flash_cnt[1984][0]~82624_combout\);

-- Location: FF_X47_Y21_N21
\led_flash_cnt[1984][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1984][0]~82624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1984][0]~q\);

-- Location: LCCOMB_X47_Y21_N6
\led_flash_cnt[1984][1]~54656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1984][1]~54656_combout\ = (\led_flash_cnt[1984][1]~q\ & (\led_flash_cnt[1984][0]~q\ $ (VCC))) # (!\led_flash_cnt[1984][1]~q\ & (\led_flash_cnt[1984][0]~q\ & VCC))
-- \led_flash_cnt[1984][1]~54657\ = CARRY((\led_flash_cnt[1984][1]~q\ & \led_flash_cnt[1984][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1984][1]~q\,
	datab => \led_flash_cnt[1984][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1984][1]~54656_combout\,
	cout => \led_flash_cnt[1984][1]~54657\);

-- Location: FF_X47_Y21_N7
\led_flash_cnt[1984][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1984][1]~54656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1984][1]~q\);

-- Location: LCCOMB_X47_Y21_N8
\led_flash_cnt[1984][2]~54658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1984][2]~54658_combout\ = (\led_flash_cnt[1984][2]~q\ & (!\led_flash_cnt[1984][1]~54657\)) # (!\led_flash_cnt[1984][2]~q\ & ((\led_flash_cnt[1984][1]~54657\) # (GND)))
-- \led_flash_cnt[1984][2]~54659\ = CARRY((!\led_flash_cnt[1984][1]~54657\) # (!\led_flash_cnt[1984][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1984][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1984][1]~54657\,
	combout => \led_flash_cnt[1984][2]~54658_combout\,
	cout => \led_flash_cnt[1984][2]~54659\);

-- Location: FF_X47_Y21_N9
\led_flash_cnt[1984][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1984][2]~54658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1984][2]~q\);

-- Location: LCCOMB_X47_Y21_N10
\led_flash_cnt[1984][3]~54660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1984][3]~54660_combout\ = (\led_flash_cnt[1984][3]~q\ & (\led_flash_cnt[1984][2]~54659\ $ (GND))) # (!\led_flash_cnt[1984][3]~q\ & (!\led_flash_cnt[1984][2]~54659\ & VCC))
-- \led_flash_cnt[1984][3]~54661\ = CARRY((\led_flash_cnt[1984][3]~q\ & !\led_flash_cnt[1984][2]~54659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1984][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1984][2]~54659\,
	combout => \led_flash_cnt[1984][3]~54660_combout\,
	cout => \led_flash_cnt[1984][3]~54661\);

-- Location: FF_X47_Y21_N11
\led_flash_cnt[1984][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1984][3]~54660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1984][3]~q\);

-- Location: LCCOMB_X47_Y21_N12
\led_flash_cnt[1984][4]~54662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1984][4]~54662_combout\ = (\led_flash_cnt[1984][4]~q\ & (!\led_flash_cnt[1984][3]~54661\)) # (!\led_flash_cnt[1984][4]~q\ & ((\led_flash_cnt[1984][3]~54661\) # (GND)))
-- \led_flash_cnt[1984][4]~54663\ = CARRY((!\led_flash_cnt[1984][3]~54661\) # (!\led_flash_cnt[1984][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1984][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1984][3]~54661\,
	combout => \led_flash_cnt[1984][4]~54662_combout\,
	cout => \led_flash_cnt[1984][4]~54663\);

-- Location: FF_X47_Y21_N13
\led_flash_cnt[1984][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1984][4]~54662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1984][4]~q\);

-- Location: LCCOMB_X47_Y21_N26
\WideAnd1984~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1984~0_combout\ = (\led_flash_cnt[1984][4]~q\ & (\led_flash_cnt[1984][1]~q\ & (\led_flash_cnt[1984][2]~q\ & \led_flash_cnt[1984][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1984][4]~q\,
	datab => \led_flash_cnt[1984][1]~q\,
	datac => \led_flash_cnt[1984][2]~q\,
	datad => \led_flash_cnt[1984][3]~q\,
	combout => \WideAnd1984~0_combout\);

-- Location: LCCOMB_X47_Y21_N14
\led_flash_cnt[1984][5]~54664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1984][5]~54664_combout\ = (\led_flash_cnt[1984][5]~q\ & (\led_flash_cnt[1984][4]~54663\ $ (GND))) # (!\led_flash_cnt[1984][5]~q\ & (!\led_flash_cnt[1984][4]~54663\ & VCC))
-- \led_flash_cnt[1984][5]~54665\ = CARRY((\led_flash_cnt[1984][5]~q\ & !\led_flash_cnt[1984][4]~54663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1984][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1984][4]~54663\,
	combout => \led_flash_cnt[1984][5]~54664_combout\,
	cout => \led_flash_cnt[1984][5]~54665\);

-- Location: FF_X47_Y21_N15
\led_flash_cnt[1984][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1984][5]~54664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1984][5]~q\);

-- Location: LCCOMB_X47_Y21_N16
\led_flash_cnt[1984][6]~54666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1984][6]~54666_combout\ = (\led_flash_cnt[1984][6]~q\ & (!\led_flash_cnt[1984][5]~54665\)) # (!\led_flash_cnt[1984][6]~q\ & ((\led_flash_cnt[1984][5]~54665\) # (GND)))
-- \led_flash_cnt[1984][6]~54667\ = CARRY((!\led_flash_cnt[1984][5]~54665\) # (!\led_flash_cnt[1984][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1984][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1984][5]~54665\,
	combout => \led_flash_cnt[1984][6]~54666_combout\,
	cout => \led_flash_cnt[1984][6]~54667\);

-- Location: FF_X47_Y21_N17
\led_flash_cnt[1984][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1984][6]~54666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1984][6]~q\);

-- Location: LCCOMB_X47_Y21_N4
\WideAnd1984~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1984~1_combout\ = (\led_flash_cnt[1984][5]~q\ & \led_flash_cnt[1984][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1984][5]~q\,
	datad => \led_flash_cnt[1984][6]~q\,
	combout => \WideAnd1984~1_combout\);

-- Location: LCCOMB_X47_Y21_N18
\led_flash_cnt[1984][7]~54668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1984][7]~54668_combout\ = \led_flash_cnt[1984][6]~54667\ $ (!\led_flash_cnt[1984][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1984][7]~q\,
	cin => \led_flash_cnt[1984][6]~54667\,
	combout => \led_flash_cnt[1984][7]~54668_combout\);

-- Location: FF_X47_Y21_N19
\led_flash_cnt[1984][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1984][7]~54668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1984][7]~q\);

-- Location: LCCOMB_X47_Y21_N0
WideAnd1984 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1984~combout\ = (\WideAnd1984~0_combout\ & (\led_flash_cnt[1984][0]~q\ & (\WideAnd1984~1_combout\ & \led_flash_cnt[1984][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1984~0_combout\,
	datab => \led_flash_cnt[1984][0]~q\,
	datac => \WideAnd1984~1_combout\,
	datad => \led_flash_cnt[1984][7]~q\,
	combout => \WideAnd1984~combout\);

-- Location: FF_X47_Y21_N1
\led_flash_cnt_ands[1984]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1984~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1984));

-- Location: LCCOMB_X56_Y27_N26
\led_flash_cnt[1985][0]~82625\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1985][0]~82625_combout\ = !\led_flash_cnt[1985][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1985][0]~q\,
	combout => \led_flash_cnt[1985][0]~82625_combout\);

-- Location: FF_X56_Y27_N27
\led_flash_cnt[1985][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1985][0]~82625_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1985][0]~q\);

-- Location: LCCOMB_X56_Y27_N4
\led_flash_cnt[1985][1]~54670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1985][1]~54670_combout\ = (\led_flash_cnt[1985][0]~q\ & (\led_flash_cnt[1985][1]~q\ $ (VCC))) # (!\led_flash_cnt[1985][0]~q\ & (\led_flash_cnt[1985][1]~q\ & VCC))
-- \led_flash_cnt[1985][1]~54671\ = CARRY((\led_flash_cnt[1985][0]~q\ & \led_flash_cnt[1985][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1985][0]~q\,
	datab => \led_flash_cnt[1985][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1985][1]~54670_combout\,
	cout => \led_flash_cnt[1985][1]~54671\);

-- Location: FF_X56_Y27_N5
\led_flash_cnt[1985][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1985][1]~54670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1985][1]~q\);

-- Location: LCCOMB_X56_Y27_N6
\led_flash_cnt[1985][2]~54672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1985][2]~54672_combout\ = (\led_flash_cnt[1985][2]~q\ & (!\led_flash_cnt[1985][1]~54671\)) # (!\led_flash_cnt[1985][2]~q\ & ((\led_flash_cnt[1985][1]~54671\) # (GND)))
-- \led_flash_cnt[1985][2]~54673\ = CARRY((!\led_flash_cnt[1985][1]~54671\) # (!\led_flash_cnt[1985][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1985][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1985][1]~54671\,
	combout => \led_flash_cnt[1985][2]~54672_combout\,
	cout => \led_flash_cnt[1985][2]~54673\);

-- Location: FF_X56_Y27_N7
\led_flash_cnt[1985][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1985][2]~54672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1985][2]~q\);

-- Location: LCCOMB_X56_Y27_N8
\led_flash_cnt[1985][3]~54674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1985][3]~54674_combout\ = (\led_flash_cnt[1985][3]~q\ & (\led_flash_cnt[1985][2]~54673\ $ (GND))) # (!\led_flash_cnt[1985][3]~q\ & (!\led_flash_cnt[1985][2]~54673\ & VCC))
-- \led_flash_cnt[1985][3]~54675\ = CARRY((\led_flash_cnt[1985][3]~q\ & !\led_flash_cnt[1985][2]~54673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1985][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1985][2]~54673\,
	combout => \led_flash_cnt[1985][3]~54674_combout\,
	cout => \led_flash_cnt[1985][3]~54675\);

-- Location: FF_X56_Y27_N9
\led_flash_cnt[1985][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1985][3]~54674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1985][3]~q\);

-- Location: LCCOMB_X56_Y27_N10
\led_flash_cnt[1985][4]~54676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1985][4]~54676_combout\ = (\led_flash_cnt[1985][4]~q\ & (!\led_flash_cnt[1985][3]~54675\)) # (!\led_flash_cnt[1985][4]~q\ & ((\led_flash_cnt[1985][3]~54675\) # (GND)))
-- \led_flash_cnt[1985][4]~54677\ = CARRY((!\led_flash_cnt[1985][3]~54675\) # (!\led_flash_cnt[1985][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1985][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1985][3]~54675\,
	combout => \led_flash_cnt[1985][4]~54676_combout\,
	cout => \led_flash_cnt[1985][4]~54677\);

-- Location: FF_X56_Y27_N11
\led_flash_cnt[1985][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1985][4]~54676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1985][4]~q\);

-- Location: LCCOMB_X56_Y27_N12
\led_flash_cnt[1985][5]~54678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1985][5]~54678_combout\ = (\led_flash_cnt[1985][5]~q\ & (\led_flash_cnt[1985][4]~54677\ $ (GND))) # (!\led_flash_cnt[1985][5]~q\ & (!\led_flash_cnt[1985][4]~54677\ & VCC))
-- \led_flash_cnt[1985][5]~54679\ = CARRY((\led_flash_cnt[1985][5]~q\ & !\led_flash_cnt[1985][4]~54677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1985][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1985][4]~54677\,
	combout => \led_flash_cnt[1985][5]~54678_combout\,
	cout => \led_flash_cnt[1985][5]~54679\);

-- Location: FF_X56_Y27_N13
\led_flash_cnt[1985][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1985][5]~54678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1985][5]~q\);

-- Location: LCCOMB_X56_Y27_N14
\led_flash_cnt[1985][6]~54680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1985][6]~54680_combout\ = (\led_flash_cnt[1985][6]~q\ & (!\led_flash_cnt[1985][5]~54679\)) # (!\led_flash_cnt[1985][6]~q\ & ((\led_flash_cnt[1985][5]~54679\) # (GND)))
-- \led_flash_cnt[1985][6]~54681\ = CARRY((!\led_flash_cnt[1985][5]~54679\) # (!\led_flash_cnt[1985][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1985][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1985][5]~54679\,
	combout => \led_flash_cnt[1985][6]~54680_combout\,
	cout => \led_flash_cnt[1985][6]~54681\);

-- Location: FF_X56_Y27_N15
\led_flash_cnt[1985][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1985][6]~54680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1985][6]~q\);

-- Location: LCCOMB_X56_Y27_N16
\led_flash_cnt[1985][7]~54682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1985][7]~54682_combout\ = \led_flash_cnt[1985][6]~54681\ $ (!\led_flash_cnt[1985][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1985][7]~q\,
	cin => \led_flash_cnt[1985][6]~54681\,
	combout => \led_flash_cnt[1985][7]~54682_combout\);

-- Location: FF_X56_Y27_N17
\led_flash_cnt[1985][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1985][7]~54682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1985][7]~q\);

-- Location: LCCOMB_X56_Y27_N22
\WideAnd1985~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1985~1_combout\ = (\led_flash_cnt[1985][6]~q\ & \led_flash_cnt[1985][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1985][6]~q\,
	datad => \led_flash_cnt[1985][5]~q\,
	combout => \WideAnd1985~1_combout\);

-- Location: LCCOMB_X56_Y27_N18
\WideAnd1985~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1985~0_combout\ = (\led_flash_cnt[1985][4]~q\ & (\led_flash_cnt[1985][1]~q\ & (\led_flash_cnt[1985][3]~q\ & \led_flash_cnt[1985][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1985][4]~q\,
	datab => \led_flash_cnt[1985][1]~q\,
	datac => \led_flash_cnt[1985][3]~q\,
	datad => \led_flash_cnt[1985][2]~q\,
	combout => \WideAnd1985~0_combout\);

-- Location: LCCOMB_X56_Y27_N28
WideAnd1985 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1985~combout\ = (\led_flash_cnt[1985][0]~q\ & (\led_flash_cnt[1985][7]~q\ & (\WideAnd1985~1_combout\ & \WideAnd1985~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1985][0]~q\,
	datab => \led_flash_cnt[1985][7]~q\,
	datac => \WideAnd1985~1_combout\,
	datad => \WideAnd1985~0_combout\,
	combout => \WideAnd1985~combout\);

-- Location: FF_X56_Y27_N29
\led_flash_cnt_ands[1985]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1985~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1985));

-- Location: LCCOMB_X50_Y25_N20
\led_flash_cnt[1987][0]~82627\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1987][0]~82627_combout\ = !\led_flash_cnt[1987][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1987][0]~q\,
	combout => \led_flash_cnt[1987][0]~82627_combout\);

-- Location: FF_X50_Y25_N21
\led_flash_cnt[1987][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1987][0]~82627_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1987][0]~q\);

-- Location: LCCOMB_X50_Y25_N6
\led_flash_cnt[1987][1]~54698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1987][1]~54698_combout\ = (\led_flash_cnt[1987][1]~q\ & (\led_flash_cnt[1987][0]~q\ $ (VCC))) # (!\led_flash_cnt[1987][1]~q\ & (\led_flash_cnt[1987][0]~q\ & VCC))
-- \led_flash_cnt[1987][1]~54699\ = CARRY((\led_flash_cnt[1987][1]~q\ & \led_flash_cnt[1987][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1987][1]~q\,
	datab => \led_flash_cnt[1987][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1987][1]~54698_combout\,
	cout => \led_flash_cnt[1987][1]~54699\);

-- Location: FF_X50_Y25_N7
\led_flash_cnt[1987][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1987][1]~54698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1987][1]~q\);

-- Location: LCCOMB_X50_Y25_N8
\led_flash_cnt[1987][2]~54700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1987][2]~54700_combout\ = (\led_flash_cnt[1987][2]~q\ & (!\led_flash_cnt[1987][1]~54699\)) # (!\led_flash_cnt[1987][2]~q\ & ((\led_flash_cnt[1987][1]~54699\) # (GND)))
-- \led_flash_cnt[1987][2]~54701\ = CARRY((!\led_flash_cnt[1987][1]~54699\) # (!\led_flash_cnt[1987][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1987][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1987][1]~54699\,
	combout => \led_flash_cnt[1987][2]~54700_combout\,
	cout => \led_flash_cnt[1987][2]~54701\);

-- Location: FF_X50_Y25_N9
\led_flash_cnt[1987][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1987][2]~54700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1987][2]~q\);

-- Location: LCCOMB_X50_Y25_N10
\led_flash_cnt[1987][3]~54702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1987][3]~54702_combout\ = (\led_flash_cnt[1987][3]~q\ & (\led_flash_cnt[1987][2]~54701\ $ (GND))) # (!\led_flash_cnt[1987][3]~q\ & (!\led_flash_cnt[1987][2]~54701\ & VCC))
-- \led_flash_cnt[1987][3]~54703\ = CARRY((\led_flash_cnt[1987][3]~q\ & !\led_flash_cnt[1987][2]~54701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1987][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1987][2]~54701\,
	combout => \led_flash_cnt[1987][3]~54702_combout\,
	cout => \led_flash_cnt[1987][3]~54703\);

-- Location: FF_X50_Y25_N11
\led_flash_cnt[1987][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1987][3]~54702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1987][3]~q\);

-- Location: LCCOMB_X50_Y25_N12
\led_flash_cnt[1987][4]~54704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1987][4]~54704_combout\ = (\led_flash_cnt[1987][4]~q\ & (!\led_flash_cnt[1987][3]~54703\)) # (!\led_flash_cnt[1987][4]~q\ & ((\led_flash_cnt[1987][3]~54703\) # (GND)))
-- \led_flash_cnt[1987][4]~54705\ = CARRY((!\led_flash_cnt[1987][3]~54703\) # (!\led_flash_cnt[1987][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1987][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1987][3]~54703\,
	combout => \led_flash_cnt[1987][4]~54704_combout\,
	cout => \led_flash_cnt[1987][4]~54705\);

-- Location: FF_X50_Y25_N13
\led_flash_cnt[1987][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1987][4]~54704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1987][4]~q\);

-- Location: LCCOMB_X50_Y25_N22
\WideAnd1987~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1987~0_combout\ = (\led_flash_cnt[1987][4]~q\ & (\led_flash_cnt[1987][1]~q\ & (\led_flash_cnt[1987][2]~q\ & \led_flash_cnt[1987][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1987][4]~q\,
	datab => \led_flash_cnt[1987][1]~q\,
	datac => \led_flash_cnt[1987][2]~q\,
	datad => \led_flash_cnt[1987][3]~q\,
	combout => \WideAnd1987~0_combout\);

-- Location: LCCOMB_X50_Y25_N14
\led_flash_cnt[1987][5]~54706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1987][5]~54706_combout\ = (\led_flash_cnt[1987][5]~q\ & (\led_flash_cnt[1987][4]~54705\ $ (GND))) # (!\led_flash_cnt[1987][5]~q\ & (!\led_flash_cnt[1987][4]~54705\ & VCC))
-- \led_flash_cnt[1987][5]~54707\ = CARRY((\led_flash_cnt[1987][5]~q\ & !\led_flash_cnt[1987][4]~54705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1987][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1987][4]~54705\,
	combout => \led_flash_cnt[1987][5]~54706_combout\,
	cout => \led_flash_cnt[1987][5]~54707\);

-- Location: FF_X50_Y25_N15
\led_flash_cnt[1987][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1987][5]~54706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1987][5]~q\);

-- Location: LCCOMB_X50_Y25_N16
\led_flash_cnt[1987][6]~54708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1987][6]~54708_combout\ = (\led_flash_cnt[1987][6]~q\ & (!\led_flash_cnt[1987][5]~54707\)) # (!\led_flash_cnt[1987][6]~q\ & ((\led_flash_cnt[1987][5]~54707\) # (GND)))
-- \led_flash_cnt[1987][6]~54709\ = CARRY((!\led_flash_cnt[1987][5]~54707\) # (!\led_flash_cnt[1987][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1987][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1987][5]~54707\,
	combout => \led_flash_cnt[1987][6]~54708_combout\,
	cout => \led_flash_cnt[1987][6]~54709\);

-- Location: FF_X50_Y25_N17
\led_flash_cnt[1987][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1987][6]~54708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1987][6]~q\);

-- Location: LCCOMB_X50_Y25_N18
\led_flash_cnt[1987][7]~54710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1987][7]~54710_combout\ = \led_flash_cnt[1987][6]~54709\ $ (!\led_flash_cnt[1987][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1987][7]~q\,
	cin => \led_flash_cnt[1987][6]~54709\,
	combout => \led_flash_cnt[1987][7]~54710_combout\);

-- Location: FF_X50_Y25_N19
\led_flash_cnt[1987][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1987][7]~54710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1987][7]~q\);

-- Location: LCCOMB_X50_Y25_N30
\WideAnd1987~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1987~1_combout\ = (\led_flash_cnt[1987][5]~q\ & \led_flash_cnt[1987][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1987][5]~q\,
	datad => \led_flash_cnt[1987][6]~q\,
	combout => \WideAnd1987~1_combout\);

-- Location: LCCOMB_X50_Y25_N26
WideAnd1987 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1987~combout\ = (\WideAnd1987~0_combout\ & (\led_flash_cnt[1987][7]~q\ & (\WideAnd1987~1_combout\ & \led_flash_cnt[1987][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1987~0_combout\,
	datab => \led_flash_cnt[1987][7]~q\,
	datac => \WideAnd1987~1_combout\,
	datad => \led_flash_cnt[1987][0]~q\,
	combout => \WideAnd1987~combout\);

-- Location: FF_X50_Y25_N27
\led_flash_cnt_ands[1987]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1987~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1987));

-- Location: LCCOMB_X49_Y21_N20
\WideAnd4088~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4088~0_combout\ = (led_flash_cnt_ands(1986) & (led_flash_cnt_ands(1984) & (led_flash_cnt_ands(1985) & led_flash_cnt_ands(1987))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1986),
	datab => led_flash_cnt_ands(1984),
	datac => led_flash_cnt_ands(1985),
	datad => led_flash_cnt_ands(1987),
	combout => \WideAnd4088~0_combout\);

-- Location: LCCOMB_X44_Y3_N6
\led_flash_cnt[1989][0]~82629\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1989][0]~82629_combout\ = !\led_flash_cnt[1989][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1989][0]~q\,
	combout => \led_flash_cnt[1989][0]~82629_combout\);

-- Location: FF_X44_Y3_N7
\led_flash_cnt[1989][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1989][0]~82629_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1989][0]~q\);

-- Location: LCCOMB_X44_Y3_N14
\led_flash_cnt[1989][1]~54726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1989][1]~54726_combout\ = (\led_flash_cnt[1989][0]~q\ & (\led_flash_cnt[1989][1]~q\ $ (VCC))) # (!\led_flash_cnt[1989][0]~q\ & (\led_flash_cnt[1989][1]~q\ & VCC))
-- \led_flash_cnt[1989][1]~54727\ = CARRY((\led_flash_cnt[1989][0]~q\ & \led_flash_cnt[1989][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1989][0]~q\,
	datab => \led_flash_cnt[1989][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1989][1]~54726_combout\,
	cout => \led_flash_cnt[1989][1]~54727\);

-- Location: FF_X44_Y3_N15
\led_flash_cnt[1989][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1989][1]~54726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1989][1]~q\);

-- Location: LCCOMB_X44_Y3_N16
\led_flash_cnt[1989][2]~54728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1989][2]~54728_combout\ = (\led_flash_cnt[1989][2]~q\ & (!\led_flash_cnt[1989][1]~54727\)) # (!\led_flash_cnt[1989][2]~q\ & ((\led_flash_cnt[1989][1]~54727\) # (GND)))
-- \led_flash_cnt[1989][2]~54729\ = CARRY((!\led_flash_cnt[1989][1]~54727\) # (!\led_flash_cnt[1989][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1989][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1989][1]~54727\,
	combout => \led_flash_cnt[1989][2]~54728_combout\,
	cout => \led_flash_cnt[1989][2]~54729\);

-- Location: FF_X44_Y3_N17
\led_flash_cnt[1989][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1989][2]~54728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1989][2]~q\);

-- Location: LCCOMB_X44_Y3_N18
\led_flash_cnt[1989][3]~54730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1989][3]~54730_combout\ = (\led_flash_cnt[1989][3]~q\ & (\led_flash_cnt[1989][2]~54729\ $ (GND))) # (!\led_flash_cnt[1989][3]~q\ & (!\led_flash_cnt[1989][2]~54729\ & VCC))
-- \led_flash_cnt[1989][3]~54731\ = CARRY((\led_flash_cnt[1989][3]~q\ & !\led_flash_cnt[1989][2]~54729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1989][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1989][2]~54729\,
	combout => \led_flash_cnt[1989][3]~54730_combout\,
	cout => \led_flash_cnt[1989][3]~54731\);

-- Location: FF_X44_Y3_N19
\led_flash_cnt[1989][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1989][3]~54730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1989][3]~q\);

-- Location: LCCOMB_X44_Y3_N20
\led_flash_cnt[1989][4]~54732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1989][4]~54732_combout\ = (\led_flash_cnt[1989][4]~q\ & (!\led_flash_cnt[1989][3]~54731\)) # (!\led_flash_cnt[1989][4]~q\ & ((\led_flash_cnt[1989][3]~54731\) # (GND)))
-- \led_flash_cnt[1989][4]~54733\ = CARRY((!\led_flash_cnt[1989][3]~54731\) # (!\led_flash_cnt[1989][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1989][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1989][3]~54731\,
	combout => \led_flash_cnt[1989][4]~54732_combout\,
	cout => \led_flash_cnt[1989][4]~54733\);

-- Location: FF_X44_Y3_N21
\led_flash_cnt[1989][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1989][4]~54732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1989][4]~q\);

-- Location: LCCOMB_X44_Y3_N22
\led_flash_cnt[1989][5]~54734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1989][5]~54734_combout\ = (\led_flash_cnt[1989][5]~q\ & (\led_flash_cnt[1989][4]~54733\ $ (GND))) # (!\led_flash_cnt[1989][5]~q\ & (!\led_flash_cnt[1989][4]~54733\ & VCC))
-- \led_flash_cnt[1989][5]~54735\ = CARRY((\led_flash_cnt[1989][5]~q\ & !\led_flash_cnt[1989][4]~54733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1989][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1989][4]~54733\,
	combout => \led_flash_cnt[1989][5]~54734_combout\,
	cout => \led_flash_cnt[1989][5]~54735\);

-- Location: FF_X44_Y3_N23
\led_flash_cnt[1989][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1989][5]~54734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1989][5]~q\);

-- Location: LCCOMB_X44_Y3_N24
\led_flash_cnt[1989][6]~54736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1989][6]~54736_combout\ = (\led_flash_cnt[1989][6]~q\ & (!\led_flash_cnt[1989][5]~54735\)) # (!\led_flash_cnt[1989][6]~q\ & ((\led_flash_cnt[1989][5]~54735\) # (GND)))
-- \led_flash_cnt[1989][6]~54737\ = CARRY((!\led_flash_cnt[1989][5]~54735\) # (!\led_flash_cnt[1989][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1989][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1989][5]~54735\,
	combout => \led_flash_cnt[1989][6]~54736_combout\,
	cout => \led_flash_cnt[1989][6]~54737\);

-- Location: FF_X44_Y3_N25
\led_flash_cnt[1989][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1989][6]~54736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1989][6]~q\);

-- Location: LCCOMB_X44_Y3_N30
\WideAnd1989~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1989~1_combout\ = (\led_flash_cnt[1989][5]~q\ & \led_flash_cnt[1989][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1989][5]~q\,
	datad => \led_flash_cnt[1989][6]~q\,
	combout => \WideAnd1989~1_combout\);

-- Location: LCCOMB_X44_Y3_N4
\WideAnd1989~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1989~0_combout\ = (\led_flash_cnt[1989][3]~q\ & (\led_flash_cnt[1989][4]~q\ & (\led_flash_cnt[1989][1]~q\ & \led_flash_cnt[1989][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1989][3]~q\,
	datab => \led_flash_cnt[1989][4]~q\,
	datac => \led_flash_cnt[1989][1]~q\,
	datad => \led_flash_cnt[1989][2]~q\,
	combout => \WideAnd1989~0_combout\);

-- Location: LCCOMB_X44_Y3_N26
\led_flash_cnt[1989][7]~54738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1989][7]~54738_combout\ = \led_flash_cnt[1989][7]~q\ $ (!\led_flash_cnt[1989][6]~54737\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1989][7]~q\,
	cin => \led_flash_cnt[1989][6]~54737\,
	combout => \led_flash_cnt[1989][7]~54738_combout\);

-- Location: FF_X44_Y3_N27
\led_flash_cnt[1989][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1989][7]~54738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1989][7]~q\);

-- Location: LCCOMB_X44_Y3_N10
WideAnd1989 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1989~combout\ = (\WideAnd1989~1_combout\ & (\WideAnd1989~0_combout\ & (\led_flash_cnt[1989][7]~q\ & \led_flash_cnt[1989][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1989~1_combout\,
	datab => \WideAnd1989~0_combout\,
	datac => \led_flash_cnt[1989][7]~q\,
	datad => \led_flash_cnt[1989][0]~q\,
	combout => \WideAnd1989~combout\);

-- Location: FF_X44_Y3_N11
\led_flash_cnt_ands[1989]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1989~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1989));

-- Location: LCCOMB_X44_Y3_N2
\led_flash_cnt[1988][0]~82628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1988][0]~82628_combout\ = !\led_flash_cnt[1988][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1988][0]~q\,
	combout => \led_flash_cnt[1988][0]~82628_combout\);

-- Location: FF_X44_Y3_N3
\led_flash_cnt[1988][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1988][0]~82628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1988][0]~q\);

-- Location: LCCOMB_X43_Y3_N2
\led_flash_cnt[1988][1]~54712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1988][1]~54712_combout\ = (\led_flash_cnt[1988][0]~q\ & (\led_flash_cnt[1988][1]~q\ $ (VCC))) # (!\led_flash_cnt[1988][0]~q\ & (\led_flash_cnt[1988][1]~q\ & VCC))
-- \led_flash_cnt[1988][1]~54713\ = CARRY((\led_flash_cnt[1988][0]~q\ & \led_flash_cnt[1988][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1988][0]~q\,
	datab => \led_flash_cnt[1988][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1988][1]~54712_combout\,
	cout => \led_flash_cnt[1988][1]~54713\);

-- Location: FF_X43_Y3_N3
\led_flash_cnt[1988][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1988][1]~54712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1988][1]~q\);

-- Location: LCCOMB_X43_Y3_N4
\led_flash_cnt[1988][2]~54714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1988][2]~54714_combout\ = (\led_flash_cnt[1988][2]~q\ & (!\led_flash_cnt[1988][1]~54713\)) # (!\led_flash_cnt[1988][2]~q\ & ((\led_flash_cnt[1988][1]~54713\) # (GND)))
-- \led_flash_cnt[1988][2]~54715\ = CARRY((!\led_flash_cnt[1988][1]~54713\) # (!\led_flash_cnt[1988][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1988][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1988][1]~54713\,
	combout => \led_flash_cnt[1988][2]~54714_combout\,
	cout => \led_flash_cnt[1988][2]~54715\);

-- Location: FF_X43_Y3_N5
\led_flash_cnt[1988][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1988][2]~54714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1988][2]~q\);

-- Location: LCCOMB_X43_Y3_N6
\led_flash_cnt[1988][3]~54716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1988][3]~54716_combout\ = (\led_flash_cnt[1988][3]~q\ & (\led_flash_cnt[1988][2]~54715\ $ (GND))) # (!\led_flash_cnt[1988][3]~q\ & (!\led_flash_cnt[1988][2]~54715\ & VCC))
-- \led_flash_cnt[1988][3]~54717\ = CARRY((\led_flash_cnt[1988][3]~q\ & !\led_flash_cnt[1988][2]~54715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1988][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1988][2]~54715\,
	combout => \led_flash_cnt[1988][3]~54716_combout\,
	cout => \led_flash_cnt[1988][3]~54717\);

-- Location: FF_X43_Y3_N7
\led_flash_cnt[1988][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1988][3]~54716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1988][3]~q\);

-- Location: LCCOMB_X43_Y3_N8
\led_flash_cnt[1988][4]~54718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1988][4]~54718_combout\ = (\led_flash_cnt[1988][4]~q\ & (!\led_flash_cnt[1988][3]~54717\)) # (!\led_flash_cnt[1988][4]~q\ & ((\led_flash_cnt[1988][3]~54717\) # (GND)))
-- \led_flash_cnt[1988][4]~54719\ = CARRY((!\led_flash_cnt[1988][3]~54717\) # (!\led_flash_cnt[1988][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1988][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1988][3]~54717\,
	combout => \led_flash_cnt[1988][4]~54718_combout\,
	cout => \led_flash_cnt[1988][4]~54719\);

-- Location: FF_X43_Y3_N9
\led_flash_cnt[1988][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1988][4]~54718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1988][4]~q\);

-- Location: LCCOMB_X43_Y3_N10
\led_flash_cnt[1988][5]~54720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1988][5]~54720_combout\ = (\led_flash_cnt[1988][5]~q\ & (\led_flash_cnt[1988][4]~54719\ $ (GND))) # (!\led_flash_cnt[1988][5]~q\ & (!\led_flash_cnt[1988][4]~54719\ & VCC))
-- \led_flash_cnt[1988][5]~54721\ = CARRY((\led_flash_cnt[1988][5]~q\ & !\led_flash_cnt[1988][4]~54719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1988][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1988][4]~54719\,
	combout => \led_flash_cnt[1988][5]~54720_combout\,
	cout => \led_flash_cnt[1988][5]~54721\);

-- Location: FF_X43_Y3_N11
\led_flash_cnt[1988][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1988][5]~54720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1988][5]~q\);

-- Location: LCCOMB_X43_Y3_N12
\led_flash_cnt[1988][6]~54722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1988][6]~54722_combout\ = (\led_flash_cnt[1988][6]~q\ & (!\led_flash_cnt[1988][5]~54721\)) # (!\led_flash_cnt[1988][6]~q\ & ((\led_flash_cnt[1988][5]~54721\) # (GND)))
-- \led_flash_cnt[1988][6]~54723\ = CARRY((!\led_flash_cnt[1988][5]~54721\) # (!\led_flash_cnt[1988][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1988][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1988][5]~54721\,
	combout => \led_flash_cnt[1988][6]~54722_combout\,
	cout => \led_flash_cnt[1988][6]~54723\);

-- Location: FF_X43_Y3_N13
\led_flash_cnt[1988][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1988][6]~54722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1988][6]~q\);

-- Location: LCCOMB_X43_Y3_N14
\led_flash_cnt[1988][7]~54724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1988][7]~54724_combout\ = \led_flash_cnt[1988][7]~q\ $ (!\led_flash_cnt[1988][6]~54723\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1988][7]~q\,
	cin => \led_flash_cnt[1988][6]~54723\,
	combout => \led_flash_cnt[1988][7]~54724_combout\);

-- Location: FF_X43_Y3_N15
\led_flash_cnt[1988][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1988][7]~54724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1988][7]~q\);

-- Location: LCCOMB_X44_Y3_N28
\WideAnd1988~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1988~1_combout\ = (\led_flash_cnt[1988][6]~q\ & \led_flash_cnt[1988][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1988][6]~q\,
	datad => \led_flash_cnt[1988][5]~q\,
	combout => \WideAnd1988~1_combout\);

-- Location: LCCOMB_X43_Y3_N16
\WideAnd1988~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1988~0_combout\ = (\led_flash_cnt[1988][3]~q\ & (\led_flash_cnt[1988][4]~q\ & (\led_flash_cnt[1988][2]~q\ & \led_flash_cnt[1988][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1988][3]~q\,
	datab => \led_flash_cnt[1988][4]~q\,
	datac => \led_flash_cnt[1988][2]~q\,
	datad => \led_flash_cnt[1988][1]~q\,
	combout => \WideAnd1988~0_combout\);

-- Location: LCCOMB_X44_Y3_N8
WideAnd1988 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1988~combout\ = (\led_flash_cnt[1988][7]~q\ & (\WideAnd1988~1_combout\ & (\WideAnd1988~0_combout\ & \led_flash_cnt[1988][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1988][7]~q\,
	datab => \WideAnd1988~1_combout\,
	datac => \WideAnd1988~0_combout\,
	datad => \led_flash_cnt[1988][0]~q\,
	combout => \WideAnd1988~combout\);

-- Location: FF_X44_Y3_N9
\led_flash_cnt_ands[1988]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1988~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1988));

-- Location: LCCOMB_X44_Y5_N28
\WideAnd4088~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4088~1_combout\ = (led_flash_cnt_ands(1989) & led_flash_cnt_ands(1988))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1989),
	datad => led_flash_cnt_ands(1988),
	combout => \WideAnd4088~1_combout\);

-- Location: LCCOMB_X43_Y5_N4
WideAnd4088 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4088~combout\ = (led_flash_cnt_ands(1990) & (led_flash_cnt_ands(1991) & (\WideAnd4088~0_combout\ & \WideAnd4088~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1990),
	datab => led_flash_cnt_ands(1991),
	datac => \WideAnd4088~0_combout\,
	datad => \WideAnd4088~1_combout\,
	combout => \WideAnd4088~combout\);

-- Location: FF_X43_Y5_N5
\led_flash_cnt_ands_1[248]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4088~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(248));

-- Location: LCCOMB_X18_Y22_N12
\led_flash_cnt[2000][0]~82640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2000][0]~82640_combout\ = !\led_flash_cnt[2000][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2000][0]~q\,
	combout => \led_flash_cnt[2000][0]~82640_combout\);

-- Location: FF_X18_Y22_N13
\led_flash_cnt[2000][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2000][0]~82640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2000][0]~q\);

-- Location: LCCOMB_X18_Y22_N14
\led_flash_cnt[2000][1]~54880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2000][1]~54880_combout\ = (\led_flash_cnt[2000][0]~q\ & (\led_flash_cnt[2000][1]~q\ $ (VCC))) # (!\led_flash_cnt[2000][0]~q\ & (\led_flash_cnt[2000][1]~q\ & VCC))
-- \led_flash_cnt[2000][1]~54881\ = CARRY((\led_flash_cnt[2000][0]~q\ & \led_flash_cnt[2000][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2000][0]~q\,
	datab => \led_flash_cnt[2000][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2000][1]~54880_combout\,
	cout => \led_flash_cnt[2000][1]~54881\);

-- Location: FF_X18_Y22_N15
\led_flash_cnt[2000][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2000][1]~54880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2000][1]~q\);

-- Location: LCCOMB_X18_Y22_N16
\led_flash_cnt[2000][2]~54882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2000][2]~54882_combout\ = (\led_flash_cnt[2000][2]~q\ & (!\led_flash_cnt[2000][1]~54881\)) # (!\led_flash_cnt[2000][2]~q\ & ((\led_flash_cnt[2000][1]~54881\) # (GND)))
-- \led_flash_cnt[2000][2]~54883\ = CARRY((!\led_flash_cnt[2000][1]~54881\) # (!\led_flash_cnt[2000][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2000][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2000][1]~54881\,
	combout => \led_flash_cnt[2000][2]~54882_combout\,
	cout => \led_flash_cnt[2000][2]~54883\);

-- Location: FF_X18_Y22_N17
\led_flash_cnt[2000][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2000][2]~54882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2000][2]~q\);

-- Location: LCCOMB_X18_Y22_N18
\led_flash_cnt[2000][3]~54884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2000][3]~54884_combout\ = (\led_flash_cnt[2000][3]~q\ & (\led_flash_cnt[2000][2]~54883\ $ (GND))) # (!\led_flash_cnt[2000][3]~q\ & (!\led_flash_cnt[2000][2]~54883\ & VCC))
-- \led_flash_cnt[2000][3]~54885\ = CARRY((\led_flash_cnt[2000][3]~q\ & !\led_flash_cnt[2000][2]~54883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2000][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2000][2]~54883\,
	combout => \led_flash_cnt[2000][3]~54884_combout\,
	cout => \led_flash_cnt[2000][3]~54885\);

-- Location: FF_X18_Y22_N19
\led_flash_cnt[2000][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2000][3]~54884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2000][3]~q\);

-- Location: LCCOMB_X18_Y22_N20
\led_flash_cnt[2000][4]~54886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2000][4]~54886_combout\ = (\led_flash_cnt[2000][4]~q\ & (!\led_flash_cnt[2000][3]~54885\)) # (!\led_flash_cnt[2000][4]~q\ & ((\led_flash_cnt[2000][3]~54885\) # (GND)))
-- \led_flash_cnt[2000][4]~54887\ = CARRY((!\led_flash_cnt[2000][3]~54885\) # (!\led_flash_cnt[2000][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2000][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2000][3]~54885\,
	combout => \led_flash_cnt[2000][4]~54886_combout\,
	cout => \led_flash_cnt[2000][4]~54887\);

-- Location: FF_X18_Y22_N21
\led_flash_cnt[2000][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2000][4]~54886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2000][4]~q\);

-- Location: LCCOMB_X18_Y22_N22
\led_flash_cnt[2000][5]~54888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2000][5]~54888_combout\ = (\led_flash_cnt[2000][5]~q\ & (\led_flash_cnt[2000][4]~54887\ $ (GND))) # (!\led_flash_cnt[2000][5]~q\ & (!\led_flash_cnt[2000][4]~54887\ & VCC))
-- \led_flash_cnt[2000][5]~54889\ = CARRY((\led_flash_cnt[2000][5]~q\ & !\led_flash_cnt[2000][4]~54887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2000][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2000][4]~54887\,
	combout => \led_flash_cnt[2000][5]~54888_combout\,
	cout => \led_flash_cnt[2000][5]~54889\);

-- Location: FF_X18_Y22_N23
\led_flash_cnt[2000][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2000][5]~54888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2000][5]~q\);

-- Location: LCCOMB_X18_Y22_N24
\led_flash_cnt[2000][6]~54890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2000][6]~54890_combout\ = (\led_flash_cnt[2000][6]~q\ & (!\led_flash_cnt[2000][5]~54889\)) # (!\led_flash_cnt[2000][6]~q\ & ((\led_flash_cnt[2000][5]~54889\) # (GND)))
-- \led_flash_cnt[2000][6]~54891\ = CARRY((!\led_flash_cnt[2000][5]~54889\) # (!\led_flash_cnt[2000][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2000][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2000][5]~54889\,
	combout => \led_flash_cnt[2000][6]~54890_combout\,
	cout => \led_flash_cnt[2000][6]~54891\);

-- Location: FF_X18_Y22_N25
\led_flash_cnt[2000][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2000][6]~54890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2000][6]~q\);

-- Location: LCCOMB_X18_Y22_N26
\led_flash_cnt[2000][7]~54892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2000][7]~54892_combout\ = \led_flash_cnt[2000][7]~q\ $ (!\led_flash_cnt[2000][6]~54891\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2000][7]~q\,
	cin => \led_flash_cnt[2000][6]~54891\,
	combout => \led_flash_cnt[2000][7]~54892_combout\);

-- Location: FF_X18_Y22_N27
\led_flash_cnt[2000][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2000][7]~54892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2000][7]~q\);

-- Location: LCCOMB_X18_Y22_N4
\WideAnd2000~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2000~0_combout\ = (\led_flash_cnt[2000][2]~q\ & (\led_flash_cnt[2000][3]~q\ & (\led_flash_cnt[2000][1]~q\ & \led_flash_cnt[2000][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2000][2]~q\,
	datab => \led_flash_cnt[2000][3]~q\,
	datac => \led_flash_cnt[2000][1]~q\,
	datad => \led_flash_cnt[2000][4]~q\,
	combout => \WideAnd2000~0_combout\);

-- Location: LCCOMB_X18_Y22_N8
\WideAnd2000~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2000~1_combout\ = (\led_flash_cnt[2000][5]~q\ & \led_flash_cnt[2000][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2000][5]~q\,
	datad => \led_flash_cnt[2000][6]~q\,
	combout => \WideAnd2000~1_combout\);

-- Location: LCCOMB_X18_Y22_N30
WideAnd2000 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2000~combout\ = (\led_flash_cnt[2000][7]~q\ & (\WideAnd2000~0_combout\ & (\WideAnd2000~1_combout\ & \led_flash_cnt[2000][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2000][7]~q\,
	datab => \WideAnd2000~0_combout\,
	datac => \WideAnd2000~1_combout\,
	datad => \led_flash_cnt[2000][0]~q\,
	combout => \WideAnd2000~combout\);

-- Location: FF_X18_Y22_N31
\led_flash_cnt_ands[2000]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2000~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2000));

-- Location: LCCOMB_X29_Y21_N18
\led_flash_cnt[2001][0]~82641\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2001][0]~82641_combout\ = !\led_flash_cnt[2001][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2001][0]~q\,
	combout => \led_flash_cnt[2001][0]~82641_combout\);

-- Location: FF_X29_Y21_N19
\led_flash_cnt[2001][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2001][0]~82641_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2001][0]~q\);

-- Location: LCCOMB_X29_Y21_N4
\led_flash_cnt[2001][1]~54894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2001][1]~54894_combout\ = (\led_flash_cnt[2001][1]~q\ & (\led_flash_cnt[2001][0]~q\ $ (VCC))) # (!\led_flash_cnt[2001][1]~q\ & (\led_flash_cnt[2001][0]~q\ & VCC))
-- \led_flash_cnt[2001][1]~54895\ = CARRY((\led_flash_cnt[2001][1]~q\ & \led_flash_cnt[2001][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2001][1]~q\,
	datab => \led_flash_cnt[2001][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2001][1]~54894_combout\,
	cout => \led_flash_cnt[2001][1]~54895\);

-- Location: FF_X29_Y21_N5
\led_flash_cnt[2001][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2001][1]~54894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2001][1]~q\);

-- Location: LCCOMB_X29_Y21_N6
\led_flash_cnt[2001][2]~54896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2001][2]~54896_combout\ = (\led_flash_cnt[2001][2]~q\ & (!\led_flash_cnt[2001][1]~54895\)) # (!\led_flash_cnt[2001][2]~q\ & ((\led_flash_cnt[2001][1]~54895\) # (GND)))
-- \led_flash_cnt[2001][2]~54897\ = CARRY((!\led_flash_cnt[2001][1]~54895\) # (!\led_flash_cnt[2001][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2001][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2001][1]~54895\,
	combout => \led_flash_cnt[2001][2]~54896_combout\,
	cout => \led_flash_cnt[2001][2]~54897\);

-- Location: FF_X29_Y21_N7
\led_flash_cnt[2001][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2001][2]~54896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2001][2]~q\);

-- Location: LCCOMB_X29_Y21_N8
\led_flash_cnt[2001][3]~54898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2001][3]~54898_combout\ = (\led_flash_cnt[2001][3]~q\ & (\led_flash_cnt[2001][2]~54897\ $ (GND))) # (!\led_flash_cnt[2001][3]~q\ & (!\led_flash_cnt[2001][2]~54897\ & VCC))
-- \led_flash_cnt[2001][3]~54899\ = CARRY((\led_flash_cnt[2001][3]~q\ & !\led_flash_cnt[2001][2]~54897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2001][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2001][2]~54897\,
	combout => \led_flash_cnt[2001][3]~54898_combout\,
	cout => \led_flash_cnt[2001][3]~54899\);

-- Location: FF_X29_Y21_N9
\led_flash_cnt[2001][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2001][3]~54898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2001][3]~q\);

-- Location: LCCOMB_X29_Y21_N10
\led_flash_cnt[2001][4]~54900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2001][4]~54900_combout\ = (\led_flash_cnt[2001][4]~q\ & (!\led_flash_cnt[2001][3]~54899\)) # (!\led_flash_cnt[2001][4]~q\ & ((\led_flash_cnt[2001][3]~54899\) # (GND)))
-- \led_flash_cnt[2001][4]~54901\ = CARRY((!\led_flash_cnt[2001][3]~54899\) # (!\led_flash_cnt[2001][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2001][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2001][3]~54899\,
	combout => \led_flash_cnt[2001][4]~54900_combout\,
	cout => \led_flash_cnt[2001][4]~54901\);

-- Location: FF_X29_Y21_N11
\led_flash_cnt[2001][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2001][4]~54900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2001][4]~q\);

-- Location: LCCOMB_X29_Y21_N12
\led_flash_cnt[2001][5]~54902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2001][5]~54902_combout\ = (\led_flash_cnt[2001][5]~q\ & (\led_flash_cnt[2001][4]~54901\ $ (GND))) # (!\led_flash_cnt[2001][5]~q\ & (!\led_flash_cnt[2001][4]~54901\ & VCC))
-- \led_flash_cnt[2001][5]~54903\ = CARRY((\led_flash_cnt[2001][5]~q\ & !\led_flash_cnt[2001][4]~54901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2001][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2001][4]~54901\,
	combout => \led_flash_cnt[2001][5]~54902_combout\,
	cout => \led_flash_cnt[2001][5]~54903\);

-- Location: FF_X29_Y21_N13
\led_flash_cnt[2001][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2001][5]~54902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2001][5]~q\);

-- Location: LCCOMB_X29_Y21_N14
\led_flash_cnt[2001][6]~54904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2001][6]~54904_combout\ = (\led_flash_cnt[2001][6]~q\ & (!\led_flash_cnt[2001][5]~54903\)) # (!\led_flash_cnt[2001][6]~q\ & ((\led_flash_cnt[2001][5]~54903\) # (GND)))
-- \led_flash_cnt[2001][6]~54905\ = CARRY((!\led_flash_cnt[2001][5]~54903\) # (!\led_flash_cnt[2001][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2001][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2001][5]~54903\,
	combout => \led_flash_cnt[2001][6]~54904_combout\,
	cout => \led_flash_cnt[2001][6]~54905\);

-- Location: FF_X29_Y21_N15
\led_flash_cnt[2001][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2001][6]~54904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2001][6]~q\);

-- Location: LCCOMB_X29_Y21_N26
\WideAnd2001~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2001~1_combout\ = (\led_flash_cnt[2001][6]~q\ & \led_flash_cnt[2001][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2001][6]~q\,
	datad => \led_flash_cnt[2001][5]~q\,
	combout => \WideAnd2001~1_combout\);

-- Location: LCCOMB_X29_Y21_N16
\led_flash_cnt[2001][7]~54906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2001][7]~54906_combout\ = \led_flash_cnt[2001][6]~54905\ $ (!\led_flash_cnt[2001][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2001][7]~q\,
	cin => \led_flash_cnt[2001][6]~54905\,
	combout => \led_flash_cnt[2001][7]~54906_combout\);

-- Location: FF_X29_Y21_N17
\led_flash_cnt[2001][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2001][7]~54906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2001][7]~q\);

-- Location: LCCOMB_X29_Y21_N22
\WideAnd2001~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2001~0_combout\ = (\led_flash_cnt[2001][4]~q\ & (\led_flash_cnt[2001][3]~q\ & (\led_flash_cnt[2001][1]~q\ & \led_flash_cnt[2001][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2001][4]~q\,
	datab => \led_flash_cnt[2001][3]~q\,
	datac => \led_flash_cnt[2001][1]~q\,
	datad => \led_flash_cnt[2001][2]~q\,
	combout => \WideAnd2001~0_combout\);

-- Location: LCCOMB_X29_Y21_N20
WideAnd2001 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2001~combout\ = (\WideAnd2001~1_combout\ & (\led_flash_cnt[2001][7]~q\ & (\WideAnd2001~0_combout\ & \led_flash_cnt[2001][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2001~1_combout\,
	datab => \led_flash_cnt[2001][7]~q\,
	datac => \WideAnd2001~0_combout\,
	datad => \led_flash_cnt[2001][0]~q\,
	combout => \WideAnd2001~combout\);

-- Location: FF_X29_Y21_N21
\led_flash_cnt_ands[2001]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2001~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2001));

-- Location: LCCOMB_X17_Y25_N2
\led_flash_cnt[2002][0]~82642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2002][0]~82642_combout\ = !\led_flash_cnt[2002][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2002][0]~q\,
	combout => \led_flash_cnt[2002][0]~82642_combout\);

-- Location: FF_X17_Y25_N3
\led_flash_cnt[2002][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2002][0]~82642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2002][0]~q\);

-- Location: LCCOMB_X16_Y25_N0
\led_flash_cnt[2002][1]~54908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2002][1]~54908_combout\ = (\led_flash_cnt[2002][0]~q\ & (\led_flash_cnt[2002][1]~q\ $ (VCC))) # (!\led_flash_cnt[2002][0]~q\ & (\led_flash_cnt[2002][1]~q\ & VCC))
-- \led_flash_cnt[2002][1]~54909\ = CARRY((\led_flash_cnt[2002][0]~q\ & \led_flash_cnt[2002][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2002][0]~q\,
	datab => \led_flash_cnt[2002][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2002][1]~54908_combout\,
	cout => \led_flash_cnt[2002][1]~54909\);

-- Location: FF_X16_Y25_N1
\led_flash_cnt[2002][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2002][1]~54908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2002][1]~q\);

-- Location: LCCOMB_X16_Y25_N2
\led_flash_cnt[2002][2]~54910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2002][2]~54910_combout\ = (\led_flash_cnt[2002][2]~q\ & (!\led_flash_cnt[2002][1]~54909\)) # (!\led_flash_cnt[2002][2]~q\ & ((\led_flash_cnt[2002][1]~54909\) # (GND)))
-- \led_flash_cnt[2002][2]~54911\ = CARRY((!\led_flash_cnt[2002][1]~54909\) # (!\led_flash_cnt[2002][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2002][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2002][1]~54909\,
	combout => \led_flash_cnt[2002][2]~54910_combout\,
	cout => \led_flash_cnt[2002][2]~54911\);

-- Location: FF_X16_Y25_N3
\led_flash_cnt[2002][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2002][2]~54910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2002][2]~q\);

-- Location: LCCOMB_X16_Y25_N4
\led_flash_cnt[2002][3]~54912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2002][3]~54912_combout\ = (\led_flash_cnt[2002][3]~q\ & (\led_flash_cnt[2002][2]~54911\ $ (GND))) # (!\led_flash_cnt[2002][3]~q\ & (!\led_flash_cnt[2002][2]~54911\ & VCC))
-- \led_flash_cnt[2002][3]~54913\ = CARRY((\led_flash_cnt[2002][3]~q\ & !\led_flash_cnt[2002][2]~54911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2002][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2002][2]~54911\,
	combout => \led_flash_cnt[2002][3]~54912_combout\,
	cout => \led_flash_cnt[2002][3]~54913\);

-- Location: FF_X16_Y25_N5
\led_flash_cnt[2002][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2002][3]~54912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2002][3]~q\);

-- Location: LCCOMB_X16_Y25_N6
\led_flash_cnt[2002][4]~54914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2002][4]~54914_combout\ = (\led_flash_cnt[2002][4]~q\ & (!\led_flash_cnt[2002][3]~54913\)) # (!\led_flash_cnt[2002][4]~q\ & ((\led_flash_cnt[2002][3]~54913\) # (GND)))
-- \led_flash_cnt[2002][4]~54915\ = CARRY((!\led_flash_cnt[2002][3]~54913\) # (!\led_flash_cnt[2002][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2002][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2002][3]~54913\,
	combout => \led_flash_cnt[2002][4]~54914_combout\,
	cout => \led_flash_cnt[2002][4]~54915\);

-- Location: FF_X16_Y25_N7
\led_flash_cnt[2002][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2002][4]~54914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2002][4]~q\);

-- Location: LCCOMB_X16_Y25_N8
\led_flash_cnt[2002][5]~54916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2002][5]~54916_combout\ = (\led_flash_cnt[2002][5]~q\ & (\led_flash_cnt[2002][4]~54915\ $ (GND))) # (!\led_flash_cnt[2002][5]~q\ & (!\led_flash_cnt[2002][4]~54915\ & VCC))
-- \led_flash_cnt[2002][5]~54917\ = CARRY((\led_flash_cnt[2002][5]~q\ & !\led_flash_cnt[2002][4]~54915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2002][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2002][4]~54915\,
	combout => \led_flash_cnt[2002][5]~54916_combout\,
	cout => \led_flash_cnt[2002][5]~54917\);

-- Location: FF_X16_Y25_N9
\led_flash_cnt[2002][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2002][5]~54916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2002][5]~q\);

-- Location: LCCOMB_X16_Y25_N10
\led_flash_cnt[2002][6]~54918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2002][6]~54918_combout\ = (\led_flash_cnt[2002][6]~q\ & (!\led_flash_cnt[2002][5]~54917\)) # (!\led_flash_cnt[2002][6]~q\ & ((\led_flash_cnt[2002][5]~54917\) # (GND)))
-- \led_flash_cnt[2002][6]~54919\ = CARRY((!\led_flash_cnt[2002][5]~54917\) # (!\led_flash_cnt[2002][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2002][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2002][5]~54917\,
	combout => \led_flash_cnt[2002][6]~54918_combout\,
	cout => \led_flash_cnt[2002][6]~54919\);

-- Location: FF_X16_Y25_N11
\led_flash_cnt[2002][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2002][6]~54918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2002][6]~q\);

-- Location: LCCOMB_X16_Y25_N12
\led_flash_cnt[2002][7]~54920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2002][7]~54920_combout\ = \led_flash_cnt[2002][6]~54919\ $ (!\led_flash_cnt[2002][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2002][7]~q\,
	cin => \led_flash_cnt[2002][6]~54919\,
	combout => \led_flash_cnt[2002][7]~54920_combout\);

-- Location: FF_X16_Y25_N13
\led_flash_cnt[2002][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2002][7]~54920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2002][7]~q\);

-- Location: LCCOMB_X17_Y25_N14
\WideAnd2002~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2002~1_combout\ = (\led_flash_cnt[2002][6]~q\ & \led_flash_cnt[2002][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2002][6]~q\,
	datad => \led_flash_cnt[2002][5]~q\,
	combout => \WideAnd2002~1_combout\);

-- Location: LCCOMB_X16_Y25_N14
\WideAnd2002~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2002~0_combout\ = (\led_flash_cnt[2002][4]~q\ & (\led_flash_cnt[2002][1]~q\ & (\led_flash_cnt[2002][3]~q\ & \led_flash_cnt[2002][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2002][4]~q\,
	datab => \led_flash_cnt[2002][1]~q\,
	datac => \led_flash_cnt[2002][3]~q\,
	datad => \led_flash_cnt[2002][2]~q\,
	combout => \WideAnd2002~0_combout\);

-- Location: LCCOMB_X17_Y25_N0
WideAnd2002 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2002~combout\ = (\led_flash_cnt[2002][7]~q\ & (\WideAnd2002~1_combout\ & (\led_flash_cnt[2002][0]~q\ & \WideAnd2002~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2002][7]~q\,
	datab => \WideAnd2002~1_combout\,
	datac => \led_flash_cnt[2002][0]~q\,
	datad => \WideAnd2002~0_combout\,
	combout => \WideAnd2002~combout\);

-- Location: FF_X17_Y25_N1
\led_flash_cnt_ands[2002]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2002~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2002));

-- Location: LCCOMB_X29_Y21_N28
\led_flash_cnt[2003][0]~82643\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2003][0]~82643_combout\ = !\led_flash_cnt[2003][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2003][0]~q\,
	combout => \led_flash_cnt[2003][0]~82643_combout\);

-- Location: FF_X29_Y21_N29
\led_flash_cnt[2003][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2003][0]~82643_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2003][0]~q\);

-- Location: LCCOMB_X30_Y19_N0
\led_flash_cnt[2003][1]~54922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2003][1]~54922_combout\ = (\led_flash_cnt[2003][0]~q\ & (\led_flash_cnt[2003][1]~q\ $ (VCC))) # (!\led_flash_cnt[2003][0]~q\ & (\led_flash_cnt[2003][1]~q\ & VCC))
-- \led_flash_cnt[2003][1]~54923\ = CARRY((\led_flash_cnt[2003][0]~q\ & \led_flash_cnt[2003][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2003][0]~q\,
	datab => \led_flash_cnt[2003][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2003][1]~54922_combout\,
	cout => \led_flash_cnt[2003][1]~54923\);

-- Location: FF_X30_Y19_N1
\led_flash_cnt[2003][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2003][1]~54922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2003][1]~q\);

-- Location: LCCOMB_X30_Y19_N2
\led_flash_cnt[2003][2]~54924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2003][2]~54924_combout\ = (\led_flash_cnt[2003][2]~q\ & (!\led_flash_cnt[2003][1]~54923\)) # (!\led_flash_cnt[2003][2]~q\ & ((\led_flash_cnt[2003][1]~54923\) # (GND)))
-- \led_flash_cnt[2003][2]~54925\ = CARRY((!\led_flash_cnt[2003][1]~54923\) # (!\led_flash_cnt[2003][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2003][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2003][1]~54923\,
	combout => \led_flash_cnt[2003][2]~54924_combout\,
	cout => \led_flash_cnt[2003][2]~54925\);

-- Location: FF_X30_Y19_N3
\led_flash_cnt[2003][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2003][2]~54924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2003][2]~q\);

-- Location: LCCOMB_X30_Y19_N4
\led_flash_cnt[2003][3]~54926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2003][3]~54926_combout\ = (\led_flash_cnt[2003][3]~q\ & (\led_flash_cnt[2003][2]~54925\ $ (GND))) # (!\led_flash_cnt[2003][3]~q\ & (!\led_flash_cnt[2003][2]~54925\ & VCC))
-- \led_flash_cnt[2003][3]~54927\ = CARRY((\led_flash_cnt[2003][3]~q\ & !\led_flash_cnt[2003][2]~54925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2003][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2003][2]~54925\,
	combout => \led_flash_cnt[2003][3]~54926_combout\,
	cout => \led_flash_cnt[2003][3]~54927\);

-- Location: FF_X30_Y19_N5
\led_flash_cnt[2003][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2003][3]~54926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2003][3]~q\);

-- Location: LCCOMB_X30_Y19_N6
\led_flash_cnt[2003][4]~54928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2003][4]~54928_combout\ = (\led_flash_cnt[2003][4]~q\ & (!\led_flash_cnt[2003][3]~54927\)) # (!\led_flash_cnt[2003][4]~q\ & ((\led_flash_cnt[2003][3]~54927\) # (GND)))
-- \led_flash_cnt[2003][4]~54929\ = CARRY((!\led_flash_cnt[2003][3]~54927\) # (!\led_flash_cnt[2003][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2003][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2003][3]~54927\,
	combout => \led_flash_cnt[2003][4]~54928_combout\,
	cout => \led_flash_cnt[2003][4]~54929\);

-- Location: FF_X30_Y19_N7
\led_flash_cnt[2003][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2003][4]~54928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2003][4]~q\);

-- Location: LCCOMB_X30_Y19_N8
\led_flash_cnt[2003][5]~54930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2003][5]~54930_combout\ = (\led_flash_cnt[2003][5]~q\ & (\led_flash_cnt[2003][4]~54929\ $ (GND))) # (!\led_flash_cnt[2003][5]~q\ & (!\led_flash_cnt[2003][4]~54929\ & VCC))
-- \led_flash_cnt[2003][5]~54931\ = CARRY((\led_flash_cnt[2003][5]~q\ & !\led_flash_cnt[2003][4]~54929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2003][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2003][4]~54929\,
	combout => \led_flash_cnt[2003][5]~54930_combout\,
	cout => \led_flash_cnt[2003][5]~54931\);

-- Location: FF_X30_Y19_N9
\led_flash_cnt[2003][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2003][5]~54930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2003][5]~q\);

-- Location: LCCOMB_X30_Y19_N10
\led_flash_cnt[2003][6]~54932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2003][6]~54932_combout\ = (\led_flash_cnt[2003][6]~q\ & (!\led_flash_cnt[2003][5]~54931\)) # (!\led_flash_cnt[2003][6]~q\ & ((\led_flash_cnt[2003][5]~54931\) # (GND)))
-- \led_flash_cnt[2003][6]~54933\ = CARRY((!\led_flash_cnt[2003][5]~54931\) # (!\led_flash_cnt[2003][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2003][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2003][5]~54931\,
	combout => \led_flash_cnt[2003][6]~54932_combout\,
	cout => \led_flash_cnt[2003][6]~54933\);

-- Location: FF_X30_Y19_N11
\led_flash_cnt[2003][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2003][6]~54932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2003][6]~q\);

-- Location: LCCOMB_X30_Y19_N30
\WideAnd2003~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2003~1_combout\ = (\led_flash_cnt[2003][5]~q\ & \led_flash_cnt[2003][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2003][5]~q\,
	datad => \led_flash_cnt[2003][6]~q\,
	combout => \WideAnd2003~1_combout\);

-- Location: LCCOMB_X30_Y19_N14
\WideAnd2003~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2003~0_combout\ = (\led_flash_cnt[2003][4]~q\ & (\led_flash_cnt[2003][1]~q\ & (\led_flash_cnt[2003][3]~q\ & \led_flash_cnt[2003][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2003][4]~q\,
	datab => \led_flash_cnt[2003][1]~q\,
	datac => \led_flash_cnt[2003][3]~q\,
	datad => \led_flash_cnt[2003][2]~q\,
	combout => \WideAnd2003~0_combout\);

-- Location: LCCOMB_X30_Y19_N12
\led_flash_cnt[2003][7]~54934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2003][7]~54934_combout\ = \led_flash_cnt[2003][6]~54933\ $ (!\led_flash_cnt[2003][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2003][7]~q\,
	cin => \led_flash_cnt[2003][6]~54933\,
	combout => \led_flash_cnt[2003][7]~54934_combout\);

-- Location: FF_X30_Y19_N13
\led_flash_cnt[2003][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2003][7]~54934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2003][7]~q\);

-- Location: LCCOMB_X29_Y21_N24
WideAnd2003 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2003~combout\ = (\WideAnd2003~1_combout\ & (\WideAnd2003~0_combout\ & (\led_flash_cnt[2003][7]~q\ & \led_flash_cnt[2003][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2003~1_combout\,
	datab => \WideAnd2003~0_combout\,
	datac => \led_flash_cnt[2003][7]~q\,
	datad => \led_flash_cnt[2003][0]~q\,
	combout => \WideAnd2003~combout\);

-- Location: FF_X29_Y21_N25
\led_flash_cnt_ands[2003]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2003~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2003));

-- Location: LCCOMB_X29_Y21_N30
\WideAnd4090~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4090~0_combout\ = (led_flash_cnt_ands(2000) & (led_flash_cnt_ands(2001) & (led_flash_cnt_ands(2002) & led_flash_cnt_ands(2003))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(2000),
	datab => led_flash_cnt_ands(2001),
	datac => led_flash_cnt_ands(2002),
	datad => led_flash_cnt_ands(2003),
	combout => \WideAnd4090~0_combout\);

-- Location: LCCOMB_X36_Y16_N14
\led_flash_cnt[2007][0]~82647\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2007][0]~82647_combout\ = !\led_flash_cnt[2007][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2007][0]~q\,
	combout => \led_flash_cnt[2007][0]~82647_combout\);

-- Location: FF_X36_Y16_N15
\led_flash_cnt[2007][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2007][0]~82647_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2007][0]~q\);

-- Location: LCCOMB_X37_Y16_N18
\led_flash_cnt[2007][1]~54978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2007][1]~54978_combout\ = (\led_flash_cnt[2007][0]~q\ & (\led_flash_cnt[2007][1]~q\ $ (VCC))) # (!\led_flash_cnt[2007][0]~q\ & (\led_flash_cnt[2007][1]~q\ & VCC))
-- \led_flash_cnt[2007][1]~54979\ = CARRY((\led_flash_cnt[2007][0]~q\ & \led_flash_cnt[2007][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2007][0]~q\,
	datab => \led_flash_cnt[2007][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2007][1]~54978_combout\,
	cout => \led_flash_cnt[2007][1]~54979\);

-- Location: FF_X37_Y16_N19
\led_flash_cnt[2007][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2007][1]~54978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2007][1]~q\);

-- Location: LCCOMB_X37_Y16_N20
\led_flash_cnt[2007][2]~54980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2007][2]~54980_combout\ = (\led_flash_cnt[2007][2]~q\ & (!\led_flash_cnt[2007][1]~54979\)) # (!\led_flash_cnt[2007][2]~q\ & ((\led_flash_cnt[2007][1]~54979\) # (GND)))
-- \led_flash_cnt[2007][2]~54981\ = CARRY((!\led_flash_cnt[2007][1]~54979\) # (!\led_flash_cnt[2007][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2007][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2007][1]~54979\,
	combout => \led_flash_cnt[2007][2]~54980_combout\,
	cout => \led_flash_cnt[2007][2]~54981\);

-- Location: FF_X37_Y16_N21
\led_flash_cnt[2007][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2007][2]~54980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2007][2]~q\);

-- Location: LCCOMB_X37_Y16_N22
\led_flash_cnt[2007][3]~54982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2007][3]~54982_combout\ = (\led_flash_cnt[2007][3]~q\ & (\led_flash_cnt[2007][2]~54981\ $ (GND))) # (!\led_flash_cnt[2007][3]~q\ & (!\led_flash_cnt[2007][2]~54981\ & VCC))
-- \led_flash_cnt[2007][3]~54983\ = CARRY((\led_flash_cnt[2007][3]~q\ & !\led_flash_cnt[2007][2]~54981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2007][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2007][2]~54981\,
	combout => \led_flash_cnt[2007][3]~54982_combout\,
	cout => \led_flash_cnt[2007][3]~54983\);

-- Location: FF_X37_Y16_N23
\led_flash_cnt[2007][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2007][3]~54982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2007][3]~q\);

-- Location: LCCOMB_X37_Y16_N24
\led_flash_cnt[2007][4]~54984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2007][4]~54984_combout\ = (\led_flash_cnt[2007][4]~q\ & (!\led_flash_cnt[2007][3]~54983\)) # (!\led_flash_cnt[2007][4]~q\ & ((\led_flash_cnt[2007][3]~54983\) # (GND)))
-- \led_flash_cnt[2007][4]~54985\ = CARRY((!\led_flash_cnt[2007][3]~54983\) # (!\led_flash_cnt[2007][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2007][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2007][3]~54983\,
	combout => \led_flash_cnt[2007][4]~54984_combout\,
	cout => \led_flash_cnt[2007][4]~54985\);

-- Location: FF_X37_Y16_N25
\led_flash_cnt[2007][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2007][4]~54984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2007][4]~q\);

-- Location: LCCOMB_X37_Y16_N26
\led_flash_cnt[2007][5]~54986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2007][5]~54986_combout\ = (\led_flash_cnt[2007][5]~q\ & (\led_flash_cnt[2007][4]~54985\ $ (GND))) # (!\led_flash_cnt[2007][5]~q\ & (!\led_flash_cnt[2007][4]~54985\ & VCC))
-- \led_flash_cnt[2007][5]~54987\ = CARRY((\led_flash_cnt[2007][5]~q\ & !\led_flash_cnt[2007][4]~54985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2007][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2007][4]~54985\,
	combout => \led_flash_cnt[2007][5]~54986_combout\,
	cout => \led_flash_cnt[2007][5]~54987\);

-- Location: FF_X37_Y16_N27
\led_flash_cnt[2007][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2007][5]~54986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2007][5]~q\);

-- Location: LCCOMB_X37_Y16_N28
\led_flash_cnt[2007][6]~54988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2007][6]~54988_combout\ = (\led_flash_cnt[2007][6]~q\ & (!\led_flash_cnt[2007][5]~54987\)) # (!\led_flash_cnt[2007][6]~q\ & ((\led_flash_cnt[2007][5]~54987\) # (GND)))
-- \led_flash_cnt[2007][6]~54989\ = CARRY((!\led_flash_cnt[2007][5]~54987\) # (!\led_flash_cnt[2007][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2007][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2007][5]~54987\,
	combout => \led_flash_cnt[2007][6]~54988_combout\,
	cout => \led_flash_cnt[2007][6]~54989\);

-- Location: FF_X37_Y16_N29
\led_flash_cnt[2007][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2007][6]~54988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2007][6]~q\);

-- Location: LCCOMB_X37_Y16_N30
\led_flash_cnt[2007][7]~54990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2007][7]~54990_combout\ = \led_flash_cnt[2007][7]~q\ $ (!\led_flash_cnt[2007][6]~54989\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2007][7]~q\,
	cin => \led_flash_cnt[2007][6]~54989\,
	combout => \led_flash_cnt[2007][7]~54990_combout\);

-- Location: FF_X37_Y16_N31
\led_flash_cnt[2007][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2007][7]~54990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2007][7]~q\);

-- Location: LCCOMB_X37_Y16_N0
\WideAnd2007~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2007~0_combout\ = (\led_flash_cnt[2007][4]~q\ & (\led_flash_cnt[2007][2]~q\ & (\led_flash_cnt[2007][3]~q\ & \led_flash_cnt[2007][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2007][4]~q\,
	datab => \led_flash_cnt[2007][2]~q\,
	datac => \led_flash_cnt[2007][3]~q\,
	datad => \led_flash_cnt[2007][1]~q\,
	combout => \WideAnd2007~0_combout\);

-- Location: LCCOMB_X36_Y16_N16
\WideAnd2007~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2007~1_combout\ = (\led_flash_cnt[2007][6]~q\ & \led_flash_cnt[2007][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2007][6]~q\,
	datad => \led_flash_cnt[2007][5]~q\,
	combout => \WideAnd2007~1_combout\);

-- Location: LCCOMB_X36_Y16_N2
WideAnd2007 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2007~combout\ = (\led_flash_cnt[2007][7]~q\ & (\led_flash_cnt[2007][0]~q\ & (\WideAnd2007~0_combout\ & \WideAnd2007~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2007][7]~q\,
	datab => \led_flash_cnt[2007][0]~q\,
	datac => \WideAnd2007~0_combout\,
	datad => \WideAnd2007~1_combout\,
	combout => \WideAnd2007~combout\);

-- Location: FF_X36_Y16_N3
\led_flash_cnt_ands[2007]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2007~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2007));

-- Location: LCCOMB_X36_Y16_N12
\led_flash_cnt[2006][0]~82646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2006][0]~82646_combout\ = !\led_flash_cnt[2006][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2006][0]~q\,
	combout => \led_flash_cnt[2006][0]~82646_combout\);

-- Location: FF_X36_Y16_N13
\led_flash_cnt[2006][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2006][0]~82646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2006][0]~q\);

-- Location: LCCOMB_X36_Y16_N18
\led_flash_cnt[2006][1]~54964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2006][1]~54964_combout\ = (\led_flash_cnt[2006][0]~q\ & (\led_flash_cnt[2006][1]~q\ $ (VCC))) # (!\led_flash_cnt[2006][0]~q\ & (\led_flash_cnt[2006][1]~q\ & VCC))
-- \led_flash_cnt[2006][1]~54965\ = CARRY((\led_flash_cnt[2006][0]~q\ & \led_flash_cnt[2006][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2006][0]~q\,
	datab => \led_flash_cnt[2006][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2006][1]~54964_combout\,
	cout => \led_flash_cnt[2006][1]~54965\);

-- Location: FF_X36_Y16_N19
\led_flash_cnt[2006][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2006][1]~54964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2006][1]~q\);

-- Location: LCCOMB_X36_Y16_N20
\led_flash_cnt[2006][2]~54966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2006][2]~54966_combout\ = (\led_flash_cnt[2006][2]~q\ & (!\led_flash_cnt[2006][1]~54965\)) # (!\led_flash_cnt[2006][2]~q\ & ((\led_flash_cnt[2006][1]~54965\) # (GND)))
-- \led_flash_cnt[2006][2]~54967\ = CARRY((!\led_flash_cnt[2006][1]~54965\) # (!\led_flash_cnt[2006][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2006][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2006][1]~54965\,
	combout => \led_flash_cnt[2006][2]~54966_combout\,
	cout => \led_flash_cnt[2006][2]~54967\);

-- Location: FF_X36_Y16_N21
\led_flash_cnt[2006][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2006][2]~54966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2006][2]~q\);

-- Location: LCCOMB_X36_Y16_N22
\led_flash_cnt[2006][3]~54968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2006][3]~54968_combout\ = (\led_flash_cnt[2006][3]~q\ & (\led_flash_cnt[2006][2]~54967\ $ (GND))) # (!\led_flash_cnt[2006][3]~q\ & (!\led_flash_cnt[2006][2]~54967\ & VCC))
-- \led_flash_cnt[2006][3]~54969\ = CARRY((\led_flash_cnt[2006][3]~q\ & !\led_flash_cnt[2006][2]~54967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2006][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2006][2]~54967\,
	combout => \led_flash_cnt[2006][3]~54968_combout\,
	cout => \led_flash_cnt[2006][3]~54969\);

-- Location: FF_X36_Y16_N23
\led_flash_cnt[2006][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2006][3]~54968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2006][3]~q\);

-- Location: LCCOMB_X36_Y16_N24
\led_flash_cnt[2006][4]~54970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2006][4]~54970_combout\ = (\led_flash_cnt[2006][4]~q\ & (!\led_flash_cnt[2006][3]~54969\)) # (!\led_flash_cnt[2006][4]~q\ & ((\led_flash_cnt[2006][3]~54969\) # (GND)))
-- \led_flash_cnt[2006][4]~54971\ = CARRY((!\led_flash_cnt[2006][3]~54969\) # (!\led_flash_cnt[2006][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2006][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2006][3]~54969\,
	combout => \led_flash_cnt[2006][4]~54970_combout\,
	cout => \led_flash_cnt[2006][4]~54971\);

-- Location: FF_X36_Y16_N25
\led_flash_cnt[2006][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2006][4]~54970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2006][4]~q\);

-- Location: LCCOMB_X36_Y16_N26
\led_flash_cnt[2006][5]~54972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2006][5]~54972_combout\ = (\led_flash_cnt[2006][5]~q\ & (\led_flash_cnt[2006][4]~54971\ $ (GND))) # (!\led_flash_cnt[2006][5]~q\ & (!\led_flash_cnt[2006][4]~54971\ & VCC))
-- \led_flash_cnt[2006][5]~54973\ = CARRY((\led_flash_cnt[2006][5]~q\ & !\led_flash_cnt[2006][4]~54971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2006][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2006][4]~54971\,
	combout => \led_flash_cnt[2006][5]~54972_combout\,
	cout => \led_flash_cnt[2006][5]~54973\);

-- Location: FF_X36_Y16_N27
\led_flash_cnt[2006][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2006][5]~54972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2006][5]~q\);

-- Location: LCCOMB_X36_Y16_N28
\led_flash_cnt[2006][6]~54974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2006][6]~54974_combout\ = (\led_flash_cnt[2006][6]~q\ & (!\led_flash_cnt[2006][5]~54973\)) # (!\led_flash_cnt[2006][6]~q\ & ((\led_flash_cnt[2006][5]~54973\) # (GND)))
-- \led_flash_cnt[2006][6]~54975\ = CARRY((!\led_flash_cnt[2006][5]~54973\) # (!\led_flash_cnt[2006][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2006][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2006][5]~54973\,
	combout => \led_flash_cnt[2006][6]~54974_combout\,
	cout => \led_flash_cnt[2006][6]~54975\);

-- Location: FF_X36_Y16_N29
\led_flash_cnt[2006][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2006][6]~54974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2006][6]~q\);

-- Location: LCCOMB_X36_Y16_N10
\WideAnd2006~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2006~1_combout\ = (\led_flash_cnt[2006][5]~q\ & \led_flash_cnt[2006][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2006][5]~q\,
	datad => \led_flash_cnt[2006][6]~q\,
	combout => \WideAnd2006~1_combout\);

-- Location: LCCOMB_X36_Y16_N4
\WideAnd2006~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2006~0_combout\ = (\led_flash_cnt[2006][1]~q\ & (\led_flash_cnt[2006][2]~q\ & (\led_flash_cnt[2006][3]~q\ & \led_flash_cnt[2006][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2006][1]~q\,
	datab => \led_flash_cnt[2006][2]~q\,
	datac => \led_flash_cnt[2006][3]~q\,
	datad => \led_flash_cnt[2006][4]~q\,
	combout => \WideAnd2006~0_combout\);

-- Location: LCCOMB_X36_Y16_N30
\led_flash_cnt[2006][7]~54976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2006][7]~54976_combout\ = \led_flash_cnt[2006][7]~q\ $ (!\led_flash_cnt[2006][6]~54975\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2006][7]~q\,
	cin => \led_flash_cnt[2006][6]~54975\,
	combout => \led_flash_cnt[2006][7]~54976_combout\);

-- Location: FF_X36_Y16_N31
\led_flash_cnt[2006][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2006][7]~54976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2006][7]~q\);

-- Location: LCCOMB_X36_Y16_N8
WideAnd2006 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2006~combout\ = (\WideAnd2006~1_combout\ & (\WideAnd2006~0_combout\ & (\led_flash_cnt[2006][7]~q\ & \led_flash_cnt[2006][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2006~1_combout\,
	datab => \WideAnd2006~0_combout\,
	datac => \led_flash_cnt[2006][7]~q\,
	datad => \led_flash_cnt[2006][0]~q\,
	combout => \WideAnd2006~combout\);

-- Location: FF_X36_Y16_N9
\led_flash_cnt_ands[2006]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2006~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2006));

-- Location: LCCOMB_X50_Y20_N0
\led_flash_cnt[2004][0]~82644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2004][0]~82644_combout\ = !\led_flash_cnt[2004][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2004][0]~q\,
	combout => \led_flash_cnt[2004][0]~82644_combout\);

-- Location: FF_X50_Y20_N1
\led_flash_cnt[2004][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2004][0]~82644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2004][0]~q\);

-- Location: LCCOMB_X50_Y16_N12
\led_flash_cnt[2004][1]~54936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2004][1]~54936_combout\ = (\led_flash_cnt[2004][1]~q\ & (\led_flash_cnt[2004][0]~q\ $ (VCC))) # (!\led_flash_cnt[2004][1]~q\ & (\led_flash_cnt[2004][0]~q\ & VCC))
-- \led_flash_cnt[2004][1]~54937\ = CARRY((\led_flash_cnt[2004][1]~q\ & \led_flash_cnt[2004][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2004][1]~q\,
	datab => \led_flash_cnt[2004][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2004][1]~54936_combout\,
	cout => \led_flash_cnt[2004][1]~54937\);

-- Location: FF_X50_Y16_N13
\led_flash_cnt[2004][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2004][1]~54936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2004][1]~q\);

-- Location: LCCOMB_X50_Y16_N14
\led_flash_cnt[2004][2]~54938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2004][2]~54938_combout\ = (\led_flash_cnt[2004][2]~q\ & (!\led_flash_cnt[2004][1]~54937\)) # (!\led_flash_cnt[2004][2]~q\ & ((\led_flash_cnt[2004][1]~54937\) # (GND)))
-- \led_flash_cnt[2004][2]~54939\ = CARRY((!\led_flash_cnt[2004][1]~54937\) # (!\led_flash_cnt[2004][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2004][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2004][1]~54937\,
	combout => \led_flash_cnt[2004][2]~54938_combout\,
	cout => \led_flash_cnt[2004][2]~54939\);

-- Location: FF_X50_Y16_N15
\led_flash_cnt[2004][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2004][2]~54938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2004][2]~q\);

-- Location: LCCOMB_X50_Y16_N16
\led_flash_cnt[2004][3]~54940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2004][3]~54940_combout\ = (\led_flash_cnt[2004][3]~q\ & (\led_flash_cnt[2004][2]~54939\ $ (GND))) # (!\led_flash_cnt[2004][3]~q\ & (!\led_flash_cnt[2004][2]~54939\ & VCC))
-- \led_flash_cnt[2004][3]~54941\ = CARRY((\led_flash_cnt[2004][3]~q\ & !\led_flash_cnt[2004][2]~54939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2004][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2004][2]~54939\,
	combout => \led_flash_cnt[2004][3]~54940_combout\,
	cout => \led_flash_cnt[2004][3]~54941\);

-- Location: FF_X50_Y16_N17
\led_flash_cnt[2004][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2004][3]~54940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2004][3]~q\);

-- Location: LCCOMB_X50_Y16_N18
\led_flash_cnt[2004][4]~54942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2004][4]~54942_combout\ = (\led_flash_cnt[2004][4]~q\ & (!\led_flash_cnt[2004][3]~54941\)) # (!\led_flash_cnt[2004][4]~q\ & ((\led_flash_cnt[2004][3]~54941\) # (GND)))
-- \led_flash_cnt[2004][4]~54943\ = CARRY((!\led_flash_cnt[2004][3]~54941\) # (!\led_flash_cnt[2004][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2004][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2004][3]~54941\,
	combout => \led_flash_cnt[2004][4]~54942_combout\,
	cout => \led_flash_cnt[2004][4]~54943\);

-- Location: FF_X50_Y16_N19
\led_flash_cnt[2004][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2004][4]~54942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2004][4]~q\);

-- Location: LCCOMB_X50_Y16_N20
\led_flash_cnt[2004][5]~54944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2004][5]~54944_combout\ = (\led_flash_cnt[2004][5]~q\ & (\led_flash_cnt[2004][4]~54943\ $ (GND))) # (!\led_flash_cnt[2004][5]~q\ & (!\led_flash_cnt[2004][4]~54943\ & VCC))
-- \led_flash_cnt[2004][5]~54945\ = CARRY((\led_flash_cnt[2004][5]~q\ & !\led_flash_cnt[2004][4]~54943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2004][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2004][4]~54943\,
	combout => \led_flash_cnt[2004][5]~54944_combout\,
	cout => \led_flash_cnt[2004][5]~54945\);

-- Location: FF_X50_Y16_N21
\led_flash_cnt[2004][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2004][5]~54944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2004][5]~q\);

-- Location: LCCOMB_X50_Y16_N22
\led_flash_cnt[2004][6]~54946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2004][6]~54946_combout\ = (\led_flash_cnt[2004][6]~q\ & (!\led_flash_cnt[2004][5]~54945\)) # (!\led_flash_cnt[2004][6]~q\ & ((\led_flash_cnt[2004][5]~54945\) # (GND)))
-- \led_flash_cnt[2004][6]~54947\ = CARRY((!\led_flash_cnt[2004][5]~54945\) # (!\led_flash_cnt[2004][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2004][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2004][5]~54945\,
	combout => \led_flash_cnt[2004][6]~54946_combout\,
	cout => \led_flash_cnt[2004][6]~54947\);

-- Location: FF_X50_Y16_N23
\led_flash_cnt[2004][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2004][6]~54946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2004][6]~q\);

-- Location: LCCOMB_X50_Y16_N10
\WideAnd2004~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2004~1_combout\ = (\led_flash_cnt[2004][6]~q\ & \led_flash_cnt[2004][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2004][6]~q\,
	datad => \led_flash_cnt[2004][5]~q\,
	combout => \WideAnd2004~1_combout\);

-- Location: LCCOMB_X50_Y16_N24
\led_flash_cnt[2004][7]~54948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2004][7]~54948_combout\ = \led_flash_cnt[2004][6]~54947\ $ (!\led_flash_cnt[2004][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2004][7]~q\,
	cin => \led_flash_cnt[2004][6]~54947\,
	combout => \led_flash_cnt[2004][7]~54948_combout\);

-- Location: FF_X50_Y16_N25
\led_flash_cnt[2004][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2004][7]~54948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2004][7]~q\);

-- Location: LCCOMB_X50_Y16_N0
\WideAnd2004~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2004~0_combout\ = (\led_flash_cnt[2004][1]~q\ & (\led_flash_cnt[2004][3]~q\ & (\led_flash_cnt[2004][2]~q\ & \led_flash_cnt[2004][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2004][1]~q\,
	datab => \led_flash_cnt[2004][3]~q\,
	datac => \led_flash_cnt[2004][2]~q\,
	datad => \led_flash_cnt[2004][4]~q\,
	combout => \WideAnd2004~0_combout\);

-- Location: LCCOMB_X50_Y16_N30
WideAnd2004 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2004~combout\ = (\WideAnd2004~1_combout\ & (\led_flash_cnt[2004][7]~q\ & (\led_flash_cnt[2004][0]~q\ & \WideAnd2004~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2004~1_combout\,
	datab => \led_flash_cnt[2004][7]~q\,
	datac => \led_flash_cnt[2004][0]~q\,
	datad => \WideAnd2004~0_combout\,
	combout => \WideAnd2004~combout\);

-- Location: FF_X50_Y16_N31
\led_flash_cnt_ands[2004]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2004~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2004));

-- Location: LCCOMB_X50_Y16_N6
\led_flash_cnt[2005][0]~82645\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2005][0]~82645_combout\ = !\led_flash_cnt[2005][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2005][0]~q\,
	combout => \led_flash_cnt[2005][0]~82645_combout\);

-- Location: FF_X50_Y16_N7
\led_flash_cnt[2005][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2005][0]~82645_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2005][0]~q\);

-- Location: LCCOMB_X51_Y16_N18
\led_flash_cnt[2005][1]~54950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2005][1]~54950_combout\ = (\led_flash_cnt[2005][0]~q\ & (\led_flash_cnt[2005][1]~q\ $ (VCC))) # (!\led_flash_cnt[2005][0]~q\ & (\led_flash_cnt[2005][1]~q\ & VCC))
-- \led_flash_cnt[2005][1]~54951\ = CARRY((\led_flash_cnt[2005][0]~q\ & \led_flash_cnt[2005][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2005][0]~q\,
	datab => \led_flash_cnt[2005][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2005][1]~54950_combout\,
	cout => \led_flash_cnt[2005][1]~54951\);

-- Location: FF_X51_Y16_N19
\led_flash_cnt[2005][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2005][1]~54950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2005][1]~q\);

-- Location: LCCOMB_X51_Y16_N20
\led_flash_cnt[2005][2]~54952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2005][2]~54952_combout\ = (\led_flash_cnt[2005][2]~q\ & (!\led_flash_cnt[2005][1]~54951\)) # (!\led_flash_cnt[2005][2]~q\ & ((\led_flash_cnt[2005][1]~54951\) # (GND)))
-- \led_flash_cnt[2005][2]~54953\ = CARRY((!\led_flash_cnt[2005][1]~54951\) # (!\led_flash_cnt[2005][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2005][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2005][1]~54951\,
	combout => \led_flash_cnt[2005][2]~54952_combout\,
	cout => \led_flash_cnt[2005][2]~54953\);

-- Location: FF_X51_Y16_N21
\led_flash_cnt[2005][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2005][2]~54952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2005][2]~q\);

-- Location: LCCOMB_X51_Y16_N22
\led_flash_cnt[2005][3]~54954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2005][3]~54954_combout\ = (\led_flash_cnt[2005][3]~q\ & (\led_flash_cnt[2005][2]~54953\ $ (GND))) # (!\led_flash_cnt[2005][3]~q\ & (!\led_flash_cnt[2005][2]~54953\ & VCC))
-- \led_flash_cnt[2005][3]~54955\ = CARRY((\led_flash_cnt[2005][3]~q\ & !\led_flash_cnt[2005][2]~54953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2005][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2005][2]~54953\,
	combout => \led_flash_cnt[2005][3]~54954_combout\,
	cout => \led_flash_cnt[2005][3]~54955\);

-- Location: FF_X51_Y16_N23
\led_flash_cnt[2005][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2005][3]~54954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2005][3]~q\);

-- Location: LCCOMB_X51_Y16_N24
\led_flash_cnt[2005][4]~54956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2005][4]~54956_combout\ = (\led_flash_cnt[2005][4]~q\ & (!\led_flash_cnt[2005][3]~54955\)) # (!\led_flash_cnt[2005][4]~q\ & ((\led_flash_cnt[2005][3]~54955\) # (GND)))
-- \led_flash_cnt[2005][4]~54957\ = CARRY((!\led_flash_cnt[2005][3]~54955\) # (!\led_flash_cnt[2005][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2005][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2005][3]~54955\,
	combout => \led_flash_cnt[2005][4]~54956_combout\,
	cout => \led_flash_cnt[2005][4]~54957\);

-- Location: FF_X51_Y16_N25
\led_flash_cnt[2005][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2005][4]~54956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2005][4]~q\);

-- Location: LCCOMB_X51_Y16_N26
\led_flash_cnt[2005][5]~54958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2005][5]~54958_combout\ = (\led_flash_cnt[2005][5]~q\ & (\led_flash_cnt[2005][4]~54957\ $ (GND))) # (!\led_flash_cnt[2005][5]~q\ & (!\led_flash_cnt[2005][4]~54957\ & VCC))
-- \led_flash_cnt[2005][5]~54959\ = CARRY((\led_flash_cnt[2005][5]~q\ & !\led_flash_cnt[2005][4]~54957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2005][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2005][4]~54957\,
	combout => \led_flash_cnt[2005][5]~54958_combout\,
	cout => \led_flash_cnt[2005][5]~54959\);

-- Location: FF_X51_Y16_N27
\led_flash_cnt[2005][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2005][5]~54958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2005][5]~q\);

-- Location: LCCOMB_X51_Y16_N28
\led_flash_cnt[2005][6]~54960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2005][6]~54960_combout\ = (\led_flash_cnt[2005][6]~q\ & (!\led_flash_cnt[2005][5]~54959\)) # (!\led_flash_cnt[2005][6]~q\ & ((\led_flash_cnt[2005][5]~54959\) # (GND)))
-- \led_flash_cnt[2005][6]~54961\ = CARRY((!\led_flash_cnt[2005][5]~54959\) # (!\led_flash_cnt[2005][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2005][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2005][5]~54959\,
	combout => \led_flash_cnt[2005][6]~54960_combout\,
	cout => \led_flash_cnt[2005][6]~54961\);

-- Location: FF_X51_Y16_N29
\led_flash_cnt[2005][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2005][6]~54960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2005][6]~q\);

-- Location: LCCOMB_X50_Y16_N26
\WideAnd2005~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2005~1_combout\ = (\led_flash_cnt[2005][6]~q\ & \led_flash_cnt[2005][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2005][6]~q\,
	datac => \led_flash_cnt[2005][5]~q\,
	combout => \WideAnd2005~1_combout\);

-- Location: LCCOMB_X50_Y16_N4
\WideAnd2005~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2005~0_combout\ = (\led_flash_cnt[2005][1]~q\ & (\led_flash_cnt[2005][4]~q\ & (\led_flash_cnt[2005][2]~q\ & \led_flash_cnt[2005][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2005][1]~q\,
	datab => \led_flash_cnt[2005][4]~q\,
	datac => \led_flash_cnt[2005][2]~q\,
	datad => \led_flash_cnt[2005][3]~q\,
	combout => \WideAnd2005~0_combout\);

-- Location: LCCOMB_X51_Y16_N30
\led_flash_cnt[2005][7]~54962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2005][7]~54962_combout\ = \led_flash_cnt[2005][7]~q\ $ (!\led_flash_cnt[2005][6]~54961\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2005][7]~q\,
	cin => \led_flash_cnt[2005][6]~54961\,
	combout => \led_flash_cnt[2005][7]~54962_combout\);

-- Location: FF_X51_Y16_N31
\led_flash_cnt[2005][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2005][7]~54962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2005][7]~q\);

-- Location: LCCOMB_X50_Y16_N2
WideAnd2005 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2005~combout\ = (\WideAnd2005~1_combout\ & (\WideAnd2005~0_combout\ & (\led_flash_cnt[2005][7]~q\ & \led_flash_cnt[2005][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2005~1_combout\,
	datab => \WideAnd2005~0_combout\,
	datac => \led_flash_cnt[2005][7]~q\,
	datad => \led_flash_cnt[2005][0]~q\,
	combout => \WideAnd2005~combout\);

-- Location: FF_X50_Y16_N3
\led_flash_cnt_ands[2005]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2005~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2005));

-- Location: LCCOMB_X50_Y16_N28
\WideAnd4090~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4090~1_combout\ = (led_flash_cnt_ands(2004) & led_flash_cnt_ands(2005))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(2004),
	datad => led_flash_cnt_ands(2005),
	combout => \WideAnd4090~1_combout\);

-- Location: LCCOMB_X36_Y16_N0
WideAnd4090 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4090~combout\ = (\WideAnd4090~0_combout\ & (led_flash_cnt_ands(2007) & (led_flash_cnt_ands(2006) & \WideAnd4090~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4090~0_combout\,
	datab => led_flash_cnt_ands(2007),
	datac => led_flash_cnt_ands(2006),
	datad => \WideAnd4090~1_combout\,
	combout => \WideAnd4090~combout\);

-- Location: FF_X36_Y16_N1
\led_flash_cnt_ands_1[250]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4090~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(250));

-- Location: LCCOMB_X40_Y16_N8
\WideAnd4351~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4351~0_combout\ = (led_flash_cnt_ands_1(251) & (led_flash_cnt_ands_1(249) & (led_flash_cnt_ands_1(248) & led_flash_cnt_ands_1(250))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(251),
	datab => led_flash_cnt_ands_1(249),
	datac => led_flash_cnt_ands_1(248),
	datad => led_flash_cnt_ands_1(250),
	combout => \WideAnd4351~0_combout\);

-- Location: LCCOMB_X36_Y16_N6
WideAnd4351 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4351~combout\ = (led_flash_cnt_ands_1(254) & (\WideAnd4351~1_combout\ & (led_flash_cnt_ands_1(255) & \WideAnd4351~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(254),
	datab => \WideAnd4351~1_combout\,
	datac => led_flash_cnt_ands_1(255),
	datad => \WideAnd4351~0_combout\,
	combout => \WideAnd4351~combout\);

-- Location: FF_X36_Y16_N7
\led_flash_cnt_ands_2[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4351~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(31));

-- Location: LCCOMB_X14_Y23_N6
\led_flash_cnt[1852][0]~82492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1852][0]~82492_combout\ = !\led_flash_cnt[1852][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1852][0]~q\,
	combout => \led_flash_cnt[1852][0]~82492_combout\);

-- Location: FF_X14_Y23_N7
\led_flash_cnt[1852][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1852][0]~82492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1852][0]~q\);

-- Location: LCCOMB_X14_Y23_N16
\led_flash_cnt[1852][1]~52808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1852][1]~52808_combout\ = (\led_flash_cnt[1852][0]~q\ & (\led_flash_cnt[1852][1]~q\ $ (VCC))) # (!\led_flash_cnt[1852][0]~q\ & (\led_flash_cnt[1852][1]~q\ & VCC))
-- \led_flash_cnt[1852][1]~52809\ = CARRY((\led_flash_cnt[1852][0]~q\ & \led_flash_cnt[1852][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1852][0]~q\,
	datab => \led_flash_cnt[1852][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1852][1]~52808_combout\,
	cout => \led_flash_cnt[1852][1]~52809\);

-- Location: FF_X14_Y23_N17
\led_flash_cnt[1852][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1852][1]~52808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1852][1]~q\);

-- Location: LCCOMB_X14_Y23_N18
\led_flash_cnt[1852][2]~52810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1852][2]~52810_combout\ = (\led_flash_cnt[1852][2]~q\ & (!\led_flash_cnt[1852][1]~52809\)) # (!\led_flash_cnt[1852][2]~q\ & ((\led_flash_cnt[1852][1]~52809\) # (GND)))
-- \led_flash_cnt[1852][2]~52811\ = CARRY((!\led_flash_cnt[1852][1]~52809\) # (!\led_flash_cnt[1852][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1852][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1852][1]~52809\,
	combout => \led_flash_cnt[1852][2]~52810_combout\,
	cout => \led_flash_cnt[1852][2]~52811\);

-- Location: FF_X14_Y23_N19
\led_flash_cnt[1852][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1852][2]~52810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1852][2]~q\);

-- Location: LCCOMB_X14_Y23_N20
\led_flash_cnt[1852][3]~52812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1852][3]~52812_combout\ = (\led_flash_cnt[1852][3]~q\ & (\led_flash_cnt[1852][2]~52811\ $ (GND))) # (!\led_flash_cnt[1852][3]~q\ & (!\led_flash_cnt[1852][2]~52811\ & VCC))
-- \led_flash_cnt[1852][3]~52813\ = CARRY((\led_flash_cnt[1852][3]~q\ & !\led_flash_cnt[1852][2]~52811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1852][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1852][2]~52811\,
	combout => \led_flash_cnt[1852][3]~52812_combout\,
	cout => \led_flash_cnt[1852][3]~52813\);

-- Location: FF_X14_Y23_N21
\led_flash_cnt[1852][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1852][3]~52812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1852][3]~q\);

-- Location: LCCOMB_X14_Y23_N22
\led_flash_cnt[1852][4]~52814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1852][4]~52814_combout\ = (\led_flash_cnt[1852][4]~q\ & (!\led_flash_cnt[1852][3]~52813\)) # (!\led_flash_cnt[1852][4]~q\ & ((\led_flash_cnt[1852][3]~52813\) # (GND)))
-- \led_flash_cnt[1852][4]~52815\ = CARRY((!\led_flash_cnt[1852][3]~52813\) # (!\led_flash_cnt[1852][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1852][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1852][3]~52813\,
	combout => \led_flash_cnt[1852][4]~52814_combout\,
	cout => \led_flash_cnt[1852][4]~52815\);

-- Location: FF_X14_Y23_N23
\led_flash_cnt[1852][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1852][4]~52814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1852][4]~q\);

-- Location: LCCOMB_X14_Y23_N0
\WideAnd1852~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1852~0_combout\ = (\led_flash_cnt[1852][2]~q\ & (\led_flash_cnt[1852][1]~q\ & (\led_flash_cnt[1852][4]~q\ & \led_flash_cnt[1852][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1852][2]~q\,
	datab => \led_flash_cnt[1852][1]~q\,
	datac => \led_flash_cnt[1852][4]~q\,
	datad => \led_flash_cnt[1852][3]~q\,
	combout => \WideAnd1852~0_combout\);

-- Location: LCCOMB_X14_Y23_N24
\led_flash_cnt[1852][5]~52816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1852][5]~52816_combout\ = (\led_flash_cnt[1852][5]~q\ & (\led_flash_cnt[1852][4]~52815\ $ (GND))) # (!\led_flash_cnt[1852][5]~q\ & (!\led_flash_cnt[1852][4]~52815\ & VCC))
-- \led_flash_cnt[1852][5]~52817\ = CARRY((\led_flash_cnt[1852][5]~q\ & !\led_flash_cnt[1852][4]~52815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1852][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1852][4]~52815\,
	combout => \led_flash_cnt[1852][5]~52816_combout\,
	cout => \led_flash_cnt[1852][5]~52817\);

-- Location: FF_X14_Y23_N25
\led_flash_cnt[1852][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1852][5]~52816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1852][5]~q\);

-- Location: LCCOMB_X14_Y23_N26
\led_flash_cnt[1852][6]~52818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1852][6]~52818_combout\ = (\led_flash_cnt[1852][6]~q\ & (!\led_flash_cnt[1852][5]~52817\)) # (!\led_flash_cnt[1852][6]~q\ & ((\led_flash_cnt[1852][5]~52817\) # (GND)))
-- \led_flash_cnt[1852][6]~52819\ = CARRY((!\led_flash_cnt[1852][5]~52817\) # (!\led_flash_cnt[1852][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1852][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1852][5]~52817\,
	combout => \led_flash_cnt[1852][6]~52818_combout\,
	cout => \led_flash_cnt[1852][6]~52819\);

-- Location: FF_X14_Y23_N27
\led_flash_cnt[1852][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1852][6]~52818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1852][6]~q\);

-- Location: LCCOMB_X14_Y23_N4
\WideAnd1852~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1852~1_combout\ = (\led_flash_cnt[1852][6]~q\ & \led_flash_cnt[1852][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1852][6]~q\,
	datad => \led_flash_cnt[1852][5]~q\,
	combout => \WideAnd1852~1_combout\);

-- Location: LCCOMB_X14_Y23_N28
\led_flash_cnt[1852][7]~52820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1852][7]~52820_combout\ = \led_flash_cnt[1852][6]~52819\ $ (!\led_flash_cnt[1852][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1852][7]~q\,
	cin => \led_flash_cnt[1852][6]~52819\,
	combout => \led_flash_cnt[1852][7]~52820_combout\);

-- Location: FF_X14_Y23_N29
\led_flash_cnt[1852][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1852][7]~52820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1852][7]~q\);

-- Location: LCCOMB_X14_Y23_N30
WideAnd1852 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1852~combout\ = (\led_flash_cnt[1852][0]~q\ & (\WideAnd1852~0_combout\ & (\WideAnd1852~1_combout\ & \led_flash_cnt[1852][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1852][0]~q\,
	datab => \WideAnd1852~0_combout\,
	datac => \WideAnd1852~1_combout\,
	datad => \led_flash_cnt[1852][7]~q\,
	combout => \WideAnd1852~combout\);

-- Location: FF_X14_Y23_N31
\led_flash_cnt_ands[1852]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1852~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1852));

-- Location: LCCOMB_X27_Y15_N28
\led_flash_cnt[1853][0]~82493\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1853][0]~82493_combout\ = !\led_flash_cnt[1853][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1853][0]~q\,
	combout => \led_flash_cnt[1853][0]~82493_combout\);

-- Location: FF_X27_Y15_N29
\led_flash_cnt[1853][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1853][0]~82493_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1853][0]~q\);

-- Location: LCCOMB_X27_Y15_N12
\led_flash_cnt[1853][1]~52822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1853][1]~52822_combout\ = (\led_flash_cnt[1853][1]~q\ & (\led_flash_cnt[1853][0]~q\ $ (VCC))) # (!\led_flash_cnt[1853][1]~q\ & (\led_flash_cnt[1853][0]~q\ & VCC))
-- \led_flash_cnt[1853][1]~52823\ = CARRY((\led_flash_cnt[1853][1]~q\ & \led_flash_cnt[1853][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1853][1]~q\,
	datab => \led_flash_cnt[1853][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1853][1]~52822_combout\,
	cout => \led_flash_cnt[1853][1]~52823\);

-- Location: FF_X27_Y15_N13
\led_flash_cnt[1853][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1853][1]~52822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1853][1]~q\);

-- Location: LCCOMB_X27_Y15_N14
\led_flash_cnt[1853][2]~52824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1853][2]~52824_combout\ = (\led_flash_cnt[1853][2]~q\ & (!\led_flash_cnt[1853][1]~52823\)) # (!\led_flash_cnt[1853][2]~q\ & ((\led_flash_cnt[1853][1]~52823\) # (GND)))
-- \led_flash_cnt[1853][2]~52825\ = CARRY((!\led_flash_cnt[1853][1]~52823\) # (!\led_flash_cnt[1853][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1853][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1853][1]~52823\,
	combout => \led_flash_cnt[1853][2]~52824_combout\,
	cout => \led_flash_cnt[1853][2]~52825\);

-- Location: FF_X27_Y15_N15
\led_flash_cnt[1853][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1853][2]~52824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1853][2]~q\);

-- Location: LCCOMB_X27_Y15_N16
\led_flash_cnt[1853][3]~52826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1853][3]~52826_combout\ = (\led_flash_cnt[1853][3]~q\ & (\led_flash_cnt[1853][2]~52825\ $ (GND))) # (!\led_flash_cnt[1853][3]~q\ & (!\led_flash_cnt[1853][2]~52825\ & VCC))
-- \led_flash_cnt[1853][3]~52827\ = CARRY((\led_flash_cnt[1853][3]~q\ & !\led_flash_cnt[1853][2]~52825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1853][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1853][2]~52825\,
	combout => \led_flash_cnt[1853][3]~52826_combout\,
	cout => \led_flash_cnt[1853][3]~52827\);

-- Location: FF_X27_Y15_N17
\led_flash_cnt[1853][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1853][3]~52826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1853][3]~q\);

-- Location: LCCOMB_X27_Y15_N18
\led_flash_cnt[1853][4]~52828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1853][4]~52828_combout\ = (\led_flash_cnt[1853][4]~q\ & (!\led_flash_cnt[1853][3]~52827\)) # (!\led_flash_cnt[1853][4]~q\ & ((\led_flash_cnt[1853][3]~52827\) # (GND)))
-- \led_flash_cnt[1853][4]~52829\ = CARRY((!\led_flash_cnt[1853][3]~52827\) # (!\led_flash_cnt[1853][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1853][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1853][3]~52827\,
	combout => \led_flash_cnt[1853][4]~52828_combout\,
	cout => \led_flash_cnt[1853][4]~52829\);

-- Location: FF_X27_Y15_N19
\led_flash_cnt[1853][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1853][4]~52828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1853][4]~q\);

-- Location: LCCOMB_X27_Y15_N26
\WideAnd1853~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1853~0_combout\ = (\led_flash_cnt[1853][1]~q\ & (\led_flash_cnt[1853][4]~q\ & (\led_flash_cnt[1853][2]~q\ & \led_flash_cnt[1853][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1853][1]~q\,
	datab => \led_flash_cnt[1853][4]~q\,
	datac => \led_flash_cnt[1853][2]~q\,
	datad => \led_flash_cnt[1853][3]~q\,
	combout => \WideAnd1853~0_combout\);

-- Location: LCCOMB_X27_Y15_N20
\led_flash_cnt[1853][5]~52830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1853][5]~52830_combout\ = (\led_flash_cnt[1853][5]~q\ & (\led_flash_cnt[1853][4]~52829\ $ (GND))) # (!\led_flash_cnt[1853][5]~q\ & (!\led_flash_cnt[1853][4]~52829\ & VCC))
-- \led_flash_cnt[1853][5]~52831\ = CARRY((\led_flash_cnt[1853][5]~q\ & !\led_flash_cnt[1853][4]~52829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1853][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1853][4]~52829\,
	combout => \led_flash_cnt[1853][5]~52830_combout\,
	cout => \led_flash_cnt[1853][5]~52831\);

-- Location: FF_X27_Y15_N21
\led_flash_cnt[1853][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1853][5]~52830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1853][5]~q\);

-- Location: LCCOMB_X27_Y15_N22
\led_flash_cnt[1853][6]~52832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1853][6]~52832_combout\ = (\led_flash_cnt[1853][6]~q\ & (!\led_flash_cnt[1853][5]~52831\)) # (!\led_flash_cnt[1853][6]~q\ & ((\led_flash_cnt[1853][5]~52831\) # (GND)))
-- \led_flash_cnt[1853][6]~52833\ = CARRY((!\led_flash_cnt[1853][5]~52831\) # (!\led_flash_cnt[1853][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1853][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1853][5]~52831\,
	combout => \led_flash_cnt[1853][6]~52832_combout\,
	cout => \led_flash_cnt[1853][6]~52833\);

-- Location: FF_X27_Y15_N23
\led_flash_cnt[1853][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1853][6]~52832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1853][6]~q\);

-- Location: LCCOMB_X27_Y15_N8
\WideAnd1853~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1853~1_combout\ = (\led_flash_cnt[1853][6]~q\ & \led_flash_cnt[1853][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1853][6]~q\,
	datad => \led_flash_cnt[1853][5]~q\,
	combout => \WideAnd1853~1_combout\);

-- Location: LCCOMB_X27_Y15_N24
\led_flash_cnt[1853][7]~52834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1853][7]~52834_combout\ = \led_flash_cnt[1853][6]~52833\ $ (!\led_flash_cnt[1853][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1853][7]~q\,
	cin => \led_flash_cnt[1853][6]~52833\,
	combout => \led_flash_cnt[1853][7]~52834_combout\);

-- Location: FF_X27_Y15_N25
\led_flash_cnt[1853][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1853][7]~52834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1853][7]~q\);

-- Location: LCCOMB_X27_Y15_N10
WideAnd1853 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1853~combout\ = (\WideAnd1853~0_combout\ & (\led_flash_cnt[1853][0]~q\ & (\WideAnd1853~1_combout\ & \led_flash_cnt[1853][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1853~0_combout\,
	datab => \led_flash_cnt[1853][0]~q\,
	datac => \WideAnd1853~1_combout\,
	datad => \led_flash_cnt[1853][7]~q\,
	combout => \WideAnd1853~combout\);

-- Location: FF_X27_Y15_N11
\led_flash_cnt_ands[1853]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1853~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1853));

-- Location: LCCOMB_X27_Y15_N6
\WideAnd4071~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4071~1_combout\ = (led_flash_cnt_ands(1852) & led_flash_cnt_ands(1853))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1852),
	datad => led_flash_cnt_ands(1853),
	combout => \WideAnd4071~1_combout\);

-- Location: LCCOMB_X32_Y19_N26
\led_flash_cnt[1854][0]~82494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1854][0]~82494_combout\ = !\led_flash_cnt[1854][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1854][0]~q\,
	combout => \led_flash_cnt[1854][0]~82494_combout\);

-- Location: FF_X32_Y19_N27
\led_flash_cnt[1854][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1854][0]~82494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1854][0]~q\);

-- Location: LCCOMB_X32_Y19_N0
\led_flash_cnt[1854][1]~52836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1854][1]~52836_combout\ = (\led_flash_cnt[1854][0]~q\ & (\led_flash_cnt[1854][1]~q\ $ (VCC))) # (!\led_flash_cnt[1854][0]~q\ & (\led_flash_cnt[1854][1]~q\ & VCC))
-- \led_flash_cnt[1854][1]~52837\ = CARRY((\led_flash_cnt[1854][0]~q\ & \led_flash_cnt[1854][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1854][0]~q\,
	datab => \led_flash_cnt[1854][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1854][1]~52836_combout\,
	cout => \led_flash_cnt[1854][1]~52837\);

-- Location: FF_X32_Y19_N1
\led_flash_cnt[1854][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1854][1]~52836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1854][1]~q\);

-- Location: LCCOMB_X32_Y19_N2
\led_flash_cnt[1854][2]~52838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1854][2]~52838_combout\ = (\led_flash_cnt[1854][2]~q\ & (!\led_flash_cnt[1854][1]~52837\)) # (!\led_flash_cnt[1854][2]~q\ & ((\led_flash_cnt[1854][1]~52837\) # (GND)))
-- \led_flash_cnt[1854][2]~52839\ = CARRY((!\led_flash_cnt[1854][1]~52837\) # (!\led_flash_cnt[1854][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1854][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1854][1]~52837\,
	combout => \led_flash_cnt[1854][2]~52838_combout\,
	cout => \led_flash_cnt[1854][2]~52839\);

-- Location: FF_X32_Y19_N3
\led_flash_cnt[1854][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1854][2]~52838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1854][2]~q\);

-- Location: LCCOMB_X32_Y19_N4
\led_flash_cnt[1854][3]~52840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1854][3]~52840_combout\ = (\led_flash_cnt[1854][3]~q\ & (\led_flash_cnt[1854][2]~52839\ $ (GND))) # (!\led_flash_cnt[1854][3]~q\ & (!\led_flash_cnt[1854][2]~52839\ & VCC))
-- \led_flash_cnt[1854][3]~52841\ = CARRY((\led_flash_cnt[1854][3]~q\ & !\led_flash_cnt[1854][2]~52839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1854][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1854][2]~52839\,
	combout => \led_flash_cnt[1854][3]~52840_combout\,
	cout => \led_flash_cnt[1854][3]~52841\);

-- Location: FF_X32_Y19_N5
\led_flash_cnt[1854][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1854][3]~52840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1854][3]~q\);

-- Location: LCCOMB_X32_Y19_N6
\led_flash_cnt[1854][4]~52842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1854][4]~52842_combout\ = (\led_flash_cnt[1854][4]~q\ & (!\led_flash_cnt[1854][3]~52841\)) # (!\led_flash_cnt[1854][4]~q\ & ((\led_flash_cnt[1854][3]~52841\) # (GND)))
-- \led_flash_cnt[1854][4]~52843\ = CARRY((!\led_flash_cnt[1854][3]~52841\) # (!\led_flash_cnt[1854][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1854][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1854][3]~52841\,
	combout => \led_flash_cnt[1854][4]~52842_combout\,
	cout => \led_flash_cnt[1854][4]~52843\);

-- Location: FF_X32_Y19_N7
\led_flash_cnt[1854][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1854][4]~52842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1854][4]~q\);

-- Location: LCCOMB_X32_Y19_N8
\led_flash_cnt[1854][5]~52844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1854][5]~52844_combout\ = (\led_flash_cnt[1854][5]~q\ & (\led_flash_cnt[1854][4]~52843\ $ (GND))) # (!\led_flash_cnt[1854][5]~q\ & (!\led_flash_cnt[1854][4]~52843\ & VCC))
-- \led_flash_cnt[1854][5]~52845\ = CARRY((\led_flash_cnt[1854][5]~q\ & !\led_flash_cnt[1854][4]~52843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1854][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1854][4]~52843\,
	combout => \led_flash_cnt[1854][5]~52844_combout\,
	cout => \led_flash_cnt[1854][5]~52845\);

-- Location: FF_X32_Y19_N9
\led_flash_cnt[1854][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1854][5]~52844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1854][5]~q\);

-- Location: LCCOMB_X32_Y19_N10
\led_flash_cnt[1854][6]~52846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1854][6]~52846_combout\ = (\led_flash_cnt[1854][6]~q\ & (!\led_flash_cnt[1854][5]~52845\)) # (!\led_flash_cnt[1854][6]~q\ & ((\led_flash_cnt[1854][5]~52845\) # (GND)))
-- \led_flash_cnt[1854][6]~52847\ = CARRY((!\led_flash_cnt[1854][5]~52845\) # (!\led_flash_cnt[1854][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1854][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1854][5]~52845\,
	combout => \led_flash_cnt[1854][6]~52846_combout\,
	cout => \led_flash_cnt[1854][6]~52847\);

-- Location: FF_X32_Y19_N11
\led_flash_cnt[1854][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1854][6]~52846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1854][6]~q\);

-- Location: LCCOMB_X32_Y19_N12
\led_flash_cnt[1854][7]~52848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1854][7]~52848_combout\ = \led_flash_cnt[1854][6]~52847\ $ (!\led_flash_cnt[1854][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1854][7]~q\,
	cin => \led_flash_cnt[1854][6]~52847\,
	combout => \led_flash_cnt[1854][7]~52848_combout\);

-- Location: FF_X32_Y19_N13
\led_flash_cnt[1854][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1854][7]~52848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1854][7]~q\);

-- Location: LCCOMB_X32_Y19_N28
\WideAnd1854~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1854~0_combout\ = (\led_flash_cnt[1854][4]~q\ & (\led_flash_cnt[1854][1]~q\ & (\led_flash_cnt[1854][3]~q\ & \led_flash_cnt[1854][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1854][4]~q\,
	datab => \led_flash_cnt[1854][1]~q\,
	datac => \led_flash_cnt[1854][3]~q\,
	datad => \led_flash_cnt[1854][2]~q\,
	combout => \WideAnd1854~0_combout\);

-- Location: LCCOMB_X32_Y19_N20
\WideAnd1854~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1854~1_combout\ = (\led_flash_cnt[1854][5]~q\ & \led_flash_cnt[1854][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1854][5]~q\,
	datad => \led_flash_cnt[1854][6]~q\,
	combout => \WideAnd1854~1_combout\);

-- Location: LCCOMB_X32_Y19_N18
WideAnd1854 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1854~combout\ = (\led_flash_cnt[1854][7]~q\ & (\WideAnd1854~0_combout\ & (\led_flash_cnt[1854][0]~q\ & \WideAnd1854~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1854][7]~q\,
	datab => \WideAnd1854~0_combout\,
	datac => \led_flash_cnt[1854][0]~q\,
	datad => \WideAnd1854~1_combout\,
	combout => \WideAnd1854~combout\);

-- Location: FF_X32_Y19_N19
\led_flash_cnt_ands[1854]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1854~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1854));

-- Location: LCCOMB_X36_Y3_N16
\led_flash_cnt[1855][0]~82495\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1855][0]~82495_combout\ = !\led_flash_cnt[1855][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1855][0]~q\,
	combout => \led_flash_cnt[1855][0]~82495_combout\);

-- Location: FF_X36_Y3_N17
\led_flash_cnt[1855][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1855][0]~82495_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1855][0]~q\);

-- Location: LCCOMB_X37_Y3_N14
\led_flash_cnt[1855][1]~52850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1855][1]~52850_combout\ = (\led_flash_cnt[1855][0]~q\ & (\led_flash_cnt[1855][1]~q\ $ (VCC))) # (!\led_flash_cnt[1855][0]~q\ & (\led_flash_cnt[1855][1]~q\ & VCC))
-- \led_flash_cnt[1855][1]~52851\ = CARRY((\led_flash_cnt[1855][0]~q\ & \led_flash_cnt[1855][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1855][0]~q\,
	datab => \led_flash_cnt[1855][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1855][1]~52850_combout\,
	cout => \led_flash_cnt[1855][1]~52851\);

-- Location: FF_X37_Y3_N15
\led_flash_cnt[1855][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1855][1]~52850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1855][1]~q\);

-- Location: LCCOMB_X37_Y3_N16
\led_flash_cnt[1855][2]~52852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1855][2]~52852_combout\ = (\led_flash_cnt[1855][2]~q\ & (!\led_flash_cnt[1855][1]~52851\)) # (!\led_flash_cnt[1855][2]~q\ & ((\led_flash_cnt[1855][1]~52851\) # (GND)))
-- \led_flash_cnt[1855][2]~52853\ = CARRY((!\led_flash_cnt[1855][1]~52851\) # (!\led_flash_cnt[1855][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1855][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1855][1]~52851\,
	combout => \led_flash_cnt[1855][2]~52852_combout\,
	cout => \led_flash_cnt[1855][2]~52853\);

-- Location: FF_X37_Y3_N17
\led_flash_cnt[1855][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1855][2]~52852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1855][2]~q\);

-- Location: LCCOMB_X37_Y3_N18
\led_flash_cnt[1855][3]~52854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1855][3]~52854_combout\ = (\led_flash_cnt[1855][3]~q\ & (\led_flash_cnt[1855][2]~52853\ $ (GND))) # (!\led_flash_cnt[1855][3]~q\ & (!\led_flash_cnt[1855][2]~52853\ & VCC))
-- \led_flash_cnt[1855][3]~52855\ = CARRY((\led_flash_cnt[1855][3]~q\ & !\led_flash_cnt[1855][2]~52853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1855][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1855][2]~52853\,
	combout => \led_flash_cnt[1855][3]~52854_combout\,
	cout => \led_flash_cnt[1855][3]~52855\);

-- Location: FF_X37_Y3_N19
\led_flash_cnt[1855][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1855][3]~52854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1855][3]~q\);

-- Location: LCCOMB_X37_Y3_N20
\led_flash_cnt[1855][4]~52856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1855][4]~52856_combout\ = (\led_flash_cnt[1855][4]~q\ & (!\led_flash_cnt[1855][3]~52855\)) # (!\led_flash_cnt[1855][4]~q\ & ((\led_flash_cnt[1855][3]~52855\) # (GND)))
-- \led_flash_cnt[1855][4]~52857\ = CARRY((!\led_flash_cnt[1855][3]~52855\) # (!\led_flash_cnt[1855][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1855][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1855][3]~52855\,
	combout => \led_flash_cnt[1855][4]~52856_combout\,
	cout => \led_flash_cnt[1855][4]~52857\);

-- Location: FF_X37_Y3_N21
\led_flash_cnt[1855][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1855][4]~52856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1855][4]~q\);

-- Location: LCCOMB_X37_Y3_N30
\WideAnd1855~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1855~0_combout\ = (\led_flash_cnt[1855][3]~q\ & (\led_flash_cnt[1855][2]~q\ & (\led_flash_cnt[1855][1]~q\ & \led_flash_cnt[1855][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1855][3]~q\,
	datab => \led_flash_cnt[1855][2]~q\,
	datac => \led_flash_cnt[1855][1]~q\,
	datad => \led_flash_cnt[1855][4]~q\,
	combout => \WideAnd1855~0_combout\);

-- Location: LCCOMB_X37_Y3_N22
\led_flash_cnt[1855][5]~52858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1855][5]~52858_combout\ = (\led_flash_cnt[1855][5]~q\ & (\led_flash_cnt[1855][4]~52857\ $ (GND))) # (!\led_flash_cnt[1855][5]~q\ & (!\led_flash_cnt[1855][4]~52857\ & VCC))
-- \led_flash_cnt[1855][5]~52859\ = CARRY((\led_flash_cnt[1855][5]~q\ & !\led_flash_cnt[1855][4]~52857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1855][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1855][4]~52857\,
	combout => \led_flash_cnt[1855][5]~52858_combout\,
	cout => \led_flash_cnt[1855][5]~52859\);

-- Location: FF_X37_Y3_N23
\led_flash_cnt[1855][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1855][5]~52858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1855][5]~q\);

-- Location: LCCOMB_X37_Y3_N24
\led_flash_cnt[1855][6]~52860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1855][6]~52860_combout\ = (\led_flash_cnt[1855][6]~q\ & (!\led_flash_cnt[1855][5]~52859\)) # (!\led_flash_cnt[1855][6]~q\ & ((\led_flash_cnt[1855][5]~52859\) # (GND)))
-- \led_flash_cnt[1855][6]~52861\ = CARRY((!\led_flash_cnt[1855][5]~52859\) # (!\led_flash_cnt[1855][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1855][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1855][5]~52859\,
	combout => \led_flash_cnt[1855][6]~52860_combout\,
	cout => \led_flash_cnt[1855][6]~52861\);

-- Location: FF_X37_Y3_N25
\led_flash_cnt[1855][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1855][6]~52860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1855][6]~q\);

-- Location: LCCOMB_X36_Y3_N26
\WideAnd1855~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1855~1_combout\ = (\led_flash_cnt[1855][6]~q\ & \led_flash_cnt[1855][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1855][6]~q\,
	datad => \led_flash_cnt[1855][5]~q\,
	combout => \WideAnd1855~1_combout\);

-- Location: LCCOMB_X37_Y3_N26
\led_flash_cnt[1855][7]~52862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1855][7]~52862_combout\ = \led_flash_cnt[1855][7]~q\ $ (!\led_flash_cnt[1855][6]~52861\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1855][7]~q\,
	cin => \led_flash_cnt[1855][6]~52861\,
	combout => \led_flash_cnt[1855][7]~52862_combout\);

-- Location: FF_X37_Y3_N27
\led_flash_cnt[1855][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1855][7]~52862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1855][7]~q\);

-- Location: LCCOMB_X36_Y3_N20
WideAnd1855 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1855~combout\ = (\WideAnd1855~0_combout\ & (\led_flash_cnt[1855][0]~q\ & (\WideAnd1855~1_combout\ & \led_flash_cnt[1855][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1855~0_combout\,
	datab => \led_flash_cnt[1855][0]~q\,
	datac => \WideAnd1855~1_combout\,
	datad => \led_flash_cnt[1855][7]~q\,
	combout => \WideAnd1855~combout\);

-- Location: FF_X36_Y3_N21
\led_flash_cnt_ands[1855]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1855~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1855));

-- Location: LCCOMB_X65_Y41_N22
\led_flash_cnt[1848][0]~82488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1848][0]~82488_combout\ = !\led_flash_cnt[1848][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1848][0]~q\,
	combout => \led_flash_cnt[1848][0]~82488_combout\);

-- Location: FF_X65_Y41_N23
\led_flash_cnt[1848][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1848][0]~82488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1848][0]~q\);

-- Location: LCCOMB_X65_Y41_N4
\led_flash_cnt[1848][1]~52752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1848][1]~52752_combout\ = (\led_flash_cnt[1848][0]~q\ & (\led_flash_cnt[1848][1]~q\ $ (VCC))) # (!\led_flash_cnt[1848][0]~q\ & (\led_flash_cnt[1848][1]~q\ & VCC))
-- \led_flash_cnt[1848][1]~52753\ = CARRY((\led_flash_cnt[1848][0]~q\ & \led_flash_cnt[1848][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1848][0]~q\,
	datab => \led_flash_cnt[1848][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1848][1]~52752_combout\,
	cout => \led_flash_cnt[1848][1]~52753\);

-- Location: FF_X65_Y41_N5
\led_flash_cnt[1848][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1848][1]~52752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1848][1]~q\);

-- Location: LCCOMB_X65_Y41_N6
\led_flash_cnt[1848][2]~52754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1848][2]~52754_combout\ = (\led_flash_cnt[1848][2]~q\ & (!\led_flash_cnt[1848][1]~52753\)) # (!\led_flash_cnt[1848][2]~q\ & ((\led_flash_cnt[1848][1]~52753\) # (GND)))
-- \led_flash_cnt[1848][2]~52755\ = CARRY((!\led_flash_cnt[1848][1]~52753\) # (!\led_flash_cnt[1848][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1848][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1848][1]~52753\,
	combout => \led_flash_cnt[1848][2]~52754_combout\,
	cout => \led_flash_cnt[1848][2]~52755\);

-- Location: FF_X65_Y41_N7
\led_flash_cnt[1848][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1848][2]~52754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1848][2]~q\);

-- Location: LCCOMB_X65_Y41_N8
\led_flash_cnt[1848][3]~52756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1848][3]~52756_combout\ = (\led_flash_cnt[1848][3]~q\ & (\led_flash_cnt[1848][2]~52755\ $ (GND))) # (!\led_flash_cnt[1848][3]~q\ & (!\led_flash_cnt[1848][2]~52755\ & VCC))
-- \led_flash_cnt[1848][3]~52757\ = CARRY((\led_flash_cnt[1848][3]~q\ & !\led_flash_cnt[1848][2]~52755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1848][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1848][2]~52755\,
	combout => \led_flash_cnt[1848][3]~52756_combout\,
	cout => \led_flash_cnt[1848][3]~52757\);

-- Location: FF_X65_Y41_N9
\led_flash_cnt[1848][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1848][3]~52756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1848][3]~q\);

-- Location: LCCOMB_X65_Y41_N10
\led_flash_cnt[1848][4]~52758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1848][4]~52758_combout\ = (\led_flash_cnt[1848][4]~q\ & (!\led_flash_cnt[1848][3]~52757\)) # (!\led_flash_cnt[1848][4]~q\ & ((\led_flash_cnt[1848][3]~52757\) # (GND)))
-- \led_flash_cnt[1848][4]~52759\ = CARRY((!\led_flash_cnt[1848][3]~52757\) # (!\led_flash_cnt[1848][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1848][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1848][3]~52757\,
	combout => \led_flash_cnt[1848][4]~52758_combout\,
	cout => \led_flash_cnt[1848][4]~52759\);

-- Location: FF_X65_Y41_N11
\led_flash_cnt[1848][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1848][4]~52758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1848][4]~q\);

-- Location: LCCOMB_X65_Y41_N12
\led_flash_cnt[1848][5]~52760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1848][5]~52760_combout\ = (\led_flash_cnt[1848][5]~q\ & (\led_flash_cnt[1848][4]~52759\ $ (GND))) # (!\led_flash_cnt[1848][5]~q\ & (!\led_flash_cnt[1848][4]~52759\ & VCC))
-- \led_flash_cnt[1848][5]~52761\ = CARRY((\led_flash_cnt[1848][5]~q\ & !\led_flash_cnt[1848][4]~52759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1848][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1848][4]~52759\,
	combout => \led_flash_cnt[1848][5]~52760_combout\,
	cout => \led_flash_cnt[1848][5]~52761\);

-- Location: FF_X65_Y41_N13
\led_flash_cnt[1848][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1848][5]~52760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1848][5]~q\);

-- Location: LCCOMB_X65_Y41_N14
\led_flash_cnt[1848][6]~52762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1848][6]~52762_combout\ = (\led_flash_cnt[1848][6]~q\ & (!\led_flash_cnt[1848][5]~52761\)) # (!\led_flash_cnt[1848][6]~q\ & ((\led_flash_cnt[1848][5]~52761\) # (GND)))
-- \led_flash_cnt[1848][6]~52763\ = CARRY((!\led_flash_cnt[1848][5]~52761\) # (!\led_flash_cnt[1848][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1848][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1848][5]~52761\,
	combout => \led_flash_cnt[1848][6]~52762_combout\,
	cout => \led_flash_cnt[1848][6]~52763\);

-- Location: FF_X65_Y41_N15
\led_flash_cnt[1848][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1848][6]~52762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1848][6]~q\);

-- Location: LCCOMB_X65_Y41_N16
\led_flash_cnt[1848][7]~52764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1848][7]~52764_combout\ = \led_flash_cnt[1848][6]~52763\ $ (!\led_flash_cnt[1848][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1848][7]~q\,
	cin => \led_flash_cnt[1848][6]~52763\,
	combout => \led_flash_cnt[1848][7]~52764_combout\);

-- Location: FF_X65_Y41_N17
\led_flash_cnt[1848][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1848][7]~52764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1848][7]~q\);

-- Location: LCCOMB_X65_Y41_N26
\WideAnd1848~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1848~1_combout\ = (\led_flash_cnt[1848][6]~q\ & \led_flash_cnt[1848][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1848][6]~q\,
	datad => \led_flash_cnt[1848][5]~q\,
	combout => \WideAnd1848~1_combout\);

-- Location: LCCOMB_X65_Y41_N18
\WideAnd1848~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1848~0_combout\ = (\led_flash_cnt[1848][4]~q\ & (\led_flash_cnt[1848][1]~q\ & (\led_flash_cnt[1848][3]~q\ & \led_flash_cnt[1848][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1848][4]~q\,
	datab => \led_flash_cnt[1848][1]~q\,
	datac => \led_flash_cnt[1848][3]~q\,
	datad => \led_flash_cnt[1848][2]~q\,
	combout => \WideAnd1848~0_combout\);

-- Location: LCCOMB_X65_Y41_N30
WideAnd1848 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1848~combout\ = (\led_flash_cnt[1848][0]~q\ & (\led_flash_cnt[1848][7]~q\ & (\WideAnd1848~1_combout\ & \WideAnd1848~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1848][0]~q\,
	datab => \led_flash_cnt[1848][7]~q\,
	datac => \WideAnd1848~1_combout\,
	datad => \WideAnd1848~0_combout\,
	combout => \WideAnd1848~combout\);

-- Location: FF_X65_Y41_N31
\led_flash_cnt_ands[1848]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1848~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1848));

-- Location: LCCOMB_X44_Y40_N12
\led_flash_cnt[1850][0]~82490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1850][0]~82490_combout\ = !\led_flash_cnt[1850][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1850][0]~q\,
	combout => \led_flash_cnt[1850][0]~82490_combout\);

-- Location: FF_X44_Y40_N13
\led_flash_cnt[1850][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1850][0]~82490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1850][0]~q\);

-- Location: LCCOMB_X44_Y40_N16
\led_flash_cnt[1850][1]~52780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1850][1]~52780_combout\ = (\led_flash_cnt[1850][0]~q\ & (\led_flash_cnt[1850][1]~q\ $ (VCC))) # (!\led_flash_cnt[1850][0]~q\ & (\led_flash_cnt[1850][1]~q\ & VCC))
-- \led_flash_cnt[1850][1]~52781\ = CARRY((\led_flash_cnt[1850][0]~q\ & \led_flash_cnt[1850][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1850][0]~q\,
	datab => \led_flash_cnt[1850][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1850][1]~52780_combout\,
	cout => \led_flash_cnt[1850][1]~52781\);

-- Location: FF_X44_Y40_N17
\led_flash_cnt[1850][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1850][1]~52780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1850][1]~q\);

-- Location: LCCOMB_X44_Y40_N18
\led_flash_cnt[1850][2]~52782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1850][2]~52782_combout\ = (\led_flash_cnt[1850][2]~q\ & (!\led_flash_cnt[1850][1]~52781\)) # (!\led_flash_cnt[1850][2]~q\ & ((\led_flash_cnt[1850][1]~52781\) # (GND)))
-- \led_flash_cnt[1850][2]~52783\ = CARRY((!\led_flash_cnt[1850][1]~52781\) # (!\led_flash_cnt[1850][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1850][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1850][1]~52781\,
	combout => \led_flash_cnt[1850][2]~52782_combout\,
	cout => \led_flash_cnt[1850][2]~52783\);

-- Location: FF_X44_Y40_N19
\led_flash_cnt[1850][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1850][2]~52782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1850][2]~q\);

-- Location: LCCOMB_X44_Y40_N20
\led_flash_cnt[1850][3]~52784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1850][3]~52784_combout\ = (\led_flash_cnt[1850][3]~q\ & (\led_flash_cnt[1850][2]~52783\ $ (GND))) # (!\led_flash_cnt[1850][3]~q\ & (!\led_flash_cnt[1850][2]~52783\ & VCC))
-- \led_flash_cnt[1850][3]~52785\ = CARRY((\led_flash_cnt[1850][3]~q\ & !\led_flash_cnt[1850][2]~52783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1850][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1850][2]~52783\,
	combout => \led_flash_cnt[1850][3]~52784_combout\,
	cout => \led_flash_cnt[1850][3]~52785\);

-- Location: FF_X44_Y40_N21
\led_flash_cnt[1850][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1850][3]~52784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1850][3]~q\);

-- Location: LCCOMB_X44_Y40_N22
\led_flash_cnt[1850][4]~52786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1850][4]~52786_combout\ = (\led_flash_cnt[1850][4]~q\ & (!\led_flash_cnt[1850][3]~52785\)) # (!\led_flash_cnt[1850][4]~q\ & ((\led_flash_cnt[1850][3]~52785\) # (GND)))
-- \led_flash_cnt[1850][4]~52787\ = CARRY((!\led_flash_cnt[1850][3]~52785\) # (!\led_flash_cnt[1850][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1850][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1850][3]~52785\,
	combout => \led_flash_cnt[1850][4]~52786_combout\,
	cout => \led_flash_cnt[1850][4]~52787\);

-- Location: FF_X44_Y40_N23
\led_flash_cnt[1850][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1850][4]~52786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1850][4]~q\);

-- Location: LCCOMB_X44_Y40_N24
\led_flash_cnt[1850][5]~52788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1850][5]~52788_combout\ = (\led_flash_cnt[1850][5]~q\ & (\led_flash_cnt[1850][4]~52787\ $ (GND))) # (!\led_flash_cnt[1850][5]~q\ & (!\led_flash_cnt[1850][4]~52787\ & VCC))
-- \led_flash_cnt[1850][5]~52789\ = CARRY((\led_flash_cnt[1850][5]~q\ & !\led_flash_cnt[1850][4]~52787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1850][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1850][4]~52787\,
	combout => \led_flash_cnt[1850][5]~52788_combout\,
	cout => \led_flash_cnt[1850][5]~52789\);

-- Location: FF_X44_Y40_N25
\led_flash_cnt[1850][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1850][5]~52788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1850][5]~q\);

-- Location: LCCOMB_X44_Y40_N26
\led_flash_cnt[1850][6]~52790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1850][6]~52790_combout\ = (\led_flash_cnt[1850][6]~q\ & (!\led_flash_cnt[1850][5]~52789\)) # (!\led_flash_cnt[1850][6]~q\ & ((\led_flash_cnt[1850][5]~52789\) # (GND)))
-- \led_flash_cnt[1850][6]~52791\ = CARRY((!\led_flash_cnt[1850][5]~52789\) # (!\led_flash_cnt[1850][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1850][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1850][5]~52789\,
	combout => \led_flash_cnt[1850][6]~52790_combout\,
	cout => \led_flash_cnt[1850][6]~52791\);

-- Location: FF_X44_Y40_N27
\led_flash_cnt[1850][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1850][6]~52790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1850][6]~q\);

-- Location: LCCOMB_X44_Y40_N28
\led_flash_cnt[1850][7]~52792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1850][7]~52792_combout\ = \led_flash_cnt[1850][6]~52791\ $ (!\led_flash_cnt[1850][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1850][7]~q\,
	cin => \led_flash_cnt[1850][6]~52791\,
	combout => \led_flash_cnt[1850][7]~52792_combout\);

-- Location: FF_X44_Y40_N29
\led_flash_cnt[1850][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1850][7]~52792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1850][7]~q\);

-- Location: LCCOMB_X44_Y40_N14
\WideAnd1850~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1850~0_combout\ = (\led_flash_cnt[1850][3]~q\ & (\led_flash_cnt[1850][1]~q\ & (\led_flash_cnt[1850][4]~q\ & \led_flash_cnt[1850][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1850][3]~q\,
	datab => \led_flash_cnt[1850][1]~q\,
	datac => \led_flash_cnt[1850][4]~q\,
	datad => \led_flash_cnt[1850][2]~q\,
	combout => \WideAnd1850~0_combout\);

-- Location: LCCOMB_X44_Y40_N0
\WideAnd1850~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1850~1_combout\ = (\led_flash_cnt[1850][6]~q\ & \led_flash_cnt[1850][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1850][6]~q\,
	datad => \led_flash_cnt[1850][5]~q\,
	combout => \WideAnd1850~1_combout\);

-- Location: LCCOMB_X44_Y40_N2
WideAnd1850 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1850~combout\ = (\led_flash_cnt[1850][0]~q\ & (\led_flash_cnt[1850][7]~q\ & (\WideAnd1850~0_combout\ & \WideAnd1850~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1850][0]~q\,
	datab => \led_flash_cnt[1850][7]~q\,
	datac => \WideAnd1850~0_combout\,
	datad => \WideAnd1850~1_combout\,
	combout => \WideAnd1850~combout\);

-- Location: FF_X44_Y40_N3
\led_flash_cnt_ands[1850]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1850~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1850));

-- Location: LCCOMB_X59_Y40_N10
\led_flash_cnt[1851][0]~82491\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1851][0]~82491_combout\ = !\led_flash_cnt[1851][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1851][0]~q\,
	combout => \led_flash_cnt[1851][0]~82491_combout\);

-- Location: FF_X59_Y40_N11
\led_flash_cnt[1851][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1851][0]~82491_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1851][0]~q\);

-- Location: LCCOMB_X59_Y40_N16
\led_flash_cnt[1851][1]~52794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1851][1]~52794_combout\ = (\led_flash_cnt[1851][0]~q\ & (\led_flash_cnt[1851][1]~q\ $ (VCC))) # (!\led_flash_cnt[1851][0]~q\ & (\led_flash_cnt[1851][1]~q\ & VCC))
-- \led_flash_cnt[1851][1]~52795\ = CARRY((\led_flash_cnt[1851][0]~q\ & \led_flash_cnt[1851][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1851][0]~q\,
	datab => \led_flash_cnt[1851][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1851][1]~52794_combout\,
	cout => \led_flash_cnt[1851][1]~52795\);

-- Location: FF_X59_Y40_N17
\led_flash_cnt[1851][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1851][1]~52794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1851][1]~q\);

-- Location: LCCOMB_X59_Y40_N18
\led_flash_cnt[1851][2]~52796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1851][2]~52796_combout\ = (\led_flash_cnt[1851][2]~q\ & (!\led_flash_cnt[1851][1]~52795\)) # (!\led_flash_cnt[1851][2]~q\ & ((\led_flash_cnt[1851][1]~52795\) # (GND)))
-- \led_flash_cnt[1851][2]~52797\ = CARRY((!\led_flash_cnt[1851][1]~52795\) # (!\led_flash_cnt[1851][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1851][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1851][1]~52795\,
	combout => \led_flash_cnt[1851][2]~52796_combout\,
	cout => \led_flash_cnt[1851][2]~52797\);

-- Location: FF_X59_Y40_N19
\led_flash_cnt[1851][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1851][2]~52796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1851][2]~q\);

-- Location: LCCOMB_X59_Y40_N20
\led_flash_cnt[1851][3]~52798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1851][3]~52798_combout\ = (\led_flash_cnt[1851][3]~q\ & (\led_flash_cnt[1851][2]~52797\ $ (GND))) # (!\led_flash_cnt[1851][3]~q\ & (!\led_flash_cnt[1851][2]~52797\ & VCC))
-- \led_flash_cnt[1851][3]~52799\ = CARRY((\led_flash_cnt[1851][3]~q\ & !\led_flash_cnt[1851][2]~52797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1851][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1851][2]~52797\,
	combout => \led_flash_cnt[1851][3]~52798_combout\,
	cout => \led_flash_cnt[1851][3]~52799\);

-- Location: FF_X59_Y40_N21
\led_flash_cnt[1851][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1851][3]~52798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1851][3]~q\);

-- Location: LCCOMB_X59_Y40_N22
\led_flash_cnt[1851][4]~52800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1851][4]~52800_combout\ = (\led_flash_cnt[1851][4]~q\ & (!\led_flash_cnt[1851][3]~52799\)) # (!\led_flash_cnt[1851][4]~q\ & ((\led_flash_cnt[1851][3]~52799\) # (GND)))
-- \led_flash_cnt[1851][4]~52801\ = CARRY((!\led_flash_cnt[1851][3]~52799\) # (!\led_flash_cnt[1851][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1851][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1851][3]~52799\,
	combout => \led_flash_cnt[1851][4]~52800_combout\,
	cout => \led_flash_cnt[1851][4]~52801\);

-- Location: FF_X59_Y40_N23
\led_flash_cnt[1851][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1851][4]~52800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1851][4]~q\);

-- Location: LCCOMB_X59_Y40_N24
\led_flash_cnt[1851][5]~52802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1851][5]~52802_combout\ = (\led_flash_cnt[1851][5]~q\ & (\led_flash_cnt[1851][4]~52801\ $ (GND))) # (!\led_flash_cnt[1851][5]~q\ & (!\led_flash_cnt[1851][4]~52801\ & VCC))
-- \led_flash_cnt[1851][5]~52803\ = CARRY((\led_flash_cnt[1851][5]~q\ & !\led_flash_cnt[1851][4]~52801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1851][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1851][4]~52801\,
	combout => \led_flash_cnt[1851][5]~52802_combout\,
	cout => \led_flash_cnt[1851][5]~52803\);

-- Location: FF_X59_Y40_N25
\led_flash_cnt[1851][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1851][5]~52802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1851][5]~q\);

-- Location: LCCOMB_X59_Y40_N26
\led_flash_cnt[1851][6]~52804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1851][6]~52804_combout\ = (\led_flash_cnt[1851][6]~q\ & (!\led_flash_cnt[1851][5]~52803\)) # (!\led_flash_cnt[1851][6]~q\ & ((\led_flash_cnt[1851][5]~52803\) # (GND)))
-- \led_flash_cnt[1851][6]~52805\ = CARRY((!\led_flash_cnt[1851][5]~52803\) # (!\led_flash_cnt[1851][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1851][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1851][5]~52803\,
	combout => \led_flash_cnt[1851][6]~52804_combout\,
	cout => \led_flash_cnt[1851][6]~52805\);

-- Location: FF_X59_Y40_N27
\led_flash_cnt[1851][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1851][6]~52804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1851][6]~q\);

-- Location: LCCOMB_X59_Y40_N28
\led_flash_cnt[1851][7]~52806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1851][7]~52806_combout\ = \led_flash_cnt[1851][6]~52805\ $ (!\led_flash_cnt[1851][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1851][7]~q\,
	cin => \led_flash_cnt[1851][6]~52805\,
	combout => \led_flash_cnt[1851][7]~52806_combout\);

-- Location: FF_X59_Y40_N29
\led_flash_cnt[1851][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1851][7]~52806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1851][7]~q\);

-- Location: LCCOMB_X59_Y40_N4
\WideAnd1851~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1851~1_combout\ = (\led_flash_cnt[1851][6]~q\ & \led_flash_cnt[1851][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1851][6]~q\,
	datad => \led_flash_cnt[1851][5]~q\,
	combout => \WideAnd1851~1_combout\);

-- Location: LCCOMB_X59_Y40_N12
\WideAnd1851~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1851~0_combout\ = (\led_flash_cnt[1851][3]~q\ & (\led_flash_cnt[1851][2]~q\ & (\led_flash_cnt[1851][4]~q\ & \led_flash_cnt[1851][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1851][3]~q\,
	datab => \led_flash_cnt[1851][2]~q\,
	datac => \led_flash_cnt[1851][4]~q\,
	datad => \led_flash_cnt[1851][1]~q\,
	combout => \WideAnd1851~0_combout\);

-- Location: LCCOMB_X59_Y40_N8
WideAnd1851 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1851~combout\ = (\led_flash_cnt[1851][0]~q\ & (\led_flash_cnt[1851][7]~q\ & (\WideAnd1851~1_combout\ & \WideAnd1851~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1851][0]~q\,
	datab => \led_flash_cnt[1851][7]~q\,
	datac => \WideAnd1851~1_combout\,
	datad => \WideAnd1851~0_combout\,
	combout => \WideAnd1851~combout\);

-- Location: FF_X59_Y40_N9
\led_flash_cnt_ands[1851]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1851~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1851));

-- Location: LCCOMB_X10_Y18_N18
\led_flash_cnt[1849][0]~82489\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1849][0]~82489_combout\ = !\led_flash_cnt[1849][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1849][0]~q\,
	combout => \led_flash_cnt[1849][0]~82489_combout\);

-- Location: FF_X10_Y18_N19
\led_flash_cnt[1849][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1849][0]~82489_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1849][0]~q\);

-- Location: LCCOMB_X10_Y18_N2
\led_flash_cnt[1849][1]~52766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1849][1]~52766_combout\ = (\led_flash_cnt[1849][1]~q\ & (\led_flash_cnt[1849][0]~q\ $ (VCC))) # (!\led_flash_cnt[1849][1]~q\ & (\led_flash_cnt[1849][0]~q\ & VCC))
-- \led_flash_cnt[1849][1]~52767\ = CARRY((\led_flash_cnt[1849][1]~q\ & \led_flash_cnt[1849][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1849][1]~q\,
	datab => \led_flash_cnt[1849][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1849][1]~52766_combout\,
	cout => \led_flash_cnt[1849][1]~52767\);

-- Location: FF_X10_Y18_N3
\led_flash_cnt[1849][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1849][1]~52766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1849][1]~q\);

-- Location: LCCOMB_X10_Y18_N4
\led_flash_cnt[1849][2]~52768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1849][2]~52768_combout\ = (\led_flash_cnt[1849][2]~q\ & (!\led_flash_cnt[1849][1]~52767\)) # (!\led_flash_cnt[1849][2]~q\ & ((\led_flash_cnt[1849][1]~52767\) # (GND)))
-- \led_flash_cnt[1849][2]~52769\ = CARRY((!\led_flash_cnt[1849][1]~52767\) # (!\led_flash_cnt[1849][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1849][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1849][1]~52767\,
	combout => \led_flash_cnt[1849][2]~52768_combout\,
	cout => \led_flash_cnt[1849][2]~52769\);

-- Location: FF_X10_Y18_N5
\led_flash_cnt[1849][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1849][2]~52768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1849][2]~q\);

-- Location: LCCOMB_X10_Y18_N6
\led_flash_cnt[1849][3]~52770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1849][3]~52770_combout\ = (\led_flash_cnt[1849][3]~q\ & (\led_flash_cnt[1849][2]~52769\ $ (GND))) # (!\led_flash_cnt[1849][3]~q\ & (!\led_flash_cnt[1849][2]~52769\ & VCC))
-- \led_flash_cnt[1849][3]~52771\ = CARRY((\led_flash_cnt[1849][3]~q\ & !\led_flash_cnt[1849][2]~52769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1849][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1849][2]~52769\,
	combout => \led_flash_cnt[1849][3]~52770_combout\,
	cout => \led_flash_cnt[1849][3]~52771\);

-- Location: FF_X10_Y18_N7
\led_flash_cnt[1849][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1849][3]~52770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1849][3]~q\);

-- Location: LCCOMB_X10_Y18_N8
\led_flash_cnt[1849][4]~52772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1849][4]~52772_combout\ = (\led_flash_cnt[1849][4]~q\ & (!\led_flash_cnt[1849][3]~52771\)) # (!\led_flash_cnt[1849][4]~q\ & ((\led_flash_cnt[1849][3]~52771\) # (GND)))
-- \led_flash_cnt[1849][4]~52773\ = CARRY((!\led_flash_cnt[1849][3]~52771\) # (!\led_flash_cnt[1849][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1849][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1849][3]~52771\,
	combout => \led_flash_cnt[1849][4]~52772_combout\,
	cout => \led_flash_cnt[1849][4]~52773\);

-- Location: FF_X10_Y18_N9
\led_flash_cnt[1849][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1849][4]~52772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1849][4]~q\);

-- Location: LCCOMB_X10_Y18_N10
\led_flash_cnt[1849][5]~52774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1849][5]~52774_combout\ = (\led_flash_cnt[1849][5]~q\ & (\led_flash_cnt[1849][4]~52773\ $ (GND))) # (!\led_flash_cnt[1849][5]~q\ & (!\led_flash_cnt[1849][4]~52773\ & VCC))
-- \led_flash_cnt[1849][5]~52775\ = CARRY((\led_flash_cnt[1849][5]~q\ & !\led_flash_cnt[1849][4]~52773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1849][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1849][4]~52773\,
	combout => \led_flash_cnt[1849][5]~52774_combout\,
	cout => \led_flash_cnt[1849][5]~52775\);

-- Location: FF_X10_Y18_N11
\led_flash_cnt[1849][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1849][5]~52774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1849][5]~q\);

-- Location: LCCOMB_X10_Y18_N12
\led_flash_cnt[1849][6]~52776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1849][6]~52776_combout\ = (\led_flash_cnt[1849][6]~q\ & (!\led_flash_cnt[1849][5]~52775\)) # (!\led_flash_cnt[1849][6]~q\ & ((\led_flash_cnt[1849][5]~52775\) # (GND)))
-- \led_flash_cnt[1849][6]~52777\ = CARRY((!\led_flash_cnt[1849][5]~52775\) # (!\led_flash_cnt[1849][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1849][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1849][5]~52775\,
	combout => \led_flash_cnt[1849][6]~52776_combout\,
	cout => \led_flash_cnt[1849][6]~52777\);

-- Location: FF_X10_Y18_N13
\led_flash_cnt[1849][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1849][6]~52776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1849][6]~q\);

-- Location: LCCOMB_X10_Y18_N26
\WideAnd1849~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1849~1_combout\ = (\led_flash_cnt[1849][5]~q\ & \led_flash_cnt[1849][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1849][5]~q\,
	datad => \led_flash_cnt[1849][6]~q\,
	combout => \WideAnd1849~1_combout\);

-- Location: LCCOMB_X10_Y18_N24
\WideAnd1849~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1849~0_combout\ = (\led_flash_cnt[1849][1]~q\ & (\led_flash_cnt[1849][2]~q\ & (\led_flash_cnt[1849][4]~q\ & \led_flash_cnt[1849][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1849][1]~q\,
	datab => \led_flash_cnt[1849][2]~q\,
	datac => \led_flash_cnt[1849][4]~q\,
	datad => \led_flash_cnt[1849][3]~q\,
	combout => \WideAnd1849~0_combout\);

-- Location: LCCOMB_X10_Y18_N14
\led_flash_cnt[1849][7]~52778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1849][7]~52778_combout\ = \led_flash_cnt[1849][7]~q\ $ (!\led_flash_cnt[1849][6]~52777\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1849][7]~q\,
	cin => \led_flash_cnt[1849][6]~52777\,
	combout => \led_flash_cnt[1849][7]~52778_combout\);

-- Location: FF_X10_Y18_N15
\led_flash_cnt[1849][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1849][7]~52778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1849][7]~q\);

-- Location: LCCOMB_X10_Y18_N16
WideAnd1849 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1849~combout\ = (\WideAnd1849~1_combout\ & (\WideAnd1849~0_combout\ & (\led_flash_cnt[1849][7]~q\ & \led_flash_cnt[1849][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1849~1_combout\,
	datab => \WideAnd1849~0_combout\,
	datac => \led_flash_cnt[1849][7]~q\,
	datad => \led_flash_cnt[1849][0]~q\,
	combout => \WideAnd1849~combout\);

-- Location: FF_X10_Y18_N17
\led_flash_cnt_ands[1849]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1849~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1849));

-- Location: LCCOMB_X44_Y40_N4
\WideAnd4071~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4071~0_combout\ = (led_flash_cnt_ands(1848) & (led_flash_cnt_ands(1850) & (led_flash_cnt_ands(1851) & led_flash_cnt_ands(1849))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1848),
	datab => led_flash_cnt_ands(1850),
	datac => led_flash_cnt_ands(1851),
	datad => led_flash_cnt_ands(1849),
	combout => \WideAnd4071~0_combout\);

-- Location: LCCOMB_X32_Y19_N16
WideAnd4071 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4071~combout\ = (\WideAnd4071~1_combout\ & (led_flash_cnt_ands(1854) & (led_flash_cnt_ands(1855) & \WideAnd4071~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4071~1_combout\,
	datab => led_flash_cnt_ands(1854),
	datac => led_flash_cnt_ands(1855),
	datad => \WideAnd4071~0_combout\,
	combout => \WideAnd4071~combout\);

-- Location: FF_X32_Y19_N17
\led_flash_cnt_ands_1[231]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4071~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(231));

-- Location: LCCOMB_X61_Y4_N22
\led_flash_cnt[1831][0]~82471\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1831][0]~82471_combout\ = !\led_flash_cnt[1831][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1831][0]~q\,
	combout => \led_flash_cnt[1831][0]~82471_combout\);

-- Location: FF_X61_Y4_N23
\led_flash_cnt[1831][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1831][0]~82471_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1831][0]~q\);

-- Location: LCCOMB_X61_Y4_N8
\led_flash_cnt[1831][1]~52514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1831][1]~52514_combout\ = (\led_flash_cnt[1831][0]~q\ & (\led_flash_cnt[1831][1]~q\ $ (VCC))) # (!\led_flash_cnt[1831][0]~q\ & (\led_flash_cnt[1831][1]~q\ & VCC))
-- \led_flash_cnt[1831][1]~52515\ = CARRY((\led_flash_cnt[1831][0]~q\ & \led_flash_cnt[1831][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1831][0]~q\,
	datab => \led_flash_cnt[1831][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1831][1]~52514_combout\,
	cout => \led_flash_cnt[1831][1]~52515\);

-- Location: FF_X61_Y4_N9
\led_flash_cnt[1831][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1831][1]~52514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1831][1]~q\);

-- Location: LCCOMB_X61_Y4_N10
\led_flash_cnt[1831][2]~52516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1831][2]~52516_combout\ = (\led_flash_cnt[1831][2]~q\ & (!\led_flash_cnt[1831][1]~52515\)) # (!\led_flash_cnt[1831][2]~q\ & ((\led_flash_cnt[1831][1]~52515\) # (GND)))
-- \led_flash_cnt[1831][2]~52517\ = CARRY((!\led_flash_cnt[1831][1]~52515\) # (!\led_flash_cnt[1831][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1831][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1831][1]~52515\,
	combout => \led_flash_cnt[1831][2]~52516_combout\,
	cout => \led_flash_cnt[1831][2]~52517\);

-- Location: FF_X61_Y4_N11
\led_flash_cnt[1831][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1831][2]~52516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1831][2]~q\);

-- Location: LCCOMB_X61_Y4_N12
\led_flash_cnt[1831][3]~52518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1831][3]~52518_combout\ = (\led_flash_cnt[1831][3]~q\ & (\led_flash_cnt[1831][2]~52517\ $ (GND))) # (!\led_flash_cnt[1831][3]~q\ & (!\led_flash_cnt[1831][2]~52517\ & VCC))
-- \led_flash_cnt[1831][3]~52519\ = CARRY((\led_flash_cnt[1831][3]~q\ & !\led_flash_cnt[1831][2]~52517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1831][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1831][2]~52517\,
	combout => \led_flash_cnt[1831][3]~52518_combout\,
	cout => \led_flash_cnt[1831][3]~52519\);

-- Location: FF_X61_Y4_N13
\led_flash_cnt[1831][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1831][3]~52518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1831][3]~q\);

-- Location: LCCOMB_X61_Y4_N14
\led_flash_cnt[1831][4]~52520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1831][4]~52520_combout\ = (\led_flash_cnt[1831][4]~q\ & (!\led_flash_cnt[1831][3]~52519\)) # (!\led_flash_cnt[1831][4]~q\ & ((\led_flash_cnt[1831][3]~52519\) # (GND)))
-- \led_flash_cnt[1831][4]~52521\ = CARRY((!\led_flash_cnt[1831][3]~52519\) # (!\led_flash_cnt[1831][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1831][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1831][3]~52519\,
	combout => \led_flash_cnt[1831][4]~52520_combout\,
	cout => \led_flash_cnt[1831][4]~52521\);

-- Location: FF_X61_Y4_N15
\led_flash_cnt[1831][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1831][4]~52520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1831][4]~q\);

-- Location: LCCOMB_X61_Y4_N16
\led_flash_cnt[1831][5]~52522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1831][5]~52522_combout\ = (\led_flash_cnt[1831][5]~q\ & (\led_flash_cnt[1831][4]~52521\ $ (GND))) # (!\led_flash_cnt[1831][5]~q\ & (!\led_flash_cnt[1831][4]~52521\ & VCC))
-- \led_flash_cnt[1831][5]~52523\ = CARRY((\led_flash_cnt[1831][5]~q\ & !\led_flash_cnt[1831][4]~52521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1831][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1831][4]~52521\,
	combout => \led_flash_cnt[1831][5]~52522_combout\,
	cout => \led_flash_cnt[1831][5]~52523\);

-- Location: FF_X61_Y4_N17
\led_flash_cnt[1831][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1831][5]~52522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1831][5]~q\);

-- Location: LCCOMB_X61_Y4_N18
\led_flash_cnt[1831][6]~52524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1831][6]~52524_combout\ = (\led_flash_cnt[1831][6]~q\ & (!\led_flash_cnt[1831][5]~52523\)) # (!\led_flash_cnt[1831][6]~q\ & ((\led_flash_cnt[1831][5]~52523\) # (GND)))
-- \led_flash_cnt[1831][6]~52525\ = CARRY((!\led_flash_cnt[1831][5]~52523\) # (!\led_flash_cnt[1831][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1831][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1831][5]~52523\,
	combout => \led_flash_cnt[1831][6]~52524_combout\,
	cout => \led_flash_cnt[1831][6]~52525\);

-- Location: FF_X61_Y4_N19
\led_flash_cnt[1831][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1831][6]~52524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1831][6]~q\);

-- Location: LCCOMB_X61_Y4_N20
\led_flash_cnt[1831][7]~52526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1831][7]~52526_combout\ = \led_flash_cnt[1831][6]~52525\ $ (!\led_flash_cnt[1831][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1831][7]~q\,
	cin => \led_flash_cnt[1831][6]~52525\,
	combout => \led_flash_cnt[1831][7]~52526_combout\);

-- Location: FF_X61_Y4_N21
\led_flash_cnt[1831][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1831][7]~52526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1831][7]~q\);

-- Location: LCCOMB_X61_Y4_N4
\WideAnd1831~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1831~1_combout\ = (\led_flash_cnt[1831][6]~q\ & \led_flash_cnt[1831][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1831][6]~q\,
	datad => \led_flash_cnt[1831][5]~q\,
	combout => \WideAnd1831~1_combout\);

-- Location: LCCOMB_X61_Y4_N24
\WideAnd1831~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1831~0_combout\ = (\led_flash_cnt[1831][3]~q\ & (\led_flash_cnt[1831][4]~q\ & (\led_flash_cnt[1831][1]~q\ & \led_flash_cnt[1831][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1831][3]~q\,
	datab => \led_flash_cnt[1831][4]~q\,
	datac => \led_flash_cnt[1831][1]~q\,
	datad => \led_flash_cnt[1831][2]~q\,
	combout => \WideAnd1831~0_combout\);

-- Location: LCCOMB_X61_Y4_N26
WideAnd1831 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1831~combout\ = (\led_flash_cnt[1831][0]~q\ & (\led_flash_cnt[1831][7]~q\ & (\WideAnd1831~1_combout\ & \WideAnd1831~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1831][0]~q\,
	datab => \led_flash_cnt[1831][7]~q\,
	datac => \WideAnd1831~1_combout\,
	datad => \WideAnd1831~0_combout\,
	combout => \WideAnd1831~combout\);

-- Location: FF_X61_Y4_N27
\led_flash_cnt_ands[1831]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1831~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1831));

-- Location: LCCOMB_X62_Y3_N16
\led_flash_cnt[1825][0]~82465\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1825][0]~82465_combout\ = !\led_flash_cnt[1825][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1825][0]~q\,
	combout => \led_flash_cnt[1825][0]~82465_combout\);

-- Location: FF_X62_Y3_N17
\led_flash_cnt[1825][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1825][0]~82465_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1825][0]~q\);

-- Location: LCCOMB_X62_Y3_N0
\led_flash_cnt[1825][1]~52430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1825][1]~52430_combout\ = (\led_flash_cnt[1825][1]~q\ & (\led_flash_cnt[1825][0]~q\ $ (VCC))) # (!\led_flash_cnt[1825][1]~q\ & (\led_flash_cnt[1825][0]~q\ & VCC))
-- \led_flash_cnt[1825][1]~52431\ = CARRY((\led_flash_cnt[1825][1]~q\ & \led_flash_cnt[1825][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1825][1]~q\,
	datab => \led_flash_cnt[1825][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1825][1]~52430_combout\,
	cout => \led_flash_cnt[1825][1]~52431\);

-- Location: FF_X62_Y3_N1
\led_flash_cnt[1825][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1825][1]~52430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1825][1]~q\);

-- Location: LCCOMB_X62_Y3_N2
\led_flash_cnt[1825][2]~52432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1825][2]~52432_combout\ = (\led_flash_cnt[1825][2]~q\ & (!\led_flash_cnt[1825][1]~52431\)) # (!\led_flash_cnt[1825][2]~q\ & ((\led_flash_cnt[1825][1]~52431\) # (GND)))
-- \led_flash_cnt[1825][2]~52433\ = CARRY((!\led_flash_cnt[1825][1]~52431\) # (!\led_flash_cnt[1825][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1825][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1825][1]~52431\,
	combout => \led_flash_cnt[1825][2]~52432_combout\,
	cout => \led_flash_cnt[1825][2]~52433\);

-- Location: FF_X62_Y3_N3
\led_flash_cnt[1825][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1825][2]~52432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1825][2]~q\);

-- Location: LCCOMB_X62_Y3_N4
\led_flash_cnt[1825][3]~52434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1825][3]~52434_combout\ = (\led_flash_cnt[1825][3]~q\ & (\led_flash_cnt[1825][2]~52433\ $ (GND))) # (!\led_flash_cnt[1825][3]~q\ & (!\led_flash_cnt[1825][2]~52433\ & VCC))
-- \led_flash_cnt[1825][3]~52435\ = CARRY((\led_flash_cnt[1825][3]~q\ & !\led_flash_cnt[1825][2]~52433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1825][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1825][2]~52433\,
	combout => \led_flash_cnt[1825][3]~52434_combout\,
	cout => \led_flash_cnt[1825][3]~52435\);

-- Location: FF_X62_Y3_N5
\led_flash_cnt[1825][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1825][3]~52434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1825][3]~q\);

-- Location: LCCOMB_X62_Y3_N6
\led_flash_cnt[1825][4]~52436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1825][4]~52436_combout\ = (\led_flash_cnt[1825][4]~q\ & (!\led_flash_cnt[1825][3]~52435\)) # (!\led_flash_cnt[1825][4]~q\ & ((\led_flash_cnt[1825][3]~52435\) # (GND)))
-- \led_flash_cnt[1825][4]~52437\ = CARRY((!\led_flash_cnt[1825][3]~52435\) # (!\led_flash_cnt[1825][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1825][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1825][3]~52435\,
	combout => \led_flash_cnt[1825][4]~52436_combout\,
	cout => \led_flash_cnt[1825][4]~52437\);

-- Location: FF_X62_Y3_N7
\led_flash_cnt[1825][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1825][4]~52436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1825][4]~q\);

-- Location: LCCOMB_X62_Y3_N8
\led_flash_cnt[1825][5]~52438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1825][5]~52438_combout\ = (\led_flash_cnt[1825][5]~q\ & (\led_flash_cnt[1825][4]~52437\ $ (GND))) # (!\led_flash_cnt[1825][5]~q\ & (!\led_flash_cnt[1825][4]~52437\ & VCC))
-- \led_flash_cnt[1825][5]~52439\ = CARRY((\led_flash_cnt[1825][5]~q\ & !\led_flash_cnt[1825][4]~52437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1825][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1825][4]~52437\,
	combout => \led_flash_cnt[1825][5]~52438_combout\,
	cout => \led_flash_cnt[1825][5]~52439\);

-- Location: FF_X62_Y3_N9
\led_flash_cnt[1825][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1825][5]~52438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1825][5]~q\);

-- Location: LCCOMB_X62_Y3_N10
\led_flash_cnt[1825][6]~52440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1825][6]~52440_combout\ = (\led_flash_cnt[1825][6]~q\ & (!\led_flash_cnt[1825][5]~52439\)) # (!\led_flash_cnt[1825][6]~q\ & ((\led_flash_cnt[1825][5]~52439\) # (GND)))
-- \led_flash_cnt[1825][6]~52441\ = CARRY((!\led_flash_cnt[1825][5]~52439\) # (!\led_flash_cnt[1825][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1825][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1825][5]~52439\,
	combout => \led_flash_cnt[1825][6]~52440_combout\,
	cout => \led_flash_cnt[1825][6]~52441\);

-- Location: FF_X62_Y3_N11
\led_flash_cnt[1825][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1825][6]~52440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1825][6]~q\);

-- Location: LCCOMB_X62_Y3_N12
\led_flash_cnt[1825][7]~52442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1825][7]~52442_combout\ = \led_flash_cnt[1825][6]~52441\ $ (!\led_flash_cnt[1825][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1825][7]~q\,
	cin => \led_flash_cnt[1825][6]~52441\,
	combout => \led_flash_cnt[1825][7]~52442_combout\);

-- Location: FF_X62_Y3_N13
\led_flash_cnt[1825][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1825][7]~52442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1825][7]~q\);

-- Location: LCCOMB_X62_Y3_N24
\WideAnd1825~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1825~0_combout\ = (\led_flash_cnt[1825][4]~q\ & (\led_flash_cnt[1825][1]~q\ & (\led_flash_cnt[1825][3]~q\ & \led_flash_cnt[1825][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1825][4]~q\,
	datab => \led_flash_cnt[1825][1]~q\,
	datac => \led_flash_cnt[1825][3]~q\,
	datad => \led_flash_cnt[1825][2]~q\,
	combout => \WideAnd1825~0_combout\);

-- Location: LCCOMB_X62_Y3_N30
\WideAnd1825~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1825~1_combout\ = (\led_flash_cnt[1825][5]~q\ & \led_flash_cnt[1825][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1825][5]~q\,
	datad => \led_flash_cnt[1825][6]~q\,
	combout => \WideAnd1825~1_combout\);

-- Location: LCCOMB_X62_Y3_N26
WideAnd1825 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1825~combout\ = (\led_flash_cnt[1825][7]~q\ & (\WideAnd1825~0_combout\ & (\WideAnd1825~1_combout\ & \led_flash_cnt[1825][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1825][7]~q\,
	datab => \WideAnd1825~0_combout\,
	datac => \WideAnd1825~1_combout\,
	datad => \led_flash_cnt[1825][0]~q\,
	combout => \WideAnd1825~combout\);

-- Location: FF_X62_Y3_N27
\led_flash_cnt_ands[1825]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1825~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1825));

-- Location: LCCOMB_X62_Y2_N12
\led_flash_cnt[1824][0]~82464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1824][0]~82464_combout\ = !\led_flash_cnt[1824][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1824][0]~q\,
	combout => \led_flash_cnt[1824][0]~82464_combout\);

-- Location: FF_X62_Y2_N13
\led_flash_cnt[1824][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1824][0]~82464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1824][0]~q\);

-- Location: LCCOMB_X62_Y2_N18
\led_flash_cnt[1824][1]~52416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1824][1]~52416_combout\ = (\led_flash_cnt[1824][0]~q\ & (\led_flash_cnt[1824][1]~q\ $ (VCC))) # (!\led_flash_cnt[1824][0]~q\ & (\led_flash_cnt[1824][1]~q\ & VCC))
-- \led_flash_cnt[1824][1]~52417\ = CARRY((\led_flash_cnt[1824][0]~q\ & \led_flash_cnt[1824][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1824][0]~q\,
	datab => \led_flash_cnt[1824][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1824][1]~52416_combout\,
	cout => \led_flash_cnt[1824][1]~52417\);

-- Location: FF_X62_Y2_N19
\led_flash_cnt[1824][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1824][1]~52416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1824][1]~q\);

-- Location: LCCOMB_X62_Y2_N20
\led_flash_cnt[1824][2]~52418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1824][2]~52418_combout\ = (\led_flash_cnt[1824][2]~q\ & (!\led_flash_cnt[1824][1]~52417\)) # (!\led_flash_cnt[1824][2]~q\ & ((\led_flash_cnt[1824][1]~52417\) # (GND)))
-- \led_flash_cnt[1824][2]~52419\ = CARRY((!\led_flash_cnt[1824][1]~52417\) # (!\led_flash_cnt[1824][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1824][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1824][1]~52417\,
	combout => \led_flash_cnt[1824][2]~52418_combout\,
	cout => \led_flash_cnt[1824][2]~52419\);

-- Location: FF_X62_Y2_N21
\led_flash_cnt[1824][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1824][2]~52418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1824][2]~q\);

-- Location: LCCOMB_X62_Y2_N22
\led_flash_cnt[1824][3]~52420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1824][3]~52420_combout\ = (\led_flash_cnt[1824][3]~q\ & (\led_flash_cnt[1824][2]~52419\ $ (GND))) # (!\led_flash_cnt[1824][3]~q\ & (!\led_flash_cnt[1824][2]~52419\ & VCC))
-- \led_flash_cnt[1824][3]~52421\ = CARRY((\led_flash_cnt[1824][3]~q\ & !\led_flash_cnt[1824][2]~52419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1824][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1824][2]~52419\,
	combout => \led_flash_cnt[1824][3]~52420_combout\,
	cout => \led_flash_cnt[1824][3]~52421\);

-- Location: FF_X62_Y2_N23
\led_flash_cnt[1824][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1824][3]~52420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1824][3]~q\);

-- Location: LCCOMB_X62_Y2_N24
\led_flash_cnt[1824][4]~52422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1824][4]~52422_combout\ = (\led_flash_cnt[1824][4]~q\ & (!\led_flash_cnt[1824][3]~52421\)) # (!\led_flash_cnt[1824][4]~q\ & ((\led_flash_cnt[1824][3]~52421\) # (GND)))
-- \led_flash_cnt[1824][4]~52423\ = CARRY((!\led_flash_cnt[1824][3]~52421\) # (!\led_flash_cnt[1824][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1824][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1824][3]~52421\,
	combout => \led_flash_cnt[1824][4]~52422_combout\,
	cout => \led_flash_cnt[1824][4]~52423\);

-- Location: FF_X62_Y2_N25
\led_flash_cnt[1824][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1824][4]~52422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1824][4]~q\);

-- Location: LCCOMB_X62_Y2_N26
\led_flash_cnt[1824][5]~52424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1824][5]~52424_combout\ = (\led_flash_cnt[1824][5]~q\ & (\led_flash_cnt[1824][4]~52423\ $ (GND))) # (!\led_flash_cnt[1824][5]~q\ & (!\led_flash_cnt[1824][4]~52423\ & VCC))
-- \led_flash_cnt[1824][5]~52425\ = CARRY((\led_flash_cnt[1824][5]~q\ & !\led_flash_cnt[1824][4]~52423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1824][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1824][4]~52423\,
	combout => \led_flash_cnt[1824][5]~52424_combout\,
	cout => \led_flash_cnt[1824][5]~52425\);

-- Location: FF_X62_Y2_N27
\led_flash_cnt[1824][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1824][5]~52424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1824][5]~q\);

-- Location: LCCOMB_X62_Y2_N28
\led_flash_cnt[1824][6]~52426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1824][6]~52426_combout\ = (\led_flash_cnt[1824][6]~q\ & (!\led_flash_cnt[1824][5]~52425\)) # (!\led_flash_cnt[1824][6]~q\ & ((\led_flash_cnt[1824][5]~52425\) # (GND)))
-- \led_flash_cnt[1824][6]~52427\ = CARRY((!\led_flash_cnt[1824][5]~52425\) # (!\led_flash_cnt[1824][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1824][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1824][5]~52425\,
	combout => \led_flash_cnt[1824][6]~52426_combout\,
	cout => \led_flash_cnt[1824][6]~52427\);

-- Location: FF_X62_Y2_N29
\led_flash_cnt[1824][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1824][6]~52426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1824][6]~q\);

-- Location: LCCOMB_X62_Y2_N10
\WideAnd1824~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1824~1_combout\ = (\led_flash_cnt[1824][5]~q\ & \led_flash_cnt[1824][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1824][5]~q\,
	datad => \led_flash_cnt[1824][6]~q\,
	combout => \WideAnd1824~1_combout\);

-- Location: LCCOMB_X62_Y2_N4
\WideAnd1824~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1824~0_combout\ = (\led_flash_cnt[1824][2]~q\ & (\led_flash_cnt[1824][4]~q\ & (\led_flash_cnt[1824][3]~q\ & \led_flash_cnt[1824][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1824][2]~q\,
	datab => \led_flash_cnt[1824][4]~q\,
	datac => \led_flash_cnt[1824][3]~q\,
	datad => \led_flash_cnt[1824][1]~q\,
	combout => \WideAnd1824~0_combout\);

-- Location: LCCOMB_X62_Y2_N30
\led_flash_cnt[1824][7]~52428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1824][7]~52428_combout\ = \led_flash_cnt[1824][7]~q\ $ (!\led_flash_cnt[1824][6]~52427\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1824][7]~q\,
	cin => \led_flash_cnt[1824][6]~52427\,
	combout => \led_flash_cnt[1824][7]~52428_combout\);

-- Location: FF_X62_Y2_N31
\led_flash_cnt[1824][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1824][7]~52428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1824][7]~q\);

-- Location: LCCOMB_X62_Y2_N0
WideAnd1824 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1824~combout\ = (\WideAnd1824~1_combout\ & (\WideAnd1824~0_combout\ & (\led_flash_cnt[1824][7]~q\ & \led_flash_cnt[1824][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1824~1_combout\,
	datab => \WideAnd1824~0_combout\,
	datac => \led_flash_cnt[1824][7]~q\,
	datad => \led_flash_cnt[1824][0]~q\,
	combout => \WideAnd1824~combout\);

-- Location: FF_X62_Y2_N1
\led_flash_cnt_ands[1824]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1824~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1824));

-- Location: LCCOMB_X62_Y3_N18
\led_flash_cnt[1826][0]~82466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1826][0]~82466_combout\ = !\led_flash_cnt[1826][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1826][0]~q\,
	combout => \led_flash_cnt[1826][0]~82466_combout\);

-- Location: FF_X62_Y3_N19
\led_flash_cnt[1826][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1826][0]~82466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1826][0]~q\);

-- Location: LCCOMB_X63_Y3_N18
\led_flash_cnt[1826][1]~52444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1826][1]~52444_combout\ = (\led_flash_cnt[1826][0]~q\ & (\led_flash_cnt[1826][1]~q\ $ (VCC))) # (!\led_flash_cnt[1826][0]~q\ & (\led_flash_cnt[1826][1]~q\ & VCC))
-- \led_flash_cnt[1826][1]~52445\ = CARRY((\led_flash_cnt[1826][0]~q\ & \led_flash_cnt[1826][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1826][0]~q\,
	datab => \led_flash_cnt[1826][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1826][1]~52444_combout\,
	cout => \led_flash_cnt[1826][1]~52445\);

-- Location: FF_X63_Y3_N19
\led_flash_cnt[1826][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1826][1]~52444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1826][1]~q\);

-- Location: LCCOMB_X63_Y3_N20
\led_flash_cnt[1826][2]~52446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1826][2]~52446_combout\ = (\led_flash_cnt[1826][2]~q\ & (!\led_flash_cnt[1826][1]~52445\)) # (!\led_flash_cnt[1826][2]~q\ & ((\led_flash_cnt[1826][1]~52445\) # (GND)))
-- \led_flash_cnt[1826][2]~52447\ = CARRY((!\led_flash_cnt[1826][1]~52445\) # (!\led_flash_cnt[1826][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1826][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1826][1]~52445\,
	combout => \led_flash_cnt[1826][2]~52446_combout\,
	cout => \led_flash_cnt[1826][2]~52447\);

-- Location: FF_X63_Y3_N21
\led_flash_cnt[1826][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1826][2]~52446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1826][2]~q\);

-- Location: LCCOMB_X63_Y3_N22
\led_flash_cnt[1826][3]~52448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1826][3]~52448_combout\ = (\led_flash_cnt[1826][3]~q\ & (\led_flash_cnt[1826][2]~52447\ $ (GND))) # (!\led_flash_cnt[1826][3]~q\ & (!\led_flash_cnt[1826][2]~52447\ & VCC))
-- \led_flash_cnt[1826][3]~52449\ = CARRY((\led_flash_cnt[1826][3]~q\ & !\led_flash_cnt[1826][2]~52447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1826][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1826][2]~52447\,
	combout => \led_flash_cnt[1826][3]~52448_combout\,
	cout => \led_flash_cnt[1826][3]~52449\);

-- Location: FF_X63_Y3_N23
\led_flash_cnt[1826][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1826][3]~52448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1826][3]~q\);

-- Location: LCCOMB_X63_Y3_N24
\led_flash_cnt[1826][4]~52450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1826][4]~52450_combout\ = (\led_flash_cnt[1826][4]~q\ & (!\led_flash_cnt[1826][3]~52449\)) # (!\led_flash_cnt[1826][4]~q\ & ((\led_flash_cnt[1826][3]~52449\) # (GND)))
-- \led_flash_cnt[1826][4]~52451\ = CARRY((!\led_flash_cnt[1826][3]~52449\) # (!\led_flash_cnt[1826][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1826][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1826][3]~52449\,
	combout => \led_flash_cnt[1826][4]~52450_combout\,
	cout => \led_flash_cnt[1826][4]~52451\);

-- Location: FF_X63_Y3_N25
\led_flash_cnt[1826][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1826][4]~52450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1826][4]~q\);

-- Location: LCCOMB_X63_Y3_N26
\led_flash_cnt[1826][5]~52452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1826][5]~52452_combout\ = (\led_flash_cnt[1826][5]~q\ & (\led_flash_cnt[1826][4]~52451\ $ (GND))) # (!\led_flash_cnt[1826][5]~q\ & (!\led_flash_cnt[1826][4]~52451\ & VCC))
-- \led_flash_cnt[1826][5]~52453\ = CARRY((\led_flash_cnt[1826][5]~q\ & !\led_flash_cnt[1826][4]~52451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1826][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1826][4]~52451\,
	combout => \led_flash_cnt[1826][5]~52452_combout\,
	cout => \led_flash_cnt[1826][5]~52453\);

-- Location: FF_X63_Y3_N27
\led_flash_cnt[1826][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1826][5]~52452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1826][5]~q\);

-- Location: LCCOMB_X63_Y3_N28
\led_flash_cnt[1826][6]~52454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1826][6]~52454_combout\ = (\led_flash_cnt[1826][6]~q\ & (!\led_flash_cnt[1826][5]~52453\)) # (!\led_flash_cnt[1826][6]~q\ & ((\led_flash_cnt[1826][5]~52453\) # (GND)))
-- \led_flash_cnt[1826][6]~52455\ = CARRY((!\led_flash_cnt[1826][5]~52453\) # (!\led_flash_cnt[1826][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1826][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1826][5]~52453\,
	combout => \led_flash_cnt[1826][6]~52454_combout\,
	cout => \led_flash_cnt[1826][6]~52455\);

-- Location: FF_X63_Y3_N29
\led_flash_cnt[1826][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1826][6]~52454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1826][6]~q\);

-- Location: LCCOMB_X62_Y3_N20
\WideAnd1826~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1826~1_combout\ = (\led_flash_cnt[1826][6]~q\ & \led_flash_cnt[1826][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1826][6]~q\,
	datad => \led_flash_cnt[1826][5]~q\,
	combout => \WideAnd1826~1_combout\);

-- Location: LCCOMB_X63_Y3_N30
\led_flash_cnt[1826][7]~52456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1826][7]~52456_combout\ = \led_flash_cnt[1826][7]~q\ $ (!\led_flash_cnt[1826][6]~52455\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1826][7]~q\,
	cin => \led_flash_cnt[1826][6]~52455\,
	combout => \led_flash_cnt[1826][7]~52456_combout\);

-- Location: FF_X63_Y3_N31
\led_flash_cnt[1826][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1826][7]~52456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1826][7]~q\);

-- Location: LCCOMB_X63_Y3_N16
\WideAnd1826~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1826~0_combout\ = (\led_flash_cnt[1826][4]~q\ & (\led_flash_cnt[1826][2]~q\ & (\led_flash_cnt[1826][3]~q\ & \led_flash_cnt[1826][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1826][4]~q\,
	datab => \led_flash_cnt[1826][2]~q\,
	datac => \led_flash_cnt[1826][3]~q\,
	datad => \led_flash_cnt[1826][1]~q\,
	combout => \WideAnd1826~0_combout\);

-- Location: LCCOMB_X62_Y3_N22
WideAnd1826 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1826~combout\ = (\led_flash_cnt[1826][0]~q\ & (\WideAnd1826~1_combout\ & (\led_flash_cnt[1826][7]~q\ & \WideAnd1826~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1826][0]~q\,
	datab => \WideAnd1826~1_combout\,
	datac => \led_flash_cnt[1826][7]~q\,
	datad => \WideAnd1826~0_combout\,
	combout => \WideAnd1826~combout\);

-- Location: FF_X62_Y3_N23
\led_flash_cnt_ands[1826]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1826~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1826));

-- Location: LCCOMB_X65_Y3_N22
\led_flash_cnt[1827][0]~82467\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1827][0]~82467_combout\ = !\led_flash_cnt[1827][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1827][0]~q\,
	combout => \led_flash_cnt[1827][0]~82467_combout\);

-- Location: FF_X65_Y3_N23
\led_flash_cnt[1827][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1827][0]~82467_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1827][0]~q\);

-- Location: LCCOMB_X65_Y3_N6
\led_flash_cnt[1827][1]~52458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1827][1]~52458_combout\ = (\led_flash_cnt[1827][0]~q\ & (\led_flash_cnt[1827][1]~q\ $ (VCC))) # (!\led_flash_cnt[1827][0]~q\ & (\led_flash_cnt[1827][1]~q\ & VCC))
-- \led_flash_cnt[1827][1]~52459\ = CARRY((\led_flash_cnt[1827][0]~q\ & \led_flash_cnt[1827][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1827][0]~q\,
	datab => \led_flash_cnt[1827][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1827][1]~52458_combout\,
	cout => \led_flash_cnt[1827][1]~52459\);

-- Location: FF_X65_Y3_N7
\led_flash_cnt[1827][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1827][1]~52458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1827][1]~q\);

-- Location: LCCOMB_X65_Y3_N8
\led_flash_cnt[1827][2]~52460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1827][2]~52460_combout\ = (\led_flash_cnt[1827][2]~q\ & (!\led_flash_cnt[1827][1]~52459\)) # (!\led_flash_cnt[1827][2]~q\ & ((\led_flash_cnt[1827][1]~52459\) # (GND)))
-- \led_flash_cnt[1827][2]~52461\ = CARRY((!\led_flash_cnt[1827][1]~52459\) # (!\led_flash_cnt[1827][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1827][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1827][1]~52459\,
	combout => \led_flash_cnt[1827][2]~52460_combout\,
	cout => \led_flash_cnt[1827][2]~52461\);

-- Location: FF_X65_Y3_N9
\led_flash_cnt[1827][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1827][2]~52460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1827][2]~q\);

-- Location: LCCOMB_X65_Y3_N10
\led_flash_cnt[1827][3]~52462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1827][3]~52462_combout\ = (\led_flash_cnt[1827][3]~q\ & (\led_flash_cnt[1827][2]~52461\ $ (GND))) # (!\led_flash_cnt[1827][3]~q\ & (!\led_flash_cnt[1827][2]~52461\ & VCC))
-- \led_flash_cnt[1827][3]~52463\ = CARRY((\led_flash_cnt[1827][3]~q\ & !\led_flash_cnt[1827][2]~52461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1827][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1827][2]~52461\,
	combout => \led_flash_cnt[1827][3]~52462_combout\,
	cout => \led_flash_cnt[1827][3]~52463\);

-- Location: FF_X65_Y3_N11
\led_flash_cnt[1827][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1827][3]~52462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1827][3]~q\);

-- Location: LCCOMB_X65_Y3_N12
\led_flash_cnt[1827][4]~52464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1827][4]~52464_combout\ = (\led_flash_cnt[1827][4]~q\ & (!\led_flash_cnt[1827][3]~52463\)) # (!\led_flash_cnt[1827][4]~q\ & ((\led_flash_cnt[1827][3]~52463\) # (GND)))
-- \led_flash_cnt[1827][4]~52465\ = CARRY((!\led_flash_cnt[1827][3]~52463\) # (!\led_flash_cnt[1827][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1827][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1827][3]~52463\,
	combout => \led_flash_cnt[1827][4]~52464_combout\,
	cout => \led_flash_cnt[1827][4]~52465\);

-- Location: FF_X65_Y3_N13
\led_flash_cnt[1827][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1827][4]~52464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1827][4]~q\);

-- Location: LCCOMB_X65_Y3_N14
\led_flash_cnt[1827][5]~52466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1827][5]~52466_combout\ = (\led_flash_cnt[1827][5]~q\ & (\led_flash_cnt[1827][4]~52465\ $ (GND))) # (!\led_flash_cnt[1827][5]~q\ & (!\led_flash_cnt[1827][4]~52465\ & VCC))
-- \led_flash_cnt[1827][5]~52467\ = CARRY((\led_flash_cnt[1827][5]~q\ & !\led_flash_cnt[1827][4]~52465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1827][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1827][4]~52465\,
	combout => \led_flash_cnt[1827][5]~52466_combout\,
	cout => \led_flash_cnt[1827][5]~52467\);

-- Location: FF_X65_Y3_N15
\led_flash_cnt[1827][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1827][5]~52466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1827][5]~q\);

-- Location: LCCOMB_X65_Y3_N16
\led_flash_cnt[1827][6]~52468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1827][6]~52468_combout\ = (\led_flash_cnt[1827][6]~q\ & (!\led_flash_cnt[1827][5]~52467\)) # (!\led_flash_cnt[1827][6]~q\ & ((\led_flash_cnt[1827][5]~52467\) # (GND)))
-- \led_flash_cnt[1827][6]~52469\ = CARRY((!\led_flash_cnt[1827][5]~52467\) # (!\led_flash_cnt[1827][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1827][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1827][5]~52467\,
	combout => \led_flash_cnt[1827][6]~52468_combout\,
	cout => \led_flash_cnt[1827][6]~52469\);

-- Location: FF_X65_Y3_N17
\led_flash_cnt[1827][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1827][6]~52468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1827][6]~q\);

-- Location: LCCOMB_X65_Y3_N18
\led_flash_cnt[1827][7]~52470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1827][7]~52470_combout\ = \led_flash_cnt[1827][6]~52469\ $ (!\led_flash_cnt[1827][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1827][7]~q\,
	cin => \led_flash_cnt[1827][6]~52469\,
	combout => \led_flash_cnt[1827][7]~52470_combout\);

-- Location: FF_X65_Y3_N19
\led_flash_cnt[1827][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1827][7]~52470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1827][7]~q\);

-- Location: LCCOMB_X65_Y3_N26
\WideAnd1827~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1827~0_combout\ = (\led_flash_cnt[1827][3]~q\ & (\led_flash_cnt[1827][1]~q\ & (\led_flash_cnt[1827][2]~q\ & \led_flash_cnt[1827][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1827][3]~q\,
	datab => \led_flash_cnt[1827][1]~q\,
	datac => \led_flash_cnt[1827][2]~q\,
	datad => \led_flash_cnt[1827][4]~q\,
	combout => \WideAnd1827~0_combout\);

-- Location: LCCOMB_X65_Y3_N20
\WideAnd1827~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1827~1_combout\ = (\led_flash_cnt[1827][5]~q\ & \led_flash_cnt[1827][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1827][5]~q\,
	datad => \led_flash_cnt[1827][6]~q\,
	combout => \WideAnd1827~1_combout\);

-- Location: LCCOMB_X65_Y3_N24
WideAnd1827 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1827~combout\ = (\led_flash_cnt[1827][0]~q\ & (\led_flash_cnt[1827][7]~q\ & (\WideAnd1827~0_combout\ & \WideAnd1827~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1827][0]~q\,
	datab => \led_flash_cnt[1827][7]~q\,
	datac => \WideAnd1827~0_combout\,
	datad => \WideAnd1827~1_combout\,
	combout => \WideAnd1827~combout\);

-- Location: FF_X65_Y3_N25
\led_flash_cnt_ands[1827]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1827~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1827));

-- Location: LCCOMB_X62_Y3_N28
\WideAnd4068~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4068~0_combout\ = (led_flash_cnt_ands(1825) & (led_flash_cnt_ands(1824) & (led_flash_cnt_ands(1826) & led_flash_cnt_ands(1827))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1825),
	datab => led_flash_cnt_ands(1824),
	datac => led_flash_cnt_ands(1826),
	datad => led_flash_cnt_ands(1827),
	combout => \WideAnd4068~0_combout\);

-- Location: LCCOMB_X61_Y2_N2
\led_flash_cnt[1830][0]~82470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1830][0]~82470_combout\ = !\led_flash_cnt[1830][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1830][0]~q\,
	combout => \led_flash_cnt[1830][0]~82470_combout\);

-- Location: FF_X61_Y2_N3
\led_flash_cnt[1830][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1830][0]~82470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1830][0]~q\);

-- Location: LCCOMB_X61_Y2_N6
\led_flash_cnt[1830][1]~52500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1830][1]~52500_combout\ = (\led_flash_cnt[1830][1]~q\ & (\led_flash_cnt[1830][0]~q\ $ (VCC))) # (!\led_flash_cnt[1830][1]~q\ & (\led_flash_cnt[1830][0]~q\ & VCC))
-- \led_flash_cnt[1830][1]~52501\ = CARRY((\led_flash_cnt[1830][1]~q\ & \led_flash_cnt[1830][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1830][1]~q\,
	datab => \led_flash_cnt[1830][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1830][1]~52500_combout\,
	cout => \led_flash_cnt[1830][1]~52501\);

-- Location: FF_X61_Y2_N7
\led_flash_cnt[1830][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1830][1]~52500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1830][1]~q\);

-- Location: LCCOMB_X61_Y2_N8
\led_flash_cnt[1830][2]~52502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1830][2]~52502_combout\ = (\led_flash_cnt[1830][2]~q\ & (!\led_flash_cnt[1830][1]~52501\)) # (!\led_flash_cnt[1830][2]~q\ & ((\led_flash_cnt[1830][1]~52501\) # (GND)))
-- \led_flash_cnt[1830][2]~52503\ = CARRY((!\led_flash_cnt[1830][1]~52501\) # (!\led_flash_cnt[1830][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1830][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1830][1]~52501\,
	combout => \led_flash_cnt[1830][2]~52502_combout\,
	cout => \led_flash_cnt[1830][2]~52503\);

-- Location: FF_X61_Y2_N9
\led_flash_cnt[1830][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1830][2]~52502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1830][2]~q\);

-- Location: LCCOMB_X61_Y2_N10
\led_flash_cnt[1830][3]~52504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1830][3]~52504_combout\ = (\led_flash_cnt[1830][3]~q\ & (\led_flash_cnt[1830][2]~52503\ $ (GND))) # (!\led_flash_cnt[1830][3]~q\ & (!\led_flash_cnt[1830][2]~52503\ & VCC))
-- \led_flash_cnt[1830][3]~52505\ = CARRY((\led_flash_cnt[1830][3]~q\ & !\led_flash_cnt[1830][2]~52503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1830][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1830][2]~52503\,
	combout => \led_flash_cnt[1830][3]~52504_combout\,
	cout => \led_flash_cnt[1830][3]~52505\);

-- Location: FF_X61_Y2_N11
\led_flash_cnt[1830][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1830][3]~52504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1830][3]~q\);

-- Location: LCCOMB_X61_Y2_N12
\led_flash_cnt[1830][4]~52506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1830][4]~52506_combout\ = (\led_flash_cnt[1830][4]~q\ & (!\led_flash_cnt[1830][3]~52505\)) # (!\led_flash_cnt[1830][4]~q\ & ((\led_flash_cnt[1830][3]~52505\) # (GND)))
-- \led_flash_cnt[1830][4]~52507\ = CARRY((!\led_flash_cnt[1830][3]~52505\) # (!\led_flash_cnt[1830][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1830][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1830][3]~52505\,
	combout => \led_flash_cnt[1830][4]~52506_combout\,
	cout => \led_flash_cnt[1830][4]~52507\);

-- Location: FF_X61_Y2_N13
\led_flash_cnt[1830][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1830][4]~52506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1830][4]~q\);

-- Location: LCCOMB_X61_Y2_N22
\WideAnd1830~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1830~0_combout\ = (\led_flash_cnt[1830][3]~q\ & (\led_flash_cnt[1830][4]~q\ & (\led_flash_cnt[1830][2]~q\ & \led_flash_cnt[1830][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1830][3]~q\,
	datab => \led_flash_cnt[1830][4]~q\,
	datac => \led_flash_cnt[1830][2]~q\,
	datad => \led_flash_cnt[1830][1]~q\,
	combout => \WideAnd1830~0_combout\);

-- Location: LCCOMB_X61_Y2_N14
\led_flash_cnt[1830][5]~52508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1830][5]~52508_combout\ = (\led_flash_cnt[1830][5]~q\ & (\led_flash_cnt[1830][4]~52507\ $ (GND))) # (!\led_flash_cnt[1830][5]~q\ & (!\led_flash_cnt[1830][4]~52507\ & VCC))
-- \led_flash_cnt[1830][5]~52509\ = CARRY((\led_flash_cnt[1830][5]~q\ & !\led_flash_cnt[1830][4]~52507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1830][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1830][4]~52507\,
	combout => \led_flash_cnt[1830][5]~52508_combout\,
	cout => \led_flash_cnt[1830][5]~52509\);

-- Location: FF_X61_Y2_N15
\led_flash_cnt[1830][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1830][5]~52508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1830][5]~q\);

-- Location: LCCOMB_X61_Y2_N16
\led_flash_cnt[1830][6]~52510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1830][6]~52510_combout\ = (\led_flash_cnt[1830][6]~q\ & (!\led_flash_cnt[1830][5]~52509\)) # (!\led_flash_cnt[1830][6]~q\ & ((\led_flash_cnt[1830][5]~52509\) # (GND)))
-- \led_flash_cnt[1830][6]~52511\ = CARRY((!\led_flash_cnt[1830][5]~52509\) # (!\led_flash_cnt[1830][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1830][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1830][5]~52509\,
	combout => \led_flash_cnt[1830][6]~52510_combout\,
	cout => \led_flash_cnt[1830][6]~52511\);

-- Location: FF_X61_Y2_N17
\led_flash_cnt[1830][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1830][6]~52510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1830][6]~q\);

-- Location: LCCOMB_X61_Y2_N26
\WideAnd1830~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1830~1_combout\ = (\led_flash_cnt[1830][5]~q\ & \led_flash_cnt[1830][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1830][5]~q\,
	datad => \led_flash_cnt[1830][6]~q\,
	combout => \WideAnd1830~1_combout\);

-- Location: LCCOMB_X61_Y2_N18
\led_flash_cnt[1830][7]~52512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1830][7]~52512_combout\ = \led_flash_cnt[1830][6]~52511\ $ (!\led_flash_cnt[1830][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1830][7]~q\,
	cin => \led_flash_cnt[1830][6]~52511\,
	combout => \led_flash_cnt[1830][7]~52512_combout\);

-- Location: FF_X61_Y2_N19
\led_flash_cnt[1830][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1830][7]~52512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1830][7]~q\);

-- Location: LCCOMB_X61_Y2_N24
WideAnd1830 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1830~combout\ = (\WideAnd1830~0_combout\ & (\led_flash_cnt[1830][0]~q\ & (\WideAnd1830~1_combout\ & \led_flash_cnt[1830][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1830~0_combout\,
	datab => \led_flash_cnt[1830][0]~q\,
	datac => \WideAnd1830~1_combout\,
	datad => \led_flash_cnt[1830][7]~q\,
	combout => \WideAnd1830~combout\);

-- Location: FF_X61_Y2_N25
\led_flash_cnt_ands[1830]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1830~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1830));

-- Location: LCCOMB_X62_Y4_N8
\led_flash_cnt[1828][0]~82468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1828][0]~82468_combout\ = !\led_flash_cnt[1828][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1828][0]~q\,
	combout => \led_flash_cnt[1828][0]~82468_combout\);

-- Location: FF_X62_Y4_N9
\led_flash_cnt[1828][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1828][0]~82468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1828][0]~q\);

-- Location: LCCOMB_X62_Y4_N12
\led_flash_cnt[1828][1]~52472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1828][1]~52472_combout\ = (\led_flash_cnt[1828][1]~q\ & (\led_flash_cnt[1828][0]~q\ $ (VCC))) # (!\led_flash_cnt[1828][1]~q\ & (\led_flash_cnt[1828][0]~q\ & VCC))
-- \led_flash_cnt[1828][1]~52473\ = CARRY((\led_flash_cnt[1828][1]~q\ & \led_flash_cnt[1828][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1828][1]~q\,
	datab => \led_flash_cnt[1828][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1828][1]~52472_combout\,
	cout => \led_flash_cnt[1828][1]~52473\);

-- Location: FF_X62_Y4_N13
\led_flash_cnt[1828][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1828][1]~52472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1828][1]~q\);

-- Location: LCCOMB_X62_Y4_N14
\led_flash_cnt[1828][2]~52474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1828][2]~52474_combout\ = (\led_flash_cnt[1828][2]~q\ & (!\led_flash_cnt[1828][1]~52473\)) # (!\led_flash_cnt[1828][2]~q\ & ((\led_flash_cnt[1828][1]~52473\) # (GND)))
-- \led_flash_cnt[1828][2]~52475\ = CARRY((!\led_flash_cnt[1828][1]~52473\) # (!\led_flash_cnt[1828][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1828][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1828][1]~52473\,
	combout => \led_flash_cnt[1828][2]~52474_combout\,
	cout => \led_flash_cnt[1828][2]~52475\);

-- Location: FF_X62_Y4_N15
\led_flash_cnt[1828][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1828][2]~52474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1828][2]~q\);

-- Location: LCCOMB_X62_Y4_N16
\led_flash_cnt[1828][3]~52476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1828][3]~52476_combout\ = (\led_flash_cnt[1828][3]~q\ & (\led_flash_cnt[1828][2]~52475\ $ (GND))) # (!\led_flash_cnt[1828][3]~q\ & (!\led_flash_cnt[1828][2]~52475\ & VCC))
-- \led_flash_cnt[1828][3]~52477\ = CARRY((\led_flash_cnt[1828][3]~q\ & !\led_flash_cnt[1828][2]~52475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1828][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1828][2]~52475\,
	combout => \led_flash_cnt[1828][3]~52476_combout\,
	cout => \led_flash_cnt[1828][3]~52477\);

-- Location: FF_X62_Y4_N17
\led_flash_cnt[1828][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1828][3]~52476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1828][3]~q\);

-- Location: LCCOMB_X62_Y4_N18
\led_flash_cnt[1828][4]~52478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1828][4]~52478_combout\ = (\led_flash_cnt[1828][4]~q\ & (!\led_flash_cnt[1828][3]~52477\)) # (!\led_flash_cnt[1828][4]~q\ & ((\led_flash_cnt[1828][3]~52477\) # (GND)))
-- \led_flash_cnt[1828][4]~52479\ = CARRY((!\led_flash_cnt[1828][3]~52477\) # (!\led_flash_cnt[1828][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1828][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1828][3]~52477\,
	combout => \led_flash_cnt[1828][4]~52478_combout\,
	cout => \led_flash_cnt[1828][4]~52479\);

-- Location: FF_X62_Y4_N19
\led_flash_cnt[1828][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1828][4]~52478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1828][4]~q\);

-- Location: LCCOMB_X62_Y4_N20
\led_flash_cnt[1828][5]~52480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1828][5]~52480_combout\ = (\led_flash_cnt[1828][5]~q\ & (\led_flash_cnt[1828][4]~52479\ $ (GND))) # (!\led_flash_cnt[1828][5]~q\ & (!\led_flash_cnt[1828][4]~52479\ & VCC))
-- \led_flash_cnt[1828][5]~52481\ = CARRY((\led_flash_cnt[1828][5]~q\ & !\led_flash_cnt[1828][4]~52479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1828][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1828][4]~52479\,
	combout => \led_flash_cnt[1828][5]~52480_combout\,
	cout => \led_flash_cnt[1828][5]~52481\);

-- Location: FF_X62_Y4_N21
\led_flash_cnt[1828][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1828][5]~52480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1828][5]~q\);

-- Location: LCCOMB_X62_Y4_N22
\led_flash_cnt[1828][6]~52482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1828][6]~52482_combout\ = (\led_flash_cnt[1828][6]~q\ & (!\led_flash_cnt[1828][5]~52481\)) # (!\led_flash_cnt[1828][6]~q\ & ((\led_flash_cnt[1828][5]~52481\) # (GND)))
-- \led_flash_cnt[1828][6]~52483\ = CARRY((!\led_flash_cnt[1828][5]~52481\) # (!\led_flash_cnt[1828][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1828][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1828][5]~52481\,
	combout => \led_flash_cnt[1828][6]~52482_combout\,
	cout => \led_flash_cnt[1828][6]~52483\);

-- Location: FF_X62_Y4_N23
\led_flash_cnt[1828][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1828][6]~52482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1828][6]~q\);

-- Location: LCCOMB_X62_Y4_N6
\WideAnd1828~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1828~1_combout\ = (\led_flash_cnt[1828][6]~q\ & \led_flash_cnt[1828][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1828][6]~q\,
	datad => \led_flash_cnt[1828][5]~q\,
	combout => \WideAnd1828~1_combout\);

-- Location: LCCOMB_X62_Y4_N24
\led_flash_cnt[1828][7]~52484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1828][7]~52484_combout\ = \led_flash_cnt[1828][6]~52483\ $ (!\led_flash_cnt[1828][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1828][7]~q\,
	cin => \led_flash_cnt[1828][6]~52483\,
	combout => \led_flash_cnt[1828][7]~52484_combout\);

-- Location: FF_X62_Y4_N25
\led_flash_cnt[1828][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1828][7]~52484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1828][7]~q\);

-- Location: LCCOMB_X62_Y4_N28
\WideAnd1828~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1828~0_combout\ = (\led_flash_cnt[1828][4]~q\ & (\led_flash_cnt[1828][3]~q\ & (\led_flash_cnt[1828][2]~q\ & \led_flash_cnt[1828][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1828][4]~q\,
	datab => \led_flash_cnt[1828][3]~q\,
	datac => \led_flash_cnt[1828][2]~q\,
	datad => \led_flash_cnt[1828][1]~q\,
	combout => \WideAnd1828~0_combout\);

-- Location: LCCOMB_X62_Y4_N26
WideAnd1828 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1828~combout\ = (\WideAnd1828~1_combout\ & (\led_flash_cnt[1828][7]~q\ & (\led_flash_cnt[1828][0]~q\ & \WideAnd1828~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1828~1_combout\,
	datab => \led_flash_cnt[1828][7]~q\,
	datac => \led_flash_cnt[1828][0]~q\,
	datad => \WideAnd1828~0_combout\,
	combout => \WideAnd1828~combout\);

-- Location: FF_X62_Y4_N27
\led_flash_cnt_ands[1828]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1828~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1828));

-- Location: LCCOMB_X63_Y4_N28
\led_flash_cnt[1829][0]~82469\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1829][0]~82469_combout\ = !\led_flash_cnt[1829][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1829][0]~q\,
	combout => \led_flash_cnt[1829][0]~82469_combout\);

-- Location: FF_X63_Y4_N29
\led_flash_cnt[1829][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1829][0]~82469_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1829][0]~q\);

-- Location: LCCOMB_X63_Y4_N12
\led_flash_cnt[1829][1]~52486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1829][1]~52486_combout\ = (\led_flash_cnt[1829][1]~q\ & (\led_flash_cnt[1829][0]~q\ $ (VCC))) # (!\led_flash_cnt[1829][1]~q\ & (\led_flash_cnt[1829][0]~q\ & VCC))
-- \led_flash_cnt[1829][1]~52487\ = CARRY((\led_flash_cnt[1829][1]~q\ & \led_flash_cnt[1829][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1829][1]~q\,
	datab => \led_flash_cnt[1829][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1829][1]~52486_combout\,
	cout => \led_flash_cnt[1829][1]~52487\);

-- Location: FF_X63_Y4_N13
\led_flash_cnt[1829][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1829][1]~52486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1829][1]~q\);

-- Location: LCCOMB_X63_Y4_N14
\led_flash_cnt[1829][2]~52488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1829][2]~52488_combout\ = (\led_flash_cnt[1829][2]~q\ & (!\led_flash_cnt[1829][1]~52487\)) # (!\led_flash_cnt[1829][2]~q\ & ((\led_flash_cnt[1829][1]~52487\) # (GND)))
-- \led_flash_cnt[1829][2]~52489\ = CARRY((!\led_flash_cnt[1829][1]~52487\) # (!\led_flash_cnt[1829][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1829][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1829][1]~52487\,
	combout => \led_flash_cnt[1829][2]~52488_combout\,
	cout => \led_flash_cnt[1829][2]~52489\);

-- Location: FF_X63_Y4_N15
\led_flash_cnt[1829][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1829][2]~52488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1829][2]~q\);

-- Location: LCCOMB_X63_Y4_N16
\led_flash_cnt[1829][3]~52490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1829][3]~52490_combout\ = (\led_flash_cnt[1829][3]~q\ & (\led_flash_cnt[1829][2]~52489\ $ (GND))) # (!\led_flash_cnt[1829][3]~q\ & (!\led_flash_cnt[1829][2]~52489\ & VCC))
-- \led_flash_cnt[1829][3]~52491\ = CARRY((\led_flash_cnt[1829][3]~q\ & !\led_flash_cnt[1829][2]~52489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1829][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1829][2]~52489\,
	combout => \led_flash_cnt[1829][3]~52490_combout\,
	cout => \led_flash_cnt[1829][3]~52491\);

-- Location: FF_X63_Y4_N17
\led_flash_cnt[1829][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1829][3]~52490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1829][3]~q\);

-- Location: LCCOMB_X63_Y4_N18
\led_flash_cnt[1829][4]~52492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1829][4]~52492_combout\ = (\led_flash_cnt[1829][4]~q\ & (!\led_flash_cnt[1829][3]~52491\)) # (!\led_flash_cnt[1829][4]~q\ & ((\led_flash_cnt[1829][3]~52491\) # (GND)))
-- \led_flash_cnt[1829][4]~52493\ = CARRY((!\led_flash_cnt[1829][3]~52491\) # (!\led_flash_cnt[1829][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1829][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1829][3]~52491\,
	combout => \led_flash_cnt[1829][4]~52492_combout\,
	cout => \led_flash_cnt[1829][4]~52493\);

-- Location: FF_X63_Y4_N19
\led_flash_cnt[1829][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1829][4]~52492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1829][4]~q\);

-- Location: LCCOMB_X63_Y4_N10
\WideAnd1829~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1829~0_combout\ = (\led_flash_cnt[1829][1]~q\ & (\led_flash_cnt[1829][4]~q\ & (\led_flash_cnt[1829][2]~q\ & \led_flash_cnt[1829][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1829][1]~q\,
	datab => \led_flash_cnt[1829][4]~q\,
	datac => \led_flash_cnt[1829][2]~q\,
	datad => \led_flash_cnt[1829][3]~q\,
	combout => \WideAnd1829~0_combout\);

-- Location: LCCOMB_X63_Y4_N20
\led_flash_cnt[1829][5]~52494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1829][5]~52494_combout\ = (\led_flash_cnt[1829][5]~q\ & (\led_flash_cnt[1829][4]~52493\ $ (GND))) # (!\led_flash_cnt[1829][5]~q\ & (!\led_flash_cnt[1829][4]~52493\ & VCC))
-- \led_flash_cnt[1829][5]~52495\ = CARRY((\led_flash_cnt[1829][5]~q\ & !\led_flash_cnt[1829][4]~52493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1829][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1829][4]~52493\,
	combout => \led_flash_cnt[1829][5]~52494_combout\,
	cout => \led_flash_cnt[1829][5]~52495\);

-- Location: FF_X63_Y4_N21
\led_flash_cnt[1829][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1829][5]~52494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1829][5]~q\);

-- Location: LCCOMB_X63_Y4_N22
\led_flash_cnt[1829][6]~52496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1829][6]~52496_combout\ = (\led_flash_cnt[1829][6]~q\ & (!\led_flash_cnt[1829][5]~52495\)) # (!\led_flash_cnt[1829][6]~q\ & ((\led_flash_cnt[1829][5]~52495\) # (GND)))
-- \led_flash_cnt[1829][6]~52497\ = CARRY((!\led_flash_cnt[1829][5]~52495\) # (!\led_flash_cnt[1829][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1829][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1829][5]~52495\,
	combout => \led_flash_cnt[1829][6]~52496_combout\,
	cout => \led_flash_cnt[1829][6]~52497\);

-- Location: FF_X63_Y4_N23
\led_flash_cnt[1829][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1829][6]~52496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1829][6]~q\);

-- Location: LCCOMB_X63_Y4_N24
\led_flash_cnt[1829][7]~52498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1829][7]~52498_combout\ = \led_flash_cnt[1829][6]~52497\ $ (!\led_flash_cnt[1829][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1829][7]~q\,
	cin => \led_flash_cnt[1829][6]~52497\,
	combout => \led_flash_cnt[1829][7]~52498_combout\);

-- Location: FF_X63_Y4_N25
\led_flash_cnt[1829][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1829][7]~52498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1829][7]~q\);

-- Location: LCCOMB_X63_Y4_N26
\WideAnd1829~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1829~1_combout\ = (\led_flash_cnt[1829][6]~q\ & \led_flash_cnt[1829][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1829][6]~q\,
	datad => \led_flash_cnt[1829][5]~q\,
	combout => \WideAnd1829~1_combout\);

-- Location: LCCOMB_X63_Y4_N4
WideAnd1829 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1829~combout\ = (\WideAnd1829~0_combout\ & (\led_flash_cnt[1829][7]~q\ & (\WideAnd1829~1_combout\ & \led_flash_cnt[1829][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1829~0_combout\,
	datab => \led_flash_cnt[1829][7]~q\,
	datac => \WideAnd1829~1_combout\,
	datad => \led_flash_cnt[1829][0]~q\,
	combout => \WideAnd1829~combout\);

-- Location: FF_X63_Y4_N5
\led_flash_cnt_ands[1829]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1829~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1829));

-- Location: LCCOMB_X62_Y4_N10
\WideAnd4068~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4068~1_combout\ = (led_flash_cnt_ands(1828) & led_flash_cnt_ands(1829))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1828),
	datad => led_flash_cnt_ands(1829),
	combout => \WideAnd4068~1_combout\);

-- Location: LCCOMB_X62_Y4_N2
WideAnd4068 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4068~combout\ = (led_flash_cnt_ands(1831) & (\WideAnd4068~0_combout\ & (led_flash_cnt_ands(1830) & \WideAnd4068~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1831),
	datab => \WideAnd4068~0_combout\,
	datac => led_flash_cnt_ands(1830),
	datad => \WideAnd4068~1_combout\,
	combout => \WideAnd4068~combout\);

-- Location: FF_X62_Y4_N3
\led_flash_cnt_ands_1[228]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4068~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(228));

-- Location: LCCOMB_X74_Y12_N24
\led_flash_cnt[1833][0]~82473\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1833][0]~82473_combout\ = !\led_flash_cnt[1833][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1833][0]~q\,
	combout => \led_flash_cnt[1833][0]~82473_combout\);

-- Location: FF_X74_Y12_N25
\led_flash_cnt[1833][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1833][0]~82473_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1833][0]~q\);

-- Location: LCCOMB_X74_Y12_N6
\led_flash_cnt[1833][1]~52542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1833][1]~52542_combout\ = (\led_flash_cnt[1833][1]~q\ & (\led_flash_cnt[1833][0]~q\ $ (VCC))) # (!\led_flash_cnt[1833][1]~q\ & (\led_flash_cnt[1833][0]~q\ & VCC))
-- \led_flash_cnt[1833][1]~52543\ = CARRY((\led_flash_cnt[1833][1]~q\ & \led_flash_cnt[1833][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1833][1]~q\,
	datab => \led_flash_cnt[1833][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1833][1]~52542_combout\,
	cout => \led_flash_cnt[1833][1]~52543\);

-- Location: FF_X74_Y12_N7
\led_flash_cnt[1833][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1833][1]~52542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1833][1]~q\);

-- Location: LCCOMB_X74_Y12_N8
\led_flash_cnt[1833][2]~52544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1833][2]~52544_combout\ = (\led_flash_cnt[1833][2]~q\ & (!\led_flash_cnt[1833][1]~52543\)) # (!\led_flash_cnt[1833][2]~q\ & ((\led_flash_cnt[1833][1]~52543\) # (GND)))
-- \led_flash_cnt[1833][2]~52545\ = CARRY((!\led_flash_cnt[1833][1]~52543\) # (!\led_flash_cnt[1833][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1833][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1833][1]~52543\,
	combout => \led_flash_cnt[1833][2]~52544_combout\,
	cout => \led_flash_cnt[1833][2]~52545\);

-- Location: FF_X74_Y12_N9
\led_flash_cnt[1833][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1833][2]~52544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1833][2]~q\);

-- Location: LCCOMB_X74_Y12_N10
\led_flash_cnt[1833][3]~52546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1833][3]~52546_combout\ = (\led_flash_cnt[1833][3]~q\ & (\led_flash_cnt[1833][2]~52545\ $ (GND))) # (!\led_flash_cnt[1833][3]~q\ & (!\led_flash_cnt[1833][2]~52545\ & VCC))
-- \led_flash_cnt[1833][3]~52547\ = CARRY((\led_flash_cnt[1833][3]~q\ & !\led_flash_cnt[1833][2]~52545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1833][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1833][2]~52545\,
	combout => \led_flash_cnt[1833][3]~52546_combout\,
	cout => \led_flash_cnt[1833][3]~52547\);

-- Location: FF_X74_Y12_N11
\led_flash_cnt[1833][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1833][3]~52546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1833][3]~q\);

-- Location: LCCOMB_X74_Y12_N12
\led_flash_cnt[1833][4]~52548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1833][4]~52548_combout\ = (\led_flash_cnt[1833][4]~q\ & (!\led_flash_cnt[1833][3]~52547\)) # (!\led_flash_cnt[1833][4]~q\ & ((\led_flash_cnt[1833][3]~52547\) # (GND)))
-- \led_flash_cnt[1833][4]~52549\ = CARRY((!\led_flash_cnt[1833][3]~52547\) # (!\led_flash_cnt[1833][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1833][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1833][3]~52547\,
	combout => \led_flash_cnt[1833][4]~52548_combout\,
	cout => \led_flash_cnt[1833][4]~52549\);

-- Location: FF_X74_Y12_N13
\led_flash_cnt[1833][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1833][4]~52548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1833][4]~q\);

-- Location: LCCOMB_X74_Y12_N22
\WideAnd1833~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1833~0_combout\ = (\led_flash_cnt[1833][3]~q\ & (\led_flash_cnt[1833][4]~q\ & (\led_flash_cnt[1833][2]~q\ & \led_flash_cnt[1833][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1833][3]~q\,
	datab => \led_flash_cnt[1833][4]~q\,
	datac => \led_flash_cnt[1833][2]~q\,
	datad => \led_flash_cnt[1833][1]~q\,
	combout => \WideAnd1833~0_combout\);

-- Location: LCCOMB_X74_Y12_N14
\led_flash_cnt[1833][5]~52550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1833][5]~52550_combout\ = (\led_flash_cnt[1833][5]~q\ & (\led_flash_cnt[1833][4]~52549\ $ (GND))) # (!\led_flash_cnt[1833][5]~q\ & (!\led_flash_cnt[1833][4]~52549\ & VCC))
-- \led_flash_cnt[1833][5]~52551\ = CARRY((\led_flash_cnt[1833][5]~q\ & !\led_flash_cnt[1833][4]~52549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1833][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1833][4]~52549\,
	combout => \led_flash_cnt[1833][5]~52550_combout\,
	cout => \led_flash_cnt[1833][5]~52551\);

-- Location: FF_X74_Y12_N15
\led_flash_cnt[1833][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1833][5]~52550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1833][5]~q\);

-- Location: LCCOMB_X74_Y12_N16
\led_flash_cnt[1833][6]~52552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1833][6]~52552_combout\ = (\led_flash_cnt[1833][6]~q\ & (!\led_flash_cnt[1833][5]~52551\)) # (!\led_flash_cnt[1833][6]~q\ & ((\led_flash_cnt[1833][5]~52551\) # (GND)))
-- \led_flash_cnt[1833][6]~52553\ = CARRY((!\led_flash_cnt[1833][5]~52551\) # (!\led_flash_cnt[1833][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1833][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1833][5]~52551\,
	combout => \led_flash_cnt[1833][6]~52552_combout\,
	cout => \led_flash_cnt[1833][6]~52553\);

-- Location: FF_X74_Y12_N17
\led_flash_cnt[1833][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1833][6]~52552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1833][6]~q\);

-- Location: LCCOMB_X74_Y12_N18
\led_flash_cnt[1833][7]~52554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1833][7]~52554_combout\ = \led_flash_cnt[1833][6]~52553\ $ (!\led_flash_cnt[1833][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1833][7]~q\,
	cin => \led_flash_cnt[1833][6]~52553\,
	combout => \led_flash_cnt[1833][7]~52554_combout\);

-- Location: FF_X74_Y12_N19
\led_flash_cnt[1833][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1833][7]~52554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1833][7]~q\);

-- Location: LCCOMB_X74_Y12_N4
\WideAnd1833~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1833~1_combout\ = (\led_flash_cnt[1833][5]~q\ & \led_flash_cnt[1833][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1833][5]~q\,
	datad => \led_flash_cnt[1833][6]~q\,
	combout => \WideAnd1833~1_combout\);

-- Location: LCCOMB_X74_Y12_N26
WideAnd1833 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1833~combout\ = (\WideAnd1833~0_combout\ & (\led_flash_cnt[1833][7]~q\ & (\WideAnd1833~1_combout\ & \led_flash_cnt[1833][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1833~0_combout\,
	datab => \led_flash_cnt[1833][7]~q\,
	datac => \WideAnd1833~1_combout\,
	datad => \led_flash_cnt[1833][0]~q\,
	combout => \WideAnd1833~combout\);

-- Location: FF_X74_Y12_N27
\led_flash_cnt_ands[1833]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1833~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1833));

-- Location: LCCOMB_X75_Y12_N22
\led_flash_cnt[1832][0]~82472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1832][0]~82472_combout\ = !\led_flash_cnt[1832][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1832][0]~q\,
	combout => \led_flash_cnt[1832][0]~82472_combout\);

-- Location: FF_X75_Y12_N23
\led_flash_cnt[1832][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1832][0]~82472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1832][0]~q\);

-- Location: LCCOMB_X75_Y12_N0
\led_flash_cnt[1832][1]~52528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1832][1]~52528_combout\ = (\led_flash_cnt[1832][0]~q\ & (\led_flash_cnt[1832][1]~q\ $ (VCC))) # (!\led_flash_cnt[1832][0]~q\ & (\led_flash_cnt[1832][1]~q\ & VCC))
-- \led_flash_cnt[1832][1]~52529\ = CARRY((\led_flash_cnt[1832][0]~q\ & \led_flash_cnt[1832][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1832][0]~q\,
	datab => \led_flash_cnt[1832][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1832][1]~52528_combout\,
	cout => \led_flash_cnt[1832][1]~52529\);

-- Location: FF_X75_Y12_N1
\led_flash_cnt[1832][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1832][1]~52528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1832][1]~q\);

-- Location: LCCOMB_X75_Y12_N2
\led_flash_cnt[1832][2]~52530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1832][2]~52530_combout\ = (\led_flash_cnt[1832][2]~q\ & (!\led_flash_cnt[1832][1]~52529\)) # (!\led_flash_cnt[1832][2]~q\ & ((\led_flash_cnt[1832][1]~52529\) # (GND)))
-- \led_flash_cnt[1832][2]~52531\ = CARRY((!\led_flash_cnt[1832][1]~52529\) # (!\led_flash_cnt[1832][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1832][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1832][1]~52529\,
	combout => \led_flash_cnt[1832][2]~52530_combout\,
	cout => \led_flash_cnt[1832][2]~52531\);

-- Location: FF_X75_Y12_N3
\led_flash_cnt[1832][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1832][2]~52530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1832][2]~q\);

-- Location: LCCOMB_X75_Y12_N4
\led_flash_cnt[1832][3]~52532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1832][3]~52532_combout\ = (\led_flash_cnt[1832][3]~q\ & (\led_flash_cnt[1832][2]~52531\ $ (GND))) # (!\led_flash_cnt[1832][3]~q\ & (!\led_flash_cnt[1832][2]~52531\ & VCC))
-- \led_flash_cnt[1832][3]~52533\ = CARRY((\led_flash_cnt[1832][3]~q\ & !\led_flash_cnt[1832][2]~52531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1832][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1832][2]~52531\,
	combout => \led_flash_cnt[1832][3]~52532_combout\,
	cout => \led_flash_cnt[1832][3]~52533\);

-- Location: FF_X75_Y12_N5
\led_flash_cnt[1832][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1832][3]~52532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1832][3]~q\);

-- Location: LCCOMB_X75_Y12_N6
\led_flash_cnt[1832][4]~52534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1832][4]~52534_combout\ = (\led_flash_cnt[1832][4]~q\ & (!\led_flash_cnt[1832][3]~52533\)) # (!\led_flash_cnt[1832][4]~q\ & ((\led_flash_cnt[1832][3]~52533\) # (GND)))
-- \led_flash_cnt[1832][4]~52535\ = CARRY((!\led_flash_cnt[1832][3]~52533\) # (!\led_flash_cnt[1832][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1832][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1832][3]~52533\,
	combout => \led_flash_cnt[1832][4]~52534_combout\,
	cout => \led_flash_cnt[1832][4]~52535\);

-- Location: FF_X75_Y12_N7
\led_flash_cnt[1832][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1832][4]~52534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1832][4]~q\);

-- Location: LCCOMB_X75_Y12_N8
\led_flash_cnt[1832][5]~52536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1832][5]~52536_combout\ = (\led_flash_cnt[1832][5]~q\ & (\led_flash_cnt[1832][4]~52535\ $ (GND))) # (!\led_flash_cnt[1832][5]~q\ & (!\led_flash_cnt[1832][4]~52535\ & VCC))
-- \led_flash_cnt[1832][5]~52537\ = CARRY((\led_flash_cnt[1832][5]~q\ & !\led_flash_cnt[1832][4]~52535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1832][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1832][4]~52535\,
	combout => \led_flash_cnt[1832][5]~52536_combout\,
	cout => \led_flash_cnt[1832][5]~52537\);

-- Location: FF_X75_Y12_N9
\led_flash_cnt[1832][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1832][5]~52536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1832][5]~q\);

-- Location: LCCOMB_X75_Y12_N10
\led_flash_cnt[1832][6]~52538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1832][6]~52538_combout\ = (\led_flash_cnt[1832][6]~q\ & (!\led_flash_cnt[1832][5]~52537\)) # (!\led_flash_cnt[1832][6]~q\ & ((\led_flash_cnt[1832][5]~52537\) # (GND)))
-- \led_flash_cnt[1832][6]~52539\ = CARRY((!\led_flash_cnt[1832][5]~52537\) # (!\led_flash_cnt[1832][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1832][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1832][5]~52537\,
	combout => \led_flash_cnt[1832][6]~52538_combout\,
	cout => \led_flash_cnt[1832][6]~52539\);

-- Location: FF_X75_Y12_N11
\led_flash_cnt[1832][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1832][6]~52538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1832][6]~q\);

-- Location: LCCOMB_X75_Y12_N26
\WideAnd1832~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1832~1_combout\ = (\led_flash_cnt[1832][5]~q\ & \led_flash_cnt[1832][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1832][5]~q\,
	datad => \led_flash_cnt[1832][6]~q\,
	combout => \WideAnd1832~1_combout\);

-- Location: LCCOMB_X75_Y12_N28
\WideAnd1832~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1832~0_combout\ = (\led_flash_cnt[1832][4]~q\ & (\led_flash_cnt[1832][1]~q\ & (\led_flash_cnt[1832][3]~q\ & \led_flash_cnt[1832][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1832][4]~q\,
	datab => \led_flash_cnt[1832][1]~q\,
	datac => \led_flash_cnt[1832][3]~q\,
	datad => \led_flash_cnt[1832][2]~q\,
	combout => \WideAnd1832~0_combout\);

-- Location: LCCOMB_X75_Y12_N12
\led_flash_cnt[1832][7]~52540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1832][7]~52540_combout\ = \led_flash_cnt[1832][6]~52539\ $ (!\led_flash_cnt[1832][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1832][7]~q\,
	cin => \led_flash_cnt[1832][6]~52539\,
	combout => \led_flash_cnt[1832][7]~52540_combout\);

-- Location: FF_X75_Y12_N13
\led_flash_cnt[1832][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1832][7]~52540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1832][7]~q\);

-- Location: LCCOMB_X75_Y12_N24
WideAnd1832 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1832~combout\ = (\WideAnd1832~1_combout\ & (\WideAnd1832~0_combout\ & (\led_flash_cnt[1832][0]~q\ & \led_flash_cnt[1832][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1832~1_combout\,
	datab => \WideAnd1832~0_combout\,
	datac => \led_flash_cnt[1832][0]~q\,
	datad => \led_flash_cnt[1832][7]~q\,
	combout => \WideAnd1832~combout\);

-- Location: FF_X75_Y12_N25
\led_flash_cnt_ands[1832]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1832~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1832));

-- Location: LCCOMB_X76_Y10_N22
\led_flash_cnt[1835][0]~82475\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1835][0]~82475_combout\ = !\led_flash_cnt[1835][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1835][0]~q\,
	combout => \led_flash_cnt[1835][0]~82475_combout\);

-- Location: FF_X76_Y10_N23
\led_flash_cnt[1835][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1835][0]~82475_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1835][0]~q\);

-- Location: LCCOMB_X76_Y10_N8
\led_flash_cnt[1835][1]~52570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1835][1]~52570_combout\ = (\led_flash_cnt[1835][0]~q\ & (\led_flash_cnt[1835][1]~q\ $ (VCC))) # (!\led_flash_cnt[1835][0]~q\ & (\led_flash_cnt[1835][1]~q\ & VCC))
-- \led_flash_cnt[1835][1]~52571\ = CARRY((\led_flash_cnt[1835][0]~q\ & \led_flash_cnt[1835][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1835][0]~q\,
	datab => \led_flash_cnt[1835][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1835][1]~52570_combout\,
	cout => \led_flash_cnt[1835][1]~52571\);

-- Location: FF_X76_Y10_N9
\led_flash_cnt[1835][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1835][1]~52570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1835][1]~q\);

-- Location: LCCOMB_X76_Y10_N10
\led_flash_cnt[1835][2]~52572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1835][2]~52572_combout\ = (\led_flash_cnt[1835][2]~q\ & (!\led_flash_cnt[1835][1]~52571\)) # (!\led_flash_cnt[1835][2]~q\ & ((\led_flash_cnt[1835][1]~52571\) # (GND)))
-- \led_flash_cnt[1835][2]~52573\ = CARRY((!\led_flash_cnt[1835][1]~52571\) # (!\led_flash_cnt[1835][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1835][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1835][1]~52571\,
	combout => \led_flash_cnt[1835][2]~52572_combout\,
	cout => \led_flash_cnt[1835][2]~52573\);

-- Location: FF_X76_Y10_N11
\led_flash_cnt[1835][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1835][2]~52572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1835][2]~q\);

-- Location: LCCOMB_X76_Y10_N12
\led_flash_cnt[1835][3]~52574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1835][3]~52574_combout\ = (\led_flash_cnt[1835][3]~q\ & (\led_flash_cnt[1835][2]~52573\ $ (GND))) # (!\led_flash_cnt[1835][3]~q\ & (!\led_flash_cnt[1835][2]~52573\ & VCC))
-- \led_flash_cnt[1835][3]~52575\ = CARRY((\led_flash_cnt[1835][3]~q\ & !\led_flash_cnt[1835][2]~52573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1835][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1835][2]~52573\,
	combout => \led_flash_cnt[1835][3]~52574_combout\,
	cout => \led_flash_cnt[1835][3]~52575\);

-- Location: FF_X76_Y10_N13
\led_flash_cnt[1835][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1835][3]~52574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1835][3]~q\);

-- Location: LCCOMB_X76_Y10_N14
\led_flash_cnt[1835][4]~52576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1835][4]~52576_combout\ = (\led_flash_cnt[1835][4]~q\ & (!\led_flash_cnt[1835][3]~52575\)) # (!\led_flash_cnt[1835][4]~q\ & ((\led_flash_cnt[1835][3]~52575\) # (GND)))
-- \led_flash_cnt[1835][4]~52577\ = CARRY((!\led_flash_cnt[1835][3]~52575\) # (!\led_flash_cnt[1835][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1835][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1835][3]~52575\,
	combout => \led_flash_cnt[1835][4]~52576_combout\,
	cout => \led_flash_cnt[1835][4]~52577\);

-- Location: FF_X76_Y10_N15
\led_flash_cnt[1835][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1835][4]~52576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1835][4]~q\);

-- Location: LCCOMB_X76_Y10_N16
\led_flash_cnt[1835][5]~52578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1835][5]~52578_combout\ = (\led_flash_cnt[1835][5]~q\ & (\led_flash_cnt[1835][4]~52577\ $ (GND))) # (!\led_flash_cnt[1835][5]~q\ & (!\led_flash_cnt[1835][4]~52577\ & VCC))
-- \led_flash_cnt[1835][5]~52579\ = CARRY((\led_flash_cnt[1835][5]~q\ & !\led_flash_cnt[1835][4]~52577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1835][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1835][4]~52577\,
	combout => \led_flash_cnt[1835][5]~52578_combout\,
	cout => \led_flash_cnt[1835][5]~52579\);

-- Location: FF_X76_Y10_N17
\led_flash_cnt[1835][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1835][5]~52578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1835][5]~q\);

-- Location: LCCOMB_X76_Y10_N18
\led_flash_cnt[1835][6]~52580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1835][6]~52580_combout\ = (\led_flash_cnt[1835][6]~q\ & (!\led_flash_cnt[1835][5]~52579\)) # (!\led_flash_cnt[1835][6]~q\ & ((\led_flash_cnt[1835][5]~52579\) # (GND)))
-- \led_flash_cnt[1835][6]~52581\ = CARRY((!\led_flash_cnt[1835][5]~52579\) # (!\led_flash_cnt[1835][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1835][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1835][5]~52579\,
	combout => \led_flash_cnt[1835][6]~52580_combout\,
	cout => \led_flash_cnt[1835][6]~52581\);

-- Location: FF_X76_Y10_N19
\led_flash_cnt[1835][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1835][6]~52580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1835][6]~q\);

-- Location: LCCOMB_X76_Y10_N20
\led_flash_cnt[1835][7]~52582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1835][7]~52582_combout\ = \led_flash_cnt[1835][6]~52581\ $ (!\led_flash_cnt[1835][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1835][7]~q\,
	cin => \led_flash_cnt[1835][6]~52581\,
	combout => \led_flash_cnt[1835][7]~52582_combout\);

-- Location: FF_X76_Y10_N21
\led_flash_cnt[1835][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1835][7]~52582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1835][7]~q\);

-- Location: LCCOMB_X76_Y10_N4
\WideAnd1835~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1835~1_combout\ = (\led_flash_cnt[1835][6]~q\ & \led_flash_cnt[1835][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1835][6]~q\,
	datad => \led_flash_cnt[1835][5]~q\,
	combout => \WideAnd1835~1_combout\);

-- Location: LCCOMB_X76_Y10_N24
\WideAnd1835~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1835~0_combout\ = (\led_flash_cnt[1835][3]~q\ & (\led_flash_cnt[1835][4]~q\ & (\led_flash_cnt[1835][1]~q\ & \led_flash_cnt[1835][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1835][3]~q\,
	datab => \led_flash_cnt[1835][4]~q\,
	datac => \led_flash_cnt[1835][1]~q\,
	datad => \led_flash_cnt[1835][2]~q\,
	combout => \WideAnd1835~0_combout\);

-- Location: LCCOMB_X76_Y10_N26
WideAnd1835 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1835~combout\ = (\led_flash_cnt[1835][0]~q\ & (\led_flash_cnt[1835][7]~q\ & (\WideAnd1835~1_combout\ & \WideAnd1835~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1835][0]~q\,
	datab => \led_flash_cnt[1835][7]~q\,
	datac => \WideAnd1835~1_combout\,
	datad => \WideAnd1835~0_combout\,
	combout => \WideAnd1835~combout\);

-- Location: FF_X76_Y10_N27
\led_flash_cnt_ands[1835]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1835~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1835));

-- Location: LCCOMB_X76_Y12_N12
\led_flash_cnt[1834][0]~82474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1834][0]~82474_combout\ = !\led_flash_cnt[1834][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1834][0]~q\,
	combout => \led_flash_cnt[1834][0]~82474_combout\);

-- Location: FF_X76_Y12_N13
\led_flash_cnt[1834][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1834][0]~82474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1834][0]~q\);

-- Location: LCCOMB_X76_Y12_N14
\led_flash_cnt[1834][1]~52556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1834][1]~52556_combout\ = (\led_flash_cnt[1834][0]~q\ & (\led_flash_cnt[1834][1]~q\ $ (VCC))) # (!\led_flash_cnt[1834][0]~q\ & (\led_flash_cnt[1834][1]~q\ & VCC))
-- \led_flash_cnt[1834][1]~52557\ = CARRY((\led_flash_cnt[1834][0]~q\ & \led_flash_cnt[1834][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1834][0]~q\,
	datab => \led_flash_cnt[1834][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1834][1]~52556_combout\,
	cout => \led_flash_cnt[1834][1]~52557\);

-- Location: FF_X76_Y12_N15
\led_flash_cnt[1834][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1834][1]~52556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1834][1]~q\);

-- Location: LCCOMB_X76_Y12_N16
\led_flash_cnt[1834][2]~52558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1834][2]~52558_combout\ = (\led_flash_cnt[1834][2]~q\ & (!\led_flash_cnt[1834][1]~52557\)) # (!\led_flash_cnt[1834][2]~q\ & ((\led_flash_cnt[1834][1]~52557\) # (GND)))
-- \led_flash_cnt[1834][2]~52559\ = CARRY((!\led_flash_cnt[1834][1]~52557\) # (!\led_flash_cnt[1834][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1834][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1834][1]~52557\,
	combout => \led_flash_cnt[1834][2]~52558_combout\,
	cout => \led_flash_cnt[1834][2]~52559\);

-- Location: FF_X76_Y12_N17
\led_flash_cnt[1834][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1834][2]~52558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1834][2]~q\);

-- Location: LCCOMB_X76_Y12_N18
\led_flash_cnt[1834][3]~52560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1834][3]~52560_combout\ = (\led_flash_cnt[1834][3]~q\ & (\led_flash_cnt[1834][2]~52559\ $ (GND))) # (!\led_flash_cnt[1834][3]~q\ & (!\led_flash_cnt[1834][2]~52559\ & VCC))
-- \led_flash_cnt[1834][3]~52561\ = CARRY((\led_flash_cnt[1834][3]~q\ & !\led_flash_cnt[1834][2]~52559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1834][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1834][2]~52559\,
	combout => \led_flash_cnt[1834][3]~52560_combout\,
	cout => \led_flash_cnt[1834][3]~52561\);

-- Location: FF_X76_Y12_N19
\led_flash_cnt[1834][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1834][3]~52560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1834][3]~q\);

-- Location: LCCOMB_X76_Y12_N20
\led_flash_cnt[1834][4]~52562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1834][4]~52562_combout\ = (\led_flash_cnt[1834][4]~q\ & (!\led_flash_cnt[1834][3]~52561\)) # (!\led_flash_cnt[1834][4]~q\ & ((\led_flash_cnt[1834][3]~52561\) # (GND)))
-- \led_flash_cnt[1834][4]~52563\ = CARRY((!\led_flash_cnt[1834][3]~52561\) # (!\led_flash_cnt[1834][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1834][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1834][3]~52561\,
	combout => \led_flash_cnt[1834][4]~52562_combout\,
	cout => \led_flash_cnt[1834][4]~52563\);

-- Location: FF_X76_Y12_N21
\led_flash_cnt[1834][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1834][4]~52562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1834][4]~q\);

-- Location: LCCOMB_X76_Y12_N22
\led_flash_cnt[1834][5]~52564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1834][5]~52564_combout\ = (\led_flash_cnt[1834][5]~q\ & (\led_flash_cnt[1834][4]~52563\ $ (GND))) # (!\led_flash_cnt[1834][5]~q\ & (!\led_flash_cnt[1834][4]~52563\ & VCC))
-- \led_flash_cnt[1834][5]~52565\ = CARRY((\led_flash_cnt[1834][5]~q\ & !\led_flash_cnt[1834][4]~52563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1834][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1834][4]~52563\,
	combout => \led_flash_cnt[1834][5]~52564_combout\,
	cout => \led_flash_cnt[1834][5]~52565\);

-- Location: FF_X76_Y12_N23
\led_flash_cnt[1834][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1834][5]~52564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1834][5]~q\);

-- Location: LCCOMB_X76_Y12_N24
\led_flash_cnt[1834][6]~52566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1834][6]~52566_combout\ = (\led_flash_cnt[1834][6]~q\ & (!\led_flash_cnt[1834][5]~52565\)) # (!\led_flash_cnt[1834][6]~q\ & ((\led_flash_cnt[1834][5]~52565\) # (GND)))
-- \led_flash_cnt[1834][6]~52567\ = CARRY((!\led_flash_cnt[1834][5]~52565\) # (!\led_flash_cnt[1834][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1834][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1834][5]~52565\,
	combout => \led_flash_cnt[1834][6]~52566_combout\,
	cout => \led_flash_cnt[1834][6]~52567\);

-- Location: FF_X76_Y12_N25
\led_flash_cnt[1834][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1834][6]~52566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1834][6]~q\);

-- Location: LCCOMB_X76_Y12_N10
\WideAnd1834~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1834~1_combout\ = (\led_flash_cnt[1834][5]~q\ & \led_flash_cnt[1834][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1834][5]~q\,
	datad => \led_flash_cnt[1834][6]~q\,
	combout => \WideAnd1834~1_combout\);

-- Location: LCCOMB_X76_Y12_N4
\WideAnd1834~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1834~0_combout\ = (\led_flash_cnt[1834][4]~q\ & (\led_flash_cnt[1834][3]~q\ & (\led_flash_cnt[1834][1]~q\ & \led_flash_cnt[1834][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1834][4]~q\,
	datab => \led_flash_cnt[1834][3]~q\,
	datac => \led_flash_cnt[1834][1]~q\,
	datad => \led_flash_cnt[1834][2]~q\,
	combout => \WideAnd1834~0_combout\);

-- Location: LCCOMB_X76_Y12_N26
\led_flash_cnt[1834][7]~52568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1834][7]~52568_combout\ = \led_flash_cnt[1834][7]~q\ $ (!\led_flash_cnt[1834][6]~52567\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1834][7]~q\,
	cin => \led_flash_cnt[1834][6]~52567\,
	combout => \led_flash_cnt[1834][7]~52568_combout\);

-- Location: FF_X76_Y12_N27
\led_flash_cnt[1834][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1834][7]~52568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1834][7]~q\);

-- Location: LCCOMB_X76_Y12_N28
WideAnd1834 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1834~combout\ = (\WideAnd1834~1_combout\ & (\WideAnd1834~0_combout\ & (\led_flash_cnt[1834][7]~q\ & \led_flash_cnt[1834][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1834~1_combout\,
	datab => \WideAnd1834~0_combout\,
	datac => \led_flash_cnt[1834][7]~q\,
	datad => \led_flash_cnt[1834][0]~q\,
	combout => \WideAnd1834~combout\);

-- Location: FF_X76_Y12_N29
\led_flash_cnt_ands[1834]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1834~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1834));

-- Location: LCCOMB_X75_Y12_N18
\WideAnd4069~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4069~0_combout\ = (led_flash_cnt_ands(1833) & (led_flash_cnt_ands(1832) & (led_flash_cnt_ands(1835) & led_flash_cnt_ands(1834))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1833),
	datab => led_flash_cnt_ands(1832),
	datac => led_flash_cnt_ands(1835),
	datad => led_flash_cnt_ands(1834),
	combout => \WideAnd4069~0_combout\);

-- Location: LCCOMB_X70_Y12_N12
\led_flash_cnt[1839][0]~82479\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1839][0]~82479_combout\ = !\led_flash_cnt[1839][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1839][0]~q\,
	combout => \led_flash_cnt[1839][0]~82479_combout\);

-- Location: FF_X70_Y12_N13
\led_flash_cnt[1839][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1839][0]~82479_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1839][0]~q\);

-- Location: LCCOMB_X70_Y12_N14
\led_flash_cnt[1839][1]~52626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1839][1]~52626_combout\ = (\led_flash_cnt[1839][0]~q\ & (\led_flash_cnt[1839][1]~q\ $ (VCC))) # (!\led_flash_cnt[1839][0]~q\ & (\led_flash_cnt[1839][1]~q\ & VCC))
-- \led_flash_cnt[1839][1]~52627\ = CARRY((\led_flash_cnt[1839][0]~q\ & \led_flash_cnt[1839][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1839][0]~q\,
	datab => \led_flash_cnt[1839][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1839][1]~52626_combout\,
	cout => \led_flash_cnt[1839][1]~52627\);

-- Location: FF_X70_Y12_N15
\led_flash_cnt[1839][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1839][1]~52626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1839][1]~q\);

-- Location: LCCOMB_X70_Y12_N16
\led_flash_cnt[1839][2]~52628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1839][2]~52628_combout\ = (\led_flash_cnt[1839][2]~q\ & (!\led_flash_cnt[1839][1]~52627\)) # (!\led_flash_cnt[1839][2]~q\ & ((\led_flash_cnt[1839][1]~52627\) # (GND)))
-- \led_flash_cnt[1839][2]~52629\ = CARRY((!\led_flash_cnt[1839][1]~52627\) # (!\led_flash_cnt[1839][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1839][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1839][1]~52627\,
	combout => \led_flash_cnt[1839][2]~52628_combout\,
	cout => \led_flash_cnt[1839][2]~52629\);

-- Location: FF_X70_Y12_N17
\led_flash_cnt[1839][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1839][2]~52628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1839][2]~q\);

-- Location: LCCOMB_X70_Y12_N18
\led_flash_cnt[1839][3]~52630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1839][3]~52630_combout\ = (\led_flash_cnt[1839][3]~q\ & (\led_flash_cnt[1839][2]~52629\ $ (GND))) # (!\led_flash_cnt[1839][3]~q\ & (!\led_flash_cnt[1839][2]~52629\ & VCC))
-- \led_flash_cnt[1839][3]~52631\ = CARRY((\led_flash_cnt[1839][3]~q\ & !\led_flash_cnt[1839][2]~52629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1839][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1839][2]~52629\,
	combout => \led_flash_cnt[1839][3]~52630_combout\,
	cout => \led_flash_cnt[1839][3]~52631\);

-- Location: FF_X70_Y12_N19
\led_flash_cnt[1839][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1839][3]~52630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1839][3]~q\);

-- Location: LCCOMB_X70_Y12_N20
\led_flash_cnt[1839][4]~52632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1839][4]~52632_combout\ = (\led_flash_cnt[1839][4]~q\ & (!\led_flash_cnt[1839][3]~52631\)) # (!\led_flash_cnt[1839][4]~q\ & ((\led_flash_cnt[1839][3]~52631\) # (GND)))
-- \led_flash_cnt[1839][4]~52633\ = CARRY((!\led_flash_cnt[1839][3]~52631\) # (!\led_flash_cnt[1839][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1839][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1839][3]~52631\,
	combout => \led_flash_cnt[1839][4]~52632_combout\,
	cout => \led_flash_cnt[1839][4]~52633\);

-- Location: FF_X70_Y12_N21
\led_flash_cnt[1839][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1839][4]~52632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1839][4]~q\);

-- Location: LCCOMB_X70_Y12_N22
\led_flash_cnt[1839][5]~52634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1839][5]~52634_combout\ = (\led_flash_cnt[1839][5]~q\ & (\led_flash_cnt[1839][4]~52633\ $ (GND))) # (!\led_flash_cnt[1839][5]~q\ & (!\led_flash_cnt[1839][4]~52633\ & VCC))
-- \led_flash_cnt[1839][5]~52635\ = CARRY((\led_flash_cnt[1839][5]~q\ & !\led_flash_cnt[1839][4]~52633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1839][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1839][4]~52633\,
	combout => \led_flash_cnt[1839][5]~52634_combout\,
	cout => \led_flash_cnt[1839][5]~52635\);

-- Location: FF_X70_Y12_N23
\led_flash_cnt[1839][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1839][5]~52634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1839][5]~q\);

-- Location: LCCOMB_X70_Y12_N24
\led_flash_cnt[1839][6]~52636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1839][6]~52636_combout\ = (\led_flash_cnt[1839][6]~q\ & (!\led_flash_cnt[1839][5]~52635\)) # (!\led_flash_cnt[1839][6]~q\ & ((\led_flash_cnt[1839][5]~52635\) # (GND)))
-- \led_flash_cnt[1839][6]~52637\ = CARRY((!\led_flash_cnt[1839][5]~52635\) # (!\led_flash_cnt[1839][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1839][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1839][5]~52635\,
	combout => \led_flash_cnt[1839][6]~52636_combout\,
	cout => \led_flash_cnt[1839][6]~52637\);

-- Location: FF_X70_Y12_N25
\led_flash_cnt[1839][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1839][6]~52636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1839][6]~q\);

-- Location: LCCOMB_X70_Y12_N10
\WideAnd1839~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1839~1_combout\ = (\led_flash_cnt[1839][5]~q\ & \led_flash_cnt[1839][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1839][5]~q\,
	datad => \led_flash_cnt[1839][6]~q\,
	combout => \WideAnd1839~1_combout\);

-- Location: LCCOMB_X70_Y12_N28
\WideAnd1839~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1839~0_combout\ = (\led_flash_cnt[1839][4]~q\ & (\led_flash_cnt[1839][3]~q\ & (\led_flash_cnt[1839][1]~q\ & \led_flash_cnt[1839][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1839][4]~q\,
	datab => \led_flash_cnt[1839][3]~q\,
	datac => \led_flash_cnt[1839][1]~q\,
	datad => \led_flash_cnt[1839][2]~q\,
	combout => \WideAnd1839~0_combout\);

-- Location: LCCOMB_X70_Y12_N26
\led_flash_cnt[1839][7]~52638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1839][7]~52638_combout\ = \led_flash_cnt[1839][7]~q\ $ (!\led_flash_cnt[1839][6]~52637\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1839][7]~q\,
	cin => \led_flash_cnt[1839][6]~52637\,
	combout => \led_flash_cnt[1839][7]~52638_combout\);

-- Location: FF_X70_Y12_N27
\led_flash_cnt[1839][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1839][7]~52638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1839][7]~q\);

-- Location: LCCOMB_X70_Y12_N4
WideAnd1839 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1839~combout\ = (\WideAnd1839~1_combout\ & (\WideAnd1839~0_combout\ & (\led_flash_cnt[1839][7]~q\ & \led_flash_cnt[1839][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1839~1_combout\,
	datab => \WideAnd1839~0_combout\,
	datac => \led_flash_cnt[1839][7]~q\,
	datad => \led_flash_cnt[1839][0]~q\,
	combout => \WideAnd1839~combout\);

-- Location: FF_X70_Y12_N5
\led_flash_cnt_ands[1839]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1839~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1839));

-- Location: LCCOMB_X74_Y16_N10
\led_flash_cnt[1838][0]~82478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1838][0]~82478_combout\ = !\led_flash_cnt[1838][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1838][0]~q\,
	combout => \led_flash_cnt[1838][0]~82478_combout\);

-- Location: FF_X74_Y16_N11
\led_flash_cnt[1838][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1838][0]~82478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1838][0]~q\);

-- Location: LCCOMB_X74_Y16_N16
\led_flash_cnt[1838][1]~52612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1838][1]~52612_combout\ = (\led_flash_cnt[1838][0]~q\ & (\led_flash_cnt[1838][1]~q\ $ (VCC))) # (!\led_flash_cnt[1838][0]~q\ & (\led_flash_cnt[1838][1]~q\ & VCC))
-- \led_flash_cnt[1838][1]~52613\ = CARRY((\led_flash_cnt[1838][0]~q\ & \led_flash_cnt[1838][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1838][0]~q\,
	datab => \led_flash_cnt[1838][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1838][1]~52612_combout\,
	cout => \led_flash_cnt[1838][1]~52613\);

-- Location: FF_X74_Y16_N17
\led_flash_cnt[1838][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1838][1]~52612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1838][1]~q\);

-- Location: LCCOMB_X74_Y16_N18
\led_flash_cnt[1838][2]~52614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1838][2]~52614_combout\ = (\led_flash_cnt[1838][2]~q\ & (!\led_flash_cnt[1838][1]~52613\)) # (!\led_flash_cnt[1838][2]~q\ & ((\led_flash_cnt[1838][1]~52613\) # (GND)))
-- \led_flash_cnt[1838][2]~52615\ = CARRY((!\led_flash_cnt[1838][1]~52613\) # (!\led_flash_cnt[1838][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1838][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1838][1]~52613\,
	combout => \led_flash_cnt[1838][2]~52614_combout\,
	cout => \led_flash_cnt[1838][2]~52615\);

-- Location: FF_X74_Y16_N19
\led_flash_cnt[1838][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1838][2]~52614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1838][2]~q\);

-- Location: LCCOMB_X74_Y16_N20
\led_flash_cnt[1838][3]~52616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1838][3]~52616_combout\ = (\led_flash_cnt[1838][3]~q\ & (\led_flash_cnt[1838][2]~52615\ $ (GND))) # (!\led_flash_cnt[1838][3]~q\ & (!\led_flash_cnt[1838][2]~52615\ & VCC))
-- \led_flash_cnt[1838][3]~52617\ = CARRY((\led_flash_cnt[1838][3]~q\ & !\led_flash_cnt[1838][2]~52615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1838][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1838][2]~52615\,
	combout => \led_flash_cnt[1838][3]~52616_combout\,
	cout => \led_flash_cnt[1838][3]~52617\);

-- Location: FF_X74_Y16_N21
\led_flash_cnt[1838][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1838][3]~52616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1838][3]~q\);

-- Location: LCCOMB_X74_Y16_N22
\led_flash_cnt[1838][4]~52618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1838][4]~52618_combout\ = (\led_flash_cnt[1838][4]~q\ & (!\led_flash_cnt[1838][3]~52617\)) # (!\led_flash_cnt[1838][4]~q\ & ((\led_flash_cnt[1838][3]~52617\) # (GND)))
-- \led_flash_cnt[1838][4]~52619\ = CARRY((!\led_flash_cnt[1838][3]~52617\) # (!\led_flash_cnt[1838][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1838][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1838][3]~52617\,
	combout => \led_flash_cnt[1838][4]~52618_combout\,
	cout => \led_flash_cnt[1838][4]~52619\);

-- Location: FF_X74_Y16_N23
\led_flash_cnt[1838][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1838][4]~52618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1838][4]~q\);

-- Location: LCCOMB_X74_Y16_N24
\led_flash_cnt[1838][5]~52620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1838][5]~52620_combout\ = (\led_flash_cnt[1838][5]~q\ & (\led_flash_cnt[1838][4]~52619\ $ (GND))) # (!\led_flash_cnt[1838][5]~q\ & (!\led_flash_cnt[1838][4]~52619\ & VCC))
-- \led_flash_cnt[1838][5]~52621\ = CARRY((\led_flash_cnt[1838][5]~q\ & !\led_flash_cnt[1838][4]~52619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1838][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1838][4]~52619\,
	combout => \led_flash_cnt[1838][5]~52620_combout\,
	cout => \led_flash_cnt[1838][5]~52621\);

-- Location: FF_X74_Y16_N25
\led_flash_cnt[1838][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1838][5]~52620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1838][5]~q\);

-- Location: LCCOMB_X74_Y16_N26
\led_flash_cnt[1838][6]~52622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1838][6]~52622_combout\ = (\led_flash_cnt[1838][6]~q\ & (!\led_flash_cnt[1838][5]~52621\)) # (!\led_flash_cnt[1838][6]~q\ & ((\led_flash_cnt[1838][5]~52621\) # (GND)))
-- \led_flash_cnt[1838][6]~52623\ = CARRY((!\led_flash_cnt[1838][5]~52621\) # (!\led_flash_cnt[1838][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1838][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1838][5]~52621\,
	combout => \led_flash_cnt[1838][6]~52622_combout\,
	cout => \led_flash_cnt[1838][6]~52623\);

-- Location: FF_X74_Y16_N27
\led_flash_cnt[1838][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1838][6]~52622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1838][6]~q\);

-- Location: LCCOMB_X74_Y16_N28
\led_flash_cnt[1838][7]~52624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1838][7]~52624_combout\ = \led_flash_cnt[1838][6]~52623\ $ (!\led_flash_cnt[1838][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1838][7]~q\,
	cin => \led_flash_cnt[1838][6]~52623\,
	combout => \led_flash_cnt[1838][7]~52624_combout\);

-- Location: FF_X74_Y16_N29
\led_flash_cnt[1838][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1838][7]~52624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1838][7]~q\);

-- Location: LCCOMB_X74_Y16_N8
\WideAnd1838~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1838~1_combout\ = (\led_flash_cnt[1838][6]~q\ & \led_flash_cnt[1838][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1838][6]~q\,
	datad => \led_flash_cnt[1838][5]~q\,
	combout => \WideAnd1838~1_combout\);

-- Location: LCCOMB_X74_Y16_N12
\WideAnd1838~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1838~0_combout\ = (\led_flash_cnt[1838][3]~q\ & (\led_flash_cnt[1838][2]~q\ & (\led_flash_cnt[1838][4]~q\ & \led_flash_cnt[1838][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1838][3]~q\,
	datab => \led_flash_cnt[1838][2]~q\,
	datac => \led_flash_cnt[1838][4]~q\,
	datad => \led_flash_cnt[1838][1]~q\,
	combout => \WideAnd1838~0_combout\);

-- Location: LCCOMB_X74_Y16_N4
WideAnd1838 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1838~combout\ = (\led_flash_cnt[1838][0]~q\ & (\led_flash_cnt[1838][7]~q\ & (\WideAnd1838~1_combout\ & \WideAnd1838~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1838][0]~q\,
	datab => \led_flash_cnt[1838][7]~q\,
	datac => \WideAnd1838~1_combout\,
	datad => \WideAnd1838~0_combout\,
	combout => \WideAnd1838~combout\);

-- Location: FF_X74_Y16_N5
\led_flash_cnt_ands[1838]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1838~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1838));

-- Location: LCCOMB_X70_Y16_N0
\led_flash_cnt[1837][0]~82477\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1837][0]~82477_combout\ = !\led_flash_cnt[1837][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1837][0]~q\,
	combout => \led_flash_cnt[1837][0]~82477_combout\);

-- Location: FF_X70_Y16_N1
\led_flash_cnt[1837][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1837][0]~82477_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1837][0]~q\);

-- Location: LCCOMB_X70_Y16_N12
\led_flash_cnt[1837][1]~52598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1837][1]~52598_combout\ = (\led_flash_cnt[1837][1]~q\ & (\led_flash_cnt[1837][0]~q\ $ (VCC))) # (!\led_flash_cnt[1837][1]~q\ & (\led_flash_cnt[1837][0]~q\ & VCC))
-- \led_flash_cnt[1837][1]~52599\ = CARRY((\led_flash_cnt[1837][1]~q\ & \led_flash_cnt[1837][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1837][1]~q\,
	datab => \led_flash_cnt[1837][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1837][1]~52598_combout\,
	cout => \led_flash_cnt[1837][1]~52599\);

-- Location: FF_X70_Y16_N13
\led_flash_cnt[1837][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1837][1]~52598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1837][1]~q\);

-- Location: LCCOMB_X70_Y16_N14
\led_flash_cnt[1837][2]~52600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1837][2]~52600_combout\ = (\led_flash_cnt[1837][2]~q\ & (!\led_flash_cnt[1837][1]~52599\)) # (!\led_flash_cnt[1837][2]~q\ & ((\led_flash_cnt[1837][1]~52599\) # (GND)))
-- \led_flash_cnt[1837][2]~52601\ = CARRY((!\led_flash_cnt[1837][1]~52599\) # (!\led_flash_cnt[1837][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1837][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1837][1]~52599\,
	combout => \led_flash_cnt[1837][2]~52600_combout\,
	cout => \led_flash_cnt[1837][2]~52601\);

-- Location: FF_X70_Y16_N15
\led_flash_cnt[1837][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1837][2]~52600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1837][2]~q\);

-- Location: LCCOMB_X70_Y16_N16
\led_flash_cnt[1837][3]~52602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1837][3]~52602_combout\ = (\led_flash_cnt[1837][3]~q\ & (\led_flash_cnt[1837][2]~52601\ $ (GND))) # (!\led_flash_cnt[1837][3]~q\ & (!\led_flash_cnt[1837][2]~52601\ & VCC))
-- \led_flash_cnt[1837][3]~52603\ = CARRY((\led_flash_cnt[1837][3]~q\ & !\led_flash_cnt[1837][2]~52601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1837][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1837][2]~52601\,
	combout => \led_flash_cnt[1837][3]~52602_combout\,
	cout => \led_flash_cnt[1837][3]~52603\);

-- Location: FF_X70_Y16_N17
\led_flash_cnt[1837][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1837][3]~52602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1837][3]~q\);

-- Location: LCCOMB_X70_Y16_N18
\led_flash_cnt[1837][4]~52604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1837][4]~52604_combout\ = (\led_flash_cnt[1837][4]~q\ & (!\led_flash_cnt[1837][3]~52603\)) # (!\led_flash_cnt[1837][4]~q\ & ((\led_flash_cnt[1837][3]~52603\) # (GND)))
-- \led_flash_cnt[1837][4]~52605\ = CARRY((!\led_flash_cnt[1837][3]~52603\) # (!\led_flash_cnt[1837][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1837][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1837][3]~52603\,
	combout => \led_flash_cnt[1837][4]~52604_combout\,
	cout => \led_flash_cnt[1837][4]~52605\);

-- Location: FF_X70_Y16_N19
\led_flash_cnt[1837][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1837][4]~52604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1837][4]~q\);

-- Location: LCCOMB_X70_Y16_N10
\WideAnd1837~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1837~0_combout\ = (\led_flash_cnt[1837][4]~q\ & (\led_flash_cnt[1837][3]~q\ & (\led_flash_cnt[1837][2]~q\ & \led_flash_cnt[1837][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1837][4]~q\,
	datab => \led_flash_cnt[1837][3]~q\,
	datac => \led_flash_cnt[1837][2]~q\,
	datad => \led_flash_cnt[1837][1]~q\,
	combout => \WideAnd1837~0_combout\);

-- Location: LCCOMB_X70_Y16_N20
\led_flash_cnt[1837][5]~52606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1837][5]~52606_combout\ = (\led_flash_cnt[1837][5]~q\ & (\led_flash_cnt[1837][4]~52605\ $ (GND))) # (!\led_flash_cnt[1837][5]~q\ & (!\led_flash_cnt[1837][4]~52605\ & VCC))
-- \led_flash_cnt[1837][5]~52607\ = CARRY((\led_flash_cnt[1837][5]~q\ & !\led_flash_cnt[1837][4]~52605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1837][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1837][4]~52605\,
	combout => \led_flash_cnt[1837][5]~52606_combout\,
	cout => \led_flash_cnt[1837][5]~52607\);

-- Location: FF_X70_Y16_N21
\led_flash_cnt[1837][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1837][5]~52606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1837][5]~q\);

-- Location: LCCOMB_X70_Y16_N22
\led_flash_cnt[1837][6]~52608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1837][6]~52608_combout\ = (\led_flash_cnt[1837][6]~q\ & (!\led_flash_cnt[1837][5]~52607\)) # (!\led_flash_cnt[1837][6]~q\ & ((\led_flash_cnt[1837][5]~52607\) # (GND)))
-- \led_flash_cnt[1837][6]~52609\ = CARRY((!\led_flash_cnt[1837][5]~52607\) # (!\led_flash_cnt[1837][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1837][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1837][5]~52607\,
	combout => \led_flash_cnt[1837][6]~52608_combout\,
	cout => \led_flash_cnt[1837][6]~52609\);

-- Location: FF_X70_Y16_N23
\led_flash_cnt[1837][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1837][6]~52608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1837][6]~q\);

-- Location: LCCOMB_X70_Y16_N24
\led_flash_cnt[1837][7]~52610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1837][7]~52610_combout\ = \led_flash_cnt[1837][6]~52609\ $ (!\led_flash_cnt[1837][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1837][7]~q\,
	cin => \led_flash_cnt[1837][6]~52609\,
	combout => \led_flash_cnt[1837][7]~52610_combout\);

-- Location: FF_X70_Y16_N25
\led_flash_cnt[1837][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1837][7]~52610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1837][7]~q\);

-- Location: LCCOMB_X70_Y16_N8
\WideAnd1837~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1837~1_combout\ = (\led_flash_cnt[1837][6]~q\ & \led_flash_cnt[1837][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1837][6]~q\,
	datad => \led_flash_cnt[1837][5]~q\,
	combout => \WideAnd1837~1_combout\);

-- Location: LCCOMB_X70_Y16_N30
WideAnd1837 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1837~combout\ = (\WideAnd1837~0_combout\ & (\led_flash_cnt[1837][7]~q\ & (\WideAnd1837~1_combout\ & \led_flash_cnt[1837][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1837~0_combout\,
	datab => \led_flash_cnt[1837][7]~q\,
	datac => \WideAnd1837~1_combout\,
	datad => \led_flash_cnt[1837][0]~q\,
	combout => \WideAnd1837~combout\);

-- Location: FF_X70_Y16_N31
\led_flash_cnt_ands[1837]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1837~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1837));

-- Location: LCCOMB_X70_Y16_N2
\led_flash_cnt[1836][0]~82476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1836][0]~82476_combout\ = !\led_flash_cnt[1836][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1836][0]~q\,
	combout => \led_flash_cnt[1836][0]~82476_combout\);

-- Location: FF_X70_Y16_N3
\led_flash_cnt[1836][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1836][0]~82476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1836][0]~q\);

-- Location: LCCOMB_X69_Y16_N18
\led_flash_cnt[1836][1]~52584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1836][1]~52584_combout\ = (\led_flash_cnt[1836][0]~q\ & (\led_flash_cnt[1836][1]~q\ $ (VCC))) # (!\led_flash_cnt[1836][0]~q\ & (\led_flash_cnt[1836][1]~q\ & VCC))
-- \led_flash_cnt[1836][1]~52585\ = CARRY((\led_flash_cnt[1836][0]~q\ & \led_flash_cnt[1836][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1836][0]~q\,
	datab => \led_flash_cnt[1836][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1836][1]~52584_combout\,
	cout => \led_flash_cnt[1836][1]~52585\);

-- Location: FF_X69_Y16_N19
\led_flash_cnt[1836][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1836][1]~52584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1836][1]~q\);

-- Location: LCCOMB_X69_Y16_N20
\led_flash_cnt[1836][2]~52586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1836][2]~52586_combout\ = (\led_flash_cnt[1836][2]~q\ & (!\led_flash_cnt[1836][1]~52585\)) # (!\led_flash_cnt[1836][2]~q\ & ((\led_flash_cnt[1836][1]~52585\) # (GND)))
-- \led_flash_cnt[1836][2]~52587\ = CARRY((!\led_flash_cnt[1836][1]~52585\) # (!\led_flash_cnt[1836][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1836][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1836][1]~52585\,
	combout => \led_flash_cnt[1836][2]~52586_combout\,
	cout => \led_flash_cnt[1836][2]~52587\);

-- Location: FF_X69_Y16_N21
\led_flash_cnt[1836][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1836][2]~52586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1836][2]~q\);

-- Location: LCCOMB_X69_Y16_N22
\led_flash_cnt[1836][3]~52588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1836][3]~52588_combout\ = (\led_flash_cnt[1836][3]~q\ & (\led_flash_cnt[1836][2]~52587\ $ (GND))) # (!\led_flash_cnt[1836][3]~q\ & (!\led_flash_cnt[1836][2]~52587\ & VCC))
-- \led_flash_cnt[1836][3]~52589\ = CARRY((\led_flash_cnt[1836][3]~q\ & !\led_flash_cnt[1836][2]~52587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1836][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1836][2]~52587\,
	combout => \led_flash_cnt[1836][3]~52588_combout\,
	cout => \led_flash_cnt[1836][3]~52589\);

-- Location: FF_X69_Y16_N23
\led_flash_cnt[1836][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1836][3]~52588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1836][3]~q\);

-- Location: LCCOMB_X69_Y16_N24
\led_flash_cnt[1836][4]~52590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1836][4]~52590_combout\ = (\led_flash_cnt[1836][4]~q\ & (!\led_flash_cnt[1836][3]~52589\)) # (!\led_flash_cnt[1836][4]~q\ & ((\led_flash_cnt[1836][3]~52589\) # (GND)))
-- \led_flash_cnt[1836][4]~52591\ = CARRY((!\led_flash_cnt[1836][3]~52589\) # (!\led_flash_cnt[1836][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1836][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1836][3]~52589\,
	combout => \led_flash_cnt[1836][4]~52590_combout\,
	cout => \led_flash_cnt[1836][4]~52591\);

-- Location: FF_X69_Y16_N25
\led_flash_cnt[1836][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1836][4]~52590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1836][4]~q\);

-- Location: LCCOMB_X70_Y16_N26
\WideAnd1836~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1836~0_combout\ = (\led_flash_cnt[1836][3]~q\ & (\led_flash_cnt[1836][4]~q\ & (\led_flash_cnt[1836][1]~q\ & \led_flash_cnt[1836][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1836][3]~q\,
	datab => \led_flash_cnt[1836][4]~q\,
	datac => \led_flash_cnt[1836][1]~q\,
	datad => \led_flash_cnt[1836][2]~q\,
	combout => \WideAnd1836~0_combout\);

-- Location: LCCOMB_X69_Y16_N26
\led_flash_cnt[1836][5]~52592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1836][5]~52592_combout\ = (\led_flash_cnt[1836][5]~q\ & (\led_flash_cnt[1836][4]~52591\ $ (GND))) # (!\led_flash_cnt[1836][5]~q\ & (!\led_flash_cnt[1836][4]~52591\ & VCC))
-- \led_flash_cnt[1836][5]~52593\ = CARRY((\led_flash_cnt[1836][5]~q\ & !\led_flash_cnt[1836][4]~52591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1836][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1836][4]~52591\,
	combout => \led_flash_cnt[1836][5]~52592_combout\,
	cout => \led_flash_cnt[1836][5]~52593\);

-- Location: FF_X69_Y16_N27
\led_flash_cnt[1836][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1836][5]~52592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1836][5]~q\);

-- Location: LCCOMB_X69_Y16_N28
\led_flash_cnt[1836][6]~52594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1836][6]~52594_combout\ = (\led_flash_cnt[1836][6]~q\ & (!\led_flash_cnt[1836][5]~52593\)) # (!\led_flash_cnt[1836][6]~q\ & ((\led_flash_cnt[1836][5]~52593\) # (GND)))
-- \led_flash_cnt[1836][6]~52595\ = CARRY((!\led_flash_cnt[1836][5]~52593\) # (!\led_flash_cnt[1836][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1836][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1836][5]~52593\,
	combout => \led_flash_cnt[1836][6]~52594_combout\,
	cout => \led_flash_cnt[1836][6]~52595\);

-- Location: FF_X69_Y16_N29
\led_flash_cnt[1836][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1836][6]~52594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1836][6]~q\);

-- Location: LCCOMB_X69_Y16_N30
\led_flash_cnt[1836][7]~52596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1836][7]~52596_combout\ = \led_flash_cnt[1836][7]~q\ $ (!\led_flash_cnt[1836][6]~52595\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1836][7]~q\,
	cin => \led_flash_cnt[1836][6]~52595\,
	combout => \led_flash_cnt[1836][7]~52596_combout\);

-- Location: FF_X69_Y16_N31
\led_flash_cnt[1836][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1836][7]~52596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1836][7]~q\);

-- Location: LCCOMB_X70_Y16_N4
\WideAnd1836~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1836~1_combout\ = (\led_flash_cnt[1836][5]~q\ & \led_flash_cnt[1836][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1836][5]~q\,
	datad => \led_flash_cnt[1836][6]~q\,
	combout => \WideAnd1836~1_combout\);

-- Location: LCCOMB_X70_Y16_N6
WideAnd1836 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1836~combout\ = (\WideAnd1836~0_combout\ & (\led_flash_cnt[1836][7]~q\ & (\WideAnd1836~1_combout\ & \led_flash_cnt[1836][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1836~0_combout\,
	datab => \led_flash_cnt[1836][7]~q\,
	datac => \WideAnd1836~1_combout\,
	datad => \led_flash_cnt[1836][0]~q\,
	combout => \WideAnd1836~combout\);

-- Location: FF_X70_Y16_N7
\led_flash_cnt_ands[1836]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1836~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1836));

-- Location: LCCOMB_X70_Y16_N28
\WideAnd4069~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4069~1_combout\ = (led_flash_cnt_ands(1837) & led_flash_cnt_ands(1836))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1837),
	datad => led_flash_cnt_ands(1836),
	combout => \WideAnd4069~1_combout\);

-- Location: LCCOMB_X71_Y12_N0
WideAnd4069 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4069~combout\ = (\WideAnd4069~0_combout\ & (led_flash_cnt_ands(1839) & (led_flash_cnt_ands(1838) & \WideAnd4069~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4069~0_combout\,
	datab => led_flash_cnt_ands(1839),
	datac => led_flash_cnt_ands(1838),
	datad => \WideAnd4069~1_combout\,
	combout => \WideAnd4069~combout\);

-- Location: FF_X71_Y12_N1
\led_flash_cnt_ands_1[229]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4069~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(229));

-- Location: LCCOMB_X63_Y12_N12
\WideAnd4348~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4348~1_combout\ = (led_flash_cnt_ands_1(228) & led_flash_cnt_ands_1(229))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(228),
	datad => led_flash_cnt_ands_1(229),
	combout => \WideAnd4348~1_combout\);

-- Location: LCCOMB_X32_Y16_N2
\led_flash_cnt[1846][0]~82486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1846][0]~82486_combout\ = !\led_flash_cnt[1846][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1846][0]~q\,
	combout => \led_flash_cnt[1846][0]~82486_combout\);

-- Location: FF_X32_Y16_N3
\led_flash_cnt[1846][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1846][0]~82486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1846][0]~q\);

-- Location: LCCOMB_X32_Y16_N10
\led_flash_cnt[1846][1]~52724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1846][1]~52724_combout\ = (\led_flash_cnt[1846][1]~q\ & (\led_flash_cnt[1846][0]~q\ $ (VCC))) # (!\led_flash_cnt[1846][1]~q\ & (\led_flash_cnt[1846][0]~q\ & VCC))
-- \led_flash_cnt[1846][1]~52725\ = CARRY((\led_flash_cnt[1846][1]~q\ & \led_flash_cnt[1846][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1846][1]~q\,
	datab => \led_flash_cnt[1846][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1846][1]~52724_combout\,
	cout => \led_flash_cnt[1846][1]~52725\);

-- Location: FF_X32_Y16_N11
\led_flash_cnt[1846][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1846][1]~52724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1846][1]~q\);

-- Location: LCCOMB_X32_Y16_N12
\led_flash_cnt[1846][2]~52726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1846][2]~52726_combout\ = (\led_flash_cnt[1846][2]~q\ & (!\led_flash_cnt[1846][1]~52725\)) # (!\led_flash_cnt[1846][2]~q\ & ((\led_flash_cnt[1846][1]~52725\) # (GND)))
-- \led_flash_cnt[1846][2]~52727\ = CARRY((!\led_flash_cnt[1846][1]~52725\) # (!\led_flash_cnt[1846][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1846][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1846][1]~52725\,
	combout => \led_flash_cnt[1846][2]~52726_combout\,
	cout => \led_flash_cnt[1846][2]~52727\);

-- Location: FF_X32_Y16_N13
\led_flash_cnt[1846][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1846][2]~52726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1846][2]~q\);

-- Location: LCCOMB_X32_Y16_N14
\led_flash_cnt[1846][3]~52728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1846][3]~52728_combout\ = (\led_flash_cnt[1846][3]~q\ & (\led_flash_cnt[1846][2]~52727\ $ (GND))) # (!\led_flash_cnt[1846][3]~q\ & (!\led_flash_cnt[1846][2]~52727\ & VCC))
-- \led_flash_cnt[1846][3]~52729\ = CARRY((\led_flash_cnt[1846][3]~q\ & !\led_flash_cnt[1846][2]~52727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1846][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1846][2]~52727\,
	combout => \led_flash_cnt[1846][3]~52728_combout\,
	cout => \led_flash_cnt[1846][3]~52729\);

-- Location: FF_X32_Y16_N15
\led_flash_cnt[1846][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1846][3]~52728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1846][3]~q\);

-- Location: LCCOMB_X32_Y16_N16
\led_flash_cnt[1846][4]~52730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1846][4]~52730_combout\ = (\led_flash_cnt[1846][4]~q\ & (!\led_flash_cnt[1846][3]~52729\)) # (!\led_flash_cnt[1846][4]~q\ & ((\led_flash_cnt[1846][3]~52729\) # (GND)))
-- \led_flash_cnt[1846][4]~52731\ = CARRY((!\led_flash_cnt[1846][3]~52729\) # (!\led_flash_cnt[1846][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1846][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1846][3]~52729\,
	combout => \led_flash_cnt[1846][4]~52730_combout\,
	cout => \led_flash_cnt[1846][4]~52731\);

-- Location: FF_X32_Y16_N17
\led_flash_cnt[1846][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1846][4]~52730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1846][4]~q\);

-- Location: LCCOMB_X32_Y16_N18
\led_flash_cnt[1846][5]~52732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1846][5]~52732_combout\ = (\led_flash_cnt[1846][5]~q\ & (\led_flash_cnt[1846][4]~52731\ $ (GND))) # (!\led_flash_cnt[1846][5]~q\ & (!\led_flash_cnt[1846][4]~52731\ & VCC))
-- \led_flash_cnt[1846][5]~52733\ = CARRY((\led_flash_cnt[1846][5]~q\ & !\led_flash_cnt[1846][4]~52731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1846][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1846][4]~52731\,
	combout => \led_flash_cnt[1846][5]~52732_combout\,
	cout => \led_flash_cnt[1846][5]~52733\);

-- Location: FF_X32_Y16_N19
\led_flash_cnt[1846][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1846][5]~52732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1846][5]~q\);

-- Location: LCCOMB_X32_Y16_N20
\led_flash_cnt[1846][6]~52734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1846][6]~52734_combout\ = (\led_flash_cnt[1846][6]~q\ & (!\led_flash_cnt[1846][5]~52733\)) # (!\led_flash_cnt[1846][6]~q\ & ((\led_flash_cnt[1846][5]~52733\) # (GND)))
-- \led_flash_cnt[1846][6]~52735\ = CARRY((!\led_flash_cnt[1846][5]~52733\) # (!\led_flash_cnt[1846][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1846][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1846][5]~52733\,
	combout => \led_flash_cnt[1846][6]~52734_combout\,
	cout => \led_flash_cnt[1846][6]~52735\);

-- Location: FF_X32_Y16_N21
\led_flash_cnt[1846][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1846][6]~52734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1846][6]~q\);

-- Location: LCCOMB_X32_Y16_N6
\WideAnd1846~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1846~1_combout\ = (\led_flash_cnt[1846][5]~q\ & \led_flash_cnt[1846][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1846][5]~q\,
	datad => \led_flash_cnt[1846][6]~q\,
	combout => \WideAnd1846~1_combout\);

-- Location: LCCOMB_X32_Y16_N22
\led_flash_cnt[1846][7]~52736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1846][7]~52736_combout\ = \led_flash_cnt[1846][7]~q\ $ (!\led_flash_cnt[1846][6]~52735\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1846][7]~q\,
	cin => \led_flash_cnt[1846][6]~52735\,
	combout => \led_flash_cnt[1846][7]~52736_combout\);

-- Location: FF_X32_Y16_N23
\led_flash_cnt[1846][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1846][7]~52736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1846][7]~q\);

-- Location: LCCOMB_X32_Y16_N24
\WideAnd1846~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1846~0_combout\ = (\led_flash_cnt[1846][1]~q\ & (\led_flash_cnt[1846][4]~q\ & (\led_flash_cnt[1846][3]~q\ & \led_flash_cnt[1846][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1846][1]~q\,
	datab => \led_flash_cnt[1846][4]~q\,
	datac => \led_flash_cnt[1846][3]~q\,
	datad => \led_flash_cnt[1846][2]~q\,
	combout => \WideAnd1846~0_combout\);

-- Location: LCCOMB_X32_Y16_N26
WideAnd1846 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1846~combout\ = (\WideAnd1846~1_combout\ & (\led_flash_cnt[1846][0]~q\ & (\led_flash_cnt[1846][7]~q\ & \WideAnd1846~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1846~1_combout\,
	datab => \led_flash_cnt[1846][0]~q\,
	datac => \led_flash_cnt[1846][7]~q\,
	datad => \WideAnd1846~0_combout\,
	combout => \WideAnd1846~combout\);

-- Location: FF_X32_Y16_N27
\led_flash_cnt_ands[1846]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1846~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1846));

-- Location: LCCOMB_X25_Y3_N30
\led_flash_cnt[1847][0]~82487\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1847][0]~82487_combout\ = !\led_flash_cnt[1847][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1847][0]~q\,
	combout => \led_flash_cnt[1847][0]~82487_combout\);

-- Location: FF_X25_Y3_N31
\led_flash_cnt[1847][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1847][0]~82487_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1847][0]~q\);

-- Location: LCCOMB_X25_Y3_N2
\led_flash_cnt[1847][1]~52738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1847][1]~52738_combout\ = (\led_flash_cnt[1847][0]~q\ & (\led_flash_cnt[1847][1]~q\ $ (VCC))) # (!\led_flash_cnt[1847][0]~q\ & (\led_flash_cnt[1847][1]~q\ & VCC))
-- \led_flash_cnt[1847][1]~52739\ = CARRY((\led_flash_cnt[1847][0]~q\ & \led_flash_cnt[1847][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1847][0]~q\,
	datab => \led_flash_cnt[1847][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1847][1]~52738_combout\,
	cout => \led_flash_cnt[1847][1]~52739\);

-- Location: FF_X25_Y3_N3
\led_flash_cnt[1847][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1847][1]~52738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1847][1]~q\);

-- Location: LCCOMB_X25_Y3_N4
\led_flash_cnt[1847][2]~52740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1847][2]~52740_combout\ = (\led_flash_cnt[1847][2]~q\ & (!\led_flash_cnt[1847][1]~52739\)) # (!\led_flash_cnt[1847][2]~q\ & ((\led_flash_cnt[1847][1]~52739\) # (GND)))
-- \led_flash_cnt[1847][2]~52741\ = CARRY((!\led_flash_cnt[1847][1]~52739\) # (!\led_flash_cnt[1847][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1847][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1847][1]~52739\,
	combout => \led_flash_cnt[1847][2]~52740_combout\,
	cout => \led_flash_cnt[1847][2]~52741\);

-- Location: FF_X25_Y3_N5
\led_flash_cnt[1847][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1847][2]~52740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1847][2]~q\);

-- Location: LCCOMB_X25_Y3_N6
\led_flash_cnt[1847][3]~52742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1847][3]~52742_combout\ = (\led_flash_cnt[1847][3]~q\ & (\led_flash_cnt[1847][2]~52741\ $ (GND))) # (!\led_flash_cnt[1847][3]~q\ & (!\led_flash_cnt[1847][2]~52741\ & VCC))
-- \led_flash_cnt[1847][3]~52743\ = CARRY((\led_flash_cnt[1847][3]~q\ & !\led_flash_cnt[1847][2]~52741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1847][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1847][2]~52741\,
	combout => \led_flash_cnt[1847][3]~52742_combout\,
	cout => \led_flash_cnt[1847][3]~52743\);

-- Location: FF_X25_Y3_N7
\led_flash_cnt[1847][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1847][3]~52742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1847][3]~q\);

-- Location: LCCOMB_X25_Y3_N8
\led_flash_cnt[1847][4]~52744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1847][4]~52744_combout\ = (\led_flash_cnt[1847][4]~q\ & (!\led_flash_cnt[1847][3]~52743\)) # (!\led_flash_cnt[1847][4]~q\ & ((\led_flash_cnt[1847][3]~52743\) # (GND)))
-- \led_flash_cnt[1847][4]~52745\ = CARRY((!\led_flash_cnt[1847][3]~52743\) # (!\led_flash_cnt[1847][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1847][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1847][3]~52743\,
	combout => \led_flash_cnt[1847][4]~52744_combout\,
	cout => \led_flash_cnt[1847][4]~52745\);

-- Location: FF_X25_Y3_N9
\led_flash_cnt[1847][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1847][4]~52744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1847][4]~q\);

-- Location: LCCOMB_X25_Y3_N10
\led_flash_cnt[1847][5]~52746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1847][5]~52746_combout\ = (\led_flash_cnt[1847][5]~q\ & (\led_flash_cnt[1847][4]~52745\ $ (GND))) # (!\led_flash_cnt[1847][5]~q\ & (!\led_flash_cnt[1847][4]~52745\ & VCC))
-- \led_flash_cnt[1847][5]~52747\ = CARRY((\led_flash_cnt[1847][5]~q\ & !\led_flash_cnt[1847][4]~52745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1847][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1847][4]~52745\,
	combout => \led_flash_cnt[1847][5]~52746_combout\,
	cout => \led_flash_cnt[1847][5]~52747\);

-- Location: FF_X25_Y3_N11
\led_flash_cnt[1847][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1847][5]~52746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1847][5]~q\);

-- Location: LCCOMB_X25_Y3_N12
\led_flash_cnt[1847][6]~52748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1847][6]~52748_combout\ = (\led_flash_cnt[1847][6]~q\ & (!\led_flash_cnt[1847][5]~52747\)) # (!\led_flash_cnt[1847][6]~q\ & ((\led_flash_cnt[1847][5]~52747\) # (GND)))
-- \led_flash_cnt[1847][6]~52749\ = CARRY((!\led_flash_cnt[1847][5]~52747\) # (!\led_flash_cnt[1847][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1847][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1847][5]~52747\,
	combout => \led_flash_cnt[1847][6]~52748_combout\,
	cout => \led_flash_cnt[1847][6]~52749\);

-- Location: FF_X25_Y3_N13
\led_flash_cnt[1847][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1847][6]~52748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1847][6]~q\);

-- Location: LCCOMB_X25_Y3_N24
\WideAnd1847~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1847~1_combout\ = (\led_flash_cnt[1847][6]~q\ & \led_flash_cnt[1847][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1847][6]~q\,
	datad => \led_flash_cnt[1847][5]~q\,
	combout => \WideAnd1847~1_combout\);

-- Location: LCCOMB_X25_Y3_N14
\led_flash_cnt[1847][7]~52750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1847][7]~52750_combout\ = \led_flash_cnt[1847][7]~q\ $ (!\led_flash_cnt[1847][6]~52749\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1847][7]~q\,
	cin => \led_flash_cnt[1847][6]~52749\,
	combout => \led_flash_cnt[1847][7]~52750_combout\);

-- Location: FF_X25_Y3_N15
\led_flash_cnt[1847][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1847][7]~52750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1847][7]~q\);

-- Location: LCCOMB_X25_Y3_N18
\WideAnd1847~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1847~0_combout\ = (\led_flash_cnt[1847][3]~q\ & (\led_flash_cnt[1847][4]~q\ & (\led_flash_cnt[1847][2]~q\ & \led_flash_cnt[1847][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1847][3]~q\,
	datab => \led_flash_cnt[1847][4]~q\,
	datac => \led_flash_cnt[1847][2]~q\,
	datad => \led_flash_cnt[1847][1]~q\,
	combout => \WideAnd1847~0_combout\);

-- Location: LCCOMB_X25_Y3_N26
WideAnd1847 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1847~combout\ = (\led_flash_cnt[1847][0]~q\ & (\WideAnd1847~1_combout\ & (\led_flash_cnt[1847][7]~q\ & \WideAnd1847~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1847][0]~q\,
	datab => \WideAnd1847~1_combout\,
	datac => \led_flash_cnt[1847][7]~q\,
	datad => \WideAnd1847~0_combout\,
	combout => \WideAnd1847~combout\);

-- Location: FF_X25_Y3_N27
\led_flash_cnt_ands[1847]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1847~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1847));

-- Location: LCCOMB_X66_Y32_N12
\led_flash_cnt[1842][0]~82482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1842][0]~82482_combout\ = !\led_flash_cnt[1842][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1842][0]~q\,
	combout => \led_flash_cnt[1842][0]~82482_combout\);

-- Location: FF_X66_Y32_N13
\led_flash_cnt[1842][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1842][0]~82482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1842][0]~q\);

-- Location: LCCOMB_X66_Y32_N14
\led_flash_cnt[1842][1]~52668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1842][1]~52668_combout\ = (\led_flash_cnt[1842][0]~q\ & (\led_flash_cnt[1842][1]~q\ $ (VCC))) # (!\led_flash_cnt[1842][0]~q\ & (\led_flash_cnt[1842][1]~q\ & VCC))
-- \led_flash_cnt[1842][1]~52669\ = CARRY((\led_flash_cnt[1842][0]~q\ & \led_flash_cnt[1842][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1842][0]~q\,
	datab => \led_flash_cnt[1842][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1842][1]~52668_combout\,
	cout => \led_flash_cnt[1842][1]~52669\);

-- Location: FF_X66_Y32_N15
\led_flash_cnt[1842][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1842][1]~52668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1842][1]~q\);

-- Location: LCCOMB_X66_Y32_N16
\led_flash_cnt[1842][2]~52670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1842][2]~52670_combout\ = (\led_flash_cnt[1842][2]~q\ & (!\led_flash_cnt[1842][1]~52669\)) # (!\led_flash_cnt[1842][2]~q\ & ((\led_flash_cnt[1842][1]~52669\) # (GND)))
-- \led_flash_cnt[1842][2]~52671\ = CARRY((!\led_flash_cnt[1842][1]~52669\) # (!\led_flash_cnt[1842][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1842][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1842][1]~52669\,
	combout => \led_flash_cnt[1842][2]~52670_combout\,
	cout => \led_flash_cnt[1842][2]~52671\);

-- Location: FF_X66_Y32_N17
\led_flash_cnt[1842][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1842][2]~52670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1842][2]~q\);

-- Location: LCCOMB_X66_Y32_N18
\led_flash_cnt[1842][3]~52672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1842][3]~52672_combout\ = (\led_flash_cnt[1842][3]~q\ & (\led_flash_cnt[1842][2]~52671\ $ (GND))) # (!\led_flash_cnt[1842][3]~q\ & (!\led_flash_cnt[1842][2]~52671\ & VCC))
-- \led_flash_cnt[1842][3]~52673\ = CARRY((\led_flash_cnt[1842][3]~q\ & !\led_flash_cnt[1842][2]~52671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1842][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1842][2]~52671\,
	combout => \led_flash_cnt[1842][3]~52672_combout\,
	cout => \led_flash_cnt[1842][3]~52673\);

-- Location: FF_X66_Y32_N19
\led_flash_cnt[1842][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1842][3]~52672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1842][3]~q\);

-- Location: LCCOMB_X66_Y32_N20
\led_flash_cnt[1842][4]~52674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1842][4]~52674_combout\ = (\led_flash_cnt[1842][4]~q\ & (!\led_flash_cnt[1842][3]~52673\)) # (!\led_flash_cnt[1842][4]~q\ & ((\led_flash_cnt[1842][3]~52673\) # (GND)))
-- \led_flash_cnt[1842][4]~52675\ = CARRY((!\led_flash_cnt[1842][3]~52673\) # (!\led_flash_cnt[1842][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1842][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1842][3]~52673\,
	combout => \led_flash_cnt[1842][4]~52674_combout\,
	cout => \led_flash_cnt[1842][4]~52675\);

-- Location: FF_X66_Y32_N21
\led_flash_cnt[1842][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1842][4]~52674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1842][4]~q\);

-- Location: LCCOMB_X66_Y32_N22
\led_flash_cnt[1842][5]~52676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1842][5]~52676_combout\ = (\led_flash_cnt[1842][5]~q\ & (\led_flash_cnt[1842][4]~52675\ $ (GND))) # (!\led_flash_cnt[1842][5]~q\ & (!\led_flash_cnt[1842][4]~52675\ & VCC))
-- \led_flash_cnt[1842][5]~52677\ = CARRY((\led_flash_cnt[1842][5]~q\ & !\led_flash_cnt[1842][4]~52675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1842][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1842][4]~52675\,
	combout => \led_flash_cnt[1842][5]~52676_combout\,
	cout => \led_flash_cnt[1842][5]~52677\);

-- Location: FF_X66_Y32_N23
\led_flash_cnt[1842][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1842][5]~52676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1842][5]~q\);

-- Location: LCCOMB_X66_Y32_N24
\led_flash_cnt[1842][6]~52678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1842][6]~52678_combout\ = (\led_flash_cnt[1842][6]~q\ & (!\led_flash_cnt[1842][5]~52677\)) # (!\led_flash_cnt[1842][6]~q\ & ((\led_flash_cnt[1842][5]~52677\) # (GND)))
-- \led_flash_cnt[1842][6]~52679\ = CARRY((!\led_flash_cnt[1842][5]~52677\) # (!\led_flash_cnt[1842][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1842][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1842][5]~52677\,
	combout => \led_flash_cnt[1842][6]~52678_combout\,
	cout => \led_flash_cnt[1842][6]~52679\);

-- Location: FF_X66_Y32_N25
\led_flash_cnt[1842][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1842][6]~52678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1842][6]~q\);

-- Location: LCCOMB_X66_Y32_N26
\led_flash_cnt[1842][7]~52680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1842][7]~52680_combout\ = \led_flash_cnt[1842][7]~q\ $ (!\led_flash_cnt[1842][6]~52679\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1842][7]~q\,
	cin => \led_flash_cnt[1842][6]~52679\,
	combout => \led_flash_cnt[1842][7]~52680_combout\);

-- Location: FF_X66_Y32_N27
\led_flash_cnt[1842][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1842][7]~52680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1842][7]~q\);

-- Location: LCCOMB_X66_Y32_N0
\WideAnd1842~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1842~1_combout\ = (\led_flash_cnt[1842][5]~q\ & \led_flash_cnt[1842][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1842][5]~q\,
	datad => \led_flash_cnt[1842][6]~q\,
	combout => \WideAnd1842~1_combout\);

-- Location: LCCOMB_X66_Y32_N4
\WideAnd1842~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1842~0_combout\ = (\led_flash_cnt[1842][4]~q\ & (\led_flash_cnt[1842][3]~q\ & (\led_flash_cnt[1842][1]~q\ & \led_flash_cnt[1842][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1842][4]~q\,
	datab => \led_flash_cnt[1842][3]~q\,
	datac => \led_flash_cnt[1842][1]~q\,
	datad => \led_flash_cnt[1842][2]~q\,
	combout => \WideAnd1842~0_combout\);

-- Location: LCCOMB_X66_Y32_N10
WideAnd1842 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1842~combout\ = (\led_flash_cnt[1842][7]~q\ & (\WideAnd1842~1_combout\ & (\WideAnd1842~0_combout\ & \led_flash_cnt[1842][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1842][7]~q\,
	datab => \WideAnd1842~1_combout\,
	datac => \WideAnd1842~0_combout\,
	datad => \led_flash_cnt[1842][0]~q\,
	combout => \WideAnd1842~combout\);

-- Location: FF_X66_Y32_N11
\led_flash_cnt_ands[1842]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1842~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1842));

-- Location: LCCOMB_X66_Y31_N12
\led_flash_cnt[1840][0]~82480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1840][0]~82480_combout\ = !\led_flash_cnt[1840][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1840][0]~q\,
	combout => \led_flash_cnt[1840][0]~82480_combout\);

-- Location: FF_X66_Y31_N13
\led_flash_cnt[1840][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1840][0]~82480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1840][0]~q\);

-- Location: LCCOMB_X66_Y31_N14
\led_flash_cnt[1840][1]~52640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1840][1]~52640_combout\ = (\led_flash_cnt[1840][0]~q\ & (\led_flash_cnt[1840][1]~q\ $ (VCC))) # (!\led_flash_cnt[1840][0]~q\ & (\led_flash_cnt[1840][1]~q\ & VCC))
-- \led_flash_cnt[1840][1]~52641\ = CARRY((\led_flash_cnt[1840][0]~q\ & \led_flash_cnt[1840][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1840][0]~q\,
	datab => \led_flash_cnt[1840][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1840][1]~52640_combout\,
	cout => \led_flash_cnt[1840][1]~52641\);

-- Location: FF_X66_Y31_N15
\led_flash_cnt[1840][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1840][1]~52640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1840][1]~q\);

-- Location: LCCOMB_X66_Y31_N16
\led_flash_cnt[1840][2]~52642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1840][2]~52642_combout\ = (\led_flash_cnt[1840][2]~q\ & (!\led_flash_cnt[1840][1]~52641\)) # (!\led_flash_cnt[1840][2]~q\ & ((\led_flash_cnt[1840][1]~52641\) # (GND)))
-- \led_flash_cnt[1840][2]~52643\ = CARRY((!\led_flash_cnt[1840][1]~52641\) # (!\led_flash_cnt[1840][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1840][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1840][1]~52641\,
	combout => \led_flash_cnt[1840][2]~52642_combout\,
	cout => \led_flash_cnt[1840][2]~52643\);

-- Location: FF_X66_Y31_N17
\led_flash_cnt[1840][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1840][2]~52642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1840][2]~q\);

-- Location: LCCOMB_X66_Y31_N18
\led_flash_cnt[1840][3]~52644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1840][3]~52644_combout\ = (\led_flash_cnt[1840][3]~q\ & (\led_flash_cnt[1840][2]~52643\ $ (GND))) # (!\led_flash_cnt[1840][3]~q\ & (!\led_flash_cnt[1840][2]~52643\ & VCC))
-- \led_flash_cnt[1840][3]~52645\ = CARRY((\led_flash_cnt[1840][3]~q\ & !\led_flash_cnt[1840][2]~52643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1840][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1840][2]~52643\,
	combout => \led_flash_cnt[1840][3]~52644_combout\,
	cout => \led_flash_cnt[1840][3]~52645\);

-- Location: FF_X66_Y31_N19
\led_flash_cnt[1840][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1840][3]~52644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1840][3]~q\);

-- Location: LCCOMB_X66_Y31_N20
\led_flash_cnt[1840][4]~52646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1840][4]~52646_combout\ = (\led_flash_cnt[1840][4]~q\ & (!\led_flash_cnt[1840][3]~52645\)) # (!\led_flash_cnt[1840][4]~q\ & ((\led_flash_cnt[1840][3]~52645\) # (GND)))
-- \led_flash_cnt[1840][4]~52647\ = CARRY((!\led_flash_cnt[1840][3]~52645\) # (!\led_flash_cnt[1840][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1840][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1840][3]~52645\,
	combout => \led_flash_cnt[1840][4]~52646_combout\,
	cout => \led_flash_cnt[1840][4]~52647\);

-- Location: FF_X66_Y31_N21
\led_flash_cnt[1840][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1840][4]~52646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1840][4]~q\);

-- Location: LCCOMB_X66_Y31_N22
\led_flash_cnt[1840][5]~52648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1840][5]~52648_combout\ = (\led_flash_cnt[1840][5]~q\ & (\led_flash_cnt[1840][4]~52647\ $ (GND))) # (!\led_flash_cnt[1840][5]~q\ & (!\led_flash_cnt[1840][4]~52647\ & VCC))
-- \led_flash_cnt[1840][5]~52649\ = CARRY((\led_flash_cnt[1840][5]~q\ & !\led_flash_cnt[1840][4]~52647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1840][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1840][4]~52647\,
	combout => \led_flash_cnt[1840][5]~52648_combout\,
	cout => \led_flash_cnt[1840][5]~52649\);

-- Location: FF_X66_Y31_N23
\led_flash_cnt[1840][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1840][5]~52648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1840][5]~q\);

-- Location: LCCOMB_X66_Y31_N24
\led_flash_cnt[1840][6]~52650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1840][6]~52650_combout\ = (\led_flash_cnt[1840][6]~q\ & (!\led_flash_cnt[1840][5]~52649\)) # (!\led_flash_cnt[1840][6]~q\ & ((\led_flash_cnt[1840][5]~52649\) # (GND)))
-- \led_flash_cnt[1840][6]~52651\ = CARRY((!\led_flash_cnt[1840][5]~52649\) # (!\led_flash_cnt[1840][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1840][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1840][5]~52649\,
	combout => \led_flash_cnt[1840][6]~52650_combout\,
	cout => \led_flash_cnt[1840][6]~52651\);

-- Location: FF_X66_Y31_N25
\led_flash_cnt[1840][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1840][6]~52650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1840][6]~q\);

-- Location: LCCOMB_X66_Y31_N10
\WideAnd1840~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1840~1_combout\ = (\led_flash_cnt[1840][5]~q\ & \led_flash_cnt[1840][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1840][5]~q\,
	datad => \led_flash_cnt[1840][6]~q\,
	combout => \WideAnd1840~1_combout\);

-- Location: LCCOMB_X66_Y31_N28
\WideAnd1840~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1840~0_combout\ = (\led_flash_cnt[1840][4]~q\ & (\led_flash_cnt[1840][3]~q\ & (\led_flash_cnt[1840][1]~q\ & \led_flash_cnt[1840][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1840][4]~q\,
	datab => \led_flash_cnt[1840][3]~q\,
	datac => \led_flash_cnt[1840][1]~q\,
	datad => \led_flash_cnt[1840][2]~q\,
	combout => \WideAnd1840~0_combout\);

-- Location: LCCOMB_X66_Y31_N26
\led_flash_cnt[1840][7]~52652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1840][7]~52652_combout\ = \led_flash_cnt[1840][7]~q\ $ (!\led_flash_cnt[1840][6]~52651\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1840][7]~q\,
	cin => \led_flash_cnt[1840][6]~52651\,
	combout => \led_flash_cnt[1840][7]~52652_combout\);

-- Location: FF_X66_Y31_N27
\led_flash_cnt[1840][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1840][7]~52652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1840][7]~q\);

-- Location: LCCOMB_X66_Y31_N0
WideAnd1840 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1840~combout\ = (\WideAnd1840~1_combout\ & (\WideAnd1840~0_combout\ & (\led_flash_cnt[1840][7]~q\ & \led_flash_cnt[1840][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1840~1_combout\,
	datab => \WideAnd1840~0_combout\,
	datac => \led_flash_cnt[1840][7]~q\,
	datad => \led_flash_cnt[1840][0]~q\,
	combout => \WideAnd1840~combout\);

-- Location: FF_X66_Y31_N1
\led_flash_cnt_ands[1840]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1840~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1840));

-- Location: LCCOMB_X66_Y32_N2
\led_flash_cnt[1843][0]~82483\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1843][0]~82483_combout\ = !\led_flash_cnt[1843][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1843][0]~q\,
	combout => \led_flash_cnt[1843][0]~82483_combout\);

-- Location: FF_X66_Y32_N3
\led_flash_cnt[1843][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1843][0]~82483_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1843][0]~q\);

-- Location: LCCOMB_X65_Y32_N18
\led_flash_cnt[1843][1]~52682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1843][1]~52682_combout\ = (\led_flash_cnt[1843][0]~q\ & (\led_flash_cnt[1843][1]~q\ $ (VCC))) # (!\led_flash_cnt[1843][0]~q\ & (\led_flash_cnt[1843][1]~q\ & VCC))
-- \led_flash_cnt[1843][1]~52683\ = CARRY((\led_flash_cnt[1843][0]~q\ & \led_flash_cnt[1843][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1843][0]~q\,
	datab => \led_flash_cnt[1843][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1843][1]~52682_combout\,
	cout => \led_flash_cnt[1843][1]~52683\);

-- Location: FF_X65_Y32_N19
\led_flash_cnt[1843][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1843][1]~52682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1843][1]~q\);

-- Location: LCCOMB_X65_Y32_N20
\led_flash_cnt[1843][2]~52684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1843][2]~52684_combout\ = (\led_flash_cnt[1843][2]~q\ & (!\led_flash_cnt[1843][1]~52683\)) # (!\led_flash_cnt[1843][2]~q\ & ((\led_flash_cnt[1843][1]~52683\) # (GND)))
-- \led_flash_cnt[1843][2]~52685\ = CARRY((!\led_flash_cnt[1843][1]~52683\) # (!\led_flash_cnt[1843][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1843][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1843][1]~52683\,
	combout => \led_flash_cnt[1843][2]~52684_combout\,
	cout => \led_flash_cnt[1843][2]~52685\);

-- Location: FF_X65_Y32_N21
\led_flash_cnt[1843][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1843][2]~52684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1843][2]~q\);

-- Location: LCCOMB_X65_Y32_N22
\led_flash_cnt[1843][3]~52686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1843][3]~52686_combout\ = (\led_flash_cnt[1843][3]~q\ & (\led_flash_cnt[1843][2]~52685\ $ (GND))) # (!\led_flash_cnt[1843][3]~q\ & (!\led_flash_cnt[1843][2]~52685\ & VCC))
-- \led_flash_cnt[1843][3]~52687\ = CARRY((\led_flash_cnt[1843][3]~q\ & !\led_flash_cnt[1843][2]~52685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1843][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1843][2]~52685\,
	combout => \led_flash_cnt[1843][3]~52686_combout\,
	cout => \led_flash_cnt[1843][3]~52687\);

-- Location: FF_X65_Y32_N23
\led_flash_cnt[1843][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1843][3]~52686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1843][3]~q\);

-- Location: LCCOMB_X65_Y32_N24
\led_flash_cnt[1843][4]~52688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1843][4]~52688_combout\ = (\led_flash_cnt[1843][4]~q\ & (!\led_flash_cnt[1843][3]~52687\)) # (!\led_flash_cnt[1843][4]~q\ & ((\led_flash_cnt[1843][3]~52687\) # (GND)))
-- \led_flash_cnt[1843][4]~52689\ = CARRY((!\led_flash_cnt[1843][3]~52687\) # (!\led_flash_cnt[1843][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1843][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1843][3]~52687\,
	combout => \led_flash_cnt[1843][4]~52688_combout\,
	cout => \led_flash_cnt[1843][4]~52689\);

-- Location: FF_X65_Y32_N25
\led_flash_cnt[1843][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1843][4]~52688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1843][4]~q\);

-- Location: LCCOMB_X65_Y32_N26
\led_flash_cnt[1843][5]~52690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1843][5]~52690_combout\ = (\led_flash_cnt[1843][5]~q\ & (\led_flash_cnt[1843][4]~52689\ $ (GND))) # (!\led_flash_cnt[1843][5]~q\ & (!\led_flash_cnt[1843][4]~52689\ & VCC))
-- \led_flash_cnt[1843][5]~52691\ = CARRY((\led_flash_cnt[1843][5]~q\ & !\led_flash_cnt[1843][4]~52689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1843][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1843][4]~52689\,
	combout => \led_flash_cnt[1843][5]~52690_combout\,
	cout => \led_flash_cnt[1843][5]~52691\);

-- Location: FF_X65_Y32_N27
\led_flash_cnt[1843][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1843][5]~52690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1843][5]~q\);

-- Location: LCCOMB_X65_Y32_N28
\led_flash_cnt[1843][6]~52692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1843][6]~52692_combout\ = (\led_flash_cnt[1843][6]~q\ & (!\led_flash_cnt[1843][5]~52691\)) # (!\led_flash_cnt[1843][6]~q\ & ((\led_flash_cnt[1843][5]~52691\) # (GND)))
-- \led_flash_cnt[1843][6]~52693\ = CARRY((!\led_flash_cnt[1843][5]~52691\) # (!\led_flash_cnt[1843][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1843][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1843][5]~52691\,
	combout => \led_flash_cnt[1843][6]~52692_combout\,
	cout => \led_flash_cnt[1843][6]~52693\);

-- Location: FF_X65_Y32_N29
\led_flash_cnt[1843][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1843][6]~52692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1843][6]~q\);

-- Location: LCCOMB_X66_Y32_N30
\WideAnd1843~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1843~1_combout\ = (\led_flash_cnt[1843][5]~q\ & \led_flash_cnt[1843][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1843][5]~q\,
	datad => \led_flash_cnt[1843][6]~q\,
	combout => \WideAnd1843~1_combout\);

-- Location: LCCOMB_X65_Y32_N30
\led_flash_cnt[1843][7]~52694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1843][7]~52694_combout\ = \led_flash_cnt[1843][7]~q\ $ (!\led_flash_cnt[1843][6]~52693\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1843][7]~q\,
	cin => \led_flash_cnt[1843][6]~52693\,
	combout => \led_flash_cnt[1843][7]~52694_combout\);

-- Location: FF_X65_Y32_N31
\led_flash_cnt[1843][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1843][7]~52694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1843][7]~q\);

-- Location: LCCOMB_X65_Y32_N16
\WideAnd1843~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1843~0_combout\ = (\led_flash_cnt[1843][2]~q\ & (\led_flash_cnt[1843][4]~q\ & (\led_flash_cnt[1843][3]~q\ & \led_flash_cnt[1843][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1843][2]~q\,
	datab => \led_flash_cnt[1843][4]~q\,
	datac => \led_flash_cnt[1843][3]~q\,
	datad => \led_flash_cnt[1843][1]~q\,
	combout => \WideAnd1843~0_combout\);

-- Location: LCCOMB_X66_Y32_N8
WideAnd1843 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1843~combout\ = (\WideAnd1843~1_combout\ & (\led_flash_cnt[1843][7]~q\ & (\WideAnd1843~0_combout\ & \led_flash_cnt[1843][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1843~1_combout\,
	datab => \led_flash_cnt[1843][7]~q\,
	datac => \WideAnd1843~0_combout\,
	datad => \led_flash_cnt[1843][0]~q\,
	combout => \WideAnd1843~combout\);

-- Location: FF_X66_Y32_N9
\led_flash_cnt_ands[1843]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1843~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1843));

-- Location: LCCOMB_X67_Y32_N10
\led_flash_cnt[1841][0]~82481\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1841][0]~82481_combout\ = !\led_flash_cnt[1841][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1841][0]~q\,
	combout => \led_flash_cnt[1841][0]~82481_combout\);

-- Location: FF_X67_Y32_N11
\led_flash_cnt[1841][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1841][0]~82481_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1841][0]~q\);

-- Location: LCCOMB_X67_Y32_N16
\led_flash_cnt[1841][1]~52654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1841][1]~52654_combout\ = (\led_flash_cnt[1841][0]~q\ & (\led_flash_cnt[1841][1]~q\ $ (VCC))) # (!\led_flash_cnt[1841][0]~q\ & (\led_flash_cnt[1841][1]~q\ & VCC))
-- \led_flash_cnt[1841][1]~52655\ = CARRY((\led_flash_cnt[1841][0]~q\ & \led_flash_cnt[1841][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1841][0]~q\,
	datab => \led_flash_cnt[1841][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1841][1]~52654_combout\,
	cout => \led_flash_cnt[1841][1]~52655\);

-- Location: FF_X67_Y32_N17
\led_flash_cnt[1841][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1841][1]~52654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1841][1]~q\);

-- Location: LCCOMB_X67_Y32_N18
\led_flash_cnt[1841][2]~52656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1841][2]~52656_combout\ = (\led_flash_cnt[1841][2]~q\ & (!\led_flash_cnt[1841][1]~52655\)) # (!\led_flash_cnt[1841][2]~q\ & ((\led_flash_cnt[1841][1]~52655\) # (GND)))
-- \led_flash_cnt[1841][2]~52657\ = CARRY((!\led_flash_cnt[1841][1]~52655\) # (!\led_flash_cnt[1841][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1841][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1841][1]~52655\,
	combout => \led_flash_cnt[1841][2]~52656_combout\,
	cout => \led_flash_cnt[1841][2]~52657\);

-- Location: FF_X67_Y32_N19
\led_flash_cnt[1841][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1841][2]~52656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1841][2]~q\);

-- Location: LCCOMB_X67_Y32_N20
\led_flash_cnt[1841][3]~52658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1841][3]~52658_combout\ = (\led_flash_cnt[1841][3]~q\ & (\led_flash_cnt[1841][2]~52657\ $ (GND))) # (!\led_flash_cnt[1841][3]~q\ & (!\led_flash_cnt[1841][2]~52657\ & VCC))
-- \led_flash_cnt[1841][3]~52659\ = CARRY((\led_flash_cnt[1841][3]~q\ & !\led_flash_cnt[1841][2]~52657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1841][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1841][2]~52657\,
	combout => \led_flash_cnt[1841][3]~52658_combout\,
	cout => \led_flash_cnt[1841][3]~52659\);

-- Location: FF_X67_Y32_N21
\led_flash_cnt[1841][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1841][3]~52658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1841][3]~q\);

-- Location: LCCOMB_X67_Y32_N22
\led_flash_cnt[1841][4]~52660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1841][4]~52660_combout\ = (\led_flash_cnt[1841][4]~q\ & (!\led_flash_cnt[1841][3]~52659\)) # (!\led_flash_cnt[1841][4]~q\ & ((\led_flash_cnt[1841][3]~52659\) # (GND)))
-- \led_flash_cnt[1841][4]~52661\ = CARRY((!\led_flash_cnt[1841][3]~52659\) # (!\led_flash_cnt[1841][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1841][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1841][3]~52659\,
	combout => \led_flash_cnt[1841][4]~52660_combout\,
	cout => \led_flash_cnt[1841][4]~52661\);

-- Location: FF_X67_Y32_N23
\led_flash_cnt[1841][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1841][4]~52660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1841][4]~q\);

-- Location: LCCOMB_X67_Y32_N24
\led_flash_cnt[1841][5]~52662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1841][5]~52662_combout\ = (\led_flash_cnt[1841][5]~q\ & (\led_flash_cnt[1841][4]~52661\ $ (GND))) # (!\led_flash_cnt[1841][5]~q\ & (!\led_flash_cnt[1841][4]~52661\ & VCC))
-- \led_flash_cnt[1841][5]~52663\ = CARRY((\led_flash_cnt[1841][5]~q\ & !\led_flash_cnt[1841][4]~52661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1841][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1841][4]~52661\,
	combout => \led_flash_cnt[1841][5]~52662_combout\,
	cout => \led_flash_cnt[1841][5]~52663\);

-- Location: FF_X67_Y32_N25
\led_flash_cnt[1841][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1841][5]~52662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1841][5]~q\);

-- Location: LCCOMB_X67_Y32_N26
\led_flash_cnt[1841][6]~52664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1841][6]~52664_combout\ = (\led_flash_cnt[1841][6]~q\ & (!\led_flash_cnt[1841][5]~52663\)) # (!\led_flash_cnt[1841][6]~q\ & ((\led_flash_cnt[1841][5]~52663\) # (GND)))
-- \led_flash_cnt[1841][6]~52665\ = CARRY((!\led_flash_cnt[1841][5]~52663\) # (!\led_flash_cnt[1841][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1841][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1841][5]~52663\,
	combout => \led_flash_cnt[1841][6]~52664_combout\,
	cout => \led_flash_cnt[1841][6]~52665\);

-- Location: FF_X67_Y32_N27
\led_flash_cnt[1841][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1841][6]~52664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1841][6]~q\);

-- Location: LCCOMB_X67_Y32_N28
\led_flash_cnt[1841][7]~52666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1841][7]~52666_combout\ = \led_flash_cnt[1841][6]~52665\ $ (!\led_flash_cnt[1841][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1841][7]~q\,
	cin => \led_flash_cnt[1841][6]~52665\,
	combout => \led_flash_cnt[1841][7]~52666_combout\);

-- Location: FF_X67_Y32_N29
\led_flash_cnt[1841][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1841][7]~52666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1841][7]~q\);

-- Location: LCCOMB_X67_Y32_N4
\WideAnd1841~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1841~1_combout\ = (\led_flash_cnt[1841][6]~q\ & \led_flash_cnt[1841][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1841][6]~q\,
	datad => \led_flash_cnt[1841][5]~q\,
	combout => \WideAnd1841~1_combout\);

-- Location: LCCOMB_X67_Y32_N12
\WideAnd1841~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1841~0_combout\ = (\led_flash_cnt[1841][3]~q\ & (\led_flash_cnt[1841][2]~q\ & (\led_flash_cnt[1841][4]~q\ & \led_flash_cnt[1841][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1841][3]~q\,
	datab => \led_flash_cnt[1841][2]~q\,
	datac => \led_flash_cnt[1841][4]~q\,
	datad => \led_flash_cnt[1841][1]~q\,
	combout => \WideAnd1841~0_combout\);

-- Location: LCCOMB_X67_Y32_N2
WideAnd1841 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1841~combout\ = (\led_flash_cnt[1841][0]~q\ & (\led_flash_cnt[1841][7]~q\ & (\WideAnd1841~1_combout\ & \WideAnd1841~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1841][0]~q\,
	datab => \led_flash_cnt[1841][7]~q\,
	datac => \WideAnd1841~1_combout\,
	datad => \WideAnd1841~0_combout\,
	combout => \WideAnd1841~combout\);

-- Location: FF_X67_Y32_N3
\led_flash_cnt_ands[1841]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1841~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1841));

-- Location: LCCOMB_X66_Y32_N28
\WideAnd4070~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4070~0_combout\ = (led_flash_cnt_ands(1842) & (led_flash_cnt_ands(1840) & (led_flash_cnt_ands(1843) & led_flash_cnt_ands(1841))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1842),
	datab => led_flash_cnt_ands(1840),
	datac => led_flash_cnt_ands(1843),
	datad => led_flash_cnt_ands(1841),
	combout => \WideAnd4070~0_combout\);

-- Location: LCCOMB_X47_Y13_N12
\led_flash_cnt[1845][0]~82485\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1845][0]~82485_combout\ = !\led_flash_cnt[1845][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1845][0]~q\,
	combout => \led_flash_cnt[1845][0]~82485_combout\);

-- Location: FF_X47_Y13_N13
\led_flash_cnt[1845][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1845][0]~82485_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1845][0]~q\);

-- Location: LCCOMB_X47_Y13_N18
\led_flash_cnt[1845][1]~52710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1845][1]~52710_combout\ = (\led_flash_cnt[1845][0]~q\ & (\led_flash_cnt[1845][1]~q\ $ (VCC))) # (!\led_flash_cnt[1845][0]~q\ & (\led_flash_cnt[1845][1]~q\ & VCC))
-- \led_flash_cnt[1845][1]~52711\ = CARRY((\led_flash_cnt[1845][0]~q\ & \led_flash_cnt[1845][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1845][0]~q\,
	datab => \led_flash_cnt[1845][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1845][1]~52710_combout\,
	cout => \led_flash_cnt[1845][1]~52711\);

-- Location: FF_X47_Y13_N19
\led_flash_cnt[1845][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1845][1]~52710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1845][1]~q\);

-- Location: LCCOMB_X47_Y13_N20
\led_flash_cnt[1845][2]~52712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1845][2]~52712_combout\ = (\led_flash_cnt[1845][2]~q\ & (!\led_flash_cnt[1845][1]~52711\)) # (!\led_flash_cnt[1845][2]~q\ & ((\led_flash_cnt[1845][1]~52711\) # (GND)))
-- \led_flash_cnt[1845][2]~52713\ = CARRY((!\led_flash_cnt[1845][1]~52711\) # (!\led_flash_cnt[1845][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1845][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1845][1]~52711\,
	combout => \led_flash_cnt[1845][2]~52712_combout\,
	cout => \led_flash_cnt[1845][2]~52713\);

-- Location: FF_X47_Y13_N21
\led_flash_cnt[1845][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1845][2]~52712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1845][2]~q\);

-- Location: LCCOMB_X47_Y13_N22
\led_flash_cnt[1845][3]~52714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1845][3]~52714_combout\ = (\led_flash_cnt[1845][3]~q\ & (\led_flash_cnt[1845][2]~52713\ $ (GND))) # (!\led_flash_cnt[1845][3]~q\ & (!\led_flash_cnt[1845][2]~52713\ & VCC))
-- \led_flash_cnt[1845][3]~52715\ = CARRY((\led_flash_cnt[1845][3]~q\ & !\led_flash_cnt[1845][2]~52713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1845][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1845][2]~52713\,
	combout => \led_flash_cnt[1845][3]~52714_combout\,
	cout => \led_flash_cnt[1845][3]~52715\);

-- Location: FF_X47_Y13_N23
\led_flash_cnt[1845][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1845][3]~52714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1845][3]~q\);

-- Location: LCCOMB_X47_Y13_N24
\led_flash_cnt[1845][4]~52716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1845][4]~52716_combout\ = (\led_flash_cnt[1845][4]~q\ & (!\led_flash_cnt[1845][3]~52715\)) # (!\led_flash_cnt[1845][4]~q\ & ((\led_flash_cnt[1845][3]~52715\) # (GND)))
-- \led_flash_cnt[1845][4]~52717\ = CARRY((!\led_flash_cnt[1845][3]~52715\) # (!\led_flash_cnt[1845][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1845][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1845][3]~52715\,
	combout => \led_flash_cnt[1845][4]~52716_combout\,
	cout => \led_flash_cnt[1845][4]~52717\);

-- Location: FF_X47_Y13_N25
\led_flash_cnt[1845][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1845][4]~52716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1845][4]~q\);

-- Location: LCCOMB_X47_Y13_N26
\led_flash_cnt[1845][5]~52718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1845][5]~52718_combout\ = (\led_flash_cnt[1845][5]~q\ & (\led_flash_cnt[1845][4]~52717\ $ (GND))) # (!\led_flash_cnt[1845][5]~q\ & (!\led_flash_cnt[1845][4]~52717\ & VCC))
-- \led_flash_cnt[1845][5]~52719\ = CARRY((\led_flash_cnt[1845][5]~q\ & !\led_flash_cnt[1845][4]~52717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1845][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1845][4]~52717\,
	combout => \led_flash_cnt[1845][5]~52718_combout\,
	cout => \led_flash_cnt[1845][5]~52719\);

-- Location: FF_X47_Y13_N27
\led_flash_cnt[1845][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1845][5]~52718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1845][5]~q\);

-- Location: LCCOMB_X47_Y13_N28
\led_flash_cnt[1845][6]~52720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1845][6]~52720_combout\ = (\led_flash_cnt[1845][6]~q\ & (!\led_flash_cnt[1845][5]~52719\)) # (!\led_flash_cnt[1845][6]~q\ & ((\led_flash_cnt[1845][5]~52719\) # (GND)))
-- \led_flash_cnt[1845][6]~52721\ = CARRY((!\led_flash_cnt[1845][5]~52719\) # (!\led_flash_cnt[1845][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1845][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1845][5]~52719\,
	combout => \led_flash_cnt[1845][6]~52720_combout\,
	cout => \led_flash_cnt[1845][6]~52721\);

-- Location: FF_X47_Y13_N29
\led_flash_cnt[1845][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1845][6]~52720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1845][6]~q\);

-- Location: LCCOMB_X47_Y13_N14
\WideAnd1845~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1845~1_combout\ = (\led_flash_cnt[1845][5]~q\ & \led_flash_cnt[1845][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1845][5]~q\,
	datad => \led_flash_cnt[1845][6]~q\,
	combout => \WideAnd1845~1_combout\);

-- Location: LCCOMB_X47_Y13_N30
\led_flash_cnt[1845][7]~52722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1845][7]~52722_combout\ = \led_flash_cnt[1845][7]~q\ $ (!\led_flash_cnt[1845][6]~52721\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1845][7]~q\,
	cin => \led_flash_cnt[1845][6]~52721\,
	combout => \led_flash_cnt[1845][7]~52722_combout\);

-- Location: FF_X47_Y13_N31
\led_flash_cnt[1845][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1845][7]~52722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1845][7]~q\);

-- Location: LCCOMB_X47_Y13_N10
\WideAnd1845~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1845~0_combout\ = (\led_flash_cnt[1845][4]~q\ & (\led_flash_cnt[1845][2]~q\ & (\led_flash_cnt[1845][3]~q\ & \led_flash_cnt[1845][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1845][4]~q\,
	datab => \led_flash_cnt[1845][2]~q\,
	datac => \led_flash_cnt[1845][3]~q\,
	datad => \led_flash_cnt[1845][1]~q\,
	combout => \WideAnd1845~0_combout\);

-- Location: LCCOMB_X47_Y13_N4
WideAnd1845 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1845~combout\ = (\led_flash_cnt[1845][0]~q\ & (\WideAnd1845~1_combout\ & (\led_flash_cnt[1845][7]~q\ & \WideAnd1845~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1845][0]~q\,
	datab => \WideAnd1845~1_combout\,
	datac => \led_flash_cnt[1845][7]~q\,
	datad => \WideAnd1845~0_combout\,
	combout => \WideAnd1845~combout\);

-- Location: FF_X47_Y13_N5
\led_flash_cnt_ands[1845]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1845~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1845));

-- Location: LCCOMB_X47_Y5_N12
\led_flash_cnt[1844][0]~82484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1844][0]~82484_combout\ = !\led_flash_cnt[1844][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1844][0]~q\,
	combout => \led_flash_cnt[1844][0]~82484_combout\);

-- Location: FF_X47_Y5_N13
\led_flash_cnt[1844][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1844][0]~82484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1844][0]~q\);

-- Location: LCCOMB_X47_Y5_N18
\led_flash_cnt[1844][1]~52696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1844][1]~52696_combout\ = (\led_flash_cnt[1844][0]~q\ & (\led_flash_cnt[1844][1]~q\ $ (VCC))) # (!\led_flash_cnt[1844][0]~q\ & (\led_flash_cnt[1844][1]~q\ & VCC))
-- \led_flash_cnt[1844][1]~52697\ = CARRY((\led_flash_cnt[1844][0]~q\ & \led_flash_cnt[1844][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1844][0]~q\,
	datab => \led_flash_cnt[1844][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1844][1]~52696_combout\,
	cout => \led_flash_cnt[1844][1]~52697\);

-- Location: FF_X47_Y5_N19
\led_flash_cnt[1844][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1844][1]~52696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1844][1]~q\);

-- Location: LCCOMB_X47_Y5_N20
\led_flash_cnt[1844][2]~52698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1844][2]~52698_combout\ = (\led_flash_cnt[1844][2]~q\ & (!\led_flash_cnt[1844][1]~52697\)) # (!\led_flash_cnt[1844][2]~q\ & ((\led_flash_cnt[1844][1]~52697\) # (GND)))
-- \led_flash_cnt[1844][2]~52699\ = CARRY((!\led_flash_cnt[1844][1]~52697\) # (!\led_flash_cnt[1844][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1844][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1844][1]~52697\,
	combout => \led_flash_cnt[1844][2]~52698_combout\,
	cout => \led_flash_cnt[1844][2]~52699\);

-- Location: FF_X47_Y5_N21
\led_flash_cnt[1844][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1844][2]~52698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1844][2]~q\);

-- Location: LCCOMB_X47_Y5_N22
\led_flash_cnt[1844][3]~52700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1844][3]~52700_combout\ = (\led_flash_cnt[1844][3]~q\ & (\led_flash_cnt[1844][2]~52699\ $ (GND))) # (!\led_flash_cnt[1844][3]~q\ & (!\led_flash_cnt[1844][2]~52699\ & VCC))
-- \led_flash_cnt[1844][3]~52701\ = CARRY((\led_flash_cnt[1844][3]~q\ & !\led_flash_cnt[1844][2]~52699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1844][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1844][2]~52699\,
	combout => \led_flash_cnt[1844][3]~52700_combout\,
	cout => \led_flash_cnt[1844][3]~52701\);

-- Location: FF_X47_Y5_N23
\led_flash_cnt[1844][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1844][3]~52700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1844][3]~q\);

-- Location: LCCOMB_X47_Y5_N24
\led_flash_cnt[1844][4]~52702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1844][4]~52702_combout\ = (\led_flash_cnt[1844][4]~q\ & (!\led_flash_cnt[1844][3]~52701\)) # (!\led_flash_cnt[1844][4]~q\ & ((\led_flash_cnt[1844][3]~52701\) # (GND)))
-- \led_flash_cnt[1844][4]~52703\ = CARRY((!\led_flash_cnt[1844][3]~52701\) # (!\led_flash_cnt[1844][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1844][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1844][3]~52701\,
	combout => \led_flash_cnt[1844][4]~52702_combout\,
	cout => \led_flash_cnt[1844][4]~52703\);

-- Location: FF_X47_Y5_N25
\led_flash_cnt[1844][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1844][4]~52702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1844][4]~q\);

-- Location: LCCOMB_X47_Y5_N26
\led_flash_cnt[1844][5]~52704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1844][5]~52704_combout\ = (\led_flash_cnt[1844][5]~q\ & (\led_flash_cnt[1844][4]~52703\ $ (GND))) # (!\led_flash_cnt[1844][5]~q\ & (!\led_flash_cnt[1844][4]~52703\ & VCC))
-- \led_flash_cnt[1844][5]~52705\ = CARRY((\led_flash_cnt[1844][5]~q\ & !\led_flash_cnt[1844][4]~52703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1844][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1844][4]~52703\,
	combout => \led_flash_cnt[1844][5]~52704_combout\,
	cout => \led_flash_cnt[1844][5]~52705\);

-- Location: FF_X47_Y5_N27
\led_flash_cnt[1844][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1844][5]~52704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1844][5]~q\);

-- Location: LCCOMB_X47_Y5_N28
\led_flash_cnt[1844][6]~52706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1844][6]~52706_combout\ = (\led_flash_cnt[1844][6]~q\ & (!\led_flash_cnt[1844][5]~52705\)) # (!\led_flash_cnt[1844][6]~q\ & ((\led_flash_cnt[1844][5]~52705\) # (GND)))
-- \led_flash_cnt[1844][6]~52707\ = CARRY((!\led_flash_cnt[1844][5]~52705\) # (!\led_flash_cnt[1844][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1844][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1844][5]~52705\,
	combout => \led_flash_cnt[1844][6]~52706_combout\,
	cout => \led_flash_cnt[1844][6]~52707\);

-- Location: FF_X47_Y5_N29
\led_flash_cnt[1844][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1844][6]~52706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1844][6]~q\);

-- Location: LCCOMB_X47_Y5_N10
\WideAnd1844~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1844~1_combout\ = (\led_flash_cnt[1844][5]~q\ & \led_flash_cnt[1844][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1844][5]~q\,
	datad => \led_flash_cnt[1844][6]~q\,
	combout => \WideAnd1844~1_combout\);

-- Location: LCCOMB_X47_Y5_N16
\WideAnd1844~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1844~0_combout\ = (\led_flash_cnt[1844][4]~q\ & (\led_flash_cnt[1844][2]~q\ & (\led_flash_cnt[1844][3]~q\ & \led_flash_cnt[1844][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1844][4]~q\,
	datab => \led_flash_cnt[1844][2]~q\,
	datac => \led_flash_cnt[1844][3]~q\,
	datad => \led_flash_cnt[1844][1]~q\,
	combout => \WideAnd1844~0_combout\);

-- Location: LCCOMB_X47_Y5_N30
\led_flash_cnt[1844][7]~52708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1844][7]~52708_combout\ = \led_flash_cnt[1844][7]~q\ $ (!\led_flash_cnt[1844][6]~52707\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1844][7]~q\,
	cin => \led_flash_cnt[1844][6]~52707\,
	combout => \led_flash_cnt[1844][7]~52708_combout\);

-- Location: FF_X47_Y5_N31
\led_flash_cnt[1844][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1844][7]~52708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1844][7]~q\);

-- Location: LCCOMB_X47_Y5_N4
WideAnd1844 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1844~combout\ = (\WideAnd1844~1_combout\ & (\WideAnd1844~0_combout\ & (\led_flash_cnt[1844][7]~q\ & \led_flash_cnt[1844][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1844~1_combout\,
	datab => \WideAnd1844~0_combout\,
	datac => \led_flash_cnt[1844][7]~q\,
	datad => \led_flash_cnt[1844][0]~q\,
	combout => \WideAnd1844~combout\);

-- Location: FF_X47_Y5_N5
\led_flash_cnt_ands[1844]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1844~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1844));

-- Location: LCCOMB_X47_Y13_N8
\WideAnd4070~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4070~1_combout\ = (led_flash_cnt_ands(1845) & led_flash_cnt_ands(1844))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1845),
	datac => led_flash_cnt_ands(1844),
	combout => \WideAnd4070~1_combout\);

-- Location: LCCOMB_X32_Y16_N30
WideAnd4070 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4070~combout\ = (led_flash_cnt_ands(1846) & (led_flash_cnt_ands(1847) & (\WideAnd4070~0_combout\ & \WideAnd4070~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1846),
	datab => led_flash_cnt_ands(1847),
	datac => \WideAnd4070~0_combout\,
	datad => \WideAnd4070~1_combout\,
	combout => \WideAnd4070~combout\);

-- Location: FF_X32_Y16_N31
\led_flash_cnt_ands_1[230]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4070~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(230));

-- Location: LCCOMB_X11_Y9_N22
\led_flash_cnt[1806][0]~82446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1806][0]~82446_combout\ = !\led_flash_cnt[1806][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1806][0]~q\,
	combout => \led_flash_cnt[1806][0]~82446_combout\);

-- Location: FF_X11_Y9_N23
\led_flash_cnt[1806][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1806][0]~82446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1806][0]~q\);

-- Location: LCCOMB_X11_Y9_N6
\led_flash_cnt[1806][1]~52164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1806][1]~52164_combout\ = (\led_flash_cnt[1806][0]~q\ & (\led_flash_cnt[1806][1]~q\ $ (VCC))) # (!\led_flash_cnt[1806][0]~q\ & (\led_flash_cnt[1806][1]~q\ & VCC))
-- \led_flash_cnt[1806][1]~52165\ = CARRY((\led_flash_cnt[1806][0]~q\ & \led_flash_cnt[1806][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1806][0]~q\,
	datab => \led_flash_cnt[1806][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1806][1]~52164_combout\,
	cout => \led_flash_cnt[1806][1]~52165\);

-- Location: FF_X11_Y9_N7
\led_flash_cnt[1806][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1806][1]~52164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1806][1]~q\);

-- Location: LCCOMB_X11_Y9_N8
\led_flash_cnt[1806][2]~52166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1806][2]~52166_combout\ = (\led_flash_cnt[1806][2]~q\ & (!\led_flash_cnt[1806][1]~52165\)) # (!\led_flash_cnt[1806][2]~q\ & ((\led_flash_cnt[1806][1]~52165\) # (GND)))
-- \led_flash_cnt[1806][2]~52167\ = CARRY((!\led_flash_cnt[1806][1]~52165\) # (!\led_flash_cnt[1806][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1806][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1806][1]~52165\,
	combout => \led_flash_cnt[1806][2]~52166_combout\,
	cout => \led_flash_cnt[1806][2]~52167\);

-- Location: FF_X11_Y9_N9
\led_flash_cnt[1806][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1806][2]~52166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1806][2]~q\);

-- Location: LCCOMB_X11_Y9_N10
\led_flash_cnt[1806][3]~52168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1806][3]~52168_combout\ = (\led_flash_cnt[1806][3]~q\ & (\led_flash_cnt[1806][2]~52167\ $ (GND))) # (!\led_flash_cnt[1806][3]~q\ & (!\led_flash_cnt[1806][2]~52167\ & VCC))
-- \led_flash_cnt[1806][3]~52169\ = CARRY((\led_flash_cnt[1806][3]~q\ & !\led_flash_cnt[1806][2]~52167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1806][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1806][2]~52167\,
	combout => \led_flash_cnt[1806][3]~52168_combout\,
	cout => \led_flash_cnt[1806][3]~52169\);

-- Location: FF_X11_Y9_N11
\led_flash_cnt[1806][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1806][3]~52168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1806][3]~q\);

-- Location: LCCOMB_X11_Y9_N12
\led_flash_cnt[1806][4]~52170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1806][4]~52170_combout\ = (\led_flash_cnt[1806][4]~q\ & (!\led_flash_cnt[1806][3]~52169\)) # (!\led_flash_cnt[1806][4]~q\ & ((\led_flash_cnt[1806][3]~52169\) # (GND)))
-- \led_flash_cnt[1806][4]~52171\ = CARRY((!\led_flash_cnt[1806][3]~52169\) # (!\led_flash_cnt[1806][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1806][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1806][3]~52169\,
	combout => \led_flash_cnt[1806][4]~52170_combout\,
	cout => \led_flash_cnt[1806][4]~52171\);

-- Location: FF_X11_Y9_N13
\led_flash_cnt[1806][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1806][4]~52170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1806][4]~q\);

-- Location: LCCOMB_X11_Y9_N14
\led_flash_cnt[1806][5]~52172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1806][5]~52172_combout\ = (\led_flash_cnt[1806][5]~q\ & (\led_flash_cnt[1806][4]~52171\ $ (GND))) # (!\led_flash_cnt[1806][5]~q\ & (!\led_flash_cnt[1806][4]~52171\ & VCC))
-- \led_flash_cnt[1806][5]~52173\ = CARRY((\led_flash_cnt[1806][5]~q\ & !\led_flash_cnt[1806][4]~52171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1806][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1806][4]~52171\,
	combout => \led_flash_cnt[1806][5]~52172_combout\,
	cout => \led_flash_cnt[1806][5]~52173\);

-- Location: FF_X11_Y9_N15
\led_flash_cnt[1806][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1806][5]~52172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1806][5]~q\);

-- Location: LCCOMB_X11_Y9_N16
\led_flash_cnt[1806][6]~52174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1806][6]~52174_combout\ = (\led_flash_cnt[1806][6]~q\ & (!\led_flash_cnt[1806][5]~52173\)) # (!\led_flash_cnt[1806][6]~q\ & ((\led_flash_cnt[1806][5]~52173\) # (GND)))
-- \led_flash_cnt[1806][6]~52175\ = CARRY((!\led_flash_cnt[1806][5]~52173\) # (!\led_flash_cnt[1806][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1806][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1806][5]~52173\,
	combout => \led_flash_cnt[1806][6]~52174_combout\,
	cout => \led_flash_cnt[1806][6]~52175\);

-- Location: FF_X11_Y9_N17
\led_flash_cnt[1806][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1806][6]~52174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1806][6]~q\);

-- Location: LCCOMB_X11_Y9_N4
\WideAnd1806~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1806~1_combout\ = (\led_flash_cnt[1806][5]~q\ & \led_flash_cnt[1806][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1806][5]~q\,
	datad => \led_flash_cnt[1806][6]~q\,
	combout => \WideAnd1806~1_combout\);

-- Location: LCCOMB_X11_Y9_N26
\WideAnd1806~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1806~0_combout\ = (\led_flash_cnt[1806][3]~q\ & (\led_flash_cnt[1806][1]~q\ & (\led_flash_cnt[1806][2]~q\ & \led_flash_cnt[1806][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1806][3]~q\,
	datab => \led_flash_cnt[1806][1]~q\,
	datac => \led_flash_cnt[1806][2]~q\,
	datad => \led_flash_cnt[1806][4]~q\,
	combout => \WideAnd1806~0_combout\);

-- Location: LCCOMB_X11_Y9_N18
\led_flash_cnt[1806][7]~52176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1806][7]~52176_combout\ = \led_flash_cnt[1806][6]~52175\ $ (!\led_flash_cnt[1806][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1806][7]~q\,
	cin => \led_flash_cnt[1806][6]~52175\,
	combout => \led_flash_cnt[1806][7]~52176_combout\);

-- Location: FF_X11_Y9_N19
\led_flash_cnt[1806][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1806][7]~52176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1806][7]~q\);

-- Location: LCCOMB_X11_Y9_N28
WideAnd1806 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1806~combout\ = (\led_flash_cnt[1806][0]~q\ & (\WideAnd1806~1_combout\ & (\WideAnd1806~0_combout\ & \led_flash_cnt[1806][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1806][0]~q\,
	datab => \WideAnd1806~1_combout\,
	datac => \WideAnd1806~0_combout\,
	datad => \led_flash_cnt[1806][7]~q\,
	combout => \WideAnd1806~combout\);

-- Location: FF_X11_Y9_N29
\led_flash_cnt_ands[1806]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1806~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1806));

-- Location: LCCOMB_X11_Y30_N4
\led_flash_cnt[1802][0]~82442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1802][0]~82442_combout\ = !\led_flash_cnt[1802][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1802][0]~q\,
	combout => \led_flash_cnt[1802][0]~82442_combout\);

-- Location: FF_X11_Y30_N5
\led_flash_cnt[1802][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1802][0]~82442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1802][0]~q\);

-- Location: LCCOMB_X11_Y30_N10
\led_flash_cnt[1802][1]~52108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1802][1]~52108_combout\ = (\led_flash_cnt[1802][1]~q\ & (\led_flash_cnt[1802][0]~q\ $ (VCC))) # (!\led_flash_cnt[1802][1]~q\ & (\led_flash_cnt[1802][0]~q\ & VCC))
-- \led_flash_cnt[1802][1]~52109\ = CARRY((\led_flash_cnt[1802][1]~q\ & \led_flash_cnt[1802][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1802][1]~q\,
	datab => \led_flash_cnt[1802][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1802][1]~52108_combout\,
	cout => \led_flash_cnt[1802][1]~52109\);

-- Location: FF_X11_Y30_N11
\led_flash_cnt[1802][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1802][1]~52108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1802][1]~q\);

-- Location: LCCOMB_X11_Y30_N12
\led_flash_cnt[1802][2]~52110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1802][2]~52110_combout\ = (\led_flash_cnt[1802][2]~q\ & (!\led_flash_cnt[1802][1]~52109\)) # (!\led_flash_cnt[1802][2]~q\ & ((\led_flash_cnt[1802][1]~52109\) # (GND)))
-- \led_flash_cnt[1802][2]~52111\ = CARRY((!\led_flash_cnt[1802][1]~52109\) # (!\led_flash_cnt[1802][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1802][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1802][1]~52109\,
	combout => \led_flash_cnt[1802][2]~52110_combout\,
	cout => \led_flash_cnt[1802][2]~52111\);

-- Location: FF_X11_Y30_N13
\led_flash_cnt[1802][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1802][2]~52110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1802][2]~q\);

-- Location: LCCOMB_X11_Y30_N14
\led_flash_cnt[1802][3]~52112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1802][3]~52112_combout\ = (\led_flash_cnt[1802][3]~q\ & (\led_flash_cnt[1802][2]~52111\ $ (GND))) # (!\led_flash_cnt[1802][3]~q\ & (!\led_flash_cnt[1802][2]~52111\ & VCC))
-- \led_flash_cnt[1802][3]~52113\ = CARRY((\led_flash_cnt[1802][3]~q\ & !\led_flash_cnt[1802][2]~52111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1802][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1802][2]~52111\,
	combout => \led_flash_cnt[1802][3]~52112_combout\,
	cout => \led_flash_cnt[1802][3]~52113\);

-- Location: FF_X11_Y30_N15
\led_flash_cnt[1802][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1802][3]~52112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1802][3]~q\);

-- Location: LCCOMB_X11_Y30_N16
\led_flash_cnt[1802][4]~52114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1802][4]~52114_combout\ = (\led_flash_cnt[1802][4]~q\ & (!\led_flash_cnt[1802][3]~52113\)) # (!\led_flash_cnt[1802][4]~q\ & ((\led_flash_cnt[1802][3]~52113\) # (GND)))
-- \led_flash_cnt[1802][4]~52115\ = CARRY((!\led_flash_cnt[1802][3]~52113\) # (!\led_flash_cnt[1802][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1802][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1802][3]~52113\,
	combout => \led_flash_cnt[1802][4]~52114_combout\,
	cout => \led_flash_cnt[1802][4]~52115\);

-- Location: FF_X11_Y30_N17
\led_flash_cnt[1802][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1802][4]~52114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1802][4]~q\);

-- Location: LCCOMB_X11_Y30_N18
\led_flash_cnt[1802][5]~52116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1802][5]~52116_combout\ = (\led_flash_cnt[1802][5]~q\ & (\led_flash_cnt[1802][4]~52115\ $ (GND))) # (!\led_flash_cnt[1802][5]~q\ & (!\led_flash_cnt[1802][4]~52115\ & VCC))
-- \led_flash_cnt[1802][5]~52117\ = CARRY((\led_flash_cnt[1802][5]~q\ & !\led_flash_cnt[1802][4]~52115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1802][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1802][4]~52115\,
	combout => \led_flash_cnt[1802][5]~52116_combout\,
	cout => \led_flash_cnt[1802][5]~52117\);

-- Location: FF_X11_Y30_N19
\led_flash_cnt[1802][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1802][5]~52116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1802][5]~q\);

-- Location: LCCOMB_X11_Y30_N20
\led_flash_cnt[1802][6]~52118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1802][6]~52118_combout\ = (\led_flash_cnt[1802][6]~q\ & (!\led_flash_cnt[1802][5]~52117\)) # (!\led_flash_cnt[1802][6]~q\ & ((\led_flash_cnt[1802][5]~52117\) # (GND)))
-- \led_flash_cnt[1802][6]~52119\ = CARRY((!\led_flash_cnt[1802][5]~52117\) # (!\led_flash_cnt[1802][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1802][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1802][5]~52117\,
	combout => \led_flash_cnt[1802][6]~52118_combout\,
	cout => \led_flash_cnt[1802][6]~52119\);

-- Location: FF_X11_Y30_N21
\led_flash_cnt[1802][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1802][6]~52118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1802][6]~q\);

-- Location: LCCOMB_X11_Y30_N22
\led_flash_cnt[1802][7]~52120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1802][7]~52120_combout\ = \led_flash_cnt[1802][7]~q\ $ (!\led_flash_cnt[1802][6]~52119\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1802][7]~q\,
	cin => \led_flash_cnt[1802][6]~52119\,
	combout => \led_flash_cnt[1802][7]~52120_combout\);

-- Location: FF_X11_Y30_N23
\led_flash_cnt[1802][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1802][7]~52120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1802][7]~q\);

-- Location: LCCOMB_X11_Y30_N28
\WideAnd1802~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1802~1_combout\ = (\led_flash_cnt[1802][6]~q\ & \led_flash_cnt[1802][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1802][6]~q\,
	datad => \led_flash_cnt[1802][5]~q\,
	combout => \WideAnd1802~1_combout\);

-- Location: LCCOMB_X11_Y30_N2
\WideAnd1802~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1802~0_combout\ = (\led_flash_cnt[1802][2]~q\ & (\led_flash_cnt[1802][4]~q\ & (\led_flash_cnt[1802][3]~q\ & \led_flash_cnt[1802][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1802][2]~q\,
	datab => \led_flash_cnt[1802][4]~q\,
	datac => \led_flash_cnt[1802][3]~q\,
	datad => \led_flash_cnt[1802][1]~q\,
	combout => \WideAnd1802~0_combout\);

-- Location: LCCOMB_X11_Y30_N24
WideAnd1802 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1802~combout\ = (\led_flash_cnt[1802][7]~q\ & (\WideAnd1802~1_combout\ & (\led_flash_cnt[1802][0]~q\ & \WideAnd1802~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1802][7]~q\,
	datab => \WideAnd1802~1_combout\,
	datac => \led_flash_cnt[1802][0]~q\,
	datad => \WideAnd1802~0_combout\,
	combout => \WideAnd1802~combout\);

-- Location: FF_X11_Y30_N25
\led_flash_cnt_ands[1802]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1802~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1802));

-- Location: LCCOMB_X10_Y28_N6
\led_flash_cnt[1801][0]~82441\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1801][0]~82441_combout\ = !\led_flash_cnt[1801][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1801][0]~q\,
	combout => \led_flash_cnt[1801][0]~82441_combout\);

-- Location: FF_X10_Y28_N7
\led_flash_cnt[1801][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1801][0]~82441_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1801][0]~q\);

-- Location: LCCOMB_X11_Y28_N18
\led_flash_cnt[1801][1]~52094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1801][1]~52094_combout\ = (\led_flash_cnt[1801][0]~q\ & (\led_flash_cnt[1801][1]~q\ $ (VCC))) # (!\led_flash_cnt[1801][0]~q\ & (\led_flash_cnt[1801][1]~q\ & VCC))
-- \led_flash_cnt[1801][1]~52095\ = CARRY((\led_flash_cnt[1801][0]~q\ & \led_flash_cnt[1801][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1801][0]~q\,
	datab => \led_flash_cnt[1801][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1801][1]~52094_combout\,
	cout => \led_flash_cnt[1801][1]~52095\);

-- Location: FF_X11_Y28_N19
\led_flash_cnt[1801][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1801][1]~52094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1801][1]~q\);

-- Location: LCCOMB_X11_Y28_N20
\led_flash_cnt[1801][2]~52096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1801][2]~52096_combout\ = (\led_flash_cnt[1801][2]~q\ & (!\led_flash_cnt[1801][1]~52095\)) # (!\led_flash_cnt[1801][2]~q\ & ((\led_flash_cnt[1801][1]~52095\) # (GND)))
-- \led_flash_cnt[1801][2]~52097\ = CARRY((!\led_flash_cnt[1801][1]~52095\) # (!\led_flash_cnt[1801][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1801][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1801][1]~52095\,
	combout => \led_flash_cnt[1801][2]~52096_combout\,
	cout => \led_flash_cnt[1801][2]~52097\);

-- Location: FF_X11_Y28_N21
\led_flash_cnt[1801][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1801][2]~52096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1801][2]~q\);

-- Location: LCCOMB_X11_Y28_N22
\led_flash_cnt[1801][3]~52098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1801][3]~52098_combout\ = (\led_flash_cnt[1801][3]~q\ & (\led_flash_cnt[1801][2]~52097\ $ (GND))) # (!\led_flash_cnt[1801][3]~q\ & (!\led_flash_cnt[1801][2]~52097\ & VCC))
-- \led_flash_cnt[1801][3]~52099\ = CARRY((\led_flash_cnt[1801][3]~q\ & !\led_flash_cnt[1801][2]~52097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1801][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1801][2]~52097\,
	combout => \led_flash_cnt[1801][3]~52098_combout\,
	cout => \led_flash_cnt[1801][3]~52099\);

-- Location: FF_X11_Y28_N23
\led_flash_cnt[1801][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1801][3]~52098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1801][3]~q\);

-- Location: LCCOMB_X11_Y28_N24
\led_flash_cnt[1801][4]~52100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1801][4]~52100_combout\ = (\led_flash_cnt[1801][4]~q\ & (!\led_flash_cnt[1801][3]~52099\)) # (!\led_flash_cnt[1801][4]~q\ & ((\led_flash_cnt[1801][3]~52099\) # (GND)))
-- \led_flash_cnt[1801][4]~52101\ = CARRY((!\led_flash_cnt[1801][3]~52099\) # (!\led_flash_cnt[1801][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1801][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1801][3]~52099\,
	combout => \led_flash_cnt[1801][4]~52100_combout\,
	cout => \led_flash_cnt[1801][4]~52101\);

-- Location: FF_X11_Y28_N25
\led_flash_cnt[1801][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1801][4]~52100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1801][4]~q\);

-- Location: LCCOMB_X11_Y28_N26
\led_flash_cnt[1801][5]~52102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1801][5]~52102_combout\ = (\led_flash_cnt[1801][5]~q\ & (\led_flash_cnt[1801][4]~52101\ $ (GND))) # (!\led_flash_cnt[1801][5]~q\ & (!\led_flash_cnt[1801][4]~52101\ & VCC))
-- \led_flash_cnt[1801][5]~52103\ = CARRY((\led_flash_cnt[1801][5]~q\ & !\led_flash_cnt[1801][4]~52101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1801][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1801][4]~52101\,
	combout => \led_flash_cnt[1801][5]~52102_combout\,
	cout => \led_flash_cnt[1801][5]~52103\);

-- Location: FF_X11_Y28_N27
\led_flash_cnt[1801][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1801][5]~52102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1801][5]~q\);

-- Location: LCCOMB_X11_Y28_N28
\led_flash_cnt[1801][6]~52104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1801][6]~52104_combout\ = (\led_flash_cnt[1801][6]~q\ & (!\led_flash_cnt[1801][5]~52103\)) # (!\led_flash_cnt[1801][6]~q\ & ((\led_flash_cnt[1801][5]~52103\) # (GND)))
-- \led_flash_cnt[1801][6]~52105\ = CARRY((!\led_flash_cnt[1801][5]~52103\) # (!\led_flash_cnt[1801][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1801][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1801][5]~52103\,
	combout => \led_flash_cnt[1801][6]~52104_combout\,
	cout => \led_flash_cnt[1801][6]~52105\);

-- Location: FF_X11_Y28_N29
\led_flash_cnt[1801][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1801][6]~52104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1801][6]~q\);

-- Location: LCCOMB_X10_Y28_N12
\WideAnd1801~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1801~1_combout\ = (\led_flash_cnt[1801][5]~q\ & \led_flash_cnt[1801][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1801][5]~q\,
	datad => \led_flash_cnt[1801][6]~q\,
	combout => \WideAnd1801~1_combout\);

-- Location: LCCOMB_X11_Y28_N16
\WideAnd1801~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1801~0_combout\ = (\led_flash_cnt[1801][2]~q\ & (\led_flash_cnt[1801][4]~q\ & (\led_flash_cnt[1801][3]~q\ & \led_flash_cnt[1801][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1801][2]~q\,
	datab => \led_flash_cnt[1801][4]~q\,
	datac => \led_flash_cnt[1801][3]~q\,
	datad => \led_flash_cnt[1801][1]~q\,
	combout => \WideAnd1801~0_combout\);

-- Location: LCCOMB_X11_Y28_N30
\led_flash_cnt[1801][7]~52106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1801][7]~52106_combout\ = \led_flash_cnt[1801][7]~q\ $ (!\led_flash_cnt[1801][6]~52105\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1801][7]~q\,
	cin => \led_flash_cnt[1801][6]~52105\,
	combout => \led_flash_cnt[1801][7]~52106_combout\);

-- Location: FF_X11_Y28_N31
\led_flash_cnt[1801][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1801][7]~52106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1801][7]~q\);

-- Location: LCCOMB_X10_Y28_N4
WideAnd1801 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1801~combout\ = (\WideAnd1801~1_combout\ & (\WideAnd1801~0_combout\ & (\led_flash_cnt[1801][7]~q\ & \led_flash_cnt[1801][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1801~1_combout\,
	datab => \WideAnd1801~0_combout\,
	datac => \led_flash_cnt[1801][7]~q\,
	datad => \led_flash_cnt[1801][0]~q\,
	combout => \WideAnd1801~combout\);

-- Location: FF_X10_Y28_N5
\led_flash_cnt_ands[1801]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1801~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1801));

-- Location: LCCOMB_X6_Y32_N12
\led_flash_cnt[1800][0]~82440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1800][0]~82440_combout\ = !\led_flash_cnt[1800][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1800][0]~q\,
	combout => \led_flash_cnt[1800][0]~82440_combout\);

-- Location: FF_X6_Y32_N13
\led_flash_cnt[1800][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1800][0]~82440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1800][0]~q\);

-- Location: LCCOMB_X6_Y32_N18
\led_flash_cnt[1800][1]~52080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1800][1]~52080_combout\ = (\led_flash_cnt[1800][0]~q\ & (\led_flash_cnt[1800][1]~q\ $ (VCC))) # (!\led_flash_cnt[1800][0]~q\ & (\led_flash_cnt[1800][1]~q\ & VCC))
-- \led_flash_cnt[1800][1]~52081\ = CARRY((\led_flash_cnt[1800][0]~q\ & \led_flash_cnt[1800][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1800][0]~q\,
	datab => \led_flash_cnt[1800][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1800][1]~52080_combout\,
	cout => \led_flash_cnt[1800][1]~52081\);

-- Location: FF_X6_Y32_N19
\led_flash_cnt[1800][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1800][1]~52080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1800][1]~q\);

-- Location: LCCOMB_X6_Y32_N20
\led_flash_cnt[1800][2]~52082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1800][2]~52082_combout\ = (\led_flash_cnt[1800][2]~q\ & (!\led_flash_cnt[1800][1]~52081\)) # (!\led_flash_cnt[1800][2]~q\ & ((\led_flash_cnt[1800][1]~52081\) # (GND)))
-- \led_flash_cnt[1800][2]~52083\ = CARRY((!\led_flash_cnt[1800][1]~52081\) # (!\led_flash_cnt[1800][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1800][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1800][1]~52081\,
	combout => \led_flash_cnt[1800][2]~52082_combout\,
	cout => \led_flash_cnt[1800][2]~52083\);

-- Location: FF_X6_Y32_N21
\led_flash_cnt[1800][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1800][2]~52082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1800][2]~q\);

-- Location: LCCOMB_X6_Y32_N22
\led_flash_cnt[1800][3]~52084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1800][3]~52084_combout\ = (\led_flash_cnt[1800][3]~q\ & (\led_flash_cnt[1800][2]~52083\ $ (GND))) # (!\led_flash_cnt[1800][3]~q\ & (!\led_flash_cnt[1800][2]~52083\ & VCC))
-- \led_flash_cnt[1800][3]~52085\ = CARRY((\led_flash_cnt[1800][3]~q\ & !\led_flash_cnt[1800][2]~52083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1800][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1800][2]~52083\,
	combout => \led_flash_cnt[1800][3]~52084_combout\,
	cout => \led_flash_cnt[1800][3]~52085\);

-- Location: FF_X6_Y32_N23
\led_flash_cnt[1800][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1800][3]~52084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1800][3]~q\);

-- Location: LCCOMB_X6_Y32_N24
\led_flash_cnt[1800][4]~52086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1800][4]~52086_combout\ = (\led_flash_cnt[1800][4]~q\ & (!\led_flash_cnt[1800][3]~52085\)) # (!\led_flash_cnt[1800][4]~q\ & ((\led_flash_cnt[1800][3]~52085\) # (GND)))
-- \led_flash_cnt[1800][4]~52087\ = CARRY((!\led_flash_cnt[1800][3]~52085\) # (!\led_flash_cnt[1800][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1800][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1800][3]~52085\,
	combout => \led_flash_cnt[1800][4]~52086_combout\,
	cout => \led_flash_cnt[1800][4]~52087\);

-- Location: FF_X6_Y32_N25
\led_flash_cnt[1800][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1800][4]~52086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1800][4]~q\);

-- Location: LCCOMB_X6_Y32_N10
\WideAnd1800~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1800~0_combout\ = (\led_flash_cnt[1800][2]~q\ & (\led_flash_cnt[1800][4]~q\ & (\led_flash_cnt[1800][3]~q\ & \led_flash_cnt[1800][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1800][2]~q\,
	datab => \led_flash_cnt[1800][4]~q\,
	datac => \led_flash_cnt[1800][3]~q\,
	datad => \led_flash_cnt[1800][1]~q\,
	combout => \WideAnd1800~0_combout\);

-- Location: LCCOMB_X6_Y32_N26
\led_flash_cnt[1800][5]~52088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1800][5]~52088_combout\ = (\led_flash_cnt[1800][5]~q\ & (\led_flash_cnt[1800][4]~52087\ $ (GND))) # (!\led_flash_cnt[1800][5]~q\ & (!\led_flash_cnt[1800][4]~52087\ & VCC))
-- \led_flash_cnt[1800][5]~52089\ = CARRY((\led_flash_cnt[1800][5]~q\ & !\led_flash_cnt[1800][4]~52087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1800][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1800][4]~52087\,
	combout => \led_flash_cnt[1800][5]~52088_combout\,
	cout => \led_flash_cnt[1800][5]~52089\);

-- Location: FF_X6_Y32_N27
\led_flash_cnt[1800][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1800][5]~52088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1800][5]~q\);

-- Location: LCCOMB_X6_Y32_N28
\led_flash_cnt[1800][6]~52090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1800][6]~52090_combout\ = (\led_flash_cnt[1800][6]~q\ & (!\led_flash_cnt[1800][5]~52089\)) # (!\led_flash_cnt[1800][6]~q\ & ((\led_flash_cnt[1800][5]~52089\) # (GND)))
-- \led_flash_cnt[1800][6]~52091\ = CARRY((!\led_flash_cnt[1800][5]~52089\) # (!\led_flash_cnt[1800][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1800][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1800][5]~52089\,
	combout => \led_flash_cnt[1800][6]~52090_combout\,
	cout => \led_flash_cnt[1800][6]~52091\);

-- Location: FF_X6_Y32_N29
\led_flash_cnt[1800][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1800][6]~52090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1800][6]~q\);

-- Location: LCCOMB_X6_Y32_N4
\WideAnd1800~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1800~1_combout\ = (\led_flash_cnt[1800][5]~q\ & \led_flash_cnt[1800][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1800][5]~q\,
	datad => \led_flash_cnt[1800][6]~q\,
	combout => \WideAnd1800~1_combout\);

-- Location: LCCOMB_X6_Y32_N30
\led_flash_cnt[1800][7]~52092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1800][7]~52092_combout\ = \led_flash_cnt[1800][7]~q\ $ (!\led_flash_cnt[1800][6]~52091\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1800][7]~q\,
	cin => \led_flash_cnt[1800][6]~52091\,
	combout => \led_flash_cnt[1800][7]~52092_combout\);

-- Location: FF_X6_Y32_N31
\led_flash_cnt[1800][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1800][7]~52092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1800][7]~q\);

-- Location: LCCOMB_X6_Y32_N8
WideAnd1800 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1800~combout\ = (\WideAnd1800~0_combout\ & (\WideAnd1800~1_combout\ & (\led_flash_cnt[1800][7]~q\ & \led_flash_cnt[1800][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1800~0_combout\,
	datab => \WideAnd1800~1_combout\,
	datac => \led_flash_cnt[1800][7]~q\,
	datad => \led_flash_cnt[1800][0]~q\,
	combout => \WideAnd1800~combout\);

-- Location: FF_X6_Y32_N9
\led_flash_cnt_ands[1800]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1800~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1800));

-- Location: LCCOMB_X10_Y28_N10
\led_flash_cnt[1803][0]~82443\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1803][0]~82443_combout\ = !\led_flash_cnt[1803][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1803][0]~q\,
	combout => \led_flash_cnt[1803][0]~82443_combout\);

-- Location: FF_X10_Y28_N11
\led_flash_cnt[1803][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1803][0]~82443_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1803][0]~q\);

-- Location: LCCOMB_X10_Y28_N14
\led_flash_cnt[1803][1]~52122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1803][1]~52122_combout\ = (\led_flash_cnt[1803][0]~q\ & (\led_flash_cnt[1803][1]~q\ $ (VCC))) # (!\led_flash_cnt[1803][0]~q\ & (\led_flash_cnt[1803][1]~q\ & VCC))
-- \led_flash_cnt[1803][1]~52123\ = CARRY((\led_flash_cnt[1803][0]~q\ & \led_flash_cnt[1803][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1803][0]~q\,
	datab => \led_flash_cnt[1803][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1803][1]~52122_combout\,
	cout => \led_flash_cnt[1803][1]~52123\);

-- Location: FF_X10_Y28_N15
\led_flash_cnt[1803][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1803][1]~52122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1803][1]~q\);

-- Location: LCCOMB_X10_Y28_N16
\led_flash_cnt[1803][2]~52124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1803][2]~52124_combout\ = (\led_flash_cnt[1803][2]~q\ & (!\led_flash_cnt[1803][1]~52123\)) # (!\led_flash_cnt[1803][2]~q\ & ((\led_flash_cnt[1803][1]~52123\) # (GND)))
-- \led_flash_cnt[1803][2]~52125\ = CARRY((!\led_flash_cnt[1803][1]~52123\) # (!\led_flash_cnt[1803][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1803][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1803][1]~52123\,
	combout => \led_flash_cnt[1803][2]~52124_combout\,
	cout => \led_flash_cnt[1803][2]~52125\);

-- Location: FF_X10_Y28_N17
\led_flash_cnt[1803][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1803][2]~52124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1803][2]~q\);

-- Location: LCCOMB_X10_Y28_N18
\led_flash_cnt[1803][3]~52126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1803][3]~52126_combout\ = (\led_flash_cnt[1803][3]~q\ & (\led_flash_cnt[1803][2]~52125\ $ (GND))) # (!\led_flash_cnt[1803][3]~q\ & (!\led_flash_cnt[1803][2]~52125\ & VCC))
-- \led_flash_cnt[1803][3]~52127\ = CARRY((\led_flash_cnt[1803][3]~q\ & !\led_flash_cnt[1803][2]~52125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1803][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1803][2]~52125\,
	combout => \led_flash_cnt[1803][3]~52126_combout\,
	cout => \led_flash_cnt[1803][3]~52127\);

-- Location: FF_X10_Y28_N19
\led_flash_cnt[1803][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1803][3]~52126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1803][3]~q\);

-- Location: LCCOMB_X10_Y28_N20
\led_flash_cnt[1803][4]~52128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1803][4]~52128_combout\ = (\led_flash_cnt[1803][4]~q\ & (!\led_flash_cnt[1803][3]~52127\)) # (!\led_flash_cnt[1803][4]~q\ & ((\led_flash_cnt[1803][3]~52127\) # (GND)))
-- \led_flash_cnt[1803][4]~52129\ = CARRY((!\led_flash_cnt[1803][3]~52127\) # (!\led_flash_cnt[1803][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1803][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1803][3]~52127\,
	combout => \led_flash_cnt[1803][4]~52128_combout\,
	cout => \led_flash_cnt[1803][4]~52129\);

-- Location: FF_X10_Y28_N21
\led_flash_cnt[1803][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1803][4]~52128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1803][4]~q\);

-- Location: LCCOMB_X10_Y28_N8
\WideAnd1803~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1803~0_combout\ = (\led_flash_cnt[1803][4]~q\ & (\led_flash_cnt[1803][3]~q\ & (\led_flash_cnt[1803][1]~q\ & \led_flash_cnt[1803][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1803][4]~q\,
	datab => \led_flash_cnt[1803][3]~q\,
	datac => \led_flash_cnt[1803][1]~q\,
	datad => \led_flash_cnt[1803][2]~q\,
	combout => \WideAnd1803~0_combout\);

-- Location: LCCOMB_X10_Y28_N22
\led_flash_cnt[1803][5]~52130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1803][5]~52130_combout\ = (\led_flash_cnt[1803][5]~q\ & (\led_flash_cnt[1803][4]~52129\ $ (GND))) # (!\led_flash_cnt[1803][5]~q\ & (!\led_flash_cnt[1803][4]~52129\ & VCC))
-- \led_flash_cnt[1803][5]~52131\ = CARRY((\led_flash_cnt[1803][5]~q\ & !\led_flash_cnt[1803][4]~52129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1803][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1803][4]~52129\,
	combout => \led_flash_cnt[1803][5]~52130_combout\,
	cout => \led_flash_cnt[1803][5]~52131\);

-- Location: FF_X10_Y28_N23
\led_flash_cnt[1803][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1803][5]~52130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1803][5]~q\);

-- Location: LCCOMB_X10_Y28_N24
\led_flash_cnt[1803][6]~52132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1803][6]~52132_combout\ = (\led_flash_cnt[1803][6]~q\ & (!\led_flash_cnt[1803][5]~52131\)) # (!\led_flash_cnt[1803][6]~q\ & ((\led_flash_cnt[1803][5]~52131\) # (GND)))
-- \led_flash_cnt[1803][6]~52133\ = CARRY((!\led_flash_cnt[1803][5]~52131\) # (!\led_flash_cnt[1803][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1803][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1803][5]~52131\,
	combout => \led_flash_cnt[1803][6]~52132_combout\,
	cout => \led_flash_cnt[1803][6]~52133\);

-- Location: FF_X10_Y28_N25
\led_flash_cnt[1803][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1803][6]~52132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1803][6]~q\);

-- Location: LCCOMB_X10_Y28_N26
\led_flash_cnt[1803][7]~52134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1803][7]~52134_combout\ = \led_flash_cnt[1803][7]~q\ $ (!\led_flash_cnt[1803][6]~52133\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1803][7]~q\,
	cin => \led_flash_cnt[1803][6]~52133\,
	combout => \led_flash_cnt[1803][7]~52134_combout\);

-- Location: FF_X10_Y28_N27
\led_flash_cnt[1803][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1803][7]~52134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1803][7]~q\);

-- Location: LCCOMB_X10_Y28_N2
\WideAnd1803~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1803~1_combout\ = (\led_flash_cnt[1803][5]~q\ & \led_flash_cnt[1803][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1803][5]~q\,
	datad => \led_flash_cnt[1803][6]~q\,
	combout => \WideAnd1803~1_combout\);

-- Location: LCCOMB_X10_Y28_N28
WideAnd1803 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1803~combout\ = (\led_flash_cnt[1803][0]~q\ & (\WideAnd1803~0_combout\ & (\led_flash_cnt[1803][7]~q\ & \WideAnd1803~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1803][0]~q\,
	datab => \WideAnd1803~0_combout\,
	datac => \led_flash_cnt[1803][7]~q\,
	datad => \WideAnd1803~1_combout\,
	combout => \WideAnd1803~combout\);

-- Location: FF_X10_Y28_N29
\led_flash_cnt_ands[1803]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1803~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1803));

-- Location: LCCOMB_X10_Y28_N0
\WideAnd4065~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4065~0_combout\ = (led_flash_cnt_ands(1802) & (led_flash_cnt_ands(1801) & (led_flash_cnt_ands(1800) & led_flash_cnt_ands(1803))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1802),
	datab => led_flash_cnt_ands(1801),
	datac => led_flash_cnt_ands(1800),
	datad => led_flash_cnt_ands(1803),
	combout => \WideAnd4065~0_combout\);

-- Location: LCCOMB_X3_Y27_N2
\led_flash_cnt[1805][0]~82445\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1805][0]~82445_combout\ = !\led_flash_cnt[1805][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1805][0]~q\,
	combout => \led_flash_cnt[1805][0]~82445_combout\);

-- Location: FF_X3_Y27_N3
\led_flash_cnt[1805][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1805][0]~82445_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1805][0]~q\);

-- Location: LCCOMB_X2_Y27_N16
\led_flash_cnt[1805][1]~52150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1805][1]~52150_combout\ = (\led_flash_cnt[1805][0]~q\ & (\led_flash_cnt[1805][1]~q\ $ (VCC))) # (!\led_flash_cnt[1805][0]~q\ & (\led_flash_cnt[1805][1]~q\ & VCC))
-- \led_flash_cnt[1805][1]~52151\ = CARRY((\led_flash_cnt[1805][0]~q\ & \led_flash_cnt[1805][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1805][0]~q\,
	datab => \led_flash_cnt[1805][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1805][1]~52150_combout\,
	cout => \led_flash_cnt[1805][1]~52151\);

-- Location: FF_X2_Y27_N17
\led_flash_cnt[1805][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1805][1]~52150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1805][1]~q\);

-- Location: LCCOMB_X2_Y27_N18
\led_flash_cnt[1805][2]~52152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1805][2]~52152_combout\ = (\led_flash_cnt[1805][2]~q\ & (!\led_flash_cnt[1805][1]~52151\)) # (!\led_flash_cnt[1805][2]~q\ & ((\led_flash_cnt[1805][1]~52151\) # (GND)))
-- \led_flash_cnt[1805][2]~52153\ = CARRY((!\led_flash_cnt[1805][1]~52151\) # (!\led_flash_cnt[1805][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1805][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1805][1]~52151\,
	combout => \led_flash_cnt[1805][2]~52152_combout\,
	cout => \led_flash_cnt[1805][2]~52153\);

-- Location: FF_X2_Y27_N19
\led_flash_cnt[1805][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1805][2]~52152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1805][2]~q\);

-- Location: LCCOMB_X2_Y27_N20
\led_flash_cnt[1805][3]~52154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1805][3]~52154_combout\ = (\led_flash_cnt[1805][3]~q\ & (\led_flash_cnt[1805][2]~52153\ $ (GND))) # (!\led_flash_cnt[1805][3]~q\ & (!\led_flash_cnt[1805][2]~52153\ & VCC))
-- \led_flash_cnt[1805][3]~52155\ = CARRY((\led_flash_cnt[1805][3]~q\ & !\led_flash_cnt[1805][2]~52153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1805][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1805][2]~52153\,
	combout => \led_flash_cnt[1805][3]~52154_combout\,
	cout => \led_flash_cnt[1805][3]~52155\);

-- Location: FF_X2_Y27_N21
\led_flash_cnt[1805][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1805][3]~52154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1805][3]~q\);

-- Location: LCCOMB_X2_Y27_N22
\led_flash_cnt[1805][4]~52156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1805][4]~52156_combout\ = (\led_flash_cnt[1805][4]~q\ & (!\led_flash_cnt[1805][3]~52155\)) # (!\led_flash_cnt[1805][4]~q\ & ((\led_flash_cnt[1805][3]~52155\) # (GND)))
-- \led_flash_cnt[1805][4]~52157\ = CARRY((!\led_flash_cnt[1805][3]~52155\) # (!\led_flash_cnt[1805][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1805][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1805][3]~52155\,
	combout => \led_flash_cnt[1805][4]~52156_combout\,
	cout => \led_flash_cnt[1805][4]~52157\);

-- Location: FF_X2_Y27_N23
\led_flash_cnt[1805][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1805][4]~52156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1805][4]~q\);

-- Location: LCCOMB_X2_Y27_N14
\WideAnd1805~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1805~0_combout\ = (\led_flash_cnt[1805][3]~q\ & (\led_flash_cnt[1805][2]~q\ & (\led_flash_cnt[1805][4]~q\ & \led_flash_cnt[1805][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1805][3]~q\,
	datab => \led_flash_cnt[1805][2]~q\,
	datac => \led_flash_cnt[1805][4]~q\,
	datad => \led_flash_cnt[1805][1]~q\,
	combout => \WideAnd1805~0_combout\);

-- Location: LCCOMB_X2_Y27_N24
\led_flash_cnt[1805][5]~52158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1805][5]~52158_combout\ = (\led_flash_cnt[1805][5]~q\ & (\led_flash_cnt[1805][4]~52157\ $ (GND))) # (!\led_flash_cnt[1805][5]~q\ & (!\led_flash_cnt[1805][4]~52157\ & VCC))
-- \led_flash_cnt[1805][5]~52159\ = CARRY((\led_flash_cnt[1805][5]~q\ & !\led_flash_cnt[1805][4]~52157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1805][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1805][4]~52157\,
	combout => \led_flash_cnt[1805][5]~52158_combout\,
	cout => \led_flash_cnt[1805][5]~52159\);

-- Location: FF_X2_Y27_N25
\led_flash_cnt[1805][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1805][5]~52158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1805][5]~q\);

-- Location: LCCOMB_X2_Y27_N26
\led_flash_cnt[1805][6]~52160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1805][6]~52160_combout\ = (\led_flash_cnt[1805][6]~q\ & (!\led_flash_cnt[1805][5]~52159\)) # (!\led_flash_cnt[1805][6]~q\ & ((\led_flash_cnt[1805][5]~52159\) # (GND)))
-- \led_flash_cnt[1805][6]~52161\ = CARRY((!\led_flash_cnt[1805][5]~52159\) # (!\led_flash_cnt[1805][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1805][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1805][5]~52159\,
	combout => \led_flash_cnt[1805][6]~52160_combout\,
	cout => \led_flash_cnt[1805][6]~52161\);

-- Location: FF_X2_Y27_N27
\led_flash_cnt[1805][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1805][6]~52160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1805][6]~q\);

-- Location: LCCOMB_X2_Y27_N28
\led_flash_cnt[1805][7]~52162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1805][7]~52162_combout\ = \led_flash_cnt[1805][6]~52161\ $ (!\led_flash_cnt[1805][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1805][7]~q\,
	cin => \led_flash_cnt[1805][6]~52161\,
	combout => \led_flash_cnt[1805][7]~52162_combout\);

-- Location: FF_X2_Y27_N29
\led_flash_cnt[1805][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1805][7]~52162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1805][7]~q\);

-- Location: LCCOMB_X3_Y27_N14
\WideAnd1805~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1805~1_combout\ = (\led_flash_cnt[1805][6]~q\ & \led_flash_cnt[1805][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1805][6]~q\,
	datad => \led_flash_cnt[1805][5]~q\,
	combout => \WideAnd1805~1_combout\);

-- Location: LCCOMB_X3_Y27_N4
WideAnd1805 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1805~combout\ = (\WideAnd1805~0_combout\ & (\led_flash_cnt[1805][7]~q\ & (\WideAnd1805~1_combout\ & \led_flash_cnt[1805][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1805~0_combout\,
	datab => \led_flash_cnt[1805][7]~q\,
	datac => \WideAnd1805~1_combout\,
	datad => \led_flash_cnt[1805][0]~q\,
	combout => \WideAnd1805~combout\);

-- Location: FF_X3_Y27_N5
\led_flash_cnt_ands[1805]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1805~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1805));

-- Location: LCCOMB_X3_Y27_N30
\led_flash_cnt[1804][0]~82444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1804][0]~82444_combout\ = !\led_flash_cnt[1804][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1804][0]~q\,
	combout => \led_flash_cnt[1804][0]~82444_combout\);

-- Location: FF_X3_Y27_N31
\led_flash_cnt[1804][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1804][0]~82444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1804][0]~q\);

-- Location: LCCOMB_X3_Y27_N16
\led_flash_cnt[1804][1]~52136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1804][1]~52136_combout\ = (\led_flash_cnt[1804][0]~q\ & (\led_flash_cnt[1804][1]~q\ $ (VCC))) # (!\led_flash_cnt[1804][0]~q\ & (\led_flash_cnt[1804][1]~q\ & VCC))
-- \led_flash_cnt[1804][1]~52137\ = CARRY((\led_flash_cnt[1804][0]~q\ & \led_flash_cnt[1804][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1804][0]~q\,
	datab => \led_flash_cnt[1804][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1804][1]~52136_combout\,
	cout => \led_flash_cnt[1804][1]~52137\);

-- Location: FF_X3_Y27_N17
\led_flash_cnt[1804][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1804][1]~52136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1804][1]~q\);

-- Location: LCCOMB_X3_Y27_N18
\led_flash_cnt[1804][2]~52138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1804][2]~52138_combout\ = (\led_flash_cnt[1804][2]~q\ & (!\led_flash_cnt[1804][1]~52137\)) # (!\led_flash_cnt[1804][2]~q\ & ((\led_flash_cnt[1804][1]~52137\) # (GND)))
-- \led_flash_cnt[1804][2]~52139\ = CARRY((!\led_flash_cnt[1804][1]~52137\) # (!\led_flash_cnt[1804][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1804][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1804][1]~52137\,
	combout => \led_flash_cnt[1804][2]~52138_combout\,
	cout => \led_flash_cnt[1804][2]~52139\);

-- Location: FF_X3_Y27_N19
\led_flash_cnt[1804][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1804][2]~52138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1804][2]~q\);

-- Location: LCCOMB_X3_Y27_N20
\led_flash_cnt[1804][3]~52140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1804][3]~52140_combout\ = (\led_flash_cnt[1804][3]~q\ & (\led_flash_cnt[1804][2]~52139\ $ (GND))) # (!\led_flash_cnt[1804][3]~q\ & (!\led_flash_cnt[1804][2]~52139\ & VCC))
-- \led_flash_cnt[1804][3]~52141\ = CARRY((\led_flash_cnt[1804][3]~q\ & !\led_flash_cnt[1804][2]~52139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1804][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1804][2]~52139\,
	combout => \led_flash_cnt[1804][3]~52140_combout\,
	cout => \led_flash_cnt[1804][3]~52141\);

-- Location: FF_X3_Y27_N21
\led_flash_cnt[1804][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1804][3]~52140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1804][3]~q\);

-- Location: LCCOMB_X3_Y27_N22
\led_flash_cnt[1804][4]~52142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1804][4]~52142_combout\ = (\led_flash_cnt[1804][4]~q\ & (!\led_flash_cnt[1804][3]~52141\)) # (!\led_flash_cnt[1804][4]~q\ & ((\led_flash_cnt[1804][3]~52141\) # (GND)))
-- \led_flash_cnt[1804][4]~52143\ = CARRY((!\led_flash_cnt[1804][3]~52141\) # (!\led_flash_cnt[1804][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1804][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1804][3]~52141\,
	combout => \led_flash_cnt[1804][4]~52142_combout\,
	cout => \led_flash_cnt[1804][4]~52143\);

-- Location: FF_X3_Y27_N23
\led_flash_cnt[1804][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1804][4]~52142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1804][4]~q\);

-- Location: LCCOMB_X3_Y27_N10
\WideAnd1804~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1804~0_combout\ = (\led_flash_cnt[1804][3]~q\ & (\led_flash_cnt[1804][1]~q\ & (\led_flash_cnt[1804][4]~q\ & \led_flash_cnt[1804][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1804][3]~q\,
	datab => \led_flash_cnt[1804][1]~q\,
	datac => \led_flash_cnt[1804][4]~q\,
	datad => \led_flash_cnt[1804][2]~q\,
	combout => \WideAnd1804~0_combout\);

-- Location: LCCOMB_X3_Y27_N24
\led_flash_cnt[1804][5]~52144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1804][5]~52144_combout\ = (\led_flash_cnt[1804][5]~q\ & (\led_flash_cnt[1804][4]~52143\ $ (GND))) # (!\led_flash_cnt[1804][5]~q\ & (!\led_flash_cnt[1804][4]~52143\ & VCC))
-- \led_flash_cnt[1804][5]~52145\ = CARRY((\led_flash_cnt[1804][5]~q\ & !\led_flash_cnt[1804][4]~52143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1804][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1804][4]~52143\,
	combout => \led_flash_cnt[1804][5]~52144_combout\,
	cout => \led_flash_cnt[1804][5]~52145\);

-- Location: FF_X3_Y27_N25
\led_flash_cnt[1804][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1804][5]~52144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1804][5]~q\);

-- Location: LCCOMB_X3_Y27_N26
\led_flash_cnt[1804][6]~52146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1804][6]~52146_combout\ = (\led_flash_cnt[1804][6]~q\ & (!\led_flash_cnt[1804][5]~52145\)) # (!\led_flash_cnt[1804][6]~q\ & ((\led_flash_cnt[1804][5]~52145\) # (GND)))
-- \led_flash_cnt[1804][6]~52147\ = CARRY((!\led_flash_cnt[1804][5]~52145\) # (!\led_flash_cnt[1804][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1804][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1804][5]~52145\,
	combout => \led_flash_cnt[1804][6]~52146_combout\,
	cout => \led_flash_cnt[1804][6]~52147\);

-- Location: FF_X3_Y27_N27
\led_flash_cnt[1804][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1804][6]~52146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1804][6]~q\);

-- Location: LCCOMB_X3_Y27_N28
\led_flash_cnt[1804][7]~52148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1804][7]~52148_combout\ = \led_flash_cnt[1804][6]~52147\ $ (!\led_flash_cnt[1804][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1804][7]~q\,
	cin => \led_flash_cnt[1804][6]~52147\,
	combout => \led_flash_cnt[1804][7]~52148_combout\);

-- Location: FF_X3_Y27_N29
\led_flash_cnt[1804][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1804][7]~52148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1804][7]~q\);

-- Location: LCCOMB_X3_Y27_N12
\WideAnd1804~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1804~1_combout\ = (\led_flash_cnt[1804][6]~q\ & \led_flash_cnt[1804][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1804][6]~q\,
	datad => \led_flash_cnt[1804][5]~q\,
	combout => \WideAnd1804~1_combout\);

-- Location: LCCOMB_X3_Y27_N0
WideAnd1804 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1804~combout\ = (\WideAnd1804~0_combout\ & (\led_flash_cnt[1804][7]~q\ & (\led_flash_cnt[1804][0]~q\ & \WideAnd1804~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1804~0_combout\,
	datab => \led_flash_cnt[1804][7]~q\,
	datac => \led_flash_cnt[1804][0]~q\,
	datad => \WideAnd1804~1_combout\,
	combout => \WideAnd1804~combout\);

-- Location: FF_X3_Y27_N1
\led_flash_cnt_ands[1804]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1804~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1804));

-- Location: LCCOMB_X3_Y27_N8
\WideAnd4065~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4065~1_combout\ = (led_flash_cnt_ands(1805) & led_flash_cnt_ands(1804))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1805),
	datad => led_flash_cnt_ands(1804),
	combout => \WideAnd4065~1_combout\);

-- Location: LCCOMB_X11_Y13_N22
\led_flash_cnt[1807][0]~82447\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1807][0]~82447_combout\ = !\led_flash_cnt[1807][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1807][0]~q\,
	combout => \led_flash_cnt[1807][0]~82447_combout\);

-- Location: FF_X11_Y13_N23
\led_flash_cnt[1807][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1807][0]~82447_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1807][0]~q\);

-- Location: LCCOMB_X11_Y13_N2
\led_flash_cnt[1807][1]~52178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1807][1]~52178_combout\ = (\led_flash_cnt[1807][0]~q\ & (\led_flash_cnt[1807][1]~q\ $ (VCC))) # (!\led_flash_cnt[1807][0]~q\ & (\led_flash_cnt[1807][1]~q\ & VCC))
-- \led_flash_cnt[1807][1]~52179\ = CARRY((\led_flash_cnt[1807][0]~q\ & \led_flash_cnt[1807][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1807][0]~q\,
	datab => \led_flash_cnt[1807][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1807][1]~52178_combout\,
	cout => \led_flash_cnt[1807][1]~52179\);

-- Location: FF_X11_Y13_N3
\led_flash_cnt[1807][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1807][1]~52178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1807][1]~q\);

-- Location: LCCOMB_X11_Y13_N4
\led_flash_cnt[1807][2]~52180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1807][2]~52180_combout\ = (\led_flash_cnt[1807][2]~q\ & (!\led_flash_cnt[1807][1]~52179\)) # (!\led_flash_cnt[1807][2]~q\ & ((\led_flash_cnt[1807][1]~52179\) # (GND)))
-- \led_flash_cnt[1807][2]~52181\ = CARRY((!\led_flash_cnt[1807][1]~52179\) # (!\led_flash_cnt[1807][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1807][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1807][1]~52179\,
	combout => \led_flash_cnt[1807][2]~52180_combout\,
	cout => \led_flash_cnt[1807][2]~52181\);

-- Location: FF_X11_Y13_N5
\led_flash_cnt[1807][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1807][2]~52180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1807][2]~q\);

-- Location: LCCOMB_X11_Y13_N6
\led_flash_cnt[1807][3]~52182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1807][3]~52182_combout\ = (\led_flash_cnt[1807][3]~q\ & (\led_flash_cnt[1807][2]~52181\ $ (GND))) # (!\led_flash_cnt[1807][3]~q\ & (!\led_flash_cnt[1807][2]~52181\ & VCC))
-- \led_flash_cnt[1807][3]~52183\ = CARRY((\led_flash_cnt[1807][3]~q\ & !\led_flash_cnt[1807][2]~52181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1807][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1807][2]~52181\,
	combout => \led_flash_cnt[1807][3]~52182_combout\,
	cout => \led_flash_cnt[1807][3]~52183\);

-- Location: FF_X11_Y13_N7
\led_flash_cnt[1807][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1807][3]~52182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1807][3]~q\);

-- Location: LCCOMB_X11_Y13_N8
\led_flash_cnt[1807][4]~52184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1807][4]~52184_combout\ = (\led_flash_cnt[1807][4]~q\ & (!\led_flash_cnt[1807][3]~52183\)) # (!\led_flash_cnt[1807][4]~q\ & ((\led_flash_cnt[1807][3]~52183\) # (GND)))
-- \led_flash_cnt[1807][4]~52185\ = CARRY((!\led_flash_cnt[1807][3]~52183\) # (!\led_flash_cnt[1807][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1807][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1807][3]~52183\,
	combout => \led_flash_cnt[1807][4]~52184_combout\,
	cout => \led_flash_cnt[1807][4]~52185\);

-- Location: FF_X11_Y13_N9
\led_flash_cnt[1807][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1807][4]~52184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1807][4]~q\);

-- Location: LCCOMB_X11_Y13_N10
\led_flash_cnt[1807][5]~52186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1807][5]~52186_combout\ = (\led_flash_cnt[1807][5]~q\ & (\led_flash_cnt[1807][4]~52185\ $ (GND))) # (!\led_flash_cnt[1807][5]~q\ & (!\led_flash_cnt[1807][4]~52185\ & VCC))
-- \led_flash_cnt[1807][5]~52187\ = CARRY((\led_flash_cnt[1807][5]~q\ & !\led_flash_cnt[1807][4]~52185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1807][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1807][4]~52185\,
	combout => \led_flash_cnt[1807][5]~52186_combout\,
	cout => \led_flash_cnt[1807][5]~52187\);

-- Location: FF_X11_Y13_N11
\led_flash_cnt[1807][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1807][5]~52186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1807][5]~q\);

-- Location: LCCOMB_X11_Y13_N12
\led_flash_cnt[1807][6]~52188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1807][6]~52188_combout\ = (\led_flash_cnt[1807][6]~q\ & (!\led_flash_cnt[1807][5]~52187\)) # (!\led_flash_cnt[1807][6]~q\ & ((\led_flash_cnt[1807][5]~52187\) # (GND)))
-- \led_flash_cnt[1807][6]~52189\ = CARRY((!\led_flash_cnt[1807][5]~52187\) # (!\led_flash_cnt[1807][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1807][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1807][5]~52187\,
	combout => \led_flash_cnt[1807][6]~52188_combout\,
	cout => \led_flash_cnt[1807][6]~52189\);

-- Location: FF_X11_Y13_N13
\led_flash_cnt[1807][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1807][6]~52188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1807][6]~q\);

-- Location: LCCOMB_X11_Y13_N14
\led_flash_cnt[1807][7]~52190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1807][7]~52190_combout\ = \led_flash_cnt[1807][7]~q\ $ (!\led_flash_cnt[1807][6]~52189\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1807][7]~q\,
	cin => \led_flash_cnt[1807][6]~52189\,
	combout => \led_flash_cnt[1807][7]~52190_combout\);

-- Location: FF_X11_Y13_N15
\led_flash_cnt[1807][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1807][7]~52190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1807][7]~q\);

-- Location: LCCOMB_X11_Y13_N30
\WideAnd1807~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1807~0_combout\ = (\led_flash_cnt[1807][3]~q\ & (\led_flash_cnt[1807][2]~q\ & (\led_flash_cnt[1807][4]~q\ & \led_flash_cnt[1807][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1807][3]~q\,
	datab => \led_flash_cnt[1807][2]~q\,
	datac => \led_flash_cnt[1807][4]~q\,
	datad => \led_flash_cnt[1807][1]~q\,
	combout => \WideAnd1807~0_combout\);

-- Location: LCCOMB_X11_Y13_N18
\WideAnd1807~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1807~1_combout\ = (\led_flash_cnt[1807][5]~q\ & \led_flash_cnt[1807][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1807][5]~q\,
	datad => \led_flash_cnt[1807][6]~q\,
	combout => \WideAnd1807~1_combout\);

-- Location: LCCOMB_X11_Y13_N0
WideAnd1807 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1807~combout\ = (\led_flash_cnt[1807][0]~q\ & (\led_flash_cnt[1807][7]~q\ & (\WideAnd1807~0_combout\ & \WideAnd1807~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1807][0]~q\,
	datab => \led_flash_cnt[1807][7]~q\,
	datac => \WideAnd1807~0_combout\,
	datad => \WideAnd1807~1_combout\,
	combout => \WideAnd1807~combout\);

-- Location: FF_X11_Y13_N1
\led_flash_cnt_ands[1807]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1807~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1807));

-- Location: LCCOMB_X11_Y13_N26
WideAnd4065 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4065~combout\ = (led_flash_cnt_ands(1806) & (\WideAnd4065~0_combout\ & (\WideAnd4065~1_combout\ & led_flash_cnt_ands(1807))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1806),
	datab => \WideAnd4065~0_combout\,
	datac => \WideAnd4065~1_combout\,
	datad => led_flash_cnt_ands(1807),
	combout => \WideAnd4065~combout\);

-- Location: FF_X11_Y13_N27
\led_flash_cnt_ands_1[225]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4065~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(225));

-- Location: LCCOMB_X10_Y3_N26
\led_flash_cnt[1799][0]~82439\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1799][0]~82439_combout\ = !\led_flash_cnt[1799][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1799][0]~q\,
	combout => \led_flash_cnt[1799][0]~82439_combout\);

-- Location: FF_X10_Y3_N27
\led_flash_cnt[1799][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1799][0]~82439_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1799][0]~q\);

-- Location: LCCOMB_X10_Y3_N8
\led_flash_cnt[1799][1]~52066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1799][1]~52066_combout\ = (\led_flash_cnt[1799][0]~q\ & (\led_flash_cnt[1799][1]~q\ $ (VCC))) # (!\led_flash_cnt[1799][0]~q\ & (\led_flash_cnt[1799][1]~q\ & VCC))
-- \led_flash_cnt[1799][1]~52067\ = CARRY((\led_flash_cnt[1799][0]~q\ & \led_flash_cnt[1799][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1799][0]~q\,
	datab => \led_flash_cnt[1799][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1799][1]~52066_combout\,
	cout => \led_flash_cnt[1799][1]~52067\);

-- Location: FF_X10_Y3_N9
\led_flash_cnt[1799][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1799][1]~52066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1799][1]~q\);

-- Location: LCCOMB_X10_Y3_N10
\led_flash_cnt[1799][2]~52068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1799][2]~52068_combout\ = (\led_flash_cnt[1799][2]~q\ & (!\led_flash_cnt[1799][1]~52067\)) # (!\led_flash_cnt[1799][2]~q\ & ((\led_flash_cnt[1799][1]~52067\) # (GND)))
-- \led_flash_cnt[1799][2]~52069\ = CARRY((!\led_flash_cnt[1799][1]~52067\) # (!\led_flash_cnt[1799][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1799][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1799][1]~52067\,
	combout => \led_flash_cnt[1799][2]~52068_combout\,
	cout => \led_flash_cnt[1799][2]~52069\);

-- Location: FF_X10_Y3_N11
\led_flash_cnt[1799][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1799][2]~52068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1799][2]~q\);

-- Location: LCCOMB_X10_Y3_N12
\led_flash_cnt[1799][3]~52070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1799][3]~52070_combout\ = (\led_flash_cnt[1799][3]~q\ & (\led_flash_cnt[1799][2]~52069\ $ (GND))) # (!\led_flash_cnt[1799][3]~q\ & (!\led_flash_cnt[1799][2]~52069\ & VCC))
-- \led_flash_cnt[1799][3]~52071\ = CARRY((\led_flash_cnt[1799][3]~q\ & !\led_flash_cnt[1799][2]~52069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1799][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1799][2]~52069\,
	combout => \led_flash_cnt[1799][3]~52070_combout\,
	cout => \led_flash_cnt[1799][3]~52071\);

-- Location: FF_X10_Y3_N13
\led_flash_cnt[1799][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1799][3]~52070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1799][3]~q\);

-- Location: LCCOMB_X10_Y3_N14
\led_flash_cnt[1799][4]~52072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1799][4]~52072_combout\ = (\led_flash_cnt[1799][4]~q\ & (!\led_flash_cnt[1799][3]~52071\)) # (!\led_flash_cnt[1799][4]~q\ & ((\led_flash_cnt[1799][3]~52071\) # (GND)))
-- \led_flash_cnt[1799][4]~52073\ = CARRY((!\led_flash_cnt[1799][3]~52071\) # (!\led_flash_cnt[1799][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1799][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1799][3]~52071\,
	combout => \led_flash_cnt[1799][4]~52072_combout\,
	cout => \led_flash_cnt[1799][4]~52073\);

-- Location: FF_X10_Y3_N15
\led_flash_cnt[1799][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1799][4]~52072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1799][4]~q\);

-- Location: LCCOMB_X10_Y3_N16
\led_flash_cnt[1799][5]~52074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1799][5]~52074_combout\ = (\led_flash_cnt[1799][5]~q\ & (\led_flash_cnt[1799][4]~52073\ $ (GND))) # (!\led_flash_cnt[1799][5]~q\ & (!\led_flash_cnt[1799][4]~52073\ & VCC))
-- \led_flash_cnt[1799][5]~52075\ = CARRY((\led_flash_cnt[1799][5]~q\ & !\led_flash_cnt[1799][4]~52073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1799][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1799][4]~52073\,
	combout => \led_flash_cnt[1799][5]~52074_combout\,
	cout => \led_flash_cnt[1799][5]~52075\);

-- Location: FF_X10_Y3_N17
\led_flash_cnt[1799][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1799][5]~52074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1799][5]~q\);

-- Location: LCCOMB_X10_Y3_N18
\led_flash_cnt[1799][6]~52076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1799][6]~52076_combout\ = (\led_flash_cnt[1799][6]~q\ & (!\led_flash_cnt[1799][5]~52075\)) # (!\led_flash_cnt[1799][6]~q\ & ((\led_flash_cnt[1799][5]~52075\) # (GND)))
-- \led_flash_cnt[1799][6]~52077\ = CARRY((!\led_flash_cnt[1799][5]~52075\) # (!\led_flash_cnt[1799][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1799][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1799][5]~52075\,
	combout => \led_flash_cnt[1799][6]~52076_combout\,
	cout => \led_flash_cnt[1799][6]~52077\);

-- Location: FF_X10_Y3_N19
\led_flash_cnt[1799][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1799][6]~52076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1799][6]~q\);

-- Location: LCCOMB_X10_Y3_N20
\led_flash_cnt[1799][7]~52078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1799][7]~52078_combout\ = \led_flash_cnt[1799][6]~52077\ $ (!\led_flash_cnt[1799][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1799][7]~q\,
	cin => \led_flash_cnt[1799][6]~52077\,
	combout => \led_flash_cnt[1799][7]~52078_combout\);

-- Location: FF_X10_Y3_N21
\led_flash_cnt[1799][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1799][7]~52078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1799][7]~q\);

-- Location: LCCOMB_X10_Y3_N4
\WideAnd1799~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1799~0_combout\ = (\led_flash_cnt[1799][2]~q\ & (\led_flash_cnt[1799][4]~q\ & (\led_flash_cnt[1799][1]~q\ & \led_flash_cnt[1799][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1799][2]~q\,
	datab => \led_flash_cnt[1799][4]~q\,
	datac => \led_flash_cnt[1799][1]~q\,
	datad => \led_flash_cnt[1799][3]~q\,
	combout => \WideAnd1799~0_combout\);

-- Location: LCCOMB_X10_Y3_N24
\WideAnd1799~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1799~1_combout\ = (\led_flash_cnt[1799][5]~q\ & \led_flash_cnt[1799][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1799][5]~q\,
	datad => \led_flash_cnt[1799][6]~q\,
	combout => \WideAnd1799~1_combout\);

-- Location: LCCOMB_X10_Y3_N22
WideAnd1799 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1799~combout\ = (\led_flash_cnt[1799][0]~q\ & (\led_flash_cnt[1799][7]~q\ & (\WideAnd1799~0_combout\ & \WideAnd1799~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1799][0]~q\,
	datab => \led_flash_cnt[1799][7]~q\,
	datac => \WideAnd1799~0_combout\,
	datad => \WideAnd1799~1_combout\,
	combout => \WideAnd1799~combout\);

-- Location: FF_X10_Y3_N23
\led_flash_cnt_ands[1799]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1799~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1799));

-- Location: LCCOMB_X12_Y11_N22
\led_flash_cnt[1798][0]~82438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1798][0]~82438_combout\ = !\led_flash_cnt[1798][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1798][0]~q\,
	combout => \led_flash_cnt[1798][0]~82438_combout\);

-- Location: FF_X12_Y11_N23
\led_flash_cnt[1798][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1798][0]~82438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1798][0]~q\);

-- Location: LCCOMB_X12_Y11_N8
\led_flash_cnt[1798][1]~52052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1798][1]~52052_combout\ = (\led_flash_cnt[1798][0]~q\ & (\led_flash_cnt[1798][1]~q\ $ (VCC))) # (!\led_flash_cnt[1798][0]~q\ & (\led_flash_cnt[1798][1]~q\ & VCC))
-- \led_flash_cnt[1798][1]~52053\ = CARRY((\led_flash_cnt[1798][0]~q\ & \led_flash_cnt[1798][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1798][0]~q\,
	datab => \led_flash_cnt[1798][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1798][1]~52052_combout\,
	cout => \led_flash_cnt[1798][1]~52053\);

-- Location: FF_X12_Y11_N9
\led_flash_cnt[1798][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1798][1]~52052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1798][1]~q\);

-- Location: LCCOMB_X12_Y11_N10
\led_flash_cnt[1798][2]~52054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1798][2]~52054_combout\ = (\led_flash_cnt[1798][2]~q\ & (!\led_flash_cnt[1798][1]~52053\)) # (!\led_flash_cnt[1798][2]~q\ & ((\led_flash_cnt[1798][1]~52053\) # (GND)))
-- \led_flash_cnt[1798][2]~52055\ = CARRY((!\led_flash_cnt[1798][1]~52053\) # (!\led_flash_cnt[1798][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1798][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1798][1]~52053\,
	combout => \led_flash_cnt[1798][2]~52054_combout\,
	cout => \led_flash_cnt[1798][2]~52055\);

-- Location: FF_X12_Y11_N11
\led_flash_cnt[1798][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1798][2]~52054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1798][2]~q\);

-- Location: LCCOMB_X12_Y11_N12
\led_flash_cnt[1798][3]~52056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1798][3]~52056_combout\ = (\led_flash_cnt[1798][3]~q\ & (\led_flash_cnt[1798][2]~52055\ $ (GND))) # (!\led_flash_cnt[1798][3]~q\ & (!\led_flash_cnt[1798][2]~52055\ & VCC))
-- \led_flash_cnt[1798][3]~52057\ = CARRY((\led_flash_cnt[1798][3]~q\ & !\led_flash_cnt[1798][2]~52055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1798][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1798][2]~52055\,
	combout => \led_flash_cnt[1798][3]~52056_combout\,
	cout => \led_flash_cnt[1798][3]~52057\);

-- Location: FF_X12_Y11_N13
\led_flash_cnt[1798][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1798][3]~52056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1798][3]~q\);

-- Location: LCCOMB_X12_Y11_N14
\led_flash_cnt[1798][4]~52058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1798][4]~52058_combout\ = (\led_flash_cnt[1798][4]~q\ & (!\led_flash_cnt[1798][3]~52057\)) # (!\led_flash_cnt[1798][4]~q\ & ((\led_flash_cnt[1798][3]~52057\) # (GND)))
-- \led_flash_cnt[1798][4]~52059\ = CARRY((!\led_flash_cnt[1798][3]~52057\) # (!\led_flash_cnt[1798][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1798][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1798][3]~52057\,
	combout => \led_flash_cnt[1798][4]~52058_combout\,
	cout => \led_flash_cnt[1798][4]~52059\);

-- Location: FF_X12_Y11_N15
\led_flash_cnt[1798][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1798][4]~52058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1798][4]~q\);

-- Location: LCCOMB_X12_Y11_N16
\led_flash_cnt[1798][5]~52060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1798][5]~52060_combout\ = (\led_flash_cnt[1798][5]~q\ & (\led_flash_cnt[1798][4]~52059\ $ (GND))) # (!\led_flash_cnt[1798][5]~q\ & (!\led_flash_cnt[1798][4]~52059\ & VCC))
-- \led_flash_cnt[1798][5]~52061\ = CARRY((\led_flash_cnt[1798][5]~q\ & !\led_flash_cnt[1798][4]~52059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1798][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1798][4]~52059\,
	combout => \led_flash_cnt[1798][5]~52060_combout\,
	cout => \led_flash_cnt[1798][5]~52061\);

-- Location: FF_X12_Y11_N17
\led_flash_cnt[1798][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1798][5]~52060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1798][5]~q\);

-- Location: LCCOMB_X12_Y11_N18
\led_flash_cnt[1798][6]~52062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1798][6]~52062_combout\ = (\led_flash_cnt[1798][6]~q\ & (!\led_flash_cnt[1798][5]~52061\)) # (!\led_flash_cnt[1798][6]~q\ & ((\led_flash_cnt[1798][5]~52061\) # (GND)))
-- \led_flash_cnt[1798][6]~52063\ = CARRY((!\led_flash_cnt[1798][5]~52061\) # (!\led_flash_cnt[1798][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1798][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1798][5]~52061\,
	combout => \led_flash_cnt[1798][6]~52062_combout\,
	cout => \led_flash_cnt[1798][6]~52063\);

-- Location: FF_X12_Y11_N19
\led_flash_cnt[1798][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1798][6]~52062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1798][6]~q\);

-- Location: LCCOMB_X12_Y11_N20
\led_flash_cnt[1798][7]~52064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1798][7]~52064_combout\ = \led_flash_cnt[1798][6]~52063\ $ (!\led_flash_cnt[1798][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1798][7]~q\,
	cin => \led_flash_cnt[1798][6]~52063\,
	combout => \led_flash_cnt[1798][7]~52064_combout\);

-- Location: FF_X12_Y11_N21
\led_flash_cnt[1798][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1798][7]~52064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1798][7]~q\);

-- Location: LCCOMB_X12_Y11_N4
\WideAnd1798~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1798~1_combout\ = (\led_flash_cnt[1798][5]~q\ & \led_flash_cnt[1798][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1798][5]~q\,
	datad => \led_flash_cnt[1798][6]~q\,
	combout => \WideAnd1798~1_combout\);

-- Location: LCCOMB_X12_Y11_N24
\WideAnd1798~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1798~0_combout\ = (\led_flash_cnt[1798][2]~q\ & (\led_flash_cnt[1798][4]~q\ & (\led_flash_cnt[1798][1]~q\ & \led_flash_cnt[1798][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1798][2]~q\,
	datab => \led_flash_cnt[1798][4]~q\,
	datac => \led_flash_cnt[1798][1]~q\,
	datad => \led_flash_cnt[1798][3]~q\,
	combout => \WideAnd1798~0_combout\);

-- Location: LCCOMB_X12_Y11_N26
WideAnd1798 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1798~combout\ = (\led_flash_cnt[1798][0]~q\ & (\led_flash_cnt[1798][7]~q\ & (\WideAnd1798~1_combout\ & \WideAnd1798~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1798][0]~q\,
	datab => \led_flash_cnt[1798][7]~q\,
	datac => \WideAnd1798~1_combout\,
	datad => \WideAnd1798~0_combout\,
	combout => \WideAnd1798~combout\);

-- Location: FF_X12_Y11_N27
\led_flash_cnt_ands[1798]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1798~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1798));

-- Location: LCCOMB_X12_Y13_N0
\led_flash_cnt[1796][0]~82436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1796][0]~82436_combout\ = !\led_flash_cnt[1796][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1796][0]~q\,
	combout => \led_flash_cnt[1796][0]~82436_combout\);

-- Location: FF_X12_Y13_N1
\led_flash_cnt[1796][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1796][0]~82436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1796][0]~q\);

-- Location: LCCOMB_X12_Y13_N18
\led_flash_cnt[1796][1]~52024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1796][1]~52024_combout\ = (\led_flash_cnt[1796][1]~q\ & (\led_flash_cnt[1796][0]~q\ $ (VCC))) # (!\led_flash_cnt[1796][1]~q\ & (\led_flash_cnt[1796][0]~q\ & VCC))
-- \led_flash_cnt[1796][1]~52025\ = CARRY((\led_flash_cnt[1796][1]~q\ & \led_flash_cnt[1796][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1796][1]~q\,
	datab => \led_flash_cnt[1796][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1796][1]~52024_combout\,
	cout => \led_flash_cnt[1796][1]~52025\);

-- Location: FF_X12_Y13_N19
\led_flash_cnt[1796][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1796][1]~52024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1796][1]~q\);

-- Location: LCCOMB_X12_Y13_N20
\led_flash_cnt[1796][2]~52026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1796][2]~52026_combout\ = (\led_flash_cnt[1796][2]~q\ & (!\led_flash_cnt[1796][1]~52025\)) # (!\led_flash_cnt[1796][2]~q\ & ((\led_flash_cnt[1796][1]~52025\) # (GND)))
-- \led_flash_cnt[1796][2]~52027\ = CARRY((!\led_flash_cnt[1796][1]~52025\) # (!\led_flash_cnt[1796][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1796][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1796][1]~52025\,
	combout => \led_flash_cnt[1796][2]~52026_combout\,
	cout => \led_flash_cnt[1796][2]~52027\);

-- Location: FF_X12_Y13_N21
\led_flash_cnt[1796][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1796][2]~52026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1796][2]~q\);

-- Location: LCCOMB_X12_Y13_N22
\led_flash_cnt[1796][3]~52028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1796][3]~52028_combout\ = (\led_flash_cnt[1796][3]~q\ & (\led_flash_cnt[1796][2]~52027\ $ (GND))) # (!\led_flash_cnt[1796][3]~q\ & (!\led_flash_cnt[1796][2]~52027\ & VCC))
-- \led_flash_cnt[1796][3]~52029\ = CARRY((\led_flash_cnt[1796][3]~q\ & !\led_flash_cnt[1796][2]~52027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1796][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1796][2]~52027\,
	combout => \led_flash_cnt[1796][3]~52028_combout\,
	cout => \led_flash_cnt[1796][3]~52029\);

-- Location: FF_X12_Y13_N23
\led_flash_cnt[1796][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1796][3]~52028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1796][3]~q\);

-- Location: LCCOMB_X12_Y13_N24
\led_flash_cnt[1796][4]~52030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1796][4]~52030_combout\ = (\led_flash_cnt[1796][4]~q\ & (!\led_flash_cnt[1796][3]~52029\)) # (!\led_flash_cnt[1796][4]~q\ & ((\led_flash_cnt[1796][3]~52029\) # (GND)))
-- \led_flash_cnt[1796][4]~52031\ = CARRY((!\led_flash_cnt[1796][3]~52029\) # (!\led_flash_cnt[1796][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1796][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1796][3]~52029\,
	combout => \led_flash_cnt[1796][4]~52030_combout\,
	cout => \led_flash_cnt[1796][4]~52031\);

-- Location: FF_X12_Y13_N25
\led_flash_cnt[1796][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1796][4]~52030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1796][4]~q\);

-- Location: LCCOMB_X12_Y13_N26
\led_flash_cnt[1796][5]~52032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1796][5]~52032_combout\ = (\led_flash_cnt[1796][5]~q\ & (\led_flash_cnt[1796][4]~52031\ $ (GND))) # (!\led_flash_cnt[1796][5]~q\ & (!\led_flash_cnt[1796][4]~52031\ & VCC))
-- \led_flash_cnt[1796][5]~52033\ = CARRY((\led_flash_cnt[1796][5]~q\ & !\led_flash_cnt[1796][4]~52031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1796][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1796][4]~52031\,
	combout => \led_flash_cnt[1796][5]~52032_combout\,
	cout => \led_flash_cnt[1796][5]~52033\);

-- Location: FF_X12_Y13_N27
\led_flash_cnt[1796][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1796][5]~52032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1796][5]~q\);

-- Location: LCCOMB_X12_Y13_N28
\led_flash_cnt[1796][6]~52034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1796][6]~52034_combout\ = (\led_flash_cnt[1796][6]~q\ & (!\led_flash_cnt[1796][5]~52033\)) # (!\led_flash_cnt[1796][6]~q\ & ((\led_flash_cnt[1796][5]~52033\) # (GND)))
-- \led_flash_cnt[1796][6]~52035\ = CARRY((!\led_flash_cnt[1796][5]~52033\) # (!\led_flash_cnt[1796][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1796][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1796][5]~52033\,
	combout => \led_flash_cnt[1796][6]~52034_combout\,
	cout => \led_flash_cnt[1796][6]~52035\);

-- Location: FF_X12_Y13_N29
\led_flash_cnt[1796][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1796][6]~52034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1796][6]~q\);

-- Location: LCCOMB_X12_Y13_N10
\WideAnd1796~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1796~1_combout\ = (\led_flash_cnt[1796][5]~q\ & \led_flash_cnt[1796][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1796][5]~q\,
	datad => \led_flash_cnt[1796][6]~q\,
	combout => \WideAnd1796~1_combout\);

-- Location: LCCOMB_X12_Y13_N30
\led_flash_cnt[1796][7]~52036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1796][7]~52036_combout\ = \led_flash_cnt[1796][7]~q\ $ (!\led_flash_cnt[1796][6]~52035\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1796][7]~q\,
	cin => \led_flash_cnt[1796][6]~52035\,
	combout => \led_flash_cnt[1796][7]~52036_combout\);

-- Location: FF_X12_Y13_N31
\led_flash_cnt[1796][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1796][7]~52036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1796][7]~q\);

-- Location: LCCOMB_X12_Y13_N12
\WideAnd1796~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1796~0_combout\ = (\led_flash_cnt[1796][1]~q\ & (\led_flash_cnt[1796][2]~q\ & (\led_flash_cnt[1796][3]~q\ & \led_flash_cnt[1796][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1796][1]~q\,
	datab => \led_flash_cnt[1796][2]~q\,
	datac => \led_flash_cnt[1796][3]~q\,
	datad => \led_flash_cnt[1796][4]~q\,
	combout => \WideAnd1796~0_combout\);

-- Location: LCCOMB_X12_Y13_N14
WideAnd1796 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1796~combout\ = (\WideAnd1796~1_combout\ & (\led_flash_cnt[1796][0]~q\ & (\led_flash_cnt[1796][7]~q\ & \WideAnd1796~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1796~1_combout\,
	datab => \led_flash_cnt[1796][0]~q\,
	datac => \led_flash_cnt[1796][7]~q\,
	datad => \WideAnd1796~0_combout\,
	combout => \WideAnd1796~combout\);

-- Location: FF_X12_Y13_N15
\led_flash_cnt_ands[1796]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1796~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1796));

-- Location: LCCOMB_X12_Y13_N16
\led_flash_cnt[1797][0]~82437\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1797][0]~82437_combout\ = !\led_flash_cnt[1797][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1797][0]~q\,
	combout => \led_flash_cnt[1797][0]~82437_combout\);

-- Location: FF_X12_Y13_N17
\led_flash_cnt[1797][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1797][0]~82437_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1797][0]~q\);

-- Location: LCCOMB_X16_Y13_N18
\led_flash_cnt[1797][1]~52038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1797][1]~52038_combout\ = (\led_flash_cnt[1797][0]~q\ & (\led_flash_cnt[1797][1]~q\ $ (VCC))) # (!\led_flash_cnt[1797][0]~q\ & (\led_flash_cnt[1797][1]~q\ & VCC))
-- \led_flash_cnt[1797][1]~52039\ = CARRY((\led_flash_cnt[1797][0]~q\ & \led_flash_cnt[1797][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1797][0]~q\,
	datab => \led_flash_cnt[1797][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1797][1]~52038_combout\,
	cout => \led_flash_cnt[1797][1]~52039\);

-- Location: FF_X16_Y13_N19
\led_flash_cnt[1797][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1797][1]~52038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1797][1]~q\);

-- Location: LCCOMB_X16_Y13_N20
\led_flash_cnt[1797][2]~52040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1797][2]~52040_combout\ = (\led_flash_cnt[1797][2]~q\ & (!\led_flash_cnt[1797][1]~52039\)) # (!\led_flash_cnt[1797][2]~q\ & ((\led_flash_cnt[1797][1]~52039\) # (GND)))
-- \led_flash_cnt[1797][2]~52041\ = CARRY((!\led_flash_cnt[1797][1]~52039\) # (!\led_flash_cnt[1797][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1797][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1797][1]~52039\,
	combout => \led_flash_cnt[1797][2]~52040_combout\,
	cout => \led_flash_cnt[1797][2]~52041\);

-- Location: FF_X16_Y13_N21
\led_flash_cnt[1797][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1797][2]~52040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1797][2]~q\);

-- Location: LCCOMB_X16_Y13_N22
\led_flash_cnt[1797][3]~52042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1797][3]~52042_combout\ = (\led_flash_cnt[1797][3]~q\ & (\led_flash_cnt[1797][2]~52041\ $ (GND))) # (!\led_flash_cnt[1797][3]~q\ & (!\led_flash_cnt[1797][2]~52041\ & VCC))
-- \led_flash_cnt[1797][3]~52043\ = CARRY((\led_flash_cnt[1797][3]~q\ & !\led_flash_cnt[1797][2]~52041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1797][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1797][2]~52041\,
	combout => \led_flash_cnt[1797][3]~52042_combout\,
	cout => \led_flash_cnt[1797][3]~52043\);

-- Location: FF_X16_Y13_N23
\led_flash_cnt[1797][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1797][3]~52042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1797][3]~q\);

-- Location: LCCOMB_X16_Y13_N24
\led_flash_cnt[1797][4]~52044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1797][4]~52044_combout\ = (\led_flash_cnt[1797][4]~q\ & (!\led_flash_cnt[1797][3]~52043\)) # (!\led_flash_cnt[1797][4]~q\ & ((\led_flash_cnt[1797][3]~52043\) # (GND)))
-- \led_flash_cnt[1797][4]~52045\ = CARRY((!\led_flash_cnt[1797][3]~52043\) # (!\led_flash_cnt[1797][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1797][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1797][3]~52043\,
	combout => \led_flash_cnt[1797][4]~52044_combout\,
	cout => \led_flash_cnt[1797][4]~52045\);

-- Location: FF_X16_Y13_N25
\led_flash_cnt[1797][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1797][4]~52044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1797][4]~q\);

-- Location: LCCOMB_X16_Y13_N16
\WideAnd1797~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1797~0_combout\ = (\led_flash_cnt[1797][4]~q\ & (\led_flash_cnt[1797][1]~q\ & (\led_flash_cnt[1797][3]~q\ & \led_flash_cnt[1797][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1797][4]~q\,
	datab => \led_flash_cnt[1797][1]~q\,
	datac => \led_flash_cnt[1797][3]~q\,
	datad => \led_flash_cnt[1797][2]~q\,
	combout => \WideAnd1797~0_combout\);

-- Location: LCCOMB_X16_Y13_N26
\led_flash_cnt[1797][5]~52046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1797][5]~52046_combout\ = (\led_flash_cnt[1797][5]~q\ & (\led_flash_cnt[1797][4]~52045\ $ (GND))) # (!\led_flash_cnt[1797][5]~q\ & (!\led_flash_cnt[1797][4]~52045\ & VCC))
-- \led_flash_cnt[1797][5]~52047\ = CARRY((\led_flash_cnt[1797][5]~q\ & !\led_flash_cnt[1797][4]~52045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1797][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1797][4]~52045\,
	combout => \led_flash_cnt[1797][5]~52046_combout\,
	cout => \led_flash_cnt[1797][5]~52047\);

-- Location: FF_X16_Y13_N27
\led_flash_cnt[1797][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1797][5]~52046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1797][5]~q\);

-- Location: LCCOMB_X16_Y13_N28
\led_flash_cnt[1797][6]~52048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1797][6]~52048_combout\ = (\led_flash_cnt[1797][6]~q\ & (!\led_flash_cnt[1797][5]~52047\)) # (!\led_flash_cnt[1797][6]~q\ & ((\led_flash_cnt[1797][5]~52047\) # (GND)))
-- \led_flash_cnt[1797][6]~52049\ = CARRY((!\led_flash_cnt[1797][5]~52047\) # (!\led_flash_cnt[1797][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1797][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1797][5]~52047\,
	combout => \led_flash_cnt[1797][6]~52048_combout\,
	cout => \led_flash_cnt[1797][6]~52049\);

-- Location: FF_X16_Y13_N29
\led_flash_cnt[1797][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1797][6]~52048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1797][6]~q\);

-- Location: LCCOMB_X12_Y13_N4
\WideAnd1797~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1797~1_combout\ = (\led_flash_cnt[1797][6]~q\ & \led_flash_cnt[1797][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1797][6]~q\,
	datac => \led_flash_cnt[1797][5]~q\,
	combout => \WideAnd1797~1_combout\);

-- Location: LCCOMB_X16_Y13_N30
\led_flash_cnt[1797][7]~52050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1797][7]~52050_combout\ = \led_flash_cnt[1797][7]~q\ $ (!\led_flash_cnt[1797][6]~52049\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1797][7]~q\,
	cin => \led_flash_cnt[1797][6]~52049\,
	combout => \led_flash_cnt[1797][7]~52050_combout\);

-- Location: FF_X16_Y13_N31
\led_flash_cnt[1797][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1797][7]~52050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1797][7]~q\);

-- Location: LCCOMB_X12_Y13_N6
WideAnd1797 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1797~combout\ = (\WideAnd1797~0_combout\ & (\led_flash_cnt[1797][0]~q\ & (\WideAnd1797~1_combout\ & \led_flash_cnt[1797][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1797~0_combout\,
	datab => \led_flash_cnt[1797][0]~q\,
	datac => \WideAnd1797~1_combout\,
	datad => \led_flash_cnt[1797][7]~q\,
	combout => \WideAnd1797~combout\);

-- Location: FF_X12_Y13_N7
\led_flash_cnt_ands[1797]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1797~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1797));

-- Location: LCCOMB_X12_Y13_N8
\WideAnd4064~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4064~1_combout\ = (led_flash_cnt_ands(1796) & led_flash_cnt_ands(1797))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1796),
	datad => led_flash_cnt_ands(1797),
	combout => \WideAnd4064~1_combout\);

-- Location: LCCOMB_X8_Y33_N16
\led_flash_cnt[1792][0]~82432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1792][0]~82432_combout\ = !\led_flash_cnt[1792][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1792][0]~q\,
	combout => \led_flash_cnt[1792][0]~82432_combout\);

-- Location: FF_X8_Y33_N17
\led_flash_cnt[1792][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1792][0]~82432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1792][0]~q\);

-- Location: LCCOMB_X8_Y33_N18
\led_flash_cnt[1792][1]~51968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1792][1]~51968_combout\ = (\led_flash_cnt[1792][1]~q\ & (\led_flash_cnt[1792][0]~q\ $ (VCC))) # (!\led_flash_cnt[1792][1]~q\ & (\led_flash_cnt[1792][0]~q\ & VCC))
-- \led_flash_cnt[1792][1]~51969\ = CARRY((\led_flash_cnt[1792][1]~q\ & \led_flash_cnt[1792][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1792][1]~q\,
	datab => \led_flash_cnt[1792][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1792][1]~51968_combout\,
	cout => \led_flash_cnt[1792][1]~51969\);

-- Location: FF_X8_Y33_N19
\led_flash_cnt[1792][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1792][1]~51968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1792][1]~q\);

-- Location: LCCOMB_X8_Y33_N20
\led_flash_cnt[1792][2]~51970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1792][2]~51970_combout\ = (\led_flash_cnt[1792][2]~q\ & (!\led_flash_cnt[1792][1]~51969\)) # (!\led_flash_cnt[1792][2]~q\ & ((\led_flash_cnt[1792][1]~51969\) # (GND)))
-- \led_flash_cnt[1792][2]~51971\ = CARRY((!\led_flash_cnt[1792][1]~51969\) # (!\led_flash_cnt[1792][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1792][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1792][1]~51969\,
	combout => \led_flash_cnt[1792][2]~51970_combout\,
	cout => \led_flash_cnt[1792][2]~51971\);

-- Location: FF_X8_Y33_N21
\led_flash_cnt[1792][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1792][2]~51970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1792][2]~q\);

-- Location: LCCOMB_X8_Y33_N22
\led_flash_cnt[1792][3]~51972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1792][3]~51972_combout\ = (\led_flash_cnt[1792][3]~q\ & (\led_flash_cnt[1792][2]~51971\ $ (GND))) # (!\led_flash_cnt[1792][3]~q\ & (!\led_flash_cnt[1792][2]~51971\ & VCC))
-- \led_flash_cnt[1792][3]~51973\ = CARRY((\led_flash_cnt[1792][3]~q\ & !\led_flash_cnt[1792][2]~51971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1792][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1792][2]~51971\,
	combout => \led_flash_cnt[1792][3]~51972_combout\,
	cout => \led_flash_cnt[1792][3]~51973\);

-- Location: FF_X8_Y33_N23
\led_flash_cnt[1792][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1792][3]~51972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1792][3]~q\);

-- Location: LCCOMB_X8_Y33_N24
\led_flash_cnt[1792][4]~51974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1792][4]~51974_combout\ = (\led_flash_cnt[1792][4]~q\ & (!\led_flash_cnt[1792][3]~51973\)) # (!\led_flash_cnt[1792][4]~q\ & ((\led_flash_cnt[1792][3]~51973\) # (GND)))
-- \led_flash_cnt[1792][4]~51975\ = CARRY((!\led_flash_cnt[1792][3]~51973\) # (!\led_flash_cnt[1792][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1792][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1792][3]~51973\,
	combout => \led_flash_cnt[1792][4]~51974_combout\,
	cout => \led_flash_cnt[1792][4]~51975\);

-- Location: FF_X8_Y33_N25
\led_flash_cnt[1792][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1792][4]~51974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1792][4]~q\);

-- Location: LCCOMB_X8_Y33_N26
\led_flash_cnt[1792][5]~51976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1792][5]~51976_combout\ = (\led_flash_cnt[1792][5]~q\ & (\led_flash_cnt[1792][4]~51975\ $ (GND))) # (!\led_flash_cnt[1792][5]~q\ & (!\led_flash_cnt[1792][4]~51975\ & VCC))
-- \led_flash_cnt[1792][5]~51977\ = CARRY((\led_flash_cnt[1792][5]~q\ & !\led_flash_cnt[1792][4]~51975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1792][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1792][4]~51975\,
	combout => \led_flash_cnt[1792][5]~51976_combout\,
	cout => \led_flash_cnt[1792][5]~51977\);

-- Location: FF_X8_Y33_N27
\led_flash_cnt[1792][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1792][5]~51976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1792][5]~q\);

-- Location: LCCOMB_X8_Y33_N28
\led_flash_cnt[1792][6]~51978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1792][6]~51978_combout\ = (\led_flash_cnt[1792][6]~q\ & (!\led_flash_cnt[1792][5]~51977\)) # (!\led_flash_cnt[1792][6]~q\ & ((\led_flash_cnt[1792][5]~51977\) # (GND)))
-- \led_flash_cnt[1792][6]~51979\ = CARRY((!\led_flash_cnt[1792][5]~51977\) # (!\led_flash_cnt[1792][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1792][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1792][5]~51977\,
	combout => \led_flash_cnt[1792][6]~51978_combout\,
	cout => \led_flash_cnt[1792][6]~51979\);

-- Location: FF_X8_Y33_N29
\led_flash_cnt[1792][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1792][6]~51978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1792][6]~q\);

-- Location: LCCOMB_X8_Y33_N30
\led_flash_cnt[1792][7]~51980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1792][7]~51980_combout\ = \led_flash_cnt[1792][7]~q\ $ (!\led_flash_cnt[1792][6]~51979\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1792][7]~q\,
	cin => \led_flash_cnt[1792][6]~51979\,
	combout => \led_flash_cnt[1792][7]~51980_combout\);

-- Location: FF_X8_Y33_N31
\led_flash_cnt[1792][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1792][7]~51980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1792][7]~q\);

-- Location: LCCOMB_X8_Y33_N4
\WideAnd1792~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1792~0_combout\ = (\led_flash_cnt[1792][1]~q\ & (\led_flash_cnt[1792][2]~q\ & (\led_flash_cnt[1792][3]~q\ & \led_flash_cnt[1792][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1792][1]~q\,
	datab => \led_flash_cnt[1792][2]~q\,
	datac => \led_flash_cnt[1792][3]~q\,
	datad => \led_flash_cnt[1792][4]~q\,
	combout => \WideAnd1792~0_combout\);

-- Location: LCCOMB_X8_Y33_N12
\WideAnd1792~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1792~1_combout\ = (\led_flash_cnt[1792][5]~q\ & \led_flash_cnt[1792][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1792][5]~q\,
	datad => \led_flash_cnt[1792][6]~q\,
	combout => \WideAnd1792~1_combout\);

-- Location: LCCOMB_X8_Y33_N14
WideAnd1792 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1792~combout\ = (\led_flash_cnt[1792][7]~q\ & (\led_flash_cnt[1792][0]~q\ & (\WideAnd1792~0_combout\ & \WideAnd1792~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1792][7]~q\,
	datab => \led_flash_cnt[1792][0]~q\,
	datac => \WideAnd1792~0_combout\,
	datad => \WideAnd1792~1_combout\,
	combout => \WideAnd1792~combout\);

-- Location: FF_X8_Y33_N15
\led_flash_cnt_ands[1792]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1792~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1792));

-- Location: LCCOMB_X6_Y31_N10
\led_flash_cnt[1794][0]~82434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1794][0]~82434_combout\ = !\led_flash_cnt[1794][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1794][0]~q\,
	combout => \led_flash_cnt[1794][0]~82434_combout\);

-- Location: FF_X6_Y31_N11
\led_flash_cnt[1794][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1794][0]~82434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1794][0]~q\);

-- Location: LCCOMB_X6_Y31_N16
\led_flash_cnt[1794][1]~51996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1794][1]~51996_combout\ = (\led_flash_cnt[1794][0]~q\ & (\led_flash_cnt[1794][1]~q\ $ (VCC))) # (!\led_flash_cnt[1794][0]~q\ & (\led_flash_cnt[1794][1]~q\ & VCC))
-- \led_flash_cnt[1794][1]~51997\ = CARRY((\led_flash_cnt[1794][0]~q\ & \led_flash_cnt[1794][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1794][0]~q\,
	datab => \led_flash_cnt[1794][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1794][1]~51996_combout\,
	cout => \led_flash_cnt[1794][1]~51997\);

-- Location: FF_X6_Y31_N17
\led_flash_cnt[1794][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1794][1]~51996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1794][1]~q\);

-- Location: LCCOMB_X6_Y31_N18
\led_flash_cnt[1794][2]~51998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1794][2]~51998_combout\ = (\led_flash_cnt[1794][2]~q\ & (!\led_flash_cnt[1794][1]~51997\)) # (!\led_flash_cnt[1794][2]~q\ & ((\led_flash_cnt[1794][1]~51997\) # (GND)))
-- \led_flash_cnt[1794][2]~51999\ = CARRY((!\led_flash_cnt[1794][1]~51997\) # (!\led_flash_cnt[1794][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1794][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1794][1]~51997\,
	combout => \led_flash_cnt[1794][2]~51998_combout\,
	cout => \led_flash_cnt[1794][2]~51999\);

-- Location: FF_X6_Y31_N19
\led_flash_cnt[1794][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1794][2]~51998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1794][2]~q\);

-- Location: LCCOMB_X6_Y31_N20
\led_flash_cnt[1794][3]~52000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1794][3]~52000_combout\ = (\led_flash_cnt[1794][3]~q\ & (\led_flash_cnt[1794][2]~51999\ $ (GND))) # (!\led_flash_cnt[1794][3]~q\ & (!\led_flash_cnt[1794][2]~51999\ & VCC))
-- \led_flash_cnt[1794][3]~52001\ = CARRY((\led_flash_cnt[1794][3]~q\ & !\led_flash_cnt[1794][2]~51999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1794][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1794][2]~51999\,
	combout => \led_flash_cnt[1794][3]~52000_combout\,
	cout => \led_flash_cnt[1794][3]~52001\);

-- Location: FF_X6_Y31_N21
\led_flash_cnt[1794][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1794][3]~52000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1794][3]~q\);

-- Location: LCCOMB_X6_Y31_N22
\led_flash_cnt[1794][4]~52002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1794][4]~52002_combout\ = (\led_flash_cnt[1794][4]~q\ & (!\led_flash_cnt[1794][3]~52001\)) # (!\led_flash_cnt[1794][4]~q\ & ((\led_flash_cnt[1794][3]~52001\) # (GND)))
-- \led_flash_cnt[1794][4]~52003\ = CARRY((!\led_flash_cnt[1794][3]~52001\) # (!\led_flash_cnt[1794][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1794][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1794][3]~52001\,
	combout => \led_flash_cnt[1794][4]~52002_combout\,
	cout => \led_flash_cnt[1794][4]~52003\);

-- Location: FF_X6_Y31_N23
\led_flash_cnt[1794][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1794][4]~52002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1794][4]~q\);

-- Location: LCCOMB_X6_Y31_N24
\led_flash_cnt[1794][5]~52004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1794][5]~52004_combout\ = (\led_flash_cnt[1794][5]~q\ & (\led_flash_cnt[1794][4]~52003\ $ (GND))) # (!\led_flash_cnt[1794][5]~q\ & (!\led_flash_cnt[1794][4]~52003\ & VCC))
-- \led_flash_cnt[1794][5]~52005\ = CARRY((\led_flash_cnt[1794][5]~q\ & !\led_flash_cnt[1794][4]~52003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1794][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1794][4]~52003\,
	combout => \led_flash_cnt[1794][5]~52004_combout\,
	cout => \led_flash_cnt[1794][5]~52005\);

-- Location: FF_X6_Y31_N25
\led_flash_cnt[1794][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1794][5]~52004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1794][5]~q\);

-- Location: LCCOMB_X6_Y31_N26
\led_flash_cnt[1794][6]~52006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1794][6]~52006_combout\ = (\led_flash_cnt[1794][6]~q\ & (!\led_flash_cnt[1794][5]~52005\)) # (!\led_flash_cnt[1794][6]~q\ & ((\led_flash_cnt[1794][5]~52005\) # (GND)))
-- \led_flash_cnt[1794][6]~52007\ = CARRY((!\led_flash_cnt[1794][5]~52005\) # (!\led_flash_cnt[1794][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1794][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1794][5]~52005\,
	combout => \led_flash_cnt[1794][6]~52006_combout\,
	cout => \led_flash_cnt[1794][6]~52007\);

-- Location: FF_X6_Y31_N27
\led_flash_cnt[1794][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1794][6]~52006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1794][6]~q\);

-- Location: LCCOMB_X6_Y31_N28
\led_flash_cnt[1794][7]~52008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1794][7]~52008_combout\ = \led_flash_cnt[1794][6]~52007\ $ (!\led_flash_cnt[1794][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1794][7]~q\,
	cin => \led_flash_cnt[1794][6]~52007\,
	combout => \led_flash_cnt[1794][7]~52008_combout\);

-- Location: FF_X6_Y31_N29
\led_flash_cnt[1794][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1794][7]~52008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1794][7]~q\);

-- Location: LCCOMB_X6_Y31_N30
\WideAnd1794~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1794~0_combout\ = (\led_flash_cnt[1794][3]~q\ & (\led_flash_cnt[1794][1]~q\ & (\led_flash_cnt[1794][4]~q\ & \led_flash_cnt[1794][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1794][3]~q\,
	datab => \led_flash_cnt[1794][1]~q\,
	datac => \led_flash_cnt[1794][4]~q\,
	datad => \led_flash_cnt[1794][2]~q\,
	combout => \WideAnd1794~0_combout\);

-- Location: LCCOMB_X6_Y31_N12
\WideAnd1794~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1794~1_combout\ = (\led_flash_cnt[1794][6]~q\ & \led_flash_cnt[1794][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1794][6]~q\,
	datad => \led_flash_cnt[1794][5]~q\,
	combout => \WideAnd1794~1_combout\);

-- Location: LCCOMB_X6_Y31_N4
WideAnd1794 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1794~combout\ = (\led_flash_cnt[1794][0]~q\ & (\led_flash_cnt[1794][7]~q\ & (\WideAnd1794~0_combout\ & \WideAnd1794~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1794][0]~q\,
	datab => \led_flash_cnt[1794][7]~q\,
	datac => \WideAnd1794~0_combout\,
	datad => \WideAnd1794~1_combout\,
	combout => \WideAnd1794~combout\);

-- Location: FF_X6_Y31_N5
\led_flash_cnt_ands[1794]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1794~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1794));

-- Location: LCCOMB_X9_Y27_N28
\led_flash_cnt[1793][0]~82433\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1793][0]~82433_combout\ = !\led_flash_cnt[1793][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1793][0]~q\,
	combout => \led_flash_cnt[1793][0]~82433_combout\);

-- Location: FF_X9_Y27_N29
\led_flash_cnt[1793][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1793][0]~82433_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1793][0]~q\);

-- Location: LCCOMB_X9_Y27_N12
\led_flash_cnt[1793][1]~51982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1793][1]~51982_combout\ = (\led_flash_cnt[1793][1]~q\ & (\led_flash_cnt[1793][0]~q\ $ (VCC))) # (!\led_flash_cnt[1793][1]~q\ & (\led_flash_cnt[1793][0]~q\ & VCC))
-- \led_flash_cnt[1793][1]~51983\ = CARRY((\led_flash_cnt[1793][1]~q\ & \led_flash_cnt[1793][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1793][1]~q\,
	datab => \led_flash_cnt[1793][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1793][1]~51982_combout\,
	cout => \led_flash_cnt[1793][1]~51983\);

-- Location: FF_X9_Y27_N13
\led_flash_cnt[1793][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1793][1]~51982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1793][1]~q\);

-- Location: LCCOMB_X9_Y27_N14
\led_flash_cnt[1793][2]~51984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1793][2]~51984_combout\ = (\led_flash_cnt[1793][2]~q\ & (!\led_flash_cnt[1793][1]~51983\)) # (!\led_flash_cnt[1793][2]~q\ & ((\led_flash_cnt[1793][1]~51983\) # (GND)))
-- \led_flash_cnt[1793][2]~51985\ = CARRY((!\led_flash_cnt[1793][1]~51983\) # (!\led_flash_cnt[1793][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1793][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1793][1]~51983\,
	combout => \led_flash_cnt[1793][2]~51984_combout\,
	cout => \led_flash_cnt[1793][2]~51985\);

-- Location: FF_X9_Y27_N15
\led_flash_cnt[1793][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1793][2]~51984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1793][2]~q\);

-- Location: LCCOMB_X9_Y27_N16
\led_flash_cnt[1793][3]~51986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1793][3]~51986_combout\ = (\led_flash_cnt[1793][3]~q\ & (\led_flash_cnt[1793][2]~51985\ $ (GND))) # (!\led_flash_cnt[1793][3]~q\ & (!\led_flash_cnt[1793][2]~51985\ & VCC))
-- \led_flash_cnt[1793][3]~51987\ = CARRY((\led_flash_cnt[1793][3]~q\ & !\led_flash_cnt[1793][2]~51985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1793][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1793][2]~51985\,
	combout => \led_flash_cnt[1793][3]~51986_combout\,
	cout => \led_flash_cnt[1793][3]~51987\);

-- Location: FF_X9_Y27_N17
\led_flash_cnt[1793][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1793][3]~51986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1793][3]~q\);

-- Location: LCCOMB_X9_Y27_N18
\led_flash_cnt[1793][4]~51988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1793][4]~51988_combout\ = (\led_flash_cnt[1793][4]~q\ & (!\led_flash_cnt[1793][3]~51987\)) # (!\led_flash_cnt[1793][4]~q\ & ((\led_flash_cnt[1793][3]~51987\) # (GND)))
-- \led_flash_cnt[1793][4]~51989\ = CARRY((!\led_flash_cnt[1793][3]~51987\) # (!\led_flash_cnt[1793][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1793][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1793][3]~51987\,
	combout => \led_flash_cnt[1793][4]~51988_combout\,
	cout => \led_flash_cnt[1793][4]~51989\);

-- Location: FF_X9_Y27_N19
\led_flash_cnt[1793][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1793][4]~51988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1793][4]~q\);

-- Location: LCCOMB_X9_Y27_N20
\led_flash_cnt[1793][5]~51990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1793][5]~51990_combout\ = (\led_flash_cnt[1793][5]~q\ & (\led_flash_cnt[1793][4]~51989\ $ (GND))) # (!\led_flash_cnt[1793][5]~q\ & (!\led_flash_cnt[1793][4]~51989\ & VCC))
-- \led_flash_cnt[1793][5]~51991\ = CARRY((\led_flash_cnt[1793][5]~q\ & !\led_flash_cnt[1793][4]~51989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1793][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1793][4]~51989\,
	combout => \led_flash_cnt[1793][5]~51990_combout\,
	cout => \led_flash_cnt[1793][5]~51991\);

-- Location: FF_X9_Y27_N21
\led_flash_cnt[1793][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1793][5]~51990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1793][5]~q\);

-- Location: LCCOMB_X9_Y27_N22
\led_flash_cnt[1793][6]~51992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1793][6]~51992_combout\ = (\led_flash_cnt[1793][6]~q\ & (!\led_flash_cnt[1793][5]~51991\)) # (!\led_flash_cnt[1793][6]~q\ & ((\led_flash_cnt[1793][5]~51991\) # (GND)))
-- \led_flash_cnt[1793][6]~51993\ = CARRY((!\led_flash_cnt[1793][5]~51991\) # (!\led_flash_cnt[1793][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1793][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1793][5]~51991\,
	combout => \led_flash_cnt[1793][6]~51992_combout\,
	cout => \led_flash_cnt[1793][6]~51993\);

-- Location: FF_X9_Y27_N23
\led_flash_cnt[1793][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1793][6]~51992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1793][6]~q\);

-- Location: LCCOMB_X9_Y27_N30
\WideAnd1793~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1793~1_combout\ = (\led_flash_cnt[1793][6]~q\ & \led_flash_cnt[1793][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1793][6]~q\,
	datad => \led_flash_cnt[1793][5]~q\,
	combout => \WideAnd1793~1_combout\);

-- Location: LCCOMB_X9_Y27_N8
\WideAnd1793~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1793~0_combout\ = (\led_flash_cnt[1793][4]~q\ & (\led_flash_cnt[1793][3]~q\ & (\led_flash_cnt[1793][2]~q\ & \led_flash_cnt[1793][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1793][4]~q\,
	datab => \led_flash_cnt[1793][3]~q\,
	datac => \led_flash_cnt[1793][2]~q\,
	datad => \led_flash_cnt[1793][1]~q\,
	combout => \WideAnd1793~0_combout\);

-- Location: LCCOMB_X9_Y27_N24
\led_flash_cnt[1793][7]~51994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1793][7]~51994_combout\ = \led_flash_cnt[1793][6]~51993\ $ (!\led_flash_cnt[1793][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1793][7]~q\,
	cin => \led_flash_cnt[1793][6]~51993\,
	combout => \led_flash_cnt[1793][7]~51994_combout\);

-- Location: FF_X9_Y27_N25
\led_flash_cnt[1793][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1793][7]~51994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1793][7]~q\);

-- Location: LCCOMB_X9_Y27_N26
WideAnd1793 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1793~combout\ = (\WideAnd1793~1_combout\ & (\led_flash_cnt[1793][0]~q\ & (\WideAnd1793~0_combout\ & \led_flash_cnt[1793][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1793~1_combout\,
	datab => \led_flash_cnt[1793][0]~q\,
	datac => \WideAnd1793~0_combout\,
	datad => \led_flash_cnt[1793][7]~q\,
	combout => \WideAnd1793~combout\);

-- Location: FF_X9_Y27_N27
\led_flash_cnt_ands[1793]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1793~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1793));

-- Location: LCCOMB_X10_Y30_N26
\led_flash_cnt[1795][0]~82435\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1795][0]~82435_combout\ = !\led_flash_cnt[1795][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1795][0]~q\,
	combout => \led_flash_cnt[1795][0]~82435_combout\);

-- Location: FF_X10_Y30_N27
\led_flash_cnt[1795][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1795][0]~82435_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1795][0]~q\);

-- Location: LCCOMB_X10_Y30_N8
\led_flash_cnt[1795][1]~52010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1795][1]~52010_combout\ = (\led_flash_cnt[1795][0]~q\ & (\led_flash_cnt[1795][1]~q\ $ (VCC))) # (!\led_flash_cnt[1795][0]~q\ & (\led_flash_cnt[1795][1]~q\ & VCC))
-- \led_flash_cnt[1795][1]~52011\ = CARRY((\led_flash_cnt[1795][0]~q\ & \led_flash_cnt[1795][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1795][0]~q\,
	datab => \led_flash_cnt[1795][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1795][1]~52010_combout\,
	cout => \led_flash_cnt[1795][1]~52011\);

-- Location: FF_X10_Y30_N9
\led_flash_cnt[1795][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1795][1]~52010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1795][1]~q\);

-- Location: LCCOMB_X10_Y30_N10
\led_flash_cnt[1795][2]~52012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1795][2]~52012_combout\ = (\led_flash_cnt[1795][2]~q\ & (!\led_flash_cnt[1795][1]~52011\)) # (!\led_flash_cnt[1795][2]~q\ & ((\led_flash_cnt[1795][1]~52011\) # (GND)))
-- \led_flash_cnt[1795][2]~52013\ = CARRY((!\led_flash_cnt[1795][1]~52011\) # (!\led_flash_cnt[1795][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1795][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1795][1]~52011\,
	combout => \led_flash_cnt[1795][2]~52012_combout\,
	cout => \led_flash_cnt[1795][2]~52013\);

-- Location: FF_X10_Y30_N11
\led_flash_cnt[1795][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1795][2]~52012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1795][2]~q\);

-- Location: LCCOMB_X10_Y30_N12
\led_flash_cnt[1795][3]~52014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1795][3]~52014_combout\ = (\led_flash_cnt[1795][3]~q\ & (\led_flash_cnt[1795][2]~52013\ $ (GND))) # (!\led_flash_cnt[1795][3]~q\ & (!\led_flash_cnt[1795][2]~52013\ & VCC))
-- \led_flash_cnt[1795][3]~52015\ = CARRY((\led_flash_cnt[1795][3]~q\ & !\led_flash_cnt[1795][2]~52013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1795][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1795][2]~52013\,
	combout => \led_flash_cnt[1795][3]~52014_combout\,
	cout => \led_flash_cnt[1795][3]~52015\);

-- Location: FF_X10_Y30_N13
\led_flash_cnt[1795][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1795][3]~52014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1795][3]~q\);

-- Location: LCCOMB_X10_Y30_N14
\led_flash_cnt[1795][4]~52016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1795][4]~52016_combout\ = (\led_flash_cnt[1795][4]~q\ & (!\led_flash_cnt[1795][3]~52015\)) # (!\led_flash_cnt[1795][4]~q\ & ((\led_flash_cnt[1795][3]~52015\) # (GND)))
-- \led_flash_cnt[1795][4]~52017\ = CARRY((!\led_flash_cnt[1795][3]~52015\) # (!\led_flash_cnt[1795][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1795][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1795][3]~52015\,
	combout => \led_flash_cnt[1795][4]~52016_combout\,
	cout => \led_flash_cnt[1795][4]~52017\);

-- Location: FF_X10_Y30_N15
\led_flash_cnt[1795][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1795][4]~52016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1795][4]~q\);

-- Location: LCCOMB_X10_Y30_N16
\led_flash_cnt[1795][5]~52018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1795][5]~52018_combout\ = (\led_flash_cnt[1795][5]~q\ & (\led_flash_cnt[1795][4]~52017\ $ (GND))) # (!\led_flash_cnt[1795][5]~q\ & (!\led_flash_cnt[1795][4]~52017\ & VCC))
-- \led_flash_cnt[1795][5]~52019\ = CARRY((\led_flash_cnt[1795][5]~q\ & !\led_flash_cnt[1795][4]~52017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1795][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1795][4]~52017\,
	combout => \led_flash_cnt[1795][5]~52018_combout\,
	cout => \led_flash_cnt[1795][5]~52019\);

-- Location: FF_X10_Y30_N17
\led_flash_cnt[1795][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1795][5]~52018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1795][5]~q\);

-- Location: LCCOMB_X10_Y30_N18
\led_flash_cnt[1795][6]~52020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1795][6]~52020_combout\ = (\led_flash_cnt[1795][6]~q\ & (!\led_flash_cnt[1795][5]~52019\)) # (!\led_flash_cnt[1795][6]~q\ & ((\led_flash_cnt[1795][5]~52019\) # (GND)))
-- \led_flash_cnt[1795][6]~52021\ = CARRY((!\led_flash_cnt[1795][5]~52019\) # (!\led_flash_cnt[1795][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1795][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1795][5]~52019\,
	combout => \led_flash_cnt[1795][6]~52020_combout\,
	cout => \led_flash_cnt[1795][6]~52021\);

-- Location: FF_X10_Y30_N19
\led_flash_cnt[1795][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1795][6]~52020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1795][6]~q\);

-- Location: LCCOMB_X10_Y30_N20
\led_flash_cnt[1795][7]~52022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1795][7]~52022_combout\ = \led_flash_cnt[1795][6]~52021\ $ (!\led_flash_cnt[1795][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1795][7]~q\,
	cin => \led_flash_cnt[1795][6]~52021\,
	combout => \led_flash_cnt[1795][7]~52022_combout\);

-- Location: FF_X10_Y30_N21
\led_flash_cnt[1795][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1795][7]~52022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1795][7]~q\);

-- Location: LCCOMB_X10_Y30_N22
\WideAnd1795~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1795~1_combout\ = (\led_flash_cnt[1795][5]~q\ & \led_flash_cnt[1795][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1795][5]~q\,
	datad => \led_flash_cnt[1795][6]~q\,
	combout => \WideAnd1795~1_combout\);

-- Location: LCCOMB_X10_Y30_N24
\WideAnd1795~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1795~0_combout\ = (\led_flash_cnt[1795][3]~q\ & (\led_flash_cnt[1795][4]~q\ & (\led_flash_cnt[1795][1]~q\ & \led_flash_cnt[1795][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1795][3]~q\,
	datab => \led_flash_cnt[1795][4]~q\,
	datac => \led_flash_cnt[1795][1]~q\,
	datad => \led_flash_cnt[1795][2]~q\,
	combout => \WideAnd1795~0_combout\);

-- Location: LCCOMB_X10_Y30_N0
WideAnd1795 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1795~combout\ = (\led_flash_cnt[1795][0]~q\ & (\led_flash_cnt[1795][7]~q\ & (\WideAnd1795~1_combout\ & \WideAnd1795~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1795][0]~q\,
	datab => \led_flash_cnt[1795][7]~q\,
	datac => \WideAnd1795~1_combout\,
	datad => \WideAnd1795~0_combout\,
	combout => \WideAnd1795~combout\);

-- Location: FF_X10_Y30_N1
\led_flash_cnt_ands[1795]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1795~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1795));

-- Location: LCCOMB_X9_Y31_N10
\WideAnd4064~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4064~0_combout\ = (led_flash_cnt_ands(1792) & (led_flash_cnt_ands(1794) & (led_flash_cnt_ands(1793) & led_flash_cnt_ands(1795))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1792),
	datab => led_flash_cnt_ands(1794),
	datac => led_flash_cnt_ands(1793),
	datad => led_flash_cnt_ands(1795),
	combout => \WideAnd4064~0_combout\);

-- Location: LCCOMB_X11_Y13_N24
WideAnd4064 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4064~combout\ = (led_flash_cnt_ands(1799) & (led_flash_cnt_ands(1798) & (\WideAnd4064~1_combout\ & \WideAnd4064~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1799),
	datab => led_flash_cnt_ands(1798),
	datac => \WideAnd4064~1_combout\,
	datad => \WideAnd4064~0_combout\,
	combout => \WideAnd4064~combout\);

-- Location: FF_X11_Y13_N25
\led_flash_cnt_ands_1[224]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4064~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(224));

-- Location: LCCOMB_X50_Y9_N30
\led_flash_cnt[1815][0]~82455\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1815][0]~82455_combout\ = !\led_flash_cnt[1815][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1815][0]~q\,
	combout => \led_flash_cnt[1815][0]~82455_combout\);

-- Location: FF_X50_Y9_N31
\led_flash_cnt[1815][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1815][0]~82455_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1815][0]~q\);

-- Location: LCCOMB_X50_Y9_N4
\led_flash_cnt[1815][1]~52290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1815][1]~52290_combout\ = (\led_flash_cnt[1815][0]~q\ & (\led_flash_cnt[1815][1]~q\ $ (VCC))) # (!\led_flash_cnt[1815][0]~q\ & (\led_flash_cnt[1815][1]~q\ & VCC))
-- \led_flash_cnt[1815][1]~52291\ = CARRY((\led_flash_cnt[1815][0]~q\ & \led_flash_cnt[1815][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1815][0]~q\,
	datab => \led_flash_cnt[1815][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1815][1]~52290_combout\,
	cout => \led_flash_cnt[1815][1]~52291\);

-- Location: FF_X50_Y9_N5
\led_flash_cnt[1815][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1815][1]~52290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1815][1]~q\);

-- Location: LCCOMB_X50_Y9_N6
\led_flash_cnt[1815][2]~52292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1815][2]~52292_combout\ = (\led_flash_cnt[1815][2]~q\ & (!\led_flash_cnt[1815][1]~52291\)) # (!\led_flash_cnt[1815][2]~q\ & ((\led_flash_cnt[1815][1]~52291\) # (GND)))
-- \led_flash_cnt[1815][2]~52293\ = CARRY((!\led_flash_cnt[1815][1]~52291\) # (!\led_flash_cnt[1815][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1815][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1815][1]~52291\,
	combout => \led_flash_cnt[1815][2]~52292_combout\,
	cout => \led_flash_cnt[1815][2]~52293\);

-- Location: FF_X50_Y9_N7
\led_flash_cnt[1815][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1815][2]~52292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1815][2]~q\);

-- Location: LCCOMB_X50_Y9_N8
\led_flash_cnt[1815][3]~52294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1815][3]~52294_combout\ = (\led_flash_cnt[1815][3]~q\ & (\led_flash_cnt[1815][2]~52293\ $ (GND))) # (!\led_flash_cnt[1815][3]~q\ & (!\led_flash_cnt[1815][2]~52293\ & VCC))
-- \led_flash_cnt[1815][3]~52295\ = CARRY((\led_flash_cnt[1815][3]~q\ & !\led_flash_cnt[1815][2]~52293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1815][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1815][2]~52293\,
	combout => \led_flash_cnt[1815][3]~52294_combout\,
	cout => \led_flash_cnt[1815][3]~52295\);

-- Location: FF_X50_Y9_N9
\led_flash_cnt[1815][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1815][3]~52294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1815][3]~q\);

-- Location: LCCOMB_X50_Y9_N10
\led_flash_cnt[1815][4]~52296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1815][4]~52296_combout\ = (\led_flash_cnt[1815][4]~q\ & (!\led_flash_cnt[1815][3]~52295\)) # (!\led_flash_cnt[1815][4]~q\ & ((\led_flash_cnt[1815][3]~52295\) # (GND)))
-- \led_flash_cnt[1815][4]~52297\ = CARRY((!\led_flash_cnt[1815][3]~52295\) # (!\led_flash_cnt[1815][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1815][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1815][3]~52295\,
	combout => \led_flash_cnt[1815][4]~52296_combout\,
	cout => \led_flash_cnt[1815][4]~52297\);

-- Location: FF_X50_Y9_N11
\led_flash_cnt[1815][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1815][4]~52296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1815][4]~q\);

-- Location: LCCOMB_X50_Y9_N12
\led_flash_cnt[1815][5]~52298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1815][5]~52298_combout\ = (\led_flash_cnt[1815][5]~q\ & (\led_flash_cnt[1815][4]~52297\ $ (GND))) # (!\led_flash_cnt[1815][5]~q\ & (!\led_flash_cnt[1815][4]~52297\ & VCC))
-- \led_flash_cnt[1815][5]~52299\ = CARRY((\led_flash_cnt[1815][5]~q\ & !\led_flash_cnt[1815][4]~52297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1815][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1815][4]~52297\,
	combout => \led_flash_cnt[1815][5]~52298_combout\,
	cout => \led_flash_cnt[1815][5]~52299\);

-- Location: FF_X50_Y9_N13
\led_flash_cnt[1815][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1815][5]~52298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1815][5]~q\);

-- Location: LCCOMB_X50_Y9_N14
\led_flash_cnt[1815][6]~52300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1815][6]~52300_combout\ = (\led_flash_cnt[1815][6]~q\ & (!\led_flash_cnt[1815][5]~52299\)) # (!\led_flash_cnt[1815][6]~q\ & ((\led_flash_cnt[1815][5]~52299\) # (GND)))
-- \led_flash_cnt[1815][6]~52301\ = CARRY((!\led_flash_cnt[1815][5]~52299\) # (!\led_flash_cnt[1815][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1815][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1815][5]~52299\,
	combout => \led_flash_cnt[1815][6]~52300_combout\,
	cout => \led_flash_cnt[1815][6]~52301\);

-- Location: FF_X50_Y9_N15
\led_flash_cnt[1815][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1815][6]~52300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1815][6]~q\);

-- Location: LCCOMB_X50_Y9_N16
\led_flash_cnt[1815][7]~52302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1815][7]~52302_combout\ = \led_flash_cnt[1815][6]~52301\ $ (!\led_flash_cnt[1815][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1815][7]~q\,
	cin => \led_flash_cnt[1815][6]~52301\,
	combout => \led_flash_cnt[1815][7]~52302_combout\);

-- Location: FF_X50_Y9_N17
\led_flash_cnt[1815][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1815][7]~52302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1815][7]~q\);

-- Location: LCCOMB_X50_Y9_N22
\WideAnd1815~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1815~1_combout\ = (\led_flash_cnt[1815][6]~q\ & \led_flash_cnt[1815][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1815][6]~q\,
	datad => \led_flash_cnt[1815][5]~q\,
	combout => \WideAnd1815~1_combout\);

-- Location: LCCOMB_X50_Y9_N18
\WideAnd1815~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1815~0_combout\ = (\led_flash_cnt[1815][4]~q\ & (\led_flash_cnt[1815][1]~q\ & (\led_flash_cnt[1815][3]~q\ & \led_flash_cnt[1815][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1815][4]~q\,
	datab => \led_flash_cnt[1815][1]~q\,
	datac => \led_flash_cnt[1815][3]~q\,
	datad => \led_flash_cnt[1815][2]~q\,
	combout => \WideAnd1815~0_combout\);

-- Location: LCCOMB_X50_Y9_N26
WideAnd1815 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1815~combout\ = (\led_flash_cnt[1815][0]~q\ & (\led_flash_cnt[1815][7]~q\ & (\WideAnd1815~1_combout\ & \WideAnd1815~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1815][0]~q\,
	datab => \led_flash_cnt[1815][7]~q\,
	datac => \WideAnd1815~1_combout\,
	datad => \WideAnd1815~0_combout\,
	combout => \WideAnd1815~combout\);

-- Location: FF_X50_Y9_N27
\led_flash_cnt_ands[1815]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1815~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1815));

-- Location: LCCOMB_X49_Y9_N22
\led_flash_cnt[1814][0]~82454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1814][0]~82454_combout\ = !\led_flash_cnt[1814][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1814][0]~q\,
	combout => \led_flash_cnt[1814][0]~82454_combout\);

-- Location: FF_X49_Y9_N23
\led_flash_cnt[1814][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1814][0]~82454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1814][0]~q\);

-- Location: LCCOMB_X49_Y9_N8
\led_flash_cnt[1814][1]~52276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1814][1]~52276_combout\ = (\led_flash_cnt[1814][0]~q\ & (\led_flash_cnt[1814][1]~q\ $ (VCC))) # (!\led_flash_cnt[1814][0]~q\ & (\led_flash_cnt[1814][1]~q\ & VCC))
-- \led_flash_cnt[1814][1]~52277\ = CARRY((\led_flash_cnt[1814][0]~q\ & \led_flash_cnt[1814][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1814][0]~q\,
	datab => \led_flash_cnt[1814][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1814][1]~52276_combout\,
	cout => \led_flash_cnt[1814][1]~52277\);

-- Location: FF_X49_Y9_N9
\led_flash_cnt[1814][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1814][1]~52276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1814][1]~q\);

-- Location: LCCOMB_X49_Y9_N10
\led_flash_cnt[1814][2]~52278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1814][2]~52278_combout\ = (\led_flash_cnt[1814][2]~q\ & (!\led_flash_cnt[1814][1]~52277\)) # (!\led_flash_cnt[1814][2]~q\ & ((\led_flash_cnt[1814][1]~52277\) # (GND)))
-- \led_flash_cnt[1814][2]~52279\ = CARRY((!\led_flash_cnt[1814][1]~52277\) # (!\led_flash_cnt[1814][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1814][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1814][1]~52277\,
	combout => \led_flash_cnt[1814][2]~52278_combout\,
	cout => \led_flash_cnt[1814][2]~52279\);

-- Location: FF_X49_Y9_N11
\led_flash_cnt[1814][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1814][2]~52278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1814][2]~q\);

-- Location: LCCOMB_X49_Y9_N12
\led_flash_cnt[1814][3]~52280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1814][3]~52280_combout\ = (\led_flash_cnt[1814][3]~q\ & (\led_flash_cnt[1814][2]~52279\ $ (GND))) # (!\led_flash_cnt[1814][3]~q\ & (!\led_flash_cnt[1814][2]~52279\ & VCC))
-- \led_flash_cnt[1814][3]~52281\ = CARRY((\led_flash_cnt[1814][3]~q\ & !\led_flash_cnt[1814][2]~52279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1814][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1814][2]~52279\,
	combout => \led_flash_cnt[1814][3]~52280_combout\,
	cout => \led_flash_cnt[1814][3]~52281\);

-- Location: FF_X49_Y9_N13
\led_flash_cnt[1814][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1814][3]~52280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1814][3]~q\);

-- Location: LCCOMB_X49_Y9_N14
\led_flash_cnt[1814][4]~52282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1814][4]~52282_combout\ = (\led_flash_cnt[1814][4]~q\ & (!\led_flash_cnt[1814][3]~52281\)) # (!\led_flash_cnt[1814][4]~q\ & ((\led_flash_cnt[1814][3]~52281\) # (GND)))
-- \led_flash_cnt[1814][4]~52283\ = CARRY((!\led_flash_cnt[1814][3]~52281\) # (!\led_flash_cnt[1814][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1814][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1814][3]~52281\,
	combout => \led_flash_cnt[1814][4]~52282_combout\,
	cout => \led_flash_cnt[1814][4]~52283\);

-- Location: FF_X49_Y9_N15
\led_flash_cnt[1814][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1814][4]~52282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1814][4]~q\);

-- Location: LCCOMB_X49_Y9_N16
\led_flash_cnt[1814][5]~52284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1814][5]~52284_combout\ = (\led_flash_cnt[1814][5]~q\ & (\led_flash_cnt[1814][4]~52283\ $ (GND))) # (!\led_flash_cnt[1814][5]~q\ & (!\led_flash_cnt[1814][4]~52283\ & VCC))
-- \led_flash_cnt[1814][5]~52285\ = CARRY((\led_flash_cnt[1814][5]~q\ & !\led_flash_cnt[1814][4]~52283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1814][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1814][4]~52283\,
	combout => \led_flash_cnt[1814][5]~52284_combout\,
	cout => \led_flash_cnt[1814][5]~52285\);

-- Location: FF_X49_Y9_N17
\led_flash_cnt[1814][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1814][5]~52284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1814][5]~q\);

-- Location: LCCOMB_X49_Y9_N18
\led_flash_cnt[1814][6]~52286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1814][6]~52286_combout\ = (\led_flash_cnt[1814][6]~q\ & (!\led_flash_cnt[1814][5]~52285\)) # (!\led_flash_cnt[1814][6]~q\ & ((\led_flash_cnt[1814][5]~52285\) # (GND)))
-- \led_flash_cnt[1814][6]~52287\ = CARRY((!\led_flash_cnt[1814][5]~52285\) # (!\led_flash_cnt[1814][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1814][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1814][5]~52285\,
	combout => \led_flash_cnt[1814][6]~52286_combout\,
	cout => \led_flash_cnt[1814][6]~52287\);

-- Location: FF_X49_Y9_N19
\led_flash_cnt[1814][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1814][6]~52286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1814][6]~q\);

-- Location: LCCOMB_X49_Y9_N20
\led_flash_cnt[1814][7]~52288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1814][7]~52288_combout\ = \led_flash_cnt[1814][6]~52287\ $ (!\led_flash_cnt[1814][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1814][7]~q\,
	cin => \led_flash_cnt[1814][6]~52287\,
	combout => \led_flash_cnt[1814][7]~52288_combout\);

-- Location: FF_X49_Y9_N21
\led_flash_cnt[1814][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1814][7]~52288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1814][7]~q\);

-- Location: LCCOMB_X49_Y9_N4
\WideAnd1814~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1814~1_combout\ = (\led_flash_cnt[1814][6]~q\ & \led_flash_cnt[1814][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1814][6]~q\,
	datad => \led_flash_cnt[1814][5]~q\,
	combout => \WideAnd1814~1_combout\);

-- Location: LCCOMB_X49_Y9_N24
\WideAnd1814~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1814~0_combout\ = (\led_flash_cnt[1814][3]~q\ & (\led_flash_cnt[1814][4]~q\ & (\led_flash_cnt[1814][1]~q\ & \led_flash_cnt[1814][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1814][3]~q\,
	datab => \led_flash_cnt[1814][4]~q\,
	datac => \led_flash_cnt[1814][1]~q\,
	datad => \led_flash_cnt[1814][2]~q\,
	combout => \WideAnd1814~0_combout\);

-- Location: LCCOMB_X49_Y9_N6
WideAnd1814 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1814~combout\ = (\led_flash_cnt[1814][0]~q\ & (\led_flash_cnt[1814][7]~q\ & (\WideAnd1814~1_combout\ & \WideAnd1814~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1814][0]~q\,
	datab => \led_flash_cnt[1814][7]~q\,
	datac => \WideAnd1814~1_combout\,
	datad => \WideAnd1814~0_combout\,
	combout => \WideAnd1814~combout\);

-- Location: FF_X49_Y9_N7
\led_flash_cnt_ands[1814]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1814~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1814));

-- Location: LCCOMB_X52_Y3_N12
\led_flash_cnt[1809][0]~82449\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1809][0]~82449_combout\ = !\led_flash_cnt[1809][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1809][0]~q\,
	combout => \led_flash_cnt[1809][0]~82449_combout\);

-- Location: FF_X52_Y3_N13
\led_flash_cnt[1809][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1809][0]~82449_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1809][0]~q\);

-- Location: LCCOMB_X52_Y3_N14
\led_flash_cnt[1809][1]~52206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1809][1]~52206_combout\ = (\led_flash_cnt[1809][0]~q\ & (\led_flash_cnt[1809][1]~q\ $ (VCC))) # (!\led_flash_cnt[1809][0]~q\ & (\led_flash_cnt[1809][1]~q\ & VCC))
-- \led_flash_cnt[1809][1]~52207\ = CARRY((\led_flash_cnt[1809][0]~q\ & \led_flash_cnt[1809][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1809][0]~q\,
	datab => \led_flash_cnt[1809][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1809][1]~52206_combout\,
	cout => \led_flash_cnt[1809][1]~52207\);

-- Location: FF_X52_Y3_N15
\led_flash_cnt[1809][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1809][1]~52206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1809][1]~q\);

-- Location: LCCOMB_X52_Y3_N16
\led_flash_cnt[1809][2]~52208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1809][2]~52208_combout\ = (\led_flash_cnt[1809][2]~q\ & (!\led_flash_cnt[1809][1]~52207\)) # (!\led_flash_cnt[1809][2]~q\ & ((\led_flash_cnt[1809][1]~52207\) # (GND)))
-- \led_flash_cnt[1809][2]~52209\ = CARRY((!\led_flash_cnt[1809][1]~52207\) # (!\led_flash_cnt[1809][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1809][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1809][1]~52207\,
	combout => \led_flash_cnt[1809][2]~52208_combout\,
	cout => \led_flash_cnt[1809][2]~52209\);

-- Location: FF_X52_Y3_N17
\led_flash_cnt[1809][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1809][2]~52208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1809][2]~q\);

-- Location: LCCOMB_X52_Y3_N18
\led_flash_cnt[1809][3]~52210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1809][3]~52210_combout\ = (\led_flash_cnt[1809][3]~q\ & (\led_flash_cnt[1809][2]~52209\ $ (GND))) # (!\led_flash_cnt[1809][3]~q\ & (!\led_flash_cnt[1809][2]~52209\ & VCC))
-- \led_flash_cnt[1809][3]~52211\ = CARRY((\led_flash_cnt[1809][3]~q\ & !\led_flash_cnt[1809][2]~52209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1809][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1809][2]~52209\,
	combout => \led_flash_cnt[1809][3]~52210_combout\,
	cout => \led_flash_cnt[1809][3]~52211\);

-- Location: FF_X52_Y3_N19
\led_flash_cnt[1809][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1809][3]~52210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1809][3]~q\);

-- Location: LCCOMB_X52_Y3_N20
\led_flash_cnt[1809][4]~52212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1809][4]~52212_combout\ = (\led_flash_cnt[1809][4]~q\ & (!\led_flash_cnt[1809][3]~52211\)) # (!\led_flash_cnt[1809][4]~q\ & ((\led_flash_cnt[1809][3]~52211\) # (GND)))
-- \led_flash_cnt[1809][4]~52213\ = CARRY((!\led_flash_cnt[1809][3]~52211\) # (!\led_flash_cnt[1809][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1809][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1809][3]~52211\,
	combout => \led_flash_cnt[1809][4]~52212_combout\,
	cout => \led_flash_cnt[1809][4]~52213\);

-- Location: FF_X52_Y3_N21
\led_flash_cnt[1809][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1809][4]~52212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1809][4]~q\);

-- Location: LCCOMB_X52_Y3_N22
\led_flash_cnt[1809][5]~52214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1809][5]~52214_combout\ = (\led_flash_cnt[1809][5]~q\ & (\led_flash_cnt[1809][4]~52213\ $ (GND))) # (!\led_flash_cnt[1809][5]~q\ & (!\led_flash_cnt[1809][4]~52213\ & VCC))
-- \led_flash_cnt[1809][5]~52215\ = CARRY((\led_flash_cnt[1809][5]~q\ & !\led_flash_cnt[1809][4]~52213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1809][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1809][4]~52213\,
	combout => \led_flash_cnt[1809][5]~52214_combout\,
	cout => \led_flash_cnt[1809][5]~52215\);

-- Location: FF_X52_Y3_N23
\led_flash_cnt[1809][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1809][5]~52214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1809][5]~q\);

-- Location: LCCOMB_X52_Y3_N24
\led_flash_cnt[1809][6]~52216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1809][6]~52216_combout\ = (\led_flash_cnt[1809][6]~q\ & (!\led_flash_cnt[1809][5]~52215\)) # (!\led_flash_cnt[1809][6]~q\ & ((\led_flash_cnt[1809][5]~52215\) # (GND)))
-- \led_flash_cnt[1809][6]~52217\ = CARRY((!\led_flash_cnt[1809][5]~52215\) # (!\led_flash_cnt[1809][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1809][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1809][5]~52215\,
	combout => \led_flash_cnt[1809][6]~52216_combout\,
	cout => \led_flash_cnt[1809][6]~52217\);

-- Location: FF_X52_Y3_N25
\led_flash_cnt[1809][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1809][6]~52216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1809][6]~q\);

-- Location: LCCOMB_X52_Y3_N10
\WideAnd1809~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1809~1_combout\ = (\led_flash_cnt[1809][5]~q\ & \led_flash_cnt[1809][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1809][5]~q\,
	datad => \led_flash_cnt[1809][6]~q\,
	combout => \WideAnd1809~1_combout\);

-- Location: LCCOMB_X52_Y3_N28
\WideAnd1809~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1809~0_combout\ = (\led_flash_cnt[1809][4]~q\ & (\led_flash_cnt[1809][3]~q\ & (\led_flash_cnt[1809][1]~q\ & \led_flash_cnt[1809][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1809][4]~q\,
	datab => \led_flash_cnt[1809][3]~q\,
	datac => \led_flash_cnt[1809][1]~q\,
	datad => \led_flash_cnt[1809][2]~q\,
	combout => \WideAnd1809~0_combout\);

-- Location: LCCOMB_X52_Y3_N26
\led_flash_cnt[1809][7]~52218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1809][7]~52218_combout\ = \led_flash_cnt[1809][7]~q\ $ (!\led_flash_cnt[1809][6]~52217\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1809][7]~q\,
	cin => \led_flash_cnt[1809][6]~52217\,
	combout => \led_flash_cnt[1809][7]~52218_combout\);

-- Location: FF_X52_Y3_N27
\led_flash_cnt[1809][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1809][7]~52218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1809][7]~q\);

-- Location: LCCOMB_X52_Y3_N0
WideAnd1809 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1809~combout\ = (\WideAnd1809~1_combout\ & (\WideAnd1809~0_combout\ & (\led_flash_cnt[1809][7]~q\ & \led_flash_cnt[1809][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1809~1_combout\,
	datab => \WideAnd1809~0_combout\,
	datac => \led_flash_cnt[1809][7]~q\,
	datad => \led_flash_cnt[1809][0]~q\,
	combout => \WideAnd1809~combout\);

-- Location: FF_X52_Y3_N1
\led_flash_cnt_ands[1809]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1809~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1809));

-- Location: LCCOMB_X51_Y8_N12
\led_flash_cnt[1811][0]~82451\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1811][0]~82451_combout\ = !\led_flash_cnt[1811][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1811][0]~q\,
	combout => \led_flash_cnt[1811][0]~82451_combout\);

-- Location: FF_X51_Y8_N13
\led_flash_cnt[1811][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1811][0]~82451_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1811][0]~q\);

-- Location: LCCOMB_X51_Y8_N14
\led_flash_cnt[1811][1]~52234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1811][1]~52234_combout\ = (\led_flash_cnt[1811][0]~q\ & (\led_flash_cnt[1811][1]~q\ $ (VCC))) # (!\led_flash_cnt[1811][0]~q\ & (\led_flash_cnt[1811][1]~q\ & VCC))
-- \led_flash_cnt[1811][1]~52235\ = CARRY((\led_flash_cnt[1811][0]~q\ & \led_flash_cnt[1811][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1811][0]~q\,
	datab => \led_flash_cnt[1811][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1811][1]~52234_combout\,
	cout => \led_flash_cnt[1811][1]~52235\);

-- Location: FF_X51_Y8_N15
\led_flash_cnt[1811][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1811][1]~52234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1811][1]~q\);

-- Location: LCCOMB_X51_Y8_N16
\led_flash_cnt[1811][2]~52236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1811][2]~52236_combout\ = (\led_flash_cnt[1811][2]~q\ & (!\led_flash_cnt[1811][1]~52235\)) # (!\led_flash_cnt[1811][2]~q\ & ((\led_flash_cnt[1811][1]~52235\) # (GND)))
-- \led_flash_cnt[1811][2]~52237\ = CARRY((!\led_flash_cnt[1811][1]~52235\) # (!\led_flash_cnt[1811][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1811][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1811][1]~52235\,
	combout => \led_flash_cnt[1811][2]~52236_combout\,
	cout => \led_flash_cnt[1811][2]~52237\);

-- Location: FF_X51_Y8_N17
\led_flash_cnt[1811][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1811][2]~52236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1811][2]~q\);

-- Location: LCCOMB_X51_Y8_N18
\led_flash_cnt[1811][3]~52238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1811][3]~52238_combout\ = (\led_flash_cnt[1811][3]~q\ & (\led_flash_cnt[1811][2]~52237\ $ (GND))) # (!\led_flash_cnt[1811][3]~q\ & (!\led_flash_cnt[1811][2]~52237\ & VCC))
-- \led_flash_cnt[1811][3]~52239\ = CARRY((\led_flash_cnt[1811][3]~q\ & !\led_flash_cnt[1811][2]~52237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1811][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1811][2]~52237\,
	combout => \led_flash_cnt[1811][3]~52238_combout\,
	cout => \led_flash_cnt[1811][3]~52239\);

-- Location: FF_X51_Y8_N19
\led_flash_cnt[1811][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1811][3]~52238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1811][3]~q\);

-- Location: LCCOMB_X51_Y8_N20
\led_flash_cnt[1811][4]~52240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1811][4]~52240_combout\ = (\led_flash_cnt[1811][4]~q\ & (!\led_flash_cnt[1811][3]~52239\)) # (!\led_flash_cnt[1811][4]~q\ & ((\led_flash_cnt[1811][3]~52239\) # (GND)))
-- \led_flash_cnt[1811][4]~52241\ = CARRY((!\led_flash_cnt[1811][3]~52239\) # (!\led_flash_cnt[1811][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1811][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1811][3]~52239\,
	combout => \led_flash_cnt[1811][4]~52240_combout\,
	cout => \led_flash_cnt[1811][4]~52241\);

-- Location: FF_X51_Y8_N21
\led_flash_cnt[1811][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1811][4]~52240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1811][4]~q\);

-- Location: LCCOMB_X51_Y8_N22
\led_flash_cnt[1811][5]~52242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1811][5]~52242_combout\ = (\led_flash_cnt[1811][5]~q\ & (\led_flash_cnt[1811][4]~52241\ $ (GND))) # (!\led_flash_cnt[1811][5]~q\ & (!\led_flash_cnt[1811][4]~52241\ & VCC))
-- \led_flash_cnt[1811][5]~52243\ = CARRY((\led_flash_cnt[1811][5]~q\ & !\led_flash_cnt[1811][4]~52241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1811][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1811][4]~52241\,
	combout => \led_flash_cnt[1811][5]~52242_combout\,
	cout => \led_flash_cnt[1811][5]~52243\);

-- Location: FF_X51_Y8_N23
\led_flash_cnt[1811][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1811][5]~52242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1811][5]~q\);

-- Location: LCCOMB_X51_Y8_N24
\led_flash_cnt[1811][6]~52244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1811][6]~52244_combout\ = (\led_flash_cnt[1811][6]~q\ & (!\led_flash_cnt[1811][5]~52243\)) # (!\led_flash_cnt[1811][6]~q\ & ((\led_flash_cnt[1811][5]~52243\) # (GND)))
-- \led_flash_cnt[1811][6]~52245\ = CARRY((!\led_flash_cnt[1811][5]~52243\) # (!\led_flash_cnt[1811][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1811][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1811][5]~52243\,
	combout => \led_flash_cnt[1811][6]~52244_combout\,
	cout => \led_flash_cnt[1811][6]~52245\);

-- Location: FF_X51_Y8_N25
\led_flash_cnt[1811][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1811][6]~52244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1811][6]~q\);

-- Location: LCCOMB_X51_Y8_N10
\WideAnd1811~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1811~1_combout\ = (\led_flash_cnt[1811][5]~q\ & \led_flash_cnt[1811][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1811][5]~q\,
	datad => \led_flash_cnt[1811][6]~q\,
	combout => \WideAnd1811~1_combout\);

-- Location: LCCOMB_X51_Y8_N28
\WideAnd1811~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1811~0_combout\ = (\led_flash_cnt[1811][4]~q\ & (\led_flash_cnt[1811][3]~q\ & (\led_flash_cnt[1811][1]~q\ & \led_flash_cnt[1811][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1811][4]~q\,
	datab => \led_flash_cnt[1811][3]~q\,
	datac => \led_flash_cnt[1811][1]~q\,
	datad => \led_flash_cnt[1811][2]~q\,
	combout => \WideAnd1811~0_combout\);

-- Location: LCCOMB_X51_Y8_N26
\led_flash_cnt[1811][7]~52246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1811][7]~52246_combout\ = \led_flash_cnt[1811][7]~q\ $ (!\led_flash_cnt[1811][6]~52245\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1811][7]~q\,
	cin => \led_flash_cnt[1811][6]~52245\,
	combout => \led_flash_cnt[1811][7]~52246_combout\);

-- Location: FF_X51_Y8_N27
\led_flash_cnt[1811][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1811][7]~52246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1811][7]~q\);

-- Location: LCCOMB_X51_Y8_N4
WideAnd1811 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1811~combout\ = (\WideAnd1811~1_combout\ & (\WideAnd1811~0_combout\ & (\led_flash_cnt[1811][7]~q\ & \led_flash_cnt[1811][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1811~1_combout\,
	datab => \WideAnd1811~0_combout\,
	datac => \led_flash_cnt[1811][7]~q\,
	datad => \led_flash_cnt[1811][0]~q\,
	combout => \WideAnd1811~combout\);

-- Location: FF_X51_Y8_N5
\led_flash_cnt_ands[1811]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1811~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1811));

-- Location: LCCOMB_X60_Y10_N30
\led_flash_cnt[1808][0]~82448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1808][0]~82448_combout\ = !\led_flash_cnt[1808][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1808][0]~q\,
	combout => \led_flash_cnt[1808][0]~82448_combout\);

-- Location: FF_X60_Y10_N31
\led_flash_cnt[1808][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1808][0]~82448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1808][0]~q\);

-- Location: LCCOMB_X60_Y10_N2
\led_flash_cnt[1808][1]~52192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1808][1]~52192_combout\ = (\led_flash_cnt[1808][0]~q\ & (\led_flash_cnt[1808][1]~q\ $ (VCC))) # (!\led_flash_cnt[1808][0]~q\ & (\led_flash_cnt[1808][1]~q\ & VCC))
-- \led_flash_cnt[1808][1]~52193\ = CARRY((\led_flash_cnt[1808][0]~q\ & \led_flash_cnt[1808][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1808][0]~q\,
	datab => \led_flash_cnt[1808][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1808][1]~52192_combout\,
	cout => \led_flash_cnt[1808][1]~52193\);

-- Location: FF_X60_Y10_N3
\led_flash_cnt[1808][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1808][1]~52192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1808][1]~q\);

-- Location: LCCOMB_X60_Y10_N4
\led_flash_cnt[1808][2]~52194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1808][2]~52194_combout\ = (\led_flash_cnt[1808][2]~q\ & (!\led_flash_cnt[1808][1]~52193\)) # (!\led_flash_cnt[1808][2]~q\ & ((\led_flash_cnt[1808][1]~52193\) # (GND)))
-- \led_flash_cnt[1808][2]~52195\ = CARRY((!\led_flash_cnt[1808][1]~52193\) # (!\led_flash_cnt[1808][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1808][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1808][1]~52193\,
	combout => \led_flash_cnt[1808][2]~52194_combout\,
	cout => \led_flash_cnt[1808][2]~52195\);

-- Location: FF_X60_Y10_N5
\led_flash_cnt[1808][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1808][2]~52194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1808][2]~q\);

-- Location: LCCOMB_X60_Y10_N6
\led_flash_cnt[1808][3]~52196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1808][3]~52196_combout\ = (\led_flash_cnt[1808][3]~q\ & (\led_flash_cnt[1808][2]~52195\ $ (GND))) # (!\led_flash_cnt[1808][3]~q\ & (!\led_flash_cnt[1808][2]~52195\ & VCC))
-- \led_flash_cnt[1808][3]~52197\ = CARRY((\led_flash_cnt[1808][3]~q\ & !\led_flash_cnt[1808][2]~52195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1808][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1808][2]~52195\,
	combout => \led_flash_cnt[1808][3]~52196_combout\,
	cout => \led_flash_cnt[1808][3]~52197\);

-- Location: FF_X60_Y10_N7
\led_flash_cnt[1808][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1808][3]~52196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1808][3]~q\);

-- Location: LCCOMB_X60_Y10_N8
\led_flash_cnt[1808][4]~52198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1808][4]~52198_combout\ = (\led_flash_cnt[1808][4]~q\ & (!\led_flash_cnt[1808][3]~52197\)) # (!\led_flash_cnt[1808][4]~q\ & ((\led_flash_cnt[1808][3]~52197\) # (GND)))
-- \led_flash_cnt[1808][4]~52199\ = CARRY((!\led_flash_cnt[1808][3]~52197\) # (!\led_flash_cnt[1808][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1808][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1808][3]~52197\,
	combout => \led_flash_cnt[1808][4]~52198_combout\,
	cout => \led_flash_cnt[1808][4]~52199\);

-- Location: FF_X60_Y10_N9
\led_flash_cnt[1808][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1808][4]~52198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1808][4]~q\);

-- Location: LCCOMB_X60_Y10_N10
\led_flash_cnt[1808][5]~52200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1808][5]~52200_combout\ = (\led_flash_cnt[1808][5]~q\ & (\led_flash_cnt[1808][4]~52199\ $ (GND))) # (!\led_flash_cnt[1808][5]~q\ & (!\led_flash_cnt[1808][4]~52199\ & VCC))
-- \led_flash_cnt[1808][5]~52201\ = CARRY((\led_flash_cnt[1808][5]~q\ & !\led_flash_cnt[1808][4]~52199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1808][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1808][4]~52199\,
	combout => \led_flash_cnt[1808][5]~52200_combout\,
	cout => \led_flash_cnt[1808][5]~52201\);

-- Location: FF_X60_Y10_N11
\led_flash_cnt[1808][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1808][5]~52200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1808][5]~q\);

-- Location: LCCOMB_X60_Y10_N12
\led_flash_cnt[1808][6]~52202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1808][6]~52202_combout\ = (\led_flash_cnt[1808][6]~q\ & (!\led_flash_cnt[1808][5]~52201\)) # (!\led_flash_cnt[1808][6]~q\ & ((\led_flash_cnt[1808][5]~52201\) # (GND)))
-- \led_flash_cnt[1808][6]~52203\ = CARRY((!\led_flash_cnt[1808][5]~52201\) # (!\led_flash_cnt[1808][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1808][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1808][5]~52201\,
	combout => \led_flash_cnt[1808][6]~52202_combout\,
	cout => \led_flash_cnt[1808][6]~52203\);

-- Location: FF_X60_Y10_N13
\led_flash_cnt[1808][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1808][6]~52202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1808][6]~q\);

-- Location: LCCOMB_X60_Y10_N26
\WideAnd1808~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1808~1_combout\ = (\led_flash_cnt[1808][6]~q\ & \led_flash_cnt[1808][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1808][6]~q\,
	datad => \led_flash_cnt[1808][5]~q\,
	combout => \WideAnd1808~1_combout\);

-- Location: LCCOMB_X60_Y10_N14
\led_flash_cnt[1808][7]~52204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1808][7]~52204_combout\ = \led_flash_cnt[1808][7]~q\ $ (!\led_flash_cnt[1808][6]~52203\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1808][7]~q\,
	cin => \led_flash_cnt[1808][6]~52203\,
	combout => \led_flash_cnt[1808][7]~52204_combout\);

-- Location: FF_X60_Y10_N15
\led_flash_cnt[1808][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1808][7]~52204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1808][7]~q\);

-- Location: LCCOMB_X60_Y10_N18
\WideAnd1808~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1808~0_combout\ = (\led_flash_cnt[1808][3]~q\ & (\led_flash_cnt[1808][4]~q\ & (\led_flash_cnt[1808][2]~q\ & \led_flash_cnt[1808][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1808][3]~q\,
	datab => \led_flash_cnt[1808][4]~q\,
	datac => \led_flash_cnt[1808][2]~q\,
	datad => \led_flash_cnt[1808][1]~q\,
	combout => \WideAnd1808~0_combout\);

-- Location: LCCOMB_X60_Y10_N24
WideAnd1808 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1808~combout\ = (\WideAnd1808~1_combout\ & (\led_flash_cnt[1808][7]~q\ & (\led_flash_cnt[1808][0]~q\ & \WideAnd1808~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1808~1_combout\,
	datab => \led_flash_cnt[1808][7]~q\,
	datac => \led_flash_cnt[1808][0]~q\,
	datad => \WideAnd1808~0_combout\,
	combout => \WideAnd1808~combout\);

-- Location: FF_X60_Y10_N25
\led_flash_cnt_ands[1808]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1808~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1808));

-- Location: LCCOMB_X52_Y8_N28
\led_flash_cnt[1810][0]~82450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1810][0]~82450_combout\ = !\led_flash_cnt[1810][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1810][0]~q\,
	combout => \led_flash_cnt[1810][0]~82450_combout\);

-- Location: FF_X52_Y8_N29
\led_flash_cnt[1810][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1810][0]~82450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1810][0]~q\);

-- Location: LCCOMB_X52_Y8_N12
\led_flash_cnt[1810][1]~52220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1810][1]~52220_combout\ = (\led_flash_cnt[1810][1]~q\ & (\led_flash_cnt[1810][0]~q\ $ (VCC))) # (!\led_flash_cnt[1810][1]~q\ & (\led_flash_cnt[1810][0]~q\ & VCC))
-- \led_flash_cnt[1810][1]~52221\ = CARRY((\led_flash_cnt[1810][1]~q\ & \led_flash_cnt[1810][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1810][1]~q\,
	datab => \led_flash_cnt[1810][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1810][1]~52220_combout\,
	cout => \led_flash_cnt[1810][1]~52221\);

-- Location: FF_X52_Y8_N13
\led_flash_cnt[1810][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1810][1]~52220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1810][1]~q\);

-- Location: LCCOMB_X52_Y8_N14
\led_flash_cnt[1810][2]~52222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1810][2]~52222_combout\ = (\led_flash_cnt[1810][2]~q\ & (!\led_flash_cnt[1810][1]~52221\)) # (!\led_flash_cnt[1810][2]~q\ & ((\led_flash_cnt[1810][1]~52221\) # (GND)))
-- \led_flash_cnt[1810][2]~52223\ = CARRY((!\led_flash_cnt[1810][1]~52221\) # (!\led_flash_cnt[1810][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1810][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1810][1]~52221\,
	combout => \led_flash_cnt[1810][2]~52222_combout\,
	cout => \led_flash_cnt[1810][2]~52223\);

-- Location: FF_X52_Y8_N15
\led_flash_cnt[1810][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1810][2]~52222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1810][2]~q\);

-- Location: LCCOMB_X52_Y8_N16
\led_flash_cnt[1810][3]~52224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1810][3]~52224_combout\ = (\led_flash_cnt[1810][3]~q\ & (\led_flash_cnt[1810][2]~52223\ $ (GND))) # (!\led_flash_cnt[1810][3]~q\ & (!\led_flash_cnt[1810][2]~52223\ & VCC))
-- \led_flash_cnt[1810][3]~52225\ = CARRY((\led_flash_cnt[1810][3]~q\ & !\led_flash_cnt[1810][2]~52223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1810][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1810][2]~52223\,
	combout => \led_flash_cnt[1810][3]~52224_combout\,
	cout => \led_flash_cnt[1810][3]~52225\);

-- Location: FF_X52_Y8_N17
\led_flash_cnt[1810][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1810][3]~52224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1810][3]~q\);

-- Location: LCCOMB_X52_Y8_N18
\led_flash_cnt[1810][4]~52226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1810][4]~52226_combout\ = (\led_flash_cnt[1810][4]~q\ & (!\led_flash_cnt[1810][3]~52225\)) # (!\led_flash_cnt[1810][4]~q\ & ((\led_flash_cnt[1810][3]~52225\) # (GND)))
-- \led_flash_cnt[1810][4]~52227\ = CARRY((!\led_flash_cnt[1810][3]~52225\) # (!\led_flash_cnt[1810][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1810][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1810][3]~52225\,
	combout => \led_flash_cnt[1810][4]~52226_combout\,
	cout => \led_flash_cnt[1810][4]~52227\);

-- Location: FF_X52_Y8_N19
\led_flash_cnt[1810][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1810][4]~52226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1810][4]~q\);

-- Location: LCCOMB_X52_Y8_N26
\WideAnd1810~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1810~0_combout\ = (\led_flash_cnt[1810][1]~q\ & (\led_flash_cnt[1810][4]~q\ & (\led_flash_cnt[1810][2]~q\ & \led_flash_cnt[1810][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1810][1]~q\,
	datab => \led_flash_cnt[1810][4]~q\,
	datac => \led_flash_cnt[1810][2]~q\,
	datad => \led_flash_cnt[1810][3]~q\,
	combout => \WideAnd1810~0_combout\);

-- Location: LCCOMB_X52_Y8_N20
\led_flash_cnt[1810][5]~52228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1810][5]~52228_combout\ = (\led_flash_cnt[1810][5]~q\ & (\led_flash_cnt[1810][4]~52227\ $ (GND))) # (!\led_flash_cnt[1810][5]~q\ & (!\led_flash_cnt[1810][4]~52227\ & VCC))
-- \led_flash_cnt[1810][5]~52229\ = CARRY((\led_flash_cnt[1810][5]~q\ & !\led_flash_cnt[1810][4]~52227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1810][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1810][4]~52227\,
	combout => \led_flash_cnt[1810][5]~52228_combout\,
	cout => \led_flash_cnt[1810][5]~52229\);

-- Location: FF_X52_Y8_N21
\led_flash_cnt[1810][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1810][5]~52228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1810][5]~q\);

-- Location: LCCOMB_X52_Y8_N22
\led_flash_cnt[1810][6]~52230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1810][6]~52230_combout\ = (\led_flash_cnt[1810][6]~q\ & (!\led_flash_cnt[1810][5]~52229\)) # (!\led_flash_cnt[1810][6]~q\ & ((\led_flash_cnt[1810][5]~52229\) # (GND)))
-- \led_flash_cnt[1810][6]~52231\ = CARRY((!\led_flash_cnt[1810][5]~52229\) # (!\led_flash_cnt[1810][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1810][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1810][5]~52229\,
	combout => \led_flash_cnt[1810][6]~52230_combout\,
	cout => \led_flash_cnt[1810][6]~52231\);

-- Location: FF_X52_Y8_N23
\led_flash_cnt[1810][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1810][6]~52230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1810][6]~q\);

-- Location: LCCOMB_X52_Y8_N24
\led_flash_cnt[1810][7]~52232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1810][7]~52232_combout\ = \led_flash_cnt[1810][6]~52231\ $ (!\led_flash_cnt[1810][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1810][7]~q\,
	cin => \led_flash_cnt[1810][6]~52231\,
	combout => \led_flash_cnt[1810][7]~52232_combout\);

-- Location: FF_X52_Y8_N25
\led_flash_cnt[1810][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1810][7]~52232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1810][7]~q\);

-- Location: LCCOMB_X52_Y8_N4
\WideAnd1810~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1810~1_combout\ = (\led_flash_cnt[1810][6]~q\ & \led_flash_cnt[1810][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1810][6]~q\,
	datad => \led_flash_cnt[1810][5]~q\,
	combout => \WideAnd1810~1_combout\);

-- Location: LCCOMB_X52_Y8_N10
WideAnd1810 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1810~combout\ = (\WideAnd1810~0_combout\ & (\led_flash_cnt[1810][7]~q\ & (\WideAnd1810~1_combout\ & \led_flash_cnt[1810][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1810~0_combout\,
	datab => \led_flash_cnt[1810][7]~q\,
	datac => \WideAnd1810~1_combout\,
	datad => \led_flash_cnt[1810][0]~q\,
	combout => \WideAnd1810~combout\);

-- Location: FF_X52_Y8_N11
\led_flash_cnt_ands[1810]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1810~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1810));

-- Location: LCCOMB_X52_Y8_N0
\WideAnd4066~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4066~0_combout\ = (led_flash_cnt_ands(1809) & (led_flash_cnt_ands(1811) & (led_flash_cnt_ands(1808) & led_flash_cnt_ands(1810))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1809),
	datab => led_flash_cnt_ands(1811),
	datac => led_flash_cnt_ands(1808),
	datad => led_flash_cnt_ands(1810),
	combout => \WideAnd4066~0_combout\);

-- Location: LCCOMB_X58_Y7_N2
\led_flash_cnt[1813][0]~82453\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1813][0]~82453_combout\ = !\led_flash_cnt[1813][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1813][0]~q\,
	combout => \led_flash_cnt[1813][0]~82453_combout\);

-- Location: FF_X58_Y7_N3
\led_flash_cnt[1813][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1813][0]~82453_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1813][0]~q\);

-- Location: LCCOMB_X57_Y7_N0
\led_flash_cnt[1813][1]~52262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1813][1]~52262_combout\ = (\led_flash_cnt[1813][0]~q\ & (\led_flash_cnt[1813][1]~q\ $ (VCC))) # (!\led_flash_cnt[1813][0]~q\ & (\led_flash_cnt[1813][1]~q\ & VCC))
-- \led_flash_cnt[1813][1]~52263\ = CARRY((\led_flash_cnt[1813][0]~q\ & \led_flash_cnt[1813][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1813][0]~q\,
	datab => \led_flash_cnt[1813][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1813][1]~52262_combout\,
	cout => \led_flash_cnt[1813][1]~52263\);

-- Location: FF_X57_Y7_N1
\led_flash_cnt[1813][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1813][1]~52262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1813][1]~q\);

-- Location: LCCOMB_X57_Y7_N2
\led_flash_cnt[1813][2]~52264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1813][2]~52264_combout\ = (\led_flash_cnt[1813][2]~q\ & (!\led_flash_cnt[1813][1]~52263\)) # (!\led_flash_cnt[1813][2]~q\ & ((\led_flash_cnt[1813][1]~52263\) # (GND)))
-- \led_flash_cnt[1813][2]~52265\ = CARRY((!\led_flash_cnt[1813][1]~52263\) # (!\led_flash_cnt[1813][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1813][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1813][1]~52263\,
	combout => \led_flash_cnt[1813][2]~52264_combout\,
	cout => \led_flash_cnt[1813][2]~52265\);

-- Location: FF_X57_Y7_N3
\led_flash_cnt[1813][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1813][2]~52264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1813][2]~q\);

-- Location: LCCOMB_X57_Y7_N4
\led_flash_cnt[1813][3]~52266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1813][3]~52266_combout\ = (\led_flash_cnt[1813][3]~q\ & (\led_flash_cnt[1813][2]~52265\ $ (GND))) # (!\led_flash_cnt[1813][3]~q\ & (!\led_flash_cnt[1813][2]~52265\ & VCC))
-- \led_flash_cnt[1813][3]~52267\ = CARRY((\led_flash_cnt[1813][3]~q\ & !\led_flash_cnt[1813][2]~52265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1813][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1813][2]~52265\,
	combout => \led_flash_cnt[1813][3]~52266_combout\,
	cout => \led_flash_cnt[1813][3]~52267\);

-- Location: FF_X57_Y7_N5
\led_flash_cnt[1813][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1813][3]~52266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1813][3]~q\);

-- Location: LCCOMB_X57_Y7_N6
\led_flash_cnt[1813][4]~52268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1813][4]~52268_combout\ = (\led_flash_cnt[1813][4]~q\ & (!\led_flash_cnt[1813][3]~52267\)) # (!\led_flash_cnt[1813][4]~q\ & ((\led_flash_cnt[1813][3]~52267\) # (GND)))
-- \led_flash_cnt[1813][4]~52269\ = CARRY((!\led_flash_cnt[1813][3]~52267\) # (!\led_flash_cnt[1813][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1813][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1813][3]~52267\,
	combout => \led_flash_cnt[1813][4]~52268_combout\,
	cout => \led_flash_cnt[1813][4]~52269\);

-- Location: FF_X57_Y7_N7
\led_flash_cnt[1813][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1813][4]~52268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1813][4]~q\);

-- Location: LCCOMB_X57_Y7_N8
\led_flash_cnt[1813][5]~52270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1813][5]~52270_combout\ = (\led_flash_cnt[1813][5]~q\ & (\led_flash_cnt[1813][4]~52269\ $ (GND))) # (!\led_flash_cnt[1813][5]~q\ & (!\led_flash_cnt[1813][4]~52269\ & VCC))
-- \led_flash_cnt[1813][5]~52271\ = CARRY((\led_flash_cnt[1813][5]~q\ & !\led_flash_cnt[1813][4]~52269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1813][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1813][4]~52269\,
	combout => \led_flash_cnt[1813][5]~52270_combout\,
	cout => \led_flash_cnt[1813][5]~52271\);

-- Location: FF_X57_Y7_N9
\led_flash_cnt[1813][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1813][5]~52270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1813][5]~q\);

-- Location: LCCOMB_X57_Y7_N10
\led_flash_cnt[1813][6]~52272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1813][6]~52272_combout\ = (\led_flash_cnt[1813][6]~q\ & (!\led_flash_cnt[1813][5]~52271\)) # (!\led_flash_cnt[1813][6]~q\ & ((\led_flash_cnt[1813][5]~52271\) # (GND)))
-- \led_flash_cnt[1813][6]~52273\ = CARRY((!\led_flash_cnt[1813][5]~52271\) # (!\led_flash_cnt[1813][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1813][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1813][5]~52271\,
	combout => \led_flash_cnt[1813][6]~52272_combout\,
	cout => \led_flash_cnt[1813][6]~52273\);

-- Location: FF_X57_Y7_N11
\led_flash_cnt[1813][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1813][6]~52272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1813][6]~q\);

-- Location: LCCOMB_X57_Y7_N12
\led_flash_cnt[1813][7]~52274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1813][7]~52274_combout\ = \led_flash_cnt[1813][6]~52273\ $ (!\led_flash_cnt[1813][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1813][7]~q\,
	cin => \led_flash_cnt[1813][6]~52273\,
	combout => \led_flash_cnt[1813][7]~52274_combout\);

-- Location: FF_X57_Y7_N13
\led_flash_cnt[1813][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1813][7]~52274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1813][7]~q\);

-- Location: LCCOMB_X57_Y7_N30
\WideAnd1813~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1813~0_combout\ = (\led_flash_cnt[1813][4]~q\ & (\led_flash_cnt[1813][1]~q\ & (\led_flash_cnt[1813][3]~q\ & \led_flash_cnt[1813][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1813][4]~q\,
	datab => \led_flash_cnt[1813][1]~q\,
	datac => \led_flash_cnt[1813][3]~q\,
	datad => \led_flash_cnt[1813][2]~q\,
	combout => \WideAnd1813~0_combout\);

-- Location: LCCOMB_X58_Y7_N8
\WideAnd1813~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1813~1_combout\ = (\led_flash_cnt[1813][6]~q\ & \led_flash_cnt[1813][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1813][6]~q\,
	datad => \led_flash_cnt[1813][5]~q\,
	combout => \WideAnd1813~1_combout\);

-- Location: LCCOMB_X58_Y7_N4
WideAnd1813 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1813~combout\ = (\led_flash_cnt[1813][7]~q\ & (\WideAnd1813~0_combout\ & (\WideAnd1813~1_combout\ & \led_flash_cnt[1813][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1813][7]~q\,
	datab => \WideAnd1813~0_combout\,
	datac => \WideAnd1813~1_combout\,
	datad => \led_flash_cnt[1813][0]~q\,
	combout => \WideAnd1813~combout\);

-- Location: FF_X58_Y7_N5
\led_flash_cnt_ands[1813]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1813~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1813));

-- Location: LCCOMB_X58_Y7_N28
\led_flash_cnt[1812][0]~82452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1812][0]~82452_combout\ = !\led_flash_cnt[1812][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1812][0]~q\,
	combout => \led_flash_cnt[1812][0]~82452_combout\);

-- Location: FF_X58_Y7_N29
\led_flash_cnt[1812][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1812][0]~82452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1812][0]~q\);

-- Location: LCCOMB_X58_Y7_N12
\led_flash_cnt[1812][1]~52248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1812][1]~52248_combout\ = (\led_flash_cnt[1812][1]~q\ & (\led_flash_cnt[1812][0]~q\ $ (VCC))) # (!\led_flash_cnt[1812][1]~q\ & (\led_flash_cnt[1812][0]~q\ & VCC))
-- \led_flash_cnt[1812][1]~52249\ = CARRY((\led_flash_cnt[1812][1]~q\ & \led_flash_cnt[1812][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1812][1]~q\,
	datab => \led_flash_cnt[1812][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1812][1]~52248_combout\,
	cout => \led_flash_cnt[1812][1]~52249\);

-- Location: FF_X58_Y7_N13
\led_flash_cnt[1812][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1812][1]~52248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1812][1]~q\);

-- Location: LCCOMB_X58_Y7_N14
\led_flash_cnt[1812][2]~52250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1812][2]~52250_combout\ = (\led_flash_cnt[1812][2]~q\ & (!\led_flash_cnt[1812][1]~52249\)) # (!\led_flash_cnt[1812][2]~q\ & ((\led_flash_cnt[1812][1]~52249\) # (GND)))
-- \led_flash_cnt[1812][2]~52251\ = CARRY((!\led_flash_cnt[1812][1]~52249\) # (!\led_flash_cnt[1812][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1812][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1812][1]~52249\,
	combout => \led_flash_cnt[1812][2]~52250_combout\,
	cout => \led_flash_cnt[1812][2]~52251\);

-- Location: FF_X58_Y7_N15
\led_flash_cnt[1812][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1812][2]~52250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1812][2]~q\);

-- Location: LCCOMB_X58_Y7_N16
\led_flash_cnt[1812][3]~52252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1812][3]~52252_combout\ = (\led_flash_cnt[1812][3]~q\ & (\led_flash_cnt[1812][2]~52251\ $ (GND))) # (!\led_flash_cnt[1812][3]~q\ & (!\led_flash_cnt[1812][2]~52251\ & VCC))
-- \led_flash_cnt[1812][3]~52253\ = CARRY((\led_flash_cnt[1812][3]~q\ & !\led_flash_cnt[1812][2]~52251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1812][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1812][2]~52251\,
	combout => \led_flash_cnt[1812][3]~52252_combout\,
	cout => \led_flash_cnt[1812][3]~52253\);

-- Location: FF_X58_Y7_N17
\led_flash_cnt[1812][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1812][3]~52252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1812][3]~q\);

-- Location: LCCOMB_X58_Y7_N18
\led_flash_cnt[1812][4]~52254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1812][4]~52254_combout\ = (\led_flash_cnt[1812][4]~q\ & (!\led_flash_cnt[1812][3]~52253\)) # (!\led_flash_cnt[1812][4]~q\ & ((\led_flash_cnt[1812][3]~52253\) # (GND)))
-- \led_flash_cnt[1812][4]~52255\ = CARRY((!\led_flash_cnt[1812][3]~52253\) # (!\led_flash_cnt[1812][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1812][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1812][3]~52253\,
	combout => \led_flash_cnt[1812][4]~52254_combout\,
	cout => \led_flash_cnt[1812][4]~52255\);

-- Location: FF_X58_Y7_N19
\led_flash_cnt[1812][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1812][4]~52254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1812][4]~q\);

-- Location: LCCOMB_X58_Y7_N26
\WideAnd1812~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1812~0_combout\ = (\led_flash_cnt[1812][4]~q\ & (\led_flash_cnt[1812][3]~q\ & (\led_flash_cnt[1812][2]~q\ & \led_flash_cnt[1812][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1812][4]~q\,
	datab => \led_flash_cnt[1812][3]~q\,
	datac => \led_flash_cnt[1812][2]~q\,
	datad => \led_flash_cnt[1812][1]~q\,
	combout => \WideAnd1812~0_combout\);

-- Location: LCCOMB_X58_Y7_N20
\led_flash_cnt[1812][5]~52256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1812][5]~52256_combout\ = (\led_flash_cnt[1812][5]~q\ & (\led_flash_cnt[1812][4]~52255\ $ (GND))) # (!\led_flash_cnt[1812][5]~q\ & (!\led_flash_cnt[1812][4]~52255\ & VCC))
-- \led_flash_cnt[1812][5]~52257\ = CARRY((\led_flash_cnt[1812][5]~q\ & !\led_flash_cnt[1812][4]~52255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1812][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1812][4]~52255\,
	combout => \led_flash_cnt[1812][5]~52256_combout\,
	cout => \led_flash_cnt[1812][5]~52257\);

-- Location: FF_X58_Y7_N21
\led_flash_cnt[1812][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1812][5]~52256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1812][5]~q\);

-- Location: LCCOMB_X58_Y7_N22
\led_flash_cnt[1812][6]~52258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1812][6]~52258_combout\ = (\led_flash_cnt[1812][6]~q\ & (!\led_flash_cnt[1812][5]~52257\)) # (!\led_flash_cnt[1812][6]~q\ & ((\led_flash_cnt[1812][5]~52257\) # (GND)))
-- \led_flash_cnt[1812][6]~52259\ = CARRY((!\led_flash_cnt[1812][5]~52257\) # (!\led_flash_cnt[1812][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1812][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1812][5]~52257\,
	combout => \led_flash_cnt[1812][6]~52258_combout\,
	cout => \led_flash_cnt[1812][6]~52259\);

-- Location: FF_X58_Y7_N23
\led_flash_cnt[1812][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1812][6]~52258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1812][6]~q\);

-- Location: LCCOMB_X58_Y7_N24
\led_flash_cnt[1812][7]~52260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1812][7]~52260_combout\ = \led_flash_cnt[1812][6]~52259\ $ (!\led_flash_cnt[1812][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1812][7]~q\,
	cin => \led_flash_cnt[1812][6]~52259\,
	combout => \led_flash_cnt[1812][7]~52260_combout\);

-- Location: FF_X58_Y7_N25
\led_flash_cnt[1812][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1812][7]~52260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1812][7]~q\);

-- Location: LCCOMB_X58_Y7_N30
\WideAnd1812~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1812~1_combout\ = (\led_flash_cnt[1812][6]~q\ & \led_flash_cnt[1812][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1812][6]~q\,
	datad => \led_flash_cnt[1812][5]~q\,
	combout => \WideAnd1812~1_combout\);

-- Location: LCCOMB_X58_Y7_N6
WideAnd1812 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1812~combout\ = (\WideAnd1812~0_combout\ & (\led_flash_cnt[1812][7]~q\ & (\WideAnd1812~1_combout\ & \led_flash_cnt[1812][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1812~0_combout\,
	datab => \led_flash_cnt[1812][7]~q\,
	datac => \WideAnd1812~1_combout\,
	datad => \led_flash_cnt[1812][0]~q\,
	combout => \WideAnd1812~combout\);

-- Location: FF_X58_Y7_N7
\led_flash_cnt_ands[1812]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1812~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1812));

-- Location: LCCOMB_X58_Y7_N10
\WideAnd4066~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4066~1_combout\ = (led_flash_cnt_ands(1813) & led_flash_cnt_ands(1812))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1813),
	datad => led_flash_cnt_ands(1812),
	combout => \WideAnd4066~1_combout\);

-- Location: LCCOMB_X50_Y9_N28
WideAnd4066 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4066~combout\ = (led_flash_cnt_ands(1815) & (led_flash_cnt_ands(1814) & (\WideAnd4066~0_combout\ & \WideAnd4066~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1815),
	datab => led_flash_cnt_ands(1814),
	datac => \WideAnd4066~0_combout\,
	datad => \WideAnd4066~1_combout\,
	combout => \WideAnd4066~combout\);

-- Location: FF_X50_Y9_N29
\led_flash_cnt_ands_1[226]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4066~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(226));

-- Location: LCCOMB_X2_Y7_N28
\led_flash_cnt[1821][0]~82461\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1821][0]~82461_combout\ = !\led_flash_cnt[1821][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1821][0]~q\,
	combout => \led_flash_cnt[1821][0]~82461_combout\);

-- Location: FF_X2_Y7_N29
\led_flash_cnt[1821][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1821][0]~82461_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1821][0]~q\);

-- Location: LCCOMB_X2_Y7_N10
\led_flash_cnt[1821][1]~52374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1821][1]~52374_combout\ = (\led_flash_cnt[1821][1]~q\ & (\led_flash_cnt[1821][0]~q\ $ (VCC))) # (!\led_flash_cnt[1821][1]~q\ & (\led_flash_cnt[1821][0]~q\ & VCC))
-- \led_flash_cnt[1821][1]~52375\ = CARRY((\led_flash_cnt[1821][1]~q\ & \led_flash_cnt[1821][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1821][1]~q\,
	datab => \led_flash_cnt[1821][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1821][1]~52374_combout\,
	cout => \led_flash_cnt[1821][1]~52375\);

-- Location: FF_X2_Y7_N11
\led_flash_cnt[1821][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1821][1]~52374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1821][1]~q\);

-- Location: LCCOMB_X2_Y7_N12
\led_flash_cnt[1821][2]~52376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1821][2]~52376_combout\ = (\led_flash_cnt[1821][2]~q\ & (!\led_flash_cnt[1821][1]~52375\)) # (!\led_flash_cnt[1821][2]~q\ & ((\led_flash_cnt[1821][1]~52375\) # (GND)))
-- \led_flash_cnt[1821][2]~52377\ = CARRY((!\led_flash_cnt[1821][1]~52375\) # (!\led_flash_cnt[1821][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1821][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1821][1]~52375\,
	combout => \led_flash_cnt[1821][2]~52376_combout\,
	cout => \led_flash_cnt[1821][2]~52377\);

-- Location: FF_X2_Y7_N13
\led_flash_cnt[1821][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1821][2]~52376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1821][2]~q\);

-- Location: LCCOMB_X2_Y7_N14
\led_flash_cnt[1821][3]~52378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1821][3]~52378_combout\ = (\led_flash_cnt[1821][3]~q\ & (\led_flash_cnt[1821][2]~52377\ $ (GND))) # (!\led_flash_cnt[1821][3]~q\ & (!\led_flash_cnt[1821][2]~52377\ & VCC))
-- \led_flash_cnt[1821][3]~52379\ = CARRY((\led_flash_cnt[1821][3]~q\ & !\led_flash_cnt[1821][2]~52377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1821][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1821][2]~52377\,
	combout => \led_flash_cnt[1821][3]~52378_combout\,
	cout => \led_flash_cnt[1821][3]~52379\);

-- Location: FF_X2_Y7_N15
\led_flash_cnt[1821][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1821][3]~52378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1821][3]~q\);

-- Location: LCCOMB_X2_Y7_N16
\led_flash_cnt[1821][4]~52380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1821][4]~52380_combout\ = (\led_flash_cnt[1821][4]~q\ & (!\led_flash_cnt[1821][3]~52379\)) # (!\led_flash_cnt[1821][4]~q\ & ((\led_flash_cnt[1821][3]~52379\) # (GND)))
-- \led_flash_cnt[1821][4]~52381\ = CARRY((!\led_flash_cnt[1821][3]~52379\) # (!\led_flash_cnt[1821][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1821][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1821][3]~52379\,
	combout => \led_flash_cnt[1821][4]~52380_combout\,
	cout => \led_flash_cnt[1821][4]~52381\);

-- Location: FF_X2_Y7_N17
\led_flash_cnt[1821][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1821][4]~52380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1821][4]~q\);

-- Location: LCCOMB_X2_Y7_N26
\WideAnd1821~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1821~0_combout\ = (\led_flash_cnt[1821][1]~q\ & (\led_flash_cnt[1821][4]~q\ & (\led_flash_cnt[1821][3]~q\ & \led_flash_cnt[1821][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1821][1]~q\,
	datab => \led_flash_cnt[1821][4]~q\,
	datac => \led_flash_cnt[1821][3]~q\,
	datad => \led_flash_cnt[1821][2]~q\,
	combout => \WideAnd1821~0_combout\);

-- Location: LCCOMB_X2_Y7_N18
\led_flash_cnt[1821][5]~52382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1821][5]~52382_combout\ = (\led_flash_cnt[1821][5]~q\ & (\led_flash_cnt[1821][4]~52381\ $ (GND))) # (!\led_flash_cnt[1821][5]~q\ & (!\led_flash_cnt[1821][4]~52381\ & VCC))
-- \led_flash_cnt[1821][5]~52383\ = CARRY((\led_flash_cnt[1821][5]~q\ & !\led_flash_cnt[1821][4]~52381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1821][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1821][4]~52381\,
	combout => \led_flash_cnt[1821][5]~52382_combout\,
	cout => \led_flash_cnt[1821][5]~52383\);

-- Location: FF_X2_Y7_N19
\led_flash_cnt[1821][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1821][5]~52382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1821][5]~q\);

-- Location: LCCOMB_X2_Y7_N20
\led_flash_cnt[1821][6]~52384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1821][6]~52384_combout\ = (\led_flash_cnt[1821][6]~q\ & (!\led_flash_cnt[1821][5]~52383\)) # (!\led_flash_cnt[1821][6]~q\ & ((\led_flash_cnt[1821][5]~52383\) # (GND)))
-- \led_flash_cnt[1821][6]~52385\ = CARRY((!\led_flash_cnt[1821][5]~52383\) # (!\led_flash_cnt[1821][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1821][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1821][5]~52383\,
	combout => \led_flash_cnt[1821][6]~52384_combout\,
	cout => \led_flash_cnt[1821][6]~52385\);

-- Location: FF_X2_Y7_N21
\led_flash_cnt[1821][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1821][6]~52384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1821][6]~q\);

-- Location: LCCOMB_X2_Y7_N24
\WideAnd1821~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1821~1_combout\ = (\led_flash_cnt[1821][5]~q\ & \led_flash_cnt[1821][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1821][5]~q\,
	datad => \led_flash_cnt[1821][6]~q\,
	combout => \WideAnd1821~1_combout\);

-- Location: LCCOMB_X2_Y7_N22
\led_flash_cnt[1821][7]~52386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1821][7]~52386_combout\ = \led_flash_cnt[1821][7]~q\ $ (!\led_flash_cnt[1821][6]~52385\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1821][7]~q\,
	cin => \led_flash_cnt[1821][6]~52385\,
	combout => \led_flash_cnt[1821][7]~52386_combout\);

-- Location: FF_X2_Y7_N23
\led_flash_cnt[1821][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1821][7]~52386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1821][7]~q\);

-- Location: LCCOMB_X2_Y7_N30
WideAnd1821 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1821~combout\ = (\WideAnd1821~0_combout\ & (\WideAnd1821~1_combout\ & (\led_flash_cnt[1821][7]~q\ & \led_flash_cnt[1821][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1821~0_combout\,
	datab => \WideAnd1821~1_combout\,
	datac => \led_flash_cnt[1821][7]~q\,
	datad => \led_flash_cnt[1821][0]~q\,
	combout => \WideAnd1821~combout\);

-- Location: FF_X2_Y7_N31
\led_flash_cnt_ands[1821]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1821~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1821));

-- Location: LCCOMB_X2_Y7_N6
\led_flash_cnt[1820][0]~82460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1820][0]~82460_combout\ = !\led_flash_cnt[1820][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1820][0]~q\,
	combout => \led_flash_cnt[1820][0]~82460_combout\);

-- Location: FF_X2_Y7_N7
\led_flash_cnt[1820][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1820][0]~82460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1820][0]~q\);

-- Location: LCCOMB_X3_Y7_N0
\led_flash_cnt[1820][1]~52360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1820][1]~52360_combout\ = (\led_flash_cnt[1820][0]~q\ & (\led_flash_cnt[1820][1]~q\ $ (VCC))) # (!\led_flash_cnt[1820][0]~q\ & (\led_flash_cnt[1820][1]~q\ & VCC))
-- \led_flash_cnt[1820][1]~52361\ = CARRY((\led_flash_cnt[1820][0]~q\ & \led_flash_cnt[1820][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1820][0]~q\,
	datab => \led_flash_cnt[1820][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1820][1]~52360_combout\,
	cout => \led_flash_cnt[1820][1]~52361\);

-- Location: FF_X3_Y7_N1
\led_flash_cnt[1820][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1820][1]~52360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1820][1]~q\);

-- Location: LCCOMB_X3_Y7_N2
\led_flash_cnt[1820][2]~52362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1820][2]~52362_combout\ = (\led_flash_cnt[1820][2]~q\ & (!\led_flash_cnt[1820][1]~52361\)) # (!\led_flash_cnt[1820][2]~q\ & ((\led_flash_cnt[1820][1]~52361\) # (GND)))
-- \led_flash_cnt[1820][2]~52363\ = CARRY((!\led_flash_cnt[1820][1]~52361\) # (!\led_flash_cnt[1820][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1820][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1820][1]~52361\,
	combout => \led_flash_cnt[1820][2]~52362_combout\,
	cout => \led_flash_cnt[1820][2]~52363\);

-- Location: FF_X3_Y7_N3
\led_flash_cnt[1820][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1820][2]~52362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1820][2]~q\);

-- Location: LCCOMB_X3_Y7_N4
\led_flash_cnt[1820][3]~52364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1820][3]~52364_combout\ = (\led_flash_cnt[1820][3]~q\ & (\led_flash_cnt[1820][2]~52363\ $ (GND))) # (!\led_flash_cnt[1820][3]~q\ & (!\led_flash_cnt[1820][2]~52363\ & VCC))
-- \led_flash_cnt[1820][3]~52365\ = CARRY((\led_flash_cnt[1820][3]~q\ & !\led_flash_cnt[1820][2]~52363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1820][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1820][2]~52363\,
	combout => \led_flash_cnt[1820][3]~52364_combout\,
	cout => \led_flash_cnt[1820][3]~52365\);

-- Location: FF_X3_Y7_N5
\led_flash_cnt[1820][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1820][3]~52364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1820][3]~q\);

-- Location: LCCOMB_X3_Y7_N6
\led_flash_cnt[1820][4]~52366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1820][4]~52366_combout\ = (\led_flash_cnt[1820][4]~q\ & (!\led_flash_cnt[1820][3]~52365\)) # (!\led_flash_cnt[1820][4]~q\ & ((\led_flash_cnt[1820][3]~52365\) # (GND)))
-- \led_flash_cnt[1820][4]~52367\ = CARRY((!\led_flash_cnt[1820][3]~52365\) # (!\led_flash_cnt[1820][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1820][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1820][3]~52365\,
	combout => \led_flash_cnt[1820][4]~52366_combout\,
	cout => \led_flash_cnt[1820][4]~52367\);

-- Location: FF_X3_Y7_N7
\led_flash_cnt[1820][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1820][4]~52366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1820][4]~q\);

-- Location: LCCOMB_X3_Y7_N8
\led_flash_cnt[1820][5]~52368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1820][5]~52368_combout\ = (\led_flash_cnt[1820][5]~q\ & (\led_flash_cnt[1820][4]~52367\ $ (GND))) # (!\led_flash_cnt[1820][5]~q\ & (!\led_flash_cnt[1820][4]~52367\ & VCC))
-- \led_flash_cnt[1820][5]~52369\ = CARRY((\led_flash_cnt[1820][5]~q\ & !\led_flash_cnt[1820][4]~52367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1820][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1820][4]~52367\,
	combout => \led_flash_cnt[1820][5]~52368_combout\,
	cout => \led_flash_cnt[1820][5]~52369\);

-- Location: FF_X3_Y7_N9
\led_flash_cnt[1820][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1820][5]~52368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1820][5]~q\);

-- Location: LCCOMB_X3_Y7_N10
\led_flash_cnt[1820][6]~52370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1820][6]~52370_combout\ = (\led_flash_cnt[1820][6]~q\ & (!\led_flash_cnt[1820][5]~52369\)) # (!\led_flash_cnt[1820][6]~q\ & ((\led_flash_cnt[1820][5]~52369\) # (GND)))
-- \led_flash_cnt[1820][6]~52371\ = CARRY((!\led_flash_cnt[1820][5]~52369\) # (!\led_flash_cnt[1820][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1820][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1820][5]~52369\,
	combout => \led_flash_cnt[1820][6]~52370_combout\,
	cout => \led_flash_cnt[1820][6]~52371\);

-- Location: FF_X3_Y7_N11
\led_flash_cnt[1820][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1820][6]~52370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1820][6]~q\);

-- Location: LCCOMB_X3_Y7_N12
\led_flash_cnt[1820][7]~52372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1820][7]~52372_combout\ = \led_flash_cnt[1820][6]~52371\ $ (!\led_flash_cnt[1820][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1820][7]~q\,
	cin => \led_flash_cnt[1820][6]~52371\,
	combout => \led_flash_cnt[1820][7]~52372_combout\);

-- Location: FF_X3_Y7_N13
\led_flash_cnt[1820][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1820][7]~52372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1820][7]~q\);

-- Location: LCCOMB_X3_Y7_N30
\WideAnd1820~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1820~0_combout\ = (\led_flash_cnt[1820][4]~q\ & (\led_flash_cnt[1820][1]~q\ & (\led_flash_cnt[1820][3]~q\ & \led_flash_cnt[1820][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1820][4]~q\,
	datab => \led_flash_cnt[1820][1]~q\,
	datac => \led_flash_cnt[1820][3]~q\,
	datad => \led_flash_cnt[1820][2]~q\,
	combout => \WideAnd1820~0_combout\);

-- Location: LCCOMB_X2_Y7_N0
\WideAnd1820~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1820~1_combout\ = (\led_flash_cnt[1820][5]~q\ & \led_flash_cnt[1820][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1820][5]~q\,
	datac => \led_flash_cnt[1820][6]~q\,
	combout => \WideAnd1820~1_combout\);

-- Location: LCCOMB_X2_Y7_N2
WideAnd1820 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1820~combout\ = (\led_flash_cnt[1820][0]~q\ & (\led_flash_cnt[1820][7]~q\ & (\WideAnd1820~0_combout\ & \WideAnd1820~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1820][0]~q\,
	datab => \led_flash_cnt[1820][7]~q\,
	datac => \WideAnd1820~0_combout\,
	datad => \WideAnd1820~1_combout\,
	combout => \WideAnd1820~combout\);

-- Location: FF_X2_Y7_N3
\led_flash_cnt_ands[1820]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1820~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1820));

-- Location: LCCOMB_X2_Y7_N8
\WideAnd4067~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4067~1_combout\ = (led_flash_cnt_ands(1821) & led_flash_cnt_ands(1820))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1821),
	datad => led_flash_cnt_ands(1820),
	combout => \WideAnd4067~1_combout\);

-- Location: LCCOMB_X4_Y7_N20
\led_flash_cnt[1823][0]~82463\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1823][0]~82463_combout\ = !\led_flash_cnt[1823][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1823][0]~q\,
	combout => \led_flash_cnt[1823][0]~82463_combout\);

-- Location: FF_X4_Y7_N21
\led_flash_cnt[1823][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1823][0]~82463_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1823][0]~q\);

-- Location: LCCOMB_X4_Y7_N6
\led_flash_cnt[1823][1]~52402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1823][1]~52402_combout\ = (\led_flash_cnt[1823][1]~q\ & (\led_flash_cnt[1823][0]~q\ $ (VCC))) # (!\led_flash_cnt[1823][1]~q\ & (\led_flash_cnt[1823][0]~q\ & VCC))
-- \led_flash_cnt[1823][1]~52403\ = CARRY((\led_flash_cnt[1823][1]~q\ & \led_flash_cnt[1823][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1823][1]~q\,
	datab => \led_flash_cnt[1823][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1823][1]~52402_combout\,
	cout => \led_flash_cnt[1823][1]~52403\);

-- Location: FF_X4_Y7_N7
\led_flash_cnt[1823][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1823][1]~52402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1823][1]~q\);

-- Location: LCCOMB_X4_Y7_N8
\led_flash_cnt[1823][2]~52404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1823][2]~52404_combout\ = (\led_flash_cnt[1823][2]~q\ & (!\led_flash_cnt[1823][1]~52403\)) # (!\led_flash_cnt[1823][2]~q\ & ((\led_flash_cnt[1823][1]~52403\) # (GND)))
-- \led_flash_cnt[1823][2]~52405\ = CARRY((!\led_flash_cnt[1823][1]~52403\) # (!\led_flash_cnt[1823][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1823][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1823][1]~52403\,
	combout => \led_flash_cnt[1823][2]~52404_combout\,
	cout => \led_flash_cnt[1823][2]~52405\);

-- Location: FF_X4_Y7_N9
\led_flash_cnt[1823][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1823][2]~52404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1823][2]~q\);

-- Location: LCCOMB_X4_Y7_N10
\led_flash_cnt[1823][3]~52406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1823][3]~52406_combout\ = (\led_flash_cnt[1823][3]~q\ & (\led_flash_cnt[1823][2]~52405\ $ (GND))) # (!\led_flash_cnt[1823][3]~q\ & (!\led_flash_cnt[1823][2]~52405\ & VCC))
-- \led_flash_cnt[1823][3]~52407\ = CARRY((\led_flash_cnt[1823][3]~q\ & !\led_flash_cnt[1823][2]~52405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1823][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1823][2]~52405\,
	combout => \led_flash_cnt[1823][3]~52406_combout\,
	cout => \led_flash_cnt[1823][3]~52407\);

-- Location: FF_X4_Y7_N11
\led_flash_cnt[1823][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1823][3]~52406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1823][3]~q\);

-- Location: LCCOMB_X4_Y7_N12
\led_flash_cnt[1823][4]~52408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1823][4]~52408_combout\ = (\led_flash_cnt[1823][4]~q\ & (!\led_flash_cnt[1823][3]~52407\)) # (!\led_flash_cnt[1823][4]~q\ & ((\led_flash_cnt[1823][3]~52407\) # (GND)))
-- \led_flash_cnt[1823][4]~52409\ = CARRY((!\led_flash_cnt[1823][3]~52407\) # (!\led_flash_cnt[1823][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1823][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1823][3]~52407\,
	combout => \led_flash_cnt[1823][4]~52408_combout\,
	cout => \led_flash_cnt[1823][4]~52409\);

-- Location: FF_X4_Y7_N13
\led_flash_cnt[1823][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1823][4]~52408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1823][4]~q\);

-- Location: LCCOMB_X4_Y7_N14
\led_flash_cnt[1823][5]~52410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1823][5]~52410_combout\ = (\led_flash_cnt[1823][5]~q\ & (\led_flash_cnt[1823][4]~52409\ $ (GND))) # (!\led_flash_cnt[1823][5]~q\ & (!\led_flash_cnt[1823][4]~52409\ & VCC))
-- \led_flash_cnt[1823][5]~52411\ = CARRY((\led_flash_cnt[1823][5]~q\ & !\led_flash_cnt[1823][4]~52409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1823][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1823][4]~52409\,
	combout => \led_flash_cnt[1823][5]~52410_combout\,
	cout => \led_flash_cnt[1823][5]~52411\);

-- Location: FF_X4_Y7_N15
\led_flash_cnt[1823][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1823][5]~52410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1823][5]~q\);

-- Location: LCCOMB_X4_Y7_N16
\led_flash_cnt[1823][6]~52412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1823][6]~52412_combout\ = (\led_flash_cnt[1823][6]~q\ & (!\led_flash_cnt[1823][5]~52411\)) # (!\led_flash_cnt[1823][6]~q\ & ((\led_flash_cnt[1823][5]~52411\) # (GND)))
-- \led_flash_cnt[1823][6]~52413\ = CARRY((!\led_flash_cnt[1823][5]~52411\) # (!\led_flash_cnt[1823][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1823][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1823][5]~52411\,
	combout => \led_flash_cnt[1823][6]~52412_combout\,
	cout => \led_flash_cnt[1823][6]~52413\);

-- Location: FF_X4_Y7_N17
\led_flash_cnt[1823][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1823][6]~52412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1823][6]~q\);

-- Location: LCCOMB_X4_Y7_N18
\led_flash_cnt[1823][7]~52414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1823][7]~52414_combout\ = \led_flash_cnt[1823][7]~q\ $ (!\led_flash_cnt[1823][6]~52413\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1823][7]~q\,
	cin => \led_flash_cnt[1823][6]~52413\,
	combout => \led_flash_cnt[1823][7]~52414_combout\);

-- Location: FF_X4_Y7_N19
\led_flash_cnt[1823][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1823][7]~52414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1823][7]~q\);

-- Location: LCCOMB_X4_Y7_N26
\WideAnd1823~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1823~1_combout\ = (\led_flash_cnt[1823][5]~q\ & \led_flash_cnt[1823][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1823][5]~q\,
	datad => \led_flash_cnt[1823][6]~q\,
	combout => \WideAnd1823~1_combout\);

-- Location: LCCOMB_X4_Y7_N28
\WideAnd1823~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1823~0_combout\ = (\led_flash_cnt[1823][4]~q\ & (\led_flash_cnt[1823][1]~q\ & (\led_flash_cnt[1823][2]~q\ & \led_flash_cnt[1823][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1823][4]~q\,
	datab => \led_flash_cnt[1823][1]~q\,
	datac => \led_flash_cnt[1823][2]~q\,
	datad => \led_flash_cnt[1823][3]~q\,
	combout => \WideAnd1823~0_combout\);

-- Location: LCCOMB_X4_Y7_N24
WideAnd1823 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1823~combout\ = (\led_flash_cnt[1823][7]~q\ & (\led_flash_cnt[1823][0]~q\ & (\WideAnd1823~1_combout\ & \WideAnd1823~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1823][7]~q\,
	datab => \led_flash_cnt[1823][0]~q\,
	datac => \WideAnd1823~1_combout\,
	datad => \WideAnd1823~0_combout\,
	combout => \WideAnd1823~combout\);

-- Location: FF_X4_Y7_N25
\led_flash_cnt_ands[1823]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1823~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1823));

-- Location: LCCOMB_X4_Y8_N12
\led_flash_cnt[1822][0]~82462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1822][0]~82462_combout\ = !\led_flash_cnt[1822][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1822][0]~q\,
	combout => \led_flash_cnt[1822][0]~82462_combout\);

-- Location: FF_X4_Y8_N13
\led_flash_cnt[1822][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1822][0]~82462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1822][0]~q\);

-- Location: LCCOMB_X4_Y8_N14
\led_flash_cnt[1822][1]~52388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1822][1]~52388_combout\ = (\led_flash_cnt[1822][0]~q\ & (\led_flash_cnt[1822][1]~q\ $ (VCC))) # (!\led_flash_cnt[1822][0]~q\ & (\led_flash_cnt[1822][1]~q\ & VCC))
-- \led_flash_cnt[1822][1]~52389\ = CARRY((\led_flash_cnt[1822][0]~q\ & \led_flash_cnt[1822][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1822][0]~q\,
	datab => \led_flash_cnt[1822][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1822][1]~52388_combout\,
	cout => \led_flash_cnt[1822][1]~52389\);

-- Location: FF_X4_Y8_N15
\led_flash_cnt[1822][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1822][1]~52388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1822][1]~q\);

-- Location: LCCOMB_X4_Y8_N16
\led_flash_cnt[1822][2]~52390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1822][2]~52390_combout\ = (\led_flash_cnt[1822][2]~q\ & (!\led_flash_cnt[1822][1]~52389\)) # (!\led_flash_cnt[1822][2]~q\ & ((\led_flash_cnt[1822][1]~52389\) # (GND)))
-- \led_flash_cnt[1822][2]~52391\ = CARRY((!\led_flash_cnt[1822][1]~52389\) # (!\led_flash_cnt[1822][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1822][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1822][1]~52389\,
	combout => \led_flash_cnt[1822][2]~52390_combout\,
	cout => \led_flash_cnt[1822][2]~52391\);

-- Location: FF_X4_Y8_N17
\led_flash_cnt[1822][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1822][2]~52390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1822][2]~q\);

-- Location: LCCOMB_X4_Y8_N18
\led_flash_cnt[1822][3]~52392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1822][3]~52392_combout\ = (\led_flash_cnt[1822][3]~q\ & (\led_flash_cnt[1822][2]~52391\ $ (GND))) # (!\led_flash_cnt[1822][3]~q\ & (!\led_flash_cnt[1822][2]~52391\ & VCC))
-- \led_flash_cnt[1822][3]~52393\ = CARRY((\led_flash_cnt[1822][3]~q\ & !\led_flash_cnt[1822][2]~52391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1822][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1822][2]~52391\,
	combout => \led_flash_cnt[1822][3]~52392_combout\,
	cout => \led_flash_cnt[1822][3]~52393\);

-- Location: FF_X4_Y8_N19
\led_flash_cnt[1822][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1822][3]~52392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1822][3]~q\);

-- Location: LCCOMB_X4_Y8_N20
\led_flash_cnt[1822][4]~52394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1822][4]~52394_combout\ = (\led_flash_cnt[1822][4]~q\ & (!\led_flash_cnt[1822][3]~52393\)) # (!\led_flash_cnt[1822][4]~q\ & ((\led_flash_cnt[1822][3]~52393\) # (GND)))
-- \led_flash_cnt[1822][4]~52395\ = CARRY((!\led_flash_cnt[1822][3]~52393\) # (!\led_flash_cnt[1822][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1822][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1822][3]~52393\,
	combout => \led_flash_cnt[1822][4]~52394_combout\,
	cout => \led_flash_cnt[1822][4]~52395\);

-- Location: FF_X4_Y8_N21
\led_flash_cnt[1822][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1822][4]~52394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1822][4]~q\);

-- Location: LCCOMB_X4_Y8_N22
\led_flash_cnt[1822][5]~52396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1822][5]~52396_combout\ = (\led_flash_cnt[1822][5]~q\ & (\led_flash_cnt[1822][4]~52395\ $ (GND))) # (!\led_flash_cnt[1822][5]~q\ & (!\led_flash_cnt[1822][4]~52395\ & VCC))
-- \led_flash_cnt[1822][5]~52397\ = CARRY((\led_flash_cnt[1822][5]~q\ & !\led_flash_cnt[1822][4]~52395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1822][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1822][4]~52395\,
	combout => \led_flash_cnt[1822][5]~52396_combout\,
	cout => \led_flash_cnt[1822][5]~52397\);

-- Location: FF_X4_Y8_N23
\led_flash_cnt[1822][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1822][5]~52396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1822][5]~q\);

-- Location: LCCOMB_X4_Y8_N24
\led_flash_cnt[1822][6]~52398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1822][6]~52398_combout\ = (\led_flash_cnt[1822][6]~q\ & (!\led_flash_cnt[1822][5]~52397\)) # (!\led_flash_cnt[1822][6]~q\ & ((\led_flash_cnt[1822][5]~52397\) # (GND)))
-- \led_flash_cnt[1822][6]~52399\ = CARRY((!\led_flash_cnt[1822][5]~52397\) # (!\led_flash_cnt[1822][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1822][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1822][5]~52397\,
	combout => \led_flash_cnt[1822][6]~52398_combout\,
	cout => \led_flash_cnt[1822][6]~52399\);

-- Location: FF_X4_Y8_N25
\led_flash_cnt[1822][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1822][6]~52398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1822][6]~q\);

-- Location: LCCOMB_X4_Y8_N10
\WideAnd1822~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1822~1_combout\ = (\led_flash_cnt[1822][5]~q\ & \led_flash_cnt[1822][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1822][5]~q\,
	datad => \led_flash_cnt[1822][6]~q\,
	combout => \WideAnd1822~1_combout\);

-- Location: LCCOMB_X4_Y8_N28
\WideAnd1822~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1822~0_combout\ = (\led_flash_cnt[1822][3]~q\ & (\led_flash_cnt[1822][4]~q\ & (\led_flash_cnt[1822][1]~q\ & \led_flash_cnt[1822][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1822][3]~q\,
	datab => \led_flash_cnt[1822][4]~q\,
	datac => \led_flash_cnt[1822][1]~q\,
	datad => \led_flash_cnt[1822][2]~q\,
	combout => \WideAnd1822~0_combout\);

-- Location: LCCOMB_X4_Y8_N26
\led_flash_cnt[1822][7]~52400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1822][7]~52400_combout\ = \led_flash_cnt[1822][7]~q\ $ (!\led_flash_cnt[1822][6]~52399\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1822][7]~q\,
	cin => \led_flash_cnt[1822][6]~52399\,
	combout => \led_flash_cnt[1822][7]~52400_combout\);

-- Location: FF_X4_Y8_N27
\led_flash_cnt[1822][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1822][7]~52400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1822][7]~q\);

-- Location: LCCOMB_X4_Y8_N30
WideAnd1822 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1822~combout\ = (\WideAnd1822~1_combout\ & (\WideAnd1822~0_combout\ & (\led_flash_cnt[1822][7]~q\ & \led_flash_cnt[1822][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1822~1_combout\,
	datab => \WideAnd1822~0_combout\,
	datac => \led_flash_cnt[1822][7]~q\,
	datad => \led_flash_cnt[1822][0]~q\,
	combout => \WideAnd1822~combout\);

-- Location: FF_X4_Y8_N31
\led_flash_cnt_ands[1822]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1822~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1822));

-- Location: LCCOMB_X47_Y3_N10
\led_flash_cnt[1816][0]~82456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1816][0]~82456_combout\ = !\led_flash_cnt[1816][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1816][0]~q\,
	combout => \led_flash_cnt[1816][0]~82456_combout\);

-- Location: FF_X47_Y3_N11
\led_flash_cnt[1816][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1816][0]~82456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1816][0]~q\);

-- Location: LCCOMB_X47_Y3_N16
\led_flash_cnt[1816][1]~52304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1816][1]~52304_combout\ = (\led_flash_cnt[1816][0]~q\ & (\led_flash_cnt[1816][1]~q\ $ (VCC))) # (!\led_flash_cnt[1816][0]~q\ & (\led_flash_cnt[1816][1]~q\ & VCC))
-- \led_flash_cnt[1816][1]~52305\ = CARRY((\led_flash_cnt[1816][0]~q\ & \led_flash_cnt[1816][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1816][0]~q\,
	datab => \led_flash_cnt[1816][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1816][1]~52304_combout\,
	cout => \led_flash_cnt[1816][1]~52305\);

-- Location: FF_X47_Y3_N17
\led_flash_cnt[1816][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1816][1]~52304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1816][1]~q\);

-- Location: LCCOMB_X47_Y3_N18
\led_flash_cnt[1816][2]~52306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1816][2]~52306_combout\ = (\led_flash_cnt[1816][2]~q\ & (!\led_flash_cnt[1816][1]~52305\)) # (!\led_flash_cnt[1816][2]~q\ & ((\led_flash_cnt[1816][1]~52305\) # (GND)))
-- \led_flash_cnt[1816][2]~52307\ = CARRY((!\led_flash_cnt[1816][1]~52305\) # (!\led_flash_cnt[1816][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1816][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1816][1]~52305\,
	combout => \led_flash_cnt[1816][2]~52306_combout\,
	cout => \led_flash_cnt[1816][2]~52307\);

-- Location: FF_X47_Y3_N19
\led_flash_cnt[1816][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1816][2]~52306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1816][2]~q\);

-- Location: LCCOMB_X47_Y3_N20
\led_flash_cnt[1816][3]~52308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1816][3]~52308_combout\ = (\led_flash_cnt[1816][3]~q\ & (\led_flash_cnt[1816][2]~52307\ $ (GND))) # (!\led_flash_cnt[1816][3]~q\ & (!\led_flash_cnt[1816][2]~52307\ & VCC))
-- \led_flash_cnt[1816][3]~52309\ = CARRY((\led_flash_cnt[1816][3]~q\ & !\led_flash_cnt[1816][2]~52307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1816][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1816][2]~52307\,
	combout => \led_flash_cnt[1816][3]~52308_combout\,
	cout => \led_flash_cnt[1816][3]~52309\);

-- Location: FF_X47_Y3_N21
\led_flash_cnt[1816][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1816][3]~52308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1816][3]~q\);

-- Location: LCCOMB_X47_Y3_N22
\led_flash_cnt[1816][4]~52310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1816][4]~52310_combout\ = (\led_flash_cnt[1816][4]~q\ & (!\led_flash_cnt[1816][3]~52309\)) # (!\led_flash_cnt[1816][4]~q\ & ((\led_flash_cnt[1816][3]~52309\) # (GND)))
-- \led_flash_cnt[1816][4]~52311\ = CARRY((!\led_flash_cnt[1816][3]~52309\) # (!\led_flash_cnt[1816][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1816][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1816][3]~52309\,
	combout => \led_flash_cnt[1816][4]~52310_combout\,
	cout => \led_flash_cnt[1816][4]~52311\);

-- Location: FF_X47_Y3_N23
\led_flash_cnt[1816][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1816][4]~52310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1816][4]~q\);

-- Location: LCCOMB_X47_Y3_N24
\led_flash_cnt[1816][5]~52312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1816][5]~52312_combout\ = (\led_flash_cnt[1816][5]~q\ & (\led_flash_cnt[1816][4]~52311\ $ (GND))) # (!\led_flash_cnt[1816][5]~q\ & (!\led_flash_cnt[1816][4]~52311\ & VCC))
-- \led_flash_cnt[1816][5]~52313\ = CARRY((\led_flash_cnt[1816][5]~q\ & !\led_flash_cnt[1816][4]~52311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1816][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1816][4]~52311\,
	combout => \led_flash_cnt[1816][5]~52312_combout\,
	cout => \led_flash_cnt[1816][5]~52313\);

-- Location: FF_X47_Y3_N25
\led_flash_cnt[1816][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1816][5]~52312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1816][5]~q\);

-- Location: LCCOMB_X47_Y3_N26
\led_flash_cnt[1816][6]~52314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1816][6]~52314_combout\ = (\led_flash_cnt[1816][6]~q\ & (!\led_flash_cnt[1816][5]~52313\)) # (!\led_flash_cnt[1816][6]~q\ & ((\led_flash_cnt[1816][5]~52313\) # (GND)))
-- \led_flash_cnt[1816][6]~52315\ = CARRY((!\led_flash_cnt[1816][5]~52313\) # (!\led_flash_cnt[1816][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1816][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1816][5]~52313\,
	combout => \led_flash_cnt[1816][6]~52314_combout\,
	cout => \led_flash_cnt[1816][6]~52315\);

-- Location: FF_X47_Y3_N27
\led_flash_cnt[1816][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1816][6]~52314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1816][6]~q\);

-- Location: LCCOMB_X47_Y3_N28
\led_flash_cnt[1816][7]~52316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1816][7]~52316_combout\ = \led_flash_cnt[1816][6]~52315\ $ (!\led_flash_cnt[1816][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1816][7]~q\,
	cin => \led_flash_cnt[1816][6]~52315\,
	combout => \led_flash_cnt[1816][7]~52316_combout\);

-- Location: FF_X47_Y3_N29
\led_flash_cnt[1816][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1816][7]~52316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1816][7]~q\);

-- Location: LCCOMB_X47_Y3_N8
\WideAnd1816~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1816~1_combout\ = (\led_flash_cnt[1816][6]~q\ & \led_flash_cnt[1816][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1816][6]~q\,
	datad => \led_flash_cnt[1816][5]~q\,
	combout => \WideAnd1816~1_combout\);

-- Location: LCCOMB_X47_Y3_N12
\WideAnd1816~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1816~0_combout\ = (\led_flash_cnt[1816][3]~q\ & (\led_flash_cnt[1816][2]~q\ & (\led_flash_cnt[1816][4]~q\ & \led_flash_cnt[1816][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1816][3]~q\,
	datab => \led_flash_cnt[1816][2]~q\,
	datac => \led_flash_cnt[1816][4]~q\,
	datad => \led_flash_cnt[1816][1]~q\,
	combout => \WideAnd1816~0_combout\);

-- Location: LCCOMB_X47_Y3_N4
WideAnd1816 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1816~combout\ = (\led_flash_cnt[1816][0]~q\ & (\led_flash_cnt[1816][7]~q\ & (\WideAnd1816~1_combout\ & \WideAnd1816~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1816][0]~q\,
	datab => \led_flash_cnt[1816][7]~q\,
	datac => \WideAnd1816~1_combout\,
	datad => \WideAnd1816~0_combout\,
	combout => \WideAnd1816~combout\);

-- Location: FF_X47_Y3_N5
\led_flash_cnt_ands[1816]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1816~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1816));

-- Location: LCCOMB_X60_Y8_N18
\led_flash_cnt[1817][0]~82457\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1817][0]~82457_combout\ = !\led_flash_cnt[1817][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1817][0]~q\,
	combout => \led_flash_cnt[1817][0]~82457_combout\);

-- Location: FF_X60_Y8_N19
\led_flash_cnt[1817][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1817][0]~82457_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1817][0]~q\);

-- Location: LCCOMB_X60_Y8_N2
\led_flash_cnt[1817][1]~52318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1817][1]~52318_combout\ = (\led_flash_cnt[1817][1]~q\ & (\led_flash_cnt[1817][0]~q\ $ (VCC))) # (!\led_flash_cnt[1817][1]~q\ & (\led_flash_cnt[1817][0]~q\ & VCC))
-- \led_flash_cnt[1817][1]~52319\ = CARRY((\led_flash_cnt[1817][1]~q\ & \led_flash_cnt[1817][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1817][1]~q\,
	datab => \led_flash_cnt[1817][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1817][1]~52318_combout\,
	cout => \led_flash_cnt[1817][1]~52319\);

-- Location: FF_X60_Y8_N3
\led_flash_cnt[1817][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1817][1]~52318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1817][1]~q\);

-- Location: LCCOMB_X60_Y8_N4
\led_flash_cnt[1817][2]~52320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1817][2]~52320_combout\ = (\led_flash_cnt[1817][2]~q\ & (!\led_flash_cnt[1817][1]~52319\)) # (!\led_flash_cnt[1817][2]~q\ & ((\led_flash_cnt[1817][1]~52319\) # (GND)))
-- \led_flash_cnt[1817][2]~52321\ = CARRY((!\led_flash_cnt[1817][1]~52319\) # (!\led_flash_cnt[1817][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1817][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1817][1]~52319\,
	combout => \led_flash_cnt[1817][2]~52320_combout\,
	cout => \led_flash_cnt[1817][2]~52321\);

-- Location: FF_X60_Y8_N5
\led_flash_cnt[1817][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1817][2]~52320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1817][2]~q\);

-- Location: LCCOMB_X60_Y8_N6
\led_flash_cnt[1817][3]~52322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1817][3]~52322_combout\ = (\led_flash_cnt[1817][3]~q\ & (\led_flash_cnt[1817][2]~52321\ $ (GND))) # (!\led_flash_cnt[1817][3]~q\ & (!\led_flash_cnt[1817][2]~52321\ & VCC))
-- \led_flash_cnt[1817][3]~52323\ = CARRY((\led_flash_cnt[1817][3]~q\ & !\led_flash_cnt[1817][2]~52321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1817][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1817][2]~52321\,
	combout => \led_flash_cnt[1817][3]~52322_combout\,
	cout => \led_flash_cnt[1817][3]~52323\);

-- Location: FF_X60_Y8_N7
\led_flash_cnt[1817][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1817][3]~52322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1817][3]~q\);

-- Location: LCCOMB_X60_Y8_N8
\led_flash_cnt[1817][4]~52324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1817][4]~52324_combout\ = (\led_flash_cnt[1817][4]~q\ & (!\led_flash_cnt[1817][3]~52323\)) # (!\led_flash_cnt[1817][4]~q\ & ((\led_flash_cnt[1817][3]~52323\) # (GND)))
-- \led_flash_cnt[1817][4]~52325\ = CARRY((!\led_flash_cnt[1817][3]~52323\) # (!\led_flash_cnt[1817][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1817][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1817][3]~52323\,
	combout => \led_flash_cnt[1817][4]~52324_combout\,
	cout => \led_flash_cnt[1817][4]~52325\);

-- Location: FF_X60_Y8_N9
\led_flash_cnt[1817][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1817][4]~52324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1817][4]~q\);

-- Location: LCCOMB_X60_Y8_N10
\led_flash_cnt[1817][5]~52326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1817][5]~52326_combout\ = (\led_flash_cnt[1817][5]~q\ & (\led_flash_cnt[1817][4]~52325\ $ (GND))) # (!\led_flash_cnt[1817][5]~q\ & (!\led_flash_cnt[1817][4]~52325\ & VCC))
-- \led_flash_cnt[1817][5]~52327\ = CARRY((\led_flash_cnt[1817][5]~q\ & !\led_flash_cnt[1817][4]~52325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1817][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1817][4]~52325\,
	combout => \led_flash_cnt[1817][5]~52326_combout\,
	cout => \led_flash_cnt[1817][5]~52327\);

-- Location: FF_X60_Y8_N11
\led_flash_cnt[1817][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1817][5]~52326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1817][5]~q\);

-- Location: LCCOMB_X60_Y8_N12
\led_flash_cnt[1817][6]~52328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1817][6]~52328_combout\ = (\led_flash_cnt[1817][6]~q\ & (!\led_flash_cnt[1817][5]~52327\)) # (!\led_flash_cnt[1817][6]~q\ & ((\led_flash_cnt[1817][5]~52327\) # (GND)))
-- \led_flash_cnt[1817][6]~52329\ = CARRY((!\led_flash_cnt[1817][5]~52327\) # (!\led_flash_cnt[1817][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1817][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1817][5]~52327\,
	combout => \led_flash_cnt[1817][6]~52328_combout\,
	cout => \led_flash_cnt[1817][6]~52329\);

-- Location: FF_X60_Y8_N13
\led_flash_cnt[1817][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1817][6]~52328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1817][6]~q\);

-- Location: LCCOMB_X60_Y8_N26
\WideAnd1817~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1817~1_combout\ = (\led_flash_cnt[1817][6]~q\ & \led_flash_cnt[1817][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1817][6]~q\,
	datad => \led_flash_cnt[1817][5]~q\,
	combout => \WideAnd1817~1_combout\);

-- Location: LCCOMB_X60_Y8_N20
\WideAnd1817~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1817~0_combout\ = (\led_flash_cnt[1817][1]~q\ & (\led_flash_cnt[1817][4]~q\ & (\led_flash_cnt[1817][2]~q\ & \led_flash_cnt[1817][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1817][1]~q\,
	datab => \led_flash_cnt[1817][4]~q\,
	datac => \led_flash_cnt[1817][2]~q\,
	datad => \led_flash_cnt[1817][3]~q\,
	combout => \WideAnd1817~0_combout\);

-- Location: LCCOMB_X60_Y8_N14
\led_flash_cnt[1817][7]~52330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1817][7]~52330_combout\ = \led_flash_cnt[1817][7]~q\ $ (!\led_flash_cnt[1817][6]~52329\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1817][7]~q\,
	cin => \led_flash_cnt[1817][6]~52329\,
	combout => \led_flash_cnt[1817][7]~52330_combout\);

-- Location: FF_X60_Y8_N15
\led_flash_cnt[1817][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1817][7]~52330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1817][7]~q\);

-- Location: LCCOMB_X60_Y8_N30
WideAnd1817 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1817~combout\ = (\WideAnd1817~1_combout\ & (\WideAnd1817~0_combout\ & (\led_flash_cnt[1817][7]~q\ & \led_flash_cnt[1817][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1817~1_combout\,
	datab => \WideAnd1817~0_combout\,
	datac => \led_flash_cnt[1817][7]~q\,
	datad => \led_flash_cnt[1817][0]~q\,
	combout => \WideAnd1817~combout\);

-- Location: FF_X60_Y8_N31
\led_flash_cnt_ands[1817]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1817~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1817));

-- Location: LCCOMB_X65_Y15_N28
\led_flash_cnt[1818][0]~82458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1818][0]~82458_combout\ = !\led_flash_cnt[1818][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1818][0]~q\,
	combout => \led_flash_cnt[1818][0]~82458_combout\);

-- Location: FF_X65_Y15_N29
\led_flash_cnt[1818][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1818][0]~82458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1818][0]~q\);

-- Location: LCCOMB_X65_Y15_N6
\led_flash_cnt[1818][1]~52332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1818][1]~52332_combout\ = (\led_flash_cnt[1818][1]~q\ & (\led_flash_cnt[1818][0]~q\ $ (VCC))) # (!\led_flash_cnt[1818][1]~q\ & (\led_flash_cnt[1818][0]~q\ & VCC))
-- \led_flash_cnt[1818][1]~52333\ = CARRY((\led_flash_cnt[1818][1]~q\ & \led_flash_cnt[1818][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1818][1]~q\,
	datab => \led_flash_cnt[1818][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1818][1]~52332_combout\,
	cout => \led_flash_cnt[1818][1]~52333\);

-- Location: FF_X65_Y15_N7
\led_flash_cnt[1818][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1818][1]~52332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1818][1]~q\);

-- Location: LCCOMB_X65_Y15_N8
\led_flash_cnt[1818][2]~52334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1818][2]~52334_combout\ = (\led_flash_cnt[1818][2]~q\ & (!\led_flash_cnt[1818][1]~52333\)) # (!\led_flash_cnt[1818][2]~q\ & ((\led_flash_cnt[1818][1]~52333\) # (GND)))
-- \led_flash_cnt[1818][2]~52335\ = CARRY((!\led_flash_cnt[1818][1]~52333\) # (!\led_flash_cnt[1818][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1818][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1818][1]~52333\,
	combout => \led_flash_cnt[1818][2]~52334_combout\,
	cout => \led_flash_cnt[1818][2]~52335\);

-- Location: FF_X65_Y15_N9
\led_flash_cnt[1818][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1818][2]~52334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1818][2]~q\);

-- Location: LCCOMB_X65_Y15_N10
\led_flash_cnt[1818][3]~52336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1818][3]~52336_combout\ = (\led_flash_cnt[1818][3]~q\ & (\led_flash_cnt[1818][2]~52335\ $ (GND))) # (!\led_flash_cnt[1818][3]~q\ & (!\led_flash_cnt[1818][2]~52335\ & VCC))
-- \led_flash_cnt[1818][3]~52337\ = CARRY((\led_flash_cnt[1818][3]~q\ & !\led_flash_cnt[1818][2]~52335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1818][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1818][2]~52335\,
	combout => \led_flash_cnt[1818][3]~52336_combout\,
	cout => \led_flash_cnt[1818][3]~52337\);

-- Location: FF_X65_Y15_N11
\led_flash_cnt[1818][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1818][3]~52336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1818][3]~q\);

-- Location: LCCOMB_X65_Y15_N12
\led_flash_cnt[1818][4]~52338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1818][4]~52338_combout\ = (\led_flash_cnt[1818][4]~q\ & (!\led_flash_cnt[1818][3]~52337\)) # (!\led_flash_cnt[1818][4]~q\ & ((\led_flash_cnt[1818][3]~52337\) # (GND)))
-- \led_flash_cnt[1818][4]~52339\ = CARRY((!\led_flash_cnt[1818][3]~52337\) # (!\led_flash_cnt[1818][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1818][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1818][3]~52337\,
	combout => \led_flash_cnt[1818][4]~52338_combout\,
	cout => \led_flash_cnt[1818][4]~52339\);

-- Location: FF_X65_Y15_N13
\led_flash_cnt[1818][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1818][4]~52338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1818][4]~q\);

-- Location: LCCOMB_X65_Y15_N26
\WideAnd1818~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1818~0_combout\ = (\led_flash_cnt[1818][4]~q\ & (\led_flash_cnt[1818][1]~q\ & (\led_flash_cnt[1818][2]~q\ & \led_flash_cnt[1818][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1818][4]~q\,
	datab => \led_flash_cnt[1818][1]~q\,
	datac => \led_flash_cnt[1818][2]~q\,
	datad => \led_flash_cnt[1818][3]~q\,
	combout => \WideAnd1818~0_combout\);

-- Location: LCCOMB_X65_Y15_N14
\led_flash_cnt[1818][5]~52340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1818][5]~52340_combout\ = (\led_flash_cnt[1818][5]~q\ & (\led_flash_cnt[1818][4]~52339\ $ (GND))) # (!\led_flash_cnt[1818][5]~q\ & (!\led_flash_cnt[1818][4]~52339\ & VCC))
-- \led_flash_cnt[1818][5]~52341\ = CARRY((\led_flash_cnt[1818][5]~q\ & !\led_flash_cnt[1818][4]~52339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1818][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1818][4]~52339\,
	combout => \led_flash_cnt[1818][5]~52340_combout\,
	cout => \led_flash_cnt[1818][5]~52341\);

-- Location: FF_X65_Y15_N15
\led_flash_cnt[1818][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1818][5]~52340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1818][5]~q\);

-- Location: LCCOMB_X65_Y15_N16
\led_flash_cnt[1818][6]~52342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1818][6]~52342_combout\ = (\led_flash_cnt[1818][6]~q\ & (!\led_flash_cnt[1818][5]~52341\)) # (!\led_flash_cnt[1818][6]~q\ & ((\led_flash_cnt[1818][5]~52341\) # (GND)))
-- \led_flash_cnt[1818][6]~52343\ = CARRY((!\led_flash_cnt[1818][5]~52341\) # (!\led_flash_cnt[1818][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1818][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1818][5]~52341\,
	combout => \led_flash_cnt[1818][6]~52342_combout\,
	cout => \led_flash_cnt[1818][6]~52343\);

-- Location: FF_X65_Y15_N17
\led_flash_cnt[1818][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1818][6]~52342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1818][6]~q\);

-- Location: LCCOMB_X65_Y15_N18
\led_flash_cnt[1818][7]~52344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1818][7]~52344_combout\ = \led_flash_cnt[1818][6]~52343\ $ (!\led_flash_cnt[1818][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1818][7]~q\,
	cin => \led_flash_cnt[1818][6]~52343\,
	combout => \led_flash_cnt[1818][7]~52344_combout\);

-- Location: FF_X65_Y15_N19
\led_flash_cnt[1818][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1818][7]~52344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1818][7]~q\);

-- Location: LCCOMB_X65_Y15_N4
\WideAnd1818~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1818~1_combout\ = (\led_flash_cnt[1818][5]~q\ & \led_flash_cnt[1818][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1818][5]~q\,
	datad => \led_flash_cnt[1818][6]~q\,
	combout => \WideAnd1818~1_combout\);

-- Location: LCCOMB_X65_Y15_N24
WideAnd1818 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1818~combout\ = (\WideAnd1818~0_combout\ & (\led_flash_cnt[1818][7]~q\ & (\WideAnd1818~1_combout\ & \led_flash_cnt[1818][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1818~0_combout\,
	datab => \led_flash_cnt[1818][7]~q\,
	datac => \WideAnd1818~1_combout\,
	datad => \led_flash_cnt[1818][0]~q\,
	combout => \WideAnd1818~combout\);

-- Location: FF_X65_Y15_N25
\led_flash_cnt_ands[1818]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1818~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1818));

-- Location: LCCOMB_X47_Y7_N22
\led_flash_cnt[1819][0]~82459\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1819][0]~82459_combout\ = !\led_flash_cnt[1819][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1819][0]~q\,
	combout => \led_flash_cnt[1819][0]~82459_combout\);

-- Location: FF_X47_Y7_N23
\led_flash_cnt[1819][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1819][0]~82459_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1819][0]~q\);

-- Location: LCCOMB_X46_Y7_N0
\led_flash_cnt[1819][1]~52346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1819][1]~52346_combout\ = (\led_flash_cnt[1819][1]~q\ & (\led_flash_cnt[1819][0]~q\ $ (VCC))) # (!\led_flash_cnt[1819][1]~q\ & (\led_flash_cnt[1819][0]~q\ & VCC))
-- \led_flash_cnt[1819][1]~52347\ = CARRY((\led_flash_cnt[1819][1]~q\ & \led_flash_cnt[1819][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1819][1]~q\,
	datab => \led_flash_cnt[1819][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1819][1]~52346_combout\,
	cout => \led_flash_cnt[1819][1]~52347\);

-- Location: FF_X46_Y7_N1
\led_flash_cnt[1819][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1819][1]~52346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1819][1]~q\);

-- Location: LCCOMB_X46_Y7_N2
\led_flash_cnt[1819][2]~52348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1819][2]~52348_combout\ = (\led_flash_cnt[1819][2]~q\ & (!\led_flash_cnt[1819][1]~52347\)) # (!\led_flash_cnt[1819][2]~q\ & ((\led_flash_cnt[1819][1]~52347\) # (GND)))
-- \led_flash_cnt[1819][2]~52349\ = CARRY((!\led_flash_cnt[1819][1]~52347\) # (!\led_flash_cnt[1819][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1819][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1819][1]~52347\,
	combout => \led_flash_cnt[1819][2]~52348_combout\,
	cout => \led_flash_cnt[1819][2]~52349\);

-- Location: FF_X46_Y7_N3
\led_flash_cnt[1819][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1819][2]~52348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1819][2]~q\);

-- Location: LCCOMB_X46_Y7_N4
\led_flash_cnt[1819][3]~52350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1819][3]~52350_combout\ = (\led_flash_cnt[1819][3]~q\ & (\led_flash_cnt[1819][2]~52349\ $ (GND))) # (!\led_flash_cnt[1819][3]~q\ & (!\led_flash_cnt[1819][2]~52349\ & VCC))
-- \led_flash_cnt[1819][3]~52351\ = CARRY((\led_flash_cnt[1819][3]~q\ & !\led_flash_cnt[1819][2]~52349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1819][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1819][2]~52349\,
	combout => \led_flash_cnt[1819][3]~52350_combout\,
	cout => \led_flash_cnt[1819][3]~52351\);

-- Location: FF_X46_Y7_N5
\led_flash_cnt[1819][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1819][3]~52350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1819][3]~q\);

-- Location: LCCOMB_X46_Y7_N6
\led_flash_cnt[1819][4]~52352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1819][4]~52352_combout\ = (\led_flash_cnt[1819][4]~q\ & (!\led_flash_cnt[1819][3]~52351\)) # (!\led_flash_cnt[1819][4]~q\ & ((\led_flash_cnt[1819][3]~52351\) # (GND)))
-- \led_flash_cnt[1819][4]~52353\ = CARRY((!\led_flash_cnt[1819][3]~52351\) # (!\led_flash_cnt[1819][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1819][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1819][3]~52351\,
	combout => \led_flash_cnt[1819][4]~52352_combout\,
	cout => \led_flash_cnt[1819][4]~52353\);

-- Location: FF_X46_Y7_N7
\led_flash_cnt[1819][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1819][4]~52352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1819][4]~q\);

-- Location: LCCOMB_X46_Y7_N8
\led_flash_cnt[1819][5]~52354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1819][5]~52354_combout\ = (\led_flash_cnt[1819][5]~q\ & (\led_flash_cnt[1819][4]~52353\ $ (GND))) # (!\led_flash_cnt[1819][5]~q\ & (!\led_flash_cnt[1819][4]~52353\ & VCC))
-- \led_flash_cnt[1819][5]~52355\ = CARRY((\led_flash_cnt[1819][5]~q\ & !\led_flash_cnt[1819][4]~52353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1819][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1819][4]~52353\,
	combout => \led_flash_cnt[1819][5]~52354_combout\,
	cout => \led_flash_cnt[1819][5]~52355\);

-- Location: FF_X46_Y7_N9
\led_flash_cnt[1819][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1819][5]~52354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1819][5]~q\);

-- Location: LCCOMB_X46_Y7_N10
\led_flash_cnt[1819][6]~52356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1819][6]~52356_combout\ = (\led_flash_cnt[1819][6]~q\ & (!\led_flash_cnt[1819][5]~52355\)) # (!\led_flash_cnt[1819][6]~q\ & ((\led_flash_cnt[1819][5]~52355\) # (GND)))
-- \led_flash_cnt[1819][6]~52357\ = CARRY((!\led_flash_cnt[1819][5]~52355\) # (!\led_flash_cnt[1819][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1819][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1819][5]~52355\,
	combout => \led_flash_cnt[1819][6]~52356_combout\,
	cout => \led_flash_cnt[1819][6]~52357\);

-- Location: FF_X46_Y7_N11
\led_flash_cnt[1819][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1819][6]~52356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1819][6]~q\);

-- Location: LCCOMB_X46_Y7_N12
\led_flash_cnt[1819][7]~52358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1819][7]~52358_combout\ = \led_flash_cnt[1819][6]~52357\ $ (!\led_flash_cnt[1819][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1819][7]~q\,
	cin => \led_flash_cnt[1819][6]~52357\,
	combout => \led_flash_cnt[1819][7]~52358_combout\);

-- Location: FF_X46_Y7_N13
\led_flash_cnt[1819][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1819][7]~52358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1819][7]~q\);

-- Location: LCCOMB_X47_Y7_N28
\WideAnd1819~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1819~1_combout\ = (\led_flash_cnt[1819][5]~q\ & \led_flash_cnt[1819][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1819][5]~q\,
	datad => \led_flash_cnt[1819][6]~q\,
	combout => \WideAnd1819~1_combout\);

-- Location: LCCOMB_X46_Y7_N14
\WideAnd1819~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1819~0_combout\ = (\led_flash_cnt[1819][4]~q\ & (\led_flash_cnt[1819][2]~q\ & (\led_flash_cnt[1819][3]~q\ & \led_flash_cnt[1819][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1819][4]~q\,
	datab => \led_flash_cnt[1819][2]~q\,
	datac => \led_flash_cnt[1819][3]~q\,
	datad => \led_flash_cnt[1819][1]~q\,
	combout => \WideAnd1819~0_combout\);

-- Location: LCCOMB_X47_Y7_N20
WideAnd1819 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1819~combout\ = (\led_flash_cnt[1819][7]~q\ & (\WideAnd1819~1_combout\ & (\led_flash_cnt[1819][0]~q\ & \WideAnd1819~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1819][7]~q\,
	datab => \WideAnd1819~1_combout\,
	datac => \led_flash_cnt[1819][0]~q\,
	datad => \WideAnd1819~0_combout\,
	combout => \WideAnd1819~combout\);

-- Location: FF_X47_Y7_N21
\led_flash_cnt_ands[1819]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1819~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1819));

-- Location: LCCOMB_X47_Y7_N2
\WideAnd4067~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4067~0_combout\ = (led_flash_cnt_ands(1816) & (led_flash_cnt_ands(1817) & (led_flash_cnt_ands(1818) & led_flash_cnt_ands(1819))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1816),
	datab => led_flash_cnt_ands(1817),
	datac => led_flash_cnt_ands(1818),
	datad => led_flash_cnt_ands(1819),
	combout => \WideAnd4067~0_combout\);

-- Location: LCCOMB_X4_Y7_N4
WideAnd4067 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4067~combout\ = (\WideAnd4067~1_combout\ & (led_flash_cnt_ands(1823) & (led_flash_cnt_ands(1822) & \WideAnd4067~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4067~1_combout\,
	datab => led_flash_cnt_ands(1823),
	datac => led_flash_cnt_ands(1822),
	datad => \WideAnd4067~0_combout\,
	combout => \WideAnd4067~combout\);

-- Location: FF_X4_Y7_N5
\led_flash_cnt_ands_1[227]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4067~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(227));

-- Location: LCCOMB_X11_Y13_N20
\WideAnd4348~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4348~0_combout\ = (led_flash_cnt_ands_1(225) & (led_flash_cnt_ands_1(224) & (led_flash_cnt_ands_1(226) & led_flash_cnt_ands_1(227))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(225),
	datab => led_flash_cnt_ands_1(224),
	datac => led_flash_cnt_ands_1(226),
	datad => led_flash_cnt_ands_1(227),
	combout => \WideAnd4348~0_combout\);

-- Location: LCCOMB_X32_Y16_N4
WideAnd4348 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4348~combout\ = (led_flash_cnt_ands_1(231) & (\WideAnd4348~1_combout\ & (led_flash_cnt_ands_1(230) & \WideAnd4348~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(231),
	datab => \WideAnd4348~1_combout\,
	datac => led_flash_cnt_ands_1(230),
	datad => \WideAnd4348~0_combout\,
	combout => \WideAnd4348~combout\);

-- Location: FF_X32_Y16_N5
\led_flash_cnt_ands_2[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4348~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(28));

-- Location: LCCOMB_X27_Y7_N26
\led_flash_cnt[1973][0]~82613\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1973][0]~82613_combout\ = !\led_flash_cnt[1973][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1973][0]~q\,
	combout => \led_flash_cnt[1973][0]~82613_combout\);

-- Location: FF_X27_Y7_N27
\led_flash_cnt[1973][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1973][0]~82613_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1973][0]~q\);

-- Location: LCCOMB_X27_Y7_N8
\led_flash_cnt[1973][1]~54502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1973][1]~54502_combout\ = (\led_flash_cnt[1973][0]~q\ & (\led_flash_cnt[1973][1]~q\ $ (VCC))) # (!\led_flash_cnt[1973][0]~q\ & (\led_flash_cnt[1973][1]~q\ & VCC))
-- \led_flash_cnt[1973][1]~54503\ = CARRY((\led_flash_cnt[1973][0]~q\ & \led_flash_cnt[1973][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1973][0]~q\,
	datab => \led_flash_cnt[1973][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1973][1]~54502_combout\,
	cout => \led_flash_cnt[1973][1]~54503\);

-- Location: FF_X27_Y7_N9
\led_flash_cnt[1973][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1973][1]~54502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1973][1]~q\);

-- Location: LCCOMB_X27_Y7_N10
\led_flash_cnt[1973][2]~54504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1973][2]~54504_combout\ = (\led_flash_cnt[1973][2]~q\ & (!\led_flash_cnt[1973][1]~54503\)) # (!\led_flash_cnt[1973][2]~q\ & ((\led_flash_cnt[1973][1]~54503\) # (GND)))
-- \led_flash_cnt[1973][2]~54505\ = CARRY((!\led_flash_cnt[1973][1]~54503\) # (!\led_flash_cnt[1973][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1973][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1973][1]~54503\,
	combout => \led_flash_cnt[1973][2]~54504_combout\,
	cout => \led_flash_cnt[1973][2]~54505\);

-- Location: FF_X27_Y7_N11
\led_flash_cnt[1973][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1973][2]~54504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1973][2]~q\);

-- Location: LCCOMB_X27_Y7_N12
\led_flash_cnt[1973][3]~54506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1973][3]~54506_combout\ = (\led_flash_cnt[1973][3]~q\ & (\led_flash_cnt[1973][2]~54505\ $ (GND))) # (!\led_flash_cnt[1973][3]~q\ & (!\led_flash_cnt[1973][2]~54505\ & VCC))
-- \led_flash_cnt[1973][3]~54507\ = CARRY((\led_flash_cnt[1973][3]~q\ & !\led_flash_cnt[1973][2]~54505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1973][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1973][2]~54505\,
	combout => \led_flash_cnt[1973][3]~54506_combout\,
	cout => \led_flash_cnt[1973][3]~54507\);

-- Location: FF_X27_Y7_N13
\led_flash_cnt[1973][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1973][3]~54506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1973][3]~q\);

-- Location: LCCOMB_X27_Y7_N14
\led_flash_cnt[1973][4]~54508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1973][4]~54508_combout\ = (\led_flash_cnt[1973][4]~q\ & (!\led_flash_cnt[1973][3]~54507\)) # (!\led_flash_cnt[1973][4]~q\ & ((\led_flash_cnt[1973][3]~54507\) # (GND)))
-- \led_flash_cnt[1973][4]~54509\ = CARRY((!\led_flash_cnt[1973][3]~54507\) # (!\led_flash_cnt[1973][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1973][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1973][3]~54507\,
	combout => \led_flash_cnt[1973][4]~54508_combout\,
	cout => \led_flash_cnt[1973][4]~54509\);

-- Location: FF_X27_Y7_N15
\led_flash_cnt[1973][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1973][4]~54508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1973][4]~q\);

-- Location: LCCOMB_X27_Y7_N30
\WideAnd1973~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1973~0_combout\ = (\led_flash_cnt[1973][2]~q\ & (\led_flash_cnt[1973][1]~q\ & (\led_flash_cnt[1973][4]~q\ & \led_flash_cnt[1973][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1973][2]~q\,
	datab => \led_flash_cnt[1973][1]~q\,
	datac => \led_flash_cnt[1973][4]~q\,
	datad => \led_flash_cnt[1973][3]~q\,
	combout => \WideAnd1973~0_combout\);

-- Location: LCCOMB_X27_Y7_N16
\led_flash_cnt[1973][5]~54510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1973][5]~54510_combout\ = (\led_flash_cnt[1973][5]~q\ & (\led_flash_cnt[1973][4]~54509\ $ (GND))) # (!\led_flash_cnt[1973][5]~q\ & (!\led_flash_cnt[1973][4]~54509\ & VCC))
-- \led_flash_cnt[1973][5]~54511\ = CARRY((\led_flash_cnt[1973][5]~q\ & !\led_flash_cnt[1973][4]~54509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1973][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1973][4]~54509\,
	combout => \led_flash_cnt[1973][5]~54510_combout\,
	cout => \led_flash_cnt[1973][5]~54511\);

-- Location: FF_X27_Y7_N17
\led_flash_cnt[1973][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1973][5]~54510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1973][5]~q\);

-- Location: LCCOMB_X27_Y7_N18
\led_flash_cnt[1973][6]~54512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1973][6]~54512_combout\ = (\led_flash_cnt[1973][6]~q\ & (!\led_flash_cnt[1973][5]~54511\)) # (!\led_flash_cnt[1973][6]~q\ & ((\led_flash_cnt[1973][5]~54511\) # (GND)))
-- \led_flash_cnt[1973][6]~54513\ = CARRY((!\led_flash_cnt[1973][5]~54511\) # (!\led_flash_cnt[1973][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1973][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1973][5]~54511\,
	combout => \led_flash_cnt[1973][6]~54512_combout\,
	cout => \led_flash_cnt[1973][6]~54513\);

-- Location: FF_X27_Y7_N19
\led_flash_cnt[1973][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1973][6]~54512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1973][6]~q\);

-- Location: LCCOMB_X27_Y7_N20
\led_flash_cnt[1973][7]~54514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1973][7]~54514_combout\ = \led_flash_cnt[1973][6]~54513\ $ (!\led_flash_cnt[1973][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1973][7]~q\,
	cin => \led_flash_cnt[1973][6]~54513\,
	combout => \led_flash_cnt[1973][7]~54514_combout\);

-- Location: FF_X27_Y7_N21
\led_flash_cnt[1973][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1973][7]~54514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1973][7]~q\);

-- Location: LCCOMB_X27_Y7_N28
\WideAnd1973~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1973~1_combout\ = (\led_flash_cnt[1973][6]~q\ & \led_flash_cnt[1973][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1973][6]~q\,
	datad => \led_flash_cnt[1973][5]~q\,
	combout => \WideAnd1973~1_combout\);

-- Location: LCCOMB_X27_Y7_N2
WideAnd1973 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1973~combout\ = (\WideAnd1973~0_combout\ & (\led_flash_cnt[1973][7]~q\ & (\led_flash_cnt[1973][0]~q\ & \WideAnd1973~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1973~0_combout\,
	datab => \led_flash_cnt[1973][7]~q\,
	datac => \led_flash_cnt[1973][0]~q\,
	datad => \WideAnd1973~1_combout\,
	combout => \WideAnd1973~combout\);

-- Location: FF_X27_Y7_N3
\led_flash_cnt_ands[1973]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1973~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1973));

-- Location: LCCOMB_X32_Y6_N2
\led_flash_cnt[1972][0]~82612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1972][0]~82612_combout\ = !\led_flash_cnt[1972][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1972][0]~q\,
	combout => \led_flash_cnt[1972][0]~82612_combout\);

-- Location: FF_X32_Y6_N3
\led_flash_cnt[1972][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1972][0]~82612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1972][0]~q\);

-- Location: LCCOMB_X29_Y6_N2
\led_flash_cnt[1972][1]~54488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1972][1]~54488_combout\ = (\led_flash_cnt[1972][0]~q\ & (\led_flash_cnt[1972][1]~q\ $ (VCC))) # (!\led_flash_cnt[1972][0]~q\ & (\led_flash_cnt[1972][1]~q\ & VCC))
-- \led_flash_cnt[1972][1]~54489\ = CARRY((\led_flash_cnt[1972][0]~q\ & \led_flash_cnt[1972][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1972][0]~q\,
	datab => \led_flash_cnt[1972][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1972][1]~54488_combout\,
	cout => \led_flash_cnt[1972][1]~54489\);

-- Location: FF_X29_Y6_N3
\led_flash_cnt[1972][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1972][1]~54488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1972][1]~q\);

-- Location: LCCOMB_X29_Y6_N4
\led_flash_cnt[1972][2]~54490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1972][2]~54490_combout\ = (\led_flash_cnt[1972][2]~q\ & (!\led_flash_cnt[1972][1]~54489\)) # (!\led_flash_cnt[1972][2]~q\ & ((\led_flash_cnt[1972][1]~54489\) # (GND)))
-- \led_flash_cnt[1972][2]~54491\ = CARRY((!\led_flash_cnt[1972][1]~54489\) # (!\led_flash_cnt[1972][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1972][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1972][1]~54489\,
	combout => \led_flash_cnt[1972][2]~54490_combout\,
	cout => \led_flash_cnt[1972][2]~54491\);

-- Location: FF_X29_Y6_N5
\led_flash_cnt[1972][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1972][2]~54490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1972][2]~q\);

-- Location: LCCOMB_X29_Y6_N6
\led_flash_cnt[1972][3]~54492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1972][3]~54492_combout\ = (\led_flash_cnt[1972][3]~q\ & (\led_flash_cnt[1972][2]~54491\ $ (GND))) # (!\led_flash_cnt[1972][3]~q\ & (!\led_flash_cnt[1972][2]~54491\ & VCC))
-- \led_flash_cnt[1972][3]~54493\ = CARRY((\led_flash_cnt[1972][3]~q\ & !\led_flash_cnt[1972][2]~54491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1972][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1972][2]~54491\,
	combout => \led_flash_cnt[1972][3]~54492_combout\,
	cout => \led_flash_cnt[1972][3]~54493\);

-- Location: FF_X29_Y6_N7
\led_flash_cnt[1972][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1972][3]~54492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1972][3]~q\);

-- Location: LCCOMB_X29_Y6_N8
\led_flash_cnt[1972][4]~54494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1972][4]~54494_combout\ = (\led_flash_cnt[1972][4]~q\ & (!\led_flash_cnt[1972][3]~54493\)) # (!\led_flash_cnt[1972][4]~q\ & ((\led_flash_cnt[1972][3]~54493\) # (GND)))
-- \led_flash_cnt[1972][4]~54495\ = CARRY((!\led_flash_cnt[1972][3]~54493\) # (!\led_flash_cnt[1972][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1972][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1972][3]~54493\,
	combout => \led_flash_cnt[1972][4]~54494_combout\,
	cout => \led_flash_cnt[1972][4]~54495\);

-- Location: FF_X29_Y6_N9
\led_flash_cnt[1972][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1972][4]~54494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1972][4]~q\);

-- Location: LCCOMB_X29_Y6_N22
\WideAnd1972~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1972~0_combout\ = (\led_flash_cnt[1972][3]~q\ & (\led_flash_cnt[1972][4]~q\ & (\led_flash_cnt[1972][2]~q\ & \led_flash_cnt[1972][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1972][3]~q\,
	datab => \led_flash_cnt[1972][4]~q\,
	datac => \led_flash_cnt[1972][2]~q\,
	datad => \led_flash_cnt[1972][1]~q\,
	combout => \WideAnd1972~0_combout\);

-- Location: LCCOMB_X29_Y6_N10
\led_flash_cnt[1972][5]~54496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1972][5]~54496_combout\ = (\led_flash_cnt[1972][5]~q\ & (\led_flash_cnt[1972][4]~54495\ $ (GND))) # (!\led_flash_cnt[1972][5]~q\ & (!\led_flash_cnt[1972][4]~54495\ & VCC))
-- \led_flash_cnt[1972][5]~54497\ = CARRY((\led_flash_cnt[1972][5]~q\ & !\led_flash_cnt[1972][4]~54495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1972][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1972][4]~54495\,
	combout => \led_flash_cnt[1972][5]~54496_combout\,
	cout => \led_flash_cnt[1972][5]~54497\);

-- Location: FF_X29_Y6_N11
\led_flash_cnt[1972][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1972][5]~54496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1972][5]~q\);

-- Location: LCCOMB_X29_Y6_N12
\led_flash_cnt[1972][6]~54498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1972][6]~54498_combout\ = (\led_flash_cnt[1972][6]~q\ & (!\led_flash_cnt[1972][5]~54497\)) # (!\led_flash_cnt[1972][6]~q\ & ((\led_flash_cnt[1972][5]~54497\) # (GND)))
-- \led_flash_cnt[1972][6]~54499\ = CARRY((!\led_flash_cnt[1972][5]~54497\) # (!\led_flash_cnt[1972][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1972][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1972][5]~54497\,
	combout => \led_flash_cnt[1972][6]~54498_combout\,
	cout => \led_flash_cnt[1972][6]~54499\);

-- Location: FF_X29_Y6_N13
\led_flash_cnt[1972][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1972][6]~54498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1972][6]~q\);

-- Location: LCCOMB_X29_Y6_N14
\led_flash_cnt[1972][7]~54500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1972][7]~54500_combout\ = \led_flash_cnt[1972][7]~q\ $ (!\led_flash_cnt[1972][6]~54499\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1972][7]~q\,
	cin => \led_flash_cnt[1972][6]~54499\,
	combout => \led_flash_cnt[1972][7]~54500_combout\);

-- Location: FF_X29_Y6_N15
\led_flash_cnt[1972][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1972][7]~54500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1972][7]~q\);

-- Location: LCCOMB_X29_Y6_N18
\WideAnd1972~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1972~1_combout\ = (\led_flash_cnt[1972][6]~q\ & \led_flash_cnt[1972][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1972][6]~q\,
	datad => \led_flash_cnt[1972][5]~q\,
	combout => \WideAnd1972~1_combout\);

-- Location: LCCOMB_X29_Y6_N24
WideAnd1972 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1972~combout\ = (\WideAnd1972~0_combout\ & (\led_flash_cnt[1972][7]~q\ & (\led_flash_cnt[1972][0]~q\ & \WideAnd1972~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1972~0_combout\,
	datab => \led_flash_cnt[1972][7]~q\,
	datac => \led_flash_cnt[1972][0]~q\,
	datad => \WideAnd1972~1_combout\,
	combout => \WideAnd1972~combout\);

-- Location: FF_X29_Y6_N25
\led_flash_cnt_ands[1972]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1972~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1972));

-- Location: LCCOMB_X29_Y7_N26
\WideAnd4086~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4086~1_combout\ = (led_flash_cnt_ands(1973) & led_flash_cnt_ands(1972))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1973),
	datad => led_flash_cnt_ands(1972),
	combout => \WideAnd4086~1_combout\);

-- Location: LCCOMB_X29_Y7_N20
\led_flash_cnt[1975][0]~82615\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1975][0]~82615_combout\ = !\led_flash_cnt[1975][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1975][0]~q\,
	combout => \led_flash_cnt[1975][0]~82615_combout\);

-- Location: FF_X29_Y7_N21
\led_flash_cnt[1975][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1975][0]~82615_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1975][0]~q\);

-- Location: LCCOMB_X26_Y7_N18
\led_flash_cnt[1975][1]~54530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1975][1]~54530_combout\ = (\led_flash_cnt[1975][0]~q\ & (\led_flash_cnt[1975][1]~q\ $ (VCC))) # (!\led_flash_cnt[1975][0]~q\ & (\led_flash_cnt[1975][1]~q\ & VCC))
-- \led_flash_cnt[1975][1]~54531\ = CARRY((\led_flash_cnt[1975][0]~q\ & \led_flash_cnt[1975][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1975][0]~q\,
	datab => \led_flash_cnt[1975][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1975][1]~54530_combout\,
	cout => \led_flash_cnt[1975][1]~54531\);

-- Location: FF_X26_Y7_N19
\led_flash_cnt[1975][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1975][1]~54530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1975][1]~q\);

-- Location: LCCOMB_X26_Y7_N20
\led_flash_cnt[1975][2]~54532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1975][2]~54532_combout\ = (\led_flash_cnt[1975][2]~q\ & (!\led_flash_cnt[1975][1]~54531\)) # (!\led_flash_cnt[1975][2]~q\ & ((\led_flash_cnt[1975][1]~54531\) # (GND)))
-- \led_flash_cnt[1975][2]~54533\ = CARRY((!\led_flash_cnt[1975][1]~54531\) # (!\led_flash_cnt[1975][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1975][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1975][1]~54531\,
	combout => \led_flash_cnt[1975][2]~54532_combout\,
	cout => \led_flash_cnt[1975][2]~54533\);

-- Location: FF_X26_Y7_N21
\led_flash_cnt[1975][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1975][2]~54532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1975][2]~q\);

-- Location: LCCOMB_X26_Y7_N22
\led_flash_cnt[1975][3]~54534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1975][3]~54534_combout\ = (\led_flash_cnt[1975][3]~q\ & (\led_flash_cnt[1975][2]~54533\ $ (GND))) # (!\led_flash_cnt[1975][3]~q\ & (!\led_flash_cnt[1975][2]~54533\ & VCC))
-- \led_flash_cnt[1975][3]~54535\ = CARRY((\led_flash_cnt[1975][3]~q\ & !\led_flash_cnt[1975][2]~54533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1975][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1975][2]~54533\,
	combout => \led_flash_cnt[1975][3]~54534_combout\,
	cout => \led_flash_cnt[1975][3]~54535\);

-- Location: FF_X26_Y7_N23
\led_flash_cnt[1975][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1975][3]~54534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1975][3]~q\);

-- Location: LCCOMB_X26_Y7_N24
\led_flash_cnt[1975][4]~54536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1975][4]~54536_combout\ = (\led_flash_cnt[1975][4]~q\ & (!\led_flash_cnt[1975][3]~54535\)) # (!\led_flash_cnt[1975][4]~q\ & ((\led_flash_cnt[1975][3]~54535\) # (GND)))
-- \led_flash_cnt[1975][4]~54537\ = CARRY((!\led_flash_cnt[1975][3]~54535\) # (!\led_flash_cnt[1975][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1975][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1975][3]~54535\,
	combout => \led_flash_cnt[1975][4]~54536_combout\,
	cout => \led_flash_cnt[1975][4]~54537\);

-- Location: FF_X26_Y7_N25
\led_flash_cnt[1975][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1975][4]~54536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1975][4]~q\);

-- Location: LCCOMB_X26_Y7_N0
\WideAnd1975~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1975~0_combout\ = (\led_flash_cnt[1975][1]~q\ & (\led_flash_cnt[1975][2]~q\ & (\led_flash_cnt[1975][3]~q\ & \led_flash_cnt[1975][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1975][1]~q\,
	datab => \led_flash_cnt[1975][2]~q\,
	datac => \led_flash_cnt[1975][3]~q\,
	datad => \led_flash_cnt[1975][4]~q\,
	combout => \WideAnd1975~0_combout\);

-- Location: LCCOMB_X26_Y7_N26
\led_flash_cnt[1975][5]~54538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1975][5]~54538_combout\ = (\led_flash_cnt[1975][5]~q\ & (\led_flash_cnt[1975][4]~54537\ $ (GND))) # (!\led_flash_cnt[1975][5]~q\ & (!\led_flash_cnt[1975][4]~54537\ & VCC))
-- \led_flash_cnt[1975][5]~54539\ = CARRY((\led_flash_cnt[1975][5]~q\ & !\led_flash_cnt[1975][4]~54537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1975][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1975][4]~54537\,
	combout => \led_flash_cnt[1975][5]~54538_combout\,
	cout => \led_flash_cnt[1975][5]~54539\);

-- Location: FF_X26_Y7_N27
\led_flash_cnt[1975][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1975][5]~54538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1975][5]~q\);

-- Location: LCCOMB_X26_Y7_N28
\led_flash_cnt[1975][6]~54540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1975][6]~54540_combout\ = (\led_flash_cnt[1975][6]~q\ & (!\led_flash_cnt[1975][5]~54539\)) # (!\led_flash_cnt[1975][6]~q\ & ((\led_flash_cnt[1975][5]~54539\) # (GND)))
-- \led_flash_cnt[1975][6]~54541\ = CARRY((!\led_flash_cnt[1975][5]~54539\) # (!\led_flash_cnt[1975][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1975][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1975][5]~54539\,
	combout => \led_flash_cnt[1975][6]~54540_combout\,
	cout => \led_flash_cnt[1975][6]~54541\);

-- Location: FF_X26_Y7_N29
\led_flash_cnt[1975][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1975][6]~54540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1975][6]~q\);

-- Location: LCCOMB_X26_Y7_N30
\led_flash_cnt[1975][7]~54542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1975][7]~54542_combout\ = \led_flash_cnt[1975][7]~q\ $ (!\led_flash_cnt[1975][6]~54541\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1975][7]~q\,
	cin => \led_flash_cnt[1975][6]~54541\,
	combout => \led_flash_cnt[1975][7]~54542_combout\);

-- Location: FF_X26_Y7_N31
\led_flash_cnt[1975][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1975][7]~54542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1975][7]~q\);

-- Location: LCCOMB_X27_Y7_N6
\WideAnd1975~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1975~1_combout\ = (\led_flash_cnt[1975][5]~q\ & \led_flash_cnt[1975][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1975][5]~q\,
	datad => \led_flash_cnt[1975][6]~q\,
	combout => \WideAnd1975~1_combout\);

-- Location: LCCOMB_X27_Y7_N4
WideAnd1975 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1975~combout\ = (\WideAnd1975~0_combout\ & (\led_flash_cnt[1975][7]~q\ & (\led_flash_cnt[1975][0]~q\ & \WideAnd1975~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1975~0_combout\,
	datab => \led_flash_cnt[1975][7]~q\,
	datac => \led_flash_cnt[1975][0]~q\,
	datad => \WideAnd1975~1_combout\,
	combout => \WideAnd1975~combout\);

-- Location: FF_X27_Y7_N5
\led_flash_cnt_ands[1975]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1975~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1975));

-- Location: LCCOMB_X25_Y11_N22
\led_flash_cnt[1968][0]~82608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1968][0]~82608_combout\ = !\led_flash_cnt[1968][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1968][0]~q\,
	combout => \led_flash_cnt[1968][0]~82608_combout\);

-- Location: FF_X25_Y11_N23
\led_flash_cnt[1968][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1968][0]~82608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1968][0]~q\);

-- Location: LCCOMB_X25_Y11_N8
\led_flash_cnt[1968][1]~54432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1968][1]~54432_combout\ = (\led_flash_cnt[1968][0]~q\ & (\led_flash_cnt[1968][1]~q\ $ (VCC))) # (!\led_flash_cnt[1968][0]~q\ & (\led_flash_cnt[1968][1]~q\ & VCC))
-- \led_flash_cnt[1968][1]~54433\ = CARRY((\led_flash_cnt[1968][0]~q\ & \led_flash_cnt[1968][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1968][0]~q\,
	datab => \led_flash_cnt[1968][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1968][1]~54432_combout\,
	cout => \led_flash_cnt[1968][1]~54433\);

-- Location: FF_X25_Y11_N9
\led_flash_cnt[1968][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1968][1]~54432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1968][1]~q\);

-- Location: LCCOMB_X25_Y11_N10
\led_flash_cnt[1968][2]~54434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1968][2]~54434_combout\ = (\led_flash_cnt[1968][2]~q\ & (!\led_flash_cnt[1968][1]~54433\)) # (!\led_flash_cnt[1968][2]~q\ & ((\led_flash_cnt[1968][1]~54433\) # (GND)))
-- \led_flash_cnt[1968][2]~54435\ = CARRY((!\led_flash_cnt[1968][1]~54433\) # (!\led_flash_cnt[1968][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1968][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1968][1]~54433\,
	combout => \led_flash_cnt[1968][2]~54434_combout\,
	cout => \led_flash_cnt[1968][2]~54435\);

-- Location: FF_X25_Y11_N11
\led_flash_cnt[1968][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1968][2]~54434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1968][2]~q\);

-- Location: LCCOMB_X25_Y11_N12
\led_flash_cnt[1968][3]~54436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1968][3]~54436_combout\ = (\led_flash_cnt[1968][3]~q\ & (\led_flash_cnt[1968][2]~54435\ $ (GND))) # (!\led_flash_cnt[1968][3]~q\ & (!\led_flash_cnt[1968][2]~54435\ & VCC))
-- \led_flash_cnt[1968][3]~54437\ = CARRY((\led_flash_cnt[1968][3]~q\ & !\led_flash_cnt[1968][2]~54435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1968][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1968][2]~54435\,
	combout => \led_flash_cnt[1968][3]~54436_combout\,
	cout => \led_flash_cnt[1968][3]~54437\);

-- Location: FF_X25_Y11_N13
\led_flash_cnt[1968][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1968][3]~54436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1968][3]~q\);

-- Location: LCCOMB_X25_Y11_N14
\led_flash_cnt[1968][4]~54438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1968][4]~54438_combout\ = (\led_flash_cnt[1968][4]~q\ & (!\led_flash_cnt[1968][3]~54437\)) # (!\led_flash_cnt[1968][4]~q\ & ((\led_flash_cnt[1968][3]~54437\) # (GND)))
-- \led_flash_cnt[1968][4]~54439\ = CARRY((!\led_flash_cnt[1968][3]~54437\) # (!\led_flash_cnt[1968][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1968][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1968][3]~54437\,
	combout => \led_flash_cnt[1968][4]~54438_combout\,
	cout => \led_flash_cnt[1968][4]~54439\);

-- Location: FF_X25_Y11_N15
\led_flash_cnt[1968][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1968][4]~54438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1968][4]~q\);

-- Location: LCCOMB_X25_Y11_N16
\led_flash_cnt[1968][5]~54440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1968][5]~54440_combout\ = (\led_flash_cnt[1968][5]~q\ & (\led_flash_cnt[1968][4]~54439\ $ (GND))) # (!\led_flash_cnt[1968][5]~q\ & (!\led_flash_cnt[1968][4]~54439\ & VCC))
-- \led_flash_cnt[1968][5]~54441\ = CARRY((\led_flash_cnt[1968][5]~q\ & !\led_flash_cnt[1968][4]~54439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1968][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1968][4]~54439\,
	combout => \led_flash_cnt[1968][5]~54440_combout\,
	cout => \led_flash_cnt[1968][5]~54441\);

-- Location: FF_X25_Y11_N17
\led_flash_cnt[1968][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1968][5]~54440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1968][5]~q\);

-- Location: LCCOMB_X25_Y11_N18
\led_flash_cnt[1968][6]~54442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1968][6]~54442_combout\ = (\led_flash_cnt[1968][6]~q\ & (!\led_flash_cnt[1968][5]~54441\)) # (!\led_flash_cnt[1968][6]~q\ & ((\led_flash_cnt[1968][5]~54441\) # (GND)))
-- \led_flash_cnt[1968][6]~54443\ = CARRY((!\led_flash_cnt[1968][5]~54441\) # (!\led_flash_cnt[1968][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1968][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1968][5]~54441\,
	combout => \led_flash_cnt[1968][6]~54442_combout\,
	cout => \led_flash_cnt[1968][6]~54443\);

-- Location: FF_X25_Y11_N19
\led_flash_cnt[1968][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1968][6]~54442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1968][6]~q\);

-- Location: LCCOMB_X25_Y11_N20
\led_flash_cnt[1968][7]~54444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1968][7]~54444_combout\ = \led_flash_cnt[1968][6]~54443\ $ (!\led_flash_cnt[1968][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1968][7]~q\,
	cin => \led_flash_cnt[1968][6]~54443\,
	combout => \led_flash_cnt[1968][7]~54444_combout\);

-- Location: FF_X25_Y11_N21
\led_flash_cnt[1968][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1968][7]~54444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1968][7]~q\);

-- Location: LCCOMB_X25_Y11_N30
\WideAnd1968~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1968~1_combout\ = (\led_flash_cnt[1968][6]~q\ & \led_flash_cnt[1968][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1968][6]~q\,
	datad => \led_flash_cnt[1968][5]~q\,
	combout => \WideAnd1968~1_combout\);

-- Location: LCCOMB_X25_Y11_N2
\WideAnd1968~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1968~0_combout\ = (\led_flash_cnt[1968][2]~q\ & (\led_flash_cnt[1968][1]~q\ & (\led_flash_cnt[1968][4]~q\ & \led_flash_cnt[1968][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1968][2]~q\,
	datab => \led_flash_cnt[1968][1]~q\,
	datac => \led_flash_cnt[1968][4]~q\,
	datad => \led_flash_cnt[1968][3]~q\,
	combout => \WideAnd1968~0_combout\);

-- Location: LCCOMB_X25_Y11_N26
WideAnd1968 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1968~combout\ = (\led_flash_cnt[1968][0]~q\ & (\led_flash_cnt[1968][7]~q\ & (\WideAnd1968~1_combout\ & \WideAnd1968~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1968][0]~q\,
	datab => \led_flash_cnt[1968][7]~q\,
	datac => \WideAnd1968~1_combout\,
	datad => \WideAnd1968~0_combout\,
	combout => \WideAnd1968~combout\);

-- Location: FF_X25_Y11_N27
\led_flash_cnt_ands[1968]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1968~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1968));

-- Location: LCCOMB_X25_Y11_N6
\led_flash_cnt[1971][0]~82611\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1971][0]~82611_combout\ = !\led_flash_cnt[1971][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1971][0]~q\,
	combout => \led_flash_cnt[1971][0]~82611_combout\);

-- Location: FF_X25_Y11_N7
\led_flash_cnt[1971][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1971][0]~82611_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1971][0]~q\);

-- Location: LCCOMB_X26_Y11_N4
\led_flash_cnt[1971][1]~54474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1971][1]~54474_combout\ = (\led_flash_cnt[1971][0]~q\ & (\led_flash_cnt[1971][1]~q\ $ (VCC))) # (!\led_flash_cnt[1971][0]~q\ & (\led_flash_cnt[1971][1]~q\ & VCC))
-- \led_flash_cnt[1971][1]~54475\ = CARRY((\led_flash_cnt[1971][0]~q\ & \led_flash_cnt[1971][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1971][0]~q\,
	datab => \led_flash_cnt[1971][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1971][1]~54474_combout\,
	cout => \led_flash_cnt[1971][1]~54475\);

-- Location: FF_X26_Y11_N5
\led_flash_cnt[1971][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1971][1]~54474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1971][1]~q\);

-- Location: LCCOMB_X26_Y11_N6
\led_flash_cnt[1971][2]~54476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1971][2]~54476_combout\ = (\led_flash_cnt[1971][2]~q\ & (!\led_flash_cnt[1971][1]~54475\)) # (!\led_flash_cnt[1971][2]~q\ & ((\led_flash_cnt[1971][1]~54475\) # (GND)))
-- \led_flash_cnt[1971][2]~54477\ = CARRY((!\led_flash_cnt[1971][1]~54475\) # (!\led_flash_cnt[1971][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1971][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1971][1]~54475\,
	combout => \led_flash_cnt[1971][2]~54476_combout\,
	cout => \led_flash_cnt[1971][2]~54477\);

-- Location: FF_X26_Y11_N7
\led_flash_cnt[1971][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1971][2]~54476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1971][2]~q\);

-- Location: LCCOMB_X26_Y11_N8
\led_flash_cnt[1971][3]~54478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1971][3]~54478_combout\ = (\led_flash_cnt[1971][3]~q\ & (\led_flash_cnt[1971][2]~54477\ $ (GND))) # (!\led_flash_cnt[1971][3]~q\ & (!\led_flash_cnt[1971][2]~54477\ & VCC))
-- \led_flash_cnt[1971][3]~54479\ = CARRY((\led_flash_cnt[1971][3]~q\ & !\led_flash_cnt[1971][2]~54477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1971][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1971][2]~54477\,
	combout => \led_flash_cnt[1971][3]~54478_combout\,
	cout => \led_flash_cnt[1971][3]~54479\);

-- Location: FF_X26_Y11_N9
\led_flash_cnt[1971][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1971][3]~54478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1971][3]~q\);

-- Location: LCCOMB_X26_Y11_N10
\led_flash_cnt[1971][4]~54480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1971][4]~54480_combout\ = (\led_flash_cnt[1971][4]~q\ & (!\led_flash_cnt[1971][3]~54479\)) # (!\led_flash_cnt[1971][4]~q\ & ((\led_flash_cnt[1971][3]~54479\) # (GND)))
-- \led_flash_cnt[1971][4]~54481\ = CARRY((!\led_flash_cnt[1971][3]~54479\) # (!\led_flash_cnt[1971][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1971][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1971][3]~54479\,
	combout => \led_flash_cnt[1971][4]~54480_combout\,
	cout => \led_flash_cnt[1971][4]~54481\);

-- Location: FF_X26_Y11_N11
\led_flash_cnt[1971][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1971][4]~54480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1971][4]~q\);

-- Location: LCCOMB_X26_Y11_N12
\led_flash_cnt[1971][5]~54482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1971][5]~54482_combout\ = (\led_flash_cnt[1971][5]~q\ & (\led_flash_cnt[1971][4]~54481\ $ (GND))) # (!\led_flash_cnt[1971][5]~q\ & (!\led_flash_cnt[1971][4]~54481\ & VCC))
-- \led_flash_cnt[1971][5]~54483\ = CARRY((\led_flash_cnt[1971][5]~q\ & !\led_flash_cnt[1971][4]~54481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1971][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1971][4]~54481\,
	combout => \led_flash_cnt[1971][5]~54482_combout\,
	cout => \led_flash_cnt[1971][5]~54483\);

-- Location: FF_X26_Y11_N13
\led_flash_cnt[1971][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1971][5]~54482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1971][5]~q\);

-- Location: LCCOMB_X26_Y11_N14
\led_flash_cnt[1971][6]~54484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1971][6]~54484_combout\ = (\led_flash_cnt[1971][6]~q\ & (!\led_flash_cnt[1971][5]~54483\)) # (!\led_flash_cnt[1971][6]~q\ & ((\led_flash_cnt[1971][5]~54483\) # (GND)))
-- \led_flash_cnt[1971][6]~54485\ = CARRY((!\led_flash_cnt[1971][5]~54483\) # (!\led_flash_cnt[1971][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1971][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1971][5]~54483\,
	combout => \led_flash_cnt[1971][6]~54484_combout\,
	cout => \led_flash_cnt[1971][6]~54485\);

-- Location: FF_X26_Y11_N15
\led_flash_cnt[1971][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1971][6]~54484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1971][6]~q\);

-- Location: LCCOMB_X26_Y11_N16
\led_flash_cnt[1971][7]~54486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1971][7]~54486_combout\ = \led_flash_cnt[1971][6]~54485\ $ (!\led_flash_cnt[1971][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1971][7]~q\,
	cin => \led_flash_cnt[1971][6]~54485\,
	combout => \led_flash_cnt[1971][7]~54486_combout\);

-- Location: FF_X26_Y11_N17
\led_flash_cnt[1971][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1971][7]~54486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1971][7]~q\);

-- Location: LCCOMB_X25_Y11_N4
\WideAnd1971~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1971~1_combout\ = (\led_flash_cnt[1971][6]~q\ & \led_flash_cnt[1971][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1971][6]~q\,
	datac => \led_flash_cnt[1971][5]~q\,
	combout => \WideAnd1971~1_combout\);

-- Location: LCCOMB_X26_Y11_N2
\WideAnd1971~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1971~0_combout\ = (\led_flash_cnt[1971][2]~q\ & (\led_flash_cnt[1971][3]~q\ & (\led_flash_cnt[1971][1]~q\ & \led_flash_cnt[1971][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1971][2]~q\,
	datab => \led_flash_cnt[1971][3]~q\,
	datac => \led_flash_cnt[1971][1]~q\,
	datad => \led_flash_cnt[1971][4]~q\,
	combout => \WideAnd1971~0_combout\);

-- Location: LCCOMB_X25_Y11_N28
WideAnd1971 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1971~combout\ = (\led_flash_cnt[1971][0]~q\ & (\led_flash_cnt[1971][7]~q\ & (\WideAnd1971~1_combout\ & \WideAnd1971~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1971][0]~q\,
	datab => \led_flash_cnt[1971][7]~q\,
	datac => \WideAnd1971~1_combout\,
	datad => \WideAnd1971~0_combout\,
	combout => \WideAnd1971~combout\);

-- Location: FF_X25_Y11_N29
\led_flash_cnt_ands[1971]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1971~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1971));

-- Location: LCCOMB_X29_Y6_N28
\led_flash_cnt[1970][0]~82610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1970][0]~82610_combout\ = !\led_flash_cnt[1970][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1970][0]~q\,
	combout => \led_flash_cnt[1970][0]~82610_combout\);

-- Location: FF_X29_Y6_N29
\led_flash_cnt[1970][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1970][0]~82610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1970][0]~q\);

-- Location: LCCOMB_X29_Y9_N2
\led_flash_cnt[1970][1]~54460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1970][1]~54460_combout\ = (\led_flash_cnt[1970][0]~q\ & (\led_flash_cnt[1970][1]~q\ $ (VCC))) # (!\led_flash_cnt[1970][0]~q\ & (\led_flash_cnt[1970][1]~q\ & VCC))
-- \led_flash_cnt[1970][1]~54461\ = CARRY((\led_flash_cnt[1970][0]~q\ & \led_flash_cnt[1970][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1970][0]~q\,
	datab => \led_flash_cnt[1970][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1970][1]~54460_combout\,
	cout => \led_flash_cnt[1970][1]~54461\);

-- Location: FF_X29_Y9_N3
\led_flash_cnt[1970][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1970][1]~54460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1970][1]~q\);

-- Location: LCCOMB_X29_Y9_N4
\led_flash_cnt[1970][2]~54462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1970][2]~54462_combout\ = (\led_flash_cnt[1970][2]~q\ & (!\led_flash_cnt[1970][1]~54461\)) # (!\led_flash_cnt[1970][2]~q\ & ((\led_flash_cnt[1970][1]~54461\) # (GND)))
-- \led_flash_cnt[1970][2]~54463\ = CARRY((!\led_flash_cnt[1970][1]~54461\) # (!\led_flash_cnt[1970][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1970][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1970][1]~54461\,
	combout => \led_flash_cnt[1970][2]~54462_combout\,
	cout => \led_flash_cnt[1970][2]~54463\);

-- Location: FF_X29_Y9_N5
\led_flash_cnt[1970][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1970][2]~54462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1970][2]~q\);

-- Location: LCCOMB_X29_Y9_N6
\led_flash_cnt[1970][3]~54464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1970][3]~54464_combout\ = (\led_flash_cnt[1970][3]~q\ & (\led_flash_cnt[1970][2]~54463\ $ (GND))) # (!\led_flash_cnt[1970][3]~q\ & (!\led_flash_cnt[1970][2]~54463\ & VCC))
-- \led_flash_cnt[1970][3]~54465\ = CARRY((\led_flash_cnt[1970][3]~q\ & !\led_flash_cnt[1970][2]~54463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1970][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1970][2]~54463\,
	combout => \led_flash_cnt[1970][3]~54464_combout\,
	cout => \led_flash_cnt[1970][3]~54465\);

-- Location: FF_X29_Y9_N7
\led_flash_cnt[1970][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1970][3]~54464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1970][3]~q\);

-- Location: LCCOMB_X29_Y9_N8
\led_flash_cnt[1970][4]~54466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1970][4]~54466_combout\ = (\led_flash_cnt[1970][4]~q\ & (!\led_flash_cnt[1970][3]~54465\)) # (!\led_flash_cnt[1970][4]~q\ & ((\led_flash_cnt[1970][3]~54465\) # (GND)))
-- \led_flash_cnt[1970][4]~54467\ = CARRY((!\led_flash_cnt[1970][3]~54465\) # (!\led_flash_cnt[1970][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1970][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1970][3]~54465\,
	combout => \led_flash_cnt[1970][4]~54466_combout\,
	cout => \led_flash_cnt[1970][4]~54467\);

-- Location: FF_X29_Y9_N9
\led_flash_cnt[1970][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1970][4]~54466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1970][4]~q\);

-- Location: LCCOMB_X29_Y9_N10
\led_flash_cnt[1970][5]~54468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1970][5]~54468_combout\ = (\led_flash_cnt[1970][5]~q\ & (\led_flash_cnt[1970][4]~54467\ $ (GND))) # (!\led_flash_cnt[1970][5]~q\ & (!\led_flash_cnt[1970][4]~54467\ & VCC))
-- \led_flash_cnt[1970][5]~54469\ = CARRY((\led_flash_cnt[1970][5]~q\ & !\led_flash_cnt[1970][4]~54467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1970][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1970][4]~54467\,
	combout => \led_flash_cnt[1970][5]~54468_combout\,
	cout => \led_flash_cnt[1970][5]~54469\);

-- Location: FF_X29_Y9_N11
\led_flash_cnt[1970][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1970][5]~54468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1970][5]~q\);

-- Location: LCCOMB_X29_Y9_N12
\led_flash_cnt[1970][6]~54470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1970][6]~54470_combout\ = (\led_flash_cnt[1970][6]~q\ & (!\led_flash_cnt[1970][5]~54469\)) # (!\led_flash_cnt[1970][6]~q\ & ((\led_flash_cnt[1970][5]~54469\) # (GND)))
-- \led_flash_cnt[1970][6]~54471\ = CARRY((!\led_flash_cnt[1970][5]~54469\) # (!\led_flash_cnt[1970][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1970][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1970][5]~54469\,
	combout => \led_flash_cnt[1970][6]~54470_combout\,
	cout => \led_flash_cnt[1970][6]~54471\);

-- Location: FF_X29_Y9_N13
\led_flash_cnt[1970][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1970][6]~54470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1970][6]~q\);

-- Location: LCCOMB_X29_Y6_N30
\WideAnd1970~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1970~1_combout\ = (\led_flash_cnt[1970][6]~q\ & \led_flash_cnt[1970][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1970][6]~q\,
	datad => \led_flash_cnt[1970][5]~q\,
	combout => \WideAnd1970~1_combout\);

-- Location: LCCOMB_X29_Y9_N14
\led_flash_cnt[1970][7]~54472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1970][7]~54472_combout\ = \led_flash_cnt[1970][7]~q\ $ (!\led_flash_cnt[1970][6]~54471\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1970][7]~q\,
	cin => \led_flash_cnt[1970][6]~54471\,
	combout => \led_flash_cnt[1970][7]~54472_combout\);

-- Location: FF_X29_Y9_N15
\led_flash_cnt[1970][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1970][7]~54472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1970][7]~q\);

-- Location: LCCOMB_X29_Y9_N30
\WideAnd1970~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1970~0_combout\ = (\led_flash_cnt[1970][3]~q\ & (\led_flash_cnt[1970][2]~q\ & (\led_flash_cnt[1970][4]~q\ & \led_flash_cnt[1970][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1970][3]~q\,
	datab => \led_flash_cnt[1970][2]~q\,
	datac => \led_flash_cnt[1970][4]~q\,
	datad => \led_flash_cnt[1970][1]~q\,
	combout => \WideAnd1970~0_combout\);

-- Location: LCCOMB_X29_Y6_N0
WideAnd1970 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1970~combout\ = (\WideAnd1970~1_combout\ & (\led_flash_cnt[1970][0]~q\ & (\led_flash_cnt[1970][7]~q\ & \WideAnd1970~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1970~1_combout\,
	datab => \led_flash_cnt[1970][0]~q\,
	datac => \led_flash_cnt[1970][7]~q\,
	datad => \WideAnd1970~0_combout\,
	combout => \WideAnd1970~combout\);

-- Location: FF_X29_Y6_N1
\led_flash_cnt_ands[1970]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1970~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1970));

-- Location: LCCOMB_X26_Y21_N2
\led_flash_cnt[1969][0]~82609\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1969][0]~82609_combout\ = !\led_flash_cnt[1969][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1969][0]~q\,
	combout => \led_flash_cnt[1969][0]~82609_combout\);

-- Location: FF_X26_Y21_N3
\led_flash_cnt[1969][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1969][0]~82609_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1969][0]~q\);

-- Location: LCCOMB_X25_Y21_N4
\led_flash_cnt[1969][1]~54446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1969][1]~54446_combout\ = (\led_flash_cnt[1969][0]~q\ & (\led_flash_cnt[1969][1]~q\ $ (VCC))) # (!\led_flash_cnt[1969][0]~q\ & (\led_flash_cnt[1969][1]~q\ & VCC))
-- \led_flash_cnt[1969][1]~54447\ = CARRY((\led_flash_cnt[1969][0]~q\ & \led_flash_cnt[1969][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1969][0]~q\,
	datab => \led_flash_cnt[1969][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1969][1]~54446_combout\,
	cout => \led_flash_cnt[1969][1]~54447\);

-- Location: FF_X25_Y21_N5
\led_flash_cnt[1969][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1969][1]~54446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1969][1]~q\);

-- Location: LCCOMB_X25_Y21_N6
\led_flash_cnt[1969][2]~54448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1969][2]~54448_combout\ = (\led_flash_cnt[1969][2]~q\ & (!\led_flash_cnt[1969][1]~54447\)) # (!\led_flash_cnt[1969][2]~q\ & ((\led_flash_cnt[1969][1]~54447\) # (GND)))
-- \led_flash_cnt[1969][2]~54449\ = CARRY((!\led_flash_cnt[1969][1]~54447\) # (!\led_flash_cnt[1969][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1969][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1969][1]~54447\,
	combout => \led_flash_cnt[1969][2]~54448_combout\,
	cout => \led_flash_cnt[1969][2]~54449\);

-- Location: FF_X25_Y21_N7
\led_flash_cnt[1969][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1969][2]~54448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1969][2]~q\);

-- Location: LCCOMB_X25_Y21_N8
\led_flash_cnt[1969][3]~54450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1969][3]~54450_combout\ = (\led_flash_cnt[1969][3]~q\ & (\led_flash_cnt[1969][2]~54449\ $ (GND))) # (!\led_flash_cnt[1969][3]~q\ & (!\led_flash_cnt[1969][2]~54449\ & VCC))
-- \led_flash_cnt[1969][3]~54451\ = CARRY((\led_flash_cnt[1969][3]~q\ & !\led_flash_cnt[1969][2]~54449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1969][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1969][2]~54449\,
	combout => \led_flash_cnt[1969][3]~54450_combout\,
	cout => \led_flash_cnt[1969][3]~54451\);

-- Location: FF_X25_Y21_N9
\led_flash_cnt[1969][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1969][3]~54450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1969][3]~q\);

-- Location: LCCOMB_X25_Y21_N10
\led_flash_cnt[1969][4]~54452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1969][4]~54452_combout\ = (\led_flash_cnt[1969][4]~q\ & (!\led_flash_cnt[1969][3]~54451\)) # (!\led_flash_cnt[1969][4]~q\ & ((\led_flash_cnt[1969][3]~54451\) # (GND)))
-- \led_flash_cnt[1969][4]~54453\ = CARRY((!\led_flash_cnt[1969][3]~54451\) # (!\led_flash_cnt[1969][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1969][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1969][3]~54451\,
	combout => \led_flash_cnt[1969][4]~54452_combout\,
	cout => \led_flash_cnt[1969][4]~54453\);

-- Location: FF_X25_Y21_N11
\led_flash_cnt[1969][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1969][4]~54452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1969][4]~q\);

-- Location: LCCOMB_X25_Y21_N2
\WideAnd1969~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1969~0_combout\ = (\led_flash_cnt[1969][4]~q\ & (\led_flash_cnt[1969][3]~q\ & (\led_flash_cnt[1969][1]~q\ & \led_flash_cnt[1969][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1969][4]~q\,
	datab => \led_flash_cnt[1969][3]~q\,
	datac => \led_flash_cnt[1969][1]~q\,
	datad => \led_flash_cnt[1969][2]~q\,
	combout => \WideAnd1969~0_combout\);

-- Location: LCCOMB_X25_Y21_N12
\led_flash_cnt[1969][5]~54454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1969][5]~54454_combout\ = (\led_flash_cnt[1969][5]~q\ & (\led_flash_cnt[1969][4]~54453\ $ (GND))) # (!\led_flash_cnt[1969][5]~q\ & (!\led_flash_cnt[1969][4]~54453\ & VCC))
-- \led_flash_cnt[1969][5]~54455\ = CARRY((\led_flash_cnt[1969][5]~q\ & !\led_flash_cnt[1969][4]~54453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1969][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1969][4]~54453\,
	combout => \led_flash_cnt[1969][5]~54454_combout\,
	cout => \led_flash_cnt[1969][5]~54455\);

-- Location: FF_X25_Y21_N13
\led_flash_cnt[1969][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1969][5]~54454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1969][5]~q\);

-- Location: LCCOMB_X25_Y21_N14
\led_flash_cnt[1969][6]~54456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1969][6]~54456_combout\ = (\led_flash_cnt[1969][6]~q\ & (!\led_flash_cnt[1969][5]~54455\)) # (!\led_flash_cnt[1969][6]~q\ & ((\led_flash_cnt[1969][5]~54455\) # (GND)))
-- \led_flash_cnt[1969][6]~54457\ = CARRY((!\led_flash_cnt[1969][5]~54455\) # (!\led_flash_cnt[1969][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1969][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1969][5]~54455\,
	combout => \led_flash_cnt[1969][6]~54456_combout\,
	cout => \led_flash_cnt[1969][6]~54457\);

-- Location: FF_X25_Y21_N15
\led_flash_cnt[1969][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1969][6]~54456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1969][6]~q\);

-- Location: LCCOMB_X26_Y21_N0
\WideAnd1969~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1969~1_combout\ = (\led_flash_cnt[1969][5]~q\ & \led_flash_cnt[1969][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1969][5]~q\,
	datad => \led_flash_cnt[1969][6]~q\,
	combout => \WideAnd1969~1_combout\);

-- Location: LCCOMB_X25_Y21_N16
\led_flash_cnt[1969][7]~54458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1969][7]~54458_combout\ = \led_flash_cnt[1969][6]~54457\ $ (!\led_flash_cnt[1969][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1969][7]~q\,
	cin => \led_flash_cnt[1969][6]~54457\,
	combout => \led_flash_cnt[1969][7]~54458_combout\);

-- Location: FF_X25_Y21_N17
\led_flash_cnt[1969][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1969][7]~54458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1969][7]~q\);

-- Location: LCCOMB_X26_Y21_N6
WideAnd1969 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1969~combout\ = (\WideAnd1969~0_combout\ & (\WideAnd1969~1_combout\ & (\led_flash_cnt[1969][7]~q\ & \led_flash_cnt[1969][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1969~0_combout\,
	datab => \WideAnd1969~1_combout\,
	datac => \led_flash_cnt[1969][7]~q\,
	datad => \led_flash_cnt[1969][0]~q\,
	combout => \WideAnd1969~combout\);

-- Location: FF_X26_Y21_N7
\led_flash_cnt_ands[1969]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1969~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1969));

-- Location: LCCOMB_X25_Y11_N24
\WideAnd4086~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4086~0_combout\ = (led_flash_cnt_ands(1968) & (led_flash_cnt_ands(1971) & (led_flash_cnt_ands(1970) & led_flash_cnt_ands(1969))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1968),
	datab => led_flash_cnt_ands(1971),
	datac => led_flash_cnt_ands(1970),
	datad => led_flash_cnt_ands(1969),
	combout => \WideAnd4086~0_combout\);

-- Location: LCCOMB_X29_Y6_N26
\led_flash_cnt[1974][0]~82614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1974][0]~82614_combout\ = !\led_flash_cnt[1974][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1974][0]~q\,
	combout => \led_flash_cnt[1974][0]~82614_combout\);

-- Location: FF_X29_Y6_N27
\led_flash_cnt[1974][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1974][0]~82614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1974][0]~q\);

-- Location: LCCOMB_X30_Y6_N18
\led_flash_cnt[1974][1]~54516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1974][1]~54516_combout\ = (\led_flash_cnt[1974][0]~q\ & (\led_flash_cnt[1974][1]~q\ $ (VCC))) # (!\led_flash_cnt[1974][0]~q\ & (\led_flash_cnt[1974][1]~q\ & VCC))
-- \led_flash_cnt[1974][1]~54517\ = CARRY((\led_flash_cnt[1974][0]~q\ & \led_flash_cnt[1974][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1974][0]~q\,
	datab => \led_flash_cnt[1974][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1974][1]~54516_combout\,
	cout => \led_flash_cnt[1974][1]~54517\);

-- Location: FF_X30_Y6_N19
\led_flash_cnt[1974][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1974][1]~54516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1974][1]~q\);

-- Location: LCCOMB_X30_Y6_N20
\led_flash_cnt[1974][2]~54518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1974][2]~54518_combout\ = (\led_flash_cnt[1974][2]~q\ & (!\led_flash_cnt[1974][1]~54517\)) # (!\led_flash_cnt[1974][2]~q\ & ((\led_flash_cnt[1974][1]~54517\) # (GND)))
-- \led_flash_cnt[1974][2]~54519\ = CARRY((!\led_flash_cnt[1974][1]~54517\) # (!\led_flash_cnt[1974][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1974][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1974][1]~54517\,
	combout => \led_flash_cnt[1974][2]~54518_combout\,
	cout => \led_flash_cnt[1974][2]~54519\);

-- Location: FF_X30_Y6_N21
\led_flash_cnt[1974][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1974][2]~54518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1974][2]~q\);

-- Location: LCCOMB_X30_Y6_N22
\led_flash_cnt[1974][3]~54520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1974][3]~54520_combout\ = (\led_flash_cnt[1974][3]~q\ & (\led_flash_cnt[1974][2]~54519\ $ (GND))) # (!\led_flash_cnt[1974][3]~q\ & (!\led_flash_cnt[1974][2]~54519\ & VCC))
-- \led_flash_cnt[1974][3]~54521\ = CARRY((\led_flash_cnt[1974][3]~q\ & !\led_flash_cnt[1974][2]~54519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1974][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1974][2]~54519\,
	combout => \led_flash_cnt[1974][3]~54520_combout\,
	cout => \led_flash_cnt[1974][3]~54521\);

-- Location: FF_X30_Y6_N23
\led_flash_cnt[1974][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1974][3]~54520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1974][3]~q\);

-- Location: LCCOMB_X30_Y6_N24
\led_flash_cnt[1974][4]~54522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1974][4]~54522_combout\ = (\led_flash_cnt[1974][4]~q\ & (!\led_flash_cnt[1974][3]~54521\)) # (!\led_flash_cnt[1974][4]~q\ & ((\led_flash_cnt[1974][3]~54521\) # (GND)))
-- \led_flash_cnt[1974][4]~54523\ = CARRY((!\led_flash_cnt[1974][3]~54521\) # (!\led_flash_cnt[1974][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1974][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1974][3]~54521\,
	combout => \led_flash_cnt[1974][4]~54522_combout\,
	cout => \led_flash_cnt[1974][4]~54523\);

-- Location: FF_X30_Y6_N25
\led_flash_cnt[1974][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1974][4]~54522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1974][4]~q\);

-- Location: LCCOMB_X30_Y6_N26
\led_flash_cnt[1974][5]~54524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1974][5]~54524_combout\ = (\led_flash_cnt[1974][5]~q\ & (\led_flash_cnt[1974][4]~54523\ $ (GND))) # (!\led_flash_cnt[1974][5]~q\ & (!\led_flash_cnt[1974][4]~54523\ & VCC))
-- \led_flash_cnt[1974][5]~54525\ = CARRY((\led_flash_cnt[1974][5]~q\ & !\led_flash_cnt[1974][4]~54523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1974][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1974][4]~54523\,
	combout => \led_flash_cnt[1974][5]~54524_combout\,
	cout => \led_flash_cnt[1974][5]~54525\);

-- Location: FF_X30_Y6_N27
\led_flash_cnt[1974][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1974][5]~54524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1974][5]~q\);

-- Location: LCCOMB_X30_Y6_N28
\led_flash_cnt[1974][6]~54526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1974][6]~54526_combout\ = (\led_flash_cnt[1974][6]~q\ & (!\led_flash_cnt[1974][5]~54525\)) # (!\led_flash_cnt[1974][6]~q\ & ((\led_flash_cnt[1974][5]~54525\) # (GND)))
-- \led_flash_cnt[1974][6]~54527\ = CARRY((!\led_flash_cnt[1974][5]~54525\) # (!\led_flash_cnt[1974][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1974][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1974][5]~54525\,
	combout => \led_flash_cnt[1974][6]~54526_combout\,
	cout => \led_flash_cnt[1974][6]~54527\);

-- Location: FF_X30_Y6_N29
\led_flash_cnt[1974][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1974][6]~54526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1974][6]~q\);

-- Location: LCCOMB_X34_Y6_N10
\WideAnd1974~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1974~1_combout\ = (\led_flash_cnt[1974][6]~q\ & \led_flash_cnt[1974][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1974][6]~q\,
	datad => \led_flash_cnt[1974][5]~q\,
	combout => \WideAnd1974~1_combout\);

-- Location: LCCOMB_X30_Y6_N30
\led_flash_cnt[1974][7]~54528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1974][7]~54528_combout\ = \led_flash_cnt[1974][7]~q\ $ (!\led_flash_cnt[1974][6]~54527\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1974][7]~q\,
	cin => \led_flash_cnt[1974][6]~54527\,
	combout => \led_flash_cnt[1974][7]~54528_combout\);

-- Location: FF_X30_Y6_N31
\led_flash_cnt[1974][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1974][7]~54528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1974][7]~q\);

-- Location: LCCOMB_X31_Y6_N28
\WideAnd1974~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1974~0_combout\ = (\led_flash_cnt[1974][3]~q\ & (\led_flash_cnt[1974][4]~q\ & (\led_flash_cnt[1974][1]~q\ & \led_flash_cnt[1974][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1974][3]~q\,
	datab => \led_flash_cnt[1974][4]~q\,
	datac => \led_flash_cnt[1974][1]~q\,
	datad => \led_flash_cnt[1974][2]~q\,
	combout => \WideAnd1974~0_combout\);

-- Location: LCCOMB_X30_Y6_N0
WideAnd1974 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1974~combout\ = (\led_flash_cnt[1974][0]~q\ & (\WideAnd1974~1_combout\ & (\led_flash_cnt[1974][7]~q\ & \WideAnd1974~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1974][0]~q\,
	datab => \WideAnd1974~1_combout\,
	datac => \led_flash_cnt[1974][7]~q\,
	datad => \WideAnd1974~0_combout\,
	combout => \WideAnd1974~combout\);

-- Location: FF_X30_Y6_N1
\led_flash_cnt_ands[1974]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1974~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1974));

-- Location: LCCOMB_X30_Y7_N16
WideAnd4086 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4086~combout\ = (\WideAnd4086~1_combout\ & (led_flash_cnt_ands(1975) & (\WideAnd4086~0_combout\ & led_flash_cnt_ands(1974))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4086~1_combout\,
	datab => led_flash_cnt_ands(1975),
	datac => \WideAnd4086~0_combout\,
	datad => led_flash_cnt_ands(1974),
	combout => \WideAnd4086~combout\);

-- Location: FF_X30_Y7_N17
\led_flash_cnt_ands_1[246]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4086~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(246));

-- Location: LCCOMB_X39_Y20_N12
\led_flash_cnt[1982][0]~82622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1982][0]~82622_combout\ = !\led_flash_cnt[1982][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1982][0]~q\,
	combout => \led_flash_cnt[1982][0]~82622_combout\);

-- Location: FF_X39_Y20_N13
\led_flash_cnt[1982][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1982][0]~82622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1982][0]~q\);

-- Location: LCCOMB_X39_Y20_N16
\led_flash_cnt[1982][1]~54628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1982][1]~54628_combout\ = (\led_flash_cnt[1982][0]~q\ & (\led_flash_cnt[1982][1]~q\ $ (VCC))) # (!\led_flash_cnt[1982][0]~q\ & (\led_flash_cnt[1982][1]~q\ & VCC))
-- \led_flash_cnt[1982][1]~54629\ = CARRY((\led_flash_cnt[1982][0]~q\ & \led_flash_cnt[1982][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1982][0]~q\,
	datab => \led_flash_cnt[1982][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1982][1]~54628_combout\,
	cout => \led_flash_cnt[1982][1]~54629\);

-- Location: FF_X39_Y20_N17
\led_flash_cnt[1982][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1982][1]~54628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1982][1]~q\);

-- Location: LCCOMB_X39_Y20_N18
\led_flash_cnt[1982][2]~54630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1982][2]~54630_combout\ = (\led_flash_cnt[1982][2]~q\ & (!\led_flash_cnt[1982][1]~54629\)) # (!\led_flash_cnt[1982][2]~q\ & ((\led_flash_cnt[1982][1]~54629\) # (GND)))
-- \led_flash_cnt[1982][2]~54631\ = CARRY((!\led_flash_cnt[1982][1]~54629\) # (!\led_flash_cnt[1982][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1982][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1982][1]~54629\,
	combout => \led_flash_cnt[1982][2]~54630_combout\,
	cout => \led_flash_cnt[1982][2]~54631\);

-- Location: FF_X39_Y20_N19
\led_flash_cnt[1982][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1982][2]~54630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1982][2]~q\);

-- Location: LCCOMB_X39_Y20_N20
\led_flash_cnt[1982][3]~54632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1982][3]~54632_combout\ = (\led_flash_cnt[1982][3]~q\ & (\led_flash_cnt[1982][2]~54631\ $ (GND))) # (!\led_flash_cnt[1982][3]~q\ & (!\led_flash_cnt[1982][2]~54631\ & VCC))
-- \led_flash_cnt[1982][3]~54633\ = CARRY((\led_flash_cnt[1982][3]~q\ & !\led_flash_cnt[1982][2]~54631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1982][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1982][2]~54631\,
	combout => \led_flash_cnt[1982][3]~54632_combout\,
	cout => \led_flash_cnt[1982][3]~54633\);

-- Location: FF_X39_Y20_N21
\led_flash_cnt[1982][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1982][3]~54632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1982][3]~q\);

-- Location: LCCOMB_X39_Y20_N22
\led_flash_cnt[1982][4]~54634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1982][4]~54634_combout\ = (\led_flash_cnt[1982][4]~q\ & (!\led_flash_cnt[1982][3]~54633\)) # (!\led_flash_cnt[1982][4]~q\ & ((\led_flash_cnt[1982][3]~54633\) # (GND)))
-- \led_flash_cnt[1982][4]~54635\ = CARRY((!\led_flash_cnt[1982][3]~54633\) # (!\led_flash_cnt[1982][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1982][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1982][3]~54633\,
	combout => \led_flash_cnt[1982][4]~54634_combout\,
	cout => \led_flash_cnt[1982][4]~54635\);

-- Location: FF_X39_Y20_N23
\led_flash_cnt[1982][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1982][4]~54634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1982][4]~q\);

-- Location: LCCOMB_X39_Y20_N24
\led_flash_cnt[1982][5]~54636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1982][5]~54636_combout\ = (\led_flash_cnt[1982][5]~q\ & (\led_flash_cnt[1982][4]~54635\ $ (GND))) # (!\led_flash_cnt[1982][5]~q\ & (!\led_flash_cnt[1982][4]~54635\ & VCC))
-- \led_flash_cnt[1982][5]~54637\ = CARRY((\led_flash_cnt[1982][5]~q\ & !\led_flash_cnt[1982][4]~54635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1982][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1982][4]~54635\,
	combout => \led_flash_cnt[1982][5]~54636_combout\,
	cout => \led_flash_cnt[1982][5]~54637\);

-- Location: FF_X39_Y20_N25
\led_flash_cnt[1982][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1982][5]~54636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1982][5]~q\);

-- Location: LCCOMB_X39_Y20_N26
\led_flash_cnt[1982][6]~54638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1982][6]~54638_combout\ = (\led_flash_cnt[1982][6]~q\ & (!\led_flash_cnt[1982][5]~54637\)) # (!\led_flash_cnt[1982][6]~q\ & ((\led_flash_cnt[1982][5]~54637\) # (GND)))
-- \led_flash_cnt[1982][6]~54639\ = CARRY((!\led_flash_cnt[1982][5]~54637\) # (!\led_flash_cnt[1982][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1982][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1982][5]~54637\,
	combout => \led_flash_cnt[1982][6]~54638_combout\,
	cout => \led_flash_cnt[1982][6]~54639\);

-- Location: FF_X39_Y20_N27
\led_flash_cnt[1982][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1982][6]~54638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1982][6]~q\);

-- Location: LCCOMB_X39_Y20_N28
\led_flash_cnt[1982][7]~54640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1982][7]~54640_combout\ = \led_flash_cnt[1982][6]~54639\ $ (!\led_flash_cnt[1982][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1982][7]~q\,
	cin => \led_flash_cnt[1982][6]~54639\,
	combout => \led_flash_cnt[1982][7]~54640_combout\);

-- Location: FF_X39_Y20_N29
\led_flash_cnt[1982][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1982][7]~54640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1982][7]~q\);

-- Location: LCCOMB_X39_Y20_N4
\WideAnd1982~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1982~1_combout\ = (\led_flash_cnt[1982][6]~q\ & \led_flash_cnt[1982][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1982][6]~q\,
	datad => \led_flash_cnt[1982][5]~q\,
	combout => \WideAnd1982~1_combout\);

-- Location: LCCOMB_X39_Y20_N2
\WideAnd1982~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1982~0_combout\ = (\led_flash_cnt[1982][1]~q\ & (\led_flash_cnt[1982][2]~q\ & (\led_flash_cnt[1982][4]~q\ & \led_flash_cnt[1982][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1982][1]~q\,
	datab => \led_flash_cnt[1982][2]~q\,
	datac => \led_flash_cnt[1982][4]~q\,
	datad => \led_flash_cnt[1982][3]~q\,
	combout => \WideAnd1982~0_combout\);

-- Location: LCCOMB_X39_Y20_N30
WideAnd1982 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1982~combout\ = (\led_flash_cnt[1982][0]~q\ & (\led_flash_cnt[1982][7]~q\ & (\WideAnd1982~1_combout\ & \WideAnd1982~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1982][0]~q\,
	datab => \led_flash_cnt[1982][7]~q\,
	datac => \WideAnd1982~1_combout\,
	datad => \WideAnd1982~0_combout\,
	combout => \WideAnd1982~combout\);

-- Location: FF_X39_Y20_N31
\led_flash_cnt_ands[1982]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1982~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1982));

-- Location: LCCOMB_X38_Y21_N16
\led_flash_cnt[1980][0]~82620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1980][0]~82620_combout\ = !\led_flash_cnt[1980][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1980][0]~q\,
	combout => \led_flash_cnt[1980][0]~82620_combout\);

-- Location: FF_X38_Y21_N17
\led_flash_cnt[1980][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1980][0]~82620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1980][0]~q\);

-- Location: LCCOMB_X38_Y21_N0
\led_flash_cnt[1980][1]~54600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1980][1]~54600_combout\ = (\led_flash_cnt[1980][0]~q\ & (\led_flash_cnt[1980][1]~q\ $ (VCC))) # (!\led_flash_cnt[1980][0]~q\ & (\led_flash_cnt[1980][1]~q\ & VCC))
-- \led_flash_cnt[1980][1]~54601\ = CARRY((\led_flash_cnt[1980][0]~q\ & \led_flash_cnt[1980][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1980][0]~q\,
	datab => \led_flash_cnt[1980][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1980][1]~54600_combout\,
	cout => \led_flash_cnt[1980][1]~54601\);

-- Location: FF_X38_Y21_N1
\led_flash_cnt[1980][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1980][1]~54600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1980][1]~q\);

-- Location: LCCOMB_X38_Y21_N2
\led_flash_cnt[1980][2]~54602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1980][2]~54602_combout\ = (\led_flash_cnt[1980][2]~q\ & (!\led_flash_cnt[1980][1]~54601\)) # (!\led_flash_cnt[1980][2]~q\ & ((\led_flash_cnt[1980][1]~54601\) # (GND)))
-- \led_flash_cnt[1980][2]~54603\ = CARRY((!\led_flash_cnt[1980][1]~54601\) # (!\led_flash_cnt[1980][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1980][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1980][1]~54601\,
	combout => \led_flash_cnt[1980][2]~54602_combout\,
	cout => \led_flash_cnt[1980][2]~54603\);

-- Location: FF_X38_Y21_N3
\led_flash_cnt[1980][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1980][2]~54602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1980][2]~q\);

-- Location: LCCOMB_X38_Y21_N4
\led_flash_cnt[1980][3]~54604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1980][3]~54604_combout\ = (\led_flash_cnt[1980][3]~q\ & (\led_flash_cnt[1980][2]~54603\ $ (GND))) # (!\led_flash_cnt[1980][3]~q\ & (!\led_flash_cnt[1980][2]~54603\ & VCC))
-- \led_flash_cnt[1980][3]~54605\ = CARRY((\led_flash_cnt[1980][3]~q\ & !\led_flash_cnt[1980][2]~54603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1980][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1980][2]~54603\,
	combout => \led_flash_cnt[1980][3]~54604_combout\,
	cout => \led_flash_cnt[1980][3]~54605\);

-- Location: FF_X38_Y21_N5
\led_flash_cnt[1980][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1980][3]~54604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1980][3]~q\);

-- Location: LCCOMB_X38_Y21_N6
\led_flash_cnt[1980][4]~54606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1980][4]~54606_combout\ = (\led_flash_cnt[1980][4]~q\ & (!\led_flash_cnt[1980][3]~54605\)) # (!\led_flash_cnt[1980][4]~q\ & ((\led_flash_cnt[1980][3]~54605\) # (GND)))
-- \led_flash_cnt[1980][4]~54607\ = CARRY((!\led_flash_cnt[1980][3]~54605\) # (!\led_flash_cnt[1980][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1980][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1980][3]~54605\,
	combout => \led_flash_cnt[1980][4]~54606_combout\,
	cout => \led_flash_cnt[1980][4]~54607\);

-- Location: FF_X38_Y21_N7
\led_flash_cnt[1980][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1980][4]~54606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1980][4]~q\);

-- Location: LCCOMB_X38_Y21_N8
\led_flash_cnt[1980][5]~54608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1980][5]~54608_combout\ = (\led_flash_cnt[1980][5]~q\ & (\led_flash_cnt[1980][4]~54607\ $ (GND))) # (!\led_flash_cnt[1980][5]~q\ & (!\led_flash_cnt[1980][4]~54607\ & VCC))
-- \led_flash_cnt[1980][5]~54609\ = CARRY((\led_flash_cnt[1980][5]~q\ & !\led_flash_cnt[1980][4]~54607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1980][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1980][4]~54607\,
	combout => \led_flash_cnt[1980][5]~54608_combout\,
	cout => \led_flash_cnt[1980][5]~54609\);

-- Location: FF_X38_Y21_N9
\led_flash_cnt[1980][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1980][5]~54608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1980][5]~q\);

-- Location: LCCOMB_X38_Y21_N10
\led_flash_cnt[1980][6]~54610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1980][6]~54610_combout\ = (\led_flash_cnt[1980][6]~q\ & (!\led_flash_cnt[1980][5]~54609\)) # (!\led_flash_cnt[1980][6]~q\ & ((\led_flash_cnt[1980][5]~54609\) # (GND)))
-- \led_flash_cnt[1980][6]~54611\ = CARRY((!\led_flash_cnt[1980][5]~54609\) # (!\led_flash_cnt[1980][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1980][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1980][5]~54609\,
	combout => \led_flash_cnt[1980][6]~54610_combout\,
	cout => \led_flash_cnt[1980][6]~54611\);

-- Location: FF_X38_Y21_N11
\led_flash_cnt[1980][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1980][6]~54610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1980][6]~q\);

-- Location: LCCOMB_X38_Y21_N12
\led_flash_cnt[1980][7]~54612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1980][7]~54612_combout\ = \led_flash_cnt[1980][6]~54611\ $ (!\led_flash_cnt[1980][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1980][7]~q\,
	cin => \led_flash_cnt[1980][6]~54611\,
	combout => \led_flash_cnt[1980][7]~54612_combout\);

-- Location: FF_X38_Y21_N13
\led_flash_cnt[1980][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1980][7]~54612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1980][7]~q\);

-- Location: LCCOMB_X38_Y21_N24
\WideAnd1980~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1980~0_combout\ = (\led_flash_cnt[1980][4]~q\ & (\led_flash_cnt[1980][1]~q\ & (\led_flash_cnt[1980][3]~q\ & \led_flash_cnt[1980][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1980][4]~q\,
	datab => \led_flash_cnt[1980][1]~q\,
	datac => \led_flash_cnt[1980][3]~q\,
	datad => \led_flash_cnt[1980][2]~q\,
	combout => \WideAnd1980~0_combout\);

-- Location: LCCOMB_X38_Y21_N30
\WideAnd1980~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1980~1_combout\ = (\led_flash_cnt[1980][5]~q\ & \led_flash_cnt[1980][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1980][5]~q\,
	datad => \led_flash_cnt[1980][6]~q\,
	combout => \WideAnd1980~1_combout\);

-- Location: LCCOMB_X38_Y21_N26
WideAnd1980 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1980~combout\ = (\led_flash_cnt[1980][7]~q\ & (\WideAnd1980~0_combout\ & (\WideAnd1980~1_combout\ & \led_flash_cnt[1980][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1980][7]~q\,
	datab => \WideAnd1980~0_combout\,
	datac => \WideAnd1980~1_combout\,
	datad => \led_flash_cnt[1980][0]~q\,
	combout => \WideAnd1980~combout\);

-- Location: FF_X38_Y21_N27
\led_flash_cnt_ands[1980]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1980~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1980));

-- Location: LCCOMB_X38_Y21_N28
\led_flash_cnt[1981][0]~82621\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1981][0]~82621_combout\ = !\led_flash_cnt[1981][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1981][0]~q\,
	combout => \led_flash_cnt[1981][0]~82621_combout\);

-- Location: FF_X38_Y21_N29
\led_flash_cnt[1981][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1981][0]~82621_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1981][0]~q\);

-- Location: LCCOMB_X37_Y22_N0
\led_flash_cnt[1981][1]~54614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1981][1]~54614_combout\ = (\led_flash_cnt[1981][0]~q\ & (\led_flash_cnt[1981][1]~q\ $ (VCC))) # (!\led_flash_cnt[1981][0]~q\ & (\led_flash_cnt[1981][1]~q\ & VCC))
-- \led_flash_cnt[1981][1]~54615\ = CARRY((\led_flash_cnt[1981][0]~q\ & \led_flash_cnt[1981][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1981][0]~q\,
	datab => \led_flash_cnt[1981][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1981][1]~54614_combout\,
	cout => \led_flash_cnt[1981][1]~54615\);

-- Location: FF_X37_Y22_N1
\led_flash_cnt[1981][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1981][1]~54614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1981][1]~q\);

-- Location: LCCOMB_X37_Y22_N2
\led_flash_cnt[1981][2]~54616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1981][2]~54616_combout\ = (\led_flash_cnt[1981][2]~q\ & (!\led_flash_cnt[1981][1]~54615\)) # (!\led_flash_cnt[1981][2]~q\ & ((\led_flash_cnt[1981][1]~54615\) # (GND)))
-- \led_flash_cnt[1981][2]~54617\ = CARRY((!\led_flash_cnt[1981][1]~54615\) # (!\led_flash_cnt[1981][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1981][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1981][1]~54615\,
	combout => \led_flash_cnt[1981][2]~54616_combout\,
	cout => \led_flash_cnt[1981][2]~54617\);

-- Location: FF_X37_Y22_N3
\led_flash_cnt[1981][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1981][2]~54616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1981][2]~q\);

-- Location: LCCOMB_X37_Y22_N4
\led_flash_cnt[1981][3]~54618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1981][3]~54618_combout\ = (\led_flash_cnt[1981][3]~q\ & (\led_flash_cnt[1981][2]~54617\ $ (GND))) # (!\led_flash_cnt[1981][3]~q\ & (!\led_flash_cnt[1981][2]~54617\ & VCC))
-- \led_flash_cnt[1981][3]~54619\ = CARRY((\led_flash_cnt[1981][3]~q\ & !\led_flash_cnt[1981][2]~54617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1981][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1981][2]~54617\,
	combout => \led_flash_cnt[1981][3]~54618_combout\,
	cout => \led_flash_cnt[1981][3]~54619\);

-- Location: FF_X37_Y22_N5
\led_flash_cnt[1981][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1981][3]~54618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1981][3]~q\);

-- Location: LCCOMB_X37_Y22_N6
\led_flash_cnt[1981][4]~54620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1981][4]~54620_combout\ = (\led_flash_cnt[1981][4]~q\ & (!\led_flash_cnt[1981][3]~54619\)) # (!\led_flash_cnt[1981][4]~q\ & ((\led_flash_cnt[1981][3]~54619\) # (GND)))
-- \led_flash_cnt[1981][4]~54621\ = CARRY((!\led_flash_cnt[1981][3]~54619\) # (!\led_flash_cnt[1981][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1981][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1981][3]~54619\,
	combout => \led_flash_cnt[1981][4]~54620_combout\,
	cout => \led_flash_cnt[1981][4]~54621\);

-- Location: FF_X37_Y22_N7
\led_flash_cnt[1981][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1981][4]~54620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1981][4]~q\);

-- Location: LCCOMB_X37_Y22_N8
\led_flash_cnt[1981][5]~54622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1981][5]~54622_combout\ = (\led_flash_cnt[1981][5]~q\ & (\led_flash_cnt[1981][4]~54621\ $ (GND))) # (!\led_flash_cnt[1981][5]~q\ & (!\led_flash_cnt[1981][4]~54621\ & VCC))
-- \led_flash_cnt[1981][5]~54623\ = CARRY((\led_flash_cnt[1981][5]~q\ & !\led_flash_cnt[1981][4]~54621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1981][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1981][4]~54621\,
	combout => \led_flash_cnt[1981][5]~54622_combout\,
	cout => \led_flash_cnt[1981][5]~54623\);

-- Location: FF_X37_Y22_N9
\led_flash_cnt[1981][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1981][5]~54622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1981][5]~q\);

-- Location: LCCOMB_X37_Y22_N10
\led_flash_cnt[1981][6]~54624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1981][6]~54624_combout\ = (\led_flash_cnt[1981][6]~q\ & (!\led_flash_cnt[1981][5]~54623\)) # (!\led_flash_cnt[1981][6]~q\ & ((\led_flash_cnt[1981][5]~54623\) # (GND)))
-- \led_flash_cnt[1981][6]~54625\ = CARRY((!\led_flash_cnt[1981][5]~54623\) # (!\led_flash_cnt[1981][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1981][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1981][5]~54623\,
	combout => \led_flash_cnt[1981][6]~54624_combout\,
	cout => \led_flash_cnt[1981][6]~54625\);

-- Location: FF_X37_Y22_N11
\led_flash_cnt[1981][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1981][6]~54624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1981][6]~q\);

-- Location: LCCOMB_X37_Y21_N26
\WideAnd1981~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1981~1_combout\ = (\led_flash_cnt[1981][6]~q\ & \led_flash_cnt[1981][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1981][6]~q\,
	datad => \led_flash_cnt[1981][5]~q\,
	combout => \WideAnd1981~1_combout\);

-- Location: LCCOMB_X37_Y22_N12
\led_flash_cnt[1981][7]~54626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1981][7]~54626_combout\ = \led_flash_cnt[1981][6]~54625\ $ (!\led_flash_cnt[1981][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1981][7]~q\,
	cin => \led_flash_cnt[1981][6]~54625\,
	combout => \led_flash_cnt[1981][7]~54626_combout\);

-- Location: FF_X37_Y22_N13
\led_flash_cnt[1981][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1981][7]~54626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1981][7]~q\);

-- Location: LCCOMB_X37_Y22_N30
\WideAnd1981~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1981~0_combout\ = (\led_flash_cnt[1981][4]~q\ & (\led_flash_cnt[1981][2]~q\ & (\led_flash_cnt[1981][3]~q\ & \led_flash_cnt[1981][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1981][4]~q\,
	datab => \led_flash_cnt[1981][2]~q\,
	datac => \led_flash_cnt[1981][3]~q\,
	datad => \led_flash_cnt[1981][1]~q\,
	combout => \WideAnd1981~0_combout\);

-- Location: LCCOMB_X38_Y21_N18
WideAnd1981 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1981~combout\ = (\WideAnd1981~1_combout\ & (\led_flash_cnt[1981][7]~q\ & (\WideAnd1981~0_combout\ & \led_flash_cnt[1981][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1981~1_combout\,
	datab => \led_flash_cnt[1981][7]~q\,
	datac => \WideAnd1981~0_combout\,
	datad => \led_flash_cnt[1981][0]~q\,
	combout => \WideAnd1981~combout\);

-- Location: FF_X38_Y21_N19
\led_flash_cnt_ands[1981]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1981~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1981));

-- Location: LCCOMB_X38_Y21_N20
\WideAnd4087~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4087~1_combout\ = (led_flash_cnt_ands(1980) & led_flash_cnt_ands(1981))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1980),
	datad => led_flash_cnt_ands(1981),
	combout => \WideAnd4087~1_combout\);

-- Location: LCCOMB_X54_Y17_N26
\led_flash_cnt[1983][0]~82623\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1983][0]~82623_combout\ = !\led_flash_cnt[1983][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1983][0]~q\,
	combout => \led_flash_cnt[1983][0]~82623_combout\);

-- Location: FF_X54_Y17_N27
\led_flash_cnt[1983][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1983][0]~82623_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1983][0]~q\);

-- Location: LCCOMB_X54_Y17_N4
\led_flash_cnt[1983][1]~54642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1983][1]~54642_combout\ = (\led_flash_cnt[1983][0]~q\ & (\led_flash_cnt[1983][1]~q\ $ (VCC))) # (!\led_flash_cnt[1983][0]~q\ & (\led_flash_cnt[1983][1]~q\ & VCC))
-- \led_flash_cnt[1983][1]~54643\ = CARRY((\led_flash_cnt[1983][0]~q\ & \led_flash_cnt[1983][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1983][0]~q\,
	datab => \led_flash_cnt[1983][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1983][1]~54642_combout\,
	cout => \led_flash_cnt[1983][1]~54643\);

-- Location: FF_X54_Y17_N5
\led_flash_cnt[1983][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1983][1]~54642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1983][1]~q\);

-- Location: LCCOMB_X54_Y17_N6
\led_flash_cnt[1983][2]~54644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1983][2]~54644_combout\ = (\led_flash_cnt[1983][2]~q\ & (!\led_flash_cnt[1983][1]~54643\)) # (!\led_flash_cnt[1983][2]~q\ & ((\led_flash_cnt[1983][1]~54643\) # (GND)))
-- \led_flash_cnt[1983][2]~54645\ = CARRY((!\led_flash_cnt[1983][1]~54643\) # (!\led_flash_cnt[1983][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1983][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1983][1]~54643\,
	combout => \led_flash_cnt[1983][2]~54644_combout\,
	cout => \led_flash_cnt[1983][2]~54645\);

-- Location: FF_X54_Y17_N7
\led_flash_cnt[1983][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1983][2]~54644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1983][2]~q\);

-- Location: LCCOMB_X54_Y17_N8
\led_flash_cnt[1983][3]~54646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1983][3]~54646_combout\ = (\led_flash_cnt[1983][3]~q\ & (\led_flash_cnt[1983][2]~54645\ $ (GND))) # (!\led_flash_cnt[1983][3]~q\ & (!\led_flash_cnt[1983][2]~54645\ & VCC))
-- \led_flash_cnt[1983][3]~54647\ = CARRY((\led_flash_cnt[1983][3]~q\ & !\led_flash_cnt[1983][2]~54645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1983][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1983][2]~54645\,
	combout => \led_flash_cnt[1983][3]~54646_combout\,
	cout => \led_flash_cnt[1983][3]~54647\);

-- Location: FF_X54_Y17_N9
\led_flash_cnt[1983][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1983][3]~54646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1983][3]~q\);

-- Location: LCCOMB_X54_Y17_N10
\led_flash_cnt[1983][4]~54648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1983][4]~54648_combout\ = (\led_flash_cnt[1983][4]~q\ & (!\led_flash_cnt[1983][3]~54647\)) # (!\led_flash_cnt[1983][4]~q\ & ((\led_flash_cnt[1983][3]~54647\) # (GND)))
-- \led_flash_cnt[1983][4]~54649\ = CARRY((!\led_flash_cnt[1983][3]~54647\) # (!\led_flash_cnt[1983][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1983][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1983][3]~54647\,
	combout => \led_flash_cnt[1983][4]~54648_combout\,
	cout => \led_flash_cnt[1983][4]~54649\);

-- Location: FF_X54_Y17_N11
\led_flash_cnt[1983][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1983][4]~54648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1983][4]~q\);

-- Location: LCCOMB_X54_Y17_N12
\led_flash_cnt[1983][5]~54650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1983][5]~54650_combout\ = (\led_flash_cnt[1983][5]~q\ & (\led_flash_cnt[1983][4]~54649\ $ (GND))) # (!\led_flash_cnt[1983][5]~q\ & (!\led_flash_cnt[1983][4]~54649\ & VCC))
-- \led_flash_cnt[1983][5]~54651\ = CARRY((\led_flash_cnt[1983][5]~q\ & !\led_flash_cnt[1983][4]~54649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1983][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1983][4]~54649\,
	combout => \led_flash_cnt[1983][5]~54650_combout\,
	cout => \led_flash_cnt[1983][5]~54651\);

-- Location: FF_X54_Y17_N13
\led_flash_cnt[1983][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1983][5]~54650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1983][5]~q\);

-- Location: LCCOMB_X54_Y17_N14
\led_flash_cnt[1983][6]~54652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1983][6]~54652_combout\ = (\led_flash_cnt[1983][6]~q\ & (!\led_flash_cnt[1983][5]~54651\)) # (!\led_flash_cnt[1983][6]~q\ & ((\led_flash_cnt[1983][5]~54651\) # (GND)))
-- \led_flash_cnt[1983][6]~54653\ = CARRY((!\led_flash_cnt[1983][5]~54651\) # (!\led_flash_cnt[1983][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1983][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1983][5]~54651\,
	combout => \led_flash_cnt[1983][6]~54652_combout\,
	cout => \led_flash_cnt[1983][6]~54653\);

-- Location: FF_X54_Y17_N15
\led_flash_cnt[1983][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1983][6]~54652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1983][6]~q\);

-- Location: LCCOMB_X54_Y17_N16
\led_flash_cnt[1983][7]~54654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1983][7]~54654_combout\ = \led_flash_cnt[1983][6]~54653\ $ (!\led_flash_cnt[1983][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1983][7]~q\,
	cin => \led_flash_cnt[1983][6]~54653\,
	combout => \led_flash_cnt[1983][7]~54654_combout\);

-- Location: FF_X54_Y17_N17
\led_flash_cnt[1983][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1983][7]~54654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1983][7]~q\);

-- Location: LCCOMB_X54_Y17_N22
\WideAnd1983~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1983~1_combout\ = (\led_flash_cnt[1983][6]~q\ & \led_flash_cnt[1983][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1983][6]~q\,
	datad => \led_flash_cnt[1983][5]~q\,
	combout => \WideAnd1983~1_combout\);

-- Location: LCCOMB_X54_Y17_N18
\WideAnd1983~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1983~0_combout\ = (\led_flash_cnt[1983][4]~q\ & (\led_flash_cnt[1983][1]~q\ & (\led_flash_cnt[1983][3]~q\ & \led_flash_cnt[1983][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1983][4]~q\,
	datab => \led_flash_cnt[1983][1]~q\,
	datac => \led_flash_cnt[1983][3]~q\,
	datad => \led_flash_cnt[1983][2]~q\,
	combout => \WideAnd1983~0_combout\);

-- Location: LCCOMB_X54_Y17_N0
WideAnd1983 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1983~combout\ = (\led_flash_cnt[1983][0]~q\ & (\led_flash_cnt[1983][7]~q\ & (\WideAnd1983~1_combout\ & \WideAnd1983~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1983][0]~q\,
	datab => \led_flash_cnt[1983][7]~q\,
	datac => \WideAnd1983~1_combout\,
	datad => \WideAnd1983~0_combout\,
	combout => \WideAnd1983~combout\);

-- Location: FF_X54_Y17_N1
\led_flash_cnt_ands[1983]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1983~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1983));

-- Location: LCCOMB_X40_Y23_N6
\led_flash_cnt[1976][0]~82616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1976][0]~82616_combout\ = !\led_flash_cnt[1976][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1976][0]~q\,
	combout => \led_flash_cnt[1976][0]~82616_combout\);

-- Location: FF_X40_Y23_N7
\led_flash_cnt[1976][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1976][0]~82616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1976][0]~q\);

-- Location: LCCOMB_X41_Y23_N18
\led_flash_cnt[1976][1]~54544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1976][1]~54544_combout\ = (\led_flash_cnt[1976][0]~q\ & (\led_flash_cnt[1976][1]~q\ $ (VCC))) # (!\led_flash_cnt[1976][0]~q\ & (\led_flash_cnt[1976][1]~q\ & VCC))
-- \led_flash_cnt[1976][1]~54545\ = CARRY((\led_flash_cnt[1976][0]~q\ & \led_flash_cnt[1976][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1976][0]~q\,
	datab => \led_flash_cnt[1976][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1976][1]~54544_combout\,
	cout => \led_flash_cnt[1976][1]~54545\);

-- Location: FF_X41_Y23_N19
\led_flash_cnt[1976][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1976][1]~54544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1976][1]~q\);

-- Location: LCCOMB_X41_Y23_N20
\led_flash_cnt[1976][2]~54546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1976][2]~54546_combout\ = (\led_flash_cnt[1976][2]~q\ & (!\led_flash_cnt[1976][1]~54545\)) # (!\led_flash_cnt[1976][2]~q\ & ((\led_flash_cnt[1976][1]~54545\) # (GND)))
-- \led_flash_cnt[1976][2]~54547\ = CARRY((!\led_flash_cnt[1976][1]~54545\) # (!\led_flash_cnt[1976][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1976][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1976][1]~54545\,
	combout => \led_flash_cnt[1976][2]~54546_combout\,
	cout => \led_flash_cnt[1976][2]~54547\);

-- Location: FF_X41_Y23_N21
\led_flash_cnt[1976][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1976][2]~54546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1976][2]~q\);

-- Location: LCCOMB_X41_Y23_N22
\led_flash_cnt[1976][3]~54548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1976][3]~54548_combout\ = (\led_flash_cnt[1976][3]~q\ & (\led_flash_cnt[1976][2]~54547\ $ (GND))) # (!\led_flash_cnt[1976][3]~q\ & (!\led_flash_cnt[1976][2]~54547\ & VCC))
-- \led_flash_cnt[1976][3]~54549\ = CARRY((\led_flash_cnt[1976][3]~q\ & !\led_flash_cnt[1976][2]~54547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1976][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1976][2]~54547\,
	combout => \led_flash_cnt[1976][3]~54548_combout\,
	cout => \led_flash_cnt[1976][3]~54549\);

-- Location: FF_X41_Y23_N23
\led_flash_cnt[1976][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1976][3]~54548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1976][3]~q\);

-- Location: LCCOMB_X41_Y23_N24
\led_flash_cnt[1976][4]~54550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1976][4]~54550_combout\ = (\led_flash_cnt[1976][4]~q\ & (!\led_flash_cnt[1976][3]~54549\)) # (!\led_flash_cnt[1976][4]~q\ & ((\led_flash_cnt[1976][3]~54549\) # (GND)))
-- \led_flash_cnt[1976][4]~54551\ = CARRY((!\led_flash_cnt[1976][3]~54549\) # (!\led_flash_cnt[1976][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1976][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1976][3]~54549\,
	combout => \led_flash_cnt[1976][4]~54550_combout\,
	cout => \led_flash_cnt[1976][4]~54551\);

-- Location: FF_X41_Y23_N25
\led_flash_cnt[1976][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1976][4]~54550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1976][4]~q\);

-- Location: LCCOMB_X41_Y23_N26
\led_flash_cnt[1976][5]~54552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1976][5]~54552_combout\ = (\led_flash_cnt[1976][5]~q\ & (\led_flash_cnt[1976][4]~54551\ $ (GND))) # (!\led_flash_cnt[1976][5]~q\ & (!\led_flash_cnt[1976][4]~54551\ & VCC))
-- \led_flash_cnt[1976][5]~54553\ = CARRY((\led_flash_cnt[1976][5]~q\ & !\led_flash_cnt[1976][4]~54551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1976][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1976][4]~54551\,
	combout => \led_flash_cnt[1976][5]~54552_combout\,
	cout => \led_flash_cnt[1976][5]~54553\);

-- Location: FF_X41_Y23_N27
\led_flash_cnt[1976][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1976][5]~54552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1976][5]~q\);

-- Location: LCCOMB_X41_Y23_N28
\led_flash_cnt[1976][6]~54554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1976][6]~54554_combout\ = (\led_flash_cnt[1976][6]~q\ & (!\led_flash_cnt[1976][5]~54553\)) # (!\led_flash_cnt[1976][6]~q\ & ((\led_flash_cnt[1976][5]~54553\) # (GND)))
-- \led_flash_cnt[1976][6]~54555\ = CARRY((!\led_flash_cnt[1976][5]~54553\) # (!\led_flash_cnt[1976][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1976][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1976][5]~54553\,
	combout => \led_flash_cnt[1976][6]~54554_combout\,
	cout => \led_flash_cnt[1976][6]~54555\);

-- Location: FF_X41_Y23_N29
\led_flash_cnt[1976][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1976][6]~54554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1976][6]~q\);

-- Location: LCCOMB_X40_Y23_N22
\WideAnd1976~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1976~1_combout\ = (\led_flash_cnt[1976][6]~q\ & \led_flash_cnt[1976][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1976][6]~q\,
	datad => \led_flash_cnt[1976][5]~q\,
	combout => \WideAnd1976~1_combout\);

-- Location: LCCOMB_X41_Y23_N0
\WideAnd1976~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1976~0_combout\ = (\led_flash_cnt[1976][4]~q\ & (\led_flash_cnt[1976][2]~q\ & (\led_flash_cnt[1976][3]~q\ & \led_flash_cnt[1976][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1976][4]~q\,
	datab => \led_flash_cnt[1976][2]~q\,
	datac => \led_flash_cnt[1976][3]~q\,
	datad => \led_flash_cnt[1976][1]~q\,
	combout => \WideAnd1976~0_combout\);

-- Location: LCCOMB_X41_Y23_N30
\led_flash_cnt[1976][7]~54556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1976][7]~54556_combout\ = \led_flash_cnt[1976][7]~q\ $ (!\led_flash_cnt[1976][6]~54555\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1976][7]~q\,
	cin => \led_flash_cnt[1976][6]~54555\,
	combout => \led_flash_cnt[1976][7]~54556_combout\);

-- Location: FF_X41_Y23_N31
\led_flash_cnt[1976][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1976][7]~54556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1976][7]~q\);

-- Location: LCCOMB_X40_Y23_N26
WideAnd1976 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1976~combout\ = (\WideAnd1976~1_combout\ & (\WideAnd1976~0_combout\ & (\led_flash_cnt[1976][7]~q\ & \led_flash_cnt[1976][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1976~1_combout\,
	datab => \WideAnd1976~0_combout\,
	datac => \led_flash_cnt[1976][7]~q\,
	datad => \led_flash_cnt[1976][0]~q\,
	combout => \WideAnd1976~combout\);

-- Location: FF_X40_Y23_N27
\led_flash_cnt_ands[1976]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1976~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1976));

-- Location: LCCOMB_X47_Y14_N28
\led_flash_cnt[1977][0]~82617\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1977][0]~82617_combout\ = !\led_flash_cnt[1977][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1977][0]~q\,
	combout => \led_flash_cnt[1977][0]~82617_combout\);

-- Location: FF_X47_Y14_N29
\led_flash_cnt[1977][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1977][0]~82617_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1977][0]~q\);

-- Location: LCCOMB_X47_Y12_N18
\led_flash_cnt[1977][1]~54558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1977][1]~54558_combout\ = (\led_flash_cnt[1977][0]~q\ & (\led_flash_cnt[1977][1]~q\ $ (VCC))) # (!\led_flash_cnt[1977][0]~q\ & (\led_flash_cnt[1977][1]~q\ & VCC))
-- \led_flash_cnt[1977][1]~54559\ = CARRY((\led_flash_cnt[1977][0]~q\ & \led_flash_cnt[1977][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1977][0]~q\,
	datab => \led_flash_cnt[1977][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1977][1]~54558_combout\,
	cout => \led_flash_cnt[1977][1]~54559\);

-- Location: FF_X47_Y12_N19
\led_flash_cnt[1977][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1977][1]~54558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1977][1]~q\);

-- Location: LCCOMB_X47_Y12_N20
\led_flash_cnt[1977][2]~54560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1977][2]~54560_combout\ = (\led_flash_cnt[1977][2]~q\ & (!\led_flash_cnt[1977][1]~54559\)) # (!\led_flash_cnt[1977][2]~q\ & ((\led_flash_cnt[1977][1]~54559\) # (GND)))
-- \led_flash_cnt[1977][2]~54561\ = CARRY((!\led_flash_cnt[1977][1]~54559\) # (!\led_flash_cnt[1977][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1977][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1977][1]~54559\,
	combout => \led_flash_cnt[1977][2]~54560_combout\,
	cout => \led_flash_cnt[1977][2]~54561\);

-- Location: FF_X47_Y12_N21
\led_flash_cnt[1977][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1977][2]~54560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1977][2]~q\);

-- Location: LCCOMB_X47_Y12_N22
\led_flash_cnt[1977][3]~54562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1977][3]~54562_combout\ = (\led_flash_cnt[1977][3]~q\ & (\led_flash_cnt[1977][2]~54561\ $ (GND))) # (!\led_flash_cnt[1977][3]~q\ & (!\led_flash_cnt[1977][2]~54561\ & VCC))
-- \led_flash_cnt[1977][3]~54563\ = CARRY((\led_flash_cnt[1977][3]~q\ & !\led_flash_cnt[1977][2]~54561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1977][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1977][2]~54561\,
	combout => \led_flash_cnt[1977][3]~54562_combout\,
	cout => \led_flash_cnt[1977][3]~54563\);

-- Location: FF_X47_Y12_N23
\led_flash_cnt[1977][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1977][3]~54562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1977][3]~q\);

-- Location: LCCOMB_X47_Y12_N24
\led_flash_cnt[1977][4]~54564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1977][4]~54564_combout\ = (\led_flash_cnt[1977][4]~q\ & (!\led_flash_cnt[1977][3]~54563\)) # (!\led_flash_cnt[1977][4]~q\ & ((\led_flash_cnt[1977][3]~54563\) # (GND)))
-- \led_flash_cnt[1977][4]~54565\ = CARRY((!\led_flash_cnt[1977][3]~54563\) # (!\led_flash_cnt[1977][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1977][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1977][3]~54563\,
	combout => \led_flash_cnt[1977][4]~54564_combout\,
	cout => \led_flash_cnt[1977][4]~54565\);

-- Location: FF_X47_Y12_N25
\led_flash_cnt[1977][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1977][4]~54564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1977][4]~q\);

-- Location: LCCOMB_X47_Y12_N0
\WideAnd1977~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1977~0_combout\ = (\led_flash_cnt[1977][4]~q\ & (\led_flash_cnt[1977][2]~q\ & (\led_flash_cnt[1977][3]~q\ & \led_flash_cnt[1977][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1977][4]~q\,
	datab => \led_flash_cnt[1977][2]~q\,
	datac => \led_flash_cnt[1977][3]~q\,
	datad => \led_flash_cnt[1977][1]~q\,
	combout => \WideAnd1977~0_combout\);

-- Location: LCCOMB_X47_Y12_N26
\led_flash_cnt[1977][5]~54566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1977][5]~54566_combout\ = (\led_flash_cnt[1977][5]~q\ & (\led_flash_cnt[1977][4]~54565\ $ (GND))) # (!\led_flash_cnt[1977][5]~q\ & (!\led_flash_cnt[1977][4]~54565\ & VCC))
-- \led_flash_cnt[1977][5]~54567\ = CARRY((\led_flash_cnt[1977][5]~q\ & !\led_flash_cnt[1977][4]~54565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1977][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1977][4]~54565\,
	combout => \led_flash_cnt[1977][5]~54566_combout\,
	cout => \led_flash_cnt[1977][5]~54567\);

-- Location: FF_X47_Y12_N27
\led_flash_cnt[1977][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1977][5]~54566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1977][5]~q\);

-- Location: LCCOMB_X47_Y12_N28
\led_flash_cnt[1977][6]~54568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1977][6]~54568_combout\ = (\led_flash_cnt[1977][6]~q\ & (!\led_flash_cnt[1977][5]~54567\)) # (!\led_flash_cnt[1977][6]~q\ & ((\led_flash_cnt[1977][5]~54567\) # (GND)))
-- \led_flash_cnt[1977][6]~54569\ = CARRY((!\led_flash_cnt[1977][5]~54567\) # (!\led_flash_cnt[1977][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1977][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1977][5]~54567\,
	combout => \led_flash_cnt[1977][6]~54568_combout\,
	cout => \led_flash_cnt[1977][6]~54569\);

-- Location: FF_X47_Y12_N29
\led_flash_cnt[1977][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1977][6]~54568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1977][6]~q\);

-- Location: LCCOMB_X47_Y12_N30
\led_flash_cnt[1977][7]~54570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1977][7]~54570_combout\ = \led_flash_cnt[1977][7]~q\ $ (!\led_flash_cnt[1977][6]~54569\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1977][7]~q\,
	cin => \led_flash_cnt[1977][6]~54569\,
	combout => \led_flash_cnt[1977][7]~54570_combout\);

-- Location: FF_X47_Y12_N31
\led_flash_cnt[1977][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1977][7]~54570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1977][7]~q\);

-- Location: LCCOMB_X47_Y15_N2
\WideAnd1977~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1977~1_combout\ = (\led_flash_cnt[1977][6]~q\ & \led_flash_cnt[1977][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1977][6]~q\,
	datad => \led_flash_cnt[1977][5]~q\,
	combout => \WideAnd1977~1_combout\);

-- Location: LCCOMB_X47_Y15_N30
WideAnd1977 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1977~combout\ = (\led_flash_cnt[1977][0]~q\ & (\WideAnd1977~0_combout\ & (\led_flash_cnt[1977][7]~q\ & \WideAnd1977~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1977][0]~q\,
	datab => \WideAnd1977~0_combout\,
	datac => \led_flash_cnt[1977][7]~q\,
	datad => \WideAnd1977~1_combout\,
	combout => \WideAnd1977~combout\);

-- Location: FF_X47_Y15_N31
\led_flash_cnt_ands[1977]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1977~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1977));

-- Location: LCCOMB_X24_Y13_N10
\led_flash_cnt[1978][0]~82618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1978][0]~82618_combout\ = !\led_flash_cnt[1978][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1978][0]~q\,
	combout => \led_flash_cnt[1978][0]~82618_combout\);

-- Location: FF_X24_Y13_N11
\led_flash_cnt[1978][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1978][0]~82618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1978][0]~q\);

-- Location: LCCOMB_X19_Y13_N2
\led_flash_cnt[1978][1]~54572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1978][1]~54572_combout\ = (\led_flash_cnt[1978][0]~q\ & (\led_flash_cnt[1978][1]~q\ $ (VCC))) # (!\led_flash_cnt[1978][0]~q\ & (\led_flash_cnt[1978][1]~q\ & VCC))
-- \led_flash_cnt[1978][1]~54573\ = CARRY((\led_flash_cnt[1978][0]~q\ & \led_flash_cnt[1978][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1978][0]~q\,
	datab => \led_flash_cnt[1978][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1978][1]~54572_combout\,
	cout => \led_flash_cnt[1978][1]~54573\);

-- Location: FF_X19_Y13_N3
\led_flash_cnt[1978][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1978][1]~54572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1978][1]~q\);

-- Location: LCCOMB_X19_Y13_N4
\led_flash_cnt[1978][2]~54574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1978][2]~54574_combout\ = (\led_flash_cnt[1978][2]~q\ & (!\led_flash_cnt[1978][1]~54573\)) # (!\led_flash_cnt[1978][2]~q\ & ((\led_flash_cnt[1978][1]~54573\) # (GND)))
-- \led_flash_cnt[1978][2]~54575\ = CARRY((!\led_flash_cnt[1978][1]~54573\) # (!\led_flash_cnt[1978][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1978][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1978][1]~54573\,
	combout => \led_flash_cnt[1978][2]~54574_combout\,
	cout => \led_flash_cnt[1978][2]~54575\);

-- Location: FF_X19_Y13_N5
\led_flash_cnt[1978][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1978][2]~54574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1978][2]~q\);

-- Location: LCCOMB_X19_Y13_N6
\led_flash_cnt[1978][3]~54576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1978][3]~54576_combout\ = (\led_flash_cnt[1978][3]~q\ & (\led_flash_cnt[1978][2]~54575\ $ (GND))) # (!\led_flash_cnt[1978][3]~q\ & (!\led_flash_cnt[1978][2]~54575\ & VCC))
-- \led_flash_cnt[1978][3]~54577\ = CARRY((\led_flash_cnt[1978][3]~q\ & !\led_flash_cnt[1978][2]~54575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1978][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1978][2]~54575\,
	combout => \led_flash_cnt[1978][3]~54576_combout\,
	cout => \led_flash_cnt[1978][3]~54577\);

-- Location: FF_X19_Y13_N7
\led_flash_cnt[1978][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1978][3]~54576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1978][3]~q\);

-- Location: LCCOMB_X19_Y13_N8
\led_flash_cnt[1978][4]~54578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1978][4]~54578_combout\ = (\led_flash_cnt[1978][4]~q\ & (!\led_flash_cnt[1978][3]~54577\)) # (!\led_flash_cnt[1978][4]~q\ & ((\led_flash_cnt[1978][3]~54577\) # (GND)))
-- \led_flash_cnt[1978][4]~54579\ = CARRY((!\led_flash_cnt[1978][3]~54577\) # (!\led_flash_cnt[1978][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1978][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1978][3]~54577\,
	combout => \led_flash_cnt[1978][4]~54578_combout\,
	cout => \led_flash_cnt[1978][4]~54579\);

-- Location: FF_X19_Y13_N9
\led_flash_cnt[1978][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1978][4]~54578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1978][4]~q\);

-- Location: LCCOMB_X19_Y13_N10
\led_flash_cnt[1978][5]~54580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1978][5]~54580_combout\ = (\led_flash_cnt[1978][5]~q\ & (\led_flash_cnt[1978][4]~54579\ $ (GND))) # (!\led_flash_cnt[1978][5]~q\ & (!\led_flash_cnt[1978][4]~54579\ & VCC))
-- \led_flash_cnt[1978][5]~54581\ = CARRY((\led_flash_cnt[1978][5]~q\ & !\led_flash_cnt[1978][4]~54579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1978][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1978][4]~54579\,
	combout => \led_flash_cnt[1978][5]~54580_combout\,
	cout => \led_flash_cnt[1978][5]~54581\);

-- Location: FF_X19_Y13_N11
\led_flash_cnt[1978][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1978][5]~54580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1978][5]~q\);

-- Location: LCCOMB_X19_Y13_N12
\led_flash_cnt[1978][6]~54582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1978][6]~54582_combout\ = (\led_flash_cnt[1978][6]~q\ & (!\led_flash_cnt[1978][5]~54581\)) # (!\led_flash_cnt[1978][6]~q\ & ((\led_flash_cnt[1978][5]~54581\) # (GND)))
-- \led_flash_cnt[1978][6]~54583\ = CARRY((!\led_flash_cnt[1978][5]~54581\) # (!\led_flash_cnt[1978][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1978][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1978][5]~54581\,
	combout => \led_flash_cnt[1978][6]~54582_combout\,
	cout => \led_flash_cnt[1978][6]~54583\);

-- Location: FF_X19_Y13_N13
\led_flash_cnt[1978][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1978][6]~54582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1978][6]~q\);

-- Location: LCCOMB_X19_Y13_N14
\led_flash_cnt[1978][7]~54584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1978][7]~54584_combout\ = \led_flash_cnt[1978][7]~q\ $ (!\led_flash_cnt[1978][6]~54583\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1978][7]~q\,
	cin => \led_flash_cnt[1978][6]~54583\,
	combout => \led_flash_cnt[1978][7]~54584_combout\);

-- Location: FF_X19_Y13_N15
\led_flash_cnt[1978][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1978][7]~54584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1978][7]~q\);

-- Location: LCCOMB_X19_Y13_N30
\WideAnd1978~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1978~0_combout\ = (\led_flash_cnt[1978][3]~q\ & (\led_flash_cnt[1978][4]~q\ & (\led_flash_cnt[1978][2]~q\ & \led_flash_cnt[1978][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1978][3]~q\,
	datab => \led_flash_cnt[1978][4]~q\,
	datac => \led_flash_cnt[1978][2]~q\,
	datad => \led_flash_cnt[1978][1]~q\,
	combout => \WideAnd1978~0_combout\);

-- Location: LCCOMB_X20_Y13_N26
\WideAnd1978~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1978~1_combout\ = (\led_flash_cnt[1978][6]~q\ & \led_flash_cnt[1978][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1978][6]~q\,
	datad => \led_flash_cnt[1978][5]~q\,
	combout => \WideAnd1978~1_combout\);

-- Location: LCCOMB_X19_Y13_N0
WideAnd1978 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1978~combout\ = (\led_flash_cnt[1978][0]~q\ & (\led_flash_cnt[1978][7]~q\ & (\WideAnd1978~0_combout\ & \WideAnd1978~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1978][0]~q\,
	datab => \led_flash_cnt[1978][7]~q\,
	datac => \WideAnd1978~0_combout\,
	datad => \WideAnd1978~1_combout\,
	combout => \WideAnd1978~combout\);

-- Location: FF_X19_Y13_N1
\led_flash_cnt_ands[1978]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1978~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1978));

-- Location: LCCOMB_X40_Y23_N30
\led_flash_cnt[1979][0]~82619\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1979][0]~82619_combout\ = !\led_flash_cnt[1979][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1979][0]~q\,
	combout => \led_flash_cnt[1979][0]~82619_combout\);

-- Location: FF_X40_Y23_N31
\led_flash_cnt[1979][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1979][0]~82619_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1979][0]~q\);

-- Location: LCCOMB_X40_Y23_N8
\led_flash_cnt[1979][1]~54586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1979][1]~54586_combout\ = (\led_flash_cnt[1979][0]~q\ & (\led_flash_cnt[1979][1]~q\ $ (VCC))) # (!\led_flash_cnt[1979][0]~q\ & (\led_flash_cnt[1979][1]~q\ & VCC))
-- \led_flash_cnt[1979][1]~54587\ = CARRY((\led_flash_cnt[1979][0]~q\ & \led_flash_cnt[1979][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1979][0]~q\,
	datab => \led_flash_cnt[1979][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1979][1]~54586_combout\,
	cout => \led_flash_cnt[1979][1]~54587\);

-- Location: FF_X40_Y23_N9
\led_flash_cnt[1979][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1979][1]~54586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1979][1]~q\);

-- Location: LCCOMB_X40_Y23_N10
\led_flash_cnt[1979][2]~54588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1979][2]~54588_combout\ = (\led_flash_cnt[1979][2]~q\ & (!\led_flash_cnt[1979][1]~54587\)) # (!\led_flash_cnt[1979][2]~q\ & ((\led_flash_cnt[1979][1]~54587\) # (GND)))
-- \led_flash_cnt[1979][2]~54589\ = CARRY((!\led_flash_cnt[1979][1]~54587\) # (!\led_flash_cnt[1979][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1979][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1979][1]~54587\,
	combout => \led_flash_cnt[1979][2]~54588_combout\,
	cout => \led_flash_cnt[1979][2]~54589\);

-- Location: FF_X40_Y23_N11
\led_flash_cnt[1979][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1979][2]~54588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1979][2]~q\);

-- Location: LCCOMB_X40_Y23_N12
\led_flash_cnt[1979][3]~54590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1979][3]~54590_combout\ = (\led_flash_cnt[1979][3]~q\ & (\led_flash_cnt[1979][2]~54589\ $ (GND))) # (!\led_flash_cnt[1979][3]~q\ & (!\led_flash_cnt[1979][2]~54589\ & VCC))
-- \led_flash_cnt[1979][3]~54591\ = CARRY((\led_flash_cnt[1979][3]~q\ & !\led_flash_cnt[1979][2]~54589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1979][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1979][2]~54589\,
	combout => \led_flash_cnt[1979][3]~54590_combout\,
	cout => \led_flash_cnt[1979][3]~54591\);

-- Location: FF_X40_Y23_N13
\led_flash_cnt[1979][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1979][3]~54590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1979][3]~q\);

-- Location: LCCOMB_X40_Y23_N14
\led_flash_cnt[1979][4]~54592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1979][4]~54592_combout\ = (\led_flash_cnt[1979][4]~q\ & (!\led_flash_cnt[1979][3]~54591\)) # (!\led_flash_cnt[1979][4]~q\ & ((\led_flash_cnt[1979][3]~54591\) # (GND)))
-- \led_flash_cnt[1979][4]~54593\ = CARRY((!\led_flash_cnt[1979][3]~54591\) # (!\led_flash_cnt[1979][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1979][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1979][3]~54591\,
	combout => \led_flash_cnt[1979][4]~54592_combout\,
	cout => \led_flash_cnt[1979][4]~54593\);

-- Location: FF_X40_Y23_N15
\led_flash_cnt[1979][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1979][4]~54592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1979][4]~q\);

-- Location: LCCOMB_X40_Y23_N24
\WideAnd1979~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1979~0_combout\ = (\led_flash_cnt[1979][3]~q\ & (\led_flash_cnt[1979][1]~q\ & (\led_flash_cnt[1979][4]~q\ & \led_flash_cnt[1979][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1979][3]~q\,
	datab => \led_flash_cnt[1979][1]~q\,
	datac => \led_flash_cnt[1979][4]~q\,
	datad => \led_flash_cnt[1979][2]~q\,
	combout => \WideAnd1979~0_combout\);

-- Location: LCCOMB_X40_Y23_N16
\led_flash_cnt[1979][5]~54594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1979][5]~54594_combout\ = (\led_flash_cnt[1979][5]~q\ & (\led_flash_cnt[1979][4]~54593\ $ (GND))) # (!\led_flash_cnt[1979][5]~q\ & (!\led_flash_cnt[1979][4]~54593\ & VCC))
-- \led_flash_cnt[1979][5]~54595\ = CARRY((\led_flash_cnt[1979][5]~q\ & !\led_flash_cnt[1979][4]~54593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1979][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1979][4]~54593\,
	combout => \led_flash_cnt[1979][5]~54594_combout\,
	cout => \led_flash_cnt[1979][5]~54595\);

-- Location: FF_X40_Y23_N17
\led_flash_cnt[1979][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1979][5]~54594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1979][5]~q\);

-- Location: LCCOMB_X40_Y23_N18
\led_flash_cnt[1979][6]~54596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1979][6]~54596_combout\ = (\led_flash_cnt[1979][6]~q\ & (!\led_flash_cnt[1979][5]~54595\)) # (!\led_flash_cnt[1979][6]~q\ & ((\led_flash_cnt[1979][5]~54595\) # (GND)))
-- \led_flash_cnt[1979][6]~54597\ = CARRY((!\led_flash_cnt[1979][5]~54595\) # (!\led_flash_cnt[1979][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1979][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1979][5]~54595\,
	combout => \led_flash_cnt[1979][6]~54596_combout\,
	cout => \led_flash_cnt[1979][6]~54597\);

-- Location: FF_X40_Y23_N19
\led_flash_cnt[1979][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1979][6]~54596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1979][6]~q\);

-- Location: LCCOMB_X40_Y23_N4
\WideAnd1979~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1979~1_combout\ = (\led_flash_cnt[1979][6]~q\ & \led_flash_cnt[1979][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1979][6]~q\,
	datad => \led_flash_cnt[1979][5]~q\,
	combout => \WideAnd1979~1_combout\);

-- Location: LCCOMB_X40_Y23_N20
\led_flash_cnt[1979][7]~54598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1979][7]~54598_combout\ = \led_flash_cnt[1979][6]~54597\ $ (!\led_flash_cnt[1979][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1979][7]~q\,
	cin => \led_flash_cnt[1979][6]~54597\,
	combout => \led_flash_cnt[1979][7]~54598_combout\);

-- Location: FF_X40_Y23_N21
\led_flash_cnt[1979][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1979][7]~54598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1979][7]~q\);

-- Location: LCCOMB_X40_Y23_N28
WideAnd1979 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1979~combout\ = (\led_flash_cnt[1979][0]~q\ & (\WideAnd1979~0_combout\ & (\WideAnd1979~1_combout\ & \led_flash_cnt[1979][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1979][0]~q\,
	datab => \WideAnd1979~0_combout\,
	datac => \WideAnd1979~1_combout\,
	datad => \led_flash_cnt[1979][7]~q\,
	combout => \WideAnd1979~combout\);

-- Location: FF_X40_Y23_N29
\led_flash_cnt_ands[1979]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1979~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1979));

-- Location: LCCOMB_X40_Y23_N2
\WideAnd4087~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4087~0_combout\ = (led_flash_cnt_ands(1976) & (led_flash_cnt_ands(1977) & (led_flash_cnt_ands(1978) & led_flash_cnt_ands(1979))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1976),
	datab => led_flash_cnt_ands(1977),
	datac => led_flash_cnt_ands(1978),
	datad => led_flash_cnt_ands(1979),
	combout => \WideAnd4087~0_combout\);

-- Location: LCCOMB_X39_Y20_N0
WideAnd4087 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4087~combout\ = (led_flash_cnt_ands(1982) & (\WideAnd4087~1_combout\ & (led_flash_cnt_ands(1983) & \WideAnd4087~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1982),
	datab => \WideAnd4087~1_combout\,
	datac => led_flash_cnt_ands(1983),
	datad => \WideAnd4087~0_combout\,
	combout => \WideAnd4087~combout\);

-- Location: FF_X39_Y20_N1
\led_flash_cnt_ands_1[247]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4087~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(247));

-- Location: LCCOMB_X16_Y24_N0
\led_flash_cnt[1934][0]~82574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1934][0]~82574_combout\ = !\led_flash_cnt[1934][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1934][0]~q\,
	combout => \led_flash_cnt[1934][0]~82574_combout\);

-- Location: FF_X16_Y24_N1
\led_flash_cnt[1934][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1934][0]~82574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1934][0]~q\);

-- Location: LCCOMB_X16_Y24_N6
\led_flash_cnt[1934][1]~53956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1934][1]~53956_combout\ = (\led_flash_cnt[1934][1]~q\ & (\led_flash_cnt[1934][0]~q\ $ (VCC))) # (!\led_flash_cnt[1934][1]~q\ & (\led_flash_cnt[1934][0]~q\ & VCC))
-- \led_flash_cnt[1934][1]~53957\ = CARRY((\led_flash_cnt[1934][1]~q\ & \led_flash_cnt[1934][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1934][1]~q\,
	datab => \led_flash_cnt[1934][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1934][1]~53956_combout\,
	cout => \led_flash_cnt[1934][1]~53957\);

-- Location: FF_X16_Y24_N7
\led_flash_cnt[1934][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1934][1]~53956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1934][1]~q\);

-- Location: LCCOMB_X16_Y24_N8
\led_flash_cnt[1934][2]~53958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1934][2]~53958_combout\ = (\led_flash_cnt[1934][2]~q\ & (!\led_flash_cnt[1934][1]~53957\)) # (!\led_flash_cnt[1934][2]~q\ & ((\led_flash_cnt[1934][1]~53957\) # (GND)))
-- \led_flash_cnt[1934][2]~53959\ = CARRY((!\led_flash_cnt[1934][1]~53957\) # (!\led_flash_cnt[1934][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1934][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1934][1]~53957\,
	combout => \led_flash_cnt[1934][2]~53958_combout\,
	cout => \led_flash_cnt[1934][2]~53959\);

-- Location: FF_X16_Y24_N9
\led_flash_cnt[1934][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1934][2]~53958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1934][2]~q\);

-- Location: LCCOMB_X16_Y24_N10
\led_flash_cnt[1934][3]~53960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1934][3]~53960_combout\ = (\led_flash_cnt[1934][3]~q\ & (\led_flash_cnt[1934][2]~53959\ $ (GND))) # (!\led_flash_cnt[1934][3]~q\ & (!\led_flash_cnt[1934][2]~53959\ & VCC))
-- \led_flash_cnt[1934][3]~53961\ = CARRY((\led_flash_cnt[1934][3]~q\ & !\led_flash_cnt[1934][2]~53959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1934][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1934][2]~53959\,
	combout => \led_flash_cnt[1934][3]~53960_combout\,
	cout => \led_flash_cnt[1934][3]~53961\);

-- Location: FF_X16_Y24_N11
\led_flash_cnt[1934][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1934][3]~53960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1934][3]~q\);

-- Location: LCCOMB_X16_Y24_N12
\led_flash_cnt[1934][4]~53962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1934][4]~53962_combout\ = (\led_flash_cnt[1934][4]~q\ & (!\led_flash_cnt[1934][3]~53961\)) # (!\led_flash_cnt[1934][4]~q\ & ((\led_flash_cnt[1934][3]~53961\) # (GND)))
-- \led_flash_cnt[1934][4]~53963\ = CARRY((!\led_flash_cnt[1934][3]~53961\) # (!\led_flash_cnt[1934][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1934][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1934][3]~53961\,
	combout => \led_flash_cnt[1934][4]~53962_combout\,
	cout => \led_flash_cnt[1934][4]~53963\);

-- Location: FF_X16_Y24_N13
\led_flash_cnt[1934][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1934][4]~53962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1934][4]~q\);

-- Location: LCCOMB_X16_Y24_N14
\led_flash_cnt[1934][5]~53964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1934][5]~53964_combout\ = (\led_flash_cnt[1934][5]~q\ & (\led_flash_cnt[1934][4]~53963\ $ (GND))) # (!\led_flash_cnt[1934][5]~q\ & (!\led_flash_cnt[1934][4]~53963\ & VCC))
-- \led_flash_cnt[1934][5]~53965\ = CARRY((\led_flash_cnt[1934][5]~q\ & !\led_flash_cnt[1934][4]~53963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1934][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1934][4]~53963\,
	combout => \led_flash_cnt[1934][5]~53964_combout\,
	cout => \led_flash_cnt[1934][5]~53965\);

-- Location: FF_X16_Y24_N15
\led_flash_cnt[1934][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1934][5]~53964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1934][5]~q\);

-- Location: LCCOMB_X16_Y24_N16
\led_flash_cnt[1934][6]~53966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1934][6]~53966_combout\ = (\led_flash_cnt[1934][6]~q\ & (!\led_flash_cnt[1934][5]~53965\)) # (!\led_flash_cnt[1934][6]~q\ & ((\led_flash_cnt[1934][5]~53965\) # (GND)))
-- \led_flash_cnt[1934][6]~53967\ = CARRY((!\led_flash_cnt[1934][5]~53965\) # (!\led_flash_cnt[1934][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1934][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1934][5]~53965\,
	combout => \led_flash_cnt[1934][6]~53966_combout\,
	cout => \led_flash_cnt[1934][6]~53967\);

-- Location: FF_X16_Y24_N17
\led_flash_cnt[1934][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1934][6]~53966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1934][6]~q\);

-- Location: LCCOMB_X16_Y24_N22
\WideAnd1934~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1934~1_combout\ = (\led_flash_cnt[1934][5]~q\ & \led_flash_cnt[1934][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1934][5]~q\,
	datad => \led_flash_cnt[1934][6]~q\,
	combout => \WideAnd1934~1_combout\);

-- Location: LCCOMB_X16_Y24_N4
\WideAnd1934~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1934~0_combout\ = (\led_flash_cnt[1934][1]~q\ & (\led_flash_cnt[1934][4]~q\ & (\led_flash_cnt[1934][2]~q\ & \led_flash_cnt[1934][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1934][1]~q\,
	datab => \led_flash_cnt[1934][4]~q\,
	datac => \led_flash_cnt[1934][2]~q\,
	datad => \led_flash_cnt[1934][3]~q\,
	combout => \WideAnd1934~0_combout\);

-- Location: LCCOMB_X16_Y24_N18
\led_flash_cnt[1934][7]~53968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1934][7]~53968_combout\ = \led_flash_cnt[1934][6]~53967\ $ (!\led_flash_cnt[1934][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1934][7]~q\,
	cin => \led_flash_cnt[1934][6]~53967\,
	combout => \led_flash_cnt[1934][7]~53968_combout\);

-- Location: FF_X16_Y24_N19
\led_flash_cnt[1934][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1934][7]~53968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1934][7]~q\);

-- Location: LCCOMB_X16_Y24_N26
WideAnd1934 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1934~combout\ = (\WideAnd1934~1_combout\ & (\led_flash_cnt[1934][0]~q\ & (\WideAnd1934~0_combout\ & \led_flash_cnt[1934][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1934~1_combout\,
	datab => \led_flash_cnt[1934][0]~q\,
	datac => \WideAnd1934~0_combout\,
	datad => \led_flash_cnt[1934][7]~q\,
	combout => \WideAnd1934~combout\);

-- Location: FF_X16_Y24_N27
\led_flash_cnt_ands[1934]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1934~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1934));

-- Location: LCCOMB_X16_Y24_N2
\led_flash_cnt[1935][0]~82575\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1935][0]~82575_combout\ = !\led_flash_cnt[1935][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1935][0]~q\,
	combout => \led_flash_cnt[1935][0]~82575_combout\);

-- Location: FF_X16_Y24_N3
\led_flash_cnt[1935][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1935][0]~82575_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1935][0]~q\);

-- Location: LCCOMB_X15_Y24_N4
\led_flash_cnt[1935][1]~53970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1935][1]~53970_combout\ = (\led_flash_cnt[1935][0]~q\ & (\led_flash_cnt[1935][1]~q\ $ (VCC))) # (!\led_flash_cnt[1935][0]~q\ & (\led_flash_cnt[1935][1]~q\ & VCC))
-- \led_flash_cnt[1935][1]~53971\ = CARRY((\led_flash_cnt[1935][0]~q\ & \led_flash_cnt[1935][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1935][0]~q\,
	datab => \led_flash_cnt[1935][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1935][1]~53970_combout\,
	cout => \led_flash_cnt[1935][1]~53971\);

-- Location: FF_X15_Y24_N5
\led_flash_cnt[1935][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1935][1]~53970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1935][1]~q\);

-- Location: LCCOMB_X15_Y24_N6
\led_flash_cnt[1935][2]~53972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1935][2]~53972_combout\ = (\led_flash_cnt[1935][2]~q\ & (!\led_flash_cnt[1935][1]~53971\)) # (!\led_flash_cnt[1935][2]~q\ & ((\led_flash_cnt[1935][1]~53971\) # (GND)))
-- \led_flash_cnt[1935][2]~53973\ = CARRY((!\led_flash_cnt[1935][1]~53971\) # (!\led_flash_cnt[1935][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1935][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1935][1]~53971\,
	combout => \led_flash_cnt[1935][2]~53972_combout\,
	cout => \led_flash_cnt[1935][2]~53973\);

-- Location: FF_X15_Y24_N7
\led_flash_cnt[1935][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1935][2]~53972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1935][2]~q\);

-- Location: LCCOMB_X15_Y24_N8
\led_flash_cnt[1935][3]~53974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1935][3]~53974_combout\ = (\led_flash_cnt[1935][3]~q\ & (\led_flash_cnt[1935][2]~53973\ $ (GND))) # (!\led_flash_cnt[1935][3]~q\ & (!\led_flash_cnt[1935][2]~53973\ & VCC))
-- \led_flash_cnt[1935][3]~53975\ = CARRY((\led_flash_cnt[1935][3]~q\ & !\led_flash_cnt[1935][2]~53973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1935][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1935][2]~53973\,
	combout => \led_flash_cnt[1935][3]~53974_combout\,
	cout => \led_flash_cnt[1935][3]~53975\);

-- Location: FF_X15_Y24_N9
\led_flash_cnt[1935][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1935][3]~53974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1935][3]~q\);

-- Location: LCCOMB_X15_Y24_N10
\led_flash_cnt[1935][4]~53976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1935][4]~53976_combout\ = (\led_flash_cnt[1935][4]~q\ & (!\led_flash_cnt[1935][3]~53975\)) # (!\led_flash_cnt[1935][4]~q\ & ((\led_flash_cnt[1935][3]~53975\) # (GND)))
-- \led_flash_cnt[1935][4]~53977\ = CARRY((!\led_flash_cnt[1935][3]~53975\) # (!\led_flash_cnt[1935][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1935][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1935][3]~53975\,
	combout => \led_flash_cnt[1935][4]~53976_combout\,
	cout => \led_flash_cnt[1935][4]~53977\);

-- Location: FF_X15_Y24_N11
\led_flash_cnt[1935][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1935][4]~53976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1935][4]~q\);

-- Location: LCCOMB_X15_Y24_N2
\WideAnd1935~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1935~0_combout\ = (\led_flash_cnt[1935][4]~q\ & (\led_flash_cnt[1935][1]~q\ & (\led_flash_cnt[1935][3]~q\ & \led_flash_cnt[1935][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1935][4]~q\,
	datab => \led_flash_cnt[1935][1]~q\,
	datac => \led_flash_cnt[1935][3]~q\,
	datad => \led_flash_cnt[1935][2]~q\,
	combout => \WideAnd1935~0_combout\);

-- Location: LCCOMB_X15_Y24_N12
\led_flash_cnt[1935][5]~53978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1935][5]~53978_combout\ = (\led_flash_cnt[1935][5]~q\ & (\led_flash_cnt[1935][4]~53977\ $ (GND))) # (!\led_flash_cnt[1935][5]~q\ & (!\led_flash_cnt[1935][4]~53977\ & VCC))
-- \led_flash_cnt[1935][5]~53979\ = CARRY((\led_flash_cnt[1935][5]~q\ & !\led_flash_cnt[1935][4]~53977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1935][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1935][4]~53977\,
	combout => \led_flash_cnt[1935][5]~53978_combout\,
	cout => \led_flash_cnt[1935][5]~53979\);

-- Location: FF_X15_Y24_N13
\led_flash_cnt[1935][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1935][5]~53978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1935][5]~q\);

-- Location: LCCOMB_X15_Y24_N14
\led_flash_cnt[1935][6]~53980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1935][6]~53980_combout\ = (\led_flash_cnt[1935][6]~q\ & (!\led_flash_cnt[1935][5]~53979\)) # (!\led_flash_cnt[1935][6]~q\ & ((\led_flash_cnt[1935][5]~53979\) # (GND)))
-- \led_flash_cnt[1935][6]~53981\ = CARRY((!\led_flash_cnt[1935][5]~53979\) # (!\led_flash_cnt[1935][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1935][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1935][5]~53979\,
	combout => \led_flash_cnt[1935][6]~53980_combout\,
	cout => \led_flash_cnt[1935][6]~53981\);

-- Location: FF_X15_Y24_N15
\led_flash_cnt[1935][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1935][6]~53980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1935][6]~q\);

-- Location: LCCOMB_X16_Y24_N24
\WideAnd1935~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1935~1_combout\ = (\led_flash_cnt[1935][5]~q\ & \led_flash_cnt[1935][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1935][5]~q\,
	datad => \led_flash_cnt[1935][6]~q\,
	combout => \WideAnd1935~1_combout\);

-- Location: LCCOMB_X15_Y24_N16
\led_flash_cnt[1935][7]~53982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1935][7]~53982_combout\ = \led_flash_cnt[1935][6]~53981\ $ (!\led_flash_cnt[1935][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1935][7]~q\,
	cin => \led_flash_cnt[1935][6]~53981\,
	combout => \led_flash_cnt[1935][7]~53982_combout\);

-- Location: FF_X15_Y24_N17
\led_flash_cnt[1935][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1935][7]~53982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1935][7]~q\);

-- Location: LCCOMB_X16_Y24_N28
WideAnd1935 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1935~combout\ = (\WideAnd1935~0_combout\ & (\WideAnd1935~1_combout\ & (\led_flash_cnt[1935][7]~q\ & \led_flash_cnt[1935][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1935~0_combout\,
	datab => \WideAnd1935~1_combout\,
	datac => \led_flash_cnt[1935][7]~q\,
	datad => \led_flash_cnt[1935][0]~q\,
	combout => \WideAnd1935~combout\);

-- Location: FF_X16_Y24_N29
\led_flash_cnt_ands[1935]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1935~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1935));

-- Location: LCCOMB_X12_Y19_N2
\led_flash_cnt[1928][0]~82568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1928][0]~82568_combout\ = !\led_flash_cnt[1928][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1928][0]~q\,
	combout => \led_flash_cnt[1928][0]~82568_combout\);

-- Location: FF_X12_Y19_N3
\led_flash_cnt[1928][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1928][0]~82568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1928][0]~q\);

-- Location: LCCOMB_X18_Y19_N0
\led_flash_cnt[1928][1]~53872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1928][1]~53872_combout\ = (\led_flash_cnt[1928][0]~q\ & (\led_flash_cnt[1928][1]~q\ $ (VCC))) # (!\led_flash_cnt[1928][0]~q\ & (\led_flash_cnt[1928][1]~q\ & VCC))
-- \led_flash_cnt[1928][1]~53873\ = CARRY((\led_flash_cnt[1928][0]~q\ & \led_flash_cnt[1928][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1928][0]~q\,
	datab => \led_flash_cnt[1928][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1928][1]~53872_combout\,
	cout => \led_flash_cnt[1928][1]~53873\);

-- Location: FF_X18_Y19_N1
\led_flash_cnt[1928][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1928][1]~53872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1928][1]~q\);

-- Location: LCCOMB_X18_Y19_N2
\led_flash_cnt[1928][2]~53874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1928][2]~53874_combout\ = (\led_flash_cnt[1928][2]~q\ & (!\led_flash_cnt[1928][1]~53873\)) # (!\led_flash_cnt[1928][2]~q\ & ((\led_flash_cnt[1928][1]~53873\) # (GND)))
-- \led_flash_cnt[1928][2]~53875\ = CARRY((!\led_flash_cnt[1928][1]~53873\) # (!\led_flash_cnt[1928][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1928][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1928][1]~53873\,
	combout => \led_flash_cnt[1928][2]~53874_combout\,
	cout => \led_flash_cnt[1928][2]~53875\);

-- Location: FF_X18_Y19_N3
\led_flash_cnt[1928][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1928][2]~53874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1928][2]~q\);

-- Location: LCCOMB_X18_Y19_N4
\led_flash_cnt[1928][3]~53876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1928][3]~53876_combout\ = (\led_flash_cnt[1928][3]~q\ & (\led_flash_cnt[1928][2]~53875\ $ (GND))) # (!\led_flash_cnt[1928][3]~q\ & (!\led_flash_cnt[1928][2]~53875\ & VCC))
-- \led_flash_cnt[1928][3]~53877\ = CARRY((\led_flash_cnt[1928][3]~q\ & !\led_flash_cnt[1928][2]~53875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1928][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1928][2]~53875\,
	combout => \led_flash_cnt[1928][3]~53876_combout\,
	cout => \led_flash_cnt[1928][3]~53877\);

-- Location: FF_X18_Y19_N5
\led_flash_cnt[1928][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1928][3]~53876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1928][3]~q\);

-- Location: LCCOMB_X18_Y19_N6
\led_flash_cnt[1928][4]~53878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1928][4]~53878_combout\ = (\led_flash_cnt[1928][4]~q\ & (!\led_flash_cnt[1928][3]~53877\)) # (!\led_flash_cnt[1928][4]~q\ & ((\led_flash_cnt[1928][3]~53877\) # (GND)))
-- \led_flash_cnt[1928][4]~53879\ = CARRY((!\led_flash_cnt[1928][3]~53877\) # (!\led_flash_cnt[1928][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1928][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1928][3]~53877\,
	combout => \led_flash_cnt[1928][4]~53878_combout\,
	cout => \led_flash_cnt[1928][4]~53879\);

-- Location: FF_X18_Y19_N7
\led_flash_cnt[1928][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1928][4]~53878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1928][4]~q\);

-- Location: LCCOMB_X18_Y19_N14
\WideAnd1928~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1928~0_combout\ = (\led_flash_cnt[1928][4]~q\ & (\led_flash_cnt[1928][1]~q\ & (\led_flash_cnt[1928][3]~q\ & \led_flash_cnt[1928][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1928][4]~q\,
	datab => \led_flash_cnt[1928][1]~q\,
	datac => \led_flash_cnt[1928][3]~q\,
	datad => \led_flash_cnt[1928][2]~q\,
	combout => \WideAnd1928~0_combout\);

-- Location: LCCOMB_X18_Y19_N8
\led_flash_cnt[1928][5]~53880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1928][5]~53880_combout\ = (\led_flash_cnt[1928][5]~q\ & (\led_flash_cnt[1928][4]~53879\ $ (GND))) # (!\led_flash_cnt[1928][5]~q\ & (!\led_flash_cnt[1928][4]~53879\ & VCC))
-- \led_flash_cnt[1928][5]~53881\ = CARRY((\led_flash_cnt[1928][5]~q\ & !\led_flash_cnt[1928][4]~53879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1928][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1928][4]~53879\,
	combout => \led_flash_cnt[1928][5]~53880_combout\,
	cout => \led_flash_cnt[1928][5]~53881\);

-- Location: FF_X18_Y19_N9
\led_flash_cnt[1928][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1928][5]~53880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1928][5]~q\);

-- Location: LCCOMB_X18_Y19_N10
\led_flash_cnt[1928][6]~53882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1928][6]~53882_combout\ = (\led_flash_cnt[1928][6]~q\ & (!\led_flash_cnt[1928][5]~53881\)) # (!\led_flash_cnt[1928][6]~q\ & ((\led_flash_cnt[1928][5]~53881\) # (GND)))
-- \led_flash_cnt[1928][6]~53883\ = CARRY((!\led_flash_cnt[1928][5]~53881\) # (!\led_flash_cnt[1928][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1928][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1928][5]~53881\,
	combout => \led_flash_cnt[1928][6]~53882_combout\,
	cout => \led_flash_cnt[1928][6]~53883\);

-- Location: FF_X18_Y19_N11
\led_flash_cnt[1928][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1928][6]~53882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1928][6]~q\);

-- Location: LCCOMB_X19_Y19_N28
\WideAnd1928~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1928~1_combout\ = (\led_flash_cnt[1928][6]~q\ & \led_flash_cnt[1928][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1928][6]~q\,
	datad => \led_flash_cnt[1928][5]~q\,
	combout => \WideAnd1928~1_combout\);

-- Location: LCCOMB_X18_Y19_N12
\led_flash_cnt[1928][7]~53884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1928][7]~53884_combout\ = \led_flash_cnt[1928][6]~53883\ $ (!\led_flash_cnt[1928][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1928][7]~q\,
	cin => \led_flash_cnt[1928][6]~53883\,
	combout => \led_flash_cnt[1928][7]~53884_combout\);

-- Location: FF_X18_Y19_N13
\led_flash_cnt[1928][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1928][7]~53884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1928][7]~q\);

-- Location: LCCOMB_X19_Y19_N30
WideAnd1928 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1928~combout\ = (\WideAnd1928~0_combout\ & (\WideAnd1928~1_combout\ & (\led_flash_cnt[1928][0]~q\ & \led_flash_cnt[1928][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1928~0_combout\,
	datab => \WideAnd1928~1_combout\,
	datac => \led_flash_cnt[1928][0]~q\,
	datad => \led_flash_cnt[1928][7]~q\,
	combout => \WideAnd1928~combout\);

-- Location: FF_X19_Y19_N31
\led_flash_cnt_ands[1928]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1928~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1928));

-- Location: LCCOMB_X19_Y19_N20
\led_flash_cnt[1931][0]~82571\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1931][0]~82571_combout\ = !\led_flash_cnt[1931][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1931][0]~q\,
	combout => \led_flash_cnt[1931][0]~82571_combout\);

-- Location: FF_X19_Y19_N21
\led_flash_cnt[1931][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1931][0]~82571_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1931][0]~q\);

-- Location: LCCOMB_X19_Y19_N0
\led_flash_cnt[1931][1]~53914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1931][1]~53914_combout\ = (\led_flash_cnt[1931][1]~q\ & (\led_flash_cnt[1931][0]~q\ $ (VCC))) # (!\led_flash_cnt[1931][1]~q\ & (\led_flash_cnt[1931][0]~q\ & VCC))
-- \led_flash_cnt[1931][1]~53915\ = CARRY((\led_flash_cnt[1931][1]~q\ & \led_flash_cnt[1931][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1931][1]~q\,
	datab => \led_flash_cnt[1931][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1931][1]~53914_combout\,
	cout => \led_flash_cnt[1931][1]~53915\);

-- Location: FF_X19_Y19_N1
\led_flash_cnt[1931][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1931][1]~53914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1931][1]~q\);

-- Location: LCCOMB_X19_Y19_N2
\led_flash_cnt[1931][2]~53916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1931][2]~53916_combout\ = (\led_flash_cnt[1931][2]~q\ & (!\led_flash_cnt[1931][1]~53915\)) # (!\led_flash_cnt[1931][2]~q\ & ((\led_flash_cnt[1931][1]~53915\) # (GND)))
-- \led_flash_cnt[1931][2]~53917\ = CARRY((!\led_flash_cnt[1931][1]~53915\) # (!\led_flash_cnt[1931][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1931][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1931][1]~53915\,
	combout => \led_flash_cnt[1931][2]~53916_combout\,
	cout => \led_flash_cnt[1931][2]~53917\);

-- Location: FF_X19_Y19_N3
\led_flash_cnt[1931][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1931][2]~53916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1931][2]~q\);

-- Location: LCCOMB_X19_Y19_N4
\led_flash_cnt[1931][3]~53918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1931][3]~53918_combout\ = (\led_flash_cnt[1931][3]~q\ & (\led_flash_cnt[1931][2]~53917\ $ (GND))) # (!\led_flash_cnt[1931][3]~q\ & (!\led_flash_cnt[1931][2]~53917\ & VCC))
-- \led_flash_cnt[1931][3]~53919\ = CARRY((\led_flash_cnt[1931][3]~q\ & !\led_flash_cnt[1931][2]~53917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1931][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1931][2]~53917\,
	combout => \led_flash_cnt[1931][3]~53918_combout\,
	cout => \led_flash_cnt[1931][3]~53919\);

-- Location: FF_X19_Y19_N5
\led_flash_cnt[1931][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1931][3]~53918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1931][3]~q\);

-- Location: LCCOMB_X19_Y19_N6
\led_flash_cnt[1931][4]~53920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1931][4]~53920_combout\ = (\led_flash_cnt[1931][4]~q\ & (!\led_flash_cnt[1931][3]~53919\)) # (!\led_flash_cnt[1931][4]~q\ & ((\led_flash_cnt[1931][3]~53919\) # (GND)))
-- \led_flash_cnt[1931][4]~53921\ = CARRY((!\led_flash_cnt[1931][3]~53919\) # (!\led_flash_cnt[1931][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1931][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1931][3]~53919\,
	combout => \led_flash_cnt[1931][4]~53920_combout\,
	cout => \led_flash_cnt[1931][4]~53921\);

-- Location: FF_X19_Y19_N7
\led_flash_cnt[1931][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1931][4]~53920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1931][4]~q\);

-- Location: LCCOMB_X19_Y19_N8
\led_flash_cnt[1931][5]~53922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1931][5]~53922_combout\ = (\led_flash_cnt[1931][5]~q\ & (\led_flash_cnt[1931][4]~53921\ $ (GND))) # (!\led_flash_cnt[1931][5]~q\ & (!\led_flash_cnt[1931][4]~53921\ & VCC))
-- \led_flash_cnt[1931][5]~53923\ = CARRY((\led_flash_cnt[1931][5]~q\ & !\led_flash_cnt[1931][4]~53921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1931][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1931][4]~53921\,
	combout => \led_flash_cnt[1931][5]~53922_combout\,
	cout => \led_flash_cnt[1931][5]~53923\);

-- Location: FF_X19_Y19_N9
\led_flash_cnt[1931][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1931][5]~53922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1931][5]~q\);

-- Location: LCCOMB_X19_Y19_N10
\led_flash_cnt[1931][6]~53924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1931][6]~53924_combout\ = (\led_flash_cnt[1931][6]~q\ & (!\led_flash_cnt[1931][5]~53923\)) # (!\led_flash_cnt[1931][6]~q\ & ((\led_flash_cnt[1931][5]~53923\) # (GND)))
-- \led_flash_cnt[1931][6]~53925\ = CARRY((!\led_flash_cnt[1931][5]~53923\) # (!\led_flash_cnt[1931][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1931][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1931][5]~53923\,
	combout => \led_flash_cnt[1931][6]~53924_combout\,
	cout => \led_flash_cnt[1931][6]~53925\);

-- Location: FF_X19_Y19_N11
\led_flash_cnt[1931][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1931][6]~53924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1931][6]~q\);

-- Location: LCCOMB_X19_Y19_N12
\led_flash_cnt[1931][7]~53926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1931][7]~53926_combout\ = \led_flash_cnt[1931][6]~53925\ $ (!\led_flash_cnt[1931][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1931][7]~q\,
	cin => \led_flash_cnt[1931][6]~53925\,
	combout => \led_flash_cnt[1931][7]~53926_combout\);

-- Location: FF_X19_Y19_N13
\led_flash_cnt[1931][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1931][7]~53926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1931][7]~q\);

-- Location: LCCOMB_X19_Y19_N16
\WideAnd1931~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1931~1_combout\ = (\led_flash_cnt[1931][5]~q\ & \led_flash_cnt[1931][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1931][5]~q\,
	datad => \led_flash_cnt[1931][6]~q\,
	combout => \WideAnd1931~1_combout\);

-- Location: LCCOMB_X19_Y19_N22
\WideAnd1931~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1931~0_combout\ = (\led_flash_cnt[1931][4]~q\ & (\led_flash_cnt[1931][1]~q\ & (\led_flash_cnt[1931][3]~q\ & \led_flash_cnt[1931][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1931][4]~q\,
	datab => \led_flash_cnt[1931][1]~q\,
	datac => \led_flash_cnt[1931][3]~q\,
	datad => \led_flash_cnt[1931][2]~q\,
	combout => \WideAnd1931~0_combout\);

-- Location: LCCOMB_X19_Y19_N18
WideAnd1931 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1931~combout\ = (\led_flash_cnt[1931][7]~q\ & (\WideAnd1931~1_combout\ & (\WideAnd1931~0_combout\ & \led_flash_cnt[1931][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1931][7]~q\,
	datab => \WideAnd1931~1_combout\,
	datac => \WideAnd1931~0_combout\,
	datad => \led_flash_cnt[1931][0]~q\,
	combout => \WideAnd1931~combout\);

-- Location: FF_X19_Y19_N19
\led_flash_cnt_ands[1931]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1931~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1931));

-- Location: LCCOMB_X26_Y16_N10
\led_flash_cnt[1929][0]~82569\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1929][0]~82569_combout\ = !\led_flash_cnt[1929][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1929][0]~q\,
	combout => \led_flash_cnt[1929][0]~82569_combout\);

-- Location: FF_X26_Y16_N11
\led_flash_cnt[1929][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1929][0]~82569_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1929][0]~q\);

-- Location: LCCOMB_X26_Y16_N16
\led_flash_cnt[1929][1]~53886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1929][1]~53886_combout\ = (\led_flash_cnt[1929][0]~q\ & (\led_flash_cnt[1929][1]~q\ $ (VCC))) # (!\led_flash_cnt[1929][0]~q\ & (\led_flash_cnt[1929][1]~q\ & VCC))
-- \led_flash_cnt[1929][1]~53887\ = CARRY((\led_flash_cnt[1929][0]~q\ & \led_flash_cnt[1929][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1929][0]~q\,
	datab => \led_flash_cnt[1929][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1929][1]~53886_combout\,
	cout => \led_flash_cnt[1929][1]~53887\);

-- Location: FF_X26_Y16_N17
\led_flash_cnt[1929][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1929][1]~53886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1929][1]~q\);

-- Location: LCCOMB_X26_Y16_N18
\led_flash_cnt[1929][2]~53888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1929][2]~53888_combout\ = (\led_flash_cnt[1929][2]~q\ & (!\led_flash_cnt[1929][1]~53887\)) # (!\led_flash_cnt[1929][2]~q\ & ((\led_flash_cnt[1929][1]~53887\) # (GND)))
-- \led_flash_cnt[1929][2]~53889\ = CARRY((!\led_flash_cnt[1929][1]~53887\) # (!\led_flash_cnt[1929][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1929][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1929][1]~53887\,
	combout => \led_flash_cnt[1929][2]~53888_combout\,
	cout => \led_flash_cnt[1929][2]~53889\);

-- Location: FF_X26_Y16_N19
\led_flash_cnt[1929][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1929][2]~53888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1929][2]~q\);

-- Location: LCCOMB_X26_Y16_N20
\led_flash_cnt[1929][3]~53890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1929][3]~53890_combout\ = (\led_flash_cnt[1929][3]~q\ & (\led_flash_cnt[1929][2]~53889\ $ (GND))) # (!\led_flash_cnt[1929][3]~q\ & (!\led_flash_cnt[1929][2]~53889\ & VCC))
-- \led_flash_cnt[1929][3]~53891\ = CARRY((\led_flash_cnt[1929][3]~q\ & !\led_flash_cnt[1929][2]~53889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1929][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1929][2]~53889\,
	combout => \led_flash_cnt[1929][3]~53890_combout\,
	cout => \led_flash_cnt[1929][3]~53891\);

-- Location: FF_X26_Y16_N21
\led_flash_cnt[1929][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1929][3]~53890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1929][3]~q\);

-- Location: LCCOMB_X26_Y16_N22
\led_flash_cnt[1929][4]~53892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1929][4]~53892_combout\ = (\led_flash_cnt[1929][4]~q\ & (!\led_flash_cnt[1929][3]~53891\)) # (!\led_flash_cnt[1929][4]~q\ & ((\led_flash_cnt[1929][3]~53891\) # (GND)))
-- \led_flash_cnt[1929][4]~53893\ = CARRY((!\led_flash_cnt[1929][3]~53891\) # (!\led_flash_cnt[1929][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1929][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1929][3]~53891\,
	combout => \led_flash_cnt[1929][4]~53892_combout\,
	cout => \led_flash_cnt[1929][4]~53893\);

-- Location: FF_X26_Y16_N23
\led_flash_cnt[1929][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1929][4]~53892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1929][4]~q\);

-- Location: LCCOMB_X26_Y16_N24
\led_flash_cnt[1929][5]~53894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1929][5]~53894_combout\ = (\led_flash_cnt[1929][5]~q\ & (\led_flash_cnt[1929][4]~53893\ $ (GND))) # (!\led_flash_cnt[1929][5]~q\ & (!\led_flash_cnt[1929][4]~53893\ & VCC))
-- \led_flash_cnt[1929][5]~53895\ = CARRY((\led_flash_cnt[1929][5]~q\ & !\led_flash_cnt[1929][4]~53893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1929][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1929][4]~53893\,
	combout => \led_flash_cnt[1929][5]~53894_combout\,
	cout => \led_flash_cnt[1929][5]~53895\);

-- Location: FF_X26_Y16_N25
\led_flash_cnt[1929][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1929][5]~53894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1929][5]~q\);

-- Location: LCCOMB_X26_Y16_N26
\led_flash_cnt[1929][6]~53896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1929][6]~53896_combout\ = (\led_flash_cnt[1929][6]~q\ & (!\led_flash_cnt[1929][5]~53895\)) # (!\led_flash_cnt[1929][6]~q\ & ((\led_flash_cnt[1929][5]~53895\) # (GND)))
-- \led_flash_cnt[1929][6]~53897\ = CARRY((!\led_flash_cnt[1929][5]~53895\) # (!\led_flash_cnt[1929][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1929][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1929][5]~53895\,
	combout => \led_flash_cnt[1929][6]~53896_combout\,
	cout => \led_flash_cnt[1929][6]~53897\);

-- Location: FF_X26_Y16_N27
\led_flash_cnt[1929][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1929][6]~53896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1929][6]~q\);

-- Location: LCCOMB_X26_Y16_N28
\led_flash_cnt[1929][7]~53898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1929][7]~53898_combout\ = \led_flash_cnt[1929][6]~53897\ $ (!\led_flash_cnt[1929][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1929][7]~q\,
	cin => \led_flash_cnt[1929][6]~53897\,
	combout => \led_flash_cnt[1929][7]~53898_combout\);

-- Location: FF_X26_Y16_N29
\led_flash_cnt[1929][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1929][7]~53898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1929][7]~q\);

-- Location: LCCOMB_X26_Y16_N4
\WideAnd1929~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1929~1_combout\ = (\led_flash_cnt[1929][6]~q\ & \led_flash_cnt[1929][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1929][6]~q\,
	datad => \led_flash_cnt[1929][5]~q\,
	combout => \WideAnd1929~1_combout\);

-- Location: LCCOMB_X26_Y16_N12
\WideAnd1929~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1929~0_combout\ = (\led_flash_cnt[1929][2]~q\ & (\led_flash_cnt[1929][1]~q\ & (\led_flash_cnt[1929][4]~q\ & \led_flash_cnt[1929][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1929][2]~q\,
	datab => \led_flash_cnt[1929][1]~q\,
	datac => \led_flash_cnt[1929][4]~q\,
	datad => \led_flash_cnt[1929][3]~q\,
	combout => \WideAnd1929~0_combout\);

-- Location: LCCOMB_X26_Y16_N14
WideAnd1929 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1929~combout\ = (\led_flash_cnt[1929][0]~q\ & (\led_flash_cnt[1929][7]~q\ & (\WideAnd1929~1_combout\ & \WideAnd1929~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1929][0]~q\,
	datab => \led_flash_cnt[1929][7]~q\,
	datac => \WideAnd1929~1_combout\,
	datad => \WideAnd1929~0_combout\,
	combout => \WideAnd1929~combout\);

-- Location: FF_X26_Y16_N15
\led_flash_cnt_ands[1929]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1929~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1929));

-- Location: LCCOMB_X20_Y19_N4
\led_flash_cnt[1930][0]~82570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1930][0]~82570_combout\ = !\led_flash_cnt[1930][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1930][0]~q\,
	combout => \led_flash_cnt[1930][0]~82570_combout\);

-- Location: FF_X20_Y19_N5
\led_flash_cnt[1930][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1930][0]~82570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1930][0]~q\);

-- Location: LCCOMB_X19_Y23_N14
\led_flash_cnt[1930][1]~53900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1930][1]~53900_combout\ = (\led_flash_cnt[1930][0]~q\ & (\led_flash_cnt[1930][1]~q\ $ (VCC))) # (!\led_flash_cnt[1930][0]~q\ & (\led_flash_cnt[1930][1]~q\ & VCC))
-- \led_flash_cnt[1930][1]~53901\ = CARRY((\led_flash_cnt[1930][0]~q\ & \led_flash_cnt[1930][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1930][0]~q\,
	datab => \led_flash_cnt[1930][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1930][1]~53900_combout\,
	cout => \led_flash_cnt[1930][1]~53901\);

-- Location: FF_X19_Y23_N15
\led_flash_cnt[1930][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1930][1]~53900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1930][1]~q\);

-- Location: LCCOMB_X19_Y23_N16
\led_flash_cnt[1930][2]~53902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1930][2]~53902_combout\ = (\led_flash_cnt[1930][2]~q\ & (!\led_flash_cnt[1930][1]~53901\)) # (!\led_flash_cnt[1930][2]~q\ & ((\led_flash_cnt[1930][1]~53901\) # (GND)))
-- \led_flash_cnt[1930][2]~53903\ = CARRY((!\led_flash_cnt[1930][1]~53901\) # (!\led_flash_cnt[1930][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1930][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1930][1]~53901\,
	combout => \led_flash_cnt[1930][2]~53902_combout\,
	cout => \led_flash_cnt[1930][2]~53903\);

-- Location: FF_X19_Y23_N17
\led_flash_cnt[1930][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1930][2]~53902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1930][2]~q\);

-- Location: LCCOMB_X19_Y23_N18
\led_flash_cnt[1930][3]~53904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1930][3]~53904_combout\ = (\led_flash_cnt[1930][3]~q\ & (\led_flash_cnt[1930][2]~53903\ $ (GND))) # (!\led_flash_cnt[1930][3]~q\ & (!\led_flash_cnt[1930][2]~53903\ & VCC))
-- \led_flash_cnt[1930][3]~53905\ = CARRY((\led_flash_cnt[1930][3]~q\ & !\led_flash_cnt[1930][2]~53903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1930][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1930][2]~53903\,
	combout => \led_flash_cnt[1930][3]~53904_combout\,
	cout => \led_flash_cnt[1930][3]~53905\);

-- Location: FF_X19_Y23_N19
\led_flash_cnt[1930][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1930][3]~53904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1930][3]~q\);

-- Location: LCCOMB_X19_Y23_N20
\led_flash_cnt[1930][4]~53906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1930][4]~53906_combout\ = (\led_flash_cnt[1930][4]~q\ & (!\led_flash_cnt[1930][3]~53905\)) # (!\led_flash_cnt[1930][4]~q\ & ((\led_flash_cnt[1930][3]~53905\) # (GND)))
-- \led_flash_cnt[1930][4]~53907\ = CARRY((!\led_flash_cnt[1930][3]~53905\) # (!\led_flash_cnt[1930][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1930][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1930][3]~53905\,
	combout => \led_flash_cnt[1930][4]~53906_combout\,
	cout => \led_flash_cnt[1930][4]~53907\);

-- Location: FF_X19_Y23_N21
\led_flash_cnt[1930][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1930][4]~53906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1930][4]~q\);

-- Location: LCCOMB_X19_Y23_N12
\WideAnd1930~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1930~0_combout\ = (\led_flash_cnt[1930][3]~q\ & (\led_flash_cnt[1930][4]~q\ & (\led_flash_cnt[1930][1]~q\ & \led_flash_cnt[1930][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1930][3]~q\,
	datab => \led_flash_cnt[1930][4]~q\,
	datac => \led_flash_cnt[1930][1]~q\,
	datad => \led_flash_cnt[1930][2]~q\,
	combout => \WideAnd1930~0_combout\);

-- Location: LCCOMB_X19_Y23_N22
\led_flash_cnt[1930][5]~53908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1930][5]~53908_combout\ = (\led_flash_cnt[1930][5]~q\ & (\led_flash_cnt[1930][4]~53907\ $ (GND))) # (!\led_flash_cnt[1930][5]~q\ & (!\led_flash_cnt[1930][4]~53907\ & VCC))
-- \led_flash_cnt[1930][5]~53909\ = CARRY((\led_flash_cnt[1930][5]~q\ & !\led_flash_cnt[1930][4]~53907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1930][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1930][4]~53907\,
	combout => \led_flash_cnt[1930][5]~53908_combout\,
	cout => \led_flash_cnt[1930][5]~53909\);

-- Location: FF_X19_Y23_N23
\led_flash_cnt[1930][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1930][5]~53908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1930][5]~q\);

-- Location: LCCOMB_X19_Y23_N24
\led_flash_cnt[1930][6]~53910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1930][6]~53910_combout\ = (\led_flash_cnt[1930][6]~q\ & (!\led_flash_cnt[1930][5]~53909\)) # (!\led_flash_cnt[1930][6]~q\ & ((\led_flash_cnt[1930][5]~53909\) # (GND)))
-- \led_flash_cnt[1930][6]~53911\ = CARRY((!\led_flash_cnt[1930][5]~53909\) # (!\led_flash_cnt[1930][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1930][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1930][5]~53909\,
	combout => \led_flash_cnt[1930][6]~53910_combout\,
	cout => \led_flash_cnt[1930][6]~53911\);

-- Location: FF_X19_Y23_N25
\led_flash_cnt[1930][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1930][6]~53910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1930][6]~q\);

-- Location: LCCOMB_X19_Y23_N4
\WideAnd1930~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1930~1_combout\ = (\led_flash_cnt[1930][5]~q\ & \led_flash_cnt[1930][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1930][5]~q\,
	datad => \led_flash_cnt[1930][6]~q\,
	combout => \WideAnd1930~1_combout\);

-- Location: LCCOMB_X19_Y23_N26
\led_flash_cnt[1930][7]~53912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1930][7]~53912_combout\ = \led_flash_cnt[1930][7]~q\ $ (!\led_flash_cnt[1930][6]~53911\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1930][7]~q\,
	cin => \led_flash_cnt[1930][6]~53911\,
	combout => \led_flash_cnt[1930][7]~53912_combout\);

-- Location: FF_X19_Y23_N27
\led_flash_cnt[1930][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1930][7]~53912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1930][7]~q\);

-- Location: LCCOMB_X19_Y23_N8
WideAnd1930 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1930~combout\ = (\WideAnd1930~0_combout\ & (\WideAnd1930~1_combout\ & (\led_flash_cnt[1930][7]~q\ & \led_flash_cnt[1930][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1930~0_combout\,
	datab => \WideAnd1930~1_combout\,
	datac => \led_flash_cnt[1930][7]~q\,
	datad => \led_flash_cnt[1930][0]~q\,
	combout => \WideAnd1930~combout\);

-- Location: FF_X19_Y23_N9
\led_flash_cnt_ands[1930]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1930~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1930));

-- Location: LCCOMB_X19_Y19_N26
\WideAnd4081~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4081~0_combout\ = (led_flash_cnt_ands(1928) & (led_flash_cnt_ands(1931) & (led_flash_cnt_ands(1929) & led_flash_cnt_ands(1930))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1928),
	datab => led_flash_cnt_ands(1931),
	datac => led_flash_cnt_ands(1929),
	datad => led_flash_cnt_ands(1930),
	combout => \WideAnd4081~0_combout\);

-- Location: LCCOMB_X17_Y23_N22
\led_flash_cnt[1932][0]~82572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1932][0]~82572_combout\ = !\led_flash_cnt[1932][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1932][0]~q\,
	combout => \led_flash_cnt[1932][0]~82572_combout\);

-- Location: FF_X17_Y23_N23
\led_flash_cnt[1932][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1932][0]~82572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1932][0]~q\);

-- Location: LCCOMB_X17_Y23_N8
\led_flash_cnt[1932][1]~53928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1932][1]~53928_combout\ = (\led_flash_cnt[1932][0]~q\ & (\led_flash_cnt[1932][1]~q\ $ (VCC))) # (!\led_flash_cnt[1932][0]~q\ & (\led_flash_cnt[1932][1]~q\ & VCC))
-- \led_flash_cnt[1932][1]~53929\ = CARRY((\led_flash_cnt[1932][0]~q\ & \led_flash_cnt[1932][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1932][0]~q\,
	datab => \led_flash_cnt[1932][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1932][1]~53928_combout\,
	cout => \led_flash_cnt[1932][1]~53929\);

-- Location: FF_X17_Y23_N9
\led_flash_cnt[1932][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1932][1]~53928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1932][1]~q\);

-- Location: LCCOMB_X17_Y23_N10
\led_flash_cnt[1932][2]~53930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1932][2]~53930_combout\ = (\led_flash_cnt[1932][2]~q\ & (!\led_flash_cnt[1932][1]~53929\)) # (!\led_flash_cnt[1932][2]~q\ & ((\led_flash_cnt[1932][1]~53929\) # (GND)))
-- \led_flash_cnt[1932][2]~53931\ = CARRY((!\led_flash_cnt[1932][1]~53929\) # (!\led_flash_cnt[1932][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1932][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1932][1]~53929\,
	combout => \led_flash_cnt[1932][2]~53930_combout\,
	cout => \led_flash_cnt[1932][2]~53931\);

-- Location: FF_X17_Y23_N11
\led_flash_cnt[1932][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1932][2]~53930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1932][2]~q\);

-- Location: LCCOMB_X17_Y23_N12
\led_flash_cnt[1932][3]~53932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1932][3]~53932_combout\ = (\led_flash_cnt[1932][3]~q\ & (\led_flash_cnt[1932][2]~53931\ $ (GND))) # (!\led_flash_cnt[1932][3]~q\ & (!\led_flash_cnt[1932][2]~53931\ & VCC))
-- \led_flash_cnt[1932][3]~53933\ = CARRY((\led_flash_cnt[1932][3]~q\ & !\led_flash_cnt[1932][2]~53931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1932][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1932][2]~53931\,
	combout => \led_flash_cnt[1932][3]~53932_combout\,
	cout => \led_flash_cnt[1932][3]~53933\);

-- Location: FF_X17_Y23_N13
\led_flash_cnt[1932][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1932][3]~53932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1932][3]~q\);

-- Location: LCCOMB_X17_Y23_N14
\led_flash_cnt[1932][4]~53934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1932][4]~53934_combout\ = (\led_flash_cnt[1932][4]~q\ & (!\led_flash_cnt[1932][3]~53933\)) # (!\led_flash_cnt[1932][4]~q\ & ((\led_flash_cnt[1932][3]~53933\) # (GND)))
-- \led_flash_cnt[1932][4]~53935\ = CARRY((!\led_flash_cnt[1932][3]~53933\) # (!\led_flash_cnt[1932][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1932][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1932][3]~53933\,
	combout => \led_flash_cnt[1932][4]~53934_combout\,
	cout => \led_flash_cnt[1932][4]~53935\);

-- Location: FF_X17_Y23_N15
\led_flash_cnt[1932][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1932][4]~53934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1932][4]~q\);

-- Location: LCCOMB_X17_Y23_N24
\WideAnd1932~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1932~0_combout\ = (\led_flash_cnt[1932][3]~q\ & (\led_flash_cnt[1932][4]~q\ & (\led_flash_cnt[1932][1]~q\ & \led_flash_cnt[1932][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1932][3]~q\,
	datab => \led_flash_cnt[1932][4]~q\,
	datac => \led_flash_cnt[1932][1]~q\,
	datad => \led_flash_cnt[1932][2]~q\,
	combout => \WideAnd1932~0_combout\);

-- Location: LCCOMB_X17_Y23_N16
\led_flash_cnt[1932][5]~53936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1932][5]~53936_combout\ = (\led_flash_cnt[1932][5]~q\ & (\led_flash_cnt[1932][4]~53935\ $ (GND))) # (!\led_flash_cnt[1932][5]~q\ & (!\led_flash_cnt[1932][4]~53935\ & VCC))
-- \led_flash_cnt[1932][5]~53937\ = CARRY((\led_flash_cnt[1932][5]~q\ & !\led_flash_cnt[1932][4]~53935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1932][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1932][4]~53935\,
	combout => \led_flash_cnt[1932][5]~53936_combout\,
	cout => \led_flash_cnt[1932][5]~53937\);

-- Location: FF_X17_Y23_N17
\led_flash_cnt[1932][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1932][5]~53936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1932][5]~q\);

-- Location: LCCOMB_X17_Y23_N18
\led_flash_cnt[1932][6]~53938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1932][6]~53938_combout\ = (\led_flash_cnt[1932][6]~q\ & (!\led_flash_cnt[1932][5]~53937\)) # (!\led_flash_cnt[1932][6]~q\ & ((\led_flash_cnt[1932][5]~53937\) # (GND)))
-- \led_flash_cnt[1932][6]~53939\ = CARRY((!\led_flash_cnt[1932][5]~53937\) # (!\led_flash_cnt[1932][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1932][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1932][5]~53937\,
	combout => \led_flash_cnt[1932][6]~53938_combout\,
	cout => \led_flash_cnt[1932][6]~53939\);

-- Location: FF_X17_Y23_N19
\led_flash_cnt[1932][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1932][6]~53938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1932][6]~q\);

-- Location: LCCOMB_X17_Y23_N4
\WideAnd1932~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1932~1_combout\ = (\led_flash_cnt[1932][5]~q\ & \led_flash_cnt[1932][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1932][5]~q\,
	datad => \led_flash_cnt[1932][6]~q\,
	combout => \WideAnd1932~1_combout\);

-- Location: LCCOMB_X17_Y23_N20
\led_flash_cnt[1932][7]~53940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1932][7]~53940_combout\ = \led_flash_cnt[1932][6]~53939\ $ (!\led_flash_cnt[1932][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1932][7]~q\,
	cin => \led_flash_cnt[1932][6]~53939\,
	combout => \led_flash_cnt[1932][7]~53940_combout\);

-- Location: FF_X17_Y23_N21
\led_flash_cnt[1932][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1932][7]~53940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1932][7]~q\);

-- Location: LCCOMB_X17_Y23_N0
WideAnd1932 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1932~combout\ = (\led_flash_cnt[1932][0]~q\ & (\WideAnd1932~0_combout\ & (\WideAnd1932~1_combout\ & \led_flash_cnt[1932][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1932][0]~q\,
	datab => \WideAnd1932~0_combout\,
	datac => \WideAnd1932~1_combout\,
	datad => \led_flash_cnt[1932][7]~q\,
	combout => \WideAnd1932~combout\);

-- Location: FF_X17_Y23_N1
\led_flash_cnt_ands[1932]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1932~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1932));

-- Location: LCCOMB_X52_Y33_N18
\led_flash_cnt[1933][0]~82573\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1933][0]~82573_combout\ = !\led_flash_cnt[1933][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1933][0]~q\,
	combout => \led_flash_cnt[1933][0]~82573_combout\);

-- Location: FF_X52_Y33_N19
\led_flash_cnt[1933][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1933][0]~82573_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1933][0]~q\);

-- Location: LCCOMB_X52_Y33_N2
\led_flash_cnt[1933][1]~53942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1933][1]~53942_combout\ = (\led_flash_cnt[1933][1]~q\ & (\led_flash_cnt[1933][0]~q\ $ (VCC))) # (!\led_flash_cnt[1933][1]~q\ & (\led_flash_cnt[1933][0]~q\ & VCC))
-- \led_flash_cnt[1933][1]~53943\ = CARRY((\led_flash_cnt[1933][1]~q\ & \led_flash_cnt[1933][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1933][1]~q\,
	datab => \led_flash_cnt[1933][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1933][1]~53942_combout\,
	cout => \led_flash_cnt[1933][1]~53943\);

-- Location: FF_X52_Y33_N3
\led_flash_cnt[1933][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1933][1]~53942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1933][1]~q\);

-- Location: LCCOMB_X52_Y33_N4
\led_flash_cnt[1933][2]~53944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1933][2]~53944_combout\ = (\led_flash_cnt[1933][2]~q\ & (!\led_flash_cnt[1933][1]~53943\)) # (!\led_flash_cnt[1933][2]~q\ & ((\led_flash_cnt[1933][1]~53943\) # (GND)))
-- \led_flash_cnt[1933][2]~53945\ = CARRY((!\led_flash_cnt[1933][1]~53943\) # (!\led_flash_cnt[1933][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1933][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1933][1]~53943\,
	combout => \led_flash_cnt[1933][2]~53944_combout\,
	cout => \led_flash_cnt[1933][2]~53945\);

-- Location: FF_X52_Y33_N5
\led_flash_cnt[1933][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1933][2]~53944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1933][2]~q\);

-- Location: LCCOMB_X52_Y33_N6
\led_flash_cnt[1933][3]~53946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1933][3]~53946_combout\ = (\led_flash_cnt[1933][3]~q\ & (\led_flash_cnt[1933][2]~53945\ $ (GND))) # (!\led_flash_cnt[1933][3]~q\ & (!\led_flash_cnt[1933][2]~53945\ & VCC))
-- \led_flash_cnt[1933][3]~53947\ = CARRY((\led_flash_cnt[1933][3]~q\ & !\led_flash_cnt[1933][2]~53945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1933][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1933][2]~53945\,
	combout => \led_flash_cnt[1933][3]~53946_combout\,
	cout => \led_flash_cnt[1933][3]~53947\);

-- Location: FF_X52_Y33_N7
\led_flash_cnt[1933][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1933][3]~53946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1933][3]~q\);

-- Location: LCCOMB_X52_Y33_N8
\led_flash_cnt[1933][4]~53948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1933][4]~53948_combout\ = (\led_flash_cnt[1933][4]~q\ & (!\led_flash_cnt[1933][3]~53947\)) # (!\led_flash_cnt[1933][4]~q\ & ((\led_flash_cnt[1933][3]~53947\) # (GND)))
-- \led_flash_cnt[1933][4]~53949\ = CARRY((!\led_flash_cnt[1933][3]~53947\) # (!\led_flash_cnt[1933][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1933][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1933][3]~53947\,
	combout => \led_flash_cnt[1933][4]~53948_combout\,
	cout => \led_flash_cnt[1933][4]~53949\);

-- Location: FF_X52_Y33_N9
\led_flash_cnt[1933][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1933][4]~53948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1933][4]~q\);

-- Location: LCCOMB_X52_Y33_N10
\led_flash_cnt[1933][5]~53950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1933][5]~53950_combout\ = (\led_flash_cnt[1933][5]~q\ & (\led_flash_cnt[1933][4]~53949\ $ (GND))) # (!\led_flash_cnt[1933][5]~q\ & (!\led_flash_cnt[1933][4]~53949\ & VCC))
-- \led_flash_cnt[1933][5]~53951\ = CARRY((\led_flash_cnt[1933][5]~q\ & !\led_flash_cnt[1933][4]~53949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1933][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1933][4]~53949\,
	combout => \led_flash_cnt[1933][5]~53950_combout\,
	cout => \led_flash_cnt[1933][5]~53951\);

-- Location: FF_X52_Y33_N11
\led_flash_cnt[1933][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1933][5]~53950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1933][5]~q\);

-- Location: LCCOMB_X52_Y33_N12
\led_flash_cnt[1933][6]~53952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1933][6]~53952_combout\ = (\led_flash_cnt[1933][6]~q\ & (!\led_flash_cnt[1933][5]~53951\)) # (!\led_flash_cnt[1933][6]~q\ & ((\led_flash_cnt[1933][5]~53951\) # (GND)))
-- \led_flash_cnt[1933][6]~53953\ = CARRY((!\led_flash_cnt[1933][5]~53951\) # (!\led_flash_cnt[1933][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1933][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1933][5]~53951\,
	combout => \led_flash_cnt[1933][6]~53952_combout\,
	cout => \led_flash_cnt[1933][6]~53953\);

-- Location: FF_X52_Y33_N13
\led_flash_cnt[1933][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1933][6]~53952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1933][6]~q\);

-- Location: LCCOMB_X52_Y33_N22
\WideAnd1933~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1933~1_combout\ = (\led_flash_cnt[1933][6]~q\ & \led_flash_cnt[1933][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1933][6]~q\,
	datad => \led_flash_cnt[1933][5]~q\,
	combout => \WideAnd1933~1_combout\);

-- Location: LCCOMB_X52_Y33_N24
\WideAnd1933~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1933~0_combout\ = (\led_flash_cnt[1933][1]~q\ & (\led_flash_cnt[1933][4]~q\ & (\led_flash_cnt[1933][2]~q\ & \led_flash_cnt[1933][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1933][1]~q\,
	datab => \led_flash_cnt[1933][4]~q\,
	datac => \led_flash_cnt[1933][2]~q\,
	datad => \led_flash_cnt[1933][3]~q\,
	combout => \WideAnd1933~0_combout\);

-- Location: LCCOMB_X52_Y33_N14
\led_flash_cnt[1933][7]~53954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1933][7]~53954_combout\ = \led_flash_cnt[1933][7]~q\ $ (!\led_flash_cnt[1933][6]~53953\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1933][7]~q\,
	cin => \led_flash_cnt[1933][6]~53953\,
	combout => \led_flash_cnt[1933][7]~53954_combout\);

-- Location: FF_X52_Y33_N15
\led_flash_cnt[1933][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1933][7]~53954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1933][7]~q\);

-- Location: LCCOMB_X52_Y33_N30
WideAnd1933 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1933~combout\ = (\WideAnd1933~1_combout\ & (\WideAnd1933~0_combout\ & (\led_flash_cnt[1933][7]~q\ & \led_flash_cnt[1933][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1933~1_combout\,
	datab => \WideAnd1933~0_combout\,
	datac => \led_flash_cnt[1933][7]~q\,
	datad => \led_flash_cnt[1933][0]~q\,
	combout => \WideAnd1933~combout\);

-- Location: FF_X52_Y33_N31
\led_flash_cnt_ands[1933]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1933~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1933));

-- Location: LCCOMB_X16_Y24_N20
\WideAnd4081~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4081~1_combout\ = (led_flash_cnt_ands(1932) & led_flash_cnt_ands(1933))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1932),
	datad => led_flash_cnt_ands(1933),
	combout => \WideAnd4081~1_combout\);

-- Location: LCCOMB_X16_Y24_N30
WideAnd4081 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4081~combout\ = (led_flash_cnt_ands(1934) & (led_flash_cnt_ands(1935) & (\WideAnd4081~0_combout\ & \WideAnd4081~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1934),
	datab => led_flash_cnt_ands(1935),
	datac => \WideAnd4081~0_combout\,
	datad => \WideAnd4081~1_combout\,
	combout => \WideAnd4081~combout\);

-- Location: FF_X16_Y24_N31
\led_flash_cnt_ands_1[241]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4081~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(241));

-- Location: LCCOMB_X20_Y6_N22
\led_flash_cnt[1943][0]~82583\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1943][0]~82583_combout\ = !\led_flash_cnt[1943][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1943][0]~q\,
	combout => \led_flash_cnt[1943][0]~82583_combout\);

-- Location: FF_X20_Y6_N23
\led_flash_cnt[1943][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1943][0]~82583_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1943][0]~q\);

-- Location: LCCOMB_X20_Y6_N0
\led_flash_cnt[1943][1]~54082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1943][1]~54082_combout\ = (\led_flash_cnt[1943][0]~q\ & (\led_flash_cnt[1943][1]~q\ $ (VCC))) # (!\led_flash_cnt[1943][0]~q\ & (\led_flash_cnt[1943][1]~q\ & VCC))
-- \led_flash_cnt[1943][1]~54083\ = CARRY((\led_flash_cnt[1943][0]~q\ & \led_flash_cnt[1943][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1943][0]~q\,
	datab => \led_flash_cnt[1943][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1943][1]~54082_combout\,
	cout => \led_flash_cnt[1943][1]~54083\);

-- Location: FF_X20_Y6_N1
\led_flash_cnt[1943][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1943][1]~54082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1943][1]~q\);

-- Location: LCCOMB_X20_Y6_N2
\led_flash_cnt[1943][2]~54084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1943][2]~54084_combout\ = (\led_flash_cnt[1943][2]~q\ & (!\led_flash_cnt[1943][1]~54083\)) # (!\led_flash_cnt[1943][2]~q\ & ((\led_flash_cnt[1943][1]~54083\) # (GND)))
-- \led_flash_cnt[1943][2]~54085\ = CARRY((!\led_flash_cnt[1943][1]~54083\) # (!\led_flash_cnt[1943][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1943][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1943][1]~54083\,
	combout => \led_flash_cnt[1943][2]~54084_combout\,
	cout => \led_flash_cnt[1943][2]~54085\);

-- Location: FF_X20_Y6_N3
\led_flash_cnt[1943][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1943][2]~54084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1943][2]~q\);

-- Location: LCCOMB_X20_Y6_N4
\led_flash_cnt[1943][3]~54086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1943][3]~54086_combout\ = (\led_flash_cnt[1943][3]~q\ & (\led_flash_cnt[1943][2]~54085\ $ (GND))) # (!\led_flash_cnt[1943][3]~q\ & (!\led_flash_cnt[1943][2]~54085\ & VCC))
-- \led_flash_cnt[1943][3]~54087\ = CARRY((\led_flash_cnt[1943][3]~q\ & !\led_flash_cnt[1943][2]~54085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1943][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1943][2]~54085\,
	combout => \led_flash_cnt[1943][3]~54086_combout\,
	cout => \led_flash_cnt[1943][3]~54087\);

-- Location: FF_X20_Y6_N5
\led_flash_cnt[1943][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1943][3]~54086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1943][3]~q\);

-- Location: LCCOMB_X20_Y6_N6
\led_flash_cnt[1943][4]~54088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1943][4]~54088_combout\ = (\led_flash_cnt[1943][4]~q\ & (!\led_flash_cnt[1943][3]~54087\)) # (!\led_flash_cnt[1943][4]~q\ & ((\led_flash_cnt[1943][3]~54087\) # (GND)))
-- \led_flash_cnt[1943][4]~54089\ = CARRY((!\led_flash_cnt[1943][3]~54087\) # (!\led_flash_cnt[1943][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1943][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1943][3]~54087\,
	combout => \led_flash_cnt[1943][4]~54088_combout\,
	cout => \led_flash_cnt[1943][4]~54089\);

-- Location: FF_X20_Y6_N7
\led_flash_cnt[1943][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1943][4]~54088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1943][4]~q\);

-- Location: LCCOMB_X20_Y6_N8
\led_flash_cnt[1943][5]~54090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1943][5]~54090_combout\ = (\led_flash_cnt[1943][5]~q\ & (\led_flash_cnt[1943][4]~54089\ $ (GND))) # (!\led_flash_cnt[1943][5]~q\ & (!\led_flash_cnt[1943][4]~54089\ & VCC))
-- \led_flash_cnt[1943][5]~54091\ = CARRY((\led_flash_cnt[1943][5]~q\ & !\led_flash_cnt[1943][4]~54089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1943][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1943][4]~54089\,
	combout => \led_flash_cnt[1943][5]~54090_combout\,
	cout => \led_flash_cnt[1943][5]~54091\);

-- Location: FF_X20_Y6_N9
\led_flash_cnt[1943][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1943][5]~54090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1943][5]~q\);

-- Location: LCCOMB_X20_Y6_N10
\led_flash_cnt[1943][6]~54092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1943][6]~54092_combout\ = (\led_flash_cnt[1943][6]~q\ & (!\led_flash_cnt[1943][5]~54091\)) # (!\led_flash_cnt[1943][6]~q\ & ((\led_flash_cnt[1943][5]~54091\) # (GND)))
-- \led_flash_cnt[1943][6]~54093\ = CARRY((!\led_flash_cnt[1943][5]~54091\) # (!\led_flash_cnt[1943][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1943][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1943][5]~54091\,
	combout => \led_flash_cnt[1943][6]~54092_combout\,
	cout => \led_flash_cnt[1943][6]~54093\);

-- Location: FF_X20_Y6_N11
\led_flash_cnt[1943][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1943][6]~54092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1943][6]~q\);

-- Location: LCCOMB_X20_Y6_N24
\WideAnd1943~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1943~1_combout\ = (\led_flash_cnt[1943][5]~q\ & \led_flash_cnt[1943][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1943][5]~q\,
	datad => \led_flash_cnt[1943][6]~q\,
	combout => \WideAnd1943~1_combout\);

-- Location: LCCOMB_X20_Y6_N14
\WideAnd1943~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1943~0_combout\ = (\led_flash_cnt[1943][4]~q\ & (\led_flash_cnt[1943][1]~q\ & (\led_flash_cnt[1943][3]~q\ & \led_flash_cnt[1943][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1943][4]~q\,
	datab => \led_flash_cnt[1943][1]~q\,
	datac => \led_flash_cnt[1943][3]~q\,
	datad => \led_flash_cnt[1943][2]~q\,
	combout => \WideAnd1943~0_combout\);

-- Location: LCCOMB_X20_Y6_N12
\led_flash_cnt[1943][7]~54094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1943][7]~54094_combout\ = \led_flash_cnt[1943][6]~54093\ $ (!\led_flash_cnt[1943][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1943][7]~q\,
	cin => \led_flash_cnt[1943][6]~54093\,
	combout => \led_flash_cnt[1943][7]~54094_combout\);

-- Location: FF_X20_Y6_N13
\led_flash_cnt[1943][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1943][7]~54094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1943][7]~q\);

-- Location: LCCOMB_X20_Y6_N16
WideAnd1943 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1943~combout\ = (\led_flash_cnt[1943][0]~q\ & (\WideAnd1943~1_combout\ & (\WideAnd1943~0_combout\ & \led_flash_cnt[1943][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1943][0]~q\,
	datab => \WideAnd1943~1_combout\,
	datac => \WideAnd1943~0_combout\,
	datad => \led_flash_cnt[1943][7]~q\,
	combout => \WideAnd1943~combout\);

-- Location: FF_X20_Y6_N17
\led_flash_cnt_ands[1943]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1943~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1943));

-- Location: LCCOMB_X6_Y10_N8
\led_flash_cnt[1939][0]~82579\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1939][0]~82579_combout\ = !\led_flash_cnt[1939][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1939][0]~q\,
	combout => \led_flash_cnt[1939][0]~82579_combout\);

-- Location: FF_X6_Y10_N9
\led_flash_cnt[1939][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1939][0]~82579_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1939][0]~q\);

-- Location: LCCOMB_X9_Y10_N4
\led_flash_cnt[1939][1]~54026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1939][1]~54026_combout\ = (\led_flash_cnt[1939][0]~q\ & (\led_flash_cnt[1939][1]~q\ $ (VCC))) # (!\led_flash_cnt[1939][0]~q\ & (\led_flash_cnt[1939][1]~q\ & VCC))
-- \led_flash_cnt[1939][1]~54027\ = CARRY((\led_flash_cnt[1939][0]~q\ & \led_flash_cnt[1939][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1939][0]~q\,
	datab => \led_flash_cnt[1939][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1939][1]~54026_combout\,
	cout => \led_flash_cnt[1939][1]~54027\);

-- Location: FF_X9_Y10_N5
\led_flash_cnt[1939][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1939][1]~54026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1939][1]~q\);

-- Location: LCCOMB_X9_Y10_N6
\led_flash_cnt[1939][2]~54028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1939][2]~54028_combout\ = (\led_flash_cnt[1939][2]~q\ & (!\led_flash_cnt[1939][1]~54027\)) # (!\led_flash_cnt[1939][2]~q\ & ((\led_flash_cnt[1939][1]~54027\) # (GND)))
-- \led_flash_cnt[1939][2]~54029\ = CARRY((!\led_flash_cnt[1939][1]~54027\) # (!\led_flash_cnt[1939][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1939][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1939][1]~54027\,
	combout => \led_flash_cnt[1939][2]~54028_combout\,
	cout => \led_flash_cnt[1939][2]~54029\);

-- Location: FF_X9_Y10_N7
\led_flash_cnt[1939][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1939][2]~54028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1939][2]~q\);

-- Location: LCCOMB_X9_Y10_N8
\led_flash_cnt[1939][3]~54030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1939][3]~54030_combout\ = (\led_flash_cnt[1939][3]~q\ & (\led_flash_cnt[1939][2]~54029\ $ (GND))) # (!\led_flash_cnt[1939][3]~q\ & (!\led_flash_cnt[1939][2]~54029\ & VCC))
-- \led_flash_cnt[1939][3]~54031\ = CARRY((\led_flash_cnt[1939][3]~q\ & !\led_flash_cnt[1939][2]~54029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1939][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1939][2]~54029\,
	combout => \led_flash_cnt[1939][3]~54030_combout\,
	cout => \led_flash_cnt[1939][3]~54031\);

-- Location: FF_X9_Y10_N9
\led_flash_cnt[1939][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1939][3]~54030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1939][3]~q\);

-- Location: LCCOMB_X9_Y10_N10
\led_flash_cnt[1939][4]~54032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1939][4]~54032_combout\ = (\led_flash_cnt[1939][4]~q\ & (!\led_flash_cnt[1939][3]~54031\)) # (!\led_flash_cnt[1939][4]~q\ & ((\led_flash_cnt[1939][3]~54031\) # (GND)))
-- \led_flash_cnt[1939][4]~54033\ = CARRY((!\led_flash_cnt[1939][3]~54031\) # (!\led_flash_cnt[1939][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1939][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1939][3]~54031\,
	combout => \led_flash_cnt[1939][4]~54032_combout\,
	cout => \led_flash_cnt[1939][4]~54033\);

-- Location: FF_X9_Y10_N11
\led_flash_cnt[1939][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1939][4]~54032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1939][4]~q\);

-- Location: LCCOMB_X9_Y10_N12
\led_flash_cnt[1939][5]~54034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1939][5]~54034_combout\ = (\led_flash_cnt[1939][5]~q\ & (\led_flash_cnt[1939][4]~54033\ $ (GND))) # (!\led_flash_cnt[1939][5]~q\ & (!\led_flash_cnt[1939][4]~54033\ & VCC))
-- \led_flash_cnt[1939][5]~54035\ = CARRY((\led_flash_cnt[1939][5]~q\ & !\led_flash_cnt[1939][4]~54033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1939][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1939][4]~54033\,
	combout => \led_flash_cnt[1939][5]~54034_combout\,
	cout => \led_flash_cnt[1939][5]~54035\);

-- Location: FF_X9_Y10_N13
\led_flash_cnt[1939][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1939][5]~54034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1939][5]~q\);

-- Location: LCCOMB_X9_Y10_N14
\led_flash_cnt[1939][6]~54036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1939][6]~54036_combout\ = (\led_flash_cnt[1939][6]~q\ & (!\led_flash_cnt[1939][5]~54035\)) # (!\led_flash_cnt[1939][6]~q\ & ((\led_flash_cnt[1939][5]~54035\) # (GND)))
-- \led_flash_cnt[1939][6]~54037\ = CARRY((!\led_flash_cnt[1939][5]~54035\) # (!\led_flash_cnt[1939][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1939][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1939][5]~54035\,
	combout => \led_flash_cnt[1939][6]~54036_combout\,
	cout => \led_flash_cnt[1939][6]~54037\);

-- Location: FF_X9_Y10_N15
\led_flash_cnt[1939][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1939][6]~54036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1939][6]~q\);

-- Location: LCCOMB_X9_Y10_N16
\led_flash_cnt[1939][7]~54038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1939][7]~54038_combout\ = \led_flash_cnt[1939][6]~54037\ $ (!\led_flash_cnt[1939][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1939][7]~q\,
	cin => \led_flash_cnt[1939][6]~54037\,
	combout => \led_flash_cnt[1939][7]~54038_combout\);

-- Location: FF_X9_Y10_N17
\led_flash_cnt[1939][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1939][7]~54038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1939][7]~q\);

-- Location: LCCOMB_X9_Y10_N30
\WideAnd1939~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1939~0_combout\ = (\led_flash_cnt[1939][2]~q\ & (\led_flash_cnt[1939][3]~q\ & (\led_flash_cnt[1939][1]~q\ & \led_flash_cnt[1939][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1939][2]~q\,
	datab => \led_flash_cnt[1939][3]~q\,
	datac => \led_flash_cnt[1939][1]~q\,
	datad => \led_flash_cnt[1939][4]~q\,
	combout => \WideAnd1939~0_combout\);

-- Location: LCCOMB_X9_Y10_N20
\WideAnd1939~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1939~1_combout\ = (\led_flash_cnt[1939][6]~q\ & \led_flash_cnt[1939][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1939][6]~q\,
	datad => \led_flash_cnt[1939][5]~q\,
	combout => \WideAnd1939~1_combout\);

-- Location: LCCOMB_X9_Y10_N0
WideAnd1939 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1939~combout\ = (\led_flash_cnt[1939][0]~q\ & (\led_flash_cnt[1939][7]~q\ & (\WideAnd1939~0_combout\ & \WideAnd1939~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1939][0]~q\,
	datab => \led_flash_cnt[1939][7]~q\,
	datac => \WideAnd1939~0_combout\,
	datad => \WideAnd1939~1_combout\,
	combout => \WideAnd1939~combout\);

-- Location: FF_X9_Y10_N1
\led_flash_cnt_ands[1939]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1939~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1939));

-- Location: LCCOMB_X18_Y10_N28
\led_flash_cnt[1936][0]~82576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1936][0]~82576_combout\ = !\led_flash_cnt[1936][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1936][0]~q\,
	combout => \led_flash_cnt[1936][0]~82576_combout\);

-- Location: FF_X18_Y10_N29
\led_flash_cnt[1936][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1936][0]~82576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1936][0]~q\);

-- Location: LCCOMB_X18_Y10_N10
\led_flash_cnt[1936][1]~53984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1936][1]~53984_combout\ = (\led_flash_cnt[1936][1]~q\ & (\led_flash_cnt[1936][0]~q\ $ (VCC))) # (!\led_flash_cnt[1936][1]~q\ & (\led_flash_cnt[1936][0]~q\ & VCC))
-- \led_flash_cnt[1936][1]~53985\ = CARRY((\led_flash_cnt[1936][1]~q\ & \led_flash_cnt[1936][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1936][1]~q\,
	datab => \led_flash_cnt[1936][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1936][1]~53984_combout\,
	cout => \led_flash_cnt[1936][1]~53985\);

-- Location: FF_X18_Y10_N11
\led_flash_cnt[1936][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1936][1]~53984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1936][1]~q\);

-- Location: LCCOMB_X18_Y10_N12
\led_flash_cnt[1936][2]~53986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1936][2]~53986_combout\ = (\led_flash_cnt[1936][2]~q\ & (!\led_flash_cnt[1936][1]~53985\)) # (!\led_flash_cnt[1936][2]~q\ & ((\led_flash_cnt[1936][1]~53985\) # (GND)))
-- \led_flash_cnt[1936][2]~53987\ = CARRY((!\led_flash_cnt[1936][1]~53985\) # (!\led_flash_cnt[1936][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1936][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1936][1]~53985\,
	combout => \led_flash_cnt[1936][2]~53986_combout\,
	cout => \led_flash_cnt[1936][2]~53987\);

-- Location: FF_X18_Y10_N13
\led_flash_cnt[1936][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1936][2]~53986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1936][2]~q\);

-- Location: LCCOMB_X18_Y10_N14
\led_flash_cnt[1936][3]~53988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1936][3]~53988_combout\ = (\led_flash_cnt[1936][3]~q\ & (\led_flash_cnt[1936][2]~53987\ $ (GND))) # (!\led_flash_cnt[1936][3]~q\ & (!\led_flash_cnt[1936][2]~53987\ & VCC))
-- \led_flash_cnt[1936][3]~53989\ = CARRY((\led_flash_cnt[1936][3]~q\ & !\led_flash_cnt[1936][2]~53987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1936][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1936][2]~53987\,
	combout => \led_flash_cnt[1936][3]~53988_combout\,
	cout => \led_flash_cnt[1936][3]~53989\);

-- Location: FF_X18_Y10_N15
\led_flash_cnt[1936][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1936][3]~53988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1936][3]~q\);

-- Location: LCCOMB_X18_Y10_N16
\led_flash_cnt[1936][4]~53990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1936][4]~53990_combout\ = (\led_flash_cnt[1936][4]~q\ & (!\led_flash_cnt[1936][3]~53989\)) # (!\led_flash_cnt[1936][4]~q\ & ((\led_flash_cnt[1936][3]~53989\) # (GND)))
-- \led_flash_cnt[1936][4]~53991\ = CARRY((!\led_flash_cnt[1936][3]~53989\) # (!\led_flash_cnt[1936][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1936][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1936][3]~53989\,
	combout => \led_flash_cnt[1936][4]~53990_combout\,
	cout => \led_flash_cnt[1936][4]~53991\);

-- Location: FF_X18_Y10_N17
\led_flash_cnt[1936][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1936][4]~53990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1936][4]~q\);

-- Location: LCCOMB_X18_Y10_N18
\led_flash_cnt[1936][5]~53992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1936][5]~53992_combout\ = (\led_flash_cnt[1936][5]~q\ & (\led_flash_cnt[1936][4]~53991\ $ (GND))) # (!\led_flash_cnt[1936][5]~q\ & (!\led_flash_cnt[1936][4]~53991\ & VCC))
-- \led_flash_cnt[1936][5]~53993\ = CARRY((\led_flash_cnt[1936][5]~q\ & !\led_flash_cnt[1936][4]~53991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1936][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1936][4]~53991\,
	combout => \led_flash_cnt[1936][5]~53992_combout\,
	cout => \led_flash_cnt[1936][5]~53993\);

-- Location: FF_X18_Y10_N19
\led_flash_cnt[1936][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1936][5]~53992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1936][5]~q\);

-- Location: LCCOMB_X18_Y10_N20
\led_flash_cnt[1936][6]~53994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1936][6]~53994_combout\ = (\led_flash_cnt[1936][6]~q\ & (!\led_flash_cnt[1936][5]~53993\)) # (!\led_flash_cnt[1936][6]~q\ & ((\led_flash_cnt[1936][5]~53993\) # (GND)))
-- \led_flash_cnt[1936][6]~53995\ = CARRY((!\led_flash_cnt[1936][5]~53993\) # (!\led_flash_cnt[1936][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1936][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1936][5]~53993\,
	combout => \led_flash_cnt[1936][6]~53994_combout\,
	cout => \led_flash_cnt[1936][6]~53995\);

-- Location: FF_X18_Y10_N21
\led_flash_cnt[1936][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1936][6]~53994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1936][6]~q\);

-- Location: LCCOMB_X18_Y10_N26
\WideAnd1936~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1936~1_combout\ = (\led_flash_cnt[1936][5]~q\ & \led_flash_cnt[1936][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1936][5]~q\,
	datad => \led_flash_cnt[1936][6]~q\,
	combout => \WideAnd1936~1_combout\);

-- Location: LCCOMB_X18_Y10_N24
\WideAnd1936~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1936~0_combout\ = (\led_flash_cnt[1936][2]~q\ & (\led_flash_cnt[1936][4]~q\ & (\led_flash_cnt[1936][3]~q\ & \led_flash_cnt[1936][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1936][2]~q\,
	datab => \led_flash_cnt[1936][4]~q\,
	datac => \led_flash_cnt[1936][3]~q\,
	datad => \led_flash_cnt[1936][1]~q\,
	combout => \WideAnd1936~0_combout\);

-- Location: LCCOMB_X18_Y10_N22
\led_flash_cnt[1936][7]~53996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1936][7]~53996_combout\ = \led_flash_cnt[1936][7]~q\ $ (!\led_flash_cnt[1936][6]~53995\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1936][7]~q\,
	cin => \led_flash_cnt[1936][6]~53995\,
	combout => \led_flash_cnt[1936][7]~53996_combout\);

-- Location: FF_X18_Y10_N23
\led_flash_cnt[1936][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1936][7]~53996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1936][7]~q\);

-- Location: LCCOMB_X18_Y10_N2
WideAnd1936 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1936~combout\ = (\WideAnd1936~1_combout\ & (\WideAnd1936~0_combout\ & (\led_flash_cnt[1936][7]~q\ & \led_flash_cnt[1936][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1936~1_combout\,
	datab => \WideAnd1936~0_combout\,
	datac => \led_flash_cnt[1936][7]~q\,
	datad => \led_flash_cnt[1936][0]~q\,
	combout => \WideAnd1936~combout\);

-- Location: FF_X18_Y10_N3
\led_flash_cnt_ands[1936]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1936~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1936));

-- Location: LCCOMB_X4_Y10_N2
\led_flash_cnt[1937][0]~82577\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1937][0]~82577_combout\ = !\led_flash_cnt[1937][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1937][0]~q\,
	combout => \led_flash_cnt[1937][0]~82577_combout\);

-- Location: FF_X4_Y10_N3
\led_flash_cnt[1937][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1937][0]~82577_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1937][0]~q\);

-- Location: LCCOMB_X10_Y10_N0
\led_flash_cnt[1937][1]~53998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1937][1]~53998_combout\ = (\led_flash_cnt[1937][0]~q\ & (\led_flash_cnt[1937][1]~q\ $ (VCC))) # (!\led_flash_cnt[1937][0]~q\ & (\led_flash_cnt[1937][1]~q\ & VCC))
-- \led_flash_cnt[1937][1]~53999\ = CARRY((\led_flash_cnt[1937][0]~q\ & \led_flash_cnt[1937][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1937][0]~q\,
	datab => \led_flash_cnt[1937][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1937][1]~53998_combout\,
	cout => \led_flash_cnt[1937][1]~53999\);

-- Location: FF_X10_Y10_N1
\led_flash_cnt[1937][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1937][1]~53998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1937][1]~q\);

-- Location: LCCOMB_X10_Y10_N2
\led_flash_cnt[1937][2]~54000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1937][2]~54000_combout\ = (\led_flash_cnt[1937][2]~q\ & (!\led_flash_cnt[1937][1]~53999\)) # (!\led_flash_cnt[1937][2]~q\ & ((\led_flash_cnt[1937][1]~53999\) # (GND)))
-- \led_flash_cnt[1937][2]~54001\ = CARRY((!\led_flash_cnt[1937][1]~53999\) # (!\led_flash_cnt[1937][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1937][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1937][1]~53999\,
	combout => \led_flash_cnt[1937][2]~54000_combout\,
	cout => \led_flash_cnt[1937][2]~54001\);

-- Location: FF_X10_Y10_N3
\led_flash_cnt[1937][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1937][2]~54000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1937][2]~q\);

-- Location: LCCOMB_X10_Y10_N4
\led_flash_cnt[1937][3]~54002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1937][3]~54002_combout\ = (\led_flash_cnt[1937][3]~q\ & (\led_flash_cnt[1937][2]~54001\ $ (GND))) # (!\led_flash_cnt[1937][3]~q\ & (!\led_flash_cnt[1937][2]~54001\ & VCC))
-- \led_flash_cnt[1937][3]~54003\ = CARRY((\led_flash_cnt[1937][3]~q\ & !\led_flash_cnt[1937][2]~54001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1937][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1937][2]~54001\,
	combout => \led_flash_cnt[1937][3]~54002_combout\,
	cout => \led_flash_cnt[1937][3]~54003\);

-- Location: FF_X10_Y10_N5
\led_flash_cnt[1937][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1937][3]~54002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1937][3]~q\);

-- Location: LCCOMB_X10_Y10_N6
\led_flash_cnt[1937][4]~54004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1937][4]~54004_combout\ = (\led_flash_cnt[1937][4]~q\ & (!\led_flash_cnt[1937][3]~54003\)) # (!\led_flash_cnt[1937][4]~q\ & ((\led_flash_cnt[1937][3]~54003\) # (GND)))
-- \led_flash_cnt[1937][4]~54005\ = CARRY((!\led_flash_cnt[1937][3]~54003\) # (!\led_flash_cnt[1937][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1937][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1937][3]~54003\,
	combout => \led_flash_cnt[1937][4]~54004_combout\,
	cout => \led_flash_cnt[1937][4]~54005\);

-- Location: FF_X10_Y10_N7
\led_flash_cnt[1937][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1937][4]~54004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1937][4]~q\);

-- Location: LCCOMB_X9_Y10_N26
\WideAnd1937~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1937~0_combout\ = (\led_flash_cnt[1937][3]~q\ & (\led_flash_cnt[1937][4]~q\ & (\led_flash_cnt[1937][1]~q\ & \led_flash_cnt[1937][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1937][3]~q\,
	datab => \led_flash_cnt[1937][4]~q\,
	datac => \led_flash_cnt[1937][1]~q\,
	datad => \led_flash_cnt[1937][2]~q\,
	combout => \WideAnd1937~0_combout\);

-- Location: LCCOMB_X10_Y10_N8
\led_flash_cnt[1937][5]~54006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1937][5]~54006_combout\ = (\led_flash_cnt[1937][5]~q\ & (\led_flash_cnt[1937][4]~54005\ $ (GND))) # (!\led_flash_cnt[1937][5]~q\ & (!\led_flash_cnt[1937][4]~54005\ & VCC))
-- \led_flash_cnt[1937][5]~54007\ = CARRY((\led_flash_cnt[1937][5]~q\ & !\led_flash_cnt[1937][4]~54005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1937][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1937][4]~54005\,
	combout => \led_flash_cnt[1937][5]~54006_combout\,
	cout => \led_flash_cnt[1937][5]~54007\);

-- Location: FF_X10_Y10_N9
\led_flash_cnt[1937][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1937][5]~54006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1937][5]~q\);

-- Location: LCCOMB_X10_Y10_N10
\led_flash_cnt[1937][6]~54008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1937][6]~54008_combout\ = (\led_flash_cnt[1937][6]~q\ & (!\led_flash_cnt[1937][5]~54007\)) # (!\led_flash_cnt[1937][6]~q\ & ((\led_flash_cnt[1937][5]~54007\) # (GND)))
-- \led_flash_cnt[1937][6]~54009\ = CARRY((!\led_flash_cnt[1937][5]~54007\) # (!\led_flash_cnt[1937][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1937][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1937][5]~54007\,
	combout => \led_flash_cnt[1937][6]~54008_combout\,
	cout => \led_flash_cnt[1937][6]~54009\);

-- Location: FF_X10_Y10_N11
\led_flash_cnt[1937][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1937][6]~54008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1937][6]~q\);

-- Location: LCCOMB_X10_Y10_N12
\led_flash_cnt[1937][7]~54010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1937][7]~54010_combout\ = \led_flash_cnt[1937][6]~54009\ $ (!\led_flash_cnt[1937][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1937][7]~q\,
	cin => \led_flash_cnt[1937][6]~54009\,
	combout => \led_flash_cnt[1937][7]~54010_combout\);

-- Location: FF_X10_Y10_N13
\led_flash_cnt[1937][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1937][7]~54010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1937][7]~q\);

-- Location: LCCOMB_X9_Y10_N24
\WideAnd1937~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1937~1_combout\ = (\led_flash_cnt[1937][5]~q\ & \led_flash_cnt[1937][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1937][5]~q\,
	datac => \led_flash_cnt[1937][6]~q\,
	combout => \WideAnd1937~1_combout\);

-- Location: LCCOMB_X9_Y10_N2
WideAnd1937 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1937~combout\ = (\WideAnd1937~0_combout\ & (\led_flash_cnt[1937][0]~q\ & (\led_flash_cnt[1937][7]~q\ & \WideAnd1937~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1937~0_combout\,
	datab => \led_flash_cnt[1937][0]~q\,
	datac => \led_flash_cnt[1937][7]~q\,
	datad => \WideAnd1937~1_combout\,
	combout => \WideAnd1937~combout\);

-- Location: FF_X9_Y10_N3
\led_flash_cnt_ands[1937]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1937~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1937));

-- Location: LCCOMB_X18_Y10_N30
\led_flash_cnt[1938][0]~82578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1938][0]~82578_combout\ = !\led_flash_cnt[1938][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1938][0]~q\,
	combout => \led_flash_cnt[1938][0]~82578_combout\);

-- Location: FF_X18_Y10_N31
\led_flash_cnt[1938][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1938][0]~82578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1938][0]~q\);

-- Location: LCCOMB_X18_Y9_N18
\led_flash_cnt[1938][1]~54012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1938][1]~54012_combout\ = (\led_flash_cnt[1938][0]~q\ & (\led_flash_cnt[1938][1]~q\ $ (VCC))) # (!\led_flash_cnt[1938][0]~q\ & (\led_flash_cnt[1938][1]~q\ & VCC))
-- \led_flash_cnt[1938][1]~54013\ = CARRY((\led_flash_cnt[1938][0]~q\ & \led_flash_cnt[1938][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1938][0]~q\,
	datab => \led_flash_cnt[1938][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1938][1]~54012_combout\,
	cout => \led_flash_cnt[1938][1]~54013\);

-- Location: FF_X18_Y9_N19
\led_flash_cnt[1938][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1938][1]~54012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1938][1]~q\);

-- Location: LCCOMB_X18_Y9_N20
\led_flash_cnt[1938][2]~54014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1938][2]~54014_combout\ = (\led_flash_cnt[1938][2]~q\ & (!\led_flash_cnt[1938][1]~54013\)) # (!\led_flash_cnt[1938][2]~q\ & ((\led_flash_cnt[1938][1]~54013\) # (GND)))
-- \led_flash_cnt[1938][2]~54015\ = CARRY((!\led_flash_cnt[1938][1]~54013\) # (!\led_flash_cnt[1938][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1938][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1938][1]~54013\,
	combout => \led_flash_cnt[1938][2]~54014_combout\,
	cout => \led_flash_cnt[1938][2]~54015\);

-- Location: FF_X18_Y9_N21
\led_flash_cnt[1938][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1938][2]~54014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1938][2]~q\);

-- Location: LCCOMB_X18_Y9_N22
\led_flash_cnt[1938][3]~54016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1938][3]~54016_combout\ = (\led_flash_cnt[1938][3]~q\ & (\led_flash_cnt[1938][2]~54015\ $ (GND))) # (!\led_flash_cnt[1938][3]~q\ & (!\led_flash_cnt[1938][2]~54015\ & VCC))
-- \led_flash_cnt[1938][3]~54017\ = CARRY((\led_flash_cnt[1938][3]~q\ & !\led_flash_cnt[1938][2]~54015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1938][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1938][2]~54015\,
	combout => \led_flash_cnt[1938][3]~54016_combout\,
	cout => \led_flash_cnt[1938][3]~54017\);

-- Location: FF_X18_Y9_N23
\led_flash_cnt[1938][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1938][3]~54016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1938][3]~q\);

-- Location: LCCOMB_X18_Y9_N24
\led_flash_cnt[1938][4]~54018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1938][4]~54018_combout\ = (\led_flash_cnt[1938][4]~q\ & (!\led_flash_cnt[1938][3]~54017\)) # (!\led_flash_cnt[1938][4]~q\ & ((\led_flash_cnt[1938][3]~54017\) # (GND)))
-- \led_flash_cnt[1938][4]~54019\ = CARRY((!\led_flash_cnt[1938][3]~54017\) # (!\led_flash_cnt[1938][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1938][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1938][3]~54017\,
	combout => \led_flash_cnt[1938][4]~54018_combout\,
	cout => \led_flash_cnt[1938][4]~54019\);

-- Location: FF_X18_Y9_N25
\led_flash_cnt[1938][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1938][4]~54018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1938][4]~q\);

-- Location: LCCOMB_X18_Y9_N0
\WideAnd1938~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1938~0_combout\ = (\led_flash_cnt[1938][4]~q\ & (\led_flash_cnt[1938][2]~q\ & (\led_flash_cnt[1938][3]~q\ & \led_flash_cnt[1938][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1938][4]~q\,
	datab => \led_flash_cnt[1938][2]~q\,
	datac => \led_flash_cnt[1938][3]~q\,
	datad => \led_flash_cnt[1938][1]~q\,
	combout => \WideAnd1938~0_combout\);

-- Location: LCCOMB_X18_Y9_N26
\led_flash_cnt[1938][5]~54020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1938][5]~54020_combout\ = (\led_flash_cnt[1938][5]~q\ & (\led_flash_cnt[1938][4]~54019\ $ (GND))) # (!\led_flash_cnt[1938][5]~q\ & (!\led_flash_cnt[1938][4]~54019\ & VCC))
-- \led_flash_cnt[1938][5]~54021\ = CARRY((\led_flash_cnt[1938][5]~q\ & !\led_flash_cnt[1938][4]~54019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1938][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1938][4]~54019\,
	combout => \led_flash_cnt[1938][5]~54020_combout\,
	cout => \led_flash_cnt[1938][5]~54021\);

-- Location: FF_X18_Y9_N27
\led_flash_cnt[1938][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1938][5]~54020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1938][5]~q\);

-- Location: LCCOMB_X18_Y9_N28
\led_flash_cnt[1938][6]~54022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1938][6]~54022_combout\ = (\led_flash_cnt[1938][6]~q\ & (!\led_flash_cnt[1938][5]~54021\)) # (!\led_flash_cnt[1938][6]~q\ & ((\led_flash_cnt[1938][5]~54021\) # (GND)))
-- \led_flash_cnt[1938][6]~54023\ = CARRY((!\led_flash_cnt[1938][5]~54021\) # (!\led_flash_cnt[1938][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1938][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1938][5]~54021\,
	combout => \led_flash_cnt[1938][6]~54022_combout\,
	cout => \led_flash_cnt[1938][6]~54023\);

-- Location: FF_X18_Y9_N29
\led_flash_cnt[1938][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1938][6]~54022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1938][6]~q\);

-- Location: LCCOMB_X18_Y10_N4
\WideAnd1938~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1938~1_combout\ = (\led_flash_cnt[1938][5]~q\ & \led_flash_cnt[1938][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1938][5]~q\,
	datad => \led_flash_cnt[1938][6]~q\,
	combout => \WideAnd1938~1_combout\);

-- Location: LCCOMB_X18_Y9_N30
\led_flash_cnt[1938][7]~54024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1938][7]~54024_combout\ = \led_flash_cnt[1938][7]~q\ $ (!\led_flash_cnt[1938][6]~54023\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1938][7]~q\,
	cin => \led_flash_cnt[1938][6]~54023\,
	combout => \led_flash_cnt[1938][7]~54024_combout\);

-- Location: FF_X18_Y9_N31
\led_flash_cnt[1938][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1938][7]~54024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1938][7]~q\);

-- Location: LCCOMB_X18_Y10_N6
WideAnd1938 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1938~combout\ = (\led_flash_cnt[1938][0]~q\ & (\WideAnd1938~0_combout\ & (\WideAnd1938~1_combout\ & \led_flash_cnt[1938][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1938][0]~q\,
	datab => \WideAnd1938~0_combout\,
	datac => \WideAnd1938~1_combout\,
	datad => \led_flash_cnt[1938][7]~q\,
	combout => \WideAnd1938~combout\);

-- Location: FF_X18_Y10_N7
\led_flash_cnt_ands[1938]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1938~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1938));

-- Location: LCCOMB_X18_Y10_N8
\WideAnd4082~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4082~0_combout\ = (led_flash_cnt_ands(1939) & (led_flash_cnt_ands(1936) & (led_flash_cnt_ands(1937) & led_flash_cnt_ands(1938))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1939),
	datab => led_flash_cnt_ands(1936),
	datac => led_flash_cnt_ands(1937),
	datad => led_flash_cnt_ands(1938),
	combout => \WideAnd4082~0_combout\);

-- Location: LCCOMB_X19_Y4_N24
\led_flash_cnt[1942][0]~82582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1942][0]~82582_combout\ = !\led_flash_cnt[1942][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1942][0]~q\,
	combout => \led_flash_cnt[1942][0]~82582_combout\);

-- Location: FF_X19_Y4_N25
\led_flash_cnt[1942][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1942][0]~82582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1942][0]~q\);

-- Location: LCCOMB_X22_Y4_N18
\led_flash_cnt[1942][1]~54068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1942][1]~54068_combout\ = (\led_flash_cnt[1942][0]~q\ & (\led_flash_cnt[1942][1]~q\ $ (VCC))) # (!\led_flash_cnt[1942][0]~q\ & (\led_flash_cnt[1942][1]~q\ & VCC))
-- \led_flash_cnt[1942][1]~54069\ = CARRY((\led_flash_cnt[1942][0]~q\ & \led_flash_cnt[1942][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1942][0]~q\,
	datab => \led_flash_cnt[1942][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1942][1]~54068_combout\,
	cout => \led_flash_cnt[1942][1]~54069\);

-- Location: FF_X22_Y4_N19
\led_flash_cnt[1942][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1942][1]~54068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1942][1]~q\);

-- Location: LCCOMB_X22_Y4_N20
\led_flash_cnt[1942][2]~54070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1942][2]~54070_combout\ = (\led_flash_cnt[1942][2]~q\ & (!\led_flash_cnt[1942][1]~54069\)) # (!\led_flash_cnt[1942][2]~q\ & ((\led_flash_cnt[1942][1]~54069\) # (GND)))
-- \led_flash_cnt[1942][2]~54071\ = CARRY((!\led_flash_cnt[1942][1]~54069\) # (!\led_flash_cnt[1942][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1942][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1942][1]~54069\,
	combout => \led_flash_cnt[1942][2]~54070_combout\,
	cout => \led_flash_cnt[1942][2]~54071\);

-- Location: FF_X22_Y4_N21
\led_flash_cnt[1942][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1942][2]~54070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1942][2]~q\);

-- Location: LCCOMB_X22_Y4_N22
\led_flash_cnt[1942][3]~54072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1942][3]~54072_combout\ = (\led_flash_cnt[1942][3]~q\ & (\led_flash_cnt[1942][2]~54071\ $ (GND))) # (!\led_flash_cnt[1942][3]~q\ & (!\led_flash_cnt[1942][2]~54071\ & VCC))
-- \led_flash_cnt[1942][3]~54073\ = CARRY((\led_flash_cnt[1942][3]~q\ & !\led_flash_cnt[1942][2]~54071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1942][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1942][2]~54071\,
	combout => \led_flash_cnt[1942][3]~54072_combout\,
	cout => \led_flash_cnt[1942][3]~54073\);

-- Location: FF_X22_Y4_N23
\led_flash_cnt[1942][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1942][3]~54072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1942][3]~q\);

-- Location: LCCOMB_X22_Y4_N24
\led_flash_cnt[1942][4]~54074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1942][4]~54074_combout\ = (\led_flash_cnt[1942][4]~q\ & (!\led_flash_cnt[1942][3]~54073\)) # (!\led_flash_cnt[1942][4]~q\ & ((\led_flash_cnt[1942][3]~54073\) # (GND)))
-- \led_flash_cnt[1942][4]~54075\ = CARRY((!\led_flash_cnt[1942][3]~54073\) # (!\led_flash_cnt[1942][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1942][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1942][3]~54073\,
	combout => \led_flash_cnt[1942][4]~54074_combout\,
	cout => \led_flash_cnt[1942][4]~54075\);

-- Location: FF_X22_Y4_N25
\led_flash_cnt[1942][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1942][4]~54074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1942][4]~q\);

-- Location: LCCOMB_X22_Y4_N16
\WideAnd1942~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1942~0_combout\ = (\led_flash_cnt[1942][2]~q\ & (\led_flash_cnt[1942][1]~q\ & (\led_flash_cnt[1942][3]~q\ & \led_flash_cnt[1942][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1942][2]~q\,
	datab => \led_flash_cnt[1942][1]~q\,
	datac => \led_flash_cnt[1942][3]~q\,
	datad => \led_flash_cnt[1942][4]~q\,
	combout => \WideAnd1942~0_combout\);

-- Location: LCCOMB_X22_Y4_N26
\led_flash_cnt[1942][5]~54076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1942][5]~54076_combout\ = (\led_flash_cnt[1942][5]~q\ & (\led_flash_cnt[1942][4]~54075\ $ (GND))) # (!\led_flash_cnt[1942][5]~q\ & (!\led_flash_cnt[1942][4]~54075\ & VCC))
-- \led_flash_cnt[1942][5]~54077\ = CARRY((\led_flash_cnt[1942][5]~q\ & !\led_flash_cnt[1942][4]~54075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1942][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1942][4]~54075\,
	combout => \led_flash_cnt[1942][5]~54076_combout\,
	cout => \led_flash_cnt[1942][5]~54077\);

-- Location: FF_X22_Y4_N27
\led_flash_cnt[1942][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1942][5]~54076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1942][5]~q\);

-- Location: LCCOMB_X22_Y4_N28
\led_flash_cnt[1942][6]~54078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1942][6]~54078_combout\ = (\led_flash_cnt[1942][6]~q\ & (!\led_flash_cnt[1942][5]~54077\)) # (!\led_flash_cnt[1942][6]~q\ & ((\led_flash_cnt[1942][5]~54077\) # (GND)))
-- \led_flash_cnt[1942][6]~54079\ = CARRY((!\led_flash_cnt[1942][5]~54077\) # (!\led_flash_cnt[1942][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1942][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1942][5]~54077\,
	combout => \led_flash_cnt[1942][6]~54078_combout\,
	cout => \led_flash_cnt[1942][6]~54079\);

-- Location: FF_X22_Y4_N29
\led_flash_cnt[1942][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1942][6]~54078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1942][6]~q\);

-- Location: LCCOMB_X22_Y4_N30
\led_flash_cnt[1942][7]~54080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1942][7]~54080_combout\ = \led_flash_cnt[1942][7]~q\ $ (!\led_flash_cnt[1942][6]~54079\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1942][7]~q\,
	cin => \led_flash_cnt[1942][6]~54079\,
	combout => \led_flash_cnt[1942][7]~54080_combout\);

-- Location: FF_X22_Y4_N31
\led_flash_cnt[1942][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1942][7]~54080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1942][7]~q\);

-- Location: LCCOMB_X23_Y4_N2
\WideAnd1942~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1942~1_combout\ = (\led_flash_cnt[1942][5]~q\ & \led_flash_cnt[1942][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1942][5]~q\,
	datad => \led_flash_cnt[1942][6]~q\,
	combout => \WideAnd1942~1_combout\);

-- Location: LCCOMB_X23_Y4_N28
WideAnd1942 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1942~combout\ = (\WideAnd1942~0_combout\ & (\led_flash_cnt[1942][7]~q\ & (\led_flash_cnt[1942][0]~q\ & \WideAnd1942~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1942~0_combout\,
	datab => \led_flash_cnt[1942][7]~q\,
	datac => \led_flash_cnt[1942][0]~q\,
	datad => \WideAnd1942~1_combout\,
	combout => \WideAnd1942~combout\);

-- Location: FF_X23_Y4_N29
\led_flash_cnt_ands[1942]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1942~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1942));

-- Location: LCCOMB_X14_Y5_N6
\led_flash_cnt[1941][0]~82581\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1941][0]~82581_combout\ = !\led_flash_cnt[1941][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1941][0]~q\,
	combout => \led_flash_cnt[1941][0]~82581_combout\);

-- Location: FF_X14_Y5_N7
\led_flash_cnt[1941][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1941][0]~82581_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1941][0]~q\);

-- Location: LCCOMB_X15_Y5_N0
\led_flash_cnt[1941][1]~54054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1941][1]~54054_combout\ = (\led_flash_cnt[1941][0]~q\ & (\led_flash_cnt[1941][1]~q\ $ (VCC))) # (!\led_flash_cnt[1941][0]~q\ & (\led_flash_cnt[1941][1]~q\ & VCC))
-- \led_flash_cnt[1941][1]~54055\ = CARRY((\led_flash_cnt[1941][0]~q\ & \led_flash_cnt[1941][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1941][0]~q\,
	datab => \led_flash_cnt[1941][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1941][1]~54054_combout\,
	cout => \led_flash_cnt[1941][1]~54055\);

-- Location: FF_X15_Y5_N1
\led_flash_cnt[1941][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1941][1]~54054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1941][1]~q\);

-- Location: LCCOMB_X15_Y5_N2
\led_flash_cnt[1941][2]~54056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1941][2]~54056_combout\ = (\led_flash_cnt[1941][2]~q\ & (!\led_flash_cnt[1941][1]~54055\)) # (!\led_flash_cnt[1941][2]~q\ & ((\led_flash_cnt[1941][1]~54055\) # (GND)))
-- \led_flash_cnt[1941][2]~54057\ = CARRY((!\led_flash_cnt[1941][1]~54055\) # (!\led_flash_cnt[1941][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1941][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1941][1]~54055\,
	combout => \led_flash_cnt[1941][2]~54056_combout\,
	cout => \led_flash_cnt[1941][2]~54057\);

-- Location: FF_X15_Y5_N3
\led_flash_cnt[1941][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1941][2]~54056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1941][2]~q\);

-- Location: LCCOMB_X15_Y5_N4
\led_flash_cnt[1941][3]~54058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1941][3]~54058_combout\ = (\led_flash_cnt[1941][3]~q\ & (\led_flash_cnt[1941][2]~54057\ $ (GND))) # (!\led_flash_cnt[1941][3]~q\ & (!\led_flash_cnt[1941][2]~54057\ & VCC))
-- \led_flash_cnt[1941][3]~54059\ = CARRY((\led_flash_cnt[1941][3]~q\ & !\led_flash_cnt[1941][2]~54057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1941][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1941][2]~54057\,
	combout => \led_flash_cnt[1941][3]~54058_combout\,
	cout => \led_flash_cnt[1941][3]~54059\);

-- Location: FF_X15_Y5_N5
\led_flash_cnt[1941][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1941][3]~54058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1941][3]~q\);

-- Location: LCCOMB_X15_Y5_N6
\led_flash_cnt[1941][4]~54060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1941][4]~54060_combout\ = (\led_flash_cnt[1941][4]~q\ & (!\led_flash_cnt[1941][3]~54059\)) # (!\led_flash_cnt[1941][4]~q\ & ((\led_flash_cnt[1941][3]~54059\) # (GND)))
-- \led_flash_cnt[1941][4]~54061\ = CARRY((!\led_flash_cnt[1941][3]~54059\) # (!\led_flash_cnt[1941][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1941][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1941][3]~54059\,
	combout => \led_flash_cnt[1941][4]~54060_combout\,
	cout => \led_flash_cnt[1941][4]~54061\);

-- Location: FF_X15_Y5_N7
\led_flash_cnt[1941][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1941][4]~54060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1941][4]~q\);

-- Location: LCCOMB_X15_Y5_N8
\led_flash_cnt[1941][5]~54062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1941][5]~54062_combout\ = (\led_flash_cnt[1941][5]~q\ & (\led_flash_cnt[1941][4]~54061\ $ (GND))) # (!\led_flash_cnt[1941][5]~q\ & (!\led_flash_cnt[1941][4]~54061\ & VCC))
-- \led_flash_cnt[1941][5]~54063\ = CARRY((\led_flash_cnt[1941][5]~q\ & !\led_flash_cnt[1941][4]~54061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1941][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1941][4]~54061\,
	combout => \led_flash_cnt[1941][5]~54062_combout\,
	cout => \led_flash_cnt[1941][5]~54063\);

-- Location: FF_X15_Y5_N9
\led_flash_cnt[1941][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1941][5]~54062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1941][5]~q\);

-- Location: LCCOMB_X15_Y5_N10
\led_flash_cnt[1941][6]~54064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1941][6]~54064_combout\ = (\led_flash_cnt[1941][6]~q\ & (!\led_flash_cnt[1941][5]~54063\)) # (!\led_flash_cnt[1941][6]~q\ & ((\led_flash_cnt[1941][5]~54063\) # (GND)))
-- \led_flash_cnt[1941][6]~54065\ = CARRY((!\led_flash_cnt[1941][5]~54063\) # (!\led_flash_cnt[1941][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1941][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1941][5]~54063\,
	combout => \led_flash_cnt[1941][6]~54064_combout\,
	cout => \led_flash_cnt[1941][6]~54065\);

-- Location: FF_X15_Y5_N11
\led_flash_cnt[1941][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1941][6]~54064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1941][6]~q\);

-- Location: LCCOMB_X14_Y5_N24
\WideAnd1941~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1941~1_combout\ = (\led_flash_cnt[1941][5]~q\ & \led_flash_cnt[1941][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1941][5]~q\,
	datac => \led_flash_cnt[1941][6]~q\,
	combout => \WideAnd1941~1_combout\);

-- Location: LCCOMB_X15_Y5_N12
\led_flash_cnt[1941][7]~54066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1941][7]~54066_combout\ = \led_flash_cnt[1941][6]~54065\ $ (!\led_flash_cnt[1941][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1941][7]~q\,
	cin => \led_flash_cnt[1941][6]~54065\,
	combout => \led_flash_cnt[1941][7]~54066_combout\);

-- Location: FF_X15_Y5_N13
\led_flash_cnt[1941][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1941][7]~54066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1941][7]~q\);

-- Location: LCCOMB_X15_Y5_N28
\WideAnd1941~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1941~0_combout\ = (\led_flash_cnt[1941][4]~q\ & (\led_flash_cnt[1941][2]~q\ & (\led_flash_cnt[1941][3]~q\ & \led_flash_cnt[1941][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1941][4]~q\,
	datab => \led_flash_cnt[1941][2]~q\,
	datac => \led_flash_cnt[1941][3]~q\,
	datad => \led_flash_cnt[1941][1]~q\,
	combout => \WideAnd1941~0_combout\);

-- Location: LCCOMB_X14_Y5_N30
WideAnd1941 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1941~combout\ = (\led_flash_cnt[1941][0]~q\ & (\WideAnd1941~1_combout\ & (\led_flash_cnt[1941][7]~q\ & \WideAnd1941~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1941][0]~q\,
	datab => \WideAnd1941~1_combout\,
	datac => \led_flash_cnt[1941][7]~q\,
	datad => \WideAnd1941~0_combout\,
	combout => \WideAnd1941~combout\);

-- Location: FF_X14_Y5_N31
\led_flash_cnt_ands[1941]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1941~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1941));

-- Location: LCCOMB_X19_Y4_N0
\led_flash_cnt[1940][0]~82580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1940][0]~82580_combout\ = !\led_flash_cnt[1940][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1940][0]~q\,
	combout => \led_flash_cnt[1940][0]~82580_combout\);

-- Location: FF_X19_Y4_N1
\led_flash_cnt[1940][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1940][0]~82580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1940][0]~q\);

-- Location: LCCOMB_X19_Y4_N2
\led_flash_cnt[1940][1]~54040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1940][1]~54040_combout\ = (\led_flash_cnt[1940][1]~q\ & (\led_flash_cnt[1940][0]~q\ $ (VCC))) # (!\led_flash_cnt[1940][1]~q\ & (\led_flash_cnt[1940][0]~q\ & VCC))
-- \led_flash_cnt[1940][1]~54041\ = CARRY((\led_flash_cnt[1940][1]~q\ & \led_flash_cnt[1940][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1940][1]~q\,
	datab => \led_flash_cnt[1940][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1940][1]~54040_combout\,
	cout => \led_flash_cnt[1940][1]~54041\);

-- Location: FF_X19_Y4_N3
\led_flash_cnt[1940][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1940][1]~54040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1940][1]~q\);

-- Location: LCCOMB_X19_Y4_N4
\led_flash_cnt[1940][2]~54042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1940][2]~54042_combout\ = (\led_flash_cnt[1940][2]~q\ & (!\led_flash_cnt[1940][1]~54041\)) # (!\led_flash_cnt[1940][2]~q\ & ((\led_flash_cnt[1940][1]~54041\) # (GND)))
-- \led_flash_cnt[1940][2]~54043\ = CARRY((!\led_flash_cnt[1940][1]~54041\) # (!\led_flash_cnt[1940][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1940][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1940][1]~54041\,
	combout => \led_flash_cnt[1940][2]~54042_combout\,
	cout => \led_flash_cnt[1940][2]~54043\);

-- Location: FF_X19_Y4_N5
\led_flash_cnt[1940][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1940][2]~54042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1940][2]~q\);

-- Location: LCCOMB_X19_Y4_N6
\led_flash_cnt[1940][3]~54044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1940][3]~54044_combout\ = (\led_flash_cnt[1940][3]~q\ & (\led_flash_cnt[1940][2]~54043\ $ (GND))) # (!\led_flash_cnt[1940][3]~q\ & (!\led_flash_cnt[1940][2]~54043\ & VCC))
-- \led_flash_cnt[1940][3]~54045\ = CARRY((\led_flash_cnt[1940][3]~q\ & !\led_flash_cnt[1940][2]~54043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1940][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1940][2]~54043\,
	combout => \led_flash_cnt[1940][3]~54044_combout\,
	cout => \led_flash_cnt[1940][3]~54045\);

-- Location: FF_X19_Y4_N7
\led_flash_cnt[1940][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1940][3]~54044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1940][3]~q\);

-- Location: LCCOMB_X19_Y4_N8
\led_flash_cnt[1940][4]~54046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1940][4]~54046_combout\ = (\led_flash_cnt[1940][4]~q\ & (!\led_flash_cnt[1940][3]~54045\)) # (!\led_flash_cnt[1940][4]~q\ & ((\led_flash_cnt[1940][3]~54045\) # (GND)))
-- \led_flash_cnt[1940][4]~54047\ = CARRY((!\led_flash_cnt[1940][3]~54045\) # (!\led_flash_cnt[1940][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1940][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1940][3]~54045\,
	combout => \led_flash_cnt[1940][4]~54046_combout\,
	cout => \led_flash_cnt[1940][4]~54047\);

-- Location: FF_X19_Y4_N9
\led_flash_cnt[1940][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1940][4]~54046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1940][4]~q\);

-- Location: LCCOMB_X19_Y4_N26
\WideAnd1940~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1940~0_combout\ = (\led_flash_cnt[1940][1]~q\ & (\led_flash_cnt[1940][2]~q\ & (\led_flash_cnt[1940][4]~q\ & \led_flash_cnt[1940][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1940][1]~q\,
	datab => \led_flash_cnt[1940][2]~q\,
	datac => \led_flash_cnt[1940][4]~q\,
	datad => \led_flash_cnt[1940][3]~q\,
	combout => \WideAnd1940~0_combout\);

-- Location: LCCOMB_X19_Y4_N10
\led_flash_cnt[1940][5]~54048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1940][5]~54048_combout\ = (\led_flash_cnt[1940][5]~q\ & (\led_flash_cnt[1940][4]~54047\ $ (GND))) # (!\led_flash_cnt[1940][5]~q\ & (!\led_flash_cnt[1940][4]~54047\ & VCC))
-- \led_flash_cnt[1940][5]~54049\ = CARRY((\led_flash_cnt[1940][5]~q\ & !\led_flash_cnt[1940][4]~54047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1940][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1940][4]~54047\,
	combout => \led_flash_cnt[1940][5]~54048_combout\,
	cout => \led_flash_cnt[1940][5]~54049\);

-- Location: FF_X19_Y4_N11
\led_flash_cnt[1940][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1940][5]~54048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1940][5]~q\);

-- Location: LCCOMB_X19_Y4_N12
\led_flash_cnt[1940][6]~54050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1940][6]~54050_combout\ = (\led_flash_cnt[1940][6]~q\ & (!\led_flash_cnt[1940][5]~54049\)) # (!\led_flash_cnt[1940][6]~q\ & ((\led_flash_cnt[1940][5]~54049\) # (GND)))
-- \led_flash_cnt[1940][6]~54051\ = CARRY((!\led_flash_cnt[1940][5]~54049\) # (!\led_flash_cnt[1940][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1940][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1940][5]~54049\,
	combout => \led_flash_cnt[1940][6]~54050_combout\,
	cout => \led_flash_cnt[1940][6]~54051\);

-- Location: FF_X19_Y4_N13
\led_flash_cnt[1940][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1940][6]~54050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1940][6]~q\);

-- Location: LCCOMB_X19_Y4_N14
\led_flash_cnt[1940][7]~54052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1940][7]~54052_combout\ = \led_flash_cnt[1940][7]~q\ $ (!\led_flash_cnt[1940][6]~54051\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1940][7]~q\,
	cin => \led_flash_cnt[1940][6]~54051\,
	combout => \led_flash_cnt[1940][7]~54052_combout\);

-- Location: FF_X19_Y4_N15
\led_flash_cnt[1940][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1940][7]~54052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1940][7]~q\);

-- Location: LCCOMB_X19_Y4_N18
\WideAnd1940~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1940~1_combout\ = (\led_flash_cnt[1940][5]~q\ & \led_flash_cnt[1940][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1940][5]~q\,
	datad => \led_flash_cnt[1940][6]~q\,
	combout => \WideAnd1940~1_combout\);

-- Location: LCCOMB_X19_Y4_N28
WideAnd1940 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1940~combout\ = (\WideAnd1940~0_combout\ & (\led_flash_cnt[1940][0]~q\ & (\led_flash_cnt[1940][7]~q\ & \WideAnd1940~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1940~0_combout\,
	datab => \led_flash_cnt[1940][0]~q\,
	datac => \led_flash_cnt[1940][7]~q\,
	datad => \WideAnd1940~1_combout\,
	combout => \WideAnd1940~combout\);

-- Location: FF_X19_Y4_N29
\led_flash_cnt_ands[1940]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1940~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1940));

-- Location: LCCOMB_X18_Y4_N12
\WideAnd4082~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4082~1_combout\ = (led_flash_cnt_ands(1941) & led_flash_cnt_ands(1940))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1941),
	datad => led_flash_cnt_ands(1940),
	combout => \WideAnd4082~1_combout\);

-- Location: LCCOMB_X19_Y4_N20
WideAnd4082 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4082~combout\ = (led_flash_cnt_ands(1943) & (\WideAnd4082~0_combout\ & (led_flash_cnt_ands(1942) & \WideAnd4082~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1943),
	datab => \WideAnd4082~0_combout\,
	datac => led_flash_cnt_ands(1942),
	datad => \WideAnd4082~1_combout\,
	combout => \WideAnd4082~combout\);

-- Location: FF_X19_Y4_N21
\led_flash_cnt_ands_1[242]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4082~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(242));

-- Location: LCCOMB_X12_Y10_N22
\led_flash_cnt[1950][0]~82590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1950][0]~82590_combout\ = !\led_flash_cnt[1950][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1950][0]~q\,
	combout => \led_flash_cnt[1950][0]~82590_combout\);

-- Location: FF_X12_Y10_N23
\led_flash_cnt[1950][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1950][0]~82590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1950][0]~q\);

-- Location: LCCOMB_X12_Y10_N0
\led_flash_cnt[1950][1]~54180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1950][1]~54180_combout\ = (\led_flash_cnt[1950][0]~q\ & (\led_flash_cnt[1950][1]~q\ $ (VCC))) # (!\led_flash_cnt[1950][0]~q\ & (\led_flash_cnt[1950][1]~q\ & VCC))
-- \led_flash_cnt[1950][1]~54181\ = CARRY((\led_flash_cnt[1950][0]~q\ & \led_flash_cnt[1950][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1950][0]~q\,
	datab => \led_flash_cnt[1950][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1950][1]~54180_combout\,
	cout => \led_flash_cnt[1950][1]~54181\);

-- Location: FF_X12_Y10_N1
\led_flash_cnt[1950][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1950][1]~54180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1950][1]~q\);

-- Location: LCCOMB_X12_Y10_N2
\led_flash_cnt[1950][2]~54182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1950][2]~54182_combout\ = (\led_flash_cnt[1950][2]~q\ & (!\led_flash_cnt[1950][1]~54181\)) # (!\led_flash_cnt[1950][2]~q\ & ((\led_flash_cnt[1950][1]~54181\) # (GND)))
-- \led_flash_cnt[1950][2]~54183\ = CARRY((!\led_flash_cnt[1950][1]~54181\) # (!\led_flash_cnt[1950][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1950][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1950][1]~54181\,
	combout => \led_flash_cnt[1950][2]~54182_combout\,
	cout => \led_flash_cnt[1950][2]~54183\);

-- Location: FF_X12_Y10_N3
\led_flash_cnt[1950][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1950][2]~54182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1950][2]~q\);

-- Location: LCCOMB_X12_Y10_N4
\led_flash_cnt[1950][3]~54184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1950][3]~54184_combout\ = (\led_flash_cnt[1950][3]~q\ & (\led_flash_cnt[1950][2]~54183\ $ (GND))) # (!\led_flash_cnt[1950][3]~q\ & (!\led_flash_cnt[1950][2]~54183\ & VCC))
-- \led_flash_cnt[1950][3]~54185\ = CARRY((\led_flash_cnt[1950][3]~q\ & !\led_flash_cnt[1950][2]~54183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1950][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1950][2]~54183\,
	combout => \led_flash_cnt[1950][3]~54184_combout\,
	cout => \led_flash_cnt[1950][3]~54185\);

-- Location: FF_X12_Y10_N5
\led_flash_cnt[1950][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1950][3]~54184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1950][3]~q\);

-- Location: LCCOMB_X12_Y10_N6
\led_flash_cnt[1950][4]~54186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1950][4]~54186_combout\ = (\led_flash_cnt[1950][4]~q\ & (!\led_flash_cnt[1950][3]~54185\)) # (!\led_flash_cnt[1950][4]~q\ & ((\led_flash_cnt[1950][3]~54185\) # (GND)))
-- \led_flash_cnt[1950][4]~54187\ = CARRY((!\led_flash_cnt[1950][3]~54185\) # (!\led_flash_cnt[1950][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1950][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1950][3]~54185\,
	combout => \led_flash_cnt[1950][4]~54186_combout\,
	cout => \led_flash_cnt[1950][4]~54187\);

-- Location: FF_X12_Y10_N7
\led_flash_cnt[1950][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1950][4]~54186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1950][4]~q\);

-- Location: LCCOMB_X12_Y10_N8
\led_flash_cnt[1950][5]~54188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1950][5]~54188_combout\ = (\led_flash_cnt[1950][5]~q\ & (\led_flash_cnt[1950][4]~54187\ $ (GND))) # (!\led_flash_cnt[1950][5]~q\ & (!\led_flash_cnt[1950][4]~54187\ & VCC))
-- \led_flash_cnt[1950][5]~54189\ = CARRY((\led_flash_cnt[1950][5]~q\ & !\led_flash_cnt[1950][4]~54187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1950][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1950][4]~54187\,
	combout => \led_flash_cnt[1950][5]~54188_combout\,
	cout => \led_flash_cnt[1950][5]~54189\);

-- Location: FF_X12_Y10_N9
\led_flash_cnt[1950][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1950][5]~54188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1950][5]~q\);

-- Location: LCCOMB_X12_Y10_N10
\led_flash_cnt[1950][6]~54190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1950][6]~54190_combout\ = (\led_flash_cnt[1950][6]~q\ & (!\led_flash_cnt[1950][5]~54189\)) # (!\led_flash_cnt[1950][6]~q\ & ((\led_flash_cnt[1950][5]~54189\) # (GND)))
-- \led_flash_cnt[1950][6]~54191\ = CARRY((!\led_flash_cnt[1950][5]~54189\) # (!\led_flash_cnt[1950][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1950][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1950][5]~54189\,
	combout => \led_flash_cnt[1950][6]~54190_combout\,
	cout => \led_flash_cnt[1950][6]~54191\);

-- Location: FF_X12_Y10_N11
\led_flash_cnt[1950][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1950][6]~54190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1950][6]~q\);

-- Location: LCCOMB_X12_Y10_N26
\WideAnd1950~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1950~1_combout\ = (\led_flash_cnt[1950][5]~q\ & \led_flash_cnt[1950][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1950][5]~q\,
	datad => \led_flash_cnt[1950][6]~q\,
	combout => \WideAnd1950~1_combout\);

-- Location: LCCOMB_X12_Y10_N18
\WideAnd1950~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1950~0_combout\ = (\led_flash_cnt[1950][4]~q\ & (\led_flash_cnt[1950][1]~q\ & (\led_flash_cnt[1950][3]~q\ & \led_flash_cnt[1950][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1950][4]~q\,
	datab => \led_flash_cnt[1950][1]~q\,
	datac => \led_flash_cnt[1950][3]~q\,
	datad => \led_flash_cnt[1950][2]~q\,
	combout => \WideAnd1950~0_combout\);

-- Location: LCCOMB_X12_Y10_N12
\led_flash_cnt[1950][7]~54192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1950][7]~54192_combout\ = \led_flash_cnt[1950][6]~54191\ $ (!\led_flash_cnt[1950][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1950][7]~q\,
	cin => \led_flash_cnt[1950][6]~54191\,
	combout => \led_flash_cnt[1950][7]~54192_combout\);

-- Location: FF_X12_Y10_N13
\led_flash_cnt[1950][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1950][7]~54192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1950][7]~q\);

-- Location: LCCOMB_X12_Y10_N24
WideAnd1950 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1950~combout\ = (\WideAnd1950~1_combout\ & (\WideAnd1950~0_combout\ & (\led_flash_cnt[1950][0]~q\ & \led_flash_cnt[1950][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1950~1_combout\,
	datab => \WideAnd1950~0_combout\,
	datac => \led_flash_cnt[1950][0]~q\,
	datad => \led_flash_cnt[1950][7]~q\,
	combout => \WideAnd1950~combout\);

-- Location: FF_X12_Y10_N25
\led_flash_cnt_ands[1950]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1950~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1950));

-- Location: LCCOMB_X47_Y15_N26
\led_flash_cnt[1949][0]~82589\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1949][0]~82589_combout\ = !\led_flash_cnt[1949][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1949][0]~q\,
	combout => \led_flash_cnt[1949][0]~82589_combout\);

-- Location: FF_X47_Y15_N27
\led_flash_cnt[1949][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1949][0]~82589_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1949][0]~q\);

-- Location: LCCOMB_X47_Y15_N8
\led_flash_cnt[1949][1]~54166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1949][1]~54166_combout\ = (\led_flash_cnt[1949][0]~q\ & (\led_flash_cnt[1949][1]~q\ $ (VCC))) # (!\led_flash_cnt[1949][0]~q\ & (\led_flash_cnt[1949][1]~q\ & VCC))
-- \led_flash_cnt[1949][1]~54167\ = CARRY((\led_flash_cnt[1949][0]~q\ & \led_flash_cnt[1949][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1949][0]~q\,
	datab => \led_flash_cnt[1949][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1949][1]~54166_combout\,
	cout => \led_flash_cnt[1949][1]~54167\);

-- Location: FF_X47_Y15_N9
\led_flash_cnt[1949][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1949][1]~54166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1949][1]~q\);

-- Location: LCCOMB_X47_Y15_N10
\led_flash_cnt[1949][2]~54168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1949][2]~54168_combout\ = (\led_flash_cnt[1949][2]~q\ & (!\led_flash_cnt[1949][1]~54167\)) # (!\led_flash_cnt[1949][2]~q\ & ((\led_flash_cnt[1949][1]~54167\) # (GND)))
-- \led_flash_cnt[1949][2]~54169\ = CARRY((!\led_flash_cnt[1949][1]~54167\) # (!\led_flash_cnt[1949][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1949][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1949][1]~54167\,
	combout => \led_flash_cnt[1949][2]~54168_combout\,
	cout => \led_flash_cnt[1949][2]~54169\);

-- Location: FF_X47_Y15_N11
\led_flash_cnt[1949][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1949][2]~54168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1949][2]~q\);

-- Location: LCCOMB_X47_Y15_N12
\led_flash_cnt[1949][3]~54170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1949][3]~54170_combout\ = (\led_flash_cnt[1949][3]~q\ & (\led_flash_cnt[1949][2]~54169\ $ (GND))) # (!\led_flash_cnt[1949][3]~q\ & (!\led_flash_cnt[1949][2]~54169\ & VCC))
-- \led_flash_cnt[1949][3]~54171\ = CARRY((\led_flash_cnt[1949][3]~q\ & !\led_flash_cnt[1949][2]~54169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1949][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1949][2]~54169\,
	combout => \led_flash_cnt[1949][3]~54170_combout\,
	cout => \led_flash_cnt[1949][3]~54171\);

-- Location: FF_X47_Y15_N13
\led_flash_cnt[1949][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1949][3]~54170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1949][3]~q\);

-- Location: LCCOMB_X47_Y15_N14
\led_flash_cnt[1949][4]~54172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1949][4]~54172_combout\ = (\led_flash_cnt[1949][4]~q\ & (!\led_flash_cnt[1949][3]~54171\)) # (!\led_flash_cnt[1949][4]~q\ & ((\led_flash_cnt[1949][3]~54171\) # (GND)))
-- \led_flash_cnt[1949][4]~54173\ = CARRY((!\led_flash_cnt[1949][3]~54171\) # (!\led_flash_cnt[1949][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1949][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1949][3]~54171\,
	combout => \led_flash_cnt[1949][4]~54172_combout\,
	cout => \led_flash_cnt[1949][4]~54173\);

-- Location: FF_X47_Y15_N15
\led_flash_cnt[1949][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1949][4]~54172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1949][4]~q\);

-- Location: LCCOMB_X47_Y15_N16
\led_flash_cnt[1949][5]~54174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1949][5]~54174_combout\ = (\led_flash_cnt[1949][5]~q\ & (\led_flash_cnt[1949][4]~54173\ $ (GND))) # (!\led_flash_cnt[1949][5]~q\ & (!\led_flash_cnt[1949][4]~54173\ & VCC))
-- \led_flash_cnt[1949][5]~54175\ = CARRY((\led_flash_cnt[1949][5]~q\ & !\led_flash_cnt[1949][4]~54173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1949][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1949][4]~54173\,
	combout => \led_flash_cnt[1949][5]~54174_combout\,
	cout => \led_flash_cnt[1949][5]~54175\);

-- Location: FF_X47_Y15_N17
\led_flash_cnt[1949][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1949][5]~54174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1949][5]~q\);

-- Location: LCCOMB_X47_Y15_N18
\led_flash_cnt[1949][6]~54176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1949][6]~54176_combout\ = (\led_flash_cnt[1949][6]~q\ & (!\led_flash_cnt[1949][5]~54175\)) # (!\led_flash_cnt[1949][6]~q\ & ((\led_flash_cnt[1949][5]~54175\) # (GND)))
-- \led_flash_cnt[1949][6]~54177\ = CARRY((!\led_flash_cnt[1949][5]~54175\) # (!\led_flash_cnt[1949][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1949][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1949][5]~54175\,
	combout => \led_flash_cnt[1949][6]~54176_combout\,
	cout => \led_flash_cnt[1949][6]~54177\);

-- Location: FF_X47_Y15_N19
\led_flash_cnt[1949][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1949][6]~54176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1949][6]~q\);

-- Location: LCCOMB_X47_Y15_N20
\led_flash_cnt[1949][7]~54178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1949][7]~54178_combout\ = \led_flash_cnt[1949][6]~54177\ $ (!\led_flash_cnt[1949][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1949][7]~q\,
	cin => \led_flash_cnt[1949][6]~54177\,
	combout => \led_flash_cnt[1949][7]~54178_combout\);

-- Location: FF_X47_Y15_N21
\led_flash_cnt[1949][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1949][7]~54178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1949][7]~q\);

-- Location: LCCOMB_X47_Y15_N4
\WideAnd1949~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1949~1_combout\ = (\led_flash_cnt[1949][5]~q\ & \led_flash_cnt[1949][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1949][5]~q\,
	datad => \led_flash_cnt[1949][6]~q\,
	combout => \WideAnd1949~1_combout\);

-- Location: LCCOMB_X47_Y15_N24
\WideAnd1949~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1949~0_combout\ = (\led_flash_cnt[1949][3]~q\ & (\led_flash_cnt[1949][1]~q\ & (\led_flash_cnt[1949][4]~q\ & \led_flash_cnt[1949][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1949][3]~q\,
	datab => \led_flash_cnt[1949][1]~q\,
	datac => \led_flash_cnt[1949][4]~q\,
	datad => \led_flash_cnt[1949][2]~q\,
	combout => \WideAnd1949~0_combout\);

-- Location: LCCOMB_X47_Y15_N28
WideAnd1949 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1949~combout\ = (\led_flash_cnt[1949][0]~q\ & (\led_flash_cnt[1949][7]~q\ & (\WideAnd1949~1_combout\ & \WideAnd1949~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1949][0]~q\,
	datab => \led_flash_cnt[1949][7]~q\,
	datac => \WideAnd1949~1_combout\,
	datad => \WideAnd1949~0_combout\,
	combout => \WideAnd1949~combout\);

-- Location: FF_X47_Y15_N29
\led_flash_cnt_ands[1949]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1949~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1949));

-- Location: LCCOMB_X16_Y18_N12
\led_flash_cnt[1948][0]~82588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1948][0]~82588_combout\ = !\led_flash_cnt[1948][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1948][0]~q\,
	combout => \led_flash_cnt[1948][0]~82588_combout\);

-- Location: FF_X16_Y18_N13
\led_flash_cnt[1948][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1948][0]~82588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1948][0]~q\);

-- Location: LCCOMB_X16_Y18_N18
\led_flash_cnt[1948][1]~54152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1948][1]~54152_combout\ = (\led_flash_cnt[1948][0]~q\ & (\led_flash_cnt[1948][1]~q\ $ (VCC))) # (!\led_flash_cnt[1948][0]~q\ & (\led_flash_cnt[1948][1]~q\ & VCC))
-- \led_flash_cnt[1948][1]~54153\ = CARRY((\led_flash_cnt[1948][0]~q\ & \led_flash_cnt[1948][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1948][0]~q\,
	datab => \led_flash_cnt[1948][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1948][1]~54152_combout\,
	cout => \led_flash_cnt[1948][1]~54153\);

-- Location: FF_X16_Y18_N19
\led_flash_cnt[1948][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1948][1]~54152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1948][1]~q\);

-- Location: LCCOMB_X16_Y18_N20
\led_flash_cnt[1948][2]~54154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1948][2]~54154_combout\ = (\led_flash_cnt[1948][2]~q\ & (!\led_flash_cnt[1948][1]~54153\)) # (!\led_flash_cnt[1948][2]~q\ & ((\led_flash_cnt[1948][1]~54153\) # (GND)))
-- \led_flash_cnt[1948][2]~54155\ = CARRY((!\led_flash_cnt[1948][1]~54153\) # (!\led_flash_cnt[1948][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1948][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1948][1]~54153\,
	combout => \led_flash_cnt[1948][2]~54154_combout\,
	cout => \led_flash_cnt[1948][2]~54155\);

-- Location: FF_X16_Y18_N21
\led_flash_cnt[1948][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1948][2]~54154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1948][2]~q\);

-- Location: LCCOMB_X16_Y18_N22
\led_flash_cnt[1948][3]~54156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1948][3]~54156_combout\ = (\led_flash_cnt[1948][3]~q\ & (\led_flash_cnt[1948][2]~54155\ $ (GND))) # (!\led_flash_cnt[1948][3]~q\ & (!\led_flash_cnt[1948][2]~54155\ & VCC))
-- \led_flash_cnt[1948][3]~54157\ = CARRY((\led_flash_cnt[1948][3]~q\ & !\led_flash_cnt[1948][2]~54155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1948][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1948][2]~54155\,
	combout => \led_flash_cnt[1948][3]~54156_combout\,
	cout => \led_flash_cnt[1948][3]~54157\);

-- Location: FF_X16_Y18_N23
\led_flash_cnt[1948][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1948][3]~54156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1948][3]~q\);

-- Location: LCCOMB_X16_Y18_N24
\led_flash_cnt[1948][4]~54158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1948][4]~54158_combout\ = (\led_flash_cnt[1948][4]~q\ & (!\led_flash_cnt[1948][3]~54157\)) # (!\led_flash_cnt[1948][4]~q\ & ((\led_flash_cnt[1948][3]~54157\) # (GND)))
-- \led_flash_cnt[1948][4]~54159\ = CARRY((!\led_flash_cnt[1948][3]~54157\) # (!\led_flash_cnt[1948][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1948][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1948][3]~54157\,
	combout => \led_flash_cnt[1948][4]~54158_combout\,
	cout => \led_flash_cnt[1948][4]~54159\);

-- Location: FF_X16_Y18_N25
\led_flash_cnt[1948][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1948][4]~54158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1948][4]~q\);

-- Location: LCCOMB_X16_Y18_N26
\led_flash_cnt[1948][5]~54160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1948][5]~54160_combout\ = (\led_flash_cnt[1948][5]~q\ & (\led_flash_cnt[1948][4]~54159\ $ (GND))) # (!\led_flash_cnt[1948][5]~q\ & (!\led_flash_cnt[1948][4]~54159\ & VCC))
-- \led_flash_cnt[1948][5]~54161\ = CARRY((\led_flash_cnt[1948][5]~q\ & !\led_flash_cnt[1948][4]~54159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1948][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1948][4]~54159\,
	combout => \led_flash_cnt[1948][5]~54160_combout\,
	cout => \led_flash_cnt[1948][5]~54161\);

-- Location: FF_X16_Y18_N27
\led_flash_cnt[1948][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1948][5]~54160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1948][5]~q\);

-- Location: LCCOMB_X16_Y18_N28
\led_flash_cnt[1948][6]~54162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1948][6]~54162_combout\ = (\led_flash_cnt[1948][6]~q\ & (!\led_flash_cnt[1948][5]~54161\)) # (!\led_flash_cnt[1948][6]~q\ & ((\led_flash_cnt[1948][5]~54161\) # (GND)))
-- \led_flash_cnt[1948][6]~54163\ = CARRY((!\led_flash_cnt[1948][5]~54161\) # (!\led_flash_cnt[1948][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1948][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1948][5]~54161\,
	combout => \led_flash_cnt[1948][6]~54162_combout\,
	cout => \led_flash_cnt[1948][6]~54163\);

-- Location: FF_X16_Y18_N29
\led_flash_cnt[1948][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1948][6]~54162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1948][6]~q\);

-- Location: LCCOMB_X16_Y18_N30
\led_flash_cnt[1948][7]~54164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1948][7]~54164_combout\ = \led_flash_cnt[1948][7]~q\ $ (!\led_flash_cnt[1948][6]~54163\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1948][7]~q\,
	cin => \led_flash_cnt[1948][6]~54163\,
	combout => \led_flash_cnt[1948][7]~54164_combout\);

-- Location: FF_X16_Y18_N31
\led_flash_cnt[1948][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1948][7]~54164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1948][7]~q\);

-- Location: LCCOMB_X16_Y18_N16
\WideAnd1948~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1948~0_combout\ = (\led_flash_cnt[1948][4]~q\ & (\led_flash_cnt[1948][2]~q\ & (\led_flash_cnt[1948][3]~q\ & \led_flash_cnt[1948][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1948][4]~q\,
	datab => \led_flash_cnt[1948][2]~q\,
	datac => \led_flash_cnt[1948][3]~q\,
	datad => \led_flash_cnt[1948][1]~q\,
	combout => \WideAnd1948~0_combout\);

-- Location: LCCOMB_X16_Y18_N4
\WideAnd1948~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1948~1_combout\ = (\led_flash_cnt[1948][5]~q\ & \led_flash_cnt[1948][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1948][5]~q\,
	datad => \led_flash_cnt[1948][6]~q\,
	combout => \WideAnd1948~1_combout\);

-- Location: LCCOMB_X16_Y18_N6
WideAnd1948 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1948~combout\ = (\led_flash_cnt[1948][7]~q\ & (\WideAnd1948~0_combout\ & (\WideAnd1948~1_combout\ & \led_flash_cnt[1948][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1948][7]~q\,
	datab => \WideAnd1948~0_combout\,
	datac => \WideAnd1948~1_combout\,
	datad => \led_flash_cnt[1948][0]~q\,
	combout => \WideAnd1948~combout\);

-- Location: FF_X16_Y18_N7
\led_flash_cnt_ands[1948]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1948~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1948));

-- Location: LCCOMB_X16_Y18_N8
\WideAnd4083~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4083~1_combout\ = (led_flash_cnt_ands(1949) & led_flash_cnt_ands(1948))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1949),
	datad => led_flash_cnt_ands(1948),
	combout => \WideAnd4083~1_combout\);

-- Location: LCCOMB_X12_Y10_N20
\led_flash_cnt[1951][0]~82591\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1951][0]~82591_combout\ = !\led_flash_cnt[1951][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1951][0]~q\,
	combout => \led_flash_cnt[1951][0]~82591_combout\);

-- Location: FF_X12_Y10_N21
\led_flash_cnt[1951][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1951][0]~82591_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1951][0]~q\);

-- Location: LCCOMB_X11_Y10_N16
\led_flash_cnt[1951][1]~54194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1951][1]~54194_combout\ = (\led_flash_cnt[1951][0]~q\ & (\led_flash_cnt[1951][1]~q\ $ (VCC))) # (!\led_flash_cnt[1951][0]~q\ & (\led_flash_cnt[1951][1]~q\ & VCC))
-- \led_flash_cnt[1951][1]~54195\ = CARRY((\led_flash_cnt[1951][0]~q\ & \led_flash_cnt[1951][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1951][0]~q\,
	datab => \led_flash_cnt[1951][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1951][1]~54194_combout\,
	cout => \led_flash_cnt[1951][1]~54195\);

-- Location: FF_X11_Y10_N17
\led_flash_cnt[1951][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1951][1]~54194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1951][1]~q\);

-- Location: LCCOMB_X11_Y10_N18
\led_flash_cnt[1951][2]~54196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1951][2]~54196_combout\ = (\led_flash_cnt[1951][2]~q\ & (!\led_flash_cnt[1951][1]~54195\)) # (!\led_flash_cnt[1951][2]~q\ & ((\led_flash_cnt[1951][1]~54195\) # (GND)))
-- \led_flash_cnt[1951][2]~54197\ = CARRY((!\led_flash_cnt[1951][1]~54195\) # (!\led_flash_cnt[1951][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1951][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1951][1]~54195\,
	combout => \led_flash_cnt[1951][2]~54196_combout\,
	cout => \led_flash_cnt[1951][2]~54197\);

-- Location: FF_X11_Y10_N19
\led_flash_cnt[1951][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1951][2]~54196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1951][2]~q\);

-- Location: LCCOMB_X11_Y10_N20
\led_flash_cnt[1951][3]~54198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1951][3]~54198_combout\ = (\led_flash_cnt[1951][3]~q\ & (\led_flash_cnt[1951][2]~54197\ $ (GND))) # (!\led_flash_cnt[1951][3]~q\ & (!\led_flash_cnt[1951][2]~54197\ & VCC))
-- \led_flash_cnt[1951][3]~54199\ = CARRY((\led_flash_cnt[1951][3]~q\ & !\led_flash_cnt[1951][2]~54197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1951][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1951][2]~54197\,
	combout => \led_flash_cnt[1951][3]~54198_combout\,
	cout => \led_flash_cnt[1951][3]~54199\);

-- Location: FF_X11_Y10_N21
\led_flash_cnt[1951][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1951][3]~54198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1951][3]~q\);

-- Location: LCCOMB_X11_Y10_N22
\led_flash_cnt[1951][4]~54200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1951][4]~54200_combout\ = (\led_flash_cnt[1951][4]~q\ & (!\led_flash_cnt[1951][3]~54199\)) # (!\led_flash_cnt[1951][4]~q\ & ((\led_flash_cnt[1951][3]~54199\) # (GND)))
-- \led_flash_cnt[1951][4]~54201\ = CARRY((!\led_flash_cnt[1951][3]~54199\) # (!\led_flash_cnt[1951][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1951][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1951][3]~54199\,
	combout => \led_flash_cnt[1951][4]~54200_combout\,
	cout => \led_flash_cnt[1951][4]~54201\);

-- Location: FF_X11_Y10_N23
\led_flash_cnt[1951][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1951][4]~54200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1951][4]~q\);

-- Location: LCCOMB_X11_Y10_N24
\led_flash_cnt[1951][5]~54202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1951][5]~54202_combout\ = (\led_flash_cnt[1951][5]~q\ & (\led_flash_cnt[1951][4]~54201\ $ (GND))) # (!\led_flash_cnt[1951][5]~q\ & (!\led_flash_cnt[1951][4]~54201\ & VCC))
-- \led_flash_cnt[1951][5]~54203\ = CARRY((\led_flash_cnt[1951][5]~q\ & !\led_flash_cnt[1951][4]~54201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1951][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1951][4]~54201\,
	combout => \led_flash_cnt[1951][5]~54202_combout\,
	cout => \led_flash_cnt[1951][5]~54203\);

-- Location: FF_X11_Y10_N25
\led_flash_cnt[1951][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1951][5]~54202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1951][5]~q\);

-- Location: LCCOMB_X11_Y10_N26
\led_flash_cnt[1951][6]~54204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1951][6]~54204_combout\ = (\led_flash_cnt[1951][6]~q\ & (!\led_flash_cnt[1951][5]~54203\)) # (!\led_flash_cnt[1951][6]~q\ & ((\led_flash_cnt[1951][5]~54203\) # (GND)))
-- \led_flash_cnt[1951][6]~54205\ = CARRY((!\led_flash_cnt[1951][5]~54203\) # (!\led_flash_cnt[1951][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1951][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1951][5]~54203\,
	combout => \led_flash_cnt[1951][6]~54204_combout\,
	cout => \led_flash_cnt[1951][6]~54205\);

-- Location: FF_X11_Y10_N27
\led_flash_cnt[1951][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1951][6]~54204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1951][6]~q\);

-- Location: LCCOMB_X11_Y10_N28
\led_flash_cnt[1951][7]~54206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1951][7]~54206_combout\ = \led_flash_cnt[1951][6]~54205\ $ (!\led_flash_cnt[1951][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1951][7]~q\,
	cin => \led_flash_cnt[1951][6]~54205\,
	combout => \led_flash_cnt[1951][7]~54206_combout\);

-- Location: FF_X11_Y10_N29
\led_flash_cnt[1951][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1951][7]~54206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1951][7]~q\);

-- Location: LCCOMB_X11_Y10_N0
\WideAnd1951~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1951~0_combout\ = (\led_flash_cnt[1951][3]~q\ & (\led_flash_cnt[1951][1]~q\ & (\led_flash_cnt[1951][4]~q\ & \led_flash_cnt[1951][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1951][3]~q\,
	datab => \led_flash_cnt[1951][1]~q\,
	datac => \led_flash_cnt[1951][4]~q\,
	datad => \led_flash_cnt[1951][2]~q\,
	combout => \WideAnd1951~0_combout\);

-- Location: LCCOMB_X12_Y10_N28
\WideAnd1951~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1951~1_combout\ = (\led_flash_cnt[1951][6]~q\ & \led_flash_cnt[1951][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1951][6]~q\,
	datad => \led_flash_cnt[1951][5]~q\,
	combout => \WideAnd1951~1_combout\);

-- Location: LCCOMB_X12_Y10_N30
WideAnd1951 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1951~combout\ = (\led_flash_cnt[1951][0]~q\ & (\led_flash_cnt[1951][7]~q\ & (\WideAnd1951~0_combout\ & \WideAnd1951~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1951][0]~q\,
	datab => \led_flash_cnt[1951][7]~q\,
	datac => \WideAnd1951~0_combout\,
	datad => \WideAnd1951~1_combout\,
	combout => \WideAnd1951~combout\);

-- Location: FF_X12_Y10_N31
\led_flash_cnt_ands[1951]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1951~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1951));

-- Location: LCCOMB_X11_Y14_N28
\led_flash_cnt[1946][0]~82586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1946][0]~82586_combout\ = !\led_flash_cnt[1946][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1946][0]~q\,
	combout => \led_flash_cnt[1946][0]~82586_combout\);

-- Location: FF_X11_Y14_N29
\led_flash_cnt[1946][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1946][0]~82586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1946][0]~q\);

-- Location: LCCOMB_X10_Y14_N16
\led_flash_cnt[1946][1]~54124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1946][1]~54124_combout\ = (\led_flash_cnt[1946][0]~q\ & (\led_flash_cnt[1946][1]~q\ $ (VCC))) # (!\led_flash_cnt[1946][0]~q\ & (\led_flash_cnt[1946][1]~q\ & VCC))
-- \led_flash_cnt[1946][1]~54125\ = CARRY((\led_flash_cnt[1946][0]~q\ & \led_flash_cnt[1946][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1946][0]~q\,
	datab => \led_flash_cnt[1946][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1946][1]~54124_combout\,
	cout => \led_flash_cnt[1946][1]~54125\);

-- Location: FF_X10_Y14_N17
\led_flash_cnt[1946][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1946][1]~54124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1946][1]~q\);

-- Location: LCCOMB_X10_Y14_N18
\led_flash_cnt[1946][2]~54126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1946][2]~54126_combout\ = (\led_flash_cnt[1946][2]~q\ & (!\led_flash_cnt[1946][1]~54125\)) # (!\led_flash_cnt[1946][2]~q\ & ((\led_flash_cnt[1946][1]~54125\) # (GND)))
-- \led_flash_cnt[1946][2]~54127\ = CARRY((!\led_flash_cnt[1946][1]~54125\) # (!\led_flash_cnt[1946][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1946][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1946][1]~54125\,
	combout => \led_flash_cnt[1946][2]~54126_combout\,
	cout => \led_flash_cnt[1946][2]~54127\);

-- Location: FF_X10_Y14_N19
\led_flash_cnt[1946][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1946][2]~54126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1946][2]~q\);

-- Location: LCCOMB_X10_Y14_N20
\led_flash_cnt[1946][3]~54128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1946][3]~54128_combout\ = (\led_flash_cnt[1946][3]~q\ & (\led_flash_cnt[1946][2]~54127\ $ (GND))) # (!\led_flash_cnt[1946][3]~q\ & (!\led_flash_cnt[1946][2]~54127\ & VCC))
-- \led_flash_cnt[1946][3]~54129\ = CARRY((\led_flash_cnt[1946][3]~q\ & !\led_flash_cnt[1946][2]~54127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1946][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1946][2]~54127\,
	combout => \led_flash_cnt[1946][3]~54128_combout\,
	cout => \led_flash_cnt[1946][3]~54129\);

-- Location: FF_X10_Y14_N21
\led_flash_cnt[1946][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1946][3]~54128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1946][3]~q\);

-- Location: LCCOMB_X10_Y14_N22
\led_flash_cnt[1946][4]~54130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1946][4]~54130_combout\ = (\led_flash_cnt[1946][4]~q\ & (!\led_flash_cnt[1946][3]~54129\)) # (!\led_flash_cnt[1946][4]~q\ & ((\led_flash_cnt[1946][3]~54129\) # (GND)))
-- \led_flash_cnt[1946][4]~54131\ = CARRY((!\led_flash_cnt[1946][3]~54129\) # (!\led_flash_cnt[1946][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1946][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1946][3]~54129\,
	combout => \led_flash_cnt[1946][4]~54130_combout\,
	cout => \led_flash_cnt[1946][4]~54131\);

-- Location: FF_X10_Y14_N23
\led_flash_cnt[1946][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1946][4]~54130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1946][4]~q\);

-- Location: LCCOMB_X10_Y14_N14
\WideAnd1946~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1946~0_combout\ = (\led_flash_cnt[1946][3]~q\ & (\led_flash_cnt[1946][1]~q\ & (\led_flash_cnt[1946][4]~q\ & \led_flash_cnt[1946][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1946][3]~q\,
	datab => \led_flash_cnt[1946][1]~q\,
	datac => \led_flash_cnt[1946][4]~q\,
	datad => \led_flash_cnt[1946][2]~q\,
	combout => \WideAnd1946~0_combout\);

-- Location: LCCOMB_X10_Y14_N24
\led_flash_cnt[1946][5]~54132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1946][5]~54132_combout\ = (\led_flash_cnt[1946][5]~q\ & (\led_flash_cnt[1946][4]~54131\ $ (GND))) # (!\led_flash_cnt[1946][5]~q\ & (!\led_flash_cnt[1946][4]~54131\ & VCC))
-- \led_flash_cnt[1946][5]~54133\ = CARRY((\led_flash_cnt[1946][5]~q\ & !\led_flash_cnt[1946][4]~54131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1946][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1946][4]~54131\,
	combout => \led_flash_cnt[1946][5]~54132_combout\,
	cout => \led_flash_cnt[1946][5]~54133\);

-- Location: FF_X10_Y14_N25
\led_flash_cnt[1946][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1946][5]~54132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1946][5]~q\);

-- Location: LCCOMB_X10_Y14_N26
\led_flash_cnt[1946][6]~54134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1946][6]~54134_combout\ = (\led_flash_cnt[1946][6]~q\ & (!\led_flash_cnt[1946][5]~54133\)) # (!\led_flash_cnt[1946][6]~q\ & ((\led_flash_cnt[1946][5]~54133\) # (GND)))
-- \led_flash_cnt[1946][6]~54135\ = CARRY((!\led_flash_cnt[1946][5]~54133\) # (!\led_flash_cnt[1946][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1946][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1946][5]~54133\,
	combout => \led_flash_cnt[1946][6]~54134_combout\,
	cout => \led_flash_cnt[1946][6]~54135\);

-- Location: FF_X10_Y14_N27
\led_flash_cnt[1946][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1946][6]~54134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1946][6]~q\);

-- Location: LCCOMB_X10_Y14_N28
\led_flash_cnt[1946][7]~54136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1946][7]~54136_combout\ = \led_flash_cnt[1946][6]~54135\ $ (!\led_flash_cnt[1946][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1946][7]~q\,
	cin => \led_flash_cnt[1946][6]~54135\,
	combout => \led_flash_cnt[1946][7]~54136_combout\);

-- Location: FF_X10_Y14_N29
\led_flash_cnt[1946][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1946][7]~54136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1946][7]~q\);

-- Location: LCCOMB_X11_Y14_N18
\WideAnd1946~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1946~1_combout\ = (\led_flash_cnt[1946][6]~q\ & \led_flash_cnt[1946][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1946][6]~q\,
	datad => \led_flash_cnt[1946][5]~q\,
	combout => \WideAnd1946~1_combout\);

-- Location: LCCOMB_X11_Y14_N26
WideAnd1946 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1946~combout\ = (\WideAnd1946~0_combout\ & (\led_flash_cnt[1946][7]~q\ & (\led_flash_cnt[1946][0]~q\ & \WideAnd1946~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1946~0_combout\,
	datab => \led_flash_cnt[1946][7]~q\,
	datac => \led_flash_cnt[1946][0]~q\,
	datad => \WideAnd1946~1_combout\,
	combout => \WideAnd1946~combout\);

-- Location: FF_X11_Y14_N27
\led_flash_cnt_ands[1946]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1946~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1946));

-- Location: LCCOMB_X6_Y14_N2
\led_flash_cnt[1944][0]~82584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1944][0]~82584_combout\ = !\led_flash_cnt[1944][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1944][0]~q\,
	combout => \led_flash_cnt[1944][0]~82584_combout\);

-- Location: FF_X6_Y14_N3
\led_flash_cnt[1944][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1944][0]~82584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1944][0]~q\);

-- Location: LCCOMB_X11_Y14_N2
\led_flash_cnt[1944][1]~54096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1944][1]~54096_combout\ = (\led_flash_cnt[1944][0]~q\ & (\led_flash_cnt[1944][1]~q\ $ (VCC))) # (!\led_flash_cnt[1944][0]~q\ & (\led_flash_cnt[1944][1]~q\ & VCC))
-- \led_flash_cnt[1944][1]~54097\ = CARRY((\led_flash_cnt[1944][0]~q\ & \led_flash_cnt[1944][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1944][0]~q\,
	datab => \led_flash_cnt[1944][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1944][1]~54096_combout\,
	cout => \led_flash_cnt[1944][1]~54097\);

-- Location: FF_X11_Y14_N3
\led_flash_cnt[1944][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1944][1]~54096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1944][1]~q\);

-- Location: LCCOMB_X11_Y14_N4
\led_flash_cnt[1944][2]~54098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1944][2]~54098_combout\ = (\led_flash_cnt[1944][2]~q\ & (!\led_flash_cnt[1944][1]~54097\)) # (!\led_flash_cnt[1944][2]~q\ & ((\led_flash_cnt[1944][1]~54097\) # (GND)))
-- \led_flash_cnt[1944][2]~54099\ = CARRY((!\led_flash_cnt[1944][1]~54097\) # (!\led_flash_cnt[1944][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1944][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1944][1]~54097\,
	combout => \led_flash_cnt[1944][2]~54098_combout\,
	cout => \led_flash_cnt[1944][2]~54099\);

-- Location: FF_X11_Y14_N5
\led_flash_cnt[1944][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1944][2]~54098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1944][2]~q\);

-- Location: LCCOMB_X11_Y14_N6
\led_flash_cnt[1944][3]~54100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1944][3]~54100_combout\ = (\led_flash_cnt[1944][3]~q\ & (\led_flash_cnt[1944][2]~54099\ $ (GND))) # (!\led_flash_cnt[1944][3]~q\ & (!\led_flash_cnt[1944][2]~54099\ & VCC))
-- \led_flash_cnt[1944][3]~54101\ = CARRY((\led_flash_cnt[1944][3]~q\ & !\led_flash_cnt[1944][2]~54099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1944][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1944][2]~54099\,
	combout => \led_flash_cnt[1944][3]~54100_combout\,
	cout => \led_flash_cnt[1944][3]~54101\);

-- Location: FF_X11_Y14_N7
\led_flash_cnt[1944][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1944][3]~54100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1944][3]~q\);

-- Location: LCCOMB_X11_Y14_N8
\led_flash_cnt[1944][4]~54102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1944][4]~54102_combout\ = (\led_flash_cnt[1944][4]~q\ & (!\led_flash_cnt[1944][3]~54101\)) # (!\led_flash_cnt[1944][4]~q\ & ((\led_flash_cnt[1944][3]~54101\) # (GND)))
-- \led_flash_cnt[1944][4]~54103\ = CARRY((!\led_flash_cnt[1944][3]~54101\) # (!\led_flash_cnt[1944][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1944][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1944][3]~54101\,
	combout => \led_flash_cnt[1944][4]~54102_combout\,
	cout => \led_flash_cnt[1944][4]~54103\);

-- Location: FF_X11_Y14_N9
\led_flash_cnt[1944][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1944][4]~54102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1944][4]~q\);

-- Location: LCCOMB_X11_Y14_N20
\WideAnd1944~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1944~0_combout\ = (\led_flash_cnt[1944][3]~q\ & (\led_flash_cnt[1944][4]~q\ & (\led_flash_cnt[1944][2]~q\ & \led_flash_cnt[1944][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1944][3]~q\,
	datab => \led_flash_cnt[1944][4]~q\,
	datac => \led_flash_cnt[1944][2]~q\,
	datad => \led_flash_cnt[1944][1]~q\,
	combout => \WideAnd1944~0_combout\);

-- Location: LCCOMB_X11_Y14_N10
\led_flash_cnt[1944][5]~54104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1944][5]~54104_combout\ = (\led_flash_cnt[1944][5]~q\ & (\led_flash_cnt[1944][4]~54103\ $ (GND))) # (!\led_flash_cnt[1944][5]~q\ & (!\led_flash_cnt[1944][4]~54103\ & VCC))
-- \led_flash_cnt[1944][5]~54105\ = CARRY((\led_flash_cnt[1944][5]~q\ & !\led_flash_cnt[1944][4]~54103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1944][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1944][4]~54103\,
	combout => \led_flash_cnt[1944][5]~54104_combout\,
	cout => \led_flash_cnt[1944][5]~54105\);

-- Location: FF_X11_Y14_N11
\led_flash_cnt[1944][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1944][5]~54104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1944][5]~q\);

-- Location: LCCOMB_X11_Y14_N12
\led_flash_cnt[1944][6]~54106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1944][6]~54106_combout\ = (\led_flash_cnt[1944][6]~q\ & (!\led_flash_cnt[1944][5]~54105\)) # (!\led_flash_cnt[1944][6]~q\ & ((\led_flash_cnt[1944][5]~54105\) # (GND)))
-- \led_flash_cnt[1944][6]~54107\ = CARRY((!\led_flash_cnt[1944][5]~54105\) # (!\led_flash_cnt[1944][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1944][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1944][5]~54105\,
	combout => \led_flash_cnt[1944][6]~54106_combout\,
	cout => \led_flash_cnt[1944][6]~54107\);

-- Location: FF_X11_Y14_N13
\led_flash_cnt[1944][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1944][6]~54106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1944][6]~q\);

-- Location: LCCOMB_X11_Y14_N14
\led_flash_cnt[1944][7]~54108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1944][7]~54108_combout\ = \led_flash_cnt[1944][7]~q\ $ (!\led_flash_cnt[1944][6]~54107\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1944][7]~q\,
	cin => \led_flash_cnt[1944][6]~54107\,
	combout => \led_flash_cnt[1944][7]~54108_combout\);

-- Location: FF_X11_Y14_N15
\led_flash_cnt[1944][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1944][7]~54108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1944][7]~q\);

-- Location: LCCOMB_X11_Y14_N16
\WideAnd1944~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1944~1_combout\ = (\led_flash_cnt[1944][6]~q\ & \led_flash_cnt[1944][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1944][6]~q\,
	datad => \led_flash_cnt[1944][5]~q\,
	combout => \WideAnd1944~1_combout\);

-- Location: LCCOMB_X11_Y14_N22
WideAnd1944 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1944~combout\ = (\led_flash_cnt[1944][0]~q\ & (\WideAnd1944~0_combout\ & (\led_flash_cnt[1944][7]~q\ & \WideAnd1944~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1944][0]~q\,
	datab => \WideAnd1944~0_combout\,
	datac => \led_flash_cnt[1944][7]~q\,
	datad => \WideAnd1944~1_combout\,
	combout => \WideAnd1944~combout\);

-- Location: FF_X11_Y14_N23
\led_flash_cnt_ands[1944]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1944~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1944));

-- Location: LCCOMB_X22_Y24_N10
\led_flash_cnt[1945][0]~82585\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1945][0]~82585_combout\ = !\led_flash_cnt[1945][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1945][0]~q\,
	combout => \led_flash_cnt[1945][0]~82585_combout\);

-- Location: FF_X22_Y24_N11
\led_flash_cnt[1945][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1945][0]~82585_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1945][0]~q\);

-- Location: LCCOMB_X22_Y24_N14
\led_flash_cnt[1945][1]~54110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1945][1]~54110_combout\ = (\led_flash_cnt[1945][0]~q\ & (\led_flash_cnt[1945][1]~q\ $ (VCC))) # (!\led_flash_cnt[1945][0]~q\ & (\led_flash_cnt[1945][1]~q\ & VCC))
-- \led_flash_cnt[1945][1]~54111\ = CARRY((\led_flash_cnt[1945][0]~q\ & \led_flash_cnt[1945][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1945][0]~q\,
	datab => \led_flash_cnt[1945][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1945][1]~54110_combout\,
	cout => \led_flash_cnt[1945][1]~54111\);

-- Location: FF_X22_Y24_N15
\led_flash_cnt[1945][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1945][1]~54110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1945][1]~q\);

-- Location: LCCOMB_X22_Y24_N16
\led_flash_cnt[1945][2]~54112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1945][2]~54112_combout\ = (\led_flash_cnt[1945][2]~q\ & (!\led_flash_cnt[1945][1]~54111\)) # (!\led_flash_cnt[1945][2]~q\ & ((\led_flash_cnt[1945][1]~54111\) # (GND)))
-- \led_flash_cnt[1945][2]~54113\ = CARRY((!\led_flash_cnt[1945][1]~54111\) # (!\led_flash_cnt[1945][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1945][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1945][1]~54111\,
	combout => \led_flash_cnt[1945][2]~54112_combout\,
	cout => \led_flash_cnt[1945][2]~54113\);

-- Location: FF_X22_Y24_N17
\led_flash_cnt[1945][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1945][2]~54112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1945][2]~q\);

-- Location: LCCOMB_X22_Y24_N18
\led_flash_cnt[1945][3]~54114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1945][3]~54114_combout\ = (\led_flash_cnt[1945][3]~q\ & (\led_flash_cnt[1945][2]~54113\ $ (GND))) # (!\led_flash_cnt[1945][3]~q\ & (!\led_flash_cnt[1945][2]~54113\ & VCC))
-- \led_flash_cnt[1945][3]~54115\ = CARRY((\led_flash_cnt[1945][3]~q\ & !\led_flash_cnt[1945][2]~54113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1945][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1945][2]~54113\,
	combout => \led_flash_cnt[1945][3]~54114_combout\,
	cout => \led_flash_cnt[1945][3]~54115\);

-- Location: FF_X22_Y24_N19
\led_flash_cnt[1945][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1945][3]~54114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1945][3]~q\);

-- Location: LCCOMB_X22_Y24_N20
\led_flash_cnt[1945][4]~54116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1945][4]~54116_combout\ = (\led_flash_cnt[1945][4]~q\ & (!\led_flash_cnt[1945][3]~54115\)) # (!\led_flash_cnt[1945][4]~q\ & ((\led_flash_cnt[1945][3]~54115\) # (GND)))
-- \led_flash_cnt[1945][4]~54117\ = CARRY((!\led_flash_cnt[1945][3]~54115\) # (!\led_flash_cnt[1945][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1945][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1945][3]~54115\,
	combout => \led_flash_cnt[1945][4]~54116_combout\,
	cout => \led_flash_cnt[1945][4]~54117\);

-- Location: FF_X22_Y24_N21
\led_flash_cnt[1945][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1945][4]~54116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1945][4]~q\);

-- Location: LCCOMB_X22_Y24_N28
\WideAnd1945~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1945~0_combout\ = (\led_flash_cnt[1945][3]~q\ & (\led_flash_cnt[1945][2]~q\ & (\led_flash_cnt[1945][1]~q\ & \led_flash_cnt[1945][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1945][3]~q\,
	datab => \led_flash_cnt[1945][2]~q\,
	datac => \led_flash_cnt[1945][1]~q\,
	datad => \led_flash_cnt[1945][4]~q\,
	combout => \WideAnd1945~0_combout\);

-- Location: LCCOMB_X22_Y24_N22
\led_flash_cnt[1945][5]~54118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1945][5]~54118_combout\ = (\led_flash_cnt[1945][5]~q\ & (\led_flash_cnt[1945][4]~54117\ $ (GND))) # (!\led_flash_cnt[1945][5]~q\ & (!\led_flash_cnt[1945][4]~54117\ & VCC))
-- \led_flash_cnt[1945][5]~54119\ = CARRY((\led_flash_cnt[1945][5]~q\ & !\led_flash_cnt[1945][4]~54117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1945][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1945][4]~54117\,
	combout => \led_flash_cnt[1945][5]~54118_combout\,
	cout => \led_flash_cnt[1945][5]~54119\);

-- Location: FF_X22_Y24_N23
\led_flash_cnt[1945][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1945][5]~54118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1945][5]~q\);

-- Location: LCCOMB_X22_Y24_N24
\led_flash_cnt[1945][6]~54120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1945][6]~54120_combout\ = (\led_flash_cnt[1945][6]~q\ & (!\led_flash_cnt[1945][5]~54119\)) # (!\led_flash_cnt[1945][6]~q\ & ((\led_flash_cnt[1945][5]~54119\) # (GND)))
-- \led_flash_cnt[1945][6]~54121\ = CARRY((!\led_flash_cnt[1945][5]~54119\) # (!\led_flash_cnt[1945][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1945][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1945][5]~54119\,
	combout => \led_flash_cnt[1945][6]~54120_combout\,
	cout => \led_flash_cnt[1945][6]~54121\);

-- Location: FF_X22_Y24_N25
\led_flash_cnt[1945][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1945][6]~54120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1945][6]~q\);

-- Location: LCCOMB_X22_Y24_N26
\led_flash_cnt[1945][7]~54122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1945][7]~54122_combout\ = \led_flash_cnt[1945][7]~q\ $ (!\led_flash_cnt[1945][6]~54121\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1945][7]~q\,
	cin => \led_flash_cnt[1945][6]~54121\,
	combout => \led_flash_cnt[1945][7]~54122_combout\);

-- Location: FF_X22_Y24_N27
\led_flash_cnt[1945][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1945][7]~54122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1945][7]~q\);

-- Location: LCCOMB_X22_Y24_N12
\WideAnd1945~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1945~1_combout\ = (\led_flash_cnt[1945][5]~q\ & \led_flash_cnt[1945][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1945][5]~q\,
	datad => \led_flash_cnt[1945][6]~q\,
	combout => \WideAnd1945~1_combout\);

-- Location: LCCOMB_X22_Y24_N4
WideAnd1945 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1945~combout\ = (\led_flash_cnt[1945][0]~q\ & (\WideAnd1945~0_combout\ & (\led_flash_cnt[1945][7]~q\ & \WideAnd1945~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1945][0]~q\,
	datab => \WideAnd1945~0_combout\,
	datac => \led_flash_cnt[1945][7]~q\,
	datad => \WideAnd1945~1_combout\,
	combout => \WideAnd1945~combout\);

-- Location: FF_X22_Y24_N5
\led_flash_cnt_ands[1945]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1945~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1945));

-- Location: LCCOMB_X15_Y7_N2
\led_flash_cnt[1947][0]~82587\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1947][0]~82587_combout\ = !\led_flash_cnt[1947][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1947][0]~q\,
	combout => \led_flash_cnt[1947][0]~82587_combout\);

-- Location: FF_X15_Y7_N3
\led_flash_cnt[1947][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1947][0]~82587_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1947][0]~q\);

-- Location: LCCOMB_X14_Y7_N18
\led_flash_cnt[1947][1]~54138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1947][1]~54138_combout\ = (\led_flash_cnt[1947][0]~q\ & (\led_flash_cnt[1947][1]~q\ $ (VCC))) # (!\led_flash_cnt[1947][0]~q\ & (\led_flash_cnt[1947][1]~q\ & VCC))
-- \led_flash_cnt[1947][1]~54139\ = CARRY((\led_flash_cnt[1947][0]~q\ & \led_flash_cnt[1947][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1947][0]~q\,
	datab => \led_flash_cnt[1947][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1947][1]~54138_combout\,
	cout => \led_flash_cnt[1947][1]~54139\);

-- Location: FF_X14_Y7_N19
\led_flash_cnt[1947][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1947][1]~54138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1947][1]~q\);

-- Location: LCCOMB_X14_Y7_N20
\led_flash_cnt[1947][2]~54140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1947][2]~54140_combout\ = (\led_flash_cnt[1947][2]~q\ & (!\led_flash_cnt[1947][1]~54139\)) # (!\led_flash_cnt[1947][2]~q\ & ((\led_flash_cnt[1947][1]~54139\) # (GND)))
-- \led_flash_cnt[1947][2]~54141\ = CARRY((!\led_flash_cnt[1947][1]~54139\) # (!\led_flash_cnt[1947][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1947][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1947][1]~54139\,
	combout => \led_flash_cnt[1947][2]~54140_combout\,
	cout => \led_flash_cnt[1947][2]~54141\);

-- Location: FF_X14_Y7_N21
\led_flash_cnt[1947][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1947][2]~54140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1947][2]~q\);

-- Location: LCCOMB_X14_Y7_N22
\led_flash_cnt[1947][3]~54142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1947][3]~54142_combout\ = (\led_flash_cnt[1947][3]~q\ & (\led_flash_cnt[1947][2]~54141\ $ (GND))) # (!\led_flash_cnt[1947][3]~q\ & (!\led_flash_cnt[1947][2]~54141\ & VCC))
-- \led_flash_cnt[1947][3]~54143\ = CARRY((\led_flash_cnt[1947][3]~q\ & !\led_flash_cnt[1947][2]~54141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1947][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1947][2]~54141\,
	combout => \led_flash_cnt[1947][3]~54142_combout\,
	cout => \led_flash_cnt[1947][3]~54143\);

-- Location: FF_X14_Y7_N23
\led_flash_cnt[1947][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1947][3]~54142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1947][3]~q\);

-- Location: LCCOMB_X14_Y7_N24
\led_flash_cnt[1947][4]~54144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1947][4]~54144_combout\ = (\led_flash_cnt[1947][4]~q\ & (!\led_flash_cnt[1947][3]~54143\)) # (!\led_flash_cnt[1947][4]~q\ & ((\led_flash_cnt[1947][3]~54143\) # (GND)))
-- \led_flash_cnt[1947][4]~54145\ = CARRY((!\led_flash_cnt[1947][3]~54143\) # (!\led_flash_cnt[1947][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1947][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1947][3]~54143\,
	combout => \led_flash_cnt[1947][4]~54144_combout\,
	cout => \led_flash_cnt[1947][4]~54145\);

-- Location: FF_X14_Y7_N25
\led_flash_cnt[1947][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1947][4]~54144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1947][4]~q\);

-- Location: LCCOMB_X14_Y7_N26
\led_flash_cnt[1947][5]~54146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1947][5]~54146_combout\ = (\led_flash_cnt[1947][5]~q\ & (\led_flash_cnt[1947][4]~54145\ $ (GND))) # (!\led_flash_cnt[1947][5]~q\ & (!\led_flash_cnt[1947][4]~54145\ & VCC))
-- \led_flash_cnt[1947][5]~54147\ = CARRY((\led_flash_cnt[1947][5]~q\ & !\led_flash_cnt[1947][4]~54145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1947][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1947][4]~54145\,
	combout => \led_flash_cnt[1947][5]~54146_combout\,
	cout => \led_flash_cnt[1947][5]~54147\);

-- Location: FF_X14_Y7_N27
\led_flash_cnt[1947][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1947][5]~54146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1947][5]~q\);

-- Location: LCCOMB_X14_Y7_N28
\led_flash_cnt[1947][6]~54148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1947][6]~54148_combout\ = (\led_flash_cnt[1947][6]~q\ & (!\led_flash_cnt[1947][5]~54147\)) # (!\led_flash_cnt[1947][6]~q\ & ((\led_flash_cnt[1947][5]~54147\) # (GND)))
-- \led_flash_cnt[1947][6]~54149\ = CARRY((!\led_flash_cnt[1947][5]~54147\) # (!\led_flash_cnt[1947][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1947][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1947][5]~54147\,
	combout => \led_flash_cnt[1947][6]~54148_combout\,
	cout => \led_flash_cnt[1947][6]~54149\);

-- Location: FF_X14_Y7_N29
\led_flash_cnt[1947][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1947][6]~54148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1947][6]~q\);

-- Location: LCCOMB_X15_Y7_N30
\WideAnd1947~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1947~1_combout\ = (\led_flash_cnt[1947][5]~q\ & \led_flash_cnt[1947][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1947][5]~q\,
	datad => \led_flash_cnt[1947][6]~q\,
	combout => \WideAnd1947~1_combout\);

-- Location: LCCOMB_X14_Y7_N30
\led_flash_cnt[1947][7]~54150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1947][7]~54150_combout\ = \led_flash_cnt[1947][7]~q\ $ (!\led_flash_cnt[1947][6]~54149\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1947][7]~q\,
	cin => \led_flash_cnt[1947][6]~54149\,
	combout => \led_flash_cnt[1947][7]~54150_combout\);

-- Location: FF_X14_Y7_N31
\led_flash_cnt[1947][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1947][7]~54150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1947][7]~q\);

-- Location: LCCOMB_X14_Y7_N0
\WideAnd1947~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1947~0_combout\ = (\led_flash_cnt[1947][4]~q\ & (\led_flash_cnt[1947][1]~q\ & (\led_flash_cnt[1947][3]~q\ & \led_flash_cnt[1947][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1947][4]~q\,
	datab => \led_flash_cnt[1947][1]~q\,
	datac => \led_flash_cnt[1947][3]~q\,
	datad => \led_flash_cnt[1947][2]~q\,
	combout => \WideAnd1947~0_combout\);

-- Location: LCCOMB_X15_Y7_N4
WideAnd1947 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1947~combout\ = (\WideAnd1947~1_combout\ & (\led_flash_cnt[1947][7]~q\ & (\WideAnd1947~0_combout\ & \led_flash_cnt[1947][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1947~1_combout\,
	datab => \led_flash_cnt[1947][7]~q\,
	datac => \WideAnd1947~0_combout\,
	datad => \led_flash_cnt[1947][0]~q\,
	combout => \WideAnd1947~combout\);

-- Location: FF_X15_Y7_N5
\led_flash_cnt_ands[1947]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1947~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1947));

-- Location: LCCOMB_X15_Y14_N24
\WideAnd4083~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4083~0_combout\ = (led_flash_cnt_ands(1946) & (led_flash_cnt_ands(1944) & (led_flash_cnt_ands(1945) & led_flash_cnt_ands(1947))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1946),
	datab => led_flash_cnt_ands(1944),
	datac => led_flash_cnt_ands(1945),
	datad => led_flash_cnt_ands(1947),
	combout => \WideAnd4083~0_combout\);

-- Location: LCCOMB_X15_Y14_N0
WideAnd4083 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4083~combout\ = (led_flash_cnt_ands(1950) & (\WideAnd4083~1_combout\ & (led_flash_cnt_ands(1951) & \WideAnd4083~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1950),
	datab => \WideAnd4083~1_combout\,
	datac => led_flash_cnt_ands(1951),
	datad => \WideAnd4083~0_combout\,
	combout => \WideAnd4083~combout\);

-- Location: FF_X15_Y14_N1
\led_flash_cnt_ands_1[243]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4083~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(243));

-- Location: LCCOMB_X9_Y28_N20
\led_flash_cnt[1927][0]~82567\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1927][0]~82567_combout\ = !\led_flash_cnt[1927][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1927][0]~q\,
	combout => \led_flash_cnt[1927][0]~82567_combout\);

-- Location: FF_X9_Y28_N21
\led_flash_cnt[1927][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1927][0]~82567_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1927][0]~q\);

-- Location: LCCOMB_X8_Y28_N18
\led_flash_cnt[1927][1]~53858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1927][1]~53858_combout\ = (\led_flash_cnt[1927][0]~q\ & (\led_flash_cnt[1927][1]~q\ $ (VCC))) # (!\led_flash_cnt[1927][0]~q\ & (\led_flash_cnt[1927][1]~q\ & VCC))
-- \led_flash_cnt[1927][1]~53859\ = CARRY((\led_flash_cnt[1927][0]~q\ & \led_flash_cnt[1927][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1927][0]~q\,
	datab => \led_flash_cnt[1927][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1927][1]~53858_combout\,
	cout => \led_flash_cnt[1927][1]~53859\);

-- Location: FF_X8_Y28_N19
\led_flash_cnt[1927][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1927][1]~53858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1927][1]~q\);

-- Location: LCCOMB_X8_Y28_N20
\led_flash_cnt[1927][2]~53860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1927][2]~53860_combout\ = (\led_flash_cnt[1927][2]~q\ & (!\led_flash_cnt[1927][1]~53859\)) # (!\led_flash_cnt[1927][2]~q\ & ((\led_flash_cnt[1927][1]~53859\) # (GND)))
-- \led_flash_cnt[1927][2]~53861\ = CARRY((!\led_flash_cnt[1927][1]~53859\) # (!\led_flash_cnt[1927][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1927][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1927][1]~53859\,
	combout => \led_flash_cnt[1927][2]~53860_combout\,
	cout => \led_flash_cnt[1927][2]~53861\);

-- Location: FF_X8_Y28_N21
\led_flash_cnt[1927][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1927][2]~53860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1927][2]~q\);

-- Location: LCCOMB_X8_Y28_N22
\led_flash_cnt[1927][3]~53862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1927][3]~53862_combout\ = (\led_flash_cnt[1927][3]~q\ & (\led_flash_cnt[1927][2]~53861\ $ (GND))) # (!\led_flash_cnt[1927][3]~q\ & (!\led_flash_cnt[1927][2]~53861\ & VCC))
-- \led_flash_cnt[1927][3]~53863\ = CARRY((\led_flash_cnt[1927][3]~q\ & !\led_flash_cnt[1927][2]~53861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1927][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1927][2]~53861\,
	combout => \led_flash_cnt[1927][3]~53862_combout\,
	cout => \led_flash_cnt[1927][3]~53863\);

-- Location: FF_X8_Y28_N23
\led_flash_cnt[1927][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1927][3]~53862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1927][3]~q\);

-- Location: LCCOMB_X8_Y28_N24
\led_flash_cnt[1927][4]~53864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1927][4]~53864_combout\ = (\led_flash_cnt[1927][4]~q\ & (!\led_flash_cnt[1927][3]~53863\)) # (!\led_flash_cnt[1927][4]~q\ & ((\led_flash_cnt[1927][3]~53863\) # (GND)))
-- \led_flash_cnt[1927][4]~53865\ = CARRY((!\led_flash_cnt[1927][3]~53863\) # (!\led_flash_cnt[1927][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1927][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1927][3]~53863\,
	combout => \led_flash_cnt[1927][4]~53864_combout\,
	cout => \led_flash_cnt[1927][4]~53865\);

-- Location: FF_X8_Y28_N25
\led_flash_cnt[1927][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1927][4]~53864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1927][4]~q\);

-- Location: LCCOMB_X8_Y28_N26
\led_flash_cnt[1927][5]~53866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1927][5]~53866_combout\ = (\led_flash_cnt[1927][5]~q\ & (\led_flash_cnt[1927][4]~53865\ $ (GND))) # (!\led_flash_cnt[1927][5]~q\ & (!\led_flash_cnt[1927][4]~53865\ & VCC))
-- \led_flash_cnt[1927][5]~53867\ = CARRY((\led_flash_cnt[1927][5]~q\ & !\led_flash_cnt[1927][4]~53865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1927][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1927][4]~53865\,
	combout => \led_flash_cnt[1927][5]~53866_combout\,
	cout => \led_flash_cnt[1927][5]~53867\);

-- Location: FF_X8_Y28_N27
\led_flash_cnt[1927][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1927][5]~53866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1927][5]~q\);

-- Location: LCCOMB_X8_Y28_N28
\led_flash_cnt[1927][6]~53868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1927][6]~53868_combout\ = (\led_flash_cnt[1927][6]~q\ & (!\led_flash_cnt[1927][5]~53867\)) # (!\led_flash_cnt[1927][6]~q\ & ((\led_flash_cnt[1927][5]~53867\) # (GND)))
-- \led_flash_cnt[1927][6]~53869\ = CARRY((!\led_flash_cnt[1927][5]~53867\) # (!\led_flash_cnt[1927][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1927][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1927][5]~53867\,
	combout => \led_flash_cnt[1927][6]~53868_combout\,
	cout => \led_flash_cnt[1927][6]~53869\);

-- Location: FF_X8_Y28_N29
\led_flash_cnt[1927][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1927][6]~53868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1927][6]~q\);

-- Location: LCCOMB_X9_Y28_N26
\WideAnd1927~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1927~1_combout\ = (\led_flash_cnt[1927][5]~q\ & \led_flash_cnt[1927][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1927][5]~q\,
	datad => \led_flash_cnt[1927][6]~q\,
	combout => \WideAnd1927~1_combout\);

-- Location: LCCOMB_X8_Y28_N30
\led_flash_cnt[1927][7]~53870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1927][7]~53870_combout\ = \led_flash_cnt[1927][7]~q\ $ (!\led_flash_cnt[1927][6]~53869\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1927][7]~q\,
	cin => \led_flash_cnt[1927][6]~53869\,
	combout => \led_flash_cnt[1927][7]~53870_combout\);

-- Location: FF_X8_Y28_N31
\led_flash_cnt[1927][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1927][7]~53870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1927][7]~q\);

-- Location: LCCOMB_X9_Y28_N24
\WideAnd1927~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1927~0_combout\ = (\led_flash_cnt[1927][2]~q\ & (\led_flash_cnt[1927][3]~q\ & (\led_flash_cnt[1927][4]~q\ & \led_flash_cnt[1927][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1927][2]~q\,
	datab => \led_flash_cnt[1927][3]~q\,
	datac => \led_flash_cnt[1927][4]~q\,
	datad => \led_flash_cnt[1927][1]~q\,
	combout => \WideAnd1927~0_combout\);

-- Location: LCCOMB_X9_Y28_N30
WideAnd1927 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1927~combout\ = (\WideAnd1927~1_combout\ & (\led_flash_cnt[1927][7]~q\ & (\led_flash_cnt[1927][0]~q\ & \WideAnd1927~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1927~1_combout\,
	datab => \led_flash_cnt[1927][7]~q\,
	datac => \led_flash_cnt[1927][0]~q\,
	datad => \WideAnd1927~0_combout\,
	combout => \WideAnd1927~combout\);

-- Location: FF_X9_Y28_N31
\led_flash_cnt_ands[1927]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1927~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1927));

-- Location: LCCOMB_X9_Y28_N2
\led_flash_cnt[1926][0]~82566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1926][0]~82566_combout\ = !\led_flash_cnt[1926][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1926][0]~q\,
	combout => \led_flash_cnt[1926][0]~82566_combout\);

-- Location: FF_X9_Y28_N3
\led_flash_cnt[1926][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1926][0]~82566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1926][0]~q\);

-- Location: LCCOMB_X8_Y28_N4
\led_flash_cnt[1926][1]~53844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1926][1]~53844_combout\ = (\led_flash_cnt[1926][0]~q\ & (\led_flash_cnt[1926][1]~q\ $ (VCC))) # (!\led_flash_cnt[1926][0]~q\ & (\led_flash_cnt[1926][1]~q\ & VCC))
-- \led_flash_cnt[1926][1]~53845\ = CARRY((\led_flash_cnt[1926][0]~q\ & \led_flash_cnt[1926][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1926][0]~q\,
	datab => \led_flash_cnt[1926][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1926][1]~53844_combout\,
	cout => \led_flash_cnt[1926][1]~53845\);

-- Location: FF_X8_Y28_N5
\led_flash_cnt[1926][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1926][1]~53844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1926][1]~q\);

-- Location: LCCOMB_X8_Y28_N6
\led_flash_cnt[1926][2]~53846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1926][2]~53846_combout\ = (\led_flash_cnt[1926][2]~q\ & (!\led_flash_cnt[1926][1]~53845\)) # (!\led_flash_cnt[1926][2]~q\ & ((\led_flash_cnt[1926][1]~53845\) # (GND)))
-- \led_flash_cnt[1926][2]~53847\ = CARRY((!\led_flash_cnt[1926][1]~53845\) # (!\led_flash_cnt[1926][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1926][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1926][1]~53845\,
	combout => \led_flash_cnt[1926][2]~53846_combout\,
	cout => \led_flash_cnt[1926][2]~53847\);

-- Location: FF_X8_Y28_N7
\led_flash_cnt[1926][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1926][2]~53846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1926][2]~q\);

-- Location: LCCOMB_X8_Y28_N8
\led_flash_cnt[1926][3]~53848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1926][3]~53848_combout\ = (\led_flash_cnt[1926][3]~q\ & (\led_flash_cnt[1926][2]~53847\ $ (GND))) # (!\led_flash_cnt[1926][3]~q\ & (!\led_flash_cnt[1926][2]~53847\ & VCC))
-- \led_flash_cnt[1926][3]~53849\ = CARRY((\led_flash_cnt[1926][3]~q\ & !\led_flash_cnt[1926][2]~53847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1926][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1926][2]~53847\,
	combout => \led_flash_cnt[1926][3]~53848_combout\,
	cout => \led_flash_cnt[1926][3]~53849\);

-- Location: FF_X8_Y28_N9
\led_flash_cnt[1926][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1926][3]~53848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1926][3]~q\);

-- Location: LCCOMB_X8_Y28_N10
\led_flash_cnt[1926][4]~53850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1926][4]~53850_combout\ = (\led_flash_cnt[1926][4]~q\ & (!\led_flash_cnt[1926][3]~53849\)) # (!\led_flash_cnt[1926][4]~q\ & ((\led_flash_cnt[1926][3]~53849\) # (GND)))
-- \led_flash_cnt[1926][4]~53851\ = CARRY((!\led_flash_cnt[1926][3]~53849\) # (!\led_flash_cnt[1926][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1926][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1926][3]~53849\,
	combout => \led_flash_cnt[1926][4]~53850_combout\,
	cout => \led_flash_cnt[1926][4]~53851\);

-- Location: FF_X8_Y28_N11
\led_flash_cnt[1926][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1926][4]~53850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1926][4]~q\);

-- Location: LCCOMB_X8_Y28_N2
\WideAnd1926~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1926~0_combout\ = (\led_flash_cnt[1926][2]~q\ & (\led_flash_cnt[1926][1]~q\ & (\led_flash_cnt[1926][3]~q\ & \led_flash_cnt[1926][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1926][2]~q\,
	datab => \led_flash_cnt[1926][1]~q\,
	datac => \led_flash_cnt[1926][3]~q\,
	datad => \led_flash_cnt[1926][4]~q\,
	combout => \WideAnd1926~0_combout\);

-- Location: LCCOMB_X8_Y28_N12
\led_flash_cnt[1926][5]~53852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1926][5]~53852_combout\ = (\led_flash_cnt[1926][5]~q\ & (\led_flash_cnt[1926][4]~53851\ $ (GND))) # (!\led_flash_cnt[1926][5]~q\ & (!\led_flash_cnt[1926][4]~53851\ & VCC))
-- \led_flash_cnt[1926][5]~53853\ = CARRY((\led_flash_cnt[1926][5]~q\ & !\led_flash_cnt[1926][4]~53851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1926][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1926][4]~53851\,
	combout => \led_flash_cnt[1926][5]~53852_combout\,
	cout => \led_flash_cnt[1926][5]~53853\);

-- Location: FF_X8_Y28_N13
\led_flash_cnt[1926][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1926][5]~53852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1926][5]~q\);

-- Location: LCCOMB_X8_Y28_N14
\led_flash_cnt[1926][6]~53854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1926][6]~53854_combout\ = (\led_flash_cnt[1926][6]~q\ & (!\led_flash_cnt[1926][5]~53853\)) # (!\led_flash_cnt[1926][6]~q\ & ((\led_flash_cnt[1926][5]~53853\) # (GND)))
-- \led_flash_cnt[1926][6]~53855\ = CARRY((!\led_flash_cnt[1926][5]~53853\) # (!\led_flash_cnt[1926][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1926][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1926][5]~53853\,
	combout => \led_flash_cnt[1926][6]~53854_combout\,
	cout => \led_flash_cnt[1926][6]~53855\);

-- Location: FF_X8_Y28_N15
\led_flash_cnt[1926][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1926][6]~53854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1926][6]~q\);

-- Location: LCCOMB_X8_Y28_N16
\led_flash_cnt[1926][7]~53856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1926][7]~53856_combout\ = \led_flash_cnt[1926][6]~53855\ $ (!\led_flash_cnt[1926][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1926][7]~q\,
	cin => \led_flash_cnt[1926][6]~53855\,
	combout => \led_flash_cnt[1926][7]~53856_combout\);

-- Location: FF_X8_Y28_N17
\led_flash_cnt[1926][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1926][7]~53856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1926][7]~q\);

-- Location: LCCOMB_X8_Y28_N0
\WideAnd1926~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1926~1_combout\ = (\led_flash_cnt[1926][6]~q\ & \led_flash_cnt[1926][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1926][6]~q\,
	datad => \led_flash_cnt[1926][5]~q\,
	combout => \WideAnd1926~1_combout\);

-- Location: LCCOMB_X9_Y28_N22
WideAnd1926 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1926~combout\ = (\WideAnd1926~0_combout\ & (\led_flash_cnt[1926][0]~q\ & (\led_flash_cnt[1926][7]~q\ & \WideAnd1926~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1926~0_combout\,
	datab => \led_flash_cnt[1926][0]~q\,
	datac => \led_flash_cnt[1926][7]~q\,
	datad => \WideAnd1926~1_combout\,
	combout => \WideAnd1926~combout\);

-- Location: FF_X9_Y28_N23
\led_flash_cnt_ands[1926]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1926~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1926));

-- Location: LCCOMB_X44_Y48_N12
\led_flash_cnt[1924][0]~82564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1924][0]~82564_combout\ = !\led_flash_cnt[1924][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1924][0]~q\,
	combout => \led_flash_cnt[1924][0]~82564_combout\);

-- Location: FF_X44_Y48_N13
\led_flash_cnt[1924][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1924][0]~82564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1924][0]~q\);

-- Location: LCCOMB_X44_Y48_N16
\led_flash_cnt[1924][1]~53816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1924][1]~53816_combout\ = (\led_flash_cnt[1924][0]~q\ & (\led_flash_cnt[1924][1]~q\ $ (VCC))) # (!\led_flash_cnt[1924][0]~q\ & (\led_flash_cnt[1924][1]~q\ & VCC))
-- \led_flash_cnt[1924][1]~53817\ = CARRY((\led_flash_cnt[1924][0]~q\ & \led_flash_cnt[1924][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1924][0]~q\,
	datab => \led_flash_cnt[1924][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1924][1]~53816_combout\,
	cout => \led_flash_cnt[1924][1]~53817\);

-- Location: FF_X44_Y48_N17
\led_flash_cnt[1924][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1924][1]~53816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1924][1]~q\);

-- Location: LCCOMB_X44_Y48_N18
\led_flash_cnt[1924][2]~53818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1924][2]~53818_combout\ = (\led_flash_cnt[1924][2]~q\ & (!\led_flash_cnt[1924][1]~53817\)) # (!\led_flash_cnt[1924][2]~q\ & ((\led_flash_cnt[1924][1]~53817\) # (GND)))
-- \led_flash_cnt[1924][2]~53819\ = CARRY((!\led_flash_cnt[1924][1]~53817\) # (!\led_flash_cnt[1924][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1924][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1924][1]~53817\,
	combout => \led_flash_cnt[1924][2]~53818_combout\,
	cout => \led_flash_cnt[1924][2]~53819\);

-- Location: FF_X44_Y48_N19
\led_flash_cnt[1924][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1924][2]~53818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1924][2]~q\);

-- Location: LCCOMB_X44_Y48_N20
\led_flash_cnt[1924][3]~53820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1924][3]~53820_combout\ = (\led_flash_cnt[1924][3]~q\ & (\led_flash_cnt[1924][2]~53819\ $ (GND))) # (!\led_flash_cnt[1924][3]~q\ & (!\led_flash_cnt[1924][2]~53819\ & VCC))
-- \led_flash_cnt[1924][3]~53821\ = CARRY((\led_flash_cnt[1924][3]~q\ & !\led_flash_cnt[1924][2]~53819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1924][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1924][2]~53819\,
	combout => \led_flash_cnt[1924][3]~53820_combout\,
	cout => \led_flash_cnt[1924][3]~53821\);

-- Location: FF_X44_Y48_N21
\led_flash_cnt[1924][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1924][3]~53820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1924][3]~q\);

-- Location: LCCOMB_X44_Y48_N22
\led_flash_cnt[1924][4]~53822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1924][4]~53822_combout\ = (\led_flash_cnt[1924][4]~q\ & (!\led_flash_cnt[1924][3]~53821\)) # (!\led_flash_cnt[1924][4]~q\ & ((\led_flash_cnt[1924][3]~53821\) # (GND)))
-- \led_flash_cnt[1924][4]~53823\ = CARRY((!\led_flash_cnt[1924][3]~53821\) # (!\led_flash_cnt[1924][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1924][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1924][3]~53821\,
	combout => \led_flash_cnt[1924][4]~53822_combout\,
	cout => \led_flash_cnt[1924][4]~53823\);

-- Location: FF_X44_Y48_N23
\led_flash_cnt[1924][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1924][4]~53822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1924][4]~q\);

-- Location: LCCOMB_X44_Y48_N24
\led_flash_cnt[1924][5]~53824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1924][5]~53824_combout\ = (\led_flash_cnt[1924][5]~q\ & (\led_flash_cnt[1924][4]~53823\ $ (GND))) # (!\led_flash_cnt[1924][5]~q\ & (!\led_flash_cnt[1924][4]~53823\ & VCC))
-- \led_flash_cnt[1924][5]~53825\ = CARRY((\led_flash_cnt[1924][5]~q\ & !\led_flash_cnt[1924][4]~53823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1924][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1924][4]~53823\,
	combout => \led_flash_cnt[1924][5]~53824_combout\,
	cout => \led_flash_cnt[1924][5]~53825\);

-- Location: FF_X44_Y48_N25
\led_flash_cnt[1924][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1924][5]~53824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1924][5]~q\);

-- Location: LCCOMB_X44_Y48_N26
\led_flash_cnt[1924][6]~53826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1924][6]~53826_combout\ = (\led_flash_cnt[1924][6]~q\ & (!\led_flash_cnt[1924][5]~53825\)) # (!\led_flash_cnt[1924][6]~q\ & ((\led_flash_cnt[1924][5]~53825\) # (GND)))
-- \led_flash_cnt[1924][6]~53827\ = CARRY((!\led_flash_cnt[1924][5]~53825\) # (!\led_flash_cnt[1924][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1924][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1924][5]~53825\,
	combout => \led_flash_cnt[1924][6]~53826_combout\,
	cout => \led_flash_cnt[1924][6]~53827\);

-- Location: FF_X44_Y48_N27
\led_flash_cnt[1924][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1924][6]~53826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1924][6]~q\);

-- Location: LCCOMB_X44_Y48_N28
\led_flash_cnt[1924][7]~53828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1924][7]~53828_combout\ = \led_flash_cnt[1924][6]~53827\ $ (!\led_flash_cnt[1924][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1924][7]~q\,
	cin => \led_flash_cnt[1924][6]~53827\,
	combout => \led_flash_cnt[1924][7]~53828_combout\);

-- Location: FF_X44_Y48_N29
\led_flash_cnt[1924][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1924][7]~53828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1924][7]~q\);

-- Location: LCCOMB_X44_Y48_N8
\WideAnd1924~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1924~1_combout\ = (\led_flash_cnt[1924][6]~q\ & \led_flash_cnt[1924][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1924][6]~q\,
	datad => \led_flash_cnt[1924][5]~q\,
	combout => \WideAnd1924~1_combout\);

-- Location: LCCOMB_X44_Y48_N2
\WideAnd1924~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1924~0_combout\ = (\led_flash_cnt[1924][3]~q\ & (\led_flash_cnt[1924][2]~q\ & (\led_flash_cnt[1924][4]~q\ & \led_flash_cnt[1924][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1924][3]~q\,
	datab => \led_flash_cnt[1924][2]~q\,
	datac => \led_flash_cnt[1924][4]~q\,
	datad => \led_flash_cnt[1924][1]~q\,
	combout => \WideAnd1924~0_combout\);

-- Location: LCCOMB_X44_Y48_N14
WideAnd1924 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1924~combout\ = (\led_flash_cnt[1924][0]~q\ & (\led_flash_cnt[1924][7]~q\ & (\WideAnd1924~1_combout\ & \WideAnd1924~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1924][0]~q\,
	datab => \led_flash_cnt[1924][7]~q\,
	datac => \WideAnd1924~1_combout\,
	datad => \WideAnd1924~0_combout\,
	combout => \WideAnd1924~combout\);

-- Location: FF_X44_Y48_N15
\led_flash_cnt_ands[1924]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1924~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1924));

-- Location: LCCOMB_X44_Y48_N6
\led_flash_cnt[1925][0]~82565\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1925][0]~82565_combout\ = !\led_flash_cnt[1925][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1925][0]~q\,
	combout => \led_flash_cnt[1925][0]~82565_combout\);

-- Location: FF_X44_Y48_N7
\led_flash_cnt[1925][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1925][0]~82565_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1925][0]~q\);

-- Location: LCCOMB_X45_Y48_N0
\led_flash_cnt[1925][1]~53830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1925][1]~53830_combout\ = (\led_flash_cnt[1925][0]~q\ & (\led_flash_cnt[1925][1]~q\ $ (VCC))) # (!\led_flash_cnt[1925][0]~q\ & (\led_flash_cnt[1925][1]~q\ & VCC))
-- \led_flash_cnt[1925][1]~53831\ = CARRY((\led_flash_cnt[1925][0]~q\ & \led_flash_cnt[1925][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1925][0]~q\,
	datab => \led_flash_cnt[1925][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1925][1]~53830_combout\,
	cout => \led_flash_cnt[1925][1]~53831\);

-- Location: FF_X45_Y48_N1
\led_flash_cnt[1925][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1925][1]~53830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1925][1]~q\);

-- Location: LCCOMB_X45_Y48_N2
\led_flash_cnt[1925][2]~53832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1925][2]~53832_combout\ = (\led_flash_cnt[1925][2]~q\ & (!\led_flash_cnt[1925][1]~53831\)) # (!\led_flash_cnt[1925][2]~q\ & ((\led_flash_cnt[1925][1]~53831\) # (GND)))
-- \led_flash_cnt[1925][2]~53833\ = CARRY((!\led_flash_cnt[1925][1]~53831\) # (!\led_flash_cnt[1925][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1925][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1925][1]~53831\,
	combout => \led_flash_cnt[1925][2]~53832_combout\,
	cout => \led_flash_cnt[1925][2]~53833\);

-- Location: FF_X45_Y48_N3
\led_flash_cnt[1925][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1925][2]~53832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1925][2]~q\);

-- Location: LCCOMB_X45_Y48_N4
\led_flash_cnt[1925][3]~53834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1925][3]~53834_combout\ = (\led_flash_cnt[1925][3]~q\ & (\led_flash_cnt[1925][2]~53833\ $ (GND))) # (!\led_flash_cnt[1925][3]~q\ & (!\led_flash_cnt[1925][2]~53833\ & VCC))
-- \led_flash_cnt[1925][3]~53835\ = CARRY((\led_flash_cnt[1925][3]~q\ & !\led_flash_cnt[1925][2]~53833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1925][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1925][2]~53833\,
	combout => \led_flash_cnt[1925][3]~53834_combout\,
	cout => \led_flash_cnt[1925][3]~53835\);

-- Location: FF_X45_Y48_N5
\led_flash_cnt[1925][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1925][3]~53834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1925][3]~q\);

-- Location: LCCOMB_X45_Y48_N6
\led_flash_cnt[1925][4]~53836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1925][4]~53836_combout\ = (\led_flash_cnt[1925][4]~q\ & (!\led_flash_cnt[1925][3]~53835\)) # (!\led_flash_cnt[1925][4]~q\ & ((\led_flash_cnt[1925][3]~53835\) # (GND)))
-- \led_flash_cnt[1925][4]~53837\ = CARRY((!\led_flash_cnt[1925][3]~53835\) # (!\led_flash_cnt[1925][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1925][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1925][3]~53835\,
	combout => \led_flash_cnt[1925][4]~53836_combout\,
	cout => \led_flash_cnt[1925][4]~53837\);

-- Location: FF_X45_Y48_N7
\led_flash_cnt[1925][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1925][4]~53836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1925][4]~q\);

-- Location: LCCOMB_X45_Y48_N8
\led_flash_cnt[1925][5]~53838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1925][5]~53838_combout\ = (\led_flash_cnt[1925][5]~q\ & (\led_flash_cnt[1925][4]~53837\ $ (GND))) # (!\led_flash_cnt[1925][5]~q\ & (!\led_flash_cnt[1925][4]~53837\ & VCC))
-- \led_flash_cnt[1925][5]~53839\ = CARRY((\led_flash_cnt[1925][5]~q\ & !\led_flash_cnt[1925][4]~53837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1925][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1925][4]~53837\,
	combout => \led_flash_cnt[1925][5]~53838_combout\,
	cout => \led_flash_cnt[1925][5]~53839\);

-- Location: FF_X45_Y48_N9
\led_flash_cnt[1925][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1925][5]~53838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1925][5]~q\);

-- Location: LCCOMB_X45_Y48_N10
\led_flash_cnt[1925][6]~53840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1925][6]~53840_combout\ = (\led_flash_cnt[1925][6]~q\ & (!\led_flash_cnt[1925][5]~53839\)) # (!\led_flash_cnt[1925][6]~q\ & ((\led_flash_cnt[1925][5]~53839\) # (GND)))
-- \led_flash_cnt[1925][6]~53841\ = CARRY((!\led_flash_cnt[1925][5]~53839\) # (!\led_flash_cnt[1925][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1925][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1925][5]~53839\,
	combout => \led_flash_cnt[1925][6]~53840_combout\,
	cout => \led_flash_cnt[1925][6]~53841\);

-- Location: FF_X45_Y48_N11
\led_flash_cnt[1925][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1925][6]~53840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1925][6]~q\);

-- Location: LCCOMB_X44_Y48_N10
\WideAnd1925~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1925~1_combout\ = (\led_flash_cnt[1925][6]~q\ & \led_flash_cnt[1925][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1925][6]~q\,
	datac => \led_flash_cnt[1925][5]~q\,
	combout => \WideAnd1925~1_combout\);

-- Location: LCCOMB_X45_Y48_N12
\led_flash_cnt[1925][7]~53842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1925][7]~53842_combout\ = \led_flash_cnt[1925][6]~53841\ $ (!\led_flash_cnt[1925][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1925][7]~q\,
	cin => \led_flash_cnt[1925][6]~53841\,
	combout => \led_flash_cnt[1925][7]~53842_combout\);

-- Location: FF_X45_Y48_N13
\led_flash_cnt[1925][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1925][7]~53842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1925][7]~q\);

-- Location: LCCOMB_X45_Y48_N30
\WideAnd1925~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1925~0_combout\ = (\led_flash_cnt[1925][4]~q\ & (\led_flash_cnt[1925][1]~q\ & (\led_flash_cnt[1925][3]~q\ & \led_flash_cnt[1925][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1925][4]~q\,
	datab => \led_flash_cnt[1925][1]~q\,
	datac => \led_flash_cnt[1925][3]~q\,
	datad => \led_flash_cnt[1925][2]~q\,
	combout => \WideAnd1925~0_combout\);

-- Location: LCCOMB_X44_Y48_N0
WideAnd1925 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1925~combout\ = (\WideAnd1925~1_combout\ & (\led_flash_cnt[1925][7]~q\ & (\WideAnd1925~0_combout\ & \led_flash_cnt[1925][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1925~1_combout\,
	datab => \led_flash_cnt[1925][7]~q\,
	datac => \WideAnd1925~0_combout\,
	datad => \led_flash_cnt[1925][0]~q\,
	combout => \WideAnd1925~combout\);

-- Location: FF_X44_Y48_N1
\led_flash_cnt_ands[1925]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1925~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1925));

-- Location: LCCOMB_X44_Y48_N30
\WideAnd4080~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4080~1_combout\ = (led_flash_cnt_ands(1924) & led_flash_cnt_ands(1925))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1924),
	datad => led_flash_cnt_ands(1925),
	combout => \WideAnd4080~1_combout\);

-- Location: LCCOMB_X15_Y35_N30
\led_flash_cnt[1922][0]~82562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1922][0]~82562_combout\ = !\led_flash_cnt[1922][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1922][0]~q\,
	combout => \led_flash_cnt[1922][0]~82562_combout\);

-- Location: FF_X15_Y35_N31
\led_flash_cnt[1922][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1922][0]~82562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1922][0]~q\);

-- Location: LCCOMB_X15_Y34_N14
\led_flash_cnt[1922][1]~53788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1922][1]~53788_combout\ = (\led_flash_cnt[1922][0]~q\ & (\led_flash_cnt[1922][1]~q\ $ (VCC))) # (!\led_flash_cnt[1922][0]~q\ & (\led_flash_cnt[1922][1]~q\ & VCC))
-- \led_flash_cnt[1922][1]~53789\ = CARRY((\led_flash_cnt[1922][0]~q\ & \led_flash_cnt[1922][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1922][0]~q\,
	datab => \led_flash_cnt[1922][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1922][1]~53788_combout\,
	cout => \led_flash_cnt[1922][1]~53789\);

-- Location: FF_X15_Y34_N15
\led_flash_cnt[1922][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1922][1]~53788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1922][1]~q\);

-- Location: LCCOMB_X15_Y34_N16
\led_flash_cnt[1922][2]~53790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1922][2]~53790_combout\ = (\led_flash_cnt[1922][2]~q\ & (!\led_flash_cnt[1922][1]~53789\)) # (!\led_flash_cnt[1922][2]~q\ & ((\led_flash_cnt[1922][1]~53789\) # (GND)))
-- \led_flash_cnt[1922][2]~53791\ = CARRY((!\led_flash_cnt[1922][1]~53789\) # (!\led_flash_cnt[1922][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1922][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1922][1]~53789\,
	combout => \led_flash_cnt[1922][2]~53790_combout\,
	cout => \led_flash_cnt[1922][2]~53791\);

-- Location: FF_X15_Y34_N17
\led_flash_cnt[1922][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1922][2]~53790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1922][2]~q\);

-- Location: LCCOMB_X15_Y34_N18
\led_flash_cnt[1922][3]~53792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1922][3]~53792_combout\ = (\led_flash_cnt[1922][3]~q\ & (\led_flash_cnt[1922][2]~53791\ $ (GND))) # (!\led_flash_cnt[1922][3]~q\ & (!\led_flash_cnt[1922][2]~53791\ & VCC))
-- \led_flash_cnt[1922][3]~53793\ = CARRY((\led_flash_cnt[1922][3]~q\ & !\led_flash_cnt[1922][2]~53791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1922][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1922][2]~53791\,
	combout => \led_flash_cnt[1922][3]~53792_combout\,
	cout => \led_flash_cnt[1922][3]~53793\);

-- Location: FF_X15_Y34_N19
\led_flash_cnt[1922][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1922][3]~53792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1922][3]~q\);

-- Location: LCCOMB_X15_Y34_N20
\led_flash_cnt[1922][4]~53794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1922][4]~53794_combout\ = (\led_flash_cnt[1922][4]~q\ & (!\led_flash_cnt[1922][3]~53793\)) # (!\led_flash_cnt[1922][4]~q\ & ((\led_flash_cnt[1922][3]~53793\) # (GND)))
-- \led_flash_cnt[1922][4]~53795\ = CARRY((!\led_flash_cnt[1922][3]~53793\) # (!\led_flash_cnt[1922][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1922][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1922][3]~53793\,
	combout => \led_flash_cnt[1922][4]~53794_combout\,
	cout => \led_flash_cnt[1922][4]~53795\);

-- Location: FF_X15_Y34_N21
\led_flash_cnt[1922][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1922][4]~53794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1922][4]~q\);

-- Location: LCCOMB_X15_Y34_N22
\led_flash_cnt[1922][5]~53796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1922][5]~53796_combout\ = (\led_flash_cnt[1922][5]~q\ & (\led_flash_cnt[1922][4]~53795\ $ (GND))) # (!\led_flash_cnt[1922][5]~q\ & (!\led_flash_cnt[1922][4]~53795\ & VCC))
-- \led_flash_cnt[1922][5]~53797\ = CARRY((\led_flash_cnt[1922][5]~q\ & !\led_flash_cnt[1922][4]~53795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1922][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1922][4]~53795\,
	combout => \led_flash_cnt[1922][5]~53796_combout\,
	cout => \led_flash_cnt[1922][5]~53797\);

-- Location: FF_X15_Y34_N23
\led_flash_cnt[1922][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1922][5]~53796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1922][5]~q\);

-- Location: LCCOMB_X15_Y34_N24
\led_flash_cnt[1922][6]~53798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1922][6]~53798_combout\ = (\led_flash_cnt[1922][6]~q\ & (!\led_flash_cnt[1922][5]~53797\)) # (!\led_flash_cnt[1922][6]~q\ & ((\led_flash_cnt[1922][5]~53797\) # (GND)))
-- \led_flash_cnt[1922][6]~53799\ = CARRY((!\led_flash_cnt[1922][5]~53797\) # (!\led_flash_cnt[1922][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1922][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1922][5]~53797\,
	combout => \led_flash_cnt[1922][6]~53798_combout\,
	cout => \led_flash_cnt[1922][6]~53799\);

-- Location: FF_X15_Y34_N25
\led_flash_cnt[1922][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1922][6]~53798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1922][6]~q\);

-- Location: LCCOMB_X15_Y34_N26
\led_flash_cnt[1922][7]~53800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1922][7]~53800_combout\ = \led_flash_cnt[1922][7]~q\ $ (!\led_flash_cnt[1922][6]~53799\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1922][7]~q\,
	cin => \led_flash_cnt[1922][6]~53799\,
	combout => \led_flash_cnt[1922][7]~53800_combout\);

-- Location: FF_X15_Y34_N27
\led_flash_cnt[1922][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1922][7]~53800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1922][7]~q\);

-- Location: LCCOMB_X15_Y34_N0
\WideAnd1922~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1922~1_combout\ = (\led_flash_cnt[1922][5]~q\ & \led_flash_cnt[1922][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1922][5]~q\,
	datad => \led_flash_cnt[1922][6]~q\,
	combout => \WideAnd1922~1_combout\);

-- Location: LCCOMB_X15_Y34_N12
\WideAnd1922~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1922~0_combout\ = (\led_flash_cnt[1922][4]~q\ & (\led_flash_cnt[1922][2]~q\ & (\led_flash_cnt[1922][1]~q\ & \led_flash_cnt[1922][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1922][4]~q\,
	datab => \led_flash_cnt[1922][2]~q\,
	datac => \led_flash_cnt[1922][1]~q\,
	datad => \led_flash_cnt[1922][3]~q\,
	combout => \WideAnd1922~0_combout\);

-- Location: LCCOMB_X15_Y34_N8
WideAnd1922 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1922~combout\ = (\led_flash_cnt[1922][7]~q\ & (\WideAnd1922~1_combout\ & (\led_flash_cnt[1922][0]~q\ & \WideAnd1922~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1922][7]~q\,
	datab => \WideAnd1922~1_combout\,
	datac => \led_flash_cnt[1922][0]~q\,
	datad => \WideAnd1922~0_combout\,
	combout => \WideAnd1922~combout\);

-- Location: FF_X15_Y34_N9
\led_flash_cnt_ands[1922]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1922~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1922));

-- Location: LCCOMB_X11_Y7_N10
\led_flash_cnt[1920][0]~82560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1920][0]~82560_combout\ = !\led_flash_cnt[1920][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1920][0]~q\,
	combout => \led_flash_cnt[1920][0]~82560_combout\);

-- Location: FF_X11_Y7_N11
\led_flash_cnt[1920][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1920][0]~82560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1920][0]~q\);

-- Location: LCCOMB_X15_Y7_N8
\led_flash_cnt[1920][1]~53760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1920][1]~53760_combout\ = (\led_flash_cnt[1920][0]~q\ & (\led_flash_cnt[1920][1]~q\ $ (VCC))) # (!\led_flash_cnt[1920][0]~q\ & (\led_flash_cnt[1920][1]~q\ & VCC))
-- \led_flash_cnt[1920][1]~53761\ = CARRY((\led_flash_cnt[1920][0]~q\ & \led_flash_cnt[1920][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1920][0]~q\,
	datab => \led_flash_cnt[1920][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1920][1]~53760_combout\,
	cout => \led_flash_cnt[1920][1]~53761\);

-- Location: FF_X15_Y7_N9
\led_flash_cnt[1920][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1920][1]~53760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1920][1]~q\);

-- Location: LCCOMB_X15_Y7_N10
\led_flash_cnt[1920][2]~53762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1920][2]~53762_combout\ = (\led_flash_cnt[1920][2]~q\ & (!\led_flash_cnt[1920][1]~53761\)) # (!\led_flash_cnt[1920][2]~q\ & ((\led_flash_cnt[1920][1]~53761\) # (GND)))
-- \led_flash_cnt[1920][2]~53763\ = CARRY((!\led_flash_cnt[1920][1]~53761\) # (!\led_flash_cnt[1920][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1920][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1920][1]~53761\,
	combout => \led_flash_cnt[1920][2]~53762_combout\,
	cout => \led_flash_cnt[1920][2]~53763\);

-- Location: FF_X15_Y7_N11
\led_flash_cnt[1920][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1920][2]~53762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1920][2]~q\);

-- Location: LCCOMB_X15_Y7_N12
\led_flash_cnt[1920][3]~53764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1920][3]~53764_combout\ = (\led_flash_cnt[1920][3]~q\ & (\led_flash_cnt[1920][2]~53763\ $ (GND))) # (!\led_flash_cnt[1920][3]~q\ & (!\led_flash_cnt[1920][2]~53763\ & VCC))
-- \led_flash_cnt[1920][3]~53765\ = CARRY((\led_flash_cnt[1920][3]~q\ & !\led_flash_cnt[1920][2]~53763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1920][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1920][2]~53763\,
	combout => \led_flash_cnt[1920][3]~53764_combout\,
	cout => \led_flash_cnt[1920][3]~53765\);

-- Location: FF_X15_Y7_N13
\led_flash_cnt[1920][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1920][3]~53764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1920][3]~q\);

-- Location: LCCOMB_X15_Y7_N14
\led_flash_cnt[1920][4]~53766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1920][4]~53766_combout\ = (\led_flash_cnt[1920][4]~q\ & (!\led_flash_cnt[1920][3]~53765\)) # (!\led_flash_cnt[1920][4]~q\ & ((\led_flash_cnt[1920][3]~53765\) # (GND)))
-- \led_flash_cnt[1920][4]~53767\ = CARRY((!\led_flash_cnt[1920][3]~53765\) # (!\led_flash_cnt[1920][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1920][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1920][3]~53765\,
	combout => \led_flash_cnt[1920][4]~53766_combout\,
	cout => \led_flash_cnt[1920][4]~53767\);

-- Location: FF_X15_Y7_N15
\led_flash_cnt[1920][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1920][4]~53766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1920][4]~q\);

-- Location: LCCOMB_X15_Y7_N16
\led_flash_cnt[1920][5]~53768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1920][5]~53768_combout\ = (\led_flash_cnt[1920][5]~q\ & (\led_flash_cnt[1920][4]~53767\ $ (GND))) # (!\led_flash_cnt[1920][5]~q\ & (!\led_flash_cnt[1920][4]~53767\ & VCC))
-- \led_flash_cnt[1920][5]~53769\ = CARRY((\led_flash_cnt[1920][5]~q\ & !\led_flash_cnt[1920][4]~53767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1920][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1920][4]~53767\,
	combout => \led_flash_cnt[1920][5]~53768_combout\,
	cout => \led_flash_cnt[1920][5]~53769\);

-- Location: FF_X15_Y7_N17
\led_flash_cnt[1920][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1920][5]~53768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1920][5]~q\);

-- Location: LCCOMB_X15_Y7_N18
\led_flash_cnt[1920][6]~53770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1920][6]~53770_combout\ = (\led_flash_cnt[1920][6]~q\ & (!\led_flash_cnt[1920][5]~53769\)) # (!\led_flash_cnt[1920][6]~q\ & ((\led_flash_cnt[1920][5]~53769\) # (GND)))
-- \led_flash_cnt[1920][6]~53771\ = CARRY((!\led_flash_cnt[1920][5]~53769\) # (!\led_flash_cnt[1920][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1920][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1920][5]~53769\,
	combout => \led_flash_cnt[1920][6]~53770_combout\,
	cout => \led_flash_cnt[1920][6]~53771\);

-- Location: FF_X15_Y7_N19
\led_flash_cnt[1920][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1920][6]~53770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1920][6]~q\);

-- Location: LCCOMB_X15_Y7_N20
\led_flash_cnt[1920][7]~53772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1920][7]~53772_combout\ = \led_flash_cnt[1920][6]~53771\ $ (!\led_flash_cnt[1920][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1920][7]~q\,
	cin => \led_flash_cnt[1920][6]~53771\,
	combout => \led_flash_cnt[1920][7]~53772_combout\);

-- Location: FF_X15_Y7_N21
\led_flash_cnt[1920][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1920][7]~53772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1920][7]~q\);

-- Location: LCCOMB_X15_Y7_N26
\WideAnd1920~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1920~0_combout\ = (\led_flash_cnt[1920][2]~q\ & (\led_flash_cnt[1920][1]~q\ & (\led_flash_cnt[1920][4]~q\ & \led_flash_cnt[1920][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1920][2]~q\,
	datab => \led_flash_cnt[1920][1]~q\,
	datac => \led_flash_cnt[1920][4]~q\,
	datad => \led_flash_cnt[1920][3]~q\,
	combout => \WideAnd1920~0_combout\);

-- Location: LCCOMB_X15_Y7_N24
\WideAnd1920~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1920~1_combout\ = (\led_flash_cnt[1920][5]~q\ & \led_flash_cnt[1920][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1920][5]~q\,
	datad => \led_flash_cnt[1920][6]~q\,
	combout => \WideAnd1920~1_combout\);

-- Location: LCCOMB_X15_Y7_N22
WideAnd1920 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1920~combout\ = (\led_flash_cnt[1920][0]~q\ & (\led_flash_cnt[1920][7]~q\ & (\WideAnd1920~0_combout\ & \WideAnd1920~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1920][0]~q\,
	datab => \led_flash_cnt[1920][7]~q\,
	datac => \WideAnd1920~0_combout\,
	datad => \WideAnd1920~1_combout\,
	combout => \WideAnd1920~combout\);

-- Location: FF_X15_Y7_N23
\led_flash_cnt_ands[1920]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1920~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1920));

-- Location: LCCOMB_X16_Y31_N6
\led_flash_cnt[1921][0]~82561\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1921][0]~82561_combout\ = !\led_flash_cnt[1921][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1921][0]~q\,
	combout => \led_flash_cnt[1921][0]~82561_combout\);

-- Location: FF_X16_Y31_N7
\led_flash_cnt[1921][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1921][0]~82561_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1921][0]~q\);

-- Location: LCCOMB_X17_Y31_N18
\led_flash_cnt[1921][1]~53774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1921][1]~53774_combout\ = (\led_flash_cnt[1921][0]~q\ & (\led_flash_cnt[1921][1]~q\ $ (VCC))) # (!\led_flash_cnt[1921][0]~q\ & (\led_flash_cnt[1921][1]~q\ & VCC))
-- \led_flash_cnt[1921][1]~53775\ = CARRY((\led_flash_cnt[1921][0]~q\ & \led_flash_cnt[1921][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1921][0]~q\,
	datab => \led_flash_cnt[1921][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1921][1]~53774_combout\,
	cout => \led_flash_cnt[1921][1]~53775\);

-- Location: FF_X17_Y31_N19
\led_flash_cnt[1921][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1921][1]~53774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1921][1]~q\);

-- Location: LCCOMB_X17_Y31_N20
\led_flash_cnt[1921][2]~53776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1921][2]~53776_combout\ = (\led_flash_cnt[1921][2]~q\ & (!\led_flash_cnt[1921][1]~53775\)) # (!\led_flash_cnt[1921][2]~q\ & ((\led_flash_cnt[1921][1]~53775\) # (GND)))
-- \led_flash_cnt[1921][2]~53777\ = CARRY((!\led_flash_cnt[1921][1]~53775\) # (!\led_flash_cnt[1921][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1921][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1921][1]~53775\,
	combout => \led_flash_cnt[1921][2]~53776_combout\,
	cout => \led_flash_cnt[1921][2]~53777\);

-- Location: FF_X17_Y31_N21
\led_flash_cnt[1921][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1921][2]~53776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1921][2]~q\);

-- Location: LCCOMB_X17_Y31_N22
\led_flash_cnt[1921][3]~53778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1921][3]~53778_combout\ = (\led_flash_cnt[1921][3]~q\ & (\led_flash_cnt[1921][2]~53777\ $ (GND))) # (!\led_flash_cnt[1921][3]~q\ & (!\led_flash_cnt[1921][2]~53777\ & VCC))
-- \led_flash_cnt[1921][3]~53779\ = CARRY((\led_flash_cnt[1921][3]~q\ & !\led_flash_cnt[1921][2]~53777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1921][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1921][2]~53777\,
	combout => \led_flash_cnt[1921][3]~53778_combout\,
	cout => \led_flash_cnt[1921][3]~53779\);

-- Location: FF_X17_Y31_N23
\led_flash_cnt[1921][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1921][3]~53778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1921][3]~q\);

-- Location: LCCOMB_X17_Y31_N24
\led_flash_cnt[1921][4]~53780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1921][4]~53780_combout\ = (\led_flash_cnt[1921][4]~q\ & (!\led_flash_cnt[1921][3]~53779\)) # (!\led_flash_cnt[1921][4]~q\ & ((\led_flash_cnt[1921][3]~53779\) # (GND)))
-- \led_flash_cnt[1921][4]~53781\ = CARRY((!\led_flash_cnt[1921][3]~53779\) # (!\led_flash_cnt[1921][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1921][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1921][3]~53779\,
	combout => \led_flash_cnt[1921][4]~53780_combout\,
	cout => \led_flash_cnt[1921][4]~53781\);

-- Location: FF_X17_Y31_N25
\led_flash_cnt[1921][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1921][4]~53780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1921][4]~q\);

-- Location: LCCOMB_X17_Y31_N26
\led_flash_cnt[1921][5]~53782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1921][5]~53782_combout\ = (\led_flash_cnt[1921][5]~q\ & (\led_flash_cnt[1921][4]~53781\ $ (GND))) # (!\led_flash_cnt[1921][5]~q\ & (!\led_flash_cnt[1921][4]~53781\ & VCC))
-- \led_flash_cnt[1921][5]~53783\ = CARRY((\led_flash_cnt[1921][5]~q\ & !\led_flash_cnt[1921][4]~53781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1921][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1921][4]~53781\,
	combout => \led_flash_cnt[1921][5]~53782_combout\,
	cout => \led_flash_cnt[1921][5]~53783\);

-- Location: FF_X17_Y31_N27
\led_flash_cnt[1921][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1921][5]~53782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1921][5]~q\);

-- Location: LCCOMB_X17_Y31_N28
\led_flash_cnt[1921][6]~53784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1921][6]~53784_combout\ = (\led_flash_cnt[1921][6]~q\ & (!\led_flash_cnt[1921][5]~53783\)) # (!\led_flash_cnt[1921][6]~q\ & ((\led_flash_cnt[1921][5]~53783\) # (GND)))
-- \led_flash_cnt[1921][6]~53785\ = CARRY((!\led_flash_cnt[1921][5]~53783\) # (!\led_flash_cnt[1921][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1921][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1921][5]~53783\,
	combout => \led_flash_cnt[1921][6]~53784_combout\,
	cout => \led_flash_cnt[1921][6]~53785\);

-- Location: FF_X17_Y31_N29
\led_flash_cnt[1921][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1921][6]~53784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1921][6]~q\);

-- Location: LCCOMB_X16_Y31_N10
\WideAnd1921~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1921~1_combout\ = (\led_flash_cnt[1921][6]~q\ & \led_flash_cnt[1921][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1921][6]~q\,
	datad => \led_flash_cnt[1921][5]~q\,
	combout => \WideAnd1921~1_combout\);

-- Location: LCCOMB_X17_Y31_N14
\WideAnd1921~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1921~0_combout\ = (\led_flash_cnt[1921][2]~q\ & (\led_flash_cnt[1921][4]~q\ & (\led_flash_cnt[1921][3]~q\ & \led_flash_cnt[1921][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1921][2]~q\,
	datab => \led_flash_cnt[1921][4]~q\,
	datac => \led_flash_cnt[1921][3]~q\,
	datad => \led_flash_cnt[1921][1]~q\,
	combout => \WideAnd1921~0_combout\);

-- Location: LCCOMB_X17_Y31_N30
\led_flash_cnt[1921][7]~53786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1921][7]~53786_combout\ = \led_flash_cnt[1921][7]~q\ $ (!\led_flash_cnt[1921][6]~53785\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1921][7]~q\,
	cin => \led_flash_cnt[1921][6]~53785\,
	combout => \led_flash_cnt[1921][7]~53786_combout\);

-- Location: FF_X17_Y31_N31
\led_flash_cnt[1921][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1921][7]~53786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1921][7]~q\);

-- Location: LCCOMB_X16_Y31_N8
WideAnd1921 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1921~combout\ = (\WideAnd1921~1_combout\ & (\WideAnd1921~0_combout\ & (\led_flash_cnt[1921][7]~q\ & \led_flash_cnt[1921][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1921~1_combout\,
	datab => \WideAnd1921~0_combout\,
	datac => \led_flash_cnt[1921][7]~q\,
	datad => \led_flash_cnt[1921][0]~q\,
	combout => \WideAnd1921~combout\);

-- Location: FF_X16_Y31_N9
\led_flash_cnt_ands[1921]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1921~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1921));

-- Location: LCCOMB_X16_Y31_N12
\led_flash_cnt[1923][0]~82563\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1923][0]~82563_combout\ = !\led_flash_cnt[1923][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1923][0]~q\,
	combout => \led_flash_cnt[1923][0]~82563_combout\);

-- Location: FF_X16_Y31_N13
\led_flash_cnt[1923][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1923][0]~82563_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1923][0]~q\);

-- Location: LCCOMB_X16_Y31_N16
\led_flash_cnt[1923][1]~53802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1923][1]~53802_combout\ = (\led_flash_cnt[1923][0]~q\ & (\led_flash_cnt[1923][1]~q\ $ (VCC))) # (!\led_flash_cnt[1923][0]~q\ & (\led_flash_cnt[1923][1]~q\ & VCC))
-- \led_flash_cnt[1923][1]~53803\ = CARRY((\led_flash_cnt[1923][0]~q\ & \led_flash_cnt[1923][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1923][0]~q\,
	datab => \led_flash_cnt[1923][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1923][1]~53802_combout\,
	cout => \led_flash_cnt[1923][1]~53803\);

-- Location: FF_X16_Y31_N17
\led_flash_cnt[1923][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1923][1]~53802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1923][1]~q\);

-- Location: LCCOMB_X16_Y31_N18
\led_flash_cnt[1923][2]~53804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1923][2]~53804_combout\ = (\led_flash_cnt[1923][2]~q\ & (!\led_flash_cnt[1923][1]~53803\)) # (!\led_flash_cnt[1923][2]~q\ & ((\led_flash_cnt[1923][1]~53803\) # (GND)))
-- \led_flash_cnt[1923][2]~53805\ = CARRY((!\led_flash_cnt[1923][1]~53803\) # (!\led_flash_cnt[1923][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1923][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1923][1]~53803\,
	combout => \led_flash_cnt[1923][2]~53804_combout\,
	cout => \led_flash_cnt[1923][2]~53805\);

-- Location: FF_X16_Y31_N19
\led_flash_cnt[1923][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1923][2]~53804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1923][2]~q\);

-- Location: LCCOMB_X16_Y31_N20
\led_flash_cnt[1923][3]~53806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1923][3]~53806_combout\ = (\led_flash_cnt[1923][3]~q\ & (\led_flash_cnt[1923][2]~53805\ $ (GND))) # (!\led_flash_cnt[1923][3]~q\ & (!\led_flash_cnt[1923][2]~53805\ & VCC))
-- \led_flash_cnt[1923][3]~53807\ = CARRY((\led_flash_cnt[1923][3]~q\ & !\led_flash_cnt[1923][2]~53805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1923][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1923][2]~53805\,
	combout => \led_flash_cnt[1923][3]~53806_combout\,
	cout => \led_flash_cnt[1923][3]~53807\);

-- Location: FF_X16_Y31_N21
\led_flash_cnt[1923][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1923][3]~53806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1923][3]~q\);

-- Location: LCCOMB_X16_Y31_N22
\led_flash_cnt[1923][4]~53808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1923][4]~53808_combout\ = (\led_flash_cnt[1923][4]~q\ & (!\led_flash_cnt[1923][3]~53807\)) # (!\led_flash_cnt[1923][4]~q\ & ((\led_flash_cnt[1923][3]~53807\) # (GND)))
-- \led_flash_cnt[1923][4]~53809\ = CARRY((!\led_flash_cnt[1923][3]~53807\) # (!\led_flash_cnt[1923][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1923][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1923][3]~53807\,
	combout => \led_flash_cnt[1923][4]~53808_combout\,
	cout => \led_flash_cnt[1923][4]~53809\);

-- Location: FF_X16_Y31_N23
\led_flash_cnt[1923][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1923][4]~53808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1923][4]~q\);

-- Location: LCCOMB_X16_Y31_N24
\led_flash_cnt[1923][5]~53810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1923][5]~53810_combout\ = (\led_flash_cnt[1923][5]~q\ & (\led_flash_cnt[1923][4]~53809\ $ (GND))) # (!\led_flash_cnt[1923][5]~q\ & (!\led_flash_cnt[1923][4]~53809\ & VCC))
-- \led_flash_cnt[1923][5]~53811\ = CARRY((\led_flash_cnt[1923][5]~q\ & !\led_flash_cnt[1923][4]~53809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1923][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1923][4]~53809\,
	combout => \led_flash_cnt[1923][5]~53810_combout\,
	cout => \led_flash_cnt[1923][5]~53811\);

-- Location: FF_X16_Y31_N25
\led_flash_cnt[1923][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1923][5]~53810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1923][5]~q\);

-- Location: LCCOMB_X16_Y31_N26
\led_flash_cnt[1923][6]~53812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1923][6]~53812_combout\ = (\led_flash_cnt[1923][6]~q\ & (!\led_flash_cnt[1923][5]~53811\)) # (!\led_flash_cnt[1923][6]~q\ & ((\led_flash_cnt[1923][5]~53811\) # (GND)))
-- \led_flash_cnt[1923][6]~53813\ = CARRY((!\led_flash_cnt[1923][5]~53811\) # (!\led_flash_cnt[1923][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1923][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1923][5]~53811\,
	combout => \led_flash_cnt[1923][6]~53812_combout\,
	cout => \led_flash_cnt[1923][6]~53813\);

-- Location: FF_X16_Y31_N27
\led_flash_cnt[1923][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1923][6]~53812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1923][6]~q\);

-- Location: LCCOMB_X16_Y31_N28
\led_flash_cnt[1923][7]~53814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1923][7]~53814_combout\ = \led_flash_cnt[1923][6]~53813\ $ (!\led_flash_cnt[1923][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1923][7]~q\,
	cin => \led_flash_cnt[1923][6]~53813\,
	combout => \led_flash_cnt[1923][7]~53814_combout\);

-- Location: FF_X16_Y31_N29
\led_flash_cnt[1923][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1923][7]~53814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1923][7]~q\);

-- Location: LCCOMB_X16_Y31_N14
\WideAnd1923~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1923~1_combout\ = (\led_flash_cnt[1923][6]~q\ & \led_flash_cnt[1923][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1923][6]~q\,
	datad => \led_flash_cnt[1923][5]~q\,
	combout => \WideAnd1923~1_combout\);

-- Location: LCCOMB_X16_Y31_N0
\WideAnd1923~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1923~0_combout\ = (\led_flash_cnt[1923][2]~q\ & (\led_flash_cnt[1923][1]~q\ & (\led_flash_cnt[1923][4]~q\ & \led_flash_cnt[1923][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1923][2]~q\,
	datab => \led_flash_cnt[1923][1]~q\,
	datac => \led_flash_cnt[1923][4]~q\,
	datad => \led_flash_cnt[1923][3]~q\,
	combout => \WideAnd1923~0_combout\);

-- Location: LCCOMB_X16_Y31_N2
WideAnd1923 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1923~combout\ = (\led_flash_cnt[1923][0]~q\ & (\led_flash_cnt[1923][7]~q\ & (\WideAnd1923~1_combout\ & \WideAnd1923~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1923][0]~q\,
	datab => \led_flash_cnt[1923][7]~q\,
	datac => \WideAnd1923~1_combout\,
	datad => \WideAnd1923~0_combout\,
	combout => \WideAnd1923~combout\);

-- Location: FF_X16_Y31_N3
\led_flash_cnt_ands[1923]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1923~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1923));

-- Location: LCCOMB_X16_Y31_N4
\WideAnd4080~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4080~0_combout\ = (led_flash_cnt_ands(1922) & (led_flash_cnt_ands(1920) & (led_flash_cnt_ands(1921) & led_flash_cnt_ands(1923))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1922),
	datab => led_flash_cnt_ands(1920),
	datac => led_flash_cnt_ands(1921),
	datad => led_flash_cnt_ands(1923),
	combout => \WideAnd4080~0_combout\);

-- Location: LCCOMB_X15_Y28_N30
WideAnd4080 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4080~combout\ = (led_flash_cnt_ands(1927) & (led_flash_cnt_ands(1926) & (\WideAnd4080~1_combout\ & \WideAnd4080~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1927),
	datab => led_flash_cnt_ands(1926),
	datac => \WideAnd4080~1_combout\,
	datad => \WideAnd4080~0_combout\,
	combout => \WideAnd4080~combout\);

-- Location: FF_X15_Y28_N31
\led_flash_cnt_ands_1[240]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4080~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(240));

-- Location: LCCOMB_X16_Y14_N24
\WideAnd4350~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4350~0_combout\ = (led_flash_cnt_ands_1(241) & (led_flash_cnt_ands_1(242) & (led_flash_cnt_ands_1(243) & led_flash_cnt_ands_1(240))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(241),
	datab => led_flash_cnt_ands_1(242),
	datac => led_flash_cnt_ands_1(243),
	datad => led_flash_cnt_ands_1(240),
	combout => \WideAnd4350~0_combout\);

-- Location: LCCOMB_X40_Y24_N0
\led_flash_cnt[1967][0]~82607\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1967][0]~82607_combout\ = !\led_flash_cnt[1967][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1967][0]~q\,
	combout => \led_flash_cnt[1967][0]~82607_combout\);

-- Location: FF_X40_Y24_N1
\led_flash_cnt[1967][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1967][0]~82607_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1967][0]~q\);

-- Location: LCCOMB_X40_Y24_N12
\led_flash_cnt[1967][1]~54418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1967][1]~54418_combout\ = (\led_flash_cnt[1967][1]~q\ & (\led_flash_cnt[1967][0]~q\ $ (VCC))) # (!\led_flash_cnt[1967][1]~q\ & (\led_flash_cnt[1967][0]~q\ & VCC))
-- \led_flash_cnt[1967][1]~54419\ = CARRY((\led_flash_cnt[1967][1]~q\ & \led_flash_cnt[1967][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1967][1]~q\,
	datab => \led_flash_cnt[1967][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1967][1]~54418_combout\,
	cout => \led_flash_cnt[1967][1]~54419\);

-- Location: FF_X40_Y24_N13
\led_flash_cnt[1967][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1967][1]~54418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1967][1]~q\);

-- Location: LCCOMB_X40_Y24_N14
\led_flash_cnt[1967][2]~54420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1967][2]~54420_combout\ = (\led_flash_cnt[1967][2]~q\ & (!\led_flash_cnt[1967][1]~54419\)) # (!\led_flash_cnt[1967][2]~q\ & ((\led_flash_cnt[1967][1]~54419\) # (GND)))
-- \led_flash_cnt[1967][2]~54421\ = CARRY((!\led_flash_cnt[1967][1]~54419\) # (!\led_flash_cnt[1967][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1967][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1967][1]~54419\,
	combout => \led_flash_cnt[1967][2]~54420_combout\,
	cout => \led_flash_cnt[1967][2]~54421\);

-- Location: FF_X40_Y24_N15
\led_flash_cnt[1967][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1967][2]~54420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1967][2]~q\);

-- Location: LCCOMB_X40_Y24_N16
\led_flash_cnt[1967][3]~54422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1967][3]~54422_combout\ = (\led_flash_cnt[1967][3]~q\ & (\led_flash_cnt[1967][2]~54421\ $ (GND))) # (!\led_flash_cnt[1967][3]~q\ & (!\led_flash_cnt[1967][2]~54421\ & VCC))
-- \led_flash_cnt[1967][3]~54423\ = CARRY((\led_flash_cnt[1967][3]~q\ & !\led_flash_cnt[1967][2]~54421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1967][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1967][2]~54421\,
	combout => \led_flash_cnt[1967][3]~54422_combout\,
	cout => \led_flash_cnt[1967][3]~54423\);

-- Location: FF_X40_Y24_N17
\led_flash_cnt[1967][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1967][3]~54422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1967][3]~q\);

-- Location: LCCOMB_X40_Y24_N18
\led_flash_cnt[1967][4]~54424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1967][4]~54424_combout\ = (\led_flash_cnt[1967][4]~q\ & (!\led_flash_cnt[1967][3]~54423\)) # (!\led_flash_cnt[1967][4]~q\ & ((\led_flash_cnt[1967][3]~54423\) # (GND)))
-- \led_flash_cnt[1967][4]~54425\ = CARRY((!\led_flash_cnt[1967][3]~54423\) # (!\led_flash_cnt[1967][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1967][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1967][3]~54423\,
	combout => \led_flash_cnt[1967][4]~54424_combout\,
	cout => \led_flash_cnt[1967][4]~54425\);

-- Location: FF_X40_Y24_N19
\led_flash_cnt[1967][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1967][4]~54424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1967][4]~q\);

-- Location: LCCOMB_X40_Y24_N10
\WideAnd1967~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1967~0_combout\ = (\led_flash_cnt[1967][1]~q\ & (\led_flash_cnt[1967][2]~q\ & (\led_flash_cnt[1967][4]~q\ & \led_flash_cnt[1967][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1967][1]~q\,
	datab => \led_flash_cnt[1967][2]~q\,
	datac => \led_flash_cnt[1967][4]~q\,
	datad => \led_flash_cnt[1967][3]~q\,
	combout => \WideAnd1967~0_combout\);

-- Location: LCCOMB_X40_Y24_N20
\led_flash_cnt[1967][5]~54426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1967][5]~54426_combout\ = (\led_flash_cnt[1967][5]~q\ & (\led_flash_cnt[1967][4]~54425\ $ (GND))) # (!\led_flash_cnt[1967][5]~q\ & (!\led_flash_cnt[1967][4]~54425\ & VCC))
-- \led_flash_cnt[1967][5]~54427\ = CARRY((\led_flash_cnt[1967][5]~q\ & !\led_flash_cnt[1967][4]~54425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1967][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1967][4]~54425\,
	combout => \led_flash_cnt[1967][5]~54426_combout\,
	cout => \led_flash_cnt[1967][5]~54427\);

-- Location: FF_X40_Y24_N21
\led_flash_cnt[1967][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1967][5]~54426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1967][5]~q\);

-- Location: LCCOMB_X40_Y24_N22
\led_flash_cnt[1967][6]~54428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1967][6]~54428_combout\ = (\led_flash_cnt[1967][6]~q\ & (!\led_flash_cnt[1967][5]~54427\)) # (!\led_flash_cnt[1967][6]~q\ & ((\led_flash_cnt[1967][5]~54427\) # (GND)))
-- \led_flash_cnt[1967][6]~54429\ = CARRY((!\led_flash_cnt[1967][5]~54427\) # (!\led_flash_cnt[1967][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1967][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1967][5]~54427\,
	combout => \led_flash_cnt[1967][6]~54428_combout\,
	cout => \led_flash_cnt[1967][6]~54429\);

-- Location: FF_X40_Y24_N23
\led_flash_cnt[1967][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1967][6]~54428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1967][6]~q\);

-- Location: LCCOMB_X40_Y24_N24
\led_flash_cnt[1967][7]~54430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1967][7]~54430_combout\ = \led_flash_cnt[1967][6]~54429\ $ (!\led_flash_cnt[1967][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1967][7]~q\,
	cin => \led_flash_cnt[1967][6]~54429\,
	combout => \led_flash_cnt[1967][7]~54430_combout\);

-- Location: FF_X40_Y24_N25
\led_flash_cnt[1967][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1967][7]~54430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1967][7]~q\);

-- Location: LCCOMB_X40_Y24_N8
\WideAnd1967~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1967~1_combout\ = (\led_flash_cnt[1967][6]~q\ & \led_flash_cnt[1967][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1967][6]~q\,
	datad => \led_flash_cnt[1967][5]~q\,
	combout => \WideAnd1967~1_combout\);

-- Location: LCCOMB_X40_Y24_N26
WideAnd1967 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1967~combout\ = (\WideAnd1967~0_combout\ & (\led_flash_cnt[1967][7]~q\ & (\WideAnd1967~1_combout\ & \led_flash_cnt[1967][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1967~0_combout\,
	datab => \led_flash_cnt[1967][7]~q\,
	datac => \WideAnd1967~1_combout\,
	datad => \led_flash_cnt[1967][0]~q\,
	combout => \WideAnd1967~combout\);

-- Location: FF_X40_Y24_N27
\led_flash_cnt_ands[1967]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1967~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1967));

-- Location: LCCOMB_X40_Y24_N2
\led_flash_cnt[1966][0]~82606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1966][0]~82606_combout\ = !\led_flash_cnt[1966][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1966][0]~q\,
	combout => \led_flash_cnt[1966][0]~82606_combout\);

-- Location: FF_X40_Y24_N3
\led_flash_cnt[1966][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1966][0]~82606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1966][0]~q\);

-- Location: LCCOMB_X39_Y24_N14
\led_flash_cnt[1966][1]~54404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1966][1]~54404_combout\ = (\led_flash_cnt[1966][0]~q\ & (\led_flash_cnt[1966][1]~q\ $ (VCC))) # (!\led_flash_cnt[1966][0]~q\ & (\led_flash_cnt[1966][1]~q\ & VCC))
-- \led_flash_cnt[1966][1]~54405\ = CARRY((\led_flash_cnt[1966][0]~q\ & \led_flash_cnt[1966][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1966][0]~q\,
	datab => \led_flash_cnt[1966][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1966][1]~54404_combout\,
	cout => \led_flash_cnt[1966][1]~54405\);

-- Location: FF_X39_Y24_N15
\led_flash_cnt[1966][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1966][1]~54404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1966][1]~q\);

-- Location: LCCOMB_X39_Y24_N16
\led_flash_cnt[1966][2]~54406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1966][2]~54406_combout\ = (\led_flash_cnt[1966][2]~q\ & (!\led_flash_cnt[1966][1]~54405\)) # (!\led_flash_cnt[1966][2]~q\ & ((\led_flash_cnt[1966][1]~54405\) # (GND)))
-- \led_flash_cnt[1966][2]~54407\ = CARRY((!\led_flash_cnt[1966][1]~54405\) # (!\led_flash_cnt[1966][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1966][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1966][1]~54405\,
	combout => \led_flash_cnt[1966][2]~54406_combout\,
	cout => \led_flash_cnt[1966][2]~54407\);

-- Location: FF_X39_Y24_N17
\led_flash_cnt[1966][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1966][2]~54406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1966][2]~q\);

-- Location: LCCOMB_X39_Y24_N18
\led_flash_cnt[1966][3]~54408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1966][3]~54408_combout\ = (\led_flash_cnt[1966][3]~q\ & (\led_flash_cnt[1966][2]~54407\ $ (GND))) # (!\led_flash_cnt[1966][3]~q\ & (!\led_flash_cnt[1966][2]~54407\ & VCC))
-- \led_flash_cnt[1966][3]~54409\ = CARRY((\led_flash_cnt[1966][3]~q\ & !\led_flash_cnt[1966][2]~54407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1966][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1966][2]~54407\,
	combout => \led_flash_cnt[1966][3]~54408_combout\,
	cout => \led_flash_cnt[1966][3]~54409\);

-- Location: FF_X39_Y24_N19
\led_flash_cnt[1966][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1966][3]~54408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1966][3]~q\);

-- Location: LCCOMB_X39_Y24_N20
\led_flash_cnt[1966][4]~54410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1966][4]~54410_combout\ = (\led_flash_cnt[1966][4]~q\ & (!\led_flash_cnt[1966][3]~54409\)) # (!\led_flash_cnt[1966][4]~q\ & ((\led_flash_cnt[1966][3]~54409\) # (GND)))
-- \led_flash_cnt[1966][4]~54411\ = CARRY((!\led_flash_cnt[1966][3]~54409\) # (!\led_flash_cnt[1966][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1966][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1966][3]~54409\,
	combout => \led_flash_cnt[1966][4]~54410_combout\,
	cout => \led_flash_cnt[1966][4]~54411\);

-- Location: FF_X39_Y24_N21
\led_flash_cnt[1966][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1966][4]~54410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1966][4]~q\);

-- Location: LCCOMB_X39_Y24_N22
\led_flash_cnt[1966][5]~54412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1966][5]~54412_combout\ = (\led_flash_cnt[1966][5]~q\ & (\led_flash_cnt[1966][4]~54411\ $ (GND))) # (!\led_flash_cnt[1966][5]~q\ & (!\led_flash_cnt[1966][4]~54411\ & VCC))
-- \led_flash_cnt[1966][5]~54413\ = CARRY((\led_flash_cnt[1966][5]~q\ & !\led_flash_cnt[1966][4]~54411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1966][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1966][4]~54411\,
	combout => \led_flash_cnt[1966][5]~54412_combout\,
	cout => \led_flash_cnt[1966][5]~54413\);

-- Location: FF_X39_Y24_N23
\led_flash_cnt[1966][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1966][5]~54412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1966][5]~q\);

-- Location: LCCOMB_X39_Y24_N24
\led_flash_cnt[1966][6]~54414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1966][6]~54414_combout\ = (\led_flash_cnt[1966][6]~q\ & (!\led_flash_cnt[1966][5]~54413\)) # (!\led_flash_cnt[1966][6]~q\ & ((\led_flash_cnt[1966][5]~54413\) # (GND)))
-- \led_flash_cnt[1966][6]~54415\ = CARRY((!\led_flash_cnt[1966][5]~54413\) # (!\led_flash_cnt[1966][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1966][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1966][5]~54413\,
	combout => \led_flash_cnt[1966][6]~54414_combout\,
	cout => \led_flash_cnt[1966][6]~54415\);

-- Location: FF_X39_Y24_N25
\led_flash_cnt[1966][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1966][6]~54414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1966][6]~q\);

-- Location: LCCOMB_X40_Y24_N6
\WideAnd1966~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1966~1_combout\ = (\led_flash_cnt[1966][6]~q\ & \led_flash_cnt[1966][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1966][6]~q\,
	datad => \led_flash_cnt[1966][5]~q\,
	combout => \WideAnd1966~1_combout\);

-- Location: LCCOMB_X39_Y24_N28
\WideAnd1966~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1966~0_combout\ = (\led_flash_cnt[1966][4]~q\ & (\led_flash_cnt[1966][3]~q\ & (\led_flash_cnt[1966][1]~q\ & \led_flash_cnt[1966][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1966][4]~q\,
	datab => \led_flash_cnt[1966][3]~q\,
	datac => \led_flash_cnt[1966][1]~q\,
	datad => \led_flash_cnt[1966][2]~q\,
	combout => \WideAnd1966~0_combout\);

-- Location: LCCOMB_X39_Y24_N26
\led_flash_cnt[1966][7]~54416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1966][7]~54416_combout\ = \led_flash_cnt[1966][7]~q\ $ (!\led_flash_cnt[1966][6]~54415\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1966][7]~q\,
	cin => \led_flash_cnt[1966][6]~54415\,
	combout => \led_flash_cnt[1966][7]~54416_combout\);

-- Location: FF_X39_Y24_N27
\led_flash_cnt[1966][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1966][7]~54416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1966][7]~q\);

-- Location: LCCOMB_X40_Y24_N28
WideAnd1966 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1966~combout\ = (\WideAnd1966~1_combout\ & (\WideAnd1966~0_combout\ & (\led_flash_cnt[1966][7]~q\ & \led_flash_cnt[1966][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1966~1_combout\,
	datab => \WideAnd1966~0_combout\,
	datac => \led_flash_cnt[1966][7]~q\,
	datad => \led_flash_cnt[1966][0]~q\,
	combout => \WideAnd1966~combout\);

-- Location: FF_X40_Y24_N29
\led_flash_cnt_ands[1966]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1966~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1966));

-- Location: LCCOMB_X43_Y20_N2
\led_flash_cnt[1965][0]~82605\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1965][0]~82605_combout\ = !\led_flash_cnt[1965][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1965][0]~q\,
	combout => \led_flash_cnt[1965][0]~82605_combout\);

-- Location: FF_X43_Y20_N3
\led_flash_cnt[1965][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1965][0]~82605_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1965][0]~q\);

-- Location: LCCOMB_X42_Y20_N2
\led_flash_cnt[1965][1]~54390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1965][1]~54390_combout\ = (\led_flash_cnt[1965][0]~q\ & (\led_flash_cnt[1965][1]~q\ $ (VCC))) # (!\led_flash_cnt[1965][0]~q\ & (\led_flash_cnt[1965][1]~q\ & VCC))
-- \led_flash_cnt[1965][1]~54391\ = CARRY((\led_flash_cnt[1965][0]~q\ & \led_flash_cnt[1965][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1965][0]~q\,
	datab => \led_flash_cnt[1965][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1965][1]~54390_combout\,
	cout => \led_flash_cnt[1965][1]~54391\);

-- Location: FF_X42_Y20_N3
\led_flash_cnt[1965][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1965][1]~54390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1965][1]~q\);

-- Location: LCCOMB_X42_Y20_N4
\led_flash_cnt[1965][2]~54392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1965][2]~54392_combout\ = (\led_flash_cnt[1965][2]~q\ & (!\led_flash_cnt[1965][1]~54391\)) # (!\led_flash_cnt[1965][2]~q\ & ((\led_flash_cnt[1965][1]~54391\) # (GND)))
-- \led_flash_cnt[1965][2]~54393\ = CARRY((!\led_flash_cnt[1965][1]~54391\) # (!\led_flash_cnt[1965][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1965][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1965][1]~54391\,
	combout => \led_flash_cnt[1965][2]~54392_combout\,
	cout => \led_flash_cnt[1965][2]~54393\);

-- Location: FF_X42_Y20_N5
\led_flash_cnt[1965][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1965][2]~54392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1965][2]~q\);

-- Location: LCCOMB_X42_Y20_N6
\led_flash_cnt[1965][3]~54394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1965][3]~54394_combout\ = (\led_flash_cnt[1965][3]~q\ & (\led_flash_cnt[1965][2]~54393\ $ (GND))) # (!\led_flash_cnt[1965][3]~q\ & (!\led_flash_cnt[1965][2]~54393\ & VCC))
-- \led_flash_cnt[1965][3]~54395\ = CARRY((\led_flash_cnt[1965][3]~q\ & !\led_flash_cnt[1965][2]~54393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1965][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1965][2]~54393\,
	combout => \led_flash_cnt[1965][3]~54394_combout\,
	cout => \led_flash_cnt[1965][3]~54395\);

-- Location: FF_X42_Y20_N7
\led_flash_cnt[1965][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1965][3]~54394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1965][3]~q\);

-- Location: LCCOMB_X42_Y20_N8
\led_flash_cnt[1965][4]~54396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1965][4]~54396_combout\ = (\led_flash_cnt[1965][4]~q\ & (!\led_flash_cnt[1965][3]~54395\)) # (!\led_flash_cnt[1965][4]~q\ & ((\led_flash_cnt[1965][3]~54395\) # (GND)))
-- \led_flash_cnt[1965][4]~54397\ = CARRY((!\led_flash_cnt[1965][3]~54395\) # (!\led_flash_cnt[1965][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1965][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1965][3]~54395\,
	combout => \led_flash_cnt[1965][4]~54396_combout\,
	cout => \led_flash_cnt[1965][4]~54397\);

-- Location: FF_X42_Y20_N9
\led_flash_cnt[1965][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1965][4]~54396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1965][4]~q\);

-- Location: LCCOMB_X42_Y20_N10
\led_flash_cnt[1965][5]~54398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1965][5]~54398_combout\ = (\led_flash_cnt[1965][5]~q\ & (\led_flash_cnt[1965][4]~54397\ $ (GND))) # (!\led_flash_cnt[1965][5]~q\ & (!\led_flash_cnt[1965][4]~54397\ & VCC))
-- \led_flash_cnt[1965][5]~54399\ = CARRY((\led_flash_cnt[1965][5]~q\ & !\led_flash_cnt[1965][4]~54397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1965][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1965][4]~54397\,
	combout => \led_flash_cnt[1965][5]~54398_combout\,
	cout => \led_flash_cnt[1965][5]~54399\);

-- Location: FF_X42_Y20_N11
\led_flash_cnt[1965][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1965][5]~54398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1965][5]~q\);

-- Location: LCCOMB_X42_Y20_N12
\led_flash_cnt[1965][6]~54400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1965][6]~54400_combout\ = (\led_flash_cnt[1965][6]~q\ & (!\led_flash_cnt[1965][5]~54399\)) # (!\led_flash_cnt[1965][6]~q\ & ((\led_flash_cnt[1965][5]~54399\) # (GND)))
-- \led_flash_cnt[1965][6]~54401\ = CARRY((!\led_flash_cnt[1965][5]~54399\) # (!\led_flash_cnt[1965][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1965][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1965][5]~54399\,
	combout => \led_flash_cnt[1965][6]~54400_combout\,
	cout => \led_flash_cnt[1965][6]~54401\);

-- Location: FF_X42_Y20_N13
\led_flash_cnt[1965][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1965][6]~54400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1965][6]~q\);

-- Location: LCCOMB_X42_Y20_N14
\led_flash_cnt[1965][7]~54402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1965][7]~54402_combout\ = \led_flash_cnt[1965][7]~q\ $ (!\led_flash_cnt[1965][6]~54401\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1965][7]~q\,
	cin => \led_flash_cnt[1965][6]~54401\,
	combout => \led_flash_cnt[1965][7]~54402_combout\);

-- Location: FF_X42_Y20_N15
\led_flash_cnt[1965][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1965][7]~54402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1965][7]~q\);

-- Location: LCCOMB_X43_Y20_N0
\WideAnd1965~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1965~0_combout\ = (\led_flash_cnt[1965][1]~q\ & (\led_flash_cnt[1965][3]~q\ & (\led_flash_cnt[1965][2]~q\ & \led_flash_cnt[1965][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1965][1]~q\,
	datab => \led_flash_cnt[1965][3]~q\,
	datac => \led_flash_cnt[1965][2]~q\,
	datad => \led_flash_cnt[1965][4]~q\,
	combout => \WideAnd1965~0_combout\);

-- Location: LCCOMB_X43_Y20_N30
\WideAnd1965~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1965~1_combout\ = (\led_flash_cnt[1965][6]~q\ & \led_flash_cnt[1965][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1965][6]~q\,
	datad => \led_flash_cnt[1965][5]~q\,
	combout => \WideAnd1965~1_combout\);

-- Location: LCCOMB_X43_Y20_N8
WideAnd1965 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1965~combout\ = (\led_flash_cnt[1965][7]~q\ & (\WideAnd1965~0_combout\ & (\WideAnd1965~1_combout\ & \led_flash_cnt[1965][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1965][7]~q\,
	datab => \WideAnd1965~0_combout\,
	datac => \WideAnd1965~1_combout\,
	datad => \led_flash_cnt[1965][0]~q\,
	combout => \WideAnd1965~combout\);

-- Location: FF_X43_Y20_N9
\led_flash_cnt_ands[1965]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1965~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1965));

-- Location: LCCOMB_X42_Y19_N24
\led_flash_cnt[1964][0]~82604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1964][0]~82604_combout\ = !\led_flash_cnt[1964][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1964][0]~q\,
	combout => \led_flash_cnt[1964][0]~82604_combout\);

-- Location: FF_X42_Y19_N25
\led_flash_cnt[1964][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1964][0]~82604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1964][0]~q\);

-- Location: LCCOMB_X43_Y20_N16
\led_flash_cnt[1964][1]~54376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1964][1]~54376_combout\ = (\led_flash_cnt[1964][0]~q\ & (\led_flash_cnt[1964][1]~q\ $ (VCC))) # (!\led_flash_cnt[1964][0]~q\ & (\led_flash_cnt[1964][1]~q\ & VCC))
-- \led_flash_cnt[1964][1]~54377\ = CARRY((\led_flash_cnt[1964][0]~q\ & \led_flash_cnt[1964][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1964][0]~q\,
	datab => \led_flash_cnt[1964][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1964][1]~54376_combout\,
	cout => \led_flash_cnt[1964][1]~54377\);

-- Location: FF_X43_Y20_N17
\led_flash_cnt[1964][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1964][1]~54376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1964][1]~q\);

-- Location: LCCOMB_X43_Y20_N18
\led_flash_cnt[1964][2]~54378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1964][2]~54378_combout\ = (\led_flash_cnt[1964][2]~q\ & (!\led_flash_cnt[1964][1]~54377\)) # (!\led_flash_cnt[1964][2]~q\ & ((\led_flash_cnt[1964][1]~54377\) # (GND)))
-- \led_flash_cnt[1964][2]~54379\ = CARRY((!\led_flash_cnt[1964][1]~54377\) # (!\led_flash_cnt[1964][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1964][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1964][1]~54377\,
	combout => \led_flash_cnt[1964][2]~54378_combout\,
	cout => \led_flash_cnt[1964][2]~54379\);

-- Location: FF_X43_Y20_N19
\led_flash_cnt[1964][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1964][2]~54378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1964][2]~q\);

-- Location: LCCOMB_X43_Y20_N20
\led_flash_cnt[1964][3]~54380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1964][3]~54380_combout\ = (\led_flash_cnt[1964][3]~q\ & (\led_flash_cnt[1964][2]~54379\ $ (GND))) # (!\led_flash_cnt[1964][3]~q\ & (!\led_flash_cnt[1964][2]~54379\ & VCC))
-- \led_flash_cnt[1964][3]~54381\ = CARRY((\led_flash_cnt[1964][3]~q\ & !\led_flash_cnt[1964][2]~54379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1964][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1964][2]~54379\,
	combout => \led_flash_cnt[1964][3]~54380_combout\,
	cout => \led_flash_cnt[1964][3]~54381\);

-- Location: FF_X43_Y20_N21
\led_flash_cnt[1964][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1964][3]~54380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1964][3]~q\);

-- Location: LCCOMB_X43_Y20_N22
\led_flash_cnt[1964][4]~54382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1964][4]~54382_combout\ = (\led_flash_cnt[1964][4]~q\ & (!\led_flash_cnt[1964][3]~54381\)) # (!\led_flash_cnt[1964][4]~q\ & ((\led_flash_cnt[1964][3]~54381\) # (GND)))
-- \led_flash_cnt[1964][4]~54383\ = CARRY((!\led_flash_cnt[1964][3]~54381\) # (!\led_flash_cnt[1964][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1964][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1964][3]~54381\,
	combout => \led_flash_cnt[1964][4]~54382_combout\,
	cout => \led_flash_cnt[1964][4]~54383\);

-- Location: FF_X43_Y20_N23
\led_flash_cnt[1964][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1964][4]~54382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1964][4]~q\);

-- Location: LCCOMB_X43_Y20_N24
\led_flash_cnt[1964][5]~54384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1964][5]~54384_combout\ = (\led_flash_cnt[1964][5]~q\ & (\led_flash_cnt[1964][4]~54383\ $ (GND))) # (!\led_flash_cnt[1964][5]~q\ & (!\led_flash_cnt[1964][4]~54383\ & VCC))
-- \led_flash_cnt[1964][5]~54385\ = CARRY((\led_flash_cnt[1964][5]~q\ & !\led_flash_cnt[1964][4]~54383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1964][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1964][4]~54383\,
	combout => \led_flash_cnt[1964][5]~54384_combout\,
	cout => \led_flash_cnt[1964][5]~54385\);

-- Location: FF_X43_Y20_N25
\led_flash_cnt[1964][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1964][5]~54384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1964][5]~q\);

-- Location: LCCOMB_X43_Y20_N26
\led_flash_cnt[1964][6]~54386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1964][6]~54386_combout\ = (\led_flash_cnt[1964][6]~q\ & (!\led_flash_cnt[1964][5]~54385\)) # (!\led_flash_cnt[1964][6]~q\ & ((\led_flash_cnt[1964][5]~54385\) # (GND)))
-- \led_flash_cnt[1964][6]~54387\ = CARRY((!\led_flash_cnt[1964][5]~54385\) # (!\led_flash_cnt[1964][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1964][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1964][5]~54385\,
	combout => \led_flash_cnt[1964][6]~54386_combout\,
	cout => \led_flash_cnt[1964][6]~54387\);

-- Location: FF_X43_Y20_N27
\led_flash_cnt[1964][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1964][6]~54386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1964][6]~q\);

-- Location: LCCOMB_X43_Y20_N10
\WideAnd1964~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1964~1_combout\ = (\led_flash_cnt[1964][6]~q\ & \led_flash_cnt[1964][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1964][6]~q\,
	datad => \led_flash_cnt[1964][5]~q\,
	combout => \WideAnd1964~1_combout\);

-- Location: LCCOMB_X43_Y20_N28
\led_flash_cnt[1964][7]~54388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1964][7]~54388_combout\ = \led_flash_cnt[1964][6]~54387\ $ (!\led_flash_cnt[1964][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1964][7]~q\,
	cin => \led_flash_cnt[1964][6]~54387\,
	combout => \led_flash_cnt[1964][7]~54388_combout\);

-- Location: FF_X43_Y20_N29
\led_flash_cnt[1964][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1964][7]~54388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1964][7]~q\);

-- Location: LCCOMB_X43_Y20_N6
\WideAnd1964~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1964~0_combout\ = (\led_flash_cnt[1964][3]~q\ & (\led_flash_cnt[1964][2]~q\ & (\led_flash_cnt[1964][4]~q\ & \led_flash_cnt[1964][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1964][3]~q\,
	datab => \led_flash_cnt[1964][2]~q\,
	datac => \led_flash_cnt[1964][4]~q\,
	datad => \led_flash_cnt[1964][1]~q\,
	combout => \WideAnd1964~0_combout\);

-- Location: LCCOMB_X43_Y20_N4
WideAnd1964 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1964~combout\ = (\WideAnd1964~1_combout\ & (\led_flash_cnt[1964][7]~q\ & (\led_flash_cnt[1964][0]~q\ & \WideAnd1964~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1964~1_combout\,
	datab => \led_flash_cnt[1964][7]~q\,
	datac => \led_flash_cnt[1964][0]~q\,
	datad => \WideAnd1964~0_combout\,
	combout => \WideAnd1964~combout\);

-- Location: FF_X43_Y20_N5
\led_flash_cnt_ands[1964]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1964~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1964));

-- Location: LCCOMB_X39_Y20_N10
\WideAnd4085~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4085~1_combout\ = (led_flash_cnt_ands(1965) & led_flash_cnt_ands(1964))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1965),
	datad => led_flash_cnt_ands(1964),
	combout => \WideAnd4085~1_combout\);

-- Location: LCCOMB_X44_Y18_N18
\led_flash_cnt[1960][0]~82600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1960][0]~82600_combout\ = !\led_flash_cnt[1960][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1960][0]~q\,
	combout => \led_flash_cnt[1960][0]~82600_combout\);

-- Location: FF_X44_Y18_N19
\led_flash_cnt[1960][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1960][0]~82600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1960][0]~q\);

-- Location: LCCOMB_X45_Y18_N0
\led_flash_cnt[1960][1]~54320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1960][1]~54320_combout\ = (\led_flash_cnt[1960][0]~q\ & (\led_flash_cnt[1960][1]~q\ $ (VCC))) # (!\led_flash_cnt[1960][0]~q\ & (\led_flash_cnt[1960][1]~q\ & VCC))
-- \led_flash_cnt[1960][1]~54321\ = CARRY((\led_flash_cnt[1960][0]~q\ & \led_flash_cnt[1960][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1960][0]~q\,
	datab => \led_flash_cnt[1960][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1960][1]~54320_combout\,
	cout => \led_flash_cnt[1960][1]~54321\);

-- Location: FF_X45_Y18_N1
\led_flash_cnt[1960][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1960][1]~54320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1960][1]~q\);

-- Location: LCCOMB_X45_Y18_N2
\led_flash_cnt[1960][2]~54322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1960][2]~54322_combout\ = (\led_flash_cnt[1960][2]~q\ & (!\led_flash_cnt[1960][1]~54321\)) # (!\led_flash_cnt[1960][2]~q\ & ((\led_flash_cnt[1960][1]~54321\) # (GND)))
-- \led_flash_cnt[1960][2]~54323\ = CARRY((!\led_flash_cnt[1960][1]~54321\) # (!\led_flash_cnt[1960][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1960][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1960][1]~54321\,
	combout => \led_flash_cnt[1960][2]~54322_combout\,
	cout => \led_flash_cnt[1960][2]~54323\);

-- Location: FF_X45_Y18_N3
\led_flash_cnt[1960][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1960][2]~54322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1960][2]~q\);

-- Location: LCCOMB_X45_Y18_N4
\led_flash_cnt[1960][3]~54324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1960][3]~54324_combout\ = (\led_flash_cnt[1960][3]~q\ & (\led_flash_cnt[1960][2]~54323\ $ (GND))) # (!\led_flash_cnt[1960][3]~q\ & (!\led_flash_cnt[1960][2]~54323\ & VCC))
-- \led_flash_cnt[1960][3]~54325\ = CARRY((\led_flash_cnt[1960][3]~q\ & !\led_flash_cnt[1960][2]~54323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1960][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1960][2]~54323\,
	combout => \led_flash_cnt[1960][3]~54324_combout\,
	cout => \led_flash_cnt[1960][3]~54325\);

-- Location: FF_X45_Y18_N5
\led_flash_cnt[1960][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1960][3]~54324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1960][3]~q\);

-- Location: LCCOMB_X45_Y18_N6
\led_flash_cnt[1960][4]~54326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1960][4]~54326_combout\ = (\led_flash_cnt[1960][4]~q\ & (!\led_flash_cnt[1960][3]~54325\)) # (!\led_flash_cnt[1960][4]~q\ & ((\led_flash_cnt[1960][3]~54325\) # (GND)))
-- \led_flash_cnt[1960][4]~54327\ = CARRY((!\led_flash_cnt[1960][3]~54325\) # (!\led_flash_cnt[1960][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1960][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1960][3]~54325\,
	combout => \led_flash_cnt[1960][4]~54326_combout\,
	cout => \led_flash_cnt[1960][4]~54327\);

-- Location: FF_X45_Y18_N7
\led_flash_cnt[1960][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1960][4]~54326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1960][4]~q\);

-- Location: LCCOMB_X45_Y18_N8
\led_flash_cnt[1960][5]~54328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1960][5]~54328_combout\ = (\led_flash_cnt[1960][5]~q\ & (\led_flash_cnt[1960][4]~54327\ $ (GND))) # (!\led_flash_cnt[1960][5]~q\ & (!\led_flash_cnt[1960][4]~54327\ & VCC))
-- \led_flash_cnt[1960][5]~54329\ = CARRY((\led_flash_cnt[1960][5]~q\ & !\led_flash_cnt[1960][4]~54327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1960][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1960][4]~54327\,
	combout => \led_flash_cnt[1960][5]~54328_combout\,
	cout => \led_flash_cnt[1960][5]~54329\);

-- Location: FF_X45_Y18_N9
\led_flash_cnt[1960][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1960][5]~54328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1960][5]~q\);

-- Location: LCCOMB_X45_Y18_N10
\led_flash_cnt[1960][6]~54330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1960][6]~54330_combout\ = (\led_flash_cnt[1960][6]~q\ & (!\led_flash_cnt[1960][5]~54329\)) # (!\led_flash_cnt[1960][6]~q\ & ((\led_flash_cnt[1960][5]~54329\) # (GND)))
-- \led_flash_cnt[1960][6]~54331\ = CARRY((!\led_flash_cnt[1960][5]~54329\) # (!\led_flash_cnt[1960][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1960][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1960][5]~54329\,
	combout => \led_flash_cnt[1960][6]~54330_combout\,
	cout => \led_flash_cnt[1960][6]~54331\);

-- Location: FF_X45_Y18_N11
\led_flash_cnt[1960][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1960][6]~54330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1960][6]~q\);

-- Location: LCCOMB_X44_Y18_N26
\WideAnd1960~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1960~1_combout\ = (\led_flash_cnt[1960][6]~q\ & \led_flash_cnt[1960][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1960][6]~q\,
	datac => \led_flash_cnt[1960][5]~q\,
	combout => \WideAnd1960~1_combout\);

-- Location: LCCOMB_X45_Y18_N12
\led_flash_cnt[1960][7]~54332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1960][7]~54332_combout\ = \led_flash_cnt[1960][6]~54331\ $ (!\led_flash_cnt[1960][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1960][7]~q\,
	cin => \led_flash_cnt[1960][6]~54331\,
	combout => \led_flash_cnt[1960][7]~54332_combout\);

-- Location: FF_X45_Y18_N13
\led_flash_cnt[1960][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1960][7]~54332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1960][7]~q\);

-- Location: LCCOMB_X45_Y18_N16
\WideAnd1960~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1960~0_combout\ = (\led_flash_cnt[1960][4]~q\ & (\led_flash_cnt[1960][1]~q\ & (\led_flash_cnt[1960][3]~q\ & \led_flash_cnt[1960][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1960][4]~q\,
	datab => \led_flash_cnt[1960][1]~q\,
	datac => \led_flash_cnt[1960][3]~q\,
	datad => \led_flash_cnt[1960][2]~q\,
	combout => \WideAnd1960~0_combout\);

-- Location: LCCOMB_X44_Y18_N22
WideAnd1960 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1960~combout\ = (\WideAnd1960~1_combout\ & (\led_flash_cnt[1960][0]~q\ & (\led_flash_cnt[1960][7]~q\ & \WideAnd1960~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1960~1_combout\,
	datab => \led_flash_cnt[1960][0]~q\,
	datac => \led_flash_cnt[1960][7]~q\,
	datad => \WideAnd1960~0_combout\,
	combout => \WideAnd1960~combout\);

-- Location: FF_X44_Y18_N23
\led_flash_cnt_ands[1960]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1960~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1960));

-- Location: LCCOMB_X44_Y24_N30
\led_flash_cnt[1961][0]~82601\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1961][0]~82601_combout\ = !\led_flash_cnt[1961][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1961][0]~q\,
	combout => \led_flash_cnt[1961][0]~82601_combout\);

-- Location: FF_X44_Y24_N31
\led_flash_cnt[1961][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1961][0]~82601_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1961][0]~q\);

-- Location: LCCOMB_X43_Y24_N2
\led_flash_cnt[1961][1]~54334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1961][1]~54334_combout\ = (\led_flash_cnt[1961][0]~q\ & (\led_flash_cnt[1961][1]~q\ $ (VCC))) # (!\led_flash_cnt[1961][0]~q\ & (\led_flash_cnt[1961][1]~q\ & VCC))
-- \led_flash_cnt[1961][1]~54335\ = CARRY((\led_flash_cnt[1961][0]~q\ & \led_flash_cnt[1961][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1961][0]~q\,
	datab => \led_flash_cnt[1961][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1961][1]~54334_combout\,
	cout => \led_flash_cnt[1961][1]~54335\);

-- Location: FF_X43_Y24_N3
\led_flash_cnt[1961][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1961][1]~54334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1961][1]~q\);

-- Location: LCCOMB_X43_Y24_N4
\led_flash_cnt[1961][2]~54336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1961][2]~54336_combout\ = (\led_flash_cnt[1961][2]~q\ & (!\led_flash_cnt[1961][1]~54335\)) # (!\led_flash_cnt[1961][2]~q\ & ((\led_flash_cnt[1961][1]~54335\) # (GND)))
-- \led_flash_cnt[1961][2]~54337\ = CARRY((!\led_flash_cnt[1961][1]~54335\) # (!\led_flash_cnt[1961][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1961][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1961][1]~54335\,
	combout => \led_flash_cnt[1961][2]~54336_combout\,
	cout => \led_flash_cnt[1961][2]~54337\);

-- Location: FF_X43_Y24_N5
\led_flash_cnt[1961][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1961][2]~54336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1961][2]~q\);

-- Location: LCCOMB_X43_Y24_N6
\led_flash_cnt[1961][3]~54338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1961][3]~54338_combout\ = (\led_flash_cnt[1961][3]~q\ & (\led_flash_cnt[1961][2]~54337\ $ (GND))) # (!\led_flash_cnt[1961][3]~q\ & (!\led_flash_cnt[1961][2]~54337\ & VCC))
-- \led_flash_cnt[1961][3]~54339\ = CARRY((\led_flash_cnt[1961][3]~q\ & !\led_flash_cnt[1961][2]~54337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1961][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1961][2]~54337\,
	combout => \led_flash_cnt[1961][3]~54338_combout\,
	cout => \led_flash_cnt[1961][3]~54339\);

-- Location: FF_X43_Y24_N7
\led_flash_cnt[1961][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1961][3]~54338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1961][3]~q\);

-- Location: LCCOMB_X43_Y24_N8
\led_flash_cnt[1961][4]~54340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1961][4]~54340_combout\ = (\led_flash_cnt[1961][4]~q\ & (!\led_flash_cnt[1961][3]~54339\)) # (!\led_flash_cnt[1961][4]~q\ & ((\led_flash_cnt[1961][3]~54339\) # (GND)))
-- \led_flash_cnt[1961][4]~54341\ = CARRY((!\led_flash_cnt[1961][3]~54339\) # (!\led_flash_cnt[1961][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1961][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1961][3]~54339\,
	combout => \led_flash_cnt[1961][4]~54340_combout\,
	cout => \led_flash_cnt[1961][4]~54341\);

-- Location: FF_X43_Y24_N9
\led_flash_cnt[1961][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1961][4]~54340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1961][4]~q\);

-- Location: LCCOMB_X43_Y24_N10
\led_flash_cnt[1961][5]~54342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1961][5]~54342_combout\ = (\led_flash_cnt[1961][5]~q\ & (\led_flash_cnt[1961][4]~54341\ $ (GND))) # (!\led_flash_cnt[1961][5]~q\ & (!\led_flash_cnt[1961][4]~54341\ & VCC))
-- \led_flash_cnt[1961][5]~54343\ = CARRY((\led_flash_cnt[1961][5]~q\ & !\led_flash_cnt[1961][4]~54341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1961][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1961][4]~54341\,
	combout => \led_flash_cnt[1961][5]~54342_combout\,
	cout => \led_flash_cnt[1961][5]~54343\);

-- Location: FF_X43_Y24_N11
\led_flash_cnt[1961][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1961][5]~54342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1961][5]~q\);

-- Location: LCCOMB_X43_Y24_N12
\led_flash_cnt[1961][6]~54344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1961][6]~54344_combout\ = (\led_flash_cnt[1961][6]~q\ & (!\led_flash_cnt[1961][5]~54343\)) # (!\led_flash_cnt[1961][6]~q\ & ((\led_flash_cnt[1961][5]~54343\) # (GND)))
-- \led_flash_cnt[1961][6]~54345\ = CARRY((!\led_flash_cnt[1961][5]~54343\) # (!\led_flash_cnt[1961][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1961][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1961][5]~54343\,
	combout => \led_flash_cnt[1961][6]~54344_combout\,
	cout => \led_flash_cnt[1961][6]~54345\);

-- Location: FF_X43_Y24_N13
\led_flash_cnt[1961][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1961][6]~54344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1961][6]~q\);

-- Location: LCCOMB_X43_Y24_N14
\led_flash_cnt[1961][7]~54346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1961][7]~54346_combout\ = \led_flash_cnt[1961][7]~q\ $ (!\led_flash_cnt[1961][6]~54345\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1961][7]~q\,
	cin => \led_flash_cnt[1961][6]~54345\,
	combout => \led_flash_cnt[1961][7]~54346_combout\);

-- Location: FF_X43_Y24_N15
\led_flash_cnt[1961][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1961][7]~54346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1961][7]~q\);

-- Location: LCCOMB_X44_Y24_N24
\WideAnd1961~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1961~1_combout\ = (\led_flash_cnt[1961][5]~q\ & \led_flash_cnt[1961][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1961][5]~q\,
	datad => \led_flash_cnt[1961][6]~q\,
	combout => \WideAnd1961~1_combout\);

-- Location: LCCOMB_X43_Y24_N0
\WideAnd1961~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1961~0_combout\ = (\led_flash_cnt[1961][3]~q\ & (\led_flash_cnt[1961][4]~q\ & (\led_flash_cnt[1961][2]~q\ & \led_flash_cnt[1961][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1961][3]~q\,
	datab => \led_flash_cnt[1961][4]~q\,
	datac => \led_flash_cnt[1961][2]~q\,
	datad => \led_flash_cnt[1961][1]~q\,
	combout => \WideAnd1961~0_combout\);

-- Location: LCCOMB_X44_Y24_N28
WideAnd1961 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1961~combout\ = (\led_flash_cnt[1961][7]~q\ & (\WideAnd1961~1_combout\ & (\WideAnd1961~0_combout\ & \led_flash_cnt[1961][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1961][7]~q\,
	datab => \WideAnd1961~1_combout\,
	datac => \WideAnd1961~0_combout\,
	datad => \led_flash_cnt[1961][0]~q\,
	combout => \WideAnd1961~combout\);

-- Location: FF_X44_Y24_N29
\led_flash_cnt_ands[1961]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1961~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1961));

-- Location: LCCOMB_X59_Y24_N0
\led_flash_cnt[1962][0]~82602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1962][0]~82602_combout\ = !\led_flash_cnt[1962][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1962][0]~q\,
	combout => \led_flash_cnt[1962][0]~82602_combout\);

-- Location: FF_X59_Y24_N1
\led_flash_cnt[1962][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1962][0]~82602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1962][0]~q\);

-- Location: LCCOMB_X56_Y25_N0
\led_flash_cnt[1962][1]~54348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1962][1]~54348_combout\ = (\led_flash_cnt[1962][0]~q\ & (\led_flash_cnt[1962][1]~q\ $ (VCC))) # (!\led_flash_cnt[1962][0]~q\ & (\led_flash_cnt[1962][1]~q\ & VCC))
-- \led_flash_cnt[1962][1]~54349\ = CARRY((\led_flash_cnt[1962][0]~q\ & \led_flash_cnt[1962][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1962][0]~q\,
	datab => \led_flash_cnt[1962][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1962][1]~54348_combout\,
	cout => \led_flash_cnt[1962][1]~54349\);

-- Location: FF_X56_Y25_N1
\led_flash_cnt[1962][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1962][1]~54348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1962][1]~q\);

-- Location: LCCOMB_X56_Y25_N2
\led_flash_cnt[1962][2]~54350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1962][2]~54350_combout\ = (\led_flash_cnt[1962][2]~q\ & (!\led_flash_cnt[1962][1]~54349\)) # (!\led_flash_cnt[1962][2]~q\ & ((\led_flash_cnt[1962][1]~54349\) # (GND)))
-- \led_flash_cnt[1962][2]~54351\ = CARRY((!\led_flash_cnt[1962][1]~54349\) # (!\led_flash_cnt[1962][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1962][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1962][1]~54349\,
	combout => \led_flash_cnt[1962][2]~54350_combout\,
	cout => \led_flash_cnt[1962][2]~54351\);

-- Location: FF_X56_Y25_N3
\led_flash_cnt[1962][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1962][2]~54350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1962][2]~q\);

-- Location: LCCOMB_X56_Y25_N4
\led_flash_cnt[1962][3]~54352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1962][3]~54352_combout\ = (\led_flash_cnt[1962][3]~q\ & (\led_flash_cnt[1962][2]~54351\ $ (GND))) # (!\led_flash_cnt[1962][3]~q\ & (!\led_flash_cnt[1962][2]~54351\ & VCC))
-- \led_flash_cnt[1962][3]~54353\ = CARRY((\led_flash_cnt[1962][3]~q\ & !\led_flash_cnt[1962][2]~54351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1962][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1962][2]~54351\,
	combout => \led_flash_cnt[1962][3]~54352_combout\,
	cout => \led_flash_cnt[1962][3]~54353\);

-- Location: FF_X56_Y25_N5
\led_flash_cnt[1962][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1962][3]~54352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1962][3]~q\);

-- Location: LCCOMB_X56_Y25_N6
\led_flash_cnt[1962][4]~54354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1962][4]~54354_combout\ = (\led_flash_cnt[1962][4]~q\ & (!\led_flash_cnt[1962][3]~54353\)) # (!\led_flash_cnt[1962][4]~q\ & ((\led_flash_cnt[1962][3]~54353\) # (GND)))
-- \led_flash_cnt[1962][4]~54355\ = CARRY((!\led_flash_cnt[1962][3]~54353\) # (!\led_flash_cnt[1962][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1962][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1962][3]~54353\,
	combout => \led_flash_cnt[1962][4]~54354_combout\,
	cout => \led_flash_cnt[1962][4]~54355\);

-- Location: FF_X56_Y25_N7
\led_flash_cnt[1962][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1962][4]~54354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1962][4]~q\);

-- Location: LCCOMB_X56_Y25_N8
\led_flash_cnt[1962][5]~54356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1962][5]~54356_combout\ = (\led_flash_cnt[1962][5]~q\ & (\led_flash_cnt[1962][4]~54355\ $ (GND))) # (!\led_flash_cnt[1962][5]~q\ & (!\led_flash_cnt[1962][4]~54355\ & VCC))
-- \led_flash_cnt[1962][5]~54357\ = CARRY((\led_flash_cnt[1962][5]~q\ & !\led_flash_cnt[1962][4]~54355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1962][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1962][4]~54355\,
	combout => \led_flash_cnt[1962][5]~54356_combout\,
	cout => \led_flash_cnt[1962][5]~54357\);

-- Location: FF_X56_Y25_N9
\led_flash_cnt[1962][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1962][5]~54356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1962][5]~q\);

-- Location: LCCOMB_X56_Y25_N10
\led_flash_cnt[1962][6]~54358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1962][6]~54358_combout\ = (\led_flash_cnt[1962][6]~q\ & (!\led_flash_cnt[1962][5]~54357\)) # (!\led_flash_cnt[1962][6]~q\ & ((\led_flash_cnt[1962][5]~54357\) # (GND)))
-- \led_flash_cnt[1962][6]~54359\ = CARRY((!\led_flash_cnt[1962][5]~54357\) # (!\led_flash_cnt[1962][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1962][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1962][5]~54357\,
	combout => \led_flash_cnt[1962][6]~54358_combout\,
	cout => \led_flash_cnt[1962][6]~54359\);

-- Location: FF_X56_Y25_N11
\led_flash_cnt[1962][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1962][6]~54358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1962][6]~q\);

-- Location: LCCOMB_X56_Y24_N6
\WideAnd1962~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1962~1_combout\ = (\led_flash_cnt[1962][6]~q\ & \led_flash_cnt[1962][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1962][6]~q\,
	datad => \led_flash_cnt[1962][5]~q\,
	combout => \WideAnd1962~1_combout\);

-- Location: LCCOMB_X56_Y25_N30
\WideAnd1962~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1962~0_combout\ = (\led_flash_cnt[1962][4]~q\ & (\led_flash_cnt[1962][1]~q\ & (\led_flash_cnt[1962][3]~q\ & \led_flash_cnt[1962][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1962][4]~q\,
	datab => \led_flash_cnt[1962][1]~q\,
	datac => \led_flash_cnt[1962][3]~q\,
	datad => \led_flash_cnt[1962][2]~q\,
	combout => \WideAnd1962~0_combout\);

-- Location: LCCOMB_X56_Y25_N12
\led_flash_cnt[1962][7]~54360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1962][7]~54360_combout\ = \led_flash_cnt[1962][6]~54359\ $ (!\led_flash_cnt[1962][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1962][7]~q\,
	cin => \led_flash_cnt[1962][6]~54359\,
	combout => \led_flash_cnt[1962][7]~54360_combout\);

-- Location: FF_X56_Y25_N13
\led_flash_cnt[1962][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1962][7]~54360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1962][7]~q\);

-- Location: LCCOMB_X56_Y24_N8
WideAnd1962 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1962~combout\ = (\WideAnd1962~1_combout\ & (\led_flash_cnt[1962][0]~q\ & (\WideAnd1962~0_combout\ & \led_flash_cnt[1962][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1962~1_combout\,
	datab => \led_flash_cnt[1962][0]~q\,
	datac => \WideAnd1962~0_combout\,
	datad => \led_flash_cnt[1962][7]~q\,
	combout => \WideAnd1962~combout\);

-- Location: FF_X56_Y24_N9
\led_flash_cnt_ands[1962]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1962~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1962));

-- Location: LCCOMB_X44_Y24_N22
\led_flash_cnt[1963][0]~82603\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1963][0]~82603_combout\ = !\led_flash_cnt[1963][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1963][0]~q\,
	combout => \led_flash_cnt[1963][0]~82603_combout\);

-- Location: FF_X44_Y24_N23
\led_flash_cnt[1963][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1963][0]~82603_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1963][0]~q\);

-- Location: LCCOMB_X44_Y24_N0
\led_flash_cnt[1963][1]~54362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1963][1]~54362_combout\ = (\led_flash_cnt[1963][0]~q\ & (\led_flash_cnt[1963][1]~q\ $ (VCC))) # (!\led_flash_cnt[1963][0]~q\ & (\led_flash_cnt[1963][1]~q\ & VCC))
-- \led_flash_cnt[1963][1]~54363\ = CARRY((\led_flash_cnt[1963][0]~q\ & \led_flash_cnt[1963][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1963][0]~q\,
	datab => \led_flash_cnt[1963][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1963][1]~54362_combout\,
	cout => \led_flash_cnt[1963][1]~54363\);

-- Location: FF_X44_Y24_N1
\led_flash_cnt[1963][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1963][1]~54362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1963][1]~q\);

-- Location: LCCOMB_X44_Y24_N2
\led_flash_cnt[1963][2]~54364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1963][2]~54364_combout\ = (\led_flash_cnt[1963][2]~q\ & (!\led_flash_cnt[1963][1]~54363\)) # (!\led_flash_cnt[1963][2]~q\ & ((\led_flash_cnt[1963][1]~54363\) # (GND)))
-- \led_flash_cnt[1963][2]~54365\ = CARRY((!\led_flash_cnt[1963][1]~54363\) # (!\led_flash_cnt[1963][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1963][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1963][1]~54363\,
	combout => \led_flash_cnt[1963][2]~54364_combout\,
	cout => \led_flash_cnt[1963][2]~54365\);

-- Location: FF_X44_Y24_N3
\led_flash_cnt[1963][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1963][2]~54364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1963][2]~q\);

-- Location: LCCOMB_X44_Y24_N4
\led_flash_cnt[1963][3]~54366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1963][3]~54366_combout\ = (\led_flash_cnt[1963][3]~q\ & (\led_flash_cnt[1963][2]~54365\ $ (GND))) # (!\led_flash_cnt[1963][3]~q\ & (!\led_flash_cnt[1963][2]~54365\ & VCC))
-- \led_flash_cnt[1963][3]~54367\ = CARRY((\led_flash_cnt[1963][3]~q\ & !\led_flash_cnt[1963][2]~54365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1963][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1963][2]~54365\,
	combout => \led_flash_cnt[1963][3]~54366_combout\,
	cout => \led_flash_cnt[1963][3]~54367\);

-- Location: FF_X44_Y24_N5
\led_flash_cnt[1963][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1963][3]~54366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1963][3]~q\);

-- Location: LCCOMB_X44_Y24_N6
\led_flash_cnt[1963][4]~54368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1963][4]~54368_combout\ = (\led_flash_cnt[1963][4]~q\ & (!\led_flash_cnt[1963][3]~54367\)) # (!\led_flash_cnt[1963][4]~q\ & ((\led_flash_cnt[1963][3]~54367\) # (GND)))
-- \led_flash_cnt[1963][4]~54369\ = CARRY((!\led_flash_cnt[1963][3]~54367\) # (!\led_flash_cnt[1963][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1963][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1963][3]~54367\,
	combout => \led_flash_cnt[1963][4]~54368_combout\,
	cout => \led_flash_cnt[1963][4]~54369\);

-- Location: FF_X44_Y24_N7
\led_flash_cnt[1963][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1963][4]~54368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1963][4]~q\);

-- Location: LCCOMB_X44_Y24_N8
\led_flash_cnt[1963][5]~54370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1963][5]~54370_combout\ = (\led_flash_cnt[1963][5]~q\ & (\led_flash_cnt[1963][4]~54369\ $ (GND))) # (!\led_flash_cnt[1963][5]~q\ & (!\led_flash_cnt[1963][4]~54369\ & VCC))
-- \led_flash_cnt[1963][5]~54371\ = CARRY((\led_flash_cnt[1963][5]~q\ & !\led_flash_cnt[1963][4]~54369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1963][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1963][4]~54369\,
	combout => \led_flash_cnt[1963][5]~54370_combout\,
	cout => \led_flash_cnt[1963][5]~54371\);

-- Location: FF_X44_Y24_N9
\led_flash_cnt[1963][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1963][5]~54370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1963][5]~q\);

-- Location: LCCOMB_X44_Y24_N10
\led_flash_cnt[1963][6]~54372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1963][6]~54372_combout\ = (\led_flash_cnt[1963][6]~q\ & (!\led_flash_cnt[1963][5]~54371\)) # (!\led_flash_cnt[1963][6]~q\ & ((\led_flash_cnt[1963][5]~54371\) # (GND)))
-- \led_flash_cnt[1963][6]~54373\ = CARRY((!\led_flash_cnt[1963][5]~54371\) # (!\led_flash_cnt[1963][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1963][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1963][5]~54371\,
	combout => \led_flash_cnt[1963][6]~54372_combout\,
	cout => \led_flash_cnt[1963][6]~54373\);

-- Location: FF_X44_Y24_N11
\led_flash_cnt[1963][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1963][6]~54372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1963][6]~q\);

-- Location: LCCOMB_X44_Y24_N18
\WideAnd1963~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1963~1_combout\ = (\led_flash_cnt[1963][5]~q\ & \led_flash_cnt[1963][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1963][5]~q\,
	datad => \led_flash_cnt[1963][6]~q\,
	combout => \WideAnd1963~1_combout\);

-- Location: LCCOMB_X44_Y24_N14
\WideAnd1963~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1963~0_combout\ = (\led_flash_cnt[1963][4]~q\ & (\led_flash_cnt[1963][1]~q\ & (\led_flash_cnt[1963][3]~q\ & \led_flash_cnt[1963][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1963][4]~q\,
	datab => \led_flash_cnt[1963][1]~q\,
	datac => \led_flash_cnt[1963][3]~q\,
	datad => \led_flash_cnt[1963][2]~q\,
	combout => \WideAnd1963~0_combout\);

-- Location: LCCOMB_X44_Y24_N12
\led_flash_cnt[1963][7]~54374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1963][7]~54374_combout\ = \led_flash_cnt[1963][6]~54373\ $ (!\led_flash_cnt[1963][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1963][7]~q\,
	cin => \led_flash_cnt[1963][6]~54373\,
	combout => \led_flash_cnt[1963][7]~54374_combout\);

-- Location: FF_X44_Y24_N13
\led_flash_cnt[1963][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1963][7]~54374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1963][7]~q\);

-- Location: LCCOMB_X44_Y24_N16
WideAnd1963 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1963~combout\ = (\led_flash_cnt[1963][0]~q\ & (\WideAnd1963~1_combout\ & (\WideAnd1963~0_combout\ & \led_flash_cnt[1963][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1963][0]~q\,
	datab => \WideAnd1963~1_combout\,
	datac => \WideAnd1963~0_combout\,
	datad => \led_flash_cnt[1963][7]~q\,
	combout => \WideAnd1963~combout\);

-- Location: FF_X44_Y24_N17
\led_flash_cnt_ands[1963]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1963~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1963));

-- Location: LCCOMB_X44_Y24_N20
\WideAnd4085~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4085~0_combout\ = (led_flash_cnt_ands(1960) & (led_flash_cnt_ands(1961) & (led_flash_cnt_ands(1962) & led_flash_cnt_ands(1963))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1960),
	datab => led_flash_cnt_ands(1961),
	datac => led_flash_cnt_ands(1962),
	datad => led_flash_cnt_ands(1963),
	combout => \WideAnd4085~0_combout\);

-- Location: LCCOMB_X40_Y24_N30
WideAnd4085 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4085~combout\ = (led_flash_cnt_ands(1967) & (led_flash_cnt_ands(1966) & (\WideAnd4085~1_combout\ & \WideAnd4085~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1967),
	datab => led_flash_cnt_ands(1966),
	datac => \WideAnd4085~1_combout\,
	datad => \WideAnd4085~0_combout\,
	combout => \WideAnd4085~combout\);

-- Location: FF_X40_Y24_N31
\led_flash_cnt_ands_1[245]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4085~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(245));

-- Location: LCCOMB_X12_Y19_N22
\led_flash_cnt[1957][0]~82597\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1957][0]~82597_combout\ = !\led_flash_cnt[1957][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1957][0]~q\,
	combout => \led_flash_cnt[1957][0]~82597_combout\);

-- Location: FF_X12_Y19_N23
\led_flash_cnt[1957][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1957][0]~82597_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1957][0]~q\);

-- Location: LCCOMB_X12_Y19_N8
\led_flash_cnt[1957][1]~54278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1957][1]~54278_combout\ = (\led_flash_cnt[1957][0]~q\ & (\led_flash_cnt[1957][1]~q\ $ (VCC))) # (!\led_flash_cnt[1957][0]~q\ & (\led_flash_cnt[1957][1]~q\ & VCC))
-- \led_flash_cnt[1957][1]~54279\ = CARRY((\led_flash_cnt[1957][0]~q\ & \led_flash_cnt[1957][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1957][0]~q\,
	datab => \led_flash_cnt[1957][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1957][1]~54278_combout\,
	cout => \led_flash_cnt[1957][1]~54279\);

-- Location: FF_X12_Y19_N9
\led_flash_cnt[1957][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1957][1]~54278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1957][1]~q\);

-- Location: LCCOMB_X12_Y19_N10
\led_flash_cnt[1957][2]~54280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1957][2]~54280_combout\ = (\led_flash_cnt[1957][2]~q\ & (!\led_flash_cnt[1957][1]~54279\)) # (!\led_flash_cnt[1957][2]~q\ & ((\led_flash_cnt[1957][1]~54279\) # (GND)))
-- \led_flash_cnt[1957][2]~54281\ = CARRY((!\led_flash_cnt[1957][1]~54279\) # (!\led_flash_cnt[1957][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1957][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1957][1]~54279\,
	combout => \led_flash_cnt[1957][2]~54280_combout\,
	cout => \led_flash_cnt[1957][2]~54281\);

-- Location: FF_X12_Y19_N11
\led_flash_cnt[1957][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1957][2]~54280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1957][2]~q\);

-- Location: LCCOMB_X12_Y19_N12
\led_flash_cnt[1957][3]~54282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1957][3]~54282_combout\ = (\led_flash_cnt[1957][3]~q\ & (\led_flash_cnt[1957][2]~54281\ $ (GND))) # (!\led_flash_cnt[1957][3]~q\ & (!\led_flash_cnt[1957][2]~54281\ & VCC))
-- \led_flash_cnt[1957][3]~54283\ = CARRY((\led_flash_cnt[1957][3]~q\ & !\led_flash_cnt[1957][2]~54281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1957][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1957][2]~54281\,
	combout => \led_flash_cnt[1957][3]~54282_combout\,
	cout => \led_flash_cnt[1957][3]~54283\);

-- Location: FF_X12_Y19_N13
\led_flash_cnt[1957][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1957][3]~54282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1957][3]~q\);

-- Location: LCCOMB_X12_Y19_N14
\led_flash_cnt[1957][4]~54284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1957][4]~54284_combout\ = (\led_flash_cnt[1957][4]~q\ & (!\led_flash_cnt[1957][3]~54283\)) # (!\led_flash_cnt[1957][4]~q\ & ((\led_flash_cnt[1957][3]~54283\) # (GND)))
-- \led_flash_cnt[1957][4]~54285\ = CARRY((!\led_flash_cnt[1957][3]~54283\) # (!\led_flash_cnt[1957][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1957][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1957][3]~54283\,
	combout => \led_flash_cnt[1957][4]~54284_combout\,
	cout => \led_flash_cnt[1957][4]~54285\);

-- Location: FF_X12_Y19_N15
\led_flash_cnt[1957][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1957][4]~54284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1957][4]~q\);

-- Location: LCCOMB_X12_Y19_N30
\WideAnd1957~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1957~0_combout\ = (\led_flash_cnt[1957][2]~q\ & (\led_flash_cnt[1957][4]~q\ & (\led_flash_cnt[1957][1]~q\ & \led_flash_cnt[1957][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1957][2]~q\,
	datab => \led_flash_cnt[1957][4]~q\,
	datac => \led_flash_cnt[1957][1]~q\,
	datad => \led_flash_cnt[1957][3]~q\,
	combout => \WideAnd1957~0_combout\);

-- Location: LCCOMB_X12_Y19_N16
\led_flash_cnt[1957][5]~54286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1957][5]~54286_combout\ = (\led_flash_cnt[1957][5]~q\ & (\led_flash_cnt[1957][4]~54285\ $ (GND))) # (!\led_flash_cnt[1957][5]~q\ & (!\led_flash_cnt[1957][4]~54285\ & VCC))
-- \led_flash_cnt[1957][5]~54287\ = CARRY((\led_flash_cnt[1957][5]~q\ & !\led_flash_cnt[1957][4]~54285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1957][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1957][4]~54285\,
	combout => \led_flash_cnt[1957][5]~54286_combout\,
	cout => \led_flash_cnt[1957][5]~54287\);

-- Location: FF_X12_Y19_N17
\led_flash_cnt[1957][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1957][5]~54286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1957][5]~q\);

-- Location: LCCOMB_X12_Y19_N18
\led_flash_cnt[1957][6]~54288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1957][6]~54288_combout\ = (\led_flash_cnt[1957][6]~q\ & (!\led_flash_cnt[1957][5]~54287\)) # (!\led_flash_cnt[1957][6]~q\ & ((\led_flash_cnt[1957][5]~54287\) # (GND)))
-- \led_flash_cnt[1957][6]~54289\ = CARRY((!\led_flash_cnt[1957][5]~54287\) # (!\led_flash_cnt[1957][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1957][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1957][5]~54287\,
	combout => \led_flash_cnt[1957][6]~54288_combout\,
	cout => \led_flash_cnt[1957][6]~54289\);

-- Location: FF_X12_Y19_N19
\led_flash_cnt[1957][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1957][6]~54288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1957][6]~q\);

-- Location: LCCOMB_X12_Y19_N28
\WideAnd1957~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1957~1_combout\ = (\led_flash_cnt[1957][6]~q\ & \led_flash_cnt[1957][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1957][6]~q\,
	datad => \led_flash_cnt[1957][5]~q\,
	combout => \WideAnd1957~1_combout\);

-- Location: LCCOMB_X12_Y19_N20
\led_flash_cnt[1957][7]~54290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1957][7]~54290_combout\ = \led_flash_cnt[1957][6]~54289\ $ (!\led_flash_cnt[1957][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1957][7]~q\,
	cin => \led_flash_cnt[1957][6]~54289\,
	combout => \led_flash_cnt[1957][7]~54290_combout\);

-- Location: FF_X12_Y19_N21
\led_flash_cnt[1957][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1957][7]~54290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1957][7]~q\);

-- Location: LCCOMB_X12_Y19_N26
WideAnd1957 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1957~combout\ = (\WideAnd1957~0_combout\ & (\WideAnd1957~1_combout\ & (\led_flash_cnt[1957][0]~q\ & \led_flash_cnt[1957][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1957~0_combout\,
	datab => \WideAnd1957~1_combout\,
	datac => \led_flash_cnt[1957][0]~q\,
	datad => \led_flash_cnt[1957][7]~q\,
	combout => \WideAnd1957~combout\);

-- Location: FF_X12_Y19_N27
\led_flash_cnt_ands[1957]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1957~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1957));

-- Location: LCCOMB_X8_Y19_N4
\led_flash_cnt[1956][0]~82596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1956][0]~82596_combout\ = !\led_flash_cnt[1956][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1956][0]~q\,
	combout => \led_flash_cnt[1956][0]~82596_combout\);

-- Location: FF_X8_Y19_N5
\led_flash_cnt[1956][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1956][0]~82596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1956][0]~q\);

-- Location: LCCOMB_X11_Y19_N18
\led_flash_cnt[1956][1]~54264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1956][1]~54264_combout\ = (\led_flash_cnt[1956][0]~q\ & (\led_flash_cnt[1956][1]~q\ $ (VCC))) # (!\led_flash_cnt[1956][0]~q\ & (\led_flash_cnt[1956][1]~q\ & VCC))
-- \led_flash_cnt[1956][1]~54265\ = CARRY((\led_flash_cnt[1956][0]~q\ & \led_flash_cnt[1956][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1956][0]~q\,
	datab => \led_flash_cnt[1956][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1956][1]~54264_combout\,
	cout => \led_flash_cnt[1956][1]~54265\);

-- Location: FF_X11_Y19_N19
\led_flash_cnt[1956][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1956][1]~54264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1956][1]~q\);

-- Location: LCCOMB_X11_Y19_N20
\led_flash_cnt[1956][2]~54266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1956][2]~54266_combout\ = (\led_flash_cnt[1956][2]~q\ & (!\led_flash_cnt[1956][1]~54265\)) # (!\led_flash_cnt[1956][2]~q\ & ((\led_flash_cnt[1956][1]~54265\) # (GND)))
-- \led_flash_cnt[1956][2]~54267\ = CARRY((!\led_flash_cnt[1956][1]~54265\) # (!\led_flash_cnt[1956][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1956][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1956][1]~54265\,
	combout => \led_flash_cnt[1956][2]~54266_combout\,
	cout => \led_flash_cnt[1956][2]~54267\);

-- Location: FF_X11_Y19_N21
\led_flash_cnt[1956][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1956][2]~54266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1956][2]~q\);

-- Location: LCCOMB_X11_Y19_N22
\led_flash_cnt[1956][3]~54268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1956][3]~54268_combout\ = (\led_flash_cnt[1956][3]~q\ & (\led_flash_cnt[1956][2]~54267\ $ (GND))) # (!\led_flash_cnt[1956][3]~q\ & (!\led_flash_cnt[1956][2]~54267\ & VCC))
-- \led_flash_cnt[1956][3]~54269\ = CARRY((\led_flash_cnt[1956][3]~q\ & !\led_flash_cnt[1956][2]~54267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1956][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1956][2]~54267\,
	combout => \led_flash_cnt[1956][3]~54268_combout\,
	cout => \led_flash_cnt[1956][3]~54269\);

-- Location: FF_X11_Y19_N23
\led_flash_cnt[1956][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1956][3]~54268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1956][3]~q\);

-- Location: LCCOMB_X11_Y19_N24
\led_flash_cnt[1956][4]~54270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1956][4]~54270_combout\ = (\led_flash_cnt[1956][4]~q\ & (!\led_flash_cnt[1956][3]~54269\)) # (!\led_flash_cnt[1956][4]~q\ & ((\led_flash_cnt[1956][3]~54269\) # (GND)))
-- \led_flash_cnt[1956][4]~54271\ = CARRY((!\led_flash_cnt[1956][3]~54269\) # (!\led_flash_cnt[1956][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1956][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1956][3]~54269\,
	combout => \led_flash_cnt[1956][4]~54270_combout\,
	cout => \led_flash_cnt[1956][4]~54271\);

-- Location: FF_X11_Y19_N25
\led_flash_cnt[1956][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1956][4]~54270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1956][4]~q\);

-- Location: LCCOMB_X11_Y19_N14
\WideAnd1956~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1956~0_combout\ = (\led_flash_cnt[1956][4]~q\ & (\led_flash_cnt[1956][2]~q\ & (\led_flash_cnt[1956][3]~q\ & \led_flash_cnt[1956][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1956][4]~q\,
	datab => \led_flash_cnt[1956][2]~q\,
	datac => \led_flash_cnt[1956][3]~q\,
	datad => \led_flash_cnt[1956][1]~q\,
	combout => \WideAnd1956~0_combout\);

-- Location: LCCOMB_X11_Y19_N26
\led_flash_cnt[1956][5]~54272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1956][5]~54272_combout\ = (\led_flash_cnt[1956][5]~q\ & (\led_flash_cnt[1956][4]~54271\ $ (GND))) # (!\led_flash_cnt[1956][5]~q\ & (!\led_flash_cnt[1956][4]~54271\ & VCC))
-- \led_flash_cnt[1956][5]~54273\ = CARRY((\led_flash_cnt[1956][5]~q\ & !\led_flash_cnt[1956][4]~54271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1956][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1956][4]~54271\,
	combout => \led_flash_cnt[1956][5]~54272_combout\,
	cout => \led_flash_cnt[1956][5]~54273\);

-- Location: FF_X11_Y19_N27
\led_flash_cnt[1956][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1956][5]~54272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1956][5]~q\);

-- Location: LCCOMB_X11_Y19_N28
\led_flash_cnt[1956][6]~54274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1956][6]~54274_combout\ = (\led_flash_cnt[1956][6]~q\ & (!\led_flash_cnt[1956][5]~54273\)) # (!\led_flash_cnt[1956][6]~q\ & ((\led_flash_cnt[1956][5]~54273\) # (GND)))
-- \led_flash_cnt[1956][6]~54275\ = CARRY((!\led_flash_cnt[1956][5]~54273\) # (!\led_flash_cnt[1956][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1956][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1956][5]~54273\,
	combout => \led_flash_cnt[1956][6]~54274_combout\,
	cout => \led_flash_cnt[1956][6]~54275\);

-- Location: FF_X11_Y19_N29
\led_flash_cnt[1956][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1956][6]~54274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1956][6]~q\);

-- Location: LCCOMB_X11_Y19_N30
\led_flash_cnt[1956][7]~54276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1956][7]~54276_combout\ = \led_flash_cnt[1956][7]~q\ $ (!\led_flash_cnt[1956][6]~54275\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1956][7]~q\,
	cin => \led_flash_cnt[1956][6]~54275\,
	combout => \led_flash_cnt[1956][7]~54276_combout\);

-- Location: FF_X11_Y19_N31
\led_flash_cnt[1956][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1956][7]~54276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1956][7]~q\);

-- Location: LCCOMB_X12_Y19_N6
\WideAnd1956~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1956~1_combout\ = (\led_flash_cnt[1956][5]~q\ & \led_flash_cnt[1956][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1956][5]~q\,
	datad => \led_flash_cnt[1956][6]~q\,
	combout => \WideAnd1956~1_combout\);

-- Location: LCCOMB_X12_Y19_N4
WideAnd1956 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1956~combout\ = (\WideAnd1956~0_combout\ & (\led_flash_cnt[1956][7]~q\ & (\led_flash_cnt[1956][0]~q\ & \WideAnd1956~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1956~0_combout\,
	datab => \led_flash_cnt[1956][7]~q\,
	datac => \led_flash_cnt[1956][0]~q\,
	datad => \WideAnd1956~1_combout\,
	combout => \WideAnd1956~combout\);

-- Location: FF_X12_Y19_N5
\led_flash_cnt_ands[1956]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1956~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1956));

-- Location: LCCOMB_X12_Y19_N0
\WideAnd4084~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4084~1_combout\ = (led_flash_cnt_ands(1957) & led_flash_cnt_ands(1956))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1957),
	datac => led_flash_cnt_ands(1956),
	combout => \WideAnd4084~1_combout\);

-- Location: LCCOMB_X31_Y16_N2
\led_flash_cnt[1959][0]~82599\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1959][0]~82599_combout\ = !\led_flash_cnt[1959][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1959][0]~q\,
	combout => \led_flash_cnt[1959][0]~82599_combout\);

-- Location: FF_X31_Y16_N3
\led_flash_cnt[1959][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1959][0]~82599_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1959][0]~q\);

-- Location: LCCOMB_X27_Y16_N2
\led_flash_cnt[1959][1]~54306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1959][1]~54306_combout\ = (\led_flash_cnt[1959][0]~q\ & (\led_flash_cnt[1959][1]~q\ $ (VCC))) # (!\led_flash_cnt[1959][0]~q\ & (\led_flash_cnt[1959][1]~q\ & VCC))
-- \led_flash_cnt[1959][1]~54307\ = CARRY((\led_flash_cnt[1959][0]~q\ & \led_flash_cnt[1959][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1959][0]~q\,
	datab => \led_flash_cnt[1959][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1959][1]~54306_combout\,
	cout => \led_flash_cnt[1959][1]~54307\);

-- Location: FF_X27_Y16_N3
\led_flash_cnt[1959][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1959][1]~54306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1959][1]~q\);

-- Location: LCCOMB_X27_Y16_N4
\led_flash_cnt[1959][2]~54308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1959][2]~54308_combout\ = (\led_flash_cnt[1959][2]~q\ & (!\led_flash_cnt[1959][1]~54307\)) # (!\led_flash_cnt[1959][2]~q\ & ((\led_flash_cnt[1959][1]~54307\) # (GND)))
-- \led_flash_cnt[1959][2]~54309\ = CARRY((!\led_flash_cnt[1959][1]~54307\) # (!\led_flash_cnt[1959][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1959][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1959][1]~54307\,
	combout => \led_flash_cnt[1959][2]~54308_combout\,
	cout => \led_flash_cnt[1959][2]~54309\);

-- Location: FF_X27_Y16_N5
\led_flash_cnt[1959][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1959][2]~54308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1959][2]~q\);

-- Location: LCCOMB_X27_Y16_N6
\led_flash_cnt[1959][3]~54310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1959][3]~54310_combout\ = (\led_flash_cnt[1959][3]~q\ & (\led_flash_cnt[1959][2]~54309\ $ (GND))) # (!\led_flash_cnt[1959][3]~q\ & (!\led_flash_cnt[1959][2]~54309\ & VCC))
-- \led_flash_cnt[1959][3]~54311\ = CARRY((\led_flash_cnt[1959][3]~q\ & !\led_flash_cnt[1959][2]~54309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1959][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1959][2]~54309\,
	combout => \led_flash_cnt[1959][3]~54310_combout\,
	cout => \led_flash_cnt[1959][3]~54311\);

-- Location: FF_X27_Y16_N7
\led_flash_cnt[1959][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1959][3]~54310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1959][3]~q\);

-- Location: LCCOMB_X27_Y16_N8
\led_flash_cnt[1959][4]~54312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1959][4]~54312_combout\ = (\led_flash_cnt[1959][4]~q\ & (!\led_flash_cnt[1959][3]~54311\)) # (!\led_flash_cnt[1959][4]~q\ & ((\led_flash_cnt[1959][3]~54311\) # (GND)))
-- \led_flash_cnt[1959][4]~54313\ = CARRY((!\led_flash_cnt[1959][3]~54311\) # (!\led_flash_cnt[1959][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1959][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1959][3]~54311\,
	combout => \led_flash_cnt[1959][4]~54312_combout\,
	cout => \led_flash_cnt[1959][4]~54313\);

-- Location: FF_X27_Y16_N9
\led_flash_cnt[1959][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1959][4]~54312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1959][4]~q\);

-- Location: LCCOMB_X27_Y16_N10
\led_flash_cnt[1959][5]~54314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1959][5]~54314_combout\ = (\led_flash_cnt[1959][5]~q\ & (\led_flash_cnt[1959][4]~54313\ $ (GND))) # (!\led_flash_cnt[1959][5]~q\ & (!\led_flash_cnt[1959][4]~54313\ & VCC))
-- \led_flash_cnt[1959][5]~54315\ = CARRY((\led_flash_cnt[1959][5]~q\ & !\led_flash_cnt[1959][4]~54313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1959][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1959][4]~54313\,
	combout => \led_flash_cnt[1959][5]~54314_combout\,
	cout => \led_flash_cnt[1959][5]~54315\);

-- Location: FF_X27_Y16_N11
\led_flash_cnt[1959][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1959][5]~54314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1959][5]~q\);

-- Location: LCCOMB_X27_Y16_N12
\led_flash_cnt[1959][6]~54316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1959][6]~54316_combout\ = (\led_flash_cnt[1959][6]~q\ & (!\led_flash_cnt[1959][5]~54315\)) # (!\led_flash_cnt[1959][6]~q\ & ((\led_flash_cnt[1959][5]~54315\) # (GND)))
-- \led_flash_cnt[1959][6]~54317\ = CARRY((!\led_flash_cnt[1959][5]~54315\) # (!\led_flash_cnt[1959][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1959][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1959][5]~54315\,
	combout => \led_flash_cnt[1959][6]~54316_combout\,
	cout => \led_flash_cnt[1959][6]~54317\);

-- Location: FF_X27_Y16_N13
\led_flash_cnt[1959][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1959][6]~54316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1959][6]~q\);

-- Location: LCCOMB_X27_Y16_N14
\led_flash_cnt[1959][7]~54318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1959][7]~54318_combout\ = \led_flash_cnt[1959][7]~q\ $ (!\led_flash_cnt[1959][6]~54317\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1959][7]~q\,
	cin => \led_flash_cnt[1959][6]~54317\,
	combout => \led_flash_cnt[1959][7]~54318_combout\);

-- Location: FF_X27_Y16_N15
\led_flash_cnt[1959][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1959][7]~54318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1959][7]~q\);

-- Location: LCCOMB_X27_Y16_N0
\WideAnd1959~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1959~0_combout\ = (\led_flash_cnt[1959][3]~q\ & (\led_flash_cnt[1959][2]~q\ & (\led_flash_cnt[1959][4]~q\ & \led_flash_cnt[1959][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1959][3]~q\,
	datab => \led_flash_cnt[1959][2]~q\,
	datac => \led_flash_cnt[1959][4]~q\,
	datad => \led_flash_cnt[1959][1]~q\,
	combout => \WideAnd1959~0_combout\);

-- Location: LCCOMB_X31_Y16_N20
\WideAnd1959~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1959~1_combout\ = (\led_flash_cnt[1959][6]~q\ & \led_flash_cnt[1959][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1959][6]~q\,
	datad => \led_flash_cnt[1959][5]~q\,
	combout => \WideAnd1959~1_combout\);

-- Location: LCCOMB_X31_Y16_N28
WideAnd1959 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1959~combout\ = (\led_flash_cnt[1959][7]~q\ & (\led_flash_cnt[1959][0]~q\ & (\WideAnd1959~0_combout\ & \WideAnd1959~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1959][7]~q\,
	datab => \led_flash_cnt[1959][0]~q\,
	datac => \WideAnd1959~0_combout\,
	datad => \WideAnd1959~1_combout\,
	combout => \WideAnd1959~combout\);

-- Location: FF_X31_Y16_N29
\led_flash_cnt_ands[1959]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1959~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1959));

-- Location: LCCOMB_X49_Y23_N6
\led_flash_cnt[1955][0]~82595\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1955][0]~82595_combout\ = !\led_flash_cnt[1955][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1955][0]~q\,
	combout => \led_flash_cnt[1955][0]~82595_combout\);

-- Location: FF_X49_Y23_N7
\led_flash_cnt[1955][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1955][0]~82595_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1955][0]~q\);

-- Location: LCCOMB_X50_Y23_N18
\led_flash_cnt[1955][1]~54250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1955][1]~54250_combout\ = (\led_flash_cnt[1955][0]~q\ & (\led_flash_cnt[1955][1]~q\ $ (VCC))) # (!\led_flash_cnt[1955][0]~q\ & (\led_flash_cnt[1955][1]~q\ & VCC))
-- \led_flash_cnt[1955][1]~54251\ = CARRY((\led_flash_cnt[1955][0]~q\ & \led_flash_cnt[1955][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1955][0]~q\,
	datab => \led_flash_cnt[1955][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1955][1]~54250_combout\,
	cout => \led_flash_cnt[1955][1]~54251\);

-- Location: FF_X50_Y23_N19
\led_flash_cnt[1955][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1955][1]~54250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1955][1]~q\);

-- Location: LCCOMB_X50_Y23_N20
\led_flash_cnt[1955][2]~54252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1955][2]~54252_combout\ = (\led_flash_cnt[1955][2]~q\ & (!\led_flash_cnt[1955][1]~54251\)) # (!\led_flash_cnt[1955][2]~q\ & ((\led_flash_cnt[1955][1]~54251\) # (GND)))
-- \led_flash_cnt[1955][2]~54253\ = CARRY((!\led_flash_cnt[1955][1]~54251\) # (!\led_flash_cnt[1955][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1955][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1955][1]~54251\,
	combout => \led_flash_cnt[1955][2]~54252_combout\,
	cout => \led_flash_cnt[1955][2]~54253\);

-- Location: FF_X50_Y23_N21
\led_flash_cnt[1955][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1955][2]~54252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1955][2]~q\);

-- Location: LCCOMB_X50_Y23_N22
\led_flash_cnt[1955][3]~54254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1955][3]~54254_combout\ = (\led_flash_cnt[1955][3]~q\ & (\led_flash_cnt[1955][2]~54253\ $ (GND))) # (!\led_flash_cnt[1955][3]~q\ & (!\led_flash_cnt[1955][2]~54253\ & VCC))
-- \led_flash_cnt[1955][3]~54255\ = CARRY((\led_flash_cnt[1955][3]~q\ & !\led_flash_cnt[1955][2]~54253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1955][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1955][2]~54253\,
	combout => \led_flash_cnt[1955][3]~54254_combout\,
	cout => \led_flash_cnt[1955][3]~54255\);

-- Location: FF_X50_Y23_N23
\led_flash_cnt[1955][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1955][3]~54254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1955][3]~q\);

-- Location: LCCOMB_X50_Y23_N24
\led_flash_cnt[1955][4]~54256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1955][4]~54256_combout\ = (\led_flash_cnt[1955][4]~q\ & (!\led_flash_cnt[1955][3]~54255\)) # (!\led_flash_cnt[1955][4]~q\ & ((\led_flash_cnt[1955][3]~54255\) # (GND)))
-- \led_flash_cnt[1955][4]~54257\ = CARRY((!\led_flash_cnt[1955][3]~54255\) # (!\led_flash_cnt[1955][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1955][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1955][3]~54255\,
	combout => \led_flash_cnt[1955][4]~54256_combout\,
	cout => \led_flash_cnt[1955][4]~54257\);

-- Location: FF_X50_Y23_N25
\led_flash_cnt[1955][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1955][4]~54256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1955][4]~q\);

-- Location: LCCOMB_X50_Y23_N26
\led_flash_cnt[1955][5]~54258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1955][5]~54258_combout\ = (\led_flash_cnt[1955][5]~q\ & (\led_flash_cnt[1955][4]~54257\ $ (GND))) # (!\led_flash_cnt[1955][5]~q\ & (!\led_flash_cnt[1955][4]~54257\ & VCC))
-- \led_flash_cnt[1955][5]~54259\ = CARRY((\led_flash_cnt[1955][5]~q\ & !\led_flash_cnt[1955][4]~54257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1955][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1955][4]~54257\,
	combout => \led_flash_cnt[1955][5]~54258_combout\,
	cout => \led_flash_cnt[1955][5]~54259\);

-- Location: FF_X50_Y23_N27
\led_flash_cnt[1955][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1955][5]~54258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1955][5]~q\);

-- Location: LCCOMB_X50_Y23_N28
\led_flash_cnt[1955][6]~54260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1955][6]~54260_combout\ = (\led_flash_cnt[1955][6]~q\ & (!\led_flash_cnt[1955][5]~54259\)) # (!\led_flash_cnt[1955][6]~q\ & ((\led_flash_cnt[1955][5]~54259\) # (GND)))
-- \led_flash_cnt[1955][6]~54261\ = CARRY((!\led_flash_cnt[1955][5]~54259\) # (!\led_flash_cnt[1955][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1955][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1955][5]~54259\,
	combout => \led_flash_cnt[1955][6]~54260_combout\,
	cout => \led_flash_cnt[1955][6]~54261\);

-- Location: FF_X50_Y23_N29
\led_flash_cnt[1955][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1955][6]~54260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1955][6]~q\);

-- Location: LCCOMB_X49_Y23_N8
\WideAnd1955~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1955~1_combout\ = (\led_flash_cnt[1955][6]~q\ & \led_flash_cnt[1955][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1955][6]~q\,
	datad => \led_flash_cnt[1955][5]~q\,
	combout => \WideAnd1955~1_combout\);

-- Location: LCCOMB_X50_Y23_N30
\led_flash_cnt[1955][7]~54262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1955][7]~54262_combout\ = \led_flash_cnt[1955][7]~q\ $ (!\led_flash_cnt[1955][6]~54261\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1955][7]~q\,
	cin => \led_flash_cnt[1955][6]~54261\,
	combout => \led_flash_cnt[1955][7]~54262_combout\);

-- Location: FF_X50_Y23_N31
\led_flash_cnt[1955][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1955][7]~54262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1955][7]~q\);

-- Location: LCCOMB_X50_Y23_N16
\WideAnd1955~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1955~0_combout\ = (\led_flash_cnt[1955][4]~q\ & (\led_flash_cnt[1955][2]~q\ & (\led_flash_cnt[1955][3]~q\ & \led_flash_cnt[1955][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1955][4]~q\,
	datab => \led_flash_cnt[1955][2]~q\,
	datac => \led_flash_cnt[1955][3]~q\,
	datad => \led_flash_cnt[1955][1]~q\,
	combout => \WideAnd1955~0_combout\);

-- Location: LCCOMB_X49_Y23_N28
WideAnd1955 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1955~combout\ = (\led_flash_cnt[1955][0]~q\ & (\WideAnd1955~1_combout\ & (\led_flash_cnt[1955][7]~q\ & \WideAnd1955~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1955][0]~q\,
	datab => \WideAnd1955~1_combout\,
	datac => \led_flash_cnt[1955][7]~q\,
	datad => \WideAnd1955~0_combout\,
	combout => \WideAnd1955~combout\);

-- Location: FF_X49_Y23_N29
\led_flash_cnt_ands[1955]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1955~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1955));

-- Location: LCCOMB_X44_Y18_N16
\led_flash_cnt[1952][0]~82592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1952][0]~82592_combout\ = !\led_flash_cnt[1952][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1952][0]~q\,
	combout => \led_flash_cnt[1952][0]~82592_combout\);

-- Location: FF_X44_Y18_N17
\led_flash_cnt[1952][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1952][0]~82592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1952][0]~q\);

-- Location: LCCOMB_X44_Y18_N0
\led_flash_cnt[1952][1]~54208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1952][1]~54208_combout\ = (\led_flash_cnt[1952][1]~q\ & (\led_flash_cnt[1952][0]~q\ $ (VCC))) # (!\led_flash_cnt[1952][1]~q\ & (\led_flash_cnt[1952][0]~q\ & VCC))
-- \led_flash_cnt[1952][1]~54209\ = CARRY((\led_flash_cnt[1952][1]~q\ & \led_flash_cnt[1952][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1952][1]~q\,
	datab => \led_flash_cnt[1952][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1952][1]~54208_combout\,
	cout => \led_flash_cnt[1952][1]~54209\);

-- Location: FF_X44_Y18_N1
\led_flash_cnt[1952][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1952][1]~54208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1952][1]~q\);

-- Location: LCCOMB_X44_Y18_N2
\led_flash_cnt[1952][2]~54210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1952][2]~54210_combout\ = (\led_flash_cnt[1952][2]~q\ & (!\led_flash_cnt[1952][1]~54209\)) # (!\led_flash_cnt[1952][2]~q\ & ((\led_flash_cnt[1952][1]~54209\) # (GND)))
-- \led_flash_cnt[1952][2]~54211\ = CARRY((!\led_flash_cnt[1952][1]~54209\) # (!\led_flash_cnt[1952][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1952][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1952][1]~54209\,
	combout => \led_flash_cnt[1952][2]~54210_combout\,
	cout => \led_flash_cnt[1952][2]~54211\);

-- Location: FF_X44_Y18_N3
\led_flash_cnt[1952][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1952][2]~54210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1952][2]~q\);

-- Location: LCCOMB_X44_Y18_N4
\led_flash_cnt[1952][3]~54212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1952][3]~54212_combout\ = (\led_flash_cnt[1952][3]~q\ & (\led_flash_cnt[1952][2]~54211\ $ (GND))) # (!\led_flash_cnt[1952][3]~q\ & (!\led_flash_cnt[1952][2]~54211\ & VCC))
-- \led_flash_cnt[1952][3]~54213\ = CARRY((\led_flash_cnt[1952][3]~q\ & !\led_flash_cnt[1952][2]~54211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1952][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1952][2]~54211\,
	combout => \led_flash_cnt[1952][3]~54212_combout\,
	cout => \led_flash_cnt[1952][3]~54213\);

-- Location: FF_X44_Y18_N5
\led_flash_cnt[1952][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1952][3]~54212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1952][3]~q\);

-- Location: LCCOMB_X44_Y18_N6
\led_flash_cnt[1952][4]~54214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1952][4]~54214_combout\ = (\led_flash_cnt[1952][4]~q\ & (!\led_flash_cnt[1952][3]~54213\)) # (!\led_flash_cnt[1952][4]~q\ & ((\led_flash_cnt[1952][3]~54213\) # (GND)))
-- \led_flash_cnt[1952][4]~54215\ = CARRY((!\led_flash_cnt[1952][3]~54213\) # (!\led_flash_cnt[1952][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1952][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1952][3]~54213\,
	combout => \led_flash_cnt[1952][4]~54214_combout\,
	cout => \led_flash_cnt[1952][4]~54215\);

-- Location: FF_X44_Y18_N7
\led_flash_cnt[1952][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1952][4]~54214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1952][4]~q\);

-- Location: LCCOMB_X44_Y18_N8
\led_flash_cnt[1952][5]~54216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1952][5]~54216_combout\ = (\led_flash_cnt[1952][5]~q\ & (\led_flash_cnt[1952][4]~54215\ $ (GND))) # (!\led_flash_cnt[1952][5]~q\ & (!\led_flash_cnt[1952][4]~54215\ & VCC))
-- \led_flash_cnt[1952][5]~54217\ = CARRY((\led_flash_cnt[1952][5]~q\ & !\led_flash_cnt[1952][4]~54215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1952][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1952][4]~54215\,
	combout => \led_flash_cnt[1952][5]~54216_combout\,
	cout => \led_flash_cnt[1952][5]~54217\);

-- Location: FF_X44_Y18_N9
\led_flash_cnt[1952][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1952][5]~54216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1952][5]~q\);

-- Location: LCCOMB_X44_Y18_N10
\led_flash_cnt[1952][6]~54218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1952][6]~54218_combout\ = (\led_flash_cnt[1952][6]~q\ & (!\led_flash_cnt[1952][5]~54217\)) # (!\led_flash_cnt[1952][6]~q\ & ((\led_flash_cnt[1952][5]~54217\) # (GND)))
-- \led_flash_cnt[1952][6]~54219\ = CARRY((!\led_flash_cnt[1952][5]~54217\) # (!\led_flash_cnt[1952][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1952][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1952][5]~54217\,
	combout => \led_flash_cnt[1952][6]~54218_combout\,
	cout => \led_flash_cnt[1952][6]~54219\);

-- Location: FF_X44_Y18_N11
\led_flash_cnt[1952][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1952][6]~54218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1952][6]~q\);

-- Location: LCCOMB_X44_Y18_N12
\led_flash_cnt[1952][7]~54220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1952][7]~54220_combout\ = \led_flash_cnt[1952][6]~54219\ $ (!\led_flash_cnt[1952][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1952][7]~q\,
	cin => \led_flash_cnt[1952][6]~54219\,
	combout => \led_flash_cnt[1952][7]~54220_combout\);

-- Location: FF_X44_Y18_N13
\led_flash_cnt[1952][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1952][7]~54220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1952][7]~q\);

-- Location: LCCOMB_X44_Y18_N20
\WideAnd1952~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1952~0_combout\ = (\led_flash_cnt[1952][4]~q\ & (\led_flash_cnt[1952][1]~q\ & (\led_flash_cnt[1952][3]~q\ & \led_flash_cnt[1952][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1952][4]~q\,
	datab => \led_flash_cnt[1952][1]~q\,
	datac => \led_flash_cnt[1952][3]~q\,
	datad => \led_flash_cnt[1952][2]~q\,
	combout => \WideAnd1952~0_combout\);

-- Location: LCCOMB_X44_Y18_N14
\WideAnd1952~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1952~1_combout\ = (\led_flash_cnt[1952][5]~q\ & \led_flash_cnt[1952][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1952][5]~q\,
	datad => \led_flash_cnt[1952][6]~q\,
	combout => \WideAnd1952~1_combout\);

-- Location: LCCOMB_X44_Y18_N30
WideAnd1952 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1952~combout\ = (\led_flash_cnt[1952][7]~q\ & (\WideAnd1952~0_combout\ & (\WideAnd1952~1_combout\ & \led_flash_cnt[1952][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1952][7]~q\,
	datab => \WideAnd1952~0_combout\,
	datac => \WideAnd1952~1_combout\,
	datad => \led_flash_cnt[1952][0]~q\,
	combout => \WideAnd1952~combout\);

-- Location: FF_X44_Y18_N31
\led_flash_cnt_ands[1952]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1952~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1952));

-- Location: LCCOMB_X14_Y23_N2
\led_flash_cnt[1954][0]~82594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1954][0]~82594_combout\ = !\led_flash_cnt[1954][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1954][0]~q\,
	combout => \led_flash_cnt[1954][0]~82594_combout\);

-- Location: FF_X14_Y23_N3
\led_flash_cnt[1954][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1954][0]~82594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1954][0]~q\);

-- Location: LCCOMB_X13_Y23_N2
\led_flash_cnt[1954][1]~54236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1954][1]~54236_combout\ = (\led_flash_cnt[1954][0]~q\ & (\led_flash_cnt[1954][1]~q\ $ (VCC))) # (!\led_flash_cnt[1954][0]~q\ & (\led_flash_cnt[1954][1]~q\ & VCC))
-- \led_flash_cnt[1954][1]~54237\ = CARRY((\led_flash_cnt[1954][0]~q\ & \led_flash_cnt[1954][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1954][0]~q\,
	datab => \led_flash_cnt[1954][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1954][1]~54236_combout\,
	cout => \led_flash_cnt[1954][1]~54237\);

-- Location: FF_X13_Y23_N3
\led_flash_cnt[1954][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1954][1]~54236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1954][1]~q\);

-- Location: LCCOMB_X13_Y23_N4
\led_flash_cnt[1954][2]~54238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1954][2]~54238_combout\ = (\led_flash_cnt[1954][2]~q\ & (!\led_flash_cnt[1954][1]~54237\)) # (!\led_flash_cnt[1954][2]~q\ & ((\led_flash_cnt[1954][1]~54237\) # (GND)))
-- \led_flash_cnt[1954][2]~54239\ = CARRY((!\led_flash_cnt[1954][1]~54237\) # (!\led_flash_cnt[1954][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1954][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1954][1]~54237\,
	combout => \led_flash_cnt[1954][2]~54238_combout\,
	cout => \led_flash_cnt[1954][2]~54239\);

-- Location: FF_X13_Y23_N5
\led_flash_cnt[1954][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1954][2]~54238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1954][2]~q\);

-- Location: LCCOMB_X13_Y23_N6
\led_flash_cnt[1954][3]~54240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1954][3]~54240_combout\ = (\led_flash_cnt[1954][3]~q\ & (\led_flash_cnt[1954][2]~54239\ $ (GND))) # (!\led_flash_cnt[1954][3]~q\ & (!\led_flash_cnt[1954][2]~54239\ & VCC))
-- \led_flash_cnt[1954][3]~54241\ = CARRY((\led_flash_cnt[1954][3]~q\ & !\led_flash_cnt[1954][2]~54239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1954][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1954][2]~54239\,
	combout => \led_flash_cnt[1954][3]~54240_combout\,
	cout => \led_flash_cnt[1954][3]~54241\);

-- Location: FF_X13_Y23_N7
\led_flash_cnt[1954][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1954][3]~54240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1954][3]~q\);

-- Location: LCCOMB_X13_Y23_N8
\led_flash_cnt[1954][4]~54242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1954][4]~54242_combout\ = (\led_flash_cnt[1954][4]~q\ & (!\led_flash_cnt[1954][3]~54241\)) # (!\led_flash_cnt[1954][4]~q\ & ((\led_flash_cnt[1954][3]~54241\) # (GND)))
-- \led_flash_cnt[1954][4]~54243\ = CARRY((!\led_flash_cnt[1954][3]~54241\) # (!\led_flash_cnt[1954][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1954][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1954][3]~54241\,
	combout => \led_flash_cnt[1954][4]~54242_combout\,
	cout => \led_flash_cnt[1954][4]~54243\);

-- Location: FF_X13_Y23_N9
\led_flash_cnt[1954][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1954][4]~54242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1954][4]~q\);

-- Location: LCCOMB_X13_Y23_N10
\led_flash_cnt[1954][5]~54244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1954][5]~54244_combout\ = (\led_flash_cnt[1954][5]~q\ & (\led_flash_cnt[1954][4]~54243\ $ (GND))) # (!\led_flash_cnt[1954][5]~q\ & (!\led_flash_cnt[1954][4]~54243\ & VCC))
-- \led_flash_cnt[1954][5]~54245\ = CARRY((\led_flash_cnt[1954][5]~q\ & !\led_flash_cnt[1954][4]~54243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1954][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1954][4]~54243\,
	combout => \led_flash_cnt[1954][5]~54244_combout\,
	cout => \led_flash_cnt[1954][5]~54245\);

-- Location: FF_X13_Y23_N11
\led_flash_cnt[1954][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1954][5]~54244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1954][5]~q\);

-- Location: LCCOMB_X13_Y23_N12
\led_flash_cnt[1954][6]~54246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1954][6]~54246_combout\ = (\led_flash_cnt[1954][6]~q\ & (!\led_flash_cnt[1954][5]~54245\)) # (!\led_flash_cnt[1954][6]~q\ & ((\led_flash_cnt[1954][5]~54245\) # (GND)))
-- \led_flash_cnt[1954][6]~54247\ = CARRY((!\led_flash_cnt[1954][5]~54245\) # (!\led_flash_cnt[1954][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1954][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1954][5]~54245\,
	combout => \led_flash_cnt[1954][6]~54246_combout\,
	cout => \led_flash_cnt[1954][6]~54247\);

-- Location: FF_X13_Y23_N13
\led_flash_cnt[1954][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1954][6]~54246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1954][6]~q\);

-- Location: LCCOMB_X13_Y23_N14
\led_flash_cnt[1954][7]~54248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1954][7]~54248_combout\ = \led_flash_cnt[1954][7]~q\ $ (!\led_flash_cnt[1954][6]~54247\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1954][7]~q\,
	cin => \led_flash_cnt[1954][6]~54247\,
	combout => \led_flash_cnt[1954][7]~54248_combout\);

-- Location: FF_X13_Y23_N15
\led_flash_cnt[1954][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1954][7]~54248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1954][7]~q\);

-- Location: LCCOMB_X14_Y23_N8
\WideAnd1954~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1954~1_combout\ = (\led_flash_cnt[1954][5]~q\ & \led_flash_cnt[1954][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1954][5]~q\,
	datad => \led_flash_cnt[1954][6]~q\,
	combout => \WideAnd1954~1_combout\);

-- Location: LCCOMB_X13_Y23_N0
\WideAnd1954~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1954~0_combout\ = (\led_flash_cnt[1954][3]~q\ & (\led_flash_cnt[1954][4]~q\ & (\led_flash_cnt[1954][2]~q\ & \led_flash_cnt[1954][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1954][3]~q\,
	datab => \led_flash_cnt[1954][4]~q\,
	datac => \led_flash_cnt[1954][2]~q\,
	datad => \led_flash_cnt[1954][1]~q\,
	combout => \WideAnd1954~0_combout\);

-- Location: LCCOMB_X14_Y23_N10
WideAnd1954 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1954~combout\ = (\led_flash_cnt[1954][7]~q\ & (\WideAnd1954~1_combout\ & (\WideAnd1954~0_combout\ & \led_flash_cnt[1954][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1954][7]~q\,
	datab => \WideAnd1954~1_combout\,
	datac => \WideAnd1954~0_combout\,
	datad => \led_flash_cnt[1954][0]~q\,
	combout => \WideAnd1954~combout\);

-- Location: FF_X14_Y23_N11
\led_flash_cnt_ands[1954]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1954~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1954));

-- Location: LCCOMB_X47_Y23_N24
\led_flash_cnt[1953][0]~82593\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1953][0]~82593_combout\ = !\led_flash_cnt[1953][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1953][0]~q\,
	combout => \led_flash_cnt[1953][0]~82593_combout\);

-- Location: FF_X47_Y23_N25
\led_flash_cnt[1953][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1953][0]~82593_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1953][0]~q\);

-- Location: LCCOMB_X47_Y23_N6
\led_flash_cnt[1953][1]~54222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1953][1]~54222_combout\ = (\led_flash_cnt[1953][1]~q\ & (\led_flash_cnt[1953][0]~q\ $ (VCC))) # (!\led_flash_cnt[1953][1]~q\ & (\led_flash_cnt[1953][0]~q\ & VCC))
-- \led_flash_cnt[1953][1]~54223\ = CARRY((\led_flash_cnt[1953][1]~q\ & \led_flash_cnt[1953][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1953][1]~q\,
	datab => \led_flash_cnt[1953][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1953][1]~54222_combout\,
	cout => \led_flash_cnt[1953][1]~54223\);

-- Location: FF_X47_Y23_N7
\led_flash_cnt[1953][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1953][1]~54222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1953][1]~q\);

-- Location: LCCOMB_X47_Y23_N8
\led_flash_cnt[1953][2]~54224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1953][2]~54224_combout\ = (\led_flash_cnt[1953][2]~q\ & (!\led_flash_cnt[1953][1]~54223\)) # (!\led_flash_cnt[1953][2]~q\ & ((\led_flash_cnt[1953][1]~54223\) # (GND)))
-- \led_flash_cnt[1953][2]~54225\ = CARRY((!\led_flash_cnt[1953][1]~54223\) # (!\led_flash_cnt[1953][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1953][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1953][1]~54223\,
	combout => \led_flash_cnt[1953][2]~54224_combout\,
	cout => \led_flash_cnt[1953][2]~54225\);

-- Location: FF_X47_Y23_N9
\led_flash_cnt[1953][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1953][2]~54224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1953][2]~q\);

-- Location: LCCOMB_X47_Y23_N10
\led_flash_cnt[1953][3]~54226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1953][3]~54226_combout\ = (\led_flash_cnt[1953][3]~q\ & (\led_flash_cnt[1953][2]~54225\ $ (GND))) # (!\led_flash_cnt[1953][3]~q\ & (!\led_flash_cnt[1953][2]~54225\ & VCC))
-- \led_flash_cnt[1953][3]~54227\ = CARRY((\led_flash_cnt[1953][3]~q\ & !\led_flash_cnt[1953][2]~54225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1953][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1953][2]~54225\,
	combout => \led_flash_cnt[1953][3]~54226_combout\,
	cout => \led_flash_cnt[1953][3]~54227\);

-- Location: FF_X47_Y23_N11
\led_flash_cnt[1953][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1953][3]~54226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1953][3]~q\);

-- Location: LCCOMB_X47_Y23_N12
\led_flash_cnt[1953][4]~54228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1953][4]~54228_combout\ = (\led_flash_cnt[1953][4]~q\ & (!\led_flash_cnt[1953][3]~54227\)) # (!\led_flash_cnt[1953][4]~q\ & ((\led_flash_cnt[1953][3]~54227\) # (GND)))
-- \led_flash_cnt[1953][4]~54229\ = CARRY((!\led_flash_cnt[1953][3]~54227\) # (!\led_flash_cnt[1953][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1953][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1953][3]~54227\,
	combout => \led_flash_cnt[1953][4]~54228_combout\,
	cout => \led_flash_cnt[1953][4]~54229\);

-- Location: FF_X47_Y23_N13
\led_flash_cnt[1953][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1953][4]~54228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1953][4]~q\);

-- Location: LCCOMB_X47_Y23_N22
\WideAnd1953~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1953~0_combout\ = (\led_flash_cnt[1953][3]~q\ & (\led_flash_cnt[1953][4]~q\ & (\led_flash_cnt[1953][2]~q\ & \led_flash_cnt[1953][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1953][3]~q\,
	datab => \led_flash_cnt[1953][4]~q\,
	datac => \led_flash_cnt[1953][2]~q\,
	datad => \led_flash_cnt[1953][1]~q\,
	combout => \WideAnd1953~0_combout\);

-- Location: LCCOMB_X47_Y23_N14
\led_flash_cnt[1953][5]~54230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1953][5]~54230_combout\ = (\led_flash_cnt[1953][5]~q\ & (\led_flash_cnt[1953][4]~54229\ $ (GND))) # (!\led_flash_cnt[1953][5]~q\ & (!\led_flash_cnt[1953][4]~54229\ & VCC))
-- \led_flash_cnt[1953][5]~54231\ = CARRY((\led_flash_cnt[1953][5]~q\ & !\led_flash_cnt[1953][4]~54229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1953][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1953][4]~54229\,
	combout => \led_flash_cnt[1953][5]~54230_combout\,
	cout => \led_flash_cnt[1953][5]~54231\);

-- Location: FF_X47_Y23_N15
\led_flash_cnt[1953][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1953][5]~54230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1953][5]~q\);

-- Location: LCCOMB_X47_Y23_N16
\led_flash_cnt[1953][6]~54232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1953][6]~54232_combout\ = (\led_flash_cnt[1953][6]~q\ & (!\led_flash_cnt[1953][5]~54231\)) # (!\led_flash_cnt[1953][6]~q\ & ((\led_flash_cnt[1953][5]~54231\) # (GND)))
-- \led_flash_cnt[1953][6]~54233\ = CARRY((!\led_flash_cnt[1953][5]~54231\) # (!\led_flash_cnt[1953][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1953][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1953][5]~54231\,
	combout => \led_flash_cnt[1953][6]~54232_combout\,
	cout => \led_flash_cnt[1953][6]~54233\);

-- Location: FF_X47_Y23_N17
\led_flash_cnt[1953][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1953][6]~54232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1953][6]~q\);

-- Location: LCCOMB_X47_Y23_N18
\led_flash_cnt[1953][7]~54234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1953][7]~54234_combout\ = \led_flash_cnt[1953][6]~54233\ $ (!\led_flash_cnt[1953][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1953][7]~q\,
	cin => \led_flash_cnt[1953][6]~54233\,
	combout => \led_flash_cnt[1953][7]~54234_combout\);

-- Location: FF_X47_Y23_N19
\led_flash_cnt[1953][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1953][7]~54234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1953][7]~q\);

-- Location: LCCOMB_X47_Y23_N4
\WideAnd1953~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1953~1_combout\ = (\led_flash_cnt[1953][5]~q\ & \led_flash_cnt[1953][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1953][5]~q\,
	datad => \led_flash_cnt[1953][6]~q\,
	combout => \WideAnd1953~1_combout\);

-- Location: LCCOMB_X47_Y23_N26
WideAnd1953 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1953~combout\ = (\WideAnd1953~0_combout\ & (\led_flash_cnt[1953][7]~q\ & (\WideAnd1953~1_combout\ & \led_flash_cnt[1953][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1953~0_combout\,
	datab => \led_flash_cnt[1953][7]~q\,
	datac => \WideAnd1953~1_combout\,
	datad => \led_flash_cnt[1953][0]~q\,
	combout => \WideAnd1953~combout\);

-- Location: FF_X47_Y23_N27
\led_flash_cnt_ands[1953]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1953~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1953));

-- Location: LCCOMB_X43_Y23_N26
\WideAnd4084~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4084~0_combout\ = (led_flash_cnt_ands(1955) & (led_flash_cnt_ands(1952) & (led_flash_cnt_ands(1954) & led_flash_cnt_ands(1953))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1955),
	datab => led_flash_cnt_ands(1952),
	datac => led_flash_cnt_ands(1954),
	datad => led_flash_cnt_ands(1953),
	combout => \WideAnd4084~0_combout\);

-- Location: LCCOMB_X31_Y16_N30
\led_flash_cnt[1958][0]~82598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1958][0]~82598_combout\ = !\led_flash_cnt[1958][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1958][0]~q\,
	combout => \led_flash_cnt[1958][0]~82598_combout\);

-- Location: FF_X31_Y16_N31
\led_flash_cnt[1958][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1958][0]~82598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1958][0]~q\);

-- Location: LCCOMB_X31_Y16_N4
\led_flash_cnt[1958][1]~54292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1958][1]~54292_combout\ = (\led_flash_cnt[1958][0]~q\ & (\led_flash_cnt[1958][1]~q\ $ (VCC))) # (!\led_flash_cnt[1958][0]~q\ & (\led_flash_cnt[1958][1]~q\ & VCC))
-- \led_flash_cnt[1958][1]~54293\ = CARRY((\led_flash_cnt[1958][0]~q\ & \led_flash_cnt[1958][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1958][0]~q\,
	datab => \led_flash_cnt[1958][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1958][1]~54292_combout\,
	cout => \led_flash_cnt[1958][1]~54293\);

-- Location: FF_X31_Y16_N5
\led_flash_cnt[1958][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1958][1]~54292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1958][1]~q\);

-- Location: LCCOMB_X31_Y16_N6
\led_flash_cnt[1958][2]~54294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1958][2]~54294_combout\ = (\led_flash_cnt[1958][2]~q\ & (!\led_flash_cnt[1958][1]~54293\)) # (!\led_flash_cnt[1958][2]~q\ & ((\led_flash_cnt[1958][1]~54293\) # (GND)))
-- \led_flash_cnt[1958][2]~54295\ = CARRY((!\led_flash_cnt[1958][1]~54293\) # (!\led_flash_cnt[1958][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1958][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1958][1]~54293\,
	combout => \led_flash_cnt[1958][2]~54294_combout\,
	cout => \led_flash_cnt[1958][2]~54295\);

-- Location: FF_X31_Y16_N7
\led_flash_cnt[1958][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1958][2]~54294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1958][2]~q\);

-- Location: LCCOMB_X31_Y16_N8
\led_flash_cnt[1958][3]~54296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1958][3]~54296_combout\ = (\led_flash_cnt[1958][3]~q\ & (\led_flash_cnt[1958][2]~54295\ $ (GND))) # (!\led_flash_cnt[1958][3]~q\ & (!\led_flash_cnt[1958][2]~54295\ & VCC))
-- \led_flash_cnt[1958][3]~54297\ = CARRY((\led_flash_cnt[1958][3]~q\ & !\led_flash_cnt[1958][2]~54295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1958][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1958][2]~54295\,
	combout => \led_flash_cnt[1958][3]~54296_combout\,
	cout => \led_flash_cnt[1958][3]~54297\);

-- Location: FF_X31_Y16_N9
\led_flash_cnt[1958][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1958][3]~54296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1958][3]~q\);

-- Location: LCCOMB_X31_Y16_N10
\led_flash_cnt[1958][4]~54298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1958][4]~54298_combout\ = (\led_flash_cnt[1958][4]~q\ & (!\led_flash_cnt[1958][3]~54297\)) # (!\led_flash_cnt[1958][4]~q\ & ((\led_flash_cnt[1958][3]~54297\) # (GND)))
-- \led_flash_cnt[1958][4]~54299\ = CARRY((!\led_flash_cnt[1958][3]~54297\) # (!\led_flash_cnt[1958][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1958][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1958][3]~54297\,
	combout => \led_flash_cnt[1958][4]~54298_combout\,
	cout => \led_flash_cnt[1958][4]~54299\);

-- Location: FF_X31_Y16_N11
\led_flash_cnt[1958][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1958][4]~54298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1958][4]~q\);

-- Location: LCCOMB_X31_Y16_N12
\led_flash_cnt[1958][5]~54300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1958][5]~54300_combout\ = (\led_flash_cnt[1958][5]~q\ & (\led_flash_cnt[1958][4]~54299\ $ (GND))) # (!\led_flash_cnt[1958][5]~q\ & (!\led_flash_cnt[1958][4]~54299\ & VCC))
-- \led_flash_cnt[1958][5]~54301\ = CARRY((\led_flash_cnt[1958][5]~q\ & !\led_flash_cnt[1958][4]~54299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1958][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1958][4]~54299\,
	combout => \led_flash_cnt[1958][5]~54300_combout\,
	cout => \led_flash_cnt[1958][5]~54301\);

-- Location: FF_X31_Y16_N13
\led_flash_cnt[1958][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1958][5]~54300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1958][5]~q\);

-- Location: LCCOMB_X31_Y16_N14
\led_flash_cnt[1958][6]~54302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1958][6]~54302_combout\ = (\led_flash_cnt[1958][6]~q\ & (!\led_flash_cnt[1958][5]~54301\)) # (!\led_flash_cnt[1958][6]~q\ & ((\led_flash_cnt[1958][5]~54301\) # (GND)))
-- \led_flash_cnt[1958][6]~54303\ = CARRY((!\led_flash_cnt[1958][5]~54301\) # (!\led_flash_cnt[1958][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1958][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1958][5]~54301\,
	combout => \led_flash_cnt[1958][6]~54302_combout\,
	cout => \led_flash_cnt[1958][6]~54303\);

-- Location: FF_X31_Y16_N15
\led_flash_cnt[1958][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1958][6]~54302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1958][6]~q\);

-- Location: LCCOMB_X31_Y16_N16
\led_flash_cnt[1958][7]~54304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1958][7]~54304_combout\ = \led_flash_cnt[1958][6]~54303\ $ (!\led_flash_cnt[1958][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1958][7]~q\,
	cin => \led_flash_cnt[1958][6]~54303\,
	combout => \led_flash_cnt[1958][7]~54304_combout\);

-- Location: FF_X31_Y16_N17
\led_flash_cnt[1958][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1958][7]~54304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1958][7]~q\);

-- Location: LCCOMB_X31_Y16_N22
\WideAnd1958~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1958~0_combout\ = (\led_flash_cnt[1958][4]~q\ & (\led_flash_cnt[1958][1]~q\ & (\led_flash_cnt[1958][3]~q\ & \led_flash_cnt[1958][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1958][4]~q\,
	datab => \led_flash_cnt[1958][1]~q\,
	datac => \led_flash_cnt[1958][3]~q\,
	datad => \led_flash_cnt[1958][2]~q\,
	combout => \WideAnd1958~0_combout\);

-- Location: LCCOMB_X31_Y16_N18
\WideAnd1958~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1958~1_combout\ = (\led_flash_cnt[1958][6]~q\ & \led_flash_cnt[1958][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1958][6]~q\,
	datad => \led_flash_cnt[1958][5]~q\,
	combout => \WideAnd1958~1_combout\);

-- Location: LCCOMB_X31_Y16_N0
WideAnd1958 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1958~combout\ = (\led_flash_cnt[1958][0]~q\ & (\led_flash_cnt[1958][7]~q\ & (\WideAnd1958~0_combout\ & \WideAnd1958~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1958][0]~q\,
	datab => \led_flash_cnt[1958][7]~q\,
	datac => \WideAnd1958~0_combout\,
	datad => \WideAnd1958~1_combout\,
	combout => \WideAnd1958~combout\);

-- Location: FF_X31_Y16_N1
\led_flash_cnt_ands[1958]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1958~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1958));

-- Location: LCCOMB_X31_Y16_N24
WideAnd4084 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4084~combout\ = (\WideAnd4084~1_combout\ & (led_flash_cnt_ands(1959) & (\WideAnd4084~0_combout\ & led_flash_cnt_ands(1958))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4084~1_combout\,
	datab => led_flash_cnt_ands(1959),
	datac => \WideAnd4084~0_combout\,
	datad => led_flash_cnt_ands(1958),
	combout => \WideAnd4084~combout\);

-- Location: FF_X31_Y16_N25
\led_flash_cnt_ands_1[244]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4084~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(244));

-- Location: LCCOMB_X32_Y16_N28
\WideAnd4350~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4350~1_combout\ = (led_flash_cnt_ands_1(245) & led_flash_cnt_ands_1(244))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(245),
	datad => led_flash_cnt_ands_1(244),
	combout => \WideAnd4350~1_combout\);

-- Location: LCCOMB_X31_Y16_N26
WideAnd4350 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4350~combout\ = (led_flash_cnt_ands_1(246) & (led_flash_cnt_ands_1(247) & (\WideAnd4350~0_combout\ & \WideAnd4350~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(246),
	datab => led_flash_cnt_ands_1(247),
	datac => \WideAnd4350~0_combout\,
	datad => \WideAnd4350~1_combout\,
	combout => \WideAnd4350~combout\);

-- Location: FF_X31_Y16_N27
\led_flash_cnt_ands_2[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4350~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(30));

-- Location: LCCOMB_X3_Y35_N22
\led_flash_cnt[1889][0]~82497\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1889][0]~82497_combout\ = !\led_flash_cnt[1889][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1889][0]~q\,
	combout => \led_flash_cnt[1889][0]~82497_combout\);

-- Location: FF_X3_Y35_N23
\led_flash_cnt[1889][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1889][0]~82497_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1889][0]~q\);

-- Location: LCCOMB_X3_Y35_N4
\led_flash_cnt[1889][1]~52878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1889][1]~52878_combout\ = (\led_flash_cnt[1889][0]~q\ & (\led_flash_cnt[1889][1]~q\ $ (VCC))) # (!\led_flash_cnt[1889][0]~q\ & (\led_flash_cnt[1889][1]~q\ & VCC))
-- \led_flash_cnt[1889][1]~52879\ = CARRY((\led_flash_cnt[1889][0]~q\ & \led_flash_cnt[1889][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1889][0]~q\,
	datab => \led_flash_cnt[1889][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1889][1]~52878_combout\,
	cout => \led_flash_cnt[1889][1]~52879\);

-- Location: FF_X3_Y35_N5
\led_flash_cnt[1889][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1889][1]~52878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1889][1]~q\);

-- Location: LCCOMB_X3_Y35_N6
\led_flash_cnt[1889][2]~52880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1889][2]~52880_combout\ = (\led_flash_cnt[1889][2]~q\ & (!\led_flash_cnt[1889][1]~52879\)) # (!\led_flash_cnt[1889][2]~q\ & ((\led_flash_cnt[1889][1]~52879\) # (GND)))
-- \led_flash_cnt[1889][2]~52881\ = CARRY((!\led_flash_cnt[1889][1]~52879\) # (!\led_flash_cnt[1889][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1889][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1889][1]~52879\,
	combout => \led_flash_cnt[1889][2]~52880_combout\,
	cout => \led_flash_cnt[1889][2]~52881\);

-- Location: FF_X3_Y35_N7
\led_flash_cnt[1889][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1889][2]~52880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1889][2]~q\);

-- Location: LCCOMB_X3_Y35_N8
\led_flash_cnt[1889][3]~52882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1889][3]~52882_combout\ = (\led_flash_cnt[1889][3]~q\ & (\led_flash_cnt[1889][2]~52881\ $ (GND))) # (!\led_flash_cnt[1889][3]~q\ & (!\led_flash_cnt[1889][2]~52881\ & VCC))
-- \led_flash_cnt[1889][3]~52883\ = CARRY((\led_flash_cnt[1889][3]~q\ & !\led_flash_cnt[1889][2]~52881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1889][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1889][2]~52881\,
	combout => \led_flash_cnt[1889][3]~52882_combout\,
	cout => \led_flash_cnt[1889][3]~52883\);

-- Location: FF_X3_Y35_N9
\led_flash_cnt[1889][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1889][3]~52882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1889][3]~q\);

-- Location: LCCOMB_X3_Y35_N10
\led_flash_cnt[1889][4]~52884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1889][4]~52884_combout\ = (\led_flash_cnt[1889][4]~q\ & (!\led_flash_cnt[1889][3]~52883\)) # (!\led_flash_cnt[1889][4]~q\ & ((\led_flash_cnt[1889][3]~52883\) # (GND)))
-- \led_flash_cnt[1889][4]~52885\ = CARRY((!\led_flash_cnt[1889][3]~52883\) # (!\led_flash_cnt[1889][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1889][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1889][3]~52883\,
	combout => \led_flash_cnt[1889][4]~52884_combout\,
	cout => \led_flash_cnt[1889][4]~52885\);

-- Location: FF_X3_Y35_N11
\led_flash_cnt[1889][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1889][4]~52884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1889][4]~q\);

-- Location: LCCOMB_X3_Y35_N12
\led_flash_cnt[1889][5]~52886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1889][5]~52886_combout\ = (\led_flash_cnt[1889][5]~q\ & (\led_flash_cnt[1889][4]~52885\ $ (GND))) # (!\led_flash_cnt[1889][5]~q\ & (!\led_flash_cnt[1889][4]~52885\ & VCC))
-- \led_flash_cnt[1889][5]~52887\ = CARRY((\led_flash_cnt[1889][5]~q\ & !\led_flash_cnt[1889][4]~52885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1889][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1889][4]~52885\,
	combout => \led_flash_cnt[1889][5]~52886_combout\,
	cout => \led_flash_cnt[1889][5]~52887\);

-- Location: FF_X3_Y35_N13
\led_flash_cnt[1889][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1889][5]~52886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1889][5]~q\);

-- Location: LCCOMB_X3_Y35_N14
\led_flash_cnt[1889][6]~52888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1889][6]~52888_combout\ = (\led_flash_cnt[1889][6]~q\ & (!\led_flash_cnt[1889][5]~52887\)) # (!\led_flash_cnt[1889][6]~q\ & ((\led_flash_cnt[1889][5]~52887\) # (GND)))
-- \led_flash_cnt[1889][6]~52889\ = CARRY((!\led_flash_cnt[1889][5]~52887\) # (!\led_flash_cnt[1889][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1889][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1889][5]~52887\,
	combout => \led_flash_cnt[1889][6]~52888_combout\,
	cout => \led_flash_cnt[1889][6]~52889\);

-- Location: FF_X3_Y35_N15
\led_flash_cnt[1889][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1889][6]~52888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1889][6]~q\);

-- Location: LCCOMB_X3_Y35_N16
\led_flash_cnt[1889][7]~52890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1889][7]~52890_combout\ = \led_flash_cnt[1889][6]~52889\ $ (!\led_flash_cnt[1889][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1889][7]~q\,
	cin => \led_flash_cnt[1889][6]~52889\,
	combout => \led_flash_cnt[1889][7]~52890_combout\);

-- Location: FF_X3_Y35_N17
\led_flash_cnt[1889][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1889][7]~52890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1889][7]~q\);

-- Location: LCCOMB_X3_Y35_N26
\WideAnd1889~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1889~1_combout\ = (\led_flash_cnt[1889][6]~q\ & \led_flash_cnt[1889][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1889][6]~q\,
	datad => \led_flash_cnt[1889][5]~q\,
	combout => \WideAnd1889~1_combout\);

-- Location: LCCOMB_X3_Y35_N28
\WideAnd1889~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1889~0_combout\ = (\led_flash_cnt[1889][2]~q\ & (\led_flash_cnt[1889][1]~q\ & (\led_flash_cnt[1889][3]~q\ & \led_flash_cnt[1889][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1889][2]~q\,
	datab => \led_flash_cnt[1889][1]~q\,
	datac => \led_flash_cnt[1889][3]~q\,
	datad => \led_flash_cnt[1889][4]~q\,
	combout => \WideAnd1889~0_combout\);

-- Location: LCCOMB_X3_Y35_N30
WideAnd1889 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1889~combout\ = (\led_flash_cnt[1889][0]~q\ & (\led_flash_cnt[1889][7]~q\ & (\WideAnd1889~1_combout\ & \WideAnd1889~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1889][0]~q\,
	datab => \led_flash_cnt[1889][7]~q\,
	datac => \WideAnd1889~1_combout\,
	datad => \WideAnd1889~0_combout\,
	combout => \WideAnd1889~combout\);

-- Location: FF_X3_Y35_N31
\led_flash_cnt_ands[1889]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1889~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1889));

-- Location: LCCOMB_X3_Y35_N2
\led_flash_cnt[1890][0]~82498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1890][0]~82498_combout\ = !\led_flash_cnt[1890][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1890][0]~q\,
	combout => \led_flash_cnt[1890][0]~82498_combout\);

-- Location: FF_X3_Y35_N3
\led_flash_cnt[1890][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1890][0]~82498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1890][0]~q\);

-- Location: LCCOMB_X2_Y35_N16
\led_flash_cnt[1890][1]~52892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1890][1]~52892_combout\ = (\led_flash_cnt[1890][0]~q\ & (\led_flash_cnt[1890][1]~q\ $ (VCC))) # (!\led_flash_cnt[1890][0]~q\ & (\led_flash_cnt[1890][1]~q\ & VCC))
-- \led_flash_cnt[1890][1]~52893\ = CARRY((\led_flash_cnt[1890][0]~q\ & \led_flash_cnt[1890][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1890][0]~q\,
	datab => \led_flash_cnt[1890][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1890][1]~52892_combout\,
	cout => \led_flash_cnt[1890][1]~52893\);

-- Location: FF_X2_Y35_N17
\led_flash_cnt[1890][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1890][1]~52892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1890][1]~q\);

-- Location: LCCOMB_X2_Y35_N18
\led_flash_cnt[1890][2]~52894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1890][2]~52894_combout\ = (\led_flash_cnt[1890][2]~q\ & (!\led_flash_cnt[1890][1]~52893\)) # (!\led_flash_cnt[1890][2]~q\ & ((\led_flash_cnt[1890][1]~52893\) # (GND)))
-- \led_flash_cnt[1890][2]~52895\ = CARRY((!\led_flash_cnt[1890][1]~52893\) # (!\led_flash_cnt[1890][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1890][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1890][1]~52893\,
	combout => \led_flash_cnt[1890][2]~52894_combout\,
	cout => \led_flash_cnt[1890][2]~52895\);

-- Location: FF_X2_Y35_N19
\led_flash_cnt[1890][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1890][2]~52894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1890][2]~q\);

-- Location: LCCOMB_X2_Y35_N20
\led_flash_cnt[1890][3]~52896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1890][3]~52896_combout\ = (\led_flash_cnt[1890][3]~q\ & (\led_flash_cnt[1890][2]~52895\ $ (GND))) # (!\led_flash_cnt[1890][3]~q\ & (!\led_flash_cnt[1890][2]~52895\ & VCC))
-- \led_flash_cnt[1890][3]~52897\ = CARRY((\led_flash_cnt[1890][3]~q\ & !\led_flash_cnt[1890][2]~52895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1890][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1890][2]~52895\,
	combout => \led_flash_cnt[1890][3]~52896_combout\,
	cout => \led_flash_cnt[1890][3]~52897\);

-- Location: FF_X2_Y35_N21
\led_flash_cnt[1890][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1890][3]~52896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1890][3]~q\);

-- Location: LCCOMB_X2_Y35_N22
\led_flash_cnt[1890][4]~52898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1890][4]~52898_combout\ = (\led_flash_cnt[1890][4]~q\ & (!\led_flash_cnt[1890][3]~52897\)) # (!\led_flash_cnt[1890][4]~q\ & ((\led_flash_cnt[1890][3]~52897\) # (GND)))
-- \led_flash_cnt[1890][4]~52899\ = CARRY((!\led_flash_cnt[1890][3]~52897\) # (!\led_flash_cnt[1890][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1890][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1890][3]~52897\,
	combout => \led_flash_cnt[1890][4]~52898_combout\,
	cout => \led_flash_cnt[1890][4]~52899\);

-- Location: FF_X2_Y35_N23
\led_flash_cnt[1890][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1890][4]~52898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1890][4]~q\);

-- Location: LCCOMB_X2_Y35_N24
\led_flash_cnt[1890][5]~52900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1890][5]~52900_combout\ = (\led_flash_cnt[1890][5]~q\ & (\led_flash_cnt[1890][4]~52899\ $ (GND))) # (!\led_flash_cnt[1890][5]~q\ & (!\led_flash_cnt[1890][4]~52899\ & VCC))
-- \led_flash_cnt[1890][5]~52901\ = CARRY((\led_flash_cnt[1890][5]~q\ & !\led_flash_cnt[1890][4]~52899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1890][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1890][4]~52899\,
	combout => \led_flash_cnt[1890][5]~52900_combout\,
	cout => \led_flash_cnt[1890][5]~52901\);

-- Location: FF_X2_Y35_N25
\led_flash_cnt[1890][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1890][5]~52900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1890][5]~q\);

-- Location: LCCOMB_X2_Y35_N26
\led_flash_cnt[1890][6]~52902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1890][6]~52902_combout\ = (\led_flash_cnt[1890][6]~q\ & (!\led_flash_cnt[1890][5]~52901\)) # (!\led_flash_cnt[1890][6]~q\ & ((\led_flash_cnt[1890][5]~52901\) # (GND)))
-- \led_flash_cnt[1890][6]~52903\ = CARRY((!\led_flash_cnt[1890][5]~52901\) # (!\led_flash_cnt[1890][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1890][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1890][5]~52901\,
	combout => \led_flash_cnt[1890][6]~52902_combout\,
	cout => \led_flash_cnt[1890][6]~52903\);

-- Location: FF_X2_Y35_N27
\led_flash_cnt[1890][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1890][6]~52902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1890][6]~q\);

-- Location: LCCOMB_X2_Y35_N28
\led_flash_cnt[1890][7]~52904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1890][7]~52904_combout\ = \led_flash_cnt[1890][6]~52903\ $ (!\led_flash_cnt[1890][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1890][7]~q\,
	cin => \led_flash_cnt[1890][6]~52903\,
	combout => \led_flash_cnt[1890][7]~52904_combout\);

-- Location: FF_X2_Y35_N29
\led_flash_cnt[1890][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1890][7]~52904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1890][7]~q\);

-- Location: LCCOMB_X3_Y35_N20
\WideAnd1890~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1890~1_combout\ = (\led_flash_cnt[1890][6]~q\ & \led_flash_cnt[1890][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1890][6]~q\,
	datad => \led_flash_cnt[1890][5]~q\,
	combout => \WideAnd1890~1_combout\);

-- Location: LCCOMB_X2_Y35_N0
\WideAnd1890~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1890~0_combout\ = (\led_flash_cnt[1890][3]~q\ & (\led_flash_cnt[1890][2]~q\ & (\led_flash_cnt[1890][4]~q\ & \led_flash_cnt[1890][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1890][3]~q\,
	datab => \led_flash_cnt[1890][2]~q\,
	datac => \led_flash_cnt[1890][4]~q\,
	datad => \led_flash_cnt[1890][1]~q\,
	combout => \WideAnd1890~0_combout\);

-- Location: LCCOMB_X3_Y35_N18
WideAnd1890 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1890~combout\ = (\led_flash_cnt[1890][7]~q\ & (\WideAnd1890~1_combout\ & (\WideAnd1890~0_combout\ & \led_flash_cnt[1890][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1890][7]~q\,
	datab => \WideAnd1890~1_combout\,
	datac => \WideAnd1890~0_combout\,
	datad => \led_flash_cnt[1890][0]~q\,
	combout => \WideAnd1890~combout\);

-- Location: FF_X3_Y35_N19
\led_flash_cnt_ands[1890]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1890~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1890));

-- Location: LCCOMB_X2_Y37_N26
\led_flash_cnt[1888][0]~82496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1888][0]~82496_combout\ = !\led_flash_cnt[1888][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1888][0]~q\,
	combout => \led_flash_cnt[1888][0]~82496_combout\);

-- Location: FF_X2_Y37_N27
\led_flash_cnt[1888][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1888][0]~82496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1888][0]~q\);

-- Location: LCCOMB_X2_Y37_N4
\led_flash_cnt[1888][1]~52864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1888][1]~52864_combout\ = (\led_flash_cnt[1888][0]~q\ & (\led_flash_cnt[1888][1]~q\ $ (VCC))) # (!\led_flash_cnt[1888][0]~q\ & (\led_flash_cnt[1888][1]~q\ & VCC))
-- \led_flash_cnt[1888][1]~52865\ = CARRY((\led_flash_cnt[1888][0]~q\ & \led_flash_cnt[1888][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1888][0]~q\,
	datab => \led_flash_cnt[1888][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1888][1]~52864_combout\,
	cout => \led_flash_cnt[1888][1]~52865\);

-- Location: FF_X2_Y37_N5
\led_flash_cnt[1888][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1888][1]~52864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1888][1]~q\);

-- Location: LCCOMB_X2_Y37_N6
\led_flash_cnt[1888][2]~52866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1888][2]~52866_combout\ = (\led_flash_cnt[1888][2]~q\ & (!\led_flash_cnt[1888][1]~52865\)) # (!\led_flash_cnt[1888][2]~q\ & ((\led_flash_cnt[1888][1]~52865\) # (GND)))
-- \led_flash_cnt[1888][2]~52867\ = CARRY((!\led_flash_cnt[1888][1]~52865\) # (!\led_flash_cnt[1888][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1888][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1888][1]~52865\,
	combout => \led_flash_cnt[1888][2]~52866_combout\,
	cout => \led_flash_cnt[1888][2]~52867\);

-- Location: FF_X2_Y37_N7
\led_flash_cnt[1888][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1888][2]~52866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1888][2]~q\);

-- Location: LCCOMB_X2_Y37_N8
\led_flash_cnt[1888][3]~52868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1888][3]~52868_combout\ = (\led_flash_cnt[1888][3]~q\ & (\led_flash_cnt[1888][2]~52867\ $ (GND))) # (!\led_flash_cnt[1888][3]~q\ & (!\led_flash_cnt[1888][2]~52867\ & VCC))
-- \led_flash_cnt[1888][3]~52869\ = CARRY((\led_flash_cnt[1888][3]~q\ & !\led_flash_cnt[1888][2]~52867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1888][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1888][2]~52867\,
	combout => \led_flash_cnt[1888][3]~52868_combout\,
	cout => \led_flash_cnt[1888][3]~52869\);

-- Location: FF_X2_Y37_N9
\led_flash_cnt[1888][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1888][3]~52868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1888][3]~q\);

-- Location: LCCOMB_X2_Y37_N10
\led_flash_cnt[1888][4]~52870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1888][4]~52870_combout\ = (\led_flash_cnt[1888][4]~q\ & (!\led_flash_cnt[1888][3]~52869\)) # (!\led_flash_cnt[1888][4]~q\ & ((\led_flash_cnt[1888][3]~52869\) # (GND)))
-- \led_flash_cnt[1888][4]~52871\ = CARRY((!\led_flash_cnt[1888][3]~52869\) # (!\led_flash_cnt[1888][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1888][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1888][3]~52869\,
	combout => \led_flash_cnt[1888][4]~52870_combout\,
	cout => \led_flash_cnt[1888][4]~52871\);

-- Location: FF_X2_Y37_N11
\led_flash_cnt[1888][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1888][4]~52870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1888][4]~q\);

-- Location: LCCOMB_X2_Y37_N12
\led_flash_cnt[1888][5]~52872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1888][5]~52872_combout\ = (\led_flash_cnt[1888][5]~q\ & (\led_flash_cnt[1888][4]~52871\ $ (GND))) # (!\led_flash_cnt[1888][5]~q\ & (!\led_flash_cnt[1888][4]~52871\ & VCC))
-- \led_flash_cnt[1888][5]~52873\ = CARRY((\led_flash_cnt[1888][5]~q\ & !\led_flash_cnt[1888][4]~52871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1888][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1888][4]~52871\,
	combout => \led_flash_cnt[1888][5]~52872_combout\,
	cout => \led_flash_cnt[1888][5]~52873\);

-- Location: FF_X2_Y37_N13
\led_flash_cnt[1888][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1888][5]~52872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1888][5]~q\);

-- Location: LCCOMB_X2_Y37_N14
\led_flash_cnt[1888][6]~52874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1888][6]~52874_combout\ = (\led_flash_cnt[1888][6]~q\ & (!\led_flash_cnt[1888][5]~52873\)) # (!\led_flash_cnt[1888][6]~q\ & ((\led_flash_cnt[1888][5]~52873\) # (GND)))
-- \led_flash_cnt[1888][6]~52875\ = CARRY((!\led_flash_cnt[1888][5]~52873\) # (!\led_flash_cnt[1888][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1888][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1888][5]~52873\,
	combout => \led_flash_cnt[1888][6]~52874_combout\,
	cout => \led_flash_cnt[1888][6]~52875\);

-- Location: FF_X2_Y37_N15
\led_flash_cnt[1888][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1888][6]~52874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1888][6]~q\);

-- Location: LCCOMB_X2_Y37_N16
\led_flash_cnt[1888][7]~52876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1888][7]~52876_combout\ = \led_flash_cnt[1888][6]~52875\ $ (!\led_flash_cnt[1888][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1888][7]~q\,
	cin => \led_flash_cnt[1888][6]~52875\,
	combout => \led_flash_cnt[1888][7]~52876_combout\);

-- Location: FF_X2_Y37_N17
\led_flash_cnt[1888][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1888][7]~52876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1888][7]~q\);

-- Location: LCCOMB_X2_Y37_N22
\WideAnd1888~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1888~1_combout\ = (\led_flash_cnt[1888][6]~q\ & \led_flash_cnt[1888][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1888][6]~q\,
	datad => \led_flash_cnt[1888][5]~q\,
	combout => \WideAnd1888~1_combout\);

-- Location: LCCOMB_X2_Y37_N18
\WideAnd1888~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1888~0_combout\ = (\led_flash_cnt[1888][4]~q\ & (\led_flash_cnt[1888][3]~q\ & (\led_flash_cnt[1888][1]~q\ & \led_flash_cnt[1888][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1888][4]~q\,
	datab => \led_flash_cnt[1888][3]~q\,
	datac => \led_flash_cnt[1888][1]~q\,
	datad => \led_flash_cnt[1888][2]~q\,
	combout => \WideAnd1888~0_combout\);

-- Location: LCCOMB_X2_Y37_N24
WideAnd1888 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1888~combout\ = (\led_flash_cnt[1888][0]~q\ & (\led_flash_cnt[1888][7]~q\ & (\WideAnd1888~1_combout\ & \WideAnd1888~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1888][0]~q\,
	datab => \led_flash_cnt[1888][7]~q\,
	datac => \WideAnd1888~1_combout\,
	datad => \WideAnd1888~0_combout\,
	combout => \WideAnd1888~combout\);

-- Location: FF_X2_Y37_N25
\led_flash_cnt_ands[1888]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1888~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1888));

-- Location: LCCOMB_X3_Y34_N12
\led_flash_cnt[1891][0]~82499\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1891][0]~82499_combout\ = !\led_flash_cnt[1891][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1891][0]~q\,
	combout => \led_flash_cnt[1891][0]~82499_combout\);

-- Location: FF_X3_Y34_N13
\led_flash_cnt[1891][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1891][0]~82499_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1891][0]~q\);

-- Location: LCCOMB_X3_Y34_N18
\led_flash_cnt[1891][1]~52906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1891][1]~52906_combout\ = (\led_flash_cnt[1891][0]~q\ & (\led_flash_cnt[1891][1]~q\ $ (VCC))) # (!\led_flash_cnt[1891][0]~q\ & (\led_flash_cnt[1891][1]~q\ & VCC))
-- \led_flash_cnt[1891][1]~52907\ = CARRY((\led_flash_cnt[1891][0]~q\ & \led_flash_cnt[1891][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1891][0]~q\,
	datab => \led_flash_cnt[1891][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1891][1]~52906_combout\,
	cout => \led_flash_cnt[1891][1]~52907\);

-- Location: FF_X3_Y34_N19
\led_flash_cnt[1891][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1891][1]~52906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1891][1]~q\);

-- Location: LCCOMB_X3_Y34_N20
\led_flash_cnt[1891][2]~52908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1891][2]~52908_combout\ = (\led_flash_cnt[1891][2]~q\ & (!\led_flash_cnt[1891][1]~52907\)) # (!\led_flash_cnt[1891][2]~q\ & ((\led_flash_cnt[1891][1]~52907\) # (GND)))
-- \led_flash_cnt[1891][2]~52909\ = CARRY((!\led_flash_cnt[1891][1]~52907\) # (!\led_flash_cnt[1891][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1891][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1891][1]~52907\,
	combout => \led_flash_cnt[1891][2]~52908_combout\,
	cout => \led_flash_cnt[1891][2]~52909\);

-- Location: FF_X3_Y34_N21
\led_flash_cnt[1891][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1891][2]~52908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1891][2]~q\);

-- Location: LCCOMB_X3_Y34_N22
\led_flash_cnt[1891][3]~52910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1891][3]~52910_combout\ = (\led_flash_cnt[1891][3]~q\ & (\led_flash_cnt[1891][2]~52909\ $ (GND))) # (!\led_flash_cnt[1891][3]~q\ & (!\led_flash_cnt[1891][2]~52909\ & VCC))
-- \led_flash_cnt[1891][3]~52911\ = CARRY((\led_flash_cnt[1891][3]~q\ & !\led_flash_cnt[1891][2]~52909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1891][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1891][2]~52909\,
	combout => \led_flash_cnt[1891][3]~52910_combout\,
	cout => \led_flash_cnt[1891][3]~52911\);

-- Location: FF_X3_Y34_N23
\led_flash_cnt[1891][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1891][3]~52910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1891][3]~q\);

-- Location: LCCOMB_X3_Y34_N24
\led_flash_cnt[1891][4]~52912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1891][4]~52912_combout\ = (\led_flash_cnt[1891][4]~q\ & (!\led_flash_cnt[1891][3]~52911\)) # (!\led_flash_cnt[1891][4]~q\ & ((\led_flash_cnt[1891][3]~52911\) # (GND)))
-- \led_flash_cnt[1891][4]~52913\ = CARRY((!\led_flash_cnt[1891][3]~52911\) # (!\led_flash_cnt[1891][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1891][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1891][3]~52911\,
	combout => \led_flash_cnt[1891][4]~52912_combout\,
	cout => \led_flash_cnt[1891][4]~52913\);

-- Location: FF_X3_Y34_N25
\led_flash_cnt[1891][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1891][4]~52912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1891][4]~q\);

-- Location: LCCOMB_X3_Y34_N26
\led_flash_cnt[1891][5]~52914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1891][5]~52914_combout\ = (\led_flash_cnt[1891][5]~q\ & (\led_flash_cnt[1891][4]~52913\ $ (GND))) # (!\led_flash_cnt[1891][5]~q\ & (!\led_flash_cnt[1891][4]~52913\ & VCC))
-- \led_flash_cnt[1891][5]~52915\ = CARRY((\led_flash_cnt[1891][5]~q\ & !\led_flash_cnt[1891][4]~52913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1891][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1891][4]~52913\,
	combout => \led_flash_cnt[1891][5]~52914_combout\,
	cout => \led_flash_cnt[1891][5]~52915\);

-- Location: FF_X3_Y34_N27
\led_flash_cnt[1891][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1891][5]~52914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1891][5]~q\);

-- Location: LCCOMB_X3_Y34_N28
\led_flash_cnt[1891][6]~52916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1891][6]~52916_combout\ = (\led_flash_cnt[1891][6]~q\ & (!\led_flash_cnt[1891][5]~52915\)) # (!\led_flash_cnt[1891][6]~q\ & ((\led_flash_cnt[1891][5]~52915\) # (GND)))
-- \led_flash_cnt[1891][6]~52917\ = CARRY((!\led_flash_cnt[1891][5]~52915\) # (!\led_flash_cnt[1891][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1891][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1891][5]~52915\,
	combout => \led_flash_cnt[1891][6]~52916_combout\,
	cout => \led_flash_cnt[1891][6]~52917\);

-- Location: FF_X3_Y34_N29
\led_flash_cnt[1891][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1891][6]~52916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1891][6]~q\);

-- Location: LCCOMB_X3_Y34_N10
\WideAnd1891~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1891~1_combout\ = (\led_flash_cnt[1891][5]~q\ & \led_flash_cnt[1891][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1891][5]~q\,
	datad => \led_flash_cnt[1891][6]~q\,
	combout => \WideAnd1891~1_combout\);

-- Location: LCCOMB_X3_Y34_N4
\WideAnd1891~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1891~0_combout\ = (\led_flash_cnt[1891][1]~q\ & (\led_flash_cnt[1891][2]~q\ & (\led_flash_cnt[1891][3]~q\ & \led_flash_cnt[1891][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1891][1]~q\,
	datab => \led_flash_cnt[1891][2]~q\,
	datac => \led_flash_cnt[1891][3]~q\,
	datad => \led_flash_cnt[1891][4]~q\,
	combout => \WideAnd1891~0_combout\);

-- Location: LCCOMB_X3_Y34_N30
\led_flash_cnt[1891][7]~52918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1891][7]~52918_combout\ = \led_flash_cnt[1891][7]~q\ $ (!\led_flash_cnt[1891][6]~52917\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1891][7]~q\,
	cin => \led_flash_cnt[1891][6]~52917\,
	combout => \led_flash_cnt[1891][7]~52918_combout\);

-- Location: FF_X3_Y34_N31
\led_flash_cnt[1891][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1891][7]~52918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1891][7]~q\);

-- Location: LCCOMB_X3_Y34_N0
WideAnd1891 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1891~combout\ = (\WideAnd1891~1_combout\ & (\WideAnd1891~0_combout\ & (\led_flash_cnt[1891][7]~q\ & \led_flash_cnt[1891][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1891~1_combout\,
	datab => \WideAnd1891~0_combout\,
	datac => \led_flash_cnt[1891][7]~q\,
	datad => \led_flash_cnt[1891][0]~q\,
	combout => \WideAnd1891~combout\);

-- Location: FF_X3_Y34_N1
\led_flash_cnt_ands[1891]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1891~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1891));

-- Location: LCCOMB_X3_Y35_N24
\WideAnd4076~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4076~0_combout\ = (led_flash_cnt_ands(1889) & (led_flash_cnt_ands(1890) & (led_flash_cnt_ands(1888) & led_flash_cnt_ands(1891))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1889),
	datab => led_flash_cnt_ands(1890),
	datac => led_flash_cnt_ands(1888),
	datad => led_flash_cnt_ands(1891),
	combout => \WideAnd4076~0_combout\);

-- Location: LCCOMB_X39_Y21_N26
\led_flash_cnt[1894][0]~82502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1894][0]~82502_combout\ = !\led_flash_cnt[1894][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1894][0]~q\,
	combout => \led_flash_cnt[1894][0]~82502_combout\);

-- Location: FF_X39_Y21_N27
\led_flash_cnt[1894][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1894][0]~82502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1894][0]~q\);

-- Location: LCCOMB_X39_Y21_N4
\led_flash_cnt[1894][1]~52948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1894][1]~52948_combout\ = (\led_flash_cnt[1894][0]~q\ & (\led_flash_cnt[1894][1]~q\ $ (VCC))) # (!\led_flash_cnt[1894][0]~q\ & (\led_flash_cnt[1894][1]~q\ & VCC))
-- \led_flash_cnt[1894][1]~52949\ = CARRY((\led_flash_cnt[1894][0]~q\ & \led_flash_cnt[1894][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1894][0]~q\,
	datab => \led_flash_cnt[1894][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1894][1]~52948_combout\,
	cout => \led_flash_cnt[1894][1]~52949\);

-- Location: FF_X39_Y21_N5
\led_flash_cnt[1894][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1894][1]~52948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1894][1]~q\);

-- Location: LCCOMB_X39_Y21_N6
\led_flash_cnt[1894][2]~52950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1894][2]~52950_combout\ = (\led_flash_cnt[1894][2]~q\ & (!\led_flash_cnt[1894][1]~52949\)) # (!\led_flash_cnt[1894][2]~q\ & ((\led_flash_cnt[1894][1]~52949\) # (GND)))
-- \led_flash_cnt[1894][2]~52951\ = CARRY((!\led_flash_cnt[1894][1]~52949\) # (!\led_flash_cnt[1894][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1894][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1894][1]~52949\,
	combout => \led_flash_cnt[1894][2]~52950_combout\,
	cout => \led_flash_cnt[1894][2]~52951\);

-- Location: FF_X39_Y21_N7
\led_flash_cnt[1894][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1894][2]~52950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1894][2]~q\);

-- Location: LCCOMB_X39_Y21_N8
\led_flash_cnt[1894][3]~52952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1894][3]~52952_combout\ = (\led_flash_cnt[1894][3]~q\ & (\led_flash_cnt[1894][2]~52951\ $ (GND))) # (!\led_flash_cnt[1894][3]~q\ & (!\led_flash_cnt[1894][2]~52951\ & VCC))
-- \led_flash_cnt[1894][3]~52953\ = CARRY((\led_flash_cnt[1894][3]~q\ & !\led_flash_cnt[1894][2]~52951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1894][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1894][2]~52951\,
	combout => \led_flash_cnt[1894][3]~52952_combout\,
	cout => \led_flash_cnt[1894][3]~52953\);

-- Location: FF_X39_Y21_N9
\led_flash_cnt[1894][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1894][3]~52952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1894][3]~q\);

-- Location: LCCOMB_X39_Y21_N10
\led_flash_cnt[1894][4]~52954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1894][4]~52954_combout\ = (\led_flash_cnt[1894][4]~q\ & (!\led_flash_cnt[1894][3]~52953\)) # (!\led_flash_cnt[1894][4]~q\ & ((\led_flash_cnt[1894][3]~52953\) # (GND)))
-- \led_flash_cnt[1894][4]~52955\ = CARRY((!\led_flash_cnt[1894][3]~52953\) # (!\led_flash_cnt[1894][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1894][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1894][3]~52953\,
	combout => \led_flash_cnt[1894][4]~52954_combout\,
	cout => \led_flash_cnt[1894][4]~52955\);

-- Location: FF_X39_Y21_N11
\led_flash_cnt[1894][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1894][4]~52954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1894][4]~q\);

-- Location: LCCOMB_X39_Y21_N12
\led_flash_cnt[1894][5]~52956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1894][5]~52956_combout\ = (\led_flash_cnt[1894][5]~q\ & (\led_flash_cnt[1894][4]~52955\ $ (GND))) # (!\led_flash_cnt[1894][5]~q\ & (!\led_flash_cnt[1894][4]~52955\ & VCC))
-- \led_flash_cnt[1894][5]~52957\ = CARRY((\led_flash_cnt[1894][5]~q\ & !\led_flash_cnt[1894][4]~52955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1894][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1894][4]~52955\,
	combout => \led_flash_cnt[1894][5]~52956_combout\,
	cout => \led_flash_cnt[1894][5]~52957\);

-- Location: FF_X39_Y21_N13
\led_flash_cnt[1894][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1894][5]~52956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1894][5]~q\);

-- Location: LCCOMB_X39_Y21_N14
\led_flash_cnt[1894][6]~52958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1894][6]~52958_combout\ = (\led_flash_cnt[1894][6]~q\ & (!\led_flash_cnt[1894][5]~52957\)) # (!\led_flash_cnt[1894][6]~q\ & ((\led_flash_cnt[1894][5]~52957\) # (GND)))
-- \led_flash_cnt[1894][6]~52959\ = CARRY((!\led_flash_cnt[1894][5]~52957\) # (!\led_flash_cnt[1894][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1894][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1894][5]~52957\,
	combout => \led_flash_cnt[1894][6]~52958_combout\,
	cout => \led_flash_cnt[1894][6]~52959\);

-- Location: FF_X39_Y21_N15
\led_flash_cnt[1894][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1894][6]~52958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1894][6]~q\);

-- Location: LCCOMB_X39_Y21_N16
\led_flash_cnt[1894][7]~52960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1894][7]~52960_combout\ = \led_flash_cnt[1894][6]~52959\ $ (!\led_flash_cnt[1894][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1894][7]~q\,
	cin => \led_flash_cnt[1894][6]~52959\,
	combout => \led_flash_cnt[1894][7]~52960_combout\);

-- Location: FF_X39_Y21_N17
\led_flash_cnt[1894][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1894][7]~52960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1894][7]~q\);

-- Location: LCCOMB_X39_Y21_N30
\WideAnd1894~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1894~1_combout\ = (\led_flash_cnt[1894][6]~q\ & \led_flash_cnt[1894][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1894][6]~q\,
	datad => \led_flash_cnt[1894][5]~q\,
	combout => \WideAnd1894~1_combout\);

-- Location: LCCOMB_X39_Y21_N24
\WideAnd1894~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1894~0_combout\ = (\led_flash_cnt[1894][4]~q\ & (\led_flash_cnt[1894][1]~q\ & (\led_flash_cnt[1894][3]~q\ & \led_flash_cnt[1894][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1894][4]~q\,
	datab => \led_flash_cnt[1894][1]~q\,
	datac => \led_flash_cnt[1894][3]~q\,
	datad => \led_flash_cnt[1894][2]~q\,
	combout => \WideAnd1894~0_combout\);

-- Location: LCCOMB_X39_Y21_N22
WideAnd1894 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1894~combout\ = (\led_flash_cnt[1894][0]~q\ & (\led_flash_cnt[1894][7]~q\ & (\WideAnd1894~1_combout\ & \WideAnd1894~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1894][0]~q\,
	datab => \led_flash_cnt[1894][7]~q\,
	datac => \WideAnd1894~1_combout\,
	datad => \WideAnd1894~0_combout\,
	combout => \WideAnd1894~combout\);

-- Location: FF_X39_Y21_N23
\led_flash_cnt_ands[1894]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1894~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1894));

-- Location: LCCOMB_X39_Y33_N2
\led_flash_cnt[1895][0]~82503\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1895][0]~82503_combout\ = !\led_flash_cnt[1895][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1895][0]~q\,
	combout => \led_flash_cnt[1895][0]~82503_combout\);

-- Location: FF_X39_Y33_N3
\led_flash_cnt[1895][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1895][0]~82503_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1895][0]~q\);

-- Location: LCCOMB_X39_Y33_N12
\led_flash_cnt[1895][1]~52962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1895][1]~52962_combout\ = (\led_flash_cnt[1895][1]~q\ & (\led_flash_cnt[1895][0]~q\ $ (VCC))) # (!\led_flash_cnt[1895][1]~q\ & (\led_flash_cnt[1895][0]~q\ & VCC))
-- \led_flash_cnt[1895][1]~52963\ = CARRY((\led_flash_cnt[1895][1]~q\ & \led_flash_cnt[1895][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1895][1]~q\,
	datab => \led_flash_cnt[1895][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1895][1]~52962_combout\,
	cout => \led_flash_cnt[1895][1]~52963\);

-- Location: FF_X39_Y33_N13
\led_flash_cnt[1895][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1895][1]~52962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1895][1]~q\);

-- Location: LCCOMB_X39_Y33_N14
\led_flash_cnt[1895][2]~52964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1895][2]~52964_combout\ = (\led_flash_cnt[1895][2]~q\ & (!\led_flash_cnt[1895][1]~52963\)) # (!\led_flash_cnt[1895][2]~q\ & ((\led_flash_cnt[1895][1]~52963\) # (GND)))
-- \led_flash_cnt[1895][2]~52965\ = CARRY((!\led_flash_cnt[1895][1]~52963\) # (!\led_flash_cnt[1895][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1895][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1895][1]~52963\,
	combout => \led_flash_cnt[1895][2]~52964_combout\,
	cout => \led_flash_cnt[1895][2]~52965\);

-- Location: FF_X39_Y33_N15
\led_flash_cnt[1895][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1895][2]~52964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1895][2]~q\);

-- Location: LCCOMB_X39_Y33_N16
\led_flash_cnt[1895][3]~52966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1895][3]~52966_combout\ = (\led_flash_cnt[1895][3]~q\ & (\led_flash_cnt[1895][2]~52965\ $ (GND))) # (!\led_flash_cnt[1895][3]~q\ & (!\led_flash_cnt[1895][2]~52965\ & VCC))
-- \led_flash_cnt[1895][3]~52967\ = CARRY((\led_flash_cnt[1895][3]~q\ & !\led_flash_cnt[1895][2]~52965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1895][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1895][2]~52965\,
	combout => \led_flash_cnt[1895][3]~52966_combout\,
	cout => \led_flash_cnt[1895][3]~52967\);

-- Location: FF_X39_Y33_N17
\led_flash_cnt[1895][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1895][3]~52966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1895][3]~q\);

-- Location: LCCOMB_X39_Y33_N18
\led_flash_cnt[1895][4]~52968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1895][4]~52968_combout\ = (\led_flash_cnt[1895][4]~q\ & (!\led_flash_cnt[1895][3]~52967\)) # (!\led_flash_cnt[1895][4]~q\ & ((\led_flash_cnt[1895][3]~52967\) # (GND)))
-- \led_flash_cnt[1895][4]~52969\ = CARRY((!\led_flash_cnt[1895][3]~52967\) # (!\led_flash_cnt[1895][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1895][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1895][3]~52967\,
	combout => \led_flash_cnt[1895][4]~52968_combout\,
	cout => \led_flash_cnt[1895][4]~52969\);

-- Location: FF_X39_Y33_N19
\led_flash_cnt[1895][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1895][4]~52968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1895][4]~q\);

-- Location: LCCOMB_X39_Y33_N6
\WideAnd1895~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1895~0_combout\ = (\led_flash_cnt[1895][1]~q\ & (\led_flash_cnt[1895][4]~q\ & (\led_flash_cnt[1895][2]~q\ & \led_flash_cnt[1895][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1895][1]~q\,
	datab => \led_flash_cnt[1895][4]~q\,
	datac => \led_flash_cnt[1895][2]~q\,
	datad => \led_flash_cnt[1895][3]~q\,
	combout => \WideAnd1895~0_combout\);

-- Location: LCCOMB_X39_Y33_N20
\led_flash_cnt[1895][5]~52970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1895][5]~52970_combout\ = (\led_flash_cnt[1895][5]~q\ & (\led_flash_cnt[1895][4]~52969\ $ (GND))) # (!\led_flash_cnt[1895][5]~q\ & (!\led_flash_cnt[1895][4]~52969\ & VCC))
-- \led_flash_cnt[1895][5]~52971\ = CARRY((\led_flash_cnt[1895][5]~q\ & !\led_flash_cnt[1895][4]~52969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1895][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1895][4]~52969\,
	combout => \led_flash_cnt[1895][5]~52970_combout\,
	cout => \led_flash_cnt[1895][5]~52971\);

-- Location: FF_X39_Y33_N21
\led_flash_cnt[1895][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1895][5]~52970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1895][5]~q\);

-- Location: LCCOMB_X39_Y33_N22
\led_flash_cnt[1895][6]~52972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1895][6]~52972_combout\ = (\led_flash_cnt[1895][6]~q\ & (!\led_flash_cnt[1895][5]~52971\)) # (!\led_flash_cnt[1895][6]~q\ & ((\led_flash_cnt[1895][5]~52971\) # (GND)))
-- \led_flash_cnt[1895][6]~52973\ = CARRY((!\led_flash_cnt[1895][5]~52971\) # (!\led_flash_cnt[1895][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1895][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1895][5]~52971\,
	combout => \led_flash_cnt[1895][6]~52972_combout\,
	cout => \led_flash_cnt[1895][6]~52973\);

-- Location: FF_X39_Y33_N23
\led_flash_cnt[1895][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1895][6]~52972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1895][6]~q\);

-- Location: LCCOMB_X39_Y33_N24
\led_flash_cnt[1895][7]~52974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1895][7]~52974_combout\ = \led_flash_cnt[1895][6]~52973\ $ (!\led_flash_cnt[1895][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1895][7]~q\,
	cin => \led_flash_cnt[1895][6]~52973\,
	combout => \led_flash_cnt[1895][7]~52974_combout\);

-- Location: FF_X39_Y33_N25
\led_flash_cnt[1895][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1895][7]~52974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1895][7]~q\);

-- Location: LCCOMB_X39_Y33_N8
\WideAnd1895~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1895~1_combout\ = (\led_flash_cnt[1895][6]~q\ & \led_flash_cnt[1895][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1895][6]~q\,
	datad => \led_flash_cnt[1895][5]~q\,
	combout => \WideAnd1895~1_combout\);

-- Location: LCCOMB_X39_Y33_N26
WideAnd1895 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1895~combout\ = (\WideAnd1895~0_combout\ & (\led_flash_cnt[1895][7]~q\ & (\WideAnd1895~1_combout\ & \led_flash_cnt[1895][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1895~0_combout\,
	datab => \led_flash_cnt[1895][7]~q\,
	datac => \WideAnd1895~1_combout\,
	datad => \led_flash_cnt[1895][0]~q\,
	combout => \WideAnd1895~combout\);

-- Location: FF_X39_Y33_N27
\led_flash_cnt_ands[1895]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1895~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1895));

-- Location: LCCOMB_X9_Y25_N10
\led_flash_cnt[1893][0]~82501\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1893][0]~82501_combout\ = !\led_flash_cnt[1893][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1893][0]~q\,
	combout => \led_flash_cnt[1893][0]~82501_combout\);

-- Location: FF_X9_Y25_N11
\led_flash_cnt[1893][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1893][0]~82501_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1893][0]~q\);

-- Location: LCCOMB_X9_Y25_N14
\led_flash_cnt[1893][1]~52934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1893][1]~52934_combout\ = (\led_flash_cnt[1893][0]~q\ & (\led_flash_cnt[1893][1]~q\ $ (VCC))) # (!\led_flash_cnt[1893][0]~q\ & (\led_flash_cnt[1893][1]~q\ & VCC))
-- \led_flash_cnt[1893][1]~52935\ = CARRY((\led_flash_cnt[1893][0]~q\ & \led_flash_cnt[1893][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1893][0]~q\,
	datab => \led_flash_cnt[1893][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1893][1]~52934_combout\,
	cout => \led_flash_cnt[1893][1]~52935\);

-- Location: FF_X9_Y25_N15
\led_flash_cnt[1893][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1893][1]~52934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1893][1]~q\);

-- Location: LCCOMB_X9_Y25_N16
\led_flash_cnt[1893][2]~52936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1893][2]~52936_combout\ = (\led_flash_cnt[1893][2]~q\ & (!\led_flash_cnt[1893][1]~52935\)) # (!\led_flash_cnt[1893][2]~q\ & ((\led_flash_cnt[1893][1]~52935\) # (GND)))
-- \led_flash_cnt[1893][2]~52937\ = CARRY((!\led_flash_cnt[1893][1]~52935\) # (!\led_flash_cnt[1893][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1893][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1893][1]~52935\,
	combout => \led_flash_cnt[1893][2]~52936_combout\,
	cout => \led_flash_cnt[1893][2]~52937\);

-- Location: FF_X9_Y25_N17
\led_flash_cnt[1893][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1893][2]~52936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1893][2]~q\);

-- Location: LCCOMB_X9_Y25_N18
\led_flash_cnt[1893][3]~52938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1893][3]~52938_combout\ = (\led_flash_cnt[1893][3]~q\ & (\led_flash_cnt[1893][2]~52937\ $ (GND))) # (!\led_flash_cnt[1893][3]~q\ & (!\led_flash_cnt[1893][2]~52937\ & VCC))
-- \led_flash_cnt[1893][3]~52939\ = CARRY((\led_flash_cnt[1893][3]~q\ & !\led_flash_cnt[1893][2]~52937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1893][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1893][2]~52937\,
	combout => \led_flash_cnt[1893][3]~52938_combout\,
	cout => \led_flash_cnt[1893][3]~52939\);

-- Location: FF_X9_Y25_N19
\led_flash_cnt[1893][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1893][3]~52938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1893][3]~q\);

-- Location: LCCOMB_X9_Y25_N20
\led_flash_cnt[1893][4]~52940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1893][4]~52940_combout\ = (\led_flash_cnt[1893][4]~q\ & (!\led_flash_cnt[1893][3]~52939\)) # (!\led_flash_cnt[1893][4]~q\ & ((\led_flash_cnt[1893][3]~52939\) # (GND)))
-- \led_flash_cnt[1893][4]~52941\ = CARRY((!\led_flash_cnt[1893][3]~52939\) # (!\led_flash_cnt[1893][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1893][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1893][3]~52939\,
	combout => \led_flash_cnt[1893][4]~52940_combout\,
	cout => \led_flash_cnt[1893][4]~52941\);

-- Location: FF_X9_Y25_N21
\led_flash_cnt[1893][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1893][4]~52940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1893][4]~q\);

-- Location: LCCOMB_X9_Y25_N28
\WideAnd1893~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1893~0_combout\ = (\led_flash_cnt[1893][3]~q\ & (\led_flash_cnt[1893][2]~q\ & (\led_flash_cnt[1893][1]~q\ & \led_flash_cnt[1893][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1893][3]~q\,
	datab => \led_flash_cnt[1893][2]~q\,
	datac => \led_flash_cnt[1893][1]~q\,
	datad => \led_flash_cnt[1893][4]~q\,
	combout => \WideAnd1893~0_combout\);

-- Location: LCCOMB_X9_Y25_N22
\led_flash_cnt[1893][5]~52942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1893][5]~52942_combout\ = (\led_flash_cnt[1893][5]~q\ & (\led_flash_cnt[1893][4]~52941\ $ (GND))) # (!\led_flash_cnt[1893][5]~q\ & (!\led_flash_cnt[1893][4]~52941\ & VCC))
-- \led_flash_cnt[1893][5]~52943\ = CARRY((\led_flash_cnt[1893][5]~q\ & !\led_flash_cnt[1893][4]~52941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1893][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1893][4]~52941\,
	combout => \led_flash_cnt[1893][5]~52942_combout\,
	cout => \led_flash_cnt[1893][5]~52943\);

-- Location: FF_X9_Y25_N23
\led_flash_cnt[1893][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1893][5]~52942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1893][5]~q\);

-- Location: LCCOMB_X9_Y25_N24
\led_flash_cnt[1893][6]~52944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1893][6]~52944_combout\ = (\led_flash_cnt[1893][6]~q\ & (!\led_flash_cnt[1893][5]~52943\)) # (!\led_flash_cnt[1893][6]~q\ & ((\led_flash_cnt[1893][5]~52943\) # (GND)))
-- \led_flash_cnt[1893][6]~52945\ = CARRY((!\led_flash_cnt[1893][5]~52943\) # (!\led_flash_cnt[1893][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1893][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1893][5]~52943\,
	combout => \led_flash_cnt[1893][6]~52944_combout\,
	cout => \led_flash_cnt[1893][6]~52945\);

-- Location: FF_X9_Y25_N25
\led_flash_cnt[1893][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1893][6]~52944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1893][6]~q\);

-- Location: LCCOMB_X9_Y25_N26
\led_flash_cnt[1893][7]~52946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1893][7]~52946_combout\ = \led_flash_cnt[1893][7]~q\ $ (!\led_flash_cnt[1893][6]~52945\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1893][7]~q\,
	cin => \led_flash_cnt[1893][6]~52945\,
	combout => \led_flash_cnt[1893][7]~52946_combout\);

-- Location: FF_X9_Y25_N27
\led_flash_cnt[1893][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1893][7]~52946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1893][7]~q\);

-- Location: LCCOMB_X9_Y25_N12
\WideAnd1893~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1893~1_combout\ = (\led_flash_cnt[1893][5]~q\ & \led_flash_cnt[1893][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1893][5]~q\,
	datad => \led_flash_cnt[1893][6]~q\,
	combout => \WideAnd1893~1_combout\);

-- Location: LCCOMB_X9_Y25_N8
WideAnd1893 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1893~combout\ = (\led_flash_cnt[1893][0]~q\ & (\WideAnd1893~0_combout\ & (\led_flash_cnt[1893][7]~q\ & \WideAnd1893~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1893][0]~q\,
	datab => \WideAnd1893~0_combout\,
	datac => \led_flash_cnt[1893][7]~q\,
	datad => \WideAnd1893~1_combout\,
	combout => \WideAnd1893~combout\);

-- Location: FF_X9_Y25_N9
\led_flash_cnt_ands[1893]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1893~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1893));

-- Location: LCCOMB_X9_Y34_N24
\led_flash_cnt[1892][0]~82500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1892][0]~82500_combout\ = !\led_flash_cnt[1892][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1892][0]~q\,
	combout => \led_flash_cnt[1892][0]~82500_combout\);

-- Location: FF_X9_Y34_N25
\led_flash_cnt[1892][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1892][0]~82500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1892][0]~q\);

-- Location: LCCOMB_X9_Y34_N2
\led_flash_cnt[1892][1]~52920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1892][1]~52920_combout\ = (\led_flash_cnt[1892][1]~q\ & (\led_flash_cnt[1892][0]~q\ $ (VCC))) # (!\led_flash_cnt[1892][1]~q\ & (\led_flash_cnt[1892][0]~q\ & VCC))
-- \led_flash_cnt[1892][1]~52921\ = CARRY((\led_flash_cnt[1892][1]~q\ & \led_flash_cnt[1892][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1892][1]~q\,
	datab => \led_flash_cnt[1892][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1892][1]~52920_combout\,
	cout => \led_flash_cnt[1892][1]~52921\);

-- Location: FF_X9_Y34_N3
\led_flash_cnt[1892][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1892][1]~52920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1892][1]~q\);

-- Location: LCCOMB_X9_Y34_N4
\led_flash_cnt[1892][2]~52922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1892][2]~52922_combout\ = (\led_flash_cnt[1892][2]~q\ & (!\led_flash_cnt[1892][1]~52921\)) # (!\led_flash_cnt[1892][2]~q\ & ((\led_flash_cnt[1892][1]~52921\) # (GND)))
-- \led_flash_cnt[1892][2]~52923\ = CARRY((!\led_flash_cnt[1892][1]~52921\) # (!\led_flash_cnt[1892][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1892][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1892][1]~52921\,
	combout => \led_flash_cnt[1892][2]~52922_combout\,
	cout => \led_flash_cnt[1892][2]~52923\);

-- Location: FF_X9_Y34_N5
\led_flash_cnt[1892][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1892][2]~52922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1892][2]~q\);

-- Location: LCCOMB_X9_Y34_N6
\led_flash_cnt[1892][3]~52924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1892][3]~52924_combout\ = (\led_flash_cnt[1892][3]~q\ & (\led_flash_cnt[1892][2]~52923\ $ (GND))) # (!\led_flash_cnt[1892][3]~q\ & (!\led_flash_cnt[1892][2]~52923\ & VCC))
-- \led_flash_cnt[1892][3]~52925\ = CARRY((\led_flash_cnt[1892][3]~q\ & !\led_flash_cnt[1892][2]~52923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1892][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1892][2]~52923\,
	combout => \led_flash_cnt[1892][3]~52924_combout\,
	cout => \led_flash_cnt[1892][3]~52925\);

-- Location: FF_X9_Y34_N7
\led_flash_cnt[1892][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1892][3]~52924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1892][3]~q\);

-- Location: LCCOMB_X9_Y34_N8
\led_flash_cnt[1892][4]~52926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1892][4]~52926_combout\ = (\led_flash_cnt[1892][4]~q\ & (!\led_flash_cnt[1892][3]~52925\)) # (!\led_flash_cnt[1892][4]~q\ & ((\led_flash_cnt[1892][3]~52925\) # (GND)))
-- \led_flash_cnt[1892][4]~52927\ = CARRY((!\led_flash_cnt[1892][3]~52925\) # (!\led_flash_cnt[1892][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1892][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1892][3]~52925\,
	combout => \led_flash_cnt[1892][4]~52926_combout\,
	cout => \led_flash_cnt[1892][4]~52927\);

-- Location: FF_X9_Y34_N9
\led_flash_cnt[1892][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1892][4]~52926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1892][4]~q\);

-- Location: LCCOMB_X9_Y34_N26
\WideAnd1892~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1892~0_combout\ = (\led_flash_cnt[1892][1]~q\ & (\led_flash_cnt[1892][4]~q\ & (\led_flash_cnt[1892][2]~q\ & \led_flash_cnt[1892][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1892][1]~q\,
	datab => \led_flash_cnt[1892][4]~q\,
	datac => \led_flash_cnt[1892][2]~q\,
	datad => \led_flash_cnt[1892][3]~q\,
	combout => \WideAnd1892~0_combout\);

-- Location: LCCOMB_X9_Y34_N10
\led_flash_cnt[1892][5]~52928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1892][5]~52928_combout\ = (\led_flash_cnt[1892][5]~q\ & (\led_flash_cnt[1892][4]~52927\ $ (GND))) # (!\led_flash_cnt[1892][5]~q\ & (!\led_flash_cnt[1892][4]~52927\ & VCC))
-- \led_flash_cnt[1892][5]~52929\ = CARRY((\led_flash_cnt[1892][5]~q\ & !\led_flash_cnt[1892][4]~52927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1892][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1892][4]~52927\,
	combout => \led_flash_cnt[1892][5]~52928_combout\,
	cout => \led_flash_cnt[1892][5]~52929\);

-- Location: FF_X9_Y34_N11
\led_flash_cnt[1892][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1892][5]~52928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1892][5]~q\);

-- Location: LCCOMB_X9_Y34_N12
\led_flash_cnt[1892][6]~52930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1892][6]~52930_combout\ = (\led_flash_cnt[1892][6]~q\ & (!\led_flash_cnt[1892][5]~52929\)) # (!\led_flash_cnt[1892][6]~q\ & ((\led_flash_cnt[1892][5]~52929\) # (GND)))
-- \led_flash_cnt[1892][6]~52931\ = CARRY((!\led_flash_cnt[1892][5]~52929\) # (!\led_flash_cnt[1892][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1892][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1892][5]~52929\,
	combout => \led_flash_cnt[1892][6]~52930_combout\,
	cout => \led_flash_cnt[1892][6]~52931\);

-- Location: FF_X9_Y34_N13
\led_flash_cnt[1892][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1892][6]~52930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1892][6]~q\);

-- Location: LCCOMB_X9_Y34_N14
\led_flash_cnt[1892][7]~52932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1892][7]~52932_combout\ = \led_flash_cnt[1892][7]~q\ $ (!\led_flash_cnt[1892][6]~52931\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1892][7]~q\,
	cin => \led_flash_cnt[1892][6]~52931\,
	combout => \led_flash_cnt[1892][7]~52932_combout\);

-- Location: FF_X9_Y34_N15
\led_flash_cnt[1892][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1892][7]~52932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1892][7]~q\);

-- Location: LCCOMB_X9_Y34_N18
\WideAnd1892~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1892~1_combout\ = (\led_flash_cnt[1892][5]~q\ & \led_flash_cnt[1892][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1892][5]~q\,
	datad => \led_flash_cnt[1892][6]~q\,
	combout => \WideAnd1892~1_combout\);

-- Location: LCCOMB_X9_Y34_N30
WideAnd1892 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1892~combout\ = (\WideAnd1892~0_combout\ & (\led_flash_cnt[1892][0]~q\ & (\led_flash_cnt[1892][7]~q\ & \WideAnd1892~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1892~0_combout\,
	datab => \led_flash_cnt[1892][0]~q\,
	datac => \led_flash_cnt[1892][7]~q\,
	datad => \WideAnd1892~1_combout\,
	combout => \WideAnd1892~combout\);

-- Location: FF_X9_Y34_N31
\led_flash_cnt_ands[1892]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1892~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1892));

-- Location: LCCOMB_X10_Y33_N28
\WideAnd4076~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4076~1_combout\ = (led_flash_cnt_ands(1893) & led_flash_cnt_ands(1892))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1893),
	datad => led_flash_cnt_ands(1892),
	combout => \WideAnd4076~1_combout\);

-- Location: LCCOMB_X39_Y33_N10
WideAnd4076 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4076~combout\ = (\WideAnd4076~0_combout\ & (led_flash_cnt_ands(1894) & (led_flash_cnt_ands(1895) & \WideAnd4076~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4076~0_combout\,
	datab => led_flash_cnt_ands(1894),
	datac => led_flash_cnt_ands(1895),
	datad => \WideAnd4076~1_combout\,
	combout => \WideAnd4076~combout\);

-- Location: FF_X39_Y33_N11
\led_flash_cnt_ands_1[236]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4076~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(236));

-- Location: LCCOMB_X49_Y33_N14
\led_flash_cnt[1910][0]~82550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1910][0]~82550_combout\ = !\led_flash_cnt[1910][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1910][0]~q\,
	combout => \led_flash_cnt[1910][0]~82550_combout\);

-- Location: FF_X49_Y33_N15
\led_flash_cnt[1910][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1910][0]~82550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1910][0]~q\);

-- Location: LCCOMB_X50_Y33_N2
\led_flash_cnt[1910][1]~53620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1910][1]~53620_combout\ = (\led_flash_cnt[1910][0]~q\ & (\led_flash_cnt[1910][1]~q\ $ (VCC))) # (!\led_flash_cnt[1910][0]~q\ & (\led_flash_cnt[1910][1]~q\ & VCC))
-- \led_flash_cnt[1910][1]~53621\ = CARRY((\led_flash_cnt[1910][0]~q\ & \led_flash_cnt[1910][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1910][0]~q\,
	datab => \led_flash_cnt[1910][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1910][1]~53620_combout\,
	cout => \led_flash_cnt[1910][1]~53621\);

-- Location: FF_X50_Y33_N3
\led_flash_cnt[1910][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1910][1]~53620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1910][1]~q\);

-- Location: LCCOMB_X50_Y33_N4
\led_flash_cnt[1910][2]~53622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1910][2]~53622_combout\ = (\led_flash_cnt[1910][2]~q\ & (!\led_flash_cnt[1910][1]~53621\)) # (!\led_flash_cnt[1910][2]~q\ & ((\led_flash_cnt[1910][1]~53621\) # (GND)))
-- \led_flash_cnt[1910][2]~53623\ = CARRY((!\led_flash_cnt[1910][1]~53621\) # (!\led_flash_cnt[1910][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1910][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1910][1]~53621\,
	combout => \led_flash_cnt[1910][2]~53622_combout\,
	cout => \led_flash_cnt[1910][2]~53623\);

-- Location: FF_X50_Y33_N5
\led_flash_cnt[1910][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1910][2]~53622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1910][2]~q\);

-- Location: LCCOMB_X50_Y33_N6
\led_flash_cnt[1910][3]~53624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1910][3]~53624_combout\ = (\led_flash_cnt[1910][3]~q\ & (\led_flash_cnt[1910][2]~53623\ $ (GND))) # (!\led_flash_cnt[1910][3]~q\ & (!\led_flash_cnt[1910][2]~53623\ & VCC))
-- \led_flash_cnt[1910][3]~53625\ = CARRY((\led_flash_cnt[1910][3]~q\ & !\led_flash_cnt[1910][2]~53623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1910][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1910][2]~53623\,
	combout => \led_flash_cnt[1910][3]~53624_combout\,
	cout => \led_flash_cnt[1910][3]~53625\);

-- Location: FF_X50_Y33_N7
\led_flash_cnt[1910][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1910][3]~53624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1910][3]~q\);

-- Location: LCCOMB_X50_Y33_N8
\led_flash_cnt[1910][4]~53626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1910][4]~53626_combout\ = (\led_flash_cnt[1910][4]~q\ & (!\led_flash_cnt[1910][3]~53625\)) # (!\led_flash_cnt[1910][4]~q\ & ((\led_flash_cnt[1910][3]~53625\) # (GND)))
-- \led_flash_cnt[1910][4]~53627\ = CARRY((!\led_flash_cnt[1910][3]~53625\) # (!\led_flash_cnt[1910][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1910][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1910][3]~53625\,
	combout => \led_flash_cnt[1910][4]~53626_combout\,
	cout => \led_flash_cnt[1910][4]~53627\);

-- Location: FF_X50_Y33_N9
\led_flash_cnt[1910][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1910][4]~53626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1910][4]~q\);

-- Location: LCCOMB_X50_Y33_N10
\led_flash_cnt[1910][5]~53628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1910][5]~53628_combout\ = (\led_flash_cnt[1910][5]~q\ & (\led_flash_cnt[1910][4]~53627\ $ (GND))) # (!\led_flash_cnt[1910][5]~q\ & (!\led_flash_cnt[1910][4]~53627\ & VCC))
-- \led_flash_cnt[1910][5]~53629\ = CARRY((\led_flash_cnt[1910][5]~q\ & !\led_flash_cnt[1910][4]~53627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1910][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1910][4]~53627\,
	combout => \led_flash_cnt[1910][5]~53628_combout\,
	cout => \led_flash_cnt[1910][5]~53629\);

-- Location: FF_X50_Y33_N11
\led_flash_cnt[1910][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1910][5]~53628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1910][5]~q\);

-- Location: LCCOMB_X50_Y33_N12
\led_flash_cnt[1910][6]~53630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1910][6]~53630_combout\ = (\led_flash_cnt[1910][6]~q\ & (!\led_flash_cnt[1910][5]~53629\)) # (!\led_flash_cnt[1910][6]~q\ & ((\led_flash_cnt[1910][5]~53629\) # (GND)))
-- \led_flash_cnt[1910][6]~53631\ = CARRY((!\led_flash_cnt[1910][5]~53629\) # (!\led_flash_cnt[1910][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1910][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1910][5]~53629\,
	combout => \led_flash_cnt[1910][6]~53630_combout\,
	cout => \led_flash_cnt[1910][6]~53631\);

-- Location: FF_X50_Y33_N13
\led_flash_cnt[1910][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1910][6]~53630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1910][6]~q\);

-- Location: LCCOMB_X50_Y33_N24
\WideAnd1910~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1910~1_combout\ = (\led_flash_cnt[1910][6]~q\ & \led_flash_cnt[1910][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1910][6]~q\,
	datad => \led_flash_cnt[1910][5]~q\,
	combout => \WideAnd1910~1_combout\);

-- Location: LCCOMB_X50_Y33_N14
\led_flash_cnt[1910][7]~53632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1910][7]~53632_combout\ = \led_flash_cnt[1910][7]~q\ $ (!\led_flash_cnt[1910][6]~53631\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1910][7]~q\,
	cin => \led_flash_cnt[1910][6]~53631\,
	combout => \led_flash_cnt[1910][7]~53632_combout\);

-- Location: FF_X50_Y33_N15
\led_flash_cnt[1910][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1910][7]~53632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1910][7]~q\);

-- Location: LCCOMB_X50_Y33_N20
\WideAnd1910~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1910~0_combout\ = (\led_flash_cnt[1910][3]~q\ & (\led_flash_cnt[1910][4]~q\ & (\led_flash_cnt[1910][2]~q\ & \led_flash_cnt[1910][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1910][3]~q\,
	datab => \led_flash_cnt[1910][4]~q\,
	datac => \led_flash_cnt[1910][2]~q\,
	datad => \led_flash_cnt[1910][1]~q\,
	combout => \WideAnd1910~0_combout\);

-- Location: LCCOMB_X50_Y33_N26
WideAnd1910 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1910~combout\ = (\led_flash_cnt[1910][0]~q\ & (\WideAnd1910~1_combout\ & (\led_flash_cnt[1910][7]~q\ & \WideAnd1910~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1910][0]~q\,
	datab => \WideAnd1910~1_combout\,
	datac => \led_flash_cnt[1910][7]~q\,
	datad => \WideAnd1910~0_combout\,
	combout => \WideAnd1910~combout\);

-- Location: FF_X50_Y33_N27
\led_flash_cnt_ands[1910]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1910~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1910));

-- Location: LCCOMB_X62_Y22_N6
\led_flash_cnt[1911][0]~82551\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1911][0]~82551_combout\ = !\led_flash_cnt[1911][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1911][0]~q\,
	combout => \led_flash_cnt[1911][0]~82551_combout\);

-- Location: FF_X62_Y22_N7
\led_flash_cnt[1911][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1911][0]~82551_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1911][0]~q\);

-- Location: LCCOMB_X61_Y22_N18
\led_flash_cnt[1911][1]~53634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1911][1]~53634_combout\ = (\led_flash_cnt[1911][0]~q\ & (\led_flash_cnt[1911][1]~q\ $ (VCC))) # (!\led_flash_cnt[1911][0]~q\ & (\led_flash_cnt[1911][1]~q\ & VCC))
-- \led_flash_cnt[1911][1]~53635\ = CARRY((\led_flash_cnt[1911][0]~q\ & \led_flash_cnt[1911][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1911][0]~q\,
	datab => \led_flash_cnt[1911][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1911][1]~53634_combout\,
	cout => \led_flash_cnt[1911][1]~53635\);

-- Location: FF_X61_Y22_N19
\led_flash_cnt[1911][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1911][1]~53634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1911][1]~q\);

-- Location: LCCOMB_X61_Y22_N20
\led_flash_cnt[1911][2]~53636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1911][2]~53636_combout\ = (\led_flash_cnt[1911][2]~q\ & (!\led_flash_cnt[1911][1]~53635\)) # (!\led_flash_cnt[1911][2]~q\ & ((\led_flash_cnt[1911][1]~53635\) # (GND)))
-- \led_flash_cnt[1911][2]~53637\ = CARRY((!\led_flash_cnt[1911][1]~53635\) # (!\led_flash_cnt[1911][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1911][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1911][1]~53635\,
	combout => \led_flash_cnt[1911][2]~53636_combout\,
	cout => \led_flash_cnt[1911][2]~53637\);

-- Location: FF_X61_Y22_N21
\led_flash_cnt[1911][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1911][2]~53636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1911][2]~q\);

-- Location: LCCOMB_X61_Y22_N22
\led_flash_cnt[1911][3]~53638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1911][3]~53638_combout\ = (\led_flash_cnt[1911][3]~q\ & (\led_flash_cnt[1911][2]~53637\ $ (GND))) # (!\led_flash_cnt[1911][3]~q\ & (!\led_flash_cnt[1911][2]~53637\ & VCC))
-- \led_flash_cnt[1911][3]~53639\ = CARRY((\led_flash_cnt[1911][3]~q\ & !\led_flash_cnt[1911][2]~53637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1911][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1911][2]~53637\,
	combout => \led_flash_cnt[1911][3]~53638_combout\,
	cout => \led_flash_cnt[1911][3]~53639\);

-- Location: FF_X61_Y22_N23
\led_flash_cnt[1911][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1911][3]~53638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1911][3]~q\);

-- Location: LCCOMB_X61_Y22_N24
\led_flash_cnt[1911][4]~53640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1911][4]~53640_combout\ = (\led_flash_cnt[1911][4]~q\ & (!\led_flash_cnt[1911][3]~53639\)) # (!\led_flash_cnt[1911][4]~q\ & ((\led_flash_cnt[1911][3]~53639\) # (GND)))
-- \led_flash_cnt[1911][4]~53641\ = CARRY((!\led_flash_cnt[1911][3]~53639\) # (!\led_flash_cnt[1911][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1911][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1911][3]~53639\,
	combout => \led_flash_cnt[1911][4]~53640_combout\,
	cout => \led_flash_cnt[1911][4]~53641\);

-- Location: FF_X61_Y22_N25
\led_flash_cnt[1911][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1911][4]~53640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1911][4]~q\);

-- Location: LCCOMB_X61_Y22_N26
\led_flash_cnt[1911][5]~53642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1911][5]~53642_combout\ = (\led_flash_cnt[1911][5]~q\ & (\led_flash_cnt[1911][4]~53641\ $ (GND))) # (!\led_flash_cnt[1911][5]~q\ & (!\led_flash_cnt[1911][4]~53641\ & VCC))
-- \led_flash_cnt[1911][5]~53643\ = CARRY((\led_flash_cnt[1911][5]~q\ & !\led_flash_cnt[1911][4]~53641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1911][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1911][4]~53641\,
	combout => \led_flash_cnt[1911][5]~53642_combout\,
	cout => \led_flash_cnt[1911][5]~53643\);

-- Location: FF_X61_Y22_N27
\led_flash_cnt[1911][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1911][5]~53642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1911][5]~q\);

-- Location: LCCOMB_X61_Y22_N28
\led_flash_cnt[1911][6]~53644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1911][6]~53644_combout\ = (\led_flash_cnt[1911][6]~q\ & (!\led_flash_cnt[1911][5]~53643\)) # (!\led_flash_cnt[1911][6]~q\ & ((\led_flash_cnt[1911][5]~53643\) # (GND)))
-- \led_flash_cnt[1911][6]~53645\ = CARRY((!\led_flash_cnt[1911][5]~53643\) # (!\led_flash_cnt[1911][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1911][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1911][5]~53643\,
	combout => \led_flash_cnt[1911][6]~53644_combout\,
	cout => \led_flash_cnt[1911][6]~53645\);

-- Location: FF_X61_Y22_N29
\led_flash_cnt[1911][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1911][6]~53644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1911][6]~q\);

-- Location: LCCOMB_X62_Y22_N26
\WideAnd1911~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1911~1_combout\ = (\led_flash_cnt[1911][5]~q\ & \led_flash_cnt[1911][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1911][5]~q\,
	datad => \led_flash_cnt[1911][6]~q\,
	combout => \WideAnd1911~1_combout\);

-- Location: LCCOMB_X61_Y22_N30
\led_flash_cnt[1911][7]~53646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1911][7]~53646_combout\ = \led_flash_cnt[1911][7]~q\ $ (!\led_flash_cnt[1911][6]~53645\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1911][7]~q\,
	cin => \led_flash_cnt[1911][6]~53645\,
	combout => \led_flash_cnt[1911][7]~53646_combout\);

-- Location: FF_X61_Y22_N31
\led_flash_cnt[1911][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1911][7]~53646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1911][7]~q\);

-- Location: LCCOMB_X61_Y22_N0
\WideAnd1911~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1911~0_combout\ = (\led_flash_cnt[1911][4]~q\ & (\led_flash_cnt[1911][2]~q\ & (\led_flash_cnt[1911][3]~q\ & \led_flash_cnt[1911][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1911][4]~q\,
	datab => \led_flash_cnt[1911][2]~q\,
	datac => \led_flash_cnt[1911][3]~q\,
	datad => \led_flash_cnt[1911][1]~q\,
	combout => \WideAnd1911~0_combout\);

-- Location: LCCOMB_X62_Y22_N4
WideAnd1911 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1911~combout\ = (\WideAnd1911~1_combout\ & (\led_flash_cnt[1911][7]~q\ & (\WideAnd1911~0_combout\ & \led_flash_cnt[1911][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1911~1_combout\,
	datab => \led_flash_cnt[1911][7]~q\,
	datac => \WideAnd1911~0_combout\,
	datad => \led_flash_cnt[1911][0]~q\,
	combout => \WideAnd1911~combout\);

-- Location: FF_X62_Y22_N5
\led_flash_cnt_ands[1911]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1911~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1911));

-- Location: LCCOMB_X43_Y31_N6
\led_flash_cnt[1908][0]~82548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1908][0]~82548_combout\ = !\led_flash_cnt[1908][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1908][0]~q\,
	combout => \led_flash_cnt[1908][0]~82548_combout\);

-- Location: FF_X43_Y31_N7
\led_flash_cnt[1908][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1908][0]~82548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1908][0]~q\);

-- Location: LCCOMB_X43_Y31_N8
\led_flash_cnt[1908][1]~53592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1908][1]~53592_combout\ = (\led_flash_cnt[1908][0]~q\ & (\led_flash_cnt[1908][1]~q\ $ (VCC))) # (!\led_flash_cnt[1908][0]~q\ & (\led_flash_cnt[1908][1]~q\ & VCC))
-- \led_flash_cnt[1908][1]~53593\ = CARRY((\led_flash_cnt[1908][0]~q\ & \led_flash_cnt[1908][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1908][0]~q\,
	datab => \led_flash_cnt[1908][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1908][1]~53592_combout\,
	cout => \led_flash_cnt[1908][1]~53593\);

-- Location: FF_X43_Y31_N9
\led_flash_cnt[1908][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1908][1]~53592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1908][1]~q\);

-- Location: LCCOMB_X43_Y31_N10
\led_flash_cnt[1908][2]~53594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1908][2]~53594_combout\ = (\led_flash_cnt[1908][2]~q\ & (!\led_flash_cnt[1908][1]~53593\)) # (!\led_flash_cnt[1908][2]~q\ & ((\led_flash_cnt[1908][1]~53593\) # (GND)))
-- \led_flash_cnt[1908][2]~53595\ = CARRY((!\led_flash_cnt[1908][1]~53593\) # (!\led_flash_cnt[1908][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1908][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1908][1]~53593\,
	combout => \led_flash_cnt[1908][2]~53594_combout\,
	cout => \led_flash_cnt[1908][2]~53595\);

-- Location: FF_X43_Y31_N11
\led_flash_cnt[1908][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1908][2]~53594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1908][2]~q\);

-- Location: LCCOMB_X43_Y31_N12
\led_flash_cnt[1908][3]~53596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1908][3]~53596_combout\ = (\led_flash_cnt[1908][3]~q\ & (\led_flash_cnt[1908][2]~53595\ $ (GND))) # (!\led_flash_cnt[1908][3]~q\ & (!\led_flash_cnt[1908][2]~53595\ & VCC))
-- \led_flash_cnt[1908][3]~53597\ = CARRY((\led_flash_cnt[1908][3]~q\ & !\led_flash_cnt[1908][2]~53595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1908][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1908][2]~53595\,
	combout => \led_flash_cnt[1908][3]~53596_combout\,
	cout => \led_flash_cnt[1908][3]~53597\);

-- Location: FF_X43_Y31_N13
\led_flash_cnt[1908][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1908][3]~53596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1908][3]~q\);

-- Location: LCCOMB_X43_Y31_N14
\led_flash_cnt[1908][4]~53598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1908][4]~53598_combout\ = (\led_flash_cnt[1908][4]~q\ & (!\led_flash_cnt[1908][3]~53597\)) # (!\led_flash_cnt[1908][4]~q\ & ((\led_flash_cnt[1908][3]~53597\) # (GND)))
-- \led_flash_cnt[1908][4]~53599\ = CARRY((!\led_flash_cnt[1908][3]~53597\) # (!\led_flash_cnt[1908][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1908][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1908][3]~53597\,
	combout => \led_flash_cnt[1908][4]~53598_combout\,
	cout => \led_flash_cnt[1908][4]~53599\);

-- Location: FF_X43_Y31_N15
\led_flash_cnt[1908][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1908][4]~53598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1908][4]~q\);

-- Location: LCCOMB_X43_Y31_N16
\led_flash_cnt[1908][5]~53600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1908][5]~53600_combout\ = (\led_flash_cnt[1908][5]~q\ & (\led_flash_cnt[1908][4]~53599\ $ (GND))) # (!\led_flash_cnt[1908][5]~q\ & (!\led_flash_cnt[1908][4]~53599\ & VCC))
-- \led_flash_cnt[1908][5]~53601\ = CARRY((\led_flash_cnt[1908][5]~q\ & !\led_flash_cnt[1908][4]~53599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1908][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1908][4]~53599\,
	combout => \led_flash_cnt[1908][5]~53600_combout\,
	cout => \led_flash_cnt[1908][5]~53601\);

-- Location: FF_X43_Y31_N17
\led_flash_cnt[1908][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1908][5]~53600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1908][5]~q\);

-- Location: LCCOMB_X43_Y31_N18
\led_flash_cnt[1908][6]~53602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1908][6]~53602_combout\ = (\led_flash_cnt[1908][6]~q\ & (!\led_flash_cnt[1908][5]~53601\)) # (!\led_flash_cnt[1908][6]~q\ & ((\led_flash_cnt[1908][5]~53601\) # (GND)))
-- \led_flash_cnt[1908][6]~53603\ = CARRY((!\led_flash_cnt[1908][5]~53601\) # (!\led_flash_cnt[1908][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1908][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1908][5]~53601\,
	combout => \led_flash_cnt[1908][6]~53602_combout\,
	cout => \led_flash_cnt[1908][6]~53603\);

-- Location: FF_X43_Y31_N19
\led_flash_cnt[1908][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1908][6]~53602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1908][6]~q\);

-- Location: LCCOMB_X43_Y31_N20
\led_flash_cnt[1908][7]~53604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1908][7]~53604_combout\ = \led_flash_cnt[1908][6]~53603\ $ (!\led_flash_cnt[1908][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1908][7]~q\,
	cin => \led_flash_cnt[1908][6]~53603\,
	combout => \led_flash_cnt[1908][7]~53604_combout\);

-- Location: FF_X43_Y31_N21
\led_flash_cnt[1908][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1908][7]~53604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1908][7]~q\);

-- Location: LCCOMB_X43_Y31_N30
\WideAnd1908~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1908~1_combout\ = (\led_flash_cnt[1908][5]~q\ & \led_flash_cnt[1908][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1908][5]~q\,
	datad => \led_flash_cnt[1908][6]~q\,
	combout => \WideAnd1908~1_combout\);

-- Location: LCCOMB_X43_Y31_N0
\WideAnd1908~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1908~0_combout\ = (\led_flash_cnt[1908][2]~q\ & (\led_flash_cnt[1908][4]~q\ & (\led_flash_cnt[1908][1]~q\ & \led_flash_cnt[1908][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1908][2]~q\,
	datab => \led_flash_cnt[1908][4]~q\,
	datac => \led_flash_cnt[1908][1]~q\,
	datad => \led_flash_cnt[1908][3]~q\,
	combout => \WideAnd1908~0_combout\);

-- Location: LCCOMB_X43_Y31_N4
WideAnd1908 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1908~combout\ = (\led_flash_cnt[1908][0]~q\ & (\led_flash_cnt[1908][7]~q\ & (\WideAnd1908~1_combout\ & \WideAnd1908~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1908][0]~q\,
	datab => \led_flash_cnt[1908][7]~q\,
	datac => \WideAnd1908~1_combout\,
	datad => \WideAnd1908~0_combout\,
	combout => \WideAnd1908~combout\);

-- Location: FF_X43_Y31_N5
\led_flash_cnt_ands[1908]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1908~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1908));

-- Location: LCCOMB_X43_Y31_N28
\led_flash_cnt[1909][0]~82549\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1909][0]~82549_combout\ = !\led_flash_cnt[1909][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1909][0]~q\,
	combout => \led_flash_cnt[1909][0]~82549_combout\);

-- Location: FF_X43_Y31_N29
\led_flash_cnt[1909][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1909][0]~82549_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1909][0]~q\);

-- Location: LCCOMB_X44_Y31_N18
\led_flash_cnt[1909][1]~53606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1909][1]~53606_combout\ = (\led_flash_cnt[1909][0]~q\ & (\led_flash_cnt[1909][1]~q\ $ (VCC))) # (!\led_flash_cnt[1909][0]~q\ & (\led_flash_cnt[1909][1]~q\ & VCC))
-- \led_flash_cnt[1909][1]~53607\ = CARRY((\led_flash_cnt[1909][0]~q\ & \led_flash_cnt[1909][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1909][0]~q\,
	datab => \led_flash_cnt[1909][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1909][1]~53606_combout\,
	cout => \led_flash_cnt[1909][1]~53607\);

-- Location: FF_X44_Y31_N19
\led_flash_cnt[1909][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1909][1]~53606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1909][1]~q\);

-- Location: LCCOMB_X44_Y31_N20
\led_flash_cnt[1909][2]~53608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1909][2]~53608_combout\ = (\led_flash_cnt[1909][2]~q\ & (!\led_flash_cnt[1909][1]~53607\)) # (!\led_flash_cnt[1909][2]~q\ & ((\led_flash_cnt[1909][1]~53607\) # (GND)))
-- \led_flash_cnt[1909][2]~53609\ = CARRY((!\led_flash_cnt[1909][1]~53607\) # (!\led_flash_cnt[1909][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1909][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1909][1]~53607\,
	combout => \led_flash_cnt[1909][2]~53608_combout\,
	cout => \led_flash_cnt[1909][2]~53609\);

-- Location: FF_X44_Y31_N21
\led_flash_cnt[1909][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1909][2]~53608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1909][2]~q\);

-- Location: LCCOMB_X44_Y31_N22
\led_flash_cnt[1909][3]~53610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1909][3]~53610_combout\ = (\led_flash_cnt[1909][3]~q\ & (\led_flash_cnt[1909][2]~53609\ $ (GND))) # (!\led_flash_cnt[1909][3]~q\ & (!\led_flash_cnt[1909][2]~53609\ & VCC))
-- \led_flash_cnt[1909][3]~53611\ = CARRY((\led_flash_cnt[1909][3]~q\ & !\led_flash_cnt[1909][2]~53609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1909][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1909][2]~53609\,
	combout => \led_flash_cnt[1909][3]~53610_combout\,
	cout => \led_flash_cnt[1909][3]~53611\);

-- Location: FF_X44_Y31_N23
\led_flash_cnt[1909][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1909][3]~53610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1909][3]~q\);

-- Location: LCCOMB_X44_Y31_N24
\led_flash_cnt[1909][4]~53612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1909][4]~53612_combout\ = (\led_flash_cnt[1909][4]~q\ & (!\led_flash_cnt[1909][3]~53611\)) # (!\led_flash_cnt[1909][4]~q\ & ((\led_flash_cnt[1909][3]~53611\) # (GND)))
-- \led_flash_cnt[1909][4]~53613\ = CARRY((!\led_flash_cnt[1909][3]~53611\) # (!\led_flash_cnt[1909][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1909][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1909][3]~53611\,
	combout => \led_flash_cnt[1909][4]~53612_combout\,
	cout => \led_flash_cnt[1909][4]~53613\);

-- Location: FF_X44_Y31_N25
\led_flash_cnt[1909][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1909][4]~53612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1909][4]~q\);

-- Location: LCCOMB_X44_Y31_N26
\led_flash_cnt[1909][5]~53614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1909][5]~53614_combout\ = (\led_flash_cnt[1909][5]~q\ & (\led_flash_cnt[1909][4]~53613\ $ (GND))) # (!\led_flash_cnt[1909][5]~q\ & (!\led_flash_cnt[1909][4]~53613\ & VCC))
-- \led_flash_cnt[1909][5]~53615\ = CARRY((\led_flash_cnt[1909][5]~q\ & !\led_flash_cnt[1909][4]~53613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1909][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1909][4]~53613\,
	combout => \led_flash_cnt[1909][5]~53614_combout\,
	cout => \led_flash_cnt[1909][5]~53615\);

-- Location: FF_X44_Y31_N27
\led_flash_cnt[1909][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1909][5]~53614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1909][5]~q\);

-- Location: LCCOMB_X44_Y31_N28
\led_flash_cnt[1909][6]~53616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1909][6]~53616_combout\ = (\led_flash_cnt[1909][6]~q\ & (!\led_flash_cnt[1909][5]~53615\)) # (!\led_flash_cnt[1909][6]~q\ & ((\led_flash_cnt[1909][5]~53615\) # (GND)))
-- \led_flash_cnt[1909][6]~53617\ = CARRY((!\led_flash_cnt[1909][5]~53615\) # (!\led_flash_cnt[1909][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1909][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1909][5]~53615\,
	combout => \led_flash_cnt[1909][6]~53616_combout\,
	cout => \led_flash_cnt[1909][6]~53617\);

-- Location: FF_X44_Y31_N29
\led_flash_cnt[1909][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1909][6]~53616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1909][6]~q\);

-- Location: LCCOMB_X43_Y31_N26
\WideAnd1909~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1909~1_combout\ = (\led_flash_cnt[1909][6]~q\ & \led_flash_cnt[1909][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1909][6]~q\,
	datad => \led_flash_cnt[1909][5]~q\,
	combout => \WideAnd1909~1_combout\);

-- Location: LCCOMB_X44_Y31_N30
\led_flash_cnt[1909][7]~53618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1909][7]~53618_combout\ = \led_flash_cnt[1909][7]~q\ $ (!\led_flash_cnt[1909][6]~53617\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1909][7]~q\,
	cin => \led_flash_cnt[1909][6]~53617\,
	combout => \led_flash_cnt[1909][7]~53618_combout\);

-- Location: FF_X44_Y31_N31
\led_flash_cnt[1909][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1909][7]~53618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1909][7]~q\);

-- Location: LCCOMB_X44_Y31_N16
\WideAnd1909~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1909~0_combout\ = (\led_flash_cnt[1909][1]~q\ & (\led_flash_cnt[1909][2]~q\ & (\led_flash_cnt[1909][3]~q\ & \led_flash_cnt[1909][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1909][1]~q\,
	datab => \led_flash_cnt[1909][2]~q\,
	datac => \led_flash_cnt[1909][3]~q\,
	datad => \led_flash_cnt[1909][4]~q\,
	combout => \WideAnd1909~0_combout\);

-- Location: LCCOMB_X43_Y31_N24
WideAnd1909 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1909~combout\ = (\WideAnd1909~1_combout\ & (\led_flash_cnt[1909][0]~q\ & (\led_flash_cnt[1909][7]~q\ & \WideAnd1909~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1909~1_combout\,
	datab => \led_flash_cnt[1909][0]~q\,
	datac => \led_flash_cnt[1909][7]~q\,
	datad => \WideAnd1909~0_combout\,
	combout => \WideAnd1909~combout\);

-- Location: FF_X43_Y31_N25
\led_flash_cnt_ands[1909]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1909~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1909));

-- Location: LCCOMB_X43_Y31_N22
\WideAnd4078~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4078~1_combout\ = (led_flash_cnt_ands(1908) & led_flash_cnt_ands(1909))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1908),
	datad => led_flash_cnt_ands(1909),
	combout => \WideAnd4078~1_combout\);

-- Location: LCCOMB_X60_Y26_N12
\led_flash_cnt[1907][0]~82547\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1907][0]~82547_combout\ = !\led_flash_cnt[1907][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1907][0]~q\,
	combout => \led_flash_cnt[1907][0]~82547_combout\);

-- Location: FF_X60_Y26_N13
\led_flash_cnt[1907][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1907][0]~82547_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1907][0]~q\);

-- Location: LCCOMB_X60_Y26_N16
\led_flash_cnt[1907][1]~53578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1907][1]~53578_combout\ = (\led_flash_cnt[1907][0]~q\ & (\led_flash_cnt[1907][1]~q\ $ (VCC))) # (!\led_flash_cnt[1907][0]~q\ & (\led_flash_cnt[1907][1]~q\ & VCC))
-- \led_flash_cnt[1907][1]~53579\ = CARRY((\led_flash_cnt[1907][0]~q\ & \led_flash_cnt[1907][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1907][0]~q\,
	datab => \led_flash_cnt[1907][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1907][1]~53578_combout\,
	cout => \led_flash_cnt[1907][1]~53579\);

-- Location: FF_X60_Y26_N17
\led_flash_cnt[1907][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1907][1]~53578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1907][1]~q\);

-- Location: LCCOMB_X60_Y26_N18
\led_flash_cnt[1907][2]~53580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1907][2]~53580_combout\ = (\led_flash_cnt[1907][2]~q\ & (!\led_flash_cnt[1907][1]~53579\)) # (!\led_flash_cnt[1907][2]~q\ & ((\led_flash_cnt[1907][1]~53579\) # (GND)))
-- \led_flash_cnt[1907][2]~53581\ = CARRY((!\led_flash_cnt[1907][1]~53579\) # (!\led_flash_cnt[1907][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1907][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1907][1]~53579\,
	combout => \led_flash_cnt[1907][2]~53580_combout\,
	cout => \led_flash_cnt[1907][2]~53581\);

-- Location: FF_X60_Y26_N19
\led_flash_cnt[1907][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1907][2]~53580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1907][2]~q\);

-- Location: LCCOMB_X60_Y26_N20
\led_flash_cnt[1907][3]~53582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1907][3]~53582_combout\ = (\led_flash_cnt[1907][3]~q\ & (\led_flash_cnt[1907][2]~53581\ $ (GND))) # (!\led_flash_cnt[1907][3]~q\ & (!\led_flash_cnt[1907][2]~53581\ & VCC))
-- \led_flash_cnt[1907][3]~53583\ = CARRY((\led_flash_cnt[1907][3]~q\ & !\led_flash_cnt[1907][2]~53581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1907][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1907][2]~53581\,
	combout => \led_flash_cnt[1907][3]~53582_combout\,
	cout => \led_flash_cnt[1907][3]~53583\);

-- Location: FF_X60_Y26_N21
\led_flash_cnt[1907][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1907][3]~53582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1907][3]~q\);

-- Location: LCCOMB_X60_Y26_N22
\led_flash_cnt[1907][4]~53584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1907][4]~53584_combout\ = (\led_flash_cnt[1907][4]~q\ & (!\led_flash_cnt[1907][3]~53583\)) # (!\led_flash_cnt[1907][4]~q\ & ((\led_flash_cnt[1907][3]~53583\) # (GND)))
-- \led_flash_cnt[1907][4]~53585\ = CARRY((!\led_flash_cnt[1907][3]~53583\) # (!\led_flash_cnt[1907][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1907][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1907][3]~53583\,
	combout => \led_flash_cnt[1907][4]~53584_combout\,
	cout => \led_flash_cnt[1907][4]~53585\);

-- Location: FF_X60_Y26_N23
\led_flash_cnt[1907][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1907][4]~53584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1907][4]~q\);

-- Location: LCCOMB_X60_Y26_N24
\led_flash_cnt[1907][5]~53586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1907][5]~53586_combout\ = (\led_flash_cnt[1907][5]~q\ & (\led_flash_cnt[1907][4]~53585\ $ (GND))) # (!\led_flash_cnt[1907][5]~q\ & (!\led_flash_cnt[1907][4]~53585\ & VCC))
-- \led_flash_cnt[1907][5]~53587\ = CARRY((\led_flash_cnt[1907][5]~q\ & !\led_flash_cnt[1907][4]~53585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1907][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1907][4]~53585\,
	combout => \led_flash_cnt[1907][5]~53586_combout\,
	cout => \led_flash_cnt[1907][5]~53587\);

-- Location: FF_X60_Y26_N25
\led_flash_cnt[1907][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1907][5]~53586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1907][5]~q\);

-- Location: LCCOMB_X60_Y26_N26
\led_flash_cnt[1907][6]~53588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1907][6]~53588_combout\ = (\led_flash_cnt[1907][6]~q\ & (!\led_flash_cnt[1907][5]~53587\)) # (!\led_flash_cnt[1907][6]~q\ & ((\led_flash_cnt[1907][5]~53587\) # (GND)))
-- \led_flash_cnt[1907][6]~53589\ = CARRY((!\led_flash_cnt[1907][5]~53587\) # (!\led_flash_cnt[1907][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1907][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1907][5]~53587\,
	combout => \led_flash_cnt[1907][6]~53588_combout\,
	cout => \led_flash_cnt[1907][6]~53589\);

-- Location: FF_X60_Y26_N27
\led_flash_cnt[1907][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1907][6]~53588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1907][6]~q\);

-- Location: LCCOMB_X60_Y26_N28
\led_flash_cnt[1907][7]~53590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1907][7]~53590_combout\ = \led_flash_cnt[1907][6]~53589\ $ (!\led_flash_cnt[1907][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1907][7]~q\,
	cin => \led_flash_cnt[1907][6]~53589\,
	combout => \led_flash_cnt[1907][7]~53590_combout\);

-- Location: FF_X60_Y26_N29
\led_flash_cnt[1907][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1907][7]~53590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1907][7]~q\);

-- Location: LCCOMB_X60_Y26_N4
\WideAnd1907~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1907~1_combout\ = (\led_flash_cnt[1907][6]~q\ & \led_flash_cnt[1907][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1907][6]~q\,
	datad => \led_flash_cnt[1907][5]~q\,
	combout => \WideAnd1907~1_combout\);

-- Location: LCCOMB_X60_Y26_N0
\WideAnd1907~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1907~0_combout\ = (\led_flash_cnt[1907][1]~q\ & (\led_flash_cnt[1907][2]~q\ & (\led_flash_cnt[1907][4]~q\ & \led_flash_cnt[1907][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1907][1]~q\,
	datab => \led_flash_cnt[1907][2]~q\,
	datac => \led_flash_cnt[1907][4]~q\,
	datad => \led_flash_cnt[1907][3]~q\,
	combout => \WideAnd1907~0_combout\);

-- Location: LCCOMB_X60_Y26_N8
WideAnd1907 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1907~combout\ = (\led_flash_cnt[1907][0]~q\ & (\led_flash_cnt[1907][7]~q\ & (\WideAnd1907~1_combout\ & \WideAnd1907~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1907][0]~q\,
	datab => \led_flash_cnt[1907][7]~q\,
	datac => \WideAnd1907~1_combout\,
	datad => \WideAnd1907~0_combout\,
	combout => \WideAnd1907~combout\);

-- Location: FF_X60_Y26_N9
\led_flash_cnt_ands[1907]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1907~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1907));

-- Location: LCCOMB_X58_Y36_N12
\led_flash_cnt[1906][0]~82546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1906][0]~82546_combout\ = !\led_flash_cnt[1906][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1906][0]~q\,
	combout => \led_flash_cnt[1906][0]~82546_combout\);

-- Location: FF_X58_Y36_N13
\led_flash_cnt[1906][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1906][0]~82546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1906][0]~q\);

-- Location: LCCOMB_X58_Y36_N14
\led_flash_cnt[1906][1]~53564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1906][1]~53564_combout\ = (\led_flash_cnt[1906][0]~q\ & (\led_flash_cnt[1906][1]~q\ $ (VCC))) # (!\led_flash_cnt[1906][0]~q\ & (\led_flash_cnt[1906][1]~q\ & VCC))
-- \led_flash_cnt[1906][1]~53565\ = CARRY((\led_flash_cnt[1906][0]~q\ & \led_flash_cnt[1906][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1906][0]~q\,
	datab => \led_flash_cnt[1906][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1906][1]~53564_combout\,
	cout => \led_flash_cnt[1906][1]~53565\);

-- Location: FF_X58_Y36_N15
\led_flash_cnt[1906][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1906][1]~53564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1906][1]~q\);

-- Location: LCCOMB_X58_Y36_N16
\led_flash_cnt[1906][2]~53566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1906][2]~53566_combout\ = (\led_flash_cnt[1906][2]~q\ & (!\led_flash_cnt[1906][1]~53565\)) # (!\led_flash_cnt[1906][2]~q\ & ((\led_flash_cnt[1906][1]~53565\) # (GND)))
-- \led_flash_cnt[1906][2]~53567\ = CARRY((!\led_flash_cnt[1906][1]~53565\) # (!\led_flash_cnt[1906][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1906][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1906][1]~53565\,
	combout => \led_flash_cnt[1906][2]~53566_combout\,
	cout => \led_flash_cnt[1906][2]~53567\);

-- Location: FF_X58_Y36_N17
\led_flash_cnt[1906][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1906][2]~53566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1906][2]~q\);

-- Location: LCCOMB_X58_Y36_N18
\led_flash_cnt[1906][3]~53568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1906][3]~53568_combout\ = (\led_flash_cnt[1906][3]~q\ & (\led_flash_cnt[1906][2]~53567\ $ (GND))) # (!\led_flash_cnt[1906][3]~q\ & (!\led_flash_cnt[1906][2]~53567\ & VCC))
-- \led_flash_cnt[1906][3]~53569\ = CARRY((\led_flash_cnt[1906][3]~q\ & !\led_flash_cnt[1906][2]~53567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1906][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1906][2]~53567\,
	combout => \led_flash_cnt[1906][3]~53568_combout\,
	cout => \led_flash_cnt[1906][3]~53569\);

-- Location: FF_X58_Y36_N19
\led_flash_cnt[1906][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1906][3]~53568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1906][3]~q\);

-- Location: LCCOMB_X58_Y36_N20
\led_flash_cnt[1906][4]~53570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1906][4]~53570_combout\ = (\led_flash_cnt[1906][4]~q\ & (!\led_flash_cnt[1906][3]~53569\)) # (!\led_flash_cnt[1906][4]~q\ & ((\led_flash_cnt[1906][3]~53569\) # (GND)))
-- \led_flash_cnt[1906][4]~53571\ = CARRY((!\led_flash_cnt[1906][3]~53569\) # (!\led_flash_cnt[1906][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1906][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1906][3]~53569\,
	combout => \led_flash_cnt[1906][4]~53570_combout\,
	cout => \led_flash_cnt[1906][4]~53571\);

-- Location: FF_X58_Y36_N21
\led_flash_cnt[1906][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1906][4]~53570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1906][4]~q\);

-- Location: LCCOMB_X58_Y36_N22
\led_flash_cnt[1906][5]~53572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1906][5]~53572_combout\ = (\led_flash_cnt[1906][5]~q\ & (\led_flash_cnt[1906][4]~53571\ $ (GND))) # (!\led_flash_cnt[1906][5]~q\ & (!\led_flash_cnt[1906][4]~53571\ & VCC))
-- \led_flash_cnt[1906][5]~53573\ = CARRY((\led_flash_cnt[1906][5]~q\ & !\led_flash_cnt[1906][4]~53571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1906][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1906][4]~53571\,
	combout => \led_flash_cnt[1906][5]~53572_combout\,
	cout => \led_flash_cnt[1906][5]~53573\);

-- Location: FF_X58_Y36_N23
\led_flash_cnt[1906][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1906][5]~53572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1906][5]~q\);

-- Location: LCCOMB_X58_Y36_N24
\led_flash_cnt[1906][6]~53574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1906][6]~53574_combout\ = (\led_flash_cnt[1906][6]~q\ & (!\led_flash_cnt[1906][5]~53573\)) # (!\led_flash_cnt[1906][6]~q\ & ((\led_flash_cnt[1906][5]~53573\) # (GND)))
-- \led_flash_cnt[1906][6]~53575\ = CARRY((!\led_flash_cnt[1906][5]~53573\) # (!\led_flash_cnt[1906][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1906][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1906][5]~53573\,
	combout => \led_flash_cnt[1906][6]~53574_combout\,
	cout => \led_flash_cnt[1906][6]~53575\);

-- Location: FF_X58_Y36_N25
\led_flash_cnt[1906][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1906][6]~53574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1906][6]~q\);

-- Location: LCCOMB_X58_Y36_N30
\WideAnd1906~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1906~1_combout\ = (\led_flash_cnt[1906][5]~q\ & \led_flash_cnt[1906][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1906][5]~q\,
	datad => \led_flash_cnt[1906][6]~q\,
	combout => \WideAnd1906~1_combout\);

-- Location: LCCOMB_X58_Y36_N8
\WideAnd1906~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1906~0_combout\ = (\led_flash_cnt[1906][4]~q\ & (\led_flash_cnt[1906][3]~q\ & (\led_flash_cnt[1906][1]~q\ & \led_flash_cnt[1906][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1906][4]~q\,
	datab => \led_flash_cnt[1906][3]~q\,
	datac => \led_flash_cnt[1906][1]~q\,
	datad => \led_flash_cnt[1906][2]~q\,
	combout => \WideAnd1906~0_combout\);

-- Location: LCCOMB_X58_Y36_N26
\led_flash_cnt[1906][7]~53576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1906][7]~53576_combout\ = \led_flash_cnt[1906][7]~q\ $ (!\led_flash_cnt[1906][6]~53575\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1906][7]~q\,
	cin => \led_flash_cnt[1906][6]~53575\,
	combout => \led_flash_cnt[1906][7]~53576_combout\);

-- Location: FF_X58_Y36_N27
\led_flash_cnt[1906][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1906][7]~53576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1906][7]~q\);

-- Location: LCCOMB_X58_Y36_N28
WideAnd1906 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1906~combout\ = (\WideAnd1906~1_combout\ & (\WideAnd1906~0_combout\ & (\led_flash_cnt[1906][7]~q\ & \led_flash_cnt[1906][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1906~1_combout\,
	datab => \WideAnd1906~0_combout\,
	datac => \led_flash_cnt[1906][7]~q\,
	datad => \led_flash_cnt[1906][0]~q\,
	combout => \WideAnd1906~combout\);

-- Location: FF_X58_Y36_N29
\led_flash_cnt_ands[1906]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1906~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1906));

-- Location: LCCOMB_X58_Y37_N26
\led_flash_cnt[1904][0]~82544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1904][0]~82544_combout\ = !\led_flash_cnt[1904][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1904][0]~q\,
	combout => \led_flash_cnt[1904][0]~82544_combout\);

-- Location: FF_X58_Y37_N27
\led_flash_cnt[1904][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1904][0]~82544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1904][0]~q\);

-- Location: LCCOMB_X59_Y37_N14
\led_flash_cnt[1904][1]~53536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1904][1]~53536_combout\ = (\led_flash_cnt[1904][0]~q\ & (\led_flash_cnt[1904][1]~q\ $ (VCC))) # (!\led_flash_cnt[1904][0]~q\ & (\led_flash_cnt[1904][1]~q\ & VCC))
-- \led_flash_cnt[1904][1]~53537\ = CARRY((\led_flash_cnt[1904][0]~q\ & \led_flash_cnt[1904][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1904][0]~q\,
	datab => \led_flash_cnt[1904][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1904][1]~53536_combout\,
	cout => \led_flash_cnt[1904][1]~53537\);

-- Location: FF_X59_Y37_N15
\led_flash_cnt[1904][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1904][1]~53536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1904][1]~q\);

-- Location: LCCOMB_X59_Y37_N16
\led_flash_cnt[1904][2]~53538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1904][2]~53538_combout\ = (\led_flash_cnt[1904][2]~q\ & (!\led_flash_cnt[1904][1]~53537\)) # (!\led_flash_cnt[1904][2]~q\ & ((\led_flash_cnt[1904][1]~53537\) # (GND)))
-- \led_flash_cnt[1904][2]~53539\ = CARRY((!\led_flash_cnt[1904][1]~53537\) # (!\led_flash_cnt[1904][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1904][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1904][1]~53537\,
	combout => \led_flash_cnt[1904][2]~53538_combout\,
	cout => \led_flash_cnt[1904][2]~53539\);

-- Location: FF_X59_Y37_N17
\led_flash_cnt[1904][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1904][2]~53538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1904][2]~q\);

-- Location: LCCOMB_X59_Y37_N18
\led_flash_cnt[1904][3]~53540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1904][3]~53540_combout\ = (\led_flash_cnt[1904][3]~q\ & (\led_flash_cnt[1904][2]~53539\ $ (GND))) # (!\led_flash_cnt[1904][3]~q\ & (!\led_flash_cnt[1904][2]~53539\ & VCC))
-- \led_flash_cnt[1904][3]~53541\ = CARRY((\led_flash_cnt[1904][3]~q\ & !\led_flash_cnt[1904][2]~53539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1904][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1904][2]~53539\,
	combout => \led_flash_cnt[1904][3]~53540_combout\,
	cout => \led_flash_cnt[1904][3]~53541\);

-- Location: FF_X59_Y37_N19
\led_flash_cnt[1904][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1904][3]~53540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1904][3]~q\);

-- Location: LCCOMB_X59_Y37_N20
\led_flash_cnt[1904][4]~53542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1904][4]~53542_combout\ = (\led_flash_cnt[1904][4]~q\ & (!\led_flash_cnt[1904][3]~53541\)) # (!\led_flash_cnt[1904][4]~q\ & ((\led_flash_cnt[1904][3]~53541\) # (GND)))
-- \led_flash_cnt[1904][4]~53543\ = CARRY((!\led_flash_cnt[1904][3]~53541\) # (!\led_flash_cnt[1904][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1904][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1904][3]~53541\,
	combout => \led_flash_cnt[1904][4]~53542_combout\,
	cout => \led_flash_cnt[1904][4]~53543\);

-- Location: FF_X59_Y37_N21
\led_flash_cnt[1904][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1904][4]~53542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1904][4]~q\);

-- Location: LCCOMB_X59_Y37_N22
\led_flash_cnt[1904][5]~53544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1904][5]~53544_combout\ = (\led_flash_cnt[1904][5]~q\ & (\led_flash_cnt[1904][4]~53543\ $ (GND))) # (!\led_flash_cnt[1904][5]~q\ & (!\led_flash_cnt[1904][4]~53543\ & VCC))
-- \led_flash_cnt[1904][5]~53545\ = CARRY((\led_flash_cnt[1904][5]~q\ & !\led_flash_cnt[1904][4]~53543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1904][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1904][4]~53543\,
	combout => \led_flash_cnt[1904][5]~53544_combout\,
	cout => \led_flash_cnt[1904][5]~53545\);

-- Location: FF_X59_Y37_N23
\led_flash_cnt[1904][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1904][5]~53544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1904][5]~q\);

-- Location: LCCOMB_X59_Y37_N24
\led_flash_cnt[1904][6]~53546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1904][6]~53546_combout\ = (\led_flash_cnt[1904][6]~q\ & (!\led_flash_cnt[1904][5]~53545\)) # (!\led_flash_cnt[1904][6]~q\ & ((\led_flash_cnt[1904][5]~53545\) # (GND)))
-- \led_flash_cnt[1904][6]~53547\ = CARRY((!\led_flash_cnt[1904][5]~53545\) # (!\led_flash_cnt[1904][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1904][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1904][5]~53545\,
	combout => \led_flash_cnt[1904][6]~53546_combout\,
	cout => \led_flash_cnt[1904][6]~53547\);

-- Location: FF_X59_Y37_N25
\led_flash_cnt[1904][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1904][6]~53546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1904][6]~q\);

-- Location: LCCOMB_X59_Y37_N26
\led_flash_cnt[1904][7]~53548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1904][7]~53548_combout\ = \led_flash_cnt[1904][7]~q\ $ (!\led_flash_cnt[1904][6]~53547\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1904][7]~q\,
	cin => \led_flash_cnt[1904][6]~53547\,
	combout => \led_flash_cnt[1904][7]~53548_combout\);

-- Location: FF_X59_Y37_N27
\led_flash_cnt[1904][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1904][7]~53548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1904][7]~q\);

-- Location: LCCOMB_X58_Y37_N24
\WideAnd1904~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1904~1_combout\ = (\led_flash_cnt[1904][6]~q\ & \led_flash_cnt[1904][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1904][6]~q\,
	datad => \led_flash_cnt[1904][5]~q\,
	combout => \WideAnd1904~1_combout\);

-- Location: LCCOMB_X58_Y37_N20
\WideAnd1904~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1904~0_combout\ = (\led_flash_cnt[1904][4]~q\ & (\led_flash_cnt[1904][3]~q\ & (\led_flash_cnt[1904][1]~q\ & \led_flash_cnt[1904][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1904][4]~q\,
	datab => \led_flash_cnt[1904][3]~q\,
	datac => \led_flash_cnt[1904][1]~q\,
	datad => \led_flash_cnt[1904][2]~q\,
	combout => \WideAnd1904~0_combout\);

-- Location: LCCOMB_X58_Y37_N30
WideAnd1904 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1904~combout\ = (\led_flash_cnt[1904][7]~q\ & (\WideAnd1904~1_combout\ & (\led_flash_cnt[1904][0]~q\ & \WideAnd1904~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1904][7]~q\,
	datab => \WideAnd1904~1_combout\,
	datac => \led_flash_cnt[1904][0]~q\,
	datad => \WideAnd1904~0_combout\,
	combout => \WideAnd1904~combout\);

-- Location: FF_X58_Y37_N31
\led_flash_cnt_ands[1904]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1904~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1904));

-- Location: LCCOMB_X58_Y36_N2
\led_flash_cnt[1905][0]~82545\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1905][0]~82545_combout\ = !\led_flash_cnt[1905][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1905][0]~q\,
	combout => \led_flash_cnt[1905][0]~82545_combout\);

-- Location: FF_X58_Y36_N3
\led_flash_cnt[1905][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1905][0]~82545_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1905][0]~q\);

-- Location: LCCOMB_X57_Y36_N18
\led_flash_cnt[1905][1]~53550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1905][1]~53550_combout\ = (\led_flash_cnt[1905][0]~q\ & (\led_flash_cnt[1905][1]~q\ $ (VCC))) # (!\led_flash_cnt[1905][0]~q\ & (\led_flash_cnt[1905][1]~q\ & VCC))
-- \led_flash_cnt[1905][1]~53551\ = CARRY((\led_flash_cnt[1905][0]~q\ & \led_flash_cnt[1905][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1905][0]~q\,
	datab => \led_flash_cnt[1905][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1905][1]~53550_combout\,
	cout => \led_flash_cnt[1905][1]~53551\);

-- Location: FF_X57_Y36_N19
\led_flash_cnt[1905][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1905][1]~53550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1905][1]~q\);

-- Location: LCCOMB_X57_Y36_N20
\led_flash_cnt[1905][2]~53552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1905][2]~53552_combout\ = (\led_flash_cnt[1905][2]~q\ & (!\led_flash_cnt[1905][1]~53551\)) # (!\led_flash_cnt[1905][2]~q\ & ((\led_flash_cnt[1905][1]~53551\) # (GND)))
-- \led_flash_cnt[1905][2]~53553\ = CARRY((!\led_flash_cnt[1905][1]~53551\) # (!\led_flash_cnt[1905][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1905][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1905][1]~53551\,
	combout => \led_flash_cnt[1905][2]~53552_combout\,
	cout => \led_flash_cnt[1905][2]~53553\);

-- Location: FF_X57_Y36_N21
\led_flash_cnt[1905][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1905][2]~53552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1905][2]~q\);

-- Location: LCCOMB_X57_Y36_N22
\led_flash_cnt[1905][3]~53554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1905][3]~53554_combout\ = (\led_flash_cnt[1905][3]~q\ & (\led_flash_cnt[1905][2]~53553\ $ (GND))) # (!\led_flash_cnt[1905][3]~q\ & (!\led_flash_cnt[1905][2]~53553\ & VCC))
-- \led_flash_cnt[1905][3]~53555\ = CARRY((\led_flash_cnt[1905][3]~q\ & !\led_flash_cnt[1905][2]~53553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1905][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1905][2]~53553\,
	combout => \led_flash_cnt[1905][3]~53554_combout\,
	cout => \led_flash_cnt[1905][3]~53555\);

-- Location: FF_X57_Y36_N23
\led_flash_cnt[1905][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1905][3]~53554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1905][3]~q\);

-- Location: LCCOMB_X57_Y36_N24
\led_flash_cnt[1905][4]~53556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1905][4]~53556_combout\ = (\led_flash_cnt[1905][4]~q\ & (!\led_flash_cnt[1905][3]~53555\)) # (!\led_flash_cnt[1905][4]~q\ & ((\led_flash_cnt[1905][3]~53555\) # (GND)))
-- \led_flash_cnt[1905][4]~53557\ = CARRY((!\led_flash_cnt[1905][3]~53555\) # (!\led_flash_cnt[1905][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1905][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1905][3]~53555\,
	combout => \led_flash_cnt[1905][4]~53556_combout\,
	cout => \led_flash_cnt[1905][4]~53557\);

-- Location: FF_X57_Y36_N25
\led_flash_cnt[1905][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1905][4]~53556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1905][4]~q\);

-- Location: LCCOMB_X57_Y36_N26
\led_flash_cnt[1905][5]~53558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1905][5]~53558_combout\ = (\led_flash_cnt[1905][5]~q\ & (\led_flash_cnt[1905][4]~53557\ $ (GND))) # (!\led_flash_cnt[1905][5]~q\ & (!\led_flash_cnt[1905][4]~53557\ & VCC))
-- \led_flash_cnt[1905][5]~53559\ = CARRY((\led_flash_cnt[1905][5]~q\ & !\led_flash_cnt[1905][4]~53557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1905][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1905][4]~53557\,
	combout => \led_flash_cnt[1905][5]~53558_combout\,
	cout => \led_flash_cnt[1905][5]~53559\);

-- Location: FF_X57_Y36_N27
\led_flash_cnt[1905][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1905][5]~53558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1905][5]~q\);

-- Location: LCCOMB_X57_Y36_N28
\led_flash_cnt[1905][6]~53560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1905][6]~53560_combout\ = (\led_flash_cnt[1905][6]~q\ & (!\led_flash_cnt[1905][5]~53559\)) # (!\led_flash_cnt[1905][6]~q\ & ((\led_flash_cnt[1905][5]~53559\) # (GND)))
-- \led_flash_cnt[1905][6]~53561\ = CARRY((!\led_flash_cnt[1905][5]~53559\) # (!\led_flash_cnt[1905][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1905][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1905][5]~53559\,
	combout => \led_flash_cnt[1905][6]~53560_combout\,
	cout => \led_flash_cnt[1905][6]~53561\);

-- Location: FF_X57_Y36_N29
\led_flash_cnt[1905][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1905][6]~53560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1905][6]~q\);

-- Location: LCCOMB_X58_Y36_N10
\WideAnd1905~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1905~1_combout\ = (\led_flash_cnt[1905][5]~q\ & \led_flash_cnt[1905][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1905][5]~q\,
	datad => \led_flash_cnt[1905][6]~q\,
	combout => \WideAnd1905~1_combout\);

-- Location: LCCOMB_X57_Y36_N30
\led_flash_cnt[1905][7]~53562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1905][7]~53562_combout\ = \led_flash_cnt[1905][7]~q\ $ (!\led_flash_cnt[1905][6]~53561\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1905][7]~q\,
	cin => \led_flash_cnt[1905][6]~53561\,
	combout => \led_flash_cnt[1905][7]~53562_combout\);

-- Location: FF_X57_Y36_N31
\led_flash_cnt[1905][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1905][7]~53562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1905][7]~q\);

-- Location: LCCOMB_X57_Y36_N16
\WideAnd1905~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1905~0_combout\ = (\led_flash_cnt[1905][4]~q\ & (\led_flash_cnt[1905][2]~q\ & (\led_flash_cnt[1905][3]~q\ & \led_flash_cnt[1905][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1905][4]~q\,
	datab => \led_flash_cnt[1905][2]~q\,
	datac => \led_flash_cnt[1905][3]~q\,
	datad => \led_flash_cnt[1905][1]~q\,
	combout => \WideAnd1905~0_combout\);

-- Location: LCCOMB_X58_Y36_N6
WideAnd1905 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1905~combout\ = (\WideAnd1905~1_combout\ & (\led_flash_cnt[1905][7]~q\ & (\WideAnd1905~0_combout\ & \led_flash_cnt[1905][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1905~1_combout\,
	datab => \led_flash_cnt[1905][7]~q\,
	datac => \WideAnd1905~0_combout\,
	datad => \led_flash_cnt[1905][0]~q\,
	combout => \WideAnd1905~combout\);

-- Location: FF_X58_Y36_N7
\led_flash_cnt_ands[1905]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1905~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1905));

-- Location: LCCOMB_X58_Y36_N4
\WideAnd4078~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4078~0_combout\ = (led_flash_cnt_ands(1907) & (led_flash_cnt_ands(1906) & (led_flash_cnt_ands(1904) & led_flash_cnt_ands(1905))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1907),
	datab => led_flash_cnt_ands(1906),
	datac => led_flash_cnt_ands(1904),
	datad => led_flash_cnt_ands(1905),
	combout => \WideAnd4078~0_combout\);

-- Location: LCCOMB_X50_Y33_N18
WideAnd4078 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4078~combout\ = (led_flash_cnt_ands(1910) & (led_flash_cnt_ands(1911) & (\WideAnd4078~1_combout\ & \WideAnd4078~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1910),
	datab => led_flash_cnt_ands(1911),
	datac => \WideAnd4078~1_combout\,
	datad => \WideAnd4078~0_combout\,
	combout => \WideAnd4078~combout\);

-- Location: FF_X50_Y33_N19
\led_flash_cnt_ands_1[238]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4078~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(238));

-- Location: LCCOMB_X10_Y29_N0
\led_flash_cnt[1919][0]~82559\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1919][0]~82559_combout\ = !\led_flash_cnt[1919][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1919][0]~q\,
	combout => \led_flash_cnt[1919][0]~82559_combout\);

-- Location: FF_X10_Y29_N1
\led_flash_cnt[1919][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1919][0]~82559_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1919][0]~q\);

-- Location: LCCOMB_X10_Y29_N18
\led_flash_cnt[1919][1]~53746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1919][1]~53746_combout\ = (\led_flash_cnt[1919][1]~q\ & (\led_flash_cnt[1919][0]~q\ $ (VCC))) # (!\led_flash_cnt[1919][1]~q\ & (\led_flash_cnt[1919][0]~q\ & VCC))
-- \led_flash_cnt[1919][1]~53747\ = CARRY((\led_flash_cnt[1919][1]~q\ & \led_flash_cnt[1919][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1919][1]~q\,
	datab => \led_flash_cnt[1919][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1919][1]~53746_combout\,
	cout => \led_flash_cnt[1919][1]~53747\);

-- Location: FF_X10_Y29_N19
\led_flash_cnt[1919][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1919][1]~53746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1919][1]~q\);

-- Location: LCCOMB_X10_Y29_N20
\led_flash_cnt[1919][2]~53748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1919][2]~53748_combout\ = (\led_flash_cnt[1919][2]~q\ & (!\led_flash_cnt[1919][1]~53747\)) # (!\led_flash_cnt[1919][2]~q\ & ((\led_flash_cnt[1919][1]~53747\) # (GND)))
-- \led_flash_cnt[1919][2]~53749\ = CARRY((!\led_flash_cnt[1919][1]~53747\) # (!\led_flash_cnt[1919][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1919][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1919][1]~53747\,
	combout => \led_flash_cnt[1919][2]~53748_combout\,
	cout => \led_flash_cnt[1919][2]~53749\);

-- Location: FF_X10_Y29_N21
\led_flash_cnt[1919][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1919][2]~53748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1919][2]~q\);

-- Location: LCCOMB_X10_Y29_N22
\led_flash_cnt[1919][3]~53750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1919][3]~53750_combout\ = (\led_flash_cnt[1919][3]~q\ & (\led_flash_cnt[1919][2]~53749\ $ (GND))) # (!\led_flash_cnt[1919][3]~q\ & (!\led_flash_cnt[1919][2]~53749\ & VCC))
-- \led_flash_cnt[1919][3]~53751\ = CARRY((\led_flash_cnt[1919][3]~q\ & !\led_flash_cnt[1919][2]~53749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1919][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1919][2]~53749\,
	combout => \led_flash_cnt[1919][3]~53750_combout\,
	cout => \led_flash_cnt[1919][3]~53751\);

-- Location: FF_X10_Y29_N23
\led_flash_cnt[1919][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1919][3]~53750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1919][3]~q\);

-- Location: LCCOMB_X10_Y29_N24
\led_flash_cnt[1919][4]~53752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1919][4]~53752_combout\ = (\led_flash_cnt[1919][4]~q\ & (!\led_flash_cnt[1919][3]~53751\)) # (!\led_flash_cnt[1919][4]~q\ & ((\led_flash_cnt[1919][3]~53751\) # (GND)))
-- \led_flash_cnt[1919][4]~53753\ = CARRY((!\led_flash_cnt[1919][3]~53751\) # (!\led_flash_cnt[1919][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1919][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1919][3]~53751\,
	combout => \led_flash_cnt[1919][4]~53752_combout\,
	cout => \led_flash_cnt[1919][4]~53753\);

-- Location: FF_X10_Y29_N25
\led_flash_cnt[1919][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1919][4]~53752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1919][4]~q\);

-- Location: LCCOMB_X10_Y29_N26
\led_flash_cnt[1919][5]~53754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1919][5]~53754_combout\ = (\led_flash_cnt[1919][5]~q\ & (\led_flash_cnt[1919][4]~53753\ $ (GND))) # (!\led_flash_cnt[1919][5]~q\ & (!\led_flash_cnt[1919][4]~53753\ & VCC))
-- \led_flash_cnt[1919][5]~53755\ = CARRY((\led_flash_cnt[1919][5]~q\ & !\led_flash_cnt[1919][4]~53753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1919][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1919][4]~53753\,
	combout => \led_flash_cnt[1919][5]~53754_combout\,
	cout => \led_flash_cnt[1919][5]~53755\);

-- Location: FF_X10_Y29_N27
\led_flash_cnt[1919][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1919][5]~53754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1919][5]~q\);

-- Location: LCCOMB_X10_Y29_N28
\led_flash_cnt[1919][6]~53756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1919][6]~53756_combout\ = (\led_flash_cnt[1919][6]~q\ & (!\led_flash_cnt[1919][5]~53755\)) # (!\led_flash_cnt[1919][6]~q\ & ((\led_flash_cnt[1919][5]~53755\) # (GND)))
-- \led_flash_cnt[1919][6]~53757\ = CARRY((!\led_flash_cnt[1919][5]~53755\) # (!\led_flash_cnt[1919][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1919][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1919][5]~53755\,
	combout => \led_flash_cnt[1919][6]~53756_combout\,
	cout => \led_flash_cnt[1919][6]~53757\);

-- Location: FF_X10_Y29_N29
\led_flash_cnt[1919][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1919][6]~53756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1919][6]~q\);

-- Location: LCCOMB_X10_Y29_N30
\led_flash_cnt[1919][7]~53758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1919][7]~53758_combout\ = \led_flash_cnt[1919][7]~q\ $ (!\led_flash_cnt[1919][6]~53757\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1919][7]~q\,
	cin => \led_flash_cnt[1919][6]~53757\,
	combout => \led_flash_cnt[1919][7]~53758_combout\);

-- Location: FF_X10_Y29_N31
\led_flash_cnt[1919][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1919][7]~53758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1919][7]~q\);

-- Location: LCCOMB_X10_Y29_N8
\WideAnd1919~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1919~1_combout\ = (\led_flash_cnt[1919][5]~q\ & \led_flash_cnt[1919][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1919][5]~q\,
	datad => \led_flash_cnt[1919][6]~q\,
	combout => \WideAnd1919~1_combout\);

-- Location: LCCOMB_X10_Y29_N2
\WideAnd1919~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1919~0_combout\ = (\led_flash_cnt[1919][1]~q\ & (\led_flash_cnt[1919][4]~q\ & (\led_flash_cnt[1919][3]~q\ & \led_flash_cnt[1919][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1919][1]~q\,
	datab => \led_flash_cnt[1919][4]~q\,
	datac => \led_flash_cnt[1919][3]~q\,
	datad => \led_flash_cnt[1919][2]~q\,
	combout => \WideAnd1919~0_combout\);

-- Location: LCCOMB_X10_Y29_N6
WideAnd1919 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1919~combout\ = (\led_flash_cnt[1919][7]~q\ & (\led_flash_cnt[1919][0]~q\ & (\WideAnd1919~1_combout\ & \WideAnd1919~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1919][7]~q\,
	datab => \led_flash_cnt[1919][0]~q\,
	datac => \WideAnd1919~1_combout\,
	datad => \WideAnd1919~0_combout\,
	combout => \WideAnd1919~combout\);

-- Location: FF_X10_Y29_N7
\led_flash_cnt_ands[1919]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1919~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1919));

-- Location: LCCOMB_X24_Y29_N0
\led_flash_cnt[1916][0]~82556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1916][0]~82556_combout\ = !\led_flash_cnt[1916][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1916][0]~q\,
	combout => \led_flash_cnt[1916][0]~82556_combout\);

-- Location: FF_X24_Y29_N1
\led_flash_cnt[1916][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1916][0]~82556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1916][0]~q\);

-- Location: LCCOMB_X25_Y29_N0
\led_flash_cnt[1916][1]~53704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1916][1]~53704_combout\ = (\led_flash_cnt[1916][0]~q\ & (\led_flash_cnt[1916][1]~q\ $ (VCC))) # (!\led_flash_cnt[1916][0]~q\ & (\led_flash_cnt[1916][1]~q\ & VCC))
-- \led_flash_cnt[1916][1]~53705\ = CARRY((\led_flash_cnt[1916][0]~q\ & \led_flash_cnt[1916][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1916][0]~q\,
	datab => \led_flash_cnt[1916][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1916][1]~53704_combout\,
	cout => \led_flash_cnt[1916][1]~53705\);

-- Location: FF_X25_Y29_N1
\led_flash_cnt[1916][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1916][1]~53704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1916][1]~q\);

-- Location: LCCOMB_X25_Y29_N2
\led_flash_cnt[1916][2]~53706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1916][2]~53706_combout\ = (\led_flash_cnt[1916][2]~q\ & (!\led_flash_cnt[1916][1]~53705\)) # (!\led_flash_cnt[1916][2]~q\ & ((\led_flash_cnt[1916][1]~53705\) # (GND)))
-- \led_flash_cnt[1916][2]~53707\ = CARRY((!\led_flash_cnt[1916][1]~53705\) # (!\led_flash_cnt[1916][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1916][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1916][1]~53705\,
	combout => \led_flash_cnt[1916][2]~53706_combout\,
	cout => \led_flash_cnt[1916][2]~53707\);

-- Location: FF_X25_Y29_N3
\led_flash_cnt[1916][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1916][2]~53706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1916][2]~q\);

-- Location: LCCOMB_X25_Y29_N4
\led_flash_cnt[1916][3]~53708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1916][3]~53708_combout\ = (\led_flash_cnt[1916][3]~q\ & (\led_flash_cnt[1916][2]~53707\ $ (GND))) # (!\led_flash_cnt[1916][3]~q\ & (!\led_flash_cnt[1916][2]~53707\ & VCC))
-- \led_flash_cnt[1916][3]~53709\ = CARRY((\led_flash_cnt[1916][3]~q\ & !\led_flash_cnt[1916][2]~53707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1916][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1916][2]~53707\,
	combout => \led_flash_cnt[1916][3]~53708_combout\,
	cout => \led_flash_cnt[1916][3]~53709\);

-- Location: FF_X25_Y29_N5
\led_flash_cnt[1916][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1916][3]~53708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1916][3]~q\);

-- Location: LCCOMB_X25_Y29_N6
\led_flash_cnt[1916][4]~53710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1916][4]~53710_combout\ = (\led_flash_cnt[1916][4]~q\ & (!\led_flash_cnt[1916][3]~53709\)) # (!\led_flash_cnt[1916][4]~q\ & ((\led_flash_cnt[1916][3]~53709\) # (GND)))
-- \led_flash_cnt[1916][4]~53711\ = CARRY((!\led_flash_cnt[1916][3]~53709\) # (!\led_flash_cnt[1916][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1916][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1916][3]~53709\,
	combout => \led_flash_cnt[1916][4]~53710_combout\,
	cout => \led_flash_cnt[1916][4]~53711\);

-- Location: FF_X25_Y29_N7
\led_flash_cnt[1916][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1916][4]~53710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1916][4]~q\);

-- Location: LCCOMB_X25_Y29_N8
\led_flash_cnt[1916][5]~53712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1916][5]~53712_combout\ = (\led_flash_cnt[1916][5]~q\ & (\led_flash_cnt[1916][4]~53711\ $ (GND))) # (!\led_flash_cnt[1916][5]~q\ & (!\led_flash_cnt[1916][4]~53711\ & VCC))
-- \led_flash_cnt[1916][5]~53713\ = CARRY((\led_flash_cnt[1916][5]~q\ & !\led_flash_cnt[1916][4]~53711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1916][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1916][4]~53711\,
	combout => \led_flash_cnt[1916][5]~53712_combout\,
	cout => \led_flash_cnt[1916][5]~53713\);

-- Location: FF_X25_Y29_N9
\led_flash_cnt[1916][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1916][5]~53712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1916][5]~q\);

-- Location: LCCOMB_X25_Y29_N10
\led_flash_cnt[1916][6]~53714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1916][6]~53714_combout\ = (\led_flash_cnt[1916][6]~q\ & (!\led_flash_cnt[1916][5]~53713\)) # (!\led_flash_cnt[1916][6]~q\ & ((\led_flash_cnt[1916][5]~53713\) # (GND)))
-- \led_flash_cnt[1916][6]~53715\ = CARRY((!\led_flash_cnt[1916][5]~53713\) # (!\led_flash_cnt[1916][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1916][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1916][5]~53713\,
	combout => \led_flash_cnt[1916][6]~53714_combout\,
	cout => \led_flash_cnt[1916][6]~53715\);

-- Location: FF_X25_Y29_N11
\led_flash_cnt[1916][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1916][6]~53714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1916][6]~q\);

-- Location: LCCOMB_X24_Y29_N6
\WideAnd1916~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1916~1_combout\ = (\led_flash_cnt[1916][5]~q\ & \led_flash_cnt[1916][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1916][5]~q\,
	datac => \led_flash_cnt[1916][6]~q\,
	combout => \WideAnd1916~1_combout\);

-- Location: LCCOMB_X25_Y29_N12
\led_flash_cnt[1916][7]~53716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1916][7]~53716_combout\ = \led_flash_cnt[1916][6]~53715\ $ (!\led_flash_cnt[1916][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1916][7]~q\,
	cin => \led_flash_cnt[1916][6]~53715\,
	combout => \led_flash_cnt[1916][7]~53716_combout\);

-- Location: FF_X25_Y29_N13
\led_flash_cnt[1916][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1916][7]~53716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1916][7]~q\);

-- Location: LCCOMB_X25_Y29_N14
\WideAnd1916~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1916~0_combout\ = (\led_flash_cnt[1916][4]~q\ & (\led_flash_cnt[1916][2]~q\ & (\led_flash_cnt[1916][3]~q\ & \led_flash_cnt[1916][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1916][4]~q\,
	datab => \led_flash_cnt[1916][2]~q\,
	datac => \led_flash_cnt[1916][3]~q\,
	datad => \led_flash_cnt[1916][1]~q\,
	combout => \WideAnd1916~0_combout\);

-- Location: LCCOMB_X24_Y29_N4
WideAnd1916 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1916~combout\ = (\WideAnd1916~1_combout\ & (\led_flash_cnt[1916][7]~q\ & (\WideAnd1916~0_combout\ & \led_flash_cnt[1916][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1916~1_combout\,
	datab => \led_flash_cnt[1916][7]~q\,
	datac => \WideAnd1916~0_combout\,
	datad => \led_flash_cnt[1916][0]~q\,
	combout => \WideAnd1916~combout\);

-- Location: FF_X24_Y29_N5
\led_flash_cnt_ands[1916]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1916~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1916));

-- Location: LCCOMB_X12_Y25_N28
\led_flash_cnt[1917][0]~82557\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1917][0]~82557_combout\ = !\led_flash_cnt[1917][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1917][0]~q\,
	combout => \led_flash_cnt[1917][0]~82557_combout\);

-- Location: FF_X12_Y25_N29
\led_flash_cnt[1917][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1917][0]~82557_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1917][0]~q\);

-- Location: LCCOMB_X13_Y25_N2
\led_flash_cnt[1917][1]~53718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1917][1]~53718_combout\ = (\led_flash_cnt[1917][0]~q\ & (\led_flash_cnt[1917][1]~q\ $ (VCC))) # (!\led_flash_cnt[1917][0]~q\ & (\led_flash_cnt[1917][1]~q\ & VCC))
-- \led_flash_cnt[1917][1]~53719\ = CARRY((\led_flash_cnt[1917][0]~q\ & \led_flash_cnt[1917][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1917][0]~q\,
	datab => \led_flash_cnt[1917][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1917][1]~53718_combout\,
	cout => \led_flash_cnt[1917][1]~53719\);

-- Location: FF_X13_Y25_N3
\led_flash_cnt[1917][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1917][1]~53718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1917][1]~q\);

-- Location: LCCOMB_X13_Y25_N4
\led_flash_cnt[1917][2]~53720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1917][2]~53720_combout\ = (\led_flash_cnt[1917][2]~q\ & (!\led_flash_cnt[1917][1]~53719\)) # (!\led_flash_cnt[1917][2]~q\ & ((\led_flash_cnt[1917][1]~53719\) # (GND)))
-- \led_flash_cnt[1917][2]~53721\ = CARRY((!\led_flash_cnt[1917][1]~53719\) # (!\led_flash_cnt[1917][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1917][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1917][1]~53719\,
	combout => \led_flash_cnt[1917][2]~53720_combout\,
	cout => \led_flash_cnt[1917][2]~53721\);

-- Location: FF_X13_Y25_N5
\led_flash_cnt[1917][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1917][2]~53720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1917][2]~q\);

-- Location: LCCOMB_X13_Y25_N6
\led_flash_cnt[1917][3]~53722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1917][3]~53722_combout\ = (\led_flash_cnt[1917][3]~q\ & (\led_flash_cnt[1917][2]~53721\ $ (GND))) # (!\led_flash_cnt[1917][3]~q\ & (!\led_flash_cnt[1917][2]~53721\ & VCC))
-- \led_flash_cnt[1917][3]~53723\ = CARRY((\led_flash_cnt[1917][3]~q\ & !\led_flash_cnt[1917][2]~53721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1917][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1917][2]~53721\,
	combout => \led_flash_cnt[1917][3]~53722_combout\,
	cout => \led_flash_cnt[1917][3]~53723\);

-- Location: FF_X13_Y25_N7
\led_flash_cnt[1917][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1917][3]~53722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1917][3]~q\);

-- Location: LCCOMB_X13_Y25_N8
\led_flash_cnt[1917][4]~53724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1917][4]~53724_combout\ = (\led_flash_cnt[1917][4]~q\ & (!\led_flash_cnt[1917][3]~53723\)) # (!\led_flash_cnt[1917][4]~q\ & ((\led_flash_cnt[1917][3]~53723\) # (GND)))
-- \led_flash_cnt[1917][4]~53725\ = CARRY((!\led_flash_cnt[1917][3]~53723\) # (!\led_flash_cnt[1917][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1917][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1917][3]~53723\,
	combout => \led_flash_cnt[1917][4]~53724_combout\,
	cout => \led_flash_cnt[1917][4]~53725\);

-- Location: FF_X13_Y25_N9
\led_flash_cnt[1917][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1917][4]~53724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1917][4]~q\);

-- Location: LCCOMB_X13_Y25_N30
\WideAnd1917~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1917~0_combout\ = (\led_flash_cnt[1917][3]~q\ & (\led_flash_cnt[1917][2]~q\ & (\led_flash_cnt[1917][4]~q\ & \led_flash_cnt[1917][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1917][3]~q\,
	datab => \led_flash_cnt[1917][2]~q\,
	datac => \led_flash_cnt[1917][4]~q\,
	datad => \led_flash_cnt[1917][1]~q\,
	combout => \WideAnd1917~0_combout\);

-- Location: LCCOMB_X13_Y25_N10
\led_flash_cnt[1917][5]~53726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1917][5]~53726_combout\ = (\led_flash_cnt[1917][5]~q\ & (\led_flash_cnt[1917][4]~53725\ $ (GND))) # (!\led_flash_cnt[1917][5]~q\ & (!\led_flash_cnt[1917][4]~53725\ & VCC))
-- \led_flash_cnt[1917][5]~53727\ = CARRY((\led_flash_cnt[1917][5]~q\ & !\led_flash_cnt[1917][4]~53725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1917][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1917][4]~53725\,
	combout => \led_flash_cnt[1917][5]~53726_combout\,
	cout => \led_flash_cnt[1917][5]~53727\);

-- Location: FF_X13_Y25_N11
\led_flash_cnt[1917][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1917][5]~53726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1917][5]~q\);

-- Location: LCCOMB_X13_Y25_N12
\led_flash_cnt[1917][6]~53728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1917][6]~53728_combout\ = (\led_flash_cnt[1917][6]~q\ & (!\led_flash_cnt[1917][5]~53727\)) # (!\led_flash_cnt[1917][6]~q\ & ((\led_flash_cnt[1917][5]~53727\) # (GND)))
-- \led_flash_cnt[1917][6]~53729\ = CARRY((!\led_flash_cnt[1917][5]~53727\) # (!\led_flash_cnt[1917][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1917][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1917][5]~53727\,
	combout => \led_flash_cnt[1917][6]~53728_combout\,
	cout => \led_flash_cnt[1917][6]~53729\);

-- Location: FF_X13_Y25_N13
\led_flash_cnt[1917][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1917][6]~53728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1917][6]~q\);

-- Location: LCCOMB_X13_Y25_N14
\led_flash_cnt[1917][7]~53730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1917][7]~53730_combout\ = \led_flash_cnt[1917][7]~q\ $ (!\led_flash_cnt[1917][6]~53729\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1917][7]~q\,
	cin => \led_flash_cnt[1917][6]~53729\,
	combout => \led_flash_cnt[1917][7]~53730_combout\);

-- Location: FF_X13_Y25_N15
\led_flash_cnt[1917][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1917][7]~53730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1917][7]~q\);

-- Location: LCCOMB_X12_Y25_N26
\WideAnd1917~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1917~1_combout\ = (\led_flash_cnt[1917][6]~q\ & \led_flash_cnt[1917][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1917][6]~q\,
	datac => \led_flash_cnt[1917][5]~q\,
	combout => \WideAnd1917~1_combout\);

-- Location: LCCOMB_X12_Y25_N0
WideAnd1917 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1917~combout\ = (\WideAnd1917~0_combout\ & (\led_flash_cnt[1917][0]~q\ & (\led_flash_cnt[1917][7]~q\ & \WideAnd1917~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1917~0_combout\,
	datab => \led_flash_cnt[1917][0]~q\,
	datac => \led_flash_cnt[1917][7]~q\,
	datad => \WideAnd1917~1_combout\,
	combout => \WideAnd1917~combout\);

-- Location: FF_X12_Y25_N1
\led_flash_cnt_ands[1917]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1917~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1917));

-- Location: LCCOMB_X12_Y25_N20
\WideAnd4079~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4079~1_combout\ = (led_flash_cnt_ands(1916) & led_flash_cnt_ands(1917))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1916),
	datad => led_flash_cnt_ands(1917),
	combout => \WideAnd4079~1_combout\);

-- Location: LCCOMB_X24_Y29_N26
\led_flash_cnt[1912][0]~82552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1912][0]~82552_combout\ = !\led_flash_cnt[1912][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1912][0]~q\,
	combout => \led_flash_cnt[1912][0]~82552_combout\);

-- Location: FF_X24_Y29_N27
\led_flash_cnt[1912][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1912][0]~82552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1912][0]~q\);

-- Location: LCCOMB_X24_Y29_N8
\led_flash_cnt[1912][1]~53648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1912][1]~53648_combout\ = (\led_flash_cnt[1912][0]~q\ & (\led_flash_cnt[1912][1]~q\ $ (VCC))) # (!\led_flash_cnt[1912][0]~q\ & (\led_flash_cnt[1912][1]~q\ & VCC))
-- \led_flash_cnt[1912][1]~53649\ = CARRY((\led_flash_cnt[1912][0]~q\ & \led_flash_cnt[1912][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1912][0]~q\,
	datab => \led_flash_cnt[1912][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1912][1]~53648_combout\,
	cout => \led_flash_cnt[1912][1]~53649\);

-- Location: FF_X24_Y29_N9
\led_flash_cnt[1912][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1912][1]~53648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1912][1]~q\);

-- Location: LCCOMB_X24_Y29_N10
\led_flash_cnt[1912][2]~53650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1912][2]~53650_combout\ = (\led_flash_cnt[1912][2]~q\ & (!\led_flash_cnt[1912][1]~53649\)) # (!\led_flash_cnt[1912][2]~q\ & ((\led_flash_cnt[1912][1]~53649\) # (GND)))
-- \led_flash_cnt[1912][2]~53651\ = CARRY((!\led_flash_cnt[1912][1]~53649\) # (!\led_flash_cnt[1912][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1912][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1912][1]~53649\,
	combout => \led_flash_cnt[1912][2]~53650_combout\,
	cout => \led_flash_cnt[1912][2]~53651\);

-- Location: FF_X24_Y29_N11
\led_flash_cnt[1912][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1912][2]~53650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1912][2]~q\);

-- Location: LCCOMB_X24_Y29_N12
\led_flash_cnt[1912][3]~53652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1912][3]~53652_combout\ = (\led_flash_cnt[1912][3]~q\ & (\led_flash_cnt[1912][2]~53651\ $ (GND))) # (!\led_flash_cnt[1912][3]~q\ & (!\led_flash_cnt[1912][2]~53651\ & VCC))
-- \led_flash_cnt[1912][3]~53653\ = CARRY((\led_flash_cnt[1912][3]~q\ & !\led_flash_cnt[1912][2]~53651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1912][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1912][2]~53651\,
	combout => \led_flash_cnt[1912][3]~53652_combout\,
	cout => \led_flash_cnt[1912][3]~53653\);

-- Location: FF_X24_Y29_N13
\led_flash_cnt[1912][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1912][3]~53652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1912][3]~q\);

-- Location: LCCOMB_X24_Y29_N14
\led_flash_cnt[1912][4]~53654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1912][4]~53654_combout\ = (\led_flash_cnt[1912][4]~q\ & (!\led_flash_cnt[1912][3]~53653\)) # (!\led_flash_cnt[1912][4]~q\ & ((\led_flash_cnt[1912][3]~53653\) # (GND)))
-- \led_flash_cnt[1912][4]~53655\ = CARRY((!\led_flash_cnt[1912][3]~53653\) # (!\led_flash_cnt[1912][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1912][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1912][3]~53653\,
	combout => \led_flash_cnt[1912][4]~53654_combout\,
	cout => \led_flash_cnt[1912][4]~53655\);

-- Location: FF_X24_Y29_N15
\led_flash_cnt[1912][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1912][4]~53654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1912][4]~q\);

-- Location: LCCOMB_X24_Y29_N16
\led_flash_cnt[1912][5]~53656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1912][5]~53656_combout\ = (\led_flash_cnt[1912][5]~q\ & (\led_flash_cnt[1912][4]~53655\ $ (GND))) # (!\led_flash_cnt[1912][5]~q\ & (!\led_flash_cnt[1912][4]~53655\ & VCC))
-- \led_flash_cnt[1912][5]~53657\ = CARRY((\led_flash_cnt[1912][5]~q\ & !\led_flash_cnt[1912][4]~53655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1912][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1912][4]~53655\,
	combout => \led_flash_cnt[1912][5]~53656_combout\,
	cout => \led_flash_cnt[1912][5]~53657\);

-- Location: FF_X24_Y29_N17
\led_flash_cnt[1912][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1912][5]~53656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1912][5]~q\);

-- Location: LCCOMB_X24_Y29_N18
\led_flash_cnt[1912][6]~53658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1912][6]~53658_combout\ = (\led_flash_cnt[1912][6]~q\ & (!\led_flash_cnt[1912][5]~53657\)) # (!\led_flash_cnt[1912][6]~q\ & ((\led_flash_cnt[1912][5]~53657\) # (GND)))
-- \led_flash_cnt[1912][6]~53659\ = CARRY((!\led_flash_cnt[1912][5]~53657\) # (!\led_flash_cnt[1912][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1912][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1912][5]~53657\,
	combout => \led_flash_cnt[1912][6]~53658_combout\,
	cout => \led_flash_cnt[1912][6]~53659\);

-- Location: FF_X24_Y29_N19
\led_flash_cnt[1912][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1912][6]~53658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1912][6]~q\);

-- Location: LCCOMB_X24_Y29_N30
\WideAnd1912~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1912~1_combout\ = (\led_flash_cnt[1912][6]~q\ & \led_flash_cnt[1912][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1912][6]~q\,
	datad => \led_flash_cnt[1912][5]~q\,
	combout => \WideAnd1912~1_combout\);

-- Location: LCCOMB_X24_Y29_N20
\led_flash_cnt[1912][7]~53660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1912][7]~53660_combout\ = \led_flash_cnt[1912][6]~53659\ $ (!\led_flash_cnt[1912][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1912][7]~q\,
	cin => \led_flash_cnt[1912][6]~53659\,
	combout => \led_flash_cnt[1912][7]~53660_combout\);

-- Location: FF_X24_Y29_N21
\led_flash_cnt[1912][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1912][7]~53660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1912][7]~q\);

-- Location: LCCOMB_X24_Y29_N2
\WideAnd1912~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1912~0_combout\ = (\led_flash_cnt[1912][3]~q\ & (\led_flash_cnt[1912][1]~q\ & (\led_flash_cnt[1912][4]~q\ & \led_flash_cnt[1912][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1912][3]~q\,
	datab => \led_flash_cnt[1912][1]~q\,
	datac => \led_flash_cnt[1912][4]~q\,
	datad => \led_flash_cnt[1912][2]~q\,
	combout => \WideAnd1912~0_combout\);

-- Location: LCCOMB_X24_Y29_N28
WideAnd1912 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1912~combout\ = (\WideAnd1912~1_combout\ & (\led_flash_cnt[1912][7]~q\ & (\led_flash_cnt[1912][0]~q\ & \WideAnd1912~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1912~1_combout\,
	datab => \led_flash_cnt[1912][7]~q\,
	datac => \led_flash_cnt[1912][0]~q\,
	datad => \WideAnd1912~0_combout\,
	combout => \WideAnd1912~combout\);

-- Location: FF_X24_Y29_N29
\led_flash_cnt_ands[1912]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1912~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1912));

-- Location: LCCOMB_X13_Y26_N22
\led_flash_cnt[1913][0]~82553\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1913][0]~82553_combout\ = !\led_flash_cnt[1913][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1913][0]~q\,
	combout => \led_flash_cnt[1913][0]~82553_combout\);

-- Location: FF_X13_Y26_N23
\led_flash_cnt[1913][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1913][0]~82553_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1913][0]~q\);

-- Location: LCCOMB_X13_Y26_N4
\led_flash_cnt[1913][1]~53662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1913][1]~53662_combout\ = (\led_flash_cnt[1913][0]~q\ & (\led_flash_cnt[1913][1]~q\ $ (VCC))) # (!\led_flash_cnt[1913][0]~q\ & (\led_flash_cnt[1913][1]~q\ & VCC))
-- \led_flash_cnt[1913][1]~53663\ = CARRY((\led_flash_cnt[1913][0]~q\ & \led_flash_cnt[1913][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1913][0]~q\,
	datab => \led_flash_cnt[1913][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1913][1]~53662_combout\,
	cout => \led_flash_cnt[1913][1]~53663\);

-- Location: FF_X13_Y26_N5
\led_flash_cnt[1913][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1913][1]~53662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1913][1]~q\);

-- Location: LCCOMB_X13_Y26_N6
\led_flash_cnt[1913][2]~53664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1913][2]~53664_combout\ = (\led_flash_cnt[1913][2]~q\ & (!\led_flash_cnt[1913][1]~53663\)) # (!\led_flash_cnt[1913][2]~q\ & ((\led_flash_cnt[1913][1]~53663\) # (GND)))
-- \led_flash_cnt[1913][2]~53665\ = CARRY((!\led_flash_cnt[1913][1]~53663\) # (!\led_flash_cnt[1913][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1913][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1913][1]~53663\,
	combout => \led_flash_cnt[1913][2]~53664_combout\,
	cout => \led_flash_cnt[1913][2]~53665\);

-- Location: FF_X13_Y26_N7
\led_flash_cnt[1913][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1913][2]~53664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1913][2]~q\);

-- Location: LCCOMB_X13_Y26_N8
\led_flash_cnt[1913][3]~53666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1913][3]~53666_combout\ = (\led_flash_cnt[1913][3]~q\ & (\led_flash_cnt[1913][2]~53665\ $ (GND))) # (!\led_flash_cnt[1913][3]~q\ & (!\led_flash_cnt[1913][2]~53665\ & VCC))
-- \led_flash_cnt[1913][3]~53667\ = CARRY((\led_flash_cnt[1913][3]~q\ & !\led_flash_cnt[1913][2]~53665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1913][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1913][2]~53665\,
	combout => \led_flash_cnt[1913][3]~53666_combout\,
	cout => \led_flash_cnt[1913][3]~53667\);

-- Location: FF_X13_Y26_N9
\led_flash_cnt[1913][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1913][3]~53666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1913][3]~q\);

-- Location: LCCOMB_X13_Y26_N10
\led_flash_cnt[1913][4]~53668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1913][4]~53668_combout\ = (\led_flash_cnt[1913][4]~q\ & (!\led_flash_cnt[1913][3]~53667\)) # (!\led_flash_cnt[1913][4]~q\ & ((\led_flash_cnt[1913][3]~53667\) # (GND)))
-- \led_flash_cnt[1913][4]~53669\ = CARRY((!\led_flash_cnt[1913][3]~53667\) # (!\led_flash_cnt[1913][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1913][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1913][3]~53667\,
	combout => \led_flash_cnt[1913][4]~53668_combout\,
	cout => \led_flash_cnt[1913][4]~53669\);

-- Location: FF_X13_Y26_N11
\led_flash_cnt[1913][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1913][4]~53668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1913][4]~q\);

-- Location: LCCOMB_X13_Y26_N26
\WideAnd1913~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1913~0_combout\ = (\led_flash_cnt[1913][2]~q\ & (\led_flash_cnt[1913][3]~q\ & (\led_flash_cnt[1913][1]~q\ & \led_flash_cnt[1913][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1913][2]~q\,
	datab => \led_flash_cnt[1913][3]~q\,
	datac => \led_flash_cnt[1913][1]~q\,
	datad => \led_flash_cnt[1913][4]~q\,
	combout => \WideAnd1913~0_combout\);

-- Location: LCCOMB_X13_Y26_N12
\led_flash_cnt[1913][5]~53670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1913][5]~53670_combout\ = (\led_flash_cnt[1913][5]~q\ & (\led_flash_cnt[1913][4]~53669\ $ (GND))) # (!\led_flash_cnt[1913][5]~q\ & (!\led_flash_cnt[1913][4]~53669\ & VCC))
-- \led_flash_cnt[1913][5]~53671\ = CARRY((\led_flash_cnt[1913][5]~q\ & !\led_flash_cnt[1913][4]~53669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1913][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1913][4]~53669\,
	combout => \led_flash_cnt[1913][5]~53670_combout\,
	cout => \led_flash_cnt[1913][5]~53671\);

-- Location: FF_X13_Y26_N13
\led_flash_cnt[1913][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1913][5]~53670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1913][5]~q\);

-- Location: LCCOMB_X13_Y26_N14
\led_flash_cnt[1913][6]~53672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1913][6]~53672_combout\ = (\led_flash_cnt[1913][6]~q\ & (!\led_flash_cnt[1913][5]~53671\)) # (!\led_flash_cnt[1913][6]~q\ & ((\led_flash_cnt[1913][5]~53671\) # (GND)))
-- \led_flash_cnt[1913][6]~53673\ = CARRY((!\led_flash_cnt[1913][5]~53671\) # (!\led_flash_cnt[1913][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1913][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1913][5]~53671\,
	combout => \led_flash_cnt[1913][6]~53672_combout\,
	cout => \led_flash_cnt[1913][6]~53673\);

-- Location: FF_X13_Y26_N15
\led_flash_cnt[1913][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1913][6]~53672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1913][6]~q\);

-- Location: LCCOMB_X13_Y26_N24
\WideAnd1913~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1913~1_combout\ = (\led_flash_cnt[1913][6]~q\ & \led_flash_cnt[1913][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1913][6]~q\,
	datad => \led_flash_cnt[1913][5]~q\,
	combout => \WideAnd1913~1_combout\);

-- Location: LCCOMB_X13_Y26_N16
\led_flash_cnt[1913][7]~53674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1913][7]~53674_combout\ = \led_flash_cnt[1913][6]~53673\ $ (!\led_flash_cnt[1913][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1913][7]~q\,
	cin => \led_flash_cnt[1913][6]~53673\,
	combout => \led_flash_cnt[1913][7]~53674_combout\);

-- Location: FF_X13_Y26_N17
\led_flash_cnt[1913][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1913][7]~53674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1913][7]~q\);

-- Location: LCCOMB_X13_Y26_N28
WideAnd1913 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1913~combout\ = (\WideAnd1913~0_combout\ & (\WideAnd1913~1_combout\ & (\led_flash_cnt[1913][0]~q\ & \led_flash_cnt[1913][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1913~0_combout\,
	datab => \WideAnd1913~1_combout\,
	datac => \led_flash_cnt[1913][0]~q\,
	datad => \led_flash_cnt[1913][7]~q\,
	combout => \WideAnd1913~combout\);

-- Location: FF_X13_Y26_N29
\led_flash_cnt_ands[1913]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1913~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1913));

-- Location: LCCOMB_X41_Y18_N12
\led_flash_cnt[1914][0]~82554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1914][0]~82554_combout\ = !\led_flash_cnt[1914][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1914][0]~q\,
	combout => \led_flash_cnt[1914][0]~82554_combout\);

-- Location: FF_X41_Y18_N13
\led_flash_cnt[1914][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1914][0]~82554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1914][0]~q\);

-- Location: LCCOMB_X41_Y18_N18
\led_flash_cnt[1914][1]~53676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1914][1]~53676_combout\ = (\led_flash_cnt[1914][0]~q\ & (\led_flash_cnt[1914][1]~q\ $ (VCC))) # (!\led_flash_cnt[1914][0]~q\ & (\led_flash_cnt[1914][1]~q\ & VCC))
-- \led_flash_cnt[1914][1]~53677\ = CARRY((\led_flash_cnt[1914][0]~q\ & \led_flash_cnt[1914][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1914][0]~q\,
	datab => \led_flash_cnt[1914][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1914][1]~53676_combout\,
	cout => \led_flash_cnt[1914][1]~53677\);

-- Location: FF_X41_Y18_N19
\led_flash_cnt[1914][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1914][1]~53676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1914][1]~q\);

-- Location: LCCOMB_X41_Y18_N20
\led_flash_cnt[1914][2]~53678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1914][2]~53678_combout\ = (\led_flash_cnt[1914][2]~q\ & (!\led_flash_cnt[1914][1]~53677\)) # (!\led_flash_cnt[1914][2]~q\ & ((\led_flash_cnt[1914][1]~53677\) # (GND)))
-- \led_flash_cnt[1914][2]~53679\ = CARRY((!\led_flash_cnt[1914][1]~53677\) # (!\led_flash_cnt[1914][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1914][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1914][1]~53677\,
	combout => \led_flash_cnt[1914][2]~53678_combout\,
	cout => \led_flash_cnt[1914][2]~53679\);

-- Location: FF_X41_Y18_N21
\led_flash_cnt[1914][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1914][2]~53678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1914][2]~q\);

-- Location: LCCOMB_X41_Y18_N22
\led_flash_cnt[1914][3]~53680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1914][3]~53680_combout\ = (\led_flash_cnt[1914][3]~q\ & (\led_flash_cnt[1914][2]~53679\ $ (GND))) # (!\led_flash_cnt[1914][3]~q\ & (!\led_flash_cnt[1914][2]~53679\ & VCC))
-- \led_flash_cnt[1914][3]~53681\ = CARRY((\led_flash_cnt[1914][3]~q\ & !\led_flash_cnt[1914][2]~53679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1914][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1914][2]~53679\,
	combout => \led_flash_cnt[1914][3]~53680_combout\,
	cout => \led_flash_cnt[1914][3]~53681\);

-- Location: FF_X41_Y18_N23
\led_flash_cnt[1914][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1914][3]~53680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1914][3]~q\);

-- Location: LCCOMB_X41_Y18_N24
\led_flash_cnt[1914][4]~53682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1914][4]~53682_combout\ = (\led_flash_cnt[1914][4]~q\ & (!\led_flash_cnt[1914][3]~53681\)) # (!\led_flash_cnt[1914][4]~q\ & ((\led_flash_cnt[1914][3]~53681\) # (GND)))
-- \led_flash_cnt[1914][4]~53683\ = CARRY((!\led_flash_cnt[1914][3]~53681\) # (!\led_flash_cnt[1914][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1914][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1914][3]~53681\,
	combout => \led_flash_cnt[1914][4]~53682_combout\,
	cout => \led_flash_cnt[1914][4]~53683\);

-- Location: FF_X41_Y18_N25
\led_flash_cnt[1914][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1914][4]~53682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1914][4]~q\);

-- Location: LCCOMB_X41_Y18_N26
\led_flash_cnt[1914][5]~53684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1914][5]~53684_combout\ = (\led_flash_cnt[1914][5]~q\ & (\led_flash_cnt[1914][4]~53683\ $ (GND))) # (!\led_flash_cnt[1914][5]~q\ & (!\led_flash_cnt[1914][4]~53683\ & VCC))
-- \led_flash_cnt[1914][5]~53685\ = CARRY((\led_flash_cnt[1914][5]~q\ & !\led_flash_cnt[1914][4]~53683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1914][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1914][4]~53683\,
	combout => \led_flash_cnt[1914][5]~53684_combout\,
	cout => \led_flash_cnt[1914][5]~53685\);

-- Location: FF_X41_Y18_N27
\led_flash_cnt[1914][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1914][5]~53684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1914][5]~q\);

-- Location: LCCOMB_X41_Y18_N28
\led_flash_cnt[1914][6]~53686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1914][6]~53686_combout\ = (\led_flash_cnt[1914][6]~q\ & (!\led_flash_cnt[1914][5]~53685\)) # (!\led_flash_cnt[1914][6]~q\ & ((\led_flash_cnt[1914][5]~53685\) # (GND)))
-- \led_flash_cnt[1914][6]~53687\ = CARRY((!\led_flash_cnt[1914][5]~53685\) # (!\led_flash_cnt[1914][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1914][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1914][5]~53685\,
	combout => \led_flash_cnt[1914][6]~53686_combout\,
	cout => \led_flash_cnt[1914][6]~53687\);

-- Location: FF_X41_Y18_N29
\led_flash_cnt[1914][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1914][6]~53686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1914][6]~q\);

-- Location: LCCOMB_X41_Y18_N2
\WideAnd1914~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1914~1_combout\ = (\led_flash_cnt[1914][5]~q\ & \led_flash_cnt[1914][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1914][5]~q\,
	datad => \led_flash_cnt[1914][6]~q\,
	combout => \WideAnd1914~1_combout\);

-- Location: LCCOMB_X41_Y18_N30
\led_flash_cnt[1914][7]~53688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1914][7]~53688_combout\ = \led_flash_cnt[1914][7]~q\ $ (!\led_flash_cnt[1914][6]~53687\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1914][7]~q\,
	cin => \led_flash_cnt[1914][6]~53687\,
	combout => \led_flash_cnt[1914][7]~53688_combout\);

-- Location: FF_X41_Y18_N31
\led_flash_cnt[1914][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1914][7]~53688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1914][7]~q\);

-- Location: LCCOMB_X41_Y18_N0
\WideAnd1914~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1914~0_combout\ = (\led_flash_cnt[1914][2]~q\ & (\led_flash_cnt[1914][4]~q\ & (\led_flash_cnt[1914][3]~q\ & \led_flash_cnt[1914][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1914][2]~q\,
	datab => \led_flash_cnt[1914][4]~q\,
	datac => \led_flash_cnt[1914][3]~q\,
	datad => \led_flash_cnt[1914][1]~q\,
	combout => \WideAnd1914~0_combout\);

-- Location: LCCOMB_X41_Y18_N4
WideAnd1914 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1914~combout\ = (\led_flash_cnt[1914][0]~q\ & (\WideAnd1914~1_combout\ & (\led_flash_cnt[1914][7]~q\ & \WideAnd1914~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1914][0]~q\,
	datab => \WideAnd1914~1_combout\,
	datac => \led_flash_cnt[1914][7]~q\,
	datad => \WideAnd1914~0_combout\,
	combout => \WideAnd1914~combout\);

-- Location: FF_X41_Y18_N5
\led_flash_cnt_ands[1914]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1914~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1914));

-- Location: LCCOMB_X13_Y26_N2
\led_flash_cnt[1915][0]~82555\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1915][0]~82555_combout\ = !\led_flash_cnt[1915][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1915][0]~q\,
	combout => \led_flash_cnt[1915][0]~82555_combout\);

-- Location: FF_X13_Y26_N3
\led_flash_cnt[1915][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1915][0]~82555_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1915][0]~q\);

-- Location: LCCOMB_X12_Y26_N18
\led_flash_cnt[1915][1]~53690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1915][1]~53690_combout\ = (\led_flash_cnt[1915][0]~q\ & (\led_flash_cnt[1915][1]~q\ $ (VCC))) # (!\led_flash_cnt[1915][0]~q\ & (\led_flash_cnt[1915][1]~q\ & VCC))
-- \led_flash_cnt[1915][1]~53691\ = CARRY((\led_flash_cnt[1915][0]~q\ & \led_flash_cnt[1915][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1915][0]~q\,
	datab => \led_flash_cnt[1915][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1915][1]~53690_combout\,
	cout => \led_flash_cnt[1915][1]~53691\);

-- Location: FF_X12_Y26_N19
\led_flash_cnt[1915][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1915][1]~53690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1915][1]~q\);

-- Location: LCCOMB_X12_Y26_N20
\led_flash_cnt[1915][2]~53692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1915][2]~53692_combout\ = (\led_flash_cnt[1915][2]~q\ & (!\led_flash_cnt[1915][1]~53691\)) # (!\led_flash_cnt[1915][2]~q\ & ((\led_flash_cnt[1915][1]~53691\) # (GND)))
-- \led_flash_cnt[1915][2]~53693\ = CARRY((!\led_flash_cnt[1915][1]~53691\) # (!\led_flash_cnt[1915][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1915][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1915][1]~53691\,
	combout => \led_flash_cnt[1915][2]~53692_combout\,
	cout => \led_flash_cnt[1915][2]~53693\);

-- Location: FF_X12_Y26_N21
\led_flash_cnt[1915][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1915][2]~53692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1915][2]~q\);

-- Location: LCCOMB_X12_Y26_N22
\led_flash_cnt[1915][3]~53694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1915][3]~53694_combout\ = (\led_flash_cnt[1915][3]~q\ & (\led_flash_cnt[1915][2]~53693\ $ (GND))) # (!\led_flash_cnt[1915][3]~q\ & (!\led_flash_cnt[1915][2]~53693\ & VCC))
-- \led_flash_cnt[1915][3]~53695\ = CARRY((\led_flash_cnt[1915][3]~q\ & !\led_flash_cnt[1915][2]~53693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1915][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1915][2]~53693\,
	combout => \led_flash_cnt[1915][3]~53694_combout\,
	cout => \led_flash_cnt[1915][3]~53695\);

-- Location: FF_X12_Y26_N23
\led_flash_cnt[1915][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1915][3]~53694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1915][3]~q\);

-- Location: LCCOMB_X12_Y26_N24
\led_flash_cnt[1915][4]~53696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1915][4]~53696_combout\ = (\led_flash_cnt[1915][4]~q\ & (!\led_flash_cnt[1915][3]~53695\)) # (!\led_flash_cnt[1915][4]~q\ & ((\led_flash_cnt[1915][3]~53695\) # (GND)))
-- \led_flash_cnt[1915][4]~53697\ = CARRY((!\led_flash_cnt[1915][3]~53695\) # (!\led_flash_cnt[1915][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1915][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1915][3]~53695\,
	combout => \led_flash_cnt[1915][4]~53696_combout\,
	cout => \led_flash_cnt[1915][4]~53697\);

-- Location: FF_X12_Y26_N25
\led_flash_cnt[1915][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1915][4]~53696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1915][4]~q\);

-- Location: LCCOMB_X12_Y26_N26
\led_flash_cnt[1915][5]~53698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1915][5]~53698_combout\ = (\led_flash_cnt[1915][5]~q\ & (\led_flash_cnt[1915][4]~53697\ $ (GND))) # (!\led_flash_cnt[1915][5]~q\ & (!\led_flash_cnt[1915][4]~53697\ & VCC))
-- \led_flash_cnt[1915][5]~53699\ = CARRY((\led_flash_cnt[1915][5]~q\ & !\led_flash_cnt[1915][4]~53697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1915][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1915][4]~53697\,
	combout => \led_flash_cnt[1915][5]~53698_combout\,
	cout => \led_flash_cnt[1915][5]~53699\);

-- Location: FF_X12_Y26_N27
\led_flash_cnt[1915][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1915][5]~53698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1915][5]~q\);

-- Location: LCCOMB_X12_Y26_N28
\led_flash_cnt[1915][6]~53700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1915][6]~53700_combout\ = (\led_flash_cnt[1915][6]~q\ & (!\led_flash_cnt[1915][5]~53699\)) # (!\led_flash_cnt[1915][6]~q\ & ((\led_flash_cnt[1915][5]~53699\) # (GND)))
-- \led_flash_cnt[1915][6]~53701\ = CARRY((!\led_flash_cnt[1915][5]~53699\) # (!\led_flash_cnt[1915][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1915][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1915][5]~53699\,
	combout => \led_flash_cnt[1915][6]~53700_combout\,
	cout => \led_flash_cnt[1915][6]~53701\);

-- Location: FF_X12_Y26_N29
\led_flash_cnt[1915][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1915][6]~53700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1915][6]~q\);

-- Location: LCCOMB_X12_Y26_N30
\led_flash_cnt[1915][7]~53702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1915][7]~53702_combout\ = \led_flash_cnt[1915][7]~q\ $ (!\led_flash_cnt[1915][6]~53701\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1915][7]~q\,
	cin => \led_flash_cnt[1915][6]~53701\,
	combout => \led_flash_cnt[1915][7]~53702_combout\);

-- Location: FF_X12_Y26_N31
\led_flash_cnt[1915][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1915][7]~53702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1915][7]~q\);

-- Location: LCCOMB_X12_Y26_N16
\WideAnd1915~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1915~0_combout\ = (\led_flash_cnt[1915][5]~q\ & (\led_flash_cnt[1915][6]~q\ & (\led_flash_cnt[1915][3]~q\ & \led_flash_cnt[1915][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1915][5]~q\,
	datab => \led_flash_cnt[1915][6]~q\,
	datac => \led_flash_cnt[1915][3]~q\,
	datad => \led_flash_cnt[1915][4]~q\,
	combout => \WideAnd1915~0_combout\);

-- Location: LCCOMB_X13_Y26_N20
\WideAnd1915~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1915~1_combout\ = (\led_flash_cnt[1915][2]~q\ & \led_flash_cnt[1915][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1915][2]~q\,
	datad => \led_flash_cnt[1915][0]~q\,
	combout => \WideAnd1915~1_combout\);

-- Location: LCCOMB_X13_Y26_N18
WideAnd1915 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1915~combout\ = (\led_flash_cnt[1915][1]~q\ & (\led_flash_cnt[1915][7]~q\ & (\WideAnd1915~0_combout\ & \WideAnd1915~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1915][1]~q\,
	datab => \led_flash_cnt[1915][7]~q\,
	datac => \WideAnd1915~0_combout\,
	datad => \WideAnd1915~1_combout\,
	combout => \WideAnd1915~combout\);

-- Location: FF_X13_Y26_N19
\led_flash_cnt_ands[1915]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1915~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1915));

-- Location: LCCOMB_X13_Y26_N30
\WideAnd4079~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4079~0_combout\ = (led_flash_cnt_ands(1912) & (led_flash_cnt_ands(1913) & (led_flash_cnt_ands(1914) & led_flash_cnt_ands(1915))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1912),
	datab => led_flash_cnt_ands(1913),
	datac => led_flash_cnt_ands(1914),
	datad => led_flash_cnt_ands(1915),
	combout => \WideAnd4079~0_combout\);

-- Location: LCCOMB_X12_Y25_N4
\led_flash_cnt[1918][0]~82558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1918][0]~82558_combout\ = !\led_flash_cnt[1918][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1918][0]~q\,
	combout => \led_flash_cnt[1918][0]~82558_combout\);

-- Location: FF_X12_Y25_N5
\led_flash_cnt[1918][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1918][0]~82558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1918][0]~q\);

-- Location: LCCOMB_X12_Y25_N6
\led_flash_cnt[1918][1]~53732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1918][1]~53732_combout\ = (\led_flash_cnt[1918][1]~q\ & (\led_flash_cnt[1918][0]~q\ $ (VCC))) # (!\led_flash_cnt[1918][1]~q\ & (\led_flash_cnt[1918][0]~q\ & VCC))
-- \led_flash_cnt[1918][1]~53733\ = CARRY((\led_flash_cnt[1918][1]~q\ & \led_flash_cnt[1918][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1918][1]~q\,
	datab => \led_flash_cnt[1918][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1918][1]~53732_combout\,
	cout => \led_flash_cnt[1918][1]~53733\);

-- Location: FF_X12_Y25_N7
\led_flash_cnt[1918][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1918][1]~53732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1918][1]~q\);

-- Location: LCCOMB_X12_Y25_N8
\led_flash_cnt[1918][2]~53734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1918][2]~53734_combout\ = (\led_flash_cnt[1918][2]~q\ & (!\led_flash_cnt[1918][1]~53733\)) # (!\led_flash_cnt[1918][2]~q\ & ((\led_flash_cnt[1918][1]~53733\) # (GND)))
-- \led_flash_cnt[1918][2]~53735\ = CARRY((!\led_flash_cnt[1918][1]~53733\) # (!\led_flash_cnt[1918][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1918][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1918][1]~53733\,
	combout => \led_flash_cnt[1918][2]~53734_combout\,
	cout => \led_flash_cnt[1918][2]~53735\);

-- Location: FF_X12_Y25_N9
\led_flash_cnt[1918][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1918][2]~53734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1918][2]~q\);

-- Location: LCCOMB_X12_Y25_N10
\led_flash_cnt[1918][3]~53736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1918][3]~53736_combout\ = (\led_flash_cnt[1918][3]~q\ & (\led_flash_cnt[1918][2]~53735\ $ (GND))) # (!\led_flash_cnt[1918][3]~q\ & (!\led_flash_cnt[1918][2]~53735\ & VCC))
-- \led_flash_cnt[1918][3]~53737\ = CARRY((\led_flash_cnt[1918][3]~q\ & !\led_flash_cnt[1918][2]~53735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1918][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1918][2]~53735\,
	combout => \led_flash_cnt[1918][3]~53736_combout\,
	cout => \led_flash_cnt[1918][3]~53737\);

-- Location: FF_X12_Y25_N11
\led_flash_cnt[1918][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1918][3]~53736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1918][3]~q\);

-- Location: LCCOMB_X12_Y25_N12
\led_flash_cnt[1918][4]~53738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1918][4]~53738_combout\ = (\led_flash_cnt[1918][4]~q\ & (!\led_flash_cnt[1918][3]~53737\)) # (!\led_flash_cnt[1918][4]~q\ & ((\led_flash_cnt[1918][3]~53737\) # (GND)))
-- \led_flash_cnt[1918][4]~53739\ = CARRY((!\led_flash_cnt[1918][3]~53737\) # (!\led_flash_cnt[1918][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1918][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1918][3]~53737\,
	combout => \led_flash_cnt[1918][4]~53738_combout\,
	cout => \led_flash_cnt[1918][4]~53739\);

-- Location: FF_X12_Y25_N13
\led_flash_cnt[1918][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1918][4]~53738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1918][4]~q\);

-- Location: LCCOMB_X12_Y25_N30
\WideAnd1918~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1918~0_combout\ = (\led_flash_cnt[1918][3]~q\ & (\led_flash_cnt[1918][1]~q\ & (\led_flash_cnt[1918][2]~q\ & \led_flash_cnt[1918][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1918][3]~q\,
	datab => \led_flash_cnt[1918][1]~q\,
	datac => \led_flash_cnt[1918][2]~q\,
	datad => \led_flash_cnt[1918][4]~q\,
	combout => \WideAnd1918~0_combout\);

-- Location: LCCOMB_X12_Y25_N14
\led_flash_cnt[1918][5]~53740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1918][5]~53740_combout\ = (\led_flash_cnt[1918][5]~q\ & (\led_flash_cnt[1918][4]~53739\ $ (GND))) # (!\led_flash_cnt[1918][5]~q\ & (!\led_flash_cnt[1918][4]~53739\ & VCC))
-- \led_flash_cnt[1918][5]~53741\ = CARRY((\led_flash_cnt[1918][5]~q\ & !\led_flash_cnt[1918][4]~53739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1918][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1918][4]~53739\,
	combout => \led_flash_cnt[1918][5]~53740_combout\,
	cout => \led_flash_cnt[1918][5]~53741\);

-- Location: FF_X12_Y25_N15
\led_flash_cnt[1918][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1918][5]~53740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1918][5]~q\);

-- Location: LCCOMB_X12_Y25_N16
\led_flash_cnt[1918][6]~53742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1918][6]~53742_combout\ = (\led_flash_cnt[1918][6]~q\ & (!\led_flash_cnt[1918][5]~53741\)) # (!\led_flash_cnt[1918][6]~q\ & ((\led_flash_cnt[1918][5]~53741\) # (GND)))
-- \led_flash_cnt[1918][6]~53743\ = CARRY((!\led_flash_cnt[1918][5]~53741\) # (!\led_flash_cnt[1918][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1918][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1918][5]~53741\,
	combout => \led_flash_cnt[1918][6]~53742_combout\,
	cout => \led_flash_cnt[1918][6]~53743\);

-- Location: FF_X12_Y25_N17
\led_flash_cnt[1918][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1918][6]~53742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1918][6]~q\);

-- Location: LCCOMB_X12_Y25_N2
\WideAnd1918~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1918~1_combout\ = (\led_flash_cnt[1918][5]~q\ & \led_flash_cnt[1918][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1918][5]~q\,
	datad => \led_flash_cnt[1918][6]~q\,
	combout => \WideAnd1918~1_combout\);

-- Location: LCCOMB_X12_Y25_N18
\led_flash_cnt[1918][7]~53744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1918][7]~53744_combout\ = \led_flash_cnt[1918][6]~53743\ $ (!\led_flash_cnt[1918][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1918][7]~q\,
	cin => \led_flash_cnt[1918][6]~53743\,
	combout => \led_flash_cnt[1918][7]~53744_combout\);

-- Location: FF_X12_Y25_N19
\led_flash_cnt[1918][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1918][7]~53744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1918][7]~q\);

-- Location: LCCOMB_X12_Y25_N24
WideAnd1918 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1918~combout\ = (\WideAnd1918~0_combout\ & (\WideAnd1918~1_combout\ & (\led_flash_cnt[1918][0]~q\ & \led_flash_cnt[1918][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1918~0_combout\,
	datab => \WideAnd1918~1_combout\,
	datac => \led_flash_cnt[1918][0]~q\,
	datad => \led_flash_cnt[1918][7]~q\,
	combout => \WideAnd1918~combout\);

-- Location: FF_X12_Y25_N25
\led_flash_cnt_ands[1918]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1918~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1918));

-- Location: LCCOMB_X12_Y25_N22
WideAnd4079 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4079~combout\ = (led_flash_cnt_ands(1919) & (\WideAnd4079~1_combout\ & (\WideAnd4079~0_combout\ & led_flash_cnt_ands(1918))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1919),
	datab => \WideAnd4079~1_combout\,
	datac => \WideAnd4079~0_combout\,
	datad => led_flash_cnt_ands(1918),
	combout => \WideAnd4079~combout\);

-- Location: FF_X12_Y25_N23
\led_flash_cnt_ands_1[239]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4079~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(239));

-- Location: LCCOMB_X39_Y33_N0
\WideAnd4349~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4349~1_combout\ = (led_flash_cnt_ands_1(238) & led_flash_cnt_ands_1(239))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(238),
	datad => led_flash_cnt_ands_1(239),
	combout => \WideAnd4349~1_combout\);

-- Location: LCCOMB_X58_Y44_N14
\led_flash_cnt[1879][0]~82535\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1879][0]~82535_combout\ = !\led_flash_cnt[1879][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1879][0]~q\,
	combout => \led_flash_cnt[1879][0]~82535_combout\);

-- Location: FF_X58_Y44_N15
\led_flash_cnt[1879][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1879][0]~82535_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1879][0]~q\);

-- Location: LCCOMB_X59_Y44_N4
\led_flash_cnt[1879][1]~53410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1879][1]~53410_combout\ = (\led_flash_cnt[1879][0]~q\ & (\led_flash_cnt[1879][1]~q\ $ (VCC))) # (!\led_flash_cnt[1879][0]~q\ & (\led_flash_cnt[1879][1]~q\ & VCC))
-- \led_flash_cnt[1879][1]~53411\ = CARRY((\led_flash_cnt[1879][0]~q\ & \led_flash_cnt[1879][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1879][0]~q\,
	datab => \led_flash_cnt[1879][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1879][1]~53410_combout\,
	cout => \led_flash_cnt[1879][1]~53411\);

-- Location: FF_X59_Y44_N5
\led_flash_cnt[1879][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1879][1]~53410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1879][1]~q\);

-- Location: LCCOMB_X59_Y44_N6
\led_flash_cnt[1879][2]~53412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1879][2]~53412_combout\ = (\led_flash_cnt[1879][2]~q\ & (!\led_flash_cnt[1879][1]~53411\)) # (!\led_flash_cnt[1879][2]~q\ & ((\led_flash_cnt[1879][1]~53411\) # (GND)))
-- \led_flash_cnt[1879][2]~53413\ = CARRY((!\led_flash_cnt[1879][1]~53411\) # (!\led_flash_cnt[1879][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1879][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1879][1]~53411\,
	combout => \led_flash_cnt[1879][2]~53412_combout\,
	cout => \led_flash_cnt[1879][2]~53413\);

-- Location: FF_X59_Y44_N7
\led_flash_cnt[1879][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1879][2]~53412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1879][2]~q\);

-- Location: LCCOMB_X59_Y44_N8
\led_flash_cnt[1879][3]~53414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1879][3]~53414_combout\ = (\led_flash_cnt[1879][3]~q\ & (\led_flash_cnt[1879][2]~53413\ $ (GND))) # (!\led_flash_cnt[1879][3]~q\ & (!\led_flash_cnt[1879][2]~53413\ & VCC))
-- \led_flash_cnt[1879][3]~53415\ = CARRY((\led_flash_cnt[1879][3]~q\ & !\led_flash_cnt[1879][2]~53413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1879][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1879][2]~53413\,
	combout => \led_flash_cnt[1879][3]~53414_combout\,
	cout => \led_flash_cnt[1879][3]~53415\);

-- Location: FF_X59_Y44_N9
\led_flash_cnt[1879][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1879][3]~53414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1879][3]~q\);

-- Location: LCCOMB_X59_Y44_N10
\led_flash_cnt[1879][4]~53416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1879][4]~53416_combout\ = (\led_flash_cnt[1879][4]~q\ & (!\led_flash_cnt[1879][3]~53415\)) # (!\led_flash_cnt[1879][4]~q\ & ((\led_flash_cnt[1879][3]~53415\) # (GND)))
-- \led_flash_cnt[1879][4]~53417\ = CARRY((!\led_flash_cnt[1879][3]~53415\) # (!\led_flash_cnt[1879][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1879][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1879][3]~53415\,
	combout => \led_flash_cnt[1879][4]~53416_combout\,
	cout => \led_flash_cnt[1879][4]~53417\);

-- Location: FF_X59_Y44_N11
\led_flash_cnt[1879][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1879][4]~53416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1879][4]~q\);

-- Location: LCCOMB_X59_Y44_N2
\WideAnd1879~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1879~0_combout\ = (\led_flash_cnt[1879][4]~q\ & (\led_flash_cnt[1879][3]~q\ & (\led_flash_cnt[1879][1]~q\ & \led_flash_cnt[1879][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1879][4]~q\,
	datab => \led_flash_cnt[1879][3]~q\,
	datac => \led_flash_cnt[1879][1]~q\,
	datad => \led_flash_cnt[1879][2]~q\,
	combout => \WideAnd1879~0_combout\);

-- Location: LCCOMB_X59_Y44_N12
\led_flash_cnt[1879][5]~53418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1879][5]~53418_combout\ = (\led_flash_cnt[1879][5]~q\ & (\led_flash_cnt[1879][4]~53417\ $ (GND))) # (!\led_flash_cnt[1879][5]~q\ & (!\led_flash_cnt[1879][4]~53417\ & VCC))
-- \led_flash_cnt[1879][5]~53419\ = CARRY((\led_flash_cnt[1879][5]~q\ & !\led_flash_cnt[1879][4]~53417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1879][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1879][4]~53417\,
	combout => \led_flash_cnt[1879][5]~53418_combout\,
	cout => \led_flash_cnt[1879][5]~53419\);

-- Location: FF_X59_Y44_N13
\led_flash_cnt[1879][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1879][5]~53418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1879][5]~q\);

-- Location: LCCOMB_X59_Y44_N14
\led_flash_cnt[1879][6]~53420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1879][6]~53420_combout\ = (\led_flash_cnt[1879][6]~q\ & (!\led_flash_cnt[1879][5]~53419\)) # (!\led_flash_cnt[1879][6]~q\ & ((\led_flash_cnt[1879][5]~53419\) # (GND)))
-- \led_flash_cnt[1879][6]~53421\ = CARRY((!\led_flash_cnt[1879][5]~53419\) # (!\led_flash_cnt[1879][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1879][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1879][5]~53419\,
	combout => \led_flash_cnt[1879][6]~53420_combout\,
	cout => \led_flash_cnt[1879][6]~53421\);

-- Location: FF_X59_Y44_N15
\led_flash_cnt[1879][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1879][6]~53420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1879][6]~q\);

-- Location: LCCOMB_X59_Y44_N16
\led_flash_cnt[1879][7]~53422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1879][7]~53422_combout\ = \led_flash_cnt[1879][6]~53421\ $ (!\led_flash_cnt[1879][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1879][7]~q\,
	cin => \led_flash_cnt[1879][6]~53421\,
	combout => \led_flash_cnt[1879][7]~53422_combout\);

-- Location: FF_X59_Y44_N17
\led_flash_cnt[1879][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1879][7]~53422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1879][7]~q\);

-- Location: LCCOMB_X58_Y44_N2
\WideAnd1879~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1879~1_combout\ = (\led_flash_cnt[1879][5]~q\ & \led_flash_cnt[1879][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1879][5]~q\,
	datac => \led_flash_cnt[1879][6]~q\,
	combout => \WideAnd1879~1_combout\);

-- Location: LCCOMB_X58_Y44_N8
WideAnd1879 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1879~combout\ = (\WideAnd1879~0_combout\ & (\led_flash_cnt[1879][7]~q\ & (\led_flash_cnt[1879][0]~q\ & \WideAnd1879~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1879~0_combout\,
	datab => \led_flash_cnt[1879][7]~q\,
	datac => \led_flash_cnt[1879][0]~q\,
	datad => \WideAnd1879~1_combout\,
	combout => \WideAnd1879~combout\);

-- Location: FF_X58_Y44_N9
\led_flash_cnt_ands[1879]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1879~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1879));

-- Location: LCCOMB_X55_Y46_N24
\led_flash_cnt[1878][0]~82534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1878][0]~82534_combout\ = !\led_flash_cnt[1878][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1878][0]~q\,
	combout => \led_flash_cnt[1878][0]~82534_combout\);

-- Location: FF_X55_Y46_N25
\led_flash_cnt[1878][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1878][0]~82534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1878][0]~q\);

-- Location: LCCOMB_X55_Y46_N10
\led_flash_cnt[1878][1]~53396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1878][1]~53396_combout\ = (\led_flash_cnt[1878][1]~q\ & (\led_flash_cnt[1878][0]~q\ $ (VCC))) # (!\led_flash_cnt[1878][1]~q\ & (\led_flash_cnt[1878][0]~q\ & VCC))
-- \led_flash_cnt[1878][1]~53397\ = CARRY((\led_flash_cnt[1878][1]~q\ & \led_flash_cnt[1878][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1878][1]~q\,
	datab => \led_flash_cnt[1878][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1878][1]~53396_combout\,
	cout => \led_flash_cnt[1878][1]~53397\);

-- Location: FF_X55_Y46_N11
\led_flash_cnt[1878][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1878][1]~53396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1878][1]~q\);

-- Location: LCCOMB_X55_Y46_N12
\led_flash_cnt[1878][2]~53398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1878][2]~53398_combout\ = (\led_flash_cnt[1878][2]~q\ & (!\led_flash_cnt[1878][1]~53397\)) # (!\led_flash_cnt[1878][2]~q\ & ((\led_flash_cnt[1878][1]~53397\) # (GND)))
-- \led_flash_cnt[1878][2]~53399\ = CARRY((!\led_flash_cnt[1878][1]~53397\) # (!\led_flash_cnt[1878][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1878][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1878][1]~53397\,
	combout => \led_flash_cnt[1878][2]~53398_combout\,
	cout => \led_flash_cnt[1878][2]~53399\);

-- Location: FF_X55_Y46_N13
\led_flash_cnt[1878][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1878][2]~53398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1878][2]~q\);

-- Location: LCCOMB_X55_Y46_N14
\led_flash_cnt[1878][3]~53400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1878][3]~53400_combout\ = (\led_flash_cnt[1878][3]~q\ & (\led_flash_cnt[1878][2]~53399\ $ (GND))) # (!\led_flash_cnt[1878][3]~q\ & (!\led_flash_cnt[1878][2]~53399\ & VCC))
-- \led_flash_cnt[1878][3]~53401\ = CARRY((\led_flash_cnt[1878][3]~q\ & !\led_flash_cnt[1878][2]~53399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1878][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1878][2]~53399\,
	combout => \led_flash_cnt[1878][3]~53400_combout\,
	cout => \led_flash_cnt[1878][3]~53401\);

-- Location: FF_X55_Y46_N15
\led_flash_cnt[1878][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1878][3]~53400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1878][3]~q\);

-- Location: LCCOMB_X55_Y46_N16
\led_flash_cnt[1878][4]~53402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1878][4]~53402_combout\ = (\led_flash_cnt[1878][4]~q\ & (!\led_flash_cnt[1878][3]~53401\)) # (!\led_flash_cnt[1878][4]~q\ & ((\led_flash_cnt[1878][3]~53401\) # (GND)))
-- \led_flash_cnt[1878][4]~53403\ = CARRY((!\led_flash_cnt[1878][3]~53401\) # (!\led_flash_cnt[1878][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1878][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1878][3]~53401\,
	combout => \led_flash_cnt[1878][4]~53402_combout\,
	cout => \led_flash_cnt[1878][4]~53403\);

-- Location: FF_X55_Y46_N17
\led_flash_cnt[1878][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1878][4]~53402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1878][4]~q\);

-- Location: LCCOMB_X55_Y46_N18
\led_flash_cnt[1878][5]~53404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1878][5]~53404_combout\ = (\led_flash_cnt[1878][5]~q\ & (\led_flash_cnt[1878][4]~53403\ $ (GND))) # (!\led_flash_cnt[1878][5]~q\ & (!\led_flash_cnt[1878][4]~53403\ & VCC))
-- \led_flash_cnt[1878][5]~53405\ = CARRY((\led_flash_cnt[1878][5]~q\ & !\led_flash_cnt[1878][4]~53403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1878][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1878][4]~53403\,
	combout => \led_flash_cnt[1878][5]~53404_combout\,
	cout => \led_flash_cnt[1878][5]~53405\);

-- Location: FF_X55_Y46_N19
\led_flash_cnt[1878][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1878][5]~53404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1878][5]~q\);

-- Location: LCCOMB_X55_Y46_N20
\led_flash_cnt[1878][6]~53406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1878][6]~53406_combout\ = (\led_flash_cnt[1878][6]~q\ & (!\led_flash_cnt[1878][5]~53405\)) # (!\led_flash_cnt[1878][6]~q\ & ((\led_flash_cnt[1878][5]~53405\) # (GND)))
-- \led_flash_cnt[1878][6]~53407\ = CARRY((!\led_flash_cnt[1878][5]~53405\) # (!\led_flash_cnt[1878][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1878][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1878][5]~53405\,
	combout => \led_flash_cnt[1878][6]~53406_combout\,
	cout => \led_flash_cnt[1878][6]~53407\);

-- Location: FF_X55_Y46_N21
\led_flash_cnt[1878][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1878][6]~53406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1878][6]~q\);

-- Location: LCCOMB_X55_Y46_N26
\WideAnd1878~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1878~1_combout\ = (\led_flash_cnt[1878][6]~q\ & \led_flash_cnt[1878][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1878][6]~q\,
	datad => \led_flash_cnt[1878][5]~q\,
	combout => \WideAnd1878~1_combout\);

-- Location: LCCOMB_X55_Y46_N22
\led_flash_cnt[1878][7]~53408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1878][7]~53408_combout\ = \led_flash_cnt[1878][7]~q\ $ (!\led_flash_cnt[1878][6]~53407\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1878][7]~q\,
	cin => \led_flash_cnt[1878][6]~53407\,
	combout => \led_flash_cnt[1878][7]~53408_combout\);

-- Location: FF_X55_Y46_N23
\led_flash_cnt[1878][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1878][7]~53408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1878][7]~q\);

-- Location: LCCOMB_X55_Y46_N6
\WideAnd1878~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1878~0_combout\ = (\led_flash_cnt[1878][1]~q\ & (\led_flash_cnt[1878][4]~q\ & (\led_flash_cnt[1878][3]~q\ & \led_flash_cnt[1878][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1878][1]~q\,
	datab => \led_flash_cnt[1878][4]~q\,
	datac => \led_flash_cnt[1878][3]~q\,
	datad => \led_flash_cnt[1878][2]~q\,
	combout => \WideAnd1878~0_combout\);

-- Location: LCCOMB_X55_Y46_N28
WideAnd1878 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1878~combout\ = (\WideAnd1878~1_combout\ & (\led_flash_cnt[1878][0]~q\ & (\led_flash_cnt[1878][7]~q\ & \WideAnd1878~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1878~1_combout\,
	datab => \led_flash_cnt[1878][0]~q\,
	datac => \led_flash_cnt[1878][7]~q\,
	datad => \WideAnd1878~0_combout\,
	combout => \WideAnd1878~combout\);

-- Location: FF_X55_Y46_N29
\led_flash_cnt_ands[1878]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1878~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1878));

-- Location: LCCOMB_X50_Y46_N18
\led_flash_cnt[1872][0]~82528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1872][0]~82528_combout\ = !\led_flash_cnt[1872][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1872][0]~q\,
	combout => \led_flash_cnt[1872][0]~82528_combout\);

-- Location: FF_X50_Y46_N19
\led_flash_cnt[1872][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1872][0]~82528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1872][0]~q\);

-- Location: LCCOMB_X50_Y46_N0
\led_flash_cnt[1872][1]~53312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1872][1]~53312_combout\ = (\led_flash_cnt[1872][1]~q\ & (\led_flash_cnt[1872][0]~q\ $ (VCC))) # (!\led_flash_cnt[1872][1]~q\ & (\led_flash_cnt[1872][0]~q\ & VCC))
-- \led_flash_cnt[1872][1]~53313\ = CARRY((\led_flash_cnt[1872][1]~q\ & \led_flash_cnt[1872][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1872][1]~q\,
	datab => \led_flash_cnt[1872][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1872][1]~53312_combout\,
	cout => \led_flash_cnt[1872][1]~53313\);

-- Location: FF_X50_Y46_N1
\led_flash_cnt[1872][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1872][1]~53312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1872][1]~q\);

-- Location: LCCOMB_X50_Y46_N2
\led_flash_cnt[1872][2]~53314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1872][2]~53314_combout\ = (\led_flash_cnt[1872][2]~q\ & (!\led_flash_cnt[1872][1]~53313\)) # (!\led_flash_cnt[1872][2]~q\ & ((\led_flash_cnt[1872][1]~53313\) # (GND)))
-- \led_flash_cnt[1872][2]~53315\ = CARRY((!\led_flash_cnt[1872][1]~53313\) # (!\led_flash_cnt[1872][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1872][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1872][1]~53313\,
	combout => \led_flash_cnt[1872][2]~53314_combout\,
	cout => \led_flash_cnt[1872][2]~53315\);

-- Location: FF_X50_Y46_N3
\led_flash_cnt[1872][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1872][2]~53314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1872][2]~q\);

-- Location: LCCOMB_X50_Y46_N4
\led_flash_cnt[1872][3]~53316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1872][3]~53316_combout\ = (\led_flash_cnt[1872][3]~q\ & (\led_flash_cnt[1872][2]~53315\ $ (GND))) # (!\led_flash_cnt[1872][3]~q\ & (!\led_flash_cnt[1872][2]~53315\ & VCC))
-- \led_flash_cnt[1872][3]~53317\ = CARRY((\led_flash_cnt[1872][3]~q\ & !\led_flash_cnt[1872][2]~53315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1872][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1872][2]~53315\,
	combout => \led_flash_cnt[1872][3]~53316_combout\,
	cout => \led_flash_cnt[1872][3]~53317\);

-- Location: FF_X50_Y46_N5
\led_flash_cnt[1872][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1872][3]~53316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1872][3]~q\);

-- Location: LCCOMB_X50_Y46_N6
\led_flash_cnt[1872][4]~53318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1872][4]~53318_combout\ = (\led_flash_cnt[1872][4]~q\ & (!\led_flash_cnt[1872][3]~53317\)) # (!\led_flash_cnt[1872][4]~q\ & ((\led_flash_cnt[1872][3]~53317\) # (GND)))
-- \led_flash_cnt[1872][4]~53319\ = CARRY((!\led_flash_cnt[1872][3]~53317\) # (!\led_flash_cnt[1872][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1872][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1872][3]~53317\,
	combout => \led_flash_cnt[1872][4]~53318_combout\,
	cout => \led_flash_cnt[1872][4]~53319\);

-- Location: FF_X50_Y46_N7
\led_flash_cnt[1872][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1872][4]~53318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1872][4]~q\);

-- Location: LCCOMB_X50_Y46_N30
\WideAnd1872~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1872~0_combout\ = (\led_flash_cnt[1872][4]~q\ & (\led_flash_cnt[1872][1]~q\ & (\led_flash_cnt[1872][3]~q\ & \led_flash_cnt[1872][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1872][4]~q\,
	datab => \led_flash_cnt[1872][1]~q\,
	datac => \led_flash_cnt[1872][3]~q\,
	datad => \led_flash_cnt[1872][2]~q\,
	combout => \WideAnd1872~0_combout\);

-- Location: LCCOMB_X50_Y46_N8
\led_flash_cnt[1872][5]~53320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1872][5]~53320_combout\ = (\led_flash_cnt[1872][5]~q\ & (\led_flash_cnt[1872][4]~53319\ $ (GND))) # (!\led_flash_cnt[1872][5]~q\ & (!\led_flash_cnt[1872][4]~53319\ & VCC))
-- \led_flash_cnt[1872][5]~53321\ = CARRY((\led_flash_cnt[1872][5]~q\ & !\led_flash_cnt[1872][4]~53319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1872][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1872][4]~53319\,
	combout => \led_flash_cnt[1872][5]~53320_combout\,
	cout => \led_flash_cnt[1872][5]~53321\);

-- Location: FF_X50_Y46_N9
\led_flash_cnt[1872][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1872][5]~53320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1872][5]~q\);

-- Location: LCCOMB_X50_Y46_N10
\led_flash_cnt[1872][6]~53322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1872][6]~53322_combout\ = (\led_flash_cnt[1872][6]~q\ & (!\led_flash_cnt[1872][5]~53321\)) # (!\led_flash_cnt[1872][6]~q\ & ((\led_flash_cnt[1872][5]~53321\) # (GND)))
-- \led_flash_cnt[1872][6]~53323\ = CARRY((!\led_flash_cnt[1872][5]~53321\) # (!\led_flash_cnt[1872][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1872][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1872][5]~53321\,
	combout => \led_flash_cnt[1872][6]~53322_combout\,
	cout => \led_flash_cnt[1872][6]~53323\);

-- Location: FF_X50_Y46_N11
\led_flash_cnt[1872][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1872][6]~53322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1872][6]~q\);

-- Location: LCCOMB_X50_Y46_N26
\WideAnd1872~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1872~1_combout\ = (\led_flash_cnt[1872][5]~q\ & \led_flash_cnt[1872][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1872][5]~q\,
	datad => \led_flash_cnt[1872][6]~q\,
	combout => \WideAnd1872~1_combout\);

-- Location: LCCOMB_X50_Y46_N12
\led_flash_cnt[1872][7]~53324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1872][7]~53324_combout\ = \led_flash_cnt[1872][6]~53323\ $ (!\led_flash_cnt[1872][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1872][7]~q\,
	cin => \led_flash_cnt[1872][6]~53323\,
	combout => \led_flash_cnt[1872][7]~53324_combout\);

-- Location: FF_X50_Y46_N13
\led_flash_cnt[1872][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1872][7]~53324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1872][7]~q\);

-- Location: LCCOMB_X50_Y46_N14
WideAnd1872 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1872~combout\ = (\WideAnd1872~0_combout\ & (\led_flash_cnt[1872][0]~q\ & (\WideAnd1872~1_combout\ & \led_flash_cnt[1872][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1872~0_combout\,
	datab => \led_flash_cnt[1872][0]~q\,
	datac => \WideAnd1872~1_combout\,
	datad => \led_flash_cnt[1872][7]~q\,
	combout => \WideAnd1872~combout\);

-- Location: FF_X50_Y46_N15
\led_flash_cnt_ands[1872]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1872~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1872));

-- Location: LCCOMB_X50_Y46_N22
\led_flash_cnt[1873][0]~82529\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1873][0]~82529_combout\ = !\led_flash_cnt[1873][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1873][0]~q\,
	combout => \led_flash_cnt[1873][0]~82529_combout\);

-- Location: FF_X50_Y46_N23
\led_flash_cnt[1873][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1873][0]~82529_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1873][0]~q\);

-- Location: LCCOMB_X50_Y42_N4
\led_flash_cnt[1873][1]~53326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1873][1]~53326_combout\ = (\led_flash_cnt[1873][0]~q\ & (\led_flash_cnt[1873][1]~q\ $ (VCC))) # (!\led_flash_cnt[1873][0]~q\ & (\led_flash_cnt[1873][1]~q\ & VCC))
-- \led_flash_cnt[1873][1]~53327\ = CARRY((\led_flash_cnt[1873][0]~q\ & \led_flash_cnt[1873][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1873][0]~q\,
	datab => \led_flash_cnt[1873][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1873][1]~53326_combout\,
	cout => \led_flash_cnt[1873][1]~53327\);

-- Location: FF_X50_Y42_N5
\led_flash_cnt[1873][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1873][1]~53326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1873][1]~q\);

-- Location: LCCOMB_X50_Y42_N6
\led_flash_cnt[1873][2]~53328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1873][2]~53328_combout\ = (\led_flash_cnt[1873][2]~q\ & (!\led_flash_cnt[1873][1]~53327\)) # (!\led_flash_cnt[1873][2]~q\ & ((\led_flash_cnt[1873][1]~53327\) # (GND)))
-- \led_flash_cnt[1873][2]~53329\ = CARRY((!\led_flash_cnt[1873][1]~53327\) # (!\led_flash_cnt[1873][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1873][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1873][1]~53327\,
	combout => \led_flash_cnt[1873][2]~53328_combout\,
	cout => \led_flash_cnt[1873][2]~53329\);

-- Location: FF_X50_Y42_N7
\led_flash_cnt[1873][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1873][2]~53328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1873][2]~q\);

-- Location: LCCOMB_X50_Y42_N8
\led_flash_cnt[1873][3]~53330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1873][3]~53330_combout\ = (\led_flash_cnt[1873][3]~q\ & (\led_flash_cnt[1873][2]~53329\ $ (GND))) # (!\led_flash_cnt[1873][3]~q\ & (!\led_flash_cnt[1873][2]~53329\ & VCC))
-- \led_flash_cnt[1873][3]~53331\ = CARRY((\led_flash_cnt[1873][3]~q\ & !\led_flash_cnt[1873][2]~53329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1873][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1873][2]~53329\,
	combout => \led_flash_cnt[1873][3]~53330_combout\,
	cout => \led_flash_cnt[1873][3]~53331\);

-- Location: FF_X50_Y42_N9
\led_flash_cnt[1873][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1873][3]~53330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1873][3]~q\);

-- Location: LCCOMB_X50_Y42_N10
\led_flash_cnt[1873][4]~53332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1873][4]~53332_combout\ = (\led_flash_cnt[1873][4]~q\ & (!\led_flash_cnt[1873][3]~53331\)) # (!\led_flash_cnt[1873][4]~q\ & ((\led_flash_cnt[1873][3]~53331\) # (GND)))
-- \led_flash_cnt[1873][4]~53333\ = CARRY((!\led_flash_cnt[1873][3]~53331\) # (!\led_flash_cnt[1873][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1873][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1873][3]~53331\,
	combout => \led_flash_cnt[1873][4]~53332_combout\,
	cout => \led_flash_cnt[1873][4]~53333\);

-- Location: FF_X50_Y42_N11
\led_flash_cnt[1873][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1873][4]~53332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1873][4]~q\);

-- Location: LCCOMB_X50_Y42_N12
\led_flash_cnt[1873][5]~53334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1873][5]~53334_combout\ = (\led_flash_cnt[1873][5]~q\ & (\led_flash_cnt[1873][4]~53333\ $ (GND))) # (!\led_flash_cnt[1873][5]~q\ & (!\led_flash_cnt[1873][4]~53333\ & VCC))
-- \led_flash_cnt[1873][5]~53335\ = CARRY((\led_flash_cnt[1873][5]~q\ & !\led_flash_cnt[1873][4]~53333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1873][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1873][4]~53333\,
	combout => \led_flash_cnt[1873][5]~53334_combout\,
	cout => \led_flash_cnt[1873][5]~53335\);

-- Location: FF_X50_Y42_N13
\led_flash_cnt[1873][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1873][5]~53334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1873][5]~q\);

-- Location: LCCOMB_X50_Y42_N14
\led_flash_cnt[1873][6]~53336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1873][6]~53336_combout\ = (\led_flash_cnt[1873][6]~q\ & (!\led_flash_cnt[1873][5]~53335\)) # (!\led_flash_cnt[1873][6]~q\ & ((\led_flash_cnt[1873][5]~53335\) # (GND)))
-- \led_flash_cnt[1873][6]~53337\ = CARRY((!\led_flash_cnt[1873][5]~53335\) # (!\led_flash_cnt[1873][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1873][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1873][5]~53335\,
	combout => \led_flash_cnt[1873][6]~53336_combout\,
	cout => \led_flash_cnt[1873][6]~53337\);

-- Location: FF_X50_Y42_N15
\led_flash_cnt[1873][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1873][6]~53336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1873][6]~q\);

-- Location: LCCOMB_X50_Y42_N16
\led_flash_cnt[1873][7]~53338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1873][7]~53338_combout\ = \led_flash_cnt[1873][6]~53337\ $ (!\led_flash_cnt[1873][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1873][7]~q\,
	cin => \led_flash_cnt[1873][6]~53337\,
	combout => \led_flash_cnt[1873][7]~53338_combout\);

-- Location: FF_X50_Y42_N17
\led_flash_cnt[1873][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1873][7]~53338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1873][7]~q\);

-- Location: LCCOMB_X50_Y42_N0
\WideAnd1873~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1873~0_combout\ = (\led_flash_cnt[1873][4]~q\ & (\led_flash_cnt[1873][3]~q\ & (\led_flash_cnt[1873][1]~q\ & \led_flash_cnt[1873][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1873][4]~q\,
	datab => \led_flash_cnt[1873][3]~q\,
	datac => \led_flash_cnt[1873][1]~q\,
	datad => \led_flash_cnt[1873][2]~q\,
	combout => \WideAnd1873~0_combout\);

-- Location: LCCOMB_X50_Y46_N24
\WideAnd1873~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1873~1_combout\ = (\led_flash_cnt[1873][6]~q\ & \led_flash_cnt[1873][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1873][6]~q\,
	datad => \led_flash_cnt[1873][5]~q\,
	combout => \WideAnd1873~1_combout\);

-- Location: LCCOMB_X50_Y46_N28
WideAnd1873 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1873~combout\ = (\led_flash_cnt[1873][7]~q\ & (\led_flash_cnt[1873][0]~q\ & (\WideAnd1873~0_combout\ & \WideAnd1873~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1873][7]~q\,
	datab => \led_flash_cnt[1873][0]~q\,
	datac => \WideAnd1873~0_combout\,
	datad => \WideAnd1873~1_combout\,
	combout => \WideAnd1873~combout\);

-- Location: FF_X50_Y46_N29
\led_flash_cnt_ands[1873]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1873~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1873));

-- Location: LCCOMB_X60_Y46_N24
\led_flash_cnt[1875][0]~82531\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1875][0]~82531_combout\ = !\led_flash_cnt[1875][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1875][0]~q\,
	combout => \led_flash_cnt[1875][0]~82531_combout\);

-- Location: FF_X60_Y46_N25
\led_flash_cnt[1875][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1875][0]~82531_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1875][0]~q\);

-- Location: LCCOMB_X60_Y46_N8
\led_flash_cnt[1875][1]~53354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1875][1]~53354_combout\ = (\led_flash_cnt[1875][1]~q\ & (\led_flash_cnt[1875][0]~q\ $ (VCC))) # (!\led_flash_cnt[1875][1]~q\ & (\led_flash_cnt[1875][0]~q\ & VCC))
-- \led_flash_cnt[1875][1]~53355\ = CARRY((\led_flash_cnt[1875][1]~q\ & \led_flash_cnt[1875][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1875][1]~q\,
	datab => \led_flash_cnt[1875][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1875][1]~53354_combout\,
	cout => \led_flash_cnt[1875][1]~53355\);

-- Location: FF_X60_Y46_N9
\led_flash_cnt[1875][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1875][1]~53354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1875][1]~q\);

-- Location: LCCOMB_X60_Y46_N10
\led_flash_cnt[1875][2]~53356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1875][2]~53356_combout\ = (\led_flash_cnt[1875][2]~q\ & (!\led_flash_cnt[1875][1]~53355\)) # (!\led_flash_cnt[1875][2]~q\ & ((\led_flash_cnt[1875][1]~53355\) # (GND)))
-- \led_flash_cnt[1875][2]~53357\ = CARRY((!\led_flash_cnt[1875][1]~53355\) # (!\led_flash_cnt[1875][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1875][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1875][1]~53355\,
	combout => \led_flash_cnt[1875][2]~53356_combout\,
	cout => \led_flash_cnt[1875][2]~53357\);

-- Location: FF_X60_Y46_N11
\led_flash_cnt[1875][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1875][2]~53356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1875][2]~q\);

-- Location: LCCOMB_X60_Y46_N12
\led_flash_cnt[1875][3]~53358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1875][3]~53358_combout\ = (\led_flash_cnt[1875][3]~q\ & (\led_flash_cnt[1875][2]~53357\ $ (GND))) # (!\led_flash_cnt[1875][3]~q\ & (!\led_flash_cnt[1875][2]~53357\ & VCC))
-- \led_flash_cnt[1875][3]~53359\ = CARRY((\led_flash_cnt[1875][3]~q\ & !\led_flash_cnt[1875][2]~53357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1875][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1875][2]~53357\,
	combout => \led_flash_cnt[1875][3]~53358_combout\,
	cout => \led_flash_cnt[1875][3]~53359\);

-- Location: FF_X60_Y46_N13
\led_flash_cnt[1875][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1875][3]~53358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1875][3]~q\);

-- Location: LCCOMB_X60_Y46_N14
\led_flash_cnt[1875][4]~53360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1875][4]~53360_combout\ = (\led_flash_cnt[1875][4]~q\ & (!\led_flash_cnt[1875][3]~53359\)) # (!\led_flash_cnt[1875][4]~q\ & ((\led_flash_cnt[1875][3]~53359\) # (GND)))
-- \led_flash_cnt[1875][4]~53361\ = CARRY((!\led_flash_cnt[1875][3]~53359\) # (!\led_flash_cnt[1875][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1875][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1875][3]~53359\,
	combout => \led_flash_cnt[1875][4]~53360_combout\,
	cout => \led_flash_cnt[1875][4]~53361\);

-- Location: FF_X60_Y46_N15
\led_flash_cnt[1875][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1875][4]~53360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1875][4]~q\);

-- Location: LCCOMB_X60_Y46_N16
\led_flash_cnt[1875][5]~53362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1875][5]~53362_combout\ = (\led_flash_cnt[1875][5]~q\ & (\led_flash_cnt[1875][4]~53361\ $ (GND))) # (!\led_flash_cnt[1875][5]~q\ & (!\led_flash_cnt[1875][4]~53361\ & VCC))
-- \led_flash_cnt[1875][5]~53363\ = CARRY((\led_flash_cnt[1875][5]~q\ & !\led_flash_cnt[1875][4]~53361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1875][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1875][4]~53361\,
	combout => \led_flash_cnt[1875][5]~53362_combout\,
	cout => \led_flash_cnt[1875][5]~53363\);

-- Location: FF_X60_Y46_N17
\led_flash_cnt[1875][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1875][5]~53362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1875][5]~q\);

-- Location: LCCOMB_X60_Y46_N18
\led_flash_cnt[1875][6]~53364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1875][6]~53364_combout\ = (\led_flash_cnt[1875][6]~q\ & (!\led_flash_cnt[1875][5]~53363\)) # (!\led_flash_cnt[1875][6]~q\ & ((\led_flash_cnt[1875][5]~53363\) # (GND)))
-- \led_flash_cnt[1875][6]~53365\ = CARRY((!\led_flash_cnt[1875][5]~53363\) # (!\led_flash_cnt[1875][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1875][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1875][5]~53363\,
	combout => \led_flash_cnt[1875][6]~53364_combout\,
	cout => \led_flash_cnt[1875][6]~53365\);

-- Location: FF_X60_Y46_N19
\led_flash_cnt[1875][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1875][6]~53364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1875][6]~q\);

-- Location: LCCOMB_X60_Y46_N6
\WideAnd1875~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1875~0_combout\ = (\led_flash_cnt[1875][3]~q\ & (\led_flash_cnt[1875][6]~q\ & (\led_flash_cnt[1875][4]~q\ & \led_flash_cnt[1875][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1875][3]~q\,
	datab => \led_flash_cnt[1875][6]~q\,
	datac => \led_flash_cnt[1875][4]~q\,
	datad => \led_flash_cnt[1875][5]~q\,
	combout => \WideAnd1875~0_combout\);

-- Location: LCCOMB_X60_Y46_N20
\led_flash_cnt[1875][7]~53366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1875][7]~53366_combout\ = \led_flash_cnt[1875][6]~53365\ $ (!\led_flash_cnt[1875][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1875][7]~q\,
	cin => \led_flash_cnt[1875][6]~53365\,
	combout => \led_flash_cnt[1875][7]~53366_combout\);

-- Location: FF_X60_Y46_N21
\led_flash_cnt[1875][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1875][7]~53366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1875][7]~q\);

-- Location: LCCOMB_X60_Y46_N30
\WideAnd1875~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1875~1_combout\ = (\led_flash_cnt[1875][1]~q\ & \led_flash_cnt[1875][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1875][1]~q\,
	datad => \led_flash_cnt[1875][7]~q\,
	combout => \WideAnd1875~1_combout\);

-- Location: LCCOMB_X60_Y46_N4
WideAnd1875 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1875~combout\ = (\WideAnd1875~0_combout\ & (\led_flash_cnt[1875][0]~q\ & (\WideAnd1875~1_combout\ & \led_flash_cnt[1875][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1875~0_combout\,
	datab => \led_flash_cnt[1875][0]~q\,
	datac => \WideAnd1875~1_combout\,
	datad => \led_flash_cnt[1875][2]~q\,
	combout => \WideAnd1875~combout\);

-- Location: FF_X60_Y46_N5
\led_flash_cnt_ands[1875]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1875~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1875));

-- Location: LCCOMB_X51_Y46_N24
\led_flash_cnt[1874][0]~82530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1874][0]~82530_combout\ = !\led_flash_cnt[1874][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1874][0]~q\,
	combout => \led_flash_cnt[1874][0]~82530_combout\);

-- Location: FF_X51_Y46_N25
\led_flash_cnt[1874][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1874][0]~82530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1874][0]~q\);

-- Location: LCCOMB_X52_Y46_N18
\led_flash_cnt[1874][1]~53340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1874][1]~53340_combout\ = (\led_flash_cnt[1874][0]~q\ & (\led_flash_cnt[1874][1]~q\ $ (VCC))) # (!\led_flash_cnt[1874][0]~q\ & (\led_flash_cnt[1874][1]~q\ & VCC))
-- \led_flash_cnt[1874][1]~53341\ = CARRY((\led_flash_cnt[1874][0]~q\ & \led_flash_cnt[1874][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1874][0]~q\,
	datab => \led_flash_cnt[1874][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1874][1]~53340_combout\,
	cout => \led_flash_cnt[1874][1]~53341\);

-- Location: FF_X52_Y46_N19
\led_flash_cnt[1874][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1874][1]~53340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1874][1]~q\);

-- Location: LCCOMB_X52_Y46_N20
\led_flash_cnt[1874][2]~53342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1874][2]~53342_combout\ = (\led_flash_cnt[1874][2]~q\ & (!\led_flash_cnt[1874][1]~53341\)) # (!\led_flash_cnt[1874][2]~q\ & ((\led_flash_cnt[1874][1]~53341\) # (GND)))
-- \led_flash_cnt[1874][2]~53343\ = CARRY((!\led_flash_cnt[1874][1]~53341\) # (!\led_flash_cnt[1874][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1874][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1874][1]~53341\,
	combout => \led_flash_cnt[1874][2]~53342_combout\,
	cout => \led_flash_cnt[1874][2]~53343\);

-- Location: FF_X52_Y46_N21
\led_flash_cnt[1874][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1874][2]~53342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1874][2]~q\);

-- Location: LCCOMB_X52_Y46_N22
\led_flash_cnt[1874][3]~53344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1874][3]~53344_combout\ = (\led_flash_cnt[1874][3]~q\ & (\led_flash_cnt[1874][2]~53343\ $ (GND))) # (!\led_flash_cnt[1874][3]~q\ & (!\led_flash_cnt[1874][2]~53343\ & VCC))
-- \led_flash_cnt[1874][3]~53345\ = CARRY((\led_flash_cnt[1874][3]~q\ & !\led_flash_cnt[1874][2]~53343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1874][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1874][2]~53343\,
	combout => \led_flash_cnt[1874][3]~53344_combout\,
	cout => \led_flash_cnt[1874][3]~53345\);

-- Location: FF_X52_Y46_N23
\led_flash_cnt[1874][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1874][3]~53344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1874][3]~q\);

-- Location: LCCOMB_X52_Y46_N24
\led_flash_cnt[1874][4]~53346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1874][4]~53346_combout\ = (\led_flash_cnt[1874][4]~q\ & (!\led_flash_cnt[1874][3]~53345\)) # (!\led_flash_cnt[1874][4]~q\ & ((\led_flash_cnt[1874][3]~53345\) # (GND)))
-- \led_flash_cnt[1874][4]~53347\ = CARRY((!\led_flash_cnt[1874][3]~53345\) # (!\led_flash_cnt[1874][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1874][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1874][3]~53345\,
	combout => \led_flash_cnt[1874][4]~53346_combout\,
	cout => \led_flash_cnt[1874][4]~53347\);

-- Location: FF_X52_Y46_N25
\led_flash_cnt[1874][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1874][4]~53346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1874][4]~q\);

-- Location: LCCOMB_X52_Y46_N26
\led_flash_cnt[1874][5]~53348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1874][5]~53348_combout\ = (\led_flash_cnt[1874][5]~q\ & (\led_flash_cnt[1874][4]~53347\ $ (GND))) # (!\led_flash_cnt[1874][5]~q\ & (!\led_flash_cnt[1874][4]~53347\ & VCC))
-- \led_flash_cnt[1874][5]~53349\ = CARRY((\led_flash_cnt[1874][5]~q\ & !\led_flash_cnt[1874][4]~53347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1874][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1874][4]~53347\,
	combout => \led_flash_cnt[1874][5]~53348_combout\,
	cout => \led_flash_cnt[1874][5]~53349\);

-- Location: FF_X52_Y46_N27
\led_flash_cnt[1874][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1874][5]~53348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1874][5]~q\);

-- Location: LCCOMB_X52_Y46_N28
\led_flash_cnt[1874][6]~53350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1874][6]~53350_combout\ = (\led_flash_cnt[1874][6]~q\ & (!\led_flash_cnt[1874][5]~53349\)) # (!\led_flash_cnt[1874][6]~q\ & ((\led_flash_cnt[1874][5]~53349\) # (GND)))
-- \led_flash_cnt[1874][6]~53351\ = CARRY((!\led_flash_cnt[1874][5]~53349\) # (!\led_flash_cnt[1874][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1874][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1874][5]~53349\,
	combout => \led_flash_cnt[1874][6]~53350_combout\,
	cout => \led_flash_cnt[1874][6]~53351\);

-- Location: FF_X52_Y46_N29
\led_flash_cnt[1874][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1874][6]~53350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1874][6]~q\);

-- Location: LCCOMB_X51_Y46_N26
\WideAnd1874~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1874~1_combout\ = (\led_flash_cnt[1874][6]~q\ & \led_flash_cnt[1874][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1874][6]~q\,
	datad => \led_flash_cnt[1874][5]~q\,
	combout => \WideAnd1874~1_combout\);

-- Location: LCCOMB_X52_Y46_N30
\led_flash_cnt[1874][7]~53352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1874][7]~53352_combout\ = \led_flash_cnt[1874][7]~q\ $ (!\led_flash_cnt[1874][6]~53351\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1874][7]~q\,
	cin => \led_flash_cnt[1874][6]~53351\,
	combout => \led_flash_cnt[1874][7]~53352_combout\);

-- Location: FF_X52_Y46_N31
\led_flash_cnt[1874][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1874][7]~53352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1874][7]~q\);

-- Location: LCCOMB_X52_Y46_N2
\WideAnd1874~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1874~0_combout\ = (\led_flash_cnt[1874][1]~q\ & (\led_flash_cnt[1874][2]~q\ & (\led_flash_cnt[1874][3]~q\ & \led_flash_cnt[1874][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1874][1]~q\,
	datab => \led_flash_cnt[1874][2]~q\,
	datac => \led_flash_cnt[1874][3]~q\,
	datad => \led_flash_cnt[1874][4]~q\,
	combout => \WideAnd1874~0_combout\);

-- Location: LCCOMB_X51_Y46_N20
WideAnd1874 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1874~combout\ = (\WideAnd1874~1_combout\ & (\led_flash_cnt[1874][0]~q\ & (\led_flash_cnt[1874][7]~q\ & \WideAnd1874~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1874~1_combout\,
	datab => \led_flash_cnt[1874][0]~q\,
	datac => \led_flash_cnt[1874][7]~q\,
	datad => \WideAnd1874~0_combout\,
	combout => \WideAnd1874~combout\);

-- Location: FF_X51_Y46_N21
\led_flash_cnt_ands[1874]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1874~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1874));

-- Location: LCCOMB_X51_Y46_N16
\WideAnd4074~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4074~0_combout\ = (led_flash_cnt_ands(1872) & (led_flash_cnt_ands(1873) & (led_flash_cnt_ands(1875) & led_flash_cnt_ands(1874))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1872),
	datab => led_flash_cnt_ands(1873),
	datac => led_flash_cnt_ands(1875),
	datad => led_flash_cnt_ands(1874),
	combout => \WideAnd4074~0_combout\);

-- Location: LCCOMB_X58_Y37_N22
\led_flash_cnt[1877][0]~82533\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1877][0]~82533_combout\ = !\led_flash_cnt[1877][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1877][0]~q\,
	combout => \led_flash_cnt[1877][0]~82533_combout\);

-- Location: FF_X58_Y37_N23
\led_flash_cnt[1877][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1877][0]~82533_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1877][0]~q\);

-- Location: LCCOMB_X58_Y37_N0
\led_flash_cnt[1877][1]~53382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1877][1]~53382_combout\ = (\led_flash_cnt[1877][0]~q\ & (\led_flash_cnt[1877][1]~q\ $ (VCC))) # (!\led_flash_cnt[1877][0]~q\ & (\led_flash_cnt[1877][1]~q\ & VCC))
-- \led_flash_cnt[1877][1]~53383\ = CARRY((\led_flash_cnt[1877][0]~q\ & \led_flash_cnt[1877][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1877][0]~q\,
	datab => \led_flash_cnt[1877][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1877][1]~53382_combout\,
	cout => \led_flash_cnt[1877][1]~53383\);

-- Location: FF_X58_Y37_N1
\led_flash_cnt[1877][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1877][1]~53382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1877][1]~q\);

-- Location: LCCOMB_X58_Y37_N2
\led_flash_cnt[1877][2]~53384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1877][2]~53384_combout\ = (\led_flash_cnt[1877][2]~q\ & (!\led_flash_cnt[1877][1]~53383\)) # (!\led_flash_cnt[1877][2]~q\ & ((\led_flash_cnt[1877][1]~53383\) # (GND)))
-- \led_flash_cnt[1877][2]~53385\ = CARRY((!\led_flash_cnt[1877][1]~53383\) # (!\led_flash_cnt[1877][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1877][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1877][1]~53383\,
	combout => \led_flash_cnt[1877][2]~53384_combout\,
	cout => \led_flash_cnt[1877][2]~53385\);

-- Location: FF_X58_Y37_N3
\led_flash_cnt[1877][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1877][2]~53384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1877][2]~q\);

-- Location: LCCOMB_X58_Y37_N4
\led_flash_cnt[1877][3]~53386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1877][3]~53386_combout\ = (\led_flash_cnt[1877][3]~q\ & (\led_flash_cnt[1877][2]~53385\ $ (GND))) # (!\led_flash_cnt[1877][3]~q\ & (!\led_flash_cnt[1877][2]~53385\ & VCC))
-- \led_flash_cnt[1877][3]~53387\ = CARRY((\led_flash_cnt[1877][3]~q\ & !\led_flash_cnt[1877][2]~53385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1877][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1877][2]~53385\,
	combout => \led_flash_cnt[1877][3]~53386_combout\,
	cout => \led_flash_cnt[1877][3]~53387\);

-- Location: FF_X58_Y37_N5
\led_flash_cnt[1877][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1877][3]~53386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1877][3]~q\);

-- Location: LCCOMB_X58_Y37_N6
\led_flash_cnt[1877][4]~53388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1877][4]~53388_combout\ = (\led_flash_cnt[1877][4]~q\ & (!\led_flash_cnt[1877][3]~53387\)) # (!\led_flash_cnt[1877][4]~q\ & ((\led_flash_cnt[1877][3]~53387\) # (GND)))
-- \led_flash_cnt[1877][4]~53389\ = CARRY((!\led_flash_cnt[1877][3]~53387\) # (!\led_flash_cnt[1877][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1877][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1877][3]~53387\,
	combout => \led_flash_cnt[1877][4]~53388_combout\,
	cout => \led_flash_cnt[1877][4]~53389\);

-- Location: FF_X58_Y37_N7
\led_flash_cnt[1877][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1877][4]~53388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1877][4]~q\);

-- Location: LCCOMB_X58_Y37_N8
\led_flash_cnt[1877][5]~53390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1877][5]~53390_combout\ = (\led_flash_cnt[1877][5]~q\ & (\led_flash_cnt[1877][4]~53389\ $ (GND))) # (!\led_flash_cnt[1877][5]~q\ & (!\led_flash_cnt[1877][4]~53389\ & VCC))
-- \led_flash_cnt[1877][5]~53391\ = CARRY((\led_flash_cnt[1877][5]~q\ & !\led_flash_cnt[1877][4]~53389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1877][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1877][4]~53389\,
	combout => \led_flash_cnt[1877][5]~53390_combout\,
	cout => \led_flash_cnt[1877][5]~53391\);

-- Location: FF_X58_Y37_N9
\led_flash_cnt[1877][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1877][5]~53390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1877][5]~q\);

-- Location: LCCOMB_X58_Y37_N10
\led_flash_cnt[1877][6]~53392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1877][6]~53392_combout\ = (\led_flash_cnt[1877][6]~q\ & (!\led_flash_cnt[1877][5]~53391\)) # (!\led_flash_cnt[1877][6]~q\ & ((\led_flash_cnt[1877][5]~53391\) # (GND)))
-- \led_flash_cnt[1877][6]~53393\ = CARRY((!\led_flash_cnt[1877][5]~53391\) # (!\led_flash_cnt[1877][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1877][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1877][5]~53391\,
	combout => \led_flash_cnt[1877][6]~53392_combout\,
	cout => \led_flash_cnt[1877][6]~53393\);

-- Location: FF_X58_Y37_N11
\led_flash_cnt[1877][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1877][6]~53392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1877][6]~q\);

-- Location: LCCOMB_X58_Y37_N12
\led_flash_cnt[1877][7]~53394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1877][7]~53394_combout\ = \led_flash_cnt[1877][6]~53393\ $ (!\led_flash_cnt[1877][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1877][7]~q\,
	cin => \led_flash_cnt[1877][6]~53393\,
	combout => \led_flash_cnt[1877][7]~53394_combout\);

-- Location: FF_X58_Y37_N13
\led_flash_cnt[1877][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1877][7]~53394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1877][7]~q\);

-- Location: LCCOMB_X58_Y37_N28
\WideAnd1877~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1877~0_combout\ = (\led_flash_cnt[1877][4]~q\ & (\led_flash_cnt[1877][1]~q\ & (\led_flash_cnt[1877][3]~q\ & \led_flash_cnt[1877][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1877][4]~q\,
	datab => \led_flash_cnt[1877][1]~q\,
	datac => \led_flash_cnt[1877][3]~q\,
	datad => \led_flash_cnt[1877][2]~q\,
	combout => \WideAnd1877~0_combout\);

-- Location: LCCOMB_X58_Y37_N16
\WideAnd1877~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1877~1_combout\ = (\led_flash_cnt[1877][5]~q\ & \led_flash_cnt[1877][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1877][5]~q\,
	datad => \led_flash_cnt[1877][6]~q\,
	combout => \WideAnd1877~1_combout\);

-- Location: LCCOMB_X58_Y37_N14
WideAnd1877 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1877~combout\ = (\led_flash_cnt[1877][7]~q\ & (\WideAnd1877~0_combout\ & (\led_flash_cnt[1877][0]~q\ & \WideAnd1877~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1877][7]~q\,
	datab => \WideAnd1877~0_combout\,
	datac => \led_flash_cnt[1877][0]~q\,
	datad => \WideAnd1877~1_combout\,
	combout => \WideAnd1877~combout\);

-- Location: FF_X58_Y37_N15
\led_flash_cnt_ands[1877]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1877~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1877));

-- Location: LCCOMB_X58_Y44_N30
\led_flash_cnt[1876][0]~82532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1876][0]~82532_combout\ = !\led_flash_cnt[1876][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1876][0]~q\,
	combout => \led_flash_cnt[1876][0]~82532_combout\);

-- Location: FF_X58_Y44_N31
\led_flash_cnt[1876][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1876][0]~82532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1876][0]~q\);

-- Location: LCCOMB_X58_Y44_N16
\led_flash_cnt[1876][1]~53368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1876][1]~53368_combout\ = (\led_flash_cnt[1876][0]~q\ & (\led_flash_cnt[1876][1]~q\ $ (VCC))) # (!\led_flash_cnt[1876][0]~q\ & (\led_flash_cnt[1876][1]~q\ & VCC))
-- \led_flash_cnt[1876][1]~53369\ = CARRY((\led_flash_cnt[1876][0]~q\ & \led_flash_cnt[1876][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1876][0]~q\,
	datab => \led_flash_cnt[1876][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1876][1]~53368_combout\,
	cout => \led_flash_cnt[1876][1]~53369\);

-- Location: FF_X58_Y44_N17
\led_flash_cnt[1876][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1876][1]~53368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1876][1]~q\);

-- Location: LCCOMB_X58_Y44_N18
\led_flash_cnt[1876][2]~53370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1876][2]~53370_combout\ = (\led_flash_cnt[1876][2]~q\ & (!\led_flash_cnt[1876][1]~53369\)) # (!\led_flash_cnt[1876][2]~q\ & ((\led_flash_cnt[1876][1]~53369\) # (GND)))
-- \led_flash_cnt[1876][2]~53371\ = CARRY((!\led_flash_cnt[1876][1]~53369\) # (!\led_flash_cnt[1876][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1876][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1876][1]~53369\,
	combout => \led_flash_cnt[1876][2]~53370_combout\,
	cout => \led_flash_cnt[1876][2]~53371\);

-- Location: FF_X58_Y44_N19
\led_flash_cnt[1876][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1876][2]~53370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1876][2]~q\);

-- Location: LCCOMB_X58_Y44_N20
\led_flash_cnt[1876][3]~53372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1876][3]~53372_combout\ = (\led_flash_cnt[1876][3]~q\ & (\led_flash_cnt[1876][2]~53371\ $ (GND))) # (!\led_flash_cnt[1876][3]~q\ & (!\led_flash_cnt[1876][2]~53371\ & VCC))
-- \led_flash_cnt[1876][3]~53373\ = CARRY((\led_flash_cnt[1876][3]~q\ & !\led_flash_cnt[1876][2]~53371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1876][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1876][2]~53371\,
	combout => \led_flash_cnt[1876][3]~53372_combout\,
	cout => \led_flash_cnt[1876][3]~53373\);

-- Location: FF_X58_Y44_N21
\led_flash_cnt[1876][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1876][3]~53372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1876][3]~q\);

-- Location: LCCOMB_X58_Y44_N22
\led_flash_cnt[1876][4]~53374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1876][4]~53374_combout\ = (\led_flash_cnt[1876][4]~q\ & (!\led_flash_cnt[1876][3]~53373\)) # (!\led_flash_cnt[1876][4]~q\ & ((\led_flash_cnt[1876][3]~53373\) # (GND)))
-- \led_flash_cnt[1876][4]~53375\ = CARRY((!\led_flash_cnt[1876][3]~53373\) # (!\led_flash_cnt[1876][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1876][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1876][3]~53373\,
	combout => \led_flash_cnt[1876][4]~53374_combout\,
	cout => \led_flash_cnt[1876][4]~53375\);

-- Location: FF_X58_Y44_N23
\led_flash_cnt[1876][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1876][4]~53374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1876][4]~q\);

-- Location: LCCOMB_X58_Y44_N24
\led_flash_cnt[1876][5]~53376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1876][5]~53376_combout\ = (\led_flash_cnt[1876][5]~q\ & (\led_flash_cnt[1876][4]~53375\ $ (GND))) # (!\led_flash_cnt[1876][5]~q\ & (!\led_flash_cnt[1876][4]~53375\ & VCC))
-- \led_flash_cnt[1876][5]~53377\ = CARRY((\led_flash_cnt[1876][5]~q\ & !\led_flash_cnt[1876][4]~53375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1876][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1876][4]~53375\,
	combout => \led_flash_cnt[1876][5]~53376_combout\,
	cout => \led_flash_cnt[1876][5]~53377\);

-- Location: FF_X58_Y44_N25
\led_flash_cnt[1876][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1876][5]~53376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1876][5]~q\);

-- Location: LCCOMB_X58_Y44_N26
\led_flash_cnt[1876][6]~53378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1876][6]~53378_combout\ = (\led_flash_cnt[1876][6]~q\ & (!\led_flash_cnt[1876][5]~53377\)) # (!\led_flash_cnt[1876][6]~q\ & ((\led_flash_cnt[1876][5]~53377\) # (GND)))
-- \led_flash_cnt[1876][6]~53379\ = CARRY((!\led_flash_cnt[1876][5]~53377\) # (!\led_flash_cnt[1876][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1876][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1876][5]~53377\,
	combout => \led_flash_cnt[1876][6]~53378_combout\,
	cout => \led_flash_cnt[1876][6]~53379\);

-- Location: FF_X58_Y44_N27
\led_flash_cnt[1876][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1876][6]~53378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1876][6]~q\);

-- Location: LCCOMB_X58_Y44_N28
\led_flash_cnt[1876][7]~53380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1876][7]~53380_combout\ = \led_flash_cnt[1876][6]~53379\ $ (!\led_flash_cnt[1876][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1876][7]~q\,
	cin => \led_flash_cnt[1876][6]~53379\,
	combout => \led_flash_cnt[1876][7]~53380_combout\);

-- Location: FF_X58_Y44_N29
\led_flash_cnt[1876][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1876][7]~53380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1876][7]~q\);

-- Location: LCCOMB_X58_Y44_N4
\WideAnd1876~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1876~1_combout\ = (\led_flash_cnt[1876][6]~q\ & \led_flash_cnt[1876][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1876][6]~q\,
	datad => \led_flash_cnt[1876][5]~q\,
	combout => \WideAnd1876~1_combout\);

-- Location: LCCOMB_X58_Y44_N12
\WideAnd1876~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1876~0_combout\ = (\led_flash_cnt[1876][2]~q\ & (\led_flash_cnt[1876][3]~q\ & (\led_flash_cnt[1876][4]~q\ & \led_flash_cnt[1876][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1876][2]~q\,
	datab => \led_flash_cnt[1876][3]~q\,
	datac => \led_flash_cnt[1876][4]~q\,
	datad => \led_flash_cnt[1876][1]~q\,
	combout => \WideAnd1876~0_combout\);

-- Location: LCCOMB_X58_Y44_N10
WideAnd1876 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1876~combout\ = (\led_flash_cnt[1876][0]~q\ & (\led_flash_cnt[1876][7]~q\ & (\WideAnd1876~1_combout\ & \WideAnd1876~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1876][0]~q\,
	datab => \led_flash_cnt[1876][7]~q\,
	datac => \WideAnd1876~1_combout\,
	datad => \WideAnd1876~0_combout\,
	combout => \WideAnd1876~combout\);

-- Location: FF_X58_Y44_N11
\led_flash_cnt_ands[1876]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1876~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1876));

-- Location: LCCOMB_X58_Y44_N6
\WideAnd4074~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4074~1_combout\ = (led_flash_cnt_ands(1877) & led_flash_cnt_ands(1876))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1877),
	datad => led_flash_cnt_ands(1876),
	combout => \WideAnd4074~1_combout\);

-- Location: LCCOMB_X55_Y44_N8
WideAnd4074 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4074~combout\ = (led_flash_cnt_ands(1879) & (led_flash_cnt_ands(1878) & (\WideAnd4074~0_combout\ & \WideAnd4074~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1879),
	datab => led_flash_cnt_ands(1878),
	datac => \WideAnd4074~0_combout\,
	datad => \WideAnd4074~1_combout\,
	combout => \WideAnd4074~combout\);

-- Location: FF_X55_Y44_N9
\led_flash_cnt_ands_1[234]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4074~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(234));

-- Location: LCCOMB_X74_Y29_N10
\led_flash_cnt[1861][0]~82517\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1861][0]~82517_combout\ = !\led_flash_cnt[1861][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1861][0]~q\,
	combout => \led_flash_cnt[1861][0]~82517_combout\);

-- Location: FF_X74_Y29_N11
\led_flash_cnt[1861][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1861][0]~82517_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1861][0]~q\);

-- Location: LCCOMB_X74_Y29_N16
\led_flash_cnt[1861][1]~53158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1861][1]~53158_combout\ = (\led_flash_cnt[1861][0]~q\ & (\led_flash_cnt[1861][1]~q\ $ (VCC))) # (!\led_flash_cnt[1861][0]~q\ & (\led_flash_cnt[1861][1]~q\ & VCC))
-- \led_flash_cnt[1861][1]~53159\ = CARRY((\led_flash_cnt[1861][0]~q\ & \led_flash_cnt[1861][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1861][0]~q\,
	datab => \led_flash_cnt[1861][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1861][1]~53158_combout\,
	cout => \led_flash_cnt[1861][1]~53159\);

-- Location: FF_X74_Y29_N17
\led_flash_cnt[1861][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1861][1]~53158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1861][1]~q\);

-- Location: LCCOMB_X74_Y29_N18
\led_flash_cnt[1861][2]~53160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1861][2]~53160_combout\ = (\led_flash_cnt[1861][2]~q\ & (!\led_flash_cnt[1861][1]~53159\)) # (!\led_flash_cnt[1861][2]~q\ & ((\led_flash_cnt[1861][1]~53159\) # (GND)))
-- \led_flash_cnt[1861][2]~53161\ = CARRY((!\led_flash_cnt[1861][1]~53159\) # (!\led_flash_cnt[1861][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1861][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1861][1]~53159\,
	combout => \led_flash_cnt[1861][2]~53160_combout\,
	cout => \led_flash_cnt[1861][2]~53161\);

-- Location: FF_X74_Y29_N19
\led_flash_cnt[1861][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1861][2]~53160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1861][2]~q\);

-- Location: LCCOMB_X74_Y29_N20
\led_flash_cnt[1861][3]~53162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1861][3]~53162_combout\ = (\led_flash_cnt[1861][3]~q\ & (\led_flash_cnt[1861][2]~53161\ $ (GND))) # (!\led_flash_cnt[1861][3]~q\ & (!\led_flash_cnt[1861][2]~53161\ & VCC))
-- \led_flash_cnt[1861][3]~53163\ = CARRY((\led_flash_cnt[1861][3]~q\ & !\led_flash_cnt[1861][2]~53161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1861][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1861][2]~53161\,
	combout => \led_flash_cnt[1861][3]~53162_combout\,
	cout => \led_flash_cnt[1861][3]~53163\);

-- Location: FF_X74_Y29_N21
\led_flash_cnt[1861][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1861][3]~53162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1861][3]~q\);

-- Location: LCCOMB_X74_Y29_N22
\led_flash_cnt[1861][4]~53164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1861][4]~53164_combout\ = (\led_flash_cnt[1861][4]~q\ & (!\led_flash_cnt[1861][3]~53163\)) # (!\led_flash_cnt[1861][4]~q\ & ((\led_flash_cnt[1861][3]~53163\) # (GND)))
-- \led_flash_cnt[1861][4]~53165\ = CARRY((!\led_flash_cnt[1861][3]~53163\) # (!\led_flash_cnt[1861][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1861][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1861][3]~53163\,
	combout => \led_flash_cnt[1861][4]~53164_combout\,
	cout => \led_flash_cnt[1861][4]~53165\);

-- Location: FF_X74_Y29_N23
\led_flash_cnt[1861][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1861][4]~53164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1861][4]~q\);

-- Location: LCCOMB_X74_Y29_N24
\led_flash_cnt[1861][5]~53166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1861][5]~53166_combout\ = (\led_flash_cnt[1861][5]~q\ & (\led_flash_cnt[1861][4]~53165\ $ (GND))) # (!\led_flash_cnt[1861][5]~q\ & (!\led_flash_cnt[1861][4]~53165\ & VCC))
-- \led_flash_cnt[1861][5]~53167\ = CARRY((\led_flash_cnt[1861][5]~q\ & !\led_flash_cnt[1861][4]~53165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1861][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1861][4]~53165\,
	combout => \led_flash_cnt[1861][5]~53166_combout\,
	cout => \led_flash_cnt[1861][5]~53167\);

-- Location: FF_X74_Y29_N25
\led_flash_cnt[1861][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1861][5]~53166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1861][5]~q\);

-- Location: LCCOMB_X74_Y29_N26
\led_flash_cnt[1861][6]~53168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1861][6]~53168_combout\ = (\led_flash_cnt[1861][6]~q\ & (!\led_flash_cnt[1861][5]~53167\)) # (!\led_flash_cnt[1861][6]~q\ & ((\led_flash_cnt[1861][5]~53167\) # (GND)))
-- \led_flash_cnt[1861][6]~53169\ = CARRY((!\led_flash_cnt[1861][5]~53167\) # (!\led_flash_cnt[1861][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1861][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1861][5]~53167\,
	combout => \led_flash_cnt[1861][6]~53168_combout\,
	cout => \led_flash_cnt[1861][6]~53169\);

-- Location: FF_X74_Y29_N27
\led_flash_cnt[1861][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1861][6]~53168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1861][6]~q\);

-- Location: LCCOMB_X74_Y29_N28
\led_flash_cnt[1861][7]~53170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1861][7]~53170_combout\ = \led_flash_cnt[1861][6]~53169\ $ (!\led_flash_cnt[1861][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1861][7]~q\,
	cin => \led_flash_cnt[1861][6]~53169\,
	combout => \led_flash_cnt[1861][7]~53170_combout\);

-- Location: FF_X74_Y29_N29
\led_flash_cnt[1861][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1861][7]~53170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1861][7]~q\);

-- Location: LCCOMB_X74_Y29_N14
\WideAnd1861~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1861~1_combout\ = (\led_flash_cnt[1861][6]~q\ & \led_flash_cnt[1861][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1861][6]~q\,
	datad => \led_flash_cnt[1861][5]~q\,
	combout => \WideAnd1861~1_combout\);

-- Location: LCCOMB_X74_Y29_N12
\WideAnd1861~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1861~0_combout\ = (\led_flash_cnt[1861][1]~q\ & (\led_flash_cnt[1861][2]~q\ & (\led_flash_cnt[1861][4]~q\ & \led_flash_cnt[1861][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1861][1]~q\,
	datab => \led_flash_cnt[1861][2]~q\,
	datac => \led_flash_cnt[1861][4]~q\,
	datad => \led_flash_cnt[1861][3]~q\,
	combout => \WideAnd1861~0_combout\);

-- Location: LCCOMB_X74_Y29_N8
WideAnd1861 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1861~combout\ = (\led_flash_cnt[1861][0]~q\ & (\led_flash_cnt[1861][7]~q\ & (\WideAnd1861~1_combout\ & \WideAnd1861~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1861][0]~q\,
	datab => \led_flash_cnt[1861][7]~q\,
	datac => \WideAnd1861~1_combout\,
	datad => \WideAnd1861~0_combout\,
	combout => \WideAnd1861~combout\);

-- Location: FF_X74_Y29_N9
\led_flash_cnt_ands[1861]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1861~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1861));

-- Location: LCCOMB_X75_Y29_N10
\led_flash_cnt[1860][0]~82516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1860][0]~82516_combout\ = !\led_flash_cnt[1860][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1860][0]~q\,
	combout => \led_flash_cnt[1860][0]~82516_combout\);

-- Location: FF_X75_Y29_N11
\led_flash_cnt[1860][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1860][0]~82516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1860][0]~q\);

-- Location: LCCOMB_X75_Y29_N12
\led_flash_cnt[1860][1]~53144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1860][1]~53144_combout\ = (\led_flash_cnt[1860][0]~q\ & (\led_flash_cnt[1860][1]~q\ $ (VCC))) # (!\led_flash_cnt[1860][0]~q\ & (\led_flash_cnt[1860][1]~q\ & VCC))
-- \led_flash_cnt[1860][1]~53145\ = CARRY((\led_flash_cnt[1860][0]~q\ & \led_flash_cnt[1860][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1860][0]~q\,
	datab => \led_flash_cnt[1860][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1860][1]~53144_combout\,
	cout => \led_flash_cnt[1860][1]~53145\);

-- Location: FF_X75_Y29_N13
\led_flash_cnt[1860][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1860][1]~53144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1860][1]~q\);

-- Location: LCCOMB_X75_Y29_N14
\led_flash_cnt[1860][2]~53146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1860][2]~53146_combout\ = (\led_flash_cnt[1860][2]~q\ & (!\led_flash_cnt[1860][1]~53145\)) # (!\led_flash_cnt[1860][2]~q\ & ((\led_flash_cnt[1860][1]~53145\) # (GND)))
-- \led_flash_cnt[1860][2]~53147\ = CARRY((!\led_flash_cnt[1860][1]~53145\) # (!\led_flash_cnt[1860][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1860][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1860][1]~53145\,
	combout => \led_flash_cnt[1860][2]~53146_combout\,
	cout => \led_flash_cnt[1860][2]~53147\);

-- Location: FF_X75_Y29_N15
\led_flash_cnt[1860][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1860][2]~53146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1860][2]~q\);

-- Location: LCCOMB_X75_Y29_N16
\led_flash_cnt[1860][3]~53148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1860][3]~53148_combout\ = (\led_flash_cnt[1860][3]~q\ & (\led_flash_cnt[1860][2]~53147\ $ (GND))) # (!\led_flash_cnt[1860][3]~q\ & (!\led_flash_cnt[1860][2]~53147\ & VCC))
-- \led_flash_cnt[1860][3]~53149\ = CARRY((\led_flash_cnt[1860][3]~q\ & !\led_flash_cnt[1860][2]~53147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1860][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1860][2]~53147\,
	combout => \led_flash_cnt[1860][3]~53148_combout\,
	cout => \led_flash_cnt[1860][3]~53149\);

-- Location: FF_X75_Y29_N17
\led_flash_cnt[1860][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1860][3]~53148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1860][3]~q\);

-- Location: LCCOMB_X75_Y29_N18
\led_flash_cnt[1860][4]~53150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1860][4]~53150_combout\ = (\led_flash_cnt[1860][4]~q\ & (!\led_flash_cnt[1860][3]~53149\)) # (!\led_flash_cnt[1860][4]~q\ & ((\led_flash_cnt[1860][3]~53149\) # (GND)))
-- \led_flash_cnt[1860][4]~53151\ = CARRY((!\led_flash_cnt[1860][3]~53149\) # (!\led_flash_cnt[1860][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1860][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1860][3]~53149\,
	combout => \led_flash_cnt[1860][4]~53150_combout\,
	cout => \led_flash_cnt[1860][4]~53151\);

-- Location: FF_X75_Y29_N19
\led_flash_cnt[1860][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1860][4]~53150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1860][4]~q\);

-- Location: LCCOMB_X75_Y29_N20
\led_flash_cnt[1860][5]~53152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1860][5]~53152_combout\ = (\led_flash_cnt[1860][5]~q\ & (\led_flash_cnt[1860][4]~53151\ $ (GND))) # (!\led_flash_cnt[1860][5]~q\ & (!\led_flash_cnt[1860][4]~53151\ & VCC))
-- \led_flash_cnt[1860][5]~53153\ = CARRY((\led_flash_cnt[1860][5]~q\ & !\led_flash_cnt[1860][4]~53151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1860][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1860][4]~53151\,
	combout => \led_flash_cnt[1860][5]~53152_combout\,
	cout => \led_flash_cnt[1860][5]~53153\);

-- Location: FF_X75_Y29_N21
\led_flash_cnt[1860][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1860][5]~53152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1860][5]~q\);

-- Location: LCCOMB_X75_Y29_N22
\led_flash_cnt[1860][6]~53154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1860][6]~53154_combout\ = (\led_flash_cnt[1860][6]~q\ & (!\led_flash_cnt[1860][5]~53153\)) # (!\led_flash_cnt[1860][6]~q\ & ((\led_flash_cnt[1860][5]~53153\) # (GND)))
-- \led_flash_cnt[1860][6]~53155\ = CARRY((!\led_flash_cnt[1860][5]~53153\) # (!\led_flash_cnt[1860][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1860][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1860][5]~53153\,
	combout => \led_flash_cnt[1860][6]~53154_combout\,
	cout => \led_flash_cnt[1860][6]~53155\);

-- Location: FF_X75_Y29_N23
\led_flash_cnt[1860][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1860][6]~53154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1860][6]~q\);

-- Location: LCCOMB_X75_Y29_N24
\led_flash_cnt[1860][7]~53156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1860][7]~53156_combout\ = \led_flash_cnt[1860][6]~53155\ $ (!\led_flash_cnt[1860][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1860][7]~q\,
	cin => \led_flash_cnt[1860][6]~53155\,
	combout => \led_flash_cnt[1860][7]~53156_combout\);

-- Location: FF_X75_Y29_N25
\led_flash_cnt[1860][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1860][7]~53156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1860][7]~q\);

-- Location: LCCOMB_X75_Y29_N26
\WideAnd1860~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1860~0_combout\ = (\led_flash_cnt[1860][1]~q\ & (\led_flash_cnt[1860][4]~q\ & (\led_flash_cnt[1860][2]~q\ & \led_flash_cnt[1860][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1860][1]~q\,
	datab => \led_flash_cnt[1860][4]~q\,
	datac => \led_flash_cnt[1860][2]~q\,
	datad => \led_flash_cnt[1860][3]~q\,
	combout => \WideAnd1860~0_combout\);

-- Location: LCCOMB_X75_Y29_N0
\WideAnd1860~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1860~1_combout\ = (\led_flash_cnt[1860][6]~q\ & \led_flash_cnt[1860][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1860][6]~q\,
	datad => \led_flash_cnt[1860][5]~q\,
	combout => \WideAnd1860~1_combout\);

-- Location: LCCOMB_X75_Y29_N28
WideAnd1860 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1860~combout\ = (\led_flash_cnt[1860][0]~q\ & (\led_flash_cnt[1860][7]~q\ & (\WideAnd1860~0_combout\ & \WideAnd1860~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1860][0]~q\,
	datab => \led_flash_cnt[1860][7]~q\,
	datac => \WideAnd1860~0_combout\,
	datad => \WideAnd1860~1_combout\,
	combout => \WideAnd1860~combout\);

-- Location: FF_X75_Y29_N29
\led_flash_cnt_ands[1860]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1860~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1860));

-- Location: LCCOMB_X74_Y29_N4
\WideAnd4072~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4072~1_combout\ = (led_flash_cnt_ands(1861) & led_flash_cnt_ands(1860))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1861),
	datad => led_flash_cnt_ands(1860),
	combout => \WideAnd4072~1_combout\);

-- Location: LCCOMB_X76_Y39_N8
\led_flash_cnt[1858][0]~82514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1858][0]~82514_combout\ = !\led_flash_cnt[1858][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1858][0]~q\,
	combout => \led_flash_cnt[1858][0]~82514_combout\);

-- Location: FF_X76_Y39_N9
\led_flash_cnt[1858][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1858][0]~82514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1858][0]~q\);

-- Location: LCCOMB_X76_Y36_N0
\led_flash_cnt[1858][1]~53116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1858][1]~53116_combout\ = (\led_flash_cnt[1858][0]~q\ & (\led_flash_cnt[1858][1]~q\ $ (VCC))) # (!\led_flash_cnt[1858][0]~q\ & (\led_flash_cnt[1858][1]~q\ & VCC))
-- \led_flash_cnt[1858][1]~53117\ = CARRY((\led_flash_cnt[1858][0]~q\ & \led_flash_cnt[1858][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1858][0]~q\,
	datab => \led_flash_cnt[1858][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1858][1]~53116_combout\,
	cout => \led_flash_cnt[1858][1]~53117\);

-- Location: FF_X76_Y36_N1
\led_flash_cnt[1858][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1858][1]~53116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1858][1]~q\);

-- Location: LCCOMB_X76_Y36_N2
\led_flash_cnt[1858][2]~53118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1858][2]~53118_combout\ = (\led_flash_cnt[1858][2]~q\ & (!\led_flash_cnt[1858][1]~53117\)) # (!\led_flash_cnt[1858][2]~q\ & ((\led_flash_cnt[1858][1]~53117\) # (GND)))
-- \led_flash_cnt[1858][2]~53119\ = CARRY((!\led_flash_cnt[1858][1]~53117\) # (!\led_flash_cnt[1858][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1858][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1858][1]~53117\,
	combout => \led_flash_cnt[1858][2]~53118_combout\,
	cout => \led_flash_cnt[1858][2]~53119\);

-- Location: FF_X76_Y36_N3
\led_flash_cnt[1858][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1858][2]~53118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1858][2]~q\);

-- Location: LCCOMB_X76_Y36_N4
\led_flash_cnt[1858][3]~53120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1858][3]~53120_combout\ = (\led_flash_cnt[1858][3]~q\ & (\led_flash_cnt[1858][2]~53119\ $ (GND))) # (!\led_flash_cnt[1858][3]~q\ & (!\led_flash_cnt[1858][2]~53119\ & VCC))
-- \led_flash_cnt[1858][3]~53121\ = CARRY((\led_flash_cnt[1858][3]~q\ & !\led_flash_cnt[1858][2]~53119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1858][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1858][2]~53119\,
	combout => \led_flash_cnt[1858][3]~53120_combout\,
	cout => \led_flash_cnt[1858][3]~53121\);

-- Location: FF_X76_Y36_N5
\led_flash_cnt[1858][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1858][3]~53120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1858][3]~q\);

-- Location: LCCOMB_X76_Y36_N6
\led_flash_cnt[1858][4]~53122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1858][4]~53122_combout\ = (\led_flash_cnt[1858][4]~q\ & (!\led_flash_cnt[1858][3]~53121\)) # (!\led_flash_cnt[1858][4]~q\ & ((\led_flash_cnt[1858][3]~53121\) # (GND)))
-- \led_flash_cnt[1858][4]~53123\ = CARRY((!\led_flash_cnt[1858][3]~53121\) # (!\led_flash_cnt[1858][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1858][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1858][3]~53121\,
	combout => \led_flash_cnt[1858][4]~53122_combout\,
	cout => \led_flash_cnt[1858][4]~53123\);

-- Location: FF_X76_Y36_N7
\led_flash_cnt[1858][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1858][4]~53122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1858][4]~q\);

-- Location: LCCOMB_X76_Y36_N8
\led_flash_cnt[1858][5]~53124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1858][5]~53124_combout\ = (\led_flash_cnt[1858][5]~q\ & (\led_flash_cnt[1858][4]~53123\ $ (GND))) # (!\led_flash_cnt[1858][5]~q\ & (!\led_flash_cnt[1858][4]~53123\ & VCC))
-- \led_flash_cnt[1858][5]~53125\ = CARRY((\led_flash_cnt[1858][5]~q\ & !\led_flash_cnt[1858][4]~53123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1858][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1858][4]~53123\,
	combout => \led_flash_cnt[1858][5]~53124_combout\,
	cout => \led_flash_cnt[1858][5]~53125\);

-- Location: FF_X76_Y36_N9
\led_flash_cnt[1858][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1858][5]~53124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1858][5]~q\);

-- Location: LCCOMB_X76_Y36_N10
\led_flash_cnt[1858][6]~53126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1858][6]~53126_combout\ = (\led_flash_cnt[1858][6]~q\ & (!\led_flash_cnt[1858][5]~53125\)) # (!\led_flash_cnt[1858][6]~q\ & ((\led_flash_cnt[1858][5]~53125\) # (GND)))
-- \led_flash_cnt[1858][6]~53127\ = CARRY((!\led_flash_cnt[1858][5]~53125\) # (!\led_flash_cnt[1858][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1858][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1858][5]~53125\,
	combout => \led_flash_cnt[1858][6]~53126_combout\,
	cout => \led_flash_cnt[1858][6]~53127\);

-- Location: FF_X76_Y36_N11
\led_flash_cnt[1858][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1858][6]~53126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1858][6]~q\);

-- Location: LCCOMB_X76_Y39_N6
\WideAnd1858~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1858~1_combout\ = (\led_flash_cnt[1858][6]~q\ & \led_flash_cnt[1858][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1858][6]~q\,
	datad => \led_flash_cnt[1858][5]~q\,
	combout => \WideAnd1858~1_combout\);

-- Location: LCCOMB_X76_Y36_N14
\WideAnd1858~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1858~0_combout\ = (\led_flash_cnt[1858][4]~q\ & (\led_flash_cnt[1858][1]~q\ & (\led_flash_cnt[1858][3]~q\ & \led_flash_cnt[1858][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1858][4]~q\,
	datab => \led_flash_cnt[1858][1]~q\,
	datac => \led_flash_cnt[1858][3]~q\,
	datad => \led_flash_cnt[1858][2]~q\,
	combout => \WideAnd1858~0_combout\);

-- Location: LCCOMB_X76_Y36_N12
\led_flash_cnt[1858][7]~53128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1858][7]~53128_combout\ = \led_flash_cnt[1858][6]~53127\ $ (!\led_flash_cnt[1858][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1858][7]~q\,
	cin => \led_flash_cnt[1858][6]~53127\,
	combout => \led_flash_cnt[1858][7]~53128_combout\);

-- Location: FF_X76_Y36_N13
\led_flash_cnt[1858][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1858][7]~53128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1858][7]~q\);

-- Location: LCCOMB_X76_Y39_N10
WideAnd1858 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1858~combout\ = (\WideAnd1858~1_combout\ & (\WideAnd1858~0_combout\ & (\led_flash_cnt[1858][7]~q\ & \led_flash_cnt[1858][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1858~1_combout\,
	datab => \WideAnd1858~0_combout\,
	datac => \led_flash_cnt[1858][7]~q\,
	datad => \led_flash_cnt[1858][0]~q\,
	combout => \WideAnd1858~combout\);

-- Location: FF_X76_Y39_N11
\led_flash_cnt_ands[1858]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1858~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1858));

-- Location: LCCOMB_X77_Y39_N18
\led_flash_cnt[1857][0]~82513\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1857][0]~82513_combout\ = !\led_flash_cnt[1857][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1857][0]~q\,
	combout => \led_flash_cnt[1857][0]~82513_combout\);

-- Location: FF_X77_Y39_N19
\led_flash_cnt[1857][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1857][0]~82513_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1857][0]~q\);

-- Location: LCCOMB_X77_Y39_N0
\led_flash_cnt[1857][1]~53102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1857][1]~53102_combout\ = (\led_flash_cnt[1857][1]~q\ & (\led_flash_cnt[1857][0]~q\ $ (VCC))) # (!\led_flash_cnt[1857][1]~q\ & (\led_flash_cnt[1857][0]~q\ & VCC))
-- \led_flash_cnt[1857][1]~53103\ = CARRY((\led_flash_cnt[1857][1]~q\ & \led_flash_cnt[1857][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1857][1]~q\,
	datab => \led_flash_cnt[1857][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1857][1]~53102_combout\,
	cout => \led_flash_cnt[1857][1]~53103\);

-- Location: FF_X77_Y39_N1
\led_flash_cnt[1857][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1857][1]~53102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1857][1]~q\);

-- Location: LCCOMB_X77_Y39_N2
\led_flash_cnt[1857][2]~53104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1857][2]~53104_combout\ = (\led_flash_cnt[1857][2]~q\ & (!\led_flash_cnt[1857][1]~53103\)) # (!\led_flash_cnt[1857][2]~q\ & ((\led_flash_cnt[1857][1]~53103\) # (GND)))
-- \led_flash_cnt[1857][2]~53105\ = CARRY((!\led_flash_cnt[1857][1]~53103\) # (!\led_flash_cnt[1857][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1857][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1857][1]~53103\,
	combout => \led_flash_cnt[1857][2]~53104_combout\,
	cout => \led_flash_cnt[1857][2]~53105\);

-- Location: FF_X77_Y39_N3
\led_flash_cnt[1857][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1857][2]~53104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1857][2]~q\);

-- Location: LCCOMB_X77_Y39_N4
\led_flash_cnt[1857][3]~53106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1857][3]~53106_combout\ = (\led_flash_cnt[1857][3]~q\ & (\led_flash_cnt[1857][2]~53105\ $ (GND))) # (!\led_flash_cnt[1857][3]~q\ & (!\led_flash_cnt[1857][2]~53105\ & VCC))
-- \led_flash_cnt[1857][3]~53107\ = CARRY((\led_flash_cnt[1857][3]~q\ & !\led_flash_cnt[1857][2]~53105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1857][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1857][2]~53105\,
	combout => \led_flash_cnt[1857][3]~53106_combout\,
	cout => \led_flash_cnt[1857][3]~53107\);

-- Location: FF_X77_Y39_N5
\led_flash_cnt[1857][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1857][3]~53106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1857][3]~q\);

-- Location: LCCOMB_X77_Y39_N6
\led_flash_cnt[1857][4]~53108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1857][4]~53108_combout\ = (\led_flash_cnt[1857][4]~q\ & (!\led_flash_cnt[1857][3]~53107\)) # (!\led_flash_cnt[1857][4]~q\ & ((\led_flash_cnt[1857][3]~53107\) # (GND)))
-- \led_flash_cnt[1857][4]~53109\ = CARRY((!\led_flash_cnt[1857][3]~53107\) # (!\led_flash_cnt[1857][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1857][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1857][3]~53107\,
	combout => \led_flash_cnt[1857][4]~53108_combout\,
	cout => \led_flash_cnt[1857][4]~53109\);

-- Location: FF_X77_Y39_N7
\led_flash_cnt[1857][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1857][4]~53108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1857][4]~q\);

-- Location: LCCOMB_X77_Y39_N8
\led_flash_cnt[1857][5]~53110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1857][5]~53110_combout\ = (\led_flash_cnt[1857][5]~q\ & (\led_flash_cnt[1857][4]~53109\ $ (GND))) # (!\led_flash_cnt[1857][5]~q\ & (!\led_flash_cnt[1857][4]~53109\ & VCC))
-- \led_flash_cnt[1857][5]~53111\ = CARRY((\led_flash_cnt[1857][5]~q\ & !\led_flash_cnt[1857][4]~53109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1857][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1857][4]~53109\,
	combout => \led_flash_cnt[1857][5]~53110_combout\,
	cout => \led_flash_cnt[1857][5]~53111\);

-- Location: FF_X77_Y39_N9
\led_flash_cnt[1857][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1857][5]~53110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1857][5]~q\);

-- Location: LCCOMB_X77_Y39_N10
\led_flash_cnt[1857][6]~53112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1857][6]~53112_combout\ = (\led_flash_cnt[1857][6]~q\ & (!\led_flash_cnt[1857][5]~53111\)) # (!\led_flash_cnt[1857][6]~q\ & ((\led_flash_cnt[1857][5]~53111\) # (GND)))
-- \led_flash_cnt[1857][6]~53113\ = CARRY((!\led_flash_cnt[1857][5]~53111\) # (!\led_flash_cnt[1857][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1857][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1857][5]~53111\,
	combout => \led_flash_cnt[1857][6]~53112_combout\,
	cout => \led_flash_cnt[1857][6]~53113\);

-- Location: FF_X77_Y39_N11
\led_flash_cnt[1857][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1857][6]~53112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1857][6]~q\);

-- Location: LCCOMB_X77_Y39_N12
\led_flash_cnt[1857][7]~53114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1857][7]~53114_combout\ = \led_flash_cnt[1857][6]~53113\ $ (!\led_flash_cnt[1857][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1857][7]~q\,
	cin => \led_flash_cnt[1857][6]~53113\,
	combout => \led_flash_cnt[1857][7]~53114_combout\);

-- Location: FF_X77_Y39_N13
\led_flash_cnt[1857][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1857][7]~53114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1857][7]~q\);

-- Location: LCCOMB_X77_Y39_N24
\WideAnd1857~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1857~0_combout\ = (\led_flash_cnt[1857][4]~q\ & (\led_flash_cnt[1857][1]~q\ & (\led_flash_cnt[1857][3]~q\ & \led_flash_cnt[1857][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1857][4]~q\,
	datab => \led_flash_cnt[1857][1]~q\,
	datac => \led_flash_cnt[1857][3]~q\,
	datad => \led_flash_cnt[1857][2]~q\,
	combout => \WideAnd1857~0_combout\);

-- Location: LCCOMB_X77_Y39_N26
\WideAnd1857~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1857~1_combout\ = (\led_flash_cnt[1857][5]~q\ & \led_flash_cnt[1857][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1857][5]~q\,
	datad => \led_flash_cnt[1857][6]~q\,
	combout => \WideAnd1857~1_combout\);

-- Location: LCCOMB_X77_Y39_N22
WideAnd1857 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1857~combout\ = (\led_flash_cnt[1857][7]~q\ & (\WideAnd1857~0_combout\ & (\WideAnd1857~1_combout\ & \led_flash_cnt[1857][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1857][7]~q\,
	datab => \WideAnd1857~0_combout\,
	datac => \WideAnd1857~1_combout\,
	datad => \led_flash_cnt[1857][0]~q\,
	combout => \WideAnd1857~combout\);

-- Location: FF_X77_Y39_N23
\led_flash_cnt_ands[1857]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1857~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1857));

-- Location: LCCOMB_X76_Y39_N12
\led_flash_cnt[1859][0]~82515\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1859][0]~82515_combout\ = !\led_flash_cnt[1859][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1859][0]~q\,
	combout => \led_flash_cnt[1859][0]~82515_combout\);

-- Location: FF_X76_Y39_N13
\led_flash_cnt[1859][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1859][0]~82515_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1859][0]~q\);

-- Location: LCCOMB_X76_Y39_N16
\led_flash_cnt[1859][1]~53130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1859][1]~53130_combout\ = (\led_flash_cnt[1859][0]~q\ & (\led_flash_cnt[1859][1]~q\ $ (VCC))) # (!\led_flash_cnt[1859][0]~q\ & (\led_flash_cnt[1859][1]~q\ & VCC))
-- \led_flash_cnt[1859][1]~53131\ = CARRY((\led_flash_cnt[1859][0]~q\ & \led_flash_cnt[1859][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1859][0]~q\,
	datab => \led_flash_cnt[1859][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1859][1]~53130_combout\,
	cout => \led_flash_cnt[1859][1]~53131\);

-- Location: FF_X76_Y39_N17
\led_flash_cnt[1859][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1859][1]~53130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1859][1]~q\);

-- Location: LCCOMB_X76_Y39_N18
\led_flash_cnt[1859][2]~53132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1859][2]~53132_combout\ = (\led_flash_cnt[1859][2]~q\ & (!\led_flash_cnt[1859][1]~53131\)) # (!\led_flash_cnt[1859][2]~q\ & ((\led_flash_cnt[1859][1]~53131\) # (GND)))
-- \led_flash_cnt[1859][2]~53133\ = CARRY((!\led_flash_cnt[1859][1]~53131\) # (!\led_flash_cnt[1859][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1859][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1859][1]~53131\,
	combout => \led_flash_cnt[1859][2]~53132_combout\,
	cout => \led_flash_cnt[1859][2]~53133\);

-- Location: FF_X76_Y39_N19
\led_flash_cnt[1859][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1859][2]~53132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1859][2]~q\);

-- Location: LCCOMB_X76_Y39_N20
\led_flash_cnt[1859][3]~53134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1859][3]~53134_combout\ = (\led_flash_cnt[1859][3]~q\ & (\led_flash_cnt[1859][2]~53133\ $ (GND))) # (!\led_flash_cnt[1859][3]~q\ & (!\led_flash_cnt[1859][2]~53133\ & VCC))
-- \led_flash_cnt[1859][3]~53135\ = CARRY((\led_flash_cnt[1859][3]~q\ & !\led_flash_cnt[1859][2]~53133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1859][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1859][2]~53133\,
	combout => \led_flash_cnt[1859][3]~53134_combout\,
	cout => \led_flash_cnt[1859][3]~53135\);

-- Location: FF_X76_Y39_N21
\led_flash_cnt[1859][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1859][3]~53134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1859][3]~q\);

-- Location: LCCOMB_X76_Y39_N22
\led_flash_cnt[1859][4]~53136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1859][4]~53136_combout\ = (\led_flash_cnt[1859][4]~q\ & (!\led_flash_cnt[1859][3]~53135\)) # (!\led_flash_cnt[1859][4]~q\ & ((\led_flash_cnt[1859][3]~53135\) # (GND)))
-- \led_flash_cnt[1859][4]~53137\ = CARRY((!\led_flash_cnt[1859][3]~53135\) # (!\led_flash_cnt[1859][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1859][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1859][3]~53135\,
	combout => \led_flash_cnt[1859][4]~53136_combout\,
	cout => \led_flash_cnt[1859][4]~53137\);

-- Location: FF_X76_Y39_N23
\led_flash_cnt[1859][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1859][4]~53136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1859][4]~q\);

-- Location: LCCOMB_X76_Y39_N24
\led_flash_cnt[1859][5]~53138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1859][5]~53138_combout\ = (\led_flash_cnt[1859][5]~q\ & (\led_flash_cnt[1859][4]~53137\ $ (GND))) # (!\led_flash_cnt[1859][5]~q\ & (!\led_flash_cnt[1859][4]~53137\ & VCC))
-- \led_flash_cnt[1859][5]~53139\ = CARRY((\led_flash_cnt[1859][5]~q\ & !\led_flash_cnt[1859][4]~53137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1859][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1859][4]~53137\,
	combout => \led_flash_cnt[1859][5]~53138_combout\,
	cout => \led_flash_cnt[1859][5]~53139\);

-- Location: FF_X76_Y39_N25
\led_flash_cnt[1859][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1859][5]~53138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1859][5]~q\);

-- Location: LCCOMB_X76_Y39_N26
\led_flash_cnt[1859][6]~53140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1859][6]~53140_combout\ = (\led_flash_cnt[1859][6]~q\ & (!\led_flash_cnt[1859][5]~53139\)) # (!\led_flash_cnt[1859][6]~q\ & ((\led_flash_cnt[1859][5]~53139\) # (GND)))
-- \led_flash_cnt[1859][6]~53141\ = CARRY((!\led_flash_cnt[1859][5]~53139\) # (!\led_flash_cnt[1859][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1859][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1859][5]~53139\,
	combout => \led_flash_cnt[1859][6]~53140_combout\,
	cout => \led_flash_cnt[1859][6]~53141\);

-- Location: FF_X76_Y39_N27
\led_flash_cnt[1859][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1859][6]~53140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1859][6]~q\);

-- Location: LCCOMB_X76_Y39_N28
\led_flash_cnt[1859][7]~53142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1859][7]~53142_combout\ = \led_flash_cnt[1859][6]~53141\ $ (!\led_flash_cnt[1859][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1859][7]~q\,
	cin => \led_flash_cnt[1859][6]~53141\,
	combout => \led_flash_cnt[1859][7]~53142_combout\);

-- Location: FF_X76_Y39_N29
\led_flash_cnt[1859][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1859][7]~53142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1859][7]~q\);

-- Location: LCCOMB_X76_Y39_N4
\WideAnd1859~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1859~1_combout\ = (\led_flash_cnt[1859][6]~q\ & \led_flash_cnt[1859][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1859][6]~q\,
	datad => \led_flash_cnt[1859][5]~q\,
	combout => \WideAnd1859~1_combout\);

-- Location: LCCOMB_X76_Y39_N2
\WideAnd1859~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1859~0_combout\ = (\led_flash_cnt[1859][3]~q\ & (\led_flash_cnt[1859][2]~q\ & (\led_flash_cnt[1859][4]~q\ & \led_flash_cnt[1859][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1859][3]~q\,
	datab => \led_flash_cnt[1859][2]~q\,
	datac => \led_flash_cnt[1859][4]~q\,
	datad => \led_flash_cnt[1859][1]~q\,
	combout => \WideAnd1859~0_combout\);

-- Location: LCCOMB_X76_Y39_N30
WideAnd1859 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1859~combout\ = (\led_flash_cnt[1859][0]~q\ & (\led_flash_cnt[1859][7]~q\ & (\WideAnd1859~1_combout\ & \WideAnd1859~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1859][0]~q\,
	datab => \led_flash_cnt[1859][7]~q\,
	datac => \WideAnd1859~1_combout\,
	datad => \WideAnd1859~0_combout\,
	combout => \WideAnd1859~combout\);

-- Location: FF_X76_Y39_N31
\led_flash_cnt_ands[1859]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1859~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1859));

-- Location: LCCOMB_X77_Y42_N8
\led_flash_cnt[1856][0]~82512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1856][0]~82512_combout\ = !\led_flash_cnt[1856][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1856][0]~q\,
	combout => \led_flash_cnt[1856][0]~82512_combout\);

-- Location: FF_X77_Y42_N9
\led_flash_cnt[1856][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1856][0]~82512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1856][0]~q\);

-- Location: LCCOMB_X77_Y42_N12
\led_flash_cnt[1856][1]~53088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1856][1]~53088_combout\ = (\led_flash_cnt[1856][1]~q\ & (\led_flash_cnt[1856][0]~q\ $ (VCC))) # (!\led_flash_cnt[1856][1]~q\ & (\led_flash_cnt[1856][0]~q\ & VCC))
-- \led_flash_cnt[1856][1]~53089\ = CARRY((\led_flash_cnt[1856][1]~q\ & \led_flash_cnt[1856][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1856][1]~q\,
	datab => \led_flash_cnt[1856][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1856][1]~53088_combout\,
	cout => \led_flash_cnt[1856][1]~53089\);

-- Location: FF_X77_Y42_N13
\led_flash_cnt[1856][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1856][1]~53088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1856][1]~q\);

-- Location: LCCOMB_X77_Y42_N14
\led_flash_cnt[1856][2]~53090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1856][2]~53090_combout\ = (\led_flash_cnt[1856][2]~q\ & (!\led_flash_cnt[1856][1]~53089\)) # (!\led_flash_cnt[1856][2]~q\ & ((\led_flash_cnt[1856][1]~53089\) # (GND)))
-- \led_flash_cnt[1856][2]~53091\ = CARRY((!\led_flash_cnt[1856][1]~53089\) # (!\led_flash_cnt[1856][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1856][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1856][1]~53089\,
	combout => \led_flash_cnt[1856][2]~53090_combout\,
	cout => \led_flash_cnt[1856][2]~53091\);

-- Location: FF_X77_Y42_N15
\led_flash_cnt[1856][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1856][2]~53090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1856][2]~q\);

-- Location: LCCOMB_X77_Y42_N16
\led_flash_cnt[1856][3]~53092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1856][3]~53092_combout\ = (\led_flash_cnt[1856][3]~q\ & (\led_flash_cnt[1856][2]~53091\ $ (GND))) # (!\led_flash_cnt[1856][3]~q\ & (!\led_flash_cnt[1856][2]~53091\ & VCC))
-- \led_flash_cnt[1856][3]~53093\ = CARRY((\led_flash_cnt[1856][3]~q\ & !\led_flash_cnt[1856][2]~53091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1856][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1856][2]~53091\,
	combout => \led_flash_cnt[1856][3]~53092_combout\,
	cout => \led_flash_cnt[1856][3]~53093\);

-- Location: FF_X77_Y42_N17
\led_flash_cnt[1856][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1856][3]~53092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1856][3]~q\);

-- Location: LCCOMB_X77_Y42_N18
\led_flash_cnt[1856][4]~53094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1856][4]~53094_combout\ = (\led_flash_cnt[1856][4]~q\ & (!\led_flash_cnt[1856][3]~53093\)) # (!\led_flash_cnt[1856][4]~q\ & ((\led_flash_cnt[1856][3]~53093\) # (GND)))
-- \led_flash_cnt[1856][4]~53095\ = CARRY((!\led_flash_cnt[1856][3]~53093\) # (!\led_flash_cnt[1856][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1856][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1856][3]~53093\,
	combout => \led_flash_cnt[1856][4]~53094_combout\,
	cout => \led_flash_cnt[1856][4]~53095\);

-- Location: FF_X77_Y42_N19
\led_flash_cnt[1856][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1856][4]~53094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1856][4]~q\);

-- Location: LCCOMB_X77_Y42_N10
\WideAnd1856~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1856~0_combout\ = (\led_flash_cnt[1856][1]~q\ & (\led_flash_cnt[1856][3]~q\ & (\led_flash_cnt[1856][2]~q\ & \led_flash_cnt[1856][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1856][1]~q\,
	datab => \led_flash_cnt[1856][3]~q\,
	datac => \led_flash_cnt[1856][2]~q\,
	datad => \led_flash_cnt[1856][4]~q\,
	combout => \WideAnd1856~0_combout\);

-- Location: LCCOMB_X77_Y42_N20
\led_flash_cnt[1856][5]~53096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1856][5]~53096_combout\ = (\led_flash_cnt[1856][5]~q\ & (\led_flash_cnt[1856][4]~53095\ $ (GND))) # (!\led_flash_cnt[1856][5]~q\ & (!\led_flash_cnt[1856][4]~53095\ & VCC))
-- \led_flash_cnt[1856][5]~53097\ = CARRY((\led_flash_cnt[1856][5]~q\ & !\led_flash_cnt[1856][4]~53095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1856][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1856][4]~53095\,
	combout => \led_flash_cnt[1856][5]~53096_combout\,
	cout => \led_flash_cnt[1856][5]~53097\);

-- Location: FF_X77_Y42_N21
\led_flash_cnt[1856][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1856][5]~53096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1856][5]~q\);

-- Location: LCCOMB_X77_Y42_N22
\led_flash_cnt[1856][6]~53098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1856][6]~53098_combout\ = (\led_flash_cnt[1856][6]~q\ & (!\led_flash_cnt[1856][5]~53097\)) # (!\led_flash_cnt[1856][6]~q\ & ((\led_flash_cnt[1856][5]~53097\) # (GND)))
-- \led_flash_cnt[1856][6]~53099\ = CARRY((!\led_flash_cnt[1856][5]~53097\) # (!\led_flash_cnt[1856][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1856][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1856][5]~53097\,
	combout => \led_flash_cnt[1856][6]~53098_combout\,
	cout => \led_flash_cnt[1856][6]~53099\);

-- Location: FF_X77_Y42_N23
\led_flash_cnt[1856][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1856][6]~53098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1856][6]~q\);

-- Location: LCCOMB_X77_Y42_N4
\WideAnd1856~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1856~1_combout\ = (\led_flash_cnt[1856][6]~q\ & \led_flash_cnt[1856][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1856][6]~q\,
	datad => \led_flash_cnt[1856][5]~q\,
	combout => \WideAnd1856~1_combout\);

-- Location: LCCOMB_X77_Y42_N24
\led_flash_cnt[1856][7]~53100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1856][7]~53100_combout\ = \led_flash_cnt[1856][6]~53099\ $ (!\led_flash_cnt[1856][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1856][7]~q\,
	cin => \led_flash_cnt[1856][6]~53099\,
	combout => \led_flash_cnt[1856][7]~53100_combout\);

-- Location: FF_X77_Y42_N25
\led_flash_cnt[1856][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1856][7]~53100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1856][7]~q\);

-- Location: LCCOMB_X77_Y42_N26
WideAnd1856 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1856~combout\ = (\WideAnd1856~0_combout\ & (\WideAnd1856~1_combout\ & (\led_flash_cnt[1856][0]~q\ & \led_flash_cnt[1856][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1856~0_combout\,
	datab => \WideAnd1856~1_combout\,
	datac => \led_flash_cnt[1856][0]~q\,
	datad => \led_flash_cnt[1856][7]~q\,
	combout => \WideAnd1856~combout\);

-- Location: FF_X77_Y42_N27
\led_flash_cnt_ands[1856]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1856~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1856));

-- Location: LCCOMB_X76_Y39_N14
\WideAnd4072~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4072~0_combout\ = (led_flash_cnt_ands(1858) & (led_flash_cnt_ands(1857) & (led_flash_cnt_ands(1859) & led_flash_cnt_ands(1856))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1858),
	datab => led_flash_cnt_ands(1857),
	datac => led_flash_cnt_ands(1859),
	datad => led_flash_cnt_ands(1856),
	combout => \WideAnd4072~0_combout\);

-- Location: LCCOMB_X65_Y37_N26
\led_flash_cnt[1863][0]~82519\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1863][0]~82519_combout\ = !\led_flash_cnt[1863][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1863][0]~q\,
	combout => \led_flash_cnt[1863][0]~82519_combout\);

-- Location: FF_X65_Y37_N27
\led_flash_cnt[1863][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1863][0]~82519_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1863][0]~q\);

-- Location: LCCOMB_X65_Y37_N2
\led_flash_cnt[1863][1]~53186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1863][1]~53186_combout\ = (\led_flash_cnt[1863][0]~q\ & (\led_flash_cnt[1863][1]~q\ $ (VCC))) # (!\led_flash_cnt[1863][0]~q\ & (\led_flash_cnt[1863][1]~q\ & VCC))
-- \led_flash_cnt[1863][1]~53187\ = CARRY((\led_flash_cnt[1863][0]~q\ & \led_flash_cnt[1863][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1863][0]~q\,
	datab => \led_flash_cnt[1863][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1863][1]~53186_combout\,
	cout => \led_flash_cnt[1863][1]~53187\);

-- Location: FF_X65_Y37_N3
\led_flash_cnt[1863][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1863][1]~53186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1863][1]~q\);

-- Location: LCCOMB_X65_Y37_N4
\led_flash_cnt[1863][2]~53188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1863][2]~53188_combout\ = (\led_flash_cnt[1863][2]~q\ & (!\led_flash_cnt[1863][1]~53187\)) # (!\led_flash_cnt[1863][2]~q\ & ((\led_flash_cnt[1863][1]~53187\) # (GND)))
-- \led_flash_cnt[1863][2]~53189\ = CARRY((!\led_flash_cnt[1863][1]~53187\) # (!\led_flash_cnt[1863][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1863][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1863][1]~53187\,
	combout => \led_flash_cnt[1863][2]~53188_combout\,
	cout => \led_flash_cnt[1863][2]~53189\);

-- Location: FF_X65_Y37_N5
\led_flash_cnt[1863][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1863][2]~53188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1863][2]~q\);

-- Location: LCCOMB_X65_Y37_N6
\led_flash_cnt[1863][3]~53190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1863][3]~53190_combout\ = (\led_flash_cnt[1863][3]~q\ & (\led_flash_cnt[1863][2]~53189\ $ (GND))) # (!\led_flash_cnt[1863][3]~q\ & (!\led_flash_cnt[1863][2]~53189\ & VCC))
-- \led_flash_cnt[1863][3]~53191\ = CARRY((\led_flash_cnt[1863][3]~q\ & !\led_flash_cnt[1863][2]~53189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1863][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1863][2]~53189\,
	combout => \led_flash_cnt[1863][3]~53190_combout\,
	cout => \led_flash_cnt[1863][3]~53191\);

-- Location: FF_X65_Y37_N7
\led_flash_cnt[1863][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1863][3]~53190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1863][3]~q\);

-- Location: LCCOMB_X65_Y37_N8
\led_flash_cnt[1863][4]~53192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1863][4]~53192_combout\ = (\led_flash_cnt[1863][4]~q\ & (!\led_flash_cnt[1863][3]~53191\)) # (!\led_flash_cnt[1863][4]~q\ & ((\led_flash_cnt[1863][3]~53191\) # (GND)))
-- \led_flash_cnt[1863][4]~53193\ = CARRY((!\led_flash_cnt[1863][3]~53191\) # (!\led_flash_cnt[1863][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1863][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1863][3]~53191\,
	combout => \led_flash_cnt[1863][4]~53192_combout\,
	cout => \led_flash_cnt[1863][4]~53193\);

-- Location: FF_X65_Y37_N9
\led_flash_cnt[1863][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1863][4]~53192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1863][4]~q\);

-- Location: LCCOMB_X65_Y37_N10
\led_flash_cnt[1863][5]~53194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1863][5]~53194_combout\ = (\led_flash_cnt[1863][5]~q\ & (\led_flash_cnt[1863][4]~53193\ $ (GND))) # (!\led_flash_cnt[1863][5]~q\ & (!\led_flash_cnt[1863][4]~53193\ & VCC))
-- \led_flash_cnt[1863][5]~53195\ = CARRY((\led_flash_cnt[1863][5]~q\ & !\led_flash_cnt[1863][4]~53193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1863][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1863][4]~53193\,
	combout => \led_flash_cnt[1863][5]~53194_combout\,
	cout => \led_flash_cnt[1863][5]~53195\);

-- Location: FF_X65_Y37_N11
\led_flash_cnt[1863][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1863][5]~53194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1863][5]~q\);

-- Location: LCCOMB_X65_Y37_N12
\led_flash_cnt[1863][6]~53196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1863][6]~53196_combout\ = (\led_flash_cnt[1863][6]~q\ & (!\led_flash_cnt[1863][5]~53195\)) # (!\led_flash_cnt[1863][6]~q\ & ((\led_flash_cnt[1863][5]~53195\) # (GND)))
-- \led_flash_cnt[1863][6]~53197\ = CARRY((!\led_flash_cnt[1863][5]~53195\) # (!\led_flash_cnt[1863][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1863][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1863][5]~53195\,
	combout => \led_flash_cnt[1863][6]~53196_combout\,
	cout => \led_flash_cnt[1863][6]~53197\);

-- Location: FF_X65_Y37_N13
\led_flash_cnt[1863][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1863][6]~53196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1863][6]~q\);

-- Location: LCCOMB_X65_Y37_N30
\WideAnd1863~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1863~1_combout\ = (\led_flash_cnt[1863][6]~q\ & \led_flash_cnt[1863][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1863][6]~q\,
	datad => \led_flash_cnt[1863][5]~q\,
	combout => \WideAnd1863~1_combout\);

-- Location: LCCOMB_X65_Y37_N14
\led_flash_cnt[1863][7]~53198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1863][7]~53198_combout\ = \led_flash_cnt[1863][7]~q\ $ (!\led_flash_cnt[1863][6]~53197\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1863][7]~q\,
	cin => \led_flash_cnt[1863][6]~53197\,
	combout => \led_flash_cnt[1863][7]~53198_combout\);

-- Location: FF_X65_Y37_N15
\led_flash_cnt[1863][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1863][7]~53198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1863][7]~q\);

-- Location: LCCOMB_X65_Y37_N24
\WideAnd1863~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1863~0_combout\ = (\led_flash_cnt[1863][3]~q\ & (\led_flash_cnt[1863][4]~q\ & (\led_flash_cnt[1863][2]~q\ & \led_flash_cnt[1863][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1863][3]~q\,
	datab => \led_flash_cnt[1863][4]~q\,
	datac => \led_flash_cnt[1863][2]~q\,
	datad => \led_flash_cnt[1863][1]~q\,
	combout => \WideAnd1863~0_combout\);

-- Location: LCCOMB_X65_Y37_N22
WideAnd1863 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1863~combout\ = (\WideAnd1863~1_combout\ & (\led_flash_cnt[1863][7]~q\ & (\led_flash_cnt[1863][0]~q\ & \WideAnd1863~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1863~1_combout\,
	datab => \led_flash_cnt[1863][7]~q\,
	datac => \led_flash_cnt[1863][0]~q\,
	datad => \WideAnd1863~0_combout\,
	combout => \WideAnd1863~combout\);

-- Location: FF_X65_Y37_N23
\led_flash_cnt_ands[1863]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1863~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1863));

-- Location: LCCOMB_X59_Y36_N12
\led_flash_cnt[1862][0]~82518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1862][0]~82518_combout\ = !\led_flash_cnt[1862][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1862][0]~q\,
	combout => \led_flash_cnt[1862][0]~82518_combout\);

-- Location: FF_X59_Y36_N13
\led_flash_cnt[1862][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1862][0]~82518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1862][0]~q\);

-- Location: LCCOMB_X59_Y36_N14
\led_flash_cnt[1862][1]~53172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1862][1]~53172_combout\ = (\led_flash_cnt[1862][0]~q\ & (\led_flash_cnt[1862][1]~q\ $ (VCC))) # (!\led_flash_cnt[1862][0]~q\ & (\led_flash_cnt[1862][1]~q\ & VCC))
-- \led_flash_cnt[1862][1]~53173\ = CARRY((\led_flash_cnt[1862][0]~q\ & \led_flash_cnt[1862][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1862][0]~q\,
	datab => \led_flash_cnt[1862][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1862][1]~53172_combout\,
	cout => \led_flash_cnt[1862][1]~53173\);

-- Location: FF_X59_Y36_N15
\led_flash_cnt[1862][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1862][1]~53172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1862][1]~q\);

-- Location: LCCOMB_X59_Y36_N16
\led_flash_cnt[1862][2]~53174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1862][2]~53174_combout\ = (\led_flash_cnt[1862][2]~q\ & (!\led_flash_cnt[1862][1]~53173\)) # (!\led_flash_cnt[1862][2]~q\ & ((\led_flash_cnt[1862][1]~53173\) # (GND)))
-- \led_flash_cnt[1862][2]~53175\ = CARRY((!\led_flash_cnt[1862][1]~53173\) # (!\led_flash_cnt[1862][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1862][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1862][1]~53173\,
	combout => \led_flash_cnt[1862][2]~53174_combout\,
	cout => \led_flash_cnt[1862][2]~53175\);

-- Location: FF_X59_Y36_N17
\led_flash_cnt[1862][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1862][2]~53174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1862][2]~q\);

-- Location: LCCOMB_X59_Y36_N18
\led_flash_cnt[1862][3]~53176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1862][3]~53176_combout\ = (\led_flash_cnt[1862][3]~q\ & (\led_flash_cnt[1862][2]~53175\ $ (GND))) # (!\led_flash_cnt[1862][3]~q\ & (!\led_flash_cnt[1862][2]~53175\ & VCC))
-- \led_flash_cnt[1862][3]~53177\ = CARRY((\led_flash_cnt[1862][3]~q\ & !\led_flash_cnt[1862][2]~53175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1862][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1862][2]~53175\,
	combout => \led_flash_cnt[1862][3]~53176_combout\,
	cout => \led_flash_cnt[1862][3]~53177\);

-- Location: FF_X59_Y36_N19
\led_flash_cnt[1862][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1862][3]~53176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1862][3]~q\);

-- Location: LCCOMB_X59_Y36_N20
\led_flash_cnt[1862][4]~53178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1862][4]~53178_combout\ = (\led_flash_cnt[1862][4]~q\ & (!\led_flash_cnt[1862][3]~53177\)) # (!\led_flash_cnt[1862][4]~q\ & ((\led_flash_cnt[1862][3]~53177\) # (GND)))
-- \led_flash_cnt[1862][4]~53179\ = CARRY((!\led_flash_cnt[1862][3]~53177\) # (!\led_flash_cnt[1862][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1862][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1862][3]~53177\,
	combout => \led_flash_cnt[1862][4]~53178_combout\,
	cout => \led_flash_cnt[1862][4]~53179\);

-- Location: FF_X59_Y36_N21
\led_flash_cnt[1862][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1862][4]~53178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1862][4]~q\);

-- Location: LCCOMB_X59_Y36_N22
\led_flash_cnt[1862][5]~53180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1862][5]~53180_combout\ = (\led_flash_cnt[1862][5]~q\ & (\led_flash_cnt[1862][4]~53179\ $ (GND))) # (!\led_flash_cnt[1862][5]~q\ & (!\led_flash_cnt[1862][4]~53179\ & VCC))
-- \led_flash_cnt[1862][5]~53181\ = CARRY((\led_flash_cnt[1862][5]~q\ & !\led_flash_cnt[1862][4]~53179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1862][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1862][4]~53179\,
	combout => \led_flash_cnt[1862][5]~53180_combout\,
	cout => \led_flash_cnt[1862][5]~53181\);

-- Location: FF_X59_Y36_N23
\led_flash_cnt[1862][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1862][5]~53180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1862][5]~q\);

-- Location: LCCOMB_X59_Y36_N24
\led_flash_cnt[1862][6]~53182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1862][6]~53182_combout\ = (\led_flash_cnt[1862][6]~q\ & (!\led_flash_cnt[1862][5]~53181\)) # (!\led_flash_cnt[1862][6]~q\ & ((\led_flash_cnt[1862][5]~53181\) # (GND)))
-- \led_flash_cnt[1862][6]~53183\ = CARRY((!\led_flash_cnt[1862][5]~53181\) # (!\led_flash_cnt[1862][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1862][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1862][5]~53181\,
	combout => \led_flash_cnt[1862][6]~53182_combout\,
	cout => \led_flash_cnt[1862][6]~53183\);

-- Location: FF_X59_Y36_N25
\led_flash_cnt[1862][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1862][6]~53182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1862][6]~q\);

-- Location: LCCOMB_X59_Y36_N10
\WideAnd1862~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1862~1_combout\ = (\led_flash_cnt[1862][5]~q\ & \led_flash_cnt[1862][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1862][5]~q\,
	datad => \led_flash_cnt[1862][6]~q\,
	combout => \WideAnd1862~1_combout\);

-- Location: LCCOMB_X59_Y36_N28
\WideAnd1862~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1862~0_combout\ = (\led_flash_cnt[1862][4]~q\ & (\led_flash_cnt[1862][3]~q\ & (\led_flash_cnt[1862][1]~q\ & \led_flash_cnt[1862][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1862][4]~q\,
	datab => \led_flash_cnt[1862][3]~q\,
	datac => \led_flash_cnt[1862][1]~q\,
	datad => \led_flash_cnt[1862][2]~q\,
	combout => \WideAnd1862~0_combout\);

-- Location: LCCOMB_X59_Y36_N26
\led_flash_cnt[1862][7]~53184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1862][7]~53184_combout\ = \led_flash_cnt[1862][7]~q\ $ (!\led_flash_cnt[1862][6]~53183\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1862][7]~q\,
	cin => \led_flash_cnt[1862][6]~53183\,
	combout => \led_flash_cnt[1862][7]~53184_combout\);

-- Location: FF_X59_Y36_N27
\led_flash_cnt[1862][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1862][7]~53184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1862][7]~q\);

-- Location: LCCOMB_X59_Y36_N2
WideAnd1862 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1862~combout\ = (\WideAnd1862~1_combout\ & (\WideAnd1862~0_combout\ & (\led_flash_cnt[1862][7]~q\ & \led_flash_cnt[1862][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1862~1_combout\,
	datab => \WideAnd1862~0_combout\,
	datac => \led_flash_cnt[1862][7]~q\,
	datad => \led_flash_cnt[1862][0]~q\,
	combout => \WideAnd1862~combout\);

-- Location: FF_X59_Y36_N3
\led_flash_cnt_ands[1862]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1862~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1862));

-- Location: LCCOMB_X66_Y36_N10
WideAnd4072 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4072~combout\ = (\WideAnd4072~1_combout\ & (\WideAnd4072~0_combout\ & (led_flash_cnt_ands(1863) & led_flash_cnt_ands(1862))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4072~1_combout\,
	datab => \WideAnd4072~0_combout\,
	datac => led_flash_cnt_ands(1863),
	datad => led_flash_cnt_ands(1862),
	combout => \WideAnd4072~combout\);

-- Location: FF_X66_Y36_N11
\led_flash_cnt_ands_1[232]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4072~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(232));

-- Location: LCCOMB_X49_Y40_N4
\led_flash_cnt[1881][0]~82537\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1881][0]~82537_combout\ = !\led_flash_cnt[1881][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1881][0]~q\,
	combout => \led_flash_cnt[1881][0]~82537_combout\);

-- Location: FF_X49_Y40_N5
\led_flash_cnt[1881][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1881][0]~82537_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1881][0]~q\);

-- Location: LCCOMB_X49_Y36_N18
\led_flash_cnt[1881][1]~53438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1881][1]~53438_combout\ = (\led_flash_cnt[1881][0]~q\ & (\led_flash_cnt[1881][1]~q\ $ (VCC))) # (!\led_flash_cnt[1881][0]~q\ & (\led_flash_cnt[1881][1]~q\ & VCC))
-- \led_flash_cnt[1881][1]~53439\ = CARRY((\led_flash_cnt[1881][0]~q\ & \led_flash_cnt[1881][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1881][0]~q\,
	datab => \led_flash_cnt[1881][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1881][1]~53438_combout\,
	cout => \led_flash_cnt[1881][1]~53439\);

-- Location: FF_X49_Y36_N19
\led_flash_cnt[1881][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1881][1]~53438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1881][1]~q\);

-- Location: LCCOMB_X49_Y36_N20
\led_flash_cnt[1881][2]~53440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1881][2]~53440_combout\ = (\led_flash_cnt[1881][2]~q\ & (!\led_flash_cnt[1881][1]~53439\)) # (!\led_flash_cnt[1881][2]~q\ & ((\led_flash_cnt[1881][1]~53439\) # (GND)))
-- \led_flash_cnt[1881][2]~53441\ = CARRY((!\led_flash_cnt[1881][1]~53439\) # (!\led_flash_cnt[1881][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1881][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1881][1]~53439\,
	combout => \led_flash_cnt[1881][2]~53440_combout\,
	cout => \led_flash_cnt[1881][2]~53441\);

-- Location: FF_X49_Y36_N21
\led_flash_cnt[1881][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1881][2]~53440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1881][2]~q\);

-- Location: LCCOMB_X49_Y36_N22
\led_flash_cnt[1881][3]~53442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1881][3]~53442_combout\ = (\led_flash_cnt[1881][3]~q\ & (\led_flash_cnt[1881][2]~53441\ $ (GND))) # (!\led_flash_cnt[1881][3]~q\ & (!\led_flash_cnt[1881][2]~53441\ & VCC))
-- \led_flash_cnt[1881][3]~53443\ = CARRY((\led_flash_cnt[1881][3]~q\ & !\led_flash_cnt[1881][2]~53441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1881][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1881][2]~53441\,
	combout => \led_flash_cnt[1881][3]~53442_combout\,
	cout => \led_flash_cnt[1881][3]~53443\);

-- Location: FF_X49_Y36_N23
\led_flash_cnt[1881][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1881][3]~53442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1881][3]~q\);

-- Location: LCCOMB_X49_Y36_N24
\led_flash_cnt[1881][4]~53444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1881][4]~53444_combout\ = (\led_flash_cnt[1881][4]~q\ & (!\led_flash_cnt[1881][3]~53443\)) # (!\led_flash_cnt[1881][4]~q\ & ((\led_flash_cnt[1881][3]~53443\) # (GND)))
-- \led_flash_cnt[1881][4]~53445\ = CARRY((!\led_flash_cnt[1881][3]~53443\) # (!\led_flash_cnt[1881][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1881][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1881][3]~53443\,
	combout => \led_flash_cnt[1881][4]~53444_combout\,
	cout => \led_flash_cnt[1881][4]~53445\);

-- Location: FF_X49_Y36_N25
\led_flash_cnt[1881][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1881][4]~53444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1881][4]~q\);

-- Location: LCCOMB_X49_Y36_N26
\led_flash_cnt[1881][5]~53446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1881][5]~53446_combout\ = (\led_flash_cnt[1881][5]~q\ & (\led_flash_cnt[1881][4]~53445\ $ (GND))) # (!\led_flash_cnt[1881][5]~q\ & (!\led_flash_cnt[1881][4]~53445\ & VCC))
-- \led_flash_cnt[1881][5]~53447\ = CARRY((\led_flash_cnt[1881][5]~q\ & !\led_flash_cnt[1881][4]~53445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1881][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1881][4]~53445\,
	combout => \led_flash_cnt[1881][5]~53446_combout\,
	cout => \led_flash_cnt[1881][5]~53447\);

-- Location: FF_X49_Y36_N27
\led_flash_cnt[1881][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1881][5]~53446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1881][5]~q\);

-- Location: LCCOMB_X49_Y36_N28
\led_flash_cnt[1881][6]~53448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1881][6]~53448_combout\ = (\led_flash_cnt[1881][6]~q\ & (!\led_flash_cnt[1881][5]~53447\)) # (!\led_flash_cnt[1881][6]~q\ & ((\led_flash_cnt[1881][5]~53447\) # (GND)))
-- \led_flash_cnt[1881][6]~53449\ = CARRY((!\led_flash_cnt[1881][5]~53447\) # (!\led_flash_cnt[1881][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1881][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1881][5]~53447\,
	combout => \led_flash_cnt[1881][6]~53448_combout\,
	cout => \led_flash_cnt[1881][6]~53449\);

-- Location: FF_X49_Y36_N29
\led_flash_cnt[1881][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1881][6]~53448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1881][6]~q\);

-- Location: LCCOMB_X49_Y40_N10
\WideAnd1881~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1881~1_combout\ = (\led_flash_cnt[1881][6]~q\ & \led_flash_cnt[1881][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1881][6]~q\,
	datad => \led_flash_cnt[1881][5]~q\,
	combout => \WideAnd1881~1_combout\);

-- Location: LCCOMB_X49_Y36_N16
\WideAnd1881~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1881~0_combout\ = (\led_flash_cnt[1881][4]~q\ & (\led_flash_cnt[1881][2]~q\ & (\led_flash_cnt[1881][3]~q\ & \led_flash_cnt[1881][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1881][4]~q\,
	datab => \led_flash_cnt[1881][2]~q\,
	datac => \led_flash_cnt[1881][3]~q\,
	datad => \led_flash_cnt[1881][1]~q\,
	combout => \WideAnd1881~0_combout\);

-- Location: LCCOMB_X49_Y36_N30
\led_flash_cnt[1881][7]~53450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1881][7]~53450_combout\ = \led_flash_cnt[1881][7]~q\ $ (!\led_flash_cnt[1881][6]~53449\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1881][7]~q\,
	cin => \led_flash_cnt[1881][6]~53449\,
	combout => \led_flash_cnt[1881][7]~53450_combout\);

-- Location: FF_X49_Y36_N31
\led_flash_cnt[1881][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1881][7]~53450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1881][7]~q\);

-- Location: LCCOMB_X49_Y40_N28
WideAnd1881 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1881~combout\ = (\WideAnd1881~1_combout\ & (\WideAnd1881~0_combout\ & (\led_flash_cnt[1881][7]~q\ & \led_flash_cnt[1881][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1881~1_combout\,
	datab => \WideAnd1881~0_combout\,
	datac => \led_flash_cnt[1881][7]~q\,
	datad => \led_flash_cnt[1881][0]~q\,
	combout => \WideAnd1881~combout\);

-- Location: FF_X49_Y40_N29
\led_flash_cnt_ands[1881]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1881~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1881));

-- Location: LCCOMB_X44_Y39_N8
\led_flash_cnt[1883][0]~82539\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1883][0]~82539_combout\ = !\led_flash_cnt[1883][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1883][0]~q\,
	combout => \led_flash_cnt[1883][0]~82539_combout\);

-- Location: FF_X44_Y39_N9
\led_flash_cnt[1883][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1883][0]~82539_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1883][0]~q\);

-- Location: LCCOMB_X42_Y38_N10
\led_flash_cnt[1883][1]~53466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1883][1]~53466_combout\ = (\led_flash_cnt[1883][1]~q\ & (\led_flash_cnt[1883][0]~q\ $ (VCC))) # (!\led_flash_cnt[1883][1]~q\ & (\led_flash_cnt[1883][0]~q\ & VCC))
-- \led_flash_cnt[1883][1]~53467\ = CARRY((\led_flash_cnt[1883][1]~q\ & \led_flash_cnt[1883][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1883][1]~q\,
	datab => \led_flash_cnt[1883][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1883][1]~53466_combout\,
	cout => \led_flash_cnt[1883][1]~53467\);

-- Location: FF_X42_Y38_N11
\led_flash_cnt[1883][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1883][1]~53466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1883][1]~q\);

-- Location: LCCOMB_X42_Y38_N12
\led_flash_cnt[1883][2]~53468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1883][2]~53468_combout\ = (\led_flash_cnt[1883][2]~q\ & (!\led_flash_cnt[1883][1]~53467\)) # (!\led_flash_cnt[1883][2]~q\ & ((\led_flash_cnt[1883][1]~53467\) # (GND)))
-- \led_flash_cnt[1883][2]~53469\ = CARRY((!\led_flash_cnt[1883][1]~53467\) # (!\led_flash_cnt[1883][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1883][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1883][1]~53467\,
	combout => \led_flash_cnt[1883][2]~53468_combout\,
	cout => \led_flash_cnt[1883][2]~53469\);

-- Location: FF_X42_Y38_N13
\led_flash_cnt[1883][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1883][2]~53468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1883][2]~q\);

-- Location: LCCOMB_X42_Y38_N14
\led_flash_cnt[1883][3]~53470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1883][3]~53470_combout\ = (\led_flash_cnt[1883][3]~q\ & (\led_flash_cnt[1883][2]~53469\ $ (GND))) # (!\led_flash_cnt[1883][3]~q\ & (!\led_flash_cnt[1883][2]~53469\ & VCC))
-- \led_flash_cnt[1883][3]~53471\ = CARRY((\led_flash_cnt[1883][3]~q\ & !\led_flash_cnt[1883][2]~53469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1883][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1883][2]~53469\,
	combout => \led_flash_cnt[1883][3]~53470_combout\,
	cout => \led_flash_cnt[1883][3]~53471\);

-- Location: FF_X42_Y38_N15
\led_flash_cnt[1883][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1883][3]~53470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1883][3]~q\);

-- Location: LCCOMB_X42_Y38_N16
\led_flash_cnt[1883][4]~53472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1883][4]~53472_combout\ = (\led_flash_cnt[1883][4]~q\ & (!\led_flash_cnt[1883][3]~53471\)) # (!\led_flash_cnt[1883][4]~q\ & ((\led_flash_cnt[1883][3]~53471\) # (GND)))
-- \led_flash_cnt[1883][4]~53473\ = CARRY((!\led_flash_cnt[1883][3]~53471\) # (!\led_flash_cnt[1883][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1883][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1883][3]~53471\,
	combout => \led_flash_cnt[1883][4]~53472_combout\,
	cout => \led_flash_cnt[1883][4]~53473\);

-- Location: FF_X42_Y38_N17
\led_flash_cnt[1883][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1883][4]~53472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1883][4]~q\);

-- Location: LCCOMB_X42_Y38_N18
\led_flash_cnt[1883][5]~53474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1883][5]~53474_combout\ = (\led_flash_cnt[1883][5]~q\ & (\led_flash_cnt[1883][4]~53473\ $ (GND))) # (!\led_flash_cnt[1883][5]~q\ & (!\led_flash_cnt[1883][4]~53473\ & VCC))
-- \led_flash_cnt[1883][5]~53475\ = CARRY((\led_flash_cnt[1883][5]~q\ & !\led_flash_cnt[1883][4]~53473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1883][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1883][4]~53473\,
	combout => \led_flash_cnt[1883][5]~53474_combout\,
	cout => \led_flash_cnt[1883][5]~53475\);

-- Location: FF_X42_Y38_N19
\led_flash_cnt[1883][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1883][5]~53474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1883][5]~q\);

-- Location: LCCOMB_X42_Y38_N20
\led_flash_cnt[1883][6]~53476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1883][6]~53476_combout\ = (\led_flash_cnt[1883][6]~q\ & (!\led_flash_cnt[1883][5]~53475\)) # (!\led_flash_cnt[1883][6]~q\ & ((\led_flash_cnt[1883][5]~53475\) # (GND)))
-- \led_flash_cnt[1883][6]~53477\ = CARRY((!\led_flash_cnt[1883][5]~53475\) # (!\led_flash_cnt[1883][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1883][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1883][5]~53475\,
	combout => \led_flash_cnt[1883][6]~53476_combout\,
	cout => \led_flash_cnt[1883][6]~53477\);

-- Location: FF_X42_Y38_N21
\led_flash_cnt[1883][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1883][6]~53476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1883][6]~q\);

-- Location: LCCOMB_X42_Y38_N30
\WideAnd1883~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1883~1_combout\ = (\led_flash_cnt[1883][6]~q\ & \led_flash_cnt[1883][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1883][6]~q\,
	datad => \led_flash_cnt[1883][5]~q\,
	combout => \WideAnd1883~1_combout\);

-- Location: LCCOMB_X42_Y38_N22
\led_flash_cnt[1883][7]~53478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1883][7]~53478_combout\ = \led_flash_cnt[1883][7]~q\ $ (!\led_flash_cnt[1883][6]~53477\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1883][7]~q\,
	cin => \led_flash_cnt[1883][6]~53477\,
	combout => \led_flash_cnt[1883][7]~53478_combout\);

-- Location: FF_X42_Y38_N23
\led_flash_cnt[1883][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1883][7]~53478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1883][7]~q\);

-- Location: LCCOMB_X42_Y38_N28
\WideAnd1883~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1883~0_combout\ = (\led_flash_cnt[1883][1]~q\ & (\led_flash_cnt[1883][4]~q\ & (\led_flash_cnt[1883][3]~q\ & \led_flash_cnt[1883][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1883][1]~q\,
	datab => \led_flash_cnt[1883][4]~q\,
	datac => \led_flash_cnt[1883][3]~q\,
	datad => \led_flash_cnt[1883][2]~q\,
	combout => \WideAnd1883~0_combout\);

-- Location: LCCOMB_X42_Y38_N2
WideAnd1883 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1883~combout\ = (\WideAnd1883~1_combout\ & (\led_flash_cnt[1883][0]~q\ & (\led_flash_cnt[1883][7]~q\ & \WideAnd1883~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1883~1_combout\,
	datab => \led_flash_cnt[1883][0]~q\,
	datac => \led_flash_cnt[1883][7]~q\,
	datad => \WideAnd1883~0_combout\,
	combout => \WideAnd1883~combout\);

-- Location: FF_X42_Y38_N3
\led_flash_cnt_ands[1883]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1883~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1883));

-- Location: LCCOMB_X49_Y40_N2
\led_flash_cnt[1882][0]~82538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1882][0]~82538_combout\ = !\led_flash_cnt[1882][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1882][0]~q\,
	combout => \led_flash_cnt[1882][0]~82538_combout\);

-- Location: FF_X49_Y40_N3
\led_flash_cnt[1882][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1882][0]~82538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1882][0]~q\);

-- Location: LCCOMB_X49_Y40_N12
\led_flash_cnt[1882][1]~53452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1882][1]~53452_combout\ = (\led_flash_cnt[1882][1]~q\ & (\led_flash_cnt[1882][0]~q\ $ (VCC))) # (!\led_flash_cnt[1882][1]~q\ & (\led_flash_cnt[1882][0]~q\ & VCC))
-- \led_flash_cnt[1882][1]~53453\ = CARRY((\led_flash_cnt[1882][1]~q\ & \led_flash_cnt[1882][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1882][1]~q\,
	datab => \led_flash_cnt[1882][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1882][1]~53452_combout\,
	cout => \led_flash_cnt[1882][1]~53453\);

-- Location: FF_X49_Y40_N13
\led_flash_cnt[1882][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1882][1]~53452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1882][1]~q\);

-- Location: LCCOMB_X49_Y40_N14
\led_flash_cnt[1882][2]~53454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1882][2]~53454_combout\ = (\led_flash_cnt[1882][2]~q\ & (!\led_flash_cnt[1882][1]~53453\)) # (!\led_flash_cnt[1882][2]~q\ & ((\led_flash_cnt[1882][1]~53453\) # (GND)))
-- \led_flash_cnt[1882][2]~53455\ = CARRY((!\led_flash_cnt[1882][1]~53453\) # (!\led_flash_cnt[1882][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1882][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1882][1]~53453\,
	combout => \led_flash_cnt[1882][2]~53454_combout\,
	cout => \led_flash_cnt[1882][2]~53455\);

-- Location: FF_X49_Y40_N15
\led_flash_cnt[1882][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1882][2]~53454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1882][2]~q\);

-- Location: LCCOMB_X49_Y40_N16
\led_flash_cnt[1882][3]~53456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1882][3]~53456_combout\ = (\led_flash_cnt[1882][3]~q\ & (\led_flash_cnt[1882][2]~53455\ $ (GND))) # (!\led_flash_cnt[1882][3]~q\ & (!\led_flash_cnt[1882][2]~53455\ & VCC))
-- \led_flash_cnt[1882][3]~53457\ = CARRY((\led_flash_cnt[1882][3]~q\ & !\led_flash_cnt[1882][2]~53455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1882][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1882][2]~53455\,
	combout => \led_flash_cnt[1882][3]~53456_combout\,
	cout => \led_flash_cnt[1882][3]~53457\);

-- Location: FF_X49_Y40_N17
\led_flash_cnt[1882][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1882][3]~53456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1882][3]~q\);

-- Location: LCCOMB_X49_Y40_N18
\led_flash_cnt[1882][4]~53458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1882][4]~53458_combout\ = (\led_flash_cnt[1882][4]~q\ & (!\led_flash_cnt[1882][3]~53457\)) # (!\led_flash_cnt[1882][4]~q\ & ((\led_flash_cnt[1882][3]~53457\) # (GND)))
-- \led_flash_cnt[1882][4]~53459\ = CARRY((!\led_flash_cnt[1882][3]~53457\) # (!\led_flash_cnt[1882][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1882][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1882][3]~53457\,
	combout => \led_flash_cnt[1882][4]~53458_combout\,
	cout => \led_flash_cnt[1882][4]~53459\);

-- Location: FF_X49_Y40_N19
\led_flash_cnt[1882][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1882][4]~53458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1882][4]~q\);

-- Location: LCCOMB_X49_Y40_N26
\WideAnd1882~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1882~0_combout\ = (\led_flash_cnt[1882][1]~q\ & (\led_flash_cnt[1882][4]~q\ & (\led_flash_cnt[1882][2]~q\ & \led_flash_cnt[1882][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1882][1]~q\,
	datab => \led_flash_cnt[1882][4]~q\,
	datac => \led_flash_cnt[1882][2]~q\,
	datad => \led_flash_cnt[1882][3]~q\,
	combout => \WideAnd1882~0_combout\);

-- Location: LCCOMB_X49_Y40_N20
\led_flash_cnt[1882][5]~53460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1882][5]~53460_combout\ = (\led_flash_cnt[1882][5]~q\ & (\led_flash_cnt[1882][4]~53459\ $ (GND))) # (!\led_flash_cnt[1882][5]~q\ & (!\led_flash_cnt[1882][4]~53459\ & VCC))
-- \led_flash_cnt[1882][5]~53461\ = CARRY((\led_flash_cnt[1882][5]~q\ & !\led_flash_cnt[1882][4]~53459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1882][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1882][4]~53459\,
	combout => \led_flash_cnt[1882][5]~53460_combout\,
	cout => \led_flash_cnt[1882][5]~53461\);

-- Location: FF_X49_Y40_N21
\led_flash_cnt[1882][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1882][5]~53460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1882][5]~q\);

-- Location: LCCOMB_X49_Y40_N22
\led_flash_cnt[1882][6]~53462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1882][6]~53462_combout\ = (\led_flash_cnt[1882][6]~q\ & (!\led_flash_cnt[1882][5]~53461\)) # (!\led_flash_cnt[1882][6]~q\ & ((\led_flash_cnt[1882][5]~53461\) # (GND)))
-- \led_flash_cnt[1882][6]~53463\ = CARRY((!\led_flash_cnt[1882][5]~53461\) # (!\led_flash_cnt[1882][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1882][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1882][5]~53461\,
	combout => \led_flash_cnt[1882][6]~53462_combout\,
	cout => \led_flash_cnt[1882][6]~53463\);

-- Location: FF_X49_Y40_N23
\led_flash_cnt[1882][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1882][6]~53462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1882][6]~q\);

-- Location: LCCOMB_X49_Y40_N24
\led_flash_cnt[1882][7]~53464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1882][7]~53464_combout\ = \led_flash_cnt[1882][6]~53463\ $ (!\led_flash_cnt[1882][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1882][7]~q\,
	cin => \led_flash_cnt[1882][6]~53463\,
	combout => \led_flash_cnt[1882][7]~53464_combout\);

-- Location: FF_X49_Y40_N25
\led_flash_cnt[1882][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1882][7]~53464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1882][7]~q\);

-- Location: LCCOMB_X49_Y40_N30
\WideAnd1882~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1882~1_combout\ = (\led_flash_cnt[1882][6]~q\ & \led_flash_cnt[1882][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1882][6]~q\,
	datad => \led_flash_cnt[1882][5]~q\,
	combout => \WideAnd1882~1_combout\);

-- Location: LCCOMB_X49_Y40_N8
WideAnd1882 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1882~combout\ = (\WideAnd1882~0_combout\ & (\led_flash_cnt[1882][7]~q\ & (\WideAnd1882~1_combout\ & \led_flash_cnt[1882][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1882~0_combout\,
	datab => \led_flash_cnt[1882][7]~q\,
	datac => \WideAnd1882~1_combout\,
	datad => \led_flash_cnt[1882][0]~q\,
	combout => \WideAnd1882~combout\);

-- Location: FF_X49_Y40_N9
\led_flash_cnt_ands[1882]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1882~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1882));

-- Location: LCCOMB_X46_Y40_N8
\led_flash_cnt[1880][0]~82536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1880][0]~82536_combout\ = !\led_flash_cnt[1880][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1880][0]~q\,
	combout => \led_flash_cnt[1880][0]~82536_combout\);

-- Location: FF_X46_Y40_N9
\led_flash_cnt[1880][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1880][0]~82536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1880][0]~q\);

-- Location: LCCOMB_X46_Y40_N10
\led_flash_cnt[1880][1]~53424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1880][1]~53424_combout\ = (\led_flash_cnt[1880][1]~q\ & (\led_flash_cnt[1880][0]~q\ $ (VCC))) # (!\led_flash_cnt[1880][1]~q\ & (\led_flash_cnt[1880][0]~q\ & VCC))
-- \led_flash_cnt[1880][1]~53425\ = CARRY((\led_flash_cnt[1880][1]~q\ & \led_flash_cnt[1880][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1880][1]~q\,
	datab => \led_flash_cnt[1880][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1880][1]~53424_combout\,
	cout => \led_flash_cnt[1880][1]~53425\);

-- Location: FF_X46_Y40_N11
\led_flash_cnt[1880][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1880][1]~53424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1880][1]~q\);

-- Location: LCCOMB_X46_Y40_N12
\led_flash_cnt[1880][2]~53426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1880][2]~53426_combout\ = (\led_flash_cnt[1880][2]~q\ & (!\led_flash_cnt[1880][1]~53425\)) # (!\led_flash_cnt[1880][2]~q\ & ((\led_flash_cnt[1880][1]~53425\) # (GND)))
-- \led_flash_cnt[1880][2]~53427\ = CARRY((!\led_flash_cnt[1880][1]~53425\) # (!\led_flash_cnt[1880][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1880][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1880][1]~53425\,
	combout => \led_flash_cnt[1880][2]~53426_combout\,
	cout => \led_flash_cnt[1880][2]~53427\);

-- Location: FF_X46_Y40_N13
\led_flash_cnt[1880][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1880][2]~53426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1880][2]~q\);

-- Location: LCCOMB_X46_Y40_N14
\led_flash_cnt[1880][3]~53428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1880][3]~53428_combout\ = (\led_flash_cnt[1880][3]~q\ & (\led_flash_cnt[1880][2]~53427\ $ (GND))) # (!\led_flash_cnt[1880][3]~q\ & (!\led_flash_cnt[1880][2]~53427\ & VCC))
-- \led_flash_cnt[1880][3]~53429\ = CARRY((\led_flash_cnt[1880][3]~q\ & !\led_flash_cnt[1880][2]~53427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1880][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1880][2]~53427\,
	combout => \led_flash_cnt[1880][3]~53428_combout\,
	cout => \led_flash_cnt[1880][3]~53429\);

-- Location: FF_X46_Y40_N15
\led_flash_cnt[1880][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1880][3]~53428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1880][3]~q\);

-- Location: LCCOMB_X46_Y40_N16
\led_flash_cnt[1880][4]~53430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1880][4]~53430_combout\ = (\led_flash_cnt[1880][4]~q\ & (!\led_flash_cnt[1880][3]~53429\)) # (!\led_flash_cnt[1880][4]~q\ & ((\led_flash_cnt[1880][3]~53429\) # (GND)))
-- \led_flash_cnt[1880][4]~53431\ = CARRY((!\led_flash_cnt[1880][3]~53429\) # (!\led_flash_cnt[1880][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1880][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1880][3]~53429\,
	combout => \led_flash_cnt[1880][4]~53430_combout\,
	cout => \led_flash_cnt[1880][4]~53431\);

-- Location: FF_X46_Y40_N17
\led_flash_cnt[1880][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1880][4]~53430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1880][4]~q\);

-- Location: LCCOMB_X46_Y40_N18
\led_flash_cnt[1880][5]~53432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1880][5]~53432_combout\ = (\led_flash_cnt[1880][5]~q\ & (\led_flash_cnt[1880][4]~53431\ $ (GND))) # (!\led_flash_cnt[1880][5]~q\ & (!\led_flash_cnt[1880][4]~53431\ & VCC))
-- \led_flash_cnt[1880][5]~53433\ = CARRY((\led_flash_cnt[1880][5]~q\ & !\led_flash_cnt[1880][4]~53431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1880][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1880][4]~53431\,
	combout => \led_flash_cnt[1880][5]~53432_combout\,
	cout => \led_flash_cnt[1880][5]~53433\);

-- Location: FF_X46_Y40_N19
\led_flash_cnt[1880][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1880][5]~53432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1880][5]~q\);

-- Location: LCCOMB_X46_Y40_N20
\led_flash_cnt[1880][6]~53434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1880][6]~53434_combout\ = (\led_flash_cnt[1880][6]~q\ & (!\led_flash_cnt[1880][5]~53433\)) # (!\led_flash_cnt[1880][6]~q\ & ((\led_flash_cnt[1880][5]~53433\) # (GND)))
-- \led_flash_cnt[1880][6]~53435\ = CARRY((!\led_flash_cnt[1880][5]~53433\) # (!\led_flash_cnt[1880][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1880][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1880][5]~53433\,
	combout => \led_flash_cnt[1880][6]~53434_combout\,
	cout => \led_flash_cnt[1880][6]~53435\);

-- Location: FF_X46_Y40_N21
\led_flash_cnt[1880][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1880][6]~53434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1880][6]~q\);

-- Location: LCCOMB_X46_Y40_N26
\WideAnd1880~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1880~1_combout\ = (\led_flash_cnt[1880][5]~q\ & \led_flash_cnt[1880][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1880][5]~q\,
	datad => \led_flash_cnt[1880][6]~q\,
	combout => \WideAnd1880~1_combout\);

-- Location: LCCOMB_X46_Y40_N22
\led_flash_cnt[1880][7]~53436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1880][7]~53436_combout\ = \led_flash_cnt[1880][7]~q\ $ (!\led_flash_cnt[1880][6]~53435\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1880][7]~q\,
	cin => \led_flash_cnt[1880][6]~53435\,
	combout => \led_flash_cnt[1880][7]~53436_combout\);

-- Location: FF_X46_Y40_N23
\led_flash_cnt[1880][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1880][7]~53436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1880][7]~q\);

-- Location: LCCOMB_X46_Y40_N24
\WideAnd1880~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1880~0_combout\ = (\led_flash_cnt[1880][2]~q\ & (\led_flash_cnt[1880][4]~q\ & (\led_flash_cnt[1880][3]~q\ & \led_flash_cnt[1880][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1880][2]~q\,
	datab => \led_flash_cnt[1880][4]~q\,
	datac => \led_flash_cnt[1880][3]~q\,
	datad => \led_flash_cnt[1880][1]~q\,
	combout => \WideAnd1880~0_combout\);

-- Location: LCCOMB_X46_Y40_N6
WideAnd1880 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1880~combout\ = (\WideAnd1880~1_combout\ & (\led_flash_cnt[1880][0]~q\ & (\led_flash_cnt[1880][7]~q\ & \WideAnd1880~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1880~1_combout\,
	datab => \led_flash_cnt[1880][0]~q\,
	datac => \led_flash_cnt[1880][7]~q\,
	datad => \WideAnd1880~0_combout\,
	combout => \WideAnd1880~combout\);

-- Location: FF_X46_Y40_N7
\led_flash_cnt_ands[1880]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1880~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1880));

-- Location: LCCOMB_X46_Y40_N2
\WideAnd4075~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4075~0_combout\ = (led_flash_cnt_ands(1881) & (led_flash_cnt_ands(1883) & (led_flash_cnt_ands(1882) & led_flash_cnt_ands(1880))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1881),
	datab => led_flash_cnt_ands(1883),
	datac => led_flash_cnt_ands(1882),
	datad => led_flash_cnt_ands(1880),
	combout => \WideAnd4075~0_combout\);

-- Location: LCCOMB_X46_Y40_N28
\led_flash_cnt[1887][0]~82543\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1887][0]~82543_combout\ = !\led_flash_cnt[1887][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1887][0]~q\,
	combout => \led_flash_cnt[1887][0]~82543_combout\);

-- Location: FF_X46_Y40_N29
\led_flash_cnt[1887][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1887][0]~82543_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1887][0]~q\);

-- Location: LCCOMB_X45_Y40_N18
\led_flash_cnt[1887][1]~53522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1887][1]~53522_combout\ = (\led_flash_cnt[1887][0]~q\ & (\led_flash_cnt[1887][1]~q\ $ (VCC))) # (!\led_flash_cnt[1887][0]~q\ & (\led_flash_cnt[1887][1]~q\ & VCC))
-- \led_flash_cnt[1887][1]~53523\ = CARRY((\led_flash_cnt[1887][0]~q\ & \led_flash_cnt[1887][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1887][0]~q\,
	datab => \led_flash_cnt[1887][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1887][1]~53522_combout\,
	cout => \led_flash_cnt[1887][1]~53523\);

-- Location: FF_X45_Y40_N19
\led_flash_cnt[1887][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1887][1]~53522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1887][1]~q\);

-- Location: LCCOMB_X45_Y40_N20
\led_flash_cnt[1887][2]~53524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1887][2]~53524_combout\ = (\led_flash_cnt[1887][2]~q\ & (!\led_flash_cnt[1887][1]~53523\)) # (!\led_flash_cnt[1887][2]~q\ & ((\led_flash_cnt[1887][1]~53523\) # (GND)))
-- \led_flash_cnt[1887][2]~53525\ = CARRY((!\led_flash_cnt[1887][1]~53523\) # (!\led_flash_cnt[1887][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1887][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1887][1]~53523\,
	combout => \led_flash_cnt[1887][2]~53524_combout\,
	cout => \led_flash_cnt[1887][2]~53525\);

-- Location: FF_X45_Y40_N21
\led_flash_cnt[1887][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1887][2]~53524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1887][2]~q\);

-- Location: LCCOMB_X45_Y40_N22
\led_flash_cnt[1887][3]~53526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1887][3]~53526_combout\ = (\led_flash_cnt[1887][3]~q\ & (\led_flash_cnt[1887][2]~53525\ $ (GND))) # (!\led_flash_cnt[1887][3]~q\ & (!\led_flash_cnt[1887][2]~53525\ & VCC))
-- \led_flash_cnt[1887][3]~53527\ = CARRY((\led_flash_cnt[1887][3]~q\ & !\led_flash_cnt[1887][2]~53525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1887][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1887][2]~53525\,
	combout => \led_flash_cnt[1887][3]~53526_combout\,
	cout => \led_flash_cnt[1887][3]~53527\);

-- Location: FF_X45_Y40_N23
\led_flash_cnt[1887][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1887][3]~53526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1887][3]~q\);

-- Location: LCCOMB_X45_Y40_N24
\led_flash_cnt[1887][4]~53528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1887][4]~53528_combout\ = (\led_flash_cnt[1887][4]~q\ & (!\led_flash_cnt[1887][3]~53527\)) # (!\led_flash_cnt[1887][4]~q\ & ((\led_flash_cnt[1887][3]~53527\) # (GND)))
-- \led_flash_cnt[1887][4]~53529\ = CARRY((!\led_flash_cnt[1887][3]~53527\) # (!\led_flash_cnt[1887][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1887][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1887][3]~53527\,
	combout => \led_flash_cnt[1887][4]~53528_combout\,
	cout => \led_flash_cnt[1887][4]~53529\);

-- Location: FF_X45_Y40_N25
\led_flash_cnt[1887][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1887][4]~53528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1887][4]~q\);

-- Location: LCCOMB_X45_Y40_N14
\WideAnd1887~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1887~0_combout\ = (\led_flash_cnt[1887][4]~q\ & (\led_flash_cnt[1887][2]~q\ & (\led_flash_cnt[1887][3]~q\ & \led_flash_cnt[1887][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1887][4]~q\,
	datab => \led_flash_cnt[1887][2]~q\,
	datac => \led_flash_cnt[1887][3]~q\,
	datad => \led_flash_cnt[1887][1]~q\,
	combout => \WideAnd1887~0_combout\);

-- Location: LCCOMB_X45_Y40_N26
\led_flash_cnt[1887][5]~53530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1887][5]~53530_combout\ = (\led_flash_cnt[1887][5]~q\ & (\led_flash_cnt[1887][4]~53529\ $ (GND))) # (!\led_flash_cnt[1887][5]~q\ & (!\led_flash_cnt[1887][4]~53529\ & VCC))
-- \led_flash_cnt[1887][5]~53531\ = CARRY((\led_flash_cnt[1887][5]~q\ & !\led_flash_cnt[1887][4]~53529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1887][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1887][4]~53529\,
	combout => \led_flash_cnt[1887][5]~53530_combout\,
	cout => \led_flash_cnt[1887][5]~53531\);

-- Location: FF_X45_Y40_N27
\led_flash_cnt[1887][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1887][5]~53530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1887][5]~q\);

-- Location: LCCOMB_X45_Y40_N28
\led_flash_cnt[1887][6]~53532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1887][6]~53532_combout\ = (\led_flash_cnt[1887][6]~q\ & (!\led_flash_cnt[1887][5]~53531\)) # (!\led_flash_cnt[1887][6]~q\ & ((\led_flash_cnt[1887][5]~53531\) # (GND)))
-- \led_flash_cnt[1887][6]~53533\ = CARRY((!\led_flash_cnt[1887][5]~53531\) # (!\led_flash_cnt[1887][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1887][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1887][5]~53531\,
	combout => \led_flash_cnt[1887][6]~53532_combout\,
	cout => \led_flash_cnt[1887][6]~53533\);

-- Location: FF_X45_Y40_N29
\led_flash_cnt[1887][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1887][6]~53532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1887][6]~q\);

-- Location: LCCOMB_X45_Y40_N30
\led_flash_cnt[1887][7]~53534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1887][7]~53534_combout\ = \led_flash_cnt[1887][7]~q\ $ (!\led_flash_cnt[1887][6]~53533\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1887][7]~q\,
	cin => \led_flash_cnt[1887][6]~53533\,
	combout => \led_flash_cnt[1887][7]~53534_combout\);

-- Location: FF_X45_Y40_N31
\led_flash_cnt[1887][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1887][7]~53534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1887][7]~q\);

-- Location: LCCOMB_X46_Y40_N4
\WideAnd1887~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1887~1_combout\ = (\led_flash_cnt[1887][5]~q\ & \led_flash_cnt[1887][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1887][5]~q\,
	datad => \led_flash_cnt[1887][6]~q\,
	combout => \WideAnd1887~1_combout\);

-- Location: LCCOMB_X46_Y40_N30
WideAnd1887 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1887~combout\ = (\WideAnd1887~0_combout\ & (\led_flash_cnt[1887][7]~q\ & (\WideAnd1887~1_combout\ & \led_flash_cnt[1887][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1887~0_combout\,
	datab => \led_flash_cnt[1887][7]~q\,
	datac => \WideAnd1887~1_combout\,
	datad => \led_flash_cnt[1887][0]~q\,
	combout => \WideAnd1887~combout\);

-- Location: FF_X46_Y40_N31
\led_flash_cnt_ands[1887]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1887~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1887));

-- Location: LCCOMB_X47_Y35_N24
\led_flash_cnt[1886][0]~82542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1886][0]~82542_combout\ = !\led_flash_cnt[1886][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1886][0]~q\,
	combout => \led_flash_cnt[1886][0]~82542_combout\);

-- Location: FF_X47_Y35_N25
\led_flash_cnt[1886][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1886][0]~82542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1886][0]~q\);

-- Location: LCCOMB_X46_Y35_N0
\led_flash_cnt[1886][1]~53508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1886][1]~53508_combout\ = (\led_flash_cnt[1886][0]~q\ & (\led_flash_cnt[1886][1]~q\ $ (VCC))) # (!\led_flash_cnt[1886][0]~q\ & (\led_flash_cnt[1886][1]~q\ & VCC))
-- \led_flash_cnt[1886][1]~53509\ = CARRY((\led_flash_cnt[1886][0]~q\ & \led_flash_cnt[1886][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1886][0]~q\,
	datab => \led_flash_cnt[1886][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1886][1]~53508_combout\,
	cout => \led_flash_cnt[1886][1]~53509\);

-- Location: FF_X46_Y35_N1
\led_flash_cnt[1886][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1886][1]~53508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1886][1]~q\);

-- Location: LCCOMB_X46_Y35_N2
\led_flash_cnt[1886][2]~53510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1886][2]~53510_combout\ = (\led_flash_cnt[1886][2]~q\ & (!\led_flash_cnt[1886][1]~53509\)) # (!\led_flash_cnt[1886][2]~q\ & ((\led_flash_cnt[1886][1]~53509\) # (GND)))
-- \led_flash_cnt[1886][2]~53511\ = CARRY((!\led_flash_cnt[1886][1]~53509\) # (!\led_flash_cnt[1886][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1886][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1886][1]~53509\,
	combout => \led_flash_cnt[1886][2]~53510_combout\,
	cout => \led_flash_cnt[1886][2]~53511\);

-- Location: FF_X46_Y35_N3
\led_flash_cnt[1886][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1886][2]~53510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1886][2]~q\);

-- Location: LCCOMB_X46_Y35_N4
\led_flash_cnt[1886][3]~53512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1886][3]~53512_combout\ = (\led_flash_cnt[1886][3]~q\ & (\led_flash_cnt[1886][2]~53511\ $ (GND))) # (!\led_flash_cnt[1886][3]~q\ & (!\led_flash_cnt[1886][2]~53511\ & VCC))
-- \led_flash_cnt[1886][3]~53513\ = CARRY((\led_flash_cnt[1886][3]~q\ & !\led_flash_cnt[1886][2]~53511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1886][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1886][2]~53511\,
	combout => \led_flash_cnt[1886][3]~53512_combout\,
	cout => \led_flash_cnt[1886][3]~53513\);

-- Location: FF_X46_Y35_N5
\led_flash_cnt[1886][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1886][3]~53512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1886][3]~q\);

-- Location: LCCOMB_X46_Y35_N6
\led_flash_cnt[1886][4]~53514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1886][4]~53514_combout\ = (\led_flash_cnt[1886][4]~q\ & (!\led_flash_cnt[1886][3]~53513\)) # (!\led_flash_cnt[1886][4]~q\ & ((\led_flash_cnt[1886][3]~53513\) # (GND)))
-- \led_flash_cnt[1886][4]~53515\ = CARRY((!\led_flash_cnt[1886][3]~53513\) # (!\led_flash_cnt[1886][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1886][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1886][3]~53513\,
	combout => \led_flash_cnt[1886][4]~53514_combout\,
	cout => \led_flash_cnt[1886][4]~53515\);

-- Location: FF_X46_Y35_N7
\led_flash_cnt[1886][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1886][4]~53514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1886][4]~q\);

-- Location: LCCOMB_X46_Y35_N8
\led_flash_cnt[1886][5]~53516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1886][5]~53516_combout\ = (\led_flash_cnt[1886][5]~q\ & (\led_flash_cnt[1886][4]~53515\ $ (GND))) # (!\led_flash_cnt[1886][5]~q\ & (!\led_flash_cnt[1886][4]~53515\ & VCC))
-- \led_flash_cnt[1886][5]~53517\ = CARRY((\led_flash_cnt[1886][5]~q\ & !\led_flash_cnt[1886][4]~53515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1886][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1886][4]~53515\,
	combout => \led_flash_cnt[1886][5]~53516_combout\,
	cout => \led_flash_cnt[1886][5]~53517\);

-- Location: FF_X46_Y35_N9
\led_flash_cnt[1886][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1886][5]~53516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1886][5]~q\);

-- Location: LCCOMB_X46_Y35_N10
\led_flash_cnt[1886][6]~53518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1886][6]~53518_combout\ = (\led_flash_cnt[1886][6]~q\ & (!\led_flash_cnt[1886][5]~53517\)) # (!\led_flash_cnt[1886][6]~q\ & ((\led_flash_cnt[1886][5]~53517\) # (GND)))
-- \led_flash_cnt[1886][6]~53519\ = CARRY((!\led_flash_cnt[1886][5]~53517\) # (!\led_flash_cnt[1886][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1886][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1886][5]~53517\,
	combout => \led_flash_cnt[1886][6]~53518_combout\,
	cout => \led_flash_cnt[1886][6]~53519\);

-- Location: FF_X46_Y35_N11
\led_flash_cnt[1886][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1886][6]~53518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1886][6]~q\);

-- Location: LCCOMB_X46_Y35_N12
\led_flash_cnt[1886][7]~53520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1886][7]~53520_combout\ = \led_flash_cnt[1886][6]~53519\ $ (!\led_flash_cnt[1886][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1886][7]~q\,
	cin => \led_flash_cnt[1886][6]~53519\,
	combout => \led_flash_cnt[1886][7]~53520_combout\);

-- Location: FF_X46_Y35_N13
\led_flash_cnt[1886][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1886][7]~53520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1886][7]~q\);

-- Location: LCCOMB_X47_Y35_N0
\WideAnd1886~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1886~1_combout\ = (\led_flash_cnt[1886][6]~q\ & \led_flash_cnt[1886][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1886][6]~q\,
	datad => \led_flash_cnt[1886][5]~q\,
	combout => \WideAnd1886~1_combout\);

-- Location: LCCOMB_X46_Y35_N16
\WideAnd1886~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1886~0_combout\ = (\led_flash_cnt[1886][4]~q\ & (\led_flash_cnt[1886][1]~q\ & (\led_flash_cnt[1886][3]~q\ & \led_flash_cnt[1886][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1886][4]~q\,
	datab => \led_flash_cnt[1886][1]~q\,
	datac => \led_flash_cnt[1886][3]~q\,
	datad => \led_flash_cnt[1886][2]~q\,
	combout => \WideAnd1886~0_combout\);

-- Location: LCCOMB_X47_Y35_N30
WideAnd1886 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1886~combout\ = (\led_flash_cnt[1886][7]~q\ & (\WideAnd1886~1_combout\ & (\WideAnd1886~0_combout\ & \led_flash_cnt[1886][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1886][7]~q\,
	datab => \WideAnd1886~1_combout\,
	datac => \WideAnd1886~0_combout\,
	datad => \led_flash_cnt[1886][0]~q\,
	combout => \WideAnd1886~combout\);

-- Location: FF_X47_Y35_N31
\led_flash_cnt_ands[1886]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1886~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1886));

-- Location: LCCOMB_X47_Y43_N18
\led_flash_cnt[1885][0]~82541\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1885][0]~82541_combout\ = !\led_flash_cnt[1885][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1885][0]~q\,
	combout => \led_flash_cnt[1885][0]~82541_combout\);

-- Location: FF_X47_Y43_N19
\led_flash_cnt[1885][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1885][0]~82541_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1885][0]~q\);

-- Location: LCCOMB_X47_Y43_N4
\led_flash_cnt[1885][1]~53494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1885][1]~53494_combout\ = (\led_flash_cnt[1885][0]~q\ & (\led_flash_cnt[1885][1]~q\ $ (VCC))) # (!\led_flash_cnt[1885][0]~q\ & (\led_flash_cnt[1885][1]~q\ & VCC))
-- \led_flash_cnt[1885][1]~53495\ = CARRY((\led_flash_cnt[1885][0]~q\ & \led_flash_cnt[1885][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1885][0]~q\,
	datab => \led_flash_cnt[1885][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1885][1]~53494_combout\,
	cout => \led_flash_cnt[1885][1]~53495\);

-- Location: FF_X47_Y43_N5
\led_flash_cnt[1885][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1885][1]~53494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1885][1]~q\);

-- Location: LCCOMB_X47_Y43_N6
\led_flash_cnt[1885][2]~53496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1885][2]~53496_combout\ = (\led_flash_cnt[1885][2]~q\ & (!\led_flash_cnt[1885][1]~53495\)) # (!\led_flash_cnt[1885][2]~q\ & ((\led_flash_cnt[1885][1]~53495\) # (GND)))
-- \led_flash_cnt[1885][2]~53497\ = CARRY((!\led_flash_cnt[1885][1]~53495\) # (!\led_flash_cnt[1885][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1885][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1885][1]~53495\,
	combout => \led_flash_cnt[1885][2]~53496_combout\,
	cout => \led_flash_cnt[1885][2]~53497\);

-- Location: FF_X47_Y43_N7
\led_flash_cnt[1885][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1885][2]~53496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1885][2]~q\);

-- Location: LCCOMB_X47_Y43_N8
\led_flash_cnt[1885][3]~53498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1885][3]~53498_combout\ = (\led_flash_cnt[1885][3]~q\ & (\led_flash_cnt[1885][2]~53497\ $ (GND))) # (!\led_flash_cnt[1885][3]~q\ & (!\led_flash_cnt[1885][2]~53497\ & VCC))
-- \led_flash_cnt[1885][3]~53499\ = CARRY((\led_flash_cnt[1885][3]~q\ & !\led_flash_cnt[1885][2]~53497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1885][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1885][2]~53497\,
	combout => \led_flash_cnt[1885][3]~53498_combout\,
	cout => \led_flash_cnt[1885][3]~53499\);

-- Location: FF_X47_Y43_N9
\led_flash_cnt[1885][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1885][3]~53498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1885][3]~q\);

-- Location: LCCOMB_X47_Y43_N10
\led_flash_cnt[1885][4]~53500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1885][4]~53500_combout\ = (\led_flash_cnt[1885][4]~q\ & (!\led_flash_cnt[1885][3]~53499\)) # (!\led_flash_cnt[1885][4]~q\ & ((\led_flash_cnt[1885][3]~53499\) # (GND)))
-- \led_flash_cnt[1885][4]~53501\ = CARRY((!\led_flash_cnt[1885][3]~53499\) # (!\led_flash_cnt[1885][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1885][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1885][3]~53499\,
	combout => \led_flash_cnt[1885][4]~53500_combout\,
	cout => \led_flash_cnt[1885][4]~53501\);

-- Location: FF_X47_Y43_N11
\led_flash_cnt[1885][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1885][4]~53500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1885][4]~q\);

-- Location: LCCOMB_X47_Y43_N12
\led_flash_cnt[1885][5]~53502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1885][5]~53502_combout\ = (\led_flash_cnt[1885][5]~q\ & (\led_flash_cnt[1885][4]~53501\ $ (GND))) # (!\led_flash_cnt[1885][5]~q\ & (!\led_flash_cnt[1885][4]~53501\ & VCC))
-- \led_flash_cnt[1885][5]~53503\ = CARRY((\led_flash_cnt[1885][5]~q\ & !\led_flash_cnt[1885][4]~53501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1885][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1885][4]~53501\,
	combout => \led_flash_cnt[1885][5]~53502_combout\,
	cout => \led_flash_cnt[1885][5]~53503\);

-- Location: FF_X47_Y43_N13
\led_flash_cnt[1885][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1885][5]~53502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1885][5]~q\);

-- Location: LCCOMB_X47_Y43_N14
\led_flash_cnt[1885][6]~53504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1885][6]~53504_combout\ = (\led_flash_cnt[1885][6]~q\ & (!\led_flash_cnt[1885][5]~53503\)) # (!\led_flash_cnt[1885][6]~q\ & ((\led_flash_cnt[1885][5]~53503\) # (GND)))
-- \led_flash_cnt[1885][6]~53505\ = CARRY((!\led_flash_cnt[1885][5]~53503\) # (!\led_flash_cnt[1885][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1885][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1885][5]~53503\,
	combout => \led_flash_cnt[1885][6]~53504_combout\,
	cout => \led_flash_cnt[1885][6]~53505\);

-- Location: FF_X47_Y43_N15
\led_flash_cnt[1885][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1885][6]~53504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1885][6]~q\);

-- Location: LCCOMB_X47_Y43_N16
\led_flash_cnt[1885][7]~53506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1885][7]~53506_combout\ = \led_flash_cnt[1885][6]~53505\ $ (!\led_flash_cnt[1885][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1885][7]~q\,
	cin => \led_flash_cnt[1885][6]~53505\,
	combout => \led_flash_cnt[1885][7]~53506_combout\);

-- Location: FF_X47_Y43_N17
\led_flash_cnt[1885][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1885][7]~53506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1885][7]~q\);

-- Location: LCCOMB_X47_Y43_N26
\WideAnd1885~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1885~1_combout\ = (\led_flash_cnt[1885][7]~q\ & \led_flash_cnt[1885][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1885][7]~q\,
	datad => \led_flash_cnt[1885][0]~q\,
	combout => \WideAnd1885~1_combout\);

-- Location: LCCOMB_X47_Y43_N0
\WideAnd1885~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1885~0_combout\ = (\led_flash_cnt[1885][4]~q\ & (\led_flash_cnt[1885][1]~q\ & (\led_flash_cnt[1885][3]~q\ & \led_flash_cnt[1885][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1885][4]~q\,
	datab => \led_flash_cnt[1885][1]~q\,
	datac => \led_flash_cnt[1885][3]~q\,
	datad => \led_flash_cnt[1885][2]~q\,
	combout => \WideAnd1885~0_combout\);

-- Location: LCCOMB_X47_Y43_N30
WideAnd1885 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1885~combout\ = (\WideAnd1885~1_combout\ & (\WideAnd1885~0_combout\ & (\led_flash_cnt[1885][6]~q\ & \led_flash_cnt[1885][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1885~1_combout\,
	datab => \WideAnd1885~0_combout\,
	datac => \led_flash_cnt[1885][6]~q\,
	datad => \led_flash_cnt[1885][5]~q\,
	combout => \WideAnd1885~combout\);

-- Location: FF_X47_Y43_N31
\led_flash_cnt_ands[1885]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1885~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1885));

-- Location: LCCOMB_X47_Y43_N2
\led_flash_cnt[1884][0]~82540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1884][0]~82540_combout\ = !\led_flash_cnt[1884][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1884][0]~q\,
	combout => \led_flash_cnt[1884][0]~82540_combout\);

-- Location: FF_X47_Y43_N3
\led_flash_cnt[1884][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1884][0]~82540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1884][0]~q\);

-- Location: LCCOMB_X46_Y43_N16
\led_flash_cnt[1884][1]~53480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1884][1]~53480_combout\ = (\led_flash_cnt[1884][0]~q\ & (\led_flash_cnt[1884][1]~q\ $ (VCC))) # (!\led_flash_cnt[1884][0]~q\ & (\led_flash_cnt[1884][1]~q\ & VCC))
-- \led_flash_cnt[1884][1]~53481\ = CARRY((\led_flash_cnt[1884][0]~q\ & \led_flash_cnt[1884][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1884][0]~q\,
	datab => \led_flash_cnt[1884][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1884][1]~53480_combout\,
	cout => \led_flash_cnt[1884][1]~53481\);

-- Location: FF_X46_Y43_N17
\led_flash_cnt[1884][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1884][1]~53480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1884][1]~q\);

-- Location: LCCOMB_X46_Y43_N18
\led_flash_cnt[1884][2]~53482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1884][2]~53482_combout\ = (\led_flash_cnt[1884][2]~q\ & (!\led_flash_cnt[1884][1]~53481\)) # (!\led_flash_cnt[1884][2]~q\ & ((\led_flash_cnt[1884][1]~53481\) # (GND)))
-- \led_flash_cnt[1884][2]~53483\ = CARRY((!\led_flash_cnt[1884][1]~53481\) # (!\led_flash_cnt[1884][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1884][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1884][1]~53481\,
	combout => \led_flash_cnt[1884][2]~53482_combout\,
	cout => \led_flash_cnt[1884][2]~53483\);

-- Location: FF_X46_Y43_N19
\led_flash_cnt[1884][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1884][2]~53482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1884][2]~q\);

-- Location: LCCOMB_X46_Y43_N20
\led_flash_cnt[1884][3]~53484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1884][3]~53484_combout\ = (\led_flash_cnt[1884][3]~q\ & (\led_flash_cnt[1884][2]~53483\ $ (GND))) # (!\led_flash_cnt[1884][3]~q\ & (!\led_flash_cnt[1884][2]~53483\ & VCC))
-- \led_flash_cnt[1884][3]~53485\ = CARRY((\led_flash_cnt[1884][3]~q\ & !\led_flash_cnt[1884][2]~53483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1884][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1884][2]~53483\,
	combout => \led_flash_cnt[1884][3]~53484_combout\,
	cout => \led_flash_cnt[1884][3]~53485\);

-- Location: FF_X46_Y43_N21
\led_flash_cnt[1884][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1884][3]~53484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1884][3]~q\);

-- Location: LCCOMB_X46_Y43_N22
\led_flash_cnt[1884][4]~53486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1884][4]~53486_combout\ = (\led_flash_cnt[1884][4]~q\ & (!\led_flash_cnt[1884][3]~53485\)) # (!\led_flash_cnt[1884][4]~q\ & ((\led_flash_cnt[1884][3]~53485\) # (GND)))
-- \led_flash_cnt[1884][4]~53487\ = CARRY((!\led_flash_cnt[1884][3]~53485\) # (!\led_flash_cnt[1884][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1884][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1884][3]~53485\,
	combout => \led_flash_cnt[1884][4]~53486_combout\,
	cout => \led_flash_cnt[1884][4]~53487\);

-- Location: FF_X46_Y43_N23
\led_flash_cnt[1884][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1884][4]~53486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1884][4]~q\);

-- Location: LCCOMB_X46_Y43_N14
\WideAnd1884~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1884~0_combout\ = (\led_flash_cnt[1884][2]~q\ & (\led_flash_cnt[1884][3]~q\ & (\led_flash_cnt[1884][4]~q\ & \led_flash_cnt[1884][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1884][2]~q\,
	datab => \led_flash_cnt[1884][3]~q\,
	datac => \led_flash_cnt[1884][4]~q\,
	datad => \led_flash_cnt[1884][1]~q\,
	combout => \WideAnd1884~0_combout\);

-- Location: LCCOMB_X46_Y43_N24
\led_flash_cnt[1884][5]~53488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1884][5]~53488_combout\ = (\led_flash_cnt[1884][5]~q\ & (\led_flash_cnt[1884][4]~53487\ $ (GND))) # (!\led_flash_cnt[1884][5]~q\ & (!\led_flash_cnt[1884][4]~53487\ & VCC))
-- \led_flash_cnt[1884][5]~53489\ = CARRY((\led_flash_cnt[1884][5]~q\ & !\led_flash_cnt[1884][4]~53487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1884][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1884][4]~53487\,
	combout => \led_flash_cnt[1884][5]~53488_combout\,
	cout => \led_flash_cnt[1884][5]~53489\);

-- Location: FF_X46_Y43_N25
\led_flash_cnt[1884][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1884][5]~53488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1884][5]~q\);

-- Location: LCCOMB_X46_Y43_N26
\led_flash_cnt[1884][6]~53490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1884][6]~53490_combout\ = (\led_flash_cnt[1884][6]~q\ & (!\led_flash_cnt[1884][5]~53489\)) # (!\led_flash_cnt[1884][6]~q\ & ((\led_flash_cnt[1884][5]~53489\) # (GND)))
-- \led_flash_cnt[1884][6]~53491\ = CARRY((!\led_flash_cnt[1884][5]~53489\) # (!\led_flash_cnt[1884][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1884][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1884][5]~53489\,
	combout => \led_flash_cnt[1884][6]~53490_combout\,
	cout => \led_flash_cnt[1884][6]~53491\);

-- Location: FF_X46_Y43_N27
\led_flash_cnt[1884][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1884][6]~53490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1884][6]~q\);

-- Location: LCCOMB_X46_Y43_N28
\led_flash_cnt[1884][7]~53492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1884][7]~53492_combout\ = \led_flash_cnt[1884][6]~53491\ $ (!\led_flash_cnt[1884][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1884][7]~q\,
	cin => \led_flash_cnt[1884][6]~53491\,
	combout => \led_flash_cnt[1884][7]~53492_combout\);

-- Location: FF_X46_Y43_N29
\led_flash_cnt[1884][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1884][7]~53492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1884][7]~q\);

-- Location: LCCOMB_X47_Y43_N22
\WideAnd1884~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1884~1_combout\ = (\led_flash_cnt[1884][6]~q\ & \led_flash_cnt[1884][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1884][6]~q\,
	datad => \led_flash_cnt[1884][5]~q\,
	combout => \WideAnd1884~1_combout\);

-- Location: LCCOMB_X47_Y43_N20
WideAnd1884 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1884~combout\ = (\WideAnd1884~0_combout\ & (\led_flash_cnt[1884][7]~q\ & (\WideAnd1884~1_combout\ & \led_flash_cnt[1884][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1884~0_combout\,
	datab => \led_flash_cnt[1884][7]~q\,
	datac => \WideAnd1884~1_combout\,
	datad => \led_flash_cnt[1884][0]~q\,
	combout => \WideAnd1884~combout\);

-- Location: FF_X47_Y43_N21
\led_flash_cnt_ands[1884]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1884~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1884));

-- Location: LCCOMB_X47_Y43_N28
\WideAnd4075~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4075~1_combout\ = (led_flash_cnt_ands(1885) & led_flash_cnt_ands(1884))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1885),
	datad => led_flash_cnt_ands(1884),
	combout => \WideAnd4075~1_combout\);

-- Location: LCCOMB_X47_Y40_N8
WideAnd4075 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4075~combout\ = (\WideAnd4075~0_combout\ & (led_flash_cnt_ands(1887) & (led_flash_cnt_ands(1886) & \WideAnd4075~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4075~0_combout\,
	datab => led_flash_cnt_ands(1887),
	datac => led_flash_cnt_ands(1886),
	datad => \WideAnd4075~1_combout\,
	combout => \WideAnd4075~combout\);

-- Location: FF_X47_Y40_N9
\led_flash_cnt_ands_1[235]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4075~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(235));

-- Location: LCCOMB_X58_Y42_N12
\led_flash_cnt[1871][0]~82527\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1871][0]~82527_combout\ = !\led_flash_cnt[1871][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1871][0]~q\,
	combout => \led_flash_cnt[1871][0]~82527_combout\);

-- Location: FF_X58_Y42_N13
\led_flash_cnt[1871][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1871][0]~82527_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1871][0]~q\);

-- Location: LCCOMB_X58_Y42_N18
\led_flash_cnt[1871][1]~53298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1871][1]~53298_combout\ = (\led_flash_cnt[1871][0]~q\ & (\led_flash_cnt[1871][1]~q\ $ (VCC))) # (!\led_flash_cnt[1871][0]~q\ & (\led_flash_cnt[1871][1]~q\ & VCC))
-- \led_flash_cnt[1871][1]~53299\ = CARRY((\led_flash_cnt[1871][0]~q\ & \led_flash_cnt[1871][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1871][0]~q\,
	datab => \led_flash_cnt[1871][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1871][1]~53298_combout\,
	cout => \led_flash_cnt[1871][1]~53299\);

-- Location: FF_X58_Y42_N19
\led_flash_cnt[1871][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1871][1]~53298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1871][1]~q\);

-- Location: LCCOMB_X58_Y42_N20
\led_flash_cnt[1871][2]~53300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1871][2]~53300_combout\ = (\led_flash_cnt[1871][2]~q\ & (!\led_flash_cnt[1871][1]~53299\)) # (!\led_flash_cnt[1871][2]~q\ & ((\led_flash_cnt[1871][1]~53299\) # (GND)))
-- \led_flash_cnt[1871][2]~53301\ = CARRY((!\led_flash_cnt[1871][1]~53299\) # (!\led_flash_cnt[1871][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1871][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1871][1]~53299\,
	combout => \led_flash_cnt[1871][2]~53300_combout\,
	cout => \led_flash_cnt[1871][2]~53301\);

-- Location: FF_X58_Y42_N21
\led_flash_cnt[1871][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1871][2]~53300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1871][2]~q\);

-- Location: LCCOMB_X58_Y42_N22
\led_flash_cnt[1871][3]~53302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1871][3]~53302_combout\ = (\led_flash_cnt[1871][3]~q\ & (\led_flash_cnt[1871][2]~53301\ $ (GND))) # (!\led_flash_cnt[1871][3]~q\ & (!\led_flash_cnt[1871][2]~53301\ & VCC))
-- \led_flash_cnt[1871][3]~53303\ = CARRY((\led_flash_cnt[1871][3]~q\ & !\led_flash_cnt[1871][2]~53301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1871][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1871][2]~53301\,
	combout => \led_flash_cnt[1871][3]~53302_combout\,
	cout => \led_flash_cnt[1871][3]~53303\);

-- Location: FF_X58_Y42_N23
\led_flash_cnt[1871][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1871][3]~53302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1871][3]~q\);

-- Location: LCCOMB_X58_Y42_N24
\led_flash_cnt[1871][4]~53304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1871][4]~53304_combout\ = (\led_flash_cnt[1871][4]~q\ & (!\led_flash_cnt[1871][3]~53303\)) # (!\led_flash_cnt[1871][4]~q\ & ((\led_flash_cnt[1871][3]~53303\) # (GND)))
-- \led_flash_cnt[1871][4]~53305\ = CARRY((!\led_flash_cnt[1871][3]~53303\) # (!\led_flash_cnt[1871][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1871][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1871][3]~53303\,
	combout => \led_flash_cnt[1871][4]~53304_combout\,
	cout => \led_flash_cnt[1871][4]~53305\);

-- Location: FF_X58_Y42_N25
\led_flash_cnt[1871][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1871][4]~53304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1871][4]~q\);

-- Location: LCCOMB_X58_Y42_N26
\led_flash_cnt[1871][5]~53306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1871][5]~53306_combout\ = (\led_flash_cnt[1871][5]~q\ & (\led_flash_cnt[1871][4]~53305\ $ (GND))) # (!\led_flash_cnt[1871][5]~q\ & (!\led_flash_cnt[1871][4]~53305\ & VCC))
-- \led_flash_cnt[1871][5]~53307\ = CARRY((\led_flash_cnt[1871][5]~q\ & !\led_flash_cnt[1871][4]~53305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1871][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1871][4]~53305\,
	combout => \led_flash_cnt[1871][5]~53306_combout\,
	cout => \led_flash_cnt[1871][5]~53307\);

-- Location: FF_X58_Y42_N27
\led_flash_cnt[1871][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1871][5]~53306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1871][5]~q\);

-- Location: LCCOMB_X58_Y42_N28
\led_flash_cnt[1871][6]~53308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1871][6]~53308_combout\ = (\led_flash_cnt[1871][6]~q\ & (!\led_flash_cnt[1871][5]~53307\)) # (!\led_flash_cnt[1871][6]~q\ & ((\led_flash_cnt[1871][5]~53307\) # (GND)))
-- \led_flash_cnt[1871][6]~53309\ = CARRY((!\led_flash_cnt[1871][5]~53307\) # (!\led_flash_cnt[1871][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1871][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1871][5]~53307\,
	combout => \led_flash_cnt[1871][6]~53308_combout\,
	cout => \led_flash_cnt[1871][6]~53309\);

-- Location: FF_X58_Y42_N29
\led_flash_cnt[1871][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1871][6]~53308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1871][6]~q\);

-- Location: LCCOMB_X58_Y42_N6
\WideAnd1871~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1871~1_combout\ = (\led_flash_cnt[1871][5]~q\ & \led_flash_cnt[1871][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1871][5]~q\,
	datad => \led_flash_cnt[1871][6]~q\,
	combout => \WideAnd1871~1_combout\);

-- Location: LCCOMB_X58_Y42_N4
\WideAnd1871~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1871~0_combout\ = (\led_flash_cnt[1871][4]~q\ & (\led_flash_cnt[1871][2]~q\ & (\led_flash_cnt[1871][3]~q\ & \led_flash_cnt[1871][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1871][4]~q\,
	datab => \led_flash_cnt[1871][2]~q\,
	datac => \led_flash_cnt[1871][3]~q\,
	datad => \led_flash_cnt[1871][1]~q\,
	combout => \WideAnd1871~0_combout\);

-- Location: LCCOMB_X58_Y42_N30
\led_flash_cnt[1871][7]~53310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1871][7]~53310_combout\ = \led_flash_cnt[1871][7]~q\ $ (!\led_flash_cnt[1871][6]~53309\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1871][7]~q\,
	cin => \led_flash_cnt[1871][6]~53309\,
	combout => \led_flash_cnt[1871][7]~53310_combout\);

-- Location: FF_X58_Y42_N31
\led_flash_cnt[1871][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1871][7]~53310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1871][7]~q\);

-- Location: LCCOMB_X58_Y42_N10
WideAnd1871 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1871~combout\ = (\WideAnd1871~1_combout\ & (\WideAnd1871~0_combout\ & (\led_flash_cnt[1871][7]~q\ & \led_flash_cnt[1871][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1871~1_combout\,
	datab => \WideAnd1871~0_combout\,
	datac => \led_flash_cnt[1871][7]~q\,
	datad => \led_flash_cnt[1871][0]~q\,
	combout => \WideAnd1871~combout\);

-- Location: FF_X58_Y42_N11
\led_flash_cnt_ands[1871]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1871~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1871));

-- Location: LCCOMB_X74_Y39_N10
\led_flash_cnt[1864][0]~82520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1864][0]~82520_combout\ = !\led_flash_cnt[1864][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1864][0]~q\,
	combout => \led_flash_cnt[1864][0]~82520_combout\);

-- Location: FF_X74_Y39_N11
\led_flash_cnt[1864][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1864][0]~82520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1864][0]~q\);

-- Location: LCCOMB_X74_Y39_N16
\led_flash_cnt[1864][1]~53200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1864][1]~53200_combout\ = (\led_flash_cnt[1864][0]~q\ & (\led_flash_cnt[1864][1]~q\ $ (VCC))) # (!\led_flash_cnt[1864][0]~q\ & (\led_flash_cnt[1864][1]~q\ & VCC))
-- \led_flash_cnt[1864][1]~53201\ = CARRY((\led_flash_cnt[1864][0]~q\ & \led_flash_cnt[1864][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1864][0]~q\,
	datab => \led_flash_cnt[1864][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1864][1]~53200_combout\,
	cout => \led_flash_cnt[1864][1]~53201\);

-- Location: FF_X74_Y39_N17
\led_flash_cnt[1864][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1864][1]~53200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1864][1]~q\);

-- Location: LCCOMB_X74_Y39_N18
\led_flash_cnt[1864][2]~53202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1864][2]~53202_combout\ = (\led_flash_cnt[1864][2]~q\ & (!\led_flash_cnt[1864][1]~53201\)) # (!\led_flash_cnt[1864][2]~q\ & ((\led_flash_cnt[1864][1]~53201\) # (GND)))
-- \led_flash_cnt[1864][2]~53203\ = CARRY((!\led_flash_cnt[1864][1]~53201\) # (!\led_flash_cnt[1864][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1864][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1864][1]~53201\,
	combout => \led_flash_cnt[1864][2]~53202_combout\,
	cout => \led_flash_cnt[1864][2]~53203\);

-- Location: FF_X74_Y39_N19
\led_flash_cnt[1864][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1864][2]~53202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1864][2]~q\);

-- Location: LCCOMB_X74_Y39_N20
\led_flash_cnt[1864][3]~53204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1864][3]~53204_combout\ = (\led_flash_cnt[1864][3]~q\ & (\led_flash_cnt[1864][2]~53203\ $ (GND))) # (!\led_flash_cnt[1864][3]~q\ & (!\led_flash_cnt[1864][2]~53203\ & VCC))
-- \led_flash_cnt[1864][3]~53205\ = CARRY((\led_flash_cnt[1864][3]~q\ & !\led_flash_cnt[1864][2]~53203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1864][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1864][2]~53203\,
	combout => \led_flash_cnt[1864][3]~53204_combout\,
	cout => \led_flash_cnt[1864][3]~53205\);

-- Location: FF_X74_Y39_N21
\led_flash_cnt[1864][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1864][3]~53204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1864][3]~q\);

-- Location: LCCOMB_X74_Y39_N22
\led_flash_cnt[1864][4]~53206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1864][4]~53206_combout\ = (\led_flash_cnt[1864][4]~q\ & (!\led_flash_cnt[1864][3]~53205\)) # (!\led_flash_cnt[1864][4]~q\ & ((\led_flash_cnt[1864][3]~53205\) # (GND)))
-- \led_flash_cnt[1864][4]~53207\ = CARRY((!\led_flash_cnt[1864][3]~53205\) # (!\led_flash_cnt[1864][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1864][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1864][3]~53205\,
	combout => \led_flash_cnt[1864][4]~53206_combout\,
	cout => \led_flash_cnt[1864][4]~53207\);

-- Location: FF_X74_Y39_N23
\led_flash_cnt[1864][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1864][4]~53206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1864][4]~q\);

-- Location: LCCOMB_X74_Y39_N24
\led_flash_cnt[1864][5]~53208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1864][5]~53208_combout\ = (\led_flash_cnt[1864][5]~q\ & (\led_flash_cnt[1864][4]~53207\ $ (GND))) # (!\led_flash_cnt[1864][5]~q\ & (!\led_flash_cnt[1864][4]~53207\ & VCC))
-- \led_flash_cnt[1864][5]~53209\ = CARRY((\led_flash_cnt[1864][5]~q\ & !\led_flash_cnt[1864][4]~53207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1864][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1864][4]~53207\,
	combout => \led_flash_cnt[1864][5]~53208_combout\,
	cout => \led_flash_cnt[1864][5]~53209\);

-- Location: FF_X74_Y39_N25
\led_flash_cnt[1864][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1864][5]~53208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1864][5]~q\);

-- Location: LCCOMB_X74_Y39_N26
\led_flash_cnt[1864][6]~53210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1864][6]~53210_combout\ = (\led_flash_cnt[1864][6]~q\ & (!\led_flash_cnt[1864][5]~53209\)) # (!\led_flash_cnt[1864][6]~q\ & ((\led_flash_cnt[1864][5]~53209\) # (GND)))
-- \led_flash_cnt[1864][6]~53211\ = CARRY((!\led_flash_cnt[1864][5]~53209\) # (!\led_flash_cnt[1864][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1864][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1864][5]~53209\,
	combout => \led_flash_cnt[1864][6]~53210_combout\,
	cout => \led_flash_cnt[1864][6]~53211\);

-- Location: FF_X74_Y39_N27
\led_flash_cnt[1864][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1864][6]~53210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1864][6]~q\);

-- Location: LCCOMB_X74_Y39_N28
\led_flash_cnt[1864][7]~53212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1864][7]~53212_combout\ = \led_flash_cnt[1864][6]~53211\ $ (!\led_flash_cnt[1864][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1864][7]~q\,
	cin => \led_flash_cnt[1864][6]~53211\,
	combout => \led_flash_cnt[1864][7]~53212_combout\);

-- Location: FF_X74_Y39_N29
\led_flash_cnt[1864][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1864][7]~53212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1864][7]~q\);

-- Location: LCCOMB_X74_Y39_N4
\WideAnd1864~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1864~1_combout\ = (\led_flash_cnt[1864][6]~q\ & \led_flash_cnt[1864][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1864][6]~q\,
	datad => \led_flash_cnt[1864][5]~q\,
	combout => \WideAnd1864~1_combout\);

-- Location: LCCOMB_X74_Y39_N12
\WideAnd1864~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1864~0_combout\ = (\led_flash_cnt[1864][3]~q\ & (\led_flash_cnt[1864][2]~q\ & (\led_flash_cnt[1864][4]~q\ & \led_flash_cnt[1864][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1864][3]~q\,
	datab => \led_flash_cnt[1864][2]~q\,
	datac => \led_flash_cnt[1864][4]~q\,
	datad => \led_flash_cnt[1864][1]~q\,
	combout => \WideAnd1864~0_combout\);

-- Location: LCCOMB_X74_Y39_N30
WideAnd1864 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1864~combout\ = (\led_flash_cnt[1864][0]~q\ & (\led_flash_cnt[1864][7]~q\ & (\WideAnd1864~1_combout\ & \WideAnd1864~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1864][0]~q\,
	datab => \led_flash_cnt[1864][7]~q\,
	datac => \WideAnd1864~1_combout\,
	datad => \WideAnd1864~0_combout\,
	combout => \WideAnd1864~combout\);

-- Location: FF_X74_Y39_N31
\led_flash_cnt_ands[1864]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1864~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1864));

-- Location: LCCOMB_X71_Y39_N4
\led_flash_cnt[1867][0]~82523\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1867][0]~82523_combout\ = !\led_flash_cnt[1867][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1867][0]~q\,
	combout => \led_flash_cnt[1867][0]~82523_combout\);

-- Location: FF_X71_Y39_N5
\led_flash_cnt[1867][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1867][0]~82523_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1867][0]~q\);

-- Location: LCCOMB_X71_Y39_N10
\led_flash_cnt[1867][1]~53242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1867][1]~53242_combout\ = (\led_flash_cnt[1867][1]~q\ & (\led_flash_cnt[1867][0]~q\ $ (VCC))) # (!\led_flash_cnt[1867][1]~q\ & (\led_flash_cnt[1867][0]~q\ & VCC))
-- \led_flash_cnt[1867][1]~53243\ = CARRY((\led_flash_cnt[1867][1]~q\ & \led_flash_cnt[1867][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1867][1]~q\,
	datab => \led_flash_cnt[1867][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1867][1]~53242_combout\,
	cout => \led_flash_cnt[1867][1]~53243\);

-- Location: FF_X71_Y39_N11
\led_flash_cnt[1867][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1867][1]~53242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1867][1]~q\);

-- Location: LCCOMB_X71_Y39_N12
\led_flash_cnt[1867][2]~53244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1867][2]~53244_combout\ = (\led_flash_cnt[1867][2]~q\ & (!\led_flash_cnt[1867][1]~53243\)) # (!\led_flash_cnt[1867][2]~q\ & ((\led_flash_cnt[1867][1]~53243\) # (GND)))
-- \led_flash_cnt[1867][2]~53245\ = CARRY((!\led_flash_cnt[1867][1]~53243\) # (!\led_flash_cnt[1867][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1867][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1867][1]~53243\,
	combout => \led_flash_cnt[1867][2]~53244_combout\,
	cout => \led_flash_cnt[1867][2]~53245\);

-- Location: FF_X71_Y39_N13
\led_flash_cnt[1867][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1867][2]~53244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1867][2]~q\);

-- Location: LCCOMB_X71_Y39_N14
\led_flash_cnt[1867][3]~53246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1867][3]~53246_combout\ = (\led_flash_cnt[1867][3]~q\ & (\led_flash_cnt[1867][2]~53245\ $ (GND))) # (!\led_flash_cnt[1867][3]~q\ & (!\led_flash_cnt[1867][2]~53245\ & VCC))
-- \led_flash_cnt[1867][3]~53247\ = CARRY((\led_flash_cnt[1867][3]~q\ & !\led_flash_cnt[1867][2]~53245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1867][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1867][2]~53245\,
	combout => \led_flash_cnt[1867][3]~53246_combout\,
	cout => \led_flash_cnt[1867][3]~53247\);

-- Location: FF_X71_Y39_N15
\led_flash_cnt[1867][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1867][3]~53246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1867][3]~q\);

-- Location: LCCOMB_X71_Y39_N16
\led_flash_cnt[1867][4]~53248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1867][4]~53248_combout\ = (\led_flash_cnt[1867][4]~q\ & (!\led_flash_cnt[1867][3]~53247\)) # (!\led_flash_cnt[1867][4]~q\ & ((\led_flash_cnt[1867][3]~53247\) # (GND)))
-- \led_flash_cnt[1867][4]~53249\ = CARRY((!\led_flash_cnt[1867][3]~53247\) # (!\led_flash_cnt[1867][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1867][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1867][3]~53247\,
	combout => \led_flash_cnt[1867][4]~53248_combout\,
	cout => \led_flash_cnt[1867][4]~53249\);

-- Location: FF_X71_Y39_N17
\led_flash_cnt[1867][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1867][4]~53248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1867][4]~q\);

-- Location: LCCOMB_X71_Y39_N18
\led_flash_cnt[1867][5]~53250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1867][5]~53250_combout\ = (\led_flash_cnt[1867][5]~q\ & (\led_flash_cnt[1867][4]~53249\ $ (GND))) # (!\led_flash_cnt[1867][5]~q\ & (!\led_flash_cnt[1867][4]~53249\ & VCC))
-- \led_flash_cnt[1867][5]~53251\ = CARRY((\led_flash_cnt[1867][5]~q\ & !\led_flash_cnt[1867][4]~53249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1867][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1867][4]~53249\,
	combout => \led_flash_cnt[1867][5]~53250_combout\,
	cout => \led_flash_cnt[1867][5]~53251\);

-- Location: FF_X71_Y39_N19
\led_flash_cnt[1867][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1867][5]~53250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1867][5]~q\);

-- Location: LCCOMB_X71_Y39_N20
\led_flash_cnt[1867][6]~53252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1867][6]~53252_combout\ = (\led_flash_cnt[1867][6]~q\ & (!\led_flash_cnt[1867][5]~53251\)) # (!\led_flash_cnt[1867][6]~q\ & ((\led_flash_cnt[1867][5]~53251\) # (GND)))
-- \led_flash_cnt[1867][6]~53253\ = CARRY((!\led_flash_cnt[1867][5]~53251\) # (!\led_flash_cnt[1867][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1867][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1867][5]~53251\,
	combout => \led_flash_cnt[1867][6]~53252_combout\,
	cout => \led_flash_cnt[1867][6]~53253\);

-- Location: FF_X71_Y39_N21
\led_flash_cnt[1867][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1867][6]~53252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1867][6]~q\);

-- Location: LCCOMB_X71_Y39_N26
\WideAnd1867~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1867~1_combout\ = (\led_flash_cnt[1867][6]~q\ & \led_flash_cnt[1867][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1867][6]~q\,
	datad => \led_flash_cnt[1867][5]~q\,
	combout => \WideAnd1867~1_combout\);

-- Location: LCCOMB_X71_Y39_N22
\led_flash_cnt[1867][7]~53254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1867][7]~53254_combout\ = \led_flash_cnt[1867][7]~q\ $ (!\led_flash_cnt[1867][6]~53253\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1867][7]~q\,
	cin => \led_flash_cnt[1867][6]~53253\,
	combout => \led_flash_cnt[1867][7]~53254_combout\);

-- Location: FF_X71_Y39_N23
\led_flash_cnt[1867][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1867][7]~53254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1867][7]~q\);

-- Location: LCCOMB_X71_Y39_N24
\WideAnd1867~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1867~0_combout\ = (\led_flash_cnt[1867][2]~q\ & (\led_flash_cnt[1867][4]~q\ & (\led_flash_cnt[1867][3]~q\ & \led_flash_cnt[1867][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1867][2]~q\,
	datab => \led_flash_cnt[1867][4]~q\,
	datac => \led_flash_cnt[1867][3]~q\,
	datad => \led_flash_cnt[1867][1]~q\,
	combout => \WideAnd1867~0_combout\);

-- Location: LCCOMB_X71_Y39_N28
WideAnd1867 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1867~combout\ = (\WideAnd1867~1_combout\ & (\led_flash_cnt[1867][0]~q\ & (\led_flash_cnt[1867][7]~q\ & \WideAnd1867~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1867~1_combout\,
	datab => \led_flash_cnt[1867][0]~q\,
	datac => \led_flash_cnt[1867][7]~q\,
	datad => \WideAnd1867~0_combout\,
	combout => \WideAnd1867~combout\);

-- Location: FF_X71_Y39_N29
\led_flash_cnt_ands[1867]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1867~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1867));

-- Location: LCCOMB_X70_Y39_N20
\led_flash_cnt[1866][0]~82522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1866][0]~82522_combout\ = !\led_flash_cnt[1866][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1866][0]~q\,
	combout => \led_flash_cnt[1866][0]~82522_combout\);

-- Location: FF_X70_Y39_N21
\led_flash_cnt[1866][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1866][0]~82522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1866][0]~q\);

-- Location: LCCOMB_X70_Y39_N6
\led_flash_cnt[1866][1]~53228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1866][1]~53228_combout\ = (\led_flash_cnt[1866][1]~q\ & (\led_flash_cnt[1866][0]~q\ $ (VCC))) # (!\led_flash_cnt[1866][1]~q\ & (\led_flash_cnt[1866][0]~q\ & VCC))
-- \led_flash_cnt[1866][1]~53229\ = CARRY((\led_flash_cnt[1866][1]~q\ & \led_flash_cnt[1866][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1866][1]~q\,
	datab => \led_flash_cnt[1866][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1866][1]~53228_combout\,
	cout => \led_flash_cnt[1866][1]~53229\);

-- Location: FF_X70_Y39_N7
\led_flash_cnt[1866][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1866][1]~53228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1866][1]~q\);

-- Location: LCCOMB_X70_Y39_N8
\led_flash_cnt[1866][2]~53230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1866][2]~53230_combout\ = (\led_flash_cnt[1866][2]~q\ & (!\led_flash_cnt[1866][1]~53229\)) # (!\led_flash_cnt[1866][2]~q\ & ((\led_flash_cnt[1866][1]~53229\) # (GND)))
-- \led_flash_cnt[1866][2]~53231\ = CARRY((!\led_flash_cnt[1866][1]~53229\) # (!\led_flash_cnt[1866][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1866][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1866][1]~53229\,
	combout => \led_flash_cnt[1866][2]~53230_combout\,
	cout => \led_flash_cnt[1866][2]~53231\);

-- Location: FF_X70_Y39_N9
\led_flash_cnt[1866][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1866][2]~53230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1866][2]~q\);

-- Location: LCCOMB_X70_Y39_N10
\led_flash_cnt[1866][3]~53232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1866][3]~53232_combout\ = (\led_flash_cnt[1866][3]~q\ & (\led_flash_cnt[1866][2]~53231\ $ (GND))) # (!\led_flash_cnt[1866][3]~q\ & (!\led_flash_cnt[1866][2]~53231\ & VCC))
-- \led_flash_cnt[1866][3]~53233\ = CARRY((\led_flash_cnt[1866][3]~q\ & !\led_flash_cnt[1866][2]~53231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1866][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1866][2]~53231\,
	combout => \led_flash_cnt[1866][3]~53232_combout\,
	cout => \led_flash_cnt[1866][3]~53233\);

-- Location: FF_X70_Y39_N11
\led_flash_cnt[1866][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1866][3]~53232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1866][3]~q\);

-- Location: LCCOMB_X70_Y39_N12
\led_flash_cnt[1866][4]~53234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1866][4]~53234_combout\ = (\led_flash_cnt[1866][4]~q\ & (!\led_flash_cnt[1866][3]~53233\)) # (!\led_flash_cnt[1866][4]~q\ & ((\led_flash_cnt[1866][3]~53233\) # (GND)))
-- \led_flash_cnt[1866][4]~53235\ = CARRY((!\led_flash_cnt[1866][3]~53233\) # (!\led_flash_cnt[1866][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1866][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1866][3]~53233\,
	combout => \led_flash_cnt[1866][4]~53234_combout\,
	cout => \led_flash_cnt[1866][4]~53235\);

-- Location: FF_X70_Y39_N13
\led_flash_cnt[1866][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1866][4]~53234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1866][4]~q\);

-- Location: LCCOMB_X70_Y39_N22
\WideAnd1866~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1866~0_combout\ = (\led_flash_cnt[1866][4]~q\ & (\led_flash_cnt[1866][3]~q\ & (\led_flash_cnt[1866][2]~q\ & \led_flash_cnt[1866][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1866][4]~q\,
	datab => \led_flash_cnt[1866][3]~q\,
	datac => \led_flash_cnt[1866][2]~q\,
	datad => \led_flash_cnt[1866][1]~q\,
	combout => \WideAnd1866~0_combout\);

-- Location: LCCOMB_X70_Y39_N14
\led_flash_cnt[1866][5]~53236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1866][5]~53236_combout\ = (\led_flash_cnt[1866][5]~q\ & (\led_flash_cnt[1866][4]~53235\ $ (GND))) # (!\led_flash_cnt[1866][5]~q\ & (!\led_flash_cnt[1866][4]~53235\ & VCC))
-- \led_flash_cnt[1866][5]~53237\ = CARRY((\led_flash_cnt[1866][5]~q\ & !\led_flash_cnt[1866][4]~53235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1866][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1866][4]~53235\,
	combout => \led_flash_cnt[1866][5]~53236_combout\,
	cout => \led_flash_cnt[1866][5]~53237\);

-- Location: FF_X70_Y39_N15
\led_flash_cnt[1866][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1866][5]~53236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1866][5]~q\);

-- Location: LCCOMB_X70_Y39_N16
\led_flash_cnt[1866][6]~53238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1866][6]~53238_combout\ = (\led_flash_cnt[1866][6]~q\ & (!\led_flash_cnt[1866][5]~53237\)) # (!\led_flash_cnt[1866][6]~q\ & ((\led_flash_cnt[1866][5]~53237\) # (GND)))
-- \led_flash_cnt[1866][6]~53239\ = CARRY((!\led_flash_cnt[1866][5]~53237\) # (!\led_flash_cnt[1866][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1866][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1866][5]~53237\,
	combout => \led_flash_cnt[1866][6]~53238_combout\,
	cout => \led_flash_cnt[1866][6]~53239\);

-- Location: FF_X70_Y39_N17
\led_flash_cnt[1866][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1866][6]~53238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1866][6]~q\);

-- Location: LCCOMB_X70_Y39_N4
\WideAnd1866~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1866~1_combout\ = (\led_flash_cnt[1866][5]~q\ & \led_flash_cnt[1866][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1866][5]~q\,
	datad => \led_flash_cnt[1866][6]~q\,
	combout => \WideAnd1866~1_combout\);

-- Location: LCCOMB_X70_Y39_N18
\led_flash_cnt[1866][7]~53240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1866][7]~53240_combout\ = \led_flash_cnt[1866][6]~53239\ $ (!\led_flash_cnt[1866][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1866][7]~q\,
	cin => \led_flash_cnt[1866][6]~53239\,
	combout => \led_flash_cnt[1866][7]~53240_combout\);

-- Location: FF_X70_Y39_N19
\led_flash_cnt[1866][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1866][7]~53240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1866][7]~q\);

-- Location: LCCOMB_X70_Y39_N30
WideAnd1866 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1866~combout\ = (\WideAnd1866~0_combout\ & (\led_flash_cnt[1866][0]~q\ & (\WideAnd1866~1_combout\ & \led_flash_cnt[1866][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1866~0_combout\,
	datab => \led_flash_cnt[1866][0]~q\,
	datac => \WideAnd1866~1_combout\,
	datad => \led_flash_cnt[1866][7]~q\,
	combout => \WideAnd1866~combout\);

-- Location: FF_X70_Y39_N31
\led_flash_cnt_ands[1866]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1866~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1866));

-- Location: LCCOMB_X70_Y39_N2
\led_flash_cnt[1865][0]~82521\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1865][0]~82521_combout\ = !\led_flash_cnt[1865][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1865][0]~q\,
	combout => \led_flash_cnt[1865][0]~82521_combout\);

-- Location: FF_X70_Y39_N3
\led_flash_cnt[1865][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1865][0]~82521_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1865][0]~q\);

-- Location: LCCOMB_X69_Y39_N0
\led_flash_cnt[1865][1]~53214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1865][1]~53214_combout\ = (\led_flash_cnt[1865][0]~q\ & (\led_flash_cnt[1865][1]~q\ $ (VCC))) # (!\led_flash_cnt[1865][0]~q\ & (\led_flash_cnt[1865][1]~q\ & VCC))
-- \led_flash_cnt[1865][1]~53215\ = CARRY((\led_flash_cnt[1865][0]~q\ & \led_flash_cnt[1865][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1865][0]~q\,
	datab => \led_flash_cnt[1865][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1865][1]~53214_combout\,
	cout => \led_flash_cnt[1865][1]~53215\);

-- Location: FF_X69_Y39_N1
\led_flash_cnt[1865][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1865][1]~53214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1865][1]~q\);

-- Location: LCCOMB_X69_Y39_N2
\led_flash_cnt[1865][2]~53216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1865][2]~53216_combout\ = (\led_flash_cnt[1865][2]~q\ & (!\led_flash_cnt[1865][1]~53215\)) # (!\led_flash_cnt[1865][2]~q\ & ((\led_flash_cnt[1865][1]~53215\) # (GND)))
-- \led_flash_cnt[1865][2]~53217\ = CARRY((!\led_flash_cnt[1865][1]~53215\) # (!\led_flash_cnt[1865][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1865][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1865][1]~53215\,
	combout => \led_flash_cnt[1865][2]~53216_combout\,
	cout => \led_flash_cnt[1865][2]~53217\);

-- Location: FF_X69_Y39_N3
\led_flash_cnt[1865][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1865][2]~53216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1865][2]~q\);

-- Location: LCCOMB_X69_Y39_N4
\led_flash_cnt[1865][3]~53218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1865][3]~53218_combout\ = (\led_flash_cnt[1865][3]~q\ & (\led_flash_cnt[1865][2]~53217\ $ (GND))) # (!\led_flash_cnt[1865][3]~q\ & (!\led_flash_cnt[1865][2]~53217\ & VCC))
-- \led_flash_cnt[1865][3]~53219\ = CARRY((\led_flash_cnt[1865][3]~q\ & !\led_flash_cnt[1865][2]~53217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1865][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1865][2]~53217\,
	combout => \led_flash_cnt[1865][3]~53218_combout\,
	cout => \led_flash_cnt[1865][3]~53219\);

-- Location: FF_X69_Y39_N5
\led_flash_cnt[1865][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1865][3]~53218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1865][3]~q\);

-- Location: LCCOMB_X69_Y39_N6
\led_flash_cnt[1865][4]~53220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1865][4]~53220_combout\ = (\led_flash_cnt[1865][4]~q\ & (!\led_flash_cnt[1865][3]~53219\)) # (!\led_flash_cnt[1865][4]~q\ & ((\led_flash_cnt[1865][3]~53219\) # (GND)))
-- \led_flash_cnt[1865][4]~53221\ = CARRY((!\led_flash_cnt[1865][3]~53219\) # (!\led_flash_cnt[1865][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1865][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1865][3]~53219\,
	combout => \led_flash_cnt[1865][4]~53220_combout\,
	cout => \led_flash_cnt[1865][4]~53221\);

-- Location: FF_X69_Y39_N7
\led_flash_cnt[1865][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1865][4]~53220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1865][4]~q\);

-- Location: LCCOMB_X69_Y39_N8
\led_flash_cnt[1865][5]~53222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1865][5]~53222_combout\ = (\led_flash_cnt[1865][5]~q\ & (\led_flash_cnt[1865][4]~53221\ $ (GND))) # (!\led_flash_cnt[1865][5]~q\ & (!\led_flash_cnt[1865][4]~53221\ & VCC))
-- \led_flash_cnt[1865][5]~53223\ = CARRY((\led_flash_cnt[1865][5]~q\ & !\led_flash_cnt[1865][4]~53221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1865][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1865][4]~53221\,
	combout => \led_flash_cnt[1865][5]~53222_combout\,
	cout => \led_flash_cnt[1865][5]~53223\);

-- Location: FF_X69_Y39_N9
\led_flash_cnt[1865][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1865][5]~53222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1865][5]~q\);

-- Location: LCCOMB_X69_Y39_N10
\led_flash_cnt[1865][6]~53224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1865][6]~53224_combout\ = (\led_flash_cnt[1865][6]~q\ & (!\led_flash_cnt[1865][5]~53223\)) # (!\led_flash_cnt[1865][6]~q\ & ((\led_flash_cnt[1865][5]~53223\) # (GND)))
-- \led_flash_cnt[1865][6]~53225\ = CARRY((!\led_flash_cnt[1865][5]~53223\) # (!\led_flash_cnt[1865][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1865][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1865][5]~53223\,
	combout => \led_flash_cnt[1865][6]~53224_combout\,
	cout => \led_flash_cnt[1865][6]~53225\);

-- Location: FF_X69_Y39_N11
\led_flash_cnt[1865][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1865][6]~53224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1865][6]~q\);

-- Location: LCCOMB_X69_Y39_N12
\led_flash_cnt[1865][7]~53226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1865][7]~53226_combout\ = \led_flash_cnt[1865][6]~53225\ $ (!\led_flash_cnt[1865][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1865][7]~q\,
	cin => \led_flash_cnt[1865][6]~53225\,
	combout => \led_flash_cnt[1865][7]~53226_combout\);

-- Location: FF_X69_Y39_N13
\led_flash_cnt[1865][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1865][7]~53226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1865][7]~q\);

-- Location: LCCOMB_X70_Y39_N26
\WideAnd1865~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1865~1_combout\ = (\led_flash_cnt[1865][6]~q\ & \led_flash_cnt[1865][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1865][6]~q\,
	datad => \led_flash_cnt[1865][5]~q\,
	combout => \WideAnd1865~1_combout\);

-- Location: LCCOMB_X69_Y39_N14
\WideAnd1865~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1865~0_combout\ = (\led_flash_cnt[1865][4]~q\ & (\led_flash_cnt[1865][1]~q\ & (\led_flash_cnt[1865][3]~q\ & \led_flash_cnt[1865][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1865][4]~q\,
	datab => \led_flash_cnt[1865][1]~q\,
	datac => \led_flash_cnt[1865][3]~q\,
	datad => \led_flash_cnt[1865][2]~q\,
	combout => \WideAnd1865~0_combout\);

-- Location: LCCOMB_X70_Y39_N28
WideAnd1865 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1865~combout\ = (\led_flash_cnt[1865][7]~q\ & (\led_flash_cnt[1865][0]~q\ & (\WideAnd1865~1_combout\ & \WideAnd1865~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1865][7]~q\,
	datab => \led_flash_cnt[1865][0]~q\,
	datac => \WideAnd1865~1_combout\,
	datad => \WideAnd1865~0_combout\,
	combout => \WideAnd1865~combout\);

-- Location: FF_X70_Y39_N29
\led_flash_cnt_ands[1865]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1865~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1865));

-- Location: LCCOMB_X70_Y39_N24
\WideAnd4073~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4073~0_combout\ = (led_flash_cnt_ands(1864) & (led_flash_cnt_ands(1867) & (led_flash_cnt_ands(1866) & led_flash_cnt_ands(1865))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1864),
	datab => led_flash_cnt_ands(1867),
	datac => led_flash_cnt_ands(1866),
	datad => led_flash_cnt_ands(1865),
	combout => \WideAnd4073~0_combout\);

-- Location: LCCOMB_X45_Y30_N6
\led_flash_cnt[1868][0]~82524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1868][0]~82524_combout\ = !\led_flash_cnt[1868][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1868][0]~q\,
	combout => \led_flash_cnt[1868][0]~82524_combout\);

-- Location: FF_X45_Y30_N7
\led_flash_cnt[1868][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1868][0]~82524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1868][0]~q\);

-- Location: LCCOMB_X45_Y30_N16
\led_flash_cnt[1868][1]~53256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1868][1]~53256_combout\ = (\led_flash_cnt[1868][0]~q\ & (\led_flash_cnt[1868][1]~q\ $ (VCC))) # (!\led_flash_cnt[1868][0]~q\ & (\led_flash_cnt[1868][1]~q\ & VCC))
-- \led_flash_cnt[1868][1]~53257\ = CARRY((\led_flash_cnt[1868][0]~q\ & \led_flash_cnt[1868][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1868][0]~q\,
	datab => \led_flash_cnt[1868][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1868][1]~53256_combout\,
	cout => \led_flash_cnt[1868][1]~53257\);

-- Location: FF_X45_Y30_N17
\led_flash_cnt[1868][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1868][1]~53256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1868][1]~q\);

-- Location: LCCOMB_X45_Y30_N18
\led_flash_cnt[1868][2]~53258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1868][2]~53258_combout\ = (\led_flash_cnt[1868][2]~q\ & (!\led_flash_cnt[1868][1]~53257\)) # (!\led_flash_cnt[1868][2]~q\ & ((\led_flash_cnt[1868][1]~53257\) # (GND)))
-- \led_flash_cnt[1868][2]~53259\ = CARRY((!\led_flash_cnt[1868][1]~53257\) # (!\led_flash_cnt[1868][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1868][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1868][1]~53257\,
	combout => \led_flash_cnt[1868][2]~53258_combout\,
	cout => \led_flash_cnt[1868][2]~53259\);

-- Location: FF_X45_Y30_N19
\led_flash_cnt[1868][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1868][2]~53258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1868][2]~q\);

-- Location: LCCOMB_X45_Y30_N20
\led_flash_cnt[1868][3]~53260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1868][3]~53260_combout\ = (\led_flash_cnt[1868][3]~q\ & (\led_flash_cnt[1868][2]~53259\ $ (GND))) # (!\led_flash_cnt[1868][3]~q\ & (!\led_flash_cnt[1868][2]~53259\ & VCC))
-- \led_flash_cnt[1868][3]~53261\ = CARRY((\led_flash_cnt[1868][3]~q\ & !\led_flash_cnt[1868][2]~53259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1868][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1868][2]~53259\,
	combout => \led_flash_cnt[1868][3]~53260_combout\,
	cout => \led_flash_cnt[1868][3]~53261\);

-- Location: FF_X45_Y30_N21
\led_flash_cnt[1868][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1868][3]~53260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1868][3]~q\);

-- Location: LCCOMB_X45_Y30_N22
\led_flash_cnt[1868][4]~53262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1868][4]~53262_combout\ = (\led_flash_cnt[1868][4]~q\ & (!\led_flash_cnt[1868][3]~53261\)) # (!\led_flash_cnt[1868][4]~q\ & ((\led_flash_cnt[1868][3]~53261\) # (GND)))
-- \led_flash_cnt[1868][4]~53263\ = CARRY((!\led_flash_cnt[1868][3]~53261\) # (!\led_flash_cnt[1868][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1868][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1868][3]~53261\,
	combout => \led_flash_cnt[1868][4]~53262_combout\,
	cout => \led_flash_cnt[1868][4]~53263\);

-- Location: FF_X45_Y30_N23
\led_flash_cnt[1868][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1868][4]~53262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1868][4]~q\);

-- Location: LCCOMB_X45_Y30_N8
\WideAnd1868~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1868~0_combout\ = (\led_flash_cnt[1868][3]~q\ & (\led_flash_cnt[1868][2]~q\ & (\led_flash_cnt[1868][4]~q\ & \led_flash_cnt[1868][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1868][3]~q\,
	datab => \led_flash_cnt[1868][2]~q\,
	datac => \led_flash_cnt[1868][4]~q\,
	datad => \led_flash_cnt[1868][1]~q\,
	combout => \WideAnd1868~0_combout\);

-- Location: LCCOMB_X45_Y30_N24
\led_flash_cnt[1868][5]~53264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1868][5]~53264_combout\ = (\led_flash_cnt[1868][5]~q\ & (\led_flash_cnt[1868][4]~53263\ $ (GND))) # (!\led_flash_cnt[1868][5]~q\ & (!\led_flash_cnt[1868][4]~53263\ & VCC))
-- \led_flash_cnt[1868][5]~53265\ = CARRY((\led_flash_cnt[1868][5]~q\ & !\led_flash_cnt[1868][4]~53263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1868][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1868][4]~53263\,
	combout => \led_flash_cnt[1868][5]~53264_combout\,
	cout => \led_flash_cnt[1868][5]~53265\);

-- Location: FF_X45_Y30_N25
\led_flash_cnt[1868][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1868][5]~53264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1868][5]~q\);

-- Location: LCCOMB_X45_Y30_N26
\led_flash_cnt[1868][6]~53266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1868][6]~53266_combout\ = (\led_flash_cnt[1868][6]~q\ & (!\led_flash_cnt[1868][5]~53265\)) # (!\led_flash_cnt[1868][6]~q\ & ((\led_flash_cnt[1868][5]~53265\) # (GND)))
-- \led_flash_cnt[1868][6]~53267\ = CARRY((!\led_flash_cnt[1868][5]~53265\) # (!\led_flash_cnt[1868][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1868][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1868][5]~53265\,
	combout => \led_flash_cnt[1868][6]~53266_combout\,
	cout => \led_flash_cnt[1868][6]~53267\);

-- Location: FF_X45_Y30_N27
\led_flash_cnt[1868][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1868][6]~53266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1868][6]~q\);

-- Location: LCCOMB_X45_Y30_N30
\WideAnd1868~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1868~1_combout\ = (\led_flash_cnt[1868][6]~q\ & \led_flash_cnt[1868][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1868][6]~q\,
	datad => \led_flash_cnt[1868][5]~q\,
	combout => \WideAnd1868~1_combout\);

-- Location: LCCOMB_X45_Y30_N28
\led_flash_cnt[1868][7]~53268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1868][7]~53268_combout\ = \led_flash_cnt[1868][6]~53267\ $ (!\led_flash_cnt[1868][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1868][7]~q\,
	cin => \led_flash_cnt[1868][6]~53267\,
	combout => \led_flash_cnt[1868][7]~53268_combout\);

-- Location: FF_X45_Y30_N29
\led_flash_cnt[1868][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1868][7]~53268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1868][7]~q\);

-- Location: LCCOMB_X45_Y30_N10
WideAnd1868 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1868~combout\ = (\led_flash_cnt[1868][0]~q\ & (\WideAnd1868~0_combout\ & (\WideAnd1868~1_combout\ & \led_flash_cnt[1868][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1868][0]~q\,
	datab => \WideAnd1868~0_combout\,
	datac => \WideAnd1868~1_combout\,
	datad => \led_flash_cnt[1868][7]~q\,
	combout => \WideAnd1868~combout\);

-- Location: FF_X45_Y30_N11
\led_flash_cnt_ands[1868]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1868~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1868));

-- Location: LCCOMB_X51_Y46_N30
\led_flash_cnt[1869][0]~82525\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1869][0]~82525_combout\ = !\led_flash_cnt[1869][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1869][0]~q\,
	combout => \led_flash_cnt[1869][0]~82525_combout\);

-- Location: FF_X51_Y46_N31
\led_flash_cnt[1869][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1869][0]~82525_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1869][0]~q\);

-- Location: LCCOMB_X51_Y46_N2
\led_flash_cnt[1869][1]~53270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1869][1]~53270_combout\ = (\led_flash_cnt[1869][0]~q\ & (\led_flash_cnt[1869][1]~q\ $ (VCC))) # (!\led_flash_cnt[1869][0]~q\ & (\led_flash_cnt[1869][1]~q\ & VCC))
-- \led_flash_cnt[1869][1]~53271\ = CARRY((\led_flash_cnt[1869][0]~q\ & \led_flash_cnt[1869][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1869][0]~q\,
	datab => \led_flash_cnt[1869][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1869][1]~53270_combout\,
	cout => \led_flash_cnt[1869][1]~53271\);

-- Location: FF_X51_Y46_N3
\led_flash_cnt[1869][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1869][1]~53270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1869][1]~q\);

-- Location: LCCOMB_X51_Y46_N4
\led_flash_cnt[1869][2]~53272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1869][2]~53272_combout\ = (\led_flash_cnt[1869][2]~q\ & (!\led_flash_cnt[1869][1]~53271\)) # (!\led_flash_cnt[1869][2]~q\ & ((\led_flash_cnt[1869][1]~53271\) # (GND)))
-- \led_flash_cnt[1869][2]~53273\ = CARRY((!\led_flash_cnt[1869][1]~53271\) # (!\led_flash_cnt[1869][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1869][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1869][1]~53271\,
	combout => \led_flash_cnt[1869][2]~53272_combout\,
	cout => \led_flash_cnt[1869][2]~53273\);

-- Location: FF_X51_Y46_N5
\led_flash_cnt[1869][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1869][2]~53272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1869][2]~q\);

-- Location: LCCOMB_X51_Y46_N6
\led_flash_cnt[1869][3]~53274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1869][3]~53274_combout\ = (\led_flash_cnt[1869][3]~q\ & (\led_flash_cnt[1869][2]~53273\ $ (GND))) # (!\led_flash_cnt[1869][3]~q\ & (!\led_flash_cnt[1869][2]~53273\ & VCC))
-- \led_flash_cnt[1869][3]~53275\ = CARRY((\led_flash_cnt[1869][3]~q\ & !\led_flash_cnt[1869][2]~53273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1869][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1869][2]~53273\,
	combout => \led_flash_cnt[1869][3]~53274_combout\,
	cout => \led_flash_cnt[1869][3]~53275\);

-- Location: FF_X51_Y46_N7
\led_flash_cnt[1869][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1869][3]~53274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1869][3]~q\);

-- Location: LCCOMB_X51_Y46_N8
\led_flash_cnt[1869][4]~53276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1869][4]~53276_combout\ = (\led_flash_cnt[1869][4]~q\ & (!\led_flash_cnt[1869][3]~53275\)) # (!\led_flash_cnt[1869][4]~q\ & ((\led_flash_cnt[1869][3]~53275\) # (GND)))
-- \led_flash_cnt[1869][4]~53277\ = CARRY((!\led_flash_cnt[1869][3]~53275\) # (!\led_flash_cnt[1869][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1869][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1869][3]~53275\,
	combout => \led_flash_cnt[1869][4]~53276_combout\,
	cout => \led_flash_cnt[1869][4]~53277\);

-- Location: FF_X51_Y46_N9
\led_flash_cnt[1869][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1869][4]~53276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1869][4]~q\);

-- Location: LCCOMB_X51_Y46_N10
\led_flash_cnt[1869][5]~53278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1869][5]~53278_combout\ = (\led_flash_cnt[1869][5]~q\ & (\led_flash_cnt[1869][4]~53277\ $ (GND))) # (!\led_flash_cnt[1869][5]~q\ & (!\led_flash_cnt[1869][4]~53277\ & VCC))
-- \led_flash_cnt[1869][5]~53279\ = CARRY((\led_flash_cnt[1869][5]~q\ & !\led_flash_cnt[1869][4]~53277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1869][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1869][4]~53277\,
	combout => \led_flash_cnt[1869][5]~53278_combout\,
	cout => \led_flash_cnt[1869][5]~53279\);

-- Location: FF_X51_Y46_N11
\led_flash_cnt[1869][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1869][5]~53278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1869][5]~q\);

-- Location: LCCOMB_X51_Y46_N12
\led_flash_cnt[1869][6]~53280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1869][6]~53280_combout\ = (\led_flash_cnt[1869][6]~q\ & (!\led_flash_cnt[1869][5]~53279\)) # (!\led_flash_cnt[1869][6]~q\ & ((\led_flash_cnt[1869][5]~53279\) # (GND)))
-- \led_flash_cnt[1869][6]~53281\ = CARRY((!\led_flash_cnt[1869][5]~53279\) # (!\led_flash_cnt[1869][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1869][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1869][5]~53279\,
	combout => \led_flash_cnt[1869][6]~53280_combout\,
	cout => \led_flash_cnt[1869][6]~53281\);

-- Location: FF_X51_Y46_N13
\led_flash_cnt[1869][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1869][6]~53280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1869][6]~q\);

-- Location: LCCOMB_X51_Y46_N22
\WideAnd1869~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1869~1_combout\ = (\led_flash_cnt[1869][6]~q\ & \led_flash_cnt[1869][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1869][6]~q\,
	datad => \led_flash_cnt[1869][5]~q\,
	combout => \WideAnd1869~1_combout\);

-- Location: LCCOMB_X51_Y46_N14
\led_flash_cnt[1869][7]~53282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1869][7]~53282_combout\ = \led_flash_cnt[1869][7]~q\ $ (!\led_flash_cnt[1869][6]~53281\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1869][7]~q\,
	cin => \led_flash_cnt[1869][6]~53281\,
	combout => \led_flash_cnt[1869][7]~53282_combout\);

-- Location: FF_X51_Y46_N15
\led_flash_cnt[1869][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1869][7]~53282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1869][7]~q\);

-- Location: LCCOMB_X51_Y46_N18
\WideAnd1869~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1869~0_combout\ = (\led_flash_cnt[1869][3]~q\ & (\led_flash_cnt[1869][4]~q\ & (\led_flash_cnt[1869][2]~q\ & \led_flash_cnt[1869][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1869][3]~q\,
	datab => \led_flash_cnt[1869][4]~q\,
	datac => \led_flash_cnt[1869][2]~q\,
	datad => \led_flash_cnt[1869][1]~q\,
	combout => \WideAnd1869~0_combout\);

-- Location: LCCOMB_X51_Y46_N28
WideAnd1869 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1869~combout\ = (\WideAnd1869~1_combout\ & (\led_flash_cnt[1869][7]~q\ & (\led_flash_cnt[1869][0]~q\ & \WideAnd1869~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1869~1_combout\,
	datab => \led_flash_cnt[1869][7]~q\,
	datac => \led_flash_cnt[1869][0]~q\,
	datad => \WideAnd1869~0_combout\,
	combout => \WideAnd1869~combout\);

-- Location: FF_X51_Y46_N29
\led_flash_cnt_ands[1869]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1869~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1869));

-- Location: LCCOMB_X52_Y42_N6
\WideAnd4073~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4073~1_combout\ = (led_flash_cnt_ands(1868) & led_flash_cnt_ands(1869))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1868),
	datad => led_flash_cnt_ands(1869),
	combout => \WideAnd4073~1_combout\);

-- Location: LCCOMB_X58_Y42_N16
\led_flash_cnt[1870][0]~82526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1870][0]~82526_combout\ = !\led_flash_cnt[1870][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1870][0]~q\,
	combout => \led_flash_cnt[1870][0]~82526_combout\);

-- Location: FF_X58_Y42_N17
\led_flash_cnt[1870][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1870][0]~82526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1870][0]~q\);

-- Location: LCCOMB_X59_Y42_N4
\led_flash_cnt[1870][1]~53284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1870][1]~53284_combout\ = (\led_flash_cnt[1870][0]~q\ & (\led_flash_cnt[1870][1]~q\ $ (VCC))) # (!\led_flash_cnt[1870][0]~q\ & (\led_flash_cnt[1870][1]~q\ & VCC))
-- \led_flash_cnt[1870][1]~53285\ = CARRY((\led_flash_cnt[1870][0]~q\ & \led_flash_cnt[1870][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1870][0]~q\,
	datab => \led_flash_cnt[1870][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1870][1]~53284_combout\,
	cout => \led_flash_cnt[1870][1]~53285\);

-- Location: FF_X59_Y42_N5
\led_flash_cnt[1870][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1870][1]~53284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1870][1]~q\);

-- Location: LCCOMB_X59_Y42_N6
\led_flash_cnt[1870][2]~53286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1870][2]~53286_combout\ = (\led_flash_cnt[1870][2]~q\ & (!\led_flash_cnt[1870][1]~53285\)) # (!\led_flash_cnt[1870][2]~q\ & ((\led_flash_cnt[1870][1]~53285\) # (GND)))
-- \led_flash_cnt[1870][2]~53287\ = CARRY((!\led_flash_cnt[1870][1]~53285\) # (!\led_flash_cnt[1870][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1870][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1870][1]~53285\,
	combout => \led_flash_cnt[1870][2]~53286_combout\,
	cout => \led_flash_cnt[1870][2]~53287\);

-- Location: FF_X59_Y42_N7
\led_flash_cnt[1870][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1870][2]~53286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1870][2]~q\);

-- Location: LCCOMB_X59_Y42_N8
\led_flash_cnt[1870][3]~53288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1870][3]~53288_combout\ = (\led_flash_cnt[1870][3]~q\ & (\led_flash_cnt[1870][2]~53287\ $ (GND))) # (!\led_flash_cnt[1870][3]~q\ & (!\led_flash_cnt[1870][2]~53287\ & VCC))
-- \led_flash_cnt[1870][3]~53289\ = CARRY((\led_flash_cnt[1870][3]~q\ & !\led_flash_cnt[1870][2]~53287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1870][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1870][2]~53287\,
	combout => \led_flash_cnt[1870][3]~53288_combout\,
	cout => \led_flash_cnt[1870][3]~53289\);

-- Location: FF_X59_Y42_N9
\led_flash_cnt[1870][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1870][3]~53288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1870][3]~q\);

-- Location: LCCOMB_X59_Y42_N10
\led_flash_cnt[1870][4]~53290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1870][4]~53290_combout\ = (\led_flash_cnt[1870][4]~q\ & (!\led_flash_cnt[1870][3]~53289\)) # (!\led_flash_cnt[1870][4]~q\ & ((\led_flash_cnt[1870][3]~53289\) # (GND)))
-- \led_flash_cnt[1870][4]~53291\ = CARRY((!\led_flash_cnt[1870][3]~53289\) # (!\led_flash_cnt[1870][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1870][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1870][3]~53289\,
	combout => \led_flash_cnt[1870][4]~53290_combout\,
	cout => \led_flash_cnt[1870][4]~53291\);

-- Location: FF_X59_Y42_N11
\led_flash_cnt[1870][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1870][4]~53290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1870][4]~q\);

-- Location: LCCOMB_X59_Y42_N12
\led_flash_cnt[1870][5]~53292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1870][5]~53292_combout\ = (\led_flash_cnt[1870][5]~q\ & (\led_flash_cnt[1870][4]~53291\ $ (GND))) # (!\led_flash_cnt[1870][5]~q\ & (!\led_flash_cnt[1870][4]~53291\ & VCC))
-- \led_flash_cnt[1870][5]~53293\ = CARRY((\led_flash_cnt[1870][5]~q\ & !\led_flash_cnt[1870][4]~53291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1870][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1870][4]~53291\,
	combout => \led_flash_cnt[1870][5]~53292_combout\,
	cout => \led_flash_cnt[1870][5]~53293\);

-- Location: FF_X59_Y42_N13
\led_flash_cnt[1870][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1870][5]~53292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1870][5]~q\);

-- Location: LCCOMB_X59_Y42_N14
\led_flash_cnt[1870][6]~53294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1870][6]~53294_combout\ = (\led_flash_cnt[1870][6]~q\ & (!\led_flash_cnt[1870][5]~53293\)) # (!\led_flash_cnt[1870][6]~q\ & ((\led_flash_cnt[1870][5]~53293\) # (GND)))
-- \led_flash_cnt[1870][6]~53295\ = CARRY((!\led_flash_cnt[1870][5]~53293\) # (!\led_flash_cnt[1870][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1870][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1870][5]~53293\,
	combout => \led_flash_cnt[1870][6]~53294_combout\,
	cout => \led_flash_cnt[1870][6]~53295\);

-- Location: FF_X59_Y42_N15
\led_flash_cnt[1870][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1870][6]~53294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1870][6]~q\);

-- Location: LCCOMB_X59_Y42_N16
\led_flash_cnt[1870][7]~53296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1870][7]~53296_combout\ = \led_flash_cnt[1870][6]~53295\ $ (!\led_flash_cnt[1870][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1870][7]~q\,
	cin => \led_flash_cnt[1870][6]~53295\,
	combout => \led_flash_cnt[1870][7]~53296_combout\);

-- Location: FF_X59_Y42_N17
\led_flash_cnt[1870][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1870][7]~53296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1870][7]~q\);

-- Location: LCCOMB_X59_Y42_N0
\WideAnd1870~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1870~0_combout\ = (\led_flash_cnt[1870][4]~q\ & (\led_flash_cnt[1870][3]~q\ & (\led_flash_cnt[1870][1]~q\ & \led_flash_cnt[1870][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1870][4]~q\,
	datab => \led_flash_cnt[1870][3]~q\,
	datac => \led_flash_cnt[1870][1]~q\,
	datad => \led_flash_cnt[1870][2]~q\,
	combout => \WideAnd1870~0_combout\);

-- Location: LCCOMB_X58_Y42_N8
\WideAnd1870~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1870~1_combout\ = (\led_flash_cnt[1870][6]~q\ & \led_flash_cnt[1870][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1870][6]~q\,
	datac => \led_flash_cnt[1870][5]~q\,
	combout => \WideAnd1870~1_combout\);

-- Location: LCCOMB_X58_Y42_N2
WideAnd1870 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1870~combout\ = (\led_flash_cnt[1870][7]~q\ & (\WideAnd1870~0_combout\ & (\WideAnd1870~1_combout\ & \led_flash_cnt[1870][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1870][7]~q\,
	datab => \WideAnd1870~0_combout\,
	datac => \WideAnd1870~1_combout\,
	datad => \led_flash_cnt[1870][0]~q\,
	combout => \WideAnd1870~combout\);

-- Location: FF_X58_Y42_N3
\led_flash_cnt_ands[1870]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1870~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1870));

-- Location: LCCOMB_X58_Y42_N14
WideAnd4073 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4073~combout\ = (led_flash_cnt_ands(1871) & (\WideAnd4073~0_combout\ & (\WideAnd4073~1_combout\ & led_flash_cnt_ands(1870))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1871),
	datab => \WideAnd4073~0_combout\,
	datac => \WideAnd4073~1_combout\,
	datad => led_flash_cnt_ands(1870),
	combout => \WideAnd4073~combout\);

-- Location: FF_X58_Y42_N15
\led_flash_cnt_ands_1[233]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4073~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(233));

-- Location: LCCOMB_X55_Y40_N4
\WideAnd4349~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4349~0_combout\ = (led_flash_cnt_ands_1(234) & (led_flash_cnt_ands_1(232) & (led_flash_cnt_ands_1(235) & led_flash_cnt_ands_1(233))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(234),
	datab => led_flash_cnt_ands_1(232),
	datac => led_flash_cnt_ands_1(235),
	datad => led_flash_cnt_ands_1(233),
	combout => \WideAnd4349~0_combout\);

-- Location: LCCOMB_X51_Y50_N24
\led_flash_cnt[1901][0]~82509\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1901][0]~82509_combout\ = !\led_flash_cnt[1901][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1901][0]~q\,
	combout => \led_flash_cnt[1901][0]~82509_combout\);

-- Location: FF_X51_Y50_N25
\led_flash_cnt[1901][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1901][0]~82509_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1901][0]~q\);

-- Location: LCCOMB_X54_Y50_N2
\led_flash_cnt[1901][1]~53046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1901][1]~53046_combout\ = (\led_flash_cnt[1901][0]~q\ & (\led_flash_cnt[1901][1]~q\ $ (VCC))) # (!\led_flash_cnt[1901][0]~q\ & (\led_flash_cnt[1901][1]~q\ & VCC))
-- \led_flash_cnt[1901][1]~53047\ = CARRY((\led_flash_cnt[1901][0]~q\ & \led_flash_cnt[1901][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1901][0]~q\,
	datab => \led_flash_cnt[1901][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1901][1]~53046_combout\,
	cout => \led_flash_cnt[1901][1]~53047\);

-- Location: FF_X54_Y50_N3
\led_flash_cnt[1901][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1901][1]~53046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1901][1]~q\);

-- Location: LCCOMB_X54_Y50_N4
\led_flash_cnt[1901][2]~53048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1901][2]~53048_combout\ = (\led_flash_cnt[1901][2]~q\ & (!\led_flash_cnt[1901][1]~53047\)) # (!\led_flash_cnt[1901][2]~q\ & ((\led_flash_cnt[1901][1]~53047\) # (GND)))
-- \led_flash_cnt[1901][2]~53049\ = CARRY((!\led_flash_cnt[1901][1]~53047\) # (!\led_flash_cnt[1901][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1901][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1901][1]~53047\,
	combout => \led_flash_cnt[1901][2]~53048_combout\,
	cout => \led_flash_cnt[1901][2]~53049\);

-- Location: FF_X54_Y50_N5
\led_flash_cnt[1901][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1901][2]~53048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1901][2]~q\);

-- Location: LCCOMB_X54_Y50_N6
\led_flash_cnt[1901][3]~53050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1901][3]~53050_combout\ = (\led_flash_cnt[1901][3]~q\ & (\led_flash_cnt[1901][2]~53049\ $ (GND))) # (!\led_flash_cnt[1901][3]~q\ & (!\led_flash_cnt[1901][2]~53049\ & VCC))
-- \led_flash_cnt[1901][3]~53051\ = CARRY((\led_flash_cnt[1901][3]~q\ & !\led_flash_cnt[1901][2]~53049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1901][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1901][2]~53049\,
	combout => \led_flash_cnt[1901][3]~53050_combout\,
	cout => \led_flash_cnt[1901][3]~53051\);

-- Location: FF_X54_Y50_N7
\led_flash_cnt[1901][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1901][3]~53050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1901][3]~q\);

-- Location: LCCOMB_X54_Y50_N8
\led_flash_cnt[1901][4]~53052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1901][4]~53052_combout\ = (\led_flash_cnt[1901][4]~q\ & (!\led_flash_cnt[1901][3]~53051\)) # (!\led_flash_cnt[1901][4]~q\ & ((\led_flash_cnt[1901][3]~53051\) # (GND)))
-- \led_flash_cnt[1901][4]~53053\ = CARRY((!\led_flash_cnt[1901][3]~53051\) # (!\led_flash_cnt[1901][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1901][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1901][3]~53051\,
	combout => \led_flash_cnt[1901][4]~53052_combout\,
	cout => \led_flash_cnt[1901][4]~53053\);

-- Location: FF_X54_Y50_N9
\led_flash_cnt[1901][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1901][4]~53052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1901][4]~q\);

-- Location: LCCOMB_X54_Y50_N10
\led_flash_cnt[1901][5]~53054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1901][5]~53054_combout\ = (\led_flash_cnt[1901][5]~q\ & (\led_flash_cnt[1901][4]~53053\ $ (GND))) # (!\led_flash_cnt[1901][5]~q\ & (!\led_flash_cnt[1901][4]~53053\ & VCC))
-- \led_flash_cnt[1901][5]~53055\ = CARRY((\led_flash_cnt[1901][5]~q\ & !\led_flash_cnt[1901][4]~53053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1901][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1901][4]~53053\,
	combout => \led_flash_cnt[1901][5]~53054_combout\,
	cout => \led_flash_cnt[1901][5]~53055\);

-- Location: FF_X54_Y50_N11
\led_flash_cnt[1901][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1901][5]~53054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1901][5]~q\);

-- Location: LCCOMB_X54_Y50_N12
\led_flash_cnt[1901][6]~53056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1901][6]~53056_combout\ = (\led_flash_cnt[1901][6]~q\ & (!\led_flash_cnt[1901][5]~53055\)) # (!\led_flash_cnt[1901][6]~q\ & ((\led_flash_cnt[1901][5]~53055\) # (GND)))
-- \led_flash_cnt[1901][6]~53057\ = CARRY((!\led_flash_cnt[1901][5]~53055\) # (!\led_flash_cnt[1901][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1901][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1901][5]~53055\,
	combout => \led_flash_cnt[1901][6]~53056_combout\,
	cout => \led_flash_cnt[1901][6]~53057\);

-- Location: FF_X54_Y50_N13
\led_flash_cnt[1901][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1901][6]~53056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1901][6]~q\);

-- Location: LCCOMB_X54_Y50_N14
\led_flash_cnt[1901][7]~53058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1901][7]~53058_combout\ = \led_flash_cnt[1901][7]~q\ $ (!\led_flash_cnt[1901][6]~53057\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1901][7]~q\,
	cin => \led_flash_cnt[1901][6]~53057\,
	combout => \led_flash_cnt[1901][7]~53058_combout\);

-- Location: FF_X54_Y50_N15
\led_flash_cnt[1901][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1901][7]~53058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1901][7]~q\);

-- Location: LCCOMB_X54_Y50_N0
\WideAnd1901~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1901~0_combout\ = (\led_flash_cnt[1901][3]~q\ & (\led_flash_cnt[1901][4]~q\ & (\led_flash_cnt[1901][2]~q\ & \led_flash_cnt[1901][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1901][3]~q\,
	datab => \led_flash_cnt[1901][4]~q\,
	datac => \led_flash_cnt[1901][2]~q\,
	datad => \led_flash_cnt[1901][1]~q\,
	combout => \WideAnd1901~0_combout\);

-- Location: LCCOMB_X51_Y50_N0
\WideAnd1901~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1901~1_combout\ = (\led_flash_cnt[1901][6]~q\ & \led_flash_cnt[1901][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1901][6]~q\,
	datad => \led_flash_cnt[1901][5]~q\,
	combout => \WideAnd1901~1_combout\);

-- Location: LCCOMB_X51_Y50_N4
WideAnd1901 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1901~combout\ = (\led_flash_cnt[1901][7]~q\ & (\led_flash_cnt[1901][0]~q\ & (\WideAnd1901~0_combout\ & \WideAnd1901~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1901][7]~q\,
	datab => \led_flash_cnt[1901][0]~q\,
	datac => \WideAnd1901~0_combout\,
	datad => \WideAnd1901~1_combout\,
	combout => \WideAnd1901~combout\);

-- Location: FF_X51_Y50_N5
\led_flash_cnt_ands[1901]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1901~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1901));

-- Location: LCCOMB_X51_Y50_N6
\led_flash_cnt[1900][0]~82508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1900][0]~82508_combout\ = !\led_flash_cnt[1900][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1900][0]~q\,
	combout => \led_flash_cnt[1900][0]~82508_combout\);

-- Location: FF_X51_Y50_N7
\led_flash_cnt[1900][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1900][0]~82508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1900][0]~q\);

-- Location: LCCOMB_X51_Y50_N8
\led_flash_cnt[1900][1]~53032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1900][1]~53032_combout\ = (\led_flash_cnt[1900][0]~q\ & (\led_flash_cnt[1900][1]~q\ $ (VCC))) # (!\led_flash_cnt[1900][0]~q\ & (\led_flash_cnt[1900][1]~q\ & VCC))
-- \led_flash_cnt[1900][1]~53033\ = CARRY((\led_flash_cnt[1900][0]~q\ & \led_flash_cnt[1900][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1900][0]~q\,
	datab => \led_flash_cnt[1900][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1900][1]~53032_combout\,
	cout => \led_flash_cnt[1900][1]~53033\);

-- Location: FF_X51_Y50_N9
\led_flash_cnt[1900][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1900][1]~53032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1900][1]~q\);

-- Location: LCCOMB_X51_Y50_N10
\led_flash_cnt[1900][2]~53034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1900][2]~53034_combout\ = (\led_flash_cnt[1900][2]~q\ & (!\led_flash_cnt[1900][1]~53033\)) # (!\led_flash_cnt[1900][2]~q\ & ((\led_flash_cnt[1900][1]~53033\) # (GND)))
-- \led_flash_cnt[1900][2]~53035\ = CARRY((!\led_flash_cnt[1900][1]~53033\) # (!\led_flash_cnt[1900][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1900][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1900][1]~53033\,
	combout => \led_flash_cnt[1900][2]~53034_combout\,
	cout => \led_flash_cnt[1900][2]~53035\);

-- Location: FF_X51_Y50_N11
\led_flash_cnt[1900][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1900][2]~53034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1900][2]~q\);

-- Location: LCCOMB_X51_Y50_N12
\led_flash_cnt[1900][3]~53036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1900][3]~53036_combout\ = (\led_flash_cnt[1900][3]~q\ & (\led_flash_cnt[1900][2]~53035\ $ (GND))) # (!\led_flash_cnt[1900][3]~q\ & (!\led_flash_cnt[1900][2]~53035\ & VCC))
-- \led_flash_cnt[1900][3]~53037\ = CARRY((\led_flash_cnt[1900][3]~q\ & !\led_flash_cnt[1900][2]~53035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1900][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1900][2]~53035\,
	combout => \led_flash_cnt[1900][3]~53036_combout\,
	cout => \led_flash_cnt[1900][3]~53037\);

-- Location: FF_X51_Y50_N13
\led_flash_cnt[1900][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1900][3]~53036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1900][3]~q\);

-- Location: LCCOMB_X51_Y50_N14
\led_flash_cnt[1900][4]~53038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1900][4]~53038_combout\ = (\led_flash_cnt[1900][4]~q\ & (!\led_flash_cnt[1900][3]~53037\)) # (!\led_flash_cnt[1900][4]~q\ & ((\led_flash_cnt[1900][3]~53037\) # (GND)))
-- \led_flash_cnt[1900][4]~53039\ = CARRY((!\led_flash_cnt[1900][3]~53037\) # (!\led_flash_cnt[1900][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1900][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1900][3]~53037\,
	combout => \led_flash_cnt[1900][4]~53038_combout\,
	cout => \led_flash_cnt[1900][4]~53039\);

-- Location: FF_X51_Y50_N15
\led_flash_cnt[1900][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1900][4]~53038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1900][4]~q\);

-- Location: LCCOMB_X51_Y50_N16
\led_flash_cnt[1900][5]~53040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1900][5]~53040_combout\ = (\led_flash_cnt[1900][5]~q\ & (\led_flash_cnt[1900][4]~53039\ $ (GND))) # (!\led_flash_cnt[1900][5]~q\ & (!\led_flash_cnt[1900][4]~53039\ & VCC))
-- \led_flash_cnt[1900][5]~53041\ = CARRY((\led_flash_cnt[1900][5]~q\ & !\led_flash_cnt[1900][4]~53039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1900][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1900][4]~53039\,
	combout => \led_flash_cnt[1900][5]~53040_combout\,
	cout => \led_flash_cnt[1900][5]~53041\);

-- Location: FF_X51_Y50_N17
\led_flash_cnt[1900][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1900][5]~53040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1900][5]~q\);

-- Location: LCCOMB_X51_Y50_N18
\led_flash_cnt[1900][6]~53042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1900][6]~53042_combout\ = (\led_flash_cnt[1900][6]~q\ & (!\led_flash_cnt[1900][5]~53041\)) # (!\led_flash_cnt[1900][6]~q\ & ((\led_flash_cnt[1900][5]~53041\) # (GND)))
-- \led_flash_cnt[1900][6]~53043\ = CARRY((!\led_flash_cnt[1900][5]~53041\) # (!\led_flash_cnt[1900][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1900][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1900][5]~53041\,
	combout => \led_flash_cnt[1900][6]~53042_combout\,
	cout => \led_flash_cnt[1900][6]~53043\);

-- Location: FF_X51_Y50_N19
\led_flash_cnt[1900][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1900][6]~53042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1900][6]~q\);

-- Location: LCCOMB_X51_Y50_N20
\led_flash_cnt[1900][7]~53044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1900][7]~53044_combout\ = \led_flash_cnt[1900][6]~53043\ $ (!\led_flash_cnt[1900][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1900][7]~q\,
	cin => \led_flash_cnt[1900][6]~53043\,
	combout => \led_flash_cnt[1900][7]~53044_combout\);

-- Location: FF_X51_Y50_N21
\led_flash_cnt[1900][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1900][7]~53044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1900][7]~q\);

-- Location: LCCOMB_X51_Y50_N22
\WideAnd1900~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1900~1_combout\ = (\led_flash_cnt[1900][6]~q\ & \led_flash_cnt[1900][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1900][6]~q\,
	datad => \led_flash_cnt[1900][5]~q\,
	combout => \WideAnd1900~1_combout\);

-- Location: LCCOMB_X51_Y50_N28
\WideAnd1900~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1900~0_combout\ = (\led_flash_cnt[1900][3]~q\ & (\led_flash_cnt[1900][1]~q\ & (\led_flash_cnt[1900][4]~q\ & \led_flash_cnt[1900][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1900][3]~q\,
	datab => \led_flash_cnt[1900][1]~q\,
	datac => \led_flash_cnt[1900][4]~q\,
	datad => \led_flash_cnt[1900][2]~q\,
	combout => \WideAnd1900~0_combout\);

-- Location: LCCOMB_X51_Y50_N2
WideAnd1900 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1900~combout\ = (\led_flash_cnt[1900][0]~q\ & (\led_flash_cnt[1900][7]~q\ & (\WideAnd1900~1_combout\ & \WideAnd1900~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1900][0]~q\,
	datab => \led_flash_cnt[1900][7]~q\,
	datac => \WideAnd1900~1_combout\,
	datad => \WideAnd1900~0_combout\,
	combout => \WideAnd1900~combout\);

-- Location: FF_X51_Y50_N3
\led_flash_cnt_ands[1900]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1900~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1900));

-- Location: LCCOMB_X51_Y50_N26
\WideAnd4077~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4077~1_combout\ = (led_flash_cnt_ands(1901) & led_flash_cnt_ands(1900))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1901),
	datad => led_flash_cnt_ands(1900),
	combout => \WideAnd4077~1_combout\);

-- Location: LCCOMB_X50_Y53_N30
\led_flash_cnt[1899][0]~82507\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1899][0]~82507_combout\ = !\led_flash_cnt[1899][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1899][0]~q\,
	combout => \led_flash_cnt[1899][0]~82507_combout\);

-- Location: FF_X50_Y53_N31
\led_flash_cnt[1899][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1899][0]~82507_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1899][0]~q\);

-- Location: LCCOMB_X50_Y53_N4
\led_flash_cnt[1899][1]~53018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1899][1]~53018_combout\ = (\led_flash_cnt[1899][0]~q\ & (\led_flash_cnt[1899][1]~q\ $ (VCC))) # (!\led_flash_cnt[1899][0]~q\ & (\led_flash_cnt[1899][1]~q\ & VCC))
-- \led_flash_cnt[1899][1]~53019\ = CARRY((\led_flash_cnt[1899][0]~q\ & \led_flash_cnt[1899][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1899][0]~q\,
	datab => \led_flash_cnt[1899][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1899][1]~53018_combout\,
	cout => \led_flash_cnt[1899][1]~53019\);

-- Location: FF_X50_Y53_N5
\led_flash_cnt[1899][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1899][1]~53018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1899][1]~q\);

-- Location: LCCOMB_X50_Y53_N6
\led_flash_cnt[1899][2]~53020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1899][2]~53020_combout\ = (\led_flash_cnt[1899][2]~q\ & (!\led_flash_cnt[1899][1]~53019\)) # (!\led_flash_cnt[1899][2]~q\ & ((\led_flash_cnt[1899][1]~53019\) # (GND)))
-- \led_flash_cnt[1899][2]~53021\ = CARRY((!\led_flash_cnt[1899][1]~53019\) # (!\led_flash_cnt[1899][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1899][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1899][1]~53019\,
	combout => \led_flash_cnt[1899][2]~53020_combout\,
	cout => \led_flash_cnt[1899][2]~53021\);

-- Location: FF_X50_Y53_N7
\led_flash_cnt[1899][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1899][2]~53020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1899][2]~q\);

-- Location: LCCOMB_X50_Y53_N8
\led_flash_cnt[1899][3]~53022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1899][3]~53022_combout\ = (\led_flash_cnt[1899][3]~q\ & (\led_flash_cnt[1899][2]~53021\ $ (GND))) # (!\led_flash_cnt[1899][3]~q\ & (!\led_flash_cnt[1899][2]~53021\ & VCC))
-- \led_flash_cnt[1899][3]~53023\ = CARRY((\led_flash_cnt[1899][3]~q\ & !\led_flash_cnt[1899][2]~53021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1899][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1899][2]~53021\,
	combout => \led_flash_cnt[1899][3]~53022_combout\,
	cout => \led_flash_cnt[1899][3]~53023\);

-- Location: FF_X50_Y53_N9
\led_flash_cnt[1899][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1899][3]~53022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1899][3]~q\);

-- Location: LCCOMB_X50_Y53_N10
\led_flash_cnt[1899][4]~53024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1899][4]~53024_combout\ = (\led_flash_cnt[1899][4]~q\ & (!\led_flash_cnt[1899][3]~53023\)) # (!\led_flash_cnt[1899][4]~q\ & ((\led_flash_cnt[1899][3]~53023\) # (GND)))
-- \led_flash_cnt[1899][4]~53025\ = CARRY((!\led_flash_cnt[1899][3]~53023\) # (!\led_flash_cnt[1899][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1899][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1899][3]~53023\,
	combout => \led_flash_cnt[1899][4]~53024_combout\,
	cout => \led_flash_cnt[1899][4]~53025\);

-- Location: FF_X50_Y53_N11
\led_flash_cnt[1899][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1899][4]~53024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1899][4]~q\);

-- Location: LCCOMB_X50_Y53_N12
\led_flash_cnt[1899][5]~53026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1899][5]~53026_combout\ = (\led_flash_cnt[1899][5]~q\ & (\led_flash_cnt[1899][4]~53025\ $ (GND))) # (!\led_flash_cnt[1899][5]~q\ & (!\led_flash_cnt[1899][4]~53025\ & VCC))
-- \led_flash_cnt[1899][5]~53027\ = CARRY((\led_flash_cnt[1899][5]~q\ & !\led_flash_cnt[1899][4]~53025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1899][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1899][4]~53025\,
	combout => \led_flash_cnt[1899][5]~53026_combout\,
	cout => \led_flash_cnt[1899][5]~53027\);

-- Location: FF_X50_Y53_N13
\led_flash_cnt[1899][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1899][5]~53026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1899][5]~q\);

-- Location: LCCOMB_X50_Y53_N14
\led_flash_cnt[1899][6]~53028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1899][6]~53028_combout\ = (\led_flash_cnt[1899][6]~q\ & (!\led_flash_cnt[1899][5]~53027\)) # (!\led_flash_cnt[1899][6]~q\ & ((\led_flash_cnt[1899][5]~53027\) # (GND)))
-- \led_flash_cnt[1899][6]~53029\ = CARRY((!\led_flash_cnt[1899][5]~53027\) # (!\led_flash_cnt[1899][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1899][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1899][5]~53027\,
	combout => \led_flash_cnt[1899][6]~53028_combout\,
	cout => \led_flash_cnt[1899][6]~53029\);

-- Location: FF_X50_Y53_N15
\led_flash_cnt[1899][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1899][6]~53028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1899][6]~q\);

-- Location: LCCOMB_X50_Y53_N16
\led_flash_cnt[1899][7]~53030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1899][7]~53030_combout\ = \led_flash_cnt[1899][6]~53029\ $ (!\led_flash_cnt[1899][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1899][7]~q\,
	cin => \led_flash_cnt[1899][6]~53029\,
	combout => \led_flash_cnt[1899][7]~53030_combout\);

-- Location: FF_X50_Y53_N17
\led_flash_cnt[1899][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1899][7]~53030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1899][7]~q\);

-- Location: LCCOMB_X50_Y53_N26
\WideAnd1899~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1899~1_combout\ = (\led_flash_cnt[1899][6]~q\ & \led_flash_cnt[1899][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1899][6]~q\,
	datad => \led_flash_cnt[1899][5]~q\,
	combout => \WideAnd1899~1_combout\);

-- Location: LCCOMB_X50_Y53_N18
\WideAnd1899~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1899~0_combout\ = (\led_flash_cnt[1899][4]~q\ & (\led_flash_cnt[1899][1]~q\ & (\led_flash_cnt[1899][3]~q\ & \led_flash_cnt[1899][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1899][4]~q\,
	datab => \led_flash_cnt[1899][1]~q\,
	datac => \led_flash_cnt[1899][3]~q\,
	datad => \led_flash_cnt[1899][2]~q\,
	combout => \WideAnd1899~0_combout\);

-- Location: LCCOMB_X50_Y53_N22
WideAnd1899 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1899~combout\ = (\led_flash_cnt[1899][0]~q\ & (\led_flash_cnt[1899][7]~q\ & (\WideAnd1899~1_combout\ & \WideAnd1899~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1899][0]~q\,
	datab => \led_flash_cnt[1899][7]~q\,
	datac => \WideAnd1899~1_combout\,
	datad => \WideAnd1899~0_combout\,
	combout => \WideAnd1899~combout\);

-- Location: FF_X50_Y53_N23
\led_flash_cnt_ands[1899]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1899~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1899));

-- Location: LCCOMB_X50_Y52_N18
\led_flash_cnt[1898][0]~82506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1898][0]~82506_combout\ = !\led_flash_cnt[1898][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1898][0]~q\,
	combout => \led_flash_cnt[1898][0]~82506_combout\);

-- Location: FF_X50_Y52_N19
\led_flash_cnt[1898][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1898][0]~82506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1898][0]~q\);

-- Location: LCCOMB_X50_Y52_N0
\led_flash_cnt[1898][1]~53004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1898][1]~53004_combout\ = (\led_flash_cnt[1898][1]~q\ & (\led_flash_cnt[1898][0]~q\ $ (VCC))) # (!\led_flash_cnt[1898][1]~q\ & (\led_flash_cnt[1898][0]~q\ & VCC))
-- \led_flash_cnt[1898][1]~53005\ = CARRY((\led_flash_cnt[1898][1]~q\ & \led_flash_cnt[1898][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1898][1]~q\,
	datab => \led_flash_cnt[1898][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1898][1]~53004_combout\,
	cout => \led_flash_cnt[1898][1]~53005\);

-- Location: FF_X50_Y52_N1
\led_flash_cnt[1898][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1898][1]~53004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1898][1]~q\);

-- Location: LCCOMB_X50_Y52_N2
\led_flash_cnt[1898][2]~53006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1898][2]~53006_combout\ = (\led_flash_cnt[1898][2]~q\ & (!\led_flash_cnt[1898][1]~53005\)) # (!\led_flash_cnt[1898][2]~q\ & ((\led_flash_cnt[1898][1]~53005\) # (GND)))
-- \led_flash_cnt[1898][2]~53007\ = CARRY((!\led_flash_cnt[1898][1]~53005\) # (!\led_flash_cnt[1898][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1898][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1898][1]~53005\,
	combout => \led_flash_cnt[1898][2]~53006_combout\,
	cout => \led_flash_cnt[1898][2]~53007\);

-- Location: FF_X50_Y52_N3
\led_flash_cnt[1898][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1898][2]~53006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1898][2]~q\);

-- Location: LCCOMB_X50_Y52_N4
\led_flash_cnt[1898][3]~53008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1898][3]~53008_combout\ = (\led_flash_cnt[1898][3]~q\ & (\led_flash_cnt[1898][2]~53007\ $ (GND))) # (!\led_flash_cnt[1898][3]~q\ & (!\led_flash_cnt[1898][2]~53007\ & VCC))
-- \led_flash_cnt[1898][3]~53009\ = CARRY((\led_flash_cnt[1898][3]~q\ & !\led_flash_cnt[1898][2]~53007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1898][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1898][2]~53007\,
	combout => \led_flash_cnt[1898][3]~53008_combout\,
	cout => \led_flash_cnt[1898][3]~53009\);

-- Location: FF_X50_Y52_N5
\led_flash_cnt[1898][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1898][3]~53008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1898][3]~q\);

-- Location: LCCOMB_X50_Y52_N6
\led_flash_cnt[1898][4]~53010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1898][4]~53010_combout\ = (\led_flash_cnt[1898][4]~q\ & (!\led_flash_cnt[1898][3]~53009\)) # (!\led_flash_cnt[1898][4]~q\ & ((\led_flash_cnt[1898][3]~53009\) # (GND)))
-- \led_flash_cnt[1898][4]~53011\ = CARRY((!\led_flash_cnt[1898][3]~53009\) # (!\led_flash_cnt[1898][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1898][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1898][3]~53009\,
	combout => \led_flash_cnt[1898][4]~53010_combout\,
	cout => \led_flash_cnt[1898][4]~53011\);

-- Location: FF_X50_Y52_N7
\led_flash_cnt[1898][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1898][4]~53010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1898][4]~q\);

-- Location: LCCOMB_X50_Y52_N26
\WideAnd1898~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1898~0_combout\ = (\led_flash_cnt[1898][4]~q\ & (\led_flash_cnt[1898][1]~q\ & (\led_flash_cnt[1898][3]~q\ & \led_flash_cnt[1898][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1898][4]~q\,
	datab => \led_flash_cnt[1898][1]~q\,
	datac => \led_flash_cnt[1898][3]~q\,
	datad => \led_flash_cnt[1898][2]~q\,
	combout => \WideAnd1898~0_combout\);

-- Location: LCCOMB_X50_Y52_N8
\led_flash_cnt[1898][5]~53012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1898][5]~53012_combout\ = (\led_flash_cnt[1898][5]~q\ & (\led_flash_cnt[1898][4]~53011\ $ (GND))) # (!\led_flash_cnt[1898][5]~q\ & (!\led_flash_cnt[1898][4]~53011\ & VCC))
-- \led_flash_cnt[1898][5]~53013\ = CARRY((\led_flash_cnt[1898][5]~q\ & !\led_flash_cnt[1898][4]~53011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1898][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1898][4]~53011\,
	combout => \led_flash_cnt[1898][5]~53012_combout\,
	cout => \led_flash_cnt[1898][5]~53013\);

-- Location: FF_X50_Y52_N9
\led_flash_cnt[1898][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1898][5]~53012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1898][5]~q\);

-- Location: LCCOMB_X50_Y52_N10
\led_flash_cnt[1898][6]~53014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1898][6]~53014_combout\ = (\led_flash_cnt[1898][6]~q\ & (!\led_flash_cnt[1898][5]~53013\)) # (!\led_flash_cnt[1898][6]~q\ & ((\led_flash_cnt[1898][5]~53013\) # (GND)))
-- \led_flash_cnt[1898][6]~53015\ = CARRY((!\led_flash_cnt[1898][5]~53013\) # (!\led_flash_cnt[1898][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1898][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1898][5]~53013\,
	combout => \led_flash_cnt[1898][6]~53014_combout\,
	cout => \led_flash_cnt[1898][6]~53015\);

-- Location: FF_X50_Y52_N11
\led_flash_cnt[1898][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1898][6]~53014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1898][6]~q\);

-- Location: LCCOMB_X50_Y52_N22
\WideAnd1898~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1898~1_combout\ = (\led_flash_cnt[1898][5]~q\ & \led_flash_cnt[1898][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1898][5]~q\,
	datad => \led_flash_cnt[1898][6]~q\,
	combout => \WideAnd1898~1_combout\);

-- Location: LCCOMB_X50_Y52_N12
\led_flash_cnt[1898][7]~53016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1898][7]~53016_combout\ = \led_flash_cnt[1898][6]~53015\ $ (!\led_flash_cnt[1898][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1898][7]~q\,
	cin => \led_flash_cnt[1898][6]~53015\,
	combout => \led_flash_cnt[1898][7]~53016_combout\);

-- Location: FF_X50_Y52_N13
\led_flash_cnt[1898][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1898][7]~53016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1898][7]~q\);

-- Location: LCCOMB_X50_Y52_N24
WideAnd1898 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1898~combout\ = (\WideAnd1898~0_combout\ & (\led_flash_cnt[1898][0]~q\ & (\WideAnd1898~1_combout\ & \led_flash_cnt[1898][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1898~0_combout\,
	datab => \led_flash_cnt[1898][0]~q\,
	datac => \WideAnd1898~1_combout\,
	datad => \led_flash_cnt[1898][7]~q\,
	combout => \WideAnd1898~combout\);

-- Location: FF_X50_Y52_N25
\led_flash_cnt_ands[1898]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1898~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1898));

-- Location: LCCOMB_X50_Y50_N12
\led_flash_cnt[1896][0]~82504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1896][0]~82504_combout\ = !\led_flash_cnt[1896][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1896][0]~q\,
	combout => \led_flash_cnt[1896][0]~82504_combout\);

-- Location: FF_X50_Y50_N13
\led_flash_cnt[1896][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1896][0]~82504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1896][0]~q\);

-- Location: LCCOMB_X50_Y50_N18
\led_flash_cnt[1896][1]~52976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1896][1]~52976_combout\ = (\led_flash_cnt[1896][0]~q\ & (\led_flash_cnt[1896][1]~q\ $ (VCC))) # (!\led_flash_cnt[1896][0]~q\ & (\led_flash_cnt[1896][1]~q\ & VCC))
-- \led_flash_cnt[1896][1]~52977\ = CARRY((\led_flash_cnt[1896][0]~q\ & \led_flash_cnt[1896][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1896][0]~q\,
	datab => \led_flash_cnt[1896][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1896][1]~52976_combout\,
	cout => \led_flash_cnt[1896][1]~52977\);

-- Location: FF_X50_Y50_N19
\led_flash_cnt[1896][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1896][1]~52976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1896][1]~q\);

-- Location: LCCOMB_X50_Y50_N20
\led_flash_cnt[1896][2]~52978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1896][2]~52978_combout\ = (\led_flash_cnt[1896][2]~q\ & (!\led_flash_cnt[1896][1]~52977\)) # (!\led_flash_cnt[1896][2]~q\ & ((\led_flash_cnt[1896][1]~52977\) # (GND)))
-- \led_flash_cnt[1896][2]~52979\ = CARRY((!\led_flash_cnt[1896][1]~52977\) # (!\led_flash_cnt[1896][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1896][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1896][1]~52977\,
	combout => \led_flash_cnt[1896][2]~52978_combout\,
	cout => \led_flash_cnt[1896][2]~52979\);

-- Location: FF_X50_Y50_N21
\led_flash_cnt[1896][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1896][2]~52978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1896][2]~q\);

-- Location: LCCOMB_X50_Y50_N22
\led_flash_cnt[1896][3]~52980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1896][3]~52980_combout\ = (\led_flash_cnt[1896][3]~q\ & (\led_flash_cnt[1896][2]~52979\ $ (GND))) # (!\led_flash_cnt[1896][3]~q\ & (!\led_flash_cnt[1896][2]~52979\ & VCC))
-- \led_flash_cnt[1896][3]~52981\ = CARRY((\led_flash_cnt[1896][3]~q\ & !\led_flash_cnt[1896][2]~52979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1896][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1896][2]~52979\,
	combout => \led_flash_cnt[1896][3]~52980_combout\,
	cout => \led_flash_cnt[1896][3]~52981\);

-- Location: FF_X50_Y50_N23
\led_flash_cnt[1896][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1896][3]~52980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1896][3]~q\);

-- Location: LCCOMB_X50_Y50_N24
\led_flash_cnt[1896][4]~52982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1896][4]~52982_combout\ = (\led_flash_cnt[1896][4]~q\ & (!\led_flash_cnt[1896][3]~52981\)) # (!\led_flash_cnt[1896][4]~q\ & ((\led_flash_cnt[1896][3]~52981\) # (GND)))
-- \led_flash_cnt[1896][4]~52983\ = CARRY((!\led_flash_cnt[1896][3]~52981\) # (!\led_flash_cnt[1896][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1896][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1896][3]~52981\,
	combout => \led_flash_cnt[1896][4]~52982_combout\,
	cout => \led_flash_cnt[1896][4]~52983\);

-- Location: FF_X50_Y50_N25
\led_flash_cnt[1896][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1896][4]~52982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1896][4]~q\);

-- Location: LCCOMB_X50_Y50_N26
\led_flash_cnt[1896][5]~52984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1896][5]~52984_combout\ = (\led_flash_cnt[1896][5]~q\ & (\led_flash_cnt[1896][4]~52983\ $ (GND))) # (!\led_flash_cnt[1896][5]~q\ & (!\led_flash_cnt[1896][4]~52983\ & VCC))
-- \led_flash_cnt[1896][5]~52985\ = CARRY((\led_flash_cnt[1896][5]~q\ & !\led_flash_cnt[1896][4]~52983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1896][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1896][4]~52983\,
	combout => \led_flash_cnt[1896][5]~52984_combout\,
	cout => \led_flash_cnt[1896][5]~52985\);

-- Location: FF_X50_Y50_N27
\led_flash_cnt[1896][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1896][5]~52984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1896][5]~q\);

-- Location: LCCOMB_X50_Y50_N28
\led_flash_cnt[1896][6]~52986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1896][6]~52986_combout\ = (\led_flash_cnt[1896][6]~q\ & (!\led_flash_cnt[1896][5]~52985\)) # (!\led_flash_cnt[1896][6]~q\ & ((\led_flash_cnt[1896][5]~52985\) # (GND)))
-- \led_flash_cnt[1896][6]~52987\ = CARRY((!\led_flash_cnt[1896][5]~52985\) # (!\led_flash_cnt[1896][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1896][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1896][5]~52985\,
	combout => \led_flash_cnt[1896][6]~52986_combout\,
	cout => \led_flash_cnt[1896][6]~52987\);

-- Location: FF_X50_Y50_N29
\led_flash_cnt[1896][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1896][6]~52986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1896][6]~q\);

-- Location: LCCOMB_X50_Y50_N10
\WideAnd1896~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1896~1_combout\ = (\led_flash_cnt[1896][5]~q\ & \led_flash_cnt[1896][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1896][5]~q\,
	datad => \led_flash_cnt[1896][6]~q\,
	combout => \WideAnd1896~1_combout\);

-- Location: LCCOMB_X50_Y50_N4
\WideAnd1896~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1896~0_combout\ = (\led_flash_cnt[1896][4]~q\ & (\led_flash_cnt[1896][2]~q\ & (\led_flash_cnt[1896][3]~q\ & \led_flash_cnt[1896][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1896][4]~q\,
	datab => \led_flash_cnt[1896][2]~q\,
	datac => \led_flash_cnt[1896][3]~q\,
	datad => \led_flash_cnt[1896][1]~q\,
	combout => \WideAnd1896~0_combout\);

-- Location: LCCOMB_X50_Y50_N30
\led_flash_cnt[1896][7]~52988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1896][7]~52988_combout\ = \led_flash_cnt[1896][7]~q\ $ (!\led_flash_cnt[1896][6]~52987\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1896][7]~q\,
	cin => \led_flash_cnt[1896][6]~52987\,
	combout => \led_flash_cnt[1896][7]~52988_combout\);

-- Location: FF_X50_Y50_N31
\led_flash_cnt[1896][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1896][7]~52988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1896][7]~q\);

-- Location: LCCOMB_X50_Y50_N0
WideAnd1896 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1896~combout\ = (\WideAnd1896~1_combout\ & (\WideAnd1896~0_combout\ & (\led_flash_cnt[1896][7]~q\ & \led_flash_cnt[1896][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1896~1_combout\,
	datab => \WideAnd1896~0_combout\,
	datac => \led_flash_cnt[1896][7]~q\,
	datad => \led_flash_cnt[1896][0]~q\,
	combout => \WideAnd1896~combout\);

-- Location: FF_X50_Y50_N1
\led_flash_cnt_ands[1896]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1896~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1896));

-- Location: LCCOMB_X51_Y53_N26
\led_flash_cnt[1897][0]~82505\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1897][0]~82505_combout\ = !\led_flash_cnt[1897][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1897][0]~q\,
	combout => \led_flash_cnt[1897][0]~82505_combout\);

-- Location: FF_X51_Y53_N27
\led_flash_cnt[1897][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1897][0]~82505_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1897][0]~q\);

-- Location: LCCOMB_X51_Y53_N8
\led_flash_cnt[1897][1]~52990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1897][1]~52990_combout\ = (\led_flash_cnt[1897][0]~q\ & (\led_flash_cnt[1897][1]~q\ $ (VCC))) # (!\led_flash_cnt[1897][0]~q\ & (\led_flash_cnt[1897][1]~q\ & VCC))
-- \led_flash_cnt[1897][1]~52991\ = CARRY((\led_flash_cnt[1897][0]~q\ & \led_flash_cnt[1897][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1897][0]~q\,
	datab => \led_flash_cnt[1897][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1897][1]~52990_combout\,
	cout => \led_flash_cnt[1897][1]~52991\);

-- Location: FF_X51_Y53_N9
\led_flash_cnt[1897][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1897][1]~52990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1897][1]~q\);

-- Location: LCCOMB_X51_Y53_N10
\led_flash_cnt[1897][2]~52992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1897][2]~52992_combout\ = (\led_flash_cnt[1897][2]~q\ & (!\led_flash_cnt[1897][1]~52991\)) # (!\led_flash_cnt[1897][2]~q\ & ((\led_flash_cnt[1897][1]~52991\) # (GND)))
-- \led_flash_cnt[1897][2]~52993\ = CARRY((!\led_flash_cnt[1897][1]~52991\) # (!\led_flash_cnt[1897][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1897][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1897][1]~52991\,
	combout => \led_flash_cnt[1897][2]~52992_combout\,
	cout => \led_flash_cnt[1897][2]~52993\);

-- Location: FF_X51_Y53_N11
\led_flash_cnt[1897][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1897][2]~52992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1897][2]~q\);

-- Location: LCCOMB_X51_Y53_N12
\led_flash_cnt[1897][3]~52994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1897][3]~52994_combout\ = (\led_flash_cnt[1897][3]~q\ & (\led_flash_cnt[1897][2]~52993\ $ (GND))) # (!\led_flash_cnt[1897][3]~q\ & (!\led_flash_cnt[1897][2]~52993\ & VCC))
-- \led_flash_cnt[1897][3]~52995\ = CARRY((\led_flash_cnt[1897][3]~q\ & !\led_flash_cnt[1897][2]~52993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1897][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1897][2]~52993\,
	combout => \led_flash_cnt[1897][3]~52994_combout\,
	cout => \led_flash_cnt[1897][3]~52995\);

-- Location: FF_X51_Y53_N13
\led_flash_cnt[1897][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1897][3]~52994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1897][3]~q\);

-- Location: LCCOMB_X51_Y53_N14
\led_flash_cnt[1897][4]~52996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1897][4]~52996_combout\ = (\led_flash_cnt[1897][4]~q\ & (!\led_flash_cnt[1897][3]~52995\)) # (!\led_flash_cnt[1897][4]~q\ & ((\led_flash_cnt[1897][3]~52995\) # (GND)))
-- \led_flash_cnt[1897][4]~52997\ = CARRY((!\led_flash_cnt[1897][3]~52995\) # (!\led_flash_cnt[1897][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1897][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1897][3]~52995\,
	combout => \led_flash_cnt[1897][4]~52996_combout\,
	cout => \led_flash_cnt[1897][4]~52997\);

-- Location: FF_X51_Y53_N15
\led_flash_cnt[1897][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1897][4]~52996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1897][4]~q\);

-- Location: LCCOMB_X51_Y53_N16
\led_flash_cnt[1897][5]~52998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1897][5]~52998_combout\ = (\led_flash_cnt[1897][5]~q\ & (\led_flash_cnt[1897][4]~52997\ $ (GND))) # (!\led_flash_cnt[1897][5]~q\ & (!\led_flash_cnt[1897][4]~52997\ & VCC))
-- \led_flash_cnt[1897][5]~52999\ = CARRY((\led_flash_cnt[1897][5]~q\ & !\led_flash_cnt[1897][4]~52997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1897][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1897][4]~52997\,
	combout => \led_flash_cnt[1897][5]~52998_combout\,
	cout => \led_flash_cnt[1897][5]~52999\);

-- Location: FF_X51_Y53_N17
\led_flash_cnt[1897][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1897][5]~52998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1897][5]~q\);

-- Location: LCCOMB_X51_Y53_N18
\led_flash_cnt[1897][6]~53000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1897][6]~53000_combout\ = (\led_flash_cnt[1897][6]~q\ & (!\led_flash_cnt[1897][5]~52999\)) # (!\led_flash_cnt[1897][6]~q\ & ((\led_flash_cnt[1897][5]~52999\) # (GND)))
-- \led_flash_cnt[1897][6]~53001\ = CARRY((!\led_flash_cnt[1897][5]~52999\) # (!\led_flash_cnt[1897][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1897][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1897][5]~52999\,
	combout => \led_flash_cnt[1897][6]~53000_combout\,
	cout => \led_flash_cnt[1897][6]~53001\);

-- Location: FF_X51_Y53_N19
\led_flash_cnt[1897][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1897][6]~53000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1897][6]~q\);

-- Location: LCCOMB_X51_Y53_N20
\led_flash_cnt[1897][7]~53002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1897][7]~53002_combout\ = \led_flash_cnt[1897][6]~53001\ $ (!\led_flash_cnt[1897][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1897][7]~q\,
	cin => \led_flash_cnt[1897][6]~53001\,
	combout => \led_flash_cnt[1897][7]~53002_combout\);

-- Location: FF_X51_Y53_N21
\led_flash_cnt[1897][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1897][7]~53002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1897][7]~q\);

-- Location: LCCOMB_X51_Y53_N22
\WideAnd1897~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1897~1_combout\ = (\led_flash_cnt[1897][6]~q\ & \led_flash_cnt[1897][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1897][6]~q\,
	datad => \led_flash_cnt[1897][5]~q\,
	combout => \WideAnd1897~1_combout\);

-- Location: LCCOMB_X51_Y53_N24
\WideAnd1897~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1897~0_combout\ = (\led_flash_cnt[1897][3]~q\ & (\led_flash_cnt[1897][4]~q\ & (\led_flash_cnt[1897][1]~q\ & \led_flash_cnt[1897][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1897][3]~q\,
	datab => \led_flash_cnt[1897][4]~q\,
	datac => \led_flash_cnt[1897][1]~q\,
	datad => \led_flash_cnt[1897][2]~q\,
	combout => \WideAnd1897~0_combout\);

-- Location: LCCOMB_X51_Y53_N28
WideAnd1897 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1897~combout\ = (\led_flash_cnt[1897][0]~q\ & (\led_flash_cnt[1897][7]~q\ & (\WideAnd1897~1_combout\ & \WideAnd1897~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1897][0]~q\,
	datab => \led_flash_cnt[1897][7]~q\,
	datac => \WideAnd1897~1_combout\,
	datad => \WideAnd1897~0_combout\,
	combout => \WideAnd1897~combout\);

-- Location: FF_X51_Y53_N29
\led_flash_cnt_ands[1897]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1897~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1897));

-- Location: LCCOMB_X50_Y53_N28
\WideAnd4077~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4077~0_combout\ = (led_flash_cnt_ands(1899) & (led_flash_cnt_ands(1898) & (led_flash_cnt_ands(1896) & led_flash_cnt_ands(1897))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1899),
	datab => led_flash_cnt_ands(1898),
	datac => led_flash_cnt_ands(1896),
	datad => led_flash_cnt_ands(1897),
	combout => \WideAnd4077~0_combout\);

-- Location: LCCOMB_X52_Y50_N10
\led_flash_cnt[1903][0]~82511\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1903][0]~82511_combout\ = !\led_flash_cnt[1903][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1903][0]~q\,
	combout => \led_flash_cnt[1903][0]~82511_combout\);

-- Location: FF_X52_Y50_N11
\led_flash_cnt[1903][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1903][0]~82511_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1903][0]~q\);

-- Location: LCCOMB_X52_Y50_N16
\led_flash_cnt[1903][1]~53074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1903][1]~53074_combout\ = (\led_flash_cnt[1903][0]~q\ & (\led_flash_cnt[1903][1]~q\ $ (VCC))) # (!\led_flash_cnt[1903][0]~q\ & (\led_flash_cnt[1903][1]~q\ & VCC))
-- \led_flash_cnt[1903][1]~53075\ = CARRY((\led_flash_cnt[1903][0]~q\ & \led_flash_cnt[1903][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1903][0]~q\,
	datab => \led_flash_cnt[1903][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1903][1]~53074_combout\,
	cout => \led_flash_cnt[1903][1]~53075\);

-- Location: FF_X52_Y50_N17
\led_flash_cnt[1903][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1903][1]~53074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1903][1]~q\);

-- Location: LCCOMB_X52_Y50_N18
\led_flash_cnt[1903][2]~53076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1903][2]~53076_combout\ = (\led_flash_cnt[1903][2]~q\ & (!\led_flash_cnt[1903][1]~53075\)) # (!\led_flash_cnt[1903][2]~q\ & ((\led_flash_cnt[1903][1]~53075\) # (GND)))
-- \led_flash_cnt[1903][2]~53077\ = CARRY((!\led_flash_cnt[1903][1]~53075\) # (!\led_flash_cnt[1903][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1903][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1903][1]~53075\,
	combout => \led_flash_cnt[1903][2]~53076_combout\,
	cout => \led_flash_cnt[1903][2]~53077\);

-- Location: FF_X52_Y50_N19
\led_flash_cnt[1903][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1903][2]~53076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1903][2]~q\);

-- Location: LCCOMB_X52_Y50_N20
\led_flash_cnt[1903][3]~53078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1903][3]~53078_combout\ = (\led_flash_cnt[1903][3]~q\ & (\led_flash_cnt[1903][2]~53077\ $ (GND))) # (!\led_flash_cnt[1903][3]~q\ & (!\led_flash_cnt[1903][2]~53077\ & VCC))
-- \led_flash_cnt[1903][3]~53079\ = CARRY((\led_flash_cnt[1903][3]~q\ & !\led_flash_cnt[1903][2]~53077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1903][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1903][2]~53077\,
	combout => \led_flash_cnt[1903][3]~53078_combout\,
	cout => \led_flash_cnt[1903][3]~53079\);

-- Location: FF_X52_Y50_N21
\led_flash_cnt[1903][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1903][3]~53078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1903][3]~q\);

-- Location: LCCOMB_X52_Y50_N22
\led_flash_cnt[1903][4]~53080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1903][4]~53080_combout\ = (\led_flash_cnt[1903][4]~q\ & (!\led_flash_cnt[1903][3]~53079\)) # (!\led_flash_cnt[1903][4]~q\ & ((\led_flash_cnt[1903][3]~53079\) # (GND)))
-- \led_flash_cnt[1903][4]~53081\ = CARRY((!\led_flash_cnt[1903][3]~53079\) # (!\led_flash_cnt[1903][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1903][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1903][3]~53079\,
	combout => \led_flash_cnt[1903][4]~53080_combout\,
	cout => \led_flash_cnt[1903][4]~53081\);

-- Location: FF_X52_Y50_N23
\led_flash_cnt[1903][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1903][4]~53080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1903][4]~q\);

-- Location: LCCOMB_X52_Y50_N24
\led_flash_cnt[1903][5]~53082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1903][5]~53082_combout\ = (\led_flash_cnt[1903][5]~q\ & (\led_flash_cnt[1903][4]~53081\ $ (GND))) # (!\led_flash_cnt[1903][5]~q\ & (!\led_flash_cnt[1903][4]~53081\ & VCC))
-- \led_flash_cnt[1903][5]~53083\ = CARRY((\led_flash_cnt[1903][5]~q\ & !\led_flash_cnt[1903][4]~53081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1903][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1903][4]~53081\,
	combout => \led_flash_cnt[1903][5]~53082_combout\,
	cout => \led_flash_cnt[1903][5]~53083\);

-- Location: FF_X52_Y50_N25
\led_flash_cnt[1903][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1903][5]~53082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1903][5]~q\);

-- Location: LCCOMB_X52_Y50_N26
\led_flash_cnt[1903][6]~53084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1903][6]~53084_combout\ = (\led_flash_cnt[1903][6]~q\ & (!\led_flash_cnt[1903][5]~53083\)) # (!\led_flash_cnt[1903][6]~q\ & ((\led_flash_cnt[1903][5]~53083\) # (GND)))
-- \led_flash_cnt[1903][6]~53085\ = CARRY((!\led_flash_cnt[1903][5]~53083\) # (!\led_flash_cnt[1903][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1903][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1903][5]~53083\,
	combout => \led_flash_cnt[1903][6]~53084_combout\,
	cout => \led_flash_cnt[1903][6]~53085\);

-- Location: FF_X52_Y50_N27
\led_flash_cnt[1903][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1903][6]~53084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1903][6]~q\);

-- Location: LCCOMB_X52_Y50_N28
\led_flash_cnt[1903][7]~53086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1903][7]~53086_combout\ = \led_flash_cnt[1903][6]~53085\ $ (!\led_flash_cnt[1903][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1903][7]~q\,
	cin => \led_flash_cnt[1903][6]~53085\,
	combout => \led_flash_cnt[1903][7]~53086_combout\);

-- Location: FF_X52_Y50_N29
\led_flash_cnt[1903][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1903][7]~53086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1903][7]~q\);

-- Location: LCCOMB_X52_Y50_N4
\WideAnd1903~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1903~1_combout\ = (\led_flash_cnt[1903][6]~q\ & \led_flash_cnt[1903][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1903][6]~q\,
	datad => \led_flash_cnt[1903][5]~q\,
	combout => \WideAnd1903~1_combout\);

-- Location: LCCOMB_X52_Y50_N12
\WideAnd1903~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1903~0_combout\ = (\led_flash_cnt[1903][3]~q\ & (\led_flash_cnt[1903][2]~q\ & (\led_flash_cnt[1903][4]~q\ & \led_flash_cnt[1903][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1903][3]~q\,
	datab => \led_flash_cnt[1903][2]~q\,
	datac => \led_flash_cnt[1903][4]~q\,
	datad => \led_flash_cnt[1903][1]~q\,
	combout => \WideAnd1903~0_combout\);

-- Location: LCCOMB_X52_Y50_N8
WideAnd1903 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1903~combout\ = (\led_flash_cnt[1903][0]~q\ & (\led_flash_cnt[1903][7]~q\ & (\WideAnd1903~1_combout\ & \WideAnd1903~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1903][0]~q\,
	datab => \led_flash_cnt[1903][7]~q\,
	datac => \WideAnd1903~1_combout\,
	datad => \WideAnd1903~0_combout\,
	combout => \WideAnd1903~combout\);

-- Location: FF_X52_Y50_N9
\led_flash_cnt_ands[1903]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1903~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1903));

-- Location: LCCOMB_X55_Y50_N12
\led_flash_cnt[1902][0]~82510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1902][0]~82510_combout\ = !\led_flash_cnt[1902][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1902][0]~q\,
	combout => \led_flash_cnt[1902][0]~82510_combout\);

-- Location: FF_X55_Y50_N13
\led_flash_cnt[1902][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1902][0]~82510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1902][0]~q\);

-- Location: LCCOMB_X55_Y50_N14
\led_flash_cnt[1902][1]~53060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1902][1]~53060_combout\ = (\led_flash_cnt[1902][0]~q\ & (\led_flash_cnt[1902][1]~q\ $ (VCC))) # (!\led_flash_cnt[1902][0]~q\ & (\led_flash_cnt[1902][1]~q\ & VCC))
-- \led_flash_cnt[1902][1]~53061\ = CARRY((\led_flash_cnt[1902][0]~q\ & \led_flash_cnt[1902][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1902][0]~q\,
	datab => \led_flash_cnt[1902][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1902][1]~53060_combout\,
	cout => \led_flash_cnt[1902][1]~53061\);

-- Location: FF_X55_Y50_N15
\led_flash_cnt[1902][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1902][1]~53060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1902][1]~q\);

-- Location: LCCOMB_X55_Y50_N16
\led_flash_cnt[1902][2]~53062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1902][2]~53062_combout\ = (\led_flash_cnt[1902][2]~q\ & (!\led_flash_cnt[1902][1]~53061\)) # (!\led_flash_cnt[1902][2]~q\ & ((\led_flash_cnt[1902][1]~53061\) # (GND)))
-- \led_flash_cnt[1902][2]~53063\ = CARRY((!\led_flash_cnt[1902][1]~53061\) # (!\led_flash_cnt[1902][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1902][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1902][1]~53061\,
	combout => \led_flash_cnt[1902][2]~53062_combout\,
	cout => \led_flash_cnt[1902][2]~53063\);

-- Location: FF_X55_Y50_N17
\led_flash_cnt[1902][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1902][2]~53062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1902][2]~q\);

-- Location: LCCOMB_X55_Y50_N18
\led_flash_cnt[1902][3]~53064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1902][3]~53064_combout\ = (\led_flash_cnt[1902][3]~q\ & (\led_flash_cnt[1902][2]~53063\ $ (GND))) # (!\led_flash_cnt[1902][3]~q\ & (!\led_flash_cnt[1902][2]~53063\ & VCC))
-- \led_flash_cnt[1902][3]~53065\ = CARRY((\led_flash_cnt[1902][3]~q\ & !\led_flash_cnt[1902][2]~53063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1902][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1902][2]~53063\,
	combout => \led_flash_cnt[1902][3]~53064_combout\,
	cout => \led_flash_cnt[1902][3]~53065\);

-- Location: FF_X55_Y50_N19
\led_flash_cnt[1902][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1902][3]~53064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1902][3]~q\);

-- Location: LCCOMB_X55_Y50_N20
\led_flash_cnt[1902][4]~53066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1902][4]~53066_combout\ = (\led_flash_cnt[1902][4]~q\ & (!\led_flash_cnt[1902][3]~53065\)) # (!\led_flash_cnt[1902][4]~q\ & ((\led_flash_cnt[1902][3]~53065\) # (GND)))
-- \led_flash_cnt[1902][4]~53067\ = CARRY((!\led_flash_cnt[1902][3]~53065\) # (!\led_flash_cnt[1902][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1902][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1902][3]~53065\,
	combout => \led_flash_cnt[1902][4]~53066_combout\,
	cout => \led_flash_cnt[1902][4]~53067\);

-- Location: FF_X55_Y50_N21
\led_flash_cnt[1902][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1902][4]~53066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1902][4]~q\);

-- Location: LCCOMB_X55_Y50_N22
\led_flash_cnt[1902][5]~53068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1902][5]~53068_combout\ = (\led_flash_cnt[1902][5]~q\ & (\led_flash_cnt[1902][4]~53067\ $ (GND))) # (!\led_flash_cnt[1902][5]~q\ & (!\led_flash_cnt[1902][4]~53067\ & VCC))
-- \led_flash_cnt[1902][5]~53069\ = CARRY((\led_flash_cnt[1902][5]~q\ & !\led_flash_cnt[1902][4]~53067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1902][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1902][4]~53067\,
	combout => \led_flash_cnt[1902][5]~53068_combout\,
	cout => \led_flash_cnt[1902][5]~53069\);

-- Location: FF_X55_Y50_N23
\led_flash_cnt[1902][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1902][5]~53068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1902][5]~q\);

-- Location: LCCOMB_X55_Y50_N24
\led_flash_cnt[1902][6]~53070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1902][6]~53070_combout\ = (\led_flash_cnt[1902][6]~q\ & (!\led_flash_cnt[1902][5]~53069\)) # (!\led_flash_cnt[1902][6]~q\ & ((\led_flash_cnt[1902][5]~53069\) # (GND)))
-- \led_flash_cnt[1902][6]~53071\ = CARRY((!\led_flash_cnt[1902][5]~53069\) # (!\led_flash_cnt[1902][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1902][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1902][5]~53069\,
	combout => \led_flash_cnt[1902][6]~53070_combout\,
	cout => \led_flash_cnt[1902][6]~53071\);

-- Location: FF_X55_Y50_N25
\led_flash_cnt[1902][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1902][6]~53070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1902][6]~q\);

-- Location: LCCOMB_X55_Y50_N6
\WideAnd1902~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1902~1_combout\ = (\led_flash_cnt[1902][5]~q\ & \led_flash_cnt[1902][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1902][5]~q\,
	datad => \led_flash_cnt[1902][6]~q\,
	combout => \WideAnd1902~1_combout\);

-- Location: LCCOMB_X55_Y50_N4
\WideAnd1902~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1902~0_combout\ = (\led_flash_cnt[1902][4]~q\ & (\led_flash_cnt[1902][3]~q\ & (\led_flash_cnt[1902][1]~q\ & \led_flash_cnt[1902][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1902][4]~q\,
	datab => \led_flash_cnt[1902][3]~q\,
	datac => \led_flash_cnt[1902][1]~q\,
	datad => \led_flash_cnt[1902][2]~q\,
	combout => \WideAnd1902~0_combout\);

-- Location: LCCOMB_X55_Y50_N26
\led_flash_cnt[1902][7]~53072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1902][7]~53072_combout\ = \led_flash_cnt[1902][7]~q\ $ (!\led_flash_cnt[1902][6]~53071\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1902][7]~q\,
	cin => \led_flash_cnt[1902][6]~53071\,
	combout => \led_flash_cnt[1902][7]~53072_combout\);

-- Location: FF_X55_Y50_N27
\led_flash_cnt[1902][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1902][7]~53072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1902][7]~q\);

-- Location: LCCOMB_X55_Y50_N28
WideAnd1902 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1902~combout\ = (\WideAnd1902~1_combout\ & (\WideAnd1902~0_combout\ & (\led_flash_cnt[1902][7]~q\ & \led_flash_cnt[1902][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1902~1_combout\,
	datab => \WideAnd1902~0_combout\,
	datac => \led_flash_cnt[1902][7]~q\,
	datad => \led_flash_cnt[1902][0]~q\,
	combout => \WideAnd1902~combout\);

-- Location: FF_X55_Y50_N29
\led_flash_cnt_ands[1902]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1902~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1902));

-- Location: LCCOMB_X51_Y50_N30
WideAnd4077 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4077~combout\ = (\WideAnd4077~1_combout\ & (\WideAnd4077~0_combout\ & (led_flash_cnt_ands(1903) & led_flash_cnt_ands(1902))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4077~1_combout\,
	datab => \WideAnd4077~0_combout\,
	datac => led_flash_cnt_ands(1903),
	datad => led_flash_cnt_ands(1902),
	combout => \WideAnd4077~combout\);

-- Location: FF_X51_Y50_N31
\led_flash_cnt_ands_1[237]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4077~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(237));

-- Location: LCCOMB_X39_Y33_N4
WideAnd4349 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4349~combout\ = (led_flash_cnt_ands_1(236) & (\WideAnd4349~1_combout\ & (\WideAnd4349~0_combout\ & led_flash_cnt_ands_1(237))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(236),
	datab => \WideAnd4349~1_combout\,
	datac => \WideAnd4349~0_combout\,
	datad => led_flash_cnt_ands_1(237),
	combout => \WideAnd4349~combout\);

-- Location: FF_X39_Y33_N5
\led_flash_cnt_ands_2[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4349~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(29));

-- Location: LCCOMB_X32_Y16_N0
\WideAnd4380~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~8_combout\ = (led_flash_cnt_ands_2(31) & (led_flash_cnt_ands_2(28) & (led_flash_cnt_ands_2(30) & led_flash_cnt_ands_2(29))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(31),
	datab => led_flash_cnt_ands_2(28),
	datac => led_flash_cnt_ands_2(30),
	datad => led_flash_cnt_ands_2(29),
	combout => \WideAnd4380~8_combout\);

-- Location: LCCOMB_X50_Y18_N2
\led_flash_cnt[1711][0]~82351\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1711][0]~82351_combout\ = !\led_flash_cnt[1711][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1711][0]~q\,
	combout => \led_flash_cnt[1711][0]~82351_combout\);

-- Location: FF_X50_Y18_N3
\led_flash_cnt[1711][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1711][0]~82351_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1711][0]~q\);

-- Location: LCCOMB_X49_Y18_N4
\led_flash_cnt[1711][1]~50834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1711][1]~50834_combout\ = (\led_flash_cnt[1711][0]~q\ & (\led_flash_cnt[1711][1]~q\ $ (VCC))) # (!\led_flash_cnt[1711][0]~q\ & (\led_flash_cnt[1711][1]~q\ & VCC))
-- \led_flash_cnt[1711][1]~50835\ = CARRY((\led_flash_cnt[1711][0]~q\ & \led_flash_cnt[1711][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1711][0]~q\,
	datab => \led_flash_cnt[1711][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1711][1]~50834_combout\,
	cout => \led_flash_cnt[1711][1]~50835\);

-- Location: FF_X49_Y18_N5
\led_flash_cnt[1711][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1711][1]~50834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1711][1]~q\);

-- Location: LCCOMB_X49_Y18_N6
\led_flash_cnt[1711][2]~50836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1711][2]~50836_combout\ = (\led_flash_cnt[1711][2]~q\ & (!\led_flash_cnt[1711][1]~50835\)) # (!\led_flash_cnt[1711][2]~q\ & ((\led_flash_cnt[1711][1]~50835\) # (GND)))
-- \led_flash_cnt[1711][2]~50837\ = CARRY((!\led_flash_cnt[1711][1]~50835\) # (!\led_flash_cnt[1711][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1711][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1711][1]~50835\,
	combout => \led_flash_cnt[1711][2]~50836_combout\,
	cout => \led_flash_cnt[1711][2]~50837\);

-- Location: FF_X49_Y18_N7
\led_flash_cnt[1711][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1711][2]~50836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1711][2]~q\);

-- Location: LCCOMB_X49_Y18_N8
\led_flash_cnt[1711][3]~50838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1711][3]~50838_combout\ = (\led_flash_cnt[1711][3]~q\ & (\led_flash_cnt[1711][2]~50837\ $ (GND))) # (!\led_flash_cnt[1711][3]~q\ & (!\led_flash_cnt[1711][2]~50837\ & VCC))
-- \led_flash_cnt[1711][3]~50839\ = CARRY((\led_flash_cnt[1711][3]~q\ & !\led_flash_cnt[1711][2]~50837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1711][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1711][2]~50837\,
	combout => \led_flash_cnt[1711][3]~50838_combout\,
	cout => \led_flash_cnt[1711][3]~50839\);

-- Location: FF_X49_Y18_N9
\led_flash_cnt[1711][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1711][3]~50838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1711][3]~q\);

-- Location: LCCOMB_X49_Y18_N10
\led_flash_cnt[1711][4]~50840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1711][4]~50840_combout\ = (\led_flash_cnt[1711][4]~q\ & (!\led_flash_cnt[1711][3]~50839\)) # (!\led_flash_cnt[1711][4]~q\ & ((\led_flash_cnt[1711][3]~50839\) # (GND)))
-- \led_flash_cnt[1711][4]~50841\ = CARRY((!\led_flash_cnt[1711][3]~50839\) # (!\led_flash_cnt[1711][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1711][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1711][3]~50839\,
	combout => \led_flash_cnt[1711][4]~50840_combout\,
	cout => \led_flash_cnt[1711][4]~50841\);

-- Location: FF_X49_Y18_N11
\led_flash_cnt[1711][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1711][4]~50840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1711][4]~q\);

-- Location: LCCOMB_X49_Y18_N0
\WideAnd1711~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1711~0_combout\ = (\led_flash_cnt[1711][4]~q\ & (\led_flash_cnt[1711][3]~q\ & (\led_flash_cnt[1711][1]~q\ & \led_flash_cnt[1711][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1711][4]~q\,
	datab => \led_flash_cnt[1711][3]~q\,
	datac => \led_flash_cnt[1711][1]~q\,
	datad => \led_flash_cnt[1711][2]~q\,
	combout => \WideAnd1711~0_combout\);

-- Location: LCCOMB_X49_Y18_N12
\led_flash_cnt[1711][5]~50842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1711][5]~50842_combout\ = (\led_flash_cnt[1711][5]~q\ & (\led_flash_cnt[1711][4]~50841\ $ (GND))) # (!\led_flash_cnt[1711][5]~q\ & (!\led_flash_cnt[1711][4]~50841\ & VCC))
-- \led_flash_cnt[1711][5]~50843\ = CARRY((\led_flash_cnt[1711][5]~q\ & !\led_flash_cnt[1711][4]~50841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1711][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1711][4]~50841\,
	combout => \led_flash_cnt[1711][5]~50842_combout\,
	cout => \led_flash_cnt[1711][5]~50843\);

-- Location: FF_X49_Y18_N13
\led_flash_cnt[1711][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1711][5]~50842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1711][5]~q\);

-- Location: LCCOMB_X49_Y18_N14
\led_flash_cnt[1711][6]~50844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1711][6]~50844_combout\ = (\led_flash_cnt[1711][6]~q\ & (!\led_flash_cnt[1711][5]~50843\)) # (!\led_flash_cnt[1711][6]~q\ & ((\led_flash_cnt[1711][5]~50843\) # (GND)))
-- \led_flash_cnt[1711][6]~50845\ = CARRY((!\led_flash_cnt[1711][5]~50843\) # (!\led_flash_cnt[1711][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1711][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1711][5]~50843\,
	combout => \led_flash_cnt[1711][6]~50844_combout\,
	cout => \led_flash_cnt[1711][6]~50845\);

-- Location: FF_X49_Y18_N15
\led_flash_cnt[1711][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1711][6]~50844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1711][6]~q\);

-- Location: LCCOMB_X50_Y18_N28
\WideAnd1711~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1711~1_combout\ = (\led_flash_cnt[1711][6]~q\ & \led_flash_cnt[1711][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1711][6]~q\,
	datad => \led_flash_cnt[1711][5]~q\,
	combout => \WideAnd1711~1_combout\);

-- Location: LCCOMB_X49_Y18_N16
\led_flash_cnt[1711][7]~50846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1711][7]~50846_combout\ = \led_flash_cnt[1711][6]~50845\ $ (!\led_flash_cnt[1711][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1711][7]~q\,
	cin => \led_flash_cnt[1711][6]~50845\,
	combout => \led_flash_cnt[1711][7]~50846_combout\);

-- Location: FF_X49_Y18_N17
\led_flash_cnt[1711][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1711][7]~50846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1711][7]~q\);

-- Location: LCCOMB_X50_Y18_N26
WideAnd1711 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1711~combout\ = (\WideAnd1711~0_combout\ & (\WideAnd1711~1_combout\ & (\led_flash_cnt[1711][7]~q\ & \led_flash_cnt[1711][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1711~0_combout\,
	datab => \WideAnd1711~1_combout\,
	datac => \led_flash_cnt[1711][7]~q\,
	datad => \led_flash_cnt[1711][0]~q\,
	combout => \WideAnd1711~combout\);

-- Location: FF_X50_Y18_N27
\led_flash_cnt_ands[1711]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1711~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1711));

-- Location: LCCOMB_X47_Y29_N6
\led_flash_cnt[1709][0]~82349\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1709][0]~82349_combout\ = !\led_flash_cnt[1709][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1709][0]~q\,
	combout => \led_flash_cnt[1709][0]~82349_combout\);

-- Location: FF_X47_Y29_N7
\led_flash_cnt[1709][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1709][0]~82349_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1709][0]~q\);

-- Location: LCCOMB_X49_Y29_N2
\led_flash_cnt[1709][1]~50806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1709][1]~50806_combout\ = (\led_flash_cnt[1709][0]~q\ & (\led_flash_cnt[1709][1]~q\ $ (VCC))) # (!\led_flash_cnt[1709][0]~q\ & (\led_flash_cnt[1709][1]~q\ & VCC))
-- \led_flash_cnt[1709][1]~50807\ = CARRY((\led_flash_cnt[1709][0]~q\ & \led_flash_cnt[1709][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1709][0]~q\,
	datab => \led_flash_cnt[1709][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1709][1]~50806_combout\,
	cout => \led_flash_cnt[1709][1]~50807\);

-- Location: FF_X49_Y29_N3
\led_flash_cnt[1709][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1709][1]~50806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1709][1]~q\);

-- Location: LCCOMB_X49_Y29_N4
\led_flash_cnt[1709][2]~50808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1709][2]~50808_combout\ = (\led_flash_cnt[1709][2]~q\ & (!\led_flash_cnt[1709][1]~50807\)) # (!\led_flash_cnt[1709][2]~q\ & ((\led_flash_cnt[1709][1]~50807\) # (GND)))
-- \led_flash_cnt[1709][2]~50809\ = CARRY((!\led_flash_cnt[1709][1]~50807\) # (!\led_flash_cnt[1709][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1709][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1709][1]~50807\,
	combout => \led_flash_cnt[1709][2]~50808_combout\,
	cout => \led_flash_cnt[1709][2]~50809\);

-- Location: FF_X49_Y29_N5
\led_flash_cnt[1709][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1709][2]~50808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1709][2]~q\);

-- Location: LCCOMB_X49_Y29_N6
\led_flash_cnt[1709][3]~50810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1709][3]~50810_combout\ = (\led_flash_cnt[1709][3]~q\ & (\led_flash_cnt[1709][2]~50809\ $ (GND))) # (!\led_flash_cnt[1709][3]~q\ & (!\led_flash_cnt[1709][2]~50809\ & VCC))
-- \led_flash_cnt[1709][3]~50811\ = CARRY((\led_flash_cnt[1709][3]~q\ & !\led_flash_cnt[1709][2]~50809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1709][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1709][2]~50809\,
	combout => \led_flash_cnt[1709][3]~50810_combout\,
	cout => \led_flash_cnt[1709][3]~50811\);

-- Location: FF_X49_Y29_N7
\led_flash_cnt[1709][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1709][3]~50810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1709][3]~q\);

-- Location: LCCOMB_X49_Y29_N8
\led_flash_cnt[1709][4]~50812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1709][4]~50812_combout\ = (\led_flash_cnt[1709][4]~q\ & (!\led_flash_cnt[1709][3]~50811\)) # (!\led_flash_cnt[1709][4]~q\ & ((\led_flash_cnt[1709][3]~50811\) # (GND)))
-- \led_flash_cnt[1709][4]~50813\ = CARRY((!\led_flash_cnt[1709][3]~50811\) # (!\led_flash_cnt[1709][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1709][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1709][3]~50811\,
	combout => \led_flash_cnt[1709][4]~50812_combout\,
	cout => \led_flash_cnt[1709][4]~50813\);

-- Location: FF_X49_Y29_N9
\led_flash_cnt[1709][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1709][4]~50812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1709][4]~q\);

-- Location: LCCOMB_X49_Y29_N10
\led_flash_cnt[1709][5]~50814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1709][5]~50814_combout\ = (\led_flash_cnt[1709][5]~q\ & (\led_flash_cnt[1709][4]~50813\ $ (GND))) # (!\led_flash_cnt[1709][5]~q\ & (!\led_flash_cnt[1709][4]~50813\ & VCC))
-- \led_flash_cnt[1709][5]~50815\ = CARRY((\led_flash_cnt[1709][5]~q\ & !\led_flash_cnt[1709][4]~50813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1709][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1709][4]~50813\,
	combout => \led_flash_cnt[1709][5]~50814_combout\,
	cout => \led_flash_cnt[1709][5]~50815\);

-- Location: FF_X49_Y29_N11
\led_flash_cnt[1709][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1709][5]~50814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1709][5]~q\);

-- Location: LCCOMB_X49_Y29_N12
\led_flash_cnt[1709][6]~50816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1709][6]~50816_combout\ = (\led_flash_cnt[1709][6]~q\ & (!\led_flash_cnt[1709][5]~50815\)) # (!\led_flash_cnt[1709][6]~q\ & ((\led_flash_cnt[1709][5]~50815\) # (GND)))
-- \led_flash_cnt[1709][6]~50817\ = CARRY((!\led_flash_cnt[1709][5]~50815\) # (!\led_flash_cnt[1709][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1709][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1709][5]~50815\,
	combout => \led_flash_cnt[1709][6]~50816_combout\,
	cout => \led_flash_cnt[1709][6]~50817\);

-- Location: FF_X49_Y29_N13
\led_flash_cnt[1709][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1709][6]~50816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1709][6]~q\);

-- Location: LCCOMB_X49_Y29_N14
\led_flash_cnt[1709][7]~50818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1709][7]~50818_combout\ = \led_flash_cnt[1709][7]~q\ $ (!\led_flash_cnt[1709][6]~50817\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1709][7]~q\,
	cin => \led_flash_cnt[1709][6]~50817\,
	combout => \led_flash_cnt[1709][7]~50818_combout\);

-- Location: FF_X49_Y29_N15
\led_flash_cnt[1709][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1709][7]~50818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1709][7]~q\);

-- Location: LCCOMB_X49_Y29_N0
\WideAnd1709~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1709~0_combout\ = (\led_flash_cnt[1709][3]~q\ & (\led_flash_cnt[1709][4]~q\ & (\led_flash_cnt[1709][2]~q\ & \led_flash_cnt[1709][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1709][3]~q\,
	datab => \led_flash_cnt[1709][4]~q\,
	datac => \led_flash_cnt[1709][2]~q\,
	datad => \led_flash_cnt[1709][1]~q\,
	combout => \WideAnd1709~0_combout\);

-- Location: LCCOMB_X50_Y29_N0
\WideAnd1709~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1709~1_combout\ = (\led_flash_cnt[1709][6]~q\ & \led_flash_cnt[1709][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1709][6]~q\,
	datad => \led_flash_cnt[1709][5]~q\,
	combout => \WideAnd1709~1_combout\);

-- Location: LCCOMB_X50_Y29_N30
WideAnd1709 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1709~combout\ = (\led_flash_cnt[1709][7]~q\ & (\led_flash_cnt[1709][0]~q\ & (\WideAnd1709~0_combout\ & \WideAnd1709~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1709][7]~q\,
	datab => \led_flash_cnt[1709][0]~q\,
	datac => \WideAnd1709~0_combout\,
	datad => \WideAnd1709~1_combout\,
	combout => \WideAnd1709~combout\);

-- Location: FF_X50_Y29_N31
\led_flash_cnt_ands[1709]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1709~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1709));

-- Location: LCCOMB_X50_Y29_N26
\led_flash_cnt[1708][0]~82348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1708][0]~82348_combout\ = !\led_flash_cnt[1708][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1708][0]~q\,
	combout => \led_flash_cnt[1708][0]~82348_combout\);

-- Location: FF_X50_Y29_N27
\led_flash_cnt[1708][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1708][0]~82348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1708][0]~q\);

-- Location: LCCOMB_X50_Y29_N4
\led_flash_cnt[1708][1]~50792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1708][1]~50792_combout\ = (\led_flash_cnt[1708][0]~q\ & (\led_flash_cnt[1708][1]~q\ $ (VCC))) # (!\led_flash_cnt[1708][0]~q\ & (\led_flash_cnt[1708][1]~q\ & VCC))
-- \led_flash_cnt[1708][1]~50793\ = CARRY((\led_flash_cnt[1708][0]~q\ & \led_flash_cnt[1708][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1708][0]~q\,
	datab => \led_flash_cnt[1708][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1708][1]~50792_combout\,
	cout => \led_flash_cnt[1708][1]~50793\);

-- Location: FF_X50_Y29_N5
\led_flash_cnt[1708][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1708][1]~50792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1708][1]~q\);

-- Location: LCCOMB_X50_Y29_N6
\led_flash_cnt[1708][2]~50794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1708][2]~50794_combout\ = (\led_flash_cnt[1708][2]~q\ & (!\led_flash_cnt[1708][1]~50793\)) # (!\led_flash_cnt[1708][2]~q\ & ((\led_flash_cnt[1708][1]~50793\) # (GND)))
-- \led_flash_cnt[1708][2]~50795\ = CARRY((!\led_flash_cnt[1708][1]~50793\) # (!\led_flash_cnt[1708][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1708][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1708][1]~50793\,
	combout => \led_flash_cnt[1708][2]~50794_combout\,
	cout => \led_flash_cnt[1708][2]~50795\);

-- Location: FF_X50_Y29_N7
\led_flash_cnt[1708][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1708][2]~50794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1708][2]~q\);

-- Location: LCCOMB_X50_Y29_N8
\led_flash_cnt[1708][3]~50796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1708][3]~50796_combout\ = (\led_flash_cnt[1708][3]~q\ & (\led_flash_cnt[1708][2]~50795\ $ (GND))) # (!\led_flash_cnt[1708][3]~q\ & (!\led_flash_cnt[1708][2]~50795\ & VCC))
-- \led_flash_cnt[1708][3]~50797\ = CARRY((\led_flash_cnt[1708][3]~q\ & !\led_flash_cnt[1708][2]~50795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1708][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1708][2]~50795\,
	combout => \led_flash_cnt[1708][3]~50796_combout\,
	cout => \led_flash_cnt[1708][3]~50797\);

-- Location: FF_X50_Y29_N9
\led_flash_cnt[1708][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1708][3]~50796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1708][3]~q\);

-- Location: LCCOMB_X50_Y29_N10
\led_flash_cnt[1708][4]~50798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1708][4]~50798_combout\ = (\led_flash_cnt[1708][4]~q\ & (!\led_flash_cnt[1708][3]~50797\)) # (!\led_flash_cnt[1708][4]~q\ & ((\led_flash_cnt[1708][3]~50797\) # (GND)))
-- \led_flash_cnt[1708][4]~50799\ = CARRY((!\led_flash_cnt[1708][3]~50797\) # (!\led_flash_cnt[1708][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1708][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1708][3]~50797\,
	combout => \led_flash_cnt[1708][4]~50798_combout\,
	cout => \led_flash_cnt[1708][4]~50799\);

-- Location: FF_X50_Y29_N11
\led_flash_cnt[1708][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1708][4]~50798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1708][4]~q\);

-- Location: LCCOMB_X50_Y29_N12
\led_flash_cnt[1708][5]~50800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1708][5]~50800_combout\ = (\led_flash_cnt[1708][5]~q\ & (\led_flash_cnt[1708][4]~50799\ $ (GND))) # (!\led_flash_cnt[1708][5]~q\ & (!\led_flash_cnt[1708][4]~50799\ & VCC))
-- \led_flash_cnt[1708][5]~50801\ = CARRY((\led_flash_cnt[1708][5]~q\ & !\led_flash_cnt[1708][4]~50799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1708][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1708][4]~50799\,
	combout => \led_flash_cnt[1708][5]~50800_combout\,
	cout => \led_flash_cnt[1708][5]~50801\);

-- Location: FF_X50_Y29_N13
\led_flash_cnt[1708][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1708][5]~50800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1708][5]~q\);

-- Location: LCCOMB_X50_Y29_N14
\led_flash_cnt[1708][6]~50802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1708][6]~50802_combout\ = (\led_flash_cnt[1708][6]~q\ & (!\led_flash_cnt[1708][5]~50801\)) # (!\led_flash_cnt[1708][6]~q\ & ((\led_flash_cnt[1708][5]~50801\) # (GND)))
-- \led_flash_cnt[1708][6]~50803\ = CARRY((!\led_flash_cnt[1708][5]~50801\) # (!\led_flash_cnt[1708][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1708][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1708][5]~50801\,
	combout => \led_flash_cnt[1708][6]~50802_combout\,
	cout => \led_flash_cnt[1708][6]~50803\);

-- Location: FF_X50_Y29_N15
\led_flash_cnt[1708][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1708][6]~50802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1708][6]~q\);

-- Location: LCCOMB_X50_Y29_N16
\led_flash_cnt[1708][7]~50804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1708][7]~50804_combout\ = \led_flash_cnt[1708][6]~50803\ $ (!\led_flash_cnt[1708][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1708][7]~q\,
	cin => \led_flash_cnt[1708][6]~50803\,
	combout => \led_flash_cnt[1708][7]~50804_combout\);

-- Location: FF_X50_Y29_N17
\led_flash_cnt[1708][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1708][7]~50804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1708][7]~q\);

-- Location: LCCOMB_X50_Y29_N22
\WideAnd1708~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1708~1_combout\ = (\led_flash_cnt[1708][6]~q\ & \led_flash_cnt[1708][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1708][6]~q\,
	datad => \led_flash_cnt[1708][5]~q\,
	combout => \WideAnd1708~1_combout\);

-- Location: LCCOMB_X50_Y29_N18
\WideAnd1708~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1708~0_combout\ = (\led_flash_cnt[1708][4]~q\ & (\led_flash_cnt[1708][1]~q\ & (\led_flash_cnt[1708][3]~q\ & \led_flash_cnt[1708][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1708][4]~q\,
	datab => \led_flash_cnt[1708][1]~q\,
	datac => \led_flash_cnt[1708][3]~q\,
	datad => \led_flash_cnt[1708][2]~q\,
	combout => \WideAnd1708~0_combout\);

-- Location: LCCOMB_X50_Y29_N2
WideAnd1708 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1708~combout\ = (\led_flash_cnt[1708][0]~q\ & (\led_flash_cnt[1708][7]~q\ & (\WideAnd1708~1_combout\ & \WideAnd1708~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1708][0]~q\,
	datab => \led_flash_cnt[1708][7]~q\,
	datac => \WideAnd1708~1_combout\,
	datad => \WideAnd1708~0_combout\,
	combout => \WideAnd1708~combout\);

-- Location: FF_X50_Y29_N3
\led_flash_cnt_ands[1708]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1708~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1708));

-- Location: LCCOMB_X50_Y29_N28
\WideAnd4053~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4053~1_combout\ = (led_flash_cnt_ands(1709) & led_flash_cnt_ands(1708))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1709),
	datad => led_flash_cnt_ands(1708),
	combout => \WideAnd4053~1_combout\);

-- Location: LCCOMB_X50_Y48_N28
\led_flash_cnt[1707][0]~82347\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1707][0]~82347_combout\ = !\led_flash_cnt[1707][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1707][0]~q\,
	combout => \led_flash_cnt[1707][0]~82347_combout\);

-- Location: FF_X50_Y48_N29
\led_flash_cnt[1707][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1707][0]~82347_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1707][0]~q\);

-- Location: LCCOMB_X51_Y48_N0
\led_flash_cnt[1707][1]~50778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1707][1]~50778_combout\ = (\led_flash_cnt[1707][0]~q\ & (\led_flash_cnt[1707][1]~q\ $ (VCC))) # (!\led_flash_cnt[1707][0]~q\ & (\led_flash_cnt[1707][1]~q\ & VCC))
-- \led_flash_cnt[1707][1]~50779\ = CARRY((\led_flash_cnt[1707][0]~q\ & \led_flash_cnt[1707][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1707][0]~q\,
	datab => \led_flash_cnt[1707][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1707][1]~50778_combout\,
	cout => \led_flash_cnt[1707][1]~50779\);

-- Location: FF_X51_Y48_N1
\led_flash_cnt[1707][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1707][1]~50778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1707][1]~q\);

-- Location: LCCOMB_X51_Y48_N2
\led_flash_cnt[1707][2]~50780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1707][2]~50780_combout\ = (\led_flash_cnt[1707][2]~q\ & (!\led_flash_cnt[1707][1]~50779\)) # (!\led_flash_cnt[1707][2]~q\ & ((\led_flash_cnt[1707][1]~50779\) # (GND)))
-- \led_flash_cnt[1707][2]~50781\ = CARRY((!\led_flash_cnt[1707][1]~50779\) # (!\led_flash_cnt[1707][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1707][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1707][1]~50779\,
	combout => \led_flash_cnt[1707][2]~50780_combout\,
	cout => \led_flash_cnt[1707][2]~50781\);

-- Location: FF_X51_Y48_N3
\led_flash_cnt[1707][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1707][2]~50780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1707][2]~q\);

-- Location: LCCOMB_X51_Y48_N4
\led_flash_cnt[1707][3]~50782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1707][3]~50782_combout\ = (\led_flash_cnt[1707][3]~q\ & (\led_flash_cnt[1707][2]~50781\ $ (GND))) # (!\led_flash_cnt[1707][3]~q\ & (!\led_flash_cnt[1707][2]~50781\ & VCC))
-- \led_flash_cnt[1707][3]~50783\ = CARRY((\led_flash_cnt[1707][3]~q\ & !\led_flash_cnt[1707][2]~50781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1707][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1707][2]~50781\,
	combout => \led_flash_cnt[1707][3]~50782_combout\,
	cout => \led_flash_cnt[1707][3]~50783\);

-- Location: FF_X51_Y48_N5
\led_flash_cnt[1707][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1707][3]~50782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1707][3]~q\);

-- Location: LCCOMB_X51_Y48_N6
\led_flash_cnt[1707][4]~50784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1707][4]~50784_combout\ = (\led_flash_cnt[1707][4]~q\ & (!\led_flash_cnt[1707][3]~50783\)) # (!\led_flash_cnt[1707][4]~q\ & ((\led_flash_cnt[1707][3]~50783\) # (GND)))
-- \led_flash_cnt[1707][4]~50785\ = CARRY((!\led_flash_cnt[1707][3]~50783\) # (!\led_flash_cnt[1707][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1707][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1707][3]~50783\,
	combout => \led_flash_cnt[1707][4]~50784_combout\,
	cout => \led_flash_cnt[1707][4]~50785\);

-- Location: FF_X51_Y48_N7
\led_flash_cnt[1707][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1707][4]~50784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1707][4]~q\);

-- Location: LCCOMB_X51_Y48_N30
\WideAnd1707~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1707~0_combout\ = (\led_flash_cnt[1707][4]~q\ & (\led_flash_cnt[1707][1]~q\ & (\led_flash_cnt[1707][3]~q\ & \led_flash_cnt[1707][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1707][4]~q\,
	datab => \led_flash_cnt[1707][1]~q\,
	datac => \led_flash_cnt[1707][3]~q\,
	datad => \led_flash_cnt[1707][2]~q\,
	combout => \WideAnd1707~0_combout\);

-- Location: LCCOMB_X51_Y48_N8
\led_flash_cnt[1707][5]~50786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1707][5]~50786_combout\ = (\led_flash_cnt[1707][5]~q\ & (\led_flash_cnt[1707][4]~50785\ $ (GND))) # (!\led_flash_cnt[1707][5]~q\ & (!\led_flash_cnt[1707][4]~50785\ & VCC))
-- \led_flash_cnt[1707][5]~50787\ = CARRY((\led_flash_cnt[1707][5]~q\ & !\led_flash_cnt[1707][4]~50785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1707][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1707][4]~50785\,
	combout => \led_flash_cnt[1707][5]~50786_combout\,
	cout => \led_flash_cnt[1707][5]~50787\);

-- Location: FF_X51_Y48_N9
\led_flash_cnt[1707][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1707][5]~50786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1707][5]~q\);

-- Location: LCCOMB_X51_Y48_N10
\led_flash_cnt[1707][6]~50788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1707][6]~50788_combout\ = (\led_flash_cnt[1707][6]~q\ & (!\led_flash_cnt[1707][5]~50787\)) # (!\led_flash_cnt[1707][6]~q\ & ((\led_flash_cnt[1707][5]~50787\) # (GND)))
-- \led_flash_cnt[1707][6]~50789\ = CARRY((!\led_flash_cnt[1707][5]~50787\) # (!\led_flash_cnt[1707][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1707][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1707][5]~50787\,
	combout => \led_flash_cnt[1707][6]~50788_combout\,
	cout => \led_flash_cnt[1707][6]~50789\);

-- Location: FF_X51_Y48_N11
\led_flash_cnt[1707][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1707][6]~50788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1707][6]~q\);

-- Location: LCCOMB_X51_Y48_N12
\led_flash_cnt[1707][7]~50790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1707][7]~50790_combout\ = \led_flash_cnt[1707][6]~50789\ $ (!\led_flash_cnt[1707][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1707][7]~q\,
	cin => \led_flash_cnt[1707][6]~50789\,
	combout => \led_flash_cnt[1707][7]~50790_combout\);

-- Location: FF_X51_Y48_N13
\led_flash_cnt[1707][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1707][7]~50790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1707][7]~q\);

-- Location: LCCOMB_X52_Y48_N28
\WideAnd1707~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1707~1_combout\ = (\led_flash_cnt[1707][6]~q\ & \led_flash_cnt[1707][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1707][6]~q\,
	datad => \led_flash_cnt[1707][5]~q\,
	combout => \WideAnd1707~1_combout\);

-- Location: LCCOMB_X50_Y48_N30
WideAnd1707 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1707~combout\ = (\WideAnd1707~0_combout\ & (\led_flash_cnt[1707][0]~q\ & (\led_flash_cnt[1707][7]~q\ & \WideAnd1707~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1707~0_combout\,
	datab => \led_flash_cnt[1707][0]~q\,
	datac => \led_flash_cnt[1707][7]~q\,
	datad => \WideAnd1707~1_combout\,
	combout => \WideAnd1707~combout\);

-- Location: FF_X50_Y48_N31
\led_flash_cnt_ands[1707]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1707~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1707));

-- Location: LCCOMB_X50_Y48_N22
\led_flash_cnt[1704][0]~82344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1704][0]~82344_combout\ = !\led_flash_cnt[1704][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1704][0]~q\,
	combout => \led_flash_cnt[1704][0]~82344_combout\);

-- Location: FF_X50_Y48_N23
\led_flash_cnt[1704][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1704][0]~82344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1704][0]~q\);

-- Location: LCCOMB_X50_Y48_N4
\led_flash_cnt[1704][1]~50736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1704][1]~50736_combout\ = (\led_flash_cnt[1704][0]~q\ & (\led_flash_cnt[1704][1]~q\ $ (VCC))) # (!\led_flash_cnt[1704][0]~q\ & (\led_flash_cnt[1704][1]~q\ & VCC))
-- \led_flash_cnt[1704][1]~50737\ = CARRY((\led_flash_cnt[1704][0]~q\ & \led_flash_cnt[1704][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1704][0]~q\,
	datab => \led_flash_cnt[1704][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1704][1]~50736_combout\,
	cout => \led_flash_cnt[1704][1]~50737\);

-- Location: FF_X50_Y48_N5
\led_flash_cnt[1704][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1704][1]~50736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1704][1]~q\);

-- Location: LCCOMB_X50_Y48_N6
\led_flash_cnt[1704][2]~50738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1704][2]~50738_combout\ = (\led_flash_cnt[1704][2]~q\ & (!\led_flash_cnt[1704][1]~50737\)) # (!\led_flash_cnt[1704][2]~q\ & ((\led_flash_cnt[1704][1]~50737\) # (GND)))
-- \led_flash_cnt[1704][2]~50739\ = CARRY((!\led_flash_cnt[1704][1]~50737\) # (!\led_flash_cnt[1704][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1704][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1704][1]~50737\,
	combout => \led_flash_cnt[1704][2]~50738_combout\,
	cout => \led_flash_cnt[1704][2]~50739\);

-- Location: FF_X50_Y48_N7
\led_flash_cnt[1704][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1704][2]~50738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1704][2]~q\);

-- Location: LCCOMB_X50_Y48_N8
\led_flash_cnt[1704][3]~50740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1704][3]~50740_combout\ = (\led_flash_cnt[1704][3]~q\ & (\led_flash_cnt[1704][2]~50739\ $ (GND))) # (!\led_flash_cnt[1704][3]~q\ & (!\led_flash_cnt[1704][2]~50739\ & VCC))
-- \led_flash_cnt[1704][3]~50741\ = CARRY((\led_flash_cnt[1704][3]~q\ & !\led_flash_cnt[1704][2]~50739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1704][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1704][2]~50739\,
	combout => \led_flash_cnt[1704][3]~50740_combout\,
	cout => \led_flash_cnt[1704][3]~50741\);

-- Location: FF_X50_Y48_N9
\led_flash_cnt[1704][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1704][3]~50740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1704][3]~q\);

-- Location: LCCOMB_X50_Y48_N10
\led_flash_cnt[1704][4]~50742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1704][4]~50742_combout\ = (\led_flash_cnt[1704][4]~q\ & (!\led_flash_cnt[1704][3]~50741\)) # (!\led_flash_cnt[1704][4]~q\ & ((\led_flash_cnt[1704][3]~50741\) # (GND)))
-- \led_flash_cnt[1704][4]~50743\ = CARRY((!\led_flash_cnt[1704][3]~50741\) # (!\led_flash_cnt[1704][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1704][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1704][3]~50741\,
	combout => \led_flash_cnt[1704][4]~50742_combout\,
	cout => \led_flash_cnt[1704][4]~50743\);

-- Location: FF_X50_Y48_N11
\led_flash_cnt[1704][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1704][4]~50742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1704][4]~q\);

-- Location: LCCOMB_X50_Y48_N12
\led_flash_cnt[1704][5]~50744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1704][5]~50744_combout\ = (\led_flash_cnt[1704][5]~q\ & (\led_flash_cnt[1704][4]~50743\ $ (GND))) # (!\led_flash_cnt[1704][5]~q\ & (!\led_flash_cnt[1704][4]~50743\ & VCC))
-- \led_flash_cnt[1704][5]~50745\ = CARRY((\led_flash_cnt[1704][5]~q\ & !\led_flash_cnt[1704][4]~50743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1704][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1704][4]~50743\,
	combout => \led_flash_cnt[1704][5]~50744_combout\,
	cout => \led_flash_cnt[1704][5]~50745\);

-- Location: FF_X50_Y48_N13
\led_flash_cnt[1704][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1704][5]~50744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1704][5]~q\);

-- Location: LCCOMB_X50_Y48_N14
\led_flash_cnt[1704][6]~50746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1704][6]~50746_combout\ = (\led_flash_cnt[1704][6]~q\ & (!\led_flash_cnt[1704][5]~50745\)) # (!\led_flash_cnt[1704][6]~q\ & ((\led_flash_cnt[1704][5]~50745\) # (GND)))
-- \led_flash_cnt[1704][6]~50747\ = CARRY((!\led_flash_cnt[1704][5]~50745\) # (!\led_flash_cnt[1704][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1704][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1704][5]~50745\,
	combout => \led_flash_cnt[1704][6]~50746_combout\,
	cout => \led_flash_cnt[1704][6]~50747\);

-- Location: FF_X50_Y48_N15
\led_flash_cnt[1704][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1704][6]~50746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1704][6]~q\);

-- Location: LCCOMB_X50_Y48_N16
\led_flash_cnt[1704][7]~50748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1704][7]~50748_combout\ = \led_flash_cnt[1704][6]~50747\ $ (!\led_flash_cnt[1704][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1704][7]~q\,
	cin => \led_flash_cnt[1704][6]~50747\,
	combout => \led_flash_cnt[1704][7]~50748_combout\);

-- Location: FF_X50_Y48_N17
\led_flash_cnt[1704][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1704][7]~50748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1704][7]~q\);

-- Location: LCCOMB_X50_Y48_N26
\WideAnd1704~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1704~1_combout\ = (\led_flash_cnt[1704][6]~q\ & \led_flash_cnt[1704][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1704][6]~q\,
	datad => \led_flash_cnt[1704][5]~q\,
	combout => \WideAnd1704~1_combout\);

-- Location: LCCOMB_X50_Y48_N18
\WideAnd1704~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1704~0_combout\ = (\led_flash_cnt[1704][4]~q\ & (\led_flash_cnt[1704][1]~q\ & (\led_flash_cnt[1704][3]~q\ & \led_flash_cnt[1704][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1704][4]~q\,
	datab => \led_flash_cnt[1704][1]~q\,
	datac => \led_flash_cnt[1704][3]~q\,
	datad => \led_flash_cnt[1704][2]~q\,
	combout => \WideAnd1704~0_combout\);

-- Location: LCCOMB_X50_Y48_N2
WideAnd1704 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1704~combout\ = (\led_flash_cnt[1704][0]~q\ & (\led_flash_cnt[1704][7]~q\ & (\WideAnd1704~1_combout\ & \WideAnd1704~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1704][0]~q\,
	datab => \led_flash_cnt[1704][7]~q\,
	datac => \WideAnd1704~1_combout\,
	datad => \WideAnd1704~0_combout\,
	combout => \WideAnd1704~combout\);

-- Location: FF_X50_Y48_N3
\led_flash_cnt_ands[1704]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1704~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1704));

-- Location: LCCOMB_X39_Y29_N2
\led_flash_cnt[1705][0]~82345\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1705][0]~82345_combout\ = !\led_flash_cnt[1705][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1705][0]~q\,
	combout => \led_flash_cnt[1705][0]~82345_combout\);

-- Location: FF_X39_Y29_N3
\led_flash_cnt[1705][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1705][0]~82345_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1705][0]~q\);

-- Location: LCCOMB_X38_Y29_N0
\led_flash_cnt[1705][1]~50750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1705][1]~50750_combout\ = (\led_flash_cnt[1705][0]~q\ & (\led_flash_cnt[1705][1]~q\ $ (VCC))) # (!\led_flash_cnt[1705][0]~q\ & (\led_flash_cnt[1705][1]~q\ & VCC))
-- \led_flash_cnt[1705][1]~50751\ = CARRY((\led_flash_cnt[1705][0]~q\ & \led_flash_cnt[1705][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1705][0]~q\,
	datab => \led_flash_cnt[1705][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1705][1]~50750_combout\,
	cout => \led_flash_cnt[1705][1]~50751\);

-- Location: FF_X38_Y29_N1
\led_flash_cnt[1705][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1705][1]~50750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1705][1]~q\);

-- Location: LCCOMB_X38_Y29_N2
\led_flash_cnt[1705][2]~50752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1705][2]~50752_combout\ = (\led_flash_cnt[1705][2]~q\ & (!\led_flash_cnt[1705][1]~50751\)) # (!\led_flash_cnt[1705][2]~q\ & ((\led_flash_cnt[1705][1]~50751\) # (GND)))
-- \led_flash_cnt[1705][2]~50753\ = CARRY((!\led_flash_cnt[1705][1]~50751\) # (!\led_flash_cnt[1705][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1705][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1705][1]~50751\,
	combout => \led_flash_cnt[1705][2]~50752_combout\,
	cout => \led_flash_cnt[1705][2]~50753\);

-- Location: FF_X38_Y29_N3
\led_flash_cnt[1705][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1705][2]~50752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1705][2]~q\);

-- Location: LCCOMB_X38_Y29_N4
\led_flash_cnt[1705][3]~50754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1705][3]~50754_combout\ = (\led_flash_cnt[1705][3]~q\ & (\led_flash_cnt[1705][2]~50753\ $ (GND))) # (!\led_flash_cnt[1705][3]~q\ & (!\led_flash_cnt[1705][2]~50753\ & VCC))
-- \led_flash_cnt[1705][3]~50755\ = CARRY((\led_flash_cnt[1705][3]~q\ & !\led_flash_cnt[1705][2]~50753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1705][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1705][2]~50753\,
	combout => \led_flash_cnt[1705][3]~50754_combout\,
	cout => \led_flash_cnt[1705][3]~50755\);

-- Location: FF_X38_Y29_N5
\led_flash_cnt[1705][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1705][3]~50754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1705][3]~q\);

-- Location: LCCOMB_X38_Y29_N6
\led_flash_cnt[1705][4]~50756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1705][4]~50756_combout\ = (\led_flash_cnt[1705][4]~q\ & (!\led_flash_cnt[1705][3]~50755\)) # (!\led_flash_cnt[1705][4]~q\ & ((\led_flash_cnt[1705][3]~50755\) # (GND)))
-- \led_flash_cnt[1705][4]~50757\ = CARRY((!\led_flash_cnt[1705][3]~50755\) # (!\led_flash_cnt[1705][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1705][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1705][3]~50755\,
	combout => \led_flash_cnt[1705][4]~50756_combout\,
	cout => \led_flash_cnt[1705][4]~50757\);

-- Location: FF_X38_Y29_N7
\led_flash_cnt[1705][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1705][4]~50756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1705][4]~q\);

-- Location: LCCOMB_X38_Y29_N8
\led_flash_cnt[1705][5]~50758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1705][5]~50758_combout\ = (\led_flash_cnt[1705][5]~q\ & (\led_flash_cnt[1705][4]~50757\ $ (GND))) # (!\led_flash_cnt[1705][5]~q\ & (!\led_flash_cnt[1705][4]~50757\ & VCC))
-- \led_flash_cnt[1705][5]~50759\ = CARRY((\led_flash_cnt[1705][5]~q\ & !\led_flash_cnt[1705][4]~50757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1705][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1705][4]~50757\,
	combout => \led_flash_cnt[1705][5]~50758_combout\,
	cout => \led_flash_cnt[1705][5]~50759\);

-- Location: FF_X38_Y29_N9
\led_flash_cnt[1705][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1705][5]~50758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1705][5]~q\);

-- Location: LCCOMB_X38_Y29_N10
\led_flash_cnt[1705][6]~50760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1705][6]~50760_combout\ = (\led_flash_cnt[1705][6]~q\ & (!\led_flash_cnt[1705][5]~50759\)) # (!\led_flash_cnt[1705][6]~q\ & ((\led_flash_cnt[1705][5]~50759\) # (GND)))
-- \led_flash_cnt[1705][6]~50761\ = CARRY((!\led_flash_cnt[1705][5]~50759\) # (!\led_flash_cnt[1705][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1705][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1705][5]~50759\,
	combout => \led_flash_cnt[1705][6]~50760_combout\,
	cout => \led_flash_cnt[1705][6]~50761\);

-- Location: FF_X38_Y29_N11
\led_flash_cnt[1705][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1705][6]~50760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1705][6]~q\);

-- Location: LCCOMB_X38_Y29_N12
\led_flash_cnt[1705][7]~50762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1705][7]~50762_combout\ = \led_flash_cnt[1705][6]~50761\ $ (!\led_flash_cnt[1705][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1705][7]~q\,
	cin => \led_flash_cnt[1705][6]~50761\,
	combout => \led_flash_cnt[1705][7]~50762_combout\);

-- Location: FF_X38_Y29_N13
\led_flash_cnt[1705][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1705][7]~50762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1705][7]~q\);

-- Location: LCCOMB_X38_Y29_N28
\WideAnd1705~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1705~0_combout\ = (\led_flash_cnt[1705][4]~q\ & (\led_flash_cnt[1705][1]~q\ & (\led_flash_cnt[1705][3]~q\ & \led_flash_cnt[1705][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1705][4]~q\,
	datab => \led_flash_cnt[1705][1]~q\,
	datac => \led_flash_cnt[1705][3]~q\,
	datad => \led_flash_cnt[1705][2]~q\,
	combout => \WideAnd1705~0_combout\);

-- Location: LCCOMB_X39_Y29_N8
\WideAnd1705~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1705~1_combout\ = (\led_flash_cnt[1705][6]~q\ & \led_flash_cnt[1705][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1705][6]~q\,
	datad => \led_flash_cnt[1705][5]~q\,
	combout => \WideAnd1705~1_combout\);

-- Location: LCCOMB_X39_Y29_N4
WideAnd1705 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1705~combout\ = (\led_flash_cnt[1705][7]~q\ & (\WideAnd1705~0_combout\ & (\WideAnd1705~1_combout\ & \led_flash_cnt[1705][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1705][7]~q\,
	datab => \WideAnd1705~0_combout\,
	datac => \WideAnd1705~1_combout\,
	datad => \led_flash_cnt[1705][0]~q\,
	combout => \WideAnd1705~combout\);

-- Location: FF_X39_Y29_N5
\led_flash_cnt_ands[1705]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1705~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1705));

-- Location: LCCOMB_X50_Y46_N16
\led_flash_cnt[1706][0]~82346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1706][0]~82346_combout\ = !\led_flash_cnt[1706][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1706][0]~q\,
	combout => \led_flash_cnt[1706][0]~82346_combout\);

-- Location: FF_X50_Y46_N17
\led_flash_cnt[1706][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1706][0]~82346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1706][0]~q\);

-- Location: LCCOMB_X51_Y48_N14
\led_flash_cnt[1706][1]~50764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1706][1]~50764_combout\ = (\led_flash_cnt[1706][0]~q\ & (\led_flash_cnt[1706][1]~q\ $ (VCC))) # (!\led_flash_cnt[1706][0]~q\ & (\led_flash_cnt[1706][1]~q\ & VCC))
-- \led_flash_cnt[1706][1]~50765\ = CARRY((\led_flash_cnt[1706][0]~q\ & \led_flash_cnt[1706][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1706][0]~q\,
	datab => \led_flash_cnt[1706][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1706][1]~50764_combout\,
	cout => \led_flash_cnt[1706][1]~50765\);

-- Location: FF_X51_Y48_N15
\led_flash_cnt[1706][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1706][1]~50764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1706][1]~q\);

-- Location: LCCOMB_X51_Y48_N16
\led_flash_cnt[1706][2]~50766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1706][2]~50766_combout\ = (\led_flash_cnt[1706][2]~q\ & (!\led_flash_cnt[1706][1]~50765\)) # (!\led_flash_cnt[1706][2]~q\ & ((\led_flash_cnt[1706][1]~50765\) # (GND)))
-- \led_flash_cnt[1706][2]~50767\ = CARRY((!\led_flash_cnt[1706][1]~50765\) # (!\led_flash_cnt[1706][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1706][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1706][1]~50765\,
	combout => \led_flash_cnt[1706][2]~50766_combout\,
	cout => \led_flash_cnt[1706][2]~50767\);

-- Location: FF_X51_Y48_N17
\led_flash_cnt[1706][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1706][2]~50766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1706][2]~q\);

-- Location: LCCOMB_X51_Y48_N18
\led_flash_cnt[1706][3]~50768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1706][3]~50768_combout\ = (\led_flash_cnt[1706][3]~q\ & (\led_flash_cnt[1706][2]~50767\ $ (GND))) # (!\led_flash_cnt[1706][3]~q\ & (!\led_flash_cnt[1706][2]~50767\ & VCC))
-- \led_flash_cnt[1706][3]~50769\ = CARRY((\led_flash_cnt[1706][3]~q\ & !\led_flash_cnt[1706][2]~50767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1706][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1706][2]~50767\,
	combout => \led_flash_cnt[1706][3]~50768_combout\,
	cout => \led_flash_cnt[1706][3]~50769\);

-- Location: FF_X51_Y48_N19
\led_flash_cnt[1706][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1706][3]~50768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1706][3]~q\);

-- Location: LCCOMB_X51_Y48_N20
\led_flash_cnt[1706][4]~50770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1706][4]~50770_combout\ = (\led_flash_cnt[1706][4]~q\ & (!\led_flash_cnt[1706][3]~50769\)) # (!\led_flash_cnt[1706][4]~q\ & ((\led_flash_cnt[1706][3]~50769\) # (GND)))
-- \led_flash_cnt[1706][4]~50771\ = CARRY((!\led_flash_cnt[1706][3]~50769\) # (!\led_flash_cnt[1706][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1706][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1706][3]~50769\,
	combout => \led_flash_cnt[1706][4]~50770_combout\,
	cout => \led_flash_cnt[1706][4]~50771\);

-- Location: FF_X51_Y48_N21
\led_flash_cnt[1706][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1706][4]~50770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1706][4]~q\);

-- Location: LCCOMB_X51_Y48_N22
\led_flash_cnt[1706][5]~50772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1706][5]~50772_combout\ = (\led_flash_cnt[1706][5]~q\ & (\led_flash_cnt[1706][4]~50771\ $ (GND))) # (!\led_flash_cnt[1706][5]~q\ & (!\led_flash_cnt[1706][4]~50771\ & VCC))
-- \led_flash_cnt[1706][5]~50773\ = CARRY((\led_flash_cnt[1706][5]~q\ & !\led_flash_cnt[1706][4]~50771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1706][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1706][4]~50771\,
	combout => \led_flash_cnt[1706][5]~50772_combout\,
	cout => \led_flash_cnt[1706][5]~50773\);

-- Location: FF_X51_Y48_N23
\led_flash_cnt[1706][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1706][5]~50772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1706][5]~q\);

-- Location: LCCOMB_X51_Y48_N24
\led_flash_cnt[1706][6]~50774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1706][6]~50774_combout\ = (\led_flash_cnt[1706][6]~q\ & (!\led_flash_cnt[1706][5]~50773\)) # (!\led_flash_cnt[1706][6]~q\ & ((\led_flash_cnt[1706][5]~50773\) # (GND)))
-- \led_flash_cnt[1706][6]~50775\ = CARRY((!\led_flash_cnt[1706][5]~50773\) # (!\led_flash_cnt[1706][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1706][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1706][5]~50773\,
	combout => \led_flash_cnt[1706][6]~50774_combout\,
	cout => \led_flash_cnt[1706][6]~50775\);

-- Location: FF_X51_Y48_N25
\led_flash_cnt[1706][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1706][6]~50774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1706][6]~q\);

-- Location: LCCOMB_X51_Y48_N26
\led_flash_cnt[1706][7]~50776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1706][7]~50776_combout\ = \led_flash_cnt[1706][7]~q\ $ (!\led_flash_cnt[1706][6]~50775\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1706][7]~q\,
	cin => \led_flash_cnt[1706][6]~50775\,
	combout => \led_flash_cnt[1706][7]~50776_combout\);

-- Location: FF_X51_Y48_N27
\led_flash_cnt[1706][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1706][7]~50776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1706][7]~q\);

-- Location: LCCOMB_X50_Y48_N24
\WideAnd1706~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1706~1_combout\ = (\led_flash_cnt[1706][6]~q\ & \led_flash_cnt[1706][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1706][6]~q\,
	datad => \led_flash_cnt[1706][5]~q\,
	combout => \WideAnd1706~1_combout\);

-- Location: LCCOMB_X51_Y48_N28
\WideAnd1706~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1706~0_combout\ = (\led_flash_cnt[1706][4]~q\ & (\led_flash_cnt[1706][3]~q\ & (\led_flash_cnt[1706][1]~q\ & \led_flash_cnt[1706][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1706][4]~q\,
	datab => \led_flash_cnt[1706][3]~q\,
	datac => \led_flash_cnt[1706][1]~q\,
	datad => \led_flash_cnt[1706][2]~q\,
	combout => \WideAnd1706~0_combout\);

-- Location: LCCOMB_X50_Y48_N0
WideAnd1706 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1706~combout\ = (\led_flash_cnt[1706][7]~q\ & (\WideAnd1706~1_combout\ & (\led_flash_cnt[1706][0]~q\ & \WideAnd1706~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1706][7]~q\,
	datab => \WideAnd1706~1_combout\,
	datac => \led_flash_cnt[1706][0]~q\,
	datad => \WideAnd1706~0_combout\,
	combout => \WideAnd1706~combout\);

-- Location: FF_X50_Y48_N1
\led_flash_cnt_ands[1706]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1706~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1706));

-- Location: LCCOMB_X50_Y48_N20
\WideAnd4053~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4053~0_combout\ = (led_flash_cnt_ands(1707) & (led_flash_cnt_ands(1704) & (led_flash_cnt_ands(1705) & led_flash_cnt_ands(1706))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1707),
	datab => led_flash_cnt_ands(1704),
	datac => led_flash_cnt_ands(1705),
	datad => led_flash_cnt_ands(1706),
	combout => \WideAnd4053~0_combout\);

-- Location: LCCOMB_X50_Y18_N4
\led_flash_cnt[1710][0]~82350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1710][0]~82350_combout\ = !\led_flash_cnt[1710][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1710][0]~q\,
	combout => \led_flash_cnt[1710][0]~82350_combout\);

-- Location: FF_X50_Y18_N5
\led_flash_cnt[1710][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1710][0]~82350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1710][0]~q\);

-- Location: LCCOMB_X50_Y18_N10
\led_flash_cnt[1710][1]~50820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1710][1]~50820_combout\ = (\led_flash_cnt[1710][1]~q\ & (\led_flash_cnt[1710][0]~q\ $ (VCC))) # (!\led_flash_cnt[1710][1]~q\ & (\led_flash_cnt[1710][0]~q\ & VCC))
-- \led_flash_cnt[1710][1]~50821\ = CARRY((\led_flash_cnt[1710][1]~q\ & \led_flash_cnt[1710][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1710][1]~q\,
	datab => \led_flash_cnt[1710][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1710][1]~50820_combout\,
	cout => \led_flash_cnt[1710][1]~50821\);

-- Location: FF_X50_Y18_N11
\led_flash_cnt[1710][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1710][1]~50820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1710][1]~q\);

-- Location: LCCOMB_X50_Y18_N12
\led_flash_cnt[1710][2]~50822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1710][2]~50822_combout\ = (\led_flash_cnt[1710][2]~q\ & (!\led_flash_cnt[1710][1]~50821\)) # (!\led_flash_cnt[1710][2]~q\ & ((\led_flash_cnt[1710][1]~50821\) # (GND)))
-- \led_flash_cnt[1710][2]~50823\ = CARRY((!\led_flash_cnt[1710][1]~50821\) # (!\led_flash_cnt[1710][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1710][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1710][1]~50821\,
	combout => \led_flash_cnt[1710][2]~50822_combout\,
	cout => \led_flash_cnt[1710][2]~50823\);

-- Location: FF_X50_Y18_N13
\led_flash_cnt[1710][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1710][2]~50822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1710][2]~q\);

-- Location: LCCOMB_X50_Y18_N14
\led_flash_cnt[1710][3]~50824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1710][3]~50824_combout\ = (\led_flash_cnt[1710][3]~q\ & (\led_flash_cnt[1710][2]~50823\ $ (GND))) # (!\led_flash_cnt[1710][3]~q\ & (!\led_flash_cnt[1710][2]~50823\ & VCC))
-- \led_flash_cnt[1710][3]~50825\ = CARRY((\led_flash_cnt[1710][3]~q\ & !\led_flash_cnt[1710][2]~50823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1710][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1710][2]~50823\,
	combout => \led_flash_cnt[1710][3]~50824_combout\,
	cout => \led_flash_cnt[1710][3]~50825\);

-- Location: FF_X50_Y18_N15
\led_flash_cnt[1710][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1710][3]~50824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1710][3]~q\);

-- Location: LCCOMB_X50_Y18_N16
\led_flash_cnt[1710][4]~50826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1710][4]~50826_combout\ = (\led_flash_cnt[1710][4]~q\ & (!\led_flash_cnt[1710][3]~50825\)) # (!\led_flash_cnt[1710][4]~q\ & ((\led_flash_cnt[1710][3]~50825\) # (GND)))
-- \led_flash_cnt[1710][4]~50827\ = CARRY((!\led_flash_cnt[1710][3]~50825\) # (!\led_flash_cnt[1710][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1710][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1710][3]~50825\,
	combout => \led_flash_cnt[1710][4]~50826_combout\,
	cout => \led_flash_cnt[1710][4]~50827\);

-- Location: FF_X50_Y18_N17
\led_flash_cnt[1710][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1710][4]~50826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1710][4]~q\);

-- Location: LCCOMB_X50_Y18_N18
\led_flash_cnt[1710][5]~50828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1710][5]~50828_combout\ = (\led_flash_cnt[1710][5]~q\ & (\led_flash_cnt[1710][4]~50827\ $ (GND))) # (!\led_flash_cnt[1710][5]~q\ & (!\led_flash_cnt[1710][4]~50827\ & VCC))
-- \led_flash_cnt[1710][5]~50829\ = CARRY((\led_flash_cnt[1710][5]~q\ & !\led_flash_cnt[1710][4]~50827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1710][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1710][4]~50827\,
	combout => \led_flash_cnt[1710][5]~50828_combout\,
	cout => \led_flash_cnt[1710][5]~50829\);

-- Location: FF_X50_Y18_N19
\led_flash_cnt[1710][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1710][5]~50828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1710][5]~q\);

-- Location: LCCOMB_X50_Y18_N20
\led_flash_cnt[1710][6]~50830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1710][6]~50830_combout\ = (\led_flash_cnt[1710][6]~q\ & (!\led_flash_cnt[1710][5]~50829\)) # (!\led_flash_cnt[1710][6]~q\ & ((\led_flash_cnt[1710][5]~50829\) # (GND)))
-- \led_flash_cnt[1710][6]~50831\ = CARRY((!\led_flash_cnt[1710][5]~50829\) # (!\led_flash_cnt[1710][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1710][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1710][5]~50829\,
	combout => \led_flash_cnt[1710][6]~50830_combout\,
	cout => \led_flash_cnt[1710][6]~50831\);

-- Location: FF_X50_Y18_N21
\led_flash_cnt[1710][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1710][6]~50830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1710][6]~q\);

-- Location: LCCOMB_X50_Y18_N6
\WideAnd1710~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1710~1_combout\ = (\led_flash_cnt[1710][6]~q\ & \led_flash_cnt[1710][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1710][6]~q\,
	datad => \led_flash_cnt[1710][5]~q\,
	combout => \WideAnd1710~1_combout\);

-- Location: LCCOMB_X50_Y18_N22
\led_flash_cnt[1710][7]~50832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1710][7]~50832_combout\ = \led_flash_cnt[1710][7]~q\ $ (!\led_flash_cnt[1710][6]~50831\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1710][7]~q\,
	cin => \led_flash_cnt[1710][6]~50831\,
	combout => \led_flash_cnt[1710][7]~50832_combout\);

-- Location: FF_X50_Y18_N23
\led_flash_cnt[1710][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1710][7]~50832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1710][7]~q\);

-- Location: LCCOMB_X50_Y18_N24
\WideAnd1710~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1710~0_combout\ = (\led_flash_cnt[1710][2]~q\ & (\led_flash_cnt[1710][4]~q\ & (\led_flash_cnt[1710][3]~q\ & \led_flash_cnt[1710][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1710][2]~q\,
	datab => \led_flash_cnt[1710][4]~q\,
	datac => \led_flash_cnt[1710][3]~q\,
	datad => \led_flash_cnt[1710][1]~q\,
	combout => \WideAnd1710~0_combout\);

-- Location: LCCOMB_X50_Y18_N0
WideAnd1710 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1710~combout\ = (\WideAnd1710~1_combout\ & (\led_flash_cnt[1710][0]~q\ & (\led_flash_cnt[1710][7]~q\ & \WideAnd1710~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1710~1_combout\,
	datab => \led_flash_cnt[1710][0]~q\,
	datac => \led_flash_cnt[1710][7]~q\,
	datad => \WideAnd1710~0_combout\,
	combout => \WideAnd1710~combout\);

-- Location: FF_X50_Y18_N1
\led_flash_cnt_ands[1710]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1710~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1710));

-- Location: LCCOMB_X50_Y18_N30
WideAnd4053 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4053~combout\ = (led_flash_cnt_ands(1711) & (\WideAnd4053~1_combout\ & (\WideAnd4053~0_combout\ & led_flash_cnt_ands(1710))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1711),
	datab => \WideAnd4053~1_combout\,
	datac => \WideAnd4053~0_combout\,
	datad => led_flash_cnt_ands(1710),
	combout => \WideAnd4053~combout\);

-- Location: FF_X50_Y18_N31
\led_flash_cnt_ands_1[213]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4053~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(213));

-- Location: LCCOMB_X41_Y3_N24
\led_flash_cnt[1703][0]~82343\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1703][0]~82343_combout\ = !\led_flash_cnt[1703][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1703][0]~q\,
	combout => \led_flash_cnt[1703][0]~82343_combout\);

-- Location: FF_X41_Y3_N25
\led_flash_cnt[1703][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1703][0]~82343_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1703][0]~q\);

-- Location: LCCOMB_X41_Y3_N6
\led_flash_cnt[1703][1]~50722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1703][1]~50722_combout\ = (\led_flash_cnt[1703][1]~q\ & (\led_flash_cnt[1703][0]~q\ $ (VCC))) # (!\led_flash_cnt[1703][1]~q\ & (\led_flash_cnt[1703][0]~q\ & VCC))
-- \led_flash_cnt[1703][1]~50723\ = CARRY((\led_flash_cnt[1703][1]~q\ & \led_flash_cnt[1703][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1703][1]~q\,
	datab => \led_flash_cnt[1703][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1703][1]~50722_combout\,
	cout => \led_flash_cnt[1703][1]~50723\);

-- Location: FF_X41_Y3_N7
\led_flash_cnt[1703][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1703][1]~50722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1703][1]~q\);

-- Location: LCCOMB_X41_Y3_N8
\led_flash_cnt[1703][2]~50724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1703][2]~50724_combout\ = (\led_flash_cnt[1703][2]~q\ & (!\led_flash_cnt[1703][1]~50723\)) # (!\led_flash_cnt[1703][2]~q\ & ((\led_flash_cnt[1703][1]~50723\) # (GND)))
-- \led_flash_cnt[1703][2]~50725\ = CARRY((!\led_flash_cnt[1703][1]~50723\) # (!\led_flash_cnt[1703][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1703][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1703][1]~50723\,
	combout => \led_flash_cnt[1703][2]~50724_combout\,
	cout => \led_flash_cnt[1703][2]~50725\);

-- Location: FF_X41_Y3_N9
\led_flash_cnt[1703][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1703][2]~50724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1703][2]~q\);

-- Location: LCCOMB_X41_Y3_N10
\led_flash_cnt[1703][3]~50726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1703][3]~50726_combout\ = (\led_flash_cnt[1703][3]~q\ & (\led_flash_cnt[1703][2]~50725\ $ (GND))) # (!\led_flash_cnt[1703][3]~q\ & (!\led_flash_cnt[1703][2]~50725\ & VCC))
-- \led_flash_cnt[1703][3]~50727\ = CARRY((\led_flash_cnt[1703][3]~q\ & !\led_flash_cnt[1703][2]~50725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1703][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1703][2]~50725\,
	combout => \led_flash_cnt[1703][3]~50726_combout\,
	cout => \led_flash_cnt[1703][3]~50727\);

-- Location: FF_X41_Y3_N11
\led_flash_cnt[1703][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1703][3]~50726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1703][3]~q\);

-- Location: LCCOMB_X41_Y3_N12
\led_flash_cnt[1703][4]~50728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1703][4]~50728_combout\ = (\led_flash_cnt[1703][4]~q\ & (!\led_flash_cnt[1703][3]~50727\)) # (!\led_flash_cnt[1703][4]~q\ & ((\led_flash_cnt[1703][3]~50727\) # (GND)))
-- \led_flash_cnt[1703][4]~50729\ = CARRY((!\led_flash_cnt[1703][3]~50727\) # (!\led_flash_cnt[1703][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1703][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1703][3]~50727\,
	combout => \led_flash_cnt[1703][4]~50728_combout\,
	cout => \led_flash_cnt[1703][4]~50729\);

-- Location: FF_X41_Y3_N13
\led_flash_cnt[1703][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1703][4]~50728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1703][4]~q\);

-- Location: LCCOMB_X41_Y3_N26
\WideAnd1703~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1703~0_combout\ = (\led_flash_cnt[1703][4]~q\ & (\led_flash_cnt[1703][1]~q\ & (\led_flash_cnt[1703][2]~q\ & \led_flash_cnt[1703][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1703][4]~q\,
	datab => \led_flash_cnt[1703][1]~q\,
	datac => \led_flash_cnt[1703][2]~q\,
	datad => \led_flash_cnt[1703][3]~q\,
	combout => \WideAnd1703~0_combout\);

-- Location: LCCOMB_X41_Y3_N14
\led_flash_cnt[1703][5]~50730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1703][5]~50730_combout\ = (\led_flash_cnt[1703][5]~q\ & (\led_flash_cnt[1703][4]~50729\ $ (GND))) # (!\led_flash_cnt[1703][5]~q\ & (!\led_flash_cnt[1703][4]~50729\ & VCC))
-- \led_flash_cnt[1703][5]~50731\ = CARRY((\led_flash_cnt[1703][5]~q\ & !\led_flash_cnt[1703][4]~50729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1703][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1703][4]~50729\,
	combout => \led_flash_cnt[1703][5]~50730_combout\,
	cout => \led_flash_cnt[1703][5]~50731\);

-- Location: FF_X41_Y3_N15
\led_flash_cnt[1703][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1703][5]~50730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1703][5]~q\);

-- Location: LCCOMB_X41_Y3_N16
\led_flash_cnt[1703][6]~50732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1703][6]~50732_combout\ = (\led_flash_cnt[1703][6]~q\ & (!\led_flash_cnt[1703][5]~50731\)) # (!\led_flash_cnt[1703][6]~q\ & ((\led_flash_cnt[1703][5]~50731\) # (GND)))
-- \led_flash_cnt[1703][6]~50733\ = CARRY((!\led_flash_cnt[1703][5]~50731\) # (!\led_flash_cnt[1703][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1703][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1703][5]~50731\,
	combout => \led_flash_cnt[1703][6]~50732_combout\,
	cout => \led_flash_cnt[1703][6]~50733\);

-- Location: FF_X41_Y3_N17
\led_flash_cnt[1703][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1703][6]~50732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1703][6]~q\);

-- Location: LCCOMB_X41_Y3_N18
\led_flash_cnt[1703][7]~50734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1703][7]~50734_combout\ = \led_flash_cnt[1703][6]~50733\ $ (!\led_flash_cnt[1703][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1703][7]~q\,
	cin => \led_flash_cnt[1703][6]~50733\,
	combout => \led_flash_cnt[1703][7]~50734_combout\);

-- Location: FF_X41_Y3_N19
\led_flash_cnt[1703][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1703][7]~50734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1703][7]~q\);

-- Location: LCCOMB_X41_Y3_N4
\WideAnd1703~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1703~1_combout\ = (\led_flash_cnt[1703][5]~q\ & \led_flash_cnt[1703][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1703][5]~q\,
	datad => \led_flash_cnt[1703][6]~q\,
	combout => \WideAnd1703~1_combout\);

-- Location: LCCOMB_X41_Y3_N30
WideAnd1703 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1703~combout\ = (\WideAnd1703~0_combout\ & (\led_flash_cnt[1703][7]~q\ & (\WideAnd1703~1_combout\ & \led_flash_cnt[1703][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1703~0_combout\,
	datab => \led_flash_cnt[1703][7]~q\,
	datac => \WideAnd1703~1_combout\,
	datad => \led_flash_cnt[1703][0]~q\,
	combout => \WideAnd1703~combout\);

-- Location: FF_X41_Y3_N31
\led_flash_cnt_ands[1703]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1703~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1703));

-- Location: LCCOMB_X42_Y3_N26
\led_flash_cnt[1702][0]~82342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1702][0]~82342_combout\ = !\led_flash_cnt[1702][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1702][0]~q\,
	combout => \led_flash_cnt[1702][0]~82342_combout\);

-- Location: FF_X42_Y3_N27
\led_flash_cnt[1702][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1702][0]~82342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1702][0]~q\);

-- Location: LCCOMB_X42_Y3_N4
\led_flash_cnt[1702][1]~50708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1702][1]~50708_combout\ = (\led_flash_cnt[1702][0]~q\ & (\led_flash_cnt[1702][1]~q\ $ (VCC))) # (!\led_flash_cnt[1702][0]~q\ & (\led_flash_cnt[1702][1]~q\ & VCC))
-- \led_flash_cnt[1702][1]~50709\ = CARRY((\led_flash_cnt[1702][0]~q\ & \led_flash_cnt[1702][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1702][0]~q\,
	datab => \led_flash_cnt[1702][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1702][1]~50708_combout\,
	cout => \led_flash_cnt[1702][1]~50709\);

-- Location: FF_X42_Y3_N5
\led_flash_cnt[1702][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1702][1]~50708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1702][1]~q\);

-- Location: LCCOMB_X42_Y3_N6
\led_flash_cnt[1702][2]~50710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1702][2]~50710_combout\ = (\led_flash_cnt[1702][2]~q\ & (!\led_flash_cnt[1702][1]~50709\)) # (!\led_flash_cnt[1702][2]~q\ & ((\led_flash_cnt[1702][1]~50709\) # (GND)))
-- \led_flash_cnt[1702][2]~50711\ = CARRY((!\led_flash_cnt[1702][1]~50709\) # (!\led_flash_cnt[1702][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1702][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1702][1]~50709\,
	combout => \led_flash_cnt[1702][2]~50710_combout\,
	cout => \led_flash_cnt[1702][2]~50711\);

-- Location: FF_X42_Y3_N7
\led_flash_cnt[1702][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1702][2]~50710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1702][2]~q\);

-- Location: LCCOMB_X42_Y3_N8
\led_flash_cnt[1702][3]~50712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1702][3]~50712_combout\ = (\led_flash_cnt[1702][3]~q\ & (\led_flash_cnt[1702][2]~50711\ $ (GND))) # (!\led_flash_cnt[1702][3]~q\ & (!\led_flash_cnt[1702][2]~50711\ & VCC))
-- \led_flash_cnt[1702][3]~50713\ = CARRY((\led_flash_cnt[1702][3]~q\ & !\led_flash_cnt[1702][2]~50711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1702][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1702][2]~50711\,
	combout => \led_flash_cnt[1702][3]~50712_combout\,
	cout => \led_flash_cnt[1702][3]~50713\);

-- Location: FF_X42_Y3_N9
\led_flash_cnt[1702][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1702][3]~50712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1702][3]~q\);

-- Location: LCCOMB_X42_Y3_N10
\led_flash_cnt[1702][4]~50714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1702][4]~50714_combout\ = (\led_flash_cnt[1702][4]~q\ & (!\led_flash_cnt[1702][3]~50713\)) # (!\led_flash_cnt[1702][4]~q\ & ((\led_flash_cnt[1702][3]~50713\) # (GND)))
-- \led_flash_cnt[1702][4]~50715\ = CARRY((!\led_flash_cnt[1702][3]~50713\) # (!\led_flash_cnt[1702][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1702][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1702][3]~50713\,
	combout => \led_flash_cnt[1702][4]~50714_combout\,
	cout => \led_flash_cnt[1702][4]~50715\);

-- Location: FF_X42_Y3_N11
\led_flash_cnt[1702][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1702][4]~50714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1702][4]~q\);

-- Location: LCCOMB_X42_Y3_N20
\WideAnd1702~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1702~0_combout\ = (\led_flash_cnt[1702][4]~q\ & (\led_flash_cnt[1702][3]~q\ & (\led_flash_cnt[1702][1]~q\ & \led_flash_cnt[1702][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1702][4]~q\,
	datab => \led_flash_cnt[1702][3]~q\,
	datac => \led_flash_cnt[1702][1]~q\,
	datad => \led_flash_cnt[1702][2]~q\,
	combout => \WideAnd1702~0_combout\);

-- Location: LCCOMB_X42_Y3_N12
\led_flash_cnt[1702][5]~50716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1702][5]~50716_combout\ = (\led_flash_cnt[1702][5]~q\ & (\led_flash_cnt[1702][4]~50715\ $ (GND))) # (!\led_flash_cnt[1702][5]~q\ & (!\led_flash_cnt[1702][4]~50715\ & VCC))
-- \led_flash_cnt[1702][5]~50717\ = CARRY((\led_flash_cnt[1702][5]~q\ & !\led_flash_cnt[1702][4]~50715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1702][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1702][4]~50715\,
	combout => \led_flash_cnt[1702][5]~50716_combout\,
	cout => \led_flash_cnt[1702][5]~50717\);

-- Location: FF_X42_Y3_N13
\led_flash_cnt[1702][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1702][5]~50716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1702][5]~q\);

-- Location: LCCOMB_X42_Y3_N14
\led_flash_cnt[1702][6]~50718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1702][6]~50718_combout\ = (\led_flash_cnt[1702][6]~q\ & (!\led_flash_cnt[1702][5]~50717\)) # (!\led_flash_cnt[1702][6]~q\ & ((\led_flash_cnt[1702][5]~50717\) # (GND)))
-- \led_flash_cnt[1702][6]~50719\ = CARRY((!\led_flash_cnt[1702][5]~50717\) # (!\led_flash_cnt[1702][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1702][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1702][5]~50717\,
	combout => \led_flash_cnt[1702][6]~50718_combout\,
	cout => \led_flash_cnt[1702][6]~50719\);

-- Location: FF_X42_Y3_N15
\led_flash_cnt[1702][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1702][6]~50718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1702][6]~q\);

-- Location: LCCOMB_X42_Y3_N22
\WideAnd1702~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1702~1_combout\ = (\led_flash_cnt[1702][6]~q\ & \led_flash_cnt[1702][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1702][6]~q\,
	datad => \led_flash_cnt[1702][5]~q\,
	combout => \WideAnd1702~1_combout\);

-- Location: LCCOMB_X42_Y3_N16
\led_flash_cnt[1702][7]~50720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1702][7]~50720_combout\ = \led_flash_cnt[1702][6]~50719\ $ (!\led_flash_cnt[1702][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1702][7]~q\,
	cin => \led_flash_cnt[1702][6]~50719\,
	combout => \led_flash_cnt[1702][7]~50720_combout\);

-- Location: FF_X42_Y3_N17
\led_flash_cnt[1702][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1702][7]~50720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1702][7]~q\);

-- Location: LCCOMB_X42_Y3_N28
WideAnd1702 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1702~combout\ = (\led_flash_cnt[1702][0]~q\ & (\WideAnd1702~0_combout\ & (\WideAnd1702~1_combout\ & \led_flash_cnt[1702][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1702][0]~q\,
	datab => \WideAnd1702~0_combout\,
	datac => \WideAnd1702~1_combout\,
	datad => \led_flash_cnt[1702][7]~q\,
	combout => \WideAnd1702~combout\);

-- Location: FF_X42_Y3_N29
\led_flash_cnt_ands[1702]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1702~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1702));

-- Location: LCCOMB_X27_Y3_N30
\led_flash_cnt[1699][0]~82339\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1699][0]~82339_combout\ = !\led_flash_cnt[1699][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1699][0]~q\,
	combout => \led_flash_cnt[1699][0]~82339_combout\);

-- Location: FF_X27_Y3_N31
\led_flash_cnt[1699][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1699][0]~82339_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1699][0]~q\);

-- Location: LCCOMB_X27_Y2_N18
\led_flash_cnt[1699][1]~50666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1699][1]~50666_combout\ = (\led_flash_cnt[1699][0]~q\ & (\led_flash_cnt[1699][1]~q\ $ (VCC))) # (!\led_flash_cnt[1699][0]~q\ & (\led_flash_cnt[1699][1]~q\ & VCC))
-- \led_flash_cnt[1699][1]~50667\ = CARRY((\led_flash_cnt[1699][0]~q\ & \led_flash_cnt[1699][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1699][0]~q\,
	datab => \led_flash_cnt[1699][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1699][1]~50666_combout\,
	cout => \led_flash_cnt[1699][1]~50667\);

-- Location: FF_X27_Y2_N19
\led_flash_cnt[1699][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1699][1]~50666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1699][1]~q\);

-- Location: LCCOMB_X27_Y2_N20
\led_flash_cnt[1699][2]~50668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1699][2]~50668_combout\ = (\led_flash_cnt[1699][2]~q\ & (!\led_flash_cnt[1699][1]~50667\)) # (!\led_flash_cnt[1699][2]~q\ & ((\led_flash_cnt[1699][1]~50667\) # (GND)))
-- \led_flash_cnt[1699][2]~50669\ = CARRY((!\led_flash_cnt[1699][1]~50667\) # (!\led_flash_cnt[1699][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1699][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1699][1]~50667\,
	combout => \led_flash_cnt[1699][2]~50668_combout\,
	cout => \led_flash_cnt[1699][2]~50669\);

-- Location: FF_X27_Y2_N21
\led_flash_cnt[1699][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1699][2]~50668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1699][2]~q\);

-- Location: LCCOMB_X27_Y2_N22
\led_flash_cnt[1699][3]~50670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1699][3]~50670_combout\ = (\led_flash_cnt[1699][3]~q\ & (\led_flash_cnt[1699][2]~50669\ $ (GND))) # (!\led_flash_cnt[1699][3]~q\ & (!\led_flash_cnt[1699][2]~50669\ & VCC))
-- \led_flash_cnt[1699][3]~50671\ = CARRY((\led_flash_cnt[1699][3]~q\ & !\led_flash_cnt[1699][2]~50669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1699][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1699][2]~50669\,
	combout => \led_flash_cnt[1699][3]~50670_combout\,
	cout => \led_flash_cnt[1699][3]~50671\);

-- Location: FF_X27_Y2_N23
\led_flash_cnt[1699][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1699][3]~50670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1699][3]~q\);

-- Location: LCCOMB_X27_Y2_N24
\led_flash_cnt[1699][4]~50672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1699][4]~50672_combout\ = (\led_flash_cnt[1699][4]~q\ & (!\led_flash_cnt[1699][3]~50671\)) # (!\led_flash_cnt[1699][4]~q\ & ((\led_flash_cnt[1699][3]~50671\) # (GND)))
-- \led_flash_cnt[1699][4]~50673\ = CARRY((!\led_flash_cnt[1699][3]~50671\) # (!\led_flash_cnt[1699][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1699][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1699][3]~50671\,
	combout => \led_flash_cnt[1699][4]~50672_combout\,
	cout => \led_flash_cnt[1699][4]~50673\);

-- Location: FF_X27_Y2_N25
\led_flash_cnt[1699][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1699][4]~50672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1699][4]~q\);

-- Location: LCCOMB_X27_Y2_N26
\led_flash_cnt[1699][5]~50674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1699][5]~50674_combout\ = (\led_flash_cnt[1699][5]~q\ & (\led_flash_cnt[1699][4]~50673\ $ (GND))) # (!\led_flash_cnt[1699][5]~q\ & (!\led_flash_cnt[1699][4]~50673\ & VCC))
-- \led_flash_cnt[1699][5]~50675\ = CARRY((\led_flash_cnt[1699][5]~q\ & !\led_flash_cnt[1699][4]~50673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1699][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1699][4]~50673\,
	combout => \led_flash_cnt[1699][5]~50674_combout\,
	cout => \led_flash_cnt[1699][5]~50675\);

-- Location: FF_X27_Y2_N27
\led_flash_cnt[1699][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1699][5]~50674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1699][5]~q\);

-- Location: LCCOMB_X27_Y2_N28
\led_flash_cnt[1699][6]~50676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1699][6]~50676_combout\ = (\led_flash_cnt[1699][6]~q\ & (!\led_flash_cnt[1699][5]~50675\)) # (!\led_flash_cnt[1699][6]~q\ & ((\led_flash_cnt[1699][5]~50675\) # (GND)))
-- \led_flash_cnt[1699][6]~50677\ = CARRY((!\led_flash_cnt[1699][5]~50675\) # (!\led_flash_cnt[1699][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1699][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1699][5]~50675\,
	combout => \led_flash_cnt[1699][6]~50676_combout\,
	cout => \led_flash_cnt[1699][6]~50677\);

-- Location: FF_X27_Y2_N29
\led_flash_cnt[1699][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1699][6]~50676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1699][6]~q\);

-- Location: LCCOMB_X27_Y2_N30
\led_flash_cnt[1699][7]~50678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1699][7]~50678_combout\ = \led_flash_cnt[1699][7]~q\ $ (!\led_flash_cnt[1699][6]~50677\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1699][7]~q\,
	cin => \led_flash_cnt[1699][6]~50677\,
	combout => \led_flash_cnt[1699][7]~50678_combout\);

-- Location: FF_X27_Y2_N31
\led_flash_cnt[1699][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1699][7]~50678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1699][7]~q\);

-- Location: LCCOMB_X27_Y2_N0
\WideAnd1699~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1699~0_combout\ = (\led_flash_cnt[1699][1]~q\ & (\led_flash_cnt[1699][2]~q\ & (\led_flash_cnt[1699][3]~q\ & \led_flash_cnt[1699][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1699][1]~q\,
	datab => \led_flash_cnt[1699][2]~q\,
	datac => \led_flash_cnt[1699][3]~q\,
	datad => \led_flash_cnt[1699][4]~q\,
	combout => \WideAnd1699~0_combout\);

-- Location: LCCOMB_X27_Y3_N0
\WideAnd1699~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1699~1_combout\ = (\led_flash_cnt[1699][6]~q\ & \led_flash_cnt[1699][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1699][6]~q\,
	datad => \led_flash_cnt[1699][5]~q\,
	combout => \WideAnd1699~1_combout\);

-- Location: LCCOMB_X27_Y3_N26
WideAnd1699 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1699~combout\ = (\led_flash_cnt[1699][7]~q\ & (\WideAnd1699~0_combout\ & (\led_flash_cnt[1699][0]~q\ & \WideAnd1699~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1699][7]~q\,
	datab => \WideAnd1699~0_combout\,
	datac => \led_flash_cnt[1699][0]~q\,
	datad => \WideAnd1699~1_combout\,
	combout => \WideAnd1699~combout\);

-- Location: FF_X27_Y3_N27
\led_flash_cnt_ands[1699]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1699~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1699));

-- Location: LCCOMB_X42_Y6_N2
\led_flash_cnt[1697][0]~82337\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1697][0]~82337_combout\ = !\led_flash_cnt[1697][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1697][0]~q\,
	combout => \led_flash_cnt[1697][0]~82337_combout\);

-- Location: FF_X42_Y6_N3
\led_flash_cnt[1697][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1697][0]~82337_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1697][0]~q\);

-- Location: LCCOMB_X41_Y6_N16
\led_flash_cnt[1697][1]~50638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1697][1]~50638_combout\ = (\led_flash_cnt[1697][0]~q\ & (\led_flash_cnt[1697][1]~q\ $ (VCC))) # (!\led_flash_cnt[1697][0]~q\ & (\led_flash_cnt[1697][1]~q\ & VCC))
-- \led_flash_cnt[1697][1]~50639\ = CARRY((\led_flash_cnt[1697][0]~q\ & \led_flash_cnt[1697][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1697][0]~q\,
	datab => \led_flash_cnt[1697][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1697][1]~50638_combout\,
	cout => \led_flash_cnt[1697][1]~50639\);

-- Location: FF_X41_Y6_N17
\led_flash_cnt[1697][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1697][1]~50638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1697][1]~q\);

-- Location: LCCOMB_X41_Y6_N18
\led_flash_cnt[1697][2]~50640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1697][2]~50640_combout\ = (\led_flash_cnt[1697][2]~q\ & (!\led_flash_cnt[1697][1]~50639\)) # (!\led_flash_cnt[1697][2]~q\ & ((\led_flash_cnt[1697][1]~50639\) # (GND)))
-- \led_flash_cnt[1697][2]~50641\ = CARRY((!\led_flash_cnt[1697][1]~50639\) # (!\led_flash_cnt[1697][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1697][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1697][1]~50639\,
	combout => \led_flash_cnt[1697][2]~50640_combout\,
	cout => \led_flash_cnt[1697][2]~50641\);

-- Location: FF_X41_Y6_N19
\led_flash_cnt[1697][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1697][2]~50640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1697][2]~q\);

-- Location: LCCOMB_X41_Y6_N20
\led_flash_cnt[1697][3]~50642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1697][3]~50642_combout\ = (\led_flash_cnt[1697][3]~q\ & (\led_flash_cnt[1697][2]~50641\ $ (GND))) # (!\led_flash_cnt[1697][3]~q\ & (!\led_flash_cnt[1697][2]~50641\ & VCC))
-- \led_flash_cnt[1697][3]~50643\ = CARRY((\led_flash_cnt[1697][3]~q\ & !\led_flash_cnt[1697][2]~50641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1697][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1697][2]~50641\,
	combout => \led_flash_cnt[1697][3]~50642_combout\,
	cout => \led_flash_cnt[1697][3]~50643\);

-- Location: FF_X41_Y6_N21
\led_flash_cnt[1697][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1697][3]~50642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1697][3]~q\);

-- Location: LCCOMB_X41_Y6_N22
\led_flash_cnt[1697][4]~50644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1697][4]~50644_combout\ = (\led_flash_cnt[1697][4]~q\ & (!\led_flash_cnt[1697][3]~50643\)) # (!\led_flash_cnt[1697][4]~q\ & ((\led_flash_cnt[1697][3]~50643\) # (GND)))
-- \led_flash_cnt[1697][4]~50645\ = CARRY((!\led_flash_cnt[1697][3]~50643\) # (!\led_flash_cnt[1697][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1697][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1697][3]~50643\,
	combout => \led_flash_cnt[1697][4]~50644_combout\,
	cout => \led_flash_cnt[1697][4]~50645\);

-- Location: FF_X41_Y6_N23
\led_flash_cnt[1697][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1697][4]~50644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1697][4]~q\);

-- Location: LCCOMB_X41_Y6_N0
\WideAnd1697~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1697~0_combout\ = (\led_flash_cnt[1697][1]~q\ & (\led_flash_cnt[1697][3]~q\ & (\led_flash_cnt[1697][4]~q\ & \led_flash_cnt[1697][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1697][1]~q\,
	datab => \led_flash_cnt[1697][3]~q\,
	datac => \led_flash_cnt[1697][4]~q\,
	datad => \led_flash_cnt[1697][2]~q\,
	combout => \WideAnd1697~0_combout\);

-- Location: LCCOMB_X41_Y6_N24
\led_flash_cnt[1697][5]~50646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1697][5]~50646_combout\ = (\led_flash_cnt[1697][5]~q\ & (\led_flash_cnt[1697][4]~50645\ $ (GND))) # (!\led_flash_cnt[1697][5]~q\ & (!\led_flash_cnt[1697][4]~50645\ & VCC))
-- \led_flash_cnt[1697][5]~50647\ = CARRY((\led_flash_cnt[1697][5]~q\ & !\led_flash_cnt[1697][4]~50645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1697][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1697][4]~50645\,
	combout => \led_flash_cnt[1697][5]~50646_combout\,
	cout => \led_flash_cnt[1697][5]~50647\);

-- Location: FF_X41_Y6_N25
\led_flash_cnt[1697][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1697][5]~50646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1697][5]~q\);

-- Location: LCCOMB_X41_Y6_N26
\led_flash_cnt[1697][6]~50648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1697][6]~50648_combout\ = (\led_flash_cnt[1697][6]~q\ & (!\led_flash_cnt[1697][5]~50647\)) # (!\led_flash_cnt[1697][6]~q\ & ((\led_flash_cnt[1697][5]~50647\) # (GND)))
-- \led_flash_cnt[1697][6]~50649\ = CARRY((!\led_flash_cnt[1697][5]~50647\) # (!\led_flash_cnt[1697][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1697][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1697][5]~50647\,
	combout => \led_flash_cnt[1697][6]~50648_combout\,
	cout => \led_flash_cnt[1697][6]~50649\);

-- Location: FF_X41_Y6_N27
\led_flash_cnt[1697][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1697][6]~50648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1697][6]~q\);

-- Location: LCCOMB_X42_Y6_N28
\WideAnd1697~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1697~1_combout\ = (\led_flash_cnt[1697][6]~q\ & \led_flash_cnt[1697][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1697][6]~q\,
	datad => \led_flash_cnt[1697][5]~q\,
	combout => \WideAnd1697~1_combout\);

-- Location: LCCOMB_X41_Y6_N28
\led_flash_cnt[1697][7]~50650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1697][7]~50650_combout\ = \led_flash_cnt[1697][6]~50649\ $ (!\led_flash_cnt[1697][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1697][7]~q\,
	cin => \led_flash_cnt[1697][6]~50649\,
	combout => \led_flash_cnt[1697][7]~50650_combout\);

-- Location: FF_X41_Y6_N29
\led_flash_cnt[1697][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1697][7]~50650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1697][7]~q\);

-- Location: LCCOMB_X42_Y6_N26
WideAnd1697 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1697~combout\ = (\WideAnd1697~0_combout\ & (\WideAnd1697~1_combout\ & (\led_flash_cnt[1697][0]~q\ & \led_flash_cnt[1697][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1697~0_combout\,
	datab => \WideAnd1697~1_combout\,
	datac => \led_flash_cnt[1697][0]~q\,
	datad => \led_flash_cnt[1697][7]~q\,
	combout => \WideAnd1697~combout\);

-- Location: FF_X42_Y6_N27
\led_flash_cnt_ands[1697]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1697~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1697));

-- Location: LCCOMB_X11_Y11_N2
\led_flash_cnt[1696][0]~82336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1696][0]~82336_combout\ = !\led_flash_cnt[1696][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1696][0]~q\,
	combout => \led_flash_cnt[1696][0]~82336_combout\);

-- Location: FF_X11_Y11_N3
\led_flash_cnt[1696][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1696][0]~82336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1696][0]~q\);

-- Location: LCCOMB_X10_Y11_N0
\led_flash_cnt[1696][1]~50624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1696][1]~50624_combout\ = (\led_flash_cnt[1696][0]~q\ & (\led_flash_cnt[1696][1]~q\ $ (VCC))) # (!\led_flash_cnt[1696][0]~q\ & (\led_flash_cnt[1696][1]~q\ & VCC))
-- \led_flash_cnt[1696][1]~50625\ = CARRY((\led_flash_cnt[1696][0]~q\ & \led_flash_cnt[1696][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1696][0]~q\,
	datab => \led_flash_cnt[1696][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1696][1]~50624_combout\,
	cout => \led_flash_cnt[1696][1]~50625\);

-- Location: FF_X10_Y11_N1
\led_flash_cnt[1696][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1696][1]~50624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1696][1]~q\);

-- Location: LCCOMB_X10_Y11_N2
\led_flash_cnt[1696][2]~50626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1696][2]~50626_combout\ = (\led_flash_cnt[1696][2]~q\ & (!\led_flash_cnt[1696][1]~50625\)) # (!\led_flash_cnt[1696][2]~q\ & ((\led_flash_cnt[1696][1]~50625\) # (GND)))
-- \led_flash_cnt[1696][2]~50627\ = CARRY((!\led_flash_cnt[1696][1]~50625\) # (!\led_flash_cnt[1696][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1696][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1696][1]~50625\,
	combout => \led_flash_cnt[1696][2]~50626_combout\,
	cout => \led_flash_cnt[1696][2]~50627\);

-- Location: FF_X10_Y11_N3
\led_flash_cnt[1696][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1696][2]~50626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1696][2]~q\);

-- Location: LCCOMB_X10_Y11_N4
\led_flash_cnt[1696][3]~50628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1696][3]~50628_combout\ = (\led_flash_cnt[1696][3]~q\ & (\led_flash_cnt[1696][2]~50627\ $ (GND))) # (!\led_flash_cnt[1696][3]~q\ & (!\led_flash_cnt[1696][2]~50627\ & VCC))
-- \led_flash_cnt[1696][3]~50629\ = CARRY((\led_flash_cnt[1696][3]~q\ & !\led_flash_cnt[1696][2]~50627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1696][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1696][2]~50627\,
	combout => \led_flash_cnt[1696][3]~50628_combout\,
	cout => \led_flash_cnt[1696][3]~50629\);

-- Location: FF_X10_Y11_N5
\led_flash_cnt[1696][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1696][3]~50628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1696][3]~q\);

-- Location: LCCOMB_X10_Y11_N6
\led_flash_cnt[1696][4]~50630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1696][4]~50630_combout\ = (\led_flash_cnt[1696][4]~q\ & (!\led_flash_cnt[1696][3]~50629\)) # (!\led_flash_cnt[1696][4]~q\ & ((\led_flash_cnt[1696][3]~50629\) # (GND)))
-- \led_flash_cnt[1696][4]~50631\ = CARRY((!\led_flash_cnt[1696][3]~50629\) # (!\led_flash_cnt[1696][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1696][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1696][3]~50629\,
	combout => \led_flash_cnt[1696][4]~50630_combout\,
	cout => \led_flash_cnt[1696][4]~50631\);

-- Location: FF_X10_Y11_N7
\led_flash_cnt[1696][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1696][4]~50630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1696][4]~q\);

-- Location: LCCOMB_X10_Y11_N14
\WideAnd1696~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1696~0_combout\ = (\led_flash_cnt[1696][4]~q\ & (\led_flash_cnt[1696][2]~q\ & (\led_flash_cnt[1696][3]~q\ & \led_flash_cnt[1696][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1696][4]~q\,
	datab => \led_flash_cnt[1696][2]~q\,
	datac => \led_flash_cnt[1696][3]~q\,
	datad => \led_flash_cnt[1696][1]~q\,
	combout => \WideAnd1696~0_combout\);

-- Location: LCCOMB_X10_Y11_N8
\led_flash_cnt[1696][5]~50632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1696][5]~50632_combout\ = (\led_flash_cnt[1696][5]~q\ & (\led_flash_cnt[1696][4]~50631\ $ (GND))) # (!\led_flash_cnt[1696][5]~q\ & (!\led_flash_cnt[1696][4]~50631\ & VCC))
-- \led_flash_cnt[1696][5]~50633\ = CARRY((\led_flash_cnt[1696][5]~q\ & !\led_flash_cnt[1696][4]~50631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1696][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1696][4]~50631\,
	combout => \led_flash_cnt[1696][5]~50632_combout\,
	cout => \led_flash_cnt[1696][5]~50633\);

-- Location: FF_X10_Y11_N9
\led_flash_cnt[1696][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1696][5]~50632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1696][5]~q\);

-- Location: LCCOMB_X10_Y11_N10
\led_flash_cnt[1696][6]~50634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1696][6]~50634_combout\ = (\led_flash_cnt[1696][6]~q\ & (!\led_flash_cnt[1696][5]~50633\)) # (!\led_flash_cnt[1696][6]~q\ & ((\led_flash_cnt[1696][5]~50633\) # (GND)))
-- \led_flash_cnt[1696][6]~50635\ = CARRY((!\led_flash_cnt[1696][5]~50633\) # (!\led_flash_cnt[1696][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1696][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1696][5]~50633\,
	combout => \led_flash_cnt[1696][6]~50634_combout\,
	cout => \led_flash_cnt[1696][6]~50635\);

-- Location: FF_X10_Y11_N11
\led_flash_cnt[1696][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1696][6]~50634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1696][6]~q\);

-- Location: LCCOMB_X11_Y11_N30
\WideAnd1696~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1696~1_combout\ = (\led_flash_cnt[1696][6]~q\ & \led_flash_cnt[1696][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1696][6]~q\,
	datad => \led_flash_cnt[1696][5]~q\,
	combout => \WideAnd1696~1_combout\);

-- Location: LCCOMB_X10_Y11_N12
\led_flash_cnt[1696][7]~50636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1696][7]~50636_combout\ = \led_flash_cnt[1696][6]~50635\ $ (!\led_flash_cnt[1696][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1696][7]~q\,
	cin => \led_flash_cnt[1696][6]~50635\,
	combout => \led_flash_cnt[1696][7]~50636_combout\);

-- Location: FF_X10_Y11_N13
\led_flash_cnt[1696][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1696][7]~50636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1696][7]~q\);

-- Location: LCCOMB_X11_Y11_N8
WideAnd1696 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1696~combout\ = (\WideAnd1696~0_combout\ & (\led_flash_cnt[1696][0]~q\ & (\WideAnd1696~1_combout\ & \led_flash_cnt[1696][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1696~0_combout\,
	datab => \led_flash_cnt[1696][0]~q\,
	datac => \WideAnd1696~1_combout\,
	datad => \led_flash_cnt[1696][7]~q\,
	combout => \WideAnd1696~combout\);

-- Location: FF_X11_Y11_N9
\led_flash_cnt_ands[1696]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1696~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1696));

-- Location: LCCOMB_X27_Y3_N24
\led_flash_cnt[1698][0]~82338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1698][0]~82338_combout\ = !\led_flash_cnt[1698][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1698][0]~q\,
	combout => \led_flash_cnt[1698][0]~82338_combout\);

-- Location: FF_X27_Y3_N25
\led_flash_cnt[1698][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1698][0]~82338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1698][0]~q\);

-- Location: LCCOMB_X27_Y3_N2
\led_flash_cnt[1698][1]~50652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1698][1]~50652_combout\ = (\led_flash_cnt[1698][0]~q\ & (\led_flash_cnt[1698][1]~q\ $ (VCC))) # (!\led_flash_cnt[1698][0]~q\ & (\led_flash_cnt[1698][1]~q\ & VCC))
-- \led_flash_cnt[1698][1]~50653\ = CARRY((\led_flash_cnt[1698][0]~q\ & \led_flash_cnt[1698][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1698][0]~q\,
	datab => \led_flash_cnt[1698][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1698][1]~50652_combout\,
	cout => \led_flash_cnt[1698][1]~50653\);

-- Location: FF_X27_Y3_N3
\led_flash_cnt[1698][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1698][1]~50652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1698][1]~q\);

-- Location: LCCOMB_X27_Y3_N4
\led_flash_cnt[1698][2]~50654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1698][2]~50654_combout\ = (\led_flash_cnt[1698][2]~q\ & (!\led_flash_cnt[1698][1]~50653\)) # (!\led_flash_cnt[1698][2]~q\ & ((\led_flash_cnt[1698][1]~50653\) # (GND)))
-- \led_flash_cnt[1698][2]~50655\ = CARRY((!\led_flash_cnt[1698][1]~50653\) # (!\led_flash_cnt[1698][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1698][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1698][1]~50653\,
	combout => \led_flash_cnt[1698][2]~50654_combout\,
	cout => \led_flash_cnt[1698][2]~50655\);

-- Location: FF_X27_Y3_N5
\led_flash_cnt[1698][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1698][2]~50654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1698][2]~q\);

-- Location: LCCOMB_X27_Y3_N6
\led_flash_cnt[1698][3]~50656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1698][3]~50656_combout\ = (\led_flash_cnt[1698][3]~q\ & (\led_flash_cnt[1698][2]~50655\ $ (GND))) # (!\led_flash_cnt[1698][3]~q\ & (!\led_flash_cnt[1698][2]~50655\ & VCC))
-- \led_flash_cnt[1698][3]~50657\ = CARRY((\led_flash_cnt[1698][3]~q\ & !\led_flash_cnt[1698][2]~50655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1698][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1698][2]~50655\,
	combout => \led_flash_cnt[1698][3]~50656_combout\,
	cout => \led_flash_cnt[1698][3]~50657\);

-- Location: FF_X27_Y3_N7
\led_flash_cnt[1698][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1698][3]~50656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1698][3]~q\);

-- Location: LCCOMB_X27_Y3_N8
\led_flash_cnt[1698][4]~50658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1698][4]~50658_combout\ = (\led_flash_cnt[1698][4]~q\ & (!\led_flash_cnt[1698][3]~50657\)) # (!\led_flash_cnt[1698][4]~q\ & ((\led_flash_cnt[1698][3]~50657\) # (GND)))
-- \led_flash_cnt[1698][4]~50659\ = CARRY((!\led_flash_cnt[1698][3]~50657\) # (!\led_flash_cnt[1698][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1698][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1698][3]~50657\,
	combout => \led_flash_cnt[1698][4]~50658_combout\,
	cout => \led_flash_cnt[1698][4]~50659\);

-- Location: FF_X27_Y3_N9
\led_flash_cnt[1698][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1698][4]~50658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1698][4]~q\);

-- Location: LCCOMB_X27_Y3_N28
\WideAnd1698~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1698~0_combout\ = (\led_flash_cnt[1698][3]~q\ & (\led_flash_cnt[1698][2]~q\ & (\led_flash_cnt[1698][4]~q\ & \led_flash_cnt[1698][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1698][3]~q\,
	datab => \led_flash_cnt[1698][2]~q\,
	datac => \led_flash_cnt[1698][4]~q\,
	datad => \led_flash_cnt[1698][1]~q\,
	combout => \WideAnd1698~0_combout\);

-- Location: LCCOMB_X27_Y3_N10
\led_flash_cnt[1698][5]~50660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1698][5]~50660_combout\ = (\led_flash_cnt[1698][5]~q\ & (\led_flash_cnt[1698][4]~50659\ $ (GND))) # (!\led_flash_cnt[1698][5]~q\ & (!\led_flash_cnt[1698][4]~50659\ & VCC))
-- \led_flash_cnt[1698][5]~50661\ = CARRY((\led_flash_cnt[1698][5]~q\ & !\led_flash_cnt[1698][4]~50659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1698][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1698][4]~50659\,
	combout => \led_flash_cnt[1698][5]~50660_combout\,
	cout => \led_flash_cnt[1698][5]~50661\);

-- Location: FF_X27_Y3_N11
\led_flash_cnt[1698][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1698][5]~50660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1698][5]~q\);

-- Location: LCCOMB_X27_Y3_N12
\led_flash_cnt[1698][6]~50662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1698][6]~50662_combout\ = (\led_flash_cnt[1698][6]~q\ & (!\led_flash_cnt[1698][5]~50661\)) # (!\led_flash_cnt[1698][6]~q\ & ((\led_flash_cnt[1698][5]~50661\) # (GND)))
-- \led_flash_cnt[1698][6]~50663\ = CARRY((!\led_flash_cnt[1698][5]~50661\) # (!\led_flash_cnt[1698][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1698][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1698][5]~50661\,
	combout => \led_flash_cnt[1698][6]~50662_combout\,
	cout => \led_flash_cnt[1698][6]~50663\);

-- Location: FF_X27_Y3_N13
\led_flash_cnt[1698][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1698][6]~50662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1698][6]~q\);

-- Location: LCCOMB_X27_Y3_N14
\led_flash_cnt[1698][7]~50664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1698][7]~50664_combout\ = \led_flash_cnt[1698][7]~q\ $ (!\led_flash_cnt[1698][6]~50663\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1698][7]~q\,
	cin => \led_flash_cnt[1698][6]~50663\,
	combout => \led_flash_cnt[1698][7]~50664_combout\);

-- Location: FF_X27_Y3_N15
\led_flash_cnt[1698][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1698][7]~50664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1698][7]~q\);

-- Location: LCCOMB_X27_Y3_N20
\WideAnd1698~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1698~1_combout\ = (\led_flash_cnt[1698][6]~q\ & \led_flash_cnt[1698][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1698][6]~q\,
	datac => \led_flash_cnt[1698][5]~q\,
	combout => \WideAnd1698~1_combout\);

-- Location: LCCOMB_X27_Y3_N18
WideAnd1698 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1698~combout\ = (\led_flash_cnt[1698][0]~q\ & (\WideAnd1698~0_combout\ & (\led_flash_cnt[1698][7]~q\ & \WideAnd1698~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1698][0]~q\,
	datab => \WideAnd1698~0_combout\,
	datac => \led_flash_cnt[1698][7]~q\,
	datad => \WideAnd1698~1_combout\,
	combout => \WideAnd1698~combout\);

-- Location: FF_X27_Y3_N19
\led_flash_cnt_ands[1698]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1698~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1698));

-- Location: LCCOMB_X27_Y3_N16
\WideAnd4052~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4052~0_combout\ = (led_flash_cnt_ands(1699) & (led_flash_cnt_ands(1697) & (led_flash_cnt_ands(1696) & led_flash_cnt_ands(1698))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1699),
	datab => led_flash_cnt_ands(1697),
	datac => led_flash_cnt_ands(1696),
	datad => led_flash_cnt_ands(1698),
	combout => \WideAnd4052~0_combout\);

-- Location: LCCOMB_X52_Y15_N22
\led_flash_cnt[1700][0]~82340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1700][0]~82340_combout\ = !\led_flash_cnt[1700][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1700][0]~q\,
	combout => \led_flash_cnt[1700][0]~82340_combout\);

-- Location: FF_X52_Y15_N23
\led_flash_cnt[1700][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1700][0]~82340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1700][0]~q\);

-- Location: LCCOMB_X52_Y15_N0
\led_flash_cnt[1700][1]~50680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1700][1]~50680_combout\ = (\led_flash_cnt[1700][0]~q\ & (\led_flash_cnt[1700][1]~q\ $ (VCC))) # (!\led_flash_cnt[1700][0]~q\ & (\led_flash_cnt[1700][1]~q\ & VCC))
-- \led_flash_cnt[1700][1]~50681\ = CARRY((\led_flash_cnt[1700][0]~q\ & \led_flash_cnt[1700][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1700][0]~q\,
	datab => \led_flash_cnt[1700][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1700][1]~50680_combout\,
	cout => \led_flash_cnt[1700][1]~50681\);

-- Location: FF_X52_Y15_N1
\led_flash_cnt[1700][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1700][1]~50680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1700][1]~q\);

-- Location: LCCOMB_X52_Y15_N2
\led_flash_cnt[1700][2]~50682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1700][2]~50682_combout\ = (\led_flash_cnt[1700][2]~q\ & (!\led_flash_cnt[1700][1]~50681\)) # (!\led_flash_cnt[1700][2]~q\ & ((\led_flash_cnt[1700][1]~50681\) # (GND)))
-- \led_flash_cnt[1700][2]~50683\ = CARRY((!\led_flash_cnt[1700][1]~50681\) # (!\led_flash_cnt[1700][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1700][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1700][1]~50681\,
	combout => \led_flash_cnt[1700][2]~50682_combout\,
	cout => \led_flash_cnt[1700][2]~50683\);

-- Location: FF_X52_Y15_N3
\led_flash_cnt[1700][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1700][2]~50682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1700][2]~q\);

-- Location: LCCOMB_X52_Y15_N4
\led_flash_cnt[1700][3]~50684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1700][3]~50684_combout\ = (\led_flash_cnt[1700][3]~q\ & (\led_flash_cnt[1700][2]~50683\ $ (GND))) # (!\led_flash_cnt[1700][3]~q\ & (!\led_flash_cnt[1700][2]~50683\ & VCC))
-- \led_flash_cnt[1700][3]~50685\ = CARRY((\led_flash_cnt[1700][3]~q\ & !\led_flash_cnt[1700][2]~50683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1700][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1700][2]~50683\,
	combout => \led_flash_cnt[1700][3]~50684_combout\,
	cout => \led_flash_cnt[1700][3]~50685\);

-- Location: FF_X52_Y15_N5
\led_flash_cnt[1700][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1700][3]~50684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1700][3]~q\);

-- Location: LCCOMB_X52_Y15_N6
\led_flash_cnt[1700][4]~50686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1700][4]~50686_combout\ = (\led_flash_cnt[1700][4]~q\ & (!\led_flash_cnt[1700][3]~50685\)) # (!\led_flash_cnt[1700][4]~q\ & ((\led_flash_cnt[1700][3]~50685\) # (GND)))
-- \led_flash_cnt[1700][4]~50687\ = CARRY((!\led_flash_cnt[1700][3]~50685\) # (!\led_flash_cnt[1700][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1700][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1700][3]~50685\,
	combout => \led_flash_cnt[1700][4]~50686_combout\,
	cout => \led_flash_cnt[1700][4]~50687\);

-- Location: FF_X52_Y15_N7
\led_flash_cnt[1700][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1700][4]~50686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1700][4]~q\);

-- Location: LCCOMB_X52_Y15_N26
\WideAnd1700~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1700~0_combout\ = (\led_flash_cnt[1700][4]~q\ & (\led_flash_cnt[1700][1]~q\ & (\led_flash_cnt[1700][3]~q\ & \led_flash_cnt[1700][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1700][4]~q\,
	datab => \led_flash_cnt[1700][1]~q\,
	datac => \led_flash_cnt[1700][3]~q\,
	datad => \led_flash_cnt[1700][2]~q\,
	combout => \WideAnd1700~0_combout\);

-- Location: LCCOMB_X52_Y15_N8
\led_flash_cnt[1700][5]~50688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1700][5]~50688_combout\ = (\led_flash_cnt[1700][5]~q\ & (\led_flash_cnt[1700][4]~50687\ $ (GND))) # (!\led_flash_cnt[1700][5]~q\ & (!\led_flash_cnt[1700][4]~50687\ & VCC))
-- \led_flash_cnt[1700][5]~50689\ = CARRY((\led_flash_cnt[1700][5]~q\ & !\led_flash_cnt[1700][4]~50687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1700][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1700][4]~50687\,
	combout => \led_flash_cnt[1700][5]~50688_combout\,
	cout => \led_flash_cnt[1700][5]~50689\);

-- Location: FF_X52_Y15_N9
\led_flash_cnt[1700][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1700][5]~50688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1700][5]~q\);

-- Location: LCCOMB_X52_Y15_N10
\led_flash_cnt[1700][6]~50690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1700][6]~50690_combout\ = (\led_flash_cnt[1700][6]~q\ & (!\led_flash_cnt[1700][5]~50689\)) # (!\led_flash_cnt[1700][6]~q\ & ((\led_flash_cnt[1700][5]~50689\) # (GND)))
-- \led_flash_cnt[1700][6]~50691\ = CARRY((!\led_flash_cnt[1700][5]~50689\) # (!\led_flash_cnt[1700][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1700][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1700][5]~50689\,
	combout => \led_flash_cnt[1700][6]~50690_combout\,
	cout => \led_flash_cnt[1700][6]~50691\);

-- Location: FF_X52_Y15_N11
\led_flash_cnt[1700][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1700][6]~50690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1700][6]~q\);

-- Location: LCCOMB_X52_Y15_N16
\WideAnd1700~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1700~1_combout\ = (\led_flash_cnt[1700][5]~q\ & \led_flash_cnt[1700][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1700][5]~q\,
	datad => \led_flash_cnt[1700][6]~q\,
	combout => \WideAnd1700~1_combout\);

-- Location: LCCOMB_X52_Y15_N12
\led_flash_cnt[1700][7]~50692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1700][7]~50692_combout\ = \led_flash_cnt[1700][6]~50691\ $ (!\led_flash_cnt[1700][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1700][7]~q\,
	cin => \led_flash_cnt[1700][6]~50691\,
	combout => \led_flash_cnt[1700][7]~50692_combout\);

-- Location: FF_X52_Y15_N13
\led_flash_cnt[1700][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1700][7]~50692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1700][7]~q\);

-- Location: LCCOMB_X52_Y15_N30
WideAnd1700 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1700~combout\ = (\WideAnd1700~0_combout\ & (\WideAnd1700~1_combout\ & (\led_flash_cnt[1700][0]~q\ & \led_flash_cnt[1700][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1700~0_combout\,
	datab => \WideAnd1700~1_combout\,
	datac => \led_flash_cnt[1700][0]~q\,
	datad => \led_flash_cnt[1700][7]~q\,
	combout => \WideAnd1700~combout\);

-- Location: FF_X52_Y15_N31
\led_flash_cnt_ands[1700]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1700~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1700));

-- Location: LCCOMB_X43_Y6_N2
\led_flash_cnt[1701][0]~82341\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1701][0]~82341_combout\ = !\led_flash_cnt[1701][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1701][0]~q\,
	combout => \led_flash_cnt[1701][0]~82341_combout\);

-- Location: FF_X43_Y6_N3
\led_flash_cnt[1701][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1701][0]~82341_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1701][0]~q\);

-- Location: LCCOMB_X42_Y6_N4
\led_flash_cnt[1701][1]~50694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1701][1]~50694_combout\ = (\led_flash_cnt[1701][0]~q\ & (\led_flash_cnt[1701][1]~q\ $ (VCC))) # (!\led_flash_cnt[1701][0]~q\ & (\led_flash_cnt[1701][1]~q\ & VCC))
-- \led_flash_cnt[1701][1]~50695\ = CARRY((\led_flash_cnt[1701][0]~q\ & \led_flash_cnt[1701][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1701][0]~q\,
	datab => \led_flash_cnt[1701][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1701][1]~50694_combout\,
	cout => \led_flash_cnt[1701][1]~50695\);

-- Location: FF_X42_Y6_N5
\led_flash_cnt[1701][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1701][1]~50694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1701][1]~q\);

-- Location: LCCOMB_X42_Y6_N6
\led_flash_cnt[1701][2]~50696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1701][2]~50696_combout\ = (\led_flash_cnt[1701][2]~q\ & (!\led_flash_cnt[1701][1]~50695\)) # (!\led_flash_cnt[1701][2]~q\ & ((\led_flash_cnt[1701][1]~50695\) # (GND)))
-- \led_flash_cnt[1701][2]~50697\ = CARRY((!\led_flash_cnt[1701][1]~50695\) # (!\led_flash_cnt[1701][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1701][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1701][1]~50695\,
	combout => \led_flash_cnt[1701][2]~50696_combout\,
	cout => \led_flash_cnt[1701][2]~50697\);

-- Location: FF_X42_Y6_N7
\led_flash_cnt[1701][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1701][2]~50696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1701][2]~q\);

-- Location: LCCOMB_X42_Y6_N8
\led_flash_cnt[1701][3]~50698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1701][3]~50698_combout\ = (\led_flash_cnt[1701][3]~q\ & (\led_flash_cnt[1701][2]~50697\ $ (GND))) # (!\led_flash_cnt[1701][3]~q\ & (!\led_flash_cnt[1701][2]~50697\ & VCC))
-- \led_flash_cnt[1701][3]~50699\ = CARRY((\led_flash_cnt[1701][3]~q\ & !\led_flash_cnt[1701][2]~50697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1701][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1701][2]~50697\,
	combout => \led_flash_cnt[1701][3]~50698_combout\,
	cout => \led_flash_cnt[1701][3]~50699\);

-- Location: FF_X42_Y6_N9
\led_flash_cnt[1701][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1701][3]~50698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1701][3]~q\);

-- Location: LCCOMB_X42_Y6_N10
\led_flash_cnt[1701][4]~50700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1701][4]~50700_combout\ = (\led_flash_cnt[1701][4]~q\ & (!\led_flash_cnt[1701][3]~50699\)) # (!\led_flash_cnt[1701][4]~q\ & ((\led_flash_cnt[1701][3]~50699\) # (GND)))
-- \led_flash_cnt[1701][4]~50701\ = CARRY((!\led_flash_cnt[1701][3]~50699\) # (!\led_flash_cnt[1701][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1701][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1701][3]~50699\,
	combout => \led_flash_cnt[1701][4]~50700_combout\,
	cout => \led_flash_cnt[1701][4]~50701\);

-- Location: FF_X42_Y6_N11
\led_flash_cnt[1701][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1701][4]~50700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1701][4]~q\);

-- Location: LCCOMB_X42_Y6_N12
\led_flash_cnt[1701][5]~50702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1701][5]~50702_combout\ = (\led_flash_cnt[1701][5]~q\ & (\led_flash_cnt[1701][4]~50701\ $ (GND))) # (!\led_flash_cnt[1701][5]~q\ & (!\led_flash_cnt[1701][4]~50701\ & VCC))
-- \led_flash_cnt[1701][5]~50703\ = CARRY((\led_flash_cnt[1701][5]~q\ & !\led_flash_cnt[1701][4]~50701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1701][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1701][4]~50701\,
	combout => \led_flash_cnt[1701][5]~50702_combout\,
	cout => \led_flash_cnt[1701][5]~50703\);

-- Location: FF_X42_Y6_N13
\led_flash_cnt[1701][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1701][5]~50702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1701][5]~q\);

-- Location: LCCOMB_X42_Y6_N14
\led_flash_cnt[1701][6]~50704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1701][6]~50704_combout\ = (\led_flash_cnt[1701][6]~q\ & (!\led_flash_cnt[1701][5]~50703\)) # (!\led_flash_cnt[1701][6]~q\ & ((\led_flash_cnt[1701][5]~50703\) # (GND)))
-- \led_flash_cnt[1701][6]~50705\ = CARRY((!\led_flash_cnt[1701][5]~50703\) # (!\led_flash_cnt[1701][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1701][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1701][5]~50703\,
	combout => \led_flash_cnt[1701][6]~50704_combout\,
	cout => \led_flash_cnt[1701][6]~50705\);

-- Location: FF_X42_Y6_N15
\led_flash_cnt[1701][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1701][6]~50704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1701][6]~q\);

-- Location: LCCOMB_X42_Y6_N0
\WideAnd1701~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1701~1_combout\ = (\led_flash_cnt[1701][5]~q\ & \led_flash_cnt[1701][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1701][5]~q\,
	datac => \led_flash_cnt[1701][6]~q\,
	combout => \WideAnd1701~1_combout\);

-- Location: LCCOMB_X42_Y6_N22
\WideAnd1701~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1701~0_combout\ = (\led_flash_cnt[1701][4]~q\ & (\led_flash_cnt[1701][1]~q\ & (\led_flash_cnt[1701][3]~q\ & \led_flash_cnt[1701][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1701][4]~q\,
	datab => \led_flash_cnt[1701][1]~q\,
	datac => \led_flash_cnt[1701][3]~q\,
	datad => \led_flash_cnt[1701][2]~q\,
	combout => \WideAnd1701~0_combout\);

-- Location: LCCOMB_X42_Y6_N16
\led_flash_cnt[1701][7]~50706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1701][7]~50706_combout\ = \led_flash_cnt[1701][6]~50705\ $ (!\led_flash_cnt[1701][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1701][7]~q\,
	cin => \led_flash_cnt[1701][6]~50705\,
	combout => \led_flash_cnt[1701][7]~50706_combout\);

-- Location: FF_X42_Y6_N17
\led_flash_cnt[1701][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1701][7]~50706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1701][7]~q\);

-- Location: LCCOMB_X42_Y6_N24
WideAnd1701 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1701~combout\ = (\led_flash_cnt[1701][0]~q\ & (\WideAnd1701~1_combout\ & (\WideAnd1701~0_combout\ & \led_flash_cnt[1701][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1701][0]~q\,
	datab => \WideAnd1701~1_combout\,
	datac => \WideAnd1701~0_combout\,
	datad => \led_flash_cnt[1701][7]~q\,
	combout => \WideAnd1701~combout\);

-- Location: FF_X42_Y6_N25
\led_flash_cnt_ands[1701]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1701~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1701));

-- Location: LCCOMB_X42_Y6_N20
\WideAnd4052~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4052~1_combout\ = (led_flash_cnt_ands(1700) & led_flash_cnt_ands(1701))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1700),
	datad => led_flash_cnt_ands(1701),
	combout => \WideAnd4052~1_combout\);

-- Location: LCCOMB_X41_Y3_N22
WideAnd4052 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4052~combout\ = (led_flash_cnt_ands(1703) & (led_flash_cnt_ands(1702) & (\WideAnd4052~0_combout\ & \WideAnd4052~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1703),
	datab => led_flash_cnt_ands(1702),
	datac => \WideAnd4052~0_combout\,
	datad => \WideAnd4052~1_combout\,
	combout => \WideAnd4052~combout\);

-- Location: FF_X41_Y3_N23
\led_flash_cnt_ands_1[212]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4052~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(212));

-- Location: LCCOMB_X42_Y14_N18
\WideAnd4346~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4346~1_combout\ = (led_flash_cnt_ands_1(213) & led_flash_cnt_ands_1(212))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(213),
	datad => led_flash_cnt_ands_1(212),
	combout => \WideAnd4346~1_combout\);

-- Location: LCCOMB_X45_Y17_N22
\led_flash_cnt[1717][0]~82357\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1717][0]~82357_combout\ = !\led_flash_cnt[1717][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1717][0]~q\,
	combout => \led_flash_cnt[1717][0]~82357_combout\);

-- Location: FF_X45_Y17_N23
\led_flash_cnt[1717][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1717][0]~82357_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1717][0]~q\);

-- Location: LCCOMB_X45_Y17_N4
\led_flash_cnt[1717][1]~50918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1717][1]~50918_combout\ = (\led_flash_cnt[1717][0]~q\ & (\led_flash_cnt[1717][1]~q\ $ (VCC))) # (!\led_flash_cnt[1717][0]~q\ & (\led_flash_cnt[1717][1]~q\ & VCC))
-- \led_flash_cnt[1717][1]~50919\ = CARRY((\led_flash_cnt[1717][0]~q\ & \led_flash_cnt[1717][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1717][0]~q\,
	datab => \led_flash_cnt[1717][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1717][1]~50918_combout\,
	cout => \led_flash_cnt[1717][1]~50919\);

-- Location: FF_X45_Y17_N5
\led_flash_cnt[1717][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1717][1]~50918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1717][1]~q\);

-- Location: LCCOMB_X45_Y17_N6
\led_flash_cnt[1717][2]~50920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1717][2]~50920_combout\ = (\led_flash_cnt[1717][2]~q\ & (!\led_flash_cnt[1717][1]~50919\)) # (!\led_flash_cnt[1717][2]~q\ & ((\led_flash_cnt[1717][1]~50919\) # (GND)))
-- \led_flash_cnt[1717][2]~50921\ = CARRY((!\led_flash_cnt[1717][1]~50919\) # (!\led_flash_cnt[1717][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1717][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1717][1]~50919\,
	combout => \led_flash_cnt[1717][2]~50920_combout\,
	cout => \led_flash_cnt[1717][2]~50921\);

-- Location: FF_X45_Y17_N7
\led_flash_cnt[1717][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1717][2]~50920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1717][2]~q\);

-- Location: LCCOMB_X45_Y17_N8
\led_flash_cnt[1717][3]~50922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1717][3]~50922_combout\ = (\led_flash_cnt[1717][3]~q\ & (\led_flash_cnt[1717][2]~50921\ $ (GND))) # (!\led_flash_cnt[1717][3]~q\ & (!\led_flash_cnt[1717][2]~50921\ & VCC))
-- \led_flash_cnt[1717][3]~50923\ = CARRY((\led_flash_cnt[1717][3]~q\ & !\led_flash_cnt[1717][2]~50921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1717][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1717][2]~50921\,
	combout => \led_flash_cnt[1717][3]~50922_combout\,
	cout => \led_flash_cnt[1717][3]~50923\);

-- Location: FF_X45_Y17_N9
\led_flash_cnt[1717][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1717][3]~50922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1717][3]~q\);

-- Location: LCCOMB_X45_Y17_N10
\led_flash_cnt[1717][4]~50924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1717][4]~50924_combout\ = (\led_flash_cnt[1717][4]~q\ & (!\led_flash_cnt[1717][3]~50923\)) # (!\led_flash_cnt[1717][4]~q\ & ((\led_flash_cnt[1717][3]~50923\) # (GND)))
-- \led_flash_cnt[1717][4]~50925\ = CARRY((!\led_flash_cnt[1717][3]~50923\) # (!\led_flash_cnt[1717][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1717][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1717][3]~50923\,
	combout => \led_flash_cnt[1717][4]~50924_combout\,
	cout => \led_flash_cnt[1717][4]~50925\);

-- Location: FF_X45_Y17_N11
\led_flash_cnt[1717][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1717][4]~50924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1717][4]~q\);

-- Location: LCCOMB_X45_Y17_N12
\led_flash_cnt[1717][5]~50926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1717][5]~50926_combout\ = (\led_flash_cnt[1717][5]~q\ & (\led_flash_cnt[1717][4]~50925\ $ (GND))) # (!\led_flash_cnt[1717][5]~q\ & (!\led_flash_cnt[1717][4]~50925\ & VCC))
-- \led_flash_cnt[1717][5]~50927\ = CARRY((\led_flash_cnt[1717][5]~q\ & !\led_flash_cnt[1717][4]~50925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1717][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1717][4]~50925\,
	combout => \led_flash_cnt[1717][5]~50926_combout\,
	cout => \led_flash_cnt[1717][5]~50927\);

-- Location: FF_X45_Y17_N13
\led_flash_cnt[1717][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1717][5]~50926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1717][5]~q\);

-- Location: LCCOMB_X45_Y17_N14
\led_flash_cnt[1717][6]~50928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1717][6]~50928_combout\ = (\led_flash_cnt[1717][6]~q\ & (!\led_flash_cnt[1717][5]~50927\)) # (!\led_flash_cnt[1717][6]~q\ & ((\led_flash_cnt[1717][5]~50927\) # (GND)))
-- \led_flash_cnt[1717][6]~50929\ = CARRY((!\led_flash_cnt[1717][5]~50927\) # (!\led_flash_cnt[1717][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1717][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1717][5]~50927\,
	combout => \led_flash_cnt[1717][6]~50928_combout\,
	cout => \led_flash_cnt[1717][6]~50929\);

-- Location: FF_X45_Y17_N15
\led_flash_cnt[1717][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1717][6]~50928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1717][6]~q\);

-- Location: LCCOMB_X45_Y17_N16
\led_flash_cnt[1717][7]~50930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1717][7]~50930_combout\ = \led_flash_cnt[1717][6]~50929\ $ (!\led_flash_cnt[1717][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1717][7]~q\,
	cin => \led_flash_cnt[1717][6]~50929\,
	combout => \led_flash_cnt[1717][7]~50930_combout\);

-- Location: FF_X45_Y17_N17
\led_flash_cnt[1717][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1717][7]~50930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1717][7]~q\);

-- Location: LCCOMB_X45_Y17_N26
\WideAnd1717~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1717~1_combout\ = (\led_flash_cnt[1717][6]~q\ & \led_flash_cnt[1717][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1717][6]~q\,
	datad => \led_flash_cnt[1717][5]~q\,
	combout => \WideAnd1717~1_combout\);

-- Location: LCCOMB_X45_Y17_N18
\WideAnd1717~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1717~0_combout\ = (\led_flash_cnt[1717][4]~q\ & (\led_flash_cnt[1717][1]~q\ & (\led_flash_cnt[1717][3]~q\ & \led_flash_cnt[1717][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1717][4]~q\,
	datab => \led_flash_cnt[1717][1]~q\,
	datac => \led_flash_cnt[1717][3]~q\,
	datad => \led_flash_cnt[1717][2]~q\,
	combout => \WideAnd1717~0_combout\);

-- Location: LCCOMB_X45_Y17_N20
WideAnd1717 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1717~combout\ = (\led_flash_cnt[1717][0]~q\ & (\led_flash_cnt[1717][7]~q\ & (\WideAnd1717~1_combout\ & \WideAnd1717~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1717][0]~q\,
	datab => \led_flash_cnt[1717][7]~q\,
	datac => \WideAnd1717~1_combout\,
	datad => \WideAnd1717~0_combout\,
	combout => \WideAnd1717~combout\);

-- Location: FF_X45_Y17_N21
\led_flash_cnt_ands[1717]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1717~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1717));

-- Location: LCCOMB_X45_Y17_N0
\led_flash_cnt[1716][0]~82356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1716][0]~82356_combout\ = !\led_flash_cnt[1716][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1716][0]~q\,
	combout => \led_flash_cnt[1716][0]~82356_combout\);

-- Location: FF_X45_Y17_N1
\led_flash_cnt[1716][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1716][0]~82356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1716][0]~q\);

-- Location: LCCOMB_X46_Y17_N14
\led_flash_cnt[1716][1]~50904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1716][1]~50904_combout\ = (\led_flash_cnt[1716][0]~q\ & (\led_flash_cnt[1716][1]~q\ $ (VCC))) # (!\led_flash_cnt[1716][0]~q\ & (\led_flash_cnt[1716][1]~q\ & VCC))
-- \led_flash_cnt[1716][1]~50905\ = CARRY((\led_flash_cnt[1716][0]~q\ & \led_flash_cnt[1716][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1716][0]~q\,
	datab => \led_flash_cnt[1716][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1716][1]~50904_combout\,
	cout => \led_flash_cnt[1716][1]~50905\);

-- Location: FF_X46_Y17_N15
\led_flash_cnt[1716][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1716][1]~50904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1716][1]~q\);

-- Location: LCCOMB_X46_Y17_N16
\led_flash_cnt[1716][2]~50906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1716][2]~50906_combout\ = (\led_flash_cnt[1716][2]~q\ & (!\led_flash_cnt[1716][1]~50905\)) # (!\led_flash_cnt[1716][2]~q\ & ((\led_flash_cnt[1716][1]~50905\) # (GND)))
-- \led_flash_cnt[1716][2]~50907\ = CARRY((!\led_flash_cnt[1716][1]~50905\) # (!\led_flash_cnt[1716][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1716][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1716][1]~50905\,
	combout => \led_flash_cnt[1716][2]~50906_combout\,
	cout => \led_flash_cnt[1716][2]~50907\);

-- Location: FF_X46_Y17_N17
\led_flash_cnt[1716][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1716][2]~50906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1716][2]~q\);

-- Location: LCCOMB_X46_Y17_N18
\led_flash_cnt[1716][3]~50908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1716][3]~50908_combout\ = (\led_flash_cnt[1716][3]~q\ & (\led_flash_cnt[1716][2]~50907\ $ (GND))) # (!\led_flash_cnt[1716][3]~q\ & (!\led_flash_cnt[1716][2]~50907\ & VCC))
-- \led_flash_cnt[1716][3]~50909\ = CARRY((\led_flash_cnt[1716][3]~q\ & !\led_flash_cnt[1716][2]~50907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1716][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1716][2]~50907\,
	combout => \led_flash_cnt[1716][3]~50908_combout\,
	cout => \led_flash_cnt[1716][3]~50909\);

-- Location: FF_X46_Y17_N19
\led_flash_cnt[1716][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1716][3]~50908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1716][3]~q\);

-- Location: LCCOMB_X46_Y17_N20
\led_flash_cnt[1716][4]~50910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1716][4]~50910_combout\ = (\led_flash_cnt[1716][4]~q\ & (!\led_flash_cnt[1716][3]~50909\)) # (!\led_flash_cnt[1716][4]~q\ & ((\led_flash_cnt[1716][3]~50909\) # (GND)))
-- \led_flash_cnt[1716][4]~50911\ = CARRY((!\led_flash_cnt[1716][3]~50909\) # (!\led_flash_cnt[1716][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1716][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1716][3]~50909\,
	combout => \led_flash_cnt[1716][4]~50910_combout\,
	cout => \led_flash_cnt[1716][4]~50911\);

-- Location: FF_X46_Y17_N21
\led_flash_cnt[1716][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1716][4]~50910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1716][4]~q\);

-- Location: LCCOMB_X46_Y17_N30
\WideAnd1716~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1716~0_combout\ = (\led_flash_cnt[1716][3]~q\ & (\led_flash_cnt[1716][4]~q\ & (\led_flash_cnt[1716][1]~q\ & \led_flash_cnt[1716][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1716][3]~q\,
	datab => \led_flash_cnt[1716][4]~q\,
	datac => \led_flash_cnt[1716][1]~q\,
	datad => \led_flash_cnt[1716][2]~q\,
	combout => \WideAnd1716~0_combout\);

-- Location: LCCOMB_X46_Y17_N22
\led_flash_cnt[1716][5]~50912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1716][5]~50912_combout\ = (\led_flash_cnt[1716][5]~q\ & (\led_flash_cnt[1716][4]~50911\ $ (GND))) # (!\led_flash_cnt[1716][5]~q\ & (!\led_flash_cnt[1716][4]~50911\ & VCC))
-- \led_flash_cnt[1716][5]~50913\ = CARRY((\led_flash_cnt[1716][5]~q\ & !\led_flash_cnt[1716][4]~50911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1716][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1716][4]~50911\,
	combout => \led_flash_cnt[1716][5]~50912_combout\,
	cout => \led_flash_cnt[1716][5]~50913\);

-- Location: FF_X46_Y17_N23
\led_flash_cnt[1716][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1716][5]~50912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1716][5]~q\);

-- Location: LCCOMB_X46_Y17_N24
\led_flash_cnt[1716][6]~50914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1716][6]~50914_combout\ = (\led_flash_cnt[1716][6]~q\ & (!\led_flash_cnt[1716][5]~50913\)) # (!\led_flash_cnt[1716][6]~q\ & ((\led_flash_cnt[1716][5]~50913\) # (GND)))
-- \led_flash_cnt[1716][6]~50915\ = CARRY((!\led_flash_cnt[1716][5]~50913\) # (!\led_flash_cnt[1716][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1716][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1716][5]~50913\,
	combout => \led_flash_cnt[1716][6]~50914_combout\,
	cout => \led_flash_cnt[1716][6]~50915\);

-- Location: FF_X46_Y17_N25
\led_flash_cnt[1716][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1716][6]~50914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1716][6]~q\);

-- Location: LCCOMB_X45_Y17_N30
\WideAnd1716~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1716~1_combout\ = (\led_flash_cnt[1716][6]~q\ & \led_flash_cnt[1716][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1716][6]~q\,
	datad => \led_flash_cnt[1716][5]~q\,
	combout => \WideAnd1716~1_combout\);

-- Location: LCCOMB_X46_Y17_N26
\led_flash_cnt[1716][7]~50916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1716][7]~50916_combout\ = \led_flash_cnt[1716][7]~q\ $ (!\led_flash_cnt[1716][6]~50915\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1716][7]~q\,
	cin => \led_flash_cnt[1716][6]~50915\,
	combout => \led_flash_cnt[1716][7]~50916_combout\);

-- Location: FF_X46_Y17_N27
\led_flash_cnt[1716][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1716][7]~50916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1716][7]~q\);

-- Location: LCCOMB_X45_Y17_N2
WideAnd1716 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1716~combout\ = (\WideAnd1716~0_combout\ & (\led_flash_cnt[1716][0]~q\ & (\WideAnd1716~1_combout\ & \led_flash_cnt[1716][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1716~0_combout\,
	datab => \led_flash_cnt[1716][0]~q\,
	datac => \WideAnd1716~1_combout\,
	datad => \led_flash_cnt[1716][7]~q\,
	combout => \WideAnd1716~combout\);

-- Location: FF_X45_Y17_N3
\led_flash_cnt_ands[1716]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1716~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1716));

-- Location: LCCOMB_X45_Y17_N28
\WideAnd4054~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4054~1_combout\ = (led_flash_cnt_ands(1717) & led_flash_cnt_ands(1716))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1717),
	datad => led_flash_cnt_ands(1716),
	combout => \WideAnd4054~1_combout\);

-- Location: LCCOMB_X45_Y15_N2
\led_flash_cnt[1718][0]~82358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1718][0]~82358_combout\ = !\led_flash_cnt[1718][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1718][0]~q\,
	combout => \led_flash_cnt[1718][0]~82358_combout\);

-- Location: FF_X45_Y15_N3
\led_flash_cnt[1718][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1718][0]~82358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1718][0]~q\);

-- Location: LCCOMB_X44_Y16_N16
\led_flash_cnt[1718][1]~50932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1718][1]~50932_combout\ = (\led_flash_cnt[1718][1]~q\ & (\led_flash_cnt[1718][0]~q\ $ (VCC))) # (!\led_flash_cnt[1718][1]~q\ & (\led_flash_cnt[1718][0]~q\ & VCC))
-- \led_flash_cnt[1718][1]~50933\ = CARRY((\led_flash_cnt[1718][1]~q\ & \led_flash_cnt[1718][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1718][1]~q\,
	datab => \led_flash_cnt[1718][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1718][1]~50932_combout\,
	cout => \led_flash_cnt[1718][1]~50933\);

-- Location: FF_X44_Y16_N17
\led_flash_cnt[1718][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1718][1]~50932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1718][1]~q\);

-- Location: LCCOMB_X44_Y16_N18
\led_flash_cnt[1718][2]~50934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1718][2]~50934_combout\ = (\led_flash_cnt[1718][2]~q\ & (!\led_flash_cnt[1718][1]~50933\)) # (!\led_flash_cnt[1718][2]~q\ & ((\led_flash_cnt[1718][1]~50933\) # (GND)))
-- \led_flash_cnt[1718][2]~50935\ = CARRY((!\led_flash_cnt[1718][1]~50933\) # (!\led_flash_cnt[1718][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1718][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1718][1]~50933\,
	combout => \led_flash_cnt[1718][2]~50934_combout\,
	cout => \led_flash_cnt[1718][2]~50935\);

-- Location: FF_X44_Y16_N19
\led_flash_cnt[1718][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1718][2]~50934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1718][2]~q\);

-- Location: LCCOMB_X44_Y16_N20
\led_flash_cnt[1718][3]~50936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1718][3]~50936_combout\ = (\led_flash_cnt[1718][3]~q\ & (\led_flash_cnt[1718][2]~50935\ $ (GND))) # (!\led_flash_cnt[1718][3]~q\ & (!\led_flash_cnt[1718][2]~50935\ & VCC))
-- \led_flash_cnt[1718][3]~50937\ = CARRY((\led_flash_cnt[1718][3]~q\ & !\led_flash_cnt[1718][2]~50935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1718][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1718][2]~50935\,
	combout => \led_flash_cnt[1718][3]~50936_combout\,
	cout => \led_flash_cnt[1718][3]~50937\);

-- Location: FF_X44_Y16_N21
\led_flash_cnt[1718][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1718][3]~50936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1718][3]~q\);

-- Location: LCCOMB_X44_Y16_N22
\led_flash_cnt[1718][4]~50938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1718][4]~50938_combout\ = (\led_flash_cnt[1718][4]~q\ & (!\led_flash_cnt[1718][3]~50937\)) # (!\led_flash_cnt[1718][4]~q\ & ((\led_flash_cnt[1718][3]~50937\) # (GND)))
-- \led_flash_cnt[1718][4]~50939\ = CARRY((!\led_flash_cnt[1718][3]~50937\) # (!\led_flash_cnt[1718][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1718][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1718][3]~50937\,
	combout => \led_flash_cnt[1718][4]~50938_combout\,
	cout => \led_flash_cnt[1718][4]~50939\);

-- Location: FF_X44_Y16_N23
\led_flash_cnt[1718][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1718][4]~50938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1718][4]~q\);

-- Location: LCCOMB_X44_Y16_N10
\WideAnd1718~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1718~0_combout\ = (\led_flash_cnt[1718][3]~q\ & (\led_flash_cnt[1718][1]~q\ & (\led_flash_cnt[1718][4]~q\ & \led_flash_cnt[1718][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1718][3]~q\,
	datab => \led_flash_cnt[1718][1]~q\,
	datac => \led_flash_cnt[1718][4]~q\,
	datad => \led_flash_cnt[1718][2]~q\,
	combout => \WideAnd1718~0_combout\);

-- Location: LCCOMB_X44_Y16_N24
\led_flash_cnt[1718][5]~50940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1718][5]~50940_combout\ = (\led_flash_cnt[1718][5]~q\ & (\led_flash_cnt[1718][4]~50939\ $ (GND))) # (!\led_flash_cnt[1718][5]~q\ & (!\led_flash_cnt[1718][4]~50939\ & VCC))
-- \led_flash_cnt[1718][5]~50941\ = CARRY((\led_flash_cnt[1718][5]~q\ & !\led_flash_cnt[1718][4]~50939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1718][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1718][4]~50939\,
	combout => \led_flash_cnt[1718][5]~50940_combout\,
	cout => \led_flash_cnt[1718][5]~50941\);

-- Location: FF_X44_Y16_N25
\led_flash_cnt[1718][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1718][5]~50940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1718][5]~q\);

-- Location: LCCOMB_X44_Y16_N26
\led_flash_cnt[1718][6]~50942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1718][6]~50942_combout\ = (\led_flash_cnt[1718][6]~q\ & (!\led_flash_cnt[1718][5]~50941\)) # (!\led_flash_cnt[1718][6]~q\ & ((\led_flash_cnt[1718][5]~50941\) # (GND)))
-- \led_flash_cnt[1718][6]~50943\ = CARRY((!\led_flash_cnt[1718][5]~50941\) # (!\led_flash_cnt[1718][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1718][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1718][5]~50941\,
	combout => \led_flash_cnt[1718][6]~50942_combout\,
	cout => \led_flash_cnt[1718][6]~50943\);

-- Location: FF_X44_Y16_N27
\led_flash_cnt[1718][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1718][6]~50942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1718][6]~q\);

-- Location: LCCOMB_X44_Y16_N28
\led_flash_cnt[1718][7]~50944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1718][7]~50944_combout\ = \led_flash_cnt[1718][6]~50943\ $ (!\led_flash_cnt[1718][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1718][7]~q\,
	cin => \led_flash_cnt[1718][6]~50943\,
	combout => \led_flash_cnt[1718][7]~50944_combout\);

-- Location: FF_X44_Y16_N29
\led_flash_cnt[1718][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1718][7]~50944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1718][7]~q\);

-- Location: LCCOMB_X44_Y16_N6
\WideAnd1718~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1718~1_combout\ = (\led_flash_cnt[1718][6]~q\ & \led_flash_cnt[1718][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1718][6]~q\,
	datad => \led_flash_cnt[1718][5]~q\,
	combout => \WideAnd1718~1_combout\);

-- Location: LCCOMB_X44_Y16_N0
WideAnd1718 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1718~combout\ = (\WideAnd1718~0_combout\ & (\led_flash_cnt[1718][7]~q\ & (\led_flash_cnt[1718][0]~q\ & \WideAnd1718~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1718~0_combout\,
	datab => \led_flash_cnt[1718][7]~q\,
	datac => \led_flash_cnt[1718][0]~q\,
	datad => \WideAnd1718~1_combout\,
	combout => \WideAnd1718~combout\);

-- Location: FF_X44_Y16_N1
\led_flash_cnt_ands[1718]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1718~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1718));

-- Location: LCCOMB_X43_Y16_N30
\led_flash_cnt[1719][0]~82359\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1719][0]~82359_combout\ = !\led_flash_cnt[1719][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1719][0]~q\,
	combout => \led_flash_cnt[1719][0]~82359_combout\);

-- Location: FF_X43_Y16_N31
\led_flash_cnt[1719][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1719][0]~82359_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1719][0]~q\);

-- Location: LCCOMB_X43_Y16_N16
\led_flash_cnt[1719][1]~50946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1719][1]~50946_combout\ = (\led_flash_cnt[1719][0]~q\ & (\led_flash_cnt[1719][1]~q\ $ (VCC))) # (!\led_flash_cnt[1719][0]~q\ & (\led_flash_cnt[1719][1]~q\ & VCC))
-- \led_flash_cnt[1719][1]~50947\ = CARRY((\led_flash_cnt[1719][0]~q\ & \led_flash_cnt[1719][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1719][0]~q\,
	datab => \led_flash_cnt[1719][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1719][1]~50946_combout\,
	cout => \led_flash_cnt[1719][1]~50947\);

-- Location: FF_X43_Y16_N17
\led_flash_cnt[1719][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1719][1]~50946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1719][1]~q\);

-- Location: LCCOMB_X43_Y16_N18
\led_flash_cnt[1719][2]~50948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1719][2]~50948_combout\ = (\led_flash_cnt[1719][2]~q\ & (!\led_flash_cnt[1719][1]~50947\)) # (!\led_flash_cnt[1719][2]~q\ & ((\led_flash_cnt[1719][1]~50947\) # (GND)))
-- \led_flash_cnt[1719][2]~50949\ = CARRY((!\led_flash_cnt[1719][1]~50947\) # (!\led_flash_cnt[1719][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1719][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1719][1]~50947\,
	combout => \led_flash_cnt[1719][2]~50948_combout\,
	cout => \led_flash_cnt[1719][2]~50949\);

-- Location: FF_X43_Y16_N19
\led_flash_cnt[1719][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1719][2]~50948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1719][2]~q\);

-- Location: LCCOMB_X43_Y16_N20
\led_flash_cnt[1719][3]~50950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1719][3]~50950_combout\ = (\led_flash_cnt[1719][3]~q\ & (\led_flash_cnt[1719][2]~50949\ $ (GND))) # (!\led_flash_cnt[1719][3]~q\ & (!\led_flash_cnt[1719][2]~50949\ & VCC))
-- \led_flash_cnt[1719][3]~50951\ = CARRY((\led_flash_cnt[1719][3]~q\ & !\led_flash_cnt[1719][2]~50949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1719][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1719][2]~50949\,
	combout => \led_flash_cnt[1719][3]~50950_combout\,
	cout => \led_flash_cnt[1719][3]~50951\);

-- Location: FF_X43_Y16_N21
\led_flash_cnt[1719][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1719][3]~50950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1719][3]~q\);

-- Location: LCCOMB_X43_Y16_N22
\led_flash_cnt[1719][4]~50952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1719][4]~50952_combout\ = (\led_flash_cnt[1719][4]~q\ & (!\led_flash_cnt[1719][3]~50951\)) # (!\led_flash_cnt[1719][4]~q\ & ((\led_flash_cnt[1719][3]~50951\) # (GND)))
-- \led_flash_cnt[1719][4]~50953\ = CARRY((!\led_flash_cnt[1719][3]~50951\) # (!\led_flash_cnt[1719][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1719][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1719][3]~50951\,
	combout => \led_flash_cnt[1719][4]~50952_combout\,
	cout => \led_flash_cnt[1719][4]~50953\);

-- Location: FF_X43_Y16_N23
\led_flash_cnt[1719][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1719][4]~50952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1719][4]~q\);

-- Location: LCCOMB_X43_Y16_N24
\led_flash_cnt[1719][5]~50954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1719][5]~50954_combout\ = (\led_flash_cnt[1719][5]~q\ & (\led_flash_cnt[1719][4]~50953\ $ (GND))) # (!\led_flash_cnt[1719][5]~q\ & (!\led_flash_cnt[1719][4]~50953\ & VCC))
-- \led_flash_cnt[1719][5]~50955\ = CARRY((\led_flash_cnt[1719][5]~q\ & !\led_flash_cnt[1719][4]~50953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1719][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1719][4]~50953\,
	combout => \led_flash_cnt[1719][5]~50954_combout\,
	cout => \led_flash_cnt[1719][5]~50955\);

-- Location: FF_X43_Y16_N25
\led_flash_cnt[1719][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1719][5]~50954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1719][5]~q\);

-- Location: LCCOMB_X43_Y16_N26
\led_flash_cnt[1719][6]~50956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1719][6]~50956_combout\ = (\led_flash_cnt[1719][6]~q\ & (!\led_flash_cnt[1719][5]~50955\)) # (!\led_flash_cnt[1719][6]~q\ & ((\led_flash_cnt[1719][5]~50955\) # (GND)))
-- \led_flash_cnt[1719][6]~50957\ = CARRY((!\led_flash_cnt[1719][5]~50955\) # (!\led_flash_cnt[1719][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1719][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1719][5]~50955\,
	combout => \led_flash_cnt[1719][6]~50956_combout\,
	cout => \led_flash_cnt[1719][6]~50957\);

-- Location: FF_X43_Y16_N27
\led_flash_cnt[1719][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1719][6]~50956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1719][6]~q\);

-- Location: LCCOMB_X43_Y16_N28
\led_flash_cnt[1719][7]~50958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1719][7]~50958_combout\ = \led_flash_cnt[1719][6]~50957\ $ (!\led_flash_cnt[1719][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1719][7]~q\,
	cin => \led_flash_cnt[1719][6]~50957\,
	combout => \led_flash_cnt[1719][7]~50958_combout\);

-- Location: FF_X43_Y16_N29
\led_flash_cnt[1719][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1719][7]~50958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1719][7]~q\);

-- Location: LCCOMB_X43_Y16_N0
\WideAnd1719~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1719~0_combout\ = (\led_flash_cnt[1719][3]~q\ & (\led_flash_cnt[1719][2]~q\ & (\led_flash_cnt[1719][4]~q\ & \led_flash_cnt[1719][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1719][3]~q\,
	datab => \led_flash_cnt[1719][2]~q\,
	datac => \led_flash_cnt[1719][4]~q\,
	datad => \led_flash_cnt[1719][1]~q\,
	combout => \WideAnd1719~0_combout\);

-- Location: LCCOMB_X44_Y16_N2
\WideAnd1719~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1719~1_combout\ = (\led_flash_cnt[1719][6]~q\ & \led_flash_cnt[1719][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1719][6]~q\,
	datad => \led_flash_cnt[1719][5]~q\,
	combout => \WideAnd1719~1_combout\);

-- Location: LCCOMB_X44_Y16_N8
WideAnd1719 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1719~combout\ = (\led_flash_cnt[1719][0]~q\ & (\led_flash_cnt[1719][7]~q\ & (\WideAnd1719~0_combout\ & \WideAnd1719~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1719][0]~q\,
	datab => \led_flash_cnt[1719][7]~q\,
	datac => \WideAnd1719~0_combout\,
	datad => \WideAnd1719~1_combout\,
	combout => \WideAnd1719~combout\);

-- Location: FF_X44_Y16_N9
\led_flash_cnt_ands[1719]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1719~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1719));

-- Location: LCCOMB_X44_Y13_N2
\led_flash_cnt[1712][0]~82352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1712][0]~82352_combout\ = !\led_flash_cnt[1712][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1712][0]~q\,
	combout => \led_flash_cnt[1712][0]~82352_combout\);

-- Location: FF_X44_Y13_N3
\led_flash_cnt[1712][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1712][0]~82352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1712][0]~q\);

-- Location: LCCOMB_X43_Y13_N16
\led_flash_cnt[1712][1]~50848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1712][1]~50848_combout\ = (\led_flash_cnt[1712][0]~q\ & (\led_flash_cnt[1712][1]~q\ $ (VCC))) # (!\led_flash_cnt[1712][0]~q\ & (\led_flash_cnt[1712][1]~q\ & VCC))
-- \led_flash_cnt[1712][1]~50849\ = CARRY((\led_flash_cnt[1712][0]~q\ & \led_flash_cnt[1712][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1712][0]~q\,
	datab => \led_flash_cnt[1712][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1712][1]~50848_combout\,
	cout => \led_flash_cnt[1712][1]~50849\);

-- Location: FF_X43_Y13_N17
\led_flash_cnt[1712][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1712][1]~50848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1712][1]~q\);

-- Location: LCCOMB_X43_Y13_N18
\led_flash_cnt[1712][2]~50850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1712][2]~50850_combout\ = (\led_flash_cnt[1712][2]~q\ & (!\led_flash_cnt[1712][1]~50849\)) # (!\led_flash_cnt[1712][2]~q\ & ((\led_flash_cnt[1712][1]~50849\) # (GND)))
-- \led_flash_cnt[1712][2]~50851\ = CARRY((!\led_flash_cnt[1712][1]~50849\) # (!\led_flash_cnt[1712][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1712][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1712][1]~50849\,
	combout => \led_flash_cnt[1712][2]~50850_combout\,
	cout => \led_flash_cnt[1712][2]~50851\);

-- Location: FF_X43_Y13_N19
\led_flash_cnt[1712][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1712][2]~50850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1712][2]~q\);

-- Location: LCCOMB_X43_Y13_N20
\led_flash_cnt[1712][3]~50852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1712][3]~50852_combout\ = (\led_flash_cnt[1712][3]~q\ & (\led_flash_cnt[1712][2]~50851\ $ (GND))) # (!\led_flash_cnt[1712][3]~q\ & (!\led_flash_cnt[1712][2]~50851\ & VCC))
-- \led_flash_cnt[1712][3]~50853\ = CARRY((\led_flash_cnt[1712][3]~q\ & !\led_flash_cnt[1712][2]~50851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1712][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1712][2]~50851\,
	combout => \led_flash_cnt[1712][3]~50852_combout\,
	cout => \led_flash_cnt[1712][3]~50853\);

-- Location: FF_X43_Y13_N21
\led_flash_cnt[1712][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1712][3]~50852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1712][3]~q\);

-- Location: LCCOMB_X43_Y13_N22
\led_flash_cnt[1712][4]~50854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1712][4]~50854_combout\ = (\led_flash_cnt[1712][4]~q\ & (!\led_flash_cnt[1712][3]~50853\)) # (!\led_flash_cnt[1712][4]~q\ & ((\led_flash_cnt[1712][3]~50853\) # (GND)))
-- \led_flash_cnt[1712][4]~50855\ = CARRY((!\led_flash_cnt[1712][3]~50853\) # (!\led_flash_cnt[1712][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1712][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1712][3]~50853\,
	combout => \led_flash_cnt[1712][4]~50854_combout\,
	cout => \led_flash_cnt[1712][4]~50855\);

-- Location: FF_X43_Y13_N23
\led_flash_cnt[1712][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1712][4]~50854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1712][4]~q\);

-- Location: LCCOMB_X43_Y13_N24
\led_flash_cnt[1712][5]~50856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1712][5]~50856_combout\ = (\led_flash_cnt[1712][5]~q\ & (\led_flash_cnt[1712][4]~50855\ $ (GND))) # (!\led_flash_cnt[1712][5]~q\ & (!\led_flash_cnt[1712][4]~50855\ & VCC))
-- \led_flash_cnt[1712][5]~50857\ = CARRY((\led_flash_cnt[1712][5]~q\ & !\led_flash_cnt[1712][4]~50855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1712][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1712][4]~50855\,
	combout => \led_flash_cnt[1712][5]~50856_combout\,
	cout => \led_flash_cnt[1712][5]~50857\);

-- Location: FF_X43_Y13_N25
\led_flash_cnt[1712][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1712][5]~50856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1712][5]~q\);

-- Location: LCCOMB_X43_Y13_N26
\led_flash_cnt[1712][6]~50858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1712][6]~50858_combout\ = (\led_flash_cnt[1712][6]~q\ & (!\led_flash_cnt[1712][5]~50857\)) # (!\led_flash_cnt[1712][6]~q\ & ((\led_flash_cnt[1712][5]~50857\) # (GND)))
-- \led_flash_cnt[1712][6]~50859\ = CARRY((!\led_flash_cnt[1712][5]~50857\) # (!\led_flash_cnt[1712][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1712][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1712][5]~50857\,
	combout => \led_flash_cnt[1712][6]~50858_combout\,
	cout => \led_flash_cnt[1712][6]~50859\);

-- Location: FF_X43_Y13_N27
\led_flash_cnt[1712][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1712][6]~50858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1712][6]~q\);

-- Location: LCCOMB_X44_Y13_N30
\WideAnd1712~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1712~1_combout\ = (\led_flash_cnt[1712][6]~q\ & \led_flash_cnt[1712][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1712][6]~q\,
	datad => \led_flash_cnt[1712][5]~q\,
	combout => \WideAnd1712~1_combout\);

-- Location: LCCOMB_X43_Y13_N28
\led_flash_cnt[1712][7]~50860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1712][7]~50860_combout\ = \led_flash_cnt[1712][6]~50859\ $ (!\led_flash_cnt[1712][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1712][7]~q\,
	cin => \led_flash_cnt[1712][6]~50859\,
	combout => \led_flash_cnt[1712][7]~50860_combout\);

-- Location: FF_X43_Y13_N29
\led_flash_cnt[1712][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1712][7]~50860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1712][7]~q\);

-- Location: LCCOMB_X43_Y13_N30
\WideAnd1712~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1712~0_combout\ = (\led_flash_cnt[1712][3]~q\ & (\led_flash_cnt[1712][2]~q\ & (\led_flash_cnt[1712][4]~q\ & \led_flash_cnt[1712][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1712][3]~q\,
	datab => \led_flash_cnt[1712][2]~q\,
	datac => \led_flash_cnt[1712][4]~q\,
	datad => \led_flash_cnt[1712][1]~q\,
	combout => \WideAnd1712~0_combout\);

-- Location: LCCOMB_X44_Y13_N6
WideAnd1712 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1712~combout\ = (\WideAnd1712~1_combout\ & (\led_flash_cnt[1712][7]~q\ & (\led_flash_cnt[1712][0]~q\ & \WideAnd1712~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1712~1_combout\,
	datab => \led_flash_cnt[1712][7]~q\,
	datac => \led_flash_cnt[1712][0]~q\,
	datad => \WideAnd1712~0_combout\,
	combout => \WideAnd1712~combout\);

-- Location: FF_X44_Y13_N7
\led_flash_cnt_ands[1712]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1712~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1712));

-- Location: LCCOMB_X58_Y41_N10
\led_flash_cnt[1714][0]~82354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1714][0]~82354_combout\ = !\led_flash_cnt[1714][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1714][0]~q\,
	combout => \led_flash_cnt[1714][0]~82354_combout\);

-- Location: FF_X58_Y41_N11
\led_flash_cnt[1714][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1714][0]~82354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1714][0]~q\);

-- Location: LCCOMB_X58_Y41_N14
\led_flash_cnt[1714][1]~50876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1714][1]~50876_combout\ = (\led_flash_cnt[1714][0]~q\ & (\led_flash_cnt[1714][1]~q\ $ (VCC))) # (!\led_flash_cnt[1714][0]~q\ & (\led_flash_cnt[1714][1]~q\ & VCC))
-- \led_flash_cnt[1714][1]~50877\ = CARRY((\led_flash_cnt[1714][0]~q\ & \led_flash_cnt[1714][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1714][0]~q\,
	datab => \led_flash_cnt[1714][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1714][1]~50876_combout\,
	cout => \led_flash_cnt[1714][1]~50877\);

-- Location: FF_X58_Y41_N15
\led_flash_cnt[1714][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1714][1]~50876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1714][1]~q\);

-- Location: LCCOMB_X58_Y41_N16
\led_flash_cnt[1714][2]~50878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1714][2]~50878_combout\ = (\led_flash_cnt[1714][2]~q\ & (!\led_flash_cnt[1714][1]~50877\)) # (!\led_flash_cnt[1714][2]~q\ & ((\led_flash_cnt[1714][1]~50877\) # (GND)))
-- \led_flash_cnt[1714][2]~50879\ = CARRY((!\led_flash_cnt[1714][1]~50877\) # (!\led_flash_cnt[1714][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1714][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1714][1]~50877\,
	combout => \led_flash_cnt[1714][2]~50878_combout\,
	cout => \led_flash_cnt[1714][2]~50879\);

-- Location: FF_X58_Y41_N17
\led_flash_cnt[1714][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1714][2]~50878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1714][2]~q\);

-- Location: LCCOMB_X58_Y41_N18
\led_flash_cnt[1714][3]~50880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1714][3]~50880_combout\ = (\led_flash_cnt[1714][3]~q\ & (\led_flash_cnt[1714][2]~50879\ $ (GND))) # (!\led_flash_cnt[1714][3]~q\ & (!\led_flash_cnt[1714][2]~50879\ & VCC))
-- \led_flash_cnt[1714][3]~50881\ = CARRY((\led_flash_cnt[1714][3]~q\ & !\led_flash_cnt[1714][2]~50879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1714][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1714][2]~50879\,
	combout => \led_flash_cnt[1714][3]~50880_combout\,
	cout => \led_flash_cnt[1714][3]~50881\);

-- Location: FF_X58_Y41_N19
\led_flash_cnt[1714][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1714][3]~50880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1714][3]~q\);

-- Location: LCCOMB_X58_Y41_N20
\led_flash_cnt[1714][4]~50882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1714][4]~50882_combout\ = (\led_flash_cnt[1714][4]~q\ & (!\led_flash_cnt[1714][3]~50881\)) # (!\led_flash_cnt[1714][4]~q\ & ((\led_flash_cnt[1714][3]~50881\) # (GND)))
-- \led_flash_cnt[1714][4]~50883\ = CARRY((!\led_flash_cnt[1714][3]~50881\) # (!\led_flash_cnt[1714][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1714][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1714][3]~50881\,
	combout => \led_flash_cnt[1714][4]~50882_combout\,
	cout => \led_flash_cnt[1714][4]~50883\);

-- Location: FF_X58_Y41_N21
\led_flash_cnt[1714][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1714][4]~50882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1714][4]~q\);

-- Location: LCCOMB_X58_Y41_N22
\led_flash_cnt[1714][5]~50884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1714][5]~50884_combout\ = (\led_flash_cnt[1714][5]~q\ & (\led_flash_cnt[1714][4]~50883\ $ (GND))) # (!\led_flash_cnt[1714][5]~q\ & (!\led_flash_cnt[1714][4]~50883\ & VCC))
-- \led_flash_cnt[1714][5]~50885\ = CARRY((\led_flash_cnt[1714][5]~q\ & !\led_flash_cnt[1714][4]~50883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1714][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1714][4]~50883\,
	combout => \led_flash_cnt[1714][5]~50884_combout\,
	cout => \led_flash_cnt[1714][5]~50885\);

-- Location: FF_X58_Y41_N23
\led_flash_cnt[1714][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1714][5]~50884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1714][5]~q\);

-- Location: LCCOMB_X58_Y41_N24
\led_flash_cnt[1714][6]~50886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1714][6]~50886_combout\ = (\led_flash_cnt[1714][6]~q\ & (!\led_flash_cnt[1714][5]~50885\)) # (!\led_flash_cnt[1714][6]~q\ & ((\led_flash_cnt[1714][5]~50885\) # (GND)))
-- \led_flash_cnt[1714][6]~50887\ = CARRY((!\led_flash_cnt[1714][5]~50885\) # (!\led_flash_cnt[1714][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1714][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1714][5]~50885\,
	combout => \led_flash_cnt[1714][6]~50886_combout\,
	cout => \led_flash_cnt[1714][6]~50887\);

-- Location: FF_X58_Y41_N25
\led_flash_cnt[1714][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1714][6]~50886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1714][6]~q\);

-- Location: LCCOMB_X58_Y41_N30
\WideAnd1714~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1714~1_combout\ = (\led_flash_cnt[1714][5]~q\ & \led_flash_cnt[1714][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1714][5]~q\,
	datad => \led_flash_cnt[1714][6]~q\,
	combout => \WideAnd1714~1_combout\);

-- Location: LCCOMB_X58_Y41_N28
\WideAnd1714~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1714~0_combout\ = (\led_flash_cnt[1714][3]~q\ & (\led_flash_cnt[1714][2]~q\ & (\led_flash_cnt[1714][1]~q\ & \led_flash_cnt[1714][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1714][3]~q\,
	datab => \led_flash_cnt[1714][2]~q\,
	datac => \led_flash_cnt[1714][1]~q\,
	datad => \led_flash_cnt[1714][4]~q\,
	combout => \WideAnd1714~0_combout\);

-- Location: LCCOMB_X58_Y41_N26
\led_flash_cnt[1714][7]~50888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1714][7]~50888_combout\ = \led_flash_cnt[1714][7]~q\ $ (!\led_flash_cnt[1714][6]~50887\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1714][7]~q\,
	cin => \led_flash_cnt[1714][6]~50887\,
	combout => \led_flash_cnt[1714][7]~50888_combout\);

-- Location: FF_X58_Y41_N27
\led_flash_cnt[1714][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1714][7]~50888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1714][7]~q\);

-- Location: LCCOMB_X58_Y41_N8
WideAnd1714 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1714~combout\ = (\WideAnd1714~1_combout\ & (\WideAnd1714~0_combout\ & (\led_flash_cnt[1714][7]~q\ & \led_flash_cnt[1714][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1714~1_combout\,
	datab => \WideAnd1714~0_combout\,
	datac => \led_flash_cnt[1714][7]~q\,
	datad => \led_flash_cnt[1714][0]~q\,
	combout => \WideAnd1714~combout\);

-- Location: FF_X58_Y41_N9
\led_flash_cnt_ands[1714]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1714~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1714));

-- Location: LCCOMB_X42_Y10_N28
\led_flash_cnt[1715][0]~82355\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1715][0]~82355_combout\ = !\led_flash_cnt[1715][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1715][0]~q\,
	combout => \led_flash_cnt[1715][0]~82355_combout\);

-- Location: FF_X42_Y10_N29
\led_flash_cnt[1715][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1715][0]~82355_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1715][0]~q\);

-- Location: LCCOMB_X38_Y10_N14
\led_flash_cnt[1715][1]~50890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1715][1]~50890_combout\ = (\led_flash_cnt[1715][0]~q\ & (\led_flash_cnt[1715][1]~q\ $ (VCC))) # (!\led_flash_cnt[1715][0]~q\ & (\led_flash_cnt[1715][1]~q\ & VCC))
-- \led_flash_cnt[1715][1]~50891\ = CARRY((\led_flash_cnt[1715][0]~q\ & \led_flash_cnt[1715][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1715][0]~q\,
	datab => \led_flash_cnt[1715][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1715][1]~50890_combout\,
	cout => \led_flash_cnt[1715][1]~50891\);

-- Location: FF_X38_Y10_N15
\led_flash_cnt[1715][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1715][1]~50890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1715][1]~q\);

-- Location: LCCOMB_X38_Y10_N16
\led_flash_cnt[1715][2]~50892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1715][2]~50892_combout\ = (\led_flash_cnt[1715][2]~q\ & (!\led_flash_cnt[1715][1]~50891\)) # (!\led_flash_cnt[1715][2]~q\ & ((\led_flash_cnt[1715][1]~50891\) # (GND)))
-- \led_flash_cnt[1715][2]~50893\ = CARRY((!\led_flash_cnt[1715][1]~50891\) # (!\led_flash_cnt[1715][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1715][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1715][1]~50891\,
	combout => \led_flash_cnt[1715][2]~50892_combout\,
	cout => \led_flash_cnt[1715][2]~50893\);

-- Location: FF_X38_Y10_N17
\led_flash_cnt[1715][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1715][2]~50892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1715][2]~q\);

-- Location: LCCOMB_X38_Y10_N18
\led_flash_cnt[1715][3]~50894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1715][3]~50894_combout\ = (\led_flash_cnt[1715][3]~q\ & (\led_flash_cnt[1715][2]~50893\ $ (GND))) # (!\led_flash_cnt[1715][3]~q\ & (!\led_flash_cnt[1715][2]~50893\ & VCC))
-- \led_flash_cnt[1715][3]~50895\ = CARRY((\led_flash_cnt[1715][3]~q\ & !\led_flash_cnt[1715][2]~50893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1715][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1715][2]~50893\,
	combout => \led_flash_cnt[1715][3]~50894_combout\,
	cout => \led_flash_cnt[1715][3]~50895\);

-- Location: FF_X38_Y10_N19
\led_flash_cnt[1715][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1715][3]~50894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1715][3]~q\);

-- Location: LCCOMB_X38_Y10_N20
\led_flash_cnt[1715][4]~50896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1715][4]~50896_combout\ = (\led_flash_cnt[1715][4]~q\ & (!\led_flash_cnt[1715][3]~50895\)) # (!\led_flash_cnt[1715][4]~q\ & ((\led_flash_cnt[1715][3]~50895\) # (GND)))
-- \led_flash_cnt[1715][4]~50897\ = CARRY((!\led_flash_cnt[1715][3]~50895\) # (!\led_flash_cnt[1715][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1715][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1715][3]~50895\,
	combout => \led_flash_cnt[1715][4]~50896_combout\,
	cout => \led_flash_cnt[1715][4]~50897\);

-- Location: FF_X38_Y10_N21
\led_flash_cnt[1715][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1715][4]~50896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1715][4]~q\);

-- Location: LCCOMB_X38_Y10_N22
\led_flash_cnt[1715][5]~50898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1715][5]~50898_combout\ = (\led_flash_cnt[1715][5]~q\ & (\led_flash_cnt[1715][4]~50897\ $ (GND))) # (!\led_flash_cnt[1715][5]~q\ & (!\led_flash_cnt[1715][4]~50897\ & VCC))
-- \led_flash_cnt[1715][5]~50899\ = CARRY((\led_flash_cnt[1715][5]~q\ & !\led_flash_cnt[1715][4]~50897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1715][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1715][4]~50897\,
	combout => \led_flash_cnt[1715][5]~50898_combout\,
	cout => \led_flash_cnt[1715][5]~50899\);

-- Location: FF_X38_Y10_N23
\led_flash_cnt[1715][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1715][5]~50898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1715][5]~q\);

-- Location: LCCOMB_X38_Y10_N24
\led_flash_cnt[1715][6]~50900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1715][6]~50900_combout\ = (\led_flash_cnt[1715][6]~q\ & (!\led_flash_cnt[1715][5]~50899\)) # (!\led_flash_cnt[1715][6]~q\ & ((\led_flash_cnt[1715][5]~50899\) # (GND)))
-- \led_flash_cnt[1715][6]~50901\ = CARRY((!\led_flash_cnt[1715][5]~50899\) # (!\led_flash_cnt[1715][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1715][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1715][5]~50899\,
	combout => \led_flash_cnt[1715][6]~50900_combout\,
	cout => \led_flash_cnt[1715][6]~50901\);

-- Location: FF_X38_Y10_N25
\led_flash_cnt[1715][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1715][6]~50900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1715][6]~q\);

-- Location: LCCOMB_X38_Y10_N26
\led_flash_cnt[1715][7]~50902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1715][7]~50902_combout\ = \led_flash_cnt[1715][7]~q\ $ (!\led_flash_cnt[1715][6]~50901\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1715][7]~q\,
	cin => \led_flash_cnt[1715][6]~50901\,
	combout => \led_flash_cnt[1715][7]~50902_combout\);

-- Location: FF_X38_Y10_N27
\led_flash_cnt[1715][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1715][7]~50902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1715][7]~q\);

-- Location: LCCOMB_X37_Y10_N24
\WideAnd1715~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1715~1_combout\ = (\led_flash_cnt[1715][6]~q\ & \led_flash_cnt[1715][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1715][6]~q\,
	datad => \led_flash_cnt[1715][5]~q\,
	combout => \WideAnd1715~1_combout\);

-- Location: LCCOMB_X38_Y10_N28
\WideAnd1715~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1715~0_combout\ = (\led_flash_cnt[1715][4]~q\ & (\led_flash_cnt[1715][3]~q\ & (\led_flash_cnt[1715][1]~q\ & \led_flash_cnt[1715][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1715][4]~q\,
	datab => \led_flash_cnt[1715][3]~q\,
	datac => \led_flash_cnt[1715][1]~q\,
	datad => \led_flash_cnt[1715][2]~q\,
	combout => \WideAnd1715~0_combout\);

-- Location: LCCOMB_X38_Y10_N30
WideAnd1715 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1715~combout\ = (\led_flash_cnt[1715][7]~q\ & (\WideAnd1715~1_combout\ & (\led_flash_cnt[1715][0]~q\ & \WideAnd1715~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1715][7]~q\,
	datab => \WideAnd1715~1_combout\,
	datac => \led_flash_cnt[1715][0]~q\,
	datad => \WideAnd1715~0_combout\,
	combout => \WideAnd1715~combout\);

-- Location: FF_X38_Y10_N31
\led_flash_cnt_ands[1715]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1715~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1715));

-- Location: LCCOMB_X44_Y13_N8
\led_flash_cnt[1713][0]~82353\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1713][0]~82353_combout\ = !\led_flash_cnt[1713][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1713][0]~q\,
	combout => \led_flash_cnt[1713][0]~82353_combout\);

-- Location: FF_X44_Y13_N9
\led_flash_cnt[1713][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1713][0]~82353_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1713][0]~q\);

-- Location: LCCOMB_X44_Y13_N10
\led_flash_cnt[1713][1]~50862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1713][1]~50862_combout\ = (\led_flash_cnt[1713][1]~q\ & (\led_flash_cnt[1713][0]~q\ $ (VCC))) # (!\led_flash_cnt[1713][1]~q\ & (\led_flash_cnt[1713][0]~q\ & VCC))
-- \led_flash_cnt[1713][1]~50863\ = CARRY((\led_flash_cnt[1713][1]~q\ & \led_flash_cnt[1713][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1713][1]~q\,
	datab => \led_flash_cnt[1713][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1713][1]~50862_combout\,
	cout => \led_flash_cnt[1713][1]~50863\);

-- Location: FF_X44_Y13_N11
\led_flash_cnt[1713][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1713][1]~50862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1713][1]~q\);

-- Location: LCCOMB_X44_Y13_N12
\led_flash_cnt[1713][2]~50864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1713][2]~50864_combout\ = (\led_flash_cnt[1713][2]~q\ & (!\led_flash_cnt[1713][1]~50863\)) # (!\led_flash_cnt[1713][2]~q\ & ((\led_flash_cnt[1713][1]~50863\) # (GND)))
-- \led_flash_cnt[1713][2]~50865\ = CARRY((!\led_flash_cnt[1713][1]~50863\) # (!\led_flash_cnt[1713][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1713][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1713][1]~50863\,
	combout => \led_flash_cnt[1713][2]~50864_combout\,
	cout => \led_flash_cnt[1713][2]~50865\);

-- Location: FF_X44_Y13_N13
\led_flash_cnt[1713][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1713][2]~50864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1713][2]~q\);

-- Location: LCCOMB_X44_Y13_N14
\led_flash_cnt[1713][3]~50866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1713][3]~50866_combout\ = (\led_flash_cnt[1713][3]~q\ & (\led_flash_cnt[1713][2]~50865\ $ (GND))) # (!\led_flash_cnt[1713][3]~q\ & (!\led_flash_cnt[1713][2]~50865\ & VCC))
-- \led_flash_cnt[1713][3]~50867\ = CARRY((\led_flash_cnt[1713][3]~q\ & !\led_flash_cnt[1713][2]~50865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1713][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1713][2]~50865\,
	combout => \led_flash_cnt[1713][3]~50866_combout\,
	cout => \led_flash_cnt[1713][3]~50867\);

-- Location: FF_X44_Y13_N15
\led_flash_cnt[1713][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1713][3]~50866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1713][3]~q\);

-- Location: LCCOMB_X44_Y13_N16
\led_flash_cnt[1713][4]~50868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1713][4]~50868_combout\ = (\led_flash_cnt[1713][4]~q\ & (!\led_flash_cnt[1713][3]~50867\)) # (!\led_flash_cnt[1713][4]~q\ & ((\led_flash_cnt[1713][3]~50867\) # (GND)))
-- \led_flash_cnt[1713][4]~50869\ = CARRY((!\led_flash_cnt[1713][3]~50867\) # (!\led_flash_cnt[1713][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1713][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1713][3]~50867\,
	combout => \led_flash_cnt[1713][4]~50868_combout\,
	cout => \led_flash_cnt[1713][4]~50869\);

-- Location: FF_X44_Y13_N17
\led_flash_cnt[1713][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1713][4]~50868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1713][4]~q\);

-- Location: LCCOMB_X44_Y13_N18
\led_flash_cnt[1713][5]~50870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1713][5]~50870_combout\ = (\led_flash_cnt[1713][5]~q\ & (\led_flash_cnt[1713][4]~50869\ $ (GND))) # (!\led_flash_cnt[1713][5]~q\ & (!\led_flash_cnt[1713][4]~50869\ & VCC))
-- \led_flash_cnt[1713][5]~50871\ = CARRY((\led_flash_cnt[1713][5]~q\ & !\led_flash_cnt[1713][4]~50869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1713][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1713][4]~50869\,
	combout => \led_flash_cnt[1713][5]~50870_combout\,
	cout => \led_flash_cnt[1713][5]~50871\);

-- Location: FF_X44_Y13_N19
\led_flash_cnt[1713][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1713][5]~50870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1713][5]~q\);

-- Location: LCCOMB_X44_Y13_N20
\led_flash_cnt[1713][6]~50872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1713][6]~50872_combout\ = (\led_flash_cnt[1713][6]~q\ & (!\led_flash_cnt[1713][5]~50871\)) # (!\led_flash_cnt[1713][6]~q\ & ((\led_flash_cnt[1713][5]~50871\) # (GND)))
-- \led_flash_cnt[1713][6]~50873\ = CARRY((!\led_flash_cnt[1713][5]~50871\) # (!\led_flash_cnt[1713][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1713][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1713][5]~50871\,
	combout => \led_flash_cnt[1713][6]~50872_combout\,
	cout => \led_flash_cnt[1713][6]~50873\);

-- Location: FF_X44_Y13_N21
\led_flash_cnt[1713][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1713][6]~50872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1713][6]~q\);

-- Location: LCCOMB_X44_Y13_N26
\WideAnd1713~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1713~1_combout\ = (\led_flash_cnt[1713][6]~q\ & \led_flash_cnt[1713][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1713][6]~q\,
	datac => \led_flash_cnt[1713][5]~q\,
	combout => \WideAnd1713~1_combout\);

-- Location: LCCOMB_X44_Y13_N22
\led_flash_cnt[1713][7]~50874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1713][7]~50874_combout\ = \led_flash_cnt[1713][7]~q\ $ (!\led_flash_cnt[1713][6]~50873\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1713][7]~q\,
	cin => \led_flash_cnt[1713][6]~50873\,
	combout => \led_flash_cnt[1713][7]~50874_combout\);

-- Location: FF_X44_Y13_N23
\led_flash_cnt[1713][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1713][7]~50874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1713][7]~q\);

-- Location: LCCOMB_X44_Y13_N24
\WideAnd1713~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1713~0_combout\ = (\led_flash_cnt[1713][1]~q\ & (\led_flash_cnt[1713][4]~q\ & (\led_flash_cnt[1713][3]~q\ & \led_flash_cnt[1713][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1713][1]~q\,
	datab => \led_flash_cnt[1713][4]~q\,
	datac => \led_flash_cnt[1713][3]~q\,
	datad => \led_flash_cnt[1713][2]~q\,
	combout => \WideAnd1713~0_combout\);

-- Location: LCCOMB_X44_Y13_N28
WideAnd1713 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1713~combout\ = (\WideAnd1713~1_combout\ & (\led_flash_cnt[1713][0]~q\ & (\led_flash_cnt[1713][7]~q\ & \WideAnd1713~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1713~1_combout\,
	datab => \led_flash_cnt[1713][0]~q\,
	datac => \led_flash_cnt[1713][7]~q\,
	datad => \WideAnd1713~0_combout\,
	combout => \WideAnd1713~combout\);

-- Location: FF_X44_Y13_N29
\led_flash_cnt_ands[1713]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1713~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1713));

-- Location: LCCOMB_X44_Y13_N4
\WideAnd4054~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4054~0_combout\ = (led_flash_cnt_ands(1712) & (led_flash_cnt_ands(1714) & (led_flash_cnt_ands(1715) & led_flash_cnt_ands(1713))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1712),
	datab => led_flash_cnt_ands(1714),
	datac => led_flash_cnt_ands(1715),
	datad => led_flash_cnt_ands(1713),
	combout => \WideAnd4054~0_combout\);

-- Location: LCCOMB_X44_Y16_N14
WideAnd4054 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4054~combout\ = (\WideAnd4054~1_combout\ & (led_flash_cnt_ands(1718) & (led_flash_cnt_ands(1719) & \WideAnd4054~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4054~1_combout\,
	datab => led_flash_cnt_ands(1718),
	datac => led_flash_cnt_ands(1719),
	datad => \WideAnd4054~0_combout\,
	combout => \WideAnd4054~combout\);

-- Location: FF_X44_Y16_N15
\led_flash_cnt_ands_1[214]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4054~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(214));

-- Location: LCCOMB_X37_Y21_N4
\led_flash_cnt[1685][0]~82325\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1685][0]~82325_combout\ = !\led_flash_cnt[1685][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1685][0]~q\,
	combout => \led_flash_cnt[1685][0]~82325_combout\);

-- Location: FF_X37_Y21_N5
\led_flash_cnt[1685][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1685][0]~82325_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1685][0]~q\);

-- Location: LCCOMB_X37_Y21_N6
\led_flash_cnt[1685][1]~50470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1685][1]~50470_combout\ = (\led_flash_cnt[1685][1]~q\ & (\led_flash_cnt[1685][0]~q\ $ (VCC))) # (!\led_flash_cnt[1685][1]~q\ & (\led_flash_cnt[1685][0]~q\ & VCC))
-- \led_flash_cnt[1685][1]~50471\ = CARRY((\led_flash_cnt[1685][1]~q\ & \led_flash_cnt[1685][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1685][1]~q\,
	datab => \led_flash_cnt[1685][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1685][1]~50470_combout\,
	cout => \led_flash_cnt[1685][1]~50471\);

-- Location: FF_X37_Y21_N7
\led_flash_cnt[1685][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1685][1]~50470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1685][1]~q\);

-- Location: LCCOMB_X37_Y21_N8
\led_flash_cnt[1685][2]~50472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1685][2]~50472_combout\ = (\led_flash_cnt[1685][2]~q\ & (!\led_flash_cnt[1685][1]~50471\)) # (!\led_flash_cnt[1685][2]~q\ & ((\led_flash_cnt[1685][1]~50471\) # (GND)))
-- \led_flash_cnt[1685][2]~50473\ = CARRY((!\led_flash_cnt[1685][1]~50471\) # (!\led_flash_cnt[1685][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1685][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1685][1]~50471\,
	combout => \led_flash_cnt[1685][2]~50472_combout\,
	cout => \led_flash_cnt[1685][2]~50473\);

-- Location: FF_X37_Y21_N9
\led_flash_cnt[1685][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1685][2]~50472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1685][2]~q\);

-- Location: LCCOMB_X37_Y21_N10
\led_flash_cnt[1685][3]~50474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1685][3]~50474_combout\ = (\led_flash_cnt[1685][3]~q\ & (\led_flash_cnt[1685][2]~50473\ $ (GND))) # (!\led_flash_cnt[1685][3]~q\ & (!\led_flash_cnt[1685][2]~50473\ & VCC))
-- \led_flash_cnt[1685][3]~50475\ = CARRY((\led_flash_cnt[1685][3]~q\ & !\led_flash_cnt[1685][2]~50473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1685][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1685][2]~50473\,
	combout => \led_flash_cnt[1685][3]~50474_combout\,
	cout => \led_flash_cnt[1685][3]~50475\);

-- Location: FF_X37_Y21_N11
\led_flash_cnt[1685][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1685][3]~50474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1685][3]~q\);

-- Location: LCCOMB_X37_Y21_N12
\led_flash_cnt[1685][4]~50476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1685][4]~50476_combout\ = (\led_flash_cnt[1685][4]~q\ & (!\led_flash_cnt[1685][3]~50475\)) # (!\led_flash_cnt[1685][4]~q\ & ((\led_flash_cnt[1685][3]~50475\) # (GND)))
-- \led_flash_cnt[1685][4]~50477\ = CARRY((!\led_flash_cnt[1685][3]~50475\) # (!\led_flash_cnt[1685][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1685][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1685][3]~50475\,
	combout => \led_flash_cnt[1685][4]~50476_combout\,
	cout => \led_flash_cnt[1685][4]~50477\);

-- Location: FF_X37_Y21_N13
\led_flash_cnt[1685][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1685][4]~50476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1685][4]~q\);

-- Location: LCCOMB_X37_Y21_N22
\WideAnd1685~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1685~0_combout\ = (\led_flash_cnt[1685][3]~q\ & (\led_flash_cnt[1685][4]~q\ & (\led_flash_cnt[1685][2]~q\ & \led_flash_cnt[1685][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1685][3]~q\,
	datab => \led_flash_cnt[1685][4]~q\,
	datac => \led_flash_cnt[1685][2]~q\,
	datad => \led_flash_cnt[1685][1]~q\,
	combout => \WideAnd1685~0_combout\);

-- Location: LCCOMB_X37_Y21_N14
\led_flash_cnt[1685][5]~50478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1685][5]~50478_combout\ = (\led_flash_cnt[1685][5]~q\ & (\led_flash_cnt[1685][4]~50477\ $ (GND))) # (!\led_flash_cnt[1685][5]~q\ & (!\led_flash_cnt[1685][4]~50477\ & VCC))
-- \led_flash_cnt[1685][5]~50479\ = CARRY((\led_flash_cnt[1685][5]~q\ & !\led_flash_cnt[1685][4]~50477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1685][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1685][4]~50477\,
	combout => \led_flash_cnt[1685][5]~50478_combout\,
	cout => \led_flash_cnt[1685][5]~50479\);

-- Location: FF_X37_Y21_N15
\led_flash_cnt[1685][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1685][5]~50478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1685][5]~q\);

-- Location: LCCOMB_X37_Y21_N16
\led_flash_cnt[1685][6]~50480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1685][6]~50480_combout\ = (\led_flash_cnt[1685][6]~q\ & (!\led_flash_cnt[1685][5]~50479\)) # (!\led_flash_cnt[1685][6]~q\ & ((\led_flash_cnt[1685][5]~50479\) # (GND)))
-- \led_flash_cnt[1685][6]~50481\ = CARRY((!\led_flash_cnt[1685][5]~50479\) # (!\led_flash_cnt[1685][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1685][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1685][5]~50479\,
	combout => \led_flash_cnt[1685][6]~50480_combout\,
	cout => \led_flash_cnt[1685][6]~50481\);

-- Location: FF_X37_Y21_N17
\led_flash_cnt[1685][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1685][6]~50480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1685][6]~q\);

-- Location: LCCOMB_X37_Y21_N18
\led_flash_cnt[1685][7]~50482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1685][7]~50482_combout\ = \led_flash_cnt[1685][7]~q\ $ (!\led_flash_cnt[1685][6]~50481\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1685][7]~q\,
	cin => \led_flash_cnt[1685][6]~50481\,
	combout => \led_flash_cnt[1685][7]~50482_combout\);

-- Location: FF_X37_Y21_N19
\led_flash_cnt[1685][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1685][7]~50482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1685][7]~q\);

-- Location: LCCOMB_X37_Y21_N24
\WideAnd1685~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1685~1_combout\ = (\led_flash_cnt[1685][5]~q\ & \led_flash_cnt[1685][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1685][5]~q\,
	datad => \led_flash_cnt[1685][6]~q\,
	combout => \WideAnd1685~1_combout\);

-- Location: LCCOMB_X37_Y21_N30
WideAnd1685 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1685~combout\ = (\WideAnd1685~0_combout\ & (\led_flash_cnt[1685][0]~q\ & (\led_flash_cnt[1685][7]~q\ & \WideAnd1685~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1685~0_combout\,
	datab => \led_flash_cnt[1685][0]~q\,
	datac => \led_flash_cnt[1685][7]~q\,
	datad => \WideAnd1685~1_combout\,
	combout => \WideAnd1685~combout\);

-- Location: FF_X37_Y21_N31
\led_flash_cnt_ands[1685]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1685~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1685));

-- Location: LCCOMB_X37_Y21_N2
\led_flash_cnt[1684][0]~82324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1684][0]~82324_combout\ = !\led_flash_cnt[1684][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1684][0]~q\,
	combout => \led_flash_cnt[1684][0]~82324_combout\);

-- Location: FF_X37_Y21_N3
\led_flash_cnt[1684][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1684][0]~82324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1684][0]~q\);

-- Location: LCCOMB_X36_Y21_N4
\led_flash_cnt[1684][1]~50456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1684][1]~50456_combout\ = (\led_flash_cnt[1684][0]~q\ & (\led_flash_cnt[1684][1]~q\ $ (VCC))) # (!\led_flash_cnt[1684][0]~q\ & (\led_flash_cnt[1684][1]~q\ & VCC))
-- \led_flash_cnt[1684][1]~50457\ = CARRY((\led_flash_cnt[1684][0]~q\ & \led_flash_cnt[1684][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1684][0]~q\,
	datab => \led_flash_cnt[1684][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1684][1]~50456_combout\,
	cout => \led_flash_cnt[1684][1]~50457\);

-- Location: FF_X36_Y21_N5
\led_flash_cnt[1684][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1684][1]~50456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1684][1]~q\);

-- Location: LCCOMB_X36_Y21_N6
\led_flash_cnt[1684][2]~50458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1684][2]~50458_combout\ = (\led_flash_cnt[1684][2]~q\ & (!\led_flash_cnt[1684][1]~50457\)) # (!\led_flash_cnt[1684][2]~q\ & ((\led_flash_cnt[1684][1]~50457\) # (GND)))
-- \led_flash_cnt[1684][2]~50459\ = CARRY((!\led_flash_cnt[1684][1]~50457\) # (!\led_flash_cnt[1684][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1684][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1684][1]~50457\,
	combout => \led_flash_cnt[1684][2]~50458_combout\,
	cout => \led_flash_cnt[1684][2]~50459\);

-- Location: FF_X36_Y21_N7
\led_flash_cnt[1684][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1684][2]~50458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1684][2]~q\);

-- Location: LCCOMB_X36_Y21_N8
\led_flash_cnt[1684][3]~50460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1684][3]~50460_combout\ = (\led_flash_cnt[1684][3]~q\ & (\led_flash_cnt[1684][2]~50459\ $ (GND))) # (!\led_flash_cnt[1684][3]~q\ & (!\led_flash_cnt[1684][2]~50459\ & VCC))
-- \led_flash_cnt[1684][3]~50461\ = CARRY((\led_flash_cnt[1684][3]~q\ & !\led_flash_cnt[1684][2]~50459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1684][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1684][2]~50459\,
	combout => \led_flash_cnt[1684][3]~50460_combout\,
	cout => \led_flash_cnt[1684][3]~50461\);

-- Location: FF_X36_Y21_N9
\led_flash_cnt[1684][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1684][3]~50460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1684][3]~q\);

-- Location: LCCOMB_X36_Y21_N10
\led_flash_cnt[1684][4]~50462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1684][4]~50462_combout\ = (\led_flash_cnt[1684][4]~q\ & (!\led_flash_cnt[1684][3]~50461\)) # (!\led_flash_cnt[1684][4]~q\ & ((\led_flash_cnt[1684][3]~50461\) # (GND)))
-- \led_flash_cnt[1684][4]~50463\ = CARRY((!\led_flash_cnt[1684][3]~50461\) # (!\led_flash_cnt[1684][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1684][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1684][3]~50461\,
	combout => \led_flash_cnt[1684][4]~50462_combout\,
	cout => \led_flash_cnt[1684][4]~50463\);

-- Location: FF_X36_Y21_N11
\led_flash_cnt[1684][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1684][4]~50462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1684][4]~q\);

-- Location: LCCOMB_X36_Y21_N0
\WideAnd1684~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1684~0_combout\ = (\led_flash_cnt[1684][4]~q\ & (\led_flash_cnt[1684][3]~q\ & (\led_flash_cnt[1684][1]~q\ & \led_flash_cnt[1684][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1684][4]~q\,
	datab => \led_flash_cnt[1684][3]~q\,
	datac => \led_flash_cnt[1684][1]~q\,
	datad => \led_flash_cnt[1684][2]~q\,
	combout => \WideAnd1684~0_combout\);

-- Location: LCCOMB_X36_Y21_N12
\led_flash_cnt[1684][5]~50464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1684][5]~50464_combout\ = (\led_flash_cnt[1684][5]~q\ & (\led_flash_cnt[1684][4]~50463\ $ (GND))) # (!\led_flash_cnt[1684][5]~q\ & (!\led_flash_cnt[1684][4]~50463\ & VCC))
-- \led_flash_cnt[1684][5]~50465\ = CARRY((\led_flash_cnt[1684][5]~q\ & !\led_flash_cnt[1684][4]~50463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1684][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1684][4]~50463\,
	combout => \led_flash_cnt[1684][5]~50464_combout\,
	cout => \led_flash_cnt[1684][5]~50465\);

-- Location: FF_X36_Y21_N13
\led_flash_cnt[1684][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1684][5]~50464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1684][5]~q\);

-- Location: LCCOMB_X36_Y21_N14
\led_flash_cnt[1684][6]~50466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1684][6]~50466_combout\ = (\led_flash_cnt[1684][6]~q\ & (!\led_flash_cnt[1684][5]~50465\)) # (!\led_flash_cnt[1684][6]~q\ & ((\led_flash_cnt[1684][5]~50465\) # (GND)))
-- \led_flash_cnt[1684][6]~50467\ = CARRY((!\led_flash_cnt[1684][5]~50465\) # (!\led_flash_cnt[1684][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1684][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1684][5]~50465\,
	combout => \led_flash_cnt[1684][6]~50466_combout\,
	cout => \led_flash_cnt[1684][6]~50467\);

-- Location: FF_X36_Y21_N15
\led_flash_cnt[1684][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1684][6]~50466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1684][6]~q\);

-- Location: LCCOMB_X37_Y21_N0
\WideAnd1684~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1684~1_combout\ = (\led_flash_cnt[1684][6]~q\ & \led_flash_cnt[1684][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1684][6]~q\,
	datad => \led_flash_cnt[1684][5]~q\,
	combout => \WideAnd1684~1_combout\);

-- Location: LCCOMB_X36_Y21_N16
\led_flash_cnt[1684][7]~50468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1684][7]~50468_combout\ = \led_flash_cnt[1684][6]~50467\ $ (!\led_flash_cnt[1684][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1684][7]~q\,
	cin => \led_flash_cnt[1684][6]~50467\,
	combout => \led_flash_cnt[1684][7]~50468_combout\);

-- Location: FF_X36_Y21_N17
\led_flash_cnt[1684][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1684][7]~50468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1684][7]~q\);

-- Location: LCCOMB_X37_Y21_N20
WideAnd1684 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1684~combout\ = (\WideAnd1684~0_combout\ & (\WideAnd1684~1_combout\ & (\led_flash_cnt[1684][7]~q\ & \led_flash_cnt[1684][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1684~0_combout\,
	datab => \WideAnd1684~1_combout\,
	datac => \led_flash_cnt[1684][7]~q\,
	datad => \led_flash_cnt[1684][0]~q\,
	combout => \WideAnd1684~combout\);

-- Location: FF_X37_Y21_N21
\led_flash_cnt_ands[1684]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1684~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1684));

-- Location: LCCOMB_X37_Y21_N28
\WideAnd4050~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4050~1_combout\ = (led_flash_cnt_ands(1685) & led_flash_cnt_ands(1684))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1685),
	datad => led_flash_cnt_ands(1684),
	combout => \WideAnd4050~1_combout\);

-- Location: LCCOMB_X20_Y23_N0
\led_flash_cnt[1687][0]~82327\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1687][0]~82327_combout\ = !\led_flash_cnt[1687][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1687][0]~q\,
	combout => \led_flash_cnt[1687][0]~82327_combout\);

-- Location: FF_X20_Y23_N1
\led_flash_cnt[1687][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1687][0]~82327_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1687][0]~q\);

-- Location: LCCOMB_X15_Y23_N2
\led_flash_cnt[1687][1]~50498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1687][1]~50498_combout\ = (\led_flash_cnt[1687][0]~q\ & (\led_flash_cnt[1687][1]~q\ $ (VCC))) # (!\led_flash_cnt[1687][0]~q\ & (\led_flash_cnt[1687][1]~q\ & VCC))
-- \led_flash_cnt[1687][1]~50499\ = CARRY((\led_flash_cnt[1687][0]~q\ & \led_flash_cnt[1687][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1687][0]~q\,
	datab => \led_flash_cnt[1687][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1687][1]~50498_combout\,
	cout => \led_flash_cnt[1687][1]~50499\);

-- Location: FF_X15_Y23_N3
\led_flash_cnt[1687][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1687][1]~50498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1687][1]~q\);

-- Location: LCCOMB_X15_Y23_N4
\led_flash_cnt[1687][2]~50500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1687][2]~50500_combout\ = (\led_flash_cnt[1687][2]~q\ & (!\led_flash_cnt[1687][1]~50499\)) # (!\led_flash_cnt[1687][2]~q\ & ((\led_flash_cnt[1687][1]~50499\) # (GND)))
-- \led_flash_cnt[1687][2]~50501\ = CARRY((!\led_flash_cnt[1687][1]~50499\) # (!\led_flash_cnt[1687][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1687][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1687][1]~50499\,
	combout => \led_flash_cnt[1687][2]~50500_combout\,
	cout => \led_flash_cnt[1687][2]~50501\);

-- Location: FF_X15_Y23_N5
\led_flash_cnt[1687][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1687][2]~50500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1687][2]~q\);

-- Location: LCCOMB_X15_Y23_N6
\led_flash_cnt[1687][3]~50502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1687][3]~50502_combout\ = (\led_flash_cnt[1687][3]~q\ & (\led_flash_cnt[1687][2]~50501\ $ (GND))) # (!\led_flash_cnt[1687][3]~q\ & (!\led_flash_cnt[1687][2]~50501\ & VCC))
-- \led_flash_cnt[1687][3]~50503\ = CARRY((\led_flash_cnt[1687][3]~q\ & !\led_flash_cnt[1687][2]~50501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1687][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1687][2]~50501\,
	combout => \led_flash_cnt[1687][3]~50502_combout\,
	cout => \led_flash_cnt[1687][3]~50503\);

-- Location: FF_X15_Y23_N7
\led_flash_cnt[1687][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1687][3]~50502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1687][3]~q\);

-- Location: LCCOMB_X15_Y23_N8
\led_flash_cnt[1687][4]~50504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1687][4]~50504_combout\ = (\led_flash_cnt[1687][4]~q\ & (!\led_flash_cnt[1687][3]~50503\)) # (!\led_flash_cnt[1687][4]~q\ & ((\led_flash_cnt[1687][3]~50503\) # (GND)))
-- \led_flash_cnt[1687][4]~50505\ = CARRY((!\led_flash_cnt[1687][3]~50503\) # (!\led_flash_cnt[1687][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1687][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1687][3]~50503\,
	combout => \led_flash_cnt[1687][4]~50504_combout\,
	cout => \led_flash_cnt[1687][4]~50505\);

-- Location: FF_X15_Y23_N9
\led_flash_cnt[1687][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1687][4]~50504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1687][4]~q\);

-- Location: LCCOMB_X15_Y23_N10
\led_flash_cnt[1687][5]~50506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1687][5]~50506_combout\ = (\led_flash_cnt[1687][5]~q\ & (\led_flash_cnt[1687][4]~50505\ $ (GND))) # (!\led_flash_cnt[1687][5]~q\ & (!\led_flash_cnt[1687][4]~50505\ & VCC))
-- \led_flash_cnt[1687][5]~50507\ = CARRY((\led_flash_cnt[1687][5]~q\ & !\led_flash_cnt[1687][4]~50505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1687][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1687][4]~50505\,
	combout => \led_flash_cnt[1687][5]~50506_combout\,
	cout => \led_flash_cnt[1687][5]~50507\);

-- Location: FF_X15_Y23_N11
\led_flash_cnt[1687][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1687][5]~50506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1687][5]~q\);

-- Location: LCCOMB_X15_Y23_N12
\led_flash_cnt[1687][6]~50508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1687][6]~50508_combout\ = (\led_flash_cnt[1687][6]~q\ & (!\led_flash_cnt[1687][5]~50507\)) # (!\led_flash_cnt[1687][6]~q\ & ((\led_flash_cnt[1687][5]~50507\) # (GND)))
-- \led_flash_cnt[1687][6]~50509\ = CARRY((!\led_flash_cnt[1687][5]~50507\) # (!\led_flash_cnt[1687][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1687][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1687][5]~50507\,
	combout => \led_flash_cnt[1687][6]~50508_combout\,
	cout => \led_flash_cnt[1687][6]~50509\);

-- Location: FF_X15_Y23_N13
\led_flash_cnt[1687][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1687][6]~50508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1687][6]~q\);

-- Location: LCCOMB_X14_Y23_N14
\WideAnd1687~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1687~1_combout\ = (\led_flash_cnt[1687][6]~q\ & \led_flash_cnt[1687][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1687][6]~q\,
	datac => \led_flash_cnt[1687][5]~q\,
	combout => \WideAnd1687~1_combout\);

-- Location: LCCOMB_X16_Y23_N28
\WideAnd1687~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1687~0_combout\ = (\led_flash_cnt[1687][1]~q\ & (\led_flash_cnt[1687][2]~q\ & (\led_flash_cnt[1687][3]~q\ & \led_flash_cnt[1687][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1687][1]~q\,
	datab => \led_flash_cnt[1687][2]~q\,
	datac => \led_flash_cnt[1687][3]~q\,
	datad => \led_flash_cnt[1687][4]~q\,
	combout => \WideAnd1687~0_combout\);

-- Location: LCCOMB_X15_Y23_N14
\led_flash_cnt[1687][7]~50510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1687][7]~50510_combout\ = \led_flash_cnt[1687][7]~q\ $ (!\led_flash_cnt[1687][6]~50509\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1687][7]~q\,
	cin => \led_flash_cnt[1687][6]~50509\,
	combout => \led_flash_cnt[1687][7]~50510_combout\);

-- Location: FF_X15_Y23_N15
\led_flash_cnt[1687][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1687][7]~50510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1687][7]~q\);

-- Location: LCCOMB_X15_Y23_N30
WideAnd1687 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1687~combout\ = (\WideAnd1687~1_combout\ & (\WideAnd1687~0_combout\ & (\led_flash_cnt[1687][7]~q\ & \led_flash_cnt[1687][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1687~1_combout\,
	datab => \WideAnd1687~0_combout\,
	datac => \led_flash_cnt[1687][7]~q\,
	datad => \led_flash_cnt[1687][0]~q\,
	combout => \WideAnd1687~combout\);

-- Location: FF_X15_Y23_N31
\led_flash_cnt_ands[1687]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1687~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1687));

-- Location: LCCOMB_X30_Y3_N10
\led_flash_cnt[1680][0]~82320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1680][0]~82320_combout\ = !\led_flash_cnt[1680][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1680][0]~q\,
	combout => \led_flash_cnt[1680][0]~82320_combout\);

-- Location: FF_X30_Y3_N11
\led_flash_cnt[1680][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1680][0]~82320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1680][0]~q\);

-- Location: LCCOMB_X30_Y3_N16
\led_flash_cnt[1680][1]~50400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1680][1]~50400_combout\ = (\led_flash_cnt[1680][0]~q\ & (\led_flash_cnt[1680][1]~q\ $ (VCC))) # (!\led_flash_cnt[1680][0]~q\ & (\led_flash_cnt[1680][1]~q\ & VCC))
-- \led_flash_cnt[1680][1]~50401\ = CARRY((\led_flash_cnt[1680][0]~q\ & \led_flash_cnt[1680][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1680][0]~q\,
	datab => \led_flash_cnt[1680][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1680][1]~50400_combout\,
	cout => \led_flash_cnt[1680][1]~50401\);

-- Location: FF_X30_Y3_N17
\led_flash_cnt[1680][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1680][1]~50400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1680][1]~q\);

-- Location: LCCOMB_X30_Y3_N18
\led_flash_cnt[1680][2]~50402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1680][2]~50402_combout\ = (\led_flash_cnt[1680][2]~q\ & (!\led_flash_cnt[1680][1]~50401\)) # (!\led_flash_cnt[1680][2]~q\ & ((\led_flash_cnt[1680][1]~50401\) # (GND)))
-- \led_flash_cnt[1680][2]~50403\ = CARRY((!\led_flash_cnt[1680][1]~50401\) # (!\led_flash_cnt[1680][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1680][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1680][1]~50401\,
	combout => \led_flash_cnt[1680][2]~50402_combout\,
	cout => \led_flash_cnt[1680][2]~50403\);

-- Location: FF_X30_Y3_N19
\led_flash_cnt[1680][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1680][2]~50402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1680][2]~q\);

-- Location: LCCOMB_X30_Y3_N20
\led_flash_cnt[1680][3]~50404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1680][3]~50404_combout\ = (\led_flash_cnt[1680][3]~q\ & (\led_flash_cnt[1680][2]~50403\ $ (GND))) # (!\led_flash_cnt[1680][3]~q\ & (!\led_flash_cnt[1680][2]~50403\ & VCC))
-- \led_flash_cnt[1680][3]~50405\ = CARRY((\led_flash_cnt[1680][3]~q\ & !\led_flash_cnt[1680][2]~50403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1680][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1680][2]~50403\,
	combout => \led_flash_cnt[1680][3]~50404_combout\,
	cout => \led_flash_cnt[1680][3]~50405\);

-- Location: FF_X30_Y3_N21
\led_flash_cnt[1680][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1680][3]~50404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1680][3]~q\);

-- Location: LCCOMB_X30_Y3_N22
\led_flash_cnt[1680][4]~50406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1680][4]~50406_combout\ = (\led_flash_cnt[1680][4]~q\ & (!\led_flash_cnt[1680][3]~50405\)) # (!\led_flash_cnt[1680][4]~q\ & ((\led_flash_cnt[1680][3]~50405\) # (GND)))
-- \led_flash_cnt[1680][4]~50407\ = CARRY((!\led_flash_cnt[1680][3]~50405\) # (!\led_flash_cnt[1680][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1680][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1680][3]~50405\,
	combout => \led_flash_cnt[1680][4]~50406_combout\,
	cout => \led_flash_cnt[1680][4]~50407\);

-- Location: FF_X30_Y3_N23
\led_flash_cnt[1680][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1680][4]~50406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1680][4]~q\);

-- Location: LCCOMB_X30_Y3_N24
\led_flash_cnt[1680][5]~50408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1680][5]~50408_combout\ = (\led_flash_cnt[1680][5]~q\ & (\led_flash_cnt[1680][4]~50407\ $ (GND))) # (!\led_flash_cnt[1680][5]~q\ & (!\led_flash_cnt[1680][4]~50407\ & VCC))
-- \led_flash_cnt[1680][5]~50409\ = CARRY((\led_flash_cnt[1680][5]~q\ & !\led_flash_cnt[1680][4]~50407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1680][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1680][4]~50407\,
	combout => \led_flash_cnt[1680][5]~50408_combout\,
	cout => \led_flash_cnt[1680][5]~50409\);

-- Location: FF_X30_Y3_N25
\led_flash_cnt[1680][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1680][5]~50408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1680][5]~q\);

-- Location: LCCOMB_X30_Y3_N26
\led_flash_cnt[1680][6]~50410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1680][6]~50410_combout\ = (\led_flash_cnt[1680][6]~q\ & (!\led_flash_cnt[1680][5]~50409\)) # (!\led_flash_cnt[1680][6]~q\ & ((\led_flash_cnt[1680][5]~50409\) # (GND)))
-- \led_flash_cnt[1680][6]~50411\ = CARRY((!\led_flash_cnt[1680][5]~50409\) # (!\led_flash_cnt[1680][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1680][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1680][5]~50409\,
	combout => \led_flash_cnt[1680][6]~50410_combout\,
	cout => \led_flash_cnt[1680][6]~50411\);

-- Location: FF_X30_Y3_N27
\led_flash_cnt[1680][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1680][6]~50410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1680][6]~q\);

-- Location: LCCOMB_X30_Y3_N28
\led_flash_cnt[1680][7]~50412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1680][7]~50412_combout\ = \led_flash_cnt[1680][6]~50411\ $ (!\led_flash_cnt[1680][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1680][7]~q\,
	cin => \led_flash_cnt[1680][6]~50411\,
	combout => \led_flash_cnt[1680][7]~50412_combout\);

-- Location: FF_X30_Y3_N29
\led_flash_cnt[1680][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1680][7]~50412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1680][7]~q\);

-- Location: LCCOMB_X30_Y3_N8
\WideAnd1680~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1680~0_combout\ = (\led_flash_cnt[1680][3]~q\ & (\led_flash_cnt[1680][2]~q\ & (\led_flash_cnt[1680][4]~q\ & \led_flash_cnt[1680][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1680][3]~q\,
	datab => \led_flash_cnt[1680][2]~q\,
	datac => \led_flash_cnt[1680][4]~q\,
	datad => \led_flash_cnt[1680][1]~q\,
	combout => \WideAnd1680~0_combout\);

-- Location: LCCOMB_X30_Y3_N2
\WideAnd1680~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1680~1_combout\ = (\led_flash_cnt[1680][6]~q\ & \led_flash_cnt[1680][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1680][6]~q\,
	datad => \led_flash_cnt[1680][5]~q\,
	combout => \WideAnd1680~1_combout\);

-- Location: LCCOMB_X30_Y3_N6
WideAnd1680 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1680~combout\ = (\led_flash_cnt[1680][0]~q\ & (\led_flash_cnt[1680][7]~q\ & (\WideAnd1680~0_combout\ & \WideAnd1680~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1680][0]~q\,
	datab => \led_flash_cnt[1680][7]~q\,
	datac => \WideAnd1680~0_combout\,
	datad => \WideAnd1680~1_combout\,
	combout => \WideAnd1680~combout\);

-- Location: FF_X30_Y3_N7
\led_flash_cnt_ands[1680]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1680~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1680));

-- Location: LCCOMB_X29_Y3_N10
\led_flash_cnt[1681][0]~82321\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1681][0]~82321_combout\ = !\led_flash_cnt[1681][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1681][0]~q\,
	combout => \led_flash_cnt[1681][0]~82321_combout\);

-- Location: FF_X29_Y3_N11
\led_flash_cnt[1681][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1681][0]~82321_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1681][0]~q\);

-- Location: LCCOMB_X29_Y3_N14
\led_flash_cnt[1681][1]~50414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1681][1]~50414_combout\ = (\led_flash_cnt[1681][0]~q\ & (\led_flash_cnt[1681][1]~q\ $ (VCC))) # (!\led_flash_cnt[1681][0]~q\ & (\led_flash_cnt[1681][1]~q\ & VCC))
-- \led_flash_cnt[1681][1]~50415\ = CARRY((\led_flash_cnt[1681][0]~q\ & \led_flash_cnt[1681][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1681][0]~q\,
	datab => \led_flash_cnt[1681][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1681][1]~50414_combout\,
	cout => \led_flash_cnt[1681][1]~50415\);

-- Location: FF_X29_Y3_N15
\led_flash_cnt[1681][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1681][1]~50414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1681][1]~q\);

-- Location: LCCOMB_X29_Y3_N16
\led_flash_cnt[1681][2]~50416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1681][2]~50416_combout\ = (\led_flash_cnt[1681][2]~q\ & (!\led_flash_cnt[1681][1]~50415\)) # (!\led_flash_cnt[1681][2]~q\ & ((\led_flash_cnt[1681][1]~50415\) # (GND)))
-- \led_flash_cnt[1681][2]~50417\ = CARRY((!\led_flash_cnt[1681][1]~50415\) # (!\led_flash_cnt[1681][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1681][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1681][1]~50415\,
	combout => \led_flash_cnt[1681][2]~50416_combout\,
	cout => \led_flash_cnt[1681][2]~50417\);

-- Location: FF_X29_Y3_N17
\led_flash_cnt[1681][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1681][2]~50416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1681][2]~q\);

-- Location: LCCOMB_X29_Y3_N18
\led_flash_cnt[1681][3]~50418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1681][3]~50418_combout\ = (\led_flash_cnt[1681][3]~q\ & (\led_flash_cnt[1681][2]~50417\ $ (GND))) # (!\led_flash_cnt[1681][3]~q\ & (!\led_flash_cnt[1681][2]~50417\ & VCC))
-- \led_flash_cnt[1681][3]~50419\ = CARRY((\led_flash_cnt[1681][3]~q\ & !\led_flash_cnt[1681][2]~50417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1681][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1681][2]~50417\,
	combout => \led_flash_cnt[1681][3]~50418_combout\,
	cout => \led_flash_cnt[1681][3]~50419\);

-- Location: FF_X29_Y3_N19
\led_flash_cnt[1681][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1681][3]~50418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1681][3]~q\);

-- Location: LCCOMB_X29_Y3_N20
\led_flash_cnt[1681][4]~50420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1681][4]~50420_combout\ = (\led_flash_cnt[1681][4]~q\ & (!\led_flash_cnt[1681][3]~50419\)) # (!\led_flash_cnt[1681][4]~q\ & ((\led_flash_cnt[1681][3]~50419\) # (GND)))
-- \led_flash_cnt[1681][4]~50421\ = CARRY((!\led_flash_cnt[1681][3]~50419\) # (!\led_flash_cnt[1681][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1681][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1681][3]~50419\,
	combout => \led_flash_cnt[1681][4]~50420_combout\,
	cout => \led_flash_cnt[1681][4]~50421\);

-- Location: FF_X29_Y3_N21
\led_flash_cnt[1681][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1681][4]~50420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1681][4]~q\);

-- Location: LCCOMB_X29_Y3_N22
\led_flash_cnt[1681][5]~50422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1681][5]~50422_combout\ = (\led_flash_cnt[1681][5]~q\ & (\led_flash_cnt[1681][4]~50421\ $ (GND))) # (!\led_flash_cnt[1681][5]~q\ & (!\led_flash_cnt[1681][4]~50421\ & VCC))
-- \led_flash_cnt[1681][5]~50423\ = CARRY((\led_flash_cnt[1681][5]~q\ & !\led_flash_cnt[1681][4]~50421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1681][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1681][4]~50421\,
	combout => \led_flash_cnt[1681][5]~50422_combout\,
	cout => \led_flash_cnt[1681][5]~50423\);

-- Location: FF_X29_Y3_N23
\led_flash_cnt[1681][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1681][5]~50422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1681][5]~q\);

-- Location: LCCOMB_X29_Y3_N24
\led_flash_cnt[1681][6]~50424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1681][6]~50424_combout\ = (\led_flash_cnt[1681][6]~q\ & (!\led_flash_cnt[1681][5]~50423\)) # (!\led_flash_cnt[1681][6]~q\ & ((\led_flash_cnt[1681][5]~50423\) # (GND)))
-- \led_flash_cnt[1681][6]~50425\ = CARRY((!\led_flash_cnt[1681][5]~50423\) # (!\led_flash_cnt[1681][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1681][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1681][5]~50423\,
	combout => \led_flash_cnt[1681][6]~50424_combout\,
	cout => \led_flash_cnt[1681][6]~50425\);

-- Location: FF_X29_Y3_N25
\led_flash_cnt[1681][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1681][6]~50424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1681][6]~q\);

-- Location: LCCOMB_X29_Y3_N28
\WideAnd1681~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1681~1_combout\ = (\led_flash_cnt[1681][5]~q\ & \led_flash_cnt[1681][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1681][5]~q\,
	datad => \led_flash_cnt[1681][6]~q\,
	combout => \WideAnd1681~1_combout\);

-- Location: LCCOMB_X29_Y3_N26
\led_flash_cnt[1681][7]~50426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1681][7]~50426_combout\ = \led_flash_cnt[1681][7]~q\ $ (!\led_flash_cnt[1681][6]~50425\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1681][7]~q\,
	cin => \led_flash_cnt[1681][6]~50425\,
	combout => \led_flash_cnt[1681][7]~50426_combout\);

-- Location: FF_X29_Y3_N27
\led_flash_cnt[1681][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1681][7]~50426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1681][7]~q\);

-- Location: LCCOMB_X29_Y3_N12
\WideAnd1681~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1681~0_combout\ = (\led_flash_cnt[1681][3]~q\ & (\led_flash_cnt[1681][4]~q\ & (\led_flash_cnt[1681][1]~q\ & \led_flash_cnt[1681][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1681][3]~q\,
	datab => \led_flash_cnt[1681][4]~q\,
	datac => \led_flash_cnt[1681][1]~q\,
	datad => \led_flash_cnt[1681][2]~q\,
	combout => \WideAnd1681~0_combout\);

-- Location: LCCOMB_X29_Y3_N4
WideAnd1681 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1681~combout\ = (\led_flash_cnt[1681][0]~q\ & (\WideAnd1681~1_combout\ & (\led_flash_cnt[1681][7]~q\ & \WideAnd1681~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1681][0]~q\,
	datab => \WideAnd1681~1_combout\,
	datac => \led_flash_cnt[1681][7]~q\,
	datad => \WideAnd1681~0_combout\,
	combout => \WideAnd1681~combout\);

-- Location: FF_X29_Y3_N5
\led_flash_cnt_ands[1681]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1681~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1681));

-- Location: LCCOMB_X29_Y7_N0
\led_flash_cnt[1683][0]~82323\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1683][0]~82323_combout\ = !\led_flash_cnt[1683][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1683][0]~q\,
	combout => \led_flash_cnt[1683][0]~82323_combout\);

-- Location: FF_X29_Y7_N1
\led_flash_cnt[1683][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1683][0]~82323_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1683][0]~q\);

-- Location: LCCOMB_X29_Y7_N6
\led_flash_cnt[1683][1]~50442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1683][1]~50442_combout\ = (\led_flash_cnt[1683][1]~q\ & (\led_flash_cnt[1683][0]~q\ $ (VCC))) # (!\led_flash_cnt[1683][1]~q\ & (\led_flash_cnt[1683][0]~q\ & VCC))
-- \led_flash_cnt[1683][1]~50443\ = CARRY((\led_flash_cnt[1683][1]~q\ & \led_flash_cnt[1683][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1683][1]~q\,
	datab => \led_flash_cnt[1683][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1683][1]~50442_combout\,
	cout => \led_flash_cnt[1683][1]~50443\);

-- Location: FF_X29_Y7_N7
\led_flash_cnt[1683][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1683][1]~50442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1683][1]~q\);

-- Location: LCCOMB_X29_Y7_N8
\led_flash_cnt[1683][2]~50444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1683][2]~50444_combout\ = (\led_flash_cnt[1683][2]~q\ & (!\led_flash_cnt[1683][1]~50443\)) # (!\led_flash_cnt[1683][2]~q\ & ((\led_flash_cnt[1683][1]~50443\) # (GND)))
-- \led_flash_cnt[1683][2]~50445\ = CARRY((!\led_flash_cnt[1683][1]~50443\) # (!\led_flash_cnt[1683][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1683][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1683][1]~50443\,
	combout => \led_flash_cnt[1683][2]~50444_combout\,
	cout => \led_flash_cnt[1683][2]~50445\);

-- Location: FF_X29_Y7_N9
\led_flash_cnt[1683][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1683][2]~50444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1683][2]~q\);

-- Location: LCCOMB_X29_Y7_N10
\led_flash_cnt[1683][3]~50446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1683][3]~50446_combout\ = (\led_flash_cnt[1683][3]~q\ & (\led_flash_cnt[1683][2]~50445\ $ (GND))) # (!\led_flash_cnt[1683][3]~q\ & (!\led_flash_cnt[1683][2]~50445\ & VCC))
-- \led_flash_cnt[1683][3]~50447\ = CARRY((\led_flash_cnt[1683][3]~q\ & !\led_flash_cnt[1683][2]~50445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1683][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1683][2]~50445\,
	combout => \led_flash_cnt[1683][3]~50446_combout\,
	cout => \led_flash_cnt[1683][3]~50447\);

-- Location: FF_X29_Y7_N11
\led_flash_cnt[1683][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1683][3]~50446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1683][3]~q\);

-- Location: LCCOMB_X29_Y7_N12
\led_flash_cnt[1683][4]~50448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1683][4]~50448_combout\ = (\led_flash_cnt[1683][4]~q\ & (!\led_flash_cnt[1683][3]~50447\)) # (!\led_flash_cnt[1683][4]~q\ & ((\led_flash_cnt[1683][3]~50447\) # (GND)))
-- \led_flash_cnt[1683][4]~50449\ = CARRY((!\led_flash_cnt[1683][3]~50447\) # (!\led_flash_cnt[1683][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1683][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1683][3]~50447\,
	combout => \led_flash_cnt[1683][4]~50448_combout\,
	cout => \led_flash_cnt[1683][4]~50449\);

-- Location: FF_X29_Y7_N13
\led_flash_cnt[1683][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1683][4]~50448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1683][4]~q\);

-- Location: LCCOMB_X29_Y7_N22
\WideAnd1683~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1683~0_combout\ = (\led_flash_cnt[1683][4]~q\ & (\led_flash_cnt[1683][3]~q\ & (\led_flash_cnt[1683][2]~q\ & \led_flash_cnt[1683][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1683][4]~q\,
	datab => \led_flash_cnt[1683][3]~q\,
	datac => \led_flash_cnt[1683][2]~q\,
	datad => \led_flash_cnt[1683][1]~q\,
	combout => \WideAnd1683~0_combout\);

-- Location: LCCOMB_X29_Y7_N14
\led_flash_cnt[1683][5]~50450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1683][5]~50450_combout\ = (\led_flash_cnt[1683][5]~q\ & (\led_flash_cnt[1683][4]~50449\ $ (GND))) # (!\led_flash_cnt[1683][5]~q\ & (!\led_flash_cnt[1683][4]~50449\ & VCC))
-- \led_flash_cnt[1683][5]~50451\ = CARRY((\led_flash_cnt[1683][5]~q\ & !\led_flash_cnt[1683][4]~50449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1683][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1683][4]~50449\,
	combout => \led_flash_cnt[1683][5]~50450_combout\,
	cout => \led_flash_cnt[1683][5]~50451\);

-- Location: FF_X29_Y7_N15
\led_flash_cnt[1683][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1683][5]~50450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1683][5]~q\);

-- Location: LCCOMB_X29_Y7_N16
\led_flash_cnt[1683][6]~50452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1683][6]~50452_combout\ = (\led_flash_cnt[1683][6]~q\ & (!\led_flash_cnt[1683][5]~50451\)) # (!\led_flash_cnt[1683][6]~q\ & ((\led_flash_cnt[1683][5]~50451\) # (GND)))
-- \led_flash_cnt[1683][6]~50453\ = CARRY((!\led_flash_cnt[1683][5]~50451\) # (!\led_flash_cnt[1683][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1683][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1683][5]~50451\,
	combout => \led_flash_cnt[1683][6]~50452_combout\,
	cout => \led_flash_cnt[1683][6]~50453\);

-- Location: FF_X29_Y7_N17
\led_flash_cnt[1683][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1683][6]~50452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1683][6]~q\);

-- Location: LCCOMB_X29_Y7_N18
\led_flash_cnt[1683][7]~50454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1683][7]~50454_combout\ = \led_flash_cnt[1683][7]~q\ $ (!\led_flash_cnt[1683][6]~50453\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1683][7]~q\,
	cin => \led_flash_cnt[1683][6]~50453\,
	combout => \led_flash_cnt[1683][7]~50454_combout\);

-- Location: FF_X29_Y7_N19
\led_flash_cnt[1683][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1683][7]~50454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1683][7]~q\);

-- Location: LCCOMB_X29_Y7_N24
\WideAnd1683~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1683~1_combout\ = (\led_flash_cnt[1683][5]~q\ & \led_flash_cnt[1683][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1683][5]~q\,
	datad => \led_flash_cnt[1683][6]~q\,
	combout => \WideAnd1683~1_combout\);

-- Location: LCCOMB_X29_Y7_N30
WideAnd1683 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1683~combout\ = (\WideAnd1683~0_combout\ & (\led_flash_cnt[1683][0]~q\ & (\led_flash_cnt[1683][7]~q\ & \WideAnd1683~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1683~0_combout\,
	datab => \led_flash_cnt[1683][0]~q\,
	datac => \led_flash_cnt[1683][7]~q\,
	datad => \WideAnd1683~1_combout\,
	combout => \WideAnd1683~combout\);

-- Location: FF_X29_Y7_N31
\led_flash_cnt_ands[1683]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1683~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1683));

-- Location: LCCOMB_X29_Y7_N4
\led_flash_cnt[1682][0]~82322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1682][0]~82322_combout\ = !\led_flash_cnt[1682][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1682][0]~q\,
	combout => \led_flash_cnt[1682][0]~82322_combout\);

-- Location: FF_X29_Y7_N5
\led_flash_cnt[1682][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1682][0]~82322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1682][0]~q\);

-- Location: LCCOMB_X29_Y11_N0
\led_flash_cnt[1682][1]~50428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1682][1]~50428_combout\ = (\led_flash_cnt[1682][0]~q\ & (\led_flash_cnt[1682][1]~q\ $ (VCC))) # (!\led_flash_cnt[1682][0]~q\ & (\led_flash_cnt[1682][1]~q\ & VCC))
-- \led_flash_cnt[1682][1]~50429\ = CARRY((\led_flash_cnt[1682][0]~q\ & \led_flash_cnt[1682][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1682][0]~q\,
	datab => \led_flash_cnt[1682][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1682][1]~50428_combout\,
	cout => \led_flash_cnt[1682][1]~50429\);

-- Location: FF_X29_Y11_N1
\led_flash_cnt[1682][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1682][1]~50428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1682][1]~q\);

-- Location: LCCOMB_X29_Y11_N2
\led_flash_cnt[1682][2]~50430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1682][2]~50430_combout\ = (\led_flash_cnt[1682][2]~q\ & (!\led_flash_cnt[1682][1]~50429\)) # (!\led_flash_cnt[1682][2]~q\ & ((\led_flash_cnt[1682][1]~50429\) # (GND)))
-- \led_flash_cnt[1682][2]~50431\ = CARRY((!\led_flash_cnt[1682][1]~50429\) # (!\led_flash_cnt[1682][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1682][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1682][1]~50429\,
	combout => \led_flash_cnt[1682][2]~50430_combout\,
	cout => \led_flash_cnt[1682][2]~50431\);

-- Location: FF_X29_Y11_N3
\led_flash_cnt[1682][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1682][2]~50430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1682][2]~q\);

-- Location: LCCOMB_X29_Y11_N4
\led_flash_cnt[1682][3]~50432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1682][3]~50432_combout\ = (\led_flash_cnt[1682][3]~q\ & (\led_flash_cnt[1682][2]~50431\ $ (GND))) # (!\led_flash_cnt[1682][3]~q\ & (!\led_flash_cnt[1682][2]~50431\ & VCC))
-- \led_flash_cnt[1682][3]~50433\ = CARRY((\led_flash_cnt[1682][3]~q\ & !\led_flash_cnt[1682][2]~50431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1682][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1682][2]~50431\,
	combout => \led_flash_cnt[1682][3]~50432_combout\,
	cout => \led_flash_cnt[1682][3]~50433\);

-- Location: FF_X29_Y11_N5
\led_flash_cnt[1682][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1682][3]~50432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1682][3]~q\);

-- Location: LCCOMB_X29_Y11_N6
\led_flash_cnt[1682][4]~50434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1682][4]~50434_combout\ = (\led_flash_cnt[1682][4]~q\ & (!\led_flash_cnt[1682][3]~50433\)) # (!\led_flash_cnt[1682][4]~q\ & ((\led_flash_cnt[1682][3]~50433\) # (GND)))
-- \led_flash_cnt[1682][4]~50435\ = CARRY((!\led_flash_cnt[1682][3]~50433\) # (!\led_flash_cnt[1682][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1682][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1682][3]~50433\,
	combout => \led_flash_cnt[1682][4]~50434_combout\,
	cout => \led_flash_cnt[1682][4]~50435\);

-- Location: FF_X29_Y11_N7
\led_flash_cnt[1682][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1682][4]~50434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1682][4]~q\);

-- Location: LCCOMB_X29_Y11_N8
\led_flash_cnt[1682][5]~50436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1682][5]~50436_combout\ = (\led_flash_cnt[1682][5]~q\ & (\led_flash_cnt[1682][4]~50435\ $ (GND))) # (!\led_flash_cnt[1682][5]~q\ & (!\led_flash_cnt[1682][4]~50435\ & VCC))
-- \led_flash_cnt[1682][5]~50437\ = CARRY((\led_flash_cnt[1682][5]~q\ & !\led_flash_cnt[1682][4]~50435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1682][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1682][4]~50435\,
	combout => \led_flash_cnt[1682][5]~50436_combout\,
	cout => \led_flash_cnt[1682][5]~50437\);

-- Location: FF_X29_Y11_N9
\led_flash_cnt[1682][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1682][5]~50436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1682][5]~q\);

-- Location: LCCOMB_X29_Y11_N10
\led_flash_cnt[1682][6]~50438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1682][6]~50438_combout\ = (\led_flash_cnt[1682][6]~q\ & (!\led_flash_cnt[1682][5]~50437\)) # (!\led_flash_cnt[1682][6]~q\ & ((\led_flash_cnt[1682][5]~50437\) # (GND)))
-- \led_flash_cnt[1682][6]~50439\ = CARRY((!\led_flash_cnt[1682][5]~50437\) # (!\led_flash_cnt[1682][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1682][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1682][5]~50437\,
	combout => \led_flash_cnt[1682][6]~50438_combout\,
	cout => \led_flash_cnt[1682][6]~50439\);

-- Location: FF_X29_Y11_N11
\led_flash_cnt[1682][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1682][6]~50438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1682][6]~q\);

-- Location: LCCOMB_X30_Y11_N28
\WideAnd1682~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1682~1_combout\ = (\led_flash_cnt[1682][6]~q\ & \led_flash_cnt[1682][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1682][6]~q\,
	datad => \led_flash_cnt[1682][5]~q\,
	combout => \WideAnd1682~1_combout\);

-- Location: LCCOMB_X29_Y11_N14
\WideAnd1682~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1682~0_combout\ = (\led_flash_cnt[1682][4]~q\ & (\led_flash_cnt[1682][1]~q\ & (\led_flash_cnt[1682][3]~q\ & \led_flash_cnt[1682][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1682][4]~q\,
	datab => \led_flash_cnt[1682][1]~q\,
	datac => \led_flash_cnt[1682][3]~q\,
	datad => \led_flash_cnt[1682][2]~q\,
	combout => \WideAnd1682~0_combout\);

-- Location: LCCOMB_X29_Y11_N12
\led_flash_cnt[1682][7]~50440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1682][7]~50440_combout\ = \led_flash_cnt[1682][6]~50439\ $ (!\led_flash_cnt[1682][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1682][7]~q\,
	cin => \led_flash_cnt[1682][6]~50439\,
	combout => \led_flash_cnt[1682][7]~50440_combout\);

-- Location: FF_X29_Y11_N13
\led_flash_cnt[1682][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1682][7]~50440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1682][7]~q\);

-- Location: LCCOMB_X29_Y11_N16
WideAnd1682 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1682~combout\ = (\led_flash_cnt[1682][0]~q\ & (\WideAnd1682~1_combout\ & (\WideAnd1682~0_combout\ & \led_flash_cnt[1682][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1682][0]~q\,
	datab => \WideAnd1682~1_combout\,
	datac => \WideAnd1682~0_combout\,
	datad => \led_flash_cnt[1682][7]~q\,
	combout => \WideAnd1682~combout\);

-- Location: FF_X29_Y11_N17
\led_flash_cnt_ands[1682]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1682~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1682));

-- Location: LCCOMB_X29_Y7_N28
\WideAnd4050~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4050~0_combout\ = (led_flash_cnt_ands(1680) & (led_flash_cnt_ands(1681) & (led_flash_cnt_ands(1683) & led_flash_cnt_ands(1682))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1680),
	datab => led_flash_cnt_ands(1681),
	datac => led_flash_cnt_ands(1683),
	datad => led_flash_cnt_ands(1682),
	combout => \WideAnd4050~0_combout\);

-- Location: LCCOMB_X19_Y21_N4
\led_flash_cnt[1686][0]~82326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1686][0]~82326_combout\ = !\led_flash_cnt[1686][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1686][0]~q\,
	combout => \led_flash_cnt[1686][0]~82326_combout\);

-- Location: FF_X19_Y21_N5
\led_flash_cnt[1686][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1686][0]~82326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1686][0]~q\);

-- Location: LCCOMB_X19_Y21_N10
\led_flash_cnt[1686][1]~50484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1686][1]~50484_combout\ = (\led_flash_cnt[1686][1]~q\ & (\led_flash_cnt[1686][0]~q\ $ (VCC))) # (!\led_flash_cnt[1686][1]~q\ & (\led_flash_cnt[1686][0]~q\ & VCC))
-- \led_flash_cnt[1686][1]~50485\ = CARRY((\led_flash_cnt[1686][1]~q\ & \led_flash_cnt[1686][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1686][1]~q\,
	datab => \led_flash_cnt[1686][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1686][1]~50484_combout\,
	cout => \led_flash_cnt[1686][1]~50485\);

-- Location: FF_X19_Y21_N11
\led_flash_cnt[1686][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1686][1]~50484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1686][1]~q\);

-- Location: LCCOMB_X19_Y21_N12
\led_flash_cnt[1686][2]~50486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1686][2]~50486_combout\ = (\led_flash_cnt[1686][2]~q\ & (!\led_flash_cnt[1686][1]~50485\)) # (!\led_flash_cnt[1686][2]~q\ & ((\led_flash_cnt[1686][1]~50485\) # (GND)))
-- \led_flash_cnt[1686][2]~50487\ = CARRY((!\led_flash_cnt[1686][1]~50485\) # (!\led_flash_cnt[1686][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1686][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1686][1]~50485\,
	combout => \led_flash_cnt[1686][2]~50486_combout\,
	cout => \led_flash_cnt[1686][2]~50487\);

-- Location: FF_X19_Y21_N13
\led_flash_cnt[1686][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1686][2]~50486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1686][2]~q\);

-- Location: LCCOMB_X19_Y21_N14
\led_flash_cnt[1686][3]~50488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1686][3]~50488_combout\ = (\led_flash_cnt[1686][3]~q\ & (\led_flash_cnt[1686][2]~50487\ $ (GND))) # (!\led_flash_cnt[1686][3]~q\ & (!\led_flash_cnt[1686][2]~50487\ & VCC))
-- \led_flash_cnt[1686][3]~50489\ = CARRY((\led_flash_cnt[1686][3]~q\ & !\led_flash_cnt[1686][2]~50487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1686][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1686][2]~50487\,
	combout => \led_flash_cnt[1686][3]~50488_combout\,
	cout => \led_flash_cnt[1686][3]~50489\);

-- Location: FF_X19_Y21_N15
\led_flash_cnt[1686][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1686][3]~50488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1686][3]~q\);

-- Location: LCCOMB_X19_Y21_N16
\led_flash_cnt[1686][4]~50490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1686][4]~50490_combout\ = (\led_flash_cnt[1686][4]~q\ & (!\led_flash_cnt[1686][3]~50489\)) # (!\led_flash_cnt[1686][4]~q\ & ((\led_flash_cnt[1686][3]~50489\) # (GND)))
-- \led_flash_cnt[1686][4]~50491\ = CARRY((!\led_flash_cnt[1686][3]~50489\) # (!\led_flash_cnt[1686][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1686][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1686][3]~50489\,
	combout => \led_flash_cnt[1686][4]~50490_combout\,
	cout => \led_flash_cnt[1686][4]~50491\);

-- Location: FF_X19_Y21_N17
\led_flash_cnt[1686][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1686][4]~50490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1686][4]~q\);

-- Location: LCCOMB_X19_Y21_N18
\led_flash_cnt[1686][5]~50492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1686][5]~50492_combout\ = (\led_flash_cnt[1686][5]~q\ & (\led_flash_cnt[1686][4]~50491\ $ (GND))) # (!\led_flash_cnt[1686][5]~q\ & (!\led_flash_cnt[1686][4]~50491\ & VCC))
-- \led_flash_cnt[1686][5]~50493\ = CARRY((\led_flash_cnt[1686][5]~q\ & !\led_flash_cnt[1686][4]~50491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1686][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1686][4]~50491\,
	combout => \led_flash_cnt[1686][5]~50492_combout\,
	cout => \led_flash_cnt[1686][5]~50493\);

-- Location: FF_X19_Y21_N19
\led_flash_cnt[1686][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1686][5]~50492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1686][5]~q\);

-- Location: LCCOMB_X19_Y21_N20
\led_flash_cnt[1686][6]~50494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1686][6]~50494_combout\ = (\led_flash_cnt[1686][6]~q\ & (!\led_flash_cnt[1686][5]~50493\)) # (!\led_flash_cnt[1686][6]~q\ & ((\led_flash_cnt[1686][5]~50493\) # (GND)))
-- \led_flash_cnt[1686][6]~50495\ = CARRY((!\led_flash_cnt[1686][5]~50493\) # (!\led_flash_cnt[1686][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1686][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1686][5]~50493\,
	combout => \led_flash_cnt[1686][6]~50494_combout\,
	cout => \led_flash_cnt[1686][6]~50495\);

-- Location: FF_X19_Y21_N21
\led_flash_cnt[1686][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1686][6]~50494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1686][6]~q\);

-- Location: LCCOMB_X19_Y21_N22
\led_flash_cnt[1686][7]~50496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1686][7]~50496_combout\ = \led_flash_cnt[1686][7]~q\ $ (!\led_flash_cnt[1686][6]~50495\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1686][7]~q\,
	cin => \led_flash_cnt[1686][6]~50495\,
	combout => \led_flash_cnt[1686][7]~50496_combout\);

-- Location: FF_X19_Y21_N23
\led_flash_cnt[1686][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1686][7]~50496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1686][7]~q\);

-- Location: LCCOMB_X19_Y21_N8
\WideAnd1686~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1686~0_combout\ = (\led_flash_cnt[1686][1]~q\ & (\led_flash_cnt[1686][4]~q\ & (\led_flash_cnt[1686][3]~q\ & \led_flash_cnt[1686][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1686][1]~q\,
	datab => \led_flash_cnt[1686][4]~q\,
	datac => \led_flash_cnt[1686][3]~q\,
	datad => \led_flash_cnt[1686][2]~q\,
	combout => \WideAnd1686~0_combout\);

-- Location: LCCOMB_X19_Y21_N2
\WideAnd1686~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1686~1_combout\ = (\led_flash_cnt[1686][6]~q\ & \led_flash_cnt[1686][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1686][6]~q\,
	datad => \led_flash_cnt[1686][5]~q\,
	combout => \WideAnd1686~1_combout\);

-- Location: LCCOMB_X19_Y21_N6
WideAnd1686 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1686~combout\ = (\led_flash_cnt[1686][7]~q\ & (\led_flash_cnt[1686][0]~q\ & (\WideAnd1686~0_combout\ & \WideAnd1686~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1686][7]~q\,
	datab => \led_flash_cnt[1686][0]~q\,
	datac => \WideAnd1686~0_combout\,
	datad => \WideAnd1686~1_combout\,
	combout => \WideAnd1686~combout\);

-- Location: FF_X19_Y21_N7
\led_flash_cnt_ands[1686]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1686~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1686));

-- Location: LCCOMB_X19_Y21_N30
WideAnd4050 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4050~combout\ = (\WideAnd4050~1_combout\ & (led_flash_cnt_ands(1687) & (\WideAnd4050~0_combout\ & led_flash_cnt_ands(1686))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4050~1_combout\,
	datab => led_flash_cnt_ands(1687),
	datac => \WideAnd4050~0_combout\,
	datad => led_flash_cnt_ands(1686),
	combout => \WideAnd4050~combout\);

-- Location: FF_X19_Y21_N31
\led_flash_cnt_ands_1[210]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4050~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(210));

-- Location: LCCOMB_X23_Y19_N2
\led_flash_cnt[1671][0]~82311\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1671][0]~82311_combout\ = !\led_flash_cnt[1671][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1671][0]~q\,
	combout => \led_flash_cnt[1671][0]~82311_combout\);

-- Location: FF_X23_Y19_N3
\led_flash_cnt[1671][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1671][0]~82311_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1671][0]~q\);

-- Location: LCCOMB_X22_Y19_N16
\led_flash_cnt[1671][1]~50274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1671][1]~50274_combout\ = (\led_flash_cnt[1671][0]~q\ & (\led_flash_cnt[1671][1]~q\ $ (VCC))) # (!\led_flash_cnt[1671][0]~q\ & (\led_flash_cnt[1671][1]~q\ & VCC))
-- \led_flash_cnt[1671][1]~50275\ = CARRY((\led_flash_cnt[1671][0]~q\ & \led_flash_cnt[1671][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1671][0]~q\,
	datab => \led_flash_cnt[1671][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1671][1]~50274_combout\,
	cout => \led_flash_cnt[1671][1]~50275\);

-- Location: FF_X22_Y19_N17
\led_flash_cnt[1671][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1671][1]~50274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1671][1]~q\);

-- Location: LCCOMB_X22_Y19_N18
\led_flash_cnt[1671][2]~50276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1671][2]~50276_combout\ = (\led_flash_cnt[1671][2]~q\ & (!\led_flash_cnt[1671][1]~50275\)) # (!\led_flash_cnt[1671][2]~q\ & ((\led_flash_cnt[1671][1]~50275\) # (GND)))
-- \led_flash_cnt[1671][2]~50277\ = CARRY((!\led_flash_cnt[1671][1]~50275\) # (!\led_flash_cnt[1671][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1671][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1671][1]~50275\,
	combout => \led_flash_cnt[1671][2]~50276_combout\,
	cout => \led_flash_cnt[1671][2]~50277\);

-- Location: FF_X22_Y19_N19
\led_flash_cnt[1671][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1671][2]~50276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1671][2]~q\);

-- Location: LCCOMB_X22_Y19_N20
\led_flash_cnt[1671][3]~50278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1671][3]~50278_combout\ = (\led_flash_cnt[1671][3]~q\ & (\led_flash_cnt[1671][2]~50277\ $ (GND))) # (!\led_flash_cnt[1671][3]~q\ & (!\led_flash_cnt[1671][2]~50277\ & VCC))
-- \led_flash_cnt[1671][3]~50279\ = CARRY((\led_flash_cnt[1671][3]~q\ & !\led_flash_cnt[1671][2]~50277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1671][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1671][2]~50277\,
	combout => \led_flash_cnt[1671][3]~50278_combout\,
	cout => \led_flash_cnt[1671][3]~50279\);

-- Location: FF_X22_Y19_N21
\led_flash_cnt[1671][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1671][3]~50278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1671][3]~q\);

-- Location: LCCOMB_X22_Y19_N22
\led_flash_cnt[1671][4]~50280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1671][4]~50280_combout\ = (\led_flash_cnt[1671][4]~q\ & (!\led_flash_cnt[1671][3]~50279\)) # (!\led_flash_cnt[1671][4]~q\ & ((\led_flash_cnt[1671][3]~50279\) # (GND)))
-- \led_flash_cnt[1671][4]~50281\ = CARRY((!\led_flash_cnt[1671][3]~50279\) # (!\led_flash_cnt[1671][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1671][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1671][3]~50279\,
	combout => \led_flash_cnt[1671][4]~50280_combout\,
	cout => \led_flash_cnt[1671][4]~50281\);

-- Location: FF_X22_Y19_N23
\led_flash_cnt[1671][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1671][4]~50280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1671][4]~q\);

-- Location: LCCOMB_X22_Y19_N24
\led_flash_cnt[1671][5]~50282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1671][5]~50282_combout\ = (\led_flash_cnt[1671][5]~q\ & (\led_flash_cnt[1671][4]~50281\ $ (GND))) # (!\led_flash_cnt[1671][5]~q\ & (!\led_flash_cnt[1671][4]~50281\ & VCC))
-- \led_flash_cnt[1671][5]~50283\ = CARRY((\led_flash_cnt[1671][5]~q\ & !\led_flash_cnt[1671][4]~50281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1671][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1671][4]~50281\,
	combout => \led_flash_cnt[1671][5]~50282_combout\,
	cout => \led_flash_cnt[1671][5]~50283\);

-- Location: FF_X22_Y19_N25
\led_flash_cnt[1671][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1671][5]~50282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1671][5]~q\);

-- Location: LCCOMB_X22_Y19_N26
\led_flash_cnt[1671][6]~50284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1671][6]~50284_combout\ = (\led_flash_cnt[1671][6]~q\ & (!\led_flash_cnt[1671][5]~50283\)) # (!\led_flash_cnt[1671][6]~q\ & ((\led_flash_cnt[1671][5]~50283\) # (GND)))
-- \led_flash_cnt[1671][6]~50285\ = CARRY((!\led_flash_cnt[1671][5]~50283\) # (!\led_flash_cnt[1671][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1671][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1671][5]~50283\,
	combout => \led_flash_cnt[1671][6]~50284_combout\,
	cout => \led_flash_cnt[1671][6]~50285\);

-- Location: FF_X22_Y19_N27
\led_flash_cnt[1671][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1671][6]~50284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1671][6]~q\);

-- Location: LCCOMB_X23_Y19_N26
\WideAnd1671~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1671~1_combout\ = (\led_flash_cnt[1671][6]~q\ & \led_flash_cnt[1671][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1671][6]~q\,
	datad => \led_flash_cnt[1671][5]~q\,
	combout => \WideAnd1671~1_combout\);

-- Location: LCCOMB_X22_Y19_N28
\led_flash_cnt[1671][7]~50286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1671][7]~50286_combout\ = \led_flash_cnt[1671][6]~50285\ $ (!\led_flash_cnt[1671][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1671][7]~q\,
	cin => \led_flash_cnt[1671][6]~50285\,
	combout => \led_flash_cnt[1671][7]~50286_combout\);

-- Location: FF_X22_Y19_N29
\led_flash_cnt[1671][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1671][7]~50286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1671][7]~q\);

-- Location: LCCOMB_X22_Y19_N0
\WideAnd1671~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1671~0_combout\ = (\led_flash_cnt[1671][1]~q\ & (\led_flash_cnt[1671][2]~q\ & (\led_flash_cnt[1671][4]~q\ & \led_flash_cnt[1671][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1671][1]~q\,
	datab => \led_flash_cnt[1671][2]~q\,
	datac => \led_flash_cnt[1671][4]~q\,
	datad => \led_flash_cnt[1671][3]~q\,
	combout => \WideAnd1671~0_combout\);

-- Location: LCCOMB_X23_Y19_N28
WideAnd1671 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1671~combout\ = (\WideAnd1671~1_combout\ & (\led_flash_cnt[1671][7]~q\ & (\WideAnd1671~0_combout\ & \led_flash_cnt[1671][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1671~1_combout\,
	datab => \led_flash_cnt[1671][7]~q\,
	datac => \WideAnd1671~0_combout\,
	datad => \led_flash_cnt[1671][0]~q\,
	combout => \WideAnd1671~combout\);

-- Location: FF_X23_Y19_N29
\led_flash_cnt_ands[1671]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1671~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1671));

-- Location: LCCOMB_X35_Y16_N22
\led_flash_cnt[1667][0]~82307\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1667][0]~82307_combout\ = !\led_flash_cnt[1667][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1667][0]~q\,
	combout => \led_flash_cnt[1667][0]~82307_combout\);

-- Location: FF_X35_Y16_N23
\led_flash_cnt[1667][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1667][0]~82307_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1667][0]~q\);

-- Location: LCCOMB_X35_Y16_N4
\led_flash_cnt[1667][1]~50218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1667][1]~50218_combout\ = (\led_flash_cnt[1667][0]~q\ & (\led_flash_cnt[1667][1]~q\ $ (VCC))) # (!\led_flash_cnt[1667][0]~q\ & (\led_flash_cnt[1667][1]~q\ & VCC))
-- \led_flash_cnt[1667][1]~50219\ = CARRY((\led_flash_cnt[1667][0]~q\ & \led_flash_cnt[1667][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1667][0]~q\,
	datab => \led_flash_cnt[1667][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1667][1]~50218_combout\,
	cout => \led_flash_cnt[1667][1]~50219\);

-- Location: FF_X35_Y16_N5
\led_flash_cnt[1667][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1667][1]~50218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1667][1]~q\);

-- Location: LCCOMB_X35_Y16_N6
\led_flash_cnt[1667][2]~50220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1667][2]~50220_combout\ = (\led_flash_cnt[1667][2]~q\ & (!\led_flash_cnt[1667][1]~50219\)) # (!\led_flash_cnt[1667][2]~q\ & ((\led_flash_cnt[1667][1]~50219\) # (GND)))
-- \led_flash_cnt[1667][2]~50221\ = CARRY((!\led_flash_cnt[1667][1]~50219\) # (!\led_flash_cnt[1667][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1667][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1667][1]~50219\,
	combout => \led_flash_cnt[1667][2]~50220_combout\,
	cout => \led_flash_cnt[1667][2]~50221\);

-- Location: FF_X35_Y16_N7
\led_flash_cnt[1667][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1667][2]~50220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1667][2]~q\);

-- Location: LCCOMB_X35_Y16_N8
\led_flash_cnt[1667][3]~50222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1667][3]~50222_combout\ = (\led_flash_cnt[1667][3]~q\ & (\led_flash_cnt[1667][2]~50221\ $ (GND))) # (!\led_flash_cnt[1667][3]~q\ & (!\led_flash_cnt[1667][2]~50221\ & VCC))
-- \led_flash_cnt[1667][3]~50223\ = CARRY((\led_flash_cnt[1667][3]~q\ & !\led_flash_cnt[1667][2]~50221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1667][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1667][2]~50221\,
	combout => \led_flash_cnt[1667][3]~50222_combout\,
	cout => \led_flash_cnt[1667][3]~50223\);

-- Location: FF_X35_Y16_N9
\led_flash_cnt[1667][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1667][3]~50222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1667][3]~q\);

-- Location: LCCOMB_X35_Y16_N10
\led_flash_cnt[1667][4]~50224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1667][4]~50224_combout\ = (\led_flash_cnt[1667][4]~q\ & (!\led_flash_cnt[1667][3]~50223\)) # (!\led_flash_cnt[1667][4]~q\ & ((\led_flash_cnt[1667][3]~50223\) # (GND)))
-- \led_flash_cnt[1667][4]~50225\ = CARRY((!\led_flash_cnt[1667][3]~50223\) # (!\led_flash_cnt[1667][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1667][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1667][3]~50223\,
	combout => \led_flash_cnt[1667][4]~50224_combout\,
	cout => \led_flash_cnt[1667][4]~50225\);

-- Location: FF_X35_Y16_N11
\led_flash_cnt[1667][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1667][4]~50224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1667][4]~q\);

-- Location: LCCOMB_X35_Y16_N12
\led_flash_cnt[1667][5]~50226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1667][5]~50226_combout\ = (\led_flash_cnt[1667][5]~q\ & (\led_flash_cnt[1667][4]~50225\ $ (GND))) # (!\led_flash_cnt[1667][5]~q\ & (!\led_flash_cnt[1667][4]~50225\ & VCC))
-- \led_flash_cnt[1667][5]~50227\ = CARRY((\led_flash_cnt[1667][5]~q\ & !\led_flash_cnt[1667][4]~50225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1667][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1667][4]~50225\,
	combout => \led_flash_cnt[1667][5]~50226_combout\,
	cout => \led_flash_cnt[1667][5]~50227\);

-- Location: FF_X35_Y16_N13
\led_flash_cnt[1667][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1667][5]~50226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1667][5]~q\);

-- Location: LCCOMB_X35_Y16_N14
\led_flash_cnt[1667][6]~50228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1667][6]~50228_combout\ = (\led_flash_cnt[1667][6]~q\ & (!\led_flash_cnt[1667][5]~50227\)) # (!\led_flash_cnt[1667][6]~q\ & ((\led_flash_cnt[1667][5]~50227\) # (GND)))
-- \led_flash_cnt[1667][6]~50229\ = CARRY((!\led_flash_cnt[1667][5]~50227\) # (!\led_flash_cnt[1667][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1667][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1667][5]~50227\,
	combout => \led_flash_cnt[1667][6]~50228_combout\,
	cout => \led_flash_cnt[1667][6]~50229\);

-- Location: FF_X35_Y16_N15
\led_flash_cnt[1667][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1667][6]~50228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1667][6]~q\);

-- Location: LCCOMB_X35_Y16_N16
\led_flash_cnt[1667][7]~50230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1667][7]~50230_combout\ = \led_flash_cnt[1667][6]~50229\ $ (!\led_flash_cnt[1667][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1667][7]~q\,
	cin => \led_flash_cnt[1667][6]~50229\,
	combout => \led_flash_cnt[1667][7]~50230_combout\);

-- Location: FF_X35_Y16_N17
\led_flash_cnt[1667][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1667][7]~50230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1667][7]~q\);

-- Location: LCCOMB_X35_Y16_N26
\WideAnd1667~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1667~1_combout\ = (\led_flash_cnt[1667][6]~q\ & \led_flash_cnt[1667][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1667][6]~q\,
	datad => \led_flash_cnt[1667][5]~q\,
	combout => \WideAnd1667~1_combout\);

-- Location: LCCOMB_X35_Y16_N18
\WideAnd1667~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1667~0_combout\ = (\led_flash_cnt[1667][4]~q\ & (\led_flash_cnt[1667][1]~q\ & (\led_flash_cnt[1667][3]~q\ & \led_flash_cnt[1667][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1667][4]~q\,
	datab => \led_flash_cnt[1667][1]~q\,
	datac => \led_flash_cnt[1667][3]~q\,
	datad => \led_flash_cnt[1667][2]~q\,
	combout => \WideAnd1667~0_combout\);

-- Location: LCCOMB_X35_Y16_N20
WideAnd1667 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1667~combout\ = (\led_flash_cnt[1667][0]~q\ & (\led_flash_cnt[1667][7]~q\ & (\WideAnd1667~1_combout\ & \WideAnd1667~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1667][0]~q\,
	datab => \led_flash_cnt[1667][7]~q\,
	datac => \WideAnd1667~1_combout\,
	datad => \WideAnd1667~0_combout\,
	combout => \WideAnd1667~combout\);

-- Location: FF_X35_Y16_N21
\led_flash_cnt_ands[1667]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1667~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1667));

-- Location: LCCOMB_X23_Y19_N8
\led_flash_cnt[1666][0]~82306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1666][0]~82306_combout\ = !\led_flash_cnt[1666][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1666][0]~q\,
	combout => \led_flash_cnt[1666][0]~82306_combout\);

-- Location: FF_X23_Y19_N9
\led_flash_cnt[1666][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1666][0]~82306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1666][0]~q\);

-- Location: LCCOMB_X23_Y19_N10
\led_flash_cnt[1666][1]~50204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1666][1]~50204_combout\ = (\led_flash_cnt[1666][1]~q\ & (\led_flash_cnt[1666][0]~q\ $ (VCC))) # (!\led_flash_cnt[1666][1]~q\ & (\led_flash_cnt[1666][0]~q\ & VCC))
-- \led_flash_cnt[1666][1]~50205\ = CARRY((\led_flash_cnt[1666][1]~q\ & \led_flash_cnt[1666][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1666][1]~q\,
	datab => \led_flash_cnt[1666][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1666][1]~50204_combout\,
	cout => \led_flash_cnt[1666][1]~50205\);

-- Location: FF_X23_Y19_N11
\led_flash_cnt[1666][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1666][1]~50204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1666][1]~q\);

-- Location: LCCOMB_X23_Y19_N12
\led_flash_cnt[1666][2]~50206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1666][2]~50206_combout\ = (\led_flash_cnt[1666][2]~q\ & (!\led_flash_cnt[1666][1]~50205\)) # (!\led_flash_cnt[1666][2]~q\ & ((\led_flash_cnt[1666][1]~50205\) # (GND)))
-- \led_flash_cnt[1666][2]~50207\ = CARRY((!\led_flash_cnt[1666][1]~50205\) # (!\led_flash_cnt[1666][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1666][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1666][1]~50205\,
	combout => \led_flash_cnt[1666][2]~50206_combout\,
	cout => \led_flash_cnt[1666][2]~50207\);

-- Location: FF_X23_Y19_N13
\led_flash_cnt[1666][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1666][2]~50206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1666][2]~q\);

-- Location: LCCOMB_X23_Y19_N14
\led_flash_cnt[1666][3]~50208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1666][3]~50208_combout\ = (\led_flash_cnt[1666][3]~q\ & (\led_flash_cnt[1666][2]~50207\ $ (GND))) # (!\led_flash_cnt[1666][3]~q\ & (!\led_flash_cnt[1666][2]~50207\ & VCC))
-- \led_flash_cnt[1666][3]~50209\ = CARRY((\led_flash_cnt[1666][3]~q\ & !\led_flash_cnt[1666][2]~50207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1666][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1666][2]~50207\,
	combout => \led_flash_cnt[1666][3]~50208_combout\,
	cout => \led_flash_cnt[1666][3]~50209\);

-- Location: FF_X23_Y19_N15
\led_flash_cnt[1666][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1666][3]~50208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1666][3]~q\);

-- Location: LCCOMB_X23_Y19_N16
\led_flash_cnt[1666][4]~50210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1666][4]~50210_combout\ = (\led_flash_cnt[1666][4]~q\ & (!\led_flash_cnt[1666][3]~50209\)) # (!\led_flash_cnt[1666][4]~q\ & ((\led_flash_cnt[1666][3]~50209\) # (GND)))
-- \led_flash_cnt[1666][4]~50211\ = CARRY((!\led_flash_cnt[1666][3]~50209\) # (!\led_flash_cnt[1666][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1666][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1666][3]~50209\,
	combout => \led_flash_cnt[1666][4]~50210_combout\,
	cout => \led_flash_cnt[1666][4]~50211\);

-- Location: FF_X23_Y19_N17
\led_flash_cnt[1666][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1666][4]~50210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1666][4]~q\);

-- Location: LCCOMB_X23_Y19_N30
\WideAnd1666~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1666~0_combout\ = (\led_flash_cnt[1666][2]~q\ & (\led_flash_cnt[1666][4]~q\ & (\led_flash_cnt[1666][3]~q\ & \led_flash_cnt[1666][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1666][2]~q\,
	datab => \led_flash_cnt[1666][4]~q\,
	datac => \led_flash_cnt[1666][3]~q\,
	datad => \led_flash_cnt[1666][1]~q\,
	combout => \WideAnd1666~0_combout\);

-- Location: LCCOMB_X23_Y19_N18
\led_flash_cnt[1666][5]~50212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1666][5]~50212_combout\ = (\led_flash_cnt[1666][5]~q\ & (\led_flash_cnt[1666][4]~50211\ $ (GND))) # (!\led_flash_cnt[1666][5]~q\ & (!\led_flash_cnt[1666][4]~50211\ & VCC))
-- \led_flash_cnt[1666][5]~50213\ = CARRY((\led_flash_cnt[1666][5]~q\ & !\led_flash_cnt[1666][4]~50211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1666][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1666][4]~50211\,
	combout => \led_flash_cnt[1666][5]~50212_combout\,
	cout => \led_flash_cnt[1666][5]~50213\);

-- Location: FF_X23_Y19_N19
\led_flash_cnt[1666][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1666][5]~50212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1666][5]~q\);

-- Location: LCCOMB_X23_Y19_N20
\led_flash_cnt[1666][6]~50214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1666][6]~50214_combout\ = (\led_flash_cnt[1666][6]~q\ & (!\led_flash_cnt[1666][5]~50213\)) # (!\led_flash_cnt[1666][6]~q\ & ((\led_flash_cnt[1666][5]~50213\) # (GND)))
-- \led_flash_cnt[1666][6]~50215\ = CARRY((!\led_flash_cnt[1666][5]~50213\) # (!\led_flash_cnt[1666][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1666][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1666][5]~50213\,
	combout => \led_flash_cnt[1666][6]~50214_combout\,
	cout => \led_flash_cnt[1666][6]~50215\);

-- Location: FF_X23_Y19_N21
\led_flash_cnt[1666][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1666][6]~50214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1666][6]~q\);

-- Location: LCCOMB_X23_Y19_N22
\led_flash_cnt[1666][7]~50216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1666][7]~50216_combout\ = \led_flash_cnt[1666][7]~q\ $ (!\led_flash_cnt[1666][6]~50215\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1666][7]~q\,
	cin => \led_flash_cnt[1666][6]~50215\,
	combout => \led_flash_cnt[1666][7]~50216_combout\);

-- Location: FF_X23_Y19_N23
\led_flash_cnt[1666][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1666][7]~50216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1666][7]~q\);

-- Location: LCCOMB_X23_Y19_N24
\WideAnd1666~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1666~1_combout\ = (\led_flash_cnt[1666][6]~q\ & \led_flash_cnt[1666][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1666][6]~q\,
	datad => \led_flash_cnt[1666][5]~q\,
	combout => \WideAnd1666~1_combout\);

-- Location: LCCOMB_X23_Y19_N4
WideAnd1666 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1666~combout\ = (\WideAnd1666~0_combout\ & (\led_flash_cnt[1666][0]~q\ & (\led_flash_cnt[1666][7]~q\ & \WideAnd1666~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1666~0_combout\,
	datab => \led_flash_cnt[1666][0]~q\,
	datac => \led_flash_cnt[1666][7]~q\,
	datad => \WideAnd1666~1_combout\,
	combout => \WideAnd1666~combout\);

-- Location: FF_X23_Y19_N5
\led_flash_cnt_ands[1666]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1666~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1666));

-- Location: LCCOMB_X15_Y21_N24
\led_flash_cnt[1664][0]~82304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1664][0]~82304_combout\ = !\led_flash_cnt[1664][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1664][0]~q\,
	combout => \led_flash_cnt[1664][0]~82304_combout\);

-- Location: FF_X15_Y21_N25
\led_flash_cnt[1664][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1664][0]~82304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1664][0]~q\);

-- Location: LCCOMB_X15_Y21_N8
\led_flash_cnt[1664][1]~50176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1664][1]~50176_combout\ = (\led_flash_cnt[1664][1]~q\ & (\led_flash_cnt[1664][0]~q\ $ (VCC))) # (!\led_flash_cnt[1664][1]~q\ & (\led_flash_cnt[1664][0]~q\ & VCC))
-- \led_flash_cnt[1664][1]~50177\ = CARRY((\led_flash_cnt[1664][1]~q\ & \led_flash_cnt[1664][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1664][1]~q\,
	datab => \led_flash_cnt[1664][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1664][1]~50176_combout\,
	cout => \led_flash_cnt[1664][1]~50177\);

-- Location: FF_X15_Y21_N9
\led_flash_cnt[1664][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1664][1]~50176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1664][1]~q\);

-- Location: LCCOMB_X15_Y21_N10
\led_flash_cnt[1664][2]~50178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1664][2]~50178_combout\ = (\led_flash_cnt[1664][2]~q\ & (!\led_flash_cnt[1664][1]~50177\)) # (!\led_flash_cnt[1664][2]~q\ & ((\led_flash_cnt[1664][1]~50177\) # (GND)))
-- \led_flash_cnt[1664][2]~50179\ = CARRY((!\led_flash_cnt[1664][1]~50177\) # (!\led_flash_cnt[1664][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1664][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1664][1]~50177\,
	combout => \led_flash_cnt[1664][2]~50178_combout\,
	cout => \led_flash_cnt[1664][2]~50179\);

-- Location: FF_X15_Y21_N11
\led_flash_cnt[1664][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1664][2]~50178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1664][2]~q\);

-- Location: LCCOMB_X15_Y21_N12
\led_flash_cnt[1664][3]~50180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1664][3]~50180_combout\ = (\led_flash_cnt[1664][3]~q\ & (\led_flash_cnt[1664][2]~50179\ $ (GND))) # (!\led_flash_cnt[1664][3]~q\ & (!\led_flash_cnt[1664][2]~50179\ & VCC))
-- \led_flash_cnt[1664][3]~50181\ = CARRY((\led_flash_cnt[1664][3]~q\ & !\led_flash_cnt[1664][2]~50179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1664][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1664][2]~50179\,
	combout => \led_flash_cnt[1664][3]~50180_combout\,
	cout => \led_flash_cnt[1664][3]~50181\);

-- Location: FF_X15_Y21_N13
\led_flash_cnt[1664][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1664][3]~50180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1664][3]~q\);

-- Location: LCCOMB_X15_Y21_N14
\led_flash_cnt[1664][4]~50182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1664][4]~50182_combout\ = (\led_flash_cnt[1664][4]~q\ & (!\led_flash_cnt[1664][3]~50181\)) # (!\led_flash_cnt[1664][4]~q\ & ((\led_flash_cnt[1664][3]~50181\) # (GND)))
-- \led_flash_cnt[1664][4]~50183\ = CARRY((!\led_flash_cnt[1664][3]~50181\) # (!\led_flash_cnt[1664][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1664][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1664][3]~50181\,
	combout => \led_flash_cnt[1664][4]~50182_combout\,
	cout => \led_flash_cnt[1664][4]~50183\);

-- Location: FF_X15_Y21_N15
\led_flash_cnt[1664][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1664][4]~50182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1664][4]~q\);

-- Location: LCCOMB_X15_Y21_N26
\WideAnd1664~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1664~0_combout\ = (\led_flash_cnt[1664][3]~q\ & (\led_flash_cnt[1664][4]~q\ & (\led_flash_cnt[1664][1]~q\ & \led_flash_cnt[1664][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1664][3]~q\,
	datab => \led_flash_cnt[1664][4]~q\,
	datac => \led_flash_cnt[1664][1]~q\,
	datad => \led_flash_cnt[1664][2]~q\,
	combout => \WideAnd1664~0_combout\);

-- Location: LCCOMB_X15_Y21_N16
\led_flash_cnt[1664][5]~50184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1664][5]~50184_combout\ = (\led_flash_cnt[1664][5]~q\ & (\led_flash_cnt[1664][4]~50183\ $ (GND))) # (!\led_flash_cnt[1664][5]~q\ & (!\led_flash_cnt[1664][4]~50183\ & VCC))
-- \led_flash_cnt[1664][5]~50185\ = CARRY((\led_flash_cnt[1664][5]~q\ & !\led_flash_cnt[1664][4]~50183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1664][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1664][4]~50183\,
	combout => \led_flash_cnt[1664][5]~50184_combout\,
	cout => \led_flash_cnt[1664][5]~50185\);

-- Location: FF_X15_Y21_N17
\led_flash_cnt[1664][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1664][5]~50184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1664][5]~q\);

-- Location: LCCOMB_X15_Y21_N18
\led_flash_cnt[1664][6]~50186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1664][6]~50186_combout\ = (\led_flash_cnt[1664][6]~q\ & (!\led_flash_cnt[1664][5]~50185\)) # (!\led_flash_cnt[1664][6]~q\ & ((\led_flash_cnt[1664][5]~50185\) # (GND)))
-- \led_flash_cnt[1664][6]~50187\ = CARRY((!\led_flash_cnt[1664][5]~50185\) # (!\led_flash_cnt[1664][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1664][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1664][5]~50185\,
	combout => \led_flash_cnt[1664][6]~50186_combout\,
	cout => \led_flash_cnt[1664][6]~50187\);

-- Location: FF_X15_Y21_N19
\led_flash_cnt[1664][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1664][6]~50186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1664][6]~q\);

-- Location: LCCOMB_X15_Y21_N20
\led_flash_cnt[1664][7]~50188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1664][7]~50188_combout\ = \led_flash_cnt[1664][6]~50187\ $ (!\led_flash_cnt[1664][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1664][7]~q\,
	cin => \led_flash_cnt[1664][6]~50187\,
	combout => \led_flash_cnt[1664][7]~50188_combout\);

-- Location: FF_X15_Y21_N21
\led_flash_cnt[1664][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1664][7]~50188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1664][7]~q\);

-- Location: LCCOMB_X15_Y21_N30
\WideAnd1664~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1664~1_combout\ = (\led_flash_cnt[1664][6]~q\ & \led_flash_cnt[1664][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1664][6]~q\,
	datad => \led_flash_cnt[1664][5]~q\,
	combout => \WideAnd1664~1_combout\);

-- Location: LCCOMB_X15_Y21_N6
WideAnd1664 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1664~combout\ = (\WideAnd1664~0_combout\ & (\led_flash_cnt[1664][7]~q\ & (\WideAnd1664~1_combout\ & \led_flash_cnt[1664][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1664~0_combout\,
	datab => \led_flash_cnt[1664][7]~q\,
	datac => \WideAnd1664~1_combout\,
	datad => \led_flash_cnt[1664][0]~q\,
	combout => \WideAnd1664~combout\);

-- Location: FF_X15_Y21_N7
\led_flash_cnt_ands[1664]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1664~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1664));

-- Location: LCCOMB_X18_Y16_N22
\led_flash_cnt[1665][0]~82305\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1665][0]~82305_combout\ = !\led_flash_cnt[1665][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1665][0]~q\,
	combout => \led_flash_cnt[1665][0]~82305_combout\);

-- Location: FF_X18_Y16_N23
\led_flash_cnt[1665][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1665][0]~82305_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1665][0]~q\);

-- Location: LCCOMB_X18_Y16_N4
\led_flash_cnt[1665][1]~50190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1665][1]~50190_combout\ = (\led_flash_cnt[1665][0]~q\ & (\led_flash_cnt[1665][1]~q\ $ (VCC))) # (!\led_flash_cnt[1665][0]~q\ & (\led_flash_cnt[1665][1]~q\ & VCC))
-- \led_flash_cnt[1665][1]~50191\ = CARRY((\led_flash_cnt[1665][0]~q\ & \led_flash_cnt[1665][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1665][0]~q\,
	datab => \led_flash_cnt[1665][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1665][1]~50190_combout\,
	cout => \led_flash_cnt[1665][1]~50191\);

-- Location: FF_X18_Y16_N5
\led_flash_cnt[1665][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1665][1]~50190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1665][1]~q\);

-- Location: LCCOMB_X18_Y16_N6
\led_flash_cnt[1665][2]~50192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1665][2]~50192_combout\ = (\led_flash_cnt[1665][2]~q\ & (!\led_flash_cnt[1665][1]~50191\)) # (!\led_flash_cnt[1665][2]~q\ & ((\led_flash_cnt[1665][1]~50191\) # (GND)))
-- \led_flash_cnt[1665][2]~50193\ = CARRY((!\led_flash_cnt[1665][1]~50191\) # (!\led_flash_cnt[1665][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1665][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1665][1]~50191\,
	combout => \led_flash_cnt[1665][2]~50192_combout\,
	cout => \led_flash_cnt[1665][2]~50193\);

-- Location: FF_X18_Y16_N7
\led_flash_cnt[1665][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1665][2]~50192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1665][2]~q\);

-- Location: LCCOMB_X18_Y16_N8
\led_flash_cnt[1665][3]~50194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1665][3]~50194_combout\ = (\led_flash_cnt[1665][3]~q\ & (\led_flash_cnt[1665][2]~50193\ $ (GND))) # (!\led_flash_cnt[1665][3]~q\ & (!\led_flash_cnt[1665][2]~50193\ & VCC))
-- \led_flash_cnt[1665][3]~50195\ = CARRY((\led_flash_cnt[1665][3]~q\ & !\led_flash_cnt[1665][2]~50193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1665][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1665][2]~50193\,
	combout => \led_flash_cnt[1665][3]~50194_combout\,
	cout => \led_flash_cnt[1665][3]~50195\);

-- Location: FF_X18_Y16_N9
\led_flash_cnt[1665][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1665][3]~50194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1665][3]~q\);

-- Location: LCCOMB_X18_Y16_N10
\led_flash_cnt[1665][4]~50196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1665][4]~50196_combout\ = (\led_flash_cnt[1665][4]~q\ & (!\led_flash_cnt[1665][3]~50195\)) # (!\led_flash_cnt[1665][4]~q\ & ((\led_flash_cnt[1665][3]~50195\) # (GND)))
-- \led_flash_cnt[1665][4]~50197\ = CARRY((!\led_flash_cnt[1665][3]~50195\) # (!\led_flash_cnt[1665][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1665][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1665][3]~50195\,
	combout => \led_flash_cnt[1665][4]~50196_combout\,
	cout => \led_flash_cnt[1665][4]~50197\);

-- Location: FF_X18_Y16_N11
\led_flash_cnt[1665][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1665][4]~50196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1665][4]~q\);

-- Location: LCCOMB_X18_Y16_N12
\led_flash_cnt[1665][5]~50198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1665][5]~50198_combout\ = (\led_flash_cnt[1665][5]~q\ & (\led_flash_cnt[1665][4]~50197\ $ (GND))) # (!\led_flash_cnt[1665][5]~q\ & (!\led_flash_cnt[1665][4]~50197\ & VCC))
-- \led_flash_cnt[1665][5]~50199\ = CARRY((\led_flash_cnt[1665][5]~q\ & !\led_flash_cnt[1665][4]~50197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1665][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1665][4]~50197\,
	combout => \led_flash_cnt[1665][5]~50198_combout\,
	cout => \led_flash_cnt[1665][5]~50199\);

-- Location: FF_X18_Y16_N13
\led_flash_cnt[1665][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1665][5]~50198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1665][5]~q\);

-- Location: LCCOMB_X18_Y16_N14
\led_flash_cnt[1665][6]~50200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1665][6]~50200_combout\ = (\led_flash_cnt[1665][6]~q\ & (!\led_flash_cnt[1665][5]~50199\)) # (!\led_flash_cnt[1665][6]~q\ & ((\led_flash_cnt[1665][5]~50199\) # (GND)))
-- \led_flash_cnt[1665][6]~50201\ = CARRY((!\led_flash_cnt[1665][5]~50199\) # (!\led_flash_cnt[1665][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1665][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1665][5]~50199\,
	combout => \led_flash_cnt[1665][6]~50200_combout\,
	cout => \led_flash_cnt[1665][6]~50201\);

-- Location: FF_X18_Y16_N15
\led_flash_cnt[1665][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1665][6]~50200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1665][6]~q\);

-- Location: LCCOMB_X18_Y16_N16
\led_flash_cnt[1665][7]~50202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1665][7]~50202_combout\ = \led_flash_cnt[1665][6]~50201\ $ (!\led_flash_cnt[1665][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1665][7]~q\,
	cin => \led_flash_cnt[1665][6]~50201\,
	combout => \led_flash_cnt[1665][7]~50202_combout\);

-- Location: FF_X18_Y16_N17
\led_flash_cnt[1665][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1665][7]~50202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1665][7]~q\);

-- Location: LCCOMB_X18_Y16_N30
\WideAnd1665~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1665~1_combout\ = (\led_flash_cnt[1665][6]~q\ & \led_flash_cnt[1665][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1665][6]~q\,
	datad => \led_flash_cnt[1665][5]~q\,
	combout => \WideAnd1665~1_combout\);

-- Location: LCCOMB_X18_Y16_N20
\WideAnd1665~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1665~0_combout\ = (\led_flash_cnt[1665][4]~q\ & (\led_flash_cnt[1665][1]~q\ & (\led_flash_cnt[1665][3]~q\ & \led_flash_cnt[1665][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1665][4]~q\,
	datab => \led_flash_cnt[1665][1]~q\,
	datac => \led_flash_cnt[1665][3]~q\,
	datad => \led_flash_cnt[1665][2]~q\,
	combout => \WideAnd1665~0_combout\);

-- Location: LCCOMB_X18_Y16_N24
WideAnd1665 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1665~combout\ = (\led_flash_cnt[1665][0]~q\ & (\led_flash_cnt[1665][7]~q\ & (\WideAnd1665~1_combout\ & \WideAnd1665~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1665][0]~q\,
	datab => \led_flash_cnt[1665][7]~q\,
	datac => \WideAnd1665~1_combout\,
	datad => \WideAnd1665~0_combout\,
	combout => \WideAnd1665~combout\);

-- Location: FF_X18_Y16_N25
\led_flash_cnt_ands[1665]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1665~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1665));

-- Location: LCCOMB_X18_Y16_N2
\WideAnd4048~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4048~0_combout\ = (led_flash_cnt_ands(1667) & (led_flash_cnt_ands(1666) & (led_flash_cnt_ands(1664) & led_flash_cnt_ands(1665))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1667),
	datab => led_flash_cnt_ands(1666),
	datac => led_flash_cnt_ands(1664),
	datad => led_flash_cnt_ands(1665),
	combout => \WideAnd4048~0_combout\);

-- Location: LCCOMB_X6_Y16_N22
\led_flash_cnt[1668][0]~82308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1668][0]~82308_combout\ = !\led_flash_cnt[1668][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1668][0]~q\,
	combout => \led_flash_cnt[1668][0]~82308_combout\);

-- Location: FF_X10_Y16_N1
\led_flash_cnt[1668][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \led_flash_cnt[1668][0]~82308_combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1668][0]~q\);

-- Location: LCCOMB_X10_Y16_N6
\led_flash_cnt[1668][1]~50232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1668][1]~50232_combout\ = (\led_flash_cnt[1668][1]~q\ & (\led_flash_cnt[1668][0]~q\ $ (VCC))) # (!\led_flash_cnt[1668][1]~q\ & (\led_flash_cnt[1668][0]~q\ & VCC))
-- \led_flash_cnt[1668][1]~50233\ = CARRY((\led_flash_cnt[1668][1]~q\ & \led_flash_cnt[1668][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1668][1]~q\,
	datab => \led_flash_cnt[1668][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1668][1]~50232_combout\,
	cout => \led_flash_cnt[1668][1]~50233\);

-- Location: FF_X10_Y16_N7
\led_flash_cnt[1668][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1668][1]~50232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1668][1]~q\);

-- Location: LCCOMB_X10_Y16_N8
\led_flash_cnt[1668][2]~50234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1668][2]~50234_combout\ = (\led_flash_cnt[1668][2]~q\ & (!\led_flash_cnt[1668][1]~50233\)) # (!\led_flash_cnt[1668][2]~q\ & ((\led_flash_cnt[1668][1]~50233\) # (GND)))
-- \led_flash_cnt[1668][2]~50235\ = CARRY((!\led_flash_cnt[1668][1]~50233\) # (!\led_flash_cnt[1668][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1668][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1668][1]~50233\,
	combout => \led_flash_cnt[1668][2]~50234_combout\,
	cout => \led_flash_cnt[1668][2]~50235\);

-- Location: FF_X10_Y16_N9
\led_flash_cnt[1668][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1668][2]~50234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1668][2]~q\);

-- Location: LCCOMB_X10_Y16_N10
\led_flash_cnt[1668][3]~50236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1668][3]~50236_combout\ = (\led_flash_cnt[1668][3]~q\ & (\led_flash_cnt[1668][2]~50235\ $ (GND))) # (!\led_flash_cnt[1668][3]~q\ & (!\led_flash_cnt[1668][2]~50235\ & VCC))
-- \led_flash_cnt[1668][3]~50237\ = CARRY((\led_flash_cnt[1668][3]~q\ & !\led_flash_cnt[1668][2]~50235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1668][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1668][2]~50235\,
	combout => \led_flash_cnt[1668][3]~50236_combout\,
	cout => \led_flash_cnt[1668][3]~50237\);

-- Location: FF_X10_Y16_N11
\led_flash_cnt[1668][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1668][3]~50236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1668][3]~q\);

-- Location: LCCOMB_X10_Y16_N12
\led_flash_cnt[1668][4]~50238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1668][4]~50238_combout\ = (\led_flash_cnt[1668][4]~q\ & (!\led_flash_cnt[1668][3]~50237\)) # (!\led_flash_cnt[1668][4]~q\ & ((\led_flash_cnt[1668][3]~50237\) # (GND)))
-- \led_flash_cnt[1668][4]~50239\ = CARRY((!\led_flash_cnt[1668][3]~50237\) # (!\led_flash_cnt[1668][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1668][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1668][3]~50237\,
	combout => \led_flash_cnt[1668][4]~50238_combout\,
	cout => \led_flash_cnt[1668][4]~50239\);

-- Location: FF_X10_Y16_N13
\led_flash_cnt[1668][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1668][4]~50238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1668][4]~q\);

-- Location: LCCOMB_X10_Y16_N30
\WideAnd1668~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1668~0_combout\ = (\led_flash_cnt[1668][3]~q\ & (\led_flash_cnt[1668][2]~q\ & (\led_flash_cnt[1668][4]~q\ & \led_flash_cnt[1668][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1668][3]~q\,
	datab => \led_flash_cnt[1668][2]~q\,
	datac => \led_flash_cnt[1668][4]~q\,
	datad => \led_flash_cnt[1668][1]~q\,
	combout => \WideAnd1668~0_combout\);

-- Location: LCCOMB_X10_Y16_N14
\led_flash_cnt[1668][5]~50240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1668][5]~50240_combout\ = (\led_flash_cnt[1668][5]~q\ & (\led_flash_cnt[1668][4]~50239\ $ (GND))) # (!\led_flash_cnt[1668][5]~q\ & (!\led_flash_cnt[1668][4]~50239\ & VCC))
-- \led_flash_cnt[1668][5]~50241\ = CARRY((\led_flash_cnt[1668][5]~q\ & !\led_flash_cnt[1668][4]~50239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1668][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1668][4]~50239\,
	combout => \led_flash_cnt[1668][5]~50240_combout\,
	cout => \led_flash_cnt[1668][5]~50241\);

-- Location: FF_X10_Y16_N15
\led_flash_cnt[1668][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1668][5]~50240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1668][5]~q\);

-- Location: LCCOMB_X10_Y16_N16
\led_flash_cnt[1668][6]~50242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1668][6]~50242_combout\ = (\led_flash_cnt[1668][6]~q\ & (!\led_flash_cnt[1668][5]~50241\)) # (!\led_flash_cnt[1668][6]~q\ & ((\led_flash_cnt[1668][5]~50241\) # (GND)))
-- \led_flash_cnt[1668][6]~50243\ = CARRY((!\led_flash_cnt[1668][5]~50241\) # (!\led_flash_cnt[1668][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1668][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1668][5]~50241\,
	combout => \led_flash_cnt[1668][6]~50242_combout\,
	cout => \led_flash_cnt[1668][6]~50243\);

-- Location: FF_X10_Y16_N17
\led_flash_cnt[1668][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1668][6]~50242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1668][6]~q\);

-- Location: LCCOMB_X10_Y16_N4
\WideAnd1668~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1668~1_combout\ = (\led_flash_cnt[1668][5]~q\ & \led_flash_cnt[1668][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1668][5]~q\,
	datad => \led_flash_cnt[1668][6]~q\,
	combout => \WideAnd1668~1_combout\);

-- Location: LCCOMB_X10_Y16_N18
\led_flash_cnt[1668][7]~50244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1668][7]~50244_combout\ = \led_flash_cnt[1668][6]~50243\ $ (!\led_flash_cnt[1668][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1668][7]~q\,
	cin => \led_flash_cnt[1668][6]~50243\,
	combout => \led_flash_cnt[1668][7]~50244_combout\);

-- Location: FF_X10_Y16_N19
\led_flash_cnt[1668][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1668][7]~50244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1668][7]~q\);

-- Location: LCCOMB_X10_Y16_N26
WideAnd1668 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1668~combout\ = (\WideAnd1668~0_combout\ & (\led_flash_cnt[1668][0]~q\ & (\WideAnd1668~1_combout\ & \led_flash_cnt[1668][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1668~0_combout\,
	datab => \led_flash_cnt[1668][0]~q\,
	datac => \WideAnd1668~1_combout\,
	datad => \led_flash_cnt[1668][7]~q\,
	combout => \WideAnd1668~combout\);

-- Location: FF_X10_Y16_N27
\led_flash_cnt_ands[1668]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1668~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1668));

-- Location: LCCOMB_X10_Y16_N2
\led_flash_cnt[1669][0]~82309\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1669][0]~82309_combout\ = !\led_flash_cnt[1669][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1669][0]~q\,
	combout => \led_flash_cnt[1669][0]~82309_combout\);

-- Location: FF_X10_Y16_N3
\led_flash_cnt[1669][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1669][0]~82309_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1669][0]~q\);

-- Location: LCCOMB_X9_Y16_N18
\led_flash_cnt[1669][1]~50246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1669][1]~50246_combout\ = (\led_flash_cnt[1669][0]~q\ & (\led_flash_cnt[1669][1]~q\ $ (VCC))) # (!\led_flash_cnt[1669][0]~q\ & (\led_flash_cnt[1669][1]~q\ & VCC))
-- \led_flash_cnt[1669][1]~50247\ = CARRY((\led_flash_cnt[1669][0]~q\ & \led_flash_cnt[1669][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1669][0]~q\,
	datab => \led_flash_cnt[1669][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1669][1]~50246_combout\,
	cout => \led_flash_cnt[1669][1]~50247\);

-- Location: FF_X9_Y16_N19
\led_flash_cnt[1669][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1669][1]~50246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1669][1]~q\);

-- Location: LCCOMB_X9_Y16_N20
\led_flash_cnt[1669][2]~50248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1669][2]~50248_combout\ = (\led_flash_cnt[1669][2]~q\ & (!\led_flash_cnt[1669][1]~50247\)) # (!\led_flash_cnt[1669][2]~q\ & ((\led_flash_cnt[1669][1]~50247\) # (GND)))
-- \led_flash_cnt[1669][2]~50249\ = CARRY((!\led_flash_cnt[1669][1]~50247\) # (!\led_flash_cnt[1669][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1669][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1669][1]~50247\,
	combout => \led_flash_cnt[1669][2]~50248_combout\,
	cout => \led_flash_cnt[1669][2]~50249\);

-- Location: FF_X9_Y16_N21
\led_flash_cnt[1669][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1669][2]~50248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1669][2]~q\);

-- Location: LCCOMB_X9_Y16_N22
\led_flash_cnt[1669][3]~50250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1669][3]~50250_combout\ = (\led_flash_cnt[1669][3]~q\ & (\led_flash_cnt[1669][2]~50249\ $ (GND))) # (!\led_flash_cnt[1669][3]~q\ & (!\led_flash_cnt[1669][2]~50249\ & VCC))
-- \led_flash_cnt[1669][3]~50251\ = CARRY((\led_flash_cnt[1669][3]~q\ & !\led_flash_cnt[1669][2]~50249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1669][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1669][2]~50249\,
	combout => \led_flash_cnt[1669][3]~50250_combout\,
	cout => \led_flash_cnt[1669][3]~50251\);

-- Location: FF_X9_Y16_N23
\led_flash_cnt[1669][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1669][3]~50250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1669][3]~q\);

-- Location: LCCOMB_X9_Y16_N24
\led_flash_cnt[1669][4]~50252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1669][4]~50252_combout\ = (\led_flash_cnt[1669][4]~q\ & (!\led_flash_cnt[1669][3]~50251\)) # (!\led_flash_cnt[1669][4]~q\ & ((\led_flash_cnt[1669][3]~50251\) # (GND)))
-- \led_flash_cnt[1669][4]~50253\ = CARRY((!\led_flash_cnt[1669][3]~50251\) # (!\led_flash_cnt[1669][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1669][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1669][3]~50251\,
	combout => \led_flash_cnt[1669][4]~50252_combout\,
	cout => \led_flash_cnt[1669][4]~50253\);

-- Location: FF_X9_Y16_N25
\led_flash_cnt[1669][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1669][4]~50252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1669][4]~q\);

-- Location: LCCOMB_X9_Y16_N26
\led_flash_cnt[1669][5]~50254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1669][5]~50254_combout\ = (\led_flash_cnt[1669][5]~q\ & (\led_flash_cnt[1669][4]~50253\ $ (GND))) # (!\led_flash_cnt[1669][5]~q\ & (!\led_flash_cnt[1669][4]~50253\ & VCC))
-- \led_flash_cnt[1669][5]~50255\ = CARRY((\led_flash_cnt[1669][5]~q\ & !\led_flash_cnt[1669][4]~50253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1669][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1669][4]~50253\,
	combout => \led_flash_cnt[1669][5]~50254_combout\,
	cout => \led_flash_cnt[1669][5]~50255\);

-- Location: FF_X9_Y16_N27
\led_flash_cnt[1669][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1669][5]~50254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1669][5]~q\);

-- Location: LCCOMB_X9_Y16_N28
\led_flash_cnt[1669][6]~50256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1669][6]~50256_combout\ = (\led_flash_cnt[1669][6]~q\ & (!\led_flash_cnt[1669][5]~50255\)) # (!\led_flash_cnt[1669][6]~q\ & ((\led_flash_cnt[1669][5]~50255\) # (GND)))
-- \led_flash_cnt[1669][6]~50257\ = CARRY((!\led_flash_cnt[1669][5]~50255\) # (!\led_flash_cnt[1669][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1669][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1669][5]~50255\,
	combout => \led_flash_cnt[1669][6]~50256_combout\,
	cout => \led_flash_cnt[1669][6]~50257\);

-- Location: FF_X9_Y16_N29
\led_flash_cnt[1669][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1669][6]~50256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1669][6]~q\);

-- Location: LCCOMB_X10_Y16_N22
\WideAnd1669~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1669~1_combout\ = (\led_flash_cnt[1669][5]~q\ & \led_flash_cnt[1669][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1669][5]~q\,
	datad => \led_flash_cnt[1669][6]~q\,
	combout => \WideAnd1669~1_combout\);

-- Location: LCCOMB_X9_Y16_N30
\led_flash_cnt[1669][7]~50258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1669][7]~50258_combout\ = \led_flash_cnt[1669][7]~q\ $ (!\led_flash_cnt[1669][6]~50257\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1669][7]~q\,
	cin => \led_flash_cnt[1669][6]~50257\,
	combout => \led_flash_cnt[1669][7]~50258_combout\);

-- Location: FF_X9_Y16_N31
\led_flash_cnt[1669][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1669][7]~50258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1669][7]~q\);

-- Location: LCCOMB_X9_Y16_N0
\WideAnd1669~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1669~0_combout\ = (\led_flash_cnt[1669][1]~q\ & (\led_flash_cnt[1669][2]~q\ & (\led_flash_cnt[1669][3]~q\ & \led_flash_cnt[1669][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1669][1]~q\,
	datab => \led_flash_cnt[1669][2]~q\,
	datac => \led_flash_cnt[1669][3]~q\,
	datad => \led_flash_cnt[1669][4]~q\,
	combout => \WideAnd1669~0_combout\);

-- Location: LCCOMB_X10_Y16_N28
WideAnd1669 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1669~combout\ = (\WideAnd1669~1_combout\ & (\led_flash_cnt[1669][7]~q\ & (\WideAnd1669~0_combout\ & \led_flash_cnt[1669][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1669~1_combout\,
	datab => \led_flash_cnt[1669][7]~q\,
	datac => \WideAnd1669~0_combout\,
	datad => \led_flash_cnt[1669][0]~q\,
	combout => \WideAnd1669~combout\);

-- Location: FF_X10_Y16_N29
\led_flash_cnt_ands[1669]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1669~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1669));

-- Location: LCCOMB_X10_Y16_N20
\WideAnd4048~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4048~1_combout\ = (led_flash_cnt_ands(1668) & led_flash_cnt_ands(1669))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1668),
	datad => led_flash_cnt_ands(1669),
	combout => \WideAnd4048~1_combout\);

-- Location: LCCOMB_X18_Y16_N28
\led_flash_cnt[1670][0]~82310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1670][0]~82310_combout\ = !\led_flash_cnt[1670][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1670][0]~q\,
	combout => \led_flash_cnt[1670][0]~82310_combout\);

-- Location: FF_X18_Y16_N29
\led_flash_cnt[1670][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1670][0]~82310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1670][0]~q\);

-- Location: LCCOMB_X19_Y16_N16
\led_flash_cnt[1670][1]~50260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1670][1]~50260_combout\ = (\led_flash_cnt[1670][0]~q\ & (\led_flash_cnt[1670][1]~q\ $ (VCC))) # (!\led_flash_cnt[1670][0]~q\ & (\led_flash_cnt[1670][1]~q\ & VCC))
-- \led_flash_cnt[1670][1]~50261\ = CARRY((\led_flash_cnt[1670][0]~q\ & \led_flash_cnt[1670][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1670][0]~q\,
	datab => \led_flash_cnt[1670][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1670][1]~50260_combout\,
	cout => \led_flash_cnt[1670][1]~50261\);

-- Location: FF_X19_Y16_N17
\led_flash_cnt[1670][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1670][1]~50260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1670][1]~q\);

-- Location: LCCOMB_X19_Y16_N18
\led_flash_cnt[1670][2]~50262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1670][2]~50262_combout\ = (\led_flash_cnt[1670][2]~q\ & (!\led_flash_cnt[1670][1]~50261\)) # (!\led_flash_cnt[1670][2]~q\ & ((\led_flash_cnt[1670][1]~50261\) # (GND)))
-- \led_flash_cnt[1670][2]~50263\ = CARRY((!\led_flash_cnt[1670][1]~50261\) # (!\led_flash_cnt[1670][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1670][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1670][1]~50261\,
	combout => \led_flash_cnt[1670][2]~50262_combout\,
	cout => \led_flash_cnt[1670][2]~50263\);

-- Location: FF_X19_Y16_N19
\led_flash_cnt[1670][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1670][2]~50262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1670][2]~q\);

-- Location: LCCOMB_X19_Y16_N20
\led_flash_cnt[1670][3]~50264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1670][3]~50264_combout\ = (\led_flash_cnt[1670][3]~q\ & (\led_flash_cnt[1670][2]~50263\ $ (GND))) # (!\led_flash_cnt[1670][3]~q\ & (!\led_flash_cnt[1670][2]~50263\ & VCC))
-- \led_flash_cnt[1670][3]~50265\ = CARRY((\led_flash_cnt[1670][3]~q\ & !\led_flash_cnt[1670][2]~50263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1670][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1670][2]~50263\,
	combout => \led_flash_cnt[1670][3]~50264_combout\,
	cout => \led_flash_cnt[1670][3]~50265\);

-- Location: FF_X19_Y16_N21
\led_flash_cnt[1670][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1670][3]~50264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1670][3]~q\);

-- Location: LCCOMB_X19_Y16_N22
\led_flash_cnt[1670][4]~50266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1670][4]~50266_combout\ = (\led_flash_cnt[1670][4]~q\ & (!\led_flash_cnt[1670][3]~50265\)) # (!\led_flash_cnt[1670][4]~q\ & ((\led_flash_cnt[1670][3]~50265\) # (GND)))
-- \led_flash_cnt[1670][4]~50267\ = CARRY((!\led_flash_cnt[1670][3]~50265\) # (!\led_flash_cnt[1670][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1670][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1670][3]~50265\,
	combout => \led_flash_cnt[1670][4]~50266_combout\,
	cout => \led_flash_cnt[1670][4]~50267\);

-- Location: FF_X19_Y16_N23
\led_flash_cnt[1670][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1670][4]~50266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1670][4]~q\);

-- Location: LCCOMB_X19_Y16_N24
\led_flash_cnt[1670][5]~50268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1670][5]~50268_combout\ = (\led_flash_cnt[1670][5]~q\ & (\led_flash_cnt[1670][4]~50267\ $ (GND))) # (!\led_flash_cnt[1670][5]~q\ & (!\led_flash_cnt[1670][4]~50267\ & VCC))
-- \led_flash_cnt[1670][5]~50269\ = CARRY((\led_flash_cnt[1670][5]~q\ & !\led_flash_cnt[1670][4]~50267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1670][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1670][4]~50267\,
	combout => \led_flash_cnt[1670][5]~50268_combout\,
	cout => \led_flash_cnt[1670][5]~50269\);

-- Location: FF_X19_Y16_N25
\led_flash_cnt[1670][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1670][5]~50268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1670][5]~q\);

-- Location: LCCOMB_X19_Y16_N26
\led_flash_cnt[1670][6]~50270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1670][6]~50270_combout\ = (\led_flash_cnt[1670][6]~q\ & (!\led_flash_cnt[1670][5]~50269\)) # (!\led_flash_cnt[1670][6]~q\ & ((\led_flash_cnt[1670][5]~50269\) # (GND)))
-- \led_flash_cnt[1670][6]~50271\ = CARRY((!\led_flash_cnt[1670][5]~50269\) # (!\led_flash_cnt[1670][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1670][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1670][5]~50269\,
	combout => \led_flash_cnt[1670][6]~50270_combout\,
	cout => \led_flash_cnt[1670][6]~50271\);

-- Location: FF_X19_Y16_N27
\led_flash_cnt[1670][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1670][6]~50270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1670][6]~q\);

-- Location: LCCOMB_X19_Y16_N28
\led_flash_cnt[1670][7]~50272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1670][7]~50272_combout\ = \led_flash_cnt[1670][6]~50271\ $ (!\led_flash_cnt[1670][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1670][7]~q\,
	cin => \led_flash_cnt[1670][6]~50271\,
	combout => \led_flash_cnt[1670][7]~50272_combout\);

-- Location: FF_X19_Y16_N29
\led_flash_cnt[1670][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1670][7]~50272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1670][7]~q\);

-- Location: LCCOMB_X19_Y16_N0
\WideAnd1670~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1670~0_combout\ = (\led_flash_cnt[1670][2]~q\ & (\led_flash_cnt[1670][3]~q\ & (\led_flash_cnt[1670][4]~q\ & \led_flash_cnt[1670][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1670][2]~q\,
	datab => \led_flash_cnt[1670][3]~q\,
	datac => \led_flash_cnt[1670][4]~q\,
	datad => \led_flash_cnt[1670][1]~q\,
	combout => \WideAnd1670~0_combout\);

-- Location: LCCOMB_X18_Y16_N0
\WideAnd1670~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1670~1_combout\ = (\led_flash_cnt[1670][6]~q\ & \led_flash_cnt[1670][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1670][6]~q\,
	datad => \led_flash_cnt[1670][5]~q\,
	combout => \WideAnd1670~1_combout\);

-- Location: LCCOMB_X18_Y16_N18
WideAnd1670 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1670~combout\ = (\led_flash_cnt[1670][7]~q\ & (\led_flash_cnt[1670][0]~q\ & (\WideAnd1670~0_combout\ & \WideAnd1670~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1670][7]~q\,
	datab => \led_flash_cnt[1670][0]~q\,
	datac => \WideAnd1670~0_combout\,
	datad => \WideAnd1670~1_combout\,
	combout => \WideAnd1670~combout\);

-- Location: FF_X18_Y16_N19
\led_flash_cnt_ands[1670]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1670~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1670));

-- Location: LCCOMB_X18_Y16_N26
WideAnd4048 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4048~combout\ = (led_flash_cnt_ands(1671) & (\WideAnd4048~0_combout\ & (\WideAnd4048~1_combout\ & led_flash_cnt_ands(1670))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1671),
	datab => \WideAnd4048~0_combout\,
	datac => \WideAnd4048~1_combout\,
	datad => led_flash_cnt_ands(1670),
	combout => \WideAnd4048~combout\);

-- Location: FF_X18_Y16_N27
\led_flash_cnt_ands_1[208]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4048~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(208));

-- Location: LCCOMB_X11_Y21_N2
\led_flash_cnt[1678][0]~82318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1678][0]~82318_combout\ = !\led_flash_cnt[1678][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1678][0]~q\,
	combout => \led_flash_cnt[1678][0]~82318_combout\);

-- Location: FF_X11_Y21_N3
\led_flash_cnt[1678][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1678][0]~82318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1678][0]~q\);

-- Location: LCCOMB_X12_Y21_N0
\led_flash_cnt[1678][1]~50372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1678][1]~50372_combout\ = (\led_flash_cnt[1678][0]~q\ & (\led_flash_cnt[1678][1]~q\ $ (VCC))) # (!\led_flash_cnt[1678][0]~q\ & (\led_flash_cnt[1678][1]~q\ & VCC))
-- \led_flash_cnt[1678][1]~50373\ = CARRY((\led_flash_cnt[1678][0]~q\ & \led_flash_cnt[1678][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1678][0]~q\,
	datab => \led_flash_cnt[1678][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1678][1]~50372_combout\,
	cout => \led_flash_cnt[1678][1]~50373\);

-- Location: FF_X12_Y21_N1
\led_flash_cnt[1678][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1678][1]~50372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1678][1]~q\);

-- Location: LCCOMB_X12_Y21_N2
\led_flash_cnt[1678][2]~50374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1678][2]~50374_combout\ = (\led_flash_cnt[1678][2]~q\ & (!\led_flash_cnt[1678][1]~50373\)) # (!\led_flash_cnt[1678][2]~q\ & ((\led_flash_cnt[1678][1]~50373\) # (GND)))
-- \led_flash_cnt[1678][2]~50375\ = CARRY((!\led_flash_cnt[1678][1]~50373\) # (!\led_flash_cnt[1678][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1678][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1678][1]~50373\,
	combout => \led_flash_cnt[1678][2]~50374_combout\,
	cout => \led_flash_cnt[1678][2]~50375\);

-- Location: FF_X12_Y21_N3
\led_flash_cnt[1678][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1678][2]~50374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1678][2]~q\);

-- Location: LCCOMB_X12_Y21_N4
\led_flash_cnt[1678][3]~50376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1678][3]~50376_combout\ = (\led_flash_cnt[1678][3]~q\ & (\led_flash_cnt[1678][2]~50375\ $ (GND))) # (!\led_flash_cnt[1678][3]~q\ & (!\led_flash_cnt[1678][2]~50375\ & VCC))
-- \led_flash_cnt[1678][3]~50377\ = CARRY((\led_flash_cnt[1678][3]~q\ & !\led_flash_cnt[1678][2]~50375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1678][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1678][2]~50375\,
	combout => \led_flash_cnt[1678][3]~50376_combout\,
	cout => \led_flash_cnt[1678][3]~50377\);

-- Location: FF_X12_Y21_N5
\led_flash_cnt[1678][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1678][3]~50376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1678][3]~q\);

-- Location: LCCOMB_X12_Y21_N6
\led_flash_cnt[1678][4]~50378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1678][4]~50378_combout\ = (\led_flash_cnt[1678][4]~q\ & (!\led_flash_cnt[1678][3]~50377\)) # (!\led_flash_cnt[1678][4]~q\ & ((\led_flash_cnt[1678][3]~50377\) # (GND)))
-- \led_flash_cnt[1678][4]~50379\ = CARRY((!\led_flash_cnt[1678][3]~50377\) # (!\led_flash_cnt[1678][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1678][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1678][3]~50377\,
	combout => \led_flash_cnt[1678][4]~50378_combout\,
	cout => \led_flash_cnt[1678][4]~50379\);

-- Location: FF_X12_Y21_N7
\led_flash_cnt[1678][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1678][4]~50378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1678][4]~q\);

-- Location: LCCOMB_X12_Y21_N30
\WideAnd1678~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1678~0_combout\ = (\led_flash_cnt[1678][4]~q\ & (\led_flash_cnt[1678][2]~q\ & (\led_flash_cnt[1678][3]~q\ & \led_flash_cnt[1678][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1678][4]~q\,
	datab => \led_flash_cnt[1678][2]~q\,
	datac => \led_flash_cnt[1678][3]~q\,
	datad => \led_flash_cnt[1678][1]~q\,
	combout => \WideAnd1678~0_combout\);

-- Location: LCCOMB_X12_Y21_N8
\led_flash_cnt[1678][5]~50380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1678][5]~50380_combout\ = (\led_flash_cnt[1678][5]~q\ & (\led_flash_cnt[1678][4]~50379\ $ (GND))) # (!\led_flash_cnt[1678][5]~q\ & (!\led_flash_cnt[1678][4]~50379\ & VCC))
-- \led_flash_cnt[1678][5]~50381\ = CARRY((\led_flash_cnt[1678][5]~q\ & !\led_flash_cnt[1678][4]~50379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1678][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1678][4]~50379\,
	combout => \led_flash_cnt[1678][5]~50380_combout\,
	cout => \led_flash_cnt[1678][5]~50381\);

-- Location: FF_X12_Y21_N9
\led_flash_cnt[1678][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1678][5]~50380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1678][5]~q\);

-- Location: LCCOMB_X12_Y21_N10
\led_flash_cnt[1678][6]~50382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1678][6]~50382_combout\ = (\led_flash_cnt[1678][6]~q\ & (!\led_flash_cnt[1678][5]~50381\)) # (!\led_flash_cnt[1678][6]~q\ & ((\led_flash_cnt[1678][5]~50381\) # (GND)))
-- \led_flash_cnt[1678][6]~50383\ = CARRY((!\led_flash_cnt[1678][5]~50381\) # (!\led_flash_cnt[1678][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1678][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1678][5]~50381\,
	combout => \led_flash_cnt[1678][6]~50382_combout\,
	cout => \led_flash_cnt[1678][6]~50383\);

-- Location: FF_X12_Y21_N11
\led_flash_cnt[1678][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1678][6]~50382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1678][6]~q\);

-- Location: LCCOMB_X11_Y21_N24
\WideAnd1678~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1678~1_combout\ = (\led_flash_cnt[1678][6]~q\ & \led_flash_cnt[1678][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1678][6]~q\,
	datac => \led_flash_cnt[1678][5]~q\,
	combout => \WideAnd1678~1_combout\);

-- Location: LCCOMB_X12_Y21_N12
\led_flash_cnt[1678][7]~50384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1678][7]~50384_combout\ = \led_flash_cnt[1678][6]~50383\ $ (!\led_flash_cnt[1678][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1678][7]~q\,
	cin => \led_flash_cnt[1678][6]~50383\,
	combout => \led_flash_cnt[1678][7]~50384_combout\);

-- Location: FF_X12_Y21_N13
\led_flash_cnt[1678][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1678][7]~50384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1678][7]~q\);

-- Location: LCCOMB_X11_Y21_N4
WideAnd1678 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1678~combout\ = (\WideAnd1678~0_combout\ & (\WideAnd1678~1_combout\ & (\led_flash_cnt[1678][7]~q\ & \led_flash_cnt[1678][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1678~0_combout\,
	datab => \WideAnd1678~1_combout\,
	datac => \led_flash_cnt[1678][7]~q\,
	datad => \led_flash_cnt[1678][0]~q\,
	combout => \WideAnd1678~combout\);

-- Location: FF_X11_Y21_N5
\led_flash_cnt_ands[1678]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1678~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1678));

-- Location: LCCOMB_X9_Y21_N2
\led_flash_cnt[1679][0]~82319\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1679][0]~82319_combout\ = !\led_flash_cnt[1679][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1679][0]~q\,
	combout => \led_flash_cnt[1679][0]~82319_combout\);

-- Location: FF_X9_Y21_N3
\led_flash_cnt[1679][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1679][0]~82319_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1679][0]~q\);

-- Location: LCCOMB_X8_Y21_N2
\led_flash_cnt[1679][1]~50386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1679][1]~50386_combout\ = (\led_flash_cnt[1679][0]~q\ & (\led_flash_cnt[1679][1]~q\ $ (VCC))) # (!\led_flash_cnt[1679][0]~q\ & (\led_flash_cnt[1679][1]~q\ & VCC))
-- \led_flash_cnt[1679][1]~50387\ = CARRY((\led_flash_cnt[1679][0]~q\ & \led_flash_cnt[1679][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1679][0]~q\,
	datab => \led_flash_cnt[1679][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1679][1]~50386_combout\,
	cout => \led_flash_cnt[1679][1]~50387\);

-- Location: FF_X8_Y21_N3
\led_flash_cnt[1679][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1679][1]~50386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1679][1]~q\);

-- Location: LCCOMB_X8_Y21_N4
\led_flash_cnt[1679][2]~50388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1679][2]~50388_combout\ = (\led_flash_cnt[1679][2]~q\ & (!\led_flash_cnt[1679][1]~50387\)) # (!\led_flash_cnt[1679][2]~q\ & ((\led_flash_cnt[1679][1]~50387\) # (GND)))
-- \led_flash_cnt[1679][2]~50389\ = CARRY((!\led_flash_cnt[1679][1]~50387\) # (!\led_flash_cnt[1679][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1679][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1679][1]~50387\,
	combout => \led_flash_cnt[1679][2]~50388_combout\,
	cout => \led_flash_cnt[1679][2]~50389\);

-- Location: FF_X8_Y21_N5
\led_flash_cnt[1679][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1679][2]~50388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1679][2]~q\);

-- Location: LCCOMB_X8_Y21_N6
\led_flash_cnt[1679][3]~50390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1679][3]~50390_combout\ = (\led_flash_cnt[1679][3]~q\ & (\led_flash_cnt[1679][2]~50389\ $ (GND))) # (!\led_flash_cnt[1679][3]~q\ & (!\led_flash_cnt[1679][2]~50389\ & VCC))
-- \led_flash_cnt[1679][3]~50391\ = CARRY((\led_flash_cnt[1679][3]~q\ & !\led_flash_cnt[1679][2]~50389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1679][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1679][2]~50389\,
	combout => \led_flash_cnt[1679][3]~50390_combout\,
	cout => \led_flash_cnt[1679][3]~50391\);

-- Location: FF_X8_Y21_N7
\led_flash_cnt[1679][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1679][3]~50390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1679][3]~q\);

-- Location: LCCOMB_X8_Y21_N8
\led_flash_cnt[1679][4]~50392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1679][4]~50392_combout\ = (\led_flash_cnt[1679][4]~q\ & (!\led_flash_cnt[1679][3]~50391\)) # (!\led_flash_cnt[1679][4]~q\ & ((\led_flash_cnt[1679][3]~50391\) # (GND)))
-- \led_flash_cnt[1679][4]~50393\ = CARRY((!\led_flash_cnt[1679][3]~50391\) # (!\led_flash_cnt[1679][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1679][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1679][3]~50391\,
	combout => \led_flash_cnt[1679][4]~50392_combout\,
	cout => \led_flash_cnt[1679][4]~50393\);

-- Location: FF_X8_Y21_N9
\led_flash_cnt[1679][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1679][4]~50392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1679][4]~q\);

-- Location: LCCOMB_X8_Y21_N10
\led_flash_cnt[1679][5]~50394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1679][5]~50394_combout\ = (\led_flash_cnt[1679][5]~q\ & (\led_flash_cnt[1679][4]~50393\ $ (GND))) # (!\led_flash_cnt[1679][5]~q\ & (!\led_flash_cnt[1679][4]~50393\ & VCC))
-- \led_flash_cnt[1679][5]~50395\ = CARRY((\led_flash_cnt[1679][5]~q\ & !\led_flash_cnt[1679][4]~50393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1679][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1679][4]~50393\,
	combout => \led_flash_cnt[1679][5]~50394_combout\,
	cout => \led_flash_cnt[1679][5]~50395\);

-- Location: FF_X8_Y21_N11
\led_flash_cnt[1679][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1679][5]~50394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1679][5]~q\);

-- Location: LCCOMB_X8_Y21_N12
\led_flash_cnt[1679][6]~50396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1679][6]~50396_combout\ = (\led_flash_cnt[1679][6]~q\ & (!\led_flash_cnt[1679][5]~50395\)) # (!\led_flash_cnt[1679][6]~q\ & ((\led_flash_cnt[1679][5]~50395\) # (GND)))
-- \led_flash_cnt[1679][6]~50397\ = CARRY((!\led_flash_cnt[1679][5]~50395\) # (!\led_flash_cnt[1679][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1679][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1679][5]~50395\,
	combout => \led_flash_cnt[1679][6]~50396_combout\,
	cout => \led_flash_cnt[1679][6]~50397\);

-- Location: FF_X8_Y21_N13
\led_flash_cnt[1679][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1679][6]~50396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1679][6]~q\);

-- Location: LCCOMB_X8_Y21_N14
\led_flash_cnt[1679][7]~50398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1679][7]~50398_combout\ = \led_flash_cnt[1679][7]~q\ $ (!\led_flash_cnt[1679][6]~50397\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1679][7]~q\,
	cin => \led_flash_cnt[1679][6]~50397\,
	combout => \led_flash_cnt[1679][7]~50398_combout\);

-- Location: FF_X8_Y21_N15
\led_flash_cnt[1679][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1679][7]~50398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1679][7]~q\);

-- Location: LCCOMB_X9_Y21_N24
\WideAnd1679~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1679~1_combout\ = (\led_flash_cnt[1679][5]~q\ & \led_flash_cnt[1679][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1679][5]~q\,
	datad => \led_flash_cnt[1679][6]~q\,
	combout => \WideAnd1679~1_combout\);

-- Location: LCCOMB_X8_Y21_N0
\WideAnd1679~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1679~0_combout\ = (\led_flash_cnt[1679][3]~q\ & (\led_flash_cnt[1679][2]~q\ & (\led_flash_cnt[1679][4]~q\ & \led_flash_cnt[1679][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1679][3]~q\,
	datab => \led_flash_cnt[1679][2]~q\,
	datac => \led_flash_cnt[1679][4]~q\,
	datad => \led_flash_cnt[1679][1]~q\,
	combout => \WideAnd1679~0_combout\);

-- Location: LCCOMB_X9_Y21_N4
WideAnd1679 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1679~combout\ = (\led_flash_cnt[1679][7]~q\ & (\WideAnd1679~1_combout\ & (\WideAnd1679~0_combout\ & \led_flash_cnt[1679][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1679][7]~q\,
	datab => \WideAnd1679~1_combout\,
	datac => \WideAnd1679~0_combout\,
	datad => \led_flash_cnt[1679][0]~q\,
	combout => \WideAnd1679~combout\);

-- Location: FF_X9_Y21_N5
\led_flash_cnt_ands[1679]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1679~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1679));

-- Location: LCCOMB_X11_Y17_N4
\led_flash_cnt[1672][0]~82312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1672][0]~82312_combout\ = !\led_flash_cnt[1672][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1672][0]~q\,
	combout => \led_flash_cnt[1672][0]~82312_combout\);

-- Location: FF_X11_Y17_N5
\led_flash_cnt[1672][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1672][0]~82312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1672][0]~q\);

-- Location: LCCOMB_X11_Y17_N10
\led_flash_cnt[1672][1]~50288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1672][1]~50288_combout\ = (\led_flash_cnt[1672][1]~q\ & (\led_flash_cnt[1672][0]~q\ $ (VCC))) # (!\led_flash_cnt[1672][1]~q\ & (\led_flash_cnt[1672][0]~q\ & VCC))
-- \led_flash_cnt[1672][1]~50289\ = CARRY((\led_flash_cnt[1672][1]~q\ & \led_flash_cnt[1672][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1672][1]~q\,
	datab => \led_flash_cnt[1672][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1672][1]~50288_combout\,
	cout => \led_flash_cnt[1672][1]~50289\);

-- Location: FF_X11_Y17_N11
\led_flash_cnt[1672][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1672][1]~50288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1672][1]~q\);

-- Location: LCCOMB_X11_Y17_N12
\led_flash_cnt[1672][2]~50290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1672][2]~50290_combout\ = (\led_flash_cnt[1672][2]~q\ & (!\led_flash_cnt[1672][1]~50289\)) # (!\led_flash_cnt[1672][2]~q\ & ((\led_flash_cnt[1672][1]~50289\) # (GND)))
-- \led_flash_cnt[1672][2]~50291\ = CARRY((!\led_flash_cnt[1672][1]~50289\) # (!\led_flash_cnt[1672][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1672][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1672][1]~50289\,
	combout => \led_flash_cnt[1672][2]~50290_combout\,
	cout => \led_flash_cnt[1672][2]~50291\);

-- Location: FF_X11_Y17_N13
\led_flash_cnt[1672][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1672][2]~50290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1672][2]~q\);

-- Location: LCCOMB_X11_Y17_N14
\led_flash_cnt[1672][3]~50292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1672][3]~50292_combout\ = (\led_flash_cnt[1672][3]~q\ & (\led_flash_cnt[1672][2]~50291\ $ (GND))) # (!\led_flash_cnt[1672][3]~q\ & (!\led_flash_cnt[1672][2]~50291\ & VCC))
-- \led_flash_cnt[1672][3]~50293\ = CARRY((\led_flash_cnt[1672][3]~q\ & !\led_flash_cnt[1672][2]~50291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1672][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1672][2]~50291\,
	combout => \led_flash_cnt[1672][3]~50292_combout\,
	cout => \led_flash_cnt[1672][3]~50293\);

-- Location: FF_X11_Y17_N15
\led_flash_cnt[1672][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1672][3]~50292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1672][3]~q\);

-- Location: LCCOMB_X11_Y17_N16
\led_flash_cnt[1672][4]~50294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1672][4]~50294_combout\ = (\led_flash_cnt[1672][4]~q\ & (!\led_flash_cnt[1672][3]~50293\)) # (!\led_flash_cnt[1672][4]~q\ & ((\led_flash_cnt[1672][3]~50293\) # (GND)))
-- \led_flash_cnt[1672][4]~50295\ = CARRY((!\led_flash_cnt[1672][3]~50293\) # (!\led_flash_cnt[1672][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1672][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1672][3]~50293\,
	combout => \led_flash_cnt[1672][4]~50294_combout\,
	cout => \led_flash_cnt[1672][4]~50295\);

-- Location: FF_X11_Y17_N17
\led_flash_cnt[1672][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1672][4]~50294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1672][4]~q\);

-- Location: LCCOMB_X11_Y17_N18
\led_flash_cnt[1672][5]~50296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1672][5]~50296_combout\ = (\led_flash_cnt[1672][5]~q\ & (\led_flash_cnt[1672][4]~50295\ $ (GND))) # (!\led_flash_cnt[1672][5]~q\ & (!\led_flash_cnt[1672][4]~50295\ & VCC))
-- \led_flash_cnt[1672][5]~50297\ = CARRY((\led_flash_cnt[1672][5]~q\ & !\led_flash_cnt[1672][4]~50295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1672][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1672][4]~50295\,
	combout => \led_flash_cnt[1672][5]~50296_combout\,
	cout => \led_flash_cnt[1672][5]~50297\);

-- Location: FF_X11_Y17_N19
\led_flash_cnt[1672][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1672][5]~50296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1672][5]~q\);

-- Location: LCCOMB_X11_Y17_N20
\led_flash_cnt[1672][6]~50298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1672][6]~50298_combout\ = (\led_flash_cnt[1672][6]~q\ & (!\led_flash_cnt[1672][5]~50297\)) # (!\led_flash_cnt[1672][6]~q\ & ((\led_flash_cnt[1672][5]~50297\) # (GND)))
-- \led_flash_cnt[1672][6]~50299\ = CARRY((!\led_flash_cnt[1672][5]~50297\) # (!\led_flash_cnt[1672][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1672][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1672][5]~50297\,
	combout => \led_flash_cnt[1672][6]~50298_combout\,
	cout => \led_flash_cnt[1672][6]~50299\);

-- Location: FF_X11_Y17_N21
\led_flash_cnt[1672][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1672][6]~50298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1672][6]~q\);

-- Location: LCCOMB_X11_Y17_N22
\led_flash_cnt[1672][7]~50300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1672][7]~50300_combout\ = \led_flash_cnt[1672][7]~q\ $ (!\led_flash_cnt[1672][6]~50299\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1672][7]~q\,
	cin => \led_flash_cnt[1672][6]~50299\,
	combout => \led_flash_cnt[1672][7]~50300_combout\);

-- Location: FF_X11_Y17_N23
\led_flash_cnt[1672][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1672][7]~50300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1672][7]~q\);

-- Location: LCCOMB_X11_Y17_N28
\WideAnd1672~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1672~0_combout\ = (\led_flash_cnt[1672][2]~q\ & (\led_flash_cnt[1672][4]~q\ & (\led_flash_cnt[1672][3]~q\ & \led_flash_cnt[1672][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1672][2]~q\,
	datab => \led_flash_cnt[1672][4]~q\,
	datac => \led_flash_cnt[1672][3]~q\,
	datad => \led_flash_cnt[1672][1]~q\,
	combout => \WideAnd1672~0_combout\);

-- Location: LCCOMB_X11_Y17_N2
\WideAnd1672~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1672~1_combout\ = (\led_flash_cnt[1672][5]~q\ & \led_flash_cnt[1672][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1672][5]~q\,
	datad => \led_flash_cnt[1672][6]~q\,
	combout => \WideAnd1672~1_combout\);

-- Location: LCCOMB_X11_Y17_N8
WideAnd1672 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1672~combout\ = (\led_flash_cnt[1672][7]~q\ & (\WideAnd1672~0_combout\ & (\led_flash_cnt[1672][0]~q\ & \WideAnd1672~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1672][7]~q\,
	datab => \WideAnd1672~0_combout\,
	datac => \led_flash_cnt[1672][0]~q\,
	datad => \WideAnd1672~1_combout\,
	combout => \WideAnd1672~combout\);

-- Location: FF_X11_Y17_N9
\led_flash_cnt_ands[1672]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1672~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1672));

-- Location: LCCOMB_X13_Y20_N30
\led_flash_cnt[1674][0]~82314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1674][0]~82314_combout\ = !\led_flash_cnt[1674][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1674][0]~q\,
	combout => \led_flash_cnt[1674][0]~82314_combout\);

-- Location: FF_X13_Y20_N31
\led_flash_cnt[1674][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1674][0]~82314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1674][0]~q\);

-- Location: LCCOMB_X13_Y20_N8
\led_flash_cnt[1674][1]~50316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1674][1]~50316_combout\ = (\led_flash_cnt[1674][0]~q\ & (\led_flash_cnt[1674][1]~q\ $ (VCC))) # (!\led_flash_cnt[1674][0]~q\ & (\led_flash_cnt[1674][1]~q\ & VCC))
-- \led_flash_cnt[1674][1]~50317\ = CARRY((\led_flash_cnt[1674][0]~q\ & \led_flash_cnt[1674][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1674][0]~q\,
	datab => \led_flash_cnt[1674][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1674][1]~50316_combout\,
	cout => \led_flash_cnt[1674][1]~50317\);

-- Location: FF_X13_Y20_N9
\led_flash_cnt[1674][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1674][1]~50316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1674][1]~q\);

-- Location: LCCOMB_X13_Y20_N10
\led_flash_cnt[1674][2]~50318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1674][2]~50318_combout\ = (\led_flash_cnt[1674][2]~q\ & (!\led_flash_cnt[1674][1]~50317\)) # (!\led_flash_cnt[1674][2]~q\ & ((\led_flash_cnt[1674][1]~50317\) # (GND)))
-- \led_flash_cnt[1674][2]~50319\ = CARRY((!\led_flash_cnt[1674][1]~50317\) # (!\led_flash_cnt[1674][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1674][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1674][1]~50317\,
	combout => \led_flash_cnt[1674][2]~50318_combout\,
	cout => \led_flash_cnt[1674][2]~50319\);

-- Location: FF_X13_Y20_N11
\led_flash_cnt[1674][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1674][2]~50318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1674][2]~q\);

-- Location: LCCOMB_X13_Y20_N12
\led_flash_cnt[1674][3]~50320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1674][3]~50320_combout\ = (\led_flash_cnt[1674][3]~q\ & (\led_flash_cnt[1674][2]~50319\ $ (GND))) # (!\led_flash_cnt[1674][3]~q\ & (!\led_flash_cnt[1674][2]~50319\ & VCC))
-- \led_flash_cnt[1674][3]~50321\ = CARRY((\led_flash_cnt[1674][3]~q\ & !\led_flash_cnt[1674][2]~50319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1674][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1674][2]~50319\,
	combout => \led_flash_cnt[1674][3]~50320_combout\,
	cout => \led_flash_cnt[1674][3]~50321\);

-- Location: FF_X13_Y20_N13
\led_flash_cnt[1674][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1674][3]~50320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1674][3]~q\);

-- Location: LCCOMB_X13_Y20_N14
\led_flash_cnt[1674][4]~50322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1674][4]~50322_combout\ = (\led_flash_cnt[1674][4]~q\ & (!\led_flash_cnt[1674][3]~50321\)) # (!\led_flash_cnt[1674][4]~q\ & ((\led_flash_cnt[1674][3]~50321\) # (GND)))
-- \led_flash_cnt[1674][4]~50323\ = CARRY((!\led_flash_cnt[1674][3]~50321\) # (!\led_flash_cnt[1674][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1674][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1674][3]~50321\,
	combout => \led_flash_cnt[1674][4]~50322_combout\,
	cout => \led_flash_cnt[1674][4]~50323\);

-- Location: FF_X13_Y20_N15
\led_flash_cnt[1674][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1674][4]~50322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1674][4]~q\);

-- Location: LCCOMB_X13_Y20_N16
\led_flash_cnt[1674][5]~50324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1674][5]~50324_combout\ = (\led_flash_cnt[1674][5]~q\ & (\led_flash_cnt[1674][4]~50323\ $ (GND))) # (!\led_flash_cnt[1674][5]~q\ & (!\led_flash_cnt[1674][4]~50323\ & VCC))
-- \led_flash_cnt[1674][5]~50325\ = CARRY((\led_flash_cnt[1674][5]~q\ & !\led_flash_cnt[1674][4]~50323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1674][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1674][4]~50323\,
	combout => \led_flash_cnt[1674][5]~50324_combout\,
	cout => \led_flash_cnt[1674][5]~50325\);

-- Location: FF_X13_Y20_N17
\led_flash_cnt[1674][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1674][5]~50324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1674][5]~q\);

-- Location: LCCOMB_X13_Y20_N18
\led_flash_cnt[1674][6]~50326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1674][6]~50326_combout\ = (\led_flash_cnt[1674][6]~q\ & (!\led_flash_cnt[1674][5]~50325\)) # (!\led_flash_cnt[1674][6]~q\ & ((\led_flash_cnt[1674][5]~50325\) # (GND)))
-- \led_flash_cnt[1674][6]~50327\ = CARRY((!\led_flash_cnt[1674][5]~50325\) # (!\led_flash_cnt[1674][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1674][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1674][5]~50325\,
	combout => \led_flash_cnt[1674][6]~50326_combout\,
	cout => \led_flash_cnt[1674][6]~50327\);

-- Location: FF_X13_Y20_N19
\led_flash_cnt[1674][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1674][6]~50326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1674][6]~q\);

-- Location: LCCOMB_X13_Y20_N20
\led_flash_cnt[1674][7]~50328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1674][7]~50328_combout\ = \led_flash_cnt[1674][6]~50327\ $ (!\led_flash_cnt[1674][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1674][7]~q\,
	cin => \led_flash_cnt[1674][6]~50327\,
	combout => \led_flash_cnt[1674][7]~50328_combout\);

-- Location: FF_X13_Y20_N21
\led_flash_cnt[1674][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1674][7]~50328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1674][7]~q\);

-- Location: LCCOMB_X13_Y20_N4
\WideAnd1674~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1674~0_combout\ = (\led_flash_cnt[1674][3]~q\ & (\led_flash_cnt[1674][4]~q\ & (\led_flash_cnt[1674][1]~q\ & \led_flash_cnt[1674][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1674][3]~q\,
	datab => \led_flash_cnt[1674][4]~q\,
	datac => \led_flash_cnt[1674][1]~q\,
	datad => \led_flash_cnt[1674][2]~q\,
	combout => \WideAnd1674~0_combout\);

-- Location: LCCOMB_X13_Y20_N0
\WideAnd1674~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1674~1_combout\ = (\led_flash_cnt[1674][6]~q\ & \led_flash_cnt[1674][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1674][6]~q\,
	datad => \led_flash_cnt[1674][5]~q\,
	combout => \WideAnd1674~1_combout\);

-- Location: LCCOMB_X13_Y20_N22
WideAnd1674 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1674~combout\ = (\led_flash_cnt[1674][0]~q\ & (\led_flash_cnt[1674][7]~q\ & (\WideAnd1674~0_combout\ & \WideAnd1674~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1674][0]~q\,
	datab => \led_flash_cnt[1674][7]~q\,
	datac => \WideAnd1674~0_combout\,
	datad => \WideAnd1674~1_combout\,
	combout => \WideAnd1674~combout\);

-- Location: FF_X13_Y20_N23
\led_flash_cnt_ands[1674]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1674~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1674));

-- Location: LCCOMB_X9_Y17_N0
\led_flash_cnt[1673][0]~82313\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1673][0]~82313_combout\ = !\led_flash_cnt[1673][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1673][0]~q\,
	combout => \led_flash_cnt[1673][0]~82313_combout\);

-- Location: FF_X9_Y17_N1
\led_flash_cnt[1673][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1673][0]~82313_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1673][0]~q\);

-- Location: LCCOMB_X10_Y17_N0
\led_flash_cnt[1673][1]~50302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1673][1]~50302_combout\ = (\led_flash_cnt[1673][0]~q\ & (\led_flash_cnt[1673][1]~q\ $ (VCC))) # (!\led_flash_cnt[1673][0]~q\ & (\led_flash_cnt[1673][1]~q\ & VCC))
-- \led_flash_cnt[1673][1]~50303\ = CARRY((\led_flash_cnt[1673][0]~q\ & \led_flash_cnt[1673][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1673][0]~q\,
	datab => \led_flash_cnt[1673][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1673][1]~50302_combout\,
	cout => \led_flash_cnt[1673][1]~50303\);

-- Location: FF_X10_Y17_N1
\led_flash_cnt[1673][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1673][1]~50302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1673][1]~q\);

-- Location: LCCOMB_X10_Y17_N2
\led_flash_cnt[1673][2]~50304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1673][2]~50304_combout\ = (\led_flash_cnt[1673][2]~q\ & (!\led_flash_cnt[1673][1]~50303\)) # (!\led_flash_cnt[1673][2]~q\ & ((\led_flash_cnt[1673][1]~50303\) # (GND)))
-- \led_flash_cnt[1673][2]~50305\ = CARRY((!\led_flash_cnt[1673][1]~50303\) # (!\led_flash_cnt[1673][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1673][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1673][1]~50303\,
	combout => \led_flash_cnt[1673][2]~50304_combout\,
	cout => \led_flash_cnt[1673][2]~50305\);

-- Location: FF_X10_Y17_N3
\led_flash_cnt[1673][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1673][2]~50304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1673][2]~q\);

-- Location: LCCOMB_X10_Y17_N4
\led_flash_cnt[1673][3]~50306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1673][3]~50306_combout\ = (\led_flash_cnt[1673][3]~q\ & (\led_flash_cnt[1673][2]~50305\ $ (GND))) # (!\led_flash_cnt[1673][3]~q\ & (!\led_flash_cnt[1673][2]~50305\ & VCC))
-- \led_flash_cnt[1673][3]~50307\ = CARRY((\led_flash_cnt[1673][3]~q\ & !\led_flash_cnt[1673][2]~50305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1673][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1673][2]~50305\,
	combout => \led_flash_cnt[1673][3]~50306_combout\,
	cout => \led_flash_cnt[1673][3]~50307\);

-- Location: FF_X10_Y17_N5
\led_flash_cnt[1673][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1673][3]~50306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1673][3]~q\);

-- Location: LCCOMB_X10_Y17_N6
\led_flash_cnt[1673][4]~50308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1673][4]~50308_combout\ = (\led_flash_cnt[1673][4]~q\ & (!\led_flash_cnt[1673][3]~50307\)) # (!\led_flash_cnt[1673][4]~q\ & ((\led_flash_cnt[1673][3]~50307\) # (GND)))
-- \led_flash_cnt[1673][4]~50309\ = CARRY((!\led_flash_cnt[1673][3]~50307\) # (!\led_flash_cnt[1673][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1673][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1673][3]~50307\,
	combout => \led_flash_cnt[1673][4]~50308_combout\,
	cout => \led_flash_cnt[1673][4]~50309\);

-- Location: FF_X10_Y17_N7
\led_flash_cnt[1673][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1673][4]~50308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1673][4]~q\);

-- Location: LCCOMB_X10_Y17_N30
\WideAnd1673~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1673~0_combout\ = (\led_flash_cnt[1673][4]~q\ & (\led_flash_cnt[1673][2]~q\ & (\led_flash_cnt[1673][3]~q\ & \led_flash_cnt[1673][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1673][4]~q\,
	datab => \led_flash_cnt[1673][2]~q\,
	datac => \led_flash_cnt[1673][3]~q\,
	datad => \led_flash_cnt[1673][1]~q\,
	combout => \WideAnd1673~0_combout\);

-- Location: LCCOMB_X10_Y17_N8
\led_flash_cnt[1673][5]~50310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1673][5]~50310_combout\ = (\led_flash_cnt[1673][5]~q\ & (\led_flash_cnt[1673][4]~50309\ $ (GND))) # (!\led_flash_cnt[1673][5]~q\ & (!\led_flash_cnt[1673][4]~50309\ & VCC))
-- \led_flash_cnt[1673][5]~50311\ = CARRY((\led_flash_cnt[1673][5]~q\ & !\led_flash_cnt[1673][4]~50309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1673][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1673][4]~50309\,
	combout => \led_flash_cnt[1673][5]~50310_combout\,
	cout => \led_flash_cnt[1673][5]~50311\);

-- Location: FF_X10_Y17_N9
\led_flash_cnt[1673][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1673][5]~50310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1673][5]~q\);

-- Location: LCCOMB_X10_Y17_N10
\led_flash_cnt[1673][6]~50312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1673][6]~50312_combout\ = (\led_flash_cnt[1673][6]~q\ & (!\led_flash_cnt[1673][5]~50311\)) # (!\led_flash_cnt[1673][6]~q\ & ((\led_flash_cnt[1673][5]~50311\) # (GND)))
-- \led_flash_cnt[1673][6]~50313\ = CARRY((!\led_flash_cnt[1673][5]~50311\) # (!\led_flash_cnt[1673][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1673][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1673][5]~50311\,
	combout => \led_flash_cnt[1673][6]~50312_combout\,
	cout => \led_flash_cnt[1673][6]~50313\);

-- Location: FF_X10_Y17_N11
\led_flash_cnt[1673][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1673][6]~50312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1673][6]~q\);

-- Location: LCCOMB_X10_Y17_N12
\led_flash_cnt[1673][7]~50314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1673][7]~50314_combout\ = \led_flash_cnt[1673][6]~50313\ $ (!\led_flash_cnt[1673][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1673][7]~q\,
	cin => \led_flash_cnt[1673][6]~50313\,
	combout => \led_flash_cnt[1673][7]~50314_combout\);

-- Location: FF_X10_Y17_N13
\led_flash_cnt[1673][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1673][7]~50314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1673][7]~q\);

-- Location: LCCOMB_X9_Y17_N28
\WideAnd1673~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1673~1_combout\ = (\led_flash_cnt[1673][6]~q\ & \led_flash_cnt[1673][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1673][6]~q\,
	datac => \led_flash_cnt[1673][5]~q\,
	combout => \WideAnd1673~1_combout\);

-- Location: LCCOMB_X9_Y17_N4
WideAnd1673 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1673~combout\ = (\WideAnd1673~0_combout\ & (\led_flash_cnt[1673][0]~q\ & (\led_flash_cnt[1673][7]~q\ & \WideAnd1673~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1673~0_combout\,
	datab => \led_flash_cnt[1673][0]~q\,
	datac => \led_flash_cnt[1673][7]~q\,
	datad => \WideAnd1673~1_combout\,
	combout => \WideAnd1673~combout\);

-- Location: FF_X9_Y17_N5
\led_flash_cnt_ands[1673]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1673~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1673));

-- Location: LCCOMB_X9_Y17_N30
\led_flash_cnt[1675][0]~82315\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1675][0]~82315_combout\ = !\led_flash_cnt[1675][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1675][0]~q\,
	combout => \led_flash_cnt[1675][0]~82315_combout\);

-- Location: FF_X9_Y17_N31
\led_flash_cnt[1675][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1675][0]~82315_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1675][0]~q\);

-- Location: LCCOMB_X9_Y17_N8
\led_flash_cnt[1675][1]~50330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1675][1]~50330_combout\ = (\led_flash_cnt[1675][0]~q\ & (\led_flash_cnt[1675][1]~q\ $ (VCC))) # (!\led_flash_cnt[1675][0]~q\ & (\led_flash_cnt[1675][1]~q\ & VCC))
-- \led_flash_cnt[1675][1]~50331\ = CARRY((\led_flash_cnt[1675][0]~q\ & \led_flash_cnt[1675][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1675][0]~q\,
	datab => \led_flash_cnt[1675][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1675][1]~50330_combout\,
	cout => \led_flash_cnt[1675][1]~50331\);

-- Location: FF_X9_Y17_N9
\led_flash_cnt[1675][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1675][1]~50330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1675][1]~q\);

-- Location: LCCOMB_X9_Y17_N10
\led_flash_cnt[1675][2]~50332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1675][2]~50332_combout\ = (\led_flash_cnt[1675][2]~q\ & (!\led_flash_cnt[1675][1]~50331\)) # (!\led_flash_cnt[1675][2]~q\ & ((\led_flash_cnt[1675][1]~50331\) # (GND)))
-- \led_flash_cnt[1675][2]~50333\ = CARRY((!\led_flash_cnt[1675][1]~50331\) # (!\led_flash_cnt[1675][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1675][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1675][1]~50331\,
	combout => \led_flash_cnt[1675][2]~50332_combout\,
	cout => \led_flash_cnt[1675][2]~50333\);

-- Location: FF_X9_Y17_N11
\led_flash_cnt[1675][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1675][2]~50332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1675][2]~q\);

-- Location: LCCOMB_X9_Y17_N12
\led_flash_cnt[1675][3]~50334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1675][3]~50334_combout\ = (\led_flash_cnt[1675][3]~q\ & (\led_flash_cnt[1675][2]~50333\ $ (GND))) # (!\led_flash_cnt[1675][3]~q\ & (!\led_flash_cnt[1675][2]~50333\ & VCC))
-- \led_flash_cnt[1675][3]~50335\ = CARRY((\led_flash_cnt[1675][3]~q\ & !\led_flash_cnt[1675][2]~50333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1675][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1675][2]~50333\,
	combout => \led_flash_cnt[1675][3]~50334_combout\,
	cout => \led_flash_cnt[1675][3]~50335\);

-- Location: FF_X9_Y17_N13
\led_flash_cnt[1675][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1675][3]~50334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1675][3]~q\);

-- Location: LCCOMB_X9_Y17_N14
\led_flash_cnt[1675][4]~50336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1675][4]~50336_combout\ = (\led_flash_cnt[1675][4]~q\ & (!\led_flash_cnt[1675][3]~50335\)) # (!\led_flash_cnt[1675][4]~q\ & ((\led_flash_cnt[1675][3]~50335\) # (GND)))
-- \led_flash_cnt[1675][4]~50337\ = CARRY((!\led_flash_cnt[1675][3]~50335\) # (!\led_flash_cnt[1675][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1675][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1675][3]~50335\,
	combout => \led_flash_cnt[1675][4]~50336_combout\,
	cout => \led_flash_cnt[1675][4]~50337\);

-- Location: FF_X9_Y17_N15
\led_flash_cnt[1675][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1675][4]~50336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1675][4]~q\);

-- Location: LCCOMB_X9_Y17_N22
\WideAnd1675~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1675~0_combout\ = (\led_flash_cnt[1675][3]~q\ & (\led_flash_cnt[1675][1]~q\ & (\led_flash_cnt[1675][4]~q\ & \led_flash_cnt[1675][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1675][3]~q\,
	datab => \led_flash_cnt[1675][1]~q\,
	datac => \led_flash_cnt[1675][4]~q\,
	datad => \led_flash_cnt[1675][2]~q\,
	combout => \WideAnd1675~0_combout\);

-- Location: LCCOMB_X9_Y17_N16
\led_flash_cnt[1675][5]~50338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1675][5]~50338_combout\ = (\led_flash_cnt[1675][5]~q\ & (\led_flash_cnt[1675][4]~50337\ $ (GND))) # (!\led_flash_cnt[1675][5]~q\ & (!\led_flash_cnt[1675][4]~50337\ & VCC))
-- \led_flash_cnt[1675][5]~50339\ = CARRY((\led_flash_cnt[1675][5]~q\ & !\led_flash_cnt[1675][4]~50337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1675][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1675][4]~50337\,
	combout => \led_flash_cnt[1675][5]~50338_combout\,
	cout => \led_flash_cnt[1675][5]~50339\);

-- Location: FF_X9_Y17_N17
\led_flash_cnt[1675][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1675][5]~50338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1675][5]~q\);

-- Location: LCCOMB_X9_Y17_N18
\led_flash_cnt[1675][6]~50340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1675][6]~50340_combout\ = (\led_flash_cnt[1675][6]~q\ & (!\led_flash_cnt[1675][5]~50339\)) # (!\led_flash_cnt[1675][6]~q\ & ((\led_flash_cnt[1675][5]~50339\) # (GND)))
-- \led_flash_cnt[1675][6]~50341\ = CARRY((!\led_flash_cnt[1675][5]~50339\) # (!\led_flash_cnt[1675][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1675][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1675][5]~50339\,
	combout => \led_flash_cnt[1675][6]~50340_combout\,
	cout => \led_flash_cnt[1675][6]~50341\);

-- Location: FF_X9_Y17_N19
\led_flash_cnt[1675][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1675][6]~50340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1675][6]~q\);

-- Location: LCCOMB_X9_Y17_N20
\led_flash_cnt[1675][7]~50342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1675][7]~50342_combout\ = \led_flash_cnt[1675][6]~50341\ $ (!\led_flash_cnt[1675][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1675][7]~q\,
	cin => \led_flash_cnt[1675][6]~50341\,
	combout => \led_flash_cnt[1675][7]~50342_combout\);

-- Location: FF_X9_Y17_N21
\led_flash_cnt[1675][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1675][7]~50342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1675][7]~q\);

-- Location: LCCOMB_X9_Y17_N6
\WideAnd1675~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1675~1_combout\ = (\led_flash_cnt[1675][6]~q\ & \led_flash_cnt[1675][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1675][6]~q\,
	datad => \led_flash_cnt[1675][5]~q\,
	combout => \WideAnd1675~1_combout\);

-- Location: LCCOMB_X9_Y17_N24
WideAnd1675 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1675~combout\ = (\WideAnd1675~0_combout\ & (\led_flash_cnt[1675][7]~q\ & (\led_flash_cnt[1675][0]~q\ & \WideAnd1675~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1675~0_combout\,
	datab => \led_flash_cnt[1675][7]~q\,
	datac => \led_flash_cnt[1675][0]~q\,
	datad => \WideAnd1675~1_combout\,
	combout => \WideAnd1675~combout\);

-- Location: FF_X9_Y17_N25
\led_flash_cnt_ands[1675]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1675~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1675));

-- Location: LCCOMB_X9_Y17_N2
\WideAnd4049~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4049~0_combout\ = (led_flash_cnt_ands(1672) & (led_flash_cnt_ands(1674) & (led_flash_cnt_ands(1673) & led_flash_cnt_ands(1675))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1672),
	datab => led_flash_cnt_ands(1674),
	datac => led_flash_cnt_ands(1673),
	datad => led_flash_cnt_ands(1675),
	combout => \WideAnd4049~0_combout\);

-- Location: LCCOMB_X39_Y29_N10
\led_flash_cnt[1676][0]~82316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1676][0]~82316_combout\ = !\led_flash_cnt[1676][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1676][0]~q\,
	combout => \led_flash_cnt[1676][0]~82316_combout\);

-- Location: FF_X39_Y29_N11
\led_flash_cnt[1676][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1676][0]~82316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1676][0]~q\);

-- Location: LCCOMB_X39_Y29_N12
\led_flash_cnt[1676][1]~50344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1676][1]~50344_combout\ = (\led_flash_cnt[1676][1]~q\ & (\led_flash_cnt[1676][0]~q\ $ (VCC))) # (!\led_flash_cnt[1676][1]~q\ & (\led_flash_cnt[1676][0]~q\ & VCC))
-- \led_flash_cnt[1676][1]~50345\ = CARRY((\led_flash_cnt[1676][1]~q\ & \led_flash_cnt[1676][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1676][1]~q\,
	datab => \led_flash_cnt[1676][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1676][1]~50344_combout\,
	cout => \led_flash_cnt[1676][1]~50345\);

-- Location: FF_X39_Y29_N13
\led_flash_cnt[1676][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1676][1]~50344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1676][1]~q\);

-- Location: LCCOMB_X39_Y29_N14
\led_flash_cnt[1676][2]~50346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1676][2]~50346_combout\ = (\led_flash_cnt[1676][2]~q\ & (!\led_flash_cnt[1676][1]~50345\)) # (!\led_flash_cnt[1676][2]~q\ & ((\led_flash_cnt[1676][1]~50345\) # (GND)))
-- \led_flash_cnt[1676][2]~50347\ = CARRY((!\led_flash_cnt[1676][1]~50345\) # (!\led_flash_cnt[1676][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1676][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1676][1]~50345\,
	combout => \led_flash_cnt[1676][2]~50346_combout\,
	cout => \led_flash_cnt[1676][2]~50347\);

-- Location: FF_X39_Y29_N15
\led_flash_cnt[1676][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1676][2]~50346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1676][2]~q\);

-- Location: LCCOMB_X39_Y29_N16
\led_flash_cnt[1676][3]~50348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1676][3]~50348_combout\ = (\led_flash_cnt[1676][3]~q\ & (\led_flash_cnt[1676][2]~50347\ $ (GND))) # (!\led_flash_cnt[1676][3]~q\ & (!\led_flash_cnt[1676][2]~50347\ & VCC))
-- \led_flash_cnt[1676][3]~50349\ = CARRY((\led_flash_cnt[1676][3]~q\ & !\led_flash_cnt[1676][2]~50347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1676][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1676][2]~50347\,
	combout => \led_flash_cnt[1676][3]~50348_combout\,
	cout => \led_flash_cnt[1676][3]~50349\);

-- Location: FF_X39_Y29_N17
\led_flash_cnt[1676][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1676][3]~50348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1676][3]~q\);

-- Location: LCCOMB_X39_Y29_N18
\led_flash_cnt[1676][4]~50350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1676][4]~50350_combout\ = (\led_flash_cnt[1676][4]~q\ & (!\led_flash_cnt[1676][3]~50349\)) # (!\led_flash_cnt[1676][4]~q\ & ((\led_flash_cnt[1676][3]~50349\) # (GND)))
-- \led_flash_cnt[1676][4]~50351\ = CARRY((!\led_flash_cnt[1676][3]~50349\) # (!\led_flash_cnt[1676][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1676][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1676][3]~50349\,
	combout => \led_flash_cnt[1676][4]~50350_combout\,
	cout => \led_flash_cnt[1676][4]~50351\);

-- Location: FF_X39_Y29_N19
\led_flash_cnt[1676][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1676][4]~50350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1676][4]~q\);

-- Location: LCCOMB_X39_Y29_N20
\led_flash_cnt[1676][5]~50352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1676][5]~50352_combout\ = (\led_flash_cnt[1676][5]~q\ & (\led_flash_cnt[1676][4]~50351\ $ (GND))) # (!\led_flash_cnt[1676][5]~q\ & (!\led_flash_cnt[1676][4]~50351\ & VCC))
-- \led_flash_cnt[1676][5]~50353\ = CARRY((\led_flash_cnt[1676][5]~q\ & !\led_flash_cnt[1676][4]~50351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1676][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1676][4]~50351\,
	combout => \led_flash_cnt[1676][5]~50352_combout\,
	cout => \led_flash_cnt[1676][5]~50353\);

-- Location: FF_X39_Y29_N21
\led_flash_cnt[1676][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1676][5]~50352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1676][5]~q\);

-- Location: LCCOMB_X39_Y29_N22
\led_flash_cnt[1676][6]~50354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1676][6]~50354_combout\ = (\led_flash_cnt[1676][6]~q\ & (!\led_flash_cnt[1676][5]~50353\)) # (!\led_flash_cnt[1676][6]~q\ & ((\led_flash_cnt[1676][5]~50353\) # (GND)))
-- \led_flash_cnt[1676][6]~50355\ = CARRY((!\led_flash_cnt[1676][5]~50353\) # (!\led_flash_cnt[1676][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1676][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1676][5]~50353\,
	combout => \led_flash_cnt[1676][6]~50354_combout\,
	cout => \led_flash_cnt[1676][6]~50355\);

-- Location: FF_X39_Y29_N23
\led_flash_cnt[1676][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1676][6]~50354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1676][6]~q\);

-- Location: LCCOMB_X39_Y29_N24
\led_flash_cnt[1676][7]~50356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1676][7]~50356_combout\ = \led_flash_cnt[1676][6]~50355\ $ (!\led_flash_cnt[1676][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1676][7]~q\,
	cin => \led_flash_cnt[1676][6]~50355\,
	combout => \led_flash_cnt[1676][7]~50356_combout\);

-- Location: FF_X39_Y29_N25
\led_flash_cnt[1676][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1676][7]~50356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1676][7]~q\);

-- Location: LCCOMB_X39_Y29_N26
\WideAnd1676~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1676~0_combout\ = (\led_flash_cnt[1676][1]~q\ & (\led_flash_cnt[1676][4]~q\ & (\led_flash_cnt[1676][2]~q\ & \led_flash_cnt[1676][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1676][1]~q\,
	datab => \led_flash_cnt[1676][4]~q\,
	datac => \led_flash_cnt[1676][2]~q\,
	datad => \led_flash_cnt[1676][3]~q\,
	combout => \WideAnd1676~0_combout\);

-- Location: LCCOMB_X39_Y29_N6
\WideAnd1676~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1676~1_combout\ = (\led_flash_cnt[1676][6]~q\ & \led_flash_cnt[1676][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1676][6]~q\,
	datad => \led_flash_cnt[1676][5]~q\,
	combout => \WideAnd1676~1_combout\);

-- Location: LCCOMB_X39_Y29_N30
WideAnd1676 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1676~combout\ = (\led_flash_cnt[1676][0]~q\ & (\led_flash_cnt[1676][7]~q\ & (\WideAnd1676~0_combout\ & \WideAnd1676~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1676][0]~q\,
	datab => \led_flash_cnt[1676][7]~q\,
	datac => \WideAnd1676~0_combout\,
	datad => \WideAnd1676~1_combout\,
	combout => \WideAnd1676~combout\);

-- Location: FF_X39_Y29_N31
\led_flash_cnt_ands[1676]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1676~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1676));

-- Location: LCCOMB_X9_Y21_N22
\led_flash_cnt[1677][0]~82317\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1677][0]~82317_combout\ = !\led_flash_cnt[1677][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1677][0]~q\,
	combout => \led_flash_cnt[1677][0]~82317_combout\);

-- Location: FF_X9_Y21_N23
\led_flash_cnt[1677][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1677][0]~82317_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1677][0]~q\);

-- Location: LCCOMB_X9_Y21_N8
\led_flash_cnt[1677][1]~50358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1677][1]~50358_combout\ = (\led_flash_cnt[1677][0]~q\ & (\led_flash_cnt[1677][1]~q\ $ (VCC))) # (!\led_flash_cnt[1677][0]~q\ & (\led_flash_cnt[1677][1]~q\ & VCC))
-- \led_flash_cnt[1677][1]~50359\ = CARRY((\led_flash_cnt[1677][0]~q\ & \led_flash_cnt[1677][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1677][0]~q\,
	datab => \led_flash_cnt[1677][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1677][1]~50358_combout\,
	cout => \led_flash_cnt[1677][1]~50359\);

-- Location: FF_X9_Y21_N9
\led_flash_cnt[1677][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1677][1]~50358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1677][1]~q\);

-- Location: LCCOMB_X9_Y21_N10
\led_flash_cnt[1677][2]~50360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1677][2]~50360_combout\ = (\led_flash_cnt[1677][2]~q\ & (!\led_flash_cnt[1677][1]~50359\)) # (!\led_flash_cnt[1677][2]~q\ & ((\led_flash_cnt[1677][1]~50359\) # (GND)))
-- \led_flash_cnt[1677][2]~50361\ = CARRY((!\led_flash_cnt[1677][1]~50359\) # (!\led_flash_cnt[1677][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1677][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1677][1]~50359\,
	combout => \led_flash_cnt[1677][2]~50360_combout\,
	cout => \led_flash_cnt[1677][2]~50361\);

-- Location: FF_X9_Y21_N11
\led_flash_cnt[1677][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1677][2]~50360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1677][2]~q\);

-- Location: LCCOMB_X9_Y21_N12
\led_flash_cnt[1677][3]~50362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1677][3]~50362_combout\ = (\led_flash_cnt[1677][3]~q\ & (\led_flash_cnt[1677][2]~50361\ $ (GND))) # (!\led_flash_cnt[1677][3]~q\ & (!\led_flash_cnt[1677][2]~50361\ & VCC))
-- \led_flash_cnt[1677][3]~50363\ = CARRY((\led_flash_cnt[1677][3]~q\ & !\led_flash_cnt[1677][2]~50361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1677][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1677][2]~50361\,
	combout => \led_flash_cnt[1677][3]~50362_combout\,
	cout => \led_flash_cnt[1677][3]~50363\);

-- Location: FF_X9_Y21_N13
\led_flash_cnt[1677][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1677][3]~50362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1677][3]~q\);

-- Location: LCCOMB_X9_Y21_N14
\led_flash_cnt[1677][4]~50364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1677][4]~50364_combout\ = (\led_flash_cnt[1677][4]~q\ & (!\led_flash_cnt[1677][3]~50363\)) # (!\led_flash_cnt[1677][4]~q\ & ((\led_flash_cnt[1677][3]~50363\) # (GND)))
-- \led_flash_cnt[1677][4]~50365\ = CARRY((!\led_flash_cnt[1677][3]~50363\) # (!\led_flash_cnt[1677][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1677][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1677][3]~50363\,
	combout => \led_flash_cnt[1677][4]~50364_combout\,
	cout => \led_flash_cnt[1677][4]~50365\);

-- Location: FF_X9_Y21_N15
\led_flash_cnt[1677][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1677][4]~50364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1677][4]~q\);

-- Location: LCCOMB_X9_Y21_N16
\led_flash_cnt[1677][5]~50366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1677][5]~50366_combout\ = (\led_flash_cnt[1677][5]~q\ & (\led_flash_cnt[1677][4]~50365\ $ (GND))) # (!\led_flash_cnt[1677][5]~q\ & (!\led_flash_cnt[1677][4]~50365\ & VCC))
-- \led_flash_cnt[1677][5]~50367\ = CARRY((\led_flash_cnt[1677][5]~q\ & !\led_flash_cnt[1677][4]~50365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1677][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1677][4]~50365\,
	combout => \led_flash_cnt[1677][5]~50366_combout\,
	cout => \led_flash_cnt[1677][5]~50367\);

-- Location: FF_X9_Y21_N17
\led_flash_cnt[1677][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1677][5]~50366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1677][5]~q\);

-- Location: LCCOMB_X9_Y21_N18
\led_flash_cnt[1677][6]~50368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1677][6]~50368_combout\ = (\led_flash_cnt[1677][6]~q\ & (!\led_flash_cnt[1677][5]~50367\)) # (!\led_flash_cnt[1677][6]~q\ & ((\led_flash_cnt[1677][5]~50367\) # (GND)))
-- \led_flash_cnt[1677][6]~50369\ = CARRY((!\led_flash_cnt[1677][5]~50367\) # (!\led_flash_cnt[1677][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1677][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1677][5]~50367\,
	combout => \led_flash_cnt[1677][6]~50368_combout\,
	cout => \led_flash_cnt[1677][6]~50369\);

-- Location: FF_X9_Y21_N19
\led_flash_cnt[1677][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1677][6]~50368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1677][6]~q\);

-- Location: LCCOMB_X9_Y21_N20
\led_flash_cnt[1677][7]~50370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1677][7]~50370_combout\ = \led_flash_cnt[1677][6]~50369\ $ (!\led_flash_cnt[1677][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1677][7]~q\,
	cin => \led_flash_cnt[1677][6]~50369\,
	combout => \led_flash_cnt[1677][7]~50370_combout\);

-- Location: FF_X9_Y21_N21
\led_flash_cnt[1677][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1677][7]~50370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1677][7]~q\);

-- Location: LCCOMB_X9_Y21_N26
\WideAnd1677~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1677~0_combout\ = (\led_flash_cnt[1677][3]~q\ & (\led_flash_cnt[1677][4]~q\ & (\led_flash_cnt[1677][1]~q\ & \led_flash_cnt[1677][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1677][3]~q\,
	datab => \led_flash_cnt[1677][4]~q\,
	datac => \led_flash_cnt[1677][1]~q\,
	datad => \led_flash_cnt[1677][2]~q\,
	combout => \WideAnd1677~0_combout\);

-- Location: LCCOMB_X9_Y21_N28
\WideAnd1677~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1677~1_combout\ = (\led_flash_cnt[1677][6]~q\ & \led_flash_cnt[1677][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1677][6]~q\,
	datad => \led_flash_cnt[1677][5]~q\,
	combout => \WideAnd1677~1_combout\);

-- Location: LCCOMB_X9_Y21_N0
WideAnd1677 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1677~combout\ = (\led_flash_cnt[1677][0]~q\ & (\led_flash_cnt[1677][7]~q\ & (\WideAnd1677~0_combout\ & \WideAnd1677~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1677][0]~q\,
	datab => \led_flash_cnt[1677][7]~q\,
	datac => \WideAnd1677~0_combout\,
	datad => \WideAnd1677~1_combout\,
	combout => \WideAnd1677~combout\);

-- Location: FF_X9_Y21_N1
\led_flash_cnt_ands[1677]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1677~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1677));

-- Location: LCCOMB_X9_Y21_N6
\WideAnd4049~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4049~1_combout\ = (led_flash_cnt_ands(1676) & led_flash_cnt_ands(1677))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1676),
	datad => led_flash_cnt_ands(1677),
	combout => \WideAnd4049~1_combout\);

-- Location: LCCOMB_X9_Y21_N30
WideAnd4049 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4049~combout\ = (led_flash_cnt_ands(1678) & (led_flash_cnt_ands(1679) & (\WideAnd4049~0_combout\ & \WideAnd4049~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1678),
	datab => led_flash_cnt_ands(1679),
	datac => \WideAnd4049~0_combout\,
	datad => \WideAnd4049~1_combout\,
	combout => \WideAnd4049~combout\);

-- Location: FF_X9_Y21_N31
\led_flash_cnt_ands_1[209]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4049~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(209));

-- Location: LCCOMB_X18_Y21_N30
\led_flash_cnt[1694][0]~82328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1694][0]~82328_combout\ = !\led_flash_cnt[1694][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1694][0]~q\,
	combout => \led_flash_cnt[1694][0]~82328_combout\);

-- Location: FF_X18_Y21_N31
\led_flash_cnt[1694][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1694][0]~82328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1694][0]~q\);

-- Location: LCCOMB_X18_Y21_N0
\led_flash_cnt[1694][1]~50512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1694][1]~50512_combout\ = (\led_flash_cnt[1694][0]~q\ & (\led_flash_cnt[1694][1]~q\ $ (VCC))) # (!\led_flash_cnt[1694][0]~q\ & (\led_flash_cnt[1694][1]~q\ & VCC))
-- \led_flash_cnt[1694][1]~50513\ = CARRY((\led_flash_cnt[1694][0]~q\ & \led_flash_cnt[1694][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1694][0]~q\,
	datab => \led_flash_cnt[1694][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1694][1]~50512_combout\,
	cout => \led_flash_cnt[1694][1]~50513\);

-- Location: FF_X18_Y21_N1
\led_flash_cnt[1694][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1694][1]~50512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1694][1]~q\);

-- Location: LCCOMB_X18_Y21_N2
\led_flash_cnt[1694][2]~50514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1694][2]~50514_combout\ = (\led_flash_cnt[1694][2]~q\ & (!\led_flash_cnt[1694][1]~50513\)) # (!\led_flash_cnt[1694][2]~q\ & ((\led_flash_cnt[1694][1]~50513\) # (GND)))
-- \led_flash_cnt[1694][2]~50515\ = CARRY((!\led_flash_cnt[1694][1]~50513\) # (!\led_flash_cnt[1694][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1694][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1694][1]~50513\,
	combout => \led_flash_cnt[1694][2]~50514_combout\,
	cout => \led_flash_cnt[1694][2]~50515\);

-- Location: FF_X18_Y21_N3
\led_flash_cnt[1694][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1694][2]~50514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1694][2]~q\);

-- Location: LCCOMB_X18_Y21_N4
\led_flash_cnt[1694][3]~50516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1694][3]~50516_combout\ = (\led_flash_cnt[1694][3]~q\ & (\led_flash_cnt[1694][2]~50515\ $ (GND))) # (!\led_flash_cnt[1694][3]~q\ & (!\led_flash_cnt[1694][2]~50515\ & VCC))
-- \led_flash_cnt[1694][3]~50517\ = CARRY((\led_flash_cnt[1694][3]~q\ & !\led_flash_cnt[1694][2]~50515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1694][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1694][2]~50515\,
	combout => \led_flash_cnt[1694][3]~50516_combout\,
	cout => \led_flash_cnt[1694][3]~50517\);

-- Location: FF_X18_Y21_N5
\led_flash_cnt[1694][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1694][3]~50516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1694][3]~q\);

-- Location: LCCOMB_X18_Y21_N6
\led_flash_cnt[1694][4]~50518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1694][4]~50518_combout\ = (\led_flash_cnt[1694][4]~q\ & (!\led_flash_cnt[1694][3]~50517\)) # (!\led_flash_cnt[1694][4]~q\ & ((\led_flash_cnt[1694][3]~50517\) # (GND)))
-- \led_flash_cnt[1694][4]~50519\ = CARRY((!\led_flash_cnt[1694][3]~50517\) # (!\led_flash_cnt[1694][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1694][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1694][3]~50517\,
	combout => \led_flash_cnt[1694][4]~50518_combout\,
	cout => \led_flash_cnt[1694][4]~50519\);

-- Location: FF_X18_Y21_N7
\led_flash_cnt[1694][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1694][4]~50518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1694][4]~q\);

-- Location: LCCOMB_X18_Y21_N8
\led_flash_cnt[1694][5]~50520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1694][5]~50520_combout\ = (\led_flash_cnt[1694][5]~q\ & (\led_flash_cnt[1694][4]~50519\ $ (GND))) # (!\led_flash_cnt[1694][5]~q\ & (!\led_flash_cnt[1694][4]~50519\ & VCC))
-- \led_flash_cnt[1694][5]~50521\ = CARRY((\led_flash_cnt[1694][5]~q\ & !\led_flash_cnt[1694][4]~50519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1694][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1694][4]~50519\,
	combout => \led_flash_cnt[1694][5]~50520_combout\,
	cout => \led_flash_cnt[1694][5]~50521\);

-- Location: FF_X18_Y21_N9
\led_flash_cnt[1694][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1694][5]~50520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1694][5]~q\);

-- Location: LCCOMB_X18_Y21_N10
\led_flash_cnt[1694][6]~50522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1694][6]~50522_combout\ = (\led_flash_cnt[1694][6]~q\ & (!\led_flash_cnt[1694][5]~50521\)) # (!\led_flash_cnt[1694][6]~q\ & ((\led_flash_cnt[1694][5]~50521\) # (GND)))
-- \led_flash_cnt[1694][6]~50523\ = CARRY((!\led_flash_cnt[1694][5]~50521\) # (!\led_flash_cnt[1694][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1694][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1694][5]~50521\,
	combout => \led_flash_cnt[1694][6]~50522_combout\,
	cout => \led_flash_cnt[1694][6]~50523\);

-- Location: FF_X18_Y21_N11
\led_flash_cnt[1694][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1694][6]~50522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1694][6]~q\);

-- Location: LCCOMB_X18_Y21_N12
\led_flash_cnt[1694][7]~50524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1694][7]~50524_combout\ = \led_flash_cnt[1694][6]~50523\ $ (!\led_flash_cnt[1694][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1694][7]~q\,
	cin => \led_flash_cnt[1694][6]~50523\,
	combout => \led_flash_cnt[1694][7]~50524_combout\);

-- Location: FF_X18_Y21_N13
\led_flash_cnt[1694][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1694][7]~50524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1694][7]~q\);

-- Location: LCCOMB_X18_Y21_N20
\WideAnd1694~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1694~1_combout\ = (\led_flash_cnt[1694][5]~q\ & \led_flash_cnt[1694][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1694][5]~q\,
	datad => \led_flash_cnt[1694][6]~q\,
	combout => \WideAnd1694~1_combout\);

-- Location: LCCOMB_X18_Y21_N18
\WideAnd1694~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1694~0_combout\ = (\led_flash_cnt[1694][4]~q\ & (\led_flash_cnt[1694][2]~q\ & (\led_flash_cnt[1694][3]~q\ & \led_flash_cnt[1694][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1694][4]~q\,
	datab => \led_flash_cnt[1694][2]~q\,
	datac => \led_flash_cnt[1694][3]~q\,
	datad => \led_flash_cnt[1694][1]~q\,
	combout => \WideAnd1694~0_combout\);

-- Location: LCCOMB_X18_Y21_N26
WideAnd1694 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1694~combout\ = (\led_flash_cnt[1694][7]~q\ & (\WideAnd1694~1_combout\ & (\led_flash_cnt[1694][0]~q\ & \WideAnd1694~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1694][7]~q\,
	datab => \WideAnd1694~1_combout\,
	datac => \led_flash_cnt[1694][0]~q\,
	datad => \WideAnd1694~0_combout\,
	combout => \WideAnd1694~combout\);

-- Location: FF_X18_Y21_N27
\led_flash_cnt_ands[1694]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1694~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1694));

-- Location: LCCOMB_X23_Y5_N6
\led_flash_cnt[1690][0]~82332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1690][0]~82332_combout\ = !\led_flash_cnt[1690][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1690][0]~q\,
	combout => \led_flash_cnt[1690][0]~82332_combout\);

-- Location: FF_X23_Y5_N7
\led_flash_cnt[1690][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1690][0]~82332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1690][0]~q\);

-- Location: LCCOMB_X23_Y5_N8
\led_flash_cnt[1690][1]~50568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1690][1]~50568_combout\ = (\led_flash_cnt[1690][0]~q\ & (\led_flash_cnt[1690][1]~q\ $ (VCC))) # (!\led_flash_cnt[1690][0]~q\ & (\led_flash_cnt[1690][1]~q\ & VCC))
-- \led_flash_cnt[1690][1]~50569\ = CARRY((\led_flash_cnt[1690][0]~q\ & \led_flash_cnt[1690][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1690][0]~q\,
	datab => \led_flash_cnt[1690][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1690][1]~50568_combout\,
	cout => \led_flash_cnt[1690][1]~50569\);

-- Location: FF_X23_Y5_N9
\led_flash_cnt[1690][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1690][1]~50568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1690][1]~q\);

-- Location: LCCOMB_X23_Y5_N10
\led_flash_cnt[1690][2]~50570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1690][2]~50570_combout\ = (\led_flash_cnt[1690][2]~q\ & (!\led_flash_cnt[1690][1]~50569\)) # (!\led_flash_cnt[1690][2]~q\ & ((\led_flash_cnt[1690][1]~50569\) # (GND)))
-- \led_flash_cnt[1690][2]~50571\ = CARRY((!\led_flash_cnt[1690][1]~50569\) # (!\led_flash_cnt[1690][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1690][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1690][1]~50569\,
	combout => \led_flash_cnt[1690][2]~50570_combout\,
	cout => \led_flash_cnt[1690][2]~50571\);

-- Location: FF_X23_Y5_N11
\led_flash_cnt[1690][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1690][2]~50570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1690][2]~q\);

-- Location: LCCOMB_X23_Y5_N12
\led_flash_cnt[1690][3]~50572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1690][3]~50572_combout\ = (\led_flash_cnt[1690][3]~q\ & (\led_flash_cnt[1690][2]~50571\ $ (GND))) # (!\led_flash_cnt[1690][3]~q\ & (!\led_flash_cnt[1690][2]~50571\ & VCC))
-- \led_flash_cnt[1690][3]~50573\ = CARRY((\led_flash_cnt[1690][3]~q\ & !\led_flash_cnt[1690][2]~50571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1690][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1690][2]~50571\,
	combout => \led_flash_cnt[1690][3]~50572_combout\,
	cout => \led_flash_cnt[1690][3]~50573\);

-- Location: FF_X23_Y5_N13
\led_flash_cnt[1690][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1690][3]~50572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1690][3]~q\);

-- Location: LCCOMB_X23_Y5_N14
\led_flash_cnt[1690][4]~50574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1690][4]~50574_combout\ = (\led_flash_cnt[1690][4]~q\ & (!\led_flash_cnt[1690][3]~50573\)) # (!\led_flash_cnt[1690][4]~q\ & ((\led_flash_cnt[1690][3]~50573\) # (GND)))
-- \led_flash_cnt[1690][4]~50575\ = CARRY((!\led_flash_cnt[1690][3]~50573\) # (!\led_flash_cnt[1690][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1690][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1690][3]~50573\,
	combout => \led_flash_cnt[1690][4]~50574_combout\,
	cout => \led_flash_cnt[1690][4]~50575\);

-- Location: FF_X23_Y5_N15
\led_flash_cnt[1690][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1690][4]~50574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1690][4]~q\);

-- Location: LCCOMB_X23_Y5_N16
\led_flash_cnt[1690][5]~50576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1690][5]~50576_combout\ = (\led_flash_cnt[1690][5]~q\ & (\led_flash_cnt[1690][4]~50575\ $ (GND))) # (!\led_flash_cnt[1690][5]~q\ & (!\led_flash_cnt[1690][4]~50575\ & VCC))
-- \led_flash_cnt[1690][5]~50577\ = CARRY((\led_flash_cnt[1690][5]~q\ & !\led_flash_cnt[1690][4]~50575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1690][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1690][4]~50575\,
	combout => \led_flash_cnt[1690][5]~50576_combout\,
	cout => \led_flash_cnt[1690][5]~50577\);

-- Location: FF_X23_Y5_N17
\led_flash_cnt[1690][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1690][5]~50576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1690][5]~q\);

-- Location: LCCOMB_X23_Y5_N18
\led_flash_cnt[1690][6]~50578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1690][6]~50578_combout\ = (\led_flash_cnt[1690][6]~q\ & (!\led_flash_cnt[1690][5]~50577\)) # (!\led_flash_cnt[1690][6]~q\ & ((\led_flash_cnt[1690][5]~50577\) # (GND)))
-- \led_flash_cnt[1690][6]~50579\ = CARRY((!\led_flash_cnt[1690][5]~50577\) # (!\led_flash_cnt[1690][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1690][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1690][5]~50577\,
	combout => \led_flash_cnt[1690][6]~50578_combout\,
	cout => \led_flash_cnt[1690][6]~50579\);

-- Location: FF_X23_Y5_N19
\led_flash_cnt[1690][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1690][6]~50578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1690][6]~q\);

-- Location: LCCOMB_X23_Y5_N20
\led_flash_cnt[1690][7]~50580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1690][7]~50580_combout\ = \led_flash_cnt[1690][6]~50579\ $ (!\led_flash_cnt[1690][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1690][7]~q\,
	cin => \led_flash_cnt[1690][6]~50579\,
	combout => \led_flash_cnt[1690][7]~50580_combout\);

-- Location: FF_X23_Y5_N21
\led_flash_cnt[1690][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1690][7]~50580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1690][7]~q\);

-- Location: LCCOMB_X23_Y5_N22
\WideAnd1690~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1690~1_combout\ = (\led_flash_cnt[1690][6]~q\ & \led_flash_cnt[1690][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1690][6]~q\,
	datad => \led_flash_cnt[1690][5]~q\,
	combout => \WideAnd1690~1_combout\);

-- Location: LCCOMB_X23_Y5_N24
\WideAnd1690~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1690~0_combout\ = (\led_flash_cnt[1690][2]~q\ & (\led_flash_cnt[1690][4]~q\ & (\led_flash_cnt[1690][1]~q\ & \led_flash_cnt[1690][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1690][2]~q\,
	datab => \led_flash_cnt[1690][4]~q\,
	datac => \led_flash_cnt[1690][1]~q\,
	datad => \led_flash_cnt[1690][3]~q\,
	combout => \WideAnd1690~0_combout\);

-- Location: LCCOMB_X23_Y5_N26
WideAnd1690 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1690~combout\ = (\led_flash_cnt[1690][0]~q\ & (\led_flash_cnt[1690][7]~q\ & (\WideAnd1690~1_combout\ & \WideAnd1690~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1690][0]~q\,
	datab => \led_flash_cnt[1690][7]~q\,
	datac => \WideAnd1690~1_combout\,
	datad => \WideAnd1690~0_combout\,
	combout => \WideAnd1690~combout\);

-- Location: FF_X23_Y5_N27
\led_flash_cnt_ands[1690]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1690~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1690));

-- Location: LCCOMB_X23_Y5_N2
\led_flash_cnt[1691][0]~82333\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1691][0]~82333_combout\ = !\led_flash_cnt[1691][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1691][0]~q\,
	combout => \led_flash_cnt[1691][0]~82333_combout\);

-- Location: FF_X23_Y5_N3
\led_flash_cnt[1691][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1691][0]~82333_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1691][0]~q\);

-- Location: LCCOMB_X22_Y5_N14
\led_flash_cnt[1691][1]~50582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1691][1]~50582_combout\ = (\led_flash_cnt[1691][0]~q\ & (\led_flash_cnt[1691][1]~q\ $ (VCC))) # (!\led_flash_cnt[1691][0]~q\ & (\led_flash_cnt[1691][1]~q\ & VCC))
-- \led_flash_cnt[1691][1]~50583\ = CARRY((\led_flash_cnt[1691][0]~q\ & \led_flash_cnt[1691][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1691][0]~q\,
	datab => \led_flash_cnt[1691][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1691][1]~50582_combout\,
	cout => \led_flash_cnt[1691][1]~50583\);

-- Location: FF_X22_Y5_N15
\led_flash_cnt[1691][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1691][1]~50582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1691][1]~q\);

-- Location: LCCOMB_X22_Y5_N16
\led_flash_cnt[1691][2]~50584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1691][2]~50584_combout\ = (\led_flash_cnt[1691][2]~q\ & (!\led_flash_cnt[1691][1]~50583\)) # (!\led_flash_cnt[1691][2]~q\ & ((\led_flash_cnt[1691][1]~50583\) # (GND)))
-- \led_flash_cnt[1691][2]~50585\ = CARRY((!\led_flash_cnt[1691][1]~50583\) # (!\led_flash_cnt[1691][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1691][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1691][1]~50583\,
	combout => \led_flash_cnt[1691][2]~50584_combout\,
	cout => \led_flash_cnt[1691][2]~50585\);

-- Location: FF_X22_Y5_N17
\led_flash_cnt[1691][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1691][2]~50584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1691][2]~q\);

-- Location: LCCOMB_X22_Y5_N18
\led_flash_cnt[1691][3]~50586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1691][3]~50586_combout\ = (\led_flash_cnt[1691][3]~q\ & (\led_flash_cnt[1691][2]~50585\ $ (GND))) # (!\led_flash_cnt[1691][3]~q\ & (!\led_flash_cnt[1691][2]~50585\ & VCC))
-- \led_flash_cnt[1691][3]~50587\ = CARRY((\led_flash_cnt[1691][3]~q\ & !\led_flash_cnt[1691][2]~50585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1691][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1691][2]~50585\,
	combout => \led_flash_cnt[1691][3]~50586_combout\,
	cout => \led_flash_cnt[1691][3]~50587\);

-- Location: FF_X22_Y5_N19
\led_flash_cnt[1691][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1691][3]~50586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1691][3]~q\);

-- Location: LCCOMB_X22_Y5_N20
\led_flash_cnt[1691][4]~50588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1691][4]~50588_combout\ = (\led_flash_cnt[1691][4]~q\ & (!\led_flash_cnt[1691][3]~50587\)) # (!\led_flash_cnt[1691][4]~q\ & ((\led_flash_cnt[1691][3]~50587\) # (GND)))
-- \led_flash_cnt[1691][4]~50589\ = CARRY((!\led_flash_cnt[1691][3]~50587\) # (!\led_flash_cnt[1691][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1691][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1691][3]~50587\,
	combout => \led_flash_cnt[1691][4]~50588_combout\,
	cout => \led_flash_cnt[1691][4]~50589\);

-- Location: FF_X22_Y5_N21
\led_flash_cnt[1691][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1691][4]~50588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1691][4]~q\);

-- Location: LCCOMB_X22_Y5_N22
\led_flash_cnt[1691][5]~50590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1691][5]~50590_combout\ = (\led_flash_cnt[1691][5]~q\ & (\led_flash_cnt[1691][4]~50589\ $ (GND))) # (!\led_flash_cnt[1691][5]~q\ & (!\led_flash_cnt[1691][4]~50589\ & VCC))
-- \led_flash_cnt[1691][5]~50591\ = CARRY((\led_flash_cnt[1691][5]~q\ & !\led_flash_cnt[1691][4]~50589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1691][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1691][4]~50589\,
	combout => \led_flash_cnt[1691][5]~50590_combout\,
	cout => \led_flash_cnt[1691][5]~50591\);

-- Location: FF_X22_Y5_N23
\led_flash_cnt[1691][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1691][5]~50590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1691][5]~q\);

-- Location: LCCOMB_X22_Y5_N24
\led_flash_cnt[1691][6]~50592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1691][6]~50592_combout\ = (\led_flash_cnt[1691][6]~q\ & (!\led_flash_cnt[1691][5]~50591\)) # (!\led_flash_cnt[1691][6]~q\ & ((\led_flash_cnt[1691][5]~50591\) # (GND)))
-- \led_flash_cnt[1691][6]~50593\ = CARRY((!\led_flash_cnt[1691][5]~50591\) # (!\led_flash_cnt[1691][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1691][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1691][5]~50591\,
	combout => \led_flash_cnt[1691][6]~50592_combout\,
	cout => \led_flash_cnt[1691][6]~50593\);

-- Location: FF_X22_Y5_N25
\led_flash_cnt[1691][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1691][6]~50592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1691][6]~q\);

-- Location: LCCOMB_X23_Y5_N30
\WideAnd1691~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1691~1_combout\ = (\led_flash_cnt[1691][6]~q\ & \led_flash_cnt[1691][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1691][6]~q\,
	datad => \led_flash_cnt[1691][5]~q\,
	combout => \WideAnd1691~1_combout\);

-- Location: LCCOMB_X22_Y5_N30
\WideAnd1691~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1691~0_combout\ = (\led_flash_cnt[1691][3]~q\ & (\led_flash_cnt[1691][4]~q\ & (\led_flash_cnt[1691][1]~q\ & \led_flash_cnt[1691][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1691][3]~q\,
	datab => \led_flash_cnt[1691][4]~q\,
	datac => \led_flash_cnt[1691][1]~q\,
	datad => \led_flash_cnt[1691][2]~q\,
	combout => \WideAnd1691~0_combout\);

-- Location: LCCOMB_X22_Y5_N26
\led_flash_cnt[1691][7]~50594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1691][7]~50594_combout\ = \led_flash_cnt[1691][7]~q\ $ (!\led_flash_cnt[1691][6]~50593\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1691][7]~q\,
	cin => \led_flash_cnt[1691][6]~50593\,
	combout => \led_flash_cnt[1691][7]~50594_combout\);

-- Location: FF_X22_Y5_N27
\led_flash_cnt[1691][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1691][7]~50594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1691][7]~q\);

-- Location: LCCOMB_X23_Y5_N4
WideAnd1691 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1691~combout\ = (\WideAnd1691~1_combout\ & (\WideAnd1691~0_combout\ & (\led_flash_cnt[1691][7]~q\ & \led_flash_cnt[1691][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1691~1_combout\,
	datab => \WideAnd1691~0_combout\,
	datac => \led_flash_cnt[1691][7]~q\,
	datad => \led_flash_cnt[1691][0]~q\,
	combout => \WideAnd1691~combout\);

-- Location: FF_X23_Y5_N5
\led_flash_cnt_ands[1691]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1691~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1691));

-- Location: LCCOMB_X24_Y5_N8
\led_flash_cnt[1689][0]~82331\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1689][0]~82331_combout\ = !\led_flash_cnt[1689][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1689][0]~q\,
	combout => \led_flash_cnt[1689][0]~82331_combout\);

-- Location: FF_X24_Y5_N9
\led_flash_cnt[1689][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1689][0]~82331_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1689][0]~q\);

-- Location: LCCOMB_X25_Y5_N2
\led_flash_cnt[1689][1]~50554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1689][1]~50554_combout\ = (\led_flash_cnt[1689][0]~q\ & (\led_flash_cnt[1689][1]~q\ $ (VCC))) # (!\led_flash_cnt[1689][0]~q\ & (\led_flash_cnt[1689][1]~q\ & VCC))
-- \led_flash_cnt[1689][1]~50555\ = CARRY((\led_flash_cnt[1689][0]~q\ & \led_flash_cnt[1689][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1689][0]~q\,
	datab => \led_flash_cnt[1689][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1689][1]~50554_combout\,
	cout => \led_flash_cnt[1689][1]~50555\);

-- Location: FF_X25_Y5_N3
\led_flash_cnt[1689][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1689][1]~50554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1689][1]~q\);

-- Location: LCCOMB_X25_Y5_N4
\led_flash_cnt[1689][2]~50556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1689][2]~50556_combout\ = (\led_flash_cnt[1689][2]~q\ & (!\led_flash_cnt[1689][1]~50555\)) # (!\led_flash_cnt[1689][2]~q\ & ((\led_flash_cnt[1689][1]~50555\) # (GND)))
-- \led_flash_cnt[1689][2]~50557\ = CARRY((!\led_flash_cnt[1689][1]~50555\) # (!\led_flash_cnt[1689][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1689][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1689][1]~50555\,
	combout => \led_flash_cnt[1689][2]~50556_combout\,
	cout => \led_flash_cnt[1689][2]~50557\);

-- Location: FF_X25_Y5_N5
\led_flash_cnt[1689][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1689][2]~50556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1689][2]~q\);

-- Location: LCCOMB_X25_Y5_N6
\led_flash_cnt[1689][3]~50558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1689][3]~50558_combout\ = (\led_flash_cnt[1689][3]~q\ & (\led_flash_cnt[1689][2]~50557\ $ (GND))) # (!\led_flash_cnt[1689][3]~q\ & (!\led_flash_cnt[1689][2]~50557\ & VCC))
-- \led_flash_cnt[1689][3]~50559\ = CARRY((\led_flash_cnt[1689][3]~q\ & !\led_flash_cnt[1689][2]~50557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1689][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1689][2]~50557\,
	combout => \led_flash_cnt[1689][3]~50558_combout\,
	cout => \led_flash_cnt[1689][3]~50559\);

-- Location: FF_X25_Y5_N7
\led_flash_cnt[1689][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1689][3]~50558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1689][3]~q\);

-- Location: LCCOMB_X25_Y5_N8
\led_flash_cnt[1689][4]~50560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1689][4]~50560_combout\ = (\led_flash_cnt[1689][4]~q\ & (!\led_flash_cnt[1689][3]~50559\)) # (!\led_flash_cnt[1689][4]~q\ & ((\led_flash_cnt[1689][3]~50559\) # (GND)))
-- \led_flash_cnt[1689][4]~50561\ = CARRY((!\led_flash_cnt[1689][3]~50559\) # (!\led_flash_cnt[1689][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1689][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1689][3]~50559\,
	combout => \led_flash_cnt[1689][4]~50560_combout\,
	cout => \led_flash_cnt[1689][4]~50561\);

-- Location: FF_X25_Y5_N9
\led_flash_cnt[1689][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1689][4]~50560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1689][4]~q\);

-- Location: LCCOMB_X25_Y5_N30
\WideAnd1689~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1689~0_combout\ = (\led_flash_cnt[1689][3]~q\ & (\led_flash_cnt[1689][4]~q\ & (\led_flash_cnt[1689][2]~q\ & \led_flash_cnt[1689][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1689][3]~q\,
	datab => \led_flash_cnt[1689][4]~q\,
	datac => \led_flash_cnt[1689][2]~q\,
	datad => \led_flash_cnt[1689][1]~q\,
	combout => \WideAnd1689~0_combout\);

-- Location: LCCOMB_X25_Y5_N10
\led_flash_cnt[1689][5]~50562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1689][5]~50562_combout\ = (\led_flash_cnt[1689][5]~q\ & (\led_flash_cnt[1689][4]~50561\ $ (GND))) # (!\led_flash_cnt[1689][5]~q\ & (!\led_flash_cnt[1689][4]~50561\ & VCC))
-- \led_flash_cnt[1689][5]~50563\ = CARRY((\led_flash_cnt[1689][5]~q\ & !\led_flash_cnt[1689][4]~50561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1689][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1689][4]~50561\,
	combout => \led_flash_cnt[1689][5]~50562_combout\,
	cout => \led_flash_cnt[1689][5]~50563\);

-- Location: FF_X25_Y5_N11
\led_flash_cnt[1689][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1689][5]~50562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1689][5]~q\);

-- Location: LCCOMB_X25_Y5_N12
\led_flash_cnt[1689][6]~50564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1689][6]~50564_combout\ = (\led_flash_cnt[1689][6]~q\ & (!\led_flash_cnt[1689][5]~50563\)) # (!\led_flash_cnt[1689][6]~q\ & ((\led_flash_cnt[1689][5]~50563\) # (GND)))
-- \led_flash_cnt[1689][6]~50565\ = CARRY((!\led_flash_cnt[1689][5]~50563\) # (!\led_flash_cnt[1689][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1689][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1689][5]~50563\,
	combout => \led_flash_cnt[1689][6]~50564_combout\,
	cout => \led_flash_cnt[1689][6]~50565\);

-- Location: FF_X25_Y5_N13
\led_flash_cnt[1689][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1689][6]~50564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1689][6]~q\);

-- Location: LCCOMB_X25_Y5_N14
\led_flash_cnt[1689][7]~50566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1689][7]~50566_combout\ = \led_flash_cnt[1689][7]~q\ $ (!\led_flash_cnt[1689][6]~50565\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1689][7]~q\,
	cin => \led_flash_cnt[1689][6]~50565\,
	combout => \led_flash_cnt[1689][7]~50566_combout\);

-- Location: FF_X25_Y5_N15
\led_flash_cnt[1689][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1689][7]~50566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1689][7]~q\);

-- Location: LCCOMB_X24_Y5_N28
\WideAnd1689~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1689~1_combout\ = (\led_flash_cnt[1689][6]~q\ & \led_flash_cnt[1689][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1689][6]~q\,
	datac => \led_flash_cnt[1689][5]~q\,
	combout => \WideAnd1689~1_combout\);

-- Location: LCCOMB_X24_Y5_N30
WideAnd1689 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1689~combout\ = (\WideAnd1689~0_combout\ & (\led_flash_cnt[1689][0]~q\ & (\led_flash_cnt[1689][7]~q\ & \WideAnd1689~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1689~0_combout\,
	datab => \led_flash_cnt[1689][0]~q\,
	datac => \led_flash_cnt[1689][7]~q\,
	datad => \WideAnd1689~1_combout\,
	combout => \WideAnd1689~combout\);

-- Location: FF_X24_Y5_N31
\led_flash_cnt_ands[1689]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1689~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1689));

-- Location: LCCOMB_X24_Y5_N24
\led_flash_cnt[1688][0]~82330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1688][0]~82330_combout\ = !\led_flash_cnt[1688][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1688][0]~q\,
	combout => \led_flash_cnt[1688][0]~82330_combout\);

-- Location: FF_X24_Y5_N25
\led_flash_cnt[1688][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1688][0]~82330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1688][0]~q\);

-- Location: LCCOMB_X24_Y5_N10
\led_flash_cnt[1688][1]~50540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1688][1]~50540_combout\ = (\led_flash_cnt[1688][1]~q\ & (\led_flash_cnt[1688][0]~q\ $ (VCC))) # (!\led_flash_cnt[1688][1]~q\ & (\led_flash_cnt[1688][0]~q\ & VCC))
-- \led_flash_cnt[1688][1]~50541\ = CARRY((\led_flash_cnt[1688][1]~q\ & \led_flash_cnt[1688][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1688][1]~q\,
	datab => \led_flash_cnt[1688][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1688][1]~50540_combout\,
	cout => \led_flash_cnt[1688][1]~50541\);

-- Location: FF_X24_Y5_N11
\led_flash_cnt[1688][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1688][1]~50540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1688][1]~q\);

-- Location: LCCOMB_X24_Y5_N12
\led_flash_cnt[1688][2]~50542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1688][2]~50542_combout\ = (\led_flash_cnt[1688][2]~q\ & (!\led_flash_cnt[1688][1]~50541\)) # (!\led_flash_cnt[1688][2]~q\ & ((\led_flash_cnt[1688][1]~50541\) # (GND)))
-- \led_flash_cnt[1688][2]~50543\ = CARRY((!\led_flash_cnt[1688][1]~50541\) # (!\led_flash_cnt[1688][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1688][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1688][1]~50541\,
	combout => \led_flash_cnt[1688][2]~50542_combout\,
	cout => \led_flash_cnt[1688][2]~50543\);

-- Location: FF_X24_Y5_N13
\led_flash_cnt[1688][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1688][2]~50542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1688][2]~q\);

-- Location: LCCOMB_X24_Y5_N14
\led_flash_cnt[1688][3]~50544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1688][3]~50544_combout\ = (\led_flash_cnt[1688][3]~q\ & (\led_flash_cnt[1688][2]~50543\ $ (GND))) # (!\led_flash_cnt[1688][3]~q\ & (!\led_flash_cnt[1688][2]~50543\ & VCC))
-- \led_flash_cnt[1688][3]~50545\ = CARRY((\led_flash_cnt[1688][3]~q\ & !\led_flash_cnt[1688][2]~50543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1688][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1688][2]~50543\,
	combout => \led_flash_cnt[1688][3]~50544_combout\,
	cout => \led_flash_cnt[1688][3]~50545\);

-- Location: FF_X24_Y5_N15
\led_flash_cnt[1688][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1688][3]~50544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1688][3]~q\);

-- Location: LCCOMB_X24_Y5_N16
\led_flash_cnt[1688][4]~50546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1688][4]~50546_combout\ = (\led_flash_cnt[1688][4]~q\ & (!\led_flash_cnt[1688][3]~50545\)) # (!\led_flash_cnt[1688][4]~q\ & ((\led_flash_cnt[1688][3]~50545\) # (GND)))
-- \led_flash_cnt[1688][4]~50547\ = CARRY((!\led_flash_cnt[1688][3]~50545\) # (!\led_flash_cnt[1688][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1688][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1688][3]~50545\,
	combout => \led_flash_cnt[1688][4]~50546_combout\,
	cout => \led_flash_cnt[1688][4]~50547\);

-- Location: FF_X24_Y5_N17
\led_flash_cnt[1688][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1688][4]~50546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1688][4]~q\);

-- Location: LCCOMB_X24_Y5_N18
\led_flash_cnt[1688][5]~50548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1688][5]~50548_combout\ = (\led_flash_cnt[1688][5]~q\ & (\led_flash_cnt[1688][4]~50547\ $ (GND))) # (!\led_flash_cnt[1688][5]~q\ & (!\led_flash_cnt[1688][4]~50547\ & VCC))
-- \led_flash_cnt[1688][5]~50549\ = CARRY((\led_flash_cnt[1688][5]~q\ & !\led_flash_cnt[1688][4]~50547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1688][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1688][4]~50547\,
	combout => \led_flash_cnt[1688][5]~50548_combout\,
	cout => \led_flash_cnt[1688][5]~50549\);

-- Location: FF_X24_Y5_N19
\led_flash_cnt[1688][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1688][5]~50548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1688][5]~q\);

-- Location: LCCOMB_X24_Y5_N20
\led_flash_cnt[1688][6]~50550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1688][6]~50550_combout\ = (\led_flash_cnt[1688][6]~q\ & (!\led_flash_cnt[1688][5]~50549\)) # (!\led_flash_cnt[1688][6]~q\ & ((\led_flash_cnt[1688][5]~50549\) # (GND)))
-- \led_flash_cnt[1688][6]~50551\ = CARRY((!\led_flash_cnt[1688][5]~50549\) # (!\led_flash_cnt[1688][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1688][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1688][5]~50549\,
	combout => \led_flash_cnt[1688][6]~50550_combout\,
	cout => \led_flash_cnt[1688][6]~50551\);

-- Location: FF_X24_Y5_N21
\led_flash_cnt[1688][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1688][6]~50550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1688][6]~q\);

-- Location: LCCOMB_X24_Y5_N22
\led_flash_cnt[1688][7]~50552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1688][7]~50552_combout\ = \led_flash_cnt[1688][7]~q\ $ (!\led_flash_cnt[1688][6]~50551\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1688][7]~q\,
	cin => \led_flash_cnt[1688][6]~50551\,
	combout => \led_flash_cnt[1688][7]~50552_combout\);

-- Location: FF_X24_Y5_N23
\led_flash_cnt[1688][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1688][7]~50552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1688][7]~q\);

-- Location: LCCOMB_X24_Y5_N2
\WideAnd1688~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1688~0_combout\ = (\led_flash_cnt[1688][2]~q\ & (\led_flash_cnt[1688][4]~q\ & (\led_flash_cnt[1688][3]~q\ & \led_flash_cnt[1688][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1688][2]~q\,
	datab => \led_flash_cnt[1688][4]~q\,
	datac => \led_flash_cnt[1688][3]~q\,
	datad => \led_flash_cnt[1688][1]~q\,
	combout => \WideAnd1688~0_combout\);

-- Location: LCCOMB_X24_Y5_N26
\WideAnd1688~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1688~1_combout\ = (\led_flash_cnt[1688][5]~q\ & \led_flash_cnt[1688][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1688][5]~q\,
	datad => \led_flash_cnt[1688][6]~q\,
	combout => \WideAnd1688~1_combout\);

-- Location: LCCOMB_X24_Y5_N6
WideAnd1688 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1688~combout\ = (\led_flash_cnt[1688][7]~q\ & (\WideAnd1688~0_combout\ & (\WideAnd1688~1_combout\ & \led_flash_cnt[1688][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1688][7]~q\,
	datab => \WideAnd1688~0_combout\,
	datac => \WideAnd1688~1_combout\,
	datad => \led_flash_cnt[1688][0]~q\,
	combout => \WideAnd1688~combout\);

-- Location: FF_X24_Y5_N7
\led_flash_cnt_ands[1688]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1688~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1688));

-- Location: LCCOMB_X23_Y5_N0
\WideAnd4051~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4051~0_combout\ = (led_flash_cnt_ands(1690) & (led_flash_cnt_ands(1691) & (led_flash_cnt_ands(1689) & led_flash_cnt_ands(1688))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1690),
	datab => led_flash_cnt_ands(1691),
	datac => led_flash_cnt_ands(1689),
	datad => led_flash_cnt_ands(1688),
	combout => \WideAnd4051~0_combout\);

-- Location: LCCOMB_X16_Y26_N20
\led_flash_cnt[1693][0]~82335\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1693][0]~82335_combout\ = !\led_flash_cnt[1693][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1693][0]~q\,
	combout => \led_flash_cnt[1693][0]~82335_combout\);

-- Location: FF_X16_Y26_N21
\led_flash_cnt[1693][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1693][0]~82335_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1693][0]~q\);

-- Location: LCCOMB_X15_Y26_N16
\led_flash_cnt[1693][1]~50610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1693][1]~50610_combout\ = (\led_flash_cnt[1693][0]~q\ & (\led_flash_cnt[1693][1]~q\ $ (VCC))) # (!\led_flash_cnt[1693][0]~q\ & (\led_flash_cnt[1693][1]~q\ & VCC))
-- \led_flash_cnt[1693][1]~50611\ = CARRY((\led_flash_cnt[1693][0]~q\ & \led_flash_cnt[1693][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1693][0]~q\,
	datab => \led_flash_cnt[1693][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1693][1]~50610_combout\,
	cout => \led_flash_cnt[1693][1]~50611\);

-- Location: FF_X15_Y26_N17
\led_flash_cnt[1693][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1693][1]~50610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1693][1]~q\);

-- Location: LCCOMB_X15_Y26_N18
\led_flash_cnt[1693][2]~50612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1693][2]~50612_combout\ = (\led_flash_cnt[1693][2]~q\ & (!\led_flash_cnt[1693][1]~50611\)) # (!\led_flash_cnt[1693][2]~q\ & ((\led_flash_cnt[1693][1]~50611\) # (GND)))
-- \led_flash_cnt[1693][2]~50613\ = CARRY((!\led_flash_cnt[1693][1]~50611\) # (!\led_flash_cnt[1693][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1693][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1693][1]~50611\,
	combout => \led_flash_cnt[1693][2]~50612_combout\,
	cout => \led_flash_cnt[1693][2]~50613\);

-- Location: FF_X15_Y26_N19
\led_flash_cnt[1693][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1693][2]~50612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1693][2]~q\);

-- Location: LCCOMB_X15_Y26_N20
\led_flash_cnt[1693][3]~50614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1693][3]~50614_combout\ = (\led_flash_cnt[1693][3]~q\ & (\led_flash_cnt[1693][2]~50613\ $ (GND))) # (!\led_flash_cnt[1693][3]~q\ & (!\led_flash_cnt[1693][2]~50613\ & VCC))
-- \led_flash_cnt[1693][3]~50615\ = CARRY((\led_flash_cnt[1693][3]~q\ & !\led_flash_cnt[1693][2]~50613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1693][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1693][2]~50613\,
	combout => \led_flash_cnt[1693][3]~50614_combout\,
	cout => \led_flash_cnt[1693][3]~50615\);

-- Location: FF_X15_Y26_N21
\led_flash_cnt[1693][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1693][3]~50614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1693][3]~q\);

-- Location: LCCOMB_X15_Y26_N22
\led_flash_cnt[1693][4]~50616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1693][4]~50616_combout\ = (\led_flash_cnt[1693][4]~q\ & (!\led_flash_cnt[1693][3]~50615\)) # (!\led_flash_cnt[1693][4]~q\ & ((\led_flash_cnt[1693][3]~50615\) # (GND)))
-- \led_flash_cnt[1693][4]~50617\ = CARRY((!\led_flash_cnt[1693][3]~50615\) # (!\led_flash_cnt[1693][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1693][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1693][3]~50615\,
	combout => \led_flash_cnt[1693][4]~50616_combout\,
	cout => \led_flash_cnt[1693][4]~50617\);

-- Location: FF_X15_Y26_N23
\led_flash_cnt[1693][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1693][4]~50616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1693][4]~q\);

-- Location: LCCOMB_X15_Y26_N14
\WideAnd1693~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1693~0_combout\ = (\led_flash_cnt[1693][1]~q\ & (\led_flash_cnt[1693][3]~q\ & (\led_flash_cnt[1693][4]~q\ & \led_flash_cnt[1693][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1693][1]~q\,
	datab => \led_flash_cnt[1693][3]~q\,
	datac => \led_flash_cnt[1693][4]~q\,
	datad => \led_flash_cnt[1693][2]~q\,
	combout => \WideAnd1693~0_combout\);

-- Location: LCCOMB_X15_Y26_N24
\led_flash_cnt[1693][5]~50618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1693][5]~50618_combout\ = (\led_flash_cnt[1693][5]~q\ & (\led_flash_cnt[1693][4]~50617\ $ (GND))) # (!\led_flash_cnt[1693][5]~q\ & (!\led_flash_cnt[1693][4]~50617\ & VCC))
-- \led_flash_cnt[1693][5]~50619\ = CARRY((\led_flash_cnt[1693][5]~q\ & !\led_flash_cnt[1693][4]~50617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1693][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1693][4]~50617\,
	combout => \led_flash_cnt[1693][5]~50618_combout\,
	cout => \led_flash_cnt[1693][5]~50619\);

-- Location: FF_X15_Y26_N25
\led_flash_cnt[1693][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1693][5]~50618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1693][5]~q\);

-- Location: LCCOMB_X15_Y26_N26
\led_flash_cnt[1693][6]~50620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1693][6]~50620_combout\ = (\led_flash_cnt[1693][6]~q\ & (!\led_flash_cnt[1693][5]~50619\)) # (!\led_flash_cnt[1693][6]~q\ & ((\led_flash_cnt[1693][5]~50619\) # (GND)))
-- \led_flash_cnt[1693][6]~50621\ = CARRY((!\led_flash_cnt[1693][5]~50619\) # (!\led_flash_cnt[1693][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1693][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1693][5]~50619\,
	combout => \led_flash_cnt[1693][6]~50620_combout\,
	cout => \led_flash_cnt[1693][6]~50621\);

-- Location: FF_X15_Y26_N27
\led_flash_cnt[1693][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1693][6]~50620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1693][6]~q\);

-- Location: LCCOMB_X16_Y26_N24
\WideAnd1693~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1693~1_combout\ = (\led_flash_cnt[1693][6]~q\ & \led_flash_cnt[1693][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1693][6]~q\,
	datad => \led_flash_cnt[1693][5]~q\,
	combout => \WideAnd1693~1_combout\);

-- Location: LCCOMB_X15_Y26_N28
\led_flash_cnt[1693][7]~50622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1693][7]~50622_combout\ = \led_flash_cnt[1693][6]~50621\ $ (!\led_flash_cnt[1693][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1693][7]~q\,
	cin => \led_flash_cnt[1693][6]~50621\,
	combout => \led_flash_cnt[1693][7]~50622_combout\);

-- Location: FF_X15_Y26_N29
\led_flash_cnt[1693][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1693][7]~50622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1693][7]~q\);

-- Location: LCCOMB_X16_Y26_N22
WideAnd1693 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1693~combout\ = (\WideAnd1693~0_combout\ & (\WideAnd1693~1_combout\ & (\led_flash_cnt[1693][7]~q\ & \led_flash_cnt[1693][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1693~0_combout\,
	datab => \WideAnd1693~1_combout\,
	datac => \led_flash_cnt[1693][7]~q\,
	datad => \led_flash_cnt[1693][0]~q\,
	combout => \WideAnd1693~combout\);

-- Location: FF_X16_Y26_N23
\led_flash_cnt_ands[1693]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1693~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1693));

-- Location: LCCOMB_X16_Y26_N28
\led_flash_cnt[1695][0]~82334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1695][0]~82334_combout\ = !\led_flash_cnt[1695][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1695][0]~q\,
	combout => \led_flash_cnt[1695][0]~82334_combout\);

-- Location: FF_X16_Y26_N29
\led_flash_cnt[1695][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1695][0]~82334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1695][0]~q\);

-- Location: LCCOMB_X16_Y26_N2
\led_flash_cnt[1695][1]~50596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1695][1]~50596_combout\ = (\led_flash_cnt[1695][1]~q\ & (\led_flash_cnt[1695][0]~q\ $ (VCC))) # (!\led_flash_cnt[1695][1]~q\ & (\led_flash_cnt[1695][0]~q\ & VCC))
-- \led_flash_cnt[1695][1]~50597\ = CARRY((\led_flash_cnt[1695][1]~q\ & \led_flash_cnt[1695][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1695][1]~q\,
	datab => \led_flash_cnt[1695][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1695][1]~50596_combout\,
	cout => \led_flash_cnt[1695][1]~50597\);

-- Location: FF_X16_Y26_N3
\led_flash_cnt[1695][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1695][1]~50596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1695][1]~q\);

-- Location: LCCOMB_X16_Y26_N4
\led_flash_cnt[1695][2]~50598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1695][2]~50598_combout\ = (\led_flash_cnt[1695][2]~q\ & (!\led_flash_cnt[1695][1]~50597\)) # (!\led_flash_cnt[1695][2]~q\ & ((\led_flash_cnt[1695][1]~50597\) # (GND)))
-- \led_flash_cnt[1695][2]~50599\ = CARRY((!\led_flash_cnt[1695][1]~50597\) # (!\led_flash_cnt[1695][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1695][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1695][1]~50597\,
	combout => \led_flash_cnt[1695][2]~50598_combout\,
	cout => \led_flash_cnt[1695][2]~50599\);

-- Location: FF_X16_Y26_N5
\led_flash_cnt[1695][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1695][2]~50598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1695][2]~q\);

-- Location: LCCOMB_X16_Y26_N6
\led_flash_cnt[1695][3]~50600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1695][3]~50600_combout\ = (\led_flash_cnt[1695][3]~q\ & (\led_flash_cnt[1695][2]~50599\ $ (GND))) # (!\led_flash_cnt[1695][3]~q\ & (!\led_flash_cnt[1695][2]~50599\ & VCC))
-- \led_flash_cnt[1695][3]~50601\ = CARRY((\led_flash_cnt[1695][3]~q\ & !\led_flash_cnt[1695][2]~50599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1695][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1695][2]~50599\,
	combout => \led_flash_cnt[1695][3]~50600_combout\,
	cout => \led_flash_cnt[1695][3]~50601\);

-- Location: FF_X16_Y26_N7
\led_flash_cnt[1695][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1695][3]~50600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1695][3]~q\);

-- Location: LCCOMB_X16_Y26_N8
\led_flash_cnt[1695][4]~50602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1695][4]~50602_combout\ = (\led_flash_cnt[1695][4]~q\ & (!\led_flash_cnt[1695][3]~50601\)) # (!\led_flash_cnt[1695][4]~q\ & ((\led_flash_cnt[1695][3]~50601\) # (GND)))
-- \led_flash_cnt[1695][4]~50603\ = CARRY((!\led_flash_cnt[1695][3]~50601\) # (!\led_flash_cnt[1695][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1695][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1695][3]~50601\,
	combout => \led_flash_cnt[1695][4]~50602_combout\,
	cout => \led_flash_cnt[1695][4]~50603\);

-- Location: FF_X16_Y26_N9
\led_flash_cnt[1695][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1695][4]~50602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1695][4]~q\);

-- Location: LCCOMB_X16_Y26_N10
\led_flash_cnt[1695][5]~50604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1695][5]~50604_combout\ = (\led_flash_cnt[1695][5]~q\ & (\led_flash_cnt[1695][4]~50603\ $ (GND))) # (!\led_flash_cnt[1695][5]~q\ & (!\led_flash_cnt[1695][4]~50603\ & VCC))
-- \led_flash_cnt[1695][5]~50605\ = CARRY((\led_flash_cnt[1695][5]~q\ & !\led_flash_cnt[1695][4]~50603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1695][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1695][4]~50603\,
	combout => \led_flash_cnt[1695][5]~50604_combout\,
	cout => \led_flash_cnt[1695][5]~50605\);

-- Location: FF_X16_Y26_N11
\led_flash_cnt[1695][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1695][5]~50604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1695][5]~q\);

-- Location: LCCOMB_X16_Y26_N12
\led_flash_cnt[1695][6]~50606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1695][6]~50606_combout\ = (\led_flash_cnt[1695][6]~q\ & (!\led_flash_cnt[1695][5]~50605\)) # (!\led_flash_cnt[1695][6]~q\ & ((\led_flash_cnt[1695][5]~50605\) # (GND)))
-- \led_flash_cnt[1695][6]~50607\ = CARRY((!\led_flash_cnt[1695][5]~50605\) # (!\led_flash_cnt[1695][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1695][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1695][5]~50605\,
	combout => \led_flash_cnt[1695][6]~50606_combout\,
	cout => \led_flash_cnt[1695][6]~50607\);

-- Location: FF_X16_Y26_N13
\led_flash_cnt[1695][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1695][6]~50606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1695][6]~q\);

-- Location: LCCOMB_X16_Y26_N26
\WideAnd1695~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1695~1_combout\ = (\led_flash_cnt[1695][5]~q\ & \led_flash_cnt[1695][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1695][5]~q\,
	datad => \led_flash_cnt[1695][6]~q\,
	combout => \WideAnd1695~1_combout\);

-- Location: LCCOMB_X16_Y26_N16
\WideAnd1695~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1695~0_combout\ = (\led_flash_cnt[1695][3]~q\ & (\led_flash_cnt[1695][4]~q\ & (\led_flash_cnt[1695][2]~q\ & \led_flash_cnt[1695][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1695][3]~q\,
	datab => \led_flash_cnt[1695][4]~q\,
	datac => \led_flash_cnt[1695][2]~q\,
	datad => \led_flash_cnt[1695][1]~q\,
	combout => \WideAnd1695~0_combout\);

-- Location: LCCOMB_X16_Y26_N14
\led_flash_cnt[1695][7]~50608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1695][7]~50608_combout\ = \led_flash_cnt[1695][7]~q\ $ (!\led_flash_cnt[1695][6]~50607\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1695][7]~q\,
	cin => \led_flash_cnt[1695][6]~50607\,
	combout => \led_flash_cnt[1695][7]~50608_combout\);

-- Location: FF_X16_Y26_N15
\led_flash_cnt[1695][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1695][7]~50608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1695][7]~q\);

-- Location: LCCOMB_X16_Y26_N18
WideAnd1695 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1695~combout\ = (\WideAnd1695~1_combout\ & (\WideAnd1695~0_combout\ & (\led_flash_cnt[1695][7]~q\ & \led_flash_cnt[1695][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1695~1_combout\,
	datab => \WideAnd1695~0_combout\,
	datac => \led_flash_cnt[1695][7]~q\,
	datad => \led_flash_cnt[1695][0]~q\,
	combout => \WideAnd1695~combout\);

-- Location: FF_X16_Y26_N19
\led_flash_cnt_ands[1695]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1695~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1695));

-- Location: LCCOMB_X16_Y26_N30
\WideAnd4051~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4051~1_combout\ = (led_flash_cnt_ands(1693) & led_flash_cnt_ands(1695))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1693),
	datad => led_flash_cnt_ands(1695),
	combout => \WideAnd4051~1_combout\);

-- Location: LCCOMB_X18_Y21_N28
\led_flash_cnt[1692][0]~82329\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1692][0]~82329_combout\ = !\led_flash_cnt[1692][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1692][0]~q\,
	combout => \led_flash_cnt[1692][0]~82329_combout\);

-- Location: FF_X18_Y21_N29
\led_flash_cnt[1692][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1692][0]~82329_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1692][0]~q\);

-- Location: LCCOMB_X18_Y25_N16
\led_flash_cnt[1692][1]~50526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1692][1]~50526_combout\ = (\led_flash_cnt[1692][0]~q\ & (\led_flash_cnt[1692][1]~q\ $ (VCC))) # (!\led_flash_cnt[1692][0]~q\ & (\led_flash_cnt[1692][1]~q\ & VCC))
-- \led_flash_cnt[1692][1]~50527\ = CARRY((\led_flash_cnt[1692][0]~q\ & \led_flash_cnt[1692][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1692][0]~q\,
	datab => \led_flash_cnt[1692][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1692][1]~50526_combout\,
	cout => \led_flash_cnt[1692][1]~50527\);

-- Location: FF_X18_Y25_N17
\led_flash_cnt[1692][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1692][1]~50526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1692][1]~q\);

-- Location: LCCOMB_X18_Y25_N18
\led_flash_cnt[1692][2]~50528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1692][2]~50528_combout\ = (\led_flash_cnt[1692][2]~q\ & (!\led_flash_cnt[1692][1]~50527\)) # (!\led_flash_cnt[1692][2]~q\ & ((\led_flash_cnt[1692][1]~50527\) # (GND)))
-- \led_flash_cnt[1692][2]~50529\ = CARRY((!\led_flash_cnt[1692][1]~50527\) # (!\led_flash_cnt[1692][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1692][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1692][1]~50527\,
	combout => \led_flash_cnt[1692][2]~50528_combout\,
	cout => \led_flash_cnt[1692][2]~50529\);

-- Location: FF_X18_Y25_N19
\led_flash_cnt[1692][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1692][2]~50528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1692][2]~q\);

-- Location: LCCOMB_X18_Y25_N20
\led_flash_cnt[1692][3]~50530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1692][3]~50530_combout\ = (\led_flash_cnt[1692][3]~q\ & (\led_flash_cnt[1692][2]~50529\ $ (GND))) # (!\led_flash_cnt[1692][3]~q\ & (!\led_flash_cnt[1692][2]~50529\ & VCC))
-- \led_flash_cnt[1692][3]~50531\ = CARRY((\led_flash_cnt[1692][3]~q\ & !\led_flash_cnt[1692][2]~50529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1692][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1692][2]~50529\,
	combout => \led_flash_cnt[1692][3]~50530_combout\,
	cout => \led_flash_cnt[1692][3]~50531\);

-- Location: FF_X18_Y25_N21
\led_flash_cnt[1692][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1692][3]~50530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1692][3]~q\);

-- Location: LCCOMB_X18_Y25_N22
\led_flash_cnt[1692][4]~50532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1692][4]~50532_combout\ = (\led_flash_cnt[1692][4]~q\ & (!\led_flash_cnt[1692][3]~50531\)) # (!\led_flash_cnt[1692][4]~q\ & ((\led_flash_cnt[1692][3]~50531\) # (GND)))
-- \led_flash_cnt[1692][4]~50533\ = CARRY((!\led_flash_cnt[1692][3]~50531\) # (!\led_flash_cnt[1692][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1692][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1692][3]~50531\,
	combout => \led_flash_cnt[1692][4]~50532_combout\,
	cout => \led_flash_cnt[1692][4]~50533\);

-- Location: FF_X18_Y25_N23
\led_flash_cnt[1692][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1692][4]~50532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1692][4]~q\);

-- Location: LCCOMB_X18_Y25_N24
\led_flash_cnt[1692][5]~50534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1692][5]~50534_combout\ = (\led_flash_cnt[1692][5]~q\ & (\led_flash_cnt[1692][4]~50533\ $ (GND))) # (!\led_flash_cnt[1692][5]~q\ & (!\led_flash_cnt[1692][4]~50533\ & VCC))
-- \led_flash_cnt[1692][5]~50535\ = CARRY((\led_flash_cnt[1692][5]~q\ & !\led_flash_cnt[1692][4]~50533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1692][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1692][4]~50533\,
	combout => \led_flash_cnt[1692][5]~50534_combout\,
	cout => \led_flash_cnt[1692][5]~50535\);

-- Location: FF_X18_Y25_N25
\led_flash_cnt[1692][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1692][5]~50534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1692][5]~q\);

-- Location: LCCOMB_X18_Y25_N26
\led_flash_cnt[1692][6]~50536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1692][6]~50536_combout\ = (\led_flash_cnt[1692][6]~q\ & (!\led_flash_cnt[1692][5]~50535\)) # (!\led_flash_cnt[1692][6]~q\ & ((\led_flash_cnt[1692][5]~50535\) # (GND)))
-- \led_flash_cnt[1692][6]~50537\ = CARRY((!\led_flash_cnt[1692][5]~50535\) # (!\led_flash_cnt[1692][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1692][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1692][5]~50535\,
	combout => \led_flash_cnt[1692][6]~50536_combout\,
	cout => \led_flash_cnt[1692][6]~50537\);

-- Location: FF_X18_Y25_N27
\led_flash_cnt[1692][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1692][6]~50536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1692][6]~q\);

-- Location: LCCOMB_X18_Y21_N22
\WideAnd1692~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1692~1_combout\ = (\led_flash_cnt[1692][6]~q\ & \led_flash_cnt[1692][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1692][6]~q\,
	datad => \led_flash_cnt[1692][5]~q\,
	combout => \WideAnd1692~1_combout\);

-- Location: LCCOMB_X17_Y25_N4
\WideAnd1692~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1692~0_combout\ = (\led_flash_cnt[1692][4]~q\ & (\led_flash_cnt[1692][1]~q\ & (\led_flash_cnt[1692][3]~q\ & \led_flash_cnt[1692][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1692][4]~q\,
	datab => \led_flash_cnt[1692][1]~q\,
	datac => \led_flash_cnt[1692][3]~q\,
	datad => \led_flash_cnt[1692][2]~q\,
	combout => \WideAnd1692~0_combout\);

-- Location: LCCOMB_X18_Y25_N28
\led_flash_cnt[1692][7]~50538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1692][7]~50538_combout\ = \led_flash_cnt[1692][6]~50537\ $ (!\led_flash_cnt[1692][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1692][7]~q\,
	cin => \led_flash_cnt[1692][6]~50537\,
	combout => \led_flash_cnt[1692][7]~50538_combout\);

-- Location: FF_X18_Y25_N29
\led_flash_cnt[1692][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1692][7]~50538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1692][7]~q\);

-- Location: LCCOMB_X18_Y21_N14
WideAnd1692 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1692~combout\ = (\WideAnd1692~1_combout\ & (\led_flash_cnt[1692][0]~q\ & (\WideAnd1692~0_combout\ & \led_flash_cnt[1692][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1692~1_combout\,
	datab => \led_flash_cnt[1692][0]~q\,
	datac => \WideAnd1692~0_combout\,
	datad => \led_flash_cnt[1692][7]~q\,
	combout => \WideAnd1692~combout\);

-- Location: FF_X18_Y21_N15
\led_flash_cnt_ands[1692]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1692~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1692));

-- Location: LCCOMB_X19_Y21_N24
WideAnd4051 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4051~combout\ = (led_flash_cnt_ands(1694) & (\WideAnd4051~0_combout\ & (\WideAnd4051~1_combout\ & led_flash_cnt_ands(1692))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1694),
	datab => \WideAnd4051~0_combout\,
	datac => \WideAnd4051~1_combout\,
	datad => led_flash_cnt_ands(1692),
	combout => \WideAnd4051~combout\);

-- Location: FF_X19_Y21_N25
\led_flash_cnt_ands_1[211]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4051~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(211));

-- Location: LCCOMB_X19_Y21_N28
\WideAnd4346~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4346~0_combout\ = (led_flash_cnt_ands_1(210) & (led_flash_cnt_ands_1(208) & (led_flash_cnt_ands_1(209) & led_flash_cnt_ands_1(211))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(210),
	datab => led_flash_cnt_ands_1(208),
	datac => led_flash_cnt_ands_1(209),
	datad => led_flash_cnt_ands_1(211),
	combout => \WideAnd4346~0_combout\);

-- Location: LCCOMB_X41_Y18_N6
\led_flash_cnt[1726][0]~82366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1726][0]~82366_combout\ = !\led_flash_cnt[1726][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1726][0]~q\,
	combout => \led_flash_cnt[1726][0]~82366_combout\);

-- Location: FF_X41_Y18_N7
\led_flash_cnt[1726][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1726][0]~82366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1726][0]~q\);

-- Location: LCCOMB_X42_Y18_N16
\led_flash_cnt[1726][1]~51044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1726][1]~51044_combout\ = (\led_flash_cnt[1726][0]~q\ & (\led_flash_cnt[1726][1]~q\ $ (VCC))) # (!\led_flash_cnt[1726][0]~q\ & (\led_flash_cnt[1726][1]~q\ & VCC))
-- \led_flash_cnt[1726][1]~51045\ = CARRY((\led_flash_cnt[1726][0]~q\ & \led_flash_cnt[1726][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1726][0]~q\,
	datab => \led_flash_cnt[1726][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1726][1]~51044_combout\,
	cout => \led_flash_cnt[1726][1]~51045\);

-- Location: FF_X42_Y18_N17
\led_flash_cnt[1726][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1726][1]~51044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1726][1]~q\);

-- Location: LCCOMB_X42_Y18_N18
\led_flash_cnt[1726][2]~51046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1726][2]~51046_combout\ = (\led_flash_cnt[1726][2]~q\ & (!\led_flash_cnt[1726][1]~51045\)) # (!\led_flash_cnt[1726][2]~q\ & ((\led_flash_cnt[1726][1]~51045\) # (GND)))
-- \led_flash_cnt[1726][2]~51047\ = CARRY((!\led_flash_cnt[1726][1]~51045\) # (!\led_flash_cnt[1726][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1726][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1726][1]~51045\,
	combout => \led_flash_cnt[1726][2]~51046_combout\,
	cout => \led_flash_cnt[1726][2]~51047\);

-- Location: FF_X42_Y18_N19
\led_flash_cnt[1726][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1726][2]~51046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1726][2]~q\);

-- Location: LCCOMB_X42_Y18_N20
\led_flash_cnt[1726][3]~51048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1726][3]~51048_combout\ = (\led_flash_cnt[1726][3]~q\ & (\led_flash_cnt[1726][2]~51047\ $ (GND))) # (!\led_flash_cnt[1726][3]~q\ & (!\led_flash_cnt[1726][2]~51047\ & VCC))
-- \led_flash_cnt[1726][3]~51049\ = CARRY((\led_flash_cnt[1726][3]~q\ & !\led_flash_cnt[1726][2]~51047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1726][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1726][2]~51047\,
	combout => \led_flash_cnt[1726][3]~51048_combout\,
	cout => \led_flash_cnt[1726][3]~51049\);

-- Location: FF_X42_Y18_N21
\led_flash_cnt[1726][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1726][3]~51048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1726][3]~q\);

-- Location: LCCOMB_X42_Y18_N22
\led_flash_cnt[1726][4]~51050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1726][4]~51050_combout\ = (\led_flash_cnt[1726][4]~q\ & (!\led_flash_cnt[1726][3]~51049\)) # (!\led_flash_cnt[1726][4]~q\ & ((\led_flash_cnt[1726][3]~51049\) # (GND)))
-- \led_flash_cnt[1726][4]~51051\ = CARRY((!\led_flash_cnt[1726][3]~51049\) # (!\led_flash_cnt[1726][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1726][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1726][3]~51049\,
	combout => \led_flash_cnt[1726][4]~51050_combout\,
	cout => \led_flash_cnt[1726][4]~51051\);

-- Location: FF_X42_Y18_N23
\led_flash_cnt[1726][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1726][4]~51050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1726][4]~q\);

-- Location: LCCOMB_X42_Y18_N24
\led_flash_cnt[1726][5]~51052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1726][5]~51052_combout\ = (\led_flash_cnt[1726][5]~q\ & (\led_flash_cnt[1726][4]~51051\ $ (GND))) # (!\led_flash_cnt[1726][5]~q\ & (!\led_flash_cnt[1726][4]~51051\ & VCC))
-- \led_flash_cnt[1726][5]~51053\ = CARRY((\led_flash_cnt[1726][5]~q\ & !\led_flash_cnt[1726][4]~51051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1726][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1726][4]~51051\,
	combout => \led_flash_cnt[1726][5]~51052_combout\,
	cout => \led_flash_cnt[1726][5]~51053\);

-- Location: FF_X42_Y18_N25
\led_flash_cnt[1726][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1726][5]~51052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1726][5]~q\);

-- Location: LCCOMB_X42_Y18_N26
\led_flash_cnt[1726][6]~51054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1726][6]~51054_combout\ = (\led_flash_cnt[1726][6]~q\ & (!\led_flash_cnt[1726][5]~51053\)) # (!\led_flash_cnt[1726][6]~q\ & ((\led_flash_cnt[1726][5]~51053\) # (GND)))
-- \led_flash_cnt[1726][6]~51055\ = CARRY((!\led_flash_cnt[1726][5]~51053\) # (!\led_flash_cnt[1726][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1726][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1726][5]~51053\,
	combout => \led_flash_cnt[1726][6]~51054_combout\,
	cout => \led_flash_cnt[1726][6]~51055\);

-- Location: FF_X42_Y18_N27
\led_flash_cnt[1726][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1726][6]~51054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1726][6]~q\);

-- Location: LCCOMB_X41_Y18_N8
\WideAnd1726~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1726~1_combout\ = (\led_flash_cnt[1726][6]~q\ & \led_flash_cnt[1726][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1726][6]~q\,
	datad => \led_flash_cnt[1726][5]~q\,
	combout => \WideAnd1726~1_combout\);

-- Location: LCCOMB_X42_Y18_N30
\WideAnd1726~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1726~0_combout\ = (\led_flash_cnt[1726][1]~q\ & (\led_flash_cnt[1726][3]~q\ & (\led_flash_cnt[1726][4]~q\ & \led_flash_cnt[1726][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1726][1]~q\,
	datab => \led_flash_cnt[1726][3]~q\,
	datac => \led_flash_cnt[1726][4]~q\,
	datad => \led_flash_cnt[1726][2]~q\,
	combout => \WideAnd1726~0_combout\);

-- Location: LCCOMB_X42_Y18_N28
\led_flash_cnt[1726][7]~51056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1726][7]~51056_combout\ = \led_flash_cnt[1726][6]~51055\ $ (!\led_flash_cnt[1726][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1726][7]~q\,
	cin => \led_flash_cnt[1726][6]~51055\,
	combout => \led_flash_cnt[1726][7]~51056_combout\);

-- Location: FF_X42_Y18_N29
\led_flash_cnt[1726][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1726][7]~51056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1726][7]~q\);

-- Location: LCCOMB_X41_Y18_N10
WideAnd1726 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1726~combout\ = (\led_flash_cnt[1726][0]~q\ & (\WideAnd1726~1_combout\ & (\WideAnd1726~0_combout\ & \led_flash_cnt[1726][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1726][0]~q\,
	datab => \WideAnd1726~1_combout\,
	datac => \WideAnd1726~0_combout\,
	datad => \led_flash_cnt[1726][7]~q\,
	combout => \WideAnd1726~combout\);

-- Location: FF_X41_Y18_N11
\led_flash_cnt_ands[1726]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1726~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1726));

-- Location: LCCOMB_X39_Y11_N6
\led_flash_cnt[1721][0]~82361\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1721][0]~82361_combout\ = !\led_flash_cnt[1721][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1721][0]~q\,
	combout => \led_flash_cnt[1721][0]~82361_combout\);

-- Location: FF_X39_Y11_N7
\led_flash_cnt[1721][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1721][0]~82361_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1721][0]~q\);

-- Location: LCCOMB_X39_Y15_N0
\led_flash_cnt[1721][1]~50974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1721][1]~50974_combout\ = (\led_flash_cnt[1721][0]~q\ & (\led_flash_cnt[1721][1]~q\ $ (VCC))) # (!\led_flash_cnt[1721][0]~q\ & (\led_flash_cnt[1721][1]~q\ & VCC))
-- \led_flash_cnt[1721][1]~50975\ = CARRY((\led_flash_cnt[1721][0]~q\ & \led_flash_cnt[1721][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1721][0]~q\,
	datab => \led_flash_cnt[1721][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1721][1]~50974_combout\,
	cout => \led_flash_cnt[1721][1]~50975\);

-- Location: FF_X39_Y15_N1
\led_flash_cnt[1721][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1721][1]~50974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1721][1]~q\);

-- Location: LCCOMB_X39_Y15_N2
\led_flash_cnt[1721][2]~50976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1721][2]~50976_combout\ = (\led_flash_cnt[1721][2]~q\ & (!\led_flash_cnt[1721][1]~50975\)) # (!\led_flash_cnt[1721][2]~q\ & ((\led_flash_cnt[1721][1]~50975\) # (GND)))
-- \led_flash_cnt[1721][2]~50977\ = CARRY((!\led_flash_cnt[1721][1]~50975\) # (!\led_flash_cnt[1721][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1721][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1721][1]~50975\,
	combout => \led_flash_cnt[1721][2]~50976_combout\,
	cout => \led_flash_cnt[1721][2]~50977\);

-- Location: FF_X39_Y15_N3
\led_flash_cnt[1721][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1721][2]~50976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1721][2]~q\);

-- Location: LCCOMB_X39_Y15_N4
\led_flash_cnt[1721][3]~50978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1721][3]~50978_combout\ = (\led_flash_cnt[1721][3]~q\ & (\led_flash_cnt[1721][2]~50977\ $ (GND))) # (!\led_flash_cnt[1721][3]~q\ & (!\led_flash_cnt[1721][2]~50977\ & VCC))
-- \led_flash_cnt[1721][3]~50979\ = CARRY((\led_flash_cnt[1721][3]~q\ & !\led_flash_cnt[1721][2]~50977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1721][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1721][2]~50977\,
	combout => \led_flash_cnt[1721][3]~50978_combout\,
	cout => \led_flash_cnt[1721][3]~50979\);

-- Location: FF_X39_Y15_N5
\led_flash_cnt[1721][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1721][3]~50978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1721][3]~q\);

-- Location: LCCOMB_X39_Y15_N6
\led_flash_cnt[1721][4]~50980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1721][4]~50980_combout\ = (\led_flash_cnt[1721][4]~q\ & (!\led_flash_cnt[1721][3]~50979\)) # (!\led_flash_cnt[1721][4]~q\ & ((\led_flash_cnt[1721][3]~50979\) # (GND)))
-- \led_flash_cnt[1721][4]~50981\ = CARRY((!\led_flash_cnt[1721][3]~50979\) # (!\led_flash_cnt[1721][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1721][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1721][3]~50979\,
	combout => \led_flash_cnt[1721][4]~50980_combout\,
	cout => \led_flash_cnt[1721][4]~50981\);

-- Location: FF_X39_Y15_N7
\led_flash_cnt[1721][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1721][4]~50980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1721][4]~q\);

-- Location: LCCOMB_X39_Y15_N24
\WideAnd1721~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1721~0_combout\ = (\led_flash_cnt[1721][4]~q\ & (\led_flash_cnt[1721][1]~q\ & (\led_flash_cnt[1721][3]~q\ & \led_flash_cnt[1721][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1721][4]~q\,
	datab => \led_flash_cnt[1721][1]~q\,
	datac => \led_flash_cnt[1721][3]~q\,
	datad => \led_flash_cnt[1721][2]~q\,
	combout => \WideAnd1721~0_combout\);

-- Location: LCCOMB_X39_Y15_N8
\led_flash_cnt[1721][5]~50982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1721][5]~50982_combout\ = (\led_flash_cnt[1721][5]~q\ & (\led_flash_cnt[1721][4]~50981\ $ (GND))) # (!\led_flash_cnt[1721][5]~q\ & (!\led_flash_cnt[1721][4]~50981\ & VCC))
-- \led_flash_cnt[1721][5]~50983\ = CARRY((\led_flash_cnt[1721][5]~q\ & !\led_flash_cnt[1721][4]~50981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1721][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1721][4]~50981\,
	combout => \led_flash_cnt[1721][5]~50982_combout\,
	cout => \led_flash_cnt[1721][5]~50983\);

-- Location: FF_X39_Y15_N9
\led_flash_cnt[1721][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1721][5]~50982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1721][5]~q\);

-- Location: LCCOMB_X39_Y15_N10
\led_flash_cnt[1721][6]~50984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1721][6]~50984_combout\ = (\led_flash_cnt[1721][6]~q\ & (!\led_flash_cnt[1721][5]~50983\)) # (!\led_flash_cnt[1721][6]~q\ & ((\led_flash_cnt[1721][5]~50983\) # (GND)))
-- \led_flash_cnt[1721][6]~50985\ = CARRY((!\led_flash_cnt[1721][5]~50983\) # (!\led_flash_cnt[1721][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1721][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1721][5]~50983\,
	combout => \led_flash_cnt[1721][6]~50984_combout\,
	cout => \led_flash_cnt[1721][6]~50985\);

-- Location: FF_X39_Y15_N11
\led_flash_cnt[1721][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1721][6]~50984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1721][6]~q\);

-- Location: LCCOMB_X39_Y15_N26
\WideAnd1721~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1721~1_combout\ = (\led_flash_cnt[1721][5]~q\ & \led_flash_cnt[1721][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1721][5]~q\,
	datad => \led_flash_cnt[1721][6]~q\,
	combout => \WideAnd1721~1_combout\);

-- Location: LCCOMB_X39_Y15_N12
\led_flash_cnt[1721][7]~50986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1721][7]~50986_combout\ = \led_flash_cnt[1721][6]~50985\ $ (!\led_flash_cnt[1721][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1721][7]~q\,
	cin => \led_flash_cnt[1721][6]~50985\,
	combout => \led_flash_cnt[1721][7]~50986_combout\);

-- Location: FF_X39_Y15_N13
\led_flash_cnt[1721][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1721][7]~50986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1721][7]~q\);

-- Location: LCCOMB_X39_Y15_N30
WideAnd1721 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1721~combout\ = (\led_flash_cnt[1721][0]~q\ & (\WideAnd1721~0_combout\ & (\WideAnd1721~1_combout\ & \led_flash_cnt[1721][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1721][0]~q\,
	datab => \WideAnd1721~0_combout\,
	datac => \WideAnd1721~1_combout\,
	datad => \led_flash_cnt[1721][7]~q\,
	combout => \WideAnd1721~combout\);

-- Location: FF_X39_Y15_N31
\led_flash_cnt_ands[1721]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1721~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1721));

-- Location: LCCOMB_X34_Y15_N6
\led_flash_cnt[1722][0]~82362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1722][0]~82362_combout\ = !\led_flash_cnt[1722][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1722][0]~q\,
	combout => \led_flash_cnt[1722][0]~82362_combout\);

-- Location: FF_X34_Y15_N7
\led_flash_cnt[1722][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1722][0]~82362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1722][0]~q\);

-- Location: LCCOMB_X35_Y15_N14
\led_flash_cnt[1722][1]~50988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1722][1]~50988_combout\ = (\led_flash_cnt[1722][0]~q\ & (\led_flash_cnt[1722][1]~q\ $ (VCC))) # (!\led_flash_cnt[1722][0]~q\ & (\led_flash_cnt[1722][1]~q\ & VCC))
-- \led_flash_cnt[1722][1]~50989\ = CARRY((\led_flash_cnt[1722][0]~q\ & \led_flash_cnt[1722][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1722][0]~q\,
	datab => \led_flash_cnt[1722][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1722][1]~50988_combout\,
	cout => \led_flash_cnt[1722][1]~50989\);

-- Location: FF_X35_Y15_N15
\led_flash_cnt[1722][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1722][1]~50988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1722][1]~q\);

-- Location: LCCOMB_X35_Y15_N16
\led_flash_cnt[1722][2]~50990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1722][2]~50990_combout\ = (\led_flash_cnt[1722][2]~q\ & (!\led_flash_cnt[1722][1]~50989\)) # (!\led_flash_cnt[1722][2]~q\ & ((\led_flash_cnt[1722][1]~50989\) # (GND)))
-- \led_flash_cnt[1722][2]~50991\ = CARRY((!\led_flash_cnt[1722][1]~50989\) # (!\led_flash_cnt[1722][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1722][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1722][1]~50989\,
	combout => \led_flash_cnt[1722][2]~50990_combout\,
	cout => \led_flash_cnt[1722][2]~50991\);

-- Location: FF_X35_Y15_N17
\led_flash_cnt[1722][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1722][2]~50990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1722][2]~q\);

-- Location: LCCOMB_X35_Y15_N18
\led_flash_cnt[1722][3]~50992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1722][3]~50992_combout\ = (\led_flash_cnt[1722][3]~q\ & (\led_flash_cnt[1722][2]~50991\ $ (GND))) # (!\led_flash_cnt[1722][3]~q\ & (!\led_flash_cnt[1722][2]~50991\ & VCC))
-- \led_flash_cnt[1722][3]~50993\ = CARRY((\led_flash_cnt[1722][3]~q\ & !\led_flash_cnt[1722][2]~50991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1722][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1722][2]~50991\,
	combout => \led_flash_cnt[1722][3]~50992_combout\,
	cout => \led_flash_cnt[1722][3]~50993\);

-- Location: FF_X35_Y15_N19
\led_flash_cnt[1722][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1722][3]~50992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1722][3]~q\);

-- Location: LCCOMB_X35_Y15_N20
\led_flash_cnt[1722][4]~50994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1722][4]~50994_combout\ = (\led_flash_cnt[1722][4]~q\ & (!\led_flash_cnt[1722][3]~50993\)) # (!\led_flash_cnt[1722][4]~q\ & ((\led_flash_cnt[1722][3]~50993\) # (GND)))
-- \led_flash_cnt[1722][4]~50995\ = CARRY((!\led_flash_cnt[1722][3]~50993\) # (!\led_flash_cnt[1722][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1722][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1722][3]~50993\,
	combout => \led_flash_cnt[1722][4]~50994_combout\,
	cout => \led_flash_cnt[1722][4]~50995\);

-- Location: FF_X35_Y15_N21
\led_flash_cnt[1722][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1722][4]~50994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1722][4]~q\);

-- Location: LCCOMB_X35_Y15_N22
\led_flash_cnt[1722][5]~50996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1722][5]~50996_combout\ = (\led_flash_cnt[1722][5]~q\ & (\led_flash_cnt[1722][4]~50995\ $ (GND))) # (!\led_flash_cnt[1722][5]~q\ & (!\led_flash_cnt[1722][4]~50995\ & VCC))
-- \led_flash_cnt[1722][5]~50997\ = CARRY((\led_flash_cnt[1722][5]~q\ & !\led_flash_cnt[1722][4]~50995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1722][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1722][4]~50995\,
	combout => \led_flash_cnt[1722][5]~50996_combout\,
	cout => \led_flash_cnt[1722][5]~50997\);

-- Location: FF_X35_Y15_N23
\led_flash_cnt[1722][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1722][5]~50996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1722][5]~q\);

-- Location: LCCOMB_X35_Y15_N24
\led_flash_cnt[1722][6]~50998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1722][6]~50998_combout\ = (\led_flash_cnt[1722][6]~q\ & (!\led_flash_cnt[1722][5]~50997\)) # (!\led_flash_cnt[1722][6]~q\ & ((\led_flash_cnt[1722][5]~50997\) # (GND)))
-- \led_flash_cnt[1722][6]~50999\ = CARRY((!\led_flash_cnt[1722][5]~50997\) # (!\led_flash_cnt[1722][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1722][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1722][5]~50997\,
	combout => \led_flash_cnt[1722][6]~50998_combout\,
	cout => \led_flash_cnt[1722][6]~50999\);

-- Location: FF_X35_Y15_N25
\led_flash_cnt[1722][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1722][6]~50998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1722][6]~q\);

-- Location: LCCOMB_X34_Y15_N2
\WideAnd1722~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1722~1_combout\ = (\led_flash_cnt[1722][6]~q\ & \led_flash_cnt[1722][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1722][6]~q\,
	datad => \led_flash_cnt[1722][5]~q\,
	combout => \WideAnd1722~1_combout\);

-- Location: LCCOMB_X35_Y15_N30
\WideAnd1722~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1722~0_combout\ = (\led_flash_cnt[1722][3]~q\ & (\led_flash_cnt[1722][4]~q\ & (\led_flash_cnt[1722][1]~q\ & \led_flash_cnt[1722][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1722][3]~q\,
	datab => \led_flash_cnt[1722][4]~q\,
	datac => \led_flash_cnt[1722][1]~q\,
	datad => \led_flash_cnt[1722][2]~q\,
	combout => \WideAnd1722~0_combout\);

-- Location: LCCOMB_X35_Y15_N26
\led_flash_cnt[1722][7]~51000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1722][7]~51000_combout\ = \led_flash_cnt[1722][7]~q\ $ (!\led_flash_cnt[1722][6]~50999\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1722][7]~q\,
	cin => \led_flash_cnt[1722][6]~50999\,
	combout => \led_flash_cnt[1722][7]~51000_combout\);

-- Location: FF_X35_Y15_N27
\led_flash_cnt[1722][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1722][7]~51000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1722][7]~q\);

-- Location: LCCOMB_X34_Y15_N28
WideAnd1722 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1722~combout\ = (\led_flash_cnt[1722][0]~q\ & (\WideAnd1722~1_combout\ & (\WideAnd1722~0_combout\ & \led_flash_cnt[1722][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1722][0]~q\,
	datab => \WideAnd1722~1_combout\,
	datac => \WideAnd1722~0_combout\,
	datad => \led_flash_cnt[1722][7]~q\,
	combout => \WideAnd1722~combout\);

-- Location: FF_X34_Y15_N29
\led_flash_cnt_ands[1722]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1722~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1722));

-- Location: LCCOMB_X42_Y15_N28
\led_flash_cnt[1723][0]~82363\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1723][0]~82363_combout\ = !\led_flash_cnt[1723][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1723][0]~q\,
	combout => \led_flash_cnt[1723][0]~82363_combout\);

-- Location: FF_X42_Y15_N29
\led_flash_cnt[1723][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1723][0]~82363_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1723][0]~q\);

-- Location: LCCOMB_X40_Y15_N2
\led_flash_cnt[1723][1]~51002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1723][1]~51002_combout\ = (\led_flash_cnt[1723][0]~q\ & (\led_flash_cnt[1723][1]~q\ $ (VCC))) # (!\led_flash_cnt[1723][0]~q\ & (\led_flash_cnt[1723][1]~q\ & VCC))
-- \led_flash_cnt[1723][1]~51003\ = CARRY((\led_flash_cnt[1723][0]~q\ & \led_flash_cnt[1723][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1723][0]~q\,
	datab => \led_flash_cnt[1723][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1723][1]~51002_combout\,
	cout => \led_flash_cnt[1723][1]~51003\);

-- Location: FF_X40_Y15_N3
\led_flash_cnt[1723][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1723][1]~51002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1723][1]~q\);

-- Location: LCCOMB_X40_Y15_N4
\led_flash_cnt[1723][2]~51004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1723][2]~51004_combout\ = (\led_flash_cnt[1723][2]~q\ & (!\led_flash_cnt[1723][1]~51003\)) # (!\led_flash_cnt[1723][2]~q\ & ((\led_flash_cnt[1723][1]~51003\) # (GND)))
-- \led_flash_cnt[1723][2]~51005\ = CARRY((!\led_flash_cnt[1723][1]~51003\) # (!\led_flash_cnt[1723][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1723][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1723][1]~51003\,
	combout => \led_flash_cnt[1723][2]~51004_combout\,
	cout => \led_flash_cnt[1723][2]~51005\);

-- Location: FF_X40_Y15_N5
\led_flash_cnt[1723][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1723][2]~51004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1723][2]~q\);

-- Location: LCCOMB_X40_Y15_N6
\led_flash_cnt[1723][3]~51006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1723][3]~51006_combout\ = (\led_flash_cnt[1723][3]~q\ & (\led_flash_cnt[1723][2]~51005\ $ (GND))) # (!\led_flash_cnt[1723][3]~q\ & (!\led_flash_cnt[1723][2]~51005\ & VCC))
-- \led_flash_cnt[1723][3]~51007\ = CARRY((\led_flash_cnt[1723][3]~q\ & !\led_flash_cnt[1723][2]~51005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1723][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1723][2]~51005\,
	combout => \led_flash_cnt[1723][3]~51006_combout\,
	cout => \led_flash_cnt[1723][3]~51007\);

-- Location: FF_X40_Y15_N7
\led_flash_cnt[1723][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1723][3]~51006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1723][3]~q\);

-- Location: LCCOMB_X40_Y15_N8
\led_flash_cnt[1723][4]~51008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1723][4]~51008_combout\ = (\led_flash_cnt[1723][4]~q\ & (!\led_flash_cnt[1723][3]~51007\)) # (!\led_flash_cnt[1723][4]~q\ & ((\led_flash_cnt[1723][3]~51007\) # (GND)))
-- \led_flash_cnt[1723][4]~51009\ = CARRY((!\led_flash_cnt[1723][3]~51007\) # (!\led_flash_cnt[1723][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1723][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1723][3]~51007\,
	combout => \led_flash_cnt[1723][4]~51008_combout\,
	cout => \led_flash_cnt[1723][4]~51009\);

-- Location: FF_X40_Y15_N9
\led_flash_cnt[1723][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1723][4]~51008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1723][4]~q\);

-- Location: LCCOMB_X40_Y15_N0
\WideAnd1723~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1723~0_combout\ = (\led_flash_cnt[1723][3]~q\ & (\led_flash_cnt[1723][4]~q\ & (\led_flash_cnt[1723][2]~q\ & \led_flash_cnt[1723][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1723][3]~q\,
	datab => \led_flash_cnt[1723][4]~q\,
	datac => \led_flash_cnt[1723][2]~q\,
	datad => \led_flash_cnt[1723][1]~q\,
	combout => \WideAnd1723~0_combout\);

-- Location: LCCOMB_X40_Y15_N10
\led_flash_cnt[1723][5]~51010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1723][5]~51010_combout\ = (\led_flash_cnt[1723][5]~q\ & (\led_flash_cnt[1723][4]~51009\ $ (GND))) # (!\led_flash_cnt[1723][5]~q\ & (!\led_flash_cnt[1723][4]~51009\ & VCC))
-- \led_flash_cnt[1723][5]~51011\ = CARRY((\led_flash_cnt[1723][5]~q\ & !\led_flash_cnt[1723][4]~51009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1723][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1723][4]~51009\,
	combout => \led_flash_cnt[1723][5]~51010_combout\,
	cout => \led_flash_cnt[1723][5]~51011\);

-- Location: FF_X40_Y15_N11
\led_flash_cnt[1723][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1723][5]~51010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1723][5]~q\);

-- Location: LCCOMB_X40_Y15_N12
\led_flash_cnt[1723][6]~51012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1723][6]~51012_combout\ = (\led_flash_cnt[1723][6]~q\ & (!\led_flash_cnt[1723][5]~51011\)) # (!\led_flash_cnt[1723][6]~q\ & ((\led_flash_cnt[1723][5]~51011\) # (GND)))
-- \led_flash_cnt[1723][6]~51013\ = CARRY((!\led_flash_cnt[1723][5]~51011\) # (!\led_flash_cnt[1723][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1723][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1723][5]~51011\,
	combout => \led_flash_cnt[1723][6]~51012_combout\,
	cout => \led_flash_cnt[1723][6]~51013\);

-- Location: FF_X40_Y15_N13
\led_flash_cnt[1723][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1723][6]~51012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1723][6]~q\);

-- Location: LCCOMB_X40_Y15_N14
\led_flash_cnt[1723][7]~51014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1723][7]~51014_combout\ = \led_flash_cnt[1723][7]~q\ $ (!\led_flash_cnt[1723][6]~51013\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1723][7]~q\,
	cin => \led_flash_cnt[1723][6]~51013\,
	combout => \led_flash_cnt[1723][7]~51014_combout\);

-- Location: FF_X40_Y15_N15
\led_flash_cnt[1723][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1723][7]~51014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1723][7]~q\);

-- Location: LCCOMB_X39_Y15_N18
\WideAnd1723~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1723~1_combout\ = (\led_flash_cnt[1723][6]~q\ & \led_flash_cnt[1723][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1723][6]~q\,
	datac => \led_flash_cnt[1723][5]~q\,
	combout => \WideAnd1723~1_combout\);

-- Location: LCCOMB_X39_Y15_N14
WideAnd1723 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1723~combout\ = (\led_flash_cnt[1723][0]~q\ & (\WideAnd1723~0_combout\ & (\led_flash_cnt[1723][7]~q\ & \WideAnd1723~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1723][0]~q\,
	datab => \WideAnd1723~0_combout\,
	datac => \led_flash_cnt[1723][7]~q\,
	datad => \WideAnd1723~1_combout\,
	combout => \WideAnd1723~combout\);

-- Location: FF_X39_Y15_N15
\led_flash_cnt_ands[1723]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1723~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1723));

-- Location: LCCOMB_X39_Y15_N20
\led_flash_cnt[1720][0]~82360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1720][0]~82360_combout\ = !\led_flash_cnt[1720][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1720][0]~q\,
	combout => \led_flash_cnt[1720][0]~82360_combout\);

-- Location: FF_X39_Y15_N21
\led_flash_cnt[1720][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1720][0]~82360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1720][0]~q\);

-- Location: LCCOMB_X39_Y16_N0
\led_flash_cnt[1720][1]~50960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1720][1]~50960_combout\ = (\led_flash_cnt[1720][0]~q\ & (\led_flash_cnt[1720][1]~q\ $ (VCC))) # (!\led_flash_cnt[1720][0]~q\ & (\led_flash_cnt[1720][1]~q\ & VCC))
-- \led_flash_cnt[1720][1]~50961\ = CARRY((\led_flash_cnt[1720][0]~q\ & \led_flash_cnt[1720][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1720][0]~q\,
	datab => \led_flash_cnt[1720][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1720][1]~50960_combout\,
	cout => \led_flash_cnt[1720][1]~50961\);

-- Location: FF_X39_Y16_N1
\led_flash_cnt[1720][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1720][1]~50960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1720][1]~q\);

-- Location: LCCOMB_X39_Y16_N2
\led_flash_cnt[1720][2]~50962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1720][2]~50962_combout\ = (\led_flash_cnt[1720][2]~q\ & (!\led_flash_cnt[1720][1]~50961\)) # (!\led_flash_cnt[1720][2]~q\ & ((\led_flash_cnt[1720][1]~50961\) # (GND)))
-- \led_flash_cnt[1720][2]~50963\ = CARRY((!\led_flash_cnt[1720][1]~50961\) # (!\led_flash_cnt[1720][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1720][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1720][1]~50961\,
	combout => \led_flash_cnt[1720][2]~50962_combout\,
	cout => \led_flash_cnt[1720][2]~50963\);

-- Location: FF_X39_Y16_N3
\led_flash_cnt[1720][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1720][2]~50962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1720][2]~q\);

-- Location: LCCOMB_X39_Y16_N4
\led_flash_cnt[1720][3]~50964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1720][3]~50964_combout\ = (\led_flash_cnt[1720][3]~q\ & (\led_flash_cnt[1720][2]~50963\ $ (GND))) # (!\led_flash_cnt[1720][3]~q\ & (!\led_flash_cnt[1720][2]~50963\ & VCC))
-- \led_flash_cnt[1720][3]~50965\ = CARRY((\led_flash_cnt[1720][3]~q\ & !\led_flash_cnt[1720][2]~50963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1720][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1720][2]~50963\,
	combout => \led_flash_cnt[1720][3]~50964_combout\,
	cout => \led_flash_cnt[1720][3]~50965\);

-- Location: FF_X39_Y16_N5
\led_flash_cnt[1720][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1720][3]~50964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1720][3]~q\);

-- Location: LCCOMB_X39_Y16_N6
\led_flash_cnt[1720][4]~50966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1720][4]~50966_combout\ = (\led_flash_cnt[1720][4]~q\ & (!\led_flash_cnt[1720][3]~50965\)) # (!\led_flash_cnt[1720][4]~q\ & ((\led_flash_cnt[1720][3]~50965\) # (GND)))
-- \led_flash_cnt[1720][4]~50967\ = CARRY((!\led_flash_cnt[1720][3]~50965\) # (!\led_flash_cnt[1720][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1720][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1720][3]~50965\,
	combout => \led_flash_cnt[1720][4]~50966_combout\,
	cout => \led_flash_cnt[1720][4]~50967\);

-- Location: FF_X39_Y16_N7
\led_flash_cnt[1720][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1720][4]~50966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1720][4]~q\);

-- Location: LCCOMB_X39_Y16_N14
\WideAnd1720~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1720~0_combout\ = (\led_flash_cnt[1720][4]~q\ & (\led_flash_cnt[1720][1]~q\ & (\led_flash_cnt[1720][3]~q\ & \led_flash_cnt[1720][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1720][4]~q\,
	datab => \led_flash_cnt[1720][1]~q\,
	datac => \led_flash_cnt[1720][3]~q\,
	datad => \led_flash_cnt[1720][2]~q\,
	combout => \WideAnd1720~0_combout\);

-- Location: LCCOMB_X39_Y16_N8
\led_flash_cnt[1720][5]~50968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1720][5]~50968_combout\ = (\led_flash_cnt[1720][5]~q\ & (\led_flash_cnt[1720][4]~50967\ $ (GND))) # (!\led_flash_cnt[1720][5]~q\ & (!\led_flash_cnt[1720][4]~50967\ & VCC))
-- \led_flash_cnt[1720][5]~50969\ = CARRY((\led_flash_cnt[1720][5]~q\ & !\led_flash_cnt[1720][4]~50967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1720][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1720][4]~50967\,
	combout => \led_flash_cnt[1720][5]~50968_combout\,
	cout => \led_flash_cnt[1720][5]~50969\);

-- Location: FF_X39_Y16_N9
\led_flash_cnt[1720][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1720][5]~50968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1720][5]~q\);

-- Location: LCCOMB_X39_Y16_N10
\led_flash_cnt[1720][6]~50970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1720][6]~50970_combout\ = (\led_flash_cnt[1720][6]~q\ & (!\led_flash_cnt[1720][5]~50969\)) # (!\led_flash_cnt[1720][6]~q\ & ((\led_flash_cnt[1720][5]~50969\) # (GND)))
-- \led_flash_cnt[1720][6]~50971\ = CARRY((!\led_flash_cnt[1720][5]~50969\) # (!\led_flash_cnt[1720][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1720][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1720][5]~50969\,
	combout => \led_flash_cnt[1720][6]~50970_combout\,
	cout => \led_flash_cnt[1720][6]~50971\);

-- Location: FF_X39_Y16_N11
\led_flash_cnt[1720][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1720][6]~50970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1720][6]~q\);

-- Location: LCCOMB_X39_Y16_N16
\WideAnd1720~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1720~1_combout\ = (\led_flash_cnt[1720][5]~q\ & \led_flash_cnt[1720][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1720][5]~q\,
	datad => \led_flash_cnt[1720][6]~q\,
	combout => \WideAnd1720~1_combout\);

-- Location: LCCOMB_X39_Y16_N12
\led_flash_cnt[1720][7]~50972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1720][7]~50972_combout\ = \led_flash_cnt[1720][6]~50971\ $ (!\led_flash_cnt[1720][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1720][7]~q\,
	cin => \led_flash_cnt[1720][6]~50971\,
	combout => \led_flash_cnt[1720][7]~50972_combout\);

-- Location: FF_X39_Y16_N13
\led_flash_cnt[1720][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1720][7]~50972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1720][7]~q\);

-- Location: LCCOMB_X39_Y15_N16
WideAnd1720 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1720~combout\ = (\WideAnd1720~0_combout\ & (\led_flash_cnt[1720][0]~q\ & (\WideAnd1720~1_combout\ & \led_flash_cnt[1720][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1720~0_combout\,
	datab => \led_flash_cnt[1720][0]~q\,
	datac => \WideAnd1720~1_combout\,
	datad => \led_flash_cnt[1720][7]~q\,
	combout => \WideAnd1720~combout\);

-- Location: FF_X39_Y15_N17
\led_flash_cnt_ands[1720]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1720~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1720));

-- Location: LCCOMB_X39_Y15_N22
\WideAnd4055~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4055~0_combout\ = (led_flash_cnt_ands(1721) & (led_flash_cnt_ands(1722) & (led_flash_cnt_ands(1723) & led_flash_cnt_ands(1720))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1721),
	datab => led_flash_cnt_ands(1722),
	datac => led_flash_cnt_ands(1723),
	datad => led_flash_cnt_ands(1720),
	combout => \WideAnd4055~0_combout\);

-- Location: LCCOMB_X43_Y23_N30
\led_flash_cnt[1727][0]~82367\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1727][0]~82367_combout\ = !\led_flash_cnt[1727][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1727][0]~q\,
	combout => \led_flash_cnt[1727][0]~82367_combout\);

-- Location: FF_X43_Y23_N31
\led_flash_cnt[1727][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1727][0]~82367_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1727][0]~q\);

-- Location: LCCOMB_X42_Y22_N14
\led_flash_cnt[1727][1]~51058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1727][1]~51058_combout\ = (\led_flash_cnt[1727][0]~q\ & (\led_flash_cnt[1727][1]~q\ $ (VCC))) # (!\led_flash_cnt[1727][0]~q\ & (\led_flash_cnt[1727][1]~q\ & VCC))
-- \led_flash_cnt[1727][1]~51059\ = CARRY((\led_flash_cnt[1727][0]~q\ & \led_flash_cnt[1727][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1727][0]~q\,
	datab => \led_flash_cnt[1727][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1727][1]~51058_combout\,
	cout => \led_flash_cnt[1727][1]~51059\);

-- Location: FF_X42_Y22_N15
\led_flash_cnt[1727][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1727][1]~51058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1727][1]~q\);

-- Location: LCCOMB_X42_Y22_N16
\led_flash_cnt[1727][2]~51060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1727][2]~51060_combout\ = (\led_flash_cnt[1727][2]~q\ & (!\led_flash_cnt[1727][1]~51059\)) # (!\led_flash_cnt[1727][2]~q\ & ((\led_flash_cnt[1727][1]~51059\) # (GND)))
-- \led_flash_cnt[1727][2]~51061\ = CARRY((!\led_flash_cnt[1727][1]~51059\) # (!\led_flash_cnt[1727][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1727][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1727][1]~51059\,
	combout => \led_flash_cnt[1727][2]~51060_combout\,
	cout => \led_flash_cnt[1727][2]~51061\);

-- Location: FF_X42_Y22_N17
\led_flash_cnt[1727][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1727][2]~51060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1727][2]~q\);

-- Location: LCCOMB_X42_Y22_N18
\led_flash_cnt[1727][3]~51062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1727][3]~51062_combout\ = (\led_flash_cnt[1727][3]~q\ & (\led_flash_cnt[1727][2]~51061\ $ (GND))) # (!\led_flash_cnt[1727][3]~q\ & (!\led_flash_cnt[1727][2]~51061\ & VCC))
-- \led_flash_cnt[1727][3]~51063\ = CARRY((\led_flash_cnt[1727][3]~q\ & !\led_flash_cnt[1727][2]~51061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1727][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1727][2]~51061\,
	combout => \led_flash_cnt[1727][3]~51062_combout\,
	cout => \led_flash_cnt[1727][3]~51063\);

-- Location: FF_X42_Y22_N19
\led_flash_cnt[1727][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1727][3]~51062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1727][3]~q\);

-- Location: LCCOMB_X42_Y22_N20
\led_flash_cnt[1727][4]~51064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1727][4]~51064_combout\ = (\led_flash_cnt[1727][4]~q\ & (!\led_flash_cnt[1727][3]~51063\)) # (!\led_flash_cnt[1727][4]~q\ & ((\led_flash_cnt[1727][3]~51063\) # (GND)))
-- \led_flash_cnt[1727][4]~51065\ = CARRY((!\led_flash_cnt[1727][3]~51063\) # (!\led_flash_cnt[1727][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1727][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1727][3]~51063\,
	combout => \led_flash_cnt[1727][4]~51064_combout\,
	cout => \led_flash_cnt[1727][4]~51065\);

-- Location: FF_X42_Y22_N21
\led_flash_cnt[1727][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1727][4]~51064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1727][4]~q\);

-- Location: LCCOMB_X42_Y22_N22
\led_flash_cnt[1727][5]~51066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1727][5]~51066_combout\ = (\led_flash_cnt[1727][5]~q\ & (\led_flash_cnt[1727][4]~51065\ $ (GND))) # (!\led_flash_cnt[1727][5]~q\ & (!\led_flash_cnt[1727][4]~51065\ & VCC))
-- \led_flash_cnt[1727][5]~51067\ = CARRY((\led_flash_cnt[1727][5]~q\ & !\led_flash_cnt[1727][4]~51065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1727][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1727][4]~51065\,
	combout => \led_flash_cnt[1727][5]~51066_combout\,
	cout => \led_flash_cnt[1727][5]~51067\);

-- Location: FF_X42_Y22_N23
\led_flash_cnt[1727][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1727][5]~51066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1727][5]~q\);

-- Location: LCCOMB_X42_Y22_N24
\led_flash_cnt[1727][6]~51068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1727][6]~51068_combout\ = (\led_flash_cnt[1727][6]~q\ & (!\led_flash_cnt[1727][5]~51067\)) # (!\led_flash_cnt[1727][6]~q\ & ((\led_flash_cnt[1727][5]~51067\) # (GND)))
-- \led_flash_cnt[1727][6]~51069\ = CARRY((!\led_flash_cnt[1727][5]~51067\) # (!\led_flash_cnt[1727][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1727][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1727][5]~51067\,
	combout => \led_flash_cnt[1727][6]~51068_combout\,
	cout => \led_flash_cnt[1727][6]~51069\);

-- Location: FF_X42_Y22_N25
\led_flash_cnt[1727][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1727][6]~51068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1727][6]~q\);

-- Location: LCCOMB_X42_Y22_N26
\led_flash_cnt[1727][7]~51070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1727][7]~51070_combout\ = \led_flash_cnt[1727][7]~q\ $ (!\led_flash_cnt[1727][6]~51069\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1727][7]~q\,
	cin => \led_flash_cnt[1727][6]~51069\,
	combout => \led_flash_cnt[1727][7]~51070_combout\);

-- Location: FF_X42_Y22_N27
\led_flash_cnt[1727][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1727][7]~51070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1727][7]~q\);

-- Location: LCCOMB_X43_Y18_N30
\WideAnd1727~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1727~1_combout\ = (\led_flash_cnt[1727][6]~q\ & \led_flash_cnt[1727][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1727][6]~q\,
	datac => \led_flash_cnt[1727][5]~q\,
	combout => \WideAnd1727~1_combout\);

-- Location: LCCOMB_X42_Y22_N28
\WideAnd1727~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1727~0_combout\ = (\led_flash_cnt[1727][3]~q\ & (\led_flash_cnt[1727][4]~q\ & (\led_flash_cnt[1727][1]~q\ & \led_flash_cnt[1727][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1727][3]~q\,
	datab => \led_flash_cnt[1727][4]~q\,
	datac => \led_flash_cnt[1727][1]~q\,
	datad => \led_flash_cnt[1727][2]~q\,
	combout => \WideAnd1727~0_combout\);

-- Location: LCCOMB_X42_Y18_N14
WideAnd1727 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1727~combout\ = (\led_flash_cnt[1727][0]~q\ & (\led_flash_cnt[1727][7]~q\ & (\WideAnd1727~1_combout\ & \WideAnd1727~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1727][0]~q\,
	datab => \led_flash_cnt[1727][7]~q\,
	datac => \WideAnd1727~1_combout\,
	datad => \WideAnd1727~0_combout\,
	combout => \WideAnd1727~combout\);

-- Location: FF_X42_Y18_N15
\led_flash_cnt_ands[1727]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1727~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1727));

-- Location: LCCOMB_X54_Y18_N0
\led_flash_cnt[1725][0]~82365\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1725][0]~82365_combout\ = !\led_flash_cnt[1725][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1725][0]~q\,
	combout => \led_flash_cnt[1725][0]~82365_combout\);

-- Location: FF_X54_Y18_N1
\led_flash_cnt[1725][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1725][0]~82365_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1725][0]~q\);

-- Location: LCCOMB_X55_Y18_N2
\led_flash_cnt[1725][1]~51030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1725][1]~51030_combout\ = (\led_flash_cnt[1725][0]~q\ & (\led_flash_cnt[1725][1]~q\ $ (VCC))) # (!\led_flash_cnt[1725][0]~q\ & (\led_flash_cnt[1725][1]~q\ & VCC))
-- \led_flash_cnt[1725][1]~51031\ = CARRY((\led_flash_cnt[1725][0]~q\ & \led_flash_cnt[1725][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1725][0]~q\,
	datab => \led_flash_cnt[1725][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1725][1]~51030_combout\,
	cout => \led_flash_cnt[1725][1]~51031\);

-- Location: FF_X55_Y18_N3
\led_flash_cnt[1725][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1725][1]~51030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1725][1]~q\);

-- Location: LCCOMB_X55_Y18_N4
\led_flash_cnt[1725][2]~51032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1725][2]~51032_combout\ = (\led_flash_cnt[1725][2]~q\ & (!\led_flash_cnt[1725][1]~51031\)) # (!\led_flash_cnt[1725][2]~q\ & ((\led_flash_cnt[1725][1]~51031\) # (GND)))
-- \led_flash_cnt[1725][2]~51033\ = CARRY((!\led_flash_cnt[1725][1]~51031\) # (!\led_flash_cnt[1725][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1725][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1725][1]~51031\,
	combout => \led_flash_cnt[1725][2]~51032_combout\,
	cout => \led_flash_cnt[1725][2]~51033\);

-- Location: FF_X55_Y18_N5
\led_flash_cnt[1725][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1725][2]~51032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1725][2]~q\);

-- Location: LCCOMB_X55_Y18_N6
\led_flash_cnt[1725][3]~51034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1725][3]~51034_combout\ = (\led_flash_cnt[1725][3]~q\ & (\led_flash_cnt[1725][2]~51033\ $ (GND))) # (!\led_flash_cnt[1725][3]~q\ & (!\led_flash_cnt[1725][2]~51033\ & VCC))
-- \led_flash_cnt[1725][3]~51035\ = CARRY((\led_flash_cnt[1725][3]~q\ & !\led_flash_cnt[1725][2]~51033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1725][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1725][2]~51033\,
	combout => \led_flash_cnt[1725][3]~51034_combout\,
	cout => \led_flash_cnt[1725][3]~51035\);

-- Location: FF_X55_Y18_N7
\led_flash_cnt[1725][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1725][3]~51034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1725][3]~q\);

-- Location: LCCOMB_X55_Y18_N8
\led_flash_cnt[1725][4]~51036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1725][4]~51036_combout\ = (\led_flash_cnt[1725][4]~q\ & (!\led_flash_cnt[1725][3]~51035\)) # (!\led_flash_cnt[1725][4]~q\ & ((\led_flash_cnt[1725][3]~51035\) # (GND)))
-- \led_flash_cnt[1725][4]~51037\ = CARRY((!\led_flash_cnt[1725][3]~51035\) # (!\led_flash_cnt[1725][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1725][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1725][3]~51035\,
	combout => \led_flash_cnt[1725][4]~51036_combout\,
	cout => \led_flash_cnt[1725][4]~51037\);

-- Location: FF_X55_Y18_N9
\led_flash_cnt[1725][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1725][4]~51036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1725][4]~q\);

-- Location: LCCOMB_X55_Y18_N10
\led_flash_cnt[1725][5]~51038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1725][5]~51038_combout\ = (\led_flash_cnt[1725][5]~q\ & (\led_flash_cnt[1725][4]~51037\ $ (GND))) # (!\led_flash_cnt[1725][5]~q\ & (!\led_flash_cnt[1725][4]~51037\ & VCC))
-- \led_flash_cnt[1725][5]~51039\ = CARRY((\led_flash_cnt[1725][5]~q\ & !\led_flash_cnt[1725][4]~51037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1725][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1725][4]~51037\,
	combout => \led_flash_cnt[1725][5]~51038_combout\,
	cout => \led_flash_cnt[1725][5]~51039\);

-- Location: FF_X55_Y18_N11
\led_flash_cnt[1725][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1725][5]~51038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1725][5]~q\);

-- Location: LCCOMB_X55_Y18_N12
\led_flash_cnt[1725][6]~51040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1725][6]~51040_combout\ = (\led_flash_cnt[1725][6]~q\ & (!\led_flash_cnt[1725][5]~51039\)) # (!\led_flash_cnt[1725][6]~q\ & ((\led_flash_cnt[1725][5]~51039\) # (GND)))
-- \led_flash_cnt[1725][6]~51041\ = CARRY((!\led_flash_cnt[1725][5]~51039\) # (!\led_flash_cnt[1725][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1725][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1725][5]~51039\,
	combout => \led_flash_cnt[1725][6]~51040_combout\,
	cout => \led_flash_cnt[1725][6]~51041\);

-- Location: FF_X55_Y18_N13
\led_flash_cnt[1725][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1725][6]~51040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1725][6]~q\);

-- Location: LCCOMB_X54_Y18_N22
\WideAnd1725~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1725~1_combout\ = (\led_flash_cnt[1725][6]~q\ & \led_flash_cnt[1725][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1725][6]~q\,
	datac => \led_flash_cnt[1725][5]~q\,
	combout => \WideAnd1725~1_combout\);

-- Location: LCCOMB_X55_Y18_N14
\led_flash_cnt[1725][7]~51042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1725][7]~51042_combout\ = \led_flash_cnt[1725][7]~q\ $ (!\led_flash_cnt[1725][6]~51041\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1725][7]~q\,
	cin => \led_flash_cnt[1725][6]~51041\,
	combout => \led_flash_cnt[1725][7]~51042_combout\);

-- Location: FF_X55_Y18_N15
\led_flash_cnt[1725][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1725][7]~51042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1725][7]~q\);

-- Location: LCCOMB_X55_Y18_N0
\WideAnd1725~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1725~0_combout\ = (\led_flash_cnt[1725][3]~q\ & (\led_flash_cnt[1725][4]~q\ & (\led_flash_cnt[1725][2]~q\ & \led_flash_cnt[1725][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1725][3]~q\,
	datab => \led_flash_cnt[1725][4]~q\,
	datac => \led_flash_cnt[1725][2]~q\,
	datad => \led_flash_cnt[1725][1]~q\,
	combout => \WideAnd1725~0_combout\);

-- Location: LCCOMB_X54_Y18_N28
WideAnd1725 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1725~combout\ = (\WideAnd1725~1_combout\ & (\led_flash_cnt[1725][7]~q\ & (\WideAnd1725~0_combout\ & \led_flash_cnt[1725][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1725~1_combout\,
	datab => \led_flash_cnt[1725][7]~q\,
	datac => \WideAnd1725~0_combout\,
	datad => \led_flash_cnt[1725][0]~q\,
	combout => \WideAnd1725~combout\);

-- Location: FF_X54_Y18_N29
\led_flash_cnt_ands[1725]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1725~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1725));

-- Location: LCCOMB_X52_Y18_N2
\led_flash_cnt[1724][0]~82364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1724][0]~82364_combout\ = !\led_flash_cnt[1724][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1724][0]~q\,
	combout => \led_flash_cnt[1724][0]~82364_combout\);

-- Location: FF_X52_Y18_N3
\led_flash_cnt[1724][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1724][0]~82364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1724][0]~q\);

-- Location: LCCOMB_X54_Y18_N6
\led_flash_cnt[1724][1]~51016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1724][1]~51016_combout\ = (\led_flash_cnt[1724][1]~q\ & (\led_flash_cnt[1724][0]~q\ $ (VCC))) # (!\led_flash_cnt[1724][1]~q\ & (\led_flash_cnt[1724][0]~q\ & VCC))
-- \led_flash_cnt[1724][1]~51017\ = CARRY((\led_flash_cnt[1724][1]~q\ & \led_flash_cnt[1724][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1724][1]~q\,
	datab => \led_flash_cnt[1724][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1724][1]~51016_combout\,
	cout => \led_flash_cnt[1724][1]~51017\);

-- Location: FF_X54_Y18_N7
\led_flash_cnt[1724][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1724][1]~51016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1724][1]~q\);

-- Location: LCCOMB_X54_Y18_N8
\led_flash_cnt[1724][2]~51018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1724][2]~51018_combout\ = (\led_flash_cnt[1724][2]~q\ & (!\led_flash_cnt[1724][1]~51017\)) # (!\led_flash_cnt[1724][2]~q\ & ((\led_flash_cnt[1724][1]~51017\) # (GND)))
-- \led_flash_cnt[1724][2]~51019\ = CARRY((!\led_flash_cnt[1724][1]~51017\) # (!\led_flash_cnt[1724][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1724][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1724][1]~51017\,
	combout => \led_flash_cnt[1724][2]~51018_combout\,
	cout => \led_flash_cnt[1724][2]~51019\);

-- Location: FF_X54_Y18_N9
\led_flash_cnt[1724][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1724][2]~51018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1724][2]~q\);

-- Location: LCCOMB_X54_Y18_N10
\led_flash_cnt[1724][3]~51020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1724][3]~51020_combout\ = (\led_flash_cnt[1724][3]~q\ & (\led_flash_cnt[1724][2]~51019\ $ (GND))) # (!\led_flash_cnt[1724][3]~q\ & (!\led_flash_cnt[1724][2]~51019\ & VCC))
-- \led_flash_cnt[1724][3]~51021\ = CARRY((\led_flash_cnt[1724][3]~q\ & !\led_flash_cnt[1724][2]~51019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1724][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1724][2]~51019\,
	combout => \led_flash_cnt[1724][3]~51020_combout\,
	cout => \led_flash_cnt[1724][3]~51021\);

-- Location: FF_X54_Y18_N11
\led_flash_cnt[1724][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1724][3]~51020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1724][3]~q\);

-- Location: LCCOMB_X54_Y18_N12
\led_flash_cnt[1724][4]~51022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1724][4]~51022_combout\ = (\led_flash_cnt[1724][4]~q\ & (!\led_flash_cnt[1724][3]~51021\)) # (!\led_flash_cnt[1724][4]~q\ & ((\led_flash_cnt[1724][3]~51021\) # (GND)))
-- \led_flash_cnt[1724][4]~51023\ = CARRY((!\led_flash_cnt[1724][3]~51021\) # (!\led_flash_cnt[1724][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1724][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1724][3]~51021\,
	combout => \led_flash_cnt[1724][4]~51022_combout\,
	cout => \led_flash_cnt[1724][4]~51023\);

-- Location: FF_X54_Y18_N13
\led_flash_cnt[1724][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1724][4]~51022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1724][4]~q\);

-- Location: LCCOMB_X54_Y18_N14
\led_flash_cnt[1724][5]~51024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1724][5]~51024_combout\ = (\led_flash_cnt[1724][5]~q\ & (\led_flash_cnt[1724][4]~51023\ $ (GND))) # (!\led_flash_cnt[1724][5]~q\ & (!\led_flash_cnt[1724][4]~51023\ & VCC))
-- \led_flash_cnt[1724][5]~51025\ = CARRY((\led_flash_cnt[1724][5]~q\ & !\led_flash_cnt[1724][4]~51023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1724][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1724][4]~51023\,
	combout => \led_flash_cnt[1724][5]~51024_combout\,
	cout => \led_flash_cnt[1724][5]~51025\);

-- Location: FF_X54_Y18_N15
\led_flash_cnt[1724][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1724][5]~51024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1724][5]~q\);

-- Location: LCCOMB_X54_Y18_N16
\led_flash_cnt[1724][6]~51026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1724][6]~51026_combout\ = (\led_flash_cnt[1724][6]~q\ & (!\led_flash_cnt[1724][5]~51025\)) # (!\led_flash_cnt[1724][6]~q\ & ((\led_flash_cnt[1724][5]~51025\) # (GND)))
-- \led_flash_cnt[1724][6]~51027\ = CARRY((!\led_flash_cnt[1724][5]~51025\) # (!\led_flash_cnt[1724][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1724][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1724][5]~51025\,
	combout => \led_flash_cnt[1724][6]~51026_combout\,
	cout => \led_flash_cnt[1724][6]~51027\);

-- Location: FF_X54_Y18_N17
\led_flash_cnt[1724][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1724][6]~51026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1724][6]~q\);

-- Location: LCCOMB_X54_Y18_N30
\WideAnd1724~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1724~1_combout\ = (\led_flash_cnt[1724][5]~q\ & \led_flash_cnt[1724][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1724][5]~q\,
	datad => \led_flash_cnt[1724][6]~q\,
	combout => \WideAnd1724~1_combout\);

-- Location: LCCOMB_X54_Y18_N4
\WideAnd1724~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1724~0_combout\ = (\led_flash_cnt[1724][4]~q\ & (\led_flash_cnt[1724][3]~q\ & (\led_flash_cnt[1724][2]~q\ & \led_flash_cnt[1724][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1724][4]~q\,
	datab => \led_flash_cnt[1724][3]~q\,
	datac => \led_flash_cnt[1724][2]~q\,
	datad => \led_flash_cnt[1724][1]~q\,
	combout => \WideAnd1724~0_combout\);

-- Location: LCCOMB_X54_Y18_N18
\led_flash_cnt[1724][7]~51028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1724][7]~51028_combout\ = \led_flash_cnt[1724][6]~51027\ $ (!\led_flash_cnt[1724][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1724][7]~q\,
	cin => \led_flash_cnt[1724][6]~51027\,
	combout => \led_flash_cnt[1724][7]~51028_combout\);

-- Location: FF_X54_Y18_N19
\led_flash_cnt[1724][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1724][7]~51028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1724][7]~q\);

-- Location: LCCOMB_X54_Y18_N24
WideAnd1724 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1724~combout\ = (\WideAnd1724~1_combout\ & (\led_flash_cnt[1724][0]~q\ & (\WideAnd1724~0_combout\ & \led_flash_cnt[1724][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1724~1_combout\,
	datab => \led_flash_cnt[1724][0]~q\,
	datac => \WideAnd1724~0_combout\,
	datad => \led_flash_cnt[1724][7]~q\,
	combout => \WideAnd1724~combout\);

-- Location: FF_X54_Y18_N25
\led_flash_cnt_ands[1724]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1724~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1724));

-- Location: LCCOMB_X51_Y18_N4
\WideAnd4055~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4055~1_combout\ = (led_flash_cnt_ands(1725) & led_flash_cnt_ands(1724))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1725),
	datad => led_flash_cnt_ands(1724),
	combout => \WideAnd4055~1_combout\);

-- Location: LCCOMB_X41_Y18_N16
WideAnd4055 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4055~combout\ = (led_flash_cnt_ands(1726) & (\WideAnd4055~0_combout\ & (led_flash_cnt_ands(1727) & \WideAnd4055~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1726),
	datab => \WideAnd4055~0_combout\,
	datac => led_flash_cnt_ands(1727),
	datad => \WideAnd4055~1_combout\,
	combout => \WideAnd4055~combout\);

-- Location: FF_X41_Y18_N17
\led_flash_cnt_ands_1[215]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4055~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(215));

-- Location: LCCOMB_X41_Y18_N14
WideAnd4346 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4346~combout\ = (\WideAnd4346~1_combout\ & (led_flash_cnt_ands_1(214) & (\WideAnd4346~0_combout\ & led_flash_cnt_ands_1(215))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4346~1_combout\,
	datab => led_flash_cnt_ands_1(214),
	datac => \WideAnd4346~0_combout\,
	datad => led_flash_cnt_ands_1(215),
	combout => \WideAnd4346~combout\);

-- Location: FF_X41_Y18_N15
\led_flash_cnt_ands_2[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4346~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(26));

-- Location: LCCOMB_X4_Y29_N8
\led_flash_cnt[1785][0]~82425\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1785][0]~82425_combout\ = !\led_flash_cnt[1785][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1785][0]~q\,
	combout => \led_flash_cnt[1785][0]~82425_combout\);

-- Location: FF_X4_Y29_N9
\led_flash_cnt[1785][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1785][0]~82425_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1785][0]~q\);

-- Location: LCCOMB_X4_Y29_N10
\led_flash_cnt[1785][1]~51870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1785][1]~51870_combout\ = (\led_flash_cnt[1785][1]~q\ & (\led_flash_cnt[1785][0]~q\ $ (VCC))) # (!\led_flash_cnt[1785][1]~q\ & (\led_flash_cnt[1785][0]~q\ & VCC))
-- \led_flash_cnt[1785][1]~51871\ = CARRY((\led_flash_cnt[1785][1]~q\ & \led_flash_cnt[1785][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1785][1]~q\,
	datab => \led_flash_cnt[1785][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1785][1]~51870_combout\,
	cout => \led_flash_cnt[1785][1]~51871\);

-- Location: FF_X4_Y29_N11
\led_flash_cnt[1785][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1785][1]~51870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1785][1]~q\);

-- Location: LCCOMB_X4_Y29_N12
\led_flash_cnt[1785][2]~51872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1785][2]~51872_combout\ = (\led_flash_cnt[1785][2]~q\ & (!\led_flash_cnt[1785][1]~51871\)) # (!\led_flash_cnt[1785][2]~q\ & ((\led_flash_cnt[1785][1]~51871\) # (GND)))
-- \led_flash_cnt[1785][2]~51873\ = CARRY((!\led_flash_cnt[1785][1]~51871\) # (!\led_flash_cnt[1785][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1785][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1785][1]~51871\,
	combout => \led_flash_cnt[1785][2]~51872_combout\,
	cout => \led_flash_cnt[1785][2]~51873\);

-- Location: FF_X4_Y29_N13
\led_flash_cnt[1785][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1785][2]~51872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1785][2]~q\);

-- Location: LCCOMB_X4_Y29_N14
\led_flash_cnt[1785][3]~51874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1785][3]~51874_combout\ = (\led_flash_cnt[1785][3]~q\ & (\led_flash_cnt[1785][2]~51873\ $ (GND))) # (!\led_flash_cnt[1785][3]~q\ & (!\led_flash_cnt[1785][2]~51873\ & VCC))
-- \led_flash_cnt[1785][3]~51875\ = CARRY((\led_flash_cnt[1785][3]~q\ & !\led_flash_cnt[1785][2]~51873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1785][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1785][2]~51873\,
	combout => \led_flash_cnt[1785][3]~51874_combout\,
	cout => \led_flash_cnt[1785][3]~51875\);

-- Location: FF_X4_Y29_N15
\led_flash_cnt[1785][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1785][3]~51874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1785][3]~q\);

-- Location: LCCOMB_X4_Y29_N16
\led_flash_cnt[1785][4]~51876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1785][4]~51876_combout\ = (\led_flash_cnt[1785][4]~q\ & (!\led_flash_cnt[1785][3]~51875\)) # (!\led_flash_cnt[1785][4]~q\ & ((\led_flash_cnt[1785][3]~51875\) # (GND)))
-- \led_flash_cnt[1785][4]~51877\ = CARRY((!\led_flash_cnt[1785][3]~51875\) # (!\led_flash_cnt[1785][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1785][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1785][3]~51875\,
	combout => \led_flash_cnt[1785][4]~51876_combout\,
	cout => \led_flash_cnt[1785][4]~51877\);

-- Location: FF_X4_Y29_N17
\led_flash_cnt[1785][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1785][4]~51876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1785][4]~q\);

-- Location: LCCOMB_X4_Y29_N26
\WideAnd1785~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1785~0_combout\ = (\led_flash_cnt[1785][1]~q\ & (\led_flash_cnt[1785][4]~q\ & (\led_flash_cnt[1785][3]~q\ & \led_flash_cnt[1785][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1785][1]~q\,
	datab => \led_flash_cnt[1785][4]~q\,
	datac => \led_flash_cnt[1785][3]~q\,
	datad => \led_flash_cnt[1785][2]~q\,
	combout => \WideAnd1785~0_combout\);

-- Location: LCCOMB_X4_Y29_N18
\led_flash_cnt[1785][5]~51878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1785][5]~51878_combout\ = (\led_flash_cnt[1785][5]~q\ & (\led_flash_cnt[1785][4]~51877\ $ (GND))) # (!\led_flash_cnt[1785][5]~q\ & (!\led_flash_cnt[1785][4]~51877\ & VCC))
-- \led_flash_cnt[1785][5]~51879\ = CARRY((\led_flash_cnt[1785][5]~q\ & !\led_flash_cnt[1785][4]~51877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1785][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1785][4]~51877\,
	combout => \led_flash_cnt[1785][5]~51878_combout\,
	cout => \led_flash_cnt[1785][5]~51879\);

-- Location: FF_X4_Y29_N19
\led_flash_cnt[1785][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1785][5]~51878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1785][5]~q\);

-- Location: LCCOMB_X4_Y29_N20
\led_flash_cnt[1785][6]~51880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1785][6]~51880_combout\ = (\led_flash_cnt[1785][6]~q\ & (!\led_flash_cnt[1785][5]~51879\)) # (!\led_flash_cnt[1785][6]~q\ & ((\led_flash_cnt[1785][5]~51879\) # (GND)))
-- \led_flash_cnt[1785][6]~51881\ = CARRY((!\led_flash_cnt[1785][5]~51879\) # (!\led_flash_cnt[1785][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1785][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1785][5]~51879\,
	combout => \led_flash_cnt[1785][6]~51880_combout\,
	cout => \led_flash_cnt[1785][6]~51881\);

-- Location: FF_X4_Y29_N21
\led_flash_cnt[1785][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1785][6]~51880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1785][6]~q\);

-- Location: LCCOMB_X4_Y29_N22
\led_flash_cnt[1785][7]~51882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1785][7]~51882_combout\ = \led_flash_cnt[1785][7]~q\ $ (!\led_flash_cnt[1785][6]~51881\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1785][7]~q\,
	cin => \led_flash_cnt[1785][6]~51881\,
	combout => \led_flash_cnt[1785][7]~51882_combout\);

-- Location: FF_X4_Y29_N23
\led_flash_cnt[1785][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1785][7]~51882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1785][7]~q\);

-- Location: LCCOMB_X4_Y29_N28
\WideAnd1785~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1785~1_combout\ = (\led_flash_cnt[1785][6]~q\ & \led_flash_cnt[1785][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1785][6]~q\,
	datad => \led_flash_cnt[1785][5]~q\,
	combout => \WideAnd1785~1_combout\);

-- Location: LCCOMB_X4_Y29_N30
WideAnd1785 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1785~combout\ = (\WideAnd1785~0_combout\ & (\led_flash_cnt[1785][0]~q\ & (\led_flash_cnt[1785][7]~q\ & \WideAnd1785~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1785~0_combout\,
	datab => \led_flash_cnt[1785][0]~q\,
	datac => \led_flash_cnt[1785][7]~q\,
	datad => \WideAnd1785~1_combout\,
	combout => \WideAnd1785~combout\);

-- Location: FF_X4_Y29_N31
\led_flash_cnt_ands[1785]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1785~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1785));

-- Location: LCCOMB_X2_Y31_N30
\led_flash_cnt[1786][0]~82426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1786][0]~82426_combout\ = !\led_flash_cnt[1786][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1786][0]~q\,
	combout => \led_flash_cnt[1786][0]~82426_combout\);

-- Location: FF_X2_Y31_N31
\led_flash_cnt[1786][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1786][0]~82426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1786][0]~q\);

-- Location: LCCOMB_X4_Y31_N14
\led_flash_cnt[1786][1]~51884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1786][1]~51884_combout\ = (\led_flash_cnt[1786][0]~q\ & (\led_flash_cnt[1786][1]~q\ $ (VCC))) # (!\led_flash_cnt[1786][0]~q\ & (\led_flash_cnt[1786][1]~q\ & VCC))
-- \led_flash_cnt[1786][1]~51885\ = CARRY((\led_flash_cnt[1786][0]~q\ & \led_flash_cnt[1786][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1786][0]~q\,
	datab => \led_flash_cnt[1786][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1786][1]~51884_combout\,
	cout => \led_flash_cnt[1786][1]~51885\);

-- Location: FF_X4_Y31_N15
\led_flash_cnt[1786][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1786][1]~51884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1786][1]~q\);

-- Location: LCCOMB_X4_Y31_N16
\led_flash_cnt[1786][2]~51886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1786][2]~51886_combout\ = (\led_flash_cnt[1786][2]~q\ & (!\led_flash_cnt[1786][1]~51885\)) # (!\led_flash_cnt[1786][2]~q\ & ((\led_flash_cnt[1786][1]~51885\) # (GND)))
-- \led_flash_cnt[1786][2]~51887\ = CARRY((!\led_flash_cnt[1786][1]~51885\) # (!\led_flash_cnt[1786][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1786][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1786][1]~51885\,
	combout => \led_flash_cnt[1786][2]~51886_combout\,
	cout => \led_flash_cnt[1786][2]~51887\);

-- Location: FF_X4_Y31_N17
\led_flash_cnt[1786][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1786][2]~51886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1786][2]~q\);

-- Location: LCCOMB_X4_Y31_N18
\led_flash_cnt[1786][3]~51888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1786][3]~51888_combout\ = (\led_flash_cnt[1786][3]~q\ & (\led_flash_cnt[1786][2]~51887\ $ (GND))) # (!\led_flash_cnt[1786][3]~q\ & (!\led_flash_cnt[1786][2]~51887\ & VCC))
-- \led_flash_cnt[1786][3]~51889\ = CARRY((\led_flash_cnt[1786][3]~q\ & !\led_flash_cnt[1786][2]~51887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1786][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1786][2]~51887\,
	combout => \led_flash_cnt[1786][3]~51888_combout\,
	cout => \led_flash_cnt[1786][3]~51889\);

-- Location: FF_X4_Y31_N19
\led_flash_cnt[1786][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1786][3]~51888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1786][3]~q\);

-- Location: LCCOMB_X4_Y31_N20
\led_flash_cnt[1786][4]~51890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1786][4]~51890_combout\ = (\led_flash_cnt[1786][4]~q\ & (!\led_flash_cnt[1786][3]~51889\)) # (!\led_flash_cnt[1786][4]~q\ & ((\led_flash_cnt[1786][3]~51889\) # (GND)))
-- \led_flash_cnt[1786][4]~51891\ = CARRY((!\led_flash_cnt[1786][3]~51889\) # (!\led_flash_cnt[1786][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1786][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1786][3]~51889\,
	combout => \led_flash_cnt[1786][4]~51890_combout\,
	cout => \led_flash_cnt[1786][4]~51891\);

-- Location: FF_X4_Y31_N21
\led_flash_cnt[1786][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1786][4]~51890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1786][4]~q\);

-- Location: LCCOMB_X4_Y31_N22
\led_flash_cnt[1786][5]~51892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1786][5]~51892_combout\ = (\led_flash_cnt[1786][5]~q\ & (\led_flash_cnt[1786][4]~51891\ $ (GND))) # (!\led_flash_cnt[1786][5]~q\ & (!\led_flash_cnt[1786][4]~51891\ & VCC))
-- \led_flash_cnt[1786][5]~51893\ = CARRY((\led_flash_cnt[1786][5]~q\ & !\led_flash_cnt[1786][4]~51891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1786][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1786][4]~51891\,
	combout => \led_flash_cnt[1786][5]~51892_combout\,
	cout => \led_flash_cnt[1786][5]~51893\);

-- Location: FF_X4_Y31_N23
\led_flash_cnt[1786][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1786][5]~51892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1786][5]~q\);

-- Location: LCCOMB_X4_Y31_N24
\led_flash_cnt[1786][6]~51894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1786][6]~51894_combout\ = (\led_flash_cnt[1786][6]~q\ & (!\led_flash_cnt[1786][5]~51893\)) # (!\led_flash_cnt[1786][6]~q\ & ((\led_flash_cnt[1786][5]~51893\) # (GND)))
-- \led_flash_cnt[1786][6]~51895\ = CARRY((!\led_flash_cnt[1786][5]~51893\) # (!\led_flash_cnt[1786][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1786][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1786][5]~51893\,
	combout => \led_flash_cnt[1786][6]~51894_combout\,
	cout => \led_flash_cnt[1786][6]~51895\);

-- Location: FF_X4_Y31_N25
\led_flash_cnt[1786][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1786][6]~51894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1786][6]~q\);

-- Location: LCCOMB_X4_Y31_N26
\led_flash_cnt[1786][7]~51896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1786][7]~51896_combout\ = \led_flash_cnt[1786][7]~q\ $ (!\led_flash_cnt[1786][6]~51895\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1786][7]~q\,
	cin => \led_flash_cnt[1786][6]~51895\,
	combout => \led_flash_cnt[1786][7]~51896_combout\);

-- Location: FF_X4_Y31_N27
\led_flash_cnt[1786][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1786][7]~51896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1786][7]~q\);

-- Location: LCCOMB_X3_Y31_N8
\WideAnd1786~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1786~1_combout\ = (\led_flash_cnt[1786][5]~q\ & \led_flash_cnt[1786][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1786][5]~q\,
	datad => \led_flash_cnt[1786][6]~q\,
	combout => \WideAnd1786~1_combout\);

-- Location: LCCOMB_X4_Y31_N28
\WideAnd1786~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1786~0_combout\ = (\led_flash_cnt[1786][2]~q\ & (\led_flash_cnt[1786][3]~q\ & (\led_flash_cnt[1786][1]~q\ & \led_flash_cnt[1786][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1786][2]~q\,
	datab => \led_flash_cnt[1786][3]~q\,
	datac => \led_flash_cnt[1786][1]~q\,
	datad => \led_flash_cnt[1786][4]~q\,
	combout => \WideAnd1786~0_combout\);

-- Location: LCCOMB_X3_Y31_N0
WideAnd1786 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1786~combout\ = (\led_flash_cnt[1786][7]~q\ & (\led_flash_cnt[1786][0]~q\ & (\WideAnd1786~1_combout\ & \WideAnd1786~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1786][7]~q\,
	datab => \led_flash_cnt[1786][0]~q\,
	datac => \WideAnd1786~1_combout\,
	datad => \WideAnd1786~0_combout\,
	combout => \WideAnd1786~combout\);

-- Location: FF_X3_Y31_N1
\led_flash_cnt_ands[1786]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1786~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1786));

-- Location: LCCOMB_X3_Y33_N12
\led_flash_cnt[1784][0]~82424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1784][0]~82424_combout\ = !\led_flash_cnt[1784][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1784][0]~q\,
	combout => \led_flash_cnt[1784][0]~82424_combout\);

-- Location: FF_X3_Y33_N13
\led_flash_cnt[1784][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1784][0]~82424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1784][0]~q\);

-- Location: LCCOMB_X3_Y33_N18
\led_flash_cnt[1784][1]~51856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1784][1]~51856_combout\ = (\led_flash_cnt[1784][0]~q\ & (\led_flash_cnt[1784][1]~q\ $ (VCC))) # (!\led_flash_cnt[1784][0]~q\ & (\led_flash_cnt[1784][1]~q\ & VCC))
-- \led_flash_cnt[1784][1]~51857\ = CARRY((\led_flash_cnt[1784][0]~q\ & \led_flash_cnt[1784][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1784][0]~q\,
	datab => \led_flash_cnt[1784][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1784][1]~51856_combout\,
	cout => \led_flash_cnt[1784][1]~51857\);

-- Location: FF_X3_Y33_N19
\led_flash_cnt[1784][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1784][1]~51856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1784][1]~q\);

-- Location: LCCOMB_X3_Y33_N20
\led_flash_cnt[1784][2]~51858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1784][2]~51858_combout\ = (\led_flash_cnt[1784][2]~q\ & (!\led_flash_cnt[1784][1]~51857\)) # (!\led_flash_cnt[1784][2]~q\ & ((\led_flash_cnt[1784][1]~51857\) # (GND)))
-- \led_flash_cnt[1784][2]~51859\ = CARRY((!\led_flash_cnt[1784][1]~51857\) # (!\led_flash_cnt[1784][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1784][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1784][1]~51857\,
	combout => \led_flash_cnt[1784][2]~51858_combout\,
	cout => \led_flash_cnt[1784][2]~51859\);

-- Location: FF_X3_Y33_N21
\led_flash_cnt[1784][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1784][2]~51858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1784][2]~q\);

-- Location: LCCOMB_X3_Y33_N22
\led_flash_cnt[1784][3]~51860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1784][3]~51860_combout\ = (\led_flash_cnt[1784][3]~q\ & (\led_flash_cnt[1784][2]~51859\ $ (GND))) # (!\led_flash_cnt[1784][3]~q\ & (!\led_flash_cnt[1784][2]~51859\ & VCC))
-- \led_flash_cnt[1784][3]~51861\ = CARRY((\led_flash_cnt[1784][3]~q\ & !\led_flash_cnt[1784][2]~51859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1784][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1784][2]~51859\,
	combout => \led_flash_cnt[1784][3]~51860_combout\,
	cout => \led_flash_cnt[1784][3]~51861\);

-- Location: FF_X3_Y33_N23
\led_flash_cnt[1784][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1784][3]~51860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1784][3]~q\);

-- Location: LCCOMB_X3_Y33_N24
\led_flash_cnt[1784][4]~51862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1784][4]~51862_combout\ = (\led_flash_cnt[1784][4]~q\ & (!\led_flash_cnt[1784][3]~51861\)) # (!\led_flash_cnt[1784][4]~q\ & ((\led_flash_cnt[1784][3]~51861\) # (GND)))
-- \led_flash_cnt[1784][4]~51863\ = CARRY((!\led_flash_cnt[1784][3]~51861\) # (!\led_flash_cnt[1784][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1784][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1784][3]~51861\,
	combout => \led_flash_cnt[1784][4]~51862_combout\,
	cout => \led_flash_cnt[1784][4]~51863\);

-- Location: FF_X3_Y33_N25
\led_flash_cnt[1784][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1784][4]~51862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1784][4]~q\);

-- Location: LCCOMB_X3_Y33_N10
\WideAnd1784~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1784~0_combout\ = (\led_flash_cnt[1784][1]~q\ & (\led_flash_cnt[1784][2]~q\ & (\led_flash_cnt[1784][3]~q\ & \led_flash_cnt[1784][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1784][1]~q\,
	datab => \led_flash_cnt[1784][2]~q\,
	datac => \led_flash_cnt[1784][3]~q\,
	datad => \led_flash_cnt[1784][4]~q\,
	combout => \WideAnd1784~0_combout\);

-- Location: LCCOMB_X3_Y33_N26
\led_flash_cnt[1784][5]~51864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1784][5]~51864_combout\ = (\led_flash_cnt[1784][5]~q\ & (\led_flash_cnt[1784][4]~51863\ $ (GND))) # (!\led_flash_cnt[1784][5]~q\ & (!\led_flash_cnt[1784][4]~51863\ & VCC))
-- \led_flash_cnt[1784][5]~51865\ = CARRY((\led_flash_cnt[1784][5]~q\ & !\led_flash_cnt[1784][4]~51863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1784][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1784][4]~51863\,
	combout => \led_flash_cnt[1784][5]~51864_combout\,
	cout => \led_flash_cnt[1784][5]~51865\);

-- Location: FF_X3_Y33_N27
\led_flash_cnt[1784][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1784][5]~51864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1784][5]~q\);

-- Location: LCCOMB_X3_Y33_N28
\led_flash_cnt[1784][6]~51866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1784][6]~51866_combout\ = (\led_flash_cnt[1784][6]~q\ & (!\led_flash_cnt[1784][5]~51865\)) # (!\led_flash_cnt[1784][6]~q\ & ((\led_flash_cnt[1784][5]~51865\) # (GND)))
-- \led_flash_cnt[1784][6]~51867\ = CARRY((!\led_flash_cnt[1784][5]~51865\) # (!\led_flash_cnt[1784][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1784][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1784][5]~51865\,
	combout => \led_flash_cnt[1784][6]~51866_combout\,
	cout => \led_flash_cnt[1784][6]~51867\);

-- Location: FF_X3_Y33_N29
\led_flash_cnt[1784][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1784][6]~51866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1784][6]~q\);

-- Location: LCCOMB_X3_Y33_N16
\WideAnd1784~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1784~1_combout\ = (\led_flash_cnt[1784][5]~q\ & \led_flash_cnt[1784][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1784][5]~q\,
	datad => \led_flash_cnt[1784][6]~q\,
	combout => \WideAnd1784~1_combout\);

-- Location: LCCOMB_X3_Y33_N30
\led_flash_cnt[1784][7]~51868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1784][7]~51868_combout\ = \led_flash_cnt[1784][7]~q\ $ (!\led_flash_cnt[1784][6]~51867\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1784][7]~q\,
	cin => \led_flash_cnt[1784][6]~51867\,
	combout => \led_flash_cnt[1784][7]~51868_combout\);

-- Location: FF_X3_Y33_N31
\led_flash_cnt[1784][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1784][7]~51868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1784][7]~q\);

-- Location: LCCOMB_X3_Y33_N8
WideAnd1784 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1784~combout\ = (\WideAnd1784~0_combout\ & (\WideAnd1784~1_combout\ & (\led_flash_cnt[1784][7]~q\ & \led_flash_cnt[1784][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1784~0_combout\,
	datab => \WideAnd1784~1_combout\,
	datac => \led_flash_cnt[1784][7]~q\,
	datad => \led_flash_cnt[1784][0]~q\,
	combout => \WideAnd1784~combout\);

-- Location: FF_X3_Y33_N9
\led_flash_cnt_ands[1784]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1784~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1784));

-- Location: LCCOMB_X3_Y31_N4
\led_flash_cnt[1787][0]~82427\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1787][0]~82427_combout\ = !\led_flash_cnt[1787][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1787][0]~q\,
	combout => \led_flash_cnt[1787][0]~82427_combout\);

-- Location: FF_X3_Y31_N5
\led_flash_cnt[1787][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1787][0]~82427_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1787][0]~q\);

-- Location: LCCOMB_X3_Y31_N12
\led_flash_cnt[1787][1]~51898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1787][1]~51898_combout\ = (\led_flash_cnt[1787][1]~q\ & (\led_flash_cnt[1787][0]~q\ $ (VCC))) # (!\led_flash_cnt[1787][1]~q\ & (\led_flash_cnt[1787][0]~q\ & VCC))
-- \led_flash_cnt[1787][1]~51899\ = CARRY((\led_flash_cnt[1787][1]~q\ & \led_flash_cnt[1787][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1787][1]~q\,
	datab => \led_flash_cnt[1787][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1787][1]~51898_combout\,
	cout => \led_flash_cnt[1787][1]~51899\);

-- Location: FF_X3_Y31_N13
\led_flash_cnt[1787][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1787][1]~51898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1787][1]~q\);

-- Location: LCCOMB_X3_Y31_N14
\led_flash_cnt[1787][2]~51900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1787][2]~51900_combout\ = (\led_flash_cnt[1787][2]~q\ & (!\led_flash_cnt[1787][1]~51899\)) # (!\led_flash_cnt[1787][2]~q\ & ((\led_flash_cnt[1787][1]~51899\) # (GND)))
-- \led_flash_cnt[1787][2]~51901\ = CARRY((!\led_flash_cnt[1787][1]~51899\) # (!\led_flash_cnt[1787][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1787][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1787][1]~51899\,
	combout => \led_flash_cnt[1787][2]~51900_combout\,
	cout => \led_flash_cnt[1787][2]~51901\);

-- Location: FF_X3_Y31_N15
\led_flash_cnt[1787][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1787][2]~51900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1787][2]~q\);

-- Location: LCCOMB_X3_Y31_N16
\led_flash_cnt[1787][3]~51902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1787][3]~51902_combout\ = (\led_flash_cnt[1787][3]~q\ & (\led_flash_cnt[1787][2]~51901\ $ (GND))) # (!\led_flash_cnt[1787][3]~q\ & (!\led_flash_cnt[1787][2]~51901\ & VCC))
-- \led_flash_cnt[1787][3]~51903\ = CARRY((\led_flash_cnt[1787][3]~q\ & !\led_flash_cnt[1787][2]~51901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1787][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1787][2]~51901\,
	combout => \led_flash_cnt[1787][3]~51902_combout\,
	cout => \led_flash_cnt[1787][3]~51903\);

-- Location: FF_X3_Y31_N17
\led_flash_cnt[1787][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1787][3]~51902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1787][3]~q\);

-- Location: LCCOMB_X3_Y31_N18
\led_flash_cnt[1787][4]~51904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1787][4]~51904_combout\ = (\led_flash_cnt[1787][4]~q\ & (!\led_flash_cnt[1787][3]~51903\)) # (!\led_flash_cnt[1787][4]~q\ & ((\led_flash_cnt[1787][3]~51903\) # (GND)))
-- \led_flash_cnt[1787][4]~51905\ = CARRY((!\led_flash_cnt[1787][3]~51903\) # (!\led_flash_cnt[1787][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1787][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1787][3]~51903\,
	combout => \led_flash_cnt[1787][4]~51904_combout\,
	cout => \led_flash_cnt[1787][4]~51905\);

-- Location: FF_X3_Y31_N19
\led_flash_cnt[1787][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1787][4]~51904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1787][4]~q\);

-- Location: LCCOMB_X3_Y31_N20
\led_flash_cnt[1787][5]~51906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1787][5]~51906_combout\ = (\led_flash_cnt[1787][5]~q\ & (\led_flash_cnt[1787][4]~51905\ $ (GND))) # (!\led_flash_cnt[1787][5]~q\ & (!\led_flash_cnt[1787][4]~51905\ & VCC))
-- \led_flash_cnt[1787][5]~51907\ = CARRY((\led_flash_cnt[1787][5]~q\ & !\led_flash_cnt[1787][4]~51905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1787][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1787][4]~51905\,
	combout => \led_flash_cnt[1787][5]~51906_combout\,
	cout => \led_flash_cnt[1787][5]~51907\);

-- Location: FF_X3_Y31_N21
\led_flash_cnt[1787][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1787][5]~51906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1787][5]~q\);

-- Location: LCCOMB_X3_Y31_N22
\led_flash_cnt[1787][6]~51908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1787][6]~51908_combout\ = (\led_flash_cnt[1787][6]~q\ & (!\led_flash_cnt[1787][5]~51907\)) # (!\led_flash_cnt[1787][6]~q\ & ((\led_flash_cnt[1787][5]~51907\) # (GND)))
-- \led_flash_cnt[1787][6]~51909\ = CARRY((!\led_flash_cnt[1787][5]~51907\) # (!\led_flash_cnt[1787][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1787][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1787][5]~51907\,
	combout => \led_flash_cnt[1787][6]~51908_combout\,
	cout => \led_flash_cnt[1787][6]~51909\);

-- Location: FF_X3_Y31_N23
\led_flash_cnt[1787][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1787][6]~51908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1787][6]~q\);

-- Location: LCCOMB_X3_Y31_N6
\WideAnd1787~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1787~1_combout\ = (\led_flash_cnt[1787][6]~q\ & \led_flash_cnt[1787][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1787][6]~q\,
	datad => \led_flash_cnt[1787][5]~q\,
	combout => \WideAnd1787~1_combout\);

-- Location: LCCOMB_X2_Y31_N22
\WideAnd1787~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1787~0_combout\ = (\led_flash_cnt[1787][1]~q\ & (\led_flash_cnt[1787][3]~q\ & (\led_flash_cnt[1787][2]~q\ & \led_flash_cnt[1787][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1787][1]~q\,
	datab => \led_flash_cnt[1787][3]~q\,
	datac => \led_flash_cnt[1787][2]~q\,
	datad => \led_flash_cnt[1787][4]~q\,
	combout => \WideAnd1787~0_combout\);

-- Location: LCCOMB_X3_Y31_N24
\led_flash_cnt[1787][7]~51910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1787][7]~51910_combout\ = \led_flash_cnt[1787][6]~51909\ $ (!\led_flash_cnt[1787][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1787][7]~q\,
	cin => \led_flash_cnt[1787][6]~51909\,
	combout => \led_flash_cnt[1787][7]~51910_combout\);

-- Location: FF_X3_Y31_N25
\led_flash_cnt[1787][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1787][7]~51910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1787][7]~q\);

-- Location: LCCOMB_X3_Y31_N2
WideAnd1787 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1787~combout\ = (\WideAnd1787~1_combout\ & (\WideAnd1787~0_combout\ & (\led_flash_cnt[1787][0]~q\ & \led_flash_cnt[1787][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1787~1_combout\,
	datab => \WideAnd1787~0_combout\,
	datac => \led_flash_cnt[1787][0]~q\,
	datad => \led_flash_cnt[1787][7]~q\,
	combout => \WideAnd1787~combout\);

-- Location: FF_X3_Y31_N3
\led_flash_cnt_ands[1787]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1787~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1787));

-- Location: LCCOMB_X3_Y31_N28
\WideAnd4063~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4063~0_combout\ = (led_flash_cnt_ands(1785) & (led_flash_cnt_ands(1786) & (led_flash_cnt_ands(1784) & led_flash_cnt_ands(1787))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1785),
	datab => led_flash_cnt_ands(1786),
	datac => led_flash_cnt_ands(1784),
	datad => led_flash_cnt_ands(1787),
	combout => \WideAnd4063~0_combout\);

-- Location: LCCOMB_X2_Y29_N12
\led_flash_cnt[1790][0]~82430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1790][0]~82430_combout\ = !\led_flash_cnt[1790][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1790][0]~q\,
	combout => \led_flash_cnt[1790][0]~82430_combout\);

-- Location: FF_X2_Y29_N13
\led_flash_cnt[1790][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1790][0]~82430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1790][0]~q\);

-- Location: LCCOMB_X2_Y29_N14
\led_flash_cnt[1790][1]~51940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1790][1]~51940_combout\ = (\led_flash_cnt[1790][0]~q\ & (\led_flash_cnt[1790][1]~q\ $ (VCC))) # (!\led_flash_cnt[1790][0]~q\ & (\led_flash_cnt[1790][1]~q\ & VCC))
-- \led_flash_cnt[1790][1]~51941\ = CARRY((\led_flash_cnt[1790][0]~q\ & \led_flash_cnt[1790][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1790][0]~q\,
	datab => \led_flash_cnt[1790][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1790][1]~51940_combout\,
	cout => \led_flash_cnt[1790][1]~51941\);

-- Location: FF_X2_Y29_N15
\led_flash_cnt[1790][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1790][1]~51940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1790][1]~q\);

-- Location: LCCOMB_X2_Y29_N16
\led_flash_cnt[1790][2]~51942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1790][2]~51942_combout\ = (\led_flash_cnt[1790][2]~q\ & (!\led_flash_cnt[1790][1]~51941\)) # (!\led_flash_cnt[1790][2]~q\ & ((\led_flash_cnt[1790][1]~51941\) # (GND)))
-- \led_flash_cnt[1790][2]~51943\ = CARRY((!\led_flash_cnt[1790][1]~51941\) # (!\led_flash_cnt[1790][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1790][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1790][1]~51941\,
	combout => \led_flash_cnt[1790][2]~51942_combout\,
	cout => \led_flash_cnt[1790][2]~51943\);

-- Location: FF_X2_Y29_N17
\led_flash_cnt[1790][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1790][2]~51942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1790][2]~q\);

-- Location: LCCOMB_X2_Y29_N18
\led_flash_cnt[1790][3]~51944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1790][3]~51944_combout\ = (\led_flash_cnt[1790][3]~q\ & (\led_flash_cnt[1790][2]~51943\ $ (GND))) # (!\led_flash_cnt[1790][3]~q\ & (!\led_flash_cnt[1790][2]~51943\ & VCC))
-- \led_flash_cnt[1790][3]~51945\ = CARRY((\led_flash_cnt[1790][3]~q\ & !\led_flash_cnt[1790][2]~51943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1790][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1790][2]~51943\,
	combout => \led_flash_cnt[1790][3]~51944_combout\,
	cout => \led_flash_cnt[1790][3]~51945\);

-- Location: FF_X2_Y29_N19
\led_flash_cnt[1790][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1790][3]~51944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1790][3]~q\);

-- Location: LCCOMB_X2_Y29_N20
\led_flash_cnt[1790][4]~51946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1790][4]~51946_combout\ = (\led_flash_cnt[1790][4]~q\ & (!\led_flash_cnt[1790][3]~51945\)) # (!\led_flash_cnt[1790][4]~q\ & ((\led_flash_cnt[1790][3]~51945\) # (GND)))
-- \led_flash_cnt[1790][4]~51947\ = CARRY((!\led_flash_cnt[1790][3]~51945\) # (!\led_flash_cnt[1790][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1790][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1790][3]~51945\,
	combout => \led_flash_cnt[1790][4]~51946_combout\,
	cout => \led_flash_cnt[1790][4]~51947\);

-- Location: FF_X2_Y29_N21
\led_flash_cnt[1790][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1790][4]~51946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1790][4]~q\);

-- Location: LCCOMB_X2_Y29_N10
\WideAnd1790~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1790~0_combout\ = (\led_flash_cnt[1790][3]~q\ & (\led_flash_cnt[1790][2]~q\ & (\led_flash_cnt[1790][1]~q\ & \led_flash_cnt[1790][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1790][3]~q\,
	datab => \led_flash_cnt[1790][2]~q\,
	datac => \led_flash_cnt[1790][1]~q\,
	datad => \led_flash_cnt[1790][4]~q\,
	combout => \WideAnd1790~0_combout\);

-- Location: LCCOMB_X2_Y29_N22
\led_flash_cnt[1790][5]~51948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1790][5]~51948_combout\ = (\led_flash_cnt[1790][5]~q\ & (\led_flash_cnt[1790][4]~51947\ $ (GND))) # (!\led_flash_cnt[1790][5]~q\ & (!\led_flash_cnt[1790][4]~51947\ & VCC))
-- \led_flash_cnt[1790][5]~51949\ = CARRY((\led_flash_cnt[1790][5]~q\ & !\led_flash_cnt[1790][4]~51947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1790][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1790][4]~51947\,
	combout => \led_flash_cnt[1790][5]~51948_combout\,
	cout => \led_flash_cnt[1790][5]~51949\);

-- Location: FF_X2_Y29_N23
\led_flash_cnt[1790][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1790][5]~51948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1790][5]~q\);

-- Location: LCCOMB_X2_Y29_N24
\led_flash_cnt[1790][6]~51950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1790][6]~51950_combout\ = (\led_flash_cnt[1790][6]~q\ & (!\led_flash_cnt[1790][5]~51949\)) # (!\led_flash_cnt[1790][6]~q\ & ((\led_flash_cnt[1790][5]~51949\) # (GND)))
-- \led_flash_cnt[1790][6]~51951\ = CARRY((!\led_flash_cnt[1790][5]~51949\) # (!\led_flash_cnt[1790][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1790][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1790][5]~51949\,
	combout => \led_flash_cnt[1790][6]~51950_combout\,
	cout => \led_flash_cnt[1790][6]~51951\);

-- Location: FF_X2_Y29_N25
\led_flash_cnt[1790][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1790][6]~51950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1790][6]~q\);

-- Location: LCCOMB_X2_Y29_N2
\WideAnd1790~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1790~1_combout\ = (\led_flash_cnt[1790][5]~q\ & \led_flash_cnt[1790][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1790][5]~q\,
	datad => \led_flash_cnt[1790][6]~q\,
	combout => \WideAnd1790~1_combout\);

-- Location: LCCOMB_X2_Y29_N26
\led_flash_cnt[1790][7]~51952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1790][7]~51952_combout\ = \led_flash_cnt[1790][7]~q\ $ (!\led_flash_cnt[1790][6]~51951\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1790][7]~q\,
	cin => \led_flash_cnt[1790][6]~51951\,
	combout => \led_flash_cnt[1790][7]~51952_combout\);

-- Location: FF_X2_Y29_N27
\led_flash_cnt[1790][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1790][7]~51952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1790][7]~q\);

-- Location: LCCOMB_X2_Y29_N8
WideAnd1790 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1790~combout\ = (\WideAnd1790~0_combout\ & (\WideAnd1790~1_combout\ & (\led_flash_cnt[1790][7]~q\ & \led_flash_cnt[1790][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1790~0_combout\,
	datab => \WideAnd1790~1_combout\,
	datac => \led_flash_cnt[1790][7]~q\,
	datad => \led_flash_cnt[1790][0]~q\,
	combout => \WideAnd1790~combout\);

-- Location: FF_X2_Y29_N9
\led_flash_cnt_ands[1790]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1790~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1790));

-- Location: LCCOMB_X4_Y33_N10
\led_flash_cnt[1788][0]~82428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1788][0]~82428_combout\ = !\led_flash_cnt[1788][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1788][0]~q\,
	combout => \led_flash_cnt[1788][0]~82428_combout\);

-- Location: FF_X4_Y33_N11
\led_flash_cnt[1788][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1788][0]~82428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1788][0]~q\);

-- Location: LCCOMB_X4_Y33_N16
\led_flash_cnt[1788][1]~51912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1788][1]~51912_combout\ = (\led_flash_cnt[1788][0]~q\ & (\led_flash_cnt[1788][1]~q\ $ (VCC))) # (!\led_flash_cnt[1788][0]~q\ & (\led_flash_cnt[1788][1]~q\ & VCC))
-- \led_flash_cnt[1788][1]~51913\ = CARRY((\led_flash_cnt[1788][0]~q\ & \led_flash_cnt[1788][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1788][0]~q\,
	datab => \led_flash_cnt[1788][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1788][1]~51912_combout\,
	cout => \led_flash_cnt[1788][1]~51913\);

-- Location: FF_X4_Y33_N17
\led_flash_cnt[1788][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1788][1]~51912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1788][1]~q\);

-- Location: LCCOMB_X4_Y33_N18
\led_flash_cnt[1788][2]~51914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1788][2]~51914_combout\ = (\led_flash_cnt[1788][2]~q\ & (!\led_flash_cnt[1788][1]~51913\)) # (!\led_flash_cnt[1788][2]~q\ & ((\led_flash_cnt[1788][1]~51913\) # (GND)))
-- \led_flash_cnt[1788][2]~51915\ = CARRY((!\led_flash_cnt[1788][1]~51913\) # (!\led_flash_cnt[1788][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1788][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1788][1]~51913\,
	combout => \led_flash_cnt[1788][2]~51914_combout\,
	cout => \led_flash_cnt[1788][2]~51915\);

-- Location: FF_X4_Y33_N19
\led_flash_cnt[1788][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1788][2]~51914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1788][2]~q\);

-- Location: LCCOMB_X4_Y33_N20
\led_flash_cnt[1788][3]~51916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1788][3]~51916_combout\ = (\led_flash_cnt[1788][3]~q\ & (\led_flash_cnt[1788][2]~51915\ $ (GND))) # (!\led_flash_cnt[1788][3]~q\ & (!\led_flash_cnt[1788][2]~51915\ & VCC))
-- \led_flash_cnt[1788][3]~51917\ = CARRY((\led_flash_cnt[1788][3]~q\ & !\led_flash_cnt[1788][2]~51915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1788][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1788][2]~51915\,
	combout => \led_flash_cnt[1788][3]~51916_combout\,
	cout => \led_flash_cnt[1788][3]~51917\);

-- Location: FF_X4_Y33_N21
\led_flash_cnt[1788][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1788][3]~51916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1788][3]~q\);

-- Location: LCCOMB_X4_Y33_N22
\led_flash_cnt[1788][4]~51918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1788][4]~51918_combout\ = (\led_flash_cnt[1788][4]~q\ & (!\led_flash_cnt[1788][3]~51917\)) # (!\led_flash_cnt[1788][4]~q\ & ((\led_flash_cnt[1788][3]~51917\) # (GND)))
-- \led_flash_cnt[1788][4]~51919\ = CARRY((!\led_flash_cnt[1788][3]~51917\) # (!\led_flash_cnt[1788][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1788][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1788][3]~51917\,
	combout => \led_flash_cnt[1788][4]~51918_combout\,
	cout => \led_flash_cnt[1788][4]~51919\);

-- Location: FF_X4_Y33_N23
\led_flash_cnt[1788][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1788][4]~51918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1788][4]~q\);

-- Location: LCCOMB_X4_Y33_N24
\led_flash_cnt[1788][5]~51920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1788][5]~51920_combout\ = (\led_flash_cnt[1788][5]~q\ & (\led_flash_cnt[1788][4]~51919\ $ (GND))) # (!\led_flash_cnt[1788][5]~q\ & (!\led_flash_cnt[1788][4]~51919\ & VCC))
-- \led_flash_cnt[1788][5]~51921\ = CARRY((\led_flash_cnt[1788][5]~q\ & !\led_flash_cnt[1788][4]~51919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1788][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1788][4]~51919\,
	combout => \led_flash_cnt[1788][5]~51920_combout\,
	cout => \led_flash_cnt[1788][5]~51921\);

-- Location: FF_X4_Y33_N25
\led_flash_cnt[1788][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1788][5]~51920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1788][5]~q\);

-- Location: LCCOMB_X4_Y33_N26
\led_flash_cnt[1788][6]~51922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1788][6]~51922_combout\ = (\led_flash_cnt[1788][6]~q\ & (!\led_flash_cnt[1788][5]~51921\)) # (!\led_flash_cnt[1788][6]~q\ & ((\led_flash_cnt[1788][5]~51921\) # (GND)))
-- \led_flash_cnt[1788][6]~51923\ = CARRY((!\led_flash_cnt[1788][5]~51921\) # (!\led_flash_cnt[1788][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1788][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1788][5]~51921\,
	combout => \led_flash_cnt[1788][6]~51922_combout\,
	cout => \led_flash_cnt[1788][6]~51923\);

-- Location: FF_X4_Y33_N27
\led_flash_cnt[1788][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1788][6]~51922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1788][6]~q\);

-- Location: LCCOMB_X4_Y33_N28
\led_flash_cnt[1788][7]~51924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1788][7]~51924_combout\ = \led_flash_cnt[1788][6]~51923\ $ (!\led_flash_cnt[1788][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1788][7]~q\,
	cin => \led_flash_cnt[1788][6]~51923\,
	combout => \led_flash_cnt[1788][7]~51924_combout\);

-- Location: FF_X4_Y33_N29
\led_flash_cnt[1788][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1788][7]~51924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1788][7]~q\);

-- Location: LCCOMB_X4_Y33_N4
\WideAnd1788~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1788~1_combout\ = (\led_flash_cnt[1788][6]~q\ & \led_flash_cnt[1788][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1788][6]~q\,
	datad => \led_flash_cnt[1788][5]~q\,
	combout => \WideAnd1788~1_combout\);

-- Location: LCCOMB_X4_Y33_N12
\WideAnd1788~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1788~0_combout\ = (\led_flash_cnt[1788][2]~q\ & (\led_flash_cnt[1788][1]~q\ & (\led_flash_cnt[1788][4]~q\ & \led_flash_cnt[1788][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1788][2]~q\,
	datab => \led_flash_cnt[1788][1]~q\,
	datac => \led_flash_cnt[1788][4]~q\,
	datad => \led_flash_cnt[1788][3]~q\,
	combout => \WideAnd1788~0_combout\);

-- Location: LCCOMB_X4_Y33_N14
WideAnd1788 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1788~combout\ = (\led_flash_cnt[1788][0]~q\ & (\led_flash_cnt[1788][7]~q\ & (\WideAnd1788~1_combout\ & \WideAnd1788~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1788][0]~q\,
	datab => \led_flash_cnt[1788][7]~q\,
	datac => \WideAnd1788~1_combout\,
	datad => \WideAnd1788~0_combout\,
	combout => \WideAnd1788~combout\);

-- Location: FF_X4_Y33_N15
\led_flash_cnt_ands[1788]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1788~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1788));

-- Location: LCCOMB_X4_Y33_N8
\led_flash_cnt[1789][0]~82429\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1789][0]~82429_combout\ = !\led_flash_cnt[1789][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1789][0]~q\,
	combout => \led_flash_cnt[1789][0]~82429_combout\);

-- Location: FF_X4_Y33_N9
\led_flash_cnt[1789][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1789][0]~82429_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1789][0]~q\);

-- Location: LCCOMB_X4_Y30_N2
\led_flash_cnt[1789][1]~51926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1789][1]~51926_combout\ = (\led_flash_cnt[1789][0]~q\ & (\led_flash_cnt[1789][1]~q\ $ (VCC))) # (!\led_flash_cnt[1789][0]~q\ & (\led_flash_cnt[1789][1]~q\ & VCC))
-- \led_flash_cnt[1789][1]~51927\ = CARRY((\led_flash_cnt[1789][0]~q\ & \led_flash_cnt[1789][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1789][0]~q\,
	datab => \led_flash_cnt[1789][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1789][1]~51926_combout\,
	cout => \led_flash_cnt[1789][1]~51927\);

-- Location: FF_X4_Y30_N3
\led_flash_cnt[1789][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1789][1]~51926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1789][1]~q\);

-- Location: LCCOMB_X4_Y30_N4
\led_flash_cnt[1789][2]~51928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1789][2]~51928_combout\ = (\led_flash_cnt[1789][2]~q\ & (!\led_flash_cnt[1789][1]~51927\)) # (!\led_flash_cnt[1789][2]~q\ & ((\led_flash_cnt[1789][1]~51927\) # (GND)))
-- \led_flash_cnt[1789][2]~51929\ = CARRY((!\led_flash_cnt[1789][1]~51927\) # (!\led_flash_cnt[1789][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1789][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1789][1]~51927\,
	combout => \led_flash_cnt[1789][2]~51928_combout\,
	cout => \led_flash_cnt[1789][2]~51929\);

-- Location: FF_X4_Y30_N5
\led_flash_cnt[1789][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1789][2]~51928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1789][2]~q\);

-- Location: LCCOMB_X4_Y30_N6
\led_flash_cnt[1789][3]~51930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1789][3]~51930_combout\ = (\led_flash_cnt[1789][3]~q\ & (\led_flash_cnt[1789][2]~51929\ $ (GND))) # (!\led_flash_cnt[1789][3]~q\ & (!\led_flash_cnt[1789][2]~51929\ & VCC))
-- \led_flash_cnt[1789][3]~51931\ = CARRY((\led_flash_cnt[1789][3]~q\ & !\led_flash_cnt[1789][2]~51929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1789][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1789][2]~51929\,
	combout => \led_flash_cnt[1789][3]~51930_combout\,
	cout => \led_flash_cnt[1789][3]~51931\);

-- Location: FF_X4_Y30_N7
\led_flash_cnt[1789][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1789][3]~51930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1789][3]~q\);

-- Location: LCCOMB_X4_Y30_N8
\led_flash_cnt[1789][4]~51932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1789][4]~51932_combout\ = (\led_flash_cnt[1789][4]~q\ & (!\led_flash_cnt[1789][3]~51931\)) # (!\led_flash_cnt[1789][4]~q\ & ((\led_flash_cnt[1789][3]~51931\) # (GND)))
-- \led_flash_cnt[1789][4]~51933\ = CARRY((!\led_flash_cnt[1789][3]~51931\) # (!\led_flash_cnt[1789][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1789][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1789][3]~51931\,
	combout => \led_flash_cnt[1789][4]~51932_combout\,
	cout => \led_flash_cnt[1789][4]~51933\);

-- Location: FF_X4_Y30_N9
\led_flash_cnt[1789][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1789][4]~51932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1789][4]~q\);

-- Location: LCCOMB_X4_Y30_N10
\led_flash_cnt[1789][5]~51934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1789][5]~51934_combout\ = (\led_flash_cnt[1789][5]~q\ & (\led_flash_cnt[1789][4]~51933\ $ (GND))) # (!\led_flash_cnt[1789][5]~q\ & (!\led_flash_cnt[1789][4]~51933\ & VCC))
-- \led_flash_cnt[1789][5]~51935\ = CARRY((\led_flash_cnt[1789][5]~q\ & !\led_flash_cnt[1789][4]~51933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1789][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1789][4]~51933\,
	combout => \led_flash_cnt[1789][5]~51934_combout\,
	cout => \led_flash_cnt[1789][5]~51935\);

-- Location: FF_X4_Y30_N11
\led_flash_cnt[1789][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1789][5]~51934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1789][5]~q\);

-- Location: LCCOMB_X4_Y30_N12
\led_flash_cnt[1789][6]~51936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1789][6]~51936_combout\ = (\led_flash_cnt[1789][6]~q\ & (!\led_flash_cnt[1789][5]~51935\)) # (!\led_flash_cnt[1789][6]~q\ & ((\led_flash_cnt[1789][5]~51935\) # (GND)))
-- \led_flash_cnt[1789][6]~51937\ = CARRY((!\led_flash_cnt[1789][5]~51935\) # (!\led_flash_cnt[1789][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1789][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1789][5]~51935\,
	combout => \led_flash_cnt[1789][6]~51936_combout\,
	cout => \led_flash_cnt[1789][6]~51937\);

-- Location: FF_X4_Y30_N13
\led_flash_cnt[1789][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1789][6]~51936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1789][6]~q\);

-- Location: LCCOMB_X4_Y33_N30
\WideAnd1789~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1789~1_combout\ = (\led_flash_cnt[1789][6]~q\ & \led_flash_cnt[1789][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1789][6]~q\,
	datad => \led_flash_cnt[1789][5]~q\,
	combout => \WideAnd1789~1_combout\);

-- Location: LCCOMB_X4_Y30_N14
\led_flash_cnt[1789][7]~51938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1789][7]~51938_combout\ = \led_flash_cnt[1789][7]~q\ $ (!\led_flash_cnt[1789][6]~51937\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1789][7]~q\,
	cin => \led_flash_cnt[1789][6]~51937\,
	combout => \led_flash_cnt[1789][7]~51938_combout\);

-- Location: FF_X4_Y30_N15
\led_flash_cnt[1789][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1789][7]~51938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1789][7]~q\);

-- Location: LCCOMB_X4_Y30_N0
\WideAnd1789~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1789~0_combout\ = (\led_flash_cnt[1789][3]~q\ & (\led_flash_cnt[1789][4]~q\ & (\led_flash_cnt[1789][2]~q\ & \led_flash_cnt[1789][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1789][3]~q\,
	datab => \led_flash_cnt[1789][4]~q\,
	datac => \led_flash_cnt[1789][2]~q\,
	datad => \led_flash_cnt[1789][1]~q\,
	combout => \WideAnd1789~0_combout\);

-- Location: LCCOMB_X4_Y33_N6
WideAnd1789 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1789~combout\ = (\WideAnd1789~1_combout\ & (\led_flash_cnt[1789][7]~q\ & (\WideAnd1789~0_combout\ & \led_flash_cnt[1789][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1789~1_combout\,
	datab => \led_flash_cnt[1789][7]~q\,
	datac => \WideAnd1789~0_combout\,
	datad => \led_flash_cnt[1789][0]~q\,
	combout => \WideAnd1789~combout\);

-- Location: FF_X4_Y33_N7
\led_flash_cnt_ands[1789]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1789~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1789));

-- Location: LCCOMB_X4_Y33_N2
\WideAnd4063~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4063~1_combout\ = (led_flash_cnt_ands(1788) & led_flash_cnt_ands(1789))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1788),
	datad => led_flash_cnt_ands(1789),
	combout => \WideAnd4063~1_combout\);

-- Location: LCCOMB_X2_Y29_N6
\led_flash_cnt[1791][0]~82431\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1791][0]~82431_combout\ = !\led_flash_cnt[1791][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1791][0]~q\,
	combout => \led_flash_cnt[1791][0]~82431_combout\);

-- Location: FF_X2_Y29_N7
\led_flash_cnt[1791][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1791][0]~82431_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1791][0]~q\);

-- Location: LCCOMB_X3_Y29_N0
\led_flash_cnt[1791][1]~51954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1791][1]~51954_combout\ = (\led_flash_cnt[1791][0]~q\ & (\led_flash_cnt[1791][1]~q\ $ (VCC))) # (!\led_flash_cnt[1791][0]~q\ & (\led_flash_cnt[1791][1]~q\ & VCC))
-- \led_flash_cnt[1791][1]~51955\ = CARRY((\led_flash_cnt[1791][0]~q\ & \led_flash_cnt[1791][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1791][0]~q\,
	datab => \led_flash_cnt[1791][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1791][1]~51954_combout\,
	cout => \led_flash_cnt[1791][1]~51955\);

-- Location: FF_X3_Y29_N1
\led_flash_cnt[1791][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1791][1]~51954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1791][1]~q\);

-- Location: LCCOMB_X3_Y29_N2
\led_flash_cnt[1791][2]~51956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1791][2]~51956_combout\ = (\led_flash_cnt[1791][2]~q\ & (!\led_flash_cnt[1791][1]~51955\)) # (!\led_flash_cnt[1791][2]~q\ & ((\led_flash_cnt[1791][1]~51955\) # (GND)))
-- \led_flash_cnt[1791][2]~51957\ = CARRY((!\led_flash_cnt[1791][1]~51955\) # (!\led_flash_cnt[1791][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1791][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1791][1]~51955\,
	combout => \led_flash_cnt[1791][2]~51956_combout\,
	cout => \led_flash_cnt[1791][2]~51957\);

-- Location: FF_X3_Y29_N3
\led_flash_cnt[1791][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1791][2]~51956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1791][2]~q\);

-- Location: LCCOMB_X3_Y29_N4
\led_flash_cnt[1791][3]~51958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1791][3]~51958_combout\ = (\led_flash_cnt[1791][3]~q\ & (\led_flash_cnt[1791][2]~51957\ $ (GND))) # (!\led_flash_cnt[1791][3]~q\ & (!\led_flash_cnt[1791][2]~51957\ & VCC))
-- \led_flash_cnt[1791][3]~51959\ = CARRY((\led_flash_cnt[1791][3]~q\ & !\led_flash_cnt[1791][2]~51957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1791][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1791][2]~51957\,
	combout => \led_flash_cnt[1791][3]~51958_combout\,
	cout => \led_flash_cnt[1791][3]~51959\);

-- Location: FF_X3_Y29_N5
\led_flash_cnt[1791][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1791][3]~51958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1791][3]~q\);

-- Location: LCCOMB_X3_Y29_N6
\led_flash_cnt[1791][4]~51960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1791][4]~51960_combout\ = (\led_flash_cnt[1791][4]~q\ & (!\led_flash_cnt[1791][3]~51959\)) # (!\led_flash_cnt[1791][4]~q\ & ((\led_flash_cnt[1791][3]~51959\) # (GND)))
-- \led_flash_cnt[1791][4]~51961\ = CARRY((!\led_flash_cnt[1791][3]~51959\) # (!\led_flash_cnt[1791][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1791][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1791][3]~51959\,
	combout => \led_flash_cnt[1791][4]~51960_combout\,
	cout => \led_flash_cnt[1791][4]~51961\);

-- Location: FF_X3_Y29_N7
\led_flash_cnt[1791][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1791][4]~51960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1791][4]~q\);

-- Location: LCCOMB_X3_Y29_N8
\led_flash_cnt[1791][5]~51962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1791][5]~51962_combout\ = (\led_flash_cnt[1791][5]~q\ & (\led_flash_cnt[1791][4]~51961\ $ (GND))) # (!\led_flash_cnt[1791][5]~q\ & (!\led_flash_cnt[1791][4]~51961\ & VCC))
-- \led_flash_cnt[1791][5]~51963\ = CARRY((\led_flash_cnt[1791][5]~q\ & !\led_flash_cnt[1791][4]~51961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1791][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1791][4]~51961\,
	combout => \led_flash_cnt[1791][5]~51962_combout\,
	cout => \led_flash_cnt[1791][5]~51963\);

-- Location: FF_X3_Y29_N9
\led_flash_cnt[1791][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1791][5]~51962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1791][5]~q\);

-- Location: LCCOMB_X3_Y29_N10
\led_flash_cnt[1791][6]~51964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1791][6]~51964_combout\ = (\led_flash_cnt[1791][6]~q\ & (!\led_flash_cnt[1791][5]~51963\)) # (!\led_flash_cnt[1791][6]~q\ & ((\led_flash_cnt[1791][5]~51963\) # (GND)))
-- \led_flash_cnt[1791][6]~51965\ = CARRY((!\led_flash_cnt[1791][5]~51963\) # (!\led_flash_cnt[1791][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1791][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1791][5]~51963\,
	combout => \led_flash_cnt[1791][6]~51964_combout\,
	cout => \led_flash_cnt[1791][6]~51965\);

-- Location: FF_X3_Y29_N11
\led_flash_cnt[1791][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1791][6]~51964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1791][6]~q\);

-- Location: LCCOMB_X2_Y29_N4
\WideAnd1791~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1791~1_combout\ = (\led_flash_cnt[1791][6]~q\ & \led_flash_cnt[1791][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1791][6]~q\,
	datac => \led_flash_cnt[1791][5]~q\,
	combout => \WideAnd1791~1_combout\);

-- Location: LCCOMB_X3_Y29_N12
\led_flash_cnt[1791][7]~51966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1791][7]~51966_combout\ = \led_flash_cnt[1791][6]~51965\ $ (!\led_flash_cnt[1791][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1791][7]~q\,
	cin => \led_flash_cnt[1791][6]~51965\,
	combout => \led_flash_cnt[1791][7]~51966_combout\);

-- Location: FF_X3_Y29_N13
\led_flash_cnt[1791][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1791][7]~51966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1791][7]~q\);

-- Location: LCCOMB_X3_Y29_N28
\WideAnd1791~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1791~0_combout\ = (\led_flash_cnt[1791][4]~q\ & (\led_flash_cnt[1791][1]~q\ & (\led_flash_cnt[1791][3]~q\ & \led_flash_cnt[1791][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1791][4]~q\,
	datab => \led_flash_cnt[1791][1]~q\,
	datac => \led_flash_cnt[1791][3]~q\,
	datad => \led_flash_cnt[1791][2]~q\,
	combout => \WideAnd1791~0_combout\);

-- Location: LCCOMB_X2_Y29_N28
WideAnd1791 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1791~combout\ = (\led_flash_cnt[1791][0]~q\ & (\WideAnd1791~1_combout\ & (\led_flash_cnt[1791][7]~q\ & \WideAnd1791~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1791][0]~q\,
	datab => \WideAnd1791~1_combout\,
	datac => \led_flash_cnt[1791][7]~q\,
	datad => \WideAnd1791~0_combout\,
	combout => \WideAnd1791~combout\);

-- Location: FF_X2_Y29_N29
\led_flash_cnt_ands[1791]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1791~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1791));

-- Location: LCCOMB_X2_Y29_N30
WideAnd4063 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4063~combout\ = (\WideAnd4063~0_combout\ & (led_flash_cnt_ands(1790) & (\WideAnd4063~1_combout\ & led_flash_cnt_ands(1791))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4063~0_combout\,
	datab => led_flash_cnt_ands(1790),
	datac => \WideAnd4063~1_combout\,
	datad => led_flash_cnt_ands(1791),
	combout => \WideAnd4063~combout\);

-- Location: FF_X2_Y29_N31
\led_flash_cnt_ands_1[223]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4063~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(223));

-- Location: LCCOMB_X52_Y31_N18
\led_flash_cnt[1773][0]~82413\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1773][0]~82413_combout\ = !\led_flash_cnt[1773][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1773][0]~q\,
	combout => \led_flash_cnt[1773][0]~82413_combout\);

-- Location: FF_X52_Y31_N19
\led_flash_cnt[1773][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1773][0]~82413_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1773][0]~q\);

-- Location: LCCOMB_X52_Y31_N2
\led_flash_cnt[1773][1]~51702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1773][1]~51702_combout\ = (\led_flash_cnt[1773][1]~q\ & (\led_flash_cnt[1773][0]~q\ $ (VCC))) # (!\led_flash_cnt[1773][1]~q\ & (\led_flash_cnt[1773][0]~q\ & VCC))
-- \led_flash_cnt[1773][1]~51703\ = CARRY((\led_flash_cnt[1773][1]~q\ & \led_flash_cnt[1773][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1773][1]~q\,
	datab => \led_flash_cnt[1773][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1773][1]~51702_combout\,
	cout => \led_flash_cnt[1773][1]~51703\);

-- Location: FF_X52_Y31_N3
\led_flash_cnt[1773][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1773][1]~51702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1773][1]~q\);

-- Location: LCCOMB_X52_Y31_N4
\led_flash_cnt[1773][2]~51704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1773][2]~51704_combout\ = (\led_flash_cnt[1773][2]~q\ & (!\led_flash_cnt[1773][1]~51703\)) # (!\led_flash_cnt[1773][2]~q\ & ((\led_flash_cnt[1773][1]~51703\) # (GND)))
-- \led_flash_cnt[1773][2]~51705\ = CARRY((!\led_flash_cnt[1773][1]~51703\) # (!\led_flash_cnt[1773][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1773][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1773][1]~51703\,
	combout => \led_flash_cnt[1773][2]~51704_combout\,
	cout => \led_flash_cnt[1773][2]~51705\);

-- Location: FF_X52_Y31_N5
\led_flash_cnt[1773][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1773][2]~51704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1773][2]~q\);

-- Location: LCCOMB_X52_Y31_N6
\led_flash_cnt[1773][3]~51706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1773][3]~51706_combout\ = (\led_flash_cnt[1773][3]~q\ & (\led_flash_cnt[1773][2]~51705\ $ (GND))) # (!\led_flash_cnt[1773][3]~q\ & (!\led_flash_cnt[1773][2]~51705\ & VCC))
-- \led_flash_cnt[1773][3]~51707\ = CARRY((\led_flash_cnt[1773][3]~q\ & !\led_flash_cnt[1773][2]~51705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1773][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1773][2]~51705\,
	combout => \led_flash_cnt[1773][3]~51706_combout\,
	cout => \led_flash_cnt[1773][3]~51707\);

-- Location: FF_X52_Y31_N7
\led_flash_cnt[1773][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1773][3]~51706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1773][3]~q\);

-- Location: LCCOMB_X52_Y31_N8
\led_flash_cnt[1773][4]~51708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1773][4]~51708_combout\ = (\led_flash_cnt[1773][4]~q\ & (!\led_flash_cnt[1773][3]~51707\)) # (!\led_flash_cnt[1773][4]~q\ & ((\led_flash_cnt[1773][3]~51707\) # (GND)))
-- \led_flash_cnt[1773][4]~51709\ = CARRY((!\led_flash_cnt[1773][3]~51707\) # (!\led_flash_cnt[1773][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1773][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1773][3]~51707\,
	combout => \led_flash_cnt[1773][4]~51708_combout\,
	cout => \led_flash_cnt[1773][4]~51709\);

-- Location: FF_X52_Y31_N9
\led_flash_cnt[1773][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1773][4]~51708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1773][4]~q\);

-- Location: LCCOMB_X52_Y31_N10
\led_flash_cnt[1773][5]~51710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1773][5]~51710_combout\ = (\led_flash_cnt[1773][5]~q\ & (\led_flash_cnt[1773][4]~51709\ $ (GND))) # (!\led_flash_cnt[1773][5]~q\ & (!\led_flash_cnt[1773][4]~51709\ & VCC))
-- \led_flash_cnt[1773][5]~51711\ = CARRY((\led_flash_cnt[1773][5]~q\ & !\led_flash_cnt[1773][4]~51709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1773][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1773][4]~51709\,
	combout => \led_flash_cnt[1773][5]~51710_combout\,
	cout => \led_flash_cnt[1773][5]~51711\);

-- Location: FF_X52_Y31_N11
\led_flash_cnt[1773][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1773][5]~51710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1773][5]~q\);

-- Location: LCCOMB_X52_Y31_N26
\WideAnd1773~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1773~1_combout\ = (\led_flash_cnt[1773][5]~q\ & \led_flash_cnt[1773][3]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1773][5]~q\,
	datad => \led_flash_cnt[1773][3]~q\,
	combout => \WideAnd1773~1_combout\);

-- Location: LCCOMB_X52_Y31_N0
\WideAnd1773~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1773~0_combout\ = (\led_flash_cnt[1773][1]~q\ & (\led_flash_cnt[1773][4]~q\ & (\led_flash_cnt[1773][2]~q\ & \led_flash_cnt[1773][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1773][1]~q\,
	datab => \led_flash_cnt[1773][4]~q\,
	datac => \led_flash_cnt[1773][2]~q\,
	datad => \led_flash_cnt[1773][0]~q\,
	combout => \WideAnd1773~0_combout\);

-- Location: LCCOMB_X52_Y31_N12
\led_flash_cnt[1773][6]~51712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1773][6]~51712_combout\ = (\led_flash_cnt[1773][6]~q\ & (!\led_flash_cnt[1773][5]~51711\)) # (!\led_flash_cnt[1773][6]~q\ & ((\led_flash_cnt[1773][5]~51711\) # (GND)))
-- \led_flash_cnt[1773][6]~51713\ = CARRY((!\led_flash_cnt[1773][5]~51711\) # (!\led_flash_cnt[1773][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1773][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1773][5]~51711\,
	combout => \led_flash_cnt[1773][6]~51712_combout\,
	cout => \led_flash_cnt[1773][6]~51713\);

-- Location: FF_X52_Y31_N13
\led_flash_cnt[1773][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1773][6]~51712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1773][6]~q\);

-- Location: LCCOMB_X52_Y31_N14
\led_flash_cnt[1773][7]~51714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1773][7]~51714_combout\ = \led_flash_cnt[1773][7]~q\ $ (!\led_flash_cnt[1773][6]~51713\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1773][7]~q\,
	cin => \led_flash_cnt[1773][6]~51713\,
	combout => \led_flash_cnt[1773][7]~51714_combout\);

-- Location: FF_X52_Y31_N15
\led_flash_cnt[1773][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1773][7]~51714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1773][7]~q\);

-- Location: LCCOMB_X52_Y31_N30
WideAnd1773 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1773~combout\ = (\WideAnd1773~1_combout\ & (\WideAnd1773~0_combout\ & (\led_flash_cnt[1773][7]~q\ & \led_flash_cnt[1773][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1773~1_combout\,
	datab => \WideAnd1773~0_combout\,
	datac => \led_flash_cnt[1773][7]~q\,
	datad => \led_flash_cnt[1773][6]~q\,
	combout => \WideAnd1773~combout\);

-- Location: FF_X52_Y31_N31
\led_flash_cnt_ands[1773]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1773~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1773));

-- Location: LCCOMB_X52_Y31_N24
\led_flash_cnt[1772][0]~82412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1772][0]~82412_combout\ = !\led_flash_cnt[1772][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1772][0]~q\,
	combout => \led_flash_cnt[1772][0]~82412_combout\);

-- Location: FF_X52_Y31_N25
\led_flash_cnt[1772][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1772][0]~82412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1772][0]~q\);

-- Location: LCCOMB_X51_Y31_N18
\led_flash_cnt[1772][1]~51688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1772][1]~51688_combout\ = (\led_flash_cnt[1772][0]~q\ & (\led_flash_cnt[1772][1]~q\ $ (VCC))) # (!\led_flash_cnt[1772][0]~q\ & (\led_flash_cnt[1772][1]~q\ & VCC))
-- \led_flash_cnt[1772][1]~51689\ = CARRY((\led_flash_cnt[1772][0]~q\ & \led_flash_cnt[1772][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1772][0]~q\,
	datab => \led_flash_cnt[1772][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1772][1]~51688_combout\,
	cout => \led_flash_cnt[1772][1]~51689\);

-- Location: FF_X51_Y31_N19
\led_flash_cnt[1772][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1772][1]~51688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1772][1]~q\);

-- Location: LCCOMB_X51_Y31_N20
\led_flash_cnt[1772][2]~51690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1772][2]~51690_combout\ = (\led_flash_cnt[1772][2]~q\ & (!\led_flash_cnt[1772][1]~51689\)) # (!\led_flash_cnt[1772][2]~q\ & ((\led_flash_cnt[1772][1]~51689\) # (GND)))
-- \led_flash_cnt[1772][2]~51691\ = CARRY((!\led_flash_cnt[1772][1]~51689\) # (!\led_flash_cnt[1772][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1772][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1772][1]~51689\,
	combout => \led_flash_cnt[1772][2]~51690_combout\,
	cout => \led_flash_cnt[1772][2]~51691\);

-- Location: FF_X51_Y31_N21
\led_flash_cnt[1772][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1772][2]~51690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1772][2]~q\);

-- Location: LCCOMB_X51_Y31_N22
\led_flash_cnt[1772][3]~51692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1772][3]~51692_combout\ = (\led_flash_cnt[1772][3]~q\ & (\led_flash_cnt[1772][2]~51691\ $ (GND))) # (!\led_flash_cnt[1772][3]~q\ & (!\led_flash_cnt[1772][2]~51691\ & VCC))
-- \led_flash_cnt[1772][3]~51693\ = CARRY((\led_flash_cnt[1772][3]~q\ & !\led_flash_cnt[1772][2]~51691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1772][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1772][2]~51691\,
	combout => \led_flash_cnt[1772][3]~51692_combout\,
	cout => \led_flash_cnt[1772][3]~51693\);

-- Location: FF_X51_Y31_N23
\led_flash_cnt[1772][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1772][3]~51692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1772][3]~q\);

-- Location: LCCOMB_X51_Y31_N24
\led_flash_cnt[1772][4]~51694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1772][4]~51694_combout\ = (\led_flash_cnt[1772][4]~q\ & (!\led_flash_cnt[1772][3]~51693\)) # (!\led_flash_cnt[1772][4]~q\ & ((\led_flash_cnt[1772][3]~51693\) # (GND)))
-- \led_flash_cnt[1772][4]~51695\ = CARRY((!\led_flash_cnt[1772][3]~51693\) # (!\led_flash_cnt[1772][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1772][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1772][3]~51693\,
	combout => \led_flash_cnt[1772][4]~51694_combout\,
	cout => \led_flash_cnt[1772][4]~51695\);

-- Location: FF_X51_Y31_N25
\led_flash_cnt[1772][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1772][4]~51694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1772][4]~q\);

-- Location: LCCOMB_X51_Y31_N26
\led_flash_cnt[1772][5]~51696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1772][5]~51696_combout\ = (\led_flash_cnt[1772][5]~q\ & (\led_flash_cnt[1772][4]~51695\ $ (GND))) # (!\led_flash_cnt[1772][5]~q\ & (!\led_flash_cnt[1772][4]~51695\ & VCC))
-- \led_flash_cnt[1772][5]~51697\ = CARRY((\led_flash_cnt[1772][5]~q\ & !\led_flash_cnt[1772][4]~51695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1772][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1772][4]~51695\,
	combout => \led_flash_cnt[1772][5]~51696_combout\,
	cout => \led_flash_cnt[1772][5]~51697\);

-- Location: FF_X51_Y31_N27
\led_flash_cnt[1772][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1772][5]~51696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1772][5]~q\);

-- Location: LCCOMB_X51_Y31_N28
\led_flash_cnt[1772][6]~51698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1772][6]~51698_combout\ = (\led_flash_cnt[1772][6]~q\ & (!\led_flash_cnt[1772][5]~51697\)) # (!\led_flash_cnt[1772][6]~q\ & ((\led_flash_cnt[1772][5]~51697\) # (GND)))
-- \led_flash_cnt[1772][6]~51699\ = CARRY((!\led_flash_cnt[1772][5]~51697\) # (!\led_flash_cnt[1772][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1772][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1772][5]~51697\,
	combout => \led_flash_cnt[1772][6]~51698_combout\,
	cout => \led_flash_cnt[1772][6]~51699\);

-- Location: FF_X51_Y31_N29
\led_flash_cnt[1772][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1772][6]~51698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1772][6]~q\);

-- Location: LCCOMB_X52_Y31_N22
\WideAnd1772~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1772~1_combout\ = (\led_flash_cnt[1772][5]~q\ & \led_flash_cnt[1772][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1772][5]~q\,
	datad => \led_flash_cnt[1772][6]~q\,
	combout => \WideAnd1772~1_combout\);

-- Location: LCCOMB_X51_Y31_N30
\led_flash_cnt[1772][7]~51700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1772][7]~51700_combout\ = \led_flash_cnt[1772][7]~q\ $ (!\led_flash_cnt[1772][6]~51699\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1772][7]~q\,
	cin => \led_flash_cnt[1772][6]~51699\,
	combout => \led_flash_cnt[1772][7]~51700_combout\);

-- Location: FF_X51_Y31_N31
\led_flash_cnt[1772][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1772][7]~51700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1772][7]~q\);

-- Location: LCCOMB_X51_Y31_N0
\WideAnd1772~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1772~0_combout\ = (\led_flash_cnt[1772][4]~q\ & (\led_flash_cnt[1772][2]~q\ & (\led_flash_cnt[1772][3]~q\ & \led_flash_cnt[1772][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1772][4]~q\,
	datab => \led_flash_cnt[1772][2]~q\,
	datac => \led_flash_cnt[1772][3]~q\,
	datad => \led_flash_cnt[1772][1]~q\,
	combout => \WideAnd1772~0_combout\);

-- Location: LCCOMB_X52_Y31_N20
WideAnd1772 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1772~combout\ = (\WideAnd1772~1_combout\ & (\led_flash_cnt[1772][7]~q\ & (\WideAnd1772~0_combout\ & \led_flash_cnt[1772][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1772~1_combout\,
	datab => \led_flash_cnt[1772][7]~q\,
	datac => \WideAnd1772~0_combout\,
	datad => \led_flash_cnt[1772][0]~q\,
	combout => \WideAnd1772~combout\);

-- Location: FF_X52_Y31_N21
\led_flash_cnt_ands[1772]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1772~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1772));

-- Location: LCCOMB_X52_Y31_N28
\WideAnd4061~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4061~1_combout\ = (led_flash_cnt_ands(1773) & led_flash_cnt_ands(1772))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1773),
	datad => led_flash_cnt_ands(1772),
	combout => \WideAnd4061~1_combout\);

-- Location: LCCOMB_X50_Y31_N30
\led_flash_cnt[1770][0]~82410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1770][0]~82410_combout\ = !\led_flash_cnt[1770][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1770][0]~q\,
	combout => \led_flash_cnt[1770][0]~82410_combout\);

-- Location: FF_X50_Y31_N31
\led_flash_cnt[1770][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1770][0]~82410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1770][0]~q\);

-- Location: LCCOMB_X50_Y30_N0
\led_flash_cnt[1770][1]~51660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1770][1]~51660_combout\ = (\led_flash_cnt[1770][0]~q\ & (\led_flash_cnt[1770][1]~q\ $ (VCC))) # (!\led_flash_cnt[1770][0]~q\ & (\led_flash_cnt[1770][1]~q\ & VCC))
-- \led_flash_cnt[1770][1]~51661\ = CARRY((\led_flash_cnt[1770][0]~q\ & \led_flash_cnt[1770][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1770][0]~q\,
	datab => \led_flash_cnt[1770][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1770][1]~51660_combout\,
	cout => \led_flash_cnt[1770][1]~51661\);

-- Location: FF_X50_Y30_N1
\led_flash_cnt[1770][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1770][1]~51660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1770][1]~q\);

-- Location: LCCOMB_X50_Y30_N2
\led_flash_cnt[1770][2]~51662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1770][2]~51662_combout\ = (\led_flash_cnt[1770][2]~q\ & (!\led_flash_cnt[1770][1]~51661\)) # (!\led_flash_cnt[1770][2]~q\ & ((\led_flash_cnt[1770][1]~51661\) # (GND)))
-- \led_flash_cnt[1770][2]~51663\ = CARRY((!\led_flash_cnt[1770][1]~51661\) # (!\led_flash_cnt[1770][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1770][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1770][1]~51661\,
	combout => \led_flash_cnt[1770][2]~51662_combout\,
	cout => \led_flash_cnt[1770][2]~51663\);

-- Location: FF_X50_Y30_N3
\led_flash_cnt[1770][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1770][2]~51662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1770][2]~q\);

-- Location: LCCOMB_X50_Y30_N4
\led_flash_cnt[1770][3]~51664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1770][3]~51664_combout\ = (\led_flash_cnt[1770][3]~q\ & (\led_flash_cnt[1770][2]~51663\ $ (GND))) # (!\led_flash_cnt[1770][3]~q\ & (!\led_flash_cnt[1770][2]~51663\ & VCC))
-- \led_flash_cnt[1770][3]~51665\ = CARRY((\led_flash_cnt[1770][3]~q\ & !\led_flash_cnt[1770][2]~51663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1770][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1770][2]~51663\,
	combout => \led_flash_cnt[1770][3]~51664_combout\,
	cout => \led_flash_cnt[1770][3]~51665\);

-- Location: FF_X50_Y30_N5
\led_flash_cnt[1770][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1770][3]~51664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1770][3]~q\);

-- Location: LCCOMB_X50_Y30_N6
\led_flash_cnt[1770][4]~51666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1770][4]~51666_combout\ = (\led_flash_cnt[1770][4]~q\ & (!\led_flash_cnt[1770][3]~51665\)) # (!\led_flash_cnt[1770][4]~q\ & ((\led_flash_cnt[1770][3]~51665\) # (GND)))
-- \led_flash_cnt[1770][4]~51667\ = CARRY((!\led_flash_cnt[1770][3]~51665\) # (!\led_flash_cnt[1770][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1770][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1770][3]~51665\,
	combout => \led_flash_cnt[1770][4]~51666_combout\,
	cout => \led_flash_cnt[1770][4]~51667\);

-- Location: FF_X50_Y30_N7
\led_flash_cnt[1770][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1770][4]~51666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1770][4]~q\);

-- Location: LCCOMB_X50_Y30_N8
\led_flash_cnt[1770][5]~51668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1770][5]~51668_combout\ = (\led_flash_cnt[1770][5]~q\ & (\led_flash_cnt[1770][4]~51667\ $ (GND))) # (!\led_flash_cnt[1770][5]~q\ & (!\led_flash_cnt[1770][4]~51667\ & VCC))
-- \led_flash_cnt[1770][5]~51669\ = CARRY((\led_flash_cnt[1770][5]~q\ & !\led_flash_cnt[1770][4]~51667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1770][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1770][4]~51667\,
	combout => \led_flash_cnt[1770][5]~51668_combout\,
	cout => \led_flash_cnt[1770][5]~51669\);

-- Location: FF_X50_Y30_N9
\led_flash_cnt[1770][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1770][5]~51668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1770][5]~q\);

-- Location: LCCOMB_X50_Y30_N10
\led_flash_cnt[1770][6]~51670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1770][6]~51670_combout\ = (\led_flash_cnt[1770][6]~q\ & (!\led_flash_cnt[1770][5]~51669\)) # (!\led_flash_cnt[1770][6]~q\ & ((\led_flash_cnt[1770][5]~51669\) # (GND)))
-- \led_flash_cnt[1770][6]~51671\ = CARRY((!\led_flash_cnt[1770][5]~51669\) # (!\led_flash_cnt[1770][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1770][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1770][5]~51669\,
	combout => \led_flash_cnt[1770][6]~51670_combout\,
	cout => \led_flash_cnt[1770][6]~51671\);

-- Location: FF_X50_Y30_N11
\led_flash_cnt[1770][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1770][6]~51670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1770][6]~q\);

-- Location: LCCOMB_X50_Y30_N26
\WideAnd1770~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1770~1_combout\ = (\led_flash_cnt[1770][5]~q\ & \led_flash_cnt[1770][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1770][5]~q\,
	datad => \led_flash_cnt[1770][6]~q\,
	combout => \WideAnd1770~1_combout\);

-- Location: LCCOMB_X50_Y30_N24
\WideAnd1770~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1770~0_combout\ = (\led_flash_cnt[1770][4]~q\ & (\led_flash_cnt[1770][1]~q\ & (\led_flash_cnt[1770][3]~q\ & \led_flash_cnt[1770][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1770][4]~q\,
	datab => \led_flash_cnt[1770][1]~q\,
	datac => \led_flash_cnt[1770][3]~q\,
	datad => \led_flash_cnt[1770][2]~q\,
	combout => \WideAnd1770~0_combout\);

-- Location: LCCOMB_X50_Y30_N12
\led_flash_cnt[1770][7]~51672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1770][7]~51672_combout\ = \led_flash_cnt[1770][6]~51671\ $ (!\led_flash_cnt[1770][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1770][7]~q\,
	cin => \led_flash_cnt[1770][6]~51671\,
	combout => \led_flash_cnt[1770][7]~51672_combout\);

-- Location: FF_X50_Y30_N13
\led_flash_cnt[1770][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1770][7]~51672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1770][7]~q\);

-- Location: LCCOMB_X50_Y30_N22
WideAnd1770 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1770~combout\ = (\WideAnd1770~1_combout\ & (\WideAnd1770~0_combout\ & (\led_flash_cnt[1770][0]~q\ & \led_flash_cnt[1770][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1770~1_combout\,
	datab => \WideAnd1770~0_combout\,
	datac => \led_flash_cnt[1770][0]~q\,
	datad => \led_flash_cnt[1770][7]~q\,
	combout => \WideAnd1770~combout\);

-- Location: FF_X50_Y30_N23
\led_flash_cnt_ands[1770]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1770~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1770));

-- Location: LCCOMB_X47_Y30_N2
\led_flash_cnt[1771][0]~82411\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1771][0]~82411_combout\ = !\led_flash_cnt[1771][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1771][0]~q\,
	combout => \led_flash_cnt[1771][0]~82411_combout\);

-- Location: FF_X47_Y30_N3
\led_flash_cnt[1771][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1771][0]~82411_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1771][0]~q\);

-- Location: LCCOMB_X46_Y30_N2
\led_flash_cnt[1771][1]~51674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1771][1]~51674_combout\ = (\led_flash_cnt[1771][0]~q\ & (\led_flash_cnt[1771][1]~q\ $ (VCC))) # (!\led_flash_cnt[1771][0]~q\ & (\led_flash_cnt[1771][1]~q\ & VCC))
-- \led_flash_cnt[1771][1]~51675\ = CARRY((\led_flash_cnt[1771][0]~q\ & \led_flash_cnt[1771][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1771][0]~q\,
	datab => \led_flash_cnt[1771][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1771][1]~51674_combout\,
	cout => \led_flash_cnt[1771][1]~51675\);

-- Location: FF_X46_Y30_N3
\led_flash_cnt[1771][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1771][1]~51674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1771][1]~q\);

-- Location: LCCOMB_X46_Y30_N4
\led_flash_cnt[1771][2]~51676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1771][2]~51676_combout\ = (\led_flash_cnt[1771][2]~q\ & (!\led_flash_cnt[1771][1]~51675\)) # (!\led_flash_cnt[1771][2]~q\ & ((\led_flash_cnt[1771][1]~51675\) # (GND)))
-- \led_flash_cnt[1771][2]~51677\ = CARRY((!\led_flash_cnt[1771][1]~51675\) # (!\led_flash_cnt[1771][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1771][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1771][1]~51675\,
	combout => \led_flash_cnt[1771][2]~51676_combout\,
	cout => \led_flash_cnt[1771][2]~51677\);

-- Location: FF_X46_Y30_N5
\led_flash_cnt[1771][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1771][2]~51676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1771][2]~q\);

-- Location: LCCOMB_X46_Y30_N6
\led_flash_cnt[1771][3]~51678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1771][3]~51678_combout\ = (\led_flash_cnt[1771][3]~q\ & (\led_flash_cnt[1771][2]~51677\ $ (GND))) # (!\led_flash_cnt[1771][3]~q\ & (!\led_flash_cnt[1771][2]~51677\ & VCC))
-- \led_flash_cnt[1771][3]~51679\ = CARRY((\led_flash_cnt[1771][3]~q\ & !\led_flash_cnt[1771][2]~51677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1771][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1771][2]~51677\,
	combout => \led_flash_cnt[1771][3]~51678_combout\,
	cout => \led_flash_cnt[1771][3]~51679\);

-- Location: FF_X46_Y30_N7
\led_flash_cnt[1771][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1771][3]~51678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1771][3]~q\);

-- Location: LCCOMB_X46_Y30_N8
\led_flash_cnt[1771][4]~51680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1771][4]~51680_combout\ = (\led_flash_cnt[1771][4]~q\ & (!\led_flash_cnt[1771][3]~51679\)) # (!\led_flash_cnt[1771][4]~q\ & ((\led_flash_cnt[1771][3]~51679\) # (GND)))
-- \led_flash_cnt[1771][4]~51681\ = CARRY((!\led_flash_cnt[1771][3]~51679\) # (!\led_flash_cnt[1771][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1771][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1771][3]~51679\,
	combout => \led_flash_cnt[1771][4]~51680_combout\,
	cout => \led_flash_cnt[1771][4]~51681\);

-- Location: FF_X46_Y30_N9
\led_flash_cnt[1771][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1771][4]~51680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1771][4]~q\);

-- Location: LCCOMB_X46_Y30_N10
\led_flash_cnt[1771][5]~51682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1771][5]~51682_combout\ = (\led_flash_cnt[1771][5]~q\ & (\led_flash_cnt[1771][4]~51681\ $ (GND))) # (!\led_flash_cnt[1771][5]~q\ & (!\led_flash_cnt[1771][4]~51681\ & VCC))
-- \led_flash_cnt[1771][5]~51683\ = CARRY((\led_flash_cnt[1771][5]~q\ & !\led_flash_cnt[1771][4]~51681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1771][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1771][4]~51681\,
	combout => \led_flash_cnt[1771][5]~51682_combout\,
	cout => \led_flash_cnt[1771][5]~51683\);

-- Location: FF_X46_Y30_N11
\led_flash_cnt[1771][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1771][5]~51682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1771][5]~q\);

-- Location: LCCOMB_X46_Y30_N12
\led_flash_cnt[1771][6]~51684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1771][6]~51684_combout\ = (\led_flash_cnt[1771][6]~q\ & (!\led_flash_cnt[1771][5]~51683\)) # (!\led_flash_cnt[1771][6]~q\ & ((\led_flash_cnt[1771][5]~51683\) # (GND)))
-- \led_flash_cnt[1771][6]~51685\ = CARRY((!\led_flash_cnt[1771][5]~51683\) # (!\led_flash_cnt[1771][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1771][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1771][5]~51683\,
	combout => \led_flash_cnt[1771][6]~51684_combout\,
	cout => \led_flash_cnt[1771][6]~51685\);

-- Location: FF_X46_Y30_N13
\led_flash_cnt[1771][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1771][6]~51684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1771][6]~q\);

-- Location: LCCOMB_X46_Y30_N14
\led_flash_cnt[1771][7]~51686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1771][7]~51686_combout\ = \led_flash_cnt[1771][7]~q\ $ (!\led_flash_cnt[1771][6]~51685\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1771][7]~q\,
	cin => \led_flash_cnt[1771][6]~51685\,
	combout => \led_flash_cnt[1771][7]~51686_combout\);

-- Location: FF_X46_Y30_N15
\led_flash_cnt[1771][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1771][7]~51686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1771][7]~q\);

-- Location: LCCOMB_X46_Y30_N30
\WideAnd1771~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1771~0_combout\ = (\led_flash_cnt[1771][3]~q\ & (\led_flash_cnt[1771][4]~q\ & (\led_flash_cnt[1771][2]~q\ & \led_flash_cnt[1771][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1771][3]~q\,
	datab => \led_flash_cnt[1771][4]~q\,
	datac => \led_flash_cnt[1771][2]~q\,
	datad => \led_flash_cnt[1771][1]~q\,
	combout => \WideAnd1771~0_combout\);

-- Location: LCCOMB_X47_Y30_N4
\WideAnd1771~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1771~1_combout\ = (\led_flash_cnt[1771][6]~q\ & \led_flash_cnt[1771][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1771][6]~q\,
	datad => \led_flash_cnt[1771][5]~q\,
	combout => \WideAnd1771~1_combout\);

-- Location: LCCOMB_X47_Y30_N6
WideAnd1771 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1771~combout\ = (\led_flash_cnt[1771][7]~q\ & (\WideAnd1771~0_combout\ & (\WideAnd1771~1_combout\ & \led_flash_cnt[1771][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1771][7]~q\,
	datab => \WideAnd1771~0_combout\,
	datac => \WideAnd1771~1_combout\,
	datad => \led_flash_cnt[1771][0]~q\,
	combout => \WideAnd1771~combout\);

-- Location: FF_X47_Y30_N7
\led_flash_cnt_ands[1771]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1771~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1771));

-- Location: LCCOMB_X46_Y48_N12
\led_flash_cnt[1769][0]~82409\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1769][0]~82409_combout\ = !\led_flash_cnt[1769][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1769][0]~q\,
	combout => \led_flash_cnt[1769][0]~82409_combout\);

-- Location: FF_X46_Y48_N13
\led_flash_cnt[1769][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1769][0]~82409_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1769][0]~q\);

-- Location: LCCOMB_X46_Y48_N14
\led_flash_cnt[1769][1]~51646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1769][1]~51646_combout\ = (\led_flash_cnt[1769][0]~q\ & (\led_flash_cnt[1769][1]~q\ $ (VCC))) # (!\led_flash_cnt[1769][0]~q\ & (\led_flash_cnt[1769][1]~q\ & VCC))
-- \led_flash_cnt[1769][1]~51647\ = CARRY((\led_flash_cnt[1769][0]~q\ & \led_flash_cnt[1769][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1769][0]~q\,
	datab => \led_flash_cnt[1769][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1769][1]~51646_combout\,
	cout => \led_flash_cnt[1769][1]~51647\);

-- Location: FF_X46_Y48_N15
\led_flash_cnt[1769][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1769][1]~51646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1769][1]~q\);

-- Location: LCCOMB_X46_Y48_N16
\led_flash_cnt[1769][2]~51648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1769][2]~51648_combout\ = (\led_flash_cnt[1769][2]~q\ & (!\led_flash_cnt[1769][1]~51647\)) # (!\led_flash_cnt[1769][2]~q\ & ((\led_flash_cnt[1769][1]~51647\) # (GND)))
-- \led_flash_cnt[1769][2]~51649\ = CARRY((!\led_flash_cnt[1769][1]~51647\) # (!\led_flash_cnt[1769][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1769][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1769][1]~51647\,
	combout => \led_flash_cnt[1769][2]~51648_combout\,
	cout => \led_flash_cnt[1769][2]~51649\);

-- Location: FF_X46_Y48_N17
\led_flash_cnt[1769][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1769][2]~51648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1769][2]~q\);

-- Location: LCCOMB_X46_Y48_N18
\led_flash_cnt[1769][3]~51650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1769][3]~51650_combout\ = (\led_flash_cnt[1769][3]~q\ & (\led_flash_cnt[1769][2]~51649\ $ (GND))) # (!\led_flash_cnt[1769][3]~q\ & (!\led_flash_cnt[1769][2]~51649\ & VCC))
-- \led_flash_cnt[1769][3]~51651\ = CARRY((\led_flash_cnt[1769][3]~q\ & !\led_flash_cnt[1769][2]~51649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1769][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1769][2]~51649\,
	combout => \led_flash_cnt[1769][3]~51650_combout\,
	cout => \led_flash_cnt[1769][3]~51651\);

-- Location: FF_X46_Y48_N19
\led_flash_cnt[1769][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1769][3]~51650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1769][3]~q\);

-- Location: LCCOMB_X46_Y48_N20
\led_flash_cnt[1769][4]~51652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1769][4]~51652_combout\ = (\led_flash_cnt[1769][4]~q\ & (!\led_flash_cnt[1769][3]~51651\)) # (!\led_flash_cnt[1769][4]~q\ & ((\led_flash_cnt[1769][3]~51651\) # (GND)))
-- \led_flash_cnt[1769][4]~51653\ = CARRY((!\led_flash_cnt[1769][3]~51651\) # (!\led_flash_cnt[1769][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1769][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1769][3]~51651\,
	combout => \led_flash_cnt[1769][4]~51652_combout\,
	cout => \led_flash_cnt[1769][4]~51653\);

-- Location: FF_X46_Y48_N21
\led_flash_cnt[1769][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1769][4]~51652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1769][4]~q\);

-- Location: LCCOMB_X46_Y48_N22
\led_flash_cnt[1769][5]~51654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1769][5]~51654_combout\ = (\led_flash_cnt[1769][5]~q\ & (\led_flash_cnt[1769][4]~51653\ $ (GND))) # (!\led_flash_cnt[1769][5]~q\ & (!\led_flash_cnt[1769][4]~51653\ & VCC))
-- \led_flash_cnt[1769][5]~51655\ = CARRY((\led_flash_cnt[1769][5]~q\ & !\led_flash_cnt[1769][4]~51653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1769][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1769][4]~51653\,
	combout => \led_flash_cnt[1769][5]~51654_combout\,
	cout => \led_flash_cnt[1769][5]~51655\);

-- Location: FF_X46_Y48_N23
\led_flash_cnt[1769][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1769][5]~51654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1769][5]~q\);

-- Location: LCCOMB_X46_Y48_N24
\led_flash_cnt[1769][6]~51656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1769][6]~51656_combout\ = (\led_flash_cnt[1769][6]~q\ & (!\led_flash_cnt[1769][5]~51655\)) # (!\led_flash_cnt[1769][6]~q\ & ((\led_flash_cnt[1769][5]~51655\) # (GND)))
-- \led_flash_cnt[1769][6]~51657\ = CARRY((!\led_flash_cnt[1769][5]~51655\) # (!\led_flash_cnt[1769][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1769][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1769][5]~51655\,
	combout => \led_flash_cnt[1769][6]~51656_combout\,
	cout => \led_flash_cnt[1769][6]~51657\);

-- Location: FF_X46_Y48_N25
\led_flash_cnt[1769][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1769][6]~51656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1769][6]~q\);

-- Location: LCCOMB_X46_Y48_N10
\WideAnd1769~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1769~1_combout\ = (\led_flash_cnt[1769][5]~q\ & \led_flash_cnt[1769][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1769][5]~q\,
	datad => \led_flash_cnt[1769][6]~q\,
	combout => \WideAnd1769~1_combout\);

-- Location: LCCOMB_X46_Y48_N28
\WideAnd1769~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1769~0_combout\ = (\led_flash_cnt[1769][4]~q\ & (\led_flash_cnt[1769][3]~q\ & (\led_flash_cnt[1769][1]~q\ & \led_flash_cnt[1769][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1769][4]~q\,
	datab => \led_flash_cnt[1769][3]~q\,
	datac => \led_flash_cnt[1769][1]~q\,
	datad => \led_flash_cnt[1769][2]~q\,
	combout => \WideAnd1769~0_combout\);

-- Location: LCCOMB_X46_Y48_N26
\led_flash_cnt[1769][7]~51658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1769][7]~51658_combout\ = \led_flash_cnt[1769][7]~q\ $ (!\led_flash_cnt[1769][6]~51657\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1769][7]~q\,
	cin => \led_flash_cnt[1769][6]~51657\,
	combout => \led_flash_cnt[1769][7]~51658_combout\);

-- Location: FF_X46_Y48_N27
\led_flash_cnt[1769][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1769][7]~51658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1769][7]~q\);

-- Location: LCCOMB_X46_Y48_N30
WideAnd1769 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1769~combout\ = (\WideAnd1769~1_combout\ & (\WideAnd1769~0_combout\ & (\led_flash_cnt[1769][7]~q\ & \led_flash_cnt[1769][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1769~1_combout\,
	datab => \WideAnd1769~0_combout\,
	datac => \led_flash_cnt[1769][7]~q\,
	datad => \led_flash_cnt[1769][0]~q\,
	combout => \WideAnd1769~combout\);

-- Location: FF_X46_Y48_N31
\led_flash_cnt_ands[1769]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1769~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1769));

-- Location: LCCOMB_X50_Y30_N28
\led_flash_cnt[1768][0]~82408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1768][0]~82408_combout\ = !\led_flash_cnt[1768][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1768][0]~q\,
	combout => \led_flash_cnt[1768][0]~82408_combout\);

-- Location: FF_X50_Y30_N29
\led_flash_cnt[1768][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1768][0]~82408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1768][0]~q\);

-- Location: LCCOMB_X49_Y30_N0
\led_flash_cnt[1768][1]~51632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1768][1]~51632_combout\ = (\led_flash_cnt[1768][0]~q\ & (\led_flash_cnt[1768][1]~q\ $ (VCC))) # (!\led_flash_cnt[1768][0]~q\ & (\led_flash_cnt[1768][1]~q\ & VCC))
-- \led_flash_cnt[1768][1]~51633\ = CARRY((\led_flash_cnt[1768][0]~q\ & \led_flash_cnt[1768][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1768][0]~q\,
	datab => \led_flash_cnt[1768][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1768][1]~51632_combout\,
	cout => \led_flash_cnt[1768][1]~51633\);

-- Location: FF_X49_Y30_N1
\led_flash_cnt[1768][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1768][1]~51632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1768][1]~q\);

-- Location: LCCOMB_X49_Y30_N2
\led_flash_cnt[1768][2]~51634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1768][2]~51634_combout\ = (\led_flash_cnt[1768][2]~q\ & (!\led_flash_cnt[1768][1]~51633\)) # (!\led_flash_cnt[1768][2]~q\ & ((\led_flash_cnt[1768][1]~51633\) # (GND)))
-- \led_flash_cnt[1768][2]~51635\ = CARRY((!\led_flash_cnt[1768][1]~51633\) # (!\led_flash_cnt[1768][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1768][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1768][1]~51633\,
	combout => \led_flash_cnt[1768][2]~51634_combout\,
	cout => \led_flash_cnt[1768][2]~51635\);

-- Location: FF_X49_Y30_N3
\led_flash_cnt[1768][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1768][2]~51634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1768][2]~q\);

-- Location: LCCOMB_X49_Y30_N4
\led_flash_cnt[1768][3]~51636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1768][3]~51636_combout\ = (\led_flash_cnt[1768][3]~q\ & (\led_flash_cnt[1768][2]~51635\ $ (GND))) # (!\led_flash_cnt[1768][3]~q\ & (!\led_flash_cnt[1768][2]~51635\ & VCC))
-- \led_flash_cnt[1768][3]~51637\ = CARRY((\led_flash_cnt[1768][3]~q\ & !\led_flash_cnt[1768][2]~51635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1768][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1768][2]~51635\,
	combout => \led_flash_cnt[1768][3]~51636_combout\,
	cout => \led_flash_cnt[1768][3]~51637\);

-- Location: FF_X49_Y30_N5
\led_flash_cnt[1768][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1768][3]~51636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1768][3]~q\);

-- Location: LCCOMB_X49_Y30_N6
\led_flash_cnt[1768][4]~51638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1768][4]~51638_combout\ = (\led_flash_cnt[1768][4]~q\ & (!\led_flash_cnt[1768][3]~51637\)) # (!\led_flash_cnt[1768][4]~q\ & ((\led_flash_cnt[1768][3]~51637\) # (GND)))
-- \led_flash_cnt[1768][4]~51639\ = CARRY((!\led_flash_cnt[1768][3]~51637\) # (!\led_flash_cnt[1768][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1768][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1768][3]~51637\,
	combout => \led_flash_cnt[1768][4]~51638_combout\,
	cout => \led_flash_cnt[1768][4]~51639\);

-- Location: FF_X49_Y30_N7
\led_flash_cnt[1768][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1768][4]~51638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1768][4]~q\);

-- Location: LCCOMB_X49_Y30_N8
\led_flash_cnt[1768][5]~51640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1768][5]~51640_combout\ = (\led_flash_cnt[1768][5]~q\ & (\led_flash_cnt[1768][4]~51639\ $ (GND))) # (!\led_flash_cnt[1768][5]~q\ & (!\led_flash_cnt[1768][4]~51639\ & VCC))
-- \led_flash_cnt[1768][5]~51641\ = CARRY((\led_flash_cnt[1768][5]~q\ & !\led_flash_cnt[1768][4]~51639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1768][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1768][4]~51639\,
	combout => \led_flash_cnt[1768][5]~51640_combout\,
	cout => \led_flash_cnt[1768][5]~51641\);

-- Location: FF_X49_Y30_N9
\led_flash_cnt[1768][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1768][5]~51640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1768][5]~q\);

-- Location: LCCOMB_X49_Y30_N10
\led_flash_cnt[1768][6]~51642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1768][6]~51642_combout\ = (\led_flash_cnt[1768][6]~q\ & (!\led_flash_cnt[1768][5]~51641\)) # (!\led_flash_cnt[1768][6]~q\ & ((\led_flash_cnt[1768][5]~51641\) # (GND)))
-- \led_flash_cnt[1768][6]~51643\ = CARRY((!\led_flash_cnt[1768][5]~51641\) # (!\led_flash_cnt[1768][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1768][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1768][5]~51641\,
	combout => \led_flash_cnt[1768][6]~51642_combout\,
	cout => \led_flash_cnt[1768][6]~51643\);

-- Location: FF_X49_Y30_N11
\led_flash_cnt[1768][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1768][6]~51642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1768][6]~q\);

-- Location: LCCOMB_X49_Y30_N12
\led_flash_cnt[1768][7]~51644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1768][7]~51644_combout\ = \led_flash_cnt[1768][6]~51643\ $ (!\led_flash_cnt[1768][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1768][7]~q\,
	cin => \led_flash_cnt[1768][6]~51643\,
	combout => \led_flash_cnt[1768][7]~51644_combout\);

-- Location: FF_X49_Y30_N13
\led_flash_cnt[1768][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1768][7]~51644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1768][7]~q\);

-- Location: LCCOMB_X50_Y30_N18
\WideAnd1768~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1768~0_combout\ = (\led_flash_cnt[1768][1]~q\ & (\led_flash_cnt[1768][4]~q\ & (\led_flash_cnt[1768][3]~q\ & \led_flash_cnt[1768][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1768][1]~q\,
	datab => \led_flash_cnt[1768][4]~q\,
	datac => \led_flash_cnt[1768][3]~q\,
	datad => \led_flash_cnt[1768][2]~q\,
	combout => \WideAnd1768~0_combout\);

-- Location: LCCOMB_X50_Y30_N14
\WideAnd1768~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1768~1_combout\ = (\led_flash_cnt[1768][6]~q\ & \led_flash_cnt[1768][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1768][6]~q\,
	datad => \led_flash_cnt[1768][5]~q\,
	combout => \WideAnd1768~1_combout\);

-- Location: LCCOMB_X50_Y30_N20
WideAnd1768 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1768~combout\ = (\led_flash_cnt[1768][7]~q\ & (\WideAnd1768~0_combout\ & (\WideAnd1768~1_combout\ & \led_flash_cnt[1768][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1768][7]~q\,
	datab => \WideAnd1768~0_combout\,
	datac => \WideAnd1768~1_combout\,
	datad => \led_flash_cnt[1768][0]~q\,
	combout => \WideAnd1768~combout\);

-- Location: FF_X50_Y30_N21
\led_flash_cnt_ands[1768]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1768~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1768));

-- Location: LCCOMB_X50_Y30_N30
\WideAnd4061~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4061~0_combout\ = (led_flash_cnt_ands(1770) & (led_flash_cnt_ands(1771) & (led_flash_cnt_ands(1769) & led_flash_cnt_ands(1768))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1770),
	datab => led_flash_cnt_ands(1771),
	datac => led_flash_cnt_ands(1769),
	datad => led_flash_cnt_ands(1768),
	combout => \WideAnd4061~0_combout\);

-- Location: LCCOMB_X63_Y29_N30
\led_flash_cnt[1775][0]~82415\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1775][0]~82415_combout\ = !\led_flash_cnt[1775][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1775][0]~q\,
	combout => \led_flash_cnt[1775][0]~82415_combout\);

-- Location: FF_X63_Y29_N31
\led_flash_cnt[1775][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1775][0]~82415_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1775][0]~q\);

-- Location: LCCOMB_X63_Y28_N14
\led_flash_cnt[1775][1]~51730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1775][1]~51730_combout\ = (\led_flash_cnt[1775][0]~q\ & (\led_flash_cnt[1775][1]~q\ $ (VCC))) # (!\led_flash_cnt[1775][0]~q\ & (\led_flash_cnt[1775][1]~q\ & VCC))
-- \led_flash_cnt[1775][1]~51731\ = CARRY((\led_flash_cnt[1775][0]~q\ & \led_flash_cnt[1775][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1775][0]~q\,
	datab => \led_flash_cnt[1775][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1775][1]~51730_combout\,
	cout => \led_flash_cnt[1775][1]~51731\);

-- Location: FF_X63_Y28_N15
\led_flash_cnt[1775][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1775][1]~51730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1775][1]~q\);

-- Location: LCCOMB_X63_Y28_N16
\led_flash_cnt[1775][2]~51732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1775][2]~51732_combout\ = (\led_flash_cnt[1775][2]~q\ & (!\led_flash_cnt[1775][1]~51731\)) # (!\led_flash_cnt[1775][2]~q\ & ((\led_flash_cnt[1775][1]~51731\) # (GND)))
-- \led_flash_cnt[1775][2]~51733\ = CARRY((!\led_flash_cnt[1775][1]~51731\) # (!\led_flash_cnt[1775][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1775][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1775][1]~51731\,
	combout => \led_flash_cnt[1775][2]~51732_combout\,
	cout => \led_flash_cnt[1775][2]~51733\);

-- Location: FF_X63_Y28_N17
\led_flash_cnt[1775][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1775][2]~51732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1775][2]~q\);

-- Location: LCCOMB_X63_Y28_N18
\led_flash_cnt[1775][3]~51734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1775][3]~51734_combout\ = (\led_flash_cnt[1775][3]~q\ & (\led_flash_cnt[1775][2]~51733\ $ (GND))) # (!\led_flash_cnt[1775][3]~q\ & (!\led_flash_cnt[1775][2]~51733\ & VCC))
-- \led_flash_cnt[1775][3]~51735\ = CARRY((\led_flash_cnt[1775][3]~q\ & !\led_flash_cnt[1775][2]~51733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1775][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1775][2]~51733\,
	combout => \led_flash_cnt[1775][3]~51734_combout\,
	cout => \led_flash_cnt[1775][3]~51735\);

-- Location: FF_X63_Y28_N19
\led_flash_cnt[1775][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1775][3]~51734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1775][3]~q\);

-- Location: LCCOMB_X63_Y28_N20
\led_flash_cnt[1775][4]~51736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1775][4]~51736_combout\ = (\led_flash_cnt[1775][4]~q\ & (!\led_flash_cnt[1775][3]~51735\)) # (!\led_flash_cnt[1775][4]~q\ & ((\led_flash_cnt[1775][3]~51735\) # (GND)))
-- \led_flash_cnt[1775][4]~51737\ = CARRY((!\led_flash_cnt[1775][3]~51735\) # (!\led_flash_cnt[1775][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1775][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1775][3]~51735\,
	combout => \led_flash_cnt[1775][4]~51736_combout\,
	cout => \led_flash_cnt[1775][4]~51737\);

-- Location: FF_X63_Y28_N21
\led_flash_cnt[1775][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1775][4]~51736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1775][4]~q\);

-- Location: LCCOMB_X63_Y28_N30
\WideAnd1775~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1775~0_combout\ = (\led_flash_cnt[1775][4]~q\ & (\led_flash_cnt[1775][2]~q\ & (\led_flash_cnt[1775][1]~q\ & \led_flash_cnt[1775][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1775][4]~q\,
	datab => \led_flash_cnt[1775][2]~q\,
	datac => \led_flash_cnt[1775][1]~q\,
	datad => \led_flash_cnt[1775][3]~q\,
	combout => \WideAnd1775~0_combout\);

-- Location: LCCOMB_X63_Y28_N22
\led_flash_cnt[1775][5]~51738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1775][5]~51738_combout\ = (\led_flash_cnt[1775][5]~q\ & (\led_flash_cnt[1775][4]~51737\ $ (GND))) # (!\led_flash_cnt[1775][5]~q\ & (!\led_flash_cnt[1775][4]~51737\ & VCC))
-- \led_flash_cnt[1775][5]~51739\ = CARRY((\led_flash_cnt[1775][5]~q\ & !\led_flash_cnt[1775][4]~51737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1775][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1775][4]~51737\,
	combout => \led_flash_cnt[1775][5]~51738_combout\,
	cout => \led_flash_cnt[1775][5]~51739\);

-- Location: FF_X63_Y28_N23
\led_flash_cnt[1775][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1775][5]~51738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1775][5]~q\);

-- Location: LCCOMB_X63_Y28_N24
\led_flash_cnt[1775][6]~51740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1775][6]~51740_combout\ = (\led_flash_cnt[1775][6]~q\ & (!\led_flash_cnt[1775][5]~51739\)) # (!\led_flash_cnt[1775][6]~q\ & ((\led_flash_cnt[1775][5]~51739\) # (GND)))
-- \led_flash_cnt[1775][6]~51741\ = CARRY((!\led_flash_cnt[1775][5]~51739\) # (!\led_flash_cnt[1775][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1775][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1775][5]~51739\,
	combout => \led_flash_cnt[1775][6]~51740_combout\,
	cout => \led_flash_cnt[1775][6]~51741\);

-- Location: FF_X63_Y28_N25
\led_flash_cnt[1775][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1775][6]~51740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1775][6]~q\);

-- Location: LCCOMB_X63_Y28_N26
\led_flash_cnt[1775][7]~51742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1775][7]~51742_combout\ = \led_flash_cnt[1775][7]~q\ $ (!\led_flash_cnt[1775][6]~51741\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1775][7]~q\,
	cin => \led_flash_cnt[1775][6]~51741\,
	combout => \led_flash_cnt[1775][7]~51742_combout\);

-- Location: FF_X63_Y28_N27
\led_flash_cnt[1775][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1775][7]~51742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1775][7]~q\);

-- Location: LCCOMB_X63_Y29_N24
\WideAnd1775~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1775~1_combout\ = (\led_flash_cnt[1775][6]~q\ & \led_flash_cnt[1775][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1775][6]~q\,
	datad => \led_flash_cnt[1775][5]~q\,
	combout => \WideAnd1775~1_combout\);

-- Location: LCCOMB_X63_Y29_N28
WideAnd1775 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1775~combout\ = (\led_flash_cnt[1775][0]~q\ & (\WideAnd1775~0_combout\ & (\led_flash_cnt[1775][7]~q\ & \WideAnd1775~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1775][0]~q\,
	datab => \WideAnd1775~0_combout\,
	datac => \led_flash_cnt[1775][7]~q\,
	datad => \WideAnd1775~1_combout\,
	combout => \WideAnd1775~combout\);

-- Location: FF_X63_Y29_N29
\led_flash_cnt_ands[1775]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1775~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1775));

-- Location: LCCOMB_X55_Y28_N6
\led_flash_cnt[1774][0]~82414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1774][0]~82414_combout\ = !\led_flash_cnt[1774][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1774][0]~q\,
	combout => \led_flash_cnt[1774][0]~82414_combout\);

-- Location: FF_X55_Y28_N7
\led_flash_cnt[1774][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1774][0]~82414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1774][0]~q\);

-- Location: LCCOMB_X56_Y28_N18
\led_flash_cnt[1774][1]~51716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1774][1]~51716_combout\ = (\led_flash_cnt[1774][0]~q\ & (\led_flash_cnt[1774][1]~q\ $ (VCC))) # (!\led_flash_cnt[1774][0]~q\ & (\led_flash_cnt[1774][1]~q\ & VCC))
-- \led_flash_cnt[1774][1]~51717\ = CARRY((\led_flash_cnt[1774][0]~q\ & \led_flash_cnt[1774][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1774][0]~q\,
	datab => \led_flash_cnt[1774][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1774][1]~51716_combout\,
	cout => \led_flash_cnt[1774][1]~51717\);

-- Location: FF_X56_Y28_N19
\led_flash_cnt[1774][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1774][1]~51716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1774][1]~q\);

-- Location: LCCOMB_X56_Y28_N20
\led_flash_cnt[1774][2]~51718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1774][2]~51718_combout\ = (\led_flash_cnt[1774][2]~q\ & (!\led_flash_cnt[1774][1]~51717\)) # (!\led_flash_cnt[1774][2]~q\ & ((\led_flash_cnt[1774][1]~51717\) # (GND)))
-- \led_flash_cnt[1774][2]~51719\ = CARRY((!\led_flash_cnt[1774][1]~51717\) # (!\led_flash_cnt[1774][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1774][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1774][1]~51717\,
	combout => \led_flash_cnt[1774][2]~51718_combout\,
	cout => \led_flash_cnt[1774][2]~51719\);

-- Location: FF_X56_Y28_N21
\led_flash_cnt[1774][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1774][2]~51718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1774][2]~q\);

-- Location: LCCOMB_X56_Y28_N22
\led_flash_cnt[1774][3]~51720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1774][3]~51720_combout\ = (\led_flash_cnt[1774][3]~q\ & (\led_flash_cnt[1774][2]~51719\ $ (GND))) # (!\led_flash_cnt[1774][3]~q\ & (!\led_flash_cnt[1774][2]~51719\ & VCC))
-- \led_flash_cnt[1774][3]~51721\ = CARRY((\led_flash_cnt[1774][3]~q\ & !\led_flash_cnt[1774][2]~51719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1774][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1774][2]~51719\,
	combout => \led_flash_cnt[1774][3]~51720_combout\,
	cout => \led_flash_cnt[1774][3]~51721\);

-- Location: FF_X56_Y28_N23
\led_flash_cnt[1774][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1774][3]~51720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1774][3]~q\);

-- Location: LCCOMB_X56_Y28_N24
\led_flash_cnt[1774][4]~51722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1774][4]~51722_combout\ = (\led_flash_cnt[1774][4]~q\ & (!\led_flash_cnt[1774][3]~51721\)) # (!\led_flash_cnt[1774][4]~q\ & ((\led_flash_cnt[1774][3]~51721\) # (GND)))
-- \led_flash_cnt[1774][4]~51723\ = CARRY((!\led_flash_cnt[1774][3]~51721\) # (!\led_flash_cnt[1774][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1774][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1774][3]~51721\,
	combout => \led_flash_cnt[1774][4]~51722_combout\,
	cout => \led_flash_cnt[1774][4]~51723\);

-- Location: FF_X56_Y28_N25
\led_flash_cnt[1774][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1774][4]~51722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1774][4]~q\);

-- Location: LCCOMB_X56_Y28_N26
\led_flash_cnt[1774][5]~51724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1774][5]~51724_combout\ = (\led_flash_cnt[1774][5]~q\ & (\led_flash_cnt[1774][4]~51723\ $ (GND))) # (!\led_flash_cnt[1774][5]~q\ & (!\led_flash_cnt[1774][4]~51723\ & VCC))
-- \led_flash_cnt[1774][5]~51725\ = CARRY((\led_flash_cnt[1774][5]~q\ & !\led_flash_cnt[1774][4]~51723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1774][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1774][4]~51723\,
	combout => \led_flash_cnt[1774][5]~51724_combout\,
	cout => \led_flash_cnt[1774][5]~51725\);

-- Location: FF_X56_Y28_N27
\led_flash_cnt[1774][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1774][5]~51724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1774][5]~q\);

-- Location: LCCOMB_X56_Y28_N28
\led_flash_cnt[1774][6]~51726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1774][6]~51726_combout\ = (\led_flash_cnt[1774][6]~q\ & (!\led_flash_cnt[1774][5]~51725\)) # (!\led_flash_cnt[1774][6]~q\ & ((\led_flash_cnt[1774][5]~51725\) # (GND)))
-- \led_flash_cnt[1774][6]~51727\ = CARRY((!\led_flash_cnt[1774][5]~51725\) # (!\led_flash_cnt[1774][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1774][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1774][5]~51725\,
	combout => \led_flash_cnt[1774][6]~51726_combout\,
	cout => \led_flash_cnt[1774][6]~51727\);

-- Location: FF_X56_Y28_N29
\led_flash_cnt[1774][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1774][6]~51726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1774][6]~q\);

-- Location: LCCOMB_X55_Y28_N18
\WideAnd1774~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1774~1_combout\ = (\led_flash_cnt[1774][6]~q\ & \led_flash_cnt[1774][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1774][6]~q\,
	datad => \led_flash_cnt[1774][5]~q\,
	combout => \WideAnd1774~1_combout\);

-- Location: LCCOMB_X56_Y28_N30
\led_flash_cnt[1774][7]~51728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1774][7]~51728_combout\ = \led_flash_cnt[1774][7]~q\ $ (!\led_flash_cnt[1774][6]~51727\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1774][7]~q\,
	cin => \led_flash_cnt[1774][6]~51727\,
	combout => \led_flash_cnt[1774][7]~51728_combout\);

-- Location: FF_X56_Y28_N31
\led_flash_cnt[1774][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1774][7]~51728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1774][7]~q\);

-- Location: LCCOMB_X56_Y28_N16
\WideAnd1774~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1774~0_combout\ = (\led_flash_cnt[1774][4]~q\ & (\led_flash_cnt[1774][2]~q\ & (\led_flash_cnt[1774][3]~q\ & \led_flash_cnt[1774][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1774][4]~q\,
	datab => \led_flash_cnt[1774][2]~q\,
	datac => \led_flash_cnt[1774][3]~q\,
	datad => \led_flash_cnt[1774][1]~q\,
	combout => \WideAnd1774~0_combout\);

-- Location: LCCOMB_X55_Y28_N0
WideAnd1774 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1774~combout\ = (\led_flash_cnt[1774][0]~q\ & (\WideAnd1774~1_combout\ & (\led_flash_cnt[1774][7]~q\ & \WideAnd1774~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1774][0]~q\,
	datab => \WideAnd1774~1_combout\,
	datac => \led_flash_cnt[1774][7]~q\,
	datad => \WideAnd1774~0_combout\,
	combout => \WideAnd1774~combout\);

-- Location: FF_X55_Y28_N1
\led_flash_cnt_ands[1774]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1774~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1774));

-- Location: LCCOMB_X52_Y29_N22
WideAnd4061 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4061~combout\ = (\WideAnd4061~1_combout\ & (\WideAnd4061~0_combout\ & (led_flash_cnt_ands(1775) & led_flash_cnt_ands(1774))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4061~1_combout\,
	datab => \WideAnd4061~0_combout\,
	datac => led_flash_cnt_ands(1775),
	datad => led_flash_cnt_ands(1774),
	combout => \WideAnd4061~combout\);

-- Location: FF_X52_Y29_N23
\led_flash_cnt_ands_1[221]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4061~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(221));

-- Location: LCCOMB_X40_Y22_N22
\led_flash_cnt[1760][0]~82400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1760][0]~82400_combout\ = !\led_flash_cnt[1760][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1760][0]~q\,
	combout => \led_flash_cnt[1760][0]~82400_combout\);

-- Location: FF_X40_Y22_N23
\led_flash_cnt[1760][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1760][0]~82400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1760][0]~q\);

-- Location: LCCOMB_X40_Y22_N8
\led_flash_cnt[1760][1]~51520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1760][1]~51520_combout\ = (\led_flash_cnt[1760][0]~q\ & (\led_flash_cnt[1760][1]~q\ $ (VCC))) # (!\led_flash_cnt[1760][0]~q\ & (\led_flash_cnt[1760][1]~q\ & VCC))
-- \led_flash_cnt[1760][1]~51521\ = CARRY((\led_flash_cnt[1760][0]~q\ & \led_flash_cnt[1760][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1760][0]~q\,
	datab => \led_flash_cnt[1760][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1760][1]~51520_combout\,
	cout => \led_flash_cnt[1760][1]~51521\);

-- Location: FF_X40_Y22_N9
\led_flash_cnt[1760][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1760][1]~51520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1760][1]~q\);

-- Location: LCCOMB_X40_Y22_N10
\led_flash_cnt[1760][2]~51522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1760][2]~51522_combout\ = (\led_flash_cnt[1760][2]~q\ & (!\led_flash_cnt[1760][1]~51521\)) # (!\led_flash_cnt[1760][2]~q\ & ((\led_flash_cnt[1760][1]~51521\) # (GND)))
-- \led_flash_cnt[1760][2]~51523\ = CARRY((!\led_flash_cnt[1760][1]~51521\) # (!\led_flash_cnt[1760][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1760][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1760][1]~51521\,
	combout => \led_flash_cnt[1760][2]~51522_combout\,
	cout => \led_flash_cnt[1760][2]~51523\);

-- Location: FF_X40_Y22_N11
\led_flash_cnt[1760][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1760][2]~51522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1760][2]~q\);

-- Location: LCCOMB_X40_Y22_N12
\led_flash_cnt[1760][3]~51524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1760][3]~51524_combout\ = (\led_flash_cnt[1760][3]~q\ & (\led_flash_cnt[1760][2]~51523\ $ (GND))) # (!\led_flash_cnt[1760][3]~q\ & (!\led_flash_cnt[1760][2]~51523\ & VCC))
-- \led_flash_cnt[1760][3]~51525\ = CARRY((\led_flash_cnt[1760][3]~q\ & !\led_flash_cnt[1760][2]~51523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1760][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1760][2]~51523\,
	combout => \led_flash_cnt[1760][3]~51524_combout\,
	cout => \led_flash_cnt[1760][3]~51525\);

-- Location: FF_X40_Y22_N13
\led_flash_cnt[1760][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1760][3]~51524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1760][3]~q\);

-- Location: LCCOMB_X40_Y22_N14
\led_flash_cnt[1760][4]~51526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1760][4]~51526_combout\ = (\led_flash_cnt[1760][4]~q\ & (!\led_flash_cnt[1760][3]~51525\)) # (!\led_flash_cnt[1760][4]~q\ & ((\led_flash_cnt[1760][3]~51525\) # (GND)))
-- \led_flash_cnt[1760][4]~51527\ = CARRY((!\led_flash_cnt[1760][3]~51525\) # (!\led_flash_cnt[1760][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1760][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1760][3]~51525\,
	combout => \led_flash_cnt[1760][4]~51526_combout\,
	cout => \led_flash_cnt[1760][4]~51527\);

-- Location: FF_X40_Y22_N15
\led_flash_cnt[1760][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1760][4]~51526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1760][4]~q\);

-- Location: LCCOMB_X40_Y22_N16
\led_flash_cnt[1760][5]~51528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1760][5]~51528_combout\ = (\led_flash_cnt[1760][5]~q\ & (\led_flash_cnt[1760][4]~51527\ $ (GND))) # (!\led_flash_cnt[1760][5]~q\ & (!\led_flash_cnt[1760][4]~51527\ & VCC))
-- \led_flash_cnt[1760][5]~51529\ = CARRY((\led_flash_cnt[1760][5]~q\ & !\led_flash_cnt[1760][4]~51527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1760][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1760][4]~51527\,
	combout => \led_flash_cnt[1760][5]~51528_combout\,
	cout => \led_flash_cnt[1760][5]~51529\);

-- Location: FF_X40_Y22_N17
\led_flash_cnt[1760][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1760][5]~51528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1760][5]~q\);

-- Location: LCCOMB_X40_Y22_N18
\led_flash_cnt[1760][6]~51530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1760][6]~51530_combout\ = (\led_flash_cnt[1760][6]~q\ & (!\led_flash_cnt[1760][5]~51529\)) # (!\led_flash_cnt[1760][6]~q\ & ((\led_flash_cnt[1760][5]~51529\) # (GND)))
-- \led_flash_cnt[1760][6]~51531\ = CARRY((!\led_flash_cnt[1760][5]~51529\) # (!\led_flash_cnt[1760][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1760][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1760][5]~51529\,
	combout => \led_flash_cnt[1760][6]~51530_combout\,
	cout => \led_flash_cnt[1760][6]~51531\);

-- Location: FF_X40_Y22_N19
\led_flash_cnt[1760][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1760][6]~51530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1760][6]~q\);

-- Location: LCCOMB_X40_Y22_N20
\led_flash_cnt[1760][7]~51532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1760][7]~51532_combout\ = \led_flash_cnt[1760][6]~51531\ $ (!\led_flash_cnt[1760][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1760][7]~q\,
	cin => \led_flash_cnt[1760][6]~51531\,
	combout => \led_flash_cnt[1760][7]~51532_combout\);

-- Location: FF_X40_Y22_N21
\led_flash_cnt[1760][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1760][7]~51532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1760][7]~q\);

-- Location: LCCOMB_X40_Y22_N4
\WideAnd1760~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1760~1_combout\ = (\led_flash_cnt[1760][5]~q\ & \led_flash_cnt[1760][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1760][5]~q\,
	datac => \led_flash_cnt[1760][6]~q\,
	combout => \WideAnd1760~1_combout\);

-- Location: LCCOMB_X40_Y22_N24
\WideAnd1760~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1760~0_combout\ = (\led_flash_cnt[1760][3]~q\ & (\led_flash_cnt[1760][1]~q\ & (\led_flash_cnt[1760][4]~q\ & \led_flash_cnt[1760][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1760][3]~q\,
	datab => \led_flash_cnt[1760][1]~q\,
	datac => \led_flash_cnt[1760][4]~q\,
	datad => \led_flash_cnt[1760][2]~q\,
	combout => \WideAnd1760~0_combout\);

-- Location: LCCOMB_X40_Y22_N30
WideAnd1760 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1760~combout\ = (\led_flash_cnt[1760][0]~q\ & (\led_flash_cnt[1760][7]~q\ & (\WideAnd1760~1_combout\ & \WideAnd1760~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1760][0]~q\,
	datab => \led_flash_cnt[1760][7]~q\,
	datac => \WideAnd1760~1_combout\,
	datad => \WideAnd1760~0_combout\,
	combout => \WideAnd1760~combout\);

-- Location: FF_X40_Y22_N31
\led_flash_cnt_ands[1760]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1760~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1760));

-- Location: LCCOMB_X41_Y16_N2
\led_flash_cnt[1762][0]~82402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1762][0]~82402_combout\ = !\led_flash_cnt[1762][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1762][0]~q\,
	combout => \led_flash_cnt[1762][0]~82402_combout\);

-- Location: FF_X41_Y16_N3
\led_flash_cnt[1762][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1762][0]~82402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1762][0]~q\);

-- Location: LCCOMB_X37_Y16_N2
\led_flash_cnt[1762][1]~51548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1762][1]~51548_combout\ = (\led_flash_cnt[1762][0]~q\ & (\led_flash_cnt[1762][1]~q\ $ (VCC))) # (!\led_flash_cnt[1762][0]~q\ & (\led_flash_cnt[1762][1]~q\ & VCC))
-- \led_flash_cnt[1762][1]~51549\ = CARRY((\led_flash_cnt[1762][0]~q\ & \led_flash_cnt[1762][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1762][0]~q\,
	datab => \led_flash_cnt[1762][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1762][1]~51548_combout\,
	cout => \led_flash_cnt[1762][1]~51549\);

-- Location: FF_X37_Y16_N3
\led_flash_cnt[1762][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1762][1]~51548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1762][1]~q\);

-- Location: LCCOMB_X37_Y16_N4
\led_flash_cnt[1762][2]~51550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1762][2]~51550_combout\ = (\led_flash_cnt[1762][2]~q\ & (!\led_flash_cnt[1762][1]~51549\)) # (!\led_flash_cnt[1762][2]~q\ & ((\led_flash_cnt[1762][1]~51549\) # (GND)))
-- \led_flash_cnt[1762][2]~51551\ = CARRY((!\led_flash_cnt[1762][1]~51549\) # (!\led_flash_cnt[1762][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1762][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1762][1]~51549\,
	combout => \led_flash_cnt[1762][2]~51550_combout\,
	cout => \led_flash_cnt[1762][2]~51551\);

-- Location: FF_X37_Y16_N5
\led_flash_cnt[1762][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1762][2]~51550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1762][2]~q\);

-- Location: LCCOMB_X37_Y16_N6
\led_flash_cnt[1762][3]~51552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1762][3]~51552_combout\ = (\led_flash_cnt[1762][3]~q\ & (\led_flash_cnt[1762][2]~51551\ $ (GND))) # (!\led_flash_cnt[1762][3]~q\ & (!\led_flash_cnt[1762][2]~51551\ & VCC))
-- \led_flash_cnt[1762][3]~51553\ = CARRY((\led_flash_cnt[1762][3]~q\ & !\led_flash_cnt[1762][2]~51551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1762][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1762][2]~51551\,
	combout => \led_flash_cnt[1762][3]~51552_combout\,
	cout => \led_flash_cnt[1762][3]~51553\);

-- Location: FF_X37_Y16_N7
\led_flash_cnt[1762][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1762][3]~51552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1762][3]~q\);

-- Location: LCCOMB_X37_Y16_N8
\led_flash_cnt[1762][4]~51554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1762][4]~51554_combout\ = (\led_flash_cnt[1762][4]~q\ & (!\led_flash_cnt[1762][3]~51553\)) # (!\led_flash_cnt[1762][4]~q\ & ((\led_flash_cnt[1762][3]~51553\) # (GND)))
-- \led_flash_cnt[1762][4]~51555\ = CARRY((!\led_flash_cnt[1762][3]~51553\) # (!\led_flash_cnt[1762][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1762][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1762][3]~51553\,
	combout => \led_flash_cnt[1762][4]~51554_combout\,
	cout => \led_flash_cnt[1762][4]~51555\);

-- Location: FF_X37_Y16_N9
\led_flash_cnt[1762][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1762][4]~51554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1762][4]~q\);

-- Location: LCCOMB_X37_Y16_N10
\led_flash_cnt[1762][5]~51556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1762][5]~51556_combout\ = (\led_flash_cnt[1762][5]~q\ & (\led_flash_cnt[1762][4]~51555\ $ (GND))) # (!\led_flash_cnt[1762][5]~q\ & (!\led_flash_cnt[1762][4]~51555\ & VCC))
-- \led_flash_cnt[1762][5]~51557\ = CARRY((\led_flash_cnt[1762][5]~q\ & !\led_flash_cnt[1762][4]~51555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1762][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1762][4]~51555\,
	combout => \led_flash_cnt[1762][5]~51556_combout\,
	cout => \led_flash_cnt[1762][5]~51557\);

-- Location: FF_X37_Y16_N11
\led_flash_cnt[1762][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1762][5]~51556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1762][5]~q\);

-- Location: LCCOMB_X37_Y16_N12
\led_flash_cnt[1762][6]~51558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1762][6]~51558_combout\ = (\led_flash_cnt[1762][6]~q\ & (!\led_flash_cnt[1762][5]~51557\)) # (!\led_flash_cnt[1762][6]~q\ & ((\led_flash_cnt[1762][5]~51557\) # (GND)))
-- \led_flash_cnt[1762][6]~51559\ = CARRY((!\led_flash_cnt[1762][5]~51557\) # (!\led_flash_cnt[1762][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1762][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1762][5]~51557\,
	combout => \led_flash_cnt[1762][6]~51558_combout\,
	cout => \led_flash_cnt[1762][6]~51559\);

-- Location: FF_X37_Y16_N13
\led_flash_cnt[1762][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1762][6]~51558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1762][6]~q\);

-- Location: LCCOMB_X37_Y16_N14
\led_flash_cnt[1762][7]~51560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1762][7]~51560_combout\ = \led_flash_cnt[1762][7]~q\ $ (!\led_flash_cnt[1762][6]~51559\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1762][7]~q\,
	cin => \led_flash_cnt[1762][6]~51559\,
	combout => \led_flash_cnt[1762][7]~51560_combout\);

-- Location: FF_X37_Y16_N15
\led_flash_cnt[1762][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1762][7]~51560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1762][7]~q\);

-- Location: LCCOMB_X37_Y16_N16
\WideAnd1762~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1762~0_combout\ = (\led_flash_cnt[1762][3]~q\ & (\led_flash_cnt[1762][4]~q\ & (\led_flash_cnt[1762][2]~q\ & \led_flash_cnt[1762][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1762][3]~q\,
	datab => \led_flash_cnt[1762][4]~q\,
	datac => \led_flash_cnt[1762][2]~q\,
	datad => \led_flash_cnt[1762][1]~q\,
	combout => \WideAnd1762~0_combout\);

-- Location: LCCOMB_X38_Y16_N10
\WideAnd1762~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1762~1_combout\ = (\led_flash_cnt[1762][6]~q\ & \led_flash_cnt[1762][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1762][6]~q\,
	datad => \led_flash_cnt[1762][5]~q\,
	combout => \WideAnd1762~1_combout\);

-- Location: LCCOMB_X38_Y16_N2
WideAnd1762 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1762~combout\ = (\led_flash_cnt[1762][7]~q\ & (\led_flash_cnt[1762][0]~q\ & (\WideAnd1762~0_combout\ & \WideAnd1762~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1762][7]~q\,
	datab => \led_flash_cnt[1762][0]~q\,
	datac => \WideAnd1762~0_combout\,
	datad => \WideAnd1762~1_combout\,
	combout => \WideAnd1762~combout\);

-- Location: FF_X38_Y16_N3
\led_flash_cnt_ands[1762]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1762~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1762));

-- Location: LCCOMB_X38_Y14_N20
\led_flash_cnt[1761][0]~82401\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1761][0]~82401_combout\ = !\led_flash_cnt[1761][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1761][0]~q\,
	combout => \led_flash_cnt[1761][0]~82401_combout\);

-- Location: FF_X38_Y14_N21
\led_flash_cnt[1761][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1761][0]~82401_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1761][0]~q\);

-- Location: LCCOMB_X38_Y14_N2
\led_flash_cnt[1761][1]~51534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1761][1]~51534_combout\ = (\led_flash_cnt[1761][1]~q\ & (\led_flash_cnt[1761][0]~q\ $ (VCC))) # (!\led_flash_cnt[1761][1]~q\ & (\led_flash_cnt[1761][0]~q\ & VCC))
-- \led_flash_cnt[1761][1]~51535\ = CARRY((\led_flash_cnt[1761][1]~q\ & \led_flash_cnt[1761][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1761][1]~q\,
	datab => \led_flash_cnt[1761][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1761][1]~51534_combout\,
	cout => \led_flash_cnt[1761][1]~51535\);

-- Location: FF_X38_Y14_N3
\led_flash_cnt[1761][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1761][1]~51534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1761][1]~q\);

-- Location: LCCOMB_X38_Y14_N4
\led_flash_cnt[1761][2]~51536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1761][2]~51536_combout\ = (\led_flash_cnt[1761][2]~q\ & (!\led_flash_cnt[1761][1]~51535\)) # (!\led_flash_cnt[1761][2]~q\ & ((\led_flash_cnt[1761][1]~51535\) # (GND)))
-- \led_flash_cnt[1761][2]~51537\ = CARRY((!\led_flash_cnt[1761][1]~51535\) # (!\led_flash_cnt[1761][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1761][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1761][1]~51535\,
	combout => \led_flash_cnt[1761][2]~51536_combout\,
	cout => \led_flash_cnt[1761][2]~51537\);

-- Location: FF_X38_Y14_N5
\led_flash_cnt[1761][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1761][2]~51536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1761][2]~q\);

-- Location: LCCOMB_X38_Y14_N6
\led_flash_cnt[1761][3]~51538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1761][3]~51538_combout\ = (\led_flash_cnt[1761][3]~q\ & (\led_flash_cnt[1761][2]~51537\ $ (GND))) # (!\led_flash_cnt[1761][3]~q\ & (!\led_flash_cnt[1761][2]~51537\ & VCC))
-- \led_flash_cnt[1761][3]~51539\ = CARRY((\led_flash_cnt[1761][3]~q\ & !\led_flash_cnt[1761][2]~51537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1761][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1761][2]~51537\,
	combout => \led_flash_cnt[1761][3]~51538_combout\,
	cout => \led_flash_cnt[1761][3]~51539\);

-- Location: FF_X38_Y14_N7
\led_flash_cnt[1761][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1761][3]~51538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1761][3]~q\);

-- Location: LCCOMB_X38_Y14_N8
\led_flash_cnt[1761][4]~51540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1761][4]~51540_combout\ = (\led_flash_cnt[1761][4]~q\ & (!\led_flash_cnt[1761][3]~51539\)) # (!\led_flash_cnt[1761][4]~q\ & ((\led_flash_cnt[1761][3]~51539\) # (GND)))
-- \led_flash_cnt[1761][4]~51541\ = CARRY((!\led_flash_cnt[1761][3]~51539\) # (!\led_flash_cnt[1761][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1761][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1761][3]~51539\,
	combout => \led_flash_cnt[1761][4]~51540_combout\,
	cout => \led_flash_cnt[1761][4]~51541\);

-- Location: FF_X38_Y14_N9
\led_flash_cnt[1761][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1761][4]~51540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1761][4]~q\);

-- Location: LCCOMB_X38_Y14_N22
\WideAnd1761~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1761~0_combout\ = (\led_flash_cnt[1761][1]~q\ & (\led_flash_cnt[1761][4]~q\ & (\led_flash_cnt[1761][2]~q\ & \led_flash_cnt[1761][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1761][1]~q\,
	datab => \led_flash_cnt[1761][4]~q\,
	datac => \led_flash_cnt[1761][2]~q\,
	datad => \led_flash_cnt[1761][3]~q\,
	combout => \WideAnd1761~0_combout\);

-- Location: LCCOMB_X38_Y14_N10
\led_flash_cnt[1761][5]~51542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1761][5]~51542_combout\ = (\led_flash_cnt[1761][5]~q\ & (\led_flash_cnt[1761][4]~51541\ $ (GND))) # (!\led_flash_cnt[1761][5]~q\ & (!\led_flash_cnt[1761][4]~51541\ & VCC))
-- \led_flash_cnt[1761][5]~51543\ = CARRY((\led_flash_cnt[1761][5]~q\ & !\led_flash_cnt[1761][4]~51541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1761][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1761][4]~51541\,
	combout => \led_flash_cnt[1761][5]~51542_combout\,
	cout => \led_flash_cnt[1761][5]~51543\);

-- Location: FF_X38_Y14_N11
\led_flash_cnt[1761][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1761][5]~51542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1761][5]~q\);

-- Location: LCCOMB_X38_Y14_N12
\led_flash_cnt[1761][6]~51544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1761][6]~51544_combout\ = (\led_flash_cnt[1761][6]~q\ & (!\led_flash_cnt[1761][5]~51543\)) # (!\led_flash_cnt[1761][6]~q\ & ((\led_flash_cnt[1761][5]~51543\) # (GND)))
-- \led_flash_cnt[1761][6]~51545\ = CARRY((!\led_flash_cnt[1761][5]~51543\) # (!\led_flash_cnt[1761][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1761][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1761][5]~51543\,
	combout => \led_flash_cnt[1761][6]~51544_combout\,
	cout => \led_flash_cnt[1761][6]~51545\);

-- Location: FF_X38_Y14_N13
\led_flash_cnt[1761][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1761][6]~51544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1761][6]~q\);

-- Location: LCCOMB_X38_Y14_N14
\led_flash_cnt[1761][7]~51546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1761][7]~51546_combout\ = \led_flash_cnt[1761][7]~q\ $ (!\led_flash_cnt[1761][6]~51545\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1761][7]~q\,
	cin => \led_flash_cnt[1761][6]~51545\,
	combout => \led_flash_cnt[1761][7]~51546_combout\);

-- Location: FF_X38_Y14_N15
\led_flash_cnt[1761][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1761][7]~51546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1761][7]~q\);

-- Location: LCCOMB_X38_Y14_N18
\WideAnd1761~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1761~1_combout\ = (\led_flash_cnt[1761][6]~q\ & \led_flash_cnt[1761][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1761][6]~q\,
	datad => \led_flash_cnt[1761][5]~q\,
	combout => \WideAnd1761~1_combout\);

-- Location: LCCOMB_X38_Y14_N30
WideAnd1761 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1761~combout\ = (\WideAnd1761~0_combout\ & (\led_flash_cnt[1761][0]~q\ & (\led_flash_cnt[1761][7]~q\ & \WideAnd1761~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1761~0_combout\,
	datab => \led_flash_cnt[1761][0]~q\,
	datac => \led_flash_cnt[1761][7]~q\,
	datad => \WideAnd1761~1_combout\,
	combout => \WideAnd1761~combout\);

-- Location: FF_X38_Y14_N31
\led_flash_cnt_ands[1761]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1761~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1761));

-- Location: LCCOMB_X40_Y22_N6
\led_flash_cnt[1763][0]~82403\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1763][0]~82403_combout\ = !\led_flash_cnt[1763][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1763][0]~q\,
	combout => \led_flash_cnt[1763][0]~82403_combout\);

-- Location: FF_X40_Y22_N7
\led_flash_cnt[1763][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1763][0]~82403_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1763][0]~q\);

-- Location: LCCOMB_X40_Y26_N18
\led_flash_cnt[1763][1]~51562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1763][1]~51562_combout\ = (\led_flash_cnt[1763][0]~q\ & (\led_flash_cnt[1763][1]~q\ $ (VCC))) # (!\led_flash_cnt[1763][0]~q\ & (\led_flash_cnt[1763][1]~q\ & VCC))
-- \led_flash_cnt[1763][1]~51563\ = CARRY((\led_flash_cnt[1763][0]~q\ & \led_flash_cnt[1763][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1763][0]~q\,
	datab => \led_flash_cnt[1763][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1763][1]~51562_combout\,
	cout => \led_flash_cnt[1763][1]~51563\);

-- Location: FF_X40_Y26_N19
\led_flash_cnt[1763][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1763][1]~51562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1763][1]~q\);

-- Location: LCCOMB_X40_Y26_N20
\led_flash_cnt[1763][2]~51564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1763][2]~51564_combout\ = (\led_flash_cnt[1763][2]~q\ & (!\led_flash_cnt[1763][1]~51563\)) # (!\led_flash_cnt[1763][2]~q\ & ((\led_flash_cnt[1763][1]~51563\) # (GND)))
-- \led_flash_cnt[1763][2]~51565\ = CARRY((!\led_flash_cnt[1763][1]~51563\) # (!\led_flash_cnt[1763][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1763][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1763][1]~51563\,
	combout => \led_flash_cnt[1763][2]~51564_combout\,
	cout => \led_flash_cnt[1763][2]~51565\);

-- Location: FF_X40_Y26_N21
\led_flash_cnt[1763][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1763][2]~51564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1763][2]~q\);

-- Location: LCCOMB_X40_Y26_N22
\led_flash_cnt[1763][3]~51566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1763][3]~51566_combout\ = (\led_flash_cnt[1763][3]~q\ & (\led_flash_cnt[1763][2]~51565\ $ (GND))) # (!\led_flash_cnt[1763][3]~q\ & (!\led_flash_cnt[1763][2]~51565\ & VCC))
-- \led_flash_cnt[1763][3]~51567\ = CARRY((\led_flash_cnt[1763][3]~q\ & !\led_flash_cnt[1763][2]~51565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1763][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1763][2]~51565\,
	combout => \led_flash_cnt[1763][3]~51566_combout\,
	cout => \led_flash_cnt[1763][3]~51567\);

-- Location: FF_X40_Y26_N23
\led_flash_cnt[1763][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1763][3]~51566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1763][3]~q\);

-- Location: LCCOMB_X40_Y26_N24
\led_flash_cnt[1763][4]~51568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1763][4]~51568_combout\ = (\led_flash_cnt[1763][4]~q\ & (!\led_flash_cnt[1763][3]~51567\)) # (!\led_flash_cnt[1763][4]~q\ & ((\led_flash_cnt[1763][3]~51567\) # (GND)))
-- \led_flash_cnt[1763][4]~51569\ = CARRY((!\led_flash_cnt[1763][3]~51567\) # (!\led_flash_cnt[1763][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1763][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1763][3]~51567\,
	combout => \led_flash_cnt[1763][4]~51568_combout\,
	cout => \led_flash_cnt[1763][4]~51569\);

-- Location: FF_X40_Y26_N25
\led_flash_cnt[1763][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1763][4]~51568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1763][4]~q\);

-- Location: LCCOMB_X39_Y26_N0
\WideAnd1763~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1763~0_combout\ = (\led_flash_cnt[1763][3]~q\ & (\led_flash_cnt[1763][4]~q\ & (\led_flash_cnt[1763][2]~q\ & \led_flash_cnt[1763][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1763][3]~q\,
	datab => \led_flash_cnt[1763][4]~q\,
	datac => \led_flash_cnt[1763][2]~q\,
	datad => \led_flash_cnt[1763][1]~q\,
	combout => \WideAnd1763~0_combout\);

-- Location: LCCOMB_X40_Y26_N26
\led_flash_cnt[1763][5]~51570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1763][5]~51570_combout\ = (\led_flash_cnt[1763][5]~q\ & (\led_flash_cnt[1763][4]~51569\ $ (GND))) # (!\led_flash_cnt[1763][5]~q\ & (!\led_flash_cnt[1763][4]~51569\ & VCC))
-- \led_flash_cnt[1763][5]~51571\ = CARRY((\led_flash_cnt[1763][5]~q\ & !\led_flash_cnt[1763][4]~51569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1763][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1763][4]~51569\,
	combout => \led_flash_cnt[1763][5]~51570_combout\,
	cout => \led_flash_cnt[1763][5]~51571\);

-- Location: FF_X40_Y26_N27
\led_flash_cnt[1763][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1763][5]~51570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1763][5]~q\);

-- Location: LCCOMB_X40_Y26_N28
\led_flash_cnt[1763][6]~51572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1763][6]~51572_combout\ = (\led_flash_cnt[1763][6]~q\ & (!\led_flash_cnt[1763][5]~51571\)) # (!\led_flash_cnt[1763][6]~q\ & ((\led_flash_cnt[1763][5]~51571\) # (GND)))
-- \led_flash_cnt[1763][6]~51573\ = CARRY((!\led_flash_cnt[1763][5]~51571\) # (!\led_flash_cnt[1763][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1763][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1763][5]~51571\,
	combout => \led_flash_cnt[1763][6]~51572_combout\,
	cout => \led_flash_cnt[1763][6]~51573\);

-- Location: FF_X40_Y26_N29
\led_flash_cnt[1763][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1763][6]~51572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1763][6]~q\);

-- Location: LCCOMB_X41_Y26_N12
\WideAnd1763~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1763~1_combout\ = (\led_flash_cnt[1763][5]~q\ & \led_flash_cnt[1763][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1763][5]~q\,
	datad => \led_flash_cnt[1763][6]~q\,
	combout => \WideAnd1763~1_combout\);

-- Location: LCCOMB_X40_Y26_N30
\led_flash_cnt[1763][7]~51574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1763][7]~51574_combout\ = \led_flash_cnt[1763][7]~q\ $ (!\led_flash_cnt[1763][6]~51573\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1763][7]~q\,
	cin => \led_flash_cnt[1763][6]~51573\,
	combout => \led_flash_cnt[1763][7]~51574_combout\);

-- Location: FF_X40_Y26_N31
\led_flash_cnt[1763][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1763][7]~51574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1763][7]~q\);

-- Location: LCCOMB_X40_Y26_N14
WideAnd1763 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1763~combout\ = (\WideAnd1763~0_combout\ & (\WideAnd1763~1_combout\ & (\led_flash_cnt[1763][7]~q\ & \led_flash_cnt[1763][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1763~0_combout\,
	datab => \WideAnd1763~1_combout\,
	datac => \led_flash_cnt[1763][7]~q\,
	datad => \led_flash_cnt[1763][0]~q\,
	combout => \WideAnd1763~combout\);

-- Location: FF_X40_Y26_N15
\led_flash_cnt_ands[1763]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1763~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1763));

-- Location: LCCOMB_X40_Y22_N26
\WideAnd4060~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4060~0_combout\ = (led_flash_cnt_ands(1760) & (led_flash_cnt_ands(1762) & (led_flash_cnt_ands(1761) & led_flash_cnt_ands(1763))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1760),
	datab => led_flash_cnt_ands(1762),
	datac => led_flash_cnt_ands(1761),
	datad => led_flash_cnt_ands(1763),
	combout => \WideAnd4060~0_combout\);

-- Location: LCCOMB_X55_Y29_N28
\led_flash_cnt[1767][0]~82407\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1767][0]~82407_combout\ = !\led_flash_cnt[1767][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1767][0]~q\,
	combout => \led_flash_cnt[1767][0]~82407_combout\);

-- Location: FF_X55_Y29_N29
\led_flash_cnt[1767][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1767][0]~82407_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1767][0]~q\);

-- Location: LCCOMB_X56_Y29_N4
\led_flash_cnt[1767][1]~51618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1767][1]~51618_combout\ = (\led_flash_cnt[1767][0]~q\ & (\led_flash_cnt[1767][1]~q\ $ (VCC))) # (!\led_flash_cnt[1767][0]~q\ & (\led_flash_cnt[1767][1]~q\ & VCC))
-- \led_flash_cnt[1767][1]~51619\ = CARRY((\led_flash_cnt[1767][0]~q\ & \led_flash_cnt[1767][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1767][0]~q\,
	datab => \led_flash_cnt[1767][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1767][1]~51618_combout\,
	cout => \led_flash_cnt[1767][1]~51619\);

-- Location: FF_X56_Y29_N5
\led_flash_cnt[1767][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1767][1]~51618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1767][1]~q\);

-- Location: LCCOMB_X56_Y29_N6
\led_flash_cnt[1767][2]~51620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1767][2]~51620_combout\ = (\led_flash_cnt[1767][2]~q\ & (!\led_flash_cnt[1767][1]~51619\)) # (!\led_flash_cnt[1767][2]~q\ & ((\led_flash_cnt[1767][1]~51619\) # (GND)))
-- \led_flash_cnt[1767][2]~51621\ = CARRY((!\led_flash_cnt[1767][1]~51619\) # (!\led_flash_cnt[1767][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1767][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1767][1]~51619\,
	combout => \led_flash_cnt[1767][2]~51620_combout\,
	cout => \led_flash_cnt[1767][2]~51621\);

-- Location: FF_X56_Y29_N7
\led_flash_cnt[1767][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1767][2]~51620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1767][2]~q\);

-- Location: LCCOMB_X56_Y29_N8
\led_flash_cnt[1767][3]~51622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1767][3]~51622_combout\ = (\led_flash_cnt[1767][3]~q\ & (\led_flash_cnt[1767][2]~51621\ $ (GND))) # (!\led_flash_cnt[1767][3]~q\ & (!\led_flash_cnt[1767][2]~51621\ & VCC))
-- \led_flash_cnt[1767][3]~51623\ = CARRY((\led_flash_cnt[1767][3]~q\ & !\led_flash_cnt[1767][2]~51621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1767][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1767][2]~51621\,
	combout => \led_flash_cnt[1767][3]~51622_combout\,
	cout => \led_flash_cnt[1767][3]~51623\);

-- Location: FF_X56_Y29_N9
\led_flash_cnt[1767][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1767][3]~51622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1767][3]~q\);

-- Location: LCCOMB_X56_Y29_N10
\led_flash_cnt[1767][4]~51624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1767][4]~51624_combout\ = (\led_flash_cnt[1767][4]~q\ & (!\led_flash_cnt[1767][3]~51623\)) # (!\led_flash_cnt[1767][4]~q\ & ((\led_flash_cnt[1767][3]~51623\) # (GND)))
-- \led_flash_cnt[1767][4]~51625\ = CARRY((!\led_flash_cnt[1767][3]~51623\) # (!\led_flash_cnt[1767][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1767][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1767][3]~51623\,
	combout => \led_flash_cnt[1767][4]~51624_combout\,
	cout => \led_flash_cnt[1767][4]~51625\);

-- Location: FF_X56_Y29_N11
\led_flash_cnt[1767][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1767][4]~51624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1767][4]~q\);

-- Location: LCCOMB_X56_Y29_N2
\WideAnd1767~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1767~0_combout\ = (\led_flash_cnt[1767][4]~q\ & (\led_flash_cnt[1767][3]~q\ & (\led_flash_cnt[1767][1]~q\ & \led_flash_cnt[1767][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1767][4]~q\,
	datab => \led_flash_cnt[1767][3]~q\,
	datac => \led_flash_cnt[1767][1]~q\,
	datad => \led_flash_cnt[1767][2]~q\,
	combout => \WideAnd1767~0_combout\);

-- Location: LCCOMB_X56_Y29_N12
\led_flash_cnt[1767][5]~51626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1767][5]~51626_combout\ = (\led_flash_cnt[1767][5]~q\ & (\led_flash_cnt[1767][4]~51625\ $ (GND))) # (!\led_flash_cnt[1767][5]~q\ & (!\led_flash_cnt[1767][4]~51625\ & VCC))
-- \led_flash_cnt[1767][5]~51627\ = CARRY((\led_flash_cnt[1767][5]~q\ & !\led_flash_cnt[1767][4]~51625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1767][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1767][4]~51625\,
	combout => \led_flash_cnt[1767][5]~51626_combout\,
	cout => \led_flash_cnt[1767][5]~51627\);

-- Location: FF_X56_Y29_N13
\led_flash_cnt[1767][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1767][5]~51626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1767][5]~q\);

-- Location: LCCOMB_X56_Y29_N14
\led_flash_cnt[1767][6]~51628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1767][6]~51628_combout\ = (\led_flash_cnt[1767][6]~q\ & (!\led_flash_cnt[1767][5]~51627\)) # (!\led_flash_cnt[1767][6]~q\ & ((\led_flash_cnt[1767][5]~51627\) # (GND)))
-- \led_flash_cnt[1767][6]~51629\ = CARRY((!\led_flash_cnt[1767][5]~51627\) # (!\led_flash_cnt[1767][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1767][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1767][5]~51627\,
	combout => \led_flash_cnt[1767][6]~51628_combout\,
	cout => \led_flash_cnt[1767][6]~51629\);

-- Location: FF_X56_Y29_N15
\led_flash_cnt[1767][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1767][6]~51628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1767][6]~q\);

-- Location: LCCOMB_X55_Y29_N22
\WideAnd1767~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1767~1_combout\ = (\led_flash_cnt[1767][6]~q\ & \led_flash_cnt[1767][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1767][6]~q\,
	datac => \led_flash_cnt[1767][5]~q\,
	combout => \WideAnd1767~1_combout\);

-- Location: LCCOMB_X56_Y29_N16
\led_flash_cnt[1767][7]~51630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1767][7]~51630_combout\ = \led_flash_cnt[1767][6]~51629\ $ (!\led_flash_cnt[1767][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1767][7]~q\,
	cin => \led_flash_cnt[1767][6]~51629\,
	combout => \led_flash_cnt[1767][7]~51630_combout\);

-- Location: FF_X56_Y29_N17
\led_flash_cnt[1767][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1767][7]~51630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1767][7]~q\);

-- Location: LCCOMB_X55_Y29_N20
WideAnd1767 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1767~combout\ = (\WideAnd1767~0_combout\ & (\led_flash_cnt[1767][0]~q\ & (\WideAnd1767~1_combout\ & \led_flash_cnt[1767][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1767~0_combout\,
	datab => \led_flash_cnt[1767][0]~q\,
	datac => \WideAnd1767~1_combout\,
	datad => \led_flash_cnt[1767][7]~q\,
	combout => \WideAnd1767~combout\);

-- Location: FF_X55_Y29_N21
\led_flash_cnt_ands[1767]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1767~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1767));

-- Location: LCCOMB_X49_Y27_N6
\led_flash_cnt[1765][0]~82405\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1765][0]~82405_combout\ = !\led_flash_cnt[1765][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1765][0]~q\,
	combout => \led_flash_cnt[1765][0]~82405_combout\);

-- Location: FF_X49_Y27_N7
\led_flash_cnt[1765][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1765][0]~82405_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1765][0]~q\);

-- Location: LCCOMB_X50_Y27_N2
\led_flash_cnt[1765][1]~51590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1765][1]~51590_combout\ = (\led_flash_cnt[1765][0]~q\ & (\led_flash_cnt[1765][1]~q\ $ (VCC))) # (!\led_flash_cnt[1765][0]~q\ & (\led_flash_cnt[1765][1]~q\ & VCC))
-- \led_flash_cnt[1765][1]~51591\ = CARRY((\led_flash_cnt[1765][0]~q\ & \led_flash_cnt[1765][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1765][0]~q\,
	datab => \led_flash_cnt[1765][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1765][1]~51590_combout\,
	cout => \led_flash_cnt[1765][1]~51591\);

-- Location: FF_X50_Y27_N3
\led_flash_cnt[1765][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1765][1]~51590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1765][1]~q\);

-- Location: LCCOMB_X50_Y27_N4
\led_flash_cnt[1765][2]~51592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1765][2]~51592_combout\ = (\led_flash_cnt[1765][2]~q\ & (!\led_flash_cnt[1765][1]~51591\)) # (!\led_flash_cnt[1765][2]~q\ & ((\led_flash_cnt[1765][1]~51591\) # (GND)))
-- \led_flash_cnt[1765][2]~51593\ = CARRY((!\led_flash_cnt[1765][1]~51591\) # (!\led_flash_cnt[1765][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1765][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1765][1]~51591\,
	combout => \led_flash_cnt[1765][2]~51592_combout\,
	cout => \led_flash_cnt[1765][2]~51593\);

-- Location: FF_X50_Y27_N5
\led_flash_cnt[1765][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1765][2]~51592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1765][2]~q\);

-- Location: LCCOMB_X50_Y27_N6
\led_flash_cnt[1765][3]~51594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1765][3]~51594_combout\ = (\led_flash_cnt[1765][3]~q\ & (\led_flash_cnt[1765][2]~51593\ $ (GND))) # (!\led_flash_cnt[1765][3]~q\ & (!\led_flash_cnt[1765][2]~51593\ & VCC))
-- \led_flash_cnt[1765][3]~51595\ = CARRY((\led_flash_cnt[1765][3]~q\ & !\led_flash_cnt[1765][2]~51593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1765][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1765][2]~51593\,
	combout => \led_flash_cnt[1765][3]~51594_combout\,
	cout => \led_flash_cnt[1765][3]~51595\);

-- Location: FF_X50_Y27_N7
\led_flash_cnt[1765][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1765][3]~51594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1765][3]~q\);

-- Location: LCCOMB_X50_Y27_N8
\led_flash_cnt[1765][4]~51596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1765][4]~51596_combout\ = (\led_flash_cnt[1765][4]~q\ & (!\led_flash_cnt[1765][3]~51595\)) # (!\led_flash_cnt[1765][4]~q\ & ((\led_flash_cnt[1765][3]~51595\) # (GND)))
-- \led_flash_cnt[1765][4]~51597\ = CARRY((!\led_flash_cnt[1765][3]~51595\) # (!\led_flash_cnt[1765][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1765][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1765][3]~51595\,
	combout => \led_flash_cnt[1765][4]~51596_combout\,
	cout => \led_flash_cnt[1765][4]~51597\);

-- Location: FF_X50_Y27_N9
\led_flash_cnt[1765][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1765][4]~51596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1765][4]~q\);

-- Location: LCCOMB_X50_Y27_N10
\led_flash_cnt[1765][5]~51598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1765][5]~51598_combout\ = (\led_flash_cnt[1765][5]~q\ & (\led_flash_cnt[1765][4]~51597\ $ (GND))) # (!\led_flash_cnt[1765][5]~q\ & (!\led_flash_cnt[1765][4]~51597\ & VCC))
-- \led_flash_cnt[1765][5]~51599\ = CARRY((\led_flash_cnt[1765][5]~q\ & !\led_flash_cnt[1765][4]~51597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1765][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1765][4]~51597\,
	combout => \led_flash_cnt[1765][5]~51598_combout\,
	cout => \led_flash_cnt[1765][5]~51599\);

-- Location: FF_X50_Y27_N11
\led_flash_cnt[1765][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1765][5]~51598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1765][5]~q\);

-- Location: LCCOMB_X50_Y27_N12
\led_flash_cnt[1765][6]~51600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1765][6]~51600_combout\ = (\led_flash_cnt[1765][6]~q\ & (!\led_flash_cnt[1765][5]~51599\)) # (!\led_flash_cnt[1765][6]~q\ & ((\led_flash_cnt[1765][5]~51599\) # (GND)))
-- \led_flash_cnt[1765][6]~51601\ = CARRY((!\led_flash_cnt[1765][5]~51599\) # (!\led_flash_cnt[1765][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1765][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1765][5]~51599\,
	combout => \led_flash_cnt[1765][6]~51600_combout\,
	cout => \led_flash_cnt[1765][6]~51601\);

-- Location: FF_X50_Y27_N13
\led_flash_cnt[1765][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1765][6]~51600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1765][6]~q\);

-- Location: LCCOMB_X49_Y27_N10
\WideAnd1765~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1765~1_combout\ = (\led_flash_cnt[1765][6]~q\ & \led_flash_cnt[1765][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1765][6]~q\,
	datac => \led_flash_cnt[1765][5]~q\,
	combout => \WideAnd1765~1_combout\);

-- Location: LCCOMB_X50_Y27_N0
\WideAnd1765~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1765~0_combout\ = (\led_flash_cnt[1765][3]~q\ & (\led_flash_cnt[1765][4]~q\ & (\led_flash_cnt[1765][2]~q\ & \led_flash_cnt[1765][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1765][3]~q\,
	datab => \led_flash_cnt[1765][4]~q\,
	datac => \led_flash_cnt[1765][2]~q\,
	datad => \led_flash_cnt[1765][1]~q\,
	combout => \WideAnd1765~0_combout\);

-- Location: LCCOMB_X50_Y27_N14
\led_flash_cnt[1765][7]~51602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1765][7]~51602_combout\ = \led_flash_cnt[1765][7]~q\ $ (!\led_flash_cnt[1765][6]~51601\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1765][7]~q\,
	cin => \led_flash_cnt[1765][6]~51601\,
	combout => \led_flash_cnt[1765][7]~51602_combout\);

-- Location: FF_X50_Y27_N15
\led_flash_cnt[1765][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1765][7]~51602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1765][7]~q\);

-- Location: LCCOMB_X49_Y27_N28
WideAnd1765 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1765~combout\ = (\WideAnd1765~1_combout\ & (\WideAnd1765~0_combout\ & (\led_flash_cnt[1765][7]~q\ & \led_flash_cnt[1765][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1765~1_combout\,
	datab => \WideAnd1765~0_combout\,
	datac => \led_flash_cnt[1765][7]~q\,
	datad => \led_flash_cnt[1765][0]~q\,
	combout => \WideAnd1765~combout\);

-- Location: FF_X49_Y27_N29
\led_flash_cnt_ands[1765]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1765~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1765));

-- Location: LCCOMB_X44_Y28_N6
\led_flash_cnt[1764][0]~82404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1764][0]~82404_combout\ = !\led_flash_cnt[1764][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1764][0]~q\,
	combout => \led_flash_cnt[1764][0]~82404_combout\);

-- Location: FF_X44_Y28_N7
\led_flash_cnt[1764][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1764][0]~82404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1764][0]~q\);

-- Location: LCCOMB_X45_Y28_N18
\led_flash_cnt[1764][1]~51576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1764][1]~51576_combout\ = (\led_flash_cnt[1764][0]~q\ & (\led_flash_cnt[1764][1]~q\ $ (VCC))) # (!\led_flash_cnt[1764][0]~q\ & (\led_flash_cnt[1764][1]~q\ & VCC))
-- \led_flash_cnt[1764][1]~51577\ = CARRY((\led_flash_cnt[1764][0]~q\ & \led_flash_cnt[1764][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1764][0]~q\,
	datab => \led_flash_cnt[1764][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1764][1]~51576_combout\,
	cout => \led_flash_cnt[1764][1]~51577\);

-- Location: FF_X45_Y28_N19
\led_flash_cnt[1764][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1764][1]~51576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1764][1]~q\);

-- Location: LCCOMB_X45_Y28_N20
\led_flash_cnt[1764][2]~51578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1764][2]~51578_combout\ = (\led_flash_cnt[1764][2]~q\ & (!\led_flash_cnt[1764][1]~51577\)) # (!\led_flash_cnt[1764][2]~q\ & ((\led_flash_cnt[1764][1]~51577\) # (GND)))
-- \led_flash_cnt[1764][2]~51579\ = CARRY((!\led_flash_cnt[1764][1]~51577\) # (!\led_flash_cnt[1764][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1764][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1764][1]~51577\,
	combout => \led_flash_cnt[1764][2]~51578_combout\,
	cout => \led_flash_cnt[1764][2]~51579\);

-- Location: FF_X45_Y28_N21
\led_flash_cnt[1764][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1764][2]~51578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1764][2]~q\);

-- Location: LCCOMB_X45_Y28_N22
\led_flash_cnt[1764][3]~51580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1764][3]~51580_combout\ = (\led_flash_cnt[1764][3]~q\ & (\led_flash_cnt[1764][2]~51579\ $ (GND))) # (!\led_flash_cnt[1764][3]~q\ & (!\led_flash_cnt[1764][2]~51579\ & VCC))
-- \led_flash_cnt[1764][3]~51581\ = CARRY((\led_flash_cnt[1764][3]~q\ & !\led_flash_cnt[1764][2]~51579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1764][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1764][2]~51579\,
	combout => \led_flash_cnt[1764][3]~51580_combout\,
	cout => \led_flash_cnt[1764][3]~51581\);

-- Location: FF_X45_Y28_N23
\led_flash_cnt[1764][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1764][3]~51580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1764][3]~q\);

-- Location: LCCOMB_X45_Y28_N24
\led_flash_cnt[1764][4]~51582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1764][4]~51582_combout\ = (\led_flash_cnt[1764][4]~q\ & (!\led_flash_cnt[1764][3]~51581\)) # (!\led_flash_cnt[1764][4]~q\ & ((\led_flash_cnt[1764][3]~51581\) # (GND)))
-- \led_flash_cnt[1764][4]~51583\ = CARRY((!\led_flash_cnt[1764][3]~51581\) # (!\led_flash_cnt[1764][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1764][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1764][3]~51581\,
	combout => \led_flash_cnt[1764][4]~51582_combout\,
	cout => \led_flash_cnt[1764][4]~51583\);

-- Location: FF_X45_Y28_N25
\led_flash_cnt[1764][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1764][4]~51582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1764][4]~q\);

-- Location: LCCOMB_X45_Y28_N26
\led_flash_cnt[1764][5]~51584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1764][5]~51584_combout\ = (\led_flash_cnt[1764][5]~q\ & (\led_flash_cnt[1764][4]~51583\ $ (GND))) # (!\led_flash_cnt[1764][5]~q\ & (!\led_flash_cnt[1764][4]~51583\ & VCC))
-- \led_flash_cnt[1764][5]~51585\ = CARRY((\led_flash_cnt[1764][5]~q\ & !\led_flash_cnt[1764][4]~51583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1764][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1764][4]~51583\,
	combout => \led_flash_cnt[1764][5]~51584_combout\,
	cout => \led_flash_cnt[1764][5]~51585\);

-- Location: FF_X45_Y28_N27
\led_flash_cnt[1764][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1764][5]~51584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1764][5]~q\);

-- Location: LCCOMB_X45_Y28_N28
\led_flash_cnt[1764][6]~51586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1764][6]~51586_combout\ = (\led_flash_cnt[1764][6]~q\ & (!\led_flash_cnt[1764][5]~51585\)) # (!\led_flash_cnt[1764][6]~q\ & ((\led_flash_cnt[1764][5]~51585\) # (GND)))
-- \led_flash_cnt[1764][6]~51587\ = CARRY((!\led_flash_cnt[1764][5]~51585\) # (!\led_flash_cnt[1764][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1764][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1764][5]~51585\,
	combout => \led_flash_cnt[1764][6]~51586_combout\,
	cout => \led_flash_cnt[1764][6]~51587\);

-- Location: FF_X45_Y28_N29
\led_flash_cnt[1764][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1764][6]~51586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1764][6]~q\);

-- Location: LCCOMB_X44_Y28_N10
\WideAnd1764~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1764~1_combout\ = (\led_flash_cnt[1764][6]~q\ & \led_flash_cnt[1764][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1764][6]~q\,
	datad => \led_flash_cnt[1764][5]~q\,
	combout => \WideAnd1764~1_combout\);

-- Location: LCCOMB_X44_Y28_N16
\WideAnd1764~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1764~0_combout\ = (\led_flash_cnt[1764][4]~q\ & (\led_flash_cnt[1764][3]~q\ & (\led_flash_cnt[1764][2]~q\ & \led_flash_cnt[1764][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1764][4]~q\,
	datab => \led_flash_cnt[1764][3]~q\,
	datac => \led_flash_cnt[1764][2]~q\,
	datad => \led_flash_cnt[1764][1]~q\,
	combout => \WideAnd1764~0_combout\);

-- Location: LCCOMB_X45_Y28_N30
\led_flash_cnt[1764][7]~51588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1764][7]~51588_combout\ = \led_flash_cnt[1764][7]~q\ $ (!\led_flash_cnt[1764][6]~51587\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1764][7]~q\,
	cin => \led_flash_cnt[1764][6]~51587\,
	combout => \led_flash_cnt[1764][7]~51588_combout\);

-- Location: FF_X45_Y28_N31
\led_flash_cnt[1764][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1764][7]~51588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1764][7]~q\);

-- Location: LCCOMB_X44_Y28_N4
WideAnd1764 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1764~combout\ = (\WideAnd1764~1_combout\ & (\WideAnd1764~0_combout\ & (\led_flash_cnt[1764][7]~q\ & \led_flash_cnt[1764][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1764~1_combout\,
	datab => \WideAnd1764~0_combout\,
	datac => \led_flash_cnt[1764][7]~q\,
	datad => \led_flash_cnt[1764][0]~q\,
	combout => \WideAnd1764~combout\);

-- Location: FF_X44_Y28_N5
\led_flash_cnt_ands[1764]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1764~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1764));

-- Location: LCCOMB_X49_Y28_N0
\WideAnd4060~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4060~1_combout\ = (led_flash_cnt_ands(1765) & led_flash_cnt_ands(1764))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1765),
	datac => led_flash_cnt_ands(1764),
	combout => \WideAnd4060~1_combout\);

-- Location: LCCOMB_X55_Y28_N30
\led_flash_cnt[1766][0]~82406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1766][0]~82406_combout\ = !\led_flash_cnt[1766][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1766][0]~q\,
	combout => \led_flash_cnt[1766][0]~82406_combout\);

-- Location: FF_X55_Y28_N31
\led_flash_cnt[1766][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1766][0]~82406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1766][0]~q\);

-- Location: LCCOMB_X52_Y27_N0
\led_flash_cnt[1766][1]~51604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1766][1]~51604_combout\ = (\led_flash_cnt[1766][0]~q\ & (\led_flash_cnt[1766][1]~q\ $ (VCC))) # (!\led_flash_cnt[1766][0]~q\ & (\led_flash_cnt[1766][1]~q\ & VCC))
-- \led_flash_cnt[1766][1]~51605\ = CARRY((\led_flash_cnt[1766][0]~q\ & \led_flash_cnt[1766][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1766][0]~q\,
	datab => \led_flash_cnt[1766][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1766][1]~51604_combout\,
	cout => \led_flash_cnt[1766][1]~51605\);

-- Location: FF_X52_Y27_N1
\led_flash_cnt[1766][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1766][1]~51604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1766][1]~q\);

-- Location: LCCOMB_X52_Y27_N2
\led_flash_cnt[1766][2]~51606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1766][2]~51606_combout\ = (\led_flash_cnt[1766][2]~q\ & (!\led_flash_cnt[1766][1]~51605\)) # (!\led_flash_cnt[1766][2]~q\ & ((\led_flash_cnt[1766][1]~51605\) # (GND)))
-- \led_flash_cnt[1766][2]~51607\ = CARRY((!\led_flash_cnt[1766][1]~51605\) # (!\led_flash_cnt[1766][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1766][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1766][1]~51605\,
	combout => \led_flash_cnt[1766][2]~51606_combout\,
	cout => \led_flash_cnt[1766][2]~51607\);

-- Location: FF_X52_Y27_N3
\led_flash_cnt[1766][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1766][2]~51606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1766][2]~q\);

-- Location: LCCOMB_X52_Y27_N4
\led_flash_cnt[1766][3]~51608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1766][3]~51608_combout\ = (\led_flash_cnt[1766][3]~q\ & (\led_flash_cnt[1766][2]~51607\ $ (GND))) # (!\led_flash_cnt[1766][3]~q\ & (!\led_flash_cnt[1766][2]~51607\ & VCC))
-- \led_flash_cnt[1766][3]~51609\ = CARRY((\led_flash_cnt[1766][3]~q\ & !\led_flash_cnt[1766][2]~51607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1766][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1766][2]~51607\,
	combout => \led_flash_cnt[1766][3]~51608_combout\,
	cout => \led_flash_cnt[1766][3]~51609\);

-- Location: FF_X52_Y27_N5
\led_flash_cnt[1766][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1766][3]~51608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1766][3]~q\);

-- Location: LCCOMB_X52_Y27_N6
\led_flash_cnt[1766][4]~51610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1766][4]~51610_combout\ = (\led_flash_cnt[1766][4]~q\ & (!\led_flash_cnt[1766][3]~51609\)) # (!\led_flash_cnt[1766][4]~q\ & ((\led_flash_cnt[1766][3]~51609\) # (GND)))
-- \led_flash_cnt[1766][4]~51611\ = CARRY((!\led_flash_cnt[1766][3]~51609\) # (!\led_flash_cnt[1766][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1766][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1766][3]~51609\,
	combout => \led_flash_cnt[1766][4]~51610_combout\,
	cout => \led_flash_cnt[1766][4]~51611\);

-- Location: FF_X52_Y27_N7
\led_flash_cnt[1766][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1766][4]~51610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1766][4]~q\);

-- Location: LCCOMB_X52_Y27_N8
\led_flash_cnt[1766][5]~51612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1766][5]~51612_combout\ = (\led_flash_cnt[1766][5]~q\ & (\led_flash_cnt[1766][4]~51611\ $ (GND))) # (!\led_flash_cnt[1766][5]~q\ & (!\led_flash_cnt[1766][4]~51611\ & VCC))
-- \led_flash_cnt[1766][5]~51613\ = CARRY((\led_flash_cnt[1766][5]~q\ & !\led_flash_cnt[1766][4]~51611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1766][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1766][4]~51611\,
	combout => \led_flash_cnt[1766][5]~51612_combout\,
	cout => \led_flash_cnt[1766][5]~51613\);

-- Location: FF_X52_Y27_N9
\led_flash_cnt[1766][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1766][5]~51612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1766][5]~q\);

-- Location: LCCOMB_X52_Y27_N10
\led_flash_cnt[1766][6]~51614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1766][6]~51614_combout\ = (\led_flash_cnt[1766][6]~q\ & (!\led_flash_cnt[1766][5]~51613\)) # (!\led_flash_cnt[1766][6]~q\ & ((\led_flash_cnt[1766][5]~51613\) # (GND)))
-- \led_flash_cnt[1766][6]~51615\ = CARRY((!\led_flash_cnt[1766][5]~51613\) # (!\led_flash_cnt[1766][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1766][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1766][5]~51613\,
	combout => \led_flash_cnt[1766][6]~51614_combout\,
	cout => \led_flash_cnt[1766][6]~51615\);

-- Location: FF_X52_Y27_N11
\led_flash_cnt[1766][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1766][6]~51614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1766][6]~q\);

-- Location: LCCOMB_X52_Y27_N12
\led_flash_cnt[1766][7]~51616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1766][7]~51616_combout\ = \led_flash_cnt[1766][6]~51615\ $ (!\led_flash_cnt[1766][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1766][7]~q\,
	cin => \led_flash_cnt[1766][6]~51615\,
	combout => \led_flash_cnt[1766][7]~51616_combout\);

-- Location: FF_X52_Y27_N13
\led_flash_cnt[1766][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1766][7]~51616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1766][7]~q\);

-- Location: LCCOMB_X52_Y27_N30
\WideAnd1766~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1766~0_combout\ = (\led_flash_cnt[1766][4]~q\ & (\led_flash_cnt[1766][1]~q\ & (\led_flash_cnt[1766][3]~q\ & \led_flash_cnt[1766][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1766][4]~q\,
	datab => \led_flash_cnt[1766][1]~q\,
	datac => \led_flash_cnt[1766][3]~q\,
	datad => \led_flash_cnt[1766][2]~q\,
	combout => \WideAnd1766~0_combout\);

-- Location: LCCOMB_X52_Y29_N16
\WideAnd1766~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1766~1_combout\ = (\led_flash_cnt[1766][6]~q\ & \led_flash_cnt[1766][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1766][6]~q\,
	datad => \led_flash_cnt[1766][5]~q\,
	combout => \WideAnd1766~1_combout\);

-- Location: LCCOMB_X52_Y29_N0
WideAnd1766 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1766~combout\ = (\led_flash_cnt[1766][7]~q\ & (\WideAnd1766~0_combout\ & (\led_flash_cnt[1766][0]~q\ & \WideAnd1766~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1766][7]~q\,
	datab => \WideAnd1766~0_combout\,
	datac => \led_flash_cnt[1766][0]~q\,
	datad => \WideAnd1766~1_combout\,
	combout => \WideAnd1766~combout\);

-- Location: FF_X52_Y29_N1
\led_flash_cnt_ands[1766]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1766~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1766));

-- Location: LCCOMB_X52_Y29_N24
WideAnd4060 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4060~combout\ = (\WideAnd4060~0_combout\ & (led_flash_cnt_ands(1767) & (\WideAnd4060~1_combout\ & led_flash_cnt_ands(1766))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4060~0_combout\,
	datab => led_flash_cnt_ands(1767),
	datac => \WideAnd4060~1_combout\,
	datad => led_flash_cnt_ands(1766),
	combout => \WideAnd4060~combout\);

-- Location: FF_X52_Y29_N25
\led_flash_cnt_ands_1[220]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4060~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(220));

-- Location: LCCOMB_X52_Y29_N28
\WideAnd4347~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4347~1_combout\ = (led_flash_cnt_ands_1(221) & led_flash_cnt_ands_1(220))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(221),
	datad => led_flash_cnt_ands_1(220),
	combout => \WideAnd4347~1_combout\);

-- Location: LCCOMB_X17_Y29_N2
\led_flash_cnt[1783][0]~82423\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1783][0]~82423_combout\ = !\led_flash_cnt[1783][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1783][0]~q\,
	combout => \led_flash_cnt[1783][0]~82423_combout\);

-- Location: FF_X17_Y29_N3
\led_flash_cnt[1783][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1783][0]~82423_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1783][0]~q\);

-- Location: LCCOMB_X16_Y29_N16
\led_flash_cnt[1783][1]~51842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1783][1]~51842_combout\ = (\led_flash_cnt[1783][0]~q\ & (\led_flash_cnt[1783][1]~q\ $ (VCC))) # (!\led_flash_cnt[1783][0]~q\ & (\led_flash_cnt[1783][1]~q\ & VCC))
-- \led_flash_cnt[1783][1]~51843\ = CARRY((\led_flash_cnt[1783][0]~q\ & \led_flash_cnt[1783][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1783][0]~q\,
	datab => \led_flash_cnt[1783][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1783][1]~51842_combout\,
	cout => \led_flash_cnt[1783][1]~51843\);

-- Location: FF_X16_Y29_N17
\led_flash_cnt[1783][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1783][1]~51842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1783][1]~q\);

-- Location: LCCOMB_X16_Y29_N18
\led_flash_cnt[1783][2]~51844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1783][2]~51844_combout\ = (\led_flash_cnt[1783][2]~q\ & (!\led_flash_cnt[1783][1]~51843\)) # (!\led_flash_cnt[1783][2]~q\ & ((\led_flash_cnt[1783][1]~51843\) # (GND)))
-- \led_flash_cnt[1783][2]~51845\ = CARRY((!\led_flash_cnt[1783][1]~51843\) # (!\led_flash_cnt[1783][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1783][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1783][1]~51843\,
	combout => \led_flash_cnt[1783][2]~51844_combout\,
	cout => \led_flash_cnt[1783][2]~51845\);

-- Location: FF_X16_Y29_N19
\led_flash_cnt[1783][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1783][2]~51844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1783][2]~q\);

-- Location: LCCOMB_X16_Y29_N20
\led_flash_cnt[1783][3]~51846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1783][3]~51846_combout\ = (\led_flash_cnt[1783][3]~q\ & (\led_flash_cnt[1783][2]~51845\ $ (GND))) # (!\led_flash_cnt[1783][3]~q\ & (!\led_flash_cnt[1783][2]~51845\ & VCC))
-- \led_flash_cnt[1783][3]~51847\ = CARRY((\led_flash_cnt[1783][3]~q\ & !\led_flash_cnt[1783][2]~51845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1783][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1783][2]~51845\,
	combout => \led_flash_cnt[1783][3]~51846_combout\,
	cout => \led_flash_cnt[1783][3]~51847\);

-- Location: FF_X16_Y29_N21
\led_flash_cnt[1783][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1783][3]~51846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1783][3]~q\);

-- Location: LCCOMB_X16_Y29_N22
\led_flash_cnt[1783][4]~51848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1783][4]~51848_combout\ = (\led_flash_cnt[1783][4]~q\ & (!\led_flash_cnt[1783][3]~51847\)) # (!\led_flash_cnt[1783][4]~q\ & ((\led_flash_cnt[1783][3]~51847\) # (GND)))
-- \led_flash_cnt[1783][4]~51849\ = CARRY((!\led_flash_cnt[1783][3]~51847\) # (!\led_flash_cnt[1783][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1783][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1783][3]~51847\,
	combout => \led_flash_cnt[1783][4]~51848_combout\,
	cout => \led_flash_cnt[1783][4]~51849\);

-- Location: FF_X16_Y29_N23
\led_flash_cnt[1783][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1783][4]~51848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1783][4]~q\);

-- Location: LCCOMB_X16_Y29_N24
\led_flash_cnt[1783][5]~51850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1783][5]~51850_combout\ = (\led_flash_cnt[1783][5]~q\ & (\led_flash_cnt[1783][4]~51849\ $ (GND))) # (!\led_flash_cnt[1783][5]~q\ & (!\led_flash_cnt[1783][4]~51849\ & VCC))
-- \led_flash_cnt[1783][5]~51851\ = CARRY((\led_flash_cnt[1783][5]~q\ & !\led_flash_cnt[1783][4]~51849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1783][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1783][4]~51849\,
	combout => \led_flash_cnt[1783][5]~51850_combout\,
	cout => \led_flash_cnt[1783][5]~51851\);

-- Location: FF_X16_Y29_N25
\led_flash_cnt[1783][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1783][5]~51850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1783][5]~q\);

-- Location: LCCOMB_X16_Y29_N26
\led_flash_cnt[1783][6]~51852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1783][6]~51852_combout\ = (\led_flash_cnt[1783][6]~q\ & (!\led_flash_cnt[1783][5]~51851\)) # (!\led_flash_cnt[1783][6]~q\ & ((\led_flash_cnt[1783][5]~51851\) # (GND)))
-- \led_flash_cnt[1783][6]~51853\ = CARRY((!\led_flash_cnt[1783][5]~51851\) # (!\led_flash_cnt[1783][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1783][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1783][5]~51851\,
	combout => \led_flash_cnt[1783][6]~51852_combout\,
	cout => \led_flash_cnt[1783][6]~51853\);

-- Location: FF_X16_Y29_N27
\led_flash_cnt[1783][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1783][6]~51852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1783][6]~q\);

-- Location: LCCOMB_X17_Y29_N30
\WideAnd1783~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1783~1_combout\ = (\led_flash_cnt[1783][6]~q\ & \led_flash_cnt[1783][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1783][6]~q\,
	datad => \led_flash_cnt[1783][5]~q\,
	combout => \WideAnd1783~1_combout\);

-- Location: LCCOMB_X16_Y29_N28
\led_flash_cnt[1783][7]~51854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1783][7]~51854_combout\ = \led_flash_cnt[1783][6]~51853\ $ (!\led_flash_cnt[1783][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1783][7]~q\,
	cin => \led_flash_cnt[1783][6]~51853\,
	combout => \led_flash_cnt[1783][7]~51854_combout\);

-- Location: FF_X16_Y29_N29
\led_flash_cnt[1783][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1783][7]~51854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1783][7]~q\);

-- Location: LCCOMB_X16_Y29_N0
\WideAnd1783~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1783~0_combout\ = (\led_flash_cnt[1783][1]~q\ & (\led_flash_cnt[1783][3]~q\ & (\led_flash_cnt[1783][4]~q\ & \led_flash_cnt[1783][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1783][1]~q\,
	datab => \led_flash_cnt[1783][3]~q\,
	datac => \led_flash_cnt[1783][4]~q\,
	datad => \led_flash_cnt[1783][2]~q\,
	combout => \WideAnd1783~0_combout\);

-- Location: LCCOMB_X17_Y29_N26
WideAnd1783 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1783~combout\ = (\WideAnd1783~1_combout\ & (\led_flash_cnt[1783][7]~q\ & (\WideAnd1783~0_combout\ & \led_flash_cnt[1783][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1783~1_combout\,
	datab => \led_flash_cnt[1783][7]~q\,
	datac => \WideAnd1783~0_combout\,
	datad => \led_flash_cnt[1783][0]~q\,
	combout => \WideAnd1783~combout\);

-- Location: FF_X17_Y29_N27
\led_flash_cnt_ands[1783]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1783~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1783));

-- Location: LCCOMB_X17_Y29_N4
\led_flash_cnt[1782][0]~82422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1782][0]~82422_combout\ = !\led_flash_cnt[1782][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1782][0]~q\,
	combout => \led_flash_cnt[1782][0]~82422_combout\);

-- Location: FF_X17_Y29_N5
\led_flash_cnt[1782][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1782][0]~82422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1782][0]~q\);

-- Location: LCCOMB_X17_Y29_N10
\led_flash_cnt[1782][1]~51828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1782][1]~51828_combout\ = (\led_flash_cnt[1782][1]~q\ & (\led_flash_cnt[1782][0]~q\ $ (VCC))) # (!\led_flash_cnt[1782][1]~q\ & (\led_flash_cnt[1782][0]~q\ & VCC))
-- \led_flash_cnt[1782][1]~51829\ = CARRY((\led_flash_cnt[1782][1]~q\ & \led_flash_cnt[1782][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1782][1]~q\,
	datab => \led_flash_cnt[1782][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1782][1]~51828_combout\,
	cout => \led_flash_cnt[1782][1]~51829\);

-- Location: FF_X17_Y29_N11
\led_flash_cnt[1782][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1782][1]~51828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1782][1]~q\);

-- Location: LCCOMB_X17_Y29_N12
\led_flash_cnt[1782][2]~51830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1782][2]~51830_combout\ = (\led_flash_cnt[1782][2]~q\ & (!\led_flash_cnt[1782][1]~51829\)) # (!\led_flash_cnt[1782][2]~q\ & ((\led_flash_cnt[1782][1]~51829\) # (GND)))
-- \led_flash_cnt[1782][2]~51831\ = CARRY((!\led_flash_cnt[1782][1]~51829\) # (!\led_flash_cnt[1782][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1782][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1782][1]~51829\,
	combout => \led_flash_cnt[1782][2]~51830_combout\,
	cout => \led_flash_cnt[1782][2]~51831\);

-- Location: FF_X17_Y29_N13
\led_flash_cnt[1782][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1782][2]~51830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1782][2]~q\);

-- Location: LCCOMB_X17_Y29_N14
\led_flash_cnt[1782][3]~51832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1782][3]~51832_combout\ = (\led_flash_cnt[1782][3]~q\ & (\led_flash_cnt[1782][2]~51831\ $ (GND))) # (!\led_flash_cnt[1782][3]~q\ & (!\led_flash_cnt[1782][2]~51831\ & VCC))
-- \led_flash_cnt[1782][3]~51833\ = CARRY((\led_flash_cnt[1782][3]~q\ & !\led_flash_cnt[1782][2]~51831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1782][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1782][2]~51831\,
	combout => \led_flash_cnt[1782][3]~51832_combout\,
	cout => \led_flash_cnt[1782][3]~51833\);

-- Location: FF_X17_Y29_N15
\led_flash_cnt[1782][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1782][3]~51832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1782][3]~q\);

-- Location: LCCOMB_X17_Y29_N16
\led_flash_cnt[1782][4]~51834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1782][4]~51834_combout\ = (\led_flash_cnt[1782][4]~q\ & (!\led_flash_cnt[1782][3]~51833\)) # (!\led_flash_cnt[1782][4]~q\ & ((\led_flash_cnt[1782][3]~51833\) # (GND)))
-- \led_flash_cnt[1782][4]~51835\ = CARRY((!\led_flash_cnt[1782][3]~51833\) # (!\led_flash_cnt[1782][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1782][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1782][3]~51833\,
	combout => \led_flash_cnt[1782][4]~51834_combout\,
	cout => \led_flash_cnt[1782][4]~51835\);

-- Location: FF_X17_Y29_N17
\led_flash_cnt[1782][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1782][4]~51834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1782][4]~q\);

-- Location: LCCOMB_X17_Y29_N6
\WideAnd1782~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1782~0_combout\ = (\led_flash_cnt[1782][2]~q\ & (\led_flash_cnt[1782][4]~q\ & (\led_flash_cnt[1782][3]~q\ & \led_flash_cnt[1782][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1782][2]~q\,
	datab => \led_flash_cnt[1782][4]~q\,
	datac => \led_flash_cnt[1782][3]~q\,
	datad => \led_flash_cnt[1782][1]~q\,
	combout => \WideAnd1782~0_combout\);

-- Location: LCCOMB_X17_Y29_N18
\led_flash_cnt[1782][5]~51836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1782][5]~51836_combout\ = (\led_flash_cnt[1782][5]~q\ & (\led_flash_cnt[1782][4]~51835\ $ (GND))) # (!\led_flash_cnt[1782][5]~q\ & (!\led_flash_cnt[1782][4]~51835\ & VCC))
-- \led_flash_cnt[1782][5]~51837\ = CARRY((\led_flash_cnt[1782][5]~q\ & !\led_flash_cnt[1782][4]~51835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1782][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1782][4]~51835\,
	combout => \led_flash_cnt[1782][5]~51836_combout\,
	cout => \led_flash_cnt[1782][5]~51837\);

-- Location: FF_X17_Y29_N19
\led_flash_cnt[1782][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1782][5]~51836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1782][5]~q\);

-- Location: LCCOMB_X17_Y29_N20
\led_flash_cnt[1782][6]~51838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1782][6]~51838_combout\ = (\led_flash_cnt[1782][6]~q\ & (!\led_flash_cnt[1782][5]~51837\)) # (!\led_flash_cnt[1782][6]~q\ & ((\led_flash_cnt[1782][5]~51837\) # (GND)))
-- \led_flash_cnt[1782][6]~51839\ = CARRY((!\led_flash_cnt[1782][5]~51837\) # (!\led_flash_cnt[1782][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1782][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1782][5]~51837\,
	combout => \led_flash_cnt[1782][6]~51838_combout\,
	cout => \led_flash_cnt[1782][6]~51839\);

-- Location: FF_X17_Y29_N21
\led_flash_cnt[1782][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1782][6]~51838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1782][6]~q\);

-- Location: LCCOMB_X17_Y29_N22
\led_flash_cnt[1782][7]~51840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1782][7]~51840_combout\ = \led_flash_cnt[1782][7]~q\ $ (!\led_flash_cnt[1782][6]~51839\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1782][7]~q\,
	cin => \led_flash_cnt[1782][6]~51839\,
	combout => \led_flash_cnt[1782][7]~51840_combout\);

-- Location: FF_X17_Y29_N23
\led_flash_cnt[1782][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1782][7]~51840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1782][7]~q\);

-- Location: LCCOMB_X17_Y29_N28
\WideAnd1782~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1782~1_combout\ = (\led_flash_cnt[1782][5]~q\ & \led_flash_cnt[1782][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1782][5]~q\,
	datad => \led_flash_cnt[1782][6]~q\,
	combout => \WideAnd1782~1_combout\);

-- Location: LCCOMB_X17_Y29_N0
WideAnd1782 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1782~combout\ = (\WideAnd1782~0_combout\ & (\led_flash_cnt[1782][0]~q\ & (\led_flash_cnt[1782][7]~q\ & \WideAnd1782~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1782~0_combout\,
	datab => \led_flash_cnt[1782][0]~q\,
	datac => \led_flash_cnt[1782][7]~q\,
	datad => \WideAnd1782~1_combout\,
	combout => \WideAnd1782~combout\);

-- Location: FF_X17_Y29_N1
\led_flash_cnt_ands[1782]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1782~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1782));

-- Location: LCCOMB_X10_Y33_N2
\led_flash_cnt[1781][0]~82421\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1781][0]~82421_combout\ = !\led_flash_cnt[1781][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1781][0]~q\,
	combout => \led_flash_cnt[1781][0]~82421_combout\);

-- Location: FF_X10_Y33_N3
\led_flash_cnt[1781][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1781][0]~82421_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1781][0]~q\);

-- Location: LCCOMB_X9_Y33_N16
\led_flash_cnt[1781][1]~51814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1781][1]~51814_combout\ = (\led_flash_cnt[1781][0]~q\ & (\led_flash_cnt[1781][1]~q\ $ (VCC))) # (!\led_flash_cnt[1781][0]~q\ & (\led_flash_cnt[1781][1]~q\ & VCC))
-- \led_flash_cnt[1781][1]~51815\ = CARRY((\led_flash_cnt[1781][0]~q\ & \led_flash_cnt[1781][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1781][0]~q\,
	datab => \led_flash_cnt[1781][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1781][1]~51814_combout\,
	cout => \led_flash_cnt[1781][1]~51815\);

-- Location: FF_X9_Y33_N17
\led_flash_cnt[1781][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1781][1]~51814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1781][1]~q\);

-- Location: LCCOMB_X9_Y33_N18
\led_flash_cnt[1781][2]~51816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1781][2]~51816_combout\ = (\led_flash_cnt[1781][2]~q\ & (!\led_flash_cnt[1781][1]~51815\)) # (!\led_flash_cnt[1781][2]~q\ & ((\led_flash_cnt[1781][1]~51815\) # (GND)))
-- \led_flash_cnt[1781][2]~51817\ = CARRY((!\led_flash_cnt[1781][1]~51815\) # (!\led_flash_cnt[1781][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1781][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1781][1]~51815\,
	combout => \led_flash_cnt[1781][2]~51816_combout\,
	cout => \led_flash_cnt[1781][2]~51817\);

-- Location: FF_X9_Y33_N19
\led_flash_cnt[1781][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1781][2]~51816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1781][2]~q\);

-- Location: LCCOMB_X9_Y33_N20
\led_flash_cnt[1781][3]~51818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1781][3]~51818_combout\ = (\led_flash_cnt[1781][3]~q\ & (\led_flash_cnt[1781][2]~51817\ $ (GND))) # (!\led_flash_cnt[1781][3]~q\ & (!\led_flash_cnt[1781][2]~51817\ & VCC))
-- \led_flash_cnt[1781][3]~51819\ = CARRY((\led_flash_cnt[1781][3]~q\ & !\led_flash_cnt[1781][2]~51817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1781][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1781][2]~51817\,
	combout => \led_flash_cnt[1781][3]~51818_combout\,
	cout => \led_flash_cnt[1781][3]~51819\);

-- Location: FF_X9_Y33_N21
\led_flash_cnt[1781][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1781][3]~51818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1781][3]~q\);

-- Location: LCCOMB_X9_Y33_N22
\led_flash_cnt[1781][4]~51820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1781][4]~51820_combout\ = (\led_flash_cnt[1781][4]~q\ & (!\led_flash_cnt[1781][3]~51819\)) # (!\led_flash_cnt[1781][4]~q\ & ((\led_flash_cnt[1781][3]~51819\) # (GND)))
-- \led_flash_cnt[1781][4]~51821\ = CARRY((!\led_flash_cnt[1781][3]~51819\) # (!\led_flash_cnt[1781][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1781][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1781][3]~51819\,
	combout => \led_flash_cnt[1781][4]~51820_combout\,
	cout => \led_flash_cnt[1781][4]~51821\);

-- Location: FF_X9_Y33_N23
\led_flash_cnt[1781][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1781][4]~51820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1781][4]~q\);

-- Location: LCCOMB_X9_Y33_N14
\WideAnd1781~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1781~0_combout\ = (\led_flash_cnt[1781][3]~q\ & (\led_flash_cnt[1781][1]~q\ & (\led_flash_cnt[1781][4]~q\ & \led_flash_cnt[1781][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1781][3]~q\,
	datab => \led_flash_cnt[1781][1]~q\,
	datac => \led_flash_cnt[1781][4]~q\,
	datad => \led_flash_cnt[1781][2]~q\,
	combout => \WideAnd1781~0_combout\);

-- Location: LCCOMB_X9_Y33_N24
\led_flash_cnt[1781][5]~51822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1781][5]~51822_combout\ = (\led_flash_cnt[1781][5]~q\ & (\led_flash_cnt[1781][4]~51821\ $ (GND))) # (!\led_flash_cnt[1781][5]~q\ & (!\led_flash_cnt[1781][4]~51821\ & VCC))
-- \led_flash_cnt[1781][5]~51823\ = CARRY((\led_flash_cnt[1781][5]~q\ & !\led_flash_cnt[1781][4]~51821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1781][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1781][4]~51821\,
	combout => \led_flash_cnt[1781][5]~51822_combout\,
	cout => \led_flash_cnt[1781][5]~51823\);

-- Location: FF_X9_Y33_N25
\led_flash_cnt[1781][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1781][5]~51822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1781][5]~q\);

-- Location: LCCOMB_X9_Y33_N26
\led_flash_cnt[1781][6]~51824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1781][6]~51824_combout\ = (\led_flash_cnt[1781][6]~q\ & (!\led_flash_cnt[1781][5]~51823\)) # (!\led_flash_cnt[1781][6]~q\ & ((\led_flash_cnt[1781][5]~51823\) # (GND)))
-- \led_flash_cnt[1781][6]~51825\ = CARRY((!\led_flash_cnt[1781][5]~51823\) # (!\led_flash_cnt[1781][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1781][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1781][5]~51823\,
	combout => \led_flash_cnt[1781][6]~51824_combout\,
	cout => \led_flash_cnt[1781][6]~51825\);

-- Location: FF_X9_Y33_N27
\led_flash_cnt[1781][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1781][6]~51824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1781][6]~q\);

-- Location: LCCOMB_X9_Y33_N28
\led_flash_cnt[1781][7]~51826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1781][7]~51826_combout\ = \led_flash_cnt[1781][6]~51825\ $ (!\led_flash_cnt[1781][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1781][7]~q\,
	cin => \led_flash_cnt[1781][6]~51825\,
	combout => \led_flash_cnt[1781][7]~51826_combout\);

-- Location: FF_X9_Y33_N29
\led_flash_cnt[1781][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1781][7]~51826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1781][7]~q\);

-- Location: LCCOMB_X10_Y33_N26
\WideAnd1781~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1781~1_combout\ = (\led_flash_cnt[1781][6]~q\ & \led_flash_cnt[1781][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1781][6]~q\,
	datad => \led_flash_cnt[1781][5]~q\,
	combout => \WideAnd1781~1_combout\);

-- Location: LCCOMB_X10_Y33_N0
WideAnd1781 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1781~combout\ = (\WideAnd1781~0_combout\ & (\led_flash_cnt[1781][7]~q\ & (\WideAnd1781~1_combout\ & \led_flash_cnt[1781][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1781~0_combout\,
	datab => \led_flash_cnt[1781][7]~q\,
	datac => \WideAnd1781~1_combout\,
	datad => \led_flash_cnt[1781][0]~q\,
	combout => \WideAnd1781~combout\);

-- Location: FF_X10_Y33_N1
\led_flash_cnt_ands[1781]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1781~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1781));

-- Location: LCCOMB_X10_Y33_N30
\led_flash_cnt[1780][0]~82420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1780][0]~82420_combout\ = !\led_flash_cnt[1780][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1780][0]~q\,
	combout => \led_flash_cnt[1780][0]~82420_combout\);

-- Location: FF_X10_Y33_N31
\led_flash_cnt[1780][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1780][0]~82420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1780][0]~q\);

-- Location: LCCOMB_X10_Y33_N4
\led_flash_cnt[1780][1]~51800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1780][1]~51800_combout\ = (\led_flash_cnt[1780][0]~q\ & (\led_flash_cnt[1780][1]~q\ $ (VCC))) # (!\led_flash_cnt[1780][0]~q\ & (\led_flash_cnt[1780][1]~q\ & VCC))
-- \led_flash_cnt[1780][1]~51801\ = CARRY((\led_flash_cnt[1780][0]~q\ & \led_flash_cnt[1780][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1780][0]~q\,
	datab => \led_flash_cnt[1780][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1780][1]~51800_combout\,
	cout => \led_flash_cnt[1780][1]~51801\);

-- Location: FF_X10_Y33_N5
\led_flash_cnt[1780][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1780][1]~51800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1780][1]~q\);

-- Location: LCCOMB_X10_Y33_N6
\led_flash_cnt[1780][2]~51802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1780][2]~51802_combout\ = (\led_flash_cnt[1780][2]~q\ & (!\led_flash_cnt[1780][1]~51801\)) # (!\led_flash_cnt[1780][2]~q\ & ((\led_flash_cnt[1780][1]~51801\) # (GND)))
-- \led_flash_cnt[1780][2]~51803\ = CARRY((!\led_flash_cnt[1780][1]~51801\) # (!\led_flash_cnt[1780][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1780][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1780][1]~51801\,
	combout => \led_flash_cnt[1780][2]~51802_combout\,
	cout => \led_flash_cnt[1780][2]~51803\);

-- Location: FF_X10_Y33_N7
\led_flash_cnt[1780][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1780][2]~51802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1780][2]~q\);

-- Location: LCCOMB_X10_Y33_N8
\led_flash_cnt[1780][3]~51804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1780][3]~51804_combout\ = (\led_flash_cnt[1780][3]~q\ & (\led_flash_cnt[1780][2]~51803\ $ (GND))) # (!\led_flash_cnt[1780][3]~q\ & (!\led_flash_cnt[1780][2]~51803\ & VCC))
-- \led_flash_cnt[1780][3]~51805\ = CARRY((\led_flash_cnt[1780][3]~q\ & !\led_flash_cnt[1780][2]~51803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1780][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1780][2]~51803\,
	combout => \led_flash_cnt[1780][3]~51804_combout\,
	cout => \led_flash_cnt[1780][3]~51805\);

-- Location: FF_X10_Y33_N9
\led_flash_cnt[1780][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1780][3]~51804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1780][3]~q\);

-- Location: LCCOMB_X10_Y33_N10
\led_flash_cnt[1780][4]~51806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1780][4]~51806_combout\ = (\led_flash_cnt[1780][4]~q\ & (!\led_flash_cnt[1780][3]~51805\)) # (!\led_flash_cnt[1780][4]~q\ & ((\led_flash_cnt[1780][3]~51805\) # (GND)))
-- \led_flash_cnt[1780][4]~51807\ = CARRY((!\led_flash_cnt[1780][3]~51805\) # (!\led_flash_cnt[1780][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1780][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1780][3]~51805\,
	combout => \led_flash_cnt[1780][4]~51806_combout\,
	cout => \led_flash_cnt[1780][4]~51807\);

-- Location: FF_X10_Y33_N11
\led_flash_cnt[1780][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1780][4]~51806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1780][4]~q\);

-- Location: LCCOMB_X10_Y33_N12
\led_flash_cnt[1780][5]~51808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1780][5]~51808_combout\ = (\led_flash_cnt[1780][5]~q\ & (\led_flash_cnt[1780][4]~51807\ $ (GND))) # (!\led_flash_cnt[1780][5]~q\ & (!\led_flash_cnt[1780][4]~51807\ & VCC))
-- \led_flash_cnt[1780][5]~51809\ = CARRY((\led_flash_cnt[1780][5]~q\ & !\led_flash_cnt[1780][4]~51807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1780][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1780][4]~51807\,
	combout => \led_flash_cnt[1780][5]~51808_combout\,
	cout => \led_flash_cnt[1780][5]~51809\);

-- Location: FF_X10_Y33_N13
\led_flash_cnt[1780][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1780][5]~51808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1780][5]~q\);

-- Location: LCCOMB_X10_Y33_N14
\led_flash_cnt[1780][6]~51810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1780][6]~51810_combout\ = (\led_flash_cnt[1780][6]~q\ & (!\led_flash_cnt[1780][5]~51809\)) # (!\led_flash_cnt[1780][6]~q\ & ((\led_flash_cnt[1780][5]~51809\) # (GND)))
-- \led_flash_cnt[1780][6]~51811\ = CARRY((!\led_flash_cnt[1780][5]~51809\) # (!\led_flash_cnt[1780][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1780][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1780][5]~51809\,
	combout => \led_flash_cnt[1780][6]~51810_combout\,
	cout => \led_flash_cnt[1780][6]~51811\);

-- Location: FF_X10_Y33_N15
\led_flash_cnt[1780][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1780][6]~51810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1780][6]~q\);

-- Location: LCCOMB_X10_Y33_N16
\led_flash_cnt[1780][7]~51812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1780][7]~51812_combout\ = \led_flash_cnt[1780][6]~51811\ $ (!\led_flash_cnt[1780][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1780][7]~q\,
	cin => \led_flash_cnt[1780][6]~51811\,
	combout => \led_flash_cnt[1780][7]~51812_combout\);

-- Location: FF_X10_Y33_N17
\led_flash_cnt[1780][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1780][7]~51812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1780][7]~q\);

-- Location: LCCOMB_X10_Y33_N22
\WideAnd1780~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1780~1_combout\ = (\led_flash_cnt[1780][6]~q\ & \led_flash_cnt[1780][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1780][6]~q\,
	datad => \led_flash_cnt[1780][5]~q\,
	combout => \WideAnd1780~1_combout\);

-- Location: LCCOMB_X10_Y33_N18
\WideAnd1780~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1780~0_combout\ = (\led_flash_cnt[1780][2]~q\ & (\led_flash_cnt[1780][1]~q\ & (\led_flash_cnt[1780][3]~q\ & \led_flash_cnt[1780][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1780][2]~q\,
	datab => \led_flash_cnt[1780][1]~q\,
	datac => \led_flash_cnt[1780][3]~q\,
	datad => \led_flash_cnt[1780][4]~q\,
	combout => \WideAnd1780~0_combout\);

-- Location: LCCOMB_X10_Y33_N24
WideAnd1780 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1780~combout\ = (\led_flash_cnt[1780][0]~q\ & (\led_flash_cnt[1780][7]~q\ & (\WideAnd1780~1_combout\ & \WideAnd1780~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1780][0]~q\,
	datab => \led_flash_cnt[1780][7]~q\,
	datac => \WideAnd1780~1_combout\,
	datad => \WideAnd1780~0_combout\,
	combout => \WideAnd1780~combout\);

-- Location: FF_X10_Y33_N25
\led_flash_cnt_ands[1780]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1780~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1780));

-- Location: LCCOMB_X10_Y33_N20
\WideAnd4062~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4062~1_combout\ = (led_flash_cnt_ands(1781) & led_flash_cnt_ands(1780))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1781),
	datad => led_flash_cnt_ands(1780),
	combout => \WideAnd4062~1_combout\);

-- Location: LCCOMB_X62_Y21_N8
\led_flash_cnt[1777][0]~82417\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1777][0]~82417_combout\ = !\led_flash_cnt[1777][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1777][0]~q\,
	combout => \led_flash_cnt[1777][0]~82417_combout\);

-- Location: FF_X62_Y21_N9
\led_flash_cnt[1777][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1777][0]~82417_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1777][0]~q\);

-- Location: LCCOMB_X61_Y21_N0
\led_flash_cnt[1777][1]~51758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1777][1]~51758_combout\ = (\led_flash_cnt[1777][0]~q\ & (\led_flash_cnt[1777][1]~q\ $ (VCC))) # (!\led_flash_cnt[1777][0]~q\ & (\led_flash_cnt[1777][1]~q\ & VCC))
-- \led_flash_cnt[1777][1]~51759\ = CARRY((\led_flash_cnt[1777][0]~q\ & \led_flash_cnt[1777][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1777][0]~q\,
	datab => \led_flash_cnt[1777][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1777][1]~51758_combout\,
	cout => \led_flash_cnt[1777][1]~51759\);

-- Location: FF_X61_Y21_N1
\led_flash_cnt[1777][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1777][1]~51758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1777][1]~q\);

-- Location: LCCOMB_X61_Y21_N2
\led_flash_cnt[1777][2]~51760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1777][2]~51760_combout\ = (\led_flash_cnt[1777][2]~q\ & (!\led_flash_cnt[1777][1]~51759\)) # (!\led_flash_cnt[1777][2]~q\ & ((\led_flash_cnt[1777][1]~51759\) # (GND)))
-- \led_flash_cnt[1777][2]~51761\ = CARRY((!\led_flash_cnt[1777][1]~51759\) # (!\led_flash_cnt[1777][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1777][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1777][1]~51759\,
	combout => \led_flash_cnt[1777][2]~51760_combout\,
	cout => \led_flash_cnt[1777][2]~51761\);

-- Location: FF_X61_Y21_N3
\led_flash_cnt[1777][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1777][2]~51760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1777][2]~q\);

-- Location: LCCOMB_X61_Y21_N4
\led_flash_cnt[1777][3]~51762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1777][3]~51762_combout\ = (\led_flash_cnt[1777][3]~q\ & (\led_flash_cnt[1777][2]~51761\ $ (GND))) # (!\led_flash_cnt[1777][3]~q\ & (!\led_flash_cnt[1777][2]~51761\ & VCC))
-- \led_flash_cnt[1777][3]~51763\ = CARRY((\led_flash_cnt[1777][3]~q\ & !\led_flash_cnt[1777][2]~51761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1777][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1777][2]~51761\,
	combout => \led_flash_cnt[1777][3]~51762_combout\,
	cout => \led_flash_cnt[1777][3]~51763\);

-- Location: FF_X61_Y21_N5
\led_flash_cnt[1777][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1777][3]~51762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1777][3]~q\);

-- Location: LCCOMB_X61_Y21_N6
\led_flash_cnt[1777][4]~51764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1777][4]~51764_combout\ = (\led_flash_cnt[1777][4]~q\ & (!\led_flash_cnt[1777][3]~51763\)) # (!\led_flash_cnt[1777][4]~q\ & ((\led_flash_cnt[1777][3]~51763\) # (GND)))
-- \led_flash_cnt[1777][4]~51765\ = CARRY((!\led_flash_cnt[1777][3]~51763\) # (!\led_flash_cnt[1777][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1777][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1777][3]~51763\,
	combout => \led_flash_cnt[1777][4]~51764_combout\,
	cout => \led_flash_cnt[1777][4]~51765\);

-- Location: FF_X61_Y21_N7
\led_flash_cnt[1777][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1777][4]~51764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1777][4]~q\);

-- Location: LCCOMB_X61_Y21_N8
\led_flash_cnt[1777][5]~51766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1777][5]~51766_combout\ = (\led_flash_cnt[1777][5]~q\ & (\led_flash_cnt[1777][4]~51765\ $ (GND))) # (!\led_flash_cnt[1777][5]~q\ & (!\led_flash_cnt[1777][4]~51765\ & VCC))
-- \led_flash_cnt[1777][5]~51767\ = CARRY((\led_flash_cnt[1777][5]~q\ & !\led_flash_cnt[1777][4]~51765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1777][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1777][4]~51765\,
	combout => \led_flash_cnt[1777][5]~51766_combout\,
	cout => \led_flash_cnt[1777][5]~51767\);

-- Location: FF_X61_Y21_N9
\led_flash_cnt[1777][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1777][5]~51766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1777][5]~q\);

-- Location: LCCOMB_X61_Y21_N10
\led_flash_cnt[1777][6]~51768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1777][6]~51768_combout\ = (\led_flash_cnt[1777][6]~q\ & (!\led_flash_cnt[1777][5]~51767\)) # (!\led_flash_cnt[1777][6]~q\ & ((\led_flash_cnt[1777][5]~51767\) # (GND)))
-- \led_flash_cnt[1777][6]~51769\ = CARRY((!\led_flash_cnt[1777][5]~51767\) # (!\led_flash_cnt[1777][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1777][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1777][5]~51767\,
	combout => \led_flash_cnt[1777][6]~51768_combout\,
	cout => \led_flash_cnt[1777][6]~51769\);

-- Location: FF_X61_Y21_N11
\led_flash_cnt[1777][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1777][6]~51768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1777][6]~q\);

-- Location: LCCOMB_X61_Y21_N12
\led_flash_cnt[1777][7]~51770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1777][7]~51770_combout\ = \led_flash_cnt[1777][6]~51769\ $ (!\led_flash_cnt[1777][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1777][7]~q\,
	cin => \led_flash_cnt[1777][6]~51769\,
	combout => \led_flash_cnt[1777][7]~51770_combout\);

-- Location: FF_X61_Y21_N13
\led_flash_cnt[1777][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1777][7]~51770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1777][7]~q\);

-- Location: LCCOMB_X61_Y21_N30
\WideAnd1777~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1777~0_combout\ = (\led_flash_cnt[1777][4]~q\ & (\led_flash_cnt[1777][1]~q\ & (\led_flash_cnt[1777][3]~q\ & \led_flash_cnt[1777][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1777][4]~q\,
	datab => \led_flash_cnt[1777][1]~q\,
	datac => \led_flash_cnt[1777][3]~q\,
	datad => \led_flash_cnt[1777][2]~q\,
	combout => \WideAnd1777~0_combout\);

-- Location: LCCOMB_X62_Y21_N2
\WideAnd1777~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1777~1_combout\ = (\led_flash_cnt[1777][6]~q\ & \led_flash_cnt[1777][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1777][6]~q\,
	datad => \led_flash_cnt[1777][5]~q\,
	combout => \WideAnd1777~1_combout\);

-- Location: LCCOMB_X62_Y21_N6
WideAnd1777 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1777~combout\ = (\led_flash_cnt[1777][7]~q\ & (\WideAnd1777~0_combout\ & (\led_flash_cnt[1777][0]~q\ & \WideAnd1777~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1777][7]~q\,
	datab => \WideAnd1777~0_combout\,
	datac => \led_flash_cnt[1777][0]~q\,
	datad => \WideAnd1777~1_combout\,
	combout => \WideAnd1777~combout\);

-- Location: FF_X62_Y21_N7
\led_flash_cnt_ands[1777]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1777~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1777));

-- Location: LCCOMB_X62_Y21_N12
\led_flash_cnt[1779][0]~82419\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1779][0]~82419_combout\ = !\led_flash_cnt[1779][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1779][0]~q\,
	combout => \led_flash_cnt[1779][0]~82419_combout\);

-- Location: FF_X62_Y21_N13
\led_flash_cnt[1779][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1779][0]~82419_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1779][0]~q\);

-- Location: LCCOMB_X62_Y21_N14
\led_flash_cnt[1779][1]~51786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1779][1]~51786_combout\ = (\led_flash_cnt[1779][0]~q\ & (\led_flash_cnt[1779][1]~q\ $ (VCC))) # (!\led_flash_cnt[1779][0]~q\ & (\led_flash_cnt[1779][1]~q\ & VCC))
-- \led_flash_cnt[1779][1]~51787\ = CARRY((\led_flash_cnt[1779][0]~q\ & \led_flash_cnt[1779][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1779][0]~q\,
	datab => \led_flash_cnt[1779][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1779][1]~51786_combout\,
	cout => \led_flash_cnt[1779][1]~51787\);

-- Location: FF_X62_Y21_N15
\led_flash_cnt[1779][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1779][1]~51786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1779][1]~q\);

-- Location: LCCOMB_X62_Y21_N16
\led_flash_cnt[1779][2]~51788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1779][2]~51788_combout\ = (\led_flash_cnt[1779][2]~q\ & (!\led_flash_cnt[1779][1]~51787\)) # (!\led_flash_cnt[1779][2]~q\ & ((\led_flash_cnt[1779][1]~51787\) # (GND)))
-- \led_flash_cnt[1779][2]~51789\ = CARRY((!\led_flash_cnt[1779][1]~51787\) # (!\led_flash_cnt[1779][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1779][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1779][1]~51787\,
	combout => \led_flash_cnt[1779][2]~51788_combout\,
	cout => \led_flash_cnt[1779][2]~51789\);

-- Location: FF_X62_Y21_N17
\led_flash_cnt[1779][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1779][2]~51788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1779][2]~q\);

-- Location: LCCOMB_X62_Y21_N18
\led_flash_cnt[1779][3]~51790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1779][3]~51790_combout\ = (\led_flash_cnt[1779][3]~q\ & (\led_flash_cnt[1779][2]~51789\ $ (GND))) # (!\led_flash_cnt[1779][3]~q\ & (!\led_flash_cnt[1779][2]~51789\ & VCC))
-- \led_flash_cnt[1779][3]~51791\ = CARRY((\led_flash_cnt[1779][3]~q\ & !\led_flash_cnt[1779][2]~51789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1779][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1779][2]~51789\,
	combout => \led_flash_cnt[1779][3]~51790_combout\,
	cout => \led_flash_cnt[1779][3]~51791\);

-- Location: FF_X62_Y21_N19
\led_flash_cnt[1779][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1779][3]~51790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1779][3]~q\);

-- Location: LCCOMB_X62_Y21_N20
\led_flash_cnt[1779][4]~51792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1779][4]~51792_combout\ = (\led_flash_cnt[1779][4]~q\ & (!\led_flash_cnt[1779][3]~51791\)) # (!\led_flash_cnt[1779][4]~q\ & ((\led_flash_cnt[1779][3]~51791\) # (GND)))
-- \led_flash_cnt[1779][4]~51793\ = CARRY((!\led_flash_cnt[1779][3]~51791\) # (!\led_flash_cnt[1779][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1779][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1779][3]~51791\,
	combout => \led_flash_cnt[1779][4]~51792_combout\,
	cout => \led_flash_cnt[1779][4]~51793\);

-- Location: FF_X62_Y21_N21
\led_flash_cnt[1779][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1779][4]~51792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1779][4]~q\);

-- Location: LCCOMB_X62_Y21_N22
\led_flash_cnt[1779][5]~51794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1779][5]~51794_combout\ = (\led_flash_cnt[1779][5]~q\ & (\led_flash_cnt[1779][4]~51793\ $ (GND))) # (!\led_flash_cnt[1779][5]~q\ & (!\led_flash_cnt[1779][4]~51793\ & VCC))
-- \led_flash_cnt[1779][5]~51795\ = CARRY((\led_flash_cnt[1779][5]~q\ & !\led_flash_cnt[1779][4]~51793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1779][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1779][4]~51793\,
	combout => \led_flash_cnt[1779][5]~51794_combout\,
	cout => \led_flash_cnt[1779][5]~51795\);

-- Location: FF_X62_Y21_N23
\led_flash_cnt[1779][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1779][5]~51794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1779][5]~q\);

-- Location: LCCOMB_X62_Y21_N24
\led_flash_cnt[1779][6]~51796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1779][6]~51796_combout\ = (\led_flash_cnt[1779][6]~q\ & (!\led_flash_cnt[1779][5]~51795\)) # (!\led_flash_cnt[1779][6]~q\ & ((\led_flash_cnt[1779][5]~51795\) # (GND)))
-- \led_flash_cnt[1779][6]~51797\ = CARRY((!\led_flash_cnt[1779][5]~51795\) # (!\led_flash_cnt[1779][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1779][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1779][5]~51795\,
	combout => \led_flash_cnt[1779][6]~51796_combout\,
	cout => \led_flash_cnt[1779][6]~51797\);

-- Location: FF_X62_Y21_N25
\led_flash_cnt[1779][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1779][6]~51796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1779][6]~q\);

-- Location: LCCOMB_X62_Y21_N10
\WideAnd1779~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1779~1_combout\ = (\led_flash_cnt[1779][5]~q\ & \led_flash_cnt[1779][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1779][5]~q\,
	datad => \led_flash_cnt[1779][6]~q\,
	combout => \WideAnd1779~1_combout\);

-- Location: LCCOMB_X62_Y21_N28
\WideAnd1779~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1779~0_combout\ = (\led_flash_cnt[1779][4]~q\ & (\led_flash_cnt[1779][3]~q\ & (\led_flash_cnt[1779][1]~q\ & \led_flash_cnt[1779][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1779][4]~q\,
	datab => \led_flash_cnt[1779][3]~q\,
	datac => \led_flash_cnt[1779][1]~q\,
	datad => \led_flash_cnt[1779][2]~q\,
	combout => \WideAnd1779~0_combout\);

-- Location: LCCOMB_X62_Y21_N26
\led_flash_cnt[1779][7]~51798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1779][7]~51798_combout\ = \led_flash_cnt[1779][7]~q\ $ (!\led_flash_cnt[1779][6]~51797\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1779][7]~q\,
	cin => \led_flash_cnt[1779][6]~51797\,
	combout => \led_flash_cnt[1779][7]~51798_combout\);

-- Location: FF_X62_Y21_N27
\led_flash_cnt[1779][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1779][7]~51798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1779][7]~q\);

-- Location: LCCOMB_X62_Y21_N4
WideAnd1779 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1779~combout\ = (\WideAnd1779~1_combout\ & (\WideAnd1779~0_combout\ & (\led_flash_cnt[1779][7]~q\ & \led_flash_cnt[1779][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1779~1_combout\,
	datab => \WideAnd1779~0_combout\,
	datac => \led_flash_cnt[1779][7]~q\,
	datad => \led_flash_cnt[1779][0]~q\,
	combout => \WideAnd1779~combout\);

-- Location: FF_X62_Y21_N5
\led_flash_cnt_ands[1779]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1779~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1779));

-- Location: LCCOMB_X60_Y26_N6
\led_flash_cnt[1776][0]~82416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1776][0]~82416_combout\ = !\led_flash_cnt[1776][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1776][0]~q\,
	combout => \led_flash_cnt[1776][0]~82416_combout\);

-- Location: FF_X60_Y26_N7
\led_flash_cnt[1776][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1776][0]~82416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1776][0]~q\);

-- Location: LCCOMB_X61_Y26_N18
\led_flash_cnt[1776][1]~51744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1776][1]~51744_combout\ = (\led_flash_cnt[1776][0]~q\ & (\led_flash_cnt[1776][1]~q\ $ (VCC))) # (!\led_flash_cnt[1776][0]~q\ & (\led_flash_cnt[1776][1]~q\ & VCC))
-- \led_flash_cnt[1776][1]~51745\ = CARRY((\led_flash_cnt[1776][0]~q\ & \led_flash_cnt[1776][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1776][0]~q\,
	datab => \led_flash_cnt[1776][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1776][1]~51744_combout\,
	cout => \led_flash_cnt[1776][1]~51745\);

-- Location: FF_X61_Y26_N19
\led_flash_cnt[1776][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1776][1]~51744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1776][1]~q\);

-- Location: LCCOMB_X61_Y26_N20
\led_flash_cnt[1776][2]~51746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1776][2]~51746_combout\ = (\led_flash_cnt[1776][2]~q\ & (!\led_flash_cnt[1776][1]~51745\)) # (!\led_flash_cnt[1776][2]~q\ & ((\led_flash_cnt[1776][1]~51745\) # (GND)))
-- \led_flash_cnt[1776][2]~51747\ = CARRY((!\led_flash_cnt[1776][1]~51745\) # (!\led_flash_cnt[1776][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1776][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1776][1]~51745\,
	combout => \led_flash_cnt[1776][2]~51746_combout\,
	cout => \led_flash_cnt[1776][2]~51747\);

-- Location: FF_X61_Y26_N21
\led_flash_cnt[1776][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1776][2]~51746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1776][2]~q\);

-- Location: LCCOMB_X61_Y26_N22
\led_flash_cnt[1776][3]~51748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1776][3]~51748_combout\ = (\led_flash_cnt[1776][3]~q\ & (\led_flash_cnt[1776][2]~51747\ $ (GND))) # (!\led_flash_cnt[1776][3]~q\ & (!\led_flash_cnt[1776][2]~51747\ & VCC))
-- \led_flash_cnt[1776][3]~51749\ = CARRY((\led_flash_cnt[1776][3]~q\ & !\led_flash_cnt[1776][2]~51747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1776][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1776][2]~51747\,
	combout => \led_flash_cnt[1776][3]~51748_combout\,
	cout => \led_flash_cnt[1776][3]~51749\);

-- Location: FF_X61_Y26_N23
\led_flash_cnt[1776][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1776][3]~51748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1776][3]~q\);

-- Location: LCCOMB_X61_Y26_N24
\led_flash_cnt[1776][4]~51750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1776][4]~51750_combout\ = (\led_flash_cnt[1776][4]~q\ & (!\led_flash_cnt[1776][3]~51749\)) # (!\led_flash_cnt[1776][4]~q\ & ((\led_flash_cnt[1776][3]~51749\) # (GND)))
-- \led_flash_cnt[1776][4]~51751\ = CARRY((!\led_flash_cnt[1776][3]~51749\) # (!\led_flash_cnt[1776][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1776][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1776][3]~51749\,
	combout => \led_flash_cnt[1776][4]~51750_combout\,
	cout => \led_flash_cnt[1776][4]~51751\);

-- Location: FF_X61_Y26_N25
\led_flash_cnt[1776][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1776][4]~51750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1776][4]~q\);

-- Location: LCCOMB_X61_Y26_N26
\led_flash_cnt[1776][5]~51752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1776][5]~51752_combout\ = (\led_flash_cnt[1776][5]~q\ & (\led_flash_cnt[1776][4]~51751\ $ (GND))) # (!\led_flash_cnt[1776][5]~q\ & (!\led_flash_cnt[1776][4]~51751\ & VCC))
-- \led_flash_cnt[1776][5]~51753\ = CARRY((\led_flash_cnt[1776][5]~q\ & !\led_flash_cnt[1776][4]~51751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1776][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1776][4]~51751\,
	combout => \led_flash_cnt[1776][5]~51752_combout\,
	cout => \led_flash_cnt[1776][5]~51753\);

-- Location: FF_X61_Y26_N27
\led_flash_cnt[1776][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1776][5]~51752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1776][5]~q\);

-- Location: LCCOMB_X61_Y26_N28
\led_flash_cnt[1776][6]~51754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1776][6]~51754_combout\ = (\led_flash_cnt[1776][6]~q\ & (!\led_flash_cnt[1776][5]~51753\)) # (!\led_flash_cnt[1776][6]~q\ & ((\led_flash_cnt[1776][5]~51753\) # (GND)))
-- \led_flash_cnt[1776][6]~51755\ = CARRY((!\led_flash_cnt[1776][5]~51753\) # (!\led_flash_cnt[1776][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1776][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1776][5]~51753\,
	combout => \led_flash_cnt[1776][6]~51754_combout\,
	cout => \led_flash_cnt[1776][6]~51755\);

-- Location: FF_X61_Y26_N29
\led_flash_cnt[1776][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1776][6]~51754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1776][6]~q\);

-- Location: LCCOMB_X60_Y26_N10
\WideAnd1776~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1776~1_combout\ = (\led_flash_cnt[1776][6]~q\ & \led_flash_cnt[1776][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1776][6]~q\,
	datac => \led_flash_cnt[1776][5]~q\,
	combout => \WideAnd1776~1_combout\);

-- Location: LCCOMB_X60_Y26_N2
\WideAnd1776~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1776~0_combout\ = (\led_flash_cnt[1776][1]~q\ & (\led_flash_cnt[1776][4]~q\ & (\led_flash_cnt[1776][2]~q\ & \led_flash_cnt[1776][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1776][1]~q\,
	datab => \led_flash_cnt[1776][4]~q\,
	datac => \led_flash_cnt[1776][2]~q\,
	datad => \led_flash_cnt[1776][3]~q\,
	combout => \WideAnd1776~0_combout\);

-- Location: LCCOMB_X61_Y26_N30
\led_flash_cnt[1776][7]~51756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1776][7]~51756_combout\ = \led_flash_cnt[1776][7]~q\ $ (!\led_flash_cnt[1776][6]~51755\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1776][7]~q\,
	cin => \led_flash_cnt[1776][6]~51755\,
	combout => \led_flash_cnt[1776][7]~51756_combout\);

-- Location: FF_X61_Y26_N31
\led_flash_cnt[1776][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1776][7]~51756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1776][7]~q\);

-- Location: LCCOMB_X60_Y26_N30
WideAnd1776 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1776~combout\ = (\WideAnd1776~1_combout\ & (\WideAnd1776~0_combout\ & (\led_flash_cnt[1776][7]~q\ & \led_flash_cnt[1776][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1776~1_combout\,
	datab => \WideAnd1776~0_combout\,
	datac => \led_flash_cnt[1776][7]~q\,
	datad => \led_flash_cnt[1776][0]~q\,
	combout => \WideAnd1776~combout\);

-- Location: FF_X60_Y26_N31
\led_flash_cnt_ands[1776]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1776~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1776));

-- Location: LCCOMB_X62_Y1_N12
\led_flash_cnt[1778][0]~82418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1778][0]~82418_combout\ = !\led_flash_cnt[1778][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1778][0]~q\,
	combout => \led_flash_cnt[1778][0]~82418_combout\);

-- Location: FF_X62_Y1_N13
\led_flash_cnt[1778][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1778][0]~82418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1778][0]~q\);

-- Location: LCCOMB_X62_Y1_N16
\led_flash_cnt[1778][1]~51772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1778][1]~51772_combout\ = (\led_flash_cnt[1778][0]~q\ & (\led_flash_cnt[1778][1]~q\ $ (VCC))) # (!\led_flash_cnt[1778][0]~q\ & (\led_flash_cnt[1778][1]~q\ & VCC))
-- \led_flash_cnt[1778][1]~51773\ = CARRY((\led_flash_cnt[1778][0]~q\ & \led_flash_cnt[1778][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1778][0]~q\,
	datab => \led_flash_cnt[1778][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1778][1]~51772_combout\,
	cout => \led_flash_cnt[1778][1]~51773\);

-- Location: FF_X62_Y1_N17
\led_flash_cnt[1778][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1778][1]~51772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1778][1]~q\);

-- Location: LCCOMB_X62_Y1_N18
\led_flash_cnt[1778][2]~51774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1778][2]~51774_combout\ = (\led_flash_cnt[1778][2]~q\ & (!\led_flash_cnt[1778][1]~51773\)) # (!\led_flash_cnt[1778][2]~q\ & ((\led_flash_cnt[1778][1]~51773\) # (GND)))
-- \led_flash_cnt[1778][2]~51775\ = CARRY((!\led_flash_cnt[1778][1]~51773\) # (!\led_flash_cnt[1778][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1778][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1778][1]~51773\,
	combout => \led_flash_cnt[1778][2]~51774_combout\,
	cout => \led_flash_cnt[1778][2]~51775\);

-- Location: FF_X62_Y1_N19
\led_flash_cnt[1778][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1778][2]~51774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1778][2]~q\);

-- Location: LCCOMB_X62_Y1_N20
\led_flash_cnt[1778][3]~51776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1778][3]~51776_combout\ = (\led_flash_cnt[1778][3]~q\ & (\led_flash_cnt[1778][2]~51775\ $ (GND))) # (!\led_flash_cnt[1778][3]~q\ & (!\led_flash_cnt[1778][2]~51775\ & VCC))
-- \led_flash_cnt[1778][3]~51777\ = CARRY((\led_flash_cnt[1778][3]~q\ & !\led_flash_cnt[1778][2]~51775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1778][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1778][2]~51775\,
	combout => \led_flash_cnt[1778][3]~51776_combout\,
	cout => \led_flash_cnt[1778][3]~51777\);

-- Location: FF_X62_Y1_N21
\led_flash_cnt[1778][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1778][3]~51776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1778][3]~q\);

-- Location: LCCOMB_X62_Y1_N22
\led_flash_cnt[1778][4]~51778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1778][4]~51778_combout\ = (\led_flash_cnt[1778][4]~q\ & (!\led_flash_cnt[1778][3]~51777\)) # (!\led_flash_cnt[1778][4]~q\ & ((\led_flash_cnt[1778][3]~51777\) # (GND)))
-- \led_flash_cnt[1778][4]~51779\ = CARRY((!\led_flash_cnt[1778][3]~51777\) # (!\led_flash_cnt[1778][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1778][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1778][3]~51777\,
	combout => \led_flash_cnt[1778][4]~51778_combout\,
	cout => \led_flash_cnt[1778][4]~51779\);

-- Location: FF_X62_Y1_N23
\led_flash_cnt[1778][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1778][4]~51778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1778][4]~q\);

-- Location: LCCOMB_X62_Y1_N10
\WideAnd1778~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1778~0_combout\ = (\led_flash_cnt[1778][3]~q\ & (\led_flash_cnt[1778][2]~q\ & (\led_flash_cnt[1778][4]~q\ & \led_flash_cnt[1778][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1778][3]~q\,
	datab => \led_flash_cnt[1778][2]~q\,
	datac => \led_flash_cnt[1778][4]~q\,
	datad => \led_flash_cnt[1778][1]~q\,
	combout => \WideAnd1778~0_combout\);

-- Location: LCCOMB_X62_Y1_N24
\led_flash_cnt[1778][5]~51780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1778][5]~51780_combout\ = (\led_flash_cnt[1778][5]~q\ & (\led_flash_cnt[1778][4]~51779\ $ (GND))) # (!\led_flash_cnt[1778][5]~q\ & (!\led_flash_cnt[1778][4]~51779\ & VCC))
-- \led_flash_cnt[1778][5]~51781\ = CARRY((\led_flash_cnt[1778][5]~q\ & !\led_flash_cnt[1778][4]~51779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1778][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1778][4]~51779\,
	combout => \led_flash_cnt[1778][5]~51780_combout\,
	cout => \led_flash_cnt[1778][5]~51781\);

-- Location: FF_X62_Y1_N25
\led_flash_cnt[1778][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1778][5]~51780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1778][5]~q\);

-- Location: LCCOMB_X62_Y1_N26
\led_flash_cnt[1778][6]~51782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1778][6]~51782_combout\ = (\led_flash_cnt[1778][6]~q\ & (!\led_flash_cnt[1778][5]~51781\)) # (!\led_flash_cnt[1778][6]~q\ & ((\led_flash_cnt[1778][5]~51781\) # (GND)))
-- \led_flash_cnt[1778][6]~51783\ = CARRY((!\led_flash_cnt[1778][5]~51781\) # (!\led_flash_cnt[1778][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1778][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1778][5]~51781\,
	combout => \led_flash_cnt[1778][6]~51782_combout\,
	cout => \led_flash_cnt[1778][6]~51783\);

-- Location: FF_X62_Y1_N27
\led_flash_cnt[1778][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1778][6]~51782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1778][6]~q\);

-- Location: LCCOMB_X62_Y1_N28
\led_flash_cnt[1778][7]~51784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1778][7]~51784_combout\ = \led_flash_cnt[1778][6]~51783\ $ (!\led_flash_cnt[1778][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1778][7]~q\,
	cin => \led_flash_cnt[1778][6]~51783\,
	combout => \led_flash_cnt[1778][7]~51784_combout\);

-- Location: FF_X62_Y1_N29
\led_flash_cnt[1778][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1778][7]~51784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1778][7]~q\);

-- Location: LCCOMB_X62_Y1_N4
\WideAnd1778~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1778~1_combout\ = (\led_flash_cnt[1778][6]~q\ & \led_flash_cnt[1778][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1778][6]~q\,
	datad => \led_flash_cnt[1778][5]~q\,
	combout => \WideAnd1778~1_combout\);

-- Location: LCCOMB_X62_Y1_N2
WideAnd1778 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1778~combout\ = (\WideAnd1778~0_combout\ & (\led_flash_cnt[1778][7]~q\ & (\WideAnd1778~1_combout\ & \led_flash_cnt[1778][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1778~0_combout\,
	datab => \led_flash_cnt[1778][7]~q\,
	datac => \WideAnd1778~1_combout\,
	datad => \led_flash_cnt[1778][0]~q\,
	combout => \WideAnd1778~combout\);

-- Location: FF_X62_Y1_N3
\led_flash_cnt_ands[1778]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1778~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1778));

-- Location: LCCOMB_X62_Y21_N30
\WideAnd4062~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4062~0_combout\ = (led_flash_cnt_ands(1777) & (led_flash_cnt_ands(1779) & (led_flash_cnt_ands(1776) & led_flash_cnt_ands(1778))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1777),
	datab => led_flash_cnt_ands(1779),
	datac => led_flash_cnt_ands(1776),
	datad => led_flash_cnt_ands(1778),
	combout => \WideAnd4062~0_combout\);

-- Location: LCCOMB_X17_Y29_N24
WideAnd4062 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4062~combout\ = (led_flash_cnt_ands(1783) & (led_flash_cnt_ands(1782) & (\WideAnd4062~1_combout\ & \WideAnd4062~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1783),
	datab => led_flash_cnt_ands(1782),
	datac => \WideAnd4062~1_combout\,
	datad => \WideAnd4062~0_combout\,
	combout => \WideAnd4062~combout\);

-- Location: FF_X17_Y29_N25
\led_flash_cnt_ands_1[222]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4062~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(222));

-- Location: LCCOMB_X49_Y22_N28
\led_flash_cnt[1750][0]~82390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1750][0]~82390_combout\ = !\led_flash_cnt[1750][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1750][0]~q\,
	combout => \led_flash_cnt[1750][0]~82390_combout\);

-- Location: FF_X49_Y22_N29
\led_flash_cnt[1750][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1750][0]~82390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1750][0]~q\);

-- Location: LCCOMB_X49_Y22_N12
\led_flash_cnt[1750][1]~51380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1750][1]~51380_combout\ = (\led_flash_cnt[1750][1]~q\ & (\led_flash_cnt[1750][0]~q\ $ (VCC))) # (!\led_flash_cnt[1750][1]~q\ & (\led_flash_cnt[1750][0]~q\ & VCC))
-- \led_flash_cnt[1750][1]~51381\ = CARRY((\led_flash_cnt[1750][1]~q\ & \led_flash_cnt[1750][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1750][1]~q\,
	datab => \led_flash_cnt[1750][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1750][1]~51380_combout\,
	cout => \led_flash_cnt[1750][1]~51381\);

-- Location: FF_X49_Y22_N13
\led_flash_cnt[1750][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1750][1]~51380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1750][1]~q\);

-- Location: LCCOMB_X49_Y22_N14
\led_flash_cnt[1750][2]~51382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1750][2]~51382_combout\ = (\led_flash_cnt[1750][2]~q\ & (!\led_flash_cnt[1750][1]~51381\)) # (!\led_flash_cnt[1750][2]~q\ & ((\led_flash_cnt[1750][1]~51381\) # (GND)))
-- \led_flash_cnt[1750][2]~51383\ = CARRY((!\led_flash_cnt[1750][1]~51381\) # (!\led_flash_cnt[1750][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1750][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1750][1]~51381\,
	combout => \led_flash_cnt[1750][2]~51382_combout\,
	cout => \led_flash_cnt[1750][2]~51383\);

-- Location: FF_X49_Y22_N15
\led_flash_cnt[1750][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1750][2]~51382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1750][2]~q\);

-- Location: LCCOMB_X49_Y22_N16
\led_flash_cnt[1750][3]~51384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1750][3]~51384_combout\ = (\led_flash_cnt[1750][3]~q\ & (\led_flash_cnt[1750][2]~51383\ $ (GND))) # (!\led_flash_cnt[1750][3]~q\ & (!\led_flash_cnt[1750][2]~51383\ & VCC))
-- \led_flash_cnt[1750][3]~51385\ = CARRY((\led_flash_cnt[1750][3]~q\ & !\led_flash_cnt[1750][2]~51383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1750][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1750][2]~51383\,
	combout => \led_flash_cnt[1750][3]~51384_combout\,
	cout => \led_flash_cnt[1750][3]~51385\);

-- Location: FF_X49_Y22_N17
\led_flash_cnt[1750][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1750][3]~51384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1750][3]~q\);

-- Location: LCCOMB_X49_Y22_N18
\led_flash_cnt[1750][4]~51386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1750][4]~51386_combout\ = (\led_flash_cnt[1750][4]~q\ & (!\led_flash_cnt[1750][3]~51385\)) # (!\led_flash_cnt[1750][4]~q\ & ((\led_flash_cnt[1750][3]~51385\) # (GND)))
-- \led_flash_cnt[1750][4]~51387\ = CARRY((!\led_flash_cnt[1750][3]~51385\) # (!\led_flash_cnt[1750][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1750][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1750][3]~51385\,
	combout => \led_flash_cnt[1750][4]~51386_combout\,
	cout => \led_flash_cnt[1750][4]~51387\);

-- Location: FF_X49_Y22_N19
\led_flash_cnt[1750][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1750][4]~51386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1750][4]~q\);

-- Location: LCCOMB_X49_Y22_N10
\WideAnd1750~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1750~0_combout\ = (\led_flash_cnt[1750][1]~q\ & (\led_flash_cnt[1750][4]~q\ & (\led_flash_cnt[1750][2]~q\ & \led_flash_cnt[1750][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1750][1]~q\,
	datab => \led_flash_cnt[1750][4]~q\,
	datac => \led_flash_cnt[1750][2]~q\,
	datad => \led_flash_cnt[1750][3]~q\,
	combout => \WideAnd1750~0_combout\);

-- Location: LCCOMB_X49_Y22_N20
\led_flash_cnt[1750][5]~51388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1750][5]~51388_combout\ = (\led_flash_cnt[1750][5]~q\ & (\led_flash_cnt[1750][4]~51387\ $ (GND))) # (!\led_flash_cnt[1750][5]~q\ & (!\led_flash_cnt[1750][4]~51387\ & VCC))
-- \led_flash_cnt[1750][5]~51389\ = CARRY((\led_flash_cnt[1750][5]~q\ & !\led_flash_cnt[1750][4]~51387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1750][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1750][4]~51387\,
	combout => \led_flash_cnt[1750][5]~51388_combout\,
	cout => \led_flash_cnt[1750][5]~51389\);

-- Location: FF_X49_Y22_N21
\led_flash_cnt[1750][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1750][5]~51388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1750][5]~q\);

-- Location: LCCOMB_X49_Y22_N22
\led_flash_cnt[1750][6]~51390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1750][6]~51390_combout\ = (\led_flash_cnt[1750][6]~q\ & (!\led_flash_cnt[1750][5]~51389\)) # (!\led_flash_cnt[1750][6]~q\ & ((\led_flash_cnt[1750][5]~51389\) # (GND)))
-- \led_flash_cnt[1750][6]~51391\ = CARRY((!\led_flash_cnt[1750][5]~51389\) # (!\led_flash_cnt[1750][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1750][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1750][5]~51389\,
	combout => \led_flash_cnt[1750][6]~51390_combout\,
	cout => \led_flash_cnt[1750][6]~51391\);

-- Location: FF_X49_Y22_N23
\led_flash_cnt[1750][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1750][6]~51390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1750][6]~q\);

-- Location: LCCOMB_X49_Y22_N24
\led_flash_cnt[1750][7]~51392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1750][7]~51392_combout\ = \led_flash_cnt[1750][6]~51391\ $ (!\led_flash_cnt[1750][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1750][7]~q\,
	cin => \led_flash_cnt[1750][6]~51391\,
	combout => \led_flash_cnt[1750][7]~51392_combout\);

-- Location: FF_X49_Y22_N25
\led_flash_cnt[1750][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1750][7]~51392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1750][7]~q\);

-- Location: LCCOMB_X49_Y22_N30
\WideAnd1750~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1750~1_combout\ = (\led_flash_cnt[1750][6]~q\ & \led_flash_cnt[1750][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1750][6]~q\,
	datad => \led_flash_cnt[1750][5]~q\,
	combout => \WideAnd1750~1_combout\);

-- Location: LCCOMB_X49_Y22_N26
WideAnd1750 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1750~combout\ = (\WideAnd1750~0_combout\ & (\led_flash_cnt[1750][7]~q\ & (\WideAnd1750~1_combout\ & \led_flash_cnt[1750][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1750~0_combout\,
	datab => \led_flash_cnt[1750][7]~q\,
	datac => \WideAnd1750~1_combout\,
	datad => \led_flash_cnt[1750][0]~q\,
	combout => \WideAnd1750~combout\);

-- Location: FF_X49_Y22_N27
\led_flash_cnt_ands[1750]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1750~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1750));

-- Location: LCCOMB_X52_Y25_N30
\led_flash_cnt[1749][0]~82389\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1749][0]~82389_combout\ = !\led_flash_cnt[1749][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1749][0]~q\,
	combout => \led_flash_cnt[1749][0]~82389_combout\);

-- Location: FF_X52_Y25_N31
\led_flash_cnt[1749][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1749][0]~82389_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1749][0]~q\);

-- Location: LCCOMB_X52_Y24_N4
\led_flash_cnt[1749][1]~51366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1749][1]~51366_combout\ = (\led_flash_cnt[1749][0]~q\ & (\led_flash_cnt[1749][1]~q\ $ (VCC))) # (!\led_flash_cnt[1749][0]~q\ & (\led_flash_cnt[1749][1]~q\ & VCC))
-- \led_flash_cnt[1749][1]~51367\ = CARRY((\led_flash_cnt[1749][0]~q\ & \led_flash_cnt[1749][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1749][0]~q\,
	datab => \led_flash_cnt[1749][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1749][1]~51366_combout\,
	cout => \led_flash_cnt[1749][1]~51367\);

-- Location: FF_X52_Y24_N5
\led_flash_cnt[1749][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1749][1]~51366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1749][1]~q\);

-- Location: LCCOMB_X52_Y24_N6
\led_flash_cnt[1749][2]~51368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1749][2]~51368_combout\ = (\led_flash_cnt[1749][2]~q\ & (!\led_flash_cnt[1749][1]~51367\)) # (!\led_flash_cnt[1749][2]~q\ & ((\led_flash_cnt[1749][1]~51367\) # (GND)))
-- \led_flash_cnt[1749][2]~51369\ = CARRY((!\led_flash_cnt[1749][1]~51367\) # (!\led_flash_cnt[1749][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1749][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1749][1]~51367\,
	combout => \led_flash_cnt[1749][2]~51368_combout\,
	cout => \led_flash_cnt[1749][2]~51369\);

-- Location: FF_X52_Y24_N7
\led_flash_cnt[1749][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1749][2]~51368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1749][2]~q\);

-- Location: LCCOMB_X52_Y24_N8
\led_flash_cnt[1749][3]~51370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1749][3]~51370_combout\ = (\led_flash_cnt[1749][3]~q\ & (\led_flash_cnt[1749][2]~51369\ $ (GND))) # (!\led_flash_cnt[1749][3]~q\ & (!\led_flash_cnt[1749][2]~51369\ & VCC))
-- \led_flash_cnt[1749][3]~51371\ = CARRY((\led_flash_cnt[1749][3]~q\ & !\led_flash_cnt[1749][2]~51369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1749][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1749][2]~51369\,
	combout => \led_flash_cnt[1749][3]~51370_combout\,
	cout => \led_flash_cnt[1749][3]~51371\);

-- Location: FF_X52_Y24_N9
\led_flash_cnt[1749][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1749][3]~51370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1749][3]~q\);

-- Location: LCCOMB_X52_Y24_N10
\led_flash_cnt[1749][4]~51372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1749][4]~51372_combout\ = (\led_flash_cnt[1749][4]~q\ & (!\led_flash_cnt[1749][3]~51371\)) # (!\led_flash_cnt[1749][4]~q\ & ((\led_flash_cnt[1749][3]~51371\) # (GND)))
-- \led_flash_cnt[1749][4]~51373\ = CARRY((!\led_flash_cnt[1749][3]~51371\) # (!\led_flash_cnt[1749][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1749][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1749][3]~51371\,
	combout => \led_flash_cnt[1749][4]~51372_combout\,
	cout => \led_flash_cnt[1749][4]~51373\);

-- Location: FF_X52_Y24_N11
\led_flash_cnt[1749][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1749][4]~51372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1749][4]~q\);

-- Location: LCCOMB_X52_Y24_N0
\WideAnd1749~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1749~0_combout\ = (\led_flash_cnt[1749][4]~q\ & (\led_flash_cnt[1749][3]~q\ & (\led_flash_cnt[1749][1]~q\ & \led_flash_cnt[1749][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1749][4]~q\,
	datab => \led_flash_cnt[1749][3]~q\,
	datac => \led_flash_cnt[1749][1]~q\,
	datad => \led_flash_cnt[1749][2]~q\,
	combout => \WideAnd1749~0_combout\);

-- Location: LCCOMB_X52_Y24_N12
\led_flash_cnt[1749][5]~51374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1749][5]~51374_combout\ = (\led_flash_cnt[1749][5]~q\ & (\led_flash_cnt[1749][4]~51373\ $ (GND))) # (!\led_flash_cnt[1749][5]~q\ & (!\led_flash_cnt[1749][4]~51373\ & VCC))
-- \led_flash_cnt[1749][5]~51375\ = CARRY((\led_flash_cnt[1749][5]~q\ & !\led_flash_cnt[1749][4]~51373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1749][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1749][4]~51373\,
	combout => \led_flash_cnt[1749][5]~51374_combout\,
	cout => \led_flash_cnt[1749][5]~51375\);

-- Location: FF_X52_Y24_N13
\led_flash_cnt[1749][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1749][5]~51374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1749][5]~q\);

-- Location: LCCOMB_X52_Y24_N14
\led_flash_cnt[1749][6]~51376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1749][6]~51376_combout\ = (\led_flash_cnt[1749][6]~q\ & (!\led_flash_cnt[1749][5]~51375\)) # (!\led_flash_cnt[1749][6]~q\ & ((\led_flash_cnt[1749][5]~51375\) # (GND)))
-- \led_flash_cnt[1749][6]~51377\ = CARRY((!\led_flash_cnt[1749][5]~51375\) # (!\led_flash_cnt[1749][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1749][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1749][5]~51375\,
	combout => \led_flash_cnt[1749][6]~51376_combout\,
	cout => \led_flash_cnt[1749][6]~51377\);

-- Location: FF_X52_Y24_N15
\led_flash_cnt[1749][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1749][6]~51376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1749][6]~q\);

-- Location: LCCOMB_X52_Y24_N16
\led_flash_cnt[1749][7]~51378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1749][7]~51378_combout\ = \led_flash_cnt[1749][6]~51377\ $ (!\led_flash_cnt[1749][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1749][7]~q\,
	cin => \led_flash_cnt[1749][6]~51377\,
	combout => \led_flash_cnt[1749][7]~51378_combout\);

-- Location: FF_X52_Y24_N17
\led_flash_cnt[1749][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1749][7]~51378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1749][7]~q\);

-- Location: LCCOMB_X52_Y28_N0
\WideAnd1749~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1749~1_combout\ = (\led_flash_cnt[1749][6]~q\ & \led_flash_cnt[1749][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1749][6]~q\,
	datad => \led_flash_cnt[1749][5]~q\,
	combout => \WideAnd1749~1_combout\);

-- Location: LCCOMB_X52_Y28_N8
WideAnd1749 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1749~combout\ = (\WideAnd1749~0_combout\ & (\led_flash_cnt[1749][0]~q\ & (\led_flash_cnt[1749][7]~q\ & \WideAnd1749~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1749~0_combout\,
	datab => \led_flash_cnt[1749][0]~q\,
	datac => \led_flash_cnt[1749][7]~q\,
	datad => \WideAnd1749~1_combout\,
	combout => \WideAnd1749~combout\);

-- Location: FF_X52_Y28_N9
\led_flash_cnt_ands[1749]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1749~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1749));

-- Location: LCCOMB_X52_Y31_N16
\led_flash_cnt[1748][0]~82388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1748][0]~82388_combout\ = !\led_flash_cnt[1748][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1748][0]~q\,
	combout => \led_flash_cnt[1748][0]~82388_combout\);

-- Location: FF_X52_Y31_N17
\led_flash_cnt[1748][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1748][0]~82388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1748][0]~q\);

-- Location: LCCOMB_X52_Y28_N12
\led_flash_cnt[1748][1]~51352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1748][1]~51352_combout\ = (\led_flash_cnt[1748][1]~q\ & (\led_flash_cnt[1748][0]~q\ $ (VCC))) # (!\led_flash_cnt[1748][1]~q\ & (\led_flash_cnt[1748][0]~q\ & VCC))
-- \led_flash_cnt[1748][1]~51353\ = CARRY((\led_flash_cnt[1748][1]~q\ & \led_flash_cnt[1748][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1748][1]~q\,
	datab => \led_flash_cnt[1748][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1748][1]~51352_combout\,
	cout => \led_flash_cnt[1748][1]~51353\);

-- Location: FF_X52_Y28_N13
\led_flash_cnt[1748][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1748][1]~51352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1748][1]~q\);

-- Location: LCCOMB_X52_Y28_N14
\led_flash_cnt[1748][2]~51354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1748][2]~51354_combout\ = (\led_flash_cnt[1748][2]~q\ & (!\led_flash_cnt[1748][1]~51353\)) # (!\led_flash_cnt[1748][2]~q\ & ((\led_flash_cnt[1748][1]~51353\) # (GND)))
-- \led_flash_cnt[1748][2]~51355\ = CARRY((!\led_flash_cnt[1748][1]~51353\) # (!\led_flash_cnt[1748][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1748][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1748][1]~51353\,
	combout => \led_flash_cnt[1748][2]~51354_combout\,
	cout => \led_flash_cnt[1748][2]~51355\);

-- Location: FF_X52_Y28_N15
\led_flash_cnt[1748][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1748][2]~51354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1748][2]~q\);

-- Location: LCCOMB_X52_Y28_N16
\led_flash_cnt[1748][3]~51356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1748][3]~51356_combout\ = (\led_flash_cnt[1748][3]~q\ & (\led_flash_cnt[1748][2]~51355\ $ (GND))) # (!\led_flash_cnt[1748][3]~q\ & (!\led_flash_cnt[1748][2]~51355\ & VCC))
-- \led_flash_cnt[1748][3]~51357\ = CARRY((\led_flash_cnt[1748][3]~q\ & !\led_flash_cnt[1748][2]~51355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1748][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1748][2]~51355\,
	combout => \led_flash_cnt[1748][3]~51356_combout\,
	cout => \led_flash_cnt[1748][3]~51357\);

-- Location: FF_X52_Y28_N17
\led_flash_cnt[1748][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1748][3]~51356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1748][3]~q\);

-- Location: LCCOMB_X52_Y28_N18
\led_flash_cnt[1748][4]~51358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1748][4]~51358_combout\ = (\led_flash_cnt[1748][4]~q\ & (!\led_flash_cnt[1748][3]~51357\)) # (!\led_flash_cnt[1748][4]~q\ & ((\led_flash_cnt[1748][3]~51357\) # (GND)))
-- \led_flash_cnt[1748][4]~51359\ = CARRY((!\led_flash_cnt[1748][3]~51357\) # (!\led_flash_cnt[1748][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1748][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1748][3]~51357\,
	combout => \led_flash_cnt[1748][4]~51358_combout\,
	cout => \led_flash_cnt[1748][4]~51359\);

-- Location: FF_X52_Y28_N19
\led_flash_cnt[1748][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1748][4]~51358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1748][4]~q\);

-- Location: LCCOMB_X52_Y28_N26
\WideAnd1748~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1748~0_combout\ = (\led_flash_cnt[1748][1]~q\ & (\led_flash_cnt[1748][4]~q\ & (\led_flash_cnt[1748][2]~q\ & \led_flash_cnt[1748][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1748][1]~q\,
	datab => \led_flash_cnt[1748][4]~q\,
	datac => \led_flash_cnt[1748][2]~q\,
	datad => \led_flash_cnt[1748][3]~q\,
	combout => \WideAnd1748~0_combout\);

-- Location: LCCOMB_X52_Y28_N20
\led_flash_cnt[1748][5]~51360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1748][5]~51360_combout\ = (\led_flash_cnt[1748][5]~q\ & (\led_flash_cnt[1748][4]~51359\ $ (GND))) # (!\led_flash_cnt[1748][5]~q\ & (!\led_flash_cnt[1748][4]~51359\ & VCC))
-- \led_flash_cnt[1748][5]~51361\ = CARRY((\led_flash_cnt[1748][5]~q\ & !\led_flash_cnt[1748][4]~51359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1748][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1748][4]~51359\,
	combout => \led_flash_cnt[1748][5]~51360_combout\,
	cout => \led_flash_cnt[1748][5]~51361\);

-- Location: FF_X52_Y28_N21
\led_flash_cnt[1748][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1748][5]~51360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1748][5]~q\);

-- Location: LCCOMB_X52_Y28_N22
\led_flash_cnt[1748][6]~51362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1748][6]~51362_combout\ = (\led_flash_cnt[1748][6]~q\ & (!\led_flash_cnt[1748][5]~51361\)) # (!\led_flash_cnt[1748][6]~q\ & ((\led_flash_cnt[1748][5]~51361\) # (GND)))
-- \led_flash_cnt[1748][6]~51363\ = CARRY((!\led_flash_cnt[1748][5]~51361\) # (!\led_flash_cnt[1748][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1748][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1748][5]~51361\,
	combout => \led_flash_cnt[1748][6]~51362_combout\,
	cout => \led_flash_cnt[1748][6]~51363\);

-- Location: FF_X52_Y28_N23
\led_flash_cnt[1748][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1748][6]~51362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1748][6]~q\);

-- Location: LCCOMB_X52_Y28_N24
\led_flash_cnt[1748][7]~51364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1748][7]~51364_combout\ = \led_flash_cnt[1748][6]~51363\ $ (!\led_flash_cnt[1748][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1748][7]~q\,
	cin => \led_flash_cnt[1748][6]~51363\,
	combout => \led_flash_cnt[1748][7]~51364_combout\);

-- Location: FF_X52_Y28_N25
\led_flash_cnt[1748][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1748][7]~51364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1748][7]~q\);

-- Location: LCCOMB_X52_Y28_N4
\WideAnd1748~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1748~1_combout\ = (\led_flash_cnt[1748][6]~q\ & \led_flash_cnt[1748][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1748][6]~q\,
	datad => \led_flash_cnt[1748][5]~q\,
	combout => \WideAnd1748~1_combout\);

-- Location: LCCOMB_X52_Y28_N10
WideAnd1748 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1748~combout\ = (\WideAnd1748~0_combout\ & (\led_flash_cnt[1748][7]~q\ & (\WideAnd1748~1_combout\ & \led_flash_cnt[1748][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1748~0_combout\,
	datab => \led_flash_cnt[1748][7]~q\,
	datac => \WideAnd1748~1_combout\,
	datad => \led_flash_cnt[1748][0]~q\,
	combout => \WideAnd1748~combout\);

-- Location: FF_X52_Y28_N11
\led_flash_cnt_ands[1748]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1748~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1748));

-- Location: LCCOMB_X52_Y28_N30
\WideAnd4058~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4058~1_combout\ = (led_flash_cnt_ands(1749) & led_flash_cnt_ands(1748))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1749),
	datad => led_flash_cnt_ands(1748),
	combout => \WideAnd4058~1_combout\);

-- Location: LCCOMB_X44_Y19_N0
\led_flash_cnt[1744][0]~82384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1744][0]~82384_combout\ = !\led_flash_cnt[1744][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1744][0]~q\,
	combout => \led_flash_cnt[1744][0]~82384_combout\);

-- Location: FF_X44_Y19_N1
\led_flash_cnt[1744][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1744][0]~82384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1744][0]~q\);

-- Location: LCCOMB_X43_Y19_N18
\led_flash_cnt[1744][1]~51296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1744][1]~51296_combout\ = (\led_flash_cnt[1744][1]~q\ & (\led_flash_cnt[1744][0]~q\ $ (VCC))) # (!\led_flash_cnt[1744][1]~q\ & (\led_flash_cnt[1744][0]~q\ & VCC))
-- \led_flash_cnt[1744][1]~51297\ = CARRY((\led_flash_cnt[1744][1]~q\ & \led_flash_cnt[1744][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1744][1]~q\,
	datab => \led_flash_cnt[1744][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1744][1]~51296_combout\,
	cout => \led_flash_cnt[1744][1]~51297\);

-- Location: FF_X43_Y19_N19
\led_flash_cnt[1744][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1744][1]~51296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1744][1]~q\);

-- Location: LCCOMB_X43_Y19_N20
\led_flash_cnt[1744][2]~51298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1744][2]~51298_combout\ = (\led_flash_cnt[1744][2]~q\ & (!\led_flash_cnt[1744][1]~51297\)) # (!\led_flash_cnt[1744][2]~q\ & ((\led_flash_cnt[1744][1]~51297\) # (GND)))
-- \led_flash_cnt[1744][2]~51299\ = CARRY((!\led_flash_cnt[1744][1]~51297\) # (!\led_flash_cnt[1744][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1744][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1744][1]~51297\,
	combout => \led_flash_cnt[1744][2]~51298_combout\,
	cout => \led_flash_cnt[1744][2]~51299\);

-- Location: FF_X43_Y19_N21
\led_flash_cnt[1744][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1744][2]~51298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1744][2]~q\);

-- Location: LCCOMB_X43_Y19_N22
\led_flash_cnt[1744][3]~51300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1744][3]~51300_combout\ = (\led_flash_cnt[1744][3]~q\ & (\led_flash_cnt[1744][2]~51299\ $ (GND))) # (!\led_flash_cnt[1744][3]~q\ & (!\led_flash_cnt[1744][2]~51299\ & VCC))
-- \led_flash_cnt[1744][3]~51301\ = CARRY((\led_flash_cnt[1744][3]~q\ & !\led_flash_cnt[1744][2]~51299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1744][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1744][2]~51299\,
	combout => \led_flash_cnt[1744][3]~51300_combout\,
	cout => \led_flash_cnt[1744][3]~51301\);

-- Location: FF_X43_Y19_N23
\led_flash_cnt[1744][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1744][3]~51300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1744][3]~q\);

-- Location: LCCOMB_X43_Y19_N24
\led_flash_cnt[1744][4]~51302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1744][4]~51302_combout\ = (\led_flash_cnt[1744][4]~q\ & (!\led_flash_cnt[1744][3]~51301\)) # (!\led_flash_cnt[1744][4]~q\ & ((\led_flash_cnt[1744][3]~51301\) # (GND)))
-- \led_flash_cnt[1744][4]~51303\ = CARRY((!\led_flash_cnt[1744][3]~51301\) # (!\led_flash_cnt[1744][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1744][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1744][3]~51301\,
	combout => \led_flash_cnt[1744][4]~51302_combout\,
	cout => \led_flash_cnt[1744][4]~51303\);

-- Location: FF_X43_Y19_N25
\led_flash_cnt[1744][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1744][4]~51302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1744][4]~q\);

-- Location: LCCOMB_X43_Y19_N26
\led_flash_cnt[1744][5]~51304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1744][5]~51304_combout\ = (\led_flash_cnt[1744][5]~q\ & (\led_flash_cnt[1744][4]~51303\ $ (GND))) # (!\led_flash_cnt[1744][5]~q\ & (!\led_flash_cnt[1744][4]~51303\ & VCC))
-- \led_flash_cnt[1744][5]~51305\ = CARRY((\led_flash_cnt[1744][5]~q\ & !\led_flash_cnt[1744][4]~51303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1744][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1744][4]~51303\,
	combout => \led_flash_cnt[1744][5]~51304_combout\,
	cout => \led_flash_cnt[1744][5]~51305\);

-- Location: FF_X43_Y19_N27
\led_flash_cnt[1744][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1744][5]~51304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1744][5]~q\);

-- Location: LCCOMB_X43_Y19_N28
\led_flash_cnt[1744][6]~51306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1744][6]~51306_combout\ = (\led_flash_cnt[1744][6]~q\ & (!\led_flash_cnt[1744][5]~51305\)) # (!\led_flash_cnt[1744][6]~q\ & ((\led_flash_cnt[1744][5]~51305\) # (GND)))
-- \led_flash_cnt[1744][6]~51307\ = CARRY((!\led_flash_cnt[1744][5]~51305\) # (!\led_flash_cnt[1744][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1744][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1744][5]~51305\,
	combout => \led_flash_cnt[1744][6]~51306_combout\,
	cout => \led_flash_cnt[1744][6]~51307\);

-- Location: FF_X43_Y19_N29
\led_flash_cnt[1744][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1744][6]~51306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1744][6]~q\);

-- Location: LCCOMB_X44_Y19_N30
\WideAnd1744~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1744~1_combout\ = (\led_flash_cnt[1744][5]~q\ & \led_flash_cnt[1744][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1744][5]~q\,
	datad => \led_flash_cnt[1744][6]~q\,
	combout => \WideAnd1744~1_combout\);

-- Location: LCCOMB_X43_Y19_N30
\led_flash_cnt[1744][7]~51308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1744][7]~51308_combout\ = \led_flash_cnt[1744][7]~q\ $ (!\led_flash_cnt[1744][6]~51307\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1744][7]~q\,
	cin => \led_flash_cnt[1744][6]~51307\,
	combout => \led_flash_cnt[1744][7]~51308_combout\);

-- Location: FF_X43_Y19_N31
\led_flash_cnt[1744][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1744][7]~51308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1744][7]~q\);

-- Location: LCCOMB_X43_Y19_N0
\WideAnd1744~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1744~0_combout\ = (\led_flash_cnt[1744][1]~q\ & (\led_flash_cnt[1744][4]~q\ & (\led_flash_cnt[1744][3]~q\ & \led_flash_cnt[1744][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1744][1]~q\,
	datab => \led_flash_cnt[1744][4]~q\,
	datac => \led_flash_cnt[1744][3]~q\,
	datad => \led_flash_cnt[1744][2]~q\,
	combout => \WideAnd1744~0_combout\);

-- Location: LCCOMB_X44_Y19_N26
WideAnd1744 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1744~combout\ = (\WideAnd1744~1_combout\ & (\led_flash_cnt[1744][7]~q\ & (\WideAnd1744~0_combout\ & \led_flash_cnt[1744][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1744~1_combout\,
	datab => \led_flash_cnt[1744][7]~q\,
	datac => \WideAnd1744~0_combout\,
	datad => \led_flash_cnt[1744][0]~q\,
	combout => \WideAnd1744~combout\);

-- Location: FF_X44_Y19_N27
\led_flash_cnt_ands[1744]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1744~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1744));

-- Location: LCCOMB_X47_Y19_N30
\led_flash_cnt[1745][0]~82385\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1745][0]~82385_combout\ = !\led_flash_cnt[1745][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1745][0]~q\,
	combout => \led_flash_cnt[1745][0]~82385_combout\);

-- Location: FF_X47_Y19_N31
\led_flash_cnt[1745][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1745][0]~82385_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1745][0]~q\);

-- Location: LCCOMB_X46_Y20_N18
\led_flash_cnt[1745][1]~51310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1745][1]~51310_combout\ = (\led_flash_cnt[1745][0]~q\ & (\led_flash_cnt[1745][1]~q\ $ (VCC))) # (!\led_flash_cnt[1745][0]~q\ & (\led_flash_cnt[1745][1]~q\ & VCC))
-- \led_flash_cnt[1745][1]~51311\ = CARRY((\led_flash_cnt[1745][0]~q\ & \led_flash_cnt[1745][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1745][0]~q\,
	datab => \led_flash_cnt[1745][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1745][1]~51310_combout\,
	cout => \led_flash_cnt[1745][1]~51311\);

-- Location: FF_X46_Y20_N19
\led_flash_cnt[1745][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1745][1]~51310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1745][1]~q\);

-- Location: LCCOMB_X46_Y20_N20
\led_flash_cnt[1745][2]~51312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1745][2]~51312_combout\ = (\led_flash_cnt[1745][2]~q\ & (!\led_flash_cnt[1745][1]~51311\)) # (!\led_flash_cnt[1745][2]~q\ & ((\led_flash_cnt[1745][1]~51311\) # (GND)))
-- \led_flash_cnt[1745][2]~51313\ = CARRY((!\led_flash_cnt[1745][1]~51311\) # (!\led_flash_cnt[1745][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1745][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1745][1]~51311\,
	combout => \led_flash_cnt[1745][2]~51312_combout\,
	cout => \led_flash_cnt[1745][2]~51313\);

-- Location: FF_X46_Y20_N21
\led_flash_cnt[1745][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1745][2]~51312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1745][2]~q\);

-- Location: LCCOMB_X46_Y20_N22
\led_flash_cnt[1745][3]~51314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1745][3]~51314_combout\ = (\led_flash_cnt[1745][3]~q\ & (\led_flash_cnt[1745][2]~51313\ $ (GND))) # (!\led_flash_cnt[1745][3]~q\ & (!\led_flash_cnt[1745][2]~51313\ & VCC))
-- \led_flash_cnt[1745][3]~51315\ = CARRY((\led_flash_cnt[1745][3]~q\ & !\led_flash_cnt[1745][2]~51313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1745][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1745][2]~51313\,
	combout => \led_flash_cnt[1745][3]~51314_combout\,
	cout => \led_flash_cnt[1745][3]~51315\);

-- Location: FF_X46_Y20_N23
\led_flash_cnt[1745][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1745][3]~51314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1745][3]~q\);

-- Location: LCCOMB_X46_Y20_N24
\led_flash_cnt[1745][4]~51316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1745][4]~51316_combout\ = (\led_flash_cnt[1745][4]~q\ & (!\led_flash_cnt[1745][3]~51315\)) # (!\led_flash_cnt[1745][4]~q\ & ((\led_flash_cnt[1745][3]~51315\) # (GND)))
-- \led_flash_cnt[1745][4]~51317\ = CARRY((!\led_flash_cnt[1745][3]~51315\) # (!\led_flash_cnt[1745][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1745][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1745][3]~51315\,
	combout => \led_flash_cnt[1745][4]~51316_combout\,
	cout => \led_flash_cnt[1745][4]~51317\);

-- Location: FF_X46_Y20_N25
\led_flash_cnt[1745][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1745][4]~51316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1745][4]~q\);

-- Location: LCCOMB_X46_Y20_N14
\WideAnd1745~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1745~0_combout\ = (\led_flash_cnt[1745][2]~q\ & (\led_flash_cnt[1745][1]~q\ & (\led_flash_cnt[1745][3]~q\ & \led_flash_cnt[1745][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1745][2]~q\,
	datab => \led_flash_cnt[1745][1]~q\,
	datac => \led_flash_cnt[1745][3]~q\,
	datad => \led_flash_cnt[1745][4]~q\,
	combout => \WideAnd1745~0_combout\);

-- Location: LCCOMB_X46_Y20_N26
\led_flash_cnt[1745][5]~51318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1745][5]~51318_combout\ = (\led_flash_cnt[1745][5]~q\ & (\led_flash_cnt[1745][4]~51317\ $ (GND))) # (!\led_flash_cnt[1745][5]~q\ & (!\led_flash_cnt[1745][4]~51317\ & VCC))
-- \led_flash_cnt[1745][5]~51319\ = CARRY((\led_flash_cnt[1745][5]~q\ & !\led_flash_cnt[1745][4]~51317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1745][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1745][4]~51317\,
	combout => \led_flash_cnt[1745][5]~51318_combout\,
	cout => \led_flash_cnt[1745][5]~51319\);

-- Location: FF_X46_Y20_N27
\led_flash_cnt[1745][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1745][5]~51318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1745][5]~q\);

-- Location: LCCOMB_X46_Y20_N28
\led_flash_cnt[1745][6]~51320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1745][6]~51320_combout\ = (\led_flash_cnt[1745][6]~q\ & (!\led_flash_cnt[1745][5]~51319\)) # (!\led_flash_cnt[1745][6]~q\ & ((\led_flash_cnt[1745][5]~51319\) # (GND)))
-- \led_flash_cnt[1745][6]~51321\ = CARRY((!\led_flash_cnt[1745][5]~51319\) # (!\led_flash_cnt[1745][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1745][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1745][5]~51319\,
	combout => \led_flash_cnt[1745][6]~51320_combout\,
	cout => \led_flash_cnt[1745][6]~51321\);

-- Location: FF_X46_Y20_N29
\led_flash_cnt[1745][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1745][6]~51320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1745][6]~q\);

-- Location: LCCOMB_X46_Y20_N30
\led_flash_cnt[1745][7]~51322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1745][7]~51322_combout\ = \led_flash_cnt[1745][7]~q\ $ (!\led_flash_cnt[1745][6]~51321\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1745][7]~q\,
	cin => \led_flash_cnt[1745][6]~51321\,
	combout => \led_flash_cnt[1745][7]~51322_combout\);

-- Location: FF_X46_Y20_N31
\led_flash_cnt[1745][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1745][7]~51322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1745][7]~q\);

-- Location: LCCOMB_X47_Y20_N6
\WideAnd1745~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1745~1_combout\ = (\led_flash_cnt[1745][5]~q\ & \led_flash_cnt[1745][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1745][5]~q\,
	datad => \led_flash_cnt[1745][6]~q\,
	combout => \WideAnd1745~1_combout\);

-- Location: LCCOMB_X47_Y20_N8
WideAnd1745 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1745~combout\ = (\WideAnd1745~0_combout\ & (\led_flash_cnt[1745][7]~q\ & (\led_flash_cnt[1745][0]~q\ & \WideAnd1745~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1745~0_combout\,
	datab => \led_flash_cnt[1745][7]~q\,
	datac => \led_flash_cnt[1745][0]~q\,
	datad => \WideAnd1745~1_combout\,
	combout => \WideAnd1745~combout\);

-- Location: FF_X47_Y20_N9
\led_flash_cnt_ands[1745]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1745~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1745));

-- Location: LCCOMB_X22_Y23_N6
\led_flash_cnt[1747][0]~82387\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1747][0]~82387_combout\ = !\led_flash_cnt[1747][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1747][0]~q\,
	combout => \led_flash_cnt[1747][0]~82387_combout\);

-- Location: FF_X22_Y23_N7
\led_flash_cnt[1747][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1747][0]~82387_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1747][0]~q\);

-- Location: LCCOMB_X22_Y23_N16
\led_flash_cnt[1747][1]~51338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1747][1]~51338_combout\ = (\led_flash_cnt[1747][0]~q\ & (\led_flash_cnt[1747][1]~q\ $ (VCC))) # (!\led_flash_cnt[1747][0]~q\ & (\led_flash_cnt[1747][1]~q\ & VCC))
-- \led_flash_cnt[1747][1]~51339\ = CARRY((\led_flash_cnt[1747][0]~q\ & \led_flash_cnt[1747][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1747][0]~q\,
	datab => \led_flash_cnt[1747][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1747][1]~51338_combout\,
	cout => \led_flash_cnt[1747][1]~51339\);

-- Location: FF_X22_Y23_N17
\led_flash_cnt[1747][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1747][1]~51338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1747][1]~q\);

-- Location: LCCOMB_X22_Y23_N18
\led_flash_cnt[1747][2]~51340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1747][2]~51340_combout\ = (\led_flash_cnt[1747][2]~q\ & (!\led_flash_cnt[1747][1]~51339\)) # (!\led_flash_cnt[1747][2]~q\ & ((\led_flash_cnt[1747][1]~51339\) # (GND)))
-- \led_flash_cnt[1747][2]~51341\ = CARRY((!\led_flash_cnt[1747][1]~51339\) # (!\led_flash_cnt[1747][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1747][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1747][1]~51339\,
	combout => \led_flash_cnt[1747][2]~51340_combout\,
	cout => \led_flash_cnt[1747][2]~51341\);

-- Location: FF_X22_Y23_N19
\led_flash_cnt[1747][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1747][2]~51340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1747][2]~q\);

-- Location: LCCOMB_X22_Y23_N20
\led_flash_cnt[1747][3]~51342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1747][3]~51342_combout\ = (\led_flash_cnt[1747][3]~q\ & (\led_flash_cnt[1747][2]~51341\ $ (GND))) # (!\led_flash_cnt[1747][3]~q\ & (!\led_flash_cnt[1747][2]~51341\ & VCC))
-- \led_flash_cnt[1747][3]~51343\ = CARRY((\led_flash_cnt[1747][3]~q\ & !\led_flash_cnt[1747][2]~51341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1747][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1747][2]~51341\,
	combout => \led_flash_cnt[1747][3]~51342_combout\,
	cout => \led_flash_cnt[1747][3]~51343\);

-- Location: FF_X22_Y23_N21
\led_flash_cnt[1747][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1747][3]~51342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1747][3]~q\);

-- Location: LCCOMB_X22_Y23_N22
\led_flash_cnt[1747][4]~51344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1747][4]~51344_combout\ = (\led_flash_cnt[1747][4]~q\ & (!\led_flash_cnt[1747][3]~51343\)) # (!\led_flash_cnt[1747][4]~q\ & ((\led_flash_cnt[1747][3]~51343\) # (GND)))
-- \led_flash_cnt[1747][4]~51345\ = CARRY((!\led_flash_cnt[1747][3]~51343\) # (!\led_flash_cnt[1747][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1747][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1747][3]~51343\,
	combout => \led_flash_cnt[1747][4]~51344_combout\,
	cout => \led_flash_cnt[1747][4]~51345\);

-- Location: FF_X22_Y23_N23
\led_flash_cnt[1747][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1747][4]~51344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1747][4]~q\);

-- Location: LCCOMB_X22_Y23_N24
\led_flash_cnt[1747][5]~51346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1747][5]~51346_combout\ = (\led_flash_cnt[1747][5]~q\ & (\led_flash_cnt[1747][4]~51345\ $ (GND))) # (!\led_flash_cnt[1747][5]~q\ & (!\led_flash_cnt[1747][4]~51345\ & VCC))
-- \led_flash_cnt[1747][5]~51347\ = CARRY((\led_flash_cnt[1747][5]~q\ & !\led_flash_cnt[1747][4]~51345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1747][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1747][4]~51345\,
	combout => \led_flash_cnt[1747][5]~51346_combout\,
	cout => \led_flash_cnt[1747][5]~51347\);

-- Location: FF_X22_Y23_N25
\led_flash_cnt[1747][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1747][5]~51346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1747][5]~q\);

-- Location: LCCOMB_X22_Y23_N26
\led_flash_cnt[1747][6]~51348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1747][6]~51348_combout\ = (\led_flash_cnt[1747][6]~q\ & (!\led_flash_cnt[1747][5]~51347\)) # (!\led_flash_cnt[1747][6]~q\ & ((\led_flash_cnt[1747][5]~51347\) # (GND)))
-- \led_flash_cnt[1747][6]~51349\ = CARRY((!\led_flash_cnt[1747][5]~51347\) # (!\led_flash_cnt[1747][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1747][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1747][5]~51347\,
	combout => \led_flash_cnt[1747][6]~51348_combout\,
	cout => \led_flash_cnt[1747][6]~51349\);

-- Location: FF_X22_Y23_N27
\led_flash_cnt[1747][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1747][6]~51348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1747][6]~q\);

-- Location: LCCOMB_X22_Y23_N28
\led_flash_cnt[1747][7]~51350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1747][7]~51350_combout\ = \led_flash_cnt[1747][6]~51349\ $ (!\led_flash_cnt[1747][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1747][7]~q\,
	cin => \led_flash_cnt[1747][6]~51349\,
	combout => \led_flash_cnt[1747][7]~51350_combout\);

-- Location: FF_X22_Y23_N29
\led_flash_cnt[1747][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1747][7]~51350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1747][7]~q\);

-- Location: LCCOMB_X22_Y23_N4
\WideAnd1747~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1747~0_combout\ = (\led_flash_cnt[1747][2]~q\ & (\led_flash_cnt[1747][3]~q\ & (\led_flash_cnt[1747][4]~q\ & \led_flash_cnt[1747][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1747][2]~q\,
	datab => \led_flash_cnt[1747][3]~q\,
	datac => \led_flash_cnt[1747][4]~q\,
	datad => \led_flash_cnt[1747][1]~q\,
	combout => \WideAnd1747~0_combout\);

-- Location: LCCOMB_X22_Y23_N0
\WideAnd1747~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1747~1_combout\ = (\led_flash_cnt[1747][6]~q\ & \led_flash_cnt[1747][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1747][6]~q\,
	datad => \led_flash_cnt[1747][5]~q\,
	combout => \WideAnd1747~1_combout\);

-- Location: LCCOMB_X22_Y23_N14
WideAnd1747 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1747~combout\ = (\led_flash_cnt[1747][0]~q\ & (\led_flash_cnt[1747][7]~q\ & (\WideAnd1747~0_combout\ & \WideAnd1747~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1747][0]~q\,
	datab => \led_flash_cnt[1747][7]~q\,
	datac => \WideAnd1747~0_combout\,
	datad => \WideAnd1747~1_combout\,
	combout => \WideAnd1747~combout\);

-- Location: FF_X22_Y23_N15
\led_flash_cnt_ands[1747]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1747~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1747));

-- Location: LCCOMB_X47_Y19_N12
\led_flash_cnt[1746][0]~82386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1746][0]~82386_combout\ = !\led_flash_cnt[1746][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1746][0]~q\,
	combout => \led_flash_cnt[1746][0]~82386_combout\);

-- Location: FF_X47_Y19_N13
\led_flash_cnt[1746][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1746][0]~82386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1746][0]~q\);

-- Location: LCCOMB_X47_Y19_N16
\led_flash_cnt[1746][1]~51324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1746][1]~51324_combout\ = (\led_flash_cnt[1746][0]~q\ & (\led_flash_cnt[1746][1]~q\ $ (VCC))) # (!\led_flash_cnt[1746][0]~q\ & (\led_flash_cnt[1746][1]~q\ & VCC))
-- \led_flash_cnt[1746][1]~51325\ = CARRY((\led_flash_cnt[1746][0]~q\ & \led_flash_cnt[1746][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1746][0]~q\,
	datab => \led_flash_cnt[1746][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1746][1]~51324_combout\,
	cout => \led_flash_cnt[1746][1]~51325\);

-- Location: FF_X47_Y19_N17
\led_flash_cnt[1746][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1746][1]~51324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1746][1]~q\);

-- Location: LCCOMB_X47_Y19_N18
\led_flash_cnt[1746][2]~51326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1746][2]~51326_combout\ = (\led_flash_cnt[1746][2]~q\ & (!\led_flash_cnt[1746][1]~51325\)) # (!\led_flash_cnt[1746][2]~q\ & ((\led_flash_cnt[1746][1]~51325\) # (GND)))
-- \led_flash_cnt[1746][2]~51327\ = CARRY((!\led_flash_cnt[1746][1]~51325\) # (!\led_flash_cnt[1746][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1746][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1746][1]~51325\,
	combout => \led_flash_cnt[1746][2]~51326_combout\,
	cout => \led_flash_cnt[1746][2]~51327\);

-- Location: FF_X47_Y19_N19
\led_flash_cnt[1746][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1746][2]~51326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1746][2]~q\);

-- Location: LCCOMB_X47_Y19_N20
\led_flash_cnt[1746][3]~51328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1746][3]~51328_combout\ = (\led_flash_cnt[1746][3]~q\ & (\led_flash_cnt[1746][2]~51327\ $ (GND))) # (!\led_flash_cnt[1746][3]~q\ & (!\led_flash_cnt[1746][2]~51327\ & VCC))
-- \led_flash_cnt[1746][3]~51329\ = CARRY((\led_flash_cnt[1746][3]~q\ & !\led_flash_cnt[1746][2]~51327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1746][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1746][2]~51327\,
	combout => \led_flash_cnt[1746][3]~51328_combout\,
	cout => \led_flash_cnt[1746][3]~51329\);

-- Location: FF_X47_Y19_N21
\led_flash_cnt[1746][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1746][3]~51328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1746][3]~q\);

-- Location: LCCOMB_X47_Y19_N22
\led_flash_cnt[1746][4]~51330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1746][4]~51330_combout\ = (\led_flash_cnt[1746][4]~q\ & (!\led_flash_cnt[1746][3]~51329\)) # (!\led_flash_cnt[1746][4]~q\ & ((\led_flash_cnt[1746][3]~51329\) # (GND)))
-- \led_flash_cnt[1746][4]~51331\ = CARRY((!\led_flash_cnt[1746][3]~51329\) # (!\led_flash_cnt[1746][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1746][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1746][3]~51329\,
	combout => \led_flash_cnt[1746][4]~51330_combout\,
	cout => \led_flash_cnt[1746][4]~51331\);

-- Location: FF_X47_Y19_N23
\led_flash_cnt[1746][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1746][4]~51330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1746][4]~q\);

-- Location: LCCOMB_X47_Y19_N24
\led_flash_cnt[1746][5]~51332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1746][5]~51332_combout\ = (\led_flash_cnt[1746][5]~q\ & (\led_flash_cnt[1746][4]~51331\ $ (GND))) # (!\led_flash_cnt[1746][5]~q\ & (!\led_flash_cnt[1746][4]~51331\ & VCC))
-- \led_flash_cnt[1746][5]~51333\ = CARRY((\led_flash_cnt[1746][5]~q\ & !\led_flash_cnt[1746][4]~51331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1746][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1746][4]~51331\,
	combout => \led_flash_cnt[1746][5]~51332_combout\,
	cout => \led_flash_cnt[1746][5]~51333\);

-- Location: FF_X47_Y19_N25
\led_flash_cnt[1746][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1746][5]~51332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1746][5]~q\);

-- Location: LCCOMB_X47_Y19_N26
\led_flash_cnt[1746][6]~51334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1746][6]~51334_combout\ = (\led_flash_cnt[1746][6]~q\ & (!\led_flash_cnt[1746][5]~51333\)) # (!\led_flash_cnt[1746][6]~q\ & ((\led_flash_cnt[1746][5]~51333\) # (GND)))
-- \led_flash_cnt[1746][6]~51335\ = CARRY((!\led_flash_cnt[1746][5]~51333\) # (!\led_flash_cnt[1746][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1746][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1746][5]~51333\,
	combout => \led_flash_cnt[1746][6]~51334_combout\,
	cout => \led_flash_cnt[1746][6]~51335\);

-- Location: FF_X47_Y19_N27
\led_flash_cnt[1746][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1746][6]~51334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1746][6]~q\);

-- Location: LCCOMB_X47_Y19_N28
\led_flash_cnt[1746][7]~51336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1746][7]~51336_combout\ = \led_flash_cnt[1746][6]~51335\ $ (!\led_flash_cnt[1746][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1746][7]~q\,
	cin => \led_flash_cnt[1746][6]~51335\,
	combout => \led_flash_cnt[1746][7]~51336_combout\);

-- Location: FF_X47_Y19_N29
\led_flash_cnt[1746][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1746][7]~51336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1746][7]~q\);

-- Location: LCCOMB_X47_Y19_N8
\WideAnd1746~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1746~0_combout\ = (\led_flash_cnt[1746][1]~q\ & (\led_flash_cnt[1746][2]~q\ & (\led_flash_cnt[1746][4]~q\ & \led_flash_cnt[1746][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1746][1]~q\,
	datab => \led_flash_cnt[1746][2]~q\,
	datac => \led_flash_cnt[1746][4]~q\,
	datad => \led_flash_cnt[1746][3]~q\,
	combout => \WideAnd1746~0_combout\);

-- Location: LCCOMB_X47_Y19_N10
\WideAnd1746~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1746~1_combout\ = (\led_flash_cnt[1746][6]~q\ & \led_flash_cnt[1746][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1746][6]~q\,
	datad => \led_flash_cnt[1746][5]~q\,
	combout => \WideAnd1746~1_combout\);

-- Location: LCCOMB_X47_Y19_N0
WideAnd1746 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1746~combout\ = (\led_flash_cnt[1746][0]~q\ & (\led_flash_cnt[1746][7]~q\ & (\WideAnd1746~0_combout\ & \WideAnd1746~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1746][0]~q\,
	datab => \led_flash_cnt[1746][7]~q\,
	datac => \WideAnd1746~0_combout\,
	datad => \WideAnd1746~1_combout\,
	combout => \WideAnd1746~combout\);

-- Location: FF_X47_Y19_N1
\led_flash_cnt_ands[1746]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1746~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1746));

-- Location: LCCOMB_X47_Y19_N4
\WideAnd4058~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4058~0_combout\ = (led_flash_cnt_ands(1744) & (led_flash_cnt_ands(1745) & (led_flash_cnt_ands(1747) & led_flash_cnt_ands(1746))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1744),
	datab => led_flash_cnt_ands(1745),
	datac => led_flash_cnt_ands(1747),
	datad => led_flash_cnt_ands(1746),
	combout => \WideAnd4058~0_combout\);

-- Location: LCCOMB_X49_Y23_N2
\led_flash_cnt[1751][0]~82391\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1751][0]~82391_combout\ = !\led_flash_cnt[1751][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1751][0]~q\,
	combout => \led_flash_cnt[1751][0]~82391_combout\);

-- Location: FF_X49_Y23_N3
\led_flash_cnt[1751][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1751][0]~82391_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1751][0]~q\);

-- Location: LCCOMB_X49_Y23_N10
\led_flash_cnt[1751][1]~51394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1751][1]~51394_combout\ = (\led_flash_cnt[1751][1]~q\ & (\led_flash_cnt[1751][0]~q\ $ (VCC))) # (!\led_flash_cnt[1751][1]~q\ & (\led_flash_cnt[1751][0]~q\ & VCC))
-- \led_flash_cnt[1751][1]~51395\ = CARRY((\led_flash_cnt[1751][1]~q\ & \led_flash_cnt[1751][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1751][1]~q\,
	datab => \led_flash_cnt[1751][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1751][1]~51394_combout\,
	cout => \led_flash_cnt[1751][1]~51395\);

-- Location: FF_X49_Y23_N11
\led_flash_cnt[1751][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1751][1]~51394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1751][1]~q\);

-- Location: LCCOMB_X49_Y23_N12
\led_flash_cnt[1751][2]~51396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1751][2]~51396_combout\ = (\led_flash_cnt[1751][2]~q\ & (!\led_flash_cnt[1751][1]~51395\)) # (!\led_flash_cnt[1751][2]~q\ & ((\led_flash_cnt[1751][1]~51395\) # (GND)))
-- \led_flash_cnt[1751][2]~51397\ = CARRY((!\led_flash_cnt[1751][1]~51395\) # (!\led_flash_cnt[1751][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1751][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1751][1]~51395\,
	combout => \led_flash_cnt[1751][2]~51396_combout\,
	cout => \led_flash_cnt[1751][2]~51397\);

-- Location: FF_X49_Y23_N13
\led_flash_cnt[1751][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1751][2]~51396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1751][2]~q\);

-- Location: LCCOMB_X49_Y23_N14
\led_flash_cnt[1751][3]~51398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1751][3]~51398_combout\ = (\led_flash_cnt[1751][3]~q\ & (\led_flash_cnt[1751][2]~51397\ $ (GND))) # (!\led_flash_cnt[1751][3]~q\ & (!\led_flash_cnt[1751][2]~51397\ & VCC))
-- \led_flash_cnt[1751][3]~51399\ = CARRY((\led_flash_cnt[1751][3]~q\ & !\led_flash_cnt[1751][2]~51397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1751][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1751][2]~51397\,
	combout => \led_flash_cnt[1751][3]~51398_combout\,
	cout => \led_flash_cnt[1751][3]~51399\);

-- Location: FF_X49_Y23_N15
\led_flash_cnt[1751][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1751][3]~51398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1751][3]~q\);

-- Location: LCCOMB_X49_Y23_N16
\led_flash_cnt[1751][4]~51400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1751][4]~51400_combout\ = (\led_flash_cnt[1751][4]~q\ & (!\led_flash_cnt[1751][3]~51399\)) # (!\led_flash_cnt[1751][4]~q\ & ((\led_flash_cnt[1751][3]~51399\) # (GND)))
-- \led_flash_cnt[1751][4]~51401\ = CARRY((!\led_flash_cnt[1751][3]~51399\) # (!\led_flash_cnt[1751][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1751][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1751][3]~51399\,
	combout => \led_flash_cnt[1751][4]~51400_combout\,
	cout => \led_flash_cnt[1751][4]~51401\);

-- Location: FF_X49_Y23_N17
\led_flash_cnt[1751][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1751][4]~51400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1751][4]~q\);

-- Location: LCCOMB_X49_Y23_N18
\led_flash_cnt[1751][5]~51402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1751][5]~51402_combout\ = (\led_flash_cnt[1751][5]~q\ & (\led_flash_cnt[1751][4]~51401\ $ (GND))) # (!\led_flash_cnt[1751][5]~q\ & (!\led_flash_cnt[1751][4]~51401\ & VCC))
-- \led_flash_cnt[1751][5]~51403\ = CARRY((\led_flash_cnt[1751][5]~q\ & !\led_flash_cnt[1751][4]~51401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1751][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1751][4]~51401\,
	combout => \led_flash_cnt[1751][5]~51402_combout\,
	cout => \led_flash_cnt[1751][5]~51403\);

-- Location: FF_X49_Y23_N19
\led_flash_cnt[1751][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1751][5]~51402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1751][5]~q\);

-- Location: LCCOMB_X49_Y23_N20
\led_flash_cnt[1751][6]~51404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1751][6]~51404_combout\ = (\led_flash_cnt[1751][6]~q\ & (!\led_flash_cnt[1751][5]~51403\)) # (!\led_flash_cnt[1751][6]~q\ & ((\led_flash_cnt[1751][5]~51403\) # (GND)))
-- \led_flash_cnt[1751][6]~51405\ = CARRY((!\led_flash_cnt[1751][5]~51403\) # (!\led_flash_cnt[1751][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1751][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1751][5]~51403\,
	combout => \led_flash_cnt[1751][6]~51404_combout\,
	cout => \led_flash_cnt[1751][6]~51405\);

-- Location: FF_X49_Y23_N21
\led_flash_cnt[1751][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1751][6]~51404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1751][6]~q\);

-- Location: LCCOMB_X49_Y23_N22
\led_flash_cnt[1751][7]~51406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1751][7]~51406_combout\ = \led_flash_cnt[1751][7]~q\ $ (!\led_flash_cnt[1751][6]~51405\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1751][7]~q\,
	cin => \led_flash_cnt[1751][6]~51405\,
	combout => \led_flash_cnt[1751][7]~51406_combout\);

-- Location: FF_X49_Y23_N23
\led_flash_cnt[1751][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1751][7]~51406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1751][7]~q\);

-- Location: LCCOMB_X49_Y23_N24
\WideAnd1751~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1751~1_combout\ = (\led_flash_cnt[1751][6]~q\ & \led_flash_cnt[1751][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1751][6]~q\,
	datad => \led_flash_cnt[1751][5]~q\,
	combout => \WideAnd1751~1_combout\);

-- Location: LCCOMB_X49_Y23_N4
\WideAnd1751~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1751~0_combout\ = (\led_flash_cnt[1751][2]~q\ & (\led_flash_cnt[1751][4]~q\ & (\led_flash_cnt[1751][3]~q\ & \led_flash_cnt[1751][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1751][2]~q\,
	datab => \led_flash_cnt[1751][4]~q\,
	datac => \led_flash_cnt[1751][3]~q\,
	datad => \led_flash_cnt[1751][1]~q\,
	combout => \WideAnd1751~0_combout\);

-- Location: LCCOMB_X49_Y23_N0
WideAnd1751 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1751~combout\ = (\led_flash_cnt[1751][7]~q\ & (\WideAnd1751~1_combout\ & (\WideAnd1751~0_combout\ & \led_flash_cnt[1751][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1751][7]~q\,
	datab => \WideAnd1751~1_combout\,
	datac => \WideAnd1751~0_combout\,
	datad => \led_flash_cnt[1751][0]~q\,
	combout => \WideAnd1751~combout\);

-- Location: FF_X49_Y23_N1
\led_flash_cnt_ands[1751]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1751~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1751));

-- Location: LCCOMB_X49_Y23_N30
WideAnd4058 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4058~combout\ = (led_flash_cnt_ands(1750) & (\WideAnd4058~1_combout\ & (\WideAnd4058~0_combout\ & led_flash_cnt_ands(1751))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1750),
	datab => \WideAnd4058~1_combout\,
	datac => \WideAnd4058~0_combout\,
	datad => led_flash_cnt_ands(1751),
	combout => \WideAnd4058~combout\);

-- Location: FF_X49_Y23_N31
\led_flash_cnt_ands_1[218]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4058~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(218));

-- Location: LCCOMB_X54_Y20_N28
\led_flash_cnt[1754][0]~82394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1754][0]~82394_combout\ = !\led_flash_cnt[1754][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1754][0]~q\,
	combout => \led_flash_cnt[1754][0]~82394_combout\);

-- Location: FF_X54_Y20_N29
\led_flash_cnt[1754][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1754][0]~82394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1754][0]~q\);

-- Location: LCCOMB_X50_Y20_N14
\led_flash_cnt[1754][1]~51436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1754][1]~51436_combout\ = (\led_flash_cnt[1754][1]~q\ & (\led_flash_cnt[1754][0]~q\ $ (VCC))) # (!\led_flash_cnt[1754][1]~q\ & (\led_flash_cnt[1754][0]~q\ & VCC))
-- \led_flash_cnt[1754][1]~51437\ = CARRY((\led_flash_cnt[1754][1]~q\ & \led_flash_cnt[1754][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1754][1]~q\,
	datab => \led_flash_cnt[1754][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1754][1]~51436_combout\,
	cout => \led_flash_cnt[1754][1]~51437\);

-- Location: FF_X50_Y20_N15
\led_flash_cnt[1754][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1754][1]~51436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1754][1]~q\);

-- Location: LCCOMB_X50_Y20_N16
\led_flash_cnt[1754][2]~51438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1754][2]~51438_combout\ = (\led_flash_cnt[1754][2]~q\ & (!\led_flash_cnt[1754][1]~51437\)) # (!\led_flash_cnt[1754][2]~q\ & ((\led_flash_cnt[1754][1]~51437\) # (GND)))
-- \led_flash_cnt[1754][2]~51439\ = CARRY((!\led_flash_cnt[1754][1]~51437\) # (!\led_flash_cnt[1754][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1754][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1754][1]~51437\,
	combout => \led_flash_cnt[1754][2]~51438_combout\,
	cout => \led_flash_cnt[1754][2]~51439\);

-- Location: FF_X50_Y20_N17
\led_flash_cnt[1754][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1754][2]~51438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1754][2]~q\);

-- Location: LCCOMB_X50_Y20_N18
\led_flash_cnt[1754][3]~51440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1754][3]~51440_combout\ = (\led_flash_cnt[1754][3]~q\ & (\led_flash_cnt[1754][2]~51439\ $ (GND))) # (!\led_flash_cnt[1754][3]~q\ & (!\led_flash_cnt[1754][2]~51439\ & VCC))
-- \led_flash_cnt[1754][3]~51441\ = CARRY((\led_flash_cnt[1754][3]~q\ & !\led_flash_cnt[1754][2]~51439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1754][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1754][2]~51439\,
	combout => \led_flash_cnt[1754][3]~51440_combout\,
	cout => \led_flash_cnt[1754][3]~51441\);

-- Location: FF_X50_Y20_N19
\led_flash_cnt[1754][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1754][3]~51440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1754][3]~q\);

-- Location: LCCOMB_X50_Y20_N20
\led_flash_cnt[1754][4]~51442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1754][4]~51442_combout\ = (\led_flash_cnt[1754][4]~q\ & (!\led_flash_cnt[1754][3]~51441\)) # (!\led_flash_cnt[1754][4]~q\ & ((\led_flash_cnt[1754][3]~51441\) # (GND)))
-- \led_flash_cnt[1754][4]~51443\ = CARRY((!\led_flash_cnt[1754][3]~51441\) # (!\led_flash_cnt[1754][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1754][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1754][3]~51441\,
	combout => \led_flash_cnt[1754][4]~51442_combout\,
	cout => \led_flash_cnt[1754][4]~51443\);

-- Location: FF_X50_Y20_N21
\led_flash_cnt[1754][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1754][4]~51442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1754][4]~q\);

-- Location: LCCOMB_X50_Y20_N22
\led_flash_cnt[1754][5]~51444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1754][5]~51444_combout\ = (\led_flash_cnt[1754][5]~q\ & (\led_flash_cnt[1754][4]~51443\ $ (GND))) # (!\led_flash_cnt[1754][5]~q\ & (!\led_flash_cnt[1754][4]~51443\ & VCC))
-- \led_flash_cnt[1754][5]~51445\ = CARRY((\led_flash_cnt[1754][5]~q\ & !\led_flash_cnt[1754][4]~51443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1754][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1754][4]~51443\,
	combout => \led_flash_cnt[1754][5]~51444_combout\,
	cout => \led_flash_cnt[1754][5]~51445\);

-- Location: FF_X50_Y20_N23
\led_flash_cnt[1754][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1754][5]~51444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1754][5]~q\);

-- Location: LCCOMB_X50_Y20_N24
\led_flash_cnt[1754][6]~51446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1754][6]~51446_combout\ = (\led_flash_cnt[1754][6]~q\ & (!\led_flash_cnt[1754][5]~51445\)) # (!\led_flash_cnt[1754][6]~q\ & ((\led_flash_cnt[1754][5]~51445\) # (GND)))
-- \led_flash_cnt[1754][6]~51447\ = CARRY((!\led_flash_cnt[1754][5]~51445\) # (!\led_flash_cnt[1754][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1754][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1754][5]~51445\,
	combout => \led_flash_cnt[1754][6]~51446_combout\,
	cout => \led_flash_cnt[1754][6]~51447\);

-- Location: FF_X50_Y20_N25
\led_flash_cnt[1754][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1754][6]~51446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1754][6]~q\);

-- Location: LCCOMB_X50_Y20_N10
\WideAnd1754~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1754~1_combout\ = (\led_flash_cnt[1754][5]~q\ & \led_flash_cnt[1754][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1754][5]~q\,
	datad => \led_flash_cnt[1754][6]~q\,
	combout => \WideAnd1754~1_combout\);

-- Location: LCCOMB_X50_Y20_N28
\WideAnd1754~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1754~0_combout\ = (\led_flash_cnt[1754][4]~q\ & (\led_flash_cnt[1754][3]~q\ & (\led_flash_cnt[1754][1]~q\ & \led_flash_cnt[1754][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1754][4]~q\,
	datab => \led_flash_cnt[1754][3]~q\,
	datac => \led_flash_cnt[1754][1]~q\,
	datad => \led_flash_cnt[1754][2]~q\,
	combout => \WideAnd1754~0_combout\);

-- Location: LCCOMB_X50_Y20_N26
\led_flash_cnt[1754][7]~51448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1754][7]~51448_combout\ = \led_flash_cnt[1754][7]~q\ $ (!\led_flash_cnt[1754][6]~51447\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1754][7]~q\,
	cin => \led_flash_cnt[1754][6]~51447\,
	combout => \led_flash_cnt[1754][7]~51448_combout\);

-- Location: FF_X50_Y20_N27
\led_flash_cnt[1754][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1754][7]~51448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1754][7]~q\);

-- Location: LCCOMB_X50_Y20_N12
WideAnd1754 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1754~combout\ = (\WideAnd1754~1_combout\ & (\WideAnd1754~0_combout\ & (\led_flash_cnt[1754][7]~q\ & \led_flash_cnt[1754][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1754~1_combout\,
	datab => \WideAnd1754~0_combout\,
	datac => \led_flash_cnt[1754][7]~q\,
	datad => \led_flash_cnt[1754][0]~q\,
	combout => \WideAnd1754~combout\);

-- Location: FF_X50_Y20_N13
\led_flash_cnt_ands[1754]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1754~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1754));

-- Location: LCCOMB_X51_Y19_N20
\led_flash_cnt[1752][0]~82392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1752][0]~82392_combout\ = !\led_flash_cnt[1752][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1752][0]~q\,
	combout => \led_flash_cnt[1752][0]~82392_combout\);

-- Location: FF_X51_Y19_N21
\led_flash_cnt[1752][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1752][0]~82392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1752][0]~q\);

-- Location: LCCOMB_X51_Y16_N0
\led_flash_cnt[1752][1]~51408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1752][1]~51408_combout\ = (\led_flash_cnt[1752][0]~q\ & (\led_flash_cnt[1752][1]~q\ $ (VCC))) # (!\led_flash_cnt[1752][0]~q\ & (\led_flash_cnt[1752][1]~q\ & VCC))
-- \led_flash_cnt[1752][1]~51409\ = CARRY((\led_flash_cnt[1752][0]~q\ & \led_flash_cnt[1752][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1752][0]~q\,
	datab => \led_flash_cnt[1752][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1752][1]~51408_combout\,
	cout => \led_flash_cnt[1752][1]~51409\);

-- Location: FF_X51_Y16_N1
\led_flash_cnt[1752][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1752][1]~51408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1752][1]~q\);

-- Location: LCCOMB_X51_Y16_N2
\led_flash_cnt[1752][2]~51410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1752][2]~51410_combout\ = (\led_flash_cnt[1752][2]~q\ & (!\led_flash_cnt[1752][1]~51409\)) # (!\led_flash_cnt[1752][2]~q\ & ((\led_flash_cnt[1752][1]~51409\) # (GND)))
-- \led_flash_cnt[1752][2]~51411\ = CARRY((!\led_flash_cnt[1752][1]~51409\) # (!\led_flash_cnt[1752][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1752][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1752][1]~51409\,
	combout => \led_flash_cnt[1752][2]~51410_combout\,
	cout => \led_flash_cnt[1752][2]~51411\);

-- Location: FF_X51_Y16_N3
\led_flash_cnt[1752][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1752][2]~51410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1752][2]~q\);

-- Location: LCCOMB_X51_Y16_N4
\led_flash_cnt[1752][3]~51412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1752][3]~51412_combout\ = (\led_flash_cnt[1752][3]~q\ & (\led_flash_cnt[1752][2]~51411\ $ (GND))) # (!\led_flash_cnt[1752][3]~q\ & (!\led_flash_cnt[1752][2]~51411\ & VCC))
-- \led_flash_cnt[1752][3]~51413\ = CARRY((\led_flash_cnt[1752][3]~q\ & !\led_flash_cnt[1752][2]~51411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1752][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1752][2]~51411\,
	combout => \led_flash_cnt[1752][3]~51412_combout\,
	cout => \led_flash_cnt[1752][3]~51413\);

-- Location: FF_X51_Y16_N5
\led_flash_cnt[1752][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1752][3]~51412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1752][3]~q\);

-- Location: LCCOMB_X51_Y16_N6
\led_flash_cnt[1752][4]~51414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1752][4]~51414_combout\ = (\led_flash_cnt[1752][4]~q\ & (!\led_flash_cnt[1752][3]~51413\)) # (!\led_flash_cnt[1752][4]~q\ & ((\led_flash_cnt[1752][3]~51413\) # (GND)))
-- \led_flash_cnt[1752][4]~51415\ = CARRY((!\led_flash_cnt[1752][3]~51413\) # (!\led_flash_cnt[1752][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1752][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1752][3]~51413\,
	combout => \led_flash_cnt[1752][4]~51414_combout\,
	cout => \led_flash_cnt[1752][4]~51415\);

-- Location: FF_X51_Y16_N7
\led_flash_cnt[1752][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1752][4]~51414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1752][4]~q\);

-- Location: LCCOMB_X51_Y16_N8
\led_flash_cnt[1752][5]~51416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1752][5]~51416_combout\ = (\led_flash_cnt[1752][5]~q\ & (\led_flash_cnt[1752][4]~51415\ $ (GND))) # (!\led_flash_cnt[1752][5]~q\ & (!\led_flash_cnt[1752][4]~51415\ & VCC))
-- \led_flash_cnt[1752][5]~51417\ = CARRY((\led_flash_cnt[1752][5]~q\ & !\led_flash_cnt[1752][4]~51415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1752][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1752][4]~51415\,
	combout => \led_flash_cnt[1752][5]~51416_combout\,
	cout => \led_flash_cnt[1752][5]~51417\);

-- Location: FF_X51_Y16_N9
\led_flash_cnt[1752][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1752][5]~51416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1752][5]~q\);

-- Location: LCCOMB_X51_Y16_N10
\led_flash_cnt[1752][6]~51418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1752][6]~51418_combout\ = (\led_flash_cnt[1752][6]~q\ & (!\led_flash_cnt[1752][5]~51417\)) # (!\led_flash_cnt[1752][6]~q\ & ((\led_flash_cnt[1752][5]~51417\) # (GND)))
-- \led_flash_cnt[1752][6]~51419\ = CARRY((!\led_flash_cnt[1752][5]~51417\) # (!\led_flash_cnt[1752][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1752][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1752][5]~51417\,
	combout => \led_flash_cnt[1752][6]~51418_combout\,
	cout => \led_flash_cnt[1752][6]~51419\);

-- Location: FF_X51_Y16_N11
\led_flash_cnt[1752][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1752][6]~51418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1752][6]~q\);

-- Location: LCCOMB_X50_Y16_N8
\WideAnd1752~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1752~1_combout\ = (\led_flash_cnt[1752][6]~q\ & \led_flash_cnt[1752][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1752][6]~q\,
	datac => \led_flash_cnt[1752][5]~q\,
	combout => \WideAnd1752~1_combout\);

-- Location: LCCOMB_X51_Y16_N14
\WideAnd1752~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1752~0_combout\ = (\led_flash_cnt[1752][4]~q\ & (\led_flash_cnt[1752][1]~q\ & (\led_flash_cnt[1752][3]~q\ & \led_flash_cnt[1752][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1752][4]~q\,
	datab => \led_flash_cnt[1752][1]~q\,
	datac => \led_flash_cnt[1752][3]~q\,
	datad => \led_flash_cnt[1752][2]~q\,
	combout => \WideAnd1752~0_combout\);

-- Location: LCCOMB_X51_Y16_N12
\led_flash_cnt[1752][7]~51420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1752][7]~51420_combout\ = \led_flash_cnt[1752][6]~51419\ $ (!\led_flash_cnt[1752][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1752][7]~q\,
	cin => \led_flash_cnt[1752][6]~51419\,
	combout => \led_flash_cnt[1752][7]~51420_combout\);

-- Location: FF_X51_Y16_N13
\led_flash_cnt[1752][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1752][7]~51420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1752][7]~q\);

-- Location: LCCOMB_X51_Y16_N16
WideAnd1752 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1752~combout\ = (\WideAnd1752~1_combout\ & (\WideAnd1752~0_combout\ & (\led_flash_cnt[1752][0]~q\ & \led_flash_cnt[1752][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1752~1_combout\,
	datab => \WideAnd1752~0_combout\,
	datac => \led_flash_cnt[1752][0]~q\,
	datad => \led_flash_cnt[1752][7]~q\,
	combout => \WideAnd1752~combout\);

-- Location: FF_X51_Y16_N17
\led_flash_cnt_ands[1752]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1752~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1752));

-- Location: LCCOMB_X47_Y26_N22
\led_flash_cnt[1755][0]~82395\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1755][0]~82395_combout\ = !\led_flash_cnt[1755][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1755][0]~q\,
	combout => \led_flash_cnt[1755][0]~82395_combout\);

-- Location: FF_X47_Y26_N23
\led_flash_cnt[1755][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1755][0]~82395_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1755][0]~q\);

-- Location: LCCOMB_X47_Y28_N18
\led_flash_cnt[1755][1]~51450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1755][1]~51450_combout\ = (\led_flash_cnt[1755][0]~q\ & (\led_flash_cnt[1755][1]~q\ $ (VCC))) # (!\led_flash_cnt[1755][0]~q\ & (\led_flash_cnt[1755][1]~q\ & VCC))
-- \led_flash_cnt[1755][1]~51451\ = CARRY((\led_flash_cnt[1755][0]~q\ & \led_flash_cnt[1755][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1755][0]~q\,
	datab => \led_flash_cnt[1755][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1755][1]~51450_combout\,
	cout => \led_flash_cnt[1755][1]~51451\);

-- Location: FF_X47_Y28_N19
\led_flash_cnt[1755][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1755][1]~51450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1755][1]~q\);

-- Location: LCCOMB_X47_Y28_N20
\led_flash_cnt[1755][2]~51452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1755][2]~51452_combout\ = (\led_flash_cnt[1755][2]~q\ & (!\led_flash_cnt[1755][1]~51451\)) # (!\led_flash_cnt[1755][2]~q\ & ((\led_flash_cnt[1755][1]~51451\) # (GND)))
-- \led_flash_cnt[1755][2]~51453\ = CARRY((!\led_flash_cnt[1755][1]~51451\) # (!\led_flash_cnt[1755][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1755][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1755][1]~51451\,
	combout => \led_flash_cnt[1755][2]~51452_combout\,
	cout => \led_flash_cnt[1755][2]~51453\);

-- Location: FF_X47_Y28_N21
\led_flash_cnt[1755][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1755][2]~51452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1755][2]~q\);

-- Location: LCCOMB_X47_Y28_N22
\led_flash_cnt[1755][3]~51454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1755][3]~51454_combout\ = (\led_flash_cnt[1755][3]~q\ & (\led_flash_cnt[1755][2]~51453\ $ (GND))) # (!\led_flash_cnt[1755][3]~q\ & (!\led_flash_cnt[1755][2]~51453\ & VCC))
-- \led_flash_cnt[1755][3]~51455\ = CARRY((\led_flash_cnt[1755][3]~q\ & !\led_flash_cnt[1755][2]~51453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1755][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1755][2]~51453\,
	combout => \led_flash_cnt[1755][3]~51454_combout\,
	cout => \led_flash_cnt[1755][3]~51455\);

-- Location: FF_X47_Y28_N23
\led_flash_cnt[1755][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1755][3]~51454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1755][3]~q\);

-- Location: LCCOMB_X47_Y28_N24
\led_flash_cnt[1755][4]~51456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1755][4]~51456_combout\ = (\led_flash_cnt[1755][4]~q\ & (!\led_flash_cnt[1755][3]~51455\)) # (!\led_flash_cnt[1755][4]~q\ & ((\led_flash_cnt[1755][3]~51455\) # (GND)))
-- \led_flash_cnt[1755][4]~51457\ = CARRY((!\led_flash_cnt[1755][3]~51455\) # (!\led_flash_cnt[1755][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1755][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1755][3]~51455\,
	combout => \led_flash_cnt[1755][4]~51456_combout\,
	cout => \led_flash_cnt[1755][4]~51457\);

-- Location: FF_X47_Y28_N25
\led_flash_cnt[1755][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1755][4]~51456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1755][4]~q\);

-- Location: LCCOMB_X47_Y28_N26
\led_flash_cnt[1755][5]~51458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1755][5]~51458_combout\ = (\led_flash_cnt[1755][5]~q\ & (\led_flash_cnt[1755][4]~51457\ $ (GND))) # (!\led_flash_cnt[1755][5]~q\ & (!\led_flash_cnt[1755][4]~51457\ & VCC))
-- \led_flash_cnt[1755][5]~51459\ = CARRY((\led_flash_cnt[1755][5]~q\ & !\led_flash_cnt[1755][4]~51457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1755][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1755][4]~51457\,
	combout => \led_flash_cnt[1755][5]~51458_combout\,
	cout => \led_flash_cnt[1755][5]~51459\);

-- Location: FF_X47_Y28_N27
\led_flash_cnt[1755][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1755][5]~51458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1755][5]~q\);

-- Location: LCCOMB_X47_Y28_N28
\led_flash_cnt[1755][6]~51460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1755][6]~51460_combout\ = (\led_flash_cnt[1755][6]~q\ & (!\led_flash_cnt[1755][5]~51459\)) # (!\led_flash_cnt[1755][6]~q\ & ((\led_flash_cnt[1755][5]~51459\) # (GND)))
-- \led_flash_cnt[1755][6]~51461\ = CARRY((!\led_flash_cnt[1755][5]~51459\) # (!\led_flash_cnt[1755][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1755][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1755][5]~51459\,
	combout => \led_flash_cnt[1755][6]~51460_combout\,
	cout => \led_flash_cnt[1755][6]~51461\);

-- Location: FF_X47_Y28_N29
\led_flash_cnt[1755][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1755][6]~51460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1755][6]~q\);

-- Location: LCCOMB_X47_Y28_N30
\led_flash_cnt[1755][7]~51462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1755][7]~51462_combout\ = \led_flash_cnt[1755][7]~q\ $ (!\led_flash_cnt[1755][6]~51461\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1755][7]~q\,
	cin => \led_flash_cnt[1755][6]~51461\,
	combout => \led_flash_cnt[1755][7]~51462_combout\);

-- Location: FF_X47_Y28_N31
\led_flash_cnt[1755][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1755][7]~51462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1755][7]~q\);

-- Location: LCCOMB_X47_Y28_N14
\WideAnd1755~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1755~0_combout\ = (\led_flash_cnt[1755][4]~q\ & (\led_flash_cnt[1755][2]~q\ & (\led_flash_cnt[1755][3]~q\ & \led_flash_cnt[1755][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1755][4]~q\,
	datab => \led_flash_cnt[1755][2]~q\,
	datac => \led_flash_cnt[1755][3]~q\,
	datad => \led_flash_cnt[1755][1]~q\,
	combout => \WideAnd1755~0_combout\);

-- Location: LCCOMB_X47_Y26_N16
\WideAnd1755~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1755~1_combout\ = (\led_flash_cnt[1755][6]~q\ & \led_flash_cnt[1755][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1755][6]~q\,
	datad => \led_flash_cnt[1755][5]~q\,
	combout => \WideAnd1755~1_combout\);

-- Location: LCCOMB_X47_Y26_N28
WideAnd1755 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1755~combout\ = (\led_flash_cnt[1755][7]~q\ & (\WideAnd1755~0_combout\ & (\led_flash_cnt[1755][0]~q\ & \WideAnd1755~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1755][7]~q\,
	datab => \WideAnd1755~0_combout\,
	datac => \led_flash_cnt[1755][0]~q\,
	datad => \WideAnd1755~1_combout\,
	combout => \WideAnd1755~combout\);

-- Location: FF_X47_Y26_N29
\led_flash_cnt_ands[1755]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1755~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1755));

-- Location: LCCOMB_X51_Y23_N6
\led_flash_cnt[1753][0]~82393\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1753][0]~82393_combout\ = !\led_flash_cnt[1753][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1753][0]~q\,
	combout => \led_flash_cnt[1753][0]~82393_combout\);

-- Location: FF_X51_Y23_N7
\led_flash_cnt[1753][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1753][0]~82393_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1753][0]~q\);

-- Location: LCCOMB_X52_Y23_N18
\led_flash_cnt[1753][1]~51422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1753][1]~51422_combout\ = (\led_flash_cnt[1753][0]~q\ & (\led_flash_cnt[1753][1]~q\ $ (VCC))) # (!\led_flash_cnt[1753][0]~q\ & (\led_flash_cnt[1753][1]~q\ & VCC))
-- \led_flash_cnt[1753][1]~51423\ = CARRY((\led_flash_cnt[1753][0]~q\ & \led_flash_cnt[1753][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1753][0]~q\,
	datab => \led_flash_cnt[1753][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1753][1]~51422_combout\,
	cout => \led_flash_cnt[1753][1]~51423\);

-- Location: FF_X52_Y23_N19
\led_flash_cnt[1753][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1753][1]~51422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1753][1]~q\);

-- Location: LCCOMB_X52_Y23_N20
\led_flash_cnt[1753][2]~51424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1753][2]~51424_combout\ = (\led_flash_cnt[1753][2]~q\ & (!\led_flash_cnt[1753][1]~51423\)) # (!\led_flash_cnt[1753][2]~q\ & ((\led_flash_cnt[1753][1]~51423\) # (GND)))
-- \led_flash_cnt[1753][2]~51425\ = CARRY((!\led_flash_cnt[1753][1]~51423\) # (!\led_flash_cnt[1753][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1753][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1753][1]~51423\,
	combout => \led_flash_cnt[1753][2]~51424_combout\,
	cout => \led_flash_cnt[1753][2]~51425\);

-- Location: FF_X52_Y23_N21
\led_flash_cnt[1753][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1753][2]~51424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1753][2]~q\);

-- Location: LCCOMB_X52_Y23_N22
\led_flash_cnt[1753][3]~51426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1753][3]~51426_combout\ = (\led_flash_cnt[1753][3]~q\ & (\led_flash_cnt[1753][2]~51425\ $ (GND))) # (!\led_flash_cnt[1753][3]~q\ & (!\led_flash_cnt[1753][2]~51425\ & VCC))
-- \led_flash_cnt[1753][3]~51427\ = CARRY((\led_flash_cnt[1753][3]~q\ & !\led_flash_cnt[1753][2]~51425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1753][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1753][2]~51425\,
	combout => \led_flash_cnt[1753][3]~51426_combout\,
	cout => \led_flash_cnt[1753][3]~51427\);

-- Location: FF_X52_Y23_N23
\led_flash_cnt[1753][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1753][3]~51426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1753][3]~q\);

-- Location: LCCOMB_X52_Y23_N24
\led_flash_cnt[1753][4]~51428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1753][4]~51428_combout\ = (\led_flash_cnt[1753][4]~q\ & (!\led_flash_cnt[1753][3]~51427\)) # (!\led_flash_cnt[1753][4]~q\ & ((\led_flash_cnt[1753][3]~51427\) # (GND)))
-- \led_flash_cnt[1753][4]~51429\ = CARRY((!\led_flash_cnt[1753][3]~51427\) # (!\led_flash_cnt[1753][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1753][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1753][3]~51427\,
	combout => \led_flash_cnt[1753][4]~51428_combout\,
	cout => \led_flash_cnt[1753][4]~51429\);

-- Location: FF_X52_Y23_N25
\led_flash_cnt[1753][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1753][4]~51428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1753][4]~q\);

-- Location: LCCOMB_X52_Y23_N26
\led_flash_cnt[1753][5]~51430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1753][5]~51430_combout\ = (\led_flash_cnt[1753][5]~q\ & (\led_flash_cnt[1753][4]~51429\ $ (GND))) # (!\led_flash_cnt[1753][5]~q\ & (!\led_flash_cnt[1753][4]~51429\ & VCC))
-- \led_flash_cnt[1753][5]~51431\ = CARRY((\led_flash_cnt[1753][5]~q\ & !\led_flash_cnt[1753][4]~51429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1753][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1753][4]~51429\,
	combout => \led_flash_cnt[1753][5]~51430_combout\,
	cout => \led_flash_cnt[1753][5]~51431\);

-- Location: FF_X52_Y23_N27
\led_flash_cnt[1753][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1753][5]~51430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1753][5]~q\);

-- Location: LCCOMB_X52_Y23_N28
\led_flash_cnt[1753][6]~51432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1753][6]~51432_combout\ = (\led_flash_cnt[1753][6]~q\ & (!\led_flash_cnt[1753][5]~51431\)) # (!\led_flash_cnt[1753][6]~q\ & ((\led_flash_cnt[1753][5]~51431\) # (GND)))
-- \led_flash_cnt[1753][6]~51433\ = CARRY((!\led_flash_cnt[1753][5]~51431\) # (!\led_flash_cnt[1753][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1753][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1753][5]~51431\,
	combout => \led_flash_cnt[1753][6]~51432_combout\,
	cout => \led_flash_cnt[1753][6]~51433\);

-- Location: FF_X52_Y23_N29
\led_flash_cnt[1753][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1753][6]~51432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1753][6]~q\);

-- Location: LCCOMB_X52_Y23_N30
\led_flash_cnt[1753][7]~51434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1753][7]~51434_combout\ = \led_flash_cnt[1753][7]~q\ $ (!\led_flash_cnt[1753][6]~51433\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1753][7]~q\,
	cin => \led_flash_cnt[1753][6]~51433\,
	combout => \led_flash_cnt[1753][7]~51434_combout\);

-- Location: FF_X52_Y23_N31
\led_flash_cnt[1753][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1753][7]~51434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1753][7]~q\);

-- Location: LCCOMB_X51_Y23_N22
\WideAnd1753~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1753~1_combout\ = (\led_flash_cnt[1753][7]~q\ & \led_flash_cnt[1753][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1753][7]~q\,
	datad => \led_flash_cnt[1753][0]~q\,
	combout => \WideAnd1753~1_combout\);

-- Location: LCCOMB_X52_Y23_N0
\WideAnd1753~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1753~0_combout\ = (\led_flash_cnt[1753][4]~q\ & (\led_flash_cnt[1753][2]~q\ & (\led_flash_cnt[1753][3]~q\ & \led_flash_cnt[1753][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1753][4]~q\,
	datab => \led_flash_cnt[1753][2]~q\,
	datac => \led_flash_cnt[1753][3]~q\,
	datad => \led_flash_cnt[1753][1]~q\,
	combout => \WideAnd1753~0_combout\);

-- Location: LCCOMB_X51_Y23_N4
WideAnd1753 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1753~combout\ = (\WideAnd1753~1_combout\ & (\led_flash_cnt[1753][6]~q\ & (\WideAnd1753~0_combout\ & \led_flash_cnt[1753][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1753~1_combout\,
	datab => \led_flash_cnt[1753][6]~q\,
	datac => \WideAnd1753~0_combout\,
	datad => \led_flash_cnt[1753][5]~q\,
	combout => \WideAnd1753~combout\);

-- Location: FF_X51_Y23_N5
\led_flash_cnt_ands[1753]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1753~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1753));

-- Location: LCCOMB_X50_Y20_N6
\WideAnd4059~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4059~0_combout\ = (led_flash_cnt_ands(1754) & (led_flash_cnt_ands(1752) & (led_flash_cnt_ands(1755) & led_flash_cnt_ands(1753))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1754),
	datab => led_flash_cnt_ands(1752),
	datac => led_flash_cnt_ands(1755),
	datad => led_flash_cnt_ands(1753),
	combout => \WideAnd4059~0_combout\);

-- Location: LCCOMB_X50_Y26_N2
\led_flash_cnt[1759][0]~82399\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1759][0]~82399_combout\ = !\led_flash_cnt[1759][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1759][0]~q\,
	combout => \led_flash_cnt[1759][0]~82399_combout\);

-- Location: FF_X50_Y26_N3
\led_flash_cnt[1759][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1759][0]~82399_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1759][0]~q\);

-- Location: LCCOMB_X49_Y26_N18
\led_flash_cnt[1759][1]~51506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1759][1]~51506_combout\ = (\led_flash_cnt[1759][0]~q\ & (\led_flash_cnt[1759][1]~q\ $ (VCC))) # (!\led_flash_cnt[1759][0]~q\ & (\led_flash_cnt[1759][1]~q\ & VCC))
-- \led_flash_cnt[1759][1]~51507\ = CARRY((\led_flash_cnt[1759][0]~q\ & \led_flash_cnt[1759][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1759][0]~q\,
	datab => \led_flash_cnt[1759][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1759][1]~51506_combout\,
	cout => \led_flash_cnt[1759][1]~51507\);

-- Location: FF_X49_Y26_N19
\led_flash_cnt[1759][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1759][1]~51506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1759][1]~q\);

-- Location: LCCOMB_X49_Y26_N20
\led_flash_cnt[1759][2]~51508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1759][2]~51508_combout\ = (\led_flash_cnt[1759][2]~q\ & (!\led_flash_cnt[1759][1]~51507\)) # (!\led_flash_cnt[1759][2]~q\ & ((\led_flash_cnt[1759][1]~51507\) # (GND)))
-- \led_flash_cnt[1759][2]~51509\ = CARRY((!\led_flash_cnt[1759][1]~51507\) # (!\led_flash_cnt[1759][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1759][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1759][1]~51507\,
	combout => \led_flash_cnt[1759][2]~51508_combout\,
	cout => \led_flash_cnt[1759][2]~51509\);

-- Location: FF_X49_Y26_N21
\led_flash_cnt[1759][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1759][2]~51508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1759][2]~q\);

-- Location: LCCOMB_X49_Y26_N22
\led_flash_cnt[1759][3]~51510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1759][3]~51510_combout\ = (\led_flash_cnt[1759][3]~q\ & (\led_flash_cnt[1759][2]~51509\ $ (GND))) # (!\led_flash_cnt[1759][3]~q\ & (!\led_flash_cnt[1759][2]~51509\ & VCC))
-- \led_flash_cnt[1759][3]~51511\ = CARRY((\led_flash_cnt[1759][3]~q\ & !\led_flash_cnt[1759][2]~51509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1759][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1759][2]~51509\,
	combout => \led_flash_cnt[1759][3]~51510_combout\,
	cout => \led_flash_cnt[1759][3]~51511\);

-- Location: FF_X49_Y26_N23
\led_flash_cnt[1759][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1759][3]~51510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1759][3]~q\);

-- Location: LCCOMB_X49_Y26_N24
\led_flash_cnt[1759][4]~51512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1759][4]~51512_combout\ = (\led_flash_cnt[1759][4]~q\ & (!\led_flash_cnt[1759][3]~51511\)) # (!\led_flash_cnt[1759][4]~q\ & ((\led_flash_cnt[1759][3]~51511\) # (GND)))
-- \led_flash_cnt[1759][4]~51513\ = CARRY((!\led_flash_cnt[1759][3]~51511\) # (!\led_flash_cnt[1759][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1759][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1759][3]~51511\,
	combout => \led_flash_cnt[1759][4]~51512_combout\,
	cout => \led_flash_cnt[1759][4]~51513\);

-- Location: FF_X49_Y26_N25
\led_flash_cnt[1759][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1759][4]~51512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1759][4]~q\);

-- Location: LCCOMB_X49_Y26_N14
\WideAnd1759~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1759~0_combout\ = (\led_flash_cnt[1759][4]~q\ & (\led_flash_cnt[1759][2]~q\ & (\led_flash_cnt[1759][3]~q\ & \led_flash_cnt[1759][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1759][4]~q\,
	datab => \led_flash_cnt[1759][2]~q\,
	datac => \led_flash_cnt[1759][3]~q\,
	datad => \led_flash_cnt[1759][1]~q\,
	combout => \WideAnd1759~0_combout\);

-- Location: LCCOMB_X49_Y26_N26
\led_flash_cnt[1759][5]~51514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1759][5]~51514_combout\ = (\led_flash_cnt[1759][5]~q\ & (\led_flash_cnt[1759][4]~51513\ $ (GND))) # (!\led_flash_cnt[1759][5]~q\ & (!\led_flash_cnt[1759][4]~51513\ & VCC))
-- \led_flash_cnt[1759][5]~51515\ = CARRY((\led_flash_cnt[1759][5]~q\ & !\led_flash_cnt[1759][4]~51513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1759][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1759][4]~51513\,
	combout => \led_flash_cnt[1759][5]~51514_combout\,
	cout => \led_flash_cnt[1759][5]~51515\);

-- Location: FF_X49_Y26_N27
\led_flash_cnt[1759][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1759][5]~51514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1759][5]~q\);

-- Location: LCCOMB_X49_Y26_N28
\led_flash_cnt[1759][6]~51516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1759][6]~51516_combout\ = (\led_flash_cnt[1759][6]~q\ & (!\led_flash_cnt[1759][5]~51515\)) # (!\led_flash_cnt[1759][6]~q\ & ((\led_flash_cnt[1759][5]~51515\) # (GND)))
-- \led_flash_cnt[1759][6]~51517\ = CARRY((!\led_flash_cnt[1759][5]~51515\) # (!\led_flash_cnt[1759][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1759][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1759][5]~51515\,
	combout => \led_flash_cnt[1759][6]~51516_combout\,
	cout => \led_flash_cnt[1759][6]~51517\);

-- Location: FF_X49_Y26_N29
\led_flash_cnt[1759][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1759][6]~51516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1759][6]~q\);

-- Location: LCCOMB_X49_Y26_N30
\led_flash_cnt[1759][7]~51518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1759][7]~51518_combout\ = \led_flash_cnt[1759][7]~q\ $ (!\led_flash_cnt[1759][6]~51517\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1759][7]~q\,
	cin => \led_flash_cnt[1759][6]~51517\,
	combout => \led_flash_cnt[1759][7]~51518_combout\);

-- Location: FF_X49_Y26_N31
\led_flash_cnt[1759][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1759][7]~51518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1759][7]~q\);

-- Location: LCCOMB_X50_Y26_N4
\WideAnd1759~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1759~1_combout\ = (\led_flash_cnt[1759][5]~q\ & \led_flash_cnt[1759][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1759][5]~q\,
	datad => \led_flash_cnt[1759][6]~q\,
	combout => \WideAnd1759~1_combout\);

-- Location: LCCOMB_X50_Y26_N8
WideAnd1759 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1759~combout\ = (\WideAnd1759~0_combout\ & (\led_flash_cnt[1759][7]~q\ & (\WideAnd1759~1_combout\ & \led_flash_cnt[1759][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1759~0_combout\,
	datab => \led_flash_cnt[1759][7]~q\,
	datac => \WideAnd1759~1_combout\,
	datad => \led_flash_cnt[1759][0]~q\,
	combout => \WideAnd1759~combout\);

-- Location: FF_X50_Y26_N9
\led_flash_cnt_ands[1759]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1759~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1759));

-- Location: LCCOMB_X31_Y19_N2
\led_flash_cnt[1757][0]~82397\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1757][0]~82397_combout\ = !\led_flash_cnt[1757][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1757][0]~q\,
	combout => \led_flash_cnt[1757][0]~82397_combout\);

-- Location: FF_X31_Y19_N3
\led_flash_cnt[1757][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1757][0]~82397_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1757][0]~q\);

-- Location: LCCOMB_X30_Y19_N16
\led_flash_cnt[1757][1]~51478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1757][1]~51478_combout\ = (\led_flash_cnt[1757][0]~q\ & (\led_flash_cnt[1757][1]~q\ $ (VCC))) # (!\led_flash_cnt[1757][0]~q\ & (\led_flash_cnt[1757][1]~q\ & VCC))
-- \led_flash_cnt[1757][1]~51479\ = CARRY((\led_flash_cnt[1757][0]~q\ & \led_flash_cnt[1757][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1757][0]~q\,
	datab => \led_flash_cnt[1757][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1757][1]~51478_combout\,
	cout => \led_flash_cnt[1757][1]~51479\);

-- Location: FF_X30_Y19_N17
\led_flash_cnt[1757][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1757][1]~51478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1757][1]~q\);

-- Location: LCCOMB_X30_Y19_N18
\led_flash_cnt[1757][2]~51480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1757][2]~51480_combout\ = (\led_flash_cnt[1757][2]~q\ & (!\led_flash_cnt[1757][1]~51479\)) # (!\led_flash_cnt[1757][2]~q\ & ((\led_flash_cnt[1757][1]~51479\) # (GND)))
-- \led_flash_cnt[1757][2]~51481\ = CARRY((!\led_flash_cnt[1757][1]~51479\) # (!\led_flash_cnt[1757][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1757][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1757][1]~51479\,
	combout => \led_flash_cnt[1757][2]~51480_combout\,
	cout => \led_flash_cnt[1757][2]~51481\);

-- Location: FF_X30_Y19_N19
\led_flash_cnt[1757][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1757][2]~51480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1757][2]~q\);

-- Location: LCCOMB_X30_Y19_N20
\led_flash_cnt[1757][3]~51482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1757][3]~51482_combout\ = (\led_flash_cnt[1757][3]~q\ & (\led_flash_cnt[1757][2]~51481\ $ (GND))) # (!\led_flash_cnt[1757][3]~q\ & (!\led_flash_cnt[1757][2]~51481\ & VCC))
-- \led_flash_cnt[1757][3]~51483\ = CARRY((\led_flash_cnt[1757][3]~q\ & !\led_flash_cnt[1757][2]~51481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1757][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1757][2]~51481\,
	combout => \led_flash_cnt[1757][3]~51482_combout\,
	cout => \led_flash_cnt[1757][3]~51483\);

-- Location: FF_X30_Y19_N21
\led_flash_cnt[1757][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1757][3]~51482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1757][3]~q\);

-- Location: LCCOMB_X30_Y19_N22
\led_flash_cnt[1757][4]~51484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1757][4]~51484_combout\ = (\led_flash_cnt[1757][4]~q\ & (!\led_flash_cnt[1757][3]~51483\)) # (!\led_flash_cnt[1757][4]~q\ & ((\led_flash_cnt[1757][3]~51483\) # (GND)))
-- \led_flash_cnt[1757][4]~51485\ = CARRY((!\led_flash_cnt[1757][3]~51483\) # (!\led_flash_cnt[1757][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1757][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1757][3]~51483\,
	combout => \led_flash_cnt[1757][4]~51484_combout\,
	cout => \led_flash_cnt[1757][4]~51485\);

-- Location: FF_X30_Y19_N23
\led_flash_cnt[1757][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1757][4]~51484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1757][4]~q\);

-- Location: LCCOMB_X30_Y19_N24
\led_flash_cnt[1757][5]~51486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1757][5]~51486_combout\ = (\led_flash_cnt[1757][5]~q\ & (\led_flash_cnt[1757][4]~51485\ $ (GND))) # (!\led_flash_cnt[1757][5]~q\ & (!\led_flash_cnt[1757][4]~51485\ & VCC))
-- \led_flash_cnt[1757][5]~51487\ = CARRY((\led_flash_cnt[1757][5]~q\ & !\led_flash_cnt[1757][4]~51485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1757][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1757][4]~51485\,
	combout => \led_flash_cnt[1757][5]~51486_combout\,
	cout => \led_flash_cnt[1757][5]~51487\);

-- Location: FF_X30_Y19_N25
\led_flash_cnt[1757][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1757][5]~51486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1757][5]~q\);

-- Location: LCCOMB_X30_Y19_N26
\led_flash_cnt[1757][6]~51488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1757][6]~51488_combout\ = (\led_flash_cnt[1757][6]~q\ & (!\led_flash_cnt[1757][5]~51487\)) # (!\led_flash_cnt[1757][6]~q\ & ((\led_flash_cnt[1757][5]~51487\) # (GND)))
-- \led_flash_cnt[1757][6]~51489\ = CARRY((!\led_flash_cnt[1757][5]~51487\) # (!\led_flash_cnt[1757][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1757][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1757][5]~51487\,
	combout => \led_flash_cnt[1757][6]~51488_combout\,
	cout => \led_flash_cnt[1757][6]~51489\);

-- Location: FF_X30_Y19_N27
\led_flash_cnt[1757][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1757][6]~51488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1757][6]~q\);

-- Location: LCCOMB_X30_Y19_N28
\led_flash_cnt[1757][7]~51490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1757][7]~51490_combout\ = \led_flash_cnt[1757][6]~51489\ $ (!\led_flash_cnt[1757][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1757][7]~q\,
	cin => \led_flash_cnt[1757][6]~51489\,
	combout => \led_flash_cnt[1757][7]~51490_combout\);

-- Location: FF_X30_Y19_N29
\led_flash_cnt[1757][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1757][7]~51490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1757][7]~q\);

-- Location: LCCOMB_X31_Y19_N4
\WideAnd1757~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1757~1_combout\ = (\led_flash_cnt[1757][6]~q\ & \led_flash_cnt[1757][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1757][6]~q\,
	datad => \led_flash_cnt[1757][5]~q\,
	combout => \WideAnd1757~1_combout\);

-- Location: LCCOMB_X31_Y19_N24
\WideAnd1757~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1757~0_combout\ = (\led_flash_cnt[1757][4]~q\ & (\led_flash_cnt[1757][3]~q\ & (\led_flash_cnt[1757][1]~q\ & \led_flash_cnt[1757][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1757][4]~q\,
	datab => \led_flash_cnt[1757][3]~q\,
	datac => \led_flash_cnt[1757][1]~q\,
	datad => \led_flash_cnt[1757][2]~q\,
	combout => \WideAnd1757~0_combout\);

-- Location: LCCOMB_X31_Y19_N30
WideAnd1757 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1757~combout\ = (\led_flash_cnt[1757][0]~q\ & (\led_flash_cnt[1757][7]~q\ & (\WideAnd1757~1_combout\ & \WideAnd1757~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1757][0]~q\,
	datab => \led_flash_cnt[1757][7]~q\,
	datac => \WideAnd1757~1_combout\,
	datad => \WideAnd1757~0_combout\,
	combout => \WideAnd1757~combout\);

-- Location: FF_X31_Y19_N31
\led_flash_cnt_ands[1757]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1757~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1757));

-- Location: LCCOMB_X31_Y19_N6
\led_flash_cnt[1756][0]~82396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1756][0]~82396_combout\ = !\led_flash_cnt[1756][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1756][0]~q\,
	combout => \led_flash_cnt[1756][0]~82396_combout\);

-- Location: FF_X31_Y19_N7
\led_flash_cnt[1756][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1756][0]~82396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1756][0]~q\);

-- Location: LCCOMB_X31_Y19_N8
\led_flash_cnt[1756][1]~51464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1756][1]~51464_combout\ = (\led_flash_cnt[1756][0]~q\ & (\led_flash_cnt[1756][1]~q\ $ (VCC))) # (!\led_flash_cnt[1756][0]~q\ & (\led_flash_cnt[1756][1]~q\ & VCC))
-- \led_flash_cnt[1756][1]~51465\ = CARRY((\led_flash_cnt[1756][0]~q\ & \led_flash_cnt[1756][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1756][0]~q\,
	datab => \led_flash_cnt[1756][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1756][1]~51464_combout\,
	cout => \led_flash_cnt[1756][1]~51465\);

-- Location: FF_X31_Y19_N9
\led_flash_cnt[1756][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1756][1]~51464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1756][1]~q\);

-- Location: LCCOMB_X31_Y19_N10
\led_flash_cnt[1756][2]~51466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1756][2]~51466_combout\ = (\led_flash_cnt[1756][2]~q\ & (!\led_flash_cnt[1756][1]~51465\)) # (!\led_flash_cnt[1756][2]~q\ & ((\led_flash_cnt[1756][1]~51465\) # (GND)))
-- \led_flash_cnt[1756][2]~51467\ = CARRY((!\led_flash_cnt[1756][1]~51465\) # (!\led_flash_cnt[1756][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1756][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1756][1]~51465\,
	combout => \led_flash_cnt[1756][2]~51466_combout\,
	cout => \led_flash_cnt[1756][2]~51467\);

-- Location: FF_X31_Y19_N11
\led_flash_cnt[1756][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1756][2]~51466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1756][2]~q\);

-- Location: LCCOMB_X31_Y19_N12
\led_flash_cnt[1756][3]~51468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1756][3]~51468_combout\ = (\led_flash_cnt[1756][3]~q\ & (\led_flash_cnt[1756][2]~51467\ $ (GND))) # (!\led_flash_cnt[1756][3]~q\ & (!\led_flash_cnt[1756][2]~51467\ & VCC))
-- \led_flash_cnt[1756][3]~51469\ = CARRY((\led_flash_cnt[1756][3]~q\ & !\led_flash_cnt[1756][2]~51467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1756][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1756][2]~51467\,
	combout => \led_flash_cnt[1756][3]~51468_combout\,
	cout => \led_flash_cnt[1756][3]~51469\);

-- Location: FF_X31_Y19_N13
\led_flash_cnt[1756][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1756][3]~51468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1756][3]~q\);

-- Location: LCCOMB_X31_Y19_N14
\led_flash_cnt[1756][4]~51470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1756][4]~51470_combout\ = (\led_flash_cnt[1756][4]~q\ & (!\led_flash_cnt[1756][3]~51469\)) # (!\led_flash_cnt[1756][4]~q\ & ((\led_flash_cnt[1756][3]~51469\) # (GND)))
-- \led_flash_cnt[1756][4]~51471\ = CARRY((!\led_flash_cnt[1756][3]~51469\) # (!\led_flash_cnt[1756][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1756][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1756][3]~51469\,
	combout => \led_flash_cnt[1756][4]~51470_combout\,
	cout => \led_flash_cnt[1756][4]~51471\);

-- Location: FF_X31_Y19_N15
\led_flash_cnt[1756][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1756][4]~51470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1756][4]~q\);

-- Location: LCCOMB_X31_Y19_N16
\led_flash_cnt[1756][5]~51472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1756][5]~51472_combout\ = (\led_flash_cnt[1756][5]~q\ & (\led_flash_cnt[1756][4]~51471\ $ (GND))) # (!\led_flash_cnt[1756][5]~q\ & (!\led_flash_cnt[1756][4]~51471\ & VCC))
-- \led_flash_cnt[1756][5]~51473\ = CARRY((\led_flash_cnt[1756][5]~q\ & !\led_flash_cnt[1756][4]~51471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1756][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1756][4]~51471\,
	combout => \led_flash_cnt[1756][5]~51472_combout\,
	cout => \led_flash_cnt[1756][5]~51473\);

-- Location: FF_X31_Y19_N17
\led_flash_cnt[1756][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1756][5]~51472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1756][5]~q\);

-- Location: LCCOMB_X31_Y19_N18
\led_flash_cnt[1756][6]~51474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1756][6]~51474_combout\ = (\led_flash_cnt[1756][6]~q\ & (!\led_flash_cnt[1756][5]~51473\)) # (!\led_flash_cnt[1756][6]~q\ & ((\led_flash_cnt[1756][5]~51473\) # (GND)))
-- \led_flash_cnt[1756][6]~51475\ = CARRY((!\led_flash_cnt[1756][5]~51473\) # (!\led_flash_cnt[1756][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1756][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1756][5]~51473\,
	combout => \led_flash_cnt[1756][6]~51474_combout\,
	cout => \led_flash_cnt[1756][6]~51475\);

-- Location: FF_X31_Y19_N19
\led_flash_cnt[1756][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1756][6]~51474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1756][6]~q\);

-- Location: LCCOMB_X31_Y19_N20
\led_flash_cnt[1756][7]~51476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1756][7]~51476_combout\ = \led_flash_cnt[1756][6]~51475\ $ (!\led_flash_cnt[1756][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1756][7]~q\,
	cin => \led_flash_cnt[1756][6]~51475\,
	combout => \led_flash_cnt[1756][7]~51476_combout\);

-- Location: FF_X31_Y19_N21
\led_flash_cnt[1756][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1756][7]~51476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1756][7]~q\);

-- Location: LCCOMB_X31_Y19_N26
\WideAnd1756~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1756~1_combout\ = (\led_flash_cnt[1756][6]~q\ & \led_flash_cnt[1756][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1756][6]~q\,
	datad => \led_flash_cnt[1756][5]~q\,
	combout => \WideAnd1756~1_combout\);

-- Location: LCCOMB_X31_Y19_N0
\WideAnd1756~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1756~0_combout\ = (\led_flash_cnt[1756][2]~q\ & (\led_flash_cnt[1756][4]~q\ & (\led_flash_cnt[1756][1]~q\ & \led_flash_cnt[1756][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1756][2]~q\,
	datab => \led_flash_cnt[1756][4]~q\,
	datac => \led_flash_cnt[1756][1]~q\,
	datad => \led_flash_cnt[1756][3]~q\,
	combout => \WideAnd1756~0_combout\);

-- Location: LCCOMB_X31_Y19_N28
WideAnd1756 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1756~combout\ = (\led_flash_cnt[1756][0]~q\ & (\led_flash_cnt[1756][7]~q\ & (\WideAnd1756~1_combout\ & \WideAnd1756~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1756][0]~q\,
	datab => \led_flash_cnt[1756][7]~q\,
	datac => \WideAnd1756~1_combout\,
	datad => \WideAnd1756~0_combout\,
	combout => \WideAnd1756~combout\);

-- Location: FF_X31_Y19_N29
\led_flash_cnt_ands[1756]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1756~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1756));

-- Location: LCCOMB_X31_Y19_N22
\WideAnd4059~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4059~1_combout\ = (led_flash_cnt_ands(1757) & led_flash_cnt_ands(1756))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1757),
	datad => led_flash_cnt_ands(1756),
	combout => \WideAnd4059~1_combout\);

-- Location: LCCOMB_X59_Y20_N2
\led_flash_cnt[1758][0]~82398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1758][0]~82398_combout\ = !\led_flash_cnt[1758][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1758][0]~q\,
	combout => \led_flash_cnt[1758][0]~82398_combout\);

-- Location: FF_X59_Y20_N3
\led_flash_cnt[1758][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1758][0]~82398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1758][0]~q\);

-- Location: LCCOMB_X58_Y20_N2
\led_flash_cnt[1758][1]~51492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1758][1]~51492_combout\ = (\led_flash_cnt[1758][0]~q\ & (\led_flash_cnt[1758][1]~q\ $ (VCC))) # (!\led_flash_cnt[1758][0]~q\ & (\led_flash_cnt[1758][1]~q\ & VCC))
-- \led_flash_cnt[1758][1]~51493\ = CARRY((\led_flash_cnt[1758][0]~q\ & \led_flash_cnt[1758][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1758][0]~q\,
	datab => \led_flash_cnt[1758][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1758][1]~51492_combout\,
	cout => \led_flash_cnt[1758][1]~51493\);

-- Location: FF_X58_Y20_N3
\led_flash_cnt[1758][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1758][1]~51492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1758][1]~q\);

-- Location: LCCOMB_X58_Y20_N4
\led_flash_cnt[1758][2]~51494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1758][2]~51494_combout\ = (\led_flash_cnt[1758][2]~q\ & (!\led_flash_cnt[1758][1]~51493\)) # (!\led_flash_cnt[1758][2]~q\ & ((\led_flash_cnt[1758][1]~51493\) # (GND)))
-- \led_flash_cnt[1758][2]~51495\ = CARRY((!\led_flash_cnt[1758][1]~51493\) # (!\led_flash_cnt[1758][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1758][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1758][1]~51493\,
	combout => \led_flash_cnt[1758][2]~51494_combout\,
	cout => \led_flash_cnt[1758][2]~51495\);

-- Location: FF_X58_Y20_N5
\led_flash_cnt[1758][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1758][2]~51494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1758][2]~q\);

-- Location: LCCOMB_X58_Y20_N6
\led_flash_cnt[1758][3]~51496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1758][3]~51496_combout\ = (\led_flash_cnt[1758][3]~q\ & (\led_flash_cnt[1758][2]~51495\ $ (GND))) # (!\led_flash_cnt[1758][3]~q\ & (!\led_flash_cnt[1758][2]~51495\ & VCC))
-- \led_flash_cnt[1758][3]~51497\ = CARRY((\led_flash_cnt[1758][3]~q\ & !\led_flash_cnt[1758][2]~51495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1758][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1758][2]~51495\,
	combout => \led_flash_cnt[1758][3]~51496_combout\,
	cout => \led_flash_cnt[1758][3]~51497\);

-- Location: FF_X58_Y20_N7
\led_flash_cnt[1758][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1758][3]~51496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1758][3]~q\);

-- Location: LCCOMB_X58_Y20_N8
\led_flash_cnt[1758][4]~51498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1758][4]~51498_combout\ = (\led_flash_cnt[1758][4]~q\ & (!\led_flash_cnt[1758][3]~51497\)) # (!\led_flash_cnt[1758][4]~q\ & ((\led_flash_cnt[1758][3]~51497\) # (GND)))
-- \led_flash_cnt[1758][4]~51499\ = CARRY((!\led_flash_cnt[1758][3]~51497\) # (!\led_flash_cnt[1758][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1758][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1758][3]~51497\,
	combout => \led_flash_cnt[1758][4]~51498_combout\,
	cout => \led_flash_cnt[1758][4]~51499\);

-- Location: FF_X58_Y20_N9
\led_flash_cnt[1758][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1758][4]~51498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1758][4]~q\);

-- Location: LCCOMB_X58_Y20_N0
\WideAnd1758~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1758~0_combout\ = (\led_flash_cnt[1758][3]~q\ & (\led_flash_cnt[1758][4]~q\ & (\led_flash_cnt[1758][2]~q\ & \led_flash_cnt[1758][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1758][3]~q\,
	datab => \led_flash_cnt[1758][4]~q\,
	datac => \led_flash_cnt[1758][2]~q\,
	datad => \led_flash_cnt[1758][1]~q\,
	combout => \WideAnd1758~0_combout\);

-- Location: LCCOMB_X58_Y20_N10
\led_flash_cnt[1758][5]~51500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1758][5]~51500_combout\ = (\led_flash_cnt[1758][5]~q\ & (\led_flash_cnt[1758][4]~51499\ $ (GND))) # (!\led_flash_cnt[1758][5]~q\ & (!\led_flash_cnt[1758][4]~51499\ & VCC))
-- \led_flash_cnt[1758][5]~51501\ = CARRY((\led_flash_cnt[1758][5]~q\ & !\led_flash_cnt[1758][4]~51499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1758][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1758][4]~51499\,
	combout => \led_flash_cnt[1758][5]~51500_combout\,
	cout => \led_flash_cnt[1758][5]~51501\);

-- Location: FF_X58_Y20_N11
\led_flash_cnt[1758][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1758][5]~51500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1758][5]~q\);

-- Location: LCCOMB_X58_Y20_N12
\led_flash_cnt[1758][6]~51502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1758][6]~51502_combout\ = (\led_flash_cnt[1758][6]~q\ & (!\led_flash_cnt[1758][5]~51501\)) # (!\led_flash_cnt[1758][6]~q\ & ((\led_flash_cnt[1758][5]~51501\) # (GND)))
-- \led_flash_cnt[1758][6]~51503\ = CARRY((!\led_flash_cnt[1758][5]~51501\) # (!\led_flash_cnt[1758][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1758][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1758][5]~51501\,
	combout => \led_flash_cnt[1758][6]~51502_combout\,
	cout => \led_flash_cnt[1758][6]~51503\);

-- Location: FF_X58_Y20_N13
\led_flash_cnt[1758][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1758][6]~51502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1758][6]~q\);

-- Location: LCCOMB_X58_Y20_N14
\led_flash_cnt[1758][7]~51504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1758][7]~51504_combout\ = \led_flash_cnt[1758][7]~q\ $ (!\led_flash_cnt[1758][6]~51503\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1758][7]~q\,
	cin => \led_flash_cnt[1758][6]~51503\,
	combout => \led_flash_cnt[1758][7]~51504_combout\);

-- Location: FF_X58_Y20_N15
\led_flash_cnt[1758][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1758][7]~51504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1758][7]~q\);

-- Location: LCCOMB_X59_Y20_N26
\WideAnd1758~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1758~1_combout\ = (\led_flash_cnt[1758][6]~q\ & \led_flash_cnt[1758][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1758][6]~q\,
	datad => \led_flash_cnt[1758][5]~q\,
	combout => \WideAnd1758~1_combout\);

-- Location: LCCOMB_X58_Y20_N16
WideAnd1758 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1758~combout\ = (\led_flash_cnt[1758][0]~q\ & (\WideAnd1758~0_combout\ & (\led_flash_cnt[1758][7]~q\ & \WideAnd1758~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1758][0]~q\,
	datab => \WideAnd1758~0_combout\,
	datac => \led_flash_cnt[1758][7]~q\,
	datad => \WideAnd1758~1_combout\,
	combout => \WideAnd1758~combout\);

-- Location: FF_X58_Y20_N17
\led_flash_cnt_ands[1758]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1758~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1758));

-- Location: LCCOMB_X50_Y20_N8
WideAnd4059 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4059~combout\ = (\WideAnd4059~0_combout\ & (led_flash_cnt_ands(1759) & (\WideAnd4059~1_combout\ & led_flash_cnt_ands(1758))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4059~0_combout\,
	datab => led_flash_cnt_ands(1759),
	datac => \WideAnd4059~1_combout\,
	datad => led_flash_cnt_ands(1758),
	combout => \WideAnd4059~combout\);

-- Location: FF_X50_Y20_N9
\led_flash_cnt_ands_1[219]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4059~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(219));

-- Location: LCCOMB_X45_Y20_N2
\led_flash_cnt[1734][0]~82374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1734][0]~82374_combout\ = !\led_flash_cnt[1734][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1734][0]~q\,
	combout => \led_flash_cnt[1734][0]~82374_combout\);

-- Location: FF_X45_Y20_N3
\led_flash_cnt[1734][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1734][0]~82374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1734][0]~q\);

-- Location: LCCOMB_X44_Y20_N16
\led_flash_cnt[1734][1]~51156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1734][1]~51156_combout\ = (\led_flash_cnt[1734][0]~q\ & (\led_flash_cnt[1734][1]~q\ $ (VCC))) # (!\led_flash_cnt[1734][0]~q\ & (\led_flash_cnt[1734][1]~q\ & VCC))
-- \led_flash_cnt[1734][1]~51157\ = CARRY((\led_flash_cnt[1734][0]~q\ & \led_flash_cnt[1734][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1734][0]~q\,
	datab => \led_flash_cnt[1734][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1734][1]~51156_combout\,
	cout => \led_flash_cnt[1734][1]~51157\);

-- Location: FF_X44_Y20_N17
\led_flash_cnt[1734][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1734][1]~51156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1734][1]~q\);

-- Location: LCCOMB_X44_Y20_N18
\led_flash_cnt[1734][2]~51158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1734][2]~51158_combout\ = (\led_flash_cnt[1734][2]~q\ & (!\led_flash_cnt[1734][1]~51157\)) # (!\led_flash_cnt[1734][2]~q\ & ((\led_flash_cnt[1734][1]~51157\) # (GND)))
-- \led_flash_cnt[1734][2]~51159\ = CARRY((!\led_flash_cnt[1734][1]~51157\) # (!\led_flash_cnt[1734][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1734][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1734][1]~51157\,
	combout => \led_flash_cnt[1734][2]~51158_combout\,
	cout => \led_flash_cnt[1734][2]~51159\);

-- Location: FF_X44_Y20_N19
\led_flash_cnt[1734][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1734][2]~51158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1734][2]~q\);

-- Location: LCCOMB_X44_Y20_N20
\led_flash_cnt[1734][3]~51160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1734][3]~51160_combout\ = (\led_flash_cnt[1734][3]~q\ & (\led_flash_cnt[1734][2]~51159\ $ (GND))) # (!\led_flash_cnt[1734][3]~q\ & (!\led_flash_cnt[1734][2]~51159\ & VCC))
-- \led_flash_cnt[1734][3]~51161\ = CARRY((\led_flash_cnt[1734][3]~q\ & !\led_flash_cnt[1734][2]~51159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1734][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1734][2]~51159\,
	combout => \led_flash_cnt[1734][3]~51160_combout\,
	cout => \led_flash_cnt[1734][3]~51161\);

-- Location: FF_X44_Y20_N21
\led_flash_cnt[1734][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1734][3]~51160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1734][3]~q\);

-- Location: LCCOMB_X44_Y20_N22
\led_flash_cnt[1734][4]~51162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1734][4]~51162_combout\ = (\led_flash_cnt[1734][4]~q\ & (!\led_flash_cnt[1734][3]~51161\)) # (!\led_flash_cnt[1734][4]~q\ & ((\led_flash_cnt[1734][3]~51161\) # (GND)))
-- \led_flash_cnt[1734][4]~51163\ = CARRY((!\led_flash_cnt[1734][3]~51161\) # (!\led_flash_cnt[1734][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1734][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1734][3]~51161\,
	combout => \led_flash_cnt[1734][4]~51162_combout\,
	cout => \led_flash_cnt[1734][4]~51163\);

-- Location: FF_X44_Y20_N23
\led_flash_cnt[1734][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1734][4]~51162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1734][4]~q\);

-- Location: LCCOMB_X44_Y20_N14
\WideAnd1734~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1734~0_combout\ = (\led_flash_cnt[1734][3]~q\ & (\led_flash_cnt[1734][2]~q\ & (\led_flash_cnt[1734][4]~q\ & \led_flash_cnt[1734][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1734][3]~q\,
	datab => \led_flash_cnt[1734][2]~q\,
	datac => \led_flash_cnt[1734][4]~q\,
	datad => \led_flash_cnt[1734][1]~q\,
	combout => \WideAnd1734~0_combout\);

-- Location: LCCOMB_X44_Y20_N24
\led_flash_cnt[1734][5]~51164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1734][5]~51164_combout\ = (\led_flash_cnt[1734][5]~q\ & (\led_flash_cnt[1734][4]~51163\ $ (GND))) # (!\led_flash_cnt[1734][5]~q\ & (!\led_flash_cnt[1734][4]~51163\ & VCC))
-- \led_flash_cnt[1734][5]~51165\ = CARRY((\led_flash_cnt[1734][5]~q\ & !\led_flash_cnt[1734][4]~51163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1734][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1734][4]~51163\,
	combout => \led_flash_cnt[1734][5]~51164_combout\,
	cout => \led_flash_cnt[1734][5]~51165\);

-- Location: FF_X44_Y20_N25
\led_flash_cnt[1734][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1734][5]~51164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1734][5]~q\);

-- Location: LCCOMB_X44_Y20_N26
\led_flash_cnt[1734][6]~51166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1734][6]~51166_combout\ = (\led_flash_cnt[1734][6]~q\ & (!\led_flash_cnt[1734][5]~51165\)) # (!\led_flash_cnt[1734][6]~q\ & ((\led_flash_cnt[1734][5]~51165\) # (GND)))
-- \led_flash_cnt[1734][6]~51167\ = CARRY((!\led_flash_cnt[1734][5]~51165\) # (!\led_flash_cnt[1734][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1734][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1734][5]~51165\,
	combout => \led_flash_cnt[1734][6]~51166_combout\,
	cout => \led_flash_cnt[1734][6]~51167\);

-- Location: FF_X44_Y20_N27
\led_flash_cnt[1734][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1734][6]~51166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1734][6]~q\);

-- Location: LCCOMB_X44_Y20_N28
\led_flash_cnt[1734][7]~51168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1734][7]~51168_combout\ = \led_flash_cnt[1734][6]~51167\ $ (!\led_flash_cnt[1734][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1734][7]~q\,
	cin => \led_flash_cnt[1734][6]~51167\,
	combout => \led_flash_cnt[1734][7]~51168_combout\);

-- Location: FF_X44_Y20_N29
\led_flash_cnt[1734][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1734][7]~51168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1734][7]~q\);

-- Location: LCCOMB_X45_Y20_N30
\WideAnd1734~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1734~1_combout\ = (\led_flash_cnt[1734][6]~q\ & \led_flash_cnt[1734][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1734][6]~q\,
	datad => \led_flash_cnt[1734][5]~q\,
	combout => \WideAnd1734~1_combout\);

-- Location: LCCOMB_X45_Y20_N26
WideAnd1734 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1734~combout\ = (\WideAnd1734~0_combout\ & (\led_flash_cnt[1734][7]~q\ & (\WideAnd1734~1_combout\ & \led_flash_cnt[1734][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1734~0_combout\,
	datab => \led_flash_cnt[1734][7]~q\,
	datac => \WideAnd1734~1_combout\,
	datad => \led_flash_cnt[1734][0]~q\,
	combout => \WideAnd1734~combout\);

-- Location: FF_X45_Y20_N27
\led_flash_cnt_ands[1734]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1734~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1734));

-- Location: LCCOMB_X46_Y23_N30
\led_flash_cnt[1735][0]~82375\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1735][0]~82375_combout\ = !\led_flash_cnt[1735][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1735][0]~q\,
	combout => \led_flash_cnt[1735][0]~82375_combout\);

-- Location: FF_X46_Y23_N31
\led_flash_cnt[1735][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1735][0]~82375_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1735][0]~q\);

-- Location: LCCOMB_X46_Y22_N18
\led_flash_cnt[1735][1]~51170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1735][1]~51170_combout\ = (\led_flash_cnt[1735][0]~q\ & (\led_flash_cnt[1735][1]~q\ $ (VCC))) # (!\led_flash_cnt[1735][0]~q\ & (\led_flash_cnt[1735][1]~q\ & VCC))
-- \led_flash_cnt[1735][1]~51171\ = CARRY((\led_flash_cnt[1735][0]~q\ & \led_flash_cnt[1735][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1735][0]~q\,
	datab => \led_flash_cnt[1735][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1735][1]~51170_combout\,
	cout => \led_flash_cnt[1735][1]~51171\);

-- Location: FF_X46_Y22_N19
\led_flash_cnt[1735][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1735][1]~51170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1735][1]~q\);

-- Location: LCCOMB_X46_Y22_N20
\led_flash_cnt[1735][2]~51172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1735][2]~51172_combout\ = (\led_flash_cnt[1735][2]~q\ & (!\led_flash_cnt[1735][1]~51171\)) # (!\led_flash_cnt[1735][2]~q\ & ((\led_flash_cnt[1735][1]~51171\) # (GND)))
-- \led_flash_cnt[1735][2]~51173\ = CARRY((!\led_flash_cnt[1735][1]~51171\) # (!\led_flash_cnt[1735][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1735][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1735][1]~51171\,
	combout => \led_flash_cnt[1735][2]~51172_combout\,
	cout => \led_flash_cnt[1735][2]~51173\);

-- Location: FF_X46_Y22_N21
\led_flash_cnt[1735][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1735][2]~51172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1735][2]~q\);

-- Location: LCCOMB_X46_Y22_N22
\led_flash_cnt[1735][3]~51174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1735][3]~51174_combout\ = (\led_flash_cnt[1735][3]~q\ & (\led_flash_cnt[1735][2]~51173\ $ (GND))) # (!\led_flash_cnt[1735][3]~q\ & (!\led_flash_cnt[1735][2]~51173\ & VCC))
-- \led_flash_cnt[1735][3]~51175\ = CARRY((\led_flash_cnt[1735][3]~q\ & !\led_flash_cnt[1735][2]~51173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1735][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1735][2]~51173\,
	combout => \led_flash_cnt[1735][3]~51174_combout\,
	cout => \led_flash_cnt[1735][3]~51175\);

-- Location: FF_X46_Y22_N23
\led_flash_cnt[1735][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1735][3]~51174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1735][3]~q\);

-- Location: LCCOMB_X46_Y22_N24
\led_flash_cnt[1735][4]~51176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1735][4]~51176_combout\ = (\led_flash_cnt[1735][4]~q\ & (!\led_flash_cnt[1735][3]~51175\)) # (!\led_flash_cnt[1735][4]~q\ & ((\led_flash_cnt[1735][3]~51175\) # (GND)))
-- \led_flash_cnt[1735][4]~51177\ = CARRY((!\led_flash_cnt[1735][3]~51175\) # (!\led_flash_cnt[1735][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1735][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1735][3]~51175\,
	combout => \led_flash_cnt[1735][4]~51176_combout\,
	cout => \led_flash_cnt[1735][4]~51177\);

-- Location: FF_X46_Y22_N25
\led_flash_cnt[1735][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1735][4]~51176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1735][4]~q\);

-- Location: LCCOMB_X46_Y22_N26
\led_flash_cnt[1735][5]~51178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1735][5]~51178_combout\ = (\led_flash_cnt[1735][5]~q\ & (\led_flash_cnt[1735][4]~51177\ $ (GND))) # (!\led_flash_cnt[1735][5]~q\ & (!\led_flash_cnt[1735][4]~51177\ & VCC))
-- \led_flash_cnt[1735][5]~51179\ = CARRY((\led_flash_cnt[1735][5]~q\ & !\led_flash_cnt[1735][4]~51177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1735][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1735][4]~51177\,
	combout => \led_flash_cnt[1735][5]~51178_combout\,
	cout => \led_flash_cnt[1735][5]~51179\);

-- Location: FF_X46_Y22_N27
\led_flash_cnt[1735][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1735][5]~51178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1735][5]~q\);

-- Location: LCCOMB_X46_Y22_N28
\led_flash_cnt[1735][6]~51180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1735][6]~51180_combout\ = (\led_flash_cnt[1735][6]~q\ & (!\led_flash_cnt[1735][5]~51179\)) # (!\led_flash_cnt[1735][6]~q\ & ((\led_flash_cnt[1735][5]~51179\) # (GND)))
-- \led_flash_cnt[1735][6]~51181\ = CARRY((!\led_flash_cnt[1735][5]~51179\) # (!\led_flash_cnt[1735][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1735][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1735][5]~51179\,
	combout => \led_flash_cnt[1735][6]~51180_combout\,
	cout => \led_flash_cnt[1735][6]~51181\);

-- Location: FF_X46_Y22_N29
\led_flash_cnt[1735][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1735][6]~51180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1735][6]~q\);

-- Location: LCCOMB_X45_Y22_N30
\WideAnd1735~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1735~1_combout\ = (\led_flash_cnt[1735][6]~q\ & \led_flash_cnt[1735][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1735][6]~q\,
	datad => \led_flash_cnt[1735][5]~q\,
	combout => \WideAnd1735~1_combout\);

-- Location: LCCOMB_X46_Y22_N0
\WideAnd1735~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1735~0_combout\ = (\led_flash_cnt[1735][4]~q\ & (\led_flash_cnt[1735][2]~q\ & (\led_flash_cnt[1735][3]~q\ & \led_flash_cnt[1735][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1735][4]~q\,
	datab => \led_flash_cnt[1735][2]~q\,
	datac => \led_flash_cnt[1735][3]~q\,
	datad => \led_flash_cnt[1735][1]~q\,
	combout => \WideAnd1735~0_combout\);

-- Location: LCCOMB_X46_Y22_N30
\led_flash_cnt[1735][7]~51182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1735][7]~51182_combout\ = \led_flash_cnt[1735][7]~q\ $ (!\led_flash_cnt[1735][6]~51181\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1735][7]~q\,
	cin => \led_flash_cnt[1735][6]~51181\,
	combout => \led_flash_cnt[1735][7]~51182_combout\);

-- Location: FF_X46_Y22_N31
\led_flash_cnt[1735][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1735][7]~51182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1735][7]~q\);

-- Location: LCCOMB_X45_Y22_N8
WideAnd1735 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1735~combout\ = (\WideAnd1735~1_combout\ & (\WideAnd1735~0_combout\ & (\led_flash_cnt[1735][7]~q\ & \led_flash_cnt[1735][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1735~1_combout\,
	datab => \WideAnd1735~0_combout\,
	datac => \led_flash_cnt[1735][7]~q\,
	datad => \led_flash_cnt[1735][0]~q\,
	combout => \WideAnd1735~combout\);

-- Location: FF_X45_Y22_N9
\led_flash_cnt_ands[1735]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1735~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1735));

-- Location: LCCOMB_X46_Y18_N6
\led_flash_cnt[1733][0]~82373\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1733][0]~82373_combout\ = !\led_flash_cnt[1733][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1733][0]~q\,
	combout => \led_flash_cnt[1733][0]~82373_combout\);

-- Location: FF_X46_Y18_N7
\led_flash_cnt[1733][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1733][0]~82373_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1733][0]~q\);

-- Location: LCCOMB_X46_Y21_N2
\led_flash_cnt[1733][1]~51142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1733][1]~51142_combout\ = (\led_flash_cnt[1733][0]~q\ & (\led_flash_cnt[1733][1]~q\ $ (VCC))) # (!\led_flash_cnt[1733][0]~q\ & (\led_flash_cnt[1733][1]~q\ & VCC))
-- \led_flash_cnt[1733][1]~51143\ = CARRY((\led_flash_cnt[1733][0]~q\ & \led_flash_cnt[1733][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1733][0]~q\,
	datab => \led_flash_cnt[1733][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1733][1]~51142_combout\,
	cout => \led_flash_cnt[1733][1]~51143\);

-- Location: FF_X46_Y21_N3
\led_flash_cnt[1733][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1733][1]~51142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1733][1]~q\);

-- Location: LCCOMB_X46_Y21_N4
\led_flash_cnt[1733][2]~51144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1733][2]~51144_combout\ = (\led_flash_cnt[1733][2]~q\ & (!\led_flash_cnt[1733][1]~51143\)) # (!\led_flash_cnt[1733][2]~q\ & ((\led_flash_cnt[1733][1]~51143\) # (GND)))
-- \led_flash_cnt[1733][2]~51145\ = CARRY((!\led_flash_cnt[1733][1]~51143\) # (!\led_flash_cnt[1733][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1733][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1733][1]~51143\,
	combout => \led_flash_cnt[1733][2]~51144_combout\,
	cout => \led_flash_cnt[1733][2]~51145\);

-- Location: FF_X46_Y21_N5
\led_flash_cnt[1733][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1733][2]~51144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1733][2]~q\);

-- Location: LCCOMB_X46_Y21_N6
\led_flash_cnt[1733][3]~51146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1733][3]~51146_combout\ = (\led_flash_cnt[1733][3]~q\ & (\led_flash_cnt[1733][2]~51145\ $ (GND))) # (!\led_flash_cnt[1733][3]~q\ & (!\led_flash_cnt[1733][2]~51145\ & VCC))
-- \led_flash_cnt[1733][3]~51147\ = CARRY((\led_flash_cnt[1733][3]~q\ & !\led_flash_cnt[1733][2]~51145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1733][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1733][2]~51145\,
	combout => \led_flash_cnt[1733][3]~51146_combout\,
	cout => \led_flash_cnt[1733][3]~51147\);

-- Location: FF_X46_Y21_N7
\led_flash_cnt[1733][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1733][3]~51146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1733][3]~q\);

-- Location: LCCOMB_X46_Y21_N8
\led_flash_cnt[1733][4]~51148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1733][4]~51148_combout\ = (\led_flash_cnt[1733][4]~q\ & (!\led_flash_cnt[1733][3]~51147\)) # (!\led_flash_cnt[1733][4]~q\ & ((\led_flash_cnt[1733][3]~51147\) # (GND)))
-- \led_flash_cnt[1733][4]~51149\ = CARRY((!\led_flash_cnt[1733][3]~51147\) # (!\led_flash_cnt[1733][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1733][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1733][3]~51147\,
	combout => \led_flash_cnt[1733][4]~51148_combout\,
	cout => \led_flash_cnt[1733][4]~51149\);

-- Location: FF_X46_Y21_N9
\led_flash_cnt[1733][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1733][4]~51148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1733][4]~q\);

-- Location: LCCOMB_X46_Y21_N0
\WideAnd1733~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1733~0_combout\ = (\led_flash_cnt[1733][3]~q\ & (\led_flash_cnt[1733][4]~q\ & (\led_flash_cnt[1733][2]~q\ & \led_flash_cnt[1733][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1733][3]~q\,
	datab => \led_flash_cnt[1733][4]~q\,
	datac => \led_flash_cnt[1733][2]~q\,
	datad => \led_flash_cnt[1733][1]~q\,
	combout => \WideAnd1733~0_combout\);

-- Location: LCCOMB_X46_Y21_N10
\led_flash_cnt[1733][5]~51150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1733][5]~51150_combout\ = (\led_flash_cnt[1733][5]~q\ & (\led_flash_cnt[1733][4]~51149\ $ (GND))) # (!\led_flash_cnt[1733][5]~q\ & (!\led_flash_cnt[1733][4]~51149\ & VCC))
-- \led_flash_cnt[1733][5]~51151\ = CARRY((\led_flash_cnt[1733][5]~q\ & !\led_flash_cnt[1733][4]~51149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1733][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1733][4]~51149\,
	combout => \led_flash_cnt[1733][5]~51150_combout\,
	cout => \led_flash_cnt[1733][5]~51151\);

-- Location: FF_X46_Y21_N11
\led_flash_cnt[1733][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1733][5]~51150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1733][5]~q\);

-- Location: LCCOMB_X46_Y21_N12
\led_flash_cnt[1733][6]~51152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1733][6]~51152_combout\ = (\led_flash_cnt[1733][6]~q\ & (!\led_flash_cnt[1733][5]~51151\)) # (!\led_flash_cnt[1733][6]~q\ & ((\led_flash_cnt[1733][5]~51151\) # (GND)))
-- \led_flash_cnt[1733][6]~51153\ = CARRY((!\led_flash_cnt[1733][5]~51151\) # (!\led_flash_cnt[1733][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1733][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1733][5]~51151\,
	combout => \led_flash_cnt[1733][6]~51152_combout\,
	cout => \led_flash_cnt[1733][6]~51153\);

-- Location: FF_X46_Y21_N13
\led_flash_cnt[1733][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1733][6]~51152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1733][6]~q\);

-- Location: LCCOMB_X46_Y21_N14
\led_flash_cnt[1733][7]~51154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1733][7]~51154_combout\ = \led_flash_cnt[1733][7]~q\ $ (!\led_flash_cnt[1733][6]~51153\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1733][7]~q\,
	cin => \led_flash_cnt[1733][6]~51153\,
	combout => \led_flash_cnt[1733][7]~51154_combout\);

-- Location: FF_X46_Y21_N15
\led_flash_cnt[1733][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1733][7]~51154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1733][7]~q\);

-- Location: LCCOMB_X47_Y21_N28
\WideAnd1733~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1733~1_combout\ = (\led_flash_cnt[1733][6]~q\ & \led_flash_cnt[1733][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1733][6]~q\,
	datad => \led_flash_cnt[1733][5]~q\,
	combout => \WideAnd1733~1_combout\);

-- Location: LCCOMB_X46_Y21_N16
WideAnd1733 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1733~combout\ = (\led_flash_cnt[1733][0]~q\ & (\WideAnd1733~0_combout\ & (\led_flash_cnt[1733][7]~q\ & \WideAnd1733~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1733][0]~q\,
	datab => \WideAnd1733~0_combout\,
	datac => \led_flash_cnt[1733][7]~q\,
	datad => \WideAnd1733~1_combout\,
	combout => \WideAnd1733~combout\);

-- Location: FF_X46_Y21_N17
\led_flash_cnt_ands[1733]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1733~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1733));

-- Location: LCCOMB_X49_Y21_N26
\led_flash_cnt[1732][0]~82372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1732][0]~82372_combout\ = !\led_flash_cnt[1732][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1732][0]~q\,
	combout => \led_flash_cnt[1732][0]~82372_combout\);

-- Location: FF_X49_Y21_N27
\led_flash_cnt[1732][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1732][0]~82372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1732][0]~q\);

-- Location: LCCOMB_X50_Y21_N2
\led_flash_cnt[1732][1]~51128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1732][1]~51128_combout\ = (\led_flash_cnt[1732][0]~q\ & (\led_flash_cnt[1732][1]~q\ $ (VCC))) # (!\led_flash_cnt[1732][0]~q\ & (\led_flash_cnt[1732][1]~q\ & VCC))
-- \led_flash_cnt[1732][1]~51129\ = CARRY((\led_flash_cnt[1732][0]~q\ & \led_flash_cnt[1732][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1732][0]~q\,
	datab => \led_flash_cnt[1732][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1732][1]~51128_combout\,
	cout => \led_flash_cnt[1732][1]~51129\);

-- Location: FF_X50_Y21_N3
\led_flash_cnt[1732][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1732][1]~51128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1732][1]~q\);

-- Location: LCCOMB_X50_Y21_N4
\led_flash_cnt[1732][2]~51130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1732][2]~51130_combout\ = (\led_flash_cnt[1732][2]~q\ & (!\led_flash_cnt[1732][1]~51129\)) # (!\led_flash_cnt[1732][2]~q\ & ((\led_flash_cnt[1732][1]~51129\) # (GND)))
-- \led_flash_cnt[1732][2]~51131\ = CARRY((!\led_flash_cnt[1732][1]~51129\) # (!\led_flash_cnt[1732][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1732][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1732][1]~51129\,
	combout => \led_flash_cnt[1732][2]~51130_combout\,
	cout => \led_flash_cnt[1732][2]~51131\);

-- Location: FF_X50_Y21_N5
\led_flash_cnt[1732][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1732][2]~51130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1732][2]~q\);

-- Location: LCCOMB_X50_Y21_N6
\led_flash_cnt[1732][3]~51132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1732][3]~51132_combout\ = (\led_flash_cnt[1732][3]~q\ & (\led_flash_cnt[1732][2]~51131\ $ (GND))) # (!\led_flash_cnt[1732][3]~q\ & (!\led_flash_cnt[1732][2]~51131\ & VCC))
-- \led_flash_cnt[1732][3]~51133\ = CARRY((\led_flash_cnt[1732][3]~q\ & !\led_flash_cnt[1732][2]~51131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1732][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1732][2]~51131\,
	combout => \led_flash_cnt[1732][3]~51132_combout\,
	cout => \led_flash_cnt[1732][3]~51133\);

-- Location: FF_X50_Y21_N7
\led_flash_cnt[1732][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1732][3]~51132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1732][3]~q\);

-- Location: LCCOMB_X50_Y21_N8
\led_flash_cnt[1732][4]~51134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1732][4]~51134_combout\ = (\led_flash_cnt[1732][4]~q\ & (!\led_flash_cnt[1732][3]~51133\)) # (!\led_flash_cnt[1732][4]~q\ & ((\led_flash_cnt[1732][3]~51133\) # (GND)))
-- \led_flash_cnt[1732][4]~51135\ = CARRY((!\led_flash_cnt[1732][3]~51133\) # (!\led_flash_cnt[1732][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1732][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1732][3]~51133\,
	combout => \led_flash_cnt[1732][4]~51134_combout\,
	cout => \led_flash_cnt[1732][4]~51135\);

-- Location: FF_X50_Y21_N9
\led_flash_cnt[1732][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1732][4]~51134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1732][4]~q\);

-- Location: LCCOMB_X50_Y21_N30
\WideAnd1732~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1732~0_combout\ = (\led_flash_cnt[1732][3]~q\ & (\led_flash_cnt[1732][4]~q\ & (\led_flash_cnt[1732][2]~q\ & \led_flash_cnt[1732][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1732][3]~q\,
	datab => \led_flash_cnt[1732][4]~q\,
	datac => \led_flash_cnt[1732][2]~q\,
	datad => \led_flash_cnt[1732][1]~q\,
	combout => \WideAnd1732~0_combout\);

-- Location: LCCOMB_X50_Y21_N10
\led_flash_cnt[1732][5]~51136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1732][5]~51136_combout\ = (\led_flash_cnt[1732][5]~q\ & (\led_flash_cnt[1732][4]~51135\ $ (GND))) # (!\led_flash_cnt[1732][5]~q\ & (!\led_flash_cnt[1732][4]~51135\ & VCC))
-- \led_flash_cnt[1732][5]~51137\ = CARRY((\led_flash_cnt[1732][5]~q\ & !\led_flash_cnt[1732][4]~51135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1732][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1732][4]~51135\,
	combout => \led_flash_cnt[1732][5]~51136_combout\,
	cout => \led_flash_cnt[1732][5]~51137\);

-- Location: FF_X50_Y21_N11
\led_flash_cnt[1732][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1732][5]~51136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1732][5]~q\);

-- Location: LCCOMB_X50_Y21_N12
\led_flash_cnt[1732][6]~51138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1732][6]~51138_combout\ = (\led_flash_cnt[1732][6]~q\ & (!\led_flash_cnt[1732][5]~51137\)) # (!\led_flash_cnt[1732][6]~q\ & ((\led_flash_cnt[1732][5]~51137\) # (GND)))
-- \led_flash_cnt[1732][6]~51139\ = CARRY((!\led_flash_cnt[1732][5]~51137\) # (!\led_flash_cnt[1732][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1732][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1732][5]~51137\,
	combout => \led_flash_cnt[1732][6]~51138_combout\,
	cout => \led_flash_cnt[1732][6]~51139\);

-- Location: FF_X50_Y21_N13
\led_flash_cnt[1732][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1732][6]~51138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1732][6]~q\);

-- Location: LCCOMB_X49_Y21_N16
\WideAnd1732~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1732~1_combout\ = (\led_flash_cnt[1732][6]~q\ & \led_flash_cnt[1732][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1732][6]~q\,
	datac => \led_flash_cnt[1732][5]~q\,
	combout => \WideAnd1732~1_combout\);

-- Location: LCCOMB_X50_Y21_N14
\led_flash_cnt[1732][7]~51140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1732][7]~51140_combout\ = \led_flash_cnt[1732][7]~q\ $ (!\led_flash_cnt[1732][6]~51139\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1732][7]~q\,
	cin => \led_flash_cnt[1732][6]~51139\,
	combout => \led_flash_cnt[1732][7]~51140_combout\);

-- Location: FF_X50_Y21_N15
\led_flash_cnt[1732][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1732][7]~51140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1732][7]~q\);

-- Location: LCCOMB_X49_Y21_N0
WideAnd1732 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1732~combout\ = (\WideAnd1732~0_combout\ & (\WideAnd1732~1_combout\ & (\led_flash_cnt[1732][7]~q\ & \led_flash_cnt[1732][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1732~0_combout\,
	datab => \WideAnd1732~1_combout\,
	datac => \led_flash_cnt[1732][7]~q\,
	datad => \led_flash_cnt[1732][0]~q\,
	combout => \WideAnd1732~combout\);

-- Location: FF_X49_Y21_N1
\led_flash_cnt_ands[1732]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1732~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1732));

-- Location: LCCOMB_X49_Y21_N30
\WideAnd4056~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4056~1_combout\ = (led_flash_cnt_ands(1733) & led_flash_cnt_ands(1732))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1733),
	datad => led_flash_cnt_ands(1732),
	combout => \WideAnd4056~1_combout\);

-- Location: LCCOMB_X42_Y9_N20
\led_flash_cnt[1728][0]~82368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1728][0]~82368_combout\ = !\led_flash_cnt[1728][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1728][0]~q\,
	combout => \led_flash_cnt[1728][0]~82368_combout\);

-- Location: FF_X42_Y9_N21
\led_flash_cnt[1728][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1728][0]~82368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1728][0]~q\);

-- Location: LCCOMB_X41_Y9_N0
\led_flash_cnt[1728][1]~51072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1728][1]~51072_combout\ = (\led_flash_cnt[1728][0]~q\ & (\led_flash_cnt[1728][1]~q\ $ (VCC))) # (!\led_flash_cnt[1728][0]~q\ & (\led_flash_cnt[1728][1]~q\ & VCC))
-- \led_flash_cnt[1728][1]~51073\ = CARRY((\led_flash_cnt[1728][0]~q\ & \led_flash_cnt[1728][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1728][0]~q\,
	datab => \led_flash_cnt[1728][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1728][1]~51072_combout\,
	cout => \led_flash_cnt[1728][1]~51073\);

-- Location: FF_X41_Y9_N1
\led_flash_cnt[1728][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1728][1]~51072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1728][1]~q\);

-- Location: LCCOMB_X41_Y9_N2
\led_flash_cnt[1728][2]~51074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1728][2]~51074_combout\ = (\led_flash_cnt[1728][2]~q\ & (!\led_flash_cnt[1728][1]~51073\)) # (!\led_flash_cnt[1728][2]~q\ & ((\led_flash_cnt[1728][1]~51073\) # (GND)))
-- \led_flash_cnt[1728][2]~51075\ = CARRY((!\led_flash_cnt[1728][1]~51073\) # (!\led_flash_cnt[1728][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1728][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1728][1]~51073\,
	combout => \led_flash_cnt[1728][2]~51074_combout\,
	cout => \led_flash_cnt[1728][2]~51075\);

-- Location: FF_X41_Y9_N3
\led_flash_cnt[1728][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1728][2]~51074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1728][2]~q\);

-- Location: LCCOMB_X41_Y9_N4
\led_flash_cnt[1728][3]~51076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1728][3]~51076_combout\ = (\led_flash_cnt[1728][3]~q\ & (\led_flash_cnt[1728][2]~51075\ $ (GND))) # (!\led_flash_cnt[1728][3]~q\ & (!\led_flash_cnt[1728][2]~51075\ & VCC))
-- \led_flash_cnt[1728][3]~51077\ = CARRY((\led_flash_cnt[1728][3]~q\ & !\led_flash_cnt[1728][2]~51075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1728][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1728][2]~51075\,
	combout => \led_flash_cnt[1728][3]~51076_combout\,
	cout => \led_flash_cnt[1728][3]~51077\);

-- Location: FF_X41_Y9_N5
\led_flash_cnt[1728][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1728][3]~51076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1728][3]~q\);

-- Location: LCCOMB_X41_Y9_N6
\led_flash_cnt[1728][4]~51078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1728][4]~51078_combout\ = (\led_flash_cnt[1728][4]~q\ & (!\led_flash_cnt[1728][3]~51077\)) # (!\led_flash_cnt[1728][4]~q\ & ((\led_flash_cnt[1728][3]~51077\) # (GND)))
-- \led_flash_cnt[1728][4]~51079\ = CARRY((!\led_flash_cnt[1728][3]~51077\) # (!\led_flash_cnt[1728][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1728][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1728][3]~51077\,
	combout => \led_flash_cnt[1728][4]~51078_combout\,
	cout => \led_flash_cnt[1728][4]~51079\);

-- Location: FF_X41_Y9_N7
\led_flash_cnt[1728][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1728][4]~51078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1728][4]~q\);

-- Location: LCCOMB_X41_Y9_N8
\led_flash_cnt[1728][5]~51080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1728][5]~51080_combout\ = (\led_flash_cnt[1728][5]~q\ & (\led_flash_cnt[1728][4]~51079\ $ (GND))) # (!\led_flash_cnt[1728][5]~q\ & (!\led_flash_cnt[1728][4]~51079\ & VCC))
-- \led_flash_cnt[1728][5]~51081\ = CARRY((\led_flash_cnt[1728][5]~q\ & !\led_flash_cnt[1728][4]~51079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1728][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1728][4]~51079\,
	combout => \led_flash_cnt[1728][5]~51080_combout\,
	cout => \led_flash_cnt[1728][5]~51081\);

-- Location: FF_X41_Y9_N9
\led_flash_cnt[1728][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1728][5]~51080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1728][5]~q\);

-- Location: LCCOMB_X41_Y9_N10
\led_flash_cnt[1728][6]~51082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1728][6]~51082_combout\ = (\led_flash_cnt[1728][6]~q\ & (!\led_flash_cnt[1728][5]~51081\)) # (!\led_flash_cnt[1728][6]~q\ & ((\led_flash_cnt[1728][5]~51081\) # (GND)))
-- \led_flash_cnt[1728][6]~51083\ = CARRY((!\led_flash_cnt[1728][5]~51081\) # (!\led_flash_cnt[1728][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1728][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1728][5]~51081\,
	combout => \led_flash_cnt[1728][6]~51082_combout\,
	cout => \led_flash_cnt[1728][6]~51083\);

-- Location: FF_X41_Y9_N11
\led_flash_cnt[1728][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1728][6]~51082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1728][6]~q\);

-- Location: LCCOMB_X41_Y9_N12
\led_flash_cnt[1728][7]~51084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1728][7]~51084_combout\ = \led_flash_cnt[1728][6]~51083\ $ (!\led_flash_cnt[1728][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1728][7]~q\,
	cin => \led_flash_cnt[1728][6]~51083\,
	combout => \led_flash_cnt[1728][7]~51084_combout\);

-- Location: FF_X41_Y9_N13
\led_flash_cnt[1728][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1728][7]~51084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1728][7]~q\);

-- Location: LCCOMB_X41_Y9_N28
\WideAnd1728~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1728~0_combout\ = (\led_flash_cnt[1728][4]~q\ & (\led_flash_cnt[1728][1]~q\ & (\led_flash_cnt[1728][3]~q\ & \led_flash_cnt[1728][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1728][4]~q\,
	datab => \led_flash_cnt[1728][1]~q\,
	datac => \led_flash_cnt[1728][3]~q\,
	datad => \led_flash_cnt[1728][2]~q\,
	combout => \WideAnd1728~0_combout\);

-- Location: LCCOMB_X42_Y9_N24
\WideAnd1728~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1728~1_combout\ = (\led_flash_cnt[1728][6]~q\ & \led_flash_cnt[1728][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1728][6]~q\,
	datad => \led_flash_cnt[1728][5]~q\,
	combout => \WideAnd1728~1_combout\);

-- Location: LCCOMB_X42_Y9_N22
WideAnd1728 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1728~combout\ = (\led_flash_cnt[1728][7]~q\ & (\WideAnd1728~0_combout\ & (\led_flash_cnt[1728][0]~q\ & \WideAnd1728~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1728][7]~q\,
	datab => \WideAnd1728~0_combout\,
	datac => \led_flash_cnt[1728][0]~q\,
	datad => \WideAnd1728~1_combout\,
	combout => \WideAnd1728~combout\);

-- Location: FF_X42_Y9_N23
\led_flash_cnt_ands[1728]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1728~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1728));

-- Location: LCCOMB_X45_Y12_N2
\led_flash_cnt[1730][0]~82370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1730][0]~82370_combout\ = !\led_flash_cnt[1730][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1730][0]~q\,
	combout => \led_flash_cnt[1730][0]~82370_combout\);

-- Location: FF_X45_Y12_N3
\led_flash_cnt[1730][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1730][0]~82370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1730][0]~q\);

-- Location: LCCOMB_X44_Y12_N0
\led_flash_cnt[1730][1]~51100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1730][1]~51100_combout\ = (\led_flash_cnt[1730][0]~q\ & (\led_flash_cnt[1730][1]~q\ $ (VCC))) # (!\led_flash_cnt[1730][0]~q\ & (\led_flash_cnt[1730][1]~q\ & VCC))
-- \led_flash_cnt[1730][1]~51101\ = CARRY((\led_flash_cnt[1730][0]~q\ & \led_flash_cnt[1730][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1730][0]~q\,
	datab => \led_flash_cnt[1730][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1730][1]~51100_combout\,
	cout => \led_flash_cnt[1730][1]~51101\);

-- Location: FF_X44_Y12_N1
\led_flash_cnt[1730][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1730][1]~51100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1730][1]~q\);

-- Location: LCCOMB_X44_Y12_N2
\led_flash_cnt[1730][2]~51102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1730][2]~51102_combout\ = (\led_flash_cnt[1730][2]~q\ & (!\led_flash_cnt[1730][1]~51101\)) # (!\led_flash_cnt[1730][2]~q\ & ((\led_flash_cnt[1730][1]~51101\) # (GND)))
-- \led_flash_cnt[1730][2]~51103\ = CARRY((!\led_flash_cnt[1730][1]~51101\) # (!\led_flash_cnt[1730][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1730][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1730][1]~51101\,
	combout => \led_flash_cnt[1730][2]~51102_combout\,
	cout => \led_flash_cnt[1730][2]~51103\);

-- Location: FF_X44_Y12_N3
\led_flash_cnt[1730][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1730][2]~51102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1730][2]~q\);

-- Location: LCCOMB_X44_Y12_N4
\led_flash_cnt[1730][3]~51104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1730][3]~51104_combout\ = (\led_flash_cnt[1730][3]~q\ & (\led_flash_cnt[1730][2]~51103\ $ (GND))) # (!\led_flash_cnt[1730][3]~q\ & (!\led_flash_cnt[1730][2]~51103\ & VCC))
-- \led_flash_cnt[1730][3]~51105\ = CARRY((\led_flash_cnt[1730][3]~q\ & !\led_flash_cnt[1730][2]~51103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1730][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1730][2]~51103\,
	combout => \led_flash_cnt[1730][3]~51104_combout\,
	cout => \led_flash_cnt[1730][3]~51105\);

-- Location: FF_X44_Y12_N5
\led_flash_cnt[1730][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1730][3]~51104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1730][3]~q\);

-- Location: LCCOMB_X44_Y12_N6
\led_flash_cnt[1730][4]~51106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1730][4]~51106_combout\ = (\led_flash_cnt[1730][4]~q\ & (!\led_flash_cnt[1730][3]~51105\)) # (!\led_flash_cnt[1730][4]~q\ & ((\led_flash_cnt[1730][3]~51105\) # (GND)))
-- \led_flash_cnt[1730][4]~51107\ = CARRY((!\led_flash_cnt[1730][3]~51105\) # (!\led_flash_cnt[1730][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1730][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1730][3]~51105\,
	combout => \led_flash_cnt[1730][4]~51106_combout\,
	cout => \led_flash_cnt[1730][4]~51107\);

-- Location: FF_X44_Y12_N7
\led_flash_cnt[1730][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1730][4]~51106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1730][4]~q\);

-- Location: LCCOMB_X44_Y12_N8
\led_flash_cnt[1730][5]~51108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1730][5]~51108_combout\ = (\led_flash_cnt[1730][5]~q\ & (\led_flash_cnt[1730][4]~51107\ $ (GND))) # (!\led_flash_cnt[1730][5]~q\ & (!\led_flash_cnt[1730][4]~51107\ & VCC))
-- \led_flash_cnt[1730][5]~51109\ = CARRY((\led_flash_cnt[1730][5]~q\ & !\led_flash_cnt[1730][4]~51107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1730][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1730][4]~51107\,
	combout => \led_flash_cnt[1730][5]~51108_combout\,
	cout => \led_flash_cnt[1730][5]~51109\);

-- Location: FF_X44_Y12_N9
\led_flash_cnt[1730][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1730][5]~51108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1730][5]~q\);

-- Location: LCCOMB_X44_Y12_N10
\led_flash_cnt[1730][6]~51110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1730][6]~51110_combout\ = (\led_flash_cnt[1730][6]~q\ & (!\led_flash_cnt[1730][5]~51109\)) # (!\led_flash_cnt[1730][6]~q\ & ((\led_flash_cnt[1730][5]~51109\) # (GND)))
-- \led_flash_cnt[1730][6]~51111\ = CARRY((!\led_flash_cnt[1730][5]~51109\) # (!\led_flash_cnt[1730][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1730][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1730][5]~51109\,
	combout => \led_flash_cnt[1730][6]~51110_combout\,
	cout => \led_flash_cnt[1730][6]~51111\);

-- Location: FF_X44_Y12_N11
\led_flash_cnt[1730][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1730][6]~51110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1730][6]~q\);

-- Location: LCCOMB_X44_Y12_N12
\led_flash_cnt[1730][7]~51112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1730][7]~51112_combout\ = \led_flash_cnt[1730][6]~51111\ $ (!\led_flash_cnt[1730][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1730][7]~q\,
	cin => \led_flash_cnt[1730][6]~51111\,
	combout => \led_flash_cnt[1730][7]~51112_combout\);

-- Location: FF_X44_Y12_N13
\led_flash_cnt[1730][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1730][7]~51112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1730][7]~q\);

-- Location: LCCOMB_X44_Y12_N28
\WideAnd1730~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1730~0_combout\ = (\led_flash_cnt[1730][4]~q\ & (\led_flash_cnt[1730][2]~q\ & (\led_flash_cnt[1730][3]~q\ & \led_flash_cnt[1730][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1730][4]~q\,
	datab => \led_flash_cnt[1730][2]~q\,
	datac => \led_flash_cnt[1730][3]~q\,
	datad => \led_flash_cnt[1730][1]~q\,
	combout => \WideAnd1730~0_combout\);

-- Location: LCCOMB_X45_Y12_N30
\WideAnd1730~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1730~1_combout\ = (\led_flash_cnt[1730][6]~q\ & \led_flash_cnt[1730][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1730][6]~q\,
	datad => \led_flash_cnt[1730][5]~q\,
	combout => \WideAnd1730~1_combout\);

-- Location: LCCOMB_X45_Y12_N28
WideAnd1730 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1730~combout\ = (\led_flash_cnt[1730][7]~q\ & (\WideAnd1730~0_combout\ & (\WideAnd1730~1_combout\ & \led_flash_cnt[1730][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1730][7]~q\,
	datab => \WideAnd1730~0_combout\,
	datac => \WideAnd1730~1_combout\,
	datad => \led_flash_cnt[1730][0]~q\,
	combout => \WideAnd1730~combout\);

-- Location: FF_X45_Y12_N29
\led_flash_cnt_ands[1730]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1730~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1730));

-- Location: LCCOMB_X49_Y11_N28
\led_flash_cnt[1731][0]~82371\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1731][0]~82371_combout\ = !\led_flash_cnt[1731][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1731][0]~q\,
	combout => \led_flash_cnt[1731][0]~82371_combout\);

-- Location: FF_X49_Y11_N29
\led_flash_cnt[1731][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1731][0]~82371_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1731][0]~q\);

-- Location: LCCOMB_X50_Y11_N18
\led_flash_cnt[1731][1]~51114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1731][1]~51114_combout\ = (\led_flash_cnt[1731][0]~q\ & (\led_flash_cnt[1731][1]~q\ $ (VCC))) # (!\led_flash_cnt[1731][0]~q\ & (\led_flash_cnt[1731][1]~q\ & VCC))
-- \led_flash_cnt[1731][1]~51115\ = CARRY((\led_flash_cnt[1731][0]~q\ & \led_flash_cnt[1731][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1731][0]~q\,
	datab => \led_flash_cnt[1731][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1731][1]~51114_combout\,
	cout => \led_flash_cnt[1731][1]~51115\);

-- Location: FF_X50_Y11_N19
\led_flash_cnt[1731][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1731][1]~51114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1731][1]~q\);

-- Location: LCCOMB_X50_Y11_N20
\led_flash_cnt[1731][2]~51116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1731][2]~51116_combout\ = (\led_flash_cnt[1731][2]~q\ & (!\led_flash_cnt[1731][1]~51115\)) # (!\led_flash_cnt[1731][2]~q\ & ((\led_flash_cnt[1731][1]~51115\) # (GND)))
-- \led_flash_cnt[1731][2]~51117\ = CARRY((!\led_flash_cnt[1731][1]~51115\) # (!\led_flash_cnt[1731][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1731][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1731][1]~51115\,
	combout => \led_flash_cnt[1731][2]~51116_combout\,
	cout => \led_flash_cnt[1731][2]~51117\);

-- Location: FF_X50_Y11_N21
\led_flash_cnt[1731][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1731][2]~51116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1731][2]~q\);

-- Location: LCCOMB_X50_Y11_N22
\led_flash_cnt[1731][3]~51118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1731][3]~51118_combout\ = (\led_flash_cnt[1731][3]~q\ & (\led_flash_cnt[1731][2]~51117\ $ (GND))) # (!\led_flash_cnt[1731][3]~q\ & (!\led_flash_cnt[1731][2]~51117\ & VCC))
-- \led_flash_cnt[1731][3]~51119\ = CARRY((\led_flash_cnt[1731][3]~q\ & !\led_flash_cnt[1731][2]~51117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1731][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1731][2]~51117\,
	combout => \led_flash_cnt[1731][3]~51118_combout\,
	cout => \led_flash_cnt[1731][3]~51119\);

-- Location: FF_X50_Y11_N23
\led_flash_cnt[1731][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1731][3]~51118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1731][3]~q\);

-- Location: LCCOMB_X50_Y11_N24
\led_flash_cnt[1731][4]~51120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1731][4]~51120_combout\ = (\led_flash_cnt[1731][4]~q\ & (!\led_flash_cnt[1731][3]~51119\)) # (!\led_flash_cnt[1731][4]~q\ & ((\led_flash_cnt[1731][3]~51119\) # (GND)))
-- \led_flash_cnt[1731][4]~51121\ = CARRY((!\led_flash_cnt[1731][3]~51119\) # (!\led_flash_cnt[1731][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1731][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1731][3]~51119\,
	combout => \led_flash_cnt[1731][4]~51120_combout\,
	cout => \led_flash_cnt[1731][4]~51121\);

-- Location: FF_X50_Y11_N25
\led_flash_cnt[1731][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1731][4]~51120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1731][4]~q\);

-- Location: LCCOMB_X50_Y11_N26
\led_flash_cnt[1731][5]~51122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1731][5]~51122_combout\ = (\led_flash_cnt[1731][5]~q\ & (\led_flash_cnt[1731][4]~51121\ $ (GND))) # (!\led_flash_cnt[1731][5]~q\ & (!\led_flash_cnt[1731][4]~51121\ & VCC))
-- \led_flash_cnt[1731][5]~51123\ = CARRY((\led_flash_cnt[1731][5]~q\ & !\led_flash_cnt[1731][4]~51121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1731][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1731][4]~51121\,
	combout => \led_flash_cnt[1731][5]~51122_combout\,
	cout => \led_flash_cnt[1731][5]~51123\);

-- Location: FF_X50_Y11_N27
\led_flash_cnt[1731][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1731][5]~51122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1731][5]~q\);

-- Location: LCCOMB_X50_Y11_N28
\led_flash_cnt[1731][6]~51124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1731][6]~51124_combout\ = (\led_flash_cnt[1731][6]~q\ & (!\led_flash_cnt[1731][5]~51123\)) # (!\led_flash_cnt[1731][6]~q\ & ((\led_flash_cnt[1731][5]~51123\) # (GND)))
-- \led_flash_cnt[1731][6]~51125\ = CARRY((!\led_flash_cnt[1731][5]~51123\) # (!\led_flash_cnt[1731][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1731][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1731][5]~51123\,
	combout => \led_flash_cnt[1731][6]~51124_combout\,
	cout => \led_flash_cnt[1731][6]~51125\);

-- Location: FF_X50_Y11_N29
\led_flash_cnt[1731][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1731][6]~51124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1731][6]~q\);

-- Location: LCCOMB_X49_Y11_N22
\WideAnd1731~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1731~1_combout\ = (\led_flash_cnt[1731][6]~q\ & \led_flash_cnt[1731][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1731][6]~q\,
	datad => \led_flash_cnt[1731][5]~q\,
	combout => \WideAnd1731~1_combout\);

-- Location: LCCOMB_X50_Y11_N30
\led_flash_cnt[1731][7]~51126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1731][7]~51126_combout\ = \led_flash_cnt[1731][7]~q\ $ (!\led_flash_cnt[1731][6]~51125\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1731][7]~q\,
	cin => \led_flash_cnt[1731][6]~51125\,
	combout => \led_flash_cnt[1731][7]~51126_combout\);

-- Location: FF_X50_Y11_N31
\led_flash_cnt[1731][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1731][7]~51126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1731][7]~q\);

-- Location: LCCOMB_X50_Y11_N16
\WideAnd1731~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1731~0_combout\ = (\led_flash_cnt[1731][4]~q\ & (\led_flash_cnt[1731][2]~q\ & (\led_flash_cnt[1731][3]~q\ & \led_flash_cnt[1731][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1731][4]~q\,
	datab => \led_flash_cnt[1731][2]~q\,
	datac => \led_flash_cnt[1731][3]~q\,
	datad => \led_flash_cnt[1731][1]~q\,
	combout => \WideAnd1731~0_combout\);

-- Location: LCCOMB_X49_Y11_N0
WideAnd1731 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1731~combout\ = (\WideAnd1731~1_combout\ & (\led_flash_cnt[1731][0]~q\ & (\led_flash_cnt[1731][7]~q\ & \WideAnd1731~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1731~1_combout\,
	datab => \led_flash_cnt[1731][0]~q\,
	datac => \led_flash_cnt[1731][7]~q\,
	datad => \WideAnd1731~0_combout\,
	combout => \WideAnd1731~combout\);

-- Location: FF_X49_Y11_N1
\led_flash_cnt_ands[1731]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1731~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1731));

-- Location: LCCOMB_X46_Y10_N2
\led_flash_cnt[1729][0]~82369\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1729][0]~82369_combout\ = !\led_flash_cnt[1729][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1729][0]~q\,
	combout => \led_flash_cnt[1729][0]~82369_combout\);

-- Location: FF_X46_Y10_N3
\led_flash_cnt[1729][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1729][0]~82369_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1729][0]~q\);

-- Location: LCCOMB_X49_Y12_N18
\led_flash_cnt[1729][1]~51086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1729][1]~51086_combout\ = (\led_flash_cnt[1729][0]~q\ & (\led_flash_cnt[1729][1]~q\ $ (VCC))) # (!\led_flash_cnt[1729][0]~q\ & (\led_flash_cnt[1729][1]~q\ & VCC))
-- \led_flash_cnt[1729][1]~51087\ = CARRY((\led_flash_cnt[1729][0]~q\ & \led_flash_cnt[1729][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1729][0]~q\,
	datab => \led_flash_cnt[1729][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1729][1]~51086_combout\,
	cout => \led_flash_cnt[1729][1]~51087\);

-- Location: FF_X49_Y12_N19
\led_flash_cnt[1729][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1729][1]~51086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1729][1]~q\);

-- Location: LCCOMB_X49_Y12_N20
\led_flash_cnt[1729][2]~51088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1729][2]~51088_combout\ = (\led_flash_cnt[1729][2]~q\ & (!\led_flash_cnt[1729][1]~51087\)) # (!\led_flash_cnt[1729][2]~q\ & ((\led_flash_cnt[1729][1]~51087\) # (GND)))
-- \led_flash_cnt[1729][2]~51089\ = CARRY((!\led_flash_cnt[1729][1]~51087\) # (!\led_flash_cnt[1729][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1729][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1729][1]~51087\,
	combout => \led_flash_cnt[1729][2]~51088_combout\,
	cout => \led_flash_cnt[1729][2]~51089\);

-- Location: FF_X49_Y12_N21
\led_flash_cnt[1729][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1729][2]~51088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1729][2]~q\);

-- Location: LCCOMB_X49_Y12_N22
\led_flash_cnt[1729][3]~51090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1729][3]~51090_combout\ = (\led_flash_cnt[1729][3]~q\ & (\led_flash_cnt[1729][2]~51089\ $ (GND))) # (!\led_flash_cnt[1729][3]~q\ & (!\led_flash_cnt[1729][2]~51089\ & VCC))
-- \led_flash_cnt[1729][3]~51091\ = CARRY((\led_flash_cnt[1729][3]~q\ & !\led_flash_cnt[1729][2]~51089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1729][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1729][2]~51089\,
	combout => \led_flash_cnt[1729][3]~51090_combout\,
	cout => \led_flash_cnt[1729][3]~51091\);

-- Location: FF_X49_Y12_N23
\led_flash_cnt[1729][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1729][3]~51090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1729][3]~q\);

-- Location: LCCOMB_X49_Y12_N24
\led_flash_cnt[1729][4]~51092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1729][4]~51092_combout\ = (\led_flash_cnt[1729][4]~q\ & (!\led_flash_cnt[1729][3]~51091\)) # (!\led_flash_cnt[1729][4]~q\ & ((\led_flash_cnt[1729][3]~51091\) # (GND)))
-- \led_flash_cnt[1729][4]~51093\ = CARRY((!\led_flash_cnt[1729][3]~51091\) # (!\led_flash_cnt[1729][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1729][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1729][3]~51091\,
	combout => \led_flash_cnt[1729][4]~51092_combout\,
	cout => \led_flash_cnt[1729][4]~51093\);

-- Location: FF_X49_Y12_N25
\led_flash_cnt[1729][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1729][4]~51092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1729][4]~q\);

-- Location: LCCOMB_X49_Y12_N16
\WideAnd1729~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1729~0_combout\ = (\led_flash_cnt[1729][4]~q\ & (\led_flash_cnt[1729][2]~q\ & (\led_flash_cnt[1729][3]~q\ & \led_flash_cnt[1729][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1729][4]~q\,
	datab => \led_flash_cnt[1729][2]~q\,
	datac => \led_flash_cnt[1729][3]~q\,
	datad => \led_flash_cnt[1729][1]~q\,
	combout => \WideAnd1729~0_combout\);

-- Location: LCCOMB_X49_Y12_N26
\led_flash_cnt[1729][5]~51094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1729][5]~51094_combout\ = (\led_flash_cnt[1729][5]~q\ & (\led_flash_cnt[1729][4]~51093\ $ (GND))) # (!\led_flash_cnt[1729][5]~q\ & (!\led_flash_cnt[1729][4]~51093\ & VCC))
-- \led_flash_cnt[1729][5]~51095\ = CARRY((\led_flash_cnt[1729][5]~q\ & !\led_flash_cnt[1729][4]~51093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1729][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1729][4]~51093\,
	combout => \led_flash_cnt[1729][5]~51094_combout\,
	cout => \led_flash_cnt[1729][5]~51095\);

-- Location: FF_X49_Y12_N27
\led_flash_cnt[1729][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1729][5]~51094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1729][5]~q\);

-- Location: LCCOMB_X49_Y12_N28
\led_flash_cnt[1729][6]~51096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1729][6]~51096_combout\ = (\led_flash_cnt[1729][6]~q\ & (!\led_flash_cnt[1729][5]~51095\)) # (!\led_flash_cnt[1729][6]~q\ & ((\led_flash_cnt[1729][5]~51095\) # (GND)))
-- \led_flash_cnt[1729][6]~51097\ = CARRY((!\led_flash_cnt[1729][5]~51095\) # (!\led_flash_cnt[1729][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1729][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1729][5]~51095\,
	combout => \led_flash_cnt[1729][6]~51096_combout\,
	cout => \led_flash_cnt[1729][6]~51097\);

-- Location: FF_X49_Y12_N29
\led_flash_cnt[1729][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1729][6]~51096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1729][6]~q\);

-- Location: LCCOMB_X49_Y12_N30
\led_flash_cnt[1729][7]~51098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1729][7]~51098_combout\ = \led_flash_cnt[1729][7]~q\ $ (!\led_flash_cnt[1729][6]~51097\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1729][7]~q\,
	cin => \led_flash_cnt[1729][6]~51097\,
	combout => \led_flash_cnt[1729][7]~51098_combout\);

-- Location: FF_X49_Y12_N31
\led_flash_cnt[1729][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1729][7]~51098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1729][7]~q\);

-- Location: LCCOMB_X46_Y12_N24
\WideAnd1729~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1729~1_combout\ = (\led_flash_cnt[1729][6]~q\ & \led_flash_cnt[1729][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1729][6]~q\,
	datad => \led_flash_cnt[1729][5]~q\,
	combout => \WideAnd1729~1_combout\);

-- Location: LCCOMB_X46_Y12_N20
WideAnd1729 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1729~combout\ = (\WideAnd1729~0_combout\ & (\led_flash_cnt[1729][0]~q\ & (\led_flash_cnt[1729][7]~q\ & \WideAnd1729~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1729~0_combout\,
	datab => \led_flash_cnt[1729][0]~q\,
	datac => \led_flash_cnt[1729][7]~q\,
	datad => \WideAnd1729~1_combout\,
	combout => \WideAnd1729~combout\);

-- Location: FF_X46_Y12_N21
\led_flash_cnt_ands[1729]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1729~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1729));

-- Location: LCCOMB_X46_Y12_N16
\WideAnd4056~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4056~0_combout\ = (led_flash_cnt_ands(1728) & (led_flash_cnt_ands(1730) & (led_flash_cnt_ands(1731) & led_flash_cnt_ands(1729))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1728),
	datab => led_flash_cnt_ands(1730),
	datac => led_flash_cnt_ands(1731),
	datad => led_flash_cnt_ands(1729),
	combout => \WideAnd4056~0_combout\);

-- Location: LCCOMB_X45_Y20_N10
WideAnd4056 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4056~combout\ = (led_flash_cnt_ands(1734) & (led_flash_cnt_ands(1735) & (\WideAnd4056~1_combout\ & \WideAnd4056~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1734),
	datab => led_flash_cnt_ands(1735),
	datac => \WideAnd4056~1_combout\,
	datad => \WideAnd4056~0_combout\,
	combout => \WideAnd4056~combout\);

-- Location: FF_X45_Y20_N11
\led_flash_cnt_ands_1[216]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4056~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(216));

-- Location: LCCOMB_X59_Y24_N2
\led_flash_cnt[1737][0]~82377\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1737][0]~82377_combout\ = !\led_flash_cnt[1737][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1737][0]~q\,
	combout => \led_flash_cnt[1737][0]~82377_combout\);

-- Location: FF_X59_Y24_N3
\led_flash_cnt[1737][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1737][0]~82377_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1737][0]~q\);

-- Location: LCCOMB_X59_Y24_N10
\led_flash_cnt[1737][1]~51198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1737][1]~51198_combout\ = (\led_flash_cnt[1737][1]~q\ & (\led_flash_cnt[1737][0]~q\ $ (VCC))) # (!\led_flash_cnt[1737][1]~q\ & (\led_flash_cnt[1737][0]~q\ & VCC))
-- \led_flash_cnt[1737][1]~51199\ = CARRY((\led_flash_cnt[1737][1]~q\ & \led_flash_cnt[1737][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1737][1]~q\,
	datab => \led_flash_cnt[1737][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1737][1]~51198_combout\,
	cout => \led_flash_cnt[1737][1]~51199\);

-- Location: FF_X59_Y24_N11
\led_flash_cnt[1737][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1737][1]~51198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1737][1]~q\);

-- Location: LCCOMB_X59_Y24_N12
\led_flash_cnt[1737][2]~51200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1737][2]~51200_combout\ = (\led_flash_cnt[1737][2]~q\ & (!\led_flash_cnt[1737][1]~51199\)) # (!\led_flash_cnt[1737][2]~q\ & ((\led_flash_cnt[1737][1]~51199\) # (GND)))
-- \led_flash_cnt[1737][2]~51201\ = CARRY((!\led_flash_cnt[1737][1]~51199\) # (!\led_flash_cnt[1737][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1737][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1737][1]~51199\,
	combout => \led_flash_cnt[1737][2]~51200_combout\,
	cout => \led_flash_cnt[1737][2]~51201\);

-- Location: FF_X59_Y24_N13
\led_flash_cnt[1737][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1737][2]~51200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1737][2]~q\);

-- Location: LCCOMB_X59_Y24_N14
\led_flash_cnt[1737][3]~51202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1737][3]~51202_combout\ = (\led_flash_cnt[1737][3]~q\ & (\led_flash_cnt[1737][2]~51201\ $ (GND))) # (!\led_flash_cnt[1737][3]~q\ & (!\led_flash_cnt[1737][2]~51201\ & VCC))
-- \led_flash_cnt[1737][3]~51203\ = CARRY((\led_flash_cnt[1737][3]~q\ & !\led_flash_cnt[1737][2]~51201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1737][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1737][2]~51201\,
	combout => \led_flash_cnt[1737][3]~51202_combout\,
	cout => \led_flash_cnt[1737][3]~51203\);

-- Location: FF_X59_Y24_N15
\led_flash_cnt[1737][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1737][3]~51202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1737][3]~q\);

-- Location: LCCOMB_X59_Y24_N16
\led_flash_cnt[1737][4]~51204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1737][4]~51204_combout\ = (\led_flash_cnt[1737][4]~q\ & (!\led_flash_cnt[1737][3]~51203\)) # (!\led_flash_cnt[1737][4]~q\ & ((\led_flash_cnt[1737][3]~51203\) # (GND)))
-- \led_flash_cnt[1737][4]~51205\ = CARRY((!\led_flash_cnt[1737][3]~51203\) # (!\led_flash_cnt[1737][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1737][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1737][3]~51203\,
	combout => \led_flash_cnt[1737][4]~51204_combout\,
	cout => \led_flash_cnt[1737][4]~51205\);

-- Location: FF_X59_Y24_N17
\led_flash_cnt[1737][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1737][4]~51204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1737][4]~q\);

-- Location: LCCOMB_X59_Y24_N18
\led_flash_cnt[1737][5]~51206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1737][5]~51206_combout\ = (\led_flash_cnt[1737][5]~q\ & (\led_flash_cnt[1737][4]~51205\ $ (GND))) # (!\led_flash_cnt[1737][5]~q\ & (!\led_flash_cnt[1737][4]~51205\ & VCC))
-- \led_flash_cnt[1737][5]~51207\ = CARRY((\led_flash_cnt[1737][5]~q\ & !\led_flash_cnt[1737][4]~51205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1737][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1737][4]~51205\,
	combout => \led_flash_cnt[1737][5]~51206_combout\,
	cout => \led_flash_cnt[1737][5]~51207\);

-- Location: FF_X59_Y24_N19
\led_flash_cnt[1737][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1737][5]~51206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1737][5]~q\);

-- Location: LCCOMB_X59_Y24_N20
\led_flash_cnt[1737][6]~51208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1737][6]~51208_combout\ = (\led_flash_cnt[1737][6]~q\ & (!\led_flash_cnt[1737][5]~51207\)) # (!\led_flash_cnt[1737][6]~q\ & ((\led_flash_cnt[1737][5]~51207\) # (GND)))
-- \led_flash_cnt[1737][6]~51209\ = CARRY((!\led_flash_cnt[1737][5]~51207\) # (!\led_flash_cnt[1737][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1737][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1737][5]~51207\,
	combout => \led_flash_cnt[1737][6]~51208_combout\,
	cout => \led_flash_cnt[1737][6]~51209\);

-- Location: FF_X59_Y24_N21
\led_flash_cnt[1737][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1737][6]~51208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1737][6]~q\);

-- Location: LCCOMB_X59_Y24_N26
\WideAnd1737~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1737~1_combout\ = (\led_flash_cnt[1737][6]~q\ & \led_flash_cnt[1737][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1737][6]~q\,
	datad => \led_flash_cnt[1737][5]~q\,
	combout => \WideAnd1737~1_combout\);

-- Location: LCCOMB_X59_Y24_N22
\led_flash_cnt[1737][7]~51210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1737][7]~51210_combout\ = \led_flash_cnt[1737][7]~q\ $ (!\led_flash_cnt[1737][6]~51209\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1737][7]~q\,
	cin => \led_flash_cnt[1737][6]~51209\,
	combout => \led_flash_cnt[1737][7]~51210_combout\);

-- Location: FF_X59_Y24_N23
\led_flash_cnt[1737][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1737][7]~51210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1737][7]~q\);

-- Location: LCCOMB_X59_Y24_N28
\WideAnd1737~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1737~0_combout\ = (\led_flash_cnt[1737][2]~q\ & (\led_flash_cnt[1737][4]~q\ & (\led_flash_cnt[1737][3]~q\ & \led_flash_cnt[1737][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1737][2]~q\,
	datab => \led_flash_cnt[1737][4]~q\,
	datac => \led_flash_cnt[1737][3]~q\,
	datad => \led_flash_cnt[1737][1]~q\,
	combout => \WideAnd1737~0_combout\);

-- Location: LCCOMB_X59_Y24_N6
WideAnd1737 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1737~combout\ = (\WideAnd1737~1_combout\ & (\led_flash_cnt[1737][0]~q\ & (\led_flash_cnt[1737][7]~q\ & \WideAnd1737~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1737~1_combout\,
	datab => \led_flash_cnt[1737][0]~q\,
	datac => \led_flash_cnt[1737][7]~q\,
	datad => \WideAnd1737~0_combout\,
	combout => \WideAnd1737~combout\);

-- Location: FF_X59_Y24_N7
\led_flash_cnt_ands[1737]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1737~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1737));

-- Location: LCCOMB_X60_Y24_N30
\led_flash_cnt[1739][0]~82379\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1739][0]~82379_combout\ = !\led_flash_cnt[1739][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1739][0]~q\,
	combout => \led_flash_cnt[1739][0]~82379_combout\);

-- Location: FF_X60_Y24_N31
\led_flash_cnt[1739][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1739][0]~82379_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1739][0]~q\);

-- Location: LCCOMB_X60_Y24_N2
\led_flash_cnt[1739][1]~51226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1739][1]~51226_combout\ = (\led_flash_cnt[1739][0]~q\ & (\led_flash_cnt[1739][1]~q\ $ (VCC))) # (!\led_flash_cnt[1739][0]~q\ & (\led_flash_cnt[1739][1]~q\ & VCC))
-- \led_flash_cnt[1739][1]~51227\ = CARRY((\led_flash_cnt[1739][0]~q\ & \led_flash_cnt[1739][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1739][0]~q\,
	datab => \led_flash_cnt[1739][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1739][1]~51226_combout\,
	cout => \led_flash_cnt[1739][1]~51227\);

-- Location: FF_X60_Y24_N3
\led_flash_cnt[1739][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1739][1]~51226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1739][1]~q\);

-- Location: LCCOMB_X60_Y24_N4
\led_flash_cnt[1739][2]~51228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1739][2]~51228_combout\ = (\led_flash_cnt[1739][2]~q\ & (!\led_flash_cnt[1739][1]~51227\)) # (!\led_flash_cnt[1739][2]~q\ & ((\led_flash_cnt[1739][1]~51227\) # (GND)))
-- \led_flash_cnt[1739][2]~51229\ = CARRY((!\led_flash_cnt[1739][1]~51227\) # (!\led_flash_cnt[1739][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1739][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1739][1]~51227\,
	combout => \led_flash_cnt[1739][2]~51228_combout\,
	cout => \led_flash_cnt[1739][2]~51229\);

-- Location: FF_X60_Y24_N5
\led_flash_cnt[1739][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1739][2]~51228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1739][2]~q\);

-- Location: LCCOMB_X60_Y24_N6
\led_flash_cnt[1739][3]~51230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1739][3]~51230_combout\ = (\led_flash_cnt[1739][3]~q\ & (\led_flash_cnt[1739][2]~51229\ $ (GND))) # (!\led_flash_cnt[1739][3]~q\ & (!\led_flash_cnt[1739][2]~51229\ & VCC))
-- \led_flash_cnt[1739][3]~51231\ = CARRY((\led_flash_cnt[1739][3]~q\ & !\led_flash_cnt[1739][2]~51229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1739][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1739][2]~51229\,
	combout => \led_flash_cnt[1739][3]~51230_combout\,
	cout => \led_flash_cnt[1739][3]~51231\);

-- Location: FF_X60_Y24_N7
\led_flash_cnt[1739][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1739][3]~51230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1739][3]~q\);

-- Location: LCCOMB_X60_Y24_N8
\led_flash_cnt[1739][4]~51232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1739][4]~51232_combout\ = (\led_flash_cnt[1739][4]~q\ & (!\led_flash_cnt[1739][3]~51231\)) # (!\led_flash_cnt[1739][4]~q\ & ((\led_flash_cnt[1739][3]~51231\) # (GND)))
-- \led_flash_cnt[1739][4]~51233\ = CARRY((!\led_flash_cnt[1739][3]~51231\) # (!\led_flash_cnt[1739][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1739][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1739][3]~51231\,
	combout => \led_flash_cnt[1739][4]~51232_combout\,
	cout => \led_flash_cnt[1739][4]~51233\);

-- Location: FF_X60_Y24_N9
\led_flash_cnt[1739][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1739][4]~51232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1739][4]~q\);

-- Location: LCCOMB_X60_Y24_N10
\led_flash_cnt[1739][5]~51234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1739][5]~51234_combout\ = (\led_flash_cnt[1739][5]~q\ & (\led_flash_cnt[1739][4]~51233\ $ (GND))) # (!\led_flash_cnt[1739][5]~q\ & (!\led_flash_cnt[1739][4]~51233\ & VCC))
-- \led_flash_cnt[1739][5]~51235\ = CARRY((\led_flash_cnt[1739][5]~q\ & !\led_flash_cnt[1739][4]~51233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1739][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1739][4]~51233\,
	combout => \led_flash_cnt[1739][5]~51234_combout\,
	cout => \led_flash_cnt[1739][5]~51235\);

-- Location: FF_X60_Y24_N11
\led_flash_cnt[1739][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1739][5]~51234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1739][5]~q\);

-- Location: LCCOMB_X60_Y24_N12
\led_flash_cnt[1739][6]~51236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1739][6]~51236_combout\ = (\led_flash_cnt[1739][6]~q\ & (!\led_flash_cnt[1739][5]~51235\)) # (!\led_flash_cnt[1739][6]~q\ & ((\led_flash_cnt[1739][5]~51235\) # (GND)))
-- \led_flash_cnt[1739][6]~51237\ = CARRY((!\led_flash_cnt[1739][5]~51235\) # (!\led_flash_cnt[1739][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1739][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1739][5]~51235\,
	combout => \led_flash_cnt[1739][6]~51236_combout\,
	cout => \led_flash_cnt[1739][6]~51237\);

-- Location: FF_X60_Y24_N13
\led_flash_cnt[1739][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1739][6]~51236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1739][6]~q\);

-- Location: LCCOMB_X60_Y24_N26
\WideAnd1739~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1739~1_combout\ = (\led_flash_cnt[1739][6]~q\ & \led_flash_cnt[1739][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1739][6]~q\,
	datad => \led_flash_cnt[1739][5]~q\,
	combout => \WideAnd1739~1_combout\);

-- Location: LCCOMB_X60_Y24_N14
\led_flash_cnt[1739][7]~51238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1739][7]~51238_combout\ = \led_flash_cnt[1739][7]~q\ $ (!\led_flash_cnt[1739][6]~51237\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1739][7]~q\,
	cin => \led_flash_cnt[1739][6]~51237\,
	combout => \led_flash_cnt[1739][7]~51238_combout\);

-- Location: FF_X60_Y24_N15
\led_flash_cnt[1739][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1739][7]~51238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1739][7]~q\);

-- Location: LCCOMB_X60_Y24_N28
\WideAnd1739~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1739~0_combout\ = (\led_flash_cnt[1739][3]~q\ & (\led_flash_cnt[1739][4]~q\ & (\led_flash_cnt[1739][2]~q\ & \led_flash_cnt[1739][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1739][3]~q\,
	datab => \led_flash_cnt[1739][4]~q\,
	datac => \led_flash_cnt[1739][2]~q\,
	datad => \led_flash_cnt[1739][1]~q\,
	combout => \WideAnd1739~0_combout\);

-- Location: LCCOMB_X60_Y24_N18
WideAnd1739 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1739~combout\ = (\WideAnd1739~1_combout\ & (\led_flash_cnt[1739][7]~q\ & (\led_flash_cnt[1739][0]~q\ & \WideAnd1739~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1739~1_combout\,
	datab => \led_flash_cnt[1739][7]~q\,
	datac => \led_flash_cnt[1739][0]~q\,
	datad => \WideAnd1739~0_combout\,
	combout => \WideAnd1739~combout\);

-- Location: FF_X60_Y24_N19
\led_flash_cnt_ands[1739]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1739~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1739));

-- Location: LCCOMB_X55_Y24_N2
\led_flash_cnt[1736][0]~82376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1736][0]~82376_combout\ = !\led_flash_cnt[1736][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1736][0]~q\,
	combout => \led_flash_cnt[1736][0]~82376_combout\);

-- Location: FF_X55_Y24_N3
\led_flash_cnt[1736][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1736][0]~82376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1736][0]~q\);

-- Location: LCCOMB_X54_Y24_N16
\led_flash_cnt[1736][1]~51184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1736][1]~51184_combout\ = (\led_flash_cnt[1736][0]~q\ & (\led_flash_cnt[1736][1]~q\ $ (VCC))) # (!\led_flash_cnt[1736][0]~q\ & (\led_flash_cnt[1736][1]~q\ & VCC))
-- \led_flash_cnt[1736][1]~51185\ = CARRY((\led_flash_cnt[1736][0]~q\ & \led_flash_cnt[1736][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1736][0]~q\,
	datab => \led_flash_cnt[1736][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1736][1]~51184_combout\,
	cout => \led_flash_cnt[1736][1]~51185\);

-- Location: FF_X54_Y24_N17
\led_flash_cnt[1736][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1736][1]~51184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1736][1]~q\);

-- Location: LCCOMB_X54_Y24_N18
\led_flash_cnt[1736][2]~51186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1736][2]~51186_combout\ = (\led_flash_cnt[1736][2]~q\ & (!\led_flash_cnt[1736][1]~51185\)) # (!\led_flash_cnt[1736][2]~q\ & ((\led_flash_cnt[1736][1]~51185\) # (GND)))
-- \led_flash_cnt[1736][2]~51187\ = CARRY((!\led_flash_cnt[1736][1]~51185\) # (!\led_flash_cnt[1736][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1736][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1736][1]~51185\,
	combout => \led_flash_cnt[1736][2]~51186_combout\,
	cout => \led_flash_cnt[1736][2]~51187\);

-- Location: FF_X54_Y24_N19
\led_flash_cnt[1736][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1736][2]~51186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1736][2]~q\);

-- Location: LCCOMB_X54_Y24_N20
\led_flash_cnt[1736][3]~51188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1736][3]~51188_combout\ = (\led_flash_cnt[1736][3]~q\ & (\led_flash_cnt[1736][2]~51187\ $ (GND))) # (!\led_flash_cnt[1736][3]~q\ & (!\led_flash_cnt[1736][2]~51187\ & VCC))
-- \led_flash_cnt[1736][3]~51189\ = CARRY((\led_flash_cnt[1736][3]~q\ & !\led_flash_cnt[1736][2]~51187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1736][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1736][2]~51187\,
	combout => \led_flash_cnt[1736][3]~51188_combout\,
	cout => \led_flash_cnt[1736][3]~51189\);

-- Location: FF_X54_Y24_N21
\led_flash_cnt[1736][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1736][3]~51188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1736][3]~q\);

-- Location: LCCOMB_X54_Y24_N22
\led_flash_cnt[1736][4]~51190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1736][4]~51190_combout\ = (\led_flash_cnt[1736][4]~q\ & (!\led_flash_cnt[1736][3]~51189\)) # (!\led_flash_cnt[1736][4]~q\ & ((\led_flash_cnt[1736][3]~51189\) # (GND)))
-- \led_flash_cnt[1736][4]~51191\ = CARRY((!\led_flash_cnt[1736][3]~51189\) # (!\led_flash_cnt[1736][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1736][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1736][3]~51189\,
	combout => \led_flash_cnt[1736][4]~51190_combout\,
	cout => \led_flash_cnt[1736][4]~51191\);

-- Location: FF_X54_Y24_N23
\led_flash_cnt[1736][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1736][4]~51190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1736][4]~q\);

-- Location: LCCOMB_X55_Y24_N12
\WideAnd1736~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1736~0_combout\ = (\led_flash_cnt[1736][4]~q\ & (\led_flash_cnt[1736][3]~q\ & (\led_flash_cnt[1736][1]~q\ & \led_flash_cnt[1736][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1736][4]~q\,
	datab => \led_flash_cnt[1736][3]~q\,
	datac => \led_flash_cnt[1736][1]~q\,
	datad => \led_flash_cnt[1736][2]~q\,
	combout => \WideAnd1736~0_combout\);

-- Location: LCCOMB_X54_Y24_N24
\led_flash_cnt[1736][5]~51192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1736][5]~51192_combout\ = (\led_flash_cnt[1736][5]~q\ & (\led_flash_cnt[1736][4]~51191\ $ (GND))) # (!\led_flash_cnt[1736][5]~q\ & (!\led_flash_cnt[1736][4]~51191\ & VCC))
-- \led_flash_cnt[1736][5]~51193\ = CARRY((\led_flash_cnt[1736][5]~q\ & !\led_flash_cnt[1736][4]~51191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1736][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1736][4]~51191\,
	combout => \led_flash_cnt[1736][5]~51192_combout\,
	cout => \led_flash_cnt[1736][5]~51193\);

-- Location: FF_X54_Y24_N25
\led_flash_cnt[1736][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1736][5]~51192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1736][5]~q\);

-- Location: LCCOMB_X54_Y24_N26
\led_flash_cnt[1736][6]~51194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1736][6]~51194_combout\ = (\led_flash_cnt[1736][6]~q\ & (!\led_flash_cnt[1736][5]~51193\)) # (!\led_flash_cnt[1736][6]~q\ & ((\led_flash_cnt[1736][5]~51193\) # (GND)))
-- \led_flash_cnt[1736][6]~51195\ = CARRY((!\led_flash_cnt[1736][5]~51193\) # (!\led_flash_cnt[1736][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1736][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1736][5]~51193\,
	combout => \led_flash_cnt[1736][6]~51194_combout\,
	cout => \led_flash_cnt[1736][6]~51195\);

-- Location: FF_X54_Y24_N27
\led_flash_cnt[1736][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1736][6]~51194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1736][6]~q\);

-- Location: LCCOMB_X54_Y24_N28
\led_flash_cnt[1736][7]~51196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1736][7]~51196_combout\ = \led_flash_cnt[1736][6]~51195\ $ (!\led_flash_cnt[1736][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1736][7]~q\,
	cin => \led_flash_cnt[1736][6]~51195\,
	combout => \led_flash_cnt[1736][7]~51196_combout\);

-- Location: FF_X54_Y24_N29
\led_flash_cnt[1736][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1736][7]~51196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1736][7]~q\);

-- Location: LCCOMB_X55_Y24_N4
\WideAnd1736~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1736~1_combout\ = (\led_flash_cnt[1736][6]~q\ & \led_flash_cnt[1736][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1736][6]~q\,
	datad => \led_flash_cnt[1736][5]~q\,
	combout => \WideAnd1736~1_combout\);

-- Location: LCCOMB_X55_Y24_N30
WideAnd1736 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1736~combout\ = (\WideAnd1736~0_combout\ & (\led_flash_cnt[1736][7]~q\ & (\WideAnd1736~1_combout\ & \led_flash_cnt[1736][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1736~0_combout\,
	datab => \led_flash_cnt[1736][7]~q\,
	datac => \WideAnd1736~1_combout\,
	datad => \led_flash_cnt[1736][0]~q\,
	combout => \WideAnd1736~combout\);

-- Location: FF_X55_Y24_N31
\led_flash_cnt_ands[1736]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1736~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1736));

-- Location: LCCOMB_X60_Y24_N20
\led_flash_cnt[1738][0]~82378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1738][0]~82378_combout\ = !\led_flash_cnt[1738][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1738][0]~q\,
	combout => \led_flash_cnt[1738][0]~82378_combout\);

-- Location: FF_X60_Y24_N21
\led_flash_cnt[1738][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1738][0]~82378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1738][0]~q\);

-- Location: LCCOMB_X61_Y24_N18
\led_flash_cnt[1738][1]~51212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1738][1]~51212_combout\ = (\led_flash_cnt[1738][0]~q\ & (\led_flash_cnt[1738][1]~q\ $ (VCC))) # (!\led_flash_cnt[1738][0]~q\ & (\led_flash_cnt[1738][1]~q\ & VCC))
-- \led_flash_cnt[1738][1]~51213\ = CARRY((\led_flash_cnt[1738][0]~q\ & \led_flash_cnt[1738][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1738][0]~q\,
	datab => \led_flash_cnt[1738][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1738][1]~51212_combout\,
	cout => \led_flash_cnt[1738][1]~51213\);

-- Location: FF_X61_Y24_N19
\led_flash_cnt[1738][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1738][1]~51212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1738][1]~q\);

-- Location: LCCOMB_X61_Y24_N20
\led_flash_cnt[1738][2]~51214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1738][2]~51214_combout\ = (\led_flash_cnt[1738][2]~q\ & (!\led_flash_cnt[1738][1]~51213\)) # (!\led_flash_cnt[1738][2]~q\ & ((\led_flash_cnt[1738][1]~51213\) # (GND)))
-- \led_flash_cnt[1738][2]~51215\ = CARRY((!\led_flash_cnt[1738][1]~51213\) # (!\led_flash_cnt[1738][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1738][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1738][1]~51213\,
	combout => \led_flash_cnt[1738][2]~51214_combout\,
	cout => \led_flash_cnt[1738][2]~51215\);

-- Location: FF_X61_Y24_N21
\led_flash_cnt[1738][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1738][2]~51214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1738][2]~q\);

-- Location: LCCOMB_X61_Y24_N22
\led_flash_cnt[1738][3]~51216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1738][3]~51216_combout\ = (\led_flash_cnt[1738][3]~q\ & (\led_flash_cnt[1738][2]~51215\ $ (GND))) # (!\led_flash_cnt[1738][3]~q\ & (!\led_flash_cnt[1738][2]~51215\ & VCC))
-- \led_flash_cnt[1738][3]~51217\ = CARRY((\led_flash_cnt[1738][3]~q\ & !\led_flash_cnt[1738][2]~51215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1738][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1738][2]~51215\,
	combout => \led_flash_cnt[1738][3]~51216_combout\,
	cout => \led_flash_cnt[1738][3]~51217\);

-- Location: FF_X61_Y24_N23
\led_flash_cnt[1738][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1738][3]~51216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1738][3]~q\);

-- Location: LCCOMB_X61_Y24_N24
\led_flash_cnt[1738][4]~51218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1738][4]~51218_combout\ = (\led_flash_cnt[1738][4]~q\ & (!\led_flash_cnt[1738][3]~51217\)) # (!\led_flash_cnt[1738][4]~q\ & ((\led_flash_cnt[1738][3]~51217\) # (GND)))
-- \led_flash_cnt[1738][4]~51219\ = CARRY((!\led_flash_cnt[1738][3]~51217\) # (!\led_flash_cnt[1738][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1738][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1738][3]~51217\,
	combout => \led_flash_cnt[1738][4]~51218_combout\,
	cout => \led_flash_cnt[1738][4]~51219\);

-- Location: FF_X61_Y24_N25
\led_flash_cnt[1738][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1738][4]~51218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1738][4]~q\);

-- Location: LCCOMB_X61_Y24_N26
\led_flash_cnt[1738][5]~51220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1738][5]~51220_combout\ = (\led_flash_cnt[1738][5]~q\ & (\led_flash_cnt[1738][4]~51219\ $ (GND))) # (!\led_flash_cnt[1738][5]~q\ & (!\led_flash_cnt[1738][4]~51219\ & VCC))
-- \led_flash_cnt[1738][5]~51221\ = CARRY((\led_flash_cnt[1738][5]~q\ & !\led_flash_cnt[1738][4]~51219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1738][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1738][4]~51219\,
	combout => \led_flash_cnt[1738][5]~51220_combout\,
	cout => \led_flash_cnt[1738][5]~51221\);

-- Location: FF_X61_Y24_N27
\led_flash_cnt[1738][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1738][5]~51220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1738][5]~q\);

-- Location: LCCOMB_X61_Y24_N28
\led_flash_cnt[1738][6]~51222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1738][6]~51222_combout\ = (\led_flash_cnt[1738][6]~q\ & (!\led_flash_cnt[1738][5]~51221\)) # (!\led_flash_cnt[1738][6]~q\ & ((\led_flash_cnt[1738][5]~51221\) # (GND)))
-- \led_flash_cnt[1738][6]~51223\ = CARRY((!\led_flash_cnt[1738][5]~51221\) # (!\led_flash_cnt[1738][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1738][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1738][5]~51221\,
	combout => \led_flash_cnt[1738][6]~51222_combout\,
	cout => \led_flash_cnt[1738][6]~51223\);

-- Location: FF_X61_Y24_N29
\led_flash_cnt[1738][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1738][6]~51222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1738][6]~q\);

-- Location: LCCOMB_X60_Y24_N22
\WideAnd1738~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1738~1_combout\ = (\led_flash_cnt[1738][6]~q\ & \led_flash_cnt[1738][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1738][6]~q\,
	datac => \led_flash_cnt[1738][5]~q\,
	combout => \WideAnd1738~1_combout\);

-- Location: LCCOMB_X60_Y24_N24
\WideAnd1738~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1738~0_combout\ = (\led_flash_cnt[1738][1]~q\ & (\led_flash_cnt[1738][4]~q\ & (\led_flash_cnt[1738][2]~q\ & \led_flash_cnt[1738][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1738][1]~q\,
	datab => \led_flash_cnt[1738][4]~q\,
	datac => \led_flash_cnt[1738][2]~q\,
	datad => \led_flash_cnt[1738][3]~q\,
	combout => \WideAnd1738~0_combout\);

-- Location: LCCOMB_X61_Y24_N30
\led_flash_cnt[1738][7]~51224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1738][7]~51224_combout\ = \led_flash_cnt[1738][7]~q\ $ (!\led_flash_cnt[1738][6]~51223\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1738][7]~q\,
	cin => \led_flash_cnt[1738][6]~51223\,
	combout => \led_flash_cnt[1738][7]~51224_combout\);

-- Location: FF_X61_Y24_N31
\led_flash_cnt[1738][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1738][7]~51224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1738][7]~q\);

-- Location: LCCOMB_X60_Y24_N16
WideAnd1738 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1738~combout\ = (\WideAnd1738~1_combout\ & (\WideAnd1738~0_combout\ & (\led_flash_cnt[1738][7]~q\ & \led_flash_cnt[1738][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1738~1_combout\,
	datab => \WideAnd1738~0_combout\,
	datac => \led_flash_cnt[1738][7]~q\,
	datad => \led_flash_cnt[1738][0]~q\,
	combout => \WideAnd1738~combout\);

-- Location: FF_X60_Y24_N17
\led_flash_cnt_ands[1738]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1738~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1738));

-- Location: LCCOMB_X59_Y24_N30
\WideAnd4057~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4057~0_combout\ = (led_flash_cnt_ands(1737) & (led_flash_cnt_ands(1739) & (led_flash_cnt_ands(1736) & led_flash_cnt_ands(1738))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1737),
	datab => led_flash_cnt_ands(1739),
	datac => led_flash_cnt_ands(1736),
	datad => led_flash_cnt_ands(1738),
	combout => \WideAnd4057~0_combout\);

-- Location: LCCOMB_X36_Y11_N20
\led_flash_cnt[1741][0]~82381\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1741][0]~82381_combout\ = !\led_flash_cnt[1741][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1741][0]~q\,
	combout => \led_flash_cnt[1741][0]~82381_combout\);

-- Location: FF_X36_Y11_N21
\led_flash_cnt[1741][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1741][0]~82381_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1741][0]~q\);

-- Location: LCCOMB_X37_Y11_N0
\led_flash_cnt[1741][1]~51254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1741][1]~51254_combout\ = (\led_flash_cnt[1741][0]~q\ & (\led_flash_cnt[1741][1]~q\ $ (VCC))) # (!\led_flash_cnt[1741][0]~q\ & (\led_flash_cnt[1741][1]~q\ & VCC))
-- \led_flash_cnt[1741][1]~51255\ = CARRY((\led_flash_cnt[1741][0]~q\ & \led_flash_cnt[1741][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1741][0]~q\,
	datab => \led_flash_cnt[1741][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1741][1]~51254_combout\,
	cout => \led_flash_cnt[1741][1]~51255\);

-- Location: FF_X37_Y11_N1
\led_flash_cnt[1741][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1741][1]~51254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1741][1]~q\);

-- Location: LCCOMB_X37_Y11_N2
\led_flash_cnt[1741][2]~51256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1741][2]~51256_combout\ = (\led_flash_cnt[1741][2]~q\ & (!\led_flash_cnt[1741][1]~51255\)) # (!\led_flash_cnt[1741][2]~q\ & ((\led_flash_cnt[1741][1]~51255\) # (GND)))
-- \led_flash_cnt[1741][2]~51257\ = CARRY((!\led_flash_cnt[1741][1]~51255\) # (!\led_flash_cnt[1741][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1741][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1741][1]~51255\,
	combout => \led_flash_cnt[1741][2]~51256_combout\,
	cout => \led_flash_cnt[1741][2]~51257\);

-- Location: FF_X37_Y11_N3
\led_flash_cnt[1741][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1741][2]~51256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1741][2]~q\);

-- Location: LCCOMB_X37_Y11_N4
\led_flash_cnt[1741][3]~51258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1741][3]~51258_combout\ = (\led_flash_cnt[1741][3]~q\ & (\led_flash_cnt[1741][2]~51257\ $ (GND))) # (!\led_flash_cnt[1741][3]~q\ & (!\led_flash_cnt[1741][2]~51257\ & VCC))
-- \led_flash_cnt[1741][3]~51259\ = CARRY((\led_flash_cnt[1741][3]~q\ & !\led_flash_cnt[1741][2]~51257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1741][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1741][2]~51257\,
	combout => \led_flash_cnt[1741][3]~51258_combout\,
	cout => \led_flash_cnt[1741][3]~51259\);

-- Location: FF_X37_Y11_N5
\led_flash_cnt[1741][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1741][3]~51258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1741][3]~q\);

-- Location: LCCOMB_X37_Y11_N6
\led_flash_cnt[1741][4]~51260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1741][4]~51260_combout\ = (\led_flash_cnt[1741][4]~q\ & (!\led_flash_cnt[1741][3]~51259\)) # (!\led_flash_cnt[1741][4]~q\ & ((\led_flash_cnt[1741][3]~51259\) # (GND)))
-- \led_flash_cnt[1741][4]~51261\ = CARRY((!\led_flash_cnt[1741][3]~51259\) # (!\led_flash_cnt[1741][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1741][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1741][3]~51259\,
	combout => \led_flash_cnt[1741][4]~51260_combout\,
	cout => \led_flash_cnt[1741][4]~51261\);

-- Location: FF_X37_Y11_N7
\led_flash_cnt[1741][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1741][4]~51260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1741][4]~q\);

-- Location: LCCOMB_X37_Y11_N30
\WideAnd1741~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1741~0_combout\ = (\led_flash_cnt[1741][4]~q\ & (\led_flash_cnt[1741][2]~q\ & (\led_flash_cnt[1741][3]~q\ & \led_flash_cnt[1741][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1741][4]~q\,
	datab => \led_flash_cnt[1741][2]~q\,
	datac => \led_flash_cnt[1741][3]~q\,
	datad => \led_flash_cnt[1741][1]~q\,
	combout => \WideAnd1741~0_combout\);

-- Location: LCCOMB_X37_Y11_N8
\led_flash_cnt[1741][5]~51262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1741][5]~51262_combout\ = (\led_flash_cnt[1741][5]~q\ & (\led_flash_cnt[1741][4]~51261\ $ (GND))) # (!\led_flash_cnt[1741][5]~q\ & (!\led_flash_cnt[1741][4]~51261\ & VCC))
-- \led_flash_cnt[1741][5]~51263\ = CARRY((\led_flash_cnt[1741][5]~q\ & !\led_flash_cnt[1741][4]~51261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1741][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1741][4]~51261\,
	combout => \led_flash_cnt[1741][5]~51262_combout\,
	cout => \led_flash_cnt[1741][5]~51263\);

-- Location: FF_X37_Y11_N9
\led_flash_cnt[1741][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1741][5]~51262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1741][5]~q\);

-- Location: LCCOMB_X37_Y11_N10
\led_flash_cnt[1741][6]~51264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1741][6]~51264_combout\ = (\led_flash_cnt[1741][6]~q\ & (!\led_flash_cnt[1741][5]~51263\)) # (!\led_flash_cnt[1741][6]~q\ & ((\led_flash_cnt[1741][5]~51263\) # (GND)))
-- \led_flash_cnt[1741][6]~51265\ = CARRY((!\led_flash_cnt[1741][5]~51263\) # (!\led_flash_cnt[1741][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1741][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1741][5]~51263\,
	combout => \led_flash_cnt[1741][6]~51264_combout\,
	cout => \led_flash_cnt[1741][6]~51265\);

-- Location: FF_X37_Y11_N11
\led_flash_cnt[1741][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1741][6]~51264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1741][6]~q\);

-- Location: LCCOMB_X37_Y11_N12
\led_flash_cnt[1741][7]~51266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1741][7]~51266_combout\ = \led_flash_cnt[1741][6]~51265\ $ (!\led_flash_cnt[1741][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1741][7]~q\,
	cin => \led_flash_cnt[1741][6]~51265\,
	combout => \led_flash_cnt[1741][7]~51266_combout\);

-- Location: FF_X37_Y11_N13
\led_flash_cnt[1741][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1741][7]~51266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1741][7]~q\);

-- Location: LCCOMB_X36_Y11_N24
\WideAnd1741~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1741~1_combout\ = (\led_flash_cnt[1741][6]~q\ & \led_flash_cnt[1741][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1741][6]~q\,
	datac => \led_flash_cnt[1741][5]~q\,
	combout => \WideAnd1741~1_combout\);

-- Location: LCCOMB_X36_Y11_N22
WideAnd1741 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1741~combout\ = (\WideAnd1741~0_combout\ & (\led_flash_cnt[1741][0]~q\ & (\led_flash_cnt[1741][7]~q\ & \WideAnd1741~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1741~0_combout\,
	datab => \led_flash_cnt[1741][0]~q\,
	datac => \led_flash_cnt[1741][7]~q\,
	datad => \WideAnd1741~1_combout\,
	combout => \WideAnd1741~combout\);

-- Location: FF_X36_Y11_N23
\led_flash_cnt_ands[1741]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1741~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1741));

-- Location: LCCOMB_X51_Y19_N28
\led_flash_cnt[1740][0]~82380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1740][0]~82380_combout\ = !\led_flash_cnt[1740][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1740][0]~q\,
	combout => \led_flash_cnt[1740][0]~82380_combout\);

-- Location: FF_X51_Y19_N29
\led_flash_cnt[1740][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1740][0]~82380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1740][0]~q\);

-- Location: LCCOMB_X50_Y19_N18
\led_flash_cnt[1740][1]~51240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1740][1]~51240_combout\ = (\led_flash_cnt[1740][1]~q\ & (\led_flash_cnt[1740][0]~q\ $ (VCC))) # (!\led_flash_cnt[1740][1]~q\ & (\led_flash_cnt[1740][0]~q\ & VCC))
-- \led_flash_cnt[1740][1]~51241\ = CARRY((\led_flash_cnt[1740][1]~q\ & \led_flash_cnt[1740][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1740][1]~q\,
	datab => \led_flash_cnt[1740][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1740][1]~51240_combout\,
	cout => \led_flash_cnt[1740][1]~51241\);

-- Location: FF_X50_Y19_N19
\led_flash_cnt[1740][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1740][1]~51240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1740][1]~q\);

-- Location: LCCOMB_X50_Y19_N20
\led_flash_cnt[1740][2]~51242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1740][2]~51242_combout\ = (\led_flash_cnt[1740][2]~q\ & (!\led_flash_cnt[1740][1]~51241\)) # (!\led_flash_cnt[1740][2]~q\ & ((\led_flash_cnt[1740][1]~51241\) # (GND)))
-- \led_flash_cnt[1740][2]~51243\ = CARRY((!\led_flash_cnt[1740][1]~51241\) # (!\led_flash_cnt[1740][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1740][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1740][1]~51241\,
	combout => \led_flash_cnt[1740][2]~51242_combout\,
	cout => \led_flash_cnt[1740][2]~51243\);

-- Location: FF_X50_Y19_N21
\led_flash_cnt[1740][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1740][2]~51242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1740][2]~q\);

-- Location: LCCOMB_X50_Y19_N22
\led_flash_cnt[1740][3]~51244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1740][3]~51244_combout\ = (\led_flash_cnt[1740][3]~q\ & (\led_flash_cnt[1740][2]~51243\ $ (GND))) # (!\led_flash_cnt[1740][3]~q\ & (!\led_flash_cnt[1740][2]~51243\ & VCC))
-- \led_flash_cnt[1740][3]~51245\ = CARRY((\led_flash_cnt[1740][3]~q\ & !\led_flash_cnt[1740][2]~51243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1740][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1740][2]~51243\,
	combout => \led_flash_cnt[1740][3]~51244_combout\,
	cout => \led_flash_cnt[1740][3]~51245\);

-- Location: FF_X50_Y19_N23
\led_flash_cnt[1740][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1740][3]~51244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1740][3]~q\);

-- Location: LCCOMB_X50_Y19_N24
\led_flash_cnt[1740][4]~51246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1740][4]~51246_combout\ = (\led_flash_cnt[1740][4]~q\ & (!\led_flash_cnt[1740][3]~51245\)) # (!\led_flash_cnt[1740][4]~q\ & ((\led_flash_cnt[1740][3]~51245\) # (GND)))
-- \led_flash_cnt[1740][4]~51247\ = CARRY((!\led_flash_cnt[1740][3]~51245\) # (!\led_flash_cnt[1740][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1740][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1740][3]~51245\,
	combout => \led_flash_cnt[1740][4]~51246_combout\,
	cout => \led_flash_cnt[1740][4]~51247\);

-- Location: FF_X50_Y19_N25
\led_flash_cnt[1740][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1740][4]~51246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1740][4]~q\);

-- Location: LCCOMB_X50_Y19_N26
\led_flash_cnt[1740][5]~51248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1740][5]~51248_combout\ = (\led_flash_cnt[1740][5]~q\ & (\led_flash_cnt[1740][4]~51247\ $ (GND))) # (!\led_flash_cnt[1740][5]~q\ & (!\led_flash_cnt[1740][4]~51247\ & VCC))
-- \led_flash_cnt[1740][5]~51249\ = CARRY((\led_flash_cnt[1740][5]~q\ & !\led_flash_cnt[1740][4]~51247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1740][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1740][4]~51247\,
	combout => \led_flash_cnt[1740][5]~51248_combout\,
	cout => \led_flash_cnt[1740][5]~51249\);

-- Location: FF_X50_Y19_N27
\led_flash_cnt[1740][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1740][5]~51248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1740][5]~q\);

-- Location: LCCOMB_X50_Y19_N28
\led_flash_cnt[1740][6]~51250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1740][6]~51250_combout\ = (\led_flash_cnt[1740][6]~q\ & (!\led_flash_cnt[1740][5]~51249\)) # (!\led_flash_cnt[1740][6]~q\ & ((\led_flash_cnt[1740][5]~51249\) # (GND)))
-- \led_flash_cnt[1740][6]~51251\ = CARRY((!\led_flash_cnt[1740][5]~51249\) # (!\led_flash_cnt[1740][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1740][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1740][5]~51249\,
	combout => \led_flash_cnt[1740][6]~51250_combout\,
	cout => \led_flash_cnt[1740][6]~51251\);

-- Location: FF_X50_Y19_N29
\led_flash_cnt[1740][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1740][6]~51250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1740][6]~q\);

-- Location: LCCOMB_X51_Y19_N22
\WideAnd1740~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1740~1_combout\ = (\led_flash_cnt[1740][5]~q\ & \led_flash_cnt[1740][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1740][5]~q\,
	datad => \led_flash_cnt[1740][6]~q\,
	combout => \WideAnd1740~1_combout\);

-- Location: LCCOMB_X50_Y19_N30
\led_flash_cnt[1740][7]~51252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1740][7]~51252_combout\ = \led_flash_cnt[1740][7]~q\ $ (!\led_flash_cnt[1740][6]~51251\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1740][7]~q\,
	cin => \led_flash_cnt[1740][6]~51251\,
	combout => \led_flash_cnt[1740][7]~51252_combout\);

-- Location: FF_X50_Y19_N31
\led_flash_cnt[1740][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1740][7]~51252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1740][7]~q\);

-- Location: LCCOMB_X50_Y19_N0
\WideAnd1740~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1740~0_combout\ = (\led_flash_cnt[1740][1]~q\ & (\led_flash_cnt[1740][2]~q\ & (\led_flash_cnt[1740][3]~q\ & \led_flash_cnt[1740][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1740][1]~q\,
	datab => \led_flash_cnt[1740][2]~q\,
	datac => \led_flash_cnt[1740][3]~q\,
	datad => \led_flash_cnt[1740][4]~q\,
	combout => \WideAnd1740~0_combout\);

-- Location: LCCOMB_X51_Y19_N16
WideAnd1740 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1740~combout\ = (\WideAnd1740~1_combout\ & (\led_flash_cnt[1740][7]~q\ & (\WideAnd1740~0_combout\ & \led_flash_cnt[1740][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1740~1_combout\,
	datab => \led_flash_cnt[1740][7]~q\,
	datac => \WideAnd1740~0_combout\,
	datad => \led_flash_cnt[1740][0]~q\,
	combout => \WideAnd1740~combout\);

-- Location: FF_X51_Y19_N17
\led_flash_cnt_ands[1740]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1740~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1740));

-- Location: LCCOMB_X51_Y19_N26
\WideAnd4057~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4057~1_combout\ = (led_flash_cnt_ands(1741) & led_flash_cnt_ands(1740))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1741),
	datad => led_flash_cnt_ands(1740),
	combout => \WideAnd4057~1_combout\);

-- Location: LCCOMB_X17_Y25_N6
\led_flash_cnt[1743][0]~82383\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1743][0]~82383_combout\ = !\led_flash_cnt[1743][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1743][0]~q\,
	combout => \led_flash_cnt[1743][0]~82383_combout\);

-- Location: FF_X17_Y25_N7
\led_flash_cnt[1743][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1743][0]~82383_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1743][0]~q\);

-- Location: LCCOMB_X16_Y25_N18
\led_flash_cnt[1743][1]~51282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1743][1]~51282_combout\ = (\led_flash_cnt[1743][0]~q\ & (\led_flash_cnt[1743][1]~q\ $ (VCC))) # (!\led_flash_cnt[1743][0]~q\ & (\led_flash_cnt[1743][1]~q\ & VCC))
-- \led_flash_cnt[1743][1]~51283\ = CARRY((\led_flash_cnt[1743][0]~q\ & \led_flash_cnt[1743][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1743][0]~q\,
	datab => \led_flash_cnt[1743][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1743][1]~51282_combout\,
	cout => \led_flash_cnt[1743][1]~51283\);

-- Location: FF_X16_Y25_N19
\led_flash_cnt[1743][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1743][1]~51282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1743][1]~q\);

-- Location: LCCOMB_X16_Y25_N20
\led_flash_cnt[1743][2]~51284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1743][2]~51284_combout\ = (\led_flash_cnt[1743][2]~q\ & (!\led_flash_cnt[1743][1]~51283\)) # (!\led_flash_cnt[1743][2]~q\ & ((\led_flash_cnt[1743][1]~51283\) # (GND)))
-- \led_flash_cnt[1743][2]~51285\ = CARRY((!\led_flash_cnt[1743][1]~51283\) # (!\led_flash_cnt[1743][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1743][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1743][1]~51283\,
	combout => \led_flash_cnt[1743][2]~51284_combout\,
	cout => \led_flash_cnt[1743][2]~51285\);

-- Location: FF_X16_Y25_N21
\led_flash_cnt[1743][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1743][2]~51284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1743][2]~q\);

-- Location: LCCOMB_X16_Y25_N22
\led_flash_cnt[1743][3]~51286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1743][3]~51286_combout\ = (\led_flash_cnt[1743][3]~q\ & (\led_flash_cnt[1743][2]~51285\ $ (GND))) # (!\led_flash_cnt[1743][3]~q\ & (!\led_flash_cnt[1743][2]~51285\ & VCC))
-- \led_flash_cnt[1743][3]~51287\ = CARRY((\led_flash_cnt[1743][3]~q\ & !\led_flash_cnt[1743][2]~51285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1743][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1743][2]~51285\,
	combout => \led_flash_cnt[1743][3]~51286_combout\,
	cout => \led_flash_cnt[1743][3]~51287\);

-- Location: FF_X16_Y25_N23
\led_flash_cnt[1743][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1743][3]~51286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1743][3]~q\);

-- Location: LCCOMB_X16_Y25_N24
\led_flash_cnt[1743][4]~51288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1743][4]~51288_combout\ = (\led_flash_cnt[1743][4]~q\ & (!\led_flash_cnt[1743][3]~51287\)) # (!\led_flash_cnt[1743][4]~q\ & ((\led_flash_cnt[1743][3]~51287\) # (GND)))
-- \led_flash_cnt[1743][4]~51289\ = CARRY((!\led_flash_cnt[1743][3]~51287\) # (!\led_flash_cnt[1743][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1743][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1743][3]~51287\,
	combout => \led_flash_cnt[1743][4]~51288_combout\,
	cout => \led_flash_cnt[1743][4]~51289\);

-- Location: FF_X16_Y25_N25
\led_flash_cnt[1743][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1743][4]~51288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1743][4]~q\);

-- Location: LCCOMB_X15_Y25_N26
\WideAnd1743~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1743~0_combout\ = (\led_flash_cnt[1743][4]~q\ & (\led_flash_cnt[1743][3]~q\ & (\led_flash_cnt[1743][2]~q\ & \led_flash_cnt[1743][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1743][4]~q\,
	datab => \led_flash_cnt[1743][3]~q\,
	datac => \led_flash_cnt[1743][2]~q\,
	datad => \led_flash_cnt[1743][1]~q\,
	combout => \WideAnd1743~0_combout\);

-- Location: LCCOMB_X16_Y25_N26
\led_flash_cnt[1743][5]~51290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1743][5]~51290_combout\ = (\led_flash_cnt[1743][5]~q\ & (\led_flash_cnt[1743][4]~51289\ $ (GND))) # (!\led_flash_cnt[1743][5]~q\ & (!\led_flash_cnt[1743][4]~51289\ & VCC))
-- \led_flash_cnt[1743][5]~51291\ = CARRY((\led_flash_cnt[1743][5]~q\ & !\led_flash_cnt[1743][4]~51289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1743][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1743][4]~51289\,
	combout => \led_flash_cnt[1743][5]~51290_combout\,
	cout => \led_flash_cnt[1743][5]~51291\);

-- Location: FF_X16_Y25_N27
\led_flash_cnt[1743][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1743][5]~51290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1743][5]~q\);

-- Location: LCCOMB_X16_Y25_N28
\led_flash_cnt[1743][6]~51292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1743][6]~51292_combout\ = (\led_flash_cnt[1743][6]~q\ & (!\led_flash_cnt[1743][5]~51291\)) # (!\led_flash_cnt[1743][6]~q\ & ((\led_flash_cnt[1743][5]~51291\) # (GND)))
-- \led_flash_cnt[1743][6]~51293\ = CARRY((!\led_flash_cnt[1743][5]~51291\) # (!\led_flash_cnt[1743][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1743][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1743][5]~51291\,
	combout => \led_flash_cnt[1743][6]~51292_combout\,
	cout => \led_flash_cnt[1743][6]~51293\);

-- Location: FF_X16_Y25_N29
\led_flash_cnt[1743][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1743][6]~51292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1743][6]~q\);

-- Location: LCCOMB_X15_Y25_N20
\WideAnd1743~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1743~1_combout\ = (\led_flash_cnt[1743][5]~q\ & \led_flash_cnt[1743][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1743][5]~q\,
	datad => \led_flash_cnt[1743][6]~q\,
	combout => \WideAnd1743~1_combout\);

-- Location: LCCOMB_X16_Y25_N30
\led_flash_cnt[1743][7]~51294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1743][7]~51294_combout\ = \led_flash_cnt[1743][7]~q\ $ (!\led_flash_cnt[1743][6]~51293\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1743][7]~q\,
	cin => \led_flash_cnt[1743][6]~51293\,
	combout => \led_flash_cnt[1743][7]~51294_combout\);

-- Location: FF_X16_Y25_N31
\led_flash_cnt[1743][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1743][7]~51294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1743][7]~q\);

-- Location: LCCOMB_X16_Y25_N16
WideAnd1743 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1743~combout\ = (\WideAnd1743~0_combout\ & (\WideAnd1743~1_combout\ & (\led_flash_cnt[1743][7]~q\ & \led_flash_cnt[1743][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1743~0_combout\,
	datab => \WideAnd1743~1_combout\,
	datac => \led_flash_cnt[1743][7]~q\,
	datad => \led_flash_cnt[1743][0]~q\,
	combout => \WideAnd1743~combout\);

-- Location: FF_X16_Y25_N17
\led_flash_cnt_ands[1743]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1743~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1743));

-- Location: LCCOMB_X50_Y25_N24
\led_flash_cnt[1742][0]~82382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1742][0]~82382_combout\ = !\led_flash_cnt[1742][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1742][0]~q\,
	combout => \led_flash_cnt[1742][0]~82382_combout\);

-- Location: FF_X50_Y25_N25
\led_flash_cnt[1742][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1742][0]~82382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1742][0]~q\);

-- Location: LCCOMB_X51_Y25_N4
\led_flash_cnt[1742][1]~51268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1742][1]~51268_combout\ = (\led_flash_cnt[1742][0]~q\ & (\led_flash_cnt[1742][1]~q\ $ (VCC))) # (!\led_flash_cnt[1742][0]~q\ & (\led_flash_cnt[1742][1]~q\ & VCC))
-- \led_flash_cnt[1742][1]~51269\ = CARRY((\led_flash_cnt[1742][0]~q\ & \led_flash_cnt[1742][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1742][0]~q\,
	datab => \led_flash_cnt[1742][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1742][1]~51268_combout\,
	cout => \led_flash_cnt[1742][1]~51269\);

-- Location: FF_X51_Y25_N5
\led_flash_cnt[1742][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1742][1]~51268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1742][1]~q\);

-- Location: LCCOMB_X51_Y25_N6
\led_flash_cnt[1742][2]~51270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1742][2]~51270_combout\ = (\led_flash_cnt[1742][2]~q\ & (!\led_flash_cnt[1742][1]~51269\)) # (!\led_flash_cnt[1742][2]~q\ & ((\led_flash_cnt[1742][1]~51269\) # (GND)))
-- \led_flash_cnt[1742][2]~51271\ = CARRY((!\led_flash_cnt[1742][1]~51269\) # (!\led_flash_cnt[1742][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1742][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1742][1]~51269\,
	combout => \led_flash_cnt[1742][2]~51270_combout\,
	cout => \led_flash_cnt[1742][2]~51271\);

-- Location: FF_X51_Y25_N7
\led_flash_cnt[1742][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1742][2]~51270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1742][2]~q\);

-- Location: LCCOMB_X51_Y25_N8
\led_flash_cnt[1742][3]~51272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1742][3]~51272_combout\ = (\led_flash_cnt[1742][3]~q\ & (\led_flash_cnt[1742][2]~51271\ $ (GND))) # (!\led_flash_cnt[1742][3]~q\ & (!\led_flash_cnt[1742][2]~51271\ & VCC))
-- \led_flash_cnt[1742][3]~51273\ = CARRY((\led_flash_cnt[1742][3]~q\ & !\led_flash_cnt[1742][2]~51271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1742][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1742][2]~51271\,
	combout => \led_flash_cnt[1742][3]~51272_combout\,
	cout => \led_flash_cnt[1742][3]~51273\);

-- Location: FF_X51_Y25_N9
\led_flash_cnt[1742][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1742][3]~51272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1742][3]~q\);

-- Location: LCCOMB_X51_Y25_N10
\led_flash_cnt[1742][4]~51274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1742][4]~51274_combout\ = (\led_flash_cnt[1742][4]~q\ & (!\led_flash_cnt[1742][3]~51273\)) # (!\led_flash_cnt[1742][4]~q\ & ((\led_flash_cnt[1742][3]~51273\) # (GND)))
-- \led_flash_cnt[1742][4]~51275\ = CARRY((!\led_flash_cnt[1742][3]~51273\) # (!\led_flash_cnt[1742][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1742][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1742][3]~51273\,
	combout => \led_flash_cnt[1742][4]~51274_combout\,
	cout => \led_flash_cnt[1742][4]~51275\);

-- Location: FF_X51_Y25_N11
\led_flash_cnt[1742][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1742][4]~51274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1742][4]~q\);

-- Location: LCCOMB_X51_Y25_N2
\WideAnd1742~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1742~0_combout\ = (\led_flash_cnt[1742][4]~q\ & (\led_flash_cnt[1742][3]~q\ & (\led_flash_cnt[1742][1]~q\ & \led_flash_cnt[1742][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1742][4]~q\,
	datab => \led_flash_cnt[1742][3]~q\,
	datac => \led_flash_cnt[1742][1]~q\,
	datad => \led_flash_cnt[1742][2]~q\,
	combout => \WideAnd1742~0_combout\);

-- Location: LCCOMB_X51_Y25_N12
\led_flash_cnt[1742][5]~51276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1742][5]~51276_combout\ = (\led_flash_cnt[1742][5]~q\ & (\led_flash_cnt[1742][4]~51275\ $ (GND))) # (!\led_flash_cnt[1742][5]~q\ & (!\led_flash_cnt[1742][4]~51275\ & VCC))
-- \led_flash_cnt[1742][5]~51277\ = CARRY((\led_flash_cnt[1742][5]~q\ & !\led_flash_cnt[1742][4]~51275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1742][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1742][4]~51275\,
	combout => \led_flash_cnt[1742][5]~51276_combout\,
	cout => \led_flash_cnt[1742][5]~51277\);

-- Location: FF_X51_Y25_N13
\led_flash_cnt[1742][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1742][5]~51276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1742][5]~q\);

-- Location: LCCOMB_X51_Y25_N14
\led_flash_cnt[1742][6]~51278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1742][6]~51278_combout\ = (\led_flash_cnt[1742][6]~q\ & (!\led_flash_cnt[1742][5]~51277\)) # (!\led_flash_cnt[1742][6]~q\ & ((\led_flash_cnt[1742][5]~51277\) # (GND)))
-- \led_flash_cnt[1742][6]~51279\ = CARRY((!\led_flash_cnt[1742][5]~51277\) # (!\led_flash_cnt[1742][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1742][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1742][5]~51277\,
	combout => \led_flash_cnt[1742][6]~51278_combout\,
	cout => \led_flash_cnt[1742][6]~51279\);

-- Location: FF_X51_Y25_N15
\led_flash_cnt[1742][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1742][6]~51278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1742][6]~q\);

-- Location: LCCOMB_X50_Y25_N4
\WideAnd1742~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1742~1_combout\ = (\led_flash_cnt[1742][5]~q\ & \led_flash_cnt[1742][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1742][5]~q\,
	datac => \led_flash_cnt[1742][6]~q\,
	combout => \WideAnd1742~1_combout\);

-- Location: LCCOMB_X51_Y25_N16
\led_flash_cnt[1742][7]~51280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1742][7]~51280_combout\ = \led_flash_cnt[1742][6]~51279\ $ (!\led_flash_cnt[1742][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1742][7]~q\,
	cin => \led_flash_cnt[1742][6]~51279\,
	combout => \led_flash_cnt[1742][7]~51280_combout\);

-- Location: FF_X51_Y25_N17
\led_flash_cnt[1742][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1742][7]~51280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1742][7]~q\);

-- Location: LCCOMB_X50_Y25_N2
WideAnd1742 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1742~combout\ = (\WideAnd1742~0_combout\ & (\led_flash_cnt[1742][0]~q\ & (\WideAnd1742~1_combout\ & \led_flash_cnt[1742][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1742~0_combout\,
	datab => \led_flash_cnt[1742][0]~q\,
	datac => \WideAnd1742~1_combout\,
	datad => \led_flash_cnt[1742][7]~q\,
	combout => \WideAnd1742~combout\);

-- Location: FF_X50_Y25_N3
\led_flash_cnt_ands[1742]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1742~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1742));

-- Location: LCCOMB_X50_Y25_N28
WideAnd4057 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4057~combout\ = (\WideAnd4057~0_combout\ & (\WideAnd4057~1_combout\ & (led_flash_cnt_ands(1743) & led_flash_cnt_ands(1742))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4057~0_combout\,
	datab => \WideAnd4057~1_combout\,
	datac => led_flash_cnt_ands(1743),
	datad => led_flash_cnt_ands(1742),
	combout => \WideAnd4057~combout\);

-- Location: FF_X50_Y25_N29
\led_flash_cnt_ands_1[217]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4057~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(217));

-- Location: LCCOMB_X49_Y23_N26
\WideAnd4347~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4347~0_combout\ = (led_flash_cnt_ands_1(218) & (led_flash_cnt_ands_1(219) & (led_flash_cnt_ands_1(216) & led_flash_cnt_ands_1(217))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(218),
	datab => led_flash_cnt_ands_1(219),
	datac => led_flash_cnt_ands_1(216),
	datad => led_flash_cnt_ands_1(217),
	combout => \WideAnd4347~0_combout\);

-- Location: LCCOMB_X21_Y25_N28
WideAnd4347 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4347~combout\ = (led_flash_cnt_ands_1(223) & (\WideAnd4347~1_combout\ & (led_flash_cnt_ands_1(222) & \WideAnd4347~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(223),
	datab => \WideAnd4347~1_combout\,
	datac => led_flash_cnt_ands_1(222),
	datad => \WideAnd4347~0_combout\,
	combout => \WideAnd4347~combout\);

-- Location: FF_X21_Y25_N29
\led_flash_cnt_ands_2[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4347~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(27));

-- Location: LCCOMB_X14_Y31_N12
\led_flash_cnt[1545][0]~82185\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1545][0]~82185_combout\ = !\led_flash_cnt[1545][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1545][0]~q\,
	combout => \led_flash_cnt[1545][0]~82185_combout\);

-- Location: FF_X14_Y31_N13
\led_flash_cnt[1545][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1545][0]~82185_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1545][0]~q\);

-- Location: LCCOMB_X14_Y31_N18
\led_flash_cnt[1545][1]~48510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1545][1]~48510_combout\ = (\led_flash_cnt[1545][0]~q\ & (\led_flash_cnt[1545][1]~q\ $ (VCC))) # (!\led_flash_cnt[1545][0]~q\ & (\led_flash_cnt[1545][1]~q\ & VCC))
-- \led_flash_cnt[1545][1]~48511\ = CARRY((\led_flash_cnt[1545][0]~q\ & \led_flash_cnt[1545][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1545][0]~q\,
	datab => \led_flash_cnt[1545][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1545][1]~48510_combout\,
	cout => \led_flash_cnt[1545][1]~48511\);

-- Location: FF_X14_Y31_N19
\led_flash_cnt[1545][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1545][1]~48510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1545][1]~q\);

-- Location: LCCOMB_X14_Y31_N20
\led_flash_cnt[1545][2]~48512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1545][2]~48512_combout\ = (\led_flash_cnt[1545][2]~q\ & (!\led_flash_cnt[1545][1]~48511\)) # (!\led_flash_cnt[1545][2]~q\ & ((\led_flash_cnt[1545][1]~48511\) # (GND)))
-- \led_flash_cnt[1545][2]~48513\ = CARRY((!\led_flash_cnt[1545][1]~48511\) # (!\led_flash_cnt[1545][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1545][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1545][1]~48511\,
	combout => \led_flash_cnt[1545][2]~48512_combout\,
	cout => \led_flash_cnt[1545][2]~48513\);

-- Location: FF_X14_Y31_N21
\led_flash_cnt[1545][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1545][2]~48512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1545][2]~q\);

-- Location: LCCOMB_X14_Y31_N22
\led_flash_cnt[1545][3]~48514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1545][3]~48514_combout\ = (\led_flash_cnt[1545][3]~q\ & (\led_flash_cnt[1545][2]~48513\ $ (GND))) # (!\led_flash_cnt[1545][3]~q\ & (!\led_flash_cnt[1545][2]~48513\ & VCC))
-- \led_flash_cnt[1545][3]~48515\ = CARRY((\led_flash_cnt[1545][3]~q\ & !\led_flash_cnt[1545][2]~48513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1545][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1545][2]~48513\,
	combout => \led_flash_cnt[1545][3]~48514_combout\,
	cout => \led_flash_cnt[1545][3]~48515\);

-- Location: FF_X14_Y31_N23
\led_flash_cnt[1545][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1545][3]~48514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1545][3]~q\);

-- Location: LCCOMB_X14_Y31_N24
\led_flash_cnt[1545][4]~48516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1545][4]~48516_combout\ = (\led_flash_cnt[1545][4]~q\ & (!\led_flash_cnt[1545][3]~48515\)) # (!\led_flash_cnt[1545][4]~q\ & ((\led_flash_cnt[1545][3]~48515\) # (GND)))
-- \led_flash_cnt[1545][4]~48517\ = CARRY((!\led_flash_cnt[1545][3]~48515\) # (!\led_flash_cnt[1545][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1545][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1545][3]~48515\,
	combout => \led_flash_cnt[1545][4]~48516_combout\,
	cout => \led_flash_cnt[1545][4]~48517\);

-- Location: FF_X14_Y31_N25
\led_flash_cnt[1545][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1545][4]~48516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1545][4]~q\);

-- Location: LCCOMB_X14_Y31_N26
\led_flash_cnt[1545][5]~48518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1545][5]~48518_combout\ = (\led_flash_cnt[1545][5]~q\ & (\led_flash_cnt[1545][4]~48517\ $ (GND))) # (!\led_flash_cnt[1545][5]~q\ & (!\led_flash_cnt[1545][4]~48517\ & VCC))
-- \led_flash_cnt[1545][5]~48519\ = CARRY((\led_flash_cnt[1545][5]~q\ & !\led_flash_cnt[1545][4]~48517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1545][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1545][4]~48517\,
	combout => \led_flash_cnt[1545][5]~48518_combout\,
	cout => \led_flash_cnt[1545][5]~48519\);

-- Location: FF_X14_Y31_N27
\led_flash_cnt[1545][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1545][5]~48518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1545][5]~q\);

-- Location: LCCOMB_X14_Y31_N28
\led_flash_cnt[1545][6]~48520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1545][6]~48520_combout\ = (\led_flash_cnt[1545][6]~q\ & (!\led_flash_cnt[1545][5]~48519\)) # (!\led_flash_cnt[1545][6]~q\ & ((\led_flash_cnt[1545][5]~48519\) # (GND)))
-- \led_flash_cnt[1545][6]~48521\ = CARRY((!\led_flash_cnt[1545][5]~48519\) # (!\led_flash_cnt[1545][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1545][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1545][5]~48519\,
	combout => \led_flash_cnt[1545][6]~48520_combout\,
	cout => \led_flash_cnt[1545][6]~48521\);

-- Location: FF_X14_Y31_N29
\led_flash_cnt[1545][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1545][6]~48520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1545][6]~q\);

-- Location: LCCOMB_X14_Y31_N10
\WideAnd1545~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1545~1_combout\ = (\led_flash_cnt[1545][5]~q\ & \led_flash_cnt[1545][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1545][5]~q\,
	datad => \led_flash_cnt[1545][6]~q\,
	combout => \WideAnd1545~1_combout\);

-- Location: LCCOMB_X14_Y31_N16
\WideAnd1545~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1545~0_combout\ = (\led_flash_cnt[1545][4]~q\ & (\led_flash_cnt[1545][2]~q\ & (\led_flash_cnt[1545][3]~q\ & \led_flash_cnt[1545][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1545][4]~q\,
	datab => \led_flash_cnt[1545][2]~q\,
	datac => \led_flash_cnt[1545][3]~q\,
	datad => \led_flash_cnt[1545][1]~q\,
	combout => \WideAnd1545~0_combout\);

-- Location: LCCOMB_X14_Y31_N30
\led_flash_cnt[1545][7]~48522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1545][7]~48522_combout\ = \led_flash_cnt[1545][7]~q\ $ (!\led_flash_cnt[1545][6]~48521\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1545][7]~q\,
	cin => \led_flash_cnt[1545][6]~48521\,
	combout => \led_flash_cnt[1545][7]~48522_combout\);

-- Location: FF_X14_Y31_N31
\led_flash_cnt[1545][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1545][7]~48522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1545][7]~q\);

-- Location: LCCOMB_X14_Y31_N14
WideAnd1545 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1545~combout\ = (\WideAnd1545~1_combout\ & (\WideAnd1545~0_combout\ & (\led_flash_cnt[1545][7]~q\ & \led_flash_cnt[1545][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1545~1_combout\,
	datab => \WideAnd1545~0_combout\,
	datac => \led_flash_cnt[1545][7]~q\,
	datad => \led_flash_cnt[1545][0]~q\,
	combout => \WideAnd1545~combout\);

-- Location: FF_X14_Y31_N15
\led_flash_cnt_ands[1545]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1545~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1545));

-- Location: LCCOMB_X22_Y30_N12
\led_flash_cnt[1546][0]~82186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1546][0]~82186_combout\ = !\led_flash_cnt[1546][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1546][0]~q\,
	combout => \led_flash_cnt[1546][0]~82186_combout\);

-- Location: FF_X22_Y30_N13
\led_flash_cnt[1546][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1546][0]~82186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1546][0]~q\);

-- Location: LCCOMB_X22_Y30_N18
\led_flash_cnt[1546][1]~48524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1546][1]~48524_combout\ = (\led_flash_cnt[1546][0]~q\ & (\led_flash_cnt[1546][1]~q\ $ (VCC))) # (!\led_flash_cnt[1546][0]~q\ & (\led_flash_cnt[1546][1]~q\ & VCC))
-- \led_flash_cnt[1546][1]~48525\ = CARRY((\led_flash_cnt[1546][0]~q\ & \led_flash_cnt[1546][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1546][0]~q\,
	datab => \led_flash_cnt[1546][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1546][1]~48524_combout\,
	cout => \led_flash_cnt[1546][1]~48525\);

-- Location: FF_X22_Y30_N19
\led_flash_cnt[1546][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1546][1]~48524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1546][1]~q\);

-- Location: LCCOMB_X22_Y30_N20
\led_flash_cnt[1546][2]~48526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1546][2]~48526_combout\ = (\led_flash_cnt[1546][2]~q\ & (!\led_flash_cnt[1546][1]~48525\)) # (!\led_flash_cnt[1546][2]~q\ & ((\led_flash_cnt[1546][1]~48525\) # (GND)))
-- \led_flash_cnt[1546][2]~48527\ = CARRY((!\led_flash_cnt[1546][1]~48525\) # (!\led_flash_cnt[1546][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1546][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1546][1]~48525\,
	combout => \led_flash_cnt[1546][2]~48526_combout\,
	cout => \led_flash_cnt[1546][2]~48527\);

-- Location: FF_X22_Y30_N21
\led_flash_cnt[1546][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1546][2]~48526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1546][2]~q\);

-- Location: LCCOMB_X22_Y30_N22
\led_flash_cnt[1546][3]~48528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1546][3]~48528_combout\ = (\led_flash_cnt[1546][3]~q\ & (\led_flash_cnt[1546][2]~48527\ $ (GND))) # (!\led_flash_cnt[1546][3]~q\ & (!\led_flash_cnt[1546][2]~48527\ & VCC))
-- \led_flash_cnt[1546][3]~48529\ = CARRY((\led_flash_cnt[1546][3]~q\ & !\led_flash_cnt[1546][2]~48527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1546][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1546][2]~48527\,
	combout => \led_flash_cnt[1546][3]~48528_combout\,
	cout => \led_flash_cnt[1546][3]~48529\);

-- Location: FF_X22_Y30_N23
\led_flash_cnt[1546][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1546][3]~48528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1546][3]~q\);

-- Location: LCCOMB_X22_Y30_N24
\led_flash_cnt[1546][4]~48530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1546][4]~48530_combout\ = (\led_flash_cnt[1546][4]~q\ & (!\led_flash_cnt[1546][3]~48529\)) # (!\led_flash_cnt[1546][4]~q\ & ((\led_flash_cnt[1546][3]~48529\) # (GND)))
-- \led_flash_cnt[1546][4]~48531\ = CARRY((!\led_flash_cnt[1546][3]~48529\) # (!\led_flash_cnt[1546][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1546][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1546][3]~48529\,
	combout => \led_flash_cnt[1546][4]~48530_combout\,
	cout => \led_flash_cnt[1546][4]~48531\);

-- Location: FF_X22_Y30_N25
\led_flash_cnt[1546][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1546][4]~48530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1546][4]~q\);

-- Location: LCCOMB_X22_Y30_N26
\led_flash_cnt[1546][5]~48532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1546][5]~48532_combout\ = (\led_flash_cnt[1546][5]~q\ & (\led_flash_cnt[1546][4]~48531\ $ (GND))) # (!\led_flash_cnt[1546][5]~q\ & (!\led_flash_cnt[1546][4]~48531\ & VCC))
-- \led_flash_cnt[1546][5]~48533\ = CARRY((\led_flash_cnt[1546][5]~q\ & !\led_flash_cnt[1546][4]~48531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1546][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1546][4]~48531\,
	combout => \led_flash_cnt[1546][5]~48532_combout\,
	cout => \led_flash_cnt[1546][5]~48533\);

-- Location: FF_X22_Y30_N27
\led_flash_cnt[1546][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1546][5]~48532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1546][5]~q\);

-- Location: LCCOMB_X22_Y30_N28
\led_flash_cnt[1546][6]~48534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1546][6]~48534_combout\ = (\led_flash_cnt[1546][6]~q\ & (!\led_flash_cnt[1546][5]~48533\)) # (!\led_flash_cnt[1546][6]~q\ & ((\led_flash_cnt[1546][5]~48533\) # (GND)))
-- \led_flash_cnt[1546][6]~48535\ = CARRY((!\led_flash_cnt[1546][5]~48533\) # (!\led_flash_cnt[1546][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1546][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1546][5]~48533\,
	combout => \led_flash_cnt[1546][6]~48534_combout\,
	cout => \led_flash_cnt[1546][6]~48535\);

-- Location: FF_X22_Y30_N29
\led_flash_cnt[1546][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1546][6]~48534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1546][6]~q\);

-- Location: LCCOMB_X22_Y30_N30
\led_flash_cnt[1546][7]~48536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1546][7]~48536_combout\ = \led_flash_cnt[1546][7]~q\ $ (!\led_flash_cnt[1546][6]~48535\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1546][7]~q\,
	cin => \led_flash_cnt[1546][6]~48535\,
	combout => \led_flash_cnt[1546][7]~48536_combout\);

-- Location: FF_X22_Y30_N31
\led_flash_cnt[1546][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1546][7]~48536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1546][7]~q\);

-- Location: LCCOMB_X22_Y30_N16
\WideAnd1546~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1546~1_combout\ = (\led_flash_cnt[1546][5]~q\ & \led_flash_cnt[1546][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1546][5]~q\,
	datad => \led_flash_cnt[1546][6]~q\,
	combout => \WideAnd1546~1_combout\);

-- Location: LCCOMB_X22_Y30_N14
\WideAnd1546~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1546~0_combout\ = (\led_flash_cnt[1546][4]~q\ & (\led_flash_cnt[1546][2]~q\ & (\led_flash_cnt[1546][3]~q\ & \led_flash_cnt[1546][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1546][4]~q\,
	datab => \led_flash_cnt[1546][2]~q\,
	datac => \led_flash_cnt[1546][3]~q\,
	datad => \led_flash_cnt[1546][1]~q\,
	combout => \WideAnd1546~0_combout\);

-- Location: LCCOMB_X22_Y30_N2
WideAnd1546 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1546~combout\ = (\led_flash_cnt[1546][7]~q\ & (\WideAnd1546~1_combout\ & (\WideAnd1546~0_combout\ & \led_flash_cnt[1546][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1546][7]~q\,
	datab => \WideAnd1546~1_combout\,
	datac => \WideAnd1546~0_combout\,
	datad => \led_flash_cnt[1546][0]~q\,
	combout => \WideAnd1546~combout\);

-- Location: FF_X22_Y30_N3
\led_flash_cnt_ands[1546]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1546~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1546));

-- Location: LCCOMB_X22_Y30_N6
\led_flash_cnt[1547][0]~82187\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1547][0]~82187_combout\ = !\led_flash_cnt[1547][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1547][0]~q\,
	combout => \led_flash_cnt[1547][0]~82187_combout\);

-- Location: FF_X22_Y30_N7
\led_flash_cnt[1547][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1547][0]~82187_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1547][0]~q\);

-- Location: LCCOMB_X23_Y30_N18
\led_flash_cnt[1547][1]~48538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1547][1]~48538_combout\ = (\led_flash_cnt[1547][0]~q\ & (\led_flash_cnt[1547][1]~q\ $ (VCC))) # (!\led_flash_cnt[1547][0]~q\ & (\led_flash_cnt[1547][1]~q\ & VCC))
-- \led_flash_cnt[1547][1]~48539\ = CARRY((\led_flash_cnt[1547][0]~q\ & \led_flash_cnt[1547][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1547][0]~q\,
	datab => \led_flash_cnt[1547][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1547][1]~48538_combout\,
	cout => \led_flash_cnt[1547][1]~48539\);

-- Location: FF_X23_Y30_N19
\led_flash_cnt[1547][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1547][1]~48538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1547][1]~q\);

-- Location: LCCOMB_X23_Y30_N20
\led_flash_cnt[1547][2]~48540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1547][2]~48540_combout\ = (\led_flash_cnt[1547][2]~q\ & (!\led_flash_cnt[1547][1]~48539\)) # (!\led_flash_cnt[1547][2]~q\ & ((\led_flash_cnt[1547][1]~48539\) # (GND)))
-- \led_flash_cnt[1547][2]~48541\ = CARRY((!\led_flash_cnt[1547][1]~48539\) # (!\led_flash_cnt[1547][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1547][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1547][1]~48539\,
	combout => \led_flash_cnt[1547][2]~48540_combout\,
	cout => \led_flash_cnt[1547][2]~48541\);

-- Location: FF_X23_Y30_N21
\led_flash_cnt[1547][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1547][2]~48540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1547][2]~q\);

-- Location: LCCOMB_X23_Y30_N22
\led_flash_cnt[1547][3]~48542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1547][3]~48542_combout\ = (\led_flash_cnt[1547][3]~q\ & (\led_flash_cnt[1547][2]~48541\ $ (GND))) # (!\led_flash_cnt[1547][3]~q\ & (!\led_flash_cnt[1547][2]~48541\ & VCC))
-- \led_flash_cnt[1547][3]~48543\ = CARRY((\led_flash_cnt[1547][3]~q\ & !\led_flash_cnt[1547][2]~48541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1547][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1547][2]~48541\,
	combout => \led_flash_cnt[1547][3]~48542_combout\,
	cout => \led_flash_cnt[1547][3]~48543\);

-- Location: FF_X23_Y30_N23
\led_flash_cnt[1547][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1547][3]~48542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1547][3]~q\);

-- Location: LCCOMB_X23_Y30_N24
\led_flash_cnt[1547][4]~48544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1547][4]~48544_combout\ = (\led_flash_cnt[1547][4]~q\ & (!\led_flash_cnt[1547][3]~48543\)) # (!\led_flash_cnt[1547][4]~q\ & ((\led_flash_cnt[1547][3]~48543\) # (GND)))
-- \led_flash_cnt[1547][4]~48545\ = CARRY((!\led_flash_cnt[1547][3]~48543\) # (!\led_flash_cnt[1547][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1547][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1547][3]~48543\,
	combout => \led_flash_cnt[1547][4]~48544_combout\,
	cout => \led_flash_cnt[1547][4]~48545\);

-- Location: FF_X23_Y30_N25
\led_flash_cnt[1547][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1547][4]~48544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1547][4]~q\);

-- Location: LCCOMB_X23_Y30_N26
\led_flash_cnt[1547][5]~48546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1547][5]~48546_combout\ = (\led_flash_cnt[1547][5]~q\ & (\led_flash_cnt[1547][4]~48545\ $ (GND))) # (!\led_flash_cnt[1547][5]~q\ & (!\led_flash_cnt[1547][4]~48545\ & VCC))
-- \led_flash_cnt[1547][5]~48547\ = CARRY((\led_flash_cnt[1547][5]~q\ & !\led_flash_cnt[1547][4]~48545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1547][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1547][4]~48545\,
	combout => \led_flash_cnt[1547][5]~48546_combout\,
	cout => \led_flash_cnt[1547][5]~48547\);

-- Location: FF_X23_Y30_N27
\led_flash_cnt[1547][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1547][5]~48546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1547][5]~q\);

-- Location: LCCOMB_X23_Y30_N28
\led_flash_cnt[1547][6]~48548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1547][6]~48548_combout\ = (\led_flash_cnt[1547][6]~q\ & (!\led_flash_cnt[1547][5]~48547\)) # (!\led_flash_cnt[1547][6]~q\ & ((\led_flash_cnt[1547][5]~48547\) # (GND)))
-- \led_flash_cnt[1547][6]~48549\ = CARRY((!\led_flash_cnt[1547][5]~48547\) # (!\led_flash_cnt[1547][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1547][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1547][5]~48547\,
	combout => \led_flash_cnt[1547][6]~48548_combout\,
	cout => \led_flash_cnt[1547][6]~48549\);

-- Location: FF_X23_Y30_N29
\led_flash_cnt[1547][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1547][6]~48548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1547][6]~q\);

-- Location: LCCOMB_X22_Y30_N10
\WideAnd1547~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1547~1_combout\ = (\led_flash_cnt[1547][6]~q\ & \led_flash_cnt[1547][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1547][6]~q\,
	datad => \led_flash_cnt[1547][5]~q\,
	combout => \WideAnd1547~1_combout\);

-- Location: LCCOMB_X23_Y30_N16
\WideAnd1547~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1547~0_combout\ = (\led_flash_cnt[1547][4]~q\ & (\led_flash_cnt[1547][2]~q\ & (\led_flash_cnt[1547][3]~q\ & \led_flash_cnt[1547][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1547][4]~q\,
	datab => \led_flash_cnt[1547][2]~q\,
	datac => \led_flash_cnt[1547][3]~q\,
	datad => \led_flash_cnt[1547][1]~q\,
	combout => \WideAnd1547~0_combout\);

-- Location: LCCOMB_X23_Y30_N30
\led_flash_cnt[1547][7]~48550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1547][7]~48550_combout\ = \led_flash_cnt[1547][7]~q\ $ (!\led_flash_cnt[1547][6]~48549\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1547][7]~q\,
	cin => \led_flash_cnt[1547][6]~48549\,
	combout => \led_flash_cnt[1547][7]~48550_combout\);

-- Location: FF_X23_Y30_N31
\led_flash_cnt[1547][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1547][7]~48550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1547][7]~q\);

-- Location: LCCOMB_X22_Y30_N8
WideAnd1547 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1547~combout\ = (\WideAnd1547~1_combout\ & (\WideAnd1547~0_combout\ & (\led_flash_cnt[1547][7]~q\ & \led_flash_cnt[1547][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1547~1_combout\,
	datab => \WideAnd1547~0_combout\,
	datac => \led_flash_cnt[1547][7]~q\,
	datad => \led_flash_cnt[1547][0]~q\,
	combout => \WideAnd1547~combout\);

-- Location: FF_X22_Y30_N9
\led_flash_cnt_ands[1547]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1547~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1547));

-- Location: LCCOMB_X6_Y29_N4
\led_flash_cnt[1544][0]~82184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1544][0]~82184_combout\ = !\led_flash_cnt[1544][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1544][0]~q\,
	combout => \led_flash_cnt[1544][0]~82184_combout\);

-- Location: FF_X6_Y29_N5
\led_flash_cnt[1544][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1544][0]~82184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1544][0]~q\);

-- Location: LCCOMB_X6_Y29_N10
\led_flash_cnt[1544][1]~48496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1544][1]~48496_combout\ = (\led_flash_cnt[1544][1]~q\ & (\led_flash_cnt[1544][0]~q\ $ (VCC))) # (!\led_flash_cnt[1544][1]~q\ & (\led_flash_cnt[1544][0]~q\ & VCC))
-- \led_flash_cnt[1544][1]~48497\ = CARRY((\led_flash_cnt[1544][1]~q\ & \led_flash_cnt[1544][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1544][1]~q\,
	datab => \led_flash_cnt[1544][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1544][1]~48496_combout\,
	cout => \led_flash_cnt[1544][1]~48497\);

-- Location: FF_X6_Y29_N11
\led_flash_cnt[1544][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1544][1]~48496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1544][1]~q\);

-- Location: LCCOMB_X6_Y29_N12
\led_flash_cnt[1544][2]~48498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1544][2]~48498_combout\ = (\led_flash_cnt[1544][2]~q\ & (!\led_flash_cnt[1544][1]~48497\)) # (!\led_flash_cnt[1544][2]~q\ & ((\led_flash_cnt[1544][1]~48497\) # (GND)))
-- \led_flash_cnt[1544][2]~48499\ = CARRY((!\led_flash_cnt[1544][1]~48497\) # (!\led_flash_cnt[1544][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1544][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1544][1]~48497\,
	combout => \led_flash_cnt[1544][2]~48498_combout\,
	cout => \led_flash_cnt[1544][2]~48499\);

-- Location: FF_X6_Y29_N13
\led_flash_cnt[1544][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1544][2]~48498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1544][2]~q\);

-- Location: LCCOMB_X6_Y29_N14
\led_flash_cnt[1544][3]~48500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1544][3]~48500_combout\ = (\led_flash_cnt[1544][3]~q\ & (\led_flash_cnt[1544][2]~48499\ $ (GND))) # (!\led_flash_cnt[1544][3]~q\ & (!\led_flash_cnt[1544][2]~48499\ & VCC))
-- \led_flash_cnt[1544][3]~48501\ = CARRY((\led_flash_cnt[1544][3]~q\ & !\led_flash_cnt[1544][2]~48499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1544][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1544][2]~48499\,
	combout => \led_flash_cnt[1544][3]~48500_combout\,
	cout => \led_flash_cnt[1544][3]~48501\);

-- Location: FF_X6_Y29_N15
\led_flash_cnt[1544][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1544][3]~48500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1544][3]~q\);

-- Location: LCCOMB_X6_Y29_N16
\led_flash_cnt[1544][4]~48502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1544][4]~48502_combout\ = (\led_flash_cnt[1544][4]~q\ & (!\led_flash_cnt[1544][3]~48501\)) # (!\led_flash_cnt[1544][4]~q\ & ((\led_flash_cnt[1544][3]~48501\) # (GND)))
-- \led_flash_cnt[1544][4]~48503\ = CARRY((!\led_flash_cnt[1544][3]~48501\) # (!\led_flash_cnt[1544][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1544][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1544][3]~48501\,
	combout => \led_flash_cnt[1544][4]~48502_combout\,
	cout => \led_flash_cnt[1544][4]~48503\);

-- Location: FF_X6_Y29_N17
\led_flash_cnt[1544][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1544][4]~48502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1544][4]~q\);

-- Location: LCCOMB_X6_Y29_N26
\WideAnd1544~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1544~0_combout\ = (\led_flash_cnt[1544][2]~q\ & (\led_flash_cnt[1544][4]~q\ & (\led_flash_cnt[1544][3]~q\ & \led_flash_cnt[1544][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1544][2]~q\,
	datab => \led_flash_cnt[1544][4]~q\,
	datac => \led_flash_cnt[1544][3]~q\,
	datad => \led_flash_cnt[1544][1]~q\,
	combout => \WideAnd1544~0_combout\);

-- Location: LCCOMB_X6_Y29_N18
\led_flash_cnt[1544][5]~48504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1544][5]~48504_combout\ = (\led_flash_cnt[1544][5]~q\ & (\led_flash_cnt[1544][4]~48503\ $ (GND))) # (!\led_flash_cnt[1544][5]~q\ & (!\led_flash_cnt[1544][4]~48503\ & VCC))
-- \led_flash_cnt[1544][5]~48505\ = CARRY((\led_flash_cnt[1544][5]~q\ & !\led_flash_cnt[1544][4]~48503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1544][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1544][4]~48503\,
	combout => \led_flash_cnt[1544][5]~48504_combout\,
	cout => \led_flash_cnt[1544][5]~48505\);

-- Location: FF_X6_Y29_N19
\led_flash_cnt[1544][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1544][5]~48504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1544][5]~q\);

-- Location: LCCOMB_X6_Y29_N20
\led_flash_cnt[1544][6]~48506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1544][6]~48506_combout\ = (\led_flash_cnt[1544][6]~q\ & (!\led_flash_cnt[1544][5]~48505\)) # (!\led_flash_cnt[1544][6]~q\ & ((\led_flash_cnt[1544][5]~48505\) # (GND)))
-- \led_flash_cnt[1544][6]~48507\ = CARRY((!\led_flash_cnt[1544][5]~48505\) # (!\led_flash_cnt[1544][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1544][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1544][5]~48505\,
	combout => \led_flash_cnt[1544][6]~48506_combout\,
	cout => \led_flash_cnt[1544][6]~48507\);

-- Location: FF_X6_Y29_N21
\led_flash_cnt[1544][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1544][6]~48506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1544][6]~q\);

-- Location: LCCOMB_X6_Y29_N22
\led_flash_cnt[1544][7]~48508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1544][7]~48508_combout\ = \led_flash_cnt[1544][7]~q\ $ (!\led_flash_cnt[1544][6]~48507\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1544][7]~q\,
	cin => \led_flash_cnt[1544][6]~48507\,
	combout => \led_flash_cnt[1544][7]~48508_combout\);

-- Location: FF_X6_Y29_N23
\led_flash_cnt[1544][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1544][7]~48508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1544][7]~q\);

-- Location: LCCOMB_X6_Y29_N24
\WideAnd1544~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1544~1_combout\ = (\led_flash_cnt[1544][5]~q\ & \led_flash_cnt[1544][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1544][5]~q\,
	datad => \led_flash_cnt[1544][6]~q\,
	combout => \WideAnd1544~1_combout\);

-- Location: LCCOMB_X6_Y29_N0
WideAnd1544 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1544~combout\ = (\WideAnd1544~0_combout\ & (\led_flash_cnt[1544][0]~q\ & (\led_flash_cnt[1544][7]~q\ & \WideAnd1544~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1544~0_combout\,
	datab => \led_flash_cnt[1544][0]~q\,
	datac => \led_flash_cnt[1544][7]~q\,
	datad => \WideAnd1544~1_combout\,
	combout => \WideAnd1544~combout\);

-- Location: FF_X6_Y29_N1
\led_flash_cnt_ands[1544]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1544~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1544));

-- Location: LCCOMB_X22_Y30_N4
\WideAnd4033~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4033~0_combout\ = (led_flash_cnt_ands(1545) & (led_flash_cnt_ands(1546) & (led_flash_cnt_ands(1547) & led_flash_cnt_ands(1544))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1545),
	datab => led_flash_cnt_ands(1546),
	datac => led_flash_cnt_ands(1547),
	datad => led_flash_cnt_ands(1544),
	combout => \WideAnd4033~0_combout\);

-- Location: LCCOMB_X45_Y10_N4
\led_flash_cnt[1549][0]~82189\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1549][0]~82189_combout\ = !\led_flash_cnt[1549][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1549][0]~q\,
	combout => \led_flash_cnt[1549][0]~82189_combout\);

-- Location: FF_X45_Y10_N5
\led_flash_cnt[1549][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1549][0]~82189_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1549][0]~q\);

-- Location: LCCOMB_X44_Y10_N18
\led_flash_cnt[1549][1]~48566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1549][1]~48566_combout\ = (\led_flash_cnt[1549][0]~q\ & (\led_flash_cnt[1549][1]~q\ $ (VCC))) # (!\led_flash_cnt[1549][0]~q\ & (\led_flash_cnt[1549][1]~q\ & VCC))
-- \led_flash_cnt[1549][1]~48567\ = CARRY((\led_flash_cnt[1549][0]~q\ & \led_flash_cnt[1549][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1549][0]~q\,
	datab => \led_flash_cnt[1549][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1549][1]~48566_combout\,
	cout => \led_flash_cnt[1549][1]~48567\);

-- Location: FF_X44_Y10_N19
\led_flash_cnt[1549][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1549][1]~48566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1549][1]~q\);

-- Location: LCCOMB_X44_Y10_N20
\led_flash_cnt[1549][2]~48568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1549][2]~48568_combout\ = (\led_flash_cnt[1549][2]~q\ & (!\led_flash_cnt[1549][1]~48567\)) # (!\led_flash_cnt[1549][2]~q\ & ((\led_flash_cnt[1549][1]~48567\) # (GND)))
-- \led_flash_cnt[1549][2]~48569\ = CARRY((!\led_flash_cnt[1549][1]~48567\) # (!\led_flash_cnt[1549][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1549][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1549][1]~48567\,
	combout => \led_flash_cnt[1549][2]~48568_combout\,
	cout => \led_flash_cnt[1549][2]~48569\);

-- Location: FF_X44_Y10_N21
\led_flash_cnt[1549][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1549][2]~48568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1549][2]~q\);

-- Location: LCCOMB_X44_Y10_N22
\led_flash_cnt[1549][3]~48570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1549][3]~48570_combout\ = (\led_flash_cnt[1549][3]~q\ & (\led_flash_cnt[1549][2]~48569\ $ (GND))) # (!\led_flash_cnt[1549][3]~q\ & (!\led_flash_cnt[1549][2]~48569\ & VCC))
-- \led_flash_cnt[1549][3]~48571\ = CARRY((\led_flash_cnt[1549][3]~q\ & !\led_flash_cnt[1549][2]~48569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1549][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1549][2]~48569\,
	combout => \led_flash_cnt[1549][3]~48570_combout\,
	cout => \led_flash_cnt[1549][3]~48571\);

-- Location: FF_X44_Y10_N23
\led_flash_cnt[1549][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1549][3]~48570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1549][3]~q\);

-- Location: LCCOMB_X44_Y10_N24
\led_flash_cnt[1549][4]~48572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1549][4]~48572_combout\ = (\led_flash_cnt[1549][4]~q\ & (!\led_flash_cnt[1549][3]~48571\)) # (!\led_flash_cnt[1549][4]~q\ & ((\led_flash_cnt[1549][3]~48571\) # (GND)))
-- \led_flash_cnt[1549][4]~48573\ = CARRY((!\led_flash_cnt[1549][3]~48571\) # (!\led_flash_cnt[1549][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1549][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1549][3]~48571\,
	combout => \led_flash_cnt[1549][4]~48572_combout\,
	cout => \led_flash_cnt[1549][4]~48573\);

-- Location: FF_X44_Y10_N25
\led_flash_cnt[1549][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1549][4]~48572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1549][4]~q\);

-- Location: LCCOMB_X44_Y10_N0
\WideAnd1549~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1549~0_combout\ = (\led_flash_cnt[1549][4]~q\ & (\led_flash_cnt[1549][2]~q\ & (\led_flash_cnt[1549][3]~q\ & \led_flash_cnt[1549][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1549][4]~q\,
	datab => \led_flash_cnt[1549][2]~q\,
	datac => \led_flash_cnt[1549][3]~q\,
	datad => \led_flash_cnt[1549][1]~q\,
	combout => \WideAnd1549~0_combout\);

-- Location: LCCOMB_X44_Y10_N26
\led_flash_cnt[1549][5]~48574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1549][5]~48574_combout\ = (\led_flash_cnt[1549][5]~q\ & (\led_flash_cnt[1549][4]~48573\ $ (GND))) # (!\led_flash_cnt[1549][5]~q\ & (!\led_flash_cnt[1549][4]~48573\ & VCC))
-- \led_flash_cnt[1549][5]~48575\ = CARRY((\led_flash_cnt[1549][5]~q\ & !\led_flash_cnt[1549][4]~48573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1549][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1549][4]~48573\,
	combout => \led_flash_cnt[1549][5]~48574_combout\,
	cout => \led_flash_cnt[1549][5]~48575\);

-- Location: FF_X44_Y10_N27
\led_flash_cnt[1549][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1549][5]~48574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1549][5]~q\);

-- Location: LCCOMB_X44_Y10_N28
\led_flash_cnt[1549][6]~48576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1549][6]~48576_combout\ = (\led_flash_cnt[1549][6]~q\ & (!\led_flash_cnt[1549][5]~48575\)) # (!\led_flash_cnt[1549][6]~q\ & ((\led_flash_cnt[1549][5]~48575\) # (GND)))
-- \led_flash_cnt[1549][6]~48577\ = CARRY((!\led_flash_cnt[1549][5]~48575\) # (!\led_flash_cnt[1549][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1549][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1549][5]~48575\,
	combout => \led_flash_cnt[1549][6]~48576_combout\,
	cout => \led_flash_cnt[1549][6]~48577\);

-- Location: FF_X44_Y10_N29
\led_flash_cnt[1549][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1549][6]~48576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1549][6]~q\);

-- Location: LCCOMB_X44_Y10_N30
\led_flash_cnt[1549][7]~48578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1549][7]~48578_combout\ = \led_flash_cnt[1549][7]~q\ $ (!\led_flash_cnt[1549][6]~48577\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1549][7]~q\,
	cin => \led_flash_cnt[1549][6]~48577\,
	combout => \led_flash_cnt[1549][7]~48578_combout\);

-- Location: FF_X44_Y10_N31
\led_flash_cnt[1549][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1549][7]~48578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1549][7]~q\);

-- Location: LCCOMB_X45_Y10_N10
\WideAnd1549~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1549~1_combout\ = (\led_flash_cnt[1549][5]~q\ & \led_flash_cnt[1549][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1549][5]~q\,
	datad => \led_flash_cnt[1549][6]~q\,
	combout => \WideAnd1549~1_combout\);

-- Location: LCCOMB_X45_Y10_N8
WideAnd1549 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1549~combout\ = (\WideAnd1549~0_combout\ & (\led_flash_cnt[1549][7]~q\ & (\led_flash_cnt[1549][0]~q\ & \WideAnd1549~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1549~0_combout\,
	datab => \led_flash_cnt[1549][7]~q\,
	datac => \led_flash_cnt[1549][0]~q\,
	datad => \WideAnd1549~1_combout\,
	combout => \WideAnd1549~combout\);

-- Location: FF_X45_Y10_N9
\led_flash_cnt_ands[1549]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1549~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1549));

-- Location: LCCOMB_X45_Y10_N12
\led_flash_cnt[1548][0]~82188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1548][0]~82188_combout\ = !\led_flash_cnt[1548][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1548][0]~q\,
	combout => \led_flash_cnt[1548][0]~82188_combout\);

-- Location: FF_X45_Y10_N13
\led_flash_cnt[1548][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1548][0]~82188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1548][0]~q\);

-- Location: LCCOMB_X45_Y10_N18
\led_flash_cnt[1548][1]~48552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1548][1]~48552_combout\ = (\led_flash_cnt[1548][0]~q\ & (\led_flash_cnt[1548][1]~q\ $ (VCC))) # (!\led_flash_cnt[1548][0]~q\ & (\led_flash_cnt[1548][1]~q\ & VCC))
-- \led_flash_cnt[1548][1]~48553\ = CARRY((\led_flash_cnt[1548][0]~q\ & \led_flash_cnt[1548][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1548][0]~q\,
	datab => \led_flash_cnt[1548][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1548][1]~48552_combout\,
	cout => \led_flash_cnt[1548][1]~48553\);

-- Location: FF_X45_Y10_N19
\led_flash_cnt[1548][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1548][1]~48552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1548][1]~q\);

-- Location: LCCOMB_X45_Y10_N20
\led_flash_cnt[1548][2]~48554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1548][2]~48554_combout\ = (\led_flash_cnt[1548][2]~q\ & (!\led_flash_cnt[1548][1]~48553\)) # (!\led_flash_cnt[1548][2]~q\ & ((\led_flash_cnt[1548][1]~48553\) # (GND)))
-- \led_flash_cnt[1548][2]~48555\ = CARRY((!\led_flash_cnt[1548][1]~48553\) # (!\led_flash_cnt[1548][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1548][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1548][1]~48553\,
	combout => \led_flash_cnt[1548][2]~48554_combout\,
	cout => \led_flash_cnt[1548][2]~48555\);

-- Location: FF_X45_Y10_N21
\led_flash_cnt[1548][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1548][2]~48554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1548][2]~q\);

-- Location: LCCOMB_X45_Y10_N22
\led_flash_cnt[1548][3]~48556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1548][3]~48556_combout\ = (\led_flash_cnt[1548][3]~q\ & (\led_flash_cnt[1548][2]~48555\ $ (GND))) # (!\led_flash_cnt[1548][3]~q\ & (!\led_flash_cnt[1548][2]~48555\ & VCC))
-- \led_flash_cnt[1548][3]~48557\ = CARRY((\led_flash_cnt[1548][3]~q\ & !\led_flash_cnt[1548][2]~48555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1548][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1548][2]~48555\,
	combout => \led_flash_cnt[1548][3]~48556_combout\,
	cout => \led_flash_cnt[1548][3]~48557\);

-- Location: FF_X45_Y10_N23
\led_flash_cnt[1548][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1548][3]~48556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1548][3]~q\);

-- Location: LCCOMB_X45_Y10_N24
\led_flash_cnt[1548][4]~48558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1548][4]~48558_combout\ = (\led_flash_cnt[1548][4]~q\ & (!\led_flash_cnt[1548][3]~48557\)) # (!\led_flash_cnt[1548][4]~q\ & ((\led_flash_cnt[1548][3]~48557\) # (GND)))
-- \led_flash_cnt[1548][4]~48559\ = CARRY((!\led_flash_cnt[1548][3]~48557\) # (!\led_flash_cnt[1548][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1548][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1548][3]~48557\,
	combout => \led_flash_cnt[1548][4]~48558_combout\,
	cout => \led_flash_cnt[1548][4]~48559\);

-- Location: FF_X45_Y10_N25
\led_flash_cnt[1548][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1548][4]~48558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1548][4]~q\);

-- Location: LCCOMB_X45_Y10_N26
\led_flash_cnt[1548][5]~48560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1548][5]~48560_combout\ = (\led_flash_cnt[1548][5]~q\ & (\led_flash_cnt[1548][4]~48559\ $ (GND))) # (!\led_flash_cnt[1548][5]~q\ & (!\led_flash_cnt[1548][4]~48559\ & VCC))
-- \led_flash_cnt[1548][5]~48561\ = CARRY((\led_flash_cnt[1548][5]~q\ & !\led_flash_cnt[1548][4]~48559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1548][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1548][4]~48559\,
	combout => \led_flash_cnt[1548][5]~48560_combout\,
	cout => \led_flash_cnt[1548][5]~48561\);

-- Location: FF_X45_Y10_N27
\led_flash_cnt[1548][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1548][5]~48560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1548][5]~q\);

-- Location: LCCOMB_X45_Y10_N28
\led_flash_cnt[1548][6]~48562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1548][6]~48562_combout\ = (\led_flash_cnt[1548][6]~q\ & (!\led_flash_cnt[1548][5]~48561\)) # (!\led_flash_cnt[1548][6]~q\ & ((\led_flash_cnt[1548][5]~48561\) # (GND)))
-- \led_flash_cnt[1548][6]~48563\ = CARRY((!\led_flash_cnt[1548][5]~48561\) # (!\led_flash_cnt[1548][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1548][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1548][5]~48561\,
	combout => \led_flash_cnt[1548][6]~48562_combout\,
	cout => \led_flash_cnt[1548][6]~48563\);

-- Location: FF_X45_Y10_N29
\led_flash_cnt[1548][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1548][6]~48562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1548][6]~q\);

-- Location: LCCOMB_X45_Y10_N6
\WideAnd1548~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1548~1_combout\ = (\led_flash_cnt[1548][5]~q\ & \led_flash_cnt[1548][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1548][5]~q\,
	datad => \led_flash_cnt[1548][6]~q\,
	combout => \WideAnd1548~1_combout\);

-- Location: LCCOMB_X45_Y10_N16
\WideAnd1548~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1548~0_combout\ = (\led_flash_cnt[1548][1]~q\ & (\led_flash_cnt[1548][2]~q\ & (\led_flash_cnt[1548][3]~q\ & \led_flash_cnt[1548][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1548][1]~q\,
	datab => \led_flash_cnt[1548][2]~q\,
	datac => \led_flash_cnt[1548][3]~q\,
	datad => \led_flash_cnt[1548][4]~q\,
	combout => \WideAnd1548~0_combout\);

-- Location: LCCOMB_X45_Y10_N30
\led_flash_cnt[1548][7]~48564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1548][7]~48564_combout\ = \led_flash_cnt[1548][7]~q\ $ (!\led_flash_cnt[1548][6]~48563\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1548][7]~q\,
	cin => \led_flash_cnt[1548][6]~48563\,
	combout => \led_flash_cnt[1548][7]~48564_combout\);

-- Location: FF_X45_Y10_N31
\led_flash_cnt[1548][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1548][7]~48564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1548][7]~q\);

-- Location: LCCOMB_X45_Y10_N14
WideAnd1548 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1548~combout\ = (\WideAnd1548~1_combout\ & (\WideAnd1548~0_combout\ & (\led_flash_cnt[1548][7]~q\ & \led_flash_cnt[1548][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1548~1_combout\,
	datab => \WideAnd1548~0_combout\,
	datac => \led_flash_cnt[1548][7]~q\,
	datad => \led_flash_cnt[1548][0]~q\,
	combout => \WideAnd1548~combout\);

-- Location: FF_X45_Y10_N15
\led_flash_cnt_ands[1548]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1548~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1548));

-- Location: LCCOMB_X46_Y10_N0
\WideAnd4033~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4033~1_combout\ = (led_flash_cnt_ands(1549) & led_flash_cnt_ands(1548))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1549),
	datad => led_flash_cnt_ands(1548),
	combout => \WideAnd4033~1_combout\);

-- Location: LCCOMB_X50_Y8_N26
\led_flash_cnt[1550][0]~82190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1550][0]~82190_combout\ = !\led_flash_cnt[1550][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1550][0]~q\,
	combout => \led_flash_cnt[1550][0]~82190_combout\);

-- Location: FF_X50_Y8_N27
\led_flash_cnt[1550][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1550][0]~82190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1550][0]~q\);

-- Location: LCCOMB_X50_Y8_N4
\led_flash_cnt[1550][1]~48580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1550][1]~48580_combout\ = (\led_flash_cnt[1550][0]~q\ & (\led_flash_cnt[1550][1]~q\ $ (VCC))) # (!\led_flash_cnt[1550][0]~q\ & (\led_flash_cnt[1550][1]~q\ & VCC))
-- \led_flash_cnt[1550][1]~48581\ = CARRY((\led_flash_cnt[1550][0]~q\ & \led_flash_cnt[1550][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1550][0]~q\,
	datab => \led_flash_cnt[1550][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1550][1]~48580_combout\,
	cout => \led_flash_cnt[1550][1]~48581\);

-- Location: FF_X50_Y8_N5
\led_flash_cnt[1550][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1550][1]~48580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1550][1]~q\);

-- Location: LCCOMB_X50_Y8_N6
\led_flash_cnt[1550][2]~48582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1550][2]~48582_combout\ = (\led_flash_cnt[1550][2]~q\ & (!\led_flash_cnt[1550][1]~48581\)) # (!\led_flash_cnt[1550][2]~q\ & ((\led_flash_cnt[1550][1]~48581\) # (GND)))
-- \led_flash_cnt[1550][2]~48583\ = CARRY((!\led_flash_cnt[1550][1]~48581\) # (!\led_flash_cnt[1550][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1550][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1550][1]~48581\,
	combout => \led_flash_cnt[1550][2]~48582_combout\,
	cout => \led_flash_cnt[1550][2]~48583\);

-- Location: FF_X50_Y8_N7
\led_flash_cnt[1550][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1550][2]~48582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1550][2]~q\);

-- Location: LCCOMB_X50_Y8_N8
\led_flash_cnt[1550][3]~48584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1550][3]~48584_combout\ = (\led_flash_cnt[1550][3]~q\ & (\led_flash_cnt[1550][2]~48583\ $ (GND))) # (!\led_flash_cnt[1550][3]~q\ & (!\led_flash_cnt[1550][2]~48583\ & VCC))
-- \led_flash_cnt[1550][3]~48585\ = CARRY((\led_flash_cnt[1550][3]~q\ & !\led_flash_cnt[1550][2]~48583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1550][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1550][2]~48583\,
	combout => \led_flash_cnt[1550][3]~48584_combout\,
	cout => \led_flash_cnt[1550][3]~48585\);

-- Location: FF_X50_Y8_N9
\led_flash_cnt[1550][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1550][3]~48584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1550][3]~q\);

-- Location: LCCOMB_X50_Y8_N10
\led_flash_cnt[1550][4]~48586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1550][4]~48586_combout\ = (\led_flash_cnt[1550][4]~q\ & (!\led_flash_cnt[1550][3]~48585\)) # (!\led_flash_cnt[1550][4]~q\ & ((\led_flash_cnt[1550][3]~48585\) # (GND)))
-- \led_flash_cnt[1550][4]~48587\ = CARRY((!\led_flash_cnt[1550][3]~48585\) # (!\led_flash_cnt[1550][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1550][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1550][3]~48585\,
	combout => \led_flash_cnt[1550][4]~48586_combout\,
	cout => \led_flash_cnt[1550][4]~48587\);

-- Location: FF_X50_Y8_N11
\led_flash_cnt[1550][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1550][4]~48586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1550][4]~q\);

-- Location: LCCOMB_X50_Y8_N12
\led_flash_cnt[1550][5]~48588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1550][5]~48588_combout\ = (\led_flash_cnt[1550][5]~q\ & (\led_flash_cnt[1550][4]~48587\ $ (GND))) # (!\led_flash_cnt[1550][5]~q\ & (!\led_flash_cnt[1550][4]~48587\ & VCC))
-- \led_flash_cnt[1550][5]~48589\ = CARRY((\led_flash_cnt[1550][5]~q\ & !\led_flash_cnt[1550][4]~48587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1550][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1550][4]~48587\,
	combout => \led_flash_cnt[1550][5]~48588_combout\,
	cout => \led_flash_cnt[1550][5]~48589\);

-- Location: FF_X50_Y8_N13
\led_flash_cnt[1550][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1550][5]~48588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1550][5]~q\);

-- Location: LCCOMB_X50_Y8_N14
\led_flash_cnt[1550][6]~48590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1550][6]~48590_combout\ = (\led_flash_cnt[1550][6]~q\ & (!\led_flash_cnt[1550][5]~48589\)) # (!\led_flash_cnt[1550][6]~q\ & ((\led_flash_cnt[1550][5]~48589\) # (GND)))
-- \led_flash_cnt[1550][6]~48591\ = CARRY((!\led_flash_cnt[1550][5]~48589\) # (!\led_flash_cnt[1550][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1550][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1550][5]~48589\,
	combout => \led_flash_cnt[1550][6]~48590_combout\,
	cout => \led_flash_cnt[1550][6]~48591\);

-- Location: FF_X50_Y8_N15
\led_flash_cnt[1550][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1550][6]~48590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1550][6]~q\);

-- Location: LCCOMB_X50_Y8_N16
\led_flash_cnt[1550][7]~48592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1550][7]~48592_combout\ = \led_flash_cnt[1550][6]~48591\ $ (!\led_flash_cnt[1550][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1550][7]~q\,
	cin => \led_flash_cnt[1550][6]~48591\,
	combout => \led_flash_cnt[1550][7]~48592_combout\);

-- Location: FF_X50_Y8_N17
\led_flash_cnt[1550][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1550][7]~48592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1550][7]~q\);

-- Location: LCCOMB_X50_Y8_N22
\WideAnd1550~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1550~1_combout\ = (\led_flash_cnt[1550][6]~q\ & \led_flash_cnt[1550][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1550][6]~q\,
	datad => \led_flash_cnt[1550][5]~q\,
	combout => \WideAnd1550~1_combout\);

-- Location: LCCOMB_X50_Y8_N18
\WideAnd1550~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1550~0_combout\ = (\led_flash_cnt[1550][4]~q\ & (\led_flash_cnt[1550][1]~q\ & (\led_flash_cnt[1550][3]~q\ & \led_flash_cnt[1550][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1550][4]~q\,
	datab => \led_flash_cnt[1550][1]~q\,
	datac => \led_flash_cnt[1550][3]~q\,
	datad => \led_flash_cnt[1550][2]~q\,
	combout => \WideAnd1550~0_combout\);

-- Location: LCCOMB_X50_Y8_N30
WideAnd1550 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1550~combout\ = (\led_flash_cnt[1550][0]~q\ & (\led_flash_cnt[1550][7]~q\ & (\WideAnd1550~1_combout\ & \WideAnd1550~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1550][0]~q\,
	datab => \led_flash_cnt[1550][7]~q\,
	datac => \WideAnd1550~1_combout\,
	datad => \WideAnd1550~0_combout\,
	combout => \WideAnd1550~combout\);

-- Location: FF_X50_Y8_N31
\led_flash_cnt_ands[1550]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1550~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1550));

-- Location: LCCOMB_X50_Y3_N26
\led_flash_cnt[1551][0]~82191\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1551][0]~82191_combout\ = !\led_flash_cnt[1551][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1551][0]~q\,
	combout => \led_flash_cnt[1551][0]~82191_combout\);

-- Location: FF_X50_Y3_N27
\led_flash_cnt[1551][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1551][0]~82191_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1551][0]~q\);

-- Location: LCCOMB_X50_Y3_N8
\led_flash_cnt[1551][1]~48594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1551][1]~48594_combout\ = (\led_flash_cnt[1551][0]~q\ & (\led_flash_cnt[1551][1]~q\ $ (VCC))) # (!\led_flash_cnt[1551][0]~q\ & (\led_flash_cnt[1551][1]~q\ & VCC))
-- \led_flash_cnt[1551][1]~48595\ = CARRY((\led_flash_cnt[1551][0]~q\ & \led_flash_cnt[1551][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1551][0]~q\,
	datab => \led_flash_cnt[1551][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1551][1]~48594_combout\,
	cout => \led_flash_cnt[1551][1]~48595\);

-- Location: FF_X50_Y3_N9
\led_flash_cnt[1551][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1551][1]~48594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1551][1]~q\);

-- Location: LCCOMB_X50_Y3_N10
\led_flash_cnt[1551][2]~48596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1551][2]~48596_combout\ = (\led_flash_cnt[1551][2]~q\ & (!\led_flash_cnt[1551][1]~48595\)) # (!\led_flash_cnt[1551][2]~q\ & ((\led_flash_cnt[1551][1]~48595\) # (GND)))
-- \led_flash_cnt[1551][2]~48597\ = CARRY((!\led_flash_cnt[1551][1]~48595\) # (!\led_flash_cnt[1551][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1551][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1551][1]~48595\,
	combout => \led_flash_cnt[1551][2]~48596_combout\,
	cout => \led_flash_cnt[1551][2]~48597\);

-- Location: FF_X50_Y3_N11
\led_flash_cnt[1551][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1551][2]~48596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1551][2]~q\);

-- Location: LCCOMB_X50_Y3_N12
\led_flash_cnt[1551][3]~48598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1551][3]~48598_combout\ = (\led_flash_cnt[1551][3]~q\ & (\led_flash_cnt[1551][2]~48597\ $ (GND))) # (!\led_flash_cnt[1551][3]~q\ & (!\led_flash_cnt[1551][2]~48597\ & VCC))
-- \led_flash_cnt[1551][3]~48599\ = CARRY((\led_flash_cnt[1551][3]~q\ & !\led_flash_cnt[1551][2]~48597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1551][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1551][2]~48597\,
	combout => \led_flash_cnt[1551][3]~48598_combout\,
	cout => \led_flash_cnt[1551][3]~48599\);

-- Location: FF_X50_Y3_N13
\led_flash_cnt[1551][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1551][3]~48598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1551][3]~q\);

-- Location: LCCOMB_X50_Y3_N14
\led_flash_cnt[1551][4]~48600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1551][4]~48600_combout\ = (\led_flash_cnt[1551][4]~q\ & (!\led_flash_cnt[1551][3]~48599\)) # (!\led_flash_cnt[1551][4]~q\ & ((\led_flash_cnt[1551][3]~48599\) # (GND)))
-- \led_flash_cnt[1551][4]~48601\ = CARRY((!\led_flash_cnt[1551][3]~48599\) # (!\led_flash_cnt[1551][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1551][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1551][3]~48599\,
	combout => \led_flash_cnt[1551][4]~48600_combout\,
	cout => \led_flash_cnt[1551][4]~48601\);

-- Location: FF_X50_Y3_N15
\led_flash_cnt[1551][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1551][4]~48600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1551][4]~q\);

-- Location: LCCOMB_X50_Y3_N16
\led_flash_cnt[1551][5]~48602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1551][5]~48602_combout\ = (\led_flash_cnt[1551][5]~q\ & (\led_flash_cnt[1551][4]~48601\ $ (GND))) # (!\led_flash_cnt[1551][5]~q\ & (!\led_flash_cnt[1551][4]~48601\ & VCC))
-- \led_flash_cnt[1551][5]~48603\ = CARRY((\led_flash_cnt[1551][5]~q\ & !\led_flash_cnt[1551][4]~48601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1551][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1551][4]~48601\,
	combout => \led_flash_cnt[1551][5]~48602_combout\,
	cout => \led_flash_cnt[1551][5]~48603\);

-- Location: FF_X50_Y3_N17
\led_flash_cnt[1551][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1551][5]~48602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1551][5]~q\);

-- Location: LCCOMB_X50_Y3_N18
\led_flash_cnt[1551][6]~48604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1551][6]~48604_combout\ = (\led_flash_cnt[1551][6]~q\ & (!\led_flash_cnt[1551][5]~48603\)) # (!\led_flash_cnt[1551][6]~q\ & ((\led_flash_cnt[1551][5]~48603\) # (GND)))
-- \led_flash_cnt[1551][6]~48605\ = CARRY((!\led_flash_cnt[1551][5]~48603\) # (!\led_flash_cnt[1551][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1551][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1551][5]~48603\,
	combout => \led_flash_cnt[1551][6]~48604_combout\,
	cout => \led_flash_cnt[1551][6]~48605\);

-- Location: FF_X50_Y3_N19
\led_flash_cnt[1551][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1551][6]~48604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1551][6]~q\);

-- Location: LCCOMB_X50_Y3_N20
\led_flash_cnt[1551][7]~48606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1551][7]~48606_combout\ = \led_flash_cnt[1551][6]~48605\ $ (!\led_flash_cnt[1551][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1551][7]~q\,
	cin => \led_flash_cnt[1551][6]~48605\,
	combout => \led_flash_cnt[1551][7]~48606_combout\);

-- Location: FF_X50_Y3_N21
\led_flash_cnt[1551][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1551][7]~48606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1551][7]~q\);

-- Location: LCCOMB_X50_Y3_N22
\WideAnd1551~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1551~1_combout\ = (\led_flash_cnt[1551][6]~q\ & \led_flash_cnt[1551][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1551][6]~q\,
	datad => \led_flash_cnt[1551][5]~q\,
	combout => \WideAnd1551~1_combout\);

-- Location: LCCOMB_X50_Y3_N24
\WideAnd1551~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1551~0_combout\ = (\led_flash_cnt[1551][3]~q\ & (\led_flash_cnt[1551][4]~q\ & (\led_flash_cnt[1551][1]~q\ & \led_flash_cnt[1551][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1551][3]~q\,
	datab => \led_flash_cnt[1551][4]~q\,
	datac => \led_flash_cnt[1551][1]~q\,
	datad => \led_flash_cnt[1551][2]~q\,
	combout => \WideAnd1551~0_combout\);

-- Location: LCCOMB_X50_Y3_N2
WideAnd1551 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1551~combout\ = (\led_flash_cnt[1551][0]~q\ & (\led_flash_cnt[1551][7]~q\ & (\WideAnd1551~1_combout\ & \WideAnd1551~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1551][0]~q\,
	datab => \led_flash_cnt[1551][7]~q\,
	datac => \WideAnd1551~1_combout\,
	datad => \WideAnd1551~0_combout\,
	combout => \WideAnd1551~combout\);

-- Location: FF_X50_Y3_N3
\led_flash_cnt_ands[1551]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1551~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1551));

-- Location: LCCOMB_X50_Y7_N22
WideAnd4033 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4033~combout\ = (\WideAnd4033~0_combout\ & (\WideAnd4033~1_combout\ & (led_flash_cnt_ands(1550) & led_flash_cnt_ands(1551))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4033~0_combout\,
	datab => \WideAnd4033~1_combout\,
	datac => led_flash_cnt_ands(1550),
	datad => led_flash_cnt_ands(1551),
	combout => \WideAnd4033~combout\);

-- Location: FF_X50_Y7_N23
\led_flash_cnt_ands_1[193]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4033~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(193));

-- Location: LCCOMB_X51_Y7_N24
\led_flash_cnt[1559][0]~82199\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1559][0]~82199_combout\ = !\led_flash_cnt[1559][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1559][0]~q\,
	combout => \led_flash_cnt[1559][0]~82199_combout\);

-- Location: FF_X51_Y7_N25
\led_flash_cnt[1559][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1559][0]~82199_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1559][0]~q\);

-- Location: LCCOMB_X51_Y7_N6
\led_flash_cnt[1559][1]~48706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1559][1]~48706_combout\ = (\led_flash_cnt[1559][1]~q\ & (\led_flash_cnt[1559][0]~q\ $ (VCC))) # (!\led_flash_cnt[1559][1]~q\ & (\led_flash_cnt[1559][0]~q\ & VCC))
-- \led_flash_cnt[1559][1]~48707\ = CARRY((\led_flash_cnt[1559][1]~q\ & \led_flash_cnt[1559][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1559][1]~q\,
	datab => \led_flash_cnt[1559][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1559][1]~48706_combout\,
	cout => \led_flash_cnt[1559][1]~48707\);

-- Location: FF_X51_Y7_N7
\led_flash_cnt[1559][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1559][1]~48706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1559][1]~q\);

-- Location: LCCOMB_X51_Y7_N8
\led_flash_cnt[1559][2]~48708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1559][2]~48708_combout\ = (\led_flash_cnt[1559][2]~q\ & (!\led_flash_cnt[1559][1]~48707\)) # (!\led_flash_cnt[1559][2]~q\ & ((\led_flash_cnt[1559][1]~48707\) # (GND)))
-- \led_flash_cnt[1559][2]~48709\ = CARRY((!\led_flash_cnt[1559][1]~48707\) # (!\led_flash_cnt[1559][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1559][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1559][1]~48707\,
	combout => \led_flash_cnt[1559][2]~48708_combout\,
	cout => \led_flash_cnt[1559][2]~48709\);

-- Location: FF_X51_Y7_N9
\led_flash_cnt[1559][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1559][2]~48708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1559][2]~q\);

-- Location: LCCOMB_X51_Y7_N10
\led_flash_cnt[1559][3]~48710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1559][3]~48710_combout\ = (\led_flash_cnt[1559][3]~q\ & (\led_flash_cnt[1559][2]~48709\ $ (GND))) # (!\led_flash_cnt[1559][3]~q\ & (!\led_flash_cnt[1559][2]~48709\ & VCC))
-- \led_flash_cnt[1559][3]~48711\ = CARRY((\led_flash_cnt[1559][3]~q\ & !\led_flash_cnt[1559][2]~48709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1559][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1559][2]~48709\,
	combout => \led_flash_cnt[1559][3]~48710_combout\,
	cout => \led_flash_cnt[1559][3]~48711\);

-- Location: FF_X51_Y7_N11
\led_flash_cnt[1559][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1559][3]~48710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1559][3]~q\);

-- Location: LCCOMB_X51_Y7_N12
\led_flash_cnt[1559][4]~48712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1559][4]~48712_combout\ = (\led_flash_cnt[1559][4]~q\ & (!\led_flash_cnt[1559][3]~48711\)) # (!\led_flash_cnt[1559][4]~q\ & ((\led_flash_cnt[1559][3]~48711\) # (GND)))
-- \led_flash_cnt[1559][4]~48713\ = CARRY((!\led_flash_cnt[1559][3]~48711\) # (!\led_flash_cnt[1559][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1559][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1559][3]~48711\,
	combout => \led_flash_cnt[1559][4]~48712_combout\,
	cout => \led_flash_cnt[1559][4]~48713\);

-- Location: FF_X51_Y7_N13
\led_flash_cnt[1559][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1559][4]~48712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1559][4]~q\);

-- Location: LCCOMB_X51_Y7_N22
\WideAnd1559~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1559~0_combout\ = (\led_flash_cnt[1559][3]~q\ & (\led_flash_cnt[1559][4]~q\ & (\led_flash_cnt[1559][2]~q\ & \led_flash_cnt[1559][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1559][3]~q\,
	datab => \led_flash_cnt[1559][4]~q\,
	datac => \led_flash_cnt[1559][2]~q\,
	datad => \led_flash_cnt[1559][1]~q\,
	combout => \WideAnd1559~0_combout\);

-- Location: LCCOMB_X51_Y7_N14
\led_flash_cnt[1559][5]~48714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1559][5]~48714_combout\ = (\led_flash_cnt[1559][5]~q\ & (\led_flash_cnt[1559][4]~48713\ $ (GND))) # (!\led_flash_cnt[1559][5]~q\ & (!\led_flash_cnt[1559][4]~48713\ & VCC))
-- \led_flash_cnt[1559][5]~48715\ = CARRY((\led_flash_cnt[1559][5]~q\ & !\led_flash_cnt[1559][4]~48713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1559][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1559][4]~48713\,
	combout => \led_flash_cnt[1559][5]~48714_combout\,
	cout => \led_flash_cnt[1559][5]~48715\);

-- Location: FF_X51_Y7_N15
\led_flash_cnt[1559][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1559][5]~48714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1559][5]~q\);

-- Location: LCCOMB_X51_Y7_N16
\led_flash_cnt[1559][6]~48716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1559][6]~48716_combout\ = (\led_flash_cnt[1559][6]~q\ & (!\led_flash_cnt[1559][5]~48715\)) # (!\led_flash_cnt[1559][6]~q\ & ((\led_flash_cnt[1559][5]~48715\) # (GND)))
-- \led_flash_cnt[1559][6]~48717\ = CARRY((!\led_flash_cnt[1559][5]~48715\) # (!\led_flash_cnt[1559][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1559][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1559][5]~48715\,
	combout => \led_flash_cnt[1559][6]~48716_combout\,
	cout => \led_flash_cnt[1559][6]~48717\);

-- Location: FF_X51_Y7_N17
\led_flash_cnt[1559][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1559][6]~48716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1559][6]~q\);

-- Location: LCCOMB_X51_Y7_N18
\led_flash_cnt[1559][7]~48718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1559][7]~48718_combout\ = \led_flash_cnt[1559][6]~48717\ $ (!\led_flash_cnt[1559][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1559][7]~q\,
	cin => \led_flash_cnt[1559][6]~48717\,
	combout => \led_flash_cnt[1559][7]~48718_combout\);

-- Location: FF_X51_Y7_N19
\led_flash_cnt[1559][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1559][7]~48718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1559][7]~q\);

-- Location: LCCOMB_X51_Y7_N4
\WideAnd1559~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1559~1_combout\ = (\led_flash_cnt[1559][5]~q\ & \led_flash_cnt[1559][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1559][5]~q\,
	datad => \led_flash_cnt[1559][6]~q\,
	combout => \WideAnd1559~1_combout\);

-- Location: LCCOMB_X51_Y7_N26
WideAnd1559 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1559~combout\ = (\WideAnd1559~0_combout\ & (\led_flash_cnt[1559][7]~q\ & (\WideAnd1559~1_combout\ & \led_flash_cnt[1559][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1559~0_combout\,
	datab => \led_flash_cnt[1559][7]~q\,
	datac => \WideAnd1559~1_combout\,
	datad => \led_flash_cnt[1559][0]~q\,
	combout => \WideAnd1559~combout\);

-- Location: FF_X51_Y7_N27
\led_flash_cnt_ands[1559]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1559~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1559));

-- Location: LCCOMB_X54_Y6_N18
\led_flash_cnt[1553][0]~82193\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1553][0]~82193_combout\ = !\led_flash_cnt[1553][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1553][0]~q\,
	combout => \led_flash_cnt[1553][0]~82193_combout\);

-- Location: FF_X54_Y6_N19
\led_flash_cnt[1553][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1553][0]~82193_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1553][0]~q\);

-- Location: LCCOMB_X54_Y6_N0
\led_flash_cnt[1553][1]~48622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1553][1]~48622_combout\ = (\led_flash_cnt[1553][1]~q\ & (\led_flash_cnt[1553][0]~q\ $ (VCC))) # (!\led_flash_cnt[1553][1]~q\ & (\led_flash_cnt[1553][0]~q\ & VCC))
-- \led_flash_cnt[1553][1]~48623\ = CARRY((\led_flash_cnt[1553][1]~q\ & \led_flash_cnt[1553][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1553][1]~q\,
	datab => \led_flash_cnt[1553][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1553][1]~48622_combout\,
	cout => \led_flash_cnt[1553][1]~48623\);

-- Location: FF_X54_Y6_N1
\led_flash_cnt[1553][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1553][1]~48622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1553][1]~q\);

-- Location: LCCOMB_X54_Y6_N2
\led_flash_cnt[1553][2]~48624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1553][2]~48624_combout\ = (\led_flash_cnt[1553][2]~q\ & (!\led_flash_cnt[1553][1]~48623\)) # (!\led_flash_cnt[1553][2]~q\ & ((\led_flash_cnt[1553][1]~48623\) # (GND)))
-- \led_flash_cnt[1553][2]~48625\ = CARRY((!\led_flash_cnt[1553][1]~48623\) # (!\led_flash_cnt[1553][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1553][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1553][1]~48623\,
	combout => \led_flash_cnt[1553][2]~48624_combout\,
	cout => \led_flash_cnt[1553][2]~48625\);

-- Location: FF_X54_Y6_N3
\led_flash_cnt[1553][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1553][2]~48624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1553][2]~q\);

-- Location: LCCOMB_X54_Y6_N4
\led_flash_cnt[1553][3]~48626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1553][3]~48626_combout\ = (\led_flash_cnt[1553][3]~q\ & (\led_flash_cnt[1553][2]~48625\ $ (GND))) # (!\led_flash_cnt[1553][3]~q\ & (!\led_flash_cnt[1553][2]~48625\ & VCC))
-- \led_flash_cnt[1553][3]~48627\ = CARRY((\led_flash_cnt[1553][3]~q\ & !\led_flash_cnt[1553][2]~48625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1553][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1553][2]~48625\,
	combout => \led_flash_cnt[1553][3]~48626_combout\,
	cout => \led_flash_cnt[1553][3]~48627\);

-- Location: FF_X54_Y6_N5
\led_flash_cnt[1553][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1553][3]~48626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1553][3]~q\);

-- Location: LCCOMB_X54_Y6_N6
\led_flash_cnt[1553][4]~48628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1553][4]~48628_combout\ = (\led_flash_cnt[1553][4]~q\ & (!\led_flash_cnt[1553][3]~48627\)) # (!\led_flash_cnt[1553][4]~q\ & ((\led_flash_cnt[1553][3]~48627\) # (GND)))
-- \led_flash_cnt[1553][4]~48629\ = CARRY((!\led_flash_cnt[1553][3]~48627\) # (!\led_flash_cnt[1553][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1553][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1553][3]~48627\,
	combout => \led_flash_cnt[1553][4]~48628_combout\,
	cout => \led_flash_cnt[1553][4]~48629\);

-- Location: FF_X54_Y6_N7
\led_flash_cnt[1553][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1553][4]~48628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1553][4]~q\);

-- Location: LCCOMB_X54_Y6_N8
\led_flash_cnt[1553][5]~48630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1553][5]~48630_combout\ = (\led_flash_cnt[1553][5]~q\ & (\led_flash_cnt[1553][4]~48629\ $ (GND))) # (!\led_flash_cnt[1553][5]~q\ & (!\led_flash_cnt[1553][4]~48629\ & VCC))
-- \led_flash_cnt[1553][5]~48631\ = CARRY((\led_flash_cnt[1553][5]~q\ & !\led_flash_cnt[1553][4]~48629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1553][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1553][4]~48629\,
	combout => \led_flash_cnt[1553][5]~48630_combout\,
	cout => \led_flash_cnt[1553][5]~48631\);

-- Location: FF_X54_Y6_N9
\led_flash_cnt[1553][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1553][5]~48630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1553][5]~q\);

-- Location: LCCOMB_X54_Y6_N10
\led_flash_cnt[1553][6]~48632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1553][6]~48632_combout\ = (\led_flash_cnt[1553][6]~q\ & (!\led_flash_cnt[1553][5]~48631\)) # (!\led_flash_cnt[1553][6]~q\ & ((\led_flash_cnt[1553][5]~48631\) # (GND)))
-- \led_flash_cnt[1553][6]~48633\ = CARRY((!\led_flash_cnt[1553][5]~48631\) # (!\led_flash_cnt[1553][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1553][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1553][5]~48631\,
	combout => \led_flash_cnt[1553][6]~48632_combout\,
	cout => \led_flash_cnt[1553][6]~48633\);

-- Location: FF_X54_Y6_N11
\led_flash_cnt[1553][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1553][6]~48632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1553][6]~q\);

-- Location: LCCOMB_X54_Y6_N12
\led_flash_cnt[1553][7]~48634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1553][7]~48634_combout\ = \led_flash_cnt[1553][6]~48633\ $ (!\led_flash_cnt[1553][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1553][7]~q\,
	cin => \led_flash_cnt[1553][6]~48633\,
	combout => \led_flash_cnt[1553][7]~48634_combout\);

-- Location: FF_X54_Y6_N13
\led_flash_cnt[1553][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1553][7]~48634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1553][7]~q\);

-- Location: LCCOMB_X54_Y6_N24
\WideAnd1553~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1553~0_combout\ = (\led_flash_cnt[1553][4]~q\ & (\led_flash_cnt[1553][1]~q\ & (\led_flash_cnt[1553][3]~q\ & \led_flash_cnt[1553][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1553][4]~q\,
	datab => \led_flash_cnt[1553][1]~q\,
	datac => \led_flash_cnt[1553][3]~q\,
	datad => \led_flash_cnt[1553][2]~q\,
	combout => \WideAnd1553~0_combout\);

-- Location: LCCOMB_X54_Y6_N22
\WideAnd1553~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1553~1_combout\ = (\led_flash_cnt[1553][5]~q\ & \led_flash_cnt[1553][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1553][5]~q\,
	datad => \led_flash_cnt[1553][6]~q\,
	combout => \WideAnd1553~1_combout\);

-- Location: LCCOMB_X54_Y6_N26
WideAnd1553 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1553~combout\ = (\led_flash_cnt[1553][7]~q\ & (\WideAnd1553~0_combout\ & (\WideAnd1553~1_combout\ & \led_flash_cnt[1553][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1553][7]~q\,
	datab => \WideAnd1553~0_combout\,
	datac => \WideAnd1553~1_combout\,
	datad => \led_flash_cnt[1553][0]~q\,
	combout => \WideAnd1553~combout\);

-- Location: FF_X54_Y6_N27
\led_flash_cnt_ands[1553]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1553~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1553));

-- Location: LCCOMB_X57_Y8_N12
\led_flash_cnt[1552][0]~82192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1552][0]~82192_combout\ = !\led_flash_cnt[1552][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1552][0]~q\,
	combout => \led_flash_cnt[1552][0]~82192_combout\);

-- Location: FF_X57_Y8_N13
\led_flash_cnt[1552][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1552][0]~82192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1552][0]~q\);

-- Location: LCCOMB_X57_Y8_N16
\led_flash_cnt[1552][1]~48608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1552][1]~48608_combout\ = (\led_flash_cnt[1552][0]~q\ & (\led_flash_cnt[1552][1]~q\ $ (VCC))) # (!\led_flash_cnt[1552][0]~q\ & (\led_flash_cnt[1552][1]~q\ & VCC))
-- \led_flash_cnt[1552][1]~48609\ = CARRY((\led_flash_cnt[1552][0]~q\ & \led_flash_cnt[1552][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1552][0]~q\,
	datab => \led_flash_cnt[1552][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1552][1]~48608_combout\,
	cout => \led_flash_cnt[1552][1]~48609\);

-- Location: FF_X57_Y8_N17
\led_flash_cnt[1552][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1552][1]~48608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1552][1]~q\);

-- Location: LCCOMB_X57_Y8_N18
\led_flash_cnt[1552][2]~48610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1552][2]~48610_combout\ = (\led_flash_cnt[1552][2]~q\ & (!\led_flash_cnt[1552][1]~48609\)) # (!\led_flash_cnt[1552][2]~q\ & ((\led_flash_cnt[1552][1]~48609\) # (GND)))
-- \led_flash_cnt[1552][2]~48611\ = CARRY((!\led_flash_cnt[1552][1]~48609\) # (!\led_flash_cnt[1552][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1552][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1552][1]~48609\,
	combout => \led_flash_cnt[1552][2]~48610_combout\,
	cout => \led_flash_cnt[1552][2]~48611\);

-- Location: FF_X57_Y8_N19
\led_flash_cnt[1552][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1552][2]~48610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1552][2]~q\);

-- Location: LCCOMB_X57_Y8_N20
\led_flash_cnt[1552][3]~48612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1552][3]~48612_combout\ = (\led_flash_cnt[1552][3]~q\ & (\led_flash_cnt[1552][2]~48611\ $ (GND))) # (!\led_flash_cnt[1552][3]~q\ & (!\led_flash_cnt[1552][2]~48611\ & VCC))
-- \led_flash_cnt[1552][3]~48613\ = CARRY((\led_flash_cnt[1552][3]~q\ & !\led_flash_cnt[1552][2]~48611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1552][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1552][2]~48611\,
	combout => \led_flash_cnt[1552][3]~48612_combout\,
	cout => \led_flash_cnt[1552][3]~48613\);

-- Location: FF_X57_Y8_N21
\led_flash_cnt[1552][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1552][3]~48612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1552][3]~q\);

-- Location: LCCOMB_X57_Y8_N22
\led_flash_cnt[1552][4]~48614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1552][4]~48614_combout\ = (\led_flash_cnt[1552][4]~q\ & (!\led_flash_cnt[1552][3]~48613\)) # (!\led_flash_cnt[1552][4]~q\ & ((\led_flash_cnt[1552][3]~48613\) # (GND)))
-- \led_flash_cnt[1552][4]~48615\ = CARRY((!\led_flash_cnt[1552][3]~48613\) # (!\led_flash_cnt[1552][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1552][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1552][3]~48613\,
	combout => \led_flash_cnt[1552][4]~48614_combout\,
	cout => \led_flash_cnt[1552][4]~48615\);

-- Location: FF_X57_Y8_N23
\led_flash_cnt[1552][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1552][4]~48614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1552][4]~q\);

-- Location: LCCOMB_X57_Y8_N24
\led_flash_cnt[1552][5]~48616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1552][5]~48616_combout\ = (\led_flash_cnt[1552][5]~q\ & (\led_flash_cnt[1552][4]~48615\ $ (GND))) # (!\led_flash_cnt[1552][5]~q\ & (!\led_flash_cnt[1552][4]~48615\ & VCC))
-- \led_flash_cnt[1552][5]~48617\ = CARRY((\led_flash_cnt[1552][5]~q\ & !\led_flash_cnt[1552][4]~48615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1552][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1552][4]~48615\,
	combout => \led_flash_cnt[1552][5]~48616_combout\,
	cout => \led_flash_cnt[1552][5]~48617\);

-- Location: FF_X57_Y8_N25
\led_flash_cnt[1552][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1552][5]~48616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1552][5]~q\);

-- Location: LCCOMB_X57_Y8_N26
\led_flash_cnt[1552][6]~48618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1552][6]~48618_combout\ = (\led_flash_cnt[1552][6]~q\ & (!\led_flash_cnt[1552][5]~48617\)) # (!\led_flash_cnt[1552][6]~q\ & ((\led_flash_cnt[1552][5]~48617\) # (GND)))
-- \led_flash_cnt[1552][6]~48619\ = CARRY((!\led_flash_cnt[1552][5]~48617\) # (!\led_flash_cnt[1552][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1552][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1552][5]~48617\,
	combout => \led_flash_cnt[1552][6]~48618_combout\,
	cout => \led_flash_cnt[1552][6]~48619\);

-- Location: FF_X57_Y8_N27
\led_flash_cnt[1552][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1552][6]~48618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1552][6]~q\);

-- Location: LCCOMB_X57_Y8_N28
\led_flash_cnt[1552][7]~48620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1552][7]~48620_combout\ = \led_flash_cnt[1552][6]~48619\ $ (!\led_flash_cnt[1552][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1552][7]~q\,
	cin => \led_flash_cnt[1552][6]~48619\,
	combout => \led_flash_cnt[1552][7]~48620_combout\);

-- Location: FF_X57_Y8_N29
\led_flash_cnt[1552][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1552][7]~48620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1552][7]~q\);

-- Location: LCCOMB_X57_Y8_N8
\WideAnd1552~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1552~1_combout\ = (\led_flash_cnt[1552][6]~q\ & \led_flash_cnt[1552][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1552][6]~q\,
	datad => \led_flash_cnt[1552][5]~q\,
	combout => \WideAnd1552~1_combout\);

-- Location: LCCOMB_X57_Y8_N2
\WideAnd1552~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1552~0_combout\ = (\led_flash_cnt[1552][3]~q\ & (\led_flash_cnt[1552][2]~q\ & (\led_flash_cnt[1552][4]~q\ & \led_flash_cnt[1552][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1552][3]~q\,
	datab => \led_flash_cnt[1552][2]~q\,
	datac => \led_flash_cnt[1552][4]~q\,
	datad => \led_flash_cnt[1552][1]~q\,
	combout => \WideAnd1552~0_combout\);

-- Location: LCCOMB_X57_Y8_N4
WideAnd1552 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1552~combout\ = (\led_flash_cnt[1552][0]~q\ & (\led_flash_cnt[1552][7]~q\ & (\WideAnd1552~1_combout\ & \WideAnd1552~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1552][0]~q\,
	datab => \led_flash_cnt[1552][7]~q\,
	datac => \WideAnd1552~1_combout\,
	datad => \WideAnd1552~0_combout\,
	combout => \WideAnd1552~combout\);

-- Location: FF_X57_Y8_N5
\led_flash_cnt_ands[1552]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1552~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1552));

-- Location: LCCOMB_X43_Y6_N22
\led_flash_cnt[1555][0]~82195\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1555][0]~82195_combout\ = !\led_flash_cnt[1555][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1555][0]~q\,
	combout => \led_flash_cnt[1555][0]~82195_combout\);

-- Location: FF_X43_Y6_N23
\led_flash_cnt[1555][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1555][0]~82195_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1555][0]~q\);

-- Location: LCCOMB_X43_Y6_N4
\led_flash_cnt[1555][1]~48650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1555][1]~48650_combout\ = (\led_flash_cnt[1555][0]~q\ & (\led_flash_cnt[1555][1]~q\ $ (VCC))) # (!\led_flash_cnt[1555][0]~q\ & (\led_flash_cnt[1555][1]~q\ & VCC))
-- \led_flash_cnt[1555][1]~48651\ = CARRY((\led_flash_cnt[1555][0]~q\ & \led_flash_cnt[1555][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1555][0]~q\,
	datab => \led_flash_cnt[1555][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1555][1]~48650_combout\,
	cout => \led_flash_cnt[1555][1]~48651\);

-- Location: FF_X43_Y6_N5
\led_flash_cnt[1555][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1555][1]~48650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1555][1]~q\);

-- Location: LCCOMB_X43_Y6_N6
\led_flash_cnt[1555][2]~48652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1555][2]~48652_combout\ = (\led_flash_cnt[1555][2]~q\ & (!\led_flash_cnt[1555][1]~48651\)) # (!\led_flash_cnt[1555][2]~q\ & ((\led_flash_cnt[1555][1]~48651\) # (GND)))
-- \led_flash_cnt[1555][2]~48653\ = CARRY((!\led_flash_cnt[1555][1]~48651\) # (!\led_flash_cnt[1555][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1555][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1555][1]~48651\,
	combout => \led_flash_cnt[1555][2]~48652_combout\,
	cout => \led_flash_cnt[1555][2]~48653\);

-- Location: FF_X43_Y6_N7
\led_flash_cnt[1555][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1555][2]~48652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1555][2]~q\);

-- Location: LCCOMB_X43_Y6_N8
\led_flash_cnt[1555][3]~48654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1555][3]~48654_combout\ = (\led_flash_cnt[1555][3]~q\ & (\led_flash_cnt[1555][2]~48653\ $ (GND))) # (!\led_flash_cnt[1555][3]~q\ & (!\led_flash_cnt[1555][2]~48653\ & VCC))
-- \led_flash_cnt[1555][3]~48655\ = CARRY((\led_flash_cnt[1555][3]~q\ & !\led_flash_cnt[1555][2]~48653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1555][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1555][2]~48653\,
	combout => \led_flash_cnt[1555][3]~48654_combout\,
	cout => \led_flash_cnt[1555][3]~48655\);

-- Location: FF_X43_Y6_N9
\led_flash_cnt[1555][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1555][3]~48654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1555][3]~q\);

-- Location: LCCOMB_X43_Y6_N10
\led_flash_cnt[1555][4]~48656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1555][4]~48656_combout\ = (\led_flash_cnt[1555][4]~q\ & (!\led_flash_cnt[1555][3]~48655\)) # (!\led_flash_cnt[1555][4]~q\ & ((\led_flash_cnt[1555][3]~48655\) # (GND)))
-- \led_flash_cnt[1555][4]~48657\ = CARRY((!\led_flash_cnt[1555][3]~48655\) # (!\led_flash_cnt[1555][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1555][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1555][3]~48655\,
	combout => \led_flash_cnt[1555][4]~48656_combout\,
	cout => \led_flash_cnt[1555][4]~48657\);

-- Location: FF_X43_Y6_N11
\led_flash_cnt[1555][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1555][4]~48656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1555][4]~q\);

-- Location: LCCOMB_X43_Y6_N12
\led_flash_cnt[1555][5]~48658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1555][5]~48658_combout\ = (\led_flash_cnt[1555][5]~q\ & (\led_flash_cnt[1555][4]~48657\ $ (GND))) # (!\led_flash_cnt[1555][5]~q\ & (!\led_flash_cnt[1555][4]~48657\ & VCC))
-- \led_flash_cnt[1555][5]~48659\ = CARRY((\led_flash_cnt[1555][5]~q\ & !\led_flash_cnt[1555][4]~48657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1555][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1555][4]~48657\,
	combout => \led_flash_cnt[1555][5]~48658_combout\,
	cout => \led_flash_cnt[1555][5]~48659\);

-- Location: FF_X43_Y6_N13
\led_flash_cnt[1555][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1555][5]~48658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1555][5]~q\);

-- Location: LCCOMB_X43_Y6_N14
\led_flash_cnt[1555][6]~48660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1555][6]~48660_combout\ = (\led_flash_cnt[1555][6]~q\ & (!\led_flash_cnt[1555][5]~48659\)) # (!\led_flash_cnt[1555][6]~q\ & ((\led_flash_cnt[1555][5]~48659\) # (GND)))
-- \led_flash_cnt[1555][6]~48661\ = CARRY((!\led_flash_cnt[1555][5]~48659\) # (!\led_flash_cnt[1555][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1555][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1555][5]~48659\,
	combout => \led_flash_cnt[1555][6]~48660_combout\,
	cout => \led_flash_cnt[1555][6]~48661\);

-- Location: FF_X43_Y6_N15
\led_flash_cnt[1555][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1555][6]~48660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1555][6]~q\);

-- Location: LCCOMB_X43_Y6_N16
\led_flash_cnt[1555][7]~48662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1555][7]~48662_combout\ = \led_flash_cnt[1555][6]~48661\ $ (!\led_flash_cnt[1555][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1555][7]~q\,
	cin => \led_flash_cnt[1555][6]~48661\,
	combout => \led_flash_cnt[1555][7]~48662_combout\);

-- Location: FF_X43_Y6_N17
\led_flash_cnt[1555][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1555][7]~48662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1555][7]~q\);

-- Location: LCCOMB_X43_Y6_N26
\WideAnd1555~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1555~1_combout\ = (\led_flash_cnt[1555][6]~q\ & \led_flash_cnt[1555][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1555][6]~q\,
	datad => \led_flash_cnt[1555][5]~q\,
	combout => \WideAnd1555~1_combout\);

-- Location: LCCOMB_X43_Y6_N28
\WideAnd1555~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1555~0_combout\ = (\led_flash_cnt[1555][4]~q\ & (\led_flash_cnt[1555][3]~q\ & (\led_flash_cnt[1555][1]~q\ & \led_flash_cnt[1555][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1555][4]~q\,
	datab => \led_flash_cnt[1555][3]~q\,
	datac => \led_flash_cnt[1555][1]~q\,
	datad => \led_flash_cnt[1555][2]~q\,
	combout => \WideAnd1555~0_combout\);

-- Location: LCCOMB_X43_Y6_N30
WideAnd1555 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1555~combout\ = (\led_flash_cnt[1555][0]~q\ & (\led_flash_cnt[1555][7]~q\ & (\WideAnd1555~1_combout\ & \WideAnd1555~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1555][0]~q\,
	datab => \led_flash_cnt[1555][7]~q\,
	datac => \WideAnd1555~1_combout\,
	datad => \WideAnd1555~0_combout\,
	combout => \WideAnd1555~combout\);

-- Location: FF_X43_Y6_N31
\led_flash_cnt_ands[1555]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1555~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1555));

-- Location: LCCOMB_X51_Y6_N26
\led_flash_cnt[1554][0]~82194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1554][0]~82194_combout\ = !\led_flash_cnt[1554][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1554][0]~q\,
	combout => \led_flash_cnt[1554][0]~82194_combout\);

-- Location: FF_X51_Y6_N27
\led_flash_cnt[1554][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1554][0]~82194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1554][0]~q\);

-- Location: LCCOMB_X51_Y6_N4
\led_flash_cnt[1554][1]~48636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1554][1]~48636_combout\ = (\led_flash_cnt[1554][0]~q\ & (\led_flash_cnt[1554][1]~q\ $ (VCC))) # (!\led_flash_cnt[1554][0]~q\ & (\led_flash_cnt[1554][1]~q\ & VCC))
-- \led_flash_cnt[1554][1]~48637\ = CARRY((\led_flash_cnt[1554][0]~q\ & \led_flash_cnt[1554][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1554][0]~q\,
	datab => \led_flash_cnt[1554][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1554][1]~48636_combout\,
	cout => \led_flash_cnt[1554][1]~48637\);

-- Location: FF_X51_Y6_N5
\led_flash_cnt[1554][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1554][1]~48636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1554][1]~q\);

-- Location: LCCOMB_X51_Y6_N6
\led_flash_cnt[1554][2]~48638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1554][2]~48638_combout\ = (\led_flash_cnt[1554][2]~q\ & (!\led_flash_cnt[1554][1]~48637\)) # (!\led_flash_cnt[1554][2]~q\ & ((\led_flash_cnt[1554][1]~48637\) # (GND)))
-- \led_flash_cnt[1554][2]~48639\ = CARRY((!\led_flash_cnt[1554][1]~48637\) # (!\led_flash_cnt[1554][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1554][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1554][1]~48637\,
	combout => \led_flash_cnt[1554][2]~48638_combout\,
	cout => \led_flash_cnt[1554][2]~48639\);

-- Location: FF_X51_Y6_N7
\led_flash_cnt[1554][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1554][2]~48638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1554][2]~q\);

-- Location: LCCOMB_X51_Y6_N8
\led_flash_cnt[1554][3]~48640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1554][3]~48640_combout\ = (\led_flash_cnt[1554][3]~q\ & (\led_flash_cnt[1554][2]~48639\ $ (GND))) # (!\led_flash_cnt[1554][3]~q\ & (!\led_flash_cnt[1554][2]~48639\ & VCC))
-- \led_flash_cnt[1554][3]~48641\ = CARRY((\led_flash_cnt[1554][3]~q\ & !\led_flash_cnt[1554][2]~48639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1554][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1554][2]~48639\,
	combout => \led_flash_cnt[1554][3]~48640_combout\,
	cout => \led_flash_cnt[1554][3]~48641\);

-- Location: FF_X51_Y6_N9
\led_flash_cnt[1554][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1554][3]~48640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1554][3]~q\);

-- Location: LCCOMB_X51_Y6_N10
\led_flash_cnt[1554][4]~48642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1554][4]~48642_combout\ = (\led_flash_cnt[1554][4]~q\ & (!\led_flash_cnt[1554][3]~48641\)) # (!\led_flash_cnt[1554][4]~q\ & ((\led_flash_cnt[1554][3]~48641\) # (GND)))
-- \led_flash_cnt[1554][4]~48643\ = CARRY((!\led_flash_cnt[1554][3]~48641\) # (!\led_flash_cnt[1554][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1554][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1554][3]~48641\,
	combout => \led_flash_cnt[1554][4]~48642_combout\,
	cout => \led_flash_cnt[1554][4]~48643\);

-- Location: FF_X51_Y6_N11
\led_flash_cnt[1554][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1554][4]~48642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1554][4]~q\);

-- Location: LCCOMB_X51_Y6_N12
\led_flash_cnt[1554][5]~48644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1554][5]~48644_combout\ = (\led_flash_cnt[1554][5]~q\ & (\led_flash_cnt[1554][4]~48643\ $ (GND))) # (!\led_flash_cnt[1554][5]~q\ & (!\led_flash_cnt[1554][4]~48643\ & VCC))
-- \led_flash_cnt[1554][5]~48645\ = CARRY((\led_flash_cnt[1554][5]~q\ & !\led_flash_cnt[1554][4]~48643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1554][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1554][4]~48643\,
	combout => \led_flash_cnt[1554][5]~48644_combout\,
	cout => \led_flash_cnt[1554][5]~48645\);

-- Location: FF_X51_Y6_N13
\led_flash_cnt[1554][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1554][5]~48644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1554][5]~q\);

-- Location: LCCOMB_X51_Y6_N14
\led_flash_cnt[1554][6]~48646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1554][6]~48646_combout\ = (\led_flash_cnt[1554][6]~q\ & (!\led_flash_cnt[1554][5]~48645\)) # (!\led_flash_cnt[1554][6]~q\ & ((\led_flash_cnt[1554][5]~48645\) # (GND)))
-- \led_flash_cnt[1554][6]~48647\ = CARRY((!\led_flash_cnt[1554][5]~48645\) # (!\led_flash_cnt[1554][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1554][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1554][5]~48645\,
	combout => \led_flash_cnt[1554][6]~48646_combout\,
	cout => \led_flash_cnt[1554][6]~48647\);

-- Location: FF_X51_Y6_N15
\led_flash_cnt[1554][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1554][6]~48646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1554][6]~q\);

-- Location: LCCOMB_X51_Y6_N16
\led_flash_cnt[1554][7]~48648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1554][7]~48648_combout\ = \led_flash_cnt[1554][6]~48647\ $ (!\led_flash_cnt[1554][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1554][7]~q\,
	cin => \led_flash_cnt[1554][6]~48647\,
	combout => \led_flash_cnt[1554][7]~48648_combout\);

-- Location: FF_X51_Y6_N17
\led_flash_cnt[1554][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1554][7]~48648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1554][7]~q\);

-- Location: LCCOMB_X51_Y6_N22
\WideAnd1554~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1554~1_combout\ = (\led_flash_cnt[1554][6]~q\ & \led_flash_cnt[1554][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1554][6]~q\,
	datad => \led_flash_cnt[1554][5]~q\,
	combout => \WideAnd1554~1_combout\);

-- Location: LCCOMB_X51_Y6_N18
\WideAnd1554~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1554~0_combout\ = (\led_flash_cnt[1554][4]~q\ & (\led_flash_cnt[1554][1]~q\ & (\led_flash_cnt[1554][3]~q\ & \led_flash_cnt[1554][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1554][4]~q\,
	datab => \led_flash_cnt[1554][1]~q\,
	datac => \led_flash_cnt[1554][3]~q\,
	datad => \led_flash_cnt[1554][2]~q\,
	combout => \WideAnd1554~0_combout\);

-- Location: LCCOMB_X51_Y6_N24
WideAnd1554 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1554~combout\ = (\led_flash_cnt[1554][0]~q\ & (\led_flash_cnt[1554][7]~q\ & (\WideAnd1554~1_combout\ & \WideAnd1554~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1554][0]~q\,
	datab => \led_flash_cnt[1554][7]~q\,
	datac => \WideAnd1554~1_combout\,
	datad => \WideAnd1554~0_combout\,
	combout => \WideAnd1554~combout\);

-- Location: FF_X51_Y6_N25
\led_flash_cnt_ands[1554]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1554~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1554));

-- Location: LCCOMB_X51_Y6_N0
\WideAnd4034~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4034~0_combout\ = (led_flash_cnt_ands(1553) & (led_flash_cnt_ands(1552) & (led_flash_cnt_ands(1555) & led_flash_cnt_ands(1554))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1553),
	datab => led_flash_cnt_ands(1552),
	datac => led_flash_cnt_ands(1555),
	datad => led_flash_cnt_ands(1554),
	combout => \WideAnd4034~0_combout\);

-- Location: LCCOMB_X52_Y7_N12
\led_flash_cnt[1558][0]~82198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1558][0]~82198_combout\ = !\led_flash_cnt[1558][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1558][0]~q\,
	combout => \led_flash_cnt[1558][0]~82198_combout\);

-- Location: FF_X52_Y7_N13
\led_flash_cnt[1558][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1558][0]~82198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1558][0]~q\);

-- Location: LCCOMB_X52_Y7_N18
\led_flash_cnt[1558][1]~48692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1558][1]~48692_combout\ = (\led_flash_cnt[1558][0]~q\ & (\led_flash_cnt[1558][1]~q\ $ (VCC))) # (!\led_flash_cnt[1558][0]~q\ & (\led_flash_cnt[1558][1]~q\ & VCC))
-- \led_flash_cnt[1558][1]~48693\ = CARRY((\led_flash_cnt[1558][0]~q\ & \led_flash_cnt[1558][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1558][0]~q\,
	datab => \led_flash_cnt[1558][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1558][1]~48692_combout\,
	cout => \led_flash_cnt[1558][1]~48693\);

-- Location: FF_X52_Y7_N19
\led_flash_cnt[1558][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1558][1]~48692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1558][1]~q\);

-- Location: LCCOMB_X52_Y7_N20
\led_flash_cnt[1558][2]~48694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1558][2]~48694_combout\ = (\led_flash_cnt[1558][2]~q\ & (!\led_flash_cnt[1558][1]~48693\)) # (!\led_flash_cnt[1558][2]~q\ & ((\led_flash_cnt[1558][1]~48693\) # (GND)))
-- \led_flash_cnt[1558][2]~48695\ = CARRY((!\led_flash_cnt[1558][1]~48693\) # (!\led_flash_cnt[1558][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1558][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1558][1]~48693\,
	combout => \led_flash_cnt[1558][2]~48694_combout\,
	cout => \led_flash_cnt[1558][2]~48695\);

-- Location: FF_X52_Y7_N21
\led_flash_cnt[1558][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1558][2]~48694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1558][2]~q\);

-- Location: LCCOMB_X52_Y7_N22
\led_flash_cnt[1558][3]~48696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1558][3]~48696_combout\ = (\led_flash_cnt[1558][3]~q\ & (\led_flash_cnt[1558][2]~48695\ $ (GND))) # (!\led_flash_cnt[1558][3]~q\ & (!\led_flash_cnt[1558][2]~48695\ & VCC))
-- \led_flash_cnt[1558][3]~48697\ = CARRY((\led_flash_cnt[1558][3]~q\ & !\led_flash_cnt[1558][2]~48695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1558][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1558][2]~48695\,
	combout => \led_flash_cnt[1558][3]~48696_combout\,
	cout => \led_flash_cnt[1558][3]~48697\);

-- Location: FF_X52_Y7_N23
\led_flash_cnt[1558][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1558][3]~48696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1558][3]~q\);

-- Location: LCCOMB_X52_Y7_N24
\led_flash_cnt[1558][4]~48698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1558][4]~48698_combout\ = (\led_flash_cnt[1558][4]~q\ & (!\led_flash_cnt[1558][3]~48697\)) # (!\led_flash_cnt[1558][4]~q\ & ((\led_flash_cnt[1558][3]~48697\) # (GND)))
-- \led_flash_cnt[1558][4]~48699\ = CARRY((!\led_flash_cnt[1558][3]~48697\) # (!\led_flash_cnt[1558][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1558][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1558][3]~48697\,
	combout => \led_flash_cnt[1558][4]~48698_combout\,
	cout => \led_flash_cnt[1558][4]~48699\);

-- Location: FF_X52_Y7_N25
\led_flash_cnt[1558][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1558][4]~48698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1558][4]~q\);

-- Location: LCCOMB_X52_Y7_N26
\led_flash_cnt[1558][5]~48700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1558][5]~48700_combout\ = (\led_flash_cnt[1558][5]~q\ & (\led_flash_cnt[1558][4]~48699\ $ (GND))) # (!\led_flash_cnt[1558][5]~q\ & (!\led_flash_cnt[1558][4]~48699\ & VCC))
-- \led_flash_cnt[1558][5]~48701\ = CARRY((\led_flash_cnt[1558][5]~q\ & !\led_flash_cnt[1558][4]~48699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1558][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1558][4]~48699\,
	combout => \led_flash_cnt[1558][5]~48700_combout\,
	cout => \led_flash_cnt[1558][5]~48701\);

-- Location: FF_X52_Y7_N27
\led_flash_cnt[1558][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1558][5]~48700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1558][5]~q\);

-- Location: LCCOMB_X52_Y7_N28
\led_flash_cnt[1558][6]~48702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1558][6]~48702_combout\ = (\led_flash_cnt[1558][6]~q\ & (!\led_flash_cnt[1558][5]~48701\)) # (!\led_flash_cnt[1558][6]~q\ & ((\led_flash_cnt[1558][5]~48701\) # (GND)))
-- \led_flash_cnt[1558][6]~48703\ = CARRY((!\led_flash_cnt[1558][5]~48701\) # (!\led_flash_cnt[1558][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1558][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1558][5]~48701\,
	combout => \led_flash_cnt[1558][6]~48702_combout\,
	cout => \led_flash_cnt[1558][6]~48703\);

-- Location: FF_X52_Y7_N29
\led_flash_cnt[1558][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1558][6]~48702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1558][6]~q\);

-- Location: LCCOMB_X52_Y7_N10
\WideAnd1558~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1558~1_combout\ = (\led_flash_cnt[1558][5]~q\ & \led_flash_cnt[1558][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1558][5]~q\,
	datad => \led_flash_cnt[1558][6]~q\,
	combout => \WideAnd1558~1_combout\);

-- Location: LCCOMB_X52_Y7_N4
\WideAnd1558~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1558~0_combout\ = (\led_flash_cnt[1558][4]~q\ & (\led_flash_cnt[1558][2]~q\ & (\led_flash_cnt[1558][3]~q\ & \led_flash_cnt[1558][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1558][4]~q\,
	datab => \led_flash_cnt[1558][2]~q\,
	datac => \led_flash_cnt[1558][3]~q\,
	datad => \led_flash_cnt[1558][1]~q\,
	combout => \WideAnd1558~0_combout\);

-- Location: LCCOMB_X52_Y7_N30
\led_flash_cnt[1558][7]~48704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1558][7]~48704_combout\ = \led_flash_cnt[1558][7]~q\ $ (!\led_flash_cnt[1558][6]~48703\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1558][7]~q\,
	cin => \led_flash_cnt[1558][6]~48703\,
	combout => \led_flash_cnt[1558][7]~48704_combout\);

-- Location: FF_X52_Y7_N31
\led_flash_cnt[1558][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1558][7]~48704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1558][7]~q\);

-- Location: LCCOMB_X52_Y7_N8
WideAnd1558 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1558~combout\ = (\WideAnd1558~1_combout\ & (\WideAnd1558~0_combout\ & (\led_flash_cnt[1558][7]~q\ & \led_flash_cnt[1558][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1558~1_combout\,
	datab => \WideAnd1558~0_combout\,
	datac => \led_flash_cnt[1558][7]~q\,
	datad => \led_flash_cnt[1558][0]~q\,
	combout => \WideAnd1558~combout\);

-- Location: FF_X52_Y7_N9
\led_flash_cnt_ands[1558]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1558~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1558));

-- Location: LCCOMB_X50_Y5_N28
\led_flash_cnt[1557][0]~82197\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1557][0]~82197_combout\ = !\led_flash_cnt[1557][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1557][0]~q\,
	combout => \led_flash_cnt[1557][0]~82197_combout\);

-- Location: FF_X50_Y5_N29
\led_flash_cnt[1557][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1557][0]~82197_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1557][0]~q\);

-- Location: LCCOMB_X51_Y5_N2
\led_flash_cnt[1557][1]~48678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1557][1]~48678_combout\ = (\led_flash_cnt[1557][0]~q\ & (\led_flash_cnt[1557][1]~q\ $ (VCC))) # (!\led_flash_cnt[1557][0]~q\ & (\led_flash_cnt[1557][1]~q\ & VCC))
-- \led_flash_cnt[1557][1]~48679\ = CARRY((\led_flash_cnt[1557][0]~q\ & \led_flash_cnt[1557][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1557][0]~q\,
	datab => \led_flash_cnt[1557][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1557][1]~48678_combout\,
	cout => \led_flash_cnt[1557][1]~48679\);

-- Location: FF_X51_Y5_N3
\led_flash_cnt[1557][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1557][1]~48678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1557][1]~q\);

-- Location: LCCOMB_X51_Y5_N4
\led_flash_cnt[1557][2]~48680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1557][2]~48680_combout\ = (\led_flash_cnt[1557][2]~q\ & (!\led_flash_cnt[1557][1]~48679\)) # (!\led_flash_cnt[1557][2]~q\ & ((\led_flash_cnt[1557][1]~48679\) # (GND)))
-- \led_flash_cnt[1557][2]~48681\ = CARRY((!\led_flash_cnt[1557][1]~48679\) # (!\led_flash_cnt[1557][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1557][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1557][1]~48679\,
	combout => \led_flash_cnt[1557][2]~48680_combout\,
	cout => \led_flash_cnt[1557][2]~48681\);

-- Location: FF_X51_Y5_N5
\led_flash_cnt[1557][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1557][2]~48680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1557][2]~q\);

-- Location: LCCOMB_X51_Y5_N6
\led_flash_cnt[1557][3]~48682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1557][3]~48682_combout\ = (\led_flash_cnt[1557][3]~q\ & (\led_flash_cnt[1557][2]~48681\ $ (GND))) # (!\led_flash_cnt[1557][3]~q\ & (!\led_flash_cnt[1557][2]~48681\ & VCC))
-- \led_flash_cnt[1557][3]~48683\ = CARRY((\led_flash_cnt[1557][3]~q\ & !\led_flash_cnt[1557][2]~48681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1557][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1557][2]~48681\,
	combout => \led_flash_cnt[1557][3]~48682_combout\,
	cout => \led_flash_cnt[1557][3]~48683\);

-- Location: FF_X51_Y5_N7
\led_flash_cnt[1557][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1557][3]~48682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1557][3]~q\);

-- Location: LCCOMB_X51_Y5_N8
\led_flash_cnt[1557][4]~48684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1557][4]~48684_combout\ = (\led_flash_cnt[1557][4]~q\ & (!\led_flash_cnt[1557][3]~48683\)) # (!\led_flash_cnt[1557][4]~q\ & ((\led_flash_cnt[1557][3]~48683\) # (GND)))
-- \led_flash_cnt[1557][4]~48685\ = CARRY((!\led_flash_cnt[1557][3]~48683\) # (!\led_flash_cnt[1557][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1557][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1557][3]~48683\,
	combout => \led_flash_cnt[1557][4]~48684_combout\,
	cout => \led_flash_cnt[1557][4]~48685\);

-- Location: FF_X51_Y5_N9
\led_flash_cnt[1557][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1557][4]~48684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1557][4]~q\);

-- Location: LCCOMB_X51_Y5_N10
\led_flash_cnt[1557][5]~48686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1557][5]~48686_combout\ = (\led_flash_cnt[1557][5]~q\ & (\led_flash_cnt[1557][4]~48685\ $ (GND))) # (!\led_flash_cnt[1557][5]~q\ & (!\led_flash_cnt[1557][4]~48685\ & VCC))
-- \led_flash_cnt[1557][5]~48687\ = CARRY((\led_flash_cnt[1557][5]~q\ & !\led_flash_cnt[1557][4]~48685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1557][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1557][4]~48685\,
	combout => \led_flash_cnt[1557][5]~48686_combout\,
	cout => \led_flash_cnt[1557][5]~48687\);

-- Location: FF_X51_Y5_N11
\led_flash_cnt[1557][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1557][5]~48686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1557][5]~q\);

-- Location: LCCOMB_X51_Y5_N12
\led_flash_cnt[1557][6]~48688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1557][6]~48688_combout\ = (\led_flash_cnt[1557][6]~q\ & (!\led_flash_cnt[1557][5]~48687\)) # (!\led_flash_cnt[1557][6]~q\ & ((\led_flash_cnt[1557][5]~48687\) # (GND)))
-- \led_flash_cnt[1557][6]~48689\ = CARRY((!\led_flash_cnt[1557][5]~48687\) # (!\led_flash_cnt[1557][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1557][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1557][5]~48687\,
	combout => \led_flash_cnt[1557][6]~48688_combout\,
	cout => \led_flash_cnt[1557][6]~48689\);

-- Location: FF_X51_Y5_N13
\led_flash_cnt[1557][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1557][6]~48688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1557][6]~q\);

-- Location: LCCOMB_X50_Y5_N26
\WideAnd1557~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1557~1_combout\ = (\led_flash_cnt[1557][5]~q\ & \led_flash_cnt[1557][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1557][5]~q\,
	datac => \led_flash_cnt[1557][6]~q\,
	combout => \WideAnd1557~1_combout\);

-- Location: LCCOMB_X51_Y5_N0
\WideAnd1557~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1557~0_combout\ = (\led_flash_cnt[1557][3]~q\ & (\led_flash_cnt[1557][4]~q\ & (\led_flash_cnt[1557][2]~q\ & \led_flash_cnt[1557][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1557][3]~q\,
	datab => \led_flash_cnt[1557][4]~q\,
	datac => \led_flash_cnt[1557][2]~q\,
	datad => \led_flash_cnt[1557][1]~q\,
	combout => \WideAnd1557~0_combout\);

-- Location: LCCOMB_X51_Y5_N14
\led_flash_cnt[1557][7]~48690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1557][7]~48690_combout\ = \led_flash_cnt[1557][7]~q\ $ (!\led_flash_cnt[1557][6]~48689\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1557][7]~q\,
	cin => \led_flash_cnt[1557][6]~48689\,
	combout => \led_flash_cnt[1557][7]~48690_combout\);

-- Location: FF_X51_Y5_N15
\led_flash_cnt[1557][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1557][7]~48690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1557][7]~q\);

-- Location: LCCOMB_X50_Y5_N30
WideAnd1557 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1557~combout\ = (\WideAnd1557~1_combout\ & (\WideAnd1557~0_combout\ & (\led_flash_cnt[1557][7]~q\ & \led_flash_cnt[1557][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1557~1_combout\,
	datab => \WideAnd1557~0_combout\,
	datac => \led_flash_cnt[1557][7]~q\,
	datad => \led_flash_cnt[1557][0]~q\,
	combout => \WideAnd1557~combout\);

-- Location: FF_X50_Y5_N31
\led_flash_cnt_ands[1557]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1557~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1557));

-- Location: LCCOMB_X50_Y5_N2
\led_flash_cnt[1556][0]~82196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1556][0]~82196_combout\ = !\led_flash_cnt[1556][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1556][0]~q\,
	combout => \led_flash_cnt[1556][0]~82196_combout\);

-- Location: FF_X50_Y5_N3
\led_flash_cnt[1556][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1556][0]~82196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1556][0]~q\);

-- Location: LCCOMB_X50_Y5_N6
\led_flash_cnt[1556][1]~48664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1556][1]~48664_combout\ = (\led_flash_cnt[1556][1]~q\ & (\led_flash_cnt[1556][0]~q\ $ (VCC))) # (!\led_flash_cnt[1556][1]~q\ & (\led_flash_cnt[1556][0]~q\ & VCC))
-- \led_flash_cnt[1556][1]~48665\ = CARRY((\led_flash_cnt[1556][1]~q\ & \led_flash_cnt[1556][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1556][1]~q\,
	datab => \led_flash_cnt[1556][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1556][1]~48664_combout\,
	cout => \led_flash_cnt[1556][1]~48665\);

-- Location: FF_X50_Y5_N7
\led_flash_cnt[1556][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1556][1]~48664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1556][1]~q\);

-- Location: LCCOMB_X50_Y5_N8
\led_flash_cnt[1556][2]~48666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1556][2]~48666_combout\ = (\led_flash_cnt[1556][2]~q\ & (!\led_flash_cnt[1556][1]~48665\)) # (!\led_flash_cnt[1556][2]~q\ & ((\led_flash_cnt[1556][1]~48665\) # (GND)))
-- \led_flash_cnt[1556][2]~48667\ = CARRY((!\led_flash_cnt[1556][1]~48665\) # (!\led_flash_cnt[1556][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1556][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1556][1]~48665\,
	combout => \led_flash_cnt[1556][2]~48666_combout\,
	cout => \led_flash_cnt[1556][2]~48667\);

-- Location: FF_X50_Y5_N9
\led_flash_cnt[1556][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1556][2]~48666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1556][2]~q\);

-- Location: LCCOMB_X50_Y5_N10
\led_flash_cnt[1556][3]~48668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1556][3]~48668_combout\ = (\led_flash_cnt[1556][3]~q\ & (\led_flash_cnt[1556][2]~48667\ $ (GND))) # (!\led_flash_cnt[1556][3]~q\ & (!\led_flash_cnt[1556][2]~48667\ & VCC))
-- \led_flash_cnt[1556][3]~48669\ = CARRY((\led_flash_cnt[1556][3]~q\ & !\led_flash_cnt[1556][2]~48667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1556][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1556][2]~48667\,
	combout => \led_flash_cnt[1556][3]~48668_combout\,
	cout => \led_flash_cnt[1556][3]~48669\);

-- Location: FF_X50_Y5_N11
\led_flash_cnt[1556][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1556][3]~48668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1556][3]~q\);

-- Location: LCCOMB_X50_Y5_N12
\led_flash_cnt[1556][4]~48670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1556][4]~48670_combout\ = (\led_flash_cnt[1556][4]~q\ & (!\led_flash_cnt[1556][3]~48669\)) # (!\led_flash_cnt[1556][4]~q\ & ((\led_flash_cnt[1556][3]~48669\) # (GND)))
-- \led_flash_cnt[1556][4]~48671\ = CARRY((!\led_flash_cnt[1556][3]~48669\) # (!\led_flash_cnt[1556][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1556][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1556][3]~48669\,
	combout => \led_flash_cnt[1556][4]~48670_combout\,
	cout => \led_flash_cnt[1556][4]~48671\);

-- Location: FF_X50_Y5_N13
\led_flash_cnt[1556][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1556][4]~48670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1556][4]~q\);

-- Location: LCCOMB_X50_Y5_N14
\led_flash_cnt[1556][5]~48672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1556][5]~48672_combout\ = (\led_flash_cnt[1556][5]~q\ & (\led_flash_cnt[1556][4]~48671\ $ (GND))) # (!\led_flash_cnt[1556][5]~q\ & (!\led_flash_cnt[1556][4]~48671\ & VCC))
-- \led_flash_cnt[1556][5]~48673\ = CARRY((\led_flash_cnt[1556][5]~q\ & !\led_flash_cnt[1556][4]~48671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1556][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1556][4]~48671\,
	combout => \led_flash_cnt[1556][5]~48672_combout\,
	cout => \led_flash_cnt[1556][5]~48673\);

-- Location: FF_X50_Y5_N15
\led_flash_cnt[1556][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1556][5]~48672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1556][5]~q\);

-- Location: LCCOMB_X50_Y5_N16
\led_flash_cnt[1556][6]~48674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1556][6]~48674_combout\ = (\led_flash_cnt[1556][6]~q\ & (!\led_flash_cnt[1556][5]~48673\)) # (!\led_flash_cnt[1556][6]~q\ & ((\led_flash_cnt[1556][5]~48673\) # (GND)))
-- \led_flash_cnt[1556][6]~48675\ = CARRY((!\led_flash_cnt[1556][5]~48673\) # (!\led_flash_cnt[1556][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1556][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1556][5]~48673\,
	combout => \led_flash_cnt[1556][6]~48674_combout\,
	cout => \led_flash_cnt[1556][6]~48675\);

-- Location: FF_X50_Y5_N17
\led_flash_cnt[1556][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1556][6]~48674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1556][6]~q\);

-- Location: LCCOMB_X50_Y5_N18
\led_flash_cnt[1556][7]~48676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1556][7]~48676_combout\ = \led_flash_cnt[1556][7]~q\ $ (!\led_flash_cnt[1556][6]~48675\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1556][7]~q\,
	cin => \led_flash_cnt[1556][6]~48675\,
	combout => \led_flash_cnt[1556][7]~48676_combout\);

-- Location: FF_X50_Y5_N19
\led_flash_cnt[1556][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1556][7]~48676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1556][7]~q\);

-- Location: LCCOMB_X50_Y5_N4
\WideAnd1556~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1556~1_combout\ = (\led_flash_cnt[1556][5]~q\ & \led_flash_cnt[1556][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1556][5]~q\,
	datad => \led_flash_cnt[1556][6]~q\,
	combout => \WideAnd1556~1_combout\);

-- Location: LCCOMB_X50_Y5_N24
\WideAnd1556~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1556~0_combout\ = (\led_flash_cnt[1556][4]~q\ & (\led_flash_cnt[1556][1]~q\ & (\led_flash_cnt[1556][2]~q\ & \led_flash_cnt[1556][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1556][4]~q\,
	datab => \led_flash_cnt[1556][1]~q\,
	datac => \led_flash_cnt[1556][2]~q\,
	datad => \led_flash_cnt[1556][3]~q\,
	combout => \WideAnd1556~0_combout\);

-- Location: LCCOMB_X50_Y5_N20
WideAnd1556 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1556~combout\ = (\led_flash_cnt[1556][7]~q\ & (\led_flash_cnt[1556][0]~q\ & (\WideAnd1556~1_combout\ & \WideAnd1556~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1556][7]~q\,
	datab => \led_flash_cnt[1556][0]~q\,
	datac => \WideAnd1556~1_combout\,
	datad => \WideAnd1556~0_combout\,
	combout => \WideAnd1556~combout\);

-- Location: FF_X50_Y5_N21
\led_flash_cnt_ands[1556]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1556~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1556));

-- Location: LCCOMB_X50_Y5_N22
\WideAnd4034~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4034~1_combout\ = (led_flash_cnt_ands(1557) & led_flash_cnt_ands(1556))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1557),
	datad => led_flash_cnt_ands(1556),
	combout => \WideAnd4034~1_combout\);

-- Location: LCCOMB_X51_Y7_N28
WideAnd4034 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4034~combout\ = (led_flash_cnt_ands(1559) & (\WideAnd4034~0_combout\ & (led_flash_cnt_ands(1558) & \WideAnd4034~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1559),
	datab => \WideAnd4034~0_combout\,
	datac => led_flash_cnt_ands(1558),
	datad => \WideAnd4034~1_combout\,
	combout => \WideAnd4034~combout\);

-- Location: FF_X51_Y7_N29
\led_flash_cnt_ands_1[194]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4034~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(194));

-- Location: LCCOMB_X69_Y5_N28
\led_flash_cnt[1540][0]~82180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1540][0]~82180_combout\ = !\led_flash_cnt[1540][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1540][0]~q\,
	combout => \led_flash_cnt[1540][0]~82180_combout\);

-- Location: FF_X69_Y5_N29
\led_flash_cnt[1540][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1540][0]~82180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1540][0]~q\);

-- Location: LCCOMB_X69_Y5_N2
\led_flash_cnt[1540][1]~48440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1540][1]~48440_combout\ = (\led_flash_cnt[1540][1]~q\ & (\led_flash_cnt[1540][0]~q\ $ (VCC))) # (!\led_flash_cnt[1540][1]~q\ & (\led_flash_cnt[1540][0]~q\ & VCC))
-- \led_flash_cnt[1540][1]~48441\ = CARRY((\led_flash_cnt[1540][1]~q\ & \led_flash_cnt[1540][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1540][1]~q\,
	datab => \led_flash_cnt[1540][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1540][1]~48440_combout\,
	cout => \led_flash_cnt[1540][1]~48441\);

-- Location: FF_X69_Y5_N3
\led_flash_cnt[1540][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1540][1]~48440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1540][1]~q\);

-- Location: LCCOMB_X69_Y5_N4
\led_flash_cnt[1540][2]~48442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1540][2]~48442_combout\ = (\led_flash_cnt[1540][2]~q\ & (!\led_flash_cnt[1540][1]~48441\)) # (!\led_flash_cnt[1540][2]~q\ & ((\led_flash_cnt[1540][1]~48441\) # (GND)))
-- \led_flash_cnt[1540][2]~48443\ = CARRY((!\led_flash_cnt[1540][1]~48441\) # (!\led_flash_cnt[1540][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1540][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1540][1]~48441\,
	combout => \led_flash_cnt[1540][2]~48442_combout\,
	cout => \led_flash_cnt[1540][2]~48443\);

-- Location: FF_X69_Y5_N5
\led_flash_cnt[1540][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1540][2]~48442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1540][2]~q\);

-- Location: LCCOMB_X69_Y5_N6
\led_flash_cnt[1540][3]~48444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1540][3]~48444_combout\ = (\led_flash_cnt[1540][3]~q\ & (\led_flash_cnt[1540][2]~48443\ $ (GND))) # (!\led_flash_cnt[1540][3]~q\ & (!\led_flash_cnt[1540][2]~48443\ & VCC))
-- \led_flash_cnt[1540][3]~48445\ = CARRY((\led_flash_cnt[1540][3]~q\ & !\led_flash_cnt[1540][2]~48443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1540][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1540][2]~48443\,
	combout => \led_flash_cnt[1540][3]~48444_combout\,
	cout => \led_flash_cnt[1540][3]~48445\);

-- Location: FF_X69_Y5_N7
\led_flash_cnt[1540][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1540][3]~48444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1540][3]~q\);

-- Location: LCCOMB_X69_Y5_N8
\led_flash_cnt[1540][4]~48446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1540][4]~48446_combout\ = (\led_flash_cnt[1540][4]~q\ & (!\led_flash_cnt[1540][3]~48445\)) # (!\led_flash_cnt[1540][4]~q\ & ((\led_flash_cnt[1540][3]~48445\) # (GND)))
-- \led_flash_cnt[1540][4]~48447\ = CARRY((!\led_flash_cnt[1540][3]~48445\) # (!\led_flash_cnt[1540][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1540][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1540][3]~48445\,
	combout => \led_flash_cnt[1540][4]~48446_combout\,
	cout => \led_flash_cnt[1540][4]~48447\);

-- Location: FF_X69_Y5_N9
\led_flash_cnt[1540][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1540][4]~48446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1540][4]~q\);

-- Location: LCCOMB_X69_Y5_N10
\led_flash_cnt[1540][5]~48448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1540][5]~48448_combout\ = (\led_flash_cnt[1540][5]~q\ & (\led_flash_cnt[1540][4]~48447\ $ (GND))) # (!\led_flash_cnt[1540][5]~q\ & (!\led_flash_cnt[1540][4]~48447\ & VCC))
-- \led_flash_cnt[1540][5]~48449\ = CARRY((\led_flash_cnt[1540][5]~q\ & !\led_flash_cnt[1540][4]~48447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1540][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1540][4]~48447\,
	combout => \led_flash_cnt[1540][5]~48448_combout\,
	cout => \led_flash_cnt[1540][5]~48449\);

-- Location: FF_X69_Y5_N11
\led_flash_cnt[1540][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1540][5]~48448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1540][5]~q\);

-- Location: LCCOMB_X69_Y5_N12
\led_flash_cnt[1540][6]~48450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1540][6]~48450_combout\ = (\led_flash_cnt[1540][6]~q\ & (!\led_flash_cnt[1540][5]~48449\)) # (!\led_flash_cnt[1540][6]~q\ & ((\led_flash_cnt[1540][5]~48449\) # (GND)))
-- \led_flash_cnt[1540][6]~48451\ = CARRY((!\led_flash_cnt[1540][5]~48449\) # (!\led_flash_cnt[1540][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1540][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1540][5]~48449\,
	combout => \led_flash_cnt[1540][6]~48450_combout\,
	cout => \led_flash_cnt[1540][6]~48451\);

-- Location: FF_X69_Y5_N13
\led_flash_cnt[1540][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1540][6]~48450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1540][6]~q\);

-- Location: LCCOMB_X69_Y5_N22
\WideAnd1540~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1540~1_combout\ = (\led_flash_cnt[1540][6]~q\ & \led_flash_cnt[1540][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1540][6]~q\,
	datad => \led_flash_cnt[1540][5]~q\,
	combout => \WideAnd1540~1_combout\);

-- Location: LCCOMB_X69_Y5_N14
\led_flash_cnt[1540][7]~48452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1540][7]~48452_combout\ = \led_flash_cnt[1540][7]~q\ $ (!\led_flash_cnt[1540][6]~48451\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1540][7]~q\,
	cin => \led_flash_cnt[1540][6]~48451\,
	combout => \led_flash_cnt[1540][7]~48452_combout\);

-- Location: FF_X69_Y5_N15
\led_flash_cnt[1540][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1540][7]~48452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1540][7]~q\);

-- Location: LCCOMB_X69_Y5_N18
\WideAnd1540~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1540~0_combout\ = (\led_flash_cnt[1540][1]~q\ & (\led_flash_cnt[1540][4]~q\ & (\led_flash_cnt[1540][2]~q\ & \led_flash_cnt[1540][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1540][1]~q\,
	datab => \led_flash_cnt[1540][4]~q\,
	datac => \led_flash_cnt[1540][2]~q\,
	datad => \led_flash_cnt[1540][3]~q\,
	combout => \WideAnd1540~0_combout\);

-- Location: LCCOMB_X69_Y5_N26
WideAnd1540 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1540~combout\ = (\WideAnd1540~1_combout\ & (\led_flash_cnt[1540][0]~q\ & (\led_flash_cnt[1540][7]~q\ & \WideAnd1540~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1540~1_combout\,
	datab => \led_flash_cnt[1540][0]~q\,
	datac => \led_flash_cnt[1540][7]~q\,
	datad => \WideAnd1540~0_combout\,
	combout => \WideAnd1540~combout\);

-- Location: FF_X69_Y5_N27
\led_flash_cnt_ands[1540]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1540~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1540));

-- Location: LCCOMB_X70_Y5_N24
\led_flash_cnt[1541][0]~82181\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1541][0]~82181_combout\ = !\led_flash_cnt[1541][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1541][0]~q\,
	combout => \led_flash_cnt[1541][0]~82181_combout\);

-- Location: FF_X70_Y5_N25
\led_flash_cnt[1541][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1541][0]~82181_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1541][0]~q\);

-- Location: LCCOMB_X70_Y5_N2
\led_flash_cnt[1541][1]~48454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1541][1]~48454_combout\ = (\led_flash_cnt[1541][1]~q\ & (\led_flash_cnt[1541][0]~q\ $ (VCC))) # (!\led_flash_cnt[1541][1]~q\ & (\led_flash_cnt[1541][0]~q\ & VCC))
-- \led_flash_cnt[1541][1]~48455\ = CARRY((\led_flash_cnt[1541][1]~q\ & \led_flash_cnt[1541][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1541][1]~q\,
	datab => \led_flash_cnt[1541][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1541][1]~48454_combout\,
	cout => \led_flash_cnt[1541][1]~48455\);

-- Location: FF_X70_Y5_N3
\led_flash_cnt[1541][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1541][1]~48454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1541][1]~q\);

-- Location: LCCOMB_X70_Y5_N4
\led_flash_cnt[1541][2]~48456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1541][2]~48456_combout\ = (\led_flash_cnt[1541][2]~q\ & (!\led_flash_cnt[1541][1]~48455\)) # (!\led_flash_cnt[1541][2]~q\ & ((\led_flash_cnt[1541][1]~48455\) # (GND)))
-- \led_flash_cnt[1541][2]~48457\ = CARRY((!\led_flash_cnt[1541][1]~48455\) # (!\led_flash_cnt[1541][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1541][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1541][1]~48455\,
	combout => \led_flash_cnt[1541][2]~48456_combout\,
	cout => \led_flash_cnt[1541][2]~48457\);

-- Location: FF_X70_Y5_N5
\led_flash_cnt[1541][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1541][2]~48456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1541][2]~q\);

-- Location: LCCOMB_X70_Y5_N6
\led_flash_cnt[1541][3]~48458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1541][3]~48458_combout\ = (\led_flash_cnt[1541][3]~q\ & (\led_flash_cnt[1541][2]~48457\ $ (GND))) # (!\led_flash_cnt[1541][3]~q\ & (!\led_flash_cnt[1541][2]~48457\ & VCC))
-- \led_flash_cnt[1541][3]~48459\ = CARRY((\led_flash_cnt[1541][3]~q\ & !\led_flash_cnt[1541][2]~48457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1541][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1541][2]~48457\,
	combout => \led_flash_cnt[1541][3]~48458_combout\,
	cout => \led_flash_cnt[1541][3]~48459\);

-- Location: FF_X70_Y5_N7
\led_flash_cnt[1541][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1541][3]~48458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1541][3]~q\);

-- Location: LCCOMB_X70_Y5_N8
\led_flash_cnt[1541][4]~48460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1541][4]~48460_combout\ = (\led_flash_cnt[1541][4]~q\ & (!\led_flash_cnt[1541][3]~48459\)) # (!\led_flash_cnt[1541][4]~q\ & ((\led_flash_cnt[1541][3]~48459\) # (GND)))
-- \led_flash_cnt[1541][4]~48461\ = CARRY((!\led_flash_cnt[1541][3]~48459\) # (!\led_flash_cnt[1541][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1541][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1541][3]~48459\,
	combout => \led_flash_cnt[1541][4]~48460_combout\,
	cout => \led_flash_cnt[1541][4]~48461\);

-- Location: FF_X70_Y5_N9
\led_flash_cnt[1541][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1541][4]~48460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1541][4]~q\);

-- Location: LCCOMB_X70_Y5_N10
\led_flash_cnt[1541][5]~48462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1541][5]~48462_combout\ = (\led_flash_cnt[1541][5]~q\ & (\led_flash_cnt[1541][4]~48461\ $ (GND))) # (!\led_flash_cnt[1541][5]~q\ & (!\led_flash_cnt[1541][4]~48461\ & VCC))
-- \led_flash_cnt[1541][5]~48463\ = CARRY((\led_flash_cnt[1541][5]~q\ & !\led_flash_cnt[1541][4]~48461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1541][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1541][4]~48461\,
	combout => \led_flash_cnt[1541][5]~48462_combout\,
	cout => \led_flash_cnt[1541][5]~48463\);

-- Location: FF_X70_Y5_N11
\led_flash_cnt[1541][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1541][5]~48462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1541][5]~q\);

-- Location: LCCOMB_X70_Y5_N12
\led_flash_cnt[1541][6]~48464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1541][6]~48464_combout\ = (\led_flash_cnt[1541][6]~q\ & (!\led_flash_cnt[1541][5]~48463\)) # (!\led_flash_cnt[1541][6]~q\ & ((\led_flash_cnt[1541][5]~48463\) # (GND)))
-- \led_flash_cnt[1541][6]~48465\ = CARRY((!\led_flash_cnt[1541][5]~48463\) # (!\led_flash_cnt[1541][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1541][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1541][5]~48463\,
	combout => \led_flash_cnt[1541][6]~48464_combout\,
	cout => \led_flash_cnt[1541][6]~48465\);

-- Location: FF_X70_Y5_N13
\led_flash_cnt[1541][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1541][6]~48464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1541][6]~q\);

-- Location: LCCOMB_X70_Y5_N26
\WideAnd1541~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1541~1_combout\ = (\led_flash_cnt[1541][6]~q\ & \led_flash_cnt[1541][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1541][6]~q\,
	datad => \led_flash_cnt[1541][5]~q\,
	combout => \WideAnd1541~1_combout\);

-- Location: LCCOMB_X70_Y5_N14
\led_flash_cnt[1541][7]~48466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1541][7]~48466_combout\ = \led_flash_cnt[1541][7]~q\ $ (!\led_flash_cnt[1541][6]~48465\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1541][7]~q\,
	cin => \led_flash_cnt[1541][6]~48465\,
	combout => \led_flash_cnt[1541][7]~48466_combout\);

-- Location: FF_X70_Y5_N15
\led_flash_cnt[1541][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1541][7]~48466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1541][7]~q\);

-- Location: LCCOMB_X70_Y5_N18
\WideAnd1541~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1541~0_combout\ = (\led_flash_cnt[1541][1]~q\ & (\led_flash_cnt[1541][4]~q\ & (\led_flash_cnt[1541][2]~q\ & \led_flash_cnt[1541][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1541][1]~q\,
	datab => \led_flash_cnt[1541][4]~q\,
	datac => \led_flash_cnt[1541][2]~q\,
	datad => \led_flash_cnt[1541][3]~q\,
	combout => \WideAnd1541~0_combout\);

-- Location: LCCOMB_X70_Y5_N28
WideAnd1541 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1541~combout\ = (\WideAnd1541~1_combout\ & (\led_flash_cnt[1541][0]~q\ & (\led_flash_cnt[1541][7]~q\ & \WideAnd1541~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1541~1_combout\,
	datab => \led_flash_cnt[1541][0]~q\,
	datac => \led_flash_cnt[1541][7]~q\,
	datad => \WideAnd1541~0_combout\,
	combout => \WideAnd1541~combout\);

-- Location: FF_X70_Y5_N29
\led_flash_cnt_ands[1541]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1541~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1541));

-- Location: LCCOMB_X69_Y5_N24
\WideAnd4032~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4032~1_combout\ = (led_flash_cnt_ands(1540) & led_flash_cnt_ands(1541))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1540),
	datad => led_flash_cnt_ands(1541),
	combout => \WideAnd4032~1_combout\);

-- Location: LCCOMB_X66_Y5_N12
\led_flash_cnt[1542][0]~82182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1542][0]~82182_combout\ = !\led_flash_cnt[1542][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1542][0]~q\,
	combout => \led_flash_cnt[1542][0]~82182_combout\);

-- Location: FF_X66_Y5_N13
\led_flash_cnt[1542][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1542][0]~82182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1542][0]~q\);

-- Location: LCCOMB_X66_Y5_N18
\led_flash_cnt[1542][1]~48468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1542][1]~48468_combout\ = (\led_flash_cnt[1542][0]~q\ & (\led_flash_cnt[1542][1]~q\ $ (VCC))) # (!\led_flash_cnt[1542][0]~q\ & (\led_flash_cnt[1542][1]~q\ & VCC))
-- \led_flash_cnt[1542][1]~48469\ = CARRY((\led_flash_cnt[1542][0]~q\ & \led_flash_cnt[1542][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1542][0]~q\,
	datab => \led_flash_cnt[1542][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1542][1]~48468_combout\,
	cout => \led_flash_cnt[1542][1]~48469\);

-- Location: FF_X66_Y5_N19
\led_flash_cnt[1542][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1542][1]~48468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1542][1]~q\);

-- Location: LCCOMB_X66_Y5_N20
\led_flash_cnt[1542][2]~48470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1542][2]~48470_combout\ = (\led_flash_cnt[1542][2]~q\ & (!\led_flash_cnt[1542][1]~48469\)) # (!\led_flash_cnt[1542][2]~q\ & ((\led_flash_cnt[1542][1]~48469\) # (GND)))
-- \led_flash_cnt[1542][2]~48471\ = CARRY((!\led_flash_cnt[1542][1]~48469\) # (!\led_flash_cnt[1542][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1542][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1542][1]~48469\,
	combout => \led_flash_cnt[1542][2]~48470_combout\,
	cout => \led_flash_cnt[1542][2]~48471\);

-- Location: FF_X66_Y5_N21
\led_flash_cnt[1542][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1542][2]~48470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1542][2]~q\);

-- Location: LCCOMB_X66_Y5_N22
\led_flash_cnt[1542][3]~48472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1542][3]~48472_combout\ = (\led_flash_cnt[1542][3]~q\ & (\led_flash_cnt[1542][2]~48471\ $ (GND))) # (!\led_flash_cnt[1542][3]~q\ & (!\led_flash_cnt[1542][2]~48471\ & VCC))
-- \led_flash_cnt[1542][3]~48473\ = CARRY((\led_flash_cnt[1542][3]~q\ & !\led_flash_cnt[1542][2]~48471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1542][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1542][2]~48471\,
	combout => \led_flash_cnt[1542][3]~48472_combout\,
	cout => \led_flash_cnt[1542][3]~48473\);

-- Location: FF_X66_Y5_N23
\led_flash_cnt[1542][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1542][3]~48472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1542][3]~q\);

-- Location: LCCOMB_X66_Y5_N24
\led_flash_cnt[1542][4]~48474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1542][4]~48474_combout\ = (\led_flash_cnt[1542][4]~q\ & (!\led_flash_cnt[1542][3]~48473\)) # (!\led_flash_cnt[1542][4]~q\ & ((\led_flash_cnt[1542][3]~48473\) # (GND)))
-- \led_flash_cnt[1542][4]~48475\ = CARRY((!\led_flash_cnt[1542][3]~48473\) # (!\led_flash_cnt[1542][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1542][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1542][3]~48473\,
	combout => \led_flash_cnt[1542][4]~48474_combout\,
	cout => \led_flash_cnt[1542][4]~48475\);

-- Location: FF_X66_Y5_N25
\led_flash_cnt[1542][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1542][4]~48474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1542][4]~q\);

-- Location: LCCOMB_X66_Y5_N26
\led_flash_cnt[1542][5]~48476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1542][5]~48476_combout\ = (\led_flash_cnt[1542][5]~q\ & (\led_flash_cnt[1542][4]~48475\ $ (GND))) # (!\led_flash_cnt[1542][5]~q\ & (!\led_flash_cnt[1542][4]~48475\ & VCC))
-- \led_flash_cnt[1542][5]~48477\ = CARRY((\led_flash_cnt[1542][5]~q\ & !\led_flash_cnt[1542][4]~48475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1542][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1542][4]~48475\,
	combout => \led_flash_cnt[1542][5]~48476_combout\,
	cout => \led_flash_cnt[1542][5]~48477\);

-- Location: FF_X66_Y5_N27
\led_flash_cnt[1542][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1542][5]~48476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1542][5]~q\);

-- Location: LCCOMB_X66_Y5_N28
\led_flash_cnt[1542][6]~48478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1542][6]~48478_combout\ = (\led_flash_cnt[1542][6]~q\ & (!\led_flash_cnt[1542][5]~48477\)) # (!\led_flash_cnt[1542][6]~q\ & ((\led_flash_cnt[1542][5]~48477\) # (GND)))
-- \led_flash_cnt[1542][6]~48479\ = CARRY((!\led_flash_cnt[1542][5]~48477\) # (!\led_flash_cnt[1542][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1542][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1542][5]~48477\,
	combout => \led_flash_cnt[1542][6]~48478_combout\,
	cout => \led_flash_cnt[1542][6]~48479\);

-- Location: FF_X66_Y5_N29
\led_flash_cnt[1542][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1542][6]~48478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1542][6]~q\);

-- Location: LCCOMB_X66_Y5_N10
\WideAnd1542~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1542~1_combout\ = (\led_flash_cnt[1542][5]~q\ & \led_flash_cnt[1542][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1542][5]~q\,
	datad => \led_flash_cnt[1542][6]~q\,
	combout => \WideAnd1542~1_combout\);

-- Location: LCCOMB_X66_Y5_N4
\WideAnd1542~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1542~0_combout\ = (\led_flash_cnt[1542][1]~q\ & (\led_flash_cnt[1542][2]~q\ & (\led_flash_cnt[1542][3]~q\ & \led_flash_cnt[1542][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1542][1]~q\,
	datab => \led_flash_cnt[1542][2]~q\,
	datac => \led_flash_cnt[1542][3]~q\,
	datad => \led_flash_cnt[1542][4]~q\,
	combout => \WideAnd1542~0_combout\);

-- Location: LCCOMB_X66_Y5_N30
\led_flash_cnt[1542][7]~48480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1542][7]~48480_combout\ = \led_flash_cnt[1542][7]~q\ $ (!\led_flash_cnt[1542][6]~48479\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1542][7]~q\,
	cin => \led_flash_cnt[1542][6]~48479\,
	combout => \led_flash_cnt[1542][7]~48480_combout\);

-- Location: FF_X66_Y5_N31
\led_flash_cnt[1542][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1542][7]~48480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1542][7]~q\);

-- Location: LCCOMB_X66_Y5_N16
WideAnd1542 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1542~combout\ = (\WideAnd1542~1_combout\ & (\WideAnd1542~0_combout\ & (\led_flash_cnt[1542][7]~q\ & \led_flash_cnt[1542][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1542~1_combout\,
	datab => \WideAnd1542~0_combout\,
	datac => \led_flash_cnt[1542][7]~q\,
	datad => \led_flash_cnt[1542][0]~q\,
	combout => \WideAnd1542~combout\);

-- Location: FF_X66_Y5_N17
\led_flash_cnt_ands[1542]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1542~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1542));

-- Location: LCCOMB_X65_Y5_N4
\led_flash_cnt[1543][0]~82183\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1543][0]~82183_combout\ = !\led_flash_cnt[1543][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1543][0]~q\,
	combout => \led_flash_cnt[1543][0]~82183_combout\);

-- Location: FF_X65_Y5_N5
\led_flash_cnt[1543][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1543][0]~82183_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1543][0]~q\);

-- Location: LCCOMB_X65_Y5_N10
\led_flash_cnt[1543][1]~48482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1543][1]~48482_combout\ = (\led_flash_cnt[1543][1]~q\ & (\led_flash_cnt[1543][0]~q\ $ (VCC))) # (!\led_flash_cnt[1543][1]~q\ & (\led_flash_cnt[1543][0]~q\ & VCC))
-- \led_flash_cnt[1543][1]~48483\ = CARRY((\led_flash_cnt[1543][1]~q\ & \led_flash_cnt[1543][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1543][1]~q\,
	datab => \led_flash_cnt[1543][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1543][1]~48482_combout\,
	cout => \led_flash_cnt[1543][1]~48483\);

-- Location: FF_X65_Y5_N11
\led_flash_cnt[1543][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1543][1]~48482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1543][1]~q\);

-- Location: LCCOMB_X65_Y5_N12
\led_flash_cnt[1543][2]~48484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1543][2]~48484_combout\ = (\led_flash_cnt[1543][2]~q\ & (!\led_flash_cnt[1543][1]~48483\)) # (!\led_flash_cnt[1543][2]~q\ & ((\led_flash_cnt[1543][1]~48483\) # (GND)))
-- \led_flash_cnt[1543][2]~48485\ = CARRY((!\led_flash_cnt[1543][1]~48483\) # (!\led_flash_cnt[1543][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1543][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1543][1]~48483\,
	combout => \led_flash_cnt[1543][2]~48484_combout\,
	cout => \led_flash_cnt[1543][2]~48485\);

-- Location: FF_X65_Y5_N13
\led_flash_cnt[1543][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1543][2]~48484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1543][2]~q\);

-- Location: LCCOMB_X65_Y5_N14
\led_flash_cnt[1543][3]~48486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1543][3]~48486_combout\ = (\led_flash_cnt[1543][3]~q\ & (\led_flash_cnt[1543][2]~48485\ $ (GND))) # (!\led_flash_cnt[1543][3]~q\ & (!\led_flash_cnt[1543][2]~48485\ & VCC))
-- \led_flash_cnt[1543][3]~48487\ = CARRY((\led_flash_cnt[1543][3]~q\ & !\led_flash_cnt[1543][2]~48485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1543][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1543][2]~48485\,
	combout => \led_flash_cnt[1543][3]~48486_combout\,
	cout => \led_flash_cnt[1543][3]~48487\);

-- Location: FF_X65_Y5_N15
\led_flash_cnt[1543][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1543][3]~48486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1543][3]~q\);

-- Location: LCCOMB_X65_Y5_N16
\led_flash_cnt[1543][4]~48488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1543][4]~48488_combout\ = (\led_flash_cnt[1543][4]~q\ & (!\led_flash_cnt[1543][3]~48487\)) # (!\led_flash_cnt[1543][4]~q\ & ((\led_flash_cnt[1543][3]~48487\) # (GND)))
-- \led_flash_cnt[1543][4]~48489\ = CARRY((!\led_flash_cnt[1543][3]~48487\) # (!\led_flash_cnt[1543][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1543][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1543][3]~48487\,
	combout => \led_flash_cnt[1543][4]~48488_combout\,
	cout => \led_flash_cnt[1543][4]~48489\);

-- Location: FF_X65_Y5_N17
\led_flash_cnt[1543][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1543][4]~48488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1543][4]~q\);

-- Location: LCCOMB_X65_Y5_N18
\led_flash_cnt[1543][5]~48490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1543][5]~48490_combout\ = (\led_flash_cnt[1543][5]~q\ & (\led_flash_cnt[1543][4]~48489\ $ (GND))) # (!\led_flash_cnt[1543][5]~q\ & (!\led_flash_cnt[1543][4]~48489\ & VCC))
-- \led_flash_cnt[1543][5]~48491\ = CARRY((\led_flash_cnt[1543][5]~q\ & !\led_flash_cnt[1543][4]~48489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1543][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1543][4]~48489\,
	combout => \led_flash_cnt[1543][5]~48490_combout\,
	cout => \led_flash_cnt[1543][5]~48491\);

-- Location: FF_X65_Y5_N19
\led_flash_cnt[1543][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1543][5]~48490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1543][5]~q\);

-- Location: LCCOMB_X65_Y5_N20
\led_flash_cnt[1543][6]~48492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1543][6]~48492_combout\ = (\led_flash_cnt[1543][6]~q\ & (!\led_flash_cnt[1543][5]~48491\)) # (!\led_flash_cnt[1543][6]~q\ & ((\led_flash_cnt[1543][5]~48491\) # (GND)))
-- \led_flash_cnt[1543][6]~48493\ = CARRY((!\led_flash_cnt[1543][5]~48491\) # (!\led_flash_cnt[1543][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1543][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1543][5]~48491\,
	combout => \led_flash_cnt[1543][6]~48492_combout\,
	cout => \led_flash_cnt[1543][6]~48493\);

-- Location: FF_X65_Y5_N21
\led_flash_cnt[1543][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1543][6]~48492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1543][6]~q\);

-- Location: LCCOMB_X65_Y5_N26
\WideAnd1543~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1543~1_combout\ = (\led_flash_cnt[1543][6]~q\ & \led_flash_cnt[1543][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1543][6]~q\,
	datad => \led_flash_cnt[1543][5]~q\,
	combout => \WideAnd1543~1_combout\);

-- Location: LCCOMB_X65_Y5_N22
\led_flash_cnt[1543][7]~48494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1543][7]~48494_combout\ = \led_flash_cnt[1543][7]~q\ $ (!\led_flash_cnt[1543][6]~48493\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1543][7]~q\,
	cin => \led_flash_cnt[1543][6]~48493\,
	combout => \led_flash_cnt[1543][7]~48494_combout\);

-- Location: FF_X65_Y5_N23
\led_flash_cnt[1543][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1543][7]~48494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1543][7]~q\);

-- Location: LCCOMB_X65_Y5_N24
\WideAnd1543~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1543~0_combout\ = (\led_flash_cnt[1543][2]~q\ & (\led_flash_cnt[1543][4]~q\ & (\led_flash_cnt[1543][3]~q\ & \led_flash_cnt[1543][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1543][2]~q\,
	datab => \led_flash_cnt[1543][4]~q\,
	datac => \led_flash_cnt[1543][3]~q\,
	datad => \led_flash_cnt[1543][1]~q\,
	combout => \WideAnd1543~0_combout\);

-- Location: LCCOMB_X65_Y5_N6
WideAnd1543 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1543~combout\ = (\WideAnd1543~1_combout\ & (\led_flash_cnt[1543][0]~q\ & (\led_flash_cnt[1543][7]~q\ & \WideAnd1543~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1543~1_combout\,
	datab => \led_flash_cnt[1543][0]~q\,
	datac => \led_flash_cnt[1543][7]~q\,
	datad => \WideAnd1543~0_combout\,
	combout => \WideAnd1543~combout\);

-- Location: FF_X65_Y5_N7
\led_flash_cnt_ands[1543]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1543~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1543));

-- Location: LCCOMB_X66_Y3_N12
\led_flash_cnt[1536][0]~82176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1536][0]~82176_combout\ = !\led_flash_cnt[1536][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1536][0]~q\,
	combout => \led_flash_cnt[1536][0]~82176_combout\);

-- Location: FF_X66_Y3_N13
\led_flash_cnt[1536][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1536][0]~82176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1536][0]~q\);

-- Location: LCCOMB_X66_Y3_N16
\led_flash_cnt[1536][1]~48384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1536][1]~48384_combout\ = (\led_flash_cnt[1536][0]~q\ & (\led_flash_cnt[1536][1]~q\ $ (VCC))) # (!\led_flash_cnt[1536][0]~q\ & (\led_flash_cnt[1536][1]~q\ & VCC))
-- \led_flash_cnt[1536][1]~48385\ = CARRY((\led_flash_cnt[1536][0]~q\ & \led_flash_cnt[1536][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1536][0]~q\,
	datab => \led_flash_cnt[1536][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1536][1]~48384_combout\,
	cout => \led_flash_cnt[1536][1]~48385\);

-- Location: FF_X66_Y3_N17
\led_flash_cnt[1536][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1536][1]~48384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1536][1]~q\);

-- Location: LCCOMB_X66_Y3_N18
\led_flash_cnt[1536][2]~48386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1536][2]~48386_combout\ = (\led_flash_cnt[1536][2]~q\ & (!\led_flash_cnt[1536][1]~48385\)) # (!\led_flash_cnt[1536][2]~q\ & ((\led_flash_cnt[1536][1]~48385\) # (GND)))
-- \led_flash_cnt[1536][2]~48387\ = CARRY((!\led_flash_cnt[1536][1]~48385\) # (!\led_flash_cnt[1536][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1536][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1536][1]~48385\,
	combout => \led_flash_cnt[1536][2]~48386_combout\,
	cout => \led_flash_cnt[1536][2]~48387\);

-- Location: FF_X66_Y3_N19
\led_flash_cnt[1536][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1536][2]~48386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1536][2]~q\);

-- Location: LCCOMB_X66_Y3_N20
\led_flash_cnt[1536][3]~48388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1536][3]~48388_combout\ = (\led_flash_cnt[1536][3]~q\ & (\led_flash_cnt[1536][2]~48387\ $ (GND))) # (!\led_flash_cnt[1536][3]~q\ & (!\led_flash_cnt[1536][2]~48387\ & VCC))
-- \led_flash_cnt[1536][3]~48389\ = CARRY((\led_flash_cnt[1536][3]~q\ & !\led_flash_cnt[1536][2]~48387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1536][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1536][2]~48387\,
	combout => \led_flash_cnt[1536][3]~48388_combout\,
	cout => \led_flash_cnt[1536][3]~48389\);

-- Location: FF_X66_Y3_N21
\led_flash_cnt[1536][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1536][3]~48388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1536][3]~q\);

-- Location: LCCOMB_X66_Y3_N22
\led_flash_cnt[1536][4]~48390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1536][4]~48390_combout\ = (\led_flash_cnt[1536][4]~q\ & (!\led_flash_cnt[1536][3]~48389\)) # (!\led_flash_cnt[1536][4]~q\ & ((\led_flash_cnt[1536][3]~48389\) # (GND)))
-- \led_flash_cnt[1536][4]~48391\ = CARRY((!\led_flash_cnt[1536][3]~48389\) # (!\led_flash_cnt[1536][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1536][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1536][3]~48389\,
	combout => \led_flash_cnt[1536][4]~48390_combout\,
	cout => \led_flash_cnt[1536][4]~48391\);

-- Location: FF_X66_Y3_N23
\led_flash_cnt[1536][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1536][4]~48390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1536][4]~q\);

-- Location: LCCOMB_X66_Y3_N10
\WideAnd1536~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1536~0_combout\ = (\led_flash_cnt[1536][2]~q\ & (\led_flash_cnt[1536][3]~q\ & (\led_flash_cnt[1536][4]~q\ & \led_flash_cnt[1536][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1536][2]~q\,
	datab => \led_flash_cnt[1536][3]~q\,
	datac => \led_flash_cnt[1536][4]~q\,
	datad => \led_flash_cnt[1536][1]~q\,
	combout => \WideAnd1536~0_combout\);

-- Location: LCCOMB_X66_Y3_N24
\led_flash_cnt[1536][5]~48392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1536][5]~48392_combout\ = (\led_flash_cnt[1536][5]~q\ & (\led_flash_cnt[1536][4]~48391\ $ (GND))) # (!\led_flash_cnt[1536][5]~q\ & (!\led_flash_cnt[1536][4]~48391\ & VCC))
-- \led_flash_cnt[1536][5]~48393\ = CARRY((\led_flash_cnt[1536][5]~q\ & !\led_flash_cnt[1536][4]~48391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1536][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1536][4]~48391\,
	combout => \led_flash_cnt[1536][5]~48392_combout\,
	cout => \led_flash_cnt[1536][5]~48393\);

-- Location: FF_X66_Y3_N25
\led_flash_cnt[1536][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1536][5]~48392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1536][5]~q\);

-- Location: LCCOMB_X66_Y3_N26
\led_flash_cnt[1536][6]~48394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1536][6]~48394_combout\ = (\led_flash_cnt[1536][6]~q\ & (!\led_flash_cnt[1536][5]~48393\)) # (!\led_flash_cnt[1536][6]~q\ & ((\led_flash_cnt[1536][5]~48393\) # (GND)))
-- \led_flash_cnt[1536][6]~48395\ = CARRY((!\led_flash_cnt[1536][5]~48393\) # (!\led_flash_cnt[1536][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1536][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1536][5]~48393\,
	combout => \led_flash_cnt[1536][6]~48394_combout\,
	cout => \led_flash_cnt[1536][6]~48395\);

-- Location: FF_X66_Y3_N27
\led_flash_cnt[1536][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1536][6]~48394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1536][6]~q\);

-- Location: LCCOMB_X66_Y3_N28
\led_flash_cnt[1536][7]~48396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1536][7]~48396_combout\ = \led_flash_cnt[1536][6]~48395\ $ (!\led_flash_cnt[1536][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1536][7]~q\,
	cin => \led_flash_cnt[1536][6]~48395\,
	combout => \led_flash_cnt[1536][7]~48396_combout\);

-- Location: FF_X66_Y3_N29
\led_flash_cnt[1536][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1536][7]~48396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1536][7]~q\);

-- Location: LCCOMB_X66_Y3_N4
\WideAnd1536~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1536~1_combout\ = (\led_flash_cnt[1536][6]~q\ & \led_flash_cnt[1536][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1536][6]~q\,
	datad => \led_flash_cnt[1536][5]~q\,
	combout => \WideAnd1536~1_combout\);

-- Location: LCCOMB_X66_Y3_N14
WideAnd1536 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1536~combout\ = (\WideAnd1536~0_combout\ & (\led_flash_cnt[1536][7]~q\ & (\WideAnd1536~1_combout\ & \led_flash_cnt[1536][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1536~0_combout\,
	datab => \led_flash_cnt[1536][7]~q\,
	datac => \WideAnd1536~1_combout\,
	datad => \led_flash_cnt[1536][0]~q\,
	combout => \WideAnd1536~combout\);

-- Location: FF_X66_Y3_N15
\led_flash_cnt_ands[1536]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1536~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1536));

-- Location: LCCOMB_X71_Y3_N10
\led_flash_cnt[1539][0]~82179\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1539][0]~82179_combout\ = !\led_flash_cnt[1539][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1539][0]~q\,
	combout => \led_flash_cnt[1539][0]~82179_combout\);

-- Location: FF_X71_Y3_N11
\led_flash_cnt[1539][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1539][0]~82179_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1539][0]~q\);

-- Location: LCCOMB_X71_Y3_N16
\led_flash_cnt[1539][1]~48426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1539][1]~48426_combout\ = (\led_flash_cnt[1539][0]~q\ & (\led_flash_cnt[1539][1]~q\ $ (VCC))) # (!\led_flash_cnt[1539][0]~q\ & (\led_flash_cnt[1539][1]~q\ & VCC))
-- \led_flash_cnt[1539][1]~48427\ = CARRY((\led_flash_cnt[1539][0]~q\ & \led_flash_cnt[1539][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1539][0]~q\,
	datab => \led_flash_cnt[1539][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1539][1]~48426_combout\,
	cout => \led_flash_cnt[1539][1]~48427\);

-- Location: FF_X71_Y3_N17
\led_flash_cnt[1539][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1539][1]~48426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1539][1]~q\);

-- Location: LCCOMB_X71_Y3_N18
\led_flash_cnt[1539][2]~48428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1539][2]~48428_combout\ = (\led_flash_cnt[1539][2]~q\ & (!\led_flash_cnt[1539][1]~48427\)) # (!\led_flash_cnt[1539][2]~q\ & ((\led_flash_cnt[1539][1]~48427\) # (GND)))
-- \led_flash_cnt[1539][2]~48429\ = CARRY((!\led_flash_cnt[1539][1]~48427\) # (!\led_flash_cnt[1539][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1539][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1539][1]~48427\,
	combout => \led_flash_cnt[1539][2]~48428_combout\,
	cout => \led_flash_cnt[1539][2]~48429\);

-- Location: FF_X71_Y3_N19
\led_flash_cnt[1539][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1539][2]~48428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1539][2]~q\);

-- Location: LCCOMB_X71_Y3_N20
\led_flash_cnt[1539][3]~48430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1539][3]~48430_combout\ = (\led_flash_cnt[1539][3]~q\ & (\led_flash_cnt[1539][2]~48429\ $ (GND))) # (!\led_flash_cnt[1539][3]~q\ & (!\led_flash_cnt[1539][2]~48429\ & VCC))
-- \led_flash_cnt[1539][3]~48431\ = CARRY((\led_flash_cnt[1539][3]~q\ & !\led_flash_cnt[1539][2]~48429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1539][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1539][2]~48429\,
	combout => \led_flash_cnt[1539][3]~48430_combout\,
	cout => \led_flash_cnt[1539][3]~48431\);

-- Location: FF_X71_Y3_N21
\led_flash_cnt[1539][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1539][3]~48430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1539][3]~q\);

-- Location: LCCOMB_X71_Y3_N22
\led_flash_cnt[1539][4]~48432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1539][4]~48432_combout\ = (\led_flash_cnt[1539][4]~q\ & (!\led_flash_cnt[1539][3]~48431\)) # (!\led_flash_cnt[1539][4]~q\ & ((\led_flash_cnt[1539][3]~48431\) # (GND)))
-- \led_flash_cnt[1539][4]~48433\ = CARRY((!\led_flash_cnt[1539][3]~48431\) # (!\led_flash_cnt[1539][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1539][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1539][3]~48431\,
	combout => \led_flash_cnt[1539][4]~48432_combout\,
	cout => \led_flash_cnt[1539][4]~48433\);

-- Location: FF_X71_Y3_N23
\led_flash_cnt[1539][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1539][4]~48432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1539][4]~q\);

-- Location: LCCOMB_X71_Y3_N24
\led_flash_cnt[1539][5]~48434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1539][5]~48434_combout\ = (\led_flash_cnt[1539][5]~q\ & (\led_flash_cnt[1539][4]~48433\ $ (GND))) # (!\led_flash_cnt[1539][5]~q\ & (!\led_flash_cnt[1539][4]~48433\ & VCC))
-- \led_flash_cnt[1539][5]~48435\ = CARRY((\led_flash_cnt[1539][5]~q\ & !\led_flash_cnt[1539][4]~48433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1539][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1539][4]~48433\,
	combout => \led_flash_cnt[1539][5]~48434_combout\,
	cout => \led_flash_cnt[1539][5]~48435\);

-- Location: FF_X71_Y3_N25
\led_flash_cnt[1539][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1539][5]~48434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1539][5]~q\);

-- Location: LCCOMB_X71_Y3_N26
\led_flash_cnt[1539][6]~48436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1539][6]~48436_combout\ = (\led_flash_cnt[1539][6]~q\ & (!\led_flash_cnt[1539][5]~48435\)) # (!\led_flash_cnt[1539][6]~q\ & ((\led_flash_cnt[1539][5]~48435\) # (GND)))
-- \led_flash_cnt[1539][6]~48437\ = CARRY((!\led_flash_cnt[1539][5]~48435\) # (!\led_flash_cnt[1539][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1539][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1539][5]~48435\,
	combout => \led_flash_cnt[1539][6]~48436_combout\,
	cout => \led_flash_cnt[1539][6]~48437\);

-- Location: FF_X71_Y3_N27
\led_flash_cnt[1539][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1539][6]~48436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1539][6]~q\);

-- Location: LCCOMB_X71_Y3_N28
\led_flash_cnt[1539][7]~48438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1539][7]~48438_combout\ = \led_flash_cnt[1539][6]~48437\ $ (!\led_flash_cnt[1539][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1539][7]~q\,
	cin => \led_flash_cnt[1539][6]~48437\,
	combout => \led_flash_cnt[1539][7]~48438_combout\);

-- Location: FF_X71_Y3_N29
\led_flash_cnt[1539][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1539][7]~48438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1539][7]~q\);

-- Location: LCCOMB_X71_Y3_N8
\WideAnd1539~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1539~1_combout\ = (\led_flash_cnt[1539][6]~q\ & \led_flash_cnt[1539][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1539][6]~q\,
	datad => \led_flash_cnt[1539][5]~q\,
	combout => \WideAnd1539~1_combout\);

-- Location: LCCOMB_X71_Y3_N12
\WideAnd1539~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1539~0_combout\ = (\led_flash_cnt[1539][3]~q\ & (\led_flash_cnt[1539][2]~q\ & (\led_flash_cnt[1539][4]~q\ & \led_flash_cnt[1539][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1539][3]~q\,
	datab => \led_flash_cnt[1539][2]~q\,
	datac => \led_flash_cnt[1539][4]~q\,
	datad => \led_flash_cnt[1539][1]~q\,
	combout => \WideAnd1539~0_combout\);

-- Location: LCCOMB_X71_Y3_N4
WideAnd1539 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1539~combout\ = (\led_flash_cnt[1539][0]~q\ & (\led_flash_cnt[1539][7]~q\ & (\WideAnd1539~1_combout\ & \WideAnd1539~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1539][0]~q\,
	datab => \led_flash_cnt[1539][7]~q\,
	datac => \WideAnd1539~1_combout\,
	datad => \WideAnd1539~0_combout\,
	combout => \WideAnd1539~combout\);

-- Location: FF_X71_Y3_N5
\led_flash_cnt_ands[1539]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1539~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1539));

-- Location: LCCOMB_X69_Y3_N18
\led_flash_cnt[1538][0]~82178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1538][0]~82178_combout\ = !\led_flash_cnt[1538][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1538][0]~q\,
	combout => \led_flash_cnt[1538][0]~82178_combout\);

-- Location: FF_X69_Y3_N19
\led_flash_cnt[1538][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1538][0]~82178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1538][0]~q\);

-- Location: LCCOMB_X70_Y3_N2
\led_flash_cnt[1538][1]~48412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1538][1]~48412_combout\ = (\led_flash_cnt[1538][0]~q\ & (\led_flash_cnt[1538][1]~q\ $ (VCC))) # (!\led_flash_cnt[1538][0]~q\ & (\led_flash_cnt[1538][1]~q\ & VCC))
-- \led_flash_cnt[1538][1]~48413\ = CARRY((\led_flash_cnt[1538][0]~q\ & \led_flash_cnt[1538][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1538][0]~q\,
	datab => \led_flash_cnt[1538][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1538][1]~48412_combout\,
	cout => \led_flash_cnt[1538][1]~48413\);

-- Location: FF_X70_Y3_N3
\led_flash_cnt[1538][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1538][1]~48412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1538][1]~q\);

-- Location: LCCOMB_X70_Y3_N4
\led_flash_cnt[1538][2]~48414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1538][2]~48414_combout\ = (\led_flash_cnt[1538][2]~q\ & (!\led_flash_cnt[1538][1]~48413\)) # (!\led_flash_cnt[1538][2]~q\ & ((\led_flash_cnt[1538][1]~48413\) # (GND)))
-- \led_flash_cnt[1538][2]~48415\ = CARRY((!\led_flash_cnt[1538][1]~48413\) # (!\led_flash_cnt[1538][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1538][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1538][1]~48413\,
	combout => \led_flash_cnt[1538][2]~48414_combout\,
	cout => \led_flash_cnt[1538][2]~48415\);

-- Location: FF_X70_Y3_N5
\led_flash_cnt[1538][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1538][2]~48414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1538][2]~q\);

-- Location: LCCOMB_X70_Y3_N6
\led_flash_cnt[1538][3]~48416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1538][3]~48416_combout\ = (\led_flash_cnt[1538][3]~q\ & (\led_flash_cnt[1538][2]~48415\ $ (GND))) # (!\led_flash_cnt[1538][3]~q\ & (!\led_flash_cnt[1538][2]~48415\ & VCC))
-- \led_flash_cnt[1538][3]~48417\ = CARRY((\led_flash_cnt[1538][3]~q\ & !\led_flash_cnt[1538][2]~48415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1538][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1538][2]~48415\,
	combout => \led_flash_cnt[1538][3]~48416_combout\,
	cout => \led_flash_cnt[1538][3]~48417\);

-- Location: FF_X70_Y3_N7
\led_flash_cnt[1538][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1538][3]~48416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1538][3]~q\);

-- Location: LCCOMB_X70_Y3_N8
\led_flash_cnt[1538][4]~48418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1538][4]~48418_combout\ = (\led_flash_cnt[1538][4]~q\ & (!\led_flash_cnt[1538][3]~48417\)) # (!\led_flash_cnt[1538][4]~q\ & ((\led_flash_cnt[1538][3]~48417\) # (GND)))
-- \led_flash_cnt[1538][4]~48419\ = CARRY((!\led_flash_cnt[1538][3]~48417\) # (!\led_flash_cnt[1538][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1538][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1538][3]~48417\,
	combout => \led_flash_cnt[1538][4]~48418_combout\,
	cout => \led_flash_cnt[1538][4]~48419\);

-- Location: FF_X70_Y3_N9
\led_flash_cnt[1538][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1538][4]~48418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1538][4]~q\);

-- Location: LCCOMB_X70_Y3_N10
\led_flash_cnt[1538][5]~48420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1538][5]~48420_combout\ = (\led_flash_cnt[1538][5]~q\ & (\led_flash_cnt[1538][4]~48419\ $ (GND))) # (!\led_flash_cnt[1538][5]~q\ & (!\led_flash_cnt[1538][4]~48419\ & VCC))
-- \led_flash_cnt[1538][5]~48421\ = CARRY((\led_flash_cnt[1538][5]~q\ & !\led_flash_cnt[1538][4]~48419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1538][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1538][4]~48419\,
	combout => \led_flash_cnt[1538][5]~48420_combout\,
	cout => \led_flash_cnt[1538][5]~48421\);

-- Location: FF_X70_Y3_N11
\led_flash_cnt[1538][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1538][5]~48420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1538][5]~q\);

-- Location: LCCOMB_X70_Y3_N12
\led_flash_cnt[1538][6]~48422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1538][6]~48422_combout\ = (\led_flash_cnt[1538][6]~q\ & (!\led_flash_cnt[1538][5]~48421\)) # (!\led_flash_cnt[1538][6]~q\ & ((\led_flash_cnt[1538][5]~48421\) # (GND)))
-- \led_flash_cnt[1538][6]~48423\ = CARRY((!\led_flash_cnt[1538][5]~48421\) # (!\led_flash_cnt[1538][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1538][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1538][5]~48421\,
	combout => \led_flash_cnt[1538][6]~48422_combout\,
	cout => \led_flash_cnt[1538][6]~48423\);

-- Location: FF_X70_Y3_N13
\led_flash_cnt[1538][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1538][6]~48422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1538][6]~q\);

-- Location: LCCOMB_X69_Y3_N30
\WideAnd1538~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1538~1_combout\ = (\led_flash_cnt[1538][6]~q\ & \led_flash_cnt[1538][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1538][6]~q\,
	datac => \led_flash_cnt[1538][5]~q\,
	combout => \WideAnd1538~1_combout\);

-- Location: LCCOMB_X70_Y3_N14
\led_flash_cnt[1538][7]~48424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1538][7]~48424_combout\ = \led_flash_cnt[1538][7]~q\ $ (!\led_flash_cnt[1538][6]~48423\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1538][7]~q\,
	cin => \led_flash_cnt[1538][6]~48423\,
	combout => \led_flash_cnt[1538][7]~48424_combout\);

-- Location: FF_X70_Y3_N15
\led_flash_cnt[1538][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1538][7]~48424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1538][7]~q\);

-- Location: LCCOMB_X70_Y3_N16
\WideAnd1538~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1538~0_combout\ = (\led_flash_cnt[1538][3]~q\ & (\led_flash_cnt[1538][4]~q\ & (\led_flash_cnt[1538][2]~q\ & \led_flash_cnt[1538][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1538][3]~q\,
	datab => \led_flash_cnt[1538][4]~q\,
	datac => \led_flash_cnt[1538][2]~q\,
	datad => \led_flash_cnt[1538][1]~q\,
	combout => \WideAnd1538~0_combout\);

-- Location: LCCOMB_X69_Y3_N16
WideAnd1538 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1538~combout\ = (\WideAnd1538~1_combout\ & (\led_flash_cnt[1538][0]~q\ & (\led_flash_cnt[1538][7]~q\ & \WideAnd1538~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1538~1_combout\,
	datab => \led_flash_cnt[1538][0]~q\,
	datac => \led_flash_cnt[1538][7]~q\,
	datad => \WideAnd1538~0_combout\,
	combout => \WideAnd1538~combout\);

-- Location: FF_X69_Y3_N17
\led_flash_cnt_ands[1538]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1538~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1538));

-- Location: LCCOMB_X67_Y3_N22
\led_flash_cnt[1537][0]~82177\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1537][0]~82177_combout\ = !\led_flash_cnt[1537][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1537][0]~q\,
	combout => \led_flash_cnt[1537][0]~82177_combout\);

-- Location: FF_X67_Y3_N23
\led_flash_cnt[1537][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1537][0]~82177_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1537][0]~q\);

-- Location: LCCOMB_X67_Y3_N4
\led_flash_cnt[1537][1]~48398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1537][1]~48398_combout\ = (\led_flash_cnt[1537][0]~q\ & (\led_flash_cnt[1537][1]~q\ $ (VCC))) # (!\led_flash_cnt[1537][0]~q\ & (\led_flash_cnt[1537][1]~q\ & VCC))
-- \led_flash_cnt[1537][1]~48399\ = CARRY((\led_flash_cnt[1537][0]~q\ & \led_flash_cnt[1537][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1537][0]~q\,
	datab => \led_flash_cnt[1537][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1537][1]~48398_combout\,
	cout => \led_flash_cnt[1537][1]~48399\);

-- Location: FF_X67_Y3_N5
\led_flash_cnt[1537][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1537][1]~48398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1537][1]~q\);

-- Location: LCCOMB_X67_Y3_N6
\led_flash_cnt[1537][2]~48400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1537][2]~48400_combout\ = (\led_flash_cnt[1537][2]~q\ & (!\led_flash_cnt[1537][1]~48399\)) # (!\led_flash_cnt[1537][2]~q\ & ((\led_flash_cnt[1537][1]~48399\) # (GND)))
-- \led_flash_cnt[1537][2]~48401\ = CARRY((!\led_flash_cnt[1537][1]~48399\) # (!\led_flash_cnt[1537][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1537][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1537][1]~48399\,
	combout => \led_flash_cnt[1537][2]~48400_combout\,
	cout => \led_flash_cnt[1537][2]~48401\);

-- Location: FF_X67_Y3_N7
\led_flash_cnt[1537][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1537][2]~48400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1537][2]~q\);

-- Location: LCCOMB_X67_Y3_N8
\led_flash_cnt[1537][3]~48402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1537][3]~48402_combout\ = (\led_flash_cnt[1537][3]~q\ & (\led_flash_cnt[1537][2]~48401\ $ (GND))) # (!\led_flash_cnt[1537][3]~q\ & (!\led_flash_cnt[1537][2]~48401\ & VCC))
-- \led_flash_cnt[1537][3]~48403\ = CARRY((\led_flash_cnt[1537][3]~q\ & !\led_flash_cnt[1537][2]~48401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1537][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1537][2]~48401\,
	combout => \led_flash_cnt[1537][3]~48402_combout\,
	cout => \led_flash_cnt[1537][3]~48403\);

-- Location: FF_X67_Y3_N9
\led_flash_cnt[1537][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1537][3]~48402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1537][3]~q\);

-- Location: LCCOMB_X67_Y3_N10
\led_flash_cnt[1537][4]~48404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1537][4]~48404_combout\ = (\led_flash_cnt[1537][4]~q\ & (!\led_flash_cnt[1537][3]~48403\)) # (!\led_flash_cnt[1537][4]~q\ & ((\led_flash_cnt[1537][3]~48403\) # (GND)))
-- \led_flash_cnt[1537][4]~48405\ = CARRY((!\led_flash_cnt[1537][3]~48403\) # (!\led_flash_cnt[1537][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1537][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1537][3]~48403\,
	combout => \led_flash_cnt[1537][4]~48404_combout\,
	cout => \led_flash_cnt[1537][4]~48405\);

-- Location: FF_X67_Y3_N11
\led_flash_cnt[1537][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1537][4]~48404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1537][4]~q\);

-- Location: LCCOMB_X67_Y3_N12
\led_flash_cnt[1537][5]~48406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1537][5]~48406_combout\ = (\led_flash_cnt[1537][5]~q\ & (\led_flash_cnt[1537][4]~48405\ $ (GND))) # (!\led_flash_cnt[1537][5]~q\ & (!\led_flash_cnt[1537][4]~48405\ & VCC))
-- \led_flash_cnt[1537][5]~48407\ = CARRY((\led_flash_cnt[1537][5]~q\ & !\led_flash_cnt[1537][4]~48405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1537][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1537][4]~48405\,
	combout => \led_flash_cnt[1537][5]~48406_combout\,
	cout => \led_flash_cnt[1537][5]~48407\);

-- Location: FF_X67_Y3_N13
\led_flash_cnt[1537][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1537][5]~48406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1537][5]~q\);

-- Location: LCCOMB_X67_Y3_N14
\led_flash_cnt[1537][6]~48408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1537][6]~48408_combout\ = (\led_flash_cnt[1537][6]~q\ & (!\led_flash_cnt[1537][5]~48407\)) # (!\led_flash_cnt[1537][6]~q\ & ((\led_flash_cnt[1537][5]~48407\) # (GND)))
-- \led_flash_cnt[1537][6]~48409\ = CARRY((!\led_flash_cnt[1537][5]~48407\) # (!\led_flash_cnt[1537][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1537][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1537][5]~48407\,
	combout => \led_flash_cnt[1537][6]~48408_combout\,
	cout => \led_flash_cnt[1537][6]~48409\);

-- Location: FF_X67_Y3_N15
\led_flash_cnt[1537][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1537][6]~48408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1537][6]~q\);

-- Location: LCCOMB_X67_Y3_N16
\led_flash_cnt[1537][7]~48410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1537][7]~48410_combout\ = \led_flash_cnt[1537][6]~48409\ $ (!\led_flash_cnt[1537][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1537][7]~q\,
	cin => \led_flash_cnt[1537][6]~48409\,
	combout => \led_flash_cnt[1537][7]~48410_combout\);

-- Location: FF_X67_Y3_N17
\led_flash_cnt[1537][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1537][7]~48410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1537][7]~q\);

-- Location: LCCOMB_X67_Y3_N26
\WideAnd1537~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1537~1_combout\ = (\led_flash_cnt[1537][6]~q\ & \led_flash_cnt[1537][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1537][6]~q\,
	datad => \led_flash_cnt[1537][5]~q\,
	combout => \WideAnd1537~1_combout\);

-- Location: LCCOMB_X67_Y3_N18
\WideAnd1537~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1537~0_combout\ = (\led_flash_cnt[1537][4]~q\ & (\led_flash_cnt[1537][1]~q\ & (\led_flash_cnt[1537][3]~q\ & \led_flash_cnt[1537][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1537][4]~q\,
	datab => \led_flash_cnt[1537][1]~q\,
	datac => \led_flash_cnt[1537][3]~q\,
	datad => \led_flash_cnt[1537][2]~q\,
	combout => \WideAnd1537~0_combout\);

-- Location: LCCOMB_X67_Y3_N24
WideAnd1537 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1537~combout\ = (\led_flash_cnt[1537][0]~q\ & (\led_flash_cnt[1537][7]~q\ & (\WideAnd1537~1_combout\ & \WideAnd1537~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1537][0]~q\,
	datab => \led_flash_cnt[1537][7]~q\,
	datac => \WideAnd1537~1_combout\,
	datad => \WideAnd1537~0_combout\,
	combout => \WideAnd1537~combout\);

-- Location: FF_X67_Y3_N25
\led_flash_cnt_ands[1537]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1537~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1537));

-- Location: LCCOMB_X67_Y3_N28
\WideAnd4032~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4032~0_combout\ = (led_flash_cnt_ands(1536) & (led_flash_cnt_ands(1539) & (led_flash_cnt_ands(1538) & led_flash_cnt_ands(1537))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1536),
	datab => led_flash_cnt_ands(1539),
	datac => led_flash_cnt_ands(1538),
	datad => led_flash_cnt_ands(1537),
	combout => \WideAnd4032~0_combout\);

-- Location: LCCOMB_X66_Y5_N8
WideAnd4032 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4032~combout\ = (\WideAnd4032~1_combout\ & (led_flash_cnt_ands(1542) & (led_flash_cnt_ands(1543) & \WideAnd4032~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4032~1_combout\,
	datab => led_flash_cnt_ands(1542),
	datac => led_flash_cnt_ands(1543),
	datad => \WideAnd4032~0_combout\,
	combout => \WideAnd4032~combout\);

-- Location: FF_X66_Y5_N9
\led_flash_cnt_ands_1[192]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4032~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(192));

-- Location: LCCOMB_X49_Y2_N24
\led_flash_cnt[1562][0]~82202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1562][0]~82202_combout\ = !\led_flash_cnt[1562][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1562][0]~q\,
	combout => \led_flash_cnt[1562][0]~82202_combout\);

-- Location: FF_X49_Y2_N25
\led_flash_cnt[1562][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1562][0]~82202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1562][0]~q\);

-- Location: LCCOMB_X49_Y2_N6
\led_flash_cnt[1562][1]~48748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1562][1]~48748_combout\ = (\led_flash_cnt[1562][1]~q\ & (\led_flash_cnt[1562][0]~q\ $ (VCC))) # (!\led_flash_cnt[1562][1]~q\ & (\led_flash_cnt[1562][0]~q\ & VCC))
-- \led_flash_cnt[1562][1]~48749\ = CARRY((\led_flash_cnt[1562][1]~q\ & \led_flash_cnt[1562][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1562][1]~q\,
	datab => \led_flash_cnt[1562][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1562][1]~48748_combout\,
	cout => \led_flash_cnt[1562][1]~48749\);

-- Location: FF_X49_Y2_N7
\led_flash_cnt[1562][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1562][1]~48748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1562][1]~q\);

-- Location: LCCOMB_X49_Y2_N8
\led_flash_cnt[1562][2]~48750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1562][2]~48750_combout\ = (\led_flash_cnt[1562][2]~q\ & (!\led_flash_cnt[1562][1]~48749\)) # (!\led_flash_cnt[1562][2]~q\ & ((\led_flash_cnt[1562][1]~48749\) # (GND)))
-- \led_flash_cnt[1562][2]~48751\ = CARRY((!\led_flash_cnt[1562][1]~48749\) # (!\led_flash_cnt[1562][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1562][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1562][1]~48749\,
	combout => \led_flash_cnt[1562][2]~48750_combout\,
	cout => \led_flash_cnt[1562][2]~48751\);

-- Location: FF_X49_Y2_N9
\led_flash_cnt[1562][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1562][2]~48750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1562][2]~q\);

-- Location: LCCOMB_X49_Y2_N10
\led_flash_cnt[1562][3]~48752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1562][3]~48752_combout\ = (\led_flash_cnt[1562][3]~q\ & (\led_flash_cnt[1562][2]~48751\ $ (GND))) # (!\led_flash_cnt[1562][3]~q\ & (!\led_flash_cnt[1562][2]~48751\ & VCC))
-- \led_flash_cnt[1562][3]~48753\ = CARRY((\led_flash_cnt[1562][3]~q\ & !\led_flash_cnt[1562][2]~48751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1562][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1562][2]~48751\,
	combout => \led_flash_cnt[1562][3]~48752_combout\,
	cout => \led_flash_cnt[1562][3]~48753\);

-- Location: FF_X49_Y2_N11
\led_flash_cnt[1562][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1562][3]~48752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1562][3]~q\);

-- Location: LCCOMB_X49_Y2_N12
\led_flash_cnt[1562][4]~48754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1562][4]~48754_combout\ = (\led_flash_cnt[1562][4]~q\ & (!\led_flash_cnt[1562][3]~48753\)) # (!\led_flash_cnt[1562][4]~q\ & ((\led_flash_cnt[1562][3]~48753\) # (GND)))
-- \led_flash_cnt[1562][4]~48755\ = CARRY((!\led_flash_cnt[1562][3]~48753\) # (!\led_flash_cnt[1562][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1562][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1562][3]~48753\,
	combout => \led_flash_cnt[1562][4]~48754_combout\,
	cout => \led_flash_cnt[1562][4]~48755\);

-- Location: FF_X49_Y2_N13
\led_flash_cnt[1562][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1562][4]~48754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1562][4]~q\);

-- Location: LCCOMB_X49_Y2_N22
\WideAnd1562~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1562~0_combout\ = (\led_flash_cnt[1562][3]~q\ & (\led_flash_cnt[1562][4]~q\ & (\led_flash_cnt[1562][2]~q\ & \led_flash_cnt[1562][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1562][3]~q\,
	datab => \led_flash_cnt[1562][4]~q\,
	datac => \led_flash_cnt[1562][2]~q\,
	datad => \led_flash_cnt[1562][1]~q\,
	combout => \WideAnd1562~0_combout\);

-- Location: LCCOMB_X49_Y2_N14
\led_flash_cnt[1562][5]~48756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1562][5]~48756_combout\ = (\led_flash_cnt[1562][5]~q\ & (\led_flash_cnt[1562][4]~48755\ $ (GND))) # (!\led_flash_cnt[1562][5]~q\ & (!\led_flash_cnt[1562][4]~48755\ & VCC))
-- \led_flash_cnt[1562][5]~48757\ = CARRY((\led_flash_cnt[1562][5]~q\ & !\led_flash_cnt[1562][4]~48755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1562][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1562][4]~48755\,
	combout => \led_flash_cnt[1562][5]~48756_combout\,
	cout => \led_flash_cnt[1562][5]~48757\);

-- Location: FF_X49_Y2_N15
\led_flash_cnt[1562][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1562][5]~48756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1562][5]~q\);

-- Location: LCCOMB_X49_Y2_N16
\led_flash_cnt[1562][6]~48758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1562][6]~48758_combout\ = (\led_flash_cnt[1562][6]~q\ & (!\led_flash_cnt[1562][5]~48757\)) # (!\led_flash_cnt[1562][6]~q\ & ((\led_flash_cnt[1562][5]~48757\) # (GND)))
-- \led_flash_cnt[1562][6]~48759\ = CARRY((!\led_flash_cnt[1562][5]~48757\) # (!\led_flash_cnt[1562][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1562][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1562][5]~48757\,
	combout => \led_flash_cnt[1562][6]~48758_combout\,
	cout => \led_flash_cnt[1562][6]~48759\);

-- Location: FF_X49_Y2_N17
\led_flash_cnt[1562][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1562][6]~48758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1562][6]~q\);

-- Location: LCCOMB_X49_Y2_N18
\led_flash_cnt[1562][7]~48760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1562][7]~48760_combout\ = \led_flash_cnt[1562][6]~48759\ $ (!\led_flash_cnt[1562][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1562][7]~q\,
	cin => \led_flash_cnt[1562][6]~48759\,
	combout => \led_flash_cnt[1562][7]~48760_combout\);

-- Location: FF_X49_Y2_N19
\led_flash_cnt[1562][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1562][7]~48760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1562][7]~q\);

-- Location: LCCOMB_X49_Y2_N4
\WideAnd1562~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1562~1_combout\ = (\led_flash_cnt[1562][5]~q\ & \led_flash_cnt[1562][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1562][5]~q\,
	datad => \led_flash_cnt[1562][6]~q\,
	combout => \WideAnd1562~1_combout\);

-- Location: LCCOMB_X49_Y2_N26
WideAnd1562 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1562~combout\ = (\WideAnd1562~0_combout\ & (\led_flash_cnt[1562][7]~q\ & (\WideAnd1562~1_combout\ & \led_flash_cnt[1562][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1562~0_combout\,
	datab => \led_flash_cnt[1562][7]~q\,
	datac => \WideAnd1562~1_combout\,
	datad => \led_flash_cnt[1562][0]~q\,
	combout => \WideAnd1562~combout\);

-- Location: FF_X49_Y2_N27
\led_flash_cnt_ands[1562]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1562~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1562));

-- Location: LCCOMB_X50_Y2_N6
\led_flash_cnt[1563][0]~82203\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1563][0]~82203_combout\ = !\led_flash_cnt[1563][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1563][0]~q\,
	combout => \led_flash_cnt[1563][0]~82203_combout\);

-- Location: FF_X50_Y2_N7
\led_flash_cnt[1563][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1563][0]~82203_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1563][0]~q\);

-- Location: LCCOMB_X51_Y2_N0
\led_flash_cnt[1563][1]~48762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1563][1]~48762_combout\ = (\led_flash_cnt[1563][0]~q\ & (\led_flash_cnt[1563][1]~q\ $ (VCC))) # (!\led_flash_cnt[1563][0]~q\ & (\led_flash_cnt[1563][1]~q\ & VCC))
-- \led_flash_cnt[1563][1]~48763\ = CARRY((\led_flash_cnt[1563][0]~q\ & \led_flash_cnt[1563][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1563][0]~q\,
	datab => \led_flash_cnt[1563][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1563][1]~48762_combout\,
	cout => \led_flash_cnt[1563][1]~48763\);

-- Location: FF_X51_Y2_N1
\led_flash_cnt[1563][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1563][1]~48762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1563][1]~q\);

-- Location: LCCOMB_X51_Y2_N2
\led_flash_cnt[1563][2]~48764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1563][2]~48764_combout\ = (\led_flash_cnt[1563][2]~q\ & (!\led_flash_cnt[1563][1]~48763\)) # (!\led_flash_cnt[1563][2]~q\ & ((\led_flash_cnt[1563][1]~48763\) # (GND)))
-- \led_flash_cnt[1563][2]~48765\ = CARRY((!\led_flash_cnt[1563][1]~48763\) # (!\led_flash_cnt[1563][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1563][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1563][1]~48763\,
	combout => \led_flash_cnt[1563][2]~48764_combout\,
	cout => \led_flash_cnt[1563][2]~48765\);

-- Location: FF_X51_Y2_N3
\led_flash_cnt[1563][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1563][2]~48764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1563][2]~q\);

-- Location: LCCOMB_X51_Y2_N4
\led_flash_cnt[1563][3]~48766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1563][3]~48766_combout\ = (\led_flash_cnt[1563][3]~q\ & (\led_flash_cnt[1563][2]~48765\ $ (GND))) # (!\led_flash_cnt[1563][3]~q\ & (!\led_flash_cnt[1563][2]~48765\ & VCC))
-- \led_flash_cnt[1563][3]~48767\ = CARRY((\led_flash_cnt[1563][3]~q\ & !\led_flash_cnt[1563][2]~48765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1563][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1563][2]~48765\,
	combout => \led_flash_cnt[1563][3]~48766_combout\,
	cout => \led_flash_cnt[1563][3]~48767\);

-- Location: FF_X51_Y2_N5
\led_flash_cnt[1563][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1563][3]~48766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1563][3]~q\);

-- Location: LCCOMB_X51_Y2_N6
\led_flash_cnt[1563][4]~48768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1563][4]~48768_combout\ = (\led_flash_cnt[1563][4]~q\ & (!\led_flash_cnt[1563][3]~48767\)) # (!\led_flash_cnt[1563][4]~q\ & ((\led_flash_cnt[1563][3]~48767\) # (GND)))
-- \led_flash_cnt[1563][4]~48769\ = CARRY((!\led_flash_cnt[1563][3]~48767\) # (!\led_flash_cnt[1563][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1563][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1563][3]~48767\,
	combout => \led_flash_cnt[1563][4]~48768_combout\,
	cout => \led_flash_cnt[1563][4]~48769\);

-- Location: FF_X51_Y2_N7
\led_flash_cnt[1563][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1563][4]~48768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1563][4]~q\);

-- Location: LCCOMB_X51_Y2_N8
\led_flash_cnt[1563][5]~48770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1563][5]~48770_combout\ = (\led_flash_cnt[1563][5]~q\ & (\led_flash_cnt[1563][4]~48769\ $ (GND))) # (!\led_flash_cnt[1563][5]~q\ & (!\led_flash_cnt[1563][4]~48769\ & VCC))
-- \led_flash_cnt[1563][5]~48771\ = CARRY((\led_flash_cnt[1563][5]~q\ & !\led_flash_cnt[1563][4]~48769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1563][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1563][4]~48769\,
	combout => \led_flash_cnt[1563][5]~48770_combout\,
	cout => \led_flash_cnt[1563][5]~48771\);

-- Location: FF_X51_Y2_N9
\led_flash_cnt[1563][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1563][5]~48770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1563][5]~q\);

-- Location: LCCOMB_X51_Y2_N10
\led_flash_cnt[1563][6]~48772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1563][6]~48772_combout\ = (\led_flash_cnt[1563][6]~q\ & (!\led_flash_cnt[1563][5]~48771\)) # (!\led_flash_cnt[1563][6]~q\ & ((\led_flash_cnt[1563][5]~48771\) # (GND)))
-- \led_flash_cnt[1563][6]~48773\ = CARRY((!\led_flash_cnt[1563][5]~48771\) # (!\led_flash_cnt[1563][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1563][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1563][5]~48771\,
	combout => \led_flash_cnt[1563][6]~48772_combout\,
	cout => \led_flash_cnt[1563][6]~48773\);

-- Location: FF_X51_Y2_N11
\led_flash_cnt[1563][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1563][6]~48772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1563][6]~q\);

-- Location: LCCOMB_X50_Y2_N10
\WideAnd1563~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1563~1_combout\ = (\led_flash_cnt[1563][6]~q\ & \led_flash_cnt[1563][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1563][6]~q\,
	datac => \led_flash_cnt[1563][5]~q\,
	combout => \WideAnd1563~1_combout\);

-- Location: LCCOMB_X51_Y2_N28
\WideAnd1563~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1563~0_combout\ = (\led_flash_cnt[1563][4]~q\ & (\led_flash_cnt[1563][1]~q\ & (\led_flash_cnt[1563][3]~q\ & \led_flash_cnt[1563][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1563][4]~q\,
	datab => \led_flash_cnt[1563][1]~q\,
	datac => \led_flash_cnt[1563][3]~q\,
	datad => \led_flash_cnt[1563][2]~q\,
	combout => \WideAnd1563~0_combout\);

-- Location: LCCOMB_X51_Y2_N12
\led_flash_cnt[1563][7]~48774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1563][7]~48774_combout\ = \led_flash_cnt[1563][6]~48773\ $ (!\led_flash_cnt[1563][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1563][7]~q\,
	cin => \led_flash_cnt[1563][6]~48773\,
	combout => \led_flash_cnt[1563][7]~48774_combout\);

-- Location: FF_X51_Y2_N13
\led_flash_cnt[1563][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1563][7]~48774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1563][7]~q\);

-- Location: LCCOMB_X50_Y2_N2
WideAnd1563 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1563~combout\ = (\WideAnd1563~1_combout\ & (\WideAnd1563~0_combout\ & (\led_flash_cnt[1563][7]~q\ & \led_flash_cnt[1563][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1563~1_combout\,
	datab => \WideAnd1563~0_combout\,
	datac => \led_flash_cnt[1563][7]~q\,
	datad => \led_flash_cnt[1563][0]~q\,
	combout => \WideAnd1563~combout\);

-- Location: FF_X50_Y2_N3
\led_flash_cnt_ands[1563]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1563~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1563));

-- Location: LCCOMB_X54_Y2_N22
\led_flash_cnt[1560][0]~82200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1560][0]~82200_combout\ = !\led_flash_cnt[1560][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1560][0]~q\,
	combout => \led_flash_cnt[1560][0]~82200_combout\);

-- Location: FF_X54_Y2_N23
\led_flash_cnt[1560][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1560][0]~82200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1560][0]~q\);

-- Location: LCCOMB_X54_Y2_N4
\led_flash_cnt[1560][1]~48720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1560][1]~48720_combout\ = (\led_flash_cnt[1560][0]~q\ & (\led_flash_cnt[1560][1]~q\ $ (VCC))) # (!\led_flash_cnt[1560][0]~q\ & (\led_flash_cnt[1560][1]~q\ & VCC))
-- \led_flash_cnt[1560][1]~48721\ = CARRY((\led_flash_cnt[1560][0]~q\ & \led_flash_cnt[1560][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1560][0]~q\,
	datab => \led_flash_cnt[1560][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1560][1]~48720_combout\,
	cout => \led_flash_cnt[1560][1]~48721\);

-- Location: FF_X54_Y2_N5
\led_flash_cnt[1560][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1560][1]~48720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1560][1]~q\);

-- Location: LCCOMB_X54_Y2_N6
\led_flash_cnt[1560][2]~48722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1560][2]~48722_combout\ = (\led_flash_cnt[1560][2]~q\ & (!\led_flash_cnt[1560][1]~48721\)) # (!\led_flash_cnt[1560][2]~q\ & ((\led_flash_cnt[1560][1]~48721\) # (GND)))
-- \led_flash_cnt[1560][2]~48723\ = CARRY((!\led_flash_cnt[1560][1]~48721\) # (!\led_flash_cnt[1560][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1560][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1560][1]~48721\,
	combout => \led_flash_cnt[1560][2]~48722_combout\,
	cout => \led_flash_cnt[1560][2]~48723\);

-- Location: FF_X54_Y2_N7
\led_flash_cnt[1560][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1560][2]~48722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1560][2]~q\);

-- Location: LCCOMB_X54_Y2_N8
\led_flash_cnt[1560][3]~48724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1560][3]~48724_combout\ = (\led_flash_cnt[1560][3]~q\ & (\led_flash_cnt[1560][2]~48723\ $ (GND))) # (!\led_flash_cnt[1560][3]~q\ & (!\led_flash_cnt[1560][2]~48723\ & VCC))
-- \led_flash_cnt[1560][3]~48725\ = CARRY((\led_flash_cnt[1560][3]~q\ & !\led_flash_cnt[1560][2]~48723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1560][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1560][2]~48723\,
	combout => \led_flash_cnt[1560][3]~48724_combout\,
	cout => \led_flash_cnt[1560][3]~48725\);

-- Location: FF_X54_Y2_N9
\led_flash_cnt[1560][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1560][3]~48724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1560][3]~q\);

-- Location: LCCOMB_X54_Y2_N10
\led_flash_cnt[1560][4]~48726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1560][4]~48726_combout\ = (\led_flash_cnt[1560][4]~q\ & (!\led_flash_cnt[1560][3]~48725\)) # (!\led_flash_cnt[1560][4]~q\ & ((\led_flash_cnt[1560][3]~48725\) # (GND)))
-- \led_flash_cnt[1560][4]~48727\ = CARRY((!\led_flash_cnt[1560][3]~48725\) # (!\led_flash_cnt[1560][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1560][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1560][3]~48725\,
	combout => \led_flash_cnt[1560][4]~48726_combout\,
	cout => \led_flash_cnt[1560][4]~48727\);

-- Location: FF_X54_Y2_N11
\led_flash_cnt[1560][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1560][4]~48726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1560][4]~q\);

-- Location: LCCOMB_X54_Y2_N12
\led_flash_cnt[1560][5]~48728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1560][5]~48728_combout\ = (\led_flash_cnt[1560][5]~q\ & (\led_flash_cnt[1560][4]~48727\ $ (GND))) # (!\led_flash_cnt[1560][5]~q\ & (!\led_flash_cnt[1560][4]~48727\ & VCC))
-- \led_flash_cnt[1560][5]~48729\ = CARRY((\led_flash_cnt[1560][5]~q\ & !\led_flash_cnt[1560][4]~48727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1560][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1560][4]~48727\,
	combout => \led_flash_cnt[1560][5]~48728_combout\,
	cout => \led_flash_cnt[1560][5]~48729\);

-- Location: FF_X54_Y2_N13
\led_flash_cnt[1560][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1560][5]~48728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1560][5]~q\);

-- Location: LCCOMB_X54_Y2_N14
\led_flash_cnt[1560][6]~48730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1560][6]~48730_combout\ = (\led_flash_cnt[1560][6]~q\ & (!\led_flash_cnt[1560][5]~48729\)) # (!\led_flash_cnt[1560][6]~q\ & ((\led_flash_cnt[1560][5]~48729\) # (GND)))
-- \led_flash_cnt[1560][6]~48731\ = CARRY((!\led_flash_cnt[1560][5]~48729\) # (!\led_flash_cnt[1560][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1560][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1560][5]~48729\,
	combout => \led_flash_cnt[1560][6]~48730_combout\,
	cout => \led_flash_cnt[1560][6]~48731\);

-- Location: FF_X54_Y2_N15
\led_flash_cnt[1560][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1560][6]~48730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1560][6]~q\);

-- Location: LCCOMB_X54_Y2_N16
\led_flash_cnt[1560][7]~48732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1560][7]~48732_combout\ = \led_flash_cnt[1560][6]~48731\ $ (!\led_flash_cnt[1560][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1560][7]~q\,
	cin => \led_flash_cnt[1560][6]~48731\,
	combout => \led_flash_cnt[1560][7]~48732_combout\);

-- Location: FF_X54_Y2_N17
\led_flash_cnt[1560][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1560][7]~48732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1560][7]~q\);

-- Location: LCCOMB_X54_Y2_N26
\WideAnd1560~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1560~1_combout\ = (\led_flash_cnt[1560][6]~q\ & \led_flash_cnt[1560][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1560][6]~q\,
	datad => \led_flash_cnt[1560][5]~q\,
	combout => \WideAnd1560~1_combout\);

-- Location: LCCOMB_X54_Y2_N18
\WideAnd1560~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1560~0_combout\ = (\led_flash_cnt[1560][4]~q\ & (\led_flash_cnt[1560][3]~q\ & (\led_flash_cnt[1560][1]~q\ & \led_flash_cnt[1560][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1560][4]~q\,
	datab => \led_flash_cnt[1560][3]~q\,
	datac => \led_flash_cnt[1560][1]~q\,
	datad => \led_flash_cnt[1560][2]~q\,
	combout => \WideAnd1560~0_combout\);

-- Location: LCCOMB_X54_Y2_N24
WideAnd1560 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1560~combout\ = (\led_flash_cnt[1560][0]~q\ & (\led_flash_cnt[1560][7]~q\ & (\WideAnd1560~1_combout\ & \WideAnd1560~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1560][0]~q\,
	datab => \led_flash_cnt[1560][7]~q\,
	datac => \WideAnd1560~1_combout\,
	datad => \WideAnd1560~0_combout\,
	combout => \WideAnd1560~combout\);

-- Location: FF_X54_Y2_N25
\led_flash_cnt_ands[1560]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1560~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1560));

-- Location: LCCOMB_X50_Y2_N12
\led_flash_cnt[1561][0]~82201\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1561][0]~82201_combout\ = !\led_flash_cnt[1561][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1561][0]~q\,
	combout => \led_flash_cnt[1561][0]~82201_combout\);

-- Location: FF_X50_Y2_N13
\led_flash_cnt[1561][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1561][0]~82201_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1561][0]~q\);

-- Location: LCCOMB_X50_Y2_N18
\led_flash_cnt[1561][1]~48734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1561][1]~48734_combout\ = (\led_flash_cnt[1561][0]~q\ & (\led_flash_cnt[1561][1]~q\ $ (VCC))) # (!\led_flash_cnt[1561][0]~q\ & (\led_flash_cnt[1561][1]~q\ & VCC))
-- \led_flash_cnt[1561][1]~48735\ = CARRY((\led_flash_cnt[1561][0]~q\ & \led_flash_cnt[1561][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1561][0]~q\,
	datab => \led_flash_cnt[1561][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1561][1]~48734_combout\,
	cout => \led_flash_cnt[1561][1]~48735\);

-- Location: FF_X50_Y2_N19
\led_flash_cnt[1561][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1561][1]~48734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1561][1]~q\);

-- Location: LCCOMB_X50_Y2_N20
\led_flash_cnt[1561][2]~48736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1561][2]~48736_combout\ = (\led_flash_cnt[1561][2]~q\ & (!\led_flash_cnt[1561][1]~48735\)) # (!\led_flash_cnt[1561][2]~q\ & ((\led_flash_cnt[1561][1]~48735\) # (GND)))
-- \led_flash_cnt[1561][2]~48737\ = CARRY((!\led_flash_cnt[1561][1]~48735\) # (!\led_flash_cnt[1561][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1561][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1561][1]~48735\,
	combout => \led_flash_cnt[1561][2]~48736_combout\,
	cout => \led_flash_cnt[1561][2]~48737\);

-- Location: FF_X50_Y2_N21
\led_flash_cnt[1561][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1561][2]~48736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1561][2]~q\);

-- Location: LCCOMB_X50_Y2_N22
\led_flash_cnt[1561][3]~48738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1561][3]~48738_combout\ = (\led_flash_cnt[1561][3]~q\ & (\led_flash_cnt[1561][2]~48737\ $ (GND))) # (!\led_flash_cnt[1561][3]~q\ & (!\led_flash_cnt[1561][2]~48737\ & VCC))
-- \led_flash_cnt[1561][3]~48739\ = CARRY((\led_flash_cnt[1561][3]~q\ & !\led_flash_cnt[1561][2]~48737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1561][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1561][2]~48737\,
	combout => \led_flash_cnt[1561][3]~48738_combout\,
	cout => \led_flash_cnt[1561][3]~48739\);

-- Location: FF_X50_Y2_N23
\led_flash_cnt[1561][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1561][3]~48738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1561][3]~q\);

-- Location: LCCOMB_X50_Y2_N24
\led_flash_cnt[1561][4]~48740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1561][4]~48740_combout\ = (\led_flash_cnt[1561][4]~q\ & (!\led_flash_cnt[1561][3]~48739\)) # (!\led_flash_cnt[1561][4]~q\ & ((\led_flash_cnt[1561][3]~48739\) # (GND)))
-- \led_flash_cnt[1561][4]~48741\ = CARRY((!\led_flash_cnt[1561][3]~48739\) # (!\led_flash_cnt[1561][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1561][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1561][3]~48739\,
	combout => \led_flash_cnt[1561][4]~48740_combout\,
	cout => \led_flash_cnt[1561][4]~48741\);

-- Location: FF_X50_Y2_N25
\led_flash_cnt[1561][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1561][4]~48740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1561][4]~q\);

-- Location: LCCOMB_X50_Y2_N26
\led_flash_cnt[1561][5]~48742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1561][5]~48742_combout\ = (\led_flash_cnt[1561][5]~q\ & (\led_flash_cnt[1561][4]~48741\ $ (GND))) # (!\led_flash_cnt[1561][5]~q\ & (!\led_flash_cnt[1561][4]~48741\ & VCC))
-- \led_flash_cnt[1561][5]~48743\ = CARRY((\led_flash_cnt[1561][5]~q\ & !\led_flash_cnt[1561][4]~48741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1561][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1561][4]~48741\,
	combout => \led_flash_cnt[1561][5]~48742_combout\,
	cout => \led_flash_cnt[1561][5]~48743\);

-- Location: FF_X50_Y2_N27
\led_flash_cnt[1561][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1561][5]~48742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1561][5]~q\);

-- Location: LCCOMB_X50_Y2_N28
\led_flash_cnt[1561][6]~48744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1561][6]~48744_combout\ = (\led_flash_cnt[1561][6]~q\ & (!\led_flash_cnt[1561][5]~48743\)) # (!\led_flash_cnt[1561][6]~q\ & ((\led_flash_cnt[1561][5]~48743\) # (GND)))
-- \led_flash_cnt[1561][6]~48745\ = CARRY((!\led_flash_cnt[1561][5]~48743\) # (!\led_flash_cnt[1561][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1561][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1561][5]~48743\,
	combout => \led_flash_cnt[1561][6]~48744_combout\,
	cout => \led_flash_cnt[1561][6]~48745\);

-- Location: FF_X50_Y2_N29
\led_flash_cnt[1561][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1561][6]~48744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1561][6]~q\);

-- Location: LCCOMB_X50_Y2_N30
\led_flash_cnt[1561][7]~48746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1561][7]~48746_combout\ = \led_flash_cnt[1561][7]~q\ $ (!\led_flash_cnt[1561][6]~48745\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1561][7]~q\,
	cin => \led_flash_cnt[1561][6]~48745\,
	combout => \led_flash_cnt[1561][7]~48746_combout\);

-- Location: FF_X50_Y2_N31
\led_flash_cnt[1561][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1561][7]~48746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1561][7]~q\);

-- Location: LCCOMB_X50_Y2_N4
\WideAnd1561~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1561~1_combout\ = (\led_flash_cnt[1561][5]~q\ & \led_flash_cnt[1561][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1561][5]~q\,
	datad => \led_flash_cnt[1561][6]~q\,
	combout => \WideAnd1561~1_combout\);

-- Location: LCCOMB_X50_Y2_N8
\WideAnd1561~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1561~0_combout\ = (\led_flash_cnt[1561][4]~q\ & (\led_flash_cnt[1561][2]~q\ & (\led_flash_cnt[1561][3]~q\ & \led_flash_cnt[1561][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1561][4]~q\,
	datab => \led_flash_cnt[1561][2]~q\,
	datac => \led_flash_cnt[1561][3]~q\,
	datad => \led_flash_cnt[1561][1]~q\,
	combout => \WideAnd1561~0_combout\);

-- Location: LCCOMB_X50_Y2_N16
WideAnd1561 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1561~combout\ = (\led_flash_cnt[1561][7]~q\ & (\WideAnd1561~1_combout\ & (\WideAnd1561~0_combout\ & \led_flash_cnt[1561][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1561][7]~q\,
	datab => \WideAnd1561~1_combout\,
	datac => \WideAnd1561~0_combout\,
	datad => \led_flash_cnt[1561][0]~q\,
	combout => \WideAnd1561~combout\);

-- Location: FF_X50_Y2_N17
\led_flash_cnt_ands[1561]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1561~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1561));

-- Location: LCCOMB_X50_Y2_N14
\WideAnd4035~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4035~0_combout\ = (led_flash_cnt_ands(1562) & (led_flash_cnt_ands(1563) & (led_flash_cnt_ands(1560) & led_flash_cnt_ands(1561))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1562),
	datab => led_flash_cnt_ands(1563),
	datac => led_flash_cnt_ands(1560),
	datad => led_flash_cnt_ands(1561),
	combout => \WideAnd4035~0_combout\);

-- Location: LCCOMB_X34_Y14_N6
\led_flash_cnt[1565][0]~82205\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1565][0]~82205_combout\ = !\led_flash_cnt[1565][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1565][0]~q\,
	combout => \led_flash_cnt[1565][0]~82205_combout\);

-- Location: FF_X34_Y14_N7
\led_flash_cnt[1565][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1565][0]~82205_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1565][0]~q\);

-- Location: LCCOMB_X34_Y10_N0
\led_flash_cnt[1565][1]~48790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1565][1]~48790_combout\ = (\led_flash_cnt[1565][0]~q\ & (\led_flash_cnt[1565][1]~q\ $ (VCC))) # (!\led_flash_cnt[1565][0]~q\ & (\led_flash_cnt[1565][1]~q\ & VCC))
-- \led_flash_cnt[1565][1]~48791\ = CARRY((\led_flash_cnt[1565][0]~q\ & \led_flash_cnt[1565][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1565][0]~q\,
	datab => \led_flash_cnt[1565][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1565][1]~48790_combout\,
	cout => \led_flash_cnt[1565][1]~48791\);

-- Location: FF_X34_Y10_N1
\led_flash_cnt[1565][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1565][1]~48790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1565][1]~q\);

-- Location: LCCOMB_X34_Y10_N2
\led_flash_cnt[1565][2]~48792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1565][2]~48792_combout\ = (\led_flash_cnt[1565][2]~q\ & (!\led_flash_cnt[1565][1]~48791\)) # (!\led_flash_cnt[1565][2]~q\ & ((\led_flash_cnt[1565][1]~48791\) # (GND)))
-- \led_flash_cnt[1565][2]~48793\ = CARRY((!\led_flash_cnt[1565][1]~48791\) # (!\led_flash_cnt[1565][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1565][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1565][1]~48791\,
	combout => \led_flash_cnt[1565][2]~48792_combout\,
	cout => \led_flash_cnt[1565][2]~48793\);

-- Location: FF_X34_Y10_N3
\led_flash_cnt[1565][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1565][2]~48792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1565][2]~q\);

-- Location: LCCOMB_X34_Y10_N4
\led_flash_cnt[1565][3]~48794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1565][3]~48794_combout\ = (\led_flash_cnt[1565][3]~q\ & (\led_flash_cnt[1565][2]~48793\ $ (GND))) # (!\led_flash_cnt[1565][3]~q\ & (!\led_flash_cnt[1565][2]~48793\ & VCC))
-- \led_flash_cnt[1565][3]~48795\ = CARRY((\led_flash_cnt[1565][3]~q\ & !\led_flash_cnt[1565][2]~48793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1565][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1565][2]~48793\,
	combout => \led_flash_cnt[1565][3]~48794_combout\,
	cout => \led_flash_cnt[1565][3]~48795\);

-- Location: FF_X34_Y10_N5
\led_flash_cnt[1565][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1565][3]~48794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1565][3]~q\);

-- Location: LCCOMB_X34_Y10_N6
\led_flash_cnt[1565][4]~48796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1565][4]~48796_combout\ = (\led_flash_cnt[1565][4]~q\ & (!\led_flash_cnt[1565][3]~48795\)) # (!\led_flash_cnt[1565][4]~q\ & ((\led_flash_cnt[1565][3]~48795\) # (GND)))
-- \led_flash_cnt[1565][4]~48797\ = CARRY((!\led_flash_cnt[1565][3]~48795\) # (!\led_flash_cnt[1565][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1565][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1565][3]~48795\,
	combout => \led_flash_cnt[1565][4]~48796_combout\,
	cout => \led_flash_cnt[1565][4]~48797\);

-- Location: FF_X34_Y10_N7
\led_flash_cnt[1565][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1565][4]~48796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1565][4]~q\);

-- Location: LCCOMB_X34_Y10_N16
\WideAnd1565~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1565~0_combout\ = (\led_flash_cnt[1565][4]~q\ & (\led_flash_cnt[1565][1]~q\ & (\led_flash_cnt[1565][3]~q\ & \led_flash_cnt[1565][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1565][4]~q\,
	datab => \led_flash_cnt[1565][1]~q\,
	datac => \led_flash_cnt[1565][3]~q\,
	datad => \led_flash_cnt[1565][2]~q\,
	combout => \WideAnd1565~0_combout\);

-- Location: LCCOMB_X34_Y10_N8
\led_flash_cnt[1565][5]~48798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1565][5]~48798_combout\ = (\led_flash_cnt[1565][5]~q\ & (\led_flash_cnt[1565][4]~48797\ $ (GND))) # (!\led_flash_cnt[1565][5]~q\ & (!\led_flash_cnt[1565][4]~48797\ & VCC))
-- \led_flash_cnt[1565][5]~48799\ = CARRY((\led_flash_cnt[1565][5]~q\ & !\led_flash_cnt[1565][4]~48797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1565][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1565][4]~48797\,
	combout => \led_flash_cnt[1565][5]~48798_combout\,
	cout => \led_flash_cnt[1565][5]~48799\);

-- Location: FF_X34_Y10_N9
\led_flash_cnt[1565][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1565][5]~48798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1565][5]~q\);

-- Location: LCCOMB_X34_Y10_N10
\led_flash_cnt[1565][6]~48800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1565][6]~48800_combout\ = (\led_flash_cnt[1565][6]~q\ & (!\led_flash_cnt[1565][5]~48799\)) # (!\led_flash_cnt[1565][6]~q\ & ((\led_flash_cnt[1565][5]~48799\) # (GND)))
-- \led_flash_cnt[1565][6]~48801\ = CARRY((!\led_flash_cnt[1565][5]~48799\) # (!\led_flash_cnt[1565][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1565][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1565][5]~48799\,
	combout => \led_flash_cnt[1565][6]~48800_combout\,
	cout => \led_flash_cnt[1565][6]~48801\);

-- Location: FF_X34_Y10_N11
\led_flash_cnt[1565][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1565][6]~48800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1565][6]~q\);

-- Location: LCCOMB_X34_Y14_N28
\WideAnd1565~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1565~1_combout\ = (\led_flash_cnt[1565][6]~q\ & \led_flash_cnt[1565][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1565][6]~q\,
	datad => \led_flash_cnt[1565][5]~q\,
	combout => \WideAnd1565~1_combout\);

-- Location: LCCOMB_X34_Y10_N12
\led_flash_cnt[1565][7]~48802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1565][7]~48802_combout\ = \led_flash_cnt[1565][6]~48801\ $ (!\led_flash_cnt[1565][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1565][7]~q\,
	cin => \led_flash_cnt[1565][6]~48801\,
	combout => \led_flash_cnt[1565][7]~48802_combout\);

-- Location: FF_X34_Y10_N13
\led_flash_cnt[1565][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1565][7]~48802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1565][7]~q\);

-- Location: LCCOMB_X34_Y14_N8
WideAnd1565 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1565~combout\ = (\WideAnd1565~0_combout\ & (\WideAnd1565~1_combout\ & (\led_flash_cnt[1565][7]~q\ & \led_flash_cnt[1565][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1565~0_combout\,
	datab => \WideAnd1565~1_combout\,
	datac => \led_flash_cnt[1565][7]~q\,
	datad => \led_flash_cnt[1565][0]~q\,
	combout => \WideAnd1565~combout\);

-- Location: FF_X34_Y14_N9
\led_flash_cnt_ands[1565]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1565~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1565));

-- Location: LCCOMB_X34_Y14_N2
\led_flash_cnt[1564][0]~82204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1564][0]~82204_combout\ = !\led_flash_cnt[1564][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1564][0]~q\,
	combout => \led_flash_cnt[1564][0]~82204_combout\);

-- Location: FF_X34_Y14_N3
\led_flash_cnt[1564][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1564][0]~82204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1564][0]~q\);

-- Location: LCCOMB_X34_Y14_N12
\led_flash_cnt[1564][1]~48776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1564][1]~48776_combout\ = (\led_flash_cnt[1564][1]~q\ & (\led_flash_cnt[1564][0]~q\ $ (VCC))) # (!\led_flash_cnt[1564][1]~q\ & (\led_flash_cnt[1564][0]~q\ & VCC))
-- \led_flash_cnt[1564][1]~48777\ = CARRY((\led_flash_cnt[1564][1]~q\ & \led_flash_cnt[1564][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1564][1]~q\,
	datab => \led_flash_cnt[1564][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1564][1]~48776_combout\,
	cout => \led_flash_cnt[1564][1]~48777\);

-- Location: FF_X34_Y14_N13
\led_flash_cnt[1564][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1564][1]~48776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1564][1]~q\);

-- Location: LCCOMB_X34_Y14_N14
\led_flash_cnt[1564][2]~48778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1564][2]~48778_combout\ = (\led_flash_cnt[1564][2]~q\ & (!\led_flash_cnt[1564][1]~48777\)) # (!\led_flash_cnt[1564][2]~q\ & ((\led_flash_cnt[1564][1]~48777\) # (GND)))
-- \led_flash_cnt[1564][2]~48779\ = CARRY((!\led_flash_cnt[1564][1]~48777\) # (!\led_flash_cnt[1564][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1564][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1564][1]~48777\,
	combout => \led_flash_cnt[1564][2]~48778_combout\,
	cout => \led_flash_cnt[1564][2]~48779\);

-- Location: FF_X34_Y14_N15
\led_flash_cnt[1564][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1564][2]~48778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1564][2]~q\);

-- Location: LCCOMB_X34_Y14_N16
\led_flash_cnt[1564][3]~48780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1564][3]~48780_combout\ = (\led_flash_cnt[1564][3]~q\ & (\led_flash_cnt[1564][2]~48779\ $ (GND))) # (!\led_flash_cnt[1564][3]~q\ & (!\led_flash_cnt[1564][2]~48779\ & VCC))
-- \led_flash_cnt[1564][3]~48781\ = CARRY((\led_flash_cnt[1564][3]~q\ & !\led_flash_cnt[1564][2]~48779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1564][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1564][2]~48779\,
	combout => \led_flash_cnt[1564][3]~48780_combout\,
	cout => \led_flash_cnt[1564][3]~48781\);

-- Location: FF_X34_Y14_N17
\led_flash_cnt[1564][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1564][3]~48780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1564][3]~q\);

-- Location: LCCOMB_X34_Y14_N18
\led_flash_cnt[1564][4]~48782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1564][4]~48782_combout\ = (\led_flash_cnt[1564][4]~q\ & (!\led_flash_cnt[1564][3]~48781\)) # (!\led_flash_cnt[1564][4]~q\ & ((\led_flash_cnt[1564][3]~48781\) # (GND)))
-- \led_flash_cnt[1564][4]~48783\ = CARRY((!\led_flash_cnt[1564][3]~48781\) # (!\led_flash_cnt[1564][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1564][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1564][3]~48781\,
	combout => \led_flash_cnt[1564][4]~48782_combout\,
	cout => \led_flash_cnt[1564][4]~48783\);

-- Location: FF_X34_Y14_N19
\led_flash_cnt[1564][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1564][4]~48782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1564][4]~q\);

-- Location: LCCOMB_X34_Y14_N20
\led_flash_cnt[1564][5]~48784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1564][5]~48784_combout\ = (\led_flash_cnt[1564][5]~q\ & (\led_flash_cnt[1564][4]~48783\ $ (GND))) # (!\led_flash_cnt[1564][5]~q\ & (!\led_flash_cnt[1564][4]~48783\ & VCC))
-- \led_flash_cnt[1564][5]~48785\ = CARRY((\led_flash_cnt[1564][5]~q\ & !\led_flash_cnt[1564][4]~48783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1564][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1564][4]~48783\,
	combout => \led_flash_cnt[1564][5]~48784_combout\,
	cout => \led_flash_cnt[1564][5]~48785\);

-- Location: FF_X34_Y14_N21
\led_flash_cnt[1564][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1564][5]~48784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1564][5]~q\);

-- Location: LCCOMB_X34_Y14_N22
\led_flash_cnt[1564][6]~48786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1564][6]~48786_combout\ = (\led_flash_cnt[1564][6]~q\ & (!\led_flash_cnt[1564][5]~48785\)) # (!\led_flash_cnt[1564][6]~q\ & ((\led_flash_cnt[1564][5]~48785\) # (GND)))
-- \led_flash_cnt[1564][6]~48787\ = CARRY((!\led_flash_cnt[1564][5]~48785\) # (!\led_flash_cnt[1564][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1564][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1564][5]~48785\,
	combout => \led_flash_cnt[1564][6]~48786_combout\,
	cout => \led_flash_cnt[1564][6]~48787\);

-- Location: FF_X34_Y14_N23
\led_flash_cnt[1564][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1564][6]~48786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1564][6]~q\);

-- Location: LCCOMB_X34_Y14_N30
\WideAnd1564~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1564~1_combout\ = (\led_flash_cnt[1564][6]~q\ & \led_flash_cnt[1564][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1564][6]~q\,
	datad => \led_flash_cnt[1564][5]~q\,
	combout => \WideAnd1564~1_combout\);

-- Location: LCCOMB_X34_Y14_N4
\WideAnd1564~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1564~0_combout\ = (\led_flash_cnt[1564][4]~q\ & (\led_flash_cnt[1564][3]~q\ & (\led_flash_cnt[1564][2]~q\ & \led_flash_cnt[1564][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1564][4]~q\,
	datab => \led_flash_cnt[1564][3]~q\,
	datac => \led_flash_cnt[1564][2]~q\,
	datad => \led_flash_cnt[1564][1]~q\,
	combout => \WideAnd1564~0_combout\);

-- Location: LCCOMB_X34_Y14_N24
\led_flash_cnt[1564][7]~48788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1564][7]~48788_combout\ = \led_flash_cnt[1564][6]~48787\ $ (!\led_flash_cnt[1564][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1564][7]~q\,
	cin => \led_flash_cnt[1564][6]~48787\,
	combout => \led_flash_cnt[1564][7]~48788_combout\);

-- Location: FF_X34_Y14_N25
\led_flash_cnt[1564][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1564][7]~48788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1564][7]~q\);

-- Location: LCCOMB_X34_Y14_N10
WideAnd1564 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1564~combout\ = (\WideAnd1564~1_combout\ & (\led_flash_cnt[1564][0]~q\ & (\WideAnd1564~0_combout\ & \led_flash_cnt[1564][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1564~1_combout\,
	datab => \led_flash_cnt[1564][0]~q\,
	datac => \WideAnd1564~0_combout\,
	datad => \led_flash_cnt[1564][7]~q\,
	combout => \WideAnd1564~combout\);

-- Location: FF_X34_Y14_N11
\led_flash_cnt_ands[1564]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1564~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1564));

-- Location: LCCOMB_X34_Y14_N26
\WideAnd4035~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4035~1_combout\ = (led_flash_cnt_ands(1565) & led_flash_cnt_ands(1564))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1565),
	datad => led_flash_cnt_ands(1564),
	combout => \WideAnd4035~1_combout\);

-- Location: LCCOMB_X38_Y9_N22
\led_flash_cnt[1566][0]~82206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1566][0]~82206_combout\ = !\led_flash_cnt[1566][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1566][0]~q\,
	combout => \led_flash_cnt[1566][0]~82206_combout\);

-- Location: FF_X38_Y9_N23
\led_flash_cnt[1566][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1566][0]~82206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1566][0]~q\);

-- Location: LCCOMB_X38_Y9_N2
\led_flash_cnt[1566][1]~48804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1566][1]~48804_combout\ = (\led_flash_cnt[1566][0]~q\ & (\led_flash_cnt[1566][1]~q\ $ (VCC))) # (!\led_flash_cnt[1566][0]~q\ & (\led_flash_cnt[1566][1]~q\ & VCC))
-- \led_flash_cnt[1566][1]~48805\ = CARRY((\led_flash_cnt[1566][0]~q\ & \led_flash_cnt[1566][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1566][0]~q\,
	datab => \led_flash_cnt[1566][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1566][1]~48804_combout\,
	cout => \led_flash_cnt[1566][1]~48805\);

-- Location: FF_X38_Y9_N3
\led_flash_cnt[1566][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1566][1]~48804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1566][1]~q\);

-- Location: LCCOMB_X38_Y9_N4
\led_flash_cnt[1566][2]~48806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1566][2]~48806_combout\ = (\led_flash_cnt[1566][2]~q\ & (!\led_flash_cnt[1566][1]~48805\)) # (!\led_flash_cnt[1566][2]~q\ & ((\led_flash_cnt[1566][1]~48805\) # (GND)))
-- \led_flash_cnt[1566][2]~48807\ = CARRY((!\led_flash_cnt[1566][1]~48805\) # (!\led_flash_cnt[1566][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1566][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1566][1]~48805\,
	combout => \led_flash_cnt[1566][2]~48806_combout\,
	cout => \led_flash_cnt[1566][2]~48807\);

-- Location: FF_X38_Y9_N5
\led_flash_cnt[1566][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1566][2]~48806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1566][2]~q\);

-- Location: LCCOMB_X38_Y9_N6
\led_flash_cnt[1566][3]~48808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1566][3]~48808_combout\ = (\led_flash_cnt[1566][3]~q\ & (\led_flash_cnt[1566][2]~48807\ $ (GND))) # (!\led_flash_cnt[1566][3]~q\ & (!\led_flash_cnt[1566][2]~48807\ & VCC))
-- \led_flash_cnt[1566][3]~48809\ = CARRY((\led_flash_cnt[1566][3]~q\ & !\led_flash_cnt[1566][2]~48807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1566][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1566][2]~48807\,
	combout => \led_flash_cnt[1566][3]~48808_combout\,
	cout => \led_flash_cnt[1566][3]~48809\);

-- Location: FF_X38_Y9_N7
\led_flash_cnt[1566][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1566][3]~48808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1566][3]~q\);

-- Location: LCCOMB_X38_Y9_N8
\led_flash_cnt[1566][4]~48810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1566][4]~48810_combout\ = (\led_flash_cnt[1566][4]~q\ & (!\led_flash_cnt[1566][3]~48809\)) # (!\led_flash_cnt[1566][4]~q\ & ((\led_flash_cnt[1566][3]~48809\) # (GND)))
-- \led_flash_cnt[1566][4]~48811\ = CARRY((!\led_flash_cnt[1566][3]~48809\) # (!\led_flash_cnt[1566][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1566][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1566][3]~48809\,
	combout => \led_flash_cnt[1566][4]~48810_combout\,
	cout => \led_flash_cnt[1566][4]~48811\);

-- Location: FF_X38_Y9_N9
\led_flash_cnt[1566][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1566][4]~48810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1566][4]~q\);

-- Location: LCCOMB_X38_Y9_N16
\WideAnd1566~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1566~0_combout\ = (\led_flash_cnt[1566][3]~q\ & (\led_flash_cnt[1566][4]~q\ & (\led_flash_cnt[1566][2]~q\ & \led_flash_cnt[1566][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1566][3]~q\,
	datab => \led_flash_cnt[1566][4]~q\,
	datac => \led_flash_cnt[1566][2]~q\,
	datad => \led_flash_cnt[1566][1]~q\,
	combout => \WideAnd1566~0_combout\);

-- Location: LCCOMB_X38_Y9_N10
\led_flash_cnt[1566][5]~48812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1566][5]~48812_combout\ = (\led_flash_cnt[1566][5]~q\ & (\led_flash_cnt[1566][4]~48811\ $ (GND))) # (!\led_flash_cnt[1566][5]~q\ & (!\led_flash_cnt[1566][4]~48811\ & VCC))
-- \led_flash_cnt[1566][5]~48813\ = CARRY((\led_flash_cnt[1566][5]~q\ & !\led_flash_cnt[1566][4]~48811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1566][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1566][4]~48811\,
	combout => \led_flash_cnt[1566][5]~48812_combout\,
	cout => \led_flash_cnt[1566][5]~48813\);

-- Location: FF_X38_Y9_N11
\led_flash_cnt[1566][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1566][5]~48812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1566][5]~q\);

-- Location: LCCOMB_X38_Y9_N12
\led_flash_cnt[1566][6]~48814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1566][6]~48814_combout\ = (\led_flash_cnt[1566][6]~q\ & (!\led_flash_cnt[1566][5]~48813\)) # (!\led_flash_cnt[1566][6]~q\ & ((\led_flash_cnt[1566][5]~48813\) # (GND)))
-- \led_flash_cnt[1566][6]~48815\ = CARRY((!\led_flash_cnt[1566][5]~48813\) # (!\led_flash_cnt[1566][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1566][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1566][5]~48813\,
	combout => \led_flash_cnt[1566][6]~48814_combout\,
	cout => \led_flash_cnt[1566][6]~48815\);

-- Location: FF_X38_Y9_N13
\led_flash_cnt[1566][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1566][6]~48814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1566][6]~q\);

-- Location: LCCOMB_X38_Y9_N14
\led_flash_cnt[1566][7]~48816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1566][7]~48816_combout\ = \led_flash_cnt[1566][7]~q\ $ (!\led_flash_cnt[1566][6]~48815\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1566][7]~q\,
	cin => \led_flash_cnt[1566][6]~48815\,
	combout => \led_flash_cnt[1566][7]~48816_combout\);

-- Location: FF_X38_Y9_N15
\led_flash_cnt[1566][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1566][7]~48816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1566][7]~q\);

-- Location: LCCOMB_X38_Y9_N18
\WideAnd1566~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1566~1_combout\ = (\led_flash_cnt[1566][6]~q\ & \led_flash_cnt[1566][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1566][6]~q\,
	datad => \led_flash_cnt[1566][5]~q\,
	combout => \WideAnd1566~1_combout\);

-- Location: LCCOMB_X38_Y9_N0
WideAnd1566 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1566~combout\ = (\led_flash_cnt[1566][0]~q\ & (\WideAnd1566~0_combout\ & (\led_flash_cnt[1566][7]~q\ & \WideAnd1566~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1566][0]~q\,
	datab => \WideAnd1566~0_combout\,
	datac => \led_flash_cnt[1566][7]~q\,
	datad => \WideAnd1566~1_combout\,
	combout => \WideAnd1566~combout\);

-- Location: FF_X38_Y9_N1
\led_flash_cnt_ands[1566]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1566~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1566));

-- Location: LCCOMB_X35_Y10_N30
\led_flash_cnt[1567][0]~82207\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1567][0]~82207_combout\ = !\led_flash_cnt[1567][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1567][0]~q\,
	combout => \led_flash_cnt[1567][0]~82207_combout\);

-- Location: FF_X35_Y10_N31
\led_flash_cnt[1567][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1567][0]~82207_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1567][0]~q\);

-- Location: LCCOMB_X35_Y10_N0
\led_flash_cnt[1567][1]~48818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1567][1]~48818_combout\ = (\led_flash_cnt[1567][0]~q\ & (\led_flash_cnt[1567][1]~q\ $ (VCC))) # (!\led_flash_cnt[1567][0]~q\ & (\led_flash_cnt[1567][1]~q\ & VCC))
-- \led_flash_cnt[1567][1]~48819\ = CARRY((\led_flash_cnt[1567][0]~q\ & \led_flash_cnt[1567][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1567][0]~q\,
	datab => \led_flash_cnt[1567][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1567][1]~48818_combout\,
	cout => \led_flash_cnt[1567][1]~48819\);

-- Location: FF_X35_Y10_N1
\led_flash_cnt[1567][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1567][1]~48818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1567][1]~q\);

-- Location: LCCOMB_X35_Y10_N2
\led_flash_cnt[1567][2]~48820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1567][2]~48820_combout\ = (\led_flash_cnt[1567][2]~q\ & (!\led_flash_cnt[1567][1]~48819\)) # (!\led_flash_cnt[1567][2]~q\ & ((\led_flash_cnt[1567][1]~48819\) # (GND)))
-- \led_flash_cnt[1567][2]~48821\ = CARRY((!\led_flash_cnt[1567][1]~48819\) # (!\led_flash_cnt[1567][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1567][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1567][1]~48819\,
	combout => \led_flash_cnt[1567][2]~48820_combout\,
	cout => \led_flash_cnt[1567][2]~48821\);

-- Location: FF_X35_Y10_N3
\led_flash_cnt[1567][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1567][2]~48820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1567][2]~q\);

-- Location: LCCOMB_X35_Y10_N4
\led_flash_cnt[1567][3]~48822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1567][3]~48822_combout\ = (\led_flash_cnt[1567][3]~q\ & (\led_flash_cnt[1567][2]~48821\ $ (GND))) # (!\led_flash_cnt[1567][3]~q\ & (!\led_flash_cnt[1567][2]~48821\ & VCC))
-- \led_flash_cnt[1567][3]~48823\ = CARRY((\led_flash_cnt[1567][3]~q\ & !\led_flash_cnt[1567][2]~48821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1567][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1567][2]~48821\,
	combout => \led_flash_cnt[1567][3]~48822_combout\,
	cout => \led_flash_cnt[1567][3]~48823\);

-- Location: FF_X35_Y10_N5
\led_flash_cnt[1567][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1567][3]~48822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1567][3]~q\);

-- Location: LCCOMB_X35_Y10_N6
\led_flash_cnt[1567][4]~48824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1567][4]~48824_combout\ = (\led_flash_cnt[1567][4]~q\ & (!\led_flash_cnt[1567][3]~48823\)) # (!\led_flash_cnt[1567][4]~q\ & ((\led_flash_cnt[1567][3]~48823\) # (GND)))
-- \led_flash_cnt[1567][4]~48825\ = CARRY((!\led_flash_cnt[1567][3]~48823\) # (!\led_flash_cnt[1567][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1567][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1567][3]~48823\,
	combout => \led_flash_cnt[1567][4]~48824_combout\,
	cout => \led_flash_cnt[1567][4]~48825\);

-- Location: FF_X35_Y10_N7
\led_flash_cnt[1567][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1567][4]~48824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1567][4]~q\);

-- Location: LCCOMB_X35_Y10_N8
\led_flash_cnt[1567][5]~48826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1567][5]~48826_combout\ = (\led_flash_cnt[1567][5]~q\ & (\led_flash_cnt[1567][4]~48825\ $ (GND))) # (!\led_flash_cnt[1567][5]~q\ & (!\led_flash_cnt[1567][4]~48825\ & VCC))
-- \led_flash_cnt[1567][5]~48827\ = CARRY((\led_flash_cnt[1567][5]~q\ & !\led_flash_cnt[1567][4]~48825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1567][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1567][4]~48825\,
	combout => \led_flash_cnt[1567][5]~48826_combout\,
	cout => \led_flash_cnt[1567][5]~48827\);

-- Location: FF_X35_Y10_N9
\led_flash_cnt[1567][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1567][5]~48826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1567][5]~q\);

-- Location: LCCOMB_X35_Y10_N10
\led_flash_cnt[1567][6]~48828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1567][6]~48828_combout\ = (\led_flash_cnt[1567][6]~q\ & (!\led_flash_cnt[1567][5]~48827\)) # (!\led_flash_cnt[1567][6]~q\ & ((\led_flash_cnt[1567][5]~48827\) # (GND)))
-- \led_flash_cnt[1567][6]~48829\ = CARRY((!\led_flash_cnt[1567][5]~48827\) # (!\led_flash_cnt[1567][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1567][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1567][5]~48827\,
	combout => \led_flash_cnt[1567][6]~48828_combout\,
	cout => \led_flash_cnt[1567][6]~48829\);

-- Location: FF_X35_Y10_N11
\led_flash_cnt[1567][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1567][6]~48828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1567][6]~q\);

-- Location: LCCOMB_X35_Y10_N12
\led_flash_cnt[1567][7]~48830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1567][7]~48830_combout\ = \led_flash_cnt[1567][6]~48829\ $ (!\led_flash_cnt[1567][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1567][7]~q\,
	cin => \led_flash_cnt[1567][6]~48829\,
	combout => \led_flash_cnt[1567][7]~48830_combout\);

-- Location: FF_X35_Y10_N13
\led_flash_cnt[1567][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1567][7]~48830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1567][7]~q\);

-- Location: LCCOMB_X35_Y10_N16
\WideAnd1567~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1567~0_combout\ = (\led_flash_cnt[1567][4]~q\ & (\led_flash_cnt[1567][1]~q\ & (\led_flash_cnt[1567][3]~q\ & \led_flash_cnt[1567][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1567][4]~q\,
	datab => \led_flash_cnt[1567][1]~q\,
	datac => \led_flash_cnt[1567][3]~q\,
	datad => \led_flash_cnt[1567][2]~q\,
	combout => \WideAnd1567~0_combout\);

-- Location: LCCOMB_X35_Y10_N18
\WideAnd1567~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1567~1_combout\ = (\led_flash_cnt[1567][5]~q\ & \led_flash_cnt[1567][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1567][5]~q\,
	datad => \led_flash_cnt[1567][6]~q\,
	combout => \WideAnd1567~1_combout\);

-- Location: LCCOMB_X35_Y10_N26
WideAnd1567 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1567~combout\ = (\led_flash_cnt[1567][7]~q\ & (\WideAnd1567~0_combout\ & (\led_flash_cnt[1567][0]~q\ & \WideAnd1567~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1567][7]~q\,
	datab => \WideAnd1567~0_combout\,
	datac => \led_flash_cnt[1567][0]~q\,
	datad => \WideAnd1567~1_combout\,
	combout => \WideAnd1567~combout\);

-- Location: FF_X35_Y10_N27
\led_flash_cnt_ands[1567]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1567~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1567));

-- Location: LCCOMB_X42_Y10_N30
WideAnd4035 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4035~combout\ = (\WideAnd4035~0_combout\ & (\WideAnd4035~1_combout\ & (led_flash_cnt_ands(1566) & led_flash_cnt_ands(1567))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4035~0_combout\,
	datab => \WideAnd4035~1_combout\,
	datac => led_flash_cnt_ands(1566),
	datad => led_flash_cnt_ands(1567),
	combout => \WideAnd4035~combout\);

-- Location: FF_X42_Y10_N31
\led_flash_cnt_ands_1[195]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4035~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(195));

-- Location: LCCOMB_X50_Y7_N14
\WideAnd4344~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4344~0_combout\ = (led_flash_cnt_ands_1(193) & (led_flash_cnt_ands_1(194) & (led_flash_cnt_ands_1(192) & led_flash_cnt_ands_1(195))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(193),
	datab => led_flash_cnt_ands_1(194),
	datac => led_flash_cnt_ands_1(192),
	datad => led_flash_cnt_ands_1(195),
	combout => \WideAnd4344~0_combout\);

-- Location: LCCOMB_X21_Y25_N2
\led_flash_cnt[1591][0]~82231\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1591][0]~82231_combout\ = !\led_flash_cnt[1591][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1591][0]~q\,
	combout => \led_flash_cnt[1591][0]~82231_combout\);

-- Location: FF_X21_Y25_N3
\led_flash_cnt[1591][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1591][0]~82231_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1591][0]~q\);

-- Location: LCCOMB_X21_Y25_N12
\led_flash_cnt[1591][1]~49154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1591][1]~49154_combout\ = (\led_flash_cnt[1591][1]~q\ & (\led_flash_cnt[1591][0]~q\ $ (VCC))) # (!\led_flash_cnt[1591][1]~q\ & (\led_flash_cnt[1591][0]~q\ & VCC))
-- \led_flash_cnt[1591][1]~49155\ = CARRY((\led_flash_cnt[1591][1]~q\ & \led_flash_cnt[1591][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1591][1]~q\,
	datab => \led_flash_cnt[1591][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1591][1]~49154_combout\,
	cout => \led_flash_cnt[1591][1]~49155\);

-- Location: FF_X21_Y25_N13
\led_flash_cnt[1591][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1591][1]~49154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1591][1]~q\);

-- Location: LCCOMB_X21_Y25_N14
\led_flash_cnt[1591][2]~49156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1591][2]~49156_combout\ = (\led_flash_cnt[1591][2]~q\ & (!\led_flash_cnt[1591][1]~49155\)) # (!\led_flash_cnt[1591][2]~q\ & ((\led_flash_cnt[1591][1]~49155\) # (GND)))
-- \led_flash_cnt[1591][2]~49157\ = CARRY((!\led_flash_cnt[1591][1]~49155\) # (!\led_flash_cnt[1591][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1591][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1591][1]~49155\,
	combout => \led_flash_cnt[1591][2]~49156_combout\,
	cout => \led_flash_cnt[1591][2]~49157\);

-- Location: FF_X21_Y25_N15
\led_flash_cnt[1591][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1591][2]~49156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1591][2]~q\);

-- Location: LCCOMB_X21_Y25_N16
\led_flash_cnt[1591][3]~49158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1591][3]~49158_combout\ = (\led_flash_cnt[1591][3]~q\ & (\led_flash_cnt[1591][2]~49157\ $ (GND))) # (!\led_flash_cnt[1591][3]~q\ & (!\led_flash_cnt[1591][2]~49157\ & VCC))
-- \led_flash_cnt[1591][3]~49159\ = CARRY((\led_flash_cnt[1591][3]~q\ & !\led_flash_cnt[1591][2]~49157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1591][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1591][2]~49157\,
	combout => \led_flash_cnt[1591][3]~49158_combout\,
	cout => \led_flash_cnt[1591][3]~49159\);

-- Location: FF_X21_Y25_N17
\led_flash_cnt[1591][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1591][3]~49158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1591][3]~q\);

-- Location: LCCOMB_X21_Y25_N18
\led_flash_cnt[1591][4]~49160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1591][4]~49160_combout\ = (\led_flash_cnt[1591][4]~q\ & (!\led_flash_cnt[1591][3]~49159\)) # (!\led_flash_cnt[1591][4]~q\ & ((\led_flash_cnt[1591][3]~49159\) # (GND)))
-- \led_flash_cnt[1591][4]~49161\ = CARRY((!\led_flash_cnt[1591][3]~49159\) # (!\led_flash_cnt[1591][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1591][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1591][3]~49159\,
	combout => \led_flash_cnt[1591][4]~49160_combout\,
	cout => \led_flash_cnt[1591][4]~49161\);

-- Location: FF_X21_Y25_N19
\led_flash_cnt[1591][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1591][4]~49160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1591][4]~q\);

-- Location: LCCOMB_X21_Y25_N6
\WideAnd1591~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1591~0_combout\ = (\led_flash_cnt[1591][4]~q\ & (\led_flash_cnt[1591][3]~q\ & (\led_flash_cnt[1591][2]~q\ & \led_flash_cnt[1591][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1591][4]~q\,
	datab => \led_flash_cnt[1591][3]~q\,
	datac => \led_flash_cnt[1591][2]~q\,
	datad => \led_flash_cnt[1591][1]~q\,
	combout => \WideAnd1591~0_combout\);

-- Location: LCCOMB_X21_Y25_N20
\led_flash_cnt[1591][5]~49162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1591][5]~49162_combout\ = (\led_flash_cnt[1591][5]~q\ & (\led_flash_cnt[1591][4]~49161\ $ (GND))) # (!\led_flash_cnt[1591][5]~q\ & (!\led_flash_cnt[1591][4]~49161\ & VCC))
-- \led_flash_cnt[1591][5]~49163\ = CARRY((\led_flash_cnt[1591][5]~q\ & !\led_flash_cnt[1591][4]~49161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1591][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1591][4]~49161\,
	combout => \led_flash_cnt[1591][5]~49162_combout\,
	cout => \led_flash_cnt[1591][5]~49163\);

-- Location: FF_X21_Y25_N21
\led_flash_cnt[1591][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1591][5]~49162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1591][5]~q\);

-- Location: LCCOMB_X21_Y25_N22
\led_flash_cnt[1591][6]~49164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1591][6]~49164_combout\ = (\led_flash_cnt[1591][6]~q\ & (!\led_flash_cnt[1591][5]~49163\)) # (!\led_flash_cnt[1591][6]~q\ & ((\led_flash_cnt[1591][5]~49163\) # (GND)))
-- \led_flash_cnt[1591][6]~49165\ = CARRY((!\led_flash_cnt[1591][5]~49163\) # (!\led_flash_cnt[1591][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1591][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1591][5]~49163\,
	combout => \led_flash_cnt[1591][6]~49164_combout\,
	cout => \led_flash_cnt[1591][6]~49165\);

-- Location: FF_X21_Y25_N23
\led_flash_cnt[1591][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1591][6]~49164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1591][6]~q\);

-- Location: LCCOMB_X21_Y25_N8
\WideAnd1591~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1591~1_combout\ = (\led_flash_cnt[1591][6]~q\ & \led_flash_cnt[1591][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1591][6]~q\,
	datad => \led_flash_cnt[1591][5]~q\,
	combout => \WideAnd1591~1_combout\);

-- Location: LCCOMB_X21_Y25_N24
\led_flash_cnt[1591][7]~49166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1591][7]~49166_combout\ = \led_flash_cnt[1591][6]~49165\ $ (!\led_flash_cnt[1591][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1591][7]~q\,
	cin => \led_flash_cnt[1591][6]~49165\,
	combout => \led_flash_cnt[1591][7]~49166_combout\);

-- Location: FF_X21_Y25_N25
\led_flash_cnt[1591][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1591][7]~49166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1591][7]~q\);

-- Location: LCCOMB_X21_Y25_N26
WideAnd1591 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1591~combout\ = (\WideAnd1591~0_combout\ & (\led_flash_cnt[1591][0]~q\ & (\WideAnd1591~1_combout\ & \led_flash_cnt[1591][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1591~0_combout\,
	datab => \led_flash_cnt[1591][0]~q\,
	datac => \WideAnd1591~1_combout\,
	datad => \led_flash_cnt[1591][7]~q\,
	combout => \WideAnd1591~combout\);

-- Location: FF_X21_Y25_N27
\led_flash_cnt_ands[1591]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1591~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1591));

-- Location: LCCOMB_X21_Y24_N24
\led_flash_cnt[1590][0]~82230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1590][0]~82230_combout\ = !\led_flash_cnt[1590][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1590][0]~q\,
	combout => \led_flash_cnt[1590][0]~82230_combout\);

-- Location: FF_X21_Y24_N25
\led_flash_cnt[1590][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1590][0]~82230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1590][0]~q\);

-- Location: LCCOMB_X21_Y24_N10
\led_flash_cnt[1590][1]~49140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1590][1]~49140_combout\ = (\led_flash_cnt[1590][1]~q\ & (\led_flash_cnt[1590][0]~q\ $ (VCC))) # (!\led_flash_cnt[1590][1]~q\ & (\led_flash_cnt[1590][0]~q\ & VCC))
-- \led_flash_cnt[1590][1]~49141\ = CARRY((\led_flash_cnt[1590][1]~q\ & \led_flash_cnt[1590][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1590][1]~q\,
	datab => \led_flash_cnt[1590][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1590][1]~49140_combout\,
	cout => \led_flash_cnt[1590][1]~49141\);

-- Location: FF_X21_Y24_N11
\led_flash_cnt[1590][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1590][1]~49140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1590][1]~q\);

-- Location: LCCOMB_X21_Y24_N12
\led_flash_cnt[1590][2]~49142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1590][2]~49142_combout\ = (\led_flash_cnt[1590][2]~q\ & (!\led_flash_cnt[1590][1]~49141\)) # (!\led_flash_cnt[1590][2]~q\ & ((\led_flash_cnt[1590][1]~49141\) # (GND)))
-- \led_flash_cnt[1590][2]~49143\ = CARRY((!\led_flash_cnt[1590][1]~49141\) # (!\led_flash_cnt[1590][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1590][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1590][1]~49141\,
	combout => \led_flash_cnt[1590][2]~49142_combout\,
	cout => \led_flash_cnt[1590][2]~49143\);

-- Location: FF_X21_Y24_N13
\led_flash_cnt[1590][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1590][2]~49142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1590][2]~q\);

-- Location: LCCOMB_X21_Y24_N14
\led_flash_cnt[1590][3]~49144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1590][3]~49144_combout\ = (\led_flash_cnt[1590][3]~q\ & (\led_flash_cnt[1590][2]~49143\ $ (GND))) # (!\led_flash_cnt[1590][3]~q\ & (!\led_flash_cnt[1590][2]~49143\ & VCC))
-- \led_flash_cnt[1590][3]~49145\ = CARRY((\led_flash_cnt[1590][3]~q\ & !\led_flash_cnt[1590][2]~49143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1590][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1590][2]~49143\,
	combout => \led_flash_cnt[1590][3]~49144_combout\,
	cout => \led_flash_cnt[1590][3]~49145\);

-- Location: FF_X21_Y24_N15
\led_flash_cnt[1590][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1590][3]~49144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1590][3]~q\);

-- Location: LCCOMB_X21_Y24_N16
\led_flash_cnt[1590][4]~49146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1590][4]~49146_combout\ = (\led_flash_cnt[1590][4]~q\ & (!\led_flash_cnt[1590][3]~49145\)) # (!\led_flash_cnt[1590][4]~q\ & ((\led_flash_cnt[1590][3]~49145\) # (GND)))
-- \led_flash_cnt[1590][4]~49147\ = CARRY((!\led_flash_cnt[1590][3]~49145\) # (!\led_flash_cnt[1590][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1590][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1590][3]~49145\,
	combout => \led_flash_cnt[1590][4]~49146_combout\,
	cout => \led_flash_cnt[1590][4]~49147\);

-- Location: FF_X21_Y24_N17
\led_flash_cnt[1590][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1590][4]~49146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1590][4]~q\);

-- Location: LCCOMB_X21_Y24_N18
\led_flash_cnt[1590][5]~49148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1590][5]~49148_combout\ = (\led_flash_cnt[1590][5]~q\ & (\led_flash_cnt[1590][4]~49147\ $ (GND))) # (!\led_flash_cnt[1590][5]~q\ & (!\led_flash_cnt[1590][4]~49147\ & VCC))
-- \led_flash_cnt[1590][5]~49149\ = CARRY((\led_flash_cnt[1590][5]~q\ & !\led_flash_cnt[1590][4]~49147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1590][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1590][4]~49147\,
	combout => \led_flash_cnt[1590][5]~49148_combout\,
	cout => \led_flash_cnt[1590][5]~49149\);

-- Location: FF_X21_Y24_N19
\led_flash_cnt[1590][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1590][5]~49148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1590][5]~q\);

-- Location: LCCOMB_X21_Y24_N20
\led_flash_cnt[1590][6]~49150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1590][6]~49150_combout\ = (\led_flash_cnt[1590][6]~q\ & (!\led_flash_cnt[1590][5]~49149\)) # (!\led_flash_cnt[1590][6]~q\ & ((\led_flash_cnt[1590][5]~49149\) # (GND)))
-- \led_flash_cnt[1590][6]~49151\ = CARRY((!\led_flash_cnt[1590][5]~49149\) # (!\led_flash_cnt[1590][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1590][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1590][5]~49149\,
	combout => \led_flash_cnt[1590][6]~49150_combout\,
	cout => \led_flash_cnt[1590][6]~49151\);

-- Location: FF_X21_Y24_N21
\led_flash_cnt[1590][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1590][6]~49150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1590][6]~q\);

-- Location: LCCOMB_X21_Y24_N30
\WideAnd1590~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1590~1_combout\ = (\led_flash_cnt[1590][5]~q\ & \led_flash_cnt[1590][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1590][5]~q\,
	datad => \led_flash_cnt[1590][6]~q\,
	combout => \WideAnd1590~1_combout\);

-- Location: LCCOMB_X21_Y24_N22
\led_flash_cnt[1590][7]~49152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1590][7]~49152_combout\ = \led_flash_cnt[1590][7]~q\ $ (!\led_flash_cnt[1590][6]~49151\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1590][7]~q\,
	cin => \led_flash_cnt[1590][6]~49151\,
	combout => \led_flash_cnt[1590][7]~49152_combout\);

-- Location: FF_X21_Y24_N23
\led_flash_cnt[1590][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1590][7]~49152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1590][7]~q\);

-- Location: LCCOMB_X21_Y24_N28
\WideAnd1590~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1590~0_combout\ = (\led_flash_cnt[1590][1]~q\ & (\led_flash_cnt[1590][4]~q\ & (\led_flash_cnt[1590][3]~q\ & \led_flash_cnt[1590][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1590][1]~q\,
	datab => \led_flash_cnt[1590][4]~q\,
	datac => \led_flash_cnt[1590][3]~q\,
	datad => \led_flash_cnt[1590][2]~q\,
	combout => \WideAnd1590~0_combout\);

-- Location: LCCOMB_X21_Y24_N0
WideAnd1590 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1590~combout\ = (\WideAnd1590~1_combout\ & (\led_flash_cnt[1590][0]~q\ & (\led_flash_cnt[1590][7]~q\ & \WideAnd1590~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1590~1_combout\,
	datab => \led_flash_cnt[1590][0]~q\,
	datac => \led_flash_cnt[1590][7]~q\,
	datad => \WideAnd1590~0_combout\,
	combout => \WideAnd1590~combout\);

-- Location: FF_X21_Y24_N1
\led_flash_cnt_ands[1590]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1590~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1590));

-- Location: LCCOMB_X71_Y5_N24
\led_flash_cnt[1589][0]~82229\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1589][0]~82229_combout\ = !\led_flash_cnt[1589][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1589][0]~q\,
	combout => \led_flash_cnt[1589][0]~82229_combout\);

-- Location: FF_X71_Y5_N25
\led_flash_cnt[1589][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1589][0]~82229_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1589][0]~q\);

-- Location: LCCOMB_X71_Y5_N6
\led_flash_cnt[1589][1]~49126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1589][1]~49126_combout\ = (\led_flash_cnt[1589][1]~q\ & (\led_flash_cnt[1589][0]~q\ $ (VCC))) # (!\led_flash_cnt[1589][1]~q\ & (\led_flash_cnt[1589][0]~q\ & VCC))
-- \led_flash_cnt[1589][1]~49127\ = CARRY((\led_flash_cnt[1589][1]~q\ & \led_flash_cnt[1589][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1589][1]~q\,
	datab => \led_flash_cnt[1589][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1589][1]~49126_combout\,
	cout => \led_flash_cnt[1589][1]~49127\);

-- Location: FF_X71_Y5_N7
\led_flash_cnt[1589][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1589][1]~49126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1589][1]~q\);

-- Location: LCCOMB_X71_Y5_N8
\led_flash_cnt[1589][2]~49128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1589][2]~49128_combout\ = (\led_flash_cnt[1589][2]~q\ & (!\led_flash_cnt[1589][1]~49127\)) # (!\led_flash_cnt[1589][2]~q\ & ((\led_flash_cnt[1589][1]~49127\) # (GND)))
-- \led_flash_cnt[1589][2]~49129\ = CARRY((!\led_flash_cnt[1589][1]~49127\) # (!\led_flash_cnt[1589][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1589][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1589][1]~49127\,
	combout => \led_flash_cnt[1589][2]~49128_combout\,
	cout => \led_flash_cnt[1589][2]~49129\);

-- Location: FF_X71_Y5_N9
\led_flash_cnt[1589][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1589][2]~49128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1589][2]~q\);

-- Location: LCCOMB_X71_Y5_N10
\led_flash_cnt[1589][3]~49130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1589][3]~49130_combout\ = (\led_flash_cnt[1589][3]~q\ & (\led_flash_cnt[1589][2]~49129\ $ (GND))) # (!\led_flash_cnt[1589][3]~q\ & (!\led_flash_cnt[1589][2]~49129\ & VCC))
-- \led_flash_cnt[1589][3]~49131\ = CARRY((\led_flash_cnt[1589][3]~q\ & !\led_flash_cnt[1589][2]~49129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1589][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1589][2]~49129\,
	combout => \led_flash_cnt[1589][3]~49130_combout\,
	cout => \led_flash_cnt[1589][3]~49131\);

-- Location: FF_X71_Y5_N11
\led_flash_cnt[1589][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1589][3]~49130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1589][3]~q\);

-- Location: LCCOMB_X71_Y5_N12
\led_flash_cnt[1589][4]~49132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1589][4]~49132_combout\ = (\led_flash_cnt[1589][4]~q\ & (!\led_flash_cnt[1589][3]~49131\)) # (!\led_flash_cnt[1589][4]~q\ & ((\led_flash_cnt[1589][3]~49131\) # (GND)))
-- \led_flash_cnt[1589][4]~49133\ = CARRY((!\led_flash_cnt[1589][3]~49131\) # (!\led_flash_cnt[1589][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1589][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1589][3]~49131\,
	combout => \led_flash_cnt[1589][4]~49132_combout\,
	cout => \led_flash_cnt[1589][4]~49133\);

-- Location: FF_X71_Y5_N13
\led_flash_cnt[1589][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1589][4]~49132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1589][4]~q\);

-- Location: LCCOMB_X71_Y5_N26
\WideAnd1589~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1589~0_combout\ = (\led_flash_cnt[1589][3]~q\ & (\led_flash_cnt[1589][4]~q\ & (\led_flash_cnt[1589][2]~q\ & \led_flash_cnt[1589][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1589][3]~q\,
	datab => \led_flash_cnt[1589][4]~q\,
	datac => \led_flash_cnt[1589][2]~q\,
	datad => \led_flash_cnt[1589][1]~q\,
	combout => \WideAnd1589~0_combout\);

-- Location: LCCOMB_X71_Y5_N14
\led_flash_cnt[1589][5]~49134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1589][5]~49134_combout\ = (\led_flash_cnt[1589][5]~q\ & (\led_flash_cnt[1589][4]~49133\ $ (GND))) # (!\led_flash_cnt[1589][5]~q\ & (!\led_flash_cnt[1589][4]~49133\ & VCC))
-- \led_flash_cnt[1589][5]~49135\ = CARRY((\led_flash_cnt[1589][5]~q\ & !\led_flash_cnt[1589][4]~49133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1589][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1589][4]~49133\,
	combout => \led_flash_cnt[1589][5]~49134_combout\,
	cout => \led_flash_cnt[1589][5]~49135\);

-- Location: FF_X71_Y5_N15
\led_flash_cnt[1589][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1589][5]~49134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1589][5]~q\);

-- Location: LCCOMB_X71_Y5_N16
\led_flash_cnt[1589][6]~49136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1589][6]~49136_combout\ = (\led_flash_cnt[1589][6]~q\ & (!\led_flash_cnt[1589][5]~49135\)) # (!\led_flash_cnt[1589][6]~q\ & ((\led_flash_cnt[1589][5]~49135\) # (GND)))
-- \led_flash_cnt[1589][6]~49137\ = CARRY((!\led_flash_cnt[1589][5]~49135\) # (!\led_flash_cnt[1589][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1589][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1589][5]~49135\,
	combout => \led_flash_cnt[1589][6]~49136_combout\,
	cout => \led_flash_cnt[1589][6]~49137\);

-- Location: FF_X71_Y5_N17
\led_flash_cnt[1589][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1589][6]~49136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1589][6]~q\);

-- Location: LCCOMB_X71_Y5_N18
\led_flash_cnt[1589][7]~49138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1589][7]~49138_combout\ = \led_flash_cnt[1589][6]~49137\ $ (!\led_flash_cnt[1589][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1589][7]~q\,
	cin => \led_flash_cnt[1589][6]~49137\,
	combout => \led_flash_cnt[1589][7]~49138_combout\);

-- Location: FF_X71_Y5_N19
\led_flash_cnt[1589][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1589][7]~49138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1589][7]~q\);

-- Location: LCCOMB_X71_Y5_N22
\WideAnd1589~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1589~1_combout\ = (\led_flash_cnt[1589][5]~q\ & \led_flash_cnt[1589][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1589][5]~q\,
	datad => \led_flash_cnt[1589][6]~q\,
	combout => \WideAnd1589~1_combout\);

-- Location: LCCOMB_X71_Y5_N4
WideAnd1589 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1589~combout\ = (\WideAnd1589~0_combout\ & (\led_flash_cnt[1589][7]~q\ & (\WideAnd1589~1_combout\ & \led_flash_cnt[1589][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1589~0_combout\,
	datab => \led_flash_cnt[1589][7]~q\,
	datac => \WideAnd1589~1_combout\,
	datad => \led_flash_cnt[1589][0]~q\,
	combout => \WideAnd1589~combout\);

-- Location: FF_X71_Y5_N5
\led_flash_cnt_ands[1589]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1589~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1589));

-- Location: LCCOMB_X72_Y5_N24
\led_flash_cnt[1588][0]~82228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1588][0]~82228_combout\ = !\led_flash_cnt[1588][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1588][0]~q\,
	combout => \led_flash_cnt[1588][0]~82228_combout\);

-- Location: FF_X72_Y5_N25
\led_flash_cnt[1588][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1588][0]~82228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1588][0]~q\);

-- Location: LCCOMB_X72_Y5_N6
\led_flash_cnt[1588][1]~49112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1588][1]~49112_combout\ = (\led_flash_cnt[1588][1]~q\ & (\led_flash_cnt[1588][0]~q\ $ (VCC))) # (!\led_flash_cnt[1588][1]~q\ & (\led_flash_cnt[1588][0]~q\ & VCC))
-- \led_flash_cnt[1588][1]~49113\ = CARRY((\led_flash_cnt[1588][1]~q\ & \led_flash_cnt[1588][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1588][1]~q\,
	datab => \led_flash_cnt[1588][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1588][1]~49112_combout\,
	cout => \led_flash_cnt[1588][1]~49113\);

-- Location: FF_X72_Y5_N7
\led_flash_cnt[1588][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1588][1]~49112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1588][1]~q\);

-- Location: LCCOMB_X72_Y5_N8
\led_flash_cnt[1588][2]~49114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1588][2]~49114_combout\ = (\led_flash_cnt[1588][2]~q\ & (!\led_flash_cnt[1588][1]~49113\)) # (!\led_flash_cnt[1588][2]~q\ & ((\led_flash_cnt[1588][1]~49113\) # (GND)))
-- \led_flash_cnt[1588][2]~49115\ = CARRY((!\led_flash_cnt[1588][1]~49113\) # (!\led_flash_cnt[1588][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1588][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1588][1]~49113\,
	combout => \led_flash_cnt[1588][2]~49114_combout\,
	cout => \led_flash_cnt[1588][2]~49115\);

-- Location: FF_X72_Y5_N9
\led_flash_cnt[1588][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1588][2]~49114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1588][2]~q\);

-- Location: LCCOMB_X72_Y5_N10
\led_flash_cnt[1588][3]~49116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1588][3]~49116_combout\ = (\led_flash_cnt[1588][3]~q\ & (\led_flash_cnt[1588][2]~49115\ $ (GND))) # (!\led_flash_cnt[1588][3]~q\ & (!\led_flash_cnt[1588][2]~49115\ & VCC))
-- \led_flash_cnt[1588][3]~49117\ = CARRY((\led_flash_cnt[1588][3]~q\ & !\led_flash_cnt[1588][2]~49115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1588][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1588][2]~49115\,
	combout => \led_flash_cnt[1588][3]~49116_combout\,
	cout => \led_flash_cnt[1588][3]~49117\);

-- Location: FF_X72_Y5_N11
\led_flash_cnt[1588][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1588][3]~49116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1588][3]~q\);

-- Location: LCCOMB_X72_Y5_N12
\led_flash_cnt[1588][4]~49118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1588][4]~49118_combout\ = (\led_flash_cnt[1588][4]~q\ & (!\led_flash_cnt[1588][3]~49117\)) # (!\led_flash_cnt[1588][4]~q\ & ((\led_flash_cnt[1588][3]~49117\) # (GND)))
-- \led_flash_cnt[1588][4]~49119\ = CARRY((!\led_flash_cnt[1588][3]~49117\) # (!\led_flash_cnt[1588][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1588][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1588][3]~49117\,
	combout => \led_flash_cnt[1588][4]~49118_combout\,
	cout => \led_flash_cnt[1588][4]~49119\);

-- Location: FF_X72_Y5_N13
\led_flash_cnt[1588][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1588][4]~49118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1588][4]~q\);

-- Location: LCCOMB_X72_Y5_N26
\WideAnd1588~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1588~0_combout\ = (\led_flash_cnt[1588][3]~q\ & (\led_flash_cnt[1588][4]~q\ & (\led_flash_cnt[1588][2]~q\ & \led_flash_cnt[1588][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1588][3]~q\,
	datab => \led_flash_cnt[1588][4]~q\,
	datac => \led_flash_cnt[1588][2]~q\,
	datad => \led_flash_cnt[1588][1]~q\,
	combout => \WideAnd1588~0_combout\);

-- Location: LCCOMB_X72_Y5_N14
\led_flash_cnt[1588][5]~49120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1588][5]~49120_combout\ = (\led_flash_cnt[1588][5]~q\ & (\led_flash_cnt[1588][4]~49119\ $ (GND))) # (!\led_flash_cnt[1588][5]~q\ & (!\led_flash_cnt[1588][4]~49119\ & VCC))
-- \led_flash_cnt[1588][5]~49121\ = CARRY((\led_flash_cnt[1588][5]~q\ & !\led_flash_cnt[1588][4]~49119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1588][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1588][4]~49119\,
	combout => \led_flash_cnt[1588][5]~49120_combout\,
	cout => \led_flash_cnt[1588][5]~49121\);

-- Location: FF_X72_Y5_N15
\led_flash_cnt[1588][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1588][5]~49120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1588][5]~q\);

-- Location: LCCOMB_X72_Y5_N16
\led_flash_cnt[1588][6]~49122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1588][6]~49122_combout\ = (\led_flash_cnt[1588][6]~q\ & (!\led_flash_cnt[1588][5]~49121\)) # (!\led_flash_cnt[1588][6]~q\ & ((\led_flash_cnt[1588][5]~49121\) # (GND)))
-- \led_flash_cnt[1588][6]~49123\ = CARRY((!\led_flash_cnt[1588][5]~49121\) # (!\led_flash_cnt[1588][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1588][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1588][5]~49121\,
	combout => \led_flash_cnt[1588][6]~49122_combout\,
	cout => \led_flash_cnt[1588][6]~49123\);

-- Location: FF_X72_Y5_N17
\led_flash_cnt[1588][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1588][6]~49122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1588][6]~q\);

-- Location: LCCOMB_X72_Y5_N18
\led_flash_cnt[1588][7]~49124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1588][7]~49124_combout\ = \led_flash_cnt[1588][6]~49123\ $ (!\led_flash_cnt[1588][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1588][7]~q\,
	cin => \led_flash_cnt[1588][6]~49123\,
	combout => \led_flash_cnt[1588][7]~49124_combout\);

-- Location: FF_X72_Y5_N19
\led_flash_cnt[1588][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1588][7]~49124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1588][7]~q\);

-- Location: LCCOMB_X72_Y5_N22
\WideAnd1588~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1588~1_combout\ = (\led_flash_cnt[1588][5]~q\ & \led_flash_cnt[1588][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1588][5]~q\,
	datad => \led_flash_cnt[1588][6]~q\,
	combout => \WideAnd1588~1_combout\);

-- Location: LCCOMB_X72_Y5_N28
WideAnd1588 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1588~combout\ = (\WideAnd1588~0_combout\ & (\led_flash_cnt[1588][7]~q\ & (\WideAnd1588~1_combout\ & \led_flash_cnt[1588][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1588~0_combout\,
	datab => \led_flash_cnt[1588][7]~q\,
	datac => \WideAnd1588~1_combout\,
	datad => \led_flash_cnt[1588][0]~q\,
	combout => \WideAnd1588~combout\);

-- Location: FF_X72_Y5_N29
\led_flash_cnt_ands[1588]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1588~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1588));

-- Location: LCCOMB_X71_Y5_N2
\WideAnd4038~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4038~1_combout\ = (led_flash_cnt_ands(1589) & led_flash_cnt_ands(1588))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1589),
	datad => led_flash_cnt_ands(1588),
	combout => \WideAnd4038~1_combout\);

-- Location: LCCOMB_X18_Y17_N2
\led_flash_cnt[1586][0]~82226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1586][0]~82226_combout\ = !\led_flash_cnt[1586][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1586][0]~q\,
	combout => \led_flash_cnt[1586][0]~82226_combout\);

-- Location: FF_X18_Y17_N3
\led_flash_cnt[1586][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1586][0]~82226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1586][0]~q\);

-- Location: LCCOMB_X18_Y17_N10
\led_flash_cnt[1586][1]~49084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1586][1]~49084_combout\ = (\led_flash_cnt[1586][1]~q\ & (\led_flash_cnt[1586][0]~q\ $ (VCC))) # (!\led_flash_cnt[1586][1]~q\ & (\led_flash_cnt[1586][0]~q\ & VCC))
-- \led_flash_cnt[1586][1]~49085\ = CARRY((\led_flash_cnt[1586][1]~q\ & \led_flash_cnt[1586][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1586][1]~q\,
	datab => \led_flash_cnt[1586][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1586][1]~49084_combout\,
	cout => \led_flash_cnt[1586][1]~49085\);

-- Location: FF_X18_Y17_N11
\led_flash_cnt[1586][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1586][1]~49084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1586][1]~q\);

-- Location: LCCOMB_X18_Y17_N12
\led_flash_cnt[1586][2]~49086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1586][2]~49086_combout\ = (\led_flash_cnt[1586][2]~q\ & (!\led_flash_cnt[1586][1]~49085\)) # (!\led_flash_cnt[1586][2]~q\ & ((\led_flash_cnt[1586][1]~49085\) # (GND)))
-- \led_flash_cnt[1586][2]~49087\ = CARRY((!\led_flash_cnt[1586][1]~49085\) # (!\led_flash_cnt[1586][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1586][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1586][1]~49085\,
	combout => \led_flash_cnt[1586][2]~49086_combout\,
	cout => \led_flash_cnt[1586][2]~49087\);

-- Location: FF_X18_Y17_N13
\led_flash_cnt[1586][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1586][2]~49086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1586][2]~q\);

-- Location: LCCOMB_X18_Y17_N14
\led_flash_cnt[1586][3]~49088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1586][3]~49088_combout\ = (\led_flash_cnt[1586][3]~q\ & (\led_flash_cnt[1586][2]~49087\ $ (GND))) # (!\led_flash_cnt[1586][3]~q\ & (!\led_flash_cnt[1586][2]~49087\ & VCC))
-- \led_flash_cnt[1586][3]~49089\ = CARRY((\led_flash_cnt[1586][3]~q\ & !\led_flash_cnt[1586][2]~49087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1586][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1586][2]~49087\,
	combout => \led_flash_cnt[1586][3]~49088_combout\,
	cout => \led_flash_cnt[1586][3]~49089\);

-- Location: FF_X18_Y17_N15
\led_flash_cnt[1586][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1586][3]~49088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1586][3]~q\);

-- Location: LCCOMB_X18_Y17_N16
\led_flash_cnt[1586][4]~49090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1586][4]~49090_combout\ = (\led_flash_cnt[1586][4]~q\ & (!\led_flash_cnt[1586][3]~49089\)) # (!\led_flash_cnt[1586][4]~q\ & ((\led_flash_cnt[1586][3]~49089\) # (GND)))
-- \led_flash_cnt[1586][4]~49091\ = CARRY((!\led_flash_cnt[1586][3]~49089\) # (!\led_flash_cnt[1586][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1586][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1586][3]~49089\,
	combout => \led_flash_cnt[1586][4]~49090_combout\,
	cout => \led_flash_cnt[1586][4]~49091\);

-- Location: FF_X18_Y17_N17
\led_flash_cnt[1586][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1586][4]~49090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1586][4]~q\);

-- Location: LCCOMB_X18_Y17_N18
\led_flash_cnt[1586][5]~49092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1586][5]~49092_combout\ = (\led_flash_cnt[1586][5]~q\ & (\led_flash_cnt[1586][4]~49091\ $ (GND))) # (!\led_flash_cnt[1586][5]~q\ & (!\led_flash_cnt[1586][4]~49091\ & VCC))
-- \led_flash_cnt[1586][5]~49093\ = CARRY((\led_flash_cnt[1586][5]~q\ & !\led_flash_cnt[1586][4]~49091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1586][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1586][4]~49091\,
	combout => \led_flash_cnt[1586][5]~49092_combout\,
	cout => \led_flash_cnt[1586][5]~49093\);

-- Location: FF_X18_Y17_N19
\led_flash_cnt[1586][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1586][5]~49092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1586][5]~q\);

-- Location: LCCOMB_X18_Y17_N20
\led_flash_cnt[1586][6]~49094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1586][6]~49094_combout\ = (\led_flash_cnt[1586][6]~q\ & (!\led_flash_cnt[1586][5]~49093\)) # (!\led_flash_cnt[1586][6]~q\ & ((\led_flash_cnt[1586][5]~49093\) # (GND)))
-- \led_flash_cnt[1586][6]~49095\ = CARRY((!\led_flash_cnt[1586][5]~49093\) # (!\led_flash_cnt[1586][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1586][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1586][5]~49093\,
	combout => \led_flash_cnt[1586][6]~49094_combout\,
	cout => \led_flash_cnt[1586][6]~49095\);

-- Location: FF_X18_Y17_N21
\led_flash_cnt[1586][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1586][6]~49094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1586][6]~q\);

-- Location: LCCOMB_X18_Y17_N6
\WideAnd1586~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1586~1_combout\ = (\led_flash_cnt[1586][6]~q\ & \led_flash_cnt[1586][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1586][6]~q\,
	datac => \led_flash_cnt[1586][5]~q\,
	combout => \WideAnd1586~1_combout\);

-- Location: LCCOMB_X18_Y17_N22
\led_flash_cnt[1586][7]~49096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1586][7]~49096_combout\ = \led_flash_cnt[1586][7]~q\ $ (!\led_flash_cnt[1586][6]~49095\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1586][7]~q\,
	cin => \led_flash_cnt[1586][6]~49095\,
	combout => \led_flash_cnt[1586][7]~49096_combout\);

-- Location: FF_X18_Y17_N23
\led_flash_cnt[1586][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1586][7]~49096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1586][7]~q\);

-- Location: LCCOMB_X18_Y17_N24
\WideAnd1586~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1586~0_combout\ = (\led_flash_cnt[1586][2]~q\ & (\led_flash_cnt[1586][4]~q\ & (\led_flash_cnt[1586][3]~q\ & \led_flash_cnt[1586][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1586][2]~q\,
	datab => \led_flash_cnt[1586][4]~q\,
	datac => \led_flash_cnt[1586][3]~q\,
	datad => \led_flash_cnt[1586][1]~q\,
	combout => \WideAnd1586~0_combout\);

-- Location: LCCOMB_X18_Y17_N4
WideAnd1586 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1586~combout\ = (\WideAnd1586~1_combout\ & (\led_flash_cnt[1586][0]~q\ & (\led_flash_cnt[1586][7]~q\ & \WideAnd1586~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1586~1_combout\,
	datab => \led_flash_cnt[1586][0]~q\,
	datac => \led_flash_cnt[1586][7]~q\,
	datad => \WideAnd1586~0_combout\,
	combout => \WideAnd1586~combout\);

-- Location: FF_X18_Y17_N5
\led_flash_cnt_ands[1586]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1586~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1586));

-- Location: LCCOMB_X22_Y25_N6
\led_flash_cnt[1587][0]~82227\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1587][0]~82227_combout\ = !\led_flash_cnt[1587][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1587][0]~q\,
	combout => \led_flash_cnt[1587][0]~82227_combout\);

-- Location: FF_X22_Y25_N7
\led_flash_cnt[1587][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1587][0]~82227_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1587][0]~q\);

-- Location: LCCOMB_X23_Y25_N4
\led_flash_cnt[1587][1]~49098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1587][1]~49098_combout\ = (\led_flash_cnt[1587][0]~q\ & (\led_flash_cnt[1587][1]~q\ $ (VCC))) # (!\led_flash_cnt[1587][0]~q\ & (\led_flash_cnt[1587][1]~q\ & VCC))
-- \led_flash_cnt[1587][1]~49099\ = CARRY((\led_flash_cnt[1587][0]~q\ & \led_flash_cnt[1587][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1587][0]~q\,
	datab => \led_flash_cnt[1587][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1587][1]~49098_combout\,
	cout => \led_flash_cnt[1587][1]~49099\);

-- Location: FF_X23_Y25_N5
\led_flash_cnt[1587][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1587][1]~49098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1587][1]~q\);

-- Location: LCCOMB_X23_Y25_N6
\led_flash_cnt[1587][2]~49100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1587][2]~49100_combout\ = (\led_flash_cnt[1587][2]~q\ & (!\led_flash_cnt[1587][1]~49099\)) # (!\led_flash_cnt[1587][2]~q\ & ((\led_flash_cnt[1587][1]~49099\) # (GND)))
-- \led_flash_cnt[1587][2]~49101\ = CARRY((!\led_flash_cnt[1587][1]~49099\) # (!\led_flash_cnt[1587][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1587][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1587][1]~49099\,
	combout => \led_flash_cnt[1587][2]~49100_combout\,
	cout => \led_flash_cnt[1587][2]~49101\);

-- Location: FF_X23_Y25_N7
\led_flash_cnt[1587][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1587][2]~49100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1587][2]~q\);

-- Location: LCCOMB_X23_Y25_N8
\led_flash_cnt[1587][3]~49102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1587][3]~49102_combout\ = (\led_flash_cnt[1587][3]~q\ & (\led_flash_cnt[1587][2]~49101\ $ (GND))) # (!\led_flash_cnt[1587][3]~q\ & (!\led_flash_cnt[1587][2]~49101\ & VCC))
-- \led_flash_cnt[1587][3]~49103\ = CARRY((\led_flash_cnt[1587][3]~q\ & !\led_flash_cnt[1587][2]~49101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1587][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1587][2]~49101\,
	combout => \led_flash_cnt[1587][3]~49102_combout\,
	cout => \led_flash_cnt[1587][3]~49103\);

-- Location: FF_X23_Y25_N9
\led_flash_cnt[1587][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1587][3]~49102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1587][3]~q\);

-- Location: LCCOMB_X23_Y25_N10
\led_flash_cnt[1587][4]~49104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1587][4]~49104_combout\ = (\led_flash_cnt[1587][4]~q\ & (!\led_flash_cnt[1587][3]~49103\)) # (!\led_flash_cnt[1587][4]~q\ & ((\led_flash_cnt[1587][3]~49103\) # (GND)))
-- \led_flash_cnt[1587][4]~49105\ = CARRY((!\led_flash_cnt[1587][3]~49103\) # (!\led_flash_cnt[1587][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1587][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1587][3]~49103\,
	combout => \led_flash_cnt[1587][4]~49104_combout\,
	cout => \led_flash_cnt[1587][4]~49105\);

-- Location: FF_X23_Y25_N11
\led_flash_cnt[1587][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1587][4]~49104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1587][4]~q\);

-- Location: LCCOMB_X23_Y25_N12
\led_flash_cnt[1587][5]~49106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1587][5]~49106_combout\ = (\led_flash_cnt[1587][5]~q\ & (\led_flash_cnt[1587][4]~49105\ $ (GND))) # (!\led_flash_cnt[1587][5]~q\ & (!\led_flash_cnt[1587][4]~49105\ & VCC))
-- \led_flash_cnt[1587][5]~49107\ = CARRY((\led_flash_cnt[1587][5]~q\ & !\led_flash_cnt[1587][4]~49105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1587][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1587][4]~49105\,
	combout => \led_flash_cnt[1587][5]~49106_combout\,
	cout => \led_flash_cnt[1587][5]~49107\);

-- Location: FF_X23_Y25_N13
\led_flash_cnt[1587][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1587][5]~49106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1587][5]~q\);

-- Location: LCCOMB_X23_Y25_N14
\led_flash_cnt[1587][6]~49108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1587][6]~49108_combout\ = (\led_flash_cnt[1587][6]~q\ & (!\led_flash_cnt[1587][5]~49107\)) # (!\led_flash_cnt[1587][6]~q\ & ((\led_flash_cnt[1587][5]~49107\) # (GND)))
-- \led_flash_cnt[1587][6]~49109\ = CARRY((!\led_flash_cnt[1587][5]~49107\) # (!\led_flash_cnt[1587][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1587][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1587][5]~49107\,
	combout => \led_flash_cnt[1587][6]~49108_combout\,
	cout => \led_flash_cnt[1587][6]~49109\);

-- Location: FF_X23_Y25_N15
\led_flash_cnt[1587][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1587][6]~49108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1587][6]~q\);

-- Location: LCCOMB_X23_Y25_N16
\led_flash_cnt[1587][7]~49110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1587][7]~49110_combout\ = \led_flash_cnt[1587][6]~49109\ $ (!\led_flash_cnt[1587][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1587][7]~q\,
	cin => \led_flash_cnt[1587][6]~49109\,
	combout => \led_flash_cnt[1587][7]~49110_combout\);

-- Location: FF_X23_Y25_N17
\led_flash_cnt[1587][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1587][7]~49110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1587][7]~q\);

-- Location: LCCOMB_X22_Y25_N4
\WideAnd1587~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1587~1_combout\ = (\led_flash_cnt[1587][5]~q\ & \led_flash_cnt[1587][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1587][5]~q\,
	datac => \led_flash_cnt[1587][6]~q\,
	combout => \WideAnd1587~1_combout\);

-- Location: LCCOMB_X23_Y25_N0
\WideAnd1587~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1587~0_combout\ = (\led_flash_cnt[1587][4]~q\ & (\led_flash_cnt[1587][3]~q\ & (\led_flash_cnt[1587][1]~q\ & \led_flash_cnt[1587][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1587][4]~q\,
	datab => \led_flash_cnt[1587][3]~q\,
	datac => \led_flash_cnt[1587][1]~q\,
	datad => \led_flash_cnt[1587][2]~q\,
	combout => \WideAnd1587~0_combout\);

-- Location: LCCOMB_X22_Y25_N26
WideAnd1587 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1587~combout\ = (\led_flash_cnt[1587][0]~q\ & (\led_flash_cnt[1587][7]~q\ & (\WideAnd1587~1_combout\ & \WideAnd1587~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1587][0]~q\,
	datab => \led_flash_cnt[1587][7]~q\,
	datac => \WideAnd1587~1_combout\,
	datad => \WideAnd1587~0_combout\,
	combout => \WideAnd1587~combout\);

-- Location: FF_X22_Y25_N27
\led_flash_cnt_ands[1587]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1587~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1587));

-- Location: LCCOMB_X8_Y18_N12
\led_flash_cnt[1585][0]~82225\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1585][0]~82225_combout\ = !\led_flash_cnt[1585][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1585][0]~q\,
	combout => \led_flash_cnt[1585][0]~82225_combout\);

-- Location: FF_X8_Y18_N13
\led_flash_cnt[1585][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1585][0]~82225_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1585][0]~q\);

-- Location: LCCOMB_X8_Y18_N14
\led_flash_cnt[1585][1]~49070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1585][1]~49070_combout\ = (\led_flash_cnt[1585][0]~q\ & (\led_flash_cnt[1585][1]~q\ $ (VCC))) # (!\led_flash_cnt[1585][0]~q\ & (\led_flash_cnt[1585][1]~q\ & VCC))
-- \led_flash_cnt[1585][1]~49071\ = CARRY((\led_flash_cnt[1585][0]~q\ & \led_flash_cnt[1585][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1585][0]~q\,
	datab => \led_flash_cnt[1585][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1585][1]~49070_combout\,
	cout => \led_flash_cnt[1585][1]~49071\);

-- Location: FF_X8_Y18_N15
\led_flash_cnt[1585][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1585][1]~49070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1585][1]~q\);

-- Location: LCCOMB_X8_Y18_N16
\led_flash_cnt[1585][2]~49072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1585][2]~49072_combout\ = (\led_flash_cnt[1585][2]~q\ & (!\led_flash_cnt[1585][1]~49071\)) # (!\led_flash_cnt[1585][2]~q\ & ((\led_flash_cnt[1585][1]~49071\) # (GND)))
-- \led_flash_cnt[1585][2]~49073\ = CARRY((!\led_flash_cnt[1585][1]~49071\) # (!\led_flash_cnt[1585][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1585][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1585][1]~49071\,
	combout => \led_flash_cnt[1585][2]~49072_combout\,
	cout => \led_flash_cnt[1585][2]~49073\);

-- Location: FF_X8_Y18_N17
\led_flash_cnt[1585][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1585][2]~49072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1585][2]~q\);

-- Location: LCCOMB_X8_Y18_N18
\led_flash_cnt[1585][3]~49074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1585][3]~49074_combout\ = (\led_flash_cnt[1585][3]~q\ & (\led_flash_cnt[1585][2]~49073\ $ (GND))) # (!\led_flash_cnt[1585][3]~q\ & (!\led_flash_cnt[1585][2]~49073\ & VCC))
-- \led_flash_cnt[1585][3]~49075\ = CARRY((\led_flash_cnt[1585][3]~q\ & !\led_flash_cnt[1585][2]~49073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1585][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1585][2]~49073\,
	combout => \led_flash_cnt[1585][3]~49074_combout\,
	cout => \led_flash_cnt[1585][3]~49075\);

-- Location: FF_X8_Y18_N19
\led_flash_cnt[1585][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1585][3]~49074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1585][3]~q\);

-- Location: LCCOMB_X8_Y18_N20
\led_flash_cnt[1585][4]~49076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1585][4]~49076_combout\ = (\led_flash_cnt[1585][4]~q\ & (!\led_flash_cnt[1585][3]~49075\)) # (!\led_flash_cnt[1585][4]~q\ & ((\led_flash_cnt[1585][3]~49075\) # (GND)))
-- \led_flash_cnt[1585][4]~49077\ = CARRY((!\led_flash_cnt[1585][3]~49075\) # (!\led_flash_cnt[1585][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1585][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1585][3]~49075\,
	combout => \led_flash_cnt[1585][4]~49076_combout\,
	cout => \led_flash_cnt[1585][4]~49077\);

-- Location: FF_X8_Y18_N21
\led_flash_cnt[1585][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1585][4]~49076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1585][4]~q\);

-- Location: LCCOMB_X8_Y18_N30
\WideAnd1585~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1585~0_combout\ = (\led_flash_cnt[1585][4]~q\ & (\led_flash_cnt[1585][3]~q\ & (\led_flash_cnt[1585][1]~q\ & \led_flash_cnt[1585][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1585][4]~q\,
	datab => \led_flash_cnt[1585][3]~q\,
	datac => \led_flash_cnt[1585][1]~q\,
	datad => \led_flash_cnt[1585][2]~q\,
	combout => \WideAnd1585~0_combout\);

-- Location: LCCOMB_X8_Y18_N22
\led_flash_cnt[1585][5]~49078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1585][5]~49078_combout\ = (\led_flash_cnt[1585][5]~q\ & (\led_flash_cnt[1585][4]~49077\ $ (GND))) # (!\led_flash_cnt[1585][5]~q\ & (!\led_flash_cnt[1585][4]~49077\ & VCC))
-- \led_flash_cnt[1585][5]~49079\ = CARRY((\led_flash_cnt[1585][5]~q\ & !\led_flash_cnt[1585][4]~49077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1585][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1585][4]~49077\,
	combout => \led_flash_cnt[1585][5]~49078_combout\,
	cout => \led_flash_cnt[1585][5]~49079\);

-- Location: FF_X8_Y18_N23
\led_flash_cnt[1585][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1585][5]~49078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1585][5]~q\);

-- Location: LCCOMB_X8_Y18_N24
\led_flash_cnt[1585][6]~49080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1585][6]~49080_combout\ = (\led_flash_cnt[1585][6]~q\ & (!\led_flash_cnt[1585][5]~49079\)) # (!\led_flash_cnt[1585][6]~q\ & ((\led_flash_cnt[1585][5]~49079\) # (GND)))
-- \led_flash_cnt[1585][6]~49081\ = CARRY((!\led_flash_cnt[1585][5]~49079\) # (!\led_flash_cnt[1585][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1585][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1585][5]~49079\,
	combout => \led_flash_cnt[1585][6]~49080_combout\,
	cout => \led_flash_cnt[1585][6]~49081\);

-- Location: FF_X8_Y18_N25
\led_flash_cnt[1585][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1585][6]~49080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1585][6]~q\);

-- Location: LCCOMB_X8_Y18_N28
\WideAnd1585~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1585~1_combout\ = (\led_flash_cnt[1585][5]~q\ & \led_flash_cnt[1585][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1585][5]~q\,
	datad => \led_flash_cnt[1585][6]~q\,
	combout => \WideAnd1585~1_combout\);

-- Location: LCCOMB_X8_Y18_N26
\led_flash_cnt[1585][7]~49082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1585][7]~49082_combout\ = \led_flash_cnt[1585][7]~q\ $ (!\led_flash_cnt[1585][6]~49081\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1585][7]~q\,
	cin => \led_flash_cnt[1585][6]~49081\,
	combout => \led_flash_cnt[1585][7]~49082_combout\);

-- Location: FF_X8_Y18_N27
\led_flash_cnt[1585][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1585][7]~49082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1585][7]~q\);

-- Location: LCCOMB_X8_Y18_N8
WideAnd1585 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1585~combout\ = (\WideAnd1585~0_combout\ & (\WideAnd1585~1_combout\ & (\led_flash_cnt[1585][7]~q\ & \led_flash_cnt[1585][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1585~0_combout\,
	datab => \WideAnd1585~1_combout\,
	datac => \led_flash_cnt[1585][7]~q\,
	datad => \led_flash_cnt[1585][0]~q\,
	combout => \WideAnd1585~combout\);

-- Location: FF_X8_Y18_N9
\led_flash_cnt_ands[1585]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1585~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1585));

-- Location: LCCOMB_X22_Y25_N22
\led_flash_cnt[1584][0]~82224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1584][0]~82224_combout\ = !\led_flash_cnt[1584][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1584][0]~q\,
	combout => \led_flash_cnt[1584][0]~82224_combout\);

-- Location: FF_X22_Y25_N23
\led_flash_cnt[1584][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1584][0]~82224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1584][0]~q\);

-- Location: LCCOMB_X22_Y25_N8
\led_flash_cnt[1584][1]~49056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1584][1]~49056_combout\ = (\led_flash_cnt[1584][0]~q\ & (\led_flash_cnt[1584][1]~q\ $ (VCC))) # (!\led_flash_cnt[1584][0]~q\ & (\led_flash_cnt[1584][1]~q\ & VCC))
-- \led_flash_cnt[1584][1]~49057\ = CARRY((\led_flash_cnt[1584][0]~q\ & \led_flash_cnt[1584][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1584][0]~q\,
	datab => \led_flash_cnt[1584][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1584][1]~49056_combout\,
	cout => \led_flash_cnt[1584][1]~49057\);

-- Location: FF_X22_Y25_N9
\led_flash_cnt[1584][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1584][1]~49056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1584][1]~q\);

-- Location: LCCOMB_X22_Y25_N10
\led_flash_cnt[1584][2]~49058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1584][2]~49058_combout\ = (\led_flash_cnt[1584][2]~q\ & (!\led_flash_cnt[1584][1]~49057\)) # (!\led_flash_cnt[1584][2]~q\ & ((\led_flash_cnt[1584][1]~49057\) # (GND)))
-- \led_flash_cnt[1584][2]~49059\ = CARRY((!\led_flash_cnt[1584][1]~49057\) # (!\led_flash_cnt[1584][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1584][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1584][1]~49057\,
	combout => \led_flash_cnt[1584][2]~49058_combout\,
	cout => \led_flash_cnt[1584][2]~49059\);

-- Location: FF_X22_Y25_N11
\led_flash_cnt[1584][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1584][2]~49058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1584][2]~q\);

-- Location: LCCOMB_X22_Y25_N12
\led_flash_cnt[1584][3]~49060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1584][3]~49060_combout\ = (\led_flash_cnt[1584][3]~q\ & (\led_flash_cnt[1584][2]~49059\ $ (GND))) # (!\led_flash_cnt[1584][3]~q\ & (!\led_flash_cnt[1584][2]~49059\ & VCC))
-- \led_flash_cnt[1584][3]~49061\ = CARRY((\led_flash_cnt[1584][3]~q\ & !\led_flash_cnt[1584][2]~49059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1584][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1584][2]~49059\,
	combout => \led_flash_cnt[1584][3]~49060_combout\,
	cout => \led_flash_cnt[1584][3]~49061\);

-- Location: FF_X22_Y25_N13
\led_flash_cnt[1584][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1584][3]~49060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1584][3]~q\);

-- Location: LCCOMB_X22_Y25_N14
\led_flash_cnt[1584][4]~49062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1584][4]~49062_combout\ = (\led_flash_cnt[1584][4]~q\ & (!\led_flash_cnt[1584][3]~49061\)) # (!\led_flash_cnt[1584][4]~q\ & ((\led_flash_cnt[1584][3]~49061\) # (GND)))
-- \led_flash_cnt[1584][4]~49063\ = CARRY((!\led_flash_cnt[1584][3]~49061\) # (!\led_flash_cnt[1584][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1584][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1584][3]~49061\,
	combout => \led_flash_cnt[1584][4]~49062_combout\,
	cout => \led_flash_cnt[1584][4]~49063\);

-- Location: FF_X22_Y25_N15
\led_flash_cnt[1584][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1584][4]~49062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1584][4]~q\);

-- Location: LCCOMB_X22_Y25_N16
\led_flash_cnt[1584][5]~49064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1584][5]~49064_combout\ = (\led_flash_cnt[1584][5]~q\ & (\led_flash_cnt[1584][4]~49063\ $ (GND))) # (!\led_flash_cnt[1584][5]~q\ & (!\led_flash_cnt[1584][4]~49063\ & VCC))
-- \led_flash_cnt[1584][5]~49065\ = CARRY((\led_flash_cnt[1584][5]~q\ & !\led_flash_cnt[1584][4]~49063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1584][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1584][4]~49063\,
	combout => \led_flash_cnt[1584][5]~49064_combout\,
	cout => \led_flash_cnt[1584][5]~49065\);

-- Location: FF_X22_Y25_N17
\led_flash_cnt[1584][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1584][5]~49064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1584][5]~q\);

-- Location: LCCOMB_X22_Y25_N18
\led_flash_cnt[1584][6]~49066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1584][6]~49066_combout\ = (\led_flash_cnt[1584][6]~q\ & (!\led_flash_cnt[1584][5]~49065\)) # (!\led_flash_cnt[1584][6]~q\ & ((\led_flash_cnt[1584][5]~49065\) # (GND)))
-- \led_flash_cnt[1584][6]~49067\ = CARRY((!\led_flash_cnt[1584][5]~49065\) # (!\led_flash_cnt[1584][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1584][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1584][5]~49065\,
	combout => \led_flash_cnt[1584][6]~49066_combout\,
	cout => \led_flash_cnt[1584][6]~49067\);

-- Location: FF_X22_Y25_N19
\led_flash_cnt[1584][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1584][6]~49066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1584][6]~q\);

-- Location: LCCOMB_X22_Y25_N20
\led_flash_cnt[1584][7]~49068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1584][7]~49068_combout\ = \led_flash_cnt[1584][6]~49067\ $ (!\led_flash_cnt[1584][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1584][7]~q\,
	cin => \led_flash_cnt[1584][6]~49067\,
	combout => \led_flash_cnt[1584][7]~49068_combout\);

-- Location: FF_X22_Y25_N21
\led_flash_cnt[1584][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1584][7]~49068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1584][7]~q\);

-- Location: LCCOMB_X22_Y25_N30
\WideAnd1584~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1584~1_combout\ = (\led_flash_cnt[1584][6]~q\ & \led_flash_cnt[1584][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1584][6]~q\,
	datad => \led_flash_cnt[1584][5]~q\,
	combout => \WideAnd1584~1_combout\);

-- Location: LCCOMB_X22_Y25_N0
\WideAnd1584~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1584~0_combout\ = (\led_flash_cnt[1584][3]~q\ & (\led_flash_cnt[1584][4]~q\ & (\led_flash_cnt[1584][1]~q\ & \led_flash_cnt[1584][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1584][3]~q\,
	datab => \led_flash_cnt[1584][4]~q\,
	datac => \led_flash_cnt[1584][1]~q\,
	datad => \led_flash_cnt[1584][2]~q\,
	combout => \WideAnd1584~0_combout\);

-- Location: LCCOMB_X22_Y25_N28
WideAnd1584 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1584~combout\ = (\led_flash_cnt[1584][0]~q\ & (\led_flash_cnt[1584][7]~q\ & (\WideAnd1584~1_combout\ & \WideAnd1584~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1584][0]~q\,
	datab => \led_flash_cnt[1584][7]~q\,
	datac => \WideAnd1584~1_combout\,
	datad => \WideAnd1584~0_combout\,
	combout => \WideAnd1584~combout\);

-- Location: FF_X22_Y25_N29
\led_flash_cnt_ands[1584]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1584~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1584));

-- Location: LCCOMB_X21_Y25_N10
\WideAnd4038~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4038~0_combout\ = (led_flash_cnt_ands(1586) & (led_flash_cnt_ands(1587) & (led_flash_cnt_ands(1585) & led_flash_cnt_ands(1584))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1586),
	datab => led_flash_cnt_ands(1587),
	datac => led_flash_cnt_ands(1585),
	datad => led_flash_cnt_ands(1584),
	combout => \WideAnd4038~0_combout\);

-- Location: LCCOMB_X21_Y25_N0
WideAnd4038 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4038~combout\ = (led_flash_cnt_ands(1591) & (led_flash_cnt_ands(1590) & (\WideAnd4038~1_combout\ & \WideAnd4038~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1591),
	datab => led_flash_cnt_ands(1590),
	datac => \WideAnd4038~1_combout\,
	datad => \WideAnd4038~0_combout\,
	combout => \WideAnd4038~combout\);

-- Location: FF_X21_Y25_N1
\led_flash_cnt_ands_1[198]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4038~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(198));

-- Location: LCCOMB_X15_Y35_N26
\led_flash_cnt[1598][0]~82238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1598][0]~82238_combout\ = !\led_flash_cnt[1598][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1598][0]~q\,
	combout => \led_flash_cnt[1598][0]~82238_combout\);

-- Location: FF_X15_Y35_N27
\led_flash_cnt[1598][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1598][0]~82238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1598][0]~q\);

-- Location: LCCOMB_X15_Y35_N2
\led_flash_cnt[1598][1]~49252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1598][1]~49252_combout\ = (\led_flash_cnt[1598][0]~q\ & (\led_flash_cnt[1598][1]~q\ $ (VCC))) # (!\led_flash_cnt[1598][0]~q\ & (\led_flash_cnt[1598][1]~q\ & VCC))
-- \led_flash_cnt[1598][1]~49253\ = CARRY((\led_flash_cnt[1598][0]~q\ & \led_flash_cnt[1598][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1598][0]~q\,
	datab => \led_flash_cnt[1598][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1598][1]~49252_combout\,
	cout => \led_flash_cnt[1598][1]~49253\);

-- Location: FF_X15_Y35_N3
\led_flash_cnt[1598][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1598][1]~49252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1598][1]~q\);

-- Location: LCCOMB_X15_Y35_N4
\led_flash_cnt[1598][2]~49254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1598][2]~49254_combout\ = (\led_flash_cnt[1598][2]~q\ & (!\led_flash_cnt[1598][1]~49253\)) # (!\led_flash_cnt[1598][2]~q\ & ((\led_flash_cnt[1598][1]~49253\) # (GND)))
-- \led_flash_cnt[1598][2]~49255\ = CARRY((!\led_flash_cnt[1598][1]~49253\) # (!\led_flash_cnt[1598][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1598][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1598][1]~49253\,
	combout => \led_flash_cnt[1598][2]~49254_combout\,
	cout => \led_flash_cnt[1598][2]~49255\);

-- Location: FF_X15_Y35_N5
\led_flash_cnt[1598][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1598][2]~49254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1598][2]~q\);

-- Location: LCCOMB_X15_Y35_N6
\led_flash_cnt[1598][3]~49256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1598][3]~49256_combout\ = (\led_flash_cnt[1598][3]~q\ & (\led_flash_cnt[1598][2]~49255\ $ (GND))) # (!\led_flash_cnt[1598][3]~q\ & (!\led_flash_cnt[1598][2]~49255\ & VCC))
-- \led_flash_cnt[1598][3]~49257\ = CARRY((\led_flash_cnt[1598][3]~q\ & !\led_flash_cnt[1598][2]~49255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1598][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1598][2]~49255\,
	combout => \led_flash_cnt[1598][3]~49256_combout\,
	cout => \led_flash_cnt[1598][3]~49257\);

-- Location: FF_X15_Y35_N7
\led_flash_cnt[1598][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1598][3]~49256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1598][3]~q\);

-- Location: LCCOMB_X15_Y35_N8
\led_flash_cnt[1598][4]~49258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1598][4]~49258_combout\ = (\led_flash_cnt[1598][4]~q\ & (!\led_flash_cnt[1598][3]~49257\)) # (!\led_flash_cnt[1598][4]~q\ & ((\led_flash_cnt[1598][3]~49257\) # (GND)))
-- \led_flash_cnt[1598][4]~49259\ = CARRY((!\led_flash_cnt[1598][3]~49257\) # (!\led_flash_cnt[1598][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1598][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1598][3]~49257\,
	combout => \led_flash_cnt[1598][4]~49258_combout\,
	cout => \led_flash_cnt[1598][4]~49259\);

-- Location: FF_X15_Y35_N9
\led_flash_cnt[1598][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1598][4]~49258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1598][4]~q\);

-- Location: LCCOMB_X15_Y35_N10
\led_flash_cnt[1598][5]~49260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1598][5]~49260_combout\ = (\led_flash_cnt[1598][5]~q\ & (\led_flash_cnt[1598][4]~49259\ $ (GND))) # (!\led_flash_cnt[1598][5]~q\ & (!\led_flash_cnt[1598][4]~49259\ & VCC))
-- \led_flash_cnt[1598][5]~49261\ = CARRY((\led_flash_cnt[1598][5]~q\ & !\led_flash_cnt[1598][4]~49259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1598][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1598][4]~49259\,
	combout => \led_flash_cnt[1598][5]~49260_combout\,
	cout => \led_flash_cnt[1598][5]~49261\);

-- Location: FF_X15_Y35_N11
\led_flash_cnt[1598][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1598][5]~49260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1598][5]~q\);

-- Location: LCCOMB_X15_Y35_N12
\led_flash_cnt[1598][6]~49262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1598][6]~49262_combout\ = (\led_flash_cnt[1598][6]~q\ & (!\led_flash_cnt[1598][5]~49261\)) # (!\led_flash_cnt[1598][6]~q\ & ((\led_flash_cnt[1598][5]~49261\) # (GND)))
-- \led_flash_cnt[1598][6]~49263\ = CARRY((!\led_flash_cnt[1598][5]~49261\) # (!\led_flash_cnt[1598][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1598][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1598][5]~49261\,
	combout => \led_flash_cnt[1598][6]~49262_combout\,
	cout => \led_flash_cnt[1598][6]~49263\);

-- Location: FF_X15_Y35_N13
\led_flash_cnt[1598][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1598][6]~49262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1598][6]~q\);

-- Location: LCCOMB_X15_Y35_N24
\WideAnd1598~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1598~1_combout\ = (\led_flash_cnt[1598][6]~q\ & \led_flash_cnt[1598][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1598][6]~q\,
	datad => \led_flash_cnt[1598][5]~q\,
	combout => \WideAnd1598~1_combout\);

-- Location: LCCOMB_X15_Y35_N14
\led_flash_cnt[1598][7]~49264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1598][7]~49264_combout\ = \led_flash_cnt[1598][7]~q\ $ (!\led_flash_cnt[1598][6]~49263\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1598][7]~q\,
	cin => \led_flash_cnt[1598][6]~49263\,
	combout => \led_flash_cnt[1598][7]~49264_combout\);

-- Location: FF_X15_Y35_N15
\led_flash_cnt[1598][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1598][7]~49264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1598][7]~q\);

-- Location: LCCOMB_X15_Y35_N18
\WideAnd1598~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1598~0_combout\ = (\led_flash_cnt[1598][3]~q\ & (\led_flash_cnt[1598][2]~q\ & (\led_flash_cnt[1598][4]~q\ & \led_flash_cnt[1598][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1598][3]~q\,
	datab => \led_flash_cnt[1598][2]~q\,
	datac => \led_flash_cnt[1598][4]~q\,
	datad => \led_flash_cnt[1598][1]~q\,
	combout => \WideAnd1598~0_combout\);

-- Location: LCCOMB_X15_Y35_N28
WideAnd1598 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1598~combout\ = (\led_flash_cnt[1598][0]~q\ & (\WideAnd1598~1_combout\ & (\led_flash_cnt[1598][7]~q\ & \WideAnd1598~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1598][0]~q\,
	datab => \WideAnd1598~1_combout\,
	datac => \led_flash_cnt[1598][7]~q\,
	datad => \WideAnd1598~0_combout\,
	combout => \WideAnd1598~combout\);

-- Location: FF_X15_Y35_N29
\led_flash_cnt_ands[1598]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1598~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1598));

-- Location: LCCOMB_X15_Y35_N0
\led_flash_cnt[1599][0]~82239\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1599][0]~82239_combout\ = !\led_flash_cnt[1599][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1599][0]~q\,
	combout => \led_flash_cnt[1599][0]~82239_combout\);

-- Location: FF_X15_Y35_N1
\led_flash_cnt[1599][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1599][0]~82239_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1599][0]~q\);

-- Location: LCCOMB_X14_Y37_N18
\led_flash_cnt[1599][1]~49266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1599][1]~49266_combout\ = (\led_flash_cnt[1599][1]~q\ & (\led_flash_cnt[1599][0]~q\ $ (VCC))) # (!\led_flash_cnt[1599][1]~q\ & (\led_flash_cnt[1599][0]~q\ & VCC))
-- \led_flash_cnt[1599][1]~49267\ = CARRY((\led_flash_cnt[1599][1]~q\ & \led_flash_cnt[1599][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1599][1]~q\,
	datab => \led_flash_cnt[1599][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1599][1]~49266_combout\,
	cout => \led_flash_cnt[1599][1]~49267\);

-- Location: FF_X14_Y37_N19
\led_flash_cnt[1599][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1599][1]~49266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1599][1]~q\);

-- Location: LCCOMB_X14_Y37_N20
\led_flash_cnt[1599][2]~49268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1599][2]~49268_combout\ = (\led_flash_cnt[1599][2]~q\ & (!\led_flash_cnt[1599][1]~49267\)) # (!\led_flash_cnt[1599][2]~q\ & ((\led_flash_cnt[1599][1]~49267\) # (GND)))
-- \led_flash_cnt[1599][2]~49269\ = CARRY((!\led_flash_cnt[1599][1]~49267\) # (!\led_flash_cnt[1599][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1599][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1599][1]~49267\,
	combout => \led_flash_cnt[1599][2]~49268_combout\,
	cout => \led_flash_cnt[1599][2]~49269\);

-- Location: FF_X14_Y37_N21
\led_flash_cnt[1599][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1599][2]~49268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1599][2]~q\);

-- Location: LCCOMB_X14_Y37_N22
\led_flash_cnt[1599][3]~49270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1599][3]~49270_combout\ = (\led_flash_cnt[1599][3]~q\ & (\led_flash_cnt[1599][2]~49269\ $ (GND))) # (!\led_flash_cnt[1599][3]~q\ & (!\led_flash_cnt[1599][2]~49269\ & VCC))
-- \led_flash_cnt[1599][3]~49271\ = CARRY((\led_flash_cnt[1599][3]~q\ & !\led_flash_cnt[1599][2]~49269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1599][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1599][2]~49269\,
	combout => \led_flash_cnt[1599][3]~49270_combout\,
	cout => \led_flash_cnt[1599][3]~49271\);

-- Location: FF_X14_Y37_N23
\led_flash_cnt[1599][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1599][3]~49270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1599][3]~q\);

-- Location: LCCOMB_X14_Y37_N24
\led_flash_cnt[1599][4]~49272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1599][4]~49272_combout\ = (\led_flash_cnt[1599][4]~q\ & (!\led_flash_cnt[1599][3]~49271\)) # (!\led_flash_cnt[1599][4]~q\ & ((\led_flash_cnt[1599][3]~49271\) # (GND)))
-- \led_flash_cnt[1599][4]~49273\ = CARRY((!\led_flash_cnt[1599][3]~49271\) # (!\led_flash_cnt[1599][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1599][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1599][3]~49271\,
	combout => \led_flash_cnt[1599][4]~49272_combout\,
	cout => \led_flash_cnt[1599][4]~49273\);

-- Location: FF_X14_Y37_N25
\led_flash_cnt[1599][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1599][4]~49272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1599][4]~q\);

-- Location: LCCOMB_X14_Y37_N14
\WideAnd1599~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1599~0_combout\ = (\led_flash_cnt[1599][1]~q\ & (\led_flash_cnt[1599][2]~q\ & (\led_flash_cnt[1599][3]~q\ & \led_flash_cnt[1599][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1599][1]~q\,
	datab => \led_flash_cnt[1599][2]~q\,
	datac => \led_flash_cnt[1599][3]~q\,
	datad => \led_flash_cnt[1599][4]~q\,
	combout => \WideAnd1599~0_combout\);

-- Location: LCCOMB_X14_Y37_N26
\led_flash_cnt[1599][5]~49274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1599][5]~49274_combout\ = (\led_flash_cnt[1599][5]~q\ & (\led_flash_cnt[1599][4]~49273\ $ (GND))) # (!\led_flash_cnt[1599][5]~q\ & (!\led_flash_cnt[1599][4]~49273\ & VCC))
-- \led_flash_cnt[1599][5]~49275\ = CARRY((\led_flash_cnt[1599][5]~q\ & !\led_flash_cnt[1599][4]~49273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1599][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1599][4]~49273\,
	combout => \led_flash_cnt[1599][5]~49274_combout\,
	cout => \led_flash_cnt[1599][5]~49275\);

-- Location: FF_X14_Y37_N27
\led_flash_cnt[1599][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1599][5]~49274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1599][5]~q\);

-- Location: LCCOMB_X14_Y37_N28
\led_flash_cnt[1599][6]~49276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1599][6]~49276_combout\ = (\led_flash_cnt[1599][6]~q\ & (!\led_flash_cnt[1599][5]~49275\)) # (!\led_flash_cnt[1599][6]~q\ & ((\led_flash_cnt[1599][5]~49275\) # (GND)))
-- \led_flash_cnt[1599][6]~49277\ = CARRY((!\led_flash_cnt[1599][5]~49275\) # (!\led_flash_cnt[1599][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1599][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1599][5]~49275\,
	combout => \led_flash_cnt[1599][6]~49276_combout\,
	cout => \led_flash_cnt[1599][6]~49277\);

-- Location: FF_X14_Y37_N29
\led_flash_cnt[1599][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1599][6]~49276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1599][6]~q\);

-- Location: LCCOMB_X14_Y37_N30
\led_flash_cnt[1599][7]~49278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1599][7]~49278_combout\ = \led_flash_cnt[1599][7]~q\ $ (!\led_flash_cnt[1599][6]~49277\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1599][7]~q\,
	cin => \led_flash_cnt[1599][6]~49277\,
	combout => \led_flash_cnt[1599][7]~49278_combout\);

-- Location: FF_X14_Y37_N31
\led_flash_cnt[1599][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1599][7]~49278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1599][7]~q\);

-- Location: LCCOMB_X15_Y37_N10
\WideAnd1599~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1599~1_combout\ = (\led_flash_cnt[1599][7]~q\ & \led_flash_cnt[1599][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1599][7]~q\,
	datac => \led_flash_cnt[1599][0]~q\,
	combout => \WideAnd1599~1_combout\);

-- Location: LCCOMB_X15_Y37_N4
WideAnd1599 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1599~combout\ = (\WideAnd1599~0_combout\ & (\led_flash_cnt[1599][6]~q\ & (\led_flash_cnt[1599][5]~q\ & \WideAnd1599~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1599~0_combout\,
	datab => \led_flash_cnt[1599][6]~q\,
	datac => \led_flash_cnt[1599][5]~q\,
	datad => \WideAnd1599~1_combout\,
	combout => \WideAnd1599~combout\);

-- Location: FF_X15_Y37_N5
\led_flash_cnt_ands[1599]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1599~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1599));

-- Location: LCCOMB_X22_Y35_N12
\led_flash_cnt[1596][0]~82236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1596][0]~82236_combout\ = !\led_flash_cnt[1596][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1596][0]~q\,
	combout => \led_flash_cnt[1596][0]~82236_combout\);

-- Location: FF_X22_Y35_N13
\led_flash_cnt[1596][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1596][0]~82236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1596][0]~q\);

-- Location: LCCOMB_X22_Y35_N18
\led_flash_cnt[1596][1]~49224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1596][1]~49224_combout\ = (\led_flash_cnt[1596][0]~q\ & (\led_flash_cnt[1596][1]~q\ $ (VCC))) # (!\led_flash_cnt[1596][0]~q\ & (\led_flash_cnt[1596][1]~q\ & VCC))
-- \led_flash_cnt[1596][1]~49225\ = CARRY((\led_flash_cnt[1596][0]~q\ & \led_flash_cnt[1596][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1596][0]~q\,
	datab => \led_flash_cnt[1596][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1596][1]~49224_combout\,
	cout => \led_flash_cnt[1596][1]~49225\);

-- Location: FF_X22_Y35_N19
\led_flash_cnt[1596][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1596][1]~49224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1596][1]~q\);

-- Location: LCCOMB_X22_Y35_N20
\led_flash_cnt[1596][2]~49226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1596][2]~49226_combout\ = (\led_flash_cnt[1596][2]~q\ & (!\led_flash_cnt[1596][1]~49225\)) # (!\led_flash_cnt[1596][2]~q\ & ((\led_flash_cnt[1596][1]~49225\) # (GND)))
-- \led_flash_cnt[1596][2]~49227\ = CARRY((!\led_flash_cnt[1596][1]~49225\) # (!\led_flash_cnt[1596][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1596][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1596][1]~49225\,
	combout => \led_flash_cnt[1596][2]~49226_combout\,
	cout => \led_flash_cnt[1596][2]~49227\);

-- Location: FF_X22_Y35_N21
\led_flash_cnt[1596][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1596][2]~49226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1596][2]~q\);

-- Location: LCCOMB_X22_Y35_N22
\led_flash_cnt[1596][3]~49228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1596][3]~49228_combout\ = (\led_flash_cnt[1596][3]~q\ & (\led_flash_cnt[1596][2]~49227\ $ (GND))) # (!\led_flash_cnt[1596][3]~q\ & (!\led_flash_cnt[1596][2]~49227\ & VCC))
-- \led_flash_cnt[1596][3]~49229\ = CARRY((\led_flash_cnt[1596][3]~q\ & !\led_flash_cnt[1596][2]~49227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1596][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1596][2]~49227\,
	combout => \led_flash_cnt[1596][3]~49228_combout\,
	cout => \led_flash_cnt[1596][3]~49229\);

-- Location: FF_X22_Y35_N23
\led_flash_cnt[1596][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1596][3]~49228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1596][3]~q\);

-- Location: LCCOMB_X22_Y35_N24
\led_flash_cnt[1596][4]~49230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1596][4]~49230_combout\ = (\led_flash_cnt[1596][4]~q\ & (!\led_flash_cnt[1596][3]~49229\)) # (!\led_flash_cnt[1596][4]~q\ & ((\led_flash_cnt[1596][3]~49229\) # (GND)))
-- \led_flash_cnt[1596][4]~49231\ = CARRY((!\led_flash_cnt[1596][3]~49229\) # (!\led_flash_cnt[1596][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1596][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1596][3]~49229\,
	combout => \led_flash_cnt[1596][4]~49230_combout\,
	cout => \led_flash_cnt[1596][4]~49231\);

-- Location: FF_X22_Y35_N25
\led_flash_cnt[1596][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1596][4]~49230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1596][4]~q\);

-- Location: LCCOMB_X22_Y35_N26
\led_flash_cnt[1596][5]~49232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1596][5]~49232_combout\ = (\led_flash_cnt[1596][5]~q\ & (\led_flash_cnt[1596][4]~49231\ $ (GND))) # (!\led_flash_cnt[1596][5]~q\ & (!\led_flash_cnt[1596][4]~49231\ & VCC))
-- \led_flash_cnt[1596][5]~49233\ = CARRY((\led_flash_cnt[1596][5]~q\ & !\led_flash_cnt[1596][4]~49231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1596][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1596][4]~49231\,
	combout => \led_flash_cnt[1596][5]~49232_combout\,
	cout => \led_flash_cnt[1596][5]~49233\);

-- Location: FF_X22_Y35_N27
\led_flash_cnt[1596][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1596][5]~49232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1596][5]~q\);

-- Location: LCCOMB_X22_Y35_N28
\led_flash_cnt[1596][6]~49234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1596][6]~49234_combout\ = (\led_flash_cnt[1596][6]~q\ & (!\led_flash_cnt[1596][5]~49233\)) # (!\led_flash_cnt[1596][6]~q\ & ((\led_flash_cnt[1596][5]~49233\) # (GND)))
-- \led_flash_cnt[1596][6]~49235\ = CARRY((!\led_flash_cnt[1596][5]~49233\) # (!\led_flash_cnt[1596][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1596][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1596][5]~49233\,
	combout => \led_flash_cnt[1596][6]~49234_combout\,
	cout => \led_flash_cnt[1596][6]~49235\);

-- Location: FF_X22_Y35_N29
\led_flash_cnt[1596][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1596][6]~49234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1596][6]~q\);

-- Location: LCCOMB_X22_Y35_N30
\led_flash_cnt[1596][7]~49236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1596][7]~49236_combout\ = \led_flash_cnt[1596][7]~q\ $ (!\led_flash_cnt[1596][6]~49235\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1596][7]~q\,
	cin => \led_flash_cnt[1596][6]~49235\,
	combout => \led_flash_cnt[1596][7]~49236_combout\);

-- Location: FF_X22_Y35_N31
\led_flash_cnt[1596][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1596][7]~49236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1596][7]~q\);

-- Location: LCCOMB_X22_Y35_N0
\WideAnd1596~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1596~0_combout\ = (\led_flash_cnt[1596][1]~q\ & (\led_flash_cnt[1596][2]~q\ & (\led_flash_cnt[1596][3]~q\ & \led_flash_cnt[1596][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1596][1]~q\,
	datab => \led_flash_cnt[1596][2]~q\,
	datac => \led_flash_cnt[1596][3]~q\,
	datad => \led_flash_cnt[1596][4]~q\,
	combout => \WideAnd1596~0_combout\);

-- Location: LCCOMB_X22_Y35_N8
\WideAnd1596~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1596~1_combout\ = (\led_flash_cnt[1596][5]~q\ & \led_flash_cnt[1596][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1596][5]~q\,
	datad => \led_flash_cnt[1596][6]~q\,
	combout => \WideAnd1596~1_combout\);

-- Location: LCCOMB_X22_Y35_N14
WideAnd1596 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1596~combout\ = (\led_flash_cnt[1596][7]~q\ & (\WideAnd1596~0_combout\ & (\WideAnd1596~1_combout\ & \led_flash_cnt[1596][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1596][7]~q\,
	datab => \WideAnd1596~0_combout\,
	datac => \WideAnd1596~1_combout\,
	datad => \led_flash_cnt[1596][0]~q\,
	combout => \WideAnd1596~combout\);

-- Location: FF_X22_Y35_N15
\led_flash_cnt_ands[1596]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1596~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1596));

-- Location: LCCOMB_X22_Y35_N6
\led_flash_cnt[1597][0]~82237\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1597][0]~82237_combout\ = !\led_flash_cnt[1597][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1597][0]~q\,
	combout => \led_flash_cnt[1597][0]~82237_combout\);

-- Location: FF_X22_Y35_N7
\led_flash_cnt[1597][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1597][0]~82237_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1597][0]~q\);

-- Location: LCCOMB_X23_Y35_N2
\led_flash_cnt[1597][1]~49238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1597][1]~49238_combout\ = (\led_flash_cnt[1597][0]~q\ & (\led_flash_cnt[1597][1]~q\ $ (VCC))) # (!\led_flash_cnt[1597][0]~q\ & (\led_flash_cnt[1597][1]~q\ & VCC))
-- \led_flash_cnt[1597][1]~49239\ = CARRY((\led_flash_cnt[1597][0]~q\ & \led_flash_cnt[1597][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1597][0]~q\,
	datab => \led_flash_cnt[1597][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1597][1]~49238_combout\,
	cout => \led_flash_cnt[1597][1]~49239\);

-- Location: FF_X23_Y35_N3
\led_flash_cnt[1597][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1597][1]~49238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1597][1]~q\);

-- Location: LCCOMB_X23_Y35_N4
\led_flash_cnt[1597][2]~49240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1597][2]~49240_combout\ = (\led_flash_cnt[1597][2]~q\ & (!\led_flash_cnt[1597][1]~49239\)) # (!\led_flash_cnt[1597][2]~q\ & ((\led_flash_cnt[1597][1]~49239\) # (GND)))
-- \led_flash_cnt[1597][2]~49241\ = CARRY((!\led_flash_cnt[1597][1]~49239\) # (!\led_flash_cnt[1597][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1597][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1597][1]~49239\,
	combout => \led_flash_cnt[1597][2]~49240_combout\,
	cout => \led_flash_cnt[1597][2]~49241\);

-- Location: FF_X23_Y35_N5
\led_flash_cnt[1597][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1597][2]~49240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1597][2]~q\);

-- Location: LCCOMB_X23_Y35_N6
\led_flash_cnt[1597][3]~49242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1597][3]~49242_combout\ = (\led_flash_cnt[1597][3]~q\ & (\led_flash_cnt[1597][2]~49241\ $ (GND))) # (!\led_flash_cnt[1597][3]~q\ & (!\led_flash_cnt[1597][2]~49241\ & VCC))
-- \led_flash_cnt[1597][3]~49243\ = CARRY((\led_flash_cnt[1597][3]~q\ & !\led_flash_cnt[1597][2]~49241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1597][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1597][2]~49241\,
	combout => \led_flash_cnt[1597][3]~49242_combout\,
	cout => \led_flash_cnt[1597][3]~49243\);

-- Location: FF_X23_Y35_N7
\led_flash_cnt[1597][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1597][3]~49242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1597][3]~q\);

-- Location: LCCOMB_X23_Y35_N8
\led_flash_cnt[1597][4]~49244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1597][4]~49244_combout\ = (\led_flash_cnt[1597][4]~q\ & (!\led_flash_cnt[1597][3]~49243\)) # (!\led_flash_cnt[1597][4]~q\ & ((\led_flash_cnt[1597][3]~49243\) # (GND)))
-- \led_flash_cnt[1597][4]~49245\ = CARRY((!\led_flash_cnt[1597][3]~49243\) # (!\led_flash_cnt[1597][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1597][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1597][3]~49243\,
	combout => \led_flash_cnt[1597][4]~49244_combout\,
	cout => \led_flash_cnt[1597][4]~49245\);

-- Location: FF_X23_Y35_N9
\led_flash_cnt[1597][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1597][4]~49244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1597][4]~q\);

-- Location: LCCOMB_X23_Y35_N10
\led_flash_cnt[1597][5]~49246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1597][5]~49246_combout\ = (\led_flash_cnt[1597][5]~q\ & (\led_flash_cnt[1597][4]~49245\ $ (GND))) # (!\led_flash_cnt[1597][5]~q\ & (!\led_flash_cnt[1597][4]~49245\ & VCC))
-- \led_flash_cnt[1597][5]~49247\ = CARRY((\led_flash_cnt[1597][5]~q\ & !\led_flash_cnt[1597][4]~49245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1597][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1597][4]~49245\,
	combout => \led_flash_cnt[1597][5]~49246_combout\,
	cout => \led_flash_cnt[1597][5]~49247\);

-- Location: FF_X23_Y35_N11
\led_flash_cnt[1597][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1597][5]~49246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1597][5]~q\);

-- Location: LCCOMB_X23_Y35_N12
\led_flash_cnt[1597][6]~49248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1597][6]~49248_combout\ = (\led_flash_cnt[1597][6]~q\ & (!\led_flash_cnt[1597][5]~49247\)) # (!\led_flash_cnt[1597][6]~q\ & ((\led_flash_cnt[1597][5]~49247\) # (GND)))
-- \led_flash_cnt[1597][6]~49249\ = CARRY((!\led_flash_cnt[1597][5]~49247\) # (!\led_flash_cnt[1597][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1597][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1597][5]~49247\,
	combout => \led_flash_cnt[1597][6]~49248_combout\,
	cout => \led_flash_cnt[1597][6]~49249\);

-- Location: FF_X23_Y35_N13
\led_flash_cnt[1597][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1597][6]~49248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1597][6]~q\);

-- Location: LCCOMB_X22_Y35_N16
\WideAnd1597~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1597~1_combout\ = (\led_flash_cnt[1597][6]~q\ & \led_flash_cnt[1597][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1597][6]~q\,
	datac => \led_flash_cnt[1597][5]~q\,
	combout => \WideAnd1597~1_combout\);

-- Location: LCCOMB_X23_Y35_N14
\led_flash_cnt[1597][7]~49250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1597][7]~49250_combout\ = \led_flash_cnt[1597][7]~q\ $ (!\led_flash_cnt[1597][6]~49249\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1597][7]~q\,
	cin => \led_flash_cnt[1597][6]~49249\,
	combout => \led_flash_cnt[1597][7]~49250_combout\);

-- Location: FF_X23_Y35_N15
\led_flash_cnt[1597][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1597][7]~49250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1597][7]~q\);

-- Location: LCCOMB_X23_Y35_N16
\WideAnd1597~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1597~0_combout\ = (\led_flash_cnt[1597][3]~q\ & (\led_flash_cnt[1597][2]~q\ & (\led_flash_cnt[1597][4]~q\ & \led_flash_cnt[1597][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1597][3]~q\,
	datab => \led_flash_cnt[1597][2]~q\,
	datac => \led_flash_cnt[1597][4]~q\,
	datad => \led_flash_cnt[1597][1]~q\,
	combout => \WideAnd1597~0_combout\);

-- Location: LCCOMB_X22_Y35_N2
WideAnd1597 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1597~combout\ = (\led_flash_cnt[1597][0]~q\ & (\WideAnd1597~1_combout\ & (\led_flash_cnt[1597][7]~q\ & \WideAnd1597~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1597][0]~q\,
	datab => \WideAnd1597~1_combout\,
	datac => \led_flash_cnt[1597][7]~q\,
	datad => \WideAnd1597~0_combout\,
	combout => \WideAnd1597~combout\);

-- Location: FF_X22_Y35_N3
\led_flash_cnt_ands[1597]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1597~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1597));

-- Location: LCCOMB_X22_Y35_N4
\WideAnd4039~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4039~1_combout\ = (led_flash_cnt_ands(1596) & led_flash_cnt_ands(1597))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1596),
	datad => led_flash_cnt_ands(1597),
	combout => \WideAnd4039~1_combout\);

-- Location: LCCOMB_X72_Y33_N2
\led_flash_cnt[1593][0]~82233\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1593][0]~82233_combout\ = !\led_flash_cnt[1593][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1593][0]~q\,
	combout => \led_flash_cnt[1593][0]~82233_combout\);

-- Location: FF_X72_Y33_N3
\led_flash_cnt[1593][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1593][0]~82233_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1593][0]~q\);

-- Location: LCCOMB_X71_Y33_N0
\led_flash_cnt[1593][1]~49182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1593][1]~49182_combout\ = (\led_flash_cnt[1593][0]~q\ & (\led_flash_cnt[1593][1]~q\ $ (VCC))) # (!\led_flash_cnt[1593][0]~q\ & (\led_flash_cnt[1593][1]~q\ & VCC))
-- \led_flash_cnt[1593][1]~49183\ = CARRY((\led_flash_cnt[1593][0]~q\ & \led_flash_cnt[1593][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1593][0]~q\,
	datab => \led_flash_cnt[1593][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1593][1]~49182_combout\,
	cout => \led_flash_cnt[1593][1]~49183\);

-- Location: FF_X71_Y33_N1
\led_flash_cnt[1593][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1593][1]~49182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1593][1]~q\);

-- Location: LCCOMB_X71_Y33_N2
\led_flash_cnt[1593][2]~49184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1593][2]~49184_combout\ = (\led_flash_cnt[1593][2]~q\ & (!\led_flash_cnt[1593][1]~49183\)) # (!\led_flash_cnt[1593][2]~q\ & ((\led_flash_cnt[1593][1]~49183\) # (GND)))
-- \led_flash_cnt[1593][2]~49185\ = CARRY((!\led_flash_cnt[1593][1]~49183\) # (!\led_flash_cnt[1593][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1593][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1593][1]~49183\,
	combout => \led_flash_cnt[1593][2]~49184_combout\,
	cout => \led_flash_cnt[1593][2]~49185\);

-- Location: FF_X71_Y33_N3
\led_flash_cnt[1593][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1593][2]~49184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1593][2]~q\);

-- Location: LCCOMB_X71_Y33_N4
\led_flash_cnt[1593][3]~49186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1593][3]~49186_combout\ = (\led_flash_cnt[1593][3]~q\ & (\led_flash_cnt[1593][2]~49185\ $ (GND))) # (!\led_flash_cnt[1593][3]~q\ & (!\led_flash_cnt[1593][2]~49185\ & VCC))
-- \led_flash_cnt[1593][3]~49187\ = CARRY((\led_flash_cnt[1593][3]~q\ & !\led_flash_cnt[1593][2]~49185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1593][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1593][2]~49185\,
	combout => \led_flash_cnt[1593][3]~49186_combout\,
	cout => \led_flash_cnt[1593][3]~49187\);

-- Location: FF_X71_Y33_N5
\led_flash_cnt[1593][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1593][3]~49186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1593][3]~q\);

-- Location: LCCOMB_X71_Y33_N6
\led_flash_cnt[1593][4]~49188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1593][4]~49188_combout\ = (\led_flash_cnt[1593][4]~q\ & (!\led_flash_cnt[1593][3]~49187\)) # (!\led_flash_cnt[1593][4]~q\ & ((\led_flash_cnt[1593][3]~49187\) # (GND)))
-- \led_flash_cnt[1593][4]~49189\ = CARRY((!\led_flash_cnt[1593][3]~49187\) # (!\led_flash_cnt[1593][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1593][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1593][3]~49187\,
	combout => \led_flash_cnt[1593][4]~49188_combout\,
	cout => \led_flash_cnt[1593][4]~49189\);

-- Location: FF_X71_Y33_N7
\led_flash_cnt[1593][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1593][4]~49188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1593][4]~q\);

-- Location: LCCOMB_X71_Y33_N8
\led_flash_cnt[1593][5]~49190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1593][5]~49190_combout\ = (\led_flash_cnt[1593][5]~q\ & (\led_flash_cnt[1593][4]~49189\ $ (GND))) # (!\led_flash_cnt[1593][5]~q\ & (!\led_flash_cnt[1593][4]~49189\ & VCC))
-- \led_flash_cnt[1593][5]~49191\ = CARRY((\led_flash_cnt[1593][5]~q\ & !\led_flash_cnt[1593][4]~49189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1593][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1593][4]~49189\,
	combout => \led_flash_cnt[1593][5]~49190_combout\,
	cout => \led_flash_cnt[1593][5]~49191\);

-- Location: FF_X71_Y33_N9
\led_flash_cnt[1593][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1593][5]~49190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1593][5]~q\);

-- Location: LCCOMB_X71_Y33_N10
\led_flash_cnt[1593][6]~49192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1593][6]~49192_combout\ = (\led_flash_cnt[1593][6]~q\ & (!\led_flash_cnt[1593][5]~49191\)) # (!\led_flash_cnt[1593][6]~q\ & ((\led_flash_cnt[1593][5]~49191\) # (GND)))
-- \led_flash_cnt[1593][6]~49193\ = CARRY((!\led_flash_cnt[1593][5]~49191\) # (!\led_flash_cnt[1593][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1593][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1593][5]~49191\,
	combout => \led_flash_cnt[1593][6]~49192_combout\,
	cout => \led_flash_cnt[1593][6]~49193\);

-- Location: FF_X71_Y33_N11
\led_flash_cnt[1593][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1593][6]~49192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1593][6]~q\);

-- Location: LCCOMB_X71_Y33_N12
\led_flash_cnt[1593][7]~49194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1593][7]~49194_combout\ = \led_flash_cnt[1593][6]~49193\ $ (!\led_flash_cnt[1593][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1593][7]~q\,
	cin => \led_flash_cnt[1593][6]~49193\,
	combout => \led_flash_cnt[1593][7]~49194_combout\);

-- Location: FF_X71_Y33_N13
\led_flash_cnt[1593][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1593][7]~49194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1593][7]~q\);

-- Location: LCCOMB_X72_Y33_N8
\WideAnd1593~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1593~1_combout\ = (\led_flash_cnt[1593][6]~q\ & \led_flash_cnt[1593][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1593][6]~q\,
	datad => \led_flash_cnt[1593][5]~q\,
	combout => \WideAnd1593~1_combout\);

-- Location: LCCOMB_X71_Y33_N14
\WideAnd1593~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1593~0_combout\ = (\led_flash_cnt[1593][4]~q\ & (\led_flash_cnt[1593][1]~q\ & (\led_flash_cnt[1593][3]~q\ & \led_flash_cnt[1593][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1593][4]~q\,
	datab => \led_flash_cnt[1593][1]~q\,
	datac => \led_flash_cnt[1593][3]~q\,
	datad => \led_flash_cnt[1593][2]~q\,
	combout => \WideAnd1593~0_combout\);

-- Location: LCCOMB_X72_Y33_N0
WideAnd1593 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1593~combout\ = (\led_flash_cnt[1593][7]~q\ & (\led_flash_cnt[1593][0]~q\ & (\WideAnd1593~1_combout\ & \WideAnd1593~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1593][7]~q\,
	datab => \led_flash_cnt[1593][0]~q\,
	datac => \WideAnd1593~1_combout\,
	datad => \WideAnd1593~0_combout\,
	combout => \WideAnd1593~combout\);

-- Location: FF_X72_Y33_N1
\led_flash_cnt_ands[1593]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1593~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1593));

-- Location: LCCOMB_X72_Y33_N10
\led_flash_cnt[1594][0]~82234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1594][0]~82234_combout\ = !\led_flash_cnt[1594][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1594][0]~q\,
	combout => \led_flash_cnt[1594][0]~82234_combout\);

-- Location: FF_X72_Y33_N11
\led_flash_cnt[1594][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1594][0]~82234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1594][0]~q\);

-- Location: LCCOMB_X72_Y33_N14
\led_flash_cnt[1594][1]~49196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1594][1]~49196_combout\ = (\led_flash_cnt[1594][0]~q\ & (\led_flash_cnt[1594][1]~q\ $ (VCC))) # (!\led_flash_cnt[1594][0]~q\ & (\led_flash_cnt[1594][1]~q\ & VCC))
-- \led_flash_cnt[1594][1]~49197\ = CARRY((\led_flash_cnt[1594][0]~q\ & \led_flash_cnt[1594][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1594][0]~q\,
	datab => \led_flash_cnt[1594][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1594][1]~49196_combout\,
	cout => \led_flash_cnt[1594][1]~49197\);

-- Location: FF_X72_Y33_N15
\led_flash_cnt[1594][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1594][1]~49196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1594][1]~q\);

-- Location: LCCOMB_X72_Y33_N16
\led_flash_cnt[1594][2]~49198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1594][2]~49198_combout\ = (\led_flash_cnt[1594][2]~q\ & (!\led_flash_cnt[1594][1]~49197\)) # (!\led_flash_cnt[1594][2]~q\ & ((\led_flash_cnt[1594][1]~49197\) # (GND)))
-- \led_flash_cnt[1594][2]~49199\ = CARRY((!\led_flash_cnt[1594][1]~49197\) # (!\led_flash_cnt[1594][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1594][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1594][1]~49197\,
	combout => \led_flash_cnt[1594][2]~49198_combout\,
	cout => \led_flash_cnt[1594][2]~49199\);

-- Location: FF_X72_Y33_N17
\led_flash_cnt[1594][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1594][2]~49198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1594][2]~q\);

-- Location: LCCOMB_X72_Y33_N18
\led_flash_cnt[1594][3]~49200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1594][3]~49200_combout\ = (\led_flash_cnt[1594][3]~q\ & (\led_flash_cnt[1594][2]~49199\ $ (GND))) # (!\led_flash_cnt[1594][3]~q\ & (!\led_flash_cnt[1594][2]~49199\ & VCC))
-- \led_flash_cnt[1594][3]~49201\ = CARRY((\led_flash_cnt[1594][3]~q\ & !\led_flash_cnt[1594][2]~49199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1594][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1594][2]~49199\,
	combout => \led_flash_cnt[1594][3]~49200_combout\,
	cout => \led_flash_cnt[1594][3]~49201\);

-- Location: FF_X72_Y33_N19
\led_flash_cnt[1594][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1594][3]~49200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1594][3]~q\);

-- Location: LCCOMB_X72_Y33_N20
\led_flash_cnt[1594][4]~49202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1594][4]~49202_combout\ = (\led_flash_cnt[1594][4]~q\ & (!\led_flash_cnt[1594][3]~49201\)) # (!\led_flash_cnt[1594][4]~q\ & ((\led_flash_cnt[1594][3]~49201\) # (GND)))
-- \led_flash_cnt[1594][4]~49203\ = CARRY((!\led_flash_cnt[1594][3]~49201\) # (!\led_flash_cnt[1594][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1594][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1594][3]~49201\,
	combout => \led_flash_cnt[1594][4]~49202_combout\,
	cout => \led_flash_cnt[1594][4]~49203\);

-- Location: FF_X72_Y33_N21
\led_flash_cnt[1594][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1594][4]~49202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1594][4]~q\);

-- Location: LCCOMB_X72_Y33_N22
\led_flash_cnt[1594][5]~49204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1594][5]~49204_combout\ = (\led_flash_cnt[1594][5]~q\ & (\led_flash_cnt[1594][4]~49203\ $ (GND))) # (!\led_flash_cnt[1594][5]~q\ & (!\led_flash_cnt[1594][4]~49203\ & VCC))
-- \led_flash_cnt[1594][5]~49205\ = CARRY((\led_flash_cnt[1594][5]~q\ & !\led_flash_cnt[1594][4]~49203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1594][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1594][4]~49203\,
	combout => \led_flash_cnt[1594][5]~49204_combout\,
	cout => \led_flash_cnt[1594][5]~49205\);

-- Location: FF_X72_Y33_N23
\led_flash_cnt[1594][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1594][5]~49204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1594][5]~q\);

-- Location: LCCOMB_X72_Y33_N24
\led_flash_cnt[1594][6]~49206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1594][6]~49206_combout\ = (\led_flash_cnt[1594][6]~q\ & (!\led_flash_cnt[1594][5]~49205\)) # (!\led_flash_cnt[1594][6]~q\ & ((\led_flash_cnt[1594][5]~49205\) # (GND)))
-- \led_flash_cnt[1594][6]~49207\ = CARRY((!\led_flash_cnt[1594][5]~49205\) # (!\led_flash_cnt[1594][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1594][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1594][5]~49205\,
	combout => \led_flash_cnt[1594][6]~49206_combout\,
	cout => \led_flash_cnt[1594][6]~49207\);

-- Location: FF_X72_Y33_N25
\led_flash_cnt[1594][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1594][6]~49206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1594][6]~q\);

-- Location: LCCOMB_X72_Y33_N30
\WideAnd1594~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1594~1_combout\ = (\led_flash_cnt[1594][5]~q\ & \led_flash_cnt[1594][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1594][5]~q\,
	datad => \led_flash_cnt[1594][6]~q\,
	combout => \WideAnd1594~1_combout\);

-- Location: LCCOMB_X72_Y33_N28
\WideAnd1594~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1594~0_combout\ = (\led_flash_cnt[1594][4]~q\ & (\led_flash_cnt[1594][3]~q\ & (\led_flash_cnt[1594][1]~q\ & \led_flash_cnt[1594][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1594][4]~q\,
	datab => \led_flash_cnt[1594][3]~q\,
	datac => \led_flash_cnt[1594][1]~q\,
	datad => \led_flash_cnt[1594][2]~q\,
	combout => \WideAnd1594~0_combout\);

-- Location: LCCOMB_X72_Y33_N26
\led_flash_cnt[1594][7]~49208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1594][7]~49208_combout\ = \led_flash_cnt[1594][7]~q\ $ (!\led_flash_cnt[1594][6]~49207\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1594][7]~q\,
	cin => \led_flash_cnt[1594][6]~49207\,
	combout => \led_flash_cnt[1594][7]~49208_combout\);

-- Location: FF_X72_Y33_N27
\led_flash_cnt[1594][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1594][7]~49208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1594][7]~q\);

-- Location: LCCOMB_X72_Y33_N12
WideAnd1594 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1594~combout\ = (\WideAnd1594~1_combout\ & (\WideAnd1594~0_combout\ & (\led_flash_cnt[1594][7]~q\ & \led_flash_cnt[1594][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1594~1_combout\,
	datab => \WideAnd1594~0_combout\,
	datac => \led_flash_cnt[1594][7]~q\,
	datad => \led_flash_cnt[1594][0]~q\,
	combout => \WideAnd1594~combout\);

-- Location: FF_X72_Y33_N13
\led_flash_cnt_ands[1594]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1594~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1594));

-- Location: LCCOMB_X75_Y35_N0
\led_flash_cnt[1595][0]~82235\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1595][0]~82235_combout\ = !\led_flash_cnt[1595][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1595][0]~q\,
	combout => \led_flash_cnt[1595][0]~82235_combout\);

-- Location: FF_X75_Y35_N1
\led_flash_cnt[1595][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1595][0]~82235_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1595][0]~q\);

-- Location: LCCOMB_X75_Y35_N6
\led_flash_cnt[1595][1]~49210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1595][1]~49210_combout\ = (\led_flash_cnt[1595][1]~q\ & (\led_flash_cnt[1595][0]~q\ $ (VCC))) # (!\led_flash_cnt[1595][1]~q\ & (\led_flash_cnt[1595][0]~q\ & VCC))
-- \led_flash_cnt[1595][1]~49211\ = CARRY((\led_flash_cnt[1595][1]~q\ & \led_flash_cnt[1595][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1595][1]~q\,
	datab => \led_flash_cnt[1595][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1595][1]~49210_combout\,
	cout => \led_flash_cnt[1595][1]~49211\);

-- Location: FF_X75_Y35_N7
\led_flash_cnt[1595][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1595][1]~49210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1595][1]~q\);

-- Location: LCCOMB_X75_Y35_N8
\led_flash_cnt[1595][2]~49212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1595][2]~49212_combout\ = (\led_flash_cnt[1595][2]~q\ & (!\led_flash_cnt[1595][1]~49211\)) # (!\led_flash_cnt[1595][2]~q\ & ((\led_flash_cnt[1595][1]~49211\) # (GND)))
-- \led_flash_cnt[1595][2]~49213\ = CARRY((!\led_flash_cnt[1595][1]~49211\) # (!\led_flash_cnt[1595][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1595][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1595][1]~49211\,
	combout => \led_flash_cnt[1595][2]~49212_combout\,
	cout => \led_flash_cnt[1595][2]~49213\);

-- Location: FF_X75_Y35_N9
\led_flash_cnt[1595][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1595][2]~49212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1595][2]~q\);

-- Location: LCCOMB_X75_Y35_N10
\led_flash_cnt[1595][3]~49214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1595][3]~49214_combout\ = (\led_flash_cnt[1595][3]~q\ & (\led_flash_cnt[1595][2]~49213\ $ (GND))) # (!\led_flash_cnt[1595][3]~q\ & (!\led_flash_cnt[1595][2]~49213\ & VCC))
-- \led_flash_cnt[1595][3]~49215\ = CARRY((\led_flash_cnt[1595][3]~q\ & !\led_flash_cnt[1595][2]~49213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1595][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1595][2]~49213\,
	combout => \led_flash_cnt[1595][3]~49214_combout\,
	cout => \led_flash_cnt[1595][3]~49215\);

-- Location: FF_X75_Y35_N11
\led_flash_cnt[1595][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1595][3]~49214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1595][3]~q\);

-- Location: LCCOMB_X75_Y35_N12
\led_flash_cnt[1595][4]~49216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1595][4]~49216_combout\ = (\led_flash_cnt[1595][4]~q\ & (!\led_flash_cnt[1595][3]~49215\)) # (!\led_flash_cnt[1595][4]~q\ & ((\led_flash_cnt[1595][3]~49215\) # (GND)))
-- \led_flash_cnt[1595][4]~49217\ = CARRY((!\led_flash_cnt[1595][3]~49215\) # (!\led_flash_cnt[1595][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1595][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1595][3]~49215\,
	combout => \led_flash_cnt[1595][4]~49216_combout\,
	cout => \led_flash_cnt[1595][4]~49217\);

-- Location: FF_X75_Y35_N13
\led_flash_cnt[1595][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1595][4]~49216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1595][4]~q\);

-- Location: LCCOMB_X75_Y35_N26
\WideAnd1595~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1595~0_combout\ = (\led_flash_cnt[1595][3]~q\ & (\led_flash_cnt[1595][4]~q\ & (\led_flash_cnt[1595][2]~q\ & \led_flash_cnt[1595][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1595][3]~q\,
	datab => \led_flash_cnt[1595][4]~q\,
	datac => \led_flash_cnt[1595][2]~q\,
	datad => \led_flash_cnt[1595][1]~q\,
	combout => \WideAnd1595~0_combout\);

-- Location: LCCOMB_X75_Y35_N14
\led_flash_cnt[1595][5]~49218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1595][5]~49218_combout\ = (\led_flash_cnt[1595][5]~q\ & (\led_flash_cnt[1595][4]~49217\ $ (GND))) # (!\led_flash_cnt[1595][5]~q\ & (!\led_flash_cnt[1595][4]~49217\ & VCC))
-- \led_flash_cnt[1595][5]~49219\ = CARRY((\led_flash_cnt[1595][5]~q\ & !\led_flash_cnt[1595][4]~49217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1595][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1595][4]~49217\,
	combout => \led_flash_cnt[1595][5]~49218_combout\,
	cout => \led_flash_cnt[1595][5]~49219\);

-- Location: FF_X75_Y35_N15
\led_flash_cnt[1595][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1595][5]~49218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1595][5]~q\);

-- Location: LCCOMB_X75_Y35_N16
\led_flash_cnt[1595][6]~49220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1595][6]~49220_combout\ = (\led_flash_cnt[1595][6]~q\ & (!\led_flash_cnt[1595][5]~49219\)) # (!\led_flash_cnt[1595][6]~q\ & ((\led_flash_cnt[1595][5]~49219\) # (GND)))
-- \led_flash_cnt[1595][6]~49221\ = CARRY((!\led_flash_cnt[1595][5]~49219\) # (!\led_flash_cnt[1595][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1595][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1595][5]~49219\,
	combout => \led_flash_cnt[1595][6]~49220_combout\,
	cout => \led_flash_cnt[1595][6]~49221\);

-- Location: FF_X75_Y35_N17
\led_flash_cnt[1595][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1595][6]~49220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1595][6]~q\);

-- Location: LCCOMB_X75_Y35_N22
\WideAnd1595~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1595~1_combout\ = (\led_flash_cnt[1595][5]~q\ & \led_flash_cnt[1595][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1595][5]~q\,
	datad => \led_flash_cnt[1595][6]~q\,
	combout => \WideAnd1595~1_combout\);

-- Location: LCCOMB_X75_Y35_N18
\led_flash_cnt[1595][7]~49222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1595][7]~49222_combout\ = \led_flash_cnt[1595][6]~49221\ $ (!\led_flash_cnt[1595][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1595][7]~q\,
	cin => \led_flash_cnt[1595][6]~49221\,
	combout => \led_flash_cnt[1595][7]~49222_combout\);

-- Location: FF_X75_Y35_N19
\led_flash_cnt[1595][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1595][7]~49222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1595][7]~q\);

-- Location: LCCOMB_X75_Y35_N24
WideAnd1595 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1595~combout\ = (\WideAnd1595~0_combout\ & (\led_flash_cnt[1595][0]~q\ & (\WideAnd1595~1_combout\ & \led_flash_cnt[1595][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1595~0_combout\,
	datab => \led_flash_cnt[1595][0]~q\,
	datac => \WideAnd1595~1_combout\,
	datad => \led_flash_cnt[1595][7]~q\,
	combout => \WideAnd1595~combout\);

-- Location: FF_X75_Y35_N25
\led_flash_cnt_ands[1595]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1595~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1595));

-- Location: LCCOMB_X76_Y35_N18
\led_flash_cnt[1592][0]~82232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1592][0]~82232_combout\ = !\led_flash_cnt[1592][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1592][0]~q\,
	combout => \led_flash_cnt[1592][0]~82232_combout\);

-- Location: FF_X76_Y35_N19
\led_flash_cnt[1592][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1592][0]~82232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1592][0]~q\);

-- Location: LCCOMB_X76_Y35_N4
\led_flash_cnt[1592][1]~49168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1592][1]~49168_combout\ = (\led_flash_cnt[1592][0]~q\ & (\led_flash_cnt[1592][1]~q\ $ (VCC))) # (!\led_flash_cnt[1592][0]~q\ & (\led_flash_cnt[1592][1]~q\ & VCC))
-- \led_flash_cnt[1592][1]~49169\ = CARRY((\led_flash_cnt[1592][0]~q\ & \led_flash_cnt[1592][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1592][0]~q\,
	datab => \led_flash_cnt[1592][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1592][1]~49168_combout\,
	cout => \led_flash_cnt[1592][1]~49169\);

-- Location: FF_X76_Y35_N5
\led_flash_cnt[1592][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1592][1]~49168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1592][1]~q\);

-- Location: LCCOMB_X76_Y35_N6
\led_flash_cnt[1592][2]~49170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1592][2]~49170_combout\ = (\led_flash_cnt[1592][2]~q\ & (!\led_flash_cnt[1592][1]~49169\)) # (!\led_flash_cnt[1592][2]~q\ & ((\led_flash_cnt[1592][1]~49169\) # (GND)))
-- \led_flash_cnt[1592][2]~49171\ = CARRY((!\led_flash_cnt[1592][1]~49169\) # (!\led_flash_cnt[1592][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1592][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1592][1]~49169\,
	combout => \led_flash_cnt[1592][2]~49170_combout\,
	cout => \led_flash_cnt[1592][2]~49171\);

-- Location: FF_X76_Y35_N7
\led_flash_cnt[1592][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1592][2]~49170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1592][2]~q\);

-- Location: LCCOMB_X76_Y35_N8
\led_flash_cnt[1592][3]~49172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1592][3]~49172_combout\ = (\led_flash_cnt[1592][3]~q\ & (\led_flash_cnt[1592][2]~49171\ $ (GND))) # (!\led_flash_cnt[1592][3]~q\ & (!\led_flash_cnt[1592][2]~49171\ & VCC))
-- \led_flash_cnt[1592][3]~49173\ = CARRY((\led_flash_cnt[1592][3]~q\ & !\led_flash_cnt[1592][2]~49171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1592][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1592][2]~49171\,
	combout => \led_flash_cnt[1592][3]~49172_combout\,
	cout => \led_flash_cnt[1592][3]~49173\);

-- Location: FF_X76_Y35_N9
\led_flash_cnt[1592][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1592][3]~49172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1592][3]~q\);

-- Location: LCCOMB_X76_Y35_N10
\led_flash_cnt[1592][4]~49174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1592][4]~49174_combout\ = (\led_flash_cnt[1592][4]~q\ & (!\led_flash_cnt[1592][3]~49173\)) # (!\led_flash_cnt[1592][4]~q\ & ((\led_flash_cnt[1592][3]~49173\) # (GND)))
-- \led_flash_cnt[1592][4]~49175\ = CARRY((!\led_flash_cnt[1592][3]~49173\) # (!\led_flash_cnt[1592][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1592][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1592][3]~49173\,
	combout => \led_flash_cnt[1592][4]~49174_combout\,
	cout => \led_flash_cnt[1592][4]~49175\);

-- Location: FF_X76_Y35_N11
\led_flash_cnt[1592][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1592][4]~49174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1592][4]~q\);

-- Location: LCCOMB_X76_Y35_N12
\led_flash_cnt[1592][5]~49176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1592][5]~49176_combout\ = (\led_flash_cnt[1592][5]~q\ & (\led_flash_cnt[1592][4]~49175\ $ (GND))) # (!\led_flash_cnt[1592][5]~q\ & (!\led_flash_cnt[1592][4]~49175\ & VCC))
-- \led_flash_cnt[1592][5]~49177\ = CARRY((\led_flash_cnt[1592][5]~q\ & !\led_flash_cnt[1592][4]~49175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1592][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1592][4]~49175\,
	combout => \led_flash_cnt[1592][5]~49176_combout\,
	cout => \led_flash_cnt[1592][5]~49177\);

-- Location: FF_X76_Y35_N13
\led_flash_cnt[1592][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1592][5]~49176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1592][5]~q\);

-- Location: LCCOMB_X76_Y35_N14
\led_flash_cnt[1592][6]~49178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1592][6]~49178_combout\ = (\led_flash_cnt[1592][6]~q\ & (!\led_flash_cnt[1592][5]~49177\)) # (!\led_flash_cnt[1592][6]~q\ & ((\led_flash_cnt[1592][5]~49177\) # (GND)))
-- \led_flash_cnt[1592][6]~49179\ = CARRY((!\led_flash_cnt[1592][5]~49177\) # (!\led_flash_cnt[1592][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1592][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1592][5]~49177\,
	combout => \led_flash_cnt[1592][6]~49178_combout\,
	cout => \led_flash_cnt[1592][6]~49179\);

-- Location: FF_X76_Y35_N15
\led_flash_cnt[1592][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1592][6]~49178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1592][6]~q\);

-- Location: LCCOMB_X76_Y35_N22
\WideAnd1592~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1592~1_combout\ = (\led_flash_cnt[1592][6]~q\ & \led_flash_cnt[1592][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1592][6]~q\,
	datad => \led_flash_cnt[1592][5]~q\,
	combout => \WideAnd1592~1_combout\);

-- Location: LCCOMB_X76_Y35_N16
\led_flash_cnt[1592][7]~49180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1592][7]~49180_combout\ = \led_flash_cnt[1592][6]~49179\ $ (!\led_flash_cnt[1592][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1592][7]~q\,
	cin => \led_flash_cnt[1592][6]~49179\,
	combout => \led_flash_cnt[1592][7]~49180_combout\);

-- Location: FF_X76_Y35_N17
\led_flash_cnt[1592][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1592][7]~49180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1592][7]~q\);

-- Location: LCCOMB_X76_Y35_N26
\WideAnd1592~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1592~0_combout\ = (\led_flash_cnt[1592][4]~q\ & (\led_flash_cnt[1592][3]~q\ & (\led_flash_cnt[1592][1]~q\ & \led_flash_cnt[1592][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1592][4]~q\,
	datab => \led_flash_cnt[1592][3]~q\,
	datac => \led_flash_cnt[1592][1]~q\,
	datad => \led_flash_cnt[1592][2]~q\,
	combout => \WideAnd1592~0_combout\);

-- Location: LCCOMB_X76_Y35_N24
WideAnd1592 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1592~combout\ = (\WideAnd1592~1_combout\ & (\led_flash_cnt[1592][7]~q\ & (\WideAnd1592~0_combout\ & \led_flash_cnt[1592][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1592~1_combout\,
	datab => \led_flash_cnt[1592][7]~q\,
	datac => \WideAnd1592~0_combout\,
	datad => \led_flash_cnt[1592][0]~q\,
	combout => \WideAnd1592~combout\);

-- Location: FF_X76_Y35_N25
\led_flash_cnt_ands[1592]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1592~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1592));

-- Location: LCCOMB_X72_Y35_N0
\WideAnd4039~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4039~0_combout\ = (led_flash_cnt_ands(1593) & (led_flash_cnt_ands(1594) & (led_flash_cnt_ands(1595) & led_flash_cnt_ands(1592))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1593),
	datab => led_flash_cnt_ands(1594),
	datac => led_flash_cnt_ands(1595),
	datad => led_flash_cnt_ands(1592),
	combout => \WideAnd4039~0_combout\);

-- Location: LCCOMB_X22_Y35_N10
WideAnd4039 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4039~combout\ = (led_flash_cnt_ands(1598) & (led_flash_cnt_ands(1599) & (\WideAnd4039~1_combout\ & \WideAnd4039~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1598),
	datab => led_flash_cnt_ands(1599),
	datac => \WideAnd4039~1_combout\,
	datad => \WideAnd4039~0_combout\,
	combout => \WideAnd4039~combout\);

-- Location: FF_X22_Y35_N11
\led_flash_cnt_ands_1[199]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4039~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(199));

-- Location: LCCOMB_X65_Y48_N4
\led_flash_cnt[1573][0]~82213\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1573][0]~82213_combout\ = !\led_flash_cnt[1573][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1573][0]~q\,
	combout => \led_flash_cnt[1573][0]~82213_combout\);

-- Location: FF_X65_Y48_N5
\led_flash_cnt[1573][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1573][0]~82213_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1573][0]~q\);

-- Location: LCCOMB_X65_Y48_N10
\led_flash_cnt[1573][1]~48902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1573][1]~48902_combout\ = (\led_flash_cnt[1573][1]~q\ & (\led_flash_cnt[1573][0]~q\ $ (VCC))) # (!\led_flash_cnt[1573][1]~q\ & (\led_flash_cnt[1573][0]~q\ & VCC))
-- \led_flash_cnt[1573][1]~48903\ = CARRY((\led_flash_cnt[1573][1]~q\ & \led_flash_cnt[1573][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1573][1]~q\,
	datab => \led_flash_cnt[1573][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1573][1]~48902_combout\,
	cout => \led_flash_cnt[1573][1]~48903\);

-- Location: FF_X65_Y48_N11
\led_flash_cnt[1573][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1573][1]~48902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1573][1]~q\);

-- Location: LCCOMB_X65_Y48_N12
\led_flash_cnt[1573][2]~48904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1573][2]~48904_combout\ = (\led_flash_cnt[1573][2]~q\ & (!\led_flash_cnt[1573][1]~48903\)) # (!\led_flash_cnt[1573][2]~q\ & ((\led_flash_cnt[1573][1]~48903\) # (GND)))
-- \led_flash_cnt[1573][2]~48905\ = CARRY((!\led_flash_cnt[1573][1]~48903\) # (!\led_flash_cnt[1573][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1573][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1573][1]~48903\,
	combout => \led_flash_cnt[1573][2]~48904_combout\,
	cout => \led_flash_cnt[1573][2]~48905\);

-- Location: FF_X65_Y48_N13
\led_flash_cnt[1573][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1573][2]~48904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1573][2]~q\);

-- Location: LCCOMB_X65_Y48_N14
\led_flash_cnt[1573][3]~48906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1573][3]~48906_combout\ = (\led_flash_cnt[1573][3]~q\ & (\led_flash_cnt[1573][2]~48905\ $ (GND))) # (!\led_flash_cnt[1573][3]~q\ & (!\led_flash_cnt[1573][2]~48905\ & VCC))
-- \led_flash_cnt[1573][3]~48907\ = CARRY((\led_flash_cnt[1573][3]~q\ & !\led_flash_cnt[1573][2]~48905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1573][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1573][2]~48905\,
	combout => \led_flash_cnt[1573][3]~48906_combout\,
	cout => \led_flash_cnt[1573][3]~48907\);

-- Location: FF_X65_Y48_N15
\led_flash_cnt[1573][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1573][3]~48906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1573][3]~q\);

-- Location: LCCOMB_X65_Y48_N16
\led_flash_cnt[1573][4]~48908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1573][4]~48908_combout\ = (\led_flash_cnt[1573][4]~q\ & (!\led_flash_cnt[1573][3]~48907\)) # (!\led_flash_cnt[1573][4]~q\ & ((\led_flash_cnt[1573][3]~48907\) # (GND)))
-- \led_flash_cnt[1573][4]~48909\ = CARRY((!\led_flash_cnt[1573][3]~48907\) # (!\led_flash_cnt[1573][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1573][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1573][3]~48907\,
	combout => \led_flash_cnt[1573][4]~48908_combout\,
	cout => \led_flash_cnt[1573][4]~48909\);

-- Location: FF_X65_Y48_N17
\led_flash_cnt[1573][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1573][4]~48908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1573][4]~q\);

-- Location: LCCOMB_X65_Y48_N18
\led_flash_cnt[1573][5]~48910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1573][5]~48910_combout\ = (\led_flash_cnt[1573][5]~q\ & (\led_flash_cnt[1573][4]~48909\ $ (GND))) # (!\led_flash_cnt[1573][5]~q\ & (!\led_flash_cnt[1573][4]~48909\ & VCC))
-- \led_flash_cnt[1573][5]~48911\ = CARRY((\led_flash_cnt[1573][5]~q\ & !\led_flash_cnt[1573][4]~48909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1573][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1573][4]~48909\,
	combout => \led_flash_cnt[1573][5]~48910_combout\,
	cout => \led_flash_cnt[1573][5]~48911\);

-- Location: FF_X65_Y48_N19
\led_flash_cnt[1573][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1573][5]~48910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1573][5]~q\);

-- Location: LCCOMB_X65_Y48_N20
\led_flash_cnt[1573][6]~48912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1573][6]~48912_combout\ = (\led_flash_cnt[1573][6]~q\ & (!\led_flash_cnt[1573][5]~48911\)) # (!\led_flash_cnt[1573][6]~q\ & ((\led_flash_cnt[1573][5]~48911\) # (GND)))
-- \led_flash_cnt[1573][6]~48913\ = CARRY((!\led_flash_cnt[1573][5]~48911\) # (!\led_flash_cnt[1573][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1573][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1573][5]~48911\,
	combout => \led_flash_cnt[1573][6]~48912_combout\,
	cout => \led_flash_cnt[1573][6]~48913\);

-- Location: FF_X65_Y48_N21
\led_flash_cnt[1573][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1573][6]~48912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1573][6]~q\);

-- Location: LCCOMB_X65_Y48_N26
\WideAnd1573~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1573~1_combout\ = (\led_flash_cnt[1573][6]~q\ & \led_flash_cnt[1573][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1573][6]~q\,
	datad => \led_flash_cnt[1573][5]~q\,
	combout => \WideAnd1573~1_combout\);

-- Location: LCCOMB_X65_Y48_N22
\led_flash_cnt[1573][7]~48914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1573][7]~48914_combout\ = \led_flash_cnt[1573][7]~q\ $ (!\led_flash_cnt[1573][6]~48913\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1573][7]~q\,
	cin => \led_flash_cnt[1573][6]~48913\,
	combout => \led_flash_cnt[1573][7]~48914_combout\);

-- Location: FF_X65_Y48_N23
\led_flash_cnt[1573][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1573][7]~48914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1573][7]~q\);

-- Location: LCCOMB_X65_Y48_N24
\WideAnd1573~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1573~0_combout\ = (\led_flash_cnt[1573][1]~q\ & (\led_flash_cnt[1573][4]~q\ & (\led_flash_cnt[1573][3]~q\ & \led_flash_cnt[1573][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1573][1]~q\,
	datab => \led_flash_cnt[1573][4]~q\,
	datac => \led_flash_cnt[1573][3]~q\,
	datad => \led_flash_cnt[1573][2]~q\,
	combout => \WideAnd1573~0_combout\);

-- Location: LCCOMB_X65_Y48_N8
WideAnd1573 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1573~combout\ = (\WideAnd1573~1_combout\ & (\led_flash_cnt[1573][0]~q\ & (\led_flash_cnt[1573][7]~q\ & \WideAnd1573~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1573~1_combout\,
	datab => \led_flash_cnt[1573][0]~q\,
	datac => \led_flash_cnt[1573][7]~q\,
	datad => \WideAnd1573~0_combout\,
	combout => \WideAnd1573~combout\);

-- Location: FF_X65_Y48_N9
\led_flash_cnt_ands[1573]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1573~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1573));

-- Location: LCCOMB_X66_Y48_N30
\led_flash_cnt[1572][0]~82212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1572][0]~82212_combout\ = !\led_flash_cnt[1572][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1572][0]~q\,
	combout => \led_flash_cnt[1572][0]~82212_combout\);

-- Location: FF_X66_Y48_N31
\led_flash_cnt[1572][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1572][0]~82212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1572][0]~q\);

-- Location: LCCOMB_X66_Y48_N0
\led_flash_cnt[1572][1]~48888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1572][1]~48888_combout\ = (\led_flash_cnt[1572][0]~q\ & (\led_flash_cnt[1572][1]~q\ $ (VCC))) # (!\led_flash_cnt[1572][0]~q\ & (\led_flash_cnt[1572][1]~q\ & VCC))
-- \led_flash_cnt[1572][1]~48889\ = CARRY((\led_flash_cnt[1572][0]~q\ & \led_flash_cnt[1572][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1572][0]~q\,
	datab => \led_flash_cnt[1572][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1572][1]~48888_combout\,
	cout => \led_flash_cnt[1572][1]~48889\);

-- Location: FF_X66_Y48_N1
\led_flash_cnt[1572][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1572][1]~48888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1572][1]~q\);

-- Location: LCCOMB_X66_Y48_N2
\led_flash_cnt[1572][2]~48890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1572][2]~48890_combout\ = (\led_flash_cnt[1572][2]~q\ & (!\led_flash_cnt[1572][1]~48889\)) # (!\led_flash_cnt[1572][2]~q\ & ((\led_flash_cnt[1572][1]~48889\) # (GND)))
-- \led_flash_cnt[1572][2]~48891\ = CARRY((!\led_flash_cnt[1572][1]~48889\) # (!\led_flash_cnt[1572][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1572][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1572][1]~48889\,
	combout => \led_flash_cnt[1572][2]~48890_combout\,
	cout => \led_flash_cnt[1572][2]~48891\);

-- Location: FF_X66_Y48_N3
\led_flash_cnt[1572][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1572][2]~48890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1572][2]~q\);

-- Location: LCCOMB_X66_Y48_N4
\led_flash_cnt[1572][3]~48892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1572][3]~48892_combout\ = (\led_flash_cnt[1572][3]~q\ & (\led_flash_cnt[1572][2]~48891\ $ (GND))) # (!\led_flash_cnt[1572][3]~q\ & (!\led_flash_cnt[1572][2]~48891\ & VCC))
-- \led_flash_cnt[1572][3]~48893\ = CARRY((\led_flash_cnt[1572][3]~q\ & !\led_flash_cnt[1572][2]~48891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1572][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1572][2]~48891\,
	combout => \led_flash_cnt[1572][3]~48892_combout\,
	cout => \led_flash_cnt[1572][3]~48893\);

-- Location: FF_X66_Y48_N5
\led_flash_cnt[1572][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1572][3]~48892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1572][3]~q\);

-- Location: LCCOMB_X66_Y48_N6
\led_flash_cnt[1572][4]~48894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1572][4]~48894_combout\ = (\led_flash_cnt[1572][4]~q\ & (!\led_flash_cnt[1572][3]~48893\)) # (!\led_flash_cnt[1572][4]~q\ & ((\led_flash_cnt[1572][3]~48893\) # (GND)))
-- \led_flash_cnt[1572][4]~48895\ = CARRY((!\led_flash_cnt[1572][3]~48893\) # (!\led_flash_cnt[1572][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1572][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1572][3]~48893\,
	combout => \led_flash_cnt[1572][4]~48894_combout\,
	cout => \led_flash_cnt[1572][4]~48895\);

-- Location: FF_X66_Y48_N7
\led_flash_cnt[1572][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1572][4]~48894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1572][4]~q\);

-- Location: LCCOMB_X66_Y48_N8
\led_flash_cnt[1572][5]~48896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1572][5]~48896_combout\ = (\led_flash_cnt[1572][5]~q\ & (\led_flash_cnt[1572][4]~48895\ $ (GND))) # (!\led_flash_cnt[1572][5]~q\ & (!\led_flash_cnt[1572][4]~48895\ & VCC))
-- \led_flash_cnt[1572][5]~48897\ = CARRY((\led_flash_cnt[1572][5]~q\ & !\led_flash_cnt[1572][4]~48895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1572][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1572][4]~48895\,
	combout => \led_flash_cnt[1572][5]~48896_combout\,
	cout => \led_flash_cnt[1572][5]~48897\);

-- Location: FF_X66_Y48_N9
\led_flash_cnt[1572][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1572][5]~48896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1572][5]~q\);

-- Location: LCCOMB_X66_Y48_N10
\led_flash_cnt[1572][6]~48898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1572][6]~48898_combout\ = (\led_flash_cnt[1572][6]~q\ & (!\led_flash_cnt[1572][5]~48897\)) # (!\led_flash_cnt[1572][6]~q\ & ((\led_flash_cnt[1572][5]~48897\) # (GND)))
-- \led_flash_cnt[1572][6]~48899\ = CARRY((!\led_flash_cnt[1572][5]~48897\) # (!\led_flash_cnt[1572][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1572][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1572][5]~48897\,
	combout => \led_flash_cnt[1572][6]~48898_combout\,
	cout => \led_flash_cnt[1572][6]~48899\);

-- Location: FF_X66_Y48_N11
\led_flash_cnt[1572][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1572][6]~48898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1572][6]~q\);

-- Location: LCCOMB_X66_Y48_N18
\WideAnd1572~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1572~1_combout\ = (\led_flash_cnt[1572][5]~q\ & \led_flash_cnt[1572][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1572][5]~q\,
	datad => \led_flash_cnt[1572][6]~q\,
	combout => \WideAnd1572~1_combout\);

-- Location: LCCOMB_X66_Y48_N26
\WideAnd1572~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1572~0_combout\ = (\led_flash_cnt[1572][4]~q\ & (\led_flash_cnt[1572][1]~q\ & (\led_flash_cnt[1572][3]~q\ & \led_flash_cnt[1572][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1572][4]~q\,
	datab => \led_flash_cnt[1572][1]~q\,
	datac => \led_flash_cnt[1572][3]~q\,
	datad => \led_flash_cnt[1572][2]~q\,
	combout => \WideAnd1572~0_combout\);

-- Location: LCCOMB_X66_Y48_N12
\led_flash_cnt[1572][7]~48900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1572][7]~48900_combout\ = \led_flash_cnt[1572][6]~48899\ $ (!\led_flash_cnt[1572][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1572][7]~q\,
	cin => \led_flash_cnt[1572][6]~48899\,
	combout => \led_flash_cnt[1572][7]~48900_combout\);

-- Location: FF_X66_Y48_N13
\led_flash_cnt[1572][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1572][7]~48900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1572][7]~q\);

-- Location: LCCOMB_X66_Y48_N24
WideAnd1572 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1572~combout\ = (\led_flash_cnt[1572][0]~q\ & (\WideAnd1572~1_combout\ & (\WideAnd1572~0_combout\ & \led_flash_cnt[1572][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1572][0]~q\,
	datab => \WideAnd1572~1_combout\,
	datac => \WideAnd1572~0_combout\,
	datad => \led_flash_cnt[1572][7]~q\,
	combout => \WideAnd1572~combout\);

-- Location: FF_X66_Y48_N25
\led_flash_cnt_ands[1572]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1572~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1572));

-- Location: LCCOMB_X66_Y48_N14
\WideAnd4036~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4036~1_combout\ = (led_flash_cnt_ands(1573) & led_flash_cnt_ands(1572))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1573),
	datad => led_flash_cnt_ands(1572),
	combout => \WideAnd4036~1_combout\);

-- Location: LCCOMB_X75_Y52_N26
\led_flash_cnt[1570][0]~82210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1570][0]~82210_combout\ = !\led_flash_cnt[1570][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1570][0]~q\,
	combout => \led_flash_cnt[1570][0]~82210_combout\);

-- Location: FF_X75_Y52_N27
\led_flash_cnt[1570][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1570][0]~82210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1570][0]~q\);

-- Location: LCCOMB_X76_Y52_N16
\led_flash_cnt[1570][1]~48860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1570][1]~48860_combout\ = (\led_flash_cnt[1570][0]~q\ & (\led_flash_cnt[1570][1]~q\ $ (VCC))) # (!\led_flash_cnt[1570][0]~q\ & (\led_flash_cnt[1570][1]~q\ & VCC))
-- \led_flash_cnt[1570][1]~48861\ = CARRY((\led_flash_cnt[1570][0]~q\ & \led_flash_cnt[1570][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1570][0]~q\,
	datab => \led_flash_cnt[1570][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1570][1]~48860_combout\,
	cout => \led_flash_cnt[1570][1]~48861\);

-- Location: FF_X76_Y52_N17
\led_flash_cnt[1570][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1570][1]~48860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1570][1]~q\);

-- Location: LCCOMB_X76_Y52_N18
\led_flash_cnt[1570][2]~48862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1570][2]~48862_combout\ = (\led_flash_cnt[1570][2]~q\ & (!\led_flash_cnt[1570][1]~48861\)) # (!\led_flash_cnt[1570][2]~q\ & ((\led_flash_cnt[1570][1]~48861\) # (GND)))
-- \led_flash_cnt[1570][2]~48863\ = CARRY((!\led_flash_cnt[1570][1]~48861\) # (!\led_flash_cnt[1570][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1570][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1570][1]~48861\,
	combout => \led_flash_cnt[1570][2]~48862_combout\,
	cout => \led_flash_cnt[1570][2]~48863\);

-- Location: FF_X76_Y52_N19
\led_flash_cnt[1570][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1570][2]~48862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1570][2]~q\);

-- Location: LCCOMB_X76_Y52_N20
\led_flash_cnt[1570][3]~48864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1570][3]~48864_combout\ = (\led_flash_cnt[1570][3]~q\ & (\led_flash_cnt[1570][2]~48863\ $ (GND))) # (!\led_flash_cnt[1570][3]~q\ & (!\led_flash_cnt[1570][2]~48863\ & VCC))
-- \led_flash_cnt[1570][3]~48865\ = CARRY((\led_flash_cnt[1570][3]~q\ & !\led_flash_cnt[1570][2]~48863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1570][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1570][2]~48863\,
	combout => \led_flash_cnt[1570][3]~48864_combout\,
	cout => \led_flash_cnt[1570][3]~48865\);

-- Location: FF_X76_Y52_N21
\led_flash_cnt[1570][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1570][3]~48864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1570][3]~q\);

-- Location: LCCOMB_X76_Y52_N22
\led_flash_cnt[1570][4]~48866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1570][4]~48866_combout\ = (\led_flash_cnt[1570][4]~q\ & (!\led_flash_cnt[1570][3]~48865\)) # (!\led_flash_cnt[1570][4]~q\ & ((\led_flash_cnt[1570][3]~48865\) # (GND)))
-- \led_flash_cnt[1570][4]~48867\ = CARRY((!\led_flash_cnt[1570][3]~48865\) # (!\led_flash_cnt[1570][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1570][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1570][3]~48865\,
	combout => \led_flash_cnt[1570][4]~48866_combout\,
	cout => \led_flash_cnt[1570][4]~48867\);

-- Location: FF_X76_Y52_N23
\led_flash_cnt[1570][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1570][4]~48866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1570][4]~q\);

-- Location: LCCOMB_X76_Y52_N24
\led_flash_cnt[1570][5]~48868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1570][5]~48868_combout\ = (\led_flash_cnt[1570][5]~q\ & (\led_flash_cnt[1570][4]~48867\ $ (GND))) # (!\led_flash_cnt[1570][5]~q\ & (!\led_flash_cnt[1570][4]~48867\ & VCC))
-- \led_flash_cnt[1570][5]~48869\ = CARRY((\led_flash_cnt[1570][5]~q\ & !\led_flash_cnt[1570][4]~48867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1570][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1570][4]~48867\,
	combout => \led_flash_cnt[1570][5]~48868_combout\,
	cout => \led_flash_cnt[1570][5]~48869\);

-- Location: FF_X76_Y52_N25
\led_flash_cnt[1570][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1570][5]~48868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1570][5]~q\);

-- Location: LCCOMB_X76_Y52_N26
\led_flash_cnt[1570][6]~48870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1570][6]~48870_combout\ = (\led_flash_cnt[1570][6]~q\ & (!\led_flash_cnt[1570][5]~48869\)) # (!\led_flash_cnt[1570][6]~q\ & ((\led_flash_cnt[1570][5]~48869\) # (GND)))
-- \led_flash_cnt[1570][6]~48871\ = CARRY((!\led_flash_cnt[1570][5]~48869\) # (!\led_flash_cnt[1570][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1570][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1570][5]~48869\,
	combout => \led_flash_cnt[1570][6]~48870_combout\,
	cout => \led_flash_cnt[1570][6]~48871\);

-- Location: FF_X76_Y52_N27
\led_flash_cnt[1570][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1570][6]~48870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1570][6]~q\);

-- Location: LCCOMB_X76_Y52_N28
\led_flash_cnt[1570][7]~48872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1570][7]~48872_combout\ = \led_flash_cnt[1570][6]~48871\ $ (!\led_flash_cnt[1570][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1570][7]~q\,
	cin => \led_flash_cnt[1570][6]~48871\,
	combout => \led_flash_cnt[1570][7]~48872_combout\);

-- Location: FF_X76_Y52_N29
\led_flash_cnt[1570][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1570][7]~48872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1570][7]~q\);

-- Location: LCCOMB_X76_Y52_N0
\WideAnd1570~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1570~0_combout\ = (\led_flash_cnt[1570][3]~q\ & (\led_flash_cnt[1570][2]~q\ & (\led_flash_cnt[1570][4]~q\ & \led_flash_cnt[1570][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1570][3]~q\,
	datab => \led_flash_cnt[1570][2]~q\,
	datac => \led_flash_cnt[1570][4]~q\,
	datad => \led_flash_cnt[1570][1]~q\,
	combout => \WideAnd1570~0_combout\);

-- Location: LCCOMB_X75_Y52_N0
\WideAnd1570~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1570~1_combout\ = (\led_flash_cnt[1570][6]~q\ & \led_flash_cnt[1570][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1570][6]~q\,
	datad => \led_flash_cnt[1570][5]~q\,
	combout => \WideAnd1570~1_combout\);

-- Location: LCCOMB_X75_Y52_N6
WideAnd1570 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1570~combout\ = (\led_flash_cnt[1570][0]~q\ & (\led_flash_cnt[1570][7]~q\ & (\WideAnd1570~0_combout\ & \WideAnd1570~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1570][0]~q\,
	datab => \led_flash_cnt[1570][7]~q\,
	datac => \WideAnd1570~0_combout\,
	datad => \WideAnd1570~1_combout\,
	combout => \WideAnd1570~combout\);

-- Location: FF_X75_Y52_N7
\led_flash_cnt_ands[1570]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1570~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1570));

-- Location: LCCOMB_X74_Y52_N22
\led_flash_cnt[1568][0]~82208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1568][0]~82208_combout\ = !\led_flash_cnt[1568][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1568][0]~q\,
	combout => \led_flash_cnt[1568][0]~82208_combout\);

-- Location: FF_X74_Y52_N23
\led_flash_cnt[1568][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1568][0]~82208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1568][0]~q\);

-- Location: LCCOMB_X74_Y52_N0
\led_flash_cnt[1568][1]~48832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1568][1]~48832_combout\ = (\led_flash_cnt[1568][0]~q\ & (\led_flash_cnt[1568][1]~q\ $ (VCC))) # (!\led_flash_cnt[1568][0]~q\ & (\led_flash_cnt[1568][1]~q\ & VCC))
-- \led_flash_cnt[1568][1]~48833\ = CARRY((\led_flash_cnt[1568][0]~q\ & \led_flash_cnt[1568][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1568][0]~q\,
	datab => \led_flash_cnt[1568][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1568][1]~48832_combout\,
	cout => \led_flash_cnt[1568][1]~48833\);

-- Location: FF_X74_Y52_N1
\led_flash_cnt[1568][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1568][1]~48832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1568][1]~q\);

-- Location: LCCOMB_X74_Y52_N2
\led_flash_cnt[1568][2]~48834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1568][2]~48834_combout\ = (\led_flash_cnt[1568][2]~q\ & (!\led_flash_cnt[1568][1]~48833\)) # (!\led_flash_cnt[1568][2]~q\ & ((\led_flash_cnt[1568][1]~48833\) # (GND)))
-- \led_flash_cnt[1568][2]~48835\ = CARRY((!\led_flash_cnt[1568][1]~48833\) # (!\led_flash_cnt[1568][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1568][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1568][1]~48833\,
	combout => \led_flash_cnt[1568][2]~48834_combout\,
	cout => \led_flash_cnt[1568][2]~48835\);

-- Location: FF_X74_Y52_N3
\led_flash_cnt[1568][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1568][2]~48834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1568][2]~q\);

-- Location: LCCOMB_X74_Y52_N4
\led_flash_cnt[1568][3]~48836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1568][3]~48836_combout\ = (\led_flash_cnt[1568][3]~q\ & (\led_flash_cnt[1568][2]~48835\ $ (GND))) # (!\led_flash_cnt[1568][3]~q\ & (!\led_flash_cnt[1568][2]~48835\ & VCC))
-- \led_flash_cnt[1568][3]~48837\ = CARRY((\led_flash_cnt[1568][3]~q\ & !\led_flash_cnt[1568][2]~48835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1568][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1568][2]~48835\,
	combout => \led_flash_cnt[1568][3]~48836_combout\,
	cout => \led_flash_cnt[1568][3]~48837\);

-- Location: FF_X74_Y52_N5
\led_flash_cnt[1568][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1568][3]~48836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1568][3]~q\);

-- Location: LCCOMB_X74_Y52_N6
\led_flash_cnt[1568][4]~48838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1568][4]~48838_combout\ = (\led_flash_cnt[1568][4]~q\ & (!\led_flash_cnt[1568][3]~48837\)) # (!\led_flash_cnt[1568][4]~q\ & ((\led_flash_cnt[1568][3]~48837\) # (GND)))
-- \led_flash_cnt[1568][4]~48839\ = CARRY((!\led_flash_cnt[1568][3]~48837\) # (!\led_flash_cnt[1568][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1568][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1568][3]~48837\,
	combout => \led_flash_cnt[1568][4]~48838_combout\,
	cout => \led_flash_cnt[1568][4]~48839\);

-- Location: FF_X74_Y52_N7
\led_flash_cnt[1568][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1568][4]~48838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1568][4]~q\);

-- Location: LCCOMB_X74_Y52_N8
\led_flash_cnt[1568][5]~48840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1568][5]~48840_combout\ = (\led_flash_cnt[1568][5]~q\ & (\led_flash_cnt[1568][4]~48839\ $ (GND))) # (!\led_flash_cnt[1568][5]~q\ & (!\led_flash_cnt[1568][4]~48839\ & VCC))
-- \led_flash_cnt[1568][5]~48841\ = CARRY((\led_flash_cnt[1568][5]~q\ & !\led_flash_cnt[1568][4]~48839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1568][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1568][4]~48839\,
	combout => \led_flash_cnt[1568][5]~48840_combout\,
	cout => \led_flash_cnt[1568][5]~48841\);

-- Location: FF_X74_Y52_N9
\led_flash_cnt[1568][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1568][5]~48840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1568][5]~q\);

-- Location: LCCOMB_X74_Y52_N10
\led_flash_cnt[1568][6]~48842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1568][6]~48842_combout\ = (\led_flash_cnt[1568][6]~q\ & (!\led_flash_cnt[1568][5]~48841\)) # (!\led_flash_cnt[1568][6]~q\ & ((\led_flash_cnt[1568][5]~48841\) # (GND)))
-- \led_flash_cnt[1568][6]~48843\ = CARRY((!\led_flash_cnt[1568][5]~48841\) # (!\led_flash_cnt[1568][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1568][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1568][5]~48841\,
	combout => \led_flash_cnt[1568][6]~48842_combout\,
	cout => \led_flash_cnt[1568][6]~48843\);

-- Location: FF_X74_Y52_N11
\led_flash_cnt[1568][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1568][6]~48842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1568][6]~q\);

-- Location: LCCOMB_X74_Y52_N12
\led_flash_cnt[1568][7]~48844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1568][7]~48844_combout\ = \led_flash_cnt[1568][6]~48843\ $ (!\led_flash_cnt[1568][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1568][7]~q\,
	cin => \led_flash_cnt[1568][6]~48843\,
	combout => \led_flash_cnt[1568][7]~48844_combout\);

-- Location: FF_X74_Y52_N13
\led_flash_cnt[1568][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1568][7]~48844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1568][7]~q\);

-- Location: LCCOMB_X74_Y52_N24
\WideAnd1568~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1568~1_combout\ = (\led_flash_cnt[1568][5]~q\ & \led_flash_cnt[1568][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1568][5]~q\,
	datad => \led_flash_cnt[1568][6]~q\,
	combout => \WideAnd1568~1_combout\);

-- Location: LCCOMB_X74_Y52_N18
\WideAnd1568~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1568~0_combout\ = (\led_flash_cnt[1568][4]~q\ & (\led_flash_cnt[1568][2]~q\ & (\led_flash_cnt[1568][3]~q\ & \led_flash_cnt[1568][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1568][4]~q\,
	datab => \led_flash_cnt[1568][2]~q\,
	datac => \led_flash_cnt[1568][3]~q\,
	datad => \led_flash_cnt[1568][1]~q\,
	combout => \WideAnd1568~0_combout\);

-- Location: LCCOMB_X74_Y52_N28
WideAnd1568 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1568~combout\ = (\led_flash_cnt[1568][7]~q\ & (\WideAnd1568~1_combout\ & (\led_flash_cnt[1568][0]~q\ & \WideAnd1568~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1568][7]~q\,
	datab => \WideAnd1568~1_combout\,
	datac => \led_flash_cnt[1568][0]~q\,
	datad => \WideAnd1568~0_combout\,
	combout => \WideAnd1568~combout\);

-- Location: FF_X74_Y52_N29
\led_flash_cnt_ands[1568]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1568~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1568));

-- Location: LCCOMB_X72_Y52_N24
\led_flash_cnt[1571][0]~82211\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1571][0]~82211_combout\ = !\led_flash_cnt[1571][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1571][0]~q\,
	combout => \led_flash_cnt[1571][0]~82211_combout\);

-- Location: FF_X72_Y52_N25
\led_flash_cnt[1571][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1571][0]~82211_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1571][0]~q\);

-- Location: LCCOMB_X72_Y52_N6
\led_flash_cnt[1571][1]~48874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1571][1]~48874_combout\ = (\led_flash_cnt[1571][1]~q\ & (\led_flash_cnt[1571][0]~q\ $ (VCC))) # (!\led_flash_cnt[1571][1]~q\ & (\led_flash_cnt[1571][0]~q\ & VCC))
-- \led_flash_cnt[1571][1]~48875\ = CARRY((\led_flash_cnt[1571][1]~q\ & \led_flash_cnt[1571][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1571][1]~q\,
	datab => \led_flash_cnt[1571][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1571][1]~48874_combout\,
	cout => \led_flash_cnt[1571][1]~48875\);

-- Location: FF_X72_Y52_N7
\led_flash_cnt[1571][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1571][1]~48874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1571][1]~q\);

-- Location: LCCOMB_X72_Y52_N8
\led_flash_cnt[1571][2]~48876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1571][2]~48876_combout\ = (\led_flash_cnt[1571][2]~q\ & (!\led_flash_cnt[1571][1]~48875\)) # (!\led_flash_cnt[1571][2]~q\ & ((\led_flash_cnt[1571][1]~48875\) # (GND)))
-- \led_flash_cnt[1571][2]~48877\ = CARRY((!\led_flash_cnt[1571][1]~48875\) # (!\led_flash_cnt[1571][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1571][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1571][1]~48875\,
	combout => \led_flash_cnt[1571][2]~48876_combout\,
	cout => \led_flash_cnt[1571][2]~48877\);

-- Location: FF_X72_Y52_N9
\led_flash_cnt[1571][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1571][2]~48876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1571][2]~q\);

-- Location: LCCOMB_X72_Y52_N10
\led_flash_cnt[1571][3]~48878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1571][3]~48878_combout\ = (\led_flash_cnt[1571][3]~q\ & (\led_flash_cnt[1571][2]~48877\ $ (GND))) # (!\led_flash_cnt[1571][3]~q\ & (!\led_flash_cnt[1571][2]~48877\ & VCC))
-- \led_flash_cnt[1571][3]~48879\ = CARRY((\led_flash_cnt[1571][3]~q\ & !\led_flash_cnt[1571][2]~48877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1571][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1571][2]~48877\,
	combout => \led_flash_cnt[1571][3]~48878_combout\,
	cout => \led_flash_cnt[1571][3]~48879\);

-- Location: FF_X72_Y52_N11
\led_flash_cnt[1571][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1571][3]~48878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1571][3]~q\);

-- Location: LCCOMB_X72_Y52_N12
\led_flash_cnt[1571][4]~48880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1571][4]~48880_combout\ = (\led_flash_cnt[1571][4]~q\ & (!\led_flash_cnt[1571][3]~48879\)) # (!\led_flash_cnt[1571][4]~q\ & ((\led_flash_cnt[1571][3]~48879\) # (GND)))
-- \led_flash_cnt[1571][4]~48881\ = CARRY((!\led_flash_cnt[1571][3]~48879\) # (!\led_flash_cnt[1571][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1571][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1571][3]~48879\,
	combout => \led_flash_cnt[1571][4]~48880_combout\,
	cout => \led_flash_cnt[1571][4]~48881\);

-- Location: FF_X72_Y52_N13
\led_flash_cnt[1571][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1571][4]~48880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1571][4]~q\);

-- Location: LCCOMB_X72_Y52_N26
\WideAnd1571~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1571~0_combout\ = (\led_flash_cnt[1571][3]~q\ & (\led_flash_cnt[1571][4]~q\ & (\led_flash_cnt[1571][2]~q\ & \led_flash_cnt[1571][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1571][3]~q\,
	datab => \led_flash_cnt[1571][4]~q\,
	datac => \led_flash_cnt[1571][2]~q\,
	datad => \led_flash_cnt[1571][1]~q\,
	combout => \WideAnd1571~0_combout\);

-- Location: LCCOMB_X72_Y52_N14
\led_flash_cnt[1571][5]~48882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1571][5]~48882_combout\ = (\led_flash_cnt[1571][5]~q\ & (\led_flash_cnt[1571][4]~48881\ $ (GND))) # (!\led_flash_cnt[1571][5]~q\ & (!\led_flash_cnt[1571][4]~48881\ & VCC))
-- \led_flash_cnt[1571][5]~48883\ = CARRY((\led_flash_cnt[1571][5]~q\ & !\led_flash_cnt[1571][4]~48881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1571][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1571][4]~48881\,
	combout => \led_flash_cnt[1571][5]~48882_combout\,
	cout => \led_flash_cnt[1571][5]~48883\);

-- Location: FF_X72_Y52_N15
\led_flash_cnt[1571][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1571][5]~48882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1571][5]~q\);

-- Location: LCCOMB_X72_Y52_N16
\led_flash_cnt[1571][6]~48884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1571][6]~48884_combout\ = (\led_flash_cnt[1571][6]~q\ & (!\led_flash_cnt[1571][5]~48883\)) # (!\led_flash_cnt[1571][6]~q\ & ((\led_flash_cnt[1571][5]~48883\) # (GND)))
-- \led_flash_cnt[1571][6]~48885\ = CARRY((!\led_flash_cnt[1571][5]~48883\) # (!\led_flash_cnt[1571][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1571][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1571][5]~48883\,
	combout => \led_flash_cnt[1571][6]~48884_combout\,
	cout => \led_flash_cnt[1571][6]~48885\);

-- Location: FF_X72_Y52_N17
\led_flash_cnt[1571][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1571][6]~48884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1571][6]~q\);

-- Location: LCCOMB_X72_Y52_N18
\led_flash_cnt[1571][7]~48886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1571][7]~48886_combout\ = \led_flash_cnt[1571][6]~48885\ $ (!\led_flash_cnt[1571][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1571][7]~q\,
	cin => \led_flash_cnt[1571][6]~48885\,
	combout => \led_flash_cnt[1571][7]~48886_combout\);

-- Location: FF_X72_Y52_N19
\led_flash_cnt[1571][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1571][7]~48886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1571][7]~q\);

-- Location: LCCOMB_X72_Y52_N22
\WideAnd1571~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1571~1_combout\ = (\led_flash_cnt[1571][5]~q\ & \led_flash_cnt[1571][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1571][5]~q\,
	datad => \led_flash_cnt[1571][6]~q\,
	combout => \WideAnd1571~1_combout\);

-- Location: LCCOMB_X72_Y52_N2
WideAnd1571 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1571~combout\ = (\WideAnd1571~0_combout\ & (\led_flash_cnt[1571][7]~q\ & (\WideAnd1571~1_combout\ & \led_flash_cnt[1571][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1571~0_combout\,
	datab => \led_flash_cnt[1571][7]~q\,
	datac => \WideAnd1571~1_combout\,
	datad => \led_flash_cnt[1571][0]~q\,
	combout => \WideAnd1571~combout\);

-- Location: FF_X72_Y52_N3
\led_flash_cnt_ands[1571]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1571~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1571));

-- Location: LCCOMB_X75_Y52_N30
\led_flash_cnt[1569][0]~82209\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1569][0]~82209_combout\ = !\led_flash_cnt[1569][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1569][0]~q\,
	combout => \led_flash_cnt[1569][0]~82209_combout\);

-- Location: FF_X75_Y52_N31
\led_flash_cnt[1569][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1569][0]~82209_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1569][0]~q\);

-- Location: LCCOMB_X75_Y52_N8
\led_flash_cnt[1569][1]~48846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1569][1]~48846_combout\ = (\led_flash_cnt[1569][0]~q\ & (\led_flash_cnt[1569][1]~q\ $ (VCC))) # (!\led_flash_cnt[1569][0]~q\ & (\led_flash_cnt[1569][1]~q\ & VCC))
-- \led_flash_cnt[1569][1]~48847\ = CARRY((\led_flash_cnt[1569][0]~q\ & \led_flash_cnt[1569][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1569][0]~q\,
	datab => \led_flash_cnt[1569][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1569][1]~48846_combout\,
	cout => \led_flash_cnt[1569][1]~48847\);

-- Location: FF_X75_Y52_N9
\led_flash_cnt[1569][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1569][1]~48846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1569][1]~q\);

-- Location: LCCOMB_X75_Y52_N10
\led_flash_cnt[1569][2]~48848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1569][2]~48848_combout\ = (\led_flash_cnt[1569][2]~q\ & (!\led_flash_cnt[1569][1]~48847\)) # (!\led_flash_cnt[1569][2]~q\ & ((\led_flash_cnt[1569][1]~48847\) # (GND)))
-- \led_flash_cnt[1569][2]~48849\ = CARRY((!\led_flash_cnt[1569][1]~48847\) # (!\led_flash_cnt[1569][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1569][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1569][1]~48847\,
	combout => \led_flash_cnt[1569][2]~48848_combout\,
	cout => \led_flash_cnt[1569][2]~48849\);

-- Location: FF_X75_Y52_N11
\led_flash_cnt[1569][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1569][2]~48848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1569][2]~q\);

-- Location: LCCOMB_X75_Y52_N12
\led_flash_cnt[1569][3]~48850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1569][3]~48850_combout\ = (\led_flash_cnt[1569][3]~q\ & (\led_flash_cnt[1569][2]~48849\ $ (GND))) # (!\led_flash_cnt[1569][3]~q\ & (!\led_flash_cnt[1569][2]~48849\ & VCC))
-- \led_flash_cnt[1569][3]~48851\ = CARRY((\led_flash_cnt[1569][3]~q\ & !\led_flash_cnt[1569][2]~48849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1569][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1569][2]~48849\,
	combout => \led_flash_cnt[1569][3]~48850_combout\,
	cout => \led_flash_cnt[1569][3]~48851\);

-- Location: FF_X75_Y52_N13
\led_flash_cnt[1569][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1569][3]~48850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1569][3]~q\);

-- Location: LCCOMB_X75_Y52_N14
\led_flash_cnt[1569][4]~48852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1569][4]~48852_combout\ = (\led_flash_cnt[1569][4]~q\ & (!\led_flash_cnt[1569][3]~48851\)) # (!\led_flash_cnt[1569][4]~q\ & ((\led_flash_cnt[1569][3]~48851\) # (GND)))
-- \led_flash_cnt[1569][4]~48853\ = CARRY((!\led_flash_cnt[1569][3]~48851\) # (!\led_flash_cnt[1569][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1569][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1569][3]~48851\,
	combout => \led_flash_cnt[1569][4]~48852_combout\,
	cout => \led_flash_cnt[1569][4]~48853\);

-- Location: FF_X75_Y52_N15
\led_flash_cnt[1569][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1569][4]~48852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1569][4]~q\);

-- Location: LCCOMB_X75_Y52_N16
\led_flash_cnt[1569][5]~48854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1569][5]~48854_combout\ = (\led_flash_cnt[1569][5]~q\ & (\led_flash_cnt[1569][4]~48853\ $ (GND))) # (!\led_flash_cnt[1569][5]~q\ & (!\led_flash_cnt[1569][4]~48853\ & VCC))
-- \led_flash_cnt[1569][5]~48855\ = CARRY((\led_flash_cnt[1569][5]~q\ & !\led_flash_cnt[1569][4]~48853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1569][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1569][4]~48853\,
	combout => \led_flash_cnt[1569][5]~48854_combout\,
	cout => \led_flash_cnt[1569][5]~48855\);

-- Location: FF_X75_Y52_N17
\led_flash_cnt[1569][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1569][5]~48854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1569][5]~q\);

-- Location: LCCOMB_X75_Y52_N18
\led_flash_cnt[1569][6]~48856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1569][6]~48856_combout\ = (\led_flash_cnt[1569][6]~q\ & (!\led_flash_cnt[1569][5]~48855\)) # (!\led_flash_cnt[1569][6]~q\ & ((\led_flash_cnt[1569][5]~48855\) # (GND)))
-- \led_flash_cnt[1569][6]~48857\ = CARRY((!\led_flash_cnt[1569][5]~48855\) # (!\led_flash_cnt[1569][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1569][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1569][5]~48855\,
	combout => \led_flash_cnt[1569][6]~48856_combout\,
	cout => \led_flash_cnt[1569][6]~48857\);

-- Location: FF_X75_Y52_N19
\led_flash_cnt[1569][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1569][6]~48856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1569][6]~q\);

-- Location: LCCOMB_X75_Y52_N20
\led_flash_cnt[1569][7]~48858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1569][7]~48858_combout\ = \led_flash_cnt[1569][6]~48857\ $ (!\led_flash_cnt[1569][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1569][7]~q\,
	cin => \led_flash_cnt[1569][6]~48857\,
	combout => \led_flash_cnt[1569][7]~48858_combout\);

-- Location: FF_X75_Y52_N21
\led_flash_cnt[1569][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1569][7]~48858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1569][7]~q\);

-- Location: LCCOMB_X75_Y52_N22
\WideAnd1569~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1569~1_combout\ = (\led_flash_cnt[1569][6]~q\ & \led_flash_cnt[1569][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1569][6]~q\,
	datad => \led_flash_cnt[1569][5]~q\,
	combout => \WideAnd1569~1_combout\);

-- Location: LCCOMB_X75_Y52_N24
\WideAnd1569~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1569~0_combout\ = (\led_flash_cnt[1569][3]~q\ & (\led_flash_cnt[1569][4]~q\ & (\led_flash_cnt[1569][1]~q\ & \led_flash_cnt[1569][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1569][3]~q\,
	datab => \led_flash_cnt[1569][4]~q\,
	datac => \led_flash_cnt[1569][1]~q\,
	datad => \led_flash_cnt[1569][2]~q\,
	combout => \WideAnd1569~0_combout\);

-- Location: LCCOMB_X75_Y52_N28
WideAnd1569 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1569~combout\ = (\led_flash_cnt[1569][0]~q\ & (\led_flash_cnt[1569][7]~q\ & (\WideAnd1569~1_combout\ & \WideAnd1569~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1569][0]~q\,
	datab => \led_flash_cnt[1569][7]~q\,
	datac => \WideAnd1569~1_combout\,
	datad => \WideAnd1569~0_combout\,
	combout => \WideAnd1569~combout\);

-- Location: FF_X75_Y52_N29
\led_flash_cnt_ands[1569]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1569~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1569));

-- Location: LCCOMB_X74_Y52_N26
\WideAnd4036~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4036~0_combout\ = (led_flash_cnt_ands(1570) & (led_flash_cnt_ands(1568) & (led_flash_cnt_ands(1571) & led_flash_cnt_ands(1569))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1570),
	datab => led_flash_cnt_ands(1568),
	datac => led_flash_cnt_ands(1571),
	datad => led_flash_cnt_ands(1569),
	combout => \WideAnd4036~0_combout\);

-- Location: LCCOMB_X71_Y48_N24
\led_flash_cnt[1575][0]~82215\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1575][0]~82215_combout\ = !\led_flash_cnt[1575][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1575][0]~q\,
	combout => \led_flash_cnt[1575][0]~82215_combout\);

-- Location: FF_X71_Y48_N25
\led_flash_cnt[1575][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1575][0]~82215_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1575][0]~q\);

-- Location: LCCOMB_X71_Y48_N2
\led_flash_cnt[1575][1]~48930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1575][1]~48930_combout\ = (\led_flash_cnt[1575][1]~q\ & (\led_flash_cnt[1575][0]~q\ $ (VCC))) # (!\led_flash_cnt[1575][1]~q\ & (\led_flash_cnt[1575][0]~q\ & VCC))
-- \led_flash_cnt[1575][1]~48931\ = CARRY((\led_flash_cnt[1575][1]~q\ & \led_flash_cnt[1575][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1575][1]~q\,
	datab => \led_flash_cnt[1575][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1575][1]~48930_combout\,
	cout => \led_flash_cnt[1575][1]~48931\);

-- Location: FF_X71_Y48_N3
\led_flash_cnt[1575][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1575][1]~48930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1575][1]~q\);

-- Location: LCCOMB_X71_Y48_N4
\led_flash_cnt[1575][2]~48932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1575][2]~48932_combout\ = (\led_flash_cnt[1575][2]~q\ & (!\led_flash_cnt[1575][1]~48931\)) # (!\led_flash_cnt[1575][2]~q\ & ((\led_flash_cnt[1575][1]~48931\) # (GND)))
-- \led_flash_cnt[1575][2]~48933\ = CARRY((!\led_flash_cnt[1575][1]~48931\) # (!\led_flash_cnt[1575][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1575][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1575][1]~48931\,
	combout => \led_flash_cnt[1575][2]~48932_combout\,
	cout => \led_flash_cnt[1575][2]~48933\);

-- Location: FF_X71_Y48_N5
\led_flash_cnt[1575][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1575][2]~48932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1575][2]~q\);

-- Location: LCCOMB_X71_Y48_N6
\led_flash_cnt[1575][3]~48934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1575][3]~48934_combout\ = (\led_flash_cnt[1575][3]~q\ & (\led_flash_cnt[1575][2]~48933\ $ (GND))) # (!\led_flash_cnt[1575][3]~q\ & (!\led_flash_cnt[1575][2]~48933\ & VCC))
-- \led_flash_cnt[1575][3]~48935\ = CARRY((\led_flash_cnt[1575][3]~q\ & !\led_flash_cnt[1575][2]~48933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1575][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1575][2]~48933\,
	combout => \led_flash_cnt[1575][3]~48934_combout\,
	cout => \led_flash_cnt[1575][3]~48935\);

-- Location: FF_X71_Y48_N7
\led_flash_cnt[1575][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1575][3]~48934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1575][3]~q\);

-- Location: LCCOMB_X71_Y48_N8
\led_flash_cnt[1575][4]~48936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1575][4]~48936_combout\ = (\led_flash_cnt[1575][4]~q\ & (!\led_flash_cnt[1575][3]~48935\)) # (!\led_flash_cnt[1575][4]~q\ & ((\led_flash_cnt[1575][3]~48935\) # (GND)))
-- \led_flash_cnt[1575][4]~48937\ = CARRY((!\led_flash_cnt[1575][3]~48935\) # (!\led_flash_cnt[1575][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1575][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1575][3]~48935\,
	combout => \led_flash_cnt[1575][4]~48936_combout\,
	cout => \led_flash_cnt[1575][4]~48937\);

-- Location: FF_X71_Y48_N9
\led_flash_cnt[1575][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1575][4]~48936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1575][4]~q\);

-- Location: LCCOMB_X71_Y48_N10
\led_flash_cnt[1575][5]~48938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1575][5]~48938_combout\ = (\led_flash_cnt[1575][5]~q\ & (\led_flash_cnt[1575][4]~48937\ $ (GND))) # (!\led_flash_cnt[1575][5]~q\ & (!\led_flash_cnt[1575][4]~48937\ & VCC))
-- \led_flash_cnt[1575][5]~48939\ = CARRY((\led_flash_cnt[1575][5]~q\ & !\led_flash_cnt[1575][4]~48937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1575][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1575][4]~48937\,
	combout => \led_flash_cnt[1575][5]~48938_combout\,
	cout => \led_flash_cnt[1575][5]~48939\);

-- Location: FF_X71_Y48_N11
\led_flash_cnt[1575][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1575][5]~48938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1575][5]~q\);

-- Location: LCCOMB_X71_Y48_N12
\led_flash_cnt[1575][6]~48940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1575][6]~48940_combout\ = (\led_flash_cnt[1575][6]~q\ & (!\led_flash_cnt[1575][5]~48939\)) # (!\led_flash_cnt[1575][6]~q\ & ((\led_flash_cnt[1575][5]~48939\) # (GND)))
-- \led_flash_cnt[1575][6]~48941\ = CARRY((!\led_flash_cnt[1575][5]~48939\) # (!\led_flash_cnt[1575][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1575][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1575][5]~48939\,
	combout => \led_flash_cnt[1575][6]~48940_combout\,
	cout => \led_flash_cnt[1575][6]~48941\);

-- Location: FF_X71_Y48_N13
\led_flash_cnt[1575][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1575][6]~48940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1575][6]~q\);

-- Location: LCCOMB_X71_Y48_N22
\WideAnd1575~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1575~1_combout\ = (\led_flash_cnt[1575][6]~q\ & \led_flash_cnt[1575][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1575][6]~q\,
	datad => \led_flash_cnt[1575][5]~q\,
	combout => \WideAnd1575~1_combout\);

-- Location: LCCOMB_X71_Y48_N14
\led_flash_cnt[1575][7]~48942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1575][7]~48942_combout\ = \led_flash_cnt[1575][7]~q\ $ (!\led_flash_cnt[1575][6]~48941\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1575][7]~q\,
	cin => \led_flash_cnt[1575][6]~48941\,
	combout => \led_flash_cnt[1575][7]~48942_combout\);

-- Location: FF_X71_Y48_N15
\led_flash_cnt[1575][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1575][7]~48942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1575][7]~q\);

-- Location: LCCOMB_X71_Y48_N18
\WideAnd1575~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1575~0_combout\ = (\led_flash_cnt[1575][1]~q\ & (\led_flash_cnt[1575][4]~q\ & (\led_flash_cnt[1575][2]~q\ & \led_flash_cnt[1575][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1575][1]~q\,
	datab => \led_flash_cnt[1575][4]~q\,
	datac => \led_flash_cnt[1575][2]~q\,
	datad => \led_flash_cnt[1575][3]~q\,
	combout => \WideAnd1575~0_combout\);

-- Location: LCCOMB_X71_Y48_N26
WideAnd1575 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1575~combout\ = (\WideAnd1575~1_combout\ & (\led_flash_cnt[1575][0]~q\ & (\led_flash_cnt[1575][7]~q\ & \WideAnd1575~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1575~1_combout\,
	datab => \led_flash_cnt[1575][0]~q\,
	datac => \led_flash_cnt[1575][7]~q\,
	datad => \WideAnd1575~0_combout\,
	combout => \WideAnd1575~combout\);

-- Location: FF_X71_Y48_N27
\led_flash_cnt_ands[1575]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1575~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1575));

-- Location: LCCOMB_X67_Y48_N18
\led_flash_cnt[1574][0]~82214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1574][0]~82214_combout\ = !\led_flash_cnt[1574][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1574][0]~q\,
	combout => \led_flash_cnt[1574][0]~82214_combout\);

-- Location: FF_X67_Y48_N19
\led_flash_cnt[1574][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1574][0]~82214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1574][0]~q\);

-- Location: LCCOMB_X67_Y48_N0
\led_flash_cnt[1574][1]~48916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1574][1]~48916_combout\ = (\led_flash_cnt[1574][1]~q\ & (\led_flash_cnt[1574][0]~q\ $ (VCC))) # (!\led_flash_cnt[1574][1]~q\ & (\led_flash_cnt[1574][0]~q\ & VCC))
-- \led_flash_cnt[1574][1]~48917\ = CARRY((\led_flash_cnt[1574][1]~q\ & \led_flash_cnt[1574][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1574][1]~q\,
	datab => \led_flash_cnt[1574][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1574][1]~48916_combout\,
	cout => \led_flash_cnt[1574][1]~48917\);

-- Location: FF_X67_Y48_N1
\led_flash_cnt[1574][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1574][1]~48916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1574][1]~q\);

-- Location: LCCOMB_X67_Y48_N2
\led_flash_cnt[1574][2]~48918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1574][2]~48918_combout\ = (\led_flash_cnt[1574][2]~q\ & (!\led_flash_cnt[1574][1]~48917\)) # (!\led_flash_cnt[1574][2]~q\ & ((\led_flash_cnt[1574][1]~48917\) # (GND)))
-- \led_flash_cnt[1574][2]~48919\ = CARRY((!\led_flash_cnt[1574][1]~48917\) # (!\led_flash_cnt[1574][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1574][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1574][1]~48917\,
	combout => \led_flash_cnt[1574][2]~48918_combout\,
	cout => \led_flash_cnt[1574][2]~48919\);

-- Location: FF_X67_Y48_N3
\led_flash_cnt[1574][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1574][2]~48918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1574][2]~q\);

-- Location: LCCOMB_X67_Y48_N4
\led_flash_cnt[1574][3]~48920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1574][3]~48920_combout\ = (\led_flash_cnt[1574][3]~q\ & (\led_flash_cnt[1574][2]~48919\ $ (GND))) # (!\led_flash_cnt[1574][3]~q\ & (!\led_flash_cnt[1574][2]~48919\ & VCC))
-- \led_flash_cnt[1574][3]~48921\ = CARRY((\led_flash_cnt[1574][3]~q\ & !\led_flash_cnt[1574][2]~48919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1574][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1574][2]~48919\,
	combout => \led_flash_cnt[1574][3]~48920_combout\,
	cout => \led_flash_cnt[1574][3]~48921\);

-- Location: FF_X67_Y48_N5
\led_flash_cnt[1574][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1574][3]~48920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1574][3]~q\);

-- Location: LCCOMB_X67_Y48_N6
\led_flash_cnt[1574][4]~48922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1574][4]~48922_combout\ = (\led_flash_cnt[1574][4]~q\ & (!\led_flash_cnt[1574][3]~48921\)) # (!\led_flash_cnt[1574][4]~q\ & ((\led_flash_cnt[1574][3]~48921\) # (GND)))
-- \led_flash_cnt[1574][4]~48923\ = CARRY((!\led_flash_cnt[1574][3]~48921\) # (!\led_flash_cnt[1574][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1574][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1574][3]~48921\,
	combout => \led_flash_cnt[1574][4]~48922_combout\,
	cout => \led_flash_cnt[1574][4]~48923\);

-- Location: FF_X67_Y48_N7
\led_flash_cnt[1574][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1574][4]~48922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1574][4]~q\);

-- Location: LCCOMB_X67_Y48_N8
\led_flash_cnt[1574][5]~48924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1574][5]~48924_combout\ = (\led_flash_cnt[1574][5]~q\ & (\led_flash_cnt[1574][4]~48923\ $ (GND))) # (!\led_flash_cnt[1574][5]~q\ & (!\led_flash_cnt[1574][4]~48923\ & VCC))
-- \led_flash_cnt[1574][5]~48925\ = CARRY((\led_flash_cnt[1574][5]~q\ & !\led_flash_cnt[1574][4]~48923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1574][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1574][4]~48923\,
	combout => \led_flash_cnt[1574][5]~48924_combout\,
	cout => \led_flash_cnt[1574][5]~48925\);

-- Location: FF_X67_Y48_N9
\led_flash_cnt[1574][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1574][5]~48924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1574][5]~q\);

-- Location: LCCOMB_X67_Y48_N10
\led_flash_cnt[1574][6]~48926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1574][6]~48926_combout\ = (\led_flash_cnt[1574][6]~q\ & (!\led_flash_cnt[1574][5]~48925\)) # (!\led_flash_cnt[1574][6]~q\ & ((\led_flash_cnt[1574][5]~48925\) # (GND)))
-- \led_flash_cnt[1574][6]~48927\ = CARRY((!\led_flash_cnt[1574][5]~48925\) # (!\led_flash_cnt[1574][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1574][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1574][5]~48925\,
	combout => \led_flash_cnt[1574][6]~48926_combout\,
	cout => \led_flash_cnt[1574][6]~48927\);

-- Location: FF_X67_Y48_N11
\led_flash_cnt[1574][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1574][6]~48926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1574][6]~q\);

-- Location: LCCOMB_X67_Y48_N26
\WideAnd1574~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1574~1_combout\ = (\led_flash_cnt[1574][5]~q\ & \led_flash_cnt[1574][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1574][5]~q\,
	datad => \led_flash_cnt[1574][6]~q\,
	combout => \WideAnd1574~1_combout\);

-- Location: LCCOMB_X67_Y48_N22
\WideAnd1574~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1574~0_combout\ = (\led_flash_cnt[1574][4]~q\ & (\led_flash_cnt[1574][1]~q\ & (\led_flash_cnt[1574][3]~q\ & \led_flash_cnt[1574][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1574][4]~q\,
	datab => \led_flash_cnt[1574][1]~q\,
	datac => \led_flash_cnt[1574][3]~q\,
	datad => \led_flash_cnt[1574][2]~q\,
	combout => \WideAnd1574~0_combout\);

-- Location: LCCOMB_X67_Y48_N12
\led_flash_cnt[1574][7]~48928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1574][7]~48928_combout\ = \led_flash_cnt[1574][6]~48927\ $ (!\led_flash_cnt[1574][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1574][7]~q\,
	cin => \led_flash_cnt[1574][6]~48927\,
	combout => \led_flash_cnt[1574][7]~48928_combout\);

-- Location: FF_X67_Y48_N13
\led_flash_cnt[1574][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1574][7]~48928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1574][7]~q\);

-- Location: LCCOMB_X67_Y48_N28
WideAnd1574 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1574~combout\ = (\WideAnd1574~1_combout\ & (\led_flash_cnt[1574][0]~q\ & (\WideAnd1574~0_combout\ & \led_flash_cnt[1574][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1574~1_combout\,
	datab => \led_flash_cnt[1574][0]~q\,
	datac => \WideAnd1574~0_combout\,
	datad => \led_flash_cnt[1574][7]~q\,
	combout => \WideAnd1574~combout\);

-- Location: FF_X67_Y48_N29
\led_flash_cnt_ands[1574]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1574~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1574));

-- Location: LCCOMB_X67_Y48_N24
WideAnd4036 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4036~combout\ = (\WideAnd4036~1_combout\ & (\WideAnd4036~0_combout\ & (led_flash_cnt_ands(1575) & led_flash_cnt_ands(1574))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4036~1_combout\,
	datab => \WideAnd4036~0_combout\,
	datac => led_flash_cnt_ands(1575),
	datad => led_flash_cnt_ands(1574),
	combout => \WideAnd4036~combout\);

-- Location: FF_X67_Y48_N25
\led_flash_cnt_ands_1[196]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4036~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(196));

-- Location: LCCOMB_X64_Y42_N18
\led_flash_cnt[1583][0]~82223\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1583][0]~82223_combout\ = !\led_flash_cnt[1583][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1583][0]~q\,
	combout => \led_flash_cnt[1583][0]~82223_combout\);

-- Location: FF_X64_Y42_N19
\led_flash_cnt[1583][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1583][0]~82223_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1583][0]~q\);

-- Location: LCCOMB_X64_Y42_N2
\led_flash_cnt[1583][1]~49042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1583][1]~49042_combout\ = (\led_flash_cnt[1583][1]~q\ & (\led_flash_cnt[1583][0]~q\ $ (VCC))) # (!\led_flash_cnt[1583][1]~q\ & (\led_flash_cnt[1583][0]~q\ & VCC))
-- \led_flash_cnt[1583][1]~49043\ = CARRY((\led_flash_cnt[1583][1]~q\ & \led_flash_cnt[1583][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1583][1]~q\,
	datab => \led_flash_cnt[1583][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1583][1]~49042_combout\,
	cout => \led_flash_cnt[1583][1]~49043\);

-- Location: FF_X64_Y42_N3
\led_flash_cnt[1583][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1583][1]~49042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1583][1]~q\);

-- Location: LCCOMB_X64_Y42_N4
\led_flash_cnt[1583][2]~49044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1583][2]~49044_combout\ = (\led_flash_cnt[1583][2]~q\ & (!\led_flash_cnt[1583][1]~49043\)) # (!\led_flash_cnt[1583][2]~q\ & ((\led_flash_cnt[1583][1]~49043\) # (GND)))
-- \led_flash_cnt[1583][2]~49045\ = CARRY((!\led_flash_cnt[1583][1]~49043\) # (!\led_flash_cnt[1583][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1583][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1583][1]~49043\,
	combout => \led_flash_cnt[1583][2]~49044_combout\,
	cout => \led_flash_cnt[1583][2]~49045\);

-- Location: FF_X64_Y42_N5
\led_flash_cnt[1583][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1583][2]~49044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1583][2]~q\);

-- Location: LCCOMB_X64_Y42_N6
\led_flash_cnt[1583][3]~49046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1583][3]~49046_combout\ = (\led_flash_cnt[1583][3]~q\ & (\led_flash_cnt[1583][2]~49045\ $ (GND))) # (!\led_flash_cnt[1583][3]~q\ & (!\led_flash_cnt[1583][2]~49045\ & VCC))
-- \led_flash_cnt[1583][3]~49047\ = CARRY((\led_flash_cnt[1583][3]~q\ & !\led_flash_cnt[1583][2]~49045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1583][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1583][2]~49045\,
	combout => \led_flash_cnt[1583][3]~49046_combout\,
	cout => \led_flash_cnt[1583][3]~49047\);

-- Location: FF_X64_Y42_N7
\led_flash_cnt[1583][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1583][3]~49046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1583][3]~q\);

-- Location: LCCOMB_X64_Y42_N8
\led_flash_cnt[1583][4]~49048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1583][4]~49048_combout\ = (\led_flash_cnt[1583][4]~q\ & (!\led_flash_cnt[1583][3]~49047\)) # (!\led_flash_cnt[1583][4]~q\ & ((\led_flash_cnt[1583][3]~49047\) # (GND)))
-- \led_flash_cnt[1583][4]~49049\ = CARRY((!\led_flash_cnt[1583][3]~49047\) # (!\led_flash_cnt[1583][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1583][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1583][3]~49047\,
	combout => \led_flash_cnt[1583][4]~49048_combout\,
	cout => \led_flash_cnt[1583][4]~49049\);

-- Location: FF_X64_Y42_N9
\led_flash_cnt[1583][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1583][4]~49048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1583][4]~q\);

-- Location: LCCOMB_X64_Y42_N10
\led_flash_cnt[1583][5]~49050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1583][5]~49050_combout\ = (\led_flash_cnt[1583][5]~q\ & (\led_flash_cnt[1583][4]~49049\ $ (GND))) # (!\led_flash_cnt[1583][5]~q\ & (!\led_flash_cnt[1583][4]~49049\ & VCC))
-- \led_flash_cnt[1583][5]~49051\ = CARRY((\led_flash_cnt[1583][5]~q\ & !\led_flash_cnt[1583][4]~49049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1583][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1583][4]~49049\,
	combout => \led_flash_cnt[1583][5]~49050_combout\,
	cout => \led_flash_cnt[1583][5]~49051\);

-- Location: FF_X64_Y42_N11
\led_flash_cnt[1583][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1583][5]~49050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1583][5]~q\);

-- Location: LCCOMB_X64_Y42_N12
\led_flash_cnt[1583][6]~49052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1583][6]~49052_combout\ = (\led_flash_cnt[1583][6]~q\ & (!\led_flash_cnt[1583][5]~49051\)) # (!\led_flash_cnt[1583][6]~q\ & ((\led_flash_cnt[1583][5]~49051\) # (GND)))
-- \led_flash_cnt[1583][6]~49053\ = CARRY((!\led_flash_cnt[1583][5]~49051\) # (!\led_flash_cnt[1583][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1583][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1583][5]~49051\,
	combout => \led_flash_cnt[1583][6]~49052_combout\,
	cout => \led_flash_cnt[1583][6]~49053\);

-- Location: FF_X64_Y42_N13
\led_flash_cnt[1583][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1583][6]~49052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1583][6]~q\);

-- Location: LCCOMB_X64_Y42_N22
\WideAnd1583~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1583~1_combout\ = (\led_flash_cnt[1583][6]~q\ & \led_flash_cnt[1583][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1583][6]~q\,
	datad => \led_flash_cnt[1583][5]~q\,
	combout => \WideAnd1583~1_combout\);

-- Location: LCCOMB_X64_Y42_N20
\WideAnd1583~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1583~0_combout\ = (\led_flash_cnt[1583][1]~q\ & (\led_flash_cnt[1583][4]~q\ & (\led_flash_cnt[1583][2]~q\ & \led_flash_cnt[1583][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1583][1]~q\,
	datab => \led_flash_cnt[1583][4]~q\,
	datac => \led_flash_cnt[1583][2]~q\,
	datad => \led_flash_cnt[1583][3]~q\,
	combout => \WideAnd1583~0_combout\);

-- Location: LCCOMB_X64_Y42_N14
\led_flash_cnt[1583][7]~49054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1583][7]~49054_combout\ = \led_flash_cnt[1583][7]~q\ $ (!\led_flash_cnt[1583][6]~49053\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1583][7]~q\,
	cin => \led_flash_cnt[1583][6]~49053\,
	combout => \led_flash_cnt[1583][7]~49054_combout\);

-- Location: FF_X64_Y42_N15
\led_flash_cnt[1583][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1583][7]~49054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1583][7]~q\);

-- Location: LCCOMB_X64_Y42_N26
WideAnd1583 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1583~combout\ = (\WideAnd1583~1_combout\ & (\WideAnd1583~0_combout\ & (\led_flash_cnt[1583][7]~q\ & \led_flash_cnt[1583][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1583~1_combout\,
	datab => \WideAnd1583~0_combout\,
	datac => \led_flash_cnt[1583][7]~q\,
	datad => \led_flash_cnt[1583][0]~q\,
	combout => \WideAnd1583~combout\);

-- Location: FF_X64_Y42_N27
\led_flash_cnt_ands[1583]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1583~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1583));

-- Location: LCCOMB_X60_Y52_N10
\led_flash_cnt[1578][0]~82218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1578][0]~82218_combout\ = !\led_flash_cnt[1578][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1578][0]~q\,
	combout => \led_flash_cnt[1578][0]~82218_combout\);

-- Location: FF_X60_Y52_N11
\led_flash_cnt[1578][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1578][0]~82218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1578][0]~q\);

-- Location: LCCOMB_X60_Y52_N16
\led_flash_cnt[1578][1]~48972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1578][1]~48972_combout\ = (\led_flash_cnt[1578][0]~q\ & (\led_flash_cnt[1578][1]~q\ $ (VCC))) # (!\led_flash_cnt[1578][0]~q\ & (\led_flash_cnt[1578][1]~q\ & VCC))
-- \led_flash_cnt[1578][1]~48973\ = CARRY((\led_flash_cnt[1578][0]~q\ & \led_flash_cnt[1578][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1578][0]~q\,
	datab => \led_flash_cnt[1578][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1578][1]~48972_combout\,
	cout => \led_flash_cnt[1578][1]~48973\);

-- Location: FF_X60_Y52_N17
\led_flash_cnt[1578][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1578][1]~48972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1578][1]~q\);

-- Location: LCCOMB_X60_Y52_N18
\led_flash_cnt[1578][2]~48974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1578][2]~48974_combout\ = (\led_flash_cnt[1578][2]~q\ & (!\led_flash_cnt[1578][1]~48973\)) # (!\led_flash_cnt[1578][2]~q\ & ((\led_flash_cnt[1578][1]~48973\) # (GND)))
-- \led_flash_cnt[1578][2]~48975\ = CARRY((!\led_flash_cnt[1578][1]~48973\) # (!\led_flash_cnt[1578][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1578][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1578][1]~48973\,
	combout => \led_flash_cnt[1578][2]~48974_combout\,
	cout => \led_flash_cnt[1578][2]~48975\);

-- Location: FF_X60_Y52_N19
\led_flash_cnt[1578][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1578][2]~48974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1578][2]~q\);

-- Location: LCCOMB_X60_Y52_N20
\led_flash_cnt[1578][3]~48976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1578][3]~48976_combout\ = (\led_flash_cnt[1578][3]~q\ & (\led_flash_cnt[1578][2]~48975\ $ (GND))) # (!\led_flash_cnt[1578][3]~q\ & (!\led_flash_cnt[1578][2]~48975\ & VCC))
-- \led_flash_cnt[1578][3]~48977\ = CARRY((\led_flash_cnt[1578][3]~q\ & !\led_flash_cnt[1578][2]~48975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1578][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1578][2]~48975\,
	combout => \led_flash_cnt[1578][3]~48976_combout\,
	cout => \led_flash_cnt[1578][3]~48977\);

-- Location: FF_X60_Y52_N21
\led_flash_cnt[1578][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1578][3]~48976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1578][3]~q\);

-- Location: LCCOMB_X60_Y52_N22
\led_flash_cnt[1578][4]~48978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1578][4]~48978_combout\ = (\led_flash_cnt[1578][4]~q\ & (!\led_flash_cnt[1578][3]~48977\)) # (!\led_flash_cnt[1578][4]~q\ & ((\led_flash_cnt[1578][3]~48977\) # (GND)))
-- \led_flash_cnt[1578][4]~48979\ = CARRY((!\led_flash_cnt[1578][3]~48977\) # (!\led_flash_cnt[1578][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1578][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1578][3]~48977\,
	combout => \led_flash_cnt[1578][4]~48978_combout\,
	cout => \led_flash_cnt[1578][4]~48979\);

-- Location: FF_X60_Y52_N23
\led_flash_cnt[1578][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1578][4]~48978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1578][4]~q\);

-- Location: LCCOMB_X60_Y52_N24
\led_flash_cnt[1578][5]~48980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1578][5]~48980_combout\ = (\led_flash_cnt[1578][5]~q\ & (\led_flash_cnt[1578][4]~48979\ $ (GND))) # (!\led_flash_cnt[1578][5]~q\ & (!\led_flash_cnt[1578][4]~48979\ & VCC))
-- \led_flash_cnt[1578][5]~48981\ = CARRY((\led_flash_cnt[1578][5]~q\ & !\led_flash_cnt[1578][4]~48979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1578][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1578][4]~48979\,
	combout => \led_flash_cnt[1578][5]~48980_combout\,
	cout => \led_flash_cnt[1578][5]~48981\);

-- Location: FF_X60_Y52_N25
\led_flash_cnt[1578][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1578][5]~48980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1578][5]~q\);

-- Location: LCCOMB_X60_Y52_N26
\led_flash_cnt[1578][6]~48982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1578][6]~48982_combout\ = (\led_flash_cnt[1578][6]~q\ & (!\led_flash_cnt[1578][5]~48981\)) # (!\led_flash_cnt[1578][6]~q\ & ((\led_flash_cnt[1578][5]~48981\) # (GND)))
-- \led_flash_cnt[1578][6]~48983\ = CARRY((!\led_flash_cnt[1578][5]~48981\) # (!\led_flash_cnt[1578][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1578][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1578][5]~48981\,
	combout => \led_flash_cnt[1578][6]~48982_combout\,
	cout => \led_flash_cnt[1578][6]~48983\);

-- Location: FF_X60_Y52_N27
\led_flash_cnt[1578][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1578][6]~48982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1578][6]~q\);

-- Location: LCCOMB_X60_Y52_N28
\led_flash_cnt[1578][7]~48984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1578][7]~48984_combout\ = \led_flash_cnt[1578][6]~48983\ $ (!\led_flash_cnt[1578][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1578][7]~q\,
	cin => \led_flash_cnt[1578][6]~48983\,
	combout => \led_flash_cnt[1578][7]~48984_combout\);

-- Location: FF_X60_Y52_N29
\led_flash_cnt[1578][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1578][7]~48984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1578][7]~q\);

-- Location: LCCOMB_X60_Y52_N4
\WideAnd1578~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1578~1_combout\ = (\led_flash_cnt[1578][6]~q\ & \led_flash_cnt[1578][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1578][6]~q\,
	datad => \led_flash_cnt[1578][5]~q\,
	combout => \WideAnd1578~1_combout\);

-- Location: LCCOMB_X60_Y52_N12
\WideAnd1578~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1578~0_combout\ = (\led_flash_cnt[1578][3]~q\ & (\led_flash_cnt[1578][2]~q\ & (\led_flash_cnt[1578][4]~q\ & \led_flash_cnt[1578][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1578][3]~q\,
	datab => \led_flash_cnt[1578][2]~q\,
	datac => \led_flash_cnt[1578][4]~q\,
	datad => \led_flash_cnt[1578][1]~q\,
	combout => \WideAnd1578~0_combout\);

-- Location: LCCOMB_X60_Y52_N14
WideAnd1578 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1578~combout\ = (\led_flash_cnt[1578][0]~q\ & (\led_flash_cnt[1578][7]~q\ & (\WideAnd1578~1_combout\ & \WideAnd1578~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1578][0]~q\,
	datab => \led_flash_cnt[1578][7]~q\,
	datac => \WideAnd1578~1_combout\,
	datad => \WideAnd1578~0_combout\,
	combout => \WideAnd1578~combout\);

-- Location: FF_X60_Y52_N15
\led_flash_cnt_ands[1578]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1578~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1578));

-- Location: LCCOMB_X62_Y51_N12
\led_flash_cnt[1576][0]~82216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1576][0]~82216_combout\ = !\led_flash_cnt[1576][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1576][0]~q\,
	combout => \led_flash_cnt[1576][0]~82216_combout\);

-- Location: FF_X62_Y51_N13
\led_flash_cnt[1576][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1576][0]~82216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1576][0]~q\);

-- Location: LCCOMB_X62_Y51_N14
\led_flash_cnt[1576][1]~48944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1576][1]~48944_combout\ = (\led_flash_cnt[1576][0]~q\ & (\led_flash_cnt[1576][1]~q\ $ (VCC))) # (!\led_flash_cnt[1576][0]~q\ & (\led_flash_cnt[1576][1]~q\ & VCC))
-- \led_flash_cnt[1576][1]~48945\ = CARRY((\led_flash_cnt[1576][0]~q\ & \led_flash_cnt[1576][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1576][0]~q\,
	datab => \led_flash_cnt[1576][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1576][1]~48944_combout\,
	cout => \led_flash_cnt[1576][1]~48945\);

-- Location: FF_X62_Y51_N15
\led_flash_cnt[1576][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1576][1]~48944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1576][1]~q\);

-- Location: LCCOMB_X62_Y51_N16
\led_flash_cnt[1576][2]~48946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1576][2]~48946_combout\ = (\led_flash_cnt[1576][2]~q\ & (!\led_flash_cnt[1576][1]~48945\)) # (!\led_flash_cnt[1576][2]~q\ & ((\led_flash_cnt[1576][1]~48945\) # (GND)))
-- \led_flash_cnt[1576][2]~48947\ = CARRY((!\led_flash_cnt[1576][1]~48945\) # (!\led_flash_cnt[1576][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1576][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1576][1]~48945\,
	combout => \led_flash_cnt[1576][2]~48946_combout\,
	cout => \led_flash_cnt[1576][2]~48947\);

-- Location: FF_X62_Y51_N17
\led_flash_cnt[1576][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1576][2]~48946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1576][2]~q\);

-- Location: LCCOMB_X62_Y51_N18
\led_flash_cnt[1576][3]~48948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1576][3]~48948_combout\ = (\led_flash_cnt[1576][3]~q\ & (\led_flash_cnt[1576][2]~48947\ $ (GND))) # (!\led_flash_cnt[1576][3]~q\ & (!\led_flash_cnt[1576][2]~48947\ & VCC))
-- \led_flash_cnt[1576][3]~48949\ = CARRY((\led_flash_cnt[1576][3]~q\ & !\led_flash_cnt[1576][2]~48947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1576][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1576][2]~48947\,
	combout => \led_flash_cnt[1576][3]~48948_combout\,
	cout => \led_flash_cnt[1576][3]~48949\);

-- Location: FF_X62_Y51_N19
\led_flash_cnt[1576][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1576][3]~48948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1576][3]~q\);

-- Location: LCCOMB_X62_Y51_N20
\led_flash_cnt[1576][4]~48950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1576][4]~48950_combout\ = (\led_flash_cnt[1576][4]~q\ & (!\led_flash_cnt[1576][3]~48949\)) # (!\led_flash_cnt[1576][4]~q\ & ((\led_flash_cnt[1576][3]~48949\) # (GND)))
-- \led_flash_cnt[1576][4]~48951\ = CARRY((!\led_flash_cnt[1576][3]~48949\) # (!\led_flash_cnt[1576][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1576][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1576][3]~48949\,
	combout => \led_flash_cnt[1576][4]~48950_combout\,
	cout => \led_flash_cnt[1576][4]~48951\);

-- Location: FF_X62_Y51_N21
\led_flash_cnt[1576][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1576][4]~48950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1576][4]~q\);

-- Location: LCCOMB_X62_Y51_N22
\led_flash_cnt[1576][5]~48952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1576][5]~48952_combout\ = (\led_flash_cnt[1576][5]~q\ & (\led_flash_cnt[1576][4]~48951\ $ (GND))) # (!\led_flash_cnt[1576][5]~q\ & (!\led_flash_cnt[1576][4]~48951\ & VCC))
-- \led_flash_cnt[1576][5]~48953\ = CARRY((\led_flash_cnt[1576][5]~q\ & !\led_flash_cnt[1576][4]~48951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1576][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1576][4]~48951\,
	combout => \led_flash_cnt[1576][5]~48952_combout\,
	cout => \led_flash_cnt[1576][5]~48953\);

-- Location: FF_X62_Y51_N23
\led_flash_cnt[1576][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1576][5]~48952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1576][5]~q\);

-- Location: LCCOMB_X62_Y51_N24
\led_flash_cnt[1576][6]~48954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1576][6]~48954_combout\ = (\led_flash_cnt[1576][6]~q\ & (!\led_flash_cnt[1576][5]~48953\)) # (!\led_flash_cnt[1576][6]~q\ & ((\led_flash_cnt[1576][5]~48953\) # (GND)))
-- \led_flash_cnt[1576][6]~48955\ = CARRY((!\led_flash_cnt[1576][5]~48953\) # (!\led_flash_cnt[1576][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1576][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1576][5]~48953\,
	combout => \led_flash_cnt[1576][6]~48954_combout\,
	cout => \led_flash_cnt[1576][6]~48955\);

-- Location: FF_X62_Y51_N25
\led_flash_cnt[1576][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1576][6]~48954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1576][6]~q\);

-- Location: LCCOMB_X62_Y51_N30
\WideAnd1576~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1576~1_combout\ = (\led_flash_cnt[1576][5]~q\ & \led_flash_cnt[1576][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1576][5]~q\,
	datad => \led_flash_cnt[1576][6]~q\,
	combout => \WideAnd1576~1_combout\);

-- Location: LCCOMB_X62_Y51_N4
\WideAnd1576~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1576~0_combout\ = (\led_flash_cnt[1576][4]~q\ & (\led_flash_cnt[1576][3]~q\ & (\led_flash_cnt[1576][1]~q\ & \led_flash_cnt[1576][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1576][4]~q\,
	datab => \led_flash_cnt[1576][3]~q\,
	datac => \led_flash_cnt[1576][1]~q\,
	datad => \led_flash_cnt[1576][2]~q\,
	combout => \WideAnd1576~0_combout\);

-- Location: LCCOMB_X62_Y51_N26
\led_flash_cnt[1576][7]~48956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1576][7]~48956_combout\ = \led_flash_cnt[1576][7]~q\ $ (!\led_flash_cnt[1576][6]~48955\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1576][7]~q\,
	cin => \led_flash_cnt[1576][6]~48955\,
	combout => \led_flash_cnt[1576][7]~48956_combout\);

-- Location: FF_X62_Y51_N27
\led_flash_cnt[1576][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1576][7]~48956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1576][7]~q\);

-- Location: LCCOMB_X62_Y51_N0
WideAnd1576 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1576~combout\ = (\WideAnd1576~1_combout\ & (\WideAnd1576~0_combout\ & (\led_flash_cnt[1576][7]~q\ & \led_flash_cnt[1576][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1576~1_combout\,
	datab => \WideAnd1576~0_combout\,
	datac => \led_flash_cnt[1576][7]~q\,
	datad => \led_flash_cnt[1576][0]~q\,
	combout => \WideAnd1576~combout\);

-- Location: FF_X62_Y51_N1
\led_flash_cnt_ands[1576]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1576~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1576));

-- Location: LCCOMB_X54_Y52_N22
\led_flash_cnt[1579][0]~82219\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1579][0]~82219_combout\ = !\led_flash_cnt[1579][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1579][0]~q\,
	combout => \led_flash_cnt[1579][0]~82219_combout\);

-- Location: FF_X54_Y52_N23
\led_flash_cnt[1579][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1579][0]~82219_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1579][0]~q\);

-- Location: LCCOMB_X54_Y52_N8
\led_flash_cnt[1579][1]~48986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1579][1]~48986_combout\ = (\led_flash_cnt[1579][0]~q\ & (\led_flash_cnt[1579][1]~q\ $ (VCC))) # (!\led_flash_cnt[1579][0]~q\ & (\led_flash_cnt[1579][1]~q\ & VCC))
-- \led_flash_cnt[1579][1]~48987\ = CARRY((\led_flash_cnt[1579][0]~q\ & \led_flash_cnt[1579][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1579][0]~q\,
	datab => \led_flash_cnt[1579][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1579][1]~48986_combout\,
	cout => \led_flash_cnt[1579][1]~48987\);

-- Location: FF_X54_Y52_N9
\led_flash_cnt[1579][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1579][1]~48986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1579][1]~q\);

-- Location: LCCOMB_X54_Y52_N10
\led_flash_cnt[1579][2]~48988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1579][2]~48988_combout\ = (\led_flash_cnt[1579][2]~q\ & (!\led_flash_cnt[1579][1]~48987\)) # (!\led_flash_cnt[1579][2]~q\ & ((\led_flash_cnt[1579][1]~48987\) # (GND)))
-- \led_flash_cnt[1579][2]~48989\ = CARRY((!\led_flash_cnt[1579][1]~48987\) # (!\led_flash_cnt[1579][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1579][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1579][1]~48987\,
	combout => \led_flash_cnt[1579][2]~48988_combout\,
	cout => \led_flash_cnt[1579][2]~48989\);

-- Location: FF_X54_Y52_N11
\led_flash_cnt[1579][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1579][2]~48988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1579][2]~q\);

-- Location: LCCOMB_X54_Y52_N12
\led_flash_cnt[1579][3]~48990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1579][3]~48990_combout\ = (\led_flash_cnt[1579][3]~q\ & (\led_flash_cnt[1579][2]~48989\ $ (GND))) # (!\led_flash_cnt[1579][3]~q\ & (!\led_flash_cnt[1579][2]~48989\ & VCC))
-- \led_flash_cnt[1579][3]~48991\ = CARRY((\led_flash_cnt[1579][3]~q\ & !\led_flash_cnt[1579][2]~48989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1579][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1579][2]~48989\,
	combout => \led_flash_cnt[1579][3]~48990_combout\,
	cout => \led_flash_cnt[1579][3]~48991\);

-- Location: FF_X54_Y52_N13
\led_flash_cnt[1579][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1579][3]~48990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1579][3]~q\);

-- Location: LCCOMB_X54_Y52_N14
\led_flash_cnt[1579][4]~48992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1579][4]~48992_combout\ = (\led_flash_cnt[1579][4]~q\ & (!\led_flash_cnt[1579][3]~48991\)) # (!\led_flash_cnt[1579][4]~q\ & ((\led_flash_cnt[1579][3]~48991\) # (GND)))
-- \led_flash_cnt[1579][4]~48993\ = CARRY((!\led_flash_cnt[1579][3]~48991\) # (!\led_flash_cnt[1579][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1579][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1579][3]~48991\,
	combout => \led_flash_cnt[1579][4]~48992_combout\,
	cout => \led_flash_cnt[1579][4]~48993\);

-- Location: FF_X54_Y52_N15
\led_flash_cnt[1579][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1579][4]~48992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1579][4]~q\);

-- Location: LCCOMB_X54_Y52_N16
\led_flash_cnt[1579][5]~48994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1579][5]~48994_combout\ = (\led_flash_cnt[1579][5]~q\ & (\led_flash_cnt[1579][4]~48993\ $ (GND))) # (!\led_flash_cnt[1579][5]~q\ & (!\led_flash_cnt[1579][4]~48993\ & VCC))
-- \led_flash_cnt[1579][5]~48995\ = CARRY((\led_flash_cnt[1579][5]~q\ & !\led_flash_cnt[1579][4]~48993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1579][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1579][4]~48993\,
	combout => \led_flash_cnt[1579][5]~48994_combout\,
	cout => \led_flash_cnt[1579][5]~48995\);

-- Location: FF_X54_Y52_N17
\led_flash_cnt[1579][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1579][5]~48994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1579][5]~q\);

-- Location: LCCOMB_X54_Y52_N18
\led_flash_cnt[1579][6]~48996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1579][6]~48996_combout\ = (\led_flash_cnt[1579][6]~q\ & (!\led_flash_cnt[1579][5]~48995\)) # (!\led_flash_cnt[1579][6]~q\ & ((\led_flash_cnt[1579][5]~48995\) # (GND)))
-- \led_flash_cnt[1579][6]~48997\ = CARRY((!\led_flash_cnt[1579][5]~48995\) # (!\led_flash_cnt[1579][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1579][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1579][5]~48995\,
	combout => \led_flash_cnt[1579][6]~48996_combout\,
	cout => \led_flash_cnt[1579][6]~48997\);

-- Location: FF_X54_Y52_N19
\led_flash_cnt[1579][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1579][6]~48996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1579][6]~q\);

-- Location: LCCOMB_X54_Y52_N20
\led_flash_cnt[1579][7]~48998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1579][7]~48998_combout\ = \led_flash_cnt[1579][6]~48997\ $ (!\led_flash_cnt[1579][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1579][7]~q\,
	cin => \led_flash_cnt[1579][6]~48997\,
	combout => \led_flash_cnt[1579][7]~48998_combout\);

-- Location: FF_X54_Y52_N21
\led_flash_cnt[1579][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1579][7]~48998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1579][7]~q\);

-- Location: LCCOMB_X54_Y52_N4
\WideAnd1579~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1579~1_combout\ = (\led_flash_cnt[1579][6]~q\ & \led_flash_cnt[1579][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1579][6]~q\,
	datad => \led_flash_cnt[1579][5]~q\,
	combout => \WideAnd1579~1_combout\);

-- Location: LCCOMB_X54_Y52_N24
\WideAnd1579~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1579~0_combout\ = (\led_flash_cnt[1579][3]~q\ & (\led_flash_cnt[1579][1]~q\ & (\led_flash_cnt[1579][4]~q\ & \led_flash_cnt[1579][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1579][3]~q\,
	datab => \led_flash_cnt[1579][1]~q\,
	datac => \led_flash_cnt[1579][4]~q\,
	datad => \led_flash_cnt[1579][2]~q\,
	combout => \WideAnd1579~0_combout\);

-- Location: LCCOMB_X54_Y52_N28
WideAnd1579 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1579~combout\ = (\led_flash_cnt[1579][0]~q\ & (\led_flash_cnt[1579][7]~q\ & (\WideAnd1579~1_combout\ & \WideAnd1579~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1579][0]~q\,
	datab => \led_flash_cnt[1579][7]~q\,
	datac => \WideAnd1579~1_combout\,
	datad => \WideAnd1579~0_combout\,
	combout => \WideAnd1579~combout\);

-- Location: FF_X54_Y52_N29
\led_flash_cnt_ands[1579]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1579~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1579));

-- Location: LCCOMB_X61_Y52_N12
\led_flash_cnt[1577][0]~82217\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1577][0]~82217_combout\ = !\led_flash_cnt[1577][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1577][0]~q\,
	combout => \led_flash_cnt[1577][0]~82217_combout\);

-- Location: FF_X61_Y52_N13
\led_flash_cnt[1577][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1577][0]~82217_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1577][0]~q\);

-- Location: LCCOMB_X61_Y52_N14
\led_flash_cnt[1577][1]~48958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1577][1]~48958_combout\ = (\led_flash_cnt[1577][0]~q\ & (\led_flash_cnt[1577][1]~q\ $ (VCC))) # (!\led_flash_cnt[1577][0]~q\ & (\led_flash_cnt[1577][1]~q\ & VCC))
-- \led_flash_cnt[1577][1]~48959\ = CARRY((\led_flash_cnt[1577][0]~q\ & \led_flash_cnt[1577][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1577][0]~q\,
	datab => \led_flash_cnt[1577][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1577][1]~48958_combout\,
	cout => \led_flash_cnt[1577][1]~48959\);

-- Location: FF_X61_Y52_N15
\led_flash_cnt[1577][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1577][1]~48958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1577][1]~q\);

-- Location: LCCOMB_X61_Y52_N16
\led_flash_cnt[1577][2]~48960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1577][2]~48960_combout\ = (\led_flash_cnt[1577][2]~q\ & (!\led_flash_cnt[1577][1]~48959\)) # (!\led_flash_cnt[1577][2]~q\ & ((\led_flash_cnt[1577][1]~48959\) # (GND)))
-- \led_flash_cnt[1577][2]~48961\ = CARRY((!\led_flash_cnt[1577][1]~48959\) # (!\led_flash_cnt[1577][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1577][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1577][1]~48959\,
	combout => \led_flash_cnt[1577][2]~48960_combout\,
	cout => \led_flash_cnt[1577][2]~48961\);

-- Location: FF_X61_Y52_N17
\led_flash_cnt[1577][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1577][2]~48960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1577][2]~q\);

-- Location: LCCOMB_X61_Y52_N18
\led_flash_cnt[1577][3]~48962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1577][3]~48962_combout\ = (\led_flash_cnt[1577][3]~q\ & (\led_flash_cnt[1577][2]~48961\ $ (GND))) # (!\led_flash_cnt[1577][3]~q\ & (!\led_flash_cnt[1577][2]~48961\ & VCC))
-- \led_flash_cnt[1577][3]~48963\ = CARRY((\led_flash_cnt[1577][3]~q\ & !\led_flash_cnt[1577][2]~48961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1577][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1577][2]~48961\,
	combout => \led_flash_cnt[1577][3]~48962_combout\,
	cout => \led_flash_cnt[1577][3]~48963\);

-- Location: FF_X61_Y52_N19
\led_flash_cnt[1577][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1577][3]~48962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1577][3]~q\);

-- Location: LCCOMB_X61_Y52_N20
\led_flash_cnt[1577][4]~48964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1577][4]~48964_combout\ = (\led_flash_cnt[1577][4]~q\ & (!\led_flash_cnt[1577][3]~48963\)) # (!\led_flash_cnt[1577][4]~q\ & ((\led_flash_cnt[1577][3]~48963\) # (GND)))
-- \led_flash_cnt[1577][4]~48965\ = CARRY((!\led_flash_cnt[1577][3]~48963\) # (!\led_flash_cnt[1577][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1577][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1577][3]~48963\,
	combout => \led_flash_cnt[1577][4]~48964_combout\,
	cout => \led_flash_cnt[1577][4]~48965\);

-- Location: FF_X61_Y52_N21
\led_flash_cnt[1577][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1577][4]~48964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1577][4]~q\);

-- Location: LCCOMB_X61_Y52_N22
\led_flash_cnt[1577][5]~48966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1577][5]~48966_combout\ = (\led_flash_cnt[1577][5]~q\ & (\led_flash_cnt[1577][4]~48965\ $ (GND))) # (!\led_flash_cnt[1577][5]~q\ & (!\led_flash_cnt[1577][4]~48965\ & VCC))
-- \led_flash_cnt[1577][5]~48967\ = CARRY((\led_flash_cnt[1577][5]~q\ & !\led_flash_cnt[1577][4]~48965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1577][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1577][4]~48965\,
	combout => \led_flash_cnt[1577][5]~48966_combout\,
	cout => \led_flash_cnt[1577][5]~48967\);

-- Location: FF_X61_Y52_N23
\led_flash_cnt[1577][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1577][5]~48966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1577][5]~q\);

-- Location: LCCOMB_X61_Y52_N24
\led_flash_cnt[1577][6]~48968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1577][6]~48968_combout\ = (\led_flash_cnt[1577][6]~q\ & (!\led_flash_cnt[1577][5]~48967\)) # (!\led_flash_cnt[1577][6]~q\ & ((\led_flash_cnt[1577][5]~48967\) # (GND)))
-- \led_flash_cnt[1577][6]~48969\ = CARRY((!\led_flash_cnt[1577][5]~48967\) # (!\led_flash_cnt[1577][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1577][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1577][5]~48967\,
	combout => \led_flash_cnt[1577][6]~48968_combout\,
	cout => \led_flash_cnt[1577][6]~48969\);

-- Location: FF_X61_Y52_N25
\led_flash_cnt[1577][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1577][6]~48968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1577][6]~q\);

-- Location: LCCOMB_X61_Y52_N26
\led_flash_cnt[1577][7]~48970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1577][7]~48970_combout\ = \led_flash_cnt[1577][7]~q\ $ (!\led_flash_cnt[1577][6]~48969\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1577][7]~q\,
	cin => \led_flash_cnt[1577][6]~48969\,
	combout => \led_flash_cnt[1577][7]~48970_combout\);

-- Location: FF_X61_Y52_N27
\led_flash_cnt[1577][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1577][7]~48970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1577][7]~q\);

-- Location: LCCOMB_X61_Y52_N28
\WideAnd1577~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1577~1_combout\ = (\led_flash_cnt[1577][5]~q\ & \led_flash_cnt[1577][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1577][5]~q\,
	datad => \led_flash_cnt[1577][6]~q\,
	combout => \WideAnd1577~1_combout\);

-- Location: LCCOMB_X61_Y52_N4
\WideAnd1577~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1577~0_combout\ = (\led_flash_cnt[1577][2]~q\ & (\led_flash_cnt[1577][4]~q\ & (\led_flash_cnt[1577][1]~q\ & \led_flash_cnt[1577][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1577][2]~q\,
	datab => \led_flash_cnt[1577][4]~q\,
	datac => \led_flash_cnt[1577][1]~q\,
	datad => \led_flash_cnt[1577][3]~q\,
	combout => \WideAnd1577~0_combout\);

-- Location: LCCOMB_X61_Y52_N10
WideAnd1577 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1577~combout\ = (\led_flash_cnt[1577][7]~q\ & (\WideAnd1577~1_combout\ & (\WideAnd1577~0_combout\ & \led_flash_cnt[1577][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1577][7]~q\,
	datab => \WideAnd1577~1_combout\,
	datac => \WideAnd1577~0_combout\,
	datad => \led_flash_cnt[1577][0]~q\,
	combout => \WideAnd1577~combout\);

-- Location: FF_X61_Y52_N11
\led_flash_cnt_ands[1577]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1577~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1577));

-- Location: LCCOMB_X61_Y52_N0
\WideAnd4037~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4037~0_combout\ = (led_flash_cnt_ands(1578) & (led_flash_cnt_ands(1576) & (led_flash_cnt_ands(1579) & led_flash_cnt_ands(1577))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1578),
	datab => led_flash_cnt_ands(1576),
	datac => led_flash_cnt_ands(1579),
	datad => led_flash_cnt_ands(1577),
	combout => \WideAnd4037~0_combout\);

-- Location: LCCOMB_X57_Y19_N12
\led_flash_cnt[1581][0]~82221\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1581][0]~82221_combout\ = !\led_flash_cnt[1581][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1581][0]~q\,
	combout => \led_flash_cnt[1581][0]~82221_combout\);

-- Location: FF_X57_Y19_N13
\led_flash_cnt[1581][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1581][0]~82221_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1581][0]~q\);

-- Location: LCCOMB_X57_Y19_N18
\led_flash_cnt[1581][1]~49014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1581][1]~49014_combout\ = (\led_flash_cnt[1581][0]~q\ & (\led_flash_cnt[1581][1]~q\ $ (VCC))) # (!\led_flash_cnt[1581][0]~q\ & (\led_flash_cnt[1581][1]~q\ & VCC))
-- \led_flash_cnt[1581][1]~49015\ = CARRY((\led_flash_cnt[1581][0]~q\ & \led_flash_cnt[1581][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1581][0]~q\,
	datab => \led_flash_cnt[1581][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1581][1]~49014_combout\,
	cout => \led_flash_cnt[1581][1]~49015\);

-- Location: FF_X57_Y19_N19
\led_flash_cnt[1581][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1581][1]~49014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1581][1]~q\);

-- Location: LCCOMB_X57_Y19_N20
\led_flash_cnt[1581][2]~49016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1581][2]~49016_combout\ = (\led_flash_cnt[1581][2]~q\ & (!\led_flash_cnt[1581][1]~49015\)) # (!\led_flash_cnt[1581][2]~q\ & ((\led_flash_cnt[1581][1]~49015\) # (GND)))
-- \led_flash_cnt[1581][2]~49017\ = CARRY((!\led_flash_cnt[1581][1]~49015\) # (!\led_flash_cnt[1581][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1581][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1581][1]~49015\,
	combout => \led_flash_cnt[1581][2]~49016_combout\,
	cout => \led_flash_cnt[1581][2]~49017\);

-- Location: FF_X57_Y19_N21
\led_flash_cnt[1581][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1581][2]~49016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1581][2]~q\);

-- Location: LCCOMB_X57_Y19_N22
\led_flash_cnt[1581][3]~49018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1581][3]~49018_combout\ = (\led_flash_cnt[1581][3]~q\ & (\led_flash_cnt[1581][2]~49017\ $ (GND))) # (!\led_flash_cnt[1581][3]~q\ & (!\led_flash_cnt[1581][2]~49017\ & VCC))
-- \led_flash_cnt[1581][3]~49019\ = CARRY((\led_flash_cnt[1581][3]~q\ & !\led_flash_cnt[1581][2]~49017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1581][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1581][2]~49017\,
	combout => \led_flash_cnt[1581][3]~49018_combout\,
	cout => \led_flash_cnt[1581][3]~49019\);

-- Location: FF_X57_Y19_N23
\led_flash_cnt[1581][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1581][3]~49018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1581][3]~q\);

-- Location: LCCOMB_X57_Y19_N24
\led_flash_cnt[1581][4]~49020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1581][4]~49020_combout\ = (\led_flash_cnt[1581][4]~q\ & (!\led_flash_cnt[1581][3]~49019\)) # (!\led_flash_cnt[1581][4]~q\ & ((\led_flash_cnt[1581][3]~49019\) # (GND)))
-- \led_flash_cnt[1581][4]~49021\ = CARRY((!\led_flash_cnt[1581][3]~49019\) # (!\led_flash_cnt[1581][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1581][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1581][3]~49019\,
	combout => \led_flash_cnt[1581][4]~49020_combout\,
	cout => \led_flash_cnt[1581][4]~49021\);

-- Location: FF_X57_Y19_N25
\led_flash_cnt[1581][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1581][4]~49020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1581][4]~q\);

-- Location: LCCOMB_X57_Y19_N26
\led_flash_cnt[1581][5]~49022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1581][5]~49022_combout\ = (\led_flash_cnt[1581][5]~q\ & (\led_flash_cnt[1581][4]~49021\ $ (GND))) # (!\led_flash_cnt[1581][5]~q\ & (!\led_flash_cnt[1581][4]~49021\ & VCC))
-- \led_flash_cnt[1581][5]~49023\ = CARRY((\led_flash_cnt[1581][5]~q\ & !\led_flash_cnt[1581][4]~49021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1581][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1581][4]~49021\,
	combout => \led_flash_cnt[1581][5]~49022_combout\,
	cout => \led_flash_cnt[1581][5]~49023\);

-- Location: FF_X57_Y19_N27
\led_flash_cnt[1581][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1581][5]~49022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1581][5]~q\);

-- Location: LCCOMB_X57_Y19_N28
\led_flash_cnt[1581][6]~49024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1581][6]~49024_combout\ = (\led_flash_cnt[1581][6]~q\ & (!\led_flash_cnt[1581][5]~49023\)) # (!\led_flash_cnt[1581][6]~q\ & ((\led_flash_cnt[1581][5]~49023\) # (GND)))
-- \led_flash_cnt[1581][6]~49025\ = CARRY((!\led_flash_cnt[1581][5]~49023\) # (!\led_flash_cnt[1581][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1581][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1581][5]~49023\,
	combout => \led_flash_cnt[1581][6]~49024_combout\,
	cout => \led_flash_cnt[1581][6]~49025\);

-- Location: FF_X57_Y19_N29
\led_flash_cnt[1581][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1581][6]~49024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1581][6]~q\);

-- Location: LCCOMB_X57_Y19_N10
\WideAnd1581~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1581~1_combout\ = (\led_flash_cnt[1581][5]~q\ & \led_flash_cnt[1581][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1581][5]~q\,
	datad => \led_flash_cnt[1581][6]~q\,
	combout => \WideAnd1581~1_combout\);

-- Location: LCCOMB_X57_Y19_N14
\WideAnd1581~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1581~0_combout\ = (\led_flash_cnt[1581][4]~q\ & (\led_flash_cnt[1581][2]~q\ & (\led_flash_cnt[1581][3]~q\ & \led_flash_cnt[1581][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1581][4]~q\,
	datab => \led_flash_cnt[1581][2]~q\,
	datac => \led_flash_cnt[1581][3]~q\,
	datad => \led_flash_cnt[1581][1]~q\,
	combout => \WideAnd1581~0_combout\);

-- Location: LCCOMB_X57_Y19_N30
\led_flash_cnt[1581][7]~49026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1581][7]~49026_combout\ = \led_flash_cnt[1581][7]~q\ $ (!\led_flash_cnt[1581][6]~49025\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1581][7]~q\,
	cin => \led_flash_cnt[1581][6]~49025\,
	combout => \led_flash_cnt[1581][7]~49026_combout\);

-- Location: FF_X57_Y19_N31
\led_flash_cnt[1581][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1581][7]~49026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1581][7]~q\);

-- Location: LCCOMB_X57_Y19_N8
WideAnd1581 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1581~combout\ = (\WideAnd1581~1_combout\ & (\WideAnd1581~0_combout\ & (\led_flash_cnt[1581][7]~q\ & \led_flash_cnt[1581][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1581~1_combout\,
	datab => \WideAnd1581~0_combout\,
	datac => \led_flash_cnt[1581][7]~q\,
	datad => \led_flash_cnt[1581][0]~q\,
	combout => \WideAnd1581~combout\);

-- Location: FF_X57_Y19_N9
\led_flash_cnt_ands[1581]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1581~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1581));

-- Location: LCCOMB_X57_Y19_N2
\led_flash_cnt[1580][0]~82220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1580][0]~82220_combout\ = !\led_flash_cnt[1580][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1580][0]~q\,
	combout => \led_flash_cnt[1580][0]~82220_combout\);

-- Location: FF_X57_Y19_N3
\led_flash_cnt[1580][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1580][0]~82220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1580][0]~q\);

-- Location: LCCOMB_X56_Y19_N16
\led_flash_cnt[1580][1]~49000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1580][1]~49000_combout\ = (\led_flash_cnt[1580][0]~q\ & (\led_flash_cnt[1580][1]~q\ $ (VCC))) # (!\led_flash_cnt[1580][0]~q\ & (\led_flash_cnt[1580][1]~q\ & VCC))
-- \led_flash_cnt[1580][1]~49001\ = CARRY((\led_flash_cnt[1580][0]~q\ & \led_flash_cnt[1580][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1580][0]~q\,
	datab => \led_flash_cnt[1580][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1580][1]~49000_combout\,
	cout => \led_flash_cnt[1580][1]~49001\);

-- Location: FF_X56_Y19_N17
\led_flash_cnt[1580][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1580][1]~49000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1580][1]~q\);

-- Location: LCCOMB_X56_Y19_N18
\led_flash_cnt[1580][2]~49002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1580][2]~49002_combout\ = (\led_flash_cnt[1580][2]~q\ & (!\led_flash_cnt[1580][1]~49001\)) # (!\led_flash_cnt[1580][2]~q\ & ((\led_flash_cnt[1580][1]~49001\) # (GND)))
-- \led_flash_cnt[1580][2]~49003\ = CARRY((!\led_flash_cnt[1580][1]~49001\) # (!\led_flash_cnt[1580][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1580][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1580][1]~49001\,
	combout => \led_flash_cnt[1580][2]~49002_combout\,
	cout => \led_flash_cnt[1580][2]~49003\);

-- Location: FF_X56_Y19_N19
\led_flash_cnt[1580][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1580][2]~49002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1580][2]~q\);

-- Location: LCCOMB_X56_Y19_N20
\led_flash_cnt[1580][3]~49004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1580][3]~49004_combout\ = (\led_flash_cnt[1580][3]~q\ & (\led_flash_cnt[1580][2]~49003\ $ (GND))) # (!\led_flash_cnt[1580][3]~q\ & (!\led_flash_cnt[1580][2]~49003\ & VCC))
-- \led_flash_cnt[1580][3]~49005\ = CARRY((\led_flash_cnt[1580][3]~q\ & !\led_flash_cnt[1580][2]~49003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1580][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1580][2]~49003\,
	combout => \led_flash_cnt[1580][3]~49004_combout\,
	cout => \led_flash_cnt[1580][3]~49005\);

-- Location: FF_X56_Y19_N21
\led_flash_cnt[1580][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1580][3]~49004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1580][3]~q\);

-- Location: LCCOMB_X56_Y19_N22
\led_flash_cnt[1580][4]~49006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1580][4]~49006_combout\ = (\led_flash_cnt[1580][4]~q\ & (!\led_flash_cnt[1580][3]~49005\)) # (!\led_flash_cnt[1580][4]~q\ & ((\led_flash_cnt[1580][3]~49005\) # (GND)))
-- \led_flash_cnt[1580][4]~49007\ = CARRY((!\led_flash_cnt[1580][3]~49005\) # (!\led_flash_cnt[1580][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1580][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1580][3]~49005\,
	combout => \led_flash_cnt[1580][4]~49006_combout\,
	cout => \led_flash_cnt[1580][4]~49007\);

-- Location: FF_X56_Y19_N23
\led_flash_cnt[1580][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1580][4]~49006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1580][4]~q\);

-- Location: LCCOMB_X56_Y19_N14
\WideAnd1580~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1580~0_combout\ = (\led_flash_cnt[1580][1]~q\ & (\led_flash_cnt[1580][3]~q\ & (\led_flash_cnt[1580][4]~q\ & \led_flash_cnt[1580][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1580][1]~q\,
	datab => \led_flash_cnt[1580][3]~q\,
	datac => \led_flash_cnt[1580][4]~q\,
	datad => \led_flash_cnt[1580][2]~q\,
	combout => \WideAnd1580~0_combout\);

-- Location: LCCOMB_X56_Y19_N24
\led_flash_cnt[1580][5]~49008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1580][5]~49008_combout\ = (\led_flash_cnt[1580][5]~q\ & (\led_flash_cnt[1580][4]~49007\ $ (GND))) # (!\led_flash_cnt[1580][5]~q\ & (!\led_flash_cnt[1580][4]~49007\ & VCC))
-- \led_flash_cnt[1580][5]~49009\ = CARRY((\led_flash_cnt[1580][5]~q\ & !\led_flash_cnt[1580][4]~49007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1580][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1580][4]~49007\,
	combout => \led_flash_cnt[1580][5]~49008_combout\,
	cout => \led_flash_cnt[1580][5]~49009\);

-- Location: FF_X56_Y19_N25
\led_flash_cnt[1580][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1580][5]~49008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1580][5]~q\);

-- Location: LCCOMB_X56_Y19_N26
\led_flash_cnt[1580][6]~49010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1580][6]~49010_combout\ = (\led_flash_cnt[1580][6]~q\ & (!\led_flash_cnt[1580][5]~49009\)) # (!\led_flash_cnt[1580][6]~q\ & ((\led_flash_cnt[1580][5]~49009\) # (GND)))
-- \led_flash_cnt[1580][6]~49011\ = CARRY((!\led_flash_cnt[1580][5]~49009\) # (!\led_flash_cnt[1580][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1580][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1580][5]~49009\,
	combout => \led_flash_cnt[1580][6]~49010_combout\,
	cout => \led_flash_cnt[1580][6]~49011\);

-- Location: FF_X56_Y19_N27
\led_flash_cnt[1580][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1580][6]~49010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1580][6]~q\);

-- Location: LCCOMB_X56_Y19_N28
\led_flash_cnt[1580][7]~49012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1580][7]~49012_combout\ = \led_flash_cnt[1580][6]~49011\ $ (!\led_flash_cnt[1580][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1580][7]~q\,
	cin => \led_flash_cnt[1580][6]~49011\,
	combout => \led_flash_cnt[1580][7]~49012_combout\);

-- Location: FF_X56_Y19_N29
\led_flash_cnt[1580][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1580][7]~49012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1580][7]~q\);

-- Location: LCCOMB_X57_Y19_N6
\WideAnd1580~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1580~1_combout\ = (\led_flash_cnt[1580][6]~q\ & \led_flash_cnt[1580][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1580][6]~q\,
	datad => \led_flash_cnt[1580][5]~q\,
	combout => \WideAnd1580~1_combout\);

-- Location: LCCOMB_X57_Y19_N16
WideAnd1580 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1580~combout\ = (\WideAnd1580~0_combout\ & (\led_flash_cnt[1580][7]~q\ & (\led_flash_cnt[1580][0]~q\ & \WideAnd1580~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1580~0_combout\,
	datab => \led_flash_cnt[1580][7]~q\,
	datac => \led_flash_cnt[1580][0]~q\,
	datad => \WideAnd1580~1_combout\,
	combout => \WideAnd1580~combout\);

-- Location: FF_X57_Y19_N17
\led_flash_cnt_ands[1580]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1580~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1580));

-- Location: LCCOMB_X57_Y19_N4
\WideAnd4037~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4037~1_combout\ = (led_flash_cnt_ands(1581) & led_flash_cnt_ands(1580))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1581),
	datad => led_flash_cnt_ands(1580),
	combout => \WideAnd4037~1_combout\);

-- Location: LCCOMB_X64_Y42_N28
\led_flash_cnt[1582][0]~82222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1582][0]~82222_combout\ = !\led_flash_cnt[1582][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1582][0]~q\,
	combout => \led_flash_cnt[1582][0]~82222_combout\);

-- Location: FF_X64_Y42_N29
\led_flash_cnt[1582][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1582][0]~82222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1582][0]~q\);

-- Location: LCCOMB_X65_Y42_N4
\led_flash_cnt[1582][1]~49028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1582][1]~49028_combout\ = (\led_flash_cnt[1582][0]~q\ & (\led_flash_cnt[1582][1]~q\ $ (VCC))) # (!\led_flash_cnt[1582][0]~q\ & (\led_flash_cnt[1582][1]~q\ & VCC))
-- \led_flash_cnt[1582][1]~49029\ = CARRY((\led_flash_cnt[1582][0]~q\ & \led_flash_cnt[1582][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1582][0]~q\,
	datab => \led_flash_cnt[1582][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1582][1]~49028_combout\,
	cout => \led_flash_cnt[1582][1]~49029\);

-- Location: FF_X65_Y42_N5
\led_flash_cnt[1582][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1582][1]~49028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1582][1]~q\);

-- Location: LCCOMB_X65_Y42_N6
\led_flash_cnt[1582][2]~49030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1582][2]~49030_combout\ = (\led_flash_cnt[1582][2]~q\ & (!\led_flash_cnt[1582][1]~49029\)) # (!\led_flash_cnt[1582][2]~q\ & ((\led_flash_cnt[1582][1]~49029\) # (GND)))
-- \led_flash_cnt[1582][2]~49031\ = CARRY((!\led_flash_cnt[1582][1]~49029\) # (!\led_flash_cnt[1582][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1582][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1582][1]~49029\,
	combout => \led_flash_cnt[1582][2]~49030_combout\,
	cout => \led_flash_cnt[1582][2]~49031\);

-- Location: FF_X65_Y42_N7
\led_flash_cnt[1582][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1582][2]~49030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1582][2]~q\);

-- Location: LCCOMB_X65_Y42_N8
\led_flash_cnt[1582][3]~49032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1582][3]~49032_combout\ = (\led_flash_cnt[1582][3]~q\ & (\led_flash_cnt[1582][2]~49031\ $ (GND))) # (!\led_flash_cnt[1582][3]~q\ & (!\led_flash_cnt[1582][2]~49031\ & VCC))
-- \led_flash_cnt[1582][3]~49033\ = CARRY((\led_flash_cnt[1582][3]~q\ & !\led_flash_cnt[1582][2]~49031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1582][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1582][2]~49031\,
	combout => \led_flash_cnt[1582][3]~49032_combout\,
	cout => \led_flash_cnt[1582][3]~49033\);

-- Location: FF_X65_Y42_N9
\led_flash_cnt[1582][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1582][3]~49032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1582][3]~q\);

-- Location: LCCOMB_X65_Y42_N10
\led_flash_cnt[1582][4]~49034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1582][4]~49034_combout\ = (\led_flash_cnt[1582][4]~q\ & (!\led_flash_cnt[1582][3]~49033\)) # (!\led_flash_cnt[1582][4]~q\ & ((\led_flash_cnt[1582][3]~49033\) # (GND)))
-- \led_flash_cnt[1582][4]~49035\ = CARRY((!\led_flash_cnt[1582][3]~49033\) # (!\led_flash_cnt[1582][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1582][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1582][3]~49033\,
	combout => \led_flash_cnt[1582][4]~49034_combout\,
	cout => \led_flash_cnt[1582][4]~49035\);

-- Location: FF_X65_Y42_N11
\led_flash_cnt[1582][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1582][4]~49034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1582][4]~q\);

-- Location: LCCOMB_X65_Y42_N12
\led_flash_cnt[1582][5]~49036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1582][5]~49036_combout\ = (\led_flash_cnt[1582][5]~q\ & (\led_flash_cnt[1582][4]~49035\ $ (GND))) # (!\led_flash_cnt[1582][5]~q\ & (!\led_flash_cnt[1582][4]~49035\ & VCC))
-- \led_flash_cnt[1582][5]~49037\ = CARRY((\led_flash_cnt[1582][5]~q\ & !\led_flash_cnt[1582][4]~49035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1582][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1582][4]~49035\,
	combout => \led_flash_cnt[1582][5]~49036_combout\,
	cout => \led_flash_cnt[1582][5]~49037\);

-- Location: FF_X65_Y42_N13
\led_flash_cnt[1582][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1582][5]~49036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1582][5]~q\);

-- Location: LCCOMB_X65_Y42_N14
\led_flash_cnt[1582][6]~49038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1582][6]~49038_combout\ = (\led_flash_cnt[1582][6]~q\ & (!\led_flash_cnt[1582][5]~49037\)) # (!\led_flash_cnt[1582][6]~q\ & ((\led_flash_cnt[1582][5]~49037\) # (GND)))
-- \led_flash_cnt[1582][6]~49039\ = CARRY((!\led_flash_cnt[1582][5]~49037\) # (!\led_flash_cnt[1582][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1582][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1582][5]~49037\,
	combout => \led_flash_cnt[1582][6]~49038_combout\,
	cout => \led_flash_cnt[1582][6]~49039\);

-- Location: FF_X65_Y42_N15
\led_flash_cnt[1582][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1582][6]~49038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1582][6]~q\);

-- Location: LCCOMB_X64_Y42_N30
\WideAnd1582~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1582~1_combout\ = (\led_flash_cnt[1582][5]~q\ & \led_flash_cnt[1582][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1582][5]~q\,
	datac => \led_flash_cnt[1582][6]~q\,
	combout => \WideAnd1582~1_combout\);

-- Location: LCCOMB_X65_Y42_N0
\WideAnd1582~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1582~0_combout\ = (\led_flash_cnt[1582][4]~q\ & (\led_flash_cnt[1582][3]~q\ & (\led_flash_cnt[1582][1]~q\ & \led_flash_cnt[1582][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1582][4]~q\,
	datab => \led_flash_cnt[1582][3]~q\,
	datac => \led_flash_cnt[1582][1]~q\,
	datad => \led_flash_cnt[1582][2]~q\,
	combout => \WideAnd1582~0_combout\);

-- Location: LCCOMB_X65_Y42_N16
\led_flash_cnt[1582][7]~49040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1582][7]~49040_combout\ = \led_flash_cnt[1582][6]~49039\ $ (!\led_flash_cnt[1582][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1582][7]~q\,
	cin => \led_flash_cnt[1582][6]~49039\,
	combout => \led_flash_cnt[1582][7]~49040_combout\);

-- Location: FF_X65_Y42_N17
\led_flash_cnt[1582][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1582][7]~49040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1582][7]~q\);

-- Location: LCCOMB_X64_Y42_N0
WideAnd1582 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1582~combout\ = (\WideAnd1582~1_combout\ & (\led_flash_cnt[1582][0]~q\ & (\WideAnd1582~0_combout\ & \led_flash_cnt[1582][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1582~1_combout\,
	datab => \led_flash_cnt[1582][0]~q\,
	datac => \WideAnd1582~0_combout\,
	datad => \led_flash_cnt[1582][7]~q\,
	combout => \WideAnd1582~combout\);

-- Location: FF_X64_Y42_N1
\led_flash_cnt_ands[1582]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1582~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1582));

-- Location: LCCOMB_X64_Y42_N16
WideAnd4037 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4037~combout\ = (led_flash_cnt_ands(1583) & (\WideAnd4037~0_combout\ & (\WideAnd4037~1_combout\ & led_flash_cnt_ands(1582))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1583),
	datab => \WideAnd4037~0_combout\,
	datac => \WideAnd4037~1_combout\,
	datad => led_flash_cnt_ands(1582),
	combout => \WideAnd4037~combout\);

-- Location: FF_X64_Y42_N17
\led_flash_cnt_ands_1[197]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4037~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(197));

-- Location: LCCOMB_X64_Y42_N24
\WideAnd4344~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4344~1_combout\ = (led_flash_cnt_ands_1(196) & led_flash_cnt_ands_1(197))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(196),
	datad => led_flash_cnt_ands_1(197),
	combout => \WideAnd4344~1_combout\);

-- Location: LCCOMB_X21_Y25_N4
WideAnd4344 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4344~combout\ = (\WideAnd4344~0_combout\ & (led_flash_cnt_ands_1(198) & (led_flash_cnt_ands_1(199) & \WideAnd4344~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4344~0_combout\,
	datab => led_flash_cnt_ands_1(198),
	datac => led_flash_cnt_ands_1(199),
	datad => \WideAnd4344~1_combout\,
	combout => \WideAnd4344~combout\);

-- Location: FF_X21_Y25_N5
\led_flash_cnt_ands_2[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4344~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(24));

-- Location: LCCOMB_X50_Y32_N2
\led_flash_cnt[1638][0]~82278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1638][0]~82278_combout\ = !\led_flash_cnt[1638][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1638][0]~q\,
	combout => \led_flash_cnt[1638][0]~82278_combout\);

-- Location: FF_X50_Y32_N3
\led_flash_cnt[1638][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1638][0]~82278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1638][0]~q\);

-- Location: LCCOMB_X49_Y32_N16
\led_flash_cnt[1638][1]~49812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1638][1]~49812_combout\ = (\led_flash_cnt[1638][0]~q\ & (\led_flash_cnt[1638][1]~q\ $ (VCC))) # (!\led_flash_cnt[1638][0]~q\ & (\led_flash_cnt[1638][1]~q\ & VCC))
-- \led_flash_cnt[1638][1]~49813\ = CARRY((\led_flash_cnt[1638][0]~q\ & \led_flash_cnt[1638][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1638][0]~q\,
	datab => \led_flash_cnt[1638][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1638][1]~49812_combout\,
	cout => \led_flash_cnt[1638][1]~49813\);

-- Location: FF_X49_Y32_N17
\led_flash_cnt[1638][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1638][1]~49812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1638][1]~q\);

-- Location: LCCOMB_X49_Y32_N18
\led_flash_cnt[1638][2]~49814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1638][2]~49814_combout\ = (\led_flash_cnt[1638][2]~q\ & (!\led_flash_cnt[1638][1]~49813\)) # (!\led_flash_cnt[1638][2]~q\ & ((\led_flash_cnt[1638][1]~49813\) # (GND)))
-- \led_flash_cnt[1638][2]~49815\ = CARRY((!\led_flash_cnt[1638][1]~49813\) # (!\led_flash_cnt[1638][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1638][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1638][1]~49813\,
	combout => \led_flash_cnt[1638][2]~49814_combout\,
	cout => \led_flash_cnt[1638][2]~49815\);

-- Location: FF_X49_Y32_N19
\led_flash_cnt[1638][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1638][2]~49814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1638][2]~q\);

-- Location: LCCOMB_X49_Y32_N20
\led_flash_cnt[1638][3]~49816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1638][3]~49816_combout\ = (\led_flash_cnt[1638][3]~q\ & (\led_flash_cnt[1638][2]~49815\ $ (GND))) # (!\led_flash_cnt[1638][3]~q\ & (!\led_flash_cnt[1638][2]~49815\ & VCC))
-- \led_flash_cnt[1638][3]~49817\ = CARRY((\led_flash_cnt[1638][3]~q\ & !\led_flash_cnt[1638][2]~49815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1638][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1638][2]~49815\,
	combout => \led_flash_cnt[1638][3]~49816_combout\,
	cout => \led_flash_cnt[1638][3]~49817\);

-- Location: FF_X49_Y32_N21
\led_flash_cnt[1638][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1638][3]~49816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1638][3]~q\);

-- Location: LCCOMB_X49_Y32_N22
\led_flash_cnt[1638][4]~49818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1638][4]~49818_combout\ = (\led_flash_cnt[1638][4]~q\ & (!\led_flash_cnt[1638][3]~49817\)) # (!\led_flash_cnt[1638][4]~q\ & ((\led_flash_cnt[1638][3]~49817\) # (GND)))
-- \led_flash_cnt[1638][4]~49819\ = CARRY((!\led_flash_cnt[1638][3]~49817\) # (!\led_flash_cnt[1638][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1638][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1638][3]~49817\,
	combout => \led_flash_cnt[1638][4]~49818_combout\,
	cout => \led_flash_cnt[1638][4]~49819\);

-- Location: FF_X49_Y32_N23
\led_flash_cnt[1638][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1638][4]~49818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1638][4]~q\);

-- Location: LCCOMB_X49_Y32_N24
\led_flash_cnt[1638][5]~49820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1638][5]~49820_combout\ = (\led_flash_cnt[1638][5]~q\ & (\led_flash_cnt[1638][4]~49819\ $ (GND))) # (!\led_flash_cnt[1638][5]~q\ & (!\led_flash_cnt[1638][4]~49819\ & VCC))
-- \led_flash_cnt[1638][5]~49821\ = CARRY((\led_flash_cnt[1638][5]~q\ & !\led_flash_cnt[1638][4]~49819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1638][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1638][4]~49819\,
	combout => \led_flash_cnt[1638][5]~49820_combout\,
	cout => \led_flash_cnt[1638][5]~49821\);

-- Location: FF_X49_Y32_N25
\led_flash_cnt[1638][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1638][5]~49820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1638][5]~q\);

-- Location: LCCOMB_X49_Y32_N26
\led_flash_cnt[1638][6]~49822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1638][6]~49822_combout\ = (\led_flash_cnt[1638][6]~q\ & (!\led_flash_cnt[1638][5]~49821\)) # (!\led_flash_cnt[1638][6]~q\ & ((\led_flash_cnt[1638][5]~49821\) # (GND)))
-- \led_flash_cnt[1638][6]~49823\ = CARRY((!\led_flash_cnt[1638][5]~49821\) # (!\led_flash_cnt[1638][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1638][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1638][5]~49821\,
	combout => \led_flash_cnt[1638][6]~49822_combout\,
	cout => \led_flash_cnt[1638][6]~49823\);

-- Location: FF_X49_Y32_N27
\led_flash_cnt[1638][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1638][6]~49822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1638][6]~q\);

-- Location: LCCOMB_X50_Y32_N22
\WideAnd1638~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1638~1_combout\ = (\led_flash_cnt[1638][6]~q\ & \led_flash_cnt[1638][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1638][6]~q\,
	datad => \led_flash_cnt[1638][5]~q\,
	combout => \WideAnd1638~1_combout\);

-- Location: LCCOMB_X49_Y32_N28
\led_flash_cnt[1638][7]~49824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1638][7]~49824_combout\ = \led_flash_cnt[1638][6]~49823\ $ (!\led_flash_cnt[1638][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1638][7]~q\,
	cin => \led_flash_cnt[1638][6]~49823\,
	combout => \led_flash_cnt[1638][7]~49824_combout\);

-- Location: FF_X49_Y32_N29
\led_flash_cnt[1638][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1638][7]~49824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1638][7]~q\);

-- Location: LCCOMB_X49_Y32_N0
\WideAnd1638~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1638~0_combout\ = (\led_flash_cnt[1638][1]~q\ & (\led_flash_cnt[1638][2]~q\ & (\led_flash_cnt[1638][4]~q\ & \led_flash_cnt[1638][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1638][1]~q\,
	datab => \led_flash_cnt[1638][2]~q\,
	datac => \led_flash_cnt[1638][4]~q\,
	datad => \led_flash_cnt[1638][3]~q\,
	combout => \WideAnd1638~0_combout\);

-- Location: LCCOMB_X50_Y32_N26
WideAnd1638 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1638~combout\ = (\WideAnd1638~1_combout\ & (\led_flash_cnt[1638][7]~q\ & (\WideAnd1638~0_combout\ & \led_flash_cnt[1638][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1638~1_combout\,
	datab => \led_flash_cnt[1638][7]~q\,
	datac => \WideAnd1638~0_combout\,
	datad => \led_flash_cnt[1638][0]~q\,
	combout => \WideAnd1638~combout\);

-- Location: FF_X50_Y32_N27
\led_flash_cnt_ands[1638]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1638~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1638));

-- Location: LCCOMB_X46_Y32_N18
\led_flash_cnt[1637][0]~82277\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1637][0]~82277_combout\ = !\led_flash_cnt[1637][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1637][0]~q\,
	combout => \led_flash_cnt[1637][0]~82277_combout\);

-- Location: FF_X46_Y32_N19
\led_flash_cnt[1637][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1637][0]~82277_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1637][0]~q\);

-- Location: LCCOMB_X46_Y32_N0
\led_flash_cnt[1637][1]~49798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1637][1]~49798_combout\ = (\led_flash_cnt[1637][0]~q\ & (\led_flash_cnt[1637][1]~q\ $ (VCC))) # (!\led_flash_cnt[1637][0]~q\ & (\led_flash_cnt[1637][1]~q\ & VCC))
-- \led_flash_cnt[1637][1]~49799\ = CARRY((\led_flash_cnt[1637][0]~q\ & \led_flash_cnt[1637][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1637][0]~q\,
	datab => \led_flash_cnt[1637][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1637][1]~49798_combout\,
	cout => \led_flash_cnt[1637][1]~49799\);

-- Location: FF_X46_Y32_N1
\led_flash_cnt[1637][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1637][1]~49798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1637][1]~q\);

-- Location: LCCOMB_X46_Y32_N2
\led_flash_cnt[1637][2]~49800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1637][2]~49800_combout\ = (\led_flash_cnt[1637][2]~q\ & (!\led_flash_cnt[1637][1]~49799\)) # (!\led_flash_cnt[1637][2]~q\ & ((\led_flash_cnt[1637][1]~49799\) # (GND)))
-- \led_flash_cnt[1637][2]~49801\ = CARRY((!\led_flash_cnt[1637][1]~49799\) # (!\led_flash_cnt[1637][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1637][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1637][1]~49799\,
	combout => \led_flash_cnt[1637][2]~49800_combout\,
	cout => \led_flash_cnt[1637][2]~49801\);

-- Location: FF_X46_Y32_N3
\led_flash_cnt[1637][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1637][2]~49800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1637][2]~q\);

-- Location: LCCOMB_X46_Y32_N4
\led_flash_cnt[1637][3]~49802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1637][3]~49802_combout\ = (\led_flash_cnt[1637][3]~q\ & (\led_flash_cnt[1637][2]~49801\ $ (GND))) # (!\led_flash_cnt[1637][3]~q\ & (!\led_flash_cnt[1637][2]~49801\ & VCC))
-- \led_flash_cnt[1637][3]~49803\ = CARRY((\led_flash_cnt[1637][3]~q\ & !\led_flash_cnt[1637][2]~49801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1637][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1637][2]~49801\,
	combout => \led_flash_cnt[1637][3]~49802_combout\,
	cout => \led_flash_cnt[1637][3]~49803\);

-- Location: FF_X46_Y32_N5
\led_flash_cnt[1637][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1637][3]~49802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1637][3]~q\);

-- Location: LCCOMB_X46_Y32_N6
\led_flash_cnt[1637][4]~49804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1637][4]~49804_combout\ = (\led_flash_cnt[1637][4]~q\ & (!\led_flash_cnt[1637][3]~49803\)) # (!\led_flash_cnt[1637][4]~q\ & ((\led_flash_cnt[1637][3]~49803\) # (GND)))
-- \led_flash_cnt[1637][4]~49805\ = CARRY((!\led_flash_cnt[1637][3]~49803\) # (!\led_flash_cnt[1637][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1637][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1637][3]~49803\,
	combout => \led_flash_cnt[1637][4]~49804_combout\,
	cout => \led_flash_cnt[1637][4]~49805\);

-- Location: FF_X46_Y32_N7
\led_flash_cnt[1637][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1637][4]~49804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1637][4]~q\);

-- Location: LCCOMB_X46_Y32_N8
\led_flash_cnt[1637][5]~49806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1637][5]~49806_combout\ = (\led_flash_cnt[1637][5]~q\ & (\led_flash_cnt[1637][4]~49805\ $ (GND))) # (!\led_flash_cnt[1637][5]~q\ & (!\led_flash_cnt[1637][4]~49805\ & VCC))
-- \led_flash_cnt[1637][5]~49807\ = CARRY((\led_flash_cnt[1637][5]~q\ & !\led_flash_cnt[1637][4]~49805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1637][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1637][4]~49805\,
	combout => \led_flash_cnt[1637][5]~49806_combout\,
	cout => \led_flash_cnt[1637][5]~49807\);

-- Location: FF_X46_Y32_N9
\led_flash_cnt[1637][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1637][5]~49806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1637][5]~q\);

-- Location: LCCOMB_X46_Y32_N10
\led_flash_cnt[1637][6]~49808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1637][6]~49808_combout\ = (\led_flash_cnt[1637][6]~q\ & (!\led_flash_cnt[1637][5]~49807\)) # (!\led_flash_cnt[1637][6]~q\ & ((\led_flash_cnt[1637][5]~49807\) # (GND)))
-- \led_flash_cnt[1637][6]~49809\ = CARRY((!\led_flash_cnt[1637][5]~49807\) # (!\led_flash_cnt[1637][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1637][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1637][5]~49807\,
	combout => \led_flash_cnt[1637][6]~49808_combout\,
	cout => \led_flash_cnt[1637][6]~49809\);

-- Location: FF_X46_Y32_N11
\led_flash_cnt[1637][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1637][6]~49808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1637][6]~q\);

-- Location: LCCOMB_X46_Y32_N12
\led_flash_cnt[1637][7]~49810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1637][7]~49810_combout\ = \led_flash_cnt[1637][6]~49809\ $ (!\led_flash_cnt[1637][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1637][7]~q\,
	cin => \led_flash_cnt[1637][6]~49809\,
	combout => \led_flash_cnt[1637][7]~49810_combout\);

-- Location: FF_X46_Y32_N13
\led_flash_cnt[1637][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1637][7]~49810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1637][7]~q\);

-- Location: LCCOMB_X46_Y32_N20
\WideAnd1637~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1637~0_combout\ = (\led_flash_cnt[1637][4]~q\ & (\led_flash_cnt[1637][1]~q\ & (\led_flash_cnt[1637][3]~q\ & \led_flash_cnt[1637][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1637][4]~q\,
	datab => \led_flash_cnt[1637][1]~q\,
	datac => \led_flash_cnt[1637][3]~q\,
	datad => \led_flash_cnt[1637][2]~q\,
	combout => \WideAnd1637~0_combout\);

-- Location: LCCOMB_X46_Y32_N22
\WideAnd1637~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1637~1_combout\ = (\led_flash_cnt[1637][5]~q\ & \led_flash_cnt[1637][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1637][5]~q\,
	datad => \led_flash_cnt[1637][6]~q\,
	combout => \WideAnd1637~1_combout\);

-- Location: LCCOMB_X46_Y32_N14
WideAnd1637 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1637~combout\ = (\led_flash_cnt[1637][7]~q\ & (\WideAnd1637~0_combout\ & (\WideAnd1637~1_combout\ & \led_flash_cnt[1637][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1637][7]~q\,
	datab => \WideAnd1637~0_combout\,
	datac => \WideAnd1637~1_combout\,
	datad => \led_flash_cnt[1637][0]~q\,
	combout => \WideAnd1637~combout\);

-- Location: FF_X46_Y32_N15
\led_flash_cnt_ands[1637]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1637~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1637));

-- Location: LCCOMB_X47_Y33_N30
\led_flash_cnt[1636][0]~82276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1636][0]~82276_combout\ = !\led_flash_cnt[1636][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1636][0]~q\,
	combout => \led_flash_cnt[1636][0]~82276_combout\);

-- Location: FF_X47_Y33_N31
\led_flash_cnt[1636][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1636][0]~82276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1636][0]~q\);

-- Location: LCCOMB_X47_Y32_N4
\led_flash_cnt[1636][1]~49784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1636][1]~49784_combout\ = (\led_flash_cnt[1636][0]~q\ & (\led_flash_cnt[1636][1]~q\ $ (VCC))) # (!\led_flash_cnt[1636][0]~q\ & (\led_flash_cnt[1636][1]~q\ & VCC))
-- \led_flash_cnt[1636][1]~49785\ = CARRY((\led_flash_cnt[1636][0]~q\ & \led_flash_cnt[1636][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1636][0]~q\,
	datab => \led_flash_cnt[1636][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1636][1]~49784_combout\,
	cout => \led_flash_cnt[1636][1]~49785\);

-- Location: FF_X47_Y32_N5
\led_flash_cnt[1636][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1636][1]~49784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1636][1]~q\);

-- Location: LCCOMB_X47_Y32_N6
\led_flash_cnt[1636][2]~49786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1636][2]~49786_combout\ = (\led_flash_cnt[1636][2]~q\ & (!\led_flash_cnt[1636][1]~49785\)) # (!\led_flash_cnt[1636][2]~q\ & ((\led_flash_cnt[1636][1]~49785\) # (GND)))
-- \led_flash_cnt[1636][2]~49787\ = CARRY((!\led_flash_cnt[1636][1]~49785\) # (!\led_flash_cnt[1636][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1636][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1636][1]~49785\,
	combout => \led_flash_cnt[1636][2]~49786_combout\,
	cout => \led_flash_cnt[1636][2]~49787\);

-- Location: FF_X47_Y32_N7
\led_flash_cnt[1636][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1636][2]~49786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1636][2]~q\);

-- Location: LCCOMB_X47_Y32_N8
\led_flash_cnt[1636][3]~49788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1636][3]~49788_combout\ = (\led_flash_cnt[1636][3]~q\ & (\led_flash_cnt[1636][2]~49787\ $ (GND))) # (!\led_flash_cnt[1636][3]~q\ & (!\led_flash_cnt[1636][2]~49787\ & VCC))
-- \led_flash_cnt[1636][3]~49789\ = CARRY((\led_flash_cnt[1636][3]~q\ & !\led_flash_cnt[1636][2]~49787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1636][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1636][2]~49787\,
	combout => \led_flash_cnt[1636][3]~49788_combout\,
	cout => \led_flash_cnt[1636][3]~49789\);

-- Location: FF_X47_Y32_N9
\led_flash_cnt[1636][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1636][3]~49788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1636][3]~q\);

-- Location: LCCOMB_X47_Y32_N10
\led_flash_cnt[1636][4]~49790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1636][4]~49790_combout\ = (\led_flash_cnt[1636][4]~q\ & (!\led_flash_cnt[1636][3]~49789\)) # (!\led_flash_cnt[1636][4]~q\ & ((\led_flash_cnt[1636][3]~49789\) # (GND)))
-- \led_flash_cnt[1636][4]~49791\ = CARRY((!\led_flash_cnt[1636][3]~49789\) # (!\led_flash_cnt[1636][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1636][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1636][3]~49789\,
	combout => \led_flash_cnt[1636][4]~49790_combout\,
	cout => \led_flash_cnt[1636][4]~49791\);

-- Location: FF_X47_Y32_N11
\led_flash_cnt[1636][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1636][4]~49790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1636][4]~q\);

-- Location: LCCOMB_X47_Y32_N12
\led_flash_cnt[1636][5]~49792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1636][5]~49792_combout\ = (\led_flash_cnt[1636][5]~q\ & (\led_flash_cnt[1636][4]~49791\ $ (GND))) # (!\led_flash_cnt[1636][5]~q\ & (!\led_flash_cnt[1636][4]~49791\ & VCC))
-- \led_flash_cnt[1636][5]~49793\ = CARRY((\led_flash_cnt[1636][5]~q\ & !\led_flash_cnt[1636][4]~49791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1636][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1636][4]~49791\,
	combout => \led_flash_cnt[1636][5]~49792_combout\,
	cout => \led_flash_cnt[1636][5]~49793\);

-- Location: FF_X47_Y32_N13
\led_flash_cnt[1636][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1636][5]~49792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1636][5]~q\);

-- Location: LCCOMB_X47_Y32_N14
\led_flash_cnt[1636][6]~49794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1636][6]~49794_combout\ = (\led_flash_cnt[1636][6]~q\ & (!\led_flash_cnt[1636][5]~49793\)) # (!\led_flash_cnt[1636][6]~q\ & ((\led_flash_cnt[1636][5]~49793\) # (GND)))
-- \led_flash_cnt[1636][6]~49795\ = CARRY((!\led_flash_cnt[1636][5]~49793\) # (!\led_flash_cnt[1636][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1636][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1636][5]~49793\,
	combout => \led_flash_cnt[1636][6]~49794_combout\,
	cout => \led_flash_cnt[1636][6]~49795\);

-- Location: FF_X47_Y32_N15
\led_flash_cnt[1636][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1636][6]~49794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1636][6]~q\);

-- Location: LCCOMB_X46_Y32_N26
\WideAnd1636~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1636~1_combout\ = (\led_flash_cnt[1636][5]~q\ & \led_flash_cnt[1636][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1636][5]~q\,
	datac => \led_flash_cnt[1636][6]~q\,
	combout => \WideAnd1636~1_combout\);

-- Location: LCCOMB_X47_Y32_N0
\WideAnd1636~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1636~0_combout\ = (\led_flash_cnt[1636][4]~q\ & (\led_flash_cnt[1636][3]~q\ & (\led_flash_cnt[1636][1]~q\ & \led_flash_cnt[1636][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1636][4]~q\,
	datab => \led_flash_cnt[1636][3]~q\,
	datac => \led_flash_cnt[1636][1]~q\,
	datad => \led_flash_cnt[1636][2]~q\,
	combout => \WideAnd1636~0_combout\);

-- Location: LCCOMB_X47_Y32_N16
\led_flash_cnt[1636][7]~49796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1636][7]~49796_combout\ = \led_flash_cnt[1636][6]~49795\ $ (!\led_flash_cnt[1636][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1636][7]~q\,
	cin => \led_flash_cnt[1636][6]~49795\,
	combout => \led_flash_cnt[1636][7]~49796_combout\);

-- Location: FF_X47_Y32_N17
\led_flash_cnt[1636][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1636][7]~49796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1636][7]~q\);

-- Location: LCCOMB_X46_Y32_N16
WideAnd1636 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1636~combout\ = (\WideAnd1636~1_combout\ & (\WideAnd1636~0_combout\ & (\led_flash_cnt[1636][0]~q\ & \led_flash_cnt[1636][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1636~1_combout\,
	datab => \WideAnd1636~0_combout\,
	datac => \led_flash_cnt[1636][0]~q\,
	datad => \led_flash_cnt[1636][7]~q\,
	combout => \WideAnd1636~combout\);

-- Location: FF_X46_Y32_N17
\led_flash_cnt_ands[1636]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1636~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1636));

-- Location: LCCOMB_X46_Y32_N30
\WideAnd4044~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4044~1_combout\ = (led_flash_cnt_ands(1637) & led_flash_cnt_ands(1636))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1637),
	datad => led_flash_cnt_ands(1636),
	combout => \WideAnd4044~1_combout\);

-- Location: LCCOMB_X57_Y41_N16
\led_flash_cnt[1635][0]~82275\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1635][0]~82275_combout\ = !\led_flash_cnt[1635][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1635][0]~q\,
	combout => \led_flash_cnt[1635][0]~82275_combout\);

-- Location: FF_X57_Y41_N17
\led_flash_cnt[1635][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1635][0]~82275_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1635][0]~q\);

-- Location: LCCOMB_X57_Y41_N2
\led_flash_cnt[1635][1]~49770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1635][1]~49770_combout\ = (\led_flash_cnt[1635][1]~q\ & (\led_flash_cnt[1635][0]~q\ $ (VCC))) # (!\led_flash_cnt[1635][1]~q\ & (\led_flash_cnt[1635][0]~q\ & VCC))
-- \led_flash_cnt[1635][1]~49771\ = CARRY((\led_flash_cnt[1635][1]~q\ & \led_flash_cnt[1635][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1635][1]~q\,
	datab => \led_flash_cnt[1635][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1635][1]~49770_combout\,
	cout => \led_flash_cnt[1635][1]~49771\);

-- Location: FF_X57_Y41_N3
\led_flash_cnt[1635][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1635][1]~49770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1635][1]~q\);

-- Location: LCCOMB_X57_Y41_N4
\led_flash_cnt[1635][2]~49772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1635][2]~49772_combout\ = (\led_flash_cnt[1635][2]~q\ & (!\led_flash_cnt[1635][1]~49771\)) # (!\led_flash_cnt[1635][2]~q\ & ((\led_flash_cnt[1635][1]~49771\) # (GND)))
-- \led_flash_cnt[1635][2]~49773\ = CARRY((!\led_flash_cnt[1635][1]~49771\) # (!\led_flash_cnt[1635][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1635][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1635][1]~49771\,
	combout => \led_flash_cnt[1635][2]~49772_combout\,
	cout => \led_flash_cnt[1635][2]~49773\);

-- Location: FF_X57_Y41_N5
\led_flash_cnt[1635][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1635][2]~49772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1635][2]~q\);

-- Location: LCCOMB_X57_Y41_N6
\led_flash_cnt[1635][3]~49774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1635][3]~49774_combout\ = (\led_flash_cnt[1635][3]~q\ & (\led_flash_cnt[1635][2]~49773\ $ (GND))) # (!\led_flash_cnt[1635][3]~q\ & (!\led_flash_cnt[1635][2]~49773\ & VCC))
-- \led_flash_cnt[1635][3]~49775\ = CARRY((\led_flash_cnt[1635][3]~q\ & !\led_flash_cnt[1635][2]~49773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1635][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1635][2]~49773\,
	combout => \led_flash_cnt[1635][3]~49774_combout\,
	cout => \led_flash_cnt[1635][3]~49775\);

-- Location: FF_X57_Y41_N7
\led_flash_cnt[1635][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1635][3]~49774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1635][3]~q\);

-- Location: LCCOMB_X57_Y41_N8
\led_flash_cnt[1635][4]~49776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1635][4]~49776_combout\ = (\led_flash_cnt[1635][4]~q\ & (!\led_flash_cnt[1635][3]~49775\)) # (!\led_flash_cnt[1635][4]~q\ & ((\led_flash_cnt[1635][3]~49775\) # (GND)))
-- \led_flash_cnt[1635][4]~49777\ = CARRY((!\led_flash_cnt[1635][3]~49775\) # (!\led_flash_cnt[1635][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1635][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1635][3]~49775\,
	combout => \led_flash_cnt[1635][4]~49776_combout\,
	cout => \led_flash_cnt[1635][4]~49777\);

-- Location: FF_X57_Y41_N9
\led_flash_cnt[1635][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1635][4]~49776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1635][4]~q\);

-- Location: LCCOMB_X57_Y41_N10
\led_flash_cnt[1635][5]~49778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1635][5]~49778_combout\ = (\led_flash_cnt[1635][5]~q\ & (\led_flash_cnt[1635][4]~49777\ $ (GND))) # (!\led_flash_cnt[1635][5]~q\ & (!\led_flash_cnt[1635][4]~49777\ & VCC))
-- \led_flash_cnt[1635][5]~49779\ = CARRY((\led_flash_cnt[1635][5]~q\ & !\led_flash_cnt[1635][4]~49777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1635][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1635][4]~49777\,
	combout => \led_flash_cnt[1635][5]~49778_combout\,
	cout => \led_flash_cnt[1635][5]~49779\);

-- Location: FF_X57_Y41_N11
\led_flash_cnt[1635][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1635][5]~49778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1635][5]~q\);

-- Location: LCCOMB_X57_Y41_N12
\led_flash_cnt[1635][6]~49780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1635][6]~49780_combout\ = (\led_flash_cnt[1635][6]~q\ & (!\led_flash_cnt[1635][5]~49779\)) # (!\led_flash_cnt[1635][6]~q\ & ((\led_flash_cnt[1635][5]~49779\) # (GND)))
-- \led_flash_cnt[1635][6]~49781\ = CARRY((!\led_flash_cnt[1635][5]~49779\) # (!\led_flash_cnt[1635][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1635][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1635][5]~49779\,
	combout => \led_flash_cnt[1635][6]~49780_combout\,
	cout => \led_flash_cnt[1635][6]~49781\);

-- Location: FF_X57_Y41_N13
\led_flash_cnt[1635][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1635][6]~49780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1635][6]~q\);

-- Location: LCCOMB_X57_Y41_N26
\WideAnd1635~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1635~1_combout\ = (\led_flash_cnt[1635][6]~q\ & \led_flash_cnt[1635][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1635][6]~q\,
	datad => \led_flash_cnt[1635][5]~q\,
	combout => \WideAnd1635~1_combout\);

-- Location: LCCOMB_X57_Y41_N14
\led_flash_cnt[1635][7]~49782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1635][7]~49782_combout\ = \led_flash_cnt[1635][7]~q\ $ (!\led_flash_cnt[1635][6]~49781\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1635][7]~q\,
	cin => \led_flash_cnt[1635][6]~49781\,
	combout => \led_flash_cnt[1635][7]~49782_combout\);

-- Location: FF_X57_Y41_N15
\led_flash_cnt[1635][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1635][7]~49782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1635][7]~q\);

-- Location: LCCOMB_X57_Y41_N18
\WideAnd1635~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1635~0_combout\ = (\led_flash_cnt[1635][1]~q\ & (\led_flash_cnt[1635][4]~q\ & (\led_flash_cnt[1635][2]~q\ & \led_flash_cnt[1635][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1635][1]~q\,
	datab => \led_flash_cnt[1635][4]~q\,
	datac => \led_flash_cnt[1635][2]~q\,
	datad => \led_flash_cnt[1635][3]~q\,
	combout => \WideAnd1635~0_combout\);

-- Location: LCCOMB_X57_Y41_N30
WideAnd1635 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1635~combout\ = (\WideAnd1635~1_combout\ & (\led_flash_cnt[1635][0]~q\ & (\led_flash_cnt[1635][7]~q\ & \WideAnd1635~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1635~1_combout\,
	datab => \led_flash_cnt[1635][0]~q\,
	datac => \led_flash_cnt[1635][7]~q\,
	datad => \WideAnd1635~0_combout\,
	combout => \WideAnd1635~combout\);

-- Location: FF_X57_Y41_N31
\led_flash_cnt_ands[1635]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1635~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1635));

-- Location: LCCOMB_X50_Y30_N16
\led_flash_cnt[1633][0]~82273\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1633][0]~82273_combout\ = !\led_flash_cnt[1633][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1633][0]~q\,
	combout => \led_flash_cnt[1633][0]~82273_combout\);

-- Location: FF_X50_Y30_N17
\led_flash_cnt[1633][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1633][0]~82273_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1633][0]~q\);

-- Location: LCCOMB_X47_Y30_N16
\led_flash_cnt[1633][1]~49742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1633][1]~49742_combout\ = (\led_flash_cnt[1633][0]~q\ & (\led_flash_cnt[1633][1]~q\ $ (VCC))) # (!\led_flash_cnt[1633][0]~q\ & (\led_flash_cnt[1633][1]~q\ & VCC))
-- \led_flash_cnt[1633][1]~49743\ = CARRY((\led_flash_cnt[1633][0]~q\ & \led_flash_cnt[1633][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1633][0]~q\,
	datab => \led_flash_cnt[1633][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1633][1]~49742_combout\,
	cout => \led_flash_cnt[1633][1]~49743\);

-- Location: FF_X47_Y30_N17
\led_flash_cnt[1633][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1633][1]~49742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1633][1]~q\);

-- Location: LCCOMB_X47_Y30_N18
\led_flash_cnt[1633][2]~49744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1633][2]~49744_combout\ = (\led_flash_cnt[1633][2]~q\ & (!\led_flash_cnt[1633][1]~49743\)) # (!\led_flash_cnt[1633][2]~q\ & ((\led_flash_cnt[1633][1]~49743\) # (GND)))
-- \led_flash_cnt[1633][2]~49745\ = CARRY((!\led_flash_cnt[1633][1]~49743\) # (!\led_flash_cnt[1633][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1633][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1633][1]~49743\,
	combout => \led_flash_cnt[1633][2]~49744_combout\,
	cout => \led_flash_cnt[1633][2]~49745\);

-- Location: FF_X47_Y30_N19
\led_flash_cnt[1633][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1633][2]~49744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1633][2]~q\);

-- Location: LCCOMB_X47_Y30_N20
\led_flash_cnt[1633][3]~49746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1633][3]~49746_combout\ = (\led_flash_cnt[1633][3]~q\ & (\led_flash_cnt[1633][2]~49745\ $ (GND))) # (!\led_flash_cnt[1633][3]~q\ & (!\led_flash_cnt[1633][2]~49745\ & VCC))
-- \led_flash_cnt[1633][3]~49747\ = CARRY((\led_flash_cnt[1633][3]~q\ & !\led_flash_cnt[1633][2]~49745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1633][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1633][2]~49745\,
	combout => \led_flash_cnt[1633][3]~49746_combout\,
	cout => \led_flash_cnt[1633][3]~49747\);

-- Location: FF_X47_Y30_N21
\led_flash_cnt[1633][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1633][3]~49746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1633][3]~q\);

-- Location: LCCOMB_X47_Y30_N22
\led_flash_cnt[1633][4]~49748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1633][4]~49748_combout\ = (\led_flash_cnt[1633][4]~q\ & (!\led_flash_cnt[1633][3]~49747\)) # (!\led_flash_cnt[1633][4]~q\ & ((\led_flash_cnt[1633][3]~49747\) # (GND)))
-- \led_flash_cnt[1633][4]~49749\ = CARRY((!\led_flash_cnt[1633][3]~49747\) # (!\led_flash_cnt[1633][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1633][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1633][3]~49747\,
	combout => \led_flash_cnt[1633][4]~49748_combout\,
	cout => \led_flash_cnt[1633][4]~49749\);

-- Location: FF_X47_Y30_N23
\led_flash_cnt[1633][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1633][4]~49748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1633][4]~q\);

-- Location: LCCOMB_X47_Y30_N24
\led_flash_cnt[1633][5]~49750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1633][5]~49750_combout\ = (\led_flash_cnt[1633][5]~q\ & (\led_flash_cnt[1633][4]~49749\ $ (GND))) # (!\led_flash_cnt[1633][5]~q\ & (!\led_flash_cnt[1633][4]~49749\ & VCC))
-- \led_flash_cnt[1633][5]~49751\ = CARRY((\led_flash_cnt[1633][5]~q\ & !\led_flash_cnt[1633][4]~49749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1633][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1633][4]~49749\,
	combout => \led_flash_cnt[1633][5]~49750_combout\,
	cout => \led_flash_cnt[1633][5]~49751\);

-- Location: FF_X47_Y30_N25
\led_flash_cnt[1633][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1633][5]~49750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1633][5]~q\);

-- Location: LCCOMB_X47_Y30_N26
\led_flash_cnt[1633][6]~49752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1633][6]~49752_combout\ = (\led_flash_cnt[1633][6]~q\ & (!\led_flash_cnt[1633][5]~49751\)) # (!\led_flash_cnt[1633][6]~q\ & ((\led_flash_cnt[1633][5]~49751\) # (GND)))
-- \led_flash_cnt[1633][6]~49753\ = CARRY((!\led_flash_cnt[1633][5]~49751\) # (!\led_flash_cnt[1633][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1633][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1633][5]~49751\,
	combout => \led_flash_cnt[1633][6]~49752_combout\,
	cout => \led_flash_cnt[1633][6]~49753\);

-- Location: FF_X47_Y30_N27
\led_flash_cnt[1633][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1633][6]~49752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1633][6]~q\);

-- Location: LCCOMB_X47_Y30_N28
\led_flash_cnt[1633][7]~49754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1633][7]~49754_combout\ = \led_flash_cnt[1633][6]~49753\ $ (!\led_flash_cnt[1633][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1633][7]~q\,
	cin => \led_flash_cnt[1633][6]~49753\,
	combout => \led_flash_cnt[1633][7]~49754_combout\);

-- Location: FF_X47_Y30_N29
\led_flash_cnt[1633][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1633][7]~49754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1633][7]~q\);

-- Location: LCCOMB_X47_Y30_N14
\WideAnd1633~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1633~1_combout\ = (\led_flash_cnt[1633][6]~q\ & \led_flash_cnt[1633][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1633][6]~q\,
	datad => \led_flash_cnt[1633][5]~q\,
	combout => \WideAnd1633~1_combout\);

-- Location: LCCOMB_X47_Y30_N12
\WideAnd1633~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1633~0_combout\ = (\led_flash_cnt[1633][3]~q\ & (\led_flash_cnt[1633][2]~q\ & (\led_flash_cnt[1633][4]~q\ & \led_flash_cnt[1633][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1633][3]~q\,
	datab => \led_flash_cnt[1633][2]~q\,
	datac => \led_flash_cnt[1633][4]~q\,
	datad => \led_flash_cnt[1633][1]~q\,
	combout => \WideAnd1633~0_combout\);

-- Location: LCCOMB_X47_Y30_N8
WideAnd1633 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1633~combout\ = (\led_flash_cnt[1633][0]~q\ & (\led_flash_cnt[1633][7]~q\ & (\WideAnd1633~1_combout\ & \WideAnd1633~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1633][0]~q\,
	datab => \led_flash_cnt[1633][7]~q\,
	datac => \WideAnd1633~1_combout\,
	datad => \WideAnd1633~0_combout\,
	combout => \WideAnd1633~combout\);

-- Location: FF_X47_Y30_N9
\led_flash_cnt_ands[1633]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1633~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1633));

-- Location: LCCOMB_X19_Y35_N30
\led_flash_cnt[1632][0]~82272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1632][0]~82272_combout\ = !\led_flash_cnt[1632][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1632][0]~q\,
	combout => \led_flash_cnt[1632][0]~82272_combout\);

-- Location: FF_X19_Y35_N31
\led_flash_cnt[1632][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1632][0]~82272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1632][0]~q\);

-- Location: LCCOMB_X19_Y35_N0
\led_flash_cnt[1632][1]~49728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1632][1]~49728_combout\ = (\led_flash_cnt[1632][0]~q\ & (\led_flash_cnt[1632][1]~q\ $ (VCC))) # (!\led_flash_cnt[1632][0]~q\ & (\led_flash_cnt[1632][1]~q\ & VCC))
-- \led_flash_cnt[1632][1]~49729\ = CARRY((\led_flash_cnt[1632][0]~q\ & \led_flash_cnt[1632][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1632][0]~q\,
	datab => \led_flash_cnt[1632][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1632][1]~49728_combout\,
	cout => \led_flash_cnt[1632][1]~49729\);

-- Location: FF_X19_Y35_N1
\led_flash_cnt[1632][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1632][1]~49728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1632][1]~q\);

-- Location: LCCOMB_X19_Y35_N2
\led_flash_cnt[1632][2]~49730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1632][2]~49730_combout\ = (\led_flash_cnt[1632][2]~q\ & (!\led_flash_cnt[1632][1]~49729\)) # (!\led_flash_cnt[1632][2]~q\ & ((\led_flash_cnt[1632][1]~49729\) # (GND)))
-- \led_flash_cnt[1632][2]~49731\ = CARRY((!\led_flash_cnt[1632][1]~49729\) # (!\led_flash_cnt[1632][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1632][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1632][1]~49729\,
	combout => \led_flash_cnt[1632][2]~49730_combout\,
	cout => \led_flash_cnt[1632][2]~49731\);

-- Location: FF_X19_Y35_N3
\led_flash_cnt[1632][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1632][2]~49730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1632][2]~q\);

-- Location: LCCOMB_X19_Y35_N4
\led_flash_cnt[1632][3]~49732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1632][3]~49732_combout\ = (\led_flash_cnt[1632][3]~q\ & (\led_flash_cnt[1632][2]~49731\ $ (GND))) # (!\led_flash_cnt[1632][3]~q\ & (!\led_flash_cnt[1632][2]~49731\ & VCC))
-- \led_flash_cnt[1632][3]~49733\ = CARRY((\led_flash_cnt[1632][3]~q\ & !\led_flash_cnt[1632][2]~49731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1632][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1632][2]~49731\,
	combout => \led_flash_cnt[1632][3]~49732_combout\,
	cout => \led_flash_cnt[1632][3]~49733\);

-- Location: FF_X19_Y35_N5
\led_flash_cnt[1632][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1632][3]~49732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1632][3]~q\);

-- Location: LCCOMB_X19_Y35_N6
\led_flash_cnt[1632][4]~49734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1632][4]~49734_combout\ = (\led_flash_cnt[1632][4]~q\ & (!\led_flash_cnt[1632][3]~49733\)) # (!\led_flash_cnt[1632][4]~q\ & ((\led_flash_cnt[1632][3]~49733\) # (GND)))
-- \led_flash_cnt[1632][4]~49735\ = CARRY((!\led_flash_cnt[1632][3]~49733\) # (!\led_flash_cnt[1632][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1632][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1632][3]~49733\,
	combout => \led_flash_cnt[1632][4]~49734_combout\,
	cout => \led_flash_cnt[1632][4]~49735\);

-- Location: FF_X19_Y35_N7
\led_flash_cnt[1632][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1632][4]~49734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1632][4]~q\);

-- Location: LCCOMB_X19_Y35_N8
\led_flash_cnt[1632][5]~49736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1632][5]~49736_combout\ = (\led_flash_cnt[1632][5]~q\ & (\led_flash_cnt[1632][4]~49735\ $ (GND))) # (!\led_flash_cnt[1632][5]~q\ & (!\led_flash_cnt[1632][4]~49735\ & VCC))
-- \led_flash_cnt[1632][5]~49737\ = CARRY((\led_flash_cnt[1632][5]~q\ & !\led_flash_cnt[1632][4]~49735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1632][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1632][4]~49735\,
	combout => \led_flash_cnt[1632][5]~49736_combout\,
	cout => \led_flash_cnt[1632][5]~49737\);

-- Location: FF_X19_Y35_N9
\led_flash_cnt[1632][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1632][5]~49736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1632][5]~q\);

-- Location: LCCOMB_X19_Y35_N10
\led_flash_cnt[1632][6]~49738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1632][6]~49738_combout\ = (\led_flash_cnt[1632][6]~q\ & (!\led_flash_cnt[1632][5]~49737\)) # (!\led_flash_cnt[1632][6]~q\ & ((\led_flash_cnt[1632][5]~49737\) # (GND)))
-- \led_flash_cnt[1632][6]~49739\ = CARRY((!\led_flash_cnt[1632][5]~49737\) # (!\led_flash_cnt[1632][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1632][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1632][5]~49737\,
	combout => \led_flash_cnt[1632][6]~49738_combout\,
	cout => \led_flash_cnt[1632][6]~49739\);

-- Location: FF_X19_Y35_N11
\led_flash_cnt[1632][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1632][6]~49738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1632][6]~q\);

-- Location: LCCOMB_X19_Y35_N12
\led_flash_cnt[1632][7]~49740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1632][7]~49740_combout\ = \led_flash_cnt[1632][6]~49739\ $ (!\led_flash_cnt[1632][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1632][7]~q\,
	cin => \led_flash_cnt[1632][6]~49739\,
	combout => \led_flash_cnt[1632][7]~49740_combout\);

-- Location: FF_X19_Y35_N13
\led_flash_cnt[1632][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1632][7]~49740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1632][7]~q\);

-- Location: LCCOMB_X19_Y35_N14
\WideAnd1632~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1632~0_combout\ = (\led_flash_cnt[1632][4]~q\ & (\led_flash_cnt[1632][1]~q\ & (\led_flash_cnt[1632][3]~q\ & \led_flash_cnt[1632][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1632][4]~q\,
	datab => \led_flash_cnt[1632][1]~q\,
	datac => \led_flash_cnt[1632][3]~q\,
	datad => \led_flash_cnt[1632][2]~q\,
	combout => \WideAnd1632~0_combout\);

-- Location: LCCOMB_X19_Y35_N18
\WideAnd1632~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1632~1_combout\ = (\led_flash_cnt[1632][5]~q\ & \led_flash_cnt[1632][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1632][5]~q\,
	datad => \led_flash_cnt[1632][6]~q\,
	combout => \WideAnd1632~1_combout\);

-- Location: LCCOMB_X19_Y35_N24
WideAnd1632 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1632~combout\ = (\led_flash_cnt[1632][7]~q\ & (\WideAnd1632~0_combout\ & (\led_flash_cnt[1632][0]~q\ & \WideAnd1632~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1632][7]~q\,
	datab => \WideAnd1632~0_combout\,
	datac => \led_flash_cnt[1632][0]~q\,
	datad => \WideAnd1632~1_combout\,
	combout => \WideAnd1632~combout\);

-- Location: FF_X19_Y35_N25
\led_flash_cnt_ands[1632]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1632~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1632));

-- Location: LCCOMB_X50_Y32_N6
\led_flash_cnt[1634][0]~82274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1634][0]~82274_combout\ = !\led_flash_cnt[1634][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1634][0]~q\,
	combout => \led_flash_cnt[1634][0]~82274_combout\);

-- Location: FF_X50_Y32_N7
\led_flash_cnt[1634][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1634][0]~82274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1634][0]~q\);

-- Location: LCCOMB_X50_Y32_N8
\led_flash_cnt[1634][1]~49756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1634][1]~49756_combout\ = (\led_flash_cnt[1634][0]~q\ & (\led_flash_cnt[1634][1]~q\ $ (VCC))) # (!\led_flash_cnt[1634][0]~q\ & (\led_flash_cnt[1634][1]~q\ & VCC))
-- \led_flash_cnt[1634][1]~49757\ = CARRY((\led_flash_cnt[1634][0]~q\ & \led_flash_cnt[1634][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1634][0]~q\,
	datab => \led_flash_cnt[1634][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1634][1]~49756_combout\,
	cout => \led_flash_cnt[1634][1]~49757\);

-- Location: FF_X50_Y32_N9
\led_flash_cnt[1634][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1634][1]~49756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1634][1]~q\);

-- Location: LCCOMB_X50_Y32_N10
\led_flash_cnt[1634][2]~49758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1634][2]~49758_combout\ = (\led_flash_cnt[1634][2]~q\ & (!\led_flash_cnt[1634][1]~49757\)) # (!\led_flash_cnt[1634][2]~q\ & ((\led_flash_cnt[1634][1]~49757\) # (GND)))
-- \led_flash_cnt[1634][2]~49759\ = CARRY((!\led_flash_cnt[1634][1]~49757\) # (!\led_flash_cnt[1634][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1634][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1634][1]~49757\,
	combout => \led_flash_cnt[1634][2]~49758_combout\,
	cout => \led_flash_cnt[1634][2]~49759\);

-- Location: FF_X50_Y32_N11
\led_flash_cnt[1634][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1634][2]~49758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1634][2]~q\);

-- Location: LCCOMB_X50_Y32_N12
\led_flash_cnt[1634][3]~49760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1634][3]~49760_combout\ = (\led_flash_cnt[1634][3]~q\ & (\led_flash_cnt[1634][2]~49759\ $ (GND))) # (!\led_flash_cnt[1634][3]~q\ & (!\led_flash_cnt[1634][2]~49759\ & VCC))
-- \led_flash_cnt[1634][3]~49761\ = CARRY((\led_flash_cnt[1634][3]~q\ & !\led_flash_cnt[1634][2]~49759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1634][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1634][2]~49759\,
	combout => \led_flash_cnt[1634][3]~49760_combout\,
	cout => \led_flash_cnt[1634][3]~49761\);

-- Location: FF_X50_Y32_N13
\led_flash_cnt[1634][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1634][3]~49760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1634][3]~q\);

-- Location: LCCOMB_X50_Y32_N14
\led_flash_cnt[1634][4]~49762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1634][4]~49762_combout\ = (\led_flash_cnt[1634][4]~q\ & (!\led_flash_cnt[1634][3]~49761\)) # (!\led_flash_cnt[1634][4]~q\ & ((\led_flash_cnt[1634][3]~49761\) # (GND)))
-- \led_flash_cnt[1634][4]~49763\ = CARRY((!\led_flash_cnt[1634][3]~49761\) # (!\led_flash_cnt[1634][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1634][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1634][3]~49761\,
	combout => \led_flash_cnt[1634][4]~49762_combout\,
	cout => \led_flash_cnt[1634][4]~49763\);

-- Location: FF_X50_Y32_N15
\led_flash_cnt[1634][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1634][4]~49762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1634][4]~q\);

-- Location: LCCOMB_X50_Y32_N16
\led_flash_cnt[1634][5]~49764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1634][5]~49764_combout\ = (\led_flash_cnt[1634][5]~q\ & (\led_flash_cnt[1634][4]~49763\ $ (GND))) # (!\led_flash_cnt[1634][5]~q\ & (!\led_flash_cnt[1634][4]~49763\ & VCC))
-- \led_flash_cnt[1634][5]~49765\ = CARRY((\led_flash_cnt[1634][5]~q\ & !\led_flash_cnt[1634][4]~49763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1634][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1634][4]~49763\,
	combout => \led_flash_cnt[1634][5]~49764_combout\,
	cout => \led_flash_cnt[1634][5]~49765\);

-- Location: FF_X50_Y32_N17
\led_flash_cnt[1634][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1634][5]~49764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1634][5]~q\);

-- Location: LCCOMB_X50_Y32_N18
\led_flash_cnt[1634][6]~49766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1634][6]~49766_combout\ = (\led_flash_cnt[1634][6]~q\ & (!\led_flash_cnt[1634][5]~49765\)) # (!\led_flash_cnt[1634][6]~q\ & ((\led_flash_cnt[1634][5]~49765\) # (GND)))
-- \led_flash_cnt[1634][6]~49767\ = CARRY((!\led_flash_cnt[1634][5]~49765\) # (!\led_flash_cnt[1634][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1634][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1634][5]~49765\,
	combout => \led_flash_cnt[1634][6]~49766_combout\,
	cout => \led_flash_cnt[1634][6]~49767\);

-- Location: FF_X50_Y32_N19
\led_flash_cnt[1634][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1634][6]~49766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1634][6]~q\);

-- Location: LCCOMB_X50_Y32_N20
\led_flash_cnt[1634][7]~49768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1634][7]~49768_combout\ = \led_flash_cnt[1634][6]~49767\ $ (!\led_flash_cnt[1634][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1634][7]~q\,
	cin => \led_flash_cnt[1634][6]~49767\,
	combout => \led_flash_cnt[1634][7]~49768_combout\);

-- Location: FF_X50_Y32_N21
\led_flash_cnt[1634][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1634][7]~49768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1634][7]~q\);

-- Location: LCCOMB_X50_Y32_N4
\WideAnd1634~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1634~1_combout\ = (\led_flash_cnt[1634][6]~q\ & \led_flash_cnt[1634][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1634][6]~q\,
	datad => \led_flash_cnt[1634][5]~q\,
	combout => \WideAnd1634~1_combout\);

-- Location: LCCOMB_X50_Y32_N24
\WideAnd1634~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1634~0_combout\ = (\led_flash_cnt[1634][3]~q\ & (\led_flash_cnt[1634][1]~q\ & (\led_flash_cnt[1634][4]~q\ & \led_flash_cnt[1634][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1634][3]~q\,
	datab => \led_flash_cnt[1634][1]~q\,
	datac => \led_flash_cnt[1634][4]~q\,
	datad => \led_flash_cnt[1634][2]~q\,
	combout => \WideAnd1634~0_combout\);

-- Location: LCCOMB_X50_Y32_N0
WideAnd1634 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1634~combout\ = (\led_flash_cnt[1634][0]~q\ & (\led_flash_cnt[1634][7]~q\ & (\WideAnd1634~1_combout\ & \WideAnd1634~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1634][0]~q\,
	datab => \led_flash_cnt[1634][7]~q\,
	datac => \WideAnd1634~1_combout\,
	datad => \WideAnd1634~0_combout\,
	combout => \WideAnd1634~combout\);

-- Location: FF_X50_Y32_N1
\led_flash_cnt_ands[1634]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1634~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1634));

-- Location: LCCOMB_X50_Y32_N30
\WideAnd4044~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4044~0_combout\ = (led_flash_cnt_ands(1635) & (led_flash_cnt_ands(1633) & (led_flash_cnt_ands(1632) & led_flash_cnt_ands(1634))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1635),
	datab => led_flash_cnt_ands(1633),
	datac => led_flash_cnt_ands(1632),
	datad => led_flash_cnt_ands(1634),
	combout => \WideAnd4044~0_combout\);

-- Location: LCCOMB_X52_Y32_N20
\led_flash_cnt[1639][0]~82279\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1639][0]~82279_combout\ = !\led_flash_cnt[1639][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1639][0]~q\,
	combout => \led_flash_cnt[1639][0]~82279_combout\);

-- Location: FF_X52_Y32_N21
\led_flash_cnt[1639][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1639][0]~82279_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1639][0]~q\);

-- Location: LCCOMB_X51_Y32_N8
\led_flash_cnt[1639][1]~49826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1639][1]~49826_combout\ = (\led_flash_cnt[1639][0]~q\ & (\led_flash_cnt[1639][1]~q\ $ (VCC))) # (!\led_flash_cnt[1639][0]~q\ & (\led_flash_cnt[1639][1]~q\ & VCC))
-- \led_flash_cnt[1639][1]~49827\ = CARRY((\led_flash_cnt[1639][0]~q\ & \led_flash_cnt[1639][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1639][0]~q\,
	datab => \led_flash_cnt[1639][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1639][1]~49826_combout\,
	cout => \led_flash_cnt[1639][1]~49827\);

-- Location: FF_X51_Y32_N9
\led_flash_cnt[1639][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1639][1]~49826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1639][1]~q\);

-- Location: LCCOMB_X51_Y32_N10
\led_flash_cnt[1639][2]~49828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1639][2]~49828_combout\ = (\led_flash_cnt[1639][2]~q\ & (!\led_flash_cnt[1639][1]~49827\)) # (!\led_flash_cnt[1639][2]~q\ & ((\led_flash_cnt[1639][1]~49827\) # (GND)))
-- \led_flash_cnt[1639][2]~49829\ = CARRY((!\led_flash_cnt[1639][1]~49827\) # (!\led_flash_cnt[1639][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1639][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1639][1]~49827\,
	combout => \led_flash_cnt[1639][2]~49828_combout\,
	cout => \led_flash_cnt[1639][2]~49829\);

-- Location: FF_X51_Y32_N11
\led_flash_cnt[1639][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1639][2]~49828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1639][2]~q\);

-- Location: LCCOMB_X51_Y32_N12
\led_flash_cnt[1639][3]~49830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1639][3]~49830_combout\ = (\led_flash_cnt[1639][3]~q\ & (\led_flash_cnt[1639][2]~49829\ $ (GND))) # (!\led_flash_cnt[1639][3]~q\ & (!\led_flash_cnt[1639][2]~49829\ & VCC))
-- \led_flash_cnt[1639][3]~49831\ = CARRY((\led_flash_cnt[1639][3]~q\ & !\led_flash_cnt[1639][2]~49829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1639][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1639][2]~49829\,
	combout => \led_flash_cnt[1639][3]~49830_combout\,
	cout => \led_flash_cnt[1639][3]~49831\);

-- Location: FF_X51_Y32_N13
\led_flash_cnt[1639][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1639][3]~49830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1639][3]~q\);

-- Location: LCCOMB_X51_Y32_N14
\led_flash_cnt[1639][4]~49832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1639][4]~49832_combout\ = (\led_flash_cnt[1639][4]~q\ & (!\led_flash_cnt[1639][3]~49831\)) # (!\led_flash_cnt[1639][4]~q\ & ((\led_flash_cnt[1639][3]~49831\) # (GND)))
-- \led_flash_cnt[1639][4]~49833\ = CARRY((!\led_flash_cnt[1639][3]~49831\) # (!\led_flash_cnt[1639][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1639][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1639][3]~49831\,
	combout => \led_flash_cnt[1639][4]~49832_combout\,
	cout => \led_flash_cnt[1639][4]~49833\);

-- Location: FF_X51_Y32_N15
\led_flash_cnt[1639][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1639][4]~49832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1639][4]~q\);

-- Location: LCCOMB_X51_Y32_N16
\led_flash_cnt[1639][5]~49834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1639][5]~49834_combout\ = (\led_flash_cnt[1639][5]~q\ & (\led_flash_cnt[1639][4]~49833\ $ (GND))) # (!\led_flash_cnt[1639][5]~q\ & (!\led_flash_cnt[1639][4]~49833\ & VCC))
-- \led_flash_cnt[1639][5]~49835\ = CARRY((\led_flash_cnt[1639][5]~q\ & !\led_flash_cnt[1639][4]~49833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1639][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1639][4]~49833\,
	combout => \led_flash_cnt[1639][5]~49834_combout\,
	cout => \led_flash_cnt[1639][5]~49835\);

-- Location: FF_X51_Y32_N17
\led_flash_cnt[1639][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1639][5]~49834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1639][5]~q\);

-- Location: LCCOMB_X51_Y32_N18
\led_flash_cnt[1639][6]~49836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1639][6]~49836_combout\ = (\led_flash_cnt[1639][6]~q\ & (!\led_flash_cnt[1639][5]~49835\)) # (!\led_flash_cnt[1639][6]~q\ & ((\led_flash_cnt[1639][5]~49835\) # (GND)))
-- \led_flash_cnt[1639][6]~49837\ = CARRY((!\led_flash_cnt[1639][5]~49835\) # (!\led_flash_cnt[1639][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1639][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1639][5]~49835\,
	combout => \led_flash_cnt[1639][6]~49836_combout\,
	cout => \led_flash_cnt[1639][6]~49837\);

-- Location: FF_X51_Y32_N19
\led_flash_cnt[1639][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1639][6]~49836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1639][6]~q\);

-- Location: LCCOMB_X51_Y32_N20
\led_flash_cnt[1639][7]~49838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1639][7]~49838_combout\ = \led_flash_cnt[1639][6]~49837\ $ (!\led_flash_cnt[1639][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1639][7]~q\,
	cin => \led_flash_cnt[1639][6]~49837\,
	combout => \led_flash_cnt[1639][7]~49838_combout\);

-- Location: FF_X51_Y32_N21
\led_flash_cnt[1639][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1639][7]~49838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1639][7]~q\);

-- Location: LCCOMB_X51_Y32_N4
\WideAnd1639~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1639~0_combout\ = (\led_flash_cnt[1639][3]~q\ & (\led_flash_cnt[1639][1]~q\ & (\led_flash_cnt[1639][4]~q\ & \led_flash_cnt[1639][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1639][3]~q\,
	datab => \led_flash_cnt[1639][1]~q\,
	datac => \led_flash_cnt[1639][4]~q\,
	datad => \led_flash_cnt[1639][2]~q\,
	combout => \WideAnd1639~0_combout\);

-- Location: LCCOMB_X52_Y32_N28
\WideAnd1639~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1639~1_combout\ = (\led_flash_cnt[1639][5]~q\ & \led_flash_cnt[1639][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1639][5]~q\,
	datad => \led_flash_cnt[1639][6]~q\,
	combout => \WideAnd1639~1_combout\);

-- Location: LCCOMB_X51_Y32_N26
WideAnd1639 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1639~combout\ = (\led_flash_cnt[1639][0]~q\ & (\led_flash_cnt[1639][7]~q\ & (\WideAnd1639~0_combout\ & \WideAnd1639~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1639][0]~q\,
	datab => \led_flash_cnt[1639][7]~q\,
	datac => \WideAnd1639~0_combout\,
	datad => \WideAnd1639~1_combout\,
	combout => \WideAnd1639~combout\);

-- Location: FF_X51_Y32_N27
\led_flash_cnt_ands[1639]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1639~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1639));

-- Location: LCCOMB_X50_Y32_N28
WideAnd4044 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4044~combout\ = (led_flash_cnt_ands(1638) & (\WideAnd4044~1_combout\ & (\WideAnd4044~0_combout\ & led_flash_cnt_ands(1639))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1638),
	datab => \WideAnd4044~1_combout\,
	datac => \WideAnd4044~0_combout\,
	datad => led_flash_cnt_ands(1639),
	combout => \WideAnd4044~combout\);

-- Location: FF_X50_Y32_N29
\led_flash_cnt_ands_1[204]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4044~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(204));

-- Location: LCCOMB_X40_Y29_N18
\led_flash_cnt[1640][0]~82280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1640][0]~82280_combout\ = !\led_flash_cnt[1640][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1640][0]~q\,
	combout => \led_flash_cnt[1640][0]~82280_combout\);

-- Location: FF_X40_Y29_N19
\led_flash_cnt[1640][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1640][0]~82280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1640][0]~q\);

-- Location: LCCOMB_X40_Y29_N2
\led_flash_cnt[1640][1]~49840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1640][1]~49840_combout\ = (\led_flash_cnt[1640][0]~q\ & (\led_flash_cnt[1640][1]~q\ $ (VCC))) # (!\led_flash_cnt[1640][0]~q\ & (\led_flash_cnt[1640][1]~q\ & VCC))
-- \led_flash_cnt[1640][1]~49841\ = CARRY((\led_flash_cnt[1640][0]~q\ & \led_flash_cnt[1640][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1640][0]~q\,
	datab => \led_flash_cnt[1640][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1640][1]~49840_combout\,
	cout => \led_flash_cnt[1640][1]~49841\);

-- Location: FF_X40_Y29_N3
\led_flash_cnt[1640][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1640][1]~49840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1640][1]~q\);

-- Location: LCCOMB_X40_Y29_N4
\led_flash_cnt[1640][2]~49842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1640][2]~49842_combout\ = (\led_flash_cnt[1640][2]~q\ & (!\led_flash_cnt[1640][1]~49841\)) # (!\led_flash_cnt[1640][2]~q\ & ((\led_flash_cnt[1640][1]~49841\) # (GND)))
-- \led_flash_cnt[1640][2]~49843\ = CARRY((!\led_flash_cnt[1640][1]~49841\) # (!\led_flash_cnt[1640][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1640][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1640][1]~49841\,
	combout => \led_flash_cnt[1640][2]~49842_combout\,
	cout => \led_flash_cnt[1640][2]~49843\);

-- Location: FF_X40_Y29_N5
\led_flash_cnt[1640][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1640][2]~49842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1640][2]~q\);

-- Location: LCCOMB_X40_Y29_N6
\led_flash_cnt[1640][3]~49844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1640][3]~49844_combout\ = (\led_flash_cnt[1640][3]~q\ & (\led_flash_cnt[1640][2]~49843\ $ (GND))) # (!\led_flash_cnt[1640][3]~q\ & (!\led_flash_cnt[1640][2]~49843\ & VCC))
-- \led_flash_cnt[1640][3]~49845\ = CARRY((\led_flash_cnt[1640][3]~q\ & !\led_flash_cnt[1640][2]~49843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1640][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1640][2]~49843\,
	combout => \led_flash_cnt[1640][3]~49844_combout\,
	cout => \led_flash_cnt[1640][3]~49845\);

-- Location: FF_X40_Y29_N7
\led_flash_cnt[1640][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1640][3]~49844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1640][3]~q\);

-- Location: LCCOMB_X40_Y29_N8
\led_flash_cnt[1640][4]~49846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1640][4]~49846_combout\ = (\led_flash_cnt[1640][4]~q\ & (!\led_flash_cnt[1640][3]~49845\)) # (!\led_flash_cnt[1640][4]~q\ & ((\led_flash_cnt[1640][3]~49845\) # (GND)))
-- \led_flash_cnt[1640][4]~49847\ = CARRY((!\led_flash_cnt[1640][3]~49845\) # (!\led_flash_cnt[1640][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1640][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1640][3]~49845\,
	combout => \led_flash_cnt[1640][4]~49846_combout\,
	cout => \led_flash_cnt[1640][4]~49847\);

-- Location: FF_X40_Y29_N9
\led_flash_cnt[1640][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1640][4]~49846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1640][4]~q\);

-- Location: LCCOMB_X40_Y29_N10
\led_flash_cnt[1640][5]~49848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1640][5]~49848_combout\ = (\led_flash_cnt[1640][5]~q\ & (\led_flash_cnt[1640][4]~49847\ $ (GND))) # (!\led_flash_cnt[1640][5]~q\ & (!\led_flash_cnt[1640][4]~49847\ & VCC))
-- \led_flash_cnt[1640][5]~49849\ = CARRY((\led_flash_cnt[1640][5]~q\ & !\led_flash_cnt[1640][4]~49847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1640][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1640][4]~49847\,
	combout => \led_flash_cnt[1640][5]~49848_combout\,
	cout => \led_flash_cnt[1640][5]~49849\);

-- Location: FF_X40_Y29_N11
\led_flash_cnt[1640][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1640][5]~49848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1640][5]~q\);

-- Location: LCCOMB_X40_Y29_N12
\led_flash_cnt[1640][6]~49850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1640][6]~49850_combout\ = (\led_flash_cnt[1640][6]~q\ & (!\led_flash_cnt[1640][5]~49849\)) # (!\led_flash_cnt[1640][6]~q\ & ((\led_flash_cnt[1640][5]~49849\) # (GND)))
-- \led_flash_cnt[1640][6]~49851\ = CARRY((!\led_flash_cnt[1640][5]~49849\) # (!\led_flash_cnt[1640][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1640][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1640][5]~49849\,
	combout => \led_flash_cnt[1640][6]~49850_combout\,
	cout => \led_flash_cnt[1640][6]~49851\);

-- Location: FF_X40_Y29_N13
\led_flash_cnt[1640][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1640][6]~49850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1640][6]~q\);

-- Location: LCCOMB_X40_Y29_N22
\WideAnd1640~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1640~1_combout\ = (\led_flash_cnt[1640][6]~q\ & \led_flash_cnt[1640][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1640][6]~q\,
	datad => \led_flash_cnt[1640][5]~q\,
	combout => \WideAnd1640~1_combout\);

-- Location: LCCOMB_X40_Y29_N28
\WideAnd1640~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1640~0_combout\ = (\led_flash_cnt[1640][3]~q\ & (\led_flash_cnt[1640][4]~q\ & (\led_flash_cnt[1640][2]~q\ & \led_flash_cnt[1640][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1640][3]~q\,
	datab => \led_flash_cnt[1640][4]~q\,
	datac => \led_flash_cnt[1640][2]~q\,
	datad => \led_flash_cnt[1640][1]~q\,
	combout => \WideAnd1640~0_combout\);

-- Location: LCCOMB_X40_Y29_N14
\led_flash_cnt[1640][7]~49852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1640][7]~49852_combout\ = \led_flash_cnt[1640][7]~q\ $ (!\led_flash_cnt[1640][6]~49851\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1640][7]~q\,
	cin => \led_flash_cnt[1640][6]~49851\,
	combout => \led_flash_cnt[1640][7]~49852_combout\);

-- Location: FF_X40_Y29_N15
\led_flash_cnt[1640][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1640][7]~49852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1640][7]~q\);

-- Location: LCCOMB_X40_Y29_N24
WideAnd1640 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1640~combout\ = (\WideAnd1640~1_combout\ & (\WideAnd1640~0_combout\ & (\led_flash_cnt[1640][7]~q\ & \led_flash_cnt[1640][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1640~1_combout\,
	datab => \WideAnd1640~0_combout\,
	datac => \led_flash_cnt[1640][7]~q\,
	datad => \led_flash_cnt[1640][0]~q\,
	combout => \WideAnd1640~combout\);

-- Location: FF_X40_Y29_N25
\led_flash_cnt_ands[1640]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1640~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1640));

-- Location: LCCOMB_X45_Y33_N30
\led_flash_cnt[1643][0]~82283\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1643][0]~82283_combout\ = !\led_flash_cnt[1643][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1643][0]~q\,
	combout => \led_flash_cnt[1643][0]~82283_combout\);

-- Location: FF_X45_Y33_N31
\led_flash_cnt[1643][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1643][0]~82283_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1643][0]~q\);

-- Location: LCCOMB_X45_Y32_N0
\led_flash_cnt[1643][1]~49882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1643][1]~49882_combout\ = (\led_flash_cnt[1643][0]~q\ & (\led_flash_cnt[1643][1]~q\ $ (VCC))) # (!\led_flash_cnt[1643][0]~q\ & (\led_flash_cnt[1643][1]~q\ & VCC))
-- \led_flash_cnt[1643][1]~49883\ = CARRY((\led_flash_cnt[1643][0]~q\ & \led_flash_cnt[1643][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1643][0]~q\,
	datab => \led_flash_cnt[1643][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1643][1]~49882_combout\,
	cout => \led_flash_cnt[1643][1]~49883\);

-- Location: FF_X45_Y32_N1
\led_flash_cnt[1643][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1643][1]~49882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1643][1]~q\);

-- Location: LCCOMB_X45_Y32_N2
\led_flash_cnt[1643][2]~49884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1643][2]~49884_combout\ = (\led_flash_cnt[1643][2]~q\ & (!\led_flash_cnt[1643][1]~49883\)) # (!\led_flash_cnt[1643][2]~q\ & ((\led_flash_cnt[1643][1]~49883\) # (GND)))
-- \led_flash_cnt[1643][2]~49885\ = CARRY((!\led_flash_cnt[1643][1]~49883\) # (!\led_flash_cnt[1643][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1643][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1643][1]~49883\,
	combout => \led_flash_cnt[1643][2]~49884_combout\,
	cout => \led_flash_cnt[1643][2]~49885\);

-- Location: FF_X45_Y32_N3
\led_flash_cnt[1643][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1643][2]~49884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1643][2]~q\);

-- Location: LCCOMB_X45_Y32_N4
\led_flash_cnt[1643][3]~49886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1643][3]~49886_combout\ = (\led_flash_cnt[1643][3]~q\ & (\led_flash_cnt[1643][2]~49885\ $ (GND))) # (!\led_flash_cnt[1643][3]~q\ & (!\led_flash_cnt[1643][2]~49885\ & VCC))
-- \led_flash_cnt[1643][3]~49887\ = CARRY((\led_flash_cnt[1643][3]~q\ & !\led_flash_cnt[1643][2]~49885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1643][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1643][2]~49885\,
	combout => \led_flash_cnt[1643][3]~49886_combout\,
	cout => \led_flash_cnt[1643][3]~49887\);

-- Location: FF_X45_Y32_N5
\led_flash_cnt[1643][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1643][3]~49886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1643][3]~q\);

-- Location: LCCOMB_X45_Y32_N6
\led_flash_cnt[1643][4]~49888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1643][4]~49888_combout\ = (\led_flash_cnt[1643][4]~q\ & (!\led_flash_cnt[1643][3]~49887\)) # (!\led_flash_cnt[1643][4]~q\ & ((\led_flash_cnt[1643][3]~49887\) # (GND)))
-- \led_flash_cnt[1643][4]~49889\ = CARRY((!\led_flash_cnt[1643][3]~49887\) # (!\led_flash_cnt[1643][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1643][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1643][3]~49887\,
	combout => \led_flash_cnt[1643][4]~49888_combout\,
	cout => \led_flash_cnt[1643][4]~49889\);

-- Location: FF_X45_Y32_N7
\led_flash_cnt[1643][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1643][4]~49888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1643][4]~q\);

-- Location: LCCOMB_X45_Y32_N8
\led_flash_cnt[1643][5]~49890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1643][5]~49890_combout\ = (\led_flash_cnt[1643][5]~q\ & (\led_flash_cnt[1643][4]~49889\ $ (GND))) # (!\led_flash_cnt[1643][5]~q\ & (!\led_flash_cnt[1643][4]~49889\ & VCC))
-- \led_flash_cnt[1643][5]~49891\ = CARRY((\led_flash_cnt[1643][5]~q\ & !\led_flash_cnt[1643][4]~49889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1643][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1643][4]~49889\,
	combout => \led_flash_cnt[1643][5]~49890_combout\,
	cout => \led_flash_cnt[1643][5]~49891\);

-- Location: FF_X45_Y32_N9
\led_flash_cnt[1643][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1643][5]~49890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1643][5]~q\);

-- Location: LCCOMB_X45_Y32_N10
\led_flash_cnt[1643][6]~49892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1643][6]~49892_combout\ = (\led_flash_cnt[1643][6]~q\ & (!\led_flash_cnt[1643][5]~49891\)) # (!\led_flash_cnt[1643][6]~q\ & ((\led_flash_cnt[1643][5]~49891\) # (GND)))
-- \led_flash_cnt[1643][6]~49893\ = CARRY((!\led_flash_cnt[1643][5]~49891\) # (!\led_flash_cnt[1643][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1643][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1643][5]~49891\,
	combout => \led_flash_cnt[1643][6]~49892_combout\,
	cout => \led_flash_cnt[1643][6]~49893\);

-- Location: FF_X45_Y32_N11
\led_flash_cnt[1643][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1643][6]~49892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1643][6]~q\);

-- Location: LCCOMB_X45_Y32_N12
\led_flash_cnt[1643][7]~49894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1643][7]~49894_combout\ = \led_flash_cnt[1643][6]~49893\ $ (!\led_flash_cnt[1643][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1643][7]~q\,
	cin => \led_flash_cnt[1643][6]~49893\,
	combout => \led_flash_cnt[1643][7]~49894_combout\);

-- Location: FF_X45_Y32_N13
\led_flash_cnt[1643][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1643][7]~49894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1643][7]~q\);

-- Location: LCCOMB_X46_Y32_N24
\WideAnd1643~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1643~1_combout\ = (\led_flash_cnt[1643][6]~q\ & \led_flash_cnt[1643][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1643][6]~q\,
	datad => \led_flash_cnt[1643][5]~q\,
	combout => \WideAnd1643~1_combout\);

-- Location: LCCOMB_X46_Y32_N28
\WideAnd1643~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1643~0_combout\ = (\led_flash_cnt[1643][1]~q\ & (\led_flash_cnt[1643][4]~q\ & (\led_flash_cnt[1643][3]~q\ & \led_flash_cnt[1643][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1643][1]~q\,
	datab => \led_flash_cnt[1643][4]~q\,
	datac => \led_flash_cnt[1643][3]~q\,
	datad => \led_flash_cnt[1643][2]~q\,
	combout => \WideAnd1643~0_combout\);

-- Location: LCCOMB_X45_Y32_N14
WideAnd1643 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1643~combout\ = (\led_flash_cnt[1643][7]~q\ & (\WideAnd1643~1_combout\ & (\led_flash_cnt[1643][0]~q\ & \WideAnd1643~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1643][7]~q\,
	datab => \WideAnd1643~1_combout\,
	datac => \led_flash_cnt[1643][0]~q\,
	datad => \WideAnd1643~0_combout\,
	combout => \WideAnd1643~combout\);

-- Location: FF_X45_Y32_N15
\led_flash_cnt_ands[1643]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1643~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1643));

-- Location: LCCOMB_X39_Y28_N30
\led_flash_cnt[1641][0]~82281\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1641][0]~82281_combout\ = !\led_flash_cnt[1641][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1641][0]~q\,
	combout => \led_flash_cnt[1641][0]~82281_combout\);

-- Location: FF_X39_Y28_N31
\led_flash_cnt[1641][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1641][0]~82281_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1641][0]~q\);

-- Location: LCCOMB_X37_Y27_N18
\led_flash_cnt[1641][1]~49854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1641][1]~49854_combout\ = (\led_flash_cnt[1641][1]~q\ & (\led_flash_cnt[1641][0]~q\ $ (VCC))) # (!\led_flash_cnt[1641][1]~q\ & (\led_flash_cnt[1641][0]~q\ & VCC))
-- \led_flash_cnt[1641][1]~49855\ = CARRY((\led_flash_cnt[1641][1]~q\ & \led_flash_cnt[1641][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1641][1]~q\,
	datab => \led_flash_cnt[1641][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1641][1]~49854_combout\,
	cout => \led_flash_cnt[1641][1]~49855\);

-- Location: FF_X37_Y27_N19
\led_flash_cnt[1641][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1641][1]~49854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1641][1]~q\);

-- Location: LCCOMB_X37_Y27_N20
\led_flash_cnt[1641][2]~49856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1641][2]~49856_combout\ = (\led_flash_cnt[1641][2]~q\ & (!\led_flash_cnt[1641][1]~49855\)) # (!\led_flash_cnt[1641][2]~q\ & ((\led_flash_cnt[1641][1]~49855\) # (GND)))
-- \led_flash_cnt[1641][2]~49857\ = CARRY((!\led_flash_cnt[1641][1]~49855\) # (!\led_flash_cnt[1641][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1641][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1641][1]~49855\,
	combout => \led_flash_cnt[1641][2]~49856_combout\,
	cout => \led_flash_cnt[1641][2]~49857\);

-- Location: FF_X37_Y27_N21
\led_flash_cnt[1641][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1641][2]~49856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1641][2]~q\);

-- Location: LCCOMB_X37_Y27_N22
\led_flash_cnt[1641][3]~49858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1641][3]~49858_combout\ = (\led_flash_cnt[1641][3]~q\ & (\led_flash_cnt[1641][2]~49857\ $ (GND))) # (!\led_flash_cnt[1641][3]~q\ & (!\led_flash_cnt[1641][2]~49857\ & VCC))
-- \led_flash_cnt[1641][3]~49859\ = CARRY((\led_flash_cnt[1641][3]~q\ & !\led_flash_cnt[1641][2]~49857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1641][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1641][2]~49857\,
	combout => \led_flash_cnt[1641][3]~49858_combout\,
	cout => \led_flash_cnt[1641][3]~49859\);

-- Location: FF_X37_Y27_N23
\led_flash_cnt[1641][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1641][3]~49858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1641][3]~q\);

-- Location: LCCOMB_X37_Y27_N24
\led_flash_cnt[1641][4]~49860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1641][4]~49860_combout\ = (\led_flash_cnt[1641][4]~q\ & (!\led_flash_cnt[1641][3]~49859\)) # (!\led_flash_cnt[1641][4]~q\ & ((\led_flash_cnt[1641][3]~49859\) # (GND)))
-- \led_flash_cnt[1641][4]~49861\ = CARRY((!\led_flash_cnt[1641][3]~49859\) # (!\led_flash_cnt[1641][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1641][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1641][3]~49859\,
	combout => \led_flash_cnt[1641][4]~49860_combout\,
	cout => \led_flash_cnt[1641][4]~49861\);

-- Location: FF_X37_Y27_N25
\led_flash_cnt[1641][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1641][4]~49860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1641][4]~q\);

-- Location: LCCOMB_X37_Y27_N26
\led_flash_cnt[1641][5]~49862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1641][5]~49862_combout\ = (\led_flash_cnt[1641][5]~q\ & (\led_flash_cnt[1641][4]~49861\ $ (GND))) # (!\led_flash_cnt[1641][5]~q\ & (!\led_flash_cnt[1641][4]~49861\ & VCC))
-- \led_flash_cnt[1641][5]~49863\ = CARRY((\led_flash_cnt[1641][5]~q\ & !\led_flash_cnt[1641][4]~49861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1641][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1641][4]~49861\,
	combout => \led_flash_cnt[1641][5]~49862_combout\,
	cout => \led_flash_cnt[1641][5]~49863\);

-- Location: FF_X37_Y27_N27
\led_flash_cnt[1641][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1641][5]~49862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1641][5]~q\);

-- Location: LCCOMB_X37_Y27_N28
\led_flash_cnt[1641][6]~49864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1641][6]~49864_combout\ = (\led_flash_cnt[1641][6]~q\ & (!\led_flash_cnt[1641][5]~49863\)) # (!\led_flash_cnt[1641][6]~q\ & ((\led_flash_cnt[1641][5]~49863\) # (GND)))
-- \led_flash_cnt[1641][6]~49865\ = CARRY((!\led_flash_cnt[1641][5]~49863\) # (!\led_flash_cnt[1641][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1641][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1641][5]~49863\,
	combout => \led_flash_cnt[1641][6]~49864_combout\,
	cout => \led_flash_cnt[1641][6]~49865\);

-- Location: FF_X37_Y27_N29
\led_flash_cnt[1641][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1641][6]~49864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1641][6]~q\);

-- Location: LCCOMB_X37_Y27_N12
\WideAnd1641~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1641~1_combout\ = (\led_flash_cnt[1641][5]~q\ & \led_flash_cnt[1641][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1641][5]~q\,
	datad => \led_flash_cnt[1641][6]~q\,
	combout => \WideAnd1641~1_combout\);

-- Location: LCCOMB_X37_Y27_N30
\led_flash_cnt[1641][7]~49866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1641][7]~49866_combout\ = \led_flash_cnt[1641][7]~q\ $ (!\led_flash_cnt[1641][6]~49865\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1641][7]~q\,
	cin => \led_flash_cnt[1641][6]~49865\,
	combout => \led_flash_cnt[1641][7]~49866_combout\);

-- Location: FF_X37_Y27_N31
\led_flash_cnt[1641][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1641][7]~49866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1641][7]~q\);

-- Location: LCCOMB_X37_Y27_N16
\WideAnd1641~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1641~0_combout\ = (\led_flash_cnt[1641][1]~q\ & (\led_flash_cnt[1641][4]~q\ & (\led_flash_cnt[1641][3]~q\ & \led_flash_cnt[1641][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1641][1]~q\,
	datab => \led_flash_cnt[1641][4]~q\,
	datac => \led_flash_cnt[1641][3]~q\,
	datad => \led_flash_cnt[1641][2]~q\,
	combout => \WideAnd1641~0_combout\);

-- Location: LCCOMB_X37_Y27_N14
WideAnd1641 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1641~combout\ = (\WideAnd1641~1_combout\ & (\led_flash_cnt[1641][0]~q\ & (\led_flash_cnt[1641][7]~q\ & \WideAnd1641~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1641~1_combout\,
	datab => \led_flash_cnt[1641][0]~q\,
	datac => \led_flash_cnt[1641][7]~q\,
	datad => \WideAnd1641~0_combout\,
	combout => \WideAnd1641~combout\);

-- Location: FF_X37_Y27_N15
\led_flash_cnt_ands[1641]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1641~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1641));

-- Location: LCCOMB_X46_Y33_N26
\led_flash_cnt[1642][0]~82282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1642][0]~82282_combout\ = !\led_flash_cnt[1642][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1642][0]~q\,
	combout => \led_flash_cnt[1642][0]~82282_combout\);

-- Location: FF_X46_Y33_N27
\led_flash_cnt[1642][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1642][0]~82282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1642][0]~q\);

-- Location: LCCOMB_X46_Y33_N2
\led_flash_cnt[1642][1]~49868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1642][1]~49868_combout\ = (\led_flash_cnt[1642][0]~q\ & (\led_flash_cnt[1642][1]~q\ $ (VCC))) # (!\led_flash_cnt[1642][0]~q\ & (\led_flash_cnt[1642][1]~q\ & VCC))
-- \led_flash_cnt[1642][1]~49869\ = CARRY((\led_flash_cnt[1642][0]~q\ & \led_flash_cnt[1642][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1642][0]~q\,
	datab => \led_flash_cnt[1642][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1642][1]~49868_combout\,
	cout => \led_flash_cnt[1642][1]~49869\);

-- Location: FF_X46_Y33_N3
\led_flash_cnt[1642][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1642][1]~49868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1642][1]~q\);

-- Location: LCCOMB_X46_Y33_N4
\led_flash_cnt[1642][2]~49870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1642][2]~49870_combout\ = (\led_flash_cnt[1642][2]~q\ & (!\led_flash_cnt[1642][1]~49869\)) # (!\led_flash_cnt[1642][2]~q\ & ((\led_flash_cnt[1642][1]~49869\) # (GND)))
-- \led_flash_cnt[1642][2]~49871\ = CARRY((!\led_flash_cnt[1642][1]~49869\) # (!\led_flash_cnt[1642][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1642][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1642][1]~49869\,
	combout => \led_flash_cnt[1642][2]~49870_combout\,
	cout => \led_flash_cnt[1642][2]~49871\);

-- Location: FF_X46_Y33_N5
\led_flash_cnt[1642][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1642][2]~49870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1642][2]~q\);

-- Location: LCCOMB_X46_Y33_N6
\led_flash_cnt[1642][3]~49872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1642][3]~49872_combout\ = (\led_flash_cnt[1642][3]~q\ & (\led_flash_cnt[1642][2]~49871\ $ (GND))) # (!\led_flash_cnt[1642][3]~q\ & (!\led_flash_cnt[1642][2]~49871\ & VCC))
-- \led_flash_cnt[1642][3]~49873\ = CARRY((\led_flash_cnt[1642][3]~q\ & !\led_flash_cnt[1642][2]~49871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1642][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1642][2]~49871\,
	combout => \led_flash_cnt[1642][3]~49872_combout\,
	cout => \led_flash_cnt[1642][3]~49873\);

-- Location: FF_X46_Y33_N7
\led_flash_cnt[1642][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1642][3]~49872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1642][3]~q\);

-- Location: LCCOMB_X46_Y33_N8
\led_flash_cnt[1642][4]~49874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1642][4]~49874_combout\ = (\led_flash_cnt[1642][4]~q\ & (!\led_flash_cnt[1642][3]~49873\)) # (!\led_flash_cnt[1642][4]~q\ & ((\led_flash_cnt[1642][3]~49873\) # (GND)))
-- \led_flash_cnt[1642][4]~49875\ = CARRY((!\led_flash_cnt[1642][3]~49873\) # (!\led_flash_cnt[1642][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1642][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1642][3]~49873\,
	combout => \led_flash_cnt[1642][4]~49874_combout\,
	cout => \led_flash_cnt[1642][4]~49875\);

-- Location: FF_X46_Y33_N9
\led_flash_cnt[1642][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1642][4]~49874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1642][4]~q\);

-- Location: LCCOMB_X46_Y33_N10
\led_flash_cnt[1642][5]~49876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1642][5]~49876_combout\ = (\led_flash_cnt[1642][5]~q\ & (\led_flash_cnt[1642][4]~49875\ $ (GND))) # (!\led_flash_cnt[1642][5]~q\ & (!\led_flash_cnt[1642][4]~49875\ & VCC))
-- \led_flash_cnt[1642][5]~49877\ = CARRY((\led_flash_cnt[1642][5]~q\ & !\led_flash_cnt[1642][4]~49875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1642][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1642][4]~49875\,
	combout => \led_flash_cnt[1642][5]~49876_combout\,
	cout => \led_flash_cnt[1642][5]~49877\);

-- Location: FF_X46_Y33_N11
\led_flash_cnt[1642][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1642][5]~49876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1642][5]~q\);

-- Location: LCCOMB_X46_Y33_N12
\led_flash_cnt[1642][6]~49878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1642][6]~49878_combout\ = (\led_flash_cnt[1642][6]~q\ & (!\led_flash_cnt[1642][5]~49877\)) # (!\led_flash_cnt[1642][6]~q\ & ((\led_flash_cnt[1642][5]~49877\) # (GND)))
-- \led_flash_cnt[1642][6]~49879\ = CARRY((!\led_flash_cnt[1642][5]~49877\) # (!\led_flash_cnt[1642][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1642][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1642][5]~49877\,
	combout => \led_flash_cnt[1642][6]~49878_combout\,
	cout => \led_flash_cnt[1642][6]~49879\);

-- Location: FF_X46_Y33_N13
\led_flash_cnt[1642][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1642][6]~49878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1642][6]~q\);

-- Location: LCCOMB_X46_Y33_N22
\WideAnd1642~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1642~1_combout\ = (\led_flash_cnt[1642][6]~q\ & \led_flash_cnt[1642][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1642][6]~q\,
	datad => \led_flash_cnt[1642][5]~q\,
	combout => \WideAnd1642~1_combout\);

-- Location: LCCOMB_X46_Y33_N14
\led_flash_cnt[1642][7]~49880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1642][7]~49880_combout\ = \led_flash_cnt[1642][7]~q\ $ (!\led_flash_cnt[1642][6]~49879\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1642][7]~q\,
	cin => \led_flash_cnt[1642][6]~49879\,
	combout => \led_flash_cnt[1642][7]~49880_combout\);

-- Location: FF_X46_Y33_N15
\led_flash_cnt[1642][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1642][7]~49880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1642][7]~q\);

-- Location: LCCOMB_X46_Y33_N18
\WideAnd1642~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1642~0_combout\ = (\led_flash_cnt[1642][3]~q\ & (\led_flash_cnt[1642][4]~q\ & (\led_flash_cnt[1642][2]~q\ & \led_flash_cnt[1642][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1642][3]~q\,
	datab => \led_flash_cnt[1642][4]~q\,
	datac => \led_flash_cnt[1642][2]~q\,
	datad => \led_flash_cnt[1642][1]~q\,
	combout => \WideAnd1642~0_combout\);

-- Location: LCCOMB_X46_Y33_N24
WideAnd1642 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1642~combout\ = (\WideAnd1642~1_combout\ & (\led_flash_cnt[1642][7]~q\ & (\led_flash_cnt[1642][0]~q\ & \WideAnd1642~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1642~1_combout\,
	datab => \led_flash_cnt[1642][7]~q\,
	datac => \led_flash_cnt[1642][0]~q\,
	datad => \WideAnd1642~0_combout\,
	combout => \WideAnd1642~combout\);

-- Location: FF_X46_Y33_N25
\led_flash_cnt_ands[1642]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1642~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1642));

-- Location: LCCOMB_X41_Y31_N0
\WideAnd4045~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4045~0_combout\ = (led_flash_cnt_ands(1640) & (led_flash_cnt_ands(1643) & (led_flash_cnt_ands(1641) & led_flash_cnt_ands(1642))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1640),
	datab => led_flash_cnt_ands(1643),
	datac => led_flash_cnt_ands(1641),
	datad => led_flash_cnt_ands(1642),
	combout => \WideAnd4045~0_combout\);

-- Location: LCCOMB_X35_Y32_N26
\led_flash_cnt[1646][0]~82286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1646][0]~82286_combout\ = !\led_flash_cnt[1646][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1646][0]~q\,
	combout => \led_flash_cnt[1646][0]~82286_combout\);

-- Location: FF_X35_Y32_N27
\led_flash_cnt[1646][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1646][0]~82286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1646][0]~q\);

-- Location: LCCOMB_X35_Y36_N16
\led_flash_cnt[1646][1]~49924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1646][1]~49924_combout\ = (\led_flash_cnt[1646][0]~q\ & (\led_flash_cnt[1646][1]~q\ $ (VCC))) # (!\led_flash_cnt[1646][0]~q\ & (\led_flash_cnt[1646][1]~q\ & VCC))
-- \led_flash_cnt[1646][1]~49925\ = CARRY((\led_flash_cnt[1646][0]~q\ & \led_flash_cnt[1646][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1646][0]~q\,
	datab => \led_flash_cnt[1646][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1646][1]~49924_combout\,
	cout => \led_flash_cnt[1646][1]~49925\);

-- Location: FF_X35_Y36_N17
\led_flash_cnt[1646][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1646][1]~49924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1646][1]~q\);

-- Location: LCCOMB_X35_Y36_N18
\led_flash_cnt[1646][2]~49926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1646][2]~49926_combout\ = (\led_flash_cnt[1646][2]~q\ & (!\led_flash_cnt[1646][1]~49925\)) # (!\led_flash_cnt[1646][2]~q\ & ((\led_flash_cnt[1646][1]~49925\) # (GND)))
-- \led_flash_cnt[1646][2]~49927\ = CARRY((!\led_flash_cnt[1646][1]~49925\) # (!\led_flash_cnt[1646][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1646][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1646][1]~49925\,
	combout => \led_flash_cnt[1646][2]~49926_combout\,
	cout => \led_flash_cnt[1646][2]~49927\);

-- Location: FF_X35_Y36_N19
\led_flash_cnt[1646][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1646][2]~49926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1646][2]~q\);

-- Location: LCCOMB_X35_Y36_N20
\led_flash_cnt[1646][3]~49928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1646][3]~49928_combout\ = (\led_flash_cnt[1646][3]~q\ & (\led_flash_cnt[1646][2]~49927\ $ (GND))) # (!\led_flash_cnt[1646][3]~q\ & (!\led_flash_cnt[1646][2]~49927\ & VCC))
-- \led_flash_cnt[1646][3]~49929\ = CARRY((\led_flash_cnt[1646][3]~q\ & !\led_flash_cnt[1646][2]~49927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1646][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1646][2]~49927\,
	combout => \led_flash_cnt[1646][3]~49928_combout\,
	cout => \led_flash_cnt[1646][3]~49929\);

-- Location: FF_X35_Y36_N21
\led_flash_cnt[1646][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1646][3]~49928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1646][3]~q\);

-- Location: LCCOMB_X35_Y36_N22
\led_flash_cnt[1646][4]~49930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1646][4]~49930_combout\ = (\led_flash_cnt[1646][4]~q\ & (!\led_flash_cnt[1646][3]~49929\)) # (!\led_flash_cnt[1646][4]~q\ & ((\led_flash_cnt[1646][3]~49929\) # (GND)))
-- \led_flash_cnt[1646][4]~49931\ = CARRY((!\led_flash_cnt[1646][3]~49929\) # (!\led_flash_cnt[1646][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1646][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1646][3]~49929\,
	combout => \led_flash_cnt[1646][4]~49930_combout\,
	cout => \led_flash_cnt[1646][4]~49931\);

-- Location: FF_X35_Y36_N23
\led_flash_cnt[1646][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1646][4]~49930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1646][4]~q\);

-- Location: LCCOMB_X35_Y36_N30
\WideAnd1646~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1646~0_combout\ = (\led_flash_cnt[1646][1]~q\ & (\led_flash_cnt[1646][2]~q\ & (\led_flash_cnt[1646][4]~q\ & \led_flash_cnt[1646][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1646][1]~q\,
	datab => \led_flash_cnt[1646][2]~q\,
	datac => \led_flash_cnt[1646][4]~q\,
	datad => \led_flash_cnt[1646][3]~q\,
	combout => \WideAnd1646~0_combout\);

-- Location: LCCOMB_X35_Y36_N24
\led_flash_cnt[1646][5]~49932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1646][5]~49932_combout\ = (\led_flash_cnt[1646][5]~q\ & (\led_flash_cnt[1646][4]~49931\ $ (GND))) # (!\led_flash_cnt[1646][5]~q\ & (!\led_flash_cnt[1646][4]~49931\ & VCC))
-- \led_flash_cnt[1646][5]~49933\ = CARRY((\led_flash_cnt[1646][5]~q\ & !\led_flash_cnt[1646][4]~49931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1646][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1646][4]~49931\,
	combout => \led_flash_cnt[1646][5]~49932_combout\,
	cout => \led_flash_cnt[1646][5]~49933\);

-- Location: FF_X35_Y36_N25
\led_flash_cnt[1646][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1646][5]~49932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1646][5]~q\);

-- Location: LCCOMB_X35_Y36_N26
\led_flash_cnt[1646][6]~49934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1646][6]~49934_combout\ = (\led_flash_cnt[1646][6]~q\ & (!\led_flash_cnt[1646][5]~49933\)) # (!\led_flash_cnt[1646][6]~q\ & ((\led_flash_cnt[1646][5]~49933\) # (GND)))
-- \led_flash_cnt[1646][6]~49935\ = CARRY((!\led_flash_cnt[1646][5]~49933\) # (!\led_flash_cnt[1646][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1646][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1646][5]~49933\,
	combout => \led_flash_cnt[1646][6]~49934_combout\,
	cout => \led_flash_cnt[1646][6]~49935\);

-- Location: FF_X35_Y36_N27
\led_flash_cnt[1646][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1646][6]~49934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1646][6]~q\);

-- Location: LCCOMB_X35_Y36_N28
\led_flash_cnt[1646][7]~49936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1646][7]~49936_combout\ = \led_flash_cnt[1646][6]~49935\ $ (!\led_flash_cnt[1646][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1646][7]~q\,
	cin => \led_flash_cnt[1646][6]~49935\,
	combout => \led_flash_cnt[1646][7]~49936_combout\);

-- Location: FF_X35_Y36_N29
\led_flash_cnt[1646][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1646][7]~49936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1646][7]~q\);

-- Location: LCCOMB_X35_Y32_N2
\WideAnd1646~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1646~1_combout\ = (\led_flash_cnt[1646][6]~q\ & \led_flash_cnt[1646][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1646][6]~q\,
	datad => \led_flash_cnt[1646][5]~q\,
	combout => \WideAnd1646~1_combout\);

-- Location: LCCOMB_X35_Y32_N20
WideAnd1646 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1646~combout\ = (\WideAnd1646~0_combout\ & (\led_flash_cnt[1646][7]~q\ & (\led_flash_cnt[1646][0]~q\ & \WideAnd1646~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1646~0_combout\,
	datab => \led_flash_cnt[1646][7]~q\,
	datac => \led_flash_cnt[1646][0]~q\,
	datad => \WideAnd1646~1_combout\,
	combout => \WideAnd1646~combout\);

-- Location: FF_X35_Y32_N21
\led_flash_cnt_ands[1646]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1646~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1646));

-- Location: LCCOMB_X42_Y31_N22
\led_flash_cnt[1645][0]~82285\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1645][0]~82285_combout\ = !\led_flash_cnt[1645][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1645][0]~q\,
	combout => \led_flash_cnt[1645][0]~82285_combout\);

-- Location: FF_X42_Y31_N23
\led_flash_cnt[1645][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1645][0]~82285_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1645][0]~q\);

-- Location: LCCOMB_X41_Y32_N0
\led_flash_cnt[1645][1]~49910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1645][1]~49910_combout\ = (\led_flash_cnt[1645][0]~q\ & (\led_flash_cnt[1645][1]~q\ $ (VCC))) # (!\led_flash_cnt[1645][0]~q\ & (\led_flash_cnt[1645][1]~q\ & VCC))
-- \led_flash_cnt[1645][1]~49911\ = CARRY((\led_flash_cnt[1645][0]~q\ & \led_flash_cnt[1645][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1645][0]~q\,
	datab => \led_flash_cnt[1645][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1645][1]~49910_combout\,
	cout => \led_flash_cnt[1645][1]~49911\);

-- Location: FF_X41_Y32_N1
\led_flash_cnt[1645][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1645][1]~49910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1645][1]~q\);

-- Location: LCCOMB_X41_Y32_N2
\led_flash_cnt[1645][2]~49912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1645][2]~49912_combout\ = (\led_flash_cnt[1645][2]~q\ & (!\led_flash_cnt[1645][1]~49911\)) # (!\led_flash_cnt[1645][2]~q\ & ((\led_flash_cnt[1645][1]~49911\) # (GND)))
-- \led_flash_cnt[1645][2]~49913\ = CARRY((!\led_flash_cnt[1645][1]~49911\) # (!\led_flash_cnt[1645][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1645][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1645][1]~49911\,
	combout => \led_flash_cnt[1645][2]~49912_combout\,
	cout => \led_flash_cnt[1645][2]~49913\);

-- Location: FF_X41_Y32_N3
\led_flash_cnt[1645][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1645][2]~49912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1645][2]~q\);

-- Location: LCCOMB_X41_Y32_N4
\led_flash_cnt[1645][3]~49914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1645][3]~49914_combout\ = (\led_flash_cnt[1645][3]~q\ & (\led_flash_cnt[1645][2]~49913\ $ (GND))) # (!\led_flash_cnt[1645][3]~q\ & (!\led_flash_cnt[1645][2]~49913\ & VCC))
-- \led_flash_cnt[1645][3]~49915\ = CARRY((\led_flash_cnt[1645][3]~q\ & !\led_flash_cnt[1645][2]~49913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1645][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1645][2]~49913\,
	combout => \led_flash_cnt[1645][3]~49914_combout\,
	cout => \led_flash_cnt[1645][3]~49915\);

-- Location: FF_X41_Y32_N5
\led_flash_cnt[1645][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1645][3]~49914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1645][3]~q\);

-- Location: LCCOMB_X41_Y32_N6
\led_flash_cnt[1645][4]~49916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1645][4]~49916_combout\ = (\led_flash_cnt[1645][4]~q\ & (!\led_flash_cnt[1645][3]~49915\)) # (!\led_flash_cnt[1645][4]~q\ & ((\led_flash_cnt[1645][3]~49915\) # (GND)))
-- \led_flash_cnt[1645][4]~49917\ = CARRY((!\led_flash_cnt[1645][3]~49915\) # (!\led_flash_cnt[1645][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1645][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1645][3]~49915\,
	combout => \led_flash_cnt[1645][4]~49916_combout\,
	cout => \led_flash_cnt[1645][4]~49917\);

-- Location: FF_X41_Y32_N7
\led_flash_cnt[1645][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1645][4]~49916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1645][4]~q\);

-- Location: LCCOMB_X41_Y32_N14
\WideAnd1645~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1645~0_combout\ = (\led_flash_cnt[1645][4]~q\ & (\led_flash_cnt[1645][2]~q\ & (\led_flash_cnt[1645][3]~q\ & \led_flash_cnt[1645][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1645][4]~q\,
	datab => \led_flash_cnt[1645][2]~q\,
	datac => \led_flash_cnt[1645][3]~q\,
	datad => \led_flash_cnt[1645][1]~q\,
	combout => \WideAnd1645~0_combout\);

-- Location: LCCOMB_X41_Y32_N8
\led_flash_cnt[1645][5]~49918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1645][5]~49918_combout\ = (\led_flash_cnt[1645][5]~q\ & (\led_flash_cnt[1645][4]~49917\ $ (GND))) # (!\led_flash_cnt[1645][5]~q\ & (!\led_flash_cnt[1645][4]~49917\ & VCC))
-- \led_flash_cnt[1645][5]~49919\ = CARRY((\led_flash_cnt[1645][5]~q\ & !\led_flash_cnt[1645][4]~49917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1645][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1645][4]~49917\,
	combout => \led_flash_cnt[1645][5]~49918_combout\,
	cout => \led_flash_cnt[1645][5]~49919\);

-- Location: FF_X41_Y32_N9
\led_flash_cnt[1645][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1645][5]~49918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1645][5]~q\);

-- Location: LCCOMB_X41_Y32_N10
\led_flash_cnt[1645][6]~49920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1645][6]~49920_combout\ = (\led_flash_cnt[1645][6]~q\ & (!\led_flash_cnt[1645][5]~49919\)) # (!\led_flash_cnt[1645][6]~q\ & ((\led_flash_cnt[1645][5]~49919\) # (GND)))
-- \led_flash_cnt[1645][6]~49921\ = CARRY((!\led_flash_cnt[1645][5]~49919\) # (!\led_flash_cnt[1645][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1645][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1645][5]~49919\,
	combout => \led_flash_cnt[1645][6]~49920_combout\,
	cout => \led_flash_cnt[1645][6]~49921\);

-- Location: FF_X41_Y32_N11
\led_flash_cnt[1645][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1645][6]~49920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1645][6]~q\);

-- Location: LCCOMB_X42_Y32_N14
\WideAnd1645~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1645~1_combout\ = (\led_flash_cnt[1645][6]~q\ & \led_flash_cnt[1645][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1645][6]~q\,
	datad => \led_flash_cnt[1645][5]~q\,
	combout => \WideAnd1645~1_combout\);

-- Location: LCCOMB_X41_Y32_N12
\led_flash_cnt[1645][7]~49922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1645][7]~49922_combout\ = \led_flash_cnt[1645][6]~49921\ $ (!\led_flash_cnt[1645][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1645][7]~q\,
	cin => \led_flash_cnt[1645][6]~49921\,
	combout => \led_flash_cnt[1645][7]~49922_combout\);

-- Location: FF_X41_Y32_N13
\led_flash_cnt[1645][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1645][7]~49922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1645][7]~q\);

-- Location: LCCOMB_X42_Y32_N4
WideAnd1645 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1645~combout\ = (\WideAnd1645~0_combout\ & (\WideAnd1645~1_combout\ & (\led_flash_cnt[1645][0]~q\ & \led_flash_cnt[1645][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1645~0_combout\,
	datab => \WideAnd1645~1_combout\,
	datac => \led_flash_cnt[1645][0]~q\,
	datad => \led_flash_cnt[1645][7]~q\,
	combout => \WideAnd1645~combout\);

-- Location: FF_X42_Y32_N5
\led_flash_cnt_ands[1645]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1645~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1645));

-- Location: LCCOMB_X42_Y31_N26
\led_flash_cnt[1644][0]~82284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1644][0]~82284_combout\ = !\led_flash_cnt[1644][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1644][0]~q\,
	combout => \led_flash_cnt[1644][0]~82284_combout\);

-- Location: FF_X42_Y31_N27
\led_flash_cnt[1644][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1644][0]~82284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1644][0]~q\);

-- Location: LCCOMB_X42_Y31_N4
\led_flash_cnt[1644][1]~49896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1644][1]~49896_combout\ = (\led_flash_cnt[1644][0]~q\ & (\led_flash_cnt[1644][1]~q\ $ (VCC))) # (!\led_flash_cnt[1644][0]~q\ & (\led_flash_cnt[1644][1]~q\ & VCC))
-- \led_flash_cnt[1644][1]~49897\ = CARRY((\led_flash_cnt[1644][0]~q\ & \led_flash_cnt[1644][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1644][0]~q\,
	datab => \led_flash_cnt[1644][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1644][1]~49896_combout\,
	cout => \led_flash_cnt[1644][1]~49897\);

-- Location: FF_X42_Y31_N5
\led_flash_cnt[1644][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1644][1]~49896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1644][1]~q\);

-- Location: LCCOMB_X42_Y31_N6
\led_flash_cnt[1644][2]~49898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1644][2]~49898_combout\ = (\led_flash_cnt[1644][2]~q\ & (!\led_flash_cnt[1644][1]~49897\)) # (!\led_flash_cnt[1644][2]~q\ & ((\led_flash_cnt[1644][1]~49897\) # (GND)))
-- \led_flash_cnt[1644][2]~49899\ = CARRY((!\led_flash_cnt[1644][1]~49897\) # (!\led_flash_cnt[1644][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1644][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1644][1]~49897\,
	combout => \led_flash_cnt[1644][2]~49898_combout\,
	cout => \led_flash_cnt[1644][2]~49899\);

-- Location: FF_X42_Y31_N7
\led_flash_cnt[1644][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1644][2]~49898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1644][2]~q\);

-- Location: LCCOMB_X42_Y31_N8
\led_flash_cnt[1644][3]~49900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1644][3]~49900_combout\ = (\led_flash_cnt[1644][3]~q\ & (\led_flash_cnt[1644][2]~49899\ $ (GND))) # (!\led_flash_cnt[1644][3]~q\ & (!\led_flash_cnt[1644][2]~49899\ & VCC))
-- \led_flash_cnt[1644][3]~49901\ = CARRY((\led_flash_cnt[1644][3]~q\ & !\led_flash_cnt[1644][2]~49899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1644][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1644][2]~49899\,
	combout => \led_flash_cnt[1644][3]~49900_combout\,
	cout => \led_flash_cnt[1644][3]~49901\);

-- Location: FF_X42_Y31_N9
\led_flash_cnt[1644][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1644][3]~49900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1644][3]~q\);

-- Location: LCCOMB_X42_Y31_N10
\led_flash_cnt[1644][4]~49902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1644][4]~49902_combout\ = (\led_flash_cnt[1644][4]~q\ & (!\led_flash_cnt[1644][3]~49901\)) # (!\led_flash_cnt[1644][4]~q\ & ((\led_flash_cnt[1644][3]~49901\) # (GND)))
-- \led_flash_cnt[1644][4]~49903\ = CARRY((!\led_flash_cnt[1644][3]~49901\) # (!\led_flash_cnt[1644][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1644][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1644][3]~49901\,
	combout => \led_flash_cnt[1644][4]~49902_combout\,
	cout => \led_flash_cnt[1644][4]~49903\);

-- Location: FF_X42_Y31_N11
\led_flash_cnt[1644][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1644][4]~49902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1644][4]~q\);

-- Location: LCCOMB_X42_Y31_N12
\led_flash_cnt[1644][5]~49904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1644][5]~49904_combout\ = (\led_flash_cnt[1644][5]~q\ & (\led_flash_cnt[1644][4]~49903\ $ (GND))) # (!\led_flash_cnt[1644][5]~q\ & (!\led_flash_cnt[1644][4]~49903\ & VCC))
-- \led_flash_cnt[1644][5]~49905\ = CARRY((\led_flash_cnt[1644][5]~q\ & !\led_flash_cnt[1644][4]~49903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1644][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1644][4]~49903\,
	combout => \led_flash_cnt[1644][5]~49904_combout\,
	cout => \led_flash_cnt[1644][5]~49905\);

-- Location: FF_X42_Y31_N13
\led_flash_cnt[1644][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1644][5]~49904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1644][5]~q\);

-- Location: LCCOMB_X42_Y31_N14
\led_flash_cnt[1644][6]~49906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1644][6]~49906_combout\ = (\led_flash_cnt[1644][6]~q\ & (!\led_flash_cnt[1644][5]~49905\)) # (!\led_flash_cnt[1644][6]~q\ & ((\led_flash_cnt[1644][5]~49905\) # (GND)))
-- \led_flash_cnt[1644][6]~49907\ = CARRY((!\led_flash_cnt[1644][5]~49905\) # (!\led_flash_cnt[1644][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1644][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1644][5]~49905\,
	combout => \led_flash_cnt[1644][6]~49906_combout\,
	cout => \led_flash_cnt[1644][6]~49907\);

-- Location: FF_X42_Y31_N15
\led_flash_cnt[1644][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1644][6]~49906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1644][6]~q\);

-- Location: LCCOMB_X42_Y31_N16
\led_flash_cnt[1644][7]~49908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1644][7]~49908_combout\ = \led_flash_cnt[1644][6]~49907\ $ (!\led_flash_cnt[1644][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1644][7]~q\,
	cin => \led_flash_cnt[1644][6]~49907\,
	combout => \led_flash_cnt[1644][7]~49908_combout\);

-- Location: FF_X42_Y31_N17
\led_flash_cnt[1644][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1644][7]~49908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1644][7]~q\);

-- Location: LCCOMB_X42_Y31_N30
\WideAnd1644~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1644~1_combout\ = (\led_flash_cnt[1644][6]~q\ & \led_flash_cnt[1644][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1644][6]~q\,
	datad => \led_flash_cnt[1644][5]~q\,
	combout => \WideAnd1644~1_combout\);

-- Location: LCCOMB_X42_Y31_N18
\WideAnd1644~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1644~0_combout\ = (\led_flash_cnt[1644][4]~q\ & (\led_flash_cnt[1644][1]~q\ & (\led_flash_cnt[1644][3]~q\ & \led_flash_cnt[1644][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1644][4]~q\,
	datab => \led_flash_cnt[1644][1]~q\,
	datac => \led_flash_cnt[1644][3]~q\,
	datad => \led_flash_cnt[1644][2]~q\,
	combout => \WideAnd1644~0_combout\);

-- Location: LCCOMB_X42_Y31_N24
WideAnd1644 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1644~combout\ = (\led_flash_cnt[1644][0]~q\ & (\led_flash_cnt[1644][7]~q\ & (\WideAnd1644~1_combout\ & \WideAnd1644~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1644][0]~q\,
	datab => \led_flash_cnt[1644][7]~q\,
	datac => \WideAnd1644~1_combout\,
	datad => \WideAnd1644~0_combout\,
	combout => \WideAnd1644~combout\);

-- Location: FF_X42_Y31_N25
\led_flash_cnt_ands[1644]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1644~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1644));

-- Location: LCCOMB_X42_Y31_N2
\WideAnd4045~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4045~1_combout\ = (led_flash_cnt_ands(1645) & led_flash_cnt_ands(1644))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1645),
	datad => led_flash_cnt_ands(1644),
	combout => \WideAnd4045~1_combout\);

-- Location: LCCOMB_X35_Y32_N24
\led_flash_cnt[1647][0]~82287\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1647][0]~82287_combout\ = !\led_flash_cnt[1647][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1647][0]~q\,
	combout => \led_flash_cnt[1647][0]~82287_combout\);

-- Location: FF_X35_Y32_N25
\led_flash_cnt[1647][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1647][0]~82287_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1647][0]~q\);

-- Location: LCCOMB_X35_Y32_N4
\led_flash_cnt[1647][1]~49938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1647][1]~49938_combout\ = (\led_flash_cnt[1647][1]~q\ & (\led_flash_cnt[1647][0]~q\ $ (VCC))) # (!\led_flash_cnt[1647][1]~q\ & (\led_flash_cnt[1647][0]~q\ & VCC))
-- \led_flash_cnt[1647][1]~49939\ = CARRY((\led_flash_cnt[1647][1]~q\ & \led_flash_cnt[1647][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1647][1]~q\,
	datab => \led_flash_cnt[1647][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1647][1]~49938_combout\,
	cout => \led_flash_cnt[1647][1]~49939\);

-- Location: FF_X35_Y32_N5
\led_flash_cnt[1647][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1647][1]~49938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1647][1]~q\);

-- Location: LCCOMB_X35_Y32_N6
\led_flash_cnt[1647][2]~49940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1647][2]~49940_combout\ = (\led_flash_cnt[1647][2]~q\ & (!\led_flash_cnt[1647][1]~49939\)) # (!\led_flash_cnt[1647][2]~q\ & ((\led_flash_cnt[1647][1]~49939\) # (GND)))
-- \led_flash_cnt[1647][2]~49941\ = CARRY((!\led_flash_cnt[1647][1]~49939\) # (!\led_flash_cnt[1647][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1647][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1647][1]~49939\,
	combout => \led_flash_cnt[1647][2]~49940_combout\,
	cout => \led_flash_cnt[1647][2]~49941\);

-- Location: FF_X35_Y32_N7
\led_flash_cnt[1647][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1647][2]~49940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1647][2]~q\);

-- Location: LCCOMB_X35_Y32_N8
\led_flash_cnt[1647][3]~49942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1647][3]~49942_combout\ = (\led_flash_cnt[1647][3]~q\ & (\led_flash_cnt[1647][2]~49941\ $ (GND))) # (!\led_flash_cnt[1647][3]~q\ & (!\led_flash_cnt[1647][2]~49941\ & VCC))
-- \led_flash_cnt[1647][3]~49943\ = CARRY((\led_flash_cnt[1647][3]~q\ & !\led_flash_cnt[1647][2]~49941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1647][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1647][2]~49941\,
	combout => \led_flash_cnt[1647][3]~49942_combout\,
	cout => \led_flash_cnt[1647][3]~49943\);

-- Location: FF_X35_Y32_N9
\led_flash_cnt[1647][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1647][3]~49942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1647][3]~q\);

-- Location: LCCOMB_X35_Y32_N10
\led_flash_cnt[1647][4]~49944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1647][4]~49944_combout\ = (\led_flash_cnt[1647][4]~q\ & (!\led_flash_cnt[1647][3]~49943\)) # (!\led_flash_cnt[1647][4]~q\ & ((\led_flash_cnt[1647][3]~49943\) # (GND)))
-- \led_flash_cnt[1647][4]~49945\ = CARRY((!\led_flash_cnt[1647][3]~49943\) # (!\led_flash_cnt[1647][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1647][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1647][3]~49943\,
	combout => \led_flash_cnt[1647][4]~49944_combout\,
	cout => \led_flash_cnt[1647][4]~49945\);

-- Location: FF_X35_Y32_N11
\led_flash_cnt[1647][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1647][4]~49944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1647][4]~q\);

-- Location: LCCOMB_X35_Y32_N22
\WideAnd1647~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1647~0_combout\ = (\led_flash_cnt[1647][4]~q\ & (\led_flash_cnt[1647][1]~q\ & (\led_flash_cnt[1647][3]~q\ & \led_flash_cnt[1647][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1647][4]~q\,
	datab => \led_flash_cnt[1647][1]~q\,
	datac => \led_flash_cnt[1647][3]~q\,
	datad => \led_flash_cnt[1647][2]~q\,
	combout => \WideAnd1647~0_combout\);

-- Location: LCCOMB_X35_Y32_N12
\led_flash_cnt[1647][5]~49946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1647][5]~49946_combout\ = (\led_flash_cnt[1647][5]~q\ & (\led_flash_cnt[1647][4]~49945\ $ (GND))) # (!\led_flash_cnt[1647][5]~q\ & (!\led_flash_cnt[1647][4]~49945\ & VCC))
-- \led_flash_cnt[1647][5]~49947\ = CARRY((\led_flash_cnt[1647][5]~q\ & !\led_flash_cnt[1647][4]~49945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1647][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1647][4]~49945\,
	combout => \led_flash_cnt[1647][5]~49946_combout\,
	cout => \led_flash_cnt[1647][5]~49947\);

-- Location: FF_X35_Y32_N13
\led_flash_cnt[1647][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1647][5]~49946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1647][5]~q\);

-- Location: LCCOMB_X35_Y32_N14
\led_flash_cnt[1647][6]~49948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1647][6]~49948_combout\ = (\led_flash_cnt[1647][6]~q\ & (!\led_flash_cnt[1647][5]~49947\)) # (!\led_flash_cnt[1647][6]~q\ & ((\led_flash_cnt[1647][5]~49947\) # (GND)))
-- \led_flash_cnt[1647][6]~49949\ = CARRY((!\led_flash_cnt[1647][5]~49947\) # (!\led_flash_cnt[1647][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1647][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1647][5]~49947\,
	combout => \led_flash_cnt[1647][6]~49948_combout\,
	cout => \led_flash_cnt[1647][6]~49949\);

-- Location: FF_X35_Y32_N15
\led_flash_cnt[1647][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1647][6]~49948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1647][6]~q\);

-- Location: LCCOMB_X35_Y32_N16
\led_flash_cnt[1647][7]~49950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1647][7]~49950_combout\ = \led_flash_cnt[1647][6]~49949\ $ (!\led_flash_cnt[1647][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1647][7]~q\,
	cin => \led_flash_cnt[1647][6]~49949\,
	combout => \led_flash_cnt[1647][7]~49950_combout\);

-- Location: FF_X35_Y32_N17
\led_flash_cnt[1647][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1647][7]~49950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1647][7]~q\);

-- Location: LCCOMB_X35_Y32_N30
\WideAnd1647~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1647~1_combout\ = (\led_flash_cnt[1647][6]~q\ & \led_flash_cnt[1647][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1647][6]~q\,
	datad => \led_flash_cnt[1647][5]~q\,
	combout => \WideAnd1647~1_combout\);

-- Location: LCCOMB_X35_Y32_N18
WideAnd1647 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1647~combout\ = (\WideAnd1647~0_combout\ & (\led_flash_cnt[1647][7]~q\ & (\WideAnd1647~1_combout\ & \led_flash_cnt[1647][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1647~0_combout\,
	datab => \led_flash_cnt[1647][7]~q\,
	datac => \WideAnd1647~1_combout\,
	datad => \led_flash_cnt[1647][0]~q\,
	combout => \WideAnd1647~combout\);

-- Location: FF_X35_Y32_N19
\led_flash_cnt_ands[1647]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1647~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1647));

-- Location: LCCOMB_X35_Y32_N0
WideAnd4045 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4045~combout\ = (\WideAnd4045~0_combout\ & (led_flash_cnt_ands(1646) & (\WideAnd4045~1_combout\ & led_flash_cnt_ands(1647))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4045~0_combout\,
	datab => led_flash_cnt_ands(1646),
	datac => \WideAnd4045~1_combout\,
	datad => led_flash_cnt_ands(1647),
	combout => \WideAnd4045~combout\);

-- Location: FF_X35_Y32_N1
\led_flash_cnt_ands_1[205]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4045~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(205));

-- Location: LCCOMB_X35_Y32_N28
\WideAnd4345~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4345~1_combout\ = (led_flash_cnt_ands_1(204) & led_flash_cnt_ands_1(205))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(204),
	datad => led_flash_cnt_ands_1(205),
	combout => \WideAnd4345~1_combout\);

-- Location: LCCOMB_X15_Y28_N22
\led_flash_cnt[1655][0]~82295\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1655][0]~82295_combout\ = !\led_flash_cnt[1655][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1655][0]~q\,
	combout => \led_flash_cnt[1655][0]~82295_combout\);

-- Location: FF_X15_Y28_N23
\led_flash_cnt[1655][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1655][0]~82295_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1655][0]~q\);

-- Location: LCCOMB_X15_Y28_N0
\led_flash_cnt[1655][1]~50050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1655][1]~50050_combout\ = (\led_flash_cnt[1655][0]~q\ & (\led_flash_cnt[1655][1]~q\ $ (VCC))) # (!\led_flash_cnt[1655][0]~q\ & (\led_flash_cnt[1655][1]~q\ & VCC))
-- \led_flash_cnt[1655][1]~50051\ = CARRY((\led_flash_cnt[1655][0]~q\ & \led_flash_cnt[1655][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1655][0]~q\,
	datab => \led_flash_cnt[1655][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1655][1]~50050_combout\,
	cout => \led_flash_cnt[1655][1]~50051\);

-- Location: FF_X15_Y28_N1
\led_flash_cnt[1655][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1655][1]~50050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1655][1]~q\);

-- Location: LCCOMB_X15_Y28_N2
\led_flash_cnt[1655][2]~50052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1655][2]~50052_combout\ = (\led_flash_cnt[1655][2]~q\ & (!\led_flash_cnt[1655][1]~50051\)) # (!\led_flash_cnt[1655][2]~q\ & ((\led_flash_cnt[1655][1]~50051\) # (GND)))
-- \led_flash_cnt[1655][2]~50053\ = CARRY((!\led_flash_cnt[1655][1]~50051\) # (!\led_flash_cnt[1655][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1655][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1655][1]~50051\,
	combout => \led_flash_cnt[1655][2]~50052_combout\,
	cout => \led_flash_cnt[1655][2]~50053\);

-- Location: FF_X15_Y28_N3
\led_flash_cnt[1655][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1655][2]~50052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1655][2]~q\);

-- Location: LCCOMB_X15_Y28_N4
\led_flash_cnt[1655][3]~50054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1655][3]~50054_combout\ = (\led_flash_cnt[1655][3]~q\ & (\led_flash_cnt[1655][2]~50053\ $ (GND))) # (!\led_flash_cnt[1655][3]~q\ & (!\led_flash_cnt[1655][2]~50053\ & VCC))
-- \led_flash_cnt[1655][3]~50055\ = CARRY((\led_flash_cnt[1655][3]~q\ & !\led_flash_cnt[1655][2]~50053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1655][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1655][2]~50053\,
	combout => \led_flash_cnt[1655][3]~50054_combout\,
	cout => \led_flash_cnt[1655][3]~50055\);

-- Location: FF_X15_Y28_N5
\led_flash_cnt[1655][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1655][3]~50054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1655][3]~q\);

-- Location: LCCOMB_X15_Y28_N6
\led_flash_cnt[1655][4]~50056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1655][4]~50056_combout\ = (\led_flash_cnt[1655][4]~q\ & (!\led_flash_cnt[1655][3]~50055\)) # (!\led_flash_cnt[1655][4]~q\ & ((\led_flash_cnt[1655][3]~50055\) # (GND)))
-- \led_flash_cnt[1655][4]~50057\ = CARRY((!\led_flash_cnt[1655][3]~50055\) # (!\led_flash_cnt[1655][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1655][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1655][3]~50055\,
	combout => \led_flash_cnt[1655][4]~50056_combout\,
	cout => \led_flash_cnt[1655][4]~50057\);

-- Location: FF_X15_Y28_N7
\led_flash_cnt[1655][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1655][4]~50056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1655][4]~q\);

-- Location: LCCOMB_X15_Y28_N8
\led_flash_cnt[1655][5]~50058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1655][5]~50058_combout\ = (\led_flash_cnt[1655][5]~q\ & (\led_flash_cnt[1655][4]~50057\ $ (GND))) # (!\led_flash_cnt[1655][5]~q\ & (!\led_flash_cnt[1655][4]~50057\ & VCC))
-- \led_flash_cnt[1655][5]~50059\ = CARRY((\led_flash_cnt[1655][5]~q\ & !\led_flash_cnt[1655][4]~50057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1655][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1655][4]~50057\,
	combout => \led_flash_cnt[1655][5]~50058_combout\,
	cout => \led_flash_cnt[1655][5]~50059\);

-- Location: FF_X15_Y28_N9
\led_flash_cnt[1655][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1655][5]~50058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1655][5]~q\);

-- Location: LCCOMB_X15_Y28_N10
\led_flash_cnt[1655][6]~50060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1655][6]~50060_combout\ = (\led_flash_cnt[1655][6]~q\ & (!\led_flash_cnt[1655][5]~50059\)) # (!\led_flash_cnt[1655][6]~q\ & ((\led_flash_cnt[1655][5]~50059\) # (GND)))
-- \led_flash_cnt[1655][6]~50061\ = CARRY((!\led_flash_cnt[1655][5]~50059\) # (!\led_flash_cnt[1655][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1655][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1655][5]~50059\,
	combout => \led_flash_cnt[1655][6]~50060_combout\,
	cout => \led_flash_cnt[1655][6]~50061\);

-- Location: FF_X15_Y28_N11
\led_flash_cnt[1655][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1655][6]~50060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1655][6]~q\);

-- Location: LCCOMB_X15_Y28_N12
\led_flash_cnt[1655][7]~50062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1655][7]~50062_combout\ = \led_flash_cnt[1655][6]~50061\ $ (!\led_flash_cnt[1655][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1655][7]~q\,
	cin => \led_flash_cnt[1655][6]~50061\,
	combout => \led_flash_cnt[1655][7]~50062_combout\);

-- Location: FF_X15_Y28_N13
\led_flash_cnt[1655][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1655][7]~50062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1655][7]~q\);

-- Location: LCCOMB_X15_Y28_N28
\WideAnd1655~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1655~0_combout\ = (\led_flash_cnt[1655][4]~q\ & (\led_flash_cnt[1655][1]~q\ & (\led_flash_cnt[1655][3]~q\ & \led_flash_cnt[1655][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1655][4]~q\,
	datab => \led_flash_cnt[1655][1]~q\,
	datac => \led_flash_cnt[1655][3]~q\,
	datad => \led_flash_cnt[1655][2]~q\,
	combout => \WideAnd1655~0_combout\);

-- Location: LCCOMB_X15_Y28_N18
\WideAnd1655~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1655~1_combout\ = (\led_flash_cnt[1655][5]~q\ & \led_flash_cnt[1655][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1655][5]~q\,
	datad => \led_flash_cnt[1655][6]~q\,
	combout => \WideAnd1655~1_combout\);

-- Location: LCCOMB_X15_Y28_N16
WideAnd1655 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1655~combout\ = (\led_flash_cnt[1655][7]~q\ & (\WideAnd1655~0_combout\ & (\led_flash_cnt[1655][0]~q\ & \WideAnd1655~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1655][7]~q\,
	datab => \WideAnd1655~0_combout\,
	datac => \led_flash_cnt[1655][0]~q\,
	datad => \WideAnd1655~1_combout\,
	combout => \WideAnd1655~combout\);

-- Location: FF_X15_Y28_N17
\led_flash_cnt_ands[1655]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1655~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1655));

-- Location: LCCOMB_X21_Y29_N8
\led_flash_cnt[1654][0]~82294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1654][0]~82294_combout\ = !\led_flash_cnt[1654][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1654][0]~q\,
	combout => \led_flash_cnt[1654][0]~82294_combout\);

-- Location: FF_X21_Y29_N9
\led_flash_cnt[1654][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1654][0]~82294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1654][0]~q\);

-- Location: LCCOMB_X22_Y29_N0
\led_flash_cnt[1654][1]~50036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1654][1]~50036_combout\ = (\led_flash_cnt[1654][0]~q\ & (\led_flash_cnt[1654][1]~q\ $ (VCC))) # (!\led_flash_cnt[1654][0]~q\ & (\led_flash_cnt[1654][1]~q\ & VCC))
-- \led_flash_cnt[1654][1]~50037\ = CARRY((\led_flash_cnt[1654][0]~q\ & \led_flash_cnt[1654][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1654][0]~q\,
	datab => \led_flash_cnt[1654][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1654][1]~50036_combout\,
	cout => \led_flash_cnt[1654][1]~50037\);

-- Location: FF_X22_Y29_N1
\led_flash_cnt[1654][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1654][1]~50036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1654][1]~q\);

-- Location: LCCOMB_X22_Y29_N2
\led_flash_cnt[1654][2]~50038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1654][2]~50038_combout\ = (\led_flash_cnt[1654][2]~q\ & (!\led_flash_cnt[1654][1]~50037\)) # (!\led_flash_cnt[1654][2]~q\ & ((\led_flash_cnt[1654][1]~50037\) # (GND)))
-- \led_flash_cnt[1654][2]~50039\ = CARRY((!\led_flash_cnt[1654][1]~50037\) # (!\led_flash_cnt[1654][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1654][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1654][1]~50037\,
	combout => \led_flash_cnt[1654][2]~50038_combout\,
	cout => \led_flash_cnt[1654][2]~50039\);

-- Location: FF_X22_Y29_N3
\led_flash_cnt[1654][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1654][2]~50038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1654][2]~q\);

-- Location: LCCOMB_X22_Y29_N4
\led_flash_cnt[1654][3]~50040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1654][3]~50040_combout\ = (\led_flash_cnt[1654][3]~q\ & (\led_flash_cnt[1654][2]~50039\ $ (GND))) # (!\led_flash_cnt[1654][3]~q\ & (!\led_flash_cnt[1654][2]~50039\ & VCC))
-- \led_flash_cnt[1654][3]~50041\ = CARRY((\led_flash_cnt[1654][3]~q\ & !\led_flash_cnt[1654][2]~50039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1654][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1654][2]~50039\,
	combout => \led_flash_cnt[1654][3]~50040_combout\,
	cout => \led_flash_cnt[1654][3]~50041\);

-- Location: FF_X22_Y29_N5
\led_flash_cnt[1654][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1654][3]~50040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1654][3]~q\);

-- Location: LCCOMB_X22_Y29_N6
\led_flash_cnt[1654][4]~50042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1654][4]~50042_combout\ = (\led_flash_cnt[1654][4]~q\ & (!\led_flash_cnt[1654][3]~50041\)) # (!\led_flash_cnt[1654][4]~q\ & ((\led_flash_cnt[1654][3]~50041\) # (GND)))
-- \led_flash_cnt[1654][4]~50043\ = CARRY((!\led_flash_cnt[1654][3]~50041\) # (!\led_flash_cnt[1654][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1654][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1654][3]~50041\,
	combout => \led_flash_cnt[1654][4]~50042_combout\,
	cout => \led_flash_cnt[1654][4]~50043\);

-- Location: FF_X22_Y29_N7
\led_flash_cnt[1654][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1654][4]~50042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1654][4]~q\);

-- Location: LCCOMB_X22_Y29_N8
\led_flash_cnt[1654][5]~50044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1654][5]~50044_combout\ = (\led_flash_cnt[1654][5]~q\ & (\led_flash_cnt[1654][4]~50043\ $ (GND))) # (!\led_flash_cnt[1654][5]~q\ & (!\led_flash_cnt[1654][4]~50043\ & VCC))
-- \led_flash_cnt[1654][5]~50045\ = CARRY((\led_flash_cnt[1654][5]~q\ & !\led_flash_cnt[1654][4]~50043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1654][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1654][4]~50043\,
	combout => \led_flash_cnt[1654][5]~50044_combout\,
	cout => \led_flash_cnt[1654][5]~50045\);

-- Location: FF_X22_Y29_N9
\led_flash_cnt[1654][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1654][5]~50044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1654][5]~q\);

-- Location: LCCOMB_X22_Y29_N10
\led_flash_cnt[1654][6]~50046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1654][6]~50046_combout\ = (\led_flash_cnt[1654][6]~q\ & (!\led_flash_cnt[1654][5]~50045\)) # (!\led_flash_cnt[1654][6]~q\ & ((\led_flash_cnt[1654][5]~50045\) # (GND)))
-- \led_flash_cnt[1654][6]~50047\ = CARRY((!\led_flash_cnt[1654][5]~50045\) # (!\led_flash_cnt[1654][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1654][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1654][5]~50045\,
	combout => \led_flash_cnt[1654][6]~50046_combout\,
	cout => \led_flash_cnt[1654][6]~50047\);

-- Location: FF_X22_Y29_N11
\led_flash_cnt[1654][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1654][6]~50046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1654][6]~q\);

-- Location: LCCOMB_X21_Y29_N4
\WideAnd1654~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1654~1_combout\ = (\led_flash_cnt[1654][5]~q\ & \led_flash_cnt[1654][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1654][5]~q\,
	datac => \led_flash_cnt[1654][6]~q\,
	combout => \WideAnd1654~1_combout\);

-- Location: LCCOMB_X22_Y29_N12
\led_flash_cnt[1654][7]~50048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1654][7]~50048_combout\ = \led_flash_cnt[1654][6]~50047\ $ (!\led_flash_cnt[1654][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1654][7]~q\,
	cin => \led_flash_cnt[1654][6]~50047\,
	combout => \led_flash_cnt[1654][7]~50048_combout\);

-- Location: FF_X22_Y29_N13
\led_flash_cnt[1654][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1654][7]~50048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1654][7]~q\);

-- Location: LCCOMB_X22_Y29_N30
\WideAnd1654~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1654~0_combout\ = (\led_flash_cnt[1654][4]~q\ & (\led_flash_cnt[1654][2]~q\ & (\led_flash_cnt[1654][3]~q\ & \led_flash_cnt[1654][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1654][4]~q\,
	datab => \led_flash_cnt[1654][2]~q\,
	datac => \led_flash_cnt[1654][3]~q\,
	datad => \led_flash_cnt[1654][1]~q\,
	combout => \WideAnd1654~0_combout\);

-- Location: LCCOMB_X21_Y29_N28
WideAnd1654 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1654~combout\ = (\led_flash_cnt[1654][0]~q\ & (\WideAnd1654~1_combout\ & (\led_flash_cnt[1654][7]~q\ & \WideAnd1654~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1654][0]~q\,
	datab => \WideAnd1654~1_combout\,
	datac => \led_flash_cnt[1654][7]~q\,
	datad => \WideAnd1654~0_combout\,
	combout => \WideAnd1654~combout\);

-- Location: FF_X21_Y29_N29
\led_flash_cnt_ands[1654]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1654~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1654));

-- Location: LCCOMB_X13_Y32_N28
\led_flash_cnt[1650][0]~82290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1650][0]~82290_combout\ = !\led_flash_cnt[1650][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1650][0]~q\,
	combout => \led_flash_cnt[1650][0]~82290_combout\);

-- Location: FF_X13_Y32_N29
\led_flash_cnt[1650][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1650][0]~82290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1650][0]~q\);

-- Location: LCCOMB_X13_Y32_N12
\led_flash_cnt[1650][1]~49980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1650][1]~49980_combout\ = (\led_flash_cnt[1650][1]~q\ & (\led_flash_cnt[1650][0]~q\ $ (VCC))) # (!\led_flash_cnt[1650][1]~q\ & (\led_flash_cnt[1650][0]~q\ & VCC))
-- \led_flash_cnt[1650][1]~49981\ = CARRY((\led_flash_cnt[1650][1]~q\ & \led_flash_cnt[1650][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1650][1]~q\,
	datab => \led_flash_cnt[1650][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1650][1]~49980_combout\,
	cout => \led_flash_cnt[1650][1]~49981\);

-- Location: FF_X13_Y32_N13
\led_flash_cnt[1650][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1650][1]~49980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1650][1]~q\);

-- Location: LCCOMB_X13_Y32_N14
\led_flash_cnt[1650][2]~49982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1650][2]~49982_combout\ = (\led_flash_cnt[1650][2]~q\ & (!\led_flash_cnt[1650][1]~49981\)) # (!\led_flash_cnt[1650][2]~q\ & ((\led_flash_cnt[1650][1]~49981\) # (GND)))
-- \led_flash_cnt[1650][2]~49983\ = CARRY((!\led_flash_cnt[1650][1]~49981\) # (!\led_flash_cnt[1650][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1650][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1650][1]~49981\,
	combout => \led_flash_cnt[1650][2]~49982_combout\,
	cout => \led_flash_cnt[1650][2]~49983\);

-- Location: FF_X13_Y32_N15
\led_flash_cnt[1650][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1650][2]~49982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1650][2]~q\);

-- Location: LCCOMB_X13_Y32_N16
\led_flash_cnt[1650][3]~49984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1650][3]~49984_combout\ = (\led_flash_cnt[1650][3]~q\ & (\led_flash_cnt[1650][2]~49983\ $ (GND))) # (!\led_flash_cnt[1650][3]~q\ & (!\led_flash_cnt[1650][2]~49983\ & VCC))
-- \led_flash_cnt[1650][3]~49985\ = CARRY((\led_flash_cnt[1650][3]~q\ & !\led_flash_cnt[1650][2]~49983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1650][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1650][2]~49983\,
	combout => \led_flash_cnt[1650][3]~49984_combout\,
	cout => \led_flash_cnt[1650][3]~49985\);

-- Location: FF_X13_Y32_N17
\led_flash_cnt[1650][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1650][3]~49984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1650][3]~q\);

-- Location: LCCOMB_X13_Y32_N18
\led_flash_cnt[1650][4]~49986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1650][4]~49986_combout\ = (\led_flash_cnt[1650][4]~q\ & (!\led_flash_cnt[1650][3]~49985\)) # (!\led_flash_cnt[1650][4]~q\ & ((\led_flash_cnt[1650][3]~49985\) # (GND)))
-- \led_flash_cnt[1650][4]~49987\ = CARRY((!\led_flash_cnt[1650][3]~49985\) # (!\led_flash_cnt[1650][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1650][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1650][3]~49985\,
	combout => \led_flash_cnt[1650][4]~49986_combout\,
	cout => \led_flash_cnt[1650][4]~49987\);

-- Location: FF_X13_Y32_N19
\led_flash_cnt[1650][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1650][4]~49986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1650][4]~q\);

-- Location: LCCOMB_X13_Y32_N20
\led_flash_cnt[1650][5]~49988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1650][5]~49988_combout\ = (\led_flash_cnt[1650][5]~q\ & (\led_flash_cnt[1650][4]~49987\ $ (GND))) # (!\led_flash_cnt[1650][5]~q\ & (!\led_flash_cnt[1650][4]~49987\ & VCC))
-- \led_flash_cnt[1650][5]~49989\ = CARRY((\led_flash_cnt[1650][5]~q\ & !\led_flash_cnt[1650][4]~49987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1650][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1650][4]~49987\,
	combout => \led_flash_cnt[1650][5]~49988_combout\,
	cout => \led_flash_cnt[1650][5]~49989\);

-- Location: FF_X13_Y32_N21
\led_flash_cnt[1650][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1650][5]~49988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1650][5]~q\);

-- Location: LCCOMB_X13_Y32_N22
\led_flash_cnt[1650][6]~49990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1650][6]~49990_combout\ = (\led_flash_cnt[1650][6]~q\ & (!\led_flash_cnt[1650][5]~49989\)) # (!\led_flash_cnt[1650][6]~q\ & ((\led_flash_cnt[1650][5]~49989\) # (GND)))
-- \led_flash_cnt[1650][6]~49991\ = CARRY((!\led_flash_cnt[1650][5]~49989\) # (!\led_flash_cnt[1650][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1650][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1650][5]~49989\,
	combout => \led_flash_cnt[1650][6]~49990_combout\,
	cout => \led_flash_cnt[1650][6]~49991\);

-- Location: FF_X13_Y32_N23
\led_flash_cnt[1650][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1650][6]~49990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1650][6]~q\);

-- Location: LCCOMB_X13_Y32_N10
\WideAnd1650~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1650~1_combout\ = (\led_flash_cnt[1650][6]~q\ & \led_flash_cnt[1650][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1650][6]~q\,
	datad => \led_flash_cnt[1650][5]~q\,
	combout => \WideAnd1650~1_combout\);

-- Location: LCCOMB_X13_Y32_N24
\led_flash_cnt[1650][7]~49992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1650][7]~49992_combout\ = \led_flash_cnt[1650][6]~49991\ $ (!\led_flash_cnt[1650][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1650][7]~q\,
	cin => \led_flash_cnt[1650][6]~49991\,
	combout => \led_flash_cnt[1650][7]~49992_combout\);

-- Location: FF_X13_Y32_N25
\led_flash_cnt[1650][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1650][7]~49992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1650][7]~q\);

-- Location: LCCOMB_X13_Y32_N8
\WideAnd1650~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1650~0_combout\ = (\led_flash_cnt[1650][4]~q\ & (\led_flash_cnt[1650][3]~q\ & (\led_flash_cnt[1650][2]~q\ & \led_flash_cnt[1650][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1650][4]~q\,
	datab => \led_flash_cnt[1650][3]~q\,
	datac => \led_flash_cnt[1650][2]~q\,
	datad => \led_flash_cnt[1650][1]~q\,
	combout => \WideAnd1650~0_combout\);

-- Location: LCCOMB_X13_Y32_N26
WideAnd1650 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1650~combout\ = (\WideAnd1650~1_combout\ & (\led_flash_cnt[1650][7]~q\ & (\WideAnd1650~0_combout\ & \led_flash_cnt[1650][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1650~1_combout\,
	datab => \led_flash_cnt[1650][7]~q\,
	datac => \WideAnd1650~0_combout\,
	datad => \led_flash_cnt[1650][0]~q\,
	combout => \WideAnd1650~combout\);

-- Location: FF_X13_Y32_N27
\led_flash_cnt_ands[1650]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1650~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1650));

-- Location: LCCOMB_X14_Y32_N0
\led_flash_cnt[1651][0]~82291\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1651][0]~82291_combout\ = !\led_flash_cnt[1651][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1651][0]~q\,
	combout => \led_flash_cnt[1651][0]~82291_combout\);

-- Location: FF_X14_Y32_N1
\led_flash_cnt[1651][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1651][0]~82291_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1651][0]~q\);

-- Location: LCCOMB_X15_Y32_N18
\led_flash_cnt[1651][1]~49994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1651][1]~49994_combout\ = (\led_flash_cnt[1651][0]~q\ & (\led_flash_cnt[1651][1]~q\ $ (VCC))) # (!\led_flash_cnt[1651][0]~q\ & (\led_flash_cnt[1651][1]~q\ & VCC))
-- \led_flash_cnt[1651][1]~49995\ = CARRY((\led_flash_cnt[1651][0]~q\ & \led_flash_cnt[1651][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1651][0]~q\,
	datab => \led_flash_cnt[1651][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1651][1]~49994_combout\,
	cout => \led_flash_cnt[1651][1]~49995\);

-- Location: FF_X15_Y32_N19
\led_flash_cnt[1651][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1651][1]~49994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1651][1]~q\);

-- Location: LCCOMB_X15_Y32_N20
\led_flash_cnt[1651][2]~49996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1651][2]~49996_combout\ = (\led_flash_cnt[1651][2]~q\ & (!\led_flash_cnt[1651][1]~49995\)) # (!\led_flash_cnt[1651][2]~q\ & ((\led_flash_cnt[1651][1]~49995\) # (GND)))
-- \led_flash_cnt[1651][2]~49997\ = CARRY((!\led_flash_cnt[1651][1]~49995\) # (!\led_flash_cnt[1651][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1651][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1651][1]~49995\,
	combout => \led_flash_cnt[1651][2]~49996_combout\,
	cout => \led_flash_cnt[1651][2]~49997\);

-- Location: FF_X15_Y32_N21
\led_flash_cnt[1651][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1651][2]~49996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1651][2]~q\);

-- Location: LCCOMB_X15_Y32_N22
\led_flash_cnt[1651][3]~49998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1651][3]~49998_combout\ = (\led_flash_cnt[1651][3]~q\ & (\led_flash_cnt[1651][2]~49997\ $ (GND))) # (!\led_flash_cnt[1651][3]~q\ & (!\led_flash_cnt[1651][2]~49997\ & VCC))
-- \led_flash_cnt[1651][3]~49999\ = CARRY((\led_flash_cnt[1651][3]~q\ & !\led_flash_cnt[1651][2]~49997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1651][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1651][2]~49997\,
	combout => \led_flash_cnt[1651][3]~49998_combout\,
	cout => \led_flash_cnt[1651][3]~49999\);

-- Location: FF_X15_Y32_N23
\led_flash_cnt[1651][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1651][3]~49998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1651][3]~q\);

-- Location: LCCOMB_X15_Y32_N24
\led_flash_cnt[1651][4]~50000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1651][4]~50000_combout\ = (\led_flash_cnt[1651][4]~q\ & (!\led_flash_cnt[1651][3]~49999\)) # (!\led_flash_cnt[1651][4]~q\ & ((\led_flash_cnt[1651][3]~49999\) # (GND)))
-- \led_flash_cnt[1651][4]~50001\ = CARRY((!\led_flash_cnt[1651][3]~49999\) # (!\led_flash_cnt[1651][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1651][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1651][3]~49999\,
	combout => \led_flash_cnt[1651][4]~50000_combout\,
	cout => \led_flash_cnt[1651][4]~50001\);

-- Location: FF_X15_Y32_N25
\led_flash_cnt[1651][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1651][4]~50000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1651][4]~q\);

-- Location: LCCOMB_X15_Y32_N26
\led_flash_cnt[1651][5]~50002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1651][5]~50002_combout\ = (\led_flash_cnt[1651][5]~q\ & (\led_flash_cnt[1651][4]~50001\ $ (GND))) # (!\led_flash_cnt[1651][5]~q\ & (!\led_flash_cnt[1651][4]~50001\ & VCC))
-- \led_flash_cnt[1651][5]~50003\ = CARRY((\led_flash_cnt[1651][5]~q\ & !\led_flash_cnt[1651][4]~50001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1651][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1651][4]~50001\,
	combout => \led_flash_cnt[1651][5]~50002_combout\,
	cout => \led_flash_cnt[1651][5]~50003\);

-- Location: FF_X15_Y32_N27
\led_flash_cnt[1651][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1651][5]~50002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1651][5]~q\);

-- Location: LCCOMB_X15_Y32_N28
\led_flash_cnt[1651][6]~50004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1651][6]~50004_combout\ = (\led_flash_cnt[1651][6]~q\ & (!\led_flash_cnt[1651][5]~50003\)) # (!\led_flash_cnt[1651][6]~q\ & ((\led_flash_cnt[1651][5]~50003\) # (GND)))
-- \led_flash_cnt[1651][6]~50005\ = CARRY((!\led_flash_cnt[1651][5]~50003\) # (!\led_flash_cnt[1651][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1651][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1651][5]~50003\,
	combout => \led_flash_cnt[1651][6]~50004_combout\,
	cout => \led_flash_cnt[1651][6]~50005\);

-- Location: FF_X15_Y32_N29
\led_flash_cnt[1651][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1651][6]~50004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1651][6]~q\);

-- Location: LCCOMB_X15_Y32_N30
\led_flash_cnt[1651][7]~50006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1651][7]~50006_combout\ = \led_flash_cnt[1651][7]~q\ $ (!\led_flash_cnt[1651][6]~50005\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1651][7]~q\,
	cin => \led_flash_cnt[1651][6]~50005\,
	combout => \led_flash_cnt[1651][7]~50006_combout\);

-- Location: FF_X15_Y32_N31
\led_flash_cnt[1651][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1651][7]~50006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1651][7]~q\);

-- Location: LCCOMB_X15_Y32_N0
\WideAnd1651~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1651~0_combout\ = (\led_flash_cnt[1651][2]~q\ & (\led_flash_cnt[1651][1]~q\ & (\led_flash_cnt[1651][3]~q\ & \led_flash_cnt[1651][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1651][2]~q\,
	datab => \led_flash_cnt[1651][1]~q\,
	datac => \led_flash_cnt[1651][3]~q\,
	datad => \led_flash_cnt[1651][4]~q\,
	combout => \WideAnd1651~0_combout\);

-- Location: LCCOMB_X14_Y32_N16
\WideAnd1651~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1651~1_combout\ = (\led_flash_cnt[1651][6]~q\ & \led_flash_cnt[1651][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1651][6]~q\,
	datad => \led_flash_cnt[1651][5]~q\,
	combout => \WideAnd1651~1_combout\);

-- Location: LCCOMB_X14_Y32_N24
WideAnd1651 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1651~combout\ = (\led_flash_cnt[1651][7]~q\ & (\led_flash_cnt[1651][0]~q\ & (\WideAnd1651~0_combout\ & \WideAnd1651~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1651][7]~q\,
	datab => \led_flash_cnt[1651][0]~q\,
	datac => \WideAnd1651~0_combout\,
	datad => \WideAnd1651~1_combout\,
	combout => \WideAnd1651~combout\);

-- Location: FF_X14_Y32_N25
\led_flash_cnt_ands[1651]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1651~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1651));

-- Location: LCCOMB_X21_Y29_N0
\led_flash_cnt[1649][0]~82289\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1649][0]~82289_combout\ = !\led_flash_cnt[1649][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1649][0]~q\,
	combout => \led_flash_cnt[1649][0]~82289_combout\);

-- Location: FF_X21_Y29_N1
\led_flash_cnt[1649][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1649][0]~82289_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1649][0]~q\);

-- Location: LCCOMB_X21_Y29_N10
\led_flash_cnt[1649][1]~49966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1649][1]~49966_combout\ = (\led_flash_cnt[1649][1]~q\ & (\led_flash_cnt[1649][0]~q\ $ (VCC))) # (!\led_flash_cnt[1649][1]~q\ & (\led_flash_cnt[1649][0]~q\ & VCC))
-- \led_flash_cnt[1649][1]~49967\ = CARRY((\led_flash_cnt[1649][1]~q\ & \led_flash_cnt[1649][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1649][1]~q\,
	datab => \led_flash_cnt[1649][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1649][1]~49966_combout\,
	cout => \led_flash_cnt[1649][1]~49967\);

-- Location: FF_X21_Y29_N11
\led_flash_cnt[1649][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1649][1]~49966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1649][1]~q\);

-- Location: LCCOMB_X21_Y29_N12
\led_flash_cnt[1649][2]~49968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1649][2]~49968_combout\ = (\led_flash_cnt[1649][2]~q\ & (!\led_flash_cnt[1649][1]~49967\)) # (!\led_flash_cnt[1649][2]~q\ & ((\led_flash_cnt[1649][1]~49967\) # (GND)))
-- \led_flash_cnt[1649][2]~49969\ = CARRY((!\led_flash_cnt[1649][1]~49967\) # (!\led_flash_cnt[1649][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1649][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1649][1]~49967\,
	combout => \led_flash_cnt[1649][2]~49968_combout\,
	cout => \led_flash_cnt[1649][2]~49969\);

-- Location: FF_X21_Y29_N13
\led_flash_cnt[1649][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1649][2]~49968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1649][2]~q\);

-- Location: LCCOMB_X21_Y29_N14
\led_flash_cnt[1649][3]~49970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1649][3]~49970_combout\ = (\led_flash_cnt[1649][3]~q\ & (\led_flash_cnt[1649][2]~49969\ $ (GND))) # (!\led_flash_cnt[1649][3]~q\ & (!\led_flash_cnt[1649][2]~49969\ & VCC))
-- \led_flash_cnt[1649][3]~49971\ = CARRY((\led_flash_cnt[1649][3]~q\ & !\led_flash_cnt[1649][2]~49969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1649][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1649][2]~49969\,
	combout => \led_flash_cnt[1649][3]~49970_combout\,
	cout => \led_flash_cnt[1649][3]~49971\);

-- Location: FF_X21_Y29_N15
\led_flash_cnt[1649][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1649][3]~49970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1649][3]~q\);

-- Location: LCCOMB_X21_Y29_N16
\led_flash_cnt[1649][4]~49972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1649][4]~49972_combout\ = (\led_flash_cnt[1649][4]~q\ & (!\led_flash_cnt[1649][3]~49971\)) # (!\led_flash_cnt[1649][4]~q\ & ((\led_flash_cnt[1649][3]~49971\) # (GND)))
-- \led_flash_cnt[1649][4]~49973\ = CARRY((!\led_flash_cnt[1649][3]~49971\) # (!\led_flash_cnt[1649][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1649][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1649][3]~49971\,
	combout => \led_flash_cnt[1649][4]~49972_combout\,
	cout => \led_flash_cnt[1649][4]~49973\);

-- Location: FF_X21_Y29_N17
\led_flash_cnt[1649][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1649][4]~49972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1649][4]~q\);

-- Location: LCCOMB_X21_Y29_N26
\WideAnd1649~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1649~0_combout\ = (\led_flash_cnt[1649][2]~q\ & (\led_flash_cnt[1649][4]~q\ & (\led_flash_cnt[1649][3]~q\ & \led_flash_cnt[1649][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1649][2]~q\,
	datab => \led_flash_cnt[1649][4]~q\,
	datac => \led_flash_cnt[1649][3]~q\,
	datad => \led_flash_cnt[1649][1]~q\,
	combout => \WideAnd1649~0_combout\);

-- Location: LCCOMB_X21_Y29_N18
\led_flash_cnt[1649][5]~49974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1649][5]~49974_combout\ = (\led_flash_cnt[1649][5]~q\ & (\led_flash_cnt[1649][4]~49973\ $ (GND))) # (!\led_flash_cnt[1649][5]~q\ & (!\led_flash_cnt[1649][4]~49973\ & VCC))
-- \led_flash_cnt[1649][5]~49975\ = CARRY((\led_flash_cnt[1649][5]~q\ & !\led_flash_cnt[1649][4]~49973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1649][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1649][4]~49973\,
	combout => \led_flash_cnt[1649][5]~49974_combout\,
	cout => \led_flash_cnt[1649][5]~49975\);

-- Location: FF_X21_Y29_N19
\led_flash_cnt[1649][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1649][5]~49974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1649][5]~q\);

-- Location: LCCOMB_X21_Y29_N20
\led_flash_cnt[1649][6]~49976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1649][6]~49976_combout\ = (\led_flash_cnt[1649][6]~q\ & (!\led_flash_cnt[1649][5]~49975\)) # (!\led_flash_cnt[1649][6]~q\ & ((\led_flash_cnt[1649][5]~49975\) # (GND)))
-- \led_flash_cnt[1649][6]~49977\ = CARRY((!\led_flash_cnt[1649][5]~49975\) # (!\led_flash_cnt[1649][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1649][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1649][5]~49975\,
	combout => \led_flash_cnt[1649][6]~49976_combout\,
	cout => \led_flash_cnt[1649][6]~49977\);

-- Location: FF_X21_Y29_N21
\led_flash_cnt[1649][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1649][6]~49976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1649][6]~q\);

-- Location: LCCOMB_X21_Y29_N22
\led_flash_cnt[1649][7]~49978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1649][7]~49978_combout\ = \led_flash_cnt[1649][7]~q\ $ (!\led_flash_cnt[1649][6]~49977\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1649][7]~q\,
	cin => \led_flash_cnt[1649][6]~49977\,
	combout => \led_flash_cnt[1649][7]~49978_combout\);

-- Location: FF_X21_Y29_N23
\led_flash_cnt[1649][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1649][7]~49978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1649][7]~q\);

-- Location: LCCOMB_X21_Y29_N2
\WideAnd1649~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1649~1_combout\ = (\led_flash_cnt[1649][5]~q\ & \led_flash_cnt[1649][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1649][5]~q\,
	datad => \led_flash_cnt[1649][6]~q\,
	combout => \WideAnd1649~1_combout\);

-- Location: LCCOMB_X21_Y29_N24
WideAnd1649 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1649~combout\ = (\WideAnd1649~0_combout\ & (\led_flash_cnt[1649][0]~q\ & (\led_flash_cnt[1649][7]~q\ & \WideAnd1649~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1649~0_combout\,
	datab => \led_flash_cnt[1649][0]~q\,
	datac => \led_flash_cnt[1649][7]~q\,
	datad => \WideAnd1649~1_combout\,
	combout => \WideAnd1649~combout\);

-- Location: FF_X21_Y29_N25
\led_flash_cnt_ands[1649]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1649~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1649));

-- Location: LCCOMB_X14_Y32_N26
\led_flash_cnt[1648][0]~82288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1648][0]~82288_combout\ = !\led_flash_cnt[1648][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1648][0]~q\,
	combout => \led_flash_cnt[1648][0]~82288_combout\);

-- Location: FF_X14_Y32_N27
\led_flash_cnt[1648][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1648][0]~82288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1648][0]~q\);

-- Location: LCCOMB_X14_Y32_N2
\led_flash_cnt[1648][1]~49952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1648][1]~49952_combout\ = (\led_flash_cnt[1648][0]~q\ & (\led_flash_cnt[1648][1]~q\ $ (VCC))) # (!\led_flash_cnt[1648][0]~q\ & (\led_flash_cnt[1648][1]~q\ & VCC))
-- \led_flash_cnt[1648][1]~49953\ = CARRY((\led_flash_cnt[1648][0]~q\ & \led_flash_cnt[1648][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1648][0]~q\,
	datab => \led_flash_cnt[1648][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1648][1]~49952_combout\,
	cout => \led_flash_cnt[1648][1]~49953\);

-- Location: FF_X14_Y32_N3
\led_flash_cnt[1648][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1648][1]~49952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1648][1]~q\);

-- Location: LCCOMB_X14_Y32_N4
\led_flash_cnt[1648][2]~49954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1648][2]~49954_combout\ = (\led_flash_cnt[1648][2]~q\ & (!\led_flash_cnt[1648][1]~49953\)) # (!\led_flash_cnt[1648][2]~q\ & ((\led_flash_cnt[1648][1]~49953\) # (GND)))
-- \led_flash_cnt[1648][2]~49955\ = CARRY((!\led_flash_cnt[1648][1]~49953\) # (!\led_flash_cnt[1648][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1648][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1648][1]~49953\,
	combout => \led_flash_cnt[1648][2]~49954_combout\,
	cout => \led_flash_cnt[1648][2]~49955\);

-- Location: FF_X14_Y32_N5
\led_flash_cnt[1648][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1648][2]~49954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1648][2]~q\);

-- Location: LCCOMB_X14_Y32_N6
\led_flash_cnt[1648][3]~49956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1648][3]~49956_combout\ = (\led_flash_cnt[1648][3]~q\ & (\led_flash_cnt[1648][2]~49955\ $ (GND))) # (!\led_flash_cnt[1648][3]~q\ & (!\led_flash_cnt[1648][2]~49955\ & VCC))
-- \led_flash_cnt[1648][3]~49957\ = CARRY((\led_flash_cnt[1648][3]~q\ & !\led_flash_cnt[1648][2]~49955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1648][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1648][2]~49955\,
	combout => \led_flash_cnt[1648][3]~49956_combout\,
	cout => \led_flash_cnt[1648][3]~49957\);

-- Location: FF_X14_Y32_N7
\led_flash_cnt[1648][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1648][3]~49956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1648][3]~q\);

-- Location: LCCOMB_X14_Y32_N8
\led_flash_cnt[1648][4]~49958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1648][4]~49958_combout\ = (\led_flash_cnt[1648][4]~q\ & (!\led_flash_cnt[1648][3]~49957\)) # (!\led_flash_cnt[1648][4]~q\ & ((\led_flash_cnt[1648][3]~49957\) # (GND)))
-- \led_flash_cnt[1648][4]~49959\ = CARRY((!\led_flash_cnt[1648][3]~49957\) # (!\led_flash_cnt[1648][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1648][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1648][3]~49957\,
	combout => \led_flash_cnt[1648][4]~49958_combout\,
	cout => \led_flash_cnt[1648][4]~49959\);

-- Location: FF_X14_Y32_N9
\led_flash_cnt[1648][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1648][4]~49958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1648][4]~q\);

-- Location: LCCOMB_X14_Y32_N10
\led_flash_cnt[1648][5]~49960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1648][5]~49960_combout\ = (\led_flash_cnt[1648][5]~q\ & (\led_flash_cnt[1648][4]~49959\ $ (GND))) # (!\led_flash_cnt[1648][5]~q\ & (!\led_flash_cnt[1648][4]~49959\ & VCC))
-- \led_flash_cnt[1648][5]~49961\ = CARRY((\led_flash_cnt[1648][5]~q\ & !\led_flash_cnt[1648][4]~49959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1648][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1648][4]~49959\,
	combout => \led_flash_cnt[1648][5]~49960_combout\,
	cout => \led_flash_cnt[1648][5]~49961\);

-- Location: FF_X14_Y32_N11
\led_flash_cnt[1648][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1648][5]~49960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1648][5]~q\);

-- Location: LCCOMB_X14_Y32_N12
\led_flash_cnt[1648][6]~49962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1648][6]~49962_combout\ = (\led_flash_cnt[1648][6]~q\ & (!\led_flash_cnt[1648][5]~49961\)) # (!\led_flash_cnt[1648][6]~q\ & ((\led_flash_cnt[1648][5]~49961\) # (GND)))
-- \led_flash_cnt[1648][6]~49963\ = CARRY((!\led_flash_cnt[1648][5]~49961\) # (!\led_flash_cnt[1648][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1648][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1648][5]~49961\,
	combout => \led_flash_cnt[1648][6]~49962_combout\,
	cout => \led_flash_cnt[1648][6]~49963\);

-- Location: FF_X14_Y32_N13
\led_flash_cnt[1648][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1648][6]~49962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1648][6]~q\);

-- Location: LCCOMB_X14_Y32_N30
\WideAnd1648~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1648~1_combout\ = (\led_flash_cnt[1648][6]~q\ & \led_flash_cnt[1648][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1648][6]~q\,
	datad => \led_flash_cnt[1648][5]~q\,
	combout => \WideAnd1648~1_combout\);

-- Location: LCCOMB_X14_Y32_N14
\led_flash_cnt[1648][7]~49964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1648][7]~49964_combout\ = \led_flash_cnt[1648][7]~q\ $ (!\led_flash_cnt[1648][6]~49963\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1648][7]~q\,
	cin => \led_flash_cnt[1648][6]~49963\,
	combout => \led_flash_cnt[1648][7]~49964_combout\);

-- Location: FF_X14_Y32_N15
\led_flash_cnt[1648][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1648][7]~49964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1648][7]~q\);

-- Location: LCCOMB_X14_Y32_N18
\WideAnd1648~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1648~0_combout\ = (\led_flash_cnt[1648][3]~q\ & (\led_flash_cnt[1648][4]~q\ & (\led_flash_cnt[1648][2]~q\ & \led_flash_cnt[1648][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1648][3]~q\,
	datab => \led_flash_cnt[1648][4]~q\,
	datac => \led_flash_cnt[1648][2]~q\,
	datad => \led_flash_cnt[1648][1]~q\,
	combout => \WideAnd1648~0_combout\);

-- Location: LCCOMB_X14_Y32_N20
WideAnd1648 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1648~combout\ = (\WideAnd1648~1_combout\ & (\led_flash_cnt[1648][7]~q\ & (\led_flash_cnt[1648][0]~q\ & \WideAnd1648~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1648~1_combout\,
	datab => \led_flash_cnt[1648][7]~q\,
	datac => \led_flash_cnt[1648][0]~q\,
	datad => \WideAnd1648~0_combout\,
	combout => \WideAnd1648~combout\);

-- Location: FF_X14_Y32_N21
\led_flash_cnt_ands[1648]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1648~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1648));

-- Location: LCCOMB_X14_Y32_N22
\WideAnd4046~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4046~0_combout\ = (led_flash_cnt_ands(1650) & (led_flash_cnt_ands(1651) & (led_flash_cnt_ands(1649) & led_flash_cnt_ands(1648))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1650),
	datab => led_flash_cnt_ands(1651),
	datac => led_flash_cnt_ands(1649),
	datad => led_flash_cnt_ands(1648),
	combout => \WideAnd4046~0_combout\);

-- Location: LCCOMB_X21_Y36_N0
\led_flash_cnt[1652][0]~82292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1652][0]~82292_combout\ = !\led_flash_cnt[1652][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1652][0]~q\,
	combout => \led_flash_cnt[1652][0]~82292_combout\);

-- Location: FF_X21_Y36_N1
\led_flash_cnt[1652][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1652][0]~82292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1652][0]~q\);

-- Location: LCCOMB_X19_Y37_N18
\led_flash_cnt[1652][1]~50008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1652][1]~50008_combout\ = (\led_flash_cnt[1652][0]~q\ & (\led_flash_cnt[1652][1]~q\ $ (VCC))) # (!\led_flash_cnt[1652][0]~q\ & (\led_flash_cnt[1652][1]~q\ & VCC))
-- \led_flash_cnt[1652][1]~50009\ = CARRY((\led_flash_cnt[1652][0]~q\ & \led_flash_cnt[1652][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1652][0]~q\,
	datab => \led_flash_cnt[1652][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1652][1]~50008_combout\,
	cout => \led_flash_cnt[1652][1]~50009\);

-- Location: FF_X19_Y37_N19
\led_flash_cnt[1652][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1652][1]~50008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1652][1]~q\);

-- Location: LCCOMB_X19_Y37_N20
\led_flash_cnt[1652][2]~50010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1652][2]~50010_combout\ = (\led_flash_cnt[1652][2]~q\ & (!\led_flash_cnt[1652][1]~50009\)) # (!\led_flash_cnt[1652][2]~q\ & ((\led_flash_cnt[1652][1]~50009\) # (GND)))
-- \led_flash_cnt[1652][2]~50011\ = CARRY((!\led_flash_cnt[1652][1]~50009\) # (!\led_flash_cnt[1652][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1652][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1652][1]~50009\,
	combout => \led_flash_cnt[1652][2]~50010_combout\,
	cout => \led_flash_cnt[1652][2]~50011\);

-- Location: FF_X19_Y37_N21
\led_flash_cnt[1652][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1652][2]~50010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1652][2]~q\);

-- Location: LCCOMB_X19_Y37_N22
\led_flash_cnt[1652][3]~50012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1652][3]~50012_combout\ = (\led_flash_cnt[1652][3]~q\ & (\led_flash_cnt[1652][2]~50011\ $ (GND))) # (!\led_flash_cnt[1652][3]~q\ & (!\led_flash_cnt[1652][2]~50011\ & VCC))
-- \led_flash_cnt[1652][3]~50013\ = CARRY((\led_flash_cnt[1652][3]~q\ & !\led_flash_cnt[1652][2]~50011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1652][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1652][2]~50011\,
	combout => \led_flash_cnt[1652][3]~50012_combout\,
	cout => \led_flash_cnt[1652][3]~50013\);

-- Location: FF_X19_Y37_N23
\led_flash_cnt[1652][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1652][3]~50012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1652][3]~q\);

-- Location: LCCOMB_X19_Y37_N24
\led_flash_cnt[1652][4]~50014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1652][4]~50014_combout\ = (\led_flash_cnt[1652][4]~q\ & (!\led_flash_cnt[1652][3]~50013\)) # (!\led_flash_cnt[1652][4]~q\ & ((\led_flash_cnt[1652][3]~50013\) # (GND)))
-- \led_flash_cnt[1652][4]~50015\ = CARRY((!\led_flash_cnt[1652][3]~50013\) # (!\led_flash_cnt[1652][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1652][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1652][3]~50013\,
	combout => \led_flash_cnt[1652][4]~50014_combout\,
	cout => \led_flash_cnt[1652][4]~50015\);

-- Location: FF_X19_Y37_N25
\led_flash_cnt[1652][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1652][4]~50014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1652][4]~q\);

-- Location: LCCOMB_X19_Y37_N16
\WideAnd1652~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1652~0_combout\ = (\led_flash_cnt[1652][4]~q\ & (\led_flash_cnt[1652][2]~q\ & (\led_flash_cnt[1652][3]~q\ & \led_flash_cnt[1652][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1652][4]~q\,
	datab => \led_flash_cnt[1652][2]~q\,
	datac => \led_flash_cnt[1652][3]~q\,
	datad => \led_flash_cnt[1652][1]~q\,
	combout => \WideAnd1652~0_combout\);

-- Location: LCCOMB_X19_Y37_N26
\led_flash_cnt[1652][5]~50016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1652][5]~50016_combout\ = (\led_flash_cnt[1652][5]~q\ & (\led_flash_cnt[1652][4]~50015\ $ (GND))) # (!\led_flash_cnt[1652][5]~q\ & (!\led_flash_cnt[1652][4]~50015\ & VCC))
-- \led_flash_cnt[1652][5]~50017\ = CARRY((\led_flash_cnt[1652][5]~q\ & !\led_flash_cnt[1652][4]~50015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1652][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1652][4]~50015\,
	combout => \led_flash_cnt[1652][5]~50016_combout\,
	cout => \led_flash_cnt[1652][5]~50017\);

-- Location: FF_X19_Y37_N27
\led_flash_cnt[1652][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1652][5]~50016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1652][5]~q\);

-- Location: LCCOMB_X19_Y37_N28
\led_flash_cnt[1652][6]~50018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1652][6]~50018_combout\ = (\led_flash_cnt[1652][6]~q\ & (!\led_flash_cnt[1652][5]~50017\)) # (!\led_flash_cnt[1652][6]~q\ & ((\led_flash_cnt[1652][5]~50017\) # (GND)))
-- \led_flash_cnt[1652][6]~50019\ = CARRY((!\led_flash_cnt[1652][5]~50017\) # (!\led_flash_cnt[1652][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1652][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1652][5]~50017\,
	combout => \led_flash_cnt[1652][6]~50018_combout\,
	cout => \led_flash_cnt[1652][6]~50019\);

-- Location: FF_X19_Y37_N29
\led_flash_cnt[1652][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1652][6]~50018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1652][6]~q\);

-- Location: LCCOMB_X19_Y37_N30
\led_flash_cnt[1652][7]~50020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1652][7]~50020_combout\ = \led_flash_cnt[1652][7]~q\ $ (!\led_flash_cnt[1652][6]~50019\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1652][7]~q\,
	cin => \led_flash_cnt[1652][6]~50019\,
	combout => \led_flash_cnt[1652][7]~50020_combout\);

-- Location: FF_X19_Y37_N31
\led_flash_cnt[1652][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1652][7]~50020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1652][7]~q\);

-- Location: LCCOMB_X20_Y37_N10
\WideAnd1652~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1652~1_combout\ = (\led_flash_cnt[1652][5]~q\ & \led_flash_cnt[1652][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1652][5]~q\,
	datad => \led_flash_cnt[1652][6]~q\,
	combout => \WideAnd1652~1_combout\);

-- Location: LCCOMB_X20_Y37_N2
WideAnd1652 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1652~combout\ = (\WideAnd1652~0_combout\ & (\led_flash_cnt[1652][7]~q\ & (\led_flash_cnt[1652][0]~q\ & \WideAnd1652~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1652~0_combout\,
	datab => \led_flash_cnt[1652][7]~q\,
	datac => \led_flash_cnt[1652][0]~q\,
	datad => \WideAnd1652~1_combout\,
	combout => \WideAnd1652~combout\);

-- Location: FF_X20_Y37_N3
\led_flash_cnt_ands[1652]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1652~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1652));

-- Location: LCCOMB_X19_Y35_N28
\led_flash_cnt[1653][0]~82293\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1653][0]~82293_combout\ = !\led_flash_cnt[1653][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1653][0]~q\,
	combout => \led_flash_cnt[1653][0]~82293_combout\);

-- Location: FF_X19_Y35_N29
\led_flash_cnt[1653][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1653][0]~82293_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1653][0]~q\);

-- Location: LCCOMB_X20_Y35_N4
\led_flash_cnt[1653][1]~50022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1653][1]~50022_combout\ = (\led_flash_cnt[1653][0]~q\ & (\led_flash_cnt[1653][1]~q\ $ (VCC))) # (!\led_flash_cnt[1653][0]~q\ & (\led_flash_cnt[1653][1]~q\ & VCC))
-- \led_flash_cnt[1653][1]~50023\ = CARRY((\led_flash_cnt[1653][0]~q\ & \led_flash_cnt[1653][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1653][0]~q\,
	datab => \led_flash_cnt[1653][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1653][1]~50022_combout\,
	cout => \led_flash_cnt[1653][1]~50023\);

-- Location: FF_X20_Y35_N5
\led_flash_cnt[1653][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1653][1]~50022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1653][1]~q\);

-- Location: LCCOMB_X20_Y35_N6
\led_flash_cnt[1653][2]~50024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1653][2]~50024_combout\ = (\led_flash_cnt[1653][2]~q\ & (!\led_flash_cnt[1653][1]~50023\)) # (!\led_flash_cnt[1653][2]~q\ & ((\led_flash_cnt[1653][1]~50023\) # (GND)))
-- \led_flash_cnt[1653][2]~50025\ = CARRY((!\led_flash_cnt[1653][1]~50023\) # (!\led_flash_cnt[1653][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1653][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1653][1]~50023\,
	combout => \led_flash_cnt[1653][2]~50024_combout\,
	cout => \led_flash_cnt[1653][2]~50025\);

-- Location: FF_X20_Y35_N7
\led_flash_cnt[1653][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1653][2]~50024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1653][2]~q\);

-- Location: LCCOMB_X20_Y35_N8
\led_flash_cnt[1653][3]~50026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1653][3]~50026_combout\ = (\led_flash_cnt[1653][3]~q\ & (\led_flash_cnt[1653][2]~50025\ $ (GND))) # (!\led_flash_cnt[1653][3]~q\ & (!\led_flash_cnt[1653][2]~50025\ & VCC))
-- \led_flash_cnt[1653][3]~50027\ = CARRY((\led_flash_cnt[1653][3]~q\ & !\led_flash_cnt[1653][2]~50025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1653][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1653][2]~50025\,
	combout => \led_flash_cnt[1653][3]~50026_combout\,
	cout => \led_flash_cnt[1653][3]~50027\);

-- Location: FF_X20_Y35_N9
\led_flash_cnt[1653][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1653][3]~50026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1653][3]~q\);

-- Location: LCCOMB_X20_Y35_N10
\led_flash_cnt[1653][4]~50028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1653][4]~50028_combout\ = (\led_flash_cnt[1653][4]~q\ & (!\led_flash_cnt[1653][3]~50027\)) # (!\led_flash_cnt[1653][4]~q\ & ((\led_flash_cnt[1653][3]~50027\) # (GND)))
-- \led_flash_cnt[1653][4]~50029\ = CARRY((!\led_flash_cnt[1653][3]~50027\) # (!\led_flash_cnt[1653][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1653][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1653][3]~50027\,
	combout => \led_flash_cnt[1653][4]~50028_combout\,
	cout => \led_flash_cnt[1653][4]~50029\);

-- Location: FF_X20_Y35_N11
\led_flash_cnt[1653][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1653][4]~50028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1653][4]~q\);

-- Location: LCCOMB_X20_Y35_N2
\WideAnd1653~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1653~0_combout\ = (\led_flash_cnt[1653][2]~q\ & (\led_flash_cnt[1653][3]~q\ & (\led_flash_cnt[1653][1]~q\ & \led_flash_cnt[1653][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1653][2]~q\,
	datab => \led_flash_cnt[1653][3]~q\,
	datac => \led_flash_cnt[1653][1]~q\,
	datad => \led_flash_cnt[1653][4]~q\,
	combout => \WideAnd1653~0_combout\);

-- Location: LCCOMB_X20_Y35_N12
\led_flash_cnt[1653][5]~50030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1653][5]~50030_combout\ = (\led_flash_cnt[1653][5]~q\ & (\led_flash_cnt[1653][4]~50029\ $ (GND))) # (!\led_flash_cnt[1653][5]~q\ & (!\led_flash_cnt[1653][4]~50029\ & VCC))
-- \led_flash_cnt[1653][5]~50031\ = CARRY((\led_flash_cnt[1653][5]~q\ & !\led_flash_cnt[1653][4]~50029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1653][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1653][4]~50029\,
	combout => \led_flash_cnt[1653][5]~50030_combout\,
	cout => \led_flash_cnt[1653][5]~50031\);

-- Location: FF_X20_Y35_N13
\led_flash_cnt[1653][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1653][5]~50030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1653][5]~q\);

-- Location: LCCOMB_X20_Y35_N14
\led_flash_cnt[1653][6]~50032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1653][6]~50032_combout\ = (\led_flash_cnt[1653][6]~q\ & (!\led_flash_cnt[1653][5]~50031\)) # (!\led_flash_cnt[1653][6]~q\ & ((\led_flash_cnt[1653][5]~50031\) # (GND)))
-- \led_flash_cnt[1653][6]~50033\ = CARRY((!\led_flash_cnt[1653][5]~50031\) # (!\led_flash_cnt[1653][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1653][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1653][5]~50031\,
	combout => \led_flash_cnt[1653][6]~50032_combout\,
	cout => \led_flash_cnt[1653][6]~50033\);

-- Location: FF_X20_Y35_N15
\led_flash_cnt[1653][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1653][6]~50032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1653][6]~q\);

-- Location: LCCOMB_X19_Y35_N26
\WideAnd1653~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1653~1_combout\ = (\led_flash_cnt[1653][6]~q\ & \led_flash_cnt[1653][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1653][6]~q\,
	datac => \led_flash_cnt[1653][5]~q\,
	combout => \WideAnd1653~1_combout\);

-- Location: LCCOMB_X20_Y35_N16
\led_flash_cnt[1653][7]~50034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1653][7]~50034_combout\ = \led_flash_cnt[1653][6]~50033\ $ (!\led_flash_cnt[1653][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1653][7]~q\,
	cin => \led_flash_cnt[1653][6]~50033\,
	combout => \led_flash_cnt[1653][7]~50034_combout\);

-- Location: FF_X20_Y35_N17
\led_flash_cnt[1653][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1653][7]~50034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1653][7]~q\);

-- Location: LCCOMB_X19_Y35_N20
WideAnd1653 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1653~combout\ = (\WideAnd1653~0_combout\ & (\led_flash_cnt[1653][0]~q\ & (\WideAnd1653~1_combout\ & \led_flash_cnt[1653][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1653~0_combout\,
	datab => \led_flash_cnt[1653][0]~q\,
	datac => \WideAnd1653~1_combout\,
	datad => \led_flash_cnt[1653][7]~q\,
	combout => \WideAnd1653~combout\);

-- Location: FF_X19_Y35_N21
\led_flash_cnt_ands[1653]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1653~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1653));

-- Location: LCCOMB_X19_Y35_N16
\WideAnd4046~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4046~1_combout\ = (led_flash_cnt_ands(1652) & led_flash_cnt_ands(1653))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1652),
	datad => led_flash_cnt_ands(1653),
	combout => \WideAnd4046~1_combout\);

-- Location: LCCOMB_X18_Y32_N4
WideAnd4046 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4046~combout\ = (led_flash_cnt_ands(1655) & (led_flash_cnt_ands(1654) & (\WideAnd4046~0_combout\ & \WideAnd4046~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1655),
	datab => led_flash_cnt_ands(1654),
	datac => \WideAnd4046~0_combout\,
	datad => \WideAnd4046~1_combout\,
	combout => \WideAnd4046~combout\);

-- Location: FF_X18_Y32_N5
\led_flash_cnt_ands_1[206]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4046~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(206));

-- Location: LCCOMB_X19_Y5_N4
\led_flash_cnt[1662][0]~82302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1662][0]~82302_combout\ = !\led_flash_cnt[1662][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1662][0]~q\,
	combout => \led_flash_cnt[1662][0]~82302_combout\);

-- Location: FF_X19_Y5_N5
\led_flash_cnt[1662][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1662][0]~82302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1662][0]~q\);

-- Location: LCCOMB_X19_Y5_N8
\led_flash_cnt[1662][1]~50148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1662][1]~50148_combout\ = (\led_flash_cnt[1662][1]~q\ & (\led_flash_cnt[1662][0]~q\ $ (VCC))) # (!\led_flash_cnt[1662][1]~q\ & (\led_flash_cnt[1662][0]~q\ & VCC))
-- \led_flash_cnt[1662][1]~50149\ = CARRY((\led_flash_cnt[1662][1]~q\ & \led_flash_cnt[1662][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1662][1]~q\,
	datab => \led_flash_cnt[1662][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1662][1]~50148_combout\,
	cout => \led_flash_cnt[1662][1]~50149\);

-- Location: FF_X19_Y5_N9
\led_flash_cnt[1662][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1662][1]~50148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1662][1]~q\);

-- Location: LCCOMB_X19_Y5_N10
\led_flash_cnt[1662][2]~50150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1662][2]~50150_combout\ = (\led_flash_cnt[1662][2]~q\ & (!\led_flash_cnt[1662][1]~50149\)) # (!\led_flash_cnt[1662][2]~q\ & ((\led_flash_cnt[1662][1]~50149\) # (GND)))
-- \led_flash_cnt[1662][2]~50151\ = CARRY((!\led_flash_cnt[1662][1]~50149\) # (!\led_flash_cnt[1662][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1662][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1662][1]~50149\,
	combout => \led_flash_cnt[1662][2]~50150_combout\,
	cout => \led_flash_cnt[1662][2]~50151\);

-- Location: FF_X19_Y5_N11
\led_flash_cnt[1662][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1662][2]~50150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1662][2]~q\);

-- Location: LCCOMB_X19_Y5_N12
\led_flash_cnt[1662][3]~50152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1662][3]~50152_combout\ = (\led_flash_cnt[1662][3]~q\ & (\led_flash_cnt[1662][2]~50151\ $ (GND))) # (!\led_flash_cnt[1662][3]~q\ & (!\led_flash_cnt[1662][2]~50151\ & VCC))
-- \led_flash_cnt[1662][3]~50153\ = CARRY((\led_flash_cnt[1662][3]~q\ & !\led_flash_cnt[1662][2]~50151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1662][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1662][2]~50151\,
	combout => \led_flash_cnt[1662][3]~50152_combout\,
	cout => \led_flash_cnt[1662][3]~50153\);

-- Location: FF_X19_Y5_N13
\led_flash_cnt[1662][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1662][3]~50152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1662][3]~q\);

-- Location: LCCOMB_X19_Y5_N14
\led_flash_cnt[1662][4]~50154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1662][4]~50154_combout\ = (\led_flash_cnt[1662][4]~q\ & (!\led_flash_cnt[1662][3]~50153\)) # (!\led_flash_cnt[1662][4]~q\ & ((\led_flash_cnt[1662][3]~50153\) # (GND)))
-- \led_flash_cnt[1662][4]~50155\ = CARRY((!\led_flash_cnt[1662][3]~50153\) # (!\led_flash_cnt[1662][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1662][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1662][3]~50153\,
	combout => \led_flash_cnt[1662][4]~50154_combout\,
	cout => \led_flash_cnt[1662][4]~50155\);

-- Location: FF_X19_Y5_N15
\led_flash_cnt[1662][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1662][4]~50154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1662][4]~q\);

-- Location: LCCOMB_X19_Y5_N16
\led_flash_cnt[1662][5]~50156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1662][5]~50156_combout\ = (\led_flash_cnt[1662][5]~q\ & (\led_flash_cnt[1662][4]~50155\ $ (GND))) # (!\led_flash_cnt[1662][5]~q\ & (!\led_flash_cnt[1662][4]~50155\ & VCC))
-- \led_flash_cnt[1662][5]~50157\ = CARRY((\led_flash_cnt[1662][5]~q\ & !\led_flash_cnt[1662][4]~50155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1662][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1662][4]~50155\,
	combout => \led_flash_cnt[1662][5]~50156_combout\,
	cout => \led_flash_cnt[1662][5]~50157\);

-- Location: FF_X19_Y5_N17
\led_flash_cnt[1662][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1662][5]~50156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1662][5]~q\);

-- Location: LCCOMB_X19_Y5_N18
\led_flash_cnt[1662][6]~50158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1662][6]~50158_combout\ = (\led_flash_cnt[1662][6]~q\ & (!\led_flash_cnt[1662][5]~50157\)) # (!\led_flash_cnt[1662][6]~q\ & ((\led_flash_cnt[1662][5]~50157\) # (GND)))
-- \led_flash_cnt[1662][6]~50159\ = CARRY((!\led_flash_cnt[1662][5]~50157\) # (!\led_flash_cnt[1662][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1662][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1662][5]~50157\,
	combout => \led_flash_cnt[1662][6]~50158_combout\,
	cout => \led_flash_cnt[1662][6]~50159\);

-- Location: FF_X19_Y5_N19
\led_flash_cnt[1662][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1662][6]~50158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1662][6]~q\);

-- Location: LCCOMB_X19_Y5_N30
\WideAnd1662~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1662~1_combout\ = (\led_flash_cnt[1662][6]~q\ & \led_flash_cnt[1662][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1662][6]~q\,
	datad => \led_flash_cnt[1662][5]~q\,
	combout => \WideAnd1662~1_combout\);

-- Location: LCCOMB_X19_Y5_N20
\led_flash_cnt[1662][7]~50160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1662][7]~50160_combout\ = \led_flash_cnt[1662][6]~50159\ $ (!\led_flash_cnt[1662][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1662][7]~q\,
	cin => \led_flash_cnt[1662][6]~50159\,
	combout => \led_flash_cnt[1662][7]~50160_combout\);

-- Location: FF_X19_Y5_N21
\led_flash_cnt[1662][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1662][7]~50160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1662][7]~q\);

-- Location: LCCOMB_X19_Y5_N2
\WideAnd1662~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1662~0_combout\ = (\led_flash_cnt[1662][2]~q\ & (\led_flash_cnt[1662][1]~q\ & (\led_flash_cnt[1662][4]~q\ & \led_flash_cnt[1662][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1662][2]~q\,
	datab => \led_flash_cnt[1662][1]~q\,
	datac => \led_flash_cnt[1662][4]~q\,
	datad => \led_flash_cnt[1662][3]~q\,
	combout => \WideAnd1662~0_combout\);

-- Location: LCCOMB_X19_Y5_N0
WideAnd1662 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1662~combout\ = (\WideAnd1662~1_combout\ & (\led_flash_cnt[1662][7]~q\ & (\led_flash_cnt[1662][0]~q\ & \WideAnd1662~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1662~1_combout\,
	datab => \led_flash_cnt[1662][7]~q\,
	datac => \led_flash_cnt[1662][0]~q\,
	datad => \WideAnd1662~0_combout\,
	combout => \WideAnd1662~combout\);

-- Location: FF_X19_Y5_N1
\led_flash_cnt_ands[1662]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1662~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1662));

-- Location: LCCOMB_X14_Y5_N22
\led_flash_cnt[1663][0]~82303\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1663][0]~82303_combout\ = !\led_flash_cnt[1663][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1663][0]~q\,
	combout => \led_flash_cnt[1663][0]~82303_combout\);

-- Location: FF_X14_Y5_N23
\led_flash_cnt[1663][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1663][0]~82303_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1663][0]~q\);

-- Location: LCCOMB_X14_Y5_N8
\led_flash_cnt[1663][1]~50162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1663][1]~50162_combout\ = (\led_flash_cnt[1663][0]~q\ & (\led_flash_cnt[1663][1]~q\ $ (VCC))) # (!\led_flash_cnt[1663][0]~q\ & (\led_flash_cnt[1663][1]~q\ & VCC))
-- \led_flash_cnt[1663][1]~50163\ = CARRY((\led_flash_cnt[1663][0]~q\ & \led_flash_cnt[1663][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1663][0]~q\,
	datab => \led_flash_cnt[1663][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1663][1]~50162_combout\,
	cout => \led_flash_cnt[1663][1]~50163\);

-- Location: FF_X14_Y5_N9
\led_flash_cnt[1663][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1663][1]~50162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1663][1]~q\);

-- Location: LCCOMB_X14_Y5_N10
\led_flash_cnt[1663][2]~50164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1663][2]~50164_combout\ = (\led_flash_cnt[1663][2]~q\ & (!\led_flash_cnt[1663][1]~50163\)) # (!\led_flash_cnt[1663][2]~q\ & ((\led_flash_cnt[1663][1]~50163\) # (GND)))
-- \led_flash_cnt[1663][2]~50165\ = CARRY((!\led_flash_cnt[1663][1]~50163\) # (!\led_flash_cnt[1663][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1663][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1663][1]~50163\,
	combout => \led_flash_cnt[1663][2]~50164_combout\,
	cout => \led_flash_cnt[1663][2]~50165\);

-- Location: FF_X14_Y5_N11
\led_flash_cnt[1663][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1663][2]~50164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1663][2]~q\);

-- Location: LCCOMB_X14_Y5_N12
\led_flash_cnt[1663][3]~50166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1663][3]~50166_combout\ = (\led_flash_cnt[1663][3]~q\ & (\led_flash_cnt[1663][2]~50165\ $ (GND))) # (!\led_flash_cnt[1663][3]~q\ & (!\led_flash_cnt[1663][2]~50165\ & VCC))
-- \led_flash_cnt[1663][3]~50167\ = CARRY((\led_flash_cnt[1663][3]~q\ & !\led_flash_cnt[1663][2]~50165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1663][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1663][2]~50165\,
	combout => \led_flash_cnt[1663][3]~50166_combout\,
	cout => \led_flash_cnt[1663][3]~50167\);

-- Location: FF_X14_Y5_N13
\led_flash_cnt[1663][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1663][3]~50166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1663][3]~q\);

-- Location: LCCOMB_X14_Y5_N14
\led_flash_cnt[1663][4]~50168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1663][4]~50168_combout\ = (\led_flash_cnt[1663][4]~q\ & (!\led_flash_cnt[1663][3]~50167\)) # (!\led_flash_cnt[1663][4]~q\ & ((\led_flash_cnt[1663][3]~50167\) # (GND)))
-- \led_flash_cnt[1663][4]~50169\ = CARRY((!\led_flash_cnt[1663][3]~50167\) # (!\led_flash_cnt[1663][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1663][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1663][3]~50167\,
	combout => \led_flash_cnt[1663][4]~50168_combout\,
	cout => \led_flash_cnt[1663][4]~50169\);

-- Location: FF_X14_Y5_N15
\led_flash_cnt[1663][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1663][4]~50168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1663][4]~q\);

-- Location: LCCOMB_X14_Y5_N26
\WideAnd1663~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1663~0_combout\ = (\led_flash_cnt[1663][3]~q\ & (\led_flash_cnt[1663][1]~q\ & (\led_flash_cnt[1663][4]~q\ & \led_flash_cnt[1663][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1663][3]~q\,
	datab => \led_flash_cnt[1663][1]~q\,
	datac => \led_flash_cnt[1663][4]~q\,
	datad => \led_flash_cnt[1663][2]~q\,
	combout => \WideAnd1663~0_combout\);

-- Location: LCCOMB_X14_Y5_N16
\led_flash_cnt[1663][5]~50170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1663][5]~50170_combout\ = (\led_flash_cnt[1663][5]~q\ & (\led_flash_cnt[1663][4]~50169\ $ (GND))) # (!\led_flash_cnt[1663][5]~q\ & (!\led_flash_cnt[1663][4]~50169\ & VCC))
-- \led_flash_cnt[1663][5]~50171\ = CARRY((\led_flash_cnt[1663][5]~q\ & !\led_flash_cnt[1663][4]~50169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1663][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1663][4]~50169\,
	combout => \led_flash_cnt[1663][5]~50170_combout\,
	cout => \led_flash_cnt[1663][5]~50171\);

-- Location: FF_X14_Y5_N17
\led_flash_cnt[1663][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1663][5]~50170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1663][5]~q\);

-- Location: LCCOMB_X14_Y5_N18
\led_flash_cnt[1663][6]~50172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1663][6]~50172_combout\ = (\led_flash_cnt[1663][6]~q\ & (!\led_flash_cnt[1663][5]~50171\)) # (!\led_flash_cnt[1663][6]~q\ & ((\led_flash_cnt[1663][5]~50171\) # (GND)))
-- \led_flash_cnt[1663][6]~50173\ = CARRY((!\led_flash_cnt[1663][5]~50171\) # (!\led_flash_cnt[1663][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1663][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1663][5]~50171\,
	combout => \led_flash_cnt[1663][6]~50172_combout\,
	cout => \led_flash_cnt[1663][6]~50173\);

-- Location: FF_X14_Y5_N19
\led_flash_cnt[1663][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1663][6]~50172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1663][6]~q\);

-- Location: LCCOMB_X14_Y5_N20
\led_flash_cnt[1663][7]~50174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1663][7]~50174_combout\ = \led_flash_cnt[1663][6]~50173\ $ (!\led_flash_cnt[1663][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1663][7]~q\,
	cin => \led_flash_cnt[1663][6]~50173\,
	combout => \led_flash_cnt[1663][7]~50174_combout\);

-- Location: FF_X14_Y5_N21
\led_flash_cnt[1663][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1663][7]~50174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1663][7]~q\);

-- Location: LCCOMB_X14_Y5_N0
\WideAnd1663~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1663~1_combout\ = (\led_flash_cnt[1663][5]~q\ & \led_flash_cnt[1663][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1663][5]~q\,
	datac => \led_flash_cnt[1663][6]~q\,
	combout => \WideAnd1663~1_combout\);

-- Location: LCCOMB_X14_Y5_N28
WideAnd1663 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1663~combout\ = (\WideAnd1663~0_combout\ & (\led_flash_cnt[1663][7]~q\ & (\led_flash_cnt[1663][0]~q\ & \WideAnd1663~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1663~0_combout\,
	datab => \led_flash_cnt[1663][7]~q\,
	datac => \led_flash_cnt[1663][0]~q\,
	datad => \WideAnd1663~1_combout\,
	combout => \WideAnd1663~combout\);

-- Location: FF_X14_Y5_N29
\led_flash_cnt_ands[1663]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1663~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1663));

-- Location: LCCOMB_X3_Y9_N6
\led_flash_cnt[1661][0]~82301\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1661][0]~82301_combout\ = !\led_flash_cnt[1661][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1661][0]~q\,
	combout => \led_flash_cnt[1661][0]~82301_combout\);

-- Location: FF_X3_Y9_N7
\led_flash_cnt[1661][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1661][0]~82301_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1661][0]~q\);

-- Location: LCCOMB_X4_Y9_N16
\led_flash_cnt[1661][1]~50134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1661][1]~50134_combout\ = (\led_flash_cnt[1661][0]~q\ & (\led_flash_cnt[1661][1]~q\ $ (VCC))) # (!\led_flash_cnt[1661][0]~q\ & (\led_flash_cnt[1661][1]~q\ & VCC))
-- \led_flash_cnt[1661][1]~50135\ = CARRY((\led_flash_cnt[1661][0]~q\ & \led_flash_cnt[1661][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1661][0]~q\,
	datab => \led_flash_cnt[1661][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1661][1]~50134_combout\,
	cout => \led_flash_cnt[1661][1]~50135\);

-- Location: FF_X4_Y9_N17
\led_flash_cnt[1661][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1661][1]~50134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1661][1]~q\);

-- Location: LCCOMB_X4_Y9_N18
\led_flash_cnt[1661][2]~50136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1661][2]~50136_combout\ = (\led_flash_cnt[1661][2]~q\ & (!\led_flash_cnt[1661][1]~50135\)) # (!\led_flash_cnt[1661][2]~q\ & ((\led_flash_cnt[1661][1]~50135\) # (GND)))
-- \led_flash_cnt[1661][2]~50137\ = CARRY((!\led_flash_cnt[1661][1]~50135\) # (!\led_flash_cnt[1661][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1661][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1661][1]~50135\,
	combout => \led_flash_cnt[1661][2]~50136_combout\,
	cout => \led_flash_cnt[1661][2]~50137\);

-- Location: FF_X4_Y9_N19
\led_flash_cnt[1661][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1661][2]~50136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1661][2]~q\);

-- Location: LCCOMB_X4_Y9_N20
\led_flash_cnt[1661][3]~50138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1661][3]~50138_combout\ = (\led_flash_cnt[1661][3]~q\ & (\led_flash_cnt[1661][2]~50137\ $ (GND))) # (!\led_flash_cnt[1661][3]~q\ & (!\led_flash_cnt[1661][2]~50137\ & VCC))
-- \led_flash_cnt[1661][3]~50139\ = CARRY((\led_flash_cnt[1661][3]~q\ & !\led_flash_cnt[1661][2]~50137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1661][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1661][2]~50137\,
	combout => \led_flash_cnt[1661][3]~50138_combout\,
	cout => \led_flash_cnt[1661][3]~50139\);

-- Location: FF_X4_Y9_N21
\led_flash_cnt[1661][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1661][3]~50138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1661][3]~q\);

-- Location: LCCOMB_X4_Y9_N22
\led_flash_cnt[1661][4]~50140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1661][4]~50140_combout\ = (\led_flash_cnt[1661][4]~q\ & (!\led_flash_cnt[1661][3]~50139\)) # (!\led_flash_cnt[1661][4]~q\ & ((\led_flash_cnt[1661][3]~50139\) # (GND)))
-- \led_flash_cnt[1661][4]~50141\ = CARRY((!\led_flash_cnt[1661][3]~50139\) # (!\led_flash_cnt[1661][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1661][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1661][3]~50139\,
	combout => \led_flash_cnt[1661][4]~50140_combout\,
	cout => \led_flash_cnt[1661][4]~50141\);

-- Location: FF_X4_Y9_N23
\led_flash_cnt[1661][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1661][4]~50140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1661][4]~q\);

-- Location: LCCOMB_X3_Y9_N10
\WideAnd1661~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1661~0_combout\ = (\led_flash_cnt[1661][2]~q\ & (\led_flash_cnt[1661][1]~q\ & (\led_flash_cnt[1661][3]~q\ & \led_flash_cnt[1661][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1661][2]~q\,
	datab => \led_flash_cnt[1661][1]~q\,
	datac => \led_flash_cnt[1661][3]~q\,
	datad => \led_flash_cnt[1661][4]~q\,
	combout => \WideAnd1661~0_combout\);

-- Location: LCCOMB_X4_Y9_N24
\led_flash_cnt[1661][5]~50142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1661][5]~50142_combout\ = (\led_flash_cnt[1661][5]~q\ & (\led_flash_cnt[1661][4]~50141\ $ (GND))) # (!\led_flash_cnt[1661][5]~q\ & (!\led_flash_cnt[1661][4]~50141\ & VCC))
-- \led_flash_cnt[1661][5]~50143\ = CARRY((\led_flash_cnt[1661][5]~q\ & !\led_flash_cnt[1661][4]~50141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1661][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1661][4]~50141\,
	combout => \led_flash_cnt[1661][5]~50142_combout\,
	cout => \led_flash_cnt[1661][5]~50143\);

-- Location: FF_X4_Y9_N25
\led_flash_cnt[1661][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1661][5]~50142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1661][5]~q\);

-- Location: LCCOMB_X4_Y9_N26
\led_flash_cnt[1661][6]~50144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1661][6]~50144_combout\ = (\led_flash_cnt[1661][6]~q\ & (!\led_flash_cnt[1661][5]~50143\)) # (!\led_flash_cnt[1661][6]~q\ & ((\led_flash_cnt[1661][5]~50143\) # (GND)))
-- \led_flash_cnt[1661][6]~50145\ = CARRY((!\led_flash_cnt[1661][5]~50143\) # (!\led_flash_cnt[1661][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1661][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1661][5]~50143\,
	combout => \led_flash_cnt[1661][6]~50144_combout\,
	cout => \led_flash_cnt[1661][6]~50145\);

-- Location: FF_X4_Y9_N27
\led_flash_cnt[1661][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1661][6]~50144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1661][6]~q\);

-- Location: LCCOMB_X4_Y9_N28
\led_flash_cnt[1661][7]~50146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1661][7]~50146_combout\ = \led_flash_cnt[1661][6]~50145\ $ (!\led_flash_cnt[1661][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1661][7]~q\,
	cin => \led_flash_cnt[1661][6]~50145\,
	combout => \led_flash_cnt[1661][7]~50146_combout\);

-- Location: FF_X4_Y9_N29
\led_flash_cnt[1661][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1661][7]~50146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1661][7]~q\);

-- Location: LCCOMB_X3_Y9_N30
\WideAnd1661~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1661~1_combout\ = (\led_flash_cnt[1661][6]~q\ & \led_flash_cnt[1661][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1661][6]~q\,
	datad => \led_flash_cnt[1661][5]~q\,
	combout => \WideAnd1661~1_combout\);

-- Location: LCCOMB_X3_Y9_N8
WideAnd1661 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1661~combout\ = (\WideAnd1661~0_combout\ & (\led_flash_cnt[1661][7]~q\ & (\WideAnd1661~1_combout\ & \led_flash_cnt[1661][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1661~0_combout\,
	datab => \led_flash_cnt[1661][7]~q\,
	datac => \WideAnd1661~1_combout\,
	datad => \led_flash_cnt[1661][0]~q\,
	combout => \WideAnd1661~combout\);

-- Location: FF_X3_Y9_N9
\led_flash_cnt_ands[1661]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1661~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1661));

-- Location: LCCOMB_X2_Y9_N14
\led_flash_cnt[1660][0]~82300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1660][0]~82300_combout\ = !\led_flash_cnt[1660][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1660][0]~q\,
	combout => \led_flash_cnt[1660][0]~82300_combout\);

-- Location: FF_X2_Y9_N15
\led_flash_cnt[1660][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1660][0]~82300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1660][0]~q\);

-- Location: LCCOMB_X3_Y9_N16
\led_flash_cnt[1660][1]~50120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1660][1]~50120_combout\ = (\led_flash_cnt[1660][0]~q\ & (\led_flash_cnt[1660][1]~q\ $ (VCC))) # (!\led_flash_cnt[1660][0]~q\ & (\led_flash_cnt[1660][1]~q\ & VCC))
-- \led_flash_cnt[1660][1]~50121\ = CARRY((\led_flash_cnt[1660][0]~q\ & \led_flash_cnt[1660][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1660][0]~q\,
	datab => \led_flash_cnt[1660][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1660][1]~50120_combout\,
	cout => \led_flash_cnt[1660][1]~50121\);

-- Location: FF_X3_Y9_N17
\led_flash_cnt[1660][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1660][1]~50120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1660][1]~q\);

-- Location: LCCOMB_X3_Y9_N18
\led_flash_cnt[1660][2]~50122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1660][2]~50122_combout\ = (\led_flash_cnt[1660][2]~q\ & (!\led_flash_cnt[1660][1]~50121\)) # (!\led_flash_cnt[1660][2]~q\ & ((\led_flash_cnt[1660][1]~50121\) # (GND)))
-- \led_flash_cnt[1660][2]~50123\ = CARRY((!\led_flash_cnt[1660][1]~50121\) # (!\led_flash_cnt[1660][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1660][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1660][1]~50121\,
	combout => \led_flash_cnt[1660][2]~50122_combout\,
	cout => \led_flash_cnt[1660][2]~50123\);

-- Location: FF_X3_Y9_N19
\led_flash_cnt[1660][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1660][2]~50122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1660][2]~q\);

-- Location: LCCOMB_X3_Y9_N20
\led_flash_cnt[1660][3]~50124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1660][3]~50124_combout\ = (\led_flash_cnt[1660][3]~q\ & (\led_flash_cnt[1660][2]~50123\ $ (GND))) # (!\led_flash_cnt[1660][3]~q\ & (!\led_flash_cnt[1660][2]~50123\ & VCC))
-- \led_flash_cnt[1660][3]~50125\ = CARRY((\led_flash_cnt[1660][3]~q\ & !\led_flash_cnt[1660][2]~50123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1660][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1660][2]~50123\,
	combout => \led_flash_cnt[1660][3]~50124_combout\,
	cout => \led_flash_cnt[1660][3]~50125\);

-- Location: FF_X3_Y9_N21
\led_flash_cnt[1660][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1660][3]~50124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1660][3]~q\);

-- Location: LCCOMB_X3_Y9_N12
\WideAnd1660~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1660~1_combout\ = (\led_flash_cnt[1660][1]~q\ & \led_flash_cnt[1660][3]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1660][1]~q\,
	datad => \led_flash_cnt[1660][3]~q\,
	combout => \WideAnd1660~1_combout\);

-- Location: LCCOMB_X3_Y9_N22
\led_flash_cnt[1660][4]~50126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1660][4]~50126_combout\ = (\led_flash_cnt[1660][4]~q\ & (!\led_flash_cnt[1660][3]~50125\)) # (!\led_flash_cnt[1660][4]~q\ & ((\led_flash_cnt[1660][3]~50125\) # (GND)))
-- \led_flash_cnt[1660][4]~50127\ = CARRY((!\led_flash_cnt[1660][3]~50125\) # (!\led_flash_cnt[1660][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1660][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1660][3]~50125\,
	combout => \led_flash_cnt[1660][4]~50126_combout\,
	cout => \led_flash_cnt[1660][4]~50127\);

-- Location: FF_X3_Y9_N23
\led_flash_cnt[1660][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1660][4]~50126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1660][4]~q\);

-- Location: LCCOMB_X3_Y9_N24
\led_flash_cnt[1660][5]~50128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1660][5]~50128_combout\ = (\led_flash_cnt[1660][5]~q\ & (\led_flash_cnt[1660][4]~50127\ $ (GND))) # (!\led_flash_cnt[1660][5]~q\ & (!\led_flash_cnt[1660][4]~50127\ & VCC))
-- \led_flash_cnt[1660][5]~50129\ = CARRY((\led_flash_cnt[1660][5]~q\ & !\led_flash_cnt[1660][4]~50127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1660][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1660][4]~50127\,
	combout => \led_flash_cnt[1660][5]~50128_combout\,
	cout => \led_flash_cnt[1660][5]~50129\);

-- Location: FF_X3_Y9_N25
\led_flash_cnt[1660][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1660][5]~50128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1660][5]~q\);

-- Location: LCCOMB_X3_Y9_N26
\led_flash_cnt[1660][6]~50130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1660][6]~50130_combout\ = (\led_flash_cnt[1660][6]~q\ & (!\led_flash_cnt[1660][5]~50129\)) # (!\led_flash_cnt[1660][6]~q\ & ((\led_flash_cnt[1660][5]~50129\) # (GND)))
-- \led_flash_cnt[1660][6]~50131\ = CARRY((!\led_flash_cnt[1660][5]~50129\) # (!\led_flash_cnt[1660][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1660][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1660][5]~50129\,
	combout => \led_flash_cnt[1660][6]~50130_combout\,
	cout => \led_flash_cnt[1660][6]~50131\);

-- Location: FF_X3_Y9_N27
\led_flash_cnt[1660][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1660][6]~50130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1660][6]~q\);

-- Location: LCCOMB_X3_Y9_N28
\led_flash_cnt[1660][7]~50132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1660][7]~50132_combout\ = \led_flash_cnt[1660][6]~50131\ $ (!\led_flash_cnt[1660][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1660][7]~q\,
	cin => \led_flash_cnt[1660][6]~50131\,
	combout => \led_flash_cnt[1660][7]~50132_combout\);

-- Location: FF_X3_Y9_N29
\led_flash_cnt[1660][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1660][7]~50132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1660][7]~q\);

-- Location: LCCOMB_X3_Y9_N2
\WideAnd1660~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1660~0_combout\ = (\led_flash_cnt[1660][0]~q\ & (\led_flash_cnt[1660][7]~q\ & (\led_flash_cnt[1660][6]~q\ & \led_flash_cnt[1660][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1660][0]~q\,
	datab => \led_flash_cnt[1660][7]~q\,
	datac => \led_flash_cnt[1660][6]~q\,
	datad => \led_flash_cnt[1660][5]~q\,
	combout => \WideAnd1660~0_combout\);

-- Location: LCCOMB_X3_Y9_N0
WideAnd1660 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1660~combout\ = (\WideAnd1660~1_combout\ & (\led_flash_cnt[1660][2]~q\ & (\led_flash_cnt[1660][4]~q\ & \WideAnd1660~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1660~1_combout\,
	datab => \led_flash_cnt[1660][2]~q\,
	datac => \led_flash_cnt[1660][4]~q\,
	datad => \WideAnd1660~0_combout\,
	combout => \WideAnd1660~combout\);

-- Location: FF_X3_Y9_N1
\led_flash_cnt_ands[1660]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1660~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1660));

-- Location: LCCOMB_X3_Y9_N4
\WideAnd4047~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4047~1_combout\ = (led_flash_cnt_ands(1661) & led_flash_cnt_ands(1660))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1661),
	datad => led_flash_cnt_ands(1660),
	combout => \WideAnd4047~1_combout\);

-- Location: LCCOMB_X6_Y9_N2
\led_flash_cnt[1657][0]~82297\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1657][0]~82297_combout\ = !\led_flash_cnt[1657][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1657][0]~q\,
	combout => \led_flash_cnt[1657][0]~82297_combout\);

-- Location: FF_X6_Y9_N3
\led_flash_cnt[1657][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1657][0]~82297_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1657][0]~q\);

-- Location: LCCOMB_X7_Y9_N0
\led_flash_cnt[1657][1]~50078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1657][1]~50078_combout\ = (\led_flash_cnt[1657][0]~q\ & (\led_flash_cnt[1657][1]~q\ $ (VCC))) # (!\led_flash_cnt[1657][0]~q\ & (\led_flash_cnt[1657][1]~q\ & VCC))
-- \led_flash_cnt[1657][1]~50079\ = CARRY((\led_flash_cnt[1657][0]~q\ & \led_flash_cnt[1657][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1657][0]~q\,
	datab => \led_flash_cnt[1657][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1657][1]~50078_combout\,
	cout => \led_flash_cnt[1657][1]~50079\);

-- Location: FF_X7_Y9_N1
\led_flash_cnt[1657][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1657][1]~50078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1657][1]~q\);

-- Location: LCCOMB_X7_Y9_N2
\led_flash_cnt[1657][2]~50080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1657][2]~50080_combout\ = (\led_flash_cnt[1657][2]~q\ & (!\led_flash_cnt[1657][1]~50079\)) # (!\led_flash_cnt[1657][2]~q\ & ((\led_flash_cnt[1657][1]~50079\) # (GND)))
-- \led_flash_cnt[1657][2]~50081\ = CARRY((!\led_flash_cnt[1657][1]~50079\) # (!\led_flash_cnt[1657][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1657][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1657][1]~50079\,
	combout => \led_flash_cnt[1657][2]~50080_combout\,
	cout => \led_flash_cnt[1657][2]~50081\);

-- Location: FF_X7_Y9_N3
\led_flash_cnt[1657][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1657][2]~50080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1657][2]~q\);

-- Location: LCCOMB_X7_Y9_N4
\led_flash_cnt[1657][3]~50082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1657][3]~50082_combout\ = (\led_flash_cnt[1657][3]~q\ & (\led_flash_cnt[1657][2]~50081\ $ (GND))) # (!\led_flash_cnt[1657][3]~q\ & (!\led_flash_cnt[1657][2]~50081\ & VCC))
-- \led_flash_cnt[1657][3]~50083\ = CARRY((\led_flash_cnt[1657][3]~q\ & !\led_flash_cnt[1657][2]~50081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1657][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1657][2]~50081\,
	combout => \led_flash_cnt[1657][3]~50082_combout\,
	cout => \led_flash_cnt[1657][3]~50083\);

-- Location: FF_X7_Y9_N5
\led_flash_cnt[1657][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1657][3]~50082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1657][3]~q\);

-- Location: LCCOMB_X7_Y9_N6
\led_flash_cnt[1657][4]~50084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1657][4]~50084_combout\ = (\led_flash_cnt[1657][4]~q\ & (!\led_flash_cnt[1657][3]~50083\)) # (!\led_flash_cnt[1657][4]~q\ & ((\led_flash_cnt[1657][3]~50083\) # (GND)))
-- \led_flash_cnt[1657][4]~50085\ = CARRY((!\led_flash_cnt[1657][3]~50083\) # (!\led_flash_cnt[1657][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1657][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1657][3]~50083\,
	combout => \led_flash_cnt[1657][4]~50084_combout\,
	cout => \led_flash_cnt[1657][4]~50085\);

-- Location: FF_X7_Y9_N7
\led_flash_cnt[1657][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1657][4]~50084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1657][4]~q\);

-- Location: LCCOMB_X7_Y9_N30
\WideAnd1657~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1657~0_combout\ = (\led_flash_cnt[1657][4]~q\ & (\led_flash_cnt[1657][1]~q\ & (\led_flash_cnt[1657][3]~q\ & \led_flash_cnt[1657][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1657][4]~q\,
	datab => \led_flash_cnt[1657][1]~q\,
	datac => \led_flash_cnt[1657][3]~q\,
	datad => \led_flash_cnt[1657][2]~q\,
	combout => \WideAnd1657~0_combout\);

-- Location: LCCOMB_X7_Y9_N8
\led_flash_cnt[1657][5]~50086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1657][5]~50086_combout\ = (\led_flash_cnt[1657][5]~q\ & (\led_flash_cnt[1657][4]~50085\ $ (GND))) # (!\led_flash_cnt[1657][5]~q\ & (!\led_flash_cnt[1657][4]~50085\ & VCC))
-- \led_flash_cnt[1657][5]~50087\ = CARRY((\led_flash_cnt[1657][5]~q\ & !\led_flash_cnt[1657][4]~50085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1657][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1657][4]~50085\,
	combout => \led_flash_cnt[1657][5]~50086_combout\,
	cout => \led_flash_cnt[1657][5]~50087\);

-- Location: FF_X7_Y9_N9
\led_flash_cnt[1657][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1657][5]~50086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1657][5]~q\);

-- Location: LCCOMB_X7_Y9_N10
\led_flash_cnt[1657][6]~50088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1657][6]~50088_combout\ = (\led_flash_cnt[1657][6]~q\ & (!\led_flash_cnt[1657][5]~50087\)) # (!\led_flash_cnt[1657][6]~q\ & ((\led_flash_cnt[1657][5]~50087\) # (GND)))
-- \led_flash_cnt[1657][6]~50089\ = CARRY((!\led_flash_cnt[1657][5]~50087\) # (!\led_flash_cnt[1657][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1657][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1657][5]~50087\,
	combout => \led_flash_cnt[1657][6]~50088_combout\,
	cout => \led_flash_cnt[1657][6]~50089\);

-- Location: FF_X7_Y9_N11
\led_flash_cnt[1657][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1657][6]~50088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1657][6]~q\);

-- Location: LCCOMB_X7_Y9_N12
\led_flash_cnt[1657][7]~50090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1657][7]~50090_combout\ = \led_flash_cnt[1657][6]~50089\ $ (!\led_flash_cnt[1657][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1657][7]~q\,
	cin => \led_flash_cnt[1657][6]~50089\,
	combout => \led_flash_cnt[1657][7]~50090_combout\);

-- Location: FF_X7_Y9_N13
\led_flash_cnt[1657][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1657][7]~50090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1657][7]~q\);

-- Location: LCCOMB_X6_Y9_N0
\WideAnd1657~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1657~1_combout\ = (\led_flash_cnt[1657][5]~q\ & \led_flash_cnt[1657][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1657][5]~q\,
	datac => \led_flash_cnt[1657][6]~q\,
	combout => \WideAnd1657~1_combout\);

-- Location: LCCOMB_X6_Y9_N6
WideAnd1657 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1657~combout\ = (\WideAnd1657~0_combout\ & (\led_flash_cnt[1657][0]~q\ & (\led_flash_cnt[1657][7]~q\ & \WideAnd1657~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1657~0_combout\,
	datab => \led_flash_cnt[1657][0]~q\,
	datac => \led_flash_cnt[1657][7]~q\,
	datad => \WideAnd1657~1_combout\,
	combout => \WideAnd1657~combout\);

-- Location: FF_X6_Y9_N7
\led_flash_cnt_ands[1657]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1657~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1657));

-- Location: LCCOMB_X6_Y9_N24
\led_flash_cnt[1658][0]~82298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1658][0]~82298_combout\ = !\led_flash_cnt[1658][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1658][0]~q\,
	combout => \led_flash_cnt[1658][0]~82298_combout\);

-- Location: FF_X6_Y9_N25
\led_flash_cnt[1658][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1658][0]~82298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1658][0]~q\);

-- Location: LCCOMB_X6_Y9_N10
\led_flash_cnt[1658][1]~50092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1658][1]~50092_combout\ = (\led_flash_cnt[1658][1]~q\ & (\led_flash_cnt[1658][0]~q\ $ (VCC))) # (!\led_flash_cnt[1658][1]~q\ & (\led_flash_cnt[1658][0]~q\ & VCC))
-- \led_flash_cnt[1658][1]~50093\ = CARRY((\led_flash_cnt[1658][1]~q\ & \led_flash_cnt[1658][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1658][1]~q\,
	datab => \led_flash_cnt[1658][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1658][1]~50092_combout\,
	cout => \led_flash_cnt[1658][1]~50093\);

-- Location: FF_X6_Y9_N11
\led_flash_cnt[1658][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1658][1]~50092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1658][1]~q\);

-- Location: LCCOMB_X6_Y9_N12
\led_flash_cnt[1658][2]~50094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1658][2]~50094_combout\ = (\led_flash_cnt[1658][2]~q\ & (!\led_flash_cnt[1658][1]~50093\)) # (!\led_flash_cnt[1658][2]~q\ & ((\led_flash_cnt[1658][1]~50093\) # (GND)))
-- \led_flash_cnt[1658][2]~50095\ = CARRY((!\led_flash_cnt[1658][1]~50093\) # (!\led_flash_cnt[1658][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1658][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1658][1]~50093\,
	combout => \led_flash_cnt[1658][2]~50094_combout\,
	cout => \led_flash_cnt[1658][2]~50095\);

-- Location: FF_X6_Y9_N13
\led_flash_cnt[1658][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1658][2]~50094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1658][2]~q\);

-- Location: LCCOMB_X6_Y9_N14
\led_flash_cnt[1658][3]~50096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1658][3]~50096_combout\ = (\led_flash_cnt[1658][3]~q\ & (\led_flash_cnt[1658][2]~50095\ $ (GND))) # (!\led_flash_cnt[1658][3]~q\ & (!\led_flash_cnt[1658][2]~50095\ & VCC))
-- \led_flash_cnt[1658][3]~50097\ = CARRY((\led_flash_cnt[1658][3]~q\ & !\led_flash_cnt[1658][2]~50095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1658][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1658][2]~50095\,
	combout => \led_flash_cnt[1658][3]~50096_combout\,
	cout => \led_flash_cnt[1658][3]~50097\);

-- Location: FF_X6_Y9_N15
\led_flash_cnt[1658][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1658][3]~50096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1658][3]~q\);

-- Location: LCCOMB_X6_Y9_N16
\led_flash_cnt[1658][4]~50098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1658][4]~50098_combout\ = (\led_flash_cnt[1658][4]~q\ & (!\led_flash_cnt[1658][3]~50097\)) # (!\led_flash_cnt[1658][4]~q\ & ((\led_flash_cnt[1658][3]~50097\) # (GND)))
-- \led_flash_cnt[1658][4]~50099\ = CARRY((!\led_flash_cnt[1658][3]~50097\) # (!\led_flash_cnt[1658][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1658][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1658][3]~50097\,
	combout => \led_flash_cnt[1658][4]~50098_combout\,
	cout => \led_flash_cnt[1658][4]~50099\);

-- Location: FF_X6_Y9_N17
\led_flash_cnt[1658][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1658][4]~50098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1658][4]~q\);

-- Location: LCCOMB_X6_Y9_N26
\WideAnd1658~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1658~0_combout\ = (\led_flash_cnt[1658][1]~q\ & (\led_flash_cnt[1658][4]~q\ & (\led_flash_cnt[1658][3]~q\ & \led_flash_cnt[1658][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1658][1]~q\,
	datab => \led_flash_cnt[1658][4]~q\,
	datac => \led_flash_cnt[1658][3]~q\,
	datad => \led_flash_cnt[1658][2]~q\,
	combout => \WideAnd1658~0_combout\);

-- Location: LCCOMB_X6_Y9_N18
\led_flash_cnt[1658][5]~50100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1658][5]~50100_combout\ = (\led_flash_cnt[1658][5]~q\ & (\led_flash_cnt[1658][4]~50099\ $ (GND))) # (!\led_flash_cnt[1658][5]~q\ & (!\led_flash_cnt[1658][4]~50099\ & VCC))
-- \led_flash_cnt[1658][5]~50101\ = CARRY((\led_flash_cnt[1658][5]~q\ & !\led_flash_cnt[1658][4]~50099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1658][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1658][4]~50099\,
	combout => \led_flash_cnt[1658][5]~50100_combout\,
	cout => \led_flash_cnt[1658][5]~50101\);

-- Location: FF_X6_Y9_N19
\led_flash_cnt[1658][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1658][5]~50100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1658][5]~q\);

-- Location: LCCOMB_X6_Y9_N20
\led_flash_cnt[1658][6]~50102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1658][6]~50102_combout\ = (\led_flash_cnt[1658][6]~q\ & (!\led_flash_cnt[1658][5]~50101\)) # (!\led_flash_cnt[1658][6]~q\ & ((\led_flash_cnt[1658][5]~50101\) # (GND)))
-- \led_flash_cnt[1658][6]~50103\ = CARRY((!\led_flash_cnt[1658][5]~50101\) # (!\led_flash_cnt[1658][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1658][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1658][5]~50101\,
	combout => \led_flash_cnt[1658][6]~50102_combout\,
	cout => \led_flash_cnt[1658][6]~50103\);

-- Location: FF_X6_Y9_N21
\led_flash_cnt[1658][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1658][6]~50102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1658][6]~q\);

-- Location: LCCOMB_X6_Y9_N4
\WideAnd1658~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1658~1_combout\ = (\led_flash_cnt[1658][5]~q\ & \led_flash_cnt[1658][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1658][5]~q\,
	datad => \led_flash_cnt[1658][6]~q\,
	combout => \WideAnd1658~1_combout\);

-- Location: LCCOMB_X6_Y9_N22
\led_flash_cnt[1658][7]~50104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1658][7]~50104_combout\ = \led_flash_cnt[1658][7]~q\ $ (!\led_flash_cnt[1658][6]~50103\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1658][7]~q\,
	cin => \led_flash_cnt[1658][6]~50103\,
	combout => \led_flash_cnt[1658][7]~50104_combout\);

-- Location: FF_X6_Y9_N23
\led_flash_cnt[1658][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1658][7]~50104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1658][7]~q\);

-- Location: LCCOMB_X6_Y9_N28
WideAnd1658 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1658~combout\ = (\WideAnd1658~0_combout\ & (\WideAnd1658~1_combout\ & (\led_flash_cnt[1658][7]~q\ & \led_flash_cnt[1658][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1658~0_combout\,
	datab => \WideAnd1658~1_combout\,
	datac => \led_flash_cnt[1658][7]~q\,
	datad => \led_flash_cnt[1658][0]~q\,
	combout => \WideAnd1658~combout\);

-- Location: FF_X6_Y9_N29
\led_flash_cnt_ands[1658]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1658~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1658));

-- Location: LCCOMB_X6_Y9_N30
\led_flash_cnt[1659][0]~82299\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1659][0]~82299_combout\ = !\led_flash_cnt[1659][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1659][0]~q\,
	combout => \led_flash_cnt[1659][0]~82299_combout\);

-- Location: FF_X6_Y9_N31
\led_flash_cnt[1659][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1659][0]~82299_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1659][0]~q\);

-- Location: LCCOMB_X4_Y9_N2
\led_flash_cnt[1659][1]~50106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1659][1]~50106_combout\ = (\led_flash_cnt[1659][0]~q\ & (\led_flash_cnt[1659][1]~q\ $ (VCC))) # (!\led_flash_cnt[1659][0]~q\ & (\led_flash_cnt[1659][1]~q\ & VCC))
-- \led_flash_cnt[1659][1]~50107\ = CARRY((\led_flash_cnt[1659][0]~q\ & \led_flash_cnt[1659][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1659][0]~q\,
	datab => \led_flash_cnt[1659][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1659][1]~50106_combout\,
	cout => \led_flash_cnt[1659][1]~50107\);

-- Location: FF_X4_Y9_N3
\led_flash_cnt[1659][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1659][1]~50106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1659][1]~q\);

-- Location: LCCOMB_X4_Y9_N4
\led_flash_cnt[1659][2]~50108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1659][2]~50108_combout\ = (\led_flash_cnt[1659][2]~q\ & (!\led_flash_cnt[1659][1]~50107\)) # (!\led_flash_cnt[1659][2]~q\ & ((\led_flash_cnt[1659][1]~50107\) # (GND)))
-- \led_flash_cnt[1659][2]~50109\ = CARRY((!\led_flash_cnt[1659][1]~50107\) # (!\led_flash_cnt[1659][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1659][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1659][1]~50107\,
	combout => \led_flash_cnt[1659][2]~50108_combout\,
	cout => \led_flash_cnt[1659][2]~50109\);

-- Location: FF_X4_Y9_N5
\led_flash_cnt[1659][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1659][2]~50108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1659][2]~q\);

-- Location: LCCOMB_X4_Y9_N6
\led_flash_cnt[1659][3]~50110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1659][3]~50110_combout\ = (\led_flash_cnt[1659][3]~q\ & (\led_flash_cnt[1659][2]~50109\ $ (GND))) # (!\led_flash_cnt[1659][3]~q\ & (!\led_flash_cnt[1659][2]~50109\ & VCC))
-- \led_flash_cnt[1659][3]~50111\ = CARRY((\led_flash_cnt[1659][3]~q\ & !\led_flash_cnt[1659][2]~50109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1659][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1659][2]~50109\,
	combout => \led_flash_cnt[1659][3]~50110_combout\,
	cout => \led_flash_cnt[1659][3]~50111\);

-- Location: FF_X4_Y9_N7
\led_flash_cnt[1659][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1659][3]~50110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1659][3]~q\);

-- Location: LCCOMB_X4_Y9_N8
\led_flash_cnt[1659][4]~50112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1659][4]~50112_combout\ = (\led_flash_cnt[1659][4]~q\ & (!\led_flash_cnt[1659][3]~50111\)) # (!\led_flash_cnt[1659][4]~q\ & ((\led_flash_cnt[1659][3]~50111\) # (GND)))
-- \led_flash_cnt[1659][4]~50113\ = CARRY((!\led_flash_cnt[1659][3]~50111\) # (!\led_flash_cnt[1659][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1659][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1659][3]~50111\,
	combout => \led_flash_cnt[1659][4]~50112_combout\,
	cout => \led_flash_cnt[1659][4]~50113\);

-- Location: FF_X4_Y9_N9
\led_flash_cnt[1659][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1659][4]~50112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1659][4]~q\);

-- Location: LCCOMB_X4_Y9_N10
\led_flash_cnt[1659][5]~50114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1659][5]~50114_combout\ = (\led_flash_cnt[1659][5]~q\ & (\led_flash_cnt[1659][4]~50113\ $ (GND))) # (!\led_flash_cnt[1659][5]~q\ & (!\led_flash_cnt[1659][4]~50113\ & VCC))
-- \led_flash_cnt[1659][5]~50115\ = CARRY((\led_flash_cnt[1659][5]~q\ & !\led_flash_cnt[1659][4]~50113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1659][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1659][4]~50113\,
	combout => \led_flash_cnt[1659][5]~50114_combout\,
	cout => \led_flash_cnt[1659][5]~50115\);

-- Location: FF_X4_Y9_N11
\led_flash_cnt[1659][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1659][5]~50114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1659][5]~q\);

-- Location: LCCOMB_X4_Y9_N12
\led_flash_cnt[1659][6]~50116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1659][6]~50116_combout\ = (\led_flash_cnt[1659][6]~q\ & (!\led_flash_cnt[1659][5]~50115\)) # (!\led_flash_cnt[1659][6]~q\ & ((\led_flash_cnt[1659][5]~50115\) # (GND)))
-- \led_flash_cnt[1659][6]~50117\ = CARRY((!\led_flash_cnt[1659][5]~50115\) # (!\led_flash_cnt[1659][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1659][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1659][5]~50115\,
	combout => \led_flash_cnt[1659][6]~50116_combout\,
	cout => \led_flash_cnt[1659][6]~50117\);

-- Location: FF_X4_Y9_N13
\led_flash_cnt[1659][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1659][6]~50116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1659][6]~q\);

-- Location: LCCOMB_X4_Y9_N14
\led_flash_cnt[1659][7]~50118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1659][7]~50118_combout\ = \led_flash_cnt[1659][7]~q\ $ (!\led_flash_cnt[1659][6]~50117\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1659][7]~q\,
	cin => \led_flash_cnt[1659][6]~50117\,
	combout => \led_flash_cnt[1659][7]~50118_combout\);

-- Location: FF_X4_Y9_N15
\led_flash_cnt[1659][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1659][7]~50118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1659][7]~q\);

-- Location: LCCOMB_X4_Y9_N30
\WideAnd1659~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1659~0_combout\ = (\led_flash_cnt[1659][3]~q\ & (\led_flash_cnt[1659][4]~q\ & (\led_flash_cnt[1659][2]~q\ & \led_flash_cnt[1659][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1659][3]~q\,
	datab => \led_flash_cnt[1659][4]~q\,
	datac => \led_flash_cnt[1659][2]~q\,
	datad => \led_flash_cnt[1659][1]~q\,
	combout => \WideAnd1659~0_combout\);

-- Location: LCCOMB_X3_Y9_N14
\WideAnd1659~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1659~1_combout\ = (\led_flash_cnt[1659][5]~q\ & \led_flash_cnt[1659][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1659][5]~q\,
	datac => \led_flash_cnt[1659][6]~q\,
	combout => \WideAnd1659~1_combout\);

-- Location: LCCOMB_X4_Y9_N0
WideAnd1659 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1659~combout\ = (\led_flash_cnt[1659][0]~q\ & (\led_flash_cnt[1659][7]~q\ & (\WideAnd1659~0_combout\ & \WideAnd1659~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1659][0]~q\,
	datab => \led_flash_cnt[1659][7]~q\,
	datac => \WideAnd1659~0_combout\,
	datad => \WideAnd1659~1_combout\,
	combout => \WideAnd1659~combout\);

-- Location: FF_X4_Y9_N1
\led_flash_cnt_ands[1659]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1659~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1659));

-- Location: LCCOMB_X37_Y10_N4
\led_flash_cnt[1656][0]~82296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1656][0]~82296_combout\ = !\led_flash_cnt[1656][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1656][0]~q\,
	combout => \led_flash_cnt[1656][0]~82296_combout\);

-- Location: FF_X37_Y10_N5
\led_flash_cnt[1656][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1656][0]~82296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1656][0]~q\);

-- Location: LCCOMB_X37_Y10_N6
\led_flash_cnt[1656][1]~50064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1656][1]~50064_combout\ = (\led_flash_cnt[1656][1]~q\ & (\led_flash_cnt[1656][0]~q\ $ (VCC))) # (!\led_flash_cnt[1656][1]~q\ & (\led_flash_cnt[1656][0]~q\ & VCC))
-- \led_flash_cnt[1656][1]~50065\ = CARRY((\led_flash_cnt[1656][1]~q\ & \led_flash_cnt[1656][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1656][1]~q\,
	datab => \led_flash_cnt[1656][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1656][1]~50064_combout\,
	cout => \led_flash_cnt[1656][1]~50065\);

-- Location: FF_X37_Y10_N7
\led_flash_cnt[1656][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1656][1]~50064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1656][1]~q\);

-- Location: LCCOMB_X37_Y10_N8
\led_flash_cnt[1656][2]~50066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1656][2]~50066_combout\ = (\led_flash_cnt[1656][2]~q\ & (!\led_flash_cnt[1656][1]~50065\)) # (!\led_flash_cnt[1656][2]~q\ & ((\led_flash_cnt[1656][1]~50065\) # (GND)))
-- \led_flash_cnt[1656][2]~50067\ = CARRY((!\led_flash_cnt[1656][1]~50065\) # (!\led_flash_cnt[1656][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1656][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1656][1]~50065\,
	combout => \led_flash_cnt[1656][2]~50066_combout\,
	cout => \led_flash_cnt[1656][2]~50067\);

-- Location: FF_X37_Y10_N9
\led_flash_cnt[1656][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1656][2]~50066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1656][2]~q\);

-- Location: LCCOMB_X37_Y10_N10
\led_flash_cnt[1656][3]~50068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1656][3]~50068_combout\ = (\led_flash_cnt[1656][3]~q\ & (\led_flash_cnt[1656][2]~50067\ $ (GND))) # (!\led_flash_cnt[1656][3]~q\ & (!\led_flash_cnt[1656][2]~50067\ & VCC))
-- \led_flash_cnt[1656][3]~50069\ = CARRY((\led_flash_cnt[1656][3]~q\ & !\led_flash_cnt[1656][2]~50067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1656][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1656][2]~50067\,
	combout => \led_flash_cnt[1656][3]~50068_combout\,
	cout => \led_flash_cnt[1656][3]~50069\);

-- Location: FF_X37_Y10_N11
\led_flash_cnt[1656][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1656][3]~50068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1656][3]~q\);

-- Location: LCCOMB_X37_Y10_N12
\led_flash_cnt[1656][4]~50070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1656][4]~50070_combout\ = (\led_flash_cnt[1656][4]~q\ & (!\led_flash_cnt[1656][3]~50069\)) # (!\led_flash_cnt[1656][4]~q\ & ((\led_flash_cnt[1656][3]~50069\) # (GND)))
-- \led_flash_cnt[1656][4]~50071\ = CARRY((!\led_flash_cnt[1656][3]~50069\) # (!\led_flash_cnt[1656][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1656][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1656][3]~50069\,
	combout => \led_flash_cnt[1656][4]~50070_combout\,
	cout => \led_flash_cnt[1656][4]~50071\);

-- Location: FF_X37_Y10_N13
\led_flash_cnt[1656][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1656][4]~50070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1656][4]~q\);

-- Location: LCCOMB_X37_Y10_N22
\WideAnd1656~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1656~0_combout\ = (\led_flash_cnt[1656][4]~q\ & (\led_flash_cnt[1656][1]~q\ & (\led_flash_cnt[1656][2]~q\ & \led_flash_cnt[1656][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1656][4]~q\,
	datab => \led_flash_cnt[1656][1]~q\,
	datac => \led_flash_cnt[1656][2]~q\,
	datad => \led_flash_cnt[1656][3]~q\,
	combout => \WideAnd1656~0_combout\);

-- Location: LCCOMB_X37_Y10_N14
\led_flash_cnt[1656][5]~50072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1656][5]~50072_combout\ = (\led_flash_cnt[1656][5]~q\ & (\led_flash_cnt[1656][4]~50071\ $ (GND))) # (!\led_flash_cnt[1656][5]~q\ & (!\led_flash_cnt[1656][4]~50071\ & VCC))
-- \led_flash_cnt[1656][5]~50073\ = CARRY((\led_flash_cnt[1656][5]~q\ & !\led_flash_cnt[1656][4]~50071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1656][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1656][4]~50071\,
	combout => \led_flash_cnt[1656][5]~50072_combout\,
	cout => \led_flash_cnt[1656][5]~50073\);

-- Location: FF_X37_Y10_N15
\led_flash_cnt[1656][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1656][5]~50072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1656][5]~q\);

-- Location: LCCOMB_X37_Y10_N16
\led_flash_cnt[1656][6]~50074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1656][6]~50074_combout\ = (\led_flash_cnt[1656][6]~q\ & (!\led_flash_cnt[1656][5]~50073\)) # (!\led_flash_cnt[1656][6]~q\ & ((\led_flash_cnt[1656][5]~50073\) # (GND)))
-- \led_flash_cnt[1656][6]~50075\ = CARRY((!\led_flash_cnt[1656][5]~50073\) # (!\led_flash_cnt[1656][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1656][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1656][5]~50073\,
	combout => \led_flash_cnt[1656][6]~50074_combout\,
	cout => \led_flash_cnt[1656][6]~50075\);

-- Location: FF_X37_Y10_N17
\led_flash_cnt[1656][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1656][6]~50074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1656][6]~q\);

-- Location: LCCOMB_X37_Y10_N18
\led_flash_cnt[1656][7]~50076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1656][7]~50076_combout\ = \led_flash_cnt[1656][6]~50075\ $ (!\led_flash_cnt[1656][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1656][7]~q\,
	cin => \led_flash_cnt[1656][6]~50075\,
	combout => \led_flash_cnt[1656][7]~50076_combout\);

-- Location: FF_X37_Y10_N19
\led_flash_cnt[1656][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1656][7]~50076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1656][7]~q\);

-- Location: LCCOMB_X37_Y10_N20
\WideAnd1656~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1656~1_combout\ = (\led_flash_cnt[1656][5]~q\ & \led_flash_cnt[1656][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1656][5]~q\,
	datad => \led_flash_cnt[1656][6]~q\,
	combout => \WideAnd1656~1_combout\);

-- Location: LCCOMB_X37_Y10_N30
WideAnd1656 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1656~combout\ = (\WideAnd1656~0_combout\ & (\led_flash_cnt[1656][7]~q\ & (\led_flash_cnt[1656][0]~q\ & \WideAnd1656~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1656~0_combout\,
	datab => \led_flash_cnt[1656][7]~q\,
	datac => \led_flash_cnt[1656][0]~q\,
	datad => \WideAnd1656~1_combout\,
	combout => \WideAnd1656~combout\);

-- Location: FF_X37_Y10_N31
\led_flash_cnt_ands[1656]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1656~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1656));

-- Location: LCCOMB_X6_Y9_N8
\WideAnd4047~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4047~0_combout\ = (led_flash_cnt_ands(1657) & (led_flash_cnt_ands(1658) & (led_flash_cnt_ands(1659) & led_flash_cnt_ands(1656))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1657),
	datab => led_flash_cnt_ands(1658),
	datac => led_flash_cnt_ands(1659),
	datad => led_flash_cnt_ands(1656),
	combout => \WideAnd4047~0_combout\);

-- Location: LCCOMB_X15_Y9_N0
WideAnd4047 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4047~combout\ = (led_flash_cnt_ands(1662) & (led_flash_cnt_ands(1663) & (\WideAnd4047~1_combout\ & \WideAnd4047~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1662),
	datab => led_flash_cnt_ands(1663),
	datac => \WideAnd4047~1_combout\,
	datad => \WideAnd4047~0_combout\,
	combout => \WideAnd4047~combout\);

-- Location: FF_X15_Y9_N1
\led_flash_cnt_ands_1[207]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4047~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(207));

-- Location: LCCOMB_X44_Y38_N12
\led_flash_cnt[1627][0]~82267\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1627][0]~82267_combout\ = !\led_flash_cnt[1627][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1627][0]~q\,
	combout => \led_flash_cnt[1627][0]~82267_combout\);

-- Location: FF_X44_Y38_N13
\led_flash_cnt[1627][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1627][0]~82267_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1627][0]~q\);

-- Location: LCCOMB_X44_Y38_N18
\led_flash_cnt[1627][1]~49658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1627][1]~49658_combout\ = (\led_flash_cnt[1627][0]~q\ & (\led_flash_cnt[1627][1]~q\ $ (VCC))) # (!\led_flash_cnt[1627][0]~q\ & (\led_flash_cnt[1627][1]~q\ & VCC))
-- \led_flash_cnt[1627][1]~49659\ = CARRY((\led_flash_cnt[1627][0]~q\ & \led_flash_cnt[1627][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1627][0]~q\,
	datab => \led_flash_cnt[1627][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1627][1]~49658_combout\,
	cout => \led_flash_cnt[1627][1]~49659\);

-- Location: FF_X44_Y38_N19
\led_flash_cnt[1627][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1627][1]~49658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1627][1]~q\);

-- Location: LCCOMB_X44_Y38_N20
\led_flash_cnt[1627][2]~49660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1627][2]~49660_combout\ = (\led_flash_cnt[1627][2]~q\ & (!\led_flash_cnt[1627][1]~49659\)) # (!\led_flash_cnt[1627][2]~q\ & ((\led_flash_cnt[1627][1]~49659\) # (GND)))
-- \led_flash_cnt[1627][2]~49661\ = CARRY((!\led_flash_cnt[1627][1]~49659\) # (!\led_flash_cnt[1627][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1627][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1627][1]~49659\,
	combout => \led_flash_cnt[1627][2]~49660_combout\,
	cout => \led_flash_cnt[1627][2]~49661\);

-- Location: FF_X44_Y38_N21
\led_flash_cnt[1627][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1627][2]~49660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1627][2]~q\);

-- Location: LCCOMB_X44_Y38_N22
\led_flash_cnt[1627][3]~49662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1627][3]~49662_combout\ = (\led_flash_cnt[1627][3]~q\ & (\led_flash_cnt[1627][2]~49661\ $ (GND))) # (!\led_flash_cnt[1627][3]~q\ & (!\led_flash_cnt[1627][2]~49661\ & VCC))
-- \led_flash_cnt[1627][3]~49663\ = CARRY((\led_flash_cnt[1627][3]~q\ & !\led_flash_cnt[1627][2]~49661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1627][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1627][2]~49661\,
	combout => \led_flash_cnt[1627][3]~49662_combout\,
	cout => \led_flash_cnt[1627][3]~49663\);

-- Location: FF_X44_Y38_N23
\led_flash_cnt[1627][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1627][3]~49662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1627][3]~q\);

-- Location: LCCOMB_X44_Y38_N24
\led_flash_cnt[1627][4]~49664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1627][4]~49664_combout\ = (\led_flash_cnt[1627][4]~q\ & (!\led_flash_cnt[1627][3]~49663\)) # (!\led_flash_cnt[1627][4]~q\ & ((\led_flash_cnt[1627][3]~49663\) # (GND)))
-- \led_flash_cnt[1627][4]~49665\ = CARRY((!\led_flash_cnt[1627][3]~49663\) # (!\led_flash_cnt[1627][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1627][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1627][3]~49663\,
	combout => \led_flash_cnt[1627][4]~49664_combout\,
	cout => \led_flash_cnt[1627][4]~49665\);

-- Location: FF_X44_Y38_N25
\led_flash_cnt[1627][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1627][4]~49664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1627][4]~q\);

-- Location: LCCOMB_X44_Y38_N26
\led_flash_cnt[1627][5]~49666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1627][5]~49666_combout\ = (\led_flash_cnt[1627][5]~q\ & (\led_flash_cnt[1627][4]~49665\ $ (GND))) # (!\led_flash_cnt[1627][5]~q\ & (!\led_flash_cnt[1627][4]~49665\ & VCC))
-- \led_flash_cnt[1627][5]~49667\ = CARRY((\led_flash_cnt[1627][5]~q\ & !\led_flash_cnt[1627][4]~49665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1627][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1627][4]~49665\,
	combout => \led_flash_cnt[1627][5]~49666_combout\,
	cout => \led_flash_cnt[1627][5]~49667\);

-- Location: FF_X44_Y38_N27
\led_flash_cnt[1627][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1627][5]~49666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1627][5]~q\);

-- Location: LCCOMB_X44_Y38_N28
\led_flash_cnt[1627][6]~49668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1627][6]~49668_combout\ = (\led_flash_cnt[1627][6]~q\ & (!\led_flash_cnt[1627][5]~49667\)) # (!\led_flash_cnt[1627][6]~q\ & ((\led_flash_cnt[1627][5]~49667\) # (GND)))
-- \led_flash_cnt[1627][6]~49669\ = CARRY((!\led_flash_cnt[1627][5]~49667\) # (!\led_flash_cnt[1627][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1627][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1627][5]~49667\,
	combout => \led_flash_cnt[1627][6]~49668_combout\,
	cout => \led_flash_cnt[1627][6]~49669\);

-- Location: FF_X44_Y38_N29
\led_flash_cnt[1627][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1627][6]~49668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1627][6]~q\);

-- Location: LCCOMB_X44_Y38_N30
\led_flash_cnt[1627][7]~49670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1627][7]~49670_combout\ = \led_flash_cnt[1627][7]~q\ $ (!\led_flash_cnt[1627][6]~49669\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1627][7]~q\,
	cin => \led_flash_cnt[1627][6]~49669\,
	combout => \led_flash_cnt[1627][7]~49670_combout\);

-- Location: FF_X44_Y38_N31
\led_flash_cnt[1627][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1627][7]~49670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1627][7]~q\);

-- Location: LCCOMB_X44_Y38_N8
\WideAnd1627~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1627~1_combout\ = (\led_flash_cnt[1627][5]~q\ & \led_flash_cnt[1627][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1627][5]~q\,
	datad => \led_flash_cnt[1627][6]~q\,
	combout => \WideAnd1627~1_combout\);

-- Location: LCCOMB_X44_Y38_N14
\WideAnd1627~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1627~0_combout\ = (\led_flash_cnt[1627][4]~q\ & (\led_flash_cnt[1627][2]~q\ & (\led_flash_cnt[1627][3]~q\ & \led_flash_cnt[1627][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1627][4]~q\,
	datab => \led_flash_cnt[1627][2]~q\,
	datac => \led_flash_cnt[1627][3]~q\,
	datad => \led_flash_cnt[1627][1]~q\,
	combout => \WideAnd1627~0_combout\);

-- Location: LCCOMB_X44_Y38_N6
WideAnd1627 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1627~combout\ = (\led_flash_cnt[1627][7]~q\ & (\WideAnd1627~1_combout\ & (\WideAnd1627~0_combout\ & \led_flash_cnt[1627][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1627][7]~q\,
	datab => \WideAnd1627~1_combout\,
	datac => \WideAnd1627~0_combout\,
	datad => \led_flash_cnt[1627][0]~q\,
	combout => \WideAnd1627~combout\);

-- Location: FF_X44_Y38_N7
\led_flash_cnt_ands[1627]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1627~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1627));

-- Location: LCCOMB_X38_Y34_N8
\led_flash_cnt[1625][0]~82265\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1625][0]~82265_combout\ = !\led_flash_cnt[1625][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1625][0]~q\,
	combout => \led_flash_cnt[1625][0]~82265_combout\);

-- Location: FF_X38_Y34_N9
\led_flash_cnt[1625][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1625][0]~82265_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1625][0]~q\);

-- Location: LCCOMB_X38_Y31_N4
\led_flash_cnt[1625][1]~49630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1625][1]~49630_combout\ = (\led_flash_cnt[1625][0]~q\ & (\led_flash_cnt[1625][1]~q\ $ (VCC))) # (!\led_flash_cnt[1625][0]~q\ & (\led_flash_cnt[1625][1]~q\ & VCC))
-- \led_flash_cnt[1625][1]~49631\ = CARRY((\led_flash_cnt[1625][0]~q\ & \led_flash_cnt[1625][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1625][0]~q\,
	datab => \led_flash_cnt[1625][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1625][1]~49630_combout\,
	cout => \led_flash_cnt[1625][1]~49631\);

-- Location: FF_X38_Y31_N5
\led_flash_cnt[1625][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1625][1]~49630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1625][1]~q\);

-- Location: LCCOMB_X38_Y31_N6
\led_flash_cnt[1625][2]~49632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1625][2]~49632_combout\ = (\led_flash_cnt[1625][2]~q\ & (!\led_flash_cnt[1625][1]~49631\)) # (!\led_flash_cnt[1625][2]~q\ & ((\led_flash_cnt[1625][1]~49631\) # (GND)))
-- \led_flash_cnt[1625][2]~49633\ = CARRY((!\led_flash_cnt[1625][1]~49631\) # (!\led_flash_cnt[1625][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1625][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1625][1]~49631\,
	combout => \led_flash_cnt[1625][2]~49632_combout\,
	cout => \led_flash_cnt[1625][2]~49633\);

-- Location: FF_X38_Y31_N7
\led_flash_cnt[1625][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1625][2]~49632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1625][2]~q\);

-- Location: LCCOMB_X38_Y31_N8
\led_flash_cnt[1625][3]~49634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1625][3]~49634_combout\ = (\led_flash_cnt[1625][3]~q\ & (\led_flash_cnt[1625][2]~49633\ $ (GND))) # (!\led_flash_cnt[1625][3]~q\ & (!\led_flash_cnt[1625][2]~49633\ & VCC))
-- \led_flash_cnt[1625][3]~49635\ = CARRY((\led_flash_cnt[1625][3]~q\ & !\led_flash_cnt[1625][2]~49633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1625][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1625][2]~49633\,
	combout => \led_flash_cnt[1625][3]~49634_combout\,
	cout => \led_flash_cnt[1625][3]~49635\);

-- Location: FF_X38_Y31_N9
\led_flash_cnt[1625][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1625][3]~49634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1625][3]~q\);

-- Location: LCCOMB_X38_Y31_N10
\led_flash_cnt[1625][4]~49636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1625][4]~49636_combout\ = (\led_flash_cnt[1625][4]~q\ & (!\led_flash_cnt[1625][3]~49635\)) # (!\led_flash_cnt[1625][4]~q\ & ((\led_flash_cnt[1625][3]~49635\) # (GND)))
-- \led_flash_cnt[1625][4]~49637\ = CARRY((!\led_flash_cnt[1625][3]~49635\) # (!\led_flash_cnt[1625][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1625][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1625][3]~49635\,
	combout => \led_flash_cnt[1625][4]~49636_combout\,
	cout => \led_flash_cnt[1625][4]~49637\);

-- Location: FF_X38_Y31_N11
\led_flash_cnt[1625][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1625][4]~49636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1625][4]~q\);

-- Location: LCCOMB_X38_Y31_N12
\led_flash_cnt[1625][5]~49638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1625][5]~49638_combout\ = (\led_flash_cnt[1625][5]~q\ & (\led_flash_cnt[1625][4]~49637\ $ (GND))) # (!\led_flash_cnt[1625][5]~q\ & (!\led_flash_cnt[1625][4]~49637\ & VCC))
-- \led_flash_cnt[1625][5]~49639\ = CARRY((\led_flash_cnt[1625][5]~q\ & !\led_flash_cnt[1625][4]~49637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1625][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1625][4]~49637\,
	combout => \led_flash_cnt[1625][5]~49638_combout\,
	cout => \led_flash_cnt[1625][5]~49639\);

-- Location: FF_X38_Y31_N13
\led_flash_cnt[1625][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1625][5]~49638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1625][5]~q\);

-- Location: LCCOMB_X38_Y31_N14
\led_flash_cnt[1625][6]~49640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1625][6]~49640_combout\ = (\led_flash_cnt[1625][6]~q\ & (!\led_flash_cnt[1625][5]~49639\)) # (!\led_flash_cnt[1625][6]~q\ & ((\led_flash_cnt[1625][5]~49639\) # (GND)))
-- \led_flash_cnt[1625][6]~49641\ = CARRY((!\led_flash_cnt[1625][5]~49639\) # (!\led_flash_cnt[1625][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1625][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1625][5]~49639\,
	combout => \led_flash_cnt[1625][6]~49640_combout\,
	cout => \led_flash_cnt[1625][6]~49641\);

-- Location: FF_X38_Y31_N15
\led_flash_cnt[1625][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1625][6]~49640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1625][6]~q\);

-- Location: LCCOMB_X38_Y31_N16
\led_flash_cnt[1625][7]~49642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1625][7]~49642_combout\ = \led_flash_cnt[1625][6]~49641\ $ (!\led_flash_cnt[1625][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1625][7]~q\,
	cin => \led_flash_cnt[1625][6]~49641\,
	combout => \led_flash_cnt[1625][7]~49642_combout\);

-- Location: FF_X38_Y31_N17
\led_flash_cnt[1625][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1625][7]~49642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1625][7]~q\);

-- Location: LCCOMB_X38_Y31_N2
\WideAnd1625~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1625~0_combout\ = (\led_flash_cnt[1625][2]~q\ & (\led_flash_cnt[1625][1]~q\ & (\led_flash_cnt[1625][3]~q\ & \led_flash_cnt[1625][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1625][2]~q\,
	datab => \led_flash_cnt[1625][1]~q\,
	datac => \led_flash_cnt[1625][3]~q\,
	datad => \led_flash_cnt[1625][4]~q\,
	combout => \WideAnd1625~0_combout\);

-- Location: LCCOMB_X38_Y34_N0
\WideAnd1625~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1625~1_combout\ = (\led_flash_cnt[1625][5]~q\ & \led_flash_cnt[1625][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1625][5]~q\,
	datad => \led_flash_cnt[1625][6]~q\,
	combout => \WideAnd1625~1_combout\);

-- Location: LCCOMB_X38_Y34_N6
WideAnd1625 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1625~combout\ = (\led_flash_cnt[1625][7]~q\ & (\led_flash_cnt[1625][0]~q\ & (\WideAnd1625~0_combout\ & \WideAnd1625~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1625][7]~q\,
	datab => \led_flash_cnt[1625][0]~q\,
	datac => \WideAnd1625~0_combout\,
	datad => \WideAnd1625~1_combout\,
	combout => \WideAnd1625~combout\);

-- Location: FF_X38_Y34_N7
\led_flash_cnt_ands[1625]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1625~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1625));

-- Location: LCCOMB_X25_Y35_N12
\led_flash_cnt[1624][0]~82264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1624][0]~82264_combout\ = !\led_flash_cnt[1624][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1624][0]~q\,
	combout => \led_flash_cnt[1624][0]~82264_combout\);

-- Location: FF_X25_Y35_N13
\led_flash_cnt[1624][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1624][0]~82264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1624][0]~q\);

-- Location: LCCOMB_X25_Y35_N18
\led_flash_cnt[1624][1]~49616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1624][1]~49616_combout\ = (\led_flash_cnt[1624][0]~q\ & (\led_flash_cnt[1624][1]~q\ $ (VCC))) # (!\led_flash_cnt[1624][0]~q\ & (\led_flash_cnt[1624][1]~q\ & VCC))
-- \led_flash_cnt[1624][1]~49617\ = CARRY((\led_flash_cnt[1624][0]~q\ & \led_flash_cnt[1624][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1624][0]~q\,
	datab => \led_flash_cnt[1624][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1624][1]~49616_combout\,
	cout => \led_flash_cnt[1624][1]~49617\);

-- Location: FF_X25_Y35_N19
\led_flash_cnt[1624][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1624][1]~49616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1624][1]~q\);

-- Location: LCCOMB_X25_Y35_N20
\led_flash_cnt[1624][2]~49618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1624][2]~49618_combout\ = (\led_flash_cnt[1624][2]~q\ & (!\led_flash_cnt[1624][1]~49617\)) # (!\led_flash_cnt[1624][2]~q\ & ((\led_flash_cnt[1624][1]~49617\) # (GND)))
-- \led_flash_cnt[1624][2]~49619\ = CARRY((!\led_flash_cnt[1624][1]~49617\) # (!\led_flash_cnt[1624][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1624][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1624][1]~49617\,
	combout => \led_flash_cnt[1624][2]~49618_combout\,
	cout => \led_flash_cnt[1624][2]~49619\);

-- Location: FF_X25_Y35_N21
\led_flash_cnt[1624][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1624][2]~49618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1624][2]~q\);

-- Location: LCCOMB_X25_Y35_N22
\led_flash_cnt[1624][3]~49620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1624][3]~49620_combout\ = (\led_flash_cnt[1624][3]~q\ & (\led_flash_cnt[1624][2]~49619\ $ (GND))) # (!\led_flash_cnt[1624][3]~q\ & (!\led_flash_cnt[1624][2]~49619\ & VCC))
-- \led_flash_cnt[1624][3]~49621\ = CARRY((\led_flash_cnt[1624][3]~q\ & !\led_flash_cnt[1624][2]~49619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1624][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1624][2]~49619\,
	combout => \led_flash_cnt[1624][3]~49620_combout\,
	cout => \led_flash_cnt[1624][3]~49621\);

-- Location: FF_X25_Y35_N23
\led_flash_cnt[1624][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1624][3]~49620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1624][3]~q\);

-- Location: LCCOMB_X25_Y35_N24
\led_flash_cnt[1624][4]~49622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1624][4]~49622_combout\ = (\led_flash_cnt[1624][4]~q\ & (!\led_flash_cnt[1624][3]~49621\)) # (!\led_flash_cnt[1624][4]~q\ & ((\led_flash_cnt[1624][3]~49621\) # (GND)))
-- \led_flash_cnt[1624][4]~49623\ = CARRY((!\led_flash_cnt[1624][3]~49621\) # (!\led_flash_cnt[1624][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1624][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1624][3]~49621\,
	combout => \led_flash_cnt[1624][4]~49622_combout\,
	cout => \led_flash_cnt[1624][4]~49623\);

-- Location: FF_X25_Y35_N25
\led_flash_cnt[1624][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1624][4]~49622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1624][4]~q\);

-- Location: LCCOMB_X25_Y35_N26
\led_flash_cnt[1624][5]~49624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1624][5]~49624_combout\ = (\led_flash_cnt[1624][5]~q\ & (\led_flash_cnt[1624][4]~49623\ $ (GND))) # (!\led_flash_cnt[1624][5]~q\ & (!\led_flash_cnt[1624][4]~49623\ & VCC))
-- \led_flash_cnt[1624][5]~49625\ = CARRY((\led_flash_cnt[1624][5]~q\ & !\led_flash_cnt[1624][4]~49623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1624][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1624][4]~49623\,
	combout => \led_flash_cnt[1624][5]~49624_combout\,
	cout => \led_flash_cnt[1624][5]~49625\);

-- Location: FF_X25_Y35_N27
\led_flash_cnt[1624][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1624][5]~49624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1624][5]~q\);

-- Location: LCCOMB_X25_Y35_N28
\led_flash_cnt[1624][6]~49626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1624][6]~49626_combout\ = (\led_flash_cnt[1624][6]~q\ & (!\led_flash_cnt[1624][5]~49625\)) # (!\led_flash_cnt[1624][6]~q\ & ((\led_flash_cnt[1624][5]~49625\) # (GND)))
-- \led_flash_cnt[1624][6]~49627\ = CARRY((!\led_flash_cnt[1624][5]~49625\) # (!\led_flash_cnt[1624][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1624][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1624][5]~49625\,
	combout => \led_flash_cnt[1624][6]~49626_combout\,
	cout => \led_flash_cnt[1624][6]~49627\);

-- Location: FF_X25_Y35_N29
\led_flash_cnt[1624][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1624][6]~49626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1624][6]~q\);

-- Location: LCCOMB_X25_Y35_N14
\WideAnd1624~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1624~1_combout\ = (\led_flash_cnt[1624][5]~q\ & \led_flash_cnt[1624][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1624][5]~q\,
	datad => \led_flash_cnt[1624][6]~q\,
	combout => \WideAnd1624~1_combout\);

-- Location: LCCOMB_X25_Y35_N4
\WideAnd1624~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1624~0_combout\ = (\led_flash_cnt[1624][4]~q\ & (\led_flash_cnt[1624][2]~q\ & (\led_flash_cnt[1624][3]~q\ & \led_flash_cnt[1624][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1624][4]~q\,
	datab => \led_flash_cnt[1624][2]~q\,
	datac => \led_flash_cnt[1624][3]~q\,
	datad => \led_flash_cnt[1624][1]~q\,
	combout => \WideAnd1624~0_combout\);

-- Location: LCCOMB_X25_Y35_N30
\led_flash_cnt[1624][7]~49628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1624][7]~49628_combout\ = \led_flash_cnt[1624][6]~49627\ $ (!\led_flash_cnt[1624][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1624][7]~q\,
	cin => \led_flash_cnt[1624][6]~49627\,
	combout => \led_flash_cnt[1624][7]~49628_combout\);

-- Location: FF_X25_Y35_N31
\led_flash_cnt[1624][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1624][7]~49628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1624][7]~q\);

-- Location: LCCOMB_X25_Y35_N10
WideAnd1624 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1624~combout\ = (\led_flash_cnt[1624][0]~q\ & (\WideAnd1624~1_combout\ & (\WideAnd1624~0_combout\ & \led_flash_cnt[1624][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1624][0]~q\,
	datab => \WideAnd1624~1_combout\,
	datac => \WideAnd1624~0_combout\,
	datad => \led_flash_cnt[1624][7]~q\,
	combout => \WideAnd1624~combout\);

-- Location: FF_X25_Y35_N11
\led_flash_cnt_ands[1624]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1624~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1624));

-- Location: LCCOMB_X44_Y38_N0
\led_flash_cnt[1626][0]~82266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1626][0]~82266_combout\ = !\led_flash_cnt[1626][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1626][0]~q\,
	combout => \led_flash_cnt[1626][0]~82266_combout\);

-- Location: FF_X44_Y38_N1
\led_flash_cnt[1626][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1626][0]~82266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1626][0]~q\);

-- Location: LCCOMB_X43_Y38_N4
\led_flash_cnt[1626][1]~49644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1626][1]~49644_combout\ = (\led_flash_cnt[1626][1]~q\ & (\led_flash_cnt[1626][0]~q\ $ (VCC))) # (!\led_flash_cnt[1626][1]~q\ & (\led_flash_cnt[1626][0]~q\ & VCC))
-- \led_flash_cnt[1626][1]~49645\ = CARRY((\led_flash_cnt[1626][1]~q\ & \led_flash_cnt[1626][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1626][1]~q\,
	datab => \led_flash_cnt[1626][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1626][1]~49644_combout\,
	cout => \led_flash_cnt[1626][1]~49645\);

-- Location: FF_X43_Y38_N5
\led_flash_cnt[1626][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1626][1]~49644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1626][1]~q\);

-- Location: LCCOMB_X43_Y38_N6
\led_flash_cnt[1626][2]~49646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1626][2]~49646_combout\ = (\led_flash_cnt[1626][2]~q\ & (!\led_flash_cnt[1626][1]~49645\)) # (!\led_flash_cnt[1626][2]~q\ & ((\led_flash_cnt[1626][1]~49645\) # (GND)))
-- \led_flash_cnt[1626][2]~49647\ = CARRY((!\led_flash_cnt[1626][1]~49645\) # (!\led_flash_cnt[1626][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1626][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1626][1]~49645\,
	combout => \led_flash_cnt[1626][2]~49646_combout\,
	cout => \led_flash_cnt[1626][2]~49647\);

-- Location: FF_X43_Y38_N7
\led_flash_cnt[1626][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1626][2]~49646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1626][2]~q\);

-- Location: LCCOMB_X43_Y38_N8
\led_flash_cnt[1626][3]~49648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1626][3]~49648_combout\ = (\led_flash_cnt[1626][3]~q\ & (\led_flash_cnt[1626][2]~49647\ $ (GND))) # (!\led_flash_cnt[1626][3]~q\ & (!\led_flash_cnt[1626][2]~49647\ & VCC))
-- \led_flash_cnt[1626][3]~49649\ = CARRY((\led_flash_cnt[1626][3]~q\ & !\led_flash_cnt[1626][2]~49647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1626][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1626][2]~49647\,
	combout => \led_flash_cnt[1626][3]~49648_combout\,
	cout => \led_flash_cnt[1626][3]~49649\);

-- Location: FF_X43_Y38_N9
\led_flash_cnt[1626][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1626][3]~49648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1626][3]~q\);

-- Location: LCCOMB_X43_Y38_N10
\led_flash_cnt[1626][4]~49650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1626][4]~49650_combout\ = (\led_flash_cnt[1626][4]~q\ & (!\led_flash_cnt[1626][3]~49649\)) # (!\led_flash_cnt[1626][4]~q\ & ((\led_flash_cnt[1626][3]~49649\) # (GND)))
-- \led_flash_cnt[1626][4]~49651\ = CARRY((!\led_flash_cnt[1626][3]~49649\) # (!\led_flash_cnt[1626][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1626][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1626][3]~49649\,
	combout => \led_flash_cnt[1626][4]~49650_combout\,
	cout => \led_flash_cnt[1626][4]~49651\);

-- Location: FF_X43_Y38_N11
\led_flash_cnt[1626][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1626][4]~49650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1626][4]~q\);

-- Location: LCCOMB_X43_Y38_N12
\led_flash_cnt[1626][5]~49652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1626][5]~49652_combout\ = (\led_flash_cnt[1626][5]~q\ & (\led_flash_cnt[1626][4]~49651\ $ (GND))) # (!\led_flash_cnt[1626][5]~q\ & (!\led_flash_cnt[1626][4]~49651\ & VCC))
-- \led_flash_cnt[1626][5]~49653\ = CARRY((\led_flash_cnt[1626][5]~q\ & !\led_flash_cnt[1626][4]~49651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1626][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1626][4]~49651\,
	combout => \led_flash_cnt[1626][5]~49652_combout\,
	cout => \led_flash_cnt[1626][5]~49653\);

-- Location: FF_X43_Y38_N13
\led_flash_cnt[1626][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1626][5]~49652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1626][5]~q\);

-- Location: LCCOMB_X43_Y38_N14
\led_flash_cnt[1626][6]~49654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1626][6]~49654_combout\ = (\led_flash_cnt[1626][6]~q\ & (!\led_flash_cnt[1626][5]~49653\)) # (!\led_flash_cnt[1626][6]~q\ & ((\led_flash_cnt[1626][5]~49653\) # (GND)))
-- \led_flash_cnt[1626][6]~49655\ = CARRY((!\led_flash_cnt[1626][5]~49653\) # (!\led_flash_cnt[1626][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1626][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1626][5]~49653\,
	combout => \led_flash_cnt[1626][6]~49654_combout\,
	cout => \led_flash_cnt[1626][6]~49655\);

-- Location: FF_X43_Y38_N15
\led_flash_cnt[1626][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1626][6]~49654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1626][6]~q\);

-- Location: LCCOMB_X43_Y38_N16
\led_flash_cnt[1626][7]~49656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1626][7]~49656_combout\ = \led_flash_cnt[1626][6]~49655\ $ (!\led_flash_cnt[1626][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1626][7]~q\,
	cin => \led_flash_cnt[1626][6]~49655\,
	combout => \led_flash_cnt[1626][7]~49656_combout\);

-- Location: FF_X43_Y38_N17
\led_flash_cnt[1626][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1626][7]~49656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1626][7]~q\);

-- Location: LCCOMB_X44_Y38_N16
\WideAnd1626~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1626~1_combout\ = (\led_flash_cnt[1626][6]~q\ & \led_flash_cnt[1626][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1626][6]~q\,
	datad => \led_flash_cnt[1626][5]~q\,
	combout => \WideAnd1626~1_combout\);

-- Location: LCCOMB_X44_Y38_N4
\WideAnd1626~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1626~0_combout\ = (\led_flash_cnt[1626][4]~q\ & (\led_flash_cnt[1626][1]~q\ & (\led_flash_cnt[1626][2]~q\ & \led_flash_cnt[1626][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1626][4]~q\,
	datab => \led_flash_cnt[1626][1]~q\,
	datac => \led_flash_cnt[1626][2]~q\,
	datad => \led_flash_cnt[1626][3]~q\,
	combout => \WideAnd1626~0_combout\);

-- Location: LCCOMB_X44_Y38_N2
WideAnd1626 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1626~combout\ = (\led_flash_cnt[1626][7]~q\ & (\WideAnd1626~1_combout\ & (\WideAnd1626~0_combout\ & \led_flash_cnt[1626][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1626][7]~q\,
	datab => \WideAnd1626~1_combout\,
	datac => \WideAnd1626~0_combout\,
	datad => \led_flash_cnt[1626][0]~q\,
	combout => \WideAnd1626~combout\);

-- Location: FF_X44_Y38_N3
\led_flash_cnt_ands[1626]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1626~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1626));

-- Location: LCCOMB_X44_Y38_N10
\WideAnd4043~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4043~0_combout\ = (led_flash_cnt_ands(1627) & (led_flash_cnt_ands(1625) & (led_flash_cnt_ands(1624) & led_flash_cnt_ands(1626))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1627),
	datab => led_flash_cnt_ands(1625),
	datac => led_flash_cnt_ands(1624),
	datad => led_flash_cnt_ands(1626),
	combout => \WideAnd4043~0_combout\);

-- Location: LCCOMB_X22_Y38_N22
\led_flash_cnt[1629][0]~82269\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1629][0]~82269_combout\ = !\led_flash_cnt[1629][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1629][0]~q\,
	combout => \led_flash_cnt[1629][0]~82269_combout\);

-- Location: FF_X22_Y38_N23
\led_flash_cnt[1629][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1629][0]~82269_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1629][0]~q\);

-- Location: LCCOMB_X22_Y38_N4
\led_flash_cnt[1629][1]~49686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1629][1]~49686_combout\ = (\led_flash_cnt[1629][0]~q\ & (\led_flash_cnt[1629][1]~q\ $ (VCC))) # (!\led_flash_cnt[1629][0]~q\ & (\led_flash_cnt[1629][1]~q\ & VCC))
-- \led_flash_cnt[1629][1]~49687\ = CARRY((\led_flash_cnt[1629][0]~q\ & \led_flash_cnt[1629][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1629][0]~q\,
	datab => \led_flash_cnt[1629][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1629][1]~49686_combout\,
	cout => \led_flash_cnt[1629][1]~49687\);

-- Location: FF_X22_Y38_N5
\led_flash_cnt[1629][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1629][1]~49686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1629][1]~q\);

-- Location: LCCOMB_X22_Y38_N6
\led_flash_cnt[1629][2]~49688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1629][2]~49688_combout\ = (\led_flash_cnt[1629][2]~q\ & (!\led_flash_cnt[1629][1]~49687\)) # (!\led_flash_cnt[1629][2]~q\ & ((\led_flash_cnt[1629][1]~49687\) # (GND)))
-- \led_flash_cnt[1629][2]~49689\ = CARRY((!\led_flash_cnt[1629][1]~49687\) # (!\led_flash_cnt[1629][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1629][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1629][1]~49687\,
	combout => \led_flash_cnt[1629][2]~49688_combout\,
	cout => \led_flash_cnt[1629][2]~49689\);

-- Location: FF_X22_Y38_N7
\led_flash_cnt[1629][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1629][2]~49688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1629][2]~q\);

-- Location: LCCOMB_X22_Y38_N8
\led_flash_cnt[1629][3]~49690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1629][3]~49690_combout\ = (\led_flash_cnt[1629][3]~q\ & (\led_flash_cnt[1629][2]~49689\ $ (GND))) # (!\led_flash_cnt[1629][3]~q\ & (!\led_flash_cnt[1629][2]~49689\ & VCC))
-- \led_flash_cnt[1629][3]~49691\ = CARRY((\led_flash_cnt[1629][3]~q\ & !\led_flash_cnt[1629][2]~49689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1629][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1629][2]~49689\,
	combout => \led_flash_cnt[1629][3]~49690_combout\,
	cout => \led_flash_cnt[1629][3]~49691\);

-- Location: FF_X22_Y38_N9
\led_flash_cnt[1629][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1629][3]~49690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1629][3]~q\);

-- Location: LCCOMB_X22_Y38_N10
\led_flash_cnt[1629][4]~49692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1629][4]~49692_combout\ = (\led_flash_cnt[1629][4]~q\ & (!\led_flash_cnt[1629][3]~49691\)) # (!\led_flash_cnt[1629][4]~q\ & ((\led_flash_cnt[1629][3]~49691\) # (GND)))
-- \led_flash_cnt[1629][4]~49693\ = CARRY((!\led_flash_cnt[1629][3]~49691\) # (!\led_flash_cnt[1629][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1629][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1629][3]~49691\,
	combout => \led_flash_cnt[1629][4]~49692_combout\,
	cout => \led_flash_cnt[1629][4]~49693\);

-- Location: FF_X22_Y38_N11
\led_flash_cnt[1629][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1629][4]~49692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1629][4]~q\);

-- Location: LCCOMB_X22_Y38_N12
\led_flash_cnt[1629][5]~49694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1629][5]~49694_combout\ = (\led_flash_cnt[1629][5]~q\ & (\led_flash_cnt[1629][4]~49693\ $ (GND))) # (!\led_flash_cnt[1629][5]~q\ & (!\led_flash_cnt[1629][4]~49693\ & VCC))
-- \led_flash_cnt[1629][5]~49695\ = CARRY((\led_flash_cnt[1629][5]~q\ & !\led_flash_cnt[1629][4]~49693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1629][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1629][4]~49693\,
	combout => \led_flash_cnt[1629][5]~49694_combout\,
	cout => \led_flash_cnt[1629][5]~49695\);

-- Location: FF_X22_Y38_N13
\led_flash_cnt[1629][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1629][5]~49694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1629][5]~q\);

-- Location: LCCOMB_X22_Y38_N14
\led_flash_cnt[1629][6]~49696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1629][6]~49696_combout\ = (\led_flash_cnt[1629][6]~q\ & (!\led_flash_cnt[1629][5]~49695\)) # (!\led_flash_cnt[1629][6]~q\ & ((\led_flash_cnt[1629][5]~49695\) # (GND)))
-- \led_flash_cnt[1629][6]~49697\ = CARRY((!\led_flash_cnt[1629][5]~49695\) # (!\led_flash_cnt[1629][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1629][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1629][5]~49695\,
	combout => \led_flash_cnt[1629][6]~49696_combout\,
	cout => \led_flash_cnt[1629][6]~49697\);

-- Location: FF_X22_Y38_N15
\led_flash_cnt[1629][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1629][6]~49696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1629][6]~q\);

-- Location: LCCOMB_X22_Y38_N16
\led_flash_cnt[1629][7]~49698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1629][7]~49698_combout\ = \led_flash_cnt[1629][6]~49697\ $ (!\led_flash_cnt[1629][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1629][7]~q\,
	cin => \led_flash_cnt[1629][6]~49697\,
	combout => \led_flash_cnt[1629][7]~49698_combout\);

-- Location: FF_X22_Y38_N17
\led_flash_cnt[1629][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1629][7]~49698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1629][7]~q\);

-- Location: LCCOMB_X22_Y38_N26
\WideAnd1629~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1629~0_combout\ = (\led_flash_cnt[1629][2]~q\ & (\led_flash_cnt[1629][1]~q\ & (\led_flash_cnt[1629][3]~q\ & \led_flash_cnt[1629][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1629][2]~q\,
	datab => \led_flash_cnt[1629][1]~q\,
	datac => \led_flash_cnt[1629][3]~q\,
	datad => \led_flash_cnt[1629][4]~q\,
	combout => \WideAnd1629~0_combout\);

-- Location: LCCOMB_X22_Y38_N18
\WideAnd1629~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1629~1_combout\ = (\led_flash_cnt[1629][6]~q\ & \led_flash_cnt[1629][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1629][6]~q\,
	datad => \led_flash_cnt[1629][5]~q\,
	combout => \WideAnd1629~1_combout\);

-- Location: LCCOMB_X22_Y38_N30
WideAnd1629 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1629~combout\ = (\led_flash_cnt[1629][0]~q\ & (\led_flash_cnt[1629][7]~q\ & (\WideAnd1629~0_combout\ & \WideAnd1629~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1629][0]~q\,
	datab => \led_flash_cnt[1629][7]~q\,
	datac => \WideAnd1629~0_combout\,
	datad => \WideAnd1629~1_combout\,
	combout => \WideAnd1629~combout\);

-- Location: FF_X22_Y38_N31
\led_flash_cnt_ands[1629]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1629~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1629));

-- Location: LCCOMB_X22_Y38_N2
\led_flash_cnt[1628][0]~82268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1628][0]~82268_combout\ = !\led_flash_cnt[1628][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1628][0]~q\,
	combout => \led_flash_cnt[1628][0]~82268_combout\);

-- Location: FF_X22_Y38_N3
\led_flash_cnt[1628][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1628][0]~82268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1628][0]~q\);

-- Location: LCCOMB_X21_Y38_N2
\led_flash_cnt[1628][1]~49672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1628][1]~49672_combout\ = (\led_flash_cnt[1628][0]~q\ & (\led_flash_cnt[1628][1]~q\ $ (VCC))) # (!\led_flash_cnt[1628][0]~q\ & (\led_flash_cnt[1628][1]~q\ & VCC))
-- \led_flash_cnt[1628][1]~49673\ = CARRY((\led_flash_cnt[1628][0]~q\ & \led_flash_cnt[1628][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1628][0]~q\,
	datab => \led_flash_cnt[1628][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1628][1]~49672_combout\,
	cout => \led_flash_cnt[1628][1]~49673\);

-- Location: FF_X21_Y38_N3
\led_flash_cnt[1628][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1628][1]~49672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1628][1]~q\);

-- Location: LCCOMB_X21_Y38_N4
\led_flash_cnt[1628][2]~49674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1628][2]~49674_combout\ = (\led_flash_cnt[1628][2]~q\ & (!\led_flash_cnt[1628][1]~49673\)) # (!\led_flash_cnt[1628][2]~q\ & ((\led_flash_cnt[1628][1]~49673\) # (GND)))
-- \led_flash_cnt[1628][2]~49675\ = CARRY((!\led_flash_cnt[1628][1]~49673\) # (!\led_flash_cnt[1628][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1628][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1628][1]~49673\,
	combout => \led_flash_cnt[1628][2]~49674_combout\,
	cout => \led_flash_cnt[1628][2]~49675\);

-- Location: FF_X21_Y38_N5
\led_flash_cnt[1628][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1628][2]~49674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1628][2]~q\);

-- Location: LCCOMB_X21_Y38_N6
\led_flash_cnt[1628][3]~49676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1628][3]~49676_combout\ = (\led_flash_cnt[1628][3]~q\ & (\led_flash_cnt[1628][2]~49675\ $ (GND))) # (!\led_flash_cnt[1628][3]~q\ & (!\led_flash_cnt[1628][2]~49675\ & VCC))
-- \led_flash_cnt[1628][3]~49677\ = CARRY((\led_flash_cnt[1628][3]~q\ & !\led_flash_cnt[1628][2]~49675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1628][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1628][2]~49675\,
	combout => \led_flash_cnt[1628][3]~49676_combout\,
	cout => \led_flash_cnt[1628][3]~49677\);

-- Location: FF_X21_Y38_N7
\led_flash_cnt[1628][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1628][3]~49676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1628][3]~q\);

-- Location: LCCOMB_X21_Y38_N8
\led_flash_cnt[1628][4]~49678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1628][4]~49678_combout\ = (\led_flash_cnt[1628][4]~q\ & (!\led_flash_cnt[1628][3]~49677\)) # (!\led_flash_cnt[1628][4]~q\ & ((\led_flash_cnt[1628][3]~49677\) # (GND)))
-- \led_flash_cnt[1628][4]~49679\ = CARRY((!\led_flash_cnt[1628][3]~49677\) # (!\led_flash_cnt[1628][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1628][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1628][3]~49677\,
	combout => \led_flash_cnt[1628][4]~49678_combout\,
	cout => \led_flash_cnt[1628][4]~49679\);

-- Location: FF_X21_Y38_N9
\led_flash_cnt[1628][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1628][4]~49678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1628][4]~q\);

-- Location: LCCOMB_X21_Y38_N10
\led_flash_cnt[1628][5]~49680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1628][5]~49680_combout\ = (\led_flash_cnt[1628][5]~q\ & (\led_flash_cnt[1628][4]~49679\ $ (GND))) # (!\led_flash_cnt[1628][5]~q\ & (!\led_flash_cnt[1628][4]~49679\ & VCC))
-- \led_flash_cnt[1628][5]~49681\ = CARRY((\led_flash_cnt[1628][5]~q\ & !\led_flash_cnt[1628][4]~49679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1628][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1628][4]~49679\,
	combout => \led_flash_cnt[1628][5]~49680_combout\,
	cout => \led_flash_cnt[1628][5]~49681\);

-- Location: FF_X21_Y38_N11
\led_flash_cnt[1628][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1628][5]~49680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1628][5]~q\);

-- Location: LCCOMB_X21_Y38_N12
\led_flash_cnt[1628][6]~49682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1628][6]~49682_combout\ = (\led_flash_cnt[1628][6]~q\ & (!\led_flash_cnt[1628][5]~49681\)) # (!\led_flash_cnt[1628][6]~q\ & ((\led_flash_cnt[1628][5]~49681\) # (GND)))
-- \led_flash_cnt[1628][6]~49683\ = CARRY((!\led_flash_cnt[1628][5]~49681\) # (!\led_flash_cnt[1628][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1628][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1628][5]~49681\,
	combout => \led_flash_cnt[1628][6]~49682_combout\,
	cout => \led_flash_cnt[1628][6]~49683\);

-- Location: FF_X21_Y38_N13
\led_flash_cnt[1628][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1628][6]~49682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1628][6]~q\);

-- Location: LCCOMB_X21_Y38_N14
\led_flash_cnt[1628][7]~49684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1628][7]~49684_combout\ = \led_flash_cnt[1628][7]~q\ $ (!\led_flash_cnt[1628][6]~49683\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1628][7]~q\,
	cin => \led_flash_cnt[1628][6]~49683\,
	combout => \led_flash_cnt[1628][7]~49684_combout\);

-- Location: FF_X21_Y38_N15
\led_flash_cnt[1628][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1628][7]~49684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1628][7]~q\);

-- Location: LCCOMB_X22_Y38_N24
\WideAnd1628~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1628~0_combout\ = (\led_flash_cnt[1628][1]~q\ & (\led_flash_cnt[1628][3]~q\ & (\led_flash_cnt[1628][2]~q\ & \led_flash_cnt[1628][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1628][1]~q\,
	datab => \led_flash_cnt[1628][3]~q\,
	datac => \led_flash_cnt[1628][2]~q\,
	datad => \led_flash_cnt[1628][4]~q\,
	combout => \WideAnd1628~0_combout\);

-- Location: LCCOMB_X22_Y38_N20
\WideAnd1628~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1628~1_combout\ = (\led_flash_cnt[1628][6]~q\ & \led_flash_cnt[1628][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1628][6]~q\,
	datad => \led_flash_cnt[1628][5]~q\,
	combout => \WideAnd1628~1_combout\);

-- Location: LCCOMB_X22_Y38_N0
WideAnd1628 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1628~combout\ = (\led_flash_cnt[1628][7]~q\ & (\WideAnd1628~0_combout\ & (\led_flash_cnt[1628][0]~q\ & \WideAnd1628~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1628][7]~q\,
	datab => \WideAnd1628~0_combout\,
	datac => \led_flash_cnt[1628][0]~q\,
	datad => \WideAnd1628~1_combout\,
	combout => \WideAnd1628~combout\);

-- Location: FF_X22_Y38_N1
\led_flash_cnt_ands[1628]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1628~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1628));

-- Location: LCCOMB_X22_Y38_N28
\WideAnd4043~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4043~1_combout\ = (led_flash_cnt_ands(1629) & led_flash_cnt_ands(1628))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1629),
	datad => led_flash_cnt_ands(1628),
	combout => \WideAnd4043~1_combout\);

-- Location: LCCOMB_X63_Y40_N24
\led_flash_cnt[1631][0]~82271\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1631][0]~82271_combout\ = !\led_flash_cnt[1631][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1631][0]~q\,
	combout => \led_flash_cnt[1631][0]~82271_combout\);

-- Location: FF_X63_Y40_N25
\led_flash_cnt[1631][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1631][0]~82271_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1631][0]~q\);

-- Location: LCCOMB_X63_Y40_N6
\led_flash_cnt[1631][1]~49714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1631][1]~49714_combout\ = (\led_flash_cnt[1631][1]~q\ & (\led_flash_cnt[1631][0]~q\ $ (VCC))) # (!\led_flash_cnt[1631][1]~q\ & (\led_flash_cnt[1631][0]~q\ & VCC))
-- \led_flash_cnt[1631][1]~49715\ = CARRY((\led_flash_cnt[1631][1]~q\ & \led_flash_cnt[1631][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1631][1]~q\,
	datab => \led_flash_cnt[1631][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1631][1]~49714_combout\,
	cout => \led_flash_cnt[1631][1]~49715\);

-- Location: FF_X63_Y40_N7
\led_flash_cnt[1631][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1631][1]~49714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1631][1]~q\);

-- Location: LCCOMB_X63_Y40_N8
\led_flash_cnt[1631][2]~49716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1631][2]~49716_combout\ = (\led_flash_cnt[1631][2]~q\ & (!\led_flash_cnt[1631][1]~49715\)) # (!\led_flash_cnt[1631][2]~q\ & ((\led_flash_cnt[1631][1]~49715\) # (GND)))
-- \led_flash_cnt[1631][2]~49717\ = CARRY((!\led_flash_cnt[1631][1]~49715\) # (!\led_flash_cnt[1631][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1631][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1631][1]~49715\,
	combout => \led_flash_cnt[1631][2]~49716_combout\,
	cout => \led_flash_cnt[1631][2]~49717\);

-- Location: FF_X63_Y40_N9
\led_flash_cnt[1631][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1631][2]~49716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1631][2]~q\);

-- Location: LCCOMB_X63_Y40_N10
\led_flash_cnt[1631][3]~49718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1631][3]~49718_combout\ = (\led_flash_cnt[1631][3]~q\ & (\led_flash_cnt[1631][2]~49717\ $ (GND))) # (!\led_flash_cnt[1631][3]~q\ & (!\led_flash_cnt[1631][2]~49717\ & VCC))
-- \led_flash_cnt[1631][3]~49719\ = CARRY((\led_flash_cnt[1631][3]~q\ & !\led_flash_cnt[1631][2]~49717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1631][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1631][2]~49717\,
	combout => \led_flash_cnt[1631][3]~49718_combout\,
	cout => \led_flash_cnt[1631][3]~49719\);

-- Location: FF_X63_Y40_N11
\led_flash_cnt[1631][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1631][3]~49718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1631][3]~q\);

-- Location: LCCOMB_X63_Y40_N12
\led_flash_cnt[1631][4]~49720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1631][4]~49720_combout\ = (\led_flash_cnt[1631][4]~q\ & (!\led_flash_cnt[1631][3]~49719\)) # (!\led_flash_cnt[1631][4]~q\ & ((\led_flash_cnt[1631][3]~49719\) # (GND)))
-- \led_flash_cnt[1631][4]~49721\ = CARRY((!\led_flash_cnt[1631][3]~49719\) # (!\led_flash_cnt[1631][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1631][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1631][3]~49719\,
	combout => \led_flash_cnt[1631][4]~49720_combout\,
	cout => \led_flash_cnt[1631][4]~49721\);

-- Location: FF_X63_Y40_N13
\led_flash_cnt[1631][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1631][4]~49720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1631][4]~q\);

-- Location: LCCOMB_X63_Y40_N26
\WideAnd1631~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1631~0_combout\ = (\led_flash_cnt[1631][4]~q\ & (\led_flash_cnt[1631][1]~q\ & (\led_flash_cnt[1631][2]~q\ & \led_flash_cnt[1631][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1631][4]~q\,
	datab => \led_flash_cnt[1631][1]~q\,
	datac => \led_flash_cnt[1631][2]~q\,
	datad => \led_flash_cnt[1631][3]~q\,
	combout => \WideAnd1631~0_combout\);

-- Location: LCCOMB_X63_Y40_N14
\led_flash_cnt[1631][5]~49722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1631][5]~49722_combout\ = (\led_flash_cnt[1631][5]~q\ & (\led_flash_cnt[1631][4]~49721\ $ (GND))) # (!\led_flash_cnt[1631][5]~q\ & (!\led_flash_cnt[1631][4]~49721\ & VCC))
-- \led_flash_cnt[1631][5]~49723\ = CARRY((\led_flash_cnt[1631][5]~q\ & !\led_flash_cnt[1631][4]~49721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1631][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1631][4]~49721\,
	combout => \led_flash_cnt[1631][5]~49722_combout\,
	cout => \led_flash_cnt[1631][5]~49723\);

-- Location: FF_X63_Y40_N15
\led_flash_cnt[1631][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1631][5]~49722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1631][5]~q\);

-- Location: LCCOMB_X63_Y40_N16
\led_flash_cnt[1631][6]~49724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1631][6]~49724_combout\ = (\led_flash_cnt[1631][6]~q\ & (!\led_flash_cnt[1631][5]~49723\)) # (!\led_flash_cnt[1631][6]~q\ & ((\led_flash_cnt[1631][5]~49723\) # (GND)))
-- \led_flash_cnt[1631][6]~49725\ = CARRY((!\led_flash_cnt[1631][5]~49723\) # (!\led_flash_cnt[1631][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1631][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1631][5]~49723\,
	combout => \led_flash_cnt[1631][6]~49724_combout\,
	cout => \led_flash_cnt[1631][6]~49725\);

-- Location: FF_X63_Y40_N17
\led_flash_cnt[1631][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1631][6]~49724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1631][6]~q\);

-- Location: LCCOMB_X63_Y40_N18
\led_flash_cnt[1631][7]~49726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1631][7]~49726_combout\ = \led_flash_cnt[1631][6]~49725\ $ (!\led_flash_cnt[1631][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1631][7]~q\,
	cin => \led_flash_cnt[1631][6]~49725\,
	combout => \led_flash_cnt[1631][7]~49726_combout\);

-- Location: FF_X63_Y40_N19
\led_flash_cnt[1631][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1631][7]~49726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1631][7]~q\);

-- Location: LCCOMB_X63_Y40_N4
\WideAnd1631~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1631~1_combout\ = (\led_flash_cnt[1631][5]~q\ & \led_flash_cnt[1631][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1631][5]~q\,
	datad => \led_flash_cnt[1631][6]~q\,
	combout => \WideAnd1631~1_combout\);

-- Location: LCCOMB_X63_Y40_N28
WideAnd1631 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1631~combout\ = (\WideAnd1631~0_combout\ & (\led_flash_cnt[1631][7]~q\ & (\WideAnd1631~1_combout\ & \led_flash_cnt[1631][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1631~0_combout\,
	datab => \led_flash_cnt[1631][7]~q\,
	datac => \WideAnd1631~1_combout\,
	datad => \led_flash_cnt[1631][0]~q\,
	combout => \WideAnd1631~combout\);

-- Location: FF_X63_Y40_N29
\led_flash_cnt_ands[1631]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1631~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1631));

-- Location: LCCOMB_X63_Y40_N2
\led_flash_cnt[1630][0]~82270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1630][0]~82270_combout\ = !\led_flash_cnt[1630][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1630][0]~q\,
	combout => \led_flash_cnt[1630][0]~82270_combout\);

-- Location: FF_X63_Y40_N3
\led_flash_cnt[1630][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1630][0]~82270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1630][0]~q\);

-- Location: LCCOMB_X62_Y40_N14
\led_flash_cnt[1630][1]~49700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1630][1]~49700_combout\ = (\led_flash_cnt[1630][0]~q\ & (\led_flash_cnt[1630][1]~q\ $ (VCC))) # (!\led_flash_cnt[1630][0]~q\ & (\led_flash_cnt[1630][1]~q\ & VCC))
-- \led_flash_cnt[1630][1]~49701\ = CARRY((\led_flash_cnt[1630][0]~q\ & \led_flash_cnt[1630][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1630][0]~q\,
	datab => \led_flash_cnt[1630][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1630][1]~49700_combout\,
	cout => \led_flash_cnt[1630][1]~49701\);

-- Location: FF_X62_Y40_N15
\led_flash_cnt[1630][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1630][1]~49700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1630][1]~q\);

-- Location: LCCOMB_X62_Y40_N16
\led_flash_cnt[1630][2]~49702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1630][2]~49702_combout\ = (\led_flash_cnt[1630][2]~q\ & (!\led_flash_cnt[1630][1]~49701\)) # (!\led_flash_cnt[1630][2]~q\ & ((\led_flash_cnt[1630][1]~49701\) # (GND)))
-- \led_flash_cnt[1630][2]~49703\ = CARRY((!\led_flash_cnt[1630][1]~49701\) # (!\led_flash_cnt[1630][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1630][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1630][1]~49701\,
	combout => \led_flash_cnt[1630][2]~49702_combout\,
	cout => \led_flash_cnt[1630][2]~49703\);

-- Location: FF_X62_Y40_N17
\led_flash_cnt[1630][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1630][2]~49702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1630][2]~q\);

-- Location: LCCOMB_X62_Y40_N18
\led_flash_cnt[1630][3]~49704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1630][3]~49704_combout\ = (\led_flash_cnt[1630][3]~q\ & (\led_flash_cnt[1630][2]~49703\ $ (GND))) # (!\led_flash_cnt[1630][3]~q\ & (!\led_flash_cnt[1630][2]~49703\ & VCC))
-- \led_flash_cnt[1630][3]~49705\ = CARRY((\led_flash_cnt[1630][3]~q\ & !\led_flash_cnt[1630][2]~49703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1630][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1630][2]~49703\,
	combout => \led_flash_cnt[1630][3]~49704_combout\,
	cout => \led_flash_cnt[1630][3]~49705\);

-- Location: FF_X62_Y40_N19
\led_flash_cnt[1630][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1630][3]~49704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1630][3]~q\);

-- Location: LCCOMB_X62_Y40_N20
\led_flash_cnt[1630][4]~49706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1630][4]~49706_combout\ = (\led_flash_cnt[1630][4]~q\ & (!\led_flash_cnt[1630][3]~49705\)) # (!\led_flash_cnt[1630][4]~q\ & ((\led_flash_cnt[1630][3]~49705\) # (GND)))
-- \led_flash_cnt[1630][4]~49707\ = CARRY((!\led_flash_cnt[1630][3]~49705\) # (!\led_flash_cnt[1630][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1630][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1630][3]~49705\,
	combout => \led_flash_cnt[1630][4]~49706_combout\,
	cout => \led_flash_cnt[1630][4]~49707\);

-- Location: FF_X62_Y40_N21
\led_flash_cnt[1630][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1630][4]~49706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1630][4]~q\);

-- Location: LCCOMB_X62_Y40_N22
\led_flash_cnt[1630][5]~49708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1630][5]~49708_combout\ = (\led_flash_cnt[1630][5]~q\ & (\led_flash_cnt[1630][4]~49707\ $ (GND))) # (!\led_flash_cnt[1630][5]~q\ & (!\led_flash_cnt[1630][4]~49707\ & VCC))
-- \led_flash_cnt[1630][5]~49709\ = CARRY((\led_flash_cnt[1630][5]~q\ & !\led_flash_cnt[1630][4]~49707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1630][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1630][4]~49707\,
	combout => \led_flash_cnt[1630][5]~49708_combout\,
	cout => \led_flash_cnt[1630][5]~49709\);

-- Location: FF_X62_Y40_N23
\led_flash_cnt[1630][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1630][5]~49708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1630][5]~q\);

-- Location: LCCOMB_X62_Y40_N24
\led_flash_cnt[1630][6]~49710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1630][6]~49710_combout\ = (\led_flash_cnt[1630][6]~q\ & (!\led_flash_cnt[1630][5]~49709\)) # (!\led_flash_cnt[1630][6]~q\ & ((\led_flash_cnt[1630][5]~49709\) # (GND)))
-- \led_flash_cnt[1630][6]~49711\ = CARRY((!\led_flash_cnt[1630][5]~49709\) # (!\led_flash_cnt[1630][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1630][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1630][5]~49709\,
	combout => \led_flash_cnt[1630][6]~49710_combout\,
	cout => \led_flash_cnt[1630][6]~49711\);

-- Location: FF_X62_Y40_N25
\led_flash_cnt[1630][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1630][6]~49710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1630][6]~q\);

-- Location: LCCOMB_X63_Y40_N22
\WideAnd1630~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1630~1_combout\ = (\led_flash_cnt[1630][6]~q\ & \led_flash_cnt[1630][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1630][6]~q\,
	datad => \led_flash_cnt[1630][5]~q\,
	combout => \WideAnd1630~1_combout\);

-- Location: LCCOMB_X62_Y40_N30
\WideAnd1630~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1630~0_combout\ = (\led_flash_cnt[1630][4]~q\ & (\led_flash_cnt[1630][3]~q\ & (\led_flash_cnt[1630][1]~q\ & \led_flash_cnt[1630][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1630][4]~q\,
	datab => \led_flash_cnt[1630][3]~q\,
	datac => \led_flash_cnt[1630][1]~q\,
	datad => \led_flash_cnt[1630][2]~q\,
	combout => \WideAnd1630~0_combout\);

-- Location: LCCOMB_X62_Y40_N26
\led_flash_cnt[1630][7]~49712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1630][7]~49712_combout\ = \led_flash_cnt[1630][7]~q\ $ (!\led_flash_cnt[1630][6]~49711\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1630][7]~q\,
	cin => \led_flash_cnt[1630][6]~49711\,
	combout => \led_flash_cnt[1630][7]~49712_combout\);

-- Location: FF_X62_Y40_N27
\led_flash_cnt[1630][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1630][7]~49712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1630][7]~q\);

-- Location: LCCOMB_X63_Y40_N30
WideAnd1630 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1630~combout\ = (\WideAnd1630~1_combout\ & (\WideAnd1630~0_combout\ & (\led_flash_cnt[1630][7]~q\ & \led_flash_cnt[1630][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1630~1_combout\,
	datab => \WideAnd1630~0_combout\,
	datac => \led_flash_cnt[1630][7]~q\,
	datad => \led_flash_cnt[1630][0]~q\,
	combout => \WideAnd1630~combout\);

-- Location: FF_X63_Y40_N31
\led_flash_cnt_ands[1630]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1630~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1630));

-- Location: LCCOMB_X63_Y38_N28
WideAnd4043 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4043~combout\ = (\WideAnd4043~0_combout\ & (\WideAnd4043~1_combout\ & (led_flash_cnt_ands(1631) & led_flash_cnt_ands(1630))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4043~0_combout\,
	datab => \WideAnd4043~1_combout\,
	datac => led_flash_cnt_ands(1631),
	datad => led_flash_cnt_ands(1630),
	combout => \WideAnd4043~combout\);

-- Location: FF_X63_Y38_N29
\led_flash_cnt_ands_1[203]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4043~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(203));

-- Location: LCCOMB_X62_Y34_N28
\led_flash_cnt[1623][0]~82263\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1623][0]~82263_combout\ = !\led_flash_cnt[1623][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1623][0]~q\,
	combout => \led_flash_cnt[1623][0]~82263_combout\);

-- Location: FF_X62_Y34_N29
\led_flash_cnt[1623][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1623][0]~82263_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1623][0]~q\);

-- Location: LCCOMB_X61_Y34_N16
\led_flash_cnt[1623][1]~49602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1623][1]~49602_combout\ = (\led_flash_cnt[1623][1]~q\ & (\led_flash_cnt[1623][0]~q\ $ (VCC))) # (!\led_flash_cnt[1623][1]~q\ & (\led_flash_cnt[1623][0]~q\ & VCC))
-- \led_flash_cnt[1623][1]~49603\ = CARRY((\led_flash_cnt[1623][1]~q\ & \led_flash_cnt[1623][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1623][1]~q\,
	datab => \led_flash_cnt[1623][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1623][1]~49602_combout\,
	cout => \led_flash_cnt[1623][1]~49603\);

-- Location: FF_X61_Y34_N17
\led_flash_cnt[1623][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1623][1]~49602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1623][1]~q\);

-- Location: LCCOMB_X61_Y34_N18
\led_flash_cnt[1623][2]~49604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1623][2]~49604_combout\ = (\led_flash_cnt[1623][2]~q\ & (!\led_flash_cnt[1623][1]~49603\)) # (!\led_flash_cnt[1623][2]~q\ & ((\led_flash_cnt[1623][1]~49603\) # (GND)))
-- \led_flash_cnt[1623][2]~49605\ = CARRY((!\led_flash_cnt[1623][1]~49603\) # (!\led_flash_cnt[1623][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1623][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1623][1]~49603\,
	combout => \led_flash_cnt[1623][2]~49604_combout\,
	cout => \led_flash_cnt[1623][2]~49605\);

-- Location: FF_X61_Y34_N19
\led_flash_cnt[1623][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1623][2]~49604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1623][2]~q\);

-- Location: LCCOMB_X61_Y34_N20
\led_flash_cnt[1623][3]~49606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1623][3]~49606_combout\ = (\led_flash_cnt[1623][3]~q\ & (\led_flash_cnt[1623][2]~49605\ $ (GND))) # (!\led_flash_cnt[1623][3]~q\ & (!\led_flash_cnt[1623][2]~49605\ & VCC))
-- \led_flash_cnt[1623][3]~49607\ = CARRY((\led_flash_cnt[1623][3]~q\ & !\led_flash_cnt[1623][2]~49605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1623][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1623][2]~49605\,
	combout => \led_flash_cnt[1623][3]~49606_combout\,
	cout => \led_flash_cnt[1623][3]~49607\);

-- Location: FF_X61_Y34_N21
\led_flash_cnt[1623][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1623][3]~49606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1623][3]~q\);

-- Location: LCCOMB_X61_Y34_N22
\led_flash_cnt[1623][4]~49608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1623][4]~49608_combout\ = (\led_flash_cnt[1623][4]~q\ & (!\led_flash_cnt[1623][3]~49607\)) # (!\led_flash_cnt[1623][4]~q\ & ((\led_flash_cnt[1623][3]~49607\) # (GND)))
-- \led_flash_cnt[1623][4]~49609\ = CARRY((!\led_flash_cnt[1623][3]~49607\) # (!\led_flash_cnt[1623][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1623][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1623][3]~49607\,
	combout => \led_flash_cnt[1623][4]~49608_combout\,
	cout => \led_flash_cnt[1623][4]~49609\);

-- Location: FF_X61_Y34_N23
\led_flash_cnt[1623][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1623][4]~49608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1623][4]~q\);

-- Location: LCCOMB_X61_Y34_N30
\WideAnd1623~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1623~0_combout\ = (\led_flash_cnt[1623][1]~q\ & (\led_flash_cnt[1623][2]~q\ & (\led_flash_cnt[1623][4]~q\ & \led_flash_cnt[1623][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1623][1]~q\,
	datab => \led_flash_cnt[1623][2]~q\,
	datac => \led_flash_cnt[1623][4]~q\,
	datad => \led_flash_cnt[1623][3]~q\,
	combout => \WideAnd1623~0_combout\);

-- Location: LCCOMB_X61_Y34_N24
\led_flash_cnt[1623][5]~49610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1623][5]~49610_combout\ = (\led_flash_cnt[1623][5]~q\ & (\led_flash_cnt[1623][4]~49609\ $ (GND))) # (!\led_flash_cnt[1623][5]~q\ & (!\led_flash_cnt[1623][4]~49609\ & VCC))
-- \led_flash_cnt[1623][5]~49611\ = CARRY((\led_flash_cnt[1623][5]~q\ & !\led_flash_cnt[1623][4]~49609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1623][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1623][4]~49609\,
	combout => \led_flash_cnt[1623][5]~49610_combout\,
	cout => \led_flash_cnt[1623][5]~49611\);

-- Location: FF_X61_Y34_N25
\led_flash_cnt[1623][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1623][5]~49610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1623][5]~q\);

-- Location: LCCOMB_X61_Y34_N26
\led_flash_cnt[1623][6]~49612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1623][6]~49612_combout\ = (\led_flash_cnt[1623][6]~q\ & (!\led_flash_cnt[1623][5]~49611\)) # (!\led_flash_cnt[1623][6]~q\ & ((\led_flash_cnt[1623][5]~49611\) # (GND)))
-- \led_flash_cnt[1623][6]~49613\ = CARRY((!\led_flash_cnt[1623][5]~49611\) # (!\led_flash_cnt[1623][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1623][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1623][5]~49611\,
	combout => \led_flash_cnt[1623][6]~49612_combout\,
	cout => \led_flash_cnt[1623][6]~49613\);

-- Location: FF_X61_Y34_N27
\led_flash_cnt[1623][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1623][6]~49612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1623][6]~q\);

-- Location: LCCOMB_X61_Y34_N0
\WideAnd1623~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1623~1_combout\ = (\led_flash_cnt[1623][6]~q\ & \led_flash_cnt[1623][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1623][6]~q\,
	datad => \led_flash_cnt[1623][5]~q\,
	combout => \WideAnd1623~1_combout\);

-- Location: LCCOMB_X61_Y34_N28
\led_flash_cnt[1623][7]~49614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1623][7]~49614_combout\ = \led_flash_cnt[1623][6]~49613\ $ (!\led_flash_cnt[1623][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1623][7]~q\,
	cin => \led_flash_cnt[1623][6]~49613\,
	combout => \led_flash_cnt[1623][7]~49614_combout\);

-- Location: FF_X61_Y34_N29
\led_flash_cnt[1623][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1623][7]~49614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1623][7]~q\);

-- Location: LCCOMB_X62_Y34_N16
WideAnd1623 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1623~combout\ = (\led_flash_cnt[1623][0]~q\ & (\WideAnd1623~0_combout\ & (\WideAnd1623~1_combout\ & \led_flash_cnt[1623][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1623][0]~q\,
	datab => \WideAnd1623~0_combout\,
	datac => \WideAnd1623~1_combout\,
	datad => \led_flash_cnt[1623][7]~q\,
	combout => \WideAnd1623~combout\);

-- Location: FF_X62_Y34_N17
\led_flash_cnt_ands[1623]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1623~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1623));

-- Location: LCCOMB_X51_Y37_N6
\led_flash_cnt[1621][0]~82261\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1621][0]~82261_combout\ = !\led_flash_cnt[1621][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1621][0]~q\,
	combout => \led_flash_cnt[1621][0]~82261_combout\);

-- Location: FF_X51_Y37_N7
\led_flash_cnt[1621][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1621][0]~82261_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1621][0]~q\);

-- Location: LCCOMB_X52_Y37_N4
\led_flash_cnt[1621][1]~49574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1621][1]~49574_combout\ = (\led_flash_cnt[1621][0]~q\ & (\led_flash_cnt[1621][1]~q\ $ (VCC))) # (!\led_flash_cnt[1621][0]~q\ & (\led_flash_cnt[1621][1]~q\ & VCC))
-- \led_flash_cnt[1621][1]~49575\ = CARRY((\led_flash_cnt[1621][0]~q\ & \led_flash_cnt[1621][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1621][0]~q\,
	datab => \led_flash_cnt[1621][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1621][1]~49574_combout\,
	cout => \led_flash_cnt[1621][1]~49575\);

-- Location: FF_X52_Y37_N5
\led_flash_cnt[1621][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1621][1]~49574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1621][1]~q\);

-- Location: LCCOMB_X52_Y37_N6
\led_flash_cnt[1621][2]~49576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1621][2]~49576_combout\ = (\led_flash_cnt[1621][2]~q\ & (!\led_flash_cnt[1621][1]~49575\)) # (!\led_flash_cnt[1621][2]~q\ & ((\led_flash_cnt[1621][1]~49575\) # (GND)))
-- \led_flash_cnt[1621][2]~49577\ = CARRY((!\led_flash_cnt[1621][1]~49575\) # (!\led_flash_cnt[1621][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1621][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1621][1]~49575\,
	combout => \led_flash_cnt[1621][2]~49576_combout\,
	cout => \led_flash_cnt[1621][2]~49577\);

-- Location: FF_X52_Y37_N7
\led_flash_cnt[1621][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1621][2]~49576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1621][2]~q\);

-- Location: LCCOMB_X52_Y37_N8
\led_flash_cnt[1621][3]~49578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1621][3]~49578_combout\ = (\led_flash_cnt[1621][3]~q\ & (\led_flash_cnt[1621][2]~49577\ $ (GND))) # (!\led_flash_cnt[1621][3]~q\ & (!\led_flash_cnt[1621][2]~49577\ & VCC))
-- \led_flash_cnt[1621][3]~49579\ = CARRY((\led_flash_cnt[1621][3]~q\ & !\led_flash_cnt[1621][2]~49577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1621][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1621][2]~49577\,
	combout => \led_flash_cnt[1621][3]~49578_combout\,
	cout => \led_flash_cnt[1621][3]~49579\);

-- Location: FF_X52_Y37_N9
\led_flash_cnt[1621][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1621][3]~49578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1621][3]~q\);

-- Location: LCCOMB_X52_Y37_N10
\led_flash_cnt[1621][4]~49580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1621][4]~49580_combout\ = (\led_flash_cnt[1621][4]~q\ & (!\led_flash_cnt[1621][3]~49579\)) # (!\led_flash_cnt[1621][4]~q\ & ((\led_flash_cnt[1621][3]~49579\) # (GND)))
-- \led_flash_cnt[1621][4]~49581\ = CARRY((!\led_flash_cnt[1621][3]~49579\) # (!\led_flash_cnt[1621][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1621][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1621][3]~49579\,
	combout => \led_flash_cnt[1621][4]~49580_combout\,
	cout => \led_flash_cnt[1621][4]~49581\);

-- Location: FF_X52_Y37_N11
\led_flash_cnt[1621][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1621][4]~49580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1621][4]~q\);

-- Location: LCCOMB_X52_Y37_N0
\WideAnd1621~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1621~0_combout\ = (\led_flash_cnt[1621][4]~q\ & (\led_flash_cnt[1621][3]~q\ & (\led_flash_cnt[1621][1]~q\ & \led_flash_cnt[1621][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1621][4]~q\,
	datab => \led_flash_cnt[1621][3]~q\,
	datac => \led_flash_cnt[1621][1]~q\,
	datad => \led_flash_cnt[1621][2]~q\,
	combout => \WideAnd1621~0_combout\);

-- Location: LCCOMB_X52_Y37_N12
\led_flash_cnt[1621][5]~49582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1621][5]~49582_combout\ = (\led_flash_cnt[1621][5]~q\ & (\led_flash_cnt[1621][4]~49581\ $ (GND))) # (!\led_flash_cnt[1621][5]~q\ & (!\led_flash_cnt[1621][4]~49581\ & VCC))
-- \led_flash_cnt[1621][5]~49583\ = CARRY((\led_flash_cnt[1621][5]~q\ & !\led_flash_cnt[1621][4]~49581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1621][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1621][4]~49581\,
	combout => \led_flash_cnt[1621][5]~49582_combout\,
	cout => \led_flash_cnt[1621][5]~49583\);

-- Location: FF_X52_Y37_N13
\led_flash_cnt[1621][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1621][5]~49582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1621][5]~q\);

-- Location: LCCOMB_X52_Y37_N14
\led_flash_cnt[1621][6]~49584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1621][6]~49584_combout\ = (\led_flash_cnt[1621][6]~q\ & (!\led_flash_cnt[1621][5]~49583\)) # (!\led_flash_cnt[1621][6]~q\ & ((\led_flash_cnt[1621][5]~49583\) # (GND)))
-- \led_flash_cnt[1621][6]~49585\ = CARRY((!\led_flash_cnt[1621][5]~49583\) # (!\led_flash_cnt[1621][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1621][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1621][5]~49583\,
	combout => \led_flash_cnt[1621][6]~49584_combout\,
	cout => \led_flash_cnt[1621][6]~49585\);

-- Location: FF_X52_Y37_N15
\led_flash_cnt[1621][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1621][6]~49584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1621][6]~q\);

-- Location: LCCOMB_X51_Y37_N4
\WideAnd1621~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1621~1_combout\ = (\led_flash_cnt[1621][6]~q\ & \led_flash_cnt[1621][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1621][6]~q\,
	datac => \led_flash_cnt[1621][5]~q\,
	combout => \WideAnd1621~1_combout\);

-- Location: LCCOMB_X52_Y37_N16
\led_flash_cnt[1621][7]~49586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1621][7]~49586_combout\ = \led_flash_cnt[1621][6]~49585\ $ (!\led_flash_cnt[1621][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1621][7]~q\,
	cin => \led_flash_cnt[1621][6]~49585\,
	combout => \led_flash_cnt[1621][7]~49586_combout\);

-- Location: FF_X52_Y37_N17
\led_flash_cnt[1621][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1621][7]~49586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1621][7]~q\);

-- Location: LCCOMB_X51_Y37_N8
WideAnd1621 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1621~combout\ = (\led_flash_cnt[1621][0]~q\ & (\WideAnd1621~0_combout\ & (\WideAnd1621~1_combout\ & \led_flash_cnt[1621][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1621][0]~q\,
	datab => \WideAnd1621~0_combout\,
	datac => \WideAnd1621~1_combout\,
	datad => \led_flash_cnt[1621][7]~q\,
	combout => \WideAnd1621~combout\);

-- Location: FF_X51_Y37_N9
\led_flash_cnt_ands[1621]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1621~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1621));

-- Location: LCCOMB_X51_Y37_N10
\led_flash_cnt[1620][0]~82260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1620][0]~82260_combout\ = !\led_flash_cnt[1620][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1620][0]~q\,
	combout => \led_flash_cnt[1620][0]~82260_combout\);

-- Location: FF_X51_Y37_N11
\led_flash_cnt[1620][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1620][0]~82260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1620][0]~q\);

-- Location: LCCOMB_X51_Y37_N16
\led_flash_cnt[1620][1]~49560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1620][1]~49560_combout\ = (\led_flash_cnt[1620][0]~q\ & (\led_flash_cnt[1620][1]~q\ $ (VCC))) # (!\led_flash_cnt[1620][0]~q\ & (\led_flash_cnt[1620][1]~q\ & VCC))
-- \led_flash_cnt[1620][1]~49561\ = CARRY((\led_flash_cnt[1620][0]~q\ & \led_flash_cnt[1620][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1620][0]~q\,
	datab => \led_flash_cnt[1620][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1620][1]~49560_combout\,
	cout => \led_flash_cnt[1620][1]~49561\);

-- Location: FF_X51_Y37_N17
\led_flash_cnt[1620][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1620][1]~49560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1620][1]~q\);

-- Location: LCCOMB_X51_Y37_N18
\led_flash_cnt[1620][2]~49562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1620][2]~49562_combout\ = (\led_flash_cnt[1620][2]~q\ & (!\led_flash_cnt[1620][1]~49561\)) # (!\led_flash_cnt[1620][2]~q\ & ((\led_flash_cnt[1620][1]~49561\) # (GND)))
-- \led_flash_cnt[1620][2]~49563\ = CARRY((!\led_flash_cnt[1620][1]~49561\) # (!\led_flash_cnt[1620][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1620][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1620][1]~49561\,
	combout => \led_flash_cnt[1620][2]~49562_combout\,
	cout => \led_flash_cnt[1620][2]~49563\);

-- Location: FF_X51_Y37_N19
\led_flash_cnt[1620][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1620][2]~49562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1620][2]~q\);

-- Location: LCCOMB_X51_Y37_N20
\led_flash_cnt[1620][3]~49564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1620][3]~49564_combout\ = (\led_flash_cnt[1620][3]~q\ & (\led_flash_cnt[1620][2]~49563\ $ (GND))) # (!\led_flash_cnt[1620][3]~q\ & (!\led_flash_cnt[1620][2]~49563\ & VCC))
-- \led_flash_cnt[1620][3]~49565\ = CARRY((\led_flash_cnt[1620][3]~q\ & !\led_flash_cnt[1620][2]~49563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1620][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1620][2]~49563\,
	combout => \led_flash_cnt[1620][3]~49564_combout\,
	cout => \led_flash_cnt[1620][3]~49565\);

-- Location: FF_X51_Y37_N21
\led_flash_cnt[1620][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1620][3]~49564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1620][3]~q\);

-- Location: LCCOMB_X51_Y37_N22
\led_flash_cnt[1620][4]~49566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1620][4]~49566_combout\ = (\led_flash_cnt[1620][4]~q\ & (!\led_flash_cnt[1620][3]~49565\)) # (!\led_flash_cnt[1620][4]~q\ & ((\led_flash_cnt[1620][3]~49565\) # (GND)))
-- \led_flash_cnt[1620][4]~49567\ = CARRY((!\led_flash_cnt[1620][3]~49565\) # (!\led_flash_cnt[1620][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1620][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1620][3]~49565\,
	combout => \led_flash_cnt[1620][4]~49566_combout\,
	cout => \led_flash_cnt[1620][4]~49567\);

-- Location: FF_X51_Y37_N23
\led_flash_cnt[1620][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1620][4]~49566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1620][4]~q\);

-- Location: LCCOMB_X51_Y37_N24
\led_flash_cnt[1620][5]~49568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1620][5]~49568_combout\ = (\led_flash_cnt[1620][5]~q\ & (\led_flash_cnt[1620][4]~49567\ $ (GND))) # (!\led_flash_cnt[1620][5]~q\ & (!\led_flash_cnt[1620][4]~49567\ & VCC))
-- \led_flash_cnt[1620][5]~49569\ = CARRY((\led_flash_cnt[1620][5]~q\ & !\led_flash_cnt[1620][4]~49567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1620][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1620][4]~49567\,
	combout => \led_flash_cnt[1620][5]~49568_combout\,
	cout => \led_flash_cnt[1620][5]~49569\);

-- Location: FF_X51_Y37_N25
\led_flash_cnt[1620][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1620][5]~49568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1620][5]~q\);

-- Location: LCCOMB_X51_Y37_N26
\led_flash_cnt[1620][6]~49570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1620][6]~49570_combout\ = (\led_flash_cnt[1620][6]~q\ & (!\led_flash_cnt[1620][5]~49569\)) # (!\led_flash_cnt[1620][6]~q\ & ((\led_flash_cnt[1620][5]~49569\) # (GND)))
-- \led_flash_cnt[1620][6]~49571\ = CARRY((!\led_flash_cnt[1620][5]~49569\) # (!\led_flash_cnt[1620][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1620][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1620][5]~49569\,
	combout => \led_flash_cnt[1620][6]~49570_combout\,
	cout => \led_flash_cnt[1620][6]~49571\);

-- Location: FF_X51_Y37_N27
\led_flash_cnt[1620][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1620][6]~49570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1620][6]~q\);

-- Location: LCCOMB_X51_Y37_N28
\led_flash_cnt[1620][7]~49572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1620][7]~49572_combout\ = \led_flash_cnt[1620][6]~49571\ $ (!\led_flash_cnt[1620][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1620][7]~q\,
	cin => \led_flash_cnt[1620][6]~49571\,
	combout => \led_flash_cnt[1620][7]~49572_combout\);

-- Location: FF_X51_Y37_N29
\led_flash_cnt[1620][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1620][7]~49572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1620][7]~q\);

-- Location: LCCOMB_X51_Y37_N30
\WideAnd1620~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1620~1_combout\ = (\led_flash_cnt[1620][6]~q\ & \led_flash_cnt[1620][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1620][6]~q\,
	datad => \led_flash_cnt[1620][5]~q\,
	combout => \WideAnd1620~1_combout\);

-- Location: LCCOMB_X51_Y37_N12
\WideAnd1620~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1620~0_combout\ = (\led_flash_cnt[1620][2]~q\ & (\led_flash_cnt[1620][3]~q\ & (\led_flash_cnt[1620][4]~q\ & \led_flash_cnt[1620][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1620][2]~q\,
	datab => \led_flash_cnt[1620][3]~q\,
	datac => \led_flash_cnt[1620][4]~q\,
	datad => \led_flash_cnt[1620][1]~q\,
	combout => \WideAnd1620~0_combout\);

-- Location: LCCOMB_X51_Y37_N2
WideAnd1620 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1620~combout\ = (\led_flash_cnt[1620][0]~q\ & (\led_flash_cnt[1620][7]~q\ & (\WideAnd1620~1_combout\ & \WideAnd1620~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1620][0]~q\,
	datab => \led_flash_cnt[1620][7]~q\,
	datac => \WideAnd1620~1_combout\,
	datad => \WideAnd1620~0_combout\,
	combout => \WideAnd1620~combout\);

-- Location: FF_X51_Y37_N3
\led_flash_cnt_ands[1620]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1620~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1620));

-- Location: LCCOMB_X51_Y37_N14
\WideAnd4042~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4042~1_combout\ = (led_flash_cnt_ands(1621) & led_flash_cnt_ands(1620))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1621),
	datad => led_flash_cnt_ands(1620),
	combout => \WideAnd4042~1_combout\);

-- Location: LCCOMB_X70_Y35_N10
\led_flash_cnt[1622][0]~82262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1622][0]~82262_combout\ = !\led_flash_cnt[1622][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1622][0]~q\,
	combout => \led_flash_cnt[1622][0]~82262_combout\);

-- Location: FF_X70_Y35_N11
\led_flash_cnt[1622][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1622][0]~82262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1622][0]~q\);

-- Location: LCCOMB_X70_Y38_N2
\led_flash_cnt[1622][1]~49588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1622][1]~49588_combout\ = (\led_flash_cnt[1622][0]~q\ & (\led_flash_cnt[1622][1]~q\ $ (VCC))) # (!\led_flash_cnt[1622][0]~q\ & (\led_flash_cnt[1622][1]~q\ & VCC))
-- \led_flash_cnt[1622][1]~49589\ = CARRY((\led_flash_cnt[1622][0]~q\ & \led_flash_cnt[1622][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1622][0]~q\,
	datab => \led_flash_cnt[1622][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1622][1]~49588_combout\,
	cout => \led_flash_cnt[1622][1]~49589\);

-- Location: FF_X70_Y38_N3
\led_flash_cnt[1622][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1622][1]~49588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1622][1]~q\);

-- Location: LCCOMB_X70_Y38_N4
\led_flash_cnt[1622][2]~49590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1622][2]~49590_combout\ = (\led_flash_cnt[1622][2]~q\ & (!\led_flash_cnt[1622][1]~49589\)) # (!\led_flash_cnt[1622][2]~q\ & ((\led_flash_cnt[1622][1]~49589\) # (GND)))
-- \led_flash_cnt[1622][2]~49591\ = CARRY((!\led_flash_cnt[1622][1]~49589\) # (!\led_flash_cnt[1622][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1622][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1622][1]~49589\,
	combout => \led_flash_cnt[1622][2]~49590_combout\,
	cout => \led_flash_cnt[1622][2]~49591\);

-- Location: FF_X70_Y38_N5
\led_flash_cnt[1622][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1622][2]~49590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1622][2]~q\);

-- Location: LCCOMB_X70_Y38_N6
\led_flash_cnt[1622][3]~49592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1622][3]~49592_combout\ = (\led_flash_cnt[1622][3]~q\ & (\led_flash_cnt[1622][2]~49591\ $ (GND))) # (!\led_flash_cnt[1622][3]~q\ & (!\led_flash_cnt[1622][2]~49591\ & VCC))
-- \led_flash_cnt[1622][3]~49593\ = CARRY((\led_flash_cnt[1622][3]~q\ & !\led_flash_cnt[1622][2]~49591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1622][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1622][2]~49591\,
	combout => \led_flash_cnt[1622][3]~49592_combout\,
	cout => \led_flash_cnt[1622][3]~49593\);

-- Location: FF_X70_Y38_N7
\led_flash_cnt[1622][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1622][3]~49592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1622][3]~q\);

-- Location: LCCOMB_X70_Y38_N8
\led_flash_cnt[1622][4]~49594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1622][4]~49594_combout\ = (\led_flash_cnt[1622][4]~q\ & (!\led_flash_cnt[1622][3]~49593\)) # (!\led_flash_cnt[1622][4]~q\ & ((\led_flash_cnt[1622][3]~49593\) # (GND)))
-- \led_flash_cnt[1622][4]~49595\ = CARRY((!\led_flash_cnt[1622][3]~49593\) # (!\led_flash_cnt[1622][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1622][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1622][3]~49593\,
	combout => \led_flash_cnt[1622][4]~49594_combout\,
	cout => \led_flash_cnt[1622][4]~49595\);

-- Location: FF_X70_Y38_N9
\led_flash_cnt[1622][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1622][4]~49594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1622][4]~q\);

-- Location: LCCOMB_X70_Y38_N30
\WideAnd1622~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1622~0_combout\ = (\led_flash_cnt[1622][3]~q\ & (\led_flash_cnt[1622][4]~q\ & (\led_flash_cnt[1622][2]~q\ & \led_flash_cnt[1622][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1622][3]~q\,
	datab => \led_flash_cnt[1622][4]~q\,
	datac => \led_flash_cnt[1622][2]~q\,
	datad => \led_flash_cnt[1622][1]~q\,
	combout => \WideAnd1622~0_combout\);

-- Location: LCCOMB_X70_Y38_N10
\led_flash_cnt[1622][5]~49596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1622][5]~49596_combout\ = (\led_flash_cnt[1622][5]~q\ & (\led_flash_cnt[1622][4]~49595\ $ (GND))) # (!\led_flash_cnt[1622][5]~q\ & (!\led_flash_cnt[1622][4]~49595\ & VCC))
-- \led_flash_cnt[1622][5]~49597\ = CARRY((\led_flash_cnt[1622][5]~q\ & !\led_flash_cnt[1622][4]~49595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1622][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1622][4]~49595\,
	combout => \led_flash_cnt[1622][5]~49596_combout\,
	cout => \led_flash_cnt[1622][5]~49597\);

-- Location: FF_X70_Y38_N11
\led_flash_cnt[1622][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1622][5]~49596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1622][5]~q\);

-- Location: LCCOMB_X70_Y38_N12
\led_flash_cnt[1622][6]~49598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1622][6]~49598_combout\ = (\led_flash_cnt[1622][6]~q\ & (!\led_flash_cnt[1622][5]~49597\)) # (!\led_flash_cnt[1622][6]~q\ & ((\led_flash_cnt[1622][5]~49597\) # (GND)))
-- \led_flash_cnt[1622][6]~49599\ = CARRY((!\led_flash_cnt[1622][5]~49597\) # (!\led_flash_cnt[1622][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1622][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1622][5]~49597\,
	combout => \led_flash_cnt[1622][6]~49598_combout\,
	cout => \led_flash_cnt[1622][6]~49599\);

-- Location: FF_X70_Y38_N13
\led_flash_cnt[1622][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1622][6]~49598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1622][6]~q\);

-- Location: LCCOMB_X70_Y35_N4
\WideAnd1622~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1622~1_combout\ = (\led_flash_cnt[1622][5]~q\ & \led_flash_cnt[1622][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1622][5]~q\,
	datad => \led_flash_cnt[1622][6]~q\,
	combout => \WideAnd1622~1_combout\);

-- Location: LCCOMB_X70_Y38_N14
\led_flash_cnt[1622][7]~49600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1622][7]~49600_combout\ = \led_flash_cnt[1622][7]~q\ $ (!\led_flash_cnt[1622][6]~49599\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1622][7]~q\,
	cin => \led_flash_cnt[1622][6]~49599\,
	combout => \led_flash_cnt[1622][7]~49600_combout\);

-- Location: FF_X70_Y38_N15
\led_flash_cnt[1622][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1622][7]~49600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1622][7]~q\);

-- Location: LCCOMB_X70_Y35_N28
WideAnd1622 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1622~combout\ = (\led_flash_cnt[1622][0]~q\ & (\WideAnd1622~0_combout\ & (\WideAnd1622~1_combout\ & \led_flash_cnt[1622][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1622][0]~q\,
	datab => \WideAnd1622~0_combout\,
	datac => \WideAnd1622~1_combout\,
	datad => \led_flash_cnt[1622][7]~q\,
	combout => \WideAnd1622~combout\);

-- Location: FF_X70_Y35_N29
\led_flash_cnt_ands[1622]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1622~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1622));

-- Location: LCCOMB_X49_Y51_N6
\led_flash_cnt[1617][0]~82257\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1617][0]~82257_combout\ = !\led_flash_cnt[1617][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1617][0]~q\,
	combout => \led_flash_cnt[1617][0]~82257_combout\);

-- Location: FF_X49_Y51_N7
\led_flash_cnt[1617][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1617][0]~82257_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1617][0]~q\);

-- Location: LCCOMB_X50_Y51_N2
\led_flash_cnt[1617][1]~49518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1617][1]~49518_combout\ = (\led_flash_cnt[1617][0]~q\ & (\led_flash_cnt[1617][1]~q\ $ (VCC))) # (!\led_flash_cnt[1617][0]~q\ & (\led_flash_cnt[1617][1]~q\ & VCC))
-- \led_flash_cnt[1617][1]~49519\ = CARRY((\led_flash_cnt[1617][0]~q\ & \led_flash_cnt[1617][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1617][0]~q\,
	datab => \led_flash_cnt[1617][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1617][1]~49518_combout\,
	cout => \led_flash_cnt[1617][1]~49519\);

-- Location: FF_X50_Y51_N3
\led_flash_cnt[1617][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1617][1]~49518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1617][1]~q\);

-- Location: LCCOMB_X50_Y51_N4
\led_flash_cnt[1617][2]~49520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1617][2]~49520_combout\ = (\led_flash_cnt[1617][2]~q\ & (!\led_flash_cnt[1617][1]~49519\)) # (!\led_flash_cnt[1617][2]~q\ & ((\led_flash_cnt[1617][1]~49519\) # (GND)))
-- \led_flash_cnt[1617][2]~49521\ = CARRY((!\led_flash_cnt[1617][1]~49519\) # (!\led_flash_cnt[1617][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1617][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1617][1]~49519\,
	combout => \led_flash_cnt[1617][2]~49520_combout\,
	cout => \led_flash_cnt[1617][2]~49521\);

-- Location: FF_X50_Y51_N5
\led_flash_cnt[1617][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1617][2]~49520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1617][2]~q\);

-- Location: LCCOMB_X50_Y51_N6
\led_flash_cnt[1617][3]~49522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1617][3]~49522_combout\ = (\led_flash_cnt[1617][3]~q\ & (\led_flash_cnt[1617][2]~49521\ $ (GND))) # (!\led_flash_cnt[1617][3]~q\ & (!\led_flash_cnt[1617][2]~49521\ & VCC))
-- \led_flash_cnt[1617][3]~49523\ = CARRY((\led_flash_cnt[1617][3]~q\ & !\led_flash_cnt[1617][2]~49521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1617][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1617][2]~49521\,
	combout => \led_flash_cnt[1617][3]~49522_combout\,
	cout => \led_flash_cnt[1617][3]~49523\);

-- Location: FF_X50_Y51_N7
\led_flash_cnt[1617][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1617][3]~49522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1617][3]~q\);

-- Location: LCCOMB_X50_Y51_N8
\led_flash_cnt[1617][4]~49524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1617][4]~49524_combout\ = (\led_flash_cnt[1617][4]~q\ & (!\led_flash_cnt[1617][3]~49523\)) # (!\led_flash_cnt[1617][4]~q\ & ((\led_flash_cnt[1617][3]~49523\) # (GND)))
-- \led_flash_cnt[1617][4]~49525\ = CARRY((!\led_flash_cnt[1617][3]~49523\) # (!\led_flash_cnt[1617][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1617][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1617][3]~49523\,
	combout => \led_flash_cnt[1617][4]~49524_combout\,
	cout => \led_flash_cnt[1617][4]~49525\);

-- Location: FF_X50_Y51_N9
\led_flash_cnt[1617][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1617][4]~49524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1617][4]~q\);

-- Location: LCCOMB_X50_Y51_N30
\WideAnd1617~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1617~0_combout\ = (\led_flash_cnt[1617][3]~q\ & (\led_flash_cnt[1617][4]~q\ & (\led_flash_cnt[1617][2]~q\ & \led_flash_cnt[1617][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1617][3]~q\,
	datab => \led_flash_cnt[1617][4]~q\,
	datac => \led_flash_cnt[1617][2]~q\,
	datad => \led_flash_cnt[1617][1]~q\,
	combout => \WideAnd1617~0_combout\);

-- Location: LCCOMB_X50_Y51_N10
\led_flash_cnt[1617][5]~49526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1617][5]~49526_combout\ = (\led_flash_cnt[1617][5]~q\ & (\led_flash_cnt[1617][4]~49525\ $ (GND))) # (!\led_flash_cnt[1617][5]~q\ & (!\led_flash_cnt[1617][4]~49525\ & VCC))
-- \led_flash_cnt[1617][5]~49527\ = CARRY((\led_flash_cnt[1617][5]~q\ & !\led_flash_cnt[1617][4]~49525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1617][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1617][4]~49525\,
	combout => \led_flash_cnt[1617][5]~49526_combout\,
	cout => \led_flash_cnt[1617][5]~49527\);

-- Location: FF_X50_Y51_N11
\led_flash_cnt[1617][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1617][5]~49526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1617][5]~q\);

-- Location: LCCOMB_X50_Y51_N12
\led_flash_cnt[1617][6]~49528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1617][6]~49528_combout\ = (\led_flash_cnt[1617][6]~q\ & (!\led_flash_cnt[1617][5]~49527\)) # (!\led_flash_cnt[1617][6]~q\ & ((\led_flash_cnt[1617][5]~49527\) # (GND)))
-- \led_flash_cnt[1617][6]~49529\ = CARRY((!\led_flash_cnt[1617][5]~49527\) # (!\led_flash_cnt[1617][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1617][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1617][5]~49527\,
	combout => \led_flash_cnt[1617][6]~49528_combout\,
	cout => \led_flash_cnt[1617][6]~49529\);

-- Location: FF_X50_Y51_N13
\led_flash_cnt[1617][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1617][6]~49528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1617][6]~q\);

-- Location: LCCOMB_X49_Y51_N28
\WideAnd1617~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1617~1_combout\ = (\led_flash_cnt[1617][6]~q\ & \led_flash_cnt[1617][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1617][6]~q\,
	datac => \led_flash_cnt[1617][5]~q\,
	combout => \WideAnd1617~1_combout\);

-- Location: LCCOMB_X50_Y51_N14
\led_flash_cnt[1617][7]~49530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1617][7]~49530_combout\ = \led_flash_cnt[1617][7]~q\ $ (!\led_flash_cnt[1617][6]~49529\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1617][7]~q\,
	cin => \led_flash_cnt[1617][6]~49529\,
	combout => \led_flash_cnt[1617][7]~49530_combout\);

-- Location: FF_X50_Y51_N15
\led_flash_cnt[1617][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1617][7]~49530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1617][7]~q\);

-- Location: LCCOMB_X49_Y51_N8
WideAnd1617 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1617~combout\ = (\WideAnd1617~0_combout\ & (\WideAnd1617~1_combout\ & (\led_flash_cnt[1617][7]~q\ & \led_flash_cnt[1617][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1617~0_combout\,
	datab => \WideAnd1617~1_combout\,
	datac => \led_flash_cnt[1617][7]~q\,
	datad => \led_flash_cnt[1617][0]~q\,
	combout => \WideAnd1617~combout\);

-- Location: FF_X49_Y51_N9
\led_flash_cnt_ands[1617]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1617~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1617));

-- Location: LCCOMB_X49_Y51_N12
\led_flash_cnt[1619][0]~82259\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1619][0]~82259_combout\ = !\led_flash_cnt[1619][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1619][0]~q\,
	combout => \led_flash_cnt[1619][0]~82259_combout\);

-- Location: FF_X49_Y51_N13
\led_flash_cnt[1619][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1619][0]~82259_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1619][0]~q\);

-- Location: LCCOMB_X49_Y51_N14
\led_flash_cnt[1619][1]~49546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1619][1]~49546_combout\ = (\led_flash_cnt[1619][0]~q\ & (\led_flash_cnt[1619][1]~q\ $ (VCC))) # (!\led_flash_cnt[1619][0]~q\ & (\led_flash_cnt[1619][1]~q\ & VCC))
-- \led_flash_cnt[1619][1]~49547\ = CARRY((\led_flash_cnt[1619][0]~q\ & \led_flash_cnt[1619][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1619][0]~q\,
	datab => \led_flash_cnt[1619][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1619][1]~49546_combout\,
	cout => \led_flash_cnt[1619][1]~49547\);

-- Location: FF_X49_Y51_N15
\led_flash_cnt[1619][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1619][1]~49546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1619][1]~q\);

-- Location: LCCOMB_X49_Y51_N16
\led_flash_cnt[1619][2]~49548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1619][2]~49548_combout\ = (\led_flash_cnt[1619][2]~q\ & (!\led_flash_cnt[1619][1]~49547\)) # (!\led_flash_cnt[1619][2]~q\ & ((\led_flash_cnt[1619][1]~49547\) # (GND)))
-- \led_flash_cnt[1619][2]~49549\ = CARRY((!\led_flash_cnt[1619][1]~49547\) # (!\led_flash_cnt[1619][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1619][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1619][1]~49547\,
	combout => \led_flash_cnt[1619][2]~49548_combout\,
	cout => \led_flash_cnt[1619][2]~49549\);

-- Location: FF_X49_Y51_N17
\led_flash_cnt[1619][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1619][2]~49548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1619][2]~q\);

-- Location: LCCOMB_X49_Y51_N18
\led_flash_cnt[1619][3]~49550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1619][3]~49550_combout\ = (\led_flash_cnt[1619][3]~q\ & (\led_flash_cnt[1619][2]~49549\ $ (GND))) # (!\led_flash_cnt[1619][3]~q\ & (!\led_flash_cnt[1619][2]~49549\ & VCC))
-- \led_flash_cnt[1619][3]~49551\ = CARRY((\led_flash_cnt[1619][3]~q\ & !\led_flash_cnt[1619][2]~49549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1619][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1619][2]~49549\,
	combout => \led_flash_cnt[1619][3]~49550_combout\,
	cout => \led_flash_cnt[1619][3]~49551\);

-- Location: FF_X49_Y51_N19
\led_flash_cnt[1619][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1619][3]~49550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1619][3]~q\);

-- Location: LCCOMB_X49_Y51_N20
\led_flash_cnt[1619][4]~49552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1619][4]~49552_combout\ = (\led_flash_cnt[1619][4]~q\ & (!\led_flash_cnt[1619][3]~49551\)) # (!\led_flash_cnt[1619][4]~q\ & ((\led_flash_cnt[1619][3]~49551\) # (GND)))
-- \led_flash_cnt[1619][4]~49553\ = CARRY((!\led_flash_cnt[1619][3]~49551\) # (!\led_flash_cnt[1619][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1619][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1619][3]~49551\,
	combout => \led_flash_cnt[1619][4]~49552_combout\,
	cout => \led_flash_cnt[1619][4]~49553\);

-- Location: FF_X49_Y51_N21
\led_flash_cnt[1619][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1619][4]~49552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1619][4]~q\);

-- Location: LCCOMB_X49_Y51_N22
\led_flash_cnt[1619][5]~49554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1619][5]~49554_combout\ = (\led_flash_cnt[1619][5]~q\ & (\led_flash_cnt[1619][4]~49553\ $ (GND))) # (!\led_flash_cnt[1619][5]~q\ & (!\led_flash_cnt[1619][4]~49553\ & VCC))
-- \led_flash_cnt[1619][5]~49555\ = CARRY((\led_flash_cnt[1619][5]~q\ & !\led_flash_cnt[1619][4]~49553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1619][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1619][4]~49553\,
	combout => \led_flash_cnt[1619][5]~49554_combout\,
	cout => \led_flash_cnt[1619][5]~49555\);

-- Location: FF_X49_Y51_N23
\led_flash_cnt[1619][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1619][5]~49554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1619][5]~q\);

-- Location: LCCOMB_X49_Y51_N24
\led_flash_cnt[1619][6]~49556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1619][6]~49556_combout\ = (\led_flash_cnt[1619][6]~q\ & (!\led_flash_cnt[1619][5]~49555\)) # (!\led_flash_cnt[1619][6]~q\ & ((\led_flash_cnt[1619][5]~49555\) # (GND)))
-- \led_flash_cnt[1619][6]~49557\ = CARRY((!\led_flash_cnt[1619][5]~49555\) # (!\led_flash_cnt[1619][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1619][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1619][5]~49555\,
	combout => \led_flash_cnt[1619][6]~49556_combout\,
	cout => \led_flash_cnt[1619][6]~49557\);

-- Location: FF_X49_Y51_N25
\led_flash_cnt[1619][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1619][6]~49556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1619][6]~q\);

-- Location: LCCOMB_X49_Y51_N30
\WideAnd1619~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1619~1_combout\ = (\led_flash_cnt[1619][5]~q\ & \led_flash_cnt[1619][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1619][5]~q\,
	datad => \led_flash_cnt[1619][6]~q\,
	combout => \WideAnd1619~1_combout\);

-- Location: LCCOMB_X49_Y51_N4
\WideAnd1619~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1619~0_combout\ = (\led_flash_cnt[1619][4]~q\ & (\led_flash_cnt[1619][3]~q\ & (\led_flash_cnt[1619][1]~q\ & \led_flash_cnt[1619][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1619][4]~q\,
	datab => \led_flash_cnt[1619][3]~q\,
	datac => \led_flash_cnt[1619][1]~q\,
	datad => \led_flash_cnt[1619][2]~q\,
	combout => \WideAnd1619~0_combout\);

-- Location: LCCOMB_X49_Y51_N26
\led_flash_cnt[1619][7]~49558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1619][7]~49558_combout\ = \led_flash_cnt[1619][7]~q\ $ (!\led_flash_cnt[1619][6]~49557\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1619][7]~q\,
	cin => \led_flash_cnt[1619][6]~49557\,
	combout => \led_flash_cnt[1619][7]~49558_combout\);

-- Location: FF_X49_Y51_N27
\led_flash_cnt[1619][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1619][7]~49558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1619][7]~q\);

-- Location: LCCOMB_X49_Y51_N10
WideAnd1619 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1619~combout\ = (\WideAnd1619~1_combout\ & (\WideAnd1619~0_combout\ & (\led_flash_cnt[1619][7]~q\ & \led_flash_cnt[1619][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1619~1_combout\,
	datab => \WideAnd1619~0_combout\,
	datac => \led_flash_cnt[1619][7]~q\,
	datad => \led_flash_cnt[1619][0]~q\,
	combout => \WideAnd1619~combout\);

-- Location: FF_X49_Y51_N11
\led_flash_cnt_ands[1619]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1619~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1619));

-- Location: LCCOMB_X17_Y25_N12
\led_flash_cnt[1616][0]~82256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1616][0]~82256_combout\ = !\led_flash_cnt[1616][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1616][0]~q\,
	combout => \led_flash_cnt[1616][0]~82256_combout\);

-- Location: FF_X17_Y25_N13
\led_flash_cnt[1616][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1616][0]~82256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1616][0]~q\);

-- Location: LCCOMB_X17_Y25_N18
\led_flash_cnt[1616][1]~49504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1616][1]~49504_combout\ = (\led_flash_cnt[1616][0]~q\ & (\led_flash_cnt[1616][1]~q\ $ (VCC))) # (!\led_flash_cnt[1616][0]~q\ & (\led_flash_cnt[1616][1]~q\ & VCC))
-- \led_flash_cnt[1616][1]~49505\ = CARRY((\led_flash_cnt[1616][0]~q\ & \led_flash_cnt[1616][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1616][0]~q\,
	datab => \led_flash_cnt[1616][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1616][1]~49504_combout\,
	cout => \led_flash_cnt[1616][1]~49505\);

-- Location: FF_X17_Y25_N19
\led_flash_cnt[1616][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1616][1]~49504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1616][1]~q\);

-- Location: LCCOMB_X17_Y25_N20
\led_flash_cnt[1616][2]~49506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1616][2]~49506_combout\ = (\led_flash_cnt[1616][2]~q\ & (!\led_flash_cnt[1616][1]~49505\)) # (!\led_flash_cnt[1616][2]~q\ & ((\led_flash_cnt[1616][1]~49505\) # (GND)))
-- \led_flash_cnt[1616][2]~49507\ = CARRY((!\led_flash_cnt[1616][1]~49505\) # (!\led_flash_cnt[1616][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1616][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1616][1]~49505\,
	combout => \led_flash_cnt[1616][2]~49506_combout\,
	cout => \led_flash_cnt[1616][2]~49507\);

-- Location: FF_X17_Y25_N21
\led_flash_cnt[1616][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1616][2]~49506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1616][2]~q\);

-- Location: LCCOMB_X17_Y25_N22
\led_flash_cnt[1616][3]~49508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1616][3]~49508_combout\ = (\led_flash_cnt[1616][3]~q\ & (\led_flash_cnt[1616][2]~49507\ $ (GND))) # (!\led_flash_cnt[1616][3]~q\ & (!\led_flash_cnt[1616][2]~49507\ & VCC))
-- \led_flash_cnt[1616][3]~49509\ = CARRY((\led_flash_cnt[1616][3]~q\ & !\led_flash_cnt[1616][2]~49507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1616][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1616][2]~49507\,
	combout => \led_flash_cnt[1616][3]~49508_combout\,
	cout => \led_flash_cnt[1616][3]~49509\);

-- Location: FF_X17_Y25_N23
\led_flash_cnt[1616][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1616][3]~49508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1616][3]~q\);

-- Location: LCCOMB_X17_Y25_N24
\led_flash_cnt[1616][4]~49510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1616][4]~49510_combout\ = (\led_flash_cnt[1616][4]~q\ & (!\led_flash_cnt[1616][3]~49509\)) # (!\led_flash_cnt[1616][4]~q\ & ((\led_flash_cnt[1616][3]~49509\) # (GND)))
-- \led_flash_cnt[1616][4]~49511\ = CARRY((!\led_flash_cnt[1616][3]~49509\) # (!\led_flash_cnt[1616][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1616][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1616][3]~49509\,
	combout => \led_flash_cnt[1616][4]~49510_combout\,
	cout => \led_flash_cnt[1616][4]~49511\);

-- Location: FF_X17_Y25_N25
\led_flash_cnt[1616][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1616][4]~49510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1616][4]~q\);

-- Location: LCCOMB_X17_Y25_N26
\led_flash_cnt[1616][5]~49512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1616][5]~49512_combout\ = (\led_flash_cnt[1616][5]~q\ & (\led_flash_cnt[1616][4]~49511\ $ (GND))) # (!\led_flash_cnt[1616][5]~q\ & (!\led_flash_cnt[1616][4]~49511\ & VCC))
-- \led_flash_cnt[1616][5]~49513\ = CARRY((\led_flash_cnt[1616][5]~q\ & !\led_flash_cnt[1616][4]~49511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1616][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1616][4]~49511\,
	combout => \led_flash_cnt[1616][5]~49512_combout\,
	cout => \led_flash_cnt[1616][5]~49513\);

-- Location: FF_X17_Y25_N27
\led_flash_cnt[1616][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1616][5]~49512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1616][5]~q\);

-- Location: LCCOMB_X17_Y25_N28
\led_flash_cnt[1616][6]~49514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1616][6]~49514_combout\ = (\led_flash_cnt[1616][6]~q\ & (!\led_flash_cnt[1616][5]~49513\)) # (!\led_flash_cnt[1616][6]~q\ & ((\led_flash_cnt[1616][5]~49513\) # (GND)))
-- \led_flash_cnt[1616][6]~49515\ = CARRY((!\led_flash_cnt[1616][5]~49513\) # (!\led_flash_cnt[1616][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1616][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1616][5]~49513\,
	combout => \led_flash_cnt[1616][6]~49514_combout\,
	cout => \led_flash_cnt[1616][6]~49515\);

-- Location: FF_X17_Y25_N29
\led_flash_cnt[1616][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1616][6]~49514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1616][6]~q\);

-- Location: LCCOMB_X17_Y25_N10
\WideAnd1616~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1616~1_combout\ = (\led_flash_cnt[1616][5]~q\ & \led_flash_cnt[1616][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1616][5]~q\,
	datad => \led_flash_cnt[1616][6]~q\,
	combout => \WideAnd1616~1_combout\);

-- Location: LCCOMB_X17_Y25_N16
\WideAnd1616~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1616~0_combout\ = (\led_flash_cnt[1616][4]~q\ & (\led_flash_cnt[1616][2]~q\ & (\led_flash_cnt[1616][3]~q\ & \led_flash_cnt[1616][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1616][4]~q\,
	datab => \led_flash_cnt[1616][2]~q\,
	datac => \led_flash_cnt[1616][3]~q\,
	datad => \led_flash_cnt[1616][1]~q\,
	combout => \WideAnd1616~0_combout\);

-- Location: LCCOMB_X17_Y25_N30
\led_flash_cnt[1616][7]~49516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1616][7]~49516_combout\ = \led_flash_cnt[1616][7]~q\ $ (!\led_flash_cnt[1616][6]~49515\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1616][7]~q\,
	cin => \led_flash_cnt[1616][6]~49515\,
	combout => \led_flash_cnt[1616][7]~49516_combout\);

-- Location: FF_X17_Y25_N31
\led_flash_cnt[1616][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1616][7]~49516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1616][7]~q\);

-- Location: LCCOMB_X17_Y25_N8
WideAnd1616 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1616~combout\ = (\WideAnd1616~1_combout\ & (\WideAnd1616~0_combout\ & (\led_flash_cnt[1616][7]~q\ & \led_flash_cnt[1616][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1616~1_combout\,
	datab => \WideAnd1616~0_combout\,
	datac => \led_flash_cnt[1616][7]~q\,
	datad => \led_flash_cnt[1616][0]~q\,
	combout => \WideAnd1616~combout\);

-- Location: FF_X17_Y25_N9
\led_flash_cnt_ands[1616]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1616~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1616));

-- Location: LCCOMB_X57_Y40_N8
\led_flash_cnt[1618][0]~82258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1618][0]~82258_combout\ = !\led_flash_cnt[1618][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1618][0]~q\,
	combout => \led_flash_cnt[1618][0]~82258_combout\);

-- Location: FF_X57_Y40_N9
\led_flash_cnt[1618][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1618][0]~82258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1618][0]~q\);

-- Location: LCCOMB_X57_Y40_N12
\led_flash_cnt[1618][1]~49532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1618][1]~49532_combout\ = (\led_flash_cnt[1618][1]~q\ & (\led_flash_cnt[1618][0]~q\ $ (VCC))) # (!\led_flash_cnt[1618][1]~q\ & (\led_flash_cnt[1618][0]~q\ & VCC))
-- \led_flash_cnt[1618][1]~49533\ = CARRY((\led_flash_cnt[1618][1]~q\ & \led_flash_cnt[1618][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1618][1]~q\,
	datab => \led_flash_cnt[1618][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1618][1]~49532_combout\,
	cout => \led_flash_cnt[1618][1]~49533\);

-- Location: FF_X57_Y40_N13
\led_flash_cnt[1618][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1618][1]~49532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1618][1]~q\);

-- Location: LCCOMB_X57_Y40_N14
\led_flash_cnt[1618][2]~49534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1618][2]~49534_combout\ = (\led_flash_cnt[1618][2]~q\ & (!\led_flash_cnt[1618][1]~49533\)) # (!\led_flash_cnt[1618][2]~q\ & ((\led_flash_cnt[1618][1]~49533\) # (GND)))
-- \led_flash_cnt[1618][2]~49535\ = CARRY((!\led_flash_cnt[1618][1]~49533\) # (!\led_flash_cnt[1618][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1618][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1618][1]~49533\,
	combout => \led_flash_cnt[1618][2]~49534_combout\,
	cout => \led_flash_cnt[1618][2]~49535\);

-- Location: FF_X57_Y40_N15
\led_flash_cnt[1618][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1618][2]~49534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1618][2]~q\);

-- Location: LCCOMB_X57_Y40_N16
\led_flash_cnt[1618][3]~49536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1618][3]~49536_combout\ = (\led_flash_cnt[1618][3]~q\ & (\led_flash_cnt[1618][2]~49535\ $ (GND))) # (!\led_flash_cnt[1618][3]~q\ & (!\led_flash_cnt[1618][2]~49535\ & VCC))
-- \led_flash_cnt[1618][3]~49537\ = CARRY((\led_flash_cnt[1618][3]~q\ & !\led_flash_cnt[1618][2]~49535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1618][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1618][2]~49535\,
	combout => \led_flash_cnt[1618][3]~49536_combout\,
	cout => \led_flash_cnt[1618][3]~49537\);

-- Location: FF_X57_Y40_N17
\led_flash_cnt[1618][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1618][3]~49536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1618][3]~q\);

-- Location: LCCOMB_X57_Y40_N18
\led_flash_cnt[1618][4]~49538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1618][4]~49538_combout\ = (\led_flash_cnt[1618][4]~q\ & (!\led_flash_cnt[1618][3]~49537\)) # (!\led_flash_cnt[1618][4]~q\ & ((\led_flash_cnt[1618][3]~49537\) # (GND)))
-- \led_flash_cnt[1618][4]~49539\ = CARRY((!\led_flash_cnt[1618][3]~49537\) # (!\led_flash_cnt[1618][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1618][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1618][3]~49537\,
	combout => \led_flash_cnt[1618][4]~49538_combout\,
	cout => \led_flash_cnt[1618][4]~49539\);

-- Location: FF_X57_Y40_N19
\led_flash_cnt[1618][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1618][4]~49538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1618][4]~q\);

-- Location: LCCOMB_X57_Y40_N26
\WideAnd1618~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1618~0_combout\ = (\led_flash_cnt[1618][1]~q\ & (\led_flash_cnt[1618][3]~q\ & (\led_flash_cnt[1618][2]~q\ & \led_flash_cnt[1618][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1618][1]~q\,
	datab => \led_flash_cnt[1618][3]~q\,
	datac => \led_flash_cnt[1618][2]~q\,
	datad => \led_flash_cnt[1618][4]~q\,
	combout => \WideAnd1618~0_combout\);

-- Location: LCCOMB_X57_Y40_N20
\led_flash_cnt[1618][5]~49540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1618][5]~49540_combout\ = (\led_flash_cnt[1618][5]~q\ & (\led_flash_cnt[1618][4]~49539\ $ (GND))) # (!\led_flash_cnt[1618][5]~q\ & (!\led_flash_cnt[1618][4]~49539\ & VCC))
-- \led_flash_cnt[1618][5]~49541\ = CARRY((\led_flash_cnt[1618][5]~q\ & !\led_flash_cnt[1618][4]~49539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1618][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1618][4]~49539\,
	combout => \led_flash_cnt[1618][5]~49540_combout\,
	cout => \led_flash_cnt[1618][5]~49541\);

-- Location: FF_X57_Y40_N21
\led_flash_cnt[1618][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1618][5]~49540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1618][5]~q\);

-- Location: LCCOMB_X57_Y40_N22
\led_flash_cnt[1618][6]~49542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1618][6]~49542_combout\ = (\led_flash_cnt[1618][6]~q\ & (!\led_flash_cnt[1618][5]~49541\)) # (!\led_flash_cnt[1618][6]~q\ & ((\led_flash_cnt[1618][5]~49541\) # (GND)))
-- \led_flash_cnt[1618][6]~49543\ = CARRY((!\led_flash_cnt[1618][5]~49541\) # (!\led_flash_cnt[1618][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1618][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1618][5]~49541\,
	combout => \led_flash_cnt[1618][6]~49542_combout\,
	cout => \led_flash_cnt[1618][6]~49543\);

-- Location: FF_X57_Y40_N23
\led_flash_cnt[1618][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1618][6]~49542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1618][6]~q\);

-- Location: LCCOMB_X57_Y40_N24
\led_flash_cnt[1618][7]~49544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1618][7]~49544_combout\ = \led_flash_cnt[1618][6]~49543\ $ (!\led_flash_cnt[1618][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1618][7]~q\,
	cin => \led_flash_cnt[1618][6]~49543\,
	combout => \led_flash_cnt[1618][7]~49544_combout\);

-- Location: FF_X57_Y40_N25
\led_flash_cnt[1618][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1618][7]~49544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1618][7]~q\);

-- Location: LCCOMB_X57_Y40_N10
\WideAnd1618~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1618~1_combout\ = (\led_flash_cnt[1618][6]~q\ & \led_flash_cnt[1618][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1618][6]~q\,
	datad => \led_flash_cnt[1618][5]~q\,
	combout => \WideAnd1618~1_combout\);

-- Location: LCCOMB_X57_Y40_N6
WideAnd1618 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1618~combout\ = (\WideAnd1618~0_combout\ & (\led_flash_cnt[1618][7]~q\ & (\led_flash_cnt[1618][0]~q\ & \WideAnd1618~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1618~0_combout\,
	datab => \led_flash_cnt[1618][7]~q\,
	datac => \led_flash_cnt[1618][0]~q\,
	datad => \WideAnd1618~1_combout\,
	combout => \WideAnd1618~combout\);

-- Location: FF_X57_Y40_N7
\led_flash_cnt_ands[1618]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1618~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1618));

-- Location: LCCOMB_X49_Y40_N6
\WideAnd4042~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4042~0_combout\ = (led_flash_cnt_ands(1617) & (led_flash_cnt_ands(1619) & (led_flash_cnt_ands(1616) & led_flash_cnt_ands(1618))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1617),
	datab => led_flash_cnt_ands(1619),
	datac => led_flash_cnt_ands(1616),
	datad => led_flash_cnt_ands(1618),
	combout => \WideAnd4042~0_combout\);

-- Location: LCCOMB_X62_Y37_N30
WideAnd4042 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4042~combout\ = (led_flash_cnt_ands(1623) & (\WideAnd4042~1_combout\ & (led_flash_cnt_ands(1622) & \WideAnd4042~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1623),
	datab => \WideAnd4042~1_combout\,
	datac => led_flash_cnt_ands(1622),
	datad => \WideAnd4042~0_combout\,
	combout => \WideAnd4042~combout\);

-- Location: FF_X62_Y37_N31
\led_flash_cnt_ands_1[202]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4042~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(202));

-- Location: LCCOMB_X69_Y29_N12
\led_flash_cnt[1614][0]~82254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1614][0]~82254_combout\ = !\led_flash_cnt[1614][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1614][0]~q\,
	combout => \led_flash_cnt[1614][0]~82254_combout\);

-- Location: FF_X69_Y29_N13
\led_flash_cnt[1614][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1614][0]~82254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1614][0]~q\);

-- Location: LCCOMB_X69_Y29_N18
\led_flash_cnt[1614][1]~49476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1614][1]~49476_combout\ = (\led_flash_cnt[1614][0]~q\ & (\led_flash_cnt[1614][1]~q\ $ (VCC))) # (!\led_flash_cnt[1614][0]~q\ & (\led_flash_cnt[1614][1]~q\ & VCC))
-- \led_flash_cnt[1614][1]~49477\ = CARRY((\led_flash_cnt[1614][0]~q\ & \led_flash_cnt[1614][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1614][0]~q\,
	datab => \led_flash_cnt[1614][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1614][1]~49476_combout\,
	cout => \led_flash_cnt[1614][1]~49477\);

-- Location: FF_X69_Y29_N19
\led_flash_cnt[1614][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1614][1]~49476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1614][1]~q\);

-- Location: LCCOMB_X69_Y29_N20
\led_flash_cnt[1614][2]~49478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1614][2]~49478_combout\ = (\led_flash_cnt[1614][2]~q\ & (!\led_flash_cnt[1614][1]~49477\)) # (!\led_flash_cnt[1614][2]~q\ & ((\led_flash_cnt[1614][1]~49477\) # (GND)))
-- \led_flash_cnt[1614][2]~49479\ = CARRY((!\led_flash_cnt[1614][1]~49477\) # (!\led_flash_cnt[1614][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1614][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1614][1]~49477\,
	combout => \led_flash_cnt[1614][2]~49478_combout\,
	cout => \led_flash_cnt[1614][2]~49479\);

-- Location: FF_X69_Y29_N21
\led_flash_cnt[1614][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1614][2]~49478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1614][2]~q\);

-- Location: LCCOMB_X69_Y29_N22
\led_flash_cnt[1614][3]~49480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1614][3]~49480_combout\ = (\led_flash_cnt[1614][3]~q\ & (\led_flash_cnt[1614][2]~49479\ $ (GND))) # (!\led_flash_cnt[1614][3]~q\ & (!\led_flash_cnt[1614][2]~49479\ & VCC))
-- \led_flash_cnt[1614][3]~49481\ = CARRY((\led_flash_cnt[1614][3]~q\ & !\led_flash_cnt[1614][2]~49479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1614][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1614][2]~49479\,
	combout => \led_flash_cnt[1614][3]~49480_combout\,
	cout => \led_flash_cnt[1614][3]~49481\);

-- Location: FF_X69_Y29_N23
\led_flash_cnt[1614][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1614][3]~49480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1614][3]~q\);

-- Location: LCCOMB_X69_Y29_N24
\led_flash_cnt[1614][4]~49482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1614][4]~49482_combout\ = (\led_flash_cnt[1614][4]~q\ & (!\led_flash_cnt[1614][3]~49481\)) # (!\led_flash_cnt[1614][4]~q\ & ((\led_flash_cnt[1614][3]~49481\) # (GND)))
-- \led_flash_cnt[1614][4]~49483\ = CARRY((!\led_flash_cnt[1614][3]~49481\) # (!\led_flash_cnt[1614][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1614][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1614][3]~49481\,
	combout => \led_flash_cnt[1614][4]~49482_combout\,
	cout => \led_flash_cnt[1614][4]~49483\);

-- Location: FF_X69_Y29_N25
\led_flash_cnt[1614][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1614][4]~49482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1614][4]~q\);

-- Location: LCCOMB_X69_Y29_N26
\led_flash_cnt[1614][5]~49484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1614][5]~49484_combout\ = (\led_flash_cnt[1614][5]~q\ & (\led_flash_cnt[1614][4]~49483\ $ (GND))) # (!\led_flash_cnt[1614][5]~q\ & (!\led_flash_cnt[1614][4]~49483\ & VCC))
-- \led_flash_cnt[1614][5]~49485\ = CARRY((\led_flash_cnt[1614][5]~q\ & !\led_flash_cnt[1614][4]~49483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1614][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1614][4]~49483\,
	combout => \led_flash_cnt[1614][5]~49484_combout\,
	cout => \led_flash_cnt[1614][5]~49485\);

-- Location: FF_X69_Y29_N27
\led_flash_cnt[1614][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1614][5]~49484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1614][5]~q\);

-- Location: LCCOMB_X69_Y29_N28
\led_flash_cnt[1614][6]~49486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1614][6]~49486_combout\ = (\led_flash_cnt[1614][6]~q\ & (!\led_flash_cnt[1614][5]~49485\)) # (!\led_flash_cnt[1614][6]~q\ & ((\led_flash_cnt[1614][5]~49485\) # (GND)))
-- \led_flash_cnt[1614][6]~49487\ = CARRY((!\led_flash_cnt[1614][5]~49485\) # (!\led_flash_cnt[1614][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1614][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1614][5]~49485\,
	combout => \led_flash_cnt[1614][6]~49486_combout\,
	cout => \led_flash_cnt[1614][6]~49487\);

-- Location: FF_X69_Y29_N29
\led_flash_cnt[1614][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1614][6]~49486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1614][6]~q\);

-- Location: LCCOMB_X69_Y29_N30
\led_flash_cnt[1614][7]~49488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1614][7]~49488_combout\ = \led_flash_cnt[1614][7]~q\ $ (!\led_flash_cnt[1614][6]~49487\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1614][7]~q\,
	cin => \led_flash_cnt[1614][6]~49487\,
	combout => \led_flash_cnt[1614][7]~49488_combout\);

-- Location: FF_X69_Y29_N31
\led_flash_cnt[1614][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1614][7]~49488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1614][7]~q\);

-- Location: LCCOMB_X69_Y29_N0
\WideAnd1614~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1614~0_combout\ = (\led_flash_cnt[1614][4]~q\ & (\led_flash_cnt[1614][2]~q\ & (\led_flash_cnt[1614][3]~q\ & \led_flash_cnt[1614][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1614][4]~q\,
	datab => \led_flash_cnt[1614][2]~q\,
	datac => \led_flash_cnt[1614][3]~q\,
	datad => \led_flash_cnt[1614][1]~q\,
	combout => \WideAnd1614~0_combout\);

-- Location: LCCOMB_X69_Y29_N8
\WideAnd1614~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1614~1_combout\ = (\led_flash_cnt[1614][5]~q\ & \led_flash_cnt[1614][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1614][5]~q\,
	datad => \led_flash_cnt[1614][6]~q\,
	combout => \WideAnd1614~1_combout\);

-- Location: LCCOMB_X69_Y29_N10
WideAnd1614 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1614~combout\ = (\led_flash_cnt[1614][7]~q\ & (\WideAnd1614~0_combout\ & (\WideAnd1614~1_combout\ & \led_flash_cnt[1614][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1614][7]~q\,
	datab => \WideAnd1614~0_combout\,
	datac => \WideAnd1614~1_combout\,
	datad => \led_flash_cnt[1614][0]~q\,
	combout => \WideAnd1614~combout\);

-- Location: FF_X69_Y29_N11
\led_flash_cnt_ands[1614]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1614~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1614));

-- Location: LCCOMB_X76_Y28_N26
\led_flash_cnt[1611][0]~82251\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1611][0]~82251_combout\ = !\led_flash_cnt[1611][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1611][0]~q\,
	combout => \led_flash_cnt[1611][0]~82251_combout\);

-- Location: FF_X76_Y28_N27
\led_flash_cnt[1611][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1611][0]~82251_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1611][0]~q\);

-- Location: LCCOMB_X76_Y28_N8
\led_flash_cnt[1611][1]~49434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1611][1]~49434_combout\ = (\led_flash_cnt[1611][0]~q\ & (\led_flash_cnt[1611][1]~q\ $ (VCC))) # (!\led_flash_cnt[1611][0]~q\ & (\led_flash_cnt[1611][1]~q\ & VCC))
-- \led_flash_cnt[1611][1]~49435\ = CARRY((\led_flash_cnt[1611][0]~q\ & \led_flash_cnt[1611][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1611][0]~q\,
	datab => \led_flash_cnt[1611][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1611][1]~49434_combout\,
	cout => \led_flash_cnt[1611][1]~49435\);

-- Location: FF_X76_Y28_N9
\led_flash_cnt[1611][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1611][1]~49434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1611][1]~q\);

-- Location: LCCOMB_X76_Y28_N10
\led_flash_cnt[1611][2]~49436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1611][2]~49436_combout\ = (\led_flash_cnt[1611][2]~q\ & (!\led_flash_cnt[1611][1]~49435\)) # (!\led_flash_cnt[1611][2]~q\ & ((\led_flash_cnt[1611][1]~49435\) # (GND)))
-- \led_flash_cnt[1611][2]~49437\ = CARRY((!\led_flash_cnt[1611][1]~49435\) # (!\led_flash_cnt[1611][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1611][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1611][1]~49435\,
	combout => \led_flash_cnt[1611][2]~49436_combout\,
	cout => \led_flash_cnt[1611][2]~49437\);

-- Location: FF_X76_Y28_N11
\led_flash_cnt[1611][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1611][2]~49436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1611][2]~q\);

-- Location: LCCOMB_X76_Y28_N12
\led_flash_cnt[1611][3]~49438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1611][3]~49438_combout\ = (\led_flash_cnt[1611][3]~q\ & (\led_flash_cnt[1611][2]~49437\ $ (GND))) # (!\led_flash_cnt[1611][3]~q\ & (!\led_flash_cnt[1611][2]~49437\ & VCC))
-- \led_flash_cnt[1611][3]~49439\ = CARRY((\led_flash_cnt[1611][3]~q\ & !\led_flash_cnt[1611][2]~49437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1611][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1611][2]~49437\,
	combout => \led_flash_cnt[1611][3]~49438_combout\,
	cout => \led_flash_cnt[1611][3]~49439\);

-- Location: FF_X76_Y28_N13
\led_flash_cnt[1611][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1611][3]~49438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1611][3]~q\);

-- Location: LCCOMB_X76_Y28_N14
\led_flash_cnt[1611][4]~49440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1611][4]~49440_combout\ = (\led_flash_cnt[1611][4]~q\ & (!\led_flash_cnt[1611][3]~49439\)) # (!\led_flash_cnt[1611][4]~q\ & ((\led_flash_cnt[1611][3]~49439\) # (GND)))
-- \led_flash_cnt[1611][4]~49441\ = CARRY((!\led_flash_cnt[1611][3]~49439\) # (!\led_flash_cnt[1611][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1611][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1611][3]~49439\,
	combout => \led_flash_cnt[1611][4]~49440_combout\,
	cout => \led_flash_cnt[1611][4]~49441\);

-- Location: FF_X76_Y28_N15
\led_flash_cnt[1611][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1611][4]~49440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1611][4]~q\);

-- Location: LCCOMB_X76_Y28_N16
\led_flash_cnt[1611][5]~49442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1611][5]~49442_combout\ = (\led_flash_cnt[1611][5]~q\ & (\led_flash_cnt[1611][4]~49441\ $ (GND))) # (!\led_flash_cnt[1611][5]~q\ & (!\led_flash_cnt[1611][4]~49441\ & VCC))
-- \led_flash_cnt[1611][5]~49443\ = CARRY((\led_flash_cnt[1611][5]~q\ & !\led_flash_cnt[1611][4]~49441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1611][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1611][4]~49441\,
	combout => \led_flash_cnt[1611][5]~49442_combout\,
	cout => \led_flash_cnt[1611][5]~49443\);

-- Location: FF_X76_Y28_N17
\led_flash_cnt[1611][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1611][5]~49442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1611][5]~q\);

-- Location: LCCOMB_X76_Y28_N18
\led_flash_cnt[1611][6]~49444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1611][6]~49444_combout\ = (\led_flash_cnt[1611][6]~q\ & (!\led_flash_cnt[1611][5]~49443\)) # (!\led_flash_cnt[1611][6]~q\ & ((\led_flash_cnt[1611][5]~49443\) # (GND)))
-- \led_flash_cnt[1611][6]~49445\ = CARRY((!\led_flash_cnt[1611][5]~49443\) # (!\led_flash_cnt[1611][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1611][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1611][5]~49443\,
	combout => \led_flash_cnt[1611][6]~49444_combout\,
	cout => \led_flash_cnt[1611][6]~49445\);

-- Location: FF_X76_Y28_N19
\led_flash_cnt[1611][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1611][6]~49444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1611][6]~q\);

-- Location: LCCOMB_X76_Y28_N20
\led_flash_cnt[1611][7]~49446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1611][7]~49446_combout\ = \led_flash_cnt[1611][6]~49445\ $ (!\led_flash_cnt[1611][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1611][7]~q\,
	cin => \led_flash_cnt[1611][6]~49445\,
	combout => \led_flash_cnt[1611][7]~49446_combout\);

-- Location: FF_X76_Y28_N21
\led_flash_cnt[1611][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1611][7]~49446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1611][7]~q\);

-- Location: LCCOMB_X76_Y28_N22
\WideAnd1611~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1611~1_combout\ = (\led_flash_cnt[1611][6]~q\ & \led_flash_cnt[1611][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1611][6]~q\,
	datad => \led_flash_cnt[1611][5]~q\,
	combout => \WideAnd1611~1_combout\);

-- Location: LCCOMB_X76_Y28_N24
\WideAnd1611~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1611~0_combout\ = (\led_flash_cnt[1611][3]~q\ & (\led_flash_cnt[1611][1]~q\ & (\led_flash_cnt[1611][4]~q\ & \led_flash_cnt[1611][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1611][3]~q\,
	datab => \led_flash_cnt[1611][1]~q\,
	datac => \led_flash_cnt[1611][4]~q\,
	datad => \led_flash_cnt[1611][2]~q\,
	combout => \WideAnd1611~0_combout\);

-- Location: LCCOMB_X76_Y28_N30
WideAnd1611 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1611~combout\ = (\led_flash_cnt[1611][0]~q\ & (\led_flash_cnt[1611][7]~q\ & (\WideAnd1611~1_combout\ & \WideAnd1611~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1611][0]~q\,
	datab => \led_flash_cnt[1611][7]~q\,
	datac => \WideAnd1611~1_combout\,
	datad => \WideAnd1611~0_combout\,
	combout => \WideAnd1611~combout\);

-- Location: FF_X76_Y28_N31
\led_flash_cnt_ands[1611]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1611~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1611));

-- Location: LCCOMB_X76_Y28_N2
\led_flash_cnt[1609][0]~82249\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1609][0]~82249_combout\ = !\led_flash_cnt[1609][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1609][0]~q\,
	combout => \led_flash_cnt[1609][0]~82249_combout\);

-- Location: FF_X76_Y28_N3
\led_flash_cnt[1609][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1609][0]~82249_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1609][0]~q\);

-- Location: LCCOMB_X75_Y28_N18
\led_flash_cnt[1609][1]~49406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1609][1]~49406_combout\ = (\led_flash_cnt[1609][0]~q\ & (\led_flash_cnt[1609][1]~q\ $ (VCC))) # (!\led_flash_cnt[1609][0]~q\ & (\led_flash_cnt[1609][1]~q\ & VCC))
-- \led_flash_cnt[1609][1]~49407\ = CARRY((\led_flash_cnt[1609][0]~q\ & \led_flash_cnt[1609][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1609][0]~q\,
	datab => \led_flash_cnt[1609][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1609][1]~49406_combout\,
	cout => \led_flash_cnt[1609][1]~49407\);

-- Location: FF_X75_Y28_N19
\led_flash_cnt[1609][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1609][1]~49406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1609][1]~q\);

-- Location: LCCOMB_X75_Y28_N20
\led_flash_cnt[1609][2]~49408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1609][2]~49408_combout\ = (\led_flash_cnt[1609][2]~q\ & (!\led_flash_cnt[1609][1]~49407\)) # (!\led_flash_cnt[1609][2]~q\ & ((\led_flash_cnt[1609][1]~49407\) # (GND)))
-- \led_flash_cnt[1609][2]~49409\ = CARRY((!\led_flash_cnt[1609][1]~49407\) # (!\led_flash_cnt[1609][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1609][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1609][1]~49407\,
	combout => \led_flash_cnt[1609][2]~49408_combout\,
	cout => \led_flash_cnt[1609][2]~49409\);

-- Location: FF_X75_Y28_N21
\led_flash_cnt[1609][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1609][2]~49408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1609][2]~q\);

-- Location: LCCOMB_X75_Y28_N22
\led_flash_cnt[1609][3]~49410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1609][3]~49410_combout\ = (\led_flash_cnt[1609][3]~q\ & (\led_flash_cnt[1609][2]~49409\ $ (GND))) # (!\led_flash_cnt[1609][3]~q\ & (!\led_flash_cnt[1609][2]~49409\ & VCC))
-- \led_flash_cnt[1609][3]~49411\ = CARRY((\led_flash_cnt[1609][3]~q\ & !\led_flash_cnt[1609][2]~49409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1609][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1609][2]~49409\,
	combout => \led_flash_cnt[1609][3]~49410_combout\,
	cout => \led_flash_cnt[1609][3]~49411\);

-- Location: FF_X75_Y28_N23
\led_flash_cnt[1609][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1609][3]~49410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1609][3]~q\);

-- Location: LCCOMB_X75_Y28_N24
\led_flash_cnt[1609][4]~49412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1609][4]~49412_combout\ = (\led_flash_cnt[1609][4]~q\ & (!\led_flash_cnt[1609][3]~49411\)) # (!\led_flash_cnt[1609][4]~q\ & ((\led_flash_cnt[1609][3]~49411\) # (GND)))
-- \led_flash_cnt[1609][4]~49413\ = CARRY((!\led_flash_cnt[1609][3]~49411\) # (!\led_flash_cnt[1609][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1609][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1609][3]~49411\,
	combout => \led_flash_cnt[1609][4]~49412_combout\,
	cout => \led_flash_cnt[1609][4]~49413\);

-- Location: FF_X75_Y28_N25
\led_flash_cnt[1609][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1609][4]~49412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1609][4]~q\);

-- Location: LCCOMB_X75_Y28_N26
\led_flash_cnt[1609][5]~49414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1609][5]~49414_combout\ = (\led_flash_cnt[1609][5]~q\ & (\led_flash_cnt[1609][4]~49413\ $ (GND))) # (!\led_flash_cnt[1609][5]~q\ & (!\led_flash_cnt[1609][4]~49413\ & VCC))
-- \led_flash_cnt[1609][5]~49415\ = CARRY((\led_flash_cnt[1609][5]~q\ & !\led_flash_cnt[1609][4]~49413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1609][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1609][4]~49413\,
	combout => \led_flash_cnt[1609][5]~49414_combout\,
	cout => \led_flash_cnt[1609][5]~49415\);

-- Location: FF_X75_Y28_N27
\led_flash_cnt[1609][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1609][5]~49414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1609][5]~q\);

-- Location: LCCOMB_X75_Y28_N28
\led_flash_cnt[1609][6]~49416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1609][6]~49416_combout\ = (\led_flash_cnt[1609][6]~q\ & (!\led_flash_cnt[1609][5]~49415\)) # (!\led_flash_cnt[1609][6]~q\ & ((\led_flash_cnt[1609][5]~49415\) # (GND)))
-- \led_flash_cnt[1609][6]~49417\ = CARRY((!\led_flash_cnt[1609][5]~49415\) # (!\led_flash_cnt[1609][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1609][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1609][5]~49415\,
	combout => \led_flash_cnt[1609][6]~49416_combout\,
	cout => \led_flash_cnt[1609][6]~49417\);

-- Location: FF_X75_Y28_N29
\led_flash_cnt[1609][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1609][6]~49416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1609][6]~q\);

-- Location: LCCOMB_X76_Y28_N6
\WideAnd1609~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1609~1_combout\ = (\led_flash_cnt[1609][5]~q\ & \led_flash_cnt[1609][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1609][5]~q\,
	datad => \led_flash_cnt[1609][6]~q\,
	combout => \WideAnd1609~1_combout\);

-- Location: LCCOMB_X75_Y28_N30
\led_flash_cnt[1609][7]~49418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1609][7]~49418_combout\ = \led_flash_cnt[1609][7]~q\ $ (!\led_flash_cnt[1609][6]~49417\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1609][7]~q\,
	cin => \led_flash_cnt[1609][6]~49417\,
	combout => \led_flash_cnt[1609][7]~49418_combout\);

-- Location: FF_X75_Y28_N31
\led_flash_cnt[1609][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1609][7]~49418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1609][7]~q\);

-- Location: LCCOMB_X75_Y28_N0
\WideAnd1609~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1609~0_combout\ = (\led_flash_cnt[1609][4]~q\ & (\led_flash_cnt[1609][2]~q\ & (\led_flash_cnt[1609][3]~q\ & \led_flash_cnt[1609][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1609][4]~q\,
	datab => \led_flash_cnt[1609][2]~q\,
	datac => \led_flash_cnt[1609][3]~q\,
	datad => \led_flash_cnt[1609][1]~q\,
	combout => \WideAnd1609~0_combout\);

-- Location: LCCOMB_X76_Y28_N28
WideAnd1609 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1609~combout\ = (\WideAnd1609~1_combout\ & (\led_flash_cnt[1609][7]~q\ & (\WideAnd1609~0_combout\ & \led_flash_cnt[1609][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1609~1_combout\,
	datab => \led_flash_cnt[1609][7]~q\,
	datac => \WideAnd1609~0_combout\,
	datad => \led_flash_cnt[1609][0]~q\,
	combout => \WideAnd1609~combout\);

-- Location: FF_X76_Y28_N29
\led_flash_cnt_ands[1609]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1609~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1609));

-- Location: LCCOMB_X76_Y17_N24
\led_flash_cnt[1608][0]~82248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1608][0]~82248_combout\ = !\led_flash_cnt[1608][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1608][0]~q\,
	combout => \led_flash_cnt[1608][0]~82248_combout\);

-- Location: FF_X76_Y17_N25
\led_flash_cnt[1608][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1608][0]~82248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1608][0]~q\);

-- Location: LCCOMB_X76_Y17_N6
\led_flash_cnt[1608][1]~49392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1608][1]~49392_combout\ = (\led_flash_cnt[1608][1]~q\ & (\led_flash_cnt[1608][0]~q\ $ (VCC))) # (!\led_flash_cnt[1608][1]~q\ & (\led_flash_cnt[1608][0]~q\ & VCC))
-- \led_flash_cnt[1608][1]~49393\ = CARRY((\led_flash_cnt[1608][1]~q\ & \led_flash_cnt[1608][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1608][1]~q\,
	datab => \led_flash_cnt[1608][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1608][1]~49392_combout\,
	cout => \led_flash_cnt[1608][1]~49393\);

-- Location: FF_X76_Y17_N7
\led_flash_cnt[1608][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1608][1]~49392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1608][1]~q\);

-- Location: LCCOMB_X76_Y17_N8
\led_flash_cnt[1608][2]~49394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1608][2]~49394_combout\ = (\led_flash_cnt[1608][2]~q\ & (!\led_flash_cnt[1608][1]~49393\)) # (!\led_flash_cnt[1608][2]~q\ & ((\led_flash_cnt[1608][1]~49393\) # (GND)))
-- \led_flash_cnt[1608][2]~49395\ = CARRY((!\led_flash_cnt[1608][1]~49393\) # (!\led_flash_cnt[1608][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1608][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1608][1]~49393\,
	combout => \led_flash_cnt[1608][2]~49394_combout\,
	cout => \led_flash_cnt[1608][2]~49395\);

-- Location: FF_X76_Y17_N9
\led_flash_cnt[1608][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1608][2]~49394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1608][2]~q\);

-- Location: LCCOMB_X76_Y17_N10
\led_flash_cnt[1608][3]~49396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1608][3]~49396_combout\ = (\led_flash_cnt[1608][3]~q\ & (\led_flash_cnt[1608][2]~49395\ $ (GND))) # (!\led_flash_cnt[1608][3]~q\ & (!\led_flash_cnt[1608][2]~49395\ & VCC))
-- \led_flash_cnt[1608][3]~49397\ = CARRY((\led_flash_cnt[1608][3]~q\ & !\led_flash_cnt[1608][2]~49395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1608][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1608][2]~49395\,
	combout => \led_flash_cnt[1608][3]~49396_combout\,
	cout => \led_flash_cnt[1608][3]~49397\);

-- Location: FF_X76_Y17_N11
\led_flash_cnt[1608][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1608][3]~49396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1608][3]~q\);

-- Location: LCCOMB_X76_Y17_N12
\led_flash_cnt[1608][4]~49398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1608][4]~49398_combout\ = (\led_flash_cnt[1608][4]~q\ & (!\led_flash_cnt[1608][3]~49397\)) # (!\led_flash_cnt[1608][4]~q\ & ((\led_flash_cnt[1608][3]~49397\) # (GND)))
-- \led_flash_cnt[1608][4]~49399\ = CARRY((!\led_flash_cnt[1608][3]~49397\) # (!\led_flash_cnt[1608][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1608][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1608][3]~49397\,
	combout => \led_flash_cnt[1608][4]~49398_combout\,
	cout => \led_flash_cnt[1608][4]~49399\);

-- Location: FF_X76_Y17_N13
\led_flash_cnt[1608][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1608][4]~49398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1608][4]~q\);

-- Location: LCCOMB_X76_Y17_N14
\led_flash_cnt[1608][5]~49400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1608][5]~49400_combout\ = (\led_flash_cnt[1608][5]~q\ & (\led_flash_cnt[1608][4]~49399\ $ (GND))) # (!\led_flash_cnt[1608][5]~q\ & (!\led_flash_cnt[1608][4]~49399\ & VCC))
-- \led_flash_cnt[1608][5]~49401\ = CARRY((\led_flash_cnt[1608][5]~q\ & !\led_flash_cnt[1608][4]~49399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1608][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1608][4]~49399\,
	combout => \led_flash_cnt[1608][5]~49400_combout\,
	cout => \led_flash_cnt[1608][5]~49401\);

-- Location: FF_X76_Y17_N15
\led_flash_cnt[1608][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1608][5]~49400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1608][5]~q\);

-- Location: LCCOMB_X76_Y17_N16
\led_flash_cnt[1608][6]~49402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1608][6]~49402_combout\ = (\led_flash_cnt[1608][6]~q\ & (!\led_flash_cnt[1608][5]~49401\)) # (!\led_flash_cnt[1608][6]~q\ & ((\led_flash_cnt[1608][5]~49401\) # (GND)))
-- \led_flash_cnt[1608][6]~49403\ = CARRY((!\led_flash_cnt[1608][5]~49401\) # (!\led_flash_cnt[1608][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1608][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1608][5]~49401\,
	combout => \led_flash_cnt[1608][6]~49402_combout\,
	cout => \led_flash_cnt[1608][6]~49403\);

-- Location: FF_X76_Y17_N17
\led_flash_cnt[1608][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1608][6]~49402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1608][6]~q\);

-- Location: LCCOMB_X76_Y17_N22
\WideAnd1608~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1608~1_combout\ = (\led_flash_cnt[1608][5]~q\ & \led_flash_cnt[1608][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1608][5]~q\,
	datad => \led_flash_cnt[1608][6]~q\,
	combout => \WideAnd1608~1_combout\);

-- Location: LCCOMB_X76_Y17_N18
\led_flash_cnt[1608][7]~49404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1608][7]~49404_combout\ = \led_flash_cnt[1608][6]~49403\ $ (!\led_flash_cnt[1608][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1608][7]~q\,
	cin => \led_flash_cnt[1608][6]~49403\,
	combout => \led_flash_cnt[1608][7]~49404_combout\);

-- Location: FF_X76_Y17_N19
\led_flash_cnt[1608][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1608][7]~49404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1608][7]~q\);

-- Location: LCCOMB_X76_Y17_N4
\WideAnd1608~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1608~0_combout\ = (\led_flash_cnt[1608][3]~q\ & (\led_flash_cnt[1608][4]~q\ & (\led_flash_cnt[1608][2]~q\ & \led_flash_cnt[1608][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1608][3]~q\,
	datab => \led_flash_cnt[1608][4]~q\,
	datac => \led_flash_cnt[1608][2]~q\,
	datad => \led_flash_cnt[1608][1]~q\,
	combout => \WideAnd1608~0_combout\);

-- Location: LCCOMB_X76_Y17_N26
WideAnd1608 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1608~combout\ = (\WideAnd1608~1_combout\ & (\led_flash_cnt[1608][7]~q\ & (\WideAnd1608~0_combout\ & \led_flash_cnt[1608][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1608~1_combout\,
	datab => \led_flash_cnt[1608][7]~q\,
	datac => \WideAnd1608~0_combout\,
	datad => \led_flash_cnt[1608][0]~q\,
	combout => \WideAnd1608~combout\);

-- Location: FF_X76_Y17_N27
\led_flash_cnt_ands[1608]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1608~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1608));

-- Location: LCCOMB_X77_Y28_N22
\led_flash_cnt[1610][0]~82250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1610][0]~82250_combout\ = !\led_flash_cnt[1610][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1610][0]~q\,
	combout => \led_flash_cnt[1610][0]~82250_combout\);

-- Location: FF_X77_Y28_N23
\led_flash_cnt[1610][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1610][0]~82250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1610][0]~q\);

-- Location: LCCOMB_X77_Y28_N4
\led_flash_cnt[1610][1]~49420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1610][1]~49420_combout\ = (\led_flash_cnt[1610][0]~q\ & (\led_flash_cnt[1610][1]~q\ $ (VCC))) # (!\led_flash_cnt[1610][0]~q\ & (\led_flash_cnt[1610][1]~q\ & VCC))
-- \led_flash_cnt[1610][1]~49421\ = CARRY((\led_flash_cnt[1610][0]~q\ & \led_flash_cnt[1610][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1610][0]~q\,
	datab => \led_flash_cnt[1610][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1610][1]~49420_combout\,
	cout => \led_flash_cnt[1610][1]~49421\);

-- Location: FF_X77_Y28_N5
\led_flash_cnt[1610][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1610][1]~49420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1610][1]~q\);

-- Location: LCCOMB_X77_Y28_N6
\led_flash_cnt[1610][2]~49422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1610][2]~49422_combout\ = (\led_flash_cnt[1610][2]~q\ & (!\led_flash_cnt[1610][1]~49421\)) # (!\led_flash_cnt[1610][2]~q\ & ((\led_flash_cnt[1610][1]~49421\) # (GND)))
-- \led_flash_cnt[1610][2]~49423\ = CARRY((!\led_flash_cnt[1610][1]~49421\) # (!\led_flash_cnt[1610][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1610][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1610][1]~49421\,
	combout => \led_flash_cnt[1610][2]~49422_combout\,
	cout => \led_flash_cnt[1610][2]~49423\);

-- Location: FF_X77_Y28_N7
\led_flash_cnt[1610][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1610][2]~49422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1610][2]~q\);

-- Location: LCCOMB_X77_Y28_N8
\led_flash_cnt[1610][3]~49424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1610][3]~49424_combout\ = (\led_flash_cnt[1610][3]~q\ & (\led_flash_cnt[1610][2]~49423\ $ (GND))) # (!\led_flash_cnt[1610][3]~q\ & (!\led_flash_cnt[1610][2]~49423\ & VCC))
-- \led_flash_cnt[1610][3]~49425\ = CARRY((\led_flash_cnt[1610][3]~q\ & !\led_flash_cnt[1610][2]~49423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1610][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1610][2]~49423\,
	combout => \led_flash_cnt[1610][3]~49424_combout\,
	cout => \led_flash_cnt[1610][3]~49425\);

-- Location: FF_X77_Y28_N9
\led_flash_cnt[1610][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1610][3]~49424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1610][3]~q\);

-- Location: LCCOMB_X77_Y28_N10
\led_flash_cnt[1610][4]~49426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1610][4]~49426_combout\ = (\led_flash_cnt[1610][4]~q\ & (!\led_flash_cnt[1610][3]~49425\)) # (!\led_flash_cnt[1610][4]~q\ & ((\led_flash_cnt[1610][3]~49425\) # (GND)))
-- \led_flash_cnt[1610][4]~49427\ = CARRY((!\led_flash_cnt[1610][3]~49425\) # (!\led_flash_cnt[1610][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1610][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1610][3]~49425\,
	combout => \led_flash_cnt[1610][4]~49426_combout\,
	cout => \led_flash_cnt[1610][4]~49427\);

-- Location: FF_X77_Y28_N11
\led_flash_cnt[1610][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1610][4]~49426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1610][4]~q\);

-- Location: LCCOMB_X77_Y28_N12
\led_flash_cnt[1610][5]~49428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1610][5]~49428_combout\ = (\led_flash_cnt[1610][5]~q\ & (\led_flash_cnt[1610][4]~49427\ $ (GND))) # (!\led_flash_cnt[1610][5]~q\ & (!\led_flash_cnt[1610][4]~49427\ & VCC))
-- \led_flash_cnt[1610][5]~49429\ = CARRY((\led_flash_cnt[1610][5]~q\ & !\led_flash_cnt[1610][4]~49427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1610][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1610][4]~49427\,
	combout => \led_flash_cnt[1610][5]~49428_combout\,
	cout => \led_flash_cnt[1610][5]~49429\);

-- Location: FF_X77_Y28_N13
\led_flash_cnt[1610][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1610][5]~49428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1610][5]~q\);

-- Location: LCCOMB_X77_Y28_N14
\led_flash_cnt[1610][6]~49430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1610][6]~49430_combout\ = (\led_flash_cnt[1610][6]~q\ & (!\led_flash_cnt[1610][5]~49429\)) # (!\led_flash_cnt[1610][6]~q\ & ((\led_flash_cnt[1610][5]~49429\) # (GND)))
-- \led_flash_cnt[1610][6]~49431\ = CARRY((!\led_flash_cnt[1610][5]~49429\) # (!\led_flash_cnt[1610][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1610][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1610][5]~49429\,
	combout => \led_flash_cnt[1610][6]~49430_combout\,
	cout => \led_flash_cnt[1610][6]~49431\);

-- Location: FF_X77_Y28_N15
\led_flash_cnt[1610][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1610][6]~49430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1610][6]~q\);

-- Location: LCCOMB_X77_Y28_N16
\led_flash_cnt[1610][7]~49432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1610][7]~49432_combout\ = \led_flash_cnt[1610][6]~49431\ $ (!\led_flash_cnt[1610][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1610][7]~q\,
	cin => \led_flash_cnt[1610][6]~49431\,
	combout => \led_flash_cnt[1610][7]~49432_combout\);

-- Location: FF_X77_Y28_N17
\led_flash_cnt[1610][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1610][7]~49432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1610][7]~q\);

-- Location: LCCOMB_X77_Y28_N26
\WideAnd1610~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1610~1_combout\ = (\led_flash_cnt[1610][6]~q\ & \led_flash_cnt[1610][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1610][6]~q\,
	datad => \led_flash_cnt[1610][5]~q\,
	combout => \WideAnd1610~1_combout\);

-- Location: LCCOMB_X77_Y28_N18
\WideAnd1610~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1610~0_combout\ = (\led_flash_cnt[1610][4]~q\ & (\led_flash_cnt[1610][3]~q\ & (\led_flash_cnt[1610][1]~q\ & \led_flash_cnt[1610][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1610][4]~q\,
	datab => \led_flash_cnt[1610][3]~q\,
	datac => \led_flash_cnt[1610][1]~q\,
	datad => \led_flash_cnt[1610][2]~q\,
	combout => \WideAnd1610~0_combout\);

-- Location: LCCOMB_X77_Y28_N28
WideAnd1610 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1610~combout\ = (\led_flash_cnt[1610][0]~q\ & (\led_flash_cnt[1610][7]~q\ & (\WideAnd1610~1_combout\ & \WideAnd1610~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1610][0]~q\,
	datab => \led_flash_cnt[1610][7]~q\,
	datac => \WideAnd1610~1_combout\,
	datad => \WideAnd1610~0_combout\,
	combout => \WideAnd1610~combout\);

-- Location: FF_X77_Y28_N29
\led_flash_cnt_ands[1610]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1610~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1610));

-- Location: LCCOMB_X76_Y28_N0
\WideAnd4041~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4041~0_combout\ = (led_flash_cnt_ands(1611) & (led_flash_cnt_ands(1609) & (led_flash_cnt_ands(1608) & led_flash_cnt_ands(1610))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1611),
	datab => led_flash_cnt_ands(1609),
	datac => led_flash_cnt_ands(1608),
	datad => led_flash_cnt_ands(1610),
	combout => \WideAnd4041~0_combout\);

-- Location: LCCOMB_X64_Y29_N6
\led_flash_cnt[1613][0]~82253\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1613][0]~82253_combout\ = !\led_flash_cnt[1613][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1613][0]~q\,
	combout => \led_flash_cnt[1613][0]~82253_combout\);

-- Location: FF_X64_Y29_N7
\led_flash_cnt[1613][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1613][0]~82253_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1613][0]~q\);

-- Location: LCCOMB_X64_Y29_N8
\led_flash_cnt[1613][1]~49462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1613][1]~49462_combout\ = (\led_flash_cnt[1613][0]~q\ & (\led_flash_cnt[1613][1]~q\ $ (VCC))) # (!\led_flash_cnt[1613][0]~q\ & (\led_flash_cnt[1613][1]~q\ & VCC))
-- \led_flash_cnt[1613][1]~49463\ = CARRY((\led_flash_cnt[1613][0]~q\ & \led_flash_cnt[1613][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1613][0]~q\,
	datab => \led_flash_cnt[1613][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1613][1]~49462_combout\,
	cout => \led_flash_cnt[1613][1]~49463\);

-- Location: FF_X64_Y29_N9
\led_flash_cnt[1613][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1613][1]~49462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1613][1]~q\);

-- Location: LCCOMB_X64_Y29_N10
\led_flash_cnt[1613][2]~49464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1613][2]~49464_combout\ = (\led_flash_cnt[1613][2]~q\ & (!\led_flash_cnt[1613][1]~49463\)) # (!\led_flash_cnt[1613][2]~q\ & ((\led_flash_cnt[1613][1]~49463\) # (GND)))
-- \led_flash_cnt[1613][2]~49465\ = CARRY((!\led_flash_cnt[1613][1]~49463\) # (!\led_flash_cnt[1613][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1613][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1613][1]~49463\,
	combout => \led_flash_cnt[1613][2]~49464_combout\,
	cout => \led_flash_cnt[1613][2]~49465\);

-- Location: FF_X64_Y29_N11
\led_flash_cnt[1613][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1613][2]~49464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1613][2]~q\);

-- Location: LCCOMB_X64_Y29_N12
\led_flash_cnt[1613][3]~49466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1613][3]~49466_combout\ = (\led_flash_cnt[1613][3]~q\ & (\led_flash_cnt[1613][2]~49465\ $ (GND))) # (!\led_flash_cnt[1613][3]~q\ & (!\led_flash_cnt[1613][2]~49465\ & VCC))
-- \led_flash_cnt[1613][3]~49467\ = CARRY((\led_flash_cnt[1613][3]~q\ & !\led_flash_cnt[1613][2]~49465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1613][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1613][2]~49465\,
	combout => \led_flash_cnt[1613][3]~49466_combout\,
	cout => \led_flash_cnt[1613][3]~49467\);

-- Location: FF_X64_Y29_N13
\led_flash_cnt[1613][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1613][3]~49466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1613][3]~q\);

-- Location: LCCOMB_X64_Y29_N14
\led_flash_cnt[1613][4]~49468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1613][4]~49468_combout\ = (\led_flash_cnt[1613][4]~q\ & (!\led_flash_cnt[1613][3]~49467\)) # (!\led_flash_cnt[1613][4]~q\ & ((\led_flash_cnt[1613][3]~49467\) # (GND)))
-- \led_flash_cnt[1613][4]~49469\ = CARRY((!\led_flash_cnt[1613][3]~49467\) # (!\led_flash_cnt[1613][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1613][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1613][3]~49467\,
	combout => \led_flash_cnt[1613][4]~49468_combout\,
	cout => \led_flash_cnt[1613][4]~49469\);

-- Location: FF_X64_Y29_N15
\led_flash_cnt[1613][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1613][4]~49468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1613][4]~q\);

-- Location: LCCOMB_X64_Y29_N16
\led_flash_cnt[1613][5]~49470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1613][5]~49470_combout\ = (\led_flash_cnt[1613][5]~q\ & (\led_flash_cnt[1613][4]~49469\ $ (GND))) # (!\led_flash_cnt[1613][5]~q\ & (!\led_flash_cnt[1613][4]~49469\ & VCC))
-- \led_flash_cnt[1613][5]~49471\ = CARRY((\led_flash_cnt[1613][5]~q\ & !\led_flash_cnt[1613][4]~49469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1613][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1613][4]~49469\,
	combout => \led_flash_cnt[1613][5]~49470_combout\,
	cout => \led_flash_cnt[1613][5]~49471\);

-- Location: FF_X64_Y29_N17
\led_flash_cnt[1613][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1613][5]~49470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1613][5]~q\);

-- Location: LCCOMB_X64_Y29_N18
\led_flash_cnt[1613][6]~49472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1613][6]~49472_combout\ = (\led_flash_cnt[1613][6]~q\ & (!\led_flash_cnt[1613][5]~49471\)) # (!\led_flash_cnt[1613][6]~q\ & ((\led_flash_cnt[1613][5]~49471\) # (GND)))
-- \led_flash_cnt[1613][6]~49473\ = CARRY((!\led_flash_cnt[1613][5]~49471\) # (!\led_flash_cnt[1613][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1613][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1613][5]~49471\,
	combout => \led_flash_cnt[1613][6]~49472_combout\,
	cout => \led_flash_cnt[1613][6]~49473\);

-- Location: FF_X64_Y29_N19
\led_flash_cnt[1613][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1613][6]~49472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1613][6]~q\);

-- Location: LCCOMB_X64_Y29_N20
\led_flash_cnt[1613][7]~49474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1613][7]~49474_combout\ = \led_flash_cnt[1613][6]~49473\ $ (!\led_flash_cnt[1613][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1613][7]~q\,
	cin => \led_flash_cnt[1613][6]~49473\,
	combout => \led_flash_cnt[1613][7]~49474_combout\);

-- Location: FF_X64_Y29_N21
\led_flash_cnt[1613][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1613][7]~49474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1613][7]~q\);

-- Location: LCCOMB_X64_Y29_N22
\WideAnd1613~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1613~1_combout\ = (\led_flash_cnt[1613][6]~q\ & \led_flash_cnt[1613][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1613][6]~q\,
	datad => \led_flash_cnt[1613][5]~q\,
	combout => \WideAnd1613~1_combout\);

-- Location: LCCOMB_X64_Y29_N24
\WideAnd1613~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1613~0_combout\ = (\led_flash_cnt[1613][3]~q\ & (\led_flash_cnt[1613][4]~q\ & (\led_flash_cnt[1613][1]~q\ & \led_flash_cnt[1613][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1613][3]~q\,
	datab => \led_flash_cnt[1613][4]~q\,
	datac => \led_flash_cnt[1613][1]~q\,
	datad => \led_flash_cnt[1613][2]~q\,
	combout => \WideAnd1613~0_combout\);

-- Location: LCCOMB_X64_Y29_N26
WideAnd1613 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1613~combout\ = (\led_flash_cnt[1613][0]~q\ & (\led_flash_cnt[1613][7]~q\ & (\WideAnd1613~1_combout\ & \WideAnd1613~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1613][0]~q\,
	datab => \led_flash_cnt[1613][7]~q\,
	datac => \WideAnd1613~1_combout\,
	datad => \WideAnd1613~0_combout\,
	combout => \WideAnd1613~combout\);

-- Location: FF_X64_Y29_N27
\led_flash_cnt_ands[1613]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1613~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1613));

-- Location: LCCOMB_X59_Y30_N4
\led_flash_cnt[1612][0]~82252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1612][0]~82252_combout\ = !\led_flash_cnt[1612][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1612][0]~q\,
	combout => \led_flash_cnt[1612][0]~82252_combout\);

-- Location: FF_X59_Y30_N5
\led_flash_cnt[1612][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1612][0]~82252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1612][0]~q\);

-- Location: LCCOMB_X59_Y30_N10
\led_flash_cnt[1612][1]~49448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1612][1]~49448_combout\ = (\led_flash_cnt[1612][1]~q\ & (\led_flash_cnt[1612][0]~q\ $ (VCC))) # (!\led_flash_cnt[1612][1]~q\ & (\led_flash_cnt[1612][0]~q\ & VCC))
-- \led_flash_cnt[1612][1]~49449\ = CARRY((\led_flash_cnt[1612][1]~q\ & \led_flash_cnt[1612][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1612][1]~q\,
	datab => \led_flash_cnt[1612][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1612][1]~49448_combout\,
	cout => \led_flash_cnt[1612][1]~49449\);

-- Location: FF_X59_Y30_N11
\led_flash_cnt[1612][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1612][1]~49448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1612][1]~q\);

-- Location: LCCOMB_X59_Y30_N12
\led_flash_cnt[1612][2]~49450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1612][2]~49450_combout\ = (\led_flash_cnt[1612][2]~q\ & (!\led_flash_cnt[1612][1]~49449\)) # (!\led_flash_cnt[1612][2]~q\ & ((\led_flash_cnt[1612][1]~49449\) # (GND)))
-- \led_flash_cnt[1612][2]~49451\ = CARRY((!\led_flash_cnt[1612][1]~49449\) # (!\led_flash_cnt[1612][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1612][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1612][1]~49449\,
	combout => \led_flash_cnt[1612][2]~49450_combout\,
	cout => \led_flash_cnt[1612][2]~49451\);

-- Location: FF_X59_Y30_N13
\led_flash_cnt[1612][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1612][2]~49450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1612][2]~q\);

-- Location: LCCOMB_X59_Y30_N14
\led_flash_cnt[1612][3]~49452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1612][3]~49452_combout\ = (\led_flash_cnt[1612][3]~q\ & (\led_flash_cnt[1612][2]~49451\ $ (GND))) # (!\led_flash_cnt[1612][3]~q\ & (!\led_flash_cnt[1612][2]~49451\ & VCC))
-- \led_flash_cnt[1612][3]~49453\ = CARRY((\led_flash_cnt[1612][3]~q\ & !\led_flash_cnt[1612][2]~49451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1612][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1612][2]~49451\,
	combout => \led_flash_cnt[1612][3]~49452_combout\,
	cout => \led_flash_cnt[1612][3]~49453\);

-- Location: FF_X59_Y30_N15
\led_flash_cnt[1612][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1612][3]~49452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1612][3]~q\);

-- Location: LCCOMB_X59_Y30_N16
\led_flash_cnt[1612][4]~49454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1612][4]~49454_combout\ = (\led_flash_cnt[1612][4]~q\ & (!\led_flash_cnt[1612][3]~49453\)) # (!\led_flash_cnt[1612][4]~q\ & ((\led_flash_cnt[1612][3]~49453\) # (GND)))
-- \led_flash_cnt[1612][4]~49455\ = CARRY((!\led_flash_cnt[1612][3]~49453\) # (!\led_flash_cnt[1612][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1612][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1612][3]~49453\,
	combout => \led_flash_cnt[1612][4]~49454_combout\,
	cout => \led_flash_cnt[1612][4]~49455\);

-- Location: FF_X59_Y30_N17
\led_flash_cnt[1612][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1612][4]~49454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1612][4]~q\);

-- Location: LCCOMB_X59_Y30_N18
\led_flash_cnt[1612][5]~49456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1612][5]~49456_combout\ = (\led_flash_cnt[1612][5]~q\ & (\led_flash_cnt[1612][4]~49455\ $ (GND))) # (!\led_flash_cnt[1612][5]~q\ & (!\led_flash_cnt[1612][4]~49455\ & VCC))
-- \led_flash_cnt[1612][5]~49457\ = CARRY((\led_flash_cnt[1612][5]~q\ & !\led_flash_cnt[1612][4]~49455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1612][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1612][4]~49455\,
	combout => \led_flash_cnt[1612][5]~49456_combout\,
	cout => \led_flash_cnt[1612][5]~49457\);

-- Location: FF_X59_Y30_N19
\led_flash_cnt[1612][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1612][5]~49456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1612][5]~q\);

-- Location: LCCOMB_X59_Y30_N20
\led_flash_cnt[1612][6]~49458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1612][6]~49458_combout\ = (\led_flash_cnt[1612][6]~q\ & (!\led_flash_cnt[1612][5]~49457\)) # (!\led_flash_cnt[1612][6]~q\ & ((\led_flash_cnt[1612][5]~49457\) # (GND)))
-- \led_flash_cnt[1612][6]~49459\ = CARRY((!\led_flash_cnt[1612][5]~49457\) # (!\led_flash_cnt[1612][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1612][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1612][5]~49457\,
	combout => \led_flash_cnt[1612][6]~49458_combout\,
	cout => \led_flash_cnt[1612][6]~49459\);

-- Location: FF_X59_Y30_N21
\led_flash_cnt[1612][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1612][6]~49458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1612][6]~q\);

-- Location: LCCOMB_X59_Y30_N26
\WideAnd1612~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1612~1_combout\ = (\led_flash_cnt[1612][6]~q\ & \led_flash_cnt[1612][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1612][6]~q\,
	datad => \led_flash_cnt[1612][5]~q\,
	combout => \WideAnd1612~1_combout\);

-- Location: LCCOMB_X59_Y30_N22
\led_flash_cnt[1612][7]~49460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1612][7]~49460_combout\ = \led_flash_cnt[1612][7]~q\ $ (!\led_flash_cnt[1612][6]~49459\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1612][7]~q\,
	cin => \led_flash_cnt[1612][6]~49459\,
	combout => \led_flash_cnt[1612][7]~49460_combout\);

-- Location: FF_X59_Y30_N23
\led_flash_cnt[1612][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1612][7]~49460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1612][7]~q\);

-- Location: LCCOMB_X59_Y30_N6
\WideAnd1612~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1612~0_combout\ = (\led_flash_cnt[1612][1]~q\ & (\led_flash_cnt[1612][4]~q\ & (\led_flash_cnt[1612][3]~q\ & \led_flash_cnt[1612][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1612][1]~q\,
	datab => \led_flash_cnt[1612][4]~q\,
	datac => \led_flash_cnt[1612][3]~q\,
	datad => \led_flash_cnt[1612][2]~q\,
	combout => \WideAnd1612~0_combout\);

-- Location: LCCOMB_X59_Y30_N30
WideAnd1612 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1612~combout\ = (\WideAnd1612~1_combout\ & (\led_flash_cnt[1612][0]~q\ & (\led_flash_cnt[1612][7]~q\ & \WideAnd1612~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1612~1_combout\,
	datab => \led_flash_cnt[1612][0]~q\,
	datac => \led_flash_cnt[1612][7]~q\,
	datad => \WideAnd1612~0_combout\,
	combout => \WideAnd1612~combout\);

-- Location: FF_X59_Y30_N31
\led_flash_cnt_ands[1612]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1612~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1612));

-- Location: LCCOMB_X65_Y29_N24
\WideAnd4041~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4041~1_combout\ = (led_flash_cnt_ands(1613) & led_flash_cnt_ands(1612))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1613),
	datac => led_flash_cnt_ands(1612),
	combout => \WideAnd4041~1_combout\);

-- Location: LCCOMB_X70_Y35_N12
\led_flash_cnt[1615][0]~82255\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1615][0]~82255_combout\ = !\led_flash_cnt[1615][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1615][0]~q\,
	combout => \led_flash_cnt[1615][0]~82255_combout\);

-- Location: FF_X70_Y35_N13
\led_flash_cnt[1615][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1615][0]~82255_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1615][0]~q\);

-- Location: LCCOMB_X70_Y35_N14
\led_flash_cnt[1615][1]~49490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1615][1]~49490_combout\ = (\led_flash_cnt[1615][0]~q\ & (\led_flash_cnt[1615][1]~q\ $ (VCC))) # (!\led_flash_cnt[1615][0]~q\ & (\led_flash_cnt[1615][1]~q\ & VCC))
-- \led_flash_cnt[1615][1]~49491\ = CARRY((\led_flash_cnt[1615][0]~q\ & \led_flash_cnt[1615][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1615][0]~q\,
	datab => \led_flash_cnt[1615][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1615][1]~49490_combout\,
	cout => \led_flash_cnt[1615][1]~49491\);

-- Location: FF_X70_Y35_N15
\led_flash_cnt[1615][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1615][1]~49490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1615][1]~q\);

-- Location: LCCOMB_X70_Y35_N16
\led_flash_cnt[1615][2]~49492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1615][2]~49492_combout\ = (\led_flash_cnt[1615][2]~q\ & (!\led_flash_cnt[1615][1]~49491\)) # (!\led_flash_cnt[1615][2]~q\ & ((\led_flash_cnt[1615][1]~49491\) # (GND)))
-- \led_flash_cnt[1615][2]~49493\ = CARRY((!\led_flash_cnt[1615][1]~49491\) # (!\led_flash_cnt[1615][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1615][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1615][1]~49491\,
	combout => \led_flash_cnt[1615][2]~49492_combout\,
	cout => \led_flash_cnt[1615][2]~49493\);

-- Location: FF_X70_Y35_N17
\led_flash_cnt[1615][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1615][2]~49492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1615][2]~q\);

-- Location: LCCOMB_X70_Y35_N18
\led_flash_cnt[1615][3]~49494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1615][3]~49494_combout\ = (\led_flash_cnt[1615][3]~q\ & (\led_flash_cnt[1615][2]~49493\ $ (GND))) # (!\led_flash_cnt[1615][3]~q\ & (!\led_flash_cnt[1615][2]~49493\ & VCC))
-- \led_flash_cnt[1615][3]~49495\ = CARRY((\led_flash_cnt[1615][3]~q\ & !\led_flash_cnt[1615][2]~49493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1615][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1615][2]~49493\,
	combout => \led_flash_cnt[1615][3]~49494_combout\,
	cout => \led_flash_cnt[1615][3]~49495\);

-- Location: FF_X70_Y35_N19
\led_flash_cnt[1615][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1615][3]~49494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1615][3]~q\);

-- Location: LCCOMB_X70_Y35_N20
\led_flash_cnt[1615][4]~49496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1615][4]~49496_combout\ = (\led_flash_cnt[1615][4]~q\ & (!\led_flash_cnt[1615][3]~49495\)) # (!\led_flash_cnt[1615][4]~q\ & ((\led_flash_cnt[1615][3]~49495\) # (GND)))
-- \led_flash_cnt[1615][4]~49497\ = CARRY((!\led_flash_cnt[1615][3]~49495\) # (!\led_flash_cnt[1615][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1615][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1615][3]~49495\,
	combout => \led_flash_cnt[1615][4]~49496_combout\,
	cout => \led_flash_cnt[1615][4]~49497\);

-- Location: FF_X70_Y35_N21
\led_flash_cnt[1615][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1615][4]~49496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1615][4]~q\);

-- Location: LCCOMB_X70_Y35_N22
\led_flash_cnt[1615][5]~49498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1615][5]~49498_combout\ = (\led_flash_cnt[1615][5]~q\ & (\led_flash_cnt[1615][4]~49497\ $ (GND))) # (!\led_flash_cnt[1615][5]~q\ & (!\led_flash_cnt[1615][4]~49497\ & VCC))
-- \led_flash_cnt[1615][5]~49499\ = CARRY((\led_flash_cnt[1615][5]~q\ & !\led_flash_cnt[1615][4]~49497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1615][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1615][4]~49497\,
	combout => \led_flash_cnt[1615][5]~49498_combout\,
	cout => \led_flash_cnt[1615][5]~49499\);

-- Location: FF_X70_Y35_N23
\led_flash_cnt[1615][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1615][5]~49498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1615][5]~q\);

-- Location: LCCOMB_X70_Y35_N24
\led_flash_cnt[1615][6]~49500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1615][6]~49500_combout\ = (\led_flash_cnt[1615][6]~q\ & (!\led_flash_cnt[1615][5]~49499\)) # (!\led_flash_cnt[1615][6]~q\ & ((\led_flash_cnt[1615][5]~49499\) # (GND)))
-- \led_flash_cnt[1615][6]~49501\ = CARRY((!\led_flash_cnt[1615][5]~49499\) # (!\led_flash_cnt[1615][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1615][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1615][5]~49499\,
	combout => \led_flash_cnt[1615][6]~49500_combout\,
	cout => \led_flash_cnt[1615][6]~49501\);

-- Location: FF_X70_Y35_N25
\led_flash_cnt[1615][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1615][6]~49500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1615][6]~q\);

-- Location: LCCOMB_X70_Y35_N30
\WideAnd1615~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1615~1_combout\ = (\led_flash_cnt[1615][5]~q\ & \led_flash_cnt[1615][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1615][5]~q\,
	datad => \led_flash_cnt[1615][6]~q\,
	combout => \WideAnd1615~1_combout\);

-- Location: LCCOMB_X70_Y35_N8
\WideAnd1615~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1615~0_combout\ = (\led_flash_cnt[1615][4]~q\ & (\led_flash_cnt[1615][3]~q\ & (\led_flash_cnt[1615][1]~q\ & \led_flash_cnt[1615][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1615][4]~q\,
	datab => \led_flash_cnt[1615][3]~q\,
	datac => \led_flash_cnt[1615][1]~q\,
	datad => \led_flash_cnt[1615][2]~q\,
	combout => \WideAnd1615~0_combout\);

-- Location: LCCOMB_X70_Y35_N26
\led_flash_cnt[1615][7]~49502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1615][7]~49502_combout\ = \led_flash_cnt[1615][7]~q\ $ (!\led_flash_cnt[1615][6]~49501\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1615][7]~q\,
	cin => \led_flash_cnt[1615][6]~49501\,
	combout => \led_flash_cnt[1615][7]~49502_combout\);

-- Location: FF_X70_Y35_N27
\led_flash_cnt[1615][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1615][7]~49502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1615][7]~q\);

-- Location: LCCOMB_X70_Y35_N6
WideAnd1615 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1615~combout\ = (\WideAnd1615~1_combout\ & (\WideAnd1615~0_combout\ & (\led_flash_cnt[1615][7]~q\ & \led_flash_cnt[1615][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1615~1_combout\,
	datab => \WideAnd1615~0_combout\,
	datac => \led_flash_cnt[1615][7]~q\,
	datad => \led_flash_cnt[1615][0]~q\,
	combout => \WideAnd1615~combout\);

-- Location: FF_X70_Y35_N7
\led_flash_cnt_ands[1615]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1615~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1615));

-- Location: LCCOMB_X69_Y29_N4
WideAnd4041 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4041~combout\ = (led_flash_cnt_ands(1614) & (\WideAnd4041~0_combout\ & (\WideAnd4041~1_combout\ & led_flash_cnt_ands(1615))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1614),
	datab => \WideAnd4041~0_combout\,
	datac => \WideAnd4041~1_combout\,
	datad => led_flash_cnt_ands(1615),
	combout => \WideAnd4041~combout\);

-- Location: FF_X69_Y29_N5
\led_flash_cnt_ands_1[201]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4041~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(201));

-- Location: LCCOMB_X57_Y33_N6
\led_flash_cnt[1605][0]~82245\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1605][0]~82245_combout\ = !\led_flash_cnt[1605][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1605][0]~q\,
	combout => \led_flash_cnt[1605][0]~82245_combout\);

-- Location: FF_X57_Y33_N7
\led_flash_cnt[1605][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1605][0]~82245_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1605][0]~q\);

-- Location: LCCOMB_X58_Y33_N4
\led_flash_cnt[1605][1]~49350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1605][1]~49350_combout\ = (\led_flash_cnt[1605][0]~q\ & (\led_flash_cnt[1605][1]~q\ $ (VCC))) # (!\led_flash_cnt[1605][0]~q\ & (\led_flash_cnt[1605][1]~q\ & VCC))
-- \led_flash_cnt[1605][1]~49351\ = CARRY((\led_flash_cnt[1605][0]~q\ & \led_flash_cnt[1605][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1605][0]~q\,
	datab => \led_flash_cnt[1605][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1605][1]~49350_combout\,
	cout => \led_flash_cnt[1605][1]~49351\);

-- Location: FF_X58_Y33_N5
\led_flash_cnt[1605][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1605][1]~49350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1605][1]~q\);

-- Location: LCCOMB_X58_Y33_N6
\led_flash_cnt[1605][2]~49352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1605][2]~49352_combout\ = (\led_flash_cnt[1605][2]~q\ & (!\led_flash_cnt[1605][1]~49351\)) # (!\led_flash_cnt[1605][2]~q\ & ((\led_flash_cnt[1605][1]~49351\) # (GND)))
-- \led_flash_cnt[1605][2]~49353\ = CARRY((!\led_flash_cnt[1605][1]~49351\) # (!\led_flash_cnt[1605][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1605][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1605][1]~49351\,
	combout => \led_flash_cnt[1605][2]~49352_combout\,
	cout => \led_flash_cnt[1605][2]~49353\);

-- Location: FF_X58_Y33_N7
\led_flash_cnt[1605][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1605][2]~49352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1605][2]~q\);

-- Location: LCCOMB_X58_Y33_N8
\led_flash_cnt[1605][3]~49354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1605][3]~49354_combout\ = (\led_flash_cnt[1605][3]~q\ & (\led_flash_cnt[1605][2]~49353\ $ (GND))) # (!\led_flash_cnt[1605][3]~q\ & (!\led_flash_cnt[1605][2]~49353\ & VCC))
-- \led_flash_cnt[1605][3]~49355\ = CARRY((\led_flash_cnt[1605][3]~q\ & !\led_flash_cnt[1605][2]~49353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1605][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1605][2]~49353\,
	combout => \led_flash_cnt[1605][3]~49354_combout\,
	cout => \led_flash_cnt[1605][3]~49355\);

-- Location: FF_X58_Y33_N9
\led_flash_cnt[1605][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1605][3]~49354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1605][3]~q\);

-- Location: LCCOMB_X58_Y33_N10
\led_flash_cnt[1605][4]~49356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1605][4]~49356_combout\ = (\led_flash_cnt[1605][4]~q\ & (!\led_flash_cnt[1605][3]~49355\)) # (!\led_flash_cnt[1605][4]~q\ & ((\led_flash_cnt[1605][3]~49355\) # (GND)))
-- \led_flash_cnt[1605][4]~49357\ = CARRY((!\led_flash_cnt[1605][3]~49355\) # (!\led_flash_cnt[1605][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1605][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1605][3]~49355\,
	combout => \led_flash_cnt[1605][4]~49356_combout\,
	cout => \led_flash_cnt[1605][4]~49357\);

-- Location: FF_X58_Y33_N11
\led_flash_cnt[1605][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1605][4]~49356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1605][4]~q\);

-- Location: LCCOMB_X58_Y33_N12
\led_flash_cnt[1605][5]~49358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1605][5]~49358_combout\ = (\led_flash_cnt[1605][5]~q\ & (\led_flash_cnt[1605][4]~49357\ $ (GND))) # (!\led_flash_cnt[1605][5]~q\ & (!\led_flash_cnt[1605][4]~49357\ & VCC))
-- \led_flash_cnt[1605][5]~49359\ = CARRY((\led_flash_cnt[1605][5]~q\ & !\led_flash_cnt[1605][4]~49357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1605][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1605][4]~49357\,
	combout => \led_flash_cnt[1605][5]~49358_combout\,
	cout => \led_flash_cnt[1605][5]~49359\);

-- Location: FF_X58_Y33_N13
\led_flash_cnt[1605][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1605][5]~49358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1605][5]~q\);

-- Location: LCCOMB_X58_Y33_N14
\led_flash_cnt[1605][6]~49360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1605][6]~49360_combout\ = (\led_flash_cnt[1605][6]~q\ & (!\led_flash_cnt[1605][5]~49359\)) # (!\led_flash_cnt[1605][6]~q\ & ((\led_flash_cnt[1605][5]~49359\) # (GND)))
-- \led_flash_cnt[1605][6]~49361\ = CARRY((!\led_flash_cnt[1605][5]~49359\) # (!\led_flash_cnt[1605][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1605][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1605][5]~49359\,
	combout => \led_flash_cnt[1605][6]~49360_combout\,
	cout => \led_flash_cnt[1605][6]~49361\);

-- Location: FF_X58_Y33_N15
\led_flash_cnt[1605][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1605][6]~49360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1605][6]~q\);

-- Location: LCCOMB_X58_Y33_N16
\led_flash_cnt[1605][7]~49362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1605][7]~49362_combout\ = \led_flash_cnt[1605][6]~49361\ $ (!\led_flash_cnt[1605][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1605][7]~q\,
	cin => \led_flash_cnt[1605][6]~49361\,
	combout => \led_flash_cnt[1605][7]~49362_combout\);

-- Location: FF_X58_Y33_N17
\led_flash_cnt[1605][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1605][7]~49362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1605][7]~q\);

-- Location: LCCOMB_X57_Y33_N8
\WideAnd1605~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1605~1_combout\ = (\led_flash_cnt[1605][6]~q\ & \led_flash_cnt[1605][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1605][6]~q\,
	datac => \led_flash_cnt[1605][5]~q\,
	combout => \WideAnd1605~1_combout\);

-- Location: LCCOMB_X58_Y33_N2
\WideAnd1605~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1605~0_combout\ = (\led_flash_cnt[1605][4]~q\ & (\led_flash_cnt[1605][3]~q\ & (\led_flash_cnt[1605][1]~q\ & \led_flash_cnt[1605][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1605][4]~q\,
	datab => \led_flash_cnt[1605][3]~q\,
	datac => \led_flash_cnt[1605][1]~q\,
	datad => \led_flash_cnt[1605][2]~q\,
	combout => \WideAnd1605~0_combout\);

-- Location: LCCOMB_X57_Y33_N30
WideAnd1605 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1605~combout\ = (\led_flash_cnt[1605][0]~q\ & (\led_flash_cnt[1605][7]~q\ & (\WideAnd1605~1_combout\ & \WideAnd1605~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1605][0]~q\,
	datab => \led_flash_cnt[1605][7]~q\,
	datac => \WideAnd1605~1_combout\,
	datad => \WideAnd1605~0_combout\,
	combout => \WideAnd1605~combout\);

-- Location: FF_X57_Y33_N31
\led_flash_cnt_ands[1605]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1605~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1605));

-- Location: LCCOMB_X57_Y33_N12
\led_flash_cnt[1604][0]~82244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1604][0]~82244_combout\ = !\led_flash_cnt[1604][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1604][0]~q\,
	combout => \led_flash_cnt[1604][0]~82244_combout\);

-- Location: FF_X57_Y33_N13
\led_flash_cnt[1604][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1604][0]~82244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1604][0]~q\);

-- Location: LCCOMB_X57_Y33_N16
\led_flash_cnt[1604][1]~49336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1604][1]~49336_combout\ = (\led_flash_cnt[1604][0]~q\ & (\led_flash_cnt[1604][1]~q\ $ (VCC))) # (!\led_flash_cnt[1604][0]~q\ & (\led_flash_cnt[1604][1]~q\ & VCC))
-- \led_flash_cnt[1604][1]~49337\ = CARRY((\led_flash_cnt[1604][0]~q\ & \led_flash_cnt[1604][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1604][0]~q\,
	datab => \led_flash_cnt[1604][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1604][1]~49336_combout\,
	cout => \led_flash_cnt[1604][1]~49337\);

-- Location: FF_X57_Y33_N17
\led_flash_cnt[1604][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1604][1]~49336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1604][1]~q\);

-- Location: LCCOMB_X57_Y33_N18
\led_flash_cnt[1604][2]~49338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1604][2]~49338_combout\ = (\led_flash_cnt[1604][2]~q\ & (!\led_flash_cnt[1604][1]~49337\)) # (!\led_flash_cnt[1604][2]~q\ & ((\led_flash_cnt[1604][1]~49337\) # (GND)))
-- \led_flash_cnt[1604][2]~49339\ = CARRY((!\led_flash_cnt[1604][1]~49337\) # (!\led_flash_cnt[1604][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1604][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1604][1]~49337\,
	combout => \led_flash_cnt[1604][2]~49338_combout\,
	cout => \led_flash_cnt[1604][2]~49339\);

-- Location: FF_X57_Y33_N19
\led_flash_cnt[1604][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1604][2]~49338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1604][2]~q\);

-- Location: LCCOMB_X57_Y33_N20
\led_flash_cnt[1604][3]~49340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1604][3]~49340_combout\ = (\led_flash_cnt[1604][3]~q\ & (\led_flash_cnt[1604][2]~49339\ $ (GND))) # (!\led_flash_cnt[1604][3]~q\ & (!\led_flash_cnt[1604][2]~49339\ & VCC))
-- \led_flash_cnt[1604][3]~49341\ = CARRY((\led_flash_cnt[1604][3]~q\ & !\led_flash_cnt[1604][2]~49339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1604][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1604][2]~49339\,
	combout => \led_flash_cnt[1604][3]~49340_combout\,
	cout => \led_flash_cnt[1604][3]~49341\);

-- Location: FF_X57_Y33_N21
\led_flash_cnt[1604][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1604][3]~49340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1604][3]~q\);

-- Location: LCCOMB_X57_Y33_N22
\led_flash_cnt[1604][4]~49342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1604][4]~49342_combout\ = (\led_flash_cnt[1604][4]~q\ & (!\led_flash_cnt[1604][3]~49341\)) # (!\led_flash_cnt[1604][4]~q\ & ((\led_flash_cnt[1604][3]~49341\) # (GND)))
-- \led_flash_cnt[1604][4]~49343\ = CARRY((!\led_flash_cnt[1604][3]~49341\) # (!\led_flash_cnt[1604][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1604][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1604][3]~49341\,
	combout => \led_flash_cnt[1604][4]~49342_combout\,
	cout => \led_flash_cnt[1604][4]~49343\);

-- Location: FF_X57_Y33_N23
\led_flash_cnt[1604][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1604][4]~49342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1604][4]~q\);

-- Location: LCCOMB_X57_Y33_N24
\led_flash_cnt[1604][5]~49344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1604][5]~49344_combout\ = (\led_flash_cnt[1604][5]~q\ & (\led_flash_cnt[1604][4]~49343\ $ (GND))) # (!\led_flash_cnt[1604][5]~q\ & (!\led_flash_cnt[1604][4]~49343\ & VCC))
-- \led_flash_cnt[1604][5]~49345\ = CARRY((\led_flash_cnt[1604][5]~q\ & !\led_flash_cnt[1604][4]~49343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1604][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1604][4]~49343\,
	combout => \led_flash_cnt[1604][5]~49344_combout\,
	cout => \led_flash_cnt[1604][5]~49345\);

-- Location: FF_X57_Y33_N25
\led_flash_cnt[1604][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1604][5]~49344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1604][5]~q\);

-- Location: LCCOMB_X57_Y33_N26
\led_flash_cnt[1604][6]~49346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1604][6]~49346_combout\ = (\led_flash_cnt[1604][6]~q\ & (!\led_flash_cnt[1604][5]~49345\)) # (!\led_flash_cnt[1604][6]~q\ & ((\led_flash_cnt[1604][5]~49345\) # (GND)))
-- \led_flash_cnt[1604][6]~49347\ = CARRY((!\led_flash_cnt[1604][5]~49345\) # (!\led_flash_cnt[1604][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1604][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1604][5]~49345\,
	combout => \led_flash_cnt[1604][6]~49346_combout\,
	cout => \led_flash_cnt[1604][6]~49347\);

-- Location: FF_X57_Y33_N27
\led_flash_cnt[1604][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1604][6]~49346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1604][6]~q\);

-- Location: LCCOMB_X57_Y33_N28
\led_flash_cnt[1604][7]~49348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1604][7]~49348_combout\ = \led_flash_cnt[1604][6]~49347\ $ (!\led_flash_cnt[1604][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1604][7]~q\,
	cin => \led_flash_cnt[1604][6]~49347\,
	combout => \led_flash_cnt[1604][7]~49348_combout\);

-- Location: FF_X57_Y33_N29
\led_flash_cnt[1604][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1604][7]~49348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1604][7]~q\);

-- Location: LCCOMB_X57_Y33_N4
\WideAnd1604~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1604~1_combout\ = (\led_flash_cnt[1604][6]~q\ & \led_flash_cnt[1604][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1604][6]~q\,
	datad => \led_flash_cnt[1604][5]~q\,
	combout => \WideAnd1604~1_combout\);

-- Location: LCCOMB_X57_Y33_N2
\WideAnd1604~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1604~0_combout\ = (\led_flash_cnt[1604][2]~q\ & (\led_flash_cnt[1604][3]~q\ & (\led_flash_cnt[1604][4]~q\ & \led_flash_cnt[1604][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1604][2]~q\,
	datab => \led_flash_cnt[1604][3]~q\,
	datac => \led_flash_cnt[1604][4]~q\,
	datad => \led_flash_cnt[1604][1]~q\,
	combout => \WideAnd1604~0_combout\);

-- Location: LCCOMB_X57_Y33_N0
WideAnd1604 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1604~combout\ = (\led_flash_cnt[1604][0]~q\ & (\led_flash_cnt[1604][7]~q\ & (\WideAnd1604~1_combout\ & \WideAnd1604~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1604][0]~q\,
	datab => \led_flash_cnt[1604][7]~q\,
	datac => \WideAnd1604~1_combout\,
	datad => \WideAnd1604~0_combout\,
	combout => \WideAnd1604~combout\);

-- Location: FF_X57_Y33_N1
\led_flash_cnt_ands[1604]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1604~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1604));

-- Location: LCCOMB_X57_Y33_N14
\WideAnd4040~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4040~1_combout\ = (led_flash_cnt_ands(1605) & led_flash_cnt_ands(1604))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1605),
	datad => led_flash_cnt_ands(1604),
	combout => \WideAnd4040~1_combout\);

-- Location: LCCOMB_X66_Y36_N12
\led_flash_cnt[1607][0]~82247\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1607][0]~82247_combout\ = !\led_flash_cnt[1607][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1607][0]~q\,
	combout => \led_flash_cnt[1607][0]~82247_combout\);

-- Location: FF_X66_Y36_N13
\led_flash_cnt[1607][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1607][0]~82247_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1607][0]~q\);

-- Location: LCCOMB_X66_Y36_N16
\led_flash_cnt[1607][1]~49378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1607][1]~49378_combout\ = (\led_flash_cnt[1607][0]~q\ & (\led_flash_cnt[1607][1]~q\ $ (VCC))) # (!\led_flash_cnt[1607][0]~q\ & (\led_flash_cnt[1607][1]~q\ & VCC))
-- \led_flash_cnt[1607][1]~49379\ = CARRY((\led_flash_cnt[1607][0]~q\ & \led_flash_cnt[1607][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1607][0]~q\,
	datab => \led_flash_cnt[1607][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1607][1]~49378_combout\,
	cout => \led_flash_cnt[1607][1]~49379\);

-- Location: FF_X66_Y36_N17
\led_flash_cnt[1607][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1607][1]~49378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1607][1]~q\);

-- Location: LCCOMB_X66_Y36_N18
\led_flash_cnt[1607][2]~49380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1607][2]~49380_combout\ = (\led_flash_cnt[1607][2]~q\ & (!\led_flash_cnt[1607][1]~49379\)) # (!\led_flash_cnt[1607][2]~q\ & ((\led_flash_cnt[1607][1]~49379\) # (GND)))
-- \led_flash_cnt[1607][2]~49381\ = CARRY((!\led_flash_cnt[1607][1]~49379\) # (!\led_flash_cnt[1607][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1607][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1607][1]~49379\,
	combout => \led_flash_cnt[1607][2]~49380_combout\,
	cout => \led_flash_cnt[1607][2]~49381\);

-- Location: FF_X66_Y36_N19
\led_flash_cnt[1607][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1607][2]~49380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1607][2]~q\);

-- Location: LCCOMB_X66_Y36_N20
\led_flash_cnt[1607][3]~49382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1607][3]~49382_combout\ = (\led_flash_cnt[1607][3]~q\ & (\led_flash_cnt[1607][2]~49381\ $ (GND))) # (!\led_flash_cnt[1607][3]~q\ & (!\led_flash_cnt[1607][2]~49381\ & VCC))
-- \led_flash_cnt[1607][3]~49383\ = CARRY((\led_flash_cnt[1607][3]~q\ & !\led_flash_cnt[1607][2]~49381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1607][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1607][2]~49381\,
	combout => \led_flash_cnt[1607][3]~49382_combout\,
	cout => \led_flash_cnt[1607][3]~49383\);

-- Location: FF_X66_Y36_N21
\led_flash_cnt[1607][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1607][3]~49382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1607][3]~q\);

-- Location: LCCOMB_X66_Y36_N22
\led_flash_cnt[1607][4]~49384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1607][4]~49384_combout\ = (\led_flash_cnt[1607][4]~q\ & (!\led_flash_cnt[1607][3]~49383\)) # (!\led_flash_cnt[1607][4]~q\ & ((\led_flash_cnt[1607][3]~49383\) # (GND)))
-- \led_flash_cnt[1607][4]~49385\ = CARRY((!\led_flash_cnt[1607][3]~49383\) # (!\led_flash_cnt[1607][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1607][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1607][3]~49383\,
	combout => \led_flash_cnt[1607][4]~49384_combout\,
	cout => \led_flash_cnt[1607][4]~49385\);

-- Location: FF_X66_Y36_N23
\led_flash_cnt[1607][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1607][4]~49384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1607][4]~q\);

-- Location: LCCOMB_X66_Y36_N24
\led_flash_cnt[1607][5]~49386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1607][5]~49386_combout\ = (\led_flash_cnt[1607][5]~q\ & (\led_flash_cnt[1607][4]~49385\ $ (GND))) # (!\led_flash_cnt[1607][5]~q\ & (!\led_flash_cnt[1607][4]~49385\ & VCC))
-- \led_flash_cnt[1607][5]~49387\ = CARRY((\led_flash_cnt[1607][5]~q\ & !\led_flash_cnt[1607][4]~49385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1607][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1607][4]~49385\,
	combout => \led_flash_cnt[1607][5]~49386_combout\,
	cout => \led_flash_cnt[1607][5]~49387\);

-- Location: FF_X66_Y36_N25
\led_flash_cnt[1607][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1607][5]~49386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1607][5]~q\);

-- Location: LCCOMB_X66_Y36_N26
\led_flash_cnt[1607][6]~49388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1607][6]~49388_combout\ = (\led_flash_cnt[1607][6]~q\ & (!\led_flash_cnt[1607][5]~49387\)) # (!\led_flash_cnt[1607][6]~q\ & ((\led_flash_cnt[1607][5]~49387\) # (GND)))
-- \led_flash_cnt[1607][6]~49389\ = CARRY((!\led_flash_cnt[1607][5]~49387\) # (!\led_flash_cnt[1607][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1607][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1607][5]~49387\,
	combout => \led_flash_cnt[1607][6]~49388_combout\,
	cout => \led_flash_cnt[1607][6]~49389\);

-- Location: FF_X66_Y36_N27
\led_flash_cnt[1607][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1607][6]~49388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1607][6]~q\);

-- Location: LCCOMB_X66_Y36_N28
\led_flash_cnt[1607][7]~49390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1607][7]~49390_combout\ = \led_flash_cnt[1607][6]~49389\ $ (!\led_flash_cnt[1607][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1607][7]~q\,
	cin => \led_flash_cnt[1607][6]~49389\,
	combout => \led_flash_cnt[1607][7]~49390_combout\);

-- Location: FF_X66_Y36_N29
\led_flash_cnt[1607][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1607][7]~49390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1607][7]~q\);

-- Location: LCCOMB_X66_Y36_N14
\WideAnd1607~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1607~0_combout\ = (\led_flash_cnt[1607][3]~q\ & (\led_flash_cnt[1607][2]~q\ & (\led_flash_cnt[1607][4]~q\ & \led_flash_cnt[1607][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1607][3]~q\,
	datab => \led_flash_cnt[1607][2]~q\,
	datac => \led_flash_cnt[1607][4]~q\,
	datad => \led_flash_cnt[1607][1]~q\,
	combout => \WideAnd1607~0_combout\);

-- Location: LCCOMB_X66_Y36_N2
\WideAnd1607~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1607~1_combout\ = (\led_flash_cnt[1607][6]~q\ & \led_flash_cnt[1607][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1607][6]~q\,
	datad => \led_flash_cnt[1607][5]~q\,
	combout => \WideAnd1607~1_combout\);

-- Location: LCCOMB_X66_Y36_N0
WideAnd1607 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1607~combout\ = (\led_flash_cnt[1607][0]~q\ & (\led_flash_cnt[1607][7]~q\ & (\WideAnd1607~0_combout\ & \WideAnd1607~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1607][0]~q\,
	datab => \led_flash_cnt[1607][7]~q\,
	datac => \WideAnd1607~0_combout\,
	datad => \WideAnd1607~1_combout\,
	combout => \WideAnd1607~combout\);

-- Location: FF_X66_Y36_N1
\led_flash_cnt_ands[1607]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1607~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1607));

-- Location: LCCOMB_X67_Y36_N12
\led_flash_cnt[1606][0]~82246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1606][0]~82246_combout\ = !\led_flash_cnt[1606][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1606][0]~q\,
	combout => \led_flash_cnt[1606][0]~82246_combout\);

-- Location: FF_X67_Y36_N13
\led_flash_cnt[1606][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1606][0]~82246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1606][0]~q\);

-- Location: LCCOMB_X67_Y36_N18
\led_flash_cnt[1606][1]~49364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1606][1]~49364_combout\ = (\led_flash_cnt[1606][0]~q\ & (\led_flash_cnt[1606][1]~q\ $ (VCC))) # (!\led_flash_cnt[1606][0]~q\ & (\led_flash_cnt[1606][1]~q\ & VCC))
-- \led_flash_cnt[1606][1]~49365\ = CARRY((\led_flash_cnt[1606][0]~q\ & \led_flash_cnt[1606][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1606][0]~q\,
	datab => \led_flash_cnt[1606][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1606][1]~49364_combout\,
	cout => \led_flash_cnt[1606][1]~49365\);

-- Location: FF_X67_Y36_N19
\led_flash_cnt[1606][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1606][1]~49364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1606][1]~q\);

-- Location: LCCOMB_X67_Y36_N20
\led_flash_cnt[1606][2]~49366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1606][2]~49366_combout\ = (\led_flash_cnt[1606][2]~q\ & (!\led_flash_cnt[1606][1]~49365\)) # (!\led_flash_cnt[1606][2]~q\ & ((\led_flash_cnt[1606][1]~49365\) # (GND)))
-- \led_flash_cnt[1606][2]~49367\ = CARRY((!\led_flash_cnt[1606][1]~49365\) # (!\led_flash_cnt[1606][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1606][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1606][1]~49365\,
	combout => \led_flash_cnt[1606][2]~49366_combout\,
	cout => \led_flash_cnt[1606][2]~49367\);

-- Location: FF_X67_Y36_N21
\led_flash_cnt[1606][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1606][2]~49366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1606][2]~q\);

-- Location: LCCOMB_X67_Y36_N22
\led_flash_cnt[1606][3]~49368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1606][3]~49368_combout\ = (\led_flash_cnt[1606][3]~q\ & (\led_flash_cnt[1606][2]~49367\ $ (GND))) # (!\led_flash_cnt[1606][3]~q\ & (!\led_flash_cnt[1606][2]~49367\ & VCC))
-- \led_flash_cnt[1606][3]~49369\ = CARRY((\led_flash_cnt[1606][3]~q\ & !\led_flash_cnt[1606][2]~49367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1606][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1606][2]~49367\,
	combout => \led_flash_cnt[1606][3]~49368_combout\,
	cout => \led_flash_cnt[1606][3]~49369\);

-- Location: FF_X67_Y36_N23
\led_flash_cnt[1606][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1606][3]~49368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1606][3]~q\);

-- Location: LCCOMB_X67_Y36_N24
\led_flash_cnt[1606][4]~49370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1606][4]~49370_combout\ = (\led_flash_cnt[1606][4]~q\ & (!\led_flash_cnt[1606][3]~49369\)) # (!\led_flash_cnt[1606][4]~q\ & ((\led_flash_cnt[1606][3]~49369\) # (GND)))
-- \led_flash_cnt[1606][4]~49371\ = CARRY((!\led_flash_cnt[1606][3]~49369\) # (!\led_flash_cnt[1606][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1606][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1606][3]~49369\,
	combout => \led_flash_cnt[1606][4]~49370_combout\,
	cout => \led_flash_cnt[1606][4]~49371\);

-- Location: FF_X67_Y36_N25
\led_flash_cnt[1606][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1606][4]~49370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1606][4]~q\);

-- Location: LCCOMB_X67_Y36_N10
\WideAnd1606~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1606~0_combout\ = (\led_flash_cnt[1606][4]~q\ & (\led_flash_cnt[1606][2]~q\ & (\led_flash_cnt[1606][3]~q\ & \led_flash_cnt[1606][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1606][4]~q\,
	datab => \led_flash_cnt[1606][2]~q\,
	datac => \led_flash_cnt[1606][3]~q\,
	datad => \led_flash_cnt[1606][1]~q\,
	combout => \WideAnd1606~0_combout\);

-- Location: LCCOMB_X67_Y36_N26
\led_flash_cnt[1606][5]~49372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1606][5]~49372_combout\ = (\led_flash_cnt[1606][5]~q\ & (\led_flash_cnt[1606][4]~49371\ $ (GND))) # (!\led_flash_cnt[1606][5]~q\ & (!\led_flash_cnt[1606][4]~49371\ & VCC))
-- \led_flash_cnt[1606][5]~49373\ = CARRY((\led_flash_cnt[1606][5]~q\ & !\led_flash_cnt[1606][4]~49371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1606][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1606][4]~49371\,
	combout => \led_flash_cnt[1606][5]~49372_combout\,
	cout => \led_flash_cnt[1606][5]~49373\);

-- Location: FF_X67_Y36_N27
\led_flash_cnt[1606][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1606][5]~49372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1606][5]~q\);

-- Location: LCCOMB_X67_Y36_N28
\led_flash_cnt[1606][6]~49374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1606][6]~49374_combout\ = (\led_flash_cnt[1606][6]~q\ & (!\led_flash_cnt[1606][5]~49373\)) # (!\led_flash_cnt[1606][6]~q\ & ((\led_flash_cnt[1606][5]~49373\) # (GND)))
-- \led_flash_cnt[1606][6]~49375\ = CARRY((!\led_flash_cnt[1606][5]~49373\) # (!\led_flash_cnt[1606][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1606][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1606][5]~49373\,
	combout => \led_flash_cnt[1606][6]~49374_combout\,
	cout => \led_flash_cnt[1606][6]~49375\);

-- Location: FF_X67_Y36_N29
\led_flash_cnt[1606][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1606][6]~49374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1606][6]~q\);

-- Location: LCCOMB_X67_Y36_N4
\WideAnd1606~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1606~1_combout\ = (\led_flash_cnt[1606][5]~q\ & \led_flash_cnt[1606][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1606][5]~q\,
	datad => \led_flash_cnt[1606][6]~q\,
	combout => \WideAnd1606~1_combout\);

-- Location: LCCOMB_X67_Y36_N30
\led_flash_cnt[1606][7]~49376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1606][7]~49376_combout\ = \led_flash_cnt[1606][7]~q\ $ (!\led_flash_cnt[1606][6]~49375\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1606][7]~q\,
	cin => \led_flash_cnt[1606][6]~49375\,
	combout => \led_flash_cnt[1606][7]~49376_combout\);

-- Location: FF_X67_Y36_N31
\led_flash_cnt[1606][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1606][7]~49376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1606][7]~q\);

-- Location: LCCOMB_X67_Y36_N8
WideAnd1606 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1606~combout\ = (\WideAnd1606~0_combout\ & (\WideAnd1606~1_combout\ & (\led_flash_cnt[1606][7]~q\ & \led_flash_cnt[1606][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1606~0_combout\,
	datab => \WideAnd1606~1_combout\,
	datac => \led_flash_cnt[1606][7]~q\,
	datad => \led_flash_cnt[1606][0]~q\,
	combout => \WideAnd1606~combout\);

-- Location: FF_X67_Y36_N9
\led_flash_cnt_ands[1606]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1606~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1606));

-- Location: LCCOMB_X77_Y13_N22
\led_flash_cnt[1602][0]~82242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1602][0]~82242_combout\ = !\led_flash_cnt[1602][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1602][0]~q\,
	combout => \led_flash_cnt[1602][0]~82242_combout\);

-- Location: FF_X77_Y13_N23
\led_flash_cnt[1602][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1602][0]~82242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1602][0]~q\);

-- Location: LCCOMB_X77_Y13_N0
\led_flash_cnt[1602][1]~49308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1602][1]~49308_combout\ = (\led_flash_cnt[1602][0]~q\ & (\led_flash_cnt[1602][1]~q\ $ (VCC))) # (!\led_flash_cnt[1602][0]~q\ & (\led_flash_cnt[1602][1]~q\ & VCC))
-- \led_flash_cnt[1602][1]~49309\ = CARRY((\led_flash_cnt[1602][0]~q\ & \led_flash_cnt[1602][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1602][0]~q\,
	datab => \led_flash_cnt[1602][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1602][1]~49308_combout\,
	cout => \led_flash_cnt[1602][1]~49309\);

-- Location: FF_X77_Y13_N1
\led_flash_cnt[1602][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1602][1]~49308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1602][1]~q\);

-- Location: LCCOMB_X77_Y13_N2
\led_flash_cnt[1602][2]~49310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1602][2]~49310_combout\ = (\led_flash_cnt[1602][2]~q\ & (!\led_flash_cnt[1602][1]~49309\)) # (!\led_flash_cnt[1602][2]~q\ & ((\led_flash_cnt[1602][1]~49309\) # (GND)))
-- \led_flash_cnt[1602][2]~49311\ = CARRY((!\led_flash_cnt[1602][1]~49309\) # (!\led_flash_cnt[1602][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1602][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1602][1]~49309\,
	combout => \led_flash_cnt[1602][2]~49310_combout\,
	cout => \led_flash_cnt[1602][2]~49311\);

-- Location: FF_X77_Y13_N3
\led_flash_cnt[1602][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1602][2]~49310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1602][2]~q\);

-- Location: LCCOMB_X77_Y13_N4
\led_flash_cnt[1602][3]~49312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1602][3]~49312_combout\ = (\led_flash_cnt[1602][3]~q\ & (\led_flash_cnt[1602][2]~49311\ $ (GND))) # (!\led_flash_cnt[1602][3]~q\ & (!\led_flash_cnt[1602][2]~49311\ & VCC))
-- \led_flash_cnt[1602][3]~49313\ = CARRY((\led_flash_cnt[1602][3]~q\ & !\led_flash_cnt[1602][2]~49311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1602][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1602][2]~49311\,
	combout => \led_flash_cnt[1602][3]~49312_combout\,
	cout => \led_flash_cnt[1602][3]~49313\);

-- Location: FF_X77_Y13_N5
\led_flash_cnt[1602][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1602][3]~49312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1602][3]~q\);

-- Location: LCCOMB_X77_Y13_N6
\led_flash_cnt[1602][4]~49314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1602][4]~49314_combout\ = (\led_flash_cnt[1602][4]~q\ & (!\led_flash_cnt[1602][3]~49313\)) # (!\led_flash_cnt[1602][4]~q\ & ((\led_flash_cnt[1602][3]~49313\) # (GND)))
-- \led_flash_cnt[1602][4]~49315\ = CARRY((!\led_flash_cnt[1602][3]~49313\) # (!\led_flash_cnt[1602][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1602][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1602][3]~49313\,
	combout => \led_flash_cnt[1602][4]~49314_combout\,
	cout => \led_flash_cnt[1602][4]~49315\);

-- Location: FF_X77_Y13_N7
\led_flash_cnt[1602][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1602][4]~49314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1602][4]~q\);

-- Location: LCCOMB_X77_Y13_N8
\led_flash_cnt[1602][5]~49316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1602][5]~49316_combout\ = (\led_flash_cnt[1602][5]~q\ & (\led_flash_cnt[1602][4]~49315\ $ (GND))) # (!\led_flash_cnt[1602][5]~q\ & (!\led_flash_cnt[1602][4]~49315\ & VCC))
-- \led_flash_cnt[1602][5]~49317\ = CARRY((\led_flash_cnt[1602][5]~q\ & !\led_flash_cnt[1602][4]~49315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1602][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1602][4]~49315\,
	combout => \led_flash_cnt[1602][5]~49316_combout\,
	cout => \led_flash_cnt[1602][5]~49317\);

-- Location: FF_X77_Y13_N9
\led_flash_cnt[1602][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1602][5]~49316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1602][5]~q\);

-- Location: LCCOMB_X77_Y13_N10
\led_flash_cnt[1602][6]~49318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1602][6]~49318_combout\ = (\led_flash_cnt[1602][6]~q\ & (!\led_flash_cnt[1602][5]~49317\)) # (!\led_flash_cnt[1602][6]~q\ & ((\led_flash_cnt[1602][5]~49317\) # (GND)))
-- \led_flash_cnt[1602][6]~49319\ = CARRY((!\led_flash_cnt[1602][5]~49317\) # (!\led_flash_cnt[1602][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1602][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1602][5]~49317\,
	combout => \led_flash_cnt[1602][6]~49318_combout\,
	cout => \led_flash_cnt[1602][6]~49319\);

-- Location: FF_X77_Y13_N11
\led_flash_cnt[1602][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1602][6]~49318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1602][6]~q\);

-- Location: LCCOMB_X77_Y13_N12
\led_flash_cnt[1602][7]~49320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1602][7]~49320_combout\ = \led_flash_cnt[1602][6]~49319\ $ (!\led_flash_cnt[1602][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1602][7]~q\,
	cin => \led_flash_cnt[1602][6]~49319\,
	combout => \led_flash_cnt[1602][7]~49320_combout\);

-- Location: FF_X77_Y13_N13
\led_flash_cnt[1602][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1602][7]~49320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1602][7]~q\);

-- Location: LCCOMB_X77_Y13_N24
\WideAnd1602~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1602~1_combout\ = (\led_flash_cnt[1602][5]~q\ & \led_flash_cnt[1602][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1602][5]~q\,
	datad => \led_flash_cnt[1602][6]~q\,
	combout => \WideAnd1602~1_combout\);

-- Location: LCCOMB_X77_Y13_N20
\WideAnd1602~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1602~0_combout\ = (\led_flash_cnt[1602][4]~q\ & (\led_flash_cnt[1602][1]~q\ & (\led_flash_cnt[1602][3]~q\ & \led_flash_cnt[1602][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1602][4]~q\,
	datab => \led_flash_cnt[1602][1]~q\,
	datac => \led_flash_cnt[1602][3]~q\,
	datad => \led_flash_cnt[1602][2]~q\,
	combout => \WideAnd1602~0_combout\);

-- Location: LCCOMB_X77_Y13_N26
WideAnd1602 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1602~combout\ = (\led_flash_cnt[1602][7]~q\ & (\WideAnd1602~1_combout\ & (\led_flash_cnt[1602][0]~q\ & \WideAnd1602~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1602][7]~q\,
	datab => \WideAnd1602~1_combout\,
	datac => \led_flash_cnt[1602][0]~q\,
	datad => \WideAnd1602~0_combout\,
	combout => \WideAnd1602~combout\);

-- Location: FF_X77_Y13_N27
\led_flash_cnt_ands[1602]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1602~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1602));

-- Location: LCCOMB_X77_Y10_N10
\led_flash_cnt[1601][0]~82241\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1601][0]~82241_combout\ = !\led_flash_cnt[1601][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1601][0]~q\,
	combout => \led_flash_cnt[1601][0]~82241_combout\);

-- Location: FF_X77_Y10_N11
\led_flash_cnt[1601][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1601][0]~82241_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1601][0]~q\);

-- Location: LCCOMB_X77_Y10_N14
\led_flash_cnt[1601][1]~49294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1601][1]~49294_combout\ = (\led_flash_cnt[1601][0]~q\ & (\led_flash_cnt[1601][1]~q\ $ (VCC))) # (!\led_flash_cnt[1601][0]~q\ & (\led_flash_cnt[1601][1]~q\ & VCC))
-- \led_flash_cnt[1601][1]~49295\ = CARRY((\led_flash_cnt[1601][0]~q\ & \led_flash_cnt[1601][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1601][0]~q\,
	datab => \led_flash_cnt[1601][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1601][1]~49294_combout\,
	cout => \led_flash_cnt[1601][1]~49295\);

-- Location: FF_X77_Y10_N15
\led_flash_cnt[1601][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1601][1]~49294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1601][1]~q\);

-- Location: LCCOMB_X77_Y10_N16
\led_flash_cnt[1601][2]~49296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1601][2]~49296_combout\ = (\led_flash_cnt[1601][2]~q\ & (!\led_flash_cnt[1601][1]~49295\)) # (!\led_flash_cnt[1601][2]~q\ & ((\led_flash_cnt[1601][1]~49295\) # (GND)))
-- \led_flash_cnt[1601][2]~49297\ = CARRY((!\led_flash_cnt[1601][1]~49295\) # (!\led_flash_cnt[1601][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1601][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1601][1]~49295\,
	combout => \led_flash_cnt[1601][2]~49296_combout\,
	cout => \led_flash_cnt[1601][2]~49297\);

-- Location: FF_X77_Y10_N17
\led_flash_cnt[1601][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1601][2]~49296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1601][2]~q\);

-- Location: LCCOMB_X77_Y10_N18
\led_flash_cnt[1601][3]~49298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1601][3]~49298_combout\ = (\led_flash_cnt[1601][3]~q\ & (\led_flash_cnt[1601][2]~49297\ $ (GND))) # (!\led_flash_cnt[1601][3]~q\ & (!\led_flash_cnt[1601][2]~49297\ & VCC))
-- \led_flash_cnt[1601][3]~49299\ = CARRY((\led_flash_cnt[1601][3]~q\ & !\led_flash_cnt[1601][2]~49297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1601][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1601][2]~49297\,
	combout => \led_flash_cnt[1601][3]~49298_combout\,
	cout => \led_flash_cnt[1601][3]~49299\);

-- Location: FF_X77_Y10_N19
\led_flash_cnt[1601][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1601][3]~49298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1601][3]~q\);

-- Location: LCCOMB_X77_Y10_N20
\led_flash_cnt[1601][4]~49300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1601][4]~49300_combout\ = (\led_flash_cnt[1601][4]~q\ & (!\led_flash_cnt[1601][3]~49299\)) # (!\led_flash_cnt[1601][4]~q\ & ((\led_flash_cnt[1601][3]~49299\) # (GND)))
-- \led_flash_cnt[1601][4]~49301\ = CARRY((!\led_flash_cnt[1601][3]~49299\) # (!\led_flash_cnt[1601][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1601][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1601][3]~49299\,
	combout => \led_flash_cnt[1601][4]~49300_combout\,
	cout => \led_flash_cnt[1601][4]~49301\);

-- Location: FF_X77_Y10_N21
\led_flash_cnt[1601][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1601][4]~49300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1601][4]~q\);

-- Location: LCCOMB_X77_Y10_N22
\led_flash_cnt[1601][5]~49302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1601][5]~49302_combout\ = (\led_flash_cnt[1601][5]~q\ & (\led_flash_cnt[1601][4]~49301\ $ (GND))) # (!\led_flash_cnt[1601][5]~q\ & (!\led_flash_cnt[1601][4]~49301\ & VCC))
-- \led_flash_cnt[1601][5]~49303\ = CARRY((\led_flash_cnt[1601][5]~q\ & !\led_flash_cnt[1601][4]~49301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1601][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1601][4]~49301\,
	combout => \led_flash_cnt[1601][5]~49302_combout\,
	cout => \led_flash_cnt[1601][5]~49303\);

-- Location: FF_X77_Y10_N23
\led_flash_cnt[1601][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1601][5]~49302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1601][5]~q\);

-- Location: LCCOMB_X77_Y10_N24
\led_flash_cnt[1601][6]~49304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1601][6]~49304_combout\ = (\led_flash_cnt[1601][6]~q\ & (!\led_flash_cnt[1601][5]~49303\)) # (!\led_flash_cnt[1601][6]~q\ & ((\led_flash_cnt[1601][5]~49303\) # (GND)))
-- \led_flash_cnt[1601][6]~49305\ = CARRY((!\led_flash_cnt[1601][5]~49303\) # (!\led_flash_cnt[1601][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1601][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1601][5]~49303\,
	combout => \led_flash_cnt[1601][6]~49304_combout\,
	cout => \led_flash_cnt[1601][6]~49305\);

-- Location: FF_X77_Y10_N25
\led_flash_cnt[1601][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1601][6]~49304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1601][6]~q\);

-- Location: LCCOMB_X77_Y10_N26
\led_flash_cnt[1601][7]~49306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1601][7]~49306_combout\ = \led_flash_cnt[1601][7]~q\ $ (!\led_flash_cnt[1601][6]~49305\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1601][7]~q\,
	cin => \led_flash_cnt[1601][6]~49305\,
	combout => \led_flash_cnt[1601][7]~49306_combout\);

-- Location: FF_X77_Y10_N27
\led_flash_cnt[1601][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1601][7]~49306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1601][7]~q\);

-- Location: LCCOMB_X77_Y10_N4
\WideAnd1601~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1601~1_combout\ = (\led_flash_cnt[1601][0]~q\ & \led_flash_cnt[1601][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1601][0]~q\,
	datad => \led_flash_cnt[1601][6]~q\,
	combout => \WideAnd1601~1_combout\);

-- Location: LCCOMB_X77_Y10_N12
\WideAnd1601~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1601~0_combout\ = (\led_flash_cnt[1601][3]~q\ & (\led_flash_cnt[1601][2]~q\ & (\led_flash_cnt[1601][1]~q\ & \led_flash_cnt[1601][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1601][3]~q\,
	datab => \led_flash_cnt[1601][2]~q\,
	datac => \led_flash_cnt[1601][1]~q\,
	datad => \led_flash_cnt[1601][4]~q\,
	combout => \WideAnd1601~0_combout\);

-- Location: LCCOMB_X77_Y10_N8
WideAnd1601 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1601~combout\ = (\led_flash_cnt[1601][7]~q\ & (\WideAnd1601~1_combout\ & (\led_flash_cnt[1601][5]~q\ & \WideAnd1601~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1601][7]~q\,
	datab => \WideAnd1601~1_combout\,
	datac => \led_flash_cnt[1601][5]~q\,
	datad => \WideAnd1601~0_combout\,
	combout => \WideAnd1601~combout\);

-- Location: FF_X77_Y10_N9
\led_flash_cnt_ands[1601]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1601~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1601));

-- Location: LCCOMB_X76_Y9_N18
\led_flash_cnt[1600][0]~82240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1600][0]~82240_combout\ = !\led_flash_cnt[1600][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1600][0]~q\,
	combout => \led_flash_cnt[1600][0]~82240_combout\);

-- Location: FF_X76_Y9_N19
\led_flash_cnt[1600][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1600][0]~82240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1600][0]~q\);

-- Location: LCCOMB_X76_Y9_N0
\led_flash_cnt[1600][1]~49280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1600][1]~49280_combout\ = (\led_flash_cnt[1600][1]~q\ & (\led_flash_cnt[1600][0]~q\ $ (VCC))) # (!\led_flash_cnt[1600][1]~q\ & (\led_flash_cnt[1600][0]~q\ & VCC))
-- \led_flash_cnt[1600][1]~49281\ = CARRY((\led_flash_cnt[1600][1]~q\ & \led_flash_cnt[1600][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1600][1]~q\,
	datab => \led_flash_cnt[1600][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1600][1]~49280_combout\,
	cout => \led_flash_cnt[1600][1]~49281\);

-- Location: FF_X76_Y9_N1
\led_flash_cnt[1600][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1600][1]~49280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1600][1]~q\);

-- Location: LCCOMB_X76_Y9_N2
\led_flash_cnt[1600][2]~49282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1600][2]~49282_combout\ = (\led_flash_cnt[1600][2]~q\ & (!\led_flash_cnt[1600][1]~49281\)) # (!\led_flash_cnt[1600][2]~q\ & ((\led_flash_cnt[1600][1]~49281\) # (GND)))
-- \led_flash_cnt[1600][2]~49283\ = CARRY((!\led_flash_cnt[1600][1]~49281\) # (!\led_flash_cnt[1600][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1600][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1600][1]~49281\,
	combout => \led_flash_cnt[1600][2]~49282_combout\,
	cout => \led_flash_cnt[1600][2]~49283\);

-- Location: FF_X76_Y9_N3
\led_flash_cnt[1600][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1600][2]~49282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1600][2]~q\);

-- Location: LCCOMB_X76_Y9_N4
\led_flash_cnt[1600][3]~49284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1600][3]~49284_combout\ = (\led_flash_cnt[1600][3]~q\ & (\led_flash_cnt[1600][2]~49283\ $ (GND))) # (!\led_flash_cnt[1600][3]~q\ & (!\led_flash_cnt[1600][2]~49283\ & VCC))
-- \led_flash_cnt[1600][3]~49285\ = CARRY((\led_flash_cnt[1600][3]~q\ & !\led_flash_cnt[1600][2]~49283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1600][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1600][2]~49283\,
	combout => \led_flash_cnt[1600][3]~49284_combout\,
	cout => \led_flash_cnt[1600][3]~49285\);

-- Location: FF_X76_Y9_N5
\led_flash_cnt[1600][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1600][3]~49284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1600][3]~q\);

-- Location: LCCOMB_X76_Y9_N6
\led_flash_cnt[1600][4]~49286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1600][4]~49286_combout\ = (\led_flash_cnt[1600][4]~q\ & (!\led_flash_cnt[1600][3]~49285\)) # (!\led_flash_cnt[1600][4]~q\ & ((\led_flash_cnt[1600][3]~49285\) # (GND)))
-- \led_flash_cnt[1600][4]~49287\ = CARRY((!\led_flash_cnt[1600][3]~49285\) # (!\led_flash_cnt[1600][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1600][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1600][3]~49285\,
	combout => \led_flash_cnt[1600][4]~49286_combout\,
	cout => \led_flash_cnt[1600][4]~49287\);

-- Location: FF_X76_Y9_N7
\led_flash_cnt[1600][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1600][4]~49286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1600][4]~q\);

-- Location: LCCOMB_X76_Y9_N8
\led_flash_cnt[1600][5]~49288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1600][5]~49288_combout\ = (\led_flash_cnt[1600][5]~q\ & (\led_flash_cnt[1600][4]~49287\ $ (GND))) # (!\led_flash_cnt[1600][5]~q\ & (!\led_flash_cnt[1600][4]~49287\ & VCC))
-- \led_flash_cnt[1600][5]~49289\ = CARRY((\led_flash_cnt[1600][5]~q\ & !\led_flash_cnt[1600][4]~49287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1600][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1600][4]~49287\,
	combout => \led_flash_cnt[1600][5]~49288_combout\,
	cout => \led_flash_cnt[1600][5]~49289\);

-- Location: FF_X76_Y9_N9
\led_flash_cnt[1600][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1600][5]~49288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1600][5]~q\);

-- Location: LCCOMB_X76_Y9_N10
\led_flash_cnt[1600][6]~49290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1600][6]~49290_combout\ = (\led_flash_cnt[1600][6]~q\ & (!\led_flash_cnt[1600][5]~49289\)) # (!\led_flash_cnt[1600][6]~q\ & ((\led_flash_cnt[1600][5]~49289\) # (GND)))
-- \led_flash_cnt[1600][6]~49291\ = CARRY((!\led_flash_cnt[1600][5]~49289\) # (!\led_flash_cnt[1600][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1600][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1600][5]~49289\,
	combout => \led_flash_cnt[1600][6]~49290_combout\,
	cout => \led_flash_cnt[1600][6]~49291\);

-- Location: FF_X76_Y9_N11
\led_flash_cnt[1600][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1600][6]~49290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1600][6]~q\);

-- Location: LCCOMB_X76_Y9_N12
\led_flash_cnt[1600][7]~49292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1600][7]~49292_combout\ = \led_flash_cnt[1600][6]~49291\ $ (!\led_flash_cnt[1600][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1600][7]~q\,
	cin => \led_flash_cnt[1600][6]~49291\,
	combout => \led_flash_cnt[1600][7]~49292_combout\);

-- Location: FF_X76_Y9_N13
\led_flash_cnt[1600][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1600][7]~49292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1600][7]~q\);

-- Location: LCCOMB_X76_Y9_N24
\WideAnd1600~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1600~0_combout\ = (\led_flash_cnt[1600][4]~q\ & (\led_flash_cnt[1600][1]~q\ & (\led_flash_cnt[1600][3]~q\ & \led_flash_cnt[1600][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1600][4]~q\,
	datab => \led_flash_cnt[1600][1]~q\,
	datac => \led_flash_cnt[1600][3]~q\,
	datad => \led_flash_cnt[1600][2]~q\,
	combout => \WideAnd1600~0_combout\);

-- Location: LCCOMB_X76_Y9_N26
\WideAnd1600~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1600~1_combout\ = (\led_flash_cnt[1600][5]~q\ & \led_flash_cnt[1600][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1600][5]~q\,
	datad => \led_flash_cnt[1600][6]~q\,
	combout => \WideAnd1600~1_combout\);

-- Location: LCCOMB_X76_Y9_N16
WideAnd1600 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1600~combout\ = (\led_flash_cnt[1600][7]~q\ & (\WideAnd1600~0_combout\ & (\WideAnd1600~1_combout\ & \led_flash_cnt[1600][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1600][7]~q\,
	datab => \WideAnd1600~0_combout\,
	datac => \WideAnd1600~1_combout\,
	datad => \led_flash_cnt[1600][0]~q\,
	combout => \WideAnd1600~combout\);

-- Location: FF_X76_Y9_N17
\led_flash_cnt_ands[1600]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1600~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1600));

-- Location: LCCOMB_X77_Y12_N22
\led_flash_cnt[1603][0]~82243\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1603][0]~82243_combout\ = !\led_flash_cnt[1603][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1603][0]~q\,
	combout => \led_flash_cnt[1603][0]~82243_combout\);

-- Location: FF_X77_Y12_N23
\led_flash_cnt[1603][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1603][0]~82243_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1603][0]~q\);

-- Location: LCCOMB_X77_Y12_N4
\led_flash_cnt[1603][1]~49322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1603][1]~49322_combout\ = (\led_flash_cnt[1603][0]~q\ & (\led_flash_cnt[1603][1]~q\ $ (VCC))) # (!\led_flash_cnt[1603][0]~q\ & (\led_flash_cnt[1603][1]~q\ & VCC))
-- \led_flash_cnt[1603][1]~49323\ = CARRY((\led_flash_cnt[1603][0]~q\ & \led_flash_cnt[1603][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1603][0]~q\,
	datab => \led_flash_cnt[1603][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1603][1]~49322_combout\,
	cout => \led_flash_cnt[1603][1]~49323\);

-- Location: FF_X77_Y12_N5
\led_flash_cnt[1603][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1603][1]~49322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1603][1]~q\);

-- Location: LCCOMB_X77_Y12_N6
\led_flash_cnt[1603][2]~49324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1603][2]~49324_combout\ = (\led_flash_cnt[1603][2]~q\ & (!\led_flash_cnt[1603][1]~49323\)) # (!\led_flash_cnt[1603][2]~q\ & ((\led_flash_cnt[1603][1]~49323\) # (GND)))
-- \led_flash_cnt[1603][2]~49325\ = CARRY((!\led_flash_cnt[1603][1]~49323\) # (!\led_flash_cnt[1603][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1603][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1603][1]~49323\,
	combout => \led_flash_cnt[1603][2]~49324_combout\,
	cout => \led_flash_cnt[1603][2]~49325\);

-- Location: FF_X77_Y12_N7
\led_flash_cnt[1603][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1603][2]~49324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1603][2]~q\);

-- Location: LCCOMB_X77_Y12_N8
\led_flash_cnt[1603][3]~49326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1603][3]~49326_combout\ = (\led_flash_cnt[1603][3]~q\ & (\led_flash_cnt[1603][2]~49325\ $ (GND))) # (!\led_flash_cnt[1603][3]~q\ & (!\led_flash_cnt[1603][2]~49325\ & VCC))
-- \led_flash_cnt[1603][3]~49327\ = CARRY((\led_flash_cnt[1603][3]~q\ & !\led_flash_cnt[1603][2]~49325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1603][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1603][2]~49325\,
	combout => \led_flash_cnt[1603][3]~49326_combout\,
	cout => \led_flash_cnt[1603][3]~49327\);

-- Location: FF_X77_Y12_N9
\led_flash_cnt[1603][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1603][3]~49326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1603][3]~q\);

-- Location: LCCOMB_X77_Y12_N10
\led_flash_cnt[1603][4]~49328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1603][4]~49328_combout\ = (\led_flash_cnt[1603][4]~q\ & (!\led_flash_cnt[1603][3]~49327\)) # (!\led_flash_cnt[1603][4]~q\ & ((\led_flash_cnt[1603][3]~49327\) # (GND)))
-- \led_flash_cnt[1603][4]~49329\ = CARRY((!\led_flash_cnt[1603][3]~49327\) # (!\led_flash_cnt[1603][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1603][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1603][3]~49327\,
	combout => \led_flash_cnt[1603][4]~49328_combout\,
	cout => \led_flash_cnt[1603][4]~49329\);

-- Location: FF_X77_Y12_N11
\led_flash_cnt[1603][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1603][4]~49328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1603][4]~q\);

-- Location: LCCOMB_X77_Y12_N12
\led_flash_cnt[1603][5]~49330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1603][5]~49330_combout\ = (\led_flash_cnt[1603][5]~q\ & (\led_flash_cnt[1603][4]~49329\ $ (GND))) # (!\led_flash_cnt[1603][5]~q\ & (!\led_flash_cnt[1603][4]~49329\ & VCC))
-- \led_flash_cnt[1603][5]~49331\ = CARRY((\led_flash_cnt[1603][5]~q\ & !\led_flash_cnt[1603][4]~49329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1603][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1603][4]~49329\,
	combout => \led_flash_cnt[1603][5]~49330_combout\,
	cout => \led_flash_cnt[1603][5]~49331\);

-- Location: FF_X77_Y12_N13
\led_flash_cnt[1603][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1603][5]~49330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1603][5]~q\);

-- Location: LCCOMB_X77_Y12_N14
\led_flash_cnt[1603][6]~49332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1603][6]~49332_combout\ = (\led_flash_cnt[1603][6]~q\ & (!\led_flash_cnt[1603][5]~49331\)) # (!\led_flash_cnt[1603][6]~q\ & ((\led_flash_cnt[1603][5]~49331\) # (GND)))
-- \led_flash_cnt[1603][6]~49333\ = CARRY((!\led_flash_cnt[1603][5]~49331\) # (!\led_flash_cnt[1603][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1603][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1603][5]~49331\,
	combout => \led_flash_cnt[1603][6]~49332_combout\,
	cout => \led_flash_cnt[1603][6]~49333\);

-- Location: FF_X77_Y12_N15
\led_flash_cnt[1603][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1603][6]~49332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1603][6]~q\);

-- Location: LCCOMB_X77_Y12_N16
\led_flash_cnt[1603][7]~49334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1603][7]~49334_combout\ = \led_flash_cnt[1603][6]~49333\ $ (!\led_flash_cnt[1603][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1603][7]~q\,
	cin => \led_flash_cnt[1603][6]~49333\,
	combout => \led_flash_cnt[1603][7]~49334_combout\);

-- Location: FF_X77_Y12_N17
\led_flash_cnt[1603][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1603][7]~49334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1603][7]~q\);

-- Location: LCCOMB_X77_Y12_N26
\WideAnd1603~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1603~1_combout\ = (\led_flash_cnt[1603][6]~q\ & \led_flash_cnt[1603][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1603][6]~q\,
	datad => \led_flash_cnt[1603][5]~q\,
	combout => \WideAnd1603~1_combout\);

-- Location: LCCOMB_X77_Y12_N18
\WideAnd1603~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1603~0_combout\ = (\led_flash_cnt[1603][4]~q\ & (\led_flash_cnt[1603][3]~q\ & (\led_flash_cnt[1603][1]~q\ & \led_flash_cnt[1603][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1603][4]~q\,
	datab => \led_flash_cnt[1603][3]~q\,
	datac => \led_flash_cnt[1603][1]~q\,
	datad => \led_flash_cnt[1603][2]~q\,
	combout => \WideAnd1603~0_combout\);

-- Location: LCCOMB_X77_Y12_N0
WideAnd1603 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1603~combout\ = (\led_flash_cnt[1603][0]~q\ & (\led_flash_cnt[1603][7]~q\ & (\WideAnd1603~1_combout\ & \WideAnd1603~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1603][0]~q\,
	datab => \led_flash_cnt[1603][7]~q\,
	datac => \WideAnd1603~1_combout\,
	datad => \WideAnd1603~0_combout\,
	combout => \WideAnd1603~combout\);

-- Location: FF_X77_Y12_N1
\led_flash_cnt_ands[1603]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1603~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1603));

-- Location: LCCOMB_X77_Y13_N18
\WideAnd4040~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4040~0_combout\ = (led_flash_cnt_ands(1602) & (led_flash_cnt_ands(1601) & (led_flash_cnt_ands(1600) & led_flash_cnt_ands(1603))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1602),
	datab => led_flash_cnt_ands(1601),
	datac => led_flash_cnt_ands(1600),
	datad => led_flash_cnt_ands(1603),
	combout => \WideAnd4040~0_combout\);

-- Location: LCCOMB_X66_Y36_N4
WideAnd4040 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4040~combout\ = (\WideAnd4040~1_combout\ & (led_flash_cnt_ands(1607) & (led_flash_cnt_ands(1606) & \WideAnd4040~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4040~1_combout\,
	datab => led_flash_cnt_ands(1607),
	datac => led_flash_cnt_ands(1606),
	datad => \WideAnd4040~0_combout\,
	combout => \WideAnd4040~combout\);

-- Location: FF_X66_Y36_N5
\led_flash_cnt_ands_1[200]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4040~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(200));

-- Location: LCCOMB_X65_Y36_N24
\WideAnd4345~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4345~0_combout\ = (led_flash_cnt_ands_1(203) & (led_flash_cnt_ands_1(202) & (led_flash_cnt_ands_1(201) & led_flash_cnt_ands_1(200))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(203),
	datab => led_flash_cnt_ands_1(202),
	datac => led_flash_cnt_ands_1(201),
	datad => led_flash_cnt_ands_1(200),
	combout => \WideAnd4345~0_combout\);

-- Location: LCCOMB_X19_Y32_N28
WideAnd4345 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4345~combout\ = (\WideAnd4345~1_combout\ & (led_flash_cnt_ands_1(206) & (led_flash_cnt_ands_1(207) & \WideAnd4345~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4345~1_combout\,
	datab => led_flash_cnt_ands_1(206),
	datac => led_flash_cnt_ands_1(207),
	datad => \WideAnd4345~0_combout\,
	combout => \WideAnd4345~combout\);

-- Location: FF_X19_Y32_N29
\led_flash_cnt_ands_2[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4345~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(25));

-- Location: LCCOMB_X21_Y25_N30
\WideAnd4380~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~7_combout\ = (led_flash_cnt_ands_2(26) & (led_flash_cnt_ands_2(27) & (led_flash_cnt_ands_2(24) & led_flash_cnt_ands_2(25))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(26),
	datab => led_flash_cnt_ands_2(27),
	datac => led_flash_cnt_ands_2(24),
	datad => led_flash_cnt_ands_2(25),
	combout => \WideAnd4380~7_combout\);

-- Location: LCCOMB_X6_Y16_N28
\led_flash_cnt[1081][0]~81721\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1081][0]~81721_combout\ = !\led_flash_cnt[1081][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1081][0]~q\,
	combout => \led_flash_cnt[1081][0]~81721_combout\);

-- Location: FF_X6_Y16_N29
\led_flash_cnt[1081][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1081][0]~81721_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1081][0]~q\);

-- Location: LCCOMB_X8_Y16_N0
\led_flash_cnt[1081][1]~42014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1081][1]~42014_combout\ = (\led_flash_cnt[1081][0]~q\ & (\led_flash_cnt[1081][1]~q\ $ (VCC))) # (!\led_flash_cnt[1081][0]~q\ & (\led_flash_cnt[1081][1]~q\ & VCC))
-- \led_flash_cnt[1081][1]~42015\ = CARRY((\led_flash_cnt[1081][0]~q\ & \led_flash_cnt[1081][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1081][0]~q\,
	datab => \led_flash_cnt[1081][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1081][1]~42014_combout\,
	cout => \led_flash_cnt[1081][1]~42015\);

-- Location: FF_X8_Y16_N1
\led_flash_cnt[1081][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1081][1]~42014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1081][1]~q\);

-- Location: LCCOMB_X8_Y16_N2
\led_flash_cnt[1081][2]~42016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1081][2]~42016_combout\ = (\led_flash_cnt[1081][2]~q\ & (!\led_flash_cnt[1081][1]~42015\)) # (!\led_flash_cnt[1081][2]~q\ & ((\led_flash_cnt[1081][1]~42015\) # (GND)))
-- \led_flash_cnt[1081][2]~42017\ = CARRY((!\led_flash_cnt[1081][1]~42015\) # (!\led_flash_cnt[1081][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1081][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1081][1]~42015\,
	combout => \led_flash_cnt[1081][2]~42016_combout\,
	cout => \led_flash_cnt[1081][2]~42017\);

-- Location: FF_X8_Y16_N3
\led_flash_cnt[1081][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1081][2]~42016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1081][2]~q\);

-- Location: LCCOMB_X8_Y16_N4
\led_flash_cnt[1081][3]~42018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1081][3]~42018_combout\ = (\led_flash_cnt[1081][3]~q\ & (\led_flash_cnt[1081][2]~42017\ $ (GND))) # (!\led_flash_cnt[1081][3]~q\ & (!\led_flash_cnt[1081][2]~42017\ & VCC))
-- \led_flash_cnt[1081][3]~42019\ = CARRY((\led_flash_cnt[1081][3]~q\ & !\led_flash_cnt[1081][2]~42017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1081][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1081][2]~42017\,
	combout => \led_flash_cnt[1081][3]~42018_combout\,
	cout => \led_flash_cnt[1081][3]~42019\);

-- Location: FF_X8_Y16_N5
\led_flash_cnt[1081][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1081][3]~42018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1081][3]~q\);

-- Location: LCCOMB_X8_Y16_N6
\led_flash_cnt[1081][4]~42020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1081][4]~42020_combout\ = (\led_flash_cnt[1081][4]~q\ & (!\led_flash_cnt[1081][3]~42019\)) # (!\led_flash_cnt[1081][4]~q\ & ((\led_flash_cnt[1081][3]~42019\) # (GND)))
-- \led_flash_cnt[1081][4]~42021\ = CARRY((!\led_flash_cnt[1081][3]~42019\) # (!\led_flash_cnt[1081][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1081][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1081][3]~42019\,
	combout => \led_flash_cnt[1081][4]~42020_combout\,
	cout => \led_flash_cnt[1081][4]~42021\);

-- Location: FF_X8_Y16_N7
\led_flash_cnt[1081][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1081][4]~42020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1081][4]~q\);

-- Location: LCCOMB_X8_Y16_N8
\led_flash_cnt[1081][5]~42022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1081][5]~42022_combout\ = (\led_flash_cnt[1081][5]~q\ & (\led_flash_cnt[1081][4]~42021\ $ (GND))) # (!\led_flash_cnt[1081][5]~q\ & (!\led_flash_cnt[1081][4]~42021\ & VCC))
-- \led_flash_cnt[1081][5]~42023\ = CARRY((\led_flash_cnt[1081][5]~q\ & !\led_flash_cnt[1081][4]~42021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1081][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1081][4]~42021\,
	combout => \led_flash_cnt[1081][5]~42022_combout\,
	cout => \led_flash_cnt[1081][5]~42023\);

-- Location: FF_X8_Y16_N9
\led_flash_cnt[1081][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1081][5]~42022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1081][5]~q\);

-- Location: LCCOMB_X8_Y16_N10
\led_flash_cnt[1081][6]~42024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1081][6]~42024_combout\ = (\led_flash_cnt[1081][6]~q\ & (!\led_flash_cnt[1081][5]~42023\)) # (!\led_flash_cnt[1081][6]~q\ & ((\led_flash_cnt[1081][5]~42023\) # (GND)))
-- \led_flash_cnt[1081][6]~42025\ = CARRY((!\led_flash_cnt[1081][5]~42023\) # (!\led_flash_cnt[1081][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1081][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1081][5]~42023\,
	combout => \led_flash_cnt[1081][6]~42024_combout\,
	cout => \led_flash_cnt[1081][6]~42025\);

-- Location: FF_X8_Y16_N11
\led_flash_cnt[1081][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1081][6]~42024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1081][6]~q\);

-- Location: LCCOMB_X7_Y16_N16
\WideAnd1081~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1081~1_combout\ = (\led_flash_cnt[1081][5]~q\ & \led_flash_cnt[1081][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1081][5]~q\,
	datac => \led_flash_cnt[1081][6]~q\,
	combout => \WideAnd1081~1_combout\);

-- Location: LCCOMB_X8_Y16_N28
\WideAnd1081~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1081~0_combout\ = (\led_flash_cnt[1081][4]~q\ & (\led_flash_cnt[1081][1]~q\ & (\led_flash_cnt[1081][3]~q\ & \led_flash_cnt[1081][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1081][4]~q\,
	datab => \led_flash_cnt[1081][1]~q\,
	datac => \led_flash_cnt[1081][3]~q\,
	datad => \led_flash_cnt[1081][2]~q\,
	combout => \WideAnd1081~0_combout\);

-- Location: LCCOMB_X8_Y16_N12
\led_flash_cnt[1081][7]~42026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1081][7]~42026_combout\ = \led_flash_cnt[1081][6]~42025\ $ (!\led_flash_cnt[1081][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1081][7]~q\,
	cin => \led_flash_cnt[1081][6]~42025\,
	combout => \led_flash_cnt[1081][7]~42026_combout\);

-- Location: FF_X8_Y16_N13
\led_flash_cnt[1081][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1081][7]~42026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1081][7]~q\);

-- Location: LCCOMB_X8_Y16_N30
WideAnd1081 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1081~combout\ = (\WideAnd1081~1_combout\ & (\WideAnd1081~0_combout\ & (\led_flash_cnt[1081][0]~q\ & \led_flash_cnt[1081][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1081~1_combout\,
	datab => \WideAnd1081~0_combout\,
	datac => \led_flash_cnt[1081][0]~q\,
	datad => \led_flash_cnt[1081][7]~q\,
	combout => \WideAnd1081~combout\);

-- Location: FF_X8_Y16_N31
\led_flash_cnt_ands[1081]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1081~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1081));

-- Location: LCCOMB_X12_Y20_N2
\led_flash_cnt[1082][0]~81722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1082][0]~81722_combout\ = !\led_flash_cnt[1082][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1082][0]~q\,
	combout => \led_flash_cnt[1082][0]~81722_combout\);

-- Location: FF_X12_Y20_N3
\led_flash_cnt[1082][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1082][0]~81722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1082][0]~q\);

-- Location: LCCOMB_X11_Y20_N18
\led_flash_cnt[1082][1]~42028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1082][1]~42028_combout\ = (\led_flash_cnt[1082][0]~q\ & (\led_flash_cnt[1082][1]~q\ $ (VCC))) # (!\led_flash_cnt[1082][0]~q\ & (\led_flash_cnt[1082][1]~q\ & VCC))
-- \led_flash_cnt[1082][1]~42029\ = CARRY((\led_flash_cnt[1082][0]~q\ & \led_flash_cnt[1082][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1082][0]~q\,
	datab => \led_flash_cnt[1082][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1082][1]~42028_combout\,
	cout => \led_flash_cnt[1082][1]~42029\);

-- Location: FF_X11_Y20_N19
\led_flash_cnt[1082][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1082][1]~42028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1082][1]~q\);

-- Location: LCCOMB_X11_Y20_N20
\led_flash_cnt[1082][2]~42030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1082][2]~42030_combout\ = (\led_flash_cnt[1082][2]~q\ & (!\led_flash_cnt[1082][1]~42029\)) # (!\led_flash_cnt[1082][2]~q\ & ((\led_flash_cnt[1082][1]~42029\) # (GND)))
-- \led_flash_cnt[1082][2]~42031\ = CARRY((!\led_flash_cnt[1082][1]~42029\) # (!\led_flash_cnt[1082][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1082][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1082][1]~42029\,
	combout => \led_flash_cnt[1082][2]~42030_combout\,
	cout => \led_flash_cnt[1082][2]~42031\);

-- Location: FF_X11_Y20_N21
\led_flash_cnt[1082][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1082][2]~42030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1082][2]~q\);

-- Location: LCCOMB_X11_Y20_N22
\led_flash_cnt[1082][3]~42032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1082][3]~42032_combout\ = (\led_flash_cnt[1082][3]~q\ & (\led_flash_cnt[1082][2]~42031\ $ (GND))) # (!\led_flash_cnt[1082][3]~q\ & (!\led_flash_cnt[1082][2]~42031\ & VCC))
-- \led_flash_cnt[1082][3]~42033\ = CARRY((\led_flash_cnt[1082][3]~q\ & !\led_flash_cnt[1082][2]~42031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1082][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1082][2]~42031\,
	combout => \led_flash_cnt[1082][3]~42032_combout\,
	cout => \led_flash_cnt[1082][3]~42033\);

-- Location: FF_X11_Y20_N23
\led_flash_cnt[1082][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1082][3]~42032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1082][3]~q\);

-- Location: LCCOMB_X11_Y20_N24
\led_flash_cnt[1082][4]~42034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1082][4]~42034_combout\ = (\led_flash_cnt[1082][4]~q\ & (!\led_flash_cnt[1082][3]~42033\)) # (!\led_flash_cnt[1082][4]~q\ & ((\led_flash_cnt[1082][3]~42033\) # (GND)))
-- \led_flash_cnt[1082][4]~42035\ = CARRY((!\led_flash_cnt[1082][3]~42033\) # (!\led_flash_cnt[1082][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1082][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1082][3]~42033\,
	combout => \led_flash_cnt[1082][4]~42034_combout\,
	cout => \led_flash_cnt[1082][4]~42035\);

-- Location: FF_X11_Y20_N25
\led_flash_cnt[1082][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1082][4]~42034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1082][4]~q\);

-- Location: LCCOMB_X11_Y20_N26
\led_flash_cnt[1082][5]~42036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1082][5]~42036_combout\ = (\led_flash_cnt[1082][5]~q\ & (\led_flash_cnt[1082][4]~42035\ $ (GND))) # (!\led_flash_cnt[1082][5]~q\ & (!\led_flash_cnt[1082][4]~42035\ & VCC))
-- \led_flash_cnt[1082][5]~42037\ = CARRY((\led_flash_cnt[1082][5]~q\ & !\led_flash_cnt[1082][4]~42035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1082][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1082][4]~42035\,
	combout => \led_flash_cnt[1082][5]~42036_combout\,
	cout => \led_flash_cnt[1082][5]~42037\);

-- Location: FF_X11_Y20_N27
\led_flash_cnt[1082][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1082][5]~42036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1082][5]~q\);

-- Location: LCCOMB_X11_Y20_N28
\led_flash_cnt[1082][6]~42038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1082][6]~42038_combout\ = (\led_flash_cnt[1082][6]~q\ & (!\led_flash_cnt[1082][5]~42037\)) # (!\led_flash_cnt[1082][6]~q\ & ((\led_flash_cnt[1082][5]~42037\) # (GND)))
-- \led_flash_cnt[1082][6]~42039\ = CARRY((!\led_flash_cnt[1082][5]~42037\) # (!\led_flash_cnt[1082][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1082][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1082][5]~42037\,
	combout => \led_flash_cnt[1082][6]~42038_combout\,
	cout => \led_flash_cnt[1082][6]~42039\);

-- Location: FF_X11_Y20_N29
\led_flash_cnt[1082][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1082][6]~42038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1082][6]~q\);

-- Location: LCCOMB_X12_Y20_N30
\WideAnd1082~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1082~1_combout\ = (\led_flash_cnt[1082][5]~q\ & \led_flash_cnt[1082][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1082][5]~q\,
	datad => \led_flash_cnt[1082][6]~q\,
	combout => \WideAnd1082~1_combout\);

-- Location: LCCOMB_X11_Y20_N30
\led_flash_cnt[1082][7]~42040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1082][7]~42040_combout\ = \led_flash_cnt[1082][7]~q\ $ (!\led_flash_cnt[1082][6]~42039\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1082][7]~q\,
	cin => \led_flash_cnt[1082][6]~42039\,
	combout => \led_flash_cnt[1082][7]~42040_combout\);

-- Location: FF_X11_Y20_N31
\led_flash_cnt[1082][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1082][7]~42040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1082][7]~q\);

-- Location: LCCOMB_X11_Y20_N16
\WideAnd1082~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1082~0_combout\ = (\led_flash_cnt[1082][2]~q\ & (\led_flash_cnt[1082][1]~q\ & (\led_flash_cnt[1082][3]~q\ & \led_flash_cnt[1082][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1082][2]~q\,
	datab => \led_flash_cnt[1082][1]~q\,
	datac => \led_flash_cnt[1082][3]~q\,
	datad => \led_flash_cnt[1082][4]~q\,
	combout => \WideAnd1082~0_combout\);

-- Location: LCCOMB_X12_Y20_N24
WideAnd1082 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1082~combout\ = (\WideAnd1082~1_combout\ & (\led_flash_cnt[1082][7]~q\ & (\WideAnd1082~0_combout\ & \led_flash_cnt[1082][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1082~1_combout\,
	datab => \led_flash_cnt[1082][7]~q\,
	datac => \WideAnd1082~0_combout\,
	datad => \led_flash_cnt[1082][0]~q\,
	combout => \WideAnd1082~combout\);

-- Location: FF_X12_Y20_N25
\led_flash_cnt_ands[1082]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1082~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1082));

-- Location: LCCOMB_X12_Y20_N20
\led_flash_cnt[1080][0]~81720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1080][0]~81720_combout\ = !\led_flash_cnt[1080][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1080][0]~q\,
	combout => \led_flash_cnt[1080][0]~81720_combout\);

-- Location: FF_X12_Y20_N21
\led_flash_cnt[1080][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1080][0]~81720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1080][0]~q\);

-- Location: LCCOMB_X12_Y20_N6
\led_flash_cnt[1080][1]~42000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1080][1]~42000_combout\ = (\led_flash_cnt[1080][1]~q\ & (\led_flash_cnt[1080][0]~q\ $ (VCC))) # (!\led_flash_cnt[1080][1]~q\ & (\led_flash_cnt[1080][0]~q\ & VCC))
-- \led_flash_cnt[1080][1]~42001\ = CARRY((\led_flash_cnt[1080][1]~q\ & \led_flash_cnt[1080][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1080][1]~q\,
	datab => \led_flash_cnt[1080][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1080][1]~42000_combout\,
	cout => \led_flash_cnt[1080][1]~42001\);

-- Location: FF_X12_Y20_N7
\led_flash_cnt[1080][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1080][1]~42000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1080][1]~q\);

-- Location: LCCOMB_X12_Y20_N8
\led_flash_cnt[1080][2]~42002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1080][2]~42002_combout\ = (\led_flash_cnt[1080][2]~q\ & (!\led_flash_cnt[1080][1]~42001\)) # (!\led_flash_cnt[1080][2]~q\ & ((\led_flash_cnt[1080][1]~42001\) # (GND)))
-- \led_flash_cnt[1080][2]~42003\ = CARRY((!\led_flash_cnt[1080][1]~42001\) # (!\led_flash_cnt[1080][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1080][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1080][1]~42001\,
	combout => \led_flash_cnt[1080][2]~42002_combout\,
	cout => \led_flash_cnt[1080][2]~42003\);

-- Location: FF_X12_Y20_N9
\led_flash_cnt[1080][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1080][2]~42002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1080][2]~q\);

-- Location: LCCOMB_X12_Y20_N10
\led_flash_cnt[1080][3]~42004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1080][3]~42004_combout\ = (\led_flash_cnt[1080][3]~q\ & (\led_flash_cnt[1080][2]~42003\ $ (GND))) # (!\led_flash_cnt[1080][3]~q\ & (!\led_flash_cnt[1080][2]~42003\ & VCC))
-- \led_flash_cnt[1080][3]~42005\ = CARRY((\led_flash_cnt[1080][3]~q\ & !\led_flash_cnt[1080][2]~42003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1080][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1080][2]~42003\,
	combout => \led_flash_cnt[1080][3]~42004_combout\,
	cout => \led_flash_cnt[1080][3]~42005\);

-- Location: FF_X12_Y20_N11
\led_flash_cnt[1080][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1080][3]~42004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1080][3]~q\);

-- Location: LCCOMB_X12_Y20_N12
\led_flash_cnt[1080][4]~42006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1080][4]~42006_combout\ = (\led_flash_cnt[1080][4]~q\ & (!\led_flash_cnt[1080][3]~42005\)) # (!\led_flash_cnt[1080][4]~q\ & ((\led_flash_cnt[1080][3]~42005\) # (GND)))
-- \led_flash_cnt[1080][4]~42007\ = CARRY((!\led_flash_cnt[1080][3]~42005\) # (!\led_flash_cnt[1080][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1080][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1080][3]~42005\,
	combout => \led_flash_cnt[1080][4]~42006_combout\,
	cout => \led_flash_cnt[1080][4]~42007\);

-- Location: FF_X12_Y20_N13
\led_flash_cnt[1080][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1080][4]~42006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1080][4]~q\);

-- Location: LCCOMB_X12_Y20_N14
\led_flash_cnt[1080][5]~42008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1080][5]~42008_combout\ = (\led_flash_cnt[1080][5]~q\ & (\led_flash_cnt[1080][4]~42007\ $ (GND))) # (!\led_flash_cnt[1080][5]~q\ & (!\led_flash_cnt[1080][4]~42007\ & VCC))
-- \led_flash_cnt[1080][5]~42009\ = CARRY((\led_flash_cnt[1080][5]~q\ & !\led_flash_cnt[1080][4]~42007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1080][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1080][4]~42007\,
	combout => \led_flash_cnt[1080][5]~42008_combout\,
	cout => \led_flash_cnt[1080][5]~42009\);

-- Location: FF_X12_Y20_N15
\led_flash_cnt[1080][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1080][5]~42008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1080][5]~q\);

-- Location: LCCOMB_X12_Y20_N16
\led_flash_cnt[1080][6]~42010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1080][6]~42010_combout\ = (\led_flash_cnt[1080][6]~q\ & (!\led_flash_cnt[1080][5]~42009\)) # (!\led_flash_cnt[1080][6]~q\ & ((\led_flash_cnt[1080][5]~42009\) # (GND)))
-- \led_flash_cnt[1080][6]~42011\ = CARRY((!\led_flash_cnt[1080][5]~42009\) # (!\led_flash_cnt[1080][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1080][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1080][5]~42009\,
	combout => \led_flash_cnt[1080][6]~42010_combout\,
	cout => \led_flash_cnt[1080][6]~42011\);

-- Location: FF_X12_Y20_N17
\led_flash_cnt[1080][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1080][6]~42010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1080][6]~q\);

-- Location: LCCOMB_X12_Y20_N18
\led_flash_cnt[1080][7]~42012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1080][7]~42012_combout\ = \led_flash_cnt[1080][7]~q\ $ (!\led_flash_cnt[1080][6]~42011\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1080][7]~q\,
	cin => \led_flash_cnt[1080][6]~42011\,
	combout => \led_flash_cnt[1080][7]~42012_combout\);

-- Location: FF_X12_Y20_N19
\led_flash_cnt[1080][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1080][7]~42012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1080][7]~q\);

-- Location: LCCOMB_X12_Y20_N28
\WideAnd1080~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1080~1_combout\ = (\led_flash_cnt[1080][5]~q\ & \led_flash_cnt[1080][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1080][5]~q\,
	datad => \led_flash_cnt[1080][6]~q\,
	combout => \WideAnd1080~1_combout\);

-- Location: LCCOMB_X12_Y20_N4
\WideAnd1080~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1080~0_combout\ = (\led_flash_cnt[1080][1]~q\ & (\led_flash_cnt[1080][4]~q\ & (\led_flash_cnt[1080][2]~q\ & \led_flash_cnt[1080][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1080][1]~q\,
	datab => \led_flash_cnt[1080][4]~q\,
	datac => \led_flash_cnt[1080][2]~q\,
	datad => \led_flash_cnt[1080][3]~q\,
	combout => \WideAnd1080~0_combout\);

-- Location: LCCOMB_X12_Y20_N22
WideAnd1080 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1080~combout\ = (\led_flash_cnt[1080][7]~q\ & (\WideAnd1080~1_combout\ & (\WideAnd1080~0_combout\ & \led_flash_cnt[1080][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1080][7]~q\,
	datab => \WideAnd1080~1_combout\,
	datac => \WideAnd1080~0_combout\,
	datad => \led_flash_cnt[1080][0]~q\,
	combout => \WideAnd1080~combout\);

-- Location: FF_X12_Y20_N23
\led_flash_cnt_ands[1080]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1080~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1080));

-- Location: LCCOMB_X46_Y23_N18
\led_flash_cnt[1083][0]~81723\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1083][0]~81723_combout\ = !\led_flash_cnt[1083][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1083][0]~q\,
	combout => \led_flash_cnt[1083][0]~81723_combout\);

-- Location: FF_X46_Y23_N19
\led_flash_cnt[1083][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1083][0]~81723_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1083][0]~q\);

-- Location: LCCOMB_X46_Y23_N2
\led_flash_cnt[1083][1]~42042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1083][1]~42042_combout\ = (\led_flash_cnt[1083][1]~q\ & (\led_flash_cnt[1083][0]~q\ $ (VCC))) # (!\led_flash_cnt[1083][1]~q\ & (\led_flash_cnt[1083][0]~q\ & VCC))
-- \led_flash_cnt[1083][1]~42043\ = CARRY((\led_flash_cnt[1083][1]~q\ & \led_flash_cnt[1083][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1083][1]~q\,
	datab => \led_flash_cnt[1083][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1083][1]~42042_combout\,
	cout => \led_flash_cnt[1083][1]~42043\);

-- Location: FF_X46_Y23_N3
\led_flash_cnt[1083][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1083][1]~42042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1083][1]~q\);

-- Location: LCCOMB_X46_Y23_N4
\led_flash_cnt[1083][2]~42044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1083][2]~42044_combout\ = (\led_flash_cnt[1083][2]~q\ & (!\led_flash_cnt[1083][1]~42043\)) # (!\led_flash_cnt[1083][2]~q\ & ((\led_flash_cnt[1083][1]~42043\) # (GND)))
-- \led_flash_cnt[1083][2]~42045\ = CARRY((!\led_flash_cnt[1083][1]~42043\) # (!\led_flash_cnt[1083][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1083][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1083][1]~42043\,
	combout => \led_flash_cnt[1083][2]~42044_combout\,
	cout => \led_flash_cnt[1083][2]~42045\);

-- Location: FF_X46_Y23_N5
\led_flash_cnt[1083][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1083][2]~42044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1083][2]~q\);

-- Location: LCCOMB_X46_Y23_N6
\led_flash_cnt[1083][3]~42046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1083][3]~42046_combout\ = (\led_flash_cnt[1083][3]~q\ & (\led_flash_cnt[1083][2]~42045\ $ (GND))) # (!\led_flash_cnt[1083][3]~q\ & (!\led_flash_cnt[1083][2]~42045\ & VCC))
-- \led_flash_cnt[1083][3]~42047\ = CARRY((\led_flash_cnt[1083][3]~q\ & !\led_flash_cnt[1083][2]~42045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1083][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1083][2]~42045\,
	combout => \led_flash_cnt[1083][3]~42046_combout\,
	cout => \led_flash_cnt[1083][3]~42047\);

-- Location: FF_X46_Y23_N7
\led_flash_cnt[1083][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1083][3]~42046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1083][3]~q\);

-- Location: LCCOMB_X46_Y23_N8
\led_flash_cnt[1083][4]~42048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1083][4]~42048_combout\ = (\led_flash_cnt[1083][4]~q\ & (!\led_flash_cnt[1083][3]~42047\)) # (!\led_flash_cnt[1083][4]~q\ & ((\led_flash_cnt[1083][3]~42047\) # (GND)))
-- \led_flash_cnt[1083][4]~42049\ = CARRY((!\led_flash_cnt[1083][3]~42047\) # (!\led_flash_cnt[1083][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1083][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1083][3]~42047\,
	combout => \led_flash_cnt[1083][4]~42048_combout\,
	cout => \led_flash_cnt[1083][4]~42049\);

-- Location: FF_X46_Y23_N9
\led_flash_cnt[1083][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1083][4]~42048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1083][4]~q\);

-- Location: LCCOMB_X46_Y23_N10
\led_flash_cnt[1083][5]~42050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1083][5]~42050_combout\ = (\led_flash_cnt[1083][5]~q\ & (\led_flash_cnt[1083][4]~42049\ $ (GND))) # (!\led_flash_cnt[1083][5]~q\ & (!\led_flash_cnt[1083][4]~42049\ & VCC))
-- \led_flash_cnt[1083][5]~42051\ = CARRY((\led_flash_cnt[1083][5]~q\ & !\led_flash_cnt[1083][4]~42049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1083][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1083][4]~42049\,
	combout => \led_flash_cnt[1083][5]~42050_combout\,
	cout => \led_flash_cnt[1083][5]~42051\);

-- Location: FF_X46_Y23_N11
\led_flash_cnt[1083][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1083][5]~42050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1083][5]~q\);

-- Location: LCCOMB_X46_Y23_N12
\led_flash_cnt[1083][6]~42052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1083][6]~42052_combout\ = (\led_flash_cnt[1083][6]~q\ & (!\led_flash_cnt[1083][5]~42051\)) # (!\led_flash_cnt[1083][6]~q\ & ((\led_flash_cnt[1083][5]~42051\) # (GND)))
-- \led_flash_cnt[1083][6]~42053\ = CARRY((!\led_flash_cnt[1083][5]~42051\) # (!\led_flash_cnt[1083][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1083][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1083][5]~42051\,
	combout => \led_flash_cnt[1083][6]~42052_combout\,
	cout => \led_flash_cnt[1083][6]~42053\);

-- Location: FF_X46_Y23_N13
\led_flash_cnt[1083][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1083][6]~42052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1083][6]~q\);

-- Location: LCCOMB_X46_Y23_N26
\WideAnd1083~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1083~1_combout\ = (\led_flash_cnt[1083][6]~q\ & \led_flash_cnt[1083][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1083][6]~q\,
	datad => \led_flash_cnt[1083][5]~q\,
	combout => \WideAnd1083~1_combout\);

-- Location: LCCOMB_X46_Y23_N0
\WideAnd1083~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1083~0_combout\ = (\led_flash_cnt[1083][1]~q\ & (\led_flash_cnt[1083][4]~q\ & (\led_flash_cnt[1083][2]~q\ & \led_flash_cnt[1083][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1083][1]~q\,
	datab => \led_flash_cnt[1083][4]~q\,
	datac => \led_flash_cnt[1083][2]~q\,
	datad => \led_flash_cnt[1083][3]~q\,
	combout => \WideAnd1083~0_combout\);

-- Location: LCCOMB_X46_Y23_N14
\led_flash_cnt[1083][7]~42054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1083][7]~42054_combout\ = \led_flash_cnt[1083][7]~q\ $ (!\led_flash_cnt[1083][6]~42053\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1083][7]~q\,
	cin => \led_flash_cnt[1083][6]~42053\,
	combout => \led_flash_cnt[1083][7]~42054_combout\);

-- Location: FF_X46_Y23_N15
\led_flash_cnt[1083][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1083][7]~42054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1083][7]~q\);

-- Location: LCCOMB_X46_Y23_N20
WideAnd1083 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1083~combout\ = (\WideAnd1083~1_combout\ & (\WideAnd1083~0_combout\ & (\led_flash_cnt[1083][7]~q\ & \led_flash_cnt[1083][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1083~1_combout\,
	datab => \WideAnd1083~0_combout\,
	datac => \led_flash_cnt[1083][7]~q\,
	datad => \led_flash_cnt[1083][0]~q\,
	combout => \WideAnd1083~combout\);

-- Location: FF_X46_Y23_N21
\led_flash_cnt_ands[1083]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1083~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1083));

-- Location: LCCOMB_X12_Y20_N26
\WideAnd3975~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3975~0_combout\ = (led_flash_cnt_ands(1081) & (led_flash_cnt_ands(1082) & (led_flash_cnt_ands(1080) & led_flash_cnt_ands(1083))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1081),
	datab => led_flash_cnt_ands(1082),
	datac => led_flash_cnt_ands(1080),
	datad => led_flash_cnt_ands(1083),
	combout => \WideAnd3975~0_combout\);

-- Location: LCCOMB_X6_Y19_N2
\led_flash_cnt[1087][0]~81727\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1087][0]~81727_combout\ = !\led_flash_cnt[1087][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1087][0]~q\,
	combout => \led_flash_cnt[1087][0]~81727_combout\);

-- Location: FF_X6_Y19_N3
\led_flash_cnt[1087][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1087][0]~81727_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1087][0]~q\);

-- Location: LCCOMB_X13_Y19_N18
\led_flash_cnt[1087][1]~42098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1087][1]~42098_combout\ = (\led_flash_cnt[1087][0]~q\ & (\led_flash_cnt[1087][1]~q\ $ (VCC))) # (!\led_flash_cnt[1087][0]~q\ & (\led_flash_cnt[1087][1]~q\ & VCC))
-- \led_flash_cnt[1087][1]~42099\ = CARRY((\led_flash_cnt[1087][0]~q\ & \led_flash_cnt[1087][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1087][0]~q\,
	datab => \led_flash_cnt[1087][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1087][1]~42098_combout\,
	cout => \led_flash_cnt[1087][1]~42099\);

-- Location: FF_X13_Y19_N19
\led_flash_cnt[1087][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1087][1]~42098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1087][1]~q\);

-- Location: LCCOMB_X13_Y19_N20
\led_flash_cnt[1087][2]~42100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1087][2]~42100_combout\ = (\led_flash_cnt[1087][2]~q\ & (!\led_flash_cnt[1087][1]~42099\)) # (!\led_flash_cnt[1087][2]~q\ & ((\led_flash_cnt[1087][1]~42099\) # (GND)))
-- \led_flash_cnt[1087][2]~42101\ = CARRY((!\led_flash_cnt[1087][1]~42099\) # (!\led_flash_cnt[1087][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1087][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1087][1]~42099\,
	combout => \led_flash_cnt[1087][2]~42100_combout\,
	cout => \led_flash_cnt[1087][2]~42101\);

-- Location: FF_X13_Y19_N21
\led_flash_cnt[1087][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1087][2]~42100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1087][2]~q\);

-- Location: LCCOMB_X13_Y19_N22
\led_flash_cnt[1087][3]~42102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1087][3]~42102_combout\ = (\led_flash_cnt[1087][3]~q\ & (\led_flash_cnt[1087][2]~42101\ $ (GND))) # (!\led_flash_cnt[1087][3]~q\ & (!\led_flash_cnt[1087][2]~42101\ & VCC))
-- \led_flash_cnt[1087][3]~42103\ = CARRY((\led_flash_cnt[1087][3]~q\ & !\led_flash_cnt[1087][2]~42101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1087][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1087][2]~42101\,
	combout => \led_flash_cnt[1087][3]~42102_combout\,
	cout => \led_flash_cnt[1087][3]~42103\);

-- Location: FF_X13_Y19_N23
\led_flash_cnt[1087][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1087][3]~42102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1087][3]~q\);

-- Location: LCCOMB_X13_Y19_N24
\led_flash_cnt[1087][4]~42104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1087][4]~42104_combout\ = (\led_flash_cnt[1087][4]~q\ & (!\led_flash_cnt[1087][3]~42103\)) # (!\led_flash_cnt[1087][4]~q\ & ((\led_flash_cnt[1087][3]~42103\) # (GND)))
-- \led_flash_cnt[1087][4]~42105\ = CARRY((!\led_flash_cnt[1087][3]~42103\) # (!\led_flash_cnt[1087][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1087][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1087][3]~42103\,
	combout => \led_flash_cnt[1087][4]~42104_combout\,
	cout => \led_flash_cnt[1087][4]~42105\);

-- Location: FF_X13_Y19_N25
\led_flash_cnt[1087][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1087][4]~42104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1087][4]~q\);

-- Location: LCCOMB_X14_Y19_N30
\WideAnd1087~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1087~0_combout\ = (\led_flash_cnt[1087][1]~q\ & (\led_flash_cnt[1087][2]~q\ & (\led_flash_cnt[1087][3]~q\ & \led_flash_cnt[1087][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1087][1]~q\,
	datab => \led_flash_cnt[1087][2]~q\,
	datac => \led_flash_cnt[1087][3]~q\,
	datad => \led_flash_cnt[1087][4]~q\,
	combout => \WideAnd1087~0_combout\);

-- Location: LCCOMB_X13_Y19_N26
\led_flash_cnt[1087][5]~42106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1087][5]~42106_combout\ = (\led_flash_cnt[1087][5]~q\ & (\led_flash_cnt[1087][4]~42105\ $ (GND))) # (!\led_flash_cnt[1087][5]~q\ & (!\led_flash_cnt[1087][4]~42105\ & VCC))
-- \led_flash_cnt[1087][5]~42107\ = CARRY((\led_flash_cnt[1087][5]~q\ & !\led_flash_cnt[1087][4]~42105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1087][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1087][4]~42105\,
	combout => \led_flash_cnt[1087][5]~42106_combout\,
	cout => \led_flash_cnt[1087][5]~42107\);

-- Location: FF_X13_Y19_N27
\led_flash_cnt[1087][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1087][5]~42106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1087][5]~q\);

-- Location: LCCOMB_X13_Y19_N28
\led_flash_cnt[1087][6]~42108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1087][6]~42108_combout\ = (\led_flash_cnt[1087][6]~q\ & (!\led_flash_cnt[1087][5]~42107\)) # (!\led_flash_cnt[1087][6]~q\ & ((\led_flash_cnt[1087][5]~42107\) # (GND)))
-- \led_flash_cnt[1087][6]~42109\ = CARRY((!\led_flash_cnt[1087][5]~42107\) # (!\led_flash_cnt[1087][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1087][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1087][5]~42107\,
	combout => \led_flash_cnt[1087][6]~42108_combout\,
	cout => \led_flash_cnt[1087][6]~42109\);

-- Location: FF_X13_Y19_N29
\led_flash_cnt[1087][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1087][6]~42108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1087][6]~q\);

-- Location: LCCOMB_X12_Y19_N24
\WideAnd1087~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1087~1_combout\ = (\led_flash_cnt[1087][5]~q\ & \led_flash_cnt[1087][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1087][5]~q\,
	datad => \led_flash_cnt[1087][6]~q\,
	combout => \WideAnd1087~1_combout\);

-- Location: LCCOMB_X13_Y19_N30
\led_flash_cnt[1087][7]~42110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1087][7]~42110_combout\ = \led_flash_cnt[1087][7]~q\ $ (!\led_flash_cnt[1087][6]~42109\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1087][7]~q\,
	cin => \led_flash_cnt[1087][6]~42109\,
	combout => \led_flash_cnt[1087][7]~42110_combout\);

-- Location: FF_X13_Y19_N31
\led_flash_cnt[1087][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1087][7]~42110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1087][7]~q\);

-- Location: LCCOMB_X13_Y19_N0
WideAnd1087 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1087~combout\ = (\WideAnd1087~0_combout\ & (\WideAnd1087~1_combout\ & (\led_flash_cnt[1087][7]~q\ & \led_flash_cnt[1087][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1087~0_combout\,
	datab => \WideAnd1087~1_combout\,
	datac => \led_flash_cnt[1087][7]~q\,
	datad => \led_flash_cnt[1087][0]~q\,
	combout => \WideAnd1087~combout\);

-- Location: FF_X13_Y19_N1
\led_flash_cnt_ands[1087]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1087~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1087));

-- Location: LCCOMB_X8_Y19_N0
\led_flash_cnt[1086][0]~81726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1086][0]~81726_combout\ = !\led_flash_cnt[1086][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1086][0]~q\,
	combout => \led_flash_cnt[1086][0]~81726_combout\);

-- Location: FF_X8_Y19_N1
\led_flash_cnt[1086][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1086][0]~81726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1086][0]~q\);

-- Location: LCCOMB_X9_Y19_N4
\led_flash_cnt[1086][1]~42084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1086][1]~42084_combout\ = (\led_flash_cnt[1086][0]~q\ & (\led_flash_cnt[1086][1]~q\ $ (VCC))) # (!\led_flash_cnt[1086][0]~q\ & (\led_flash_cnt[1086][1]~q\ & VCC))
-- \led_flash_cnt[1086][1]~42085\ = CARRY((\led_flash_cnt[1086][0]~q\ & \led_flash_cnt[1086][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1086][0]~q\,
	datab => \led_flash_cnt[1086][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1086][1]~42084_combout\,
	cout => \led_flash_cnt[1086][1]~42085\);

-- Location: FF_X9_Y19_N5
\led_flash_cnt[1086][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1086][1]~42084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1086][1]~q\);

-- Location: LCCOMB_X9_Y19_N6
\led_flash_cnt[1086][2]~42086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1086][2]~42086_combout\ = (\led_flash_cnt[1086][2]~q\ & (!\led_flash_cnt[1086][1]~42085\)) # (!\led_flash_cnt[1086][2]~q\ & ((\led_flash_cnt[1086][1]~42085\) # (GND)))
-- \led_flash_cnt[1086][2]~42087\ = CARRY((!\led_flash_cnt[1086][1]~42085\) # (!\led_flash_cnt[1086][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1086][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1086][1]~42085\,
	combout => \led_flash_cnt[1086][2]~42086_combout\,
	cout => \led_flash_cnt[1086][2]~42087\);

-- Location: FF_X9_Y19_N7
\led_flash_cnt[1086][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1086][2]~42086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1086][2]~q\);

-- Location: LCCOMB_X9_Y19_N8
\led_flash_cnt[1086][3]~42088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1086][3]~42088_combout\ = (\led_flash_cnt[1086][3]~q\ & (\led_flash_cnt[1086][2]~42087\ $ (GND))) # (!\led_flash_cnt[1086][3]~q\ & (!\led_flash_cnt[1086][2]~42087\ & VCC))
-- \led_flash_cnt[1086][3]~42089\ = CARRY((\led_flash_cnt[1086][3]~q\ & !\led_flash_cnt[1086][2]~42087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1086][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1086][2]~42087\,
	combout => \led_flash_cnt[1086][3]~42088_combout\,
	cout => \led_flash_cnt[1086][3]~42089\);

-- Location: FF_X9_Y19_N9
\led_flash_cnt[1086][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1086][3]~42088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1086][3]~q\);

-- Location: LCCOMB_X9_Y19_N10
\led_flash_cnt[1086][4]~42090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1086][4]~42090_combout\ = (\led_flash_cnt[1086][4]~q\ & (!\led_flash_cnt[1086][3]~42089\)) # (!\led_flash_cnt[1086][4]~q\ & ((\led_flash_cnt[1086][3]~42089\) # (GND)))
-- \led_flash_cnt[1086][4]~42091\ = CARRY((!\led_flash_cnt[1086][3]~42089\) # (!\led_flash_cnt[1086][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1086][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1086][3]~42089\,
	combout => \led_flash_cnt[1086][4]~42090_combout\,
	cout => \led_flash_cnt[1086][4]~42091\);

-- Location: FF_X9_Y19_N11
\led_flash_cnt[1086][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1086][4]~42090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1086][4]~q\);

-- Location: LCCOMB_X9_Y19_N2
\WideAnd1086~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1086~0_combout\ = (\led_flash_cnt[1086][2]~q\ & (\led_flash_cnt[1086][3]~q\ & (\led_flash_cnt[1086][1]~q\ & \led_flash_cnt[1086][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1086][2]~q\,
	datab => \led_flash_cnt[1086][3]~q\,
	datac => \led_flash_cnt[1086][1]~q\,
	datad => \led_flash_cnt[1086][4]~q\,
	combout => \WideAnd1086~0_combout\);

-- Location: LCCOMB_X9_Y19_N12
\led_flash_cnt[1086][5]~42092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1086][5]~42092_combout\ = (\led_flash_cnt[1086][5]~q\ & (\led_flash_cnt[1086][4]~42091\ $ (GND))) # (!\led_flash_cnt[1086][5]~q\ & (!\led_flash_cnt[1086][4]~42091\ & VCC))
-- \led_flash_cnt[1086][5]~42093\ = CARRY((\led_flash_cnt[1086][5]~q\ & !\led_flash_cnt[1086][4]~42091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1086][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1086][4]~42091\,
	combout => \led_flash_cnt[1086][5]~42092_combout\,
	cout => \led_flash_cnt[1086][5]~42093\);

-- Location: FF_X9_Y19_N13
\led_flash_cnt[1086][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1086][5]~42092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1086][5]~q\);

-- Location: LCCOMB_X9_Y19_N14
\led_flash_cnt[1086][6]~42094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1086][6]~42094_combout\ = (\led_flash_cnt[1086][6]~q\ & (!\led_flash_cnt[1086][5]~42093\)) # (!\led_flash_cnt[1086][6]~q\ & ((\led_flash_cnt[1086][5]~42093\) # (GND)))
-- \led_flash_cnt[1086][6]~42095\ = CARRY((!\led_flash_cnt[1086][5]~42093\) # (!\led_flash_cnt[1086][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1086][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1086][5]~42093\,
	combout => \led_flash_cnt[1086][6]~42094_combout\,
	cout => \led_flash_cnt[1086][6]~42095\);

-- Location: FF_X9_Y19_N15
\led_flash_cnt[1086][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1086][6]~42094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1086][6]~q\);

-- Location: LCCOMB_X9_Y19_N16
\led_flash_cnt[1086][7]~42096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1086][7]~42096_combout\ = \led_flash_cnt[1086][6]~42095\ $ (!\led_flash_cnt[1086][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1086][7]~q\,
	cin => \led_flash_cnt[1086][6]~42095\,
	combout => \led_flash_cnt[1086][7]~42096_combout\);

-- Location: FF_X9_Y19_N17
\led_flash_cnt[1086][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1086][7]~42096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1086][7]~q\);

-- Location: LCCOMB_X10_Y19_N10
\WideAnd1086~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1086~1_combout\ = (\led_flash_cnt[1086][5]~q\ & \led_flash_cnt[1086][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1086][5]~q\,
	datad => \led_flash_cnt[1086][6]~q\,
	combout => \WideAnd1086~1_combout\);

-- Location: LCCOMB_X10_Y19_N30
WideAnd1086 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1086~combout\ = (\WideAnd1086~0_combout\ & (\led_flash_cnt[1086][0]~q\ & (\led_flash_cnt[1086][7]~q\ & \WideAnd1086~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1086~0_combout\,
	datab => \led_flash_cnt[1086][0]~q\,
	datac => \led_flash_cnt[1086][7]~q\,
	datad => \WideAnd1086~1_combout\,
	combout => \WideAnd1086~combout\);

-- Location: FF_X10_Y19_N31
\led_flash_cnt_ands[1086]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1086~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1086));

-- Location: LCCOMB_X13_Y15_N28
\led_flash_cnt[1084][0]~81724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1084][0]~81724_combout\ = !\led_flash_cnt[1084][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1084][0]~q\,
	combout => \led_flash_cnt[1084][0]~81724_combout\);

-- Location: FF_X13_Y15_N29
\led_flash_cnt[1084][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1084][0]~81724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1084][0]~q\);

-- Location: LCCOMB_X12_Y15_N18
\led_flash_cnt[1084][1]~42056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1084][1]~42056_combout\ = (\led_flash_cnt[1084][1]~q\ & (\led_flash_cnt[1084][0]~q\ $ (VCC))) # (!\led_flash_cnt[1084][1]~q\ & (\led_flash_cnt[1084][0]~q\ & VCC))
-- \led_flash_cnt[1084][1]~42057\ = CARRY((\led_flash_cnt[1084][1]~q\ & \led_flash_cnt[1084][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1084][1]~q\,
	datab => \led_flash_cnt[1084][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1084][1]~42056_combout\,
	cout => \led_flash_cnt[1084][1]~42057\);

-- Location: FF_X12_Y15_N19
\led_flash_cnt[1084][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1084][1]~42056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1084][1]~q\);

-- Location: LCCOMB_X12_Y15_N20
\led_flash_cnt[1084][2]~42058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1084][2]~42058_combout\ = (\led_flash_cnt[1084][2]~q\ & (!\led_flash_cnt[1084][1]~42057\)) # (!\led_flash_cnt[1084][2]~q\ & ((\led_flash_cnt[1084][1]~42057\) # (GND)))
-- \led_flash_cnt[1084][2]~42059\ = CARRY((!\led_flash_cnt[1084][1]~42057\) # (!\led_flash_cnt[1084][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1084][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1084][1]~42057\,
	combout => \led_flash_cnt[1084][2]~42058_combout\,
	cout => \led_flash_cnt[1084][2]~42059\);

-- Location: FF_X12_Y15_N21
\led_flash_cnt[1084][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1084][2]~42058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1084][2]~q\);

-- Location: LCCOMB_X12_Y15_N22
\led_flash_cnt[1084][3]~42060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1084][3]~42060_combout\ = (\led_flash_cnt[1084][3]~q\ & (\led_flash_cnt[1084][2]~42059\ $ (GND))) # (!\led_flash_cnt[1084][3]~q\ & (!\led_flash_cnt[1084][2]~42059\ & VCC))
-- \led_flash_cnt[1084][3]~42061\ = CARRY((\led_flash_cnt[1084][3]~q\ & !\led_flash_cnt[1084][2]~42059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1084][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1084][2]~42059\,
	combout => \led_flash_cnt[1084][3]~42060_combout\,
	cout => \led_flash_cnt[1084][3]~42061\);

-- Location: FF_X12_Y15_N23
\led_flash_cnt[1084][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1084][3]~42060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1084][3]~q\);

-- Location: LCCOMB_X12_Y15_N24
\led_flash_cnt[1084][4]~42062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1084][4]~42062_combout\ = (\led_flash_cnt[1084][4]~q\ & (!\led_flash_cnt[1084][3]~42061\)) # (!\led_flash_cnt[1084][4]~q\ & ((\led_flash_cnt[1084][3]~42061\) # (GND)))
-- \led_flash_cnt[1084][4]~42063\ = CARRY((!\led_flash_cnt[1084][3]~42061\) # (!\led_flash_cnt[1084][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1084][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1084][3]~42061\,
	combout => \led_flash_cnt[1084][4]~42062_combout\,
	cout => \led_flash_cnt[1084][4]~42063\);

-- Location: FF_X12_Y15_N25
\led_flash_cnt[1084][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1084][4]~42062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1084][4]~q\);

-- Location: LCCOMB_X12_Y15_N26
\led_flash_cnt[1084][5]~42064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1084][5]~42064_combout\ = (\led_flash_cnt[1084][5]~q\ & (\led_flash_cnt[1084][4]~42063\ $ (GND))) # (!\led_flash_cnt[1084][5]~q\ & (!\led_flash_cnt[1084][4]~42063\ & VCC))
-- \led_flash_cnt[1084][5]~42065\ = CARRY((\led_flash_cnt[1084][5]~q\ & !\led_flash_cnt[1084][4]~42063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1084][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1084][4]~42063\,
	combout => \led_flash_cnt[1084][5]~42064_combout\,
	cout => \led_flash_cnt[1084][5]~42065\);

-- Location: FF_X12_Y15_N27
\led_flash_cnt[1084][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1084][5]~42064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1084][5]~q\);

-- Location: LCCOMB_X12_Y15_N28
\led_flash_cnt[1084][6]~42066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1084][6]~42066_combout\ = (\led_flash_cnt[1084][6]~q\ & (!\led_flash_cnt[1084][5]~42065\)) # (!\led_flash_cnt[1084][6]~q\ & ((\led_flash_cnt[1084][5]~42065\) # (GND)))
-- \led_flash_cnt[1084][6]~42067\ = CARRY((!\led_flash_cnt[1084][5]~42065\) # (!\led_flash_cnt[1084][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1084][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1084][5]~42065\,
	combout => \led_flash_cnt[1084][6]~42066_combout\,
	cout => \led_flash_cnt[1084][6]~42067\);

-- Location: FF_X12_Y15_N29
\led_flash_cnt[1084][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1084][6]~42066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1084][6]~q\);

-- Location: LCCOMB_X13_Y15_N30
\WideAnd1084~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1084~1_combout\ = (\led_flash_cnt[1084][5]~q\ & \led_flash_cnt[1084][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1084][5]~q\,
	datad => \led_flash_cnt[1084][6]~q\,
	combout => \WideAnd1084~1_combout\);

-- Location: LCCOMB_X12_Y15_N30
\led_flash_cnt[1084][7]~42068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1084][7]~42068_combout\ = \led_flash_cnt[1084][7]~q\ $ (!\led_flash_cnt[1084][6]~42067\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1084][7]~q\,
	cin => \led_flash_cnt[1084][6]~42067\,
	combout => \led_flash_cnt[1084][7]~42068_combout\);

-- Location: FF_X12_Y15_N31
\led_flash_cnt[1084][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1084][7]~42068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1084][7]~q\);

-- Location: LCCOMB_X12_Y15_N16
\WideAnd1084~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1084~0_combout\ = (\led_flash_cnt[1084][1]~q\ & (\led_flash_cnt[1084][2]~q\ & (\led_flash_cnt[1084][3]~q\ & \led_flash_cnt[1084][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1084][1]~q\,
	datab => \led_flash_cnt[1084][2]~q\,
	datac => \led_flash_cnt[1084][3]~q\,
	datad => \led_flash_cnt[1084][4]~q\,
	combout => \WideAnd1084~0_combout\);

-- Location: LCCOMB_X13_Y15_N24
WideAnd1084 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1084~combout\ = (\WideAnd1084~1_combout\ & (\led_flash_cnt[1084][7]~q\ & (\WideAnd1084~0_combout\ & \led_flash_cnt[1084][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1084~1_combout\,
	datab => \led_flash_cnt[1084][7]~q\,
	datac => \WideAnd1084~0_combout\,
	datad => \led_flash_cnt[1084][0]~q\,
	combout => \WideAnd1084~combout\);

-- Location: FF_X13_Y15_N25
\led_flash_cnt_ands[1084]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1084~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1084));

-- Location: LCCOMB_X13_Y20_N6
\led_flash_cnt[1085][0]~81725\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1085][0]~81725_combout\ = !\led_flash_cnt[1085][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1085][0]~q\,
	combout => \led_flash_cnt[1085][0]~81725_combout\);

-- Location: FF_X13_Y20_N7
\led_flash_cnt[1085][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1085][0]~81725_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1085][0]~q\);

-- Location: LCCOMB_X13_Y23_N18
\led_flash_cnt[1085][1]~42070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1085][1]~42070_combout\ = (\led_flash_cnt[1085][0]~q\ & (\led_flash_cnt[1085][1]~q\ $ (VCC))) # (!\led_flash_cnt[1085][0]~q\ & (\led_flash_cnt[1085][1]~q\ & VCC))
-- \led_flash_cnt[1085][1]~42071\ = CARRY((\led_flash_cnt[1085][0]~q\ & \led_flash_cnt[1085][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1085][0]~q\,
	datab => \led_flash_cnt[1085][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1085][1]~42070_combout\,
	cout => \led_flash_cnt[1085][1]~42071\);

-- Location: FF_X13_Y23_N19
\led_flash_cnt[1085][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1085][1]~42070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1085][1]~q\);

-- Location: LCCOMB_X13_Y23_N20
\led_flash_cnt[1085][2]~42072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1085][2]~42072_combout\ = (\led_flash_cnt[1085][2]~q\ & (!\led_flash_cnt[1085][1]~42071\)) # (!\led_flash_cnt[1085][2]~q\ & ((\led_flash_cnt[1085][1]~42071\) # (GND)))
-- \led_flash_cnt[1085][2]~42073\ = CARRY((!\led_flash_cnt[1085][1]~42071\) # (!\led_flash_cnt[1085][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1085][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1085][1]~42071\,
	combout => \led_flash_cnt[1085][2]~42072_combout\,
	cout => \led_flash_cnt[1085][2]~42073\);

-- Location: FF_X13_Y23_N21
\led_flash_cnt[1085][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1085][2]~42072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1085][2]~q\);

-- Location: LCCOMB_X13_Y23_N22
\led_flash_cnt[1085][3]~42074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1085][3]~42074_combout\ = (\led_flash_cnt[1085][3]~q\ & (\led_flash_cnt[1085][2]~42073\ $ (GND))) # (!\led_flash_cnt[1085][3]~q\ & (!\led_flash_cnt[1085][2]~42073\ & VCC))
-- \led_flash_cnt[1085][3]~42075\ = CARRY((\led_flash_cnt[1085][3]~q\ & !\led_flash_cnt[1085][2]~42073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1085][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1085][2]~42073\,
	combout => \led_flash_cnt[1085][3]~42074_combout\,
	cout => \led_flash_cnt[1085][3]~42075\);

-- Location: FF_X13_Y23_N23
\led_flash_cnt[1085][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1085][3]~42074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1085][3]~q\);

-- Location: LCCOMB_X13_Y23_N24
\led_flash_cnt[1085][4]~42076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1085][4]~42076_combout\ = (\led_flash_cnt[1085][4]~q\ & (!\led_flash_cnt[1085][3]~42075\)) # (!\led_flash_cnt[1085][4]~q\ & ((\led_flash_cnt[1085][3]~42075\) # (GND)))
-- \led_flash_cnt[1085][4]~42077\ = CARRY((!\led_flash_cnt[1085][3]~42075\) # (!\led_flash_cnt[1085][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1085][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1085][3]~42075\,
	combout => \led_flash_cnt[1085][4]~42076_combout\,
	cout => \led_flash_cnt[1085][4]~42077\);

-- Location: FF_X13_Y23_N25
\led_flash_cnt[1085][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1085][4]~42076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1085][4]~q\);

-- Location: LCCOMB_X13_Y23_N26
\led_flash_cnt[1085][5]~42078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1085][5]~42078_combout\ = (\led_flash_cnt[1085][5]~q\ & (\led_flash_cnt[1085][4]~42077\ $ (GND))) # (!\led_flash_cnt[1085][5]~q\ & (!\led_flash_cnt[1085][4]~42077\ & VCC))
-- \led_flash_cnt[1085][5]~42079\ = CARRY((\led_flash_cnt[1085][5]~q\ & !\led_flash_cnt[1085][4]~42077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1085][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1085][4]~42077\,
	combout => \led_flash_cnt[1085][5]~42078_combout\,
	cout => \led_flash_cnt[1085][5]~42079\);

-- Location: FF_X13_Y23_N27
\led_flash_cnt[1085][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1085][5]~42078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1085][5]~q\);

-- Location: LCCOMB_X13_Y23_N28
\led_flash_cnt[1085][6]~42080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1085][6]~42080_combout\ = (\led_flash_cnt[1085][6]~q\ & (!\led_flash_cnt[1085][5]~42079\)) # (!\led_flash_cnt[1085][6]~q\ & ((\led_flash_cnt[1085][5]~42079\) # (GND)))
-- \led_flash_cnt[1085][6]~42081\ = CARRY((!\led_flash_cnt[1085][5]~42079\) # (!\led_flash_cnt[1085][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1085][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1085][5]~42079\,
	combout => \led_flash_cnt[1085][6]~42080_combout\,
	cout => \led_flash_cnt[1085][6]~42081\);

-- Location: FF_X13_Y23_N29
\led_flash_cnt[1085][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1085][6]~42080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1085][6]~q\);

-- Location: LCCOMB_X14_Y23_N12
\WideAnd1085~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1085~1_combout\ = (\led_flash_cnt[1085][5]~q\ & \led_flash_cnt[1085][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1085][5]~q\,
	datad => \led_flash_cnt[1085][6]~q\,
	combout => \WideAnd1085~1_combout\);

-- Location: LCCOMB_X13_Y23_N30
\led_flash_cnt[1085][7]~42082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1085][7]~42082_combout\ = \led_flash_cnt[1085][7]~q\ $ (!\led_flash_cnt[1085][6]~42081\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1085][7]~q\,
	cin => \led_flash_cnt[1085][6]~42081\,
	combout => \led_flash_cnt[1085][7]~42082_combout\);

-- Location: FF_X13_Y23_N31
\led_flash_cnt[1085][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1085][7]~42082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1085][7]~q\);

-- Location: LCCOMB_X13_Y23_N16
\WideAnd1085~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1085~0_combout\ = (\led_flash_cnt[1085][2]~q\ & (\led_flash_cnt[1085][4]~q\ & (\led_flash_cnt[1085][3]~q\ & \led_flash_cnt[1085][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1085][2]~q\,
	datab => \led_flash_cnt[1085][4]~q\,
	datac => \led_flash_cnt[1085][3]~q\,
	datad => \led_flash_cnt[1085][1]~q\,
	combout => \WideAnd1085~0_combout\);

-- Location: LCCOMB_X13_Y20_N24
WideAnd1085 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1085~combout\ = (\led_flash_cnt[1085][0]~q\ & (\WideAnd1085~1_combout\ & (\led_flash_cnt[1085][7]~q\ & \WideAnd1085~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1085][0]~q\,
	datab => \WideAnd1085~1_combout\,
	datac => \led_flash_cnt[1085][7]~q\,
	datad => \WideAnd1085~0_combout\,
	combout => \WideAnd1085~combout\);

-- Location: FF_X13_Y20_N25
\led_flash_cnt_ands[1085]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1085~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1085));

-- Location: LCCOMB_X13_Y20_N28
\WideAnd3975~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3975~1_combout\ = (led_flash_cnt_ands(1084) & led_flash_cnt_ands(1085))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1084),
	datad => led_flash_cnt_ands(1085),
	combout => \WideAnd3975~1_combout\);

-- Location: LCCOMB_X13_Y20_N2
WideAnd3975 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3975~combout\ = (\WideAnd3975~0_combout\ & (led_flash_cnt_ands(1087) & (led_flash_cnt_ands(1086) & \WideAnd3975~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3975~0_combout\,
	datab => led_flash_cnt_ands(1087),
	datac => led_flash_cnt_ands(1086),
	datad => \WideAnd3975~1_combout\,
	combout => \WideAnd3975~combout\);

-- Location: FF_X13_Y20_N3
\led_flash_cnt_ands_1[135]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3975~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(135));

-- Location: LCCOMB_X12_Y28_N14
\led_flash_cnt[1062][0]~81702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1062][0]~81702_combout\ = !\led_flash_cnt[1062][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1062][0]~q\,
	combout => \led_flash_cnt[1062][0]~81702_combout\);

-- Location: FF_X12_Y28_N15
\led_flash_cnt[1062][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1062][0]~81702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1062][0]~q\);

-- Location: LCCOMB_X13_Y28_N18
\led_flash_cnt[1062][1]~41748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1062][1]~41748_combout\ = (\led_flash_cnt[1062][0]~q\ & (\led_flash_cnt[1062][1]~q\ $ (VCC))) # (!\led_flash_cnt[1062][0]~q\ & (\led_flash_cnt[1062][1]~q\ & VCC))
-- \led_flash_cnt[1062][1]~41749\ = CARRY((\led_flash_cnt[1062][0]~q\ & \led_flash_cnt[1062][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1062][0]~q\,
	datab => \led_flash_cnt[1062][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1062][1]~41748_combout\,
	cout => \led_flash_cnt[1062][1]~41749\);

-- Location: FF_X13_Y28_N19
\led_flash_cnt[1062][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1062][1]~41748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1062][1]~q\);

-- Location: LCCOMB_X13_Y28_N20
\led_flash_cnt[1062][2]~41750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1062][2]~41750_combout\ = (\led_flash_cnt[1062][2]~q\ & (!\led_flash_cnt[1062][1]~41749\)) # (!\led_flash_cnt[1062][2]~q\ & ((\led_flash_cnt[1062][1]~41749\) # (GND)))
-- \led_flash_cnt[1062][2]~41751\ = CARRY((!\led_flash_cnt[1062][1]~41749\) # (!\led_flash_cnt[1062][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1062][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1062][1]~41749\,
	combout => \led_flash_cnt[1062][2]~41750_combout\,
	cout => \led_flash_cnt[1062][2]~41751\);

-- Location: FF_X13_Y28_N21
\led_flash_cnt[1062][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1062][2]~41750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1062][2]~q\);

-- Location: LCCOMB_X13_Y28_N22
\led_flash_cnt[1062][3]~41752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1062][3]~41752_combout\ = (\led_flash_cnt[1062][3]~q\ & (\led_flash_cnt[1062][2]~41751\ $ (GND))) # (!\led_flash_cnt[1062][3]~q\ & (!\led_flash_cnt[1062][2]~41751\ & VCC))
-- \led_flash_cnt[1062][3]~41753\ = CARRY((\led_flash_cnt[1062][3]~q\ & !\led_flash_cnt[1062][2]~41751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1062][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1062][2]~41751\,
	combout => \led_flash_cnt[1062][3]~41752_combout\,
	cout => \led_flash_cnt[1062][3]~41753\);

-- Location: FF_X13_Y28_N23
\led_flash_cnt[1062][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1062][3]~41752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1062][3]~q\);

-- Location: LCCOMB_X13_Y28_N24
\led_flash_cnt[1062][4]~41754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1062][4]~41754_combout\ = (\led_flash_cnt[1062][4]~q\ & (!\led_flash_cnt[1062][3]~41753\)) # (!\led_flash_cnt[1062][4]~q\ & ((\led_flash_cnt[1062][3]~41753\) # (GND)))
-- \led_flash_cnt[1062][4]~41755\ = CARRY((!\led_flash_cnt[1062][3]~41753\) # (!\led_flash_cnt[1062][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1062][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1062][3]~41753\,
	combout => \led_flash_cnt[1062][4]~41754_combout\,
	cout => \led_flash_cnt[1062][4]~41755\);

-- Location: FF_X13_Y28_N25
\led_flash_cnt[1062][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1062][4]~41754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1062][4]~q\);

-- Location: LCCOMB_X12_Y28_N24
\WideAnd1062~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1062~0_combout\ = (\led_flash_cnt[1062][3]~q\ & (\led_flash_cnt[1062][4]~q\ & (\led_flash_cnt[1062][2]~q\ & \led_flash_cnt[1062][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1062][3]~q\,
	datab => \led_flash_cnt[1062][4]~q\,
	datac => \led_flash_cnt[1062][2]~q\,
	datad => \led_flash_cnt[1062][1]~q\,
	combout => \WideAnd1062~0_combout\);

-- Location: LCCOMB_X13_Y28_N26
\led_flash_cnt[1062][5]~41756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1062][5]~41756_combout\ = (\led_flash_cnt[1062][5]~q\ & (\led_flash_cnt[1062][4]~41755\ $ (GND))) # (!\led_flash_cnt[1062][5]~q\ & (!\led_flash_cnt[1062][4]~41755\ & VCC))
-- \led_flash_cnt[1062][5]~41757\ = CARRY((\led_flash_cnt[1062][5]~q\ & !\led_flash_cnt[1062][4]~41755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1062][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1062][4]~41755\,
	combout => \led_flash_cnt[1062][5]~41756_combout\,
	cout => \led_flash_cnt[1062][5]~41757\);

-- Location: FF_X13_Y28_N27
\led_flash_cnt[1062][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1062][5]~41756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1062][5]~q\);

-- Location: LCCOMB_X13_Y28_N28
\led_flash_cnt[1062][6]~41758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1062][6]~41758_combout\ = (\led_flash_cnt[1062][6]~q\ & (!\led_flash_cnt[1062][5]~41757\)) # (!\led_flash_cnt[1062][6]~q\ & ((\led_flash_cnt[1062][5]~41757\) # (GND)))
-- \led_flash_cnt[1062][6]~41759\ = CARRY((!\led_flash_cnt[1062][5]~41757\) # (!\led_flash_cnt[1062][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1062][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1062][5]~41757\,
	combout => \led_flash_cnt[1062][6]~41758_combout\,
	cout => \led_flash_cnt[1062][6]~41759\);

-- Location: FF_X13_Y28_N29
\led_flash_cnt[1062][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1062][6]~41758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1062][6]~q\);

-- Location: LCCOMB_X13_Y28_N30
\led_flash_cnt[1062][7]~41760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1062][7]~41760_combout\ = \led_flash_cnt[1062][7]~q\ $ (!\led_flash_cnt[1062][6]~41759\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1062][7]~q\,
	cin => \led_flash_cnt[1062][6]~41759\,
	combout => \led_flash_cnt[1062][7]~41760_combout\);

-- Location: FF_X13_Y28_N31
\led_flash_cnt[1062][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1062][7]~41760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1062][7]~q\);

-- Location: LCCOMB_X14_Y28_N28
\WideAnd1062~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1062~1_combout\ = (\led_flash_cnt[1062][5]~q\ & \led_flash_cnt[1062][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1062][5]~q\,
	datad => \led_flash_cnt[1062][6]~q\,
	combout => \WideAnd1062~1_combout\);

-- Location: LCCOMB_X13_Y28_N2
WideAnd1062 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1062~combout\ = (\led_flash_cnt[1062][0]~q\ & (\WideAnd1062~0_combout\ & (\led_flash_cnt[1062][7]~q\ & \WideAnd1062~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1062][0]~q\,
	datab => \WideAnd1062~0_combout\,
	datac => \led_flash_cnt[1062][7]~q\,
	datad => \WideAnd1062~1_combout\,
	combout => \WideAnd1062~combout\);

-- Location: FF_X13_Y28_N3
\led_flash_cnt_ands[1062]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1062~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1062));

-- Location: LCCOMB_X16_Y10_N2
\led_flash_cnt[1056][0]~81696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1056][0]~81696_combout\ = !\led_flash_cnt[1056][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1056][0]~q\,
	combout => \led_flash_cnt[1056][0]~81696_combout\);

-- Location: FF_X16_Y10_N3
\led_flash_cnt[1056][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1056][0]~81696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1056][0]~q\);

-- Location: LCCOMB_X15_Y10_N0
\led_flash_cnt[1056][1]~41664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1056][1]~41664_combout\ = (\led_flash_cnt[1056][0]~q\ & (\led_flash_cnt[1056][1]~q\ $ (VCC))) # (!\led_flash_cnt[1056][0]~q\ & (\led_flash_cnt[1056][1]~q\ & VCC))
-- \led_flash_cnt[1056][1]~41665\ = CARRY((\led_flash_cnt[1056][0]~q\ & \led_flash_cnt[1056][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1056][0]~q\,
	datab => \led_flash_cnt[1056][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1056][1]~41664_combout\,
	cout => \led_flash_cnt[1056][1]~41665\);

-- Location: FF_X15_Y10_N1
\led_flash_cnt[1056][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1056][1]~41664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1056][1]~q\);

-- Location: LCCOMB_X15_Y10_N2
\led_flash_cnt[1056][2]~41666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1056][2]~41666_combout\ = (\led_flash_cnt[1056][2]~q\ & (!\led_flash_cnt[1056][1]~41665\)) # (!\led_flash_cnt[1056][2]~q\ & ((\led_flash_cnt[1056][1]~41665\) # (GND)))
-- \led_flash_cnt[1056][2]~41667\ = CARRY((!\led_flash_cnt[1056][1]~41665\) # (!\led_flash_cnt[1056][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1056][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1056][1]~41665\,
	combout => \led_flash_cnt[1056][2]~41666_combout\,
	cout => \led_flash_cnt[1056][2]~41667\);

-- Location: FF_X15_Y10_N3
\led_flash_cnt[1056][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1056][2]~41666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1056][2]~q\);

-- Location: LCCOMB_X15_Y10_N4
\led_flash_cnt[1056][3]~41668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1056][3]~41668_combout\ = (\led_flash_cnt[1056][3]~q\ & (\led_flash_cnt[1056][2]~41667\ $ (GND))) # (!\led_flash_cnt[1056][3]~q\ & (!\led_flash_cnt[1056][2]~41667\ & VCC))
-- \led_flash_cnt[1056][3]~41669\ = CARRY((\led_flash_cnt[1056][3]~q\ & !\led_flash_cnt[1056][2]~41667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1056][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1056][2]~41667\,
	combout => \led_flash_cnt[1056][3]~41668_combout\,
	cout => \led_flash_cnt[1056][3]~41669\);

-- Location: FF_X15_Y10_N5
\led_flash_cnt[1056][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1056][3]~41668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1056][3]~q\);

-- Location: LCCOMB_X15_Y10_N6
\led_flash_cnt[1056][4]~41670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1056][4]~41670_combout\ = (\led_flash_cnt[1056][4]~q\ & (!\led_flash_cnt[1056][3]~41669\)) # (!\led_flash_cnt[1056][4]~q\ & ((\led_flash_cnt[1056][3]~41669\) # (GND)))
-- \led_flash_cnt[1056][4]~41671\ = CARRY((!\led_flash_cnt[1056][3]~41669\) # (!\led_flash_cnt[1056][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1056][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1056][3]~41669\,
	combout => \led_flash_cnt[1056][4]~41670_combout\,
	cout => \led_flash_cnt[1056][4]~41671\);

-- Location: FF_X15_Y10_N7
\led_flash_cnt[1056][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1056][4]~41670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1056][4]~q\);

-- Location: LCCOMB_X15_Y10_N8
\led_flash_cnt[1056][5]~41672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1056][5]~41672_combout\ = (\led_flash_cnt[1056][5]~q\ & (\led_flash_cnt[1056][4]~41671\ $ (GND))) # (!\led_flash_cnt[1056][5]~q\ & (!\led_flash_cnt[1056][4]~41671\ & VCC))
-- \led_flash_cnt[1056][5]~41673\ = CARRY((\led_flash_cnt[1056][5]~q\ & !\led_flash_cnt[1056][4]~41671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1056][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1056][4]~41671\,
	combout => \led_flash_cnt[1056][5]~41672_combout\,
	cout => \led_flash_cnt[1056][5]~41673\);

-- Location: FF_X15_Y10_N9
\led_flash_cnt[1056][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1056][5]~41672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1056][5]~q\);

-- Location: LCCOMB_X15_Y10_N10
\led_flash_cnt[1056][6]~41674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1056][6]~41674_combout\ = (\led_flash_cnt[1056][6]~q\ & (!\led_flash_cnt[1056][5]~41673\)) # (!\led_flash_cnt[1056][6]~q\ & ((\led_flash_cnt[1056][5]~41673\) # (GND)))
-- \led_flash_cnt[1056][6]~41675\ = CARRY((!\led_flash_cnt[1056][5]~41673\) # (!\led_flash_cnt[1056][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1056][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1056][5]~41673\,
	combout => \led_flash_cnt[1056][6]~41674_combout\,
	cout => \led_flash_cnt[1056][6]~41675\);

-- Location: FF_X15_Y10_N11
\led_flash_cnt[1056][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1056][6]~41674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1056][6]~q\);

-- Location: LCCOMB_X15_Y10_N12
\led_flash_cnt[1056][7]~41676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1056][7]~41676_combout\ = \led_flash_cnt[1056][6]~41675\ $ (!\led_flash_cnt[1056][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1056][7]~q\,
	cin => \led_flash_cnt[1056][6]~41675\,
	combout => \led_flash_cnt[1056][7]~41676_combout\);

-- Location: FF_X15_Y10_N13
\led_flash_cnt[1056][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1056][7]~41676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1056][7]~q\);

-- Location: LCCOMB_X16_Y10_N0
\WideAnd1056~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1056~1_combout\ = (\led_flash_cnt[1056][6]~q\ & \led_flash_cnt[1056][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1056][6]~q\,
	datad => \led_flash_cnt[1056][5]~q\,
	combout => \WideAnd1056~1_combout\);

-- Location: LCCOMB_X16_Y10_N8
\WideAnd1056~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1056~0_combout\ = (\led_flash_cnt[1056][1]~q\ & (\led_flash_cnt[1056][3]~q\ & (\led_flash_cnt[1056][4]~q\ & \led_flash_cnt[1056][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1056][1]~q\,
	datab => \led_flash_cnt[1056][3]~q\,
	datac => \led_flash_cnt[1056][4]~q\,
	datad => \led_flash_cnt[1056][2]~q\,
	combout => \WideAnd1056~0_combout\);

-- Location: LCCOMB_X16_Y10_N30
WideAnd1056 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1056~combout\ = (\led_flash_cnt[1056][7]~q\ & (\WideAnd1056~1_combout\ & (\WideAnd1056~0_combout\ & \led_flash_cnt[1056][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1056][7]~q\,
	datab => \WideAnd1056~1_combout\,
	datac => \WideAnd1056~0_combout\,
	datad => \led_flash_cnt[1056][0]~q\,
	combout => \WideAnd1056~combout\);

-- Location: FF_X16_Y10_N31
\led_flash_cnt_ands[1056]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1056~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1056));

-- Location: LCCOMB_X4_Y13_N30
\led_flash_cnt[1059][0]~81699\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1059][0]~81699_combout\ = !\led_flash_cnt[1059][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1059][0]~q\,
	combout => \led_flash_cnt[1059][0]~81699_combout\);

-- Location: FF_X4_Y13_N31
\led_flash_cnt[1059][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1059][0]~81699_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1059][0]~q\);

-- Location: LCCOMB_X8_Y13_N14
\led_flash_cnt[1059][1]~41706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1059][1]~41706_combout\ = (\led_flash_cnt[1059][0]~q\ & (\led_flash_cnt[1059][1]~q\ $ (VCC))) # (!\led_flash_cnt[1059][0]~q\ & (\led_flash_cnt[1059][1]~q\ & VCC))
-- \led_flash_cnt[1059][1]~41707\ = CARRY((\led_flash_cnt[1059][0]~q\ & \led_flash_cnt[1059][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1059][0]~q\,
	datab => \led_flash_cnt[1059][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1059][1]~41706_combout\,
	cout => \led_flash_cnt[1059][1]~41707\);

-- Location: FF_X8_Y13_N15
\led_flash_cnt[1059][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1059][1]~41706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1059][1]~q\);

-- Location: LCCOMB_X8_Y13_N16
\led_flash_cnt[1059][2]~41708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1059][2]~41708_combout\ = (\led_flash_cnt[1059][2]~q\ & (!\led_flash_cnt[1059][1]~41707\)) # (!\led_flash_cnt[1059][2]~q\ & ((\led_flash_cnt[1059][1]~41707\) # (GND)))
-- \led_flash_cnt[1059][2]~41709\ = CARRY((!\led_flash_cnt[1059][1]~41707\) # (!\led_flash_cnt[1059][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1059][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1059][1]~41707\,
	combout => \led_flash_cnt[1059][2]~41708_combout\,
	cout => \led_flash_cnt[1059][2]~41709\);

-- Location: FF_X8_Y13_N17
\led_flash_cnt[1059][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1059][2]~41708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1059][2]~q\);

-- Location: LCCOMB_X8_Y13_N18
\led_flash_cnt[1059][3]~41710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1059][3]~41710_combout\ = (\led_flash_cnt[1059][3]~q\ & (\led_flash_cnt[1059][2]~41709\ $ (GND))) # (!\led_flash_cnt[1059][3]~q\ & (!\led_flash_cnt[1059][2]~41709\ & VCC))
-- \led_flash_cnt[1059][3]~41711\ = CARRY((\led_flash_cnt[1059][3]~q\ & !\led_flash_cnt[1059][2]~41709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1059][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1059][2]~41709\,
	combout => \led_flash_cnt[1059][3]~41710_combout\,
	cout => \led_flash_cnt[1059][3]~41711\);

-- Location: FF_X8_Y13_N19
\led_flash_cnt[1059][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1059][3]~41710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1059][3]~q\);

-- Location: LCCOMB_X8_Y13_N20
\led_flash_cnt[1059][4]~41712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1059][4]~41712_combout\ = (\led_flash_cnt[1059][4]~q\ & (!\led_flash_cnt[1059][3]~41711\)) # (!\led_flash_cnt[1059][4]~q\ & ((\led_flash_cnt[1059][3]~41711\) # (GND)))
-- \led_flash_cnt[1059][4]~41713\ = CARRY((!\led_flash_cnt[1059][3]~41711\) # (!\led_flash_cnt[1059][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1059][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1059][3]~41711\,
	combout => \led_flash_cnt[1059][4]~41712_combout\,
	cout => \led_flash_cnt[1059][4]~41713\);

-- Location: FF_X8_Y13_N21
\led_flash_cnt[1059][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1059][4]~41712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1059][4]~q\);

-- Location: LCCOMB_X8_Y13_N8
\WideAnd1059~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1059~0_combout\ = (\led_flash_cnt[1059][2]~q\ & (\led_flash_cnt[1059][4]~q\ & (\led_flash_cnt[1059][1]~q\ & \led_flash_cnt[1059][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1059][2]~q\,
	datab => \led_flash_cnt[1059][4]~q\,
	datac => \led_flash_cnt[1059][1]~q\,
	datad => \led_flash_cnt[1059][3]~q\,
	combout => \WideAnd1059~0_combout\);

-- Location: LCCOMB_X8_Y13_N22
\led_flash_cnt[1059][5]~41714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1059][5]~41714_combout\ = (\led_flash_cnt[1059][5]~q\ & (\led_flash_cnt[1059][4]~41713\ $ (GND))) # (!\led_flash_cnt[1059][5]~q\ & (!\led_flash_cnt[1059][4]~41713\ & VCC))
-- \led_flash_cnt[1059][5]~41715\ = CARRY((\led_flash_cnt[1059][5]~q\ & !\led_flash_cnt[1059][4]~41713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1059][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1059][4]~41713\,
	combout => \led_flash_cnt[1059][5]~41714_combout\,
	cout => \led_flash_cnt[1059][5]~41715\);

-- Location: FF_X8_Y13_N23
\led_flash_cnt[1059][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1059][5]~41714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1059][5]~q\);

-- Location: LCCOMB_X8_Y13_N24
\led_flash_cnt[1059][6]~41716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1059][6]~41716_combout\ = (\led_flash_cnt[1059][6]~q\ & (!\led_flash_cnt[1059][5]~41715\)) # (!\led_flash_cnt[1059][6]~q\ & ((\led_flash_cnt[1059][5]~41715\) # (GND)))
-- \led_flash_cnt[1059][6]~41717\ = CARRY((!\led_flash_cnt[1059][5]~41715\) # (!\led_flash_cnt[1059][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1059][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1059][5]~41715\,
	combout => \led_flash_cnt[1059][6]~41716_combout\,
	cout => \led_flash_cnt[1059][6]~41717\);

-- Location: FF_X8_Y13_N25
\led_flash_cnt[1059][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1059][6]~41716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1059][6]~q\);

-- Location: LCCOMB_X8_Y13_N26
\led_flash_cnt[1059][7]~41718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1059][7]~41718_combout\ = \led_flash_cnt[1059][7]~q\ $ (!\led_flash_cnt[1059][6]~41717\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1059][7]~q\,
	cin => \led_flash_cnt[1059][6]~41717\,
	combout => \led_flash_cnt[1059][7]~41718_combout\);

-- Location: FF_X8_Y13_N27
\led_flash_cnt[1059][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1059][7]~41718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1059][7]~q\);

-- Location: LCCOMB_X8_Y13_N12
\WideAnd1059~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1059~1_combout\ = (\led_flash_cnt[1059][5]~q\ & \led_flash_cnt[1059][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1059][5]~q\,
	datad => \led_flash_cnt[1059][6]~q\,
	combout => \WideAnd1059~1_combout\);

-- Location: LCCOMB_X8_Y13_N28
WideAnd1059 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1059~combout\ = (\led_flash_cnt[1059][0]~q\ & (\WideAnd1059~0_combout\ & (\led_flash_cnt[1059][7]~q\ & \WideAnd1059~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1059][0]~q\,
	datab => \WideAnd1059~0_combout\,
	datac => \led_flash_cnt[1059][7]~q\,
	datad => \WideAnd1059~1_combout\,
	combout => \WideAnd1059~combout\);

-- Location: FF_X8_Y13_N29
\led_flash_cnt_ands[1059]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1059~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1059));

-- Location: LCCOMB_X8_Y13_N2
\led_flash_cnt[1057][0]~81697\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1057][0]~81697_combout\ = !\led_flash_cnt[1057][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1057][0]~q\,
	combout => \led_flash_cnt[1057][0]~81697_combout\);

-- Location: FF_X8_Y13_N3
\led_flash_cnt[1057][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1057][0]~81697_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1057][0]~q\);

-- Location: LCCOMB_X7_Y13_N16
\led_flash_cnt[1057][1]~41678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1057][1]~41678_combout\ = (\led_flash_cnt[1057][0]~q\ & (\led_flash_cnt[1057][1]~q\ $ (VCC))) # (!\led_flash_cnt[1057][0]~q\ & (\led_flash_cnt[1057][1]~q\ & VCC))
-- \led_flash_cnt[1057][1]~41679\ = CARRY((\led_flash_cnt[1057][0]~q\ & \led_flash_cnt[1057][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1057][0]~q\,
	datab => \led_flash_cnt[1057][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1057][1]~41678_combout\,
	cout => \led_flash_cnt[1057][1]~41679\);

-- Location: FF_X7_Y13_N17
\led_flash_cnt[1057][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1057][1]~41678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1057][1]~q\);

-- Location: LCCOMB_X7_Y13_N18
\led_flash_cnt[1057][2]~41680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1057][2]~41680_combout\ = (\led_flash_cnt[1057][2]~q\ & (!\led_flash_cnt[1057][1]~41679\)) # (!\led_flash_cnt[1057][2]~q\ & ((\led_flash_cnt[1057][1]~41679\) # (GND)))
-- \led_flash_cnt[1057][2]~41681\ = CARRY((!\led_flash_cnt[1057][1]~41679\) # (!\led_flash_cnt[1057][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1057][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1057][1]~41679\,
	combout => \led_flash_cnt[1057][2]~41680_combout\,
	cout => \led_flash_cnt[1057][2]~41681\);

-- Location: FF_X7_Y13_N19
\led_flash_cnt[1057][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1057][2]~41680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1057][2]~q\);

-- Location: LCCOMB_X7_Y13_N20
\led_flash_cnt[1057][3]~41682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1057][3]~41682_combout\ = (\led_flash_cnt[1057][3]~q\ & (\led_flash_cnt[1057][2]~41681\ $ (GND))) # (!\led_flash_cnt[1057][3]~q\ & (!\led_flash_cnt[1057][2]~41681\ & VCC))
-- \led_flash_cnt[1057][3]~41683\ = CARRY((\led_flash_cnt[1057][3]~q\ & !\led_flash_cnt[1057][2]~41681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1057][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1057][2]~41681\,
	combout => \led_flash_cnt[1057][3]~41682_combout\,
	cout => \led_flash_cnt[1057][3]~41683\);

-- Location: FF_X7_Y13_N21
\led_flash_cnt[1057][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1057][3]~41682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1057][3]~q\);

-- Location: LCCOMB_X7_Y13_N22
\led_flash_cnt[1057][4]~41684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1057][4]~41684_combout\ = (\led_flash_cnt[1057][4]~q\ & (!\led_flash_cnt[1057][3]~41683\)) # (!\led_flash_cnt[1057][4]~q\ & ((\led_flash_cnt[1057][3]~41683\) # (GND)))
-- \led_flash_cnt[1057][4]~41685\ = CARRY((!\led_flash_cnt[1057][3]~41683\) # (!\led_flash_cnt[1057][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1057][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1057][3]~41683\,
	combout => \led_flash_cnt[1057][4]~41684_combout\,
	cout => \led_flash_cnt[1057][4]~41685\);

-- Location: FF_X7_Y13_N23
\led_flash_cnt[1057][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1057][4]~41684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1057][4]~q\);

-- Location: LCCOMB_X7_Y13_N24
\led_flash_cnt[1057][5]~41686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1057][5]~41686_combout\ = (\led_flash_cnt[1057][5]~q\ & (\led_flash_cnt[1057][4]~41685\ $ (GND))) # (!\led_flash_cnt[1057][5]~q\ & (!\led_flash_cnt[1057][4]~41685\ & VCC))
-- \led_flash_cnt[1057][5]~41687\ = CARRY((\led_flash_cnt[1057][5]~q\ & !\led_flash_cnt[1057][4]~41685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1057][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1057][4]~41685\,
	combout => \led_flash_cnt[1057][5]~41686_combout\,
	cout => \led_flash_cnt[1057][5]~41687\);

-- Location: FF_X7_Y13_N25
\led_flash_cnt[1057][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1057][5]~41686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1057][5]~q\);

-- Location: LCCOMB_X7_Y13_N26
\led_flash_cnt[1057][6]~41688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1057][6]~41688_combout\ = (\led_flash_cnt[1057][6]~q\ & (!\led_flash_cnt[1057][5]~41687\)) # (!\led_flash_cnt[1057][6]~q\ & ((\led_flash_cnt[1057][5]~41687\) # (GND)))
-- \led_flash_cnt[1057][6]~41689\ = CARRY((!\led_flash_cnt[1057][5]~41687\) # (!\led_flash_cnt[1057][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1057][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1057][5]~41687\,
	combout => \led_flash_cnt[1057][6]~41688_combout\,
	cout => \led_flash_cnt[1057][6]~41689\);

-- Location: FF_X7_Y13_N27
\led_flash_cnt[1057][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1057][6]~41688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1057][6]~q\);

-- Location: LCCOMB_X8_Y13_N30
\WideAnd1057~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1057~1_combout\ = (\led_flash_cnt[1057][6]~q\ & \led_flash_cnt[1057][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1057][6]~q\,
	datad => \led_flash_cnt[1057][5]~q\,
	combout => \WideAnd1057~1_combout\);

-- Location: LCCOMB_X7_Y13_N28
\led_flash_cnt[1057][7]~41690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1057][7]~41690_combout\ = \led_flash_cnt[1057][6]~41689\ $ (!\led_flash_cnt[1057][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1057][7]~q\,
	cin => \led_flash_cnt[1057][6]~41689\,
	combout => \led_flash_cnt[1057][7]~41690_combout\);

-- Location: FF_X7_Y13_N29
\led_flash_cnt[1057][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1057][7]~41690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1057][7]~q\);

-- Location: LCCOMB_X7_Y13_N0
\WideAnd1057~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1057~0_combout\ = (\led_flash_cnt[1057][2]~q\ & (\led_flash_cnt[1057][3]~q\ & (\led_flash_cnt[1057][4]~q\ & \led_flash_cnt[1057][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1057][2]~q\,
	datab => \led_flash_cnt[1057][3]~q\,
	datac => \led_flash_cnt[1057][4]~q\,
	datad => \led_flash_cnt[1057][1]~q\,
	combout => \WideAnd1057~0_combout\);

-- Location: LCCOMB_X8_Y13_N4
WideAnd1057 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1057~combout\ = (\WideAnd1057~1_combout\ & (\led_flash_cnt[1057][7]~q\ & (\WideAnd1057~0_combout\ & \led_flash_cnt[1057][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1057~1_combout\,
	datab => \led_flash_cnt[1057][7]~q\,
	datac => \WideAnd1057~0_combout\,
	datad => \led_flash_cnt[1057][0]~q\,
	combout => \WideAnd1057~combout\);

-- Location: FF_X8_Y13_N5
\led_flash_cnt_ands[1057]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1057~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1057));

-- Location: LCCOMB_X11_Y16_N8
\led_flash_cnt[1058][0]~81698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1058][0]~81698_combout\ = !\led_flash_cnt[1058][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1058][0]~q\,
	combout => \led_flash_cnt[1058][0]~81698_combout\);

-- Location: FF_X11_Y16_N9
\led_flash_cnt[1058][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1058][0]~81698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1058][0]~q\);

-- Location: LCCOMB_X9_Y16_N2
\led_flash_cnt[1058][1]~41692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1058][1]~41692_combout\ = (\led_flash_cnt[1058][0]~q\ & (\led_flash_cnt[1058][1]~q\ $ (VCC))) # (!\led_flash_cnt[1058][0]~q\ & (\led_flash_cnt[1058][1]~q\ & VCC))
-- \led_flash_cnt[1058][1]~41693\ = CARRY((\led_flash_cnt[1058][0]~q\ & \led_flash_cnt[1058][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1058][0]~q\,
	datab => \led_flash_cnt[1058][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1058][1]~41692_combout\,
	cout => \led_flash_cnt[1058][1]~41693\);

-- Location: FF_X9_Y16_N3
\led_flash_cnt[1058][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1058][1]~41692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1058][1]~q\);

-- Location: LCCOMB_X9_Y16_N4
\led_flash_cnt[1058][2]~41694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1058][2]~41694_combout\ = (\led_flash_cnt[1058][2]~q\ & (!\led_flash_cnt[1058][1]~41693\)) # (!\led_flash_cnt[1058][2]~q\ & ((\led_flash_cnt[1058][1]~41693\) # (GND)))
-- \led_flash_cnt[1058][2]~41695\ = CARRY((!\led_flash_cnt[1058][1]~41693\) # (!\led_flash_cnt[1058][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1058][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1058][1]~41693\,
	combout => \led_flash_cnt[1058][2]~41694_combout\,
	cout => \led_flash_cnt[1058][2]~41695\);

-- Location: FF_X9_Y16_N5
\led_flash_cnt[1058][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1058][2]~41694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1058][2]~q\);

-- Location: LCCOMB_X9_Y16_N6
\led_flash_cnt[1058][3]~41696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1058][3]~41696_combout\ = (\led_flash_cnt[1058][3]~q\ & (\led_flash_cnt[1058][2]~41695\ $ (GND))) # (!\led_flash_cnt[1058][3]~q\ & (!\led_flash_cnt[1058][2]~41695\ & VCC))
-- \led_flash_cnt[1058][3]~41697\ = CARRY((\led_flash_cnt[1058][3]~q\ & !\led_flash_cnt[1058][2]~41695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1058][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1058][2]~41695\,
	combout => \led_flash_cnt[1058][3]~41696_combout\,
	cout => \led_flash_cnt[1058][3]~41697\);

-- Location: FF_X9_Y16_N7
\led_flash_cnt[1058][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1058][3]~41696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1058][3]~q\);

-- Location: LCCOMB_X9_Y16_N8
\led_flash_cnt[1058][4]~41698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1058][4]~41698_combout\ = (\led_flash_cnt[1058][4]~q\ & (!\led_flash_cnt[1058][3]~41697\)) # (!\led_flash_cnt[1058][4]~q\ & ((\led_flash_cnt[1058][3]~41697\) # (GND)))
-- \led_flash_cnt[1058][4]~41699\ = CARRY((!\led_flash_cnt[1058][3]~41697\) # (!\led_flash_cnt[1058][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1058][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1058][3]~41697\,
	combout => \led_flash_cnt[1058][4]~41698_combout\,
	cout => \led_flash_cnt[1058][4]~41699\);

-- Location: FF_X9_Y16_N9
\led_flash_cnt[1058][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1058][4]~41698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1058][4]~q\);

-- Location: LCCOMB_X9_Y16_N16
\WideAnd1058~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1058~0_combout\ = (\led_flash_cnt[1058][3]~q\ & (\led_flash_cnt[1058][4]~q\ & (\led_flash_cnt[1058][2]~q\ & \led_flash_cnt[1058][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1058][3]~q\,
	datab => \led_flash_cnt[1058][4]~q\,
	datac => \led_flash_cnt[1058][2]~q\,
	datad => \led_flash_cnt[1058][1]~q\,
	combout => \WideAnd1058~0_combout\);

-- Location: LCCOMB_X9_Y16_N10
\led_flash_cnt[1058][5]~41700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1058][5]~41700_combout\ = (\led_flash_cnt[1058][5]~q\ & (\led_flash_cnt[1058][4]~41699\ $ (GND))) # (!\led_flash_cnt[1058][5]~q\ & (!\led_flash_cnt[1058][4]~41699\ & VCC))
-- \led_flash_cnt[1058][5]~41701\ = CARRY((\led_flash_cnt[1058][5]~q\ & !\led_flash_cnt[1058][4]~41699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1058][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1058][4]~41699\,
	combout => \led_flash_cnt[1058][5]~41700_combout\,
	cout => \led_flash_cnt[1058][5]~41701\);

-- Location: FF_X9_Y16_N11
\led_flash_cnt[1058][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1058][5]~41700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1058][5]~q\);

-- Location: LCCOMB_X9_Y16_N12
\led_flash_cnt[1058][6]~41702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1058][6]~41702_combout\ = (\led_flash_cnt[1058][6]~q\ & (!\led_flash_cnt[1058][5]~41701\)) # (!\led_flash_cnt[1058][6]~q\ & ((\led_flash_cnt[1058][5]~41701\) # (GND)))
-- \led_flash_cnt[1058][6]~41703\ = CARRY((!\led_flash_cnt[1058][5]~41701\) # (!\led_flash_cnt[1058][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1058][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1058][5]~41701\,
	combout => \led_flash_cnt[1058][6]~41702_combout\,
	cout => \led_flash_cnt[1058][6]~41703\);

-- Location: FF_X9_Y16_N13
\led_flash_cnt[1058][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1058][6]~41702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1058][6]~q\);

-- Location: LCCOMB_X10_Y16_N0
\WideAnd1058~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1058~1_combout\ = (\led_flash_cnt[1058][5]~q\ & \led_flash_cnt[1058][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1058][5]~q\,
	datad => \led_flash_cnt[1058][6]~q\,
	combout => \WideAnd1058~1_combout\);

-- Location: LCCOMB_X9_Y16_N14
\led_flash_cnt[1058][7]~41704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1058][7]~41704_combout\ = \led_flash_cnt[1058][7]~q\ $ (!\led_flash_cnt[1058][6]~41703\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1058][7]~q\,
	cin => \led_flash_cnt[1058][6]~41703\,
	combout => \led_flash_cnt[1058][7]~41704_combout\);

-- Location: FF_X9_Y16_N15
\led_flash_cnt[1058][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1058][7]~41704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1058][7]~q\);

-- Location: LCCOMB_X10_Y16_N24
WideAnd1058 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1058~combout\ = (\WideAnd1058~0_combout\ & (\WideAnd1058~1_combout\ & (\led_flash_cnt[1058][0]~q\ & \led_flash_cnt[1058][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1058~0_combout\,
	datab => \WideAnd1058~1_combout\,
	datac => \led_flash_cnt[1058][0]~q\,
	datad => \led_flash_cnt[1058][7]~q\,
	combout => \WideAnd1058~combout\);

-- Location: FF_X10_Y16_N25
\led_flash_cnt_ands[1058]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1058~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1058));

-- Location: LCCOMB_X8_Y13_N10
\WideAnd3972~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3972~0_combout\ = (led_flash_cnt_ands(1056) & (led_flash_cnt_ands(1059) & (led_flash_cnt_ands(1057) & led_flash_cnt_ands(1058))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1056),
	datab => led_flash_cnt_ands(1059),
	datac => led_flash_cnt_ands(1057),
	datad => led_flash_cnt_ands(1058),
	combout => \WideAnd3972~0_combout\);

-- Location: LCCOMB_X14_Y29_N26
\led_flash_cnt[1063][0]~81703\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1063][0]~81703_combout\ = !\led_flash_cnt[1063][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1063][0]~q\,
	combout => \led_flash_cnt[1063][0]~81703_combout\);

-- Location: FF_X14_Y29_N27
\led_flash_cnt[1063][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1063][0]~81703_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1063][0]~q\);

-- Location: LCCOMB_X14_Y29_N2
\led_flash_cnt[1063][1]~41762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1063][1]~41762_combout\ = (\led_flash_cnt[1063][0]~q\ & (\led_flash_cnt[1063][1]~q\ $ (VCC))) # (!\led_flash_cnt[1063][0]~q\ & (\led_flash_cnt[1063][1]~q\ & VCC))
-- \led_flash_cnt[1063][1]~41763\ = CARRY((\led_flash_cnt[1063][0]~q\ & \led_flash_cnt[1063][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1063][0]~q\,
	datab => \led_flash_cnt[1063][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1063][1]~41762_combout\,
	cout => \led_flash_cnt[1063][1]~41763\);

-- Location: FF_X14_Y29_N3
\led_flash_cnt[1063][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1063][1]~41762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1063][1]~q\);

-- Location: LCCOMB_X14_Y29_N4
\led_flash_cnt[1063][2]~41764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1063][2]~41764_combout\ = (\led_flash_cnt[1063][2]~q\ & (!\led_flash_cnt[1063][1]~41763\)) # (!\led_flash_cnt[1063][2]~q\ & ((\led_flash_cnt[1063][1]~41763\) # (GND)))
-- \led_flash_cnt[1063][2]~41765\ = CARRY((!\led_flash_cnt[1063][1]~41763\) # (!\led_flash_cnt[1063][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1063][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1063][1]~41763\,
	combout => \led_flash_cnt[1063][2]~41764_combout\,
	cout => \led_flash_cnt[1063][2]~41765\);

-- Location: FF_X14_Y29_N5
\led_flash_cnt[1063][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1063][2]~41764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1063][2]~q\);

-- Location: LCCOMB_X14_Y29_N6
\led_flash_cnt[1063][3]~41766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1063][3]~41766_combout\ = (\led_flash_cnt[1063][3]~q\ & (\led_flash_cnt[1063][2]~41765\ $ (GND))) # (!\led_flash_cnt[1063][3]~q\ & (!\led_flash_cnt[1063][2]~41765\ & VCC))
-- \led_flash_cnt[1063][3]~41767\ = CARRY((\led_flash_cnt[1063][3]~q\ & !\led_flash_cnt[1063][2]~41765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1063][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1063][2]~41765\,
	combout => \led_flash_cnt[1063][3]~41766_combout\,
	cout => \led_flash_cnt[1063][3]~41767\);

-- Location: FF_X14_Y29_N7
\led_flash_cnt[1063][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1063][3]~41766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1063][3]~q\);

-- Location: LCCOMB_X14_Y29_N8
\led_flash_cnt[1063][4]~41768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1063][4]~41768_combout\ = (\led_flash_cnt[1063][4]~q\ & (!\led_flash_cnt[1063][3]~41767\)) # (!\led_flash_cnt[1063][4]~q\ & ((\led_flash_cnt[1063][3]~41767\) # (GND)))
-- \led_flash_cnt[1063][4]~41769\ = CARRY((!\led_flash_cnt[1063][3]~41767\) # (!\led_flash_cnt[1063][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1063][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1063][3]~41767\,
	combout => \led_flash_cnt[1063][4]~41768_combout\,
	cout => \led_flash_cnt[1063][4]~41769\);

-- Location: FF_X14_Y29_N9
\led_flash_cnt[1063][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1063][4]~41768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1063][4]~q\);

-- Location: LCCOMB_X14_Y29_N10
\led_flash_cnt[1063][5]~41770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1063][5]~41770_combout\ = (\led_flash_cnt[1063][5]~q\ & (\led_flash_cnt[1063][4]~41769\ $ (GND))) # (!\led_flash_cnt[1063][5]~q\ & (!\led_flash_cnt[1063][4]~41769\ & VCC))
-- \led_flash_cnt[1063][5]~41771\ = CARRY((\led_flash_cnt[1063][5]~q\ & !\led_flash_cnt[1063][4]~41769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1063][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1063][4]~41769\,
	combout => \led_flash_cnt[1063][5]~41770_combout\,
	cout => \led_flash_cnt[1063][5]~41771\);

-- Location: FF_X14_Y29_N11
\led_flash_cnt[1063][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1063][5]~41770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1063][5]~q\);

-- Location: LCCOMB_X14_Y29_N12
\led_flash_cnt[1063][6]~41772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1063][6]~41772_combout\ = (\led_flash_cnt[1063][6]~q\ & (!\led_flash_cnt[1063][5]~41771\)) # (!\led_flash_cnt[1063][6]~q\ & ((\led_flash_cnt[1063][5]~41771\) # (GND)))
-- \led_flash_cnt[1063][6]~41773\ = CARRY((!\led_flash_cnt[1063][5]~41771\) # (!\led_flash_cnt[1063][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1063][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1063][5]~41771\,
	combout => \led_flash_cnt[1063][6]~41772_combout\,
	cout => \led_flash_cnt[1063][6]~41773\);

-- Location: FF_X14_Y29_N13
\led_flash_cnt[1063][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1063][6]~41772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1063][6]~q\);

-- Location: LCCOMB_X14_Y29_N16
\WideAnd1063~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1063~1_combout\ = (\led_flash_cnt[1063][5]~q\ & \led_flash_cnt[1063][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1063][5]~q\,
	datad => \led_flash_cnt[1063][6]~q\,
	combout => \WideAnd1063~1_combout\);

-- Location: LCCOMB_X14_Y29_N14
\led_flash_cnt[1063][7]~41774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1063][7]~41774_combout\ = \led_flash_cnt[1063][7]~q\ $ (!\led_flash_cnt[1063][6]~41773\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1063][7]~q\,
	cin => \led_flash_cnt[1063][6]~41773\,
	combout => \led_flash_cnt[1063][7]~41774_combout\);

-- Location: FF_X14_Y29_N15
\led_flash_cnt[1063][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1063][7]~41774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1063][7]~q\);

-- Location: LCCOMB_X14_Y29_N18
\WideAnd1063~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1063~0_combout\ = (\led_flash_cnt[1063][3]~q\ & (\led_flash_cnt[1063][2]~q\ & (\led_flash_cnt[1063][4]~q\ & \led_flash_cnt[1063][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1063][3]~q\,
	datab => \led_flash_cnt[1063][2]~q\,
	datac => \led_flash_cnt[1063][4]~q\,
	datad => \led_flash_cnt[1063][1]~q\,
	combout => \WideAnd1063~0_combout\);

-- Location: LCCOMB_X14_Y29_N24
WideAnd1063 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1063~combout\ = (\led_flash_cnt[1063][0]~q\ & (\WideAnd1063~1_combout\ & (\led_flash_cnt[1063][7]~q\ & \WideAnd1063~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1063][0]~q\,
	datab => \WideAnd1063~1_combout\,
	datac => \led_flash_cnt[1063][7]~q\,
	datad => \WideAnd1063~0_combout\,
	combout => \WideAnd1063~combout\);

-- Location: FF_X14_Y29_N25
\led_flash_cnt_ands[1063]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1063~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1063));

-- Location: LCCOMB_X6_Y14_N4
\led_flash_cnt[1060][0]~81700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1060][0]~81700_combout\ = !\led_flash_cnt[1060][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1060][0]~q\,
	combout => \led_flash_cnt[1060][0]~81700_combout\);

-- Location: FF_X6_Y14_N5
\led_flash_cnt[1060][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1060][0]~81700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1060][0]~q\);

-- Location: LCCOMB_X10_Y14_N0
\led_flash_cnt[1060][1]~41720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1060][1]~41720_combout\ = (\led_flash_cnt[1060][0]~q\ & (\led_flash_cnt[1060][1]~q\ $ (VCC))) # (!\led_flash_cnt[1060][0]~q\ & (\led_flash_cnt[1060][1]~q\ & VCC))
-- \led_flash_cnt[1060][1]~41721\ = CARRY((\led_flash_cnt[1060][0]~q\ & \led_flash_cnt[1060][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1060][0]~q\,
	datab => \led_flash_cnt[1060][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1060][1]~41720_combout\,
	cout => \led_flash_cnt[1060][1]~41721\);

-- Location: FF_X10_Y14_N1
\led_flash_cnt[1060][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1060][1]~41720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1060][1]~q\);

-- Location: LCCOMB_X10_Y14_N2
\led_flash_cnt[1060][2]~41722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1060][2]~41722_combout\ = (\led_flash_cnt[1060][2]~q\ & (!\led_flash_cnt[1060][1]~41721\)) # (!\led_flash_cnt[1060][2]~q\ & ((\led_flash_cnt[1060][1]~41721\) # (GND)))
-- \led_flash_cnt[1060][2]~41723\ = CARRY((!\led_flash_cnt[1060][1]~41721\) # (!\led_flash_cnt[1060][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1060][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1060][1]~41721\,
	combout => \led_flash_cnt[1060][2]~41722_combout\,
	cout => \led_flash_cnt[1060][2]~41723\);

-- Location: FF_X10_Y14_N3
\led_flash_cnt[1060][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1060][2]~41722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1060][2]~q\);

-- Location: LCCOMB_X10_Y14_N4
\led_flash_cnt[1060][3]~41724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1060][3]~41724_combout\ = (\led_flash_cnt[1060][3]~q\ & (\led_flash_cnt[1060][2]~41723\ $ (GND))) # (!\led_flash_cnt[1060][3]~q\ & (!\led_flash_cnt[1060][2]~41723\ & VCC))
-- \led_flash_cnt[1060][3]~41725\ = CARRY((\led_flash_cnt[1060][3]~q\ & !\led_flash_cnt[1060][2]~41723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1060][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1060][2]~41723\,
	combout => \led_flash_cnt[1060][3]~41724_combout\,
	cout => \led_flash_cnt[1060][3]~41725\);

-- Location: FF_X10_Y14_N5
\led_flash_cnt[1060][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1060][3]~41724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1060][3]~q\);

-- Location: LCCOMB_X10_Y14_N6
\led_flash_cnt[1060][4]~41726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1060][4]~41726_combout\ = (\led_flash_cnt[1060][4]~q\ & (!\led_flash_cnt[1060][3]~41725\)) # (!\led_flash_cnt[1060][4]~q\ & ((\led_flash_cnt[1060][3]~41725\) # (GND)))
-- \led_flash_cnt[1060][4]~41727\ = CARRY((!\led_flash_cnt[1060][3]~41725\) # (!\led_flash_cnt[1060][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1060][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1060][3]~41725\,
	combout => \led_flash_cnt[1060][4]~41726_combout\,
	cout => \led_flash_cnt[1060][4]~41727\);

-- Location: FF_X10_Y14_N7
\led_flash_cnt[1060][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1060][4]~41726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1060][4]~q\);

-- Location: LCCOMB_X10_Y14_N30
\WideAnd1060~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1060~0_combout\ = (\led_flash_cnt[1060][4]~q\ & (\led_flash_cnt[1060][1]~q\ & (\led_flash_cnt[1060][3]~q\ & \led_flash_cnt[1060][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1060][4]~q\,
	datab => \led_flash_cnt[1060][1]~q\,
	datac => \led_flash_cnt[1060][3]~q\,
	datad => \led_flash_cnt[1060][2]~q\,
	combout => \WideAnd1060~0_combout\);

-- Location: LCCOMB_X10_Y14_N8
\led_flash_cnt[1060][5]~41728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1060][5]~41728_combout\ = (\led_flash_cnt[1060][5]~q\ & (\led_flash_cnt[1060][4]~41727\ $ (GND))) # (!\led_flash_cnt[1060][5]~q\ & (!\led_flash_cnt[1060][4]~41727\ & VCC))
-- \led_flash_cnt[1060][5]~41729\ = CARRY((\led_flash_cnt[1060][5]~q\ & !\led_flash_cnt[1060][4]~41727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1060][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1060][4]~41727\,
	combout => \led_flash_cnt[1060][5]~41728_combout\,
	cout => \led_flash_cnt[1060][5]~41729\);

-- Location: FF_X10_Y14_N9
\led_flash_cnt[1060][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1060][5]~41728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1060][5]~q\);

-- Location: LCCOMB_X10_Y14_N10
\led_flash_cnt[1060][6]~41730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1060][6]~41730_combout\ = (\led_flash_cnt[1060][6]~q\ & (!\led_flash_cnt[1060][5]~41729\)) # (!\led_flash_cnt[1060][6]~q\ & ((\led_flash_cnt[1060][5]~41729\) # (GND)))
-- \led_flash_cnt[1060][6]~41731\ = CARRY((!\led_flash_cnt[1060][5]~41729\) # (!\led_flash_cnt[1060][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1060][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1060][5]~41729\,
	combout => \led_flash_cnt[1060][6]~41730_combout\,
	cout => \led_flash_cnt[1060][6]~41731\);

-- Location: FF_X10_Y14_N11
\led_flash_cnt[1060][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1060][6]~41730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1060][6]~q\);

-- Location: LCCOMB_X10_Y14_N12
\led_flash_cnt[1060][7]~41732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1060][7]~41732_combout\ = \led_flash_cnt[1060][6]~41731\ $ (!\led_flash_cnt[1060][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1060][7]~q\,
	cin => \led_flash_cnt[1060][6]~41731\,
	combout => \led_flash_cnt[1060][7]~41732_combout\);

-- Location: FF_X10_Y14_N13
\led_flash_cnt[1060][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1060][7]~41732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1060][7]~q\);

-- Location: LCCOMB_X9_Y14_N2
\WideAnd1060~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1060~1_combout\ = (\led_flash_cnt[1060][5]~q\ & \led_flash_cnt[1060][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1060][5]~q\,
	datac => \led_flash_cnt[1060][6]~q\,
	combout => \WideAnd1060~1_combout\);

-- Location: LCCOMB_X9_Y14_N10
WideAnd1060 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1060~combout\ = (\WideAnd1060~0_combout\ & (\led_flash_cnt[1060][0]~q\ & (\led_flash_cnt[1060][7]~q\ & \WideAnd1060~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1060~0_combout\,
	datab => \led_flash_cnt[1060][0]~q\,
	datac => \led_flash_cnt[1060][7]~q\,
	datad => \WideAnd1060~1_combout\,
	combout => \WideAnd1060~combout\);

-- Location: FF_X9_Y14_N11
\led_flash_cnt_ands[1060]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1060~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1060));

-- Location: LCCOMB_X8_Y25_N24
\led_flash_cnt[1061][0]~81701\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1061][0]~81701_combout\ = !\led_flash_cnt[1061][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1061][0]~q\,
	combout => \led_flash_cnt[1061][0]~81701_combout\);

-- Location: FF_X8_Y25_N25
\led_flash_cnt[1061][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1061][0]~81701_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1061][0]~q\);

-- Location: LCCOMB_X9_Y28_N6
\led_flash_cnt[1061][1]~41734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1061][1]~41734_combout\ = (\led_flash_cnt[1061][1]~q\ & (\led_flash_cnt[1061][0]~q\ $ (VCC))) # (!\led_flash_cnt[1061][1]~q\ & (\led_flash_cnt[1061][0]~q\ & VCC))
-- \led_flash_cnt[1061][1]~41735\ = CARRY((\led_flash_cnt[1061][1]~q\ & \led_flash_cnt[1061][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1061][1]~q\,
	datab => \led_flash_cnt[1061][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1061][1]~41734_combout\,
	cout => \led_flash_cnt[1061][1]~41735\);

-- Location: FF_X9_Y28_N7
\led_flash_cnt[1061][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1061][1]~41734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1061][1]~q\);

-- Location: LCCOMB_X9_Y28_N8
\led_flash_cnt[1061][2]~41736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1061][2]~41736_combout\ = (\led_flash_cnt[1061][2]~q\ & (!\led_flash_cnt[1061][1]~41735\)) # (!\led_flash_cnt[1061][2]~q\ & ((\led_flash_cnt[1061][1]~41735\) # (GND)))
-- \led_flash_cnt[1061][2]~41737\ = CARRY((!\led_flash_cnt[1061][1]~41735\) # (!\led_flash_cnt[1061][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1061][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1061][1]~41735\,
	combout => \led_flash_cnt[1061][2]~41736_combout\,
	cout => \led_flash_cnt[1061][2]~41737\);

-- Location: FF_X9_Y28_N9
\led_flash_cnt[1061][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1061][2]~41736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1061][2]~q\);

-- Location: LCCOMB_X9_Y28_N10
\led_flash_cnt[1061][3]~41738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1061][3]~41738_combout\ = (\led_flash_cnt[1061][3]~q\ & (\led_flash_cnt[1061][2]~41737\ $ (GND))) # (!\led_flash_cnt[1061][3]~q\ & (!\led_flash_cnt[1061][2]~41737\ & VCC))
-- \led_flash_cnt[1061][3]~41739\ = CARRY((\led_flash_cnt[1061][3]~q\ & !\led_flash_cnt[1061][2]~41737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1061][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1061][2]~41737\,
	combout => \led_flash_cnt[1061][3]~41738_combout\,
	cout => \led_flash_cnt[1061][3]~41739\);

-- Location: FF_X9_Y28_N11
\led_flash_cnt[1061][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1061][3]~41738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1061][3]~q\);

-- Location: LCCOMB_X9_Y28_N12
\led_flash_cnt[1061][4]~41740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1061][4]~41740_combout\ = (\led_flash_cnt[1061][4]~q\ & (!\led_flash_cnt[1061][3]~41739\)) # (!\led_flash_cnt[1061][4]~q\ & ((\led_flash_cnt[1061][3]~41739\) # (GND)))
-- \led_flash_cnt[1061][4]~41741\ = CARRY((!\led_flash_cnt[1061][3]~41739\) # (!\led_flash_cnt[1061][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1061][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1061][3]~41739\,
	combout => \led_flash_cnt[1061][4]~41740_combout\,
	cout => \led_flash_cnt[1061][4]~41741\);

-- Location: FF_X9_Y28_N13
\led_flash_cnt[1061][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1061][4]~41740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1061][4]~q\);

-- Location: LCCOMB_X9_Y28_N14
\led_flash_cnt[1061][5]~41742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1061][5]~41742_combout\ = (\led_flash_cnt[1061][5]~q\ & (\led_flash_cnt[1061][4]~41741\ $ (GND))) # (!\led_flash_cnt[1061][5]~q\ & (!\led_flash_cnt[1061][4]~41741\ & VCC))
-- \led_flash_cnt[1061][5]~41743\ = CARRY((\led_flash_cnt[1061][5]~q\ & !\led_flash_cnt[1061][4]~41741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1061][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1061][4]~41741\,
	combout => \led_flash_cnt[1061][5]~41742_combout\,
	cout => \led_flash_cnt[1061][5]~41743\);

-- Location: FF_X9_Y28_N15
\led_flash_cnt[1061][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1061][5]~41742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1061][5]~q\);

-- Location: LCCOMB_X9_Y28_N16
\led_flash_cnt[1061][6]~41744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1061][6]~41744_combout\ = (\led_flash_cnt[1061][6]~q\ & (!\led_flash_cnt[1061][5]~41743\)) # (!\led_flash_cnt[1061][6]~q\ & ((\led_flash_cnt[1061][5]~41743\) # (GND)))
-- \led_flash_cnt[1061][6]~41745\ = CARRY((!\led_flash_cnt[1061][5]~41743\) # (!\led_flash_cnt[1061][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1061][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1061][5]~41743\,
	combout => \led_flash_cnt[1061][6]~41744_combout\,
	cout => \led_flash_cnt[1061][6]~41745\);

-- Location: FF_X9_Y28_N17
\led_flash_cnt[1061][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1061][6]~41744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1061][6]~q\);

-- Location: LCCOMB_X10_Y28_N30
\WideAnd1061~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1061~1_combout\ = (\led_flash_cnt[1061][6]~q\ & \led_flash_cnt[1061][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1061][6]~q\,
	datad => \led_flash_cnt[1061][5]~q\,
	combout => \WideAnd1061~1_combout\);

-- Location: LCCOMB_X9_Y28_N4
\WideAnd1061~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1061~0_combout\ = (\led_flash_cnt[1061][1]~q\ & (\led_flash_cnt[1061][4]~q\ & (\led_flash_cnt[1061][2]~q\ & \led_flash_cnt[1061][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1061][1]~q\,
	datab => \led_flash_cnt[1061][4]~q\,
	datac => \led_flash_cnt[1061][2]~q\,
	datad => \led_flash_cnt[1061][3]~q\,
	combout => \WideAnd1061~0_combout\);

-- Location: LCCOMB_X9_Y28_N18
\led_flash_cnt[1061][7]~41746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1061][7]~41746_combout\ = \led_flash_cnt[1061][6]~41745\ $ (!\led_flash_cnt[1061][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1061][7]~q\,
	cin => \led_flash_cnt[1061][6]~41745\,
	combout => \led_flash_cnt[1061][7]~41746_combout\);

-- Location: FF_X9_Y28_N19
\led_flash_cnt[1061][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1061][7]~41746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1061][7]~q\);

-- Location: LCCOMB_X9_Y28_N28
WideAnd1061 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1061~combout\ = (\WideAnd1061~1_combout\ & (\WideAnd1061~0_combout\ & (\led_flash_cnt[1061][0]~q\ & \led_flash_cnt[1061][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1061~1_combout\,
	datab => \WideAnd1061~0_combout\,
	datac => \led_flash_cnt[1061][0]~q\,
	datad => \led_flash_cnt[1061][7]~q\,
	combout => \WideAnd1061~combout\);

-- Location: FF_X9_Y28_N29
\led_flash_cnt_ands[1061]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1061~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1061));

-- Location: LCCOMB_X9_Y25_N2
\WideAnd3972~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3972~1_combout\ = (led_flash_cnt_ands(1060) & led_flash_cnt_ands(1061))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1060),
	datad => led_flash_cnt_ands(1061),
	combout => \WideAnd3972~1_combout\);

-- Location: LCCOMB_X9_Y25_N30
WideAnd3972 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3972~combout\ = (led_flash_cnt_ands(1062) & (\WideAnd3972~0_combout\ & (led_flash_cnt_ands(1063) & \WideAnd3972~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1062),
	datab => \WideAnd3972~0_combout\,
	datac => led_flash_cnt_ands(1063),
	datad => \WideAnd3972~1_combout\,
	combout => \WideAnd3972~combout\);

-- Location: FF_X9_Y25_N31
\led_flash_cnt_ands_1[132]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3972~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(132));

-- Location: LCCOMB_X20_Y16_N2
\led_flash_cnt[1065][0]~81705\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1065][0]~81705_combout\ = !\led_flash_cnt[1065][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1065][0]~q\,
	combout => \led_flash_cnt[1065][0]~81705_combout\);

-- Location: FF_X20_Y16_N3
\led_flash_cnt[1065][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1065][0]~81705_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1065][0]~q\);

-- Location: LCCOMB_X19_Y16_N2
\led_flash_cnt[1065][1]~41790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1065][1]~41790_combout\ = (\led_flash_cnt[1065][0]~q\ & (\led_flash_cnt[1065][1]~q\ $ (VCC))) # (!\led_flash_cnt[1065][0]~q\ & (\led_flash_cnt[1065][1]~q\ & VCC))
-- \led_flash_cnt[1065][1]~41791\ = CARRY((\led_flash_cnt[1065][0]~q\ & \led_flash_cnt[1065][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1065][0]~q\,
	datab => \led_flash_cnt[1065][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1065][1]~41790_combout\,
	cout => \led_flash_cnt[1065][1]~41791\);

-- Location: FF_X19_Y16_N3
\led_flash_cnt[1065][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1065][1]~41790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1065][1]~q\);

-- Location: LCCOMB_X19_Y16_N4
\led_flash_cnt[1065][2]~41792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1065][2]~41792_combout\ = (\led_flash_cnt[1065][2]~q\ & (!\led_flash_cnt[1065][1]~41791\)) # (!\led_flash_cnt[1065][2]~q\ & ((\led_flash_cnt[1065][1]~41791\) # (GND)))
-- \led_flash_cnt[1065][2]~41793\ = CARRY((!\led_flash_cnt[1065][1]~41791\) # (!\led_flash_cnt[1065][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1065][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1065][1]~41791\,
	combout => \led_flash_cnt[1065][2]~41792_combout\,
	cout => \led_flash_cnt[1065][2]~41793\);

-- Location: FF_X19_Y16_N5
\led_flash_cnt[1065][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1065][2]~41792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1065][2]~q\);

-- Location: LCCOMB_X19_Y16_N6
\led_flash_cnt[1065][3]~41794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1065][3]~41794_combout\ = (\led_flash_cnt[1065][3]~q\ & (\led_flash_cnt[1065][2]~41793\ $ (GND))) # (!\led_flash_cnt[1065][3]~q\ & (!\led_flash_cnt[1065][2]~41793\ & VCC))
-- \led_flash_cnt[1065][3]~41795\ = CARRY((\led_flash_cnt[1065][3]~q\ & !\led_flash_cnt[1065][2]~41793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1065][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1065][2]~41793\,
	combout => \led_flash_cnt[1065][3]~41794_combout\,
	cout => \led_flash_cnt[1065][3]~41795\);

-- Location: FF_X19_Y16_N7
\led_flash_cnt[1065][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1065][3]~41794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1065][3]~q\);

-- Location: LCCOMB_X19_Y16_N8
\led_flash_cnt[1065][4]~41796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1065][4]~41796_combout\ = (\led_flash_cnt[1065][4]~q\ & (!\led_flash_cnt[1065][3]~41795\)) # (!\led_flash_cnt[1065][4]~q\ & ((\led_flash_cnt[1065][3]~41795\) # (GND)))
-- \led_flash_cnt[1065][4]~41797\ = CARRY((!\led_flash_cnt[1065][3]~41795\) # (!\led_flash_cnt[1065][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1065][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1065][3]~41795\,
	combout => \led_flash_cnt[1065][4]~41796_combout\,
	cout => \led_flash_cnt[1065][4]~41797\);

-- Location: FF_X19_Y16_N9
\led_flash_cnt[1065][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1065][4]~41796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1065][4]~q\);

-- Location: LCCOMB_X19_Y16_N10
\led_flash_cnt[1065][5]~41798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1065][5]~41798_combout\ = (\led_flash_cnt[1065][5]~q\ & (\led_flash_cnt[1065][4]~41797\ $ (GND))) # (!\led_flash_cnt[1065][5]~q\ & (!\led_flash_cnt[1065][4]~41797\ & VCC))
-- \led_flash_cnt[1065][5]~41799\ = CARRY((\led_flash_cnt[1065][5]~q\ & !\led_flash_cnt[1065][4]~41797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1065][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1065][4]~41797\,
	combout => \led_flash_cnt[1065][5]~41798_combout\,
	cout => \led_flash_cnt[1065][5]~41799\);

-- Location: FF_X19_Y16_N11
\led_flash_cnt[1065][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1065][5]~41798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1065][5]~q\);

-- Location: LCCOMB_X19_Y16_N12
\led_flash_cnt[1065][6]~41800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1065][6]~41800_combout\ = (\led_flash_cnt[1065][6]~q\ & (!\led_flash_cnt[1065][5]~41799\)) # (!\led_flash_cnt[1065][6]~q\ & ((\led_flash_cnt[1065][5]~41799\) # (GND)))
-- \led_flash_cnt[1065][6]~41801\ = CARRY((!\led_flash_cnt[1065][5]~41799\) # (!\led_flash_cnt[1065][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1065][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1065][5]~41799\,
	combout => \led_flash_cnt[1065][6]~41800_combout\,
	cout => \led_flash_cnt[1065][6]~41801\);

-- Location: FF_X19_Y16_N13
\led_flash_cnt[1065][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1065][6]~41800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1065][6]~q\);

-- Location: LCCOMB_X19_Y16_N14
\led_flash_cnt[1065][7]~41802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1065][7]~41802_combout\ = \led_flash_cnt[1065][7]~q\ $ (!\led_flash_cnt[1065][6]~41801\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1065][7]~q\,
	cin => \led_flash_cnt[1065][6]~41801\,
	combout => \led_flash_cnt[1065][7]~41802_combout\);

-- Location: FF_X19_Y16_N15
\led_flash_cnt[1065][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1065][7]~41802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1065][7]~q\);

-- Location: LCCOMB_X20_Y16_N28
\WideAnd1065~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1065~1_combout\ = (\led_flash_cnt[1065][6]~q\ & \led_flash_cnt[1065][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1065][6]~q\,
	datad => \led_flash_cnt[1065][5]~q\,
	combout => \WideAnd1065~1_combout\);

-- Location: LCCOMB_X19_Y16_N30
\WideAnd1065~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1065~0_combout\ = (\led_flash_cnt[1065][3]~q\ & (\led_flash_cnt[1065][4]~q\ & (\led_flash_cnt[1065][2]~q\ & \led_flash_cnt[1065][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1065][3]~q\,
	datab => \led_flash_cnt[1065][4]~q\,
	datac => \led_flash_cnt[1065][2]~q\,
	datad => \led_flash_cnt[1065][1]~q\,
	combout => \WideAnd1065~0_combout\);

-- Location: LCCOMB_X20_Y16_N26
WideAnd1065 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1065~combout\ = (\led_flash_cnt[1065][7]~q\ & (\WideAnd1065~1_combout\ & (\led_flash_cnt[1065][0]~q\ & \WideAnd1065~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1065][7]~q\,
	datab => \WideAnd1065~1_combout\,
	datac => \led_flash_cnt[1065][0]~q\,
	datad => \WideAnd1065~0_combout\,
	combout => \WideAnd1065~combout\);

-- Location: FF_X20_Y16_N27
\led_flash_cnt_ands[1065]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1065~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1065));

-- Location: LCCOMB_X11_Y7_N24
\led_flash_cnt[1066][0]~81706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1066][0]~81706_combout\ = !\led_flash_cnt[1066][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1066][0]~q\,
	combout => \led_flash_cnt[1066][0]~81706_combout\);

-- Location: FF_X11_Y7_N25
\led_flash_cnt[1066][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1066][0]~81706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1066][0]~q\);

-- Location: LCCOMB_X14_Y7_N4
\led_flash_cnt[1066][1]~41804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1066][1]~41804_combout\ = (\led_flash_cnt[1066][0]~q\ & (\led_flash_cnt[1066][1]~q\ $ (VCC))) # (!\led_flash_cnt[1066][0]~q\ & (\led_flash_cnt[1066][1]~q\ & VCC))
-- \led_flash_cnt[1066][1]~41805\ = CARRY((\led_flash_cnt[1066][0]~q\ & \led_flash_cnt[1066][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1066][0]~q\,
	datab => \led_flash_cnt[1066][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1066][1]~41804_combout\,
	cout => \led_flash_cnt[1066][1]~41805\);

-- Location: FF_X14_Y7_N5
\led_flash_cnt[1066][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1066][1]~41804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1066][1]~q\);

-- Location: LCCOMB_X14_Y7_N6
\led_flash_cnt[1066][2]~41806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1066][2]~41806_combout\ = (\led_flash_cnt[1066][2]~q\ & (!\led_flash_cnt[1066][1]~41805\)) # (!\led_flash_cnt[1066][2]~q\ & ((\led_flash_cnt[1066][1]~41805\) # (GND)))
-- \led_flash_cnt[1066][2]~41807\ = CARRY((!\led_flash_cnt[1066][1]~41805\) # (!\led_flash_cnt[1066][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1066][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1066][1]~41805\,
	combout => \led_flash_cnt[1066][2]~41806_combout\,
	cout => \led_flash_cnt[1066][2]~41807\);

-- Location: FF_X14_Y7_N7
\led_flash_cnt[1066][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1066][2]~41806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1066][2]~q\);

-- Location: LCCOMB_X14_Y7_N8
\led_flash_cnt[1066][3]~41808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1066][3]~41808_combout\ = (\led_flash_cnt[1066][3]~q\ & (\led_flash_cnt[1066][2]~41807\ $ (GND))) # (!\led_flash_cnt[1066][3]~q\ & (!\led_flash_cnt[1066][2]~41807\ & VCC))
-- \led_flash_cnt[1066][3]~41809\ = CARRY((\led_flash_cnt[1066][3]~q\ & !\led_flash_cnt[1066][2]~41807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1066][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1066][2]~41807\,
	combout => \led_flash_cnt[1066][3]~41808_combout\,
	cout => \led_flash_cnt[1066][3]~41809\);

-- Location: FF_X14_Y7_N9
\led_flash_cnt[1066][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1066][3]~41808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1066][3]~q\);

-- Location: LCCOMB_X14_Y7_N10
\led_flash_cnt[1066][4]~41810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1066][4]~41810_combout\ = (\led_flash_cnt[1066][4]~q\ & (!\led_flash_cnt[1066][3]~41809\)) # (!\led_flash_cnt[1066][4]~q\ & ((\led_flash_cnt[1066][3]~41809\) # (GND)))
-- \led_flash_cnt[1066][4]~41811\ = CARRY((!\led_flash_cnt[1066][3]~41809\) # (!\led_flash_cnt[1066][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1066][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1066][3]~41809\,
	combout => \led_flash_cnt[1066][4]~41810_combout\,
	cout => \led_flash_cnt[1066][4]~41811\);

-- Location: FF_X14_Y7_N11
\led_flash_cnt[1066][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1066][4]~41810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1066][4]~q\);

-- Location: LCCOMB_X14_Y7_N12
\led_flash_cnt[1066][5]~41812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1066][5]~41812_combout\ = (\led_flash_cnt[1066][5]~q\ & (\led_flash_cnt[1066][4]~41811\ $ (GND))) # (!\led_flash_cnt[1066][5]~q\ & (!\led_flash_cnt[1066][4]~41811\ & VCC))
-- \led_flash_cnt[1066][5]~41813\ = CARRY((\led_flash_cnt[1066][5]~q\ & !\led_flash_cnt[1066][4]~41811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1066][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1066][4]~41811\,
	combout => \led_flash_cnt[1066][5]~41812_combout\,
	cout => \led_flash_cnt[1066][5]~41813\);

-- Location: FF_X14_Y7_N13
\led_flash_cnt[1066][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1066][5]~41812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1066][5]~q\);

-- Location: LCCOMB_X14_Y7_N14
\led_flash_cnt[1066][6]~41814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1066][6]~41814_combout\ = (\led_flash_cnt[1066][6]~q\ & (!\led_flash_cnt[1066][5]~41813\)) # (!\led_flash_cnt[1066][6]~q\ & ((\led_flash_cnt[1066][5]~41813\) # (GND)))
-- \led_flash_cnt[1066][6]~41815\ = CARRY((!\led_flash_cnt[1066][5]~41813\) # (!\led_flash_cnt[1066][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1066][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1066][5]~41813\,
	combout => \led_flash_cnt[1066][6]~41814_combout\,
	cout => \led_flash_cnt[1066][6]~41815\);

-- Location: FF_X14_Y7_N15
\led_flash_cnt[1066][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1066][6]~41814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1066][6]~q\);

-- Location: LCCOMB_X15_Y7_N28
\WideAnd1066~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1066~1_combout\ = (\led_flash_cnt[1066][6]~q\ & \led_flash_cnt[1066][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1066][6]~q\,
	datad => \led_flash_cnt[1066][5]~q\,
	combout => \WideAnd1066~1_combout\);

-- Location: LCCOMB_X14_Y7_N16
\led_flash_cnt[1066][7]~41816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1066][7]~41816_combout\ = \led_flash_cnt[1066][6]~41815\ $ (!\led_flash_cnt[1066][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1066][7]~q\,
	cin => \led_flash_cnt[1066][6]~41815\,
	combout => \led_flash_cnt[1066][7]~41816_combout\);

-- Location: FF_X14_Y7_N17
\led_flash_cnt[1066][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1066][7]~41816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1066][7]~q\);

-- Location: LCCOMB_X14_Y7_N2
\WideAnd1066~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1066~0_combout\ = (\led_flash_cnt[1066][4]~q\ & (\led_flash_cnt[1066][1]~q\ & (\led_flash_cnt[1066][3]~q\ & \led_flash_cnt[1066][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1066][4]~q\,
	datab => \led_flash_cnt[1066][1]~q\,
	datac => \led_flash_cnt[1066][3]~q\,
	datad => \led_flash_cnt[1066][2]~q\,
	combout => \WideAnd1066~0_combout\);

-- Location: LCCOMB_X15_Y7_N0
WideAnd1066 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1066~combout\ = (\led_flash_cnt[1066][0]~q\ & (\WideAnd1066~1_combout\ & (\led_flash_cnt[1066][7]~q\ & \WideAnd1066~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1066][0]~q\,
	datab => \WideAnd1066~1_combout\,
	datac => \led_flash_cnt[1066][7]~q\,
	datad => \WideAnd1066~0_combout\,
	combout => \WideAnd1066~combout\);

-- Location: FF_X15_Y7_N1
\led_flash_cnt_ands[1066]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1066~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1066));

-- Location: LCCOMB_X13_Y6_N2
\led_flash_cnt[1067][0]~81707\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1067][0]~81707_combout\ = !\led_flash_cnt[1067][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1067][0]~q\,
	combout => \led_flash_cnt[1067][0]~81707_combout\);

-- Location: FF_X13_Y6_N3
\led_flash_cnt[1067][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1067][0]~81707_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1067][0]~q\);

-- Location: LCCOMB_X21_Y6_N0
\led_flash_cnt[1067][1]~41818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1067][1]~41818_combout\ = (\led_flash_cnt[1067][0]~q\ & (\led_flash_cnt[1067][1]~q\ $ (VCC))) # (!\led_flash_cnt[1067][0]~q\ & (\led_flash_cnt[1067][1]~q\ & VCC))
-- \led_flash_cnt[1067][1]~41819\ = CARRY((\led_flash_cnt[1067][0]~q\ & \led_flash_cnt[1067][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1067][0]~q\,
	datab => \led_flash_cnt[1067][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1067][1]~41818_combout\,
	cout => \led_flash_cnt[1067][1]~41819\);

-- Location: FF_X21_Y6_N1
\led_flash_cnt[1067][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1067][1]~41818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1067][1]~q\);

-- Location: LCCOMB_X21_Y6_N2
\led_flash_cnt[1067][2]~41820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1067][2]~41820_combout\ = (\led_flash_cnt[1067][2]~q\ & (!\led_flash_cnt[1067][1]~41819\)) # (!\led_flash_cnt[1067][2]~q\ & ((\led_flash_cnt[1067][1]~41819\) # (GND)))
-- \led_flash_cnt[1067][2]~41821\ = CARRY((!\led_flash_cnt[1067][1]~41819\) # (!\led_flash_cnt[1067][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1067][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1067][1]~41819\,
	combout => \led_flash_cnt[1067][2]~41820_combout\,
	cout => \led_flash_cnt[1067][2]~41821\);

-- Location: FF_X21_Y6_N3
\led_flash_cnt[1067][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1067][2]~41820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1067][2]~q\);

-- Location: LCCOMB_X21_Y6_N4
\led_flash_cnt[1067][3]~41822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1067][3]~41822_combout\ = (\led_flash_cnt[1067][3]~q\ & (\led_flash_cnt[1067][2]~41821\ $ (GND))) # (!\led_flash_cnt[1067][3]~q\ & (!\led_flash_cnt[1067][2]~41821\ & VCC))
-- \led_flash_cnt[1067][3]~41823\ = CARRY((\led_flash_cnt[1067][3]~q\ & !\led_flash_cnt[1067][2]~41821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1067][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1067][2]~41821\,
	combout => \led_flash_cnt[1067][3]~41822_combout\,
	cout => \led_flash_cnt[1067][3]~41823\);

-- Location: FF_X21_Y6_N5
\led_flash_cnt[1067][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1067][3]~41822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1067][3]~q\);

-- Location: LCCOMB_X21_Y6_N6
\led_flash_cnt[1067][4]~41824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1067][4]~41824_combout\ = (\led_flash_cnt[1067][4]~q\ & (!\led_flash_cnt[1067][3]~41823\)) # (!\led_flash_cnt[1067][4]~q\ & ((\led_flash_cnt[1067][3]~41823\) # (GND)))
-- \led_flash_cnt[1067][4]~41825\ = CARRY((!\led_flash_cnt[1067][3]~41823\) # (!\led_flash_cnt[1067][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1067][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1067][3]~41823\,
	combout => \led_flash_cnt[1067][4]~41824_combout\,
	cout => \led_flash_cnt[1067][4]~41825\);

-- Location: FF_X21_Y6_N7
\led_flash_cnt[1067][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1067][4]~41824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1067][4]~q\);

-- Location: LCCOMB_X21_Y6_N8
\led_flash_cnt[1067][5]~41826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1067][5]~41826_combout\ = (\led_flash_cnt[1067][5]~q\ & (\led_flash_cnt[1067][4]~41825\ $ (GND))) # (!\led_flash_cnt[1067][5]~q\ & (!\led_flash_cnt[1067][4]~41825\ & VCC))
-- \led_flash_cnt[1067][5]~41827\ = CARRY((\led_flash_cnt[1067][5]~q\ & !\led_flash_cnt[1067][4]~41825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1067][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1067][4]~41825\,
	combout => \led_flash_cnt[1067][5]~41826_combout\,
	cout => \led_flash_cnt[1067][5]~41827\);

-- Location: FF_X21_Y6_N9
\led_flash_cnt[1067][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1067][5]~41826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1067][5]~q\);

-- Location: LCCOMB_X21_Y6_N10
\led_flash_cnt[1067][6]~41828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1067][6]~41828_combout\ = (\led_flash_cnt[1067][6]~q\ & (!\led_flash_cnt[1067][5]~41827\)) # (!\led_flash_cnt[1067][6]~q\ & ((\led_flash_cnt[1067][5]~41827\) # (GND)))
-- \led_flash_cnt[1067][6]~41829\ = CARRY((!\led_flash_cnt[1067][5]~41827\) # (!\led_flash_cnt[1067][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1067][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1067][5]~41827\,
	combout => \led_flash_cnt[1067][6]~41828_combout\,
	cout => \led_flash_cnt[1067][6]~41829\);

-- Location: FF_X21_Y6_N11
\led_flash_cnt[1067][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1067][6]~41828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1067][6]~q\);

-- Location: LCCOMB_X20_Y9_N22
\WideAnd1067~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1067~1_combout\ = (\led_flash_cnt[1067][6]~q\ & \led_flash_cnt[1067][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1067][6]~q\,
	datac => \led_flash_cnt[1067][5]~q\,
	combout => \WideAnd1067~1_combout\);

-- Location: LCCOMB_X21_Y6_N12
\led_flash_cnt[1067][7]~41830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1067][7]~41830_combout\ = \led_flash_cnt[1067][6]~41829\ $ (!\led_flash_cnt[1067][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1067][7]~q\,
	cin => \led_flash_cnt[1067][6]~41829\,
	combout => \led_flash_cnt[1067][7]~41830_combout\);

-- Location: FF_X21_Y6_N13
\led_flash_cnt[1067][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1067][7]~41830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1067][7]~q\);

-- Location: LCCOMB_X21_Y6_N16
\WideAnd1067~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1067~0_combout\ = (\led_flash_cnt[1067][4]~q\ & (\led_flash_cnt[1067][2]~q\ & (\led_flash_cnt[1067][3]~q\ & \led_flash_cnt[1067][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1067][4]~q\,
	datab => \led_flash_cnt[1067][2]~q\,
	datac => \led_flash_cnt[1067][3]~q\,
	datad => \led_flash_cnt[1067][1]~q\,
	combout => \WideAnd1067~0_combout\);

-- Location: LCCOMB_X20_Y9_N4
WideAnd1067 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1067~combout\ = (\WideAnd1067~1_combout\ & (\led_flash_cnt[1067][0]~q\ & (\led_flash_cnt[1067][7]~q\ & \WideAnd1067~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1067~1_combout\,
	datab => \led_flash_cnt[1067][0]~q\,
	datac => \led_flash_cnt[1067][7]~q\,
	datad => \WideAnd1067~0_combout\,
	combout => \WideAnd1067~combout\);

-- Location: FF_X20_Y9_N5
\led_flash_cnt_ands[1067]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1067~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1067));

-- Location: LCCOMB_X20_Y12_N2
\led_flash_cnt[1064][0]~81704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1064][0]~81704_combout\ = !\led_flash_cnt[1064][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1064][0]~q\,
	combout => \led_flash_cnt[1064][0]~81704_combout\);

-- Location: FF_X20_Y12_N3
\led_flash_cnt[1064][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1064][0]~81704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1064][0]~q\);

-- Location: LCCOMB_X19_Y12_N0
\led_flash_cnt[1064][1]~41776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1064][1]~41776_combout\ = (\led_flash_cnt[1064][0]~q\ & (\led_flash_cnt[1064][1]~q\ $ (VCC))) # (!\led_flash_cnt[1064][0]~q\ & (\led_flash_cnt[1064][1]~q\ & VCC))
-- \led_flash_cnt[1064][1]~41777\ = CARRY((\led_flash_cnt[1064][0]~q\ & \led_flash_cnt[1064][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1064][0]~q\,
	datab => \led_flash_cnt[1064][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1064][1]~41776_combout\,
	cout => \led_flash_cnt[1064][1]~41777\);

-- Location: FF_X19_Y12_N1
\led_flash_cnt[1064][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1064][1]~41776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1064][1]~q\);

-- Location: LCCOMB_X19_Y12_N2
\led_flash_cnt[1064][2]~41778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1064][2]~41778_combout\ = (\led_flash_cnt[1064][2]~q\ & (!\led_flash_cnt[1064][1]~41777\)) # (!\led_flash_cnt[1064][2]~q\ & ((\led_flash_cnt[1064][1]~41777\) # (GND)))
-- \led_flash_cnt[1064][2]~41779\ = CARRY((!\led_flash_cnt[1064][1]~41777\) # (!\led_flash_cnt[1064][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1064][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1064][1]~41777\,
	combout => \led_flash_cnt[1064][2]~41778_combout\,
	cout => \led_flash_cnt[1064][2]~41779\);

-- Location: FF_X19_Y12_N3
\led_flash_cnt[1064][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1064][2]~41778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1064][2]~q\);

-- Location: LCCOMB_X19_Y12_N4
\led_flash_cnt[1064][3]~41780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1064][3]~41780_combout\ = (\led_flash_cnt[1064][3]~q\ & (\led_flash_cnt[1064][2]~41779\ $ (GND))) # (!\led_flash_cnt[1064][3]~q\ & (!\led_flash_cnt[1064][2]~41779\ & VCC))
-- \led_flash_cnt[1064][3]~41781\ = CARRY((\led_flash_cnt[1064][3]~q\ & !\led_flash_cnt[1064][2]~41779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1064][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1064][2]~41779\,
	combout => \led_flash_cnt[1064][3]~41780_combout\,
	cout => \led_flash_cnt[1064][3]~41781\);

-- Location: FF_X19_Y12_N5
\led_flash_cnt[1064][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1064][3]~41780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1064][3]~q\);

-- Location: LCCOMB_X19_Y12_N6
\led_flash_cnt[1064][4]~41782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1064][4]~41782_combout\ = (\led_flash_cnt[1064][4]~q\ & (!\led_flash_cnt[1064][3]~41781\)) # (!\led_flash_cnt[1064][4]~q\ & ((\led_flash_cnt[1064][3]~41781\) # (GND)))
-- \led_flash_cnt[1064][4]~41783\ = CARRY((!\led_flash_cnt[1064][3]~41781\) # (!\led_flash_cnt[1064][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1064][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1064][3]~41781\,
	combout => \led_flash_cnt[1064][4]~41782_combout\,
	cout => \led_flash_cnt[1064][4]~41783\);

-- Location: FF_X19_Y12_N7
\led_flash_cnt[1064][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1064][4]~41782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1064][4]~q\);

-- Location: LCCOMB_X19_Y12_N8
\led_flash_cnt[1064][5]~41784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1064][5]~41784_combout\ = (\led_flash_cnt[1064][5]~q\ & (\led_flash_cnt[1064][4]~41783\ $ (GND))) # (!\led_flash_cnt[1064][5]~q\ & (!\led_flash_cnt[1064][4]~41783\ & VCC))
-- \led_flash_cnt[1064][5]~41785\ = CARRY((\led_flash_cnt[1064][5]~q\ & !\led_flash_cnt[1064][4]~41783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1064][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1064][4]~41783\,
	combout => \led_flash_cnt[1064][5]~41784_combout\,
	cout => \led_flash_cnt[1064][5]~41785\);

-- Location: FF_X19_Y12_N9
\led_flash_cnt[1064][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1064][5]~41784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1064][5]~q\);

-- Location: LCCOMB_X19_Y12_N10
\led_flash_cnt[1064][6]~41786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1064][6]~41786_combout\ = (\led_flash_cnt[1064][6]~q\ & (!\led_flash_cnt[1064][5]~41785\)) # (!\led_flash_cnt[1064][6]~q\ & ((\led_flash_cnt[1064][5]~41785\) # (GND)))
-- \led_flash_cnt[1064][6]~41787\ = CARRY((!\led_flash_cnt[1064][5]~41785\) # (!\led_flash_cnt[1064][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1064][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1064][5]~41785\,
	combout => \led_flash_cnt[1064][6]~41786_combout\,
	cout => \led_flash_cnt[1064][6]~41787\);

-- Location: FF_X19_Y12_N11
\led_flash_cnt[1064][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1064][6]~41786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1064][6]~q\);

-- Location: LCCOMB_X19_Y12_N12
\led_flash_cnt[1064][7]~41788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1064][7]~41788_combout\ = \led_flash_cnt[1064][6]~41787\ $ (!\led_flash_cnt[1064][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1064][7]~q\,
	cin => \led_flash_cnt[1064][6]~41787\,
	combout => \led_flash_cnt[1064][7]~41788_combout\);

-- Location: FF_X19_Y12_N13
\led_flash_cnt[1064][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1064][7]~41788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1064][7]~q\);

-- Location: LCCOMB_X19_Y12_N30
\WideAnd1064~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1064~0_combout\ = (\led_flash_cnt[1064][4]~q\ & (\led_flash_cnt[1064][1]~q\ & (\led_flash_cnt[1064][3]~q\ & \led_flash_cnt[1064][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1064][4]~q\,
	datab => \led_flash_cnt[1064][1]~q\,
	datac => \led_flash_cnt[1064][3]~q\,
	datad => \led_flash_cnt[1064][2]~q\,
	combout => \WideAnd1064~0_combout\);

-- Location: LCCOMB_X20_Y12_N26
\WideAnd1064~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1064~1_combout\ = (\led_flash_cnt[1064][6]~q\ & \led_flash_cnt[1064][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1064][6]~q\,
	datad => \led_flash_cnt[1064][5]~q\,
	combout => \WideAnd1064~1_combout\);

-- Location: LCCOMB_X20_Y12_N24
WideAnd1064 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1064~combout\ = (\led_flash_cnt[1064][7]~q\ & (\WideAnd1064~0_combout\ & (\WideAnd1064~1_combout\ & \led_flash_cnt[1064][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1064][7]~q\,
	datab => \WideAnd1064~0_combout\,
	datac => \WideAnd1064~1_combout\,
	datad => \led_flash_cnt[1064][0]~q\,
	combout => \WideAnd1064~combout\);

-- Location: FF_X20_Y12_N25
\led_flash_cnt_ands[1064]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1064~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1064));

-- Location: LCCOMB_X20_Y12_N22
\WideAnd3973~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3973~0_combout\ = (led_flash_cnt_ands(1065) & (led_flash_cnt_ands(1066) & (led_flash_cnt_ands(1067) & led_flash_cnt_ands(1064))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1065),
	datab => led_flash_cnt_ands(1066),
	datac => led_flash_cnt_ands(1067),
	datad => led_flash_cnt_ands(1064),
	combout => \WideAnd3973~0_combout\);

-- Location: LCCOMB_X21_Y19_N28
\led_flash_cnt[1070][0]~81710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1070][0]~81710_combout\ = !\led_flash_cnt[1070][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1070][0]~q\,
	combout => \led_flash_cnt[1070][0]~81710_combout\);

-- Location: FF_X21_Y19_N29
\led_flash_cnt[1070][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1070][0]~81710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1070][0]~q\);

-- Location: LCCOMB_X21_Y19_N10
\led_flash_cnt[1070][1]~41860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1070][1]~41860_combout\ = (\led_flash_cnt[1070][1]~q\ & (\led_flash_cnt[1070][0]~q\ $ (VCC))) # (!\led_flash_cnt[1070][1]~q\ & (\led_flash_cnt[1070][0]~q\ & VCC))
-- \led_flash_cnt[1070][1]~41861\ = CARRY((\led_flash_cnt[1070][1]~q\ & \led_flash_cnt[1070][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1070][1]~q\,
	datab => \led_flash_cnt[1070][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1070][1]~41860_combout\,
	cout => \led_flash_cnt[1070][1]~41861\);

-- Location: FF_X21_Y19_N11
\led_flash_cnt[1070][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1070][1]~41860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1070][1]~q\);

-- Location: LCCOMB_X21_Y19_N12
\led_flash_cnt[1070][2]~41862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1070][2]~41862_combout\ = (\led_flash_cnt[1070][2]~q\ & (!\led_flash_cnt[1070][1]~41861\)) # (!\led_flash_cnt[1070][2]~q\ & ((\led_flash_cnt[1070][1]~41861\) # (GND)))
-- \led_flash_cnt[1070][2]~41863\ = CARRY((!\led_flash_cnt[1070][1]~41861\) # (!\led_flash_cnt[1070][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1070][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1070][1]~41861\,
	combout => \led_flash_cnt[1070][2]~41862_combout\,
	cout => \led_flash_cnt[1070][2]~41863\);

-- Location: FF_X21_Y19_N13
\led_flash_cnt[1070][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1070][2]~41862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1070][2]~q\);

-- Location: LCCOMB_X21_Y19_N14
\led_flash_cnt[1070][3]~41864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1070][3]~41864_combout\ = (\led_flash_cnt[1070][3]~q\ & (\led_flash_cnt[1070][2]~41863\ $ (GND))) # (!\led_flash_cnt[1070][3]~q\ & (!\led_flash_cnt[1070][2]~41863\ & VCC))
-- \led_flash_cnt[1070][3]~41865\ = CARRY((\led_flash_cnt[1070][3]~q\ & !\led_flash_cnt[1070][2]~41863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1070][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1070][2]~41863\,
	combout => \led_flash_cnt[1070][3]~41864_combout\,
	cout => \led_flash_cnt[1070][3]~41865\);

-- Location: FF_X21_Y19_N15
\led_flash_cnt[1070][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1070][3]~41864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1070][3]~q\);

-- Location: LCCOMB_X21_Y19_N16
\led_flash_cnt[1070][4]~41866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1070][4]~41866_combout\ = (\led_flash_cnt[1070][4]~q\ & (!\led_flash_cnt[1070][3]~41865\)) # (!\led_flash_cnt[1070][4]~q\ & ((\led_flash_cnt[1070][3]~41865\) # (GND)))
-- \led_flash_cnt[1070][4]~41867\ = CARRY((!\led_flash_cnt[1070][3]~41865\) # (!\led_flash_cnt[1070][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1070][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1070][3]~41865\,
	combout => \led_flash_cnt[1070][4]~41866_combout\,
	cout => \led_flash_cnt[1070][4]~41867\);

-- Location: FF_X21_Y19_N17
\led_flash_cnt[1070][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1070][4]~41866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1070][4]~q\);

-- Location: LCCOMB_X21_Y19_N18
\led_flash_cnt[1070][5]~41868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1070][5]~41868_combout\ = (\led_flash_cnt[1070][5]~q\ & (\led_flash_cnt[1070][4]~41867\ $ (GND))) # (!\led_flash_cnt[1070][5]~q\ & (!\led_flash_cnt[1070][4]~41867\ & VCC))
-- \led_flash_cnt[1070][5]~41869\ = CARRY((\led_flash_cnt[1070][5]~q\ & !\led_flash_cnt[1070][4]~41867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1070][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1070][4]~41867\,
	combout => \led_flash_cnt[1070][5]~41868_combout\,
	cout => \led_flash_cnt[1070][5]~41869\);

-- Location: FF_X21_Y19_N19
\led_flash_cnt[1070][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1070][5]~41868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1070][5]~q\);

-- Location: LCCOMB_X21_Y19_N20
\led_flash_cnt[1070][6]~41870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1070][6]~41870_combout\ = (\led_flash_cnt[1070][6]~q\ & (!\led_flash_cnt[1070][5]~41869\)) # (!\led_flash_cnt[1070][6]~q\ & ((\led_flash_cnt[1070][5]~41869\) # (GND)))
-- \led_flash_cnt[1070][6]~41871\ = CARRY((!\led_flash_cnt[1070][5]~41869\) # (!\led_flash_cnt[1070][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1070][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1070][5]~41869\,
	combout => \led_flash_cnt[1070][6]~41870_combout\,
	cout => \led_flash_cnt[1070][6]~41871\);

-- Location: FF_X21_Y19_N21
\led_flash_cnt[1070][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1070][6]~41870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1070][6]~q\);

-- Location: LCCOMB_X21_Y19_N22
\led_flash_cnt[1070][7]~41872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1070][7]~41872_combout\ = \led_flash_cnt[1070][7]~q\ $ (!\led_flash_cnt[1070][6]~41871\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1070][7]~q\,
	cin => \led_flash_cnt[1070][6]~41871\,
	combout => \led_flash_cnt[1070][7]~41872_combout\);

-- Location: FF_X21_Y19_N23
\led_flash_cnt[1070][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1070][7]~41872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1070][7]~q\);

-- Location: LCCOMB_X21_Y19_N30
\WideAnd1070~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1070~0_combout\ = (\led_flash_cnt[1070][2]~q\ & (\led_flash_cnt[1070][4]~q\ & (\led_flash_cnt[1070][3]~q\ & \led_flash_cnt[1070][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1070][2]~q\,
	datab => \led_flash_cnt[1070][4]~q\,
	datac => \led_flash_cnt[1070][3]~q\,
	datad => \led_flash_cnt[1070][1]~q\,
	combout => \WideAnd1070~0_combout\);

-- Location: LCCOMB_X21_Y19_N2
\WideAnd1070~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1070~1_combout\ = (\led_flash_cnt[1070][5]~q\ & \led_flash_cnt[1070][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1070][5]~q\,
	datad => \led_flash_cnt[1070][6]~q\,
	combout => \WideAnd1070~1_combout\);

-- Location: LCCOMB_X21_Y19_N4
WideAnd1070 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1070~combout\ = (\led_flash_cnt[1070][7]~q\ & (\led_flash_cnt[1070][0]~q\ & (\WideAnd1070~0_combout\ & \WideAnd1070~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1070][7]~q\,
	datab => \led_flash_cnt[1070][0]~q\,
	datac => \WideAnd1070~0_combout\,
	datad => \WideAnd1070~1_combout\,
	combout => \WideAnd1070~combout\);

-- Location: FF_X21_Y19_N5
\led_flash_cnt_ands[1070]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1070~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1070));

-- Location: LCCOMB_X2_Y15_N24
\led_flash_cnt[1069][0]~81709\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1069][0]~81709_combout\ = !\led_flash_cnt[1069][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1069][0]~q\,
	combout => \led_flash_cnt[1069][0]~81709_combout\);

-- Location: FF_X2_Y15_N25
\led_flash_cnt[1069][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1069][0]~81709_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1069][0]~q\);

-- Location: LCCOMB_X1_Y15_N2
\led_flash_cnt[1069][1]~41846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1069][1]~41846_combout\ = (\led_flash_cnt[1069][0]~q\ & (\led_flash_cnt[1069][1]~q\ $ (VCC))) # (!\led_flash_cnt[1069][0]~q\ & (\led_flash_cnt[1069][1]~q\ & VCC))
-- \led_flash_cnt[1069][1]~41847\ = CARRY((\led_flash_cnt[1069][0]~q\ & \led_flash_cnt[1069][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1069][0]~q\,
	datab => \led_flash_cnt[1069][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1069][1]~41846_combout\,
	cout => \led_flash_cnt[1069][1]~41847\);

-- Location: FF_X1_Y15_N3
\led_flash_cnt[1069][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1069][1]~41846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1069][1]~q\);

-- Location: LCCOMB_X1_Y15_N4
\led_flash_cnt[1069][2]~41848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1069][2]~41848_combout\ = (\led_flash_cnt[1069][2]~q\ & (!\led_flash_cnt[1069][1]~41847\)) # (!\led_flash_cnt[1069][2]~q\ & ((\led_flash_cnt[1069][1]~41847\) # (GND)))
-- \led_flash_cnt[1069][2]~41849\ = CARRY((!\led_flash_cnt[1069][1]~41847\) # (!\led_flash_cnt[1069][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1069][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1069][1]~41847\,
	combout => \led_flash_cnt[1069][2]~41848_combout\,
	cout => \led_flash_cnt[1069][2]~41849\);

-- Location: FF_X1_Y15_N5
\led_flash_cnt[1069][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1069][2]~41848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1069][2]~q\);

-- Location: LCCOMB_X1_Y15_N6
\led_flash_cnt[1069][3]~41850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1069][3]~41850_combout\ = (\led_flash_cnt[1069][3]~q\ & (\led_flash_cnt[1069][2]~41849\ $ (GND))) # (!\led_flash_cnt[1069][3]~q\ & (!\led_flash_cnt[1069][2]~41849\ & VCC))
-- \led_flash_cnt[1069][3]~41851\ = CARRY((\led_flash_cnt[1069][3]~q\ & !\led_flash_cnt[1069][2]~41849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1069][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1069][2]~41849\,
	combout => \led_flash_cnt[1069][3]~41850_combout\,
	cout => \led_flash_cnt[1069][3]~41851\);

-- Location: FF_X1_Y15_N7
\led_flash_cnt[1069][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1069][3]~41850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1069][3]~q\);

-- Location: LCCOMB_X1_Y15_N8
\led_flash_cnt[1069][4]~41852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1069][4]~41852_combout\ = (\led_flash_cnt[1069][4]~q\ & (!\led_flash_cnt[1069][3]~41851\)) # (!\led_flash_cnt[1069][4]~q\ & ((\led_flash_cnt[1069][3]~41851\) # (GND)))
-- \led_flash_cnt[1069][4]~41853\ = CARRY((!\led_flash_cnt[1069][3]~41851\) # (!\led_flash_cnt[1069][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1069][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1069][3]~41851\,
	combout => \led_flash_cnt[1069][4]~41852_combout\,
	cout => \led_flash_cnt[1069][4]~41853\);

-- Location: FF_X1_Y15_N9
\led_flash_cnt[1069][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1069][4]~41852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1069][4]~q\);

-- Location: LCCOMB_X1_Y15_N10
\led_flash_cnt[1069][5]~41854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1069][5]~41854_combout\ = (\led_flash_cnt[1069][5]~q\ & (\led_flash_cnt[1069][4]~41853\ $ (GND))) # (!\led_flash_cnt[1069][5]~q\ & (!\led_flash_cnt[1069][4]~41853\ & VCC))
-- \led_flash_cnt[1069][5]~41855\ = CARRY((\led_flash_cnt[1069][5]~q\ & !\led_flash_cnt[1069][4]~41853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1069][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1069][4]~41853\,
	combout => \led_flash_cnt[1069][5]~41854_combout\,
	cout => \led_flash_cnt[1069][5]~41855\);

-- Location: FF_X1_Y15_N11
\led_flash_cnt[1069][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1069][5]~41854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1069][5]~q\);

-- Location: LCCOMB_X1_Y15_N12
\led_flash_cnt[1069][6]~41856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1069][6]~41856_combout\ = (\led_flash_cnt[1069][6]~q\ & (!\led_flash_cnt[1069][5]~41855\)) # (!\led_flash_cnt[1069][6]~q\ & ((\led_flash_cnt[1069][5]~41855\) # (GND)))
-- \led_flash_cnt[1069][6]~41857\ = CARRY((!\led_flash_cnt[1069][5]~41855\) # (!\led_flash_cnt[1069][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1069][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1069][5]~41855\,
	combout => \led_flash_cnt[1069][6]~41856_combout\,
	cout => \led_flash_cnt[1069][6]~41857\);

-- Location: FF_X1_Y15_N13
\led_flash_cnt[1069][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1069][6]~41856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1069][6]~q\);

-- Location: LCCOMB_X1_Y15_N14
\led_flash_cnt[1069][7]~41858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1069][7]~41858_combout\ = \led_flash_cnt[1069][7]~q\ $ (!\led_flash_cnt[1069][6]~41857\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1069][7]~q\,
	cin => \led_flash_cnt[1069][6]~41857\,
	combout => \led_flash_cnt[1069][7]~41858_combout\);

-- Location: FF_X1_Y15_N15
\led_flash_cnt[1069][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1069][7]~41858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1069][7]~q\);

-- Location: LCCOMB_X2_Y15_N28
\WideAnd1069~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1069~1_combout\ = (\led_flash_cnt[1069][5]~q\ & \led_flash_cnt[1069][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1069][5]~q\,
	datad => \led_flash_cnt[1069][6]~q\,
	combout => \WideAnd1069~1_combout\);

-- Location: LCCOMB_X1_Y15_N0
\WideAnd1069~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1069~0_combout\ = (\led_flash_cnt[1069][3]~q\ & (\led_flash_cnt[1069][4]~q\ & (\led_flash_cnt[1069][2]~q\ & \led_flash_cnt[1069][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1069][3]~q\,
	datab => \led_flash_cnt[1069][4]~q\,
	datac => \led_flash_cnt[1069][2]~q\,
	datad => \led_flash_cnt[1069][1]~q\,
	combout => \WideAnd1069~0_combout\);

-- Location: LCCOMB_X2_Y15_N14
WideAnd1069 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1069~combout\ = (\led_flash_cnt[1069][7]~q\ & (\WideAnd1069~1_combout\ & (\WideAnd1069~0_combout\ & \led_flash_cnt[1069][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1069][7]~q\,
	datab => \WideAnd1069~1_combout\,
	datac => \WideAnd1069~0_combout\,
	datad => \led_flash_cnt[1069][0]~q\,
	combout => \WideAnd1069~combout\);

-- Location: FF_X2_Y15_N15
\led_flash_cnt_ands[1069]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1069~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1069));

-- Location: LCCOMB_X2_Y15_N18
\led_flash_cnt[1068][0]~81708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1068][0]~81708_combout\ = !\led_flash_cnt[1068][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1068][0]~q\,
	combout => \led_flash_cnt[1068][0]~81708_combout\);

-- Location: FF_X2_Y15_N19
\led_flash_cnt[1068][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1068][0]~81708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1068][0]~q\);

-- Location: LCCOMB_X2_Y15_N0
\led_flash_cnt[1068][1]~41832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1068][1]~41832_combout\ = (\led_flash_cnt[1068][0]~q\ & (\led_flash_cnt[1068][1]~q\ $ (VCC))) # (!\led_flash_cnt[1068][0]~q\ & (\led_flash_cnt[1068][1]~q\ & VCC))
-- \led_flash_cnt[1068][1]~41833\ = CARRY((\led_flash_cnt[1068][0]~q\ & \led_flash_cnt[1068][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1068][0]~q\,
	datab => \led_flash_cnt[1068][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1068][1]~41832_combout\,
	cout => \led_flash_cnt[1068][1]~41833\);

-- Location: FF_X2_Y15_N1
\led_flash_cnt[1068][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1068][1]~41832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1068][1]~q\);

-- Location: LCCOMB_X2_Y15_N2
\led_flash_cnt[1068][2]~41834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1068][2]~41834_combout\ = (\led_flash_cnt[1068][2]~q\ & (!\led_flash_cnt[1068][1]~41833\)) # (!\led_flash_cnt[1068][2]~q\ & ((\led_flash_cnt[1068][1]~41833\) # (GND)))
-- \led_flash_cnt[1068][2]~41835\ = CARRY((!\led_flash_cnt[1068][1]~41833\) # (!\led_flash_cnt[1068][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1068][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1068][1]~41833\,
	combout => \led_flash_cnt[1068][2]~41834_combout\,
	cout => \led_flash_cnt[1068][2]~41835\);

-- Location: FF_X2_Y15_N3
\led_flash_cnt[1068][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1068][2]~41834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1068][2]~q\);

-- Location: LCCOMB_X2_Y15_N4
\led_flash_cnt[1068][3]~41836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1068][3]~41836_combout\ = (\led_flash_cnt[1068][3]~q\ & (\led_flash_cnt[1068][2]~41835\ $ (GND))) # (!\led_flash_cnt[1068][3]~q\ & (!\led_flash_cnt[1068][2]~41835\ & VCC))
-- \led_flash_cnt[1068][3]~41837\ = CARRY((\led_flash_cnt[1068][3]~q\ & !\led_flash_cnt[1068][2]~41835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1068][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1068][2]~41835\,
	combout => \led_flash_cnt[1068][3]~41836_combout\,
	cout => \led_flash_cnt[1068][3]~41837\);

-- Location: FF_X2_Y15_N5
\led_flash_cnt[1068][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1068][3]~41836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1068][3]~q\);

-- Location: LCCOMB_X2_Y15_N6
\led_flash_cnt[1068][4]~41838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1068][4]~41838_combout\ = (\led_flash_cnt[1068][4]~q\ & (!\led_flash_cnt[1068][3]~41837\)) # (!\led_flash_cnt[1068][4]~q\ & ((\led_flash_cnt[1068][3]~41837\) # (GND)))
-- \led_flash_cnt[1068][4]~41839\ = CARRY((!\led_flash_cnt[1068][3]~41837\) # (!\led_flash_cnt[1068][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1068][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1068][3]~41837\,
	combout => \led_flash_cnt[1068][4]~41838_combout\,
	cout => \led_flash_cnt[1068][4]~41839\);

-- Location: FF_X2_Y15_N7
\led_flash_cnt[1068][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1068][4]~41838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1068][4]~q\);

-- Location: LCCOMB_X2_Y15_N8
\led_flash_cnt[1068][5]~41840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1068][5]~41840_combout\ = (\led_flash_cnt[1068][5]~q\ & (\led_flash_cnt[1068][4]~41839\ $ (GND))) # (!\led_flash_cnt[1068][5]~q\ & (!\led_flash_cnt[1068][4]~41839\ & VCC))
-- \led_flash_cnt[1068][5]~41841\ = CARRY((\led_flash_cnt[1068][5]~q\ & !\led_flash_cnt[1068][4]~41839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1068][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1068][4]~41839\,
	combout => \led_flash_cnt[1068][5]~41840_combout\,
	cout => \led_flash_cnt[1068][5]~41841\);

-- Location: FF_X2_Y15_N9
\led_flash_cnt[1068][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1068][5]~41840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1068][5]~q\);

-- Location: LCCOMB_X2_Y15_N10
\led_flash_cnt[1068][6]~41842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1068][6]~41842_combout\ = (\led_flash_cnt[1068][6]~q\ & (!\led_flash_cnt[1068][5]~41841\)) # (!\led_flash_cnt[1068][6]~q\ & ((\led_flash_cnt[1068][5]~41841\) # (GND)))
-- \led_flash_cnt[1068][6]~41843\ = CARRY((!\led_flash_cnt[1068][5]~41841\) # (!\led_flash_cnt[1068][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1068][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1068][5]~41841\,
	combout => \led_flash_cnt[1068][6]~41842_combout\,
	cout => \led_flash_cnt[1068][6]~41843\);

-- Location: FF_X2_Y15_N11
\led_flash_cnt[1068][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1068][6]~41842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1068][6]~q\);

-- Location: LCCOMB_X2_Y15_N12
\led_flash_cnt[1068][7]~41844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1068][7]~41844_combout\ = \led_flash_cnt[1068][6]~41843\ $ (!\led_flash_cnt[1068][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1068][7]~q\,
	cin => \led_flash_cnt[1068][6]~41843\,
	combout => \led_flash_cnt[1068][7]~41844_combout\);

-- Location: FF_X2_Y15_N13
\led_flash_cnt[1068][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1068][7]~41844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1068][7]~q\);

-- Location: LCCOMB_X2_Y15_N20
\WideAnd1068~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1068~0_combout\ = (\led_flash_cnt[1068][4]~q\ & (\led_flash_cnt[1068][2]~q\ & (\led_flash_cnt[1068][3]~q\ & \led_flash_cnt[1068][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1068][4]~q\,
	datab => \led_flash_cnt[1068][2]~q\,
	datac => \led_flash_cnt[1068][3]~q\,
	datad => \led_flash_cnt[1068][1]~q\,
	combout => \WideAnd1068~0_combout\);

-- Location: LCCOMB_X2_Y15_N26
\WideAnd1068~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1068~1_combout\ = (\led_flash_cnt[1068][5]~q\ & \led_flash_cnt[1068][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1068][5]~q\,
	datad => \led_flash_cnt[1068][6]~q\,
	combout => \WideAnd1068~1_combout\);

-- Location: LCCOMB_X2_Y15_N16
WideAnd1068 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1068~combout\ = (\led_flash_cnt[1068][7]~q\ & (\WideAnd1068~0_combout\ & (\WideAnd1068~1_combout\ & \led_flash_cnt[1068][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1068][7]~q\,
	datab => \WideAnd1068~0_combout\,
	datac => \WideAnd1068~1_combout\,
	datad => \led_flash_cnt[1068][0]~q\,
	combout => \WideAnd1068~combout\);

-- Location: FF_X2_Y15_N17
\led_flash_cnt_ands[1068]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1068~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1068));

-- Location: LCCOMB_X2_Y15_N22
\WideAnd3973~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3973~1_combout\ = (led_flash_cnt_ands(1069) & led_flash_cnt_ands(1068))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1069),
	datad => led_flash_cnt_ands(1068),
	combout => \WideAnd3973~1_combout\);

-- Location: LCCOMB_X21_Y19_N8
\led_flash_cnt[1071][0]~81711\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1071][0]~81711_combout\ = !\led_flash_cnt[1071][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1071][0]~q\,
	combout => \led_flash_cnt[1071][0]~81711_combout\);

-- Location: FF_X21_Y19_N9
\led_flash_cnt[1071][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1071][0]~81711_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1071][0]~q\);

-- Location: LCCOMB_X22_Y19_N2
\led_flash_cnt[1071][1]~41874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1071][1]~41874_combout\ = (\led_flash_cnt[1071][0]~q\ & (\led_flash_cnt[1071][1]~q\ $ (VCC))) # (!\led_flash_cnt[1071][0]~q\ & (\led_flash_cnt[1071][1]~q\ & VCC))
-- \led_flash_cnt[1071][1]~41875\ = CARRY((\led_flash_cnt[1071][0]~q\ & \led_flash_cnt[1071][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1071][0]~q\,
	datab => \led_flash_cnt[1071][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1071][1]~41874_combout\,
	cout => \led_flash_cnt[1071][1]~41875\);

-- Location: FF_X22_Y19_N3
\led_flash_cnt[1071][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1071][1]~41874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1071][1]~q\);

-- Location: LCCOMB_X22_Y19_N4
\led_flash_cnt[1071][2]~41876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1071][2]~41876_combout\ = (\led_flash_cnt[1071][2]~q\ & (!\led_flash_cnt[1071][1]~41875\)) # (!\led_flash_cnt[1071][2]~q\ & ((\led_flash_cnt[1071][1]~41875\) # (GND)))
-- \led_flash_cnt[1071][2]~41877\ = CARRY((!\led_flash_cnt[1071][1]~41875\) # (!\led_flash_cnt[1071][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1071][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1071][1]~41875\,
	combout => \led_flash_cnt[1071][2]~41876_combout\,
	cout => \led_flash_cnt[1071][2]~41877\);

-- Location: FF_X22_Y19_N5
\led_flash_cnt[1071][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1071][2]~41876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1071][2]~q\);

-- Location: LCCOMB_X22_Y19_N6
\led_flash_cnt[1071][3]~41878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1071][3]~41878_combout\ = (\led_flash_cnt[1071][3]~q\ & (\led_flash_cnt[1071][2]~41877\ $ (GND))) # (!\led_flash_cnt[1071][3]~q\ & (!\led_flash_cnt[1071][2]~41877\ & VCC))
-- \led_flash_cnt[1071][3]~41879\ = CARRY((\led_flash_cnt[1071][3]~q\ & !\led_flash_cnt[1071][2]~41877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1071][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1071][2]~41877\,
	combout => \led_flash_cnt[1071][3]~41878_combout\,
	cout => \led_flash_cnt[1071][3]~41879\);

-- Location: FF_X22_Y19_N7
\led_flash_cnt[1071][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1071][3]~41878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1071][3]~q\);

-- Location: LCCOMB_X22_Y19_N8
\led_flash_cnt[1071][4]~41880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1071][4]~41880_combout\ = (\led_flash_cnt[1071][4]~q\ & (!\led_flash_cnt[1071][3]~41879\)) # (!\led_flash_cnt[1071][4]~q\ & ((\led_flash_cnt[1071][3]~41879\) # (GND)))
-- \led_flash_cnt[1071][4]~41881\ = CARRY((!\led_flash_cnt[1071][3]~41879\) # (!\led_flash_cnt[1071][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1071][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1071][3]~41879\,
	combout => \led_flash_cnt[1071][4]~41880_combout\,
	cout => \led_flash_cnt[1071][4]~41881\);

-- Location: FF_X22_Y19_N9
\led_flash_cnt[1071][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1071][4]~41880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1071][4]~q\);

-- Location: LCCOMB_X22_Y19_N30
\WideAnd1071~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1071~0_combout\ = (\led_flash_cnt[1071][3]~q\ & (\led_flash_cnt[1071][2]~q\ & (\led_flash_cnt[1071][4]~q\ & \led_flash_cnt[1071][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1071][3]~q\,
	datab => \led_flash_cnt[1071][2]~q\,
	datac => \led_flash_cnt[1071][4]~q\,
	datad => \led_flash_cnt[1071][1]~q\,
	combout => \WideAnd1071~0_combout\);

-- Location: LCCOMB_X22_Y19_N10
\led_flash_cnt[1071][5]~41882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1071][5]~41882_combout\ = (\led_flash_cnt[1071][5]~q\ & (\led_flash_cnt[1071][4]~41881\ $ (GND))) # (!\led_flash_cnt[1071][5]~q\ & (!\led_flash_cnt[1071][4]~41881\ & VCC))
-- \led_flash_cnt[1071][5]~41883\ = CARRY((\led_flash_cnt[1071][5]~q\ & !\led_flash_cnt[1071][4]~41881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1071][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1071][4]~41881\,
	combout => \led_flash_cnt[1071][5]~41882_combout\,
	cout => \led_flash_cnt[1071][5]~41883\);

-- Location: FF_X22_Y19_N11
\led_flash_cnt[1071][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1071][5]~41882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1071][5]~q\);

-- Location: LCCOMB_X22_Y19_N12
\led_flash_cnt[1071][6]~41884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1071][6]~41884_combout\ = (\led_flash_cnt[1071][6]~q\ & (!\led_flash_cnt[1071][5]~41883\)) # (!\led_flash_cnt[1071][6]~q\ & ((\led_flash_cnt[1071][5]~41883\) # (GND)))
-- \led_flash_cnt[1071][6]~41885\ = CARRY((!\led_flash_cnt[1071][5]~41883\) # (!\led_flash_cnt[1071][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1071][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1071][5]~41883\,
	combout => \led_flash_cnt[1071][6]~41884_combout\,
	cout => \led_flash_cnt[1071][6]~41885\);

-- Location: FF_X22_Y19_N13
\led_flash_cnt[1071][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1071][6]~41884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1071][6]~q\);

-- Location: LCCOMB_X22_Y19_N14
\led_flash_cnt[1071][7]~41886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1071][7]~41886_combout\ = \led_flash_cnt[1071][7]~q\ $ (!\led_flash_cnt[1071][6]~41885\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1071][7]~q\,
	cin => \led_flash_cnt[1071][6]~41885\,
	combout => \led_flash_cnt[1071][7]~41886_combout\);

-- Location: FF_X22_Y19_N15
\led_flash_cnt[1071][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1071][7]~41886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1071][7]~q\);

-- Location: LCCOMB_X21_Y19_N6
\WideAnd1071~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1071~1_combout\ = (\led_flash_cnt[1071][6]~q\ & \led_flash_cnt[1071][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1071][6]~q\,
	datac => \led_flash_cnt[1071][5]~q\,
	combout => \WideAnd1071~1_combout\);

-- Location: LCCOMB_X21_Y19_N24
WideAnd1071 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1071~combout\ = (\WideAnd1071~0_combout\ & (\led_flash_cnt[1071][0]~q\ & (\led_flash_cnt[1071][7]~q\ & \WideAnd1071~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1071~0_combout\,
	datab => \led_flash_cnt[1071][0]~q\,
	datac => \led_flash_cnt[1071][7]~q\,
	datad => \WideAnd1071~1_combout\,
	combout => \WideAnd1071~combout\);

-- Location: FF_X21_Y19_N25
\led_flash_cnt_ands[1071]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1071~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1071));

-- Location: LCCOMB_X21_Y19_N0
WideAnd3973 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3973~combout\ = (\WideAnd3973~0_combout\ & (led_flash_cnt_ands(1070) & (\WideAnd3973~1_combout\ & led_flash_cnt_ands(1071))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3973~0_combout\,
	datab => led_flash_cnt_ands(1070),
	datac => \WideAnd3973~1_combout\,
	datad => led_flash_cnt_ands(1071),
	combout => \WideAnd3973~combout\);

-- Location: FF_X21_Y19_N1
\led_flash_cnt_ands_1[133]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3973~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(133));

-- Location: LCCOMB_X14_Y20_N24
\WideAnd4336~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4336~1_combout\ = (led_flash_cnt_ands_1(132) & led_flash_cnt_ands_1(133))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(132),
	datad => led_flash_cnt_ands_1(133),
	combout => \WideAnd4336~1_combout\);

-- Location: LCCOMB_X11_Y7_N26
\led_flash_cnt[1073][0]~81713\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1073][0]~81713_combout\ = !\led_flash_cnt[1073][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1073][0]~q\,
	combout => \led_flash_cnt[1073][0]~81713_combout\);

-- Location: FF_X11_Y7_N27
\led_flash_cnt[1073][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1073][0]~81713_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1073][0]~q\);

-- Location: LCCOMB_X11_Y10_N2
\led_flash_cnt[1073][1]~41902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1073][1]~41902_combout\ = (\led_flash_cnt[1073][0]~q\ & (\led_flash_cnt[1073][1]~q\ $ (VCC))) # (!\led_flash_cnt[1073][0]~q\ & (\led_flash_cnt[1073][1]~q\ & VCC))
-- \led_flash_cnt[1073][1]~41903\ = CARRY((\led_flash_cnt[1073][0]~q\ & \led_flash_cnt[1073][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1073][0]~q\,
	datab => \led_flash_cnt[1073][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1073][1]~41902_combout\,
	cout => \led_flash_cnt[1073][1]~41903\);

-- Location: FF_X11_Y10_N3
\led_flash_cnt[1073][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1073][1]~41902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1073][1]~q\);

-- Location: LCCOMB_X11_Y10_N4
\led_flash_cnt[1073][2]~41904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1073][2]~41904_combout\ = (\led_flash_cnt[1073][2]~q\ & (!\led_flash_cnt[1073][1]~41903\)) # (!\led_flash_cnt[1073][2]~q\ & ((\led_flash_cnt[1073][1]~41903\) # (GND)))
-- \led_flash_cnt[1073][2]~41905\ = CARRY((!\led_flash_cnt[1073][1]~41903\) # (!\led_flash_cnt[1073][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1073][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1073][1]~41903\,
	combout => \led_flash_cnt[1073][2]~41904_combout\,
	cout => \led_flash_cnt[1073][2]~41905\);

-- Location: FF_X11_Y10_N5
\led_flash_cnt[1073][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1073][2]~41904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1073][2]~q\);

-- Location: LCCOMB_X11_Y10_N6
\led_flash_cnt[1073][3]~41906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1073][3]~41906_combout\ = (\led_flash_cnt[1073][3]~q\ & (\led_flash_cnt[1073][2]~41905\ $ (GND))) # (!\led_flash_cnt[1073][3]~q\ & (!\led_flash_cnt[1073][2]~41905\ & VCC))
-- \led_flash_cnt[1073][3]~41907\ = CARRY((\led_flash_cnt[1073][3]~q\ & !\led_flash_cnt[1073][2]~41905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1073][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1073][2]~41905\,
	combout => \led_flash_cnt[1073][3]~41906_combout\,
	cout => \led_flash_cnt[1073][3]~41907\);

-- Location: FF_X11_Y10_N7
\led_flash_cnt[1073][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1073][3]~41906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1073][3]~q\);

-- Location: LCCOMB_X11_Y10_N8
\led_flash_cnt[1073][4]~41908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1073][4]~41908_combout\ = (\led_flash_cnt[1073][4]~q\ & (!\led_flash_cnt[1073][3]~41907\)) # (!\led_flash_cnt[1073][4]~q\ & ((\led_flash_cnt[1073][3]~41907\) # (GND)))
-- \led_flash_cnt[1073][4]~41909\ = CARRY((!\led_flash_cnt[1073][3]~41907\) # (!\led_flash_cnt[1073][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1073][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1073][3]~41907\,
	combout => \led_flash_cnt[1073][4]~41908_combout\,
	cout => \led_flash_cnt[1073][4]~41909\);

-- Location: FF_X11_Y10_N9
\led_flash_cnt[1073][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1073][4]~41908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1073][4]~q\);

-- Location: LCCOMB_X11_Y10_N10
\led_flash_cnt[1073][5]~41910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1073][5]~41910_combout\ = (\led_flash_cnt[1073][5]~q\ & (\led_flash_cnt[1073][4]~41909\ $ (GND))) # (!\led_flash_cnt[1073][5]~q\ & (!\led_flash_cnt[1073][4]~41909\ & VCC))
-- \led_flash_cnt[1073][5]~41911\ = CARRY((\led_flash_cnt[1073][5]~q\ & !\led_flash_cnt[1073][4]~41909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1073][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1073][4]~41909\,
	combout => \led_flash_cnt[1073][5]~41910_combout\,
	cout => \led_flash_cnt[1073][5]~41911\);

-- Location: FF_X11_Y10_N11
\led_flash_cnt[1073][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1073][5]~41910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1073][5]~q\);

-- Location: LCCOMB_X11_Y10_N12
\led_flash_cnt[1073][6]~41912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1073][6]~41912_combout\ = (\led_flash_cnt[1073][6]~q\ & (!\led_flash_cnt[1073][5]~41911\)) # (!\led_flash_cnt[1073][6]~q\ & ((\led_flash_cnt[1073][5]~41911\) # (GND)))
-- \led_flash_cnt[1073][6]~41913\ = CARRY((!\led_flash_cnt[1073][5]~41911\) # (!\led_flash_cnt[1073][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1073][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1073][5]~41911\,
	combout => \led_flash_cnt[1073][6]~41912_combout\,
	cout => \led_flash_cnt[1073][6]~41913\);

-- Location: FF_X11_Y10_N13
\led_flash_cnt[1073][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1073][6]~41912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1073][6]~q\);

-- Location: LCCOMB_X11_Y10_N14
\led_flash_cnt[1073][7]~41914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1073][7]~41914_combout\ = \led_flash_cnt[1073][7]~q\ $ (!\led_flash_cnt[1073][6]~41913\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1073][7]~q\,
	cin => \led_flash_cnt[1073][6]~41913\,
	combout => \led_flash_cnt[1073][7]~41914_combout\);

-- Location: FF_X11_Y10_N15
\led_flash_cnt[1073][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1073][7]~41914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1073][7]~q\);

-- Location: LCCOMB_X11_Y10_N30
\WideAnd1073~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1073~0_combout\ = (\led_flash_cnt[1073][3]~q\ & (\led_flash_cnt[1073][4]~q\ & (\led_flash_cnt[1073][2]~q\ & \led_flash_cnt[1073][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1073][3]~q\,
	datab => \led_flash_cnt[1073][4]~q\,
	datac => \led_flash_cnt[1073][2]~q\,
	datad => \led_flash_cnt[1073][1]~q\,
	combout => \WideAnd1073~0_combout\);

-- Location: LCCOMB_X12_Y10_N16
\WideAnd1073~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1073~1_combout\ = (\led_flash_cnt[1073][5]~q\ & \led_flash_cnt[1073][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1073][5]~q\,
	datad => \led_flash_cnt[1073][6]~q\,
	combout => \WideAnd1073~1_combout\);

-- Location: LCCOMB_X11_Y7_N12
WideAnd1073 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1073~combout\ = (\led_flash_cnt[1073][7]~q\ & (\WideAnd1073~0_combout\ & (\led_flash_cnt[1073][0]~q\ & \WideAnd1073~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1073][7]~q\,
	datab => \WideAnd1073~0_combout\,
	datac => \led_flash_cnt[1073][0]~q\,
	datad => \WideAnd1073~1_combout\,
	combout => \WideAnd1073~combout\);

-- Location: FF_X11_Y7_N13
\led_flash_cnt_ands[1073]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1073~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1073));

-- Location: LCCOMB_X11_Y7_N2
\led_flash_cnt[1074][0]~81714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1074][0]~81714_combout\ = !\led_flash_cnt[1074][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1074][0]~q\,
	combout => \led_flash_cnt[1074][0]~81714_combout\);

-- Location: FF_X11_Y7_N3
\led_flash_cnt[1074][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1074][0]~81714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1074][0]~q\);

-- Location: LCCOMB_X10_Y7_N0
\led_flash_cnt[1074][1]~41916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1074][1]~41916_combout\ = (\led_flash_cnt[1074][0]~q\ & (\led_flash_cnt[1074][1]~q\ $ (VCC))) # (!\led_flash_cnt[1074][0]~q\ & (\led_flash_cnt[1074][1]~q\ & VCC))
-- \led_flash_cnt[1074][1]~41917\ = CARRY((\led_flash_cnt[1074][0]~q\ & \led_flash_cnt[1074][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1074][0]~q\,
	datab => \led_flash_cnt[1074][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1074][1]~41916_combout\,
	cout => \led_flash_cnt[1074][1]~41917\);

-- Location: FF_X10_Y7_N1
\led_flash_cnt[1074][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1074][1]~41916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1074][1]~q\);

-- Location: LCCOMB_X10_Y7_N2
\led_flash_cnt[1074][2]~41918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1074][2]~41918_combout\ = (\led_flash_cnt[1074][2]~q\ & (!\led_flash_cnt[1074][1]~41917\)) # (!\led_flash_cnt[1074][2]~q\ & ((\led_flash_cnt[1074][1]~41917\) # (GND)))
-- \led_flash_cnt[1074][2]~41919\ = CARRY((!\led_flash_cnt[1074][1]~41917\) # (!\led_flash_cnt[1074][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1074][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1074][1]~41917\,
	combout => \led_flash_cnt[1074][2]~41918_combout\,
	cout => \led_flash_cnt[1074][2]~41919\);

-- Location: FF_X10_Y7_N3
\led_flash_cnt[1074][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1074][2]~41918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1074][2]~q\);

-- Location: LCCOMB_X10_Y7_N4
\led_flash_cnt[1074][3]~41920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1074][3]~41920_combout\ = (\led_flash_cnt[1074][3]~q\ & (\led_flash_cnt[1074][2]~41919\ $ (GND))) # (!\led_flash_cnt[1074][3]~q\ & (!\led_flash_cnt[1074][2]~41919\ & VCC))
-- \led_flash_cnt[1074][3]~41921\ = CARRY((\led_flash_cnt[1074][3]~q\ & !\led_flash_cnt[1074][2]~41919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1074][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1074][2]~41919\,
	combout => \led_flash_cnt[1074][3]~41920_combout\,
	cout => \led_flash_cnt[1074][3]~41921\);

-- Location: FF_X10_Y7_N5
\led_flash_cnt[1074][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1074][3]~41920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1074][3]~q\);

-- Location: LCCOMB_X10_Y7_N6
\led_flash_cnt[1074][4]~41922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1074][4]~41922_combout\ = (\led_flash_cnt[1074][4]~q\ & (!\led_flash_cnt[1074][3]~41921\)) # (!\led_flash_cnt[1074][4]~q\ & ((\led_flash_cnt[1074][3]~41921\) # (GND)))
-- \led_flash_cnt[1074][4]~41923\ = CARRY((!\led_flash_cnt[1074][3]~41921\) # (!\led_flash_cnt[1074][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1074][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1074][3]~41921\,
	combout => \led_flash_cnt[1074][4]~41922_combout\,
	cout => \led_flash_cnt[1074][4]~41923\);

-- Location: FF_X10_Y7_N7
\led_flash_cnt[1074][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1074][4]~41922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1074][4]~q\);

-- Location: LCCOMB_X10_Y7_N8
\led_flash_cnt[1074][5]~41924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1074][5]~41924_combout\ = (\led_flash_cnt[1074][5]~q\ & (\led_flash_cnt[1074][4]~41923\ $ (GND))) # (!\led_flash_cnt[1074][5]~q\ & (!\led_flash_cnt[1074][4]~41923\ & VCC))
-- \led_flash_cnt[1074][5]~41925\ = CARRY((\led_flash_cnt[1074][5]~q\ & !\led_flash_cnt[1074][4]~41923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1074][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1074][4]~41923\,
	combout => \led_flash_cnt[1074][5]~41924_combout\,
	cout => \led_flash_cnt[1074][5]~41925\);

-- Location: FF_X10_Y7_N9
\led_flash_cnt[1074][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1074][5]~41924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1074][5]~q\);

-- Location: LCCOMB_X10_Y7_N10
\led_flash_cnt[1074][6]~41926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1074][6]~41926_combout\ = (\led_flash_cnt[1074][6]~q\ & (!\led_flash_cnt[1074][5]~41925\)) # (!\led_flash_cnt[1074][6]~q\ & ((\led_flash_cnt[1074][5]~41925\) # (GND)))
-- \led_flash_cnt[1074][6]~41927\ = CARRY((!\led_flash_cnt[1074][5]~41925\) # (!\led_flash_cnt[1074][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1074][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1074][5]~41925\,
	combout => \led_flash_cnt[1074][6]~41926_combout\,
	cout => \led_flash_cnt[1074][6]~41927\);

-- Location: FF_X10_Y7_N11
\led_flash_cnt[1074][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1074][6]~41926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1074][6]~q\);

-- Location: LCCOMB_X10_Y7_N12
\led_flash_cnt[1074][7]~41928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1074][7]~41928_combout\ = \led_flash_cnt[1074][6]~41927\ $ (!\led_flash_cnt[1074][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1074][7]~q\,
	cin => \led_flash_cnt[1074][6]~41927\,
	combout => \led_flash_cnt[1074][7]~41928_combout\);

-- Location: FF_X10_Y7_N13
\led_flash_cnt[1074][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1074][7]~41928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1074][7]~q\);

-- Location: LCCOMB_X11_Y7_N28
\WideAnd1074~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1074~1_combout\ = (\led_flash_cnt[1074][6]~q\ & \led_flash_cnt[1074][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1074][6]~q\,
	datad => \led_flash_cnt[1074][5]~q\,
	combout => \WideAnd1074~1_combout\);

-- Location: LCCOMB_X10_Y7_N30
\WideAnd1074~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1074~0_combout\ = (\led_flash_cnt[1074][4]~q\ & (\led_flash_cnt[1074][1]~q\ & (\led_flash_cnt[1074][3]~q\ & \led_flash_cnt[1074][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1074][4]~q\,
	datab => \led_flash_cnt[1074][1]~q\,
	datac => \led_flash_cnt[1074][3]~q\,
	datad => \led_flash_cnt[1074][2]~q\,
	combout => \WideAnd1074~0_combout\);

-- Location: LCCOMB_X11_Y7_N16
WideAnd1074 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1074~combout\ = (\led_flash_cnt[1074][7]~q\ & (\WideAnd1074~1_combout\ & (\led_flash_cnt[1074][0]~q\ & \WideAnd1074~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1074][7]~q\,
	datab => \WideAnd1074~1_combout\,
	datac => \led_flash_cnt[1074][0]~q\,
	datad => \WideAnd1074~0_combout\,
	combout => \WideAnd1074~combout\);

-- Location: FF_X11_Y7_N17
\led_flash_cnt_ands[1074]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1074~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1074));

-- Location: LCCOMB_X11_Y7_N0
\led_flash_cnt[1075][0]~81715\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1075][0]~81715_combout\ = !\led_flash_cnt[1075][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1075][0]~q\,
	combout => \led_flash_cnt[1075][0]~81715_combout\);

-- Location: FF_X11_Y7_N1
\led_flash_cnt[1075][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1075][0]~81715_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1075][0]~q\);

-- Location: LCCOMB_X11_Y8_N0
\led_flash_cnt[1075][1]~41930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1075][1]~41930_combout\ = (\led_flash_cnt[1075][1]~q\ & (\led_flash_cnt[1075][0]~q\ $ (VCC))) # (!\led_flash_cnt[1075][1]~q\ & (\led_flash_cnt[1075][0]~q\ & VCC))
-- \led_flash_cnt[1075][1]~41931\ = CARRY((\led_flash_cnt[1075][1]~q\ & \led_flash_cnt[1075][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1075][1]~q\,
	datab => \led_flash_cnt[1075][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1075][1]~41930_combout\,
	cout => \led_flash_cnt[1075][1]~41931\);

-- Location: FF_X11_Y8_N1
\led_flash_cnt[1075][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1075][1]~41930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1075][1]~q\);

-- Location: LCCOMB_X11_Y8_N2
\led_flash_cnt[1075][2]~41932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1075][2]~41932_combout\ = (\led_flash_cnt[1075][2]~q\ & (!\led_flash_cnt[1075][1]~41931\)) # (!\led_flash_cnt[1075][2]~q\ & ((\led_flash_cnt[1075][1]~41931\) # (GND)))
-- \led_flash_cnt[1075][2]~41933\ = CARRY((!\led_flash_cnt[1075][1]~41931\) # (!\led_flash_cnt[1075][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1075][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1075][1]~41931\,
	combout => \led_flash_cnt[1075][2]~41932_combout\,
	cout => \led_flash_cnt[1075][2]~41933\);

-- Location: FF_X11_Y8_N3
\led_flash_cnt[1075][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1075][2]~41932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1075][2]~q\);

-- Location: LCCOMB_X11_Y8_N4
\led_flash_cnt[1075][3]~41934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1075][3]~41934_combout\ = (\led_flash_cnt[1075][3]~q\ & (\led_flash_cnt[1075][2]~41933\ $ (GND))) # (!\led_flash_cnt[1075][3]~q\ & (!\led_flash_cnt[1075][2]~41933\ & VCC))
-- \led_flash_cnt[1075][3]~41935\ = CARRY((\led_flash_cnt[1075][3]~q\ & !\led_flash_cnt[1075][2]~41933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1075][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1075][2]~41933\,
	combout => \led_flash_cnt[1075][3]~41934_combout\,
	cout => \led_flash_cnt[1075][3]~41935\);

-- Location: FF_X11_Y8_N5
\led_flash_cnt[1075][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1075][3]~41934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1075][3]~q\);

-- Location: LCCOMB_X11_Y8_N6
\led_flash_cnt[1075][4]~41936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1075][4]~41936_combout\ = (\led_flash_cnt[1075][4]~q\ & (!\led_flash_cnt[1075][3]~41935\)) # (!\led_flash_cnt[1075][4]~q\ & ((\led_flash_cnt[1075][3]~41935\) # (GND)))
-- \led_flash_cnt[1075][4]~41937\ = CARRY((!\led_flash_cnt[1075][3]~41935\) # (!\led_flash_cnt[1075][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1075][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1075][3]~41935\,
	combout => \led_flash_cnt[1075][4]~41936_combout\,
	cout => \led_flash_cnt[1075][4]~41937\);

-- Location: FF_X11_Y8_N7
\led_flash_cnt[1075][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1075][4]~41936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1075][4]~q\);

-- Location: LCCOMB_X11_Y8_N8
\led_flash_cnt[1075][5]~41938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1075][5]~41938_combout\ = (\led_flash_cnt[1075][5]~q\ & (\led_flash_cnt[1075][4]~41937\ $ (GND))) # (!\led_flash_cnt[1075][5]~q\ & (!\led_flash_cnt[1075][4]~41937\ & VCC))
-- \led_flash_cnt[1075][5]~41939\ = CARRY((\led_flash_cnt[1075][5]~q\ & !\led_flash_cnt[1075][4]~41937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1075][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1075][4]~41937\,
	combout => \led_flash_cnt[1075][5]~41938_combout\,
	cout => \led_flash_cnt[1075][5]~41939\);

-- Location: FF_X11_Y8_N9
\led_flash_cnt[1075][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1075][5]~41938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1075][5]~q\);

-- Location: LCCOMB_X11_Y8_N10
\led_flash_cnt[1075][6]~41940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1075][6]~41940_combout\ = (\led_flash_cnt[1075][6]~q\ & (!\led_flash_cnt[1075][5]~41939\)) # (!\led_flash_cnt[1075][6]~q\ & ((\led_flash_cnt[1075][5]~41939\) # (GND)))
-- \led_flash_cnt[1075][6]~41941\ = CARRY((!\led_flash_cnt[1075][5]~41939\) # (!\led_flash_cnt[1075][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1075][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1075][5]~41939\,
	combout => \led_flash_cnt[1075][6]~41940_combout\,
	cout => \led_flash_cnt[1075][6]~41941\);

-- Location: FF_X11_Y8_N11
\led_flash_cnt[1075][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1075][6]~41940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1075][6]~q\);

-- Location: LCCOMB_X11_Y8_N12
\led_flash_cnt[1075][7]~41942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1075][7]~41942_combout\ = \led_flash_cnt[1075][6]~41941\ $ (!\led_flash_cnt[1075][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1075][7]~q\,
	cin => \led_flash_cnt[1075][6]~41941\,
	combout => \led_flash_cnt[1075][7]~41942_combout\);

-- Location: FF_X11_Y8_N13
\led_flash_cnt[1075][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1075][7]~41942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1075][7]~q\);

-- Location: LCCOMB_X10_Y8_N28
\WideAnd1075~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1075~0_combout\ = (\led_flash_cnt[1075][4]~q\ & (\led_flash_cnt[1075][3]~q\ & (\led_flash_cnt[1075][1]~q\ & \led_flash_cnt[1075][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1075][4]~q\,
	datab => \led_flash_cnt[1075][3]~q\,
	datac => \led_flash_cnt[1075][1]~q\,
	datad => \led_flash_cnt[1075][2]~q\,
	combout => \WideAnd1075~0_combout\);

-- Location: LCCOMB_X10_Y8_N6
\WideAnd1075~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1075~1_combout\ = (\led_flash_cnt[1075][5]~q\ & \led_flash_cnt[1075][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1075][5]~q\,
	datac => \led_flash_cnt[1075][6]~q\,
	combout => \WideAnd1075~1_combout\);

-- Location: LCCOMB_X11_Y8_N30
WideAnd1075 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1075~combout\ = (\led_flash_cnt[1075][7]~q\ & (\WideAnd1075~0_combout\ & (\WideAnd1075~1_combout\ & \led_flash_cnt[1075][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1075][7]~q\,
	datab => \WideAnd1075~0_combout\,
	datac => \WideAnd1075~1_combout\,
	datad => \led_flash_cnt[1075][0]~q\,
	combout => \WideAnd1075~combout\);

-- Location: FF_X11_Y8_N31
\led_flash_cnt_ands[1075]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1075~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1075));

-- Location: LCCOMB_X11_Y7_N6
\led_flash_cnt[1072][0]~81712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1072][0]~81712_combout\ = !\led_flash_cnt[1072][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1072][0]~q\,
	combout => \led_flash_cnt[1072][0]~81712_combout\);

-- Location: FF_X11_Y7_N7
\led_flash_cnt[1072][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1072][0]~81712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1072][0]~q\);

-- Location: LCCOMB_X12_Y7_N18
\led_flash_cnt[1072][1]~41888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1072][1]~41888_combout\ = (\led_flash_cnt[1072][0]~q\ & (\led_flash_cnt[1072][1]~q\ $ (VCC))) # (!\led_flash_cnt[1072][0]~q\ & (\led_flash_cnt[1072][1]~q\ & VCC))
-- \led_flash_cnt[1072][1]~41889\ = CARRY((\led_flash_cnt[1072][0]~q\ & \led_flash_cnt[1072][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1072][0]~q\,
	datab => \led_flash_cnt[1072][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1072][1]~41888_combout\,
	cout => \led_flash_cnt[1072][1]~41889\);

-- Location: FF_X12_Y7_N19
\led_flash_cnt[1072][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1072][1]~41888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1072][1]~q\);

-- Location: LCCOMB_X12_Y7_N20
\led_flash_cnt[1072][2]~41890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1072][2]~41890_combout\ = (\led_flash_cnt[1072][2]~q\ & (!\led_flash_cnt[1072][1]~41889\)) # (!\led_flash_cnt[1072][2]~q\ & ((\led_flash_cnt[1072][1]~41889\) # (GND)))
-- \led_flash_cnt[1072][2]~41891\ = CARRY((!\led_flash_cnt[1072][1]~41889\) # (!\led_flash_cnt[1072][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1072][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1072][1]~41889\,
	combout => \led_flash_cnt[1072][2]~41890_combout\,
	cout => \led_flash_cnt[1072][2]~41891\);

-- Location: FF_X12_Y7_N21
\led_flash_cnt[1072][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1072][2]~41890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1072][2]~q\);

-- Location: LCCOMB_X12_Y7_N22
\led_flash_cnt[1072][3]~41892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1072][3]~41892_combout\ = (\led_flash_cnt[1072][3]~q\ & (\led_flash_cnt[1072][2]~41891\ $ (GND))) # (!\led_flash_cnt[1072][3]~q\ & (!\led_flash_cnt[1072][2]~41891\ & VCC))
-- \led_flash_cnt[1072][3]~41893\ = CARRY((\led_flash_cnt[1072][3]~q\ & !\led_flash_cnt[1072][2]~41891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1072][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1072][2]~41891\,
	combout => \led_flash_cnt[1072][3]~41892_combout\,
	cout => \led_flash_cnt[1072][3]~41893\);

-- Location: FF_X12_Y7_N23
\led_flash_cnt[1072][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1072][3]~41892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1072][3]~q\);

-- Location: LCCOMB_X12_Y7_N24
\led_flash_cnt[1072][4]~41894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1072][4]~41894_combout\ = (\led_flash_cnt[1072][4]~q\ & (!\led_flash_cnt[1072][3]~41893\)) # (!\led_flash_cnt[1072][4]~q\ & ((\led_flash_cnt[1072][3]~41893\) # (GND)))
-- \led_flash_cnt[1072][4]~41895\ = CARRY((!\led_flash_cnt[1072][3]~41893\) # (!\led_flash_cnt[1072][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1072][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1072][3]~41893\,
	combout => \led_flash_cnt[1072][4]~41894_combout\,
	cout => \led_flash_cnt[1072][4]~41895\);

-- Location: FF_X12_Y7_N25
\led_flash_cnt[1072][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1072][4]~41894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1072][4]~q\);

-- Location: LCCOMB_X12_Y7_N26
\led_flash_cnt[1072][5]~41896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1072][5]~41896_combout\ = (\led_flash_cnt[1072][5]~q\ & (\led_flash_cnt[1072][4]~41895\ $ (GND))) # (!\led_flash_cnt[1072][5]~q\ & (!\led_flash_cnt[1072][4]~41895\ & VCC))
-- \led_flash_cnt[1072][5]~41897\ = CARRY((\led_flash_cnt[1072][5]~q\ & !\led_flash_cnt[1072][4]~41895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1072][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1072][4]~41895\,
	combout => \led_flash_cnt[1072][5]~41896_combout\,
	cout => \led_flash_cnt[1072][5]~41897\);

-- Location: FF_X12_Y7_N27
\led_flash_cnt[1072][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1072][5]~41896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1072][5]~q\);

-- Location: LCCOMB_X12_Y7_N28
\led_flash_cnt[1072][6]~41898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1072][6]~41898_combout\ = (\led_flash_cnt[1072][6]~q\ & (!\led_flash_cnt[1072][5]~41897\)) # (!\led_flash_cnt[1072][6]~q\ & ((\led_flash_cnt[1072][5]~41897\) # (GND)))
-- \led_flash_cnt[1072][6]~41899\ = CARRY((!\led_flash_cnt[1072][5]~41897\) # (!\led_flash_cnt[1072][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1072][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1072][5]~41897\,
	combout => \led_flash_cnt[1072][6]~41898_combout\,
	cout => \led_flash_cnt[1072][6]~41899\);

-- Location: FF_X12_Y7_N29
\led_flash_cnt[1072][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1072][6]~41898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1072][6]~q\);

-- Location: LCCOMB_X11_Y7_N22
\WideAnd1072~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1072~1_combout\ = (\led_flash_cnt[1072][5]~q\ & \led_flash_cnt[1072][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1072][5]~q\,
	datad => \led_flash_cnt[1072][6]~q\,
	combout => \WideAnd1072~1_combout\);

-- Location: LCCOMB_X12_Y7_N0
\WideAnd1072~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1072~0_combout\ = (\led_flash_cnt[1072][2]~q\ & (\led_flash_cnt[1072][4]~q\ & (\led_flash_cnt[1072][3]~q\ & \led_flash_cnt[1072][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1072][2]~q\,
	datab => \led_flash_cnt[1072][4]~q\,
	datac => \led_flash_cnt[1072][3]~q\,
	datad => \led_flash_cnt[1072][1]~q\,
	combout => \WideAnd1072~0_combout\);

-- Location: LCCOMB_X12_Y7_N30
\led_flash_cnt[1072][7]~41900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1072][7]~41900_combout\ = \led_flash_cnt[1072][7]~q\ $ (!\led_flash_cnt[1072][6]~41899\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1072][7]~q\,
	cin => \led_flash_cnt[1072][6]~41899\,
	combout => \led_flash_cnt[1072][7]~41900_combout\);

-- Location: FF_X12_Y7_N31
\led_flash_cnt[1072][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1072][7]~41900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1072][7]~q\);

-- Location: LCCOMB_X11_Y7_N18
WideAnd1072 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1072~combout\ = (\WideAnd1072~1_combout\ & (\WideAnd1072~0_combout\ & (\led_flash_cnt[1072][7]~q\ & \led_flash_cnt[1072][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1072~1_combout\,
	datab => \WideAnd1072~0_combout\,
	datac => \led_flash_cnt[1072][7]~q\,
	datad => \led_flash_cnt[1072][0]~q\,
	combout => \WideAnd1072~combout\);

-- Location: FF_X11_Y7_N19
\led_flash_cnt_ands[1072]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1072~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1072));

-- Location: LCCOMB_X11_Y7_N20
\WideAnd3974~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3974~0_combout\ = (led_flash_cnt_ands(1073) & (led_flash_cnt_ands(1074) & (led_flash_cnt_ands(1075) & led_flash_cnt_ands(1072))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1073),
	datab => led_flash_cnt_ands(1074),
	datac => led_flash_cnt_ands(1075),
	datad => led_flash_cnt_ands(1072),
	combout => \WideAnd3974~0_combout\);

-- Location: LCCOMB_X12_Y9_N4
\led_flash_cnt[1079][0]~81719\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1079][0]~81719_combout\ = !\led_flash_cnt[1079][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1079][0]~q\,
	combout => \led_flash_cnt[1079][0]~81719_combout\);

-- Location: FF_X12_Y9_N5
\led_flash_cnt[1079][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1079][0]~81719_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1079][0]~q\);

-- Location: LCCOMB_X12_Y9_N10
\led_flash_cnt[1079][1]~41986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1079][1]~41986_combout\ = (\led_flash_cnt[1079][1]~q\ & (\led_flash_cnt[1079][0]~q\ $ (VCC))) # (!\led_flash_cnt[1079][1]~q\ & (\led_flash_cnt[1079][0]~q\ & VCC))
-- \led_flash_cnt[1079][1]~41987\ = CARRY((\led_flash_cnt[1079][1]~q\ & \led_flash_cnt[1079][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1079][1]~q\,
	datab => \led_flash_cnt[1079][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1079][1]~41986_combout\,
	cout => \led_flash_cnt[1079][1]~41987\);

-- Location: FF_X12_Y9_N11
\led_flash_cnt[1079][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1079][1]~41986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1079][1]~q\);

-- Location: LCCOMB_X12_Y9_N12
\led_flash_cnt[1079][2]~41988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1079][2]~41988_combout\ = (\led_flash_cnt[1079][2]~q\ & (!\led_flash_cnt[1079][1]~41987\)) # (!\led_flash_cnt[1079][2]~q\ & ((\led_flash_cnt[1079][1]~41987\) # (GND)))
-- \led_flash_cnt[1079][2]~41989\ = CARRY((!\led_flash_cnt[1079][1]~41987\) # (!\led_flash_cnt[1079][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1079][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1079][1]~41987\,
	combout => \led_flash_cnt[1079][2]~41988_combout\,
	cout => \led_flash_cnt[1079][2]~41989\);

-- Location: FF_X12_Y9_N13
\led_flash_cnt[1079][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1079][2]~41988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1079][2]~q\);

-- Location: LCCOMB_X12_Y9_N14
\led_flash_cnt[1079][3]~41990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1079][3]~41990_combout\ = (\led_flash_cnt[1079][3]~q\ & (\led_flash_cnt[1079][2]~41989\ $ (GND))) # (!\led_flash_cnt[1079][3]~q\ & (!\led_flash_cnt[1079][2]~41989\ & VCC))
-- \led_flash_cnt[1079][3]~41991\ = CARRY((\led_flash_cnt[1079][3]~q\ & !\led_flash_cnt[1079][2]~41989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1079][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1079][2]~41989\,
	combout => \led_flash_cnt[1079][3]~41990_combout\,
	cout => \led_flash_cnt[1079][3]~41991\);

-- Location: FF_X12_Y9_N15
\led_flash_cnt[1079][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1079][3]~41990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1079][3]~q\);

-- Location: LCCOMB_X12_Y9_N16
\led_flash_cnt[1079][4]~41992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1079][4]~41992_combout\ = (\led_flash_cnt[1079][4]~q\ & (!\led_flash_cnt[1079][3]~41991\)) # (!\led_flash_cnt[1079][4]~q\ & ((\led_flash_cnt[1079][3]~41991\) # (GND)))
-- \led_flash_cnt[1079][4]~41993\ = CARRY((!\led_flash_cnt[1079][3]~41991\) # (!\led_flash_cnt[1079][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1079][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1079][3]~41991\,
	combout => \led_flash_cnt[1079][4]~41992_combout\,
	cout => \led_flash_cnt[1079][4]~41993\);

-- Location: FF_X12_Y9_N17
\led_flash_cnt[1079][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1079][4]~41992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1079][4]~q\);

-- Location: LCCOMB_X12_Y9_N18
\led_flash_cnt[1079][5]~41994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1079][5]~41994_combout\ = (\led_flash_cnt[1079][5]~q\ & (\led_flash_cnt[1079][4]~41993\ $ (GND))) # (!\led_flash_cnt[1079][5]~q\ & (!\led_flash_cnt[1079][4]~41993\ & VCC))
-- \led_flash_cnt[1079][5]~41995\ = CARRY((\led_flash_cnt[1079][5]~q\ & !\led_flash_cnt[1079][4]~41993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1079][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1079][4]~41993\,
	combout => \led_flash_cnt[1079][5]~41994_combout\,
	cout => \led_flash_cnt[1079][5]~41995\);

-- Location: FF_X12_Y9_N19
\led_flash_cnt[1079][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1079][5]~41994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1079][5]~q\);

-- Location: LCCOMB_X12_Y9_N20
\led_flash_cnt[1079][6]~41996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1079][6]~41996_combout\ = (\led_flash_cnt[1079][6]~q\ & (!\led_flash_cnt[1079][5]~41995\)) # (!\led_flash_cnt[1079][6]~q\ & ((\led_flash_cnt[1079][5]~41995\) # (GND)))
-- \led_flash_cnt[1079][6]~41997\ = CARRY((!\led_flash_cnt[1079][5]~41995\) # (!\led_flash_cnt[1079][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1079][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1079][5]~41995\,
	combout => \led_flash_cnt[1079][6]~41996_combout\,
	cout => \led_flash_cnt[1079][6]~41997\);

-- Location: FF_X12_Y9_N21
\led_flash_cnt[1079][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1079][6]~41996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1079][6]~q\);

-- Location: LCCOMB_X12_Y9_N22
\led_flash_cnt[1079][7]~41998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1079][7]~41998_combout\ = \led_flash_cnt[1079][7]~q\ $ (!\led_flash_cnt[1079][6]~41997\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1079][7]~q\,
	cin => \led_flash_cnt[1079][6]~41997\,
	combout => \led_flash_cnt[1079][7]~41998_combout\);

-- Location: FF_X12_Y9_N23
\led_flash_cnt[1079][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1079][7]~41998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1079][7]~q\);

-- Location: LCCOMB_X12_Y9_N28
\WideAnd1079~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1079~0_combout\ = (\led_flash_cnt[1079][2]~q\ & (\led_flash_cnt[1079][4]~q\ & (\led_flash_cnt[1079][3]~q\ & \led_flash_cnt[1079][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1079][2]~q\,
	datab => \led_flash_cnt[1079][4]~q\,
	datac => \led_flash_cnt[1079][3]~q\,
	datad => \led_flash_cnt[1079][1]~q\,
	combout => \WideAnd1079~0_combout\);

-- Location: LCCOMB_X12_Y9_N24
\WideAnd1079~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1079~1_combout\ = (\led_flash_cnt[1079][6]~q\ & \led_flash_cnt[1079][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1079][6]~q\,
	datad => \led_flash_cnt[1079][5]~q\,
	combout => \WideAnd1079~1_combout\);

-- Location: LCCOMB_X12_Y9_N8
WideAnd1079 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1079~combout\ = (\led_flash_cnt[1079][7]~q\ & (\WideAnd1079~0_combout\ & (\led_flash_cnt[1079][0]~q\ & \WideAnd1079~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1079][7]~q\,
	datab => \WideAnd1079~0_combout\,
	datac => \led_flash_cnt[1079][0]~q\,
	datad => \WideAnd1079~1_combout\,
	combout => \WideAnd1079~combout\);

-- Location: FF_X12_Y9_N9
\led_flash_cnt_ands[1079]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1079~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1079));

-- Location: LCCOMB_X10_Y13_N6
\led_flash_cnt[1076][0]~81716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1076][0]~81716_combout\ = !\led_flash_cnt[1076][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1076][0]~q\,
	combout => \led_flash_cnt[1076][0]~81716_combout\);

-- Location: FF_X10_Y13_N7
\led_flash_cnt[1076][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1076][0]~81716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1076][0]~q\);

-- Location: LCCOMB_X10_Y13_N16
\led_flash_cnt[1076][1]~41944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1076][1]~41944_combout\ = (\led_flash_cnt[1076][0]~q\ & (\led_flash_cnt[1076][1]~q\ $ (VCC))) # (!\led_flash_cnt[1076][0]~q\ & (\led_flash_cnt[1076][1]~q\ & VCC))
-- \led_flash_cnt[1076][1]~41945\ = CARRY((\led_flash_cnt[1076][0]~q\ & \led_flash_cnt[1076][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1076][0]~q\,
	datab => \led_flash_cnt[1076][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1076][1]~41944_combout\,
	cout => \led_flash_cnt[1076][1]~41945\);

-- Location: FF_X10_Y13_N17
\led_flash_cnt[1076][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1076][1]~41944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1076][1]~q\);

-- Location: LCCOMB_X10_Y13_N18
\led_flash_cnt[1076][2]~41946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1076][2]~41946_combout\ = (\led_flash_cnt[1076][2]~q\ & (!\led_flash_cnt[1076][1]~41945\)) # (!\led_flash_cnt[1076][2]~q\ & ((\led_flash_cnt[1076][1]~41945\) # (GND)))
-- \led_flash_cnt[1076][2]~41947\ = CARRY((!\led_flash_cnt[1076][1]~41945\) # (!\led_flash_cnt[1076][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1076][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1076][1]~41945\,
	combout => \led_flash_cnt[1076][2]~41946_combout\,
	cout => \led_flash_cnt[1076][2]~41947\);

-- Location: FF_X10_Y13_N19
\led_flash_cnt[1076][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1076][2]~41946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1076][2]~q\);

-- Location: LCCOMB_X10_Y13_N20
\led_flash_cnt[1076][3]~41948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1076][3]~41948_combout\ = (\led_flash_cnt[1076][3]~q\ & (\led_flash_cnt[1076][2]~41947\ $ (GND))) # (!\led_flash_cnt[1076][3]~q\ & (!\led_flash_cnt[1076][2]~41947\ & VCC))
-- \led_flash_cnt[1076][3]~41949\ = CARRY((\led_flash_cnt[1076][3]~q\ & !\led_flash_cnt[1076][2]~41947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1076][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1076][2]~41947\,
	combout => \led_flash_cnt[1076][3]~41948_combout\,
	cout => \led_flash_cnt[1076][3]~41949\);

-- Location: FF_X10_Y13_N21
\led_flash_cnt[1076][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1076][3]~41948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1076][3]~q\);

-- Location: LCCOMB_X10_Y13_N22
\led_flash_cnt[1076][4]~41950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1076][4]~41950_combout\ = (\led_flash_cnt[1076][4]~q\ & (!\led_flash_cnt[1076][3]~41949\)) # (!\led_flash_cnt[1076][4]~q\ & ((\led_flash_cnt[1076][3]~41949\) # (GND)))
-- \led_flash_cnt[1076][4]~41951\ = CARRY((!\led_flash_cnt[1076][3]~41949\) # (!\led_flash_cnt[1076][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1076][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1076][3]~41949\,
	combout => \led_flash_cnt[1076][4]~41950_combout\,
	cout => \led_flash_cnt[1076][4]~41951\);

-- Location: FF_X10_Y13_N23
\led_flash_cnt[1076][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1076][4]~41950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1076][4]~q\);

-- Location: LCCOMB_X10_Y13_N24
\led_flash_cnt[1076][5]~41952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1076][5]~41952_combout\ = (\led_flash_cnt[1076][5]~q\ & (\led_flash_cnt[1076][4]~41951\ $ (GND))) # (!\led_flash_cnt[1076][5]~q\ & (!\led_flash_cnt[1076][4]~41951\ & VCC))
-- \led_flash_cnt[1076][5]~41953\ = CARRY((\led_flash_cnt[1076][5]~q\ & !\led_flash_cnt[1076][4]~41951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1076][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1076][4]~41951\,
	combout => \led_flash_cnt[1076][5]~41952_combout\,
	cout => \led_flash_cnt[1076][5]~41953\);

-- Location: FF_X10_Y13_N25
\led_flash_cnt[1076][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1076][5]~41952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1076][5]~q\);

-- Location: LCCOMB_X10_Y13_N26
\led_flash_cnt[1076][6]~41954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1076][6]~41954_combout\ = (\led_flash_cnt[1076][6]~q\ & (!\led_flash_cnt[1076][5]~41953\)) # (!\led_flash_cnt[1076][6]~q\ & ((\led_flash_cnt[1076][5]~41953\) # (GND)))
-- \led_flash_cnt[1076][6]~41955\ = CARRY((!\led_flash_cnt[1076][5]~41953\) # (!\led_flash_cnt[1076][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1076][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1076][5]~41953\,
	combout => \led_flash_cnt[1076][6]~41954_combout\,
	cout => \led_flash_cnt[1076][6]~41955\);

-- Location: FF_X10_Y13_N27
\led_flash_cnt[1076][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1076][6]~41954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1076][6]~q\);

-- Location: LCCOMB_X10_Y13_N10
\WideAnd1076~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1076~1_combout\ = (\led_flash_cnt[1076][6]~q\ & \led_flash_cnt[1076][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1076][6]~q\,
	datad => \led_flash_cnt[1076][5]~q\,
	combout => \WideAnd1076~1_combout\);

-- Location: LCCOMB_X10_Y13_N28
\led_flash_cnt[1076][7]~41956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1076][7]~41956_combout\ = \led_flash_cnt[1076][6]~41955\ $ (!\led_flash_cnt[1076][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1076][7]~q\,
	cin => \led_flash_cnt[1076][6]~41955\,
	combout => \led_flash_cnt[1076][7]~41956_combout\);

-- Location: FF_X10_Y13_N29
\led_flash_cnt[1076][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1076][7]~41956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1076][7]~q\);

-- Location: LCCOMB_X10_Y13_N4
\WideAnd1076~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1076~0_combout\ = (\led_flash_cnt[1076][2]~q\ & (\led_flash_cnt[1076][1]~q\ & (\led_flash_cnt[1076][4]~q\ & \led_flash_cnt[1076][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1076][2]~q\,
	datab => \led_flash_cnt[1076][1]~q\,
	datac => \led_flash_cnt[1076][4]~q\,
	datad => \led_flash_cnt[1076][3]~q\,
	combout => \WideAnd1076~0_combout\);

-- Location: LCCOMB_X10_Y13_N14
WideAnd1076 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1076~combout\ = (\WideAnd1076~1_combout\ & (\led_flash_cnt[1076][7]~q\ & (\WideAnd1076~0_combout\ & \led_flash_cnt[1076][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1076~1_combout\,
	datab => \led_flash_cnt[1076][7]~q\,
	datac => \WideAnd1076~0_combout\,
	datad => \led_flash_cnt[1076][0]~q\,
	combout => \WideAnd1076~combout\);

-- Location: FF_X10_Y13_N15
\led_flash_cnt_ands[1076]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1076~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1076));

-- Location: LCCOMB_X11_Y13_N28
\led_flash_cnt[1077][0]~81717\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1077][0]~81717_combout\ = !\led_flash_cnt[1077][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1077][0]~q\,
	combout => \led_flash_cnt[1077][0]~81717_combout\);

-- Location: FF_X11_Y13_N29
\led_flash_cnt[1077][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1077][0]~81717_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1077][0]~q\);

-- Location: LCCOMB_X9_Y13_N0
\led_flash_cnt[1077][1]~41958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1077][1]~41958_combout\ = (\led_flash_cnt[1077][0]~q\ & (\led_flash_cnt[1077][1]~q\ $ (VCC))) # (!\led_flash_cnt[1077][0]~q\ & (\led_flash_cnt[1077][1]~q\ & VCC))
-- \led_flash_cnt[1077][1]~41959\ = CARRY((\led_flash_cnt[1077][0]~q\ & \led_flash_cnt[1077][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1077][0]~q\,
	datab => \led_flash_cnt[1077][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1077][1]~41958_combout\,
	cout => \led_flash_cnt[1077][1]~41959\);

-- Location: FF_X9_Y13_N1
\led_flash_cnt[1077][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1077][1]~41958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1077][1]~q\);

-- Location: LCCOMB_X9_Y13_N2
\led_flash_cnt[1077][2]~41960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1077][2]~41960_combout\ = (\led_flash_cnt[1077][2]~q\ & (!\led_flash_cnt[1077][1]~41959\)) # (!\led_flash_cnt[1077][2]~q\ & ((\led_flash_cnt[1077][1]~41959\) # (GND)))
-- \led_flash_cnt[1077][2]~41961\ = CARRY((!\led_flash_cnt[1077][1]~41959\) # (!\led_flash_cnt[1077][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1077][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1077][1]~41959\,
	combout => \led_flash_cnt[1077][2]~41960_combout\,
	cout => \led_flash_cnt[1077][2]~41961\);

-- Location: FF_X9_Y13_N3
\led_flash_cnt[1077][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1077][2]~41960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1077][2]~q\);

-- Location: LCCOMB_X9_Y13_N4
\led_flash_cnt[1077][3]~41962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1077][3]~41962_combout\ = (\led_flash_cnt[1077][3]~q\ & (\led_flash_cnt[1077][2]~41961\ $ (GND))) # (!\led_flash_cnt[1077][3]~q\ & (!\led_flash_cnt[1077][2]~41961\ & VCC))
-- \led_flash_cnt[1077][3]~41963\ = CARRY((\led_flash_cnt[1077][3]~q\ & !\led_flash_cnt[1077][2]~41961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1077][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1077][2]~41961\,
	combout => \led_flash_cnt[1077][3]~41962_combout\,
	cout => \led_flash_cnt[1077][3]~41963\);

-- Location: FF_X9_Y13_N5
\led_flash_cnt[1077][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1077][3]~41962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1077][3]~q\);

-- Location: LCCOMB_X9_Y13_N6
\led_flash_cnt[1077][4]~41964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1077][4]~41964_combout\ = (\led_flash_cnt[1077][4]~q\ & (!\led_flash_cnt[1077][3]~41963\)) # (!\led_flash_cnt[1077][4]~q\ & ((\led_flash_cnt[1077][3]~41963\) # (GND)))
-- \led_flash_cnt[1077][4]~41965\ = CARRY((!\led_flash_cnt[1077][3]~41963\) # (!\led_flash_cnt[1077][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1077][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1077][3]~41963\,
	combout => \led_flash_cnt[1077][4]~41964_combout\,
	cout => \led_flash_cnt[1077][4]~41965\);

-- Location: FF_X9_Y13_N7
\led_flash_cnt[1077][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1077][4]~41964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1077][4]~q\);

-- Location: LCCOMB_X9_Y13_N14
\WideAnd1077~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1077~0_combout\ = (\led_flash_cnt[1077][4]~q\ & (\led_flash_cnt[1077][2]~q\ & (\led_flash_cnt[1077][3]~q\ & \led_flash_cnt[1077][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1077][4]~q\,
	datab => \led_flash_cnt[1077][2]~q\,
	datac => \led_flash_cnt[1077][3]~q\,
	datad => \led_flash_cnt[1077][1]~q\,
	combout => \WideAnd1077~0_combout\);

-- Location: LCCOMB_X9_Y13_N8
\led_flash_cnt[1077][5]~41966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1077][5]~41966_combout\ = (\led_flash_cnt[1077][5]~q\ & (\led_flash_cnt[1077][4]~41965\ $ (GND))) # (!\led_flash_cnt[1077][5]~q\ & (!\led_flash_cnt[1077][4]~41965\ & VCC))
-- \led_flash_cnt[1077][5]~41967\ = CARRY((\led_flash_cnt[1077][5]~q\ & !\led_flash_cnt[1077][4]~41965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1077][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1077][4]~41965\,
	combout => \led_flash_cnt[1077][5]~41966_combout\,
	cout => \led_flash_cnt[1077][5]~41967\);

-- Location: FF_X9_Y13_N9
\led_flash_cnt[1077][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1077][5]~41966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1077][5]~q\);

-- Location: LCCOMB_X9_Y13_N10
\led_flash_cnt[1077][6]~41968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1077][6]~41968_combout\ = (\led_flash_cnt[1077][6]~q\ & (!\led_flash_cnt[1077][5]~41967\)) # (!\led_flash_cnt[1077][6]~q\ & ((\led_flash_cnt[1077][5]~41967\) # (GND)))
-- \led_flash_cnt[1077][6]~41969\ = CARRY((!\led_flash_cnt[1077][5]~41967\) # (!\led_flash_cnt[1077][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1077][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1077][5]~41967\,
	combout => \led_flash_cnt[1077][6]~41968_combout\,
	cout => \led_flash_cnt[1077][6]~41969\);

-- Location: FF_X9_Y13_N11
\led_flash_cnt[1077][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1077][6]~41968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1077][6]~q\);

-- Location: LCCOMB_X10_Y13_N0
\WideAnd1077~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1077~1_combout\ = (\led_flash_cnt[1077][5]~q\ & \led_flash_cnt[1077][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1077][5]~q\,
	datad => \led_flash_cnt[1077][6]~q\,
	combout => \WideAnd1077~1_combout\);

-- Location: LCCOMB_X9_Y13_N12
\led_flash_cnt[1077][7]~41970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1077][7]~41970_combout\ = \led_flash_cnt[1077][6]~41969\ $ (!\led_flash_cnt[1077][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1077][7]~q\,
	cin => \led_flash_cnt[1077][6]~41969\,
	combout => \led_flash_cnt[1077][7]~41970_combout\);

-- Location: FF_X9_Y13_N13
\led_flash_cnt[1077][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1077][7]~41970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1077][7]~q\);

-- Location: LCCOMB_X10_Y13_N8
WideAnd1077 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1077~combout\ = (\WideAnd1077~0_combout\ & (\WideAnd1077~1_combout\ & (\led_flash_cnt[1077][0]~q\ & \led_flash_cnt[1077][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1077~0_combout\,
	datab => \WideAnd1077~1_combout\,
	datac => \led_flash_cnt[1077][0]~q\,
	datad => \led_flash_cnt[1077][7]~q\,
	combout => \WideAnd1077~combout\);

-- Location: FF_X10_Y13_N9
\led_flash_cnt_ands[1077]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1077~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1077));

-- Location: LCCOMB_X10_Y13_N2
\WideAnd3974~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3974~1_combout\ = (led_flash_cnt_ands(1076) & led_flash_cnt_ands(1077))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1076),
	datac => led_flash_cnt_ands(1077),
	combout => \WideAnd3974~1_combout\);

-- Location: LCCOMB_X12_Y9_N26
\led_flash_cnt[1078][0]~81718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1078][0]~81718_combout\ = !\led_flash_cnt[1078][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1078][0]~q\,
	combout => \led_flash_cnt[1078][0]~81718_combout\);

-- Location: FF_X12_Y9_N27
\led_flash_cnt[1078][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1078][0]~81718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1078][0]~q\);

-- Location: LCCOMB_X13_Y9_N0
\led_flash_cnt[1078][1]~41972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1078][1]~41972_combout\ = (\led_flash_cnt[1078][0]~q\ & (\led_flash_cnt[1078][1]~q\ $ (VCC))) # (!\led_flash_cnt[1078][0]~q\ & (\led_flash_cnt[1078][1]~q\ & VCC))
-- \led_flash_cnt[1078][1]~41973\ = CARRY((\led_flash_cnt[1078][0]~q\ & \led_flash_cnt[1078][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1078][0]~q\,
	datab => \led_flash_cnt[1078][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1078][1]~41972_combout\,
	cout => \led_flash_cnt[1078][1]~41973\);

-- Location: FF_X13_Y9_N1
\led_flash_cnt[1078][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1078][1]~41972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1078][1]~q\);

-- Location: LCCOMB_X13_Y9_N2
\led_flash_cnt[1078][2]~41974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1078][2]~41974_combout\ = (\led_flash_cnt[1078][2]~q\ & (!\led_flash_cnt[1078][1]~41973\)) # (!\led_flash_cnt[1078][2]~q\ & ((\led_flash_cnt[1078][1]~41973\) # (GND)))
-- \led_flash_cnt[1078][2]~41975\ = CARRY((!\led_flash_cnt[1078][1]~41973\) # (!\led_flash_cnt[1078][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1078][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1078][1]~41973\,
	combout => \led_flash_cnt[1078][2]~41974_combout\,
	cout => \led_flash_cnt[1078][2]~41975\);

-- Location: FF_X13_Y9_N3
\led_flash_cnt[1078][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1078][2]~41974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1078][2]~q\);

-- Location: LCCOMB_X13_Y9_N4
\led_flash_cnt[1078][3]~41976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1078][3]~41976_combout\ = (\led_flash_cnt[1078][3]~q\ & (\led_flash_cnt[1078][2]~41975\ $ (GND))) # (!\led_flash_cnt[1078][3]~q\ & (!\led_flash_cnt[1078][2]~41975\ & VCC))
-- \led_flash_cnt[1078][3]~41977\ = CARRY((\led_flash_cnt[1078][3]~q\ & !\led_flash_cnt[1078][2]~41975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1078][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1078][2]~41975\,
	combout => \led_flash_cnt[1078][3]~41976_combout\,
	cout => \led_flash_cnt[1078][3]~41977\);

-- Location: FF_X13_Y9_N5
\led_flash_cnt[1078][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1078][3]~41976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1078][3]~q\);

-- Location: LCCOMB_X13_Y9_N6
\led_flash_cnt[1078][4]~41978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1078][4]~41978_combout\ = (\led_flash_cnt[1078][4]~q\ & (!\led_flash_cnt[1078][3]~41977\)) # (!\led_flash_cnt[1078][4]~q\ & ((\led_flash_cnt[1078][3]~41977\) # (GND)))
-- \led_flash_cnt[1078][4]~41979\ = CARRY((!\led_flash_cnt[1078][3]~41977\) # (!\led_flash_cnt[1078][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1078][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1078][3]~41977\,
	combout => \led_flash_cnt[1078][4]~41978_combout\,
	cout => \led_flash_cnt[1078][4]~41979\);

-- Location: FF_X13_Y9_N7
\led_flash_cnt[1078][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1078][4]~41978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1078][4]~q\);

-- Location: LCCOMB_X13_Y9_N8
\led_flash_cnt[1078][5]~41980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1078][5]~41980_combout\ = (\led_flash_cnt[1078][5]~q\ & (\led_flash_cnt[1078][4]~41979\ $ (GND))) # (!\led_flash_cnt[1078][5]~q\ & (!\led_flash_cnt[1078][4]~41979\ & VCC))
-- \led_flash_cnt[1078][5]~41981\ = CARRY((\led_flash_cnt[1078][5]~q\ & !\led_flash_cnt[1078][4]~41979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1078][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1078][4]~41979\,
	combout => \led_flash_cnt[1078][5]~41980_combout\,
	cout => \led_flash_cnt[1078][5]~41981\);

-- Location: FF_X13_Y9_N9
\led_flash_cnt[1078][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1078][5]~41980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1078][5]~q\);

-- Location: LCCOMB_X13_Y9_N10
\led_flash_cnt[1078][6]~41982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1078][6]~41982_combout\ = (\led_flash_cnt[1078][6]~q\ & (!\led_flash_cnt[1078][5]~41981\)) # (!\led_flash_cnt[1078][6]~q\ & ((\led_flash_cnt[1078][5]~41981\) # (GND)))
-- \led_flash_cnt[1078][6]~41983\ = CARRY((!\led_flash_cnt[1078][5]~41981\) # (!\led_flash_cnt[1078][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1078][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1078][5]~41981\,
	combout => \led_flash_cnt[1078][6]~41982_combout\,
	cout => \led_flash_cnt[1078][6]~41983\);

-- Location: FF_X13_Y9_N11
\led_flash_cnt[1078][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1078][6]~41982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1078][6]~q\);

-- Location: LCCOMB_X12_Y9_N30
\WideAnd1078~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1078~1_combout\ = (\led_flash_cnt[1078][6]~q\ & \led_flash_cnt[1078][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1078][6]~q\,
	datac => \led_flash_cnt[1078][5]~q\,
	combout => \WideAnd1078~1_combout\);

-- Location: LCCOMB_X13_Y9_N14
\WideAnd1078~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1078~0_combout\ = (\led_flash_cnt[1078][4]~q\ & (\led_flash_cnt[1078][2]~q\ & (\led_flash_cnt[1078][3]~q\ & \led_flash_cnt[1078][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1078][4]~q\,
	datab => \led_flash_cnt[1078][2]~q\,
	datac => \led_flash_cnt[1078][3]~q\,
	datad => \led_flash_cnt[1078][1]~q\,
	combout => \WideAnd1078~0_combout\);

-- Location: LCCOMB_X13_Y9_N12
\led_flash_cnt[1078][7]~41984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1078][7]~41984_combout\ = \led_flash_cnt[1078][6]~41983\ $ (!\led_flash_cnt[1078][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1078][7]~q\,
	cin => \led_flash_cnt[1078][6]~41983\,
	combout => \led_flash_cnt[1078][7]~41984_combout\);

-- Location: FF_X13_Y9_N13
\led_flash_cnt[1078][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1078][7]~41984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1078][7]~q\);

-- Location: LCCOMB_X12_Y9_N6
WideAnd1078 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1078~combout\ = (\WideAnd1078~1_combout\ & (\WideAnd1078~0_combout\ & (\led_flash_cnt[1078][7]~q\ & \led_flash_cnt[1078][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1078~1_combout\,
	datab => \WideAnd1078~0_combout\,
	datac => \led_flash_cnt[1078][7]~q\,
	datad => \led_flash_cnt[1078][0]~q\,
	combout => \WideAnd1078~combout\);

-- Location: FF_X12_Y9_N7
\led_flash_cnt_ands[1078]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1078~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1078));

-- Location: LCCOMB_X11_Y9_N24
WideAnd3974 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3974~combout\ = (\WideAnd3974~0_combout\ & (led_flash_cnt_ands(1079) & (\WideAnd3974~1_combout\ & led_flash_cnt_ands(1078))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3974~0_combout\,
	datab => led_flash_cnt_ands(1079),
	datac => \WideAnd3974~1_combout\,
	datad => led_flash_cnt_ands(1078),
	combout => \WideAnd3974~combout\);

-- Location: FF_X11_Y9_N25
\led_flash_cnt_ands_1[134]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3974~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(134));

-- Location: LCCOMB_X22_Y17_N2
\led_flash_cnt[1052][0]~81692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1052][0]~81692_combout\ = !\led_flash_cnt[1052][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1052][0]~q\,
	combout => \led_flash_cnt[1052][0]~81692_combout\);

-- Location: FF_X22_Y17_N3
\led_flash_cnt[1052][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1052][0]~81692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1052][0]~q\);

-- Location: LCCOMB_X21_Y17_N16
\led_flash_cnt[1052][1]~41608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1052][1]~41608_combout\ = (\led_flash_cnt[1052][0]~q\ & (\led_flash_cnt[1052][1]~q\ $ (VCC))) # (!\led_flash_cnt[1052][0]~q\ & (\led_flash_cnt[1052][1]~q\ & VCC))
-- \led_flash_cnt[1052][1]~41609\ = CARRY((\led_flash_cnt[1052][0]~q\ & \led_flash_cnt[1052][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1052][0]~q\,
	datab => \led_flash_cnt[1052][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1052][1]~41608_combout\,
	cout => \led_flash_cnt[1052][1]~41609\);

-- Location: FF_X21_Y17_N17
\led_flash_cnt[1052][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1052][1]~41608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1052][1]~q\);

-- Location: LCCOMB_X21_Y17_N18
\led_flash_cnt[1052][2]~41610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1052][2]~41610_combout\ = (\led_flash_cnt[1052][2]~q\ & (!\led_flash_cnt[1052][1]~41609\)) # (!\led_flash_cnt[1052][2]~q\ & ((\led_flash_cnt[1052][1]~41609\) # (GND)))
-- \led_flash_cnt[1052][2]~41611\ = CARRY((!\led_flash_cnt[1052][1]~41609\) # (!\led_flash_cnt[1052][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1052][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1052][1]~41609\,
	combout => \led_flash_cnt[1052][2]~41610_combout\,
	cout => \led_flash_cnt[1052][2]~41611\);

-- Location: FF_X21_Y17_N19
\led_flash_cnt[1052][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1052][2]~41610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1052][2]~q\);

-- Location: LCCOMB_X21_Y17_N20
\led_flash_cnt[1052][3]~41612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1052][3]~41612_combout\ = (\led_flash_cnt[1052][3]~q\ & (\led_flash_cnt[1052][2]~41611\ $ (GND))) # (!\led_flash_cnt[1052][3]~q\ & (!\led_flash_cnt[1052][2]~41611\ & VCC))
-- \led_flash_cnt[1052][3]~41613\ = CARRY((\led_flash_cnt[1052][3]~q\ & !\led_flash_cnt[1052][2]~41611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1052][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1052][2]~41611\,
	combout => \led_flash_cnt[1052][3]~41612_combout\,
	cout => \led_flash_cnt[1052][3]~41613\);

-- Location: FF_X21_Y17_N21
\led_flash_cnt[1052][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1052][3]~41612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1052][3]~q\);

-- Location: LCCOMB_X21_Y17_N22
\led_flash_cnt[1052][4]~41614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1052][4]~41614_combout\ = (\led_flash_cnt[1052][4]~q\ & (!\led_flash_cnt[1052][3]~41613\)) # (!\led_flash_cnt[1052][4]~q\ & ((\led_flash_cnt[1052][3]~41613\) # (GND)))
-- \led_flash_cnt[1052][4]~41615\ = CARRY((!\led_flash_cnt[1052][3]~41613\) # (!\led_flash_cnt[1052][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1052][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1052][3]~41613\,
	combout => \led_flash_cnt[1052][4]~41614_combout\,
	cout => \led_flash_cnt[1052][4]~41615\);

-- Location: FF_X21_Y17_N23
\led_flash_cnt[1052][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1052][4]~41614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1052][4]~q\);

-- Location: LCCOMB_X21_Y17_N24
\led_flash_cnt[1052][5]~41616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1052][5]~41616_combout\ = (\led_flash_cnt[1052][5]~q\ & (\led_flash_cnt[1052][4]~41615\ $ (GND))) # (!\led_flash_cnt[1052][5]~q\ & (!\led_flash_cnt[1052][4]~41615\ & VCC))
-- \led_flash_cnt[1052][5]~41617\ = CARRY((\led_flash_cnt[1052][5]~q\ & !\led_flash_cnt[1052][4]~41615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1052][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1052][4]~41615\,
	combout => \led_flash_cnt[1052][5]~41616_combout\,
	cout => \led_flash_cnt[1052][5]~41617\);

-- Location: FF_X21_Y17_N25
\led_flash_cnt[1052][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1052][5]~41616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1052][5]~q\);

-- Location: LCCOMB_X21_Y17_N26
\led_flash_cnt[1052][6]~41618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1052][6]~41618_combout\ = (\led_flash_cnt[1052][6]~q\ & (!\led_flash_cnt[1052][5]~41617\)) # (!\led_flash_cnt[1052][6]~q\ & ((\led_flash_cnt[1052][5]~41617\) # (GND)))
-- \led_flash_cnt[1052][6]~41619\ = CARRY((!\led_flash_cnt[1052][5]~41617\) # (!\led_flash_cnt[1052][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1052][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1052][5]~41617\,
	combout => \led_flash_cnt[1052][6]~41618_combout\,
	cout => \led_flash_cnt[1052][6]~41619\);

-- Location: FF_X21_Y17_N27
\led_flash_cnt[1052][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1052][6]~41618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1052][6]~q\);

-- Location: LCCOMB_X22_Y17_N22
\WideAnd1052~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1052~1_combout\ = (\led_flash_cnt[1052][6]~q\ & \led_flash_cnt[1052][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1052][6]~q\,
	datad => \led_flash_cnt[1052][5]~q\,
	combout => \WideAnd1052~1_combout\);

-- Location: LCCOMB_X21_Y17_N28
\led_flash_cnt[1052][7]~41620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1052][7]~41620_combout\ = \led_flash_cnt[1052][6]~41619\ $ (!\led_flash_cnt[1052][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1052][7]~q\,
	cin => \led_flash_cnt[1052][6]~41619\,
	combout => \led_flash_cnt[1052][7]~41620_combout\);

-- Location: FF_X21_Y17_N29
\led_flash_cnt[1052][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1052][7]~41620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1052][7]~q\);

-- Location: LCCOMB_X21_Y17_N0
\WideAnd1052~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1052~0_combout\ = (\led_flash_cnt[1052][1]~q\ & (\led_flash_cnt[1052][2]~q\ & (\led_flash_cnt[1052][4]~q\ & \led_flash_cnt[1052][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1052][1]~q\,
	datab => \led_flash_cnt[1052][2]~q\,
	datac => \led_flash_cnt[1052][4]~q\,
	datad => \led_flash_cnt[1052][3]~q\,
	combout => \WideAnd1052~0_combout\);

-- Location: LCCOMB_X22_Y17_N30
WideAnd1052 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1052~combout\ = (\WideAnd1052~1_combout\ & (\led_flash_cnt[1052][7]~q\ & (\WideAnd1052~0_combout\ & \led_flash_cnt[1052][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1052~1_combout\,
	datab => \led_flash_cnt[1052][7]~q\,
	datac => \WideAnd1052~0_combout\,
	datad => \led_flash_cnt[1052][0]~q\,
	combout => \WideAnd1052~combout\);

-- Location: FF_X22_Y17_N31
\led_flash_cnt_ands[1052]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1052~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1052));

-- Location: LCCOMB_X23_Y13_N30
\led_flash_cnt[1053][0]~81693\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1053][0]~81693_combout\ = !\led_flash_cnt[1053][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1053][0]~q\,
	combout => \led_flash_cnt[1053][0]~81693_combout\);

-- Location: FF_X23_Y13_N31
\led_flash_cnt[1053][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1053][0]~81693_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1053][0]~q\);

-- Location: LCCOMB_X23_Y13_N8
\led_flash_cnt[1053][1]~41622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1053][1]~41622_combout\ = (\led_flash_cnt[1053][0]~q\ & (\led_flash_cnt[1053][1]~q\ $ (VCC))) # (!\led_flash_cnt[1053][0]~q\ & (\led_flash_cnt[1053][1]~q\ & VCC))
-- \led_flash_cnt[1053][1]~41623\ = CARRY((\led_flash_cnt[1053][0]~q\ & \led_flash_cnt[1053][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1053][0]~q\,
	datab => \led_flash_cnt[1053][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1053][1]~41622_combout\,
	cout => \led_flash_cnt[1053][1]~41623\);

-- Location: FF_X23_Y13_N9
\led_flash_cnt[1053][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1053][1]~41622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1053][1]~q\);

-- Location: LCCOMB_X23_Y13_N10
\led_flash_cnt[1053][2]~41624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1053][2]~41624_combout\ = (\led_flash_cnt[1053][2]~q\ & (!\led_flash_cnt[1053][1]~41623\)) # (!\led_flash_cnt[1053][2]~q\ & ((\led_flash_cnt[1053][1]~41623\) # (GND)))
-- \led_flash_cnt[1053][2]~41625\ = CARRY((!\led_flash_cnt[1053][1]~41623\) # (!\led_flash_cnt[1053][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1053][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1053][1]~41623\,
	combout => \led_flash_cnt[1053][2]~41624_combout\,
	cout => \led_flash_cnt[1053][2]~41625\);

-- Location: FF_X23_Y13_N11
\led_flash_cnt[1053][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1053][2]~41624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1053][2]~q\);

-- Location: LCCOMB_X23_Y13_N12
\led_flash_cnt[1053][3]~41626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1053][3]~41626_combout\ = (\led_flash_cnt[1053][3]~q\ & (\led_flash_cnt[1053][2]~41625\ $ (GND))) # (!\led_flash_cnt[1053][3]~q\ & (!\led_flash_cnt[1053][2]~41625\ & VCC))
-- \led_flash_cnt[1053][3]~41627\ = CARRY((\led_flash_cnt[1053][3]~q\ & !\led_flash_cnt[1053][2]~41625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1053][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1053][2]~41625\,
	combout => \led_flash_cnt[1053][3]~41626_combout\,
	cout => \led_flash_cnt[1053][3]~41627\);

-- Location: FF_X23_Y13_N13
\led_flash_cnt[1053][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1053][3]~41626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1053][3]~q\);

-- Location: LCCOMB_X23_Y13_N14
\led_flash_cnt[1053][4]~41628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1053][4]~41628_combout\ = (\led_flash_cnt[1053][4]~q\ & (!\led_flash_cnt[1053][3]~41627\)) # (!\led_flash_cnt[1053][4]~q\ & ((\led_flash_cnt[1053][3]~41627\) # (GND)))
-- \led_flash_cnt[1053][4]~41629\ = CARRY((!\led_flash_cnt[1053][3]~41627\) # (!\led_flash_cnt[1053][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1053][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1053][3]~41627\,
	combout => \led_flash_cnt[1053][4]~41628_combout\,
	cout => \led_flash_cnt[1053][4]~41629\);

-- Location: FF_X23_Y13_N15
\led_flash_cnt[1053][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1053][4]~41628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1053][4]~q\);

-- Location: LCCOMB_X23_Y13_N22
\WideAnd1053~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1053~0_combout\ = (\led_flash_cnt[1053][3]~q\ & (\led_flash_cnt[1053][1]~q\ & (\led_flash_cnt[1053][4]~q\ & \led_flash_cnt[1053][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1053][3]~q\,
	datab => \led_flash_cnt[1053][1]~q\,
	datac => \led_flash_cnt[1053][4]~q\,
	datad => \led_flash_cnt[1053][2]~q\,
	combout => \WideAnd1053~0_combout\);

-- Location: LCCOMB_X23_Y13_N16
\led_flash_cnt[1053][5]~41630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1053][5]~41630_combout\ = (\led_flash_cnt[1053][5]~q\ & (\led_flash_cnt[1053][4]~41629\ $ (GND))) # (!\led_flash_cnt[1053][5]~q\ & (!\led_flash_cnt[1053][4]~41629\ & VCC))
-- \led_flash_cnt[1053][5]~41631\ = CARRY((\led_flash_cnt[1053][5]~q\ & !\led_flash_cnt[1053][4]~41629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1053][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1053][4]~41629\,
	combout => \led_flash_cnt[1053][5]~41630_combout\,
	cout => \led_flash_cnt[1053][5]~41631\);

-- Location: FF_X23_Y13_N17
\led_flash_cnt[1053][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1053][5]~41630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1053][5]~q\);

-- Location: LCCOMB_X23_Y13_N18
\led_flash_cnt[1053][6]~41632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1053][6]~41632_combout\ = (\led_flash_cnt[1053][6]~q\ & (!\led_flash_cnt[1053][5]~41631\)) # (!\led_flash_cnt[1053][6]~q\ & ((\led_flash_cnt[1053][5]~41631\) # (GND)))
-- \led_flash_cnt[1053][6]~41633\ = CARRY((!\led_flash_cnt[1053][5]~41631\) # (!\led_flash_cnt[1053][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1053][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1053][5]~41631\,
	combout => \led_flash_cnt[1053][6]~41632_combout\,
	cout => \led_flash_cnt[1053][6]~41633\);

-- Location: FF_X23_Y13_N19
\led_flash_cnt[1053][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1053][6]~41632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1053][6]~q\);

-- Location: LCCOMB_X23_Y13_N20
\led_flash_cnt[1053][7]~41634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1053][7]~41634_combout\ = \led_flash_cnt[1053][6]~41633\ $ (!\led_flash_cnt[1053][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1053][7]~q\,
	cin => \led_flash_cnt[1053][6]~41633\,
	combout => \led_flash_cnt[1053][7]~41634_combout\);

-- Location: FF_X23_Y13_N21
\led_flash_cnt[1053][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1053][7]~41634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1053][7]~q\);

-- Location: LCCOMB_X23_Y13_N24
\WideAnd1053~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1053~1_combout\ = (\led_flash_cnt[1053][5]~q\ & \led_flash_cnt[1053][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1053][5]~q\,
	datad => \led_flash_cnt[1053][6]~q\,
	combout => \WideAnd1053~1_combout\);

-- Location: LCCOMB_X23_Y13_N2
WideAnd1053 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1053~combout\ = (\WideAnd1053~0_combout\ & (\led_flash_cnt[1053][7]~q\ & (\led_flash_cnt[1053][0]~q\ & \WideAnd1053~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1053~0_combout\,
	datab => \led_flash_cnt[1053][7]~q\,
	datac => \led_flash_cnt[1053][0]~q\,
	datad => \WideAnd1053~1_combout\,
	combout => \WideAnd1053~combout\);

-- Location: FF_X23_Y13_N3
\led_flash_cnt_ands[1053]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1053~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1053));

-- Location: LCCOMB_X23_Y13_N26
\WideAnd3971~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3971~1_combout\ = (led_flash_cnt_ands(1052) & led_flash_cnt_ands(1053))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1052),
	datad => led_flash_cnt_ands(1053),
	combout => \WideAnd3971~1_combout\);

-- Location: LCCOMB_X17_Y13_N26
\led_flash_cnt[1048][0]~81688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1048][0]~81688_combout\ = !\led_flash_cnt[1048][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1048][0]~q\,
	combout => \led_flash_cnt[1048][0]~81688_combout\);

-- Location: FF_X17_Y13_N27
\led_flash_cnt[1048][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1048][0]~81688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1048][0]~q\);

-- Location: LCCOMB_X21_Y13_N2
\led_flash_cnt[1048][1]~41552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1048][1]~41552_combout\ = (\led_flash_cnt[1048][0]~q\ & (\led_flash_cnt[1048][1]~q\ $ (VCC))) # (!\led_flash_cnt[1048][0]~q\ & (\led_flash_cnt[1048][1]~q\ & VCC))
-- \led_flash_cnt[1048][1]~41553\ = CARRY((\led_flash_cnt[1048][0]~q\ & \led_flash_cnt[1048][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1048][0]~q\,
	datab => \led_flash_cnt[1048][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1048][1]~41552_combout\,
	cout => \led_flash_cnt[1048][1]~41553\);

-- Location: FF_X21_Y13_N3
\led_flash_cnt[1048][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1048][1]~41552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1048][1]~q\);

-- Location: LCCOMB_X21_Y13_N4
\led_flash_cnt[1048][2]~41554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1048][2]~41554_combout\ = (\led_flash_cnt[1048][2]~q\ & (!\led_flash_cnt[1048][1]~41553\)) # (!\led_flash_cnt[1048][2]~q\ & ((\led_flash_cnt[1048][1]~41553\) # (GND)))
-- \led_flash_cnt[1048][2]~41555\ = CARRY((!\led_flash_cnt[1048][1]~41553\) # (!\led_flash_cnt[1048][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1048][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1048][1]~41553\,
	combout => \led_flash_cnt[1048][2]~41554_combout\,
	cout => \led_flash_cnt[1048][2]~41555\);

-- Location: FF_X21_Y13_N5
\led_flash_cnt[1048][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1048][2]~41554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1048][2]~q\);

-- Location: LCCOMB_X21_Y13_N6
\led_flash_cnt[1048][3]~41556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1048][3]~41556_combout\ = (\led_flash_cnt[1048][3]~q\ & (\led_flash_cnt[1048][2]~41555\ $ (GND))) # (!\led_flash_cnt[1048][3]~q\ & (!\led_flash_cnt[1048][2]~41555\ & VCC))
-- \led_flash_cnt[1048][3]~41557\ = CARRY((\led_flash_cnt[1048][3]~q\ & !\led_flash_cnt[1048][2]~41555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1048][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1048][2]~41555\,
	combout => \led_flash_cnt[1048][3]~41556_combout\,
	cout => \led_flash_cnt[1048][3]~41557\);

-- Location: FF_X21_Y13_N7
\led_flash_cnt[1048][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1048][3]~41556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1048][3]~q\);

-- Location: LCCOMB_X21_Y13_N8
\led_flash_cnt[1048][4]~41558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1048][4]~41558_combout\ = (\led_flash_cnt[1048][4]~q\ & (!\led_flash_cnt[1048][3]~41557\)) # (!\led_flash_cnt[1048][4]~q\ & ((\led_flash_cnt[1048][3]~41557\) # (GND)))
-- \led_flash_cnt[1048][4]~41559\ = CARRY((!\led_flash_cnt[1048][3]~41557\) # (!\led_flash_cnt[1048][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1048][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1048][3]~41557\,
	combout => \led_flash_cnt[1048][4]~41558_combout\,
	cout => \led_flash_cnt[1048][4]~41559\);

-- Location: FF_X21_Y13_N9
\led_flash_cnt[1048][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1048][4]~41558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1048][4]~q\);

-- Location: LCCOMB_X21_Y13_N0
\WideAnd1048~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1048~0_combout\ = (\led_flash_cnt[1048][3]~q\ & (\led_flash_cnt[1048][4]~q\ & (\led_flash_cnt[1048][2]~q\ & \led_flash_cnt[1048][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1048][3]~q\,
	datab => \led_flash_cnt[1048][4]~q\,
	datac => \led_flash_cnt[1048][2]~q\,
	datad => \led_flash_cnt[1048][1]~q\,
	combout => \WideAnd1048~0_combout\);

-- Location: LCCOMB_X21_Y13_N10
\led_flash_cnt[1048][5]~41560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1048][5]~41560_combout\ = (\led_flash_cnt[1048][5]~q\ & (\led_flash_cnt[1048][4]~41559\ $ (GND))) # (!\led_flash_cnt[1048][5]~q\ & (!\led_flash_cnt[1048][4]~41559\ & VCC))
-- \led_flash_cnt[1048][5]~41561\ = CARRY((\led_flash_cnt[1048][5]~q\ & !\led_flash_cnt[1048][4]~41559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1048][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1048][4]~41559\,
	combout => \led_flash_cnt[1048][5]~41560_combout\,
	cout => \led_flash_cnt[1048][5]~41561\);

-- Location: FF_X21_Y13_N11
\led_flash_cnt[1048][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1048][5]~41560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1048][5]~q\);

-- Location: LCCOMB_X21_Y13_N12
\led_flash_cnt[1048][6]~41562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1048][6]~41562_combout\ = (\led_flash_cnt[1048][6]~q\ & (!\led_flash_cnt[1048][5]~41561\)) # (!\led_flash_cnt[1048][6]~q\ & ((\led_flash_cnt[1048][5]~41561\) # (GND)))
-- \led_flash_cnt[1048][6]~41563\ = CARRY((!\led_flash_cnt[1048][5]~41561\) # (!\led_flash_cnt[1048][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1048][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1048][5]~41561\,
	combout => \led_flash_cnt[1048][6]~41562_combout\,
	cout => \led_flash_cnt[1048][6]~41563\);

-- Location: FF_X21_Y13_N13
\led_flash_cnt[1048][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1048][6]~41562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1048][6]~q\);

-- Location: LCCOMB_X21_Y13_N14
\led_flash_cnt[1048][7]~41564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1048][7]~41564_combout\ = \led_flash_cnt[1048][7]~q\ $ (!\led_flash_cnt[1048][6]~41563\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1048][7]~q\,
	cin => \led_flash_cnt[1048][6]~41563\,
	combout => \led_flash_cnt[1048][7]~41564_combout\);

-- Location: FF_X21_Y13_N15
\led_flash_cnt[1048][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1048][7]~41564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1048][7]~q\);

-- Location: LCCOMB_X20_Y13_N0
\WideAnd1048~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1048~1_combout\ = (\led_flash_cnt[1048][5]~q\ & \led_flash_cnt[1048][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1048][5]~q\,
	datac => \led_flash_cnt[1048][6]~q\,
	combout => \WideAnd1048~1_combout\);

-- Location: LCCOMB_X20_Y13_N8
WideAnd1048 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1048~combout\ = (\led_flash_cnt[1048][0]~q\ & (\WideAnd1048~0_combout\ & (\led_flash_cnt[1048][7]~q\ & \WideAnd1048~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1048][0]~q\,
	datab => \WideAnd1048~0_combout\,
	datac => \led_flash_cnt[1048][7]~q\,
	datad => \WideAnd1048~1_combout\,
	combout => \WideAnd1048~combout\);

-- Location: FF_X20_Y13_N9
\led_flash_cnt_ands[1048]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1048~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1048));

-- Location: LCCOMB_X22_Y32_N30
\led_flash_cnt[1049][0]~81689\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1049][0]~81689_combout\ = !\led_flash_cnt[1049][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1049][0]~q\,
	combout => \led_flash_cnt[1049][0]~81689_combout\);

-- Location: FF_X22_Y32_N31
\led_flash_cnt[1049][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1049][0]~81689_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1049][0]~q\);

-- Location: LCCOMB_X22_Y32_N2
\led_flash_cnt[1049][1]~41566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1049][1]~41566_combout\ = (\led_flash_cnt[1049][0]~q\ & (\led_flash_cnt[1049][1]~q\ $ (VCC))) # (!\led_flash_cnt[1049][0]~q\ & (\led_flash_cnt[1049][1]~q\ & VCC))
-- \led_flash_cnt[1049][1]~41567\ = CARRY((\led_flash_cnt[1049][0]~q\ & \led_flash_cnt[1049][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1049][0]~q\,
	datab => \led_flash_cnt[1049][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1049][1]~41566_combout\,
	cout => \led_flash_cnt[1049][1]~41567\);

-- Location: FF_X22_Y32_N3
\led_flash_cnt[1049][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1049][1]~41566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1049][1]~q\);

-- Location: LCCOMB_X22_Y32_N4
\led_flash_cnt[1049][2]~41568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1049][2]~41568_combout\ = (\led_flash_cnt[1049][2]~q\ & (!\led_flash_cnt[1049][1]~41567\)) # (!\led_flash_cnt[1049][2]~q\ & ((\led_flash_cnt[1049][1]~41567\) # (GND)))
-- \led_flash_cnt[1049][2]~41569\ = CARRY((!\led_flash_cnt[1049][1]~41567\) # (!\led_flash_cnt[1049][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1049][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1049][1]~41567\,
	combout => \led_flash_cnt[1049][2]~41568_combout\,
	cout => \led_flash_cnt[1049][2]~41569\);

-- Location: FF_X22_Y32_N5
\led_flash_cnt[1049][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1049][2]~41568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1049][2]~q\);

-- Location: LCCOMB_X22_Y32_N6
\led_flash_cnt[1049][3]~41570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1049][3]~41570_combout\ = (\led_flash_cnt[1049][3]~q\ & (\led_flash_cnt[1049][2]~41569\ $ (GND))) # (!\led_flash_cnt[1049][3]~q\ & (!\led_flash_cnt[1049][2]~41569\ & VCC))
-- \led_flash_cnt[1049][3]~41571\ = CARRY((\led_flash_cnt[1049][3]~q\ & !\led_flash_cnt[1049][2]~41569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1049][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1049][2]~41569\,
	combout => \led_flash_cnt[1049][3]~41570_combout\,
	cout => \led_flash_cnt[1049][3]~41571\);

-- Location: FF_X22_Y32_N7
\led_flash_cnt[1049][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1049][3]~41570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1049][3]~q\);

-- Location: LCCOMB_X22_Y32_N8
\led_flash_cnt[1049][4]~41572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1049][4]~41572_combout\ = (\led_flash_cnt[1049][4]~q\ & (!\led_flash_cnt[1049][3]~41571\)) # (!\led_flash_cnt[1049][4]~q\ & ((\led_flash_cnt[1049][3]~41571\) # (GND)))
-- \led_flash_cnt[1049][4]~41573\ = CARRY((!\led_flash_cnt[1049][3]~41571\) # (!\led_flash_cnt[1049][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1049][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1049][3]~41571\,
	combout => \led_flash_cnt[1049][4]~41572_combout\,
	cout => \led_flash_cnt[1049][4]~41573\);

-- Location: FF_X22_Y32_N9
\led_flash_cnt[1049][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1049][4]~41572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1049][4]~q\);

-- Location: LCCOMB_X22_Y32_N24
\WideAnd1049~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1049~0_combout\ = (\led_flash_cnt[1049][3]~q\ & (\led_flash_cnt[1049][4]~q\ & (\led_flash_cnt[1049][2]~q\ & \led_flash_cnt[1049][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1049][3]~q\,
	datab => \led_flash_cnt[1049][4]~q\,
	datac => \led_flash_cnt[1049][2]~q\,
	datad => \led_flash_cnt[1049][1]~q\,
	combout => \WideAnd1049~0_combout\);

-- Location: LCCOMB_X22_Y32_N10
\led_flash_cnt[1049][5]~41574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1049][5]~41574_combout\ = (\led_flash_cnt[1049][5]~q\ & (\led_flash_cnt[1049][4]~41573\ $ (GND))) # (!\led_flash_cnt[1049][5]~q\ & (!\led_flash_cnt[1049][4]~41573\ & VCC))
-- \led_flash_cnt[1049][5]~41575\ = CARRY((\led_flash_cnt[1049][5]~q\ & !\led_flash_cnt[1049][4]~41573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1049][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1049][4]~41573\,
	combout => \led_flash_cnt[1049][5]~41574_combout\,
	cout => \led_flash_cnt[1049][5]~41575\);

-- Location: FF_X22_Y32_N11
\led_flash_cnt[1049][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1049][5]~41574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1049][5]~q\);

-- Location: LCCOMB_X22_Y32_N12
\led_flash_cnt[1049][6]~41576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1049][6]~41576_combout\ = (\led_flash_cnt[1049][6]~q\ & (!\led_flash_cnt[1049][5]~41575\)) # (!\led_flash_cnt[1049][6]~q\ & ((\led_flash_cnt[1049][5]~41575\) # (GND)))
-- \led_flash_cnt[1049][6]~41577\ = CARRY((!\led_flash_cnt[1049][5]~41575\) # (!\led_flash_cnt[1049][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1049][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1049][5]~41575\,
	combout => \led_flash_cnt[1049][6]~41576_combout\,
	cout => \led_flash_cnt[1049][6]~41577\);

-- Location: FF_X22_Y32_N13
\led_flash_cnt[1049][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1049][6]~41576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1049][6]~q\);

-- Location: LCCOMB_X22_Y32_N14
\led_flash_cnt[1049][7]~41578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1049][7]~41578_combout\ = \led_flash_cnt[1049][7]~q\ $ (!\led_flash_cnt[1049][6]~41577\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1049][7]~q\,
	cin => \led_flash_cnt[1049][6]~41577\,
	combout => \led_flash_cnt[1049][7]~41578_combout\);

-- Location: FF_X22_Y32_N15
\led_flash_cnt[1049][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1049][7]~41578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1049][7]~q\);

-- Location: LCCOMB_X22_Y32_N20
\WideAnd1049~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1049~1_combout\ = (\led_flash_cnt[1049][5]~q\ & \led_flash_cnt[1049][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1049][5]~q\,
	datad => \led_flash_cnt[1049][6]~q\,
	combout => \WideAnd1049~1_combout\);

-- Location: LCCOMB_X22_Y32_N26
WideAnd1049 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1049~combout\ = (\led_flash_cnt[1049][0]~q\ & (\WideAnd1049~0_combout\ & (\led_flash_cnt[1049][7]~q\ & \WideAnd1049~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1049][0]~q\,
	datab => \WideAnd1049~0_combout\,
	datac => \led_flash_cnt[1049][7]~q\,
	datad => \WideAnd1049~1_combout\,
	combout => \WideAnd1049~combout\);

-- Location: FF_X22_Y32_N27
\led_flash_cnt_ands[1049]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1049~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1049));

-- Location: LCCOMB_X20_Y12_N4
\led_flash_cnt[1051][0]~81691\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1051][0]~81691_combout\ = !\led_flash_cnt[1051][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1051][0]~q\,
	combout => \led_flash_cnt[1051][0]~81691_combout\);

-- Location: FF_X20_Y12_N5
\led_flash_cnt[1051][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1051][0]~81691_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1051][0]~q\);

-- Location: LCCOMB_X21_Y9_N18
\led_flash_cnt[1051][1]~41594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1051][1]~41594_combout\ = (\led_flash_cnt[1051][1]~q\ & (\led_flash_cnt[1051][0]~q\ $ (VCC))) # (!\led_flash_cnt[1051][1]~q\ & (\led_flash_cnt[1051][0]~q\ & VCC))
-- \led_flash_cnt[1051][1]~41595\ = CARRY((\led_flash_cnt[1051][1]~q\ & \led_flash_cnt[1051][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1051][1]~q\,
	datab => \led_flash_cnt[1051][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1051][1]~41594_combout\,
	cout => \led_flash_cnt[1051][1]~41595\);

-- Location: FF_X21_Y9_N19
\led_flash_cnt[1051][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1051][1]~41594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1051][1]~q\);

-- Location: LCCOMB_X21_Y9_N20
\led_flash_cnt[1051][2]~41596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1051][2]~41596_combout\ = (\led_flash_cnt[1051][2]~q\ & (!\led_flash_cnt[1051][1]~41595\)) # (!\led_flash_cnt[1051][2]~q\ & ((\led_flash_cnt[1051][1]~41595\) # (GND)))
-- \led_flash_cnt[1051][2]~41597\ = CARRY((!\led_flash_cnt[1051][1]~41595\) # (!\led_flash_cnt[1051][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1051][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1051][1]~41595\,
	combout => \led_flash_cnt[1051][2]~41596_combout\,
	cout => \led_flash_cnt[1051][2]~41597\);

-- Location: FF_X21_Y9_N21
\led_flash_cnt[1051][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1051][2]~41596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1051][2]~q\);

-- Location: LCCOMB_X21_Y9_N22
\led_flash_cnt[1051][3]~41598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1051][3]~41598_combout\ = (\led_flash_cnt[1051][3]~q\ & (\led_flash_cnt[1051][2]~41597\ $ (GND))) # (!\led_flash_cnt[1051][3]~q\ & (!\led_flash_cnt[1051][2]~41597\ & VCC))
-- \led_flash_cnt[1051][3]~41599\ = CARRY((\led_flash_cnt[1051][3]~q\ & !\led_flash_cnt[1051][2]~41597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1051][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1051][2]~41597\,
	combout => \led_flash_cnt[1051][3]~41598_combout\,
	cout => \led_flash_cnt[1051][3]~41599\);

-- Location: FF_X21_Y9_N23
\led_flash_cnt[1051][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1051][3]~41598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1051][3]~q\);

-- Location: LCCOMB_X21_Y9_N24
\led_flash_cnt[1051][4]~41600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1051][4]~41600_combout\ = (\led_flash_cnt[1051][4]~q\ & (!\led_flash_cnt[1051][3]~41599\)) # (!\led_flash_cnt[1051][4]~q\ & ((\led_flash_cnt[1051][3]~41599\) # (GND)))
-- \led_flash_cnt[1051][4]~41601\ = CARRY((!\led_flash_cnt[1051][3]~41599\) # (!\led_flash_cnt[1051][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1051][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1051][3]~41599\,
	combout => \led_flash_cnt[1051][4]~41600_combout\,
	cout => \led_flash_cnt[1051][4]~41601\);

-- Location: FF_X21_Y9_N25
\led_flash_cnt[1051][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1051][4]~41600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1051][4]~q\);

-- Location: LCCOMB_X22_Y9_N30
\WideAnd1051~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1051~0_combout\ = (\led_flash_cnt[1051][3]~q\ & (\led_flash_cnt[1051][4]~q\ & (\led_flash_cnt[1051][2]~q\ & \led_flash_cnt[1051][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1051][3]~q\,
	datab => \led_flash_cnt[1051][4]~q\,
	datac => \led_flash_cnt[1051][2]~q\,
	datad => \led_flash_cnt[1051][1]~q\,
	combout => \WideAnd1051~0_combout\);

-- Location: LCCOMB_X21_Y9_N26
\led_flash_cnt[1051][5]~41602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1051][5]~41602_combout\ = (\led_flash_cnt[1051][5]~q\ & (\led_flash_cnt[1051][4]~41601\ $ (GND))) # (!\led_flash_cnt[1051][5]~q\ & (!\led_flash_cnt[1051][4]~41601\ & VCC))
-- \led_flash_cnt[1051][5]~41603\ = CARRY((\led_flash_cnt[1051][5]~q\ & !\led_flash_cnt[1051][4]~41601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1051][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1051][4]~41601\,
	combout => \led_flash_cnt[1051][5]~41602_combout\,
	cout => \led_flash_cnt[1051][5]~41603\);

-- Location: FF_X21_Y9_N27
\led_flash_cnt[1051][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1051][5]~41602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1051][5]~q\);

-- Location: LCCOMB_X21_Y9_N28
\led_flash_cnt[1051][6]~41604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1051][6]~41604_combout\ = (\led_flash_cnt[1051][6]~q\ & (!\led_flash_cnt[1051][5]~41603\)) # (!\led_flash_cnt[1051][6]~q\ & ((\led_flash_cnt[1051][5]~41603\) # (GND)))
-- \led_flash_cnt[1051][6]~41605\ = CARRY((!\led_flash_cnt[1051][5]~41603\) # (!\led_flash_cnt[1051][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1051][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1051][5]~41603\,
	combout => \led_flash_cnt[1051][6]~41604_combout\,
	cout => \led_flash_cnt[1051][6]~41605\);

-- Location: FF_X21_Y9_N29
\led_flash_cnt[1051][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1051][6]~41604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1051][6]~q\);

-- Location: LCCOMB_X21_Y9_N30
\led_flash_cnt[1051][7]~41606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1051][7]~41606_combout\ = \led_flash_cnt[1051][7]~q\ $ (!\led_flash_cnt[1051][6]~41605\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1051][7]~q\,
	cin => \led_flash_cnt[1051][6]~41605\,
	combout => \led_flash_cnt[1051][7]~41606_combout\);

-- Location: FF_X21_Y9_N31
\led_flash_cnt[1051][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1051][7]~41606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1051][7]~q\);

-- Location: LCCOMB_X20_Y9_N28
\WideAnd1051~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1051~1_combout\ = (\led_flash_cnt[1051][6]~q\ & \led_flash_cnt[1051][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1051][6]~q\,
	datad => \led_flash_cnt[1051][5]~q\,
	combout => \WideAnd1051~1_combout\);

-- Location: LCCOMB_X21_Y9_N0
WideAnd1051 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1051~combout\ = (\WideAnd1051~0_combout\ & (\led_flash_cnt[1051][0]~q\ & (\led_flash_cnt[1051][7]~q\ & \WideAnd1051~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1051~0_combout\,
	datab => \led_flash_cnt[1051][0]~q\,
	datac => \led_flash_cnt[1051][7]~q\,
	datad => \WideAnd1051~1_combout\,
	combout => \WideAnd1051~combout\);

-- Location: FF_X21_Y9_N1
\led_flash_cnt_ands[1051]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1051~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1051));

-- Location: LCCOMB_X21_Y12_N4
\led_flash_cnt[1050][0]~81690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1050][0]~81690_combout\ = !\led_flash_cnt[1050][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1050][0]~q\,
	combout => \led_flash_cnt[1050][0]~81690_combout\);

-- Location: FF_X21_Y12_N5
\led_flash_cnt[1050][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1050][0]~81690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1050][0]~q\);

-- Location: LCCOMB_X21_Y12_N12
\led_flash_cnt[1050][1]~41580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1050][1]~41580_combout\ = (\led_flash_cnt[1050][1]~q\ & (\led_flash_cnt[1050][0]~q\ $ (VCC))) # (!\led_flash_cnt[1050][1]~q\ & (\led_flash_cnt[1050][0]~q\ & VCC))
-- \led_flash_cnt[1050][1]~41581\ = CARRY((\led_flash_cnt[1050][1]~q\ & \led_flash_cnt[1050][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1050][1]~q\,
	datab => \led_flash_cnt[1050][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1050][1]~41580_combout\,
	cout => \led_flash_cnt[1050][1]~41581\);

-- Location: FF_X21_Y12_N13
\led_flash_cnt[1050][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1050][1]~41580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1050][1]~q\);

-- Location: LCCOMB_X21_Y12_N14
\led_flash_cnt[1050][2]~41582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1050][2]~41582_combout\ = (\led_flash_cnt[1050][2]~q\ & (!\led_flash_cnt[1050][1]~41581\)) # (!\led_flash_cnt[1050][2]~q\ & ((\led_flash_cnt[1050][1]~41581\) # (GND)))
-- \led_flash_cnt[1050][2]~41583\ = CARRY((!\led_flash_cnt[1050][1]~41581\) # (!\led_flash_cnt[1050][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1050][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1050][1]~41581\,
	combout => \led_flash_cnt[1050][2]~41582_combout\,
	cout => \led_flash_cnt[1050][2]~41583\);

-- Location: FF_X21_Y12_N15
\led_flash_cnt[1050][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1050][2]~41582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1050][2]~q\);

-- Location: LCCOMB_X21_Y12_N16
\led_flash_cnt[1050][3]~41584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1050][3]~41584_combout\ = (\led_flash_cnt[1050][3]~q\ & (\led_flash_cnt[1050][2]~41583\ $ (GND))) # (!\led_flash_cnt[1050][3]~q\ & (!\led_flash_cnt[1050][2]~41583\ & VCC))
-- \led_flash_cnt[1050][3]~41585\ = CARRY((\led_flash_cnt[1050][3]~q\ & !\led_flash_cnt[1050][2]~41583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1050][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1050][2]~41583\,
	combout => \led_flash_cnt[1050][3]~41584_combout\,
	cout => \led_flash_cnt[1050][3]~41585\);

-- Location: FF_X21_Y12_N17
\led_flash_cnt[1050][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1050][3]~41584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1050][3]~q\);

-- Location: LCCOMB_X21_Y12_N18
\led_flash_cnt[1050][4]~41586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1050][4]~41586_combout\ = (\led_flash_cnt[1050][4]~q\ & (!\led_flash_cnt[1050][3]~41585\)) # (!\led_flash_cnt[1050][4]~q\ & ((\led_flash_cnt[1050][3]~41585\) # (GND)))
-- \led_flash_cnt[1050][4]~41587\ = CARRY((!\led_flash_cnt[1050][3]~41585\) # (!\led_flash_cnt[1050][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1050][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1050][3]~41585\,
	combout => \led_flash_cnt[1050][4]~41586_combout\,
	cout => \led_flash_cnt[1050][4]~41587\);

-- Location: FF_X21_Y12_N19
\led_flash_cnt[1050][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1050][4]~41586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1050][4]~q\);

-- Location: LCCOMB_X21_Y12_N20
\led_flash_cnt[1050][5]~41588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1050][5]~41588_combout\ = (\led_flash_cnt[1050][5]~q\ & (\led_flash_cnt[1050][4]~41587\ $ (GND))) # (!\led_flash_cnt[1050][5]~q\ & (!\led_flash_cnt[1050][4]~41587\ & VCC))
-- \led_flash_cnt[1050][5]~41589\ = CARRY((\led_flash_cnt[1050][5]~q\ & !\led_flash_cnt[1050][4]~41587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1050][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1050][4]~41587\,
	combout => \led_flash_cnt[1050][5]~41588_combout\,
	cout => \led_flash_cnt[1050][5]~41589\);

-- Location: FF_X21_Y12_N21
\led_flash_cnt[1050][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1050][5]~41588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1050][5]~q\);

-- Location: LCCOMB_X21_Y12_N22
\led_flash_cnt[1050][6]~41590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1050][6]~41590_combout\ = (\led_flash_cnt[1050][6]~q\ & (!\led_flash_cnt[1050][5]~41589\)) # (!\led_flash_cnt[1050][6]~q\ & ((\led_flash_cnt[1050][5]~41589\) # (GND)))
-- \led_flash_cnt[1050][6]~41591\ = CARRY((!\led_flash_cnt[1050][5]~41589\) # (!\led_flash_cnt[1050][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1050][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1050][5]~41589\,
	combout => \led_flash_cnt[1050][6]~41590_combout\,
	cout => \led_flash_cnt[1050][6]~41591\);

-- Location: FF_X21_Y12_N23
\led_flash_cnt[1050][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1050][6]~41590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1050][6]~q\);

-- Location: LCCOMB_X21_Y12_N10
\WideAnd1050~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1050~1_combout\ = (\led_flash_cnt[1050][6]~q\ & \led_flash_cnt[1050][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1050][6]~q\,
	datad => \led_flash_cnt[1050][5]~q\,
	combout => \WideAnd1050~1_combout\);

-- Location: LCCOMB_X21_Y12_N26
\WideAnd1050~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1050~0_combout\ = (\led_flash_cnt[1050][1]~q\ & (\led_flash_cnt[1050][4]~q\ & (\led_flash_cnt[1050][2]~q\ & \led_flash_cnt[1050][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1050][1]~q\,
	datab => \led_flash_cnt[1050][4]~q\,
	datac => \led_flash_cnt[1050][2]~q\,
	datad => \led_flash_cnt[1050][3]~q\,
	combout => \WideAnd1050~0_combout\);

-- Location: LCCOMB_X21_Y12_N24
\led_flash_cnt[1050][7]~41592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1050][7]~41592_combout\ = \led_flash_cnt[1050][6]~41591\ $ (!\led_flash_cnt[1050][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1050][7]~q\,
	cin => \led_flash_cnt[1050][6]~41591\,
	combout => \led_flash_cnt[1050][7]~41592_combout\);

-- Location: FF_X21_Y12_N25
\led_flash_cnt[1050][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1050][7]~41592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1050][7]~q\);

-- Location: LCCOMB_X21_Y12_N28
WideAnd1050 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1050~combout\ = (\WideAnd1050~1_combout\ & (\led_flash_cnt[1050][0]~q\ & (\WideAnd1050~0_combout\ & \led_flash_cnt[1050][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1050~1_combout\,
	datab => \led_flash_cnt[1050][0]~q\,
	datac => \WideAnd1050~0_combout\,
	datad => \led_flash_cnt[1050][7]~q\,
	combout => \WideAnd1050~combout\);

-- Location: FF_X21_Y12_N29
\led_flash_cnt_ands[1050]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1050~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1050));

-- Location: LCCOMB_X21_Y12_N0
\WideAnd3971~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3971~0_combout\ = (led_flash_cnt_ands(1048) & (led_flash_cnt_ands(1049) & (led_flash_cnt_ands(1051) & led_flash_cnt_ands(1050))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1048),
	datab => led_flash_cnt_ands(1049),
	datac => led_flash_cnt_ands(1051),
	datad => led_flash_cnt_ands(1050),
	combout => \WideAnd3971~0_combout\);

-- Location: LCCOMB_X23_Y13_N6
\led_flash_cnt[1054][0]~81694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1054][0]~81694_combout\ = !\led_flash_cnt[1054][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1054][0]~q\,
	combout => \led_flash_cnt[1054][0]~81694_combout\);

-- Location: FF_X23_Y13_N7
\led_flash_cnt[1054][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1054][0]~81694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1054][0]~q\);

-- Location: LCCOMB_X23_Y9_N18
\led_flash_cnt[1054][1]~41636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1054][1]~41636_combout\ = (\led_flash_cnt[1054][0]~q\ & (\led_flash_cnt[1054][1]~q\ $ (VCC))) # (!\led_flash_cnt[1054][0]~q\ & (\led_flash_cnt[1054][1]~q\ & VCC))
-- \led_flash_cnt[1054][1]~41637\ = CARRY((\led_flash_cnt[1054][0]~q\ & \led_flash_cnt[1054][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1054][0]~q\,
	datab => \led_flash_cnt[1054][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1054][1]~41636_combout\,
	cout => \led_flash_cnt[1054][1]~41637\);

-- Location: FF_X23_Y9_N19
\led_flash_cnt[1054][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1054][1]~41636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1054][1]~q\);

-- Location: LCCOMB_X23_Y9_N20
\led_flash_cnt[1054][2]~41638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1054][2]~41638_combout\ = (\led_flash_cnt[1054][2]~q\ & (!\led_flash_cnt[1054][1]~41637\)) # (!\led_flash_cnt[1054][2]~q\ & ((\led_flash_cnt[1054][1]~41637\) # (GND)))
-- \led_flash_cnt[1054][2]~41639\ = CARRY((!\led_flash_cnt[1054][1]~41637\) # (!\led_flash_cnt[1054][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1054][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1054][1]~41637\,
	combout => \led_flash_cnt[1054][2]~41638_combout\,
	cout => \led_flash_cnt[1054][2]~41639\);

-- Location: FF_X23_Y9_N21
\led_flash_cnt[1054][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1054][2]~41638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1054][2]~q\);

-- Location: LCCOMB_X23_Y9_N22
\led_flash_cnt[1054][3]~41640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1054][3]~41640_combout\ = (\led_flash_cnt[1054][3]~q\ & (\led_flash_cnt[1054][2]~41639\ $ (GND))) # (!\led_flash_cnt[1054][3]~q\ & (!\led_flash_cnt[1054][2]~41639\ & VCC))
-- \led_flash_cnt[1054][3]~41641\ = CARRY((\led_flash_cnt[1054][3]~q\ & !\led_flash_cnt[1054][2]~41639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1054][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1054][2]~41639\,
	combout => \led_flash_cnt[1054][3]~41640_combout\,
	cout => \led_flash_cnt[1054][3]~41641\);

-- Location: FF_X23_Y9_N23
\led_flash_cnt[1054][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1054][3]~41640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1054][3]~q\);

-- Location: LCCOMB_X23_Y9_N24
\led_flash_cnt[1054][4]~41642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1054][4]~41642_combout\ = (\led_flash_cnt[1054][4]~q\ & (!\led_flash_cnt[1054][3]~41641\)) # (!\led_flash_cnt[1054][4]~q\ & ((\led_flash_cnt[1054][3]~41641\) # (GND)))
-- \led_flash_cnt[1054][4]~41643\ = CARRY((!\led_flash_cnt[1054][3]~41641\) # (!\led_flash_cnt[1054][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1054][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1054][3]~41641\,
	combout => \led_flash_cnt[1054][4]~41642_combout\,
	cout => \led_flash_cnt[1054][4]~41643\);

-- Location: FF_X23_Y9_N25
\led_flash_cnt[1054][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1054][4]~41642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1054][4]~q\);

-- Location: LCCOMB_X23_Y9_N26
\led_flash_cnt[1054][5]~41644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1054][5]~41644_combout\ = (\led_flash_cnt[1054][5]~q\ & (\led_flash_cnt[1054][4]~41643\ $ (GND))) # (!\led_flash_cnt[1054][5]~q\ & (!\led_flash_cnt[1054][4]~41643\ & VCC))
-- \led_flash_cnt[1054][5]~41645\ = CARRY((\led_flash_cnt[1054][5]~q\ & !\led_flash_cnt[1054][4]~41643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1054][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1054][4]~41643\,
	combout => \led_flash_cnt[1054][5]~41644_combout\,
	cout => \led_flash_cnt[1054][5]~41645\);

-- Location: FF_X23_Y9_N27
\led_flash_cnt[1054][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1054][5]~41644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1054][5]~q\);

-- Location: LCCOMB_X23_Y9_N28
\led_flash_cnt[1054][6]~41646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1054][6]~41646_combout\ = (\led_flash_cnt[1054][6]~q\ & (!\led_flash_cnt[1054][5]~41645\)) # (!\led_flash_cnt[1054][6]~q\ & ((\led_flash_cnt[1054][5]~41645\) # (GND)))
-- \led_flash_cnt[1054][6]~41647\ = CARRY((!\led_flash_cnt[1054][5]~41645\) # (!\led_flash_cnt[1054][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1054][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1054][5]~41645\,
	combout => \led_flash_cnt[1054][6]~41646_combout\,
	cout => \led_flash_cnt[1054][6]~41647\);

-- Location: FF_X23_Y9_N29
\led_flash_cnt[1054][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1054][6]~41646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1054][6]~q\);

-- Location: LCCOMB_X23_Y9_N30
\led_flash_cnt[1054][7]~41648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1054][7]~41648_combout\ = \led_flash_cnt[1054][7]~q\ $ (!\led_flash_cnt[1054][6]~41647\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1054][7]~q\,
	cin => \led_flash_cnt[1054][6]~41647\,
	combout => \led_flash_cnt[1054][7]~41648_combout\);

-- Location: FF_X23_Y9_N31
\led_flash_cnt[1054][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1054][7]~41648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1054][7]~q\);

-- Location: LCCOMB_X22_Y9_N6
\WideAnd1054~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1054~0_combout\ = (\led_flash_cnt[1054][1]~q\ & (\led_flash_cnt[1054][3]~q\ & (\led_flash_cnt[1054][2]~q\ & \led_flash_cnt[1054][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1054][1]~q\,
	datab => \led_flash_cnt[1054][3]~q\,
	datac => \led_flash_cnt[1054][2]~q\,
	datad => \led_flash_cnt[1054][4]~q\,
	combout => \WideAnd1054~0_combout\);

-- Location: LCCOMB_X23_Y13_N28
\WideAnd1054~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1054~1_combout\ = (\led_flash_cnt[1054][6]~q\ & \led_flash_cnt[1054][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1054][6]~q\,
	datad => \led_flash_cnt[1054][5]~q\,
	combout => \WideAnd1054~1_combout\);

-- Location: LCCOMB_X23_Y13_N4
WideAnd1054 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1054~combout\ = (\led_flash_cnt[1054][0]~q\ & (\led_flash_cnt[1054][7]~q\ & (\WideAnd1054~0_combout\ & \WideAnd1054~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1054][0]~q\,
	datab => \led_flash_cnt[1054][7]~q\,
	datac => \WideAnd1054~0_combout\,
	datad => \WideAnd1054~1_combout\,
	combout => \WideAnd1054~combout\);

-- Location: FF_X23_Y13_N5
\led_flash_cnt_ands[1054]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1054~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1054));

-- Location: LCCOMB_X29_Y23_N26
\led_flash_cnt[1055][0]~81695\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1055][0]~81695_combout\ = !\led_flash_cnt[1055][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1055][0]~q\,
	combout => \led_flash_cnt[1055][0]~81695_combout\);

-- Location: FF_X29_Y23_N27
\led_flash_cnt[1055][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1055][0]~81695_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1055][0]~q\);

-- Location: LCCOMB_X27_Y23_N4
\led_flash_cnt[1055][1]~41650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1055][1]~41650_combout\ = (\led_flash_cnt[1055][0]~q\ & (\led_flash_cnt[1055][1]~q\ $ (VCC))) # (!\led_flash_cnt[1055][0]~q\ & (\led_flash_cnt[1055][1]~q\ & VCC))
-- \led_flash_cnt[1055][1]~41651\ = CARRY((\led_flash_cnt[1055][0]~q\ & \led_flash_cnt[1055][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1055][0]~q\,
	datab => \led_flash_cnt[1055][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1055][1]~41650_combout\,
	cout => \led_flash_cnt[1055][1]~41651\);

-- Location: FF_X27_Y23_N5
\led_flash_cnt[1055][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1055][1]~41650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1055][1]~q\);

-- Location: LCCOMB_X27_Y23_N6
\led_flash_cnt[1055][2]~41652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1055][2]~41652_combout\ = (\led_flash_cnt[1055][2]~q\ & (!\led_flash_cnt[1055][1]~41651\)) # (!\led_flash_cnt[1055][2]~q\ & ((\led_flash_cnt[1055][1]~41651\) # (GND)))
-- \led_flash_cnt[1055][2]~41653\ = CARRY((!\led_flash_cnt[1055][1]~41651\) # (!\led_flash_cnt[1055][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1055][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1055][1]~41651\,
	combout => \led_flash_cnt[1055][2]~41652_combout\,
	cout => \led_flash_cnt[1055][2]~41653\);

-- Location: FF_X27_Y23_N7
\led_flash_cnt[1055][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1055][2]~41652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1055][2]~q\);

-- Location: LCCOMB_X27_Y23_N8
\led_flash_cnt[1055][3]~41654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1055][3]~41654_combout\ = (\led_flash_cnt[1055][3]~q\ & (\led_flash_cnt[1055][2]~41653\ $ (GND))) # (!\led_flash_cnt[1055][3]~q\ & (!\led_flash_cnt[1055][2]~41653\ & VCC))
-- \led_flash_cnt[1055][3]~41655\ = CARRY((\led_flash_cnt[1055][3]~q\ & !\led_flash_cnt[1055][2]~41653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1055][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1055][2]~41653\,
	combout => \led_flash_cnt[1055][3]~41654_combout\,
	cout => \led_flash_cnt[1055][3]~41655\);

-- Location: FF_X27_Y23_N9
\led_flash_cnt[1055][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1055][3]~41654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1055][3]~q\);

-- Location: LCCOMB_X27_Y23_N10
\led_flash_cnt[1055][4]~41656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1055][4]~41656_combout\ = (\led_flash_cnt[1055][4]~q\ & (!\led_flash_cnt[1055][3]~41655\)) # (!\led_flash_cnt[1055][4]~q\ & ((\led_flash_cnt[1055][3]~41655\) # (GND)))
-- \led_flash_cnt[1055][4]~41657\ = CARRY((!\led_flash_cnt[1055][3]~41655\) # (!\led_flash_cnt[1055][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1055][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1055][3]~41655\,
	combout => \led_flash_cnt[1055][4]~41656_combout\,
	cout => \led_flash_cnt[1055][4]~41657\);

-- Location: FF_X27_Y23_N11
\led_flash_cnt[1055][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1055][4]~41656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1055][4]~q\);

-- Location: LCCOMB_X27_Y23_N12
\led_flash_cnt[1055][5]~41658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1055][5]~41658_combout\ = (\led_flash_cnt[1055][5]~q\ & (\led_flash_cnt[1055][4]~41657\ $ (GND))) # (!\led_flash_cnt[1055][5]~q\ & (!\led_flash_cnt[1055][4]~41657\ & VCC))
-- \led_flash_cnt[1055][5]~41659\ = CARRY((\led_flash_cnt[1055][5]~q\ & !\led_flash_cnt[1055][4]~41657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1055][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1055][4]~41657\,
	combout => \led_flash_cnt[1055][5]~41658_combout\,
	cout => \led_flash_cnt[1055][5]~41659\);

-- Location: FF_X27_Y23_N13
\led_flash_cnt[1055][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1055][5]~41658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1055][5]~q\);

-- Location: LCCOMB_X27_Y23_N14
\led_flash_cnt[1055][6]~41660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1055][6]~41660_combout\ = (\led_flash_cnt[1055][6]~q\ & (!\led_flash_cnt[1055][5]~41659\)) # (!\led_flash_cnt[1055][6]~q\ & ((\led_flash_cnt[1055][5]~41659\) # (GND)))
-- \led_flash_cnt[1055][6]~41661\ = CARRY((!\led_flash_cnt[1055][5]~41659\) # (!\led_flash_cnt[1055][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1055][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1055][5]~41659\,
	combout => \led_flash_cnt[1055][6]~41660_combout\,
	cout => \led_flash_cnt[1055][6]~41661\);

-- Location: FF_X27_Y23_N15
\led_flash_cnt[1055][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1055][6]~41660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1055][6]~q\);

-- Location: LCCOMB_X26_Y23_N2
\WideAnd1055~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1055~1_combout\ = (\led_flash_cnt[1055][5]~q\ & \led_flash_cnt[1055][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1055][5]~q\,
	datac => \led_flash_cnt[1055][6]~q\,
	combout => \WideAnd1055~1_combout\);

-- Location: LCCOMB_X27_Y23_N0
\WideAnd1055~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1055~0_combout\ = (\led_flash_cnt[1055][2]~q\ & (\led_flash_cnt[1055][3]~q\ & (\led_flash_cnt[1055][1]~q\ & \led_flash_cnt[1055][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1055][2]~q\,
	datab => \led_flash_cnt[1055][3]~q\,
	datac => \led_flash_cnt[1055][1]~q\,
	datad => \led_flash_cnt[1055][4]~q\,
	combout => \WideAnd1055~0_combout\);

-- Location: LCCOMB_X27_Y23_N16
\led_flash_cnt[1055][7]~41662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1055][7]~41662_combout\ = \led_flash_cnt[1055][6]~41661\ $ (!\led_flash_cnt[1055][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1055][7]~q\,
	cin => \led_flash_cnt[1055][6]~41661\,
	combout => \led_flash_cnt[1055][7]~41662_combout\);

-- Location: FF_X27_Y23_N17
\led_flash_cnt[1055][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1055][7]~41662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1055][7]~q\);

-- Location: LCCOMB_X27_Y23_N2
WideAnd1055 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1055~combout\ = (\WideAnd1055~1_combout\ & (\WideAnd1055~0_combout\ & (\led_flash_cnt[1055][0]~q\ & \led_flash_cnt[1055][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1055~1_combout\,
	datab => \WideAnd1055~0_combout\,
	datac => \led_flash_cnt[1055][0]~q\,
	datad => \led_flash_cnt[1055][7]~q\,
	combout => \WideAnd1055~combout\);

-- Location: FF_X27_Y23_N3
\led_flash_cnt_ands[1055]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1055~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1055));

-- Location: LCCOMB_X23_Y13_N0
WideAnd3971 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3971~combout\ = (\WideAnd3971~1_combout\ & (\WideAnd3971~0_combout\ & (led_flash_cnt_ands(1054) & led_flash_cnt_ands(1055))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3971~1_combout\,
	datab => \WideAnd3971~0_combout\,
	datac => led_flash_cnt_ands(1054),
	datad => led_flash_cnt_ands(1055),
	combout => \WideAnd3971~combout\);

-- Location: FF_X23_Y13_N1
\led_flash_cnt_ands_1[131]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3971~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(131));

-- Location: LCCOMB_X16_Y30_N28
\led_flash_cnt[1038][0]~81678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1038][0]~81678_combout\ = !\led_flash_cnt[1038][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1038][0]~q\,
	combout => \led_flash_cnt[1038][0]~81678_combout\);

-- Location: FF_X16_Y30_N29
\led_flash_cnt[1038][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1038][0]~81678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1038][0]~q\);

-- Location: LCCOMB_X17_Y30_N0
\led_flash_cnt[1038][1]~41412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1038][1]~41412_combout\ = (\led_flash_cnt[1038][0]~q\ & (\led_flash_cnt[1038][1]~q\ $ (VCC))) # (!\led_flash_cnt[1038][0]~q\ & (\led_flash_cnt[1038][1]~q\ & VCC))
-- \led_flash_cnt[1038][1]~41413\ = CARRY((\led_flash_cnt[1038][0]~q\ & \led_flash_cnt[1038][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1038][0]~q\,
	datab => \led_flash_cnt[1038][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1038][1]~41412_combout\,
	cout => \led_flash_cnt[1038][1]~41413\);

-- Location: FF_X17_Y30_N1
\led_flash_cnt[1038][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1038][1]~41412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1038][1]~q\);

-- Location: LCCOMB_X17_Y30_N2
\led_flash_cnt[1038][2]~41414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1038][2]~41414_combout\ = (\led_flash_cnt[1038][2]~q\ & (!\led_flash_cnt[1038][1]~41413\)) # (!\led_flash_cnt[1038][2]~q\ & ((\led_flash_cnt[1038][1]~41413\) # (GND)))
-- \led_flash_cnt[1038][2]~41415\ = CARRY((!\led_flash_cnt[1038][1]~41413\) # (!\led_flash_cnt[1038][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1038][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1038][1]~41413\,
	combout => \led_flash_cnt[1038][2]~41414_combout\,
	cout => \led_flash_cnt[1038][2]~41415\);

-- Location: FF_X17_Y30_N3
\led_flash_cnt[1038][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1038][2]~41414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1038][2]~q\);

-- Location: LCCOMB_X17_Y30_N4
\led_flash_cnt[1038][3]~41416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1038][3]~41416_combout\ = (\led_flash_cnt[1038][3]~q\ & (\led_flash_cnt[1038][2]~41415\ $ (GND))) # (!\led_flash_cnt[1038][3]~q\ & (!\led_flash_cnt[1038][2]~41415\ & VCC))
-- \led_flash_cnt[1038][3]~41417\ = CARRY((\led_flash_cnt[1038][3]~q\ & !\led_flash_cnt[1038][2]~41415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1038][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1038][2]~41415\,
	combout => \led_flash_cnt[1038][3]~41416_combout\,
	cout => \led_flash_cnt[1038][3]~41417\);

-- Location: FF_X17_Y30_N5
\led_flash_cnt[1038][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1038][3]~41416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1038][3]~q\);

-- Location: LCCOMB_X17_Y30_N6
\led_flash_cnt[1038][4]~41418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1038][4]~41418_combout\ = (\led_flash_cnt[1038][4]~q\ & (!\led_flash_cnt[1038][3]~41417\)) # (!\led_flash_cnt[1038][4]~q\ & ((\led_flash_cnt[1038][3]~41417\) # (GND)))
-- \led_flash_cnt[1038][4]~41419\ = CARRY((!\led_flash_cnt[1038][3]~41417\) # (!\led_flash_cnt[1038][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1038][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1038][3]~41417\,
	combout => \led_flash_cnt[1038][4]~41418_combout\,
	cout => \led_flash_cnt[1038][4]~41419\);

-- Location: FF_X17_Y30_N7
\led_flash_cnt[1038][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1038][4]~41418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1038][4]~q\);

-- Location: LCCOMB_X17_Y30_N14
\WideAnd1038~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1038~0_combout\ = (\led_flash_cnt[1038][4]~q\ & (\led_flash_cnt[1038][1]~q\ & (\led_flash_cnt[1038][3]~q\ & \led_flash_cnt[1038][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1038][4]~q\,
	datab => \led_flash_cnt[1038][1]~q\,
	datac => \led_flash_cnt[1038][3]~q\,
	datad => \led_flash_cnt[1038][2]~q\,
	combout => \WideAnd1038~0_combout\);

-- Location: LCCOMB_X17_Y30_N8
\led_flash_cnt[1038][5]~41420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1038][5]~41420_combout\ = (\led_flash_cnt[1038][5]~q\ & (\led_flash_cnt[1038][4]~41419\ $ (GND))) # (!\led_flash_cnt[1038][5]~q\ & (!\led_flash_cnt[1038][4]~41419\ & VCC))
-- \led_flash_cnt[1038][5]~41421\ = CARRY((\led_flash_cnt[1038][5]~q\ & !\led_flash_cnt[1038][4]~41419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1038][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1038][4]~41419\,
	combout => \led_flash_cnt[1038][5]~41420_combout\,
	cout => \led_flash_cnt[1038][5]~41421\);

-- Location: FF_X17_Y30_N9
\led_flash_cnt[1038][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1038][5]~41420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1038][5]~q\);

-- Location: LCCOMB_X17_Y30_N10
\led_flash_cnt[1038][6]~41422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1038][6]~41422_combout\ = (\led_flash_cnt[1038][6]~q\ & (!\led_flash_cnt[1038][5]~41421\)) # (!\led_flash_cnt[1038][6]~q\ & ((\led_flash_cnt[1038][5]~41421\) # (GND)))
-- \led_flash_cnt[1038][6]~41423\ = CARRY((!\led_flash_cnt[1038][5]~41421\) # (!\led_flash_cnt[1038][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1038][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1038][5]~41421\,
	combout => \led_flash_cnt[1038][6]~41422_combout\,
	cout => \led_flash_cnt[1038][6]~41423\);

-- Location: FF_X17_Y30_N11
\led_flash_cnt[1038][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1038][6]~41422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1038][6]~q\);

-- Location: LCCOMB_X18_Y30_N4
\WideAnd1038~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1038~1_combout\ = (\led_flash_cnt[1038][6]~q\ & \led_flash_cnt[1038][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1038][6]~q\,
	datad => \led_flash_cnt[1038][5]~q\,
	combout => \WideAnd1038~1_combout\);

-- Location: LCCOMB_X17_Y30_N12
\led_flash_cnt[1038][7]~41424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1038][7]~41424_combout\ = \led_flash_cnt[1038][6]~41423\ $ (!\led_flash_cnt[1038][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1038][7]~q\,
	cin => \led_flash_cnt[1038][6]~41423\,
	combout => \led_flash_cnt[1038][7]~41424_combout\);

-- Location: FF_X17_Y30_N13
\led_flash_cnt[1038][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1038][7]~41424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1038][7]~q\);

-- Location: LCCOMB_X18_Y30_N10
WideAnd1038 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1038~combout\ = (\WideAnd1038~0_combout\ & (\WideAnd1038~1_combout\ & (\led_flash_cnt[1038][0]~q\ & \led_flash_cnt[1038][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1038~0_combout\,
	datab => \WideAnd1038~1_combout\,
	datac => \led_flash_cnt[1038][0]~q\,
	datad => \led_flash_cnt[1038][7]~q\,
	combout => \WideAnd1038~combout\);

-- Location: FF_X18_Y30_N11
\led_flash_cnt_ands[1038]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1038~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1038));

-- Location: LCCOMB_X9_Y35_N28
\led_flash_cnt[1037][0]~81677\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1037][0]~81677_combout\ = !\led_flash_cnt[1037][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1037][0]~q\,
	combout => \led_flash_cnt[1037][0]~81677_combout\);

-- Location: FF_X9_Y35_N29
\led_flash_cnt[1037][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1037][0]~81677_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1037][0]~q\);

-- Location: LCCOMB_X10_Y35_N0
\led_flash_cnt[1037][1]~41398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1037][1]~41398_combout\ = (\led_flash_cnt[1037][0]~q\ & (\led_flash_cnt[1037][1]~q\ $ (VCC))) # (!\led_flash_cnt[1037][0]~q\ & (\led_flash_cnt[1037][1]~q\ & VCC))
-- \led_flash_cnt[1037][1]~41399\ = CARRY((\led_flash_cnt[1037][0]~q\ & \led_flash_cnt[1037][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1037][0]~q\,
	datab => \led_flash_cnt[1037][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1037][1]~41398_combout\,
	cout => \led_flash_cnt[1037][1]~41399\);

-- Location: FF_X10_Y35_N1
\led_flash_cnt[1037][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1037][1]~41398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1037][1]~q\);

-- Location: LCCOMB_X10_Y35_N2
\led_flash_cnt[1037][2]~41400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1037][2]~41400_combout\ = (\led_flash_cnt[1037][2]~q\ & (!\led_flash_cnt[1037][1]~41399\)) # (!\led_flash_cnt[1037][2]~q\ & ((\led_flash_cnt[1037][1]~41399\) # (GND)))
-- \led_flash_cnt[1037][2]~41401\ = CARRY((!\led_flash_cnt[1037][1]~41399\) # (!\led_flash_cnt[1037][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1037][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1037][1]~41399\,
	combout => \led_flash_cnt[1037][2]~41400_combout\,
	cout => \led_flash_cnt[1037][2]~41401\);

-- Location: FF_X10_Y35_N3
\led_flash_cnt[1037][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1037][2]~41400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1037][2]~q\);

-- Location: LCCOMB_X10_Y35_N4
\led_flash_cnt[1037][3]~41402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1037][3]~41402_combout\ = (\led_flash_cnt[1037][3]~q\ & (\led_flash_cnt[1037][2]~41401\ $ (GND))) # (!\led_flash_cnt[1037][3]~q\ & (!\led_flash_cnt[1037][2]~41401\ & VCC))
-- \led_flash_cnt[1037][3]~41403\ = CARRY((\led_flash_cnt[1037][3]~q\ & !\led_flash_cnt[1037][2]~41401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1037][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1037][2]~41401\,
	combout => \led_flash_cnt[1037][3]~41402_combout\,
	cout => \led_flash_cnt[1037][3]~41403\);

-- Location: FF_X10_Y35_N5
\led_flash_cnt[1037][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1037][3]~41402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1037][3]~q\);

-- Location: LCCOMB_X10_Y35_N6
\led_flash_cnt[1037][4]~41404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1037][4]~41404_combout\ = (\led_flash_cnt[1037][4]~q\ & (!\led_flash_cnt[1037][3]~41403\)) # (!\led_flash_cnt[1037][4]~q\ & ((\led_flash_cnt[1037][3]~41403\) # (GND)))
-- \led_flash_cnt[1037][4]~41405\ = CARRY((!\led_flash_cnt[1037][3]~41403\) # (!\led_flash_cnt[1037][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1037][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1037][3]~41403\,
	combout => \led_flash_cnt[1037][4]~41404_combout\,
	cout => \led_flash_cnt[1037][4]~41405\);

-- Location: FF_X10_Y35_N7
\led_flash_cnt[1037][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1037][4]~41404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1037][4]~q\);

-- Location: LCCOMB_X10_Y35_N30
\WideAnd1037~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1037~0_combout\ = (\led_flash_cnt[1037][4]~q\ & (\led_flash_cnt[1037][2]~q\ & (\led_flash_cnt[1037][3]~q\ & \led_flash_cnt[1037][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1037][4]~q\,
	datab => \led_flash_cnt[1037][2]~q\,
	datac => \led_flash_cnt[1037][3]~q\,
	datad => \led_flash_cnt[1037][1]~q\,
	combout => \WideAnd1037~0_combout\);

-- Location: LCCOMB_X10_Y35_N8
\led_flash_cnt[1037][5]~41406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1037][5]~41406_combout\ = (\led_flash_cnt[1037][5]~q\ & (\led_flash_cnt[1037][4]~41405\ $ (GND))) # (!\led_flash_cnt[1037][5]~q\ & (!\led_flash_cnt[1037][4]~41405\ & VCC))
-- \led_flash_cnt[1037][5]~41407\ = CARRY((\led_flash_cnt[1037][5]~q\ & !\led_flash_cnt[1037][4]~41405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1037][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1037][4]~41405\,
	combout => \led_flash_cnt[1037][5]~41406_combout\,
	cout => \led_flash_cnt[1037][5]~41407\);

-- Location: FF_X10_Y35_N9
\led_flash_cnt[1037][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1037][5]~41406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1037][5]~q\);

-- Location: LCCOMB_X10_Y35_N10
\led_flash_cnt[1037][6]~41408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1037][6]~41408_combout\ = (\led_flash_cnt[1037][6]~q\ & (!\led_flash_cnt[1037][5]~41407\)) # (!\led_flash_cnt[1037][6]~q\ & ((\led_flash_cnt[1037][5]~41407\) # (GND)))
-- \led_flash_cnt[1037][6]~41409\ = CARRY((!\led_flash_cnt[1037][5]~41407\) # (!\led_flash_cnt[1037][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1037][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1037][5]~41407\,
	combout => \led_flash_cnt[1037][6]~41408_combout\,
	cout => \led_flash_cnt[1037][6]~41409\);

-- Location: FF_X10_Y35_N11
\led_flash_cnt[1037][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1037][6]~41408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1037][6]~q\);

-- Location: LCCOMB_X9_Y35_N24
\WideAnd1037~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1037~1_combout\ = (\led_flash_cnt[1037][6]~q\ & \led_flash_cnt[1037][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1037][6]~q\,
	datac => \led_flash_cnt[1037][5]~q\,
	combout => \WideAnd1037~1_combout\);

-- Location: LCCOMB_X10_Y35_N12
\led_flash_cnt[1037][7]~41410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1037][7]~41410_combout\ = \led_flash_cnt[1037][6]~41409\ $ (!\led_flash_cnt[1037][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1037][7]~q\,
	cin => \led_flash_cnt[1037][6]~41409\,
	combout => \led_flash_cnt[1037][7]~41410_combout\);

-- Location: FF_X10_Y35_N13
\led_flash_cnt[1037][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1037][7]~41410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1037][7]~q\);

-- Location: LCCOMB_X9_Y35_N14
WideAnd1037 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1037~combout\ = (\WideAnd1037~0_combout\ & (\WideAnd1037~1_combout\ & (\led_flash_cnt[1037][7]~q\ & \led_flash_cnt[1037][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1037~0_combout\,
	datab => \WideAnd1037~1_combout\,
	datac => \led_flash_cnt[1037][7]~q\,
	datad => \led_flash_cnt[1037][0]~q\,
	combout => \WideAnd1037~combout\);

-- Location: FF_X9_Y35_N15
\led_flash_cnt_ands[1037]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1037~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1037));

-- Location: LCCOMB_X9_Y35_N26
\led_flash_cnt[1036][0]~81676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1036][0]~81676_combout\ = !\led_flash_cnt[1036][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1036][0]~q\,
	combout => \led_flash_cnt[1036][0]~81676_combout\);

-- Location: FF_X9_Y35_N27
\led_flash_cnt[1036][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1036][0]~81676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1036][0]~q\);

-- Location: LCCOMB_X9_Y35_N0
\led_flash_cnt[1036][1]~41384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1036][1]~41384_combout\ = (\led_flash_cnt[1036][0]~q\ & (\led_flash_cnt[1036][1]~q\ $ (VCC))) # (!\led_flash_cnt[1036][0]~q\ & (\led_flash_cnt[1036][1]~q\ & VCC))
-- \led_flash_cnt[1036][1]~41385\ = CARRY((\led_flash_cnt[1036][0]~q\ & \led_flash_cnt[1036][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1036][0]~q\,
	datab => \led_flash_cnt[1036][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1036][1]~41384_combout\,
	cout => \led_flash_cnt[1036][1]~41385\);

-- Location: FF_X9_Y35_N1
\led_flash_cnt[1036][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1036][1]~41384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1036][1]~q\);

-- Location: LCCOMB_X9_Y35_N2
\led_flash_cnt[1036][2]~41386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1036][2]~41386_combout\ = (\led_flash_cnt[1036][2]~q\ & (!\led_flash_cnt[1036][1]~41385\)) # (!\led_flash_cnt[1036][2]~q\ & ((\led_flash_cnt[1036][1]~41385\) # (GND)))
-- \led_flash_cnt[1036][2]~41387\ = CARRY((!\led_flash_cnt[1036][1]~41385\) # (!\led_flash_cnt[1036][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1036][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1036][1]~41385\,
	combout => \led_flash_cnt[1036][2]~41386_combout\,
	cout => \led_flash_cnt[1036][2]~41387\);

-- Location: FF_X9_Y35_N3
\led_flash_cnt[1036][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1036][2]~41386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1036][2]~q\);

-- Location: LCCOMB_X9_Y35_N4
\led_flash_cnt[1036][3]~41388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1036][3]~41388_combout\ = (\led_flash_cnt[1036][3]~q\ & (\led_flash_cnt[1036][2]~41387\ $ (GND))) # (!\led_flash_cnt[1036][3]~q\ & (!\led_flash_cnt[1036][2]~41387\ & VCC))
-- \led_flash_cnt[1036][3]~41389\ = CARRY((\led_flash_cnt[1036][3]~q\ & !\led_flash_cnt[1036][2]~41387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1036][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1036][2]~41387\,
	combout => \led_flash_cnt[1036][3]~41388_combout\,
	cout => \led_flash_cnt[1036][3]~41389\);

-- Location: FF_X9_Y35_N5
\led_flash_cnt[1036][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1036][3]~41388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1036][3]~q\);

-- Location: LCCOMB_X9_Y35_N6
\led_flash_cnt[1036][4]~41390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1036][4]~41390_combout\ = (\led_flash_cnt[1036][4]~q\ & (!\led_flash_cnt[1036][3]~41389\)) # (!\led_flash_cnt[1036][4]~q\ & ((\led_flash_cnt[1036][3]~41389\) # (GND)))
-- \led_flash_cnt[1036][4]~41391\ = CARRY((!\led_flash_cnt[1036][3]~41389\) # (!\led_flash_cnt[1036][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1036][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1036][3]~41389\,
	combout => \led_flash_cnt[1036][4]~41390_combout\,
	cout => \led_flash_cnt[1036][4]~41391\);

-- Location: FF_X9_Y35_N7
\led_flash_cnt[1036][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1036][4]~41390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1036][4]~q\);

-- Location: LCCOMB_X9_Y35_N8
\led_flash_cnt[1036][5]~41392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1036][5]~41392_combout\ = (\led_flash_cnt[1036][5]~q\ & (\led_flash_cnt[1036][4]~41391\ $ (GND))) # (!\led_flash_cnt[1036][5]~q\ & (!\led_flash_cnt[1036][4]~41391\ & VCC))
-- \led_flash_cnt[1036][5]~41393\ = CARRY((\led_flash_cnt[1036][5]~q\ & !\led_flash_cnt[1036][4]~41391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1036][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1036][4]~41391\,
	combout => \led_flash_cnt[1036][5]~41392_combout\,
	cout => \led_flash_cnt[1036][5]~41393\);

-- Location: FF_X9_Y35_N9
\led_flash_cnt[1036][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1036][5]~41392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1036][5]~q\);

-- Location: LCCOMB_X9_Y35_N10
\led_flash_cnt[1036][6]~41394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1036][6]~41394_combout\ = (\led_flash_cnt[1036][6]~q\ & (!\led_flash_cnt[1036][5]~41393\)) # (!\led_flash_cnt[1036][6]~q\ & ((\led_flash_cnt[1036][5]~41393\) # (GND)))
-- \led_flash_cnt[1036][6]~41395\ = CARRY((!\led_flash_cnt[1036][5]~41393\) # (!\led_flash_cnt[1036][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1036][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1036][5]~41393\,
	combout => \led_flash_cnt[1036][6]~41394_combout\,
	cout => \led_flash_cnt[1036][6]~41395\);

-- Location: FF_X9_Y35_N11
\led_flash_cnt[1036][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1036][6]~41394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1036][6]~q\);

-- Location: LCCOMB_X9_Y35_N12
\led_flash_cnt[1036][7]~41396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1036][7]~41396_combout\ = \led_flash_cnt[1036][6]~41395\ $ (!\led_flash_cnt[1036][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1036][7]~q\,
	cin => \led_flash_cnt[1036][6]~41395\,
	combout => \led_flash_cnt[1036][7]~41396_combout\);

-- Location: FF_X9_Y35_N13
\led_flash_cnt[1036][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1036][7]~41396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1036][7]~q\);

-- Location: LCCOMB_X9_Y35_N20
\WideAnd1036~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1036~0_combout\ = (\led_flash_cnt[1036][4]~q\ & (\led_flash_cnt[1036][2]~q\ & (\led_flash_cnt[1036][3]~q\ & \led_flash_cnt[1036][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1036][4]~q\,
	datab => \led_flash_cnt[1036][2]~q\,
	datac => \led_flash_cnt[1036][3]~q\,
	datad => \led_flash_cnt[1036][1]~q\,
	combout => \WideAnd1036~0_combout\);

-- Location: LCCOMB_X9_Y35_N16
\WideAnd1036~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1036~1_combout\ = (\led_flash_cnt[1036][5]~q\ & \led_flash_cnt[1036][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1036][5]~q\,
	datad => \led_flash_cnt[1036][6]~q\,
	combout => \WideAnd1036~1_combout\);

-- Location: LCCOMB_X9_Y35_N18
WideAnd1036 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1036~combout\ = (\led_flash_cnt[1036][7]~q\ & (\WideAnd1036~0_combout\ & (\led_flash_cnt[1036][0]~q\ & \WideAnd1036~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1036][7]~q\,
	datab => \WideAnd1036~0_combout\,
	datac => \led_flash_cnt[1036][0]~q\,
	datad => \WideAnd1036~1_combout\,
	combout => \WideAnd1036~combout\);

-- Location: FF_X9_Y35_N19
\led_flash_cnt_ands[1036]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1036~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1036));

-- Location: LCCOMB_X9_Y35_N30
\WideAnd3969~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3969~1_combout\ = (led_flash_cnt_ands(1037) & led_flash_cnt_ands(1036))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1037),
	datad => led_flash_cnt_ands(1036),
	combout => \WideAnd3969~1_combout\);

-- Location: LCCOMB_X23_Y17_N24
\led_flash_cnt[1035][0]~81675\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1035][0]~81675_combout\ = !\led_flash_cnt[1035][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1035][0]~q\,
	combout => \led_flash_cnt[1035][0]~81675_combout\);

-- Location: FF_X23_Y17_N25
\led_flash_cnt[1035][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1035][0]~81675_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1035][0]~q\);

-- Location: LCCOMB_X24_Y17_N2
\led_flash_cnt[1035][1]~41370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1035][1]~41370_combout\ = (\led_flash_cnt[1035][0]~q\ & (\led_flash_cnt[1035][1]~q\ $ (VCC))) # (!\led_flash_cnt[1035][0]~q\ & (\led_flash_cnt[1035][1]~q\ & VCC))
-- \led_flash_cnt[1035][1]~41371\ = CARRY((\led_flash_cnt[1035][0]~q\ & \led_flash_cnt[1035][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1035][0]~q\,
	datab => \led_flash_cnt[1035][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1035][1]~41370_combout\,
	cout => \led_flash_cnt[1035][1]~41371\);

-- Location: FF_X24_Y17_N3
\led_flash_cnt[1035][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1035][1]~41370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1035][1]~q\);

-- Location: LCCOMB_X24_Y17_N4
\led_flash_cnt[1035][2]~41372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1035][2]~41372_combout\ = (\led_flash_cnt[1035][2]~q\ & (!\led_flash_cnt[1035][1]~41371\)) # (!\led_flash_cnt[1035][2]~q\ & ((\led_flash_cnt[1035][1]~41371\) # (GND)))
-- \led_flash_cnt[1035][2]~41373\ = CARRY((!\led_flash_cnt[1035][1]~41371\) # (!\led_flash_cnt[1035][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1035][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1035][1]~41371\,
	combout => \led_flash_cnt[1035][2]~41372_combout\,
	cout => \led_flash_cnt[1035][2]~41373\);

-- Location: FF_X24_Y17_N5
\led_flash_cnt[1035][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1035][2]~41372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1035][2]~q\);

-- Location: LCCOMB_X24_Y17_N6
\led_flash_cnt[1035][3]~41374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1035][3]~41374_combout\ = (\led_flash_cnt[1035][3]~q\ & (\led_flash_cnt[1035][2]~41373\ $ (GND))) # (!\led_flash_cnt[1035][3]~q\ & (!\led_flash_cnt[1035][2]~41373\ & VCC))
-- \led_flash_cnt[1035][3]~41375\ = CARRY((\led_flash_cnt[1035][3]~q\ & !\led_flash_cnt[1035][2]~41373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1035][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1035][2]~41373\,
	combout => \led_flash_cnt[1035][3]~41374_combout\,
	cout => \led_flash_cnt[1035][3]~41375\);

-- Location: FF_X24_Y17_N7
\led_flash_cnt[1035][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1035][3]~41374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1035][3]~q\);

-- Location: LCCOMB_X24_Y17_N8
\led_flash_cnt[1035][4]~41376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1035][4]~41376_combout\ = (\led_flash_cnt[1035][4]~q\ & (!\led_flash_cnt[1035][3]~41375\)) # (!\led_flash_cnt[1035][4]~q\ & ((\led_flash_cnt[1035][3]~41375\) # (GND)))
-- \led_flash_cnt[1035][4]~41377\ = CARRY((!\led_flash_cnt[1035][3]~41375\) # (!\led_flash_cnt[1035][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1035][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1035][3]~41375\,
	combout => \led_flash_cnt[1035][4]~41376_combout\,
	cout => \led_flash_cnt[1035][4]~41377\);

-- Location: FF_X24_Y17_N9
\led_flash_cnt[1035][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1035][4]~41376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1035][4]~q\);

-- Location: LCCOMB_X24_Y17_N10
\led_flash_cnt[1035][5]~41378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1035][5]~41378_combout\ = (\led_flash_cnt[1035][5]~q\ & (\led_flash_cnt[1035][4]~41377\ $ (GND))) # (!\led_flash_cnt[1035][5]~q\ & (!\led_flash_cnt[1035][4]~41377\ & VCC))
-- \led_flash_cnt[1035][5]~41379\ = CARRY((\led_flash_cnt[1035][5]~q\ & !\led_flash_cnt[1035][4]~41377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1035][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1035][4]~41377\,
	combout => \led_flash_cnt[1035][5]~41378_combout\,
	cout => \led_flash_cnt[1035][5]~41379\);

-- Location: FF_X24_Y17_N11
\led_flash_cnt[1035][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1035][5]~41378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1035][5]~q\);

-- Location: LCCOMB_X24_Y17_N12
\led_flash_cnt[1035][6]~41380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1035][6]~41380_combout\ = (\led_flash_cnt[1035][6]~q\ & (!\led_flash_cnt[1035][5]~41379\)) # (!\led_flash_cnt[1035][6]~q\ & ((\led_flash_cnt[1035][5]~41379\) # (GND)))
-- \led_flash_cnt[1035][6]~41381\ = CARRY((!\led_flash_cnt[1035][5]~41379\) # (!\led_flash_cnt[1035][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1035][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1035][5]~41379\,
	combout => \led_flash_cnt[1035][6]~41380_combout\,
	cout => \led_flash_cnt[1035][6]~41381\);

-- Location: FF_X24_Y17_N13
\led_flash_cnt[1035][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1035][6]~41380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1035][6]~q\);

-- Location: LCCOMB_X23_Y17_N22
\WideAnd1035~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1035~1_combout\ = (\led_flash_cnt[1035][5]~q\ & \led_flash_cnt[1035][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1035][5]~q\,
	datac => \led_flash_cnt[1035][6]~q\,
	combout => \WideAnd1035~1_combout\);

-- Location: LCCOMB_X24_Y17_N14
\led_flash_cnt[1035][7]~41382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1035][7]~41382_combout\ = \led_flash_cnt[1035][7]~q\ $ (!\led_flash_cnt[1035][6]~41381\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1035][7]~q\,
	cin => \led_flash_cnt[1035][6]~41381\,
	combout => \led_flash_cnt[1035][7]~41382_combout\);

-- Location: FF_X24_Y17_N15
\led_flash_cnt[1035][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1035][7]~41382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1035][7]~q\);

-- Location: LCCOMB_X24_Y17_N16
\WideAnd1035~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1035~0_combout\ = (\led_flash_cnt[1035][3]~q\ & (\led_flash_cnt[1035][2]~q\ & (\led_flash_cnt[1035][4]~q\ & \led_flash_cnt[1035][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1035][3]~q\,
	datab => \led_flash_cnt[1035][2]~q\,
	datac => \led_flash_cnt[1035][4]~q\,
	datad => \led_flash_cnt[1035][1]~q\,
	combout => \WideAnd1035~0_combout\);

-- Location: LCCOMB_X23_Y17_N26
WideAnd1035 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1035~combout\ = (\WideAnd1035~1_combout\ & (\led_flash_cnt[1035][0]~q\ & (\led_flash_cnt[1035][7]~q\ & \WideAnd1035~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1035~1_combout\,
	datab => \led_flash_cnt[1035][0]~q\,
	datac => \led_flash_cnt[1035][7]~q\,
	datad => \WideAnd1035~0_combout\,
	combout => \WideAnd1035~combout\);

-- Location: FF_X23_Y17_N27
\led_flash_cnt_ands[1035]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1035~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1035));

-- Location: LCCOMB_X23_Y17_N18
\led_flash_cnt[1034][0]~81674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1034][0]~81674_combout\ = !\led_flash_cnt[1034][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1034][0]~q\,
	combout => \led_flash_cnt[1034][0]~81674_combout\);

-- Location: FF_X23_Y17_N19
\led_flash_cnt[1034][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1034][0]~81674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1034][0]~q\);

-- Location: LCCOMB_X23_Y17_N0
\led_flash_cnt[1034][1]~41356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1034][1]~41356_combout\ = (\led_flash_cnt[1034][1]~q\ & (\led_flash_cnt[1034][0]~q\ $ (VCC))) # (!\led_flash_cnt[1034][1]~q\ & (\led_flash_cnt[1034][0]~q\ & VCC))
-- \led_flash_cnt[1034][1]~41357\ = CARRY((\led_flash_cnt[1034][1]~q\ & \led_flash_cnt[1034][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1034][1]~q\,
	datab => \led_flash_cnt[1034][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1034][1]~41356_combout\,
	cout => \led_flash_cnt[1034][1]~41357\);

-- Location: FF_X23_Y17_N1
\led_flash_cnt[1034][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1034][1]~41356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1034][1]~q\);

-- Location: LCCOMB_X23_Y17_N2
\led_flash_cnt[1034][2]~41358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1034][2]~41358_combout\ = (\led_flash_cnt[1034][2]~q\ & (!\led_flash_cnt[1034][1]~41357\)) # (!\led_flash_cnt[1034][2]~q\ & ((\led_flash_cnt[1034][1]~41357\) # (GND)))
-- \led_flash_cnt[1034][2]~41359\ = CARRY((!\led_flash_cnt[1034][1]~41357\) # (!\led_flash_cnt[1034][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1034][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1034][1]~41357\,
	combout => \led_flash_cnt[1034][2]~41358_combout\,
	cout => \led_flash_cnt[1034][2]~41359\);

-- Location: FF_X23_Y17_N3
\led_flash_cnt[1034][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1034][2]~41358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1034][2]~q\);

-- Location: LCCOMB_X23_Y17_N4
\led_flash_cnt[1034][3]~41360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1034][3]~41360_combout\ = (\led_flash_cnt[1034][3]~q\ & (\led_flash_cnt[1034][2]~41359\ $ (GND))) # (!\led_flash_cnt[1034][3]~q\ & (!\led_flash_cnt[1034][2]~41359\ & VCC))
-- \led_flash_cnt[1034][3]~41361\ = CARRY((\led_flash_cnt[1034][3]~q\ & !\led_flash_cnt[1034][2]~41359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1034][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1034][2]~41359\,
	combout => \led_flash_cnt[1034][3]~41360_combout\,
	cout => \led_flash_cnt[1034][3]~41361\);

-- Location: FF_X23_Y17_N5
\led_flash_cnt[1034][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1034][3]~41360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1034][3]~q\);

-- Location: LCCOMB_X23_Y17_N6
\led_flash_cnt[1034][4]~41362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1034][4]~41362_combout\ = (\led_flash_cnt[1034][4]~q\ & (!\led_flash_cnt[1034][3]~41361\)) # (!\led_flash_cnt[1034][4]~q\ & ((\led_flash_cnt[1034][3]~41361\) # (GND)))
-- \led_flash_cnt[1034][4]~41363\ = CARRY((!\led_flash_cnt[1034][3]~41361\) # (!\led_flash_cnt[1034][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1034][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1034][3]~41361\,
	combout => \led_flash_cnt[1034][4]~41362_combout\,
	cout => \led_flash_cnt[1034][4]~41363\);

-- Location: FF_X23_Y17_N7
\led_flash_cnt[1034][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1034][4]~41362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1034][4]~q\);

-- Location: LCCOMB_X23_Y17_N30
\WideAnd1034~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1034~0_combout\ = (\led_flash_cnt[1034][4]~q\ & (\led_flash_cnt[1034][2]~q\ & (\led_flash_cnt[1034][3]~q\ & \led_flash_cnt[1034][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1034][4]~q\,
	datab => \led_flash_cnt[1034][2]~q\,
	datac => \led_flash_cnt[1034][3]~q\,
	datad => \led_flash_cnt[1034][1]~q\,
	combout => \WideAnd1034~0_combout\);

-- Location: LCCOMB_X23_Y17_N8
\led_flash_cnt[1034][5]~41364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1034][5]~41364_combout\ = (\led_flash_cnt[1034][5]~q\ & (\led_flash_cnt[1034][4]~41363\ $ (GND))) # (!\led_flash_cnt[1034][5]~q\ & (!\led_flash_cnt[1034][4]~41363\ & VCC))
-- \led_flash_cnt[1034][5]~41365\ = CARRY((\led_flash_cnt[1034][5]~q\ & !\led_flash_cnt[1034][4]~41363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1034][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1034][4]~41363\,
	combout => \led_flash_cnt[1034][5]~41364_combout\,
	cout => \led_flash_cnt[1034][5]~41365\);

-- Location: FF_X23_Y17_N9
\led_flash_cnt[1034][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1034][5]~41364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1034][5]~q\);

-- Location: LCCOMB_X23_Y17_N10
\led_flash_cnt[1034][6]~41366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1034][6]~41366_combout\ = (\led_flash_cnt[1034][6]~q\ & (!\led_flash_cnt[1034][5]~41365\)) # (!\led_flash_cnt[1034][6]~q\ & ((\led_flash_cnt[1034][5]~41365\) # (GND)))
-- \led_flash_cnt[1034][6]~41367\ = CARRY((!\led_flash_cnt[1034][5]~41365\) # (!\led_flash_cnt[1034][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1034][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1034][5]~41365\,
	combout => \led_flash_cnt[1034][6]~41366_combout\,
	cout => \led_flash_cnt[1034][6]~41367\);

-- Location: FF_X23_Y17_N11
\led_flash_cnt[1034][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1034][6]~41366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1034][6]~q\);

-- Location: LCCOMB_X23_Y17_N14
\WideAnd1034~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1034~1_combout\ = (\led_flash_cnt[1034][5]~q\ & \led_flash_cnt[1034][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1034][5]~q\,
	datad => \led_flash_cnt[1034][6]~q\,
	combout => \WideAnd1034~1_combout\);

-- Location: LCCOMB_X23_Y17_N12
\led_flash_cnt[1034][7]~41368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1034][7]~41368_combout\ = \led_flash_cnt[1034][6]~41367\ $ (!\led_flash_cnt[1034][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1034][7]~q\,
	cin => \led_flash_cnt[1034][6]~41367\,
	combout => \led_flash_cnt[1034][7]~41368_combout\);

-- Location: FF_X23_Y17_N13
\led_flash_cnt[1034][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1034][7]~41368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1034][7]~q\);

-- Location: LCCOMB_X23_Y17_N20
WideAnd1034 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1034~combout\ = (\WideAnd1034~0_combout\ & (\led_flash_cnt[1034][0]~q\ & (\WideAnd1034~1_combout\ & \led_flash_cnt[1034][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1034~0_combout\,
	datab => \led_flash_cnt[1034][0]~q\,
	datac => \WideAnd1034~1_combout\,
	datad => \led_flash_cnt[1034][7]~q\,
	combout => \WideAnd1034~combout\);

-- Location: FF_X23_Y17_N21
\led_flash_cnt_ands[1034]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1034~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1034));

-- Location: LCCOMB_X17_Y26_N26
\led_flash_cnt[1032][0]~81672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1032][0]~81672_combout\ = !\led_flash_cnt[1032][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1032][0]~q\,
	combout => \led_flash_cnt[1032][0]~81672_combout\);

-- Location: FF_X17_Y26_N27
\led_flash_cnt[1032][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1032][0]~81672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1032][0]~q\);

-- Location: LCCOMB_X17_Y26_N4
\led_flash_cnt[1032][1]~41328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1032][1]~41328_combout\ = (\led_flash_cnt[1032][0]~q\ & (\led_flash_cnt[1032][1]~q\ $ (VCC))) # (!\led_flash_cnt[1032][0]~q\ & (\led_flash_cnt[1032][1]~q\ & VCC))
-- \led_flash_cnt[1032][1]~41329\ = CARRY((\led_flash_cnt[1032][0]~q\ & \led_flash_cnt[1032][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1032][0]~q\,
	datab => \led_flash_cnt[1032][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1032][1]~41328_combout\,
	cout => \led_flash_cnt[1032][1]~41329\);

-- Location: FF_X17_Y26_N5
\led_flash_cnt[1032][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1032][1]~41328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1032][1]~q\);

-- Location: LCCOMB_X17_Y26_N6
\led_flash_cnt[1032][2]~41330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1032][2]~41330_combout\ = (\led_flash_cnt[1032][2]~q\ & (!\led_flash_cnt[1032][1]~41329\)) # (!\led_flash_cnt[1032][2]~q\ & ((\led_flash_cnt[1032][1]~41329\) # (GND)))
-- \led_flash_cnt[1032][2]~41331\ = CARRY((!\led_flash_cnt[1032][1]~41329\) # (!\led_flash_cnt[1032][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1032][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1032][1]~41329\,
	combout => \led_flash_cnt[1032][2]~41330_combout\,
	cout => \led_flash_cnt[1032][2]~41331\);

-- Location: FF_X17_Y26_N7
\led_flash_cnt[1032][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1032][2]~41330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1032][2]~q\);

-- Location: LCCOMB_X17_Y26_N8
\led_flash_cnt[1032][3]~41332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1032][3]~41332_combout\ = (\led_flash_cnt[1032][3]~q\ & (\led_flash_cnt[1032][2]~41331\ $ (GND))) # (!\led_flash_cnt[1032][3]~q\ & (!\led_flash_cnt[1032][2]~41331\ & VCC))
-- \led_flash_cnt[1032][3]~41333\ = CARRY((\led_flash_cnt[1032][3]~q\ & !\led_flash_cnt[1032][2]~41331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1032][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1032][2]~41331\,
	combout => \led_flash_cnt[1032][3]~41332_combout\,
	cout => \led_flash_cnt[1032][3]~41333\);

-- Location: FF_X17_Y26_N9
\led_flash_cnt[1032][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1032][3]~41332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1032][3]~q\);

-- Location: LCCOMB_X17_Y26_N10
\led_flash_cnt[1032][4]~41334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1032][4]~41334_combout\ = (\led_flash_cnt[1032][4]~q\ & (!\led_flash_cnt[1032][3]~41333\)) # (!\led_flash_cnt[1032][4]~q\ & ((\led_flash_cnt[1032][3]~41333\) # (GND)))
-- \led_flash_cnt[1032][4]~41335\ = CARRY((!\led_flash_cnt[1032][3]~41333\) # (!\led_flash_cnt[1032][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1032][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1032][3]~41333\,
	combout => \led_flash_cnt[1032][4]~41334_combout\,
	cout => \led_flash_cnt[1032][4]~41335\);

-- Location: FF_X17_Y26_N11
\led_flash_cnt[1032][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1032][4]~41334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1032][4]~q\);

-- Location: LCCOMB_X17_Y26_N12
\led_flash_cnt[1032][5]~41336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1032][5]~41336_combout\ = (\led_flash_cnt[1032][5]~q\ & (\led_flash_cnt[1032][4]~41335\ $ (GND))) # (!\led_flash_cnt[1032][5]~q\ & (!\led_flash_cnt[1032][4]~41335\ & VCC))
-- \led_flash_cnt[1032][5]~41337\ = CARRY((\led_flash_cnt[1032][5]~q\ & !\led_flash_cnt[1032][4]~41335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1032][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1032][4]~41335\,
	combout => \led_flash_cnt[1032][5]~41336_combout\,
	cout => \led_flash_cnt[1032][5]~41337\);

-- Location: FF_X17_Y26_N13
\led_flash_cnt[1032][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1032][5]~41336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1032][5]~q\);

-- Location: LCCOMB_X17_Y26_N14
\led_flash_cnt[1032][6]~41338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1032][6]~41338_combout\ = (\led_flash_cnt[1032][6]~q\ & (!\led_flash_cnt[1032][5]~41337\)) # (!\led_flash_cnt[1032][6]~q\ & ((\led_flash_cnt[1032][5]~41337\) # (GND)))
-- \led_flash_cnt[1032][6]~41339\ = CARRY((!\led_flash_cnt[1032][5]~41337\) # (!\led_flash_cnt[1032][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1032][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1032][5]~41337\,
	combout => \led_flash_cnt[1032][6]~41338_combout\,
	cout => \led_flash_cnt[1032][6]~41339\);

-- Location: FF_X17_Y26_N15
\led_flash_cnt[1032][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1032][6]~41338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1032][6]~q\);

-- Location: LCCOMB_X17_Y26_N22
\WideAnd1032~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1032~1_combout\ = (\led_flash_cnt[1032][6]~q\ & \led_flash_cnt[1032][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1032][6]~q\,
	datad => \led_flash_cnt[1032][5]~q\,
	combout => \WideAnd1032~1_combout\);

-- Location: LCCOMB_X17_Y26_N16
\led_flash_cnt[1032][7]~41340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1032][7]~41340_combout\ = \led_flash_cnt[1032][6]~41339\ $ (!\led_flash_cnt[1032][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1032][7]~q\,
	cin => \led_flash_cnt[1032][6]~41339\,
	combout => \led_flash_cnt[1032][7]~41340_combout\);

-- Location: FF_X17_Y26_N17
\led_flash_cnt[1032][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1032][7]~41340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1032][7]~q\);

-- Location: LCCOMB_X17_Y26_N18
\WideAnd1032~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1032~0_combout\ = (\led_flash_cnt[1032][4]~q\ & (\led_flash_cnt[1032][1]~q\ & (\led_flash_cnt[1032][3]~q\ & \led_flash_cnt[1032][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1032][4]~q\,
	datab => \led_flash_cnt[1032][1]~q\,
	datac => \led_flash_cnt[1032][3]~q\,
	datad => \led_flash_cnt[1032][2]~q\,
	combout => \WideAnd1032~0_combout\);

-- Location: LCCOMB_X17_Y26_N30
WideAnd1032 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1032~combout\ = (\WideAnd1032~1_combout\ & (\led_flash_cnt[1032][7]~q\ & (\led_flash_cnt[1032][0]~q\ & \WideAnd1032~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1032~1_combout\,
	datab => \led_flash_cnt[1032][7]~q\,
	datac => \led_flash_cnt[1032][0]~q\,
	datad => \WideAnd1032~0_combout\,
	combout => \WideAnd1032~combout\);

-- Location: FF_X17_Y26_N31
\led_flash_cnt_ands[1032]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1032~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1032));

-- Location: LCCOMB_X31_Y31_N26
\led_flash_cnt[1033][0]~81673\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1033][0]~81673_combout\ = !\led_flash_cnt[1033][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1033][0]~q\,
	combout => \led_flash_cnt[1033][0]~81673_combout\);

-- Location: FF_X31_Y31_N27
\led_flash_cnt[1033][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1033][0]~81673_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1033][0]~q\);

-- Location: LCCOMB_X31_Y31_N6
\led_flash_cnt[1033][1]~41342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1033][1]~41342_combout\ = (\led_flash_cnt[1033][0]~q\ & (\led_flash_cnt[1033][1]~q\ $ (VCC))) # (!\led_flash_cnt[1033][0]~q\ & (\led_flash_cnt[1033][1]~q\ & VCC))
-- \led_flash_cnt[1033][1]~41343\ = CARRY((\led_flash_cnt[1033][0]~q\ & \led_flash_cnt[1033][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1033][0]~q\,
	datab => \led_flash_cnt[1033][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1033][1]~41342_combout\,
	cout => \led_flash_cnt[1033][1]~41343\);

-- Location: FF_X31_Y31_N7
\led_flash_cnt[1033][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1033][1]~41342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1033][1]~q\);

-- Location: LCCOMB_X31_Y31_N8
\led_flash_cnt[1033][2]~41344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1033][2]~41344_combout\ = (\led_flash_cnt[1033][2]~q\ & (!\led_flash_cnt[1033][1]~41343\)) # (!\led_flash_cnt[1033][2]~q\ & ((\led_flash_cnt[1033][1]~41343\) # (GND)))
-- \led_flash_cnt[1033][2]~41345\ = CARRY((!\led_flash_cnt[1033][1]~41343\) # (!\led_flash_cnt[1033][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1033][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1033][1]~41343\,
	combout => \led_flash_cnt[1033][2]~41344_combout\,
	cout => \led_flash_cnt[1033][2]~41345\);

-- Location: FF_X31_Y31_N9
\led_flash_cnt[1033][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1033][2]~41344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1033][2]~q\);

-- Location: LCCOMB_X31_Y31_N10
\led_flash_cnt[1033][3]~41346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1033][3]~41346_combout\ = (\led_flash_cnt[1033][3]~q\ & (\led_flash_cnt[1033][2]~41345\ $ (GND))) # (!\led_flash_cnt[1033][3]~q\ & (!\led_flash_cnt[1033][2]~41345\ & VCC))
-- \led_flash_cnt[1033][3]~41347\ = CARRY((\led_flash_cnt[1033][3]~q\ & !\led_flash_cnt[1033][2]~41345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1033][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1033][2]~41345\,
	combout => \led_flash_cnt[1033][3]~41346_combout\,
	cout => \led_flash_cnt[1033][3]~41347\);

-- Location: FF_X31_Y31_N11
\led_flash_cnt[1033][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1033][3]~41346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1033][3]~q\);

-- Location: LCCOMB_X31_Y31_N12
\led_flash_cnt[1033][4]~41348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1033][4]~41348_combout\ = (\led_flash_cnt[1033][4]~q\ & (!\led_flash_cnt[1033][3]~41347\)) # (!\led_flash_cnt[1033][4]~q\ & ((\led_flash_cnt[1033][3]~41347\) # (GND)))
-- \led_flash_cnt[1033][4]~41349\ = CARRY((!\led_flash_cnt[1033][3]~41347\) # (!\led_flash_cnt[1033][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1033][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1033][3]~41347\,
	combout => \led_flash_cnt[1033][4]~41348_combout\,
	cout => \led_flash_cnt[1033][4]~41349\);

-- Location: FF_X31_Y31_N13
\led_flash_cnt[1033][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1033][4]~41348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1033][4]~q\);

-- Location: LCCOMB_X31_Y31_N14
\led_flash_cnt[1033][5]~41350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1033][5]~41350_combout\ = (\led_flash_cnt[1033][5]~q\ & (\led_flash_cnt[1033][4]~41349\ $ (GND))) # (!\led_flash_cnt[1033][5]~q\ & (!\led_flash_cnt[1033][4]~41349\ & VCC))
-- \led_flash_cnt[1033][5]~41351\ = CARRY((\led_flash_cnt[1033][5]~q\ & !\led_flash_cnt[1033][4]~41349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1033][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1033][4]~41349\,
	combout => \led_flash_cnt[1033][5]~41350_combout\,
	cout => \led_flash_cnt[1033][5]~41351\);

-- Location: FF_X31_Y31_N15
\led_flash_cnt[1033][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1033][5]~41350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1033][5]~q\);

-- Location: LCCOMB_X31_Y31_N16
\led_flash_cnt[1033][6]~41352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1033][6]~41352_combout\ = (\led_flash_cnt[1033][6]~q\ & (!\led_flash_cnt[1033][5]~41351\)) # (!\led_flash_cnt[1033][6]~q\ & ((\led_flash_cnt[1033][5]~41351\) # (GND)))
-- \led_flash_cnt[1033][6]~41353\ = CARRY((!\led_flash_cnt[1033][5]~41351\) # (!\led_flash_cnt[1033][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1033][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1033][5]~41351\,
	combout => \led_flash_cnt[1033][6]~41352_combout\,
	cout => \led_flash_cnt[1033][6]~41353\);

-- Location: FF_X31_Y31_N17
\led_flash_cnt[1033][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1033][6]~41352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1033][6]~q\);

-- Location: LCCOMB_X31_Y31_N18
\led_flash_cnt[1033][7]~41354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1033][7]~41354_combout\ = \led_flash_cnt[1033][6]~41353\ $ (!\led_flash_cnt[1033][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1033][7]~q\,
	cin => \led_flash_cnt[1033][6]~41353\,
	combout => \led_flash_cnt[1033][7]~41354_combout\);

-- Location: FF_X31_Y31_N19
\led_flash_cnt[1033][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1033][7]~41354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1033][7]~q\);

-- Location: LCCOMB_X31_Y31_N30
\WideAnd1033~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1033~1_combout\ = (\led_flash_cnt[1033][5]~q\ & \led_flash_cnt[1033][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1033][5]~q\,
	datad => \led_flash_cnt[1033][6]~q\,
	combout => \WideAnd1033~1_combout\);

-- Location: LCCOMB_X31_Y31_N20
\WideAnd1033~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1033~0_combout\ = (\led_flash_cnt[1033][4]~q\ & (\led_flash_cnt[1033][1]~q\ & (\led_flash_cnt[1033][2]~q\ & \led_flash_cnt[1033][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1033][4]~q\,
	datab => \led_flash_cnt[1033][1]~q\,
	datac => \led_flash_cnt[1033][2]~q\,
	datad => \led_flash_cnt[1033][3]~q\,
	combout => \WideAnd1033~0_combout\);

-- Location: LCCOMB_X31_Y31_N4
WideAnd1033 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1033~combout\ = (\led_flash_cnt[1033][0]~q\ & (\led_flash_cnt[1033][7]~q\ & (\WideAnd1033~1_combout\ & \WideAnd1033~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1033][0]~q\,
	datab => \led_flash_cnt[1033][7]~q\,
	datac => \WideAnd1033~1_combout\,
	datad => \WideAnd1033~0_combout\,
	combout => \WideAnd1033~combout\);

-- Location: FF_X31_Y31_N5
\led_flash_cnt_ands[1033]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1033~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1033));

-- Location: LCCOMB_X23_Y17_N16
\WideAnd3969~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3969~0_combout\ = (led_flash_cnt_ands(1035) & (led_flash_cnt_ands(1034) & (led_flash_cnt_ands(1032) & led_flash_cnt_ands(1033))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1035),
	datab => led_flash_cnt_ands(1034),
	datac => led_flash_cnt_ands(1032),
	datad => led_flash_cnt_ands(1033),
	combout => \WideAnd3969~0_combout\);

-- Location: LCCOMB_X19_Y14_N0
\led_flash_cnt[1039][0]~81679\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1039][0]~81679_combout\ = !\led_flash_cnt[1039][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1039][0]~q\,
	combout => \led_flash_cnt[1039][0]~81679_combout\);

-- Location: FF_X19_Y14_N1
\led_flash_cnt[1039][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1039][0]~81679_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1039][0]~q\);

-- Location: LCCOMB_X19_Y14_N10
\led_flash_cnt[1039][1]~41426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1039][1]~41426_combout\ = (\led_flash_cnt[1039][1]~q\ & (\led_flash_cnt[1039][0]~q\ $ (VCC))) # (!\led_flash_cnt[1039][1]~q\ & (\led_flash_cnt[1039][0]~q\ & VCC))
-- \led_flash_cnt[1039][1]~41427\ = CARRY((\led_flash_cnt[1039][1]~q\ & \led_flash_cnt[1039][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1039][1]~q\,
	datab => \led_flash_cnt[1039][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1039][1]~41426_combout\,
	cout => \led_flash_cnt[1039][1]~41427\);

-- Location: FF_X19_Y14_N11
\led_flash_cnt[1039][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1039][1]~41426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1039][1]~q\);

-- Location: LCCOMB_X19_Y14_N12
\led_flash_cnt[1039][2]~41428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1039][2]~41428_combout\ = (\led_flash_cnt[1039][2]~q\ & (!\led_flash_cnt[1039][1]~41427\)) # (!\led_flash_cnt[1039][2]~q\ & ((\led_flash_cnt[1039][1]~41427\) # (GND)))
-- \led_flash_cnt[1039][2]~41429\ = CARRY((!\led_flash_cnt[1039][1]~41427\) # (!\led_flash_cnt[1039][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1039][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1039][1]~41427\,
	combout => \led_flash_cnt[1039][2]~41428_combout\,
	cout => \led_flash_cnt[1039][2]~41429\);

-- Location: FF_X19_Y14_N13
\led_flash_cnt[1039][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1039][2]~41428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1039][2]~q\);

-- Location: LCCOMB_X19_Y14_N14
\led_flash_cnt[1039][3]~41430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1039][3]~41430_combout\ = (\led_flash_cnt[1039][3]~q\ & (\led_flash_cnt[1039][2]~41429\ $ (GND))) # (!\led_flash_cnt[1039][3]~q\ & (!\led_flash_cnt[1039][2]~41429\ & VCC))
-- \led_flash_cnt[1039][3]~41431\ = CARRY((\led_flash_cnt[1039][3]~q\ & !\led_flash_cnt[1039][2]~41429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1039][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1039][2]~41429\,
	combout => \led_flash_cnt[1039][3]~41430_combout\,
	cout => \led_flash_cnt[1039][3]~41431\);

-- Location: FF_X19_Y14_N15
\led_flash_cnt[1039][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1039][3]~41430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1039][3]~q\);

-- Location: LCCOMB_X19_Y14_N16
\led_flash_cnt[1039][4]~41432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1039][4]~41432_combout\ = (\led_flash_cnt[1039][4]~q\ & (!\led_flash_cnt[1039][3]~41431\)) # (!\led_flash_cnt[1039][4]~q\ & ((\led_flash_cnt[1039][3]~41431\) # (GND)))
-- \led_flash_cnt[1039][4]~41433\ = CARRY((!\led_flash_cnt[1039][3]~41431\) # (!\led_flash_cnt[1039][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1039][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1039][3]~41431\,
	combout => \led_flash_cnt[1039][4]~41432_combout\,
	cout => \led_flash_cnt[1039][4]~41433\);

-- Location: FF_X19_Y14_N17
\led_flash_cnt[1039][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1039][4]~41432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1039][4]~q\);

-- Location: LCCOMB_X19_Y14_N18
\led_flash_cnt[1039][5]~41434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1039][5]~41434_combout\ = (\led_flash_cnt[1039][5]~q\ & (\led_flash_cnt[1039][4]~41433\ $ (GND))) # (!\led_flash_cnt[1039][5]~q\ & (!\led_flash_cnt[1039][4]~41433\ & VCC))
-- \led_flash_cnt[1039][5]~41435\ = CARRY((\led_flash_cnt[1039][5]~q\ & !\led_flash_cnt[1039][4]~41433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1039][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1039][4]~41433\,
	combout => \led_flash_cnt[1039][5]~41434_combout\,
	cout => \led_flash_cnt[1039][5]~41435\);

-- Location: FF_X19_Y14_N19
\led_flash_cnt[1039][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1039][5]~41434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1039][5]~q\);

-- Location: LCCOMB_X19_Y14_N20
\led_flash_cnt[1039][6]~41436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1039][6]~41436_combout\ = (\led_flash_cnt[1039][6]~q\ & (!\led_flash_cnt[1039][5]~41435\)) # (!\led_flash_cnt[1039][6]~q\ & ((\led_flash_cnt[1039][5]~41435\) # (GND)))
-- \led_flash_cnt[1039][6]~41437\ = CARRY((!\led_flash_cnt[1039][5]~41435\) # (!\led_flash_cnt[1039][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1039][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1039][5]~41435\,
	combout => \led_flash_cnt[1039][6]~41436_combout\,
	cout => \led_flash_cnt[1039][6]~41437\);

-- Location: FF_X19_Y14_N21
\led_flash_cnt[1039][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1039][6]~41436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1039][6]~q\);

-- Location: LCCOMB_X19_Y14_N26
\WideAnd1039~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1039~1_combout\ = (\led_flash_cnt[1039][6]~q\ & \led_flash_cnt[1039][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1039][6]~q\,
	datad => \led_flash_cnt[1039][5]~q\,
	combout => \WideAnd1039~1_combout\);

-- Location: LCCOMB_X19_Y14_N8
\WideAnd1039~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1039~0_combout\ = (\led_flash_cnt[1039][2]~q\ & (\led_flash_cnt[1039][4]~q\ & (\led_flash_cnt[1039][3]~q\ & \led_flash_cnt[1039][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1039][2]~q\,
	datab => \led_flash_cnt[1039][4]~q\,
	datac => \led_flash_cnt[1039][3]~q\,
	datad => \led_flash_cnt[1039][1]~q\,
	combout => \WideAnd1039~0_combout\);

-- Location: LCCOMB_X19_Y14_N22
\led_flash_cnt[1039][7]~41438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1039][7]~41438_combout\ = \led_flash_cnt[1039][7]~q\ $ (!\led_flash_cnt[1039][6]~41437\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1039][7]~q\,
	cin => \led_flash_cnt[1039][6]~41437\,
	combout => \led_flash_cnt[1039][7]~41438_combout\);

-- Location: FF_X19_Y14_N23
\led_flash_cnt[1039][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1039][7]~41438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1039][7]~q\);

-- Location: LCCOMB_X19_Y14_N28
WideAnd1039 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1039~combout\ = (\WideAnd1039~1_combout\ & (\WideAnd1039~0_combout\ & (\led_flash_cnt[1039][7]~q\ & \led_flash_cnt[1039][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1039~1_combout\,
	datab => \WideAnd1039~0_combout\,
	datac => \led_flash_cnt[1039][7]~q\,
	datad => \led_flash_cnt[1039][0]~q\,
	combout => \WideAnd1039~combout\);

-- Location: FF_X19_Y14_N29
\led_flash_cnt_ands[1039]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1039~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1039));

-- Location: LCCOMB_X18_Y14_N0
WideAnd3969 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3969~combout\ = (led_flash_cnt_ands(1038) & (\WideAnd3969~1_combout\ & (\WideAnd3969~0_combout\ & led_flash_cnt_ands(1039))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1038),
	datab => \WideAnd3969~1_combout\,
	datac => \WideAnd3969~0_combout\,
	datad => led_flash_cnt_ands(1039),
	combout => \WideAnd3969~combout\);

-- Location: FF_X18_Y14_N1
\led_flash_cnt_ands_1[129]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3969~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(129));

-- Location: LCCOMB_X17_Y10_N16
\led_flash_cnt[1046][0]~81686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1046][0]~81686_combout\ = !\led_flash_cnt[1046][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1046][0]~q\,
	combout => \led_flash_cnt[1046][0]~81686_combout\);

-- Location: FF_X17_Y10_N17
\led_flash_cnt[1046][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1046][0]~81686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1046][0]~q\);

-- Location: LCCOMB_X17_Y7_N0
\led_flash_cnt[1046][1]~41524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1046][1]~41524_combout\ = (\led_flash_cnt[1046][0]~q\ & (\led_flash_cnt[1046][1]~q\ $ (VCC))) # (!\led_flash_cnt[1046][0]~q\ & (\led_flash_cnt[1046][1]~q\ & VCC))
-- \led_flash_cnt[1046][1]~41525\ = CARRY((\led_flash_cnt[1046][0]~q\ & \led_flash_cnt[1046][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1046][0]~q\,
	datab => \led_flash_cnt[1046][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1046][1]~41524_combout\,
	cout => \led_flash_cnt[1046][1]~41525\);

-- Location: FF_X17_Y7_N1
\led_flash_cnt[1046][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1046][1]~41524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1046][1]~q\);

-- Location: LCCOMB_X17_Y7_N2
\led_flash_cnt[1046][2]~41526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1046][2]~41526_combout\ = (\led_flash_cnt[1046][2]~q\ & (!\led_flash_cnt[1046][1]~41525\)) # (!\led_flash_cnt[1046][2]~q\ & ((\led_flash_cnt[1046][1]~41525\) # (GND)))
-- \led_flash_cnt[1046][2]~41527\ = CARRY((!\led_flash_cnt[1046][1]~41525\) # (!\led_flash_cnt[1046][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1046][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1046][1]~41525\,
	combout => \led_flash_cnt[1046][2]~41526_combout\,
	cout => \led_flash_cnt[1046][2]~41527\);

-- Location: FF_X17_Y7_N3
\led_flash_cnt[1046][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1046][2]~41526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1046][2]~q\);

-- Location: LCCOMB_X17_Y7_N4
\led_flash_cnt[1046][3]~41528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1046][3]~41528_combout\ = (\led_flash_cnt[1046][3]~q\ & (\led_flash_cnt[1046][2]~41527\ $ (GND))) # (!\led_flash_cnt[1046][3]~q\ & (!\led_flash_cnt[1046][2]~41527\ & VCC))
-- \led_flash_cnt[1046][3]~41529\ = CARRY((\led_flash_cnt[1046][3]~q\ & !\led_flash_cnt[1046][2]~41527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1046][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1046][2]~41527\,
	combout => \led_flash_cnt[1046][3]~41528_combout\,
	cout => \led_flash_cnt[1046][3]~41529\);

-- Location: FF_X17_Y7_N5
\led_flash_cnt[1046][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1046][3]~41528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1046][3]~q\);

-- Location: LCCOMB_X17_Y7_N6
\led_flash_cnt[1046][4]~41530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1046][4]~41530_combout\ = (\led_flash_cnt[1046][4]~q\ & (!\led_flash_cnt[1046][3]~41529\)) # (!\led_flash_cnt[1046][4]~q\ & ((\led_flash_cnt[1046][3]~41529\) # (GND)))
-- \led_flash_cnt[1046][4]~41531\ = CARRY((!\led_flash_cnt[1046][3]~41529\) # (!\led_flash_cnt[1046][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1046][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1046][3]~41529\,
	combout => \led_flash_cnt[1046][4]~41530_combout\,
	cout => \led_flash_cnt[1046][4]~41531\);

-- Location: FF_X17_Y7_N7
\led_flash_cnt[1046][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1046][4]~41530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1046][4]~q\);

-- Location: LCCOMB_X17_Y7_N28
\WideAnd1046~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1046~0_combout\ = (\led_flash_cnt[1046][4]~q\ & (\led_flash_cnt[1046][2]~q\ & (\led_flash_cnt[1046][3]~q\ & \led_flash_cnt[1046][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1046][4]~q\,
	datab => \led_flash_cnt[1046][2]~q\,
	datac => \led_flash_cnt[1046][3]~q\,
	datad => \led_flash_cnt[1046][1]~q\,
	combout => \WideAnd1046~0_combout\);

-- Location: LCCOMB_X17_Y7_N8
\led_flash_cnt[1046][5]~41532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1046][5]~41532_combout\ = (\led_flash_cnt[1046][5]~q\ & (\led_flash_cnt[1046][4]~41531\ $ (GND))) # (!\led_flash_cnt[1046][5]~q\ & (!\led_flash_cnt[1046][4]~41531\ & VCC))
-- \led_flash_cnt[1046][5]~41533\ = CARRY((\led_flash_cnt[1046][5]~q\ & !\led_flash_cnt[1046][4]~41531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1046][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1046][4]~41531\,
	combout => \led_flash_cnt[1046][5]~41532_combout\,
	cout => \led_flash_cnt[1046][5]~41533\);

-- Location: FF_X17_Y7_N9
\led_flash_cnt[1046][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1046][5]~41532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1046][5]~q\);

-- Location: LCCOMB_X17_Y7_N10
\led_flash_cnt[1046][6]~41534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1046][6]~41534_combout\ = (\led_flash_cnt[1046][6]~q\ & (!\led_flash_cnt[1046][5]~41533\)) # (!\led_flash_cnt[1046][6]~q\ & ((\led_flash_cnt[1046][5]~41533\) # (GND)))
-- \led_flash_cnt[1046][6]~41535\ = CARRY((!\led_flash_cnt[1046][5]~41533\) # (!\led_flash_cnt[1046][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1046][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1046][5]~41533\,
	combout => \led_flash_cnt[1046][6]~41534_combout\,
	cout => \led_flash_cnt[1046][6]~41535\);

-- Location: FF_X17_Y7_N11
\led_flash_cnt[1046][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1046][6]~41534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1046][6]~q\);

-- Location: LCCOMB_X18_Y7_N10
\WideAnd1046~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1046~1_combout\ = (\led_flash_cnt[1046][6]~q\ & \led_flash_cnt[1046][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1046][6]~q\,
	datad => \led_flash_cnt[1046][5]~q\,
	combout => \WideAnd1046~1_combout\);

-- Location: LCCOMB_X17_Y7_N12
\led_flash_cnt[1046][7]~41536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1046][7]~41536_combout\ = \led_flash_cnt[1046][6]~41535\ $ (!\led_flash_cnt[1046][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1046][7]~q\,
	cin => \led_flash_cnt[1046][6]~41535\,
	combout => \led_flash_cnt[1046][7]~41536_combout\);

-- Location: FF_X17_Y7_N13
\led_flash_cnt[1046][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1046][7]~41536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1046][7]~q\);

-- Location: LCCOMB_X17_Y10_N10
WideAnd1046 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1046~combout\ = (\WideAnd1046~0_combout\ & (\WideAnd1046~1_combout\ & (\led_flash_cnt[1046][7]~q\ & \led_flash_cnt[1046][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1046~0_combout\,
	datab => \WideAnd1046~1_combout\,
	datac => \led_flash_cnt[1046][7]~q\,
	datad => \led_flash_cnt[1046][0]~q\,
	combout => \WideAnd1046~combout\);

-- Location: FF_X17_Y10_N11
\led_flash_cnt_ands[1046]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1046~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1046));

-- Location: LCCOMB_X11_Y6_N2
\led_flash_cnt[1042][0]~81682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1042][0]~81682_combout\ = !\led_flash_cnt[1042][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1042][0]~q\,
	combout => \led_flash_cnt[1042][0]~81682_combout\);

-- Location: FF_X11_Y6_N3
\led_flash_cnt[1042][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1042][0]~81682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1042][0]~q\);

-- Location: LCCOMB_X17_Y6_N2
\led_flash_cnt[1042][1]~41468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1042][1]~41468_combout\ = (\led_flash_cnt[1042][0]~q\ & (\led_flash_cnt[1042][1]~q\ $ (VCC))) # (!\led_flash_cnt[1042][0]~q\ & (\led_flash_cnt[1042][1]~q\ & VCC))
-- \led_flash_cnt[1042][1]~41469\ = CARRY((\led_flash_cnt[1042][0]~q\ & \led_flash_cnt[1042][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1042][0]~q\,
	datab => \led_flash_cnt[1042][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1042][1]~41468_combout\,
	cout => \led_flash_cnt[1042][1]~41469\);

-- Location: FF_X17_Y6_N3
\led_flash_cnt[1042][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1042][1]~41468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1042][1]~q\);

-- Location: LCCOMB_X17_Y6_N4
\led_flash_cnt[1042][2]~41470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1042][2]~41470_combout\ = (\led_flash_cnt[1042][2]~q\ & (!\led_flash_cnt[1042][1]~41469\)) # (!\led_flash_cnt[1042][2]~q\ & ((\led_flash_cnt[1042][1]~41469\) # (GND)))
-- \led_flash_cnt[1042][2]~41471\ = CARRY((!\led_flash_cnt[1042][1]~41469\) # (!\led_flash_cnt[1042][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1042][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1042][1]~41469\,
	combout => \led_flash_cnt[1042][2]~41470_combout\,
	cout => \led_flash_cnt[1042][2]~41471\);

-- Location: FF_X17_Y6_N5
\led_flash_cnt[1042][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1042][2]~41470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1042][2]~q\);

-- Location: LCCOMB_X17_Y6_N6
\led_flash_cnt[1042][3]~41472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1042][3]~41472_combout\ = (\led_flash_cnt[1042][3]~q\ & (\led_flash_cnt[1042][2]~41471\ $ (GND))) # (!\led_flash_cnt[1042][3]~q\ & (!\led_flash_cnt[1042][2]~41471\ & VCC))
-- \led_flash_cnt[1042][3]~41473\ = CARRY((\led_flash_cnt[1042][3]~q\ & !\led_flash_cnt[1042][2]~41471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1042][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1042][2]~41471\,
	combout => \led_flash_cnt[1042][3]~41472_combout\,
	cout => \led_flash_cnt[1042][3]~41473\);

-- Location: FF_X17_Y6_N7
\led_flash_cnt[1042][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1042][3]~41472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1042][3]~q\);

-- Location: LCCOMB_X17_Y6_N8
\led_flash_cnt[1042][4]~41474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1042][4]~41474_combout\ = (\led_flash_cnt[1042][4]~q\ & (!\led_flash_cnt[1042][3]~41473\)) # (!\led_flash_cnt[1042][4]~q\ & ((\led_flash_cnt[1042][3]~41473\) # (GND)))
-- \led_flash_cnt[1042][4]~41475\ = CARRY((!\led_flash_cnt[1042][3]~41473\) # (!\led_flash_cnt[1042][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1042][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1042][3]~41473\,
	combout => \led_flash_cnt[1042][4]~41474_combout\,
	cout => \led_flash_cnt[1042][4]~41475\);

-- Location: FF_X17_Y6_N9
\led_flash_cnt[1042][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1042][4]~41474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1042][4]~q\);

-- Location: LCCOMB_X17_Y6_N10
\led_flash_cnt[1042][5]~41476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1042][5]~41476_combout\ = (\led_flash_cnt[1042][5]~q\ & (\led_flash_cnt[1042][4]~41475\ $ (GND))) # (!\led_flash_cnt[1042][5]~q\ & (!\led_flash_cnt[1042][4]~41475\ & VCC))
-- \led_flash_cnt[1042][5]~41477\ = CARRY((\led_flash_cnt[1042][5]~q\ & !\led_flash_cnt[1042][4]~41475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1042][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1042][4]~41475\,
	combout => \led_flash_cnt[1042][5]~41476_combout\,
	cout => \led_flash_cnt[1042][5]~41477\);

-- Location: FF_X17_Y6_N11
\led_flash_cnt[1042][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1042][5]~41476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1042][5]~q\);

-- Location: LCCOMB_X17_Y6_N12
\led_flash_cnt[1042][6]~41478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1042][6]~41478_combout\ = (\led_flash_cnt[1042][6]~q\ & (!\led_flash_cnt[1042][5]~41477\)) # (!\led_flash_cnt[1042][6]~q\ & ((\led_flash_cnt[1042][5]~41477\) # (GND)))
-- \led_flash_cnt[1042][6]~41479\ = CARRY((!\led_flash_cnt[1042][5]~41477\) # (!\led_flash_cnt[1042][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1042][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1042][5]~41477\,
	combout => \led_flash_cnt[1042][6]~41478_combout\,
	cout => \led_flash_cnt[1042][6]~41479\);

-- Location: FF_X17_Y6_N13
\led_flash_cnt[1042][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1042][6]~41478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1042][6]~q\);

-- Location: LCCOMB_X16_Y6_N2
\WideAnd1042~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1042~1_combout\ = (\led_flash_cnt[1042][6]~q\ & \led_flash_cnt[1042][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1042][6]~q\,
	datac => \led_flash_cnt[1042][5]~q\,
	combout => \WideAnd1042~1_combout\);

-- Location: LCCOMB_X17_Y6_N14
\led_flash_cnt[1042][7]~41480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1042][7]~41480_combout\ = \led_flash_cnt[1042][7]~q\ $ (!\led_flash_cnt[1042][6]~41479\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1042][7]~q\,
	cin => \led_flash_cnt[1042][6]~41479\,
	combout => \led_flash_cnt[1042][7]~41480_combout\);

-- Location: FF_X17_Y6_N15
\led_flash_cnt[1042][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1042][7]~41480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1042][7]~q\);

-- Location: LCCOMB_X17_Y6_N16
\WideAnd1042~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1042~0_combout\ = (\led_flash_cnt[1042][3]~q\ & (\led_flash_cnt[1042][4]~q\ & (\led_flash_cnt[1042][2]~q\ & \led_flash_cnt[1042][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1042][3]~q\,
	datab => \led_flash_cnt[1042][4]~q\,
	datac => \led_flash_cnt[1042][2]~q\,
	datad => \led_flash_cnt[1042][1]~q\,
	combout => \WideAnd1042~0_combout\);

-- Location: LCCOMB_X16_Y6_N20
WideAnd1042 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1042~combout\ = (\led_flash_cnt[1042][0]~q\ & (\WideAnd1042~1_combout\ & (\led_flash_cnt[1042][7]~q\ & \WideAnd1042~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1042][0]~q\,
	datab => \WideAnd1042~1_combout\,
	datac => \led_flash_cnt[1042][7]~q\,
	datad => \WideAnd1042~0_combout\,
	combout => \WideAnd1042~combout\);

-- Location: FF_X16_Y6_N21
\led_flash_cnt_ands[1042]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1042~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1042));

-- Location: LCCOMB_X4_Y6_N2
\led_flash_cnt[1041][0]~81681\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1041][0]~81681_combout\ = !\led_flash_cnt[1041][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1041][0]~q\,
	combout => \led_flash_cnt[1041][0]~81681_combout\);

-- Location: FF_X4_Y6_N3
\led_flash_cnt[1041][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1041][0]~81681_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1041][0]~q\);

-- Location: LCCOMB_X15_Y6_N18
\led_flash_cnt[1041][1]~41454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1041][1]~41454_combout\ = (\led_flash_cnt[1041][0]~q\ & (\led_flash_cnt[1041][1]~q\ $ (VCC))) # (!\led_flash_cnt[1041][0]~q\ & (\led_flash_cnt[1041][1]~q\ & VCC))
-- \led_flash_cnt[1041][1]~41455\ = CARRY((\led_flash_cnt[1041][0]~q\ & \led_flash_cnt[1041][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1041][0]~q\,
	datab => \led_flash_cnt[1041][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1041][1]~41454_combout\,
	cout => \led_flash_cnt[1041][1]~41455\);

-- Location: FF_X15_Y6_N19
\led_flash_cnt[1041][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1041][1]~41454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1041][1]~q\);

-- Location: LCCOMB_X15_Y6_N20
\led_flash_cnt[1041][2]~41456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1041][2]~41456_combout\ = (\led_flash_cnt[1041][2]~q\ & (!\led_flash_cnt[1041][1]~41455\)) # (!\led_flash_cnt[1041][2]~q\ & ((\led_flash_cnt[1041][1]~41455\) # (GND)))
-- \led_flash_cnt[1041][2]~41457\ = CARRY((!\led_flash_cnt[1041][1]~41455\) # (!\led_flash_cnt[1041][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1041][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1041][1]~41455\,
	combout => \led_flash_cnt[1041][2]~41456_combout\,
	cout => \led_flash_cnt[1041][2]~41457\);

-- Location: FF_X15_Y6_N21
\led_flash_cnt[1041][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1041][2]~41456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1041][2]~q\);

-- Location: LCCOMB_X15_Y6_N22
\led_flash_cnt[1041][3]~41458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1041][3]~41458_combout\ = (\led_flash_cnt[1041][3]~q\ & (\led_flash_cnt[1041][2]~41457\ $ (GND))) # (!\led_flash_cnt[1041][3]~q\ & (!\led_flash_cnt[1041][2]~41457\ & VCC))
-- \led_flash_cnt[1041][3]~41459\ = CARRY((\led_flash_cnt[1041][3]~q\ & !\led_flash_cnt[1041][2]~41457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1041][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1041][2]~41457\,
	combout => \led_flash_cnt[1041][3]~41458_combout\,
	cout => \led_flash_cnt[1041][3]~41459\);

-- Location: FF_X15_Y6_N23
\led_flash_cnt[1041][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1041][3]~41458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1041][3]~q\);

-- Location: LCCOMB_X15_Y6_N24
\led_flash_cnt[1041][4]~41460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1041][4]~41460_combout\ = (\led_flash_cnt[1041][4]~q\ & (!\led_flash_cnt[1041][3]~41459\)) # (!\led_flash_cnt[1041][4]~q\ & ((\led_flash_cnt[1041][3]~41459\) # (GND)))
-- \led_flash_cnt[1041][4]~41461\ = CARRY((!\led_flash_cnt[1041][3]~41459\) # (!\led_flash_cnt[1041][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1041][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1041][3]~41459\,
	combout => \led_flash_cnt[1041][4]~41460_combout\,
	cout => \led_flash_cnt[1041][4]~41461\);

-- Location: FF_X15_Y6_N25
\led_flash_cnt[1041][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1041][4]~41460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1041][4]~q\);

-- Location: LCCOMB_X15_Y6_N26
\led_flash_cnt[1041][5]~41462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1041][5]~41462_combout\ = (\led_flash_cnt[1041][5]~q\ & (\led_flash_cnt[1041][4]~41461\ $ (GND))) # (!\led_flash_cnt[1041][5]~q\ & (!\led_flash_cnt[1041][4]~41461\ & VCC))
-- \led_flash_cnt[1041][5]~41463\ = CARRY((\led_flash_cnt[1041][5]~q\ & !\led_flash_cnt[1041][4]~41461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1041][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1041][4]~41461\,
	combout => \led_flash_cnt[1041][5]~41462_combout\,
	cout => \led_flash_cnt[1041][5]~41463\);

-- Location: FF_X15_Y6_N27
\led_flash_cnt[1041][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1041][5]~41462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1041][5]~q\);

-- Location: LCCOMB_X15_Y6_N28
\led_flash_cnt[1041][6]~41464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1041][6]~41464_combout\ = (\led_flash_cnt[1041][6]~q\ & (!\led_flash_cnt[1041][5]~41463\)) # (!\led_flash_cnt[1041][6]~q\ & ((\led_flash_cnt[1041][5]~41463\) # (GND)))
-- \led_flash_cnt[1041][6]~41465\ = CARRY((!\led_flash_cnt[1041][5]~41463\) # (!\led_flash_cnt[1041][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1041][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1041][5]~41463\,
	combout => \led_flash_cnt[1041][6]~41464_combout\,
	cout => \led_flash_cnt[1041][6]~41465\);

-- Location: FF_X15_Y6_N29
\led_flash_cnt[1041][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1041][6]~41464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1041][6]~q\);

-- Location: LCCOMB_X15_Y6_N30
\led_flash_cnt[1041][7]~41466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1041][7]~41466_combout\ = \led_flash_cnt[1041][7]~q\ $ (!\led_flash_cnt[1041][6]~41465\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1041][7]~q\,
	cin => \led_flash_cnt[1041][6]~41465\,
	combout => \led_flash_cnt[1041][7]~41466_combout\);

-- Location: FF_X15_Y6_N31
\led_flash_cnt[1041][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1041][7]~41466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1041][7]~q\);

-- Location: LCCOMB_X16_Y6_N4
\WideAnd1041~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1041~1_combout\ = (\led_flash_cnt[1041][5]~q\ & \led_flash_cnt[1041][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1041][5]~q\,
	datad => \led_flash_cnt[1041][6]~q\,
	combout => \WideAnd1041~1_combout\);

-- Location: LCCOMB_X15_Y6_N2
\WideAnd1041~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1041~0_combout\ = (\led_flash_cnt[1041][4]~q\ & (\led_flash_cnt[1041][1]~q\ & (\led_flash_cnt[1041][3]~q\ & \led_flash_cnt[1041][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1041][4]~q\,
	datab => \led_flash_cnt[1041][1]~q\,
	datac => \led_flash_cnt[1041][3]~q\,
	datad => \led_flash_cnt[1041][2]~q\,
	combout => \WideAnd1041~0_combout\);

-- Location: LCCOMB_X16_Y6_N28
WideAnd1041 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1041~combout\ = (\led_flash_cnt[1041][0]~q\ & (\led_flash_cnt[1041][7]~q\ & (\WideAnd1041~1_combout\ & \WideAnd1041~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1041][0]~q\,
	datab => \led_flash_cnt[1041][7]~q\,
	datac => \WideAnd1041~1_combout\,
	datad => \WideAnd1041~0_combout\,
	combout => \WideAnd1041~combout\);

-- Location: FF_X16_Y6_N29
\led_flash_cnt_ands[1041]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1041~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1041));

-- Location: LCCOMB_X26_Y3_N8
\led_flash_cnt[1043][0]~81683\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1043][0]~81683_combout\ = !\led_flash_cnt[1043][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1043][0]~q\,
	combout => \led_flash_cnt[1043][0]~81683_combout\);

-- Location: FF_X26_Y3_N9
\led_flash_cnt[1043][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1043][0]~81683_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1043][0]~q\);

-- Location: LCCOMB_X26_Y1_N2
\led_flash_cnt[1043][1]~41482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1043][1]~41482_combout\ = (\led_flash_cnt[1043][0]~q\ & (\led_flash_cnt[1043][1]~q\ $ (VCC))) # (!\led_flash_cnt[1043][0]~q\ & (\led_flash_cnt[1043][1]~q\ & VCC))
-- \led_flash_cnt[1043][1]~41483\ = CARRY((\led_flash_cnt[1043][0]~q\ & \led_flash_cnt[1043][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1043][0]~q\,
	datab => \led_flash_cnt[1043][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1043][1]~41482_combout\,
	cout => \led_flash_cnt[1043][1]~41483\);

-- Location: FF_X26_Y1_N3
\led_flash_cnt[1043][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1043][1]~41482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1043][1]~q\);

-- Location: LCCOMB_X26_Y1_N4
\led_flash_cnt[1043][2]~41484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1043][2]~41484_combout\ = (\led_flash_cnt[1043][2]~q\ & (!\led_flash_cnt[1043][1]~41483\)) # (!\led_flash_cnt[1043][2]~q\ & ((\led_flash_cnt[1043][1]~41483\) # (GND)))
-- \led_flash_cnt[1043][2]~41485\ = CARRY((!\led_flash_cnt[1043][1]~41483\) # (!\led_flash_cnt[1043][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1043][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1043][1]~41483\,
	combout => \led_flash_cnt[1043][2]~41484_combout\,
	cout => \led_flash_cnt[1043][2]~41485\);

-- Location: FF_X26_Y1_N5
\led_flash_cnt[1043][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1043][2]~41484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1043][2]~q\);

-- Location: LCCOMB_X26_Y1_N6
\led_flash_cnt[1043][3]~41486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1043][3]~41486_combout\ = (\led_flash_cnt[1043][3]~q\ & (\led_flash_cnt[1043][2]~41485\ $ (GND))) # (!\led_flash_cnt[1043][3]~q\ & (!\led_flash_cnt[1043][2]~41485\ & VCC))
-- \led_flash_cnt[1043][3]~41487\ = CARRY((\led_flash_cnt[1043][3]~q\ & !\led_flash_cnt[1043][2]~41485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1043][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1043][2]~41485\,
	combout => \led_flash_cnt[1043][3]~41486_combout\,
	cout => \led_flash_cnt[1043][3]~41487\);

-- Location: FF_X26_Y1_N7
\led_flash_cnt[1043][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1043][3]~41486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1043][3]~q\);

-- Location: LCCOMB_X26_Y1_N8
\led_flash_cnt[1043][4]~41488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1043][4]~41488_combout\ = (\led_flash_cnt[1043][4]~q\ & (!\led_flash_cnt[1043][3]~41487\)) # (!\led_flash_cnt[1043][4]~q\ & ((\led_flash_cnt[1043][3]~41487\) # (GND)))
-- \led_flash_cnt[1043][4]~41489\ = CARRY((!\led_flash_cnt[1043][3]~41487\) # (!\led_flash_cnt[1043][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1043][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1043][3]~41487\,
	combout => \led_flash_cnt[1043][4]~41488_combout\,
	cout => \led_flash_cnt[1043][4]~41489\);

-- Location: FF_X26_Y1_N9
\led_flash_cnt[1043][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1043][4]~41488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1043][4]~q\);

-- Location: LCCOMB_X26_Y1_N10
\led_flash_cnt[1043][5]~41490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1043][5]~41490_combout\ = (\led_flash_cnt[1043][5]~q\ & (\led_flash_cnt[1043][4]~41489\ $ (GND))) # (!\led_flash_cnt[1043][5]~q\ & (!\led_flash_cnt[1043][4]~41489\ & VCC))
-- \led_flash_cnt[1043][5]~41491\ = CARRY((\led_flash_cnt[1043][5]~q\ & !\led_flash_cnt[1043][4]~41489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1043][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1043][4]~41489\,
	combout => \led_flash_cnt[1043][5]~41490_combout\,
	cout => \led_flash_cnt[1043][5]~41491\);

-- Location: FF_X26_Y1_N11
\led_flash_cnt[1043][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1043][5]~41490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1043][5]~q\);

-- Location: LCCOMB_X26_Y1_N12
\led_flash_cnt[1043][6]~41492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1043][6]~41492_combout\ = (\led_flash_cnt[1043][6]~q\ & (!\led_flash_cnt[1043][5]~41491\)) # (!\led_flash_cnt[1043][6]~q\ & ((\led_flash_cnt[1043][5]~41491\) # (GND)))
-- \led_flash_cnt[1043][6]~41493\ = CARRY((!\led_flash_cnt[1043][5]~41491\) # (!\led_flash_cnt[1043][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1043][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1043][5]~41491\,
	combout => \led_flash_cnt[1043][6]~41492_combout\,
	cout => \led_flash_cnt[1043][6]~41493\);

-- Location: FF_X26_Y1_N13
\led_flash_cnt[1043][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1043][6]~41492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1043][6]~q\);

-- Location: LCCOMB_X27_Y1_N24
\WideAnd1043~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1043~1_combout\ = (\led_flash_cnt[1043][5]~q\ & \led_flash_cnt[1043][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1043][5]~q\,
	datad => \led_flash_cnt[1043][6]~q\,
	combout => \WideAnd1043~1_combout\);

-- Location: LCCOMB_X26_Y1_N14
\led_flash_cnt[1043][7]~41494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1043][7]~41494_combout\ = \led_flash_cnt[1043][7]~q\ $ (!\led_flash_cnt[1043][6]~41493\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1043][7]~q\,
	cin => \led_flash_cnt[1043][6]~41493\,
	combout => \led_flash_cnt[1043][7]~41494_combout\);

-- Location: FF_X26_Y1_N15
\led_flash_cnt[1043][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1043][7]~41494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1043][7]~q\);

-- Location: LCCOMB_X27_Y1_N28
\WideAnd1043~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1043~0_combout\ = (\led_flash_cnt[1043][4]~q\ & (\led_flash_cnt[1043][3]~q\ & (\led_flash_cnt[1043][2]~q\ & \led_flash_cnt[1043][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1043][4]~q\,
	datab => \led_flash_cnt[1043][3]~q\,
	datac => \led_flash_cnt[1043][2]~q\,
	datad => \led_flash_cnt[1043][1]~q\,
	combout => \WideAnd1043~0_combout\);

-- Location: LCCOMB_X26_Y1_N0
WideAnd1043 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1043~combout\ = (\led_flash_cnt[1043][0]~q\ & (\WideAnd1043~1_combout\ & (\led_flash_cnt[1043][7]~q\ & \WideAnd1043~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1043][0]~q\,
	datab => \WideAnd1043~1_combout\,
	datac => \led_flash_cnt[1043][7]~q\,
	datad => \WideAnd1043~0_combout\,
	combout => \WideAnd1043~combout\);

-- Location: FF_X26_Y1_N1
\led_flash_cnt_ands[1043]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1043~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1043));

-- Location: LCCOMB_X16_Y6_N0
\led_flash_cnt[1040][0]~81680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1040][0]~81680_combout\ = !\led_flash_cnt[1040][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1040][0]~q\,
	combout => \led_flash_cnt[1040][0]~81680_combout\);

-- Location: FF_X16_Y6_N1
\led_flash_cnt[1040][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1040][0]~81680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1040][0]~q\);

-- Location: LCCOMB_X16_Y6_N6
\led_flash_cnt[1040][1]~41440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1040][1]~41440_combout\ = (\led_flash_cnt[1040][1]~q\ & (\led_flash_cnt[1040][0]~q\ $ (VCC))) # (!\led_flash_cnt[1040][1]~q\ & (\led_flash_cnt[1040][0]~q\ & VCC))
-- \led_flash_cnt[1040][1]~41441\ = CARRY((\led_flash_cnt[1040][1]~q\ & \led_flash_cnt[1040][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1040][1]~q\,
	datab => \led_flash_cnt[1040][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1040][1]~41440_combout\,
	cout => \led_flash_cnt[1040][1]~41441\);

-- Location: FF_X16_Y6_N7
\led_flash_cnt[1040][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1040][1]~41440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1040][1]~q\);

-- Location: LCCOMB_X16_Y6_N8
\led_flash_cnt[1040][2]~41442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1040][2]~41442_combout\ = (\led_flash_cnt[1040][2]~q\ & (!\led_flash_cnt[1040][1]~41441\)) # (!\led_flash_cnt[1040][2]~q\ & ((\led_flash_cnt[1040][1]~41441\) # (GND)))
-- \led_flash_cnt[1040][2]~41443\ = CARRY((!\led_flash_cnt[1040][1]~41441\) # (!\led_flash_cnt[1040][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1040][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1040][1]~41441\,
	combout => \led_flash_cnt[1040][2]~41442_combout\,
	cout => \led_flash_cnt[1040][2]~41443\);

-- Location: FF_X16_Y6_N9
\led_flash_cnt[1040][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1040][2]~41442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1040][2]~q\);

-- Location: LCCOMB_X16_Y6_N10
\led_flash_cnt[1040][3]~41444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1040][3]~41444_combout\ = (\led_flash_cnt[1040][3]~q\ & (\led_flash_cnt[1040][2]~41443\ $ (GND))) # (!\led_flash_cnt[1040][3]~q\ & (!\led_flash_cnt[1040][2]~41443\ & VCC))
-- \led_flash_cnt[1040][3]~41445\ = CARRY((\led_flash_cnt[1040][3]~q\ & !\led_flash_cnt[1040][2]~41443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1040][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1040][2]~41443\,
	combout => \led_flash_cnt[1040][3]~41444_combout\,
	cout => \led_flash_cnt[1040][3]~41445\);

-- Location: FF_X16_Y6_N11
\led_flash_cnt[1040][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1040][3]~41444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1040][3]~q\);

-- Location: LCCOMB_X16_Y6_N12
\led_flash_cnt[1040][4]~41446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1040][4]~41446_combout\ = (\led_flash_cnt[1040][4]~q\ & (!\led_flash_cnt[1040][3]~41445\)) # (!\led_flash_cnt[1040][4]~q\ & ((\led_flash_cnt[1040][3]~41445\) # (GND)))
-- \led_flash_cnt[1040][4]~41447\ = CARRY((!\led_flash_cnt[1040][3]~41445\) # (!\led_flash_cnt[1040][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1040][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1040][3]~41445\,
	combout => \led_flash_cnt[1040][4]~41446_combout\,
	cout => \led_flash_cnt[1040][4]~41447\);

-- Location: FF_X16_Y6_N13
\led_flash_cnt[1040][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1040][4]~41446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1040][4]~q\);

-- Location: LCCOMB_X16_Y6_N14
\led_flash_cnt[1040][5]~41448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1040][5]~41448_combout\ = (\led_flash_cnt[1040][5]~q\ & (\led_flash_cnt[1040][4]~41447\ $ (GND))) # (!\led_flash_cnt[1040][5]~q\ & (!\led_flash_cnt[1040][4]~41447\ & VCC))
-- \led_flash_cnt[1040][5]~41449\ = CARRY((\led_flash_cnt[1040][5]~q\ & !\led_flash_cnt[1040][4]~41447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1040][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1040][4]~41447\,
	combout => \led_flash_cnt[1040][5]~41448_combout\,
	cout => \led_flash_cnt[1040][5]~41449\);

-- Location: FF_X16_Y6_N15
\led_flash_cnt[1040][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1040][5]~41448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1040][5]~q\);

-- Location: LCCOMB_X16_Y6_N16
\led_flash_cnt[1040][6]~41450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1040][6]~41450_combout\ = (\led_flash_cnt[1040][6]~q\ & (!\led_flash_cnt[1040][5]~41449\)) # (!\led_flash_cnt[1040][6]~q\ & ((\led_flash_cnt[1040][5]~41449\) # (GND)))
-- \led_flash_cnt[1040][6]~41451\ = CARRY((!\led_flash_cnt[1040][5]~41449\) # (!\led_flash_cnt[1040][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1040][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1040][5]~41449\,
	combout => \led_flash_cnt[1040][6]~41450_combout\,
	cout => \led_flash_cnt[1040][6]~41451\);

-- Location: FF_X16_Y6_N17
\led_flash_cnt[1040][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1040][6]~41450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1040][6]~q\);

-- Location: LCCOMB_X16_Y6_N26
\WideAnd1040~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1040~1_combout\ = (\led_flash_cnt[1040][5]~q\ & \led_flash_cnt[1040][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1040][5]~q\,
	datad => \led_flash_cnt[1040][6]~q\,
	combout => \WideAnd1040~1_combout\);

-- Location: LCCOMB_X16_Y6_N30
\WideAnd1040~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1040~0_combout\ = (\led_flash_cnt[1040][1]~q\ & (\led_flash_cnt[1040][3]~q\ & (\led_flash_cnt[1040][2]~q\ & \led_flash_cnt[1040][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1040][1]~q\,
	datab => \led_flash_cnt[1040][3]~q\,
	datac => \led_flash_cnt[1040][2]~q\,
	datad => \led_flash_cnt[1040][4]~q\,
	combout => \WideAnd1040~0_combout\);

-- Location: LCCOMB_X16_Y6_N18
\led_flash_cnt[1040][7]~41452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1040][7]~41452_combout\ = \led_flash_cnt[1040][6]~41451\ $ (!\led_flash_cnt[1040][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1040][7]~q\,
	cin => \led_flash_cnt[1040][6]~41451\,
	combout => \led_flash_cnt[1040][7]~41452_combout\);

-- Location: FF_X16_Y6_N19
\led_flash_cnt[1040][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1040][7]~41452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1040][7]~q\);

-- Location: LCCOMB_X16_Y6_N24
WideAnd1040 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1040~combout\ = (\WideAnd1040~1_combout\ & (\led_flash_cnt[1040][0]~q\ & (\WideAnd1040~0_combout\ & \led_flash_cnt[1040][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1040~1_combout\,
	datab => \led_flash_cnt[1040][0]~q\,
	datac => \WideAnd1040~0_combout\,
	datad => \led_flash_cnt[1040][7]~q\,
	combout => \WideAnd1040~combout\);

-- Location: FF_X16_Y6_N25
\led_flash_cnt_ands[1040]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1040~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1040));

-- Location: LCCOMB_X16_Y6_N22
\WideAnd3970~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3970~0_combout\ = (led_flash_cnt_ands(1042) & (led_flash_cnt_ands(1041) & (led_flash_cnt_ands(1043) & led_flash_cnt_ands(1040))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1042),
	datab => led_flash_cnt_ands(1041),
	datac => led_flash_cnt_ands(1043),
	datad => led_flash_cnt_ands(1040),
	combout => \WideAnd3970~0_combout\);

-- Location: LCCOMB_X17_Y10_N12
\led_flash_cnt[1047][0]~81687\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1047][0]~81687_combout\ = !\led_flash_cnt[1047][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1047][0]~q\,
	combout => \led_flash_cnt[1047][0]~81687_combout\);

-- Location: FF_X17_Y10_N13
\led_flash_cnt[1047][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1047][0]~81687_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1047][0]~q\);

-- Location: LCCOMB_X17_Y10_N18
\led_flash_cnt[1047][1]~41538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1047][1]~41538_combout\ = (\led_flash_cnt[1047][0]~q\ & (\led_flash_cnt[1047][1]~q\ $ (VCC))) # (!\led_flash_cnt[1047][0]~q\ & (\led_flash_cnt[1047][1]~q\ & VCC))
-- \led_flash_cnt[1047][1]~41539\ = CARRY((\led_flash_cnt[1047][0]~q\ & \led_flash_cnt[1047][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1047][0]~q\,
	datab => \led_flash_cnt[1047][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1047][1]~41538_combout\,
	cout => \led_flash_cnt[1047][1]~41539\);

-- Location: FF_X17_Y10_N19
\led_flash_cnt[1047][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1047][1]~41538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1047][1]~q\);

-- Location: LCCOMB_X17_Y10_N20
\led_flash_cnt[1047][2]~41540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1047][2]~41540_combout\ = (\led_flash_cnt[1047][2]~q\ & (!\led_flash_cnt[1047][1]~41539\)) # (!\led_flash_cnt[1047][2]~q\ & ((\led_flash_cnt[1047][1]~41539\) # (GND)))
-- \led_flash_cnt[1047][2]~41541\ = CARRY((!\led_flash_cnt[1047][1]~41539\) # (!\led_flash_cnt[1047][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1047][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1047][1]~41539\,
	combout => \led_flash_cnt[1047][2]~41540_combout\,
	cout => \led_flash_cnt[1047][2]~41541\);

-- Location: FF_X17_Y10_N21
\led_flash_cnt[1047][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1047][2]~41540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1047][2]~q\);

-- Location: LCCOMB_X17_Y10_N22
\led_flash_cnt[1047][3]~41542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1047][3]~41542_combout\ = (\led_flash_cnt[1047][3]~q\ & (\led_flash_cnt[1047][2]~41541\ $ (GND))) # (!\led_flash_cnt[1047][3]~q\ & (!\led_flash_cnt[1047][2]~41541\ & VCC))
-- \led_flash_cnt[1047][3]~41543\ = CARRY((\led_flash_cnt[1047][3]~q\ & !\led_flash_cnt[1047][2]~41541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1047][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1047][2]~41541\,
	combout => \led_flash_cnt[1047][3]~41542_combout\,
	cout => \led_flash_cnt[1047][3]~41543\);

-- Location: FF_X17_Y10_N23
\led_flash_cnt[1047][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1047][3]~41542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1047][3]~q\);

-- Location: LCCOMB_X17_Y10_N24
\led_flash_cnt[1047][4]~41544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1047][4]~41544_combout\ = (\led_flash_cnt[1047][4]~q\ & (!\led_flash_cnt[1047][3]~41543\)) # (!\led_flash_cnt[1047][4]~q\ & ((\led_flash_cnt[1047][3]~41543\) # (GND)))
-- \led_flash_cnt[1047][4]~41545\ = CARRY((!\led_flash_cnt[1047][3]~41543\) # (!\led_flash_cnt[1047][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1047][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1047][3]~41543\,
	combout => \led_flash_cnt[1047][4]~41544_combout\,
	cout => \led_flash_cnt[1047][4]~41545\);

-- Location: FF_X17_Y10_N25
\led_flash_cnt[1047][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1047][4]~41544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1047][4]~q\);

-- Location: LCCOMB_X17_Y10_N26
\led_flash_cnt[1047][5]~41546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1047][5]~41546_combout\ = (\led_flash_cnt[1047][5]~q\ & (\led_flash_cnt[1047][4]~41545\ $ (GND))) # (!\led_flash_cnt[1047][5]~q\ & (!\led_flash_cnt[1047][4]~41545\ & VCC))
-- \led_flash_cnt[1047][5]~41547\ = CARRY((\led_flash_cnt[1047][5]~q\ & !\led_flash_cnt[1047][4]~41545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1047][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1047][4]~41545\,
	combout => \led_flash_cnt[1047][5]~41546_combout\,
	cout => \led_flash_cnt[1047][5]~41547\);

-- Location: FF_X17_Y10_N27
\led_flash_cnt[1047][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1047][5]~41546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1047][5]~q\);

-- Location: LCCOMB_X17_Y10_N28
\led_flash_cnt[1047][6]~41548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1047][6]~41548_combout\ = (\led_flash_cnt[1047][6]~q\ & (!\led_flash_cnt[1047][5]~41547\)) # (!\led_flash_cnt[1047][6]~q\ & ((\led_flash_cnt[1047][5]~41547\) # (GND)))
-- \led_flash_cnt[1047][6]~41549\ = CARRY((!\led_flash_cnt[1047][5]~41547\) # (!\led_flash_cnt[1047][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1047][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1047][5]~41547\,
	combout => \led_flash_cnt[1047][6]~41548_combout\,
	cout => \led_flash_cnt[1047][6]~41549\);

-- Location: FF_X17_Y10_N29
\led_flash_cnt[1047][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1047][6]~41548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1047][6]~q\);

-- Location: LCCOMB_X17_Y10_N8
\WideAnd1047~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1047~1_combout\ = (\led_flash_cnt[1047][5]~q\ & \led_flash_cnt[1047][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1047][5]~q\,
	datad => \led_flash_cnt[1047][6]~q\,
	combout => \WideAnd1047~1_combout\);

-- Location: LCCOMB_X17_Y10_N30
\led_flash_cnt[1047][7]~41550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1047][7]~41550_combout\ = \led_flash_cnt[1047][7]~q\ $ (!\led_flash_cnt[1047][6]~41549\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1047][7]~q\,
	cin => \led_flash_cnt[1047][6]~41549\,
	combout => \led_flash_cnt[1047][7]~41550_combout\);

-- Location: FF_X17_Y10_N31
\led_flash_cnt[1047][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1047][7]~41550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1047][7]~q\);

-- Location: LCCOMB_X17_Y10_N6
\WideAnd1047~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1047~0_combout\ = (\led_flash_cnt[1047][2]~q\ & (\led_flash_cnt[1047][4]~q\ & (\led_flash_cnt[1047][3]~q\ & \led_flash_cnt[1047][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1047][2]~q\,
	datab => \led_flash_cnt[1047][4]~q\,
	datac => \led_flash_cnt[1047][3]~q\,
	datad => \led_flash_cnt[1047][1]~q\,
	combout => \WideAnd1047~0_combout\);

-- Location: LCCOMB_X17_Y10_N4
WideAnd1047 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1047~combout\ = (\led_flash_cnt[1047][0]~q\ & (\WideAnd1047~1_combout\ & (\led_flash_cnt[1047][7]~q\ & \WideAnd1047~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1047][0]~q\,
	datab => \WideAnd1047~1_combout\,
	datac => \led_flash_cnt[1047][7]~q\,
	datad => \WideAnd1047~0_combout\,
	combout => \WideAnd1047~combout\);

-- Location: FF_X17_Y10_N5
\led_flash_cnt_ands[1047]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1047~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1047));

-- Location: LCCOMB_X36_Y2_N22
\led_flash_cnt[1044][0]~81684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1044][0]~81684_combout\ = !\led_flash_cnt[1044][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1044][0]~q\,
	combout => \led_flash_cnt[1044][0]~81684_combout\);

-- Location: FF_X36_Y2_N23
\led_flash_cnt[1044][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1044][0]~81684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1044][0]~q\);

-- Location: LCCOMB_X36_Y2_N2
\led_flash_cnt[1044][1]~41496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1044][1]~41496_combout\ = (\led_flash_cnt[1044][0]~q\ & (\led_flash_cnt[1044][1]~q\ $ (VCC))) # (!\led_flash_cnt[1044][0]~q\ & (\led_flash_cnt[1044][1]~q\ & VCC))
-- \led_flash_cnt[1044][1]~41497\ = CARRY((\led_flash_cnt[1044][0]~q\ & \led_flash_cnt[1044][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1044][0]~q\,
	datab => \led_flash_cnt[1044][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1044][1]~41496_combout\,
	cout => \led_flash_cnt[1044][1]~41497\);

-- Location: FF_X36_Y2_N3
\led_flash_cnt[1044][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1044][1]~41496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1044][1]~q\);

-- Location: LCCOMB_X36_Y2_N4
\led_flash_cnt[1044][2]~41498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1044][2]~41498_combout\ = (\led_flash_cnt[1044][2]~q\ & (!\led_flash_cnt[1044][1]~41497\)) # (!\led_flash_cnt[1044][2]~q\ & ((\led_flash_cnt[1044][1]~41497\) # (GND)))
-- \led_flash_cnt[1044][2]~41499\ = CARRY((!\led_flash_cnt[1044][1]~41497\) # (!\led_flash_cnt[1044][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1044][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1044][1]~41497\,
	combout => \led_flash_cnt[1044][2]~41498_combout\,
	cout => \led_flash_cnt[1044][2]~41499\);

-- Location: FF_X36_Y2_N5
\led_flash_cnt[1044][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1044][2]~41498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1044][2]~q\);

-- Location: LCCOMB_X36_Y2_N6
\led_flash_cnt[1044][3]~41500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1044][3]~41500_combout\ = (\led_flash_cnt[1044][3]~q\ & (\led_flash_cnt[1044][2]~41499\ $ (GND))) # (!\led_flash_cnt[1044][3]~q\ & (!\led_flash_cnt[1044][2]~41499\ & VCC))
-- \led_flash_cnt[1044][3]~41501\ = CARRY((\led_flash_cnt[1044][3]~q\ & !\led_flash_cnt[1044][2]~41499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1044][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1044][2]~41499\,
	combout => \led_flash_cnt[1044][3]~41500_combout\,
	cout => \led_flash_cnt[1044][3]~41501\);

-- Location: FF_X36_Y2_N7
\led_flash_cnt[1044][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1044][3]~41500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1044][3]~q\);

-- Location: LCCOMB_X36_Y2_N8
\led_flash_cnt[1044][4]~41502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1044][4]~41502_combout\ = (\led_flash_cnt[1044][4]~q\ & (!\led_flash_cnt[1044][3]~41501\)) # (!\led_flash_cnt[1044][4]~q\ & ((\led_flash_cnt[1044][3]~41501\) # (GND)))
-- \led_flash_cnt[1044][4]~41503\ = CARRY((!\led_flash_cnt[1044][3]~41501\) # (!\led_flash_cnt[1044][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1044][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1044][3]~41501\,
	combout => \led_flash_cnt[1044][4]~41502_combout\,
	cout => \led_flash_cnt[1044][4]~41503\);

-- Location: FF_X36_Y2_N9
\led_flash_cnt[1044][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1044][4]~41502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1044][4]~q\);

-- Location: LCCOMB_X36_Y2_N10
\led_flash_cnt[1044][5]~41504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1044][5]~41504_combout\ = (\led_flash_cnt[1044][5]~q\ & (\led_flash_cnt[1044][4]~41503\ $ (GND))) # (!\led_flash_cnt[1044][5]~q\ & (!\led_flash_cnt[1044][4]~41503\ & VCC))
-- \led_flash_cnt[1044][5]~41505\ = CARRY((\led_flash_cnt[1044][5]~q\ & !\led_flash_cnt[1044][4]~41503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1044][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1044][4]~41503\,
	combout => \led_flash_cnt[1044][5]~41504_combout\,
	cout => \led_flash_cnt[1044][5]~41505\);

-- Location: FF_X36_Y2_N11
\led_flash_cnt[1044][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1044][5]~41504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1044][5]~q\);

-- Location: LCCOMB_X36_Y2_N12
\led_flash_cnt[1044][6]~41506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1044][6]~41506_combout\ = (\led_flash_cnt[1044][6]~q\ & (!\led_flash_cnt[1044][5]~41505\)) # (!\led_flash_cnt[1044][6]~q\ & ((\led_flash_cnt[1044][5]~41505\) # (GND)))
-- \led_flash_cnt[1044][6]~41507\ = CARRY((!\led_flash_cnt[1044][5]~41505\) # (!\led_flash_cnt[1044][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1044][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1044][5]~41505\,
	combout => \led_flash_cnt[1044][6]~41506_combout\,
	cout => \led_flash_cnt[1044][6]~41507\);

-- Location: FF_X36_Y2_N13
\led_flash_cnt[1044][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1044][6]~41506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1044][6]~q\);

-- Location: LCCOMB_X36_Y2_N24
\WideAnd1044~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1044~1_combout\ = (\led_flash_cnt[1044][6]~q\ & \led_flash_cnt[1044][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1044][6]~q\,
	datad => \led_flash_cnt[1044][5]~q\,
	combout => \WideAnd1044~1_combout\);

-- Location: LCCOMB_X36_Y2_N14
\led_flash_cnt[1044][7]~41508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1044][7]~41508_combout\ = \led_flash_cnt[1044][7]~q\ $ (!\led_flash_cnt[1044][6]~41507\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1044][7]~q\,
	cin => \led_flash_cnt[1044][6]~41507\,
	combout => \led_flash_cnt[1044][7]~41508_combout\);

-- Location: FF_X36_Y2_N15
\led_flash_cnt[1044][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1044][7]~41508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1044][7]~q\);

-- Location: LCCOMB_X36_Y2_N18
\WideAnd1044~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1044~0_combout\ = (\led_flash_cnt[1044][3]~q\ & (\led_flash_cnt[1044][4]~q\ & (\led_flash_cnt[1044][2]~q\ & \led_flash_cnt[1044][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1044][3]~q\,
	datab => \led_flash_cnt[1044][4]~q\,
	datac => \led_flash_cnt[1044][2]~q\,
	datad => \led_flash_cnt[1044][1]~q\,
	combout => \WideAnd1044~0_combout\);

-- Location: LCCOMB_X36_Y2_N26
WideAnd1044 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1044~combout\ = (\led_flash_cnt[1044][0]~q\ & (\WideAnd1044~1_combout\ & (\led_flash_cnt[1044][7]~q\ & \WideAnd1044~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1044][0]~q\,
	datab => \WideAnd1044~1_combout\,
	datac => \led_flash_cnt[1044][7]~q\,
	datad => \WideAnd1044~0_combout\,
	combout => \WideAnd1044~combout\);

-- Location: FF_X36_Y2_N27
\led_flash_cnt_ands[1044]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1044~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1044));

-- Location: LCCOMB_X20_Y2_N0
\led_flash_cnt[1045][0]~81685\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1045][0]~81685_combout\ = !\led_flash_cnt[1045][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1045][0]~q\,
	combout => \led_flash_cnt[1045][0]~81685_combout\);

-- Location: FF_X20_Y2_N1
\led_flash_cnt[1045][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1045][0]~81685_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1045][0]~q\);

-- Location: LCCOMB_X20_Y2_N6
\led_flash_cnt[1045][1]~41510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1045][1]~41510_combout\ = (\led_flash_cnt[1045][1]~q\ & (\led_flash_cnt[1045][0]~q\ $ (VCC))) # (!\led_flash_cnt[1045][1]~q\ & (\led_flash_cnt[1045][0]~q\ & VCC))
-- \led_flash_cnt[1045][1]~41511\ = CARRY((\led_flash_cnt[1045][1]~q\ & \led_flash_cnt[1045][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1045][1]~q\,
	datab => \led_flash_cnt[1045][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1045][1]~41510_combout\,
	cout => \led_flash_cnt[1045][1]~41511\);

-- Location: FF_X20_Y2_N7
\led_flash_cnt[1045][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1045][1]~41510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1045][1]~q\);

-- Location: LCCOMB_X20_Y2_N8
\led_flash_cnt[1045][2]~41512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1045][2]~41512_combout\ = (\led_flash_cnt[1045][2]~q\ & (!\led_flash_cnt[1045][1]~41511\)) # (!\led_flash_cnt[1045][2]~q\ & ((\led_flash_cnt[1045][1]~41511\) # (GND)))
-- \led_flash_cnt[1045][2]~41513\ = CARRY((!\led_flash_cnt[1045][1]~41511\) # (!\led_flash_cnt[1045][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1045][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1045][1]~41511\,
	combout => \led_flash_cnt[1045][2]~41512_combout\,
	cout => \led_flash_cnt[1045][2]~41513\);

-- Location: FF_X20_Y2_N9
\led_flash_cnt[1045][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1045][2]~41512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1045][2]~q\);

-- Location: LCCOMB_X20_Y2_N10
\led_flash_cnt[1045][3]~41514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1045][3]~41514_combout\ = (\led_flash_cnt[1045][3]~q\ & (\led_flash_cnt[1045][2]~41513\ $ (GND))) # (!\led_flash_cnt[1045][3]~q\ & (!\led_flash_cnt[1045][2]~41513\ & VCC))
-- \led_flash_cnt[1045][3]~41515\ = CARRY((\led_flash_cnt[1045][3]~q\ & !\led_flash_cnt[1045][2]~41513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1045][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1045][2]~41513\,
	combout => \led_flash_cnt[1045][3]~41514_combout\,
	cout => \led_flash_cnt[1045][3]~41515\);

-- Location: FF_X20_Y2_N11
\led_flash_cnt[1045][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1045][3]~41514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1045][3]~q\);

-- Location: LCCOMB_X20_Y2_N12
\led_flash_cnt[1045][4]~41516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1045][4]~41516_combout\ = (\led_flash_cnt[1045][4]~q\ & (!\led_flash_cnt[1045][3]~41515\)) # (!\led_flash_cnt[1045][4]~q\ & ((\led_flash_cnt[1045][3]~41515\) # (GND)))
-- \led_flash_cnt[1045][4]~41517\ = CARRY((!\led_flash_cnt[1045][3]~41515\) # (!\led_flash_cnt[1045][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1045][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1045][3]~41515\,
	combout => \led_flash_cnt[1045][4]~41516_combout\,
	cout => \led_flash_cnt[1045][4]~41517\);

-- Location: FF_X20_Y2_N13
\led_flash_cnt[1045][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1045][4]~41516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1045][4]~q\);

-- Location: LCCOMB_X20_Y2_N30
\WideAnd1045~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1045~0_combout\ = (\led_flash_cnt[1045][1]~q\ & (\led_flash_cnt[1045][4]~q\ & (\led_flash_cnt[1045][2]~q\ & \led_flash_cnt[1045][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1045][1]~q\,
	datab => \led_flash_cnt[1045][4]~q\,
	datac => \led_flash_cnt[1045][2]~q\,
	datad => \led_flash_cnt[1045][3]~q\,
	combout => \WideAnd1045~0_combout\);

-- Location: LCCOMB_X20_Y2_N14
\led_flash_cnt[1045][5]~41518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1045][5]~41518_combout\ = (\led_flash_cnt[1045][5]~q\ & (\led_flash_cnt[1045][4]~41517\ $ (GND))) # (!\led_flash_cnt[1045][5]~q\ & (!\led_flash_cnt[1045][4]~41517\ & VCC))
-- \led_flash_cnt[1045][5]~41519\ = CARRY((\led_flash_cnt[1045][5]~q\ & !\led_flash_cnt[1045][4]~41517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1045][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1045][4]~41517\,
	combout => \led_flash_cnt[1045][5]~41518_combout\,
	cout => \led_flash_cnt[1045][5]~41519\);

-- Location: FF_X20_Y2_N15
\led_flash_cnt[1045][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1045][5]~41518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1045][5]~q\);

-- Location: LCCOMB_X20_Y2_N16
\led_flash_cnt[1045][6]~41520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1045][6]~41520_combout\ = (\led_flash_cnt[1045][6]~q\ & (!\led_flash_cnt[1045][5]~41519\)) # (!\led_flash_cnt[1045][6]~q\ & ((\led_flash_cnt[1045][5]~41519\) # (GND)))
-- \led_flash_cnt[1045][6]~41521\ = CARRY((!\led_flash_cnt[1045][5]~41519\) # (!\led_flash_cnt[1045][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1045][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1045][5]~41519\,
	combout => \led_flash_cnt[1045][6]~41520_combout\,
	cout => \led_flash_cnt[1045][6]~41521\);

-- Location: FF_X20_Y2_N17
\led_flash_cnt[1045][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1045][6]~41520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1045][6]~q\);

-- Location: LCCOMB_X20_Y2_N22
\WideAnd1045~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1045~1_combout\ = (\led_flash_cnt[1045][5]~q\ & \led_flash_cnt[1045][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1045][5]~q\,
	datad => \led_flash_cnt[1045][6]~q\,
	combout => \WideAnd1045~1_combout\);

-- Location: LCCOMB_X20_Y2_N18
\led_flash_cnt[1045][7]~41522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1045][7]~41522_combout\ = \led_flash_cnt[1045][6]~41521\ $ (!\led_flash_cnt[1045][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1045][7]~q\,
	cin => \led_flash_cnt[1045][6]~41521\,
	combout => \led_flash_cnt[1045][7]~41522_combout\);

-- Location: FF_X20_Y2_N19
\led_flash_cnt[1045][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1045][7]~41522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1045][7]~q\);

-- Location: LCCOMB_X20_Y2_N20
WideAnd1045 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1045~combout\ = (\WideAnd1045~0_combout\ & (\led_flash_cnt[1045][0]~q\ & (\WideAnd1045~1_combout\ & \led_flash_cnt[1045][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1045~0_combout\,
	datab => \led_flash_cnt[1045][0]~q\,
	datac => \WideAnd1045~1_combout\,
	datad => \led_flash_cnt[1045][7]~q\,
	combout => \WideAnd1045~combout\);

-- Location: FF_X20_Y2_N21
\led_flash_cnt_ands[1045]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1045~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1045));

-- Location: LCCOMB_X20_Y2_N28
\WideAnd3970~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3970~1_combout\ = (led_flash_cnt_ands(1044) & led_flash_cnt_ands(1045))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1044),
	datad => led_flash_cnt_ands(1045),
	combout => \WideAnd3970~1_combout\);

-- Location: LCCOMB_X17_Y10_N0
WideAnd3970 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3970~combout\ = (led_flash_cnt_ands(1046) & (\WideAnd3970~0_combout\ & (led_flash_cnt_ands(1047) & \WideAnd3970~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1046),
	datab => \WideAnd3970~0_combout\,
	datac => led_flash_cnt_ands(1047),
	datad => \WideAnd3970~1_combout\,
	combout => \WideAnd3970~combout\);

-- Location: FF_X17_Y10_N1
\led_flash_cnt_ands_1[130]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3970~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(130));

-- Location: LCCOMB_X19_Y14_N6
\led_flash_cnt[1024][0]~81664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1024][0]~81664_combout\ = !\led_flash_cnt[1024][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1024][0]~q\,
	combout => \led_flash_cnt[1024][0]~81664_combout\);

-- Location: FF_X19_Y14_N7
\led_flash_cnt[1024][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1024][0]~81664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1024][0]~q\);

-- Location: LCCOMB_X20_Y14_N18
\led_flash_cnt[1024][1]~41216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1024][1]~41216_combout\ = (\led_flash_cnt[1024][0]~q\ & (\led_flash_cnt[1024][1]~q\ $ (VCC))) # (!\led_flash_cnt[1024][0]~q\ & (\led_flash_cnt[1024][1]~q\ & VCC))
-- \led_flash_cnt[1024][1]~41217\ = CARRY((\led_flash_cnt[1024][0]~q\ & \led_flash_cnt[1024][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1024][0]~q\,
	datab => \led_flash_cnt[1024][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1024][1]~41216_combout\,
	cout => \led_flash_cnt[1024][1]~41217\);

-- Location: FF_X20_Y14_N19
\led_flash_cnt[1024][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1024][1]~41216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1024][1]~q\);

-- Location: LCCOMB_X20_Y14_N20
\led_flash_cnt[1024][2]~41218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1024][2]~41218_combout\ = (\led_flash_cnt[1024][2]~q\ & (!\led_flash_cnt[1024][1]~41217\)) # (!\led_flash_cnt[1024][2]~q\ & ((\led_flash_cnt[1024][1]~41217\) # (GND)))
-- \led_flash_cnt[1024][2]~41219\ = CARRY((!\led_flash_cnt[1024][1]~41217\) # (!\led_flash_cnt[1024][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1024][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1024][1]~41217\,
	combout => \led_flash_cnt[1024][2]~41218_combout\,
	cout => \led_flash_cnt[1024][2]~41219\);

-- Location: FF_X20_Y14_N21
\led_flash_cnt[1024][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1024][2]~41218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1024][2]~q\);

-- Location: LCCOMB_X20_Y14_N22
\led_flash_cnt[1024][3]~41220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1024][3]~41220_combout\ = (\led_flash_cnt[1024][3]~q\ & (\led_flash_cnt[1024][2]~41219\ $ (GND))) # (!\led_flash_cnt[1024][3]~q\ & (!\led_flash_cnt[1024][2]~41219\ & VCC))
-- \led_flash_cnt[1024][3]~41221\ = CARRY((\led_flash_cnt[1024][3]~q\ & !\led_flash_cnt[1024][2]~41219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1024][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1024][2]~41219\,
	combout => \led_flash_cnt[1024][3]~41220_combout\,
	cout => \led_flash_cnt[1024][3]~41221\);

-- Location: FF_X20_Y14_N23
\led_flash_cnt[1024][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1024][3]~41220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1024][3]~q\);

-- Location: LCCOMB_X20_Y14_N24
\led_flash_cnt[1024][4]~41222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1024][4]~41222_combout\ = (\led_flash_cnt[1024][4]~q\ & (!\led_flash_cnt[1024][3]~41221\)) # (!\led_flash_cnt[1024][4]~q\ & ((\led_flash_cnt[1024][3]~41221\) # (GND)))
-- \led_flash_cnt[1024][4]~41223\ = CARRY((!\led_flash_cnt[1024][3]~41221\) # (!\led_flash_cnt[1024][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1024][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1024][3]~41221\,
	combout => \led_flash_cnt[1024][4]~41222_combout\,
	cout => \led_flash_cnt[1024][4]~41223\);

-- Location: FF_X20_Y14_N25
\led_flash_cnt[1024][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1024][4]~41222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1024][4]~q\);

-- Location: LCCOMB_X20_Y14_N26
\led_flash_cnt[1024][5]~41224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1024][5]~41224_combout\ = (\led_flash_cnt[1024][5]~q\ & (\led_flash_cnt[1024][4]~41223\ $ (GND))) # (!\led_flash_cnt[1024][5]~q\ & (!\led_flash_cnt[1024][4]~41223\ & VCC))
-- \led_flash_cnt[1024][5]~41225\ = CARRY((\led_flash_cnt[1024][5]~q\ & !\led_flash_cnt[1024][4]~41223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1024][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1024][4]~41223\,
	combout => \led_flash_cnt[1024][5]~41224_combout\,
	cout => \led_flash_cnt[1024][5]~41225\);

-- Location: FF_X20_Y14_N27
\led_flash_cnt[1024][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1024][5]~41224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1024][5]~q\);

-- Location: LCCOMB_X20_Y14_N28
\led_flash_cnt[1024][6]~41226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1024][6]~41226_combout\ = (\led_flash_cnt[1024][6]~q\ & (!\led_flash_cnt[1024][5]~41225\)) # (!\led_flash_cnt[1024][6]~q\ & ((\led_flash_cnt[1024][5]~41225\) # (GND)))
-- \led_flash_cnt[1024][6]~41227\ = CARRY((!\led_flash_cnt[1024][5]~41225\) # (!\led_flash_cnt[1024][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1024][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1024][5]~41225\,
	combout => \led_flash_cnt[1024][6]~41226_combout\,
	cout => \led_flash_cnt[1024][6]~41227\);

-- Location: FF_X20_Y14_N29
\led_flash_cnt[1024][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1024][6]~41226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1024][6]~q\);

-- Location: LCCOMB_X19_Y14_N4
\WideAnd1024~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1024~1_combout\ = (\led_flash_cnt[1024][5]~q\ & \led_flash_cnt[1024][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1024][5]~q\,
	datad => \led_flash_cnt[1024][6]~q\,
	combout => \WideAnd1024~1_combout\);

-- Location: LCCOMB_X20_Y14_N30
\led_flash_cnt[1024][7]~41228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1024][7]~41228_combout\ = \led_flash_cnt[1024][7]~q\ $ (!\led_flash_cnt[1024][6]~41227\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1024][7]~q\,
	cin => \led_flash_cnt[1024][6]~41227\,
	combout => \led_flash_cnt[1024][7]~41228_combout\);

-- Location: FF_X20_Y14_N31
\led_flash_cnt[1024][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1024][7]~41228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1024][7]~q\);

-- Location: LCCOMB_X19_Y14_N24
\WideAnd1024~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1024~0_combout\ = (\led_flash_cnt[1024][3]~q\ & (\led_flash_cnt[1024][1]~q\ & (\led_flash_cnt[1024][2]~q\ & \led_flash_cnt[1024][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1024][3]~q\,
	datab => \led_flash_cnt[1024][1]~q\,
	datac => \led_flash_cnt[1024][2]~q\,
	datad => \led_flash_cnt[1024][4]~q\,
	combout => \WideAnd1024~0_combout\);

-- Location: LCCOMB_X19_Y14_N30
WideAnd1024 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1024~combout\ = (\led_flash_cnt[1024][0]~q\ & (\WideAnd1024~1_combout\ & (\led_flash_cnt[1024][7]~q\ & \WideAnd1024~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1024][0]~q\,
	datab => \WideAnd1024~1_combout\,
	datac => \led_flash_cnt[1024][7]~q\,
	datad => \WideAnd1024~0_combout\,
	combout => \WideAnd1024~combout\);

-- Location: FF_X19_Y14_N31
\led_flash_cnt_ands[1024]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1024~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1024));

-- Location: LCCOMB_X37_Y17_N2
\led_flash_cnt[1025][0]~81665\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1025][0]~81665_combout\ = !\led_flash_cnt[1025][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1025][0]~q\,
	combout => \led_flash_cnt[1025][0]~81665_combout\);

-- Location: FF_X37_Y17_N3
\led_flash_cnt[1025][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1025][0]~81665_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1025][0]~q\);

-- Location: LCCOMB_X36_Y17_N18
\led_flash_cnt[1025][1]~41230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1025][1]~41230_combout\ = (\led_flash_cnt[1025][0]~q\ & (\led_flash_cnt[1025][1]~q\ $ (VCC))) # (!\led_flash_cnt[1025][0]~q\ & (\led_flash_cnt[1025][1]~q\ & VCC))
-- \led_flash_cnt[1025][1]~41231\ = CARRY((\led_flash_cnt[1025][0]~q\ & \led_flash_cnt[1025][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1025][0]~q\,
	datab => \led_flash_cnt[1025][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1025][1]~41230_combout\,
	cout => \led_flash_cnt[1025][1]~41231\);

-- Location: FF_X36_Y17_N19
\led_flash_cnt[1025][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1025][1]~41230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1025][1]~q\);

-- Location: LCCOMB_X36_Y17_N20
\led_flash_cnt[1025][2]~41232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1025][2]~41232_combout\ = (\led_flash_cnt[1025][2]~q\ & (!\led_flash_cnt[1025][1]~41231\)) # (!\led_flash_cnt[1025][2]~q\ & ((\led_flash_cnt[1025][1]~41231\) # (GND)))
-- \led_flash_cnt[1025][2]~41233\ = CARRY((!\led_flash_cnt[1025][1]~41231\) # (!\led_flash_cnt[1025][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1025][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1025][1]~41231\,
	combout => \led_flash_cnt[1025][2]~41232_combout\,
	cout => \led_flash_cnt[1025][2]~41233\);

-- Location: FF_X36_Y17_N21
\led_flash_cnt[1025][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1025][2]~41232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1025][2]~q\);

-- Location: LCCOMB_X36_Y17_N22
\led_flash_cnt[1025][3]~41234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1025][3]~41234_combout\ = (\led_flash_cnt[1025][3]~q\ & (\led_flash_cnt[1025][2]~41233\ $ (GND))) # (!\led_flash_cnt[1025][3]~q\ & (!\led_flash_cnt[1025][2]~41233\ & VCC))
-- \led_flash_cnt[1025][3]~41235\ = CARRY((\led_flash_cnt[1025][3]~q\ & !\led_flash_cnt[1025][2]~41233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1025][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1025][2]~41233\,
	combout => \led_flash_cnt[1025][3]~41234_combout\,
	cout => \led_flash_cnt[1025][3]~41235\);

-- Location: FF_X36_Y17_N23
\led_flash_cnt[1025][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1025][3]~41234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1025][3]~q\);

-- Location: LCCOMB_X36_Y17_N24
\led_flash_cnt[1025][4]~41236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1025][4]~41236_combout\ = (\led_flash_cnt[1025][4]~q\ & (!\led_flash_cnt[1025][3]~41235\)) # (!\led_flash_cnt[1025][4]~q\ & ((\led_flash_cnt[1025][3]~41235\) # (GND)))
-- \led_flash_cnt[1025][4]~41237\ = CARRY((!\led_flash_cnt[1025][3]~41235\) # (!\led_flash_cnt[1025][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1025][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1025][3]~41235\,
	combout => \led_flash_cnt[1025][4]~41236_combout\,
	cout => \led_flash_cnt[1025][4]~41237\);

-- Location: FF_X36_Y17_N25
\led_flash_cnt[1025][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1025][4]~41236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1025][4]~q\);

-- Location: LCCOMB_X36_Y17_N26
\led_flash_cnt[1025][5]~41238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1025][5]~41238_combout\ = (\led_flash_cnt[1025][5]~q\ & (\led_flash_cnt[1025][4]~41237\ $ (GND))) # (!\led_flash_cnt[1025][5]~q\ & (!\led_flash_cnt[1025][4]~41237\ & VCC))
-- \led_flash_cnt[1025][5]~41239\ = CARRY((\led_flash_cnt[1025][5]~q\ & !\led_flash_cnt[1025][4]~41237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1025][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1025][4]~41237\,
	combout => \led_flash_cnt[1025][5]~41238_combout\,
	cout => \led_flash_cnt[1025][5]~41239\);

-- Location: FF_X36_Y17_N27
\led_flash_cnt[1025][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1025][5]~41238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1025][5]~q\);

-- Location: LCCOMB_X36_Y17_N28
\led_flash_cnt[1025][6]~41240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1025][6]~41240_combout\ = (\led_flash_cnt[1025][6]~q\ & (!\led_flash_cnt[1025][5]~41239\)) # (!\led_flash_cnt[1025][6]~q\ & ((\led_flash_cnt[1025][5]~41239\) # (GND)))
-- \led_flash_cnt[1025][6]~41241\ = CARRY((!\led_flash_cnt[1025][5]~41239\) # (!\led_flash_cnt[1025][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1025][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1025][5]~41239\,
	combout => \led_flash_cnt[1025][6]~41240_combout\,
	cout => \led_flash_cnt[1025][6]~41241\);

-- Location: FF_X36_Y17_N29
\led_flash_cnt[1025][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1025][6]~41240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1025][6]~q\);

-- Location: LCCOMB_X36_Y17_N30
\led_flash_cnt[1025][7]~41242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1025][7]~41242_combout\ = \led_flash_cnt[1025][7]~q\ $ (!\led_flash_cnt[1025][6]~41241\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1025][7]~q\,
	cin => \led_flash_cnt[1025][6]~41241\,
	combout => \led_flash_cnt[1025][7]~41242_combout\);

-- Location: FF_X36_Y17_N31
\led_flash_cnt[1025][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1025][7]~41242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1025][7]~q\);

-- Location: LCCOMB_X37_Y17_N30
\WideAnd1025~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1025~1_combout\ = (\led_flash_cnt[1025][5]~q\ & \led_flash_cnt[1025][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1025][5]~q\,
	datad => \led_flash_cnt[1025][6]~q\,
	combout => \WideAnd1025~1_combout\);

-- Location: LCCOMB_X37_Y17_N24
\WideAnd1025~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1025~0_combout\ = (\led_flash_cnt[1025][3]~q\ & (\led_flash_cnt[1025][4]~q\ & (\led_flash_cnt[1025][1]~q\ & \led_flash_cnt[1025][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1025][3]~q\,
	datab => \led_flash_cnt[1025][4]~q\,
	datac => \led_flash_cnt[1025][1]~q\,
	datad => \led_flash_cnt[1025][2]~q\,
	combout => \WideAnd1025~0_combout\);

-- Location: LCCOMB_X37_Y17_N28
WideAnd1025 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1025~combout\ = (\led_flash_cnt[1025][0]~q\ & (\led_flash_cnt[1025][7]~q\ & (\WideAnd1025~1_combout\ & \WideAnd1025~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1025][0]~q\,
	datab => \led_flash_cnt[1025][7]~q\,
	datac => \WideAnd1025~1_combout\,
	datad => \WideAnd1025~0_combout\,
	combout => \WideAnd1025~combout\);

-- Location: FF_X37_Y17_N29
\led_flash_cnt_ands[1025]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1025~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1025));

-- Location: LCCOMB_X29_Y23_N4
\led_flash_cnt[1026][0]~81666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1026][0]~81666_combout\ = !\led_flash_cnt[1026][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1026][0]~q\,
	combout => \led_flash_cnt[1026][0]~81666_combout\);

-- Location: FF_X29_Y23_N5
\led_flash_cnt[1026][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1026][0]~81666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1026][0]~q\);

-- Location: LCCOMB_X29_Y23_N10
\led_flash_cnt[1026][1]~41244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1026][1]~41244_combout\ = (\led_flash_cnt[1026][1]~q\ & (\led_flash_cnt[1026][0]~q\ $ (VCC))) # (!\led_flash_cnt[1026][1]~q\ & (\led_flash_cnt[1026][0]~q\ & VCC))
-- \led_flash_cnt[1026][1]~41245\ = CARRY((\led_flash_cnt[1026][1]~q\ & \led_flash_cnt[1026][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1026][1]~q\,
	datab => \led_flash_cnt[1026][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1026][1]~41244_combout\,
	cout => \led_flash_cnt[1026][1]~41245\);

-- Location: FF_X29_Y23_N11
\led_flash_cnt[1026][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1026][1]~41244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1026][1]~q\);

-- Location: LCCOMB_X29_Y23_N12
\led_flash_cnt[1026][2]~41246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1026][2]~41246_combout\ = (\led_flash_cnt[1026][2]~q\ & (!\led_flash_cnt[1026][1]~41245\)) # (!\led_flash_cnt[1026][2]~q\ & ((\led_flash_cnt[1026][1]~41245\) # (GND)))
-- \led_flash_cnt[1026][2]~41247\ = CARRY((!\led_flash_cnt[1026][1]~41245\) # (!\led_flash_cnt[1026][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1026][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1026][1]~41245\,
	combout => \led_flash_cnt[1026][2]~41246_combout\,
	cout => \led_flash_cnt[1026][2]~41247\);

-- Location: FF_X29_Y23_N13
\led_flash_cnt[1026][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1026][2]~41246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1026][2]~q\);

-- Location: LCCOMB_X29_Y23_N14
\led_flash_cnt[1026][3]~41248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1026][3]~41248_combout\ = (\led_flash_cnt[1026][3]~q\ & (\led_flash_cnt[1026][2]~41247\ $ (GND))) # (!\led_flash_cnt[1026][3]~q\ & (!\led_flash_cnt[1026][2]~41247\ & VCC))
-- \led_flash_cnt[1026][3]~41249\ = CARRY((\led_flash_cnt[1026][3]~q\ & !\led_flash_cnt[1026][2]~41247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1026][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1026][2]~41247\,
	combout => \led_flash_cnt[1026][3]~41248_combout\,
	cout => \led_flash_cnt[1026][3]~41249\);

-- Location: FF_X29_Y23_N15
\led_flash_cnt[1026][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1026][3]~41248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1026][3]~q\);

-- Location: LCCOMB_X29_Y23_N16
\led_flash_cnt[1026][4]~41250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1026][4]~41250_combout\ = (\led_flash_cnt[1026][4]~q\ & (!\led_flash_cnt[1026][3]~41249\)) # (!\led_flash_cnt[1026][4]~q\ & ((\led_flash_cnt[1026][3]~41249\) # (GND)))
-- \led_flash_cnt[1026][4]~41251\ = CARRY((!\led_flash_cnt[1026][3]~41249\) # (!\led_flash_cnt[1026][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1026][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1026][3]~41249\,
	combout => \led_flash_cnt[1026][4]~41250_combout\,
	cout => \led_flash_cnt[1026][4]~41251\);

-- Location: FF_X29_Y23_N17
\led_flash_cnt[1026][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1026][4]~41250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1026][4]~q\);

-- Location: LCCOMB_X29_Y23_N30
\WideAnd1026~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1026~0_combout\ = (\led_flash_cnt[1026][2]~q\ & (\led_flash_cnt[1026][4]~q\ & (\led_flash_cnt[1026][3]~q\ & \led_flash_cnt[1026][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1026][2]~q\,
	datab => \led_flash_cnt[1026][4]~q\,
	datac => \led_flash_cnt[1026][3]~q\,
	datad => \led_flash_cnt[1026][1]~q\,
	combout => \WideAnd1026~0_combout\);

-- Location: LCCOMB_X29_Y23_N18
\led_flash_cnt[1026][5]~41252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1026][5]~41252_combout\ = (\led_flash_cnt[1026][5]~q\ & (\led_flash_cnt[1026][4]~41251\ $ (GND))) # (!\led_flash_cnt[1026][5]~q\ & (!\led_flash_cnt[1026][4]~41251\ & VCC))
-- \led_flash_cnt[1026][5]~41253\ = CARRY((\led_flash_cnt[1026][5]~q\ & !\led_flash_cnt[1026][4]~41251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1026][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1026][4]~41251\,
	combout => \led_flash_cnt[1026][5]~41252_combout\,
	cout => \led_flash_cnt[1026][5]~41253\);

-- Location: FF_X29_Y23_N19
\led_flash_cnt[1026][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1026][5]~41252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1026][5]~q\);

-- Location: LCCOMB_X29_Y23_N20
\led_flash_cnt[1026][6]~41254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1026][6]~41254_combout\ = (\led_flash_cnt[1026][6]~q\ & (!\led_flash_cnt[1026][5]~41253\)) # (!\led_flash_cnt[1026][6]~q\ & ((\led_flash_cnt[1026][5]~41253\) # (GND)))
-- \led_flash_cnt[1026][6]~41255\ = CARRY((!\led_flash_cnt[1026][5]~41253\) # (!\led_flash_cnt[1026][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1026][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1026][5]~41253\,
	combout => \led_flash_cnt[1026][6]~41254_combout\,
	cout => \led_flash_cnt[1026][6]~41255\);

-- Location: FF_X29_Y23_N21
\led_flash_cnt[1026][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1026][6]~41254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1026][6]~q\);

-- Location: LCCOMB_X29_Y23_N22
\led_flash_cnt[1026][7]~41256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1026][7]~41256_combout\ = \led_flash_cnt[1026][7]~q\ $ (!\led_flash_cnt[1026][6]~41255\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1026][7]~q\,
	cin => \led_flash_cnt[1026][6]~41255\,
	combout => \led_flash_cnt[1026][7]~41256_combout\);

-- Location: FF_X29_Y23_N23
\led_flash_cnt[1026][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1026][7]~41256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1026][7]~q\);

-- Location: LCCOMB_X29_Y23_N24
\WideAnd1026~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1026~1_combout\ = (\led_flash_cnt[1026][5]~q\ & \led_flash_cnt[1026][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1026][5]~q\,
	datad => \led_flash_cnt[1026][6]~q\,
	combout => \WideAnd1026~1_combout\);

-- Location: LCCOMB_X29_Y23_N8
WideAnd1026 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1026~combout\ = (\WideAnd1026~0_combout\ & (\led_flash_cnt[1026][0]~q\ & (\led_flash_cnt[1026][7]~q\ & \WideAnd1026~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1026~0_combout\,
	datab => \led_flash_cnt[1026][0]~q\,
	datac => \led_flash_cnt[1026][7]~q\,
	datad => \WideAnd1026~1_combout\,
	combout => \WideAnd1026~combout\);

-- Location: FF_X29_Y23_N9
\led_flash_cnt_ands[1026]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1026~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1026));

-- Location: LCCOMB_X22_Y17_N6
\led_flash_cnt[1027][0]~81667\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1027][0]~81667_combout\ = !\led_flash_cnt[1027][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1027][0]~q\,
	combout => \led_flash_cnt[1027][0]~81667_combout\);

-- Location: FF_X22_Y17_N7
\led_flash_cnt[1027][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1027][0]~81667_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1027][0]~q\);

-- Location: LCCOMB_X22_Y17_N8
\led_flash_cnt[1027][1]~41258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1027][1]~41258_combout\ = (\led_flash_cnt[1027][0]~q\ & (\led_flash_cnt[1027][1]~q\ $ (VCC))) # (!\led_flash_cnt[1027][0]~q\ & (\led_flash_cnt[1027][1]~q\ & VCC))
-- \led_flash_cnt[1027][1]~41259\ = CARRY((\led_flash_cnt[1027][0]~q\ & \led_flash_cnt[1027][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1027][0]~q\,
	datab => \led_flash_cnt[1027][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1027][1]~41258_combout\,
	cout => \led_flash_cnt[1027][1]~41259\);

-- Location: FF_X22_Y17_N9
\led_flash_cnt[1027][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1027][1]~41258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1027][1]~q\);

-- Location: LCCOMB_X22_Y17_N10
\led_flash_cnt[1027][2]~41260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1027][2]~41260_combout\ = (\led_flash_cnt[1027][2]~q\ & (!\led_flash_cnt[1027][1]~41259\)) # (!\led_flash_cnt[1027][2]~q\ & ((\led_flash_cnt[1027][1]~41259\) # (GND)))
-- \led_flash_cnt[1027][2]~41261\ = CARRY((!\led_flash_cnt[1027][1]~41259\) # (!\led_flash_cnt[1027][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1027][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1027][1]~41259\,
	combout => \led_flash_cnt[1027][2]~41260_combout\,
	cout => \led_flash_cnt[1027][2]~41261\);

-- Location: FF_X22_Y17_N11
\led_flash_cnt[1027][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1027][2]~41260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1027][2]~q\);

-- Location: LCCOMB_X22_Y17_N12
\led_flash_cnt[1027][3]~41262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1027][3]~41262_combout\ = (\led_flash_cnt[1027][3]~q\ & (\led_flash_cnt[1027][2]~41261\ $ (GND))) # (!\led_flash_cnt[1027][3]~q\ & (!\led_flash_cnt[1027][2]~41261\ & VCC))
-- \led_flash_cnt[1027][3]~41263\ = CARRY((\led_flash_cnt[1027][3]~q\ & !\led_flash_cnt[1027][2]~41261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1027][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1027][2]~41261\,
	combout => \led_flash_cnt[1027][3]~41262_combout\,
	cout => \led_flash_cnt[1027][3]~41263\);

-- Location: FF_X22_Y17_N13
\led_flash_cnt[1027][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1027][3]~41262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1027][3]~q\);

-- Location: LCCOMB_X22_Y17_N14
\led_flash_cnt[1027][4]~41264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1027][4]~41264_combout\ = (\led_flash_cnt[1027][4]~q\ & (!\led_flash_cnt[1027][3]~41263\)) # (!\led_flash_cnt[1027][4]~q\ & ((\led_flash_cnt[1027][3]~41263\) # (GND)))
-- \led_flash_cnt[1027][4]~41265\ = CARRY((!\led_flash_cnt[1027][3]~41263\) # (!\led_flash_cnt[1027][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1027][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1027][3]~41263\,
	combout => \led_flash_cnt[1027][4]~41264_combout\,
	cout => \led_flash_cnt[1027][4]~41265\);

-- Location: FF_X22_Y17_N15
\led_flash_cnt[1027][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1027][4]~41264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1027][4]~q\);

-- Location: LCCOMB_X22_Y17_N16
\led_flash_cnt[1027][5]~41266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1027][5]~41266_combout\ = (\led_flash_cnt[1027][5]~q\ & (\led_flash_cnt[1027][4]~41265\ $ (GND))) # (!\led_flash_cnt[1027][5]~q\ & (!\led_flash_cnt[1027][4]~41265\ & VCC))
-- \led_flash_cnt[1027][5]~41267\ = CARRY((\led_flash_cnt[1027][5]~q\ & !\led_flash_cnt[1027][4]~41265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1027][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1027][4]~41265\,
	combout => \led_flash_cnt[1027][5]~41266_combout\,
	cout => \led_flash_cnt[1027][5]~41267\);

-- Location: FF_X22_Y17_N17
\led_flash_cnt[1027][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1027][5]~41266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1027][5]~q\);

-- Location: LCCOMB_X22_Y17_N18
\led_flash_cnt[1027][6]~41268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1027][6]~41268_combout\ = (\led_flash_cnt[1027][6]~q\ & (!\led_flash_cnt[1027][5]~41267\)) # (!\led_flash_cnt[1027][6]~q\ & ((\led_flash_cnt[1027][5]~41267\) # (GND)))
-- \led_flash_cnt[1027][6]~41269\ = CARRY((!\led_flash_cnt[1027][5]~41267\) # (!\led_flash_cnt[1027][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1027][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1027][5]~41267\,
	combout => \led_flash_cnt[1027][6]~41268_combout\,
	cout => \led_flash_cnt[1027][6]~41269\);

-- Location: FF_X22_Y17_N19
\led_flash_cnt[1027][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1027][6]~41268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1027][6]~q\);

-- Location: LCCOMB_X22_Y17_N20
\led_flash_cnt[1027][7]~41270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1027][7]~41270_combout\ = \led_flash_cnt[1027][6]~41269\ $ (!\led_flash_cnt[1027][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1027][7]~q\,
	cin => \led_flash_cnt[1027][6]~41269\,
	combout => \led_flash_cnt[1027][7]~41270_combout\);

-- Location: FF_X22_Y17_N21
\led_flash_cnt[1027][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1027][7]~41270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1027][7]~q\);

-- Location: LCCOMB_X22_Y17_N4
\WideAnd1027~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1027~1_combout\ = (\led_flash_cnt[1027][5]~q\ & \led_flash_cnt[1027][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1027][5]~q\,
	datac => \led_flash_cnt[1027][6]~q\,
	combout => \WideAnd1027~1_combout\);

-- Location: LCCOMB_X22_Y17_N28
\WideAnd1027~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1027~0_combout\ = (\led_flash_cnt[1027][3]~q\ & (\led_flash_cnt[1027][4]~q\ & (\led_flash_cnt[1027][1]~q\ & \led_flash_cnt[1027][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1027][3]~q\,
	datab => \led_flash_cnt[1027][4]~q\,
	datac => \led_flash_cnt[1027][1]~q\,
	datad => \led_flash_cnt[1027][2]~q\,
	combout => \WideAnd1027~0_combout\);

-- Location: LCCOMB_X22_Y17_N26
WideAnd1027 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1027~combout\ = (\led_flash_cnt[1027][0]~q\ & (\led_flash_cnt[1027][7]~q\ & (\WideAnd1027~1_combout\ & \WideAnd1027~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1027][0]~q\,
	datab => \led_flash_cnt[1027][7]~q\,
	datac => \WideAnd1027~1_combout\,
	datad => \WideAnd1027~0_combout\,
	combout => \WideAnd1027~combout\);

-- Location: FF_X22_Y17_N27
\led_flash_cnt_ands[1027]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1027~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1027));

-- Location: LCCOMB_X25_Y17_N24
\WideAnd3968~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3968~0_combout\ = (led_flash_cnt_ands(1024) & (led_flash_cnt_ands(1025) & (led_flash_cnt_ands(1026) & led_flash_cnt_ands(1027))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1024),
	datab => led_flash_cnt_ands(1025),
	datac => led_flash_cnt_ands(1026),
	datad => led_flash_cnt_ands(1027),
	combout => \WideAnd3968~0_combout\);

-- Location: LCCOMB_X26_Y19_N20
\led_flash_cnt[1030][0]~81670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1030][0]~81670_combout\ = !\led_flash_cnt[1030][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1030][0]~q\,
	combout => \led_flash_cnt[1030][0]~81670_combout\);

-- Location: FF_X26_Y19_N21
\led_flash_cnt[1030][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1030][0]~81670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1030][0]~q\);

-- Location: LCCOMB_X26_Y19_N6
\led_flash_cnt[1030][1]~41300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1030][1]~41300_combout\ = (\led_flash_cnt[1030][1]~q\ & (\led_flash_cnt[1030][0]~q\ $ (VCC))) # (!\led_flash_cnt[1030][1]~q\ & (\led_flash_cnt[1030][0]~q\ & VCC))
-- \led_flash_cnt[1030][1]~41301\ = CARRY((\led_flash_cnt[1030][1]~q\ & \led_flash_cnt[1030][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1030][1]~q\,
	datab => \led_flash_cnt[1030][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1030][1]~41300_combout\,
	cout => \led_flash_cnt[1030][1]~41301\);

-- Location: FF_X26_Y19_N7
\led_flash_cnt[1030][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1030][1]~41300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1030][1]~q\);

-- Location: LCCOMB_X26_Y19_N8
\led_flash_cnt[1030][2]~41302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1030][2]~41302_combout\ = (\led_flash_cnt[1030][2]~q\ & (!\led_flash_cnt[1030][1]~41301\)) # (!\led_flash_cnt[1030][2]~q\ & ((\led_flash_cnt[1030][1]~41301\) # (GND)))
-- \led_flash_cnt[1030][2]~41303\ = CARRY((!\led_flash_cnt[1030][1]~41301\) # (!\led_flash_cnt[1030][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1030][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1030][1]~41301\,
	combout => \led_flash_cnt[1030][2]~41302_combout\,
	cout => \led_flash_cnt[1030][2]~41303\);

-- Location: FF_X26_Y19_N9
\led_flash_cnt[1030][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1030][2]~41302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1030][2]~q\);

-- Location: LCCOMB_X26_Y19_N10
\led_flash_cnt[1030][3]~41304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1030][3]~41304_combout\ = (\led_flash_cnt[1030][3]~q\ & (\led_flash_cnt[1030][2]~41303\ $ (GND))) # (!\led_flash_cnt[1030][3]~q\ & (!\led_flash_cnt[1030][2]~41303\ & VCC))
-- \led_flash_cnt[1030][3]~41305\ = CARRY((\led_flash_cnt[1030][3]~q\ & !\led_flash_cnt[1030][2]~41303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1030][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1030][2]~41303\,
	combout => \led_flash_cnt[1030][3]~41304_combout\,
	cout => \led_flash_cnt[1030][3]~41305\);

-- Location: FF_X26_Y19_N11
\led_flash_cnt[1030][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1030][3]~41304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1030][3]~q\);

-- Location: LCCOMB_X26_Y19_N12
\led_flash_cnt[1030][4]~41306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1030][4]~41306_combout\ = (\led_flash_cnt[1030][4]~q\ & (!\led_flash_cnt[1030][3]~41305\)) # (!\led_flash_cnt[1030][4]~q\ & ((\led_flash_cnt[1030][3]~41305\) # (GND)))
-- \led_flash_cnt[1030][4]~41307\ = CARRY((!\led_flash_cnt[1030][3]~41305\) # (!\led_flash_cnt[1030][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1030][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1030][3]~41305\,
	combout => \led_flash_cnt[1030][4]~41306_combout\,
	cout => \led_flash_cnt[1030][4]~41307\);

-- Location: FF_X26_Y19_N13
\led_flash_cnt[1030][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1030][4]~41306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1030][4]~q\);

-- Location: LCCOMB_X26_Y19_N26
\WideAnd1030~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1030~0_combout\ = (\led_flash_cnt[1030][3]~q\ & (\led_flash_cnt[1030][1]~q\ & (\led_flash_cnt[1030][2]~q\ & \led_flash_cnt[1030][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1030][3]~q\,
	datab => \led_flash_cnt[1030][1]~q\,
	datac => \led_flash_cnt[1030][2]~q\,
	datad => \led_flash_cnt[1030][4]~q\,
	combout => \WideAnd1030~0_combout\);

-- Location: LCCOMB_X26_Y19_N14
\led_flash_cnt[1030][5]~41308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1030][5]~41308_combout\ = (\led_flash_cnt[1030][5]~q\ & (\led_flash_cnt[1030][4]~41307\ $ (GND))) # (!\led_flash_cnt[1030][5]~q\ & (!\led_flash_cnt[1030][4]~41307\ & VCC))
-- \led_flash_cnt[1030][5]~41309\ = CARRY((\led_flash_cnt[1030][5]~q\ & !\led_flash_cnt[1030][4]~41307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1030][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1030][4]~41307\,
	combout => \led_flash_cnt[1030][5]~41308_combout\,
	cout => \led_flash_cnt[1030][5]~41309\);

-- Location: FF_X26_Y19_N15
\led_flash_cnt[1030][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1030][5]~41308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1030][5]~q\);

-- Location: LCCOMB_X26_Y19_N16
\led_flash_cnt[1030][6]~41310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1030][6]~41310_combout\ = (\led_flash_cnt[1030][6]~q\ & (!\led_flash_cnt[1030][5]~41309\)) # (!\led_flash_cnt[1030][6]~q\ & ((\led_flash_cnt[1030][5]~41309\) # (GND)))
-- \led_flash_cnt[1030][6]~41311\ = CARRY((!\led_flash_cnt[1030][5]~41309\) # (!\led_flash_cnt[1030][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1030][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1030][5]~41309\,
	combout => \led_flash_cnt[1030][6]~41310_combout\,
	cout => \led_flash_cnt[1030][6]~41311\);

-- Location: FF_X26_Y19_N17
\led_flash_cnt[1030][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1030][6]~41310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1030][6]~q\);

-- Location: LCCOMB_X26_Y19_N4
\WideAnd1030~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1030~1_combout\ = (\led_flash_cnt[1030][5]~q\ & \led_flash_cnt[1030][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1030][5]~q\,
	datad => \led_flash_cnt[1030][6]~q\,
	combout => \WideAnd1030~1_combout\);

-- Location: LCCOMB_X26_Y19_N18
\led_flash_cnt[1030][7]~41312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1030][7]~41312_combout\ = \led_flash_cnt[1030][7]~q\ $ (!\led_flash_cnt[1030][6]~41311\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1030][7]~q\,
	cin => \led_flash_cnt[1030][6]~41311\,
	combout => \led_flash_cnt[1030][7]~41312_combout\);

-- Location: FF_X26_Y19_N19
\led_flash_cnt[1030][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1030][7]~41312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1030][7]~q\);

-- Location: LCCOMB_X26_Y19_N2
WideAnd1030 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1030~combout\ = (\WideAnd1030~0_combout\ & (\WideAnd1030~1_combout\ & (\led_flash_cnt[1030][7]~q\ & \led_flash_cnt[1030][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1030~0_combout\,
	datab => \WideAnd1030~1_combout\,
	datac => \led_flash_cnt[1030][7]~q\,
	datad => \led_flash_cnt[1030][0]~q\,
	combout => \WideAnd1030~combout\);

-- Location: FF_X26_Y19_N3
\led_flash_cnt_ands[1030]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1030~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1030));

-- Location: LCCOMB_X54_Y25_N6
\led_flash_cnt[1029][0]~81669\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1029][0]~81669_combout\ = !\led_flash_cnt[1029][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1029][0]~q\,
	combout => \led_flash_cnt[1029][0]~81669_combout\);

-- Location: FF_X54_Y25_N7
\led_flash_cnt[1029][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1029][0]~81669_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1029][0]~q\);

-- Location: LCCOMB_X55_Y25_N4
\led_flash_cnt[1029][1]~41286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1029][1]~41286_combout\ = (\led_flash_cnt[1029][0]~q\ & (\led_flash_cnt[1029][1]~q\ $ (VCC))) # (!\led_flash_cnt[1029][0]~q\ & (\led_flash_cnt[1029][1]~q\ & VCC))
-- \led_flash_cnt[1029][1]~41287\ = CARRY((\led_flash_cnt[1029][0]~q\ & \led_flash_cnt[1029][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1029][0]~q\,
	datab => \led_flash_cnt[1029][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1029][1]~41286_combout\,
	cout => \led_flash_cnt[1029][1]~41287\);

-- Location: FF_X55_Y25_N5
\led_flash_cnt[1029][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1029][1]~41286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1029][1]~q\);

-- Location: LCCOMB_X55_Y25_N6
\led_flash_cnt[1029][2]~41288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1029][2]~41288_combout\ = (\led_flash_cnt[1029][2]~q\ & (!\led_flash_cnt[1029][1]~41287\)) # (!\led_flash_cnt[1029][2]~q\ & ((\led_flash_cnt[1029][1]~41287\) # (GND)))
-- \led_flash_cnt[1029][2]~41289\ = CARRY((!\led_flash_cnt[1029][1]~41287\) # (!\led_flash_cnt[1029][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1029][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1029][1]~41287\,
	combout => \led_flash_cnt[1029][2]~41288_combout\,
	cout => \led_flash_cnt[1029][2]~41289\);

-- Location: FF_X55_Y25_N7
\led_flash_cnt[1029][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1029][2]~41288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1029][2]~q\);

-- Location: LCCOMB_X55_Y25_N8
\led_flash_cnt[1029][3]~41290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1029][3]~41290_combout\ = (\led_flash_cnt[1029][3]~q\ & (\led_flash_cnt[1029][2]~41289\ $ (GND))) # (!\led_flash_cnt[1029][3]~q\ & (!\led_flash_cnt[1029][2]~41289\ & VCC))
-- \led_flash_cnt[1029][3]~41291\ = CARRY((\led_flash_cnt[1029][3]~q\ & !\led_flash_cnt[1029][2]~41289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1029][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1029][2]~41289\,
	combout => \led_flash_cnt[1029][3]~41290_combout\,
	cout => \led_flash_cnt[1029][3]~41291\);

-- Location: FF_X55_Y25_N9
\led_flash_cnt[1029][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1029][3]~41290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1029][3]~q\);

-- Location: LCCOMB_X55_Y25_N10
\led_flash_cnt[1029][4]~41292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1029][4]~41292_combout\ = (\led_flash_cnt[1029][4]~q\ & (!\led_flash_cnt[1029][3]~41291\)) # (!\led_flash_cnt[1029][4]~q\ & ((\led_flash_cnt[1029][3]~41291\) # (GND)))
-- \led_flash_cnt[1029][4]~41293\ = CARRY((!\led_flash_cnt[1029][3]~41291\) # (!\led_flash_cnt[1029][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1029][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1029][3]~41291\,
	combout => \led_flash_cnt[1029][4]~41292_combout\,
	cout => \led_flash_cnt[1029][4]~41293\);

-- Location: FF_X55_Y25_N11
\led_flash_cnt[1029][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1029][4]~41292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1029][4]~q\);

-- Location: LCCOMB_X55_Y25_N0
\WideAnd1029~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1029~0_combout\ = (\led_flash_cnt[1029][2]~q\ & (\led_flash_cnt[1029][3]~q\ & (\led_flash_cnt[1029][1]~q\ & \led_flash_cnt[1029][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1029][2]~q\,
	datab => \led_flash_cnt[1029][3]~q\,
	datac => \led_flash_cnt[1029][1]~q\,
	datad => \led_flash_cnt[1029][4]~q\,
	combout => \WideAnd1029~0_combout\);

-- Location: LCCOMB_X55_Y25_N12
\led_flash_cnt[1029][5]~41294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1029][5]~41294_combout\ = (\led_flash_cnt[1029][5]~q\ & (\led_flash_cnt[1029][4]~41293\ $ (GND))) # (!\led_flash_cnt[1029][5]~q\ & (!\led_flash_cnt[1029][4]~41293\ & VCC))
-- \led_flash_cnt[1029][5]~41295\ = CARRY((\led_flash_cnt[1029][5]~q\ & !\led_flash_cnt[1029][4]~41293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1029][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1029][4]~41293\,
	combout => \led_flash_cnt[1029][5]~41294_combout\,
	cout => \led_flash_cnt[1029][5]~41295\);

-- Location: FF_X55_Y25_N13
\led_flash_cnt[1029][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1029][5]~41294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1029][5]~q\);

-- Location: LCCOMB_X55_Y25_N14
\led_flash_cnt[1029][6]~41296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1029][6]~41296_combout\ = (\led_flash_cnt[1029][6]~q\ & (!\led_flash_cnt[1029][5]~41295\)) # (!\led_flash_cnt[1029][6]~q\ & ((\led_flash_cnt[1029][5]~41295\) # (GND)))
-- \led_flash_cnt[1029][6]~41297\ = CARRY((!\led_flash_cnt[1029][5]~41295\) # (!\led_flash_cnt[1029][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1029][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1029][5]~41295\,
	combout => \led_flash_cnt[1029][6]~41296_combout\,
	cout => \led_flash_cnt[1029][6]~41297\);

-- Location: FF_X55_Y25_N15
\led_flash_cnt[1029][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1029][6]~41296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1029][6]~q\);

-- Location: LCCOMB_X54_Y25_N30
\WideAnd1029~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1029~1_combout\ = (\led_flash_cnt[1029][6]~q\ & \led_flash_cnt[1029][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1029][6]~q\,
	datac => \led_flash_cnt[1029][5]~q\,
	combout => \WideAnd1029~1_combout\);

-- Location: LCCOMB_X55_Y25_N16
\led_flash_cnt[1029][7]~41298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1029][7]~41298_combout\ = \led_flash_cnt[1029][6]~41297\ $ (!\led_flash_cnt[1029][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1029][7]~q\,
	cin => \led_flash_cnt[1029][6]~41297\,
	combout => \led_flash_cnt[1029][7]~41298_combout\);

-- Location: FF_X55_Y25_N17
\led_flash_cnt[1029][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1029][7]~41298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1029][7]~q\);

-- Location: LCCOMB_X54_Y25_N14
WideAnd1029 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1029~combout\ = (\led_flash_cnt[1029][0]~q\ & (\WideAnd1029~0_combout\ & (\WideAnd1029~1_combout\ & \led_flash_cnt[1029][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1029][0]~q\,
	datab => \WideAnd1029~0_combout\,
	datac => \WideAnd1029~1_combout\,
	datad => \led_flash_cnt[1029][7]~q\,
	combout => \WideAnd1029~combout\);

-- Location: FF_X54_Y25_N15
\led_flash_cnt_ands[1029]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1029~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1029));

-- Location: LCCOMB_X54_Y25_N10
\led_flash_cnt[1028][0]~81668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1028][0]~81668_combout\ = !\led_flash_cnt[1028][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1028][0]~q\,
	combout => \led_flash_cnt[1028][0]~81668_combout\);

-- Location: FF_X54_Y25_N11
\led_flash_cnt[1028][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1028][0]~81668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1028][0]~q\);

-- Location: LCCOMB_X54_Y25_N16
\led_flash_cnt[1028][1]~41272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1028][1]~41272_combout\ = (\led_flash_cnt[1028][0]~q\ & (\led_flash_cnt[1028][1]~q\ $ (VCC))) # (!\led_flash_cnt[1028][0]~q\ & (\led_flash_cnt[1028][1]~q\ & VCC))
-- \led_flash_cnt[1028][1]~41273\ = CARRY((\led_flash_cnt[1028][0]~q\ & \led_flash_cnt[1028][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1028][0]~q\,
	datab => \led_flash_cnt[1028][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1028][1]~41272_combout\,
	cout => \led_flash_cnt[1028][1]~41273\);

-- Location: FF_X54_Y25_N17
\led_flash_cnt[1028][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1028][1]~41272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1028][1]~q\);

-- Location: LCCOMB_X54_Y25_N18
\led_flash_cnt[1028][2]~41274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1028][2]~41274_combout\ = (\led_flash_cnt[1028][2]~q\ & (!\led_flash_cnt[1028][1]~41273\)) # (!\led_flash_cnt[1028][2]~q\ & ((\led_flash_cnt[1028][1]~41273\) # (GND)))
-- \led_flash_cnt[1028][2]~41275\ = CARRY((!\led_flash_cnt[1028][1]~41273\) # (!\led_flash_cnt[1028][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1028][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1028][1]~41273\,
	combout => \led_flash_cnt[1028][2]~41274_combout\,
	cout => \led_flash_cnt[1028][2]~41275\);

-- Location: FF_X54_Y25_N19
\led_flash_cnt[1028][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1028][2]~41274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1028][2]~q\);

-- Location: LCCOMB_X54_Y25_N20
\led_flash_cnt[1028][3]~41276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1028][3]~41276_combout\ = (\led_flash_cnt[1028][3]~q\ & (\led_flash_cnt[1028][2]~41275\ $ (GND))) # (!\led_flash_cnt[1028][3]~q\ & (!\led_flash_cnt[1028][2]~41275\ & VCC))
-- \led_flash_cnt[1028][3]~41277\ = CARRY((\led_flash_cnt[1028][3]~q\ & !\led_flash_cnt[1028][2]~41275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1028][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1028][2]~41275\,
	combout => \led_flash_cnt[1028][3]~41276_combout\,
	cout => \led_flash_cnt[1028][3]~41277\);

-- Location: FF_X54_Y25_N21
\led_flash_cnt[1028][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1028][3]~41276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1028][3]~q\);

-- Location: LCCOMB_X54_Y25_N22
\led_flash_cnt[1028][4]~41278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1028][4]~41278_combout\ = (\led_flash_cnt[1028][4]~q\ & (!\led_flash_cnt[1028][3]~41277\)) # (!\led_flash_cnt[1028][4]~q\ & ((\led_flash_cnt[1028][3]~41277\) # (GND)))
-- \led_flash_cnt[1028][4]~41279\ = CARRY((!\led_flash_cnt[1028][3]~41277\) # (!\led_flash_cnt[1028][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1028][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1028][3]~41277\,
	combout => \led_flash_cnt[1028][4]~41278_combout\,
	cout => \led_flash_cnt[1028][4]~41279\);

-- Location: FF_X54_Y25_N23
\led_flash_cnt[1028][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1028][4]~41278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1028][4]~q\);

-- Location: LCCOMB_X54_Y25_N24
\led_flash_cnt[1028][5]~41280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1028][5]~41280_combout\ = (\led_flash_cnt[1028][5]~q\ & (\led_flash_cnt[1028][4]~41279\ $ (GND))) # (!\led_flash_cnt[1028][5]~q\ & (!\led_flash_cnt[1028][4]~41279\ & VCC))
-- \led_flash_cnt[1028][5]~41281\ = CARRY((\led_flash_cnt[1028][5]~q\ & !\led_flash_cnt[1028][4]~41279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1028][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1028][4]~41279\,
	combout => \led_flash_cnt[1028][5]~41280_combout\,
	cout => \led_flash_cnt[1028][5]~41281\);

-- Location: FF_X54_Y25_N25
\led_flash_cnt[1028][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1028][5]~41280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1028][5]~q\);

-- Location: LCCOMB_X54_Y25_N26
\led_flash_cnt[1028][6]~41282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1028][6]~41282_combout\ = (\led_flash_cnt[1028][6]~q\ & (!\led_flash_cnt[1028][5]~41281\)) # (!\led_flash_cnt[1028][6]~q\ & ((\led_flash_cnt[1028][5]~41281\) # (GND)))
-- \led_flash_cnt[1028][6]~41283\ = CARRY((!\led_flash_cnt[1028][5]~41281\) # (!\led_flash_cnt[1028][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1028][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1028][5]~41281\,
	combout => \led_flash_cnt[1028][6]~41282_combout\,
	cout => \led_flash_cnt[1028][6]~41283\);

-- Location: FF_X54_Y25_N27
\led_flash_cnt[1028][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1028][6]~41282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1028][6]~q\);

-- Location: LCCOMB_X54_Y25_N28
\led_flash_cnt[1028][7]~41284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1028][7]~41284_combout\ = \led_flash_cnt[1028][6]~41283\ $ (!\led_flash_cnt[1028][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1028][7]~q\,
	cin => \led_flash_cnt[1028][6]~41283\,
	combout => \led_flash_cnt[1028][7]~41284_combout\);

-- Location: FF_X54_Y25_N29
\led_flash_cnt[1028][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1028][7]~41284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1028][7]~q\);

-- Location: LCCOMB_X54_Y25_N4
\WideAnd1028~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1028~1_combout\ = (\led_flash_cnt[1028][6]~q\ & \led_flash_cnt[1028][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1028][6]~q\,
	datad => \led_flash_cnt[1028][5]~q\,
	combout => \WideAnd1028~1_combout\);

-- Location: LCCOMB_X54_Y25_N12
\WideAnd1028~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1028~0_combout\ = (\led_flash_cnt[1028][2]~q\ & (\led_flash_cnt[1028][3]~q\ & (\led_flash_cnt[1028][4]~q\ & \led_flash_cnt[1028][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1028][2]~q\,
	datab => \led_flash_cnt[1028][3]~q\,
	datac => \led_flash_cnt[1028][4]~q\,
	datad => \led_flash_cnt[1028][1]~q\,
	combout => \WideAnd1028~0_combout\);

-- Location: LCCOMB_X54_Y25_N2
WideAnd1028 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1028~combout\ = (\led_flash_cnt[1028][0]~q\ & (\led_flash_cnt[1028][7]~q\ & (\WideAnd1028~1_combout\ & \WideAnd1028~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1028][0]~q\,
	datab => \led_flash_cnt[1028][7]~q\,
	datac => \WideAnd1028~1_combout\,
	datad => \WideAnd1028~0_combout\,
	combout => \WideAnd1028~combout\);

-- Location: FF_X54_Y25_N3
\led_flash_cnt_ands[1028]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1028~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1028));

-- Location: LCCOMB_X54_Y25_N8
\WideAnd3968~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3968~1_combout\ = (led_flash_cnt_ands(1029) & led_flash_cnt_ands(1028))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1029),
	datad => led_flash_cnt_ands(1028),
	combout => \WideAnd3968~1_combout\);

-- Location: LCCOMB_X26_Y19_N28
\led_flash_cnt[1031][0]~81671\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1031][0]~81671_combout\ = !\led_flash_cnt[1031][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1031][0]~q\,
	combout => \led_flash_cnt[1031][0]~81671_combout\);

-- Location: FF_X26_Y19_N29
\led_flash_cnt[1031][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1031][0]~81671_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1031][0]~q\);

-- Location: LCCOMB_X27_Y19_N18
\led_flash_cnt[1031][1]~41314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1031][1]~41314_combout\ = (\led_flash_cnt[1031][0]~q\ & (\led_flash_cnt[1031][1]~q\ $ (VCC))) # (!\led_flash_cnt[1031][0]~q\ & (\led_flash_cnt[1031][1]~q\ & VCC))
-- \led_flash_cnt[1031][1]~41315\ = CARRY((\led_flash_cnt[1031][0]~q\ & \led_flash_cnt[1031][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1031][0]~q\,
	datab => \led_flash_cnt[1031][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1031][1]~41314_combout\,
	cout => \led_flash_cnt[1031][1]~41315\);

-- Location: FF_X27_Y19_N19
\led_flash_cnt[1031][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1031][1]~41314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1031][1]~q\);

-- Location: LCCOMB_X27_Y19_N20
\led_flash_cnt[1031][2]~41316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1031][2]~41316_combout\ = (\led_flash_cnt[1031][2]~q\ & (!\led_flash_cnt[1031][1]~41315\)) # (!\led_flash_cnt[1031][2]~q\ & ((\led_flash_cnt[1031][1]~41315\) # (GND)))
-- \led_flash_cnt[1031][2]~41317\ = CARRY((!\led_flash_cnt[1031][1]~41315\) # (!\led_flash_cnt[1031][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1031][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1031][1]~41315\,
	combout => \led_flash_cnt[1031][2]~41316_combout\,
	cout => \led_flash_cnt[1031][2]~41317\);

-- Location: FF_X27_Y19_N21
\led_flash_cnt[1031][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1031][2]~41316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1031][2]~q\);

-- Location: LCCOMB_X27_Y19_N22
\led_flash_cnt[1031][3]~41318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1031][3]~41318_combout\ = (\led_flash_cnt[1031][3]~q\ & (\led_flash_cnt[1031][2]~41317\ $ (GND))) # (!\led_flash_cnt[1031][3]~q\ & (!\led_flash_cnt[1031][2]~41317\ & VCC))
-- \led_flash_cnt[1031][3]~41319\ = CARRY((\led_flash_cnt[1031][3]~q\ & !\led_flash_cnt[1031][2]~41317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1031][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1031][2]~41317\,
	combout => \led_flash_cnt[1031][3]~41318_combout\,
	cout => \led_flash_cnt[1031][3]~41319\);

-- Location: FF_X27_Y19_N23
\led_flash_cnt[1031][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1031][3]~41318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1031][3]~q\);

-- Location: LCCOMB_X27_Y19_N24
\led_flash_cnt[1031][4]~41320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1031][4]~41320_combout\ = (\led_flash_cnt[1031][4]~q\ & (!\led_flash_cnt[1031][3]~41319\)) # (!\led_flash_cnt[1031][4]~q\ & ((\led_flash_cnt[1031][3]~41319\) # (GND)))
-- \led_flash_cnt[1031][4]~41321\ = CARRY((!\led_flash_cnt[1031][3]~41319\) # (!\led_flash_cnt[1031][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1031][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1031][3]~41319\,
	combout => \led_flash_cnt[1031][4]~41320_combout\,
	cout => \led_flash_cnt[1031][4]~41321\);

-- Location: FF_X27_Y19_N25
\led_flash_cnt[1031][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1031][4]~41320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1031][4]~q\);

-- Location: LCCOMB_X27_Y19_N26
\led_flash_cnt[1031][5]~41322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1031][5]~41322_combout\ = (\led_flash_cnt[1031][5]~q\ & (\led_flash_cnt[1031][4]~41321\ $ (GND))) # (!\led_flash_cnt[1031][5]~q\ & (!\led_flash_cnt[1031][4]~41321\ & VCC))
-- \led_flash_cnt[1031][5]~41323\ = CARRY((\led_flash_cnt[1031][5]~q\ & !\led_flash_cnt[1031][4]~41321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1031][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1031][4]~41321\,
	combout => \led_flash_cnt[1031][5]~41322_combout\,
	cout => \led_flash_cnt[1031][5]~41323\);

-- Location: FF_X27_Y19_N27
\led_flash_cnt[1031][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1031][5]~41322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1031][5]~q\);

-- Location: LCCOMB_X27_Y19_N28
\led_flash_cnt[1031][6]~41324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1031][6]~41324_combout\ = (\led_flash_cnt[1031][6]~q\ & (!\led_flash_cnt[1031][5]~41323\)) # (!\led_flash_cnt[1031][6]~q\ & ((\led_flash_cnt[1031][5]~41323\) # (GND)))
-- \led_flash_cnt[1031][6]~41325\ = CARRY((!\led_flash_cnt[1031][5]~41323\) # (!\led_flash_cnt[1031][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1031][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1031][5]~41323\,
	combout => \led_flash_cnt[1031][6]~41324_combout\,
	cout => \led_flash_cnt[1031][6]~41325\);

-- Location: FF_X27_Y19_N29
\led_flash_cnt[1031][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1031][6]~41324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1031][6]~q\);

-- Location: LCCOMB_X26_Y19_N22
\WideAnd1031~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1031~1_combout\ = (\led_flash_cnt[1031][5]~q\ & \led_flash_cnt[1031][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1031][5]~q\,
	datad => \led_flash_cnt[1031][6]~q\,
	combout => \WideAnd1031~1_combout\);

-- Location: LCCOMB_X27_Y19_N30
\led_flash_cnt[1031][7]~41326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1031][7]~41326_combout\ = \led_flash_cnt[1031][7]~q\ $ (!\led_flash_cnt[1031][6]~41325\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1031][7]~q\,
	cin => \led_flash_cnt[1031][6]~41325\,
	combout => \led_flash_cnt[1031][7]~41326_combout\);

-- Location: FF_X27_Y19_N31
\led_flash_cnt[1031][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1031][7]~41326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1031][7]~q\);

-- Location: LCCOMB_X27_Y19_N2
\WideAnd1031~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1031~0_combout\ = (\led_flash_cnt[1031][2]~q\ & (\led_flash_cnt[1031][1]~q\ & (\led_flash_cnt[1031][3]~q\ & \led_flash_cnt[1031][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1031][2]~q\,
	datab => \led_flash_cnt[1031][1]~q\,
	datac => \led_flash_cnt[1031][3]~q\,
	datad => \led_flash_cnt[1031][4]~q\,
	combout => \WideAnd1031~0_combout\);

-- Location: LCCOMB_X26_Y19_N0
WideAnd1031 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1031~combout\ = (\WideAnd1031~1_combout\ & (\led_flash_cnt[1031][0]~q\ & (\led_flash_cnt[1031][7]~q\ & \WideAnd1031~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1031~1_combout\,
	datab => \led_flash_cnt[1031][0]~q\,
	datac => \led_flash_cnt[1031][7]~q\,
	datad => \WideAnd1031~0_combout\,
	combout => \WideAnd1031~combout\);

-- Location: FF_X26_Y19_N1
\led_flash_cnt_ands[1031]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1031~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1031));

-- Location: LCCOMB_X26_Y19_N30
WideAnd3968 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3968~combout\ = (\WideAnd3968~0_combout\ & (led_flash_cnt_ands(1030) & (\WideAnd3968~1_combout\ & led_flash_cnt_ands(1031))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3968~0_combout\,
	datab => led_flash_cnt_ands(1030),
	datac => \WideAnd3968~1_combout\,
	datad => led_flash_cnt_ands(1031),
	combout => \WideAnd3968~combout\);

-- Location: FF_X26_Y19_N31
\led_flash_cnt_ands_1[128]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3968~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(128));

-- Location: LCCOMB_X22_Y15_N0
\WideAnd4336~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4336~0_combout\ = (led_flash_cnt_ands_1(131) & (led_flash_cnt_ands_1(129) & (led_flash_cnt_ands_1(130) & led_flash_cnt_ands_1(128))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(131),
	datab => led_flash_cnt_ands_1(129),
	datac => led_flash_cnt_ands_1(130),
	datad => led_flash_cnt_ands_1(128),
	combout => \WideAnd4336~0_combout\);

-- Location: LCCOMB_X14_Y20_N6
WideAnd4336 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4336~combout\ = (led_flash_cnt_ands_1(135) & (\WideAnd4336~1_combout\ & (led_flash_cnt_ands_1(134) & \WideAnd4336~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(135),
	datab => \WideAnd4336~1_combout\,
	datac => led_flash_cnt_ands_1(134),
	datad => \WideAnd4336~0_combout\,
	combout => \WideAnd4336~combout\);

-- Location: FF_X14_Y20_N7
\led_flash_cnt_ands_2[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4336~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(16));

-- Location: LCCOMB_X36_Y36_N2
\led_flash_cnt[1206][0]~81846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1206][0]~81846_combout\ = !\led_flash_cnt[1206][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1206][0]~q\,
	combout => \led_flash_cnt[1206][0]~81846_combout\);

-- Location: FF_X36_Y36_N3
\led_flash_cnt[1206][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1206][0]~81846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1206][0]~q\);

-- Location: LCCOMB_X37_Y36_N18
\led_flash_cnt[1206][1]~43764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1206][1]~43764_combout\ = (\led_flash_cnt[1206][0]~q\ & (\led_flash_cnt[1206][1]~q\ $ (VCC))) # (!\led_flash_cnt[1206][0]~q\ & (\led_flash_cnt[1206][1]~q\ & VCC))
-- \led_flash_cnt[1206][1]~43765\ = CARRY((\led_flash_cnt[1206][0]~q\ & \led_flash_cnt[1206][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1206][0]~q\,
	datab => \led_flash_cnt[1206][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1206][1]~43764_combout\,
	cout => \led_flash_cnt[1206][1]~43765\);

-- Location: FF_X37_Y36_N19
\led_flash_cnt[1206][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1206][1]~43764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1206][1]~q\);

-- Location: LCCOMB_X37_Y36_N20
\led_flash_cnt[1206][2]~43766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1206][2]~43766_combout\ = (\led_flash_cnt[1206][2]~q\ & (!\led_flash_cnt[1206][1]~43765\)) # (!\led_flash_cnt[1206][2]~q\ & ((\led_flash_cnt[1206][1]~43765\) # (GND)))
-- \led_flash_cnt[1206][2]~43767\ = CARRY((!\led_flash_cnt[1206][1]~43765\) # (!\led_flash_cnt[1206][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1206][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1206][1]~43765\,
	combout => \led_flash_cnt[1206][2]~43766_combout\,
	cout => \led_flash_cnt[1206][2]~43767\);

-- Location: FF_X37_Y36_N21
\led_flash_cnt[1206][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1206][2]~43766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1206][2]~q\);

-- Location: LCCOMB_X37_Y36_N22
\led_flash_cnt[1206][3]~43768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1206][3]~43768_combout\ = (\led_flash_cnt[1206][3]~q\ & (\led_flash_cnt[1206][2]~43767\ $ (GND))) # (!\led_flash_cnt[1206][3]~q\ & (!\led_flash_cnt[1206][2]~43767\ & VCC))
-- \led_flash_cnt[1206][3]~43769\ = CARRY((\led_flash_cnt[1206][3]~q\ & !\led_flash_cnt[1206][2]~43767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1206][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1206][2]~43767\,
	combout => \led_flash_cnt[1206][3]~43768_combout\,
	cout => \led_flash_cnt[1206][3]~43769\);

-- Location: FF_X37_Y36_N23
\led_flash_cnt[1206][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1206][3]~43768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1206][3]~q\);

-- Location: LCCOMB_X37_Y36_N24
\led_flash_cnt[1206][4]~43770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1206][4]~43770_combout\ = (\led_flash_cnt[1206][4]~q\ & (!\led_flash_cnt[1206][3]~43769\)) # (!\led_flash_cnt[1206][4]~q\ & ((\led_flash_cnt[1206][3]~43769\) # (GND)))
-- \led_flash_cnt[1206][4]~43771\ = CARRY((!\led_flash_cnt[1206][3]~43769\) # (!\led_flash_cnt[1206][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1206][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1206][3]~43769\,
	combout => \led_flash_cnt[1206][4]~43770_combout\,
	cout => \led_flash_cnt[1206][4]~43771\);

-- Location: FF_X37_Y36_N25
\led_flash_cnt[1206][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1206][4]~43770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1206][4]~q\);

-- Location: LCCOMB_X37_Y36_N26
\led_flash_cnt[1206][5]~43772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1206][5]~43772_combout\ = (\led_flash_cnt[1206][5]~q\ & (\led_flash_cnt[1206][4]~43771\ $ (GND))) # (!\led_flash_cnt[1206][5]~q\ & (!\led_flash_cnt[1206][4]~43771\ & VCC))
-- \led_flash_cnt[1206][5]~43773\ = CARRY((\led_flash_cnt[1206][5]~q\ & !\led_flash_cnt[1206][4]~43771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1206][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1206][4]~43771\,
	combout => \led_flash_cnt[1206][5]~43772_combout\,
	cout => \led_flash_cnt[1206][5]~43773\);

-- Location: FF_X37_Y36_N27
\led_flash_cnt[1206][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1206][5]~43772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1206][5]~q\);

-- Location: LCCOMB_X37_Y36_N28
\led_flash_cnt[1206][6]~43774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1206][6]~43774_combout\ = (\led_flash_cnt[1206][6]~q\ & (!\led_flash_cnt[1206][5]~43773\)) # (!\led_flash_cnt[1206][6]~q\ & ((\led_flash_cnt[1206][5]~43773\) # (GND)))
-- \led_flash_cnt[1206][6]~43775\ = CARRY((!\led_flash_cnt[1206][5]~43773\) # (!\led_flash_cnt[1206][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1206][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1206][5]~43773\,
	combout => \led_flash_cnt[1206][6]~43774_combout\,
	cout => \led_flash_cnt[1206][6]~43775\);

-- Location: FF_X37_Y36_N29
\led_flash_cnt[1206][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1206][6]~43774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1206][6]~q\);

-- Location: LCCOMB_X36_Y36_N22
\WideAnd1206~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1206~1_combout\ = (\led_flash_cnt[1206][6]~q\ & \led_flash_cnt[1206][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1206][6]~q\,
	datad => \led_flash_cnt[1206][5]~q\,
	combout => \WideAnd1206~1_combout\);

-- Location: LCCOMB_X36_Y36_N20
\WideAnd1206~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1206~0_combout\ = (\led_flash_cnt[1206][4]~q\ & (\led_flash_cnt[1206][3]~q\ & (\led_flash_cnt[1206][2]~q\ & \led_flash_cnt[1206][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1206][4]~q\,
	datab => \led_flash_cnt[1206][3]~q\,
	datac => \led_flash_cnt[1206][2]~q\,
	datad => \led_flash_cnt[1206][1]~q\,
	combout => \WideAnd1206~0_combout\);

-- Location: LCCOMB_X37_Y36_N30
\led_flash_cnt[1206][7]~43776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1206][7]~43776_combout\ = \led_flash_cnt[1206][7]~q\ $ (!\led_flash_cnt[1206][6]~43775\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1206][7]~q\,
	cin => \led_flash_cnt[1206][6]~43775\,
	combout => \led_flash_cnt[1206][7]~43776_combout\);

-- Location: FF_X37_Y36_N31
\led_flash_cnt[1206][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1206][7]~43776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1206][7]~q\);

-- Location: LCCOMB_X36_Y36_N26
WideAnd1206 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1206~combout\ = (\WideAnd1206~1_combout\ & (\WideAnd1206~0_combout\ & (\led_flash_cnt[1206][7]~q\ & \led_flash_cnt[1206][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1206~1_combout\,
	datab => \WideAnd1206~0_combout\,
	datac => \led_flash_cnt[1206][7]~q\,
	datad => \led_flash_cnt[1206][0]~q\,
	combout => \WideAnd1206~combout\);

-- Location: FF_X36_Y36_N27
\led_flash_cnt_ands[1206]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1206~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1206));

-- Location: LCCOMB_X36_Y37_N24
\led_flash_cnt[1207][0]~81847\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1207][0]~81847_combout\ = !\led_flash_cnt[1207][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1207][0]~q\,
	combout => \led_flash_cnt[1207][0]~81847_combout\);

-- Location: FF_X36_Y37_N25
\led_flash_cnt[1207][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1207][0]~81847_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1207][0]~q\);

-- Location: LCCOMB_X35_Y35_N18
\led_flash_cnt[1207][1]~43778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1207][1]~43778_combout\ = (\led_flash_cnt[1207][0]~q\ & (\led_flash_cnt[1207][1]~q\ $ (VCC))) # (!\led_flash_cnt[1207][0]~q\ & (\led_flash_cnt[1207][1]~q\ & VCC))
-- \led_flash_cnt[1207][1]~43779\ = CARRY((\led_flash_cnt[1207][0]~q\ & \led_flash_cnt[1207][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1207][0]~q\,
	datab => \led_flash_cnt[1207][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1207][1]~43778_combout\,
	cout => \led_flash_cnt[1207][1]~43779\);

-- Location: FF_X35_Y35_N19
\led_flash_cnt[1207][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1207][1]~43778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1207][1]~q\);

-- Location: LCCOMB_X35_Y35_N20
\led_flash_cnt[1207][2]~43780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1207][2]~43780_combout\ = (\led_flash_cnt[1207][2]~q\ & (!\led_flash_cnt[1207][1]~43779\)) # (!\led_flash_cnt[1207][2]~q\ & ((\led_flash_cnt[1207][1]~43779\) # (GND)))
-- \led_flash_cnt[1207][2]~43781\ = CARRY((!\led_flash_cnt[1207][1]~43779\) # (!\led_flash_cnt[1207][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1207][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1207][1]~43779\,
	combout => \led_flash_cnt[1207][2]~43780_combout\,
	cout => \led_flash_cnt[1207][2]~43781\);

-- Location: FF_X35_Y35_N21
\led_flash_cnt[1207][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1207][2]~43780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1207][2]~q\);

-- Location: LCCOMB_X35_Y35_N22
\led_flash_cnt[1207][3]~43782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1207][3]~43782_combout\ = (\led_flash_cnt[1207][3]~q\ & (\led_flash_cnt[1207][2]~43781\ $ (GND))) # (!\led_flash_cnt[1207][3]~q\ & (!\led_flash_cnt[1207][2]~43781\ & VCC))
-- \led_flash_cnt[1207][3]~43783\ = CARRY((\led_flash_cnt[1207][3]~q\ & !\led_flash_cnt[1207][2]~43781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1207][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1207][2]~43781\,
	combout => \led_flash_cnt[1207][3]~43782_combout\,
	cout => \led_flash_cnt[1207][3]~43783\);

-- Location: FF_X35_Y35_N23
\led_flash_cnt[1207][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1207][3]~43782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1207][3]~q\);

-- Location: LCCOMB_X35_Y35_N24
\led_flash_cnt[1207][4]~43784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1207][4]~43784_combout\ = (\led_flash_cnt[1207][4]~q\ & (!\led_flash_cnt[1207][3]~43783\)) # (!\led_flash_cnt[1207][4]~q\ & ((\led_flash_cnt[1207][3]~43783\) # (GND)))
-- \led_flash_cnt[1207][4]~43785\ = CARRY((!\led_flash_cnt[1207][3]~43783\) # (!\led_flash_cnt[1207][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1207][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1207][3]~43783\,
	combout => \led_flash_cnt[1207][4]~43784_combout\,
	cout => \led_flash_cnt[1207][4]~43785\);

-- Location: FF_X35_Y35_N25
\led_flash_cnt[1207][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1207][4]~43784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1207][4]~q\);

-- Location: LCCOMB_X35_Y35_N2
\WideAnd1207~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1207~0_combout\ = (\led_flash_cnt[1207][4]~q\ & (\led_flash_cnt[1207][2]~q\ & (\led_flash_cnt[1207][3]~q\ & \led_flash_cnt[1207][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1207][4]~q\,
	datab => \led_flash_cnt[1207][2]~q\,
	datac => \led_flash_cnt[1207][3]~q\,
	datad => \led_flash_cnt[1207][1]~q\,
	combout => \WideAnd1207~0_combout\);

-- Location: LCCOMB_X35_Y35_N26
\led_flash_cnt[1207][5]~43786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1207][5]~43786_combout\ = (\led_flash_cnt[1207][5]~q\ & (\led_flash_cnt[1207][4]~43785\ $ (GND))) # (!\led_flash_cnt[1207][5]~q\ & (!\led_flash_cnt[1207][4]~43785\ & VCC))
-- \led_flash_cnt[1207][5]~43787\ = CARRY((\led_flash_cnt[1207][5]~q\ & !\led_flash_cnt[1207][4]~43785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1207][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1207][4]~43785\,
	combout => \led_flash_cnt[1207][5]~43786_combout\,
	cout => \led_flash_cnt[1207][5]~43787\);

-- Location: FF_X35_Y35_N27
\led_flash_cnt[1207][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1207][5]~43786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1207][5]~q\);

-- Location: LCCOMB_X35_Y35_N28
\led_flash_cnt[1207][6]~43788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1207][6]~43788_combout\ = (\led_flash_cnt[1207][6]~q\ & (!\led_flash_cnt[1207][5]~43787\)) # (!\led_flash_cnt[1207][6]~q\ & ((\led_flash_cnt[1207][5]~43787\) # (GND)))
-- \led_flash_cnt[1207][6]~43789\ = CARRY((!\led_flash_cnt[1207][5]~43787\) # (!\led_flash_cnt[1207][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1207][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1207][5]~43787\,
	combout => \led_flash_cnt[1207][6]~43788_combout\,
	cout => \led_flash_cnt[1207][6]~43789\);

-- Location: FF_X35_Y35_N29
\led_flash_cnt[1207][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1207][6]~43788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1207][6]~q\);

-- Location: LCCOMB_X35_Y35_N30
\led_flash_cnt[1207][7]~43790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1207][7]~43790_combout\ = \led_flash_cnt[1207][7]~q\ $ (!\led_flash_cnt[1207][6]~43789\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1207][7]~q\,
	cin => \led_flash_cnt[1207][6]~43789\,
	combout => \led_flash_cnt[1207][7]~43790_combout\);

-- Location: FF_X35_Y35_N31
\led_flash_cnt[1207][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1207][7]~43790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1207][7]~q\);

-- Location: LCCOMB_X36_Y35_N10
\WideAnd1207~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1207~1_combout\ = (\led_flash_cnt[1207][5]~q\ & \led_flash_cnt[1207][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1207][5]~q\,
	datad => \led_flash_cnt[1207][6]~q\,
	combout => \WideAnd1207~1_combout\);

-- Location: LCCOMB_X36_Y35_N0
WideAnd1207 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1207~combout\ = (\WideAnd1207~0_combout\ & (\led_flash_cnt[1207][7]~q\ & (\led_flash_cnt[1207][0]~q\ & \WideAnd1207~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1207~0_combout\,
	datab => \led_flash_cnt[1207][7]~q\,
	datac => \led_flash_cnt[1207][0]~q\,
	datad => \WideAnd1207~1_combout\,
	combout => \WideAnd1207~combout\);

-- Location: FF_X36_Y35_N1
\led_flash_cnt_ands[1207]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1207~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1207));

-- Location: LCCOMB_X36_Y37_N0
\led_flash_cnt[1205][0]~81845\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1205][0]~81845_combout\ = !\led_flash_cnt[1205][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1205][0]~q\,
	combout => \led_flash_cnt[1205][0]~81845_combout\);

-- Location: FF_X36_Y37_N1
\led_flash_cnt[1205][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1205][0]~81845_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1205][0]~q\);

-- Location: LCCOMB_X36_Y37_N6
\led_flash_cnt[1205][1]~43750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1205][1]~43750_combout\ = (\led_flash_cnt[1205][1]~q\ & (\led_flash_cnt[1205][0]~q\ $ (VCC))) # (!\led_flash_cnt[1205][1]~q\ & (\led_flash_cnt[1205][0]~q\ & VCC))
-- \led_flash_cnt[1205][1]~43751\ = CARRY((\led_flash_cnt[1205][1]~q\ & \led_flash_cnt[1205][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1205][1]~q\,
	datab => \led_flash_cnt[1205][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1205][1]~43750_combout\,
	cout => \led_flash_cnt[1205][1]~43751\);

-- Location: FF_X36_Y37_N7
\led_flash_cnt[1205][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1205][1]~43750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1205][1]~q\);

-- Location: LCCOMB_X36_Y37_N8
\led_flash_cnt[1205][2]~43752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1205][2]~43752_combout\ = (\led_flash_cnt[1205][2]~q\ & (!\led_flash_cnt[1205][1]~43751\)) # (!\led_flash_cnt[1205][2]~q\ & ((\led_flash_cnt[1205][1]~43751\) # (GND)))
-- \led_flash_cnt[1205][2]~43753\ = CARRY((!\led_flash_cnt[1205][1]~43751\) # (!\led_flash_cnt[1205][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1205][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1205][1]~43751\,
	combout => \led_flash_cnt[1205][2]~43752_combout\,
	cout => \led_flash_cnt[1205][2]~43753\);

-- Location: FF_X36_Y37_N9
\led_flash_cnt[1205][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1205][2]~43752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1205][2]~q\);

-- Location: LCCOMB_X36_Y37_N10
\led_flash_cnt[1205][3]~43754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1205][3]~43754_combout\ = (\led_flash_cnt[1205][3]~q\ & (\led_flash_cnt[1205][2]~43753\ $ (GND))) # (!\led_flash_cnt[1205][3]~q\ & (!\led_flash_cnt[1205][2]~43753\ & VCC))
-- \led_flash_cnt[1205][3]~43755\ = CARRY((\led_flash_cnt[1205][3]~q\ & !\led_flash_cnt[1205][2]~43753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1205][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1205][2]~43753\,
	combout => \led_flash_cnt[1205][3]~43754_combout\,
	cout => \led_flash_cnt[1205][3]~43755\);

-- Location: FF_X36_Y37_N11
\led_flash_cnt[1205][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1205][3]~43754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1205][3]~q\);

-- Location: LCCOMB_X36_Y37_N12
\led_flash_cnt[1205][4]~43756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1205][4]~43756_combout\ = (\led_flash_cnt[1205][4]~q\ & (!\led_flash_cnt[1205][3]~43755\)) # (!\led_flash_cnt[1205][4]~q\ & ((\led_flash_cnt[1205][3]~43755\) # (GND)))
-- \led_flash_cnt[1205][4]~43757\ = CARRY((!\led_flash_cnt[1205][3]~43755\) # (!\led_flash_cnt[1205][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1205][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1205][3]~43755\,
	combout => \led_flash_cnt[1205][4]~43756_combout\,
	cout => \led_flash_cnt[1205][4]~43757\);

-- Location: FF_X36_Y37_N13
\led_flash_cnt[1205][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1205][4]~43756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1205][4]~q\);

-- Location: LCCOMB_X36_Y37_N22
\WideAnd1205~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1205~0_combout\ = (\led_flash_cnt[1205][4]~q\ & (\led_flash_cnt[1205][3]~q\ & (\led_flash_cnt[1205][2]~q\ & \led_flash_cnt[1205][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1205][4]~q\,
	datab => \led_flash_cnt[1205][3]~q\,
	datac => \led_flash_cnt[1205][2]~q\,
	datad => \led_flash_cnt[1205][1]~q\,
	combout => \WideAnd1205~0_combout\);

-- Location: LCCOMB_X36_Y37_N14
\led_flash_cnt[1205][5]~43758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1205][5]~43758_combout\ = (\led_flash_cnt[1205][5]~q\ & (\led_flash_cnt[1205][4]~43757\ $ (GND))) # (!\led_flash_cnt[1205][5]~q\ & (!\led_flash_cnt[1205][4]~43757\ & VCC))
-- \led_flash_cnt[1205][5]~43759\ = CARRY((\led_flash_cnt[1205][5]~q\ & !\led_flash_cnt[1205][4]~43757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1205][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1205][4]~43757\,
	combout => \led_flash_cnt[1205][5]~43758_combout\,
	cout => \led_flash_cnt[1205][5]~43759\);

-- Location: FF_X36_Y37_N15
\led_flash_cnt[1205][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1205][5]~43758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1205][5]~q\);

-- Location: LCCOMB_X36_Y37_N16
\led_flash_cnt[1205][6]~43760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1205][6]~43760_combout\ = (\led_flash_cnt[1205][6]~q\ & (!\led_flash_cnt[1205][5]~43759\)) # (!\led_flash_cnt[1205][6]~q\ & ((\led_flash_cnt[1205][5]~43759\) # (GND)))
-- \led_flash_cnt[1205][6]~43761\ = CARRY((!\led_flash_cnt[1205][5]~43759\) # (!\led_flash_cnt[1205][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1205][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1205][5]~43759\,
	combout => \led_flash_cnt[1205][6]~43760_combout\,
	cout => \led_flash_cnt[1205][6]~43761\);

-- Location: FF_X36_Y37_N17
\led_flash_cnt[1205][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1205][6]~43760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1205][6]~q\);

-- Location: LCCOMB_X36_Y37_N2
\WideAnd1205~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1205~1_combout\ = (\led_flash_cnt[1205][5]~q\ & \led_flash_cnt[1205][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1205][5]~q\,
	datad => \led_flash_cnt[1205][6]~q\,
	combout => \WideAnd1205~1_combout\);

-- Location: LCCOMB_X36_Y37_N18
\led_flash_cnt[1205][7]~43762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1205][7]~43762_combout\ = \led_flash_cnt[1205][6]~43761\ $ (!\led_flash_cnt[1205][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1205][7]~q\,
	cin => \led_flash_cnt[1205][6]~43761\,
	combout => \led_flash_cnt[1205][7]~43762_combout\);

-- Location: FF_X36_Y37_N19
\led_flash_cnt[1205][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1205][7]~43762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1205][7]~q\);

-- Location: LCCOMB_X36_Y37_N4
WideAnd1205 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1205~combout\ = (\WideAnd1205~0_combout\ & (\led_flash_cnt[1205][0]~q\ & (\WideAnd1205~1_combout\ & \led_flash_cnt[1205][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1205~0_combout\,
	datab => \led_flash_cnt[1205][0]~q\,
	datac => \WideAnd1205~1_combout\,
	datad => \led_flash_cnt[1205][7]~q\,
	combout => \WideAnd1205~combout\);

-- Location: FF_X36_Y37_N5
\led_flash_cnt_ands[1205]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1205~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1205));

-- Location: LCCOMB_X44_Y41_N20
\led_flash_cnt[1204][0]~81844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1204][0]~81844_combout\ = !\led_flash_cnt[1204][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1204][0]~q\,
	combout => \led_flash_cnt[1204][0]~81844_combout\);

-- Location: FF_X44_Y41_N21
\led_flash_cnt[1204][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1204][0]~81844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1204][0]~q\);

-- Location: LCCOMB_X44_Y41_N6
\led_flash_cnt[1204][1]~43736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1204][1]~43736_combout\ = (\led_flash_cnt[1204][1]~q\ & (\led_flash_cnt[1204][0]~q\ $ (VCC))) # (!\led_flash_cnt[1204][1]~q\ & (\led_flash_cnt[1204][0]~q\ & VCC))
-- \led_flash_cnt[1204][1]~43737\ = CARRY((\led_flash_cnt[1204][1]~q\ & \led_flash_cnt[1204][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1204][1]~q\,
	datab => \led_flash_cnt[1204][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1204][1]~43736_combout\,
	cout => \led_flash_cnt[1204][1]~43737\);

-- Location: FF_X44_Y41_N7
\led_flash_cnt[1204][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1204][1]~43736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1204][1]~q\);

-- Location: LCCOMB_X44_Y41_N8
\led_flash_cnt[1204][2]~43738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1204][2]~43738_combout\ = (\led_flash_cnt[1204][2]~q\ & (!\led_flash_cnt[1204][1]~43737\)) # (!\led_flash_cnt[1204][2]~q\ & ((\led_flash_cnt[1204][1]~43737\) # (GND)))
-- \led_flash_cnt[1204][2]~43739\ = CARRY((!\led_flash_cnt[1204][1]~43737\) # (!\led_flash_cnt[1204][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1204][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1204][1]~43737\,
	combout => \led_flash_cnt[1204][2]~43738_combout\,
	cout => \led_flash_cnt[1204][2]~43739\);

-- Location: FF_X44_Y41_N9
\led_flash_cnt[1204][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1204][2]~43738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1204][2]~q\);

-- Location: LCCOMB_X44_Y41_N10
\led_flash_cnt[1204][3]~43740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1204][3]~43740_combout\ = (\led_flash_cnt[1204][3]~q\ & (\led_flash_cnt[1204][2]~43739\ $ (GND))) # (!\led_flash_cnt[1204][3]~q\ & (!\led_flash_cnt[1204][2]~43739\ & VCC))
-- \led_flash_cnt[1204][3]~43741\ = CARRY((\led_flash_cnt[1204][3]~q\ & !\led_flash_cnt[1204][2]~43739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1204][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1204][2]~43739\,
	combout => \led_flash_cnt[1204][3]~43740_combout\,
	cout => \led_flash_cnt[1204][3]~43741\);

-- Location: FF_X44_Y41_N11
\led_flash_cnt[1204][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1204][3]~43740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1204][3]~q\);

-- Location: LCCOMB_X44_Y41_N12
\led_flash_cnt[1204][4]~43742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1204][4]~43742_combout\ = (\led_flash_cnt[1204][4]~q\ & (!\led_flash_cnt[1204][3]~43741\)) # (!\led_flash_cnt[1204][4]~q\ & ((\led_flash_cnt[1204][3]~43741\) # (GND)))
-- \led_flash_cnt[1204][4]~43743\ = CARRY((!\led_flash_cnt[1204][3]~43741\) # (!\led_flash_cnt[1204][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1204][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1204][3]~43741\,
	combout => \led_flash_cnt[1204][4]~43742_combout\,
	cout => \led_flash_cnt[1204][4]~43743\);

-- Location: FF_X44_Y41_N13
\led_flash_cnt[1204][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1204][4]~43742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1204][4]~q\);

-- Location: LCCOMB_X44_Y41_N26
\WideAnd1204~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1204~0_combout\ = (\led_flash_cnt[1204][4]~q\ & (\led_flash_cnt[1204][1]~q\ & (\led_flash_cnt[1204][2]~q\ & \led_flash_cnt[1204][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1204][4]~q\,
	datab => \led_flash_cnt[1204][1]~q\,
	datac => \led_flash_cnt[1204][2]~q\,
	datad => \led_flash_cnt[1204][3]~q\,
	combout => \WideAnd1204~0_combout\);

-- Location: LCCOMB_X44_Y41_N14
\led_flash_cnt[1204][5]~43744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1204][5]~43744_combout\ = (\led_flash_cnt[1204][5]~q\ & (\led_flash_cnt[1204][4]~43743\ $ (GND))) # (!\led_flash_cnt[1204][5]~q\ & (!\led_flash_cnt[1204][4]~43743\ & VCC))
-- \led_flash_cnt[1204][5]~43745\ = CARRY((\led_flash_cnt[1204][5]~q\ & !\led_flash_cnt[1204][4]~43743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1204][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1204][4]~43743\,
	combout => \led_flash_cnt[1204][5]~43744_combout\,
	cout => \led_flash_cnt[1204][5]~43745\);

-- Location: FF_X44_Y41_N15
\led_flash_cnt[1204][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1204][5]~43744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1204][5]~q\);

-- Location: LCCOMB_X44_Y41_N16
\led_flash_cnt[1204][6]~43746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1204][6]~43746_combout\ = (\led_flash_cnt[1204][6]~q\ & (!\led_flash_cnt[1204][5]~43745\)) # (!\led_flash_cnt[1204][6]~q\ & ((\led_flash_cnt[1204][5]~43745\) # (GND)))
-- \led_flash_cnt[1204][6]~43747\ = CARRY((!\led_flash_cnt[1204][5]~43745\) # (!\led_flash_cnt[1204][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1204][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1204][5]~43745\,
	combout => \led_flash_cnt[1204][6]~43746_combout\,
	cout => \led_flash_cnt[1204][6]~43747\);

-- Location: FF_X44_Y41_N17
\led_flash_cnt[1204][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1204][6]~43746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1204][6]~q\);

-- Location: LCCOMB_X44_Y41_N30
\WideAnd1204~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1204~1_combout\ = (\led_flash_cnt[1204][5]~q\ & \led_flash_cnt[1204][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1204][5]~q\,
	datad => \led_flash_cnt[1204][6]~q\,
	combout => \WideAnd1204~1_combout\);

-- Location: LCCOMB_X44_Y41_N18
\led_flash_cnt[1204][7]~43748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1204][7]~43748_combout\ = \led_flash_cnt[1204][6]~43747\ $ (!\led_flash_cnt[1204][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1204][7]~q\,
	cin => \led_flash_cnt[1204][6]~43747\,
	combout => \led_flash_cnt[1204][7]~43748_combout\);

-- Location: FF_X44_Y41_N19
\led_flash_cnt[1204][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1204][7]~43748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1204][7]~q\);

-- Location: LCCOMB_X44_Y41_N28
WideAnd1204 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1204~combout\ = (\WideAnd1204~0_combout\ & (\led_flash_cnt[1204][0]~q\ & (\WideAnd1204~1_combout\ & \led_flash_cnt[1204][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1204~0_combout\,
	datab => \led_flash_cnt[1204][0]~q\,
	datac => \WideAnd1204~1_combout\,
	datad => \led_flash_cnt[1204][7]~q\,
	combout => \WideAnd1204~combout\);

-- Location: FF_X44_Y41_N29
\led_flash_cnt_ands[1204]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1204~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1204));

-- Location: LCCOMB_X36_Y37_N30
\WideAnd3990~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3990~1_combout\ = (led_flash_cnt_ands(1205) & led_flash_cnt_ands(1204))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1205),
	datad => led_flash_cnt_ands(1204),
	combout => \WideAnd3990~1_combout\);

-- Location: LCCOMB_X42_Y28_N0
\led_flash_cnt[1203][0]~81843\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1203][0]~81843_combout\ = !\led_flash_cnt[1203][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1203][0]~q\,
	combout => \led_flash_cnt[1203][0]~81843_combout\);

-- Location: FF_X42_Y28_N1
\led_flash_cnt[1203][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1203][0]~81843_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1203][0]~q\);

-- Location: LCCOMB_X42_Y28_N12
\led_flash_cnt[1203][1]~43722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1203][1]~43722_combout\ = (\led_flash_cnt[1203][1]~q\ & (\led_flash_cnt[1203][0]~q\ $ (VCC))) # (!\led_flash_cnt[1203][1]~q\ & (\led_flash_cnt[1203][0]~q\ & VCC))
-- \led_flash_cnt[1203][1]~43723\ = CARRY((\led_flash_cnt[1203][1]~q\ & \led_flash_cnt[1203][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1203][1]~q\,
	datab => \led_flash_cnt[1203][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1203][1]~43722_combout\,
	cout => \led_flash_cnt[1203][1]~43723\);

-- Location: FF_X42_Y28_N13
\led_flash_cnt[1203][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1203][1]~43722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1203][1]~q\);

-- Location: LCCOMB_X42_Y28_N14
\led_flash_cnt[1203][2]~43724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1203][2]~43724_combout\ = (\led_flash_cnt[1203][2]~q\ & (!\led_flash_cnt[1203][1]~43723\)) # (!\led_flash_cnt[1203][2]~q\ & ((\led_flash_cnt[1203][1]~43723\) # (GND)))
-- \led_flash_cnt[1203][2]~43725\ = CARRY((!\led_flash_cnt[1203][1]~43723\) # (!\led_flash_cnt[1203][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1203][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1203][1]~43723\,
	combout => \led_flash_cnt[1203][2]~43724_combout\,
	cout => \led_flash_cnt[1203][2]~43725\);

-- Location: FF_X42_Y28_N15
\led_flash_cnt[1203][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1203][2]~43724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1203][2]~q\);

-- Location: LCCOMB_X42_Y28_N16
\led_flash_cnt[1203][3]~43726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1203][3]~43726_combout\ = (\led_flash_cnt[1203][3]~q\ & (\led_flash_cnt[1203][2]~43725\ $ (GND))) # (!\led_flash_cnt[1203][3]~q\ & (!\led_flash_cnt[1203][2]~43725\ & VCC))
-- \led_flash_cnt[1203][3]~43727\ = CARRY((\led_flash_cnt[1203][3]~q\ & !\led_flash_cnt[1203][2]~43725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1203][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1203][2]~43725\,
	combout => \led_flash_cnt[1203][3]~43726_combout\,
	cout => \led_flash_cnt[1203][3]~43727\);

-- Location: FF_X42_Y28_N17
\led_flash_cnt[1203][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1203][3]~43726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1203][3]~q\);

-- Location: LCCOMB_X42_Y28_N18
\led_flash_cnt[1203][4]~43728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1203][4]~43728_combout\ = (\led_flash_cnt[1203][4]~q\ & (!\led_flash_cnt[1203][3]~43727\)) # (!\led_flash_cnt[1203][4]~q\ & ((\led_flash_cnt[1203][3]~43727\) # (GND)))
-- \led_flash_cnt[1203][4]~43729\ = CARRY((!\led_flash_cnt[1203][3]~43727\) # (!\led_flash_cnt[1203][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1203][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1203][3]~43727\,
	combout => \led_flash_cnt[1203][4]~43728_combout\,
	cout => \led_flash_cnt[1203][4]~43729\);

-- Location: FF_X42_Y28_N19
\led_flash_cnt[1203][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1203][4]~43728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1203][4]~q\);

-- Location: LCCOMB_X42_Y28_N26
\WideAnd1203~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1203~0_combout\ = (\led_flash_cnt[1203][1]~q\ & (\led_flash_cnt[1203][4]~q\ & (\led_flash_cnt[1203][2]~q\ & \led_flash_cnt[1203][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1203][1]~q\,
	datab => \led_flash_cnt[1203][4]~q\,
	datac => \led_flash_cnt[1203][2]~q\,
	datad => \led_flash_cnt[1203][3]~q\,
	combout => \WideAnd1203~0_combout\);

-- Location: LCCOMB_X42_Y28_N20
\led_flash_cnt[1203][5]~43730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1203][5]~43730_combout\ = (\led_flash_cnt[1203][5]~q\ & (\led_flash_cnt[1203][4]~43729\ $ (GND))) # (!\led_flash_cnt[1203][5]~q\ & (!\led_flash_cnt[1203][4]~43729\ & VCC))
-- \led_flash_cnt[1203][5]~43731\ = CARRY((\led_flash_cnt[1203][5]~q\ & !\led_flash_cnt[1203][4]~43729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1203][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1203][4]~43729\,
	combout => \led_flash_cnt[1203][5]~43730_combout\,
	cout => \led_flash_cnt[1203][5]~43731\);

-- Location: FF_X42_Y28_N21
\led_flash_cnt[1203][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1203][5]~43730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1203][5]~q\);

-- Location: LCCOMB_X42_Y28_N22
\led_flash_cnt[1203][6]~43732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1203][6]~43732_combout\ = (\led_flash_cnt[1203][6]~q\ & (!\led_flash_cnt[1203][5]~43731\)) # (!\led_flash_cnt[1203][6]~q\ & ((\led_flash_cnt[1203][5]~43731\) # (GND)))
-- \led_flash_cnt[1203][6]~43733\ = CARRY((!\led_flash_cnt[1203][5]~43731\) # (!\led_flash_cnt[1203][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1203][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1203][5]~43731\,
	combout => \led_flash_cnt[1203][6]~43732_combout\,
	cout => \led_flash_cnt[1203][6]~43733\);

-- Location: FF_X42_Y28_N23
\led_flash_cnt[1203][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1203][6]~43732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1203][6]~q\);

-- Location: LCCOMB_X42_Y28_N24
\led_flash_cnt[1203][7]~43734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1203][7]~43734_combout\ = \led_flash_cnt[1203][6]~43733\ $ (!\led_flash_cnt[1203][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1203][7]~q\,
	cin => \led_flash_cnt[1203][6]~43733\,
	combout => \led_flash_cnt[1203][7]~43734_combout\);

-- Location: FF_X42_Y28_N25
\led_flash_cnt[1203][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1203][7]~43734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1203][7]~q\);

-- Location: LCCOMB_X42_Y28_N30
\WideAnd1203~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1203~1_combout\ = (\led_flash_cnt[1203][6]~q\ & \led_flash_cnt[1203][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1203][6]~q\,
	datad => \led_flash_cnt[1203][5]~q\,
	combout => \WideAnd1203~1_combout\);

-- Location: LCCOMB_X42_Y28_N6
WideAnd1203 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1203~combout\ = (\WideAnd1203~0_combout\ & (\led_flash_cnt[1203][7]~q\ & (\WideAnd1203~1_combout\ & \led_flash_cnt[1203][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1203~0_combout\,
	datab => \led_flash_cnt[1203][7]~q\,
	datac => \WideAnd1203~1_combout\,
	datad => \led_flash_cnt[1203][0]~q\,
	combout => \WideAnd1203~combout\);

-- Location: FF_X42_Y28_N7
\led_flash_cnt_ands[1203]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1203~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1203));

-- Location: LCCOMB_X42_Y28_N4
\led_flash_cnt[1200][0]~81840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1200][0]~81840_combout\ = !\led_flash_cnt[1200][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1200][0]~q\,
	combout => \led_flash_cnt[1200][0]~81840_combout\);

-- Location: FF_X42_Y28_N5
\led_flash_cnt[1200][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1200][0]~81840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1200][0]~q\);

-- Location: LCCOMB_X41_Y28_N18
\led_flash_cnt[1200][1]~43680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1200][1]~43680_combout\ = (\led_flash_cnt[1200][0]~q\ & (\led_flash_cnt[1200][1]~q\ $ (VCC))) # (!\led_flash_cnt[1200][0]~q\ & (\led_flash_cnt[1200][1]~q\ & VCC))
-- \led_flash_cnt[1200][1]~43681\ = CARRY((\led_flash_cnt[1200][0]~q\ & \led_flash_cnt[1200][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1200][0]~q\,
	datab => \led_flash_cnt[1200][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1200][1]~43680_combout\,
	cout => \led_flash_cnt[1200][1]~43681\);

-- Location: FF_X41_Y28_N19
\led_flash_cnt[1200][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1200][1]~43680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1200][1]~q\);

-- Location: LCCOMB_X41_Y28_N20
\led_flash_cnt[1200][2]~43682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1200][2]~43682_combout\ = (\led_flash_cnt[1200][2]~q\ & (!\led_flash_cnt[1200][1]~43681\)) # (!\led_flash_cnt[1200][2]~q\ & ((\led_flash_cnt[1200][1]~43681\) # (GND)))
-- \led_flash_cnt[1200][2]~43683\ = CARRY((!\led_flash_cnt[1200][1]~43681\) # (!\led_flash_cnt[1200][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1200][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1200][1]~43681\,
	combout => \led_flash_cnt[1200][2]~43682_combout\,
	cout => \led_flash_cnt[1200][2]~43683\);

-- Location: FF_X41_Y28_N21
\led_flash_cnt[1200][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1200][2]~43682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1200][2]~q\);

-- Location: LCCOMB_X41_Y28_N22
\led_flash_cnt[1200][3]~43684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1200][3]~43684_combout\ = (\led_flash_cnt[1200][3]~q\ & (\led_flash_cnt[1200][2]~43683\ $ (GND))) # (!\led_flash_cnt[1200][3]~q\ & (!\led_flash_cnt[1200][2]~43683\ & VCC))
-- \led_flash_cnt[1200][3]~43685\ = CARRY((\led_flash_cnt[1200][3]~q\ & !\led_flash_cnt[1200][2]~43683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1200][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1200][2]~43683\,
	combout => \led_flash_cnt[1200][3]~43684_combout\,
	cout => \led_flash_cnt[1200][3]~43685\);

-- Location: FF_X41_Y28_N23
\led_flash_cnt[1200][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1200][3]~43684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1200][3]~q\);

-- Location: LCCOMB_X41_Y28_N24
\led_flash_cnt[1200][4]~43686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1200][4]~43686_combout\ = (\led_flash_cnt[1200][4]~q\ & (!\led_flash_cnt[1200][3]~43685\)) # (!\led_flash_cnt[1200][4]~q\ & ((\led_flash_cnt[1200][3]~43685\) # (GND)))
-- \led_flash_cnt[1200][4]~43687\ = CARRY((!\led_flash_cnt[1200][3]~43685\) # (!\led_flash_cnt[1200][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1200][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1200][3]~43685\,
	combout => \led_flash_cnt[1200][4]~43686_combout\,
	cout => \led_flash_cnt[1200][4]~43687\);

-- Location: FF_X41_Y28_N25
\led_flash_cnt[1200][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1200][4]~43686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1200][4]~q\);

-- Location: LCCOMB_X41_Y28_N26
\led_flash_cnt[1200][5]~43688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1200][5]~43688_combout\ = (\led_flash_cnt[1200][5]~q\ & (\led_flash_cnt[1200][4]~43687\ $ (GND))) # (!\led_flash_cnt[1200][5]~q\ & (!\led_flash_cnt[1200][4]~43687\ & VCC))
-- \led_flash_cnt[1200][5]~43689\ = CARRY((\led_flash_cnt[1200][5]~q\ & !\led_flash_cnt[1200][4]~43687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1200][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1200][4]~43687\,
	combout => \led_flash_cnt[1200][5]~43688_combout\,
	cout => \led_flash_cnt[1200][5]~43689\);

-- Location: FF_X41_Y28_N27
\led_flash_cnt[1200][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1200][5]~43688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1200][5]~q\);

-- Location: LCCOMB_X41_Y28_N28
\led_flash_cnt[1200][6]~43690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1200][6]~43690_combout\ = (\led_flash_cnt[1200][6]~q\ & (!\led_flash_cnt[1200][5]~43689\)) # (!\led_flash_cnt[1200][6]~q\ & ((\led_flash_cnt[1200][5]~43689\) # (GND)))
-- \led_flash_cnt[1200][6]~43691\ = CARRY((!\led_flash_cnt[1200][5]~43689\) # (!\led_flash_cnt[1200][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1200][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1200][5]~43689\,
	combout => \led_flash_cnt[1200][6]~43690_combout\,
	cout => \led_flash_cnt[1200][6]~43691\);

-- Location: FF_X41_Y28_N29
\led_flash_cnt[1200][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1200][6]~43690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1200][6]~q\);

-- Location: LCCOMB_X42_Y28_N10
\WideAnd1200~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1200~1_combout\ = (\led_flash_cnt[1200][5]~q\ & \led_flash_cnt[1200][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1200][5]~q\,
	datad => \led_flash_cnt[1200][6]~q\,
	combout => \WideAnd1200~1_combout\);

-- Location: LCCOMB_X42_Y28_N8
\WideAnd1200~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1200~0_combout\ = (\led_flash_cnt[1200][1]~q\ & (\led_flash_cnt[1200][2]~q\ & (\led_flash_cnt[1200][4]~q\ & \led_flash_cnt[1200][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1200][1]~q\,
	datab => \led_flash_cnt[1200][2]~q\,
	datac => \led_flash_cnt[1200][4]~q\,
	datad => \led_flash_cnt[1200][3]~q\,
	combout => \WideAnd1200~0_combout\);

-- Location: LCCOMB_X41_Y28_N30
\led_flash_cnt[1200][7]~43692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1200][7]~43692_combout\ = \led_flash_cnt[1200][7]~q\ $ (!\led_flash_cnt[1200][6]~43691\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1200][7]~q\,
	cin => \led_flash_cnt[1200][6]~43691\,
	combout => \led_flash_cnt[1200][7]~43692_combout\);

-- Location: FF_X41_Y28_N31
\led_flash_cnt[1200][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1200][7]~43692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1200][7]~q\);

-- Location: LCCOMB_X42_Y28_N2
WideAnd1200 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1200~combout\ = (\WideAnd1200~1_combout\ & (\WideAnd1200~0_combout\ & (\led_flash_cnt[1200][0]~q\ & \led_flash_cnt[1200][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1200~1_combout\,
	datab => \WideAnd1200~0_combout\,
	datac => \led_flash_cnt[1200][0]~q\,
	datad => \led_flash_cnt[1200][7]~q\,
	combout => \WideAnd1200~combout\);

-- Location: FF_X42_Y28_N3
\led_flash_cnt_ands[1200]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1200~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1200));

-- Location: LCCOMB_X37_Y28_N26
\led_flash_cnt[1201][0]~81841\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1201][0]~81841_combout\ = !\led_flash_cnt[1201][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1201][0]~q\,
	combout => \led_flash_cnt[1201][0]~81841_combout\);

-- Location: FF_X37_Y28_N27
\led_flash_cnt[1201][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1201][0]~81841_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1201][0]~q\);

-- Location: LCCOMB_X37_Y28_N4
\led_flash_cnt[1201][1]~43694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1201][1]~43694_combout\ = (\led_flash_cnt[1201][0]~q\ & (\led_flash_cnt[1201][1]~q\ $ (VCC))) # (!\led_flash_cnt[1201][0]~q\ & (\led_flash_cnt[1201][1]~q\ & VCC))
-- \led_flash_cnt[1201][1]~43695\ = CARRY((\led_flash_cnt[1201][0]~q\ & \led_flash_cnt[1201][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1201][0]~q\,
	datab => \led_flash_cnt[1201][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1201][1]~43694_combout\,
	cout => \led_flash_cnt[1201][1]~43695\);

-- Location: FF_X37_Y28_N5
\led_flash_cnt[1201][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1201][1]~43694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1201][1]~q\);

-- Location: LCCOMB_X37_Y28_N6
\led_flash_cnt[1201][2]~43696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1201][2]~43696_combout\ = (\led_flash_cnt[1201][2]~q\ & (!\led_flash_cnt[1201][1]~43695\)) # (!\led_flash_cnt[1201][2]~q\ & ((\led_flash_cnt[1201][1]~43695\) # (GND)))
-- \led_flash_cnt[1201][2]~43697\ = CARRY((!\led_flash_cnt[1201][1]~43695\) # (!\led_flash_cnt[1201][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1201][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1201][1]~43695\,
	combout => \led_flash_cnt[1201][2]~43696_combout\,
	cout => \led_flash_cnt[1201][2]~43697\);

-- Location: FF_X37_Y28_N7
\led_flash_cnt[1201][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1201][2]~43696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1201][2]~q\);

-- Location: LCCOMB_X37_Y28_N8
\led_flash_cnt[1201][3]~43698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1201][3]~43698_combout\ = (\led_flash_cnt[1201][3]~q\ & (\led_flash_cnt[1201][2]~43697\ $ (GND))) # (!\led_flash_cnt[1201][3]~q\ & (!\led_flash_cnt[1201][2]~43697\ & VCC))
-- \led_flash_cnt[1201][3]~43699\ = CARRY((\led_flash_cnt[1201][3]~q\ & !\led_flash_cnt[1201][2]~43697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1201][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1201][2]~43697\,
	combout => \led_flash_cnt[1201][3]~43698_combout\,
	cout => \led_flash_cnt[1201][3]~43699\);

-- Location: FF_X37_Y28_N9
\led_flash_cnt[1201][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1201][3]~43698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1201][3]~q\);

-- Location: LCCOMB_X37_Y28_N10
\led_flash_cnt[1201][4]~43700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1201][4]~43700_combout\ = (\led_flash_cnt[1201][4]~q\ & (!\led_flash_cnt[1201][3]~43699\)) # (!\led_flash_cnt[1201][4]~q\ & ((\led_flash_cnt[1201][3]~43699\) # (GND)))
-- \led_flash_cnt[1201][4]~43701\ = CARRY((!\led_flash_cnt[1201][3]~43699\) # (!\led_flash_cnt[1201][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1201][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1201][3]~43699\,
	combout => \led_flash_cnt[1201][4]~43700_combout\,
	cout => \led_flash_cnt[1201][4]~43701\);

-- Location: FF_X37_Y28_N11
\led_flash_cnt[1201][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1201][4]~43700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1201][4]~q\);

-- Location: LCCOMB_X37_Y28_N12
\led_flash_cnt[1201][5]~43702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1201][5]~43702_combout\ = (\led_flash_cnt[1201][5]~q\ & (\led_flash_cnt[1201][4]~43701\ $ (GND))) # (!\led_flash_cnt[1201][5]~q\ & (!\led_flash_cnt[1201][4]~43701\ & VCC))
-- \led_flash_cnt[1201][5]~43703\ = CARRY((\led_flash_cnt[1201][5]~q\ & !\led_flash_cnt[1201][4]~43701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1201][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1201][4]~43701\,
	combout => \led_flash_cnt[1201][5]~43702_combout\,
	cout => \led_flash_cnt[1201][5]~43703\);

-- Location: FF_X37_Y28_N13
\led_flash_cnt[1201][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1201][5]~43702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1201][5]~q\);

-- Location: LCCOMB_X37_Y28_N14
\led_flash_cnt[1201][6]~43704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1201][6]~43704_combout\ = (\led_flash_cnt[1201][6]~q\ & (!\led_flash_cnt[1201][5]~43703\)) # (!\led_flash_cnt[1201][6]~q\ & ((\led_flash_cnt[1201][5]~43703\) # (GND)))
-- \led_flash_cnt[1201][6]~43705\ = CARRY((!\led_flash_cnt[1201][5]~43703\) # (!\led_flash_cnt[1201][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1201][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1201][5]~43703\,
	combout => \led_flash_cnt[1201][6]~43704_combout\,
	cout => \led_flash_cnt[1201][6]~43705\);

-- Location: FF_X37_Y28_N15
\led_flash_cnt[1201][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1201][6]~43704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1201][6]~q\);

-- Location: LCCOMB_X37_Y28_N16
\led_flash_cnt[1201][7]~43706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1201][7]~43706_combout\ = \led_flash_cnt[1201][6]~43705\ $ (!\led_flash_cnt[1201][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1201][7]~q\,
	cin => \led_flash_cnt[1201][6]~43705\,
	combout => \led_flash_cnt[1201][7]~43706_combout\);

-- Location: FF_X37_Y28_N17
\led_flash_cnt[1201][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1201][7]~43706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1201][7]~q\);

-- Location: LCCOMB_X37_Y28_N30
\WideAnd1201~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1201~0_combout\ = (\led_flash_cnt[1201][2]~q\ & (\led_flash_cnt[1201][1]~q\ & (\led_flash_cnt[1201][3]~q\ & \led_flash_cnt[1201][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1201][2]~q\,
	datab => \led_flash_cnt[1201][1]~q\,
	datac => \led_flash_cnt[1201][3]~q\,
	datad => \led_flash_cnt[1201][4]~q\,
	combout => \WideAnd1201~0_combout\);

-- Location: LCCOMB_X37_Y28_N18
\WideAnd1201~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1201~1_combout\ = (\led_flash_cnt[1201][6]~q\ & \led_flash_cnt[1201][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1201][6]~q\,
	datad => \led_flash_cnt[1201][5]~q\,
	combout => \WideAnd1201~1_combout\);

-- Location: LCCOMB_X37_Y28_N2
WideAnd1201 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1201~combout\ = (\led_flash_cnt[1201][0]~q\ & (\led_flash_cnt[1201][7]~q\ & (\WideAnd1201~0_combout\ & \WideAnd1201~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1201][0]~q\,
	datab => \led_flash_cnt[1201][7]~q\,
	datac => \WideAnd1201~0_combout\,
	datad => \WideAnd1201~1_combout\,
	combout => \WideAnd1201~combout\);

-- Location: FF_X37_Y28_N3
\led_flash_cnt_ands[1201]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1201~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1201));

-- Location: LCCOMB_X46_Y29_N22
\led_flash_cnt[1202][0]~81842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1202][0]~81842_combout\ = !\led_flash_cnt[1202][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1202][0]~q\,
	combout => \led_flash_cnt[1202][0]~81842_combout\);

-- Location: FF_X46_Y29_N23
\led_flash_cnt[1202][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1202][0]~81842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1202][0]~q\);

-- Location: LCCOMB_X46_Y29_N4
\led_flash_cnt[1202][1]~43708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1202][1]~43708_combout\ = (\led_flash_cnt[1202][0]~q\ & (\led_flash_cnt[1202][1]~q\ $ (VCC))) # (!\led_flash_cnt[1202][0]~q\ & (\led_flash_cnt[1202][1]~q\ & VCC))
-- \led_flash_cnt[1202][1]~43709\ = CARRY((\led_flash_cnt[1202][0]~q\ & \led_flash_cnt[1202][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1202][0]~q\,
	datab => \led_flash_cnt[1202][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1202][1]~43708_combout\,
	cout => \led_flash_cnt[1202][1]~43709\);

-- Location: FF_X46_Y29_N5
\led_flash_cnt[1202][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1202][1]~43708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1202][1]~q\);

-- Location: LCCOMB_X46_Y29_N6
\led_flash_cnt[1202][2]~43710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1202][2]~43710_combout\ = (\led_flash_cnt[1202][2]~q\ & (!\led_flash_cnt[1202][1]~43709\)) # (!\led_flash_cnt[1202][2]~q\ & ((\led_flash_cnt[1202][1]~43709\) # (GND)))
-- \led_flash_cnt[1202][2]~43711\ = CARRY((!\led_flash_cnt[1202][1]~43709\) # (!\led_flash_cnt[1202][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1202][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1202][1]~43709\,
	combout => \led_flash_cnt[1202][2]~43710_combout\,
	cout => \led_flash_cnt[1202][2]~43711\);

-- Location: FF_X46_Y29_N7
\led_flash_cnt[1202][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1202][2]~43710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1202][2]~q\);

-- Location: LCCOMB_X46_Y29_N8
\led_flash_cnt[1202][3]~43712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1202][3]~43712_combout\ = (\led_flash_cnt[1202][3]~q\ & (\led_flash_cnt[1202][2]~43711\ $ (GND))) # (!\led_flash_cnt[1202][3]~q\ & (!\led_flash_cnt[1202][2]~43711\ & VCC))
-- \led_flash_cnt[1202][3]~43713\ = CARRY((\led_flash_cnt[1202][3]~q\ & !\led_flash_cnt[1202][2]~43711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1202][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1202][2]~43711\,
	combout => \led_flash_cnt[1202][3]~43712_combout\,
	cout => \led_flash_cnt[1202][3]~43713\);

-- Location: FF_X46_Y29_N9
\led_flash_cnt[1202][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1202][3]~43712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1202][3]~q\);

-- Location: LCCOMB_X46_Y29_N10
\led_flash_cnt[1202][4]~43714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1202][4]~43714_combout\ = (\led_flash_cnt[1202][4]~q\ & (!\led_flash_cnt[1202][3]~43713\)) # (!\led_flash_cnt[1202][4]~q\ & ((\led_flash_cnt[1202][3]~43713\) # (GND)))
-- \led_flash_cnt[1202][4]~43715\ = CARRY((!\led_flash_cnt[1202][3]~43713\) # (!\led_flash_cnt[1202][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1202][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1202][3]~43713\,
	combout => \led_flash_cnt[1202][4]~43714_combout\,
	cout => \led_flash_cnt[1202][4]~43715\);

-- Location: FF_X46_Y29_N11
\led_flash_cnt[1202][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1202][4]~43714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1202][4]~q\);

-- Location: LCCOMB_X46_Y29_N26
\WideAnd1202~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1202~0_combout\ = (\led_flash_cnt[1202][2]~q\ & (\led_flash_cnt[1202][3]~q\ & (\led_flash_cnt[1202][1]~q\ & \led_flash_cnt[1202][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1202][2]~q\,
	datab => \led_flash_cnt[1202][3]~q\,
	datac => \led_flash_cnt[1202][1]~q\,
	datad => \led_flash_cnt[1202][4]~q\,
	combout => \WideAnd1202~0_combout\);

-- Location: LCCOMB_X46_Y29_N12
\led_flash_cnt[1202][5]~43716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1202][5]~43716_combout\ = (\led_flash_cnt[1202][5]~q\ & (\led_flash_cnt[1202][4]~43715\ $ (GND))) # (!\led_flash_cnt[1202][5]~q\ & (!\led_flash_cnt[1202][4]~43715\ & VCC))
-- \led_flash_cnt[1202][5]~43717\ = CARRY((\led_flash_cnt[1202][5]~q\ & !\led_flash_cnt[1202][4]~43715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1202][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1202][4]~43715\,
	combout => \led_flash_cnt[1202][5]~43716_combout\,
	cout => \led_flash_cnt[1202][5]~43717\);

-- Location: FF_X46_Y29_N13
\led_flash_cnt[1202][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1202][5]~43716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1202][5]~q\);

-- Location: LCCOMB_X46_Y29_N14
\led_flash_cnt[1202][6]~43718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1202][6]~43718_combout\ = (\led_flash_cnt[1202][6]~q\ & (!\led_flash_cnt[1202][5]~43717\)) # (!\led_flash_cnt[1202][6]~q\ & ((\led_flash_cnt[1202][5]~43717\) # (GND)))
-- \led_flash_cnt[1202][6]~43719\ = CARRY((!\led_flash_cnt[1202][5]~43717\) # (!\led_flash_cnt[1202][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1202][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1202][5]~43717\,
	combout => \led_flash_cnt[1202][6]~43718_combout\,
	cout => \led_flash_cnt[1202][6]~43719\);

-- Location: FF_X46_Y29_N15
\led_flash_cnt[1202][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1202][6]~43718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1202][6]~q\);

-- Location: LCCOMB_X46_Y29_N20
\WideAnd1202~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1202~1_combout\ = (\led_flash_cnt[1202][6]~q\ & \led_flash_cnt[1202][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1202][6]~q\,
	datad => \led_flash_cnt[1202][5]~q\,
	combout => \WideAnd1202~1_combout\);

-- Location: LCCOMB_X46_Y29_N16
\led_flash_cnt[1202][7]~43720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1202][7]~43720_combout\ = \led_flash_cnt[1202][6]~43719\ $ (!\led_flash_cnt[1202][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1202][7]~q\,
	cin => \led_flash_cnt[1202][6]~43719\,
	combout => \led_flash_cnt[1202][7]~43720_combout\);

-- Location: FF_X46_Y29_N17
\led_flash_cnt[1202][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1202][7]~43720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1202][7]~q\);

-- Location: LCCOMB_X46_Y29_N30
WideAnd1202 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1202~combout\ = (\WideAnd1202~0_combout\ & (\WideAnd1202~1_combout\ & (\led_flash_cnt[1202][0]~q\ & \led_flash_cnt[1202][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1202~0_combout\,
	datab => \WideAnd1202~1_combout\,
	datac => \led_flash_cnt[1202][0]~q\,
	datad => \led_flash_cnt[1202][7]~q\,
	combout => \WideAnd1202~combout\);

-- Location: FF_X46_Y29_N31
\led_flash_cnt_ands[1202]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1202~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1202));

-- Location: LCCOMB_X42_Y28_N28
\WideAnd3990~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3990~0_combout\ = (led_flash_cnt_ands(1203) & (led_flash_cnt_ands(1200) & (led_flash_cnt_ands(1201) & led_flash_cnt_ands(1202))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1203),
	datab => led_flash_cnt_ands(1200),
	datac => led_flash_cnt_ands(1201),
	datad => led_flash_cnt_ands(1202),
	combout => \WideAnd3990~0_combout\);

-- Location: LCCOMB_X36_Y36_N24
WideAnd3990 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3990~combout\ = (led_flash_cnt_ands(1206) & (led_flash_cnt_ands(1207) & (\WideAnd3990~1_combout\ & \WideAnd3990~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1206),
	datab => led_flash_cnt_ands(1207),
	datac => \WideAnd3990~1_combout\,
	datad => \WideAnd3990~0_combout\,
	combout => \WideAnd3990~combout\);

-- Location: FF_X36_Y36_N25
\led_flash_cnt_ands_1[150]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3990~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(150));

-- Location: LCCOMB_X40_Y21_N8
\led_flash_cnt[1212][0]~81852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1212][0]~81852_combout\ = !\led_flash_cnt[1212][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1212][0]~q\,
	combout => \led_flash_cnt[1212][0]~81852_combout\);

-- Location: FF_X40_Y21_N9
\led_flash_cnt[1212][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1212][0]~81852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1212][0]~q\);

-- Location: LCCOMB_X40_Y21_N12
\led_flash_cnt[1212][1]~43848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1212][1]~43848_combout\ = (\led_flash_cnt[1212][1]~q\ & (\led_flash_cnt[1212][0]~q\ $ (VCC))) # (!\led_flash_cnt[1212][1]~q\ & (\led_flash_cnt[1212][0]~q\ & VCC))
-- \led_flash_cnt[1212][1]~43849\ = CARRY((\led_flash_cnt[1212][1]~q\ & \led_flash_cnt[1212][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1212][1]~q\,
	datab => \led_flash_cnt[1212][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1212][1]~43848_combout\,
	cout => \led_flash_cnt[1212][1]~43849\);

-- Location: FF_X40_Y21_N13
\led_flash_cnt[1212][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1212][1]~43848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1212][1]~q\);

-- Location: LCCOMB_X40_Y21_N14
\led_flash_cnt[1212][2]~43850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1212][2]~43850_combout\ = (\led_flash_cnt[1212][2]~q\ & (!\led_flash_cnt[1212][1]~43849\)) # (!\led_flash_cnt[1212][2]~q\ & ((\led_flash_cnt[1212][1]~43849\) # (GND)))
-- \led_flash_cnt[1212][2]~43851\ = CARRY((!\led_flash_cnt[1212][1]~43849\) # (!\led_flash_cnt[1212][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1212][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1212][1]~43849\,
	combout => \led_flash_cnt[1212][2]~43850_combout\,
	cout => \led_flash_cnt[1212][2]~43851\);

-- Location: FF_X40_Y21_N15
\led_flash_cnt[1212][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1212][2]~43850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1212][2]~q\);

-- Location: LCCOMB_X40_Y21_N16
\led_flash_cnt[1212][3]~43852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1212][3]~43852_combout\ = (\led_flash_cnt[1212][3]~q\ & (\led_flash_cnt[1212][2]~43851\ $ (GND))) # (!\led_flash_cnt[1212][3]~q\ & (!\led_flash_cnt[1212][2]~43851\ & VCC))
-- \led_flash_cnt[1212][3]~43853\ = CARRY((\led_flash_cnt[1212][3]~q\ & !\led_flash_cnt[1212][2]~43851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1212][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1212][2]~43851\,
	combout => \led_flash_cnt[1212][3]~43852_combout\,
	cout => \led_flash_cnt[1212][3]~43853\);

-- Location: FF_X40_Y21_N17
\led_flash_cnt[1212][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1212][3]~43852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1212][3]~q\);

-- Location: LCCOMB_X40_Y21_N18
\led_flash_cnt[1212][4]~43854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1212][4]~43854_combout\ = (\led_flash_cnt[1212][4]~q\ & (!\led_flash_cnt[1212][3]~43853\)) # (!\led_flash_cnt[1212][4]~q\ & ((\led_flash_cnt[1212][3]~43853\) # (GND)))
-- \led_flash_cnt[1212][4]~43855\ = CARRY((!\led_flash_cnt[1212][3]~43853\) # (!\led_flash_cnt[1212][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1212][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1212][3]~43853\,
	combout => \led_flash_cnt[1212][4]~43854_combout\,
	cout => \led_flash_cnt[1212][4]~43855\);

-- Location: FF_X40_Y21_N19
\led_flash_cnt[1212][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1212][4]~43854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1212][4]~q\);

-- Location: LCCOMB_X40_Y21_N10
\WideAnd1212~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1212~0_combout\ = (\led_flash_cnt[1212][1]~q\ & (\led_flash_cnt[1212][4]~q\ & (\led_flash_cnt[1212][2]~q\ & \led_flash_cnt[1212][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1212][1]~q\,
	datab => \led_flash_cnt[1212][4]~q\,
	datac => \led_flash_cnt[1212][2]~q\,
	datad => \led_flash_cnt[1212][3]~q\,
	combout => \WideAnd1212~0_combout\);

-- Location: LCCOMB_X40_Y21_N20
\led_flash_cnt[1212][5]~43856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1212][5]~43856_combout\ = (\led_flash_cnt[1212][5]~q\ & (\led_flash_cnt[1212][4]~43855\ $ (GND))) # (!\led_flash_cnt[1212][5]~q\ & (!\led_flash_cnt[1212][4]~43855\ & VCC))
-- \led_flash_cnt[1212][5]~43857\ = CARRY((\led_flash_cnt[1212][5]~q\ & !\led_flash_cnt[1212][4]~43855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1212][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1212][4]~43855\,
	combout => \led_flash_cnt[1212][5]~43856_combout\,
	cout => \led_flash_cnt[1212][5]~43857\);

-- Location: FF_X40_Y21_N21
\led_flash_cnt[1212][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1212][5]~43856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1212][5]~q\);

-- Location: LCCOMB_X40_Y21_N22
\led_flash_cnt[1212][6]~43858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1212][6]~43858_combout\ = (\led_flash_cnt[1212][6]~q\ & (!\led_flash_cnt[1212][5]~43857\)) # (!\led_flash_cnt[1212][6]~q\ & ((\led_flash_cnt[1212][5]~43857\) # (GND)))
-- \led_flash_cnt[1212][6]~43859\ = CARRY((!\led_flash_cnt[1212][5]~43857\) # (!\led_flash_cnt[1212][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1212][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1212][5]~43857\,
	combout => \led_flash_cnt[1212][6]~43858_combout\,
	cout => \led_flash_cnt[1212][6]~43859\);

-- Location: FF_X40_Y21_N23
\led_flash_cnt[1212][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1212][6]~43858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1212][6]~q\);

-- Location: LCCOMB_X40_Y21_N4
\WideAnd1212~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1212~1_combout\ = (\led_flash_cnt[1212][6]~q\ & \led_flash_cnt[1212][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1212][6]~q\,
	datad => \led_flash_cnt[1212][5]~q\,
	combout => \WideAnd1212~1_combout\);

-- Location: LCCOMB_X40_Y21_N24
\led_flash_cnt[1212][7]~43860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1212][7]~43860_combout\ = \led_flash_cnt[1212][6]~43859\ $ (!\led_flash_cnt[1212][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1212][7]~q\,
	cin => \led_flash_cnt[1212][6]~43859\,
	combout => \led_flash_cnt[1212][7]~43860_combout\);

-- Location: FF_X40_Y21_N25
\led_flash_cnt[1212][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1212][7]~43860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1212][7]~q\);

-- Location: LCCOMB_X40_Y21_N0
WideAnd1212 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1212~combout\ = (\WideAnd1212~0_combout\ & (\WideAnd1212~1_combout\ & (\led_flash_cnt[1212][0]~q\ & \led_flash_cnt[1212][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1212~0_combout\,
	datab => \WideAnd1212~1_combout\,
	datac => \led_flash_cnt[1212][0]~q\,
	datad => \led_flash_cnt[1212][7]~q\,
	combout => \WideAnd1212~combout\);

-- Location: FF_X40_Y21_N1
\led_flash_cnt_ands[1212]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1212~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1212));

-- Location: LCCOMB_X20_Y23_N6
\led_flash_cnt[1213][0]~81853\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1213][0]~81853_combout\ = !\led_flash_cnt[1213][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1213][0]~q\,
	combout => \led_flash_cnt[1213][0]~81853_combout\);

-- Location: FF_X20_Y23_N7
\led_flash_cnt[1213][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1213][0]~81853_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1213][0]~q\);

-- Location: LCCOMB_X21_Y23_N0
\led_flash_cnt[1213][1]~43862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1213][1]~43862_combout\ = (\led_flash_cnt[1213][0]~q\ & (\led_flash_cnt[1213][1]~q\ $ (VCC))) # (!\led_flash_cnt[1213][0]~q\ & (\led_flash_cnt[1213][1]~q\ & VCC))
-- \led_flash_cnt[1213][1]~43863\ = CARRY((\led_flash_cnt[1213][0]~q\ & \led_flash_cnt[1213][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1213][0]~q\,
	datab => \led_flash_cnt[1213][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1213][1]~43862_combout\,
	cout => \led_flash_cnt[1213][1]~43863\);

-- Location: FF_X21_Y23_N1
\led_flash_cnt[1213][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1213][1]~43862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1213][1]~q\);

-- Location: LCCOMB_X21_Y23_N2
\led_flash_cnt[1213][2]~43864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1213][2]~43864_combout\ = (\led_flash_cnt[1213][2]~q\ & (!\led_flash_cnt[1213][1]~43863\)) # (!\led_flash_cnt[1213][2]~q\ & ((\led_flash_cnt[1213][1]~43863\) # (GND)))
-- \led_flash_cnt[1213][2]~43865\ = CARRY((!\led_flash_cnt[1213][1]~43863\) # (!\led_flash_cnt[1213][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1213][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1213][1]~43863\,
	combout => \led_flash_cnt[1213][2]~43864_combout\,
	cout => \led_flash_cnt[1213][2]~43865\);

-- Location: FF_X21_Y23_N3
\led_flash_cnt[1213][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1213][2]~43864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1213][2]~q\);

-- Location: LCCOMB_X21_Y23_N4
\led_flash_cnt[1213][3]~43866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1213][3]~43866_combout\ = (\led_flash_cnt[1213][3]~q\ & (\led_flash_cnt[1213][2]~43865\ $ (GND))) # (!\led_flash_cnt[1213][3]~q\ & (!\led_flash_cnt[1213][2]~43865\ & VCC))
-- \led_flash_cnt[1213][3]~43867\ = CARRY((\led_flash_cnt[1213][3]~q\ & !\led_flash_cnt[1213][2]~43865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1213][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1213][2]~43865\,
	combout => \led_flash_cnt[1213][3]~43866_combout\,
	cout => \led_flash_cnt[1213][3]~43867\);

-- Location: FF_X21_Y23_N5
\led_flash_cnt[1213][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1213][3]~43866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1213][3]~q\);

-- Location: LCCOMB_X21_Y23_N6
\led_flash_cnt[1213][4]~43868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1213][4]~43868_combout\ = (\led_flash_cnt[1213][4]~q\ & (!\led_flash_cnt[1213][3]~43867\)) # (!\led_flash_cnt[1213][4]~q\ & ((\led_flash_cnt[1213][3]~43867\) # (GND)))
-- \led_flash_cnt[1213][4]~43869\ = CARRY((!\led_flash_cnt[1213][3]~43867\) # (!\led_flash_cnt[1213][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1213][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1213][3]~43867\,
	combout => \led_flash_cnt[1213][4]~43868_combout\,
	cout => \led_flash_cnt[1213][4]~43869\);

-- Location: FF_X21_Y23_N7
\led_flash_cnt[1213][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1213][4]~43868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1213][4]~q\);

-- Location: LCCOMB_X21_Y23_N8
\led_flash_cnt[1213][5]~43870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1213][5]~43870_combout\ = (\led_flash_cnt[1213][5]~q\ & (\led_flash_cnt[1213][4]~43869\ $ (GND))) # (!\led_flash_cnt[1213][5]~q\ & (!\led_flash_cnt[1213][4]~43869\ & VCC))
-- \led_flash_cnt[1213][5]~43871\ = CARRY((\led_flash_cnt[1213][5]~q\ & !\led_flash_cnt[1213][4]~43869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1213][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1213][4]~43869\,
	combout => \led_flash_cnt[1213][5]~43870_combout\,
	cout => \led_flash_cnt[1213][5]~43871\);

-- Location: FF_X21_Y23_N9
\led_flash_cnt[1213][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1213][5]~43870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1213][5]~q\);

-- Location: LCCOMB_X21_Y23_N10
\led_flash_cnt[1213][6]~43872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1213][6]~43872_combout\ = (\led_flash_cnt[1213][6]~q\ & (!\led_flash_cnt[1213][5]~43871\)) # (!\led_flash_cnt[1213][6]~q\ & ((\led_flash_cnt[1213][5]~43871\) # (GND)))
-- \led_flash_cnt[1213][6]~43873\ = CARRY((!\led_flash_cnt[1213][5]~43871\) # (!\led_flash_cnt[1213][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1213][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1213][5]~43871\,
	combout => \led_flash_cnt[1213][6]~43872_combout\,
	cout => \led_flash_cnt[1213][6]~43873\);

-- Location: FF_X21_Y23_N11
\led_flash_cnt[1213][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1213][6]~43872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1213][6]~q\);

-- Location: LCCOMB_X20_Y23_N12
\WideAnd1213~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1213~1_combout\ = (\led_flash_cnt[1213][6]~q\ & \led_flash_cnt[1213][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1213][6]~q\,
	datac => \led_flash_cnt[1213][5]~q\,
	combout => \WideAnd1213~1_combout\);

-- Location: LCCOMB_X21_Y23_N28
\WideAnd1213~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1213~0_combout\ = (\led_flash_cnt[1213][4]~q\ & (\led_flash_cnt[1213][1]~q\ & (\led_flash_cnt[1213][3]~q\ & \led_flash_cnt[1213][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1213][4]~q\,
	datab => \led_flash_cnt[1213][1]~q\,
	datac => \led_flash_cnt[1213][3]~q\,
	datad => \led_flash_cnt[1213][2]~q\,
	combout => \WideAnd1213~0_combout\);

-- Location: LCCOMB_X21_Y23_N12
\led_flash_cnt[1213][7]~43874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1213][7]~43874_combout\ = \led_flash_cnt[1213][6]~43873\ $ (!\led_flash_cnt[1213][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1213][7]~q\,
	cin => \led_flash_cnt[1213][6]~43873\,
	combout => \led_flash_cnt[1213][7]~43874_combout\);

-- Location: FF_X21_Y23_N13
\led_flash_cnt[1213][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1213][7]~43874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1213][7]~q\);

-- Location: LCCOMB_X20_Y23_N30
WideAnd1213 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1213~combout\ = (\WideAnd1213~1_combout\ & (\WideAnd1213~0_combout\ & (\led_flash_cnt[1213][7]~q\ & \led_flash_cnt[1213][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1213~1_combout\,
	datab => \WideAnd1213~0_combout\,
	datac => \led_flash_cnt[1213][7]~q\,
	datad => \led_flash_cnt[1213][0]~q\,
	combout => \WideAnd1213~combout\);

-- Location: FF_X20_Y23_N31
\led_flash_cnt_ands[1213]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1213~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1213));

-- Location: LCCOMB_X21_Y22_N30
\WideAnd3991~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3991~1_combout\ = (led_flash_cnt_ands(1212) & led_flash_cnt_ands(1213))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1212),
	datad => led_flash_cnt_ands(1213),
	combout => \WideAnd3991~1_combout\);

-- Location: LCCOMB_X19_Y22_N4
\led_flash_cnt[1214][0]~81854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1214][0]~81854_combout\ = !\led_flash_cnt[1214][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1214][0]~q\,
	combout => \led_flash_cnt[1214][0]~81854_combout\);

-- Location: FF_X19_Y22_N5
\led_flash_cnt[1214][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1214][0]~81854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1214][0]~q\);

-- Location: LCCOMB_X19_Y25_N14
\led_flash_cnt[1214][1]~43876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1214][1]~43876_combout\ = (\led_flash_cnt[1214][0]~q\ & (\led_flash_cnt[1214][1]~q\ $ (VCC))) # (!\led_flash_cnt[1214][0]~q\ & (\led_flash_cnt[1214][1]~q\ & VCC))
-- \led_flash_cnt[1214][1]~43877\ = CARRY((\led_flash_cnt[1214][0]~q\ & \led_flash_cnt[1214][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1214][0]~q\,
	datab => \led_flash_cnt[1214][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1214][1]~43876_combout\,
	cout => \led_flash_cnt[1214][1]~43877\);

-- Location: FF_X19_Y25_N15
\led_flash_cnt[1214][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1214][1]~43876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1214][1]~q\);

-- Location: LCCOMB_X19_Y25_N16
\led_flash_cnt[1214][2]~43878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1214][2]~43878_combout\ = (\led_flash_cnt[1214][2]~q\ & (!\led_flash_cnt[1214][1]~43877\)) # (!\led_flash_cnt[1214][2]~q\ & ((\led_flash_cnt[1214][1]~43877\) # (GND)))
-- \led_flash_cnt[1214][2]~43879\ = CARRY((!\led_flash_cnt[1214][1]~43877\) # (!\led_flash_cnt[1214][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1214][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1214][1]~43877\,
	combout => \led_flash_cnt[1214][2]~43878_combout\,
	cout => \led_flash_cnt[1214][2]~43879\);

-- Location: FF_X19_Y25_N17
\led_flash_cnt[1214][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1214][2]~43878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1214][2]~q\);

-- Location: LCCOMB_X19_Y25_N18
\led_flash_cnt[1214][3]~43880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1214][3]~43880_combout\ = (\led_flash_cnt[1214][3]~q\ & (\led_flash_cnt[1214][2]~43879\ $ (GND))) # (!\led_flash_cnt[1214][3]~q\ & (!\led_flash_cnt[1214][2]~43879\ & VCC))
-- \led_flash_cnt[1214][3]~43881\ = CARRY((\led_flash_cnt[1214][3]~q\ & !\led_flash_cnt[1214][2]~43879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1214][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1214][2]~43879\,
	combout => \led_flash_cnt[1214][3]~43880_combout\,
	cout => \led_flash_cnt[1214][3]~43881\);

-- Location: FF_X19_Y25_N19
\led_flash_cnt[1214][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1214][3]~43880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1214][3]~q\);

-- Location: LCCOMB_X19_Y25_N20
\led_flash_cnt[1214][4]~43882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1214][4]~43882_combout\ = (\led_flash_cnt[1214][4]~q\ & (!\led_flash_cnt[1214][3]~43881\)) # (!\led_flash_cnt[1214][4]~q\ & ((\led_flash_cnt[1214][3]~43881\) # (GND)))
-- \led_flash_cnt[1214][4]~43883\ = CARRY((!\led_flash_cnt[1214][3]~43881\) # (!\led_flash_cnt[1214][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1214][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1214][3]~43881\,
	combout => \led_flash_cnt[1214][4]~43882_combout\,
	cout => \led_flash_cnt[1214][4]~43883\);

-- Location: FF_X19_Y25_N21
\led_flash_cnt[1214][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1214][4]~43882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1214][4]~q\);

-- Location: LCCOMB_X19_Y25_N30
\WideAnd1214~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1214~0_combout\ = (\led_flash_cnt[1214][4]~q\ & (\led_flash_cnt[1214][3]~q\ & (\led_flash_cnt[1214][1]~q\ & \led_flash_cnt[1214][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1214][4]~q\,
	datab => \led_flash_cnt[1214][3]~q\,
	datac => \led_flash_cnt[1214][1]~q\,
	datad => \led_flash_cnt[1214][2]~q\,
	combout => \WideAnd1214~0_combout\);

-- Location: LCCOMB_X19_Y25_N22
\led_flash_cnt[1214][5]~43884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1214][5]~43884_combout\ = (\led_flash_cnt[1214][5]~q\ & (\led_flash_cnt[1214][4]~43883\ $ (GND))) # (!\led_flash_cnt[1214][5]~q\ & (!\led_flash_cnt[1214][4]~43883\ & VCC))
-- \led_flash_cnt[1214][5]~43885\ = CARRY((\led_flash_cnt[1214][5]~q\ & !\led_flash_cnt[1214][4]~43883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1214][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1214][4]~43883\,
	combout => \led_flash_cnt[1214][5]~43884_combout\,
	cout => \led_flash_cnt[1214][5]~43885\);

-- Location: FF_X19_Y25_N23
\led_flash_cnt[1214][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1214][5]~43884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1214][5]~q\);

-- Location: LCCOMB_X19_Y25_N24
\led_flash_cnt[1214][6]~43886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1214][6]~43886_combout\ = (\led_flash_cnt[1214][6]~q\ & (!\led_flash_cnt[1214][5]~43885\)) # (!\led_flash_cnt[1214][6]~q\ & ((\led_flash_cnt[1214][5]~43885\) # (GND)))
-- \led_flash_cnt[1214][6]~43887\ = CARRY((!\led_flash_cnt[1214][5]~43885\) # (!\led_flash_cnt[1214][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1214][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1214][5]~43885\,
	combout => \led_flash_cnt[1214][6]~43886_combout\,
	cout => \led_flash_cnt[1214][6]~43887\);

-- Location: FF_X19_Y25_N25
\led_flash_cnt[1214][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1214][6]~43886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1214][6]~q\);

-- Location: LCCOMB_X19_Y25_N26
\led_flash_cnt[1214][7]~43888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1214][7]~43888_combout\ = \led_flash_cnt[1214][7]~q\ $ (!\led_flash_cnt[1214][6]~43887\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1214][7]~q\,
	cin => \led_flash_cnt[1214][6]~43887\,
	combout => \led_flash_cnt[1214][7]~43888_combout\);

-- Location: FF_X19_Y25_N27
\led_flash_cnt[1214][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1214][7]~43888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1214][7]~q\);

-- Location: LCCOMB_X20_Y25_N2
\WideAnd1214~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1214~1_combout\ = (\led_flash_cnt[1214][6]~q\ & \led_flash_cnt[1214][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1214][6]~q\,
	datad => \led_flash_cnt[1214][5]~q\,
	combout => \WideAnd1214~1_combout\);

-- Location: LCCOMB_X20_Y25_N0
WideAnd1214 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1214~combout\ = (\led_flash_cnt[1214][0]~q\ & (\WideAnd1214~0_combout\ & (\led_flash_cnt[1214][7]~q\ & \WideAnd1214~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1214][0]~q\,
	datab => \WideAnd1214~0_combout\,
	datac => \led_flash_cnt[1214][7]~q\,
	datad => \WideAnd1214~1_combout\,
	combout => \WideAnd1214~combout\);

-- Location: FF_X20_Y25_N1
\led_flash_cnt_ands[1214]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1214~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1214));

-- Location: LCCOMB_X14_Y12_N28
\led_flash_cnt[1215][0]~81855\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1215][0]~81855_combout\ = !\led_flash_cnt[1215][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1215][0]~q\,
	combout => \led_flash_cnt[1215][0]~81855_combout\);

-- Location: FF_X14_Y12_N29
\led_flash_cnt[1215][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1215][0]~81855_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1215][0]~q\);

-- Location: LCCOMB_X17_Y12_N18
\led_flash_cnt[1215][1]~43890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1215][1]~43890_combout\ = (\led_flash_cnt[1215][0]~q\ & (\led_flash_cnt[1215][1]~q\ $ (VCC))) # (!\led_flash_cnt[1215][0]~q\ & (\led_flash_cnt[1215][1]~q\ & VCC))
-- \led_flash_cnt[1215][1]~43891\ = CARRY((\led_flash_cnt[1215][0]~q\ & \led_flash_cnt[1215][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1215][0]~q\,
	datab => \led_flash_cnt[1215][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1215][1]~43890_combout\,
	cout => \led_flash_cnt[1215][1]~43891\);

-- Location: FF_X17_Y12_N19
\led_flash_cnt[1215][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1215][1]~43890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1215][1]~q\);

-- Location: LCCOMB_X17_Y12_N20
\led_flash_cnt[1215][2]~43892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1215][2]~43892_combout\ = (\led_flash_cnt[1215][2]~q\ & (!\led_flash_cnt[1215][1]~43891\)) # (!\led_flash_cnt[1215][2]~q\ & ((\led_flash_cnt[1215][1]~43891\) # (GND)))
-- \led_flash_cnt[1215][2]~43893\ = CARRY((!\led_flash_cnt[1215][1]~43891\) # (!\led_flash_cnt[1215][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1215][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1215][1]~43891\,
	combout => \led_flash_cnt[1215][2]~43892_combout\,
	cout => \led_flash_cnt[1215][2]~43893\);

-- Location: FF_X17_Y12_N21
\led_flash_cnt[1215][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1215][2]~43892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1215][2]~q\);

-- Location: LCCOMB_X17_Y12_N22
\led_flash_cnt[1215][3]~43894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1215][3]~43894_combout\ = (\led_flash_cnt[1215][3]~q\ & (\led_flash_cnt[1215][2]~43893\ $ (GND))) # (!\led_flash_cnt[1215][3]~q\ & (!\led_flash_cnt[1215][2]~43893\ & VCC))
-- \led_flash_cnt[1215][3]~43895\ = CARRY((\led_flash_cnt[1215][3]~q\ & !\led_flash_cnt[1215][2]~43893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1215][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1215][2]~43893\,
	combout => \led_flash_cnt[1215][3]~43894_combout\,
	cout => \led_flash_cnt[1215][3]~43895\);

-- Location: FF_X17_Y12_N23
\led_flash_cnt[1215][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1215][3]~43894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1215][3]~q\);

-- Location: LCCOMB_X17_Y12_N24
\led_flash_cnt[1215][4]~43896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1215][4]~43896_combout\ = (\led_flash_cnt[1215][4]~q\ & (!\led_flash_cnt[1215][3]~43895\)) # (!\led_flash_cnt[1215][4]~q\ & ((\led_flash_cnt[1215][3]~43895\) # (GND)))
-- \led_flash_cnt[1215][4]~43897\ = CARRY((!\led_flash_cnt[1215][3]~43895\) # (!\led_flash_cnt[1215][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1215][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1215][3]~43895\,
	combout => \led_flash_cnt[1215][4]~43896_combout\,
	cout => \led_flash_cnt[1215][4]~43897\);

-- Location: FF_X17_Y12_N25
\led_flash_cnt[1215][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1215][4]~43896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1215][4]~q\);

-- Location: LCCOMB_X17_Y12_N16
\WideAnd1215~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1215~0_combout\ = (\led_flash_cnt[1215][1]~q\ & (\led_flash_cnt[1215][2]~q\ & (\led_flash_cnt[1215][3]~q\ & \led_flash_cnt[1215][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1215][1]~q\,
	datab => \led_flash_cnt[1215][2]~q\,
	datac => \led_flash_cnt[1215][3]~q\,
	datad => \led_flash_cnt[1215][4]~q\,
	combout => \WideAnd1215~0_combout\);

-- Location: LCCOMB_X17_Y12_N26
\led_flash_cnt[1215][5]~43898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1215][5]~43898_combout\ = (\led_flash_cnt[1215][5]~q\ & (\led_flash_cnt[1215][4]~43897\ $ (GND))) # (!\led_flash_cnt[1215][5]~q\ & (!\led_flash_cnt[1215][4]~43897\ & VCC))
-- \led_flash_cnt[1215][5]~43899\ = CARRY((\led_flash_cnt[1215][5]~q\ & !\led_flash_cnt[1215][4]~43897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1215][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1215][4]~43897\,
	combout => \led_flash_cnt[1215][5]~43898_combout\,
	cout => \led_flash_cnt[1215][5]~43899\);

-- Location: FF_X17_Y12_N27
\led_flash_cnt[1215][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1215][5]~43898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1215][5]~q\);

-- Location: LCCOMB_X17_Y12_N28
\led_flash_cnt[1215][6]~43900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1215][6]~43900_combout\ = (\led_flash_cnt[1215][6]~q\ & (!\led_flash_cnt[1215][5]~43899\)) # (!\led_flash_cnt[1215][6]~q\ & ((\led_flash_cnt[1215][5]~43899\) # (GND)))
-- \led_flash_cnt[1215][6]~43901\ = CARRY((!\led_flash_cnt[1215][5]~43899\) # (!\led_flash_cnt[1215][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1215][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1215][5]~43899\,
	combout => \led_flash_cnt[1215][6]~43900_combout\,
	cout => \led_flash_cnt[1215][6]~43901\);

-- Location: FF_X17_Y12_N29
\led_flash_cnt[1215][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1215][6]~43900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1215][6]~q\);

-- Location: LCCOMB_X17_Y12_N30
\led_flash_cnt[1215][7]~43902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1215][7]~43902_combout\ = \led_flash_cnt[1215][7]~q\ $ (!\led_flash_cnt[1215][6]~43901\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1215][7]~q\,
	cin => \led_flash_cnt[1215][6]~43901\,
	combout => \led_flash_cnt[1215][7]~43902_combout\);

-- Location: FF_X17_Y12_N31
\led_flash_cnt[1215][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1215][7]~43902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1215][7]~q\);

-- Location: LCCOMB_X18_Y12_N28
\WideAnd1215~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1215~1_combout\ = (\led_flash_cnt[1215][5]~q\ & \led_flash_cnt[1215][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1215][5]~q\,
	datad => \led_flash_cnt[1215][6]~q\,
	combout => \WideAnd1215~1_combout\);

-- Location: LCCOMB_X17_Y12_N14
WideAnd1215 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1215~combout\ = (\led_flash_cnt[1215][0]~q\ & (\WideAnd1215~0_combout\ & (\led_flash_cnt[1215][7]~q\ & \WideAnd1215~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1215][0]~q\,
	datab => \WideAnd1215~0_combout\,
	datac => \led_flash_cnt[1215][7]~q\,
	datad => \WideAnd1215~1_combout\,
	combout => \WideAnd1215~combout\);

-- Location: FF_X17_Y12_N15
\led_flash_cnt_ands[1215]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1215~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1215));

-- Location: LCCOMB_X17_Y8_N0
\led_flash_cnt[1208][0]~81848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1208][0]~81848_combout\ = !\led_flash_cnt[1208][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1208][0]~q\,
	combout => \led_flash_cnt[1208][0]~81848_combout\);

-- Location: FF_X17_Y8_N1
\led_flash_cnt[1208][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1208][0]~81848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1208][0]~q\);

-- Location: LCCOMB_X17_Y8_N10
\led_flash_cnt[1208][1]~43792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1208][1]~43792_combout\ = (\led_flash_cnt[1208][1]~q\ & (\led_flash_cnt[1208][0]~q\ $ (VCC))) # (!\led_flash_cnt[1208][1]~q\ & (\led_flash_cnt[1208][0]~q\ & VCC))
-- \led_flash_cnt[1208][1]~43793\ = CARRY((\led_flash_cnt[1208][1]~q\ & \led_flash_cnt[1208][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1208][1]~q\,
	datab => \led_flash_cnt[1208][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1208][1]~43792_combout\,
	cout => \led_flash_cnt[1208][1]~43793\);

-- Location: FF_X17_Y8_N11
\led_flash_cnt[1208][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1208][1]~43792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1208][1]~q\);

-- Location: LCCOMB_X17_Y8_N12
\led_flash_cnt[1208][2]~43794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1208][2]~43794_combout\ = (\led_flash_cnt[1208][2]~q\ & (!\led_flash_cnt[1208][1]~43793\)) # (!\led_flash_cnt[1208][2]~q\ & ((\led_flash_cnt[1208][1]~43793\) # (GND)))
-- \led_flash_cnt[1208][2]~43795\ = CARRY((!\led_flash_cnt[1208][1]~43793\) # (!\led_flash_cnt[1208][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1208][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1208][1]~43793\,
	combout => \led_flash_cnt[1208][2]~43794_combout\,
	cout => \led_flash_cnt[1208][2]~43795\);

-- Location: FF_X17_Y8_N13
\led_flash_cnt[1208][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1208][2]~43794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1208][2]~q\);

-- Location: LCCOMB_X17_Y8_N14
\led_flash_cnt[1208][3]~43796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1208][3]~43796_combout\ = (\led_flash_cnt[1208][3]~q\ & (\led_flash_cnt[1208][2]~43795\ $ (GND))) # (!\led_flash_cnt[1208][3]~q\ & (!\led_flash_cnt[1208][2]~43795\ & VCC))
-- \led_flash_cnt[1208][3]~43797\ = CARRY((\led_flash_cnt[1208][3]~q\ & !\led_flash_cnt[1208][2]~43795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1208][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1208][2]~43795\,
	combout => \led_flash_cnt[1208][3]~43796_combout\,
	cout => \led_flash_cnt[1208][3]~43797\);

-- Location: FF_X17_Y8_N15
\led_flash_cnt[1208][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1208][3]~43796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1208][3]~q\);

-- Location: LCCOMB_X17_Y8_N16
\led_flash_cnt[1208][4]~43798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1208][4]~43798_combout\ = (\led_flash_cnt[1208][4]~q\ & (!\led_flash_cnt[1208][3]~43797\)) # (!\led_flash_cnt[1208][4]~q\ & ((\led_flash_cnt[1208][3]~43797\) # (GND)))
-- \led_flash_cnt[1208][4]~43799\ = CARRY((!\led_flash_cnt[1208][3]~43797\) # (!\led_flash_cnt[1208][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1208][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1208][3]~43797\,
	combout => \led_flash_cnt[1208][4]~43798_combout\,
	cout => \led_flash_cnt[1208][4]~43799\);

-- Location: FF_X17_Y8_N17
\led_flash_cnt[1208][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1208][4]~43798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1208][4]~q\);

-- Location: LCCOMB_X17_Y8_N18
\led_flash_cnt[1208][5]~43800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1208][5]~43800_combout\ = (\led_flash_cnt[1208][5]~q\ & (\led_flash_cnt[1208][4]~43799\ $ (GND))) # (!\led_flash_cnt[1208][5]~q\ & (!\led_flash_cnt[1208][4]~43799\ & VCC))
-- \led_flash_cnt[1208][5]~43801\ = CARRY((\led_flash_cnt[1208][5]~q\ & !\led_flash_cnt[1208][4]~43799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1208][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1208][4]~43799\,
	combout => \led_flash_cnt[1208][5]~43800_combout\,
	cout => \led_flash_cnt[1208][5]~43801\);

-- Location: FF_X17_Y8_N19
\led_flash_cnt[1208][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1208][5]~43800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1208][5]~q\);

-- Location: LCCOMB_X17_Y8_N20
\led_flash_cnt[1208][6]~43802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1208][6]~43802_combout\ = (\led_flash_cnt[1208][6]~q\ & (!\led_flash_cnt[1208][5]~43801\)) # (!\led_flash_cnt[1208][6]~q\ & ((\led_flash_cnt[1208][5]~43801\) # (GND)))
-- \led_flash_cnt[1208][6]~43803\ = CARRY((!\led_flash_cnt[1208][5]~43801\) # (!\led_flash_cnt[1208][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1208][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1208][5]~43801\,
	combout => \led_flash_cnt[1208][6]~43802_combout\,
	cout => \led_flash_cnt[1208][6]~43803\);

-- Location: FF_X17_Y8_N21
\led_flash_cnt[1208][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1208][6]~43802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1208][6]~q\);

-- Location: LCCOMB_X17_Y8_N22
\led_flash_cnt[1208][7]~43804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1208][7]~43804_combout\ = \led_flash_cnt[1208][7]~q\ $ (!\led_flash_cnt[1208][6]~43803\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1208][7]~q\,
	cin => \led_flash_cnt[1208][6]~43803\,
	combout => \led_flash_cnt[1208][7]~43804_combout\);

-- Location: FF_X17_Y8_N23
\led_flash_cnt[1208][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1208][7]~43804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1208][7]~q\);

-- Location: LCCOMB_X17_Y8_N8
\WideAnd1208~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1208~0_combout\ = (\led_flash_cnt[1208][2]~q\ & (\led_flash_cnt[1208][4]~q\ & (\led_flash_cnt[1208][3]~q\ & \led_flash_cnt[1208][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1208][2]~q\,
	datab => \led_flash_cnt[1208][4]~q\,
	datac => \led_flash_cnt[1208][3]~q\,
	datad => \led_flash_cnt[1208][1]~q\,
	combout => \WideAnd1208~0_combout\);

-- Location: LCCOMB_X17_Y8_N24
\WideAnd1208~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1208~1_combout\ = (\led_flash_cnt[1208][5]~q\ & \led_flash_cnt[1208][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1208][5]~q\,
	datad => \led_flash_cnt[1208][6]~q\,
	combout => \WideAnd1208~1_combout\);

-- Location: LCCOMB_X17_Y8_N2
WideAnd1208 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1208~combout\ = (\led_flash_cnt[1208][7]~q\ & (\led_flash_cnt[1208][0]~q\ & (\WideAnd1208~0_combout\ & \WideAnd1208~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1208][7]~q\,
	datab => \led_flash_cnt[1208][0]~q\,
	datac => \WideAnd1208~0_combout\,
	datad => \WideAnd1208~1_combout\,
	combout => \WideAnd1208~combout\);

-- Location: FF_X17_Y8_N3
\led_flash_cnt_ands[1208]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1208~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1208));

-- Location: LCCOMB_X21_Y22_N26
\led_flash_cnt[1211][0]~81851\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1211][0]~81851_combout\ = !\led_flash_cnt[1211][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1211][0]~q\,
	combout => \led_flash_cnt[1211][0]~81851_combout\);

-- Location: FF_X21_Y22_N27
\led_flash_cnt[1211][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1211][0]~81851_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1211][0]~q\);

-- Location: LCCOMB_X29_Y22_N2
\led_flash_cnt[1211][1]~43834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1211][1]~43834_combout\ = (\led_flash_cnt[1211][0]~q\ & (\led_flash_cnt[1211][1]~q\ $ (VCC))) # (!\led_flash_cnt[1211][0]~q\ & (\led_flash_cnt[1211][1]~q\ & VCC))
-- \led_flash_cnt[1211][1]~43835\ = CARRY((\led_flash_cnt[1211][0]~q\ & \led_flash_cnt[1211][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1211][0]~q\,
	datab => \led_flash_cnt[1211][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1211][1]~43834_combout\,
	cout => \led_flash_cnt[1211][1]~43835\);

-- Location: FF_X29_Y22_N3
\led_flash_cnt[1211][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1211][1]~43834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1211][1]~q\);

-- Location: LCCOMB_X29_Y22_N4
\led_flash_cnt[1211][2]~43836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1211][2]~43836_combout\ = (\led_flash_cnt[1211][2]~q\ & (!\led_flash_cnt[1211][1]~43835\)) # (!\led_flash_cnt[1211][2]~q\ & ((\led_flash_cnt[1211][1]~43835\) # (GND)))
-- \led_flash_cnt[1211][2]~43837\ = CARRY((!\led_flash_cnt[1211][1]~43835\) # (!\led_flash_cnt[1211][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1211][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1211][1]~43835\,
	combout => \led_flash_cnt[1211][2]~43836_combout\,
	cout => \led_flash_cnt[1211][2]~43837\);

-- Location: FF_X29_Y22_N5
\led_flash_cnt[1211][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1211][2]~43836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1211][2]~q\);

-- Location: LCCOMB_X29_Y22_N6
\led_flash_cnt[1211][3]~43838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1211][3]~43838_combout\ = (\led_flash_cnt[1211][3]~q\ & (\led_flash_cnt[1211][2]~43837\ $ (GND))) # (!\led_flash_cnt[1211][3]~q\ & (!\led_flash_cnt[1211][2]~43837\ & VCC))
-- \led_flash_cnt[1211][3]~43839\ = CARRY((\led_flash_cnt[1211][3]~q\ & !\led_flash_cnt[1211][2]~43837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1211][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1211][2]~43837\,
	combout => \led_flash_cnt[1211][3]~43838_combout\,
	cout => \led_flash_cnt[1211][3]~43839\);

-- Location: FF_X29_Y22_N7
\led_flash_cnt[1211][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1211][3]~43838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1211][3]~q\);

-- Location: LCCOMB_X29_Y22_N8
\led_flash_cnt[1211][4]~43840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1211][4]~43840_combout\ = (\led_flash_cnt[1211][4]~q\ & (!\led_flash_cnt[1211][3]~43839\)) # (!\led_flash_cnt[1211][4]~q\ & ((\led_flash_cnt[1211][3]~43839\) # (GND)))
-- \led_flash_cnt[1211][4]~43841\ = CARRY((!\led_flash_cnt[1211][3]~43839\) # (!\led_flash_cnt[1211][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1211][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1211][3]~43839\,
	combout => \led_flash_cnt[1211][4]~43840_combout\,
	cout => \led_flash_cnt[1211][4]~43841\);

-- Location: FF_X29_Y22_N9
\led_flash_cnt[1211][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1211][4]~43840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1211][4]~q\);

-- Location: LCCOMB_X29_Y22_N0
\WideAnd1211~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1211~0_combout\ = (\led_flash_cnt[1211][3]~q\ & (\led_flash_cnt[1211][4]~q\ & (\led_flash_cnt[1211][2]~q\ & \led_flash_cnt[1211][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1211][3]~q\,
	datab => \led_flash_cnt[1211][4]~q\,
	datac => \led_flash_cnt[1211][2]~q\,
	datad => \led_flash_cnt[1211][1]~q\,
	combout => \WideAnd1211~0_combout\);

-- Location: LCCOMB_X29_Y22_N10
\led_flash_cnt[1211][5]~43842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1211][5]~43842_combout\ = (\led_flash_cnt[1211][5]~q\ & (\led_flash_cnt[1211][4]~43841\ $ (GND))) # (!\led_flash_cnt[1211][5]~q\ & (!\led_flash_cnt[1211][4]~43841\ & VCC))
-- \led_flash_cnt[1211][5]~43843\ = CARRY((\led_flash_cnt[1211][5]~q\ & !\led_flash_cnt[1211][4]~43841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1211][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1211][4]~43841\,
	combout => \led_flash_cnt[1211][5]~43842_combout\,
	cout => \led_flash_cnt[1211][5]~43843\);

-- Location: FF_X29_Y22_N11
\led_flash_cnt[1211][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1211][5]~43842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1211][5]~q\);

-- Location: LCCOMB_X29_Y22_N12
\led_flash_cnt[1211][6]~43844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1211][6]~43844_combout\ = (\led_flash_cnt[1211][6]~q\ & (!\led_flash_cnt[1211][5]~43843\)) # (!\led_flash_cnt[1211][6]~q\ & ((\led_flash_cnt[1211][5]~43843\) # (GND)))
-- \led_flash_cnt[1211][6]~43845\ = CARRY((!\led_flash_cnt[1211][5]~43843\) # (!\led_flash_cnt[1211][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1211][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1211][5]~43843\,
	combout => \led_flash_cnt[1211][6]~43844_combout\,
	cout => \led_flash_cnt[1211][6]~43845\);

-- Location: FF_X29_Y22_N13
\led_flash_cnt[1211][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1211][6]~43844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1211][6]~q\);

-- Location: LCCOMB_X29_Y22_N14
\led_flash_cnt[1211][7]~43846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1211][7]~43846_combout\ = \led_flash_cnt[1211][7]~q\ $ (!\led_flash_cnt[1211][6]~43845\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1211][7]~q\,
	cin => \led_flash_cnt[1211][6]~43845\,
	combout => \led_flash_cnt[1211][7]~43846_combout\);

-- Location: FF_X29_Y22_N15
\led_flash_cnt[1211][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1211][7]~43846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1211][7]~q\);

-- Location: LCCOMB_X30_Y22_N28
\WideAnd1211~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1211~1_combout\ = (\led_flash_cnt[1211][6]~q\ & \led_flash_cnt[1211][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1211][6]~q\,
	datad => \led_flash_cnt[1211][5]~q\,
	combout => \WideAnd1211~1_combout\);

-- Location: LCCOMB_X29_Y22_N30
WideAnd1211 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1211~combout\ = (\led_flash_cnt[1211][0]~q\ & (\WideAnd1211~0_combout\ & (\led_flash_cnt[1211][7]~q\ & \WideAnd1211~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1211][0]~q\,
	datab => \WideAnd1211~0_combout\,
	datac => \led_flash_cnt[1211][7]~q\,
	datad => \WideAnd1211~1_combout\,
	combout => \WideAnd1211~combout\);

-- Location: FF_X29_Y22_N31
\led_flash_cnt_ands[1211]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1211~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1211));

-- Location: LCCOMB_X17_Y29_N8
\led_flash_cnt[1209][0]~81849\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1209][0]~81849_combout\ = !\led_flash_cnt[1209][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1209][0]~q\,
	combout => \led_flash_cnt[1209][0]~81849_combout\);

-- Location: FF_X17_Y29_N9
\led_flash_cnt[1209][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1209][0]~81849_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1209][0]~q\);

-- Location: LCCOMB_X18_Y29_N18
\led_flash_cnt[1209][1]~43806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1209][1]~43806_combout\ = (\led_flash_cnt[1209][0]~q\ & (\led_flash_cnt[1209][1]~q\ $ (VCC))) # (!\led_flash_cnt[1209][0]~q\ & (\led_flash_cnt[1209][1]~q\ & VCC))
-- \led_flash_cnt[1209][1]~43807\ = CARRY((\led_flash_cnt[1209][0]~q\ & \led_flash_cnt[1209][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1209][0]~q\,
	datab => \led_flash_cnt[1209][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1209][1]~43806_combout\,
	cout => \led_flash_cnt[1209][1]~43807\);

-- Location: FF_X18_Y29_N19
\led_flash_cnt[1209][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1209][1]~43806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1209][1]~q\);

-- Location: LCCOMB_X18_Y29_N20
\led_flash_cnt[1209][2]~43808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1209][2]~43808_combout\ = (\led_flash_cnt[1209][2]~q\ & (!\led_flash_cnt[1209][1]~43807\)) # (!\led_flash_cnt[1209][2]~q\ & ((\led_flash_cnt[1209][1]~43807\) # (GND)))
-- \led_flash_cnt[1209][2]~43809\ = CARRY((!\led_flash_cnt[1209][1]~43807\) # (!\led_flash_cnt[1209][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1209][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1209][1]~43807\,
	combout => \led_flash_cnt[1209][2]~43808_combout\,
	cout => \led_flash_cnt[1209][2]~43809\);

-- Location: FF_X18_Y29_N21
\led_flash_cnt[1209][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1209][2]~43808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1209][2]~q\);

-- Location: LCCOMB_X18_Y29_N22
\led_flash_cnt[1209][3]~43810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1209][3]~43810_combout\ = (\led_flash_cnt[1209][3]~q\ & (\led_flash_cnt[1209][2]~43809\ $ (GND))) # (!\led_flash_cnt[1209][3]~q\ & (!\led_flash_cnt[1209][2]~43809\ & VCC))
-- \led_flash_cnt[1209][3]~43811\ = CARRY((\led_flash_cnt[1209][3]~q\ & !\led_flash_cnt[1209][2]~43809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1209][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1209][2]~43809\,
	combout => \led_flash_cnt[1209][3]~43810_combout\,
	cout => \led_flash_cnt[1209][3]~43811\);

-- Location: FF_X18_Y29_N23
\led_flash_cnt[1209][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1209][3]~43810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1209][3]~q\);

-- Location: LCCOMB_X18_Y29_N24
\led_flash_cnt[1209][4]~43812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1209][4]~43812_combout\ = (\led_flash_cnt[1209][4]~q\ & (!\led_flash_cnt[1209][3]~43811\)) # (!\led_flash_cnt[1209][4]~q\ & ((\led_flash_cnt[1209][3]~43811\) # (GND)))
-- \led_flash_cnt[1209][4]~43813\ = CARRY((!\led_flash_cnt[1209][3]~43811\) # (!\led_flash_cnt[1209][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1209][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1209][3]~43811\,
	combout => \led_flash_cnt[1209][4]~43812_combout\,
	cout => \led_flash_cnt[1209][4]~43813\);

-- Location: FF_X18_Y29_N25
\led_flash_cnt[1209][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1209][4]~43812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1209][4]~q\);

-- Location: LCCOMB_X18_Y29_N0
\WideAnd1209~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1209~0_combout\ = (\led_flash_cnt[1209][4]~q\ & (\led_flash_cnt[1209][2]~q\ & (\led_flash_cnt[1209][3]~q\ & \led_flash_cnt[1209][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1209][4]~q\,
	datab => \led_flash_cnt[1209][2]~q\,
	datac => \led_flash_cnt[1209][3]~q\,
	datad => \led_flash_cnt[1209][1]~q\,
	combout => \WideAnd1209~0_combout\);

-- Location: LCCOMB_X18_Y29_N26
\led_flash_cnt[1209][5]~43814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1209][5]~43814_combout\ = (\led_flash_cnt[1209][5]~q\ & (\led_flash_cnt[1209][4]~43813\ $ (GND))) # (!\led_flash_cnt[1209][5]~q\ & (!\led_flash_cnt[1209][4]~43813\ & VCC))
-- \led_flash_cnt[1209][5]~43815\ = CARRY((\led_flash_cnt[1209][5]~q\ & !\led_flash_cnt[1209][4]~43813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1209][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1209][4]~43813\,
	combout => \led_flash_cnt[1209][5]~43814_combout\,
	cout => \led_flash_cnt[1209][5]~43815\);

-- Location: FF_X18_Y29_N27
\led_flash_cnt[1209][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1209][5]~43814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1209][5]~q\);

-- Location: LCCOMB_X18_Y29_N28
\led_flash_cnt[1209][6]~43816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1209][6]~43816_combout\ = (\led_flash_cnt[1209][6]~q\ & (!\led_flash_cnt[1209][5]~43815\)) # (!\led_flash_cnt[1209][6]~q\ & ((\led_flash_cnt[1209][5]~43815\) # (GND)))
-- \led_flash_cnt[1209][6]~43817\ = CARRY((!\led_flash_cnt[1209][5]~43815\) # (!\led_flash_cnt[1209][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1209][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1209][5]~43815\,
	combout => \led_flash_cnt[1209][6]~43816_combout\,
	cout => \led_flash_cnt[1209][6]~43817\);

-- Location: FF_X18_Y29_N29
\led_flash_cnt[1209][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1209][6]~43816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1209][6]~q\);

-- Location: LCCOMB_X18_Y29_N30
\led_flash_cnt[1209][7]~43818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1209][7]~43818_combout\ = \led_flash_cnt[1209][7]~q\ $ (!\led_flash_cnt[1209][6]~43817\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1209][7]~q\,
	cin => \led_flash_cnt[1209][6]~43817\,
	combout => \led_flash_cnt[1209][7]~43818_combout\);

-- Location: FF_X18_Y29_N31
\led_flash_cnt[1209][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1209][7]~43818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1209][7]~q\);

-- Location: LCCOMB_X18_Y22_N2
\WideAnd1209~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1209~1_combout\ = (\led_flash_cnt[1209][6]~q\ & \led_flash_cnt[1209][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1209][6]~q\,
	datad => \led_flash_cnt[1209][5]~q\,
	combout => \WideAnd1209~1_combout\);

-- Location: LCCOMB_X18_Y22_N28
WideAnd1209 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1209~combout\ = (\WideAnd1209~0_combout\ & (\led_flash_cnt[1209][0]~q\ & (\led_flash_cnt[1209][7]~q\ & \WideAnd1209~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1209~0_combout\,
	datab => \led_flash_cnt[1209][0]~q\,
	datac => \led_flash_cnt[1209][7]~q\,
	datad => \WideAnd1209~1_combout\,
	combout => \WideAnd1209~combout\);

-- Location: FF_X21_Y22_N1
\led_flash_cnt_ands[1209]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd1209~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1209));

-- Location: LCCOMB_X21_Y22_N16
\led_flash_cnt[1210][0]~81850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1210][0]~81850_combout\ = !\led_flash_cnt[1210][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1210][0]~q\,
	combout => \led_flash_cnt[1210][0]~81850_combout\);

-- Location: FF_X21_Y22_N17
\led_flash_cnt[1210][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1210][0]~81850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1210][0]~q\);

-- Location: LCCOMB_X21_Y22_N2
\led_flash_cnt[1210][1]~43820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1210][1]~43820_combout\ = (\led_flash_cnt[1210][1]~q\ & (\led_flash_cnt[1210][0]~q\ $ (VCC))) # (!\led_flash_cnt[1210][1]~q\ & (\led_flash_cnt[1210][0]~q\ & VCC))
-- \led_flash_cnt[1210][1]~43821\ = CARRY((\led_flash_cnt[1210][1]~q\ & \led_flash_cnt[1210][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1210][1]~q\,
	datab => \led_flash_cnt[1210][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1210][1]~43820_combout\,
	cout => \led_flash_cnt[1210][1]~43821\);

-- Location: FF_X21_Y22_N3
\led_flash_cnt[1210][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1210][1]~43820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1210][1]~q\);

-- Location: LCCOMB_X21_Y22_N4
\led_flash_cnt[1210][2]~43822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1210][2]~43822_combout\ = (\led_flash_cnt[1210][2]~q\ & (!\led_flash_cnt[1210][1]~43821\)) # (!\led_flash_cnt[1210][2]~q\ & ((\led_flash_cnt[1210][1]~43821\) # (GND)))
-- \led_flash_cnt[1210][2]~43823\ = CARRY((!\led_flash_cnt[1210][1]~43821\) # (!\led_flash_cnt[1210][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1210][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1210][1]~43821\,
	combout => \led_flash_cnt[1210][2]~43822_combout\,
	cout => \led_flash_cnt[1210][2]~43823\);

-- Location: FF_X21_Y22_N5
\led_flash_cnt[1210][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1210][2]~43822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1210][2]~q\);

-- Location: LCCOMB_X21_Y22_N6
\led_flash_cnt[1210][3]~43824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1210][3]~43824_combout\ = (\led_flash_cnt[1210][3]~q\ & (\led_flash_cnt[1210][2]~43823\ $ (GND))) # (!\led_flash_cnt[1210][3]~q\ & (!\led_flash_cnt[1210][2]~43823\ & VCC))
-- \led_flash_cnt[1210][3]~43825\ = CARRY((\led_flash_cnt[1210][3]~q\ & !\led_flash_cnt[1210][2]~43823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1210][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1210][2]~43823\,
	combout => \led_flash_cnt[1210][3]~43824_combout\,
	cout => \led_flash_cnt[1210][3]~43825\);

-- Location: FF_X21_Y22_N7
\led_flash_cnt[1210][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1210][3]~43824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1210][3]~q\);

-- Location: LCCOMB_X21_Y22_N8
\led_flash_cnt[1210][4]~43826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1210][4]~43826_combout\ = (\led_flash_cnt[1210][4]~q\ & (!\led_flash_cnt[1210][3]~43825\)) # (!\led_flash_cnt[1210][4]~q\ & ((\led_flash_cnt[1210][3]~43825\) # (GND)))
-- \led_flash_cnt[1210][4]~43827\ = CARRY((!\led_flash_cnt[1210][3]~43825\) # (!\led_flash_cnt[1210][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1210][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1210][3]~43825\,
	combout => \led_flash_cnt[1210][4]~43826_combout\,
	cout => \led_flash_cnt[1210][4]~43827\);

-- Location: FF_X21_Y22_N9
\led_flash_cnt[1210][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1210][4]~43826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1210][4]~q\);

-- Location: LCCOMB_X21_Y22_N22
\WideAnd1210~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1210~0_combout\ = (\led_flash_cnt[1210][1]~q\ & (\led_flash_cnt[1210][4]~q\ & (\led_flash_cnt[1210][2]~q\ & \led_flash_cnt[1210][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1210][1]~q\,
	datab => \led_flash_cnt[1210][4]~q\,
	datac => \led_flash_cnt[1210][2]~q\,
	datad => \led_flash_cnt[1210][3]~q\,
	combout => \WideAnd1210~0_combout\);

-- Location: LCCOMB_X21_Y22_N10
\led_flash_cnt[1210][5]~43828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1210][5]~43828_combout\ = (\led_flash_cnt[1210][5]~q\ & (\led_flash_cnt[1210][4]~43827\ $ (GND))) # (!\led_flash_cnt[1210][5]~q\ & (!\led_flash_cnt[1210][4]~43827\ & VCC))
-- \led_flash_cnt[1210][5]~43829\ = CARRY((\led_flash_cnt[1210][5]~q\ & !\led_flash_cnt[1210][4]~43827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1210][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1210][4]~43827\,
	combout => \led_flash_cnt[1210][5]~43828_combout\,
	cout => \led_flash_cnt[1210][5]~43829\);

-- Location: FF_X21_Y22_N11
\led_flash_cnt[1210][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1210][5]~43828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1210][5]~q\);

-- Location: LCCOMB_X21_Y22_N12
\led_flash_cnt[1210][6]~43830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1210][6]~43830_combout\ = (\led_flash_cnt[1210][6]~q\ & (!\led_flash_cnt[1210][5]~43829\)) # (!\led_flash_cnt[1210][6]~q\ & ((\led_flash_cnt[1210][5]~43829\) # (GND)))
-- \led_flash_cnt[1210][6]~43831\ = CARRY((!\led_flash_cnt[1210][5]~43829\) # (!\led_flash_cnt[1210][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1210][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1210][5]~43829\,
	combout => \led_flash_cnt[1210][6]~43830_combout\,
	cout => \led_flash_cnt[1210][6]~43831\);

-- Location: FF_X21_Y22_N13
\led_flash_cnt[1210][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1210][6]~43830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1210][6]~q\);

-- Location: LCCOMB_X21_Y22_N28
\WideAnd1210~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1210~1_combout\ = (\led_flash_cnt[1210][5]~q\ & \led_flash_cnt[1210][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1210][5]~q\,
	datad => \led_flash_cnt[1210][6]~q\,
	combout => \WideAnd1210~1_combout\);

-- Location: LCCOMB_X21_Y22_N14
\led_flash_cnt[1210][7]~43832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1210][7]~43832_combout\ = \led_flash_cnt[1210][7]~q\ $ (!\led_flash_cnt[1210][6]~43831\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1210][7]~q\,
	cin => \led_flash_cnt[1210][6]~43831\,
	combout => \led_flash_cnt[1210][7]~43832_combout\);

-- Location: FF_X21_Y22_N15
\led_flash_cnt[1210][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1210][7]~43832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1210][7]~q\);

-- Location: LCCOMB_X21_Y22_N20
WideAnd1210 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1210~combout\ = (\WideAnd1210~0_combout\ & (\WideAnd1210~1_combout\ & (\led_flash_cnt[1210][7]~q\ & \led_flash_cnt[1210][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1210~0_combout\,
	datab => \WideAnd1210~1_combout\,
	datac => \led_flash_cnt[1210][7]~q\,
	datad => \led_flash_cnt[1210][0]~q\,
	combout => \WideAnd1210~combout\);

-- Location: FF_X21_Y22_N21
\led_flash_cnt_ands[1210]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1210~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1210));

-- Location: LCCOMB_X21_Y22_N0
\WideAnd3991~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3991~0_combout\ = (led_flash_cnt_ands(1208) & (led_flash_cnt_ands(1211) & (led_flash_cnt_ands(1209) & led_flash_cnt_ands(1210))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1208),
	datab => led_flash_cnt_ands(1211),
	datac => led_flash_cnt_ands(1209),
	datad => led_flash_cnt_ands(1210),
	combout => \WideAnd3991~0_combout\);

-- Location: LCCOMB_X21_Y22_N24
WideAnd3991 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3991~combout\ = (\WideAnd3991~1_combout\ & (led_flash_cnt_ands(1214) & (led_flash_cnt_ands(1215) & \WideAnd3991~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3991~1_combout\,
	datab => led_flash_cnt_ands(1214),
	datac => led_flash_cnt_ands(1215),
	datad => \WideAnd3991~0_combout\,
	combout => \WideAnd3991~combout\);

-- Location: FF_X21_Y22_N25
\led_flash_cnt_ands_1[151]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3991~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(151));

-- Location: LCCOMB_X58_Y21_N6
\led_flash_cnt[1165][0]~81805\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1165][0]~81805_combout\ = !\led_flash_cnt[1165][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1165][0]~q\,
	combout => \led_flash_cnt[1165][0]~81805_combout\);

-- Location: FF_X58_Y21_N7
\led_flash_cnt[1165][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1165][0]~81805_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1165][0]~q\);

-- Location: LCCOMB_X59_Y21_N0
\led_flash_cnt[1165][1]~43190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1165][1]~43190_combout\ = (\led_flash_cnt[1165][0]~q\ & (\led_flash_cnt[1165][1]~q\ $ (VCC))) # (!\led_flash_cnt[1165][0]~q\ & (\led_flash_cnt[1165][1]~q\ & VCC))
-- \led_flash_cnt[1165][1]~43191\ = CARRY((\led_flash_cnt[1165][0]~q\ & \led_flash_cnt[1165][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1165][0]~q\,
	datab => \led_flash_cnt[1165][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1165][1]~43190_combout\,
	cout => \led_flash_cnt[1165][1]~43191\);

-- Location: FF_X59_Y21_N1
\led_flash_cnt[1165][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1165][1]~43190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1165][1]~q\);

-- Location: LCCOMB_X59_Y21_N2
\led_flash_cnt[1165][2]~43192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1165][2]~43192_combout\ = (\led_flash_cnt[1165][2]~q\ & (!\led_flash_cnt[1165][1]~43191\)) # (!\led_flash_cnt[1165][2]~q\ & ((\led_flash_cnt[1165][1]~43191\) # (GND)))
-- \led_flash_cnt[1165][2]~43193\ = CARRY((!\led_flash_cnt[1165][1]~43191\) # (!\led_flash_cnt[1165][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1165][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1165][1]~43191\,
	combout => \led_flash_cnt[1165][2]~43192_combout\,
	cout => \led_flash_cnt[1165][2]~43193\);

-- Location: FF_X59_Y21_N3
\led_flash_cnt[1165][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1165][2]~43192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1165][2]~q\);

-- Location: LCCOMB_X59_Y21_N4
\led_flash_cnt[1165][3]~43194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1165][3]~43194_combout\ = (\led_flash_cnt[1165][3]~q\ & (\led_flash_cnt[1165][2]~43193\ $ (GND))) # (!\led_flash_cnt[1165][3]~q\ & (!\led_flash_cnt[1165][2]~43193\ & VCC))
-- \led_flash_cnt[1165][3]~43195\ = CARRY((\led_flash_cnt[1165][3]~q\ & !\led_flash_cnt[1165][2]~43193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1165][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1165][2]~43193\,
	combout => \led_flash_cnt[1165][3]~43194_combout\,
	cout => \led_flash_cnt[1165][3]~43195\);

-- Location: FF_X59_Y21_N5
\led_flash_cnt[1165][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1165][3]~43194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1165][3]~q\);

-- Location: LCCOMB_X59_Y21_N6
\led_flash_cnt[1165][4]~43196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1165][4]~43196_combout\ = (\led_flash_cnt[1165][4]~q\ & (!\led_flash_cnt[1165][3]~43195\)) # (!\led_flash_cnt[1165][4]~q\ & ((\led_flash_cnt[1165][3]~43195\) # (GND)))
-- \led_flash_cnt[1165][4]~43197\ = CARRY((!\led_flash_cnt[1165][3]~43195\) # (!\led_flash_cnt[1165][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1165][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1165][3]~43195\,
	combout => \led_flash_cnt[1165][4]~43196_combout\,
	cout => \led_flash_cnt[1165][4]~43197\);

-- Location: FF_X59_Y21_N7
\led_flash_cnt[1165][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1165][4]~43196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1165][4]~q\);

-- Location: LCCOMB_X59_Y21_N8
\led_flash_cnt[1165][5]~43198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1165][5]~43198_combout\ = (\led_flash_cnt[1165][5]~q\ & (\led_flash_cnt[1165][4]~43197\ $ (GND))) # (!\led_flash_cnt[1165][5]~q\ & (!\led_flash_cnt[1165][4]~43197\ & VCC))
-- \led_flash_cnt[1165][5]~43199\ = CARRY((\led_flash_cnt[1165][5]~q\ & !\led_flash_cnt[1165][4]~43197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1165][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1165][4]~43197\,
	combout => \led_flash_cnt[1165][5]~43198_combout\,
	cout => \led_flash_cnt[1165][5]~43199\);

-- Location: FF_X59_Y21_N9
\led_flash_cnt[1165][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1165][5]~43198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1165][5]~q\);

-- Location: LCCOMB_X59_Y21_N10
\led_flash_cnt[1165][6]~43200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1165][6]~43200_combout\ = (\led_flash_cnt[1165][6]~q\ & (!\led_flash_cnt[1165][5]~43199\)) # (!\led_flash_cnt[1165][6]~q\ & ((\led_flash_cnt[1165][5]~43199\) # (GND)))
-- \led_flash_cnt[1165][6]~43201\ = CARRY((!\led_flash_cnt[1165][5]~43199\) # (!\led_flash_cnt[1165][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1165][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1165][5]~43199\,
	combout => \led_flash_cnt[1165][6]~43200_combout\,
	cout => \led_flash_cnt[1165][6]~43201\);

-- Location: FF_X59_Y21_N11
\led_flash_cnt[1165][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1165][6]~43200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1165][6]~q\);

-- Location: LCCOMB_X58_Y21_N30
\WideAnd1165~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1165~1_combout\ = (\led_flash_cnt[1165][5]~q\ & \led_flash_cnt[1165][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1165][5]~q\,
	datac => \led_flash_cnt[1165][6]~q\,
	combout => \WideAnd1165~1_combout\);

-- Location: LCCOMB_X59_Y21_N14
\WideAnd1165~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1165~0_combout\ = (\led_flash_cnt[1165][4]~q\ & (\led_flash_cnt[1165][1]~q\ & (\led_flash_cnt[1165][3]~q\ & \led_flash_cnt[1165][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1165][4]~q\,
	datab => \led_flash_cnt[1165][1]~q\,
	datac => \led_flash_cnt[1165][3]~q\,
	datad => \led_flash_cnt[1165][2]~q\,
	combout => \WideAnd1165~0_combout\);

-- Location: LCCOMB_X59_Y21_N12
\led_flash_cnt[1165][7]~43202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1165][7]~43202_combout\ = \led_flash_cnt[1165][6]~43201\ $ (!\led_flash_cnt[1165][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1165][7]~q\,
	cin => \led_flash_cnt[1165][6]~43201\,
	combout => \led_flash_cnt[1165][7]~43202_combout\);

-- Location: FF_X59_Y21_N13
\led_flash_cnt[1165][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1165][7]~43202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1165][7]~q\);

-- Location: LCCOMB_X58_Y21_N0
WideAnd1165 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1165~combout\ = (\WideAnd1165~1_combout\ & (\WideAnd1165~0_combout\ & (\led_flash_cnt[1165][7]~q\ & \led_flash_cnt[1165][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1165~1_combout\,
	datab => \WideAnd1165~0_combout\,
	datac => \led_flash_cnt[1165][7]~q\,
	datad => \led_flash_cnt[1165][0]~q\,
	combout => \WideAnd1165~combout\);

-- Location: FF_X58_Y21_N1
\led_flash_cnt_ands[1165]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1165~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1165));

-- Location: LCCOMB_X58_Y21_N2
\led_flash_cnt[1164][0]~81804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1164][0]~81804_combout\ = !\led_flash_cnt[1164][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1164][0]~q\,
	combout => \led_flash_cnt[1164][0]~81804_combout\);

-- Location: FF_X58_Y21_N3
\led_flash_cnt[1164][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1164][0]~81804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1164][0]~q\);

-- Location: LCCOMB_X58_Y21_N10
\led_flash_cnt[1164][1]~43176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1164][1]~43176_combout\ = (\led_flash_cnt[1164][1]~q\ & (\led_flash_cnt[1164][0]~q\ $ (VCC))) # (!\led_flash_cnt[1164][1]~q\ & (\led_flash_cnt[1164][0]~q\ & VCC))
-- \led_flash_cnt[1164][1]~43177\ = CARRY((\led_flash_cnt[1164][1]~q\ & \led_flash_cnt[1164][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1164][1]~q\,
	datab => \led_flash_cnt[1164][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1164][1]~43176_combout\,
	cout => \led_flash_cnt[1164][1]~43177\);

-- Location: FF_X58_Y21_N11
\led_flash_cnt[1164][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1164][1]~43176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1164][1]~q\);

-- Location: LCCOMB_X58_Y21_N12
\led_flash_cnt[1164][2]~43178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1164][2]~43178_combout\ = (\led_flash_cnt[1164][2]~q\ & (!\led_flash_cnt[1164][1]~43177\)) # (!\led_flash_cnt[1164][2]~q\ & ((\led_flash_cnt[1164][1]~43177\) # (GND)))
-- \led_flash_cnt[1164][2]~43179\ = CARRY((!\led_flash_cnt[1164][1]~43177\) # (!\led_flash_cnt[1164][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1164][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1164][1]~43177\,
	combout => \led_flash_cnt[1164][2]~43178_combout\,
	cout => \led_flash_cnt[1164][2]~43179\);

-- Location: FF_X58_Y21_N13
\led_flash_cnt[1164][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1164][2]~43178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1164][2]~q\);

-- Location: LCCOMB_X58_Y21_N14
\led_flash_cnt[1164][3]~43180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1164][3]~43180_combout\ = (\led_flash_cnt[1164][3]~q\ & (\led_flash_cnt[1164][2]~43179\ $ (GND))) # (!\led_flash_cnt[1164][3]~q\ & (!\led_flash_cnt[1164][2]~43179\ & VCC))
-- \led_flash_cnt[1164][3]~43181\ = CARRY((\led_flash_cnt[1164][3]~q\ & !\led_flash_cnt[1164][2]~43179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1164][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1164][2]~43179\,
	combout => \led_flash_cnt[1164][3]~43180_combout\,
	cout => \led_flash_cnt[1164][3]~43181\);

-- Location: FF_X58_Y21_N15
\led_flash_cnt[1164][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1164][3]~43180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1164][3]~q\);

-- Location: LCCOMB_X58_Y21_N16
\led_flash_cnt[1164][4]~43182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1164][4]~43182_combout\ = (\led_flash_cnt[1164][4]~q\ & (!\led_flash_cnt[1164][3]~43181\)) # (!\led_flash_cnt[1164][4]~q\ & ((\led_flash_cnt[1164][3]~43181\) # (GND)))
-- \led_flash_cnt[1164][4]~43183\ = CARRY((!\led_flash_cnt[1164][3]~43181\) # (!\led_flash_cnt[1164][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1164][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1164][3]~43181\,
	combout => \led_flash_cnt[1164][4]~43182_combout\,
	cout => \led_flash_cnt[1164][4]~43183\);

-- Location: FF_X58_Y21_N17
\led_flash_cnt[1164][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1164][4]~43182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1164][4]~q\);

-- Location: LCCOMB_X58_Y21_N18
\led_flash_cnt[1164][5]~43184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1164][5]~43184_combout\ = (\led_flash_cnt[1164][5]~q\ & (\led_flash_cnt[1164][4]~43183\ $ (GND))) # (!\led_flash_cnt[1164][5]~q\ & (!\led_flash_cnt[1164][4]~43183\ & VCC))
-- \led_flash_cnt[1164][5]~43185\ = CARRY((\led_flash_cnt[1164][5]~q\ & !\led_flash_cnt[1164][4]~43183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1164][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1164][4]~43183\,
	combout => \led_flash_cnt[1164][5]~43184_combout\,
	cout => \led_flash_cnt[1164][5]~43185\);

-- Location: FF_X58_Y21_N19
\led_flash_cnt[1164][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1164][5]~43184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1164][5]~q\);

-- Location: LCCOMB_X58_Y21_N20
\led_flash_cnt[1164][6]~43186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1164][6]~43186_combout\ = (\led_flash_cnt[1164][6]~q\ & (!\led_flash_cnt[1164][5]~43185\)) # (!\led_flash_cnt[1164][6]~q\ & ((\led_flash_cnt[1164][5]~43185\) # (GND)))
-- \led_flash_cnt[1164][6]~43187\ = CARRY((!\led_flash_cnt[1164][5]~43185\) # (!\led_flash_cnt[1164][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1164][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1164][5]~43185\,
	combout => \led_flash_cnt[1164][6]~43186_combout\,
	cout => \led_flash_cnt[1164][6]~43187\);

-- Location: FF_X58_Y21_N21
\led_flash_cnt[1164][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1164][6]~43186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1164][6]~q\);

-- Location: LCCOMB_X58_Y21_N22
\led_flash_cnt[1164][7]~43188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1164][7]~43188_combout\ = \led_flash_cnt[1164][7]~q\ $ (!\led_flash_cnt[1164][6]~43187\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1164][7]~q\,
	cin => \led_flash_cnt[1164][6]~43187\,
	combout => \led_flash_cnt[1164][7]~43188_combout\);

-- Location: FF_X58_Y21_N23
\led_flash_cnt[1164][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1164][7]~43188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1164][7]~q\);

-- Location: LCCOMB_X58_Y21_N8
\WideAnd1164~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1164~1_combout\ = (\led_flash_cnt[1164][6]~q\ & \led_flash_cnt[1164][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1164][6]~q\,
	datad => \led_flash_cnt[1164][5]~q\,
	combout => \WideAnd1164~1_combout\);

-- Location: LCCOMB_X58_Y21_N24
\WideAnd1164~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1164~0_combout\ = (\led_flash_cnt[1164][2]~q\ & (\led_flash_cnt[1164][4]~q\ & (\led_flash_cnt[1164][3]~q\ & \led_flash_cnt[1164][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1164][2]~q\,
	datab => \led_flash_cnt[1164][4]~q\,
	datac => \led_flash_cnt[1164][3]~q\,
	datad => \led_flash_cnt[1164][1]~q\,
	combout => \WideAnd1164~0_combout\);

-- Location: LCCOMB_X58_Y21_N26
WideAnd1164 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1164~combout\ = (\led_flash_cnt[1164][7]~q\ & (\led_flash_cnt[1164][0]~q\ & (\WideAnd1164~1_combout\ & \WideAnd1164~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1164][7]~q\,
	datab => \led_flash_cnt[1164][0]~q\,
	datac => \WideAnd1164~1_combout\,
	datad => \WideAnd1164~0_combout\,
	combout => \WideAnd1164~combout\);

-- Location: FF_X58_Y21_N27
\led_flash_cnt_ands[1164]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1164~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1164));

-- Location: LCCOMB_X57_Y21_N0
\WideAnd3985~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3985~1_combout\ = (led_flash_cnt_ands(1165) & led_flash_cnt_ands(1164))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1165),
	datad => led_flash_cnt_ands(1164),
	combout => \WideAnd3985~1_combout\);

-- Location: LCCOMB_X63_Y22_N28
\led_flash_cnt[1167][0]~81807\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1167][0]~81807_combout\ = !\led_flash_cnt[1167][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1167][0]~q\,
	combout => \led_flash_cnt[1167][0]~81807_combout\);

-- Location: FF_X63_Y22_N29
\led_flash_cnt[1167][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1167][0]~81807_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1167][0]~q\);

-- Location: LCCOMB_X63_Y22_N12
\led_flash_cnt[1167][1]~43218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1167][1]~43218_combout\ = (\led_flash_cnt[1167][1]~q\ & (\led_flash_cnt[1167][0]~q\ $ (VCC))) # (!\led_flash_cnt[1167][1]~q\ & (\led_flash_cnt[1167][0]~q\ & VCC))
-- \led_flash_cnt[1167][1]~43219\ = CARRY((\led_flash_cnt[1167][1]~q\ & \led_flash_cnt[1167][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1167][1]~q\,
	datab => \led_flash_cnt[1167][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1167][1]~43218_combout\,
	cout => \led_flash_cnt[1167][1]~43219\);

-- Location: FF_X63_Y22_N13
\led_flash_cnt[1167][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1167][1]~43218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1167][1]~q\);

-- Location: LCCOMB_X63_Y22_N14
\led_flash_cnt[1167][2]~43220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1167][2]~43220_combout\ = (\led_flash_cnt[1167][2]~q\ & (!\led_flash_cnt[1167][1]~43219\)) # (!\led_flash_cnt[1167][2]~q\ & ((\led_flash_cnt[1167][1]~43219\) # (GND)))
-- \led_flash_cnt[1167][2]~43221\ = CARRY((!\led_flash_cnt[1167][1]~43219\) # (!\led_flash_cnt[1167][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1167][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1167][1]~43219\,
	combout => \led_flash_cnt[1167][2]~43220_combout\,
	cout => \led_flash_cnt[1167][2]~43221\);

-- Location: FF_X63_Y22_N15
\led_flash_cnt[1167][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1167][2]~43220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1167][2]~q\);

-- Location: LCCOMB_X63_Y22_N16
\led_flash_cnt[1167][3]~43222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1167][3]~43222_combout\ = (\led_flash_cnt[1167][3]~q\ & (\led_flash_cnt[1167][2]~43221\ $ (GND))) # (!\led_flash_cnt[1167][3]~q\ & (!\led_flash_cnt[1167][2]~43221\ & VCC))
-- \led_flash_cnt[1167][3]~43223\ = CARRY((\led_flash_cnt[1167][3]~q\ & !\led_flash_cnt[1167][2]~43221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1167][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1167][2]~43221\,
	combout => \led_flash_cnt[1167][3]~43222_combout\,
	cout => \led_flash_cnt[1167][3]~43223\);

-- Location: FF_X63_Y22_N17
\led_flash_cnt[1167][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1167][3]~43222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1167][3]~q\);

-- Location: LCCOMB_X63_Y22_N18
\led_flash_cnt[1167][4]~43224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1167][4]~43224_combout\ = (\led_flash_cnt[1167][4]~q\ & (!\led_flash_cnt[1167][3]~43223\)) # (!\led_flash_cnt[1167][4]~q\ & ((\led_flash_cnt[1167][3]~43223\) # (GND)))
-- \led_flash_cnt[1167][4]~43225\ = CARRY((!\led_flash_cnt[1167][3]~43223\) # (!\led_flash_cnt[1167][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1167][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1167][3]~43223\,
	combout => \led_flash_cnt[1167][4]~43224_combout\,
	cout => \led_flash_cnt[1167][4]~43225\);

-- Location: FF_X63_Y22_N19
\led_flash_cnt[1167][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1167][4]~43224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1167][4]~q\);

-- Location: LCCOMB_X63_Y22_N6
\WideAnd1167~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1167~0_combout\ = (\led_flash_cnt[1167][1]~q\ & (\led_flash_cnt[1167][4]~q\ & (\led_flash_cnt[1167][2]~q\ & \led_flash_cnt[1167][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1167][1]~q\,
	datab => \led_flash_cnt[1167][4]~q\,
	datac => \led_flash_cnt[1167][2]~q\,
	datad => \led_flash_cnt[1167][3]~q\,
	combout => \WideAnd1167~0_combout\);

-- Location: LCCOMB_X63_Y22_N20
\led_flash_cnt[1167][5]~43226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1167][5]~43226_combout\ = (\led_flash_cnt[1167][5]~q\ & (\led_flash_cnt[1167][4]~43225\ $ (GND))) # (!\led_flash_cnt[1167][5]~q\ & (!\led_flash_cnt[1167][4]~43225\ & VCC))
-- \led_flash_cnt[1167][5]~43227\ = CARRY((\led_flash_cnt[1167][5]~q\ & !\led_flash_cnt[1167][4]~43225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1167][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1167][4]~43225\,
	combout => \led_flash_cnt[1167][5]~43226_combout\,
	cout => \led_flash_cnt[1167][5]~43227\);

-- Location: FF_X63_Y22_N21
\led_flash_cnt[1167][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1167][5]~43226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1167][5]~q\);

-- Location: LCCOMB_X63_Y22_N22
\led_flash_cnt[1167][6]~43228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1167][6]~43228_combout\ = (\led_flash_cnt[1167][6]~q\ & (!\led_flash_cnt[1167][5]~43227\)) # (!\led_flash_cnt[1167][6]~q\ & ((\led_flash_cnt[1167][5]~43227\) # (GND)))
-- \led_flash_cnt[1167][6]~43229\ = CARRY((!\led_flash_cnt[1167][5]~43227\) # (!\led_flash_cnt[1167][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1167][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1167][5]~43227\,
	combout => \led_flash_cnt[1167][6]~43228_combout\,
	cout => \led_flash_cnt[1167][6]~43229\);

-- Location: FF_X63_Y22_N23
\led_flash_cnt[1167][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1167][6]~43228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1167][6]~q\);

-- Location: LCCOMB_X63_Y22_N24
\led_flash_cnt[1167][7]~43230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1167][7]~43230_combout\ = \led_flash_cnt[1167][6]~43229\ $ (!\led_flash_cnt[1167][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1167][7]~q\,
	cin => \led_flash_cnt[1167][6]~43229\,
	combout => \led_flash_cnt[1167][7]~43230_combout\);

-- Location: FF_X63_Y22_N25
\led_flash_cnt[1167][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1167][7]~43230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1167][7]~q\);

-- Location: LCCOMB_X63_Y22_N26
\WideAnd1167~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1167~1_combout\ = (\led_flash_cnt[1167][6]~q\ & \led_flash_cnt[1167][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1167][6]~q\,
	datad => \led_flash_cnt[1167][5]~q\,
	combout => \WideAnd1167~1_combout\);

-- Location: LCCOMB_X63_Y22_N4
WideAnd1167 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1167~combout\ = (\WideAnd1167~0_combout\ & (\led_flash_cnt[1167][7]~q\ & (\WideAnd1167~1_combout\ & \led_flash_cnt[1167][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1167~0_combout\,
	datab => \led_flash_cnt[1167][7]~q\,
	datac => \WideAnd1167~1_combout\,
	datad => \led_flash_cnt[1167][0]~q\,
	combout => \WideAnd1167~combout\);

-- Location: FF_X63_Y22_N5
\led_flash_cnt_ands[1167]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1167~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1167));

-- Location: LCCOMB_X56_Y38_N6
\led_flash_cnt[1162][0]~81802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1162][0]~81802_combout\ = !\led_flash_cnt[1162][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1162][0]~q\,
	combout => \led_flash_cnt[1162][0]~81802_combout\);

-- Location: FF_X56_Y38_N7
\led_flash_cnt[1162][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1162][0]~81802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1162][0]~q\);

-- Location: LCCOMB_X57_Y38_N18
\led_flash_cnt[1162][1]~43148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1162][1]~43148_combout\ = (\led_flash_cnt[1162][0]~q\ & (\led_flash_cnt[1162][1]~q\ $ (VCC))) # (!\led_flash_cnt[1162][0]~q\ & (\led_flash_cnt[1162][1]~q\ & VCC))
-- \led_flash_cnt[1162][1]~43149\ = CARRY((\led_flash_cnt[1162][0]~q\ & \led_flash_cnt[1162][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1162][0]~q\,
	datab => \led_flash_cnt[1162][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1162][1]~43148_combout\,
	cout => \led_flash_cnt[1162][1]~43149\);

-- Location: FF_X57_Y38_N19
\led_flash_cnt[1162][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1162][1]~43148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1162][1]~q\);

-- Location: LCCOMB_X57_Y38_N20
\led_flash_cnt[1162][2]~43150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1162][2]~43150_combout\ = (\led_flash_cnt[1162][2]~q\ & (!\led_flash_cnt[1162][1]~43149\)) # (!\led_flash_cnt[1162][2]~q\ & ((\led_flash_cnt[1162][1]~43149\) # (GND)))
-- \led_flash_cnt[1162][2]~43151\ = CARRY((!\led_flash_cnt[1162][1]~43149\) # (!\led_flash_cnt[1162][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1162][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1162][1]~43149\,
	combout => \led_flash_cnt[1162][2]~43150_combout\,
	cout => \led_flash_cnt[1162][2]~43151\);

-- Location: FF_X57_Y38_N21
\led_flash_cnt[1162][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1162][2]~43150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1162][2]~q\);

-- Location: LCCOMB_X57_Y38_N22
\led_flash_cnt[1162][3]~43152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1162][3]~43152_combout\ = (\led_flash_cnt[1162][3]~q\ & (\led_flash_cnt[1162][2]~43151\ $ (GND))) # (!\led_flash_cnt[1162][3]~q\ & (!\led_flash_cnt[1162][2]~43151\ & VCC))
-- \led_flash_cnt[1162][3]~43153\ = CARRY((\led_flash_cnt[1162][3]~q\ & !\led_flash_cnt[1162][2]~43151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1162][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1162][2]~43151\,
	combout => \led_flash_cnt[1162][3]~43152_combout\,
	cout => \led_flash_cnt[1162][3]~43153\);

-- Location: FF_X57_Y38_N23
\led_flash_cnt[1162][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1162][3]~43152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1162][3]~q\);

-- Location: LCCOMB_X57_Y38_N24
\led_flash_cnt[1162][4]~43154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1162][4]~43154_combout\ = (\led_flash_cnt[1162][4]~q\ & (!\led_flash_cnt[1162][3]~43153\)) # (!\led_flash_cnt[1162][4]~q\ & ((\led_flash_cnt[1162][3]~43153\) # (GND)))
-- \led_flash_cnt[1162][4]~43155\ = CARRY((!\led_flash_cnt[1162][3]~43153\) # (!\led_flash_cnt[1162][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1162][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1162][3]~43153\,
	combout => \led_flash_cnt[1162][4]~43154_combout\,
	cout => \led_flash_cnt[1162][4]~43155\);

-- Location: FF_X57_Y38_N25
\led_flash_cnt[1162][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1162][4]~43154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1162][4]~q\);

-- Location: LCCOMB_X57_Y38_N26
\led_flash_cnt[1162][5]~43156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1162][5]~43156_combout\ = (\led_flash_cnt[1162][5]~q\ & (\led_flash_cnt[1162][4]~43155\ $ (GND))) # (!\led_flash_cnt[1162][5]~q\ & (!\led_flash_cnt[1162][4]~43155\ & VCC))
-- \led_flash_cnt[1162][5]~43157\ = CARRY((\led_flash_cnt[1162][5]~q\ & !\led_flash_cnt[1162][4]~43155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1162][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1162][4]~43155\,
	combout => \led_flash_cnt[1162][5]~43156_combout\,
	cout => \led_flash_cnt[1162][5]~43157\);

-- Location: FF_X57_Y38_N27
\led_flash_cnt[1162][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1162][5]~43156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1162][5]~q\);

-- Location: LCCOMB_X57_Y38_N28
\led_flash_cnt[1162][6]~43158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1162][6]~43158_combout\ = (\led_flash_cnt[1162][6]~q\ & (!\led_flash_cnt[1162][5]~43157\)) # (!\led_flash_cnt[1162][6]~q\ & ((\led_flash_cnt[1162][5]~43157\) # (GND)))
-- \led_flash_cnt[1162][6]~43159\ = CARRY((!\led_flash_cnt[1162][5]~43157\) # (!\led_flash_cnt[1162][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1162][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1162][5]~43157\,
	combout => \led_flash_cnt[1162][6]~43158_combout\,
	cout => \led_flash_cnt[1162][6]~43159\);

-- Location: FF_X57_Y38_N29
\led_flash_cnt[1162][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1162][6]~43158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1162][6]~q\);

-- Location: LCCOMB_X56_Y38_N26
\WideAnd1162~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1162~1_combout\ = (\led_flash_cnt[1162][5]~q\ & \led_flash_cnt[1162][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1162][5]~q\,
	datad => \led_flash_cnt[1162][6]~q\,
	combout => \WideAnd1162~1_combout\);

-- Location: LCCOMB_X57_Y38_N0
\WideAnd1162~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1162~0_combout\ = (\led_flash_cnt[1162][2]~q\ & (\led_flash_cnt[1162][4]~q\ & (\led_flash_cnt[1162][3]~q\ & \led_flash_cnt[1162][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1162][2]~q\,
	datab => \led_flash_cnt[1162][4]~q\,
	datac => \led_flash_cnt[1162][3]~q\,
	datad => \led_flash_cnt[1162][1]~q\,
	combout => \WideAnd1162~0_combout\);

-- Location: LCCOMB_X57_Y38_N30
\led_flash_cnt[1162][7]~43160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1162][7]~43160_combout\ = \led_flash_cnt[1162][7]~q\ $ (!\led_flash_cnt[1162][6]~43159\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1162][7]~q\,
	cin => \led_flash_cnt[1162][6]~43159\,
	combout => \led_flash_cnt[1162][7]~43160_combout\);

-- Location: FF_X57_Y38_N31
\led_flash_cnt[1162][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1162][7]~43160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1162][7]~q\);

-- Location: LCCOMB_X56_Y38_N30
WideAnd1162 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1162~combout\ = (\WideAnd1162~1_combout\ & (\WideAnd1162~0_combout\ & (\led_flash_cnt[1162][7]~q\ & \led_flash_cnt[1162][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1162~1_combout\,
	datab => \WideAnd1162~0_combout\,
	datac => \led_flash_cnt[1162][7]~q\,
	datad => \led_flash_cnt[1162][0]~q\,
	combout => \WideAnd1162~combout\);

-- Location: FF_X56_Y38_N31
\led_flash_cnt_ands[1162]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1162~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1162));

-- Location: LCCOMB_X56_Y38_N0
\led_flash_cnt[1160][0]~81800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1160][0]~81800_combout\ = !\led_flash_cnt[1160][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1160][0]~q\,
	combout => \led_flash_cnt[1160][0]~81800_combout\);

-- Location: FF_X56_Y38_N1
\led_flash_cnt[1160][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1160][0]~81800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1160][0]~q\);

-- Location: LCCOMB_X56_Y38_N10
\led_flash_cnt[1160][1]~43120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1160][1]~43120_combout\ = (\led_flash_cnt[1160][1]~q\ & (\led_flash_cnt[1160][0]~q\ $ (VCC))) # (!\led_flash_cnt[1160][1]~q\ & (\led_flash_cnt[1160][0]~q\ & VCC))
-- \led_flash_cnt[1160][1]~43121\ = CARRY((\led_flash_cnt[1160][1]~q\ & \led_flash_cnt[1160][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1160][1]~q\,
	datab => \led_flash_cnt[1160][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1160][1]~43120_combout\,
	cout => \led_flash_cnt[1160][1]~43121\);

-- Location: FF_X56_Y38_N11
\led_flash_cnt[1160][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1160][1]~43120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1160][1]~q\);

-- Location: LCCOMB_X56_Y38_N12
\led_flash_cnt[1160][2]~43122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1160][2]~43122_combout\ = (\led_flash_cnt[1160][2]~q\ & (!\led_flash_cnt[1160][1]~43121\)) # (!\led_flash_cnt[1160][2]~q\ & ((\led_flash_cnt[1160][1]~43121\) # (GND)))
-- \led_flash_cnt[1160][2]~43123\ = CARRY((!\led_flash_cnt[1160][1]~43121\) # (!\led_flash_cnt[1160][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1160][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1160][1]~43121\,
	combout => \led_flash_cnt[1160][2]~43122_combout\,
	cout => \led_flash_cnt[1160][2]~43123\);

-- Location: FF_X56_Y38_N13
\led_flash_cnt[1160][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1160][2]~43122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1160][2]~q\);

-- Location: LCCOMB_X56_Y38_N14
\led_flash_cnt[1160][3]~43124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1160][3]~43124_combout\ = (\led_flash_cnt[1160][3]~q\ & (\led_flash_cnt[1160][2]~43123\ $ (GND))) # (!\led_flash_cnt[1160][3]~q\ & (!\led_flash_cnt[1160][2]~43123\ & VCC))
-- \led_flash_cnt[1160][3]~43125\ = CARRY((\led_flash_cnt[1160][3]~q\ & !\led_flash_cnt[1160][2]~43123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1160][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1160][2]~43123\,
	combout => \led_flash_cnt[1160][3]~43124_combout\,
	cout => \led_flash_cnt[1160][3]~43125\);

-- Location: FF_X56_Y38_N15
\led_flash_cnt[1160][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1160][3]~43124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1160][3]~q\);

-- Location: LCCOMB_X56_Y38_N16
\led_flash_cnt[1160][4]~43126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1160][4]~43126_combout\ = (\led_flash_cnt[1160][4]~q\ & (!\led_flash_cnt[1160][3]~43125\)) # (!\led_flash_cnt[1160][4]~q\ & ((\led_flash_cnt[1160][3]~43125\) # (GND)))
-- \led_flash_cnt[1160][4]~43127\ = CARRY((!\led_flash_cnt[1160][3]~43125\) # (!\led_flash_cnt[1160][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1160][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1160][3]~43125\,
	combout => \led_flash_cnt[1160][4]~43126_combout\,
	cout => \led_flash_cnt[1160][4]~43127\);

-- Location: FF_X56_Y38_N17
\led_flash_cnt[1160][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1160][4]~43126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1160][4]~q\);

-- Location: LCCOMB_X56_Y38_N18
\led_flash_cnt[1160][5]~43128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1160][5]~43128_combout\ = (\led_flash_cnt[1160][5]~q\ & (\led_flash_cnt[1160][4]~43127\ $ (GND))) # (!\led_flash_cnt[1160][5]~q\ & (!\led_flash_cnt[1160][4]~43127\ & VCC))
-- \led_flash_cnt[1160][5]~43129\ = CARRY((\led_flash_cnt[1160][5]~q\ & !\led_flash_cnt[1160][4]~43127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1160][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1160][4]~43127\,
	combout => \led_flash_cnt[1160][5]~43128_combout\,
	cout => \led_flash_cnt[1160][5]~43129\);

-- Location: FF_X56_Y38_N19
\led_flash_cnt[1160][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1160][5]~43128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1160][5]~q\);

-- Location: LCCOMB_X56_Y38_N20
\led_flash_cnt[1160][6]~43130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1160][6]~43130_combout\ = (\led_flash_cnt[1160][6]~q\ & (!\led_flash_cnt[1160][5]~43129\)) # (!\led_flash_cnt[1160][6]~q\ & ((\led_flash_cnt[1160][5]~43129\) # (GND)))
-- \led_flash_cnt[1160][6]~43131\ = CARRY((!\led_flash_cnt[1160][5]~43129\) # (!\led_flash_cnt[1160][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1160][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1160][5]~43129\,
	combout => \led_flash_cnt[1160][6]~43130_combout\,
	cout => \led_flash_cnt[1160][6]~43131\);

-- Location: FF_X56_Y38_N21
\led_flash_cnt[1160][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1160][6]~43130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1160][6]~q\);

-- Location: LCCOMB_X56_Y38_N22
\led_flash_cnt[1160][7]~43132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1160][7]~43132_combout\ = \led_flash_cnt[1160][7]~q\ $ (!\led_flash_cnt[1160][6]~43131\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1160][7]~q\,
	cin => \led_flash_cnt[1160][6]~43131\,
	combout => \led_flash_cnt[1160][7]~43132_combout\);

-- Location: FF_X56_Y38_N23
\led_flash_cnt[1160][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1160][7]~43132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1160][7]~q\);

-- Location: LCCOMB_X56_Y38_N4
\WideAnd1160~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1160~1_combout\ = (\led_flash_cnt[1160][6]~q\ & \led_flash_cnt[1160][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1160][6]~q\,
	datac => \led_flash_cnt[1160][5]~q\,
	combout => \WideAnd1160~1_combout\);

-- Location: LCCOMB_X56_Y38_N28
\WideAnd1160~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1160~0_combout\ = (\led_flash_cnt[1160][2]~q\ & (\led_flash_cnt[1160][4]~q\ & (\led_flash_cnt[1160][3]~q\ & \led_flash_cnt[1160][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1160][2]~q\,
	datab => \led_flash_cnt[1160][4]~q\,
	datac => \led_flash_cnt[1160][3]~q\,
	datad => \led_flash_cnt[1160][1]~q\,
	combout => \WideAnd1160~0_combout\);

-- Location: LCCOMB_X56_Y38_N24
WideAnd1160 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1160~combout\ = (\led_flash_cnt[1160][7]~q\ & (\led_flash_cnt[1160][0]~q\ & (\WideAnd1160~1_combout\ & \WideAnd1160~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1160][7]~q\,
	datab => \led_flash_cnt[1160][0]~q\,
	datac => \WideAnd1160~1_combout\,
	datad => \WideAnd1160~0_combout\,
	combout => \WideAnd1160~combout\);

-- Location: FF_X56_Y38_N25
\led_flash_cnt_ands[1160]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1160~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1160));

-- Location: LCCOMB_X63_Y30_N30
\led_flash_cnt[1161][0]~81801\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1161][0]~81801_combout\ = !\led_flash_cnt[1161][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1161][0]~q\,
	combout => \led_flash_cnt[1161][0]~81801_combout\);

-- Location: FF_X63_Y30_N31
\led_flash_cnt[1161][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1161][0]~81801_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1161][0]~q\);

-- Location: LCCOMB_X63_Y30_N8
\led_flash_cnt[1161][1]~43134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1161][1]~43134_combout\ = (\led_flash_cnt[1161][0]~q\ & (\led_flash_cnt[1161][1]~q\ $ (VCC))) # (!\led_flash_cnt[1161][0]~q\ & (\led_flash_cnt[1161][1]~q\ & VCC))
-- \led_flash_cnt[1161][1]~43135\ = CARRY((\led_flash_cnt[1161][0]~q\ & \led_flash_cnt[1161][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1161][0]~q\,
	datab => \led_flash_cnt[1161][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1161][1]~43134_combout\,
	cout => \led_flash_cnt[1161][1]~43135\);

-- Location: FF_X63_Y30_N9
\led_flash_cnt[1161][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1161][1]~43134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1161][1]~q\);

-- Location: LCCOMB_X63_Y30_N10
\led_flash_cnt[1161][2]~43136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1161][2]~43136_combout\ = (\led_flash_cnt[1161][2]~q\ & (!\led_flash_cnt[1161][1]~43135\)) # (!\led_flash_cnt[1161][2]~q\ & ((\led_flash_cnt[1161][1]~43135\) # (GND)))
-- \led_flash_cnt[1161][2]~43137\ = CARRY((!\led_flash_cnt[1161][1]~43135\) # (!\led_flash_cnt[1161][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1161][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1161][1]~43135\,
	combout => \led_flash_cnt[1161][2]~43136_combout\,
	cout => \led_flash_cnt[1161][2]~43137\);

-- Location: FF_X63_Y30_N11
\led_flash_cnt[1161][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1161][2]~43136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1161][2]~q\);

-- Location: LCCOMB_X63_Y30_N12
\led_flash_cnt[1161][3]~43138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1161][3]~43138_combout\ = (\led_flash_cnt[1161][3]~q\ & (\led_flash_cnt[1161][2]~43137\ $ (GND))) # (!\led_flash_cnt[1161][3]~q\ & (!\led_flash_cnt[1161][2]~43137\ & VCC))
-- \led_flash_cnt[1161][3]~43139\ = CARRY((\led_flash_cnt[1161][3]~q\ & !\led_flash_cnt[1161][2]~43137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1161][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1161][2]~43137\,
	combout => \led_flash_cnt[1161][3]~43138_combout\,
	cout => \led_flash_cnt[1161][3]~43139\);

-- Location: FF_X63_Y30_N13
\led_flash_cnt[1161][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1161][3]~43138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1161][3]~q\);

-- Location: LCCOMB_X63_Y30_N14
\led_flash_cnt[1161][4]~43140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1161][4]~43140_combout\ = (\led_flash_cnt[1161][4]~q\ & (!\led_flash_cnt[1161][3]~43139\)) # (!\led_flash_cnt[1161][4]~q\ & ((\led_flash_cnt[1161][3]~43139\) # (GND)))
-- \led_flash_cnt[1161][4]~43141\ = CARRY((!\led_flash_cnt[1161][3]~43139\) # (!\led_flash_cnt[1161][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1161][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1161][3]~43139\,
	combout => \led_flash_cnt[1161][4]~43140_combout\,
	cout => \led_flash_cnt[1161][4]~43141\);

-- Location: FF_X63_Y30_N15
\led_flash_cnt[1161][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1161][4]~43140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1161][4]~q\);

-- Location: LCCOMB_X63_Y30_N16
\led_flash_cnt[1161][5]~43142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1161][5]~43142_combout\ = (\led_flash_cnt[1161][5]~q\ & (\led_flash_cnt[1161][4]~43141\ $ (GND))) # (!\led_flash_cnt[1161][5]~q\ & (!\led_flash_cnt[1161][4]~43141\ & VCC))
-- \led_flash_cnt[1161][5]~43143\ = CARRY((\led_flash_cnt[1161][5]~q\ & !\led_flash_cnt[1161][4]~43141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1161][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1161][4]~43141\,
	combout => \led_flash_cnt[1161][5]~43142_combout\,
	cout => \led_flash_cnt[1161][5]~43143\);

-- Location: FF_X63_Y30_N17
\led_flash_cnt[1161][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1161][5]~43142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1161][5]~q\);

-- Location: LCCOMB_X63_Y30_N18
\led_flash_cnt[1161][6]~43144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1161][6]~43144_combout\ = (\led_flash_cnt[1161][6]~q\ & (!\led_flash_cnt[1161][5]~43143\)) # (!\led_flash_cnt[1161][6]~q\ & ((\led_flash_cnt[1161][5]~43143\) # (GND)))
-- \led_flash_cnt[1161][6]~43145\ = CARRY((!\led_flash_cnt[1161][5]~43143\) # (!\led_flash_cnt[1161][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1161][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1161][5]~43143\,
	combout => \led_flash_cnt[1161][6]~43144_combout\,
	cout => \led_flash_cnt[1161][6]~43145\);

-- Location: FF_X63_Y30_N19
\led_flash_cnt[1161][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1161][6]~43144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1161][6]~q\);

-- Location: LCCOMB_X63_Y30_N20
\led_flash_cnt[1161][7]~43146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1161][7]~43146_combout\ = \led_flash_cnt[1161][6]~43145\ $ (!\led_flash_cnt[1161][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1161][7]~q\,
	cin => \led_flash_cnt[1161][6]~43145\,
	combout => \led_flash_cnt[1161][7]~43146_combout\);

-- Location: FF_X63_Y30_N21
\led_flash_cnt[1161][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1161][7]~43146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1161][7]~q\);

-- Location: LCCOMB_X63_Y30_N4
\WideAnd1161~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1161~1_combout\ = (\led_flash_cnt[1161][6]~q\ & \led_flash_cnt[1161][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1161][6]~q\,
	datad => \led_flash_cnt[1161][5]~q\,
	combout => \WideAnd1161~1_combout\);

-- Location: LCCOMB_X63_Y30_N28
\WideAnd1161~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1161~0_combout\ = (\led_flash_cnt[1161][3]~q\ & (\led_flash_cnt[1161][4]~q\ & (\led_flash_cnt[1161][1]~q\ & \led_flash_cnt[1161][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1161][3]~q\,
	datab => \led_flash_cnt[1161][4]~q\,
	datac => \led_flash_cnt[1161][1]~q\,
	datad => \led_flash_cnt[1161][2]~q\,
	combout => \WideAnd1161~0_combout\);

-- Location: LCCOMB_X63_Y30_N26
WideAnd1161 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1161~combout\ = (\led_flash_cnt[1161][0]~q\ & (\led_flash_cnt[1161][7]~q\ & (\WideAnd1161~1_combout\ & \WideAnd1161~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1161][0]~q\,
	datab => \led_flash_cnt[1161][7]~q\,
	datac => \WideAnd1161~1_combout\,
	datad => \WideAnd1161~0_combout\,
	combout => \WideAnd1161~combout\);

-- Location: FF_X63_Y30_N27
\led_flash_cnt_ands[1161]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1161~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1161));

-- Location: LCCOMB_X58_Y38_N24
\led_flash_cnt[1163][0]~81803\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1163][0]~81803_combout\ = !\led_flash_cnt[1163][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1163][0]~q\,
	combout => \led_flash_cnt[1163][0]~81803_combout\);

-- Location: FF_X58_Y38_N25
\led_flash_cnt[1163][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1163][0]~81803_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1163][0]~q\);

-- Location: LCCOMB_X58_Y38_N0
\led_flash_cnt[1163][1]~43162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1163][1]~43162_combout\ = (\led_flash_cnt[1163][1]~q\ & (\led_flash_cnt[1163][0]~q\ $ (VCC))) # (!\led_flash_cnt[1163][1]~q\ & (\led_flash_cnt[1163][0]~q\ & VCC))
-- \led_flash_cnt[1163][1]~43163\ = CARRY((\led_flash_cnt[1163][1]~q\ & \led_flash_cnt[1163][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1163][1]~q\,
	datab => \led_flash_cnt[1163][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1163][1]~43162_combout\,
	cout => \led_flash_cnt[1163][1]~43163\);

-- Location: FF_X58_Y38_N1
\led_flash_cnt[1163][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1163][1]~43162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1163][1]~q\);

-- Location: LCCOMB_X58_Y38_N2
\led_flash_cnt[1163][2]~43164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1163][2]~43164_combout\ = (\led_flash_cnt[1163][2]~q\ & (!\led_flash_cnt[1163][1]~43163\)) # (!\led_flash_cnt[1163][2]~q\ & ((\led_flash_cnt[1163][1]~43163\) # (GND)))
-- \led_flash_cnt[1163][2]~43165\ = CARRY((!\led_flash_cnt[1163][1]~43163\) # (!\led_flash_cnt[1163][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1163][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1163][1]~43163\,
	combout => \led_flash_cnt[1163][2]~43164_combout\,
	cout => \led_flash_cnt[1163][2]~43165\);

-- Location: FF_X58_Y38_N3
\led_flash_cnt[1163][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1163][2]~43164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1163][2]~q\);

-- Location: LCCOMB_X58_Y38_N4
\led_flash_cnt[1163][3]~43166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1163][3]~43166_combout\ = (\led_flash_cnt[1163][3]~q\ & (\led_flash_cnt[1163][2]~43165\ $ (GND))) # (!\led_flash_cnt[1163][3]~q\ & (!\led_flash_cnt[1163][2]~43165\ & VCC))
-- \led_flash_cnt[1163][3]~43167\ = CARRY((\led_flash_cnt[1163][3]~q\ & !\led_flash_cnt[1163][2]~43165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1163][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1163][2]~43165\,
	combout => \led_flash_cnt[1163][3]~43166_combout\,
	cout => \led_flash_cnt[1163][3]~43167\);

-- Location: FF_X58_Y38_N5
\led_flash_cnt[1163][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1163][3]~43166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1163][3]~q\);

-- Location: LCCOMB_X58_Y38_N6
\led_flash_cnt[1163][4]~43168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1163][4]~43168_combout\ = (\led_flash_cnt[1163][4]~q\ & (!\led_flash_cnt[1163][3]~43167\)) # (!\led_flash_cnt[1163][4]~q\ & ((\led_flash_cnt[1163][3]~43167\) # (GND)))
-- \led_flash_cnt[1163][4]~43169\ = CARRY((!\led_flash_cnt[1163][3]~43167\) # (!\led_flash_cnt[1163][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1163][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1163][3]~43167\,
	combout => \led_flash_cnt[1163][4]~43168_combout\,
	cout => \led_flash_cnt[1163][4]~43169\);

-- Location: FF_X58_Y38_N7
\led_flash_cnt[1163][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1163][4]~43168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1163][4]~q\);

-- Location: LCCOMB_X58_Y38_N22
\WideAnd1163~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1163~0_combout\ = (\led_flash_cnt[1163][4]~q\ & (\led_flash_cnt[1163][1]~q\ & (\led_flash_cnt[1163][3]~q\ & \led_flash_cnt[1163][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1163][4]~q\,
	datab => \led_flash_cnt[1163][1]~q\,
	datac => \led_flash_cnt[1163][3]~q\,
	datad => \led_flash_cnt[1163][2]~q\,
	combout => \WideAnd1163~0_combout\);

-- Location: LCCOMB_X58_Y38_N8
\led_flash_cnt[1163][5]~43170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1163][5]~43170_combout\ = (\led_flash_cnt[1163][5]~q\ & (\led_flash_cnt[1163][4]~43169\ $ (GND))) # (!\led_flash_cnt[1163][5]~q\ & (!\led_flash_cnt[1163][4]~43169\ & VCC))
-- \led_flash_cnt[1163][5]~43171\ = CARRY((\led_flash_cnt[1163][5]~q\ & !\led_flash_cnt[1163][4]~43169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1163][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1163][4]~43169\,
	combout => \led_flash_cnt[1163][5]~43170_combout\,
	cout => \led_flash_cnt[1163][5]~43171\);

-- Location: FF_X58_Y38_N9
\led_flash_cnt[1163][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1163][5]~43170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1163][5]~q\);

-- Location: LCCOMB_X58_Y38_N10
\led_flash_cnt[1163][6]~43172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1163][6]~43172_combout\ = (\led_flash_cnt[1163][6]~q\ & (!\led_flash_cnt[1163][5]~43171\)) # (!\led_flash_cnt[1163][6]~q\ & ((\led_flash_cnt[1163][5]~43171\) # (GND)))
-- \led_flash_cnt[1163][6]~43173\ = CARRY((!\led_flash_cnt[1163][5]~43171\) # (!\led_flash_cnt[1163][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1163][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1163][5]~43171\,
	combout => \led_flash_cnt[1163][6]~43172_combout\,
	cout => \led_flash_cnt[1163][6]~43173\);

-- Location: FF_X58_Y38_N11
\led_flash_cnt[1163][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1163][6]~43172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1163][6]~q\);

-- Location: LCCOMB_X58_Y38_N30
\WideAnd1163~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1163~1_combout\ = (\led_flash_cnt[1163][5]~q\ & \led_flash_cnt[1163][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1163][5]~q\,
	datad => \led_flash_cnt[1163][6]~q\,
	combout => \WideAnd1163~1_combout\);

-- Location: LCCOMB_X58_Y38_N12
\led_flash_cnt[1163][7]~43174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1163][7]~43174_combout\ = \led_flash_cnt[1163][6]~43173\ $ (!\led_flash_cnt[1163][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1163][7]~q\,
	cin => \led_flash_cnt[1163][6]~43173\,
	combout => \led_flash_cnt[1163][7]~43174_combout\);

-- Location: FF_X58_Y38_N13
\led_flash_cnt[1163][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1163][7]~43174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1163][7]~q\);

-- Location: LCCOMB_X58_Y38_N28
WideAnd1163 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1163~combout\ = (\WideAnd1163~0_combout\ & (\led_flash_cnt[1163][0]~q\ & (\WideAnd1163~1_combout\ & \led_flash_cnt[1163][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1163~0_combout\,
	datab => \led_flash_cnt[1163][0]~q\,
	datac => \WideAnd1163~1_combout\,
	datad => \led_flash_cnt[1163][7]~q\,
	combout => \WideAnd1163~combout\);

-- Location: FF_X58_Y38_N29
\led_flash_cnt_ands[1163]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1163~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1163));

-- Location: LCCOMB_X56_Y38_N2
\WideAnd3985~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3985~0_combout\ = (led_flash_cnt_ands(1162) & (led_flash_cnt_ands(1160) & (led_flash_cnt_ands(1161) & led_flash_cnt_ands(1163))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1162),
	datab => led_flash_cnt_ands(1160),
	datac => led_flash_cnt_ands(1161),
	datad => led_flash_cnt_ands(1163),
	combout => \WideAnd3985~0_combout\);

-- Location: LCCOMB_X55_Y22_N18
\led_flash_cnt[1166][0]~81806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1166][0]~81806_combout\ = !\led_flash_cnt[1166][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1166][0]~q\,
	combout => \led_flash_cnt[1166][0]~81806_combout\);

-- Location: FF_X55_Y22_N19
\led_flash_cnt[1166][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1166][0]~81806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1166][0]~q\);

-- Location: LCCOMB_X55_Y22_N0
\led_flash_cnt[1166][1]~43204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1166][1]~43204_combout\ = (\led_flash_cnt[1166][1]~q\ & (\led_flash_cnt[1166][0]~q\ $ (VCC))) # (!\led_flash_cnt[1166][1]~q\ & (\led_flash_cnt[1166][0]~q\ & VCC))
-- \led_flash_cnt[1166][1]~43205\ = CARRY((\led_flash_cnt[1166][1]~q\ & \led_flash_cnt[1166][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1166][1]~q\,
	datab => \led_flash_cnt[1166][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1166][1]~43204_combout\,
	cout => \led_flash_cnt[1166][1]~43205\);

-- Location: FF_X55_Y22_N1
\led_flash_cnt[1166][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1166][1]~43204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1166][1]~q\);

-- Location: LCCOMB_X55_Y22_N2
\led_flash_cnt[1166][2]~43206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1166][2]~43206_combout\ = (\led_flash_cnt[1166][2]~q\ & (!\led_flash_cnt[1166][1]~43205\)) # (!\led_flash_cnt[1166][2]~q\ & ((\led_flash_cnt[1166][1]~43205\) # (GND)))
-- \led_flash_cnt[1166][2]~43207\ = CARRY((!\led_flash_cnt[1166][1]~43205\) # (!\led_flash_cnt[1166][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1166][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1166][1]~43205\,
	combout => \led_flash_cnt[1166][2]~43206_combout\,
	cout => \led_flash_cnt[1166][2]~43207\);

-- Location: FF_X55_Y22_N3
\led_flash_cnt[1166][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1166][2]~43206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1166][2]~q\);

-- Location: LCCOMB_X55_Y22_N4
\led_flash_cnt[1166][3]~43208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1166][3]~43208_combout\ = (\led_flash_cnt[1166][3]~q\ & (\led_flash_cnt[1166][2]~43207\ $ (GND))) # (!\led_flash_cnt[1166][3]~q\ & (!\led_flash_cnt[1166][2]~43207\ & VCC))
-- \led_flash_cnt[1166][3]~43209\ = CARRY((\led_flash_cnt[1166][3]~q\ & !\led_flash_cnt[1166][2]~43207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1166][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1166][2]~43207\,
	combout => \led_flash_cnt[1166][3]~43208_combout\,
	cout => \led_flash_cnt[1166][3]~43209\);

-- Location: FF_X55_Y22_N5
\led_flash_cnt[1166][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1166][3]~43208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1166][3]~q\);

-- Location: LCCOMB_X55_Y22_N6
\led_flash_cnt[1166][4]~43210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1166][4]~43210_combout\ = (\led_flash_cnt[1166][4]~q\ & (!\led_flash_cnt[1166][3]~43209\)) # (!\led_flash_cnt[1166][4]~q\ & ((\led_flash_cnt[1166][3]~43209\) # (GND)))
-- \led_flash_cnt[1166][4]~43211\ = CARRY((!\led_flash_cnt[1166][3]~43209\) # (!\led_flash_cnt[1166][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1166][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1166][3]~43209\,
	combout => \led_flash_cnt[1166][4]~43210_combout\,
	cout => \led_flash_cnt[1166][4]~43211\);

-- Location: FF_X55_Y22_N7
\led_flash_cnt[1166][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1166][4]~43210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1166][4]~q\);

-- Location: LCCOMB_X55_Y22_N8
\led_flash_cnt[1166][5]~43212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1166][5]~43212_combout\ = (\led_flash_cnt[1166][5]~q\ & (\led_flash_cnt[1166][4]~43211\ $ (GND))) # (!\led_flash_cnt[1166][5]~q\ & (!\led_flash_cnt[1166][4]~43211\ & VCC))
-- \led_flash_cnt[1166][5]~43213\ = CARRY((\led_flash_cnt[1166][5]~q\ & !\led_flash_cnt[1166][4]~43211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1166][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1166][4]~43211\,
	combout => \led_flash_cnt[1166][5]~43212_combout\,
	cout => \led_flash_cnt[1166][5]~43213\);

-- Location: FF_X55_Y22_N9
\led_flash_cnt[1166][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1166][5]~43212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1166][5]~q\);

-- Location: LCCOMB_X55_Y22_N10
\led_flash_cnt[1166][6]~43214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1166][6]~43214_combout\ = (\led_flash_cnt[1166][6]~q\ & (!\led_flash_cnt[1166][5]~43213\)) # (!\led_flash_cnt[1166][6]~q\ & ((\led_flash_cnt[1166][5]~43213\) # (GND)))
-- \led_flash_cnt[1166][6]~43215\ = CARRY((!\led_flash_cnt[1166][5]~43213\) # (!\led_flash_cnt[1166][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1166][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1166][5]~43213\,
	combout => \led_flash_cnt[1166][6]~43214_combout\,
	cout => \led_flash_cnt[1166][6]~43215\);

-- Location: FF_X55_Y22_N11
\led_flash_cnt[1166][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1166][6]~43214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1166][6]~q\);

-- Location: LCCOMB_X55_Y22_N12
\led_flash_cnt[1166][7]~43216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1166][7]~43216_combout\ = \led_flash_cnt[1166][6]~43215\ $ (!\led_flash_cnt[1166][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1166][7]~q\,
	cin => \led_flash_cnt[1166][6]~43215\,
	combout => \led_flash_cnt[1166][7]~43216_combout\);

-- Location: FF_X55_Y22_N13
\led_flash_cnt[1166][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1166][7]~43216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1166][7]~q\);

-- Location: LCCOMB_X55_Y22_N24
\WideAnd1166~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1166~0_combout\ = (\led_flash_cnt[1166][4]~q\ & (\led_flash_cnt[1166][1]~q\ & (\led_flash_cnt[1166][3]~q\ & \led_flash_cnt[1166][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1166][4]~q\,
	datab => \led_flash_cnt[1166][1]~q\,
	datac => \led_flash_cnt[1166][3]~q\,
	datad => \led_flash_cnt[1166][2]~q\,
	combout => \WideAnd1166~0_combout\);

-- Location: LCCOMB_X55_Y22_N22
\WideAnd1166~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1166~1_combout\ = (\led_flash_cnt[1166][5]~q\ & \led_flash_cnt[1166][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1166][5]~q\,
	datad => \led_flash_cnt[1166][6]~q\,
	combout => \WideAnd1166~1_combout\);

-- Location: LCCOMB_X55_Y22_N14
WideAnd1166 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1166~combout\ = (\led_flash_cnt[1166][7]~q\ & (\WideAnd1166~0_combout\ & (\WideAnd1166~1_combout\ & \led_flash_cnt[1166][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1166][7]~q\,
	datab => \WideAnd1166~0_combout\,
	datac => \WideAnd1166~1_combout\,
	datad => \led_flash_cnt[1166][0]~q\,
	combout => \WideAnd1166~combout\);

-- Location: FF_X55_Y22_N15
\led_flash_cnt_ands[1166]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1166~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1166));

-- Location: LCCOMB_X56_Y22_N10
WideAnd3985 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3985~combout\ = (\WideAnd3985~1_combout\ & (led_flash_cnt_ands(1167) & (\WideAnd3985~0_combout\ & led_flash_cnt_ands(1166))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3985~1_combout\,
	datab => led_flash_cnt_ands(1167),
	datac => \WideAnd3985~0_combout\,
	datad => led_flash_cnt_ands(1166),
	combout => \WideAnd3985~combout\);

-- Location: FF_X56_Y22_N11
\led_flash_cnt_ands_1[145]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3985~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(145));

-- Location: LCCOMB_X15_Y30_N24
\led_flash_cnt[1182][0]~81822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1182][0]~81822_combout\ = !\led_flash_cnt[1182][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1182][0]~q\,
	combout => \led_flash_cnt[1182][0]~81822_combout\);

-- Location: FF_X15_Y30_N25
\led_flash_cnt[1182][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1182][0]~81822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1182][0]~q\);

-- Location: LCCOMB_X15_Y30_N6
\led_flash_cnt[1182][1]~43428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1182][1]~43428_combout\ = (\led_flash_cnt[1182][1]~q\ & (\led_flash_cnt[1182][0]~q\ $ (VCC))) # (!\led_flash_cnt[1182][1]~q\ & (\led_flash_cnt[1182][0]~q\ & VCC))
-- \led_flash_cnt[1182][1]~43429\ = CARRY((\led_flash_cnt[1182][1]~q\ & \led_flash_cnt[1182][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1182][1]~q\,
	datab => \led_flash_cnt[1182][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1182][1]~43428_combout\,
	cout => \led_flash_cnt[1182][1]~43429\);

-- Location: FF_X15_Y30_N7
\led_flash_cnt[1182][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1182][1]~43428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1182][1]~q\);

-- Location: LCCOMB_X15_Y30_N8
\led_flash_cnt[1182][2]~43430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1182][2]~43430_combout\ = (\led_flash_cnt[1182][2]~q\ & (!\led_flash_cnt[1182][1]~43429\)) # (!\led_flash_cnt[1182][2]~q\ & ((\led_flash_cnt[1182][1]~43429\) # (GND)))
-- \led_flash_cnt[1182][2]~43431\ = CARRY((!\led_flash_cnt[1182][1]~43429\) # (!\led_flash_cnt[1182][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1182][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1182][1]~43429\,
	combout => \led_flash_cnt[1182][2]~43430_combout\,
	cout => \led_flash_cnt[1182][2]~43431\);

-- Location: FF_X15_Y30_N9
\led_flash_cnt[1182][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1182][2]~43430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1182][2]~q\);

-- Location: LCCOMB_X15_Y30_N10
\led_flash_cnt[1182][3]~43432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1182][3]~43432_combout\ = (\led_flash_cnt[1182][3]~q\ & (\led_flash_cnt[1182][2]~43431\ $ (GND))) # (!\led_flash_cnt[1182][3]~q\ & (!\led_flash_cnt[1182][2]~43431\ & VCC))
-- \led_flash_cnt[1182][3]~43433\ = CARRY((\led_flash_cnt[1182][3]~q\ & !\led_flash_cnt[1182][2]~43431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1182][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1182][2]~43431\,
	combout => \led_flash_cnt[1182][3]~43432_combout\,
	cout => \led_flash_cnt[1182][3]~43433\);

-- Location: FF_X15_Y30_N11
\led_flash_cnt[1182][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1182][3]~43432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1182][3]~q\);

-- Location: LCCOMB_X15_Y30_N12
\led_flash_cnt[1182][4]~43434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1182][4]~43434_combout\ = (\led_flash_cnt[1182][4]~q\ & (!\led_flash_cnt[1182][3]~43433\)) # (!\led_flash_cnt[1182][4]~q\ & ((\led_flash_cnt[1182][3]~43433\) # (GND)))
-- \led_flash_cnt[1182][4]~43435\ = CARRY((!\led_flash_cnt[1182][3]~43433\) # (!\led_flash_cnt[1182][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1182][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1182][3]~43433\,
	combout => \led_flash_cnt[1182][4]~43434_combout\,
	cout => \led_flash_cnt[1182][4]~43435\);

-- Location: FF_X15_Y30_N13
\led_flash_cnt[1182][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1182][4]~43434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1182][4]~q\);

-- Location: LCCOMB_X15_Y30_N14
\led_flash_cnt[1182][5]~43436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1182][5]~43436_combout\ = (\led_flash_cnt[1182][5]~q\ & (\led_flash_cnt[1182][4]~43435\ $ (GND))) # (!\led_flash_cnt[1182][5]~q\ & (!\led_flash_cnt[1182][4]~43435\ & VCC))
-- \led_flash_cnt[1182][5]~43437\ = CARRY((\led_flash_cnt[1182][5]~q\ & !\led_flash_cnt[1182][4]~43435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1182][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1182][4]~43435\,
	combout => \led_flash_cnt[1182][5]~43436_combout\,
	cout => \led_flash_cnt[1182][5]~43437\);

-- Location: FF_X15_Y30_N15
\led_flash_cnt[1182][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1182][5]~43436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1182][5]~q\);

-- Location: LCCOMB_X15_Y30_N16
\led_flash_cnt[1182][6]~43438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1182][6]~43438_combout\ = (\led_flash_cnt[1182][6]~q\ & (!\led_flash_cnt[1182][5]~43437\)) # (!\led_flash_cnt[1182][6]~q\ & ((\led_flash_cnt[1182][5]~43437\) # (GND)))
-- \led_flash_cnt[1182][6]~43439\ = CARRY((!\led_flash_cnt[1182][5]~43437\) # (!\led_flash_cnt[1182][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1182][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1182][5]~43437\,
	combout => \led_flash_cnt[1182][6]~43438_combout\,
	cout => \led_flash_cnt[1182][6]~43439\);

-- Location: FF_X15_Y30_N17
\led_flash_cnt[1182][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1182][6]~43438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1182][6]~q\);

-- Location: LCCOMB_X15_Y30_N26
\WideAnd1182~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1182~1_combout\ = (\led_flash_cnt[1182][5]~q\ & \led_flash_cnt[1182][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1182][5]~q\,
	datad => \led_flash_cnt[1182][6]~q\,
	combout => \WideAnd1182~1_combout\);

-- Location: LCCOMB_X15_Y30_N22
\WideAnd1182~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1182~0_combout\ = (\led_flash_cnt[1182][1]~q\ & (\led_flash_cnt[1182][3]~q\ & (\led_flash_cnt[1182][2]~q\ & \led_flash_cnt[1182][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1182][1]~q\,
	datab => \led_flash_cnt[1182][3]~q\,
	datac => \led_flash_cnt[1182][2]~q\,
	datad => \led_flash_cnt[1182][4]~q\,
	combout => \WideAnd1182~0_combout\);

-- Location: LCCOMB_X15_Y30_N18
\led_flash_cnt[1182][7]~43440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1182][7]~43440_combout\ = \led_flash_cnt[1182][6]~43439\ $ (!\led_flash_cnt[1182][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1182][7]~q\,
	cin => \led_flash_cnt[1182][6]~43439\,
	combout => \led_flash_cnt[1182][7]~43440_combout\);

-- Location: FF_X15_Y30_N19
\led_flash_cnt[1182][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1182][7]~43440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1182][7]~q\);

-- Location: LCCOMB_X15_Y30_N28
WideAnd1182 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1182~combout\ = (\WideAnd1182~1_combout\ & (\led_flash_cnt[1182][0]~q\ & (\WideAnd1182~0_combout\ & \led_flash_cnt[1182][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1182~1_combout\,
	datab => \led_flash_cnt[1182][0]~q\,
	datac => \WideAnd1182~0_combout\,
	datad => \led_flash_cnt[1182][7]~q\,
	combout => \WideAnd1182~combout\);

-- Location: FF_X15_Y30_N29
\led_flash_cnt_ands[1182]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1182~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1182));

-- Location: LCCOMB_X76_Y23_N12
\led_flash_cnt[1183][0]~81823\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1183][0]~81823_combout\ = !\led_flash_cnt[1183][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1183][0]~q\,
	combout => \led_flash_cnt[1183][0]~81823_combout\);

-- Location: FF_X76_Y23_N13
\led_flash_cnt[1183][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1183][0]~81823_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1183][0]~q\);

-- Location: LCCOMB_X76_Y23_N14
\led_flash_cnt[1183][1]~43442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1183][1]~43442_combout\ = (\led_flash_cnt[1183][0]~q\ & (\led_flash_cnt[1183][1]~q\ $ (VCC))) # (!\led_flash_cnt[1183][0]~q\ & (\led_flash_cnt[1183][1]~q\ & VCC))
-- \led_flash_cnt[1183][1]~43443\ = CARRY((\led_flash_cnt[1183][0]~q\ & \led_flash_cnt[1183][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1183][0]~q\,
	datab => \led_flash_cnt[1183][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1183][1]~43442_combout\,
	cout => \led_flash_cnt[1183][1]~43443\);

-- Location: FF_X76_Y23_N15
\led_flash_cnt[1183][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1183][1]~43442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1183][1]~q\);

-- Location: LCCOMB_X76_Y23_N16
\led_flash_cnt[1183][2]~43444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1183][2]~43444_combout\ = (\led_flash_cnt[1183][2]~q\ & (!\led_flash_cnt[1183][1]~43443\)) # (!\led_flash_cnt[1183][2]~q\ & ((\led_flash_cnt[1183][1]~43443\) # (GND)))
-- \led_flash_cnt[1183][2]~43445\ = CARRY((!\led_flash_cnt[1183][1]~43443\) # (!\led_flash_cnt[1183][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1183][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1183][1]~43443\,
	combout => \led_flash_cnt[1183][2]~43444_combout\,
	cout => \led_flash_cnt[1183][2]~43445\);

-- Location: FF_X76_Y23_N17
\led_flash_cnt[1183][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1183][2]~43444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1183][2]~q\);

-- Location: LCCOMB_X76_Y23_N18
\led_flash_cnt[1183][3]~43446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1183][3]~43446_combout\ = (\led_flash_cnt[1183][3]~q\ & (\led_flash_cnt[1183][2]~43445\ $ (GND))) # (!\led_flash_cnt[1183][3]~q\ & (!\led_flash_cnt[1183][2]~43445\ & VCC))
-- \led_flash_cnt[1183][3]~43447\ = CARRY((\led_flash_cnt[1183][3]~q\ & !\led_flash_cnt[1183][2]~43445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1183][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1183][2]~43445\,
	combout => \led_flash_cnt[1183][3]~43446_combout\,
	cout => \led_flash_cnt[1183][3]~43447\);

-- Location: FF_X76_Y23_N19
\led_flash_cnt[1183][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1183][3]~43446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1183][3]~q\);

-- Location: LCCOMB_X76_Y23_N20
\led_flash_cnt[1183][4]~43448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1183][4]~43448_combout\ = (\led_flash_cnt[1183][4]~q\ & (!\led_flash_cnt[1183][3]~43447\)) # (!\led_flash_cnt[1183][4]~q\ & ((\led_flash_cnt[1183][3]~43447\) # (GND)))
-- \led_flash_cnt[1183][4]~43449\ = CARRY((!\led_flash_cnt[1183][3]~43447\) # (!\led_flash_cnt[1183][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1183][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1183][3]~43447\,
	combout => \led_flash_cnt[1183][4]~43448_combout\,
	cout => \led_flash_cnt[1183][4]~43449\);

-- Location: FF_X76_Y23_N21
\led_flash_cnt[1183][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1183][4]~43448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1183][4]~q\);

-- Location: LCCOMB_X76_Y23_N22
\led_flash_cnt[1183][5]~43450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1183][5]~43450_combout\ = (\led_flash_cnt[1183][5]~q\ & (\led_flash_cnt[1183][4]~43449\ $ (GND))) # (!\led_flash_cnt[1183][5]~q\ & (!\led_flash_cnt[1183][4]~43449\ & VCC))
-- \led_flash_cnt[1183][5]~43451\ = CARRY((\led_flash_cnt[1183][5]~q\ & !\led_flash_cnt[1183][4]~43449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1183][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1183][4]~43449\,
	combout => \led_flash_cnt[1183][5]~43450_combout\,
	cout => \led_flash_cnt[1183][5]~43451\);

-- Location: FF_X76_Y23_N23
\led_flash_cnt[1183][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1183][5]~43450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1183][5]~q\);

-- Location: LCCOMB_X76_Y23_N24
\led_flash_cnt[1183][6]~43452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1183][6]~43452_combout\ = (\led_flash_cnt[1183][6]~q\ & (!\led_flash_cnt[1183][5]~43451\)) # (!\led_flash_cnt[1183][6]~q\ & ((\led_flash_cnt[1183][5]~43451\) # (GND)))
-- \led_flash_cnt[1183][6]~43453\ = CARRY((!\led_flash_cnt[1183][5]~43451\) # (!\led_flash_cnt[1183][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1183][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1183][5]~43451\,
	combout => \led_flash_cnt[1183][6]~43452_combout\,
	cout => \led_flash_cnt[1183][6]~43453\);

-- Location: FF_X76_Y23_N25
\led_flash_cnt[1183][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1183][6]~43452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1183][6]~q\);

-- Location: LCCOMB_X76_Y23_N26
\led_flash_cnt[1183][7]~43454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1183][7]~43454_combout\ = \led_flash_cnt[1183][7]~q\ $ (!\led_flash_cnt[1183][6]~43453\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1183][7]~q\,
	cin => \led_flash_cnt[1183][6]~43453\,
	combout => \led_flash_cnt[1183][7]~43454_combout\);

-- Location: FF_X76_Y23_N27
\led_flash_cnt[1183][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1183][7]~43454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1183][7]~q\);

-- Location: LCCOMB_X76_Y23_N28
\WideAnd1183~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1183~1_combout\ = (\led_flash_cnt[1183][5]~q\ & \led_flash_cnt[1183][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1183][5]~q\,
	datad => \led_flash_cnt[1183][6]~q\,
	combout => \WideAnd1183~1_combout\);

-- Location: LCCOMB_X76_Y23_N4
\WideAnd1183~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1183~0_combout\ = (\led_flash_cnt[1183][4]~q\ & (\led_flash_cnt[1183][3]~q\ & (\led_flash_cnt[1183][1]~q\ & \led_flash_cnt[1183][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1183][4]~q\,
	datab => \led_flash_cnt[1183][3]~q\,
	datac => \led_flash_cnt[1183][1]~q\,
	datad => \led_flash_cnt[1183][2]~q\,
	combout => \WideAnd1183~0_combout\);

-- Location: LCCOMB_X76_Y23_N10
WideAnd1183 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1183~combout\ = (\led_flash_cnt[1183][7]~q\ & (\WideAnd1183~1_combout\ & (\WideAnd1183~0_combout\ & \led_flash_cnt[1183][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1183][7]~q\,
	datab => \WideAnd1183~1_combout\,
	datac => \WideAnd1183~0_combout\,
	datad => \led_flash_cnt[1183][0]~q\,
	combout => \WideAnd1183~combout\);

-- Location: FF_X76_Y23_N11
\led_flash_cnt_ands[1183]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1183~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1183));

-- Location: LCCOMB_X71_Y30_N24
\led_flash_cnt[1180][0]~81820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1180][0]~81820_combout\ = !\led_flash_cnt[1180][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1180][0]~q\,
	combout => \led_flash_cnt[1180][0]~81820_combout\);

-- Location: FF_X71_Y30_N25
\led_flash_cnt[1180][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1180][0]~81820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1180][0]~q\);

-- Location: LCCOMB_X71_Y30_N6
\led_flash_cnt[1180][1]~43400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1180][1]~43400_combout\ = (\led_flash_cnt[1180][1]~q\ & (\led_flash_cnt[1180][0]~q\ $ (VCC))) # (!\led_flash_cnt[1180][1]~q\ & (\led_flash_cnt[1180][0]~q\ & VCC))
-- \led_flash_cnt[1180][1]~43401\ = CARRY((\led_flash_cnt[1180][1]~q\ & \led_flash_cnt[1180][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1180][1]~q\,
	datab => \led_flash_cnt[1180][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1180][1]~43400_combout\,
	cout => \led_flash_cnt[1180][1]~43401\);

-- Location: FF_X71_Y30_N7
\led_flash_cnt[1180][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1180][1]~43400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1180][1]~q\);

-- Location: LCCOMB_X71_Y30_N8
\led_flash_cnt[1180][2]~43402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1180][2]~43402_combout\ = (\led_flash_cnt[1180][2]~q\ & (!\led_flash_cnt[1180][1]~43401\)) # (!\led_flash_cnt[1180][2]~q\ & ((\led_flash_cnt[1180][1]~43401\) # (GND)))
-- \led_flash_cnt[1180][2]~43403\ = CARRY((!\led_flash_cnt[1180][1]~43401\) # (!\led_flash_cnt[1180][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1180][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1180][1]~43401\,
	combout => \led_flash_cnt[1180][2]~43402_combout\,
	cout => \led_flash_cnt[1180][2]~43403\);

-- Location: FF_X71_Y30_N9
\led_flash_cnt[1180][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1180][2]~43402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1180][2]~q\);

-- Location: LCCOMB_X71_Y30_N10
\led_flash_cnt[1180][3]~43404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1180][3]~43404_combout\ = (\led_flash_cnt[1180][3]~q\ & (\led_flash_cnt[1180][2]~43403\ $ (GND))) # (!\led_flash_cnt[1180][3]~q\ & (!\led_flash_cnt[1180][2]~43403\ & VCC))
-- \led_flash_cnt[1180][3]~43405\ = CARRY((\led_flash_cnt[1180][3]~q\ & !\led_flash_cnt[1180][2]~43403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1180][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1180][2]~43403\,
	combout => \led_flash_cnt[1180][3]~43404_combout\,
	cout => \led_flash_cnt[1180][3]~43405\);

-- Location: FF_X71_Y30_N11
\led_flash_cnt[1180][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1180][3]~43404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1180][3]~q\);

-- Location: LCCOMB_X71_Y30_N12
\led_flash_cnt[1180][4]~43406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1180][4]~43406_combout\ = (\led_flash_cnt[1180][4]~q\ & (!\led_flash_cnt[1180][3]~43405\)) # (!\led_flash_cnt[1180][4]~q\ & ((\led_flash_cnt[1180][3]~43405\) # (GND)))
-- \led_flash_cnt[1180][4]~43407\ = CARRY((!\led_flash_cnt[1180][3]~43405\) # (!\led_flash_cnt[1180][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1180][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1180][3]~43405\,
	combout => \led_flash_cnt[1180][4]~43406_combout\,
	cout => \led_flash_cnt[1180][4]~43407\);

-- Location: FF_X71_Y30_N13
\led_flash_cnt[1180][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1180][4]~43406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1180][4]~q\);

-- Location: LCCOMB_X71_Y30_N30
\WideAnd1180~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1180~0_combout\ = (\led_flash_cnt[1180][4]~q\ & (\led_flash_cnt[1180][1]~q\ & (\led_flash_cnt[1180][2]~q\ & \led_flash_cnt[1180][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1180][4]~q\,
	datab => \led_flash_cnt[1180][1]~q\,
	datac => \led_flash_cnt[1180][2]~q\,
	datad => \led_flash_cnt[1180][3]~q\,
	combout => \WideAnd1180~0_combout\);

-- Location: LCCOMB_X71_Y30_N14
\led_flash_cnt[1180][5]~43408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1180][5]~43408_combout\ = (\led_flash_cnt[1180][5]~q\ & (\led_flash_cnt[1180][4]~43407\ $ (GND))) # (!\led_flash_cnt[1180][5]~q\ & (!\led_flash_cnt[1180][4]~43407\ & VCC))
-- \led_flash_cnt[1180][5]~43409\ = CARRY((\led_flash_cnt[1180][5]~q\ & !\led_flash_cnt[1180][4]~43407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1180][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1180][4]~43407\,
	combout => \led_flash_cnt[1180][5]~43408_combout\,
	cout => \led_flash_cnt[1180][5]~43409\);

-- Location: FF_X71_Y30_N15
\led_flash_cnt[1180][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1180][5]~43408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1180][5]~q\);

-- Location: LCCOMB_X71_Y30_N16
\led_flash_cnt[1180][6]~43410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1180][6]~43410_combout\ = (\led_flash_cnt[1180][6]~q\ & (!\led_flash_cnt[1180][5]~43409\)) # (!\led_flash_cnt[1180][6]~q\ & ((\led_flash_cnt[1180][5]~43409\) # (GND)))
-- \led_flash_cnt[1180][6]~43411\ = CARRY((!\led_flash_cnt[1180][5]~43409\) # (!\led_flash_cnt[1180][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1180][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1180][5]~43409\,
	combout => \led_flash_cnt[1180][6]~43410_combout\,
	cout => \led_flash_cnt[1180][6]~43411\);

-- Location: FF_X71_Y30_N17
\led_flash_cnt[1180][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1180][6]~43410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1180][6]~q\);

-- Location: LCCOMB_X71_Y30_N18
\led_flash_cnt[1180][7]~43412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1180][7]~43412_combout\ = \led_flash_cnt[1180][6]~43411\ $ (!\led_flash_cnt[1180][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1180][7]~q\,
	cin => \led_flash_cnt[1180][6]~43411\,
	combout => \led_flash_cnt[1180][7]~43412_combout\);

-- Location: FF_X71_Y30_N19
\led_flash_cnt[1180][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1180][7]~43412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1180][7]~q\);

-- Location: LCCOMB_X71_Y30_N22
\WideAnd1180~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1180~1_combout\ = (\led_flash_cnt[1180][5]~q\ & \led_flash_cnt[1180][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1180][5]~q\,
	datad => \led_flash_cnt[1180][6]~q\,
	combout => \WideAnd1180~1_combout\);

-- Location: LCCOMB_X71_Y30_N26
WideAnd1180 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1180~combout\ = (\WideAnd1180~0_combout\ & (\led_flash_cnt[1180][7]~q\ & (\WideAnd1180~1_combout\ & \led_flash_cnt[1180][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1180~0_combout\,
	datab => \led_flash_cnt[1180][7]~q\,
	datac => \WideAnd1180~1_combout\,
	datad => \led_flash_cnt[1180][0]~q\,
	combout => \WideAnd1180~combout\);

-- Location: FF_X71_Y30_N27
\led_flash_cnt_ands[1180]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1180~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1180));

-- Location: LCCOMB_X71_Y30_N0
\led_flash_cnt[1181][0]~81821\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1181][0]~81821_combout\ = !\led_flash_cnt[1181][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1181][0]~q\,
	combout => \led_flash_cnt[1181][0]~81821_combout\);

-- Location: FF_X71_Y30_N1
\led_flash_cnt[1181][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1181][0]~81821_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1181][0]~q\);

-- Location: LCCOMB_X71_Y31_N16
\led_flash_cnt[1181][1]~43414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1181][1]~43414_combout\ = (\led_flash_cnt[1181][0]~q\ & (\led_flash_cnt[1181][1]~q\ $ (VCC))) # (!\led_flash_cnt[1181][0]~q\ & (\led_flash_cnt[1181][1]~q\ & VCC))
-- \led_flash_cnt[1181][1]~43415\ = CARRY((\led_flash_cnt[1181][0]~q\ & \led_flash_cnt[1181][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1181][0]~q\,
	datab => \led_flash_cnt[1181][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1181][1]~43414_combout\,
	cout => \led_flash_cnt[1181][1]~43415\);

-- Location: FF_X71_Y31_N17
\led_flash_cnt[1181][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1181][1]~43414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1181][1]~q\);

-- Location: LCCOMB_X71_Y31_N18
\led_flash_cnt[1181][2]~43416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1181][2]~43416_combout\ = (\led_flash_cnt[1181][2]~q\ & (!\led_flash_cnt[1181][1]~43415\)) # (!\led_flash_cnt[1181][2]~q\ & ((\led_flash_cnt[1181][1]~43415\) # (GND)))
-- \led_flash_cnt[1181][2]~43417\ = CARRY((!\led_flash_cnt[1181][1]~43415\) # (!\led_flash_cnt[1181][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1181][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1181][1]~43415\,
	combout => \led_flash_cnt[1181][2]~43416_combout\,
	cout => \led_flash_cnt[1181][2]~43417\);

-- Location: FF_X71_Y31_N19
\led_flash_cnt[1181][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1181][2]~43416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1181][2]~q\);

-- Location: LCCOMB_X71_Y31_N20
\led_flash_cnt[1181][3]~43418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1181][3]~43418_combout\ = (\led_flash_cnt[1181][3]~q\ & (\led_flash_cnt[1181][2]~43417\ $ (GND))) # (!\led_flash_cnt[1181][3]~q\ & (!\led_flash_cnt[1181][2]~43417\ & VCC))
-- \led_flash_cnt[1181][3]~43419\ = CARRY((\led_flash_cnt[1181][3]~q\ & !\led_flash_cnt[1181][2]~43417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1181][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1181][2]~43417\,
	combout => \led_flash_cnt[1181][3]~43418_combout\,
	cout => \led_flash_cnt[1181][3]~43419\);

-- Location: FF_X71_Y31_N21
\led_flash_cnt[1181][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1181][3]~43418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1181][3]~q\);

-- Location: LCCOMB_X71_Y31_N22
\led_flash_cnt[1181][4]~43420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1181][4]~43420_combout\ = (\led_flash_cnt[1181][4]~q\ & (!\led_flash_cnt[1181][3]~43419\)) # (!\led_flash_cnt[1181][4]~q\ & ((\led_flash_cnt[1181][3]~43419\) # (GND)))
-- \led_flash_cnt[1181][4]~43421\ = CARRY((!\led_flash_cnt[1181][3]~43419\) # (!\led_flash_cnt[1181][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1181][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1181][3]~43419\,
	combout => \led_flash_cnt[1181][4]~43420_combout\,
	cout => \led_flash_cnt[1181][4]~43421\);

-- Location: FF_X71_Y31_N23
\led_flash_cnt[1181][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1181][4]~43420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1181][4]~q\);

-- Location: LCCOMB_X71_Y31_N24
\led_flash_cnt[1181][5]~43422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1181][5]~43422_combout\ = (\led_flash_cnt[1181][5]~q\ & (\led_flash_cnt[1181][4]~43421\ $ (GND))) # (!\led_flash_cnt[1181][5]~q\ & (!\led_flash_cnt[1181][4]~43421\ & VCC))
-- \led_flash_cnt[1181][5]~43423\ = CARRY((\led_flash_cnt[1181][5]~q\ & !\led_flash_cnt[1181][4]~43421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1181][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1181][4]~43421\,
	combout => \led_flash_cnt[1181][5]~43422_combout\,
	cout => \led_flash_cnt[1181][5]~43423\);

-- Location: FF_X71_Y31_N25
\led_flash_cnt[1181][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1181][5]~43422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1181][5]~q\);

-- Location: LCCOMB_X71_Y31_N26
\led_flash_cnt[1181][6]~43424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1181][6]~43424_combout\ = (\led_flash_cnt[1181][6]~q\ & (!\led_flash_cnt[1181][5]~43423\)) # (!\led_flash_cnt[1181][6]~q\ & ((\led_flash_cnt[1181][5]~43423\) # (GND)))
-- \led_flash_cnt[1181][6]~43425\ = CARRY((!\led_flash_cnt[1181][5]~43423\) # (!\led_flash_cnt[1181][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1181][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1181][5]~43423\,
	combout => \led_flash_cnt[1181][6]~43424_combout\,
	cout => \led_flash_cnt[1181][6]~43425\);

-- Location: FF_X71_Y31_N27
\led_flash_cnt[1181][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1181][6]~43424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1181][6]~q\);

-- Location: LCCOMB_X71_Y31_N28
\led_flash_cnt[1181][7]~43426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1181][7]~43426_combout\ = \led_flash_cnt[1181][6]~43425\ $ (!\led_flash_cnt[1181][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1181][7]~q\,
	cin => \led_flash_cnt[1181][6]~43425\,
	combout => \led_flash_cnt[1181][7]~43426_combout\);

-- Location: FF_X71_Y31_N29
\led_flash_cnt[1181][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1181][7]~43426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1181][7]~q\);

-- Location: LCCOMB_X71_Y30_N28
\WideAnd1181~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1181~1_combout\ = (\led_flash_cnt[1181][6]~q\ & \led_flash_cnt[1181][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1181][6]~q\,
	datad => \led_flash_cnt[1181][5]~q\,
	combout => \WideAnd1181~1_combout\);

-- Location: LCCOMB_X71_Y31_N30
\WideAnd1181~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1181~0_combout\ = (\led_flash_cnt[1181][1]~q\ & (\led_flash_cnt[1181][2]~q\ & (\led_flash_cnt[1181][4]~q\ & \led_flash_cnt[1181][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1181][1]~q\,
	datab => \led_flash_cnt[1181][2]~q\,
	datac => \led_flash_cnt[1181][4]~q\,
	datad => \led_flash_cnt[1181][3]~q\,
	combout => \WideAnd1181~0_combout\);

-- Location: LCCOMB_X71_Y30_N4
WideAnd1181 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1181~combout\ = (\led_flash_cnt[1181][7]~q\ & (\WideAnd1181~1_combout\ & (\WideAnd1181~0_combout\ & \led_flash_cnt[1181][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1181][7]~q\,
	datab => \WideAnd1181~1_combout\,
	datac => \WideAnd1181~0_combout\,
	datad => \led_flash_cnt[1181][0]~q\,
	combout => \WideAnd1181~combout\);

-- Location: FF_X71_Y30_N5
\led_flash_cnt_ands[1181]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1181~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1181));

-- Location: LCCOMB_X71_Y30_N20
\WideAnd3987~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3987~1_combout\ = (led_flash_cnt_ands(1180) & led_flash_cnt_ands(1181))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1180),
	datac => led_flash_cnt_ands(1181),
	combout => \WideAnd3987~1_combout\);

-- Location: LCCOMB_X65_Y27_N4
\led_flash_cnt[1178][0]~81818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1178][0]~81818_combout\ = !\led_flash_cnt[1178][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1178][0]~q\,
	combout => \led_flash_cnt[1178][0]~81818_combout\);

-- Location: FF_X65_Y27_N5
\led_flash_cnt[1178][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1178][0]~81818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1178][0]~q\);

-- Location: LCCOMB_X65_Y27_N6
\led_flash_cnt[1178][1]~43372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1178][1]~43372_combout\ = (\led_flash_cnt[1178][1]~q\ & (\led_flash_cnt[1178][0]~q\ $ (VCC))) # (!\led_flash_cnt[1178][1]~q\ & (\led_flash_cnt[1178][0]~q\ & VCC))
-- \led_flash_cnt[1178][1]~43373\ = CARRY((\led_flash_cnt[1178][1]~q\ & \led_flash_cnt[1178][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1178][1]~q\,
	datab => \led_flash_cnt[1178][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1178][1]~43372_combout\,
	cout => \led_flash_cnt[1178][1]~43373\);

-- Location: FF_X65_Y27_N7
\led_flash_cnt[1178][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1178][1]~43372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1178][1]~q\);

-- Location: LCCOMB_X65_Y27_N8
\led_flash_cnt[1178][2]~43374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1178][2]~43374_combout\ = (\led_flash_cnt[1178][2]~q\ & (!\led_flash_cnt[1178][1]~43373\)) # (!\led_flash_cnt[1178][2]~q\ & ((\led_flash_cnt[1178][1]~43373\) # (GND)))
-- \led_flash_cnt[1178][2]~43375\ = CARRY((!\led_flash_cnt[1178][1]~43373\) # (!\led_flash_cnt[1178][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1178][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1178][1]~43373\,
	combout => \led_flash_cnt[1178][2]~43374_combout\,
	cout => \led_flash_cnt[1178][2]~43375\);

-- Location: FF_X65_Y27_N9
\led_flash_cnt[1178][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1178][2]~43374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1178][2]~q\);

-- Location: LCCOMB_X65_Y27_N10
\led_flash_cnt[1178][3]~43376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1178][3]~43376_combout\ = (\led_flash_cnt[1178][3]~q\ & (\led_flash_cnt[1178][2]~43375\ $ (GND))) # (!\led_flash_cnt[1178][3]~q\ & (!\led_flash_cnt[1178][2]~43375\ & VCC))
-- \led_flash_cnt[1178][3]~43377\ = CARRY((\led_flash_cnt[1178][3]~q\ & !\led_flash_cnt[1178][2]~43375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1178][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1178][2]~43375\,
	combout => \led_flash_cnt[1178][3]~43376_combout\,
	cout => \led_flash_cnt[1178][3]~43377\);

-- Location: FF_X65_Y27_N11
\led_flash_cnt[1178][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1178][3]~43376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1178][3]~q\);

-- Location: LCCOMB_X65_Y27_N12
\led_flash_cnt[1178][4]~43378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1178][4]~43378_combout\ = (\led_flash_cnt[1178][4]~q\ & (!\led_flash_cnt[1178][3]~43377\)) # (!\led_flash_cnt[1178][4]~q\ & ((\led_flash_cnt[1178][3]~43377\) # (GND)))
-- \led_flash_cnt[1178][4]~43379\ = CARRY((!\led_flash_cnt[1178][3]~43377\) # (!\led_flash_cnt[1178][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1178][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1178][3]~43377\,
	combout => \led_flash_cnt[1178][4]~43378_combout\,
	cout => \led_flash_cnt[1178][4]~43379\);

-- Location: FF_X65_Y27_N13
\led_flash_cnt[1178][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1178][4]~43378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1178][4]~q\);

-- Location: LCCOMB_X65_Y27_N14
\led_flash_cnt[1178][5]~43380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1178][5]~43380_combout\ = (\led_flash_cnt[1178][5]~q\ & (\led_flash_cnt[1178][4]~43379\ $ (GND))) # (!\led_flash_cnt[1178][5]~q\ & (!\led_flash_cnt[1178][4]~43379\ & VCC))
-- \led_flash_cnt[1178][5]~43381\ = CARRY((\led_flash_cnt[1178][5]~q\ & !\led_flash_cnt[1178][4]~43379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1178][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1178][4]~43379\,
	combout => \led_flash_cnt[1178][5]~43380_combout\,
	cout => \led_flash_cnt[1178][5]~43381\);

-- Location: FF_X65_Y27_N15
\led_flash_cnt[1178][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1178][5]~43380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1178][5]~q\);

-- Location: LCCOMB_X65_Y27_N16
\led_flash_cnt[1178][6]~43382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1178][6]~43382_combout\ = (\led_flash_cnt[1178][6]~q\ & (!\led_flash_cnt[1178][5]~43381\)) # (!\led_flash_cnt[1178][6]~q\ & ((\led_flash_cnt[1178][5]~43381\) # (GND)))
-- \led_flash_cnt[1178][6]~43383\ = CARRY((!\led_flash_cnt[1178][5]~43381\) # (!\led_flash_cnt[1178][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1178][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1178][5]~43381\,
	combout => \led_flash_cnt[1178][6]~43382_combout\,
	cout => \led_flash_cnt[1178][6]~43383\);

-- Location: FF_X65_Y27_N17
\led_flash_cnt[1178][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1178][6]~43382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1178][6]~q\);

-- Location: LCCOMB_X65_Y27_N26
\WideAnd1178~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1178~1_combout\ = (\led_flash_cnt[1178][5]~q\ & \led_flash_cnt[1178][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1178][5]~q\,
	datad => \led_flash_cnt[1178][6]~q\,
	combout => \WideAnd1178~1_combout\);

-- Location: LCCOMB_X65_Y27_N18
\led_flash_cnt[1178][7]~43384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1178][7]~43384_combout\ = \led_flash_cnt[1178][7]~q\ $ (!\led_flash_cnt[1178][6]~43383\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1178][7]~q\,
	cin => \led_flash_cnt[1178][6]~43383\,
	combout => \led_flash_cnt[1178][7]~43384_combout\);

-- Location: FF_X65_Y27_N19
\led_flash_cnt[1178][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1178][7]~43384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1178][7]~q\);

-- Location: LCCOMB_X65_Y27_N24
\WideAnd1178~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1178~0_combout\ = (\led_flash_cnt[1178][3]~q\ & (\led_flash_cnt[1178][4]~q\ & (\led_flash_cnt[1178][2]~q\ & \led_flash_cnt[1178][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1178][3]~q\,
	datab => \led_flash_cnt[1178][4]~q\,
	datac => \led_flash_cnt[1178][2]~q\,
	datad => \led_flash_cnt[1178][1]~q\,
	combout => \WideAnd1178~0_combout\);

-- Location: LCCOMB_X65_Y27_N22
WideAnd1178 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1178~combout\ = (\WideAnd1178~1_combout\ & (\led_flash_cnt[1178][0]~q\ & (\led_flash_cnt[1178][7]~q\ & \WideAnd1178~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1178~1_combout\,
	datab => \led_flash_cnt[1178][0]~q\,
	datac => \led_flash_cnt[1178][7]~q\,
	datad => \WideAnd1178~0_combout\,
	combout => \WideAnd1178~combout\);

-- Location: FF_X65_Y27_N23
\led_flash_cnt_ands[1178]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1178~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1178));

-- Location: LCCOMB_X65_Y25_N30
\led_flash_cnt[1179][0]~81819\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1179][0]~81819_combout\ = !\led_flash_cnt[1179][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1179][0]~q\,
	combout => \led_flash_cnt[1179][0]~81819_combout\);

-- Location: FF_X65_Y25_N31
\led_flash_cnt[1179][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1179][0]~81819_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1179][0]~q\);

-- Location: LCCOMB_X65_Y25_N8
\led_flash_cnt[1179][1]~43386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1179][1]~43386_combout\ = (\led_flash_cnt[1179][0]~q\ & (\led_flash_cnt[1179][1]~q\ $ (VCC))) # (!\led_flash_cnt[1179][0]~q\ & (\led_flash_cnt[1179][1]~q\ & VCC))
-- \led_flash_cnt[1179][1]~43387\ = CARRY((\led_flash_cnt[1179][0]~q\ & \led_flash_cnt[1179][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1179][0]~q\,
	datab => \led_flash_cnt[1179][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1179][1]~43386_combout\,
	cout => \led_flash_cnt[1179][1]~43387\);

-- Location: FF_X65_Y25_N9
\led_flash_cnt[1179][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1179][1]~43386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1179][1]~q\);

-- Location: LCCOMB_X65_Y25_N10
\led_flash_cnt[1179][2]~43388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1179][2]~43388_combout\ = (\led_flash_cnt[1179][2]~q\ & (!\led_flash_cnt[1179][1]~43387\)) # (!\led_flash_cnt[1179][2]~q\ & ((\led_flash_cnt[1179][1]~43387\) # (GND)))
-- \led_flash_cnt[1179][2]~43389\ = CARRY((!\led_flash_cnt[1179][1]~43387\) # (!\led_flash_cnt[1179][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1179][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1179][1]~43387\,
	combout => \led_flash_cnt[1179][2]~43388_combout\,
	cout => \led_flash_cnt[1179][2]~43389\);

-- Location: FF_X65_Y25_N11
\led_flash_cnt[1179][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1179][2]~43388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1179][2]~q\);

-- Location: LCCOMB_X65_Y25_N12
\led_flash_cnt[1179][3]~43390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1179][3]~43390_combout\ = (\led_flash_cnt[1179][3]~q\ & (\led_flash_cnt[1179][2]~43389\ $ (GND))) # (!\led_flash_cnt[1179][3]~q\ & (!\led_flash_cnt[1179][2]~43389\ & VCC))
-- \led_flash_cnt[1179][3]~43391\ = CARRY((\led_flash_cnt[1179][3]~q\ & !\led_flash_cnt[1179][2]~43389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1179][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1179][2]~43389\,
	combout => \led_flash_cnt[1179][3]~43390_combout\,
	cout => \led_flash_cnt[1179][3]~43391\);

-- Location: FF_X65_Y25_N13
\led_flash_cnt[1179][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1179][3]~43390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1179][3]~q\);

-- Location: LCCOMB_X65_Y25_N14
\led_flash_cnt[1179][4]~43392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1179][4]~43392_combout\ = (\led_flash_cnt[1179][4]~q\ & (!\led_flash_cnt[1179][3]~43391\)) # (!\led_flash_cnt[1179][4]~q\ & ((\led_flash_cnt[1179][3]~43391\) # (GND)))
-- \led_flash_cnt[1179][4]~43393\ = CARRY((!\led_flash_cnt[1179][3]~43391\) # (!\led_flash_cnt[1179][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1179][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1179][3]~43391\,
	combout => \led_flash_cnt[1179][4]~43392_combout\,
	cout => \led_flash_cnt[1179][4]~43393\);

-- Location: FF_X65_Y25_N15
\led_flash_cnt[1179][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1179][4]~43392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1179][4]~q\);

-- Location: LCCOMB_X65_Y25_N16
\led_flash_cnt[1179][5]~43394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1179][5]~43394_combout\ = (\led_flash_cnt[1179][5]~q\ & (\led_flash_cnt[1179][4]~43393\ $ (GND))) # (!\led_flash_cnt[1179][5]~q\ & (!\led_flash_cnt[1179][4]~43393\ & VCC))
-- \led_flash_cnt[1179][5]~43395\ = CARRY((\led_flash_cnt[1179][5]~q\ & !\led_flash_cnt[1179][4]~43393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1179][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1179][4]~43393\,
	combout => \led_flash_cnt[1179][5]~43394_combout\,
	cout => \led_flash_cnt[1179][5]~43395\);

-- Location: FF_X65_Y25_N17
\led_flash_cnt[1179][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1179][5]~43394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1179][5]~q\);

-- Location: LCCOMB_X65_Y25_N18
\led_flash_cnt[1179][6]~43396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1179][6]~43396_combout\ = (\led_flash_cnt[1179][6]~q\ & (!\led_flash_cnt[1179][5]~43395\)) # (!\led_flash_cnt[1179][6]~q\ & ((\led_flash_cnt[1179][5]~43395\) # (GND)))
-- \led_flash_cnt[1179][6]~43397\ = CARRY((!\led_flash_cnt[1179][5]~43395\) # (!\led_flash_cnt[1179][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1179][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1179][5]~43395\,
	combout => \led_flash_cnt[1179][6]~43396_combout\,
	cout => \led_flash_cnt[1179][6]~43397\);

-- Location: FF_X65_Y25_N19
\led_flash_cnt[1179][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1179][6]~43396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1179][6]~q\);

-- Location: LCCOMB_X65_Y25_N20
\led_flash_cnt[1179][7]~43398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1179][7]~43398_combout\ = \led_flash_cnt[1179][6]~43397\ $ (!\led_flash_cnt[1179][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1179][7]~q\,
	cin => \led_flash_cnt[1179][6]~43397\,
	combout => \led_flash_cnt[1179][7]~43398_combout\);

-- Location: FF_X65_Y25_N21
\led_flash_cnt[1179][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1179][7]~43398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1179][7]~q\);

-- Location: LCCOMB_X65_Y25_N4
\WideAnd1179~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1179~1_combout\ = (\led_flash_cnt[1179][6]~q\ & \led_flash_cnt[1179][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1179][6]~q\,
	datad => \led_flash_cnt[1179][5]~q\,
	combout => \WideAnd1179~1_combout\);

-- Location: LCCOMB_X65_Y25_N24
\WideAnd1179~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1179~0_combout\ = (\led_flash_cnt[1179][3]~q\ & (\led_flash_cnt[1179][1]~q\ & (\led_flash_cnt[1179][4]~q\ & \led_flash_cnt[1179][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1179][3]~q\,
	datab => \led_flash_cnt[1179][1]~q\,
	datac => \led_flash_cnt[1179][4]~q\,
	datad => \led_flash_cnt[1179][2]~q\,
	combout => \WideAnd1179~0_combout\);

-- Location: LCCOMB_X65_Y25_N28
WideAnd1179 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1179~combout\ = (\led_flash_cnt[1179][0]~q\ & (\led_flash_cnt[1179][7]~q\ & (\WideAnd1179~1_combout\ & \WideAnd1179~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1179][0]~q\,
	datab => \led_flash_cnt[1179][7]~q\,
	datac => \WideAnd1179~1_combout\,
	datad => \WideAnd1179~0_combout\,
	combout => \WideAnd1179~combout\);

-- Location: FF_X65_Y25_N29
\led_flash_cnt_ands[1179]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1179~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1179));

-- Location: LCCOMB_X69_Y12_N20
\led_flash_cnt[1176][0]~81816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1176][0]~81816_combout\ = !\led_flash_cnt[1176][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1176][0]~q\,
	combout => \led_flash_cnt[1176][0]~81816_combout\);

-- Location: FF_X69_Y12_N21
\led_flash_cnt[1176][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1176][0]~81816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1176][0]~q\);

-- Location: LCCOMB_X69_Y12_N2
\led_flash_cnt[1176][1]~43344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1176][1]~43344_combout\ = (\led_flash_cnt[1176][1]~q\ & (\led_flash_cnt[1176][0]~q\ $ (VCC))) # (!\led_flash_cnt[1176][1]~q\ & (\led_flash_cnt[1176][0]~q\ & VCC))
-- \led_flash_cnt[1176][1]~43345\ = CARRY((\led_flash_cnt[1176][1]~q\ & \led_flash_cnt[1176][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1176][1]~q\,
	datab => \led_flash_cnt[1176][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1176][1]~43344_combout\,
	cout => \led_flash_cnt[1176][1]~43345\);

-- Location: FF_X69_Y12_N3
\led_flash_cnt[1176][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1176][1]~43344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1176][1]~q\);

-- Location: LCCOMB_X69_Y12_N4
\led_flash_cnt[1176][2]~43346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1176][2]~43346_combout\ = (\led_flash_cnt[1176][2]~q\ & (!\led_flash_cnt[1176][1]~43345\)) # (!\led_flash_cnt[1176][2]~q\ & ((\led_flash_cnt[1176][1]~43345\) # (GND)))
-- \led_flash_cnt[1176][2]~43347\ = CARRY((!\led_flash_cnt[1176][1]~43345\) # (!\led_flash_cnt[1176][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1176][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1176][1]~43345\,
	combout => \led_flash_cnt[1176][2]~43346_combout\,
	cout => \led_flash_cnt[1176][2]~43347\);

-- Location: FF_X69_Y12_N5
\led_flash_cnt[1176][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1176][2]~43346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1176][2]~q\);

-- Location: LCCOMB_X69_Y12_N6
\led_flash_cnt[1176][3]~43348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1176][3]~43348_combout\ = (\led_flash_cnt[1176][3]~q\ & (\led_flash_cnt[1176][2]~43347\ $ (GND))) # (!\led_flash_cnt[1176][3]~q\ & (!\led_flash_cnt[1176][2]~43347\ & VCC))
-- \led_flash_cnt[1176][3]~43349\ = CARRY((\led_flash_cnt[1176][3]~q\ & !\led_flash_cnt[1176][2]~43347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1176][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1176][2]~43347\,
	combout => \led_flash_cnt[1176][3]~43348_combout\,
	cout => \led_flash_cnt[1176][3]~43349\);

-- Location: FF_X69_Y12_N7
\led_flash_cnt[1176][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1176][3]~43348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1176][3]~q\);

-- Location: LCCOMB_X69_Y12_N8
\led_flash_cnt[1176][4]~43350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1176][4]~43350_combout\ = (\led_flash_cnt[1176][4]~q\ & (!\led_flash_cnt[1176][3]~43349\)) # (!\led_flash_cnt[1176][4]~q\ & ((\led_flash_cnt[1176][3]~43349\) # (GND)))
-- \led_flash_cnt[1176][4]~43351\ = CARRY((!\led_flash_cnt[1176][3]~43349\) # (!\led_flash_cnt[1176][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1176][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1176][3]~43349\,
	combout => \led_flash_cnt[1176][4]~43350_combout\,
	cout => \led_flash_cnt[1176][4]~43351\);

-- Location: FF_X69_Y12_N9
\led_flash_cnt[1176][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1176][4]~43350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1176][4]~q\);

-- Location: LCCOMB_X69_Y12_N10
\led_flash_cnt[1176][5]~43352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1176][5]~43352_combout\ = (\led_flash_cnt[1176][5]~q\ & (\led_flash_cnt[1176][4]~43351\ $ (GND))) # (!\led_flash_cnt[1176][5]~q\ & (!\led_flash_cnt[1176][4]~43351\ & VCC))
-- \led_flash_cnt[1176][5]~43353\ = CARRY((\led_flash_cnt[1176][5]~q\ & !\led_flash_cnt[1176][4]~43351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1176][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1176][4]~43351\,
	combout => \led_flash_cnt[1176][5]~43352_combout\,
	cout => \led_flash_cnt[1176][5]~43353\);

-- Location: FF_X69_Y12_N11
\led_flash_cnt[1176][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1176][5]~43352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1176][5]~q\);

-- Location: LCCOMB_X69_Y12_N12
\led_flash_cnt[1176][6]~43354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1176][6]~43354_combout\ = (\led_flash_cnt[1176][6]~q\ & (!\led_flash_cnt[1176][5]~43353\)) # (!\led_flash_cnt[1176][6]~q\ & ((\led_flash_cnt[1176][5]~43353\) # (GND)))
-- \led_flash_cnt[1176][6]~43355\ = CARRY((!\led_flash_cnt[1176][5]~43353\) # (!\led_flash_cnt[1176][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1176][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1176][5]~43353\,
	combout => \led_flash_cnt[1176][6]~43354_combout\,
	cout => \led_flash_cnt[1176][6]~43355\);

-- Location: FF_X69_Y12_N13
\led_flash_cnt[1176][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1176][6]~43354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1176][6]~q\);

-- Location: LCCOMB_X69_Y12_N26
\WideAnd1176~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1176~1_combout\ = (\led_flash_cnt[1176][6]~q\ & \led_flash_cnt[1176][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1176][6]~q\,
	datad => \led_flash_cnt[1176][5]~q\,
	combout => \WideAnd1176~1_combout\);

-- Location: LCCOMB_X69_Y12_N14
\led_flash_cnt[1176][7]~43356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1176][7]~43356_combout\ = \led_flash_cnt[1176][7]~q\ $ (!\led_flash_cnt[1176][6]~43355\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1176][7]~q\,
	cin => \led_flash_cnt[1176][6]~43355\,
	combout => \led_flash_cnt[1176][7]~43356_combout\);

-- Location: FF_X69_Y12_N15
\led_flash_cnt[1176][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1176][7]~43356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1176][7]~q\);

-- Location: LCCOMB_X69_Y12_N18
\WideAnd1176~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1176~0_combout\ = (\led_flash_cnt[1176][1]~q\ & (\led_flash_cnt[1176][4]~q\ & (\led_flash_cnt[1176][2]~q\ & \led_flash_cnt[1176][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1176][1]~q\,
	datab => \led_flash_cnt[1176][4]~q\,
	datac => \led_flash_cnt[1176][2]~q\,
	datad => \led_flash_cnt[1176][3]~q\,
	combout => \WideAnd1176~0_combout\);

-- Location: LCCOMB_X69_Y12_N0
WideAnd1176 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1176~combout\ = (\WideAnd1176~1_combout\ & (\led_flash_cnt[1176][0]~q\ & (\led_flash_cnt[1176][7]~q\ & \WideAnd1176~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1176~1_combout\,
	datab => \led_flash_cnt[1176][0]~q\,
	datac => \led_flash_cnt[1176][7]~q\,
	datad => \WideAnd1176~0_combout\,
	combout => \WideAnd1176~combout\);

-- Location: FF_X69_Y12_N1
\led_flash_cnt_ands[1176]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1176~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1176));

-- Location: LCCOMB_X65_Y25_N2
\led_flash_cnt[1177][0]~81817\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1177][0]~81817_combout\ = !\led_flash_cnt[1177][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1177][0]~q\,
	combout => \led_flash_cnt[1177][0]~81817_combout\);

-- Location: FF_X65_Y25_N3
\led_flash_cnt[1177][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1177][0]~81817_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1177][0]~q\);

-- Location: LCCOMB_X64_Y25_N18
\led_flash_cnt[1177][1]~43358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1177][1]~43358_combout\ = (\led_flash_cnt[1177][0]~q\ & (\led_flash_cnt[1177][1]~q\ $ (VCC))) # (!\led_flash_cnt[1177][0]~q\ & (\led_flash_cnt[1177][1]~q\ & VCC))
-- \led_flash_cnt[1177][1]~43359\ = CARRY((\led_flash_cnt[1177][0]~q\ & \led_flash_cnt[1177][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1177][0]~q\,
	datab => \led_flash_cnt[1177][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1177][1]~43358_combout\,
	cout => \led_flash_cnt[1177][1]~43359\);

-- Location: FF_X64_Y25_N19
\led_flash_cnt[1177][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1177][1]~43358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1177][1]~q\);

-- Location: LCCOMB_X64_Y25_N20
\led_flash_cnt[1177][2]~43360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1177][2]~43360_combout\ = (\led_flash_cnt[1177][2]~q\ & (!\led_flash_cnt[1177][1]~43359\)) # (!\led_flash_cnt[1177][2]~q\ & ((\led_flash_cnt[1177][1]~43359\) # (GND)))
-- \led_flash_cnt[1177][2]~43361\ = CARRY((!\led_flash_cnt[1177][1]~43359\) # (!\led_flash_cnt[1177][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1177][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1177][1]~43359\,
	combout => \led_flash_cnt[1177][2]~43360_combout\,
	cout => \led_flash_cnt[1177][2]~43361\);

-- Location: FF_X64_Y25_N21
\led_flash_cnt[1177][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1177][2]~43360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1177][2]~q\);

-- Location: LCCOMB_X64_Y25_N22
\led_flash_cnt[1177][3]~43362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1177][3]~43362_combout\ = (\led_flash_cnt[1177][3]~q\ & (\led_flash_cnt[1177][2]~43361\ $ (GND))) # (!\led_flash_cnt[1177][3]~q\ & (!\led_flash_cnt[1177][2]~43361\ & VCC))
-- \led_flash_cnt[1177][3]~43363\ = CARRY((\led_flash_cnt[1177][3]~q\ & !\led_flash_cnt[1177][2]~43361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1177][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1177][2]~43361\,
	combout => \led_flash_cnt[1177][3]~43362_combout\,
	cout => \led_flash_cnt[1177][3]~43363\);

-- Location: FF_X64_Y25_N23
\led_flash_cnt[1177][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1177][3]~43362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1177][3]~q\);

-- Location: LCCOMB_X64_Y25_N24
\led_flash_cnt[1177][4]~43364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1177][4]~43364_combout\ = (\led_flash_cnt[1177][4]~q\ & (!\led_flash_cnt[1177][3]~43363\)) # (!\led_flash_cnt[1177][4]~q\ & ((\led_flash_cnt[1177][3]~43363\) # (GND)))
-- \led_flash_cnt[1177][4]~43365\ = CARRY((!\led_flash_cnt[1177][3]~43363\) # (!\led_flash_cnt[1177][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1177][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1177][3]~43363\,
	combout => \led_flash_cnt[1177][4]~43364_combout\,
	cout => \led_flash_cnt[1177][4]~43365\);

-- Location: FF_X64_Y25_N25
\led_flash_cnt[1177][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1177][4]~43364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1177][4]~q\);

-- Location: LCCOMB_X64_Y25_N26
\led_flash_cnt[1177][5]~43366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1177][5]~43366_combout\ = (\led_flash_cnt[1177][5]~q\ & (\led_flash_cnt[1177][4]~43365\ $ (GND))) # (!\led_flash_cnt[1177][5]~q\ & (!\led_flash_cnt[1177][4]~43365\ & VCC))
-- \led_flash_cnt[1177][5]~43367\ = CARRY((\led_flash_cnt[1177][5]~q\ & !\led_flash_cnt[1177][4]~43365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1177][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1177][4]~43365\,
	combout => \led_flash_cnt[1177][5]~43366_combout\,
	cout => \led_flash_cnt[1177][5]~43367\);

-- Location: FF_X64_Y25_N27
\led_flash_cnt[1177][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1177][5]~43366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1177][5]~q\);

-- Location: LCCOMB_X64_Y25_N28
\led_flash_cnt[1177][6]~43368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1177][6]~43368_combout\ = (\led_flash_cnt[1177][6]~q\ & (!\led_flash_cnt[1177][5]~43367\)) # (!\led_flash_cnt[1177][6]~q\ & ((\led_flash_cnt[1177][5]~43367\) # (GND)))
-- \led_flash_cnt[1177][6]~43369\ = CARRY((!\led_flash_cnt[1177][5]~43367\) # (!\led_flash_cnt[1177][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1177][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1177][5]~43367\,
	combout => \led_flash_cnt[1177][6]~43368_combout\,
	cout => \led_flash_cnt[1177][6]~43369\);

-- Location: FF_X64_Y25_N29
\led_flash_cnt[1177][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1177][6]~43368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1177][6]~q\);

-- Location: LCCOMB_X65_Y25_N22
\WideAnd1177~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1177~1_combout\ = (\led_flash_cnt[1177][5]~q\ & \led_flash_cnt[1177][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1177][5]~q\,
	datad => \led_flash_cnt[1177][6]~q\,
	combout => \WideAnd1177~1_combout\);

-- Location: LCCOMB_X64_Y25_N30
\led_flash_cnt[1177][7]~43370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1177][7]~43370_combout\ = \led_flash_cnt[1177][7]~q\ $ (!\led_flash_cnt[1177][6]~43369\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1177][7]~q\,
	cin => \led_flash_cnt[1177][6]~43369\,
	combout => \led_flash_cnt[1177][7]~43370_combout\);

-- Location: FF_X64_Y25_N31
\led_flash_cnt[1177][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1177][7]~43370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1177][7]~q\);

-- Location: LCCOMB_X64_Y25_N0
\WideAnd1177~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1177~0_combout\ = (\led_flash_cnt[1177][4]~q\ & (\led_flash_cnt[1177][2]~q\ & (\led_flash_cnt[1177][3]~q\ & \led_flash_cnt[1177][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1177][4]~q\,
	datab => \led_flash_cnt[1177][2]~q\,
	datac => \led_flash_cnt[1177][3]~q\,
	datad => \led_flash_cnt[1177][1]~q\,
	combout => \WideAnd1177~0_combout\);

-- Location: LCCOMB_X65_Y25_N6
WideAnd1177 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1177~combout\ = (\WideAnd1177~1_combout\ & (\led_flash_cnt[1177][7]~q\ & (\WideAnd1177~0_combout\ & \led_flash_cnt[1177][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1177~1_combout\,
	datab => \led_flash_cnt[1177][7]~q\,
	datac => \WideAnd1177~0_combout\,
	datad => \led_flash_cnt[1177][0]~q\,
	combout => \WideAnd1177~combout\);

-- Location: FF_X65_Y25_N7
\led_flash_cnt_ands[1177]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1177~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1177));

-- Location: LCCOMB_X65_Y25_N26
\WideAnd3987~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3987~0_combout\ = (led_flash_cnt_ands(1178) & (led_flash_cnt_ands(1179) & (led_flash_cnt_ands(1176) & led_flash_cnt_ands(1177))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1178),
	datab => led_flash_cnt_ands(1179),
	datac => led_flash_cnt_ands(1176),
	datad => led_flash_cnt_ands(1177),
	combout => \WideAnd3987~0_combout\);

-- Location: LCCOMB_X64_Y23_N30
WideAnd3987 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3987~combout\ = (led_flash_cnt_ands(1182) & (led_flash_cnt_ands(1183) & (\WideAnd3987~1_combout\ & \WideAnd3987~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1182),
	datab => led_flash_cnt_ands(1183),
	datac => \WideAnd3987~1_combout\,
	datad => \WideAnd3987~0_combout\,
	combout => \WideAnd3987~combout\);

-- Location: FF_X64_Y23_N31
\led_flash_cnt_ands_1[147]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3987~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(147));

-- Location: LCCOMB_X2_Y28_N28
\led_flash_cnt[1171][0]~81811\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1171][0]~81811_combout\ = !\led_flash_cnt[1171][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1171][0]~q\,
	combout => \led_flash_cnt[1171][0]~81811_combout\);

-- Location: FF_X2_Y28_N29
\led_flash_cnt[1171][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1171][0]~81811_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1171][0]~q\);

-- Location: LCCOMB_X3_Y28_N2
\led_flash_cnt[1171][1]~43274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1171][1]~43274_combout\ = (\led_flash_cnt[1171][0]~q\ & (\led_flash_cnt[1171][1]~q\ $ (VCC))) # (!\led_flash_cnt[1171][0]~q\ & (\led_flash_cnt[1171][1]~q\ & VCC))
-- \led_flash_cnt[1171][1]~43275\ = CARRY((\led_flash_cnt[1171][0]~q\ & \led_flash_cnt[1171][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1171][0]~q\,
	datab => \led_flash_cnt[1171][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1171][1]~43274_combout\,
	cout => \led_flash_cnt[1171][1]~43275\);

-- Location: FF_X3_Y28_N3
\led_flash_cnt[1171][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1171][1]~43274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1171][1]~q\);

-- Location: LCCOMB_X3_Y28_N4
\led_flash_cnt[1171][2]~43276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1171][2]~43276_combout\ = (\led_flash_cnt[1171][2]~q\ & (!\led_flash_cnt[1171][1]~43275\)) # (!\led_flash_cnt[1171][2]~q\ & ((\led_flash_cnt[1171][1]~43275\) # (GND)))
-- \led_flash_cnt[1171][2]~43277\ = CARRY((!\led_flash_cnt[1171][1]~43275\) # (!\led_flash_cnt[1171][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1171][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1171][1]~43275\,
	combout => \led_flash_cnt[1171][2]~43276_combout\,
	cout => \led_flash_cnt[1171][2]~43277\);

-- Location: FF_X3_Y28_N5
\led_flash_cnt[1171][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1171][2]~43276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1171][2]~q\);

-- Location: LCCOMB_X3_Y28_N6
\led_flash_cnt[1171][3]~43278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1171][3]~43278_combout\ = (\led_flash_cnt[1171][3]~q\ & (\led_flash_cnt[1171][2]~43277\ $ (GND))) # (!\led_flash_cnt[1171][3]~q\ & (!\led_flash_cnt[1171][2]~43277\ & VCC))
-- \led_flash_cnt[1171][3]~43279\ = CARRY((\led_flash_cnt[1171][3]~q\ & !\led_flash_cnt[1171][2]~43277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1171][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1171][2]~43277\,
	combout => \led_flash_cnt[1171][3]~43278_combout\,
	cout => \led_flash_cnt[1171][3]~43279\);

-- Location: FF_X3_Y28_N7
\led_flash_cnt[1171][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1171][3]~43278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1171][3]~q\);

-- Location: LCCOMB_X3_Y28_N8
\led_flash_cnt[1171][4]~43280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1171][4]~43280_combout\ = (\led_flash_cnt[1171][4]~q\ & (!\led_flash_cnt[1171][3]~43279\)) # (!\led_flash_cnt[1171][4]~q\ & ((\led_flash_cnt[1171][3]~43279\) # (GND)))
-- \led_flash_cnt[1171][4]~43281\ = CARRY((!\led_flash_cnt[1171][3]~43279\) # (!\led_flash_cnt[1171][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1171][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1171][3]~43279\,
	combout => \led_flash_cnt[1171][4]~43280_combout\,
	cout => \led_flash_cnt[1171][4]~43281\);

-- Location: FF_X3_Y28_N9
\led_flash_cnt[1171][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1171][4]~43280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1171][4]~q\);

-- Location: LCCOMB_X3_Y28_N10
\led_flash_cnt[1171][5]~43282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1171][5]~43282_combout\ = (\led_flash_cnt[1171][5]~q\ & (\led_flash_cnt[1171][4]~43281\ $ (GND))) # (!\led_flash_cnt[1171][5]~q\ & (!\led_flash_cnt[1171][4]~43281\ & VCC))
-- \led_flash_cnt[1171][5]~43283\ = CARRY((\led_flash_cnt[1171][5]~q\ & !\led_flash_cnt[1171][4]~43281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1171][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1171][4]~43281\,
	combout => \led_flash_cnt[1171][5]~43282_combout\,
	cout => \led_flash_cnt[1171][5]~43283\);

-- Location: FF_X3_Y28_N11
\led_flash_cnt[1171][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1171][5]~43282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1171][5]~q\);

-- Location: LCCOMB_X3_Y28_N12
\led_flash_cnt[1171][6]~43284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1171][6]~43284_combout\ = (\led_flash_cnt[1171][6]~q\ & (!\led_flash_cnt[1171][5]~43283\)) # (!\led_flash_cnt[1171][6]~q\ & ((\led_flash_cnt[1171][5]~43283\) # (GND)))
-- \led_flash_cnt[1171][6]~43285\ = CARRY((!\led_flash_cnt[1171][5]~43283\) # (!\led_flash_cnt[1171][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1171][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1171][5]~43283\,
	combout => \led_flash_cnt[1171][6]~43284_combout\,
	cout => \led_flash_cnt[1171][6]~43285\);

-- Location: FF_X3_Y28_N13
\led_flash_cnt[1171][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1171][6]~43284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1171][6]~q\);

-- Location: LCCOMB_X2_Y28_N26
\WideAnd1171~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1171~1_combout\ = (\led_flash_cnt[1171][6]~q\ & \led_flash_cnt[1171][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1171][6]~q\,
	datac => \led_flash_cnt[1171][5]~q\,
	combout => \WideAnd1171~1_combout\);

-- Location: LCCOMB_X3_Y28_N14
\led_flash_cnt[1171][7]~43286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1171][7]~43286_combout\ = \led_flash_cnt[1171][7]~q\ $ (!\led_flash_cnt[1171][6]~43285\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1171][7]~q\,
	cin => \led_flash_cnt[1171][6]~43285\,
	combout => \led_flash_cnt[1171][7]~43286_combout\);

-- Location: FF_X3_Y28_N15
\led_flash_cnt[1171][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1171][7]~43286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1171][7]~q\);

-- Location: LCCOMB_X3_Y28_N16
\WideAnd1171~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1171~0_combout\ = (\led_flash_cnt[1171][3]~q\ & (\led_flash_cnt[1171][4]~q\ & (\led_flash_cnt[1171][2]~q\ & \led_flash_cnt[1171][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1171][3]~q\,
	datab => \led_flash_cnt[1171][4]~q\,
	datac => \led_flash_cnt[1171][2]~q\,
	datad => \led_flash_cnt[1171][1]~q\,
	combout => \WideAnd1171~0_combout\);

-- Location: LCCOMB_X2_Y28_N22
WideAnd1171 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1171~combout\ = (\WideAnd1171~1_combout\ & (\led_flash_cnt[1171][0]~q\ & (\led_flash_cnt[1171][7]~q\ & \WideAnd1171~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1171~1_combout\,
	datab => \led_flash_cnt[1171][0]~q\,
	datac => \led_flash_cnt[1171][7]~q\,
	datad => \WideAnd1171~0_combout\,
	combout => \WideAnd1171~combout\);

-- Location: FF_X2_Y28_N23
\led_flash_cnt_ands[1171]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1171~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1171));

-- Location: LCCOMB_X2_Y28_N18
\led_flash_cnt[1169][0]~81809\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1169][0]~81809_combout\ = !\led_flash_cnt[1169][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1169][0]~q\,
	combout => \led_flash_cnt[1169][0]~81809_combout\);

-- Location: FF_X2_Y28_N19
\led_flash_cnt[1169][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1169][0]~81809_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1169][0]~q\);

-- Location: LCCOMB_X2_Y28_N2
\led_flash_cnt[1169][1]~43246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1169][1]~43246_combout\ = (\led_flash_cnt[1169][1]~q\ & (\led_flash_cnt[1169][0]~q\ $ (VCC))) # (!\led_flash_cnt[1169][1]~q\ & (\led_flash_cnt[1169][0]~q\ & VCC))
-- \led_flash_cnt[1169][1]~43247\ = CARRY((\led_flash_cnt[1169][1]~q\ & \led_flash_cnt[1169][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1169][1]~q\,
	datab => \led_flash_cnt[1169][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1169][1]~43246_combout\,
	cout => \led_flash_cnt[1169][1]~43247\);

-- Location: FF_X2_Y28_N3
\led_flash_cnt[1169][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1169][1]~43246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1169][1]~q\);

-- Location: LCCOMB_X2_Y28_N4
\led_flash_cnt[1169][2]~43248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1169][2]~43248_combout\ = (\led_flash_cnt[1169][2]~q\ & (!\led_flash_cnt[1169][1]~43247\)) # (!\led_flash_cnt[1169][2]~q\ & ((\led_flash_cnt[1169][1]~43247\) # (GND)))
-- \led_flash_cnt[1169][2]~43249\ = CARRY((!\led_flash_cnt[1169][1]~43247\) # (!\led_flash_cnt[1169][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1169][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1169][1]~43247\,
	combout => \led_flash_cnt[1169][2]~43248_combout\,
	cout => \led_flash_cnt[1169][2]~43249\);

-- Location: FF_X2_Y28_N5
\led_flash_cnt[1169][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1169][2]~43248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1169][2]~q\);

-- Location: LCCOMB_X2_Y28_N6
\led_flash_cnt[1169][3]~43250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1169][3]~43250_combout\ = (\led_flash_cnt[1169][3]~q\ & (\led_flash_cnt[1169][2]~43249\ $ (GND))) # (!\led_flash_cnt[1169][3]~q\ & (!\led_flash_cnt[1169][2]~43249\ & VCC))
-- \led_flash_cnt[1169][3]~43251\ = CARRY((\led_flash_cnt[1169][3]~q\ & !\led_flash_cnt[1169][2]~43249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1169][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1169][2]~43249\,
	combout => \led_flash_cnt[1169][3]~43250_combout\,
	cout => \led_flash_cnt[1169][3]~43251\);

-- Location: FF_X2_Y28_N7
\led_flash_cnt[1169][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1169][3]~43250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1169][3]~q\);

-- Location: LCCOMB_X2_Y28_N8
\led_flash_cnt[1169][4]~43252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1169][4]~43252_combout\ = (\led_flash_cnt[1169][4]~q\ & (!\led_flash_cnt[1169][3]~43251\)) # (!\led_flash_cnt[1169][4]~q\ & ((\led_flash_cnt[1169][3]~43251\) # (GND)))
-- \led_flash_cnt[1169][4]~43253\ = CARRY((!\led_flash_cnt[1169][3]~43251\) # (!\led_flash_cnt[1169][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1169][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1169][3]~43251\,
	combout => \led_flash_cnt[1169][4]~43252_combout\,
	cout => \led_flash_cnt[1169][4]~43253\);

-- Location: FF_X2_Y28_N9
\led_flash_cnt[1169][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1169][4]~43252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1169][4]~q\);

-- Location: LCCOMB_X2_Y28_N30
\WideAnd1169~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1169~0_combout\ = (\led_flash_cnt[1169][1]~q\ & (\led_flash_cnt[1169][2]~q\ & (\led_flash_cnt[1169][4]~q\ & \led_flash_cnt[1169][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1169][1]~q\,
	datab => \led_flash_cnt[1169][2]~q\,
	datac => \led_flash_cnt[1169][4]~q\,
	datad => \led_flash_cnt[1169][3]~q\,
	combout => \WideAnd1169~0_combout\);

-- Location: LCCOMB_X2_Y28_N10
\led_flash_cnt[1169][5]~43254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1169][5]~43254_combout\ = (\led_flash_cnt[1169][5]~q\ & (\led_flash_cnt[1169][4]~43253\ $ (GND))) # (!\led_flash_cnt[1169][5]~q\ & (!\led_flash_cnt[1169][4]~43253\ & VCC))
-- \led_flash_cnt[1169][5]~43255\ = CARRY((\led_flash_cnt[1169][5]~q\ & !\led_flash_cnt[1169][4]~43253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1169][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1169][4]~43253\,
	combout => \led_flash_cnt[1169][5]~43254_combout\,
	cout => \led_flash_cnt[1169][5]~43255\);

-- Location: FF_X2_Y28_N11
\led_flash_cnt[1169][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1169][5]~43254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1169][5]~q\);

-- Location: LCCOMB_X2_Y28_N12
\led_flash_cnt[1169][6]~43256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1169][6]~43256_combout\ = (\led_flash_cnt[1169][6]~q\ & (!\led_flash_cnt[1169][5]~43255\)) # (!\led_flash_cnt[1169][6]~q\ & ((\led_flash_cnt[1169][5]~43255\) # (GND)))
-- \led_flash_cnt[1169][6]~43257\ = CARRY((!\led_flash_cnt[1169][5]~43255\) # (!\led_flash_cnt[1169][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1169][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1169][5]~43255\,
	combout => \led_flash_cnt[1169][6]~43256_combout\,
	cout => \led_flash_cnt[1169][6]~43257\);

-- Location: FF_X2_Y28_N13
\led_flash_cnt[1169][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1169][6]~43256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1169][6]~q\);

-- Location: LCCOMB_X2_Y28_N24
\WideAnd1169~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1169~1_combout\ = (\led_flash_cnt[1169][6]~q\ & \led_flash_cnt[1169][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1169][6]~q\,
	datad => \led_flash_cnt[1169][5]~q\,
	combout => \WideAnd1169~1_combout\);

-- Location: LCCOMB_X2_Y28_N14
\led_flash_cnt[1169][7]~43258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1169][7]~43258_combout\ = \led_flash_cnt[1169][7]~q\ $ (!\led_flash_cnt[1169][6]~43257\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1169][7]~q\,
	cin => \led_flash_cnt[1169][6]~43257\,
	combout => \led_flash_cnt[1169][7]~43258_combout\);

-- Location: FF_X2_Y28_N15
\led_flash_cnt[1169][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1169][7]~43258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1169][7]~q\);

-- Location: LCCOMB_X2_Y28_N20
WideAnd1169 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1169~combout\ = (\WideAnd1169~0_combout\ & (\WideAnd1169~1_combout\ & (\led_flash_cnt[1169][7]~q\ & \led_flash_cnt[1169][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1169~0_combout\,
	datab => \WideAnd1169~1_combout\,
	datac => \led_flash_cnt[1169][7]~q\,
	datad => \led_flash_cnt[1169][0]~q\,
	combout => \WideAnd1169~combout\);

-- Location: FF_X2_Y28_N21
\led_flash_cnt_ands[1169]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1169~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1169));

-- Location: LCCOMB_X2_Y33_N12
\led_flash_cnt[1170][0]~81810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1170][0]~81810_combout\ = !\led_flash_cnt[1170][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1170][0]~q\,
	combout => \led_flash_cnt[1170][0]~81810_combout\);

-- Location: FF_X2_Y33_N13
\led_flash_cnt[1170][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1170][0]~81810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1170][0]~q\);

-- Location: LCCOMB_X2_Y33_N16
\led_flash_cnt[1170][1]~43260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1170][1]~43260_combout\ = (\led_flash_cnt[1170][0]~q\ & (\led_flash_cnt[1170][1]~q\ $ (VCC))) # (!\led_flash_cnt[1170][0]~q\ & (\led_flash_cnt[1170][1]~q\ & VCC))
-- \led_flash_cnt[1170][1]~43261\ = CARRY((\led_flash_cnt[1170][0]~q\ & \led_flash_cnt[1170][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1170][0]~q\,
	datab => \led_flash_cnt[1170][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1170][1]~43260_combout\,
	cout => \led_flash_cnt[1170][1]~43261\);

-- Location: FF_X2_Y33_N17
\led_flash_cnt[1170][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1170][1]~43260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1170][1]~q\);

-- Location: LCCOMB_X2_Y33_N18
\led_flash_cnt[1170][2]~43262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1170][2]~43262_combout\ = (\led_flash_cnt[1170][2]~q\ & (!\led_flash_cnt[1170][1]~43261\)) # (!\led_flash_cnt[1170][2]~q\ & ((\led_flash_cnt[1170][1]~43261\) # (GND)))
-- \led_flash_cnt[1170][2]~43263\ = CARRY((!\led_flash_cnt[1170][1]~43261\) # (!\led_flash_cnt[1170][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1170][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1170][1]~43261\,
	combout => \led_flash_cnt[1170][2]~43262_combout\,
	cout => \led_flash_cnt[1170][2]~43263\);

-- Location: FF_X2_Y33_N19
\led_flash_cnt[1170][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1170][2]~43262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1170][2]~q\);

-- Location: LCCOMB_X2_Y33_N20
\led_flash_cnt[1170][3]~43264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1170][3]~43264_combout\ = (\led_flash_cnt[1170][3]~q\ & (\led_flash_cnt[1170][2]~43263\ $ (GND))) # (!\led_flash_cnt[1170][3]~q\ & (!\led_flash_cnt[1170][2]~43263\ & VCC))
-- \led_flash_cnt[1170][3]~43265\ = CARRY((\led_flash_cnt[1170][3]~q\ & !\led_flash_cnt[1170][2]~43263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1170][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1170][2]~43263\,
	combout => \led_flash_cnt[1170][3]~43264_combout\,
	cout => \led_flash_cnt[1170][3]~43265\);

-- Location: FF_X2_Y33_N21
\led_flash_cnt[1170][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1170][3]~43264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1170][3]~q\);

-- Location: LCCOMB_X2_Y33_N22
\led_flash_cnt[1170][4]~43266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1170][4]~43266_combout\ = (\led_flash_cnt[1170][4]~q\ & (!\led_flash_cnt[1170][3]~43265\)) # (!\led_flash_cnt[1170][4]~q\ & ((\led_flash_cnt[1170][3]~43265\) # (GND)))
-- \led_flash_cnt[1170][4]~43267\ = CARRY((!\led_flash_cnt[1170][3]~43265\) # (!\led_flash_cnt[1170][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1170][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1170][3]~43265\,
	combout => \led_flash_cnt[1170][4]~43266_combout\,
	cout => \led_flash_cnt[1170][4]~43267\);

-- Location: FF_X2_Y33_N23
\led_flash_cnt[1170][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1170][4]~43266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1170][4]~q\);

-- Location: LCCOMB_X2_Y33_N10
\WideAnd1170~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1170~0_combout\ = (\led_flash_cnt[1170][2]~q\ & (\led_flash_cnt[1170][1]~q\ & (\led_flash_cnt[1170][4]~q\ & \led_flash_cnt[1170][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1170][2]~q\,
	datab => \led_flash_cnt[1170][1]~q\,
	datac => \led_flash_cnt[1170][4]~q\,
	datad => \led_flash_cnt[1170][3]~q\,
	combout => \WideAnd1170~0_combout\);

-- Location: LCCOMB_X2_Y33_N24
\led_flash_cnt[1170][5]~43268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1170][5]~43268_combout\ = (\led_flash_cnt[1170][5]~q\ & (\led_flash_cnt[1170][4]~43267\ $ (GND))) # (!\led_flash_cnt[1170][5]~q\ & (!\led_flash_cnt[1170][4]~43267\ & VCC))
-- \led_flash_cnt[1170][5]~43269\ = CARRY((\led_flash_cnt[1170][5]~q\ & !\led_flash_cnt[1170][4]~43267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1170][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1170][4]~43267\,
	combout => \led_flash_cnt[1170][5]~43268_combout\,
	cout => \led_flash_cnt[1170][5]~43269\);

-- Location: FF_X2_Y33_N25
\led_flash_cnt[1170][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1170][5]~43268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1170][5]~q\);

-- Location: LCCOMB_X2_Y33_N26
\led_flash_cnt[1170][6]~43270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1170][6]~43270_combout\ = (\led_flash_cnt[1170][6]~q\ & (!\led_flash_cnt[1170][5]~43269\)) # (!\led_flash_cnt[1170][6]~q\ & ((\led_flash_cnt[1170][5]~43269\) # (GND)))
-- \led_flash_cnt[1170][6]~43271\ = CARRY((!\led_flash_cnt[1170][5]~43269\) # (!\led_flash_cnt[1170][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1170][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1170][5]~43269\,
	combout => \led_flash_cnt[1170][6]~43270_combout\,
	cout => \led_flash_cnt[1170][6]~43271\);

-- Location: FF_X2_Y33_N27
\led_flash_cnt[1170][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1170][6]~43270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1170][6]~q\);

-- Location: LCCOMB_X2_Y33_N28
\led_flash_cnt[1170][7]~43272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1170][7]~43272_combout\ = \led_flash_cnt[1170][6]~43271\ $ (!\led_flash_cnt[1170][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1170][7]~q\,
	cin => \led_flash_cnt[1170][6]~43271\,
	combout => \led_flash_cnt[1170][7]~43272_combout\);

-- Location: FF_X2_Y33_N29
\led_flash_cnt[1170][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1170][7]~43272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1170][7]~q\);

-- Location: LCCOMB_X2_Y33_N4
\WideAnd1170~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1170~1_combout\ = (\led_flash_cnt[1170][6]~q\ & \led_flash_cnt[1170][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1170][6]~q\,
	datad => \led_flash_cnt[1170][5]~q\,
	combout => \WideAnd1170~1_combout\);

-- Location: LCCOMB_X2_Y33_N30
WideAnd1170 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1170~combout\ = (\WideAnd1170~0_combout\ & (\led_flash_cnt[1170][7]~q\ & (\WideAnd1170~1_combout\ & \led_flash_cnt[1170][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1170~0_combout\,
	datab => \led_flash_cnt[1170][7]~q\,
	datac => \WideAnd1170~1_combout\,
	datad => \led_flash_cnt[1170][0]~q\,
	combout => \WideAnd1170~combout\);

-- Location: FF_X2_Y33_N31
\led_flash_cnt_ands[1170]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1170~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1170));

-- Location: LCCOMB_X2_Y31_N4
\led_flash_cnt[1168][0]~81808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1168][0]~81808_combout\ = !\led_flash_cnt[1168][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1168][0]~q\,
	combout => \led_flash_cnt[1168][0]~81808_combout\);

-- Location: FF_X2_Y31_N5
\led_flash_cnt[1168][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1168][0]~81808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1168][0]~q\);

-- Location: LCCOMB_X2_Y31_N6
\led_flash_cnt[1168][1]~43232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1168][1]~43232_combout\ = (\led_flash_cnt[1168][1]~q\ & (\led_flash_cnt[1168][0]~q\ $ (VCC))) # (!\led_flash_cnt[1168][1]~q\ & (\led_flash_cnt[1168][0]~q\ & VCC))
-- \led_flash_cnt[1168][1]~43233\ = CARRY((\led_flash_cnt[1168][1]~q\ & \led_flash_cnt[1168][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1168][1]~q\,
	datab => \led_flash_cnt[1168][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1168][1]~43232_combout\,
	cout => \led_flash_cnt[1168][1]~43233\);

-- Location: FF_X2_Y31_N7
\led_flash_cnt[1168][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1168][1]~43232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1168][1]~q\);

-- Location: LCCOMB_X2_Y31_N8
\led_flash_cnt[1168][2]~43234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1168][2]~43234_combout\ = (\led_flash_cnt[1168][2]~q\ & (!\led_flash_cnt[1168][1]~43233\)) # (!\led_flash_cnt[1168][2]~q\ & ((\led_flash_cnt[1168][1]~43233\) # (GND)))
-- \led_flash_cnt[1168][2]~43235\ = CARRY((!\led_flash_cnt[1168][1]~43233\) # (!\led_flash_cnt[1168][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1168][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1168][1]~43233\,
	combout => \led_flash_cnt[1168][2]~43234_combout\,
	cout => \led_flash_cnt[1168][2]~43235\);

-- Location: FF_X2_Y31_N9
\led_flash_cnt[1168][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1168][2]~43234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1168][2]~q\);

-- Location: LCCOMB_X2_Y31_N10
\led_flash_cnt[1168][3]~43236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1168][3]~43236_combout\ = (\led_flash_cnt[1168][3]~q\ & (\led_flash_cnt[1168][2]~43235\ $ (GND))) # (!\led_flash_cnt[1168][3]~q\ & (!\led_flash_cnt[1168][2]~43235\ & VCC))
-- \led_flash_cnt[1168][3]~43237\ = CARRY((\led_flash_cnt[1168][3]~q\ & !\led_flash_cnt[1168][2]~43235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1168][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1168][2]~43235\,
	combout => \led_flash_cnt[1168][3]~43236_combout\,
	cout => \led_flash_cnt[1168][3]~43237\);

-- Location: FF_X2_Y31_N11
\led_flash_cnt[1168][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1168][3]~43236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1168][3]~q\);

-- Location: LCCOMB_X2_Y31_N12
\led_flash_cnt[1168][4]~43238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1168][4]~43238_combout\ = (\led_flash_cnt[1168][4]~q\ & (!\led_flash_cnt[1168][3]~43237\)) # (!\led_flash_cnt[1168][4]~q\ & ((\led_flash_cnt[1168][3]~43237\) # (GND)))
-- \led_flash_cnt[1168][4]~43239\ = CARRY((!\led_flash_cnt[1168][3]~43237\) # (!\led_flash_cnt[1168][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1168][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1168][3]~43237\,
	combout => \led_flash_cnt[1168][4]~43238_combout\,
	cout => \led_flash_cnt[1168][4]~43239\);

-- Location: FF_X2_Y31_N13
\led_flash_cnt[1168][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1168][4]~43238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1168][4]~q\);

-- Location: LCCOMB_X2_Y31_N26
\WideAnd1168~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1168~0_combout\ = (\led_flash_cnt[1168][4]~q\ & (\led_flash_cnt[1168][1]~q\ & (\led_flash_cnt[1168][2]~q\ & \led_flash_cnt[1168][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1168][4]~q\,
	datab => \led_flash_cnt[1168][1]~q\,
	datac => \led_flash_cnt[1168][2]~q\,
	datad => \led_flash_cnt[1168][3]~q\,
	combout => \WideAnd1168~0_combout\);

-- Location: LCCOMB_X2_Y31_N14
\led_flash_cnt[1168][5]~43240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1168][5]~43240_combout\ = (\led_flash_cnt[1168][5]~q\ & (\led_flash_cnt[1168][4]~43239\ $ (GND))) # (!\led_flash_cnt[1168][5]~q\ & (!\led_flash_cnt[1168][4]~43239\ & VCC))
-- \led_flash_cnt[1168][5]~43241\ = CARRY((\led_flash_cnt[1168][5]~q\ & !\led_flash_cnt[1168][4]~43239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1168][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1168][4]~43239\,
	combout => \led_flash_cnt[1168][5]~43240_combout\,
	cout => \led_flash_cnt[1168][5]~43241\);

-- Location: FF_X2_Y31_N15
\led_flash_cnt[1168][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1168][5]~43240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1168][5]~q\);

-- Location: LCCOMB_X2_Y31_N16
\led_flash_cnt[1168][6]~43242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1168][6]~43242_combout\ = (\led_flash_cnt[1168][6]~q\ & (!\led_flash_cnt[1168][5]~43241\)) # (!\led_flash_cnt[1168][6]~q\ & ((\led_flash_cnt[1168][5]~43241\) # (GND)))
-- \led_flash_cnt[1168][6]~43243\ = CARRY((!\led_flash_cnt[1168][5]~43241\) # (!\led_flash_cnt[1168][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1168][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1168][5]~43241\,
	combout => \led_flash_cnt[1168][6]~43242_combout\,
	cout => \led_flash_cnt[1168][6]~43243\);

-- Location: FF_X2_Y31_N17
\led_flash_cnt[1168][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1168][6]~43242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1168][6]~q\);

-- Location: LCCOMB_X2_Y31_N18
\led_flash_cnt[1168][7]~43244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1168][7]~43244_combout\ = \led_flash_cnt[1168][7]~q\ $ (!\led_flash_cnt[1168][6]~43243\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1168][7]~q\,
	cin => \led_flash_cnt[1168][6]~43243\,
	combout => \led_flash_cnt[1168][7]~43244_combout\);

-- Location: FF_X2_Y31_N19
\led_flash_cnt[1168][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1168][7]~43244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1168][7]~q\);

-- Location: LCCOMB_X2_Y31_N24
\WideAnd1168~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1168~1_combout\ = (\led_flash_cnt[1168][5]~q\ & \led_flash_cnt[1168][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1168][5]~q\,
	datad => \led_flash_cnt[1168][6]~q\,
	combout => \WideAnd1168~1_combout\);

-- Location: LCCOMB_X2_Y31_N28
WideAnd1168 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1168~combout\ = (\WideAnd1168~0_combout\ & (\led_flash_cnt[1168][0]~q\ & (\led_flash_cnt[1168][7]~q\ & \WideAnd1168~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1168~0_combout\,
	datab => \led_flash_cnt[1168][0]~q\,
	datac => \led_flash_cnt[1168][7]~q\,
	datad => \WideAnd1168~1_combout\,
	combout => \WideAnd1168~combout\);

-- Location: FF_X2_Y31_N29
\led_flash_cnt_ands[1168]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1168~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1168));

-- Location: LCCOMB_X2_Y28_N16
\WideAnd3986~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3986~0_combout\ = (led_flash_cnt_ands(1171) & (led_flash_cnt_ands(1169) & (led_flash_cnt_ands(1170) & led_flash_cnt_ands(1168))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1171),
	datab => led_flash_cnt_ands(1169),
	datac => led_flash_cnt_ands(1170),
	datad => led_flash_cnt_ands(1168),
	combout => \WideAnd3986~0_combout\);

-- Location: LCCOMB_X7_Y4_N12
\led_flash_cnt[1174][0]~81814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1174][0]~81814_combout\ = !\led_flash_cnt[1174][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1174][0]~q\,
	combout => \led_flash_cnt[1174][0]~81814_combout\);

-- Location: FF_X7_Y4_N13
\led_flash_cnt[1174][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1174][0]~81814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1174][0]~q\);

-- Location: LCCOMB_X7_Y4_N18
\led_flash_cnt[1174][1]~43316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1174][1]~43316_combout\ = (\led_flash_cnt[1174][0]~q\ & (\led_flash_cnt[1174][1]~q\ $ (VCC))) # (!\led_flash_cnt[1174][0]~q\ & (\led_flash_cnt[1174][1]~q\ & VCC))
-- \led_flash_cnt[1174][1]~43317\ = CARRY((\led_flash_cnt[1174][0]~q\ & \led_flash_cnt[1174][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1174][0]~q\,
	datab => \led_flash_cnt[1174][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1174][1]~43316_combout\,
	cout => \led_flash_cnt[1174][1]~43317\);

-- Location: FF_X7_Y4_N19
\led_flash_cnt[1174][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1174][1]~43316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1174][1]~q\);

-- Location: LCCOMB_X7_Y4_N20
\led_flash_cnt[1174][2]~43318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1174][2]~43318_combout\ = (\led_flash_cnt[1174][2]~q\ & (!\led_flash_cnt[1174][1]~43317\)) # (!\led_flash_cnt[1174][2]~q\ & ((\led_flash_cnt[1174][1]~43317\) # (GND)))
-- \led_flash_cnt[1174][2]~43319\ = CARRY((!\led_flash_cnt[1174][1]~43317\) # (!\led_flash_cnt[1174][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1174][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1174][1]~43317\,
	combout => \led_flash_cnt[1174][2]~43318_combout\,
	cout => \led_flash_cnt[1174][2]~43319\);

-- Location: FF_X7_Y4_N21
\led_flash_cnt[1174][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1174][2]~43318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1174][2]~q\);

-- Location: LCCOMB_X7_Y4_N22
\led_flash_cnt[1174][3]~43320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1174][3]~43320_combout\ = (\led_flash_cnt[1174][3]~q\ & (\led_flash_cnt[1174][2]~43319\ $ (GND))) # (!\led_flash_cnt[1174][3]~q\ & (!\led_flash_cnt[1174][2]~43319\ & VCC))
-- \led_flash_cnt[1174][3]~43321\ = CARRY((\led_flash_cnt[1174][3]~q\ & !\led_flash_cnt[1174][2]~43319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1174][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1174][2]~43319\,
	combout => \led_flash_cnt[1174][3]~43320_combout\,
	cout => \led_flash_cnt[1174][3]~43321\);

-- Location: FF_X7_Y4_N23
\led_flash_cnt[1174][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1174][3]~43320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1174][3]~q\);

-- Location: LCCOMB_X7_Y4_N24
\led_flash_cnt[1174][4]~43322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1174][4]~43322_combout\ = (\led_flash_cnt[1174][4]~q\ & (!\led_flash_cnt[1174][3]~43321\)) # (!\led_flash_cnt[1174][4]~q\ & ((\led_flash_cnt[1174][3]~43321\) # (GND)))
-- \led_flash_cnt[1174][4]~43323\ = CARRY((!\led_flash_cnt[1174][3]~43321\) # (!\led_flash_cnt[1174][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1174][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1174][3]~43321\,
	combout => \led_flash_cnt[1174][4]~43322_combout\,
	cout => \led_flash_cnt[1174][4]~43323\);

-- Location: FF_X7_Y4_N25
\led_flash_cnt[1174][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1174][4]~43322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1174][4]~q\);

-- Location: LCCOMB_X7_Y4_N10
\WideAnd1174~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1174~0_combout\ = (\led_flash_cnt[1174][1]~q\ & (\led_flash_cnt[1174][4]~q\ & (\led_flash_cnt[1174][3]~q\ & \led_flash_cnt[1174][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1174][1]~q\,
	datab => \led_flash_cnt[1174][4]~q\,
	datac => \led_flash_cnt[1174][3]~q\,
	datad => \led_flash_cnt[1174][2]~q\,
	combout => \WideAnd1174~0_combout\);

-- Location: LCCOMB_X7_Y4_N26
\led_flash_cnt[1174][5]~43324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1174][5]~43324_combout\ = (\led_flash_cnt[1174][5]~q\ & (\led_flash_cnt[1174][4]~43323\ $ (GND))) # (!\led_flash_cnt[1174][5]~q\ & (!\led_flash_cnt[1174][4]~43323\ & VCC))
-- \led_flash_cnt[1174][5]~43325\ = CARRY((\led_flash_cnt[1174][5]~q\ & !\led_flash_cnt[1174][4]~43323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1174][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1174][4]~43323\,
	combout => \led_flash_cnt[1174][5]~43324_combout\,
	cout => \led_flash_cnt[1174][5]~43325\);

-- Location: FF_X7_Y4_N27
\led_flash_cnt[1174][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1174][5]~43324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1174][5]~q\);

-- Location: LCCOMB_X7_Y4_N28
\led_flash_cnt[1174][6]~43326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1174][6]~43326_combout\ = (\led_flash_cnt[1174][6]~q\ & (!\led_flash_cnt[1174][5]~43325\)) # (!\led_flash_cnt[1174][6]~q\ & ((\led_flash_cnt[1174][5]~43325\) # (GND)))
-- \led_flash_cnt[1174][6]~43327\ = CARRY((!\led_flash_cnt[1174][5]~43325\) # (!\led_flash_cnt[1174][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1174][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1174][5]~43325\,
	combout => \led_flash_cnt[1174][6]~43326_combout\,
	cout => \led_flash_cnt[1174][6]~43327\);

-- Location: FF_X7_Y4_N29
\led_flash_cnt[1174][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1174][6]~43326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1174][6]~q\);

-- Location: LCCOMB_X7_Y4_N4
\WideAnd1174~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1174~1_combout\ = (\led_flash_cnt[1174][5]~q\ & \led_flash_cnt[1174][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1174][5]~q\,
	datad => \led_flash_cnt[1174][6]~q\,
	combout => \WideAnd1174~1_combout\);

-- Location: LCCOMB_X7_Y4_N30
\led_flash_cnt[1174][7]~43328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1174][7]~43328_combout\ = \led_flash_cnt[1174][7]~q\ $ (!\led_flash_cnt[1174][6]~43327\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1174][7]~q\,
	cin => \led_flash_cnt[1174][6]~43327\,
	combout => \led_flash_cnt[1174][7]~43328_combout\);

-- Location: FF_X7_Y4_N31
\led_flash_cnt[1174][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1174][7]~43328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1174][7]~q\);

-- Location: LCCOMB_X7_Y4_N8
WideAnd1174 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1174~combout\ = (\WideAnd1174~0_combout\ & (\WideAnd1174~1_combout\ & (\led_flash_cnt[1174][7]~q\ & \led_flash_cnt[1174][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1174~0_combout\,
	datab => \WideAnd1174~1_combout\,
	datac => \led_flash_cnt[1174][7]~q\,
	datad => \led_flash_cnt[1174][0]~q\,
	combout => \WideAnd1174~combout\);

-- Location: FF_X7_Y4_N9
\led_flash_cnt_ands[1174]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1174~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1174));

-- Location: LCCOMB_X6_Y4_N10
\led_flash_cnt[1175][0]~81815\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1175][0]~81815_combout\ = !\led_flash_cnt[1175][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1175][0]~q\,
	combout => \led_flash_cnt[1175][0]~81815_combout\);

-- Location: FF_X6_Y4_N11
\led_flash_cnt[1175][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1175][0]~81815_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1175][0]~q\);

-- Location: LCCOMB_X6_Y4_N14
\led_flash_cnt[1175][1]~43330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1175][1]~43330_combout\ = (\led_flash_cnt[1175][0]~q\ & (\led_flash_cnt[1175][1]~q\ $ (VCC))) # (!\led_flash_cnt[1175][0]~q\ & (\led_flash_cnt[1175][1]~q\ & VCC))
-- \led_flash_cnt[1175][1]~43331\ = CARRY((\led_flash_cnt[1175][0]~q\ & \led_flash_cnt[1175][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1175][0]~q\,
	datab => \led_flash_cnt[1175][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1175][1]~43330_combout\,
	cout => \led_flash_cnt[1175][1]~43331\);

-- Location: FF_X6_Y4_N15
\led_flash_cnt[1175][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1175][1]~43330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1175][1]~q\);

-- Location: LCCOMB_X6_Y4_N16
\led_flash_cnt[1175][2]~43332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1175][2]~43332_combout\ = (\led_flash_cnt[1175][2]~q\ & (!\led_flash_cnt[1175][1]~43331\)) # (!\led_flash_cnt[1175][2]~q\ & ((\led_flash_cnt[1175][1]~43331\) # (GND)))
-- \led_flash_cnt[1175][2]~43333\ = CARRY((!\led_flash_cnt[1175][1]~43331\) # (!\led_flash_cnt[1175][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1175][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1175][1]~43331\,
	combout => \led_flash_cnt[1175][2]~43332_combout\,
	cout => \led_flash_cnt[1175][2]~43333\);

-- Location: FF_X6_Y4_N17
\led_flash_cnt[1175][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1175][2]~43332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1175][2]~q\);

-- Location: LCCOMB_X6_Y4_N18
\led_flash_cnt[1175][3]~43334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1175][3]~43334_combout\ = (\led_flash_cnt[1175][3]~q\ & (\led_flash_cnt[1175][2]~43333\ $ (GND))) # (!\led_flash_cnt[1175][3]~q\ & (!\led_flash_cnt[1175][2]~43333\ & VCC))
-- \led_flash_cnt[1175][3]~43335\ = CARRY((\led_flash_cnt[1175][3]~q\ & !\led_flash_cnt[1175][2]~43333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1175][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1175][2]~43333\,
	combout => \led_flash_cnt[1175][3]~43334_combout\,
	cout => \led_flash_cnt[1175][3]~43335\);

-- Location: FF_X6_Y4_N19
\led_flash_cnt[1175][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1175][3]~43334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1175][3]~q\);

-- Location: LCCOMB_X6_Y4_N20
\led_flash_cnt[1175][4]~43336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1175][4]~43336_combout\ = (\led_flash_cnt[1175][4]~q\ & (!\led_flash_cnt[1175][3]~43335\)) # (!\led_flash_cnt[1175][4]~q\ & ((\led_flash_cnt[1175][3]~43335\) # (GND)))
-- \led_flash_cnt[1175][4]~43337\ = CARRY((!\led_flash_cnt[1175][3]~43335\) # (!\led_flash_cnt[1175][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1175][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1175][3]~43335\,
	combout => \led_flash_cnt[1175][4]~43336_combout\,
	cout => \led_flash_cnt[1175][4]~43337\);

-- Location: FF_X6_Y4_N21
\led_flash_cnt[1175][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1175][4]~43336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1175][4]~q\);

-- Location: LCCOMB_X6_Y4_N28
\WideAnd1175~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1175~0_combout\ = (\led_flash_cnt[1175][3]~q\ & (\led_flash_cnt[1175][2]~q\ & (\led_flash_cnt[1175][1]~q\ & \led_flash_cnt[1175][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1175][3]~q\,
	datab => \led_flash_cnt[1175][2]~q\,
	datac => \led_flash_cnt[1175][1]~q\,
	datad => \led_flash_cnt[1175][4]~q\,
	combout => \WideAnd1175~0_combout\);

-- Location: LCCOMB_X6_Y4_N22
\led_flash_cnt[1175][5]~43338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1175][5]~43338_combout\ = (\led_flash_cnt[1175][5]~q\ & (\led_flash_cnt[1175][4]~43337\ $ (GND))) # (!\led_flash_cnt[1175][5]~q\ & (!\led_flash_cnt[1175][4]~43337\ & VCC))
-- \led_flash_cnt[1175][5]~43339\ = CARRY((\led_flash_cnt[1175][5]~q\ & !\led_flash_cnt[1175][4]~43337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1175][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1175][4]~43337\,
	combout => \led_flash_cnt[1175][5]~43338_combout\,
	cout => \led_flash_cnt[1175][5]~43339\);

-- Location: FF_X6_Y4_N23
\led_flash_cnt[1175][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1175][5]~43338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1175][5]~q\);

-- Location: LCCOMB_X6_Y4_N24
\led_flash_cnt[1175][6]~43340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1175][6]~43340_combout\ = (\led_flash_cnt[1175][6]~q\ & (!\led_flash_cnt[1175][5]~43339\)) # (!\led_flash_cnt[1175][6]~q\ & ((\led_flash_cnt[1175][5]~43339\) # (GND)))
-- \led_flash_cnt[1175][6]~43341\ = CARRY((!\led_flash_cnt[1175][5]~43339\) # (!\led_flash_cnt[1175][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1175][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1175][5]~43339\,
	combout => \led_flash_cnt[1175][6]~43340_combout\,
	cout => \led_flash_cnt[1175][6]~43341\);

-- Location: FF_X6_Y4_N25
\led_flash_cnt[1175][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1175][6]~43340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1175][6]~q\);

-- Location: LCCOMB_X6_Y4_N26
\led_flash_cnt[1175][7]~43342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1175][7]~43342_combout\ = \led_flash_cnt[1175][7]~q\ $ (!\led_flash_cnt[1175][6]~43341\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1175][7]~q\,
	cin => \led_flash_cnt[1175][6]~43341\,
	combout => \led_flash_cnt[1175][7]~43342_combout\);

-- Location: FF_X6_Y4_N27
\led_flash_cnt[1175][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1175][7]~43342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1175][7]~q\);

-- Location: LCCOMB_X6_Y4_N12
\WideAnd1175~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1175~1_combout\ = (\led_flash_cnt[1175][5]~q\ & \led_flash_cnt[1175][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1175][5]~q\,
	datad => \led_flash_cnt[1175][6]~q\,
	combout => \WideAnd1175~1_combout\);

-- Location: LCCOMB_X6_Y4_N8
WideAnd1175 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1175~combout\ = (\led_flash_cnt[1175][0]~q\ & (\WideAnd1175~0_combout\ & (\led_flash_cnt[1175][7]~q\ & \WideAnd1175~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1175][0]~q\,
	datab => \WideAnd1175~0_combout\,
	datac => \led_flash_cnt[1175][7]~q\,
	datad => \WideAnd1175~1_combout\,
	combout => \WideAnd1175~combout\);

-- Location: FF_X6_Y4_N9
\led_flash_cnt_ands[1175]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1175~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1175));

-- Location: LCCOMB_X6_Y7_N6
\led_flash_cnt[1172][0]~81812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1172][0]~81812_combout\ = !\led_flash_cnt[1172][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1172][0]~q\,
	combout => \led_flash_cnt[1172][0]~81812_combout\);

-- Location: FF_X6_Y7_N7
\led_flash_cnt[1172][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1172][0]~81812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1172][0]~q\);

-- Location: LCCOMB_X6_Y7_N16
\led_flash_cnt[1172][1]~43288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1172][1]~43288_combout\ = (\led_flash_cnt[1172][0]~q\ & (\led_flash_cnt[1172][1]~q\ $ (VCC))) # (!\led_flash_cnt[1172][0]~q\ & (\led_flash_cnt[1172][1]~q\ & VCC))
-- \led_flash_cnt[1172][1]~43289\ = CARRY((\led_flash_cnt[1172][0]~q\ & \led_flash_cnt[1172][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1172][0]~q\,
	datab => \led_flash_cnt[1172][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1172][1]~43288_combout\,
	cout => \led_flash_cnt[1172][1]~43289\);

-- Location: FF_X6_Y7_N17
\led_flash_cnt[1172][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1172][1]~43288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1172][1]~q\);

-- Location: LCCOMB_X6_Y7_N18
\led_flash_cnt[1172][2]~43290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1172][2]~43290_combout\ = (\led_flash_cnt[1172][2]~q\ & (!\led_flash_cnt[1172][1]~43289\)) # (!\led_flash_cnt[1172][2]~q\ & ((\led_flash_cnt[1172][1]~43289\) # (GND)))
-- \led_flash_cnt[1172][2]~43291\ = CARRY((!\led_flash_cnt[1172][1]~43289\) # (!\led_flash_cnt[1172][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1172][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1172][1]~43289\,
	combout => \led_flash_cnt[1172][2]~43290_combout\,
	cout => \led_flash_cnt[1172][2]~43291\);

-- Location: FF_X6_Y7_N19
\led_flash_cnt[1172][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1172][2]~43290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1172][2]~q\);

-- Location: LCCOMB_X6_Y7_N20
\led_flash_cnt[1172][3]~43292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1172][3]~43292_combout\ = (\led_flash_cnt[1172][3]~q\ & (\led_flash_cnt[1172][2]~43291\ $ (GND))) # (!\led_flash_cnt[1172][3]~q\ & (!\led_flash_cnt[1172][2]~43291\ & VCC))
-- \led_flash_cnt[1172][3]~43293\ = CARRY((\led_flash_cnt[1172][3]~q\ & !\led_flash_cnt[1172][2]~43291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1172][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1172][2]~43291\,
	combout => \led_flash_cnt[1172][3]~43292_combout\,
	cout => \led_flash_cnt[1172][3]~43293\);

-- Location: FF_X6_Y7_N21
\led_flash_cnt[1172][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1172][3]~43292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1172][3]~q\);

-- Location: LCCOMB_X6_Y7_N22
\led_flash_cnt[1172][4]~43294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1172][4]~43294_combout\ = (\led_flash_cnt[1172][4]~q\ & (!\led_flash_cnt[1172][3]~43293\)) # (!\led_flash_cnt[1172][4]~q\ & ((\led_flash_cnt[1172][3]~43293\) # (GND)))
-- \led_flash_cnt[1172][4]~43295\ = CARRY((!\led_flash_cnt[1172][3]~43293\) # (!\led_flash_cnt[1172][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1172][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1172][3]~43293\,
	combout => \led_flash_cnt[1172][4]~43294_combout\,
	cout => \led_flash_cnt[1172][4]~43295\);

-- Location: FF_X6_Y7_N23
\led_flash_cnt[1172][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1172][4]~43294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1172][4]~q\);

-- Location: LCCOMB_X6_Y7_N24
\led_flash_cnt[1172][5]~43296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1172][5]~43296_combout\ = (\led_flash_cnt[1172][5]~q\ & (\led_flash_cnt[1172][4]~43295\ $ (GND))) # (!\led_flash_cnt[1172][5]~q\ & (!\led_flash_cnt[1172][4]~43295\ & VCC))
-- \led_flash_cnt[1172][5]~43297\ = CARRY((\led_flash_cnt[1172][5]~q\ & !\led_flash_cnt[1172][4]~43295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1172][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1172][4]~43295\,
	combout => \led_flash_cnt[1172][5]~43296_combout\,
	cout => \led_flash_cnt[1172][5]~43297\);

-- Location: FF_X6_Y7_N25
\led_flash_cnt[1172][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1172][5]~43296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1172][5]~q\);

-- Location: LCCOMB_X6_Y7_N26
\led_flash_cnt[1172][6]~43298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1172][6]~43298_combout\ = (\led_flash_cnt[1172][6]~q\ & (!\led_flash_cnt[1172][5]~43297\)) # (!\led_flash_cnt[1172][6]~q\ & ((\led_flash_cnt[1172][5]~43297\) # (GND)))
-- \led_flash_cnt[1172][6]~43299\ = CARRY((!\led_flash_cnt[1172][5]~43297\) # (!\led_flash_cnt[1172][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1172][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1172][5]~43297\,
	combout => \led_flash_cnt[1172][6]~43298_combout\,
	cout => \led_flash_cnt[1172][6]~43299\);

-- Location: FF_X6_Y7_N27
\led_flash_cnt[1172][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1172][6]~43298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1172][6]~q\);

-- Location: LCCOMB_X6_Y7_N28
\led_flash_cnt[1172][7]~43300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1172][7]~43300_combout\ = \led_flash_cnt[1172][6]~43299\ $ (!\led_flash_cnt[1172][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1172][7]~q\,
	cin => \led_flash_cnt[1172][6]~43299\,
	combout => \led_flash_cnt[1172][7]~43300_combout\);

-- Location: FF_X6_Y7_N29
\led_flash_cnt[1172][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1172][7]~43300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1172][7]~q\);

-- Location: LCCOMB_X6_Y7_N4
\WideAnd1172~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1172~1_combout\ = (\led_flash_cnt[1172][6]~q\ & \led_flash_cnt[1172][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1172][6]~q\,
	datad => \led_flash_cnt[1172][5]~q\,
	combout => \WideAnd1172~1_combout\);

-- Location: LCCOMB_X6_Y7_N12
\WideAnd1172~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1172~0_combout\ = (\led_flash_cnt[1172][2]~q\ & (\led_flash_cnt[1172][3]~q\ & (\led_flash_cnt[1172][4]~q\ & \led_flash_cnt[1172][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1172][2]~q\,
	datab => \led_flash_cnt[1172][3]~q\,
	datac => \led_flash_cnt[1172][4]~q\,
	datad => \led_flash_cnt[1172][1]~q\,
	combout => \WideAnd1172~0_combout\);

-- Location: LCCOMB_X6_Y7_N30
WideAnd1172 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1172~combout\ = (\led_flash_cnt[1172][0]~q\ & (\led_flash_cnt[1172][7]~q\ & (\WideAnd1172~1_combout\ & \WideAnd1172~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1172][0]~q\,
	datab => \led_flash_cnt[1172][7]~q\,
	datac => \WideAnd1172~1_combout\,
	datad => \WideAnd1172~0_combout\,
	combout => \WideAnd1172~combout\);

-- Location: FF_X6_Y7_N31
\led_flash_cnt_ands[1172]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1172~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1172));

-- Location: LCCOMB_X6_Y7_N2
\led_flash_cnt[1173][0]~81813\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1173][0]~81813_combout\ = !\led_flash_cnt[1173][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1173][0]~q\,
	combout => \led_flash_cnt[1173][0]~81813_combout\);

-- Location: FF_X6_Y7_N3
\led_flash_cnt[1173][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1173][0]~81813_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1173][0]~q\);

-- Location: LCCOMB_X7_Y7_N2
\led_flash_cnt[1173][1]~43302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1173][1]~43302_combout\ = (\led_flash_cnt[1173][0]~q\ & (\led_flash_cnt[1173][1]~q\ $ (VCC))) # (!\led_flash_cnt[1173][0]~q\ & (\led_flash_cnt[1173][1]~q\ & VCC))
-- \led_flash_cnt[1173][1]~43303\ = CARRY((\led_flash_cnt[1173][0]~q\ & \led_flash_cnt[1173][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1173][0]~q\,
	datab => \led_flash_cnt[1173][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1173][1]~43302_combout\,
	cout => \led_flash_cnt[1173][1]~43303\);

-- Location: FF_X7_Y7_N3
\led_flash_cnt[1173][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1173][1]~43302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1173][1]~q\);

-- Location: LCCOMB_X7_Y7_N4
\led_flash_cnt[1173][2]~43304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1173][2]~43304_combout\ = (\led_flash_cnt[1173][2]~q\ & (!\led_flash_cnt[1173][1]~43303\)) # (!\led_flash_cnt[1173][2]~q\ & ((\led_flash_cnt[1173][1]~43303\) # (GND)))
-- \led_flash_cnt[1173][2]~43305\ = CARRY((!\led_flash_cnt[1173][1]~43303\) # (!\led_flash_cnt[1173][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1173][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1173][1]~43303\,
	combout => \led_flash_cnt[1173][2]~43304_combout\,
	cout => \led_flash_cnt[1173][2]~43305\);

-- Location: FF_X7_Y7_N5
\led_flash_cnt[1173][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1173][2]~43304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1173][2]~q\);

-- Location: LCCOMB_X7_Y7_N6
\led_flash_cnt[1173][3]~43306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1173][3]~43306_combout\ = (\led_flash_cnt[1173][3]~q\ & (\led_flash_cnt[1173][2]~43305\ $ (GND))) # (!\led_flash_cnt[1173][3]~q\ & (!\led_flash_cnt[1173][2]~43305\ & VCC))
-- \led_flash_cnt[1173][3]~43307\ = CARRY((\led_flash_cnt[1173][3]~q\ & !\led_flash_cnt[1173][2]~43305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1173][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1173][2]~43305\,
	combout => \led_flash_cnt[1173][3]~43306_combout\,
	cout => \led_flash_cnt[1173][3]~43307\);

-- Location: FF_X7_Y7_N7
\led_flash_cnt[1173][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1173][3]~43306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1173][3]~q\);

-- Location: LCCOMB_X7_Y7_N8
\led_flash_cnt[1173][4]~43308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1173][4]~43308_combout\ = (\led_flash_cnt[1173][4]~q\ & (!\led_flash_cnt[1173][3]~43307\)) # (!\led_flash_cnt[1173][4]~q\ & ((\led_flash_cnt[1173][3]~43307\) # (GND)))
-- \led_flash_cnt[1173][4]~43309\ = CARRY((!\led_flash_cnt[1173][3]~43307\) # (!\led_flash_cnt[1173][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1173][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1173][3]~43307\,
	combout => \led_flash_cnt[1173][4]~43308_combout\,
	cout => \led_flash_cnt[1173][4]~43309\);

-- Location: FF_X7_Y7_N9
\led_flash_cnt[1173][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1173][4]~43308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1173][4]~q\);

-- Location: LCCOMB_X7_Y7_N30
\WideAnd1173~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1173~0_combout\ = (\led_flash_cnt[1173][3]~q\ & (\led_flash_cnt[1173][4]~q\ & (\led_flash_cnt[1173][2]~q\ & \led_flash_cnt[1173][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1173][3]~q\,
	datab => \led_flash_cnt[1173][4]~q\,
	datac => \led_flash_cnt[1173][2]~q\,
	datad => \led_flash_cnt[1173][1]~q\,
	combout => \WideAnd1173~0_combout\);

-- Location: LCCOMB_X7_Y7_N10
\led_flash_cnt[1173][5]~43310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1173][5]~43310_combout\ = (\led_flash_cnt[1173][5]~q\ & (\led_flash_cnt[1173][4]~43309\ $ (GND))) # (!\led_flash_cnt[1173][5]~q\ & (!\led_flash_cnt[1173][4]~43309\ & VCC))
-- \led_flash_cnt[1173][5]~43311\ = CARRY((\led_flash_cnt[1173][5]~q\ & !\led_flash_cnt[1173][4]~43309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1173][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1173][4]~43309\,
	combout => \led_flash_cnt[1173][5]~43310_combout\,
	cout => \led_flash_cnt[1173][5]~43311\);

-- Location: FF_X7_Y7_N11
\led_flash_cnt[1173][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1173][5]~43310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1173][5]~q\);

-- Location: LCCOMB_X7_Y7_N12
\led_flash_cnt[1173][6]~43312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1173][6]~43312_combout\ = (\led_flash_cnt[1173][6]~q\ & (!\led_flash_cnt[1173][5]~43311\)) # (!\led_flash_cnt[1173][6]~q\ & ((\led_flash_cnt[1173][5]~43311\) # (GND)))
-- \led_flash_cnt[1173][6]~43313\ = CARRY((!\led_flash_cnt[1173][5]~43311\) # (!\led_flash_cnt[1173][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1173][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1173][5]~43311\,
	combout => \led_flash_cnt[1173][6]~43312_combout\,
	cout => \led_flash_cnt[1173][6]~43313\);

-- Location: FF_X7_Y7_N13
\led_flash_cnt[1173][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1173][6]~43312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1173][6]~q\);

-- Location: LCCOMB_X7_Y7_N14
\led_flash_cnt[1173][7]~43314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1173][7]~43314_combout\ = \led_flash_cnt[1173][7]~q\ $ (!\led_flash_cnt[1173][6]~43313\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1173][7]~q\,
	cin => \led_flash_cnt[1173][6]~43313\,
	combout => \led_flash_cnt[1173][7]~43314_combout\);

-- Location: FF_X7_Y7_N15
\led_flash_cnt[1173][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1173][7]~43314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1173][7]~q\);

-- Location: LCCOMB_X6_Y7_N10
\WideAnd1173~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1173~1_combout\ = (\led_flash_cnt[1173][5]~q\ & \led_flash_cnt[1173][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1173][5]~q\,
	datac => \led_flash_cnt[1173][6]~q\,
	combout => \WideAnd1173~1_combout\);

-- Location: LCCOMB_X6_Y7_N14
WideAnd1173 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1173~combout\ = (\WideAnd1173~0_combout\ & (\led_flash_cnt[1173][0]~q\ & (\led_flash_cnt[1173][7]~q\ & \WideAnd1173~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1173~0_combout\,
	datab => \led_flash_cnt[1173][0]~q\,
	datac => \led_flash_cnt[1173][7]~q\,
	datad => \WideAnd1173~1_combout\,
	combout => \WideAnd1173~combout\);

-- Location: FF_X6_Y7_N15
\led_flash_cnt_ands[1173]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1173~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1173));

-- Location: LCCOMB_X6_Y7_N8
\WideAnd3986~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3986~1_combout\ = (led_flash_cnt_ands(1172) & led_flash_cnt_ands(1173))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1172),
	datac => led_flash_cnt_ands(1173),
	combout => \WideAnd3986~1_combout\);

-- Location: LCCOMB_X6_Y4_N6
WideAnd3986 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3986~combout\ = (\WideAnd3986~0_combout\ & (led_flash_cnt_ands(1174) & (led_flash_cnt_ands(1175) & \WideAnd3986~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3986~0_combout\,
	datab => led_flash_cnt_ands(1174),
	datac => led_flash_cnt_ands(1175),
	datad => \WideAnd3986~1_combout\,
	combout => \WideAnd3986~combout\);

-- Location: FF_X6_Y4_N7
\led_flash_cnt_ands_1[146]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3986~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(146));

-- Location: LCCOMB_X56_Y52_N2
\led_flash_cnt[1159][0]~81799\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1159][0]~81799_combout\ = !\led_flash_cnt[1159][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1159][0]~q\,
	combout => \led_flash_cnt[1159][0]~81799_combout\);

-- Location: FF_X56_Y52_N3
\led_flash_cnt[1159][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1159][0]~81799_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1159][0]~q\);

-- Location: LCCOMB_X55_Y52_N2
\led_flash_cnt[1159][1]~43106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1159][1]~43106_combout\ = (\led_flash_cnt[1159][0]~q\ & (\led_flash_cnt[1159][1]~q\ $ (VCC))) # (!\led_flash_cnt[1159][0]~q\ & (\led_flash_cnt[1159][1]~q\ & VCC))
-- \led_flash_cnt[1159][1]~43107\ = CARRY((\led_flash_cnt[1159][0]~q\ & \led_flash_cnt[1159][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1159][0]~q\,
	datab => \led_flash_cnt[1159][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1159][1]~43106_combout\,
	cout => \led_flash_cnt[1159][1]~43107\);

-- Location: FF_X55_Y52_N3
\led_flash_cnt[1159][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1159][1]~43106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1159][1]~q\);

-- Location: LCCOMB_X55_Y52_N4
\led_flash_cnt[1159][2]~43108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1159][2]~43108_combout\ = (\led_flash_cnt[1159][2]~q\ & (!\led_flash_cnt[1159][1]~43107\)) # (!\led_flash_cnt[1159][2]~q\ & ((\led_flash_cnt[1159][1]~43107\) # (GND)))
-- \led_flash_cnt[1159][2]~43109\ = CARRY((!\led_flash_cnt[1159][1]~43107\) # (!\led_flash_cnt[1159][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1159][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1159][1]~43107\,
	combout => \led_flash_cnt[1159][2]~43108_combout\,
	cout => \led_flash_cnt[1159][2]~43109\);

-- Location: FF_X55_Y52_N5
\led_flash_cnt[1159][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1159][2]~43108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1159][2]~q\);

-- Location: LCCOMB_X55_Y52_N6
\led_flash_cnt[1159][3]~43110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1159][3]~43110_combout\ = (\led_flash_cnt[1159][3]~q\ & (\led_flash_cnt[1159][2]~43109\ $ (GND))) # (!\led_flash_cnt[1159][3]~q\ & (!\led_flash_cnt[1159][2]~43109\ & VCC))
-- \led_flash_cnt[1159][3]~43111\ = CARRY((\led_flash_cnt[1159][3]~q\ & !\led_flash_cnt[1159][2]~43109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1159][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1159][2]~43109\,
	combout => \led_flash_cnt[1159][3]~43110_combout\,
	cout => \led_flash_cnt[1159][3]~43111\);

-- Location: FF_X55_Y52_N7
\led_flash_cnt[1159][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1159][3]~43110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1159][3]~q\);

-- Location: LCCOMB_X55_Y52_N8
\led_flash_cnt[1159][4]~43112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1159][4]~43112_combout\ = (\led_flash_cnt[1159][4]~q\ & (!\led_flash_cnt[1159][3]~43111\)) # (!\led_flash_cnt[1159][4]~q\ & ((\led_flash_cnt[1159][3]~43111\) # (GND)))
-- \led_flash_cnt[1159][4]~43113\ = CARRY((!\led_flash_cnt[1159][3]~43111\) # (!\led_flash_cnt[1159][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1159][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1159][3]~43111\,
	combout => \led_flash_cnt[1159][4]~43112_combout\,
	cout => \led_flash_cnt[1159][4]~43113\);

-- Location: FF_X55_Y52_N9
\led_flash_cnt[1159][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1159][4]~43112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1159][4]~q\);

-- Location: LCCOMB_X55_Y52_N10
\led_flash_cnt[1159][5]~43114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1159][5]~43114_combout\ = (\led_flash_cnt[1159][5]~q\ & (\led_flash_cnt[1159][4]~43113\ $ (GND))) # (!\led_flash_cnt[1159][5]~q\ & (!\led_flash_cnt[1159][4]~43113\ & VCC))
-- \led_flash_cnt[1159][5]~43115\ = CARRY((\led_flash_cnt[1159][5]~q\ & !\led_flash_cnt[1159][4]~43113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1159][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1159][4]~43113\,
	combout => \led_flash_cnt[1159][5]~43114_combout\,
	cout => \led_flash_cnt[1159][5]~43115\);

-- Location: FF_X55_Y52_N11
\led_flash_cnt[1159][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1159][5]~43114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1159][5]~q\);

-- Location: LCCOMB_X55_Y52_N12
\led_flash_cnt[1159][6]~43116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1159][6]~43116_combout\ = (\led_flash_cnt[1159][6]~q\ & (!\led_flash_cnt[1159][5]~43115\)) # (!\led_flash_cnt[1159][6]~q\ & ((\led_flash_cnt[1159][5]~43115\) # (GND)))
-- \led_flash_cnt[1159][6]~43117\ = CARRY((!\led_flash_cnt[1159][5]~43115\) # (!\led_flash_cnt[1159][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1159][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1159][5]~43115\,
	combout => \led_flash_cnt[1159][6]~43116_combout\,
	cout => \led_flash_cnt[1159][6]~43117\);

-- Location: FF_X55_Y52_N13
\led_flash_cnt[1159][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1159][6]~43116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1159][6]~q\);

-- Location: LCCOMB_X55_Y52_N14
\led_flash_cnt[1159][7]~43118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1159][7]~43118_combout\ = \led_flash_cnt[1159][7]~q\ $ (!\led_flash_cnt[1159][6]~43117\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1159][7]~q\,
	cin => \led_flash_cnt[1159][6]~43117\,
	combout => \led_flash_cnt[1159][7]~43118_combout\);

-- Location: FF_X55_Y52_N15
\led_flash_cnt[1159][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1159][7]~43118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1159][7]~q\);

-- Location: LCCOMB_X56_Y52_N4
\WideAnd1159~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1159~1_combout\ = (\led_flash_cnt[1159][5]~q\ & \led_flash_cnt[1159][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1159][5]~q\,
	datad => \led_flash_cnt[1159][6]~q\,
	combout => \WideAnd1159~1_combout\);

-- Location: LCCOMB_X55_Y52_N16
\WideAnd1159~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1159~0_combout\ = (\led_flash_cnt[1159][3]~q\ & (\led_flash_cnt[1159][4]~q\ & (\led_flash_cnt[1159][2]~q\ & \led_flash_cnt[1159][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1159][3]~q\,
	datab => \led_flash_cnt[1159][4]~q\,
	datac => \led_flash_cnt[1159][2]~q\,
	datad => \led_flash_cnt[1159][1]~q\,
	combout => \WideAnd1159~0_combout\);

-- Location: LCCOMB_X56_Y52_N10
WideAnd1159 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1159~combout\ = (\led_flash_cnt[1159][7]~q\ & (\WideAnd1159~1_combout\ & (\WideAnd1159~0_combout\ & \led_flash_cnt[1159][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1159][7]~q\,
	datab => \WideAnd1159~1_combout\,
	datac => \WideAnd1159~0_combout\,
	datad => \led_flash_cnt[1159][0]~q\,
	combout => \WideAnd1159~combout\);

-- Location: FF_X56_Y52_N11
\led_flash_cnt_ands[1159]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1159~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1159));

-- Location: LCCOMB_X62_Y50_N12
\led_flash_cnt[1154][0]~81794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1154][0]~81794_combout\ = !\led_flash_cnt[1154][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1154][0]~q\,
	combout => \led_flash_cnt[1154][0]~81794_combout\);

-- Location: FF_X62_Y50_N13
\led_flash_cnt[1154][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1154][0]~81794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1154][0]~q\);

-- Location: LCCOMB_X62_Y50_N18
\led_flash_cnt[1154][1]~43036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1154][1]~43036_combout\ = (\led_flash_cnt[1154][0]~q\ & (\led_flash_cnt[1154][1]~q\ $ (VCC))) # (!\led_flash_cnt[1154][0]~q\ & (\led_flash_cnt[1154][1]~q\ & VCC))
-- \led_flash_cnt[1154][1]~43037\ = CARRY((\led_flash_cnt[1154][0]~q\ & \led_flash_cnt[1154][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1154][0]~q\,
	datab => \led_flash_cnt[1154][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1154][1]~43036_combout\,
	cout => \led_flash_cnt[1154][1]~43037\);

-- Location: FF_X62_Y50_N19
\led_flash_cnt[1154][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1154][1]~43036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1154][1]~q\);

-- Location: LCCOMB_X62_Y50_N20
\led_flash_cnt[1154][2]~43038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1154][2]~43038_combout\ = (\led_flash_cnt[1154][2]~q\ & (!\led_flash_cnt[1154][1]~43037\)) # (!\led_flash_cnt[1154][2]~q\ & ((\led_flash_cnt[1154][1]~43037\) # (GND)))
-- \led_flash_cnt[1154][2]~43039\ = CARRY((!\led_flash_cnt[1154][1]~43037\) # (!\led_flash_cnt[1154][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1154][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1154][1]~43037\,
	combout => \led_flash_cnt[1154][2]~43038_combout\,
	cout => \led_flash_cnt[1154][2]~43039\);

-- Location: FF_X62_Y50_N21
\led_flash_cnt[1154][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1154][2]~43038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1154][2]~q\);

-- Location: LCCOMB_X62_Y50_N22
\led_flash_cnt[1154][3]~43040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1154][3]~43040_combout\ = (\led_flash_cnt[1154][3]~q\ & (\led_flash_cnt[1154][2]~43039\ $ (GND))) # (!\led_flash_cnt[1154][3]~q\ & (!\led_flash_cnt[1154][2]~43039\ & VCC))
-- \led_flash_cnt[1154][3]~43041\ = CARRY((\led_flash_cnt[1154][3]~q\ & !\led_flash_cnt[1154][2]~43039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1154][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1154][2]~43039\,
	combout => \led_flash_cnt[1154][3]~43040_combout\,
	cout => \led_flash_cnt[1154][3]~43041\);

-- Location: FF_X62_Y50_N23
\led_flash_cnt[1154][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1154][3]~43040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1154][3]~q\);

-- Location: LCCOMB_X62_Y50_N24
\led_flash_cnt[1154][4]~43042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1154][4]~43042_combout\ = (\led_flash_cnt[1154][4]~q\ & (!\led_flash_cnt[1154][3]~43041\)) # (!\led_flash_cnt[1154][4]~q\ & ((\led_flash_cnt[1154][3]~43041\) # (GND)))
-- \led_flash_cnt[1154][4]~43043\ = CARRY((!\led_flash_cnt[1154][3]~43041\) # (!\led_flash_cnt[1154][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1154][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1154][3]~43041\,
	combout => \led_flash_cnt[1154][4]~43042_combout\,
	cout => \led_flash_cnt[1154][4]~43043\);

-- Location: FF_X62_Y50_N25
\led_flash_cnt[1154][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1154][4]~43042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1154][4]~q\);

-- Location: LCCOMB_X62_Y50_N26
\led_flash_cnt[1154][5]~43044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1154][5]~43044_combout\ = (\led_flash_cnt[1154][5]~q\ & (\led_flash_cnt[1154][4]~43043\ $ (GND))) # (!\led_flash_cnt[1154][5]~q\ & (!\led_flash_cnt[1154][4]~43043\ & VCC))
-- \led_flash_cnt[1154][5]~43045\ = CARRY((\led_flash_cnt[1154][5]~q\ & !\led_flash_cnt[1154][4]~43043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1154][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1154][4]~43043\,
	combout => \led_flash_cnt[1154][5]~43044_combout\,
	cout => \led_flash_cnt[1154][5]~43045\);

-- Location: FF_X62_Y50_N27
\led_flash_cnt[1154][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1154][5]~43044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1154][5]~q\);

-- Location: LCCOMB_X62_Y50_N28
\led_flash_cnt[1154][6]~43046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1154][6]~43046_combout\ = (\led_flash_cnt[1154][6]~q\ & (!\led_flash_cnt[1154][5]~43045\)) # (!\led_flash_cnt[1154][6]~q\ & ((\led_flash_cnt[1154][5]~43045\) # (GND)))
-- \led_flash_cnt[1154][6]~43047\ = CARRY((!\led_flash_cnt[1154][5]~43045\) # (!\led_flash_cnt[1154][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1154][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1154][5]~43045\,
	combout => \led_flash_cnt[1154][6]~43046_combout\,
	cout => \led_flash_cnt[1154][6]~43047\);

-- Location: FF_X62_Y50_N29
\led_flash_cnt[1154][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1154][6]~43046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1154][6]~q\);

-- Location: LCCOMB_X62_Y50_N10
\WideAnd1154~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1154~1_combout\ = (\led_flash_cnt[1154][5]~q\ & \led_flash_cnt[1154][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1154][5]~q\,
	datad => \led_flash_cnt[1154][6]~q\,
	combout => \WideAnd1154~1_combout\);

-- Location: LCCOMB_X62_Y50_N8
\WideAnd1154~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1154~0_combout\ = (\led_flash_cnt[1154][4]~q\ & (\led_flash_cnt[1154][2]~q\ & (\led_flash_cnt[1154][3]~q\ & \led_flash_cnt[1154][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1154][4]~q\,
	datab => \led_flash_cnt[1154][2]~q\,
	datac => \led_flash_cnt[1154][3]~q\,
	datad => \led_flash_cnt[1154][1]~q\,
	combout => \WideAnd1154~0_combout\);

-- Location: LCCOMB_X62_Y50_N30
\led_flash_cnt[1154][7]~43048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1154][7]~43048_combout\ = \led_flash_cnt[1154][7]~q\ $ (!\led_flash_cnt[1154][6]~43047\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1154][7]~q\,
	cin => \led_flash_cnt[1154][6]~43047\,
	combout => \led_flash_cnt[1154][7]~43048_combout\);

-- Location: FF_X62_Y50_N31
\led_flash_cnt[1154][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1154][7]~43048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1154][7]~q\);

-- Location: LCCOMB_X62_Y50_N14
WideAnd1154 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1154~combout\ = (\WideAnd1154~1_combout\ & (\WideAnd1154~0_combout\ & (\led_flash_cnt[1154][7]~q\ & \led_flash_cnt[1154][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1154~1_combout\,
	datab => \WideAnd1154~0_combout\,
	datac => \led_flash_cnt[1154][7]~q\,
	datad => \led_flash_cnt[1154][0]~q\,
	combout => \WideAnd1154~combout\);

-- Location: FF_X62_Y50_N15
\led_flash_cnt_ands[1154]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1154~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1154));

-- Location: LCCOMB_X66_Y47_N4
\led_flash_cnt[1152][0]~81792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1152][0]~81792_combout\ = !\led_flash_cnt[1152][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1152][0]~q\,
	combout => \led_flash_cnt[1152][0]~81792_combout\);

-- Location: FF_X66_Y47_N5
\led_flash_cnt[1152][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1152][0]~81792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1152][0]~q\);

-- Location: LCCOMB_X66_Y47_N12
\led_flash_cnt[1152][1]~43008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1152][1]~43008_combout\ = (\led_flash_cnt[1152][1]~q\ & (\led_flash_cnt[1152][0]~q\ $ (VCC))) # (!\led_flash_cnt[1152][1]~q\ & (\led_flash_cnt[1152][0]~q\ & VCC))
-- \led_flash_cnt[1152][1]~43009\ = CARRY((\led_flash_cnt[1152][1]~q\ & \led_flash_cnt[1152][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1152][1]~q\,
	datab => \led_flash_cnt[1152][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1152][1]~43008_combout\,
	cout => \led_flash_cnt[1152][1]~43009\);

-- Location: FF_X66_Y47_N13
\led_flash_cnt[1152][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1152][1]~43008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1152][1]~q\);

-- Location: LCCOMB_X66_Y47_N14
\led_flash_cnt[1152][2]~43010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1152][2]~43010_combout\ = (\led_flash_cnt[1152][2]~q\ & (!\led_flash_cnt[1152][1]~43009\)) # (!\led_flash_cnt[1152][2]~q\ & ((\led_flash_cnt[1152][1]~43009\) # (GND)))
-- \led_flash_cnt[1152][2]~43011\ = CARRY((!\led_flash_cnt[1152][1]~43009\) # (!\led_flash_cnt[1152][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1152][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1152][1]~43009\,
	combout => \led_flash_cnt[1152][2]~43010_combout\,
	cout => \led_flash_cnt[1152][2]~43011\);

-- Location: FF_X66_Y47_N15
\led_flash_cnt[1152][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1152][2]~43010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1152][2]~q\);

-- Location: LCCOMB_X66_Y47_N16
\led_flash_cnt[1152][3]~43012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1152][3]~43012_combout\ = (\led_flash_cnt[1152][3]~q\ & (\led_flash_cnt[1152][2]~43011\ $ (GND))) # (!\led_flash_cnt[1152][3]~q\ & (!\led_flash_cnt[1152][2]~43011\ & VCC))
-- \led_flash_cnt[1152][3]~43013\ = CARRY((\led_flash_cnt[1152][3]~q\ & !\led_flash_cnt[1152][2]~43011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1152][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1152][2]~43011\,
	combout => \led_flash_cnt[1152][3]~43012_combout\,
	cout => \led_flash_cnt[1152][3]~43013\);

-- Location: FF_X66_Y47_N17
\led_flash_cnt[1152][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1152][3]~43012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1152][3]~q\);

-- Location: LCCOMB_X66_Y47_N18
\led_flash_cnt[1152][4]~43014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1152][4]~43014_combout\ = (\led_flash_cnt[1152][4]~q\ & (!\led_flash_cnt[1152][3]~43013\)) # (!\led_flash_cnt[1152][4]~q\ & ((\led_flash_cnt[1152][3]~43013\) # (GND)))
-- \led_flash_cnt[1152][4]~43015\ = CARRY((!\led_flash_cnt[1152][3]~43013\) # (!\led_flash_cnt[1152][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1152][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1152][3]~43013\,
	combout => \led_flash_cnt[1152][4]~43014_combout\,
	cout => \led_flash_cnt[1152][4]~43015\);

-- Location: FF_X66_Y47_N19
\led_flash_cnt[1152][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1152][4]~43014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1152][4]~q\);

-- Location: LCCOMB_X66_Y47_N20
\led_flash_cnt[1152][5]~43016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1152][5]~43016_combout\ = (\led_flash_cnt[1152][5]~q\ & (\led_flash_cnt[1152][4]~43015\ $ (GND))) # (!\led_flash_cnt[1152][5]~q\ & (!\led_flash_cnt[1152][4]~43015\ & VCC))
-- \led_flash_cnt[1152][5]~43017\ = CARRY((\led_flash_cnt[1152][5]~q\ & !\led_flash_cnt[1152][4]~43015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1152][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1152][4]~43015\,
	combout => \led_flash_cnt[1152][5]~43016_combout\,
	cout => \led_flash_cnt[1152][5]~43017\);

-- Location: FF_X66_Y47_N21
\led_flash_cnt[1152][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1152][5]~43016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1152][5]~q\);

-- Location: LCCOMB_X66_Y47_N22
\led_flash_cnt[1152][6]~43018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1152][6]~43018_combout\ = (\led_flash_cnt[1152][6]~q\ & (!\led_flash_cnt[1152][5]~43017\)) # (!\led_flash_cnt[1152][6]~q\ & ((\led_flash_cnt[1152][5]~43017\) # (GND)))
-- \led_flash_cnt[1152][6]~43019\ = CARRY((!\led_flash_cnt[1152][5]~43017\) # (!\led_flash_cnt[1152][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1152][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1152][5]~43017\,
	combout => \led_flash_cnt[1152][6]~43018_combout\,
	cout => \led_flash_cnt[1152][6]~43019\);

-- Location: FF_X66_Y47_N23
\led_flash_cnt[1152][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1152][6]~43018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1152][6]~q\);

-- Location: LCCOMB_X66_Y47_N26
\WideAnd1152~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1152~1_combout\ = (\led_flash_cnt[1152][6]~q\ & \led_flash_cnt[1152][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1152][6]~q\,
	datad => \led_flash_cnt[1152][5]~q\,
	combout => \WideAnd1152~1_combout\);

-- Location: LCCOMB_X66_Y47_N24
\led_flash_cnt[1152][7]~43020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1152][7]~43020_combout\ = \led_flash_cnt[1152][6]~43019\ $ (!\led_flash_cnt[1152][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1152][7]~q\,
	cin => \led_flash_cnt[1152][6]~43019\,
	combout => \led_flash_cnt[1152][7]~43020_combout\);

-- Location: FF_X66_Y47_N25
\led_flash_cnt[1152][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1152][7]~43020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1152][7]~q\);

-- Location: LCCOMB_X66_Y47_N28
\WideAnd1152~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1152~0_combout\ = (\led_flash_cnt[1152][1]~q\ & (\led_flash_cnt[1152][4]~q\ & (\led_flash_cnt[1152][2]~q\ & \led_flash_cnt[1152][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1152][1]~q\,
	datab => \led_flash_cnt[1152][4]~q\,
	datac => \led_flash_cnt[1152][2]~q\,
	datad => \led_flash_cnt[1152][3]~q\,
	combout => \WideAnd1152~0_combout\);

-- Location: LCCOMB_X66_Y47_N8
WideAnd1152 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1152~combout\ = (\WideAnd1152~1_combout\ & (\led_flash_cnt[1152][7]~q\ & (\led_flash_cnt[1152][0]~q\ & \WideAnd1152~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1152~1_combout\,
	datab => \led_flash_cnt[1152][7]~q\,
	datac => \led_flash_cnt[1152][0]~q\,
	datad => \WideAnd1152~0_combout\,
	combout => \WideAnd1152~combout\);

-- Location: FF_X66_Y47_N9
\led_flash_cnt_ands[1152]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1152~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1152));

-- Location: LCCOMB_X63_Y50_N10
\led_flash_cnt[1153][0]~81793\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1153][0]~81793_combout\ = !\led_flash_cnt[1153][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1153][0]~q\,
	combout => \led_flash_cnt[1153][0]~81793_combout\);

-- Location: FF_X63_Y50_N11
\led_flash_cnt[1153][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1153][0]~81793_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1153][0]~q\);

-- Location: LCCOMB_X63_Y50_N16
\led_flash_cnt[1153][1]~43022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1153][1]~43022_combout\ = (\led_flash_cnt[1153][0]~q\ & (\led_flash_cnt[1153][1]~q\ $ (VCC))) # (!\led_flash_cnt[1153][0]~q\ & (\led_flash_cnt[1153][1]~q\ & VCC))
-- \led_flash_cnt[1153][1]~43023\ = CARRY((\led_flash_cnt[1153][0]~q\ & \led_flash_cnt[1153][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1153][0]~q\,
	datab => \led_flash_cnt[1153][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1153][1]~43022_combout\,
	cout => \led_flash_cnt[1153][1]~43023\);

-- Location: FF_X63_Y50_N17
\led_flash_cnt[1153][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1153][1]~43022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1153][1]~q\);

-- Location: LCCOMB_X63_Y50_N18
\led_flash_cnt[1153][2]~43024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1153][2]~43024_combout\ = (\led_flash_cnt[1153][2]~q\ & (!\led_flash_cnt[1153][1]~43023\)) # (!\led_flash_cnt[1153][2]~q\ & ((\led_flash_cnt[1153][1]~43023\) # (GND)))
-- \led_flash_cnt[1153][2]~43025\ = CARRY((!\led_flash_cnt[1153][1]~43023\) # (!\led_flash_cnt[1153][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1153][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1153][1]~43023\,
	combout => \led_flash_cnt[1153][2]~43024_combout\,
	cout => \led_flash_cnt[1153][2]~43025\);

-- Location: FF_X63_Y50_N19
\led_flash_cnt[1153][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1153][2]~43024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1153][2]~q\);

-- Location: LCCOMB_X63_Y50_N20
\led_flash_cnt[1153][3]~43026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1153][3]~43026_combout\ = (\led_flash_cnt[1153][3]~q\ & (\led_flash_cnt[1153][2]~43025\ $ (GND))) # (!\led_flash_cnt[1153][3]~q\ & (!\led_flash_cnt[1153][2]~43025\ & VCC))
-- \led_flash_cnt[1153][3]~43027\ = CARRY((\led_flash_cnt[1153][3]~q\ & !\led_flash_cnt[1153][2]~43025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1153][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1153][2]~43025\,
	combout => \led_flash_cnt[1153][3]~43026_combout\,
	cout => \led_flash_cnt[1153][3]~43027\);

-- Location: FF_X63_Y50_N21
\led_flash_cnt[1153][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1153][3]~43026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1153][3]~q\);

-- Location: LCCOMB_X63_Y50_N22
\led_flash_cnt[1153][4]~43028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1153][4]~43028_combout\ = (\led_flash_cnt[1153][4]~q\ & (!\led_flash_cnt[1153][3]~43027\)) # (!\led_flash_cnt[1153][4]~q\ & ((\led_flash_cnt[1153][3]~43027\) # (GND)))
-- \led_flash_cnt[1153][4]~43029\ = CARRY((!\led_flash_cnt[1153][3]~43027\) # (!\led_flash_cnt[1153][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1153][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1153][3]~43027\,
	combout => \led_flash_cnt[1153][4]~43028_combout\,
	cout => \led_flash_cnt[1153][4]~43029\);

-- Location: FF_X63_Y50_N23
\led_flash_cnt[1153][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1153][4]~43028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1153][4]~q\);

-- Location: LCCOMB_X63_Y50_N24
\led_flash_cnt[1153][5]~43030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1153][5]~43030_combout\ = (\led_flash_cnt[1153][5]~q\ & (\led_flash_cnt[1153][4]~43029\ $ (GND))) # (!\led_flash_cnt[1153][5]~q\ & (!\led_flash_cnt[1153][4]~43029\ & VCC))
-- \led_flash_cnt[1153][5]~43031\ = CARRY((\led_flash_cnt[1153][5]~q\ & !\led_flash_cnt[1153][4]~43029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1153][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1153][4]~43029\,
	combout => \led_flash_cnt[1153][5]~43030_combout\,
	cout => \led_flash_cnt[1153][5]~43031\);

-- Location: FF_X63_Y50_N25
\led_flash_cnt[1153][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1153][5]~43030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1153][5]~q\);

-- Location: LCCOMB_X63_Y50_N26
\led_flash_cnt[1153][6]~43032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1153][6]~43032_combout\ = (\led_flash_cnt[1153][6]~q\ & (!\led_flash_cnt[1153][5]~43031\)) # (!\led_flash_cnt[1153][6]~q\ & ((\led_flash_cnt[1153][5]~43031\) # (GND)))
-- \led_flash_cnt[1153][6]~43033\ = CARRY((!\led_flash_cnt[1153][5]~43031\) # (!\led_flash_cnt[1153][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1153][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1153][5]~43031\,
	combout => \led_flash_cnt[1153][6]~43032_combout\,
	cout => \led_flash_cnt[1153][6]~43033\);

-- Location: FF_X63_Y50_N27
\led_flash_cnt[1153][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1153][6]~43032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1153][6]~q\);

-- Location: LCCOMB_X63_Y50_N28
\led_flash_cnt[1153][7]~43034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1153][7]~43034_combout\ = \led_flash_cnt[1153][6]~43033\ $ (!\led_flash_cnt[1153][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1153][7]~q\,
	cin => \led_flash_cnt[1153][6]~43033\,
	combout => \led_flash_cnt[1153][7]~43034_combout\);

-- Location: FF_X63_Y50_N29
\led_flash_cnt[1153][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1153][7]~43034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1153][7]~q\);

-- Location: LCCOMB_X63_Y50_N8
\WideAnd1153~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1153~1_combout\ = (\led_flash_cnt[1153][6]~q\ & \led_flash_cnt[1153][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1153][6]~q\,
	datad => \led_flash_cnt[1153][5]~q\,
	combout => \WideAnd1153~1_combout\);

-- Location: LCCOMB_X63_Y50_N12
\WideAnd1153~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1153~0_combout\ = (\led_flash_cnt[1153][3]~q\ & (\led_flash_cnt[1153][2]~q\ & (\led_flash_cnt[1153][4]~q\ & \led_flash_cnt[1153][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1153][3]~q\,
	datab => \led_flash_cnt[1153][2]~q\,
	datac => \led_flash_cnt[1153][4]~q\,
	datad => \led_flash_cnt[1153][1]~q\,
	combout => \WideAnd1153~0_combout\);

-- Location: LCCOMB_X63_Y50_N4
WideAnd1153 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1153~combout\ = (\led_flash_cnt[1153][0]~q\ & (\led_flash_cnt[1153][7]~q\ & (\WideAnd1153~1_combout\ & \WideAnd1153~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1153][0]~q\,
	datab => \led_flash_cnt[1153][7]~q\,
	datac => \WideAnd1153~1_combout\,
	datad => \WideAnd1153~0_combout\,
	combout => \WideAnd1153~combout\);

-- Location: FF_X63_Y50_N5
\led_flash_cnt_ands[1153]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1153~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1153));

-- Location: LCCOMB_X66_Y49_N12
\led_flash_cnt[1155][0]~81795\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1155][0]~81795_combout\ = !\led_flash_cnt[1155][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1155][0]~q\,
	combout => \led_flash_cnt[1155][0]~81795_combout\);

-- Location: FF_X66_Y49_N13
\led_flash_cnt[1155][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1155][0]~81795_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1155][0]~q\);

-- Location: LCCOMB_X66_Y49_N14
\led_flash_cnt[1155][1]~43050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1155][1]~43050_combout\ = (\led_flash_cnt[1155][0]~q\ & (\led_flash_cnt[1155][1]~q\ $ (VCC))) # (!\led_flash_cnt[1155][0]~q\ & (\led_flash_cnt[1155][1]~q\ & VCC))
-- \led_flash_cnt[1155][1]~43051\ = CARRY((\led_flash_cnt[1155][0]~q\ & \led_flash_cnt[1155][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1155][0]~q\,
	datab => \led_flash_cnt[1155][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1155][1]~43050_combout\,
	cout => \led_flash_cnt[1155][1]~43051\);

-- Location: FF_X66_Y49_N15
\led_flash_cnt[1155][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1155][1]~43050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1155][1]~q\);

-- Location: LCCOMB_X66_Y49_N16
\led_flash_cnt[1155][2]~43052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1155][2]~43052_combout\ = (\led_flash_cnt[1155][2]~q\ & (!\led_flash_cnt[1155][1]~43051\)) # (!\led_flash_cnt[1155][2]~q\ & ((\led_flash_cnt[1155][1]~43051\) # (GND)))
-- \led_flash_cnt[1155][2]~43053\ = CARRY((!\led_flash_cnt[1155][1]~43051\) # (!\led_flash_cnt[1155][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1155][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1155][1]~43051\,
	combout => \led_flash_cnt[1155][2]~43052_combout\,
	cout => \led_flash_cnt[1155][2]~43053\);

-- Location: FF_X66_Y49_N17
\led_flash_cnt[1155][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1155][2]~43052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1155][2]~q\);

-- Location: LCCOMB_X66_Y49_N18
\led_flash_cnt[1155][3]~43054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1155][3]~43054_combout\ = (\led_flash_cnt[1155][3]~q\ & (\led_flash_cnt[1155][2]~43053\ $ (GND))) # (!\led_flash_cnt[1155][3]~q\ & (!\led_flash_cnt[1155][2]~43053\ & VCC))
-- \led_flash_cnt[1155][3]~43055\ = CARRY((\led_flash_cnt[1155][3]~q\ & !\led_flash_cnt[1155][2]~43053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1155][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1155][2]~43053\,
	combout => \led_flash_cnt[1155][3]~43054_combout\,
	cout => \led_flash_cnt[1155][3]~43055\);

-- Location: FF_X66_Y49_N19
\led_flash_cnt[1155][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1155][3]~43054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1155][3]~q\);

-- Location: LCCOMB_X66_Y49_N20
\led_flash_cnt[1155][4]~43056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1155][4]~43056_combout\ = (\led_flash_cnt[1155][4]~q\ & (!\led_flash_cnt[1155][3]~43055\)) # (!\led_flash_cnt[1155][4]~q\ & ((\led_flash_cnt[1155][3]~43055\) # (GND)))
-- \led_flash_cnt[1155][4]~43057\ = CARRY((!\led_flash_cnt[1155][3]~43055\) # (!\led_flash_cnt[1155][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1155][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1155][3]~43055\,
	combout => \led_flash_cnt[1155][4]~43056_combout\,
	cout => \led_flash_cnt[1155][4]~43057\);

-- Location: FF_X66_Y49_N21
\led_flash_cnt[1155][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1155][4]~43056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1155][4]~q\);

-- Location: LCCOMB_X66_Y49_N22
\led_flash_cnt[1155][5]~43058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1155][5]~43058_combout\ = (\led_flash_cnt[1155][5]~q\ & (\led_flash_cnt[1155][4]~43057\ $ (GND))) # (!\led_flash_cnt[1155][5]~q\ & (!\led_flash_cnt[1155][4]~43057\ & VCC))
-- \led_flash_cnt[1155][5]~43059\ = CARRY((\led_flash_cnt[1155][5]~q\ & !\led_flash_cnt[1155][4]~43057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1155][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1155][4]~43057\,
	combout => \led_flash_cnt[1155][5]~43058_combout\,
	cout => \led_flash_cnt[1155][5]~43059\);

-- Location: FF_X66_Y49_N23
\led_flash_cnt[1155][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1155][5]~43058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1155][5]~q\);

-- Location: LCCOMB_X66_Y49_N24
\led_flash_cnt[1155][6]~43060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1155][6]~43060_combout\ = (\led_flash_cnt[1155][6]~q\ & (!\led_flash_cnt[1155][5]~43059\)) # (!\led_flash_cnt[1155][6]~q\ & ((\led_flash_cnt[1155][5]~43059\) # (GND)))
-- \led_flash_cnt[1155][6]~43061\ = CARRY((!\led_flash_cnt[1155][5]~43059\) # (!\led_flash_cnt[1155][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1155][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1155][5]~43059\,
	combout => \led_flash_cnt[1155][6]~43060_combout\,
	cout => \led_flash_cnt[1155][6]~43061\);

-- Location: FF_X66_Y49_N25
\led_flash_cnt[1155][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1155][6]~43060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1155][6]~q\);

-- Location: LCCOMB_X66_Y49_N10
\WideAnd1155~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1155~1_combout\ = (\led_flash_cnt[1155][5]~q\ & \led_flash_cnt[1155][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1155][5]~q\,
	datad => \led_flash_cnt[1155][6]~q\,
	combout => \WideAnd1155~1_combout\);

-- Location: LCCOMB_X66_Y49_N8
\WideAnd1155~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1155~0_combout\ = (\led_flash_cnt[1155][4]~q\ & (\led_flash_cnt[1155][3]~q\ & (\led_flash_cnt[1155][1]~q\ & \led_flash_cnt[1155][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1155][4]~q\,
	datab => \led_flash_cnt[1155][3]~q\,
	datac => \led_flash_cnt[1155][1]~q\,
	datad => \led_flash_cnt[1155][2]~q\,
	combout => \WideAnd1155~0_combout\);

-- Location: LCCOMB_X66_Y49_N26
\led_flash_cnt[1155][7]~43062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1155][7]~43062_combout\ = \led_flash_cnt[1155][7]~q\ $ (!\led_flash_cnt[1155][6]~43061\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1155][7]~q\,
	cin => \led_flash_cnt[1155][6]~43061\,
	combout => \led_flash_cnt[1155][7]~43062_combout\);

-- Location: FF_X66_Y49_N27
\led_flash_cnt[1155][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1155][7]~43062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1155][7]~q\);

-- Location: LCCOMB_X66_Y49_N0
WideAnd1155 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1155~combout\ = (\WideAnd1155~1_combout\ & (\WideAnd1155~0_combout\ & (\led_flash_cnt[1155][7]~q\ & \led_flash_cnt[1155][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1155~1_combout\,
	datab => \WideAnd1155~0_combout\,
	datac => \led_flash_cnt[1155][7]~q\,
	datad => \led_flash_cnt[1155][0]~q\,
	combout => \WideAnd1155~combout\);

-- Location: FF_X66_Y49_N1
\led_flash_cnt_ands[1155]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1155~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1155));

-- Location: LCCOMB_X63_Y50_N6
\WideAnd3984~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3984~0_combout\ = (led_flash_cnt_ands(1154) & (led_flash_cnt_ands(1152) & (led_flash_cnt_ands(1153) & led_flash_cnt_ands(1155))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1154),
	datab => led_flash_cnt_ands(1152),
	datac => led_flash_cnt_ands(1153),
	datad => led_flash_cnt_ands(1155),
	combout => \WideAnd3984~0_combout\);

-- Location: LCCOMB_X52_Y53_N14
\led_flash_cnt[1157][0]~81797\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1157][0]~81797_combout\ = !\led_flash_cnt[1157][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1157][0]~q\,
	combout => \led_flash_cnt[1157][0]~81797_combout\);

-- Location: FF_X52_Y53_N15
\led_flash_cnt[1157][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1157][0]~81797_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1157][0]~q\);

-- Location: LCCOMB_X54_Y53_N2
\led_flash_cnt[1157][1]~43078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1157][1]~43078_combout\ = (\led_flash_cnt[1157][0]~q\ & (\led_flash_cnt[1157][1]~q\ $ (VCC))) # (!\led_flash_cnt[1157][0]~q\ & (\led_flash_cnt[1157][1]~q\ & VCC))
-- \led_flash_cnt[1157][1]~43079\ = CARRY((\led_flash_cnt[1157][0]~q\ & \led_flash_cnt[1157][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1157][0]~q\,
	datab => \led_flash_cnt[1157][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1157][1]~43078_combout\,
	cout => \led_flash_cnt[1157][1]~43079\);

-- Location: FF_X54_Y53_N3
\led_flash_cnt[1157][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1157][1]~43078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1157][1]~q\);

-- Location: LCCOMB_X54_Y53_N4
\led_flash_cnt[1157][2]~43080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1157][2]~43080_combout\ = (\led_flash_cnt[1157][2]~q\ & (!\led_flash_cnt[1157][1]~43079\)) # (!\led_flash_cnt[1157][2]~q\ & ((\led_flash_cnt[1157][1]~43079\) # (GND)))
-- \led_flash_cnt[1157][2]~43081\ = CARRY((!\led_flash_cnt[1157][1]~43079\) # (!\led_flash_cnt[1157][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1157][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1157][1]~43079\,
	combout => \led_flash_cnt[1157][2]~43080_combout\,
	cout => \led_flash_cnt[1157][2]~43081\);

-- Location: FF_X54_Y53_N5
\led_flash_cnt[1157][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1157][2]~43080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1157][2]~q\);

-- Location: LCCOMB_X54_Y53_N6
\led_flash_cnt[1157][3]~43082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1157][3]~43082_combout\ = (\led_flash_cnt[1157][3]~q\ & (\led_flash_cnt[1157][2]~43081\ $ (GND))) # (!\led_flash_cnt[1157][3]~q\ & (!\led_flash_cnt[1157][2]~43081\ & VCC))
-- \led_flash_cnt[1157][3]~43083\ = CARRY((\led_flash_cnt[1157][3]~q\ & !\led_flash_cnt[1157][2]~43081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1157][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1157][2]~43081\,
	combout => \led_flash_cnt[1157][3]~43082_combout\,
	cout => \led_flash_cnt[1157][3]~43083\);

-- Location: FF_X54_Y53_N7
\led_flash_cnt[1157][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1157][3]~43082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1157][3]~q\);

-- Location: LCCOMB_X54_Y53_N8
\led_flash_cnt[1157][4]~43084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1157][4]~43084_combout\ = (\led_flash_cnt[1157][4]~q\ & (!\led_flash_cnt[1157][3]~43083\)) # (!\led_flash_cnt[1157][4]~q\ & ((\led_flash_cnt[1157][3]~43083\) # (GND)))
-- \led_flash_cnt[1157][4]~43085\ = CARRY((!\led_flash_cnt[1157][3]~43083\) # (!\led_flash_cnt[1157][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1157][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1157][3]~43083\,
	combout => \led_flash_cnt[1157][4]~43084_combout\,
	cout => \led_flash_cnt[1157][4]~43085\);

-- Location: FF_X54_Y53_N9
\led_flash_cnt[1157][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1157][4]~43084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1157][4]~q\);

-- Location: LCCOMB_X54_Y53_N10
\led_flash_cnt[1157][5]~43086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1157][5]~43086_combout\ = (\led_flash_cnt[1157][5]~q\ & (\led_flash_cnt[1157][4]~43085\ $ (GND))) # (!\led_flash_cnt[1157][5]~q\ & (!\led_flash_cnt[1157][4]~43085\ & VCC))
-- \led_flash_cnt[1157][5]~43087\ = CARRY((\led_flash_cnt[1157][5]~q\ & !\led_flash_cnt[1157][4]~43085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1157][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1157][4]~43085\,
	combout => \led_flash_cnt[1157][5]~43086_combout\,
	cout => \led_flash_cnt[1157][5]~43087\);

-- Location: FF_X54_Y53_N11
\led_flash_cnt[1157][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1157][5]~43086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1157][5]~q\);

-- Location: LCCOMB_X54_Y53_N12
\led_flash_cnt[1157][6]~43088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1157][6]~43088_combout\ = (\led_flash_cnt[1157][6]~q\ & (!\led_flash_cnt[1157][5]~43087\)) # (!\led_flash_cnt[1157][6]~q\ & ((\led_flash_cnt[1157][5]~43087\) # (GND)))
-- \led_flash_cnt[1157][6]~43089\ = CARRY((!\led_flash_cnt[1157][5]~43087\) # (!\led_flash_cnt[1157][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1157][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1157][5]~43087\,
	combout => \led_flash_cnt[1157][6]~43088_combout\,
	cout => \led_flash_cnt[1157][6]~43089\);

-- Location: FF_X54_Y53_N13
\led_flash_cnt[1157][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1157][6]~43088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1157][6]~q\);

-- Location: LCCOMB_X54_Y53_N14
\led_flash_cnt[1157][7]~43090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1157][7]~43090_combout\ = \led_flash_cnt[1157][7]~q\ $ (!\led_flash_cnt[1157][6]~43089\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1157][7]~q\,
	cin => \led_flash_cnt[1157][6]~43089\,
	combout => \led_flash_cnt[1157][7]~43090_combout\);

-- Location: FF_X54_Y53_N15
\led_flash_cnt[1157][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1157][7]~43090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1157][7]~q\);

-- Location: LCCOMB_X54_Y53_N0
\WideAnd1157~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1157~0_combout\ = (\led_flash_cnt[1157][3]~q\ & (\led_flash_cnt[1157][4]~q\ & (\led_flash_cnt[1157][2]~q\ & \led_flash_cnt[1157][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1157][3]~q\,
	datab => \led_flash_cnt[1157][4]~q\,
	datac => \led_flash_cnt[1157][2]~q\,
	datad => \led_flash_cnt[1157][1]~q\,
	combout => \WideAnd1157~0_combout\);

-- Location: LCCOMB_X52_Y53_N2
\WideAnd1157~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1157~1_combout\ = (\led_flash_cnt[1157][6]~q\ & \led_flash_cnt[1157][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1157][6]~q\,
	datad => \led_flash_cnt[1157][5]~q\,
	combout => \WideAnd1157~1_combout\);

-- Location: LCCOMB_X52_Y53_N8
WideAnd1157 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1157~combout\ = (\led_flash_cnt[1157][7]~q\ & (\WideAnd1157~0_combout\ & (\led_flash_cnt[1157][0]~q\ & \WideAnd1157~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1157][7]~q\,
	datab => \WideAnd1157~0_combout\,
	datac => \led_flash_cnt[1157][0]~q\,
	datad => \WideAnd1157~1_combout\,
	combout => \WideAnd1157~combout\);

-- Location: FF_X52_Y53_N9
\led_flash_cnt_ands[1157]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1157~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1157));

-- Location: LCCOMB_X52_Y53_N6
\led_flash_cnt[1156][0]~81796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1156][0]~81796_combout\ = !\led_flash_cnt[1156][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1156][0]~q\,
	combout => \led_flash_cnt[1156][0]~81796_combout\);

-- Location: FF_X52_Y53_N7
\led_flash_cnt[1156][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1156][0]~81796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1156][0]~q\);

-- Location: LCCOMB_X52_Y53_N16
\led_flash_cnt[1156][1]~43064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1156][1]~43064_combout\ = (\led_flash_cnt[1156][0]~q\ & (\led_flash_cnt[1156][1]~q\ $ (VCC))) # (!\led_flash_cnt[1156][0]~q\ & (\led_flash_cnt[1156][1]~q\ & VCC))
-- \led_flash_cnt[1156][1]~43065\ = CARRY((\led_flash_cnt[1156][0]~q\ & \led_flash_cnt[1156][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1156][0]~q\,
	datab => \led_flash_cnt[1156][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1156][1]~43064_combout\,
	cout => \led_flash_cnt[1156][1]~43065\);

-- Location: FF_X52_Y53_N17
\led_flash_cnt[1156][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1156][1]~43064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1156][1]~q\);

-- Location: LCCOMB_X52_Y53_N18
\led_flash_cnt[1156][2]~43066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1156][2]~43066_combout\ = (\led_flash_cnt[1156][2]~q\ & (!\led_flash_cnt[1156][1]~43065\)) # (!\led_flash_cnt[1156][2]~q\ & ((\led_flash_cnt[1156][1]~43065\) # (GND)))
-- \led_flash_cnt[1156][2]~43067\ = CARRY((!\led_flash_cnt[1156][1]~43065\) # (!\led_flash_cnt[1156][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1156][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1156][1]~43065\,
	combout => \led_flash_cnt[1156][2]~43066_combout\,
	cout => \led_flash_cnt[1156][2]~43067\);

-- Location: FF_X52_Y53_N19
\led_flash_cnt[1156][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1156][2]~43066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1156][2]~q\);

-- Location: LCCOMB_X52_Y53_N20
\led_flash_cnt[1156][3]~43068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1156][3]~43068_combout\ = (\led_flash_cnt[1156][3]~q\ & (\led_flash_cnt[1156][2]~43067\ $ (GND))) # (!\led_flash_cnt[1156][3]~q\ & (!\led_flash_cnt[1156][2]~43067\ & VCC))
-- \led_flash_cnt[1156][3]~43069\ = CARRY((\led_flash_cnt[1156][3]~q\ & !\led_flash_cnt[1156][2]~43067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1156][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1156][2]~43067\,
	combout => \led_flash_cnt[1156][3]~43068_combout\,
	cout => \led_flash_cnt[1156][3]~43069\);

-- Location: FF_X52_Y53_N21
\led_flash_cnt[1156][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1156][3]~43068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1156][3]~q\);

-- Location: LCCOMB_X52_Y53_N22
\led_flash_cnt[1156][4]~43070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1156][4]~43070_combout\ = (\led_flash_cnt[1156][4]~q\ & (!\led_flash_cnt[1156][3]~43069\)) # (!\led_flash_cnt[1156][4]~q\ & ((\led_flash_cnt[1156][3]~43069\) # (GND)))
-- \led_flash_cnt[1156][4]~43071\ = CARRY((!\led_flash_cnt[1156][3]~43069\) # (!\led_flash_cnt[1156][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1156][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1156][3]~43069\,
	combout => \led_flash_cnt[1156][4]~43070_combout\,
	cout => \led_flash_cnt[1156][4]~43071\);

-- Location: FF_X52_Y53_N23
\led_flash_cnt[1156][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1156][4]~43070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1156][4]~q\);

-- Location: LCCOMB_X52_Y53_N24
\led_flash_cnt[1156][5]~43072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1156][5]~43072_combout\ = (\led_flash_cnt[1156][5]~q\ & (\led_flash_cnt[1156][4]~43071\ $ (GND))) # (!\led_flash_cnt[1156][5]~q\ & (!\led_flash_cnt[1156][4]~43071\ & VCC))
-- \led_flash_cnt[1156][5]~43073\ = CARRY((\led_flash_cnt[1156][5]~q\ & !\led_flash_cnt[1156][4]~43071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1156][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1156][4]~43071\,
	combout => \led_flash_cnt[1156][5]~43072_combout\,
	cout => \led_flash_cnt[1156][5]~43073\);

-- Location: FF_X52_Y53_N25
\led_flash_cnt[1156][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1156][5]~43072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1156][5]~q\);

-- Location: LCCOMB_X52_Y53_N26
\led_flash_cnt[1156][6]~43074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1156][6]~43074_combout\ = (\led_flash_cnt[1156][6]~q\ & (!\led_flash_cnt[1156][5]~43073\)) # (!\led_flash_cnt[1156][6]~q\ & ((\led_flash_cnt[1156][5]~43073\) # (GND)))
-- \led_flash_cnt[1156][6]~43075\ = CARRY((!\led_flash_cnt[1156][5]~43073\) # (!\led_flash_cnt[1156][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1156][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1156][5]~43073\,
	combout => \led_flash_cnt[1156][6]~43074_combout\,
	cout => \led_flash_cnt[1156][6]~43075\);

-- Location: FF_X52_Y53_N27
\led_flash_cnt[1156][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1156][6]~43074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1156][6]~q\);

-- Location: LCCOMB_X52_Y53_N28
\led_flash_cnt[1156][7]~43076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1156][7]~43076_combout\ = \led_flash_cnt[1156][6]~43075\ $ (!\led_flash_cnt[1156][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1156][7]~q\,
	cin => \led_flash_cnt[1156][6]~43075\,
	combout => \led_flash_cnt[1156][7]~43076_combout\);

-- Location: FF_X52_Y53_N29
\led_flash_cnt[1156][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1156][7]~43076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1156][7]~q\);

-- Location: LCCOMB_X52_Y53_N4
\WideAnd1156~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1156~1_combout\ = (\led_flash_cnt[1156][6]~q\ & \led_flash_cnt[1156][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1156][6]~q\,
	datad => \led_flash_cnt[1156][5]~q\,
	combout => \WideAnd1156~1_combout\);

-- Location: LCCOMB_X52_Y53_N12
\WideAnd1156~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1156~0_combout\ = (\led_flash_cnt[1156][2]~q\ & (\led_flash_cnt[1156][3]~q\ & (\led_flash_cnt[1156][4]~q\ & \led_flash_cnt[1156][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1156][2]~q\,
	datab => \led_flash_cnt[1156][3]~q\,
	datac => \led_flash_cnt[1156][4]~q\,
	datad => \led_flash_cnt[1156][1]~q\,
	combout => \WideAnd1156~0_combout\);

-- Location: LCCOMB_X52_Y53_N10
WideAnd1156 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1156~combout\ = (\led_flash_cnt[1156][0]~q\ & (\led_flash_cnt[1156][7]~q\ & (\WideAnd1156~1_combout\ & \WideAnd1156~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1156][0]~q\,
	datab => \led_flash_cnt[1156][7]~q\,
	datac => \WideAnd1156~1_combout\,
	datad => \WideAnd1156~0_combout\,
	combout => \WideAnd1156~combout\);

-- Location: FF_X52_Y53_N11
\led_flash_cnt_ands[1156]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1156~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1156));

-- Location: LCCOMB_X52_Y53_N30
\WideAnd3984~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3984~1_combout\ = (led_flash_cnt_ands(1157) & led_flash_cnt_ands(1156))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1157),
	datad => led_flash_cnt_ands(1156),
	combout => \WideAnd3984~1_combout\);

-- Location: LCCOMB_X56_Y52_N12
\led_flash_cnt[1158][0]~81798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1158][0]~81798_combout\ = !\led_flash_cnt[1158][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1158][0]~q\,
	combout => \led_flash_cnt[1158][0]~81798_combout\);

-- Location: FF_X56_Y52_N13
\led_flash_cnt[1158][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1158][0]~81798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1158][0]~q\);

-- Location: LCCOMB_X56_Y52_N16
\led_flash_cnt[1158][1]~43092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1158][1]~43092_combout\ = (\led_flash_cnt[1158][0]~q\ & (\led_flash_cnt[1158][1]~q\ $ (VCC))) # (!\led_flash_cnt[1158][0]~q\ & (\led_flash_cnt[1158][1]~q\ & VCC))
-- \led_flash_cnt[1158][1]~43093\ = CARRY((\led_flash_cnt[1158][0]~q\ & \led_flash_cnt[1158][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1158][0]~q\,
	datab => \led_flash_cnt[1158][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1158][1]~43092_combout\,
	cout => \led_flash_cnt[1158][1]~43093\);

-- Location: FF_X56_Y52_N17
\led_flash_cnt[1158][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1158][1]~43092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1158][1]~q\);

-- Location: LCCOMB_X56_Y52_N18
\led_flash_cnt[1158][2]~43094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1158][2]~43094_combout\ = (\led_flash_cnt[1158][2]~q\ & (!\led_flash_cnt[1158][1]~43093\)) # (!\led_flash_cnt[1158][2]~q\ & ((\led_flash_cnt[1158][1]~43093\) # (GND)))
-- \led_flash_cnt[1158][2]~43095\ = CARRY((!\led_flash_cnt[1158][1]~43093\) # (!\led_flash_cnt[1158][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1158][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1158][1]~43093\,
	combout => \led_flash_cnt[1158][2]~43094_combout\,
	cout => \led_flash_cnt[1158][2]~43095\);

-- Location: FF_X56_Y52_N19
\led_flash_cnt[1158][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1158][2]~43094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1158][2]~q\);

-- Location: LCCOMB_X56_Y52_N20
\led_flash_cnt[1158][3]~43096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1158][3]~43096_combout\ = (\led_flash_cnt[1158][3]~q\ & (\led_flash_cnt[1158][2]~43095\ $ (GND))) # (!\led_flash_cnt[1158][3]~q\ & (!\led_flash_cnt[1158][2]~43095\ & VCC))
-- \led_flash_cnt[1158][3]~43097\ = CARRY((\led_flash_cnt[1158][3]~q\ & !\led_flash_cnt[1158][2]~43095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1158][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1158][2]~43095\,
	combout => \led_flash_cnt[1158][3]~43096_combout\,
	cout => \led_flash_cnt[1158][3]~43097\);

-- Location: FF_X56_Y52_N21
\led_flash_cnt[1158][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1158][3]~43096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1158][3]~q\);

-- Location: LCCOMB_X56_Y52_N22
\led_flash_cnt[1158][4]~43098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1158][4]~43098_combout\ = (\led_flash_cnt[1158][4]~q\ & (!\led_flash_cnt[1158][3]~43097\)) # (!\led_flash_cnt[1158][4]~q\ & ((\led_flash_cnt[1158][3]~43097\) # (GND)))
-- \led_flash_cnt[1158][4]~43099\ = CARRY((!\led_flash_cnt[1158][3]~43097\) # (!\led_flash_cnt[1158][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1158][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1158][3]~43097\,
	combout => \led_flash_cnt[1158][4]~43098_combout\,
	cout => \led_flash_cnt[1158][4]~43099\);

-- Location: FF_X56_Y52_N23
\led_flash_cnt[1158][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1158][4]~43098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1158][4]~q\);

-- Location: LCCOMB_X56_Y52_N24
\led_flash_cnt[1158][5]~43100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1158][5]~43100_combout\ = (\led_flash_cnt[1158][5]~q\ & (\led_flash_cnt[1158][4]~43099\ $ (GND))) # (!\led_flash_cnt[1158][5]~q\ & (!\led_flash_cnt[1158][4]~43099\ & VCC))
-- \led_flash_cnt[1158][5]~43101\ = CARRY((\led_flash_cnt[1158][5]~q\ & !\led_flash_cnt[1158][4]~43099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1158][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1158][4]~43099\,
	combout => \led_flash_cnt[1158][5]~43100_combout\,
	cout => \led_flash_cnt[1158][5]~43101\);

-- Location: FF_X56_Y52_N25
\led_flash_cnt[1158][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1158][5]~43100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1158][5]~q\);

-- Location: LCCOMB_X56_Y52_N26
\led_flash_cnt[1158][6]~43102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1158][6]~43102_combout\ = (\led_flash_cnt[1158][6]~q\ & (!\led_flash_cnt[1158][5]~43101\)) # (!\led_flash_cnt[1158][6]~q\ & ((\led_flash_cnt[1158][5]~43101\) # (GND)))
-- \led_flash_cnt[1158][6]~43103\ = CARRY((!\led_flash_cnt[1158][5]~43101\) # (!\led_flash_cnt[1158][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1158][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1158][5]~43101\,
	combout => \led_flash_cnt[1158][6]~43102_combout\,
	cout => \led_flash_cnt[1158][6]~43103\);

-- Location: FF_X56_Y52_N27
\led_flash_cnt[1158][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1158][6]~43102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1158][6]~q\);

-- Location: LCCOMB_X56_Y52_N28
\led_flash_cnt[1158][7]~43104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1158][7]~43104_combout\ = \led_flash_cnt[1158][6]~43103\ $ (!\led_flash_cnt[1158][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1158][7]~q\,
	cin => \led_flash_cnt[1158][6]~43103\,
	combout => \led_flash_cnt[1158][7]~43104_combout\);

-- Location: FF_X56_Y52_N29
\led_flash_cnt[1158][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1158][7]~43104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1158][7]~q\);

-- Location: LCCOMB_X56_Y52_N30
\WideAnd1158~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1158~0_combout\ = (\led_flash_cnt[1158][3]~q\ & (\led_flash_cnt[1158][2]~q\ & (\led_flash_cnt[1158][4]~q\ & \led_flash_cnt[1158][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1158][3]~q\,
	datab => \led_flash_cnt[1158][2]~q\,
	datac => \led_flash_cnt[1158][4]~q\,
	datad => \led_flash_cnt[1158][1]~q\,
	combout => \WideAnd1158~0_combout\);

-- Location: LCCOMB_X56_Y52_N0
\WideAnd1158~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1158~1_combout\ = (\led_flash_cnt[1158][6]~q\ & \led_flash_cnt[1158][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1158][6]~q\,
	datad => \led_flash_cnt[1158][5]~q\,
	combout => \WideAnd1158~1_combout\);

-- Location: LCCOMB_X56_Y52_N6
WideAnd1158 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1158~combout\ = (\led_flash_cnt[1158][0]~q\ & (\led_flash_cnt[1158][7]~q\ & (\WideAnd1158~0_combout\ & \WideAnd1158~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1158][0]~q\,
	datab => \led_flash_cnt[1158][7]~q\,
	datac => \WideAnd1158~0_combout\,
	datad => \WideAnd1158~1_combout\,
	combout => \WideAnd1158~combout\);

-- Location: FF_X56_Y52_N7
\led_flash_cnt_ands[1158]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1158~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1158));

-- Location: LCCOMB_X56_Y52_N8
WideAnd3984 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3984~combout\ = (led_flash_cnt_ands(1159) & (\WideAnd3984~0_combout\ & (\WideAnd3984~1_combout\ & led_flash_cnt_ands(1158))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1159),
	datab => \WideAnd3984~0_combout\,
	datac => \WideAnd3984~1_combout\,
	datad => led_flash_cnt_ands(1158),
	combout => \WideAnd3984~combout\);

-- Location: FF_X56_Y52_N9
\led_flash_cnt_ands_1[144]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3984~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(144));

-- Location: LCCOMB_X56_Y22_N14
\WideAnd4338~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4338~0_combout\ = (led_flash_cnt_ands_1(145) & (led_flash_cnt_ands_1(147) & (led_flash_cnt_ands_1(146) & led_flash_cnt_ands_1(144))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(145),
	datab => led_flash_cnt_ands_1(147),
	datac => led_flash_cnt_ands_1(146),
	datad => led_flash_cnt_ands_1(144),
	combout => \WideAnd4338~0_combout\);

-- Location: LCCOMB_X51_Y44_N30
\led_flash_cnt[1190][0]~81830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1190][0]~81830_combout\ = !\led_flash_cnt[1190][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1190][0]~q\,
	combout => \led_flash_cnt[1190][0]~81830_combout\);

-- Location: FF_X51_Y44_N31
\led_flash_cnt[1190][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1190][0]~81830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1190][0]~q\);

-- Location: LCCOMB_X50_Y44_N0
\led_flash_cnt[1190][1]~43540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1190][1]~43540_combout\ = (\led_flash_cnt[1190][0]~q\ & (\led_flash_cnt[1190][1]~q\ $ (VCC))) # (!\led_flash_cnt[1190][0]~q\ & (\led_flash_cnt[1190][1]~q\ & VCC))
-- \led_flash_cnt[1190][1]~43541\ = CARRY((\led_flash_cnt[1190][0]~q\ & \led_flash_cnt[1190][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1190][0]~q\,
	datab => \led_flash_cnt[1190][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1190][1]~43540_combout\,
	cout => \led_flash_cnt[1190][1]~43541\);

-- Location: FF_X50_Y44_N1
\led_flash_cnt[1190][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1190][1]~43540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1190][1]~q\);

-- Location: LCCOMB_X50_Y44_N2
\led_flash_cnt[1190][2]~43542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1190][2]~43542_combout\ = (\led_flash_cnt[1190][2]~q\ & (!\led_flash_cnt[1190][1]~43541\)) # (!\led_flash_cnt[1190][2]~q\ & ((\led_flash_cnt[1190][1]~43541\) # (GND)))
-- \led_flash_cnt[1190][2]~43543\ = CARRY((!\led_flash_cnt[1190][1]~43541\) # (!\led_flash_cnt[1190][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1190][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1190][1]~43541\,
	combout => \led_flash_cnt[1190][2]~43542_combout\,
	cout => \led_flash_cnt[1190][2]~43543\);

-- Location: FF_X50_Y44_N3
\led_flash_cnt[1190][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1190][2]~43542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1190][2]~q\);

-- Location: LCCOMB_X50_Y44_N4
\led_flash_cnt[1190][3]~43544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1190][3]~43544_combout\ = (\led_flash_cnt[1190][3]~q\ & (\led_flash_cnt[1190][2]~43543\ $ (GND))) # (!\led_flash_cnt[1190][3]~q\ & (!\led_flash_cnt[1190][2]~43543\ & VCC))
-- \led_flash_cnt[1190][3]~43545\ = CARRY((\led_flash_cnt[1190][3]~q\ & !\led_flash_cnt[1190][2]~43543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1190][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1190][2]~43543\,
	combout => \led_flash_cnt[1190][3]~43544_combout\,
	cout => \led_flash_cnt[1190][3]~43545\);

-- Location: FF_X50_Y44_N5
\led_flash_cnt[1190][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1190][3]~43544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1190][3]~q\);

-- Location: LCCOMB_X50_Y44_N6
\led_flash_cnt[1190][4]~43546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1190][4]~43546_combout\ = (\led_flash_cnt[1190][4]~q\ & (!\led_flash_cnt[1190][3]~43545\)) # (!\led_flash_cnt[1190][4]~q\ & ((\led_flash_cnt[1190][3]~43545\) # (GND)))
-- \led_flash_cnt[1190][4]~43547\ = CARRY((!\led_flash_cnt[1190][3]~43545\) # (!\led_flash_cnt[1190][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1190][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1190][3]~43545\,
	combout => \led_flash_cnt[1190][4]~43546_combout\,
	cout => \led_flash_cnt[1190][4]~43547\);

-- Location: FF_X50_Y44_N7
\led_flash_cnt[1190][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1190][4]~43546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1190][4]~q\);

-- Location: LCCOMB_X50_Y44_N8
\led_flash_cnt[1190][5]~43548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1190][5]~43548_combout\ = (\led_flash_cnt[1190][5]~q\ & (\led_flash_cnt[1190][4]~43547\ $ (GND))) # (!\led_flash_cnt[1190][5]~q\ & (!\led_flash_cnt[1190][4]~43547\ & VCC))
-- \led_flash_cnt[1190][5]~43549\ = CARRY((\led_flash_cnt[1190][5]~q\ & !\led_flash_cnt[1190][4]~43547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1190][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1190][4]~43547\,
	combout => \led_flash_cnt[1190][5]~43548_combout\,
	cout => \led_flash_cnt[1190][5]~43549\);

-- Location: FF_X50_Y44_N9
\led_flash_cnt[1190][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1190][5]~43548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1190][5]~q\);

-- Location: LCCOMB_X50_Y44_N10
\led_flash_cnt[1190][6]~43550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1190][6]~43550_combout\ = (\led_flash_cnt[1190][6]~q\ & (!\led_flash_cnt[1190][5]~43549\)) # (!\led_flash_cnt[1190][6]~q\ & ((\led_flash_cnt[1190][5]~43549\) # (GND)))
-- \led_flash_cnt[1190][6]~43551\ = CARRY((!\led_flash_cnt[1190][5]~43549\) # (!\led_flash_cnt[1190][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1190][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1190][5]~43549\,
	combout => \led_flash_cnt[1190][6]~43550_combout\,
	cout => \led_flash_cnt[1190][6]~43551\);

-- Location: FF_X50_Y44_N11
\led_flash_cnt[1190][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1190][6]~43550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1190][6]~q\);

-- Location: LCCOMB_X50_Y44_N12
\led_flash_cnt[1190][7]~43552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1190][7]~43552_combout\ = \led_flash_cnt[1190][6]~43551\ $ (!\led_flash_cnt[1190][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1190][7]~q\,
	cin => \led_flash_cnt[1190][6]~43551\,
	combout => \led_flash_cnt[1190][7]~43552_combout\);

-- Location: FF_X50_Y44_N13
\led_flash_cnt[1190][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1190][7]~43552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1190][7]~q\);

-- Location: LCCOMB_X51_Y44_N8
\WideAnd1190~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1190~1_combout\ = (\led_flash_cnt[1190][6]~q\ & \led_flash_cnt[1190][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1190][6]~q\,
	datad => \led_flash_cnt[1190][5]~q\,
	combout => \WideAnd1190~1_combout\);

-- Location: LCCOMB_X50_Y44_N14
\WideAnd1190~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1190~0_combout\ = (\led_flash_cnt[1190][4]~q\ & (\led_flash_cnt[1190][1]~q\ & (\led_flash_cnt[1190][3]~q\ & \led_flash_cnt[1190][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1190][4]~q\,
	datab => \led_flash_cnt[1190][1]~q\,
	datac => \led_flash_cnt[1190][3]~q\,
	datad => \led_flash_cnt[1190][2]~q\,
	combout => \WideAnd1190~0_combout\);

-- Location: LCCOMB_X51_Y44_N14
WideAnd1190 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1190~combout\ = (\led_flash_cnt[1190][7]~q\ & (\led_flash_cnt[1190][0]~q\ & (\WideAnd1190~1_combout\ & \WideAnd1190~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1190][7]~q\,
	datab => \led_flash_cnt[1190][0]~q\,
	datac => \WideAnd1190~1_combout\,
	datad => \WideAnd1190~0_combout\,
	combout => \WideAnd1190~combout\);

-- Location: FF_X51_Y44_N15
\led_flash_cnt_ands[1190]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1190~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1190));

-- Location: LCCOMB_X51_Y44_N10
\led_flash_cnt[1191][0]~81831\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1191][0]~81831_combout\ = !\led_flash_cnt[1191][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1191][0]~q\,
	combout => \led_flash_cnt[1191][0]~81831_combout\);

-- Location: FF_X51_Y44_N11
\led_flash_cnt[1191][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1191][0]~81831_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1191][0]~q\);

-- Location: LCCOMB_X51_Y44_N16
\led_flash_cnt[1191][1]~43554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1191][1]~43554_combout\ = (\led_flash_cnt[1191][0]~q\ & (\led_flash_cnt[1191][1]~q\ $ (VCC))) # (!\led_flash_cnt[1191][0]~q\ & (\led_flash_cnt[1191][1]~q\ & VCC))
-- \led_flash_cnt[1191][1]~43555\ = CARRY((\led_flash_cnt[1191][0]~q\ & \led_flash_cnt[1191][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1191][0]~q\,
	datab => \led_flash_cnt[1191][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1191][1]~43554_combout\,
	cout => \led_flash_cnt[1191][1]~43555\);

-- Location: FF_X51_Y44_N17
\led_flash_cnt[1191][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1191][1]~43554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1191][1]~q\);

-- Location: LCCOMB_X51_Y44_N18
\led_flash_cnt[1191][2]~43556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1191][2]~43556_combout\ = (\led_flash_cnt[1191][2]~q\ & (!\led_flash_cnt[1191][1]~43555\)) # (!\led_flash_cnt[1191][2]~q\ & ((\led_flash_cnt[1191][1]~43555\) # (GND)))
-- \led_flash_cnt[1191][2]~43557\ = CARRY((!\led_flash_cnt[1191][1]~43555\) # (!\led_flash_cnt[1191][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1191][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1191][1]~43555\,
	combout => \led_flash_cnt[1191][2]~43556_combout\,
	cout => \led_flash_cnt[1191][2]~43557\);

-- Location: FF_X51_Y44_N19
\led_flash_cnt[1191][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1191][2]~43556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1191][2]~q\);

-- Location: LCCOMB_X51_Y44_N20
\led_flash_cnt[1191][3]~43558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1191][3]~43558_combout\ = (\led_flash_cnt[1191][3]~q\ & (\led_flash_cnt[1191][2]~43557\ $ (GND))) # (!\led_flash_cnt[1191][3]~q\ & (!\led_flash_cnt[1191][2]~43557\ & VCC))
-- \led_flash_cnt[1191][3]~43559\ = CARRY((\led_flash_cnt[1191][3]~q\ & !\led_flash_cnt[1191][2]~43557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1191][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1191][2]~43557\,
	combout => \led_flash_cnt[1191][3]~43558_combout\,
	cout => \led_flash_cnt[1191][3]~43559\);

-- Location: FF_X51_Y44_N21
\led_flash_cnt[1191][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1191][3]~43558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1191][3]~q\);

-- Location: LCCOMB_X51_Y44_N22
\led_flash_cnt[1191][4]~43560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1191][4]~43560_combout\ = (\led_flash_cnt[1191][4]~q\ & (!\led_flash_cnt[1191][3]~43559\)) # (!\led_flash_cnt[1191][4]~q\ & ((\led_flash_cnt[1191][3]~43559\) # (GND)))
-- \led_flash_cnt[1191][4]~43561\ = CARRY((!\led_flash_cnt[1191][3]~43559\) # (!\led_flash_cnt[1191][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1191][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1191][3]~43559\,
	combout => \led_flash_cnt[1191][4]~43560_combout\,
	cout => \led_flash_cnt[1191][4]~43561\);

-- Location: FF_X51_Y44_N23
\led_flash_cnt[1191][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1191][4]~43560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1191][4]~q\);

-- Location: LCCOMB_X51_Y44_N24
\led_flash_cnt[1191][5]~43562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1191][5]~43562_combout\ = (\led_flash_cnt[1191][5]~q\ & (\led_flash_cnt[1191][4]~43561\ $ (GND))) # (!\led_flash_cnt[1191][5]~q\ & (!\led_flash_cnt[1191][4]~43561\ & VCC))
-- \led_flash_cnt[1191][5]~43563\ = CARRY((\led_flash_cnt[1191][5]~q\ & !\led_flash_cnt[1191][4]~43561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1191][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1191][4]~43561\,
	combout => \led_flash_cnt[1191][5]~43562_combout\,
	cout => \led_flash_cnt[1191][5]~43563\);

-- Location: FF_X51_Y44_N25
\led_flash_cnt[1191][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1191][5]~43562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1191][5]~q\);

-- Location: LCCOMB_X51_Y44_N26
\led_flash_cnt[1191][6]~43564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1191][6]~43564_combout\ = (\led_flash_cnt[1191][6]~q\ & (!\led_flash_cnt[1191][5]~43563\)) # (!\led_flash_cnt[1191][6]~q\ & ((\led_flash_cnt[1191][5]~43563\) # (GND)))
-- \led_flash_cnt[1191][6]~43565\ = CARRY((!\led_flash_cnt[1191][5]~43563\) # (!\led_flash_cnt[1191][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1191][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1191][5]~43563\,
	combout => \led_flash_cnt[1191][6]~43564_combout\,
	cout => \led_flash_cnt[1191][6]~43565\);

-- Location: FF_X51_Y44_N27
\led_flash_cnt[1191][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1191][6]~43564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1191][6]~q\);

-- Location: LCCOMB_X51_Y44_N28
\led_flash_cnt[1191][7]~43566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1191][7]~43566_combout\ = \led_flash_cnt[1191][6]~43565\ $ (!\led_flash_cnt[1191][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1191][7]~q\,
	cin => \led_flash_cnt[1191][6]~43565\,
	combout => \led_flash_cnt[1191][7]~43566_combout\);

-- Location: FF_X51_Y44_N29
\led_flash_cnt[1191][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1191][7]~43566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1191][7]~q\);

-- Location: LCCOMB_X51_Y44_N4
\WideAnd1191~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1191~1_combout\ = (\led_flash_cnt[1191][6]~q\ & \led_flash_cnt[1191][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1191][6]~q\,
	datad => \led_flash_cnt[1191][5]~q\,
	combout => \WideAnd1191~1_combout\);

-- Location: LCCOMB_X51_Y44_N12
\WideAnd1191~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1191~0_combout\ = (\led_flash_cnt[1191][3]~q\ & (\led_flash_cnt[1191][2]~q\ & (\led_flash_cnt[1191][4]~q\ & \led_flash_cnt[1191][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1191][3]~q\,
	datab => \led_flash_cnt[1191][2]~q\,
	datac => \led_flash_cnt[1191][4]~q\,
	datad => \led_flash_cnt[1191][1]~q\,
	combout => \WideAnd1191~0_combout\);

-- Location: LCCOMB_X51_Y44_N2
WideAnd1191 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1191~combout\ = (\led_flash_cnt[1191][0]~q\ & (\led_flash_cnt[1191][7]~q\ & (\WideAnd1191~1_combout\ & \WideAnd1191~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1191][0]~q\,
	datab => \led_flash_cnt[1191][7]~q\,
	datac => \WideAnd1191~1_combout\,
	datad => \WideAnd1191~0_combout\,
	combout => \WideAnd1191~combout\);

-- Location: FF_X51_Y44_N3
\led_flash_cnt_ands[1191]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1191~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1191));

-- Location: LCCOMB_X14_Y38_N22
\led_flash_cnt[1188][0]~81828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1188][0]~81828_combout\ = !\led_flash_cnt[1188][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1188][0]~q\,
	combout => \led_flash_cnt[1188][0]~81828_combout\);

-- Location: FF_X14_Y38_N23
\led_flash_cnt[1188][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1188][0]~81828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1188][0]~q\);

-- Location: LCCOMB_X14_Y38_N4
\led_flash_cnt[1188][1]~43512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1188][1]~43512_combout\ = (\led_flash_cnt[1188][0]~q\ & (\led_flash_cnt[1188][1]~q\ $ (VCC))) # (!\led_flash_cnt[1188][0]~q\ & (\led_flash_cnt[1188][1]~q\ & VCC))
-- \led_flash_cnt[1188][1]~43513\ = CARRY((\led_flash_cnt[1188][0]~q\ & \led_flash_cnt[1188][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1188][0]~q\,
	datab => \led_flash_cnt[1188][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1188][1]~43512_combout\,
	cout => \led_flash_cnt[1188][1]~43513\);

-- Location: FF_X14_Y38_N5
\led_flash_cnt[1188][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1188][1]~43512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1188][1]~q\);

-- Location: LCCOMB_X14_Y38_N6
\led_flash_cnt[1188][2]~43514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1188][2]~43514_combout\ = (\led_flash_cnt[1188][2]~q\ & (!\led_flash_cnt[1188][1]~43513\)) # (!\led_flash_cnt[1188][2]~q\ & ((\led_flash_cnt[1188][1]~43513\) # (GND)))
-- \led_flash_cnt[1188][2]~43515\ = CARRY((!\led_flash_cnt[1188][1]~43513\) # (!\led_flash_cnt[1188][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1188][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1188][1]~43513\,
	combout => \led_flash_cnt[1188][2]~43514_combout\,
	cout => \led_flash_cnt[1188][2]~43515\);

-- Location: FF_X14_Y38_N7
\led_flash_cnt[1188][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1188][2]~43514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1188][2]~q\);

-- Location: LCCOMB_X14_Y38_N8
\led_flash_cnt[1188][3]~43516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1188][3]~43516_combout\ = (\led_flash_cnt[1188][3]~q\ & (\led_flash_cnt[1188][2]~43515\ $ (GND))) # (!\led_flash_cnt[1188][3]~q\ & (!\led_flash_cnt[1188][2]~43515\ & VCC))
-- \led_flash_cnt[1188][3]~43517\ = CARRY((\led_flash_cnt[1188][3]~q\ & !\led_flash_cnt[1188][2]~43515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1188][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1188][2]~43515\,
	combout => \led_flash_cnt[1188][3]~43516_combout\,
	cout => \led_flash_cnt[1188][3]~43517\);

-- Location: FF_X14_Y38_N9
\led_flash_cnt[1188][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1188][3]~43516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1188][3]~q\);

-- Location: LCCOMB_X14_Y38_N10
\led_flash_cnt[1188][4]~43518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1188][4]~43518_combout\ = (\led_flash_cnt[1188][4]~q\ & (!\led_flash_cnt[1188][3]~43517\)) # (!\led_flash_cnt[1188][4]~q\ & ((\led_flash_cnt[1188][3]~43517\) # (GND)))
-- \led_flash_cnt[1188][4]~43519\ = CARRY((!\led_flash_cnt[1188][3]~43517\) # (!\led_flash_cnt[1188][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1188][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1188][3]~43517\,
	combout => \led_flash_cnt[1188][4]~43518_combout\,
	cout => \led_flash_cnt[1188][4]~43519\);

-- Location: FF_X14_Y38_N11
\led_flash_cnt[1188][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1188][4]~43518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1188][4]~q\);

-- Location: LCCOMB_X14_Y38_N12
\led_flash_cnt[1188][5]~43520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1188][5]~43520_combout\ = (\led_flash_cnt[1188][5]~q\ & (\led_flash_cnt[1188][4]~43519\ $ (GND))) # (!\led_flash_cnt[1188][5]~q\ & (!\led_flash_cnt[1188][4]~43519\ & VCC))
-- \led_flash_cnt[1188][5]~43521\ = CARRY((\led_flash_cnt[1188][5]~q\ & !\led_flash_cnt[1188][4]~43519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1188][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1188][4]~43519\,
	combout => \led_flash_cnt[1188][5]~43520_combout\,
	cout => \led_flash_cnt[1188][5]~43521\);

-- Location: FF_X14_Y38_N13
\led_flash_cnt[1188][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1188][5]~43520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1188][5]~q\);

-- Location: LCCOMB_X14_Y38_N14
\led_flash_cnt[1188][6]~43522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1188][6]~43522_combout\ = (\led_flash_cnt[1188][6]~q\ & (!\led_flash_cnt[1188][5]~43521\)) # (!\led_flash_cnt[1188][6]~q\ & ((\led_flash_cnt[1188][5]~43521\) # (GND)))
-- \led_flash_cnt[1188][6]~43523\ = CARRY((!\led_flash_cnt[1188][5]~43521\) # (!\led_flash_cnt[1188][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1188][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1188][5]~43521\,
	combout => \led_flash_cnt[1188][6]~43522_combout\,
	cout => \led_flash_cnt[1188][6]~43523\);

-- Location: FF_X14_Y38_N15
\led_flash_cnt[1188][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1188][6]~43522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1188][6]~q\);

-- Location: LCCOMB_X14_Y38_N16
\led_flash_cnt[1188][7]~43524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1188][7]~43524_combout\ = \led_flash_cnt[1188][6]~43523\ $ (!\led_flash_cnt[1188][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1188][7]~q\,
	cin => \led_flash_cnt[1188][6]~43523\,
	combout => \led_flash_cnt[1188][7]~43524_combout\);

-- Location: FF_X14_Y38_N17
\led_flash_cnt[1188][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1188][7]~43524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1188][7]~q\);

-- Location: LCCOMB_X14_Y38_N26
\WideAnd1188~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1188~0_combout\ = (\led_flash_cnt[1188][2]~q\ & (\led_flash_cnt[1188][1]~q\ & (\led_flash_cnt[1188][3]~q\ & \led_flash_cnt[1188][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1188][2]~q\,
	datab => \led_flash_cnt[1188][1]~q\,
	datac => \led_flash_cnt[1188][3]~q\,
	datad => \led_flash_cnt[1188][4]~q\,
	combout => \WideAnd1188~0_combout\);

-- Location: LCCOMB_X14_Y38_N28
\WideAnd1188~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1188~1_combout\ = (\led_flash_cnt[1188][6]~q\ & \led_flash_cnt[1188][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1188][6]~q\,
	datad => \led_flash_cnt[1188][5]~q\,
	combout => \WideAnd1188~1_combout\);

-- Location: LCCOMB_X14_Y38_N30
WideAnd1188 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1188~combout\ = (\led_flash_cnt[1188][0]~q\ & (\led_flash_cnt[1188][7]~q\ & (\WideAnd1188~0_combout\ & \WideAnd1188~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1188][0]~q\,
	datab => \led_flash_cnt[1188][7]~q\,
	datac => \WideAnd1188~0_combout\,
	datad => \WideAnd1188~1_combout\,
	combout => \WideAnd1188~combout\);

-- Location: FF_X14_Y38_N31
\led_flash_cnt_ands[1188]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1188~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1188));

-- Location: LCCOMB_X17_Y38_N24
\led_flash_cnt[1189][0]~81829\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1189][0]~81829_combout\ = !\led_flash_cnt[1189][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1189][0]~q\,
	combout => \led_flash_cnt[1189][0]~81829_combout\);

-- Location: FF_X17_Y38_N25
\led_flash_cnt[1189][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1189][0]~81829_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1189][0]~q\);

-- Location: LCCOMB_X13_Y38_N16
\led_flash_cnt[1189][1]~43526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1189][1]~43526_combout\ = (\led_flash_cnt[1189][0]~q\ & (\led_flash_cnt[1189][1]~q\ $ (VCC))) # (!\led_flash_cnt[1189][0]~q\ & (\led_flash_cnt[1189][1]~q\ & VCC))
-- \led_flash_cnt[1189][1]~43527\ = CARRY((\led_flash_cnt[1189][0]~q\ & \led_flash_cnt[1189][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1189][0]~q\,
	datab => \led_flash_cnt[1189][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1189][1]~43526_combout\,
	cout => \led_flash_cnt[1189][1]~43527\);

-- Location: FF_X13_Y38_N17
\led_flash_cnt[1189][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1189][1]~43526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1189][1]~q\);

-- Location: LCCOMB_X13_Y38_N18
\led_flash_cnt[1189][2]~43528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1189][2]~43528_combout\ = (\led_flash_cnt[1189][2]~q\ & (!\led_flash_cnt[1189][1]~43527\)) # (!\led_flash_cnt[1189][2]~q\ & ((\led_flash_cnt[1189][1]~43527\) # (GND)))
-- \led_flash_cnt[1189][2]~43529\ = CARRY((!\led_flash_cnt[1189][1]~43527\) # (!\led_flash_cnt[1189][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1189][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1189][1]~43527\,
	combout => \led_flash_cnt[1189][2]~43528_combout\,
	cout => \led_flash_cnt[1189][2]~43529\);

-- Location: FF_X13_Y38_N19
\led_flash_cnt[1189][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1189][2]~43528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1189][2]~q\);

-- Location: LCCOMB_X13_Y38_N20
\led_flash_cnt[1189][3]~43530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1189][3]~43530_combout\ = (\led_flash_cnt[1189][3]~q\ & (\led_flash_cnt[1189][2]~43529\ $ (GND))) # (!\led_flash_cnt[1189][3]~q\ & (!\led_flash_cnt[1189][2]~43529\ & VCC))
-- \led_flash_cnt[1189][3]~43531\ = CARRY((\led_flash_cnt[1189][3]~q\ & !\led_flash_cnt[1189][2]~43529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1189][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1189][2]~43529\,
	combout => \led_flash_cnt[1189][3]~43530_combout\,
	cout => \led_flash_cnt[1189][3]~43531\);

-- Location: FF_X13_Y38_N21
\led_flash_cnt[1189][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1189][3]~43530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1189][3]~q\);

-- Location: LCCOMB_X13_Y38_N22
\led_flash_cnt[1189][4]~43532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1189][4]~43532_combout\ = (\led_flash_cnt[1189][4]~q\ & (!\led_flash_cnt[1189][3]~43531\)) # (!\led_flash_cnt[1189][4]~q\ & ((\led_flash_cnt[1189][3]~43531\) # (GND)))
-- \led_flash_cnt[1189][4]~43533\ = CARRY((!\led_flash_cnt[1189][3]~43531\) # (!\led_flash_cnt[1189][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1189][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1189][3]~43531\,
	combout => \led_flash_cnt[1189][4]~43532_combout\,
	cout => \led_flash_cnt[1189][4]~43533\);

-- Location: FF_X13_Y38_N23
\led_flash_cnt[1189][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1189][4]~43532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1189][4]~q\);

-- Location: LCCOMB_X13_Y38_N0
\WideAnd1189~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1189~0_combout\ = (\led_flash_cnt[1189][2]~q\ & (\led_flash_cnt[1189][1]~q\ & (\led_flash_cnt[1189][4]~q\ & \led_flash_cnt[1189][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1189][2]~q\,
	datab => \led_flash_cnt[1189][1]~q\,
	datac => \led_flash_cnt[1189][4]~q\,
	datad => \led_flash_cnt[1189][3]~q\,
	combout => \WideAnd1189~0_combout\);

-- Location: LCCOMB_X13_Y38_N24
\led_flash_cnt[1189][5]~43534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1189][5]~43534_combout\ = (\led_flash_cnt[1189][5]~q\ & (\led_flash_cnt[1189][4]~43533\ $ (GND))) # (!\led_flash_cnt[1189][5]~q\ & (!\led_flash_cnt[1189][4]~43533\ & VCC))
-- \led_flash_cnt[1189][5]~43535\ = CARRY((\led_flash_cnt[1189][5]~q\ & !\led_flash_cnt[1189][4]~43533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1189][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1189][4]~43533\,
	combout => \led_flash_cnt[1189][5]~43534_combout\,
	cout => \led_flash_cnt[1189][5]~43535\);

-- Location: FF_X13_Y38_N25
\led_flash_cnt[1189][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1189][5]~43534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1189][5]~q\);

-- Location: LCCOMB_X13_Y38_N26
\led_flash_cnt[1189][6]~43536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1189][6]~43536_combout\ = (\led_flash_cnt[1189][6]~q\ & (!\led_flash_cnt[1189][5]~43535\)) # (!\led_flash_cnt[1189][6]~q\ & ((\led_flash_cnt[1189][5]~43535\) # (GND)))
-- \led_flash_cnt[1189][6]~43537\ = CARRY((!\led_flash_cnt[1189][5]~43535\) # (!\led_flash_cnt[1189][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1189][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1189][5]~43535\,
	combout => \led_flash_cnt[1189][6]~43536_combout\,
	cout => \led_flash_cnt[1189][6]~43537\);

-- Location: FF_X13_Y38_N27
\led_flash_cnt[1189][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1189][6]~43536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1189][6]~q\);

-- Location: LCCOMB_X13_Y38_N28
\led_flash_cnt[1189][7]~43538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1189][7]~43538_combout\ = \led_flash_cnt[1189][6]~43537\ $ (!\led_flash_cnt[1189][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1189][7]~q\,
	cin => \led_flash_cnt[1189][6]~43537\,
	combout => \led_flash_cnt[1189][7]~43538_combout\);

-- Location: FF_X13_Y38_N29
\led_flash_cnt[1189][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1189][7]~43538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1189][7]~q\);

-- Location: LCCOMB_X14_Y38_N18
\WideAnd1189~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1189~1_combout\ = (\led_flash_cnt[1189][6]~q\ & \led_flash_cnt[1189][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1189][6]~q\,
	datad => \led_flash_cnt[1189][5]~q\,
	combout => \WideAnd1189~1_combout\);

-- Location: LCCOMB_X14_Y38_N2
WideAnd1189 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1189~combout\ = (\WideAnd1189~0_combout\ & (\led_flash_cnt[1189][7]~q\ & (\led_flash_cnt[1189][0]~q\ & \WideAnd1189~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1189~0_combout\,
	datab => \led_flash_cnt[1189][7]~q\,
	datac => \led_flash_cnt[1189][0]~q\,
	datad => \WideAnd1189~1_combout\,
	combout => \WideAnd1189~combout\);

-- Location: FF_X14_Y38_N3
\led_flash_cnt_ands[1189]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1189~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1189));

-- Location: LCCOMB_X14_Y38_N0
\WideAnd3988~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3988~1_combout\ = (led_flash_cnt_ands(1188) & led_flash_cnt_ands(1189))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1188),
	datad => led_flash_cnt_ands(1189),
	combout => \WideAnd3988~1_combout\);

-- Location: LCCOMB_X76_Y37_N14
\led_flash_cnt[1185][0]~81825\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1185][0]~81825_combout\ = !\led_flash_cnt[1185][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1185][0]~q\,
	combout => \led_flash_cnt[1185][0]~81825_combout\);

-- Location: FF_X76_Y37_N15
\led_flash_cnt[1185][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1185][0]~81825_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1185][0]~q\);

-- Location: LCCOMB_X77_Y37_N2
\led_flash_cnt[1185][1]~43470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1185][1]~43470_combout\ = (\led_flash_cnt[1185][0]~q\ & (\led_flash_cnt[1185][1]~q\ $ (VCC))) # (!\led_flash_cnt[1185][0]~q\ & (\led_flash_cnt[1185][1]~q\ & VCC))
-- \led_flash_cnt[1185][1]~43471\ = CARRY((\led_flash_cnt[1185][0]~q\ & \led_flash_cnt[1185][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1185][0]~q\,
	datab => \led_flash_cnt[1185][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1185][1]~43470_combout\,
	cout => \led_flash_cnt[1185][1]~43471\);

-- Location: FF_X77_Y37_N3
\led_flash_cnt[1185][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1185][1]~43470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1185][1]~q\);

-- Location: LCCOMB_X77_Y37_N4
\led_flash_cnt[1185][2]~43472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1185][2]~43472_combout\ = (\led_flash_cnt[1185][2]~q\ & (!\led_flash_cnt[1185][1]~43471\)) # (!\led_flash_cnt[1185][2]~q\ & ((\led_flash_cnt[1185][1]~43471\) # (GND)))
-- \led_flash_cnt[1185][2]~43473\ = CARRY((!\led_flash_cnt[1185][1]~43471\) # (!\led_flash_cnt[1185][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1185][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1185][1]~43471\,
	combout => \led_flash_cnt[1185][2]~43472_combout\,
	cout => \led_flash_cnt[1185][2]~43473\);

-- Location: FF_X77_Y37_N5
\led_flash_cnt[1185][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1185][2]~43472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1185][2]~q\);

-- Location: LCCOMB_X77_Y37_N6
\led_flash_cnt[1185][3]~43474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1185][3]~43474_combout\ = (\led_flash_cnt[1185][3]~q\ & (\led_flash_cnt[1185][2]~43473\ $ (GND))) # (!\led_flash_cnt[1185][3]~q\ & (!\led_flash_cnt[1185][2]~43473\ & VCC))
-- \led_flash_cnt[1185][3]~43475\ = CARRY((\led_flash_cnt[1185][3]~q\ & !\led_flash_cnt[1185][2]~43473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1185][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1185][2]~43473\,
	combout => \led_flash_cnt[1185][3]~43474_combout\,
	cout => \led_flash_cnt[1185][3]~43475\);

-- Location: FF_X77_Y37_N7
\led_flash_cnt[1185][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1185][3]~43474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1185][3]~q\);

-- Location: LCCOMB_X77_Y37_N8
\led_flash_cnt[1185][4]~43476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1185][4]~43476_combout\ = (\led_flash_cnt[1185][4]~q\ & (!\led_flash_cnt[1185][3]~43475\)) # (!\led_flash_cnt[1185][4]~q\ & ((\led_flash_cnt[1185][3]~43475\) # (GND)))
-- \led_flash_cnt[1185][4]~43477\ = CARRY((!\led_flash_cnt[1185][3]~43475\) # (!\led_flash_cnt[1185][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1185][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1185][3]~43475\,
	combout => \led_flash_cnt[1185][4]~43476_combout\,
	cout => \led_flash_cnt[1185][4]~43477\);

-- Location: FF_X77_Y37_N9
\led_flash_cnt[1185][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1185][4]~43476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1185][4]~q\);

-- Location: LCCOMB_X77_Y37_N10
\led_flash_cnt[1185][5]~43478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1185][5]~43478_combout\ = (\led_flash_cnt[1185][5]~q\ & (\led_flash_cnt[1185][4]~43477\ $ (GND))) # (!\led_flash_cnt[1185][5]~q\ & (!\led_flash_cnt[1185][4]~43477\ & VCC))
-- \led_flash_cnt[1185][5]~43479\ = CARRY((\led_flash_cnt[1185][5]~q\ & !\led_flash_cnt[1185][4]~43477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1185][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1185][4]~43477\,
	combout => \led_flash_cnt[1185][5]~43478_combout\,
	cout => \led_flash_cnt[1185][5]~43479\);

-- Location: FF_X77_Y37_N11
\led_flash_cnt[1185][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1185][5]~43478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1185][5]~q\);

-- Location: LCCOMB_X77_Y37_N12
\led_flash_cnt[1185][6]~43480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1185][6]~43480_combout\ = (\led_flash_cnt[1185][6]~q\ & (!\led_flash_cnt[1185][5]~43479\)) # (!\led_flash_cnt[1185][6]~q\ & ((\led_flash_cnt[1185][5]~43479\) # (GND)))
-- \led_flash_cnt[1185][6]~43481\ = CARRY((!\led_flash_cnt[1185][5]~43479\) # (!\led_flash_cnt[1185][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1185][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1185][5]~43479\,
	combout => \led_flash_cnt[1185][6]~43480_combout\,
	cout => \led_flash_cnt[1185][6]~43481\);

-- Location: FF_X77_Y37_N13
\led_flash_cnt[1185][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1185][6]~43480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1185][6]~q\);

-- Location: LCCOMB_X76_Y37_N30
\WideAnd1185~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1185~1_combout\ = (\led_flash_cnt[1185][6]~q\ & \led_flash_cnt[1185][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1185][6]~q\,
	datac => \led_flash_cnt[1185][5]~q\,
	combout => \WideAnd1185~1_combout\);

-- Location: LCCOMB_X77_Y37_N0
\WideAnd1185~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1185~0_combout\ = (\led_flash_cnt[1185][3]~q\ & (\led_flash_cnt[1185][2]~q\ & (\led_flash_cnt[1185][4]~q\ & \led_flash_cnt[1185][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1185][3]~q\,
	datab => \led_flash_cnt[1185][2]~q\,
	datac => \led_flash_cnt[1185][4]~q\,
	datad => \led_flash_cnt[1185][1]~q\,
	combout => \WideAnd1185~0_combout\);

-- Location: LCCOMB_X77_Y37_N14
\led_flash_cnt[1185][7]~43482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1185][7]~43482_combout\ = \led_flash_cnt[1185][7]~q\ $ (!\led_flash_cnt[1185][6]~43481\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1185][7]~q\,
	cin => \led_flash_cnt[1185][6]~43481\,
	combout => \led_flash_cnt[1185][7]~43482_combout\);

-- Location: FF_X77_Y37_N15
\led_flash_cnt[1185][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1185][7]~43482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1185][7]~q\);

-- Location: LCCOMB_X76_Y37_N10
WideAnd1185 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1185~combout\ = (\WideAnd1185~1_combout\ & (\WideAnd1185~0_combout\ & (\led_flash_cnt[1185][7]~q\ & \led_flash_cnt[1185][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1185~1_combout\,
	datab => \WideAnd1185~0_combout\,
	datac => \led_flash_cnt[1185][7]~q\,
	datad => \led_flash_cnt[1185][0]~q\,
	combout => \WideAnd1185~combout\);

-- Location: FF_X76_Y37_N11
\led_flash_cnt_ands[1185]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1185~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1185));

-- Location: LCCOMB_X61_Y31_N6
\led_flash_cnt[1186][0]~81826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1186][0]~81826_combout\ = !\led_flash_cnt[1186][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1186][0]~q\,
	combout => \led_flash_cnt[1186][0]~81826_combout\);

-- Location: FF_X61_Y31_N7
\led_flash_cnt[1186][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1186][0]~81826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1186][0]~q\);

-- Location: LCCOMB_X60_Y31_N16
\led_flash_cnt[1186][1]~43484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1186][1]~43484_combout\ = (\led_flash_cnt[1186][0]~q\ & (\led_flash_cnt[1186][1]~q\ $ (VCC))) # (!\led_flash_cnt[1186][0]~q\ & (\led_flash_cnt[1186][1]~q\ & VCC))
-- \led_flash_cnt[1186][1]~43485\ = CARRY((\led_flash_cnt[1186][0]~q\ & \led_flash_cnt[1186][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1186][0]~q\,
	datab => \led_flash_cnt[1186][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1186][1]~43484_combout\,
	cout => \led_flash_cnt[1186][1]~43485\);

-- Location: FF_X60_Y31_N17
\led_flash_cnt[1186][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1186][1]~43484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1186][1]~q\);

-- Location: LCCOMB_X60_Y31_N18
\led_flash_cnt[1186][2]~43486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1186][2]~43486_combout\ = (\led_flash_cnt[1186][2]~q\ & (!\led_flash_cnt[1186][1]~43485\)) # (!\led_flash_cnt[1186][2]~q\ & ((\led_flash_cnt[1186][1]~43485\) # (GND)))
-- \led_flash_cnt[1186][2]~43487\ = CARRY((!\led_flash_cnt[1186][1]~43485\) # (!\led_flash_cnt[1186][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1186][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1186][1]~43485\,
	combout => \led_flash_cnt[1186][2]~43486_combout\,
	cout => \led_flash_cnt[1186][2]~43487\);

-- Location: FF_X60_Y31_N19
\led_flash_cnt[1186][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1186][2]~43486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1186][2]~q\);

-- Location: LCCOMB_X60_Y31_N20
\led_flash_cnt[1186][3]~43488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1186][3]~43488_combout\ = (\led_flash_cnt[1186][3]~q\ & (\led_flash_cnt[1186][2]~43487\ $ (GND))) # (!\led_flash_cnt[1186][3]~q\ & (!\led_flash_cnt[1186][2]~43487\ & VCC))
-- \led_flash_cnt[1186][3]~43489\ = CARRY((\led_flash_cnt[1186][3]~q\ & !\led_flash_cnt[1186][2]~43487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1186][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1186][2]~43487\,
	combout => \led_flash_cnt[1186][3]~43488_combout\,
	cout => \led_flash_cnt[1186][3]~43489\);

-- Location: FF_X60_Y31_N21
\led_flash_cnt[1186][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1186][3]~43488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1186][3]~q\);

-- Location: LCCOMB_X60_Y31_N22
\led_flash_cnt[1186][4]~43490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1186][4]~43490_combout\ = (\led_flash_cnt[1186][4]~q\ & (!\led_flash_cnt[1186][3]~43489\)) # (!\led_flash_cnt[1186][4]~q\ & ((\led_flash_cnt[1186][3]~43489\) # (GND)))
-- \led_flash_cnt[1186][4]~43491\ = CARRY((!\led_flash_cnt[1186][3]~43489\) # (!\led_flash_cnt[1186][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1186][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1186][3]~43489\,
	combout => \led_flash_cnt[1186][4]~43490_combout\,
	cout => \led_flash_cnt[1186][4]~43491\);

-- Location: FF_X60_Y31_N23
\led_flash_cnt[1186][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1186][4]~43490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1186][4]~q\);

-- Location: LCCOMB_X60_Y31_N24
\led_flash_cnt[1186][5]~43492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1186][5]~43492_combout\ = (\led_flash_cnt[1186][5]~q\ & (\led_flash_cnt[1186][4]~43491\ $ (GND))) # (!\led_flash_cnt[1186][5]~q\ & (!\led_flash_cnt[1186][4]~43491\ & VCC))
-- \led_flash_cnt[1186][5]~43493\ = CARRY((\led_flash_cnt[1186][5]~q\ & !\led_flash_cnt[1186][4]~43491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1186][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1186][4]~43491\,
	combout => \led_flash_cnt[1186][5]~43492_combout\,
	cout => \led_flash_cnt[1186][5]~43493\);

-- Location: FF_X60_Y31_N25
\led_flash_cnt[1186][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1186][5]~43492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1186][5]~q\);

-- Location: LCCOMB_X60_Y31_N26
\led_flash_cnt[1186][6]~43494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1186][6]~43494_combout\ = (\led_flash_cnt[1186][6]~q\ & (!\led_flash_cnt[1186][5]~43493\)) # (!\led_flash_cnt[1186][6]~q\ & ((\led_flash_cnt[1186][5]~43493\) # (GND)))
-- \led_flash_cnt[1186][6]~43495\ = CARRY((!\led_flash_cnt[1186][5]~43493\) # (!\led_flash_cnt[1186][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1186][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1186][5]~43493\,
	combout => \led_flash_cnt[1186][6]~43494_combout\,
	cout => \led_flash_cnt[1186][6]~43495\);

-- Location: FF_X60_Y31_N27
\led_flash_cnt[1186][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1186][6]~43494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1186][6]~q\);

-- Location: LCCOMB_X59_Y31_N24
\WideAnd1186~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1186~1_combout\ = (\led_flash_cnt[1186][6]~q\ & \led_flash_cnt[1186][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1186][6]~q\,
	datad => \led_flash_cnt[1186][5]~q\,
	combout => \WideAnd1186~1_combout\);

-- Location: LCCOMB_X59_Y31_N26
\WideAnd1186~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1186~0_combout\ = (\led_flash_cnt[1186][1]~q\ & (\led_flash_cnt[1186][4]~q\ & (\led_flash_cnt[1186][3]~q\ & \led_flash_cnt[1186][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1186][1]~q\,
	datab => \led_flash_cnt[1186][4]~q\,
	datac => \led_flash_cnt[1186][3]~q\,
	datad => \led_flash_cnt[1186][2]~q\,
	combout => \WideAnd1186~0_combout\);

-- Location: LCCOMB_X60_Y31_N28
\led_flash_cnt[1186][7]~43496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1186][7]~43496_combout\ = \led_flash_cnt[1186][6]~43495\ $ (!\led_flash_cnt[1186][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1186][7]~q\,
	cin => \led_flash_cnt[1186][6]~43495\,
	combout => \led_flash_cnt[1186][7]~43496_combout\);

-- Location: FF_X60_Y31_N29
\led_flash_cnt[1186][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1186][7]~43496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1186][7]~q\);

-- Location: LCCOMB_X60_Y31_N0
WideAnd1186 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1186~combout\ = (\led_flash_cnt[1186][0]~q\ & (\WideAnd1186~1_combout\ & (\WideAnd1186~0_combout\ & \led_flash_cnt[1186][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1186][0]~q\,
	datab => \WideAnd1186~1_combout\,
	datac => \WideAnd1186~0_combout\,
	datad => \led_flash_cnt[1186][7]~q\,
	combout => \WideAnd1186~combout\);

-- Location: FF_X60_Y31_N1
\led_flash_cnt_ands[1186]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1186~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1186));

-- Location: LCCOMB_X76_Y37_N12
\led_flash_cnt[1184][0]~81824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1184][0]~81824_combout\ = !\led_flash_cnt[1184][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1184][0]~q\,
	combout => \led_flash_cnt[1184][0]~81824_combout\);

-- Location: FF_X76_Y37_N13
\led_flash_cnt[1184][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1184][0]~81824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1184][0]~q\);

-- Location: LCCOMB_X76_Y37_N16
\led_flash_cnt[1184][1]~43456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1184][1]~43456_combout\ = (\led_flash_cnt[1184][0]~q\ & (\led_flash_cnt[1184][1]~q\ $ (VCC))) # (!\led_flash_cnt[1184][0]~q\ & (\led_flash_cnt[1184][1]~q\ & VCC))
-- \led_flash_cnt[1184][1]~43457\ = CARRY((\led_flash_cnt[1184][0]~q\ & \led_flash_cnt[1184][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1184][0]~q\,
	datab => \led_flash_cnt[1184][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1184][1]~43456_combout\,
	cout => \led_flash_cnt[1184][1]~43457\);

-- Location: FF_X76_Y37_N17
\led_flash_cnt[1184][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1184][1]~43456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1184][1]~q\);

-- Location: LCCOMB_X76_Y37_N18
\led_flash_cnt[1184][2]~43458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1184][2]~43458_combout\ = (\led_flash_cnt[1184][2]~q\ & (!\led_flash_cnt[1184][1]~43457\)) # (!\led_flash_cnt[1184][2]~q\ & ((\led_flash_cnt[1184][1]~43457\) # (GND)))
-- \led_flash_cnt[1184][2]~43459\ = CARRY((!\led_flash_cnt[1184][1]~43457\) # (!\led_flash_cnt[1184][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1184][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1184][1]~43457\,
	combout => \led_flash_cnt[1184][2]~43458_combout\,
	cout => \led_flash_cnt[1184][2]~43459\);

-- Location: FF_X76_Y37_N19
\led_flash_cnt[1184][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1184][2]~43458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1184][2]~q\);

-- Location: LCCOMB_X76_Y37_N20
\led_flash_cnt[1184][3]~43460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1184][3]~43460_combout\ = (\led_flash_cnt[1184][3]~q\ & (\led_flash_cnt[1184][2]~43459\ $ (GND))) # (!\led_flash_cnt[1184][3]~q\ & (!\led_flash_cnt[1184][2]~43459\ & VCC))
-- \led_flash_cnt[1184][3]~43461\ = CARRY((\led_flash_cnt[1184][3]~q\ & !\led_flash_cnt[1184][2]~43459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1184][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1184][2]~43459\,
	combout => \led_flash_cnt[1184][3]~43460_combout\,
	cout => \led_flash_cnt[1184][3]~43461\);

-- Location: FF_X76_Y37_N21
\led_flash_cnt[1184][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1184][3]~43460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1184][3]~q\);

-- Location: LCCOMB_X76_Y37_N22
\led_flash_cnt[1184][4]~43462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1184][4]~43462_combout\ = (\led_flash_cnt[1184][4]~q\ & (!\led_flash_cnt[1184][3]~43461\)) # (!\led_flash_cnt[1184][4]~q\ & ((\led_flash_cnt[1184][3]~43461\) # (GND)))
-- \led_flash_cnt[1184][4]~43463\ = CARRY((!\led_flash_cnt[1184][3]~43461\) # (!\led_flash_cnt[1184][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1184][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1184][3]~43461\,
	combout => \led_flash_cnt[1184][4]~43462_combout\,
	cout => \led_flash_cnt[1184][4]~43463\);

-- Location: FF_X76_Y37_N23
\led_flash_cnt[1184][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1184][4]~43462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1184][4]~q\);

-- Location: LCCOMB_X76_Y37_N24
\led_flash_cnt[1184][5]~43464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1184][5]~43464_combout\ = (\led_flash_cnt[1184][5]~q\ & (\led_flash_cnt[1184][4]~43463\ $ (GND))) # (!\led_flash_cnt[1184][5]~q\ & (!\led_flash_cnt[1184][4]~43463\ & VCC))
-- \led_flash_cnt[1184][5]~43465\ = CARRY((\led_flash_cnt[1184][5]~q\ & !\led_flash_cnt[1184][4]~43463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1184][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1184][4]~43463\,
	combout => \led_flash_cnt[1184][5]~43464_combout\,
	cout => \led_flash_cnt[1184][5]~43465\);

-- Location: FF_X76_Y37_N25
\led_flash_cnt[1184][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1184][5]~43464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1184][5]~q\);

-- Location: LCCOMB_X76_Y37_N26
\led_flash_cnt[1184][6]~43466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1184][6]~43466_combout\ = (\led_flash_cnt[1184][6]~q\ & (!\led_flash_cnt[1184][5]~43465\)) # (!\led_flash_cnt[1184][6]~q\ & ((\led_flash_cnt[1184][5]~43465\) # (GND)))
-- \led_flash_cnt[1184][6]~43467\ = CARRY((!\led_flash_cnt[1184][5]~43465\) # (!\led_flash_cnt[1184][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1184][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1184][5]~43465\,
	combout => \led_flash_cnt[1184][6]~43466_combout\,
	cout => \led_flash_cnt[1184][6]~43467\);

-- Location: FF_X76_Y37_N27
\led_flash_cnt[1184][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1184][6]~43466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1184][6]~q\);

-- Location: LCCOMB_X76_Y37_N28
\led_flash_cnt[1184][7]~43468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1184][7]~43468_combout\ = \led_flash_cnt[1184][6]~43467\ $ (!\led_flash_cnt[1184][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1184][7]~q\,
	cin => \led_flash_cnt[1184][6]~43467\,
	combout => \led_flash_cnt[1184][7]~43468_combout\);

-- Location: FF_X76_Y37_N29
\led_flash_cnt[1184][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1184][7]~43468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1184][7]~q\);

-- Location: LCCOMB_X76_Y37_N8
\WideAnd1184~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1184~0_combout\ = (\led_flash_cnt[1184][2]~q\ & (\led_flash_cnt[1184][3]~q\ & (\led_flash_cnt[1184][4]~q\ & \led_flash_cnt[1184][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1184][2]~q\,
	datab => \led_flash_cnt[1184][3]~q\,
	datac => \led_flash_cnt[1184][4]~q\,
	datad => \led_flash_cnt[1184][1]~q\,
	combout => \WideAnd1184~0_combout\);

-- Location: LCCOMB_X76_Y37_N0
\WideAnd1184~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1184~1_combout\ = (\led_flash_cnt[1184][6]~q\ & \led_flash_cnt[1184][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1184][6]~q\,
	datad => \led_flash_cnt[1184][5]~q\,
	combout => \WideAnd1184~1_combout\);

-- Location: LCCOMB_X76_Y37_N4
WideAnd1184 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1184~combout\ = (\led_flash_cnt[1184][0]~q\ & (\led_flash_cnt[1184][7]~q\ & (\WideAnd1184~0_combout\ & \WideAnd1184~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1184][0]~q\,
	datab => \led_flash_cnt[1184][7]~q\,
	datac => \WideAnd1184~0_combout\,
	datad => \WideAnd1184~1_combout\,
	combout => \WideAnd1184~combout\);

-- Location: FF_X76_Y37_N5
\led_flash_cnt_ands[1184]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1184~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1184));

-- Location: LCCOMB_X77_Y38_N12
\led_flash_cnt[1187][0]~81827\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1187][0]~81827_combout\ = !\led_flash_cnt[1187][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1187][0]~q\,
	combout => \led_flash_cnt[1187][0]~81827_combout\);

-- Location: FF_X77_Y38_N13
\led_flash_cnt[1187][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1187][0]~81827_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1187][0]~q\);

-- Location: LCCOMB_X77_Y38_N18
\led_flash_cnt[1187][1]~43498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1187][1]~43498_combout\ = (\led_flash_cnt[1187][0]~q\ & (\led_flash_cnt[1187][1]~q\ $ (VCC))) # (!\led_flash_cnt[1187][0]~q\ & (\led_flash_cnt[1187][1]~q\ & VCC))
-- \led_flash_cnt[1187][1]~43499\ = CARRY((\led_flash_cnt[1187][0]~q\ & \led_flash_cnt[1187][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1187][0]~q\,
	datab => \led_flash_cnt[1187][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1187][1]~43498_combout\,
	cout => \led_flash_cnt[1187][1]~43499\);

-- Location: FF_X77_Y38_N19
\led_flash_cnt[1187][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1187][1]~43498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1187][1]~q\);

-- Location: LCCOMB_X77_Y38_N20
\led_flash_cnt[1187][2]~43500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1187][2]~43500_combout\ = (\led_flash_cnt[1187][2]~q\ & (!\led_flash_cnt[1187][1]~43499\)) # (!\led_flash_cnt[1187][2]~q\ & ((\led_flash_cnt[1187][1]~43499\) # (GND)))
-- \led_flash_cnt[1187][2]~43501\ = CARRY((!\led_flash_cnt[1187][1]~43499\) # (!\led_flash_cnt[1187][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1187][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1187][1]~43499\,
	combout => \led_flash_cnt[1187][2]~43500_combout\,
	cout => \led_flash_cnt[1187][2]~43501\);

-- Location: FF_X77_Y38_N21
\led_flash_cnt[1187][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1187][2]~43500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1187][2]~q\);

-- Location: LCCOMB_X77_Y38_N22
\led_flash_cnt[1187][3]~43502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1187][3]~43502_combout\ = (\led_flash_cnt[1187][3]~q\ & (\led_flash_cnt[1187][2]~43501\ $ (GND))) # (!\led_flash_cnt[1187][3]~q\ & (!\led_flash_cnt[1187][2]~43501\ & VCC))
-- \led_flash_cnt[1187][3]~43503\ = CARRY((\led_flash_cnt[1187][3]~q\ & !\led_flash_cnt[1187][2]~43501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1187][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1187][2]~43501\,
	combout => \led_flash_cnt[1187][3]~43502_combout\,
	cout => \led_flash_cnt[1187][3]~43503\);

-- Location: FF_X77_Y38_N23
\led_flash_cnt[1187][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1187][3]~43502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1187][3]~q\);

-- Location: LCCOMB_X77_Y38_N24
\led_flash_cnt[1187][4]~43504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1187][4]~43504_combout\ = (\led_flash_cnt[1187][4]~q\ & (!\led_flash_cnt[1187][3]~43503\)) # (!\led_flash_cnt[1187][4]~q\ & ((\led_flash_cnt[1187][3]~43503\) # (GND)))
-- \led_flash_cnt[1187][4]~43505\ = CARRY((!\led_flash_cnt[1187][3]~43503\) # (!\led_flash_cnt[1187][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1187][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1187][3]~43503\,
	combout => \led_flash_cnt[1187][4]~43504_combout\,
	cout => \led_flash_cnt[1187][4]~43505\);

-- Location: FF_X77_Y38_N25
\led_flash_cnt[1187][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1187][4]~43504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1187][4]~q\);

-- Location: LCCOMB_X77_Y38_N26
\led_flash_cnt[1187][5]~43506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1187][5]~43506_combout\ = (\led_flash_cnt[1187][5]~q\ & (\led_flash_cnt[1187][4]~43505\ $ (GND))) # (!\led_flash_cnt[1187][5]~q\ & (!\led_flash_cnt[1187][4]~43505\ & VCC))
-- \led_flash_cnt[1187][5]~43507\ = CARRY((\led_flash_cnt[1187][5]~q\ & !\led_flash_cnt[1187][4]~43505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1187][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1187][4]~43505\,
	combout => \led_flash_cnt[1187][5]~43506_combout\,
	cout => \led_flash_cnt[1187][5]~43507\);

-- Location: FF_X77_Y38_N27
\led_flash_cnt[1187][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1187][5]~43506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1187][5]~q\);

-- Location: LCCOMB_X77_Y38_N28
\led_flash_cnt[1187][6]~43508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1187][6]~43508_combout\ = (\led_flash_cnt[1187][6]~q\ & (!\led_flash_cnt[1187][5]~43507\)) # (!\led_flash_cnt[1187][6]~q\ & ((\led_flash_cnt[1187][5]~43507\) # (GND)))
-- \led_flash_cnt[1187][6]~43509\ = CARRY((!\led_flash_cnt[1187][5]~43507\) # (!\led_flash_cnt[1187][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1187][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1187][5]~43507\,
	combout => \led_flash_cnt[1187][6]~43508_combout\,
	cout => \led_flash_cnt[1187][6]~43509\);

-- Location: FF_X77_Y38_N29
\led_flash_cnt[1187][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1187][6]~43508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1187][6]~q\);

-- Location: LCCOMB_X77_Y38_N10
\WideAnd1187~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1187~1_combout\ = (\led_flash_cnt[1187][5]~q\ & \led_flash_cnt[1187][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1187][5]~q\,
	datad => \led_flash_cnt[1187][6]~q\,
	combout => \WideAnd1187~1_combout\);

-- Location: LCCOMB_X77_Y38_N4
\WideAnd1187~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1187~0_combout\ = (\led_flash_cnt[1187][4]~q\ & (\led_flash_cnt[1187][2]~q\ & (\led_flash_cnt[1187][3]~q\ & \led_flash_cnt[1187][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1187][4]~q\,
	datab => \led_flash_cnt[1187][2]~q\,
	datac => \led_flash_cnt[1187][3]~q\,
	datad => \led_flash_cnt[1187][1]~q\,
	combout => \WideAnd1187~0_combout\);

-- Location: LCCOMB_X77_Y38_N30
\led_flash_cnt[1187][7]~43510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1187][7]~43510_combout\ = \led_flash_cnt[1187][7]~q\ $ (!\led_flash_cnt[1187][6]~43509\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1187][7]~q\,
	cin => \led_flash_cnt[1187][6]~43509\,
	combout => \led_flash_cnt[1187][7]~43510_combout\);

-- Location: FF_X77_Y38_N31
\led_flash_cnt[1187][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1187][7]~43510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1187][7]~q\);

-- Location: LCCOMB_X77_Y38_N14
WideAnd1187 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1187~combout\ = (\WideAnd1187~1_combout\ & (\WideAnd1187~0_combout\ & (\led_flash_cnt[1187][7]~q\ & \led_flash_cnt[1187][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1187~1_combout\,
	datab => \WideAnd1187~0_combout\,
	datac => \led_flash_cnt[1187][7]~q\,
	datad => \led_flash_cnt[1187][0]~q\,
	combout => \WideAnd1187~combout\);

-- Location: FF_X77_Y38_N15
\led_flash_cnt_ands[1187]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1187~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1187));

-- Location: LCCOMB_X76_Y37_N6
\WideAnd3988~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3988~0_combout\ = (led_flash_cnt_ands(1185) & (led_flash_cnt_ands(1186) & (led_flash_cnt_ands(1184) & led_flash_cnt_ands(1187))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1185),
	datab => led_flash_cnt_ands(1186),
	datac => led_flash_cnt_ands(1184),
	datad => led_flash_cnt_ands(1187),
	combout => \WideAnd3988~0_combout\);

-- Location: LCCOMB_X51_Y41_N28
WideAnd3988 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3988~combout\ = (led_flash_cnt_ands(1190) & (led_flash_cnt_ands(1191) & (\WideAnd3988~1_combout\ & \WideAnd3988~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1190),
	datab => led_flash_cnt_ands(1191),
	datac => \WideAnd3988~1_combout\,
	datad => \WideAnd3988~0_combout\,
	combout => \WideAnd3988~combout\);

-- Location: FF_X51_Y41_N29
\led_flash_cnt_ands_1[148]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3988~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(148));

-- Location: LCCOMB_X52_Y39_N8
\led_flash_cnt[1198][0]~81838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1198][0]~81838_combout\ = !\led_flash_cnt[1198][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1198][0]~q\,
	combout => \led_flash_cnt[1198][0]~81838_combout\);

-- Location: FF_X52_Y39_N9
\led_flash_cnt[1198][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1198][0]~81838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1198][0]~q\);

-- Location: LCCOMB_X55_Y39_N4
\led_flash_cnt[1198][1]~43652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1198][1]~43652_combout\ = (\led_flash_cnt[1198][0]~q\ & (\led_flash_cnt[1198][1]~q\ $ (VCC))) # (!\led_flash_cnt[1198][0]~q\ & (\led_flash_cnt[1198][1]~q\ & VCC))
-- \led_flash_cnt[1198][1]~43653\ = CARRY((\led_flash_cnt[1198][0]~q\ & \led_flash_cnt[1198][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1198][0]~q\,
	datab => \led_flash_cnt[1198][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1198][1]~43652_combout\,
	cout => \led_flash_cnt[1198][1]~43653\);

-- Location: FF_X55_Y39_N5
\led_flash_cnt[1198][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1198][1]~43652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1198][1]~q\);

-- Location: LCCOMB_X55_Y39_N6
\led_flash_cnt[1198][2]~43654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1198][2]~43654_combout\ = (\led_flash_cnt[1198][2]~q\ & (!\led_flash_cnt[1198][1]~43653\)) # (!\led_flash_cnt[1198][2]~q\ & ((\led_flash_cnt[1198][1]~43653\) # (GND)))
-- \led_flash_cnt[1198][2]~43655\ = CARRY((!\led_flash_cnt[1198][1]~43653\) # (!\led_flash_cnt[1198][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1198][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1198][1]~43653\,
	combout => \led_flash_cnt[1198][2]~43654_combout\,
	cout => \led_flash_cnt[1198][2]~43655\);

-- Location: FF_X55_Y39_N7
\led_flash_cnt[1198][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1198][2]~43654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1198][2]~q\);

-- Location: LCCOMB_X55_Y39_N8
\led_flash_cnt[1198][3]~43656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1198][3]~43656_combout\ = (\led_flash_cnt[1198][3]~q\ & (\led_flash_cnt[1198][2]~43655\ $ (GND))) # (!\led_flash_cnt[1198][3]~q\ & (!\led_flash_cnt[1198][2]~43655\ & VCC))
-- \led_flash_cnt[1198][3]~43657\ = CARRY((\led_flash_cnt[1198][3]~q\ & !\led_flash_cnt[1198][2]~43655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1198][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1198][2]~43655\,
	combout => \led_flash_cnt[1198][3]~43656_combout\,
	cout => \led_flash_cnt[1198][3]~43657\);

-- Location: FF_X55_Y39_N9
\led_flash_cnt[1198][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1198][3]~43656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1198][3]~q\);

-- Location: LCCOMB_X55_Y39_N10
\led_flash_cnt[1198][4]~43658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1198][4]~43658_combout\ = (\led_flash_cnt[1198][4]~q\ & (!\led_flash_cnt[1198][3]~43657\)) # (!\led_flash_cnt[1198][4]~q\ & ((\led_flash_cnt[1198][3]~43657\) # (GND)))
-- \led_flash_cnt[1198][4]~43659\ = CARRY((!\led_flash_cnt[1198][3]~43657\) # (!\led_flash_cnt[1198][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1198][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1198][3]~43657\,
	combout => \led_flash_cnt[1198][4]~43658_combout\,
	cout => \led_flash_cnt[1198][4]~43659\);

-- Location: FF_X55_Y39_N11
\led_flash_cnt[1198][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1198][4]~43658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1198][4]~q\);

-- Location: LCCOMB_X55_Y39_N12
\led_flash_cnt[1198][5]~43660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1198][5]~43660_combout\ = (\led_flash_cnt[1198][5]~q\ & (\led_flash_cnt[1198][4]~43659\ $ (GND))) # (!\led_flash_cnt[1198][5]~q\ & (!\led_flash_cnt[1198][4]~43659\ & VCC))
-- \led_flash_cnt[1198][5]~43661\ = CARRY((\led_flash_cnt[1198][5]~q\ & !\led_flash_cnt[1198][4]~43659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1198][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1198][4]~43659\,
	combout => \led_flash_cnt[1198][5]~43660_combout\,
	cout => \led_flash_cnt[1198][5]~43661\);

-- Location: FF_X55_Y39_N13
\led_flash_cnt[1198][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1198][5]~43660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1198][5]~q\);

-- Location: LCCOMB_X55_Y39_N14
\led_flash_cnt[1198][6]~43662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1198][6]~43662_combout\ = (\led_flash_cnt[1198][6]~q\ & (!\led_flash_cnt[1198][5]~43661\)) # (!\led_flash_cnt[1198][6]~q\ & ((\led_flash_cnt[1198][5]~43661\) # (GND)))
-- \led_flash_cnt[1198][6]~43663\ = CARRY((!\led_flash_cnt[1198][5]~43661\) # (!\led_flash_cnt[1198][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1198][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1198][5]~43661\,
	combout => \led_flash_cnt[1198][6]~43662_combout\,
	cout => \led_flash_cnt[1198][6]~43663\);

-- Location: FF_X55_Y39_N15
\led_flash_cnt[1198][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1198][6]~43662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1198][6]~q\);

-- Location: LCCOMB_X54_Y39_N6
\WideAnd1198~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1198~1_combout\ = (\led_flash_cnt[1198][6]~q\ & \led_flash_cnt[1198][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1198][6]~q\,
	datac => \led_flash_cnt[1198][5]~q\,
	combout => \WideAnd1198~1_combout\);

-- Location: LCCOMB_X55_Y39_N16
\led_flash_cnt[1198][7]~43664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1198][7]~43664_combout\ = \led_flash_cnt[1198][6]~43663\ $ (!\led_flash_cnt[1198][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1198][7]~q\,
	cin => \led_flash_cnt[1198][6]~43663\,
	combout => \led_flash_cnt[1198][7]~43664_combout\);

-- Location: FF_X55_Y39_N17
\led_flash_cnt[1198][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1198][7]~43664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1198][7]~q\);

-- Location: LCCOMB_X55_Y39_N0
\WideAnd1198~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1198~0_combout\ = (\led_flash_cnt[1198][4]~q\ & (\led_flash_cnt[1198][3]~q\ & (\led_flash_cnt[1198][1]~q\ & \led_flash_cnt[1198][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1198][4]~q\,
	datab => \led_flash_cnt[1198][3]~q\,
	datac => \led_flash_cnt[1198][1]~q\,
	datad => \led_flash_cnt[1198][2]~q\,
	combout => \WideAnd1198~0_combout\);

-- Location: LCCOMB_X54_Y39_N26
WideAnd1198 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1198~combout\ = (\WideAnd1198~1_combout\ & (\led_flash_cnt[1198][7]~q\ & (\WideAnd1198~0_combout\ & \led_flash_cnt[1198][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1198~1_combout\,
	datab => \led_flash_cnt[1198][7]~q\,
	datac => \WideAnd1198~0_combout\,
	datad => \led_flash_cnt[1198][0]~q\,
	combout => \WideAnd1198~combout\);

-- Location: FF_X54_Y39_N27
\led_flash_cnt_ands[1198]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1198~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1198));

-- Location: LCCOMB_X54_Y36_N2
\led_flash_cnt[1197][0]~81837\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1197][0]~81837_combout\ = !\led_flash_cnt[1197][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1197][0]~q\,
	combout => \led_flash_cnt[1197][0]~81837_combout\);

-- Location: FF_X54_Y36_N3
\led_flash_cnt[1197][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1197][0]~81837_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1197][0]~q\);

-- Location: LCCOMB_X55_Y36_N18
\led_flash_cnt[1197][1]~43638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1197][1]~43638_combout\ = (\led_flash_cnt[1197][0]~q\ & (\led_flash_cnt[1197][1]~q\ $ (VCC))) # (!\led_flash_cnt[1197][0]~q\ & (\led_flash_cnt[1197][1]~q\ & VCC))
-- \led_flash_cnt[1197][1]~43639\ = CARRY((\led_flash_cnt[1197][0]~q\ & \led_flash_cnt[1197][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1197][0]~q\,
	datab => \led_flash_cnt[1197][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1197][1]~43638_combout\,
	cout => \led_flash_cnt[1197][1]~43639\);

-- Location: FF_X55_Y36_N19
\led_flash_cnt[1197][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1197][1]~43638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1197][1]~q\);

-- Location: LCCOMB_X55_Y36_N20
\led_flash_cnt[1197][2]~43640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1197][2]~43640_combout\ = (\led_flash_cnt[1197][2]~q\ & (!\led_flash_cnt[1197][1]~43639\)) # (!\led_flash_cnt[1197][2]~q\ & ((\led_flash_cnt[1197][1]~43639\) # (GND)))
-- \led_flash_cnt[1197][2]~43641\ = CARRY((!\led_flash_cnt[1197][1]~43639\) # (!\led_flash_cnt[1197][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1197][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1197][1]~43639\,
	combout => \led_flash_cnt[1197][2]~43640_combout\,
	cout => \led_flash_cnt[1197][2]~43641\);

-- Location: FF_X55_Y36_N21
\led_flash_cnt[1197][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1197][2]~43640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1197][2]~q\);

-- Location: LCCOMB_X55_Y36_N22
\led_flash_cnt[1197][3]~43642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1197][3]~43642_combout\ = (\led_flash_cnt[1197][3]~q\ & (\led_flash_cnt[1197][2]~43641\ $ (GND))) # (!\led_flash_cnt[1197][3]~q\ & (!\led_flash_cnt[1197][2]~43641\ & VCC))
-- \led_flash_cnt[1197][3]~43643\ = CARRY((\led_flash_cnt[1197][3]~q\ & !\led_flash_cnt[1197][2]~43641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1197][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1197][2]~43641\,
	combout => \led_flash_cnt[1197][3]~43642_combout\,
	cout => \led_flash_cnt[1197][3]~43643\);

-- Location: FF_X55_Y36_N23
\led_flash_cnt[1197][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1197][3]~43642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1197][3]~q\);

-- Location: LCCOMB_X55_Y36_N24
\led_flash_cnt[1197][4]~43644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1197][4]~43644_combout\ = (\led_flash_cnt[1197][4]~q\ & (!\led_flash_cnt[1197][3]~43643\)) # (!\led_flash_cnt[1197][4]~q\ & ((\led_flash_cnt[1197][3]~43643\) # (GND)))
-- \led_flash_cnt[1197][4]~43645\ = CARRY((!\led_flash_cnt[1197][3]~43643\) # (!\led_flash_cnt[1197][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1197][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1197][3]~43643\,
	combout => \led_flash_cnt[1197][4]~43644_combout\,
	cout => \led_flash_cnt[1197][4]~43645\);

-- Location: FF_X55_Y36_N25
\led_flash_cnt[1197][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1197][4]~43644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1197][4]~q\);

-- Location: LCCOMB_X55_Y36_N26
\led_flash_cnt[1197][5]~43646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1197][5]~43646_combout\ = (\led_flash_cnt[1197][5]~q\ & (\led_flash_cnt[1197][4]~43645\ $ (GND))) # (!\led_flash_cnt[1197][5]~q\ & (!\led_flash_cnt[1197][4]~43645\ & VCC))
-- \led_flash_cnt[1197][5]~43647\ = CARRY((\led_flash_cnt[1197][5]~q\ & !\led_flash_cnt[1197][4]~43645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1197][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1197][4]~43645\,
	combout => \led_flash_cnt[1197][5]~43646_combout\,
	cout => \led_flash_cnt[1197][5]~43647\);

-- Location: FF_X55_Y36_N27
\led_flash_cnt[1197][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1197][5]~43646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1197][5]~q\);

-- Location: LCCOMB_X55_Y36_N28
\led_flash_cnt[1197][6]~43648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1197][6]~43648_combout\ = (\led_flash_cnt[1197][6]~q\ & (!\led_flash_cnt[1197][5]~43647\)) # (!\led_flash_cnt[1197][6]~q\ & ((\led_flash_cnt[1197][5]~43647\) # (GND)))
-- \led_flash_cnt[1197][6]~43649\ = CARRY((!\led_flash_cnt[1197][5]~43647\) # (!\led_flash_cnt[1197][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1197][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1197][5]~43647\,
	combout => \led_flash_cnt[1197][6]~43648_combout\,
	cout => \led_flash_cnt[1197][6]~43649\);

-- Location: FF_X55_Y36_N29
\led_flash_cnt[1197][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1197][6]~43648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1197][6]~q\);

-- Location: LCCOMB_X54_Y36_N26
\WideAnd1197~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1197~1_combout\ = (\led_flash_cnt[1197][6]~q\ & \led_flash_cnt[1197][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1197][6]~q\,
	datad => \led_flash_cnt[1197][5]~q\,
	combout => \WideAnd1197~1_combout\);

-- Location: LCCOMB_X55_Y36_N0
\WideAnd1197~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1197~0_combout\ = (\led_flash_cnt[1197][4]~q\ & (\led_flash_cnt[1197][2]~q\ & (\led_flash_cnt[1197][3]~q\ & \led_flash_cnt[1197][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1197][4]~q\,
	datab => \led_flash_cnt[1197][2]~q\,
	datac => \led_flash_cnt[1197][3]~q\,
	datad => \led_flash_cnt[1197][1]~q\,
	combout => \WideAnd1197~0_combout\);

-- Location: LCCOMB_X55_Y36_N30
\led_flash_cnt[1197][7]~43650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1197][7]~43650_combout\ = \led_flash_cnt[1197][7]~q\ $ (!\led_flash_cnt[1197][6]~43649\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1197][7]~q\,
	cin => \led_flash_cnt[1197][6]~43649\,
	combout => \led_flash_cnt[1197][7]~43650_combout\);

-- Location: FF_X55_Y36_N31
\led_flash_cnt[1197][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1197][7]~43650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1197][7]~q\);

-- Location: LCCOMB_X54_Y36_N30
WideAnd1197 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1197~combout\ = (\WideAnd1197~1_combout\ & (\WideAnd1197~0_combout\ & (\led_flash_cnt[1197][7]~q\ & \led_flash_cnt[1197][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1197~1_combout\,
	datab => \WideAnd1197~0_combout\,
	datac => \led_flash_cnt[1197][7]~q\,
	datad => \led_flash_cnt[1197][0]~q\,
	combout => \WideAnd1197~combout\);

-- Location: FF_X54_Y36_N31
\led_flash_cnt_ands[1197]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1197~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1197));

-- Location: LCCOMB_X54_Y36_N22
\led_flash_cnt[1196][0]~81836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1196][0]~81836_combout\ = !\led_flash_cnt[1196][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1196][0]~q\,
	combout => \led_flash_cnt[1196][0]~81836_combout\);

-- Location: FF_X54_Y36_N23
\led_flash_cnt[1196][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1196][0]~81836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1196][0]~q\);

-- Location: LCCOMB_X54_Y36_N6
\led_flash_cnt[1196][1]~43624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1196][1]~43624_combout\ = (\led_flash_cnt[1196][0]~q\ & (\led_flash_cnt[1196][1]~q\ $ (VCC))) # (!\led_flash_cnt[1196][0]~q\ & (\led_flash_cnt[1196][1]~q\ & VCC))
-- \led_flash_cnt[1196][1]~43625\ = CARRY((\led_flash_cnt[1196][0]~q\ & \led_flash_cnt[1196][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1196][0]~q\,
	datab => \led_flash_cnt[1196][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1196][1]~43624_combout\,
	cout => \led_flash_cnt[1196][1]~43625\);

-- Location: FF_X54_Y36_N7
\led_flash_cnt[1196][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1196][1]~43624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1196][1]~q\);

-- Location: LCCOMB_X54_Y36_N8
\led_flash_cnt[1196][2]~43626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1196][2]~43626_combout\ = (\led_flash_cnt[1196][2]~q\ & (!\led_flash_cnt[1196][1]~43625\)) # (!\led_flash_cnt[1196][2]~q\ & ((\led_flash_cnt[1196][1]~43625\) # (GND)))
-- \led_flash_cnt[1196][2]~43627\ = CARRY((!\led_flash_cnt[1196][1]~43625\) # (!\led_flash_cnt[1196][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1196][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1196][1]~43625\,
	combout => \led_flash_cnt[1196][2]~43626_combout\,
	cout => \led_flash_cnt[1196][2]~43627\);

-- Location: FF_X54_Y36_N9
\led_flash_cnt[1196][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1196][2]~43626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1196][2]~q\);

-- Location: LCCOMB_X54_Y36_N10
\led_flash_cnt[1196][3]~43628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1196][3]~43628_combout\ = (\led_flash_cnt[1196][3]~q\ & (\led_flash_cnt[1196][2]~43627\ $ (GND))) # (!\led_flash_cnt[1196][3]~q\ & (!\led_flash_cnt[1196][2]~43627\ & VCC))
-- \led_flash_cnt[1196][3]~43629\ = CARRY((\led_flash_cnt[1196][3]~q\ & !\led_flash_cnt[1196][2]~43627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1196][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1196][2]~43627\,
	combout => \led_flash_cnt[1196][3]~43628_combout\,
	cout => \led_flash_cnt[1196][3]~43629\);

-- Location: FF_X54_Y36_N11
\led_flash_cnt[1196][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1196][3]~43628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1196][3]~q\);

-- Location: LCCOMB_X54_Y36_N12
\led_flash_cnt[1196][4]~43630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1196][4]~43630_combout\ = (\led_flash_cnt[1196][4]~q\ & (!\led_flash_cnt[1196][3]~43629\)) # (!\led_flash_cnt[1196][4]~q\ & ((\led_flash_cnt[1196][3]~43629\) # (GND)))
-- \led_flash_cnt[1196][4]~43631\ = CARRY((!\led_flash_cnt[1196][3]~43629\) # (!\led_flash_cnt[1196][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1196][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1196][3]~43629\,
	combout => \led_flash_cnt[1196][4]~43630_combout\,
	cout => \led_flash_cnt[1196][4]~43631\);

-- Location: FF_X54_Y36_N13
\led_flash_cnt[1196][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1196][4]~43630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1196][4]~q\);

-- Location: LCCOMB_X54_Y36_N14
\led_flash_cnt[1196][5]~43632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1196][5]~43632_combout\ = (\led_flash_cnt[1196][5]~q\ & (\led_flash_cnt[1196][4]~43631\ $ (GND))) # (!\led_flash_cnt[1196][5]~q\ & (!\led_flash_cnt[1196][4]~43631\ & VCC))
-- \led_flash_cnt[1196][5]~43633\ = CARRY((\led_flash_cnt[1196][5]~q\ & !\led_flash_cnt[1196][4]~43631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1196][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1196][4]~43631\,
	combout => \led_flash_cnt[1196][5]~43632_combout\,
	cout => \led_flash_cnt[1196][5]~43633\);

-- Location: FF_X54_Y36_N15
\led_flash_cnt[1196][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1196][5]~43632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1196][5]~q\);

-- Location: LCCOMB_X54_Y36_N16
\led_flash_cnt[1196][6]~43634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1196][6]~43634_combout\ = (\led_flash_cnt[1196][6]~q\ & (!\led_flash_cnt[1196][5]~43633\)) # (!\led_flash_cnt[1196][6]~q\ & ((\led_flash_cnt[1196][5]~43633\) # (GND)))
-- \led_flash_cnt[1196][6]~43635\ = CARRY((!\led_flash_cnt[1196][5]~43633\) # (!\led_flash_cnt[1196][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1196][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1196][5]~43633\,
	combout => \led_flash_cnt[1196][6]~43634_combout\,
	cout => \led_flash_cnt[1196][6]~43635\);

-- Location: FF_X54_Y36_N17
\led_flash_cnt[1196][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1196][6]~43634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1196][6]~q\);

-- Location: LCCOMB_X54_Y36_N18
\led_flash_cnt[1196][7]~43636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1196][7]~43636_combout\ = \led_flash_cnt[1196][7]~q\ $ (!\led_flash_cnt[1196][6]~43635\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1196][7]~q\,
	cin => \led_flash_cnt[1196][6]~43635\,
	combout => \led_flash_cnt[1196][7]~43636_combout\);

-- Location: FF_X54_Y36_N19
\led_flash_cnt[1196][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1196][7]~43636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1196][7]~q\);

-- Location: LCCOMB_X54_Y36_N4
\WideAnd1196~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1196~1_combout\ = (\led_flash_cnt[1196][5]~q\ & \led_flash_cnt[1196][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1196][5]~q\,
	datad => \led_flash_cnt[1196][6]~q\,
	combout => \WideAnd1196~1_combout\);

-- Location: LCCOMB_X54_Y36_N28
\WideAnd1196~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1196~0_combout\ = (\led_flash_cnt[1196][4]~q\ & (\led_flash_cnt[1196][1]~q\ & (\led_flash_cnt[1196][2]~q\ & \led_flash_cnt[1196][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1196][4]~q\,
	datab => \led_flash_cnt[1196][1]~q\,
	datac => \led_flash_cnt[1196][2]~q\,
	datad => \led_flash_cnt[1196][3]~q\,
	combout => \WideAnd1196~0_combout\);

-- Location: LCCOMB_X54_Y36_N24
WideAnd1196 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1196~combout\ = (\led_flash_cnt[1196][7]~q\ & (\WideAnd1196~1_combout\ & (\led_flash_cnt[1196][0]~q\ & \WideAnd1196~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1196][7]~q\,
	datab => \WideAnd1196~1_combout\,
	datac => \led_flash_cnt[1196][0]~q\,
	datad => \WideAnd1196~0_combout\,
	combout => \WideAnd1196~combout\);

-- Location: FF_X54_Y36_N25
\led_flash_cnt_ands[1196]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1196~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1196));

-- Location: LCCOMB_X54_Y36_N20
\WideAnd3989~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3989~1_combout\ = (led_flash_cnt_ands(1197) & led_flash_cnt_ands(1196))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1197),
	datad => led_flash_cnt_ands(1196),
	combout => \WideAnd3989~1_combout\);

-- Location: LCCOMB_X47_Y40_N0
\led_flash_cnt[1193][0]~81833\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1193][0]~81833_combout\ = !\led_flash_cnt[1193][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1193][0]~q\,
	combout => \led_flash_cnt[1193][0]~81833_combout\);

-- Location: FF_X47_Y40_N1
\led_flash_cnt[1193][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1193][0]~81833_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1193][0]~q\);

-- Location: LCCOMB_X47_Y41_N16
\led_flash_cnt[1193][1]~43582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1193][1]~43582_combout\ = (\led_flash_cnt[1193][0]~q\ & (\led_flash_cnt[1193][1]~q\ $ (VCC))) # (!\led_flash_cnt[1193][0]~q\ & (\led_flash_cnt[1193][1]~q\ & VCC))
-- \led_flash_cnt[1193][1]~43583\ = CARRY((\led_flash_cnt[1193][0]~q\ & \led_flash_cnt[1193][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1193][0]~q\,
	datab => \led_flash_cnt[1193][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1193][1]~43582_combout\,
	cout => \led_flash_cnt[1193][1]~43583\);

-- Location: FF_X47_Y41_N17
\led_flash_cnt[1193][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1193][1]~43582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1193][1]~q\);

-- Location: LCCOMB_X47_Y41_N18
\led_flash_cnt[1193][2]~43584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1193][2]~43584_combout\ = (\led_flash_cnt[1193][2]~q\ & (!\led_flash_cnt[1193][1]~43583\)) # (!\led_flash_cnt[1193][2]~q\ & ((\led_flash_cnt[1193][1]~43583\) # (GND)))
-- \led_flash_cnt[1193][2]~43585\ = CARRY((!\led_flash_cnt[1193][1]~43583\) # (!\led_flash_cnt[1193][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1193][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1193][1]~43583\,
	combout => \led_flash_cnt[1193][2]~43584_combout\,
	cout => \led_flash_cnt[1193][2]~43585\);

-- Location: FF_X47_Y41_N19
\led_flash_cnt[1193][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1193][2]~43584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1193][2]~q\);

-- Location: LCCOMB_X47_Y41_N20
\led_flash_cnt[1193][3]~43586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1193][3]~43586_combout\ = (\led_flash_cnt[1193][3]~q\ & (\led_flash_cnt[1193][2]~43585\ $ (GND))) # (!\led_flash_cnt[1193][3]~q\ & (!\led_flash_cnt[1193][2]~43585\ & VCC))
-- \led_flash_cnt[1193][3]~43587\ = CARRY((\led_flash_cnt[1193][3]~q\ & !\led_flash_cnt[1193][2]~43585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1193][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1193][2]~43585\,
	combout => \led_flash_cnt[1193][3]~43586_combout\,
	cout => \led_flash_cnt[1193][3]~43587\);

-- Location: FF_X47_Y41_N21
\led_flash_cnt[1193][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1193][3]~43586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1193][3]~q\);

-- Location: LCCOMB_X47_Y41_N22
\led_flash_cnt[1193][4]~43588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1193][4]~43588_combout\ = (\led_flash_cnt[1193][4]~q\ & (!\led_flash_cnt[1193][3]~43587\)) # (!\led_flash_cnt[1193][4]~q\ & ((\led_flash_cnt[1193][3]~43587\) # (GND)))
-- \led_flash_cnt[1193][4]~43589\ = CARRY((!\led_flash_cnt[1193][3]~43587\) # (!\led_flash_cnt[1193][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1193][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1193][3]~43587\,
	combout => \led_flash_cnt[1193][4]~43588_combout\,
	cout => \led_flash_cnt[1193][4]~43589\);

-- Location: FF_X47_Y41_N23
\led_flash_cnt[1193][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1193][4]~43588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1193][4]~q\);

-- Location: LCCOMB_X47_Y41_N30
\WideAnd1193~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1193~0_combout\ = (\led_flash_cnt[1193][2]~q\ & (\led_flash_cnt[1193][3]~q\ & (\led_flash_cnt[1193][4]~q\ & \led_flash_cnt[1193][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1193][2]~q\,
	datab => \led_flash_cnt[1193][3]~q\,
	datac => \led_flash_cnt[1193][4]~q\,
	datad => \led_flash_cnt[1193][1]~q\,
	combout => \WideAnd1193~0_combout\);

-- Location: LCCOMB_X47_Y41_N24
\led_flash_cnt[1193][5]~43590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1193][5]~43590_combout\ = (\led_flash_cnt[1193][5]~q\ & (\led_flash_cnt[1193][4]~43589\ $ (GND))) # (!\led_flash_cnt[1193][5]~q\ & (!\led_flash_cnt[1193][4]~43589\ & VCC))
-- \led_flash_cnt[1193][5]~43591\ = CARRY((\led_flash_cnt[1193][5]~q\ & !\led_flash_cnt[1193][4]~43589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1193][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1193][4]~43589\,
	combout => \led_flash_cnt[1193][5]~43590_combout\,
	cout => \led_flash_cnt[1193][5]~43591\);

-- Location: FF_X47_Y41_N25
\led_flash_cnt[1193][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1193][5]~43590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1193][5]~q\);

-- Location: LCCOMB_X47_Y41_N26
\led_flash_cnt[1193][6]~43592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1193][6]~43592_combout\ = (\led_flash_cnt[1193][6]~q\ & (!\led_flash_cnt[1193][5]~43591\)) # (!\led_flash_cnt[1193][6]~q\ & ((\led_flash_cnt[1193][5]~43591\) # (GND)))
-- \led_flash_cnt[1193][6]~43593\ = CARRY((!\led_flash_cnt[1193][5]~43591\) # (!\led_flash_cnt[1193][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1193][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1193][5]~43591\,
	combout => \led_flash_cnt[1193][6]~43592_combout\,
	cout => \led_flash_cnt[1193][6]~43593\);

-- Location: FF_X47_Y41_N27
\led_flash_cnt[1193][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1193][6]~43592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1193][6]~q\);

-- Location: LCCOMB_X47_Y41_N28
\led_flash_cnt[1193][7]~43594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1193][7]~43594_combout\ = \led_flash_cnt[1193][6]~43593\ $ (!\led_flash_cnt[1193][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1193][7]~q\,
	cin => \led_flash_cnt[1193][6]~43593\,
	combout => \led_flash_cnt[1193][7]~43594_combout\);

-- Location: FF_X47_Y41_N29
\led_flash_cnt[1193][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1193][7]~43594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1193][7]~q\);

-- Location: LCCOMB_X47_Y40_N24
\WideAnd1193~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1193~1_combout\ = (\led_flash_cnt[1193][5]~q\ & \led_flash_cnt[1193][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1193][5]~q\,
	datad => \led_flash_cnt[1193][6]~q\,
	combout => \WideAnd1193~1_combout\);

-- Location: LCCOMB_X47_Y40_N6
WideAnd1193 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1193~combout\ = (\WideAnd1193~0_combout\ & (\led_flash_cnt[1193][0]~q\ & (\led_flash_cnt[1193][7]~q\ & \WideAnd1193~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1193~0_combout\,
	datab => \led_flash_cnt[1193][0]~q\,
	datac => \led_flash_cnt[1193][7]~q\,
	datad => \WideAnd1193~1_combout\,
	combout => \WideAnd1193~combout\);

-- Location: FF_X47_Y40_N7
\led_flash_cnt_ands[1193]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1193~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1193));

-- Location: LCCOMB_X36_Y36_N0
\led_flash_cnt[1194][0]~81834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1194][0]~81834_combout\ = !\led_flash_cnt[1194][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1194][0]~q\,
	combout => \led_flash_cnt[1194][0]~81834_combout\);

-- Location: FF_X36_Y36_N1
\led_flash_cnt[1194][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1194][0]~81834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1194][0]~q\);

-- Location: LCCOMB_X36_Y36_N6
\led_flash_cnt[1194][1]~43596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1194][1]~43596_combout\ = (\led_flash_cnt[1194][1]~q\ & (\led_flash_cnt[1194][0]~q\ $ (VCC))) # (!\led_flash_cnt[1194][1]~q\ & (\led_flash_cnt[1194][0]~q\ & VCC))
-- \led_flash_cnt[1194][1]~43597\ = CARRY((\led_flash_cnt[1194][1]~q\ & \led_flash_cnt[1194][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1194][1]~q\,
	datab => \led_flash_cnt[1194][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1194][1]~43596_combout\,
	cout => \led_flash_cnt[1194][1]~43597\);

-- Location: FF_X36_Y36_N7
\led_flash_cnt[1194][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1194][1]~43596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1194][1]~q\);

-- Location: LCCOMB_X36_Y36_N8
\led_flash_cnt[1194][2]~43598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1194][2]~43598_combout\ = (\led_flash_cnt[1194][2]~q\ & (!\led_flash_cnt[1194][1]~43597\)) # (!\led_flash_cnt[1194][2]~q\ & ((\led_flash_cnt[1194][1]~43597\) # (GND)))
-- \led_flash_cnt[1194][2]~43599\ = CARRY((!\led_flash_cnt[1194][1]~43597\) # (!\led_flash_cnt[1194][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1194][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1194][1]~43597\,
	combout => \led_flash_cnt[1194][2]~43598_combout\,
	cout => \led_flash_cnt[1194][2]~43599\);

-- Location: FF_X36_Y36_N9
\led_flash_cnt[1194][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1194][2]~43598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1194][2]~q\);

-- Location: LCCOMB_X36_Y36_N10
\led_flash_cnt[1194][3]~43600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1194][3]~43600_combout\ = (\led_flash_cnt[1194][3]~q\ & (\led_flash_cnt[1194][2]~43599\ $ (GND))) # (!\led_flash_cnt[1194][3]~q\ & (!\led_flash_cnt[1194][2]~43599\ & VCC))
-- \led_flash_cnt[1194][3]~43601\ = CARRY((\led_flash_cnt[1194][3]~q\ & !\led_flash_cnt[1194][2]~43599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1194][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1194][2]~43599\,
	combout => \led_flash_cnt[1194][3]~43600_combout\,
	cout => \led_flash_cnt[1194][3]~43601\);

-- Location: FF_X36_Y36_N11
\led_flash_cnt[1194][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1194][3]~43600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1194][3]~q\);

-- Location: LCCOMB_X36_Y36_N12
\led_flash_cnt[1194][4]~43602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1194][4]~43602_combout\ = (\led_flash_cnt[1194][4]~q\ & (!\led_flash_cnt[1194][3]~43601\)) # (!\led_flash_cnt[1194][4]~q\ & ((\led_flash_cnt[1194][3]~43601\) # (GND)))
-- \led_flash_cnt[1194][4]~43603\ = CARRY((!\led_flash_cnt[1194][3]~43601\) # (!\led_flash_cnt[1194][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1194][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1194][3]~43601\,
	combout => \led_flash_cnt[1194][4]~43602_combout\,
	cout => \led_flash_cnt[1194][4]~43603\);

-- Location: FF_X36_Y36_N13
\led_flash_cnt[1194][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1194][4]~43602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1194][4]~q\);

-- Location: LCCOMB_X36_Y36_N30
\WideAnd1194~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1194~0_combout\ = (\led_flash_cnt[1194][4]~q\ & (\led_flash_cnt[1194][1]~q\ & (\led_flash_cnt[1194][2]~q\ & \led_flash_cnt[1194][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1194][4]~q\,
	datab => \led_flash_cnt[1194][1]~q\,
	datac => \led_flash_cnt[1194][2]~q\,
	datad => \led_flash_cnt[1194][3]~q\,
	combout => \WideAnd1194~0_combout\);

-- Location: LCCOMB_X36_Y36_N14
\led_flash_cnt[1194][5]~43604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1194][5]~43604_combout\ = (\led_flash_cnt[1194][5]~q\ & (\led_flash_cnt[1194][4]~43603\ $ (GND))) # (!\led_flash_cnt[1194][5]~q\ & (!\led_flash_cnt[1194][4]~43603\ & VCC))
-- \led_flash_cnt[1194][5]~43605\ = CARRY((\led_flash_cnt[1194][5]~q\ & !\led_flash_cnt[1194][4]~43603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1194][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1194][4]~43603\,
	combout => \led_flash_cnt[1194][5]~43604_combout\,
	cout => \led_flash_cnt[1194][5]~43605\);

-- Location: FF_X36_Y36_N15
\led_flash_cnt[1194][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1194][5]~43604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1194][5]~q\);

-- Location: LCCOMB_X36_Y36_N16
\led_flash_cnt[1194][6]~43606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1194][6]~43606_combout\ = (\led_flash_cnt[1194][6]~q\ & (!\led_flash_cnt[1194][5]~43605\)) # (!\led_flash_cnt[1194][6]~q\ & ((\led_flash_cnt[1194][5]~43605\) # (GND)))
-- \led_flash_cnt[1194][6]~43607\ = CARRY((!\led_flash_cnt[1194][5]~43605\) # (!\led_flash_cnt[1194][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1194][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1194][5]~43605\,
	combout => \led_flash_cnt[1194][6]~43606_combout\,
	cout => \led_flash_cnt[1194][6]~43607\);

-- Location: FF_X36_Y36_N17
\led_flash_cnt[1194][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1194][6]~43606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1194][6]~q\);

-- Location: LCCOMB_X36_Y36_N4
\WideAnd1194~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1194~1_combout\ = (\led_flash_cnt[1194][5]~q\ & \led_flash_cnt[1194][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1194][5]~q\,
	datad => \led_flash_cnt[1194][6]~q\,
	combout => \WideAnd1194~1_combout\);

-- Location: LCCOMB_X36_Y36_N18
\led_flash_cnt[1194][7]~43608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1194][7]~43608_combout\ = \led_flash_cnt[1194][6]~43607\ $ (!\led_flash_cnt[1194][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1194][7]~q\,
	cin => \led_flash_cnt[1194][6]~43607\,
	combout => \led_flash_cnt[1194][7]~43608_combout\);

-- Location: FF_X36_Y36_N19
\led_flash_cnt[1194][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1194][7]~43608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1194][7]~q\);

-- Location: LCCOMB_X36_Y36_N28
WideAnd1194 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1194~combout\ = (\WideAnd1194~0_combout\ & (\led_flash_cnt[1194][0]~q\ & (\WideAnd1194~1_combout\ & \led_flash_cnt[1194][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1194~0_combout\,
	datab => \led_flash_cnt[1194][0]~q\,
	datac => \WideAnd1194~1_combout\,
	datad => \led_flash_cnt[1194][7]~q\,
	combout => \WideAnd1194~combout\);

-- Location: FF_X36_Y36_N29
\led_flash_cnt_ands[1194]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1194~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1194));

-- Location: LCCOMB_X47_Y40_N2
\led_flash_cnt[1192][0]~81832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1192][0]~81832_combout\ = !\led_flash_cnt[1192][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1192][0]~q\,
	combout => \led_flash_cnt[1192][0]~81832_combout\);

-- Location: FF_X47_Y40_N3
\led_flash_cnt[1192][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1192][0]~81832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1192][0]~q\);

-- Location: LCCOMB_X47_Y40_N10
\led_flash_cnt[1192][1]~43568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1192][1]~43568_combout\ = (\led_flash_cnt[1192][1]~q\ & (\led_flash_cnt[1192][0]~q\ $ (VCC))) # (!\led_flash_cnt[1192][1]~q\ & (\led_flash_cnt[1192][0]~q\ & VCC))
-- \led_flash_cnt[1192][1]~43569\ = CARRY((\led_flash_cnt[1192][1]~q\ & \led_flash_cnt[1192][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1192][1]~q\,
	datab => \led_flash_cnt[1192][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1192][1]~43568_combout\,
	cout => \led_flash_cnt[1192][1]~43569\);

-- Location: FF_X47_Y40_N11
\led_flash_cnt[1192][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1192][1]~43568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1192][1]~q\);

-- Location: LCCOMB_X47_Y40_N12
\led_flash_cnt[1192][2]~43570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1192][2]~43570_combout\ = (\led_flash_cnt[1192][2]~q\ & (!\led_flash_cnt[1192][1]~43569\)) # (!\led_flash_cnt[1192][2]~q\ & ((\led_flash_cnt[1192][1]~43569\) # (GND)))
-- \led_flash_cnt[1192][2]~43571\ = CARRY((!\led_flash_cnt[1192][1]~43569\) # (!\led_flash_cnt[1192][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1192][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1192][1]~43569\,
	combout => \led_flash_cnt[1192][2]~43570_combout\,
	cout => \led_flash_cnt[1192][2]~43571\);

-- Location: FF_X47_Y40_N13
\led_flash_cnt[1192][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1192][2]~43570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1192][2]~q\);

-- Location: LCCOMB_X47_Y40_N14
\led_flash_cnt[1192][3]~43572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1192][3]~43572_combout\ = (\led_flash_cnt[1192][3]~q\ & (\led_flash_cnt[1192][2]~43571\ $ (GND))) # (!\led_flash_cnt[1192][3]~q\ & (!\led_flash_cnt[1192][2]~43571\ & VCC))
-- \led_flash_cnt[1192][3]~43573\ = CARRY((\led_flash_cnt[1192][3]~q\ & !\led_flash_cnt[1192][2]~43571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1192][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1192][2]~43571\,
	combout => \led_flash_cnt[1192][3]~43572_combout\,
	cout => \led_flash_cnt[1192][3]~43573\);

-- Location: FF_X47_Y40_N15
\led_flash_cnt[1192][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1192][3]~43572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1192][3]~q\);

-- Location: LCCOMB_X47_Y40_N16
\led_flash_cnt[1192][4]~43574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1192][4]~43574_combout\ = (\led_flash_cnt[1192][4]~q\ & (!\led_flash_cnt[1192][3]~43573\)) # (!\led_flash_cnt[1192][4]~q\ & ((\led_flash_cnt[1192][3]~43573\) # (GND)))
-- \led_flash_cnt[1192][4]~43575\ = CARRY((!\led_flash_cnt[1192][3]~43573\) # (!\led_flash_cnt[1192][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1192][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1192][3]~43573\,
	combout => \led_flash_cnt[1192][4]~43574_combout\,
	cout => \led_flash_cnt[1192][4]~43575\);

-- Location: FF_X47_Y40_N17
\led_flash_cnt[1192][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1192][4]~43574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1192][4]~q\);

-- Location: LCCOMB_X47_Y40_N18
\led_flash_cnt[1192][5]~43576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1192][5]~43576_combout\ = (\led_flash_cnt[1192][5]~q\ & (\led_flash_cnt[1192][4]~43575\ $ (GND))) # (!\led_flash_cnt[1192][5]~q\ & (!\led_flash_cnt[1192][4]~43575\ & VCC))
-- \led_flash_cnt[1192][5]~43577\ = CARRY((\led_flash_cnt[1192][5]~q\ & !\led_flash_cnt[1192][4]~43575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1192][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1192][4]~43575\,
	combout => \led_flash_cnt[1192][5]~43576_combout\,
	cout => \led_flash_cnt[1192][5]~43577\);

-- Location: FF_X47_Y40_N19
\led_flash_cnt[1192][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1192][5]~43576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1192][5]~q\);

-- Location: LCCOMB_X47_Y40_N20
\led_flash_cnt[1192][6]~43578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1192][6]~43578_combout\ = (\led_flash_cnt[1192][6]~q\ & (!\led_flash_cnt[1192][5]~43577\)) # (!\led_flash_cnt[1192][6]~q\ & ((\led_flash_cnt[1192][5]~43577\) # (GND)))
-- \led_flash_cnt[1192][6]~43579\ = CARRY((!\led_flash_cnt[1192][5]~43577\) # (!\led_flash_cnt[1192][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1192][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1192][5]~43577\,
	combout => \led_flash_cnt[1192][6]~43578_combout\,
	cout => \led_flash_cnt[1192][6]~43579\);

-- Location: FF_X47_Y40_N21
\led_flash_cnt[1192][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1192][6]~43578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1192][6]~q\);

-- Location: LCCOMB_X47_Y40_N22
\led_flash_cnt[1192][7]~43580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1192][7]~43580_combout\ = \led_flash_cnt[1192][7]~q\ $ (!\led_flash_cnt[1192][6]~43579\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1192][7]~q\,
	cin => \led_flash_cnt[1192][6]~43579\,
	combout => \led_flash_cnt[1192][7]~43580_combout\);

-- Location: FF_X47_Y40_N23
\led_flash_cnt[1192][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1192][7]~43580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1192][7]~q\);

-- Location: LCCOMB_X47_Y40_N4
\WideAnd1192~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1192~1_combout\ = (\led_flash_cnt[1192][5]~q\ & \led_flash_cnt[1192][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1192][5]~q\,
	datad => \led_flash_cnt[1192][6]~q\,
	combout => \WideAnd1192~1_combout\);

-- Location: LCCOMB_X47_Y40_N28
\WideAnd1192~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1192~0_combout\ = (\led_flash_cnt[1192][2]~q\ & (\led_flash_cnt[1192][4]~q\ & (\led_flash_cnt[1192][3]~q\ & \led_flash_cnt[1192][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1192][2]~q\,
	datab => \led_flash_cnt[1192][4]~q\,
	datac => \led_flash_cnt[1192][3]~q\,
	datad => \led_flash_cnt[1192][1]~q\,
	combout => \WideAnd1192~0_combout\);

-- Location: LCCOMB_X47_Y40_N26
WideAnd1192 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1192~combout\ = (\led_flash_cnt[1192][7]~q\ & (\led_flash_cnt[1192][0]~q\ & (\WideAnd1192~1_combout\ & \WideAnd1192~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1192][7]~q\,
	datab => \led_flash_cnt[1192][0]~q\,
	datac => \WideAnd1192~1_combout\,
	datad => \WideAnd1192~0_combout\,
	combout => \WideAnd1192~combout\);

-- Location: FF_X47_Y40_N27
\led_flash_cnt_ands[1192]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1192~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1192));

-- Location: LCCOMB_X60_Y37_N4
\led_flash_cnt[1195][0]~81835\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1195][0]~81835_combout\ = !\led_flash_cnt[1195][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1195][0]~q\,
	combout => \led_flash_cnt[1195][0]~81835_combout\);

-- Location: FF_X60_Y37_N5
\led_flash_cnt[1195][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1195][0]~81835_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1195][0]~q\);

-- Location: LCCOMB_X60_Y37_N10
\led_flash_cnt[1195][1]~43610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1195][1]~43610_combout\ = (\led_flash_cnt[1195][1]~q\ & (\led_flash_cnt[1195][0]~q\ $ (VCC))) # (!\led_flash_cnt[1195][1]~q\ & (\led_flash_cnt[1195][0]~q\ & VCC))
-- \led_flash_cnt[1195][1]~43611\ = CARRY((\led_flash_cnt[1195][1]~q\ & \led_flash_cnt[1195][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1195][1]~q\,
	datab => \led_flash_cnt[1195][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1195][1]~43610_combout\,
	cout => \led_flash_cnt[1195][1]~43611\);

-- Location: FF_X60_Y37_N11
\led_flash_cnt[1195][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1195][1]~43610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1195][1]~q\);

-- Location: LCCOMB_X60_Y37_N12
\led_flash_cnt[1195][2]~43612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1195][2]~43612_combout\ = (\led_flash_cnt[1195][2]~q\ & (!\led_flash_cnt[1195][1]~43611\)) # (!\led_flash_cnt[1195][2]~q\ & ((\led_flash_cnt[1195][1]~43611\) # (GND)))
-- \led_flash_cnt[1195][2]~43613\ = CARRY((!\led_flash_cnt[1195][1]~43611\) # (!\led_flash_cnt[1195][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1195][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1195][1]~43611\,
	combout => \led_flash_cnt[1195][2]~43612_combout\,
	cout => \led_flash_cnt[1195][2]~43613\);

-- Location: FF_X60_Y37_N13
\led_flash_cnt[1195][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1195][2]~43612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1195][2]~q\);

-- Location: LCCOMB_X60_Y37_N14
\led_flash_cnt[1195][3]~43614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1195][3]~43614_combout\ = (\led_flash_cnt[1195][3]~q\ & (\led_flash_cnt[1195][2]~43613\ $ (GND))) # (!\led_flash_cnt[1195][3]~q\ & (!\led_flash_cnt[1195][2]~43613\ & VCC))
-- \led_flash_cnt[1195][3]~43615\ = CARRY((\led_flash_cnt[1195][3]~q\ & !\led_flash_cnt[1195][2]~43613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1195][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1195][2]~43613\,
	combout => \led_flash_cnt[1195][3]~43614_combout\,
	cout => \led_flash_cnt[1195][3]~43615\);

-- Location: FF_X60_Y37_N15
\led_flash_cnt[1195][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1195][3]~43614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1195][3]~q\);

-- Location: LCCOMB_X60_Y37_N16
\led_flash_cnt[1195][4]~43616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1195][4]~43616_combout\ = (\led_flash_cnt[1195][4]~q\ & (!\led_flash_cnt[1195][3]~43615\)) # (!\led_flash_cnt[1195][4]~q\ & ((\led_flash_cnt[1195][3]~43615\) # (GND)))
-- \led_flash_cnt[1195][4]~43617\ = CARRY((!\led_flash_cnt[1195][3]~43615\) # (!\led_flash_cnt[1195][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1195][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1195][3]~43615\,
	combout => \led_flash_cnt[1195][4]~43616_combout\,
	cout => \led_flash_cnt[1195][4]~43617\);

-- Location: FF_X60_Y37_N17
\led_flash_cnt[1195][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1195][4]~43616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1195][4]~q\);

-- Location: LCCOMB_X60_Y37_N18
\led_flash_cnt[1195][5]~43618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1195][5]~43618_combout\ = (\led_flash_cnt[1195][5]~q\ & (\led_flash_cnt[1195][4]~43617\ $ (GND))) # (!\led_flash_cnt[1195][5]~q\ & (!\led_flash_cnt[1195][4]~43617\ & VCC))
-- \led_flash_cnt[1195][5]~43619\ = CARRY((\led_flash_cnt[1195][5]~q\ & !\led_flash_cnt[1195][4]~43617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1195][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1195][4]~43617\,
	combout => \led_flash_cnt[1195][5]~43618_combout\,
	cout => \led_flash_cnt[1195][5]~43619\);

-- Location: FF_X60_Y37_N19
\led_flash_cnt[1195][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1195][5]~43618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1195][5]~q\);

-- Location: LCCOMB_X60_Y37_N20
\led_flash_cnt[1195][6]~43620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1195][6]~43620_combout\ = (\led_flash_cnt[1195][6]~q\ & (!\led_flash_cnt[1195][5]~43619\)) # (!\led_flash_cnt[1195][6]~q\ & ((\led_flash_cnt[1195][5]~43619\) # (GND)))
-- \led_flash_cnt[1195][6]~43621\ = CARRY((!\led_flash_cnt[1195][5]~43619\) # (!\led_flash_cnt[1195][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1195][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1195][5]~43619\,
	combout => \led_flash_cnt[1195][6]~43620_combout\,
	cout => \led_flash_cnt[1195][6]~43621\);

-- Location: FF_X60_Y37_N21
\led_flash_cnt[1195][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1195][6]~43620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1195][6]~q\);

-- Location: LCCOMB_X60_Y37_N22
\led_flash_cnt[1195][7]~43622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1195][7]~43622_combout\ = \led_flash_cnt[1195][7]~q\ $ (!\led_flash_cnt[1195][6]~43621\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1195][7]~q\,
	cin => \led_flash_cnt[1195][6]~43621\,
	combout => \led_flash_cnt[1195][7]~43622_combout\);

-- Location: FF_X60_Y37_N23
\led_flash_cnt[1195][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1195][7]~43622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1195][7]~q\);

-- Location: LCCOMB_X60_Y37_N8
\WideAnd1195~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1195~0_combout\ = (\led_flash_cnt[1195][2]~q\ & (\led_flash_cnt[1195][4]~q\ & (\led_flash_cnt[1195][3]~q\ & \led_flash_cnt[1195][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1195][2]~q\,
	datab => \led_flash_cnt[1195][4]~q\,
	datac => \led_flash_cnt[1195][3]~q\,
	datad => \led_flash_cnt[1195][1]~q\,
	combout => \WideAnd1195~0_combout\);

-- Location: LCCOMB_X60_Y37_N2
\WideAnd1195~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1195~1_combout\ = (\led_flash_cnt[1195][6]~q\ & \led_flash_cnt[1195][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1195][6]~q\,
	datad => \led_flash_cnt[1195][5]~q\,
	combout => \WideAnd1195~1_combout\);

-- Location: LCCOMB_X60_Y37_N28
WideAnd1195 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1195~combout\ = (\led_flash_cnt[1195][7]~q\ & (\led_flash_cnt[1195][0]~q\ & (\WideAnd1195~0_combout\ & \WideAnd1195~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1195][7]~q\,
	datab => \led_flash_cnt[1195][0]~q\,
	datac => \WideAnd1195~0_combout\,
	datad => \WideAnd1195~1_combout\,
	combout => \WideAnd1195~combout\);

-- Location: FF_X60_Y37_N29
\led_flash_cnt_ands[1195]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1195~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1195));

-- Location: LCCOMB_X47_Y40_N30
\WideAnd3989~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3989~0_combout\ = (led_flash_cnt_ands(1193) & (led_flash_cnt_ands(1194) & (led_flash_cnt_ands(1192) & led_flash_cnt_ands(1195))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1193),
	datab => led_flash_cnt_ands(1194),
	datac => led_flash_cnt_ands(1192),
	datad => led_flash_cnt_ands(1195),
	combout => \WideAnd3989~0_combout\);

-- Location: LCCOMB_X52_Y39_N0
\led_flash_cnt[1199][0]~81839\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1199][0]~81839_combout\ = !\led_flash_cnt[1199][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1199][0]~q\,
	combout => \led_flash_cnt[1199][0]~81839_combout\);

-- Location: FF_X52_Y39_N1
\led_flash_cnt[1199][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1199][0]~81839_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1199][0]~q\);

-- Location: LCCOMB_X52_Y39_N12
\led_flash_cnt[1199][1]~43666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1199][1]~43666_combout\ = (\led_flash_cnt[1199][1]~q\ & (\led_flash_cnt[1199][0]~q\ $ (VCC))) # (!\led_flash_cnt[1199][1]~q\ & (\led_flash_cnt[1199][0]~q\ & VCC))
-- \led_flash_cnt[1199][1]~43667\ = CARRY((\led_flash_cnt[1199][1]~q\ & \led_flash_cnt[1199][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1199][1]~q\,
	datab => \led_flash_cnt[1199][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1199][1]~43666_combout\,
	cout => \led_flash_cnt[1199][1]~43667\);

-- Location: FF_X52_Y39_N13
\led_flash_cnt[1199][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1199][1]~43666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1199][1]~q\);

-- Location: LCCOMB_X52_Y39_N14
\led_flash_cnt[1199][2]~43668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1199][2]~43668_combout\ = (\led_flash_cnt[1199][2]~q\ & (!\led_flash_cnt[1199][1]~43667\)) # (!\led_flash_cnt[1199][2]~q\ & ((\led_flash_cnt[1199][1]~43667\) # (GND)))
-- \led_flash_cnt[1199][2]~43669\ = CARRY((!\led_flash_cnt[1199][1]~43667\) # (!\led_flash_cnt[1199][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1199][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1199][1]~43667\,
	combout => \led_flash_cnt[1199][2]~43668_combout\,
	cout => \led_flash_cnt[1199][2]~43669\);

-- Location: FF_X52_Y39_N15
\led_flash_cnt[1199][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1199][2]~43668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1199][2]~q\);

-- Location: LCCOMB_X52_Y39_N16
\led_flash_cnt[1199][3]~43670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1199][3]~43670_combout\ = (\led_flash_cnt[1199][3]~q\ & (\led_flash_cnt[1199][2]~43669\ $ (GND))) # (!\led_flash_cnt[1199][3]~q\ & (!\led_flash_cnt[1199][2]~43669\ & VCC))
-- \led_flash_cnt[1199][3]~43671\ = CARRY((\led_flash_cnt[1199][3]~q\ & !\led_flash_cnt[1199][2]~43669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1199][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1199][2]~43669\,
	combout => \led_flash_cnt[1199][3]~43670_combout\,
	cout => \led_flash_cnt[1199][3]~43671\);

-- Location: FF_X52_Y39_N17
\led_flash_cnt[1199][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1199][3]~43670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1199][3]~q\);

-- Location: LCCOMB_X52_Y39_N18
\led_flash_cnt[1199][4]~43672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1199][4]~43672_combout\ = (\led_flash_cnt[1199][4]~q\ & (!\led_flash_cnt[1199][3]~43671\)) # (!\led_flash_cnt[1199][4]~q\ & ((\led_flash_cnt[1199][3]~43671\) # (GND)))
-- \led_flash_cnt[1199][4]~43673\ = CARRY((!\led_flash_cnt[1199][3]~43671\) # (!\led_flash_cnt[1199][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1199][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1199][3]~43671\,
	combout => \led_flash_cnt[1199][4]~43672_combout\,
	cout => \led_flash_cnt[1199][4]~43673\);

-- Location: FF_X52_Y39_N19
\led_flash_cnt[1199][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1199][4]~43672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1199][4]~q\);

-- Location: LCCOMB_X52_Y39_N20
\led_flash_cnt[1199][5]~43674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1199][5]~43674_combout\ = (\led_flash_cnt[1199][5]~q\ & (\led_flash_cnt[1199][4]~43673\ $ (GND))) # (!\led_flash_cnt[1199][5]~q\ & (!\led_flash_cnt[1199][4]~43673\ & VCC))
-- \led_flash_cnt[1199][5]~43675\ = CARRY((\led_flash_cnt[1199][5]~q\ & !\led_flash_cnt[1199][4]~43673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1199][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1199][4]~43673\,
	combout => \led_flash_cnt[1199][5]~43674_combout\,
	cout => \led_flash_cnt[1199][5]~43675\);

-- Location: FF_X52_Y39_N21
\led_flash_cnt[1199][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1199][5]~43674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1199][5]~q\);

-- Location: LCCOMB_X52_Y39_N22
\led_flash_cnt[1199][6]~43676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1199][6]~43676_combout\ = (\led_flash_cnt[1199][6]~q\ & (!\led_flash_cnt[1199][5]~43675\)) # (!\led_flash_cnt[1199][6]~q\ & ((\led_flash_cnt[1199][5]~43675\) # (GND)))
-- \led_flash_cnt[1199][6]~43677\ = CARRY((!\led_flash_cnt[1199][5]~43675\) # (!\led_flash_cnt[1199][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1199][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1199][5]~43675\,
	combout => \led_flash_cnt[1199][6]~43676_combout\,
	cout => \led_flash_cnt[1199][6]~43677\);

-- Location: FF_X52_Y39_N23
\led_flash_cnt[1199][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1199][6]~43676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1199][6]~q\);

-- Location: LCCOMB_X52_Y39_N10
\WideAnd1199~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1199~1_combout\ = (\led_flash_cnt[1199][6]~q\ & \led_flash_cnt[1199][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1199][6]~q\,
	datad => \led_flash_cnt[1199][5]~q\,
	combout => \WideAnd1199~1_combout\);

-- Location: LCCOMB_X52_Y39_N24
\led_flash_cnt[1199][7]~43678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1199][7]~43678_combout\ = \led_flash_cnt[1199][6]~43677\ $ (!\led_flash_cnt[1199][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1199][7]~q\,
	cin => \led_flash_cnt[1199][6]~43677\,
	combout => \led_flash_cnt[1199][7]~43678_combout\);

-- Location: FF_X52_Y39_N25
\led_flash_cnt[1199][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1199][7]~43678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1199][7]~q\);

-- Location: LCCOMB_X52_Y39_N4
\WideAnd1199~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1199~0_combout\ = (\led_flash_cnt[1199][1]~q\ & (\led_flash_cnt[1199][4]~q\ & (\led_flash_cnt[1199][2]~q\ & \led_flash_cnt[1199][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1199][1]~q\,
	datab => \led_flash_cnt[1199][4]~q\,
	datac => \led_flash_cnt[1199][2]~q\,
	datad => \led_flash_cnt[1199][3]~q\,
	combout => \WideAnd1199~0_combout\);

-- Location: LCCOMB_X52_Y39_N28
WideAnd1199 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1199~combout\ = (\WideAnd1199~1_combout\ & (\led_flash_cnt[1199][7]~q\ & (\WideAnd1199~0_combout\ & \led_flash_cnt[1199][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1199~1_combout\,
	datab => \led_flash_cnt[1199][7]~q\,
	datac => \WideAnd1199~0_combout\,
	datad => \led_flash_cnt[1199][0]~q\,
	combout => \WideAnd1199~combout\);

-- Location: FF_X52_Y39_N29
\led_flash_cnt_ands[1199]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1199~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1199));

-- Location: LCCOMB_X51_Y39_N0
WideAnd3989 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3989~combout\ = (led_flash_cnt_ands(1198) & (\WideAnd3989~1_combout\ & (\WideAnd3989~0_combout\ & led_flash_cnt_ands(1199))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1198),
	datab => \WideAnd3989~1_combout\,
	datac => \WideAnd3989~0_combout\,
	datad => led_flash_cnt_ands(1199),
	combout => \WideAnd3989~combout\);

-- Location: FF_X51_Y39_N1
\led_flash_cnt_ands_1[149]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3989~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(149));

-- Location: LCCOMB_X51_Y39_N4
\WideAnd4338~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4338~1_combout\ = (led_flash_cnt_ands_1(148) & led_flash_cnt_ands_1(149))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(148),
	datad => led_flash_cnt_ands_1(149),
	combout => \WideAnd4338~1_combout\);

-- Location: LCCOMB_X40_Y22_N2
WideAnd4338 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4338~combout\ = (led_flash_cnt_ands_1(150) & (led_flash_cnt_ands_1(151) & (\WideAnd4338~0_combout\ & \WideAnd4338~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(150),
	datab => led_flash_cnt_ands_1(151),
	datac => \WideAnd4338~0_combout\,
	datad => \WideAnd4338~1_combout\,
	combout => \WideAnd4338~combout\);

-- Location: FF_X40_Y22_N3
\led_flash_cnt_ands_2[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4338~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(18));

-- Location: LCCOMB_X1_Y12_N30
\led_flash_cnt[1119][0]~81759\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1119][0]~81759_combout\ = !\led_flash_cnt[1119][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1119][0]~q\,
	combout => \led_flash_cnt[1119][0]~81759_combout\);

-- Location: FF_X1_Y12_N31
\led_flash_cnt[1119][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1119][0]~81759_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1119][0]~q\);

-- Location: LCCOMB_X1_Y11_N14
\led_flash_cnt[1119][1]~42546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1119][1]~42546_combout\ = (\led_flash_cnt[1119][0]~q\ & (\led_flash_cnt[1119][1]~q\ $ (VCC))) # (!\led_flash_cnt[1119][0]~q\ & (\led_flash_cnt[1119][1]~q\ & VCC))
-- \led_flash_cnt[1119][1]~42547\ = CARRY((\led_flash_cnt[1119][0]~q\ & \led_flash_cnt[1119][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1119][0]~q\,
	datab => \led_flash_cnt[1119][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1119][1]~42546_combout\,
	cout => \led_flash_cnt[1119][1]~42547\);

-- Location: FF_X1_Y11_N15
\led_flash_cnt[1119][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1119][1]~42546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1119][1]~q\);

-- Location: LCCOMB_X1_Y11_N16
\led_flash_cnt[1119][2]~42548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1119][2]~42548_combout\ = (\led_flash_cnt[1119][2]~q\ & (!\led_flash_cnt[1119][1]~42547\)) # (!\led_flash_cnt[1119][2]~q\ & ((\led_flash_cnt[1119][1]~42547\) # (GND)))
-- \led_flash_cnt[1119][2]~42549\ = CARRY((!\led_flash_cnt[1119][1]~42547\) # (!\led_flash_cnt[1119][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1119][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1119][1]~42547\,
	combout => \led_flash_cnt[1119][2]~42548_combout\,
	cout => \led_flash_cnt[1119][2]~42549\);

-- Location: FF_X1_Y11_N17
\led_flash_cnt[1119][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1119][2]~42548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1119][2]~q\);

-- Location: LCCOMB_X1_Y11_N18
\led_flash_cnt[1119][3]~42550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1119][3]~42550_combout\ = (\led_flash_cnt[1119][3]~q\ & (\led_flash_cnt[1119][2]~42549\ $ (GND))) # (!\led_flash_cnt[1119][3]~q\ & (!\led_flash_cnt[1119][2]~42549\ & VCC))
-- \led_flash_cnt[1119][3]~42551\ = CARRY((\led_flash_cnt[1119][3]~q\ & !\led_flash_cnt[1119][2]~42549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1119][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1119][2]~42549\,
	combout => \led_flash_cnt[1119][3]~42550_combout\,
	cout => \led_flash_cnt[1119][3]~42551\);

-- Location: FF_X1_Y11_N19
\led_flash_cnt[1119][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1119][3]~42550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1119][3]~q\);

-- Location: LCCOMB_X1_Y11_N20
\led_flash_cnt[1119][4]~42552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1119][4]~42552_combout\ = (\led_flash_cnt[1119][4]~q\ & (!\led_flash_cnt[1119][3]~42551\)) # (!\led_flash_cnt[1119][4]~q\ & ((\led_flash_cnt[1119][3]~42551\) # (GND)))
-- \led_flash_cnt[1119][4]~42553\ = CARRY((!\led_flash_cnt[1119][3]~42551\) # (!\led_flash_cnt[1119][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1119][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1119][3]~42551\,
	combout => \led_flash_cnt[1119][4]~42552_combout\,
	cout => \led_flash_cnt[1119][4]~42553\);

-- Location: FF_X1_Y11_N21
\led_flash_cnt[1119][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1119][4]~42552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1119][4]~q\);

-- Location: LCCOMB_X1_Y11_N28
\WideAnd1119~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1119~0_combout\ = (\led_flash_cnt[1119][2]~q\ & (\led_flash_cnt[1119][4]~q\ & (\led_flash_cnt[1119][1]~q\ & \led_flash_cnt[1119][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1119][2]~q\,
	datab => \led_flash_cnt[1119][4]~q\,
	datac => \led_flash_cnt[1119][1]~q\,
	datad => \led_flash_cnt[1119][3]~q\,
	combout => \WideAnd1119~0_combout\);

-- Location: LCCOMB_X1_Y11_N22
\led_flash_cnt[1119][5]~42554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1119][5]~42554_combout\ = (\led_flash_cnt[1119][5]~q\ & (\led_flash_cnt[1119][4]~42553\ $ (GND))) # (!\led_flash_cnt[1119][5]~q\ & (!\led_flash_cnt[1119][4]~42553\ & VCC))
-- \led_flash_cnt[1119][5]~42555\ = CARRY((\led_flash_cnt[1119][5]~q\ & !\led_flash_cnt[1119][4]~42553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1119][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1119][4]~42553\,
	combout => \led_flash_cnt[1119][5]~42554_combout\,
	cout => \led_flash_cnt[1119][5]~42555\);

-- Location: FF_X1_Y11_N23
\led_flash_cnt[1119][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1119][5]~42554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1119][5]~q\);

-- Location: LCCOMB_X1_Y11_N24
\led_flash_cnt[1119][6]~42556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1119][6]~42556_combout\ = (\led_flash_cnt[1119][6]~q\ & (!\led_flash_cnt[1119][5]~42555\)) # (!\led_flash_cnt[1119][6]~q\ & ((\led_flash_cnt[1119][5]~42555\) # (GND)))
-- \led_flash_cnt[1119][6]~42557\ = CARRY((!\led_flash_cnt[1119][5]~42555\) # (!\led_flash_cnt[1119][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1119][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1119][5]~42555\,
	combout => \led_flash_cnt[1119][6]~42556_combout\,
	cout => \led_flash_cnt[1119][6]~42557\);

-- Location: FF_X1_Y11_N25
\led_flash_cnt[1119][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1119][6]~42556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1119][6]~q\);

-- Location: LCCOMB_X2_Y11_N18
\WideAnd1119~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1119~1_combout\ = (\led_flash_cnt[1119][6]~q\ & \led_flash_cnt[1119][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1119][6]~q\,
	datad => \led_flash_cnt[1119][5]~q\,
	combout => \WideAnd1119~1_combout\);

-- Location: LCCOMB_X1_Y11_N26
\led_flash_cnt[1119][7]~42558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1119][7]~42558_combout\ = \led_flash_cnt[1119][7]~q\ $ (!\led_flash_cnt[1119][6]~42557\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1119][7]~q\,
	cin => \led_flash_cnt[1119][6]~42557\,
	combout => \led_flash_cnt[1119][7]~42558_combout\);

-- Location: FF_X1_Y11_N27
\led_flash_cnt[1119][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1119][7]~42558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1119][7]~q\);

-- Location: LCCOMB_X1_Y12_N6
WideAnd1119 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1119~combout\ = (\led_flash_cnt[1119][0]~q\ & (\WideAnd1119~0_combout\ & (\WideAnd1119~1_combout\ & \led_flash_cnt[1119][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1119][0]~q\,
	datab => \WideAnd1119~0_combout\,
	datac => \WideAnd1119~1_combout\,
	datad => \led_flash_cnt[1119][7]~q\,
	combout => \WideAnd1119~combout\);

-- Location: FF_X1_Y12_N7
\led_flash_cnt_ands[1119]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1119~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1119));

-- Location: LCCOMB_X1_Y12_N12
\led_flash_cnt[1118][0]~81758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1118][0]~81758_combout\ = !\led_flash_cnt[1118][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1118][0]~q\,
	combout => \led_flash_cnt[1118][0]~81758_combout\);

-- Location: FF_X1_Y12_N13
\led_flash_cnt[1118][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1118][0]~81758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1118][0]~q\);

-- Location: LCCOMB_X1_Y12_N16
\led_flash_cnt[1118][1]~42532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1118][1]~42532_combout\ = (\led_flash_cnt[1118][0]~q\ & (\led_flash_cnt[1118][1]~q\ $ (VCC))) # (!\led_flash_cnt[1118][0]~q\ & (\led_flash_cnt[1118][1]~q\ & VCC))
-- \led_flash_cnt[1118][1]~42533\ = CARRY((\led_flash_cnt[1118][0]~q\ & \led_flash_cnt[1118][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1118][0]~q\,
	datab => \led_flash_cnt[1118][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1118][1]~42532_combout\,
	cout => \led_flash_cnt[1118][1]~42533\);

-- Location: FF_X1_Y12_N17
\led_flash_cnt[1118][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1118][1]~42532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1118][1]~q\);

-- Location: LCCOMB_X1_Y12_N18
\led_flash_cnt[1118][2]~42534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1118][2]~42534_combout\ = (\led_flash_cnt[1118][2]~q\ & (!\led_flash_cnt[1118][1]~42533\)) # (!\led_flash_cnt[1118][2]~q\ & ((\led_flash_cnt[1118][1]~42533\) # (GND)))
-- \led_flash_cnt[1118][2]~42535\ = CARRY((!\led_flash_cnt[1118][1]~42533\) # (!\led_flash_cnt[1118][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1118][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1118][1]~42533\,
	combout => \led_flash_cnt[1118][2]~42534_combout\,
	cout => \led_flash_cnt[1118][2]~42535\);

-- Location: FF_X1_Y12_N19
\led_flash_cnt[1118][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1118][2]~42534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1118][2]~q\);

-- Location: LCCOMB_X1_Y12_N20
\led_flash_cnt[1118][3]~42536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1118][3]~42536_combout\ = (\led_flash_cnt[1118][3]~q\ & (\led_flash_cnt[1118][2]~42535\ $ (GND))) # (!\led_flash_cnt[1118][3]~q\ & (!\led_flash_cnt[1118][2]~42535\ & VCC))
-- \led_flash_cnt[1118][3]~42537\ = CARRY((\led_flash_cnt[1118][3]~q\ & !\led_flash_cnt[1118][2]~42535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1118][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1118][2]~42535\,
	combout => \led_flash_cnt[1118][3]~42536_combout\,
	cout => \led_flash_cnt[1118][3]~42537\);

-- Location: FF_X1_Y12_N21
\led_flash_cnt[1118][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1118][3]~42536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1118][3]~q\);

-- Location: LCCOMB_X1_Y12_N22
\led_flash_cnt[1118][4]~42538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1118][4]~42538_combout\ = (\led_flash_cnt[1118][4]~q\ & (!\led_flash_cnt[1118][3]~42537\)) # (!\led_flash_cnt[1118][4]~q\ & ((\led_flash_cnt[1118][3]~42537\) # (GND)))
-- \led_flash_cnt[1118][4]~42539\ = CARRY((!\led_flash_cnt[1118][3]~42537\) # (!\led_flash_cnt[1118][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1118][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1118][3]~42537\,
	combout => \led_flash_cnt[1118][4]~42538_combout\,
	cout => \led_flash_cnt[1118][4]~42539\);

-- Location: FF_X1_Y12_N23
\led_flash_cnt[1118][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1118][4]~42538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1118][4]~q\);

-- Location: LCCOMB_X1_Y12_N4
\WideAnd1118~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1118~0_combout\ = (\led_flash_cnt[1118][1]~q\ & (\led_flash_cnt[1118][2]~q\ & (\led_flash_cnt[1118][4]~q\ & \led_flash_cnt[1118][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1118][1]~q\,
	datab => \led_flash_cnt[1118][2]~q\,
	datac => \led_flash_cnt[1118][4]~q\,
	datad => \led_flash_cnt[1118][3]~q\,
	combout => \WideAnd1118~0_combout\);

-- Location: LCCOMB_X1_Y12_N24
\led_flash_cnt[1118][5]~42540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1118][5]~42540_combout\ = (\led_flash_cnt[1118][5]~q\ & (\led_flash_cnt[1118][4]~42539\ $ (GND))) # (!\led_flash_cnt[1118][5]~q\ & (!\led_flash_cnt[1118][4]~42539\ & VCC))
-- \led_flash_cnt[1118][5]~42541\ = CARRY((\led_flash_cnt[1118][5]~q\ & !\led_flash_cnt[1118][4]~42539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1118][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1118][4]~42539\,
	combout => \led_flash_cnt[1118][5]~42540_combout\,
	cout => \led_flash_cnt[1118][5]~42541\);

-- Location: FF_X1_Y12_N25
\led_flash_cnt[1118][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1118][5]~42540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1118][5]~q\);

-- Location: LCCOMB_X1_Y12_N26
\led_flash_cnt[1118][6]~42542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1118][6]~42542_combout\ = (\led_flash_cnt[1118][6]~q\ & (!\led_flash_cnt[1118][5]~42541\)) # (!\led_flash_cnt[1118][6]~q\ & ((\led_flash_cnt[1118][5]~42541\) # (GND)))
-- \led_flash_cnt[1118][6]~42543\ = CARRY((!\led_flash_cnt[1118][5]~42541\) # (!\led_flash_cnt[1118][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1118][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1118][5]~42541\,
	combout => \led_flash_cnt[1118][6]~42542_combout\,
	cout => \led_flash_cnt[1118][6]~42543\);

-- Location: FF_X1_Y12_N27
\led_flash_cnt[1118][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1118][6]~42542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1118][6]~q\);

-- Location: LCCOMB_X1_Y12_N8
\WideAnd1118~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1118~1_combout\ = (\led_flash_cnt[1118][6]~q\ & \led_flash_cnt[1118][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1118][6]~q\,
	datad => \led_flash_cnt[1118][5]~q\,
	combout => \WideAnd1118~1_combout\);

-- Location: LCCOMB_X1_Y12_N28
\led_flash_cnt[1118][7]~42544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1118][7]~42544_combout\ = \led_flash_cnt[1118][6]~42543\ $ (!\led_flash_cnt[1118][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1118][7]~q\,
	cin => \led_flash_cnt[1118][6]~42543\,
	combout => \led_flash_cnt[1118][7]~42544_combout\);

-- Location: FF_X1_Y12_N29
\led_flash_cnt[1118][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1118][7]~42544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1118][7]~q\);

-- Location: LCCOMB_X1_Y12_N0
WideAnd1118 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1118~combout\ = (\led_flash_cnt[1118][0]~q\ & (\WideAnd1118~0_combout\ & (\WideAnd1118~1_combout\ & \led_flash_cnt[1118][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1118][0]~q\,
	datab => \WideAnd1118~0_combout\,
	datac => \WideAnd1118~1_combout\,
	datad => \led_flash_cnt[1118][7]~q\,
	combout => \WideAnd1118~combout\);

-- Location: FF_X1_Y12_N1
\led_flash_cnt_ands[1118]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1118~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1118));

-- Location: LCCOMB_X13_Y21_N4
\led_flash_cnt[1115][0]~81755\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1115][0]~81755_combout\ = !\led_flash_cnt[1115][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1115][0]~q\,
	combout => \led_flash_cnt[1115][0]~81755_combout\);

-- Location: FF_X13_Y21_N5
\led_flash_cnt[1115][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1115][0]~81755_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1115][0]~q\);

-- Location: LCCOMB_X12_Y21_N16
\led_flash_cnt[1115][1]~42490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1115][1]~42490_combout\ = (\led_flash_cnt[1115][0]~q\ & (\led_flash_cnt[1115][1]~q\ $ (VCC))) # (!\led_flash_cnt[1115][0]~q\ & (\led_flash_cnt[1115][1]~q\ & VCC))
-- \led_flash_cnt[1115][1]~42491\ = CARRY((\led_flash_cnt[1115][0]~q\ & \led_flash_cnt[1115][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1115][0]~q\,
	datab => \led_flash_cnt[1115][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1115][1]~42490_combout\,
	cout => \led_flash_cnt[1115][1]~42491\);

-- Location: FF_X12_Y21_N17
\led_flash_cnt[1115][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1115][1]~42490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1115][1]~q\);

-- Location: LCCOMB_X12_Y21_N18
\led_flash_cnt[1115][2]~42492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1115][2]~42492_combout\ = (\led_flash_cnt[1115][2]~q\ & (!\led_flash_cnt[1115][1]~42491\)) # (!\led_flash_cnt[1115][2]~q\ & ((\led_flash_cnt[1115][1]~42491\) # (GND)))
-- \led_flash_cnt[1115][2]~42493\ = CARRY((!\led_flash_cnt[1115][1]~42491\) # (!\led_flash_cnt[1115][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1115][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1115][1]~42491\,
	combout => \led_flash_cnt[1115][2]~42492_combout\,
	cout => \led_flash_cnt[1115][2]~42493\);

-- Location: FF_X12_Y21_N19
\led_flash_cnt[1115][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1115][2]~42492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1115][2]~q\);

-- Location: LCCOMB_X12_Y21_N20
\led_flash_cnt[1115][3]~42494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1115][3]~42494_combout\ = (\led_flash_cnt[1115][3]~q\ & (\led_flash_cnt[1115][2]~42493\ $ (GND))) # (!\led_flash_cnt[1115][3]~q\ & (!\led_flash_cnt[1115][2]~42493\ & VCC))
-- \led_flash_cnt[1115][3]~42495\ = CARRY((\led_flash_cnt[1115][3]~q\ & !\led_flash_cnt[1115][2]~42493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1115][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1115][2]~42493\,
	combout => \led_flash_cnt[1115][3]~42494_combout\,
	cout => \led_flash_cnt[1115][3]~42495\);

-- Location: FF_X12_Y21_N21
\led_flash_cnt[1115][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1115][3]~42494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1115][3]~q\);

-- Location: LCCOMB_X12_Y21_N22
\led_flash_cnt[1115][4]~42496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1115][4]~42496_combout\ = (\led_flash_cnt[1115][4]~q\ & (!\led_flash_cnt[1115][3]~42495\)) # (!\led_flash_cnt[1115][4]~q\ & ((\led_flash_cnt[1115][3]~42495\) # (GND)))
-- \led_flash_cnt[1115][4]~42497\ = CARRY((!\led_flash_cnt[1115][3]~42495\) # (!\led_flash_cnt[1115][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1115][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1115][3]~42495\,
	combout => \led_flash_cnt[1115][4]~42496_combout\,
	cout => \led_flash_cnt[1115][4]~42497\);

-- Location: FF_X12_Y21_N23
\led_flash_cnt[1115][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1115][4]~42496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1115][4]~q\);

-- Location: LCCOMB_X12_Y21_N24
\led_flash_cnt[1115][5]~42498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1115][5]~42498_combout\ = (\led_flash_cnt[1115][5]~q\ & (\led_flash_cnt[1115][4]~42497\ $ (GND))) # (!\led_flash_cnt[1115][5]~q\ & (!\led_flash_cnt[1115][4]~42497\ & VCC))
-- \led_flash_cnt[1115][5]~42499\ = CARRY((\led_flash_cnt[1115][5]~q\ & !\led_flash_cnt[1115][4]~42497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1115][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1115][4]~42497\,
	combout => \led_flash_cnt[1115][5]~42498_combout\,
	cout => \led_flash_cnt[1115][5]~42499\);

-- Location: FF_X12_Y21_N25
\led_flash_cnt[1115][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1115][5]~42498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1115][5]~q\);

-- Location: LCCOMB_X12_Y21_N26
\led_flash_cnt[1115][6]~42500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1115][6]~42500_combout\ = (\led_flash_cnt[1115][6]~q\ & (!\led_flash_cnt[1115][5]~42499\)) # (!\led_flash_cnt[1115][6]~q\ & ((\led_flash_cnt[1115][5]~42499\) # (GND)))
-- \led_flash_cnt[1115][6]~42501\ = CARRY((!\led_flash_cnt[1115][5]~42499\) # (!\led_flash_cnt[1115][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1115][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1115][5]~42499\,
	combout => \led_flash_cnt[1115][6]~42500_combout\,
	cout => \led_flash_cnt[1115][6]~42501\);

-- Location: FF_X12_Y21_N27
\led_flash_cnt[1115][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1115][6]~42500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1115][6]~q\);

-- Location: LCCOMB_X12_Y21_N28
\led_flash_cnt[1115][7]~42502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1115][7]~42502_combout\ = \led_flash_cnt[1115][6]~42501\ $ (!\led_flash_cnt[1115][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1115][7]~q\,
	cin => \led_flash_cnt[1115][6]~42501\,
	combout => \led_flash_cnt[1115][7]~42502_combout\);

-- Location: FF_X12_Y21_N29
\led_flash_cnt[1115][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1115][7]~42502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1115][7]~q\);

-- Location: LCCOMB_X11_Y21_N6
\WideAnd1115~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1115~0_combout\ = (\led_flash_cnt[1115][4]~q\ & (\led_flash_cnt[1115][2]~q\ & (\led_flash_cnt[1115][3]~q\ & \led_flash_cnt[1115][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1115][4]~q\,
	datab => \led_flash_cnt[1115][2]~q\,
	datac => \led_flash_cnt[1115][3]~q\,
	datad => \led_flash_cnt[1115][1]~q\,
	combout => \WideAnd1115~0_combout\);

-- Location: LCCOMB_X13_Y21_N22
\WideAnd1115~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1115~1_combout\ = (\led_flash_cnt[1115][6]~q\ & \led_flash_cnt[1115][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1115][6]~q\,
	datad => \led_flash_cnt[1115][5]~q\,
	combout => \WideAnd1115~1_combout\);

-- Location: LCCOMB_X12_Y21_N14
WideAnd1115 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1115~combout\ = (\led_flash_cnt[1115][0]~q\ & (\led_flash_cnt[1115][7]~q\ & (\WideAnd1115~0_combout\ & \WideAnd1115~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1115][0]~q\,
	datab => \led_flash_cnt[1115][7]~q\,
	datac => \WideAnd1115~0_combout\,
	datad => \WideAnd1115~1_combout\,
	combout => \WideAnd1115~combout\);

-- Location: FF_X12_Y21_N15
\led_flash_cnt_ands[1115]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1115~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1115));

-- Location: LCCOMB_X13_Y21_N2
\led_flash_cnt[1113][0]~81753\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1113][0]~81753_combout\ = !\led_flash_cnt[1113][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1113][0]~q\,
	combout => \led_flash_cnt[1113][0]~81753_combout\);

-- Location: FF_X13_Y21_N3
\led_flash_cnt[1113][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1113][0]~81753_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1113][0]~q\);

-- Location: LCCOMB_X13_Y21_N6
\led_flash_cnt[1113][1]~42462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1113][1]~42462_combout\ = (\led_flash_cnt[1113][1]~q\ & (\led_flash_cnt[1113][0]~q\ $ (VCC))) # (!\led_flash_cnt[1113][1]~q\ & (\led_flash_cnt[1113][0]~q\ & VCC))
-- \led_flash_cnt[1113][1]~42463\ = CARRY((\led_flash_cnt[1113][1]~q\ & \led_flash_cnt[1113][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1113][1]~q\,
	datab => \led_flash_cnt[1113][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1113][1]~42462_combout\,
	cout => \led_flash_cnt[1113][1]~42463\);

-- Location: FF_X13_Y21_N7
\led_flash_cnt[1113][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1113][1]~42462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1113][1]~q\);

-- Location: LCCOMB_X13_Y21_N8
\led_flash_cnt[1113][2]~42464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1113][2]~42464_combout\ = (\led_flash_cnt[1113][2]~q\ & (!\led_flash_cnt[1113][1]~42463\)) # (!\led_flash_cnt[1113][2]~q\ & ((\led_flash_cnt[1113][1]~42463\) # (GND)))
-- \led_flash_cnt[1113][2]~42465\ = CARRY((!\led_flash_cnt[1113][1]~42463\) # (!\led_flash_cnt[1113][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1113][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1113][1]~42463\,
	combout => \led_flash_cnt[1113][2]~42464_combout\,
	cout => \led_flash_cnt[1113][2]~42465\);

-- Location: FF_X13_Y21_N9
\led_flash_cnt[1113][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1113][2]~42464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1113][2]~q\);

-- Location: LCCOMB_X13_Y21_N10
\led_flash_cnt[1113][3]~42466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1113][3]~42466_combout\ = (\led_flash_cnt[1113][3]~q\ & (\led_flash_cnt[1113][2]~42465\ $ (GND))) # (!\led_flash_cnt[1113][3]~q\ & (!\led_flash_cnt[1113][2]~42465\ & VCC))
-- \led_flash_cnt[1113][3]~42467\ = CARRY((\led_flash_cnt[1113][3]~q\ & !\led_flash_cnt[1113][2]~42465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1113][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1113][2]~42465\,
	combout => \led_flash_cnt[1113][3]~42466_combout\,
	cout => \led_flash_cnt[1113][3]~42467\);

-- Location: FF_X13_Y21_N11
\led_flash_cnt[1113][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1113][3]~42466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1113][3]~q\);

-- Location: LCCOMB_X13_Y21_N12
\led_flash_cnt[1113][4]~42468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1113][4]~42468_combout\ = (\led_flash_cnt[1113][4]~q\ & (!\led_flash_cnt[1113][3]~42467\)) # (!\led_flash_cnt[1113][4]~q\ & ((\led_flash_cnt[1113][3]~42467\) # (GND)))
-- \led_flash_cnt[1113][4]~42469\ = CARRY((!\led_flash_cnt[1113][3]~42467\) # (!\led_flash_cnt[1113][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1113][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1113][3]~42467\,
	combout => \led_flash_cnt[1113][4]~42468_combout\,
	cout => \led_flash_cnt[1113][4]~42469\);

-- Location: FF_X13_Y21_N13
\led_flash_cnt[1113][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1113][4]~42468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1113][4]~q\);

-- Location: LCCOMB_X13_Y21_N14
\led_flash_cnt[1113][5]~42470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1113][5]~42470_combout\ = (\led_flash_cnt[1113][5]~q\ & (\led_flash_cnt[1113][4]~42469\ $ (GND))) # (!\led_flash_cnt[1113][5]~q\ & (!\led_flash_cnt[1113][4]~42469\ & VCC))
-- \led_flash_cnt[1113][5]~42471\ = CARRY((\led_flash_cnt[1113][5]~q\ & !\led_flash_cnt[1113][4]~42469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1113][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1113][4]~42469\,
	combout => \led_flash_cnt[1113][5]~42470_combout\,
	cout => \led_flash_cnt[1113][5]~42471\);

-- Location: FF_X13_Y21_N15
\led_flash_cnt[1113][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1113][5]~42470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1113][5]~q\);

-- Location: LCCOMB_X13_Y21_N16
\led_flash_cnt[1113][6]~42472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1113][6]~42472_combout\ = (\led_flash_cnt[1113][6]~q\ & (!\led_flash_cnt[1113][5]~42471\)) # (!\led_flash_cnt[1113][6]~q\ & ((\led_flash_cnt[1113][5]~42471\) # (GND)))
-- \led_flash_cnt[1113][6]~42473\ = CARRY((!\led_flash_cnt[1113][5]~42471\) # (!\led_flash_cnt[1113][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1113][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1113][5]~42471\,
	combout => \led_flash_cnt[1113][6]~42472_combout\,
	cout => \led_flash_cnt[1113][6]~42473\);

-- Location: FF_X13_Y21_N17
\led_flash_cnt[1113][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1113][6]~42472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1113][6]~q\);

-- Location: LCCOMB_X13_Y21_N18
\led_flash_cnt[1113][7]~42474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1113][7]~42474_combout\ = \led_flash_cnt[1113][6]~42473\ $ (!\led_flash_cnt[1113][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1113][7]~q\,
	cin => \led_flash_cnt[1113][6]~42473\,
	combout => \led_flash_cnt[1113][7]~42474_combout\);

-- Location: FF_X13_Y21_N19
\led_flash_cnt[1113][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1113][7]~42474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1113][7]~q\);

-- Location: LCCOMB_X13_Y21_N26
\WideAnd1113~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1113~1_combout\ = (\led_flash_cnt[1113][2]~q\ & \led_flash_cnt[1113][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1113][2]~q\,
	datad => \led_flash_cnt[1113][7]~q\,
	combout => \WideAnd1113~1_combout\);

-- Location: LCCOMB_X13_Y21_N24
\WideAnd1113~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1113~0_combout\ = (\led_flash_cnt[1113][1]~q\ & (\led_flash_cnt[1113][0]~q\ & (\led_flash_cnt[1113][3]~q\ & \led_flash_cnt[1113][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1113][1]~q\,
	datab => \led_flash_cnt[1113][0]~q\,
	datac => \led_flash_cnt[1113][3]~q\,
	datad => \led_flash_cnt[1113][4]~q\,
	combout => \WideAnd1113~0_combout\);

-- Location: LCCOMB_X13_Y21_N0
WideAnd1113 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1113~combout\ = (\WideAnd1113~1_combout\ & (\led_flash_cnt[1113][6]~q\ & (\led_flash_cnt[1113][5]~q\ & \WideAnd1113~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1113~1_combout\,
	datab => \led_flash_cnt[1113][6]~q\,
	datac => \led_flash_cnt[1113][5]~q\,
	datad => \WideAnd1113~0_combout\,
	combout => \WideAnd1113~combout\);

-- Location: FF_X13_Y21_N1
\led_flash_cnt_ands[1113]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1113~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1113));

-- Location: LCCOMB_X26_Y16_N6
\led_flash_cnt[1112][0]~81752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1112][0]~81752_combout\ = !\led_flash_cnt[1112][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1112][0]~q\,
	combout => \led_flash_cnt[1112][0]~81752_combout\);

-- Location: FF_X26_Y16_N7
\led_flash_cnt[1112][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1112][0]~81752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1112][0]~q\);

-- Location: LCCOMB_X27_Y16_N18
\led_flash_cnt[1112][1]~42448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1112][1]~42448_combout\ = (\led_flash_cnt[1112][0]~q\ & (\led_flash_cnt[1112][1]~q\ $ (VCC))) # (!\led_flash_cnt[1112][0]~q\ & (\led_flash_cnt[1112][1]~q\ & VCC))
-- \led_flash_cnt[1112][1]~42449\ = CARRY((\led_flash_cnt[1112][0]~q\ & \led_flash_cnt[1112][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1112][0]~q\,
	datab => \led_flash_cnt[1112][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1112][1]~42448_combout\,
	cout => \led_flash_cnt[1112][1]~42449\);

-- Location: FF_X27_Y16_N19
\led_flash_cnt[1112][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1112][1]~42448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1112][1]~q\);

-- Location: LCCOMB_X27_Y16_N20
\led_flash_cnt[1112][2]~42450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1112][2]~42450_combout\ = (\led_flash_cnt[1112][2]~q\ & (!\led_flash_cnt[1112][1]~42449\)) # (!\led_flash_cnt[1112][2]~q\ & ((\led_flash_cnt[1112][1]~42449\) # (GND)))
-- \led_flash_cnt[1112][2]~42451\ = CARRY((!\led_flash_cnt[1112][1]~42449\) # (!\led_flash_cnt[1112][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1112][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1112][1]~42449\,
	combout => \led_flash_cnt[1112][2]~42450_combout\,
	cout => \led_flash_cnt[1112][2]~42451\);

-- Location: FF_X27_Y16_N21
\led_flash_cnt[1112][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1112][2]~42450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1112][2]~q\);

-- Location: LCCOMB_X27_Y16_N22
\led_flash_cnt[1112][3]~42452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1112][3]~42452_combout\ = (\led_flash_cnt[1112][3]~q\ & (\led_flash_cnt[1112][2]~42451\ $ (GND))) # (!\led_flash_cnt[1112][3]~q\ & (!\led_flash_cnt[1112][2]~42451\ & VCC))
-- \led_flash_cnt[1112][3]~42453\ = CARRY((\led_flash_cnt[1112][3]~q\ & !\led_flash_cnt[1112][2]~42451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1112][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1112][2]~42451\,
	combout => \led_flash_cnt[1112][3]~42452_combout\,
	cout => \led_flash_cnt[1112][3]~42453\);

-- Location: FF_X27_Y16_N23
\led_flash_cnt[1112][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1112][3]~42452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1112][3]~q\);

-- Location: LCCOMB_X27_Y16_N24
\led_flash_cnt[1112][4]~42454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1112][4]~42454_combout\ = (\led_flash_cnt[1112][4]~q\ & (!\led_flash_cnt[1112][3]~42453\)) # (!\led_flash_cnt[1112][4]~q\ & ((\led_flash_cnt[1112][3]~42453\) # (GND)))
-- \led_flash_cnt[1112][4]~42455\ = CARRY((!\led_flash_cnt[1112][3]~42453\) # (!\led_flash_cnt[1112][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1112][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1112][3]~42453\,
	combout => \led_flash_cnt[1112][4]~42454_combout\,
	cout => \led_flash_cnt[1112][4]~42455\);

-- Location: FF_X27_Y16_N25
\led_flash_cnt[1112][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1112][4]~42454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1112][4]~q\);

-- Location: LCCOMB_X27_Y16_N26
\led_flash_cnt[1112][5]~42456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1112][5]~42456_combout\ = (\led_flash_cnt[1112][5]~q\ & (\led_flash_cnt[1112][4]~42455\ $ (GND))) # (!\led_flash_cnt[1112][5]~q\ & (!\led_flash_cnt[1112][4]~42455\ & VCC))
-- \led_flash_cnt[1112][5]~42457\ = CARRY((\led_flash_cnt[1112][5]~q\ & !\led_flash_cnt[1112][4]~42455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1112][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1112][4]~42455\,
	combout => \led_flash_cnt[1112][5]~42456_combout\,
	cout => \led_flash_cnt[1112][5]~42457\);

-- Location: FF_X27_Y16_N27
\led_flash_cnt[1112][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1112][5]~42456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1112][5]~q\);

-- Location: LCCOMB_X27_Y16_N28
\led_flash_cnt[1112][6]~42458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1112][6]~42458_combout\ = (\led_flash_cnt[1112][6]~q\ & (!\led_flash_cnt[1112][5]~42457\)) # (!\led_flash_cnt[1112][6]~q\ & ((\led_flash_cnt[1112][5]~42457\) # (GND)))
-- \led_flash_cnt[1112][6]~42459\ = CARRY((!\led_flash_cnt[1112][5]~42457\) # (!\led_flash_cnt[1112][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1112][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1112][5]~42457\,
	combout => \led_flash_cnt[1112][6]~42458_combout\,
	cout => \led_flash_cnt[1112][6]~42459\);

-- Location: FF_X27_Y16_N29
\led_flash_cnt[1112][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1112][6]~42458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1112][6]~q\);

-- Location: LCCOMB_X26_Y16_N30
\WideAnd1112~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1112~1_combout\ = (\led_flash_cnt[1112][6]~q\ & \led_flash_cnt[1112][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1112][6]~q\,
	datad => \led_flash_cnt[1112][5]~q\,
	combout => \WideAnd1112~1_combout\);

-- Location: LCCOMB_X27_Y16_N16
\WideAnd1112~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1112~0_combout\ = (\led_flash_cnt[1112][2]~q\ & (\led_flash_cnt[1112][1]~q\ & (\led_flash_cnt[1112][3]~q\ & \led_flash_cnt[1112][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1112][2]~q\,
	datab => \led_flash_cnt[1112][1]~q\,
	datac => \led_flash_cnt[1112][3]~q\,
	datad => \led_flash_cnt[1112][4]~q\,
	combout => \WideAnd1112~0_combout\);

-- Location: LCCOMB_X27_Y16_N30
\led_flash_cnt[1112][7]~42460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1112][7]~42460_combout\ = \led_flash_cnt[1112][7]~q\ $ (!\led_flash_cnt[1112][6]~42459\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1112][7]~q\,
	cin => \led_flash_cnt[1112][6]~42459\,
	combout => \led_flash_cnt[1112][7]~42460_combout\);

-- Location: FF_X27_Y16_N31
\led_flash_cnt[1112][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1112][7]~42460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1112][7]~q\);

-- Location: LCCOMB_X26_Y16_N0
WideAnd1112 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1112~combout\ = (\WideAnd1112~1_combout\ & (\WideAnd1112~0_combout\ & (\led_flash_cnt[1112][7]~q\ & \led_flash_cnt[1112][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1112~1_combout\,
	datab => \WideAnd1112~0_combout\,
	datac => \led_flash_cnt[1112][7]~q\,
	datad => \led_flash_cnt[1112][0]~q\,
	combout => \WideAnd1112~combout\);

-- Location: FF_X26_Y16_N1
\led_flash_cnt_ands[1112]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1112~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1112));

-- Location: LCCOMB_X18_Y21_N24
\led_flash_cnt[1114][0]~81754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1114][0]~81754_combout\ = !\led_flash_cnt[1114][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1114][0]~q\,
	combout => \led_flash_cnt[1114][0]~81754_combout\);

-- Location: FF_X18_Y21_N25
\led_flash_cnt[1114][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1114][0]~81754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1114][0]~q\);

-- Location: LCCOMB_X14_Y21_N14
\led_flash_cnt[1114][1]~42476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1114][1]~42476_combout\ = (\led_flash_cnt[1114][0]~q\ & (\led_flash_cnt[1114][1]~q\ $ (VCC))) # (!\led_flash_cnt[1114][0]~q\ & (\led_flash_cnt[1114][1]~q\ & VCC))
-- \led_flash_cnt[1114][1]~42477\ = CARRY((\led_flash_cnt[1114][0]~q\ & \led_flash_cnt[1114][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1114][0]~q\,
	datab => \led_flash_cnt[1114][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1114][1]~42476_combout\,
	cout => \led_flash_cnt[1114][1]~42477\);

-- Location: FF_X14_Y21_N15
\led_flash_cnt[1114][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1114][1]~42476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1114][1]~q\);

-- Location: LCCOMB_X14_Y21_N16
\led_flash_cnt[1114][2]~42478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1114][2]~42478_combout\ = (\led_flash_cnt[1114][2]~q\ & (!\led_flash_cnt[1114][1]~42477\)) # (!\led_flash_cnt[1114][2]~q\ & ((\led_flash_cnt[1114][1]~42477\) # (GND)))
-- \led_flash_cnt[1114][2]~42479\ = CARRY((!\led_flash_cnt[1114][1]~42477\) # (!\led_flash_cnt[1114][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1114][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1114][1]~42477\,
	combout => \led_flash_cnt[1114][2]~42478_combout\,
	cout => \led_flash_cnt[1114][2]~42479\);

-- Location: FF_X14_Y21_N17
\led_flash_cnt[1114][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1114][2]~42478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1114][2]~q\);

-- Location: LCCOMB_X14_Y21_N18
\led_flash_cnt[1114][3]~42480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1114][3]~42480_combout\ = (\led_flash_cnt[1114][3]~q\ & (\led_flash_cnt[1114][2]~42479\ $ (GND))) # (!\led_flash_cnt[1114][3]~q\ & (!\led_flash_cnt[1114][2]~42479\ & VCC))
-- \led_flash_cnt[1114][3]~42481\ = CARRY((\led_flash_cnt[1114][3]~q\ & !\led_flash_cnt[1114][2]~42479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1114][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1114][2]~42479\,
	combout => \led_flash_cnt[1114][3]~42480_combout\,
	cout => \led_flash_cnt[1114][3]~42481\);

-- Location: FF_X14_Y21_N19
\led_flash_cnt[1114][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1114][3]~42480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1114][3]~q\);

-- Location: LCCOMB_X14_Y21_N20
\led_flash_cnt[1114][4]~42482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1114][4]~42482_combout\ = (\led_flash_cnt[1114][4]~q\ & (!\led_flash_cnt[1114][3]~42481\)) # (!\led_flash_cnt[1114][4]~q\ & ((\led_flash_cnt[1114][3]~42481\) # (GND)))
-- \led_flash_cnt[1114][4]~42483\ = CARRY((!\led_flash_cnt[1114][3]~42481\) # (!\led_flash_cnt[1114][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1114][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1114][3]~42481\,
	combout => \led_flash_cnt[1114][4]~42482_combout\,
	cout => \led_flash_cnt[1114][4]~42483\);

-- Location: FF_X14_Y21_N21
\led_flash_cnt[1114][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1114][4]~42482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1114][4]~q\);

-- Location: LCCOMB_X14_Y21_N22
\led_flash_cnt[1114][5]~42484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1114][5]~42484_combout\ = (\led_flash_cnt[1114][5]~q\ & (\led_flash_cnt[1114][4]~42483\ $ (GND))) # (!\led_flash_cnt[1114][5]~q\ & (!\led_flash_cnt[1114][4]~42483\ & VCC))
-- \led_flash_cnt[1114][5]~42485\ = CARRY((\led_flash_cnt[1114][5]~q\ & !\led_flash_cnt[1114][4]~42483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1114][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1114][4]~42483\,
	combout => \led_flash_cnt[1114][5]~42484_combout\,
	cout => \led_flash_cnt[1114][5]~42485\);

-- Location: FF_X14_Y21_N23
\led_flash_cnt[1114][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1114][5]~42484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1114][5]~q\);

-- Location: LCCOMB_X14_Y21_N24
\led_flash_cnt[1114][6]~42486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1114][6]~42486_combout\ = (\led_flash_cnt[1114][6]~q\ & (!\led_flash_cnt[1114][5]~42485\)) # (!\led_flash_cnt[1114][6]~q\ & ((\led_flash_cnt[1114][5]~42485\) # (GND)))
-- \led_flash_cnt[1114][6]~42487\ = CARRY((!\led_flash_cnt[1114][5]~42485\) # (!\led_flash_cnt[1114][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1114][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1114][5]~42485\,
	combout => \led_flash_cnt[1114][6]~42486_combout\,
	cout => \led_flash_cnt[1114][6]~42487\);

-- Location: FF_X14_Y21_N25
\led_flash_cnt[1114][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1114][6]~42486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1114][6]~q\);

-- Location: LCCOMB_X14_Y21_N26
\led_flash_cnt[1114][7]~42488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1114][7]~42488_combout\ = \led_flash_cnt[1114][7]~q\ $ (!\led_flash_cnt[1114][6]~42487\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1114][7]~q\,
	cin => \led_flash_cnt[1114][6]~42487\,
	combout => \led_flash_cnt[1114][7]~42488_combout\);

-- Location: FF_X14_Y21_N27
\led_flash_cnt[1114][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1114][7]~42488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1114][7]~q\);

-- Location: LCCOMB_X14_Y21_N30
\WideAnd1114~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1114~0_combout\ = (\led_flash_cnt[1114][3]~q\ & (\led_flash_cnt[1114][2]~q\ & (\led_flash_cnt[1114][1]~q\ & \led_flash_cnt[1114][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1114][3]~q\,
	datab => \led_flash_cnt[1114][2]~q\,
	datac => \led_flash_cnt[1114][1]~q\,
	datad => \led_flash_cnt[1114][4]~q\,
	combout => \WideAnd1114~0_combout\);

-- Location: LCCOMB_X13_Y21_N28
\WideAnd1114~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1114~1_combout\ = (\led_flash_cnt[1114][5]~q\ & \led_flash_cnt[1114][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1114][5]~q\,
	datad => \led_flash_cnt[1114][6]~q\,
	combout => \WideAnd1114~1_combout\);

-- Location: LCCOMB_X13_Y21_N20
WideAnd1114 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1114~combout\ = (\led_flash_cnt[1114][0]~q\ & (\led_flash_cnt[1114][7]~q\ & (\WideAnd1114~0_combout\ & \WideAnd1114~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1114][0]~q\,
	datab => \led_flash_cnt[1114][7]~q\,
	datac => \WideAnd1114~0_combout\,
	datad => \WideAnd1114~1_combout\,
	combout => \WideAnd1114~combout\);

-- Location: FF_X13_Y21_N21
\led_flash_cnt_ands[1114]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1114~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1114));

-- Location: LCCOMB_X13_Y21_N30
\WideAnd3979~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3979~0_combout\ = (led_flash_cnt_ands(1115) & (led_flash_cnt_ands(1113) & (led_flash_cnt_ands(1112) & led_flash_cnt_ands(1114))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1115),
	datab => led_flash_cnt_ands(1113),
	datac => led_flash_cnt_ands(1112),
	datad => led_flash_cnt_ands(1114),
	combout => \WideAnd3979~0_combout\);

-- Location: LCCOMB_X1_Y13_N0
\led_flash_cnt[1116][0]~81756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1116][0]~81756_combout\ = !\led_flash_cnt[1116][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1116][0]~q\,
	combout => \led_flash_cnt[1116][0]~81756_combout\);

-- Location: FF_X1_Y13_N1
\led_flash_cnt[1116][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1116][0]~81756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1116][0]~q\);

-- Location: LCCOMB_X1_Y17_N2
\led_flash_cnt[1116][1]~42504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1116][1]~42504_combout\ = (\led_flash_cnt[1116][0]~q\ & (\led_flash_cnt[1116][1]~q\ $ (VCC))) # (!\led_flash_cnt[1116][0]~q\ & (\led_flash_cnt[1116][1]~q\ & VCC))
-- \led_flash_cnt[1116][1]~42505\ = CARRY((\led_flash_cnt[1116][0]~q\ & \led_flash_cnt[1116][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1116][0]~q\,
	datab => \led_flash_cnt[1116][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1116][1]~42504_combout\,
	cout => \led_flash_cnt[1116][1]~42505\);

-- Location: FF_X1_Y17_N3
\led_flash_cnt[1116][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1116][1]~42504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1116][1]~q\);

-- Location: LCCOMB_X1_Y17_N4
\led_flash_cnt[1116][2]~42506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1116][2]~42506_combout\ = (\led_flash_cnt[1116][2]~q\ & (!\led_flash_cnt[1116][1]~42505\)) # (!\led_flash_cnt[1116][2]~q\ & ((\led_flash_cnt[1116][1]~42505\) # (GND)))
-- \led_flash_cnt[1116][2]~42507\ = CARRY((!\led_flash_cnt[1116][1]~42505\) # (!\led_flash_cnt[1116][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1116][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1116][1]~42505\,
	combout => \led_flash_cnt[1116][2]~42506_combout\,
	cout => \led_flash_cnt[1116][2]~42507\);

-- Location: FF_X1_Y17_N5
\led_flash_cnt[1116][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1116][2]~42506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1116][2]~q\);

-- Location: LCCOMB_X1_Y17_N6
\led_flash_cnt[1116][3]~42508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1116][3]~42508_combout\ = (\led_flash_cnt[1116][3]~q\ & (\led_flash_cnt[1116][2]~42507\ $ (GND))) # (!\led_flash_cnt[1116][3]~q\ & (!\led_flash_cnt[1116][2]~42507\ & VCC))
-- \led_flash_cnt[1116][3]~42509\ = CARRY((\led_flash_cnt[1116][3]~q\ & !\led_flash_cnt[1116][2]~42507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1116][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1116][2]~42507\,
	combout => \led_flash_cnt[1116][3]~42508_combout\,
	cout => \led_flash_cnt[1116][3]~42509\);

-- Location: FF_X1_Y17_N7
\led_flash_cnt[1116][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1116][3]~42508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1116][3]~q\);

-- Location: LCCOMB_X1_Y17_N8
\led_flash_cnt[1116][4]~42510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1116][4]~42510_combout\ = (\led_flash_cnt[1116][4]~q\ & (!\led_flash_cnt[1116][3]~42509\)) # (!\led_flash_cnt[1116][4]~q\ & ((\led_flash_cnt[1116][3]~42509\) # (GND)))
-- \led_flash_cnt[1116][4]~42511\ = CARRY((!\led_flash_cnt[1116][3]~42509\) # (!\led_flash_cnt[1116][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1116][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1116][3]~42509\,
	combout => \led_flash_cnt[1116][4]~42510_combout\,
	cout => \led_flash_cnt[1116][4]~42511\);

-- Location: FF_X1_Y17_N9
\led_flash_cnt[1116][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1116][4]~42510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1116][4]~q\);

-- Location: LCCOMB_X1_Y17_N10
\led_flash_cnt[1116][5]~42512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1116][5]~42512_combout\ = (\led_flash_cnt[1116][5]~q\ & (\led_flash_cnt[1116][4]~42511\ $ (GND))) # (!\led_flash_cnt[1116][5]~q\ & (!\led_flash_cnt[1116][4]~42511\ & VCC))
-- \led_flash_cnt[1116][5]~42513\ = CARRY((\led_flash_cnt[1116][5]~q\ & !\led_flash_cnt[1116][4]~42511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1116][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1116][4]~42511\,
	combout => \led_flash_cnt[1116][5]~42512_combout\,
	cout => \led_flash_cnt[1116][5]~42513\);

-- Location: FF_X1_Y17_N11
\led_flash_cnt[1116][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1116][5]~42512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1116][5]~q\);

-- Location: LCCOMB_X1_Y17_N12
\led_flash_cnt[1116][6]~42514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1116][6]~42514_combout\ = (\led_flash_cnt[1116][6]~q\ & (!\led_flash_cnt[1116][5]~42513\)) # (!\led_flash_cnt[1116][6]~q\ & ((\led_flash_cnt[1116][5]~42513\) # (GND)))
-- \led_flash_cnt[1116][6]~42515\ = CARRY((!\led_flash_cnt[1116][5]~42513\) # (!\led_flash_cnt[1116][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1116][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1116][5]~42513\,
	combout => \led_flash_cnt[1116][6]~42514_combout\,
	cout => \led_flash_cnt[1116][6]~42515\);

-- Location: FF_X1_Y17_N13
\led_flash_cnt[1116][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1116][6]~42514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1116][6]~q\);

-- Location: LCCOMB_X1_Y17_N14
\led_flash_cnt[1116][7]~42516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1116][7]~42516_combout\ = \led_flash_cnt[1116][7]~q\ $ (!\led_flash_cnt[1116][6]~42515\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1116][7]~q\,
	cin => \led_flash_cnt[1116][6]~42515\,
	combout => \led_flash_cnt[1116][7]~42516_combout\);

-- Location: FF_X1_Y17_N15
\led_flash_cnt[1116][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1116][7]~42516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1116][7]~q\);

-- Location: LCCOMB_X1_Y17_N0
\WideAnd1116~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1116~0_combout\ = (\led_flash_cnt[1116][3]~q\ & (\led_flash_cnt[1116][2]~q\ & (\led_flash_cnt[1116][4]~q\ & \led_flash_cnt[1116][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1116][3]~q\,
	datab => \led_flash_cnt[1116][2]~q\,
	datac => \led_flash_cnt[1116][4]~q\,
	datad => \led_flash_cnt[1116][1]~q\,
	combout => \WideAnd1116~0_combout\);

-- Location: LCCOMB_X1_Y13_N2
\WideAnd1116~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1116~1_combout\ = (\led_flash_cnt[1116][5]~q\ & \led_flash_cnt[1116][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1116][5]~q\,
	datad => \led_flash_cnt[1116][6]~q\,
	combout => \WideAnd1116~1_combout\);

-- Location: LCCOMB_X1_Y13_N22
WideAnd1116 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1116~combout\ = (\led_flash_cnt[1116][7]~q\ & (\led_flash_cnt[1116][0]~q\ & (\WideAnd1116~0_combout\ & \WideAnd1116~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1116][7]~q\,
	datab => \led_flash_cnt[1116][0]~q\,
	datac => \WideAnd1116~0_combout\,
	datad => \WideAnd1116~1_combout\,
	combout => \WideAnd1116~combout\);

-- Location: FF_X1_Y13_N23
\led_flash_cnt_ands[1116]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1116~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1116));

-- Location: LCCOMB_X1_Y13_N28
\led_flash_cnt[1117][0]~81757\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1117][0]~81757_combout\ = !\led_flash_cnt[1117][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1117][0]~q\,
	combout => \led_flash_cnt[1117][0]~81757_combout\);

-- Location: FF_X1_Y13_N29
\led_flash_cnt[1117][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1117][0]~81757_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1117][0]~q\);

-- Location: LCCOMB_X1_Y13_N6
\led_flash_cnt[1117][1]~42518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1117][1]~42518_combout\ = (\led_flash_cnt[1117][1]~q\ & (\led_flash_cnt[1117][0]~q\ $ (VCC))) # (!\led_flash_cnt[1117][1]~q\ & (\led_flash_cnt[1117][0]~q\ & VCC))
-- \led_flash_cnt[1117][1]~42519\ = CARRY((\led_flash_cnt[1117][1]~q\ & \led_flash_cnt[1117][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1117][1]~q\,
	datab => \led_flash_cnt[1117][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1117][1]~42518_combout\,
	cout => \led_flash_cnt[1117][1]~42519\);

-- Location: FF_X1_Y13_N7
\led_flash_cnt[1117][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1117][1]~42518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1117][1]~q\);

-- Location: LCCOMB_X1_Y13_N8
\led_flash_cnt[1117][2]~42520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1117][2]~42520_combout\ = (\led_flash_cnt[1117][2]~q\ & (!\led_flash_cnt[1117][1]~42519\)) # (!\led_flash_cnt[1117][2]~q\ & ((\led_flash_cnt[1117][1]~42519\) # (GND)))
-- \led_flash_cnt[1117][2]~42521\ = CARRY((!\led_flash_cnt[1117][1]~42519\) # (!\led_flash_cnt[1117][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1117][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1117][1]~42519\,
	combout => \led_flash_cnt[1117][2]~42520_combout\,
	cout => \led_flash_cnt[1117][2]~42521\);

-- Location: FF_X1_Y13_N9
\led_flash_cnt[1117][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1117][2]~42520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1117][2]~q\);

-- Location: LCCOMB_X1_Y13_N10
\led_flash_cnt[1117][3]~42522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1117][3]~42522_combout\ = (\led_flash_cnt[1117][3]~q\ & (\led_flash_cnt[1117][2]~42521\ $ (GND))) # (!\led_flash_cnt[1117][3]~q\ & (!\led_flash_cnt[1117][2]~42521\ & VCC))
-- \led_flash_cnt[1117][3]~42523\ = CARRY((\led_flash_cnt[1117][3]~q\ & !\led_flash_cnt[1117][2]~42521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1117][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1117][2]~42521\,
	combout => \led_flash_cnt[1117][3]~42522_combout\,
	cout => \led_flash_cnt[1117][3]~42523\);

-- Location: FF_X1_Y13_N11
\led_flash_cnt[1117][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1117][3]~42522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1117][3]~q\);

-- Location: LCCOMB_X1_Y13_N12
\led_flash_cnt[1117][4]~42524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1117][4]~42524_combout\ = (\led_flash_cnt[1117][4]~q\ & (!\led_flash_cnt[1117][3]~42523\)) # (!\led_flash_cnt[1117][4]~q\ & ((\led_flash_cnt[1117][3]~42523\) # (GND)))
-- \led_flash_cnt[1117][4]~42525\ = CARRY((!\led_flash_cnt[1117][3]~42523\) # (!\led_flash_cnt[1117][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1117][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1117][3]~42523\,
	combout => \led_flash_cnt[1117][4]~42524_combout\,
	cout => \led_flash_cnt[1117][4]~42525\);

-- Location: FF_X1_Y13_N13
\led_flash_cnt[1117][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1117][4]~42524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1117][4]~q\);

-- Location: LCCOMB_X1_Y13_N26
\WideAnd1117~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1117~0_combout\ = (\led_flash_cnt[1117][1]~q\ & (\led_flash_cnt[1117][4]~q\ & (\led_flash_cnt[1117][2]~q\ & \led_flash_cnt[1117][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1117][1]~q\,
	datab => \led_flash_cnt[1117][4]~q\,
	datac => \led_flash_cnt[1117][2]~q\,
	datad => \led_flash_cnt[1117][3]~q\,
	combout => \WideAnd1117~0_combout\);

-- Location: LCCOMB_X1_Y13_N14
\led_flash_cnt[1117][5]~42526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1117][5]~42526_combout\ = (\led_flash_cnt[1117][5]~q\ & (\led_flash_cnt[1117][4]~42525\ $ (GND))) # (!\led_flash_cnt[1117][5]~q\ & (!\led_flash_cnt[1117][4]~42525\ & VCC))
-- \led_flash_cnt[1117][5]~42527\ = CARRY((\led_flash_cnt[1117][5]~q\ & !\led_flash_cnt[1117][4]~42525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1117][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1117][4]~42525\,
	combout => \led_flash_cnt[1117][5]~42526_combout\,
	cout => \led_flash_cnt[1117][5]~42527\);

-- Location: FF_X1_Y13_N15
\led_flash_cnt[1117][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1117][5]~42526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1117][5]~q\);

-- Location: LCCOMB_X1_Y13_N16
\led_flash_cnt[1117][6]~42528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1117][6]~42528_combout\ = (\led_flash_cnt[1117][6]~q\ & (!\led_flash_cnt[1117][5]~42527\)) # (!\led_flash_cnt[1117][6]~q\ & ((\led_flash_cnt[1117][5]~42527\) # (GND)))
-- \led_flash_cnt[1117][6]~42529\ = CARRY((!\led_flash_cnt[1117][5]~42527\) # (!\led_flash_cnt[1117][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1117][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1117][5]~42527\,
	combout => \led_flash_cnt[1117][6]~42528_combout\,
	cout => \led_flash_cnt[1117][6]~42529\);

-- Location: FF_X1_Y13_N17
\led_flash_cnt[1117][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1117][6]~42528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1117][6]~q\);

-- Location: LCCOMB_X1_Y13_N18
\led_flash_cnt[1117][7]~42530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1117][7]~42530_combout\ = \led_flash_cnt[1117][6]~42529\ $ (!\led_flash_cnt[1117][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1117][7]~q\,
	cin => \led_flash_cnt[1117][6]~42529\,
	combout => \led_flash_cnt[1117][7]~42530_combout\);

-- Location: FF_X1_Y13_N19
\led_flash_cnt[1117][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1117][7]~42530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1117][7]~q\);

-- Location: LCCOMB_X1_Y13_N4
\WideAnd1117~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1117~1_combout\ = (\led_flash_cnt[1117][5]~q\ & \led_flash_cnt[1117][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1117][5]~q\,
	datad => \led_flash_cnt[1117][6]~q\,
	combout => \WideAnd1117~1_combout\);

-- Location: LCCOMB_X1_Y13_N20
WideAnd1117 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1117~combout\ = (\WideAnd1117~0_combout\ & (\led_flash_cnt[1117][7]~q\ & (\WideAnd1117~1_combout\ & \led_flash_cnt[1117][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1117~0_combout\,
	datab => \led_flash_cnt[1117][7]~q\,
	datac => \WideAnd1117~1_combout\,
	datad => \led_flash_cnt[1117][0]~q\,
	combout => \WideAnd1117~combout\);

-- Location: FF_X1_Y13_N21
\led_flash_cnt_ands[1117]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1117~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1117));

-- Location: LCCOMB_X1_Y13_N30
\WideAnd3979~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3979~1_combout\ = (led_flash_cnt_ands(1116) & led_flash_cnt_ands(1117))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1116),
	datad => led_flash_cnt_ands(1117),
	combout => \WideAnd3979~1_combout\);

-- Location: LCCOMB_X1_Y12_N14
WideAnd3979 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3979~combout\ = (led_flash_cnt_ands(1119) & (led_flash_cnt_ands(1118) & (\WideAnd3979~0_combout\ & \WideAnd3979~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1119),
	datab => led_flash_cnt_ands(1118),
	datac => \WideAnd3979~0_combout\,
	datad => \WideAnd3979~1_combout\,
	combout => \WideAnd3979~combout\);

-- Location: FF_X1_Y12_N15
\led_flash_cnt_ands_1[139]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3979~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(139));

-- Location: LCCOMB_X4_Y14_N2
\led_flash_cnt[1101][0]~81741\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1101][0]~81741_combout\ = !\led_flash_cnt[1101][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1101][0]~q\,
	combout => \led_flash_cnt[1101][0]~81741_combout\);

-- Location: FF_X4_Y14_N3
\led_flash_cnt[1101][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1101][0]~81741_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1101][0]~q\);

-- Location: LCCOMB_X3_Y14_N2
\led_flash_cnt[1101][1]~42294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1101][1]~42294_combout\ = (\led_flash_cnt[1101][0]~q\ & (\led_flash_cnt[1101][1]~q\ $ (VCC))) # (!\led_flash_cnt[1101][0]~q\ & (\led_flash_cnt[1101][1]~q\ & VCC))
-- \led_flash_cnt[1101][1]~42295\ = CARRY((\led_flash_cnt[1101][0]~q\ & \led_flash_cnt[1101][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1101][0]~q\,
	datab => \led_flash_cnt[1101][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1101][1]~42294_combout\,
	cout => \led_flash_cnt[1101][1]~42295\);

-- Location: FF_X3_Y14_N3
\led_flash_cnt[1101][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1101][1]~42294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1101][1]~q\);

-- Location: LCCOMB_X3_Y14_N4
\led_flash_cnt[1101][2]~42296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1101][2]~42296_combout\ = (\led_flash_cnt[1101][2]~q\ & (!\led_flash_cnt[1101][1]~42295\)) # (!\led_flash_cnt[1101][2]~q\ & ((\led_flash_cnt[1101][1]~42295\) # (GND)))
-- \led_flash_cnt[1101][2]~42297\ = CARRY((!\led_flash_cnt[1101][1]~42295\) # (!\led_flash_cnt[1101][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1101][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1101][1]~42295\,
	combout => \led_flash_cnt[1101][2]~42296_combout\,
	cout => \led_flash_cnt[1101][2]~42297\);

-- Location: FF_X3_Y14_N5
\led_flash_cnt[1101][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1101][2]~42296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1101][2]~q\);

-- Location: LCCOMB_X3_Y14_N6
\led_flash_cnt[1101][3]~42298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1101][3]~42298_combout\ = (\led_flash_cnt[1101][3]~q\ & (\led_flash_cnt[1101][2]~42297\ $ (GND))) # (!\led_flash_cnt[1101][3]~q\ & (!\led_flash_cnt[1101][2]~42297\ & VCC))
-- \led_flash_cnt[1101][3]~42299\ = CARRY((\led_flash_cnt[1101][3]~q\ & !\led_flash_cnt[1101][2]~42297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1101][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1101][2]~42297\,
	combout => \led_flash_cnt[1101][3]~42298_combout\,
	cout => \led_flash_cnt[1101][3]~42299\);

-- Location: FF_X3_Y14_N7
\led_flash_cnt[1101][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1101][3]~42298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1101][3]~q\);

-- Location: LCCOMB_X3_Y14_N8
\led_flash_cnt[1101][4]~42300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1101][4]~42300_combout\ = (\led_flash_cnt[1101][4]~q\ & (!\led_flash_cnt[1101][3]~42299\)) # (!\led_flash_cnt[1101][4]~q\ & ((\led_flash_cnt[1101][3]~42299\) # (GND)))
-- \led_flash_cnt[1101][4]~42301\ = CARRY((!\led_flash_cnt[1101][3]~42299\) # (!\led_flash_cnt[1101][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1101][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1101][3]~42299\,
	combout => \led_flash_cnt[1101][4]~42300_combout\,
	cout => \led_flash_cnt[1101][4]~42301\);

-- Location: FF_X3_Y14_N9
\led_flash_cnt[1101][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1101][4]~42300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1101][4]~q\);

-- Location: LCCOMB_X3_Y14_N10
\led_flash_cnt[1101][5]~42302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1101][5]~42302_combout\ = (\led_flash_cnt[1101][5]~q\ & (\led_flash_cnt[1101][4]~42301\ $ (GND))) # (!\led_flash_cnt[1101][5]~q\ & (!\led_flash_cnt[1101][4]~42301\ & VCC))
-- \led_flash_cnt[1101][5]~42303\ = CARRY((\led_flash_cnt[1101][5]~q\ & !\led_flash_cnt[1101][4]~42301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1101][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1101][4]~42301\,
	combout => \led_flash_cnt[1101][5]~42302_combout\,
	cout => \led_flash_cnt[1101][5]~42303\);

-- Location: FF_X3_Y14_N11
\led_flash_cnt[1101][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1101][5]~42302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1101][5]~q\);

-- Location: LCCOMB_X3_Y14_N12
\led_flash_cnt[1101][6]~42304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1101][6]~42304_combout\ = (\led_flash_cnt[1101][6]~q\ & (!\led_flash_cnt[1101][5]~42303\)) # (!\led_flash_cnt[1101][6]~q\ & ((\led_flash_cnt[1101][5]~42303\) # (GND)))
-- \led_flash_cnt[1101][6]~42305\ = CARRY((!\led_flash_cnt[1101][5]~42303\) # (!\led_flash_cnt[1101][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1101][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1101][5]~42303\,
	combout => \led_flash_cnt[1101][6]~42304_combout\,
	cout => \led_flash_cnt[1101][6]~42305\);

-- Location: FF_X3_Y14_N13
\led_flash_cnt[1101][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1101][6]~42304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1101][6]~q\);

-- Location: LCCOMB_X3_Y14_N14
\led_flash_cnt[1101][7]~42306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1101][7]~42306_combout\ = \led_flash_cnt[1101][7]~q\ $ (!\led_flash_cnt[1101][6]~42305\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1101][7]~q\,
	cin => \led_flash_cnt[1101][6]~42305\,
	combout => \led_flash_cnt[1101][7]~42306_combout\);

-- Location: FF_X3_Y14_N15
\led_flash_cnt[1101][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1101][7]~42306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1101][7]~q\);

-- Location: LCCOMB_X3_Y14_N30
\WideAnd1101~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1101~0_combout\ = (\led_flash_cnt[1101][3]~q\ & (\led_flash_cnt[1101][2]~q\ & (\led_flash_cnt[1101][4]~q\ & \led_flash_cnt[1101][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1101][3]~q\,
	datab => \led_flash_cnt[1101][2]~q\,
	datac => \led_flash_cnt[1101][4]~q\,
	datad => \led_flash_cnt[1101][1]~q\,
	combout => \WideAnd1101~0_combout\);

-- Location: LCCOMB_X4_Y14_N4
\WideAnd1101~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1101~1_combout\ = (\led_flash_cnt[1101][5]~q\ & \led_flash_cnt[1101][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1101][5]~q\,
	datad => \led_flash_cnt[1101][6]~q\,
	combout => \WideAnd1101~1_combout\);

-- Location: LCCOMB_X4_Y14_N8
WideAnd1101 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1101~combout\ = (\led_flash_cnt[1101][7]~q\ & (\WideAnd1101~0_combout\ & (\WideAnd1101~1_combout\ & \led_flash_cnt[1101][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1101][7]~q\,
	datab => \WideAnd1101~0_combout\,
	datac => \WideAnd1101~1_combout\,
	datad => \led_flash_cnt[1101][0]~q\,
	combout => \WideAnd1101~combout\);

-- Location: FF_X4_Y14_N9
\led_flash_cnt_ands[1101]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1101~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1101));

-- Location: LCCOMB_X4_Y14_N12
\led_flash_cnt[1100][0]~81740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1100][0]~81740_combout\ = !\led_flash_cnt[1100][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1100][0]~q\,
	combout => \led_flash_cnt[1100][0]~81740_combout\);

-- Location: FF_X4_Y14_N13
\led_flash_cnt[1100][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1100][0]~81740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1100][0]~q\);

-- Location: LCCOMB_X4_Y14_N14
\led_flash_cnt[1100][1]~42280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1100][1]~42280_combout\ = (\led_flash_cnt[1100][0]~q\ & (\led_flash_cnt[1100][1]~q\ $ (VCC))) # (!\led_flash_cnt[1100][0]~q\ & (\led_flash_cnt[1100][1]~q\ & VCC))
-- \led_flash_cnt[1100][1]~42281\ = CARRY((\led_flash_cnt[1100][0]~q\ & \led_flash_cnt[1100][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1100][0]~q\,
	datab => \led_flash_cnt[1100][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1100][1]~42280_combout\,
	cout => \led_flash_cnt[1100][1]~42281\);

-- Location: FF_X4_Y14_N15
\led_flash_cnt[1100][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1100][1]~42280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1100][1]~q\);

-- Location: LCCOMB_X4_Y14_N16
\led_flash_cnt[1100][2]~42282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1100][2]~42282_combout\ = (\led_flash_cnt[1100][2]~q\ & (!\led_flash_cnt[1100][1]~42281\)) # (!\led_flash_cnt[1100][2]~q\ & ((\led_flash_cnt[1100][1]~42281\) # (GND)))
-- \led_flash_cnt[1100][2]~42283\ = CARRY((!\led_flash_cnt[1100][1]~42281\) # (!\led_flash_cnt[1100][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1100][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1100][1]~42281\,
	combout => \led_flash_cnt[1100][2]~42282_combout\,
	cout => \led_flash_cnt[1100][2]~42283\);

-- Location: FF_X4_Y14_N17
\led_flash_cnt[1100][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1100][2]~42282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1100][2]~q\);

-- Location: LCCOMB_X4_Y14_N18
\led_flash_cnt[1100][3]~42284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1100][3]~42284_combout\ = (\led_flash_cnt[1100][3]~q\ & (\led_flash_cnt[1100][2]~42283\ $ (GND))) # (!\led_flash_cnt[1100][3]~q\ & (!\led_flash_cnt[1100][2]~42283\ & VCC))
-- \led_flash_cnt[1100][3]~42285\ = CARRY((\led_flash_cnt[1100][3]~q\ & !\led_flash_cnt[1100][2]~42283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1100][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1100][2]~42283\,
	combout => \led_flash_cnt[1100][3]~42284_combout\,
	cout => \led_flash_cnt[1100][3]~42285\);

-- Location: FF_X4_Y14_N19
\led_flash_cnt[1100][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1100][3]~42284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1100][3]~q\);

-- Location: LCCOMB_X4_Y14_N20
\led_flash_cnt[1100][4]~42286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1100][4]~42286_combout\ = (\led_flash_cnt[1100][4]~q\ & (!\led_flash_cnt[1100][3]~42285\)) # (!\led_flash_cnt[1100][4]~q\ & ((\led_flash_cnt[1100][3]~42285\) # (GND)))
-- \led_flash_cnt[1100][4]~42287\ = CARRY((!\led_flash_cnt[1100][3]~42285\) # (!\led_flash_cnt[1100][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1100][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1100][3]~42285\,
	combout => \led_flash_cnt[1100][4]~42286_combout\,
	cout => \led_flash_cnt[1100][4]~42287\);

-- Location: FF_X4_Y14_N21
\led_flash_cnt[1100][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1100][4]~42286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1100][4]~q\);

-- Location: LCCOMB_X4_Y14_N30
\WideAnd1100~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1100~0_combout\ = (\led_flash_cnt[1100][3]~q\ & (\led_flash_cnt[1100][4]~q\ & (\led_flash_cnt[1100][1]~q\ & \led_flash_cnt[1100][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1100][3]~q\,
	datab => \led_flash_cnt[1100][4]~q\,
	datac => \led_flash_cnt[1100][1]~q\,
	datad => \led_flash_cnt[1100][2]~q\,
	combout => \WideAnd1100~0_combout\);

-- Location: LCCOMB_X4_Y14_N22
\led_flash_cnt[1100][5]~42288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1100][5]~42288_combout\ = (\led_flash_cnt[1100][5]~q\ & (\led_flash_cnt[1100][4]~42287\ $ (GND))) # (!\led_flash_cnt[1100][5]~q\ & (!\led_flash_cnt[1100][4]~42287\ & VCC))
-- \led_flash_cnt[1100][5]~42289\ = CARRY((\led_flash_cnt[1100][5]~q\ & !\led_flash_cnt[1100][4]~42287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1100][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1100][4]~42287\,
	combout => \led_flash_cnt[1100][5]~42288_combout\,
	cout => \led_flash_cnt[1100][5]~42289\);

-- Location: FF_X4_Y14_N23
\led_flash_cnt[1100][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1100][5]~42288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1100][5]~q\);

-- Location: LCCOMB_X4_Y14_N24
\led_flash_cnt[1100][6]~42290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1100][6]~42290_combout\ = (\led_flash_cnt[1100][6]~q\ & (!\led_flash_cnt[1100][5]~42289\)) # (!\led_flash_cnt[1100][6]~q\ & ((\led_flash_cnt[1100][5]~42289\) # (GND)))
-- \led_flash_cnt[1100][6]~42291\ = CARRY((!\led_flash_cnt[1100][5]~42289\) # (!\led_flash_cnt[1100][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1100][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1100][5]~42289\,
	combout => \led_flash_cnt[1100][6]~42290_combout\,
	cout => \led_flash_cnt[1100][6]~42291\);

-- Location: FF_X4_Y14_N25
\led_flash_cnt[1100][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1100][6]~42290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1100][6]~q\);

-- Location: LCCOMB_X4_Y14_N28
\WideAnd1100~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1100~1_combout\ = (\led_flash_cnt[1100][5]~q\ & \led_flash_cnt[1100][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1100][5]~q\,
	datad => \led_flash_cnt[1100][6]~q\,
	combout => \WideAnd1100~1_combout\);

-- Location: LCCOMB_X4_Y14_N26
\led_flash_cnt[1100][7]~42292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1100][7]~42292_combout\ = \led_flash_cnt[1100][7]~q\ $ (!\led_flash_cnt[1100][6]~42291\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1100][7]~q\,
	cin => \led_flash_cnt[1100][6]~42291\,
	combout => \led_flash_cnt[1100][7]~42292_combout\);

-- Location: FF_X4_Y14_N27
\led_flash_cnt[1100][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1100][7]~42292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1100][7]~q\);

-- Location: LCCOMB_X4_Y14_N0
WideAnd1100 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1100~combout\ = (\WideAnd1100~0_combout\ & (\WideAnd1100~1_combout\ & (\led_flash_cnt[1100][7]~q\ & \led_flash_cnt[1100][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1100~0_combout\,
	datab => \WideAnd1100~1_combout\,
	datac => \led_flash_cnt[1100][7]~q\,
	datad => \led_flash_cnt[1100][0]~q\,
	combout => \WideAnd1100~combout\);

-- Location: FF_X4_Y14_N1
\led_flash_cnt_ands[1100]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1100~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1100));

-- Location: LCCOMB_X7_Y14_N0
\WideAnd3977~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3977~1_combout\ = (led_flash_cnt_ands(1101) & led_flash_cnt_ands(1100))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1101),
	datad => led_flash_cnt_ands(1100),
	combout => \WideAnd3977~1_combout\);

-- Location: LCCOMB_X8_Y18_N4
\led_flash_cnt[1098][0]~81738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1098][0]~81738_combout\ = !\led_flash_cnt[1098][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1098][0]~q\,
	combout => \led_flash_cnt[1098][0]~81738_combout\);

-- Location: FF_X8_Y18_N5
\led_flash_cnt[1098][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1098][0]~81738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1098][0]~q\);

-- Location: LCCOMB_X8_Y14_N0
\led_flash_cnt[1098][1]~42252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1098][1]~42252_combout\ = (\led_flash_cnt[1098][0]~q\ & (\led_flash_cnt[1098][1]~q\ $ (VCC))) # (!\led_flash_cnt[1098][0]~q\ & (\led_flash_cnt[1098][1]~q\ & VCC))
-- \led_flash_cnt[1098][1]~42253\ = CARRY((\led_flash_cnt[1098][0]~q\ & \led_flash_cnt[1098][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1098][0]~q\,
	datab => \led_flash_cnt[1098][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1098][1]~42252_combout\,
	cout => \led_flash_cnt[1098][1]~42253\);

-- Location: FF_X8_Y14_N1
\led_flash_cnt[1098][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1098][1]~42252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1098][1]~q\);

-- Location: LCCOMB_X8_Y14_N2
\led_flash_cnt[1098][2]~42254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1098][2]~42254_combout\ = (\led_flash_cnt[1098][2]~q\ & (!\led_flash_cnt[1098][1]~42253\)) # (!\led_flash_cnt[1098][2]~q\ & ((\led_flash_cnt[1098][1]~42253\) # (GND)))
-- \led_flash_cnt[1098][2]~42255\ = CARRY((!\led_flash_cnt[1098][1]~42253\) # (!\led_flash_cnt[1098][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1098][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1098][1]~42253\,
	combout => \led_flash_cnt[1098][2]~42254_combout\,
	cout => \led_flash_cnt[1098][2]~42255\);

-- Location: FF_X8_Y14_N3
\led_flash_cnt[1098][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1098][2]~42254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1098][2]~q\);

-- Location: LCCOMB_X8_Y14_N4
\led_flash_cnt[1098][3]~42256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1098][3]~42256_combout\ = (\led_flash_cnt[1098][3]~q\ & (\led_flash_cnt[1098][2]~42255\ $ (GND))) # (!\led_flash_cnt[1098][3]~q\ & (!\led_flash_cnt[1098][2]~42255\ & VCC))
-- \led_flash_cnt[1098][3]~42257\ = CARRY((\led_flash_cnt[1098][3]~q\ & !\led_flash_cnt[1098][2]~42255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1098][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1098][2]~42255\,
	combout => \led_flash_cnt[1098][3]~42256_combout\,
	cout => \led_flash_cnt[1098][3]~42257\);

-- Location: FF_X8_Y14_N5
\led_flash_cnt[1098][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1098][3]~42256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1098][3]~q\);

-- Location: LCCOMB_X8_Y14_N6
\led_flash_cnt[1098][4]~42258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1098][4]~42258_combout\ = (\led_flash_cnt[1098][4]~q\ & (!\led_flash_cnt[1098][3]~42257\)) # (!\led_flash_cnt[1098][4]~q\ & ((\led_flash_cnt[1098][3]~42257\) # (GND)))
-- \led_flash_cnt[1098][4]~42259\ = CARRY((!\led_flash_cnt[1098][3]~42257\) # (!\led_flash_cnt[1098][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1098][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1098][3]~42257\,
	combout => \led_flash_cnt[1098][4]~42258_combout\,
	cout => \led_flash_cnt[1098][4]~42259\);

-- Location: FF_X8_Y14_N7
\led_flash_cnt[1098][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1098][4]~42258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1098][4]~q\);

-- Location: LCCOMB_X8_Y14_N8
\led_flash_cnt[1098][5]~42260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1098][5]~42260_combout\ = (\led_flash_cnt[1098][5]~q\ & (\led_flash_cnt[1098][4]~42259\ $ (GND))) # (!\led_flash_cnt[1098][5]~q\ & (!\led_flash_cnt[1098][4]~42259\ & VCC))
-- \led_flash_cnt[1098][5]~42261\ = CARRY((\led_flash_cnt[1098][5]~q\ & !\led_flash_cnt[1098][4]~42259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1098][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1098][4]~42259\,
	combout => \led_flash_cnt[1098][5]~42260_combout\,
	cout => \led_flash_cnt[1098][5]~42261\);

-- Location: FF_X8_Y14_N9
\led_flash_cnt[1098][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1098][5]~42260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1098][5]~q\);

-- Location: LCCOMB_X8_Y14_N10
\led_flash_cnt[1098][6]~42262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1098][6]~42262_combout\ = (\led_flash_cnt[1098][6]~q\ & (!\led_flash_cnt[1098][5]~42261\)) # (!\led_flash_cnt[1098][6]~q\ & ((\led_flash_cnt[1098][5]~42261\) # (GND)))
-- \led_flash_cnt[1098][6]~42263\ = CARRY((!\led_flash_cnt[1098][5]~42261\) # (!\led_flash_cnt[1098][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1098][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1098][5]~42261\,
	combout => \led_flash_cnt[1098][6]~42262_combout\,
	cout => \led_flash_cnt[1098][6]~42263\);

-- Location: FF_X8_Y14_N11
\led_flash_cnt[1098][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1098][6]~42262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1098][6]~q\);

-- Location: LCCOMB_X8_Y14_N12
\led_flash_cnt[1098][7]~42264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1098][7]~42264_combout\ = \led_flash_cnt[1098][6]~42263\ $ (!\led_flash_cnt[1098][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1098][7]~q\,
	cin => \led_flash_cnt[1098][6]~42263\,
	combout => \led_flash_cnt[1098][7]~42264_combout\);

-- Location: FF_X8_Y14_N13
\led_flash_cnt[1098][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1098][7]~42264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1098][7]~q\);

-- Location: LCCOMB_X8_Y14_N16
\WideAnd1098~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1098~0_combout\ = (\led_flash_cnt[1098][4]~q\ & (\led_flash_cnt[1098][1]~q\ & (\led_flash_cnt[1098][3]~q\ & \led_flash_cnt[1098][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1098][4]~q\,
	datab => \led_flash_cnt[1098][1]~q\,
	datac => \led_flash_cnt[1098][3]~q\,
	datad => \led_flash_cnt[1098][2]~q\,
	combout => \WideAnd1098~0_combout\);

-- Location: LCCOMB_X9_Y14_N8
\WideAnd1098~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1098~1_combout\ = (\led_flash_cnt[1098][5]~q\ & \led_flash_cnt[1098][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1098][5]~q\,
	datad => \led_flash_cnt[1098][6]~q\,
	combout => \WideAnd1098~1_combout\);

-- Location: LCCOMB_X8_Y14_N14
WideAnd1098 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1098~combout\ = (\led_flash_cnt[1098][7]~q\ & (\WideAnd1098~0_combout\ & (\WideAnd1098~1_combout\ & \led_flash_cnt[1098][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1098][7]~q\,
	datab => \WideAnd1098~0_combout\,
	datac => \WideAnd1098~1_combout\,
	datad => \led_flash_cnt[1098][0]~q\,
	combout => \WideAnd1098~combout\);

-- Location: FF_X8_Y14_N15
\led_flash_cnt_ands[1098]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1098~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1098));

-- Location: LCCOMB_X7_Y19_N30
\led_flash_cnt[1099][0]~81739\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1099][0]~81739_combout\ = !\led_flash_cnt[1099][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1099][0]~q\,
	combout => \led_flash_cnt[1099][0]~81739_combout\);

-- Location: FF_X7_Y19_N31
\led_flash_cnt[1099][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1099][0]~81739_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1099][0]~q\);

-- Location: LCCOMB_X6_Y18_N16
\led_flash_cnt[1099][1]~42266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1099][1]~42266_combout\ = (\led_flash_cnt[1099][0]~q\ & (\led_flash_cnt[1099][1]~q\ $ (VCC))) # (!\led_flash_cnt[1099][0]~q\ & (\led_flash_cnt[1099][1]~q\ & VCC))
-- \led_flash_cnt[1099][1]~42267\ = CARRY((\led_flash_cnt[1099][0]~q\ & \led_flash_cnt[1099][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1099][0]~q\,
	datab => \led_flash_cnt[1099][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1099][1]~42266_combout\,
	cout => \led_flash_cnt[1099][1]~42267\);

-- Location: FF_X6_Y18_N17
\led_flash_cnt[1099][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1099][1]~42266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1099][1]~q\);

-- Location: LCCOMB_X6_Y18_N18
\led_flash_cnt[1099][2]~42268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1099][2]~42268_combout\ = (\led_flash_cnt[1099][2]~q\ & (!\led_flash_cnt[1099][1]~42267\)) # (!\led_flash_cnt[1099][2]~q\ & ((\led_flash_cnt[1099][1]~42267\) # (GND)))
-- \led_flash_cnt[1099][2]~42269\ = CARRY((!\led_flash_cnt[1099][1]~42267\) # (!\led_flash_cnt[1099][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1099][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1099][1]~42267\,
	combout => \led_flash_cnt[1099][2]~42268_combout\,
	cout => \led_flash_cnt[1099][2]~42269\);

-- Location: FF_X6_Y18_N19
\led_flash_cnt[1099][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1099][2]~42268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1099][2]~q\);

-- Location: LCCOMB_X6_Y18_N20
\led_flash_cnt[1099][3]~42270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1099][3]~42270_combout\ = (\led_flash_cnt[1099][3]~q\ & (\led_flash_cnt[1099][2]~42269\ $ (GND))) # (!\led_flash_cnt[1099][3]~q\ & (!\led_flash_cnt[1099][2]~42269\ & VCC))
-- \led_flash_cnt[1099][3]~42271\ = CARRY((\led_flash_cnt[1099][3]~q\ & !\led_flash_cnt[1099][2]~42269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1099][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1099][2]~42269\,
	combout => \led_flash_cnt[1099][3]~42270_combout\,
	cout => \led_flash_cnt[1099][3]~42271\);

-- Location: FF_X6_Y18_N21
\led_flash_cnt[1099][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1099][3]~42270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1099][3]~q\);

-- Location: LCCOMB_X6_Y18_N22
\led_flash_cnt[1099][4]~42272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1099][4]~42272_combout\ = (\led_flash_cnt[1099][4]~q\ & (!\led_flash_cnt[1099][3]~42271\)) # (!\led_flash_cnt[1099][4]~q\ & ((\led_flash_cnt[1099][3]~42271\) # (GND)))
-- \led_flash_cnt[1099][4]~42273\ = CARRY((!\led_flash_cnt[1099][3]~42271\) # (!\led_flash_cnt[1099][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1099][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1099][3]~42271\,
	combout => \led_flash_cnt[1099][4]~42272_combout\,
	cout => \led_flash_cnt[1099][4]~42273\);

-- Location: FF_X6_Y18_N23
\led_flash_cnt[1099][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1099][4]~42272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1099][4]~q\);

-- Location: LCCOMB_X6_Y18_N24
\led_flash_cnt[1099][5]~42274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1099][5]~42274_combout\ = (\led_flash_cnt[1099][5]~q\ & (\led_flash_cnt[1099][4]~42273\ $ (GND))) # (!\led_flash_cnt[1099][5]~q\ & (!\led_flash_cnt[1099][4]~42273\ & VCC))
-- \led_flash_cnt[1099][5]~42275\ = CARRY((\led_flash_cnt[1099][5]~q\ & !\led_flash_cnt[1099][4]~42273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1099][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1099][4]~42273\,
	combout => \led_flash_cnt[1099][5]~42274_combout\,
	cout => \led_flash_cnt[1099][5]~42275\);

-- Location: FF_X6_Y18_N25
\led_flash_cnt[1099][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1099][5]~42274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1099][5]~q\);

-- Location: LCCOMB_X6_Y18_N26
\led_flash_cnt[1099][6]~42276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1099][6]~42276_combout\ = (\led_flash_cnt[1099][6]~q\ & (!\led_flash_cnt[1099][5]~42275\)) # (!\led_flash_cnt[1099][6]~q\ & ((\led_flash_cnt[1099][5]~42275\) # (GND)))
-- \led_flash_cnt[1099][6]~42277\ = CARRY((!\led_flash_cnt[1099][5]~42275\) # (!\led_flash_cnt[1099][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1099][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1099][5]~42275\,
	combout => \led_flash_cnt[1099][6]~42276_combout\,
	cout => \led_flash_cnt[1099][6]~42277\);

-- Location: FF_X6_Y18_N27
\led_flash_cnt[1099][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1099][6]~42276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1099][6]~q\);

-- Location: LCCOMB_X6_Y18_N0
\WideAnd1099~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1099~0_combout\ = (\led_flash_cnt[1099][5]~q\ & (\led_flash_cnt[1099][3]~q\ & (\led_flash_cnt[1099][6]~q\ & \led_flash_cnt[1099][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1099][5]~q\,
	datab => \led_flash_cnt[1099][3]~q\,
	datac => \led_flash_cnt[1099][6]~q\,
	datad => \led_flash_cnt[1099][2]~q\,
	combout => \WideAnd1099~0_combout\);

-- Location: LCCOMB_X6_Y18_N28
\led_flash_cnt[1099][7]~42278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1099][7]~42278_combout\ = \led_flash_cnt[1099][6]~42277\ $ (!\led_flash_cnt[1099][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1099][7]~q\,
	cin => \led_flash_cnt[1099][6]~42277\,
	combout => \led_flash_cnt[1099][7]~42278_combout\);

-- Location: FF_X6_Y18_N29
\led_flash_cnt[1099][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1099][7]~42278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1099][7]~q\);

-- Location: LCCOMB_X7_Y18_N0
\WideAnd1099~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1099~1_combout\ = (\led_flash_cnt[1099][1]~q\ & \led_flash_cnt[1099][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1099][1]~q\,
	datad => \led_flash_cnt[1099][7]~q\,
	combout => \WideAnd1099~1_combout\);

-- Location: LCCOMB_X7_Y19_N18
WideAnd1099 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1099~combout\ = (\led_flash_cnt[1099][0]~q\ & (\led_flash_cnt[1099][4]~q\ & (\WideAnd1099~0_combout\ & \WideAnd1099~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1099][0]~q\,
	datab => \led_flash_cnt[1099][4]~q\,
	datac => \WideAnd1099~0_combout\,
	datad => \WideAnd1099~1_combout\,
	combout => \WideAnd1099~combout\);

-- Location: FF_X7_Y19_N19
\led_flash_cnt_ands[1099]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1099~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1099));

-- Location: LCCOMB_X4_Y16_N22
\led_flash_cnt[1096][0]~81736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1096][0]~81736_combout\ = !\led_flash_cnt[1096][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1096][0]~q\,
	combout => \led_flash_cnt[1096][0]~81736_combout\);

-- Location: FF_X4_Y16_N23
\led_flash_cnt[1096][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1096][0]~81736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1096][0]~q\);

-- Location: LCCOMB_X4_Y16_N2
\led_flash_cnt[1096][1]~42224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1096][1]~42224_combout\ = (\led_flash_cnt[1096][0]~q\ & (\led_flash_cnt[1096][1]~q\ $ (VCC))) # (!\led_flash_cnt[1096][0]~q\ & (\led_flash_cnt[1096][1]~q\ & VCC))
-- \led_flash_cnt[1096][1]~42225\ = CARRY((\led_flash_cnt[1096][0]~q\ & \led_flash_cnt[1096][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1096][0]~q\,
	datab => \led_flash_cnt[1096][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1096][1]~42224_combout\,
	cout => \led_flash_cnt[1096][1]~42225\);

-- Location: FF_X4_Y16_N3
\led_flash_cnt[1096][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1096][1]~42224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1096][1]~q\);

-- Location: LCCOMB_X4_Y16_N4
\led_flash_cnt[1096][2]~42226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1096][2]~42226_combout\ = (\led_flash_cnt[1096][2]~q\ & (!\led_flash_cnt[1096][1]~42225\)) # (!\led_flash_cnt[1096][2]~q\ & ((\led_flash_cnt[1096][1]~42225\) # (GND)))
-- \led_flash_cnt[1096][2]~42227\ = CARRY((!\led_flash_cnt[1096][1]~42225\) # (!\led_flash_cnt[1096][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1096][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1096][1]~42225\,
	combout => \led_flash_cnt[1096][2]~42226_combout\,
	cout => \led_flash_cnt[1096][2]~42227\);

-- Location: FF_X4_Y16_N5
\led_flash_cnt[1096][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1096][2]~42226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1096][2]~q\);

-- Location: LCCOMB_X4_Y16_N6
\led_flash_cnt[1096][3]~42228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1096][3]~42228_combout\ = (\led_flash_cnt[1096][3]~q\ & (\led_flash_cnt[1096][2]~42227\ $ (GND))) # (!\led_flash_cnt[1096][3]~q\ & (!\led_flash_cnt[1096][2]~42227\ & VCC))
-- \led_flash_cnt[1096][3]~42229\ = CARRY((\led_flash_cnt[1096][3]~q\ & !\led_flash_cnt[1096][2]~42227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1096][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1096][2]~42227\,
	combout => \led_flash_cnt[1096][3]~42228_combout\,
	cout => \led_flash_cnt[1096][3]~42229\);

-- Location: FF_X4_Y16_N7
\led_flash_cnt[1096][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1096][3]~42228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1096][3]~q\);

-- Location: LCCOMB_X4_Y16_N8
\led_flash_cnt[1096][4]~42230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1096][4]~42230_combout\ = (\led_flash_cnt[1096][4]~q\ & (!\led_flash_cnt[1096][3]~42229\)) # (!\led_flash_cnt[1096][4]~q\ & ((\led_flash_cnt[1096][3]~42229\) # (GND)))
-- \led_flash_cnt[1096][4]~42231\ = CARRY((!\led_flash_cnt[1096][3]~42229\) # (!\led_flash_cnt[1096][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1096][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1096][3]~42229\,
	combout => \led_flash_cnt[1096][4]~42230_combout\,
	cout => \led_flash_cnt[1096][4]~42231\);

-- Location: FF_X4_Y16_N9
\led_flash_cnt[1096][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1096][4]~42230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1096][4]~q\);

-- Location: LCCOMB_X4_Y16_N26
\WideAnd1096~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1096~0_combout\ = (\led_flash_cnt[1096][3]~q\ & (\led_flash_cnt[1096][2]~q\ & (\led_flash_cnt[1096][4]~q\ & \led_flash_cnt[1096][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1096][3]~q\,
	datab => \led_flash_cnt[1096][2]~q\,
	datac => \led_flash_cnt[1096][4]~q\,
	datad => \led_flash_cnt[1096][1]~q\,
	combout => \WideAnd1096~0_combout\);

-- Location: LCCOMB_X4_Y16_N10
\led_flash_cnt[1096][5]~42232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1096][5]~42232_combout\ = (\led_flash_cnt[1096][5]~q\ & (\led_flash_cnt[1096][4]~42231\ $ (GND))) # (!\led_flash_cnt[1096][5]~q\ & (!\led_flash_cnt[1096][4]~42231\ & VCC))
-- \led_flash_cnt[1096][5]~42233\ = CARRY((\led_flash_cnt[1096][5]~q\ & !\led_flash_cnt[1096][4]~42231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1096][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1096][4]~42231\,
	combout => \led_flash_cnt[1096][5]~42232_combout\,
	cout => \led_flash_cnt[1096][5]~42233\);

-- Location: FF_X4_Y16_N11
\led_flash_cnt[1096][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1096][5]~42232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1096][5]~q\);

-- Location: LCCOMB_X4_Y16_N12
\led_flash_cnt[1096][6]~42234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1096][6]~42234_combout\ = (\led_flash_cnt[1096][6]~q\ & (!\led_flash_cnt[1096][5]~42233\)) # (!\led_flash_cnt[1096][6]~q\ & ((\led_flash_cnt[1096][5]~42233\) # (GND)))
-- \led_flash_cnt[1096][6]~42235\ = CARRY((!\led_flash_cnt[1096][5]~42233\) # (!\led_flash_cnt[1096][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1096][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1096][5]~42233\,
	combout => \led_flash_cnt[1096][6]~42234_combout\,
	cout => \led_flash_cnt[1096][6]~42235\);

-- Location: FF_X4_Y16_N13
\led_flash_cnt[1096][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1096][6]~42234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1096][6]~q\);

-- Location: LCCOMB_X4_Y16_N14
\led_flash_cnt[1096][7]~42236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1096][7]~42236_combout\ = \led_flash_cnt[1096][7]~q\ $ (!\led_flash_cnt[1096][6]~42235\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1096][7]~q\,
	cin => \led_flash_cnt[1096][6]~42235\,
	combout => \led_flash_cnt[1096][7]~42236_combout\);

-- Location: FF_X4_Y16_N15
\led_flash_cnt[1096][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1096][7]~42236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1096][7]~q\);

-- Location: LCCOMB_X4_Y16_N0
\WideAnd1096~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1096~1_combout\ = (\led_flash_cnt[1096][6]~q\ & \led_flash_cnt[1096][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1096][6]~q\,
	datad => \led_flash_cnt[1096][5]~q\,
	combout => \WideAnd1096~1_combout\);

-- Location: LCCOMB_X4_Y16_N28
WideAnd1096 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1096~combout\ = (\WideAnd1096~0_combout\ & (\led_flash_cnt[1096][7]~q\ & (\led_flash_cnt[1096][0]~q\ & \WideAnd1096~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1096~0_combout\,
	datab => \led_flash_cnt[1096][7]~q\,
	datac => \led_flash_cnt[1096][0]~q\,
	datad => \WideAnd1096~1_combout\,
	combout => \WideAnd1096~combout\);

-- Location: FF_X4_Y16_N29
\led_flash_cnt_ands[1096]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1096~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1096));

-- Location: LCCOMB_X7_Y19_N28
\led_flash_cnt[1097][0]~81737\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1097][0]~81737_combout\ = !\led_flash_cnt[1097][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1097][0]~q\,
	combout => \led_flash_cnt[1097][0]~81737_combout\);

-- Location: FF_X7_Y19_N29
\led_flash_cnt[1097][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1097][0]~81737_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1097][0]~q\);

-- Location: LCCOMB_X11_Y19_N0
\led_flash_cnt[1097][1]~42238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1097][1]~42238_combout\ = (\led_flash_cnt[1097][0]~q\ & (\led_flash_cnt[1097][1]~q\ $ (VCC))) # (!\led_flash_cnt[1097][0]~q\ & (\led_flash_cnt[1097][1]~q\ & VCC))
-- \led_flash_cnt[1097][1]~42239\ = CARRY((\led_flash_cnt[1097][0]~q\ & \led_flash_cnt[1097][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1097][0]~q\,
	datab => \led_flash_cnt[1097][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1097][1]~42238_combout\,
	cout => \led_flash_cnt[1097][1]~42239\);

-- Location: FF_X11_Y19_N1
\led_flash_cnt[1097][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1097][1]~42238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1097][1]~q\);

-- Location: LCCOMB_X11_Y19_N2
\led_flash_cnt[1097][2]~42240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1097][2]~42240_combout\ = (\led_flash_cnt[1097][2]~q\ & (!\led_flash_cnt[1097][1]~42239\)) # (!\led_flash_cnt[1097][2]~q\ & ((\led_flash_cnt[1097][1]~42239\) # (GND)))
-- \led_flash_cnt[1097][2]~42241\ = CARRY((!\led_flash_cnt[1097][1]~42239\) # (!\led_flash_cnt[1097][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1097][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1097][1]~42239\,
	combout => \led_flash_cnt[1097][2]~42240_combout\,
	cout => \led_flash_cnt[1097][2]~42241\);

-- Location: FF_X11_Y19_N3
\led_flash_cnt[1097][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1097][2]~42240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1097][2]~q\);

-- Location: LCCOMB_X11_Y19_N4
\led_flash_cnt[1097][3]~42242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1097][3]~42242_combout\ = (\led_flash_cnt[1097][3]~q\ & (\led_flash_cnt[1097][2]~42241\ $ (GND))) # (!\led_flash_cnt[1097][3]~q\ & (!\led_flash_cnt[1097][2]~42241\ & VCC))
-- \led_flash_cnt[1097][3]~42243\ = CARRY((\led_flash_cnt[1097][3]~q\ & !\led_flash_cnt[1097][2]~42241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1097][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1097][2]~42241\,
	combout => \led_flash_cnt[1097][3]~42242_combout\,
	cout => \led_flash_cnt[1097][3]~42243\);

-- Location: FF_X11_Y19_N5
\led_flash_cnt[1097][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1097][3]~42242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1097][3]~q\);

-- Location: LCCOMB_X11_Y19_N6
\led_flash_cnt[1097][4]~42244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1097][4]~42244_combout\ = (\led_flash_cnt[1097][4]~q\ & (!\led_flash_cnt[1097][3]~42243\)) # (!\led_flash_cnt[1097][4]~q\ & ((\led_flash_cnt[1097][3]~42243\) # (GND)))
-- \led_flash_cnt[1097][4]~42245\ = CARRY((!\led_flash_cnt[1097][3]~42243\) # (!\led_flash_cnt[1097][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1097][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1097][3]~42243\,
	combout => \led_flash_cnt[1097][4]~42244_combout\,
	cout => \led_flash_cnt[1097][4]~42245\);

-- Location: FF_X11_Y19_N7
\led_flash_cnt[1097][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1097][4]~42244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1097][4]~q\);

-- Location: LCCOMB_X11_Y19_N8
\led_flash_cnt[1097][5]~42246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1097][5]~42246_combout\ = (\led_flash_cnt[1097][5]~q\ & (\led_flash_cnt[1097][4]~42245\ $ (GND))) # (!\led_flash_cnt[1097][5]~q\ & (!\led_flash_cnt[1097][4]~42245\ & VCC))
-- \led_flash_cnt[1097][5]~42247\ = CARRY((\led_flash_cnt[1097][5]~q\ & !\led_flash_cnt[1097][4]~42245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1097][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1097][4]~42245\,
	combout => \led_flash_cnt[1097][5]~42246_combout\,
	cout => \led_flash_cnt[1097][5]~42247\);

-- Location: FF_X11_Y19_N9
\led_flash_cnt[1097][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1097][5]~42246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1097][5]~q\);

-- Location: LCCOMB_X11_Y19_N10
\led_flash_cnt[1097][6]~42248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1097][6]~42248_combout\ = (\led_flash_cnt[1097][6]~q\ & (!\led_flash_cnt[1097][5]~42247\)) # (!\led_flash_cnt[1097][6]~q\ & ((\led_flash_cnt[1097][5]~42247\) # (GND)))
-- \led_flash_cnt[1097][6]~42249\ = CARRY((!\led_flash_cnt[1097][5]~42247\) # (!\led_flash_cnt[1097][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1097][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1097][5]~42247\,
	combout => \led_flash_cnt[1097][6]~42248_combout\,
	cout => \led_flash_cnt[1097][6]~42249\);

-- Location: FF_X11_Y19_N11
\led_flash_cnt[1097][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1097][6]~42248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1097][6]~q\);

-- Location: LCCOMB_X10_Y19_N2
\WideAnd1097~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1097~1_combout\ = (\led_flash_cnt[1097][5]~q\ & \led_flash_cnt[1097][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1097][5]~q\,
	datac => \led_flash_cnt[1097][6]~q\,
	combout => \WideAnd1097~1_combout\);

-- Location: LCCOMB_X11_Y19_N12
\led_flash_cnt[1097][7]~42250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1097][7]~42250_combout\ = \led_flash_cnt[1097][6]~42249\ $ (!\led_flash_cnt[1097][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1097][7]~q\,
	cin => \led_flash_cnt[1097][6]~42249\,
	combout => \led_flash_cnt[1097][7]~42250_combout\);

-- Location: FF_X11_Y19_N13
\led_flash_cnt[1097][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1097][7]~42250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1097][7]~q\);

-- Location: LCCOMB_X11_Y19_N16
\WideAnd1097~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1097~0_combout\ = (\led_flash_cnt[1097][4]~q\ & (\led_flash_cnt[1097][2]~q\ & (\led_flash_cnt[1097][3]~q\ & \led_flash_cnt[1097][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1097][4]~q\,
	datab => \led_flash_cnt[1097][2]~q\,
	datac => \led_flash_cnt[1097][3]~q\,
	datad => \led_flash_cnt[1097][1]~q\,
	combout => \WideAnd1097~0_combout\);

-- Location: LCCOMB_X10_Y19_N4
WideAnd1097 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1097~combout\ = (\led_flash_cnt[1097][0]~q\ & (\WideAnd1097~1_combout\ & (\led_flash_cnt[1097][7]~q\ & \WideAnd1097~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1097][0]~q\,
	datab => \WideAnd1097~1_combout\,
	datac => \led_flash_cnt[1097][7]~q\,
	datad => \WideAnd1097~0_combout\,
	combout => \WideAnd1097~combout\);

-- Location: FF_X10_Y19_N5
\led_flash_cnt_ands[1097]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1097~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1097));

-- Location: LCCOMB_X7_Y19_N16
\WideAnd3977~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3977~0_combout\ = (led_flash_cnt_ands(1098) & (led_flash_cnt_ands(1099) & (led_flash_cnt_ands(1096) & led_flash_cnt_ands(1097))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1098),
	datab => led_flash_cnt_ands(1099),
	datac => led_flash_cnt_ands(1096),
	datad => led_flash_cnt_ands(1097),
	combout => \WideAnd3977~0_combout\);

-- Location: LCCOMB_X32_Y11_N2
\led_flash_cnt[1102][0]~81742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1102][0]~81742_combout\ = !\led_flash_cnt[1102][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1102][0]~q\,
	combout => \led_flash_cnt[1102][0]~81742_combout\);

-- Location: FF_X32_Y11_N3
\led_flash_cnt[1102][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1102][0]~81742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1102][0]~q\);

-- Location: LCCOMB_X31_Y11_N18
\led_flash_cnt[1102][1]~42308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1102][1]~42308_combout\ = (\led_flash_cnt[1102][0]~q\ & (\led_flash_cnt[1102][1]~q\ $ (VCC))) # (!\led_flash_cnt[1102][0]~q\ & (\led_flash_cnt[1102][1]~q\ & VCC))
-- \led_flash_cnt[1102][1]~42309\ = CARRY((\led_flash_cnt[1102][0]~q\ & \led_flash_cnt[1102][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1102][0]~q\,
	datab => \led_flash_cnt[1102][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1102][1]~42308_combout\,
	cout => \led_flash_cnt[1102][1]~42309\);

-- Location: FF_X31_Y11_N19
\led_flash_cnt[1102][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1102][1]~42308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1102][1]~q\);

-- Location: LCCOMB_X31_Y11_N20
\led_flash_cnt[1102][2]~42310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1102][2]~42310_combout\ = (\led_flash_cnt[1102][2]~q\ & (!\led_flash_cnt[1102][1]~42309\)) # (!\led_flash_cnt[1102][2]~q\ & ((\led_flash_cnt[1102][1]~42309\) # (GND)))
-- \led_flash_cnt[1102][2]~42311\ = CARRY((!\led_flash_cnt[1102][1]~42309\) # (!\led_flash_cnt[1102][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1102][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1102][1]~42309\,
	combout => \led_flash_cnt[1102][2]~42310_combout\,
	cout => \led_flash_cnt[1102][2]~42311\);

-- Location: FF_X31_Y11_N21
\led_flash_cnt[1102][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1102][2]~42310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1102][2]~q\);

-- Location: LCCOMB_X31_Y11_N22
\led_flash_cnt[1102][3]~42312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1102][3]~42312_combout\ = (\led_flash_cnt[1102][3]~q\ & (\led_flash_cnt[1102][2]~42311\ $ (GND))) # (!\led_flash_cnt[1102][3]~q\ & (!\led_flash_cnt[1102][2]~42311\ & VCC))
-- \led_flash_cnt[1102][3]~42313\ = CARRY((\led_flash_cnt[1102][3]~q\ & !\led_flash_cnt[1102][2]~42311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1102][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1102][2]~42311\,
	combout => \led_flash_cnt[1102][3]~42312_combout\,
	cout => \led_flash_cnt[1102][3]~42313\);

-- Location: FF_X31_Y11_N23
\led_flash_cnt[1102][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1102][3]~42312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1102][3]~q\);

-- Location: LCCOMB_X31_Y11_N24
\led_flash_cnt[1102][4]~42314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1102][4]~42314_combout\ = (\led_flash_cnt[1102][4]~q\ & (!\led_flash_cnt[1102][3]~42313\)) # (!\led_flash_cnt[1102][4]~q\ & ((\led_flash_cnt[1102][3]~42313\) # (GND)))
-- \led_flash_cnt[1102][4]~42315\ = CARRY((!\led_flash_cnt[1102][3]~42313\) # (!\led_flash_cnt[1102][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1102][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1102][3]~42313\,
	combout => \led_flash_cnt[1102][4]~42314_combout\,
	cout => \led_flash_cnt[1102][4]~42315\);

-- Location: FF_X31_Y11_N25
\led_flash_cnt[1102][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1102][4]~42314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1102][4]~q\);

-- Location: LCCOMB_X32_Y11_N22
\WideAnd1102~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1102~0_combout\ = (\led_flash_cnt[1102][4]~q\ & (\led_flash_cnt[1102][3]~q\ & (\led_flash_cnt[1102][1]~q\ & \led_flash_cnt[1102][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1102][4]~q\,
	datab => \led_flash_cnt[1102][3]~q\,
	datac => \led_flash_cnt[1102][1]~q\,
	datad => \led_flash_cnt[1102][2]~q\,
	combout => \WideAnd1102~0_combout\);

-- Location: LCCOMB_X31_Y11_N26
\led_flash_cnt[1102][5]~42316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1102][5]~42316_combout\ = (\led_flash_cnt[1102][5]~q\ & (\led_flash_cnt[1102][4]~42315\ $ (GND))) # (!\led_flash_cnt[1102][5]~q\ & (!\led_flash_cnt[1102][4]~42315\ & VCC))
-- \led_flash_cnt[1102][5]~42317\ = CARRY((\led_flash_cnt[1102][5]~q\ & !\led_flash_cnt[1102][4]~42315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1102][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1102][4]~42315\,
	combout => \led_flash_cnt[1102][5]~42316_combout\,
	cout => \led_flash_cnt[1102][5]~42317\);

-- Location: FF_X31_Y11_N27
\led_flash_cnt[1102][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1102][5]~42316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1102][5]~q\);

-- Location: LCCOMB_X31_Y11_N28
\led_flash_cnt[1102][6]~42318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1102][6]~42318_combout\ = (\led_flash_cnt[1102][6]~q\ & (!\led_flash_cnt[1102][5]~42317\)) # (!\led_flash_cnt[1102][6]~q\ & ((\led_flash_cnt[1102][5]~42317\) # (GND)))
-- \led_flash_cnt[1102][6]~42319\ = CARRY((!\led_flash_cnt[1102][5]~42317\) # (!\led_flash_cnt[1102][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1102][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1102][5]~42317\,
	combout => \led_flash_cnt[1102][6]~42318_combout\,
	cout => \led_flash_cnt[1102][6]~42319\);

-- Location: FF_X31_Y11_N29
\led_flash_cnt[1102][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1102][6]~42318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1102][6]~q\);

-- Location: LCCOMB_X31_Y11_N30
\led_flash_cnt[1102][7]~42320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1102][7]~42320_combout\ = \led_flash_cnt[1102][7]~q\ $ (!\led_flash_cnt[1102][6]~42319\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1102][7]~q\,
	cin => \led_flash_cnt[1102][6]~42319\,
	combout => \led_flash_cnt[1102][7]~42320_combout\);

-- Location: FF_X31_Y11_N31
\led_flash_cnt[1102][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1102][7]~42320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1102][7]~q\);

-- Location: LCCOMB_X32_Y11_N30
\WideAnd1102~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1102~1_combout\ = (\led_flash_cnt[1102][5]~q\ & \led_flash_cnt[1102][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1102][5]~q\,
	datad => \led_flash_cnt[1102][6]~q\,
	combout => \WideAnd1102~1_combout\);

-- Location: LCCOMB_X32_Y11_N4
WideAnd1102 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1102~combout\ = (\WideAnd1102~0_combout\ & (\led_flash_cnt[1102][7]~q\ & (\WideAnd1102~1_combout\ & \led_flash_cnt[1102][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1102~0_combout\,
	datab => \led_flash_cnt[1102][7]~q\,
	datac => \WideAnd1102~1_combout\,
	datad => \led_flash_cnt[1102][0]~q\,
	combout => \WideAnd1102~combout\);

-- Location: FF_X32_Y11_N5
\led_flash_cnt_ands[1102]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1102~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1102));

-- Location: LCCOMB_X11_Y11_N6
\led_flash_cnt[1103][0]~81743\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1103][0]~81743_combout\ = !\led_flash_cnt[1103][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1103][0]~q\,
	combout => \led_flash_cnt[1103][0]~81743_combout\);

-- Location: FF_X11_Y11_N7
\led_flash_cnt[1103][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1103][0]~81743_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1103][0]~q\);

-- Location: LCCOMB_X10_Y11_N16
\led_flash_cnt[1103][1]~42322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1103][1]~42322_combout\ = (\led_flash_cnt[1103][0]~q\ & (\led_flash_cnt[1103][1]~q\ $ (VCC))) # (!\led_flash_cnt[1103][0]~q\ & (\led_flash_cnt[1103][1]~q\ & VCC))
-- \led_flash_cnt[1103][1]~42323\ = CARRY((\led_flash_cnt[1103][0]~q\ & \led_flash_cnt[1103][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1103][0]~q\,
	datab => \led_flash_cnt[1103][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1103][1]~42322_combout\,
	cout => \led_flash_cnt[1103][1]~42323\);

-- Location: FF_X10_Y11_N17
\led_flash_cnt[1103][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1103][1]~42322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1103][1]~q\);

-- Location: LCCOMB_X10_Y11_N18
\led_flash_cnt[1103][2]~42324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1103][2]~42324_combout\ = (\led_flash_cnt[1103][2]~q\ & (!\led_flash_cnt[1103][1]~42323\)) # (!\led_flash_cnt[1103][2]~q\ & ((\led_flash_cnt[1103][1]~42323\) # (GND)))
-- \led_flash_cnt[1103][2]~42325\ = CARRY((!\led_flash_cnt[1103][1]~42323\) # (!\led_flash_cnt[1103][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1103][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1103][1]~42323\,
	combout => \led_flash_cnt[1103][2]~42324_combout\,
	cout => \led_flash_cnt[1103][2]~42325\);

-- Location: FF_X10_Y11_N19
\led_flash_cnt[1103][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1103][2]~42324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1103][2]~q\);

-- Location: LCCOMB_X10_Y11_N20
\led_flash_cnt[1103][3]~42326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1103][3]~42326_combout\ = (\led_flash_cnt[1103][3]~q\ & (\led_flash_cnt[1103][2]~42325\ $ (GND))) # (!\led_flash_cnt[1103][3]~q\ & (!\led_flash_cnt[1103][2]~42325\ & VCC))
-- \led_flash_cnt[1103][3]~42327\ = CARRY((\led_flash_cnt[1103][3]~q\ & !\led_flash_cnt[1103][2]~42325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1103][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1103][2]~42325\,
	combout => \led_flash_cnt[1103][3]~42326_combout\,
	cout => \led_flash_cnt[1103][3]~42327\);

-- Location: FF_X10_Y11_N21
\led_flash_cnt[1103][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1103][3]~42326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1103][3]~q\);

-- Location: LCCOMB_X10_Y11_N22
\led_flash_cnt[1103][4]~42328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1103][4]~42328_combout\ = (\led_flash_cnt[1103][4]~q\ & (!\led_flash_cnt[1103][3]~42327\)) # (!\led_flash_cnt[1103][4]~q\ & ((\led_flash_cnt[1103][3]~42327\) # (GND)))
-- \led_flash_cnt[1103][4]~42329\ = CARRY((!\led_flash_cnt[1103][3]~42327\) # (!\led_flash_cnt[1103][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1103][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1103][3]~42327\,
	combout => \led_flash_cnt[1103][4]~42328_combout\,
	cout => \led_flash_cnt[1103][4]~42329\);

-- Location: FF_X10_Y11_N23
\led_flash_cnt[1103][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1103][4]~42328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1103][4]~q\);

-- Location: LCCOMB_X10_Y11_N30
\WideAnd1103~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1103~0_combout\ = (\led_flash_cnt[1103][3]~q\ & (\led_flash_cnt[1103][2]~q\ & (\led_flash_cnt[1103][4]~q\ & \led_flash_cnt[1103][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1103][3]~q\,
	datab => \led_flash_cnt[1103][2]~q\,
	datac => \led_flash_cnt[1103][4]~q\,
	datad => \led_flash_cnt[1103][1]~q\,
	combout => \WideAnd1103~0_combout\);

-- Location: LCCOMB_X10_Y11_N24
\led_flash_cnt[1103][5]~42330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1103][5]~42330_combout\ = (\led_flash_cnt[1103][5]~q\ & (\led_flash_cnt[1103][4]~42329\ $ (GND))) # (!\led_flash_cnt[1103][5]~q\ & (!\led_flash_cnt[1103][4]~42329\ & VCC))
-- \led_flash_cnt[1103][5]~42331\ = CARRY((\led_flash_cnt[1103][5]~q\ & !\led_flash_cnt[1103][4]~42329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1103][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1103][4]~42329\,
	combout => \led_flash_cnt[1103][5]~42330_combout\,
	cout => \led_flash_cnt[1103][5]~42331\);

-- Location: FF_X10_Y11_N25
\led_flash_cnt[1103][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1103][5]~42330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1103][5]~q\);

-- Location: LCCOMB_X10_Y11_N26
\led_flash_cnt[1103][6]~42332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1103][6]~42332_combout\ = (\led_flash_cnt[1103][6]~q\ & (!\led_flash_cnt[1103][5]~42331\)) # (!\led_flash_cnt[1103][6]~q\ & ((\led_flash_cnt[1103][5]~42331\) # (GND)))
-- \led_flash_cnt[1103][6]~42333\ = CARRY((!\led_flash_cnt[1103][5]~42331\) # (!\led_flash_cnt[1103][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1103][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1103][5]~42331\,
	combout => \led_flash_cnt[1103][6]~42332_combout\,
	cout => \led_flash_cnt[1103][6]~42333\);

-- Location: FF_X10_Y11_N27
\led_flash_cnt[1103][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1103][6]~42332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1103][6]~q\);

-- Location: LCCOMB_X10_Y11_N28
\led_flash_cnt[1103][7]~42334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1103][7]~42334_combout\ = \led_flash_cnt[1103][6]~42333\ $ (!\led_flash_cnt[1103][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1103][7]~q\,
	cin => \led_flash_cnt[1103][6]~42333\,
	combout => \led_flash_cnt[1103][7]~42334_combout\);

-- Location: FF_X10_Y11_N29
\led_flash_cnt[1103][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1103][7]~42334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1103][7]~q\);

-- Location: LCCOMB_X9_Y11_N8
\WideAnd1103~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1103~1_combout\ = (\led_flash_cnt[1103][6]~q\ & \led_flash_cnt[1103][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1103][6]~q\,
	datad => \led_flash_cnt[1103][5]~q\,
	combout => \WideAnd1103~1_combout\);

-- Location: LCCOMB_X9_Y11_N12
WideAnd1103 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1103~combout\ = (\WideAnd1103~0_combout\ & (\led_flash_cnt[1103][7]~q\ & (\WideAnd1103~1_combout\ & \led_flash_cnt[1103][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1103~0_combout\,
	datab => \led_flash_cnt[1103][7]~q\,
	datac => \WideAnd1103~1_combout\,
	datad => \led_flash_cnt[1103][0]~q\,
	combout => \WideAnd1103~combout\);

-- Location: FF_X9_Y11_N13
\led_flash_cnt_ands[1103]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1103~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1103));

-- Location: LCCOMB_X7_Y11_N0
WideAnd3977 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3977~combout\ = (\WideAnd3977~1_combout\ & (\WideAnd3977~0_combout\ & (led_flash_cnt_ands(1102) & led_flash_cnt_ands(1103))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3977~1_combout\,
	datab => \WideAnd3977~0_combout\,
	datac => led_flash_cnt_ands(1102),
	datad => led_flash_cnt_ands(1103),
	combout => \WideAnd3977~combout\);

-- Location: FF_X7_Y11_N1
\led_flash_cnt_ands_1[137]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3977~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(137));

-- Location: LCCOMB_X9_Y18_N4
\led_flash_cnt[1110][0]~81750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1110][0]~81750_combout\ = !\led_flash_cnt[1110][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1110][0]~q\,
	combout => \led_flash_cnt[1110][0]~81750_combout\);

-- Location: FF_X9_Y18_N5
\led_flash_cnt[1110][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1110][0]~81750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1110][0]~q\);

-- Location: LCCOMB_X10_Y21_N18
\led_flash_cnt[1110][1]~42420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1110][1]~42420_combout\ = (\led_flash_cnt[1110][0]~q\ & (\led_flash_cnt[1110][1]~q\ $ (VCC))) # (!\led_flash_cnt[1110][0]~q\ & (\led_flash_cnt[1110][1]~q\ & VCC))
-- \led_flash_cnt[1110][1]~42421\ = CARRY((\led_flash_cnt[1110][0]~q\ & \led_flash_cnt[1110][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1110][0]~q\,
	datab => \led_flash_cnt[1110][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1110][1]~42420_combout\,
	cout => \led_flash_cnt[1110][1]~42421\);

-- Location: FF_X10_Y21_N19
\led_flash_cnt[1110][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1110][1]~42420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1110][1]~q\);

-- Location: LCCOMB_X10_Y21_N20
\led_flash_cnt[1110][2]~42422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1110][2]~42422_combout\ = (\led_flash_cnt[1110][2]~q\ & (!\led_flash_cnt[1110][1]~42421\)) # (!\led_flash_cnt[1110][2]~q\ & ((\led_flash_cnt[1110][1]~42421\) # (GND)))
-- \led_flash_cnt[1110][2]~42423\ = CARRY((!\led_flash_cnt[1110][1]~42421\) # (!\led_flash_cnt[1110][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1110][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1110][1]~42421\,
	combout => \led_flash_cnt[1110][2]~42422_combout\,
	cout => \led_flash_cnt[1110][2]~42423\);

-- Location: FF_X10_Y21_N21
\led_flash_cnt[1110][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1110][2]~42422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1110][2]~q\);

-- Location: LCCOMB_X10_Y21_N22
\led_flash_cnt[1110][3]~42424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1110][3]~42424_combout\ = (\led_flash_cnt[1110][3]~q\ & (\led_flash_cnt[1110][2]~42423\ $ (GND))) # (!\led_flash_cnt[1110][3]~q\ & (!\led_flash_cnt[1110][2]~42423\ & VCC))
-- \led_flash_cnt[1110][3]~42425\ = CARRY((\led_flash_cnt[1110][3]~q\ & !\led_flash_cnt[1110][2]~42423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1110][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1110][2]~42423\,
	combout => \led_flash_cnt[1110][3]~42424_combout\,
	cout => \led_flash_cnt[1110][3]~42425\);

-- Location: FF_X10_Y21_N23
\led_flash_cnt[1110][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1110][3]~42424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1110][3]~q\);

-- Location: LCCOMB_X10_Y21_N24
\led_flash_cnt[1110][4]~42426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1110][4]~42426_combout\ = (\led_flash_cnt[1110][4]~q\ & (!\led_flash_cnt[1110][3]~42425\)) # (!\led_flash_cnt[1110][4]~q\ & ((\led_flash_cnt[1110][3]~42425\) # (GND)))
-- \led_flash_cnt[1110][4]~42427\ = CARRY((!\led_flash_cnt[1110][3]~42425\) # (!\led_flash_cnt[1110][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1110][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1110][3]~42425\,
	combout => \led_flash_cnt[1110][4]~42426_combout\,
	cout => \led_flash_cnt[1110][4]~42427\);

-- Location: FF_X10_Y21_N25
\led_flash_cnt[1110][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1110][4]~42426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1110][4]~q\);

-- Location: LCCOMB_X10_Y21_N26
\led_flash_cnt[1110][5]~42428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1110][5]~42428_combout\ = (\led_flash_cnt[1110][5]~q\ & (\led_flash_cnt[1110][4]~42427\ $ (GND))) # (!\led_flash_cnt[1110][5]~q\ & (!\led_flash_cnt[1110][4]~42427\ & VCC))
-- \led_flash_cnt[1110][5]~42429\ = CARRY((\led_flash_cnt[1110][5]~q\ & !\led_flash_cnt[1110][4]~42427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1110][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1110][4]~42427\,
	combout => \led_flash_cnt[1110][5]~42428_combout\,
	cout => \led_flash_cnt[1110][5]~42429\);

-- Location: FF_X10_Y21_N27
\led_flash_cnt[1110][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1110][5]~42428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1110][5]~q\);

-- Location: LCCOMB_X10_Y21_N28
\led_flash_cnt[1110][6]~42430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1110][6]~42430_combout\ = (\led_flash_cnt[1110][6]~q\ & (!\led_flash_cnt[1110][5]~42429\)) # (!\led_flash_cnt[1110][6]~q\ & ((\led_flash_cnt[1110][5]~42429\) # (GND)))
-- \led_flash_cnt[1110][6]~42431\ = CARRY((!\led_flash_cnt[1110][5]~42429\) # (!\led_flash_cnt[1110][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1110][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1110][5]~42429\,
	combout => \led_flash_cnt[1110][6]~42430_combout\,
	cout => \led_flash_cnt[1110][6]~42431\);

-- Location: FF_X10_Y21_N29
\led_flash_cnt[1110][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1110][6]~42430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1110][6]~q\);

-- Location: LCCOMB_X10_Y18_N30
\WideAnd1110~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1110~1_combout\ = (\led_flash_cnt[1110][6]~q\ & \led_flash_cnt[1110][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1110][6]~q\,
	datad => \led_flash_cnt[1110][5]~q\,
	combout => \WideAnd1110~1_combout\);

-- Location: LCCOMB_X10_Y21_N16
\WideAnd1110~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1110~0_combout\ = (\led_flash_cnt[1110][1]~q\ & (\led_flash_cnt[1110][2]~q\ & (\led_flash_cnt[1110][3]~q\ & \led_flash_cnt[1110][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1110][1]~q\,
	datab => \led_flash_cnt[1110][2]~q\,
	datac => \led_flash_cnt[1110][3]~q\,
	datad => \led_flash_cnt[1110][4]~q\,
	combout => \WideAnd1110~0_combout\);

-- Location: LCCOMB_X10_Y21_N30
\led_flash_cnt[1110][7]~42432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1110][7]~42432_combout\ = \led_flash_cnt[1110][7]~q\ $ (!\led_flash_cnt[1110][6]~42431\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1110][7]~q\,
	cin => \led_flash_cnt[1110][6]~42431\,
	combout => \led_flash_cnt[1110][7]~42432_combout\);

-- Location: FF_X10_Y21_N31
\led_flash_cnt[1110][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1110][7]~42432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1110][7]~q\);

-- Location: LCCOMB_X9_Y18_N2
WideAnd1110 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1110~combout\ = (\WideAnd1110~1_combout\ & (\WideAnd1110~0_combout\ & (\led_flash_cnt[1110][0]~q\ & \led_flash_cnt[1110][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1110~1_combout\,
	datab => \WideAnd1110~0_combout\,
	datac => \led_flash_cnt[1110][0]~q\,
	datad => \led_flash_cnt[1110][7]~q\,
	combout => \WideAnd1110~combout\);

-- Location: FF_X9_Y18_N3
\led_flash_cnt_ands[1110]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1110~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1110));

-- Location: LCCOMB_X9_Y18_N30
\led_flash_cnt[1111][0]~81751\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1111][0]~81751_combout\ = !\led_flash_cnt[1111][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1111][0]~q\,
	combout => \led_flash_cnt[1111][0]~81751_combout\);

-- Location: FF_X9_Y18_N31
\led_flash_cnt[1111][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1111][0]~81751_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1111][0]~q\);

-- Location: LCCOMB_X9_Y18_N8
\led_flash_cnt[1111][1]~42434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1111][1]~42434_combout\ = (\led_flash_cnt[1111][0]~q\ & (\led_flash_cnt[1111][1]~q\ $ (VCC))) # (!\led_flash_cnt[1111][0]~q\ & (\led_flash_cnt[1111][1]~q\ & VCC))
-- \led_flash_cnt[1111][1]~42435\ = CARRY((\led_flash_cnt[1111][0]~q\ & \led_flash_cnt[1111][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1111][0]~q\,
	datab => \led_flash_cnt[1111][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1111][1]~42434_combout\,
	cout => \led_flash_cnt[1111][1]~42435\);

-- Location: FF_X9_Y18_N9
\led_flash_cnt[1111][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1111][1]~42434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1111][1]~q\);

-- Location: LCCOMB_X9_Y18_N10
\led_flash_cnt[1111][2]~42436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1111][2]~42436_combout\ = (\led_flash_cnt[1111][2]~q\ & (!\led_flash_cnt[1111][1]~42435\)) # (!\led_flash_cnt[1111][2]~q\ & ((\led_flash_cnt[1111][1]~42435\) # (GND)))
-- \led_flash_cnt[1111][2]~42437\ = CARRY((!\led_flash_cnt[1111][1]~42435\) # (!\led_flash_cnt[1111][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1111][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1111][1]~42435\,
	combout => \led_flash_cnt[1111][2]~42436_combout\,
	cout => \led_flash_cnt[1111][2]~42437\);

-- Location: FF_X9_Y18_N11
\led_flash_cnt[1111][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1111][2]~42436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1111][2]~q\);

-- Location: LCCOMB_X9_Y18_N12
\led_flash_cnt[1111][3]~42438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1111][3]~42438_combout\ = (\led_flash_cnt[1111][3]~q\ & (\led_flash_cnt[1111][2]~42437\ $ (GND))) # (!\led_flash_cnt[1111][3]~q\ & (!\led_flash_cnt[1111][2]~42437\ & VCC))
-- \led_flash_cnt[1111][3]~42439\ = CARRY((\led_flash_cnt[1111][3]~q\ & !\led_flash_cnt[1111][2]~42437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1111][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1111][2]~42437\,
	combout => \led_flash_cnt[1111][3]~42438_combout\,
	cout => \led_flash_cnt[1111][3]~42439\);

-- Location: FF_X9_Y18_N13
\led_flash_cnt[1111][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1111][3]~42438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1111][3]~q\);

-- Location: LCCOMB_X9_Y18_N14
\led_flash_cnt[1111][4]~42440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1111][4]~42440_combout\ = (\led_flash_cnt[1111][4]~q\ & (!\led_flash_cnt[1111][3]~42439\)) # (!\led_flash_cnt[1111][4]~q\ & ((\led_flash_cnt[1111][3]~42439\) # (GND)))
-- \led_flash_cnt[1111][4]~42441\ = CARRY((!\led_flash_cnt[1111][3]~42439\) # (!\led_flash_cnt[1111][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1111][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1111][3]~42439\,
	combout => \led_flash_cnt[1111][4]~42440_combout\,
	cout => \led_flash_cnt[1111][4]~42441\);

-- Location: FF_X9_Y18_N15
\led_flash_cnt[1111][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1111][4]~42440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1111][4]~q\);

-- Location: LCCOMB_X9_Y18_N26
\WideAnd1111~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1111~0_combout\ = (\led_flash_cnt[1111][2]~q\ & (\led_flash_cnt[1111][4]~q\ & (\led_flash_cnt[1111][1]~q\ & \led_flash_cnt[1111][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1111][2]~q\,
	datab => \led_flash_cnt[1111][4]~q\,
	datac => \led_flash_cnt[1111][1]~q\,
	datad => \led_flash_cnt[1111][3]~q\,
	combout => \WideAnd1111~0_combout\);

-- Location: LCCOMB_X9_Y18_N16
\led_flash_cnt[1111][5]~42442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1111][5]~42442_combout\ = (\led_flash_cnt[1111][5]~q\ & (\led_flash_cnt[1111][4]~42441\ $ (GND))) # (!\led_flash_cnt[1111][5]~q\ & (!\led_flash_cnt[1111][4]~42441\ & VCC))
-- \led_flash_cnt[1111][5]~42443\ = CARRY((\led_flash_cnt[1111][5]~q\ & !\led_flash_cnt[1111][4]~42441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1111][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1111][4]~42441\,
	combout => \led_flash_cnt[1111][5]~42442_combout\,
	cout => \led_flash_cnt[1111][5]~42443\);

-- Location: FF_X9_Y18_N17
\led_flash_cnt[1111][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1111][5]~42442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1111][5]~q\);

-- Location: LCCOMB_X9_Y18_N18
\led_flash_cnt[1111][6]~42444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1111][6]~42444_combout\ = (\led_flash_cnt[1111][6]~q\ & (!\led_flash_cnt[1111][5]~42443\)) # (!\led_flash_cnt[1111][6]~q\ & ((\led_flash_cnt[1111][5]~42443\) # (GND)))
-- \led_flash_cnt[1111][6]~42445\ = CARRY((!\led_flash_cnt[1111][5]~42443\) # (!\led_flash_cnt[1111][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1111][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1111][5]~42443\,
	combout => \led_flash_cnt[1111][6]~42444_combout\,
	cout => \led_flash_cnt[1111][6]~42445\);

-- Location: FF_X9_Y18_N19
\led_flash_cnt[1111][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1111][6]~42444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1111][6]~q\);

-- Location: LCCOMB_X9_Y18_N20
\led_flash_cnt[1111][7]~42446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1111][7]~42446_combout\ = \led_flash_cnt[1111][6]~42445\ $ (!\led_flash_cnt[1111][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1111][7]~q\,
	cin => \led_flash_cnt[1111][6]~42445\,
	combout => \led_flash_cnt[1111][7]~42446_combout\);

-- Location: FF_X9_Y18_N21
\led_flash_cnt[1111][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1111][7]~42446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1111][7]~q\);

-- Location: LCCOMB_X9_Y18_N24
\WideAnd1111~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1111~1_combout\ = (\led_flash_cnt[1111][5]~q\ & \led_flash_cnt[1111][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1111][5]~q\,
	datad => \led_flash_cnt[1111][6]~q\,
	combout => \WideAnd1111~1_combout\);

-- Location: LCCOMB_X9_Y18_N28
WideAnd1111 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1111~combout\ = (\WideAnd1111~0_combout\ & (\led_flash_cnt[1111][7]~q\ & (\led_flash_cnt[1111][0]~q\ & \WideAnd1111~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1111~0_combout\,
	datab => \led_flash_cnt[1111][7]~q\,
	datac => \led_flash_cnt[1111][0]~q\,
	datad => \WideAnd1111~1_combout\,
	combout => \WideAnd1111~combout\);

-- Location: FF_X9_Y18_N29
\led_flash_cnt_ands[1111]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1111~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1111));

-- Location: LCCOMB_X8_Y15_N6
\led_flash_cnt[1108][0]~81748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1108][0]~81748_combout\ = !\led_flash_cnt[1108][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1108][0]~q\,
	combout => \led_flash_cnt[1108][0]~81748_combout\);

-- Location: FF_X8_Y15_N7
\led_flash_cnt[1108][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1108][0]~81748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1108][0]~q\);

-- Location: LCCOMB_X9_Y15_N0
\led_flash_cnt[1108][1]~42392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1108][1]~42392_combout\ = (\led_flash_cnt[1108][0]~q\ & (\led_flash_cnt[1108][1]~q\ $ (VCC))) # (!\led_flash_cnt[1108][0]~q\ & (\led_flash_cnt[1108][1]~q\ & VCC))
-- \led_flash_cnt[1108][1]~42393\ = CARRY((\led_flash_cnt[1108][0]~q\ & \led_flash_cnt[1108][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1108][0]~q\,
	datab => \led_flash_cnt[1108][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1108][1]~42392_combout\,
	cout => \led_flash_cnt[1108][1]~42393\);

-- Location: FF_X9_Y15_N1
\led_flash_cnt[1108][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1108][1]~42392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1108][1]~q\);

-- Location: LCCOMB_X9_Y15_N2
\led_flash_cnt[1108][2]~42394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1108][2]~42394_combout\ = (\led_flash_cnt[1108][2]~q\ & (!\led_flash_cnt[1108][1]~42393\)) # (!\led_flash_cnt[1108][2]~q\ & ((\led_flash_cnt[1108][1]~42393\) # (GND)))
-- \led_flash_cnt[1108][2]~42395\ = CARRY((!\led_flash_cnt[1108][1]~42393\) # (!\led_flash_cnt[1108][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1108][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1108][1]~42393\,
	combout => \led_flash_cnt[1108][2]~42394_combout\,
	cout => \led_flash_cnt[1108][2]~42395\);

-- Location: FF_X9_Y15_N3
\led_flash_cnt[1108][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1108][2]~42394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1108][2]~q\);

-- Location: LCCOMB_X9_Y15_N4
\led_flash_cnt[1108][3]~42396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1108][3]~42396_combout\ = (\led_flash_cnt[1108][3]~q\ & (\led_flash_cnt[1108][2]~42395\ $ (GND))) # (!\led_flash_cnt[1108][3]~q\ & (!\led_flash_cnt[1108][2]~42395\ & VCC))
-- \led_flash_cnt[1108][3]~42397\ = CARRY((\led_flash_cnt[1108][3]~q\ & !\led_flash_cnt[1108][2]~42395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1108][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1108][2]~42395\,
	combout => \led_flash_cnt[1108][3]~42396_combout\,
	cout => \led_flash_cnt[1108][3]~42397\);

-- Location: FF_X9_Y15_N5
\led_flash_cnt[1108][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1108][3]~42396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1108][3]~q\);

-- Location: LCCOMB_X9_Y15_N6
\led_flash_cnt[1108][4]~42398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1108][4]~42398_combout\ = (\led_flash_cnt[1108][4]~q\ & (!\led_flash_cnt[1108][3]~42397\)) # (!\led_flash_cnt[1108][4]~q\ & ((\led_flash_cnt[1108][3]~42397\) # (GND)))
-- \led_flash_cnt[1108][4]~42399\ = CARRY((!\led_flash_cnt[1108][3]~42397\) # (!\led_flash_cnt[1108][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1108][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1108][3]~42397\,
	combout => \led_flash_cnt[1108][4]~42398_combout\,
	cout => \led_flash_cnt[1108][4]~42399\);

-- Location: FF_X9_Y15_N7
\led_flash_cnt[1108][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1108][4]~42398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1108][4]~q\);

-- Location: LCCOMB_X9_Y15_N8
\led_flash_cnt[1108][5]~42400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1108][5]~42400_combout\ = (\led_flash_cnt[1108][5]~q\ & (\led_flash_cnt[1108][4]~42399\ $ (GND))) # (!\led_flash_cnt[1108][5]~q\ & (!\led_flash_cnt[1108][4]~42399\ & VCC))
-- \led_flash_cnt[1108][5]~42401\ = CARRY((\led_flash_cnt[1108][5]~q\ & !\led_flash_cnt[1108][4]~42399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1108][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1108][4]~42399\,
	combout => \led_flash_cnt[1108][5]~42400_combout\,
	cout => \led_flash_cnt[1108][5]~42401\);

-- Location: FF_X9_Y15_N9
\led_flash_cnt[1108][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1108][5]~42400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1108][5]~q\);

-- Location: LCCOMB_X9_Y15_N10
\led_flash_cnt[1108][6]~42402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1108][6]~42402_combout\ = (\led_flash_cnt[1108][6]~q\ & (!\led_flash_cnt[1108][5]~42401\)) # (!\led_flash_cnt[1108][6]~q\ & ((\led_flash_cnt[1108][5]~42401\) # (GND)))
-- \led_flash_cnt[1108][6]~42403\ = CARRY((!\led_flash_cnt[1108][5]~42401\) # (!\led_flash_cnt[1108][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1108][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1108][5]~42401\,
	combout => \led_flash_cnt[1108][6]~42402_combout\,
	cout => \led_flash_cnt[1108][6]~42403\);

-- Location: FF_X9_Y15_N11
\led_flash_cnt[1108][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1108][6]~42402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1108][6]~q\);

-- Location: LCCOMB_X8_Y15_N16
\WideAnd1108~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1108~1_combout\ = (\led_flash_cnt[1108][5]~q\ & \led_flash_cnt[1108][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1108][5]~q\,
	datac => \led_flash_cnt[1108][6]~q\,
	combout => \WideAnd1108~1_combout\);

-- Location: LCCOMB_X9_Y15_N12
\led_flash_cnt[1108][7]~42404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1108][7]~42404_combout\ = \led_flash_cnt[1108][6]~42403\ $ (!\led_flash_cnt[1108][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1108][7]~q\,
	cin => \led_flash_cnt[1108][6]~42403\,
	combout => \led_flash_cnt[1108][7]~42404_combout\);

-- Location: FF_X9_Y15_N13
\led_flash_cnt[1108][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1108][7]~42404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1108][7]~q\);

-- Location: LCCOMB_X9_Y15_N30
\WideAnd1108~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1108~0_combout\ = (\led_flash_cnt[1108][4]~q\ & (\led_flash_cnt[1108][2]~q\ & (\led_flash_cnt[1108][3]~q\ & \led_flash_cnt[1108][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1108][4]~q\,
	datab => \led_flash_cnt[1108][2]~q\,
	datac => \led_flash_cnt[1108][3]~q\,
	datad => \led_flash_cnt[1108][1]~q\,
	combout => \WideAnd1108~0_combout\);

-- Location: LCCOMB_X8_Y15_N8
WideAnd1108 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1108~combout\ = (\led_flash_cnt[1108][0]~q\ & (\WideAnd1108~1_combout\ & (\led_flash_cnt[1108][7]~q\ & \WideAnd1108~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1108][0]~q\,
	datab => \WideAnd1108~1_combout\,
	datac => \led_flash_cnt[1108][7]~q\,
	datad => \WideAnd1108~0_combout\,
	combout => \WideAnd1108~combout\);

-- Location: FF_X8_Y15_N9
\led_flash_cnt_ands[1108]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1108~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1108));

-- Location: LCCOMB_X8_Y15_N12
\led_flash_cnt[1109][0]~81749\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1109][0]~81749_combout\ = !\led_flash_cnt[1109][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1109][0]~q\,
	combout => \led_flash_cnt[1109][0]~81749_combout\);

-- Location: FF_X8_Y15_N13
\led_flash_cnt[1109][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1109][0]~81749_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1109][0]~q\);

-- Location: LCCOMB_X8_Y15_N18
\led_flash_cnt[1109][1]~42406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1109][1]~42406_combout\ = (\led_flash_cnt[1109][0]~q\ & (\led_flash_cnt[1109][1]~q\ $ (VCC))) # (!\led_flash_cnt[1109][0]~q\ & (\led_flash_cnt[1109][1]~q\ & VCC))
-- \led_flash_cnt[1109][1]~42407\ = CARRY((\led_flash_cnt[1109][0]~q\ & \led_flash_cnt[1109][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1109][0]~q\,
	datab => \led_flash_cnt[1109][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1109][1]~42406_combout\,
	cout => \led_flash_cnt[1109][1]~42407\);

-- Location: FF_X8_Y15_N19
\led_flash_cnt[1109][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1109][1]~42406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1109][1]~q\);

-- Location: LCCOMB_X8_Y15_N20
\led_flash_cnt[1109][2]~42408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1109][2]~42408_combout\ = (\led_flash_cnt[1109][2]~q\ & (!\led_flash_cnt[1109][1]~42407\)) # (!\led_flash_cnt[1109][2]~q\ & ((\led_flash_cnt[1109][1]~42407\) # (GND)))
-- \led_flash_cnt[1109][2]~42409\ = CARRY((!\led_flash_cnt[1109][1]~42407\) # (!\led_flash_cnt[1109][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1109][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1109][1]~42407\,
	combout => \led_flash_cnt[1109][2]~42408_combout\,
	cout => \led_flash_cnt[1109][2]~42409\);

-- Location: FF_X8_Y15_N21
\led_flash_cnt[1109][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1109][2]~42408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1109][2]~q\);

-- Location: LCCOMB_X8_Y15_N22
\led_flash_cnt[1109][3]~42410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1109][3]~42410_combout\ = (\led_flash_cnt[1109][3]~q\ & (\led_flash_cnt[1109][2]~42409\ $ (GND))) # (!\led_flash_cnt[1109][3]~q\ & (!\led_flash_cnt[1109][2]~42409\ & VCC))
-- \led_flash_cnt[1109][3]~42411\ = CARRY((\led_flash_cnt[1109][3]~q\ & !\led_flash_cnt[1109][2]~42409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1109][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1109][2]~42409\,
	combout => \led_flash_cnt[1109][3]~42410_combout\,
	cout => \led_flash_cnt[1109][3]~42411\);

-- Location: FF_X8_Y15_N23
\led_flash_cnt[1109][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1109][3]~42410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1109][3]~q\);

-- Location: LCCOMB_X8_Y15_N24
\led_flash_cnt[1109][4]~42412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1109][4]~42412_combout\ = (\led_flash_cnt[1109][4]~q\ & (!\led_flash_cnt[1109][3]~42411\)) # (!\led_flash_cnt[1109][4]~q\ & ((\led_flash_cnt[1109][3]~42411\) # (GND)))
-- \led_flash_cnt[1109][4]~42413\ = CARRY((!\led_flash_cnt[1109][3]~42411\) # (!\led_flash_cnt[1109][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1109][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1109][3]~42411\,
	combout => \led_flash_cnt[1109][4]~42412_combout\,
	cout => \led_flash_cnt[1109][4]~42413\);

-- Location: FF_X8_Y15_N25
\led_flash_cnt[1109][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1109][4]~42412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1109][4]~q\);

-- Location: LCCOMB_X8_Y15_N26
\led_flash_cnt[1109][5]~42414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1109][5]~42414_combout\ = (\led_flash_cnt[1109][5]~q\ & (\led_flash_cnt[1109][4]~42413\ $ (GND))) # (!\led_flash_cnt[1109][5]~q\ & (!\led_flash_cnt[1109][4]~42413\ & VCC))
-- \led_flash_cnt[1109][5]~42415\ = CARRY((\led_flash_cnt[1109][5]~q\ & !\led_flash_cnt[1109][4]~42413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1109][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1109][4]~42413\,
	combout => \led_flash_cnt[1109][5]~42414_combout\,
	cout => \led_flash_cnt[1109][5]~42415\);

-- Location: FF_X8_Y15_N27
\led_flash_cnt[1109][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1109][5]~42414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1109][5]~q\);

-- Location: LCCOMB_X8_Y15_N28
\led_flash_cnt[1109][6]~42416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1109][6]~42416_combout\ = (\led_flash_cnt[1109][6]~q\ & (!\led_flash_cnt[1109][5]~42415\)) # (!\led_flash_cnt[1109][6]~q\ & ((\led_flash_cnt[1109][5]~42415\) # (GND)))
-- \led_flash_cnt[1109][6]~42417\ = CARRY((!\led_flash_cnt[1109][5]~42415\) # (!\led_flash_cnt[1109][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1109][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1109][5]~42415\,
	combout => \led_flash_cnt[1109][6]~42416_combout\,
	cout => \led_flash_cnt[1109][6]~42417\);

-- Location: FF_X8_Y15_N29
\led_flash_cnt[1109][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1109][6]~42416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1109][6]~q\);

-- Location: LCCOMB_X8_Y15_N30
\led_flash_cnt[1109][7]~42418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1109][7]~42418_combout\ = \led_flash_cnt[1109][7]~q\ $ (!\led_flash_cnt[1109][6]~42417\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1109][7]~q\,
	cin => \led_flash_cnt[1109][6]~42417\,
	combout => \led_flash_cnt[1109][7]~42418_combout\);

-- Location: FF_X8_Y15_N31
\led_flash_cnt[1109][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1109][7]~42418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1109][7]~q\);

-- Location: LCCOMB_X8_Y15_N2
\WideAnd1109~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1109~1_combout\ = (\led_flash_cnt[1109][5]~q\ & \led_flash_cnt[1109][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1109][5]~q\,
	datad => \led_flash_cnt[1109][6]~q\,
	combout => \WideAnd1109~1_combout\);

-- Location: LCCOMB_X8_Y15_N4
\WideAnd1109~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1109~0_combout\ = (\led_flash_cnt[1109][4]~q\ & (\led_flash_cnt[1109][1]~q\ & (\led_flash_cnt[1109][3]~q\ & \led_flash_cnt[1109][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1109][4]~q\,
	datab => \led_flash_cnt[1109][1]~q\,
	datac => \led_flash_cnt[1109][3]~q\,
	datad => \led_flash_cnt[1109][2]~q\,
	combout => \WideAnd1109~0_combout\);

-- Location: LCCOMB_X8_Y15_N0
WideAnd1109 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1109~combout\ = (\led_flash_cnt[1109][7]~q\ & (\WideAnd1109~1_combout\ & (\WideAnd1109~0_combout\ & \led_flash_cnt[1109][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1109][7]~q\,
	datab => \WideAnd1109~1_combout\,
	datac => \WideAnd1109~0_combout\,
	datad => \led_flash_cnt[1109][0]~q\,
	combout => \WideAnd1109~combout\);

-- Location: FF_X8_Y15_N1
\led_flash_cnt_ands[1109]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1109~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1109));

-- Location: LCCOMB_X8_Y15_N10
\WideAnd3978~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3978~1_combout\ = (led_flash_cnt_ands(1108) & led_flash_cnt_ands(1109))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1108),
	datad => led_flash_cnt_ands(1109),
	combout => \WideAnd3978~1_combout\);

-- Location: LCCOMB_X11_Y16_N10
\led_flash_cnt[1105][0]~81745\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1105][0]~81745_combout\ = !\led_flash_cnt[1105][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1105][0]~q\,
	combout => \led_flash_cnt[1105][0]~81745_combout\);

-- Location: FF_X11_Y16_N11
\led_flash_cnt[1105][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1105][0]~81745_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1105][0]~q\);

-- Location: LCCOMB_X11_Y16_N14
\led_flash_cnt[1105][1]~42350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1105][1]~42350_combout\ = (\led_flash_cnt[1105][0]~q\ & (\led_flash_cnt[1105][1]~q\ $ (VCC))) # (!\led_flash_cnt[1105][0]~q\ & (\led_flash_cnt[1105][1]~q\ & VCC))
-- \led_flash_cnt[1105][1]~42351\ = CARRY((\led_flash_cnt[1105][0]~q\ & \led_flash_cnt[1105][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1105][0]~q\,
	datab => \led_flash_cnt[1105][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1105][1]~42350_combout\,
	cout => \led_flash_cnt[1105][1]~42351\);

-- Location: FF_X11_Y16_N15
\led_flash_cnt[1105][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1105][1]~42350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1105][1]~q\);

-- Location: LCCOMB_X11_Y16_N16
\led_flash_cnt[1105][2]~42352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1105][2]~42352_combout\ = (\led_flash_cnt[1105][2]~q\ & (!\led_flash_cnt[1105][1]~42351\)) # (!\led_flash_cnt[1105][2]~q\ & ((\led_flash_cnt[1105][1]~42351\) # (GND)))
-- \led_flash_cnt[1105][2]~42353\ = CARRY((!\led_flash_cnt[1105][1]~42351\) # (!\led_flash_cnt[1105][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1105][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1105][1]~42351\,
	combout => \led_flash_cnt[1105][2]~42352_combout\,
	cout => \led_flash_cnt[1105][2]~42353\);

-- Location: FF_X11_Y16_N17
\led_flash_cnt[1105][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1105][2]~42352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1105][2]~q\);

-- Location: LCCOMB_X11_Y16_N18
\led_flash_cnt[1105][3]~42354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1105][3]~42354_combout\ = (\led_flash_cnt[1105][3]~q\ & (\led_flash_cnt[1105][2]~42353\ $ (GND))) # (!\led_flash_cnt[1105][3]~q\ & (!\led_flash_cnt[1105][2]~42353\ & VCC))
-- \led_flash_cnt[1105][3]~42355\ = CARRY((\led_flash_cnt[1105][3]~q\ & !\led_flash_cnt[1105][2]~42353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1105][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1105][2]~42353\,
	combout => \led_flash_cnt[1105][3]~42354_combout\,
	cout => \led_flash_cnt[1105][3]~42355\);

-- Location: FF_X11_Y16_N19
\led_flash_cnt[1105][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1105][3]~42354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1105][3]~q\);

-- Location: LCCOMB_X11_Y16_N20
\led_flash_cnt[1105][4]~42356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1105][4]~42356_combout\ = (\led_flash_cnt[1105][4]~q\ & (!\led_flash_cnt[1105][3]~42355\)) # (!\led_flash_cnt[1105][4]~q\ & ((\led_flash_cnt[1105][3]~42355\) # (GND)))
-- \led_flash_cnt[1105][4]~42357\ = CARRY((!\led_flash_cnt[1105][3]~42355\) # (!\led_flash_cnt[1105][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1105][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1105][3]~42355\,
	combout => \led_flash_cnt[1105][4]~42356_combout\,
	cout => \led_flash_cnt[1105][4]~42357\);

-- Location: FF_X11_Y16_N21
\led_flash_cnt[1105][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1105][4]~42356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1105][4]~q\);

-- Location: LCCOMB_X11_Y16_N22
\led_flash_cnt[1105][5]~42358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1105][5]~42358_combout\ = (\led_flash_cnt[1105][5]~q\ & (\led_flash_cnt[1105][4]~42357\ $ (GND))) # (!\led_flash_cnt[1105][5]~q\ & (!\led_flash_cnt[1105][4]~42357\ & VCC))
-- \led_flash_cnt[1105][5]~42359\ = CARRY((\led_flash_cnt[1105][5]~q\ & !\led_flash_cnt[1105][4]~42357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1105][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1105][4]~42357\,
	combout => \led_flash_cnt[1105][5]~42358_combout\,
	cout => \led_flash_cnt[1105][5]~42359\);

-- Location: FF_X11_Y16_N23
\led_flash_cnt[1105][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1105][5]~42358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1105][5]~q\);

-- Location: LCCOMB_X11_Y16_N24
\led_flash_cnt[1105][6]~42360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1105][6]~42360_combout\ = (\led_flash_cnt[1105][6]~q\ & (!\led_flash_cnt[1105][5]~42359\)) # (!\led_flash_cnt[1105][6]~q\ & ((\led_flash_cnt[1105][5]~42359\) # (GND)))
-- \led_flash_cnt[1105][6]~42361\ = CARRY((!\led_flash_cnt[1105][5]~42359\) # (!\led_flash_cnt[1105][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1105][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1105][5]~42359\,
	combout => \led_flash_cnt[1105][6]~42360_combout\,
	cout => \led_flash_cnt[1105][6]~42361\);

-- Location: FF_X11_Y16_N25
\led_flash_cnt[1105][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1105][6]~42360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1105][6]~q\);

-- Location: LCCOMB_X11_Y16_N4
\WideAnd1105~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1105~1_combout\ = (\led_flash_cnt[1105][6]~q\ & \led_flash_cnt[1105][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1105][6]~q\,
	datad => \led_flash_cnt[1105][0]~q\,
	combout => \WideAnd1105~1_combout\);

-- Location: LCCOMB_X11_Y16_N26
\led_flash_cnt[1105][7]~42362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1105][7]~42362_combout\ = \led_flash_cnt[1105][7]~q\ $ (!\led_flash_cnt[1105][6]~42361\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1105][7]~q\,
	cin => \led_flash_cnt[1105][6]~42361\,
	combout => \led_flash_cnt[1105][7]~42362_combout\);

-- Location: FF_X11_Y16_N27
\led_flash_cnt[1105][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1105][7]~42362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1105][7]~q\);

-- Location: LCCOMB_X11_Y16_N2
\WideAnd1105~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1105~0_combout\ = (\led_flash_cnt[1105][3]~q\ & (\led_flash_cnt[1105][4]~q\ & (\led_flash_cnt[1105][1]~q\ & \led_flash_cnt[1105][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1105][3]~q\,
	datab => \led_flash_cnt[1105][4]~q\,
	datac => \led_flash_cnt[1105][1]~q\,
	datad => \led_flash_cnt[1105][2]~q\,
	combout => \WideAnd1105~0_combout\);

-- Location: LCCOMB_X11_Y16_N12
WideAnd1105 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1105~combout\ = (\led_flash_cnt[1105][5]~q\ & (\WideAnd1105~1_combout\ & (\led_flash_cnt[1105][7]~q\ & \WideAnd1105~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1105][5]~q\,
	datab => \WideAnd1105~1_combout\,
	datac => \led_flash_cnt[1105][7]~q\,
	datad => \WideAnd1105~0_combout\,
	combout => \WideAnd1105~combout\);

-- Location: FF_X11_Y16_N13
\led_flash_cnt_ands[1105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1105~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1105));

-- Location: LCCOMB_X51_Y23_N2
\led_flash_cnt[1106][0]~81746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1106][0]~81746_combout\ = !\led_flash_cnt[1106][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1106][0]~q\,
	combout => \led_flash_cnt[1106][0]~81746_combout\);

-- Location: FF_X51_Y23_N3
\led_flash_cnt[1106][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1106][0]~81746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1106][0]~q\);

-- Location: LCCOMB_X50_Y23_N2
\led_flash_cnt[1106][1]~42364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1106][1]~42364_combout\ = (\led_flash_cnt[1106][0]~q\ & (\led_flash_cnt[1106][1]~q\ $ (VCC))) # (!\led_flash_cnt[1106][0]~q\ & (\led_flash_cnt[1106][1]~q\ & VCC))
-- \led_flash_cnt[1106][1]~42365\ = CARRY((\led_flash_cnt[1106][0]~q\ & \led_flash_cnt[1106][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1106][0]~q\,
	datab => \led_flash_cnt[1106][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1106][1]~42364_combout\,
	cout => \led_flash_cnt[1106][1]~42365\);

-- Location: FF_X50_Y23_N3
\led_flash_cnt[1106][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1106][1]~42364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1106][1]~q\);

-- Location: LCCOMB_X50_Y23_N4
\led_flash_cnt[1106][2]~42366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1106][2]~42366_combout\ = (\led_flash_cnt[1106][2]~q\ & (!\led_flash_cnt[1106][1]~42365\)) # (!\led_flash_cnt[1106][2]~q\ & ((\led_flash_cnt[1106][1]~42365\) # (GND)))
-- \led_flash_cnt[1106][2]~42367\ = CARRY((!\led_flash_cnt[1106][1]~42365\) # (!\led_flash_cnt[1106][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1106][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1106][1]~42365\,
	combout => \led_flash_cnt[1106][2]~42366_combout\,
	cout => \led_flash_cnt[1106][2]~42367\);

-- Location: FF_X50_Y23_N5
\led_flash_cnt[1106][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1106][2]~42366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1106][2]~q\);

-- Location: LCCOMB_X50_Y23_N6
\led_flash_cnt[1106][3]~42368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1106][3]~42368_combout\ = (\led_flash_cnt[1106][3]~q\ & (\led_flash_cnt[1106][2]~42367\ $ (GND))) # (!\led_flash_cnt[1106][3]~q\ & (!\led_flash_cnt[1106][2]~42367\ & VCC))
-- \led_flash_cnt[1106][3]~42369\ = CARRY((\led_flash_cnt[1106][3]~q\ & !\led_flash_cnt[1106][2]~42367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1106][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1106][2]~42367\,
	combout => \led_flash_cnt[1106][3]~42368_combout\,
	cout => \led_flash_cnt[1106][3]~42369\);

-- Location: FF_X50_Y23_N7
\led_flash_cnt[1106][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1106][3]~42368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1106][3]~q\);

-- Location: LCCOMB_X50_Y23_N8
\led_flash_cnt[1106][4]~42370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1106][4]~42370_combout\ = (\led_flash_cnt[1106][4]~q\ & (!\led_flash_cnt[1106][3]~42369\)) # (!\led_flash_cnt[1106][4]~q\ & ((\led_flash_cnt[1106][3]~42369\) # (GND)))
-- \led_flash_cnt[1106][4]~42371\ = CARRY((!\led_flash_cnt[1106][3]~42369\) # (!\led_flash_cnt[1106][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1106][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1106][3]~42369\,
	combout => \led_flash_cnt[1106][4]~42370_combout\,
	cout => \led_flash_cnt[1106][4]~42371\);

-- Location: FF_X50_Y23_N9
\led_flash_cnt[1106][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1106][4]~42370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1106][4]~q\);

-- Location: LCCOMB_X50_Y23_N0
\WideAnd1106~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1106~0_combout\ = (\led_flash_cnt[1106][3]~q\ & (\led_flash_cnt[1106][4]~q\ & (\led_flash_cnt[1106][2]~q\ & \led_flash_cnt[1106][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1106][3]~q\,
	datab => \led_flash_cnt[1106][4]~q\,
	datac => \led_flash_cnt[1106][2]~q\,
	datad => \led_flash_cnt[1106][1]~q\,
	combout => \WideAnd1106~0_combout\);

-- Location: LCCOMB_X50_Y23_N10
\led_flash_cnt[1106][5]~42372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1106][5]~42372_combout\ = (\led_flash_cnt[1106][5]~q\ & (\led_flash_cnt[1106][4]~42371\ $ (GND))) # (!\led_flash_cnt[1106][5]~q\ & (!\led_flash_cnt[1106][4]~42371\ & VCC))
-- \led_flash_cnt[1106][5]~42373\ = CARRY((\led_flash_cnt[1106][5]~q\ & !\led_flash_cnt[1106][4]~42371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1106][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1106][4]~42371\,
	combout => \led_flash_cnt[1106][5]~42372_combout\,
	cout => \led_flash_cnt[1106][5]~42373\);

-- Location: FF_X50_Y23_N11
\led_flash_cnt[1106][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1106][5]~42372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1106][5]~q\);

-- Location: LCCOMB_X50_Y23_N12
\led_flash_cnt[1106][6]~42374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1106][6]~42374_combout\ = (\led_flash_cnt[1106][6]~q\ & (!\led_flash_cnt[1106][5]~42373\)) # (!\led_flash_cnt[1106][6]~q\ & ((\led_flash_cnt[1106][5]~42373\) # (GND)))
-- \led_flash_cnt[1106][6]~42375\ = CARRY((!\led_flash_cnt[1106][5]~42373\) # (!\led_flash_cnt[1106][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1106][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1106][5]~42373\,
	combout => \led_flash_cnt[1106][6]~42374_combout\,
	cout => \led_flash_cnt[1106][6]~42375\);

-- Location: FF_X50_Y23_N13
\led_flash_cnt[1106][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1106][6]~42374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1106][6]~q\);

-- Location: LCCOMB_X51_Y23_N30
\WideAnd1106~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1106~1_combout\ = (\led_flash_cnt[1106][6]~q\ & \led_flash_cnt[1106][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1106][6]~q\,
	datad => \led_flash_cnt[1106][5]~q\,
	combout => \WideAnd1106~1_combout\);

-- Location: LCCOMB_X50_Y23_N14
\led_flash_cnt[1106][7]~42376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1106][7]~42376_combout\ = \led_flash_cnt[1106][7]~q\ $ (!\led_flash_cnt[1106][6]~42375\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1106][7]~q\,
	cin => \led_flash_cnt[1106][6]~42375\,
	combout => \led_flash_cnt[1106][7]~42376_combout\);

-- Location: FF_X50_Y23_N15
\led_flash_cnt[1106][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1106][7]~42376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1106][7]~q\);

-- Location: LCCOMB_X51_Y23_N0
WideAnd1106 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1106~combout\ = (\WideAnd1106~0_combout\ & (\led_flash_cnt[1106][0]~q\ & (\WideAnd1106~1_combout\ & \led_flash_cnt[1106][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1106~0_combout\,
	datab => \led_flash_cnt[1106][0]~q\,
	datac => \WideAnd1106~1_combout\,
	datad => \led_flash_cnt[1106][7]~q\,
	combout => \WideAnd1106~combout\);

-- Location: FF_X51_Y23_N1
\led_flash_cnt_ands[1106]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1106~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1106));

-- Location: LCCOMB_X9_Y17_N26
\led_flash_cnt[1104][0]~81744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1104][0]~81744_combout\ = !\led_flash_cnt[1104][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1104][0]~q\,
	combout => \led_flash_cnt[1104][0]~81744_combout\);

-- Location: FF_X9_Y17_N27
\led_flash_cnt[1104][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1104][0]~81744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1104][0]~q\);

-- Location: LCCOMB_X10_Y17_N16
\led_flash_cnt[1104][1]~42336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1104][1]~42336_combout\ = (\led_flash_cnt[1104][0]~q\ & (\led_flash_cnt[1104][1]~q\ $ (VCC))) # (!\led_flash_cnt[1104][0]~q\ & (\led_flash_cnt[1104][1]~q\ & VCC))
-- \led_flash_cnt[1104][1]~42337\ = CARRY((\led_flash_cnt[1104][0]~q\ & \led_flash_cnt[1104][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1104][0]~q\,
	datab => \led_flash_cnt[1104][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1104][1]~42336_combout\,
	cout => \led_flash_cnt[1104][1]~42337\);

-- Location: FF_X10_Y17_N17
\led_flash_cnt[1104][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1104][1]~42336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1104][1]~q\);

-- Location: LCCOMB_X10_Y17_N18
\led_flash_cnt[1104][2]~42338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1104][2]~42338_combout\ = (\led_flash_cnt[1104][2]~q\ & (!\led_flash_cnt[1104][1]~42337\)) # (!\led_flash_cnt[1104][2]~q\ & ((\led_flash_cnt[1104][1]~42337\) # (GND)))
-- \led_flash_cnt[1104][2]~42339\ = CARRY((!\led_flash_cnt[1104][1]~42337\) # (!\led_flash_cnt[1104][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1104][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1104][1]~42337\,
	combout => \led_flash_cnt[1104][2]~42338_combout\,
	cout => \led_flash_cnt[1104][2]~42339\);

-- Location: FF_X10_Y17_N19
\led_flash_cnt[1104][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1104][2]~42338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1104][2]~q\);

-- Location: LCCOMB_X10_Y17_N20
\led_flash_cnt[1104][3]~42340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1104][3]~42340_combout\ = (\led_flash_cnt[1104][3]~q\ & (\led_flash_cnt[1104][2]~42339\ $ (GND))) # (!\led_flash_cnt[1104][3]~q\ & (!\led_flash_cnt[1104][2]~42339\ & VCC))
-- \led_flash_cnt[1104][3]~42341\ = CARRY((\led_flash_cnt[1104][3]~q\ & !\led_flash_cnt[1104][2]~42339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1104][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1104][2]~42339\,
	combout => \led_flash_cnt[1104][3]~42340_combout\,
	cout => \led_flash_cnt[1104][3]~42341\);

-- Location: FF_X10_Y17_N21
\led_flash_cnt[1104][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1104][3]~42340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1104][3]~q\);

-- Location: LCCOMB_X10_Y17_N22
\led_flash_cnt[1104][4]~42342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1104][4]~42342_combout\ = (\led_flash_cnt[1104][4]~q\ & (!\led_flash_cnt[1104][3]~42341\)) # (!\led_flash_cnt[1104][4]~q\ & ((\led_flash_cnt[1104][3]~42341\) # (GND)))
-- \led_flash_cnt[1104][4]~42343\ = CARRY((!\led_flash_cnt[1104][3]~42341\) # (!\led_flash_cnt[1104][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1104][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1104][3]~42341\,
	combout => \led_flash_cnt[1104][4]~42342_combout\,
	cout => \led_flash_cnt[1104][4]~42343\);

-- Location: FF_X10_Y17_N23
\led_flash_cnt[1104][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1104][4]~42342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1104][4]~q\);

-- Location: LCCOMB_X10_Y17_N14
\WideAnd1104~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1104~0_combout\ = (\led_flash_cnt[1104][1]~q\ & (\led_flash_cnt[1104][3]~q\ & (\led_flash_cnt[1104][4]~q\ & \led_flash_cnt[1104][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1104][1]~q\,
	datab => \led_flash_cnt[1104][3]~q\,
	datac => \led_flash_cnt[1104][4]~q\,
	datad => \led_flash_cnt[1104][2]~q\,
	combout => \WideAnd1104~0_combout\);

-- Location: LCCOMB_X10_Y17_N24
\led_flash_cnt[1104][5]~42344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1104][5]~42344_combout\ = (\led_flash_cnt[1104][5]~q\ & (\led_flash_cnt[1104][4]~42343\ $ (GND))) # (!\led_flash_cnt[1104][5]~q\ & (!\led_flash_cnt[1104][4]~42343\ & VCC))
-- \led_flash_cnt[1104][5]~42345\ = CARRY((\led_flash_cnt[1104][5]~q\ & !\led_flash_cnt[1104][4]~42343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1104][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1104][4]~42343\,
	combout => \led_flash_cnt[1104][5]~42344_combout\,
	cout => \led_flash_cnt[1104][5]~42345\);

-- Location: FF_X10_Y17_N25
\led_flash_cnt[1104][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1104][5]~42344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1104][5]~q\);

-- Location: LCCOMB_X10_Y17_N26
\led_flash_cnt[1104][6]~42346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1104][6]~42346_combout\ = (\led_flash_cnt[1104][6]~q\ & (!\led_flash_cnt[1104][5]~42345\)) # (!\led_flash_cnt[1104][6]~q\ & ((\led_flash_cnt[1104][5]~42345\) # (GND)))
-- \led_flash_cnt[1104][6]~42347\ = CARRY((!\led_flash_cnt[1104][5]~42345\) # (!\led_flash_cnt[1104][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1104][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1104][5]~42345\,
	combout => \led_flash_cnt[1104][6]~42346_combout\,
	cout => \led_flash_cnt[1104][6]~42347\);

-- Location: FF_X10_Y17_N27
\led_flash_cnt[1104][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1104][6]~42346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1104][6]~q\);

-- Location: LCCOMB_X11_Y17_N24
\WideAnd1104~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1104~1_combout\ = (\led_flash_cnt[1104][6]~q\ & \led_flash_cnt[1104][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1104][6]~q\,
	datad => \led_flash_cnt[1104][5]~q\,
	combout => \WideAnd1104~1_combout\);

-- Location: LCCOMB_X10_Y17_N28
\led_flash_cnt[1104][7]~42348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1104][7]~42348_combout\ = \led_flash_cnt[1104][6]~42347\ $ (!\led_flash_cnt[1104][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1104][7]~q\,
	cin => \led_flash_cnt[1104][6]~42347\,
	combout => \led_flash_cnt[1104][7]~42348_combout\);

-- Location: FF_X10_Y17_N29
\led_flash_cnt[1104][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1104][7]~42348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1104][7]~q\);

-- Location: LCCOMB_X11_Y17_N30
WideAnd1104 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1104~combout\ = (\WideAnd1104~0_combout\ & (\WideAnd1104~1_combout\ & (\led_flash_cnt[1104][7]~q\ & \led_flash_cnt[1104][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1104~0_combout\,
	datab => \WideAnd1104~1_combout\,
	datac => \led_flash_cnt[1104][7]~q\,
	datad => \led_flash_cnt[1104][0]~q\,
	combout => \WideAnd1104~combout\);

-- Location: FF_X11_Y17_N31
\led_flash_cnt_ands[1104]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1104~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1104));

-- Location: LCCOMB_X11_Y16_N6
\led_flash_cnt[1107][0]~81747\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1107][0]~81747_combout\ = !\led_flash_cnt[1107][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1107][0]~q\,
	combout => \led_flash_cnt[1107][0]~81747_combout\);

-- Location: FF_X11_Y16_N7
\led_flash_cnt[1107][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1107][0]~81747_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1107][0]~q\);

-- Location: LCCOMB_X12_Y16_N18
\led_flash_cnt[1107][1]~42378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1107][1]~42378_combout\ = (\led_flash_cnt[1107][0]~q\ & (\led_flash_cnt[1107][1]~q\ $ (VCC))) # (!\led_flash_cnt[1107][0]~q\ & (\led_flash_cnt[1107][1]~q\ & VCC))
-- \led_flash_cnt[1107][1]~42379\ = CARRY((\led_flash_cnt[1107][0]~q\ & \led_flash_cnt[1107][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1107][0]~q\,
	datab => \led_flash_cnt[1107][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1107][1]~42378_combout\,
	cout => \led_flash_cnt[1107][1]~42379\);

-- Location: FF_X12_Y16_N19
\led_flash_cnt[1107][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1107][1]~42378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1107][1]~q\);

-- Location: LCCOMB_X12_Y16_N20
\led_flash_cnt[1107][2]~42380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1107][2]~42380_combout\ = (\led_flash_cnt[1107][2]~q\ & (!\led_flash_cnt[1107][1]~42379\)) # (!\led_flash_cnt[1107][2]~q\ & ((\led_flash_cnt[1107][1]~42379\) # (GND)))
-- \led_flash_cnt[1107][2]~42381\ = CARRY((!\led_flash_cnt[1107][1]~42379\) # (!\led_flash_cnt[1107][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1107][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1107][1]~42379\,
	combout => \led_flash_cnt[1107][2]~42380_combout\,
	cout => \led_flash_cnt[1107][2]~42381\);

-- Location: FF_X12_Y16_N21
\led_flash_cnt[1107][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1107][2]~42380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1107][2]~q\);

-- Location: LCCOMB_X12_Y16_N22
\led_flash_cnt[1107][3]~42382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1107][3]~42382_combout\ = (\led_flash_cnt[1107][3]~q\ & (\led_flash_cnt[1107][2]~42381\ $ (GND))) # (!\led_flash_cnt[1107][3]~q\ & (!\led_flash_cnt[1107][2]~42381\ & VCC))
-- \led_flash_cnt[1107][3]~42383\ = CARRY((\led_flash_cnt[1107][3]~q\ & !\led_flash_cnt[1107][2]~42381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1107][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1107][2]~42381\,
	combout => \led_flash_cnt[1107][3]~42382_combout\,
	cout => \led_flash_cnt[1107][3]~42383\);

-- Location: FF_X12_Y16_N23
\led_flash_cnt[1107][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1107][3]~42382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1107][3]~q\);

-- Location: LCCOMB_X12_Y16_N24
\led_flash_cnt[1107][4]~42384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1107][4]~42384_combout\ = (\led_flash_cnt[1107][4]~q\ & (!\led_flash_cnt[1107][3]~42383\)) # (!\led_flash_cnt[1107][4]~q\ & ((\led_flash_cnt[1107][3]~42383\) # (GND)))
-- \led_flash_cnt[1107][4]~42385\ = CARRY((!\led_flash_cnt[1107][3]~42383\) # (!\led_flash_cnt[1107][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1107][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1107][3]~42383\,
	combout => \led_flash_cnt[1107][4]~42384_combout\,
	cout => \led_flash_cnt[1107][4]~42385\);

-- Location: FF_X12_Y16_N25
\led_flash_cnt[1107][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1107][4]~42384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1107][4]~q\);

-- Location: LCCOMB_X12_Y16_N26
\led_flash_cnt[1107][5]~42386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1107][5]~42386_combout\ = (\led_flash_cnt[1107][5]~q\ & (\led_flash_cnt[1107][4]~42385\ $ (GND))) # (!\led_flash_cnt[1107][5]~q\ & (!\led_flash_cnt[1107][4]~42385\ & VCC))
-- \led_flash_cnt[1107][5]~42387\ = CARRY((\led_flash_cnt[1107][5]~q\ & !\led_flash_cnt[1107][4]~42385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1107][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1107][4]~42385\,
	combout => \led_flash_cnt[1107][5]~42386_combout\,
	cout => \led_flash_cnt[1107][5]~42387\);

-- Location: FF_X12_Y16_N27
\led_flash_cnt[1107][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1107][5]~42386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1107][5]~q\);

-- Location: LCCOMB_X12_Y16_N28
\led_flash_cnt[1107][6]~42388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1107][6]~42388_combout\ = (\led_flash_cnt[1107][6]~q\ & (!\led_flash_cnt[1107][5]~42387\)) # (!\led_flash_cnt[1107][6]~q\ & ((\led_flash_cnt[1107][5]~42387\) # (GND)))
-- \led_flash_cnt[1107][6]~42389\ = CARRY((!\led_flash_cnt[1107][5]~42387\) # (!\led_flash_cnt[1107][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1107][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1107][5]~42387\,
	combout => \led_flash_cnt[1107][6]~42388_combout\,
	cout => \led_flash_cnt[1107][6]~42389\);

-- Location: FF_X12_Y16_N29
\led_flash_cnt[1107][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1107][6]~42388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1107][6]~q\);

-- Location: LCCOMB_X11_Y16_N0
\WideAnd1107~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1107~1_combout\ = (\led_flash_cnt[1107][5]~q\ & \led_flash_cnt[1107][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1107][5]~q\,
	datad => \led_flash_cnt[1107][6]~q\,
	combout => \WideAnd1107~1_combout\);

-- Location: LCCOMB_X12_Y16_N30
\led_flash_cnt[1107][7]~42390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1107][7]~42390_combout\ = \led_flash_cnt[1107][7]~q\ $ (!\led_flash_cnt[1107][6]~42389\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1107][7]~q\,
	cin => \led_flash_cnt[1107][6]~42389\,
	combout => \led_flash_cnt[1107][7]~42390_combout\);

-- Location: FF_X12_Y16_N31
\led_flash_cnt[1107][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1107][7]~42390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1107][7]~q\);

-- Location: LCCOMB_X12_Y16_N16
\WideAnd1107~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1107~0_combout\ = (\led_flash_cnt[1107][4]~q\ & (\led_flash_cnt[1107][1]~q\ & (\led_flash_cnt[1107][3]~q\ & \led_flash_cnt[1107][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1107][4]~q\,
	datab => \led_flash_cnt[1107][1]~q\,
	datac => \led_flash_cnt[1107][3]~q\,
	datad => \led_flash_cnt[1107][2]~q\,
	combout => \WideAnd1107~0_combout\);

-- Location: LCCOMB_X11_Y16_N28
WideAnd1107 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1107~combout\ = (\led_flash_cnt[1107][0]~q\ & (\WideAnd1107~1_combout\ & (\led_flash_cnt[1107][7]~q\ & \WideAnd1107~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1107][0]~q\,
	datab => \WideAnd1107~1_combout\,
	datac => \led_flash_cnt[1107][7]~q\,
	datad => \WideAnd1107~0_combout\,
	combout => \WideAnd1107~combout\);

-- Location: FF_X11_Y16_N29
\led_flash_cnt_ands[1107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1107~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1107));

-- Location: LCCOMB_X11_Y16_N30
\WideAnd3978~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3978~0_combout\ = (led_flash_cnt_ands(1105) & (led_flash_cnt_ands(1106) & (led_flash_cnt_ands(1104) & led_flash_cnt_ands(1107))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1105),
	datab => led_flash_cnt_ands(1106),
	datac => led_flash_cnt_ands(1104),
	datad => led_flash_cnt_ands(1107),
	combout => \WideAnd3978~0_combout\);

-- Location: LCCOMB_X8_Y18_N10
WideAnd3978 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3978~combout\ = (led_flash_cnt_ands(1110) & (led_flash_cnt_ands(1111) & (\WideAnd3978~1_combout\ & \WideAnd3978~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1110),
	datab => led_flash_cnt_ands(1111),
	datac => \WideAnd3978~1_combout\,
	datad => \WideAnd3978~0_combout\,
	combout => \WideAnd3978~combout\);

-- Location: FF_X8_Y18_N11
\led_flash_cnt_ands_1[138]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3978~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(138));

-- Location: LCCOMB_X8_Y20_N2
\led_flash_cnt[1091][0]~81731\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1091][0]~81731_combout\ = !\led_flash_cnt[1091][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1091][0]~q\,
	combout => \led_flash_cnt[1091][0]~81731_combout\);

-- Location: FF_X8_Y20_N3
\led_flash_cnt[1091][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1091][0]~81731_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1091][0]~q\);

-- Location: LCCOMB_X7_Y20_N2
\led_flash_cnt[1091][1]~42154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1091][1]~42154_combout\ = (\led_flash_cnt[1091][0]~q\ & (\led_flash_cnt[1091][1]~q\ $ (VCC))) # (!\led_flash_cnt[1091][0]~q\ & (\led_flash_cnt[1091][1]~q\ & VCC))
-- \led_flash_cnt[1091][1]~42155\ = CARRY((\led_flash_cnt[1091][0]~q\ & \led_flash_cnt[1091][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1091][0]~q\,
	datab => \led_flash_cnt[1091][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1091][1]~42154_combout\,
	cout => \led_flash_cnt[1091][1]~42155\);

-- Location: FF_X7_Y20_N3
\led_flash_cnt[1091][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1091][1]~42154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1091][1]~q\);

-- Location: LCCOMB_X7_Y20_N4
\led_flash_cnt[1091][2]~42156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1091][2]~42156_combout\ = (\led_flash_cnt[1091][2]~q\ & (!\led_flash_cnt[1091][1]~42155\)) # (!\led_flash_cnt[1091][2]~q\ & ((\led_flash_cnt[1091][1]~42155\) # (GND)))
-- \led_flash_cnt[1091][2]~42157\ = CARRY((!\led_flash_cnt[1091][1]~42155\) # (!\led_flash_cnt[1091][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1091][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1091][1]~42155\,
	combout => \led_flash_cnt[1091][2]~42156_combout\,
	cout => \led_flash_cnt[1091][2]~42157\);

-- Location: FF_X7_Y20_N5
\led_flash_cnt[1091][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1091][2]~42156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1091][2]~q\);

-- Location: LCCOMB_X7_Y20_N6
\led_flash_cnt[1091][3]~42158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1091][3]~42158_combout\ = (\led_flash_cnt[1091][3]~q\ & (\led_flash_cnt[1091][2]~42157\ $ (GND))) # (!\led_flash_cnt[1091][3]~q\ & (!\led_flash_cnt[1091][2]~42157\ & VCC))
-- \led_flash_cnt[1091][3]~42159\ = CARRY((\led_flash_cnt[1091][3]~q\ & !\led_flash_cnt[1091][2]~42157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1091][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1091][2]~42157\,
	combout => \led_flash_cnt[1091][3]~42158_combout\,
	cout => \led_flash_cnt[1091][3]~42159\);

-- Location: FF_X7_Y20_N7
\led_flash_cnt[1091][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1091][3]~42158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1091][3]~q\);

-- Location: LCCOMB_X7_Y20_N8
\led_flash_cnt[1091][4]~42160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1091][4]~42160_combout\ = (\led_flash_cnt[1091][4]~q\ & (!\led_flash_cnt[1091][3]~42159\)) # (!\led_flash_cnt[1091][4]~q\ & ((\led_flash_cnt[1091][3]~42159\) # (GND)))
-- \led_flash_cnt[1091][4]~42161\ = CARRY((!\led_flash_cnt[1091][3]~42159\) # (!\led_flash_cnt[1091][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1091][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1091][3]~42159\,
	combout => \led_flash_cnt[1091][4]~42160_combout\,
	cout => \led_flash_cnt[1091][4]~42161\);

-- Location: FF_X7_Y20_N9
\led_flash_cnt[1091][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1091][4]~42160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1091][4]~q\);

-- Location: LCCOMB_X7_Y20_N10
\led_flash_cnt[1091][5]~42162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1091][5]~42162_combout\ = (\led_flash_cnt[1091][5]~q\ & (\led_flash_cnt[1091][4]~42161\ $ (GND))) # (!\led_flash_cnt[1091][5]~q\ & (!\led_flash_cnt[1091][4]~42161\ & VCC))
-- \led_flash_cnt[1091][5]~42163\ = CARRY((\led_flash_cnt[1091][5]~q\ & !\led_flash_cnt[1091][4]~42161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1091][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1091][4]~42161\,
	combout => \led_flash_cnt[1091][5]~42162_combout\,
	cout => \led_flash_cnt[1091][5]~42163\);

-- Location: FF_X7_Y20_N11
\led_flash_cnt[1091][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1091][5]~42162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1091][5]~q\);

-- Location: LCCOMB_X7_Y20_N12
\led_flash_cnt[1091][6]~42164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1091][6]~42164_combout\ = (\led_flash_cnt[1091][6]~q\ & (!\led_flash_cnt[1091][5]~42163\)) # (!\led_flash_cnt[1091][6]~q\ & ((\led_flash_cnt[1091][5]~42163\) # (GND)))
-- \led_flash_cnt[1091][6]~42165\ = CARRY((!\led_flash_cnt[1091][5]~42163\) # (!\led_flash_cnt[1091][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1091][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1091][5]~42163\,
	combout => \led_flash_cnt[1091][6]~42164_combout\,
	cout => \led_flash_cnt[1091][6]~42165\);

-- Location: FF_X7_Y20_N13
\led_flash_cnt[1091][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1091][6]~42164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1091][6]~q\);

-- Location: LCCOMB_X7_Y20_N14
\led_flash_cnt[1091][7]~42166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1091][7]~42166_combout\ = \led_flash_cnt[1091][7]~q\ $ (!\led_flash_cnt[1091][6]~42165\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1091][7]~q\,
	cin => \led_flash_cnt[1091][6]~42165\,
	combout => \led_flash_cnt[1091][7]~42166_combout\);

-- Location: FF_X7_Y20_N15
\led_flash_cnt[1091][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1091][7]~42166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1091][7]~q\);

-- Location: LCCOMB_X7_Y20_N30
\WideAnd1091~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1091~0_combout\ = (\led_flash_cnt[1091][3]~q\ & (\led_flash_cnt[1091][4]~q\ & (\led_flash_cnt[1091][2]~q\ & \led_flash_cnt[1091][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1091][3]~q\,
	datab => \led_flash_cnt[1091][4]~q\,
	datac => \led_flash_cnt[1091][2]~q\,
	datad => \led_flash_cnt[1091][1]~q\,
	combout => \WideAnd1091~0_combout\);

-- Location: LCCOMB_X8_Y20_N12
\WideAnd1091~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1091~1_combout\ = (\led_flash_cnt[1091][6]~q\ & \led_flash_cnt[1091][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1091][6]~q\,
	datad => \led_flash_cnt[1091][5]~q\,
	combout => \WideAnd1091~1_combout\);

-- Location: LCCOMB_X8_Y20_N10
WideAnd1091 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1091~combout\ = (\led_flash_cnt[1091][7]~q\ & (\WideAnd1091~0_combout\ & (\led_flash_cnt[1091][0]~q\ & \WideAnd1091~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1091][7]~q\,
	datab => \WideAnd1091~0_combout\,
	datac => \led_flash_cnt[1091][0]~q\,
	datad => \WideAnd1091~1_combout\,
	combout => \WideAnd1091~combout\);

-- Location: FF_X8_Y20_N11
\led_flash_cnt_ands[1091]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1091~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1091));

-- Location: LCCOMB_X8_Y20_N8
\led_flash_cnt[1089][0]~81729\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1089][0]~81729_combout\ = !\led_flash_cnt[1089][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1089][0]~q\,
	combout => \led_flash_cnt[1089][0]~81729_combout\);

-- Location: FF_X8_Y20_N9
\led_flash_cnt[1089][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1089][0]~81729_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1089][0]~q\);

-- Location: LCCOMB_X8_Y20_N18
\led_flash_cnt[1089][1]~42126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1089][1]~42126_combout\ = (\led_flash_cnt[1089][1]~q\ & (\led_flash_cnt[1089][0]~q\ $ (VCC))) # (!\led_flash_cnt[1089][1]~q\ & (\led_flash_cnt[1089][0]~q\ & VCC))
-- \led_flash_cnt[1089][1]~42127\ = CARRY((\led_flash_cnt[1089][1]~q\ & \led_flash_cnt[1089][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1089][1]~q\,
	datab => \led_flash_cnt[1089][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1089][1]~42126_combout\,
	cout => \led_flash_cnt[1089][1]~42127\);

-- Location: FF_X8_Y20_N19
\led_flash_cnt[1089][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1089][1]~42126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1089][1]~q\);

-- Location: LCCOMB_X8_Y20_N20
\led_flash_cnt[1089][2]~42128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1089][2]~42128_combout\ = (\led_flash_cnt[1089][2]~q\ & (!\led_flash_cnt[1089][1]~42127\)) # (!\led_flash_cnt[1089][2]~q\ & ((\led_flash_cnt[1089][1]~42127\) # (GND)))
-- \led_flash_cnt[1089][2]~42129\ = CARRY((!\led_flash_cnt[1089][1]~42127\) # (!\led_flash_cnt[1089][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1089][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1089][1]~42127\,
	combout => \led_flash_cnt[1089][2]~42128_combout\,
	cout => \led_flash_cnt[1089][2]~42129\);

-- Location: FF_X8_Y20_N21
\led_flash_cnt[1089][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1089][2]~42128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1089][2]~q\);

-- Location: LCCOMB_X8_Y20_N22
\led_flash_cnt[1089][3]~42130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1089][3]~42130_combout\ = (\led_flash_cnt[1089][3]~q\ & (\led_flash_cnt[1089][2]~42129\ $ (GND))) # (!\led_flash_cnt[1089][3]~q\ & (!\led_flash_cnt[1089][2]~42129\ & VCC))
-- \led_flash_cnt[1089][3]~42131\ = CARRY((\led_flash_cnt[1089][3]~q\ & !\led_flash_cnt[1089][2]~42129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1089][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1089][2]~42129\,
	combout => \led_flash_cnt[1089][3]~42130_combout\,
	cout => \led_flash_cnt[1089][3]~42131\);

-- Location: FF_X8_Y20_N23
\led_flash_cnt[1089][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1089][3]~42130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1089][3]~q\);

-- Location: LCCOMB_X8_Y20_N24
\led_flash_cnt[1089][4]~42132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1089][4]~42132_combout\ = (\led_flash_cnt[1089][4]~q\ & (!\led_flash_cnt[1089][3]~42131\)) # (!\led_flash_cnt[1089][4]~q\ & ((\led_flash_cnt[1089][3]~42131\) # (GND)))
-- \led_flash_cnt[1089][4]~42133\ = CARRY((!\led_flash_cnt[1089][3]~42131\) # (!\led_flash_cnt[1089][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1089][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1089][3]~42131\,
	combout => \led_flash_cnt[1089][4]~42132_combout\,
	cout => \led_flash_cnt[1089][4]~42133\);

-- Location: FF_X8_Y20_N25
\led_flash_cnt[1089][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1089][4]~42132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1089][4]~q\);

-- Location: LCCOMB_X8_Y20_N26
\led_flash_cnt[1089][5]~42134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1089][5]~42134_combout\ = (\led_flash_cnt[1089][5]~q\ & (\led_flash_cnt[1089][4]~42133\ $ (GND))) # (!\led_flash_cnt[1089][5]~q\ & (!\led_flash_cnt[1089][4]~42133\ & VCC))
-- \led_flash_cnt[1089][5]~42135\ = CARRY((\led_flash_cnt[1089][5]~q\ & !\led_flash_cnt[1089][4]~42133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1089][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1089][4]~42133\,
	combout => \led_flash_cnt[1089][5]~42134_combout\,
	cout => \led_flash_cnt[1089][5]~42135\);

-- Location: FF_X8_Y20_N27
\led_flash_cnt[1089][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1089][5]~42134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1089][5]~q\);

-- Location: LCCOMB_X8_Y20_N28
\led_flash_cnt[1089][6]~42136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1089][6]~42136_combout\ = (\led_flash_cnt[1089][6]~q\ & (!\led_flash_cnt[1089][5]~42135\)) # (!\led_flash_cnt[1089][6]~q\ & ((\led_flash_cnt[1089][5]~42135\) # (GND)))
-- \led_flash_cnt[1089][6]~42137\ = CARRY((!\led_flash_cnt[1089][5]~42135\) # (!\led_flash_cnt[1089][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1089][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1089][5]~42135\,
	combout => \led_flash_cnt[1089][6]~42136_combout\,
	cout => \led_flash_cnt[1089][6]~42137\);

-- Location: FF_X8_Y20_N29
\led_flash_cnt[1089][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1089][6]~42136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1089][6]~q\);

-- Location: LCCOMB_X8_Y20_N30
\led_flash_cnt[1089][7]~42138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1089][7]~42138_combout\ = \led_flash_cnt[1089][7]~q\ $ (!\led_flash_cnt[1089][6]~42137\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1089][7]~q\,
	cin => \led_flash_cnt[1089][6]~42137\,
	combout => \led_flash_cnt[1089][7]~42138_combout\);

-- Location: FF_X8_Y20_N31
\led_flash_cnt[1089][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1089][7]~42138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1089][7]~q\);

-- Location: LCCOMB_X8_Y20_N14
\WideAnd1089~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1089~1_combout\ = (\led_flash_cnt[1089][5]~q\ & \led_flash_cnt[1089][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1089][5]~q\,
	datad => \led_flash_cnt[1089][6]~q\,
	combout => \WideAnd1089~1_combout\);

-- Location: LCCOMB_X8_Y20_N6
\WideAnd1089~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1089~0_combout\ = (\led_flash_cnt[1089][1]~q\ & (\led_flash_cnt[1089][2]~q\ & (\led_flash_cnt[1089][3]~q\ & \led_flash_cnt[1089][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1089][1]~q\,
	datab => \led_flash_cnt[1089][2]~q\,
	datac => \led_flash_cnt[1089][3]~q\,
	datad => \led_flash_cnt[1089][4]~q\,
	combout => \WideAnd1089~0_combout\);

-- Location: LCCOMB_X8_Y20_N16
WideAnd1089 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1089~combout\ = (\led_flash_cnt[1089][7]~q\ & (\led_flash_cnt[1089][0]~q\ & (\WideAnd1089~1_combout\ & \WideAnd1089~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1089][7]~q\,
	datab => \led_flash_cnt[1089][0]~q\,
	datac => \WideAnd1089~1_combout\,
	datad => \WideAnd1089~0_combout\,
	combout => \WideAnd1089~combout\);

-- Location: FF_X8_Y20_N17
\led_flash_cnt_ands[1089]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1089~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1089));

-- Location: LCCOMB_X8_Y19_N24
\led_flash_cnt[1088][0]~81728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1088][0]~81728_combout\ = !\led_flash_cnt[1088][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1088][0]~q\,
	combout => \led_flash_cnt[1088][0]~81728_combout\);

-- Location: FF_X8_Y19_N25
\led_flash_cnt[1088][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1088][0]~81728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1088][0]~q\);

-- Location: LCCOMB_X8_Y19_N8
\led_flash_cnt[1088][1]~42112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1088][1]~42112_combout\ = (\led_flash_cnt[1088][1]~q\ & (\led_flash_cnt[1088][0]~q\ $ (VCC))) # (!\led_flash_cnt[1088][1]~q\ & (\led_flash_cnt[1088][0]~q\ & VCC))
-- \led_flash_cnt[1088][1]~42113\ = CARRY((\led_flash_cnt[1088][1]~q\ & \led_flash_cnt[1088][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1088][1]~q\,
	datab => \led_flash_cnt[1088][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1088][1]~42112_combout\,
	cout => \led_flash_cnt[1088][1]~42113\);

-- Location: FF_X8_Y19_N9
\led_flash_cnt[1088][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1088][1]~42112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1088][1]~q\);

-- Location: LCCOMB_X8_Y19_N10
\led_flash_cnt[1088][2]~42114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1088][2]~42114_combout\ = (\led_flash_cnt[1088][2]~q\ & (!\led_flash_cnt[1088][1]~42113\)) # (!\led_flash_cnt[1088][2]~q\ & ((\led_flash_cnt[1088][1]~42113\) # (GND)))
-- \led_flash_cnt[1088][2]~42115\ = CARRY((!\led_flash_cnt[1088][1]~42113\) # (!\led_flash_cnt[1088][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1088][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1088][1]~42113\,
	combout => \led_flash_cnt[1088][2]~42114_combout\,
	cout => \led_flash_cnt[1088][2]~42115\);

-- Location: FF_X8_Y19_N11
\led_flash_cnt[1088][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1088][2]~42114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1088][2]~q\);

-- Location: LCCOMB_X8_Y19_N12
\led_flash_cnt[1088][3]~42116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1088][3]~42116_combout\ = (\led_flash_cnt[1088][3]~q\ & (\led_flash_cnt[1088][2]~42115\ $ (GND))) # (!\led_flash_cnt[1088][3]~q\ & (!\led_flash_cnt[1088][2]~42115\ & VCC))
-- \led_flash_cnt[1088][3]~42117\ = CARRY((\led_flash_cnt[1088][3]~q\ & !\led_flash_cnt[1088][2]~42115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1088][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1088][2]~42115\,
	combout => \led_flash_cnt[1088][3]~42116_combout\,
	cout => \led_flash_cnt[1088][3]~42117\);

-- Location: FF_X8_Y19_N13
\led_flash_cnt[1088][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1088][3]~42116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1088][3]~q\);

-- Location: LCCOMB_X8_Y19_N14
\led_flash_cnt[1088][4]~42118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1088][4]~42118_combout\ = (\led_flash_cnt[1088][4]~q\ & (!\led_flash_cnt[1088][3]~42117\)) # (!\led_flash_cnt[1088][4]~q\ & ((\led_flash_cnt[1088][3]~42117\) # (GND)))
-- \led_flash_cnt[1088][4]~42119\ = CARRY((!\led_flash_cnt[1088][3]~42117\) # (!\led_flash_cnt[1088][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1088][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1088][3]~42117\,
	combout => \led_flash_cnt[1088][4]~42118_combout\,
	cout => \led_flash_cnt[1088][4]~42119\);

-- Location: FF_X8_Y19_N15
\led_flash_cnt[1088][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1088][4]~42118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1088][4]~q\);

-- Location: LCCOMB_X8_Y19_N16
\led_flash_cnt[1088][5]~42120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1088][5]~42120_combout\ = (\led_flash_cnt[1088][5]~q\ & (\led_flash_cnt[1088][4]~42119\ $ (GND))) # (!\led_flash_cnt[1088][5]~q\ & (!\led_flash_cnt[1088][4]~42119\ & VCC))
-- \led_flash_cnt[1088][5]~42121\ = CARRY((\led_flash_cnt[1088][5]~q\ & !\led_flash_cnt[1088][4]~42119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1088][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1088][4]~42119\,
	combout => \led_flash_cnt[1088][5]~42120_combout\,
	cout => \led_flash_cnt[1088][5]~42121\);

-- Location: FF_X8_Y19_N17
\led_flash_cnt[1088][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1088][5]~42120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1088][5]~q\);

-- Location: LCCOMB_X8_Y19_N18
\led_flash_cnt[1088][6]~42122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1088][6]~42122_combout\ = (\led_flash_cnt[1088][6]~q\ & (!\led_flash_cnt[1088][5]~42121\)) # (!\led_flash_cnt[1088][6]~q\ & ((\led_flash_cnt[1088][5]~42121\) # (GND)))
-- \led_flash_cnt[1088][6]~42123\ = CARRY((!\led_flash_cnt[1088][5]~42121\) # (!\led_flash_cnt[1088][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1088][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1088][5]~42121\,
	combout => \led_flash_cnt[1088][6]~42122_combout\,
	cout => \led_flash_cnt[1088][6]~42123\);

-- Location: FF_X8_Y19_N19
\led_flash_cnt[1088][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1088][6]~42122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1088][6]~q\);

-- Location: LCCOMB_X8_Y19_N22
\WideAnd1088~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1088~1_combout\ = (\led_flash_cnt[1088][5]~q\ & \led_flash_cnt[1088][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1088][5]~q\,
	datad => \led_flash_cnt[1088][6]~q\,
	combout => \WideAnd1088~1_combout\);

-- Location: LCCOMB_X8_Y19_N30
\WideAnd1088~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1088~0_combout\ = (\led_flash_cnt[1088][2]~q\ & (\led_flash_cnt[1088][1]~q\ & (\led_flash_cnt[1088][4]~q\ & \led_flash_cnt[1088][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1088][2]~q\,
	datab => \led_flash_cnt[1088][1]~q\,
	datac => \led_flash_cnt[1088][4]~q\,
	datad => \led_flash_cnt[1088][3]~q\,
	combout => \WideAnd1088~0_combout\);

-- Location: LCCOMB_X8_Y19_N20
\led_flash_cnt[1088][7]~42124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1088][7]~42124_combout\ = \led_flash_cnt[1088][6]~42123\ $ (!\led_flash_cnt[1088][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1088][7]~q\,
	cin => \led_flash_cnt[1088][6]~42123\,
	combout => \led_flash_cnt[1088][7]~42124_combout\);

-- Location: FF_X8_Y19_N21
\led_flash_cnt[1088][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1088][7]~42124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1088][7]~q\);

-- Location: LCCOMB_X8_Y19_N2
WideAnd1088 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1088~combout\ = (\WideAnd1088~1_combout\ & (\led_flash_cnt[1088][0]~q\ & (\WideAnd1088~0_combout\ & \led_flash_cnt[1088][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1088~1_combout\,
	datab => \led_flash_cnt[1088][0]~q\,
	datac => \WideAnd1088~0_combout\,
	datad => \led_flash_cnt[1088][7]~q\,
	combout => \WideAnd1088~combout\);

-- Location: FF_X8_Y19_N3
\led_flash_cnt_ands[1088]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1088~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1088));

-- Location: LCCOMB_X8_Y23_N26
\led_flash_cnt[1090][0]~81730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1090][0]~81730_combout\ = !\led_flash_cnt[1090][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1090][0]~q\,
	combout => \led_flash_cnt[1090][0]~81730_combout\);

-- Location: FF_X8_Y23_N27
\led_flash_cnt[1090][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1090][0]~81730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1090][0]~q\);

-- Location: LCCOMB_X9_Y23_N18
\led_flash_cnt[1090][1]~42140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1090][1]~42140_combout\ = (\led_flash_cnt[1090][0]~q\ & (\led_flash_cnt[1090][1]~q\ $ (VCC))) # (!\led_flash_cnt[1090][0]~q\ & (\led_flash_cnt[1090][1]~q\ & VCC))
-- \led_flash_cnt[1090][1]~42141\ = CARRY((\led_flash_cnt[1090][0]~q\ & \led_flash_cnt[1090][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1090][0]~q\,
	datab => \led_flash_cnt[1090][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1090][1]~42140_combout\,
	cout => \led_flash_cnt[1090][1]~42141\);

-- Location: FF_X9_Y23_N19
\led_flash_cnt[1090][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1090][1]~42140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1090][1]~q\);

-- Location: LCCOMB_X9_Y23_N20
\led_flash_cnt[1090][2]~42142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1090][2]~42142_combout\ = (\led_flash_cnt[1090][2]~q\ & (!\led_flash_cnt[1090][1]~42141\)) # (!\led_flash_cnt[1090][2]~q\ & ((\led_flash_cnt[1090][1]~42141\) # (GND)))
-- \led_flash_cnt[1090][2]~42143\ = CARRY((!\led_flash_cnt[1090][1]~42141\) # (!\led_flash_cnt[1090][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1090][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1090][1]~42141\,
	combout => \led_flash_cnt[1090][2]~42142_combout\,
	cout => \led_flash_cnt[1090][2]~42143\);

-- Location: FF_X9_Y23_N21
\led_flash_cnt[1090][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1090][2]~42142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1090][2]~q\);

-- Location: LCCOMB_X9_Y23_N22
\led_flash_cnt[1090][3]~42144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1090][3]~42144_combout\ = (\led_flash_cnt[1090][3]~q\ & (\led_flash_cnt[1090][2]~42143\ $ (GND))) # (!\led_flash_cnt[1090][3]~q\ & (!\led_flash_cnt[1090][2]~42143\ & VCC))
-- \led_flash_cnt[1090][3]~42145\ = CARRY((\led_flash_cnt[1090][3]~q\ & !\led_flash_cnt[1090][2]~42143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1090][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1090][2]~42143\,
	combout => \led_flash_cnt[1090][3]~42144_combout\,
	cout => \led_flash_cnt[1090][3]~42145\);

-- Location: FF_X9_Y23_N23
\led_flash_cnt[1090][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1090][3]~42144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1090][3]~q\);

-- Location: LCCOMB_X9_Y23_N24
\led_flash_cnt[1090][4]~42146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1090][4]~42146_combout\ = (\led_flash_cnt[1090][4]~q\ & (!\led_flash_cnt[1090][3]~42145\)) # (!\led_flash_cnt[1090][4]~q\ & ((\led_flash_cnt[1090][3]~42145\) # (GND)))
-- \led_flash_cnt[1090][4]~42147\ = CARRY((!\led_flash_cnt[1090][3]~42145\) # (!\led_flash_cnt[1090][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1090][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1090][3]~42145\,
	combout => \led_flash_cnt[1090][4]~42146_combout\,
	cout => \led_flash_cnt[1090][4]~42147\);

-- Location: FF_X9_Y23_N25
\led_flash_cnt[1090][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1090][4]~42146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1090][4]~q\);

-- Location: LCCOMB_X9_Y23_N26
\led_flash_cnt[1090][5]~42148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1090][5]~42148_combout\ = (\led_flash_cnt[1090][5]~q\ & (\led_flash_cnt[1090][4]~42147\ $ (GND))) # (!\led_flash_cnt[1090][5]~q\ & (!\led_flash_cnt[1090][4]~42147\ & VCC))
-- \led_flash_cnt[1090][5]~42149\ = CARRY((\led_flash_cnt[1090][5]~q\ & !\led_flash_cnt[1090][4]~42147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1090][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1090][4]~42147\,
	combout => \led_flash_cnt[1090][5]~42148_combout\,
	cout => \led_flash_cnt[1090][5]~42149\);

-- Location: FF_X9_Y23_N27
\led_flash_cnt[1090][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1090][5]~42148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1090][5]~q\);

-- Location: LCCOMB_X9_Y23_N28
\led_flash_cnt[1090][6]~42150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1090][6]~42150_combout\ = (\led_flash_cnt[1090][6]~q\ & (!\led_flash_cnt[1090][5]~42149\)) # (!\led_flash_cnt[1090][6]~q\ & ((\led_flash_cnt[1090][5]~42149\) # (GND)))
-- \led_flash_cnt[1090][6]~42151\ = CARRY((!\led_flash_cnt[1090][5]~42149\) # (!\led_flash_cnt[1090][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1090][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1090][5]~42149\,
	combout => \led_flash_cnt[1090][6]~42150_combout\,
	cout => \led_flash_cnt[1090][6]~42151\);

-- Location: FF_X9_Y23_N29
\led_flash_cnt[1090][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1090][6]~42150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1090][6]~q\);

-- Location: LCCOMB_X9_Y23_N30
\led_flash_cnt[1090][7]~42152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1090][7]~42152_combout\ = \led_flash_cnt[1090][7]~q\ $ (!\led_flash_cnt[1090][6]~42151\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1090][7]~q\,
	cin => \led_flash_cnt[1090][6]~42151\,
	combout => \led_flash_cnt[1090][7]~42152_combout\);

-- Location: FF_X9_Y23_N31
\led_flash_cnt[1090][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1090][7]~42152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1090][7]~q\);

-- Location: LCCOMB_X8_Y23_N28
\WideAnd1090~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1090~1_combout\ = (\led_flash_cnt[1090][6]~q\ & \led_flash_cnt[1090][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1090][6]~q\,
	datad => \led_flash_cnt[1090][5]~q\,
	combout => \WideAnd1090~1_combout\);

-- Location: LCCOMB_X9_Y23_N2
\WideAnd1090~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1090~0_combout\ = (\led_flash_cnt[1090][2]~q\ & (\led_flash_cnt[1090][1]~q\ & (\led_flash_cnt[1090][3]~q\ & \led_flash_cnt[1090][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1090][2]~q\,
	datab => \led_flash_cnt[1090][1]~q\,
	datac => \led_flash_cnt[1090][3]~q\,
	datad => \led_flash_cnt[1090][4]~q\,
	combout => \WideAnd1090~0_combout\);

-- Location: LCCOMB_X8_Y23_N24
WideAnd1090 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1090~combout\ = (\led_flash_cnt[1090][7]~q\ & (\WideAnd1090~1_combout\ & (\led_flash_cnt[1090][0]~q\ & \WideAnd1090~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1090][7]~q\,
	datab => \WideAnd1090~1_combout\,
	datac => \led_flash_cnt[1090][0]~q\,
	datad => \WideAnd1090~0_combout\,
	combout => \WideAnd1090~combout\);

-- Location: FF_X8_Y23_N25
\led_flash_cnt_ands[1090]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1090~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1090));

-- Location: LCCOMB_X8_Y20_N4
\WideAnd3976~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3976~0_combout\ = (led_flash_cnt_ands(1091) & (led_flash_cnt_ands(1089) & (led_flash_cnt_ands(1088) & led_flash_cnt_ands(1090))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1091),
	datab => led_flash_cnt_ands(1089),
	datac => led_flash_cnt_ands(1088),
	datad => led_flash_cnt_ands(1090),
	combout => \WideAnd3976~0_combout\);

-- Location: LCCOMB_X10_Y12_N18
\led_flash_cnt[1094][0]~81734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1094][0]~81734_combout\ = !\led_flash_cnt[1094][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1094][0]~q\,
	combout => \led_flash_cnt[1094][0]~81734_combout\);

-- Location: FF_X10_Y12_N19
\led_flash_cnt[1094][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1094][0]~81734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1094][0]~q\);

-- Location: LCCOMB_X11_Y12_N18
\led_flash_cnt[1094][1]~42196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1094][1]~42196_combout\ = (\led_flash_cnt[1094][0]~q\ & (\led_flash_cnt[1094][1]~q\ $ (VCC))) # (!\led_flash_cnt[1094][0]~q\ & (\led_flash_cnt[1094][1]~q\ & VCC))
-- \led_flash_cnt[1094][1]~42197\ = CARRY((\led_flash_cnt[1094][0]~q\ & \led_flash_cnt[1094][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1094][0]~q\,
	datab => \led_flash_cnt[1094][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1094][1]~42196_combout\,
	cout => \led_flash_cnt[1094][1]~42197\);

-- Location: FF_X11_Y12_N19
\led_flash_cnt[1094][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1094][1]~42196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1094][1]~q\);

-- Location: LCCOMB_X11_Y12_N20
\led_flash_cnt[1094][2]~42198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1094][2]~42198_combout\ = (\led_flash_cnt[1094][2]~q\ & (!\led_flash_cnt[1094][1]~42197\)) # (!\led_flash_cnt[1094][2]~q\ & ((\led_flash_cnt[1094][1]~42197\) # (GND)))
-- \led_flash_cnt[1094][2]~42199\ = CARRY((!\led_flash_cnt[1094][1]~42197\) # (!\led_flash_cnt[1094][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1094][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1094][1]~42197\,
	combout => \led_flash_cnt[1094][2]~42198_combout\,
	cout => \led_flash_cnt[1094][2]~42199\);

-- Location: FF_X11_Y12_N21
\led_flash_cnt[1094][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1094][2]~42198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1094][2]~q\);

-- Location: LCCOMB_X11_Y12_N22
\led_flash_cnt[1094][3]~42200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1094][3]~42200_combout\ = (\led_flash_cnt[1094][3]~q\ & (\led_flash_cnt[1094][2]~42199\ $ (GND))) # (!\led_flash_cnt[1094][3]~q\ & (!\led_flash_cnt[1094][2]~42199\ & VCC))
-- \led_flash_cnt[1094][3]~42201\ = CARRY((\led_flash_cnt[1094][3]~q\ & !\led_flash_cnt[1094][2]~42199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1094][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1094][2]~42199\,
	combout => \led_flash_cnt[1094][3]~42200_combout\,
	cout => \led_flash_cnt[1094][3]~42201\);

-- Location: FF_X11_Y12_N23
\led_flash_cnt[1094][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1094][3]~42200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1094][3]~q\);

-- Location: LCCOMB_X11_Y12_N24
\led_flash_cnt[1094][4]~42202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1094][4]~42202_combout\ = (\led_flash_cnt[1094][4]~q\ & (!\led_flash_cnt[1094][3]~42201\)) # (!\led_flash_cnt[1094][4]~q\ & ((\led_flash_cnt[1094][3]~42201\) # (GND)))
-- \led_flash_cnt[1094][4]~42203\ = CARRY((!\led_flash_cnt[1094][3]~42201\) # (!\led_flash_cnt[1094][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1094][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1094][3]~42201\,
	combout => \led_flash_cnt[1094][4]~42202_combout\,
	cout => \led_flash_cnt[1094][4]~42203\);

-- Location: FF_X11_Y12_N25
\led_flash_cnt[1094][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1094][4]~42202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1094][4]~q\);

-- Location: LCCOMB_X11_Y12_N26
\led_flash_cnt[1094][5]~42204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1094][5]~42204_combout\ = (\led_flash_cnt[1094][5]~q\ & (\led_flash_cnt[1094][4]~42203\ $ (GND))) # (!\led_flash_cnt[1094][5]~q\ & (!\led_flash_cnt[1094][4]~42203\ & VCC))
-- \led_flash_cnt[1094][5]~42205\ = CARRY((\led_flash_cnt[1094][5]~q\ & !\led_flash_cnt[1094][4]~42203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1094][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1094][4]~42203\,
	combout => \led_flash_cnt[1094][5]~42204_combout\,
	cout => \led_flash_cnt[1094][5]~42205\);

-- Location: FF_X11_Y12_N27
\led_flash_cnt[1094][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1094][5]~42204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1094][5]~q\);

-- Location: LCCOMB_X11_Y12_N28
\led_flash_cnt[1094][6]~42206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1094][6]~42206_combout\ = (\led_flash_cnt[1094][6]~q\ & (!\led_flash_cnt[1094][5]~42205\)) # (!\led_flash_cnt[1094][6]~q\ & ((\led_flash_cnt[1094][5]~42205\) # (GND)))
-- \led_flash_cnt[1094][6]~42207\ = CARRY((!\led_flash_cnt[1094][5]~42205\) # (!\led_flash_cnt[1094][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1094][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1094][5]~42205\,
	combout => \led_flash_cnt[1094][6]~42206_combout\,
	cout => \led_flash_cnt[1094][6]~42207\);

-- Location: FF_X11_Y12_N29
\led_flash_cnt[1094][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1094][6]~42206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1094][6]~q\);

-- Location: LCCOMB_X10_Y12_N22
\WideAnd1094~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1094~1_combout\ = (\led_flash_cnt[1094][6]~q\ & \led_flash_cnt[1094][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1094][6]~q\,
	datad => \led_flash_cnt[1094][5]~q\,
	combout => \WideAnd1094~1_combout\);

-- Location: LCCOMB_X11_Y12_N14
\WideAnd1094~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1094~0_combout\ = (\led_flash_cnt[1094][2]~q\ & (\led_flash_cnt[1094][1]~q\ & (\led_flash_cnt[1094][3]~q\ & \led_flash_cnt[1094][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1094][2]~q\,
	datab => \led_flash_cnt[1094][1]~q\,
	datac => \led_flash_cnt[1094][3]~q\,
	datad => \led_flash_cnt[1094][4]~q\,
	combout => \WideAnd1094~0_combout\);

-- Location: LCCOMB_X11_Y12_N30
\led_flash_cnt[1094][7]~42208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1094][7]~42208_combout\ = \led_flash_cnt[1094][7]~q\ $ (!\led_flash_cnt[1094][6]~42207\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1094][7]~q\,
	cin => \led_flash_cnt[1094][6]~42207\,
	combout => \led_flash_cnt[1094][7]~42208_combout\);

-- Location: FF_X11_Y12_N31
\led_flash_cnt[1094][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1094][7]~42208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1094][7]~q\);

-- Location: LCCOMB_X10_Y12_N20
WideAnd1094 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1094~combout\ = (\WideAnd1094~1_combout\ & (\WideAnd1094~0_combout\ & (\led_flash_cnt[1094][7]~q\ & \led_flash_cnt[1094][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1094~1_combout\,
	datab => \WideAnd1094~0_combout\,
	datac => \led_flash_cnt[1094][7]~q\,
	datad => \led_flash_cnt[1094][0]~q\,
	combout => \WideAnd1094~combout\);

-- Location: FF_X10_Y12_N21
\led_flash_cnt_ands[1094]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1094~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1094));

-- Location: LCCOMB_X12_Y12_N16
\led_flash_cnt[1095][0]~81735\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1095][0]~81735_combout\ = !\led_flash_cnt[1095][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1095][0]~q\,
	combout => \led_flash_cnt[1095][0]~81735_combout\);

-- Location: FF_X12_Y12_N17
\led_flash_cnt[1095][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1095][0]~81735_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1095][0]~q\);

-- Location: LCCOMB_X12_Y14_N4
\led_flash_cnt[1095][1]~42210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1095][1]~42210_combout\ = (\led_flash_cnt[1095][0]~q\ & (\led_flash_cnt[1095][1]~q\ $ (VCC))) # (!\led_flash_cnt[1095][0]~q\ & (\led_flash_cnt[1095][1]~q\ & VCC))
-- \led_flash_cnt[1095][1]~42211\ = CARRY((\led_flash_cnt[1095][0]~q\ & \led_flash_cnt[1095][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1095][0]~q\,
	datab => \led_flash_cnt[1095][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1095][1]~42210_combout\,
	cout => \led_flash_cnt[1095][1]~42211\);

-- Location: FF_X12_Y14_N5
\led_flash_cnt[1095][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1095][1]~42210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1095][1]~q\);

-- Location: LCCOMB_X12_Y14_N6
\led_flash_cnt[1095][2]~42212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1095][2]~42212_combout\ = (\led_flash_cnt[1095][2]~q\ & (!\led_flash_cnt[1095][1]~42211\)) # (!\led_flash_cnt[1095][2]~q\ & ((\led_flash_cnt[1095][1]~42211\) # (GND)))
-- \led_flash_cnt[1095][2]~42213\ = CARRY((!\led_flash_cnt[1095][1]~42211\) # (!\led_flash_cnt[1095][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1095][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1095][1]~42211\,
	combout => \led_flash_cnt[1095][2]~42212_combout\,
	cout => \led_flash_cnt[1095][2]~42213\);

-- Location: FF_X12_Y14_N7
\led_flash_cnt[1095][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1095][2]~42212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1095][2]~q\);

-- Location: LCCOMB_X12_Y14_N8
\led_flash_cnt[1095][3]~42214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1095][3]~42214_combout\ = (\led_flash_cnt[1095][3]~q\ & (\led_flash_cnt[1095][2]~42213\ $ (GND))) # (!\led_flash_cnt[1095][3]~q\ & (!\led_flash_cnt[1095][2]~42213\ & VCC))
-- \led_flash_cnt[1095][3]~42215\ = CARRY((\led_flash_cnt[1095][3]~q\ & !\led_flash_cnt[1095][2]~42213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1095][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1095][2]~42213\,
	combout => \led_flash_cnt[1095][3]~42214_combout\,
	cout => \led_flash_cnt[1095][3]~42215\);

-- Location: FF_X12_Y14_N9
\led_flash_cnt[1095][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1095][3]~42214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1095][3]~q\);

-- Location: LCCOMB_X12_Y14_N10
\led_flash_cnt[1095][4]~42216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1095][4]~42216_combout\ = (\led_flash_cnt[1095][4]~q\ & (!\led_flash_cnt[1095][3]~42215\)) # (!\led_flash_cnt[1095][4]~q\ & ((\led_flash_cnt[1095][3]~42215\) # (GND)))
-- \led_flash_cnt[1095][4]~42217\ = CARRY((!\led_flash_cnt[1095][3]~42215\) # (!\led_flash_cnt[1095][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1095][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1095][3]~42215\,
	combout => \led_flash_cnt[1095][4]~42216_combout\,
	cout => \led_flash_cnt[1095][4]~42217\);

-- Location: FF_X12_Y14_N11
\led_flash_cnt[1095][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1095][4]~42216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1095][4]~q\);

-- Location: LCCOMB_X12_Y14_N2
\WideAnd1095~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1095~0_combout\ = (\led_flash_cnt[1095][2]~q\ & (\led_flash_cnt[1095][1]~q\ & (\led_flash_cnt[1095][3]~q\ & \led_flash_cnt[1095][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1095][2]~q\,
	datab => \led_flash_cnt[1095][1]~q\,
	datac => \led_flash_cnt[1095][3]~q\,
	datad => \led_flash_cnt[1095][4]~q\,
	combout => \WideAnd1095~0_combout\);

-- Location: LCCOMB_X12_Y14_N12
\led_flash_cnt[1095][5]~42218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1095][5]~42218_combout\ = (\led_flash_cnt[1095][5]~q\ & (\led_flash_cnt[1095][4]~42217\ $ (GND))) # (!\led_flash_cnt[1095][5]~q\ & (!\led_flash_cnt[1095][4]~42217\ & VCC))
-- \led_flash_cnt[1095][5]~42219\ = CARRY((\led_flash_cnt[1095][5]~q\ & !\led_flash_cnt[1095][4]~42217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1095][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1095][4]~42217\,
	combout => \led_flash_cnt[1095][5]~42218_combout\,
	cout => \led_flash_cnt[1095][5]~42219\);

-- Location: FF_X12_Y14_N13
\led_flash_cnt[1095][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1095][5]~42218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1095][5]~q\);

-- Location: LCCOMB_X12_Y14_N14
\led_flash_cnt[1095][6]~42220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1095][6]~42220_combout\ = (\led_flash_cnt[1095][6]~q\ & (!\led_flash_cnt[1095][5]~42219\)) # (!\led_flash_cnt[1095][6]~q\ & ((\led_flash_cnt[1095][5]~42219\) # (GND)))
-- \led_flash_cnt[1095][6]~42221\ = CARRY((!\led_flash_cnt[1095][5]~42219\) # (!\led_flash_cnt[1095][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1095][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1095][5]~42219\,
	combout => \led_flash_cnt[1095][6]~42220_combout\,
	cout => \led_flash_cnt[1095][6]~42221\);

-- Location: FF_X12_Y14_N15
\led_flash_cnt[1095][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1095][6]~42220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1095][6]~q\);

-- Location: LCCOMB_X11_Y14_N24
\WideAnd1095~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1095~1_combout\ = (\led_flash_cnt[1095][6]~q\ & \led_flash_cnt[1095][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1095][6]~q\,
	datac => \led_flash_cnt[1095][5]~q\,
	combout => \WideAnd1095~1_combout\);

-- Location: LCCOMB_X12_Y14_N16
\led_flash_cnt[1095][7]~42222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1095][7]~42222_combout\ = \led_flash_cnt[1095][6]~42221\ $ (!\led_flash_cnt[1095][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1095][7]~q\,
	cin => \led_flash_cnt[1095][6]~42221\,
	combout => \led_flash_cnt[1095][7]~42222_combout\);

-- Location: FF_X12_Y14_N17
\led_flash_cnt[1095][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1095][7]~42222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1095][7]~q\);

-- Location: LCCOMB_X11_Y14_N30
WideAnd1095 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1095~combout\ = (\WideAnd1095~0_combout\ & (\WideAnd1095~1_combout\ & (\led_flash_cnt[1095][0]~q\ & \led_flash_cnt[1095][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1095~0_combout\,
	datab => \WideAnd1095~1_combout\,
	datac => \led_flash_cnt[1095][0]~q\,
	datad => \led_flash_cnt[1095][7]~q\,
	combout => \WideAnd1095~combout\);

-- Location: FF_X11_Y14_N31
\led_flash_cnt_ands[1095]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1095~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1095));

-- Location: LCCOMB_X7_Y11_N24
\led_flash_cnt[1093][0]~81733\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1093][0]~81733_combout\ = !\led_flash_cnt[1093][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1093][0]~q\,
	combout => \led_flash_cnt[1093][0]~81733_combout\);

-- Location: FF_X7_Y11_N25
\led_flash_cnt[1093][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1093][0]~81733_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1093][0]~q\);

-- Location: LCCOMB_X8_Y11_N16
\led_flash_cnt[1093][1]~42182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1093][1]~42182_combout\ = (\led_flash_cnt[1093][0]~q\ & (\led_flash_cnt[1093][1]~q\ $ (VCC))) # (!\led_flash_cnt[1093][0]~q\ & (\led_flash_cnt[1093][1]~q\ & VCC))
-- \led_flash_cnt[1093][1]~42183\ = CARRY((\led_flash_cnt[1093][0]~q\ & \led_flash_cnt[1093][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1093][0]~q\,
	datab => \led_flash_cnt[1093][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1093][1]~42182_combout\,
	cout => \led_flash_cnt[1093][1]~42183\);

-- Location: FF_X8_Y11_N17
\led_flash_cnt[1093][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1093][1]~42182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1093][1]~q\);

-- Location: LCCOMB_X8_Y11_N18
\led_flash_cnt[1093][2]~42184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1093][2]~42184_combout\ = (\led_flash_cnt[1093][2]~q\ & (!\led_flash_cnt[1093][1]~42183\)) # (!\led_flash_cnt[1093][2]~q\ & ((\led_flash_cnt[1093][1]~42183\) # (GND)))
-- \led_flash_cnt[1093][2]~42185\ = CARRY((!\led_flash_cnt[1093][1]~42183\) # (!\led_flash_cnt[1093][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1093][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1093][1]~42183\,
	combout => \led_flash_cnt[1093][2]~42184_combout\,
	cout => \led_flash_cnt[1093][2]~42185\);

-- Location: FF_X8_Y11_N19
\led_flash_cnt[1093][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1093][2]~42184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1093][2]~q\);

-- Location: LCCOMB_X8_Y11_N20
\led_flash_cnt[1093][3]~42186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1093][3]~42186_combout\ = (\led_flash_cnt[1093][3]~q\ & (\led_flash_cnt[1093][2]~42185\ $ (GND))) # (!\led_flash_cnt[1093][3]~q\ & (!\led_flash_cnt[1093][2]~42185\ & VCC))
-- \led_flash_cnt[1093][3]~42187\ = CARRY((\led_flash_cnt[1093][3]~q\ & !\led_flash_cnt[1093][2]~42185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1093][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1093][2]~42185\,
	combout => \led_flash_cnt[1093][3]~42186_combout\,
	cout => \led_flash_cnt[1093][3]~42187\);

-- Location: FF_X8_Y11_N21
\led_flash_cnt[1093][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1093][3]~42186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1093][3]~q\);

-- Location: LCCOMB_X8_Y11_N22
\led_flash_cnt[1093][4]~42188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1093][4]~42188_combout\ = (\led_flash_cnt[1093][4]~q\ & (!\led_flash_cnt[1093][3]~42187\)) # (!\led_flash_cnt[1093][4]~q\ & ((\led_flash_cnt[1093][3]~42187\) # (GND)))
-- \led_flash_cnt[1093][4]~42189\ = CARRY((!\led_flash_cnt[1093][3]~42187\) # (!\led_flash_cnt[1093][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1093][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1093][3]~42187\,
	combout => \led_flash_cnt[1093][4]~42188_combout\,
	cout => \led_flash_cnt[1093][4]~42189\);

-- Location: FF_X8_Y11_N23
\led_flash_cnt[1093][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1093][4]~42188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1093][4]~q\);

-- Location: LCCOMB_X8_Y11_N24
\led_flash_cnt[1093][5]~42190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1093][5]~42190_combout\ = (\led_flash_cnt[1093][5]~q\ & (\led_flash_cnt[1093][4]~42189\ $ (GND))) # (!\led_flash_cnt[1093][5]~q\ & (!\led_flash_cnt[1093][4]~42189\ & VCC))
-- \led_flash_cnt[1093][5]~42191\ = CARRY((\led_flash_cnt[1093][5]~q\ & !\led_flash_cnt[1093][4]~42189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1093][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1093][4]~42189\,
	combout => \led_flash_cnt[1093][5]~42190_combout\,
	cout => \led_flash_cnt[1093][5]~42191\);

-- Location: FF_X8_Y11_N25
\led_flash_cnt[1093][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1093][5]~42190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1093][5]~q\);

-- Location: LCCOMB_X8_Y11_N26
\led_flash_cnt[1093][6]~42192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1093][6]~42192_combout\ = (\led_flash_cnt[1093][6]~q\ & (!\led_flash_cnt[1093][5]~42191\)) # (!\led_flash_cnt[1093][6]~q\ & ((\led_flash_cnt[1093][5]~42191\) # (GND)))
-- \led_flash_cnt[1093][6]~42193\ = CARRY((!\led_flash_cnt[1093][5]~42191\) # (!\led_flash_cnt[1093][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1093][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1093][5]~42191\,
	combout => \led_flash_cnt[1093][6]~42192_combout\,
	cout => \led_flash_cnt[1093][6]~42193\);

-- Location: FF_X8_Y11_N27
\led_flash_cnt[1093][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1093][6]~42192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1093][6]~q\);

-- Location: LCCOMB_X8_Y11_N28
\led_flash_cnt[1093][7]~42194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1093][7]~42194_combout\ = \led_flash_cnt[1093][6]~42193\ $ (!\led_flash_cnt[1093][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1093][7]~q\,
	cin => \led_flash_cnt[1093][6]~42193\,
	combout => \led_flash_cnt[1093][7]~42194_combout\);

-- Location: FF_X8_Y11_N29
\led_flash_cnt[1093][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1093][7]~42194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1093][7]~q\);

-- Location: LCCOMB_X8_Y11_N0
\WideAnd1093~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1093~0_combout\ = (\led_flash_cnt[1093][3]~q\ & (\led_flash_cnt[1093][1]~q\ & (\led_flash_cnt[1093][4]~q\ & \led_flash_cnt[1093][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1093][3]~q\,
	datab => \led_flash_cnt[1093][1]~q\,
	datac => \led_flash_cnt[1093][4]~q\,
	datad => \led_flash_cnt[1093][2]~q\,
	combout => \WideAnd1093~0_combout\);

-- Location: LCCOMB_X7_Y11_N20
\WideAnd1093~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1093~1_combout\ = (\led_flash_cnt[1093][5]~q\ & \led_flash_cnt[1093][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1093][5]~q\,
	datad => \led_flash_cnt[1093][6]~q\,
	combout => \WideAnd1093~1_combout\);

-- Location: LCCOMB_X7_Y11_N28
WideAnd1093 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1093~combout\ = (\led_flash_cnt[1093][7]~q\ & (\led_flash_cnt[1093][0]~q\ & (\WideAnd1093~0_combout\ & \WideAnd1093~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1093][7]~q\,
	datab => \led_flash_cnt[1093][0]~q\,
	datac => \WideAnd1093~0_combout\,
	datad => \WideAnd1093~1_combout\,
	combout => \WideAnd1093~combout\);

-- Location: FF_X7_Y11_N29
\led_flash_cnt_ands[1093]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1093~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1093));

-- Location: LCCOMB_X6_Y17_N2
\led_flash_cnt[1092][0]~81732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1092][0]~81732_combout\ = !\led_flash_cnt[1092][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1092][0]~q\,
	combout => \led_flash_cnt[1092][0]~81732_combout\);

-- Location: FF_X6_Y17_N3
\led_flash_cnt[1092][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1092][0]~81732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1092][0]~q\);

-- Location: LCCOMB_X7_Y17_N2
\led_flash_cnt[1092][1]~42168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1092][1]~42168_combout\ = (\led_flash_cnt[1092][0]~q\ & (\led_flash_cnt[1092][1]~q\ $ (VCC))) # (!\led_flash_cnt[1092][0]~q\ & (\led_flash_cnt[1092][1]~q\ & VCC))
-- \led_flash_cnt[1092][1]~42169\ = CARRY((\led_flash_cnt[1092][0]~q\ & \led_flash_cnt[1092][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1092][0]~q\,
	datab => \led_flash_cnt[1092][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1092][1]~42168_combout\,
	cout => \led_flash_cnt[1092][1]~42169\);

-- Location: FF_X7_Y17_N3
\led_flash_cnt[1092][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1092][1]~42168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1092][1]~q\);

-- Location: LCCOMB_X7_Y17_N4
\led_flash_cnt[1092][2]~42170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1092][2]~42170_combout\ = (\led_flash_cnt[1092][2]~q\ & (!\led_flash_cnt[1092][1]~42169\)) # (!\led_flash_cnt[1092][2]~q\ & ((\led_flash_cnt[1092][1]~42169\) # (GND)))
-- \led_flash_cnt[1092][2]~42171\ = CARRY((!\led_flash_cnt[1092][1]~42169\) # (!\led_flash_cnt[1092][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1092][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1092][1]~42169\,
	combout => \led_flash_cnt[1092][2]~42170_combout\,
	cout => \led_flash_cnt[1092][2]~42171\);

-- Location: FF_X7_Y17_N5
\led_flash_cnt[1092][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1092][2]~42170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1092][2]~q\);

-- Location: LCCOMB_X7_Y17_N6
\led_flash_cnt[1092][3]~42172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1092][3]~42172_combout\ = (\led_flash_cnt[1092][3]~q\ & (\led_flash_cnt[1092][2]~42171\ $ (GND))) # (!\led_flash_cnt[1092][3]~q\ & (!\led_flash_cnt[1092][2]~42171\ & VCC))
-- \led_flash_cnt[1092][3]~42173\ = CARRY((\led_flash_cnt[1092][3]~q\ & !\led_flash_cnt[1092][2]~42171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1092][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1092][2]~42171\,
	combout => \led_flash_cnt[1092][3]~42172_combout\,
	cout => \led_flash_cnt[1092][3]~42173\);

-- Location: FF_X7_Y17_N7
\led_flash_cnt[1092][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1092][3]~42172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1092][3]~q\);

-- Location: LCCOMB_X7_Y17_N8
\led_flash_cnt[1092][4]~42174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1092][4]~42174_combout\ = (\led_flash_cnt[1092][4]~q\ & (!\led_flash_cnt[1092][3]~42173\)) # (!\led_flash_cnt[1092][4]~q\ & ((\led_flash_cnt[1092][3]~42173\) # (GND)))
-- \led_flash_cnt[1092][4]~42175\ = CARRY((!\led_flash_cnt[1092][3]~42173\) # (!\led_flash_cnt[1092][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1092][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1092][3]~42173\,
	combout => \led_flash_cnt[1092][4]~42174_combout\,
	cout => \led_flash_cnt[1092][4]~42175\);

-- Location: FF_X7_Y17_N9
\led_flash_cnt[1092][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1092][4]~42174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1092][4]~q\);

-- Location: LCCOMB_X7_Y17_N0
\WideAnd1092~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1092~0_combout\ = (\led_flash_cnt[1092][3]~q\ & (\led_flash_cnt[1092][2]~q\ & (\led_flash_cnt[1092][4]~q\ & \led_flash_cnt[1092][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1092][3]~q\,
	datab => \led_flash_cnt[1092][2]~q\,
	datac => \led_flash_cnt[1092][4]~q\,
	datad => \led_flash_cnt[1092][1]~q\,
	combout => \WideAnd1092~0_combout\);

-- Location: LCCOMB_X7_Y17_N10
\led_flash_cnt[1092][5]~42176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1092][5]~42176_combout\ = (\led_flash_cnt[1092][5]~q\ & (\led_flash_cnt[1092][4]~42175\ $ (GND))) # (!\led_flash_cnt[1092][5]~q\ & (!\led_flash_cnt[1092][4]~42175\ & VCC))
-- \led_flash_cnt[1092][5]~42177\ = CARRY((\led_flash_cnt[1092][5]~q\ & !\led_flash_cnt[1092][4]~42175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1092][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1092][4]~42175\,
	combout => \led_flash_cnt[1092][5]~42176_combout\,
	cout => \led_flash_cnt[1092][5]~42177\);

-- Location: FF_X7_Y17_N11
\led_flash_cnt[1092][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1092][5]~42176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1092][5]~q\);

-- Location: LCCOMB_X7_Y17_N12
\led_flash_cnt[1092][6]~42178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1092][6]~42178_combout\ = (\led_flash_cnt[1092][6]~q\ & (!\led_flash_cnt[1092][5]~42177\)) # (!\led_flash_cnt[1092][6]~q\ & ((\led_flash_cnt[1092][5]~42177\) # (GND)))
-- \led_flash_cnt[1092][6]~42179\ = CARRY((!\led_flash_cnt[1092][5]~42177\) # (!\led_flash_cnt[1092][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1092][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1092][5]~42177\,
	combout => \led_flash_cnt[1092][6]~42178_combout\,
	cout => \led_flash_cnt[1092][6]~42179\);

-- Location: FF_X7_Y17_N13
\led_flash_cnt[1092][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1092][6]~42178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1092][6]~q\);

-- Location: LCCOMB_X7_Y17_N14
\led_flash_cnt[1092][7]~42180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1092][7]~42180_combout\ = \led_flash_cnt[1092][7]~q\ $ (!\led_flash_cnt[1092][6]~42179\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1092][7]~q\,
	cin => \led_flash_cnt[1092][6]~42179\,
	combout => \led_flash_cnt[1092][7]~42180_combout\);

-- Location: FF_X7_Y17_N15
\led_flash_cnt[1092][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1092][7]~42180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1092][7]~q\);

-- Location: LCCOMB_X6_Y17_N28
\WideAnd1092~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1092~1_combout\ = (\led_flash_cnt[1092][5]~q\ & \led_flash_cnt[1092][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1092][5]~q\,
	datac => \led_flash_cnt[1092][6]~q\,
	combout => \WideAnd1092~1_combout\);

-- Location: LCCOMB_X6_Y17_N30
WideAnd1092 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1092~combout\ = (\WideAnd1092~0_combout\ & (\led_flash_cnt[1092][0]~q\ & (\led_flash_cnt[1092][7]~q\ & \WideAnd1092~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1092~0_combout\,
	datab => \led_flash_cnt[1092][0]~q\,
	datac => \led_flash_cnt[1092][7]~q\,
	datad => \WideAnd1092~1_combout\,
	combout => \WideAnd1092~combout\);

-- Location: FF_X6_Y17_N31
\led_flash_cnt_ands[1092]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1092~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1092));

-- Location: LCCOMB_X6_Y12_N24
\WideAnd3976~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3976~1_combout\ = (led_flash_cnt_ands(1093) & led_flash_cnt_ands(1092))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1093),
	datad => led_flash_cnt_ands(1092),
	combout => \WideAnd3976~1_combout\);

-- Location: LCCOMB_X7_Y12_N20
WideAnd3976 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3976~combout\ = (\WideAnd3976~0_combout\ & (led_flash_cnt_ands(1094) & (led_flash_cnt_ands(1095) & \WideAnd3976~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3976~0_combout\,
	datab => led_flash_cnt_ands(1094),
	datac => led_flash_cnt_ands(1095),
	datad => \WideAnd3976~1_combout\,
	combout => \WideAnd3976~combout\);

-- Location: FF_X7_Y12_N21
\led_flash_cnt_ands_1[136]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3976~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(136));

-- Location: LCCOMB_X7_Y12_N30
\WideAnd4337~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4337~0_combout\ = (led_flash_cnt_ands_1(139) & (led_flash_cnt_ands_1(137) & (led_flash_cnt_ands_1(138) & led_flash_cnt_ands_1(136))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(139),
	datab => led_flash_cnt_ands_1(137),
	datac => led_flash_cnt_ands_1(138),
	datad => led_flash_cnt_ands_1(136),
	combout => \WideAnd4337~0_combout\);

-- Location: LCCOMB_X6_Y12_N6
\led_flash_cnt[1143][0]~81783\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1143][0]~81783_combout\ = !\led_flash_cnt[1143][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1143][0]~q\,
	combout => \led_flash_cnt[1143][0]~81783_combout\);

-- Location: FF_X6_Y12_N7
\led_flash_cnt[1143][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1143][0]~81783_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1143][0]~q\);

-- Location: LCCOMB_X6_Y8_N14
\led_flash_cnt[1143][1]~42882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1143][1]~42882_combout\ = (\led_flash_cnt[1143][0]~q\ & (\led_flash_cnt[1143][1]~q\ $ (VCC))) # (!\led_flash_cnt[1143][0]~q\ & (\led_flash_cnt[1143][1]~q\ & VCC))
-- \led_flash_cnt[1143][1]~42883\ = CARRY((\led_flash_cnt[1143][0]~q\ & \led_flash_cnt[1143][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1143][0]~q\,
	datab => \led_flash_cnt[1143][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1143][1]~42882_combout\,
	cout => \led_flash_cnt[1143][1]~42883\);

-- Location: FF_X6_Y8_N15
\led_flash_cnt[1143][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1143][1]~42882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1143][1]~q\);

-- Location: LCCOMB_X6_Y8_N16
\led_flash_cnt[1143][2]~42884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1143][2]~42884_combout\ = (\led_flash_cnt[1143][2]~q\ & (!\led_flash_cnt[1143][1]~42883\)) # (!\led_flash_cnt[1143][2]~q\ & ((\led_flash_cnt[1143][1]~42883\) # (GND)))
-- \led_flash_cnt[1143][2]~42885\ = CARRY((!\led_flash_cnt[1143][1]~42883\) # (!\led_flash_cnt[1143][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1143][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1143][1]~42883\,
	combout => \led_flash_cnt[1143][2]~42884_combout\,
	cout => \led_flash_cnt[1143][2]~42885\);

-- Location: FF_X6_Y8_N17
\led_flash_cnt[1143][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1143][2]~42884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1143][2]~q\);

-- Location: LCCOMB_X6_Y8_N18
\led_flash_cnt[1143][3]~42886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1143][3]~42886_combout\ = (\led_flash_cnt[1143][3]~q\ & (\led_flash_cnt[1143][2]~42885\ $ (GND))) # (!\led_flash_cnt[1143][3]~q\ & (!\led_flash_cnt[1143][2]~42885\ & VCC))
-- \led_flash_cnt[1143][3]~42887\ = CARRY((\led_flash_cnt[1143][3]~q\ & !\led_flash_cnt[1143][2]~42885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1143][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1143][2]~42885\,
	combout => \led_flash_cnt[1143][3]~42886_combout\,
	cout => \led_flash_cnt[1143][3]~42887\);

-- Location: FF_X6_Y8_N19
\led_flash_cnt[1143][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1143][3]~42886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1143][3]~q\);

-- Location: LCCOMB_X6_Y8_N20
\led_flash_cnt[1143][4]~42888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1143][4]~42888_combout\ = (\led_flash_cnt[1143][4]~q\ & (!\led_flash_cnt[1143][3]~42887\)) # (!\led_flash_cnt[1143][4]~q\ & ((\led_flash_cnt[1143][3]~42887\) # (GND)))
-- \led_flash_cnt[1143][4]~42889\ = CARRY((!\led_flash_cnt[1143][3]~42887\) # (!\led_flash_cnt[1143][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1143][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1143][3]~42887\,
	combout => \led_flash_cnt[1143][4]~42888_combout\,
	cout => \led_flash_cnt[1143][4]~42889\);

-- Location: FF_X6_Y8_N21
\led_flash_cnt[1143][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1143][4]~42888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1143][4]~q\);

-- Location: LCCOMB_X6_Y8_N22
\led_flash_cnt[1143][5]~42890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1143][5]~42890_combout\ = (\led_flash_cnt[1143][5]~q\ & (\led_flash_cnt[1143][4]~42889\ $ (GND))) # (!\led_flash_cnt[1143][5]~q\ & (!\led_flash_cnt[1143][4]~42889\ & VCC))
-- \led_flash_cnt[1143][5]~42891\ = CARRY((\led_flash_cnt[1143][5]~q\ & !\led_flash_cnt[1143][4]~42889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1143][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1143][4]~42889\,
	combout => \led_flash_cnt[1143][5]~42890_combout\,
	cout => \led_flash_cnt[1143][5]~42891\);

-- Location: FF_X6_Y8_N23
\led_flash_cnt[1143][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1143][5]~42890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1143][5]~q\);

-- Location: LCCOMB_X6_Y8_N24
\led_flash_cnt[1143][6]~42892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1143][6]~42892_combout\ = (\led_flash_cnt[1143][6]~q\ & (!\led_flash_cnt[1143][5]~42891\)) # (!\led_flash_cnt[1143][6]~q\ & ((\led_flash_cnt[1143][5]~42891\) # (GND)))
-- \led_flash_cnt[1143][6]~42893\ = CARRY((!\led_flash_cnt[1143][5]~42891\) # (!\led_flash_cnt[1143][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1143][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1143][5]~42891\,
	combout => \led_flash_cnt[1143][6]~42892_combout\,
	cout => \led_flash_cnt[1143][6]~42893\);

-- Location: FF_X6_Y8_N25
\led_flash_cnt[1143][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1143][6]~42892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1143][6]~q\);

-- Location: LCCOMB_X6_Y8_N30
\WideAnd1143~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1143~0_combout\ = (\led_flash_cnt[1143][4]~q\ & (\led_flash_cnt[1143][6]~q\ & (\led_flash_cnt[1143][5]~q\ & \led_flash_cnt[1143][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1143][4]~q\,
	datab => \led_flash_cnt[1143][6]~q\,
	datac => \led_flash_cnt[1143][5]~q\,
	datad => \led_flash_cnt[1143][3]~q\,
	combout => \WideAnd1143~0_combout\);

-- Location: LCCOMB_X6_Y8_N26
\led_flash_cnt[1143][7]~42894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1143][7]~42894_combout\ = \led_flash_cnt[1143][7]~q\ $ (!\led_flash_cnt[1143][6]~42893\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1143][7]~q\,
	cin => \led_flash_cnt[1143][6]~42893\,
	combout => \led_flash_cnt[1143][7]~42894_combout\);

-- Location: FF_X6_Y8_N27
\led_flash_cnt[1143][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1143][7]~42894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1143][7]~q\);

-- Location: LCCOMB_X6_Y12_N0
\WideAnd1143~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1143~1_combout\ = (\led_flash_cnt[1143][2]~q\ & \led_flash_cnt[1143][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1143][2]~q\,
	datad => \led_flash_cnt[1143][0]~q\,
	combout => \WideAnd1143~1_combout\);

-- Location: LCCOMB_X6_Y12_N30
WideAnd1143 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1143~combout\ = (\WideAnd1143~0_combout\ & (\led_flash_cnt[1143][7]~q\ & (\led_flash_cnt[1143][1]~q\ & \WideAnd1143~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1143~0_combout\,
	datab => \led_flash_cnt[1143][7]~q\,
	datac => \led_flash_cnt[1143][1]~q\,
	datad => \WideAnd1143~1_combout\,
	combout => \WideAnd1143~combout\);

-- Location: FF_X6_Y12_N31
\led_flash_cnt_ands[1143]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1143~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1143));

-- Location: LCCOMB_X11_Y18_N6
\led_flash_cnt[1141][0]~81781\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1141][0]~81781_combout\ = !\led_flash_cnt[1141][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1141][0]~q\,
	combout => \led_flash_cnt[1141][0]~81781_combout\);

-- Location: FF_X11_Y18_N7
\led_flash_cnt[1141][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1141][0]~81781_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1141][0]~q\);

-- Location: LCCOMB_X12_Y18_N14
\led_flash_cnt[1141][1]~42854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1141][1]~42854_combout\ = (\led_flash_cnt[1141][0]~q\ & (\led_flash_cnt[1141][1]~q\ $ (VCC))) # (!\led_flash_cnt[1141][0]~q\ & (\led_flash_cnt[1141][1]~q\ & VCC))
-- \led_flash_cnt[1141][1]~42855\ = CARRY((\led_flash_cnt[1141][0]~q\ & \led_flash_cnt[1141][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1141][0]~q\,
	datab => \led_flash_cnt[1141][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1141][1]~42854_combout\,
	cout => \led_flash_cnt[1141][1]~42855\);

-- Location: FF_X12_Y18_N15
\led_flash_cnt[1141][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1141][1]~42854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1141][1]~q\);

-- Location: LCCOMB_X12_Y18_N16
\led_flash_cnt[1141][2]~42856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1141][2]~42856_combout\ = (\led_flash_cnt[1141][2]~q\ & (!\led_flash_cnt[1141][1]~42855\)) # (!\led_flash_cnt[1141][2]~q\ & ((\led_flash_cnt[1141][1]~42855\) # (GND)))
-- \led_flash_cnt[1141][2]~42857\ = CARRY((!\led_flash_cnt[1141][1]~42855\) # (!\led_flash_cnt[1141][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1141][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1141][1]~42855\,
	combout => \led_flash_cnt[1141][2]~42856_combout\,
	cout => \led_flash_cnt[1141][2]~42857\);

-- Location: FF_X12_Y18_N17
\led_flash_cnt[1141][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1141][2]~42856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1141][2]~q\);

-- Location: LCCOMB_X12_Y18_N18
\led_flash_cnt[1141][3]~42858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1141][3]~42858_combout\ = (\led_flash_cnt[1141][3]~q\ & (\led_flash_cnt[1141][2]~42857\ $ (GND))) # (!\led_flash_cnt[1141][3]~q\ & (!\led_flash_cnt[1141][2]~42857\ & VCC))
-- \led_flash_cnt[1141][3]~42859\ = CARRY((\led_flash_cnt[1141][3]~q\ & !\led_flash_cnt[1141][2]~42857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1141][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1141][2]~42857\,
	combout => \led_flash_cnt[1141][3]~42858_combout\,
	cout => \led_flash_cnt[1141][3]~42859\);

-- Location: FF_X12_Y18_N19
\led_flash_cnt[1141][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1141][3]~42858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1141][3]~q\);

-- Location: LCCOMB_X12_Y18_N20
\led_flash_cnt[1141][4]~42860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1141][4]~42860_combout\ = (\led_flash_cnt[1141][4]~q\ & (!\led_flash_cnt[1141][3]~42859\)) # (!\led_flash_cnt[1141][4]~q\ & ((\led_flash_cnt[1141][3]~42859\) # (GND)))
-- \led_flash_cnt[1141][4]~42861\ = CARRY((!\led_flash_cnt[1141][3]~42859\) # (!\led_flash_cnt[1141][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1141][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1141][3]~42859\,
	combout => \led_flash_cnt[1141][4]~42860_combout\,
	cout => \led_flash_cnt[1141][4]~42861\);

-- Location: FF_X12_Y18_N21
\led_flash_cnt[1141][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1141][4]~42860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1141][4]~q\);

-- Location: LCCOMB_X12_Y18_N28
\WideAnd1141~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1141~0_combout\ = (\led_flash_cnt[1141][4]~q\ & (\led_flash_cnt[1141][3]~q\ & (\led_flash_cnt[1141][1]~q\ & \led_flash_cnt[1141][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1141][4]~q\,
	datab => \led_flash_cnt[1141][3]~q\,
	datac => \led_flash_cnt[1141][1]~q\,
	datad => \led_flash_cnt[1141][2]~q\,
	combout => \WideAnd1141~0_combout\);

-- Location: LCCOMB_X12_Y18_N22
\led_flash_cnt[1141][5]~42862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1141][5]~42862_combout\ = (\led_flash_cnt[1141][5]~q\ & (\led_flash_cnt[1141][4]~42861\ $ (GND))) # (!\led_flash_cnt[1141][5]~q\ & (!\led_flash_cnt[1141][4]~42861\ & VCC))
-- \led_flash_cnt[1141][5]~42863\ = CARRY((\led_flash_cnt[1141][5]~q\ & !\led_flash_cnt[1141][4]~42861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1141][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1141][4]~42861\,
	combout => \led_flash_cnt[1141][5]~42862_combout\,
	cout => \led_flash_cnt[1141][5]~42863\);

-- Location: FF_X12_Y18_N23
\led_flash_cnt[1141][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1141][5]~42862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1141][5]~q\);

-- Location: LCCOMB_X12_Y18_N24
\led_flash_cnt[1141][6]~42864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1141][6]~42864_combout\ = (\led_flash_cnt[1141][6]~q\ & (!\led_flash_cnt[1141][5]~42863\)) # (!\led_flash_cnt[1141][6]~q\ & ((\led_flash_cnt[1141][5]~42863\) # (GND)))
-- \led_flash_cnt[1141][6]~42865\ = CARRY((!\led_flash_cnt[1141][5]~42863\) # (!\led_flash_cnt[1141][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1141][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1141][5]~42863\,
	combout => \led_flash_cnt[1141][6]~42864_combout\,
	cout => \led_flash_cnt[1141][6]~42865\);

-- Location: FF_X12_Y18_N25
\led_flash_cnt[1141][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1141][6]~42864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1141][6]~q\);

-- Location: LCCOMB_X11_Y18_N4
\WideAnd1141~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1141~1_combout\ = (\led_flash_cnt[1141][6]~q\ & \led_flash_cnt[1141][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1141][6]~q\,
	datad => \led_flash_cnt[1141][5]~q\,
	combout => \WideAnd1141~1_combout\);

-- Location: LCCOMB_X12_Y18_N26
\led_flash_cnt[1141][7]~42866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1141][7]~42866_combout\ = \led_flash_cnt[1141][7]~q\ $ (!\led_flash_cnt[1141][6]~42865\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1141][7]~q\,
	cin => \led_flash_cnt[1141][6]~42865\,
	combout => \led_flash_cnt[1141][7]~42866_combout\);

-- Location: FF_X12_Y18_N27
\led_flash_cnt[1141][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1141][7]~42866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1141][7]~q\);

-- Location: LCCOMB_X11_Y18_N26
WideAnd1141 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1141~combout\ = (\led_flash_cnt[1141][0]~q\ & (\WideAnd1141~0_combout\ & (\WideAnd1141~1_combout\ & \led_flash_cnt[1141][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1141][0]~q\,
	datab => \WideAnd1141~0_combout\,
	datac => \WideAnd1141~1_combout\,
	datad => \led_flash_cnt[1141][7]~q\,
	combout => \WideAnd1141~combout\);

-- Location: FF_X11_Y18_N27
\led_flash_cnt_ands[1141]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1141~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1141));

-- Location: LCCOMB_X11_Y18_N2
\led_flash_cnt[1140][0]~81780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1140][0]~81780_combout\ = !\led_flash_cnt[1140][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1140][0]~q\,
	combout => \led_flash_cnt[1140][0]~81780_combout\);

-- Location: FF_X11_Y18_N3
\led_flash_cnt[1140][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1140][0]~81780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1140][0]~q\);

-- Location: LCCOMB_X11_Y18_N12
\led_flash_cnt[1140][1]~42840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1140][1]~42840_combout\ = (\led_flash_cnt[1140][1]~q\ & (\led_flash_cnt[1140][0]~q\ $ (VCC))) # (!\led_flash_cnt[1140][1]~q\ & (\led_flash_cnt[1140][0]~q\ & VCC))
-- \led_flash_cnt[1140][1]~42841\ = CARRY((\led_flash_cnt[1140][1]~q\ & \led_flash_cnt[1140][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1140][1]~q\,
	datab => \led_flash_cnt[1140][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1140][1]~42840_combout\,
	cout => \led_flash_cnt[1140][1]~42841\);

-- Location: FF_X11_Y18_N13
\led_flash_cnt[1140][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1140][1]~42840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1140][1]~q\);

-- Location: LCCOMB_X11_Y18_N14
\led_flash_cnt[1140][2]~42842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1140][2]~42842_combout\ = (\led_flash_cnt[1140][2]~q\ & (!\led_flash_cnt[1140][1]~42841\)) # (!\led_flash_cnt[1140][2]~q\ & ((\led_flash_cnt[1140][1]~42841\) # (GND)))
-- \led_flash_cnt[1140][2]~42843\ = CARRY((!\led_flash_cnt[1140][1]~42841\) # (!\led_flash_cnt[1140][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1140][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1140][1]~42841\,
	combout => \led_flash_cnt[1140][2]~42842_combout\,
	cout => \led_flash_cnt[1140][2]~42843\);

-- Location: FF_X11_Y18_N15
\led_flash_cnt[1140][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1140][2]~42842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1140][2]~q\);

-- Location: LCCOMB_X11_Y18_N16
\led_flash_cnt[1140][3]~42844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1140][3]~42844_combout\ = (\led_flash_cnt[1140][3]~q\ & (\led_flash_cnt[1140][2]~42843\ $ (GND))) # (!\led_flash_cnt[1140][3]~q\ & (!\led_flash_cnt[1140][2]~42843\ & VCC))
-- \led_flash_cnt[1140][3]~42845\ = CARRY((\led_flash_cnt[1140][3]~q\ & !\led_flash_cnt[1140][2]~42843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1140][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1140][2]~42843\,
	combout => \led_flash_cnt[1140][3]~42844_combout\,
	cout => \led_flash_cnt[1140][3]~42845\);

-- Location: FF_X11_Y18_N17
\led_flash_cnt[1140][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1140][3]~42844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1140][3]~q\);

-- Location: LCCOMB_X11_Y18_N18
\led_flash_cnt[1140][4]~42846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1140][4]~42846_combout\ = (\led_flash_cnt[1140][4]~q\ & (!\led_flash_cnt[1140][3]~42845\)) # (!\led_flash_cnt[1140][4]~q\ & ((\led_flash_cnt[1140][3]~42845\) # (GND)))
-- \led_flash_cnt[1140][4]~42847\ = CARRY((!\led_flash_cnt[1140][3]~42845\) # (!\led_flash_cnt[1140][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1140][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1140][3]~42845\,
	combout => \led_flash_cnt[1140][4]~42846_combout\,
	cout => \led_flash_cnt[1140][4]~42847\);

-- Location: FF_X11_Y18_N19
\led_flash_cnt[1140][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1140][4]~42846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1140][4]~q\);

-- Location: LCCOMB_X11_Y18_N20
\led_flash_cnt[1140][5]~42848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1140][5]~42848_combout\ = (\led_flash_cnt[1140][5]~q\ & (\led_flash_cnt[1140][4]~42847\ $ (GND))) # (!\led_flash_cnt[1140][5]~q\ & (!\led_flash_cnt[1140][4]~42847\ & VCC))
-- \led_flash_cnt[1140][5]~42849\ = CARRY((\led_flash_cnt[1140][5]~q\ & !\led_flash_cnt[1140][4]~42847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1140][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1140][4]~42847\,
	combout => \led_flash_cnt[1140][5]~42848_combout\,
	cout => \led_flash_cnt[1140][5]~42849\);

-- Location: FF_X11_Y18_N21
\led_flash_cnt[1140][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1140][5]~42848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1140][5]~q\);

-- Location: LCCOMB_X11_Y18_N22
\led_flash_cnt[1140][6]~42850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1140][6]~42850_combout\ = (\led_flash_cnt[1140][6]~q\ & (!\led_flash_cnt[1140][5]~42849\)) # (!\led_flash_cnt[1140][6]~q\ & ((\led_flash_cnt[1140][5]~42849\) # (GND)))
-- \led_flash_cnt[1140][6]~42851\ = CARRY((!\led_flash_cnt[1140][5]~42849\) # (!\led_flash_cnt[1140][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1140][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1140][5]~42849\,
	combout => \led_flash_cnt[1140][6]~42850_combout\,
	cout => \led_flash_cnt[1140][6]~42851\);

-- Location: FF_X11_Y18_N23
\led_flash_cnt[1140][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1140][6]~42850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1140][6]~q\);

-- Location: LCCOMB_X11_Y18_N30
\WideAnd1140~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1140~1_combout\ = (\led_flash_cnt[1140][6]~q\ & \led_flash_cnt[1140][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1140][6]~q\,
	datad => \led_flash_cnt[1140][5]~q\,
	combout => \WideAnd1140~1_combout\);

-- Location: LCCOMB_X11_Y18_N8
\WideAnd1140~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1140~0_combout\ = (\led_flash_cnt[1140][1]~q\ & (\led_flash_cnt[1140][3]~q\ & (\led_flash_cnt[1140][2]~q\ & \led_flash_cnt[1140][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1140][1]~q\,
	datab => \led_flash_cnt[1140][3]~q\,
	datac => \led_flash_cnt[1140][2]~q\,
	datad => \led_flash_cnt[1140][4]~q\,
	combout => \WideAnd1140~0_combout\);

-- Location: LCCOMB_X11_Y18_N24
\led_flash_cnt[1140][7]~42852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1140][7]~42852_combout\ = \led_flash_cnt[1140][6]~42851\ $ (!\led_flash_cnt[1140][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1140][7]~q\,
	cin => \led_flash_cnt[1140][6]~42851\,
	combout => \led_flash_cnt[1140][7]~42852_combout\);

-- Location: FF_X11_Y18_N25
\led_flash_cnt[1140][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1140][7]~42852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1140][7]~q\);

-- Location: LCCOMB_X11_Y18_N10
WideAnd1140 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1140~combout\ = (\WideAnd1140~1_combout\ & (\led_flash_cnt[1140][0]~q\ & (\WideAnd1140~0_combout\ & \led_flash_cnt[1140][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1140~1_combout\,
	datab => \led_flash_cnt[1140][0]~q\,
	datac => \WideAnd1140~0_combout\,
	datad => \led_flash_cnt[1140][7]~q\,
	combout => \WideAnd1140~combout\);

-- Location: FF_X11_Y18_N11
\led_flash_cnt_ands[1140]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1140~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1140));

-- Location: LCCOMB_X11_Y18_N28
\WideAnd3982~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3982~1_combout\ = (led_flash_cnt_ands(1141) & led_flash_cnt_ands(1140))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1141),
	datad => led_flash_cnt_ands(1140),
	combout => \WideAnd3982~1_combout\);

-- Location: LCCOMB_X6_Y23_N28
\led_flash_cnt[1136][0]~81776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1136][0]~81776_combout\ = !\led_flash_cnt[1136][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1136][0]~q\,
	combout => \led_flash_cnt[1136][0]~81776_combout\);

-- Location: FF_X6_Y23_N29
\led_flash_cnt[1136][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1136][0]~81776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1136][0]~q\);

-- Location: LCCOMB_X6_Y23_N12
\led_flash_cnt[1136][1]~42784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1136][1]~42784_combout\ = (\led_flash_cnt[1136][1]~q\ & (\led_flash_cnt[1136][0]~q\ $ (VCC))) # (!\led_flash_cnt[1136][1]~q\ & (\led_flash_cnt[1136][0]~q\ & VCC))
-- \led_flash_cnt[1136][1]~42785\ = CARRY((\led_flash_cnt[1136][1]~q\ & \led_flash_cnt[1136][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1136][1]~q\,
	datab => \led_flash_cnt[1136][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1136][1]~42784_combout\,
	cout => \led_flash_cnt[1136][1]~42785\);

-- Location: FF_X6_Y23_N13
\led_flash_cnt[1136][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1136][1]~42784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1136][1]~q\);

-- Location: LCCOMB_X6_Y23_N14
\led_flash_cnt[1136][2]~42786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1136][2]~42786_combout\ = (\led_flash_cnt[1136][2]~q\ & (!\led_flash_cnt[1136][1]~42785\)) # (!\led_flash_cnt[1136][2]~q\ & ((\led_flash_cnt[1136][1]~42785\) # (GND)))
-- \led_flash_cnt[1136][2]~42787\ = CARRY((!\led_flash_cnt[1136][1]~42785\) # (!\led_flash_cnt[1136][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1136][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1136][1]~42785\,
	combout => \led_flash_cnt[1136][2]~42786_combout\,
	cout => \led_flash_cnt[1136][2]~42787\);

-- Location: FF_X6_Y23_N15
\led_flash_cnt[1136][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1136][2]~42786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1136][2]~q\);

-- Location: LCCOMB_X6_Y23_N16
\led_flash_cnt[1136][3]~42788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1136][3]~42788_combout\ = (\led_flash_cnt[1136][3]~q\ & (\led_flash_cnt[1136][2]~42787\ $ (GND))) # (!\led_flash_cnt[1136][3]~q\ & (!\led_flash_cnt[1136][2]~42787\ & VCC))
-- \led_flash_cnt[1136][3]~42789\ = CARRY((\led_flash_cnt[1136][3]~q\ & !\led_flash_cnt[1136][2]~42787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1136][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1136][2]~42787\,
	combout => \led_flash_cnt[1136][3]~42788_combout\,
	cout => \led_flash_cnt[1136][3]~42789\);

-- Location: FF_X6_Y23_N17
\led_flash_cnt[1136][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1136][3]~42788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1136][3]~q\);

-- Location: LCCOMB_X6_Y23_N18
\led_flash_cnt[1136][4]~42790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1136][4]~42790_combout\ = (\led_flash_cnt[1136][4]~q\ & (!\led_flash_cnt[1136][3]~42789\)) # (!\led_flash_cnt[1136][4]~q\ & ((\led_flash_cnt[1136][3]~42789\) # (GND)))
-- \led_flash_cnt[1136][4]~42791\ = CARRY((!\led_flash_cnt[1136][3]~42789\) # (!\led_flash_cnt[1136][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1136][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1136][3]~42789\,
	combout => \led_flash_cnt[1136][4]~42790_combout\,
	cout => \led_flash_cnt[1136][4]~42791\);

-- Location: FF_X6_Y23_N19
\led_flash_cnt[1136][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1136][4]~42790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1136][4]~q\);

-- Location: LCCOMB_X6_Y23_N20
\led_flash_cnt[1136][5]~42792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1136][5]~42792_combout\ = (\led_flash_cnt[1136][5]~q\ & (\led_flash_cnt[1136][4]~42791\ $ (GND))) # (!\led_flash_cnt[1136][5]~q\ & (!\led_flash_cnt[1136][4]~42791\ & VCC))
-- \led_flash_cnt[1136][5]~42793\ = CARRY((\led_flash_cnt[1136][5]~q\ & !\led_flash_cnt[1136][4]~42791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1136][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1136][4]~42791\,
	combout => \led_flash_cnt[1136][5]~42792_combout\,
	cout => \led_flash_cnt[1136][5]~42793\);

-- Location: FF_X6_Y23_N21
\led_flash_cnt[1136][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1136][5]~42792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1136][5]~q\);

-- Location: LCCOMB_X6_Y23_N22
\led_flash_cnt[1136][6]~42794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1136][6]~42794_combout\ = (\led_flash_cnt[1136][6]~q\ & (!\led_flash_cnt[1136][5]~42793\)) # (!\led_flash_cnt[1136][6]~q\ & ((\led_flash_cnt[1136][5]~42793\) # (GND)))
-- \led_flash_cnt[1136][6]~42795\ = CARRY((!\led_flash_cnt[1136][5]~42793\) # (!\led_flash_cnt[1136][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1136][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1136][5]~42793\,
	combout => \led_flash_cnt[1136][6]~42794_combout\,
	cout => \led_flash_cnt[1136][6]~42795\);

-- Location: FF_X6_Y23_N23
\led_flash_cnt[1136][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1136][6]~42794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1136][6]~q\);

-- Location: LCCOMB_X6_Y23_N26
\WideAnd1136~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1136~1_combout\ = (\led_flash_cnt[1136][6]~q\ & \led_flash_cnt[1136][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1136][6]~q\,
	datad => \led_flash_cnt[1136][5]~q\,
	combout => \WideAnd1136~1_combout\);

-- Location: LCCOMB_X6_Y23_N24
\led_flash_cnt[1136][7]~42796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1136][7]~42796_combout\ = \led_flash_cnt[1136][6]~42795\ $ (!\led_flash_cnt[1136][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1136][7]~q\,
	cin => \led_flash_cnt[1136][6]~42795\,
	combout => \led_flash_cnt[1136][7]~42796_combout\);

-- Location: FF_X6_Y23_N25
\led_flash_cnt[1136][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1136][7]~42796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1136][7]~q\);

-- Location: LCCOMB_X6_Y23_N4
\WideAnd1136~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1136~0_combout\ = (\led_flash_cnt[1136][1]~q\ & (\led_flash_cnt[1136][3]~q\ & (\led_flash_cnt[1136][2]~q\ & \led_flash_cnt[1136][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1136][1]~q\,
	datab => \led_flash_cnt[1136][3]~q\,
	datac => \led_flash_cnt[1136][2]~q\,
	datad => \led_flash_cnt[1136][4]~q\,
	combout => \WideAnd1136~0_combout\);

-- Location: LCCOMB_X6_Y23_N10
WideAnd1136 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1136~combout\ = (\WideAnd1136~1_combout\ & (\led_flash_cnt[1136][7]~q\ & (\WideAnd1136~0_combout\ & \led_flash_cnt[1136][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1136~1_combout\,
	datab => \led_flash_cnt[1136][7]~q\,
	datac => \WideAnd1136~0_combout\,
	datad => \led_flash_cnt[1136][0]~q\,
	combout => \WideAnd1136~combout\);

-- Location: FF_X6_Y23_N11
\led_flash_cnt_ands[1136]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1136~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1136));

-- Location: LCCOMB_X7_Y23_N22
\led_flash_cnt[1139][0]~81779\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1139][0]~81779_combout\ = !\led_flash_cnt[1139][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1139][0]~q\,
	combout => \led_flash_cnt[1139][0]~81779_combout\);

-- Location: FF_X7_Y23_N23
\led_flash_cnt[1139][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1139][0]~81779_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1139][0]~q\);

-- Location: LCCOMB_X7_Y23_N8
\led_flash_cnt[1139][1]~42826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1139][1]~42826_combout\ = (\led_flash_cnt[1139][0]~q\ & (\led_flash_cnt[1139][1]~q\ $ (VCC))) # (!\led_flash_cnt[1139][0]~q\ & (\led_flash_cnt[1139][1]~q\ & VCC))
-- \led_flash_cnt[1139][1]~42827\ = CARRY((\led_flash_cnt[1139][0]~q\ & \led_flash_cnt[1139][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1139][0]~q\,
	datab => \led_flash_cnt[1139][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1139][1]~42826_combout\,
	cout => \led_flash_cnt[1139][1]~42827\);

-- Location: FF_X7_Y23_N9
\led_flash_cnt[1139][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1139][1]~42826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1139][1]~q\);

-- Location: LCCOMB_X7_Y23_N10
\led_flash_cnt[1139][2]~42828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1139][2]~42828_combout\ = (\led_flash_cnt[1139][2]~q\ & (!\led_flash_cnt[1139][1]~42827\)) # (!\led_flash_cnt[1139][2]~q\ & ((\led_flash_cnt[1139][1]~42827\) # (GND)))
-- \led_flash_cnt[1139][2]~42829\ = CARRY((!\led_flash_cnt[1139][1]~42827\) # (!\led_flash_cnt[1139][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1139][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1139][1]~42827\,
	combout => \led_flash_cnt[1139][2]~42828_combout\,
	cout => \led_flash_cnt[1139][2]~42829\);

-- Location: FF_X7_Y23_N11
\led_flash_cnt[1139][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1139][2]~42828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1139][2]~q\);

-- Location: LCCOMB_X7_Y23_N12
\led_flash_cnt[1139][3]~42830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1139][3]~42830_combout\ = (\led_flash_cnt[1139][3]~q\ & (\led_flash_cnt[1139][2]~42829\ $ (GND))) # (!\led_flash_cnt[1139][3]~q\ & (!\led_flash_cnt[1139][2]~42829\ & VCC))
-- \led_flash_cnt[1139][3]~42831\ = CARRY((\led_flash_cnt[1139][3]~q\ & !\led_flash_cnt[1139][2]~42829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1139][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1139][2]~42829\,
	combout => \led_flash_cnt[1139][3]~42830_combout\,
	cout => \led_flash_cnt[1139][3]~42831\);

-- Location: FF_X7_Y23_N13
\led_flash_cnt[1139][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1139][3]~42830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1139][3]~q\);

-- Location: LCCOMB_X7_Y23_N14
\led_flash_cnt[1139][4]~42832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1139][4]~42832_combout\ = (\led_flash_cnt[1139][4]~q\ & (!\led_flash_cnt[1139][3]~42831\)) # (!\led_flash_cnt[1139][4]~q\ & ((\led_flash_cnt[1139][3]~42831\) # (GND)))
-- \led_flash_cnt[1139][4]~42833\ = CARRY((!\led_flash_cnt[1139][3]~42831\) # (!\led_flash_cnt[1139][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1139][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1139][3]~42831\,
	combout => \led_flash_cnt[1139][4]~42832_combout\,
	cout => \led_flash_cnt[1139][4]~42833\);

-- Location: FF_X7_Y23_N15
\led_flash_cnt[1139][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1139][4]~42832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1139][4]~q\);

-- Location: LCCOMB_X7_Y23_N30
\WideAnd1139~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1139~0_combout\ = (\led_flash_cnt[1139][3]~q\ & (\led_flash_cnt[1139][1]~q\ & (\led_flash_cnt[1139][4]~q\ & \led_flash_cnt[1139][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1139][3]~q\,
	datab => \led_flash_cnt[1139][1]~q\,
	datac => \led_flash_cnt[1139][4]~q\,
	datad => \led_flash_cnt[1139][2]~q\,
	combout => \WideAnd1139~0_combout\);

-- Location: LCCOMB_X7_Y23_N16
\led_flash_cnt[1139][5]~42834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1139][5]~42834_combout\ = (\led_flash_cnt[1139][5]~q\ & (\led_flash_cnt[1139][4]~42833\ $ (GND))) # (!\led_flash_cnt[1139][5]~q\ & (!\led_flash_cnt[1139][4]~42833\ & VCC))
-- \led_flash_cnt[1139][5]~42835\ = CARRY((\led_flash_cnt[1139][5]~q\ & !\led_flash_cnt[1139][4]~42833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1139][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1139][4]~42833\,
	combout => \led_flash_cnt[1139][5]~42834_combout\,
	cout => \led_flash_cnt[1139][5]~42835\);

-- Location: FF_X7_Y23_N17
\led_flash_cnt[1139][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1139][5]~42834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1139][5]~q\);

-- Location: LCCOMB_X7_Y23_N18
\led_flash_cnt[1139][6]~42836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1139][6]~42836_combout\ = (\led_flash_cnt[1139][6]~q\ & (!\led_flash_cnt[1139][5]~42835\)) # (!\led_flash_cnt[1139][6]~q\ & ((\led_flash_cnt[1139][5]~42835\) # (GND)))
-- \led_flash_cnt[1139][6]~42837\ = CARRY((!\led_flash_cnt[1139][5]~42835\) # (!\led_flash_cnt[1139][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1139][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1139][5]~42835\,
	combout => \led_flash_cnt[1139][6]~42836_combout\,
	cout => \led_flash_cnt[1139][6]~42837\);

-- Location: FF_X7_Y23_N19
\led_flash_cnt[1139][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1139][6]~42836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1139][6]~q\);

-- Location: LCCOMB_X7_Y23_N20
\led_flash_cnt[1139][7]~42838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1139][7]~42838_combout\ = \led_flash_cnt[1139][6]~42837\ $ (!\led_flash_cnt[1139][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1139][7]~q\,
	cin => \led_flash_cnt[1139][6]~42837\,
	combout => \led_flash_cnt[1139][7]~42838_combout\);

-- Location: FF_X7_Y23_N21
\led_flash_cnt[1139][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1139][7]~42838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1139][7]~q\);

-- Location: LCCOMB_X7_Y23_N24
\WideAnd1139~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1139~1_combout\ = (\led_flash_cnt[1139][5]~q\ & \led_flash_cnt[1139][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1139][5]~q\,
	datad => \led_flash_cnt[1139][6]~q\,
	combout => \WideAnd1139~1_combout\);

-- Location: LCCOMB_X7_Y23_N26
WideAnd1139 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1139~combout\ = (\WideAnd1139~0_combout\ & (\led_flash_cnt[1139][7]~q\ & (\led_flash_cnt[1139][0]~q\ & \WideAnd1139~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1139~0_combout\,
	datab => \led_flash_cnt[1139][7]~q\,
	datac => \led_flash_cnt[1139][0]~q\,
	datad => \WideAnd1139~1_combout\,
	combout => \WideAnd1139~combout\);

-- Location: FF_X7_Y23_N27
\led_flash_cnt_ands[1139]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1139~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1139));

-- Location: LCCOMB_X7_Y23_N4
\led_flash_cnt[1137][0]~81777\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1137][0]~81777_combout\ = !\led_flash_cnt[1137][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1137][0]~q\,
	combout => \led_flash_cnt[1137][0]~81777_combout\);

-- Location: FF_X7_Y23_N5
\led_flash_cnt[1137][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1137][0]~81777_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1137][0]~q\);

-- Location: LCCOMB_X7_Y26_N2
\led_flash_cnt[1137][1]~42798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1137][1]~42798_combout\ = (\led_flash_cnt[1137][0]~q\ & (\led_flash_cnt[1137][1]~q\ $ (VCC))) # (!\led_flash_cnt[1137][0]~q\ & (\led_flash_cnt[1137][1]~q\ & VCC))
-- \led_flash_cnt[1137][1]~42799\ = CARRY((\led_flash_cnt[1137][0]~q\ & \led_flash_cnt[1137][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1137][0]~q\,
	datab => \led_flash_cnt[1137][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1137][1]~42798_combout\,
	cout => \led_flash_cnt[1137][1]~42799\);

-- Location: FF_X7_Y26_N3
\led_flash_cnt[1137][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1137][1]~42798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1137][1]~q\);

-- Location: LCCOMB_X7_Y26_N4
\led_flash_cnt[1137][2]~42800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1137][2]~42800_combout\ = (\led_flash_cnt[1137][2]~q\ & (!\led_flash_cnt[1137][1]~42799\)) # (!\led_flash_cnt[1137][2]~q\ & ((\led_flash_cnt[1137][1]~42799\) # (GND)))
-- \led_flash_cnt[1137][2]~42801\ = CARRY((!\led_flash_cnt[1137][1]~42799\) # (!\led_flash_cnt[1137][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1137][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1137][1]~42799\,
	combout => \led_flash_cnt[1137][2]~42800_combout\,
	cout => \led_flash_cnt[1137][2]~42801\);

-- Location: FF_X7_Y26_N5
\led_flash_cnt[1137][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1137][2]~42800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1137][2]~q\);

-- Location: LCCOMB_X7_Y26_N6
\led_flash_cnt[1137][3]~42802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1137][3]~42802_combout\ = (\led_flash_cnt[1137][3]~q\ & (\led_flash_cnt[1137][2]~42801\ $ (GND))) # (!\led_flash_cnt[1137][3]~q\ & (!\led_flash_cnt[1137][2]~42801\ & VCC))
-- \led_flash_cnt[1137][3]~42803\ = CARRY((\led_flash_cnt[1137][3]~q\ & !\led_flash_cnt[1137][2]~42801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1137][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1137][2]~42801\,
	combout => \led_flash_cnt[1137][3]~42802_combout\,
	cout => \led_flash_cnt[1137][3]~42803\);

-- Location: FF_X7_Y26_N7
\led_flash_cnt[1137][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1137][3]~42802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1137][3]~q\);

-- Location: LCCOMB_X7_Y26_N8
\led_flash_cnt[1137][4]~42804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1137][4]~42804_combout\ = (\led_flash_cnt[1137][4]~q\ & (!\led_flash_cnt[1137][3]~42803\)) # (!\led_flash_cnt[1137][4]~q\ & ((\led_flash_cnt[1137][3]~42803\) # (GND)))
-- \led_flash_cnt[1137][4]~42805\ = CARRY((!\led_flash_cnt[1137][3]~42803\) # (!\led_flash_cnt[1137][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1137][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1137][3]~42803\,
	combout => \led_flash_cnt[1137][4]~42804_combout\,
	cout => \led_flash_cnt[1137][4]~42805\);

-- Location: FF_X7_Y26_N9
\led_flash_cnt[1137][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1137][4]~42804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1137][4]~q\);

-- Location: LCCOMB_X7_Y26_N0
\WideAnd1137~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1137~0_combout\ = (\led_flash_cnt[1137][3]~q\ & (\led_flash_cnt[1137][4]~q\ & (\led_flash_cnt[1137][2]~q\ & \led_flash_cnt[1137][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1137][3]~q\,
	datab => \led_flash_cnt[1137][4]~q\,
	datac => \led_flash_cnt[1137][2]~q\,
	datad => \led_flash_cnt[1137][1]~q\,
	combout => \WideAnd1137~0_combout\);

-- Location: LCCOMB_X7_Y26_N10
\led_flash_cnt[1137][5]~42806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1137][5]~42806_combout\ = (\led_flash_cnt[1137][5]~q\ & (\led_flash_cnt[1137][4]~42805\ $ (GND))) # (!\led_flash_cnt[1137][5]~q\ & (!\led_flash_cnt[1137][4]~42805\ & VCC))
-- \led_flash_cnt[1137][5]~42807\ = CARRY((\led_flash_cnt[1137][5]~q\ & !\led_flash_cnt[1137][4]~42805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1137][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1137][4]~42805\,
	combout => \led_flash_cnt[1137][5]~42806_combout\,
	cout => \led_flash_cnt[1137][5]~42807\);

-- Location: FF_X7_Y26_N11
\led_flash_cnt[1137][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1137][5]~42806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1137][5]~q\);

-- Location: LCCOMB_X7_Y26_N12
\led_flash_cnt[1137][6]~42808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1137][6]~42808_combout\ = (\led_flash_cnt[1137][6]~q\ & (!\led_flash_cnt[1137][5]~42807\)) # (!\led_flash_cnt[1137][6]~q\ & ((\led_flash_cnt[1137][5]~42807\) # (GND)))
-- \led_flash_cnt[1137][6]~42809\ = CARRY((!\led_flash_cnt[1137][5]~42807\) # (!\led_flash_cnt[1137][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1137][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1137][5]~42807\,
	combout => \led_flash_cnt[1137][6]~42808_combout\,
	cout => \led_flash_cnt[1137][6]~42809\);

-- Location: FF_X7_Y26_N13
\led_flash_cnt[1137][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1137][6]~42808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1137][6]~q\);

-- Location: LCCOMB_X7_Y26_N14
\led_flash_cnt[1137][7]~42810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1137][7]~42810_combout\ = \led_flash_cnt[1137][7]~q\ $ (!\led_flash_cnt[1137][6]~42809\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1137][7]~q\,
	cin => \led_flash_cnt[1137][6]~42809\,
	combout => \led_flash_cnt[1137][7]~42810_combout\);

-- Location: FF_X7_Y26_N15
\led_flash_cnt[1137][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1137][7]~42810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1137][7]~q\);

-- Location: LCCOMB_X8_Y26_N26
\WideAnd1137~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1137~1_combout\ = (\led_flash_cnt[1137][6]~q\ & \led_flash_cnt[1137][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1137][6]~q\,
	datad => \led_flash_cnt[1137][5]~q\,
	combout => \WideAnd1137~1_combout\);

-- Location: LCCOMB_X7_Y23_N0
WideAnd1137 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1137~combout\ = (\WideAnd1137~0_combout\ & (\led_flash_cnt[1137][7]~q\ & (\led_flash_cnt[1137][0]~q\ & \WideAnd1137~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1137~0_combout\,
	datab => \led_flash_cnt[1137][7]~q\,
	datac => \led_flash_cnt[1137][0]~q\,
	datad => \WideAnd1137~1_combout\,
	combout => \WideAnd1137~combout\);

-- Location: FF_X7_Y23_N1
\led_flash_cnt_ands[1137]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1137~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1137));

-- Location: LCCOMB_X6_Y22_N10
\led_flash_cnt[1138][0]~81778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1138][0]~81778_combout\ = !\led_flash_cnt[1138][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1138][0]~q\,
	combout => \led_flash_cnt[1138][0]~81778_combout\);

-- Location: FF_X6_Y22_N11
\led_flash_cnt[1138][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1138][0]~81778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1138][0]~q\);

-- Location: LCCOMB_X6_Y22_N14
\led_flash_cnt[1138][1]~42812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1138][1]~42812_combout\ = (\led_flash_cnt[1138][0]~q\ & (\led_flash_cnt[1138][1]~q\ $ (VCC))) # (!\led_flash_cnt[1138][0]~q\ & (\led_flash_cnt[1138][1]~q\ & VCC))
-- \led_flash_cnt[1138][1]~42813\ = CARRY((\led_flash_cnt[1138][0]~q\ & \led_flash_cnt[1138][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1138][0]~q\,
	datab => \led_flash_cnt[1138][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1138][1]~42812_combout\,
	cout => \led_flash_cnt[1138][1]~42813\);

-- Location: FF_X6_Y22_N15
\led_flash_cnt[1138][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1138][1]~42812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1138][1]~q\);

-- Location: LCCOMB_X6_Y22_N16
\led_flash_cnt[1138][2]~42814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1138][2]~42814_combout\ = (\led_flash_cnt[1138][2]~q\ & (!\led_flash_cnt[1138][1]~42813\)) # (!\led_flash_cnt[1138][2]~q\ & ((\led_flash_cnt[1138][1]~42813\) # (GND)))
-- \led_flash_cnt[1138][2]~42815\ = CARRY((!\led_flash_cnt[1138][1]~42813\) # (!\led_flash_cnt[1138][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1138][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1138][1]~42813\,
	combout => \led_flash_cnt[1138][2]~42814_combout\,
	cout => \led_flash_cnt[1138][2]~42815\);

-- Location: FF_X6_Y22_N17
\led_flash_cnt[1138][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1138][2]~42814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1138][2]~q\);

-- Location: LCCOMB_X6_Y22_N18
\led_flash_cnt[1138][3]~42816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1138][3]~42816_combout\ = (\led_flash_cnt[1138][3]~q\ & (\led_flash_cnt[1138][2]~42815\ $ (GND))) # (!\led_flash_cnt[1138][3]~q\ & (!\led_flash_cnt[1138][2]~42815\ & VCC))
-- \led_flash_cnt[1138][3]~42817\ = CARRY((\led_flash_cnt[1138][3]~q\ & !\led_flash_cnt[1138][2]~42815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1138][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1138][2]~42815\,
	combout => \led_flash_cnt[1138][3]~42816_combout\,
	cout => \led_flash_cnt[1138][3]~42817\);

-- Location: FF_X6_Y22_N19
\led_flash_cnt[1138][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1138][3]~42816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1138][3]~q\);

-- Location: LCCOMB_X6_Y22_N20
\led_flash_cnt[1138][4]~42818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1138][4]~42818_combout\ = (\led_flash_cnt[1138][4]~q\ & (!\led_flash_cnt[1138][3]~42817\)) # (!\led_flash_cnt[1138][4]~q\ & ((\led_flash_cnt[1138][3]~42817\) # (GND)))
-- \led_flash_cnt[1138][4]~42819\ = CARRY((!\led_flash_cnt[1138][3]~42817\) # (!\led_flash_cnt[1138][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1138][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1138][3]~42817\,
	combout => \led_flash_cnt[1138][4]~42818_combout\,
	cout => \led_flash_cnt[1138][4]~42819\);

-- Location: FF_X6_Y22_N21
\led_flash_cnt[1138][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1138][4]~42818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1138][4]~q\);

-- Location: LCCOMB_X6_Y22_N22
\led_flash_cnt[1138][5]~42820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1138][5]~42820_combout\ = (\led_flash_cnt[1138][5]~q\ & (\led_flash_cnt[1138][4]~42819\ $ (GND))) # (!\led_flash_cnt[1138][5]~q\ & (!\led_flash_cnt[1138][4]~42819\ & VCC))
-- \led_flash_cnt[1138][5]~42821\ = CARRY((\led_flash_cnt[1138][5]~q\ & !\led_flash_cnt[1138][4]~42819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1138][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1138][4]~42819\,
	combout => \led_flash_cnt[1138][5]~42820_combout\,
	cout => \led_flash_cnt[1138][5]~42821\);

-- Location: FF_X6_Y22_N23
\led_flash_cnt[1138][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1138][5]~42820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1138][5]~q\);

-- Location: LCCOMB_X6_Y22_N24
\led_flash_cnt[1138][6]~42822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1138][6]~42822_combout\ = (\led_flash_cnt[1138][6]~q\ & (!\led_flash_cnt[1138][5]~42821\)) # (!\led_flash_cnt[1138][6]~q\ & ((\led_flash_cnt[1138][5]~42821\) # (GND)))
-- \led_flash_cnt[1138][6]~42823\ = CARRY((!\led_flash_cnt[1138][5]~42821\) # (!\led_flash_cnt[1138][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1138][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1138][5]~42821\,
	combout => \led_flash_cnt[1138][6]~42822_combout\,
	cout => \led_flash_cnt[1138][6]~42823\);

-- Location: FF_X6_Y22_N25
\led_flash_cnt[1138][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1138][6]~42822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1138][6]~q\);

-- Location: LCCOMB_X6_Y22_N28
\WideAnd1138~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1138~1_combout\ = (\led_flash_cnt[1138][5]~q\ & \led_flash_cnt[1138][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1138][5]~q\,
	datad => \led_flash_cnt[1138][6]~q\,
	combout => \WideAnd1138~1_combout\);

-- Location: LCCOMB_X6_Y22_N26
\led_flash_cnt[1138][7]~42824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1138][7]~42824_combout\ = \led_flash_cnt[1138][7]~q\ $ (!\led_flash_cnt[1138][6]~42823\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1138][7]~q\,
	cin => \led_flash_cnt[1138][6]~42823\,
	combout => \led_flash_cnt[1138][7]~42824_combout\);

-- Location: FF_X6_Y22_N27
\led_flash_cnt[1138][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1138][7]~42824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1138][7]~q\);

-- Location: LCCOMB_X6_Y22_N12
\WideAnd1138~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1138~0_combout\ = (\led_flash_cnt[1138][2]~q\ & (\led_flash_cnt[1138][3]~q\ & (\led_flash_cnt[1138][1]~q\ & \led_flash_cnt[1138][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1138][2]~q\,
	datab => \led_flash_cnt[1138][3]~q\,
	datac => \led_flash_cnt[1138][1]~q\,
	datad => \led_flash_cnt[1138][4]~q\,
	combout => \WideAnd1138~0_combout\);

-- Location: LCCOMB_X6_Y22_N0
WideAnd1138 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1138~combout\ = (\led_flash_cnt[1138][0]~q\ & (\WideAnd1138~1_combout\ & (\led_flash_cnt[1138][7]~q\ & \WideAnd1138~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1138][0]~q\,
	datab => \WideAnd1138~1_combout\,
	datac => \led_flash_cnt[1138][7]~q\,
	datad => \WideAnd1138~0_combout\,
	combout => \WideAnd1138~combout\);

-- Location: FF_X6_Y22_N1
\led_flash_cnt_ands[1138]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1138~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1138));

-- Location: LCCOMB_X6_Y23_N8
\WideAnd3982~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3982~0_combout\ = (led_flash_cnt_ands(1136) & (led_flash_cnt_ands(1139) & (led_flash_cnt_ands(1137) & led_flash_cnt_ands(1138))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1136),
	datab => led_flash_cnt_ands(1139),
	datac => led_flash_cnt_ands(1137),
	datad => led_flash_cnt_ands(1138),
	combout => \WideAnd3982~0_combout\);

-- Location: LCCOMB_X6_Y12_N8
\led_flash_cnt[1142][0]~81782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1142][0]~81782_combout\ = !\led_flash_cnt[1142][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1142][0]~q\,
	combout => \led_flash_cnt[1142][0]~81782_combout\);

-- Location: FF_X6_Y12_N9
\led_flash_cnt[1142][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1142][0]~81782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1142][0]~q\);

-- Location: LCCOMB_X6_Y12_N10
\led_flash_cnt[1142][1]~42868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1142][1]~42868_combout\ = (\led_flash_cnt[1142][1]~q\ & (\led_flash_cnt[1142][0]~q\ $ (VCC))) # (!\led_flash_cnt[1142][1]~q\ & (\led_flash_cnt[1142][0]~q\ & VCC))
-- \led_flash_cnt[1142][1]~42869\ = CARRY((\led_flash_cnt[1142][1]~q\ & \led_flash_cnt[1142][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1142][1]~q\,
	datab => \led_flash_cnt[1142][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1142][1]~42868_combout\,
	cout => \led_flash_cnt[1142][1]~42869\);

-- Location: FF_X6_Y12_N11
\led_flash_cnt[1142][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1142][1]~42868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1142][1]~q\);

-- Location: LCCOMB_X6_Y12_N12
\led_flash_cnt[1142][2]~42870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1142][2]~42870_combout\ = (\led_flash_cnt[1142][2]~q\ & (!\led_flash_cnt[1142][1]~42869\)) # (!\led_flash_cnt[1142][2]~q\ & ((\led_flash_cnt[1142][1]~42869\) # (GND)))
-- \led_flash_cnt[1142][2]~42871\ = CARRY((!\led_flash_cnt[1142][1]~42869\) # (!\led_flash_cnt[1142][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1142][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1142][1]~42869\,
	combout => \led_flash_cnt[1142][2]~42870_combout\,
	cout => \led_flash_cnt[1142][2]~42871\);

-- Location: FF_X6_Y12_N13
\led_flash_cnt[1142][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1142][2]~42870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1142][2]~q\);

-- Location: LCCOMB_X6_Y12_N14
\led_flash_cnt[1142][3]~42872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1142][3]~42872_combout\ = (\led_flash_cnt[1142][3]~q\ & (\led_flash_cnt[1142][2]~42871\ $ (GND))) # (!\led_flash_cnt[1142][3]~q\ & (!\led_flash_cnt[1142][2]~42871\ & VCC))
-- \led_flash_cnt[1142][3]~42873\ = CARRY((\led_flash_cnt[1142][3]~q\ & !\led_flash_cnt[1142][2]~42871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1142][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1142][2]~42871\,
	combout => \led_flash_cnt[1142][3]~42872_combout\,
	cout => \led_flash_cnt[1142][3]~42873\);

-- Location: FF_X6_Y12_N15
\led_flash_cnt[1142][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1142][3]~42872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1142][3]~q\);

-- Location: LCCOMB_X6_Y12_N16
\led_flash_cnt[1142][4]~42874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1142][4]~42874_combout\ = (\led_flash_cnt[1142][4]~q\ & (!\led_flash_cnt[1142][3]~42873\)) # (!\led_flash_cnt[1142][4]~q\ & ((\led_flash_cnt[1142][3]~42873\) # (GND)))
-- \led_flash_cnt[1142][4]~42875\ = CARRY((!\led_flash_cnt[1142][3]~42873\) # (!\led_flash_cnt[1142][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1142][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1142][3]~42873\,
	combout => \led_flash_cnt[1142][4]~42874_combout\,
	cout => \led_flash_cnt[1142][4]~42875\);

-- Location: FF_X6_Y12_N17
\led_flash_cnt[1142][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1142][4]~42874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1142][4]~q\);

-- Location: LCCOMB_X6_Y12_N18
\led_flash_cnt[1142][5]~42876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1142][5]~42876_combout\ = (\led_flash_cnt[1142][5]~q\ & (\led_flash_cnt[1142][4]~42875\ $ (GND))) # (!\led_flash_cnt[1142][5]~q\ & (!\led_flash_cnt[1142][4]~42875\ & VCC))
-- \led_flash_cnt[1142][5]~42877\ = CARRY((\led_flash_cnt[1142][5]~q\ & !\led_flash_cnt[1142][4]~42875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1142][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1142][4]~42875\,
	combout => \led_flash_cnt[1142][5]~42876_combout\,
	cout => \led_flash_cnt[1142][5]~42877\);

-- Location: FF_X6_Y12_N19
\led_flash_cnt[1142][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1142][5]~42876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1142][5]~q\);

-- Location: LCCOMB_X6_Y12_N20
\led_flash_cnt[1142][6]~42878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1142][6]~42878_combout\ = (\led_flash_cnt[1142][6]~q\ & (!\led_flash_cnt[1142][5]~42877\)) # (!\led_flash_cnt[1142][6]~q\ & ((\led_flash_cnt[1142][5]~42877\) # (GND)))
-- \led_flash_cnt[1142][6]~42879\ = CARRY((!\led_flash_cnt[1142][5]~42877\) # (!\led_flash_cnt[1142][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1142][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1142][5]~42877\,
	combout => \led_flash_cnt[1142][6]~42878_combout\,
	cout => \led_flash_cnt[1142][6]~42879\);

-- Location: FF_X6_Y12_N21
\led_flash_cnt[1142][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1142][6]~42878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1142][6]~q\);

-- Location: LCCOMB_X6_Y12_N26
\WideAnd1142~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1142~1_combout\ = (\led_flash_cnt[1142][5]~q\ & \led_flash_cnt[1142][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1142][5]~q\,
	datad => \led_flash_cnt[1142][6]~q\,
	combout => \WideAnd1142~1_combout\);

-- Location: LCCOMB_X6_Y12_N22
\led_flash_cnt[1142][7]~42880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1142][7]~42880_combout\ = \led_flash_cnt[1142][7]~q\ $ (!\led_flash_cnt[1142][6]~42879\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1142][7]~q\,
	cin => \led_flash_cnt[1142][6]~42879\,
	combout => \led_flash_cnt[1142][7]~42880_combout\);

-- Location: FF_X6_Y12_N23
\led_flash_cnt[1142][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1142][7]~42880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1142][7]~q\);

-- Location: LCCOMB_X6_Y12_N28
\WideAnd1142~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1142~0_combout\ = (\led_flash_cnt[1142][2]~q\ & (\led_flash_cnt[1142][4]~q\ & (\led_flash_cnt[1142][3]~q\ & \led_flash_cnt[1142][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1142][2]~q\,
	datab => \led_flash_cnt[1142][4]~q\,
	datac => \led_flash_cnt[1142][3]~q\,
	datad => \led_flash_cnt[1142][1]~q\,
	combout => \WideAnd1142~0_combout\);

-- Location: LCCOMB_X6_Y12_N2
WideAnd1142 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1142~combout\ = (\WideAnd1142~1_combout\ & (\led_flash_cnt[1142][0]~q\ & (\led_flash_cnt[1142][7]~q\ & \WideAnd1142~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1142~1_combout\,
	datab => \led_flash_cnt[1142][0]~q\,
	datac => \led_flash_cnt[1142][7]~q\,
	datad => \WideAnd1142~0_combout\,
	combout => \WideAnd1142~combout\);

-- Location: FF_X6_Y12_N3
\led_flash_cnt_ands[1142]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1142~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1142));

-- Location: LCCOMB_X6_Y12_N4
WideAnd3982 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3982~combout\ = (led_flash_cnt_ands(1143) & (\WideAnd3982~1_combout\ & (\WideAnd3982~0_combout\ & led_flash_cnt_ands(1142))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1143),
	datab => \WideAnd3982~1_combout\,
	datac => \WideAnd3982~0_combout\,
	datad => led_flash_cnt_ands(1142),
	combout => \WideAnd3982~combout\);

-- Location: FF_X6_Y12_N5
\led_flash_cnt_ands_1[142]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3982~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(142));

-- Location: LCCOMB_X3_Y30_N10
\led_flash_cnt[1124][0]~81764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1124][0]~81764_combout\ = !\led_flash_cnt[1124][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1124][0]~q\,
	combout => \led_flash_cnt[1124][0]~81764_combout\);

-- Location: FF_X3_Y30_N11
\led_flash_cnt[1124][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1124][0]~81764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1124][0]~q\);

-- Location: LCCOMB_X3_Y30_N16
\led_flash_cnt[1124][1]~42616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1124][1]~42616_combout\ = (\led_flash_cnt[1124][0]~q\ & (\led_flash_cnt[1124][1]~q\ $ (VCC))) # (!\led_flash_cnt[1124][0]~q\ & (\led_flash_cnt[1124][1]~q\ & VCC))
-- \led_flash_cnt[1124][1]~42617\ = CARRY((\led_flash_cnt[1124][0]~q\ & \led_flash_cnt[1124][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1124][0]~q\,
	datab => \led_flash_cnt[1124][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1124][1]~42616_combout\,
	cout => \led_flash_cnt[1124][1]~42617\);

-- Location: FF_X3_Y30_N17
\led_flash_cnt[1124][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1124][1]~42616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1124][1]~q\);

-- Location: LCCOMB_X3_Y30_N18
\led_flash_cnt[1124][2]~42618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1124][2]~42618_combout\ = (\led_flash_cnt[1124][2]~q\ & (!\led_flash_cnt[1124][1]~42617\)) # (!\led_flash_cnt[1124][2]~q\ & ((\led_flash_cnt[1124][1]~42617\) # (GND)))
-- \led_flash_cnt[1124][2]~42619\ = CARRY((!\led_flash_cnt[1124][1]~42617\) # (!\led_flash_cnt[1124][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1124][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1124][1]~42617\,
	combout => \led_flash_cnt[1124][2]~42618_combout\,
	cout => \led_flash_cnt[1124][2]~42619\);

-- Location: FF_X3_Y30_N19
\led_flash_cnt[1124][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1124][2]~42618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1124][2]~q\);

-- Location: LCCOMB_X3_Y30_N20
\led_flash_cnt[1124][3]~42620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1124][3]~42620_combout\ = (\led_flash_cnt[1124][3]~q\ & (\led_flash_cnt[1124][2]~42619\ $ (GND))) # (!\led_flash_cnt[1124][3]~q\ & (!\led_flash_cnt[1124][2]~42619\ & VCC))
-- \led_flash_cnt[1124][3]~42621\ = CARRY((\led_flash_cnt[1124][3]~q\ & !\led_flash_cnt[1124][2]~42619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1124][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1124][2]~42619\,
	combout => \led_flash_cnt[1124][3]~42620_combout\,
	cout => \led_flash_cnt[1124][3]~42621\);

-- Location: FF_X3_Y30_N21
\led_flash_cnt[1124][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1124][3]~42620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1124][3]~q\);

-- Location: LCCOMB_X3_Y30_N22
\led_flash_cnt[1124][4]~42622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1124][4]~42622_combout\ = (\led_flash_cnt[1124][4]~q\ & (!\led_flash_cnt[1124][3]~42621\)) # (!\led_flash_cnt[1124][4]~q\ & ((\led_flash_cnt[1124][3]~42621\) # (GND)))
-- \led_flash_cnt[1124][4]~42623\ = CARRY((!\led_flash_cnt[1124][3]~42621\) # (!\led_flash_cnt[1124][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1124][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1124][3]~42621\,
	combout => \led_flash_cnt[1124][4]~42622_combout\,
	cout => \led_flash_cnt[1124][4]~42623\);

-- Location: FF_X3_Y30_N23
\led_flash_cnt[1124][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1124][4]~42622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1124][4]~q\);

-- Location: LCCOMB_X3_Y30_N24
\led_flash_cnt[1124][5]~42624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1124][5]~42624_combout\ = (\led_flash_cnt[1124][5]~q\ & (\led_flash_cnt[1124][4]~42623\ $ (GND))) # (!\led_flash_cnt[1124][5]~q\ & (!\led_flash_cnt[1124][4]~42623\ & VCC))
-- \led_flash_cnt[1124][5]~42625\ = CARRY((\led_flash_cnt[1124][5]~q\ & !\led_flash_cnt[1124][4]~42623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1124][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1124][4]~42623\,
	combout => \led_flash_cnt[1124][5]~42624_combout\,
	cout => \led_flash_cnt[1124][5]~42625\);

-- Location: FF_X3_Y30_N25
\led_flash_cnt[1124][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1124][5]~42624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1124][5]~q\);

-- Location: LCCOMB_X3_Y30_N26
\led_flash_cnt[1124][6]~42626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1124][6]~42626_combout\ = (\led_flash_cnt[1124][6]~q\ & (!\led_flash_cnt[1124][5]~42625\)) # (!\led_flash_cnt[1124][6]~q\ & ((\led_flash_cnt[1124][5]~42625\) # (GND)))
-- \led_flash_cnt[1124][6]~42627\ = CARRY((!\led_flash_cnt[1124][5]~42625\) # (!\led_flash_cnt[1124][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1124][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1124][5]~42625\,
	combout => \led_flash_cnt[1124][6]~42626_combout\,
	cout => \led_flash_cnt[1124][6]~42627\);

-- Location: FF_X3_Y30_N27
\led_flash_cnt[1124][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1124][6]~42626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1124][6]~q\);

-- Location: LCCOMB_X3_Y30_N28
\led_flash_cnt[1124][7]~42628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1124][7]~42628_combout\ = \led_flash_cnt[1124][6]~42627\ $ (!\led_flash_cnt[1124][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1124][7]~q\,
	cin => \led_flash_cnt[1124][6]~42627\,
	combout => \led_flash_cnt[1124][7]~42628_combout\);

-- Location: FF_X3_Y30_N29
\led_flash_cnt[1124][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1124][7]~42628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1124][7]~q\);

-- Location: LCCOMB_X3_Y30_N30
\WideAnd1124~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1124~1_combout\ = (\led_flash_cnt[1124][6]~q\ & \led_flash_cnt[1124][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1124][6]~q\,
	datad => \led_flash_cnt[1124][5]~q\,
	combout => \WideAnd1124~1_combout\);

-- Location: LCCOMB_X3_Y30_N0
\WideAnd1124~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1124~0_combout\ = (\led_flash_cnt[1124][3]~q\ & (\led_flash_cnt[1124][2]~q\ & (\led_flash_cnt[1124][4]~q\ & \led_flash_cnt[1124][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1124][3]~q\,
	datab => \led_flash_cnt[1124][2]~q\,
	datac => \led_flash_cnt[1124][4]~q\,
	datad => \led_flash_cnt[1124][1]~q\,
	combout => \WideAnd1124~0_combout\);

-- Location: LCCOMB_X3_Y30_N4
WideAnd1124 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1124~combout\ = (\led_flash_cnt[1124][0]~q\ & (\led_flash_cnt[1124][7]~q\ & (\WideAnd1124~1_combout\ & \WideAnd1124~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1124][0]~q\,
	datab => \led_flash_cnt[1124][7]~q\,
	datac => \WideAnd1124~1_combout\,
	datad => \WideAnd1124~0_combout\,
	combout => \WideAnd1124~combout\);

-- Location: FF_X3_Y30_N5
\led_flash_cnt_ands[1124]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1124~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1124));

-- Location: LCCOMB_X3_Y30_N2
\led_flash_cnt[1125][0]~81765\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1125][0]~81765_combout\ = !\led_flash_cnt[1125][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1125][0]~q\,
	combout => \led_flash_cnt[1125][0]~81765_combout\);

-- Location: FF_X3_Y30_N3
\led_flash_cnt[1125][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1125][0]~81765_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1125][0]~q\);

-- Location: LCCOMB_X2_Y30_N0
\led_flash_cnt[1125][1]~42630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1125][1]~42630_combout\ = (\led_flash_cnt[1125][0]~q\ & (\led_flash_cnt[1125][1]~q\ $ (VCC))) # (!\led_flash_cnt[1125][0]~q\ & (\led_flash_cnt[1125][1]~q\ & VCC))
-- \led_flash_cnt[1125][1]~42631\ = CARRY((\led_flash_cnt[1125][0]~q\ & \led_flash_cnt[1125][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1125][0]~q\,
	datab => \led_flash_cnt[1125][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1125][1]~42630_combout\,
	cout => \led_flash_cnt[1125][1]~42631\);

-- Location: FF_X2_Y30_N1
\led_flash_cnt[1125][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1125][1]~42630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1125][1]~q\);

-- Location: LCCOMB_X2_Y30_N2
\led_flash_cnt[1125][2]~42632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1125][2]~42632_combout\ = (\led_flash_cnt[1125][2]~q\ & (!\led_flash_cnt[1125][1]~42631\)) # (!\led_flash_cnt[1125][2]~q\ & ((\led_flash_cnt[1125][1]~42631\) # (GND)))
-- \led_flash_cnt[1125][2]~42633\ = CARRY((!\led_flash_cnt[1125][1]~42631\) # (!\led_flash_cnt[1125][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1125][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1125][1]~42631\,
	combout => \led_flash_cnt[1125][2]~42632_combout\,
	cout => \led_flash_cnt[1125][2]~42633\);

-- Location: FF_X2_Y30_N3
\led_flash_cnt[1125][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1125][2]~42632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1125][2]~q\);

-- Location: LCCOMB_X2_Y30_N4
\led_flash_cnt[1125][3]~42634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1125][3]~42634_combout\ = (\led_flash_cnt[1125][3]~q\ & (\led_flash_cnt[1125][2]~42633\ $ (GND))) # (!\led_flash_cnt[1125][3]~q\ & (!\led_flash_cnt[1125][2]~42633\ & VCC))
-- \led_flash_cnt[1125][3]~42635\ = CARRY((\led_flash_cnt[1125][3]~q\ & !\led_flash_cnt[1125][2]~42633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1125][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1125][2]~42633\,
	combout => \led_flash_cnt[1125][3]~42634_combout\,
	cout => \led_flash_cnt[1125][3]~42635\);

-- Location: FF_X2_Y30_N5
\led_flash_cnt[1125][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1125][3]~42634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1125][3]~q\);

-- Location: LCCOMB_X2_Y30_N6
\led_flash_cnt[1125][4]~42636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1125][4]~42636_combout\ = (\led_flash_cnt[1125][4]~q\ & (!\led_flash_cnt[1125][3]~42635\)) # (!\led_flash_cnt[1125][4]~q\ & ((\led_flash_cnt[1125][3]~42635\) # (GND)))
-- \led_flash_cnt[1125][4]~42637\ = CARRY((!\led_flash_cnt[1125][3]~42635\) # (!\led_flash_cnt[1125][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1125][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1125][3]~42635\,
	combout => \led_flash_cnt[1125][4]~42636_combout\,
	cout => \led_flash_cnt[1125][4]~42637\);

-- Location: FF_X2_Y30_N7
\led_flash_cnt[1125][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1125][4]~42636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1125][4]~q\);

-- Location: LCCOMB_X2_Y30_N8
\led_flash_cnt[1125][5]~42638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1125][5]~42638_combout\ = (\led_flash_cnt[1125][5]~q\ & (\led_flash_cnt[1125][4]~42637\ $ (GND))) # (!\led_flash_cnt[1125][5]~q\ & (!\led_flash_cnt[1125][4]~42637\ & VCC))
-- \led_flash_cnt[1125][5]~42639\ = CARRY((\led_flash_cnt[1125][5]~q\ & !\led_flash_cnt[1125][4]~42637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1125][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1125][4]~42637\,
	combout => \led_flash_cnt[1125][5]~42638_combout\,
	cout => \led_flash_cnt[1125][5]~42639\);

-- Location: FF_X2_Y30_N9
\led_flash_cnt[1125][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1125][5]~42638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1125][5]~q\);

-- Location: LCCOMB_X2_Y30_N10
\led_flash_cnt[1125][6]~42640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1125][6]~42640_combout\ = (\led_flash_cnt[1125][6]~q\ & (!\led_flash_cnt[1125][5]~42639\)) # (!\led_flash_cnt[1125][6]~q\ & ((\led_flash_cnt[1125][5]~42639\) # (GND)))
-- \led_flash_cnt[1125][6]~42641\ = CARRY((!\led_flash_cnt[1125][5]~42639\) # (!\led_flash_cnt[1125][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1125][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1125][5]~42639\,
	combout => \led_flash_cnt[1125][6]~42640_combout\,
	cout => \led_flash_cnt[1125][6]~42641\);

-- Location: FF_X2_Y30_N11
\led_flash_cnt[1125][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1125][6]~42640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1125][6]~q\);

-- Location: LCCOMB_X2_Y30_N12
\led_flash_cnt[1125][7]~42642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1125][7]~42642_combout\ = \led_flash_cnt[1125][6]~42641\ $ (!\led_flash_cnt[1125][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1125][7]~q\,
	cin => \led_flash_cnt[1125][6]~42641\,
	combout => \led_flash_cnt[1125][7]~42642_combout\);

-- Location: FF_X2_Y30_N13
\led_flash_cnt[1125][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1125][7]~42642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1125][7]~q\);

-- Location: LCCOMB_X2_Y30_N16
\WideAnd1125~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1125~0_combout\ = (\led_flash_cnt[1125][4]~q\ & (\led_flash_cnt[1125][2]~q\ & (\led_flash_cnt[1125][3]~q\ & \led_flash_cnt[1125][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1125][4]~q\,
	datab => \led_flash_cnt[1125][2]~q\,
	datac => \led_flash_cnt[1125][3]~q\,
	datad => \led_flash_cnt[1125][1]~q\,
	combout => \WideAnd1125~0_combout\);

-- Location: LCCOMB_X3_Y30_N12
\WideAnd1125~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1125~1_combout\ = (\led_flash_cnt[1125][5]~q\ & \led_flash_cnt[1125][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1125][5]~q\,
	datad => \led_flash_cnt[1125][6]~q\,
	combout => \WideAnd1125~1_combout\);

-- Location: LCCOMB_X3_Y30_N14
WideAnd1125 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1125~combout\ = (\led_flash_cnt[1125][7]~q\ & (\led_flash_cnt[1125][0]~q\ & (\WideAnd1125~0_combout\ & \WideAnd1125~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1125][7]~q\,
	datab => \led_flash_cnt[1125][0]~q\,
	datac => \WideAnd1125~0_combout\,
	datad => \WideAnd1125~1_combout\,
	combout => \WideAnd1125~combout\);

-- Location: FF_X3_Y30_N15
\led_flash_cnt_ands[1125]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1125~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1125));

-- Location: LCCOMB_X7_Y30_N30
\WideAnd3980~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3980~1_combout\ = (led_flash_cnt_ands(1124) & led_flash_cnt_ands(1125))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1124),
	datad => led_flash_cnt_ands(1125),
	combout => \WideAnd3980~1_combout\);

-- Location: LCCOMB_X7_Y29_N22
\led_flash_cnt[1126][0]~81766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1126][0]~81766_combout\ = !\led_flash_cnt[1126][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1126][0]~q\,
	combout => \led_flash_cnt[1126][0]~81766_combout\);

-- Location: FF_X7_Y29_N23
\led_flash_cnt[1126][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1126][0]~81766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1126][0]~q\);

-- Location: LCCOMB_X7_Y29_N2
\led_flash_cnt[1126][1]~42644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1126][1]~42644_combout\ = (\led_flash_cnt[1126][0]~q\ & (\led_flash_cnt[1126][1]~q\ $ (VCC))) # (!\led_flash_cnt[1126][0]~q\ & (\led_flash_cnt[1126][1]~q\ & VCC))
-- \led_flash_cnt[1126][1]~42645\ = CARRY((\led_flash_cnt[1126][0]~q\ & \led_flash_cnt[1126][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1126][0]~q\,
	datab => \led_flash_cnt[1126][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1126][1]~42644_combout\,
	cout => \led_flash_cnt[1126][1]~42645\);

-- Location: FF_X7_Y29_N3
\led_flash_cnt[1126][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1126][1]~42644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1126][1]~q\);

-- Location: LCCOMB_X7_Y29_N4
\led_flash_cnt[1126][2]~42646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1126][2]~42646_combout\ = (\led_flash_cnt[1126][2]~q\ & (!\led_flash_cnt[1126][1]~42645\)) # (!\led_flash_cnt[1126][2]~q\ & ((\led_flash_cnt[1126][1]~42645\) # (GND)))
-- \led_flash_cnt[1126][2]~42647\ = CARRY((!\led_flash_cnt[1126][1]~42645\) # (!\led_flash_cnt[1126][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1126][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1126][1]~42645\,
	combout => \led_flash_cnt[1126][2]~42646_combout\,
	cout => \led_flash_cnt[1126][2]~42647\);

-- Location: FF_X7_Y29_N5
\led_flash_cnt[1126][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1126][2]~42646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1126][2]~q\);

-- Location: LCCOMB_X7_Y29_N6
\led_flash_cnt[1126][3]~42648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1126][3]~42648_combout\ = (\led_flash_cnt[1126][3]~q\ & (\led_flash_cnt[1126][2]~42647\ $ (GND))) # (!\led_flash_cnt[1126][3]~q\ & (!\led_flash_cnt[1126][2]~42647\ & VCC))
-- \led_flash_cnt[1126][3]~42649\ = CARRY((\led_flash_cnt[1126][3]~q\ & !\led_flash_cnt[1126][2]~42647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1126][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1126][2]~42647\,
	combout => \led_flash_cnt[1126][3]~42648_combout\,
	cout => \led_flash_cnt[1126][3]~42649\);

-- Location: FF_X7_Y29_N7
\led_flash_cnt[1126][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1126][3]~42648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1126][3]~q\);

-- Location: LCCOMB_X7_Y29_N8
\led_flash_cnt[1126][4]~42650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1126][4]~42650_combout\ = (\led_flash_cnt[1126][4]~q\ & (!\led_flash_cnt[1126][3]~42649\)) # (!\led_flash_cnt[1126][4]~q\ & ((\led_flash_cnt[1126][3]~42649\) # (GND)))
-- \led_flash_cnt[1126][4]~42651\ = CARRY((!\led_flash_cnt[1126][3]~42649\) # (!\led_flash_cnt[1126][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1126][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1126][3]~42649\,
	combout => \led_flash_cnt[1126][4]~42650_combout\,
	cout => \led_flash_cnt[1126][4]~42651\);

-- Location: FF_X7_Y29_N9
\led_flash_cnt[1126][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1126][4]~42650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1126][4]~q\);

-- Location: LCCOMB_X7_Y29_N10
\led_flash_cnt[1126][5]~42652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1126][5]~42652_combout\ = (\led_flash_cnt[1126][5]~q\ & (\led_flash_cnt[1126][4]~42651\ $ (GND))) # (!\led_flash_cnt[1126][5]~q\ & (!\led_flash_cnt[1126][4]~42651\ & VCC))
-- \led_flash_cnt[1126][5]~42653\ = CARRY((\led_flash_cnt[1126][5]~q\ & !\led_flash_cnt[1126][4]~42651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1126][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1126][4]~42651\,
	combout => \led_flash_cnt[1126][5]~42652_combout\,
	cout => \led_flash_cnt[1126][5]~42653\);

-- Location: FF_X7_Y29_N11
\led_flash_cnt[1126][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1126][5]~42652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1126][5]~q\);

-- Location: LCCOMB_X7_Y29_N12
\led_flash_cnt[1126][6]~42654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1126][6]~42654_combout\ = (\led_flash_cnt[1126][6]~q\ & (!\led_flash_cnt[1126][5]~42653\)) # (!\led_flash_cnt[1126][6]~q\ & ((\led_flash_cnt[1126][5]~42653\) # (GND)))
-- \led_flash_cnt[1126][6]~42655\ = CARRY((!\led_flash_cnt[1126][5]~42653\) # (!\led_flash_cnt[1126][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1126][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1126][5]~42653\,
	combout => \led_flash_cnt[1126][6]~42654_combout\,
	cout => \led_flash_cnt[1126][6]~42655\);

-- Location: FF_X7_Y29_N13
\led_flash_cnt[1126][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1126][6]~42654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1126][6]~q\);

-- Location: LCCOMB_X7_Y29_N30
\WideAnd1126~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1126~1_combout\ = (\led_flash_cnt[1126][6]~q\ & \led_flash_cnt[1126][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1126][6]~q\,
	datad => \led_flash_cnt[1126][5]~q\,
	combout => \WideAnd1126~1_combout\);

-- Location: LCCOMB_X7_Y29_N14
\led_flash_cnt[1126][7]~42656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1126][7]~42656_combout\ = \led_flash_cnt[1126][7]~q\ $ (!\led_flash_cnt[1126][6]~42655\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1126][7]~q\,
	cin => \led_flash_cnt[1126][6]~42655\,
	combout => \led_flash_cnt[1126][7]~42656_combout\);

-- Location: FF_X7_Y29_N15
\led_flash_cnt[1126][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1126][7]~42656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1126][7]~q\);

-- Location: LCCOMB_X7_Y29_N18
\WideAnd1126~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1126~0_combout\ = (\led_flash_cnt[1126][3]~q\ & (\led_flash_cnt[1126][4]~q\ & (\led_flash_cnt[1126][2]~q\ & \led_flash_cnt[1126][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1126][3]~q\,
	datab => \led_flash_cnt[1126][4]~q\,
	datac => \led_flash_cnt[1126][2]~q\,
	datad => \led_flash_cnt[1126][1]~q\,
	combout => \WideAnd1126~0_combout\);

-- Location: LCCOMB_X7_Y29_N24
WideAnd1126 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1126~combout\ = (\WideAnd1126~1_combout\ & (\led_flash_cnt[1126][7]~q\ & (\led_flash_cnt[1126][0]~q\ & \WideAnd1126~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1126~1_combout\,
	datab => \led_flash_cnt[1126][7]~q\,
	datac => \led_flash_cnt[1126][0]~q\,
	datad => \WideAnd1126~0_combout\,
	combout => \WideAnd1126~combout\);

-- Location: FF_X7_Y29_N25
\led_flash_cnt_ands[1126]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1126~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1126));

-- Location: LCCOMB_X3_Y33_N4
\led_flash_cnt[1127][0]~81767\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1127][0]~81767_combout\ = !\led_flash_cnt[1127][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1127][0]~q\,
	combout => \led_flash_cnt[1127][0]~81767_combout\);

-- Location: FF_X3_Y33_N5
\led_flash_cnt[1127][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1127][0]~81767_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1127][0]~q\);

-- Location: LCCOMB_X7_Y33_N18
\led_flash_cnt[1127][1]~42658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1127][1]~42658_combout\ = (\led_flash_cnt[1127][0]~q\ & (\led_flash_cnt[1127][1]~q\ $ (VCC))) # (!\led_flash_cnt[1127][0]~q\ & (\led_flash_cnt[1127][1]~q\ & VCC))
-- \led_flash_cnt[1127][1]~42659\ = CARRY((\led_flash_cnt[1127][0]~q\ & \led_flash_cnt[1127][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1127][0]~q\,
	datab => \led_flash_cnt[1127][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1127][1]~42658_combout\,
	cout => \led_flash_cnt[1127][1]~42659\);

-- Location: FF_X7_Y33_N19
\led_flash_cnt[1127][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1127][1]~42658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1127][1]~q\);

-- Location: LCCOMB_X7_Y33_N20
\led_flash_cnt[1127][2]~42660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1127][2]~42660_combout\ = (\led_flash_cnt[1127][2]~q\ & (!\led_flash_cnt[1127][1]~42659\)) # (!\led_flash_cnt[1127][2]~q\ & ((\led_flash_cnt[1127][1]~42659\) # (GND)))
-- \led_flash_cnt[1127][2]~42661\ = CARRY((!\led_flash_cnt[1127][1]~42659\) # (!\led_flash_cnt[1127][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1127][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1127][1]~42659\,
	combout => \led_flash_cnt[1127][2]~42660_combout\,
	cout => \led_flash_cnt[1127][2]~42661\);

-- Location: FF_X7_Y33_N21
\led_flash_cnt[1127][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1127][2]~42660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1127][2]~q\);

-- Location: LCCOMB_X7_Y33_N22
\led_flash_cnt[1127][3]~42662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1127][3]~42662_combout\ = (\led_flash_cnt[1127][3]~q\ & (\led_flash_cnt[1127][2]~42661\ $ (GND))) # (!\led_flash_cnt[1127][3]~q\ & (!\led_flash_cnt[1127][2]~42661\ & VCC))
-- \led_flash_cnt[1127][3]~42663\ = CARRY((\led_flash_cnt[1127][3]~q\ & !\led_flash_cnt[1127][2]~42661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1127][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1127][2]~42661\,
	combout => \led_flash_cnt[1127][3]~42662_combout\,
	cout => \led_flash_cnt[1127][3]~42663\);

-- Location: FF_X7_Y33_N23
\led_flash_cnt[1127][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1127][3]~42662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1127][3]~q\);

-- Location: LCCOMB_X7_Y33_N24
\led_flash_cnt[1127][4]~42664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1127][4]~42664_combout\ = (\led_flash_cnt[1127][4]~q\ & (!\led_flash_cnt[1127][3]~42663\)) # (!\led_flash_cnt[1127][4]~q\ & ((\led_flash_cnt[1127][3]~42663\) # (GND)))
-- \led_flash_cnt[1127][4]~42665\ = CARRY((!\led_flash_cnt[1127][3]~42663\) # (!\led_flash_cnt[1127][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1127][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1127][3]~42663\,
	combout => \led_flash_cnt[1127][4]~42664_combout\,
	cout => \led_flash_cnt[1127][4]~42665\);

-- Location: FF_X7_Y33_N25
\led_flash_cnt[1127][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1127][4]~42664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1127][4]~q\);

-- Location: LCCOMB_X7_Y33_N26
\led_flash_cnt[1127][5]~42666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1127][5]~42666_combout\ = (\led_flash_cnt[1127][5]~q\ & (\led_flash_cnt[1127][4]~42665\ $ (GND))) # (!\led_flash_cnt[1127][5]~q\ & (!\led_flash_cnt[1127][4]~42665\ & VCC))
-- \led_flash_cnt[1127][5]~42667\ = CARRY((\led_flash_cnt[1127][5]~q\ & !\led_flash_cnt[1127][4]~42665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1127][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1127][4]~42665\,
	combout => \led_flash_cnt[1127][5]~42666_combout\,
	cout => \led_flash_cnt[1127][5]~42667\);

-- Location: FF_X7_Y33_N27
\led_flash_cnt[1127][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1127][5]~42666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1127][5]~q\);

-- Location: LCCOMB_X7_Y33_N28
\led_flash_cnt[1127][6]~42668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1127][6]~42668_combout\ = (\led_flash_cnt[1127][6]~q\ & (!\led_flash_cnt[1127][5]~42667\)) # (!\led_flash_cnt[1127][6]~q\ & ((\led_flash_cnt[1127][5]~42667\) # (GND)))
-- \led_flash_cnt[1127][6]~42669\ = CARRY((!\led_flash_cnt[1127][5]~42667\) # (!\led_flash_cnt[1127][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1127][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1127][5]~42667\,
	combout => \led_flash_cnt[1127][6]~42668_combout\,
	cout => \led_flash_cnt[1127][6]~42669\);

-- Location: FF_X7_Y33_N29
\led_flash_cnt[1127][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1127][6]~42668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1127][6]~q\);

-- Location: LCCOMB_X6_Y33_N8
\WideAnd1127~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1127~1_combout\ = (\led_flash_cnt[1127][5]~q\ & \led_flash_cnt[1127][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1127][5]~q\,
	datad => \led_flash_cnt[1127][6]~q\,
	combout => \WideAnd1127~1_combout\);

-- Location: LCCOMB_X7_Y33_N30
\led_flash_cnt[1127][7]~42670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1127][7]~42670_combout\ = \led_flash_cnt[1127][7]~q\ $ (!\led_flash_cnt[1127][6]~42669\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1127][7]~q\,
	cin => \led_flash_cnt[1127][6]~42669\,
	combout => \led_flash_cnt[1127][7]~42670_combout\);

-- Location: FF_X7_Y33_N31
\led_flash_cnt[1127][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1127][7]~42670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1127][7]~q\);

-- Location: LCCOMB_X6_Y33_N14
\WideAnd1127~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1127~0_combout\ = (\led_flash_cnt[1127][4]~q\ & (\led_flash_cnt[1127][3]~q\ & (\led_flash_cnt[1127][2]~q\ & \led_flash_cnt[1127][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1127][4]~q\,
	datab => \led_flash_cnt[1127][3]~q\,
	datac => \led_flash_cnt[1127][2]~q\,
	datad => \led_flash_cnt[1127][1]~q\,
	combout => \WideAnd1127~0_combout\);

-- Location: LCCOMB_X7_Y33_N0
WideAnd1127 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1127~combout\ = (\WideAnd1127~1_combout\ & (\led_flash_cnt[1127][0]~q\ & (\led_flash_cnt[1127][7]~q\ & \WideAnd1127~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1127~1_combout\,
	datab => \led_flash_cnt[1127][0]~q\,
	datac => \led_flash_cnt[1127][7]~q\,
	datad => \WideAnd1127~0_combout\,
	combout => \WideAnd1127~combout\);

-- Location: FF_X7_Y33_N1
\led_flash_cnt_ands[1127]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1127~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1127));

-- Location: LCCOMB_X41_Y24_N12
\led_flash_cnt[1122][0]~81762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1122][0]~81762_combout\ = !\led_flash_cnt[1122][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1122][0]~q\,
	combout => \led_flash_cnt[1122][0]~81762_combout\);

-- Location: FF_X41_Y24_N13
\led_flash_cnt[1122][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1122][0]~81762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1122][0]~q\);

-- Location: LCCOMB_X41_Y24_N18
\led_flash_cnt[1122][1]~42588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1122][1]~42588_combout\ = (\led_flash_cnt[1122][0]~q\ & (\led_flash_cnt[1122][1]~q\ $ (VCC))) # (!\led_flash_cnt[1122][0]~q\ & (\led_flash_cnt[1122][1]~q\ & VCC))
-- \led_flash_cnt[1122][1]~42589\ = CARRY((\led_flash_cnt[1122][0]~q\ & \led_flash_cnt[1122][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1122][0]~q\,
	datab => \led_flash_cnt[1122][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1122][1]~42588_combout\,
	cout => \led_flash_cnt[1122][1]~42589\);

-- Location: FF_X41_Y24_N19
\led_flash_cnt[1122][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1122][1]~42588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1122][1]~q\);

-- Location: LCCOMB_X41_Y24_N20
\led_flash_cnt[1122][2]~42590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1122][2]~42590_combout\ = (\led_flash_cnt[1122][2]~q\ & (!\led_flash_cnt[1122][1]~42589\)) # (!\led_flash_cnt[1122][2]~q\ & ((\led_flash_cnt[1122][1]~42589\) # (GND)))
-- \led_flash_cnt[1122][2]~42591\ = CARRY((!\led_flash_cnt[1122][1]~42589\) # (!\led_flash_cnt[1122][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1122][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1122][1]~42589\,
	combout => \led_flash_cnt[1122][2]~42590_combout\,
	cout => \led_flash_cnt[1122][2]~42591\);

-- Location: FF_X41_Y24_N21
\led_flash_cnt[1122][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1122][2]~42590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1122][2]~q\);

-- Location: LCCOMB_X41_Y24_N22
\led_flash_cnt[1122][3]~42592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1122][3]~42592_combout\ = (\led_flash_cnt[1122][3]~q\ & (\led_flash_cnt[1122][2]~42591\ $ (GND))) # (!\led_flash_cnt[1122][3]~q\ & (!\led_flash_cnt[1122][2]~42591\ & VCC))
-- \led_flash_cnt[1122][3]~42593\ = CARRY((\led_flash_cnt[1122][3]~q\ & !\led_flash_cnt[1122][2]~42591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1122][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1122][2]~42591\,
	combout => \led_flash_cnt[1122][3]~42592_combout\,
	cout => \led_flash_cnt[1122][3]~42593\);

-- Location: FF_X41_Y24_N23
\led_flash_cnt[1122][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1122][3]~42592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1122][3]~q\);

-- Location: LCCOMB_X41_Y24_N24
\led_flash_cnt[1122][4]~42594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1122][4]~42594_combout\ = (\led_flash_cnt[1122][4]~q\ & (!\led_flash_cnt[1122][3]~42593\)) # (!\led_flash_cnt[1122][4]~q\ & ((\led_flash_cnt[1122][3]~42593\) # (GND)))
-- \led_flash_cnt[1122][4]~42595\ = CARRY((!\led_flash_cnt[1122][3]~42593\) # (!\led_flash_cnt[1122][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1122][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1122][3]~42593\,
	combout => \led_flash_cnt[1122][4]~42594_combout\,
	cout => \led_flash_cnt[1122][4]~42595\);

-- Location: FF_X41_Y24_N25
\led_flash_cnt[1122][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1122][4]~42594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1122][4]~q\);

-- Location: LCCOMB_X41_Y24_N26
\led_flash_cnt[1122][5]~42596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1122][5]~42596_combout\ = (\led_flash_cnt[1122][5]~q\ & (\led_flash_cnt[1122][4]~42595\ $ (GND))) # (!\led_flash_cnt[1122][5]~q\ & (!\led_flash_cnt[1122][4]~42595\ & VCC))
-- \led_flash_cnt[1122][5]~42597\ = CARRY((\led_flash_cnt[1122][5]~q\ & !\led_flash_cnt[1122][4]~42595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1122][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1122][4]~42595\,
	combout => \led_flash_cnt[1122][5]~42596_combout\,
	cout => \led_flash_cnt[1122][5]~42597\);

-- Location: FF_X41_Y24_N27
\led_flash_cnt[1122][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1122][5]~42596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1122][5]~q\);

-- Location: LCCOMB_X41_Y24_N28
\led_flash_cnt[1122][6]~42598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1122][6]~42598_combout\ = (\led_flash_cnt[1122][6]~q\ & (!\led_flash_cnt[1122][5]~42597\)) # (!\led_flash_cnt[1122][6]~q\ & ((\led_flash_cnt[1122][5]~42597\) # (GND)))
-- \led_flash_cnt[1122][6]~42599\ = CARRY((!\led_flash_cnt[1122][5]~42597\) # (!\led_flash_cnt[1122][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1122][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1122][5]~42597\,
	combout => \led_flash_cnt[1122][6]~42598_combout\,
	cout => \led_flash_cnt[1122][6]~42599\);

-- Location: FF_X41_Y24_N29
\led_flash_cnt[1122][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1122][6]~42598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1122][6]~q\);

-- Location: LCCOMB_X41_Y24_N6
\WideAnd1122~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1122~1_combout\ = (\led_flash_cnt[1122][5]~q\ & \led_flash_cnt[1122][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1122][5]~q\,
	datad => \led_flash_cnt[1122][6]~q\,
	combout => \WideAnd1122~1_combout\);

-- Location: LCCOMB_X41_Y24_N4
\WideAnd1122~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1122~0_combout\ = (\led_flash_cnt[1122][2]~q\ & (\led_flash_cnt[1122][4]~q\ & (\led_flash_cnt[1122][3]~q\ & \led_flash_cnt[1122][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1122][2]~q\,
	datab => \led_flash_cnt[1122][4]~q\,
	datac => \led_flash_cnt[1122][3]~q\,
	datad => \led_flash_cnt[1122][1]~q\,
	combout => \WideAnd1122~0_combout\);

-- Location: LCCOMB_X41_Y24_N30
\led_flash_cnt[1122][7]~42600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1122][7]~42600_combout\ = \led_flash_cnt[1122][7]~q\ $ (!\led_flash_cnt[1122][6]~42599\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1122][7]~q\,
	cin => \led_flash_cnt[1122][6]~42599\,
	combout => \led_flash_cnt[1122][7]~42600_combout\);

-- Location: FF_X41_Y24_N31
\led_flash_cnt[1122][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1122][7]~42600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1122][7]~q\);

-- Location: LCCOMB_X41_Y24_N10
WideAnd1122 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1122~combout\ = (\WideAnd1122~1_combout\ & (\WideAnd1122~0_combout\ & (\led_flash_cnt[1122][7]~q\ & \led_flash_cnt[1122][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1122~1_combout\,
	datab => \WideAnd1122~0_combout\,
	datac => \led_flash_cnt[1122][7]~q\,
	datad => \led_flash_cnt[1122][0]~q\,
	combout => \WideAnd1122~combout\);

-- Location: FF_X41_Y24_N11
\led_flash_cnt_ands[1122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1122~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1122));

-- Location: LCCOMB_X41_Y24_N8
\led_flash_cnt[1123][0]~81763\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1123][0]~81763_combout\ = !\led_flash_cnt[1123][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1123][0]~q\,
	combout => \led_flash_cnt[1123][0]~81763_combout\);

-- Location: FF_X41_Y24_N9
\led_flash_cnt[1123][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1123][0]~81763_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1123][0]~q\);

-- Location: LCCOMB_X42_Y25_N14
\led_flash_cnt[1123][1]~42602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1123][1]~42602_combout\ = (\led_flash_cnt[1123][0]~q\ & (\led_flash_cnt[1123][1]~q\ $ (VCC))) # (!\led_flash_cnt[1123][0]~q\ & (\led_flash_cnt[1123][1]~q\ & VCC))
-- \led_flash_cnt[1123][1]~42603\ = CARRY((\led_flash_cnt[1123][0]~q\ & \led_flash_cnt[1123][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1123][0]~q\,
	datab => \led_flash_cnt[1123][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1123][1]~42602_combout\,
	cout => \led_flash_cnt[1123][1]~42603\);

-- Location: FF_X42_Y25_N15
\led_flash_cnt[1123][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1123][1]~42602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1123][1]~q\);

-- Location: LCCOMB_X42_Y25_N16
\led_flash_cnt[1123][2]~42604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1123][2]~42604_combout\ = (\led_flash_cnt[1123][2]~q\ & (!\led_flash_cnt[1123][1]~42603\)) # (!\led_flash_cnt[1123][2]~q\ & ((\led_flash_cnt[1123][1]~42603\) # (GND)))
-- \led_flash_cnt[1123][2]~42605\ = CARRY((!\led_flash_cnt[1123][1]~42603\) # (!\led_flash_cnt[1123][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1123][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1123][1]~42603\,
	combout => \led_flash_cnt[1123][2]~42604_combout\,
	cout => \led_flash_cnt[1123][2]~42605\);

-- Location: FF_X42_Y25_N17
\led_flash_cnt[1123][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1123][2]~42604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1123][2]~q\);

-- Location: LCCOMB_X42_Y25_N18
\led_flash_cnt[1123][3]~42606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1123][3]~42606_combout\ = (\led_flash_cnt[1123][3]~q\ & (\led_flash_cnt[1123][2]~42605\ $ (GND))) # (!\led_flash_cnt[1123][3]~q\ & (!\led_flash_cnt[1123][2]~42605\ & VCC))
-- \led_flash_cnt[1123][3]~42607\ = CARRY((\led_flash_cnt[1123][3]~q\ & !\led_flash_cnt[1123][2]~42605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1123][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1123][2]~42605\,
	combout => \led_flash_cnt[1123][3]~42606_combout\,
	cout => \led_flash_cnt[1123][3]~42607\);

-- Location: FF_X42_Y25_N19
\led_flash_cnt[1123][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1123][3]~42606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1123][3]~q\);

-- Location: LCCOMB_X42_Y25_N20
\led_flash_cnt[1123][4]~42608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1123][4]~42608_combout\ = (\led_flash_cnt[1123][4]~q\ & (!\led_flash_cnt[1123][3]~42607\)) # (!\led_flash_cnt[1123][4]~q\ & ((\led_flash_cnt[1123][3]~42607\) # (GND)))
-- \led_flash_cnt[1123][4]~42609\ = CARRY((!\led_flash_cnt[1123][3]~42607\) # (!\led_flash_cnt[1123][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1123][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1123][3]~42607\,
	combout => \led_flash_cnt[1123][4]~42608_combout\,
	cout => \led_flash_cnt[1123][4]~42609\);

-- Location: FF_X42_Y25_N21
\led_flash_cnt[1123][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1123][4]~42608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1123][4]~q\);

-- Location: LCCOMB_X42_Y25_N22
\led_flash_cnt[1123][5]~42610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1123][5]~42610_combout\ = (\led_flash_cnt[1123][5]~q\ & (\led_flash_cnt[1123][4]~42609\ $ (GND))) # (!\led_flash_cnt[1123][5]~q\ & (!\led_flash_cnt[1123][4]~42609\ & VCC))
-- \led_flash_cnt[1123][5]~42611\ = CARRY((\led_flash_cnt[1123][5]~q\ & !\led_flash_cnt[1123][4]~42609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1123][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1123][4]~42609\,
	combout => \led_flash_cnt[1123][5]~42610_combout\,
	cout => \led_flash_cnt[1123][5]~42611\);

-- Location: FF_X42_Y25_N23
\led_flash_cnt[1123][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1123][5]~42610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1123][5]~q\);

-- Location: LCCOMB_X42_Y25_N24
\led_flash_cnt[1123][6]~42612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1123][6]~42612_combout\ = (\led_flash_cnt[1123][6]~q\ & (!\led_flash_cnt[1123][5]~42611\)) # (!\led_flash_cnt[1123][6]~q\ & ((\led_flash_cnt[1123][5]~42611\) # (GND)))
-- \led_flash_cnt[1123][6]~42613\ = CARRY((!\led_flash_cnt[1123][5]~42611\) # (!\led_flash_cnt[1123][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1123][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1123][5]~42611\,
	combout => \led_flash_cnt[1123][6]~42612_combout\,
	cout => \led_flash_cnt[1123][6]~42613\);

-- Location: FF_X42_Y25_N25
\led_flash_cnt[1123][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1123][6]~42612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1123][6]~q\);

-- Location: LCCOMB_X42_Y25_N26
\led_flash_cnt[1123][7]~42614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1123][7]~42614_combout\ = \led_flash_cnt[1123][7]~q\ $ (!\led_flash_cnt[1123][6]~42613\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1123][7]~q\,
	cin => \led_flash_cnt[1123][6]~42613\,
	combout => \led_flash_cnt[1123][7]~42614_combout\);

-- Location: FF_X42_Y25_N27
\led_flash_cnt[1123][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1123][7]~42614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1123][7]~q\);

-- Location: LCCOMB_X42_Y25_N30
\WideAnd1123~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1123~0_combout\ = (\led_flash_cnt[1123][4]~q\ & (\led_flash_cnt[1123][3]~q\ & (\led_flash_cnt[1123][1]~q\ & \led_flash_cnt[1123][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1123][4]~q\,
	datab => \led_flash_cnt[1123][3]~q\,
	datac => \led_flash_cnt[1123][1]~q\,
	datad => \led_flash_cnt[1123][2]~q\,
	combout => \WideAnd1123~0_combout\);

-- Location: LCCOMB_X42_Y24_N4
\WideAnd1123~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1123~1_combout\ = (\led_flash_cnt[1123][6]~q\ & \led_flash_cnt[1123][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1123][6]~q\,
	datad => \led_flash_cnt[1123][5]~q\,
	combout => \WideAnd1123~1_combout\);

-- Location: LCCOMB_X41_Y24_N16
WideAnd1123 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1123~combout\ = (\led_flash_cnt[1123][7]~q\ & (\WideAnd1123~0_combout\ & (\led_flash_cnt[1123][0]~q\ & \WideAnd1123~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1123][7]~q\,
	datab => \WideAnd1123~0_combout\,
	datac => \led_flash_cnt[1123][0]~q\,
	datad => \WideAnd1123~1_combout\,
	combout => \WideAnd1123~combout\);

-- Location: FF_X41_Y24_N17
\led_flash_cnt_ands[1123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1123~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1123));

-- Location: LCCOMB_X69_Y26_N8
\led_flash_cnt[1121][0]~81761\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1121][0]~81761_combout\ = !\led_flash_cnt[1121][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1121][0]~q\,
	combout => \led_flash_cnt[1121][0]~81761_combout\);

-- Location: FF_X69_Y26_N9
\led_flash_cnt[1121][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1121][0]~81761_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1121][0]~q\);

-- Location: LCCOMB_X69_Y26_N12
\led_flash_cnt[1121][1]~42574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1121][1]~42574_combout\ = (\led_flash_cnt[1121][1]~q\ & (\led_flash_cnt[1121][0]~q\ $ (VCC))) # (!\led_flash_cnt[1121][1]~q\ & (\led_flash_cnt[1121][0]~q\ & VCC))
-- \led_flash_cnt[1121][1]~42575\ = CARRY((\led_flash_cnt[1121][1]~q\ & \led_flash_cnt[1121][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1121][1]~q\,
	datab => \led_flash_cnt[1121][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1121][1]~42574_combout\,
	cout => \led_flash_cnt[1121][1]~42575\);

-- Location: FF_X69_Y26_N13
\led_flash_cnt[1121][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1121][1]~42574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1121][1]~q\);

-- Location: LCCOMB_X69_Y26_N14
\led_flash_cnt[1121][2]~42576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1121][2]~42576_combout\ = (\led_flash_cnt[1121][2]~q\ & (!\led_flash_cnt[1121][1]~42575\)) # (!\led_flash_cnt[1121][2]~q\ & ((\led_flash_cnt[1121][1]~42575\) # (GND)))
-- \led_flash_cnt[1121][2]~42577\ = CARRY((!\led_flash_cnt[1121][1]~42575\) # (!\led_flash_cnt[1121][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1121][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1121][1]~42575\,
	combout => \led_flash_cnt[1121][2]~42576_combout\,
	cout => \led_flash_cnt[1121][2]~42577\);

-- Location: FF_X69_Y26_N15
\led_flash_cnt[1121][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1121][2]~42576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1121][2]~q\);

-- Location: LCCOMB_X69_Y26_N16
\led_flash_cnt[1121][3]~42578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1121][3]~42578_combout\ = (\led_flash_cnt[1121][3]~q\ & (\led_flash_cnt[1121][2]~42577\ $ (GND))) # (!\led_flash_cnt[1121][3]~q\ & (!\led_flash_cnt[1121][2]~42577\ & VCC))
-- \led_flash_cnt[1121][3]~42579\ = CARRY((\led_flash_cnt[1121][3]~q\ & !\led_flash_cnt[1121][2]~42577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1121][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1121][2]~42577\,
	combout => \led_flash_cnt[1121][3]~42578_combout\,
	cout => \led_flash_cnt[1121][3]~42579\);

-- Location: FF_X69_Y26_N17
\led_flash_cnt[1121][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1121][3]~42578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1121][3]~q\);

-- Location: LCCOMB_X69_Y26_N18
\led_flash_cnt[1121][4]~42580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1121][4]~42580_combout\ = (\led_flash_cnt[1121][4]~q\ & (!\led_flash_cnt[1121][3]~42579\)) # (!\led_flash_cnt[1121][4]~q\ & ((\led_flash_cnt[1121][3]~42579\) # (GND)))
-- \led_flash_cnt[1121][4]~42581\ = CARRY((!\led_flash_cnt[1121][3]~42579\) # (!\led_flash_cnt[1121][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1121][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1121][3]~42579\,
	combout => \led_flash_cnt[1121][4]~42580_combout\,
	cout => \led_flash_cnt[1121][4]~42581\);

-- Location: FF_X69_Y26_N19
\led_flash_cnt[1121][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1121][4]~42580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1121][4]~q\);

-- Location: LCCOMB_X69_Y26_N26
\WideAnd1121~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1121~0_combout\ = (\led_flash_cnt[1121][1]~q\ & (\led_flash_cnt[1121][4]~q\ & (\led_flash_cnt[1121][2]~q\ & \led_flash_cnt[1121][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1121][1]~q\,
	datab => \led_flash_cnt[1121][4]~q\,
	datac => \led_flash_cnt[1121][2]~q\,
	datad => \led_flash_cnt[1121][3]~q\,
	combout => \WideAnd1121~0_combout\);

-- Location: LCCOMB_X69_Y26_N20
\led_flash_cnt[1121][5]~42582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1121][5]~42582_combout\ = (\led_flash_cnt[1121][5]~q\ & (\led_flash_cnt[1121][4]~42581\ $ (GND))) # (!\led_flash_cnt[1121][5]~q\ & (!\led_flash_cnt[1121][4]~42581\ & VCC))
-- \led_flash_cnt[1121][5]~42583\ = CARRY((\led_flash_cnt[1121][5]~q\ & !\led_flash_cnt[1121][4]~42581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1121][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1121][4]~42581\,
	combout => \led_flash_cnt[1121][5]~42582_combout\,
	cout => \led_flash_cnt[1121][5]~42583\);

-- Location: FF_X69_Y26_N21
\led_flash_cnt[1121][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1121][5]~42582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1121][5]~q\);

-- Location: LCCOMB_X69_Y26_N22
\led_flash_cnt[1121][6]~42584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1121][6]~42584_combout\ = (\led_flash_cnt[1121][6]~q\ & (!\led_flash_cnt[1121][5]~42583\)) # (!\led_flash_cnt[1121][6]~q\ & ((\led_flash_cnt[1121][5]~42583\) # (GND)))
-- \led_flash_cnt[1121][6]~42585\ = CARRY((!\led_flash_cnt[1121][5]~42583\) # (!\led_flash_cnt[1121][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1121][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1121][5]~42583\,
	combout => \led_flash_cnt[1121][6]~42584_combout\,
	cout => \led_flash_cnt[1121][6]~42585\);

-- Location: FF_X69_Y26_N23
\led_flash_cnt[1121][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1121][6]~42584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1121][6]~q\);

-- Location: LCCOMB_X69_Y26_N24
\led_flash_cnt[1121][7]~42586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1121][7]~42586_combout\ = \led_flash_cnt[1121][6]~42585\ $ (!\led_flash_cnt[1121][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1121][7]~q\,
	cin => \led_flash_cnt[1121][6]~42585\,
	combout => \led_flash_cnt[1121][7]~42586_combout\);

-- Location: FF_X69_Y26_N25
\led_flash_cnt[1121][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1121][7]~42586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1121][7]~q\);

-- Location: LCCOMB_X69_Y26_N0
\WideAnd1121~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1121~1_combout\ = (\led_flash_cnt[1121][6]~q\ & \led_flash_cnt[1121][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1121][6]~q\,
	datad => \led_flash_cnt[1121][5]~q\,
	combout => \WideAnd1121~1_combout\);

-- Location: LCCOMB_X69_Y26_N10
WideAnd1121 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1121~combout\ = (\WideAnd1121~0_combout\ & (\led_flash_cnt[1121][7]~q\ & (\led_flash_cnt[1121][0]~q\ & \WideAnd1121~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1121~0_combout\,
	datab => \led_flash_cnt[1121][7]~q\,
	datac => \led_flash_cnt[1121][0]~q\,
	datad => \WideAnd1121~1_combout\,
	combout => \WideAnd1121~combout\);

-- Location: FF_X69_Y26_N11
\led_flash_cnt_ands[1121]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1121~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1121));

-- Location: LCCOMB_X6_Y21_N26
\led_flash_cnt[1120][0]~81760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1120][0]~81760_combout\ = !\led_flash_cnt[1120][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1120][0]~q\,
	combout => \led_flash_cnt[1120][0]~81760_combout\);

-- Location: FF_X6_Y21_N27
\led_flash_cnt[1120][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1120][0]~81760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1120][0]~q\);

-- Location: LCCOMB_X6_Y21_N12
\led_flash_cnt[1120][1]~42560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1120][1]~42560_combout\ = (\led_flash_cnt[1120][0]~q\ & (\led_flash_cnt[1120][1]~q\ $ (VCC))) # (!\led_flash_cnt[1120][0]~q\ & (\led_flash_cnt[1120][1]~q\ & VCC))
-- \led_flash_cnt[1120][1]~42561\ = CARRY((\led_flash_cnt[1120][0]~q\ & \led_flash_cnt[1120][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1120][0]~q\,
	datab => \led_flash_cnt[1120][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1120][1]~42560_combout\,
	cout => \led_flash_cnt[1120][1]~42561\);

-- Location: FF_X6_Y21_N13
\led_flash_cnt[1120][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1120][1]~42560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1120][1]~q\);

-- Location: LCCOMB_X6_Y21_N14
\led_flash_cnt[1120][2]~42562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1120][2]~42562_combout\ = (\led_flash_cnt[1120][2]~q\ & (!\led_flash_cnt[1120][1]~42561\)) # (!\led_flash_cnt[1120][2]~q\ & ((\led_flash_cnt[1120][1]~42561\) # (GND)))
-- \led_flash_cnt[1120][2]~42563\ = CARRY((!\led_flash_cnt[1120][1]~42561\) # (!\led_flash_cnt[1120][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1120][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1120][1]~42561\,
	combout => \led_flash_cnt[1120][2]~42562_combout\,
	cout => \led_flash_cnt[1120][2]~42563\);

-- Location: FF_X6_Y21_N15
\led_flash_cnt[1120][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1120][2]~42562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1120][2]~q\);

-- Location: LCCOMB_X6_Y21_N16
\led_flash_cnt[1120][3]~42564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1120][3]~42564_combout\ = (\led_flash_cnt[1120][3]~q\ & (\led_flash_cnt[1120][2]~42563\ $ (GND))) # (!\led_flash_cnt[1120][3]~q\ & (!\led_flash_cnt[1120][2]~42563\ & VCC))
-- \led_flash_cnt[1120][3]~42565\ = CARRY((\led_flash_cnt[1120][3]~q\ & !\led_flash_cnt[1120][2]~42563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1120][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1120][2]~42563\,
	combout => \led_flash_cnt[1120][3]~42564_combout\,
	cout => \led_flash_cnt[1120][3]~42565\);

-- Location: FF_X6_Y21_N17
\led_flash_cnt[1120][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1120][3]~42564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1120][3]~q\);

-- Location: LCCOMB_X6_Y21_N18
\led_flash_cnt[1120][4]~42566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1120][4]~42566_combout\ = (\led_flash_cnt[1120][4]~q\ & (!\led_flash_cnt[1120][3]~42565\)) # (!\led_flash_cnt[1120][4]~q\ & ((\led_flash_cnt[1120][3]~42565\) # (GND)))
-- \led_flash_cnt[1120][4]~42567\ = CARRY((!\led_flash_cnt[1120][3]~42565\) # (!\led_flash_cnt[1120][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1120][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1120][3]~42565\,
	combout => \led_flash_cnt[1120][4]~42566_combout\,
	cout => \led_flash_cnt[1120][4]~42567\);

-- Location: FF_X6_Y21_N19
\led_flash_cnt[1120][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1120][4]~42566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1120][4]~q\);

-- Location: LCCOMB_X6_Y21_N20
\led_flash_cnt[1120][5]~42568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1120][5]~42568_combout\ = (\led_flash_cnt[1120][5]~q\ & (\led_flash_cnt[1120][4]~42567\ $ (GND))) # (!\led_flash_cnt[1120][5]~q\ & (!\led_flash_cnt[1120][4]~42567\ & VCC))
-- \led_flash_cnt[1120][5]~42569\ = CARRY((\led_flash_cnt[1120][5]~q\ & !\led_flash_cnt[1120][4]~42567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1120][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1120][4]~42567\,
	combout => \led_flash_cnt[1120][5]~42568_combout\,
	cout => \led_flash_cnt[1120][5]~42569\);

-- Location: FF_X6_Y21_N21
\led_flash_cnt[1120][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1120][5]~42568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1120][5]~q\);

-- Location: LCCOMB_X6_Y21_N22
\led_flash_cnt[1120][6]~42570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1120][6]~42570_combout\ = (\led_flash_cnt[1120][6]~q\ & (!\led_flash_cnt[1120][5]~42569\)) # (!\led_flash_cnt[1120][6]~q\ & ((\led_flash_cnt[1120][5]~42569\) # (GND)))
-- \led_flash_cnt[1120][6]~42571\ = CARRY((!\led_flash_cnt[1120][5]~42569\) # (!\led_flash_cnt[1120][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1120][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1120][5]~42569\,
	combout => \led_flash_cnt[1120][6]~42570_combout\,
	cout => \led_flash_cnt[1120][6]~42571\);

-- Location: FF_X6_Y21_N23
\led_flash_cnt[1120][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1120][6]~42570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1120][6]~q\);

-- Location: LCCOMB_X6_Y21_N10
\WideAnd1120~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1120~1_combout\ = (\led_flash_cnt[1120][6]~q\ & \led_flash_cnt[1120][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1120][6]~q\,
	datad => \led_flash_cnt[1120][5]~q\,
	combout => \WideAnd1120~1_combout\);

-- Location: LCCOMB_X6_Y21_N24
\led_flash_cnt[1120][7]~42572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1120][7]~42572_combout\ = \led_flash_cnt[1120][6]~42571\ $ (!\led_flash_cnt[1120][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1120][7]~q\,
	cin => \led_flash_cnt[1120][6]~42571\,
	combout => \led_flash_cnt[1120][7]~42572_combout\);

-- Location: FF_X6_Y21_N25
\led_flash_cnt[1120][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1120][7]~42572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1120][7]~q\);

-- Location: LCCOMB_X6_Y21_N0
\WideAnd1120~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1120~0_combout\ = (\led_flash_cnt[1120][1]~q\ & (\led_flash_cnt[1120][4]~q\ & (\led_flash_cnt[1120][2]~q\ & \led_flash_cnt[1120][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1120][1]~q\,
	datab => \led_flash_cnt[1120][4]~q\,
	datac => \led_flash_cnt[1120][2]~q\,
	datad => \led_flash_cnt[1120][3]~q\,
	combout => \WideAnd1120~0_combout\);

-- Location: LCCOMB_X6_Y21_N8
WideAnd1120 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1120~combout\ = (\WideAnd1120~1_combout\ & (\led_flash_cnt[1120][7]~q\ & (\led_flash_cnt[1120][0]~q\ & \WideAnd1120~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1120~1_combout\,
	datab => \led_flash_cnt[1120][7]~q\,
	datac => \led_flash_cnt[1120][0]~q\,
	datad => \WideAnd1120~0_combout\,
	combout => \WideAnd1120~combout\);

-- Location: FF_X6_Y21_N9
\led_flash_cnt_ands[1120]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1120~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1120));

-- Location: LCCOMB_X41_Y24_N0
\WideAnd3980~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3980~0_combout\ = (led_flash_cnt_ands(1122) & (led_flash_cnt_ands(1123) & (led_flash_cnt_ands(1121) & led_flash_cnt_ands(1120))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1122),
	datab => led_flash_cnt_ands(1123),
	datac => led_flash_cnt_ands(1121),
	datad => led_flash_cnt_ands(1120),
	combout => \WideAnd3980~0_combout\);

-- Location: LCCOMB_X7_Y29_N28
WideAnd3980 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3980~combout\ = (\WideAnd3980~1_combout\ & (led_flash_cnt_ands(1126) & (led_flash_cnt_ands(1127) & \WideAnd3980~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3980~1_combout\,
	datab => led_flash_cnt_ands(1126),
	datac => led_flash_cnt_ands(1127),
	datad => \WideAnd3980~0_combout\,
	combout => \WideAnd3980~combout\);

-- Location: FF_X7_Y29_N29
\led_flash_cnt_ands_1[140]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3980~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(140));

-- Location: LCCOMB_X6_Y25_N2
\led_flash_cnt[1133][0]~81773\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1133][0]~81773_combout\ = !\led_flash_cnt[1133][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1133][0]~q\,
	combout => \led_flash_cnt[1133][0]~81773_combout\);

-- Location: FF_X6_Y25_N3
\led_flash_cnt[1133][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1133][0]~81773_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1133][0]~q\);

-- Location: LCCOMB_X7_Y25_N18
\led_flash_cnt[1133][1]~42742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1133][1]~42742_combout\ = (\led_flash_cnt[1133][0]~q\ & (\led_flash_cnt[1133][1]~q\ $ (VCC))) # (!\led_flash_cnt[1133][0]~q\ & (\led_flash_cnt[1133][1]~q\ & VCC))
-- \led_flash_cnt[1133][1]~42743\ = CARRY((\led_flash_cnt[1133][0]~q\ & \led_flash_cnt[1133][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1133][0]~q\,
	datab => \led_flash_cnt[1133][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1133][1]~42742_combout\,
	cout => \led_flash_cnt[1133][1]~42743\);

-- Location: FF_X7_Y25_N19
\led_flash_cnt[1133][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1133][1]~42742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1133][1]~q\);

-- Location: LCCOMB_X7_Y25_N20
\led_flash_cnt[1133][2]~42744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1133][2]~42744_combout\ = (\led_flash_cnt[1133][2]~q\ & (!\led_flash_cnt[1133][1]~42743\)) # (!\led_flash_cnt[1133][2]~q\ & ((\led_flash_cnt[1133][1]~42743\) # (GND)))
-- \led_flash_cnt[1133][2]~42745\ = CARRY((!\led_flash_cnt[1133][1]~42743\) # (!\led_flash_cnt[1133][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1133][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1133][1]~42743\,
	combout => \led_flash_cnt[1133][2]~42744_combout\,
	cout => \led_flash_cnt[1133][2]~42745\);

-- Location: FF_X7_Y25_N21
\led_flash_cnt[1133][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1133][2]~42744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1133][2]~q\);

-- Location: LCCOMB_X7_Y25_N22
\led_flash_cnt[1133][3]~42746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1133][3]~42746_combout\ = (\led_flash_cnt[1133][3]~q\ & (\led_flash_cnt[1133][2]~42745\ $ (GND))) # (!\led_flash_cnt[1133][3]~q\ & (!\led_flash_cnt[1133][2]~42745\ & VCC))
-- \led_flash_cnt[1133][3]~42747\ = CARRY((\led_flash_cnt[1133][3]~q\ & !\led_flash_cnt[1133][2]~42745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1133][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1133][2]~42745\,
	combout => \led_flash_cnt[1133][3]~42746_combout\,
	cout => \led_flash_cnt[1133][3]~42747\);

-- Location: FF_X7_Y25_N23
\led_flash_cnt[1133][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1133][3]~42746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1133][3]~q\);

-- Location: LCCOMB_X7_Y25_N24
\led_flash_cnt[1133][4]~42748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1133][4]~42748_combout\ = (\led_flash_cnt[1133][4]~q\ & (!\led_flash_cnt[1133][3]~42747\)) # (!\led_flash_cnt[1133][4]~q\ & ((\led_flash_cnt[1133][3]~42747\) # (GND)))
-- \led_flash_cnt[1133][4]~42749\ = CARRY((!\led_flash_cnt[1133][3]~42747\) # (!\led_flash_cnt[1133][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1133][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1133][3]~42747\,
	combout => \led_flash_cnt[1133][4]~42748_combout\,
	cout => \led_flash_cnt[1133][4]~42749\);

-- Location: FF_X7_Y25_N25
\led_flash_cnt[1133][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1133][4]~42748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1133][4]~q\);

-- Location: LCCOMB_X7_Y25_N26
\led_flash_cnt[1133][5]~42750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1133][5]~42750_combout\ = (\led_flash_cnt[1133][5]~q\ & (\led_flash_cnt[1133][4]~42749\ $ (GND))) # (!\led_flash_cnt[1133][5]~q\ & (!\led_flash_cnt[1133][4]~42749\ & VCC))
-- \led_flash_cnt[1133][5]~42751\ = CARRY((\led_flash_cnt[1133][5]~q\ & !\led_flash_cnt[1133][4]~42749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1133][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1133][4]~42749\,
	combout => \led_flash_cnt[1133][5]~42750_combout\,
	cout => \led_flash_cnt[1133][5]~42751\);

-- Location: FF_X7_Y25_N27
\led_flash_cnt[1133][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1133][5]~42750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1133][5]~q\);

-- Location: LCCOMB_X7_Y25_N28
\led_flash_cnt[1133][6]~42752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1133][6]~42752_combout\ = (\led_flash_cnt[1133][6]~q\ & (!\led_flash_cnt[1133][5]~42751\)) # (!\led_flash_cnt[1133][6]~q\ & ((\led_flash_cnt[1133][5]~42751\) # (GND)))
-- \led_flash_cnt[1133][6]~42753\ = CARRY((!\led_flash_cnt[1133][5]~42751\) # (!\led_flash_cnt[1133][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1133][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1133][5]~42751\,
	combout => \led_flash_cnt[1133][6]~42752_combout\,
	cout => \led_flash_cnt[1133][6]~42753\);

-- Location: FF_X7_Y25_N29
\led_flash_cnt[1133][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1133][6]~42752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1133][6]~q\);

-- Location: LCCOMB_X7_Y25_N30
\led_flash_cnt[1133][7]~42754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1133][7]~42754_combout\ = \led_flash_cnt[1133][7]~q\ $ (!\led_flash_cnt[1133][6]~42753\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1133][7]~q\,
	cin => \led_flash_cnt[1133][6]~42753\,
	combout => \led_flash_cnt[1133][7]~42754_combout\);

-- Location: FF_X7_Y25_N31
\led_flash_cnt[1133][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1133][7]~42754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1133][7]~q\);

-- Location: LCCOMB_X7_Y25_N14
\WideAnd1133~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1133~0_combout\ = (\led_flash_cnt[1133][2]~q\ & (\led_flash_cnt[1133][1]~q\ & (\led_flash_cnt[1133][3]~q\ & \led_flash_cnt[1133][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1133][2]~q\,
	datab => \led_flash_cnt[1133][1]~q\,
	datac => \led_flash_cnt[1133][3]~q\,
	datad => \led_flash_cnt[1133][4]~q\,
	combout => \WideAnd1133~0_combout\);

-- Location: LCCOMB_X6_Y25_N6
\WideAnd1133~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1133~1_combout\ = (\led_flash_cnt[1133][5]~q\ & \led_flash_cnt[1133][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1133][5]~q\,
	datad => \led_flash_cnt[1133][6]~q\,
	combout => \WideAnd1133~1_combout\);

-- Location: LCCOMB_X6_Y25_N30
WideAnd1133 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1133~combout\ = (\led_flash_cnt[1133][7]~q\ & (\led_flash_cnt[1133][0]~q\ & (\WideAnd1133~0_combout\ & \WideAnd1133~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1133][7]~q\,
	datab => \led_flash_cnt[1133][0]~q\,
	datac => \WideAnd1133~0_combout\,
	datad => \WideAnd1133~1_combout\,
	combout => \WideAnd1133~combout\);

-- Location: FF_X6_Y25_N31
\led_flash_cnt_ands[1133]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1133~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1133));

-- Location: LCCOMB_X6_Y25_N4
\led_flash_cnt[1132][0]~81772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1132][0]~81772_combout\ = !\led_flash_cnt[1132][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1132][0]~q\,
	combout => \led_flash_cnt[1132][0]~81772_combout\);

-- Location: FF_X6_Y25_N5
\led_flash_cnt[1132][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1132][0]~81772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1132][0]~q\);

-- Location: LCCOMB_X6_Y25_N10
\led_flash_cnt[1132][1]~42728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1132][1]~42728_combout\ = (\led_flash_cnt[1132][1]~q\ & (\led_flash_cnt[1132][0]~q\ $ (VCC))) # (!\led_flash_cnt[1132][1]~q\ & (\led_flash_cnt[1132][0]~q\ & VCC))
-- \led_flash_cnt[1132][1]~42729\ = CARRY((\led_flash_cnt[1132][1]~q\ & \led_flash_cnt[1132][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1132][1]~q\,
	datab => \led_flash_cnt[1132][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1132][1]~42728_combout\,
	cout => \led_flash_cnt[1132][1]~42729\);

-- Location: FF_X6_Y25_N11
\led_flash_cnt[1132][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1132][1]~42728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1132][1]~q\);

-- Location: LCCOMB_X6_Y25_N12
\led_flash_cnt[1132][2]~42730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1132][2]~42730_combout\ = (\led_flash_cnt[1132][2]~q\ & (!\led_flash_cnt[1132][1]~42729\)) # (!\led_flash_cnt[1132][2]~q\ & ((\led_flash_cnt[1132][1]~42729\) # (GND)))
-- \led_flash_cnt[1132][2]~42731\ = CARRY((!\led_flash_cnt[1132][1]~42729\) # (!\led_flash_cnt[1132][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1132][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1132][1]~42729\,
	combout => \led_flash_cnt[1132][2]~42730_combout\,
	cout => \led_flash_cnt[1132][2]~42731\);

-- Location: FF_X6_Y25_N13
\led_flash_cnt[1132][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1132][2]~42730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1132][2]~q\);

-- Location: LCCOMB_X6_Y25_N14
\led_flash_cnt[1132][3]~42732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1132][3]~42732_combout\ = (\led_flash_cnt[1132][3]~q\ & (\led_flash_cnt[1132][2]~42731\ $ (GND))) # (!\led_flash_cnt[1132][3]~q\ & (!\led_flash_cnt[1132][2]~42731\ & VCC))
-- \led_flash_cnt[1132][3]~42733\ = CARRY((\led_flash_cnt[1132][3]~q\ & !\led_flash_cnt[1132][2]~42731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1132][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1132][2]~42731\,
	combout => \led_flash_cnt[1132][3]~42732_combout\,
	cout => \led_flash_cnt[1132][3]~42733\);

-- Location: FF_X6_Y25_N15
\led_flash_cnt[1132][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1132][3]~42732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1132][3]~q\);

-- Location: LCCOMB_X6_Y25_N16
\led_flash_cnt[1132][4]~42734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1132][4]~42734_combout\ = (\led_flash_cnt[1132][4]~q\ & (!\led_flash_cnt[1132][3]~42733\)) # (!\led_flash_cnt[1132][4]~q\ & ((\led_flash_cnt[1132][3]~42733\) # (GND)))
-- \led_flash_cnt[1132][4]~42735\ = CARRY((!\led_flash_cnt[1132][3]~42733\) # (!\led_flash_cnt[1132][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1132][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1132][3]~42733\,
	combout => \led_flash_cnt[1132][4]~42734_combout\,
	cout => \led_flash_cnt[1132][4]~42735\);

-- Location: FF_X6_Y25_N17
\led_flash_cnt[1132][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1132][4]~42734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1132][4]~q\);

-- Location: LCCOMB_X6_Y25_N18
\led_flash_cnt[1132][5]~42736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1132][5]~42736_combout\ = (\led_flash_cnt[1132][5]~q\ & (\led_flash_cnt[1132][4]~42735\ $ (GND))) # (!\led_flash_cnt[1132][5]~q\ & (!\led_flash_cnt[1132][4]~42735\ & VCC))
-- \led_flash_cnt[1132][5]~42737\ = CARRY((\led_flash_cnt[1132][5]~q\ & !\led_flash_cnt[1132][4]~42735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1132][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1132][4]~42735\,
	combout => \led_flash_cnt[1132][5]~42736_combout\,
	cout => \led_flash_cnt[1132][5]~42737\);

-- Location: FF_X6_Y25_N19
\led_flash_cnt[1132][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1132][5]~42736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1132][5]~q\);

-- Location: LCCOMB_X6_Y25_N20
\led_flash_cnt[1132][6]~42738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1132][6]~42738_combout\ = (\led_flash_cnt[1132][6]~q\ & (!\led_flash_cnt[1132][5]~42737\)) # (!\led_flash_cnt[1132][6]~q\ & ((\led_flash_cnt[1132][5]~42737\) # (GND)))
-- \led_flash_cnt[1132][6]~42739\ = CARRY((!\led_flash_cnt[1132][5]~42737\) # (!\led_flash_cnt[1132][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1132][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1132][5]~42737\,
	combout => \led_flash_cnt[1132][6]~42738_combout\,
	cout => \led_flash_cnt[1132][6]~42739\);

-- Location: FF_X6_Y25_N21
\led_flash_cnt[1132][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1132][6]~42738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1132][6]~q\);

-- Location: LCCOMB_X6_Y25_N26
\WideAnd1132~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1132~1_combout\ = (\led_flash_cnt[1132][6]~q\ & \led_flash_cnt[1132][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1132][6]~q\,
	datac => \led_flash_cnt[1132][5]~q\,
	combout => \WideAnd1132~1_combout\);

-- Location: LCCOMB_X6_Y25_N22
\led_flash_cnt[1132][7]~42740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1132][7]~42740_combout\ = \led_flash_cnt[1132][7]~q\ $ (!\led_flash_cnt[1132][6]~42739\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1132][7]~q\,
	cin => \led_flash_cnt[1132][6]~42739\,
	combout => \led_flash_cnt[1132][7]~42740_combout\);

-- Location: FF_X6_Y25_N23
\led_flash_cnt[1132][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1132][7]~42740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1132][7]~q\);

-- Location: LCCOMB_X6_Y25_N24
\WideAnd1132~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1132~0_combout\ = (\led_flash_cnt[1132][1]~q\ & (\led_flash_cnt[1132][4]~q\ & (\led_flash_cnt[1132][3]~q\ & \led_flash_cnt[1132][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1132][1]~q\,
	datab => \led_flash_cnt[1132][4]~q\,
	datac => \led_flash_cnt[1132][3]~q\,
	datad => \led_flash_cnt[1132][2]~q\,
	combout => \WideAnd1132~0_combout\);

-- Location: LCCOMB_X6_Y25_N8
WideAnd1132 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1132~combout\ = (\WideAnd1132~1_combout\ & (\led_flash_cnt[1132][0]~q\ & (\led_flash_cnt[1132][7]~q\ & \WideAnd1132~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1132~1_combout\,
	datab => \led_flash_cnt[1132][0]~q\,
	datac => \led_flash_cnt[1132][7]~q\,
	datad => \WideAnd1132~0_combout\,
	combout => \WideAnd1132~combout\);

-- Location: FF_X6_Y25_N9
\led_flash_cnt_ands[1132]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1132~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1132));

-- Location: LCCOMB_X6_Y25_N28
\WideAnd3981~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3981~1_combout\ = (led_flash_cnt_ands(1133) & led_flash_cnt_ands(1132))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1133),
	datac => led_flash_cnt_ands(1132),
	combout => \WideAnd3981~1_combout\);

-- Location: LCCOMB_X6_Y15_N26
\led_flash_cnt[1135][0]~81775\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1135][0]~81775_combout\ = !\led_flash_cnt[1135][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1135][0]~q\,
	combout => \led_flash_cnt[1135][0]~81775_combout\);

-- Location: FF_X6_Y15_N27
\led_flash_cnt[1135][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1135][0]~81775_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1135][0]~q\);

-- Location: LCCOMB_X3_Y15_N18
\led_flash_cnt[1135][1]~42770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1135][1]~42770_combout\ = (\led_flash_cnt[1135][0]~q\ & (\led_flash_cnt[1135][1]~q\ $ (VCC))) # (!\led_flash_cnt[1135][0]~q\ & (\led_flash_cnt[1135][1]~q\ & VCC))
-- \led_flash_cnt[1135][1]~42771\ = CARRY((\led_flash_cnt[1135][0]~q\ & \led_flash_cnt[1135][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1135][0]~q\,
	datab => \led_flash_cnt[1135][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1135][1]~42770_combout\,
	cout => \led_flash_cnt[1135][1]~42771\);

-- Location: FF_X3_Y15_N19
\led_flash_cnt[1135][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1135][1]~42770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1135][1]~q\);

-- Location: LCCOMB_X3_Y15_N20
\led_flash_cnt[1135][2]~42772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1135][2]~42772_combout\ = (\led_flash_cnt[1135][2]~q\ & (!\led_flash_cnt[1135][1]~42771\)) # (!\led_flash_cnt[1135][2]~q\ & ((\led_flash_cnt[1135][1]~42771\) # (GND)))
-- \led_flash_cnt[1135][2]~42773\ = CARRY((!\led_flash_cnt[1135][1]~42771\) # (!\led_flash_cnt[1135][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1135][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1135][1]~42771\,
	combout => \led_flash_cnt[1135][2]~42772_combout\,
	cout => \led_flash_cnt[1135][2]~42773\);

-- Location: FF_X3_Y15_N21
\led_flash_cnt[1135][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1135][2]~42772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1135][2]~q\);

-- Location: LCCOMB_X3_Y15_N22
\led_flash_cnt[1135][3]~42774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1135][3]~42774_combout\ = (\led_flash_cnt[1135][3]~q\ & (\led_flash_cnt[1135][2]~42773\ $ (GND))) # (!\led_flash_cnt[1135][3]~q\ & (!\led_flash_cnt[1135][2]~42773\ & VCC))
-- \led_flash_cnt[1135][3]~42775\ = CARRY((\led_flash_cnt[1135][3]~q\ & !\led_flash_cnt[1135][2]~42773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1135][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1135][2]~42773\,
	combout => \led_flash_cnt[1135][3]~42774_combout\,
	cout => \led_flash_cnt[1135][3]~42775\);

-- Location: FF_X3_Y15_N23
\led_flash_cnt[1135][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1135][3]~42774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1135][3]~q\);

-- Location: LCCOMB_X3_Y15_N24
\led_flash_cnt[1135][4]~42776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1135][4]~42776_combout\ = (\led_flash_cnt[1135][4]~q\ & (!\led_flash_cnt[1135][3]~42775\)) # (!\led_flash_cnt[1135][4]~q\ & ((\led_flash_cnt[1135][3]~42775\) # (GND)))
-- \led_flash_cnt[1135][4]~42777\ = CARRY((!\led_flash_cnt[1135][3]~42775\) # (!\led_flash_cnt[1135][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1135][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1135][3]~42775\,
	combout => \led_flash_cnt[1135][4]~42776_combout\,
	cout => \led_flash_cnt[1135][4]~42777\);

-- Location: FF_X3_Y15_N25
\led_flash_cnt[1135][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1135][4]~42776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1135][4]~q\);

-- Location: LCCOMB_X3_Y15_N14
\WideAnd1135~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1135~0_combout\ = (\led_flash_cnt[1135][1]~q\ & (\led_flash_cnt[1135][4]~q\ & (\led_flash_cnt[1135][3]~q\ & \led_flash_cnt[1135][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1135][1]~q\,
	datab => \led_flash_cnt[1135][4]~q\,
	datac => \led_flash_cnt[1135][3]~q\,
	datad => \led_flash_cnt[1135][2]~q\,
	combout => \WideAnd1135~0_combout\);

-- Location: LCCOMB_X3_Y15_N26
\led_flash_cnt[1135][5]~42778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1135][5]~42778_combout\ = (\led_flash_cnt[1135][5]~q\ & (\led_flash_cnt[1135][4]~42777\ $ (GND))) # (!\led_flash_cnt[1135][5]~q\ & (!\led_flash_cnt[1135][4]~42777\ & VCC))
-- \led_flash_cnt[1135][5]~42779\ = CARRY((\led_flash_cnt[1135][5]~q\ & !\led_flash_cnt[1135][4]~42777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1135][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1135][4]~42777\,
	combout => \led_flash_cnt[1135][5]~42778_combout\,
	cout => \led_flash_cnt[1135][5]~42779\);

-- Location: FF_X3_Y15_N27
\led_flash_cnt[1135][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1135][5]~42778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1135][5]~q\);

-- Location: LCCOMB_X3_Y15_N28
\led_flash_cnt[1135][6]~42780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1135][6]~42780_combout\ = (\led_flash_cnt[1135][6]~q\ & (!\led_flash_cnt[1135][5]~42779\)) # (!\led_flash_cnt[1135][6]~q\ & ((\led_flash_cnt[1135][5]~42779\) # (GND)))
-- \led_flash_cnt[1135][6]~42781\ = CARRY((!\led_flash_cnt[1135][5]~42779\) # (!\led_flash_cnt[1135][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1135][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1135][5]~42779\,
	combout => \led_flash_cnt[1135][6]~42780_combout\,
	cout => \led_flash_cnt[1135][6]~42781\);

-- Location: FF_X3_Y15_N29
\led_flash_cnt[1135][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1135][6]~42780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1135][6]~q\);

-- Location: LCCOMB_X3_Y15_N30
\led_flash_cnt[1135][7]~42782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1135][7]~42782_combout\ = \led_flash_cnt[1135][7]~q\ $ (!\led_flash_cnt[1135][6]~42781\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1135][7]~q\,
	cin => \led_flash_cnt[1135][6]~42781\,
	combout => \led_flash_cnt[1135][7]~42782_combout\);

-- Location: FF_X3_Y15_N31
\led_flash_cnt[1135][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1135][7]~42782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1135][7]~q\);

-- Location: LCCOMB_X4_Y15_N4
\WideAnd1135~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1135~1_combout\ = (\led_flash_cnt[1135][5]~q\ & \led_flash_cnt[1135][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1135][5]~q\,
	datad => \led_flash_cnt[1135][6]~q\,
	combout => \WideAnd1135~1_combout\);

-- Location: LCCOMB_X4_Y15_N6
WideAnd1135 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1135~combout\ = (\WideAnd1135~0_combout\ & (\led_flash_cnt[1135][7]~q\ & (\WideAnd1135~1_combout\ & \led_flash_cnt[1135][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1135~0_combout\,
	datab => \led_flash_cnt[1135][7]~q\,
	datac => \WideAnd1135~1_combout\,
	datad => \led_flash_cnt[1135][0]~q\,
	combout => \WideAnd1135~combout\);

-- Location: FF_X4_Y15_N7
\led_flash_cnt_ands[1135]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1135~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1135));

-- Location: LCCOMB_X64_Y2_N30
\led_flash_cnt[1130][0]~81770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1130][0]~81770_combout\ = !\led_flash_cnt[1130][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1130][0]~q\,
	combout => \led_flash_cnt[1130][0]~81770_combout\);

-- Location: FF_X64_Y2_N31
\led_flash_cnt[1130][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1130][0]~81770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1130][0]~q\);

-- Location: LCCOMB_X64_Y2_N8
\led_flash_cnt[1130][1]~42700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1130][1]~42700_combout\ = (\led_flash_cnt[1130][0]~q\ & (\led_flash_cnt[1130][1]~q\ $ (VCC))) # (!\led_flash_cnt[1130][0]~q\ & (\led_flash_cnt[1130][1]~q\ & VCC))
-- \led_flash_cnt[1130][1]~42701\ = CARRY((\led_flash_cnt[1130][0]~q\ & \led_flash_cnt[1130][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1130][0]~q\,
	datab => \led_flash_cnt[1130][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1130][1]~42700_combout\,
	cout => \led_flash_cnt[1130][1]~42701\);

-- Location: FF_X64_Y2_N9
\led_flash_cnt[1130][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1130][1]~42700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1130][1]~q\);

-- Location: LCCOMB_X64_Y2_N10
\led_flash_cnt[1130][2]~42702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1130][2]~42702_combout\ = (\led_flash_cnt[1130][2]~q\ & (!\led_flash_cnt[1130][1]~42701\)) # (!\led_flash_cnt[1130][2]~q\ & ((\led_flash_cnt[1130][1]~42701\) # (GND)))
-- \led_flash_cnt[1130][2]~42703\ = CARRY((!\led_flash_cnt[1130][1]~42701\) # (!\led_flash_cnt[1130][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1130][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1130][1]~42701\,
	combout => \led_flash_cnt[1130][2]~42702_combout\,
	cout => \led_flash_cnt[1130][2]~42703\);

-- Location: FF_X64_Y2_N11
\led_flash_cnt[1130][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1130][2]~42702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1130][2]~q\);

-- Location: LCCOMB_X64_Y2_N12
\led_flash_cnt[1130][3]~42704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1130][3]~42704_combout\ = (\led_flash_cnt[1130][3]~q\ & (\led_flash_cnt[1130][2]~42703\ $ (GND))) # (!\led_flash_cnt[1130][3]~q\ & (!\led_flash_cnt[1130][2]~42703\ & VCC))
-- \led_flash_cnt[1130][3]~42705\ = CARRY((\led_flash_cnt[1130][3]~q\ & !\led_flash_cnt[1130][2]~42703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1130][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1130][2]~42703\,
	combout => \led_flash_cnt[1130][3]~42704_combout\,
	cout => \led_flash_cnt[1130][3]~42705\);

-- Location: FF_X64_Y2_N13
\led_flash_cnt[1130][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1130][3]~42704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1130][3]~q\);

-- Location: LCCOMB_X64_Y2_N14
\led_flash_cnt[1130][4]~42706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1130][4]~42706_combout\ = (\led_flash_cnt[1130][4]~q\ & (!\led_flash_cnt[1130][3]~42705\)) # (!\led_flash_cnt[1130][4]~q\ & ((\led_flash_cnt[1130][3]~42705\) # (GND)))
-- \led_flash_cnt[1130][4]~42707\ = CARRY((!\led_flash_cnt[1130][3]~42705\) # (!\led_flash_cnt[1130][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1130][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1130][3]~42705\,
	combout => \led_flash_cnt[1130][4]~42706_combout\,
	cout => \led_flash_cnt[1130][4]~42707\);

-- Location: FF_X64_Y2_N15
\led_flash_cnt[1130][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1130][4]~42706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1130][4]~q\);

-- Location: LCCOMB_X64_Y2_N16
\led_flash_cnt[1130][5]~42708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1130][5]~42708_combout\ = (\led_flash_cnt[1130][5]~q\ & (\led_flash_cnt[1130][4]~42707\ $ (GND))) # (!\led_flash_cnt[1130][5]~q\ & (!\led_flash_cnt[1130][4]~42707\ & VCC))
-- \led_flash_cnt[1130][5]~42709\ = CARRY((\led_flash_cnt[1130][5]~q\ & !\led_flash_cnt[1130][4]~42707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1130][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1130][4]~42707\,
	combout => \led_flash_cnt[1130][5]~42708_combout\,
	cout => \led_flash_cnt[1130][5]~42709\);

-- Location: FF_X64_Y2_N17
\led_flash_cnt[1130][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1130][5]~42708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1130][5]~q\);

-- Location: LCCOMB_X64_Y2_N18
\led_flash_cnt[1130][6]~42710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1130][6]~42710_combout\ = (\led_flash_cnt[1130][6]~q\ & (!\led_flash_cnt[1130][5]~42709\)) # (!\led_flash_cnt[1130][6]~q\ & ((\led_flash_cnt[1130][5]~42709\) # (GND)))
-- \led_flash_cnt[1130][6]~42711\ = CARRY((!\led_flash_cnt[1130][5]~42709\) # (!\led_flash_cnt[1130][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1130][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1130][5]~42709\,
	combout => \led_flash_cnt[1130][6]~42710_combout\,
	cout => \led_flash_cnt[1130][6]~42711\);

-- Location: FF_X64_Y2_N19
\led_flash_cnt[1130][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1130][6]~42710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1130][6]~q\);

-- Location: LCCOMB_X64_Y2_N20
\led_flash_cnt[1130][7]~42712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1130][7]~42712_combout\ = \led_flash_cnt[1130][6]~42711\ $ (!\led_flash_cnt[1130][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1130][7]~q\,
	cin => \led_flash_cnt[1130][6]~42711\,
	combout => \led_flash_cnt[1130][7]~42712_combout\);

-- Location: FF_X64_Y2_N21
\led_flash_cnt[1130][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1130][7]~42712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1130][7]~q\);

-- Location: LCCOMB_X64_Y2_N4
\WideAnd1130~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1130~1_combout\ = (\led_flash_cnt[1130][6]~q\ & \led_flash_cnt[1130][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1130][6]~q\,
	datad => \led_flash_cnt[1130][5]~q\,
	combout => \WideAnd1130~1_combout\);

-- Location: LCCOMB_X64_Y2_N24
\WideAnd1130~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1130~0_combout\ = (\led_flash_cnt[1130][3]~q\ & (\led_flash_cnt[1130][1]~q\ & (\led_flash_cnt[1130][4]~q\ & \led_flash_cnt[1130][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1130][3]~q\,
	datab => \led_flash_cnt[1130][1]~q\,
	datac => \led_flash_cnt[1130][4]~q\,
	datad => \led_flash_cnt[1130][2]~q\,
	combout => \WideAnd1130~0_combout\);

-- Location: LCCOMB_X64_Y2_N6
WideAnd1130 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1130~combout\ = (\led_flash_cnt[1130][0]~q\ & (\led_flash_cnt[1130][7]~q\ & (\WideAnd1130~1_combout\ & \WideAnd1130~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1130][0]~q\,
	datab => \led_flash_cnt[1130][7]~q\,
	datac => \WideAnd1130~1_combout\,
	datad => \WideAnd1130~0_combout\,
	combout => \WideAnd1130~combout\);

-- Location: FF_X64_Y2_N7
\led_flash_cnt_ands[1130]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1130~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1130));

-- Location: LCCOMB_X64_Y2_N26
\led_flash_cnt[1129][0]~81769\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1129][0]~81769_combout\ = !\led_flash_cnt[1129][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1129][0]~q\,
	combout => \led_flash_cnt[1129][0]~81769_combout\);

-- Location: FF_X64_Y2_N27
\led_flash_cnt[1129][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1129][0]~81769_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1129][0]~q\);

-- Location: LCCOMB_X65_Y2_N0
\led_flash_cnt[1129][1]~42686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1129][1]~42686_combout\ = (\led_flash_cnt[1129][0]~q\ & (\led_flash_cnt[1129][1]~q\ $ (VCC))) # (!\led_flash_cnt[1129][0]~q\ & (\led_flash_cnt[1129][1]~q\ & VCC))
-- \led_flash_cnt[1129][1]~42687\ = CARRY((\led_flash_cnt[1129][0]~q\ & \led_flash_cnt[1129][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1129][0]~q\,
	datab => \led_flash_cnt[1129][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1129][1]~42686_combout\,
	cout => \led_flash_cnt[1129][1]~42687\);

-- Location: FF_X65_Y2_N1
\led_flash_cnt[1129][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1129][1]~42686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1129][1]~q\);

-- Location: LCCOMB_X65_Y2_N2
\led_flash_cnt[1129][2]~42688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1129][2]~42688_combout\ = (\led_flash_cnt[1129][2]~q\ & (!\led_flash_cnt[1129][1]~42687\)) # (!\led_flash_cnt[1129][2]~q\ & ((\led_flash_cnt[1129][1]~42687\) # (GND)))
-- \led_flash_cnt[1129][2]~42689\ = CARRY((!\led_flash_cnt[1129][1]~42687\) # (!\led_flash_cnt[1129][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1129][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1129][1]~42687\,
	combout => \led_flash_cnt[1129][2]~42688_combout\,
	cout => \led_flash_cnt[1129][2]~42689\);

-- Location: FF_X65_Y2_N3
\led_flash_cnt[1129][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1129][2]~42688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1129][2]~q\);

-- Location: LCCOMB_X65_Y2_N4
\led_flash_cnt[1129][3]~42690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1129][3]~42690_combout\ = (\led_flash_cnt[1129][3]~q\ & (\led_flash_cnt[1129][2]~42689\ $ (GND))) # (!\led_flash_cnt[1129][3]~q\ & (!\led_flash_cnt[1129][2]~42689\ & VCC))
-- \led_flash_cnt[1129][3]~42691\ = CARRY((\led_flash_cnt[1129][3]~q\ & !\led_flash_cnt[1129][2]~42689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1129][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1129][2]~42689\,
	combout => \led_flash_cnt[1129][3]~42690_combout\,
	cout => \led_flash_cnt[1129][3]~42691\);

-- Location: FF_X65_Y2_N5
\led_flash_cnt[1129][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1129][3]~42690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1129][3]~q\);

-- Location: LCCOMB_X65_Y2_N6
\led_flash_cnt[1129][4]~42692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1129][4]~42692_combout\ = (\led_flash_cnt[1129][4]~q\ & (!\led_flash_cnt[1129][3]~42691\)) # (!\led_flash_cnt[1129][4]~q\ & ((\led_flash_cnt[1129][3]~42691\) # (GND)))
-- \led_flash_cnt[1129][4]~42693\ = CARRY((!\led_flash_cnt[1129][3]~42691\) # (!\led_flash_cnt[1129][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1129][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1129][3]~42691\,
	combout => \led_flash_cnt[1129][4]~42692_combout\,
	cout => \led_flash_cnt[1129][4]~42693\);

-- Location: FF_X65_Y2_N7
\led_flash_cnt[1129][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1129][4]~42692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1129][4]~q\);

-- Location: LCCOMB_X65_Y2_N8
\led_flash_cnt[1129][5]~42694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1129][5]~42694_combout\ = (\led_flash_cnt[1129][5]~q\ & (\led_flash_cnt[1129][4]~42693\ $ (GND))) # (!\led_flash_cnt[1129][5]~q\ & (!\led_flash_cnt[1129][4]~42693\ & VCC))
-- \led_flash_cnt[1129][5]~42695\ = CARRY((\led_flash_cnt[1129][5]~q\ & !\led_flash_cnt[1129][4]~42693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1129][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1129][4]~42693\,
	combout => \led_flash_cnt[1129][5]~42694_combout\,
	cout => \led_flash_cnt[1129][5]~42695\);

-- Location: FF_X65_Y2_N9
\led_flash_cnt[1129][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1129][5]~42694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1129][5]~q\);

-- Location: LCCOMB_X65_Y2_N10
\led_flash_cnt[1129][6]~42696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1129][6]~42696_combout\ = (\led_flash_cnt[1129][6]~q\ & (!\led_flash_cnt[1129][5]~42695\)) # (!\led_flash_cnt[1129][6]~q\ & ((\led_flash_cnt[1129][5]~42695\) # (GND)))
-- \led_flash_cnt[1129][6]~42697\ = CARRY((!\led_flash_cnt[1129][5]~42695\) # (!\led_flash_cnt[1129][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1129][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1129][5]~42695\,
	combout => \led_flash_cnt[1129][6]~42696_combout\,
	cout => \led_flash_cnt[1129][6]~42697\);

-- Location: FF_X65_Y2_N11
\led_flash_cnt[1129][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1129][6]~42696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1129][6]~q\);

-- Location: LCCOMB_X64_Y2_N22
\WideAnd1129~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1129~1_combout\ = (\led_flash_cnt[1129][6]~q\ & \led_flash_cnt[1129][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1129][6]~q\,
	datac => \led_flash_cnt[1129][5]~q\,
	combout => \WideAnd1129~1_combout\);

-- Location: LCCOMB_X65_Y2_N12
\led_flash_cnt[1129][7]~42698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1129][7]~42698_combout\ = \led_flash_cnt[1129][6]~42697\ $ (!\led_flash_cnt[1129][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1129][7]~q\,
	cin => \led_flash_cnt[1129][6]~42697\,
	combout => \led_flash_cnt[1129][7]~42698_combout\);

-- Location: FF_X65_Y2_N13
\led_flash_cnt[1129][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1129][7]~42698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1129][7]~q\);

-- Location: LCCOMB_X65_Y2_N30
\WideAnd1129~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1129~0_combout\ = (\led_flash_cnt[1129][4]~q\ & (\led_flash_cnt[1129][1]~q\ & (\led_flash_cnt[1129][3]~q\ & \led_flash_cnt[1129][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1129][4]~q\,
	datab => \led_flash_cnt[1129][1]~q\,
	datac => \led_flash_cnt[1129][3]~q\,
	datad => \led_flash_cnt[1129][2]~q\,
	combout => \WideAnd1129~0_combout\);

-- Location: LCCOMB_X64_Y2_N28
WideAnd1129 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1129~combout\ = (\WideAnd1129~1_combout\ & (\led_flash_cnt[1129][7]~q\ & (\WideAnd1129~0_combout\ & \led_flash_cnt[1129][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1129~1_combout\,
	datab => \led_flash_cnt[1129][7]~q\,
	datac => \WideAnd1129~0_combout\,
	datad => \led_flash_cnt[1129][0]~q\,
	combout => \WideAnd1129~combout\);

-- Location: FF_X64_Y2_N29
\led_flash_cnt_ands[1129]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1129~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1129));

-- Location: LCCOMB_X63_Y2_N18
\led_flash_cnt[1131][0]~81771\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1131][0]~81771_combout\ = !\led_flash_cnt[1131][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1131][0]~q\,
	combout => \led_flash_cnt[1131][0]~81771_combout\);

-- Location: FF_X63_Y2_N19
\led_flash_cnt[1131][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1131][0]~81771_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1131][0]~q\);

-- Location: LCCOMB_X63_Y2_N2
\led_flash_cnt[1131][1]~42714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1131][1]~42714_combout\ = (\led_flash_cnt[1131][1]~q\ & (\led_flash_cnt[1131][0]~q\ $ (VCC))) # (!\led_flash_cnt[1131][1]~q\ & (\led_flash_cnt[1131][0]~q\ & VCC))
-- \led_flash_cnt[1131][1]~42715\ = CARRY((\led_flash_cnt[1131][1]~q\ & \led_flash_cnt[1131][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1131][1]~q\,
	datab => \led_flash_cnt[1131][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1131][1]~42714_combout\,
	cout => \led_flash_cnt[1131][1]~42715\);

-- Location: FF_X63_Y2_N3
\led_flash_cnt[1131][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1131][1]~42714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1131][1]~q\);

-- Location: LCCOMB_X63_Y2_N4
\led_flash_cnt[1131][2]~42716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1131][2]~42716_combout\ = (\led_flash_cnt[1131][2]~q\ & (!\led_flash_cnt[1131][1]~42715\)) # (!\led_flash_cnt[1131][2]~q\ & ((\led_flash_cnt[1131][1]~42715\) # (GND)))
-- \led_flash_cnt[1131][2]~42717\ = CARRY((!\led_flash_cnt[1131][1]~42715\) # (!\led_flash_cnt[1131][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1131][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1131][1]~42715\,
	combout => \led_flash_cnt[1131][2]~42716_combout\,
	cout => \led_flash_cnt[1131][2]~42717\);

-- Location: FF_X63_Y2_N5
\led_flash_cnt[1131][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1131][2]~42716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1131][2]~q\);

-- Location: LCCOMB_X63_Y2_N6
\led_flash_cnt[1131][3]~42718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1131][3]~42718_combout\ = (\led_flash_cnt[1131][3]~q\ & (\led_flash_cnt[1131][2]~42717\ $ (GND))) # (!\led_flash_cnt[1131][3]~q\ & (!\led_flash_cnt[1131][2]~42717\ & VCC))
-- \led_flash_cnt[1131][3]~42719\ = CARRY((\led_flash_cnt[1131][3]~q\ & !\led_flash_cnt[1131][2]~42717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1131][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1131][2]~42717\,
	combout => \led_flash_cnt[1131][3]~42718_combout\,
	cout => \led_flash_cnt[1131][3]~42719\);

-- Location: FF_X63_Y2_N7
\led_flash_cnt[1131][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1131][3]~42718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1131][3]~q\);

-- Location: LCCOMB_X63_Y2_N8
\led_flash_cnt[1131][4]~42720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1131][4]~42720_combout\ = (\led_flash_cnt[1131][4]~q\ & (!\led_flash_cnt[1131][3]~42719\)) # (!\led_flash_cnt[1131][4]~q\ & ((\led_flash_cnt[1131][3]~42719\) # (GND)))
-- \led_flash_cnt[1131][4]~42721\ = CARRY((!\led_flash_cnt[1131][3]~42719\) # (!\led_flash_cnt[1131][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1131][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1131][3]~42719\,
	combout => \led_flash_cnt[1131][4]~42720_combout\,
	cout => \led_flash_cnt[1131][4]~42721\);

-- Location: FF_X63_Y2_N9
\led_flash_cnt[1131][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1131][4]~42720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1131][4]~q\);

-- Location: LCCOMB_X63_Y2_N10
\led_flash_cnt[1131][5]~42722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1131][5]~42722_combout\ = (\led_flash_cnt[1131][5]~q\ & (\led_flash_cnt[1131][4]~42721\ $ (GND))) # (!\led_flash_cnt[1131][5]~q\ & (!\led_flash_cnt[1131][4]~42721\ & VCC))
-- \led_flash_cnt[1131][5]~42723\ = CARRY((\led_flash_cnt[1131][5]~q\ & !\led_flash_cnt[1131][4]~42721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1131][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1131][4]~42721\,
	combout => \led_flash_cnt[1131][5]~42722_combout\,
	cout => \led_flash_cnt[1131][5]~42723\);

-- Location: FF_X63_Y2_N11
\led_flash_cnt[1131][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1131][5]~42722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1131][5]~q\);

-- Location: LCCOMB_X63_Y2_N12
\led_flash_cnt[1131][6]~42724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1131][6]~42724_combout\ = (\led_flash_cnt[1131][6]~q\ & (!\led_flash_cnt[1131][5]~42723\)) # (!\led_flash_cnt[1131][6]~q\ & ((\led_flash_cnt[1131][5]~42723\) # (GND)))
-- \led_flash_cnt[1131][6]~42725\ = CARRY((!\led_flash_cnt[1131][5]~42723\) # (!\led_flash_cnt[1131][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1131][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1131][5]~42723\,
	combout => \led_flash_cnt[1131][6]~42724_combout\,
	cout => \led_flash_cnt[1131][6]~42725\);

-- Location: FF_X63_Y2_N13
\led_flash_cnt[1131][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1131][6]~42724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1131][6]~q\);

-- Location: LCCOMB_X63_Y2_N26
\WideAnd1131~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1131~1_combout\ = (\led_flash_cnt[1131][6]~q\ & \led_flash_cnt[1131][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1131][6]~q\,
	datad => \led_flash_cnt[1131][5]~q\,
	combout => \WideAnd1131~1_combout\);

-- Location: LCCOMB_X63_Y2_N24
\WideAnd1131~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1131~0_combout\ = (\led_flash_cnt[1131][1]~q\ & (\led_flash_cnt[1131][4]~q\ & (\led_flash_cnt[1131][2]~q\ & \led_flash_cnt[1131][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1131][1]~q\,
	datab => \led_flash_cnt[1131][4]~q\,
	datac => \led_flash_cnt[1131][2]~q\,
	datad => \led_flash_cnt[1131][3]~q\,
	combout => \WideAnd1131~0_combout\);

-- Location: LCCOMB_X63_Y2_N14
\led_flash_cnt[1131][7]~42726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1131][7]~42726_combout\ = \led_flash_cnt[1131][7]~q\ $ (!\led_flash_cnt[1131][6]~42725\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1131][7]~q\,
	cin => \led_flash_cnt[1131][6]~42725\,
	combout => \led_flash_cnt[1131][7]~42726_combout\);

-- Location: FF_X63_Y2_N15
\led_flash_cnt[1131][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1131][7]~42726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1131][7]~q\);

-- Location: LCCOMB_X63_Y2_N22
WideAnd1131 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1131~combout\ = (\WideAnd1131~1_combout\ & (\WideAnd1131~0_combout\ & (\led_flash_cnt[1131][7]~q\ & \led_flash_cnt[1131][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1131~1_combout\,
	datab => \WideAnd1131~0_combout\,
	datac => \led_flash_cnt[1131][7]~q\,
	datad => \led_flash_cnt[1131][0]~q\,
	combout => \WideAnd1131~combout\);

-- Location: FF_X63_Y2_N23
\led_flash_cnt_ands[1131]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1131~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1131));

-- Location: LCCOMB_X67_Y2_N18
\led_flash_cnt[1128][0]~81768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1128][0]~81768_combout\ = !\led_flash_cnt[1128][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1128][0]~q\,
	combout => \led_flash_cnt[1128][0]~81768_combout\);

-- Location: FF_X67_Y2_N19
\led_flash_cnt[1128][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1128][0]~81768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1128][0]~q\);

-- Location: LCCOMB_X67_Y2_N4
\led_flash_cnt[1128][1]~42672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1128][1]~42672_combout\ = (\led_flash_cnt[1128][1]~q\ & (\led_flash_cnt[1128][0]~q\ $ (VCC))) # (!\led_flash_cnt[1128][1]~q\ & (\led_flash_cnt[1128][0]~q\ & VCC))
-- \led_flash_cnt[1128][1]~42673\ = CARRY((\led_flash_cnt[1128][1]~q\ & \led_flash_cnt[1128][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1128][1]~q\,
	datab => \led_flash_cnt[1128][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1128][1]~42672_combout\,
	cout => \led_flash_cnt[1128][1]~42673\);

-- Location: FF_X67_Y2_N5
\led_flash_cnt[1128][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1128][1]~42672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1128][1]~q\);

-- Location: LCCOMB_X67_Y2_N6
\led_flash_cnt[1128][2]~42674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1128][2]~42674_combout\ = (\led_flash_cnt[1128][2]~q\ & (!\led_flash_cnt[1128][1]~42673\)) # (!\led_flash_cnt[1128][2]~q\ & ((\led_flash_cnt[1128][1]~42673\) # (GND)))
-- \led_flash_cnt[1128][2]~42675\ = CARRY((!\led_flash_cnt[1128][1]~42673\) # (!\led_flash_cnt[1128][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1128][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1128][1]~42673\,
	combout => \led_flash_cnt[1128][2]~42674_combout\,
	cout => \led_flash_cnt[1128][2]~42675\);

-- Location: FF_X67_Y2_N7
\led_flash_cnt[1128][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1128][2]~42674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1128][2]~q\);

-- Location: LCCOMB_X67_Y2_N8
\led_flash_cnt[1128][3]~42676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1128][3]~42676_combout\ = (\led_flash_cnt[1128][3]~q\ & (\led_flash_cnt[1128][2]~42675\ $ (GND))) # (!\led_flash_cnt[1128][3]~q\ & (!\led_flash_cnt[1128][2]~42675\ & VCC))
-- \led_flash_cnt[1128][3]~42677\ = CARRY((\led_flash_cnt[1128][3]~q\ & !\led_flash_cnt[1128][2]~42675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1128][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1128][2]~42675\,
	combout => \led_flash_cnt[1128][3]~42676_combout\,
	cout => \led_flash_cnt[1128][3]~42677\);

-- Location: FF_X67_Y2_N9
\led_flash_cnt[1128][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1128][3]~42676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1128][3]~q\);

-- Location: LCCOMB_X67_Y2_N10
\led_flash_cnt[1128][4]~42678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1128][4]~42678_combout\ = (\led_flash_cnt[1128][4]~q\ & (!\led_flash_cnt[1128][3]~42677\)) # (!\led_flash_cnt[1128][4]~q\ & ((\led_flash_cnt[1128][3]~42677\) # (GND)))
-- \led_flash_cnt[1128][4]~42679\ = CARRY((!\led_flash_cnt[1128][3]~42677\) # (!\led_flash_cnt[1128][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1128][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1128][3]~42677\,
	combout => \led_flash_cnt[1128][4]~42678_combout\,
	cout => \led_flash_cnt[1128][4]~42679\);

-- Location: FF_X67_Y2_N11
\led_flash_cnt[1128][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1128][4]~42678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1128][4]~q\);

-- Location: LCCOMB_X67_Y2_N26
\WideAnd1128~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1128~0_combout\ = (\led_flash_cnt[1128][4]~q\ & (\led_flash_cnt[1128][1]~q\ & (\led_flash_cnt[1128][3]~q\ & \led_flash_cnt[1128][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1128][4]~q\,
	datab => \led_flash_cnt[1128][1]~q\,
	datac => \led_flash_cnt[1128][3]~q\,
	datad => \led_flash_cnt[1128][2]~q\,
	combout => \WideAnd1128~0_combout\);

-- Location: LCCOMB_X67_Y2_N12
\led_flash_cnt[1128][5]~42680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1128][5]~42680_combout\ = (\led_flash_cnt[1128][5]~q\ & (\led_flash_cnt[1128][4]~42679\ $ (GND))) # (!\led_flash_cnt[1128][5]~q\ & (!\led_flash_cnt[1128][4]~42679\ & VCC))
-- \led_flash_cnt[1128][5]~42681\ = CARRY((\led_flash_cnt[1128][5]~q\ & !\led_flash_cnt[1128][4]~42679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1128][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1128][4]~42679\,
	combout => \led_flash_cnt[1128][5]~42680_combout\,
	cout => \led_flash_cnt[1128][5]~42681\);

-- Location: FF_X67_Y2_N13
\led_flash_cnt[1128][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1128][5]~42680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1128][5]~q\);

-- Location: LCCOMB_X67_Y2_N14
\led_flash_cnt[1128][6]~42682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1128][6]~42682_combout\ = (\led_flash_cnt[1128][6]~q\ & (!\led_flash_cnt[1128][5]~42681\)) # (!\led_flash_cnt[1128][6]~q\ & ((\led_flash_cnt[1128][5]~42681\) # (GND)))
-- \led_flash_cnt[1128][6]~42683\ = CARRY((!\led_flash_cnt[1128][5]~42681\) # (!\led_flash_cnt[1128][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1128][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1128][5]~42681\,
	combout => \led_flash_cnt[1128][6]~42682_combout\,
	cout => \led_flash_cnt[1128][6]~42683\);

-- Location: FF_X67_Y2_N15
\led_flash_cnt[1128][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1128][6]~42682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1128][6]~q\);

-- Location: LCCOMB_X67_Y2_N16
\led_flash_cnt[1128][7]~42684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1128][7]~42684_combout\ = \led_flash_cnt[1128][6]~42683\ $ (!\led_flash_cnt[1128][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1128][7]~q\,
	cin => \led_flash_cnt[1128][6]~42683\,
	combout => \led_flash_cnt[1128][7]~42684_combout\);

-- Location: FF_X67_Y2_N17
\led_flash_cnt[1128][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1128][7]~42684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1128][7]~q\);

-- Location: LCCOMB_X67_Y2_N22
\WideAnd1128~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1128~1_combout\ = (\led_flash_cnt[1128][6]~q\ & \led_flash_cnt[1128][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1128][6]~q\,
	datad => \led_flash_cnt[1128][5]~q\,
	combout => \WideAnd1128~1_combout\);

-- Location: LCCOMB_X67_Y2_N24
WideAnd1128 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1128~combout\ = (\WideAnd1128~0_combout\ & (\led_flash_cnt[1128][7]~q\ & (\WideAnd1128~1_combout\ & \led_flash_cnt[1128][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1128~0_combout\,
	datab => \led_flash_cnt[1128][7]~q\,
	datac => \WideAnd1128~1_combout\,
	datad => \led_flash_cnt[1128][0]~q\,
	combout => \WideAnd1128~combout\);

-- Location: FF_X67_Y2_N25
\led_flash_cnt_ands[1128]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1128~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1128));

-- Location: LCCOMB_X63_Y2_N30
\WideAnd3981~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3981~0_combout\ = (led_flash_cnt_ands(1130) & (led_flash_cnt_ands(1129) & (led_flash_cnt_ands(1131) & led_flash_cnt_ands(1128))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1130),
	datab => led_flash_cnt_ands(1129),
	datac => led_flash_cnt_ands(1131),
	datad => led_flash_cnt_ands(1128),
	combout => \WideAnd3981~0_combout\);

-- Location: LCCOMB_X6_Y15_N22
\led_flash_cnt[1134][0]~81774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1134][0]~81774_combout\ = !\led_flash_cnt[1134][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1134][0]~q\,
	combout => \led_flash_cnt[1134][0]~81774_combout\);

-- Location: FF_X6_Y15_N23
\led_flash_cnt[1134][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1134][0]~81774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1134][0]~q\);

-- Location: LCCOMB_X6_Y15_N2
\led_flash_cnt[1134][1]~42756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1134][1]~42756_combout\ = (\led_flash_cnt[1134][0]~q\ & (\led_flash_cnt[1134][1]~q\ $ (VCC))) # (!\led_flash_cnt[1134][0]~q\ & (\led_flash_cnt[1134][1]~q\ & VCC))
-- \led_flash_cnt[1134][1]~42757\ = CARRY((\led_flash_cnt[1134][0]~q\ & \led_flash_cnt[1134][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1134][0]~q\,
	datab => \led_flash_cnt[1134][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1134][1]~42756_combout\,
	cout => \led_flash_cnt[1134][1]~42757\);

-- Location: FF_X6_Y15_N3
\led_flash_cnt[1134][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1134][1]~42756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1134][1]~q\);

-- Location: LCCOMB_X6_Y15_N4
\led_flash_cnt[1134][2]~42758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1134][2]~42758_combout\ = (\led_flash_cnt[1134][2]~q\ & (!\led_flash_cnt[1134][1]~42757\)) # (!\led_flash_cnt[1134][2]~q\ & ((\led_flash_cnt[1134][1]~42757\) # (GND)))
-- \led_flash_cnt[1134][2]~42759\ = CARRY((!\led_flash_cnt[1134][1]~42757\) # (!\led_flash_cnt[1134][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1134][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1134][1]~42757\,
	combout => \led_flash_cnt[1134][2]~42758_combout\,
	cout => \led_flash_cnt[1134][2]~42759\);

-- Location: FF_X6_Y15_N5
\led_flash_cnt[1134][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1134][2]~42758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1134][2]~q\);

-- Location: LCCOMB_X6_Y15_N6
\led_flash_cnt[1134][3]~42760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1134][3]~42760_combout\ = (\led_flash_cnt[1134][3]~q\ & (\led_flash_cnt[1134][2]~42759\ $ (GND))) # (!\led_flash_cnt[1134][3]~q\ & (!\led_flash_cnt[1134][2]~42759\ & VCC))
-- \led_flash_cnt[1134][3]~42761\ = CARRY((\led_flash_cnt[1134][3]~q\ & !\led_flash_cnt[1134][2]~42759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1134][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1134][2]~42759\,
	combout => \led_flash_cnt[1134][3]~42760_combout\,
	cout => \led_flash_cnt[1134][3]~42761\);

-- Location: FF_X6_Y15_N7
\led_flash_cnt[1134][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1134][3]~42760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1134][3]~q\);

-- Location: LCCOMB_X6_Y15_N8
\led_flash_cnt[1134][4]~42762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1134][4]~42762_combout\ = (\led_flash_cnt[1134][4]~q\ & (!\led_flash_cnt[1134][3]~42761\)) # (!\led_flash_cnt[1134][4]~q\ & ((\led_flash_cnt[1134][3]~42761\) # (GND)))
-- \led_flash_cnt[1134][4]~42763\ = CARRY((!\led_flash_cnt[1134][3]~42761\) # (!\led_flash_cnt[1134][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1134][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1134][3]~42761\,
	combout => \led_flash_cnt[1134][4]~42762_combout\,
	cout => \led_flash_cnt[1134][4]~42763\);

-- Location: FF_X6_Y15_N9
\led_flash_cnt[1134][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1134][4]~42762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1134][4]~q\);

-- Location: LCCOMB_X6_Y15_N24
\WideAnd1134~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1134~0_combout\ = (\led_flash_cnt[1134][3]~q\ & (\led_flash_cnt[1134][4]~q\ & (\led_flash_cnt[1134][2]~q\ & \led_flash_cnt[1134][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1134][3]~q\,
	datab => \led_flash_cnt[1134][4]~q\,
	datac => \led_flash_cnt[1134][2]~q\,
	datad => \led_flash_cnt[1134][1]~q\,
	combout => \WideAnd1134~0_combout\);

-- Location: LCCOMB_X6_Y15_N10
\led_flash_cnt[1134][5]~42764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1134][5]~42764_combout\ = (\led_flash_cnt[1134][5]~q\ & (\led_flash_cnt[1134][4]~42763\ $ (GND))) # (!\led_flash_cnt[1134][5]~q\ & (!\led_flash_cnt[1134][4]~42763\ & VCC))
-- \led_flash_cnt[1134][5]~42765\ = CARRY((\led_flash_cnt[1134][5]~q\ & !\led_flash_cnt[1134][4]~42763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1134][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1134][4]~42763\,
	combout => \led_flash_cnt[1134][5]~42764_combout\,
	cout => \led_flash_cnt[1134][5]~42765\);

-- Location: FF_X6_Y15_N11
\led_flash_cnt[1134][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1134][5]~42764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1134][5]~q\);

-- Location: LCCOMB_X6_Y15_N12
\led_flash_cnt[1134][6]~42766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1134][6]~42766_combout\ = (\led_flash_cnt[1134][6]~q\ & (!\led_flash_cnt[1134][5]~42765\)) # (!\led_flash_cnt[1134][6]~q\ & ((\led_flash_cnt[1134][5]~42765\) # (GND)))
-- \led_flash_cnt[1134][6]~42767\ = CARRY((!\led_flash_cnt[1134][5]~42765\) # (!\led_flash_cnt[1134][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1134][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1134][5]~42765\,
	combout => \led_flash_cnt[1134][6]~42766_combout\,
	cout => \led_flash_cnt[1134][6]~42767\);

-- Location: FF_X6_Y15_N13
\led_flash_cnt[1134][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1134][6]~42766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1134][6]~q\);

-- Location: LCCOMB_X6_Y15_N14
\led_flash_cnt[1134][7]~42768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1134][7]~42768_combout\ = \led_flash_cnt[1134][7]~q\ $ (!\led_flash_cnt[1134][6]~42767\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1134][7]~q\,
	cin => \led_flash_cnt[1134][6]~42767\,
	combout => \led_flash_cnt[1134][7]~42768_combout\);

-- Location: FF_X6_Y15_N15
\led_flash_cnt[1134][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1134][7]~42768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1134][7]~q\);

-- Location: LCCOMB_X6_Y15_N18
\WideAnd1134~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1134~1_combout\ = (\led_flash_cnt[1134][6]~q\ & \led_flash_cnt[1134][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1134][6]~q\,
	datad => \led_flash_cnt[1134][5]~q\,
	combout => \WideAnd1134~1_combout\);

-- Location: LCCOMB_X6_Y15_N20
WideAnd1134 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1134~combout\ = (\led_flash_cnt[1134][0]~q\ & (\WideAnd1134~0_combout\ & (\led_flash_cnt[1134][7]~q\ & \WideAnd1134~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1134][0]~q\,
	datab => \WideAnd1134~0_combout\,
	datac => \led_flash_cnt[1134][7]~q\,
	datad => \WideAnd1134~1_combout\,
	combout => \WideAnd1134~combout\);

-- Location: FF_X6_Y15_N21
\led_flash_cnt_ands[1134]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1134~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1134));

-- Location: LCCOMB_X6_Y15_N28
WideAnd3981 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3981~combout\ = (\WideAnd3981~1_combout\ & (led_flash_cnt_ands(1135) & (\WideAnd3981~0_combout\ & led_flash_cnt_ands(1134))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3981~1_combout\,
	datab => led_flash_cnt_ands(1135),
	datac => \WideAnd3981~0_combout\,
	datad => led_flash_cnt_ands(1134),
	combout => \WideAnd3981~combout\);

-- Location: FF_X6_Y15_N29
\led_flash_cnt_ands_1[141]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3981~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(141));

-- Location: LCCOMB_X7_Y15_N10
\WideAnd4337~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4337~1_combout\ = (led_flash_cnt_ands_1(140) & led_flash_cnt_ands_1(141))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(140),
	datad => led_flash_cnt_ands_1(141),
	combout => \WideAnd4337~1_combout\);

-- Location: LCCOMB_X6_Y11_N22
\led_flash_cnt[1148][0]~81788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1148][0]~81788_combout\ = !\led_flash_cnt[1148][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1148][0]~q\,
	combout => \led_flash_cnt[1148][0]~81788_combout\);

-- Location: FF_X6_Y11_N23
\led_flash_cnt[1148][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1148][0]~81788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1148][0]~q\);

-- Location: LCCOMB_X6_Y11_N8
\led_flash_cnt[1148][1]~42952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1148][1]~42952_combout\ = (\led_flash_cnt[1148][0]~q\ & (\led_flash_cnt[1148][1]~q\ $ (VCC))) # (!\led_flash_cnt[1148][0]~q\ & (\led_flash_cnt[1148][1]~q\ & VCC))
-- \led_flash_cnt[1148][1]~42953\ = CARRY((\led_flash_cnt[1148][0]~q\ & \led_flash_cnt[1148][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1148][0]~q\,
	datab => \led_flash_cnt[1148][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1148][1]~42952_combout\,
	cout => \led_flash_cnt[1148][1]~42953\);

-- Location: FF_X6_Y11_N9
\led_flash_cnt[1148][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1148][1]~42952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1148][1]~q\);

-- Location: LCCOMB_X6_Y11_N10
\led_flash_cnt[1148][2]~42954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1148][2]~42954_combout\ = (\led_flash_cnt[1148][2]~q\ & (!\led_flash_cnt[1148][1]~42953\)) # (!\led_flash_cnt[1148][2]~q\ & ((\led_flash_cnt[1148][1]~42953\) # (GND)))
-- \led_flash_cnt[1148][2]~42955\ = CARRY((!\led_flash_cnt[1148][1]~42953\) # (!\led_flash_cnt[1148][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1148][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1148][1]~42953\,
	combout => \led_flash_cnt[1148][2]~42954_combout\,
	cout => \led_flash_cnt[1148][2]~42955\);

-- Location: FF_X6_Y11_N11
\led_flash_cnt[1148][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1148][2]~42954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1148][2]~q\);

-- Location: LCCOMB_X6_Y11_N12
\led_flash_cnt[1148][3]~42956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1148][3]~42956_combout\ = (\led_flash_cnt[1148][3]~q\ & (\led_flash_cnt[1148][2]~42955\ $ (GND))) # (!\led_flash_cnt[1148][3]~q\ & (!\led_flash_cnt[1148][2]~42955\ & VCC))
-- \led_flash_cnt[1148][3]~42957\ = CARRY((\led_flash_cnt[1148][3]~q\ & !\led_flash_cnt[1148][2]~42955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1148][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1148][2]~42955\,
	combout => \led_flash_cnt[1148][3]~42956_combout\,
	cout => \led_flash_cnt[1148][3]~42957\);

-- Location: FF_X6_Y11_N13
\led_flash_cnt[1148][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1148][3]~42956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1148][3]~q\);

-- Location: LCCOMB_X6_Y11_N14
\led_flash_cnt[1148][4]~42958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1148][4]~42958_combout\ = (\led_flash_cnt[1148][4]~q\ & (!\led_flash_cnt[1148][3]~42957\)) # (!\led_flash_cnt[1148][4]~q\ & ((\led_flash_cnt[1148][3]~42957\) # (GND)))
-- \led_flash_cnt[1148][4]~42959\ = CARRY((!\led_flash_cnt[1148][3]~42957\) # (!\led_flash_cnt[1148][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1148][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1148][3]~42957\,
	combout => \led_flash_cnt[1148][4]~42958_combout\,
	cout => \led_flash_cnt[1148][4]~42959\);

-- Location: FF_X6_Y11_N15
\led_flash_cnt[1148][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1148][4]~42958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1148][4]~q\);

-- Location: LCCOMB_X6_Y11_N16
\led_flash_cnt[1148][5]~42960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1148][5]~42960_combout\ = (\led_flash_cnt[1148][5]~q\ & (\led_flash_cnt[1148][4]~42959\ $ (GND))) # (!\led_flash_cnt[1148][5]~q\ & (!\led_flash_cnt[1148][4]~42959\ & VCC))
-- \led_flash_cnt[1148][5]~42961\ = CARRY((\led_flash_cnt[1148][5]~q\ & !\led_flash_cnt[1148][4]~42959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1148][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1148][4]~42959\,
	combout => \led_flash_cnt[1148][5]~42960_combout\,
	cout => \led_flash_cnt[1148][5]~42961\);

-- Location: FF_X6_Y11_N17
\led_flash_cnt[1148][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1148][5]~42960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1148][5]~q\);

-- Location: LCCOMB_X6_Y11_N18
\led_flash_cnt[1148][6]~42962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1148][6]~42962_combout\ = (\led_flash_cnt[1148][6]~q\ & (!\led_flash_cnt[1148][5]~42961\)) # (!\led_flash_cnt[1148][6]~q\ & ((\led_flash_cnt[1148][5]~42961\) # (GND)))
-- \led_flash_cnt[1148][6]~42963\ = CARRY((!\led_flash_cnt[1148][5]~42961\) # (!\led_flash_cnt[1148][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1148][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1148][5]~42961\,
	combout => \led_flash_cnt[1148][6]~42962_combout\,
	cout => \led_flash_cnt[1148][6]~42963\);

-- Location: FF_X6_Y11_N19
\led_flash_cnt[1148][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1148][6]~42962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1148][6]~q\);

-- Location: LCCOMB_X6_Y11_N20
\led_flash_cnt[1148][7]~42964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1148][7]~42964_combout\ = \led_flash_cnt[1148][6]~42963\ $ (!\led_flash_cnt[1148][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1148][7]~q\,
	cin => \led_flash_cnt[1148][6]~42963\,
	combout => \led_flash_cnt[1148][7]~42964_combout\);

-- Location: FF_X6_Y11_N21
\led_flash_cnt[1148][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1148][7]~42964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1148][7]~q\);

-- Location: LCCOMB_X6_Y11_N26
\WideAnd1148~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1148~0_combout\ = (\led_flash_cnt[1148][3]~q\ & (\led_flash_cnt[1148][7]~q\ & (\led_flash_cnt[1148][4]~q\ & \led_flash_cnt[1148][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1148][3]~q\,
	datab => \led_flash_cnt[1148][7]~q\,
	datac => \led_flash_cnt[1148][4]~q\,
	datad => \led_flash_cnt[1148][2]~q\,
	combout => \WideAnd1148~0_combout\);

-- Location: LCCOMB_X6_Y11_N24
\WideAnd1148~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1148~1_combout\ = (\led_flash_cnt[1148][1]~q\ & \led_flash_cnt[1148][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1148][1]~q\,
	datad => \led_flash_cnt[1148][5]~q\,
	combout => \WideAnd1148~1_combout\);

-- Location: LCCOMB_X6_Y11_N4
WideAnd1148 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1148~combout\ = (\WideAnd1148~0_combout\ & (\led_flash_cnt[1148][6]~q\ & (\led_flash_cnt[1148][0]~q\ & \WideAnd1148~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1148~0_combout\,
	datab => \led_flash_cnt[1148][6]~q\,
	datac => \led_flash_cnt[1148][0]~q\,
	datad => \WideAnd1148~1_combout\,
	combout => \WideAnd1148~combout\);

-- Location: FF_X6_Y11_N5
\led_flash_cnt_ands[1148]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1148~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1148));

-- Location: LCCOMB_X4_Y11_N10
\led_flash_cnt[1149][0]~81789\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1149][0]~81789_combout\ = !\led_flash_cnt[1149][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1149][0]~q\,
	combout => \led_flash_cnt[1149][0]~81789_combout\);

-- Location: FF_X4_Y11_N11
\led_flash_cnt[1149][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1149][0]~81789_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1149][0]~q\);

-- Location: LCCOMB_X4_Y11_N14
\led_flash_cnt[1149][1]~42966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1149][1]~42966_combout\ = (\led_flash_cnt[1149][0]~q\ & (\led_flash_cnt[1149][1]~q\ $ (VCC))) # (!\led_flash_cnt[1149][0]~q\ & (\led_flash_cnt[1149][1]~q\ & VCC))
-- \led_flash_cnt[1149][1]~42967\ = CARRY((\led_flash_cnt[1149][0]~q\ & \led_flash_cnt[1149][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1149][0]~q\,
	datab => \led_flash_cnt[1149][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1149][1]~42966_combout\,
	cout => \led_flash_cnt[1149][1]~42967\);

-- Location: FF_X4_Y11_N15
\led_flash_cnt[1149][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1149][1]~42966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1149][1]~q\);

-- Location: LCCOMB_X4_Y11_N16
\led_flash_cnt[1149][2]~42968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1149][2]~42968_combout\ = (\led_flash_cnt[1149][2]~q\ & (!\led_flash_cnt[1149][1]~42967\)) # (!\led_flash_cnt[1149][2]~q\ & ((\led_flash_cnt[1149][1]~42967\) # (GND)))
-- \led_flash_cnt[1149][2]~42969\ = CARRY((!\led_flash_cnt[1149][1]~42967\) # (!\led_flash_cnt[1149][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1149][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1149][1]~42967\,
	combout => \led_flash_cnt[1149][2]~42968_combout\,
	cout => \led_flash_cnt[1149][2]~42969\);

-- Location: FF_X4_Y11_N17
\led_flash_cnt[1149][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1149][2]~42968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1149][2]~q\);

-- Location: LCCOMB_X4_Y11_N18
\led_flash_cnt[1149][3]~42970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1149][3]~42970_combout\ = (\led_flash_cnt[1149][3]~q\ & (\led_flash_cnt[1149][2]~42969\ $ (GND))) # (!\led_flash_cnt[1149][3]~q\ & (!\led_flash_cnt[1149][2]~42969\ & VCC))
-- \led_flash_cnt[1149][3]~42971\ = CARRY((\led_flash_cnt[1149][3]~q\ & !\led_flash_cnt[1149][2]~42969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1149][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1149][2]~42969\,
	combout => \led_flash_cnt[1149][3]~42970_combout\,
	cout => \led_flash_cnt[1149][3]~42971\);

-- Location: FF_X4_Y11_N19
\led_flash_cnt[1149][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1149][3]~42970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1149][3]~q\);

-- Location: LCCOMB_X4_Y11_N20
\led_flash_cnt[1149][4]~42972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1149][4]~42972_combout\ = (\led_flash_cnt[1149][4]~q\ & (!\led_flash_cnt[1149][3]~42971\)) # (!\led_flash_cnt[1149][4]~q\ & ((\led_flash_cnt[1149][3]~42971\) # (GND)))
-- \led_flash_cnt[1149][4]~42973\ = CARRY((!\led_flash_cnt[1149][3]~42971\) # (!\led_flash_cnt[1149][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1149][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1149][3]~42971\,
	combout => \led_flash_cnt[1149][4]~42972_combout\,
	cout => \led_flash_cnt[1149][4]~42973\);

-- Location: FF_X4_Y11_N21
\led_flash_cnt[1149][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1149][4]~42972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1149][4]~q\);

-- Location: LCCOMB_X4_Y11_N28
\WideAnd1149~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1149~0_combout\ = (\led_flash_cnt[1149][2]~q\ & (\led_flash_cnt[1149][4]~q\ & (\led_flash_cnt[1149][1]~q\ & \led_flash_cnt[1149][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1149][2]~q\,
	datab => \led_flash_cnt[1149][4]~q\,
	datac => \led_flash_cnt[1149][1]~q\,
	datad => \led_flash_cnt[1149][3]~q\,
	combout => \WideAnd1149~0_combout\);

-- Location: LCCOMB_X4_Y11_N22
\led_flash_cnt[1149][5]~42974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1149][5]~42974_combout\ = (\led_flash_cnt[1149][5]~q\ & (\led_flash_cnt[1149][4]~42973\ $ (GND))) # (!\led_flash_cnt[1149][5]~q\ & (!\led_flash_cnt[1149][4]~42973\ & VCC))
-- \led_flash_cnt[1149][5]~42975\ = CARRY((\led_flash_cnt[1149][5]~q\ & !\led_flash_cnt[1149][4]~42973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1149][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1149][4]~42973\,
	combout => \led_flash_cnt[1149][5]~42974_combout\,
	cout => \led_flash_cnt[1149][5]~42975\);

-- Location: FF_X4_Y11_N23
\led_flash_cnt[1149][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1149][5]~42974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1149][5]~q\);

-- Location: LCCOMB_X4_Y11_N24
\led_flash_cnt[1149][6]~42976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1149][6]~42976_combout\ = (\led_flash_cnt[1149][6]~q\ & (!\led_flash_cnt[1149][5]~42975\)) # (!\led_flash_cnt[1149][6]~q\ & ((\led_flash_cnt[1149][5]~42975\) # (GND)))
-- \led_flash_cnt[1149][6]~42977\ = CARRY((!\led_flash_cnt[1149][5]~42975\) # (!\led_flash_cnt[1149][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1149][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1149][5]~42975\,
	combout => \led_flash_cnt[1149][6]~42976_combout\,
	cout => \led_flash_cnt[1149][6]~42977\);

-- Location: FF_X4_Y11_N25
\led_flash_cnt[1149][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1149][6]~42976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1149][6]~q\);

-- Location: LCCOMB_X4_Y11_N26
\led_flash_cnt[1149][7]~42978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1149][7]~42978_combout\ = \led_flash_cnt[1149][7]~q\ $ (!\led_flash_cnt[1149][6]~42977\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1149][7]~q\,
	cin => \led_flash_cnt[1149][6]~42977\,
	combout => \led_flash_cnt[1149][7]~42978_combout\);

-- Location: FF_X4_Y11_N27
\led_flash_cnt[1149][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1149][7]~42978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1149][7]~q\);

-- Location: LCCOMB_X4_Y11_N12
\WideAnd1149~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1149~1_combout\ = (\led_flash_cnt[1149][5]~q\ & \led_flash_cnt[1149][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1149][5]~q\,
	datad => \led_flash_cnt[1149][6]~q\,
	combout => \WideAnd1149~1_combout\);

-- Location: LCCOMB_X4_Y11_N0
WideAnd1149 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1149~combout\ = (\led_flash_cnt[1149][0]~q\ & (\WideAnd1149~0_combout\ & (\led_flash_cnt[1149][7]~q\ & \WideAnd1149~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1149][0]~q\,
	datab => \WideAnd1149~0_combout\,
	datac => \led_flash_cnt[1149][7]~q\,
	datad => \WideAnd1149~1_combout\,
	combout => \WideAnd1149~combout\);

-- Location: FF_X4_Y11_N1
\led_flash_cnt_ands[1149]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1149~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1149));

-- Location: LCCOMB_X6_Y11_N0
\WideAnd3983~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3983~1_combout\ = (led_flash_cnt_ands(1148) & led_flash_cnt_ands(1149))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1148),
	datac => led_flash_cnt_ands(1149),
	combout => \WideAnd3983~1_combout\);

-- Location: LCCOMB_X3_Y12_N18
\led_flash_cnt[1147][0]~81787\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1147][0]~81787_combout\ = !\led_flash_cnt[1147][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1147][0]~q\,
	combout => \led_flash_cnt[1147][0]~81787_combout\);

-- Location: FF_X3_Y12_N19
\led_flash_cnt[1147][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1147][0]~81787_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1147][0]~q\);

-- Location: LCCOMB_X3_Y12_N0
\led_flash_cnt[1147][1]~42938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1147][1]~42938_combout\ = (\led_flash_cnt[1147][0]~q\ & (\led_flash_cnt[1147][1]~q\ $ (VCC))) # (!\led_flash_cnt[1147][0]~q\ & (\led_flash_cnt[1147][1]~q\ & VCC))
-- \led_flash_cnt[1147][1]~42939\ = CARRY((\led_flash_cnt[1147][0]~q\ & \led_flash_cnt[1147][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1147][0]~q\,
	datab => \led_flash_cnt[1147][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1147][1]~42938_combout\,
	cout => \led_flash_cnt[1147][1]~42939\);

-- Location: FF_X3_Y12_N1
\led_flash_cnt[1147][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1147][1]~42938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1147][1]~q\);

-- Location: LCCOMB_X3_Y12_N2
\led_flash_cnt[1147][2]~42940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1147][2]~42940_combout\ = (\led_flash_cnt[1147][2]~q\ & (!\led_flash_cnt[1147][1]~42939\)) # (!\led_flash_cnt[1147][2]~q\ & ((\led_flash_cnt[1147][1]~42939\) # (GND)))
-- \led_flash_cnt[1147][2]~42941\ = CARRY((!\led_flash_cnt[1147][1]~42939\) # (!\led_flash_cnt[1147][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1147][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1147][1]~42939\,
	combout => \led_flash_cnt[1147][2]~42940_combout\,
	cout => \led_flash_cnt[1147][2]~42941\);

-- Location: FF_X3_Y12_N3
\led_flash_cnt[1147][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1147][2]~42940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1147][2]~q\);

-- Location: LCCOMB_X3_Y12_N4
\led_flash_cnt[1147][3]~42942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1147][3]~42942_combout\ = (\led_flash_cnt[1147][3]~q\ & (\led_flash_cnt[1147][2]~42941\ $ (GND))) # (!\led_flash_cnt[1147][3]~q\ & (!\led_flash_cnt[1147][2]~42941\ & VCC))
-- \led_flash_cnt[1147][3]~42943\ = CARRY((\led_flash_cnt[1147][3]~q\ & !\led_flash_cnt[1147][2]~42941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1147][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1147][2]~42941\,
	combout => \led_flash_cnt[1147][3]~42942_combout\,
	cout => \led_flash_cnt[1147][3]~42943\);

-- Location: FF_X3_Y12_N5
\led_flash_cnt[1147][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1147][3]~42942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1147][3]~q\);

-- Location: LCCOMB_X3_Y12_N6
\led_flash_cnt[1147][4]~42944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1147][4]~42944_combout\ = (\led_flash_cnt[1147][4]~q\ & (!\led_flash_cnt[1147][3]~42943\)) # (!\led_flash_cnt[1147][4]~q\ & ((\led_flash_cnt[1147][3]~42943\) # (GND)))
-- \led_flash_cnt[1147][4]~42945\ = CARRY((!\led_flash_cnt[1147][3]~42943\) # (!\led_flash_cnt[1147][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1147][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1147][3]~42943\,
	combout => \led_flash_cnt[1147][4]~42944_combout\,
	cout => \led_flash_cnt[1147][4]~42945\);

-- Location: FF_X3_Y12_N7
\led_flash_cnt[1147][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1147][4]~42944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1147][4]~q\);

-- Location: LCCOMB_X3_Y12_N26
\WideAnd1147~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1147~0_combout\ = (\led_flash_cnt[1147][4]~q\ & (\led_flash_cnt[1147][1]~q\ & (\led_flash_cnt[1147][3]~q\ & \led_flash_cnt[1147][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1147][4]~q\,
	datab => \led_flash_cnt[1147][1]~q\,
	datac => \led_flash_cnt[1147][3]~q\,
	datad => \led_flash_cnt[1147][2]~q\,
	combout => \WideAnd1147~0_combout\);

-- Location: LCCOMB_X3_Y12_N8
\led_flash_cnt[1147][5]~42946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1147][5]~42946_combout\ = (\led_flash_cnt[1147][5]~q\ & (\led_flash_cnt[1147][4]~42945\ $ (GND))) # (!\led_flash_cnt[1147][5]~q\ & (!\led_flash_cnt[1147][4]~42945\ & VCC))
-- \led_flash_cnt[1147][5]~42947\ = CARRY((\led_flash_cnt[1147][5]~q\ & !\led_flash_cnt[1147][4]~42945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1147][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1147][4]~42945\,
	combout => \led_flash_cnt[1147][5]~42946_combout\,
	cout => \led_flash_cnt[1147][5]~42947\);

-- Location: FF_X3_Y12_N9
\led_flash_cnt[1147][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1147][5]~42946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1147][5]~q\);

-- Location: LCCOMB_X3_Y12_N10
\led_flash_cnt[1147][6]~42948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1147][6]~42948_combout\ = (\led_flash_cnt[1147][6]~q\ & (!\led_flash_cnt[1147][5]~42947\)) # (!\led_flash_cnt[1147][6]~q\ & ((\led_flash_cnt[1147][5]~42947\) # (GND)))
-- \led_flash_cnt[1147][6]~42949\ = CARRY((!\led_flash_cnt[1147][5]~42947\) # (!\led_flash_cnt[1147][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1147][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1147][5]~42947\,
	combout => \led_flash_cnt[1147][6]~42948_combout\,
	cout => \led_flash_cnt[1147][6]~42949\);

-- Location: FF_X3_Y12_N11
\led_flash_cnt[1147][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1147][6]~42948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1147][6]~q\);

-- Location: LCCOMB_X3_Y12_N22
\WideAnd1147~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1147~1_combout\ = (\led_flash_cnt[1147][5]~q\ & \led_flash_cnt[1147][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1147][5]~q\,
	datad => \led_flash_cnt[1147][6]~q\,
	combout => \WideAnd1147~1_combout\);

-- Location: LCCOMB_X3_Y12_N12
\led_flash_cnt[1147][7]~42950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1147][7]~42950_combout\ = \led_flash_cnt[1147][6]~42949\ $ (!\led_flash_cnt[1147][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1147][7]~q\,
	cin => \led_flash_cnt[1147][6]~42949\,
	combout => \led_flash_cnt[1147][7]~42950_combout\);

-- Location: FF_X3_Y12_N13
\led_flash_cnt[1147][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1147][7]~42950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1147][7]~q\);

-- Location: LCCOMB_X3_Y12_N24
WideAnd1147 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1147~combout\ = (\WideAnd1147~0_combout\ & (\led_flash_cnt[1147][0]~q\ & (\WideAnd1147~1_combout\ & \led_flash_cnt[1147][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1147~0_combout\,
	datab => \led_flash_cnt[1147][0]~q\,
	datac => \WideAnd1147~1_combout\,
	datad => \led_flash_cnt[1147][7]~q\,
	combout => \WideAnd1147~combout\);

-- Location: FF_X3_Y12_N25
\led_flash_cnt_ands[1147]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1147~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1147));

-- Location: LCCOMB_X10_Y9_N10
\led_flash_cnt[1145][0]~81785\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1145][0]~81785_combout\ = !\led_flash_cnt[1145][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1145][0]~q\,
	combout => \led_flash_cnt[1145][0]~81785_combout\);

-- Location: FF_X10_Y9_N11
\led_flash_cnt[1145][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1145][0]~81785_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1145][0]~q\);

-- Location: LCCOMB_X10_Y9_N16
\led_flash_cnt[1145][1]~42910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1145][1]~42910_combout\ = (\led_flash_cnt[1145][0]~q\ & (\led_flash_cnt[1145][1]~q\ $ (VCC))) # (!\led_flash_cnt[1145][0]~q\ & (\led_flash_cnt[1145][1]~q\ & VCC))
-- \led_flash_cnt[1145][1]~42911\ = CARRY((\led_flash_cnt[1145][0]~q\ & \led_flash_cnt[1145][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1145][0]~q\,
	datab => \led_flash_cnt[1145][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1145][1]~42910_combout\,
	cout => \led_flash_cnt[1145][1]~42911\);

-- Location: FF_X10_Y9_N17
\led_flash_cnt[1145][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1145][1]~42910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1145][1]~q\);

-- Location: LCCOMB_X10_Y9_N18
\led_flash_cnt[1145][2]~42912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1145][2]~42912_combout\ = (\led_flash_cnt[1145][2]~q\ & (!\led_flash_cnt[1145][1]~42911\)) # (!\led_flash_cnt[1145][2]~q\ & ((\led_flash_cnt[1145][1]~42911\) # (GND)))
-- \led_flash_cnt[1145][2]~42913\ = CARRY((!\led_flash_cnt[1145][1]~42911\) # (!\led_flash_cnt[1145][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1145][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1145][1]~42911\,
	combout => \led_flash_cnt[1145][2]~42912_combout\,
	cout => \led_flash_cnt[1145][2]~42913\);

-- Location: FF_X10_Y9_N19
\led_flash_cnt[1145][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1145][2]~42912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1145][2]~q\);

-- Location: LCCOMB_X10_Y9_N20
\led_flash_cnt[1145][3]~42914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1145][3]~42914_combout\ = (\led_flash_cnt[1145][3]~q\ & (\led_flash_cnt[1145][2]~42913\ $ (GND))) # (!\led_flash_cnt[1145][3]~q\ & (!\led_flash_cnt[1145][2]~42913\ & VCC))
-- \led_flash_cnt[1145][3]~42915\ = CARRY((\led_flash_cnt[1145][3]~q\ & !\led_flash_cnt[1145][2]~42913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1145][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1145][2]~42913\,
	combout => \led_flash_cnt[1145][3]~42914_combout\,
	cout => \led_flash_cnt[1145][3]~42915\);

-- Location: FF_X10_Y9_N21
\led_flash_cnt[1145][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1145][3]~42914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1145][3]~q\);

-- Location: LCCOMB_X10_Y9_N22
\led_flash_cnt[1145][4]~42916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1145][4]~42916_combout\ = (\led_flash_cnt[1145][4]~q\ & (!\led_flash_cnt[1145][3]~42915\)) # (!\led_flash_cnt[1145][4]~q\ & ((\led_flash_cnt[1145][3]~42915\) # (GND)))
-- \led_flash_cnt[1145][4]~42917\ = CARRY((!\led_flash_cnt[1145][3]~42915\) # (!\led_flash_cnt[1145][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1145][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1145][3]~42915\,
	combout => \led_flash_cnt[1145][4]~42916_combout\,
	cout => \led_flash_cnt[1145][4]~42917\);

-- Location: FF_X10_Y9_N23
\led_flash_cnt[1145][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1145][4]~42916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1145][4]~q\);

-- Location: LCCOMB_X10_Y9_N24
\led_flash_cnt[1145][5]~42918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1145][5]~42918_combout\ = (\led_flash_cnt[1145][5]~q\ & (\led_flash_cnt[1145][4]~42917\ $ (GND))) # (!\led_flash_cnt[1145][5]~q\ & (!\led_flash_cnt[1145][4]~42917\ & VCC))
-- \led_flash_cnt[1145][5]~42919\ = CARRY((\led_flash_cnt[1145][5]~q\ & !\led_flash_cnt[1145][4]~42917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1145][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1145][4]~42917\,
	combout => \led_flash_cnt[1145][5]~42918_combout\,
	cout => \led_flash_cnt[1145][5]~42919\);

-- Location: FF_X10_Y9_N25
\led_flash_cnt[1145][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1145][5]~42918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1145][5]~q\);

-- Location: LCCOMB_X10_Y9_N26
\led_flash_cnt[1145][6]~42920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1145][6]~42920_combout\ = (\led_flash_cnt[1145][6]~q\ & (!\led_flash_cnt[1145][5]~42919\)) # (!\led_flash_cnt[1145][6]~q\ & ((\led_flash_cnt[1145][5]~42919\) # (GND)))
-- \led_flash_cnt[1145][6]~42921\ = CARRY((!\led_flash_cnt[1145][5]~42919\) # (!\led_flash_cnt[1145][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1145][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1145][5]~42919\,
	combout => \led_flash_cnt[1145][6]~42920_combout\,
	cout => \led_flash_cnt[1145][6]~42921\);

-- Location: FF_X10_Y9_N27
\led_flash_cnt[1145][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1145][6]~42920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1145][6]~q\);

-- Location: LCCOMB_X10_Y9_N12
\WideAnd1145~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1145~1_combout\ = (\led_flash_cnt[1145][6]~q\ & \led_flash_cnt[1145][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1145][6]~q\,
	datad => \led_flash_cnt[1145][5]~q\,
	combout => \WideAnd1145~1_combout\);

-- Location: LCCOMB_X10_Y9_N28
\led_flash_cnt[1145][7]~42922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1145][7]~42922_combout\ = \led_flash_cnt[1145][6]~42921\ $ (!\led_flash_cnt[1145][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1145][7]~q\,
	cin => \led_flash_cnt[1145][6]~42921\,
	combout => \led_flash_cnt[1145][7]~42922_combout\);

-- Location: FF_X10_Y9_N29
\led_flash_cnt[1145][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1145][7]~42922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1145][7]~q\);

-- Location: LCCOMB_X10_Y9_N14
\WideAnd1145~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1145~0_combout\ = (\led_flash_cnt[1145][3]~q\ & (\led_flash_cnt[1145][1]~q\ & (\led_flash_cnt[1145][4]~q\ & \led_flash_cnt[1145][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1145][3]~q\,
	datab => \led_flash_cnt[1145][1]~q\,
	datac => \led_flash_cnt[1145][4]~q\,
	datad => \led_flash_cnt[1145][2]~q\,
	combout => \WideAnd1145~0_combout\);

-- Location: LCCOMB_X10_Y9_N4
WideAnd1145 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1145~combout\ = (\WideAnd1145~1_combout\ & (\led_flash_cnt[1145][7]~q\ & (\WideAnd1145~0_combout\ & \led_flash_cnt[1145][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1145~1_combout\,
	datab => \led_flash_cnt[1145][7]~q\,
	datac => \WideAnd1145~0_combout\,
	datad => \led_flash_cnt[1145][0]~q\,
	combout => \WideAnd1145~combout\);

-- Location: FF_X10_Y9_N5
\led_flash_cnt_ands[1145]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1145~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1145));

-- Location: LCCOMB_X10_Y8_N30
\led_flash_cnt[1146][0]~81786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1146][0]~81786_combout\ = !\led_flash_cnt[1146][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1146][0]~q\,
	combout => \led_flash_cnt[1146][0]~81786_combout\);

-- Location: FF_X10_Y8_N31
\led_flash_cnt[1146][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1146][0]~81786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1146][0]~q\);

-- Location: LCCOMB_X10_Y8_N8
\led_flash_cnt[1146][1]~42924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1146][1]~42924_combout\ = (\led_flash_cnt[1146][0]~q\ & (\led_flash_cnt[1146][1]~q\ $ (VCC))) # (!\led_flash_cnt[1146][0]~q\ & (\led_flash_cnt[1146][1]~q\ & VCC))
-- \led_flash_cnt[1146][1]~42925\ = CARRY((\led_flash_cnt[1146][0]~q\ & \led_flash_cnt[1146][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1146][0]~q\,
	datab => \led_flash_cnt[1146][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1146][1]~42924_combout\,
	cout => \led_flash_cnt[1146][1]~42925\);

-- Location: FF_X10_Y8_N9
\led_flash_cnt[1146][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1146][1]~42924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1146][1]~q\);

-- Location: LCCOMB_X10_Y8_N10
\led_flash_cnt[1146][2]~42926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1146][2]~42926_combout\ = (\led_flash_cnt[1146][2]~q\ & (!\led_flash_cnt[1146][1]~42925\)) # (!\led_flash_cnt[1146][2]~q\ & ((\led_flash_cnt[1146][1]~42925\) # (GND)))
-- \led_flash_cnt[1146][2]~42927\ = CARRY((!\led_flash_cnt[1146][1]~42925\) # (!\led_flash_cnt[1146][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1146][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1146][1]~42925\,
	combout => \led_flash_cnt[1146][2]~42926_combout\,
	cout => \led_flash_cnt[1146][2]~42927\);

-- Location: FF_X10_Y8_N11
\led_flash_cnt[1146][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1146][2]~42926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1146][2]~q\);

-- Location: LCCOMB_X10_Y8_N12
\led_flash_cnt[1146][3]~42928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1146][3]~42928_combout\ = (\led_flash_cnt[1146][3]~q\ & (\led_flash_cnt[1146][2]~42927\ $ (GND))) # (!\led_flash_cnt[1146][3]~q\ & (!\led_flash_cnt[1146][2]~42927\ & VCC))
-- \led_flash_cnt[1146][3]~42929\ = CARRY((\led_flash_cnt[1146][3]~q\ & !\led_flash_cnt[1146][2]~42927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1146][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1146][2]~42927\,
	combout => \led_flash_cnt[1146][3]~42928_combout\,
	cout => \led_flash_cnt[1146][3]~42929\);

-- Location: FF_X10_Y8_N13
\led_flash_cnt[1146][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1146][3]~42928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1146][3]~q\);

-- Location: LCCOMB_X10_Y8_N14
\led_flash_cnt[1146][4]~42930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1146][4]~42930_combout\ = (\led_flash_cnt[1146][4]~q\ & (!\led_flash_cnt[1146][3]~42929\)) # (!\led_flash_cnt[1146][4]~q\ & ((\led_flash_cnt[1146][3]~42929\) # (GND)))
-- \led_flash_cnt[1146][4]~42931\ = CARRY((!\led_flash_cnt[1146][3]~42929\) # (!\led_flash_cnt[1146][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1146][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1146][3]~42929\,
	combout => \led_flash_cnt[1146][4]~42930_combout\,
	cout => \led_flash_cnt[1146][4]~42931\);

-- Location: FF_X10_Y8_N15
\led_flash_cnt[1146][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1146][4]~42930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1146][4]~q\);

-- Location: LCCOMB_X10_Y8_N26
\WideAnd1146~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1146~0_combout\ = (\led_flash_cnt[1146][2]~q\ & (\led_flash_cnt[1146][1]~q\ & (\led_flash_cnt[1146][4]~q\ & \led_flash_cnt[1146][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1146][2]~q\,
	datab => \led_flash_cnt[1146][1]~q\,
	datac => \led_flash_cnt[1146][4]~q\,
	datad => \led_flash_cnt[1146][3]~q\,
	combout => \WideAnd1146~0_combout\);

-- Location: LCCOMB_X10_Y8_N16
\led_flash_cnt[1146][5]~42932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1146][5]~42932_combout\ = (\led_flash_cnt[1146][5]~q\ & (\led_flash_cnt[1146][4]~42931\ $ (GND))) # (!\led_flash_cnt[1146][5]~q\ & (!\led_flash_cnt[1146][4]~42931\ & VCC))
-- \led_flash_cnt[1146][5]~42933\ = CARRY((\led_flash_cnt[1146][5]~q\ & !\led_flash_cnt[1146][4]~42931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1146][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1146][4]~42931\,
	combout => \led_flash_cnt[1146][5]~42932_combout\,
	cout => \led_flash_cnt[1146][5]~42933\);

-- Location: FF_X10_Y8_N17
\led_flash_cnt[1146][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1146][5]~42932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1146][5]~q\);

-- Location: LCCOMB_X10_Y8_N18
\led_flash_cnt[1146][6]~42934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1146][6]~42934_combout\ = (\led_flash_cnt[1146][6]~q\ & (!\led_flash_cnt[1146][5]~42933\)) # (!\led_flash_cnt[1146][6]~q\ & ((\led_flash_cnt[1146][5]~42933\) # (GND)))
-- \led_flash_cnt[1146][6]~42935\ = CARRY((!\led_flash_cnt[1146][5]~42933\) # (!\led_flash_cnt[1146][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1146][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1146][5]~42933\,
	combout => \led_flash_cnt[1146][6]~42934_combout\,
	cout => \led_flash_cnt[1146][6]~42935\);

-- Location: FF_X10_Y8_N19
\led_flash_cnt[1146][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1146][6]~42934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1146][6]~q\);

-- Location: LCCOMB_X10_Y8_N24
\WideAnd1146~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1146~1_combout\ = (\led_flash_cnt[1146][5]~q\ & \led_flash_cnt[1146][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1146][5]~q\,
	datad => \led_flash_cnt[1146][6]~q\,
	combout => \WideAnd1146~1_combout\);

-- Location: LCCOMB_X10_Y8_N20
\led_flash_cnt[1146][7]~42936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1146][7]~42936_combout\ = \led_flash_cnt[1146][6]~42935\ $ (!\led_flash_cnt[1146][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1146][7]~q\,
	cin => \led_flash_cnt[1146][6]~42935\,
	combout => \led_flash_cnt[1146][7]~42936_combout\);

-- Location: FF_X10_Y8_N21
\led_flash_cnt[1146][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1146][7]~42936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1146][7]~q\);

-- Location: LCCOMB_X10_Y8_N22
WideAnd1146 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1146~combout\ = (\WideAnd1146~0_combout\ & (\WideAnd1146~1_combout\ & (\led_flash_cnt[1146][0]~q\ & \led_flash_cnt[1146][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1146~0_combout\,
	datab => \WideAnd1146~1_combout\,
	datac => \led_flash_cnt[1146][0]~q\,
	datad => \led_flash_cnt[1146][7]~q\,
	combout => \WideAnd1146~combout\);

-- Location: FF_X10_Y8_N23
\led_flash_cnt_ands[1146]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1146~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1146));

-- Location: LCCOMB_X8_Y12_N24
\led_flash_cnt[1144][0]~81784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1144][0]~81784_combout\ = !\led_flash_cnt[1144][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1144][0]~q\,
	combout => \led_flash_cnt[1144][0]~81784_combout\);

-- Location: FF_X8_Y12_N25
\led_flash_cnt[1144][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1144][0]~81784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1144][0]~q\);

-- Location: LCCOMB_X8_Y12_N2
\led_flash_cnt[1144][1]~42896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1144][1]~42896_combout\ = (\led_flash_cnt[1144][0]~q\ & (\led_flash_cnt[1144][1]~q\ $ (VCC))) # (!\led_flash_cnt[1144][0]~q\ & (\led_flash_cnt[1144][1]~q\ & VCC))
-- \led_flash_cnt[1144][1]~42897\ = CARRY((\led_flash_cnt[1144][0]~q\ & \led_flash_cnt[1144][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1144][0]~q\,
	datab => \led_flash_cnt[1144][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1144][1]~42896_combout\,
	cout => \led_flash_cnt[1144][1]~42897\);

-- Location: FF_X8_Y12_N3
\led_flash_cnt[1144][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1144][1]~42896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1144][1]~q\);

-- Location: LCCOMB_X8_Y12_N4
\led_flash_cnt[1144][2]~42898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1144][2]~42898_combout\ = (\led_flash_cnt[1144][2]~q\ & (!\led_flash_cnt[1144][1]~42897\)) # (!\led_flash_cnt[1144][2]~q\ & ((\led_flash_cnt[1144][1]~42897\) # (GND)))
-- \led_flash_cnt[1144][2]~42899\ = CARRY((!\led_flash_cnt[1144][1]~42897\) # (!\led_flash_cnt[1144][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1144][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1144][1]~42897\,
	combout => \led_flash_cnt[1144][2]~42898_combout\,
	cout => \led_flash_cnt[1144][2]~42899\);

-- Location: FF_X8_Y12_N5
\led_flash_cnt[1144][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1144][2]~42898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1144][2]~q\);

-- Location: LCCOMB_X8_Y12_N6
\led_flash_cnt[1144][3]~42900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1144][3]~42900_combout\ = (\led_flash_cnt[1144][3]~q\ & (\led_flash_cnt[1144][2]~42899\ $ (GND))) # (!\led_flash_cnt[1144][3]~q\ & (!\led_flash_cnt[1144][2]~42899\ & VCC))
-- \led_flash_cnt[1144][3]~42901\ = CARRY((\led_flash_cnt[1144][3]~q\ & !\led_flash_cnt[1144][2]~42899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1144][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1144][2]~42899\,
	combout => \led_flash_cnt[1144][3]~42900_combout\,
	cout => \led_flash_cnt[1144][3]~42901\);

-- Location: FF_X8_Y12_N7
\led_flash_cnt[1144][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1144][3]~42900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1144][3]~q\);

-- Location: LCCOMB_X8_Y12_N8
\led_flash_cnt[1144][4]~42902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1144][4]~42902_combout\ = (\led_flash_cnt[1144][4]~q\ & (!\led_flash_cnt[1144][3]~42901\)) # (!\led_flash_cnt[1144][4]~q\ & ((\led_flash_cnt[1144][3]~42901\) # (GND)))
-- \led_flash_cnt[1144][4]~42903\ = CARRY((!\led_flash_cnt[1144][3]~42901\) # (!\led_flash_cnt[1144][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1144][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1144][3]~42901\,
	combout => \led_flash_cnt[1144][4]~42902_combout\,
	cout => \led_flash_cnt[1144][4]~42903\);

-- Location: FF_X8_Y12_N9
\led_flash_cnt[1144][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1144][4]~42902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1144][4]~q\);

-- Location: LCCOMB_X8_Y12_N26
\WideAnd1144~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1144~0_combout\ = (\led_flash_cnt[1144][3]~q\ & (\led_flash_cnt[1144][4]~q\ & (\led_flash_cnt[1144][2]~q\ & \led_flash_cnt[1144][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1144][3]~q\,
	datab => \led_flash_cnt[1144][4]~q\,
	datac => \led_flash_cnt[1144][2]~q\,
	datad => \led_flash_cnt[1144][1]~q\,
	combout => \WideAnd1144~0_combout\);

-- Location: LCCOMB_X8_Y12_N10
\led_flash_cnt[1144][5]~42904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1144][5]~42904_combout\ = (\led_flash_cnt[1144][5]~q\ & (\led_flash_cnt[1144][4]~42903\ $ (GND))) # (!\led_flash_cnt[1144][5]~q\ & (!\led_flash_cnt[1144][4]~42903\ & VCC))
-- \led_flash_cnt[1144][5]~42905\ = CARRY((\led_flash_cnt[1144][5]~q\ & !\led_flash_cnt[1144][4]~42903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1144][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1144][4]~42903\,
	combout => \led_flash_cnt[1144][5]~42904_combout\,
	cout => \led_flash_cnt[1144][5]~42905\);

-- Location: FF_X8_Y12_N11
\led_flash_cnt[1144][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1144][5]~42904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1144][5]~q\);

-- Location: LCCOMB_X8_Y12_N12
\led_flash_cnt[1144][6]~42906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1144][6]~42906_combout\ = (\led_flash_cnt[1144][6]~q\ & (!\led_flash_cnt[1144][5]~42905\)) # (!\led_flash_cnt[1144][6]~q\ & ((\led_flash_cnt[1144][5]~42905\) # (GND)))
-- \led_flash_cnt[1144][6]~42907\ = CARRY((!\led_flash_cnt[1144][5]~42905\) # (!\led_flash_cnt[1144][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1144][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1144][5]~42905\,
	combout => \led_flash_cnt[1144][6]~42906_combout\,
	cout => \led_flash_cnt[1144][6]~42907\);

-- Location: FF_X8_Y12_N13
\led_flash_cnt[1144][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1144][6]~42906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1144][6]~q\);

-- Location: LCCOMB_X8_Y12_N14
\led_flash_cnt[1144][7]~42908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1144][7]~42908_combout\ = \led_flash_cnt[1144][7]~q\ $ (!\led_flash_cnt[1144][6]~42907\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1144][7]~q\,
	cin => \led_flash_cnt[1144][6]~42907\,
	combout => \led_flash_cnt[1144][7]~42908_combout\);

-- Location: FF_X8_Y12_N15
\led_flash_cnt[1144][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1144][7]~42908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1144][7]~q\);

-- Location: LCCOMB_X8_Y12_N18
\WideAnd1144~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1144~1_combout\ = (\led_flash_cnt[1144][6]~q\ & \led_flash_cnt[1144][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1144][6]~q\,
	datad => \led_flash_cnt[1144][5]~q\,
	combout => \WideAnd1144~1_combout\);

-- Location: LCCOMB_X8_Y12_N28
WideAnd1144 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1144~combout\ = (\WideAnd1144~0_combout\ & (\led_flash_cnt[1144][0]~q\ & (\led_flash_cnt[1144][7]~q\ & \WideAnd1144~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1144~0_combout\,
	datab => \led_flash_cnt[1144][0]~q\,
	datac => \led_flash_cnt[1144][7]~q\,
	datad => \WideAnd1144~1_combout\,
	combout => \WideAnd1144~combout\);

-- Location: FF_X8_Y12_N29
\led_flash_cnt_ands[1144]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1144~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1144));

-- Location: LCCOMB_X7_Y12_N24
\WideAnd3983~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3983~0_combout\ = (led_flash_cnt_ands(1147) & (led_flash_cnt_ands(1145) & (led_flash_cnt_ands(1146) & led_flash_cnt_ands(1144))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1147),
	datab => led_flash_cnt_ands(1145),
	datac => led_flash_cnt_ands(1146),
	datad => led_flash_cnt_ands(1144),
	combout => \WideAnd3983~0_combout\);

-- Location: LCCOMB_X4_Y12_N24
\led_flash_cnt[1150][0]~81790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1150][0]~81790_combout\ = !\led_flash_cnt[1150][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1150][0]~q\,
	combout => \led_flash_cnt[1150][0]~81790_combout\);

-- Location: FF_X4_Y12_N25
\led_flash_cnt[1150][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1150][0]~81790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1150][0]~q\);

-- Location: LCCOMB_X4_Y12_N10
\led_flash_cnt[1150][1]~42980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1150][1]~42980_combout\ = (\led_flash_cnt[1150][1]~q\ & (\led_flash_cnt[1150][0]~q\ $ (VCC))) # (!\led_flash_cnt[1150][1]~q\ & (\led_flash_cnt[1150][0]~q\ & VCC))
-- \led_flash_cnt[1150][1]~42981\ = CARRY((\led_flash_cnt[1150][1]~q\ & \led_flash_cnt[1150][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1150][1]~q\,
	datab => \led_flash_cnt[1150][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1150][1]~42980_combout\,
	cout => \led_flash_cnt[1150][1]~42981\);

-- Location: FF_X4_Y12_N11
\led_flash_cnt[1150][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1150][1]~42980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1150][1]~q\);

-- Location: LCCOMB_X4_Y12_N12
\led_flash_cnt[1150][2]~42982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1150][2]~42982_combout\ = (\led_flash_cnt[1150][2]~q\ & (!\led_flash_cnt[1150][1]~42981\)) # (!\led_flash_cnt[1150][2]~q\ & ((\led_flash_cnt[1150][1]~42981\) # (GND)))
-- \led_flash_cnt[1150][2]~42983\ = CARRY((!\led_flash_cnt[1150][1]~42981\) # (!\led_flash_cnt[1150][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1150][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1150][1]~42981\,
	combout => \led_flash_cnt[1150][2]~42982_combout\,
	cout => \led_flash_cnt[1150][2]~42983\);

-- Location: FF_X4_Y12_N13
\led_flash_cnt[1150][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1150][2]~42982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1150][2]~q\);

-- Location: LCCOMB_X4_Y12_N14
\led_flash_cnt[1150][3]~42984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1150][3]~42984_combout\ = (\led_flash_cnt[1150][3]~q\ & (\led_flash_cnt[1150][2]~42983\ $ (GND))) # (!\led_flash_cnt[1150][3]~q\ & (!\led_flash_cnt[1150][2]~42983\ & VCC))
-- \led_flash_cnt[1150][3]~42985\ = CARRY((\led_flash_cnt[1150][3]~q\ & !\led_flash_cnt[1150][2]~42983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1150][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1150][2]~42983\,
	combout => \led_flash_cnt[1150][3]~42984_combout\,
	cout => \led_flash_cnt[1150][3]~42985\);

-- Location: FF_X4_Y12_N15
\led_flash_cnt[1150][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1150][3]~42984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1150][3]~q\);

-- Location: LCCOMB_X4_Y12_N16
\led_flash_cnt[1150][4]~42986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1150][4]~42986_combout\ = (\led_flash_cnt[1150][4]~q\ & (!\led_flash_cnt[1150][3]~42985\)) # (!\led_flash_cnt[1150][4]~q\ & ((\led_flash_cnt[1150][3]~42985\) # (GND)))
-- \led_flash_cnt[1150][4]~42987\ = CARRY((!\led_flash_cnt[1150][3]~42985\) # (!\led_flash_cnt[1150][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1150][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1150][3]~42985\,
	combout => \led_flash_cnt[1150][4]~42986_combout\,
	cout => \led_flash_cnt[1150][4]~42987\);

-- Location: FF_X4_Y12_N17
\led_flash_cnt[1150][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1150][4]~42986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1150][4]~q\);

-- Location: LCCOMB_X4_Y12_N26
\WideAnd1150~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1150~0_combout\ = (\led_flash_cnt[1150][2]~q\ & (\led_flash_cnt[1150][4]~q\ & (\led_flash_cnt[1150][3]~q\ & \led_flash_cnt[1150][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1150][2]~q\,
	datab => \led_flash_cnt[1150][4]~q\,
	datac => \led_flash_cnt[1150][3]~q\,
	datad => \led_flash_cnt[1150][1]~q\,
	combout => \WideAnd1150~0_combout\);

-- Location: LCCOMB_X4_Y12_N18
\led_flash_cnt[1150][5]~42988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1150][5]~42988_combout\ = (\led_flash_cnt[1150][5]~q\ & (\led_flash_cnt[1150][4]~42987\ $ (GND))) # (!\led_flash_cnt[1150][5]~q\ & (!\led_flash_cnt[1150][4]~42987\ & VCC))
-- \led_flash_cnt[1150][5]~42989\ = CARRY((\led_flash_cnt[1150][5]~q\ & !\led_flash_cnt[1150][4]~42987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1150][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1150][4]~42987\,
	combout => \led_flash_cnt[1150][5]~42988_combout\,
	cout => \led_flash_cnt[1150][5]~42989\);

-- Location: FF_X4_Y12_N19
\led_flash_cnt[1150][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1150][5]~42988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1150][5]~q\);

-- Location: LCCOMB_X4_Y12_N20
\led_flash_cnt[1150][6]~42990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1150][6]~42990_combout\ = (\led_flash_cnt[1150][6]~q\ & (!\led_flash_cnt[1150][5]~42989\)) # (!\led_flash_cnt[1150][6]~q\ & ((\led_flash_cnt[1150][5]~42989\) # (GND)))
-- \led_flash_cnt[1150][6]~42991\ = CARRY((!\led_flash_cnt[1150][5]~42989\) # (!\led_flash_cnt[1150][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1150][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1150][5]~42989\,
	combout => \led_flash_cnt[1150][6]~42990_combout\,
	cout => \led_flash_cnt[1150][6]~42991\);

-- Location: FF_X4_Y12_N21
\led_flash_cnt[1150][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1150][6]~42990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1150][6]~q\);

-- Location: LCCOMB_X4_Y12_N22
\led_flash_cnt[1150][7]~42992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1150][7]~42992_combout\ = \led_flash_cnt[1150][7]~q\ $ (!\led_flash_cnt[1150][6]~42991\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1150][7]~q\,
	cin => \led_flash_cnt[1150][6]~42991\,
	combout => \led_flash_cnt[1150][7]~42992_combout\);

-- Location: FF_X4_Y12_N23
\led_flash_cnt[1150][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1150][7]~42992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1150][7]~q\);

-- Location: LCCOMB_X4_Y12_N28
\WideAnd1150~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1150~1_combout\ = (\led_flash_cnt[1150][5]~q\ & \led_flash_cnt[1150][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1150][5]~q\,
	datad => \led_flash_cnt[1150][6]~q\,
	combout => \WideAnd1150~1_combout\);

-- Location: LCCOMB_X4_Y12_N4
WideAnd1150 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1150~combout\ = (\WideAnd1150~0_combout\ & (\led_flash_cnt[1150][0]~q\ & (\led_flash_cnt[1150][7]~q\ & \WideAnd1150~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1150~0_combout\,
	datab => \led_flash_cnt[1150][0]~q\,
	datac => \led_flash_cnt[1150][7]~q\,
	datad => \WideAnd1150~1_combout\,
	combout => \WideAnd1150~combout\);

-- Location: FF_X4_Y12_N5
\led_flash_cnt_ands[1150]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1150~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1150));

-- Location: LCCOMB_X7_Y12_N26
\led_flash_cnt[1151][0]~81791\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1151][0]~81791_combout\ = !\led_flash_cnt[1151][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1151][0]~q\,
	combout => \led_flash_cnt[1151][0]~81791_combout\);

-- Location: FF_X7_Y12_N27
\led_flash_cnt[1151][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1151][0]~81791_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1151][0]~q\);

-- Location: LCCOMB_X7_Y12_N2
\led_flash_cnt[1151][1]~42994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1151][1]~42994_combout\ = (\led_flash_cnt[1151][0]~q\ & (\led_flash_cnt[1151][1]~q\ $ (VCC))) # (!\led_flash_cnt[1151][0]~q\ & (\led_flash_cnt[1151][1]~q\ & VCC))
-- \led_flash_cnt[1151][1]~42995\ = CARRY((\led_flash_cnt[1151][0]~q\ & \led_flash_cnt[1151][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1151][0]~q\,
	datab => \led_flash_cnt[1151][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1151][1]~42994_combout\,
	cout => \led_flash_cnt[1151][1]~42995\);

-- Location: FF_X7_Y12_N3
\led_flash_cnt[1151][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1151][1]~42994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1151][1]~q\);

-- Location: LCCOMB_X7_Y12_N4
\led_flash_cnt[1151][2]~42996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1151][2]~42996_combout\ = (\led_flash_cnt[1151][2]~q\ & (!\led_flash_cnt[1151][1]~42995\)) # (!\led_flash_cnt[1151][2]~q\ & ((\led_flash_cnt[1151][1]~42995\) # (GND)))
-- \led_flash_cnt[1151][2]~42997\ = CARRY((!\led_flash_cnt[1151][1]~42995\) # (!\led_flash_cnt[1151][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1151][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1151][1]~42995\,
	combout => \led_flash_cnt[1151][2]~42996_combout\,
	cout => \led_flash_cnt[1151][2]~42997\);

-- Location: FF_X7_Y12_N5
\led_flash_cnt[1151][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1151][2]~42996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1151][2]~q\);

-- Location: LCCOMB_X7_Y12_N6
\led_flash_cnt[1151][3]~42998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1151][3]~42998_combout\ = (\led_flash_cnt[1151][3]~q\ & (\led_flash_cnt[1151][2]~42997\ $ (GND))) # (!\led_flash_cnt[1151][3]~q\ & (!\led_flash_cnt[1151][2]~42997\ & VCC))
-- \led_flash_cnt[1151][3]~42999\ = CARRY((\led_flash_cnt[1151][3]~q\ & !\led_flash_cnt[1151][2]~42997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1151][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1151][2]~42997\,
	combout => \led_flash_cnt[1151][3]~42998_combout\,
	cout => \led_flash_cnt[1151][3]~42999\);

-- Location: FF_X7_Y12_N7
\led_flash_cnt[1151][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1151][3]~42998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1151][3]~q\);

-- Location: LCCOMB_X7_Y12_N8
\led_flash_cnt[1151][4]~43000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1151][4]~43000_combout\ = (\led_flash_cnt[1151][4]~q\ & (!\led_flash_cnt[1151][3]~42999\)) # (!\led_flash_cnt[1151][4]~q\ & ((\led_flash_cnt[1151][3]~42999\) # (GND)))
-- \led_flash_cnt[1151][4]~43001\ = CARRY((!\led_flash_cnt[1151][3]~42999\) # (!\led_flash_cnt[1151][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1151][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1151][3]~42999\,
	combout => \led_flash_cnt[1151][4]~43000_combout\,
	cout => \led_flash_cnt[1151][4]~43001\);

-- Location: FF_X7_Y12_N9
\led_flash_cnt[1151][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1151][4]~43000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1151][4]~q\);

-- Location: LCCOMB_X7_Y12_N22
\WideAnd1151~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1151~0_combout\ = (\led_flash_cnt[1151][3]~q\ & (\led_flash_cnt[1151][2]~q\ & (\led_flash_cnt[1151][4]~q\ & \led_flash_cnt[1151][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1151][3]~q\,
	datab => \led_flash_cnt[1151][2]~q\,
	datac => \led_flash_cnt[1151][4]~q\,
	datad => \led_flash_cnt[1151][1]~q\,
	combout => \WideAnd1151~0_combout\);

-- Location: LCCOMB_X7_Y12_N10
\led_flash_cnt[1151][5]~43002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1151][5]~43002_combout\ = (\led_flash_cnt[1151][5]~q\ & (\led_flash_cnt[1151][4]~43001\ $ (GND))) # (!\led_flash_cnt[1151][5]~q\ & (!\led_flash_cnt[1151][4]~43001\ & VCC))
-- \led_flash_cnt[1151][5]~43003\ = CARRY((\led_flash_cnt[1151][5]~q\ & !\led_flash_cnt[1151][4]~43001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1151][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1151][4]~43001\,
	combout => \led_flash_cnt[1151][5]~43002_combout\,
	cout => \led_flash_cnt[1151][5]~43003\);

-- Location: FF_X7_Y12_N11
\led_flash_cnt[1151][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1151][5]~43002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1151][5]~q\);

-- Location: LCCOMB_X7_Y12_N12
\led_flash_cnt[1151][6]~43004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1151][6]~43004_combout\ = (\led_flash_cnt[1151][6]~q\ & (!\led_flash_cnt[1151][5]~43003\)) # (!\led_flash_cnt[1151][6]~q\ & ((\led_flash_cnt[1151][5]~43003\) # (GND)))
-- \led_flash_cnt[1151][6]~43005\ = CARRY((!\led_flash_cnt[1151][5]~43003\) # (!\led_flash_cnt[1151][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1151][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1151][5]~43003\,
	combout => \led_flash_cnt[1151][6]~43004_combout\,
	cout => \led_flash_cnt[1151][6]~43005\);

-- Location: FF_X7_Y12_N13
\led_flash_cnt[1151][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1151][6]~43004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1151][6]~q\);

-- Location: LCCOMB_X7_Y12_N14
\led_flash_cnt[1151][7]~43006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1151][7]~43006_combout\ = \led_flash_cnt[1151][7]~q\ $ (!\led_flash_cnt[1151][6]~43005\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1151][7]~q\,
	cin => \led_flash_cnt[1151][6]~43005\,
	combout => \led_flash_cnt[1151][7]~43006_combout\);

-- Location: FF_X7_Y12_N15
\led_flash_cnt[1151][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1151][7]~43006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1151][7]~q\);

-- Location: LCCOMB_X7_Y12_N18
\WideAnd1151~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1151~1_combout\ = (\led_flash_cnt[1151][5]~q\ & \led_flash_cnt[1151][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1151][5]~q\,
	datad => \led_flash_cnt[1151][6]~q\,
	combout => \WideAnd1151~1_combout\);

-- Location: LCCOMB_X7_Y12_N28
WideAnd1151 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1151~combout\ = (\WideAnd1151~0_combout\ & (\led_flash_cnt[1151][7]~q\ & (\led_flash_cnt[1151][0]~q\ & \WideAnd1151~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1151~0_combout\,
	datab => \led_flash_cnt[1151][7]~q\,
	datac => \led_flash_cnt[1151][0]~q\,
	datad => \WideAnd1151~1_combout\,
	combout => \WideAnd1151~combout\);

-- Location: FF_X7_Y12_N29
\led_flash_cnt_ands[1151]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1151~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1151));

-- Location: LCCOMB_X7_Y12_N16
WideAnd3983 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3983~combout\ = (\WideAnd3983~1_combout\ & (\WideAnd3983~0_combout\ & (led_flash_cnt_ands(1150) & led_flash_cnt_ands(1151))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3983~1_combout\,
	datab => \WideAnd3983~0_combout\,
	datac => led_flash_cnt_ands(1150),
	datad => led_flash_cnt_ands(1151),
	combout => \WideAnd3983~combout\);

-- Location: FF_X7_Y12_N17
\led_flash_cnt_ands_1[143]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3983~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(143));

-- Location: LCCOMB_X7_Y12_N0
WideAnd4337 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4337~combout\ = (\WideAnd4337~0_combout\ & (led_flash_cnt_ands_1(142) & (\WideAnd4337~1_combout\ & led_flash_cnt_ands_1(143))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4337~0_combout\,
	datab => led_flash_cnt_ands_1(142),
	datac => \WideAnd4337~1_combout\,
	datad => led_flash_cnt_ands_1(143),
	combout => \WideAnd4337~combout\);

-- Location: FF_X7_Y12_N1
\led_flash_cnt_ands_2[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4337~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(17));

-- Location: LCCOMB_X18_Y11_N2
\led_flash_cnt[1246][0]~81886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1246][0]~81886_combout\ = !\led_flash_cnt[1246][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1246][0]~q\,
	combout => \led_flash_cnt[1246][0]~81886_combout\);

-- Location: FF_X18_Y11_N3
\led_flash_cnt[1246][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1246][0]~81886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1246][0]~q\);

-- Location: LCCOMB_X17_Y11_N0
\led_flash_cnt[1246][1]~44324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1246][1]~44324_combout\ = (\led_flash_cnt[1246][0]~q\ & (\led_flash_cnt[1246][1]~q\ $ (VCC))) # (!\led_flash_cnt[1246][0]~q\ & (\led_flash_cnt[1246][1]~q\ & VCC))
-- \led_flash_cnt[1246][1]~44325\ = CARRY((\led_flash_cnt[1246][0]~q\ & \led_flash_cnt[1246][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1246][0]~q\,
	datab => \led_flash_cnt[1246][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1246][1]~44324_combout\,
	cout => \led_flash_cnt[1246][1]~44325\);

-- Location: FF_X17_Y11_N1
\led_flash_cnt[1246][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1246][1]~44324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1246][1]~q\);

-- Location: LCCOMB_X17_Y11_N2
\led_flash_cnt[1246][2]~44326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1246][2]~44326_combout\ = (\led_flash_cnt[1246][2]~q\ & (!\led_flash_cnt[1246][1]~44325\)) # (!\led_flash_cnt[1246][2]~q\ & ((\led_flash_cnt[1246][1]~44325\) # (GND)))
-- \led_flash_cnt[1246][2]~44327\ = CARRY((!\led_flash_cnt[1246][1]~44325\) # (!\led_flash_cnt[1246][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1246][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1246][1]~44325\,
	combout => \led_flash_cnt[1246][2]~44326_combout\,
	cout => \led_flash_cnt[1246][2]~44327\);

-- Location: FF_X17_Y11_N3
\led_flash_cnt[1246][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1246][2]~44326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1246][2]~q\);

-- Location: LCCOMB_X17_Y11_N4
\led_flash_cnt[1246][3]~44328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1246][3]~44328_combout\ = (\led_flash_cnt[1246][3]~q\ & (\led_flash_cnt[1246][2]~44327\ $ (GND))) # (!\led_flash_cnt[1246][3]~q\ & (!\led_flash_cnt[1246][2]~44327\ & VCC))
-- \led_flash_cnt[1246][3]~44329\ = CARRY((\led_flash_cnt[1246][3]~q\ & !\led_flash_cnt[1246][2]~44327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1246][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1246][2]~44327\,
	combout => \led_flash_cnt[1246][3]~44328_combout\,
	cout => \led_flash_cnt[1246][3]~44329\);

-- Location: FF_X17_Y11_N5
\led_flash_cnt[1246][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1246][3]~44328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1246][3]~q\);

-- Location: LCCOMB_X17_Y11_N6
\led_flash_cnt[1246][4]~44330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1246][4]~44330_combout\ = (\led_flash_cnt[1246][4]~q\ & (!\led_flash_cnt[1246][3]~44329\)) # (!\led_flash_cnt[1246][4]~q\ & ((\led_flash_cnt[1246][3]~44329\) # (GND)))
-- \led_flash_cnt[1246][4]~44331\ = CARRY((!\led_flash_cnt[1246][3]~44329\) # (!\led_flash_cnt[1246][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1246][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1246][3]~44329\,
	combout => \led_flash_cnt[1246][4]~44330_combout\,
	cout => \led_flash_cnt[1246][4]~44331\);

-- Location: FF_X17_Y11_N7
\led_flash_cnt[1246][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1246][4]~44330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1246][4]~q\);

-- Location: LCCOMB_X17_Y11_N8
\led_flash_cnt[1246][5]~44332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1246][5]~44332_combout\ = (\led_flash_cnt[1246][5]~q\ & (\led_flash_cnt[1246][4]~44331\ $ (GND))) # (!\led_flash_cnt[1246][5]~q\ & (!\led_flash_cnt[1246][4]~44331\ & VCC))
-- \led_flash_cnt[1246][5]~44333\ = CARRY((\led_flash_cnt[1246][5]~q\ & !\led_flash_cnt[1246][4]~44331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1246][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1246][4]~44331\,
	combout => \led_flash_cnt[1246][5]~44332_combout\,
	cout => \led_flash_cnt[1246][5]~44333\);

-- Location: FF_X17_Y11_N9
\led_flash_cnt[1246][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1246][5]~44332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1246][5]~q\);

-- Location: LCCOMB_X17_Y11_N10
\led_flash_cnt[1246][6]~44334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1246][6]~44334_combout\ = (\led_flash_cnt[1246][6]~q\ & (!\led_flash_cnt[1246][5]~44333\)) # (!\led_flash_cnt[1246][6]~q\ & ((\led_flash_cnt[1246][5]~44333\) # (GND)))
-- \led_flash_cnt[1246][6]~44335\ = CARRY((!\led_flash_cnt[1246][5]~44333\) # (!\led_flash_cnt[1246][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1246][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1246][5]~44333\,
	combout => \led_flash_cnt[1246][6]~44334_combout\,
	cout => \led_flash_cnt[1246][6]~44335\);

-- Location: FF_X17_Y11_N11
\led_flash_cnt[1246][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1246][6]~44334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1246][6]~q\);

-- Location: LCCOMB_X17_Y11_N12
\led_flash_cnt[1246][7]~44336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1246][7]~44336_combout\ = \led_flash_cnt[1246][6]~44335\ $ (!\led_flash_cnt[1246][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1246][7]~q\,
	cin => \led_flash_cnt[1246][6]~44335\,
	combout => \led_flash_cnt[1246][7]~44336_combout\);

-- Location: FF_X17_Y11_N13
\led_flash_cnt[1246][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1246][7]~44336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1246][7]~q\);

-- Location: LCCOMB_X17_Y11_N30
\WideAnd1246~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1246~0_combout\ = (\led_flash_cnt[1246][4]~q\ & (\led_flash_cnt[1246][1]~q\ & (\led_flash_cnt[1246][3]~q\ & \led_flash_cnt[1246][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1246][4]~q\,
	datab => \led_flash_cnt[1246][1]~q\,
	datac => \led_flash_cnt[1246][3]~q\,
	datad => \led_flash_cnt[1246][2]~q\,
	combout => \WideAnd1246~0_combout\);

-- Location: LCCOMB_X18_Y11_N30
\WideAnd1246~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1246~1_combout\ = (\led_flash_cnt[1246][5]~q\ & \led_flash_cnt[1246][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1246][5]~q\,
	datad => \led_flash_cnt[1246][6]~q\,
	combout => \WideAnd1246~1_combout\);

-- Location: LCCOMB_X18_Y11_N24
WideAnd1246 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1246~combout\ = (\led_flash_cnt[1246][7]~q\ & (\WideAnd1246~0_combout\ & (\WideAnd1246~1_combout\ & \led_flash_cnt[1246][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1246][7]~q\,
	datab => \WideAnd1246~0_combout\,
	datac => \WideAnd1246~1_combout\,
	datad => \led_flash_cnt[1246][0]~q\,
	combout => \WideAnd1246~combout\);

-- Location: FF_X18_Y11_N25
\led_flash_cnt_ands[1246]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1246~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1246));

-- Location: LCCOMB_X46_Y18_N10
\led_flash_cnt[1244][0]~81884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1244][0]~81884_combout\ = !\led_flash_cnt[1244][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1244][0]~q\,
	combout => \led_flash_cnt[1244][0]~81884_combout\);

-- Location: FF_X46_Y18_N11
\led_flash_cnt[1244][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1244][0]~81884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1244][0]~q\);

-- Location: LCCOMB_X46_Y18_N18
\led_flash_cnt[1244][1]~44296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1244][1]~44296_combout\ = (\led_flash_cnt[1244][0]~q\ & (\led_flash_cnt[1244][1]~q\ $ (VCC))) # (!\led_flash_cnt[1244][0]~q\ & (\led_flash_cnt[1244][1]~q\ & VCC))
-- \led_flash_cnt[1244][1]~44297\ = CARRY((\led_flash_cnt[1244][0]~q\ & \led_flash_cnt[1244][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1244][0]~q\,
	datab => \led_flash_cnt[1244][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1244][1]~44296_combout\,
	cout => \led_flash_cnt[1244][1]~44297\);

-- Location: FF_X46_Y18_N19
\led_flash_cnt[1244][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1244][1]~44296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1244][1]~q\);

-- Location: LCCOMB_X46_Y18_N20
\led_flash_cnt[1244][2]~44298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1244][2]~44298_combout\ = (\led_flash_cnt[1244][2]~q\ & (!\led_flash_cnt[1244][1]~44297\)) # (!\led_flash_cnt[1244][2]~q\ & ((\led_flash_cnt[1244][1]~44297\) # (GND)))
-- \led_flash_cnt[1244][2]~44299\ = CARRY((!\led_flash_cnt[1244][1]~44297\) # (!\led_flash_cnt[1244][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1244][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1244][1]~44297\,
	combout => \led_flash_cnt[1244][2]~44298_combout\,
	cout => \led_flash_cnt[1244][2]~44299\);

-- Location: FF_X46_Y18_N21
\led_flash_cnt[1244][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1244][2]~44298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1244][2]~q\);

-- Location: LCCOMB_X46_Y18_N22
\led_flash_cnt[1244][3]~44300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1244][3]~44300_combout\ = (\led_flash_cnt[1244][3]~q\ & (\led_flash_cnt[1244][2]~44299\ $ (GND))) # (!\led_flash_cnt[1244][3]~q\ & (!\led_flash_cnt[1244][2]~44299\ & VCC))
-- \led_flash_cnt[1244][3]~44301\ = CARRY((\led_flash_cnt[1244][3]~q\ & !\led_flash_cnt[1244][2]~44299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1244][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1244][2]~44299\,
	combout => \led_flash_cnt[1244][3]~44300_combout\,
	cout => \led_flash_cnt[1244][3]~44301\);

-- Location: FF_X46_Y18_N23
\led_flash_cnt[1244][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1244][3]~44300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1244][3]~q\);

-- Location: LCCOMB_X46_Y18_N24
\led_flash_cnt[1244][4]~44302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1244][4]~44302_combout\ = (\led_flash_cnt[1244][4]~q\ & (!\led_flash_cnt[1244][3]~44301\)) # (!\led_flash_cnt[1244][4]~q\ & ((\led_flash_cnt[1244][3]~44301\) # (GND)))
-- \led_flash_cnt[1244][4]~44303\ = CARRY((!\led_flash_cnt[1244][3]~44301\) # (!\led_flash_cnt[1244][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1244][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1244][3]~44301\,
	combout => \led_flash_cnt[1244][4]~44302_combout\,
	cout => \led_flash_cnt[1244][4]~44303\);

-- Location: FF_X46_Y18_N25
\led_flash_cnt[1244][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1244][4]~44302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1244][4]~q\);

-- Location: LCCOMB_X46_Y18_N0
\WideAnd1244~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1244~0_combout\ = (\led_flash_cnt[1244][2]~q\ & (\led_flash_cnt[1244][1]~q\ & (\led_flash_cnt[1244][3]~q\ & \led_flash_cnt[1244][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1244][2]~q\,
	datab => \led_flash_cnt[1244][1]~q\,
	datac => \led_flash_cnt[1244][3]~q\,
	datad => \led_flash_cnt[1244][4]~q\,
	combout => \WideAnd1244~0_combout\);

-- Location: LCCOMB_X46_Y18_N26
\led_flash_cnt[1244][5]~44304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1244][5]~44304_combout\ = (\led_flash_cnt[1244][5]~q\ & (\led_flash_cnt[1244][4]~44303\ $ (GND))) # (!\led_flash_cnt[1244][5]~q\ & (!\led_flash_cnt[1244][4]~44303\ & VCC))
-- \led_flash_cnt[1244][5]~44305\ = CARRY((\led_flash_cnt[1244][5]~q\ & !\led_flash_cnt[1244][4]~44303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1244][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1244][4]~44303\,
	combout => \led_flash_cnt[1244][5]~44304_combout\,
	cout => \led_flash_cnt[1244][5]~44305\);

-- Location: FF_X46_Y18_N27
\led_flash_cnt[1244][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1244][5]~44304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1244][5]~q\);

-- Location: LCCOMB_X46_Y18_N28
\led_flash_cnt[1244][6]~44306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1244][6]~44306_combout\ = (\led_flash_cnt[1244][6]~q\ & (!\led_flash_cnt[1244][5]~44305\)) # (!\led_flash_cnt[1244][6]~q\ & ((\led_flash_cnt[1244][5]~44305\) # (GND)))
-- \led_flash_cnt[1244][6]~44307\ = CARRY((!\led_flash_cnt[1244][5]~44305\) # (!\led_flash_cnt[1244][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1244][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1244][5]~44305\,
	combout => \led_flash_cnt[1244][6]~44306_combout\,
	cout => \led_flash_cnt[1244][6]~44307\);

-- Location: FF_X46_Y18_N29
\led_flash_cnt[1244][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1244][6]~44306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1244][6]~q\);

-- Location: LCCOMB_X46_Y18_N30
\led_flash_cnt[1244][7]~44308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1244][7]~44308_combout\ = \led_flash_cnt[1244][7]~q\ $ (!\led_flash_cnt[1244][6]~44307\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1244][7]~q\,
	cin => \led_flash_cnt[1244][6]~44307\,
	combout => \led_flash_cnt[1244][7]~44308_combout\);

-- Location: FF_X46_Y18_N31
\led_flash_cnt[1244][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1244][7]~44308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1244][7]~q\);

-- Location: LCCOMB_X46_Y18_N16
\WideAnd1244~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1244~1_combout\ = (\led_flash_cnt[1244][5]~q\ & \led_flash_cnt[1244][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1244][5]~q\,
	datad => \led_flash_cnt[1244][6]~q\,
	combout => \WideAnd1244~1_combout\);

-- Location: LCCOMB_X46_Y18_N8
WideAnd1244 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1244~combout\ = (\led_flash_cnt[1244][0]~q\ & (\WideAnd1244~0_combout\ & (\led_flash_cnt[1244][7]~q\ & \WideAnd1244~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1244][0]~q\,
	datab => \WideAnd1244~0_combout\,
	datac => \led_flash_cnt[1244][7]~q\,
	datad => \WideAnd1244~1_combout\,
	combout => \WideAnd1244~combout\);

-- Location: FF_X46_Y18_N9
\led_flash_cnt_ands[1244]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1244~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1244));

-- Location: LCCOMB_X46_Y18_N2
\led_flash_cnt[1245][0]~81885\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1245][0]~81885_combout\ = !\led_flash_cnt[1245][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1245][0]~q\,
	combout => \led_flash_cnt[1245][0]~81885_combout\);

-- Location: FF_X46_Y18_N3
\led_flash_cnt[1245][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1245][0]~81885_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1245][0]~q\);

-- Location: LCCOMB_X45_Y18_N18
\led_flash_cnt[1245][1]~44310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1245][1]~44310_combout\ = (\led_flash_cnt[1245][0]~q\ & (\led_flash_cnt[1245][1]~q\ $ (VCC))) # (!\led_flash_cnt[1245][0]~q\ & (\led_flash_cnt[1245][1]~q\ & VCC))
-- \led_flash_cnt[1245][1]~44311\ = CARRY((\led_flash_cnt[1245][0]~q\ & \led_flash_cnt[1245][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1245][0]~q\,
	datab => \led_flash_cnt[1245][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1245][1]~44310_combout\,
	cout => \led_flash_cnt[1245][1]~44311\);

-- Location: FF_X45_Y18_N19
\led_flash_cnt[1245][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1245][1]~44310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1245][1]~q\);

-- Location: LCCOMB_X45_Y18_N20
\led_flash_cnt[1245][2]~44312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1245][2]~44312_combout\ = (\led_flash_cnt[1245][2]~q\ & (!\led_flash_cnt[1245][1]~44311\)) # (!\led_flash_cnt[1245][2]~q\ & ((\led_flash_cnt[1245][1]~44311\) # (GND)))
-- \led_flash_cnt[1245][2]~44313\ = CARRY((!\led_flash_cnt[1245][1]~44311\) # (!\led_flash_cnt[1245][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1245][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1245][1]~44311\,
	combout => \led_flash_cnt[1245][2]~44312_combout\,
	cout => \led_flash_cnt[1245][2]~44313\);

-- Location: FF_X45_Y18_N21
\led_flash_cnt[1245][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1245][2]~44312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1245][2]~q\);

-- Location: LCCOMB_X45_Y18_N22
\led_flash_cnt[1245][3]~44314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1245][3]~44314_combout\ = (\led_flash_cnt[1245][3]~q\ & (\led_flash_cnt[1245][2]~44313\ $ (GND))) # (!\led_flash_cnt[1245][3]~q\ & (!\led_flash_cnt[1245][2]~44313\ & VCC))
-- \led_flash_cnt[1245][3]~44315\ = CARRY((\led_flash_cnt[1245][3]~q\ & !\led_flash_cnt[1245][2]~44313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1245][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1245][2]~44313\,
	combout => \led_flash_cnt[1245][3]~44314_combout\,
	cout => \led_flash_cnt[1245][3]~44315\);

-- Location: FF_X45_Y18_N23
\led_flash_cnt[1245][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1245][3]~44314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1245][3]~q\);

-- Location: LCCOMB_X45_Y18_N24
\led_flash_cnt[1245][4]~44316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1245][4]~44316_combout\ = (\led_flash_cnt[1245][4]~q\ & (!\led_flash_cnt[1245][3]~44315\)) # (!\led_flash_cnt[1245][4]~q\ & ((\led_flash_cnt[1245][3]~44315\) # (GND)))
-- \led_flash_cnt[1245][4]~44317\ = CARRY((!\led_flash_cnt[1245][3]~44315\) # (!\led_flash_cnt[1245][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1245][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1245][3]~44315\,
	combout => \led_flash_cnt[1245][4]~44316_combout\,
	cout => \led_flash_cnt[1245][4]~44317\);

-- Location: FF_X45_Y18_N25
\led_flash_cnt[1245][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1245][4]~44316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1245][4]~q\);

-- Location: LCCOMB_X45_Y18_N14
\WideAnd1245~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1245~0_combout\ = (\led_flash_cnt[1245][4]~q\ & (\led_flash_cnt[1245][2]~q\ & (\led_flash_cnt[1245][3]~q\ & \led_flash_cnt[1245][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1245][4]~q\,
	datab => \led_flash_cnt[1245][2]~q\,
	datac => \led_flash_cnt[1245][3]~q\,
	datad => \led_flash_cnt[1245][1]~q\,
	combout => \WideAnd1245~0_combout\);

-- Location: LCCOMB_X45_Y18_N26
\led_flash_cnt[1245][5]~44318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1245][5]~44318_combout\ = (\led_flash_cnt[1245][5]~q\ & (\led_flash_cnt[1245][4]~44317\ $ (GND))) # (!\led_flash_cnt[1245][5]~q\ & (!\led_flash_cnt[1245][4]~44317\ & VCC))
-- \led_flash_cnt[1245][5]~44319\ = CARRY((\led_flash_cnt[1245][5]~q\ & !\led_flash_cnt[1245][4]~44317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1245][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1245][4]~44317\,
	combout => \led_flash_cnt[1245][5]~44318_combout\,
	cout => \led_flash_cnt[1245][5]~44319\);

-- Location: FF_X45_Y18_N27
\led_flash_cnt[1245][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1245][5]~44318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1245][5]~q\);

-- Location: LCCOMB_X45_Y18_N28
\led_flash_cnt[1245][6]~44320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1245][6]~44320_combout\ = (\led_flash_cnt[1245][6]~q\ & (!\led_flash_cnt[1245][5]~44319\)) # (!\led_flash_cnt[1245][6]~q\ & ((\led_flash_cnt[1245][5]~44319\) # (GND)))
-- \led_flash_cnt[1245][6]~44321\ = CARRY((!\led_flash_cnt[1245][5]~44319\) # (!\led_flash_cnt[1245][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1245][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1245][5]~44319\,
	combout => \led_flash_cnt[1245][6]~44320_combout\,
	cout => \led_flash_cnt[1245][6]~44321\);

-- Location: FF_X45_Y18_N29
\led_flash_cnt[1245][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1245][6]~44320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1245][6]~q\);

-- Location: LCCOMB_X45_Y18_N30
\led_flash_cnt[1245][7]~44322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1245][7]~44322_combout\ = \led_flash_cnt[1245][7]~q\ $ (!\led_flash_cnt[1245][6]~44321\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1245][7]~q\,
	cin => \led_flash_cnt[1245][6]~44321\,
	combout => \led_flash_cnt[1245][7]~44322_combout\);

-- Location: FF_X45_Y18_N31
\led_flash_cnt[1245][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1245][7]~44322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1245][7]~q\);

-- Location: LCCOMB_X46_Y18_N4
\WideAnd1245~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1245~1_combout\ = (\led_flash_cnt[1245][5]~q\ & \led_flash_cnt[1245][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1245][5]~q\,
	datad => \led_flash_cnt[1245][6]~q\,
	combout => \WideAnd1245~1_combout\);

-- Location: LCCOMB_X46_Y18_N12
WideAnd1245 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1245~combout\ = (\WideAnd1245~0_combout\ & (\led_flash_cnt[1245][7]~q\ & (\WideAnd1245~1_combout\ & \led_flash_cnt[1245][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1245~0_combout\,
	datab => \led_flash_cnt[1245][7]~q\,
	datac => \WideAnd1245~1_combout\,
	datad => \led_flash_cnt[1245][0]~q\,
	combout => \WideAnd1245~combout\);

-- Location: FF_X46_Y18_N13
\led_flash_cnt_ands[1245]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1245~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1245));

-- Location: LCCOMB_X46_Y18_N14
\WideAnd3995~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3995~1_combout\ = (led_flash_cnt_ands(1244) & led_flash_cnt_ands(1245))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1244),
	datad => led_flash_cnt_ands(1245),
	combout => \WideAnd3995~1_combout\);

-- Location: LCCOMB_X32_Y24_N2
\led_flash_cnt[1240][0]~81880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1240][0]~81880_combout\ = !\led_flash_cnt[1240][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1240][0]~q\,
	combout => \led_flash_cnt[1240][0]~81880_combout\);

-- Location: FF_X32_Y24_N3
\led_flash_cnt[1240][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1240][0]~81880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1240][0]~q\);

-- Location: LCCOMB_X37_Y24_N0
\led_flash_cnt[1240][1]~44240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1240][1]~44240_combout\ = (\led_flash_cnt[1240][0]~q\ & (\led_flash_cnt[1240][1]~q\ $ (VCC))) # (!\led_flash_cnt[1240][0]~q\ & (\led_flash_cnt[1240][1]~q\ & VCC))
-- \led_flash_cnt[1240][1]~44241\ = CARRY((\led_flash_cnt[1240][0]~q\ & \led_flash_cnt[1240][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1240][0]~q\,
	datab => \led_flash_cnt[1240][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1240][1]~44240_combout\,
	cout => \led_flash_cnt[1240][1]~44241\);

-- Location: FF_X37_Y24_N1
\led_flash_cnt[1240][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1240][1]~44240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1240][1]~q\);

-- Location: LCCOMB_X37_Y24_N2
\led_flash_cnt[1240][2]~44242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1240][2]~44242_combout\ = (\led_flash_cnt[1240][2]~q\ & (!\led_flash_cnt[1240][1]~44241\)) # (!\led_flash_cnt[1240][2]~q\ & ((\led_flash_cnt[1240][1]~44241\) # (GND)))
-- \led_flash_cnt[1240][2]~44243\ = CARRY((!\led_flash_cnt[1240][1]~44241\) # (!\led_flash_cnt[1240][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1240][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1240][1]~44241\,
	combout => \led_flash_cnt[1240][2]~44242_combout\,
	cout => \led_flash_cnt[1240][2]~44243\);

-- Location: FF_X37_Y24_N3
\led_flash_cnt[1240][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1240][2]~44242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1240][2]~q\);

-- Location: LCCOMB_X37_Y24_N4
\led_flash_cnt[1240][3]~44244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1240][3]~44244_combout\ = (\led_flash_cnt[1240][3]~q\ & (\led_flash_cnt[1240][2]~44243\ $ (GND))) # (!\led_flash_cnt[1240][3]~q\ & (!\led_flash_cnt[1240][2]~44243\ & VCC))
-- \led_flash_cnt[1240][3]~44245\ = CARRY((\led_flash_cnt[1240][3]~q\ & !\led_flash_cnt[1240][2]~44243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1240][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1240][2]~44243\,
	combout => \led_flash_cnt[1240][3]~44244_combout\,
	cout => \led_flash_cnt[1240][3]~44245\);

-- Location: FF_X37_Y24_N5
\led_flash_cnt[1240][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1240][3]~44244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1240][3]~q\);

-- Location: LCCOMB_X37_Y24_N6
\led_flash_cnt[1240][4]~44246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1240][4]~44246_combout\ = (\led_flash_cnt[1240][4]~q\ & (!\led_flash_cnt[1240][3]~44245\)) # (!\led_flash_cnt[1240][4]~q\ & ((\led_flash_cnt[1240][3]~44245\) # (GND)))
-- \led_flash_cnt[1240][4]~44247\ = CARRY((!\led_flash_cnt[1240][3]~44245\) # (!\led_flash_cnt[1240][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1240][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1240][3]~44245\,
	combout => \led_flash_cnt[1240][4]~44246_combout\,
	cout => \led_flash_cnt[1240][4]~44247\);

-- Location: FF_X37_Y24_N7
\led_flash_cnt[1240][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1240][4]~44246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1240][4]~q\);

-- Location: LCCOMB_X37_Y24_N8
\led_flash_cnt[1240][5]~44248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1240][5]~44248_combout\ = (\led_flash_cnt[1240][5]~q\ & (\led_flash_cnt[1240][4]~44247\ $ (GND))) # (!\led_flash_cnt[1240][5]~q\ & (!\led_flash_cnt[1240][4]~44247\ & VCC))
-- \led_flash_cnt[1240][5]~44249\ = CARRY((\led_flash_cnt[1240][5]~q\ & !\led_flash_cnt[1240][4]~44247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1240][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1240][4]~44247\,
	combout => \led_flash_cnt[1240][5]~44248_combout\,
	cout => \led_flash_cnt[1240][5]~44249\);

-- Location: FF_X37_Y24_N9
\led_flash_cnt[1240][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1240][5]~44248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1240][5]~q\);

-- Location: LCCOMB_X37_Y24_N10
\led_flash_cnt[1240][6]~44250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1240][6]~44250_combout\ = (\led_flash_cnt[1240][6]~q\ & (!\led_flash_cnt[1240][5]~44249\)) # (!\led_flash_cnt[1240][6]~q\ & ((\led_flash_cnt[1240][5]~44249\) # (GND)))
-- \led_flash_cnt[1240][6]~44251\ = CARRY((!\led_flash_cnt[1240][5]~44249\) # (!\led_flash_cnt[1240][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1240][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1240][5]~44249\,
	combout => \led_flash_cnt[1240][6]~44250_combout\,
	cout => \led_flash_cnt[1240][6]~44251\);

-- Location: FF_X37_Y24_N11
\led_flash_cnt[1240][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1240][6]~44250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1240][6]~q\);

-- Location: LCCOMB_X37_Y24_N12
\led_flash_cnt[1240][7]~44252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1240][7]~44252_combout\ = \led_flash_cnt[1240][6]~44251\ $ (!\led_flash_cnt[1240][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1240][7]~q\,
	cin => \led_flash_cnt[1240][6]~44251\,
	combout => \led_flash_cnt[1240][7]~44252_combout\);

-- Location: FF_X37_Y24_N13
\led_flash_cnt[1240][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1240][7]~44252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1240][7]~q\);

-- Location: LCCOMB_X37_Y24_N30
\WideAnd1240~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1240~1_combout\ = (\led_flash_cnt[1240][5]~q\ & \led_flash_cnt[1240][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1240][5]~q\,
	datad => \led_flash_cnt[1240][6]~q\,
	combout => \WideAnd1240~1_combout\);

-- Location: LCCOMB_X37_Y24_N14
\WideAnd1240~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1240~0_combout\ = (\led_flash_cnt[1240][4]~q\ & (\led_flash_cnt[1240][1]~q\ & (\led_flash_cnt[1240][3]~q\ & \led_flash_cnt[1240][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1240][4]~q\,
	datab => \led_flash_cnt[1240][1]~q\,
	datac => \led_flash_cnt[1240][3]~q\,
	datad => \led_flash_cnt[1240][2]~q\,
	combout => \WideAnd1240~0_combout\);

-- Location: LCCOMB_X36_Y24_N28
WideAnd1240 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1240~combout\ = (\led_flash_cnt[1240][0]~q\ & (\led_flash_cnt[1240][7]~q\ & (\WideAnd1240~1_combout\ & \WideAnd1240~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1240][0]~q\,
	datab => \led_flash_cnt[1240][7]~q\,
	datac => \WideAnd1240~1_combout\,
	datad => \WideAnd1240~0_combout\,
	combout => \WideAnd1240~combout\);

-- Location: FF_X36_Y24_N29
\led_flash_cnt_ands[1240]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1240~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1240));

-- Location: LCCOMB_X21_Y24_N2
\led_flash_cnt[1243][0]~81883\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1243][0]~81883_combout\ = !\led_flash_cnt[1243][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1243][0]~q\,
	combout => \led_flash_cnt[1243][0]~81883_combout\);

-- Location: FF_X21_Y24_N3
\led_flash_cnt[1243][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1243][0]~81883_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1243][0]~q\);

-- Location: LCCOMB_X20_Y24_N0
\led_flash_cnt[1243][1]~44282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1243][1]~44282_combout\ = (\led_flash_cnt[1243][0]~q\ & (\led_flash_cnt[1243][1]~q\ $ (VCC))) # (!\led_flash_cnt[1243][0]~q\ & (\led_flash_cnt[1243][1]~q\ & VCC))
-- \led_flash_cnt[1243][1]~44283\ = CARRY((\led_flash_cnt[1243][0]~q\ & \led_flash_cnt[1243][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1243][0]~q\,
	datab => \led_flash_cnt[1243][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1243][1]~44282_combout\,
	cout => \led_flash_cnt[1243][1]~44283\);

-- Location: FF_X20_Y24_N1
\led_flash_cnt[1243][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1243][1]~44282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1243][1]~q\);

-- Location: LCCOMB_X20_Y24_N2
\led_flash_cnt[1243][2]~44284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1243][2]~44284_combout\ = (\led_flash_cnt[1243][2]~q\ & (!\led_flash_cnt[1243][1]~44283\)) # (!\led_flash_cnt[1243][2]~q\ & ((\led_flash_cnt[1243][1]~44283\) # (GND)))
-- \led_flash_cnt[1243][2]~44285\ = CARRY((!\led_flash_cnt[1243][1]~44283\) # (!\led_flash_cnt[1243][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1243][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1243][1]~44283\,
	combout => \led_flash_cnt[1243][2]~44284_combout\,
	cout => \led_flash_cnt[1243][2]~44285\);

-- Location: FF_X20_Y24_N3
\led_flash_cnt[1243][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1243][2]~44284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1243][2]~q\);

-- Location: LCCOMB_X20_Y24_N4
\led_flash_cnt[1243][3]~44286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1243][3]~44286_combout\ = (\led_flash_cnt[1243][3]~q\ & (\led_flash_cnt[1243][2]~44285\ $ (GND))) # (!\led_flash_cnt[1243][3]~q\ & (!\led_flash_cnt[1243][2]~44285\ & VCC))
-- \led_flash_cnt[1243][3]~44287\ = CARRY((\led_flash_cnt[1243][3]~q\ & !\led_flash_cnt[1243][2]~44285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1243][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1243][2]~44285\,
	combout => \led_flash_cnt[1243][3]~44286_combout\,
	cout => \led_flash_cnt[1243][3]~44287\);

-- Location: FF_X20_Y24_N5
\led_flash_cnt[1243][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1243][3]~44286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1243][3]~q\);

-- Location: LCCOMB_X20_Y24_N6
\led_flash_cnt[1243][4]~44288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1243][4]~44288_combout\ = (\led_flash_cnt[1243][4]~q\ & (!\led_flash_cnt[1243][3]~44287\)) # (!\led_flash_cnt[1243][4]~q\ & ((\led_flash_cnt[1243][3]~44287\) # (GND)))
-- \led_flash_cnt[1243][4]~44289\ = CARRY((!\led_flash_cnt[1243][3]~44287\) # (!\led_flash_cnt[1243][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1243][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1243][3]~44287\,
	combout => \led_flash_cnt[1243][4]~44288_combout\,
	cout => \led_flash_cnt[1243][4]~44289\);

-- Location: FF_X20_Y24_N7
\led_flash_cnt[1243][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1243][4]~44288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1243][4]~q\);

-- Location: LCCOMB_X20_Y24_N8
\led_flash_cnt[1243][5]~44290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1243][5]~44290_combout\ = (\led_flash_cnt[1243][5]~q\ & (\led_flash_cnt[1243][4]~44289\ $ (GND))) # (!\led_flash_cnt[1243][5]~q\ & (!\led_flash_cnt[1243][4]~44289\ & VCC))
-- \led_flash_cnt[1243][5]~44291\ = CARRY((\led_flash_cnt[1243][5]~q\ & !\led_flash_cnt[1243][4]~44289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1243][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1243][4]~44289\,
	combout => \led_flash_cnt[1243][5]~44290_combout\,
	cout => \led_flash_cnt[1243][5]~44291\);

-- Location: FF_X20_Y24_N9
\led_flash_cnt[1243][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1243][5]~44290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1243][5]~q\);

-- Location: LCCOMB_X20_Y24_N10
\led_flash_cnt[1243][6]~44292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1243][6]~44292_combout\ = (\led_flash_cnt[1243][6]~q\ & (!\led_flash_cnt[1243][5]~44291\)) # (!\led_flash_cnt[1243][6]~q\ & ((\led_flash_cnt[1243][5]~44291\) # (GND)))
-- \led_flash_cnt[1243][6]~44293\ = CARRY((!\led_flash_cnt[1243][5]~44291\) # (!\led_flash_cnt[1243][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1243][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1243][5]~44291\,
	combout => \led_flash_cnt[1243][6]~44292_combout\,
	cout => \led_flash_cnt[1243][6]~44293\);

-- Location: FF_X20_Y24_N11
\led_flash_cnt[1243][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1243][6]~44292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1243][6]~q\);

-- Location: LCCOMB_X20_Y24_N12
\led_flash_cnt[1243][7]~44294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1243][7]~44294_combout\ = \led_flash_cnt[1243][6]~44293\ $ (!\led_flash_cnt[1243][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1243][7]~q\,
	cin => \led_flash_cnt[1243][6]~44293\,
	combout => \led_flash_cnt[1243][7]~44294_combout\);

-- Location: FF_X20_Y24_N13
\led_flash_cnt[1243][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1243][7]~44294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1243][7]~q\);

-- Location: LCCOMB_X20_Y24_N30
\WideAnd1243~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1243~0_combout\ = (\led_flash_cnt[1243][4]~q\ & (\led_flash_cnt[1243][2]~q\ & (\led_flash_cnt[1243][3]~q\ & \led_flash_cnt[1243][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1243][4]~q\,
	datab => \led_flash_cnt[1243][2]~q\,
	datac => \led_flash_cnt[1243][3]~q\,
	datad => \led_flash_cnt[1243][1]~q\,
	combout => \WideAnd1243~0_combout\);

-- Location: LCCOMB_X21_Y24_N8
\WideAnd1243~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1243~1_combout\ = (\led_flash_cnt[1243][5]~q\ & \led_flash_cnt[1243][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1243][5]~q\,
	datad => \led_flash_cnt[1243][6]~q\,
	combout => \WideAnd1243~1_combout\);

-- Location: LCCOMB_X21_Y24_N26
WideAnd1243 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1243~combout\ = (\led_flash_cnt[1243][7]~q\ & (\WideAnd1243~0_combout\ & (\WideAnd1243~1_combout\ & \led_flash_cnt[1243][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1243][7]~q\,
	datab => \WideAnd1243~0_combout\,
	datac => \WideAnd1243~1_combout\,
	datad => \led_flash_cnt[1243][0]~q\,
	combout => \WideAnd1243~combout\);

-- Location: FF_X21_Y24_N27
\led_flash_cnt_ands[1243]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1243~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1243));

-- Location: LCCOMB_X37_Y27_N0
\led_flash_cnt[1241][0]~81881\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1241][0]~81881_combout\ = !\led_flash_cnt[1241][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1241][0]~q\,
	combout => \led_flash_cnt[1241][0]~81881_combout\);

-- Location: FF_X37_Y27_N1
\led_flash_cnt[1241][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1241][0]~81881_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1241][0]~q\);

-- Location: LCCOMB_X34_Y24_N18
\led_flash_cnt[1241][1]~44254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1241][1]~44254_combout\ = (\led_flash_cnt[1241][0]~q\ & (\led_flash_cnt[1241][1]~q\ $ (VCC))) # (!\led_flash_cnt[1241][0]~q\ & (\led_flash_cnt[1241][1]~q\ & VCC))
-- \led_flash_cnt[1241][1]~44255\ = CARRY((\led_flash_cnt[1241][0]~q\ & \led_flash_cnt[1241][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1241][0]~q\,
	datab => \led_flash_cnt[1241][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1241][1]~44254_combout\,
	cout => \led_flash_cnt[1241][1]~44255\);

-- Location: FF_X34_Y24_N19
\led_flash_cnt[1241][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1241][1]~44254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1241][1]~q\);

-- Location: LCCOMB_X34_Y24_N20
\led_flash_cnt[1241][2]~44256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1241][2]~44256_combout\ = (\led_flash_cnt[1241][2]~q\ & (!\led_flash_cnt[1241][1]~44255\)) # (!\led_flash_cnt[1241][2]~q\ & ((\led_flash_cnt[1241][1]~44255\) # (GND)))
-- \led_flash_cnt[1241][2]~44257\ = CARRY((!\led_flash_cnt[1241][1]~44255\) # (!\led_flash_cnt[1241][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1241][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1241][1]~44255\,
	combout => \led_flash_cnt[1241][2]~44256_combout\,
	cout => \led_flash_cnt[1241][2]~44257\);

-- Location: FF_X34_Y24_N21
\led_flash_cnt[1241][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1241][2]~44256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1241][2]~q\);

-- Location: LCCOMB_X34_Y24_N22
\led_flash_cnt[1241][3]~44258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1241][3]~44258_combout\ = (\led_flash_cnt[1241][3]~q\ & (\led_flash_cnt[1241][2]~44257\ $ (GND))) # (!\led_flash_cnt[1241][3]~q\ & (!\led_flash_cnt[1241][2]~44257\ & VCC))
-- \led_flash_cnt[1241][3]~44259\ = CARRY((\led_flash_cnt[1241][3]~q\ & !\led_flash_cnt[1241][2]~44257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1241][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1241][2]~44257\,
	combout => \led_flash_cnt[1241][3]~44258_combout\,
	cout => \led_flash_cnt[1241][3]~44259\);

-- Location: FF_X34_Y24_N23
\led_flash_cnt[1241][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1241][3]~44258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1241][3]~q\);

-- Location: LCCOMB_X34_Y24_N24
\led_flash_cnt[1241][4]~44260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1241][4]~44260_combout\ = (\led_flash_cnt[1241][4]~q\ & (!\led_flash_cnt[1241][3]~44259\)) # (!\led_flash_cnt[1241][4]~q\ & ((\led_flash_cnt[1241][3]~44259\) # (GND)))
-- \led_flash_cnt[1241][4]~44261\ = CARRY((!\led_flash_cnt[1241][3]~44259\) # (!\led_flash_cnt[1241][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1241][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1241][3]~44259\,
	combout => \led_flash_cnt[1241][4]~44260_combout\,
	cout => \led_flash_cnt[1241][4]~44261\);

-- Location: FF_X34_Y24_N25
\led_flash_cnt[1241][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1241][4]~44260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1241][4]~q\);

-- Location: LCCOMB_X34_Y24_N16
\WideAnd1241~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1241~0_combout\ = (\led_flash_cnt[1241][4]~q\ & (\led_flash_cnt[1241][2]~q\ & (\led_flash_cnt[1241][3]~q\ & \led_flash_cnt[1241][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1241][4]~q\,
	datab => \led_flash_cnt[1241][2]~q\,
	datac => \led_flash_cnt[1241][3]~q\,
	datad => \led_flash_cnt[1241][1]~q\,
	combout => \WideAnd1241~0_combout\);

-- Location: LCCOMB_X34_Y24_N26
\led_flash_cnt[1241][5]~44262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1241][5]~44262_combout\ = (\led_flash_cnt[1241][5]~q\ & (\led_flash_cnt[1241][4]~44261\ $ (GND))) # (!\led_flash_cnt[1241][5]~q\ & (!\led_flash_cnt[1241][4]~44261\ & VCC))
-- \led_flash_cnt[1241][5]~44263\ = CARRY((\led_flash_cnt[1241][5]~q\ & !\led_flash_cnt[1241][4]~44261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1241][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1241][4]~44261\,
	combout => \led_flash_cnt[1241][5]~44262_combout\,
	cout => \led_flash_cnt[1241][5]~44263\);

-- Location: FF_X34_Y24_N27
\led_flash_cnt[1241][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1241][5]~44262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1241][5]~q\);

-- Location: LCCOMB_X34_Y24_N28
\led_flash_cnt[1241][6]~44264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1241][6]~44264_combout\ = (\led_flash_cnt[1241][6]~q\ & (!\led_flash_cnt[1241][5]~44263\)) # (!\led_flash_cnt[1241][6]~q\ & ((\led_flash_cnt[1241][5]~44263\) # (GND)))
-- \led_flash_cnt[1241][6]~44265\ = CARRY((!\led_flash_cnt[1241][5]~44263\) # (!\led_flash_cnt[1241][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1241][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1241][5]~44263\,
	combout => \led_flash_cnt[1241][6]~44264_combout\,
	cout => \led_flash_cnt[1241][6]~44265\);

-- Location: FF_X34_Y24_N29
\led_flash_cnt[1241][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1241][6]~44264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1241][6]~q\);

-- Location: LCCOMB_X34_Y24_N30
\led_flash_cnt[1241][7]~44266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1241][7]~44266_combout\ = \led_flash_cnt[1241][7]~q\ $ (!\led_flash_cnt[1241][6]~44265\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1241][7]~q\,
	cin => \led_flash_cnt[1241][6]~44265\,
	combout => \led_flash_cnt[1241][7]~44266_combout\);

-- Location: FF_X34_Y24_N31
\led_flash_cnt[1241][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1241][7]~44266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1241][7]~q\);

-- Location: LCCOMB_X35_Y24_N28
\WideAnd1241~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1241~1_combout\ = (\led_flash_cnt[1241][5]~q\ & \led_flash_cnt[1241][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1241][5]~q\,
	datad => \led_flash_cnt[1241][6]~q\,
	combout => \WideAnd1241~1_combout\);

-- Location: LCCOMB_X34_Y24_N14
WideAnd1241 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1241~combout\ = (\led_flash_cnt[1241][0]~q\ & (\WideAnd1241~0_combout\ & (\led_flash_cnt[1241][7]~q\ & \WideAnd1241~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1241][0]~q\,
	datab => \WideAnd1241~0_combout\,
	datac => \led_flash_cnt[1241][7]~q\,
	datad => \WideAnd1241~1_combout\,
	combout => \WideAnd1241~combout\);

-- Location: FF_X34_Y24_N15
\led_flash_cnt_ands[1241]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1241~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1241));

-- Location: LCCOMB_X32_Y24_N8
\led_flash_cnt[1242][0]~81882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1242][0]~81882_combout\ = !\led_flash_cnt[1242][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1242][0]~q\,
	combout => \led_flash_cnt[1242][0]~81882_combout\);

-- Location: FF_X32_Y24_N9
\led_flash_cnt[1242][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1242][0]~81882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1242][0]~q\);

-- Location: LCCOMB_X27_Y20_N0
\led_flash_cnt[1242][1]~44268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1242][1]~44268_combout\ = (\led_flash_cnt[1242][0]~q\ & (\led_flash_cnt[1242][1]~q\ $ (VCC))) # (!\led_flash_cnt[1242][0]~q\ & (\led_flash_cnt[1242][1]~q\ & VCC))
-- \led_flash_cnt[1242][1]~44269\ = CARRY((\led_flash_cnt[1242][0]~q\ & \led_flash_cnt[1242][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1242][0]~q\,
	datab => \led_flash_cnt[1242][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1242][1]~44268_combout\,
	cout => \led_flash_cnt[1242][1]~44269\);

-- Location: FF_X27_Y20_N1
\led_flash_cnt[1242][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1242][1]~44268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1242][1]~q\);

-- Location: LCCOMB_X27_Y20_N2
\led_flash_cnt[1242][2]~44270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1242][2]~44270_combout\ = (\led_flash_cnt[1242][2]~q\ & (!\led_flash_cnt[1242][1]~44269\)) # (!\led_flash_cnt[1242][2]~q\ & ((\led_flash_cnt[1242][1]~44269\) # (GND)))
-- \led_flash_cnt[1242][2]~44271\ = CARRY((!\led_flash_cnt[1242][1]~44269\) # (!\led_flash_cnt[1242][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1242][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1242][1]~44269\,
	combout => \led_flash_cnt[1242][2]~44270_combout\,
	cout => \led_flash_cnt[1242][2]~44271\);

-- Location: FF_X27_Y20_N3
\led_flash_cnt[1242][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1242][2]~44270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1242][2]~q\);

-- Location: LCCOMB_X27_Y20_N4
\led_flash_cnt[1242][3]~44272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1242][3]~44272_combout\ = (\led_flash_cnt[1242][3]~q\ & (\led_flash_cnt[1242][2]~44271\ $ (GND))) # (!\led_flash_cnt[1242][3]~q\ & (!\led_flash_cnt[1242][2]~44271\ & VCC))
-- \led_flash_cnt[1242][3]~44273\ = CARRY((\led_flash_cnt[1242][3]~q\ & !\led_flash_cnt[1242][2]~44271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1242][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1242][2]~44271\,
	combout => \led_flash_cnt[1242][3]~44272_combout\,
	cout => \led_flash_cnt[1242][3]~44273\);

-- Location: FF_X27_Y20_N5
\led_flash_cnt[1242][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1242][3]~44272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1242][3]~q\);

-- Location: LCCOMB_X27_Y20_N6
\led_flash_cnt[1242][4]~44274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1242][4]~44274_combout\ = (\led_flash_cnt[1242][4]~q\ & (!\led_flash_cnt[1242][3]~44273\)) # (!\led_flash_cnt[1242][4]~q\ & ((\led_flash_cnt[1242][3]~44273\) # (GND)))
-- \led_flash_cnt[1242][4]~44275\ = CARRY((!\led_flash_cnt[1242][3]~44273\) # (!\led_flash_cnt[1242][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1242][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1242][3]~44273\,
	combout => \led_flash_cnt[1242][4]~44274_combout\,
	cout => \led_flash_cnt[1242][4]~44275\);

-- Location: FF_X27_Y20_N7
\led_flash_cnt[1242][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1242][4]~44274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1242][4]~q\);

-- Location: LCCOMB_X27_Y20_N14
\WideAnd1242~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1242~0_combout\ = (\led_flash_cnt[1242][4]~q\ & (\led_flash_cnt[1242][2]~q\ & (\led_flash_cnt[1242][3]~q\ & \led_flash_cnt[1242][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1242][4]~q\,
	datab => \led_flash_cnt[1242][2]~q\,
	datac => \led_flash_cnt[1242][3]~q\,
	datad => \led_flash_cnt[1242][1]~q\,
	combout => \WideAnd1242~0_combout\);

-- Location: LCCOMB_X27_Y20_N8
\led_flash_cnt[1242][5]~44276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1242][5]~44276_combout\ = (\led_flash_cnt[1242][5]~q\ & (\led_flash_cnt[1242][4]~44275\ $ (GND))) # (!\led_flash_cnt[1242][5]~q\ & (!\led_flash_cnt[1242][4]~44275\ & VCC))
-- \led_flash_cnt[1242][5]~44277\ = CARRY((\led_flash_cnt[1242][5]~q\ & !\led_flash_cnt[1242][4]~44275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1242][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1242][4]~44275\,
	combout => \led_flash_cnt[1242][5]~44276_combout\,
	cout => \led_flash_cnt[1242][5]~44277\);

-- Location: FF_X27_Y20_N9
\led_flash_cnt[1242][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1242][5]~44276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1242][5]~q\);

-- Location: LCCOMB_X27_Y20_N10
\led_flash_cnt[1242][6]~44278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1242][6]~44278_combout\ = (\led_flash_cnt[1242][6]~q\ & (!\led_flash_cnt[1242][5]~44277\)) # (!\led_flash_cnt[1242][6]~q\ & ((\led_flash_cnt[1242][5]~44277\) # (GND)))
-- \led_flash_cnt[1242][6]~44279\ = CARRY((!\led_flash_cnt[1242][5]~44277\) # (!\led_flash_cnt[1242][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1242][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1242][5]~44277\,
	combout => \led_flash_cnt[1242][6]~44278_combout\,
	cout => \led_flash_cnt[1242][6]~44279\);

-- Location: FF_X27_Y20_N11
\led_flash_cnt[1242][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1242][6]~44278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1242][6]~q\);

-- Location: LCCOMB_X27_Y20_N12
\led_flash_cnt[1242][7]~44280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1242][7]~44280_combout\ = \led_flash_cnt[1242][6]~44279\ $ (!\led_flash_cnt[1242][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1242][7]~q\,
	cin => \led_flash_cnt[1242][6]~44279\,
	combout => \led_flash_cnt[1242][7]~44280_combout\);

-- Location: FF_X27_Y20_N13
\led_flash_cnt[1242][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1242][7]~44280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1242][7]~q\);

-- Location: LCCOMB_X31_Y24_N14
\WideAnd1242~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1242~1_combout\ = (\led_flash_cnt[1242][5]~q\ & \led_flash_cnt[1242][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1242][5]~q\,
	datad => \led_flash_cnt[1242][6]~q\,
	combout => \WideAnd1242~1_combout\);

-- Location: LCCOMB_X32_Y24_N18
WideAnd1242 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1242~combout\ = (\WideAnd1242~0_combout\ & (\led_flash_cnt[1242][7]~q\ & (\led_flash_cnt[1242][0]~q\ & \WideAnd1242~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1242~0_combout\,
	datab => \led_flash_cnt[1242][7]~q\,
	datac => \led_flash_cnt[1242][0]~q\,
	datad => \WideAnd1242~1_combout\,
	combout => \WideAnd1242~combout\);

-- Location: FF_X32_Y24_N19
\led_flash_cnt_ands[1242]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1242~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1242));

-- Location: LCCOMB_X32_Y24_N22
\WideAnd3995~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3995~0_combout\ = (led_flash_cnt_ands(1240) & (led_flash_cnt_ands(1243) & (led_flash_cnt_ands(1241) & led_flash_cnt_ands(1242))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1240),
	datab => led_flash_cnt_ands(1243),
	datac => led_flash_cnt_ands(1241),
	datad => led_flash_cnt_ands(1242),
	combout => \WideAnd3995~0_combout\);

-- Location: LCCOMB_X18_Y11_N22
\led_flash_cnt[1247][0]~81887\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1247][0]~81887_combout\ = !\led_flash_cnt[1247][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1247][0]~q\,
	combout => \led_flash_cnt[1247][0]~81887_combout\);

-- Location: FF_X18_Y11_N23
\led_flash_cnt[1247][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1247][0]~81887_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1247][0]~q\);

-- Location: LCCOMB_X18_Y11_N4
\led_flash_cnt[1247][1]~44338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1247][1]~44338_combout\ = (\led_flash_cnt[1247][0]~q\ & (\led_flash_cnt[1247][1]~q\ $ (VCC))) # (!\led_flash_cnt[1247][0]~q\ & (\led_flash_cnt[1247][1]~q\ & VCC))
-- \led_flash_cnt[1247][1]~44339\ = CARRY((\led_flash_cnt[1247][0]~q\ & \led_flash_cnt[1247][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1247][0]~q\,
	datab => \led_flash_cnt[1247][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1247][1]~44338_combout\,
	cout => \led_flash_cnt[1247][1]~44339\);

-- Location: FF_X18_Y11_N5
\led_flash_cnt[1247][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1247][1]~44338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1247][1]~q\);

-- Location: LCCOMB_X18_Y11_N6
\led_flash_cnt[1247][2]~44340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1247][2]~44340_combout\ = (\led_flash_cnt[1247][2]~q\ & (!\led_flash_cnt[1247][1]~44339\)) # (!\led_flash_cnt[1247][2]~q\ & ((\led_flash_cnt[1247][1]~44339\) # (GND)))
-- \led_flash_cnt[1247][2]~44341\ = CARRY((!\led_flash_cnt[1247][1]~44339\) # (!\led_flash_cnt[1247][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1247][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1247][1]~44339\,
	combout => \led_flash_cnt[1247][2]~44340_combout\,
	cout => \led_flash_cnt[1247][2]~44341\);

-- Location: FF_X18_Y11_N7
\led_flash_cnt[1247][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1247][2]~44340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1247][2]~q\);

-- Location: LCCOMB_X18_Y11_N8
\led_flash_cnt[1247][3]~44342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1247][3]~44342_combout\ = (\led_flash_cnt[1247][3]~q\ & (\led_flash_cnt[1247][2]~44341\ $ (GND))) # (!\led_flash_cnt[1247][3]~q\ & (!\led_flash_cnt[1247][2]~44341\ & VCC))
-- \led_flash_cnt[1247][3]~44343\ = CARRY((\led_flash_cnt[1247][3]~q\ & !\led_flash_cnt[1247][2]~44341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1247][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1247][2]~44341\,
	combout => \led_flash_cnt[1247][3]~44342_combout\,
	cout => \led_flash_cnt[1247][3]~44343\);

-- Location: FF_X18_Y11_N9
\led_flash_cnt[1247][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1247][3]~44342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1247][3]~q\);

-- Location: LCCOMB_X18_Y11_N10
\led_flash_cnt[1247][4]~44344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1247][4]~44344_combout\ = (\led_flash_cnt[1247][4]~q\ & (!\led_flash_cnt[1247][3]~44343\)) # (!\led_flash_cnt[1247][4]~q\ & ((\led_flash_cnt[1247][3]~44343\) # (GND)))
-- \led_flash_cnt[1247][4]~44345\ = CARRY((!\led_flash_cnt[1247][3]~44343\) # (!\led_flash_cnt[1247][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1247][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1247][3]~44343\,
	combout => \led_flash_cnt[1247][4]~44344_combout\,
	cout => \led_flash_cnt[1247][4]~44345\);

-- Location: FF_X18_Y11_N11
\led_flash_cnt[1247][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1247][4]~44344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1247][4]~q\);

-- Location: LCCOMB_X18_Y11_N26
\WideAnd1247~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1247~0_combout\ = (\led_flash_cnt[1247][2]~q\ & (\led_flash_cnt[1247][3]~q\ & (\led_flash_cnt[1247][1]~q\ & \led_flash_cnt[1247][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1247][2]~q\,
	datab => \led_flash_cnt[1247][3]~q\,
	datac => \led_flash_cnt[1247][1]~q\,
	datad => \led_flash_cnt[1247][4]~q\,
	combout => \WideAnd1247~0_combout\);

-- Location: LCCOMB_X18_Y11_N12
\led_flash_cnt[1247][5]~44346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1247][5]~44346_combout\ = (\led_flash_cnt[1247][5]~q\ & (\led_flash_cnt[1247][4]~44345\ $ (GND))) # (!\led_flash_cnt[1247][5]~q\ & (!\led_flash_cnt[1247][4]~44345\ & VCC))
-- \led_flash_cnt[1247][5]~44347\ = CARRY((\led_flash_cnt[1247][5]~q\ & !\led_flash_cnt[1247][4]~44345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1247][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1247][4]~44345\,
	combout => \led_flash_cnt[1247][5]~44346_combout\,
	cout => \led_flash_cnt[1247][5]~44347\);

-- Location: FF_X18_Y11_N13
\led_flash_cnt[1247][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1247][5]~44346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1247][5]~q\);

-- Location: LCCOMB_X18_Y11_N14
\led_flash_cnt[1247][6]~44348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1247][6]~44348_combout\ = (\led_flash_cnt[1247][6]~q\ & (!\led_flash_cnt[1247][5]~44347\)) # (!\led_flash_cnt[1247][6]~q\ & ((\led_flash_cnt[1247][5]~44347\) # (GND)))
-- \led_flash_cnt[1247][6]~44349\ = CARRY((!\led_flash_cnt[1247][5]~44347\) # (!\led_flash_cnt[1247][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1247][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1247][5]~44347\,
	combout => \led_flash_cnt[1247][6]~44348_combout\,
	cout => \led_flash_cnt[1247][6]~44349\);

-- Location: FF_X18_Y11_N15
\led_flash_cnt[1247][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1247][6]~44348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1247][6]~q\);

-- Location: LCCOMB_X18_Y11_N16
\led_flash_cnt[1247][7]~44350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1247][7]~44350_combout\ = \led_flash_cnt[1247][6]~44349\ $ (!\led_flash_cnt[1247][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1247][7]~q\,
	cin => \led_flash_cnt[1247][6]~44349\,
	combout => \led_flash_cnt[1247][7]~44350_combout\);

-- Location: FF_X18_Y11_N17
\led_flash_cnt[1247][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1247][7]~44350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1247][7]~q\);

-- Location: LCCOMB_X18_Y11_N18
\WideAnd1247~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1247~1_combout\ = (\led_flash_cnt[1247][6]~q\ & \led_flash_cnt[1247][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1247][6]~q\,
	datad => \led_flash_cnt[1247][5]~q\,
	combout => \WideAnd1247~1_combout\);

-- Location: LCCOMB_X18_Y11_N20
WideAnd1247 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1247~combout\ = (\WideAnd1247~0_combout\ & (\led_flash_cnt[1247][7]~q\ & (\led_flash_cnt[1247][0]~q\ & \WideAnd1247~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1247~0_combout\,
	datab => \led_flash_cnt[1247][7]~q\,
	datac => \led_flash_cnt[1247][0]~q\,
	datad => \WideAnd1247~1_combout\,
	combout => \WideAnd1247~combout\);

-- Location: FF_X18_Y11_N21
\led_flash_cnt_ands[1247]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1247~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1247));

-- Location: LCCOMB_X22_Y17_N24
WideAnd3995 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3995~combout\ = (led_flash_cnt_ands(1246) & (\WideAnd3995~1_combout\ & (\WideAnd3995~0_combout\ & led_flash_cnt_ands(1247))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1246),
	datab => \WideAnd3995~1_combout\,
	datac => \WideAnd3995~0_combout\,
	datad => led_flash_cnt_ands(1247),
	combout => \WideAnd3995~combout\);

-- Location: FF_X22_Y17_N25
\led_flash_cnt_ands_1[155]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3995~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(155));

-- Location: LCCOMB_X7_Y21_N14
\led_flash_cnt[1234][0]~81874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1234][0]~81874_combout\ = !\led_flash_cnt[1234][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1234][0]~q\,
	combout => \led_flash_cnt[1234][0]~81874_combout\);

-- Location: FF_X7_Y21_N15
\led_flash_cnt[1234][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1234][0]~81874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1234][0]~q\);

-- Location: LCCOMB_X8_Y21_N18
\led_flash_cnt[1234][1]~44156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1234][1]~44156_combout\ = (\led_flash_cnt[1234][0]~q\ & (\led_flash_cnt[1234][1]~q\ $ (VCC))) # (!\led_flash_cnt[1234][0]~q\ & (\led_flash_cnt[1234][1]~q\ & VCC))
-- \led_flash_cnt[1234][1]~44157\ = CARRY((\led_flash_cnt[1234][0]~q\ & \led_flash_cnt[1234][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1234][0]~q\,
	datab => \led_flash_cnt[1234][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1234][1]~44156_combout\,
	cout => \led_flash_cnt[1234][1]~44157\);

-- Location: FF_X8_Y21_N19
\led_flash_cnt[1234][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1234][1]~44156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1234][1]~q\);

-- Location: LCCOMB_X8_Y21_N20
\led_flash_cnt[1234][2]~44158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1234][2]~44158_combout\ = (\led_flash_cnt[1234][2]~q\ & (!\led_flash_cnt[1234][1]~44157\)) # (!\led_flash_cnt[1234][2]~q\ & ((\led_flash_cnt[1234][1]~44157\) # (GND)))
-- \led_flash_cnt[1234][2]~44159\ = CARRY((!\led_flash_cnt[1234][1]~44157\) # (!\led_flash_cnt[1234][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1234][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1234][1]~44157\,
	combout => \led_flash_cnt[1234][2]~44158_combout\,
	cout => \led_flash_cnt[1234][2]~44159\);

-- Location: FF_X8_Y21_N21
\led_flash_cnt[1234][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1234][2]~44158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1234][2]~q\);

-- Location: LCCOMB_X8_Y21_N22
\led_flash_cnt[1234][3]~44160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1234][3]~44160_combout\ = (\led_flash_cnt[1234][3]~q\ & (\led_flash_cnt[1234][2]~44159\ $ (GND))) # (!\led_flash_cnt[1234][3]~q\ & (!\led_flash_cnt[1234][2]~44159\ & VCC))
-- \led_flash_cnt[1234][3]~44161\ = CARRY((\led_flash_cnt[1234][3]~q\ & !\led_flash_cnt[1234][2]~44159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1234][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1234][2]~44159\,
	combout => \led_flash_cnt[1234][3]~44160_combout\,
	cout => \led_flash_cnt[1234][3]~44161\);

-- Location: FF_X8_Y21_N23
\led_flash_cnt[1234][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1234][3]~44160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1234][3]~q\);

-- Location: LCCOMB_X8_Y21_N24
\led_flash_cnt[1234][4]~44162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1234][4]~44162_combout\ = (\led_flash_cnt[1234][4]~q\ & (!\led_flash_cnt[1234][3]~44161\)) # (!\led_flash_cnt[1234][4]~q\ & ((\led_flash_cnt[1234][3]~44161\) # (GND)))
-- \led_flash_cnt[1234][4]~44163\ = CARRY((!\led_flash_cnt[1234][3]~44161\) # (!\led_flash_cnt[1234][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1234][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1234][3]~44161\,
	combout => \led_flash_cnt[1234][4]~44162_combout\,
	cout => \led_flash_cnt[1234][4]~44163\);

-- Location: FF_X8_Y21_N25
\led_flash_cnt[1234][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1234][4]~44162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1234][4]~q\);

-- Location: LCCOMB_X8_Y21_N26
\led_flash_cnt[1234][5]~44164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1234][5]~44164_combout\ = (\led_flash_cnt[1234][5]~q\ & (\led_flash_cnt[1234][4]~44163\ $ (GND))) # (!\led_flash_cnt[1234][5]~q\ & (!\led_flash_cnt[1234][4]~44163\ & VCC))
-- \led_flash_cnt[1234][5]~44165\ = CARRY((\led_flash_cnt[1234][5]~q\ & !\led_flash_cnt[1234][4]~44163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1234][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1234][4]~44163\,
	combout => \led_flash_cnt[1234][5]~44164_combout\,
	cout => \led_flash_cnt[1234][5]~44165\);

-- Location: FF_X8_Y21_N27
\led_flash_cnt[1234][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1234][5]~44164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1234][5]~q\);

-- Location: LCCOMB_X8_Y21_N28
\led_flash_cnt[1234][6]~44166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1234][6]~44166_combout\ = (\led_flash_cnt[1234][6]~q\ & (!\led_flash_cnt[1234][5]~44165\)) # (!\led_flash_cnt[1234][6]~q\ & ((\led_flash_cnt[1234][5]~44165\) # (GND)))
-- \led_flash_cnt[1234][6]~44167\ = CARRY((!\led_flash_cnt[1234][5]~44165\) # (!\led_flash_cnt[1234][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1234][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1234][5]~44165\,
	combout => \led_flash_cnt[1234][6]~44166_combout\,
	cout => \led_flash_cnt[1234][6]~44167\);

-- Location: FF_X8_Y21_N29
\led_flash_cnt[1234][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1234][6]~44166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1234][6]~q\);

-- Location: LCCOMB_X7_Y21_N26
\WideAnd1234~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1234~1_combout\ = (\led_flash_cnt[1234][6]~q\ & \led_flash_cnt[1234][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1234][6]~q\,
	datad => \led_flash_cnt[1234][5]~q\,
	combout => \WideAnd1234~1_combout\);

-- Location: LCCOMB_X8_Y21_N30
\led_flash_cnt[1234][7]~44168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1234][7]~44168_combout\ = \led_flash_cnt[1234][7]~q\ $ (!\led_flash_cnt[1234][6]~44167\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1234][7]~q\,
	cin => \led_flash_cnt[1234][6]~44167\,
	combout => \led_flash_cnt[1234][7]~44168_combout\);

-- Location: FF_X8_Y21_N31
\led_flash_cnt[1234][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1234][7]~44168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1234][7]~q\);

-- Location: LCCOMB_X8_Y21_N16
\WideAnd1234~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1234~0_combout\ = (\led_flash_cnt[1234][2]~q\ & (\led_flash_cnt[1234][1]~q\ & (\led_flash_cnt[1234][3]~q\ & \led_flash_cnt[1234][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1234][2]~q\,
	datab => \led_flash_cnt[1234][1]~q\,
	datac => \led_flash_cnt[1234][3]~q\,
	datad => \led_flash_cnt[1234][4]~q\,
	combout => \WideAnd1234~0_combout\);

-- Location: LCCOMB_X7_Y21_N22
WideAnd1234 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1234~combout\ = (\WideAnd1234~1_combout\ & (\led_flash_cnt[1234][0]~q\ & (\led_flash_cnt[1234][7]~q\ & \WideAnd1234~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1234~1_combout\,
	datab => \led_flash_cnt[1234][0]~q\,
	datac => \led_flash_cnt[1234][7]~q\,
	datad => \WideAnd1234~0_combout\,
	combout => \WideAnd1234~combout\);

-- Location: FF_X7_Y21_N23
\led_flash_cnt_ands[1234]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1234~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1234));

-- Location: LCCOMB_X2_Y13_N26
\led_flash_cnt[1232][0]~81872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1232][0]~81872_combout\ = !\led_flash_cnt[1232][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1232][0]~q\,
	combout => \led_flash_cnt[1232][0]~81872_combout\);

-- Location: FF_X2_Y13_N27
\led_flash_cnt[1232][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1232][0]~81872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1232][0]~q\);

-- Location: LCCOMB_X3_Y13_N16
\led_flash_cnt[1232][1]~44128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1232][1]~44128_combout\ = (\led_flash_cnt[1232][0]~q\ & (\led_flash_cnt[1232][1]~q\ $ (VCC))) # (!\led_flash_cnt[1232][0]~q\ & (\led_flash_cnt[1232][1]~q\ & VCC))
-- \led_flash_cnt[1232][1]~44129\ = CARRY((\led_flash_cnt[1232][0]~q\ & \led_flash_cnt[1232][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1232][0]~q\,
	datab => \led_flash_cnt[1232][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1232][1]~44128_combout\,
	cout => \led_flash_cnt[1232][1]~44129\);

-- Location: FF_X3_Y13_N17
\led_flash_cnt[1232][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1232][1]~44128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1232][1]~q\);

-- Location: LCCOMB_X3_Y13_N18
\led_flash_cnt[1232][2]~44130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1232][2]~44130_combout\ = (\led_flash_cnt[1232][2]~q\ & (!\led_flash_cnt[1232][1]~44129\)) # (!\led_flash_cnt[1232][2]~q\ & ((\led_flash_cnt[1232][1]~44129\) # (GND)))
-- \led_flash_cnt[1232][2]~44131\ = CARRY((!\led_flash_cnt[1232][1]~44129\) # (!\led_flash_cnt[1232][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1232][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1232][1]~44129\,
	combout => \led_flash_cnt[1232][2]~44130_combout\,
	cout => \led_flash_cnt[1232][2]~44131\);

-- Location: FF_X3_Y13_N19
\led_flash_cnt[1232][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1232][2]~44130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1232][2]~q\);

-- Location: LCCOMB_X3_Y13_N20
\led_flash_cnt[1232][3]~44132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1232][3]~44132_combout\ = (\led_flash_cnt[1232][3]~q\ & (\led_flash_cnt[1232][2]~44131\ $ (GND))) # (!\led_flash_cnt[1232][3]~q\ & (!\led_flash_cnt[1232][2]~44131\ & VCC))
-- \led_flash_cnt[1232][3]~44133\ = CARRY((\led_flash_cnt[1232][3]~q\ & !\led_flash_cnt[1232][2]~44131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1232][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1232][2]~44131\,
	combout => \led_flash_cnt[1232][3]~44132_combout\,
	cout => \led_flash_cnt[1232][3]~44133\);

-- Location: FF_X3_Y13_N21
\led_flash_cnt[1232][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1232][3]~44132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1232][3]~q\);

-- Location: LCCOMB_X3_Y13_N22
\led_flash_cnt[1232][4]~44134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1232][4]~44134_combout\ = (\led_flash_cnt[1232][4]~q\ & (!\led_flash_cnt[1232][3]~44133\)) # (!\led_flash_cnt[1232][4]~q\ & ((\led_flash_cnt[1232][3]~44133\) # (GND)))
-- \led_flash_cnt[1232][4]~44135\ = CARRY((!\led_flash_cnt[1232][3]~44133\) # (!\led_flash_cnt[1232][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1232][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1232][3]~44133\,
	combout => \led_flash_cnt[1232][4]~44134_combout\,
	cout => \led_flash_cnt[1232][4]~44135\);

-- Location: FF_X3_Y13_N23
\led_flash_cnt[1232][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1232][4]~44134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1232][4]~q\);

-- Location: LCCOMB_X3_Y13_N24
\led_flash_cnt[1232][5]~44136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1232][5]~44136_combout\ = (\led_flash_cnt[1232][5]~q\ & (\led_flash_cnt[1232][4]~44135\ $ (GND))) # (!\led_flash_cnt[1232][5]~q\ & (!\led_flash_cnt[1232][4]~44135\ & VCC))
-- \led_flash_cnt[1232][5]~44137\ = CARRY((\led_flash_cnt[1232][5]~q\ & !\led_flash_cnt[1232][4]~44135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1232][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1232][4]~44135\,
	combout => \led_flash_cnt[1232][5]~44136_combout\,
	cout => \led_flash_cnt[1232][5]~44137\);

-- Location: FF_X3_Y13_N25
\led_flash_cnt[1232][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1232][5]~44136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1232][5]~q\);

-- Location: LCCOMB_X3_Y13_N26
\led_flash_cnt[1232][6]~44138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1232][6]~44138_combout\ = (\led_flash_cnt[1232][6]~q\ & (!\led_flash_cnt[1232][5]~44137\)) # (!\led_flash_cnt[1232][6]~q\ & ((\led_flash_cnt[1232][5]~44137\) # (GND)))
-- \led_flash_cnt[1232][6]~44139\ = CARRY((!\led_flash_cnt[1232][5]~44137\) # (!\led_flash_cnt[1232][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1232][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1232][5]~44137\,
	combout => \led_flash_cnt[1232][6]~44138_combout\,
	cout => \led_flash_cnt[1232][6]~44139\);

-- Location: FF_X3_Y13_N27
\led_flash_cnt[1232][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1232][6]~44138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1232][6]~q\);

-- Location: LCCOMB_X3_Y13_N28
\led_flash_cnt[1232][7]~44140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1232][7]~44140_combout\ = \led_flash_cnt[1232][6]~44139\ $ (!\led_flash_cnt[1232][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1232][7]~q\,
	cin => \led_flash_cnt[1232][6]~44139\,
	combout => \led_flash_cnt[1232][7]~44140_combout\);

-- Location: FF_X3_Y13_N29
\led_flash_cnt[1232][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1232][7]~44140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1232][7]~q\);

-- Location: LCCOMB_X3_Y13_N30
\WideAnd1232~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1232~0_combout\ = (\led_flash_cnt[1232][1]~q\ & (\led_flash_cnt[1232][3]~q\ & (\led_flash_cnt[1232][4]~q\ & \led_flash_cnt[1232][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1232][1]~q\,
	datab => \led_flash_cnt[1232][3]~q\,
	datac => \led_flash_cnt[1232][4]~q\,
	datad => \led_flash_cnt[1232][2]~q\,
	combout => \WideAnd1232~0_combout\);

-- Location: LCCOMB_X2_Y13_N20
\WideAnd1232~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1232~1_combout\ = (\led_flash_cnt[1232][5]~q\ & \led_flash_cnt[1232][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1232][5]~q\,
	datad => \led_flash_cnt[1232][6]~q\,
	combout => \WideAnd1232~1_combout\);

-- Location: LCCOMB_X2_Y13_N28
WideAnd1232 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1232~combout\ = (\led_flash_cnt[1232][7]~q\ & (\led_flash_cnt[1232][0]~q\ & (\WideAnd1232~0_combout\ & \WideAnd1232~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1232][7]~q\,
	datab => \led_flash_cnt[1232][0]~q\,
	datac => \WideAnd1232~0_combout\,
	datad => \WideAnd1232~1_combout\,
	combout => \WideAnd1232~combout\);

-- Location: FF_X2_Y13_N29
\led_flash_cnt_ands[1232]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1232~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1232));

-- Location: LCCOMB_X4_Y24_N16
\led_flash_cnt[1235][0]~81875\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1235][0]~81875_combout\ = !\led_flash_cnt[1235][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1235][0]~q\,
	combout => \led_flash_cnt[1235][0]~81875_combout\);

-- Location: FF_X4_Y24_N17
\led_flash_cnt[1235][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1235][0]~81875_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1235][0]~q\);

-- Location: LCCOMB_X6_Y24_N0
\led_flash_cnt[1235][1]~44170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1235][1]~44170_combout\ = (\led_flash_cnt[1235][0]~q\ & (\led_flash_cnt[1235][1]~q\ $ (VCC))) # (!\led_flash_cnt[1235][0]~q\ & (\led_flash_cnt[1235][1]~q\ & VCC))
-- \led_flash_cnt[1235][1]~44171\ = CARRY((\led_flash_cnt[1235][0]~q\ & \led_flash_cnt[1235][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1235][0]~q\,
	datab => \led_flash_cnt[1235][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1235][1]~44170_combout\,
	cout => \led_flash_cnt[1235][1]~44171\);

-- Location: FF_X6_Y24_N1
\led_flash_cnt[1235][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1235][1]~44170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1235][1]~q\);

-- Location: LCCOMB_X6_Y24_N2
\led_flash_cnt[1235][2]~44172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1235][2]~44172_combout\ = (\led_flash_cnt[1235][2]~q\ & (!\led_flash_cnt[1235][1]~44171\)) # (!\led_flash_cnt[1235][2]~q\ & ((\led_flash_cnt[1235][1]~44171\) # (GND)))
-- \led_flash_cnt[1235][2]~44173\ = CARRY((!\led_flash_cnt[1235][1]~44171\) # (!\led_flash_cnt[1235][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1235][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1235][1]~44171\,
	combout => \led_flash_cnt[1235][2]~44172_combout\,
	cout => \led_flash_cnt[1235][2]~44173\);

-- Location: FF_X6_Y24_N3
\led_flash_cnt[1235][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1235][2]~44172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1235][2]~q\);

-- Location: LCCOMB_X6_Y24_N4
\led_flash_cnt[1235][3]~44174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1235][3]~44174_combout\ = (\led_flash_cnt[1235][3]~q\ & (\led_flash_cnt[1235][2]~44173\ $ (GND))) # (!\led_flash_cnt[1235][3]~q\ & (!\led_flash_cnt[1235][2]~44173\ & VCC))
-- \led_flash_cnt[1235][3]~44175\ = CARRY((\led_flash_cnt[1235][3]~q\ & !\led_flash_cnt[1235][2]~44173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1235][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1235][2]~44173\,
	combout => \led_flash_cnt[1235][3]~44174_combout\,
	cout => \led_flash_cnt[1235][3]~44175\);

-- Location: FF_X6_Y24_N5
\led_flash_cnt[1235][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1235][3]~44174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1235][3]~q\);

-- Location: LCCOMB_X6_Y24_N6
\led_flash_cnt[1235][4]~44176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1235][4]~44176_combout\ = (\led_flash_cnt[1235][4]~q\ & (!\led_flash_cnt[1235][3]~44175\)) # (!\led_flash_cnt[1235][4]~q\ & ((\led_flash_cnt[1235][3]~44175\) # (GND)))
-- \led_flash_cnt[1235][4]~44177\ = CARRY((!\led_flash_cnt[1235][3]~44175\) # (!\led_flash_cnt[1235][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1235][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1235][3]~44175\,
	combout => \led_flash_cnt[1235][4]~44176_combout\,
	cout => \led_flash_cnt[1235][4]~44177\);

-- Location: FF_X6_Y24_N7
\led_flash_cnt[1235][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1235][4]~44176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1235][4]~q\);

-- Location: LCCOMB_X6_Y24_N8
\led_flash_cnt[1235][5]~44178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1235][5]~44178_combout\ = (\led_flash_cnt[1235][5]~q\ & (\led_flash_cnt[1235][4]~44177\ $ (GND))) # (!\led_flash_cnt[1235][5]~q\ & (!\led_flash_cnt[1235][4]~44177\ & VCC))
-- \led_flash_cnt[1235][5]~44179\ = CARRY((\led_flash_cnt[1235][5]~q\ & !\led_flash_cnt[1235][4]~44177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1235][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1235][4]~44177\,
	combout => \led_flash_cnt[1235][5]~44178_combout\,
	cout => \led_flash_cnt[1235][5]~44179\);

-- Location: FF_X6_Y24_N9
\led_flash_cnt[1235][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1235][5]~44178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1235][5]~q\);

-- Location: LCCOMB_X6_Y24_N10
\led_flash_cnt[1235][6]~44180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1235][6]~44180_combout\ = (\led_flash_cnt[1235][6]~q\ & (!\led_flash_cnt[1235][5]~44179\)) # (!\led_flash_cnt[1235][6]~q\ & ((\led_flash_cnt[1235][5]~44179\) # (GND)))
-- \led_flash_cnt[1235][6]~44181\ = CARRY((!\led_flash_cnt[1235][5]~44179\) # (!\led_flash_cnt[1235][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1235][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1235][5]~44179\,
	combout => \led_flash_cnt[1235][6]~44180_combout\,
	cout => \led_flash_cnt[1235][6]~44181\);

-- Location: FF_X6_Y24_N11
\led_flash_cnt[1235][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1235][6]~44180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1235][6]~q\);

-- Location: LCCOMB_X6_Y24_N12
\led_flash_cnt[1235][7]~44182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1235][7]~44182_combout\ = \led_flash_cnt[1235][6]~44181\ $ (!\led_flash_cnt[1235][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1235][7]~q\,
	cin => \led_flash_cnt[1235][6]~44181\,
	combout => \led_flash_cnt[1235][7]~44182_combout\);

-- Location: FF_X6_Y24_N13
\led_flash_cnt[1235][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1235][7]~44182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1235][7]~q\);

-- Location: LCCOMB_X7_Y24_N28
\WideAnd1235~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1235~1_combout\ = (\led_flash_cnt[1235][6]~q\ & \led_flash_cnt[1235][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1235][6]~q\,
	datad => \led_flash_cnt[1235][5]~q\,
	combout => \WideAnd1235~1_combout\);

-- Location: LCCOMB_X6_Y24_N16
\WideAnd1235~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1235~0_combout\ = (\led_flash_cnt[1235][4]~q\ & (\led_flash_cnt[1235][1]~q\ & (\led_flash_cnt[1235][3]~q\ & \led_flash_cnt[1235][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1235][4]~q\,
	datab => \led_flash_cnt[1235][1]~q\,
	datac => \led_flash_cnt[1235][3]~q\,
	datad => \led_flash_cnt[1235][2]~q\,
	combout => \WideAnd1235~0_combout\);

-- Location: LCCOMB_X7_Y24_N4
WideAnd1235 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1235~combout\ = (\led_flash_cnt[1235][7]~q\ & (\WideAnd1235~1_combout\ & (\WideAnd1235~0_combout\ & \led_flash_cnt[1235][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1235][7]~q\,
	datab => \WideAnd1235~1_combout\,
	datac => \WideAnd1235~0_combout\,
	datad => \led_flash_cnt[1235][0]~q\,
	combout => \WideAnd1235~combout\);

-- Location: FF_X7_Y24_N5
\led_flash_cnt_ands[1235]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1235~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1235));

-- Location: LCCOMB_X2_Y13_N18
\led_flash_cnt[1233][0]~81873\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1233][0]~81873_combout\ = !\led_flash_cnt[1233][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1233][0]~q\,
	combout => \led_flash_cnt[1233][0]~81873_combout\);

-- Location: FF_X2_Y13_N19
\led_flash_cnt[1233][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1233][0]~81873_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1233][0]~q\);

-- Location: LCCOMB_X2_Y13_N4
\led_flash_cnt[1233][1]~44142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1233][1]~44142_combout\ = (\led_flash_cnt[1233][1]~q\ & (\led_flash_cnt[1233][0]~q\ $ (VCC))) # (!\led_flash_cnt[1233][1]~q\ & (\led_flash_cnt[1233][0]~q\ & VCC))
-- \led_flash_cnt[1233][1]~44143\ = CARRY((\led_flash_cnt[1233][1]~q\ & \led_flash_cnt[1233][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1233][1]~q\,
	datab => \led_flash_cnt[1233][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1233][1]~44142_combout\,
	cout => \led_flash_cnt[1233][1]~44143\);

-- Location: FF_X2_Y13_N5
\led_flash_cnt[1233][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1233][1]~44142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1233][1]~q\);

-- Location: LCCOMB_X2_Y13_N6
\led_flash_cnt[1233][2]~44144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1233][2]~44144_combout\ = (\led_flash_cnt[1233][2]~q\ & (!\led_flash_cnt[1233][1]~44143\)) # (!\led_flash_cnt[1233][2]~q\ & ((\led_flash_cnt[1233][1]~44143\) # (GND)))
-- \led_flash_cnt[1233][2]~44145\ = CARRY((!\led_flash_cnt[1233][1]~44143\) # (!\led_flash_cnt[1233][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1233][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1233][1]~44143\,
	combout => \led_flash_cnt[1233][2]~44144_combout\,
	cout => \led_flash_cnt[1233][2]~44145\);

-- Location: FF_X2_Y13_N7
\led_flash_cnt[1233][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1233][2]~44144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1233][2]~q\);

-- Location: LCCOMB_X2_Y13_N8
\led_flash_cnt[1233][3]~44146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1233][3]~44146_combout\ = (\led_flash_cnt[1233][3]~q\ & (\led_flash_cnt[1233][2]~44145\ $ (GND))) # (!\led_flash_cnt[1233][3]~q\ & (!\led_flash_cnt[1233][2]~44145\ & VCC))
-- \led_flash_cnt[1233][3]~44147\ = CARRY((\led_flash_cnt[1233][3]~q\ & !\led_flash_cnt[1233][2]~44145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1233][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1233][2]~44145\,
	combout => \led_flash_cnt[1233][3]~44146_combout\,
	cout => \led_flash_cnt[1233][3]~44147\);

-- Location: FF_X2_Y13_N9
\led_flash_cnt[1233][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1233][3]~44146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1233][3]~q\);

-- Location: LCCOMB_X2_Y13_N10
\led_flash_cnt[1233][4]~44148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1233][4]~44148_combout\ = (\led_flash_cnt[1233][4]~q\ & (!\led_flash_cnt[1233][3]~44147\)) # (!\led_flash_cnt[1233][4]~q\ & ((\led_flash_cnt[1233][3]~44147\) # (GND)))
-- \led_flash_cnt[1233][4]~44149\ = CARRY((!\led_flash_cnt[1233][3]~44147\) # (!\led_flash_cnt[1233][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1233][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1233][3]~44147\,
	combout => \led_flash_cnt[1233][4]~44148_combout\,
	cout => \led_flash_cnt[1233][4]~44149\);

-- Location: FF_X2_Y13_N11
\led_flash_cnt[1233][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1233][4]~44148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1233][4]~q\);

-- Location: LCCOMB_X2_Y13_N12
\led_flash_cnt[1233][5]~44150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1233][5]~44150_combout\ = (\led_flash_cnt[1233][5]~q\ & (\led_flash_cnt[1233][4]~44149\ $ (GND))) # (!\led_flash_cnt[1233][5]~q\ & (!\led_flash_cnt[1233][4]~44149\ & VCC))
-- \led_flash_cnt[1233][5]~44151\ = CARRY((\led_flash_cnt[1233][5]~q\ & !\led_flash_cnt[1233][4]~44149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1233][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1233][4]~44149\,
	combout => \led_flash_cnt[1233][5]~44150_combout\,
	cout => \led_flash_cnt[1233][5]~44151\);

-- Location: FF_X2_Y13_N13
\led_flash_cnt[1233][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1233][5]~44150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1233][5]~q\);

-- Location: LCCOMB_X2_Y13_N14
\led_flash_cnt[1233][6]~44152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1233][6]~44152_combout\ = (\led_flash_cnt[1233][6]~q\ & (!\led_flash_cnt[1233][5]~44151\)) # (!\led_flash_cnt[1233][6]~q\ & ((\led_flash_cnt[1233][5]~44151\) # (GND)))
-- \led_flash_cnt[1233][6]~44153\ = CARRY((!\led_flash_cnt[1233][5]~44151\) # (!\led_flash_cnt[1233][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1233][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1233][5]~44151\,
	combout => \led_flash_cnt[1233][6]~44152_combout\,
	cout => \led_flash_cnt[1233][6]~44153\);

-- Location: FF_X2_Y13_N15
\led_flash_cnt[1233][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1233][6]~44152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1233][6]~q\);

-- Location: LCCOMB_X2_Y13_N22
\WideAnd1233~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1233~1_combout\ = (\led_flash_cnt[1233][6]~q\ & \led_flash_cnt[1233][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1233][6]~q\,
	datad => \led_flash_cnt[1233][5]~q\,
	combout => \WideAnd1233~1_combout\);

-- Location: LCCOMB_X2_Y13_N16
\led_flash_cnt[1233][7]~44154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1233][7]~44154_combout\ = \led_flash_cnt[1233][6]~44153\ $ (!\led_flash_cnt[1233][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1233][7]~q\,
	cin => \led_flash_cnt[1233][6]~44153\,
	combout => \led_flash_cnt[1233][7]~44154_combout\);

-- Location: FF_X2_Y13_N17
\led_flash_cnt[1233][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1233][7]~44154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1233][7]~q\);

-- Location: LCCOMB_X2_Y13_N30
\WideAnd1233~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1233~0_combout\ = (\led_flash_cnt[1233][2]~q\ & (\led_flash_cnt[1233][1]~q\ & (\led_flash_cnt[1233][3]~q\ & \led_flash_cnt[1233][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1233][2]~q\,
	datab => \led_flash_cnt[1233][1]~q\,
	datac => \led_flash_cnt[1233][3]~q\,
	datad => \led_flash_cnt[1233][4]~q\,
	combout => \WideAnd1233~0_combout\);

-- Location: LCCOMB_X2_Y13_N24
WideAnd1233 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1233~combout\ = (\WideAnd1233~1_combout\ & (\led_flash_cnt[1233][7]~q\ & (\WideAnd1233~0_combout\ & \led_flash_cnt[1233][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1233~1_combout\,
	datab => \led_flash_cnt[1233][7]~q\,
	datac => \WideAnd1233~0_combout\,
	datad => \led_flash_cnt[1233][0]~q\,
	combout => \WideAnd1233~combout\);

-- Location: FF_X2_Y13_N25
\led_flash_cnt_ands[1233]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1233~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1233));

-- Location: LCCOMB_X7_Y21_N28
\WideAnd3994~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3994~0_combout\ = (led_flash_cnt_ands(1234) & (led_flash_cnt_ands(1232) & (led_flash_cnt_ands(1235) & led_flash_cnt_ands(1233))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1234),
	datab => led_flash_cnt_ands(1232),
	datac => led_flash_cnt_ands(1235),
	datad => led_flash_cnt_ands(1233),
	combout => \WideAnd3994~0_combout\);

-- Location: LCCOMB_X10_Y22_N24
\led_flash_cnt[1239][0]~81879\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1239][0]~81879_combout\ = !\led_flash_cnt[1239][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1239][0]~q\,
	combout => \led_flash_cnt[1239][0]~81879_combout\);

-- Location: FF_X10_Y22_N25
\led_flash_cnt[1239][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1239][0]~81879_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1239][0]~q\);

-- Location: LCCOMB_X11_Y22_N16
\led_flash_cnt[1239][1]~44226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1239][1]~44226_combout\ = (\led_flash_cnt[1239][0]~q\ & (\led_flash_cnt[1239][1]~q\ $ (VCC))) # (!\led_flash_cnt[1239][0]~q\ & (\led_flash_cnt[1239][1]~q\ & VCC))
-- \led_flash_cnt[1239][1]~44227\ = CARRY((\led_flash_cnt[1239][0]~q\ & \led_flash_cnt[1239][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1239][0]~q\,
	datab => \led_flash_cnt[1239][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1239][1]~44226_combout\,
	cout => \led_flash_cnt[1239][1]~44227\);

-- Location: FF_X11_Y22_N17
\led_flash_cnt[1239][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1239][1]~44226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1239][1]~q\);

-- Location: LCCOMB_X11_Y22_N18
\led_flash_cnt[1239][2]~44228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1239][2]~44228_combout\ = (\led_flash_cnt[1239][2]~q\ & (!\led_flash_cnt[1239][1]~44227\)) # (!\led_flash_cnt[1239][2]~q\ & ((\led_flash_cnt[1239][1]~44227\) # (GND)))
-- \led_flash_cnt[1239][2]~44229\ = CARRY((!\led_flash_cnt[1239][1]~44227\) # (!\led_flash_cnt[1239][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1239][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1239][1]~44227\,
	combout => \led_flash_cnt[1239][2]~44228_combout\,
	cout => \led_flash_cnt[1239][2]~44229\);

-- Location: FF_X11_Y22_N19
\led_flash_cnt[1239][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1239][2]~44228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1239][2]~q\);

-- Location: LCCOMB_X11_Y22_N20
\led_flash_cnt[1239][3]~44230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1239][3]~44230_combout\ = (\led_flash_cnt[1239][3]~q\ & (\led_flash_cnt[1239][2]~44229\ $ (GND))) # (!\led_flash_cnt[1239][3]~q\ & (!\led_flash_cnt[1239][2]~44229\ & VCC))
-- \led_flash_cnt[1239][3]~44231\ = CARRY((\led_flash_cnt[1239][3]~q\ & !\led_flash_cnt[1239][2]~44229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1239][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1239][2]~44229\,
	combout => \led_flash_cnt[1239][3]~44230_combout\,
	cout => \led_flash_cnt[1239][3]~44231\);

-- Location: FF_X11_Y22_N21
\led_flash_cnt[1239][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1239][3]~44230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1239][3]~q\);

-- Location: LCCOMB_X11_Y22_N22
\led_flash_cnt[1239][4]~44232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1239][4]~44232_combout\ = (\led_flash_cnt[1239][4]~q\ & (!\led_flash_cnt[1239][3]~44231\)) # (!\led_flash_cnt[1239][4]~q\ & ((\led_flash_cnt[1239][3]~44231\) # (GND)))
-- \led_flash_cnt[1239][4]~44233\ = CARRY((!\led_flash_cnt[1239][3]~44231\) # (!\led_flash_cnt[1239][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1239][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1239][3]~44231\,
	combout => \led_flash_cnt[1239][4]~44232_combout\,
	cout => \led_flash_cnt[1239][4]~44233\);

-- Location: FF_X11_Y22_N23
\led_flash_cnt[1239][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1239][4]~44232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1239][4]~q\);

-- Location: LCCOMB_X11_Y22_N30
\WideAnd1239~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1239~0_combout\ = (\led_flash_cnt[1239][2]~q\ & (\led_flash_cnt[1239][3]~q\ & (\led_flash_cnt[1239][4]~q\ & \led_flash_cnt[1239][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1239][2]~q\,
	datab => \led_flash_cnt[1239][3]~q\,
	datac => \led_flash_cnt[1239][4]~q\,
	datad => \led_flash_cnt[1239][1]~q\,
	combout => \WideAnd1239~0_combout\);

-- Location: LCCOMB_X11_Y22_N24
\led_flash_cnt[1239][5]~44234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1239][5]~44234_combout\ = (\led_flash_cnt[1239][5]~q\ & (\led_flash_cnt[1239][4]~44233\ $ (GND))) # (!\led_flash_cnt[1239][5]~q\ & (!\led_flash_cnt[1239][4]~44233\ & VCC))
-- \led_flash_cnt[1239][5]~44235\ = CARRY((\led_flash_cnt[1239][5]~q\ & !\led_flash_cnt[1239][4]~44233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1239][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1239][4]~44233\,
	combout => \led_flash_cnt[1239][5]~44234_combout\,
	cout => \led_flash_cnt[1239][5]~44235\);

-- Location: FF_X11_Y22_N25
\led_flash_cnt[1239][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1239][5]~44234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1239][5]~q\);

-- Location: LCCOMB_X11_Y22_N26
\led_flash_cnt[1239][6]~44236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1239][6]~44236_combout\ = (\led_flash_cnt[1239][6]~q\ & (!\led_flash_cnt[1239][5]~44235\)) # (!\led_flash_cnt[1239][6]~q\ & ((\led_flash_cnt[1239][5]~44235\) # (GND)))
-- \led_flash_cnt[1239][6]~44237\ = CARRY((!\led_flash_cnt[1239][5]~44235\) # (!\led_flash_cnt[1239][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1239][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1239][5]~44235\,
	combout => \led_flash_cnt[1239][6]~44236_combout\,
	cout => \led_flash_cnt[1239][6]~44237\);

-- Location: FF_X11_Y22_N27
\led_flash_cnt[1239][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1239][6]~44236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1239][6]~q\);

-- Location: LCCOMB_X11_Y22_N28
\led_flash_cnt[1239][7]~44238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1239][7]~44238_combout\ = \led_flash_cnt[1239][6]~44237\ $ (!\led_flash_cnt[1239][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1239][7]~q\,
	cin => \led_flash_cnt[1239][6]~44237\,
	combout => \led_flash_cnt[1239][7]~44238_combout\);

-- Location: FF_X11_Y22_N29
\led_flash_cnt[1239][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1239][7]~44238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1239][7]~q\);

-- Location: LCCOMB_X10_Y22_N18
\WideAnd1239~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1239~1_combout\ = (\led_flash_cnt[1239][5]~q\ & \led_flash_cnt[1239][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1239][5]~q\,
	datad => \led_flash_cnt[1239][6]~q\,
	combout => \WideAnd1239~1_combout\);

-- Location: LCCOMB_X10_Y22_N28
WideAnd1239 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1239~combout\ = (\WideAnd1239~0_combout\ & (\led_flash_cnt[1239][0]~q\ & (\led_flash_cnt[1239][7]~q\ & \WideAnd1239~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1239~0_combout\,
	datab => \led_flash_cnt[1239][0]~q\,
	datac => \led_flash_cnt[1239][7]~q\,
	datad => \WideAnd1239~1_combout\,
	combout => \WideAnd1239~combout\);

-- Location: FF_X10_Y22_N29
\led_flash_cnt_ands[1239]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1239~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1239));

-- Location: LCCOMB_X11_Y24_N26
\led_flash_cnt[1238][0]~81878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1238][0]~81878_combout\ = !\led_flash_cnt[1238][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1238][0]~q\,
	combout => \led_flash_cnt[1238][0]~81878_combout\);

-- Location: FF_X11_Y24_N27
\led_flash_cnt[1238][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1238][0]~81878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1238][0]~q\);

-- Location: LCCOMB_X10_Y24_N0
\led_flash_cnt[1238][1]~44212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1238][1]~44212_combout\ = (\led_flash_cnt[1238][0]~q\ & (\led_flash_cnt[1238][1]~q\ $ (VCC))) # (!\led_flash_cnt[1238][0]~q\ & (\led_flash_cnt[1238][1]~q\ & VCC))
-- \led_flash_cnt[1238][1]~44213\ = CARRY((\led_flash_cnt[1238][0]~q\ & \led_flash_cnt[1238][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1238][0]~q\,
	datab => \led_flash_cnt[1238][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1238][1]~44212_combout\,
	cout => \led_flash_cnt[1238][1]~44213\);

-- Location: FF_X10_Y24_N1
\led_flash_cnt[1238][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1238][1]~44212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1238][1]~q\);

-- Location: LCCOMB_X10_Y24_N2
\led_flash_cnt[1238][2]~44214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1238][2]~44214_combout\ = (\led_flash_cnt[1238][2]~q\ & (!\led_flash_cnt[1238][1]~44213\)) # (!\led_flash_cnt[1238][2]~q\ & ((\led_flash_cnt[1238][1]~44213\) # (GND)))
-- \led_flash_cnt[1238][2]~44215\ = CARRY((!\led_flash_cnt[1238][1]~44213\) # (!\led_flash_cnt[1238][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1238][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1238][1]~44213\,
	combout => \led_flash_cnt[1238][2]~44214_combout\,
	cout => \led_flash_cnt[1238][2]~44215\);

-- Location: FF_X10_Y24_N3
\led_flash_cnt[1238][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1238][2]~44214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1238][2]~q\);

-- Location: LCCOMB_X10_Y24_N4
\led_flash_cnt[1238][3]~44216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1238][3]~44216_combout\ = (\led_flash_cnt[1238][3]~q\ & (\led_flash_cnt[1238][2]~44215\ $ (GND))) # (!\led_flash_cnt[1238][3]~q\ & (!\led_flash_cnt[1238][2]~44215\ & VCC))
-- \led_flash_cnt[1238][3]~44217\ = CARRY((\led_flash_cnt[1238][3]~q\ & !\led_flash_cnt[1238][2]~44215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1238][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1238][2]~44215\,
	combout => \led_flash_cnt[1238][3]~44216_combout\,
	cout => \led_flash_cnt[1238][3]~44217\);

-- Location: FF_X10_Y24_N5
\led_flash_cnt[1238][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1238][3]~44216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1238][3]~q\);

-- Location: LCCOMB_X10_Y24_N6
\led_flash_cnt[1238][4]~44218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1238][4]~44218_combout\ = (\led_flash_cnt[1238][4]~q\ & (!\led_flash_cnt[1238][3]~44217\)) # (!\led_flash_cnt[1238][4]~q\ & ((\led_flash_cnt[1238][3]~44217\) # (GND)))
-- \led_flash_cnt[1238][4]~44219\ = CARRY((!\led_flash_cnt[1238][3]~44217\) # (!\led_flash_cnt[1238][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1238][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1238][3]~44217\,
	combout => \led_flash_cnt[1238][4]~44218_combout\,
	cout => \led_flash_cnt[1238][4]~44219\);

-- Location: FF_X10_Y24_N7
\led_flash_cnt[1238][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1238][4]~44218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1238][4]~q\);

-- Location: LCCOMB_X10_Y24_N8
\led_flash_cnt[1238][5]~44220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1238][5]~44220_combout\ = (\led_flash_cnt[1238][5]~q\ & (\led_flash_cnt[1238][4]~44219\ $ (GND))) # (!\led_flash_cnt[1238][5]~q\ & (!\led_flash_cnt[1238][4]~44219\ & VCC))
-- \led_flash_cnt[1238][5]~44221\ = CARRY((\led_flash_cnt[1238][5]~q\ & !\led_flash_cnt[1238][4]~44219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1238][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1238][4]~44219\,
	combout => \led_flash_cnt[1238][5]~44220_combout\,
	cout => \led_flash_cnt[1238][5]~44221\);

-- Location: FF_X10_Y24_N9
\led_flash_cnt[1238][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1238][5]~44220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1238][5]~q\);

-- Location: LCCOMB_X10_Y24_N10
\led_flash_cnt[1238][6]~44222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1238][6]~44222_combout\ = (\led_flash_cnt[1238][6]~q\ & (!\led_flash_cnt[1238][5]~44221\)) # (!\led_flash_cnt[1238][6]~q\ & ((\led_flash_cnt[1238][5]~44221\) # (GND)))
-- \led_flash_cnt[1238][6]~44223\ = CARRY((!\led_flash_cnt[1238][5]~44221\) # (!\led_flash_cnt[1238][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1238][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1238][5]~44221\,
	combout => \led_flash_cnt[1238][6]~44222_combout\,
	cout => \led_flash_cnt[1238][6]~44223\);

-- Location: FF_X10_Y24_N11
\led_flash_cnt[1238][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1238][6]~44222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1238][6]~q\);

-- Location: LCCOMB_X9_Y24_N30
\WideAnd1238~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1238~1_combout\ = (\led_flash_cnt[1238][6]~q\ & \led_flash_cnt[1238][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1238][6]~q\,
	datac => \led_flash_cnt[1238][5]~q\,
	combout => \WideAnd1238~1_combout\);

-- Location: LCCOMB_X10_Y24_N14
\WideAnd1238~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1238~0_combout\ = (\led_flash_cnt[1238][4]~q\ & (\led_flash_cnt[1238][1]~q\ & (\led_flash_cnt[1238][3]~q\ & \led_flash_cnt[1238][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1238][4]~q\,
	datab => \led_flash_cnt[1238][1]~q\,
	datac => \led_flash_cnt[1238][3]~q\,
	datad => \led_flash_cnt[1238][2]~q\,
	combout => \WideAnd1238~0_combout\);

-- Location: LCCOMB_X10_Y24_N12
\led_flash_cnt[1238][7]~44224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1238][7]~44224_combout\ = \led_flash_cnt[1238][6]~44223\ $ (!\led_flash_cnt[1238][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1238][7]~q\,
	cin => \led_flash_cnt[1238][6]~44223\,
	combout => \led_flash_cnt[1238][7]~44224_combout\);

-- Location: FF_X10_Y24_N13
\led_flash_cnt[1238][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1238][7]~44224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1238][7]~q\);

-- Location: LCCOMB_X9_Y24_N8
WideAnd1238 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1238~combout\ = (\WideAnd1238~1_combout\ & (\WideAnd1238~0_combout\ & (\led_flash_cnt[1238][7]~q\ & \led_flash_cnt[1238][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1238~1_combout\,
	datab => \WideAnd1238~0_combout\,
	datac => \led_flash_cnt[1238][7]~q\,
	datad => \led_flash_cnt[1238][0]~q\,
	combout => \WideAnd1238~combout\);

-- Location: FF_X9_Y24_N9
\led_flash_cnt_ands[1238]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1238~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1238));

-- Location: LCCOMB_X4_Y24_N10
\led_flash_cnt[1237][0]~81877\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1237][0]~81877_combout\ = !\led_flash_cnt[1237][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1237][0]~q\,
	combout => \led_flash_cnt[1237][0]~81877_combout\);

-- Location: FF_X4_Y24_N11
\led_flash_cnt[1237][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1237][0]~81877_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1237][0]~q\);

-- Location: LCCOMB_X4_Y24_N18
\led_flash_cnt[1237][1]~44198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1237][1]~44198_combout\ = (\led_flash_cnt[1237][0]~q\ & (\led_flash_cnt[1237][1]~q\ $ (VCC))) # (!\led_flash_cnt[1237][0]~q\ & (\led_flash_cnt[1237][1]~q\ & VCC))
-- \led_flash_cnt[1237][1]~44199\ = CARRY((\led_flash_cnt[1237][0]~q\ & \led_flash_cnt[1237][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1237][0]~q\,
	datab => \led_flash_cnt[1237][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1237][1]~44198_combout\,
	cout => \led_flash_cnt[1237][1]~44199\);

-- Location: FF_X4_Y24_N19
\led_flash_cnt[1237][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1237][1]~44198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1237][1]~q\);

-- Location: LCCOMB_X4_Y24_N20
\led_flash_cnt[1237][2]~44200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1237][2]~44200_combout\ = (\led_flash_cnt[1237][2]~q\ & (!\led_flash_cnt[1237][1]~44199\)) # (!\led_flash_cnt[1237][2]~q\ & ((\led_flash_cnt[1237][1]~44199\) # (GND)))
-- \led_flash_cnt[1237][2]~44201\ = CARRY((!\led_flash_cnt[1237][1]~44199\) # (!\led_flash_cnt[1237][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1237][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1237][1]~44199\,
	combout => \led_flash_cnt[1237][2]~44200_combout\,
	cout => \led_flash_cnt[1237][2]~44201\);

-- Location: FF_X4_Y24_N21
\led_flash_cnt[1237][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1237][2]~44200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1237][2]~q\);

-- Location: LCCOMB_X4_Y24_N22
\led_flash_cnt[1237][3]~44202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1237][3]~44202_combout\ = (\led_flash_cnt[1237][3]~q\ & (\led_flash_cnt[1237][2]~44201\ $ (GND))) # (!\led_flash_cnt[1237][3]~q\ & (!\led_flash_cnt[1237][2]~44201\ & VCC))
-- \led_flash_cnt[1237][3]~44203\ = CARRY((\led_flash_cnt[1237][3]~q\ & !\led_flash_cnt[1237][2]~44201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1237][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1237][2]~44201\,
	combout => \led_flash_cnt[1237][3]~44202_combout\,
	cout => \led_flash_cnt[1237][3]~44203\);

-- Location: FF_X4_Y24_N23
\led_flash_cnt[1237][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1237][3]~44202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1237][3]~q\);

-- Location: LCCOMB_X4_Y24_N24
\led_flash_cnt[1237][4]~44204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1237][4]~44204_combout\ = (\led_flash_cnt[1237][4]~q\ & (!\led_flash_cnt[1237][3]~44203\)) # (!\led_flash_cnt[1237][4]~q\ & ((\led_flash_cnt[1237][3]~44203\) # (GND)))
-- \led_flash_cnt[1237][4]~44205\ = CARRY((!\led_flash_cnt[1237][3]~44203\) # (!\led_flash_cnt[1237][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1237][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1237][3]~44203\,
	combout => \led_flash_cnt[1237][4]~44204_combout\,
	cout => \led_flash_cnt[1237][4]~44205\);

-- Location: FF_X4_Y24_N25
\led_flash_cnt[1237][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1237][4]~44204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1237][4]~q\);

-- Location: LCCOMB_X4_Y24_N26
\led_flash_cnt[1237][5]~44206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1237][5]~44206_combout\ = (\led_flash_cnt[1237][5]~q\ & (\led_flash_cnt[1237][4]~44205\ $ (GND))) # (!\led_flash_cnt[1237][5]~q\ & (!\led_flash_cnt[1237][4]~44205\ & VCC))
-- \led_flash_cnt[1237][5]~44207\ = CARRY((\led_flash_cnt[1237][5]~q\ & !\led_flash_cnt[1237][4]~44205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1237][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1237][4]~44205\,
	combout => \led_flash_cnt[1237][5]~44206_combout\,
	cout => \led_flash_cnt[1237][5]~44207\);

-- Location: FF_X4_Y24_N27
\led_flash_cnt[1237][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1237][5]~44206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1237][5]~q\);

-- Location: LCCOMB_X4_Y24_N28
\led_flash_cnt[1237][6]~44208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1237][6]~44208_combout\ = (\led_flash_cnt[1237][6]~q\ & (!\led_flash_cnt[1237][5]~44207\)) # (!\led_flash_cnt[1237][6]~q\ & ((\led_flash_cnt[1237][5]~44207\) # (GND)))
-- \led_flash_cnt[1237][6]~44209\ = CARRY((!\led_flash_cnt[1237][5]~44207\) # (!\led_flash_cnt[1237][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1237][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1237][5]~44207\,
	combout => \led_flash_cnt[1237][6]~44208_combout\,
	cout => \led_flash_cnt[1237][6]~44209\);

-- Location: FF_X4_Y24_N29
\led_flash_cnt[1237][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1237][6]~44208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1237][6]~q\);

-- Location: LCCOMB_X4_Y24_N4
\WideAnd1237~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1237~1_combout\ = (\led_flash_cnt[1237][5]~q\ & \led_flash_cnt[1237][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1237][5]~q\,
	datad => \led_flash_cnt[1237][6]~q\,
	combout => \WideAnd1237~1_combout\);

-- Location: LCCOMB_X4_Y24_N30
\led_flash_cnt[1237][7]~44210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1237][7]~44210_combout\ = \led_flash_cnt[1237][7]~q\ $ (!\led_flash_cnt[1237][6]~44209\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1237][7]~q\,
	cin => \led_flash_cnt[1237][6]~44209\,
	combout => \led_flash_cnt[1237][7]~44210_combout\);

-- Location: FF_X4_Y24_N31
\led_flash_cnt[1237][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1237][7]~44210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1237][7]~q\);

-- Location: LCCOMB_X4_Y24_N12
\WideAnd1237~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1237~0_combout\ = (\led_flash_cnt[1237][4]~q\ & (\led_flash_cnt[1237][2]~q\ & (\led_flash_cnt[1237][3]~q\ & \led_flash_cnt[1237][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1237][4]~q\,
	datab => \led_flash_cnt[1237][2]~q\,
	datac => \led_flash_cnt[1237][3]~q\,
	datad => \led_flash_cnt[1237][1]~q\,
	combout => \WideAnd1237~0_combout\);

-- Location: LCCOMB_X4_Y24_N8
WideAnd1237 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1237~combout\ = (\led_flash_cnt[1237][0]~q\ & (\WideAnd1237~1_combout\ & (\led_flash_cnt[1237][7]~q\ & \WideAnd1237~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1237][0]~q\,
	datab => \WideAnd1237~1_combout\,
	datac => \led_flash_cnt[1237][7]~q\,
	datad => \WideAnd1237~0_combout\,
	combout => \WideAnd1237~combout\);

-- Location: FF_X4_Y24_N9
\led_flash_cnt_ands[1237]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1237~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1237));

-- Location: LCCOMB_X10_Y22_N22
\led_flash_cnt[1236][0]~81876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1236][0]~81876_combout\ = !\led_flash_cnt[1236][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1236][0]~q\,
	combout => \led_flash_cnt[1236][0]~81876_combout\);

-- Location: FF_X10_Y22_N23
\led_flash_cnt[1236][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1236][0]~81876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1236][0]~q\);

-- Location: LCCOMB_X10_Y22_N4
\led_flash_cnt[1236][1]~44184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1236][1]~44184_combout\ = (\led_flash_cnt[1236][0]~q\ & (\led_flash_cnt[1236][1]~q\ $ (VCC))) # (!\led_flash_cnt[1236][0]~q\ & (\led_flash_cnt[1236][1]~q\ & VCC))
-- \led_flash_cnt[1236][1]~44185\ = CARRY((\led_flash_cnt[1236][0]~q\ & \led_flash_cnt[1236][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1236][0]~q\,
	datab => \led_flash_cnt[1236][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1236][1]~44184_combout\,
	cout => \led_flash_cnt[1236][1]~44185\);

-- Location: FF_X10_Y22_N5
\led_flash_cnt[1236][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1236][1]~44184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1236][1]~q\);

-- Location: LCCOMB_X10_Y22_N6
\led_flash_cnt[1236][2]~44186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1236][2]~44186_combout\ = (\led_flash_cnt[1236][2]~q\ & (!\led_flash_cnt[1236][1]~44185\)) # (!\led_flash_cnt[1236][2]~q\ & ((\led_flash_cnt[1236][1]~44185\) # (GND)))
-- \led_flash_cnt[1236][2]~44187\ = CARRY((!\led_flash_cnt[1236][1]~44185\) # (!\led_flash_cnt[1236][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1236][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1236][1]~44185\,
	combout => \led_flash_cnt[1236][2]~44186_combout\,
	cout => \led_flash_cnt[1236][2]~44187\);

-- Location: FF_X10_Y22_N7
\led_flash_cnt[1236][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1236][2]~44186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1236][2]~q\);

-- Location: LCCOMB_X10_Y22_N8
\led_flash_cnt[1236][3]~44188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1236][3]~44188_combout\ = (\led_flash_cnt[1236][3]~q\ & (\led_flash_cnt[1236][2]~44187\ $ (GND))) # (!\led_flash_cnt[1236][3]~q\ & (!\led_flash_cnt[1236][2]~44187\ & VCC))
-- \led_flash_cnt[1236][3]~44189\ = CARRY((\led_flash_cnt[1236][3]~q\ & !\led_flash_cnt[1236][2]~44187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1236][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1236][2]~44187\,
	combout => \led_flash_cnt[1236][3]~44188_combout\,
	cout => \led_flash_cnt[1236][3]~44189\);

-- Location: FF_X10_Y22_N9
\led_flash_cnt[1236][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1236][3]~44188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1236][3]~q\);

-- Location: LCCOMB_X10_Y22_N10
\led_flash_cnt[1236][4]~44190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1236][4]~44190_combout\ = (\led_flash_cnt[1236][4]~q\ & (!\led_flash_cnt[1236][3]~44189\)) # (!\led_flash_cnt[1236][4]~q\ & ((\led_flash_cnt[1236][3]~44189\) # (GND)))
-- \led_flash_cnt[1236][4]~44191\ = CARRY((!\led_flash_cnt[1236][3]~44189\) # (!\led_flash_cnt[1236][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1236][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1236][3]~44189\,
	combout => \led_flash_cnt[1236][4]~44190_combout\,
	cout => \led_flash_cnt[1236][4]~44191\);

-- Location: FF_X10_Y22_N11
\led_flash_cnt[1236][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1236][4]~44190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1236][4]~q\);

-- Location: LCCOMB_X10_Y22_N26
\WideAnd1236~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1236~0_combout\ = (\led_flash_cnt[1236][4]~q\ & (\led_flash_cnt[1236][1]~q\ & (\led_flash_cnt[1236][3]~q\ & \led_flash_cnt[1236][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1236][4]~q\,
	datab => \led_flash_cnt[1236][1]~q\,
	datac => \led_flash_cnt[1236][3]~q\,
	datad => \led_flash_cnt[1236][2]~q\,
	combout => \WideAnd1236~0_combout\);

-- Location: LCCOMB_X10_Y22_N12
\led_flash_cnt[1236][5]~44192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1236][5]~44192_combout\ = (\led_flash_cnt[1236][5]~q\ & (\led_flash_cnt[1236][4]~44191\ $ (GND))) # (!\led_flash_cnt[1236][5]~q\ & (!\led_flash_cnt[1236][4]~44191\ & VCC))
-- \led_flash_cnt[1236][5]~44193\ = CARRY((\led_flash_cnt[1236][5]~q\ & !\led_flash_cnt[1236][4]~44191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1236][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1236][4]~44191\,
	combout => \led_flash_cnt[1236][5]~44192_combout\,
	cout => \led_flash_cnt[1236][5]~44193\);

-- Location: FF_X10_Y22_N13
\led_flash_cnt[1236][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1236][5]~44192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1236][5]~q\);

-- Location: LCCOMB_X10_Y22_N14
\led_flash_cnt[1236][6]~44194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1236][6]~44194_combout\ = (\led_flash_cnt[1236][6]~q\ & (!\led_flash_cnt[1236][5]~44193\)) # (!\led_flash_cnt[1236][6]~q\ & ((\led_flash_cnt[1236][5]~44193\) # (GND)))
-- \led_flash_cnt[1236][6]~44195\ = CARRY((!\led_flash_cnt[1236][5]~44193\) # (!\led_flash_cnt[1236][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1236][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1236][5]~44193\,
	combout => \led_flash_cnt[1236][6]~44194_combout\,
	cout => \led_flash_cnt[1236][6]~44195\);

-- Location: FF_X10_Y22_N15
\led_flash_cnt[1236][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1236][6]~44194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1236][6]~q\);

-- Location: LCCOMB_X10_Y22_N16
\led_flash_cnt[1236][7]~44196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1236][7]~44196_combout\ = \led_flash_cnt[1236][6]~44195\ $ (!\led_flash_cnt[1236][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1236][7]~q\,
	cin => \led_flash_cnt[1236][6]~44195\,
	combout => \led_flash_cnt[1236][7]~44196_combout\);

-- Location: FF_X10_Y22_N17
\led_flash_cnt[1236][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1236][7]~44196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1236][7]~q\);

-- Location: LCCOMB_X10_Y22_N20
\WideAnd1236~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1236~1_combout\ = (\led_flash_cnt[1236][6]~q\ & \led_flash_cnt[1236][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1236][6]~q\,
	datad => \led_flash_cnt[1236][5]~q\,
	combout => \WideAnd1236~1_combout\);

-- Location: LCCOMB_X10_Y22_N0
WideAnd1236 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1236~combout\ = (\WideAnd1236~0_combout\ & (\led_flash_cnt[1236][7]~q\ & (\led_flash_cnt[1236][0]~q\ & \WideAnd1236~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1236~0_combout\,
	datab => \led_flash_cnt[1236][7]~q\,
	datac => \led_flash_cnt[1236][0]~q\,
	datad => \WideAnd1236~1_combout\,
	combout => \WideAnd1236~combout\);

-- Location: FF_X10_Y22_N1
\led_flash_cnt_ands[1236]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1236~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1236));

-- Location: LCCOMB_X10_Y22_N2
\WideAnd3994~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3994~1_combout\ = (led_flash_cnt_ands(1237) & led_flash_cnt_ands(1236))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1237),
	datad => led_flash_cnt_ands(1236),
	combout => \WideAnd3994~1_combout\);

-- Location: LCCOMB_X10_Y22_N30
WideAnd3994 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3994~combout\ = (\WideAnd3994~0_combout\ & (led_flash_cnt_ands(1239) & (led_flash_cnt_ands(1238) & \WideAnd3994~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3994~0_combout\,
	datab => led_flash_cnt_ands(1239),
	datac => led_flash_cnt_ands(1238),
	datad => \WideAnd3994~1_combout\,
	combout => \WideAnd3994~combout\);

-- Location: FF_X10_Y22_N31
\led_flash_cnt_ands_1[154]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3994~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(154));

-- Location: LCCOMB_X7_Y16_N18
\led_flash_cnt[1227][0]~81867\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1227][0]~81867_combout\ = !\led_flash_cnt[1227][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1227][0]~q\,
	combout => \led_flash_cnt[1227][0]~81867_combout\);

-- Location: FF_X7_Y16_N19
\led_flash_cnt[1227][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1227][0]~81867_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1227][0]~q\);

-- Location: LCCOMB_X8_Y16_N14
\led_flash_cnt[1227][1]~44058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1227][1]~44058_combout\ = (\led_flash_cnt[1227][1]~q\ & (\led_flash_cnt[1227][0]~q\ $ (VCC))) # (!\led_flash_cnt[1227][1]~q\ & (\led_flash_cnt[1227][0]~q\ & VCC))
-- \led_flash_cnt[1227][1]~44059\ = CARRY((\led_flash_cnt[1227][1]~q\ & \led_flash_cnt[1227][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1227][1]~q\,
	datab => \led_flash_cnt[1227][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1227][1]~44058_combout\,
	cout => \led_flash_cnt[1227][1]~44059\);

-- Location: FF_X8_Y16_N15
\led_flash_cnt[1227][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1227][1]~44058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1227][1]~q\);

-- Location: LCCOMB_X8_Y16_N16
\led_flash_cnt[1227][2]~44060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1227][2]~44060_combout\ = (\led_flash_cnt[1227][2]~q\ & (!\led_flash_cnt[1227][1]~44059\)) # (!\led_flash_cnt[1227][2]~q\ & ((\led_flash_cnt[1227][1]~44059\) # (GND)))
-- \led_flash_cnt[1227][2]~44061\ = CARRY((!\led_flash_cnt[1227][1]~44059\) # (!\led_flash_cnt[1227][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1227][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1227][1]~44059\,
	combout => \led_flash_cnt[1227][2]~44060_combout\,
	cout => \led_flash_cnt[1227][2]~44061\);

-- Location: FF_X8_Y16_N17
\led_flash_cnt[1227][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1227][2]~44060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1227][2]~q\);

-- Location: LCCOMB_X8_Y16_N18
\led_flash_cnt[1227][3]~44062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1227][3]~44062_combout\ = (\led_flash_cnt[1227][3]~q\ & (\led_flash_cnt[1227][2]~44061\ $ (GND))) # (!\led_flash_cnt[1227][3]~q\ & (!\led_flash_cnt[1227][2]~44061\ & VCC))
-- \led_flash_cnt[1227][3]~44063\ = CARRY((\led_flash_cnt[1227][3]~q\ & !\led_flash_cnt[1227][2]~44061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1227][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1227][2]~44061\,
	combout => \led_flash_cnt[1227][3]~44062_combout\,
	cout => \led_flash_cnt[1227][3]~44063\);

-- Location: FF_X8_Y16_N19
\led_flash_cnt[1227][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1227][3]~44062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1227][3]~q\);

-- Location: LCCOMB_X8_Y16_N20
\led_flash_cnt[1227][4]~44064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1227][4]~44064_combout\ = (\led_flash_cnt[1227][4]~q\ & (!\led_flash_cnt[1227][3]~44063\)) # (!\led_flash_cnt[1227][4]~q\ & ((\led_flash_cnt[1227][3]~44063\) # (GND)))
-- \led_flash_cnt[1227][4]~44065\ = CARRY((!\led_flash_cnt[1227][3]~44063\) # (!\led_flash_cnt[1227][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1227][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1227][3]~44063\,
	combout => \led_flash_cnt[1227][4]~44064_combout\,
	cout => \led_flash_cnt[1227][4]~44065\);

-- Location: FF_X8_Y16_N21
\led_flash_cnt[1227][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1227][4]~44064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1227][4]~q\);

-- Location: LCCOMB_X7_Y16_N30
\WideAnd1227~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1227~0_combout\ = (\led_flash_cnt[1227][4]~q\ & (\led_flash_cnt[1227][3]~q\ & (\led_flash_cnt[1227][1]~q\ & \led_flash_cnt[1227][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1227][4]~q\,
	datab => \led_flash_cnt[1227][3]~q\,
	datac => \led_flash_cnt[1227][1]~q\,
	datad => \led_flash_cnt[1227][2]~q\,
	combout => \WideAnd1227~0_combout\);

-- Location: LCCOMB_X8_Y16_N22
\led_flash_cnt[1227][5]~44066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1227][5]~44066_combout\ = (\led_flash_cnt[1227][5]~q\ & (\led_flash_cnt[1227][4]~44065\ $ (GND))) # (!\led_flash_cnt[1227][5]~q\ & (!\led_flash_cnt[1227][4]~44065\ & VCC))
-- \led_flash_cnt[1227][5]~44067\ = CARRY((\led_flash_cnt[1227][5]~q\ & !\led_flash_cnt[1227][4]~44065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1227][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1227][4]~44065\,
	combout => \led_flash_cnt[1227][5]~44066_combout\,
	cout => \led_flash_cnt[1227][5]~44067\);

-- Location: FF_X8_Y16_N23
\led_flash_cnt[1227][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1227][5]~44066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1227][5]~q\);

-- Location: LCCOMB_X8_Y16_N24
\led_flash_cnt[1227][6]~44068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1227][6]~44068_combout\ = (\led_flash_cnt[1227][6]~q\ & (!\led_flash_cnt[1227][5]~44067\)) # (!\led_flash_cnt[1227][6]~q\ & ((\led_flash_cnt[1227][5]~44067\) # (GND)))
-- \led_flash_cnt[1227][6]~44069\ = CARRY((!\led_flash_cnt[1227][5]~44067\) # (!\led_flash_cnt[1227][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1227][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1227][5]~44067\,
	combout => \led_flash_cnt[1227][6]~44068_combout\,
	cout => \led_flash_cnt[1227][6]~44069\);

-- Location: FF_X8_Y16_N25
\led_flash_cnt[1227][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1227][6]~44068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1227][6]~q\);

-- Location: LCCOMB_X7_Y16_N20
\WideAnd1227~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1227~1_combout\ = (\led_flash_cnt[1227][6]~q\ & \led_flash_cnt[1227][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1227][6]~q\,
	datad => \led_flash_cnt[1227][5]~q\,
	combout => \WideAnd1227~1_combout\);

-- Location: LCCOMB_X8_Y16_N26
\led_flash_cnt[1227][7]~44070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1227][7]~44070_combout\ = \led_flash_cnt[1227][7]~q\ $ (!\led_flash_cnt[1227][6]~44069\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1227][7]~q\,
	cin => \led_flash_cnt[1227][6]~44069\,
	combout => \led_flash_cnt[1227][7]~44070_combout\);

-- Location: FF_X8_Y16_N27
\led_flash_cnt[1227][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1227][7]~44070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1227][7]~q\);

-- Location: LCCOMB_X7_Y16_N28
WideAnd1227 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1227~combout\ = (\WideAnd1227~0_combout\ & (\WideAnd1227~1_combout\ & (\led_flash_cnt[1227][7]~q\ & \led_flash_cnt[1227][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1227~0_combout\,
	datab => \WideAnd1227~1_combout\,
	datac => \led_flash_cnt[1227][7]~q\,
	datad => \led_flash_cnt[1227][0]~q\,
	combout => \WideAnd1227~combout\);

-- Location: FF_X7_Y16_N29
\led_flash_cnt_ands[1227]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1227~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1227));

-- Location: LCCOMB_X7_Y18_N26
\led_flash_cnt[1225][0]~81865\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1225][0]~81865_combout\ = !\led_flash_cnt[1225][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1225][0]~q\,
	combout => \led_flash_cnt[1225][0]~81865_combout\);

-- Location: FF_X7_Y18_N27
\led_flash_cnt[1225][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1225][0]~81865_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1225][0]~q\);

-- Location: LCCOMB_X7_Y18_N8
\led_flash_cnt[1225][1]~44030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1225][1]~44030_combout\ = (\led_flash_cnt[1225][0]~q\ & (\led_flash_cnt[1225][1]~q\ $ (VCC))) # (!\led_flash_cnt[1225][0]~q\ & (\led_flash_cnt[1225][1]~q\ & VCC))
-- \led_flash_cnt[1225][1]~44031\ = CARRY((\led_flash_cnt[1225][0]~q\ & \led_flash_cnt[1225][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1225][0]~q\,
	datab => \led_flash_cnt[1225][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1225][1]~44030_combout\,
	cout => \led_flash_cnt[1225][1]~44031\);

-- Location: FF_X7_Y18_N9
\led_flash_cnt[1225][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1225][1]~44030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1225][1]~q\);

-- Location: LCCOMB_X7_Y18_N10
\led_flash_cnt[1225][2]~44032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1225][2]~44032_combout\ = (\led_flash_cnt[1225][2]~q\ & (!\led_flash_cnt[1225][1]~44031\)) # (!\led_flash_cnt[1225][2]~q\ & ((\led_flash_cnt[1225][1]~44031\) # (GND)))
-- \led_flash_cnt[1225][2]~44033\ = CARRY((!\led_flash_cnt[1225][1]~44031\) # (!\led_flash_cnt[1225][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1225][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1225][1]~44031\,
	combout => \led_flash_cnt[1225][2]~44032_combout\,
	cout => \led_flash_cnt[1225][2]~44033\);

-- Location: FF_X7_Y18_N11
\led_flash_cnt[1225][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1225][2]~44032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1225][2]~q\);

-- Location: LCCOMB_X7_Y18_N12
\led_flash_cnt[1225][3]~44034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1225][3]~44034_combout\ = (\led_flash_cnt[1225][3]~q\ & (\led_flash_cnt[1225][2]~44033\ $ (GND))) # (!\led_flash_cnt[1225][3]~q\ & (!\led_flash_cnt[1225][2]~44033\ & VCC))
-- \led_flash_cnt[1225][3]~44035\ = CARRY((\led_flash_cnt[1225][3]~q\ & !\led_flash_cnt[1225][2]~44033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1225][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1225][2]~44033\,
	combout => \led_flash_cnt[1225][3]~44034_combout\,
	cout => \led_flash_cnt[1225][3]~44035\);

-- Location: FF_X7_Y18_N13
\led_flash_cnt[1225][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1225][3]~44034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1225][3]~q\);

-- Location: LCCOMB_X7_Y18_N14
\led_flash_cnt[1225][4]~44036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1225][4]~44036_combout\ = (\led_flash_cnt[1225][4]~q\ & (!\led_flash_cnt[1225][3]~44035\)) # (!\led_flash_cnt[1225][4]~q\ & ((\led_flash_cnt[1225][3]~44035\) # (GND)))
-- \led_flash_cnt[1225][4]~44037\ = CARRY((!\led_flash_cnt[1225][3]~44035\) # (!\led_flash_cnt[1225][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1225][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1225][3]~44035\,
	combout => \led_flash_cnt[1225][4]~44036_combout\,
	cout => \led_flash_cnt[1225][4]~44037\);

-- Location: FF_X7_Y18_N15
\led_flash_cnt[1225][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1225][4]~44036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1225][4]~q\);

-- Location: LCCOMB_X7_Y18_N6
\WideAnd1225~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1225~0_combout\ = (\led_flash_cnt[1225][2]~q\ & (\led_flash_cnt[1225][1]~q\ & (\led_flash_cnt[1225][4]~q\ & \led_flash_cnt[1225][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1225][2]~q\,
	datab => \led_flash_cnt[1225][1]~q\,
	datac => \led_flash_cnt[1225][4]~q\,
	datad => \led_flash_cnt[1225][3]~q\,
	combout => \WideAnd1225~0_combout\);

-- Location: LCCOMB_X7_Y18_N16
\led_flash_cnt[1225][5]~44038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1225][5]~44038_combout\ = (\led_flash_cnt[1225][5]~q\ & (\led_flash_cnt[1225][4]~44037\ $ (GND))) # (!\led_flash_cnt[1225][5]~q\ & (!\led_flash_cnt[1225][4]~44037\ & VCC))
-- \led_flash_cnt[1225][5]~44039\ = CARRY((\led_flash_cnt[1225][5]~q\ & !\led_flash_cnt[1225][4]~44037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1225][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1225][4]~44037\,
	combout => \led_flash_cnt[1225][5]~44038_combout\,
	cout => \led_flash_cnt[1225][5]~44039\);

-- Location: FF_X7_Y18_N17
\led_flash_cnt[1225][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1225][5]~44038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1225][5]~q\);

-- Location: LCCOMB_X7_Y18_N18
\led_flash_cnt[1225][6]~44040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1225][6]~44040_combout\ = (\led_flash_cnt[1225][6]~q\ & (!\led_flash_cnt[1225][5]~44039\)) # (!\led_flash_cnt[1225][6]~q\ & ((\led_flash_cnt[1225][5]~44039\) # (GND)))
-- \led_flash_cnt[1225][6]~44041\ = CARRY((!\led_flash_cnt[1225][5]~44039\) # (!\led_flash_cnt[1225][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1225][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1225][5]~44039\,
	combout => \led_flash_cnt[1225][6]~44040_combout\,
	cout => \led_flash_cnt[1225][6]~44041\);

-- Location: FF_X7_Y18_N19
\led_flash_cnt[1225][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1225][6]~44040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1225][6]~q\);

-- Location: LCCOMB_X7_Y18_N4
\WideAnd1225~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1225~1_combout\ = (\led_flash_cnt[1225][6]~q\ & \led_flash_cnt[1225][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1225][6]~q\,
	datad => \led_flash_cnt[1225][5]~q\,
	combout => \WideAnd1225~1_combout\);

-- Location: LCCOMB_X7_Y18_N20
\led_flash_cnt[1225][7]~44042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1225][7]~44042_combout\ = \led_flash_cnt[1225][6]~44041\ $ (!\led_flash_cnt[1225][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1225][7]~q\,
	cin => \led_flash_cnt[1225][6]~44041\,
	combout => \led_flash_cnt[1225][7]~44042_combout\);

-- Location: FF_X7_Y18_N21
\led_flash_cnt[1225][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1225][7]~44042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1225][7]~q\);

-- Location: LCCOMB_X7_Y18_N28
WideAnd1225 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1225~combout\ = (\WideAnd1225~0_combout\ & (\WideAnd1225~1_combout\ & (\led_flash_cnt[1225][0]~q\ & \led_flash_cnt[1225][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1225~0_combout\,
	datab => \WideAnd1225~1_combout\,
	datac => \led_flash_cnt[1225][0]~q\,
	datad => \led_flash_cnt[1225][7]~q\,
	combout => \WideAnd1225~combout\);

-- Location: FF_X7_Y18_N29
\led_flash_cnt_ands[1225]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1225~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1225));

-- Location: LCCOMB_X6_Y19_N22
\led_flash_cnt[1224][0]~81864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1224][0]~81864_combout\ = !\led_flash_cnt[1224][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1224][0]~q\,
	combout => \led_flash_cnt[1224][0]~81864_combout\);

-- Location: FF_X6_Y19_N23
\led_flash_cnt[1224][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1224][0]~81864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1224][0]~q\);

-- Location: LCCOMB_X6_Y19_N4
\led_flash_cnt[1224][1]~44016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1224][1]~44016_combout\ = (\led_flash_cnt[1224][0]~q\ & (\led_flash_cnt[1224][1]~q\ $ (VCC))) # (!\led_flash_cnt[1224][0]~q\ & (\led_flash_cnt[1224][1]~q\ & VCC))
-- \led_flash_cnt[1224][1]~44017\ = CARRY((\led_flash_cnt[1224][0]~q\ & \led_flash_cnt[1224][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1224][0]~q\,
	datab => \led_flash_cnt[1224][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1224][1]~44016_combout\,
	cout => \led_flash_cnt[1224][1]~44017\);

-- Location: FF_X6_Y19_N5
\led_flash_cnt[1224][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1224][1]~44016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1224][1]~q\);

-- Location: LCCOMB_X6_Y19_N6
\led_flash_cnt[1224][2]~44018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1224][2]~44018_combout\ = (\led_flash_cnt[1224][2]~q\ & (!\led_flash_cnt[1224][1]~44017\)) # (!\led_flash_cnt[1224][2]~q\ & ((\led_flash_cnt[1224][1]~44017\) # (GND)))
-- \led_flash_cnt[1224][2]~44019\ = CARRY((!\led_flash_cnt[1224][1]~44017\) # (!\led_flash_cnt[1224][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1224][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1224][1]~44017\,
	combout => \led_flash_cnt[1224][2]~44018_combout\,
	cout => \led_flash_cnt[1224][2]~44019\);

-- Location: FF_X6_Y19_N7
\led_flash_cnt[1224][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1224][2]~44018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1224][2]~q\);

-- Location: LCCOMB_X6_Y19_N8
\led_flash_cnt[1224][3]~44020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1224][3]~44020_combout\ = (\led_flash_cnt[1224][3]~q\ & (\led_flash_cnt[1224][2]~44019\ $ (GND))) # (!\led_flash_cnt[1224][3]~q\ & (!\led_flash_cnt[1224][2]~44019\ & VCC))
-- \led_flash_cnt[1224][3]~44021\ = CARRY((\led_flash_cnt[1224][3]~q\ & !\led_flash_cnt[1224][2]~44019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1224][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1224][2]~44019\,
	combout => \led_flash_cnt[1224][3]~44020_combout\,
	cout => \led_flash_cnt[1224][3]~44021\);

-- Location: FF_X6_Y19_N9
\led_flash_cnt[1224][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1224][3]~44020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1224][3]~q\);

-- Location: LCCOMB_X6_Y19_N10
\led_flash_cnt[1224][4]~44022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1224][4]~44022_combout\ = (\led_flash_cnt[1224][4]~q\ & (!\led_flash_cnt[1224][3]~44021\)) # (!\led_flash_cnt[1224][4]~q\ & ((\led_flash_cnt[1224][3]~44021\) # (GND)))
-- \led_flash_cnt[1224][4]~44023\ = CARRY((!\led_flash_cnt[1224][3]~44021\) # (!\led_flash_cnt[1224][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1224][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1224][3]~44021\,
	combout => \led_flash_cnt[1224][4]~44022_combout\,
	cout => \led_flash_cnt[1224][4]~44023\);

-- Location: FF_X6_Y19_N11
\led_flash_cnt[1224][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1224][4]~44022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1224][4]~q\);

-- Location: LCCOMB_X6_Y19_N12
\led_flash_cnt[1224][5]~44024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1224][5]~44024_combout\ = (\led_flash_cnt[1224][5]~q\ & (\led_flash_cnt[1224][4]~44023\ $ (GND))) # (!\led_flash_cnt[1224][5]~q\ & (!\led_flash_cnt[1224][4]~44023\ & VCC))
-- \led_flash_cnt[1224][5]~44025\ = CARRY((\led_flash_cnt[1224][5]~q\ & !\led_flash_cnt[1224][4]~44023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1224][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1224][4]~44023\,
	combout => \led_flash_cnt[1224][5]~44024_combout\,
	cout => \led_flash_cnt[1224][5]~44025\);

-- Location: FF_X6_Y19_N13
\led_flash_cnt[1224][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1224][5]~44024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1224][5]~q\);

-- Location: LCCOMB_X6_Y19_N14
\led_flash_cnt[1224][6]~44026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1224][6]~44026_combout\ = (\led_flash_cnt[1224][6]~q\ & (!\led_flash_cnt[1224][5]~44025\)) # (!\led_flash_cnt[1224][6]~q\ & ((\led_flash_cnt[1224][5]~44025\) # (GND)))
-- \led_flash_cnt[1224][6]~44027\ = CARRY((!\led_flash_cnt[1224][5]~44025\) # (!\led_flash_cnt[1224][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1224][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1224][5]~44025\,
	combout => \led_flash_cnt[1224][6]~44026_combout\,
	cout => \led_flash_cnt[1224][6]~44027\);

-- Location: FF_X6_Y19_N15
\led_flash_cnt[1224][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1224][6]~44026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1224][6]~q\);

-- Location: LCCOMB_X6_Y19_N16
\led_flash_cnt[1224][7]~44028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1224][7]~44028_combout\ = \led_flash_cnt[1224][6]~44027\ $ (!\led_flash_cnt[1224][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1224][7]~q\,
	cin => \led_flash_cnt[1224][6]~44027\,
	combout => \led_flash_cnt[1224][7]~44028_combout\);

-- Location: FF_X6_Y19_N17
\led_flash_cnt[1224][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1224][7]~44028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1224][7]~q\);

-- Location: LCCOMB_X6_Y19_N30
\WideAnd1224~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1224~1_combout\ = (\led_flash_cnt[1224][6]~q\ & \led_flash_cnt[1224][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1224][6]~q\,
	datad => \led_flash_cnt[1224][5]~q\,
	combout => \WideAnd1224~1_combout\);

-- Location: LCCOMB_X6_Y19_N18
\WideAnd1224~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1224~0_combout\ = (\led_flash_cnt[1224][4]~q\ & (\led_flash_cnt[1224][3]~q\ & (\led_flash_cnt[1224][1]~q\ & \led_flash_cnt[1224][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1224][4]~q\,
	datab => \led_flash_cnt[1224][3]~q\,
	datac => \led_flash_cnt[1224][1]~q\,
	datad => \led_flash_cnt[1224][2]~q\,
	combout => \WideAnd1224~0_combout\);

-- Location: LCCOMB_X6_Y19_N26
WideAnd1224 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1224~combout\ = (\led_flash_cnt[1224][0]~q\ & (\led_flash_cnt[1224][7]~q\ & (\WideAnd1224~1_combout\ & \WideAnd1224~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1224][0]~q\,
	datab => \led_flash_cnt[1224][7]~q\,
	datac => \WideAnd1224~1_combout\,
	datad => \WideAnd1224~0_combout\,
	combout => \WideAnd1224~combout\);

-- Location: FF_X6_Y19_N27
\led_flash_cnt_ands[1224]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1224~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1224));

-- Location: LCCOMB_X7_Y18_N2
\led_flash_cnt[1226][0]~81866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1226][0]~81866_combout\ = !\led_flash_cnt[1226][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1226][0]~q\,
	combout => \led_flash_cnt[1226][0]~81866_combout\);

-- Location: FF_X7_Y18_N3
\led_flash_cnt[1226][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1226][0]~81866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1226][0]~q\);

-- Location: LCCOMB_X6_Y18_N2
\led_flash_cnt[1226][1]~44044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1226][1]~44044_combout\ = (\led_flash_cnt[1226][0]~q\ & (\led_flash_cnt[1226][1]~q\ $ (VCC))) # (!\led_flash_cnt[1226][0]~q\ & (\led_flash_cnt[1226][1]~q\ & VCC))
-- \led_flash_cnt[1226][1]~44045\ = CARRY((\led_flash_cnt[1226][0]~q\ & \led_flash_cnt[1226][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1226][0]~q\,
	datab => \led_flash_cnt[1226][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1226][1]~44044_combout\,
	cout => \led_flash_cnt[1226][1]~44045\);

-- Location: FF_X6_Y18_N3
\led_flash_cnt[1226][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1226][1]~44044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1226][1]~q\);

-- Location: LCCOMB_X6_Y18_N4
\led_flash_cnt[1226][2]~44046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1226][2]~44046_combout\ = (\led_flash_cnt[1226][2]~q\ & (!\led_flash_cnt[1226][1]~44045\)) # (!\led_flash_cnt[1226][2]~q\ & ((\led_flash_cnt[1226][1]~44045\) # (GND)))
-- \led_flash_cnt[1226][2]~44047\ = CARRY((!\led_flash_cnt[1226][1]~44045\) # (!\led_flash_cnt[1226][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1226][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1226][1]~44045\,
	combout => \led_flash_cnt[1226][2]~44046_combout\,
	cout => \led_flash_cnt[1226][2]~44047\);

-- Location: FF_X6_Y18_N5
\led_flash_cnt[1226][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1226][2]~44046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1226][2]~q\);

-- Location: LCCOMB_X6_Y18_N6
\led_flash_cnt[1226][3]~44048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1226][3]~44048_combout\ = (\led_flash_cnt[1226][3]~q\ & (\led_flash_cnt[1226][2]~44047\ $ (GND))) # (!\led_flash_cnt[1226][3]~q\ & (!\led_flash_cnt[1226][2]~44047\ & VCC))
-- \led_flash_cnt[1226][3]~44049\ = CARRY((\led_flash_cnt[1226][3]~q\ & !\led_flash_cnt[1226][2]~44047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1226][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1226][2]~44047\,
	combout => \led_flash_cnt[1226][3]~44048_combout\,
	cout => \led_flash_cnt[1226][3]~44049\);

-- Location: FF_X6_Y18_N7
\led_flash_cnt[1226][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1226][3]~44048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1226][3]~q\);

-- Location: LCCOMB_X6_Y18_N8
\led_flash_cnt[1226][4]~44050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1226][4]~44050_combout\ = (\led_flash_cnt[1226][4]~q\ & (!\led_flash_cnt[1226][3]~44049\)) # (!\led_flash_cnt[1226][4]~q\ & ((\led_flash_cnt[1226][3]~44049\) # (GND)))
-- \led_flash_cnt[1226][4]~44051\ = CARRY((!\led_flash_cnt[1226][3]~44049\) # (!\led_flash_cnt[1226][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1226][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1226][3]~44049\,
	combout => \led_flash_cnt[1226][4]~44050_combout\,
	cout => \led_flash_cnt[1226][4]~44051\);

-- Location: FF_X6_Y18_N9
\led_flash_cnt[1226][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1226][4]~44050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1226][4]~q\);

-- Location: LCCOMB_X6_Y18_N10
\led_flash_cnt[1226][5]~44052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1226][5]~44052_combout\ = (\led_flash_cnt[1226][5]~q\ & (\led_flash_cnt[1226][4]~44051\ $ (GND))) # (!\led_flash_cnt[1226][5]~q\ & (!\led_flash_cnt[1226][4]~44051\ & VCC))
-- \led_flash_cnt[1226][5]~44053\ = CARRY((\led_flash_cnt[1226][5]~q\ & !\led_flash_cnt[1226][4]~44051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1226][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1226][4]~44051\,
	combout => \led_flash_cnt[1226][5]~44052_combout\,
	cout => \led_flash_cnt[1226][5]~44053\);

-- Location: FF_X6_Y18_N11
\led_flash_cnt[1226][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1226][5]~44052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1226][5]~q\);

-- Location: LCCOMB_X6_Y18_N12
\led_flash_cnt[1226][6]~44054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1226][6]~44054_combout\ = (\led_flash_cnt[1226][6]~q\ & (!\led_flash_cnt[1226][5]~44053\)) # (!\led_flash_cnt[1226][6]~q\ & ((\led_flash_cnt[1226][5]~44053\) # (GND)))
-- \led_flash_cnt[1226][6]~44055\ = CARRY((!\led_flash_cnt[1226][5]~44053\) # (!\led_flash_cnt[1226][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1226][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1226][5]~44053\,
	combout => \led_flash_cnt[1226][6]~44054_combout\,
	cout => \led_flash_cnt[1226][6]~44055\);

-- Location: FF_X6_Y18_N13
\led_flash_cnt[1226][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1226][6]~44054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1226][6]~q\);

-- Location: LCCOMB_X6_Y18_N14
\led_flash_cnt[1226][7]~44056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1226][7]~44056_combout\ = \led_flash_cnt[1226][7]~q\ $ (!\led_flash_cnt[1226][6]~44055\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1226][7]~q\,
	cin => \led_flash_cnt[1226][6]~44055\,
	combout => \led_flash_cnt[1226][7]~44056_combout\);

-- Location: FF_X6_Y18_N15
\led_flash_cnt[1226][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1226][7]~44056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1226][7]~q\);

-- Location: LCCOMB_X6_Y18_N30
\WideAnd1226~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1226~0_combout\ = (\led_flash_cnt[1226][3]~q\ & (\led_flash_cnt[1226][2]~q\ & (\led_flash_cnt[1226][4]~q\ & \led_flash_cnt[1226][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1226][3]~q\,
	datab => \led_flash_cnt[1226][2]~q\,
	datac => \led_flash_cnt[1226][4]~q\,
	datad => \led_flash_cnt[1226][1]~q\,
	combout => \WideAnd1226~0_combout\);

-- Location: LCCOMB_X7_Y18_N22
\WideAnd1226~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1226~1_combout\ = (\led_flash_cnt[1226][5]~q\ & \led_flash_cnt[1226][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1226][5]~q\,
	datad => \led_flash_cnt[1226][6]~q\,
	combout => \WideAnd1226~1_combout\);

-- Location: LCCOMB_X7_Y18_N24
WideAnd1226 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1226~combout\ = (\led_flash_cnt[1226][7]~q\ & (\WideAnd1226~0_combout\ & (\WideAnd1226~1_combout\ & \led_flash_cnt[1226][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1226][7]~q\,
	datab => \WideAnd1226~0_combout\,
	datac => \WideAnd1226~1_combout\,
	datad => \led_flash_cnt[1226][0]~q\,
	combout => \WideAnd1226~combout\);

-- Location: FF_X7_Y18_N25
\led_flash_cnt_ands[1226]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1226~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1226));

-- Location: LCCOMB_X7_Y18_N30
\WideAnd3993~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3993~0_combout\ = (led_flash_cnt_ands(1227) & (led_flash_cnt_ands(1225) & (led_flash_cnt_ands(1224) & led_flash_cnt_ands(1226))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1227),
	datab => led_flash_cnt_ands(1225),
	datac => led_flash_cnt_ands(1224),
	datad => led_flash_cnt_ands(1226),
	combout => \WideAnd3993~0_combout\);

-- Location: LCCOMB_X7_Y16_N22
\led_flash_cnt[1231][0]~81871\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1231][0]~81871_combout\ = !\led_flash_cnt[1231][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1231][0]~q\,
	combout => \led_flash_cnt[1231][0]~81871_combout\);

-- Location: FF_X7_Y16_N23
\led_flash_cnt[1231][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1231][0]~81871_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1231][0]~q\);

-- Location: LCCOMB_X7_Y16_N2
\led_flash_cnt[1231][1]~44114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1231][1]~44114_combout\ = (\led_flash_cnt[1231][0]~q\ & (\led_flash_cnt[1231][1]~q\ $ (VCC))) # (!\led_flash_cnt[1231][0]~q\ & (\led_flash_cnt[1231][1]~q\ & VCC))
-- \led_flash_cnt[1231][1]~44115\ = CARRY((\led_flash_cnt[1231][0]~q\ & \led_flash_cnt[1231][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1231][0]~q\,
	datab => \led_flash_cnt[1231][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1231][1]~44114_combout\,
	cout => \led_flash_cnt[1231][1]~44115\);

-- Location: FF_X7_Y16_N3
\led_flash_cnt[1231][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1231][1]~44114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1231][1]~q\);

-- Location: LCCOMB_X7_Y16_N4
\led_flash_cnt[1231][2]~44116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1231][2]~44116_combout\ = (\led_flash_cnt[1231][2]~q\ & (!\led_flash_cnt[1231][1]~44115\)) # (!\led_flash_cnt[1231][2]~q\ & ((\led_flash_cnt[1231][1]~44115\) # (GND)))
-- \led_flash_cnt[1231][2]~44117\ = CARRY((!\led_flash_cnt[1231][1]~44115\) # (!\led_flash_cnt[1231][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1231][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1231][1]~44115\,
	combout => \led_flash_cnt[1231][2]~44116_combout\,
	cout => \led_flash_cnt[1231][2]~44117\);

-- Location: FF_X7_Y16_N5
\led_flash_cnt[1231][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1231][2]~44116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1231][2]~q\);

-- Location: LCCOMB_X7_Y16_N6
\led_flash_cnt[1231][3]~44118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1231][3]~44118_combout\ = (\led_flash_cnt[1231][3]~q\ & (\led_flash_cnt[1231][2]~44117\ $ (GND))) # (!\led_flash_cnt[1231][3]~q\ & (!\led_flash_cnt[1231][2]~44117\ & VCC))
-- \led_flash_cnt[1231][3]~44119\ = CARRY((\led_flash_cnt[1231][3]~q\ & !\led_flash_cnt[1231][2]~44117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1231][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1231][2]~44117\,
	combout => \led_flash_cnt[1231][3]~44118_combout\,
	cout => \led_flash_cnt[1231][3]~44119\);

-- Location: FF_X7_Y16_N7
\led_flash_cnt[1231][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1231][3]~44118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1231][3]~q\);

-- Location: LCCOMB_X7_Y16_N8
\led_flash_cnt[1231][4]~44120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1231][4]~44120_combout\ = (\led_flash_cnt[1231][4]~q\ & (!\led_flash_cnt[1231][3]~44119\)) # (!\led_flash_cnt[1231][4]~q\ & ((\led_flash_cnt[1231][3]~44119\) # (GND)))
-- \led_flash_cnt[1231][4]~44121\ = CARRY((!\led_flash_cnt[1231][3]~44119\) # (!\led_flash_cnt[1231][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1231][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1231][3]~44119\,
	combout => \led_flash_cnt[1231][4]~44120_combout\,
	cout => \led_flash_cnt[1231][4]~44121\);

-- Location: FF_X7_Y16_N9
\led_flash_cnt[1231][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1231][4]~44120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1231][4]~q\);

-- Location: LCCOMB_X7_Y16_N26
\WideAnd1231~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1231~0_combout\ = (\led_flash_cnt[1231][3]~q\ & (\led_flash_cnt[1231][4]~q\ & (\led_flash_cnt[1231][2]~q\ & \led_flash_cnt[1231][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1231][3]~q\,
	datab => \led_flash_cnt[1231][4]~q\,
	datac => \led_flash_cnt[1231][2]~q\,
	datad => \led_flash_cnt[1231][1]~q\,
	combout => \WideAnd1231~0_combout\);

-- Location: LCCOMB_X7_Y16_N10
\led_flash_cnt[1231][5]~44122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1231][5]~44122_combout\ = (\led_flash_cnt[1231][5]~q\ & (\led_flash_cnt[1231][4]~44121\ $ (GND))) # (!\led_flash_cnt[1231][5]~q\ & (!\led_flash_cnt[1231][4]~44121\ & VCC))
-- \led_flash_cnt[1231][5]~44123\ = CARRY((\led_flash_cnt[1231][5]~q\ & !\led_flash_cnt[1231][4]~44121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1231][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1231][4]~44121\,
	combout => \led_flash_cnt[1231][5]~44122_combout\,
	cout => \led_flash_cnt[1231][5]~44123\);

-- Location: FF_X7_Y16_N11
\led_flash_cnt[1231][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1231][5]~44122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1231][5]~q\);

-- Location: LCCOMB_X7_Y16_N12
\led_flash_cnt[1231][6]~44124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1231][6]~44124_combout\ = (\led_flash_cnt[1231][6]~q\ & (!\led_flash_cnt[1231][5]~44123\)) # (!\led_flash_cnt[1231][6]~q\ & ((\led_flash_cnt[1231][5]~44123\) # (GND)))
-- \led_flash_cnt[1231][6]~44125\ = CARRY((!\led_flash_cnt[1231][5]~44123\) # (!\led_flash_cnt[1231][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1231][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1231][5]~44123\,
	combout => \led_flash_cnt[1231][6]~44124_combout\,
	cout => \led_flash_cnt[1231][6]~44125\);

-- Location: FF_X7_Y16_N13
\led_flash_cnt[1231][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1231][6]~44124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1231][6]~q\);

-- Location: LCCOMB_X7_Y16_N14
\led_flash_cnt[1231][7]~44126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1231][7]~44126_combout\ = \led_flash_cnt[1231][7]~q\ $ (!\led_flash_cnt[1231][6]~44125\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1231][7]~q\,
	cin => \led_flash_cnt[1231][6]~44125\,
	combout => \led_flash_cnt[1231][7]~44126_combout\);

-- Location: FF_X7_Y16_N15
\led_flash_cnt[1231][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1231][7]~44126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1231][7]~q\);

-- Location: LCCOMB_X7_Y16_N0
\WideAnd1231~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1231~1_combout\ = (\led_flash_cnt[1231][5]~q\ & \led_flash_cnt[1231][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1231][5]~q\,
	datad => \led_flash_cnt[1231][6]~q\,
	combout => \WideAnd1231~1_combout\);

-- Location: LCCOMB_X7_Y16_N24
WideAnd1231 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1231~combout\ = (\WideAnd1231~0_combout\ & (\led_flash_cnt[1231][7]~q\ & (\led_flash_cnt[1231][0]~q\ & \WideAnd1231~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1231~0_combout\,
	datab => \led_flash_cnt[1231][7]~q\,
	datac => \led_flash_cnt[1231][0]~q\,
	datad => \WideAnd1231~1_combout\,
	combout => \WideAnd1231~combout\);

-- Location: FF_X7_Y16_N25
\led_flash_cnt_ands[1231]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1231~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1231));

-- Location: LCCOMB_X8_Y17_N2
\led_flash_cnt[1230][0]~81870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1230][0]~81870_combout\ = !\led_flash_cnt[1230][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1230][0]~q\,
	combout => \led_flash_cnt[1230][0]~81870_combout\);

-- Location: FF_X8_Y17_N3
\led_flash_cnt[1230][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1230][0]~81870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1230][0]~q\);

-- Location: LCCOMB_X7_Y17_N18
\led_flash_cnt[1230][1]~44100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1230][1]~44100_combout\ = (\led_flash_cnt[1230][0]~q\ & (\led_flash_cnt[1230][1]~q\ $ (VCC))) # (!\led_flash_cnt[1230][0]~q\ & (\led_flash_cnt[1230][1]~q\ & VCC))
-- \led_flash_cnt[1230][1]~44101\ = CARRY((\led_flash_cnt[1230][0]~q\ & \led_flash_cnt[1230][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1230][0]~q\,
	datab => \led_flash_cnt[1230][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1230][1]~44100_combout\,
	cout => \led_flash_cnt[1230][1]~44101\);

-- Location: FF_X7_Y17_N19
\led_flash_cnt[1230][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1230][1]~44100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1230][1]~q\);

-- Location: LCCOMB_X7_Y17_N20
\led_flash_cnt[1230][2]~44102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1230][2]~44102_combout\ = (\led_flash_cnt[1230][2]~q\ & (!\led_flash_cnt[1230][1]~44101\)) # (!\led_flash_cnt[1230][2]~q\ & ((\led_flash_cnt[1230][1]~44101\) # (GND)))
-- \led_flash_cnt[1230][2]~44103\ = CARRY((!\led_flash_cnt[1230][1]~44101\) # (!\led_flash_cnt[1230][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1230][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1230][1]~44101\,
	combout => \led_flash_cnt[1230][2]~44102_combout\,
	cout => \led_flash_cnt[1230][2]~44103\);

-- Location: FF_X7_Y17_N21
\led_flash_cnt[1230][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1230][2]~44102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1230][2]~q\);

-- Location: LCCOMB_X7_Y17_N22
\led_flash_cnt[1230][3]~44104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1230][3]~44104_combout\ = (\led_flash_cnt[1230][3]~q\ & (\led_flash_cnt[1230][2]~44103\ $ (GND))) # (!\led_flash_cnt[1230][3]~q\ & (!\led_flash_cnt[1230][2]~44103\ & VCC))
-- \led_flash_cnt[1230][3]~44105\ = CARRY((\led_flash_cnt[1230][3]~q\ & !\led_flash_cnt[1230][2]~44103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1230][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1230][2]~44103\,
	combout => \led_flash_cnt[1230][3]~44104_combout\,
	cout => \led_flash_cnt[1230][3]~44105\);

-- Location: FF_X7_Y17_N23
\led_flash_cnt[1230][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1230][3]~44104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1230][3]~q\);

-- Location: LCCOMB_X7_Y17_N24
\led_flash_cnt[1230][4]~44106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1230][4]~44106_combout\ = (\led_flash_cnt[1230][4]~q\ & (!\led_flash_cnt[1230][3]~44105\)) # (!\led_flash_cnt[1230][4]~q\ & ((\led_flash_cnt[1230][3]~44105\) # (GND)))
-- \led_flash_cnt[1230][4]~44107\ = CARRY((!\led_flash_cnt[1230][3]~44105\) # (!\led_flash_cnt[1230][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1230][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1230][3]~44105\,
	combout => \led_flash_cnt[1230][4]~44106_combout\,
	cout => \led_flash_cnt[1230][4]~44107\);

-- Location: FF_X7_Y17_N25
\led_flash_cnt[1230][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1230][4]~44106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1230][4]~q\);

-- Location: LCCOMB_X8_Y17_N10
\WideAnd1230~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1230~0_combout\ = (\led_flash_cnt[1230][2]~q\ & (\led_flash_cnt[1230][3]~q\ & (\led_flash_cnt[1230][1]~q\ & \led_flash_cnt[1230][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1230][2]~q\,
	datab => \led_flash_cnt[1230][3]~q\,
	datac => \led_flash_cnt[1230][1]~q\,
	datad => \led_flash_cnt[1230][4]~q\,
	combout => \WideAnd1230~0_combout\);

-- Location: LCCOMB_X7_Y17_N26
\led_flash_cnt[1230][5]~44108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1230][5]~44108_combout\ = (\led_flash_cnt[1230][5]~q\ & (\led_flash_cnt[1230][4]~44107\ $ (GND))) # (!\led_flash_cnt[1230][5]~q\ & (!\led_flash_cnt[1230][4]~44107\ & VCC))
-- \led_flash_cnt[1230][5]~44109\ = CARRY((\led_flash_cnt[1230][5]~q\ & !\led_flash_cnt[1230][4]~44107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1230][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1230][4]~44107\,
	combout => \led_flash_cnt[1230][5]~44108_combout\,
	cout => \led_flash_cnt[1230][5]~44109\);

-- Location: FF_X7_Y17_N27
\led_flash_cnt[1230][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1230][5]~44108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1230][5]~q\);

-- Location: LCCOMB_X7_Y17_N28
\led_flash_cnt[1230][6]~44110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1230][6]~44110_combout\ = (\led_flash_cnt[1230][6]~q\ & (!\led_flash_cnt[1230][5]~44109\)) # (!\led_flash_cnt[1230][6]~q\ & ((\led_flash_cnt[1230][5]~44109\) # (GND)))
-- \led_flash_cnt[1230][6]~44111\ = CARRY((!\led_flash_cnt[1230][5]~44109\) # (!\led_flash_cnt[1230][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1230][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1230][5]~44109\,
	combout => \led_flash_cnt[1230][6]~44110_combout\,
	cout => \led_flash_cnt[1230][6]~44111\);

-- Location: FF_X7_Y17_N29
\led_flash_cnt[1230][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1230][6]~44110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1230][6]~q\);

-- Location: LCCOMB_X7_Y17_N30
\led_flash_cnt[1230][7]~44112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1230][7]~44112_combout\ = \led_flash_cnt[1230][7]~q\ $ (!\led_flash_cnt[1230][6]~44111\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1230][7]~q\,
	cin => \led_flash_cnt[1230][6]~44111\,
	combout => \led_flash_cnt[1230][7]~44112_combout\);

-- Location: FF_X7_Y17_N31
\led_flash_cnt[1230][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1230][7]~44112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1230][7]~q\);

-- Location: LCCOMB_X7_Y17_N16
\WideAnd1230~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1230~1_combout\ = (\led_flash_cnt[1230][5]~q\ & \led_flash_cnt[1230][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1230][5]~q\,
	datad => \led_flash_cnt[1230][6]~q\,
	combout => \WideAnd1230~1_combout\);

-- Location: LCCOMB_X8_Y17_N4
WideAnd1230 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1230~combout\ = (\WideAnd1230~0_combout\ & (\led_flash_cnt[1230][7]~q\ & (\WideAnd1230~1_combout\ & \led_flash_cnt[1230][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1230~0_combout\,
	datab => \led_flash_cnt[1230][7]~q\,
	datac => \WideAnd1230~1_combout\,
	datad => \led_flash_cnt[1230][0]~q\,
	combout => \WideAnd1230~combout\);

-- Location: FF_X8_Y17_N5
\led_flash_cnt_ands[1230]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1230~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1230));

-- Location: LCCOMB_X6_Y20_N2
\led_flash_cnt[1228][0]~81868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1228][0]~81868_combout\ = !\led_flash_cnt[1228][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1228][0]~q\,
	combout => \led_flash_cnt[1228][0]~81868_combout\);

-- Location: FF_X6_Y20_N3
\led_flash_cnt[1228][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1228][0]~81868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1228][0]~q\);

-- Location: LCCOMB_X7_Y20_N16
\led_flash_cnt[1228][1]~44072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1228][1]~44072_combout\ = (\led_flash_cnt[1228][0]~q\ & (\led_flash_cnt[1228][1]~q\ $ (VCC))) # (!\led_flash_cnt[1228][0]~q\ & (\led_flash_cnt[1228][1]~q\ & VCC))
-- \led_flash_cnt[1228][1]~44073\ = CARRY((\led_flash_cnt[1228][0]~q\ & \led_flash_cnt[1228][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1228][0]~q\,
	datab => \led_flash_cnt[1228][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1228][1]~44072_combout\,
	cout => \led_flash_cnt[1228][1]~44073\);

-- Location: FF_X7_Y20_N17
\led_flash_cnt[1228][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1228][1]~44072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1228][1]~q\);

-- Location: LCCOMB_X7_Y20_N18
\led_flash_cnt[1228][2]~44074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1228][2]~44074_combout\ = (\led_flash_cnt[1228][2]~q\ & (!\led_flash_cnt[1228][1]~44073\)) # (!\led_flash_cnt[1228][2]~q\ & ((\led_flash_cnt[1228][1]~44073\) # (GND)))
-- \led_flash_cnt[1228][2]~44075\ = CARRY((!\led_flash_cnt[1228][1]~44073\) # (!\led_flash_cnt[1228][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1228][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1228][1]~44073\,
	combout => \led_flash_cnt[1228][2]~44074_combout\,
	cout => \led_flash_cnt[1228][2]~44075\);

-- Location: FF_X7_Y20_N19
\led_flash_cnt[1228][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1228][2]~44074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1228][2]~q\);

-- Location: LCCOMB_X7_Y20_N20
\led_flash_cnt[1228][3]~44076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1228][3]~44076_combout\ = (\led_flash_cnt[1228][3]~q\ & (\led_flash_cnt[1228][2]~44075\ $ (GND))) # (!\led_flash_cnt[1228][3]~q\ & (!\led_flash_cnt[1228][2]~44075\ & VCC))
-- \led_flash_cnt[1228][3]~44077\ = CARRY((\led_flash_cnt[1228][3]~q\ & !\led_flash_cnt[1228][2]~44075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1228][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1228][2]~44075\,
	combout => \led_flash_cnt[1228][3]~44076_combout\,
	cout => \led_flash_cnt[1228][3]~44077\);

-- Location: FF_X7_Y20_N21
\led_flash_cnt[1228][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1228][3]~44076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1228][3]~q\);

-- Location: LCCOMB_X7_Y20_N22
\led_flash_cnt[1228][4]~44078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1228][4]~44078_combout\ = (\led_flash_cnt[1228][4]~q\ & (!\led_flash_cnt[1228][3]~44077\)) # (!\led_flash_cnt[1228][4]~q\ & ((\led_flash_cnt[1228][3]~44077\) # (GND)))
-- \led_flash_cnt[1228][4]~44079\ = CARRY((!\led_flash_cnt[1228][3]~44077\) # (!\led_flash_cnt[1228][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1228][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1228][3]~44077\,
	combout => \led_flash_cnt[1228][4]~44078_combout\,
	cout => \led_flash_cnt[1228][4]~44079\);

-- Location: FF_X7_Y20_N23
\led_flash_cnt[1228][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1228][4]~44078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1228][4]~q\);

-- Location: LCCOMB_X7_Y20_N24
\led_flash_cnt[1228][5]~44080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1228][5]~44080_combout\ = (\led_flash_cnt[1228][5]~q\ & (\led_flash_cnt[1228][4]~44079\ $ (GND))) # (!\led_flash_cnt[1228][5]~q\ & (!\led_flash_cnt[1228][4]~44079\ & VCC))
-- \led_flash_cnt[1228][5]~44081\ = CARRY((\led_flash_cnt[1228][5]~q\ & !\led_flash_cnt[1228][4]~44079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1228][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1228][4]~44079\,
	combout => \led_flash_cnt[1228][5]~44080_combout\,
	cout => \led_flash_cnt[1228][5]~44081\);

-- Location: FF_X7_Y20_N25
\led_flash_cnt[1228][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1228][5]~44080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1228][5]~q\);

-- Location: LCCOMB_X7_Y20_N26
\led_flash_cnt[1228][6]~44082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1228][6]~44082_combout\ = (\led_flash_cnt[1228][6]~q\ & (!\led_flash_cnt[1228][5]~44081\)) # (!\led_flash_cnt[1228][6]~q\ & ((\led_flash_cnt[1228][5]~44081\) # (GND)))
-- \led_flash_cnt[1228][6]~44083\ = CARRY((!\led_flash_cnt[1228][5]~44081\) # (!\led_flash_cnt[1228][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1228][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1228][5]~44081\,
	combout => \led_flash_cnt[1228][6]~44082_combout\,
	cout => \led_flash_cnt[1228][6]~44083\);

-- Location: FF_X7_Y20_N27
\led_flash_cnt[1228][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1228][6]~44082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1228][6]~q\);

-- Location: LCCOMB_X6_Y20_N12
\WideAnd1228~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1228~1_combout\ = (\led_flash_cnt[1228][6]~q\ & \led_flash_cnt[1228][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1228][6]~q\,
	datad => \led_flash_cnt[1228][5]~q\,
	combout => \WideAnd1228~1_combout\);

-- Location: LCCOMB_X7_Y20_N28
\led_flash_cnt[1228][7]~44084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1228][7]~44084_combout\ = \led_flash_cnt[1228][6]~44083\ $ (!\led_flash_cnt[1228][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1228][7]~q\,
	cin => \led_flash_cnt[1228][6]~44083\,
	combout => \led_flash_cnt[1228][7]~44084_combout\);

-- Location: FF_X7_Y20_N29
\led_flash_cnt[1228][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1228][7]~44084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1228][7]~q\);

-- Location: LCCOMB_X7_Y20_N0
\WideAnd1228~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1228~0_combout\ = (\led_flash_cnt[1228][3]~q\ & (\led_flash_cnt[1228][1]~q\ & (\led_flash_cnt[1228][4]~q\ & \led_flash_cnt[1228][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1228][3]~q\,
	datab => \led_flash_cnt[1228][1]~q\,
	datac => \led_flash_cnt[1228][4]~q\,
	datad => \led_flash_cnt[1228][2]~q\,
	combout => \WideAnd1228~0_combout\);

-- Location: LCCOMB_X6_Y20_N4
WideAnd1228 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1228~combout\ = (\WideAnd1228~1_combout\ & (\led_flash_cnt[1228][7]~q\ & (\WideAnd1228~0_combout\ & \led_flash_cnt[1228][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1228~1_combout\,
	datab => \led_flash_cnt[1228][7]~q\,
	datac => \WideAnd1228~0_combout\,
	datad => \led_flash_cnt[1228][0]~q\,
	combout => \WideAnd1228~combout\);

-- Location: FF_X6_Y20_N5
\led_flash_cnt_ands[1228]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1228~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1228));

-- Location: LCCOMB_X6_Y20_N6
\led_flash_cnt[1229][0]~81869\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1229][0]~81869_combout\ = !\led_flash_cnt[1229][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1229][0]~q\,
	combout => \led_flash_cnt[1229][0]~81869_combout\);

-- Location: FF_X6_Y20_N7
\led_flash_cnt[1229][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1229][0]~81869_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1229][0]~q\);

-- Location: LCCOMB_X6_Y20_N14
\led_flash_cnt[1229][1]~44086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1229][1]~44086_combout\ = (\led_flash_cnt[1229][0]~q\ & (\led_flash_cnt[1229][1]~q\ $ (VCC))) # (!\led_flash_cnt[1229][0]~q\ & (\led_flash_cnt[1229][1]~q\ & VCC))
-- \led_flash_cnt[1229][1]~44087\ = CARRY((\led_flash_cnt[1229][0]~q\ & \led_flash_cnt[1229][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1229][0]~q\,
	datab => \led_flash_cnt[1229][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1229][1]~44086_combout\,
	cout => \led_flash_cnt[1229][1]~44087\);

-- Location: FF_X6_Y20_N15
\led_flash_cnt[1229][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1229][1]~44086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1229][1]~q\);

-- Location: LCCOMB_X6_Y20_N16
\led_flash_cnt[1229][2]~44088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1229][2]~44088_combout\ = (\led_flash_cnt[1229][2]~q\ & (!\led_flash_cnt[1229][1]~44087\)) # (!\led_flash_cnt[1229][2]~q\ & ((\led_flash_cnt[1229][1]~44087\) # (GND)))
-- \led_flash_cnt[1229][2]~44089\ = CARRY((!\led_flash_cnt[1229][1]~44087\) # (!\led_flash_cnt[1229][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1229][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1229][1]~44087\,
	combout => \led_flash_cnt[1229][2]~44088_combout\,
	cout => \led_flash_cnt[1229][2]~44089\);

-- Location: FF_X6_Y20_N17
\led_flash_cnt[1229][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1229][2]~44088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1229][2]~q\);

-- Location: LCCOMB_X6_Y20_N18
\led_flash_cnt[1229][3]~44090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1229][3]~44090_combout\ = (\led_flash_cnt[1229][3]~q\ & (\led_flash_cnt[1229][2]~44089\ $ (GND))) # (!\led_flash_cnt[1229][3]~q\ & (!\led_flash_cnt[1229][2]~44089\ & VCC))
-- \led_flash_cnt[1229][3]~44091\ = CARRY((\led_flash_cnt[1229][3]~q\ & !\led_flash_cnt[1229][2]~44089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1229][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1229][2]~44089\,
	combout => \led_flash_cnt[1229][3]~44090_combout\,
	cout => \led_flash_cnt[1229][3]~44091\);

-- Location: FF_X6_Y20_N19
\led_flash_cnt[1229][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1229][3]~44090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1229][3]~q\);

-- Location: LCCOMB_X6_Y20_N20
\led_flash_cnt[1229][4]~44092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1229][4]~44092_combout\ = (\led_flash_cnt[1229][4]~q\ & (!\led_flash_cnt[1229][3]~44091\)) # (!\led_flash_cnt[1229][4]~q\ & ((\led_flash_cnt[1229][3]~44091\) # (GND)))
-- \led_flash_cnt[1229][4]~44093\ = CARRY((!\led_flash_cnt[1229][3]~44091\) # (!\led_flash_cnt[1229][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1229][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1229][3]~44091\,
	combout => \led_flash_cnt[1229][4]~44092_combout\,
	cout => \led_flash_cnt[1229][4]~44093\);

-- Location: FF_X6_Y20_N21
\led_flash_cnt[1229][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1229][4]~44092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1229][4]~q\);

-- Location: LCCOMB_X6_Y20_N8
\WideAnd1229~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1229~0_combout\ = (\led_flash_cnt[1229][3]~q\ & (\led_flash_cnt[1229][4]~q\ & (\led_flash_cnt[1229][1]~q\ & \led_flash_cnt[1229][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1229][3]~q\,
	datab => \led_flash_cnt[1229][4]~q\,
	datac => \led_flash_cnt[1229][1]~q\,
	datad => \led_flash_cnt[1229][2]~q\,
	combout => \WideAnd1229~0_combout\);

-- Location: LCCOMB_X6_Y20_N22
\led_flash_cnt[1229][5]~44094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1229][5]~44094_combout\ = (\led_flash_cnt[1229][5]~q\ & (\led_flash_cnt[1229][4]~44093\ $ (GND))) # (!\led_flash_cnt[1229][5]~q\ & (!\led_flash_cnt[1229][4]~44093\ & VCC))
-- \led_flash_cnt[1229][5]~44095\ = CARRY((\led_flash_cnt[1229][5]~q\ & !\led_flash_cnt[1229][4]~44093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1229][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1229][4]~44093\,
	combout => \led_flash_cnt[1229][5]~44094_combout\,
	cout => \led_flash_cnt[1229][5]~44095\);

-- Location: FF_X6_Y20_N23
\led_flash_cnt[1229][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1229][5]~44094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1229][5]~q\);

-- Location: LCCOMB_X6_Y20_N24
\led_flash_cnt[1229][6]~44096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1229][6]~44096_combout\ = (\led_flash_cnt[1229][6]~q\ & (!\led_flash_cnt[1229][5]~44095\)) # (!\led_flash_cnt[1229][6]~q\ & ((\led_flash_cnt[1229][5]~44095\) # (GND)))
-- \led_flash_cnt[1229][6]~44097\ = CARRY((!\led_flash_cnt[1229][5]~44095\) # (!\led_flash_cnt[1229][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1229][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1229][5]~44095\,
	combout => \led_flash_cnt[1229][6]~44096_combout\,
	cout => \led_flash_cnt[1229][6]~44097\);

-- Location: FF_X6_Y20_N25
\led_flash_cnt[1229][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1229][6]~44096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1229][6]~q\);

-- Location: LCCOMB_X6_Y20_N26
\led_flash_cnt[1229][7]~44098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1229][7]~44098_combout\ = \led_flash_cnt[1229][7]~q\ $ (!\led_flash_cnt[1229][6]~44097\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1229][7]~q\,
	cin => \led_flash_cnt[1229][6]~44097\,
	combout => \led_flash_cnt[1229][7]~44098_combout\);

-- Location: FF_X6_Y20_N27
\led_flash_cnt[1229][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1229][7]~44098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1229][7]~q\);

-- Location: LCCOMB_X6_Y20_N10
\WideAnd1229~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1229~1_combout\ = (\led_flash_cnt[1229][5]~q\ & \led_flash_cnt[1229][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1229][5]~q\,
	datad => \led_flash_cnt[1229][6]~q\,
	combout => \WideAnd1229~1_combout\);

-- Location: LCCOMB_X6_Y20_N28
WideAnd1229 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1229~combout\ = (\led_flash_cnt[1229][0]~q\ & (\WideAnd1229~0_combout\ & (\led_flash_cnt[1229][7]~q\ & \WideAnd1229~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1229][0]~q\,
	datab => \WideAnd1229~0_combout\,
	datac => \led_flash_cnt[1229][7]~q\,
	datad => \WideAnd1229~1_combout\,
	combout => \WideAnd1229~combout\);

-- Location: FF_X6_Y20_N29
\led_flash_cnt_ands[1229]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1229~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1229));

-- Location: LCCOMB_X6_Y20_N30
\WideAnd3993~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3993~1_combout\ = (led_flash_cnt_ands(1228) & led_flash_cnt_ands(1229))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1228),
	datad => led_flash_cnt_ands(1229),
	combout => \WideAnd3993~1_combout\);

-- Location: LCCOMB_X8_Y17_N14
WideAnd3993 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3993~combout\ = (\WideAnd3993~0_combout\ & (led_flash_cnt_ands(1231) & (led_flash_cnt_ands(1230) & \WideAnd3993~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3993~0_combout\,
	datab => led_flash_cnt_ands(1231),
	datac => led_flash_cnt_ands(1230),
	datad => \WideAnd3993~1_combout\,
	combout => \WideAnd3993~combout\);

-- Location: FF_X8_Y17_N15
\led_flash_cnt_ands_1[153]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3993~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(153));

-- Location: LCCOMB_X31_Y17_N0
\led_flash_cnt[1218][0]~81858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1218][0]~81858_combout\ = !\led_flash_cnt[1218][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1218][0]~q\,
	combout => \led_flash_cnt[1218][0]~81858_combout\);

-- Location: FF_X31_Y17_N1
\led_flash_cnt[1218][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1218][0]~81858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1218][0]~q\);

-- Location: LCCOMB_X31_Y17_N2
\led_flash_cnt[1218][1]~43932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1218][1]~43932_combout\ = (\led_flash_cnt[1218][1]~q\ & (\led_flash_cnt[1218][0]~q\ $ (VCC))) # (!\led_flash_cnt[1218][1]~q\ & (\led_flash_cnt[1218][0]~q\ & VCC))
-- \led_flash_cnt[1218][1]~43933\ = CARRY((\led_flash_cnt[1218][1]~q\ & \led_flash_cnt[1218][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1218][1]~q\,
	datab => \led_flash_cnt[1218][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1218][1]~43932_combout\,
	cout => \led_flash_cnt[1218][1]~43933\);

-- Location: FF_X31_Y17_N3
\led_flash_cnt[1218][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1218][1]~43932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1218][1]~q\);

-- Location: LCCOMB_X31_Y17_N4
\led_flash_cnt[1218][2]~43934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1218][2]~43934_combout\ = (\led_flash_cnt[1218][2]~q\ & (!\led_flash_cnt[1218][1]~43933\)) # (!\led_flash_cnt[1218][2]~q\ & ((\led_flash_cnt[1218][1]~43933\) # (GND)))
-- \led_flash_cnt[1218][2]~43935\ = CARRY((!\led_flash_cnt[1218][1]~43933\) # (!\led_flash_cnt[1218][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1218][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1218][1]~43933\,
	combout => \led_flash_cnt[1218][2]~43934_combout\,
	cout => \led_flash_cnt[1218][2]~43935\);

-- Location: FF_X31_Y17_N5
\led_flash_cnt[1218][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1218][2]~43934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1218][2]~q\);

-- Location: LCCOMB_X31_Y17_N6
\led_flash_cnt[1218][3]~43936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1218][3]~43936_combout\ = (\led_flash_cnt[1218][3]~q\ & (\led_flash_cnt[1218][2]~43935\ $ (GND))) # (!\led_flash_cnt[1218][3]~q\ & (!\led_flash_cnt[1218][2]~43935\ & VCC))
-- \led_flash_cnt[1218][3]~43937\ = CARRY((\led_flash_cnt[1218][3]~q\ & !\led_flash_cnt[1218][2]~43935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1218][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1218][2]~43935\,
	combout => \led_flash_cnt[1218][3]~43936_combout\,
	cout => \led_flash_cnt[1218][3]~43937\);

-- Location: FF_X31_Y17_N7
\led_flash_cnt[1218][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1218][3]~43936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1218][3]~q\);

-- Location: LCCOMB_X31_Y17_N8
\led_flash_cnt[1218][4]~43938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1218][4]~43938_combout\ = (\led_flash_cnt[1218][4]~q\ & (!\led_flash_cnt[1218][3]~43937\)) # (!\led_flash_cnt[1218][4]~q\ & ((\led_flash_cnt[1218][3]~43937\) # (GND)))
-- \led_flash_cnt[1218][4]~43939\ = CARRY((!\led_flash_cnt[1218][3]~43937\) # (!\led_flash_cnt[1218][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1218][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1218][3]~43937\,
	combout => \led_flash_cnt[1218][4]~43938_combout\,
	cout => \led_flash_cnt[1218][4]~43939\);

-- Location: FF_X31_Y17_N9
\led_flash_cnt[1218][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1218][4]~43938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1218][4]~q\);

-- Location: LCCOMB_X31_Y17_N10
\led_flash_cnt[1218][5]~43940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1218][5]~43940_combout\ = (\led_flash_cnt[1218][5]~q\ & (\led_flash_cnt[1218][4]~43939\ $ (GND))) # (!\led_flash_cnt[1218][5]~q\ & (!\led_flash_cnt[1218][4]~43939\ & VCC))
-- \led_flash_cnt[1218][5]~43941\ = CARRY((\led_flash_cnt[1218][5]~q\ & !\led_flash_cnt[1218][4]~43939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1218][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1218][4]~43939\,
	combout => \led_flash_cnt[1218][5]~43940_combout\,
	cout => \led_flash_cnt[1218][5]~43941\);

-- Location: FF_X31_Y17_N11
\led_flash_cnt[1218][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1218][5]~43940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1218][5]~q\);

-- Location: LCCOMB_X31_Y17_N12
\led_flash_cnt[1218][6]~43942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1218][6]~43942_combout\ = (\led_flash_cnt[1218][6]~q\ & (!\led_flash_cnt[1218][5]~43941\)) # (!\led_flash_cnt[1218][6]~q\ & ((\led_flash_cnt[1218][5]~43941\) # (GND)))
-- \led_flash_cnt[1218][6]~43943\ = CARRY((!\led_flash_cnt[1218][5]~43941\) # (!\led_flash_cnt[1218][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1218][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1218][5]~43941\,
	combout => \led_flash_cnt[1218][6]~43942_combout\,
	cout => \led_flash_cnt[1218][6]~43943\);

-- Location: FF_X31_Y17_N13
\led_flash_cnt[1218][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1218][6]~43942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1218][6]~q\);

-- Location: LCCOMB_X31_Y17_N26
\WideAnd1218~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1218~1_combout\ = (\led_flash_cnt[1218][5]~q\ & \led_flash_cnt[1218][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1218][5]~q\,
	datad => \led_flash_cnt[1218][6]~q\,
	combout => \WideAnd1218~1_combout\);

-- Location: LCCOMB_X31_Y17_N14
\led_flash_cnt[1218][7]~43944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1218][7]~43944_combout\ = \led_flash_cnt[1218][7]~q\ $ (!\led_flash_cnt[1218][6]~43943\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1218][7]~q\,
	cin => \led_flash_cnt[1218][6]~43943\,
	combout => \led_flash_cnt[1218][7]~43944_combout\);

-- Location: FF_X31_Y17_N15
\led_flash_cnt[1218][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1218][7]~43944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1218][7]~q\);

-- Location: LCCOMB_X31_Y17_N18
\WideAnd1218~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1218~0_combout\ = (\led_flash_cnt[1218][1]~q\ & (\led_flash_cnt[1218][4]~q\ & (\led_flash_cnt[1218][2]~q\ & \led_flash_cnt[1218][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1218][1]~q\,
	datab => \led_flash_cnt[1218][4]~q\,
	datac => \led_flash_cnt[1218][2]~q\,
	datad => \led_flash_cnt[1218][3]~q\,
	combout => \WideAnd1218~0_combout\);

-- Location: LCCOMB_X31_Y17_N28
WideAnd1218 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1218~combout\ = (\WideAnd1218~1_combout\ & (\led_flash_cnt[1218][0]~q\ & (\led_flash_cnt[1218][7]~q\ & \WideAnd1218~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1218~1_combout\,
	datab => \led_flash_cnt[1218][0]~q\,
	datac => \led_flash_cnt[1218][7]~q\,
	datad => \WideAnd1218~0_combout\,
	combout => \WideAnd1218~combout\);

-- Location: FF_X31_Y17_N29
\led_flash_cnt_ands[1218]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1218~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1218));

-- Location: LCCOMB_X22_Y15_N6
\led_flash_cnt[1217][0]~81857\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1217][0]~81857_combout\ = !\led_flash_cnt[1217][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1217][0]~q\,
	combout => \led_flash_cnt[1217][0]~81857_combout\);

-- Location: FF_X22_Y15_N7
\led_flash_cnt[1217][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1217][0]~81857_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1217][0]~q\);

-- Location: LCCOMB_X22_Y15_N14
\led_flash_cnt[1217][1]~43918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1217][1]~43918_combout\ = (\led_flash_cnt[1217][0]~q\ & (\led_flash_cnt[1217][1]~q\ $ (VCC))) # (!\led_flash_cnt[1217][0]~q\ & (\led_flash_cnt[1217][1]~q\ & VCC))
-- \led_flash_cnt[1217][1]~43919\ = CARRY((\led_flash_cnt[1217][0]~q\ & \led_flash_cnt[1217][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1217][0]~q\,
	datab => \led_flash_cnt[1217][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1217][1]~43918_combout\,
	cout => \led_flash_cnt[1217][1]~43919\);

-- Location: FF_X22_Y15_N15
\led_flash_cnt[1217][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1217][1]~43918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1217][1]~q\);

-- Location: LCCOMB_X22_Y15_N16
\led_flash_cnt[1217][2]~43920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1217][2]~43920_combout\ = (\led_flash_cnt[1217][2]~q\ & (!\led_flash_cnt[1217][1]~43919\)) # (!\led_flash_cnt[1217][2]~q\ & ((\led_flash_cnt[1217][1]~43919\) # (GND)))
-- \led_flash_cnt[1217][2]~43921\ = CARRY((!\led_flash_cnt[1217][1]~43919\) # (!\led_flash_cnt[1217][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1217][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1217][1]~43919\,
	combout => \led_flash_cnt[1217][2]~43920_combout\,
	cout => \led_flash_cnt[1217][2]~43921\);

-- Location: FF_X22_Y15_N17
\led_flash_cnt[1217][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1217][2]~43920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1217][2]~q\);

-- Location: LCCOMB_X22_Y15_N18
\led_flash_cnt[1217][3]~43922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1217][3]~43922_combout\ = (\led_flash_cnt[1217][3]~q\ & (\led_flash_cnt[1217][2]~43921\ $ (GND))) # (!\led_flash_cnt[1217][3]~q\ & (!\led_flash_cnt[1217][2]~43921\ & VCC))
-- \led_flash_cnt[1217][3]~43923\ = CARRY((\led_flash_cnt[1217][3]~q\ & !\led_flash_cnt[1217][2]~43921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1217][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1217][2]~43921\,
	combout => \led_flash_cnt[1217][3]~43922_combout\,
	cout => \led_flash_cnt[1217][3]~43923\);

-- Location: FF_X22_Y15_N19
\led_flash_cnt[1217][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1217][3]~43922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1217][3]~q\);

-- Location: LCCOMB_X22_Y15_N20
\led_flash_cnt[1217][4]~43924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1217][4]~43924_combout\ = (\led_flash_cnt[1217][4]~q\ & (!\led_flash_cnt[1217][3]~43923\)) # (!\led_flash_cnt[1217][4]~q\ & ((\led_flash_cnt[1217][3]~43923\) # (GND)))
-- \led_flash_cnt[1217][4]~43925\ = CARRY((!\led_flash_cnt[1217][3]~43923\) # (!\led_flash_cnt[1217][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1217][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1217][3]~43923\,
	combout => \led_flash_cnt[1217][4]~43924_combout\,
	cout => \led_flash_cnt[1217][4]~43925\);

-- Location: FF_X22_Y15_N21
\led_flash_cnt[1217][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1217][4]~43924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1217][4]~q\);

-- Location: LCCOMB_X22_Y15_N22
\led_flash_cnt[1217][5]~43926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1217][5]~43926_combout\ = (\led_flash_cnt[1217][5]~q\ & (\led_flash_cnt[1217][4]~43925\ $ (GND))) # (!\led_flash_cnt[1217][5]~q\ & (!\led_flash_cnt[1217][4]~43925\ & VCC))
-- \led_flash_cnt[1217][5]~43927\ = CARRY((\led_flash_cnt[1217][5]~q\ & !\led_flash_cnt[1217][4]~43925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1217][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1217][4]~43925\,
	combout => \led_flash_cnt[1217][5]~43926_combout\,
	cout => \led_flash_cnt[1217][5]~43927\);

-- Location: FF_X22_Y15_N23
\led_flash_cnt[1217][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1217][5]~43926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1217][5]~q\);

-- Location: LCCOMB_X22_Y15_N24
\led_flash_cnt[1217][6]~43928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1217][6]~43928_combout\ = (\led_flash_cnt[1217][6]~q\ & (!\led_flash_cnt[1217][5]~43927\)) # (!\led_flash_cnt[1217][6]~q\ & ((\led_flash_cnt[1217][5]~43927\) # (GND)))
-- \led_flash_cnt[1217][6]~43929\ = CARRY((!\led_flash_cnt[1217][5]~43927\) # (!\led_flash_cnt[1217][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1217][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1217][5]~43927\,
	combout => \led_flash_cnt[1217][6]~43928_combout\,
	cout => \led_flash_cnt[1217][6]~43929\);

-- Location: FF_X22_Y15_N25
\led_flash_cnt[1217][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1217][6]~43928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1217][6]~q\);

-- Location: LCCOMB_X22_Y15_N10
\WideAnd1217~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1217~1_combout\ = (\led_flash_cnt[1217][5]~q\ & \led_flash_cnt[1217][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1217][5]~q\,
	datad => \led_flash_cnt[1217][6]~q\,
	combout => \WideAnd1217~1_combout\);

-- Location: LCCOMB_X22_Y15_N4
\WideAnd1217~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1217~0_combout\ = (\led_flash_cnt[1217][4]~q\ & (\led_flash_cnt[1217][3]~q\ & (\led_flash_cnt[1217][1]~q\ & \led_flash_cnt[1217][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1217][4]~q\,
	datab => \led_flash_cnt[1217][3]~q\,
	datac => \led_flash_cnt[1217][1]~q\,
	datad => \led_flash_cnt[1217][2]~q\,
	combout => \WideAnd1217~0_combout\);

-- Location: LCCOMB_X22_Y15_N26
\led_flash_cnt[1217][7]~43930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1217][7]~43930_combout\ = \led_flash_cnt[1217][7]~q\ $ (!\led_flash_cnt[1217][6]~43929\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1217][7]~q\,
	cin => \led_flash_cnt[1217][6]~43929\,
	combout => \led_flash_cnt[1217][7]~43930_combout\);

-- Location: FF_X22_Y15_N27
\led_flash_cnt[1217][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1217][7]~43930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1217][7]~q\);

-- Location: LCCOMB_X22_Y15_N28
WideAnd1217 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1217~combout\ = (\WideAnd1217~1_combout\ & (\WideAnd1217~0_combout\ & (\led_flash_cnt[1217][7]~q\ & \led_flash_cnt[1217][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1217~1_combout\,
	datab => \WideAnd1217~0_combout\,
	datac => \led_flash_cnt[1217][7]~q\,
	datad => \led_flash_cnt[1217][0]~q\,
	combout => \WideAnd1217~combout\);

-- Location: FF_X22_Y15_N29
\led_flash_cnt_ands[1217]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1217~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1217));

-- Location: LCCOMB_X31_Y17_N24
\led_flash_cnt[1219][0]~81859\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1219][0]~81859_combout\ = !\led_flash_cnt[1219][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1219][0]~q\,
	combout => \led_flash_cnt[1219][0]~81859_combout\);

-- Location: FF_X31_Y17_N25
\led_flash_cnt[1219][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1219][0]~81859_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1219][0]~q\);

-- Location: LCCOMB_X32_Y17_N2
\led_flash_cnt[1219][1]~43946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1219][1]~43946_combout\ = (\led_flash_cnt[1219][1]~q\ & (\led_flash_cnt[1219][0]~q\ $ (VCC))) # (!\led_flash_cnt[1219][1]~q\ & (\led_flash_cnt[1219][0]~q\ & VCC))
-- \led_flash_cnt[1219][1]~43947\ = CARRY((\led_flash_cnt[1219][1]~q\ & \led_flash_cnt[1219][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1219][1]~q\,
	datab => \led_flash_cnt[1219][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1219][1]~43946_combout\,
	cout => \led_flash_cnt[1219][1]~43947\);

-- Location: FF_X32_Y17_N3
\led_flash_cnt[1219][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1219][1]~43946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1219][1]~q\);

-- Location: LCCOMB_X32_Y17_N4
\led_flash_cnt[1219][2]~43948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1219][2]~43948_combout\ = (\led_flash_cnt[1219][2]~q\ & (!\led_flash_cnt[1219][1]~43947\)) # (!\led_flash_cnt[1219][2]~q\ & ((\led_flash_cnt[1219][1]~43947\) # (GND)))
-- \led_flash_cnt[1219][2]~43949\ = CARRY((!\led_flash_cnt[1219][1]~43947\) # (!\led_flash_cnt[1219][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1219][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1219][1]~43947\,
	combout => \led_flash_cnt[1219][2]~43948_combout\,
	cout => \led_flash_cnt[1219][2]~43949\);

-- Location: FF_X32_Y17_N5
\led_flash_cnt[1219][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1219][2]~43948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1219][2]~q\);

-- Location: LCCOMB_X32_Y17_N6
\led_flash_cnt[1219][3]~43950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1219][3]~43950_combout\ = (\led_flash_cnt[1219][3]~q\ & (\led_flash_cnt[1219][2]~43949\ $ (GND))) # (!\led_flash_cnt[1219][3]~q\ & (!\led_flash_cnt[1219][2]~43949\ & VCC))
-- \led_flash_cnt[1219][3]~43951\ = CARRY((\led_flash_cnt[1219][3]~q\ & !\led_flash_cnt[1219][2]~43949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1219][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1219][2]~43949\,
	combout => \led_flash_cnt[1219][3]~43950_combout\,
	cout => \led_flash_cnt[1219][3]~43951\);

-- Location: FF_X32_Y17_N7
\led_flash_cnt[1219][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1219][3]~43950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1219][3]~q\);

-- Location: LCCOMB_X32_Y17_N8
\led_flash_cnt[1219][4]~43952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1219][4]~43952_combout\ = (\led_flash_cnt[1219][4]~q\ & (!\led_flash_cnt[1219][3]~43951\)) # (!\led_flash_cnt[1219][4]~q\ & ((\led_flash_cnt[1219][3]~43951\) # (GND)))
-- \led_flash_cnt[1219][4]~43953\ = CARRY((!\led_flash_cnt[1219][3]~43951\) # (!\led_flash_cnt[1219][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1219][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1219][3]~43951\,
	combout => \led_flash_cnt[1219][4]~43952_combout\,
	cout => \led_flash_cnt[1219][4]~43953\);

-- Location: FF_X32_Y17_N9
\led_flash_cnt[1219][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1219][4]~43952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1219][4]~q\);

-- Location: LCCOMB_X32_Y17_N10
\led_flash_cnt[1219][5]~43954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1219][5]~43954_combout\ = (\led_flash_cnt[1219][5]~q\ & (\led_flash_cnt[1219][4]~43953\ $ (GND))) # (!\led_flash_cnt[1219][5]~q\ & (!\led_flash_cnt[1219][4]~43953\ & VCC))
-- \led_flash_cnt[1219][5]~43955\ = CARRY((\led_flash_cnt[1219][5]~q\ & !\led_flash_cnt[1219][4]~43953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1219][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1219][4]~43953\,
	combout => \led_flash_cnt[1219][5]~43954_combout\,
	cout => \led_flash_cnt[1219][5]~43955\);

-- Location: FF_X32_Y17_N11
\led_flash_cnt[1219][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1219][5]~43954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1219][5]~q\);

-- Location: LCCOMB_X32_Y17_N12
\led_flash_cnt[1219][6]~43956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1219][6]~43956_combout\ = (\led_flash_cnt[1219][6]~q\ & (!\led_flash_cnt[1219][5]~43955\)) # (!\led_flash_cnt[1219][6]~q\ & ((\led_flash_cnt[1219][5]~43955\) # (GND)))
-- \led_flash_cnt[1219][6]~43957\ = CARRY((!\led_flash_cnt[1219][5]~43955\) # (!\led_flash_cnt[1219][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1219][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1219][5]~43955\,
	combout => \led_flash_cnt[1219][6]~43956_combout\,
	cout => \led_flash_cnt[1219][6]~43957\);

-- Location: FF_X32_Y17_N13
\led_flash_cnt[1219][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1219][6]~43956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1219][6]~q\);

-- Location: LCCOMB_X31_Y17_N22
\WideAnd1219~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1219~1_combout\ = (\led_flash_cnt[1219][6]~q\ & \led_flash_cnt[1219][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1219][6]~q\,
	datac => \led_flash_cnt[1219][5]~q\,
	combout => \WideAnd1219~1_combout\);

-- Location: LCCOMB_X31_Y17_N20
\WideAnd1219~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1219~0_combout\ = (\led_flash_cnt[1219][2]~q\ & (\led_flash_cnt[1219][3]~q\ & (\led_flash_cnt[1219][4]~q\ & \led_flash_cnt[1219][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1219][2]~q\,
	datab => \led_flash_cnt[1219][3]~q\,
	datac => \led_flash_cnt[1219][4]~q\,
	datad => \led_flash_cnt[1219][1]~q\,
	combout => \WideAnd1219~0_combout\);

-- Location: LCCOMB_X32_Y17_N14
\led_flash_cnt[1219][7]~43958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1219][7]~43958_combout\ = \led_flash_cnt[1219][7]~q\ $ (!\led_flash_cnt[1219][6]~43957\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1219][7]~q\,
	cin => \led_flash_cnt[1219][6]~43957\,
	combout => \led_flash_cnt[1219][7]~43958_combout\);

-- Location: FF_X32_Y17_N15
\led_flash_cnt[1219][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1219][7]~43958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1219][7]~q\);

-- Location: LCCOMB_X31_Y17_N30
WideAnd1219 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1219~combout\ = (\WideAnd1219~1_combout\ & (\WideAnd1219~0_combout\ & (\led_flash_cnt[1219][7]~q\ & \led_flash_cnt[1219][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1219~1_combout\,
	datab => \WideAnd1219~0_combout\,
	datac => \led_flash_cnt[1219][7]~q\,
	datad => \led_flash_cnt[1219][0]~q\,
	combout => \WideAnd1219~combout\);

-- Location: FF_X31_Y17_N31
\led_flash_cnt_ands[1219]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1219~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1219));

-- Location: LCCOMB_X26_Y15_N8
\led_flash_cnt[1216][0]~81856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1216][0]~81856_combout\ = !\led_flash_cnt[1216][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1216][0]~q\,
	combout => \led_flash_cnt[1216][0]~81856_combout\);

-- Location: FF_X26_Y15_N9
\led_flash_cnt[1216][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1216][0]~81856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1216][0]~q\);

-- Location: LCCOMB_X26_Y15_N10
\led_flash_cnt[1216][1]~43904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1216][1]~43904_combout\ = (\led_flash_cnt[1216][1]~q\ & (\led_flash_cnt[1216][0]~q\ $ (VCC))) # (!\led_flash_cnt[1216][1]~q\ & (\led_flash_cnt[1216][0]~q\ & VCC))
-- \led_flash_cnt[1216][1]~43905\ = CARRY((\led_flash_cnt[1216][1]~q\ & \led_flash_cnt[1216][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1216][1]~q\,
	datab => \led_flash_cnt[1216][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1216][1]~43904_combout\,
	cout => \led_flash_cnt[1216][1]~43905\);

-- Location: FF_X26_Y15_N11
\led_flash_cnt[1216][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1216][1]~43904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1216][1]~q\);

-- Location: LCCOMB_X26_Y15_N12
\led_flash_cnt[1216][2]~43906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1216][2]~43906_combout\ = (\led_flash_cnt[1216][2]~q\ & (!\led_flash_cnt[1216][1]~43905\)) # (!\led_flash_cnt[1216][2]~q\ & ((\led_flash_cnt[1216][1]~43905\) # (GND)))
-- \led_flash_cnt[1216][2]~43907\ = CARRY((!\led_flash_cnt[1216][1]~43905\) # (!\led_flash_cnt[1216][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1216][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1216][1]~43905\,
	combout => \led_flash_cnt[1216][2]~43906_combout\,
	cout => \led_flash_cnt[1216][2]~43907\);

-- Location: FF_X26_Y15_N13
\led_flash_cnt[1216][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1216][2]~43906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1216][2]~q\);

-- Location: LCCOMB_X26_Y15_N14
\led_flash_cnt[1216][3]~43908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1216][3]~43908_combout\ = (\led_flash_cnt[1216][3]~q\ & (\led_flash_cnt[1216][2]~43907\ $ (GND))) # (!\led_flash_cnt[1216][3]~q\ & (!\led_flash_cnt[1216][2]~43907\ & VCC))
-- \led_flash_cnt[1216][3]~43909\ = CARRY((\led_flash_cnt[1216][3]~q\ & !\led_flash_cnt[1216][2]~43907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1216][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1216][2]~43907\,
	combout => \led_flash_cnt[1216][3]~43908_combout\,
	cout => \led_flash_cnt[1216][3]~43909\);

-- Location: FF_X26_Y15_N15
\led_flash_cnt[1216][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1216][3]~43908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1216][3]~q\);

-- Location: LCCOMB_X26_Y15_N16
\led_flash_cnt[1216][4]~43910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1216][4]~43910_combout\ = (\led_flash_cnt[1216][4]~q\ & (!\led_flash_cnt[1216][3]~43909\)) # (!\led_flash_cnt[1216][4]~q\ & ((\led_flash_cnt[1216][3]~43909\) # (GND)))
-- \led_flash_cnt[1216][4]~43911\ = CARRY((!\led_flash_cnt[1216][3]~43909\) # (!\led_flash_cnt[1216][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1216][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1216][3]~43909\,
	combout => \led_flash_cnt[1216][4]~43910_combout\,
	cout => \led_flash_cnt[1216][4]~43911\);

-- Location: FF_X26_Y15_N17
\led_flash_cnt[1216][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1216][4]~43910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1216][4]~q\);

-- Location: LCCOMB_X26_Y15_N18
\led_flash_cnt[1216][5]~43912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1216][5]~43912_combout\ = (\led_flash_cnt[1216][5]~q\ & (\led_flash_cnt[1216][4]~43911\ $ (GND))) # (!\led_flash_cnt[1216][5]~q\ & (!\led_flash_cnt[1216][4]~43911\ & VCC))
-- \led_flash_cnt[1216][5]~43913\ = CARRY((\led_flash_cnt[1216][5]~q\ & !\led_flash_cnt[1216][4]~43911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1216][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1216][4]~43911\,
	combout => \led_flash_cnt[1216][5]~43912_combout\,
	cout => \led_flash_cnt[1216][5]~43913\);

-- Location: FF_X26_Y15_N19
\led_flash_cnt[1216][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1216][5]~43912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1216][5]~q\);

-- Location: LCCOMB_X26_Y15_N20
\led_flash_cnt[1216][6]~43914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1216][6]~43914_combout\ = (\led_flash_cnt[1216][6]~q\ & (!\led_flash_cnt[1216][5]~43913\)) # (!\led_flash_cnt[1216][6]~q\ & ((\led_flash_cnt[1216][5]~43913\) # (GND)))
-- \led_flash_cnt[1216][6]~43915\ = CARRY((!\led_flash_cnt[1216][5]~43913\) # (!\led_flash_cnt[1216][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1216][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1216][5]~43913\,
	combout => \led_flash_cnt[1216][6]~43914_combout\,
	cout => \led_flash_cnt[1216][6]~43915\);

-- Location: FF_X26_Y15_N21
\led_flash_cnt[1216][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1216][6]~43914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1216][6]~q\);

-- Location: LCCOMB_X26_Y15_N22
\led_flash_cnt[1216][7]~43916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1216][7]~43916_combout\ = \led_flash_cnt[1216][7]~q\ $ (!\led_flash_cnt[1216][6]~43915\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1216][7]~q\,
	cin => \led_flash_cnt[1216][6]~43915\,
	combout => \led_flash_cnt[1216][7]~43916_combout\);

-- Location: FF_X26_Y15_N23
\led_flash_cnt[1216][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1216][7]~43916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1216][7]~q\);

-- Location: LCCOMB_X26_Y15_N26
\WideAnd1216~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1216~1_combout\ = (\led_flash_cnt[1216][6]~q\ & \led_flash_cnt[1216][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1216][6]~q\,
	datad => \led_flash_cnt[1216][5]~q\,
	combout => \WideAnd1216~1_combout\);

-- Location: LCCOMB_X26_Y15_N2
\WideAnd1216~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1216~0_combout\ = (\led_flash_cnt[1216][2]~q\ & (\led_flash_cnt[1216][4]~q\ & (\led_flash_cnt[1216][3]~q\ & \led_flash_cnt[1216][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1216][2]~q\,
	datab => \led_flash_cnt[1216][4]~q\,
	datac => \led_flash_cnt[1216][3]~q\,
	datad => \led_flash_cnt[1216][1]~q\,
	combout => \WideAnd1216~0_combout\);

-- Location: LCCOMB_X26_Y15_N24
WideAnd1216 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1216~combout\ = (\led_flash_cnt[1216][7]~q\ & (\led_flash_cnt[1216][0]~q\ & (\WideAnd1216~1_combout\ & \WideAnd1216~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1216][7]~q\,
	datab => \led_flash_cnt[1216][0]~q\,
	datac => \WideAnd1216~1_combout\,
	datad => \WideAnd1216~0_combout\,
	combout => \WideAnd1216~combout\);

-- Location: FF_X26_Y15_N25
\led_flash_cnt_ands[1216]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1216~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1216));

-- Location: LCCOMB_X27_Y15_N4
\WideAnd3992~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3992~0_combout\ = (led_flash_cnt_ands(1218) & (led_flash_cnt_ands(1217) & (led_flash_cnt_ands(1219) & led_flash_cnt_ands(1216))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1218),
	datab => led_flash_cnt_ands(1217),
	datac => led_flash_cnt_ands(1219),
	datad => led_flash_cnt_ands(1216),
	combout => \WideAnd3992~0_combout\);

-- Location: LCCOMB_X20_Y17_N30
\led_flash_cnt[1222][0]~81862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1222][0]~81862_combout\ = !\led_flash_cnt[1222][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1222][0]~q\,
	combout => \led_flash_cnt[1222][0]~81862_combout\);

-- Location: FF_X20_Y17_N31
\led_flash_cnt[1222][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1222][0]~81862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1222][0]~q\);

-- Location: LCCOMB_X20_Y17_N0
\led_flash_cnt[1222][1]~43988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1222][1]~43988_combout\ = (\led_flash_cnt[1222][0]~q\ & (\led_flash_cnt[1222][1]~q\ $ (VCC))) # (!\led_flash_cnt[1222][0]~q\ & (\led_flash_cnt[1222][1]~q\ & VCC))
-- \led_flash_cnt[1222][1]~43989\ = CARRY((\led_flash_cnt[1222][0]~q\ & \led_flash_cnt[1222][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1222][0]~q\,
	datab => \led_flash_cnt[1222][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1222][1]~43988_combout\,
	cout => \led_flash_cnt[1222][1]~43989\);

-- Location: FF_X20_Y17_N1
\led_flash_cnt[1222][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1222][1]~43988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1222][1]~q\);

-- Location: LCCOMB_X20_Y17_N2
\led_flash_cnt[1222][2]~43990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1222][2]~43990_combout\ = (\led_flash_cnt[1222][2]~q\ & (!\led_flash_cnt[1222][1]~43989\)) # (!\led_flash_cnt[1222][2]~q\ & ((\led_flash_cnt[1222][1]~43989\) # (GND)))
-- \led_flash_cnt[1222][2]~43991\ = CARRY((!\led_flash_cnt[1222][1]~43989\) # (!\led_flash_cnt[1222][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1222][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1222][1]~43989\,
	combout => \led_flash_cnt[1222][2]~43990_combout\,
	cout => \led_flash_cnt[1222][2]~43991\);

-- Location: FF_X20_Y17_N3
\led_flash_cnt[1222][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1222][2]~43990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1222][2]~q\);

-- Location: LCCOMB_X20_Y17_N4
\led_flash_cnt[1222][3]~43992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1222][3]~43992_combout\ = (\led_flash_cnt[1222][3]~q\ & (\led_flash_cnt[1222][2]~43991\ $ (GND))) # (!\led_flash_cnt[1222][3]~q\ & (!\led_flash_cnt[1222][2]~43991\ & VCC))
-- \led_flash_cnt[1222][3]~43993\ = CARRY((\led_flash_cnt[1222][3]~q\ & !\led_flash_cnt[1222][2]~43991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1222][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1222][2]~43991\,
	combout => \led_flash_cnt[1222][3]~43992_combout\,
	cout => \led_flash_cnt[1222][3]~43993\);

-- Location: FF_X20_Y17_N5
\led_flash_cnt[1222][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1222][3]~43992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1222][3]~q\);

-- Location: LCCOMB_X20_Y17_N6
\led_flash_cnt[1222][4]~43994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1222][4]~43994_combout\ = (\led_flash_cnt[1222][4]~q\ & (!\led_flash_cnt[1222][3]~43993\)) # (!\led_flash_cnt[1222][4]~q\ & ((\led_flash_cnt[1222][3]~43993\) # (GND)))
-- \led_flash_cnt[1222][4]~43995\ = CARRY((!\led_flash_cnt[1222][3]~43993\) # (!\led_flash_cnt[1222][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1222][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1222][3]~43993\,
	combout => \led_flash_cnt[1222][4]~43994_combout\,
	cout => \led_flash_cnt[1222][4]~43995\);

-- Location: FF_X20_Y17_N7
\led_flash_cnt[1222][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1222][4]~43994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1222][4]~q\);

-- Location: LCCOMB_X20_Y17_N18
\WideAnd1222~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1222~0_combout\ = (\led_flash_cnt[1222][4]~q\ & (\led_flash_cnt[1222][1]~q\ & (\led_flash_cnt[1222][3]~q\ & \led_flash_cnt[1222][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1222][4]~q\,
	datab => \led_flash_cnt[1222][1]~q\,
	datac => \led_flash_cnt[1222][3]~q\,
	datad => \led_flash_cnt[1222][2]~q\,
	combout => \WideAnd1222~0_combout\);

-- Location: LCCOMB_X20_Y17_N8
\led_flash_cnt[1222][5]~43996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1222][5]~43996_combout\ = (\led_flash_cnt[1222][5]~q\ & (\led_flash_cnt[1222][4]~43995\ $ (GND))) # (!\led_flash_cnt[1222][5]~q\ & (!\led_flash_cnt[1222][4]~43995\ & VCC))
-- \led_flash_cnt[1222][5]~43997\ = CARRY((\led_flash_cnt[1222][5]~q\ & !\led_flash_cnt[1222][4]~43995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1222][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1222][4]~43995\,
	combout => \led_flash_cnt[1222][5]~43996_combout\,
	cout => \led_flash_cnt[1222][5]~43997\);

-- Location: FF_X20_Y17_N9
\led_flash_cnt[1222][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1222][5]~43996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1222][5]~q\);

-- Location: LCCOMB_X20_Y17_N10
\led_flash_cnt[1222][6]~43998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1222][6]~43998_combout\ = (\led_flash_cnt[1222][6]~q\ & (!\led_flash_cnt[1222][5]~43997\)) # (!\led_flash_cnt[1222][6]~q\ & ((\led_flash_cnt[1222][5]~43997\) # (GND)))
-- \led_flash_cnt[1222][6]~43999\ = CARRY((!\led_flash_cnt[1222][5]~43997\) # (!\led_flash_cnt[1222][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1222][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1222][5]~43997\,
	combout => \led_flash_cnt[1222][6]~43998_combout\,
	cout => \led_flash_cnt[1222][6]~43999\);

-- Location: FF_X20_Y17_N11
\led_flash_cnt[1222][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1222][6]~43998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1222][6]~q\);

-- Location: LCCOMB_X20_Y17_N14
\WideAnd1222~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1222~1_combout\ = (\led_flash_cnt[1222][5]~q\ & \led_flash_cnt[1222][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1222][5]~q\,
	datad => \led_flash_cnt[1222][6]~q\,
	combout => \WideAnd1222~1_combout\);

-- Location: LCCOMB_X20_Y17_N12
\led_flash_cnt[1222][7]~44000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1222][7]~44000_combout\ = \led_flash_cnt[1222][6]~43999\ $ (!\led_flash_cnt[1222][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1222][7]~q\,
	cin => \led_flash_cnt[1222][6]~43999\,
	combout => \led_flash_cnt[1222][7]~44000_combout\);

-- Location: FF_X20_Y17_N13
\led_flash_cnt[1222][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1222][7]~44000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1222][7]~q\);

-- Location: LCCOMB_X20_Y17_N20
WideAnd1222 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1222~combout\ = (\led_flash_cnt[1222][0]~q\ & (\WideAnd1222~0_combout\ & (\WideAnd1222~1_combout\ & \led_flash_cnt[1222][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1222][0]~q\,
	datab => \WideAnd1222~0_combout\,
	datac => \WideAnd1222~1_combout\,
	datad => \led_flash_cnt[1222][7]~q\,
	combout => \WideAnd1222~combout\);

-- Location: FF_X20_Y17_N21
\led_flash_cnt_ands[1222]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1222~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1222));

-- Location: LCCOMB_X22_Y11_N22
\led_flash_cnt[1220][0]~81860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1220][0]~81860_combout\ = !\led_flash_cnt[1220][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1220][0]~q\,
	combout => \led_flash_cnt[1220][0]~81860_combout\);

-- Location: FF_X22_Y11_N23
\led_flash_cnt[1220][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1220][0]~81860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1220][0]~q\);

-- Location: LCCOMB_X22_Y11_N2
\led_flash_cnt[1220][1]~43960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1220][1]~43960_combout\ = (\led_flash_cnt[1220][0]~q\ & (\led_flash_cnt[1220][1]~q\ $ (VCC))) # (!\led_flash_cnt[1220][0]~q\ & (\led_flash_cnt[1220][1]~q\ & VCC))
-- \led_flash_cnt[1220][1]~43961\ = CARRY((\led_flash_cnt[1220][0]~q\ & \led_flash_cnt[1220][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1220][0]~q\,
	datab => \led_flash_cnt[1220][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1220][1]~43960_combout\,
	cout => \led_flash_cnt[1220][1]~43961\);

-- Location: FF_X22_Y11_N3
\led_flash_cnt[1220][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1220][1]~43960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1220][1]~q\);

-- Location: LCCOMB_X22_Y11_N4
\led_flash_cnt[1220][2]~43962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1220][2]~43962_combout\ = (\led_flash_cnt[1220][2]~q\ & (!\led_flash_cnt[1220][1]~43961\)) # (!\led_flash_cnt[1220][2]~q\ & ((\led_flash_cnt[1220][1]~43961\) # (GND)))
-- \led_flash_cnt[1220][2]~43963\ = CARRY((!\led_flash_cnt[1220][1]~43961\) # (!\led_flash_cnt[1220][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1220][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1220][1]~43961\,
	combout => \led_flash_cnt[1220][2]~43962_combout\,
	cout => \led_flash_cnt[1220][2]~43963\);

-- Location: FF_X22_Y11_N5
\led_flash_cnt[1220][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1220][2]~43962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1220][2]~q\);

-- Location: LCCOMB_X22_Y11_N6
\led_flash_cnt[1220][3]~43964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1220][3]~43964_combout\ = (\led_flash_cnt[1220][3]~q\ & (\led_flash_cnt[1220][2]~43963\ $ (GND))) # (!\led_flash_cnt[1220][3]~q\ & (!\led_flash_cnt[1220][2]~43963\ & VCC))
-- \led_flash_cnt[1220][3]~43965\ = CARRY((\led_flash_cnt[1220][3]~q\ & !\led_flash_cnt[1220][2]~43963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1220][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1220][2]~43963\,
	combout => \led_flash_cnt[1220][3]~43964_combout\,
	cout => \led_flash_cnt[1220][3]~43965\);

-- Location: FF_X22_Y11_N7
\led_flash_cnt[1220][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1220][3]~43964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1220][3]~q\);

-- Location: LCCOMB_X22_Y11_N8
\led_flash_cnt[1220][4]~43966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1220][4]~43966_combout\ = (\led_flash_cnt[1220][4]~q\ & (!\led_flash_cnt[1220][3]~43965\)) # (!\led_flash_cnt[1220][4]~q\ & ((\led_flash_cnt[1220][3]~43965\) # (GND)))
-- \led_flash_cnt[1220][4]~43967\ = CARRY((!\led_flash_cnt[1220][3]~43965\) # (!\led_flash_cnt[1220][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1220][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1220][3]~43965\,
	combout => \led_flash_cnt[1220][4]~43966_combout\,
	cout => \led_flash_cnt[1220][4]~43967\);

-- Location: FF_X22_Y11_N9
\led_flash_cnt[1220][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1220][4]~43966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1220][4]~q\);

-- Location: LCCOMB_X22_Y11_N10
\led_flash_cnt[1220][5]~43968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1220][5]~43968_combout\ = (\led_flash_cnt[1220][5]~q\ & (\led_flash_cnt[1220][4]~43967\ $ (GND))) # (!\led_flash_cnt[1220][5]~q\ & (!\led_flash_cnt[1220][4]~43967\ & VCC))
-- \led_flash_cnt[1220][5]~43969\ = CARRY((\led_flash_cnt[1220][5]~q\ & !\led_flash_cnt[1220][4]~43967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1220][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1220][4]~43967\,
	combout => \led_flash_cnt[1220][5]~43968_combout\,
	cout => \led_flash_cnt[1220][5]~43969\);

-- Location: FF_X22_Y11_N11
\led_flash_cnt[1220][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1220][5]~43968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1220][5]~q\);

-- Location: LCCOMB_X22_Y11_N12
\led_flash_cnt[1220][6]~43970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1220][6]~43970_combout\ = (\led_flash_cnt[1220][6]~q\ & (!\led_flash_cnt[1220][5]~43969\)) # (!\led_flash_cnt[1220][6]~q\ & ((\led_flash_cnt[1220][5]~43969\) # (GND)))
-- \led_flash_cnt[1220][6]~43971\ = CARRY((!\led_flash_cnt[1220][5]~43969\) # (!\led_flash_cnt[1220][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1220][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1220][5]~43969\,
	combout => \led_flash_cnt[1220][6]~43970_combout\,
	cout => \led_flash_cnt[1220][6]~43971\);

-- Location: FF_X22_Y11_N13
\led_flash_cnt[1220][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1220][6]~43970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1220][6]~q\);

-- Location: LCCOMB_X22_Y11_N26
\WideAnd1220~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1220~1_combout\ = (\led_flash_cnt[1220][5]~q\ & \led_flash_cnt[1220][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1220][5]~q\,
	datad => \led_flash_cnt[1220][6]~q\,
	combout => \WideAnd1220~1_combout\);

-- Location: LCCOMB_X22_Y11_N14
\led_flash_cnt[1220][7]~43972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1220][7]~43972_combout\ = \led_flash_cnt[1220][7]~q\ $ (!\led_flash_cnt[1220][6]~43971\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1220][7]~q\,
	cin => \led_flash_cnt[1220][6]~43971\,
	combout => \led_flash_cnt[1220][7]~43972_combout\);

-- Location: FF_X22_Y11_N15
\led_flash_cnt[1220][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1220][7]~43972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1220][7]~q\);

-- Location: LCCOMB_X22_Y11_N18
\WideAnd1220~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1220~0_combout\ = (\led_flash_cnt[1220][3]~q\ & (\led_flash_cnt[1220][2]~q\ & (\led_flash_cnt[1220][4]~q\ & \led_flash_cnt[1220][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1220][3]~q\,
	datab => \led_flash_cnt[1220][2]~q\,
	datac => \led_flash_cnt[1220][4]~q\,
	datad => \led_flash_cnt[1220][1]~q\,
	combout => \WideAnd1220~0_combout\);

-- Location: LCCOMB_X22_Y11_N30
WideAnd1220 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1220~combout\ = (\WideAnd1220~1_combout\ & (\led_flash_cnt[1220][7]~q\ & (\led_flash_cnt[1220][0]~q\ & \WideAnd1220~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1220~1_combout\,
	datab => \led_flash_cnt[1220][7]~q\,
	datac => \led_flash_cnt[1220][0]~q\,
	datad => \WideAnd1220~0_combout\,
	combout => \WideAnd1220~combout\);

-- Location: FF_X22_Y11_N31
\led_flash_cnt_ands[1220]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1220~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1220));

-- Location: LCCOMB_X20_Y11_N6
\led_flash_cnt[1221][0]~81861\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1221][0]~81861_combout\ = !\led_flash_cnt[1221][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1221][0]~q\,
	combout => \led_flash_cnt[1221][0]~81861_combout\);

-- Location: FF_X20_Y11_N7
\led_flash_cnt[1221][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1221][0]~81861_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1221][0]~q\);

-- Location: LCCOMB_X21_Y11_N2
\led_flash_cnt[1221][1]~43974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1221][1]~43974_combout\ = (\led_flash_cnt[1221][0]~q\ & (\led_flash_cnt[1221][1]~q\ $ (VCC))) # (!\led_flash_cnt[1221][0]~q\ & (\led_flash_cnt[1221][1]~q\ & VCC))
-- \led_flash_cnt[1221][1]~43975\ = CARRY((\led_flash_cnt[1221][0]~q\ & \led_flash_cnt[1221][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1221][0]~q\,
	datab => \led_flash_cnt[1221][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1221][1]~43974_combout\,
	cout => \led_flash_cnt[1221][1]~43975\);

-- Location: FF_X21_Y11_N3
\led_flash_cnt[1221][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1221][1]~43974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1221][1]~q\);

-- Location: LCCOMB_X21_Y11_N4
\led_flash_cnt[1221][2]~43976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1221][2]~43976_combout\ = (\led_flash_cnt[1221][2]~q\ & (!\led_flash_cnt[1221][1]~43975\)) # (!\led_flash_cnt[1221][2]~q\ & ((\led_flash_cnt[1221][1]~43975\) # (GND)))
-- \led_flash_cnt[1221][2]~43977\ = CARRY((!\led_flash_cnt[1221][1]~43975\) # (!\led_flash_cnt[1221][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1221][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1221][1]~43975\,
	combout => \led_flash_cnt[1221][2]~43976_combout\,
	cout => \led_flash_cnt[1221][2]~43977\);

-- Location: FF_X21_Y11_N5
\led_flash_cnt[1221][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1221][2]~43976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1221][2]~q\);

-- Location: LCCOMB_X21_Y11_N6
\led_flash_cnt[1221][3]~43978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1221][3]~43978_combout\ = (\led_flash_cnt[1221][3]~q\ & (\led_flash_cnt[1221][2]~43977\ $ (GND))) # (!\led_flash_cnt[1221][3]~q\ & (!\led_flash_cnt[1221][2]~43977\ & VCC))
-- \led_flash_cnt[1221][3]~43979\ = CARRY((\led_flash_cnt[1221][3]~q\ & !\led_flash_cnt[1221][2]~43977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1221][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1221][2]~43977\,
	combout => \led_flash_cnt[1221][3]~43978_combout\,
	cout => \led_flash_cnt[1221][3]~43979\);

-- Location: FF_X21_Y11_N7
\led_flash_cnt[1221][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1221][3]~43978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1221][3]~q\);

-- Location: LCCOMB_X21_Y11_N8
\led_flash_cnt[1221][4]~43980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1221][4]~43980_combout\ = (\led_flash_cnt[1221][4]~q\ & (!\led_flash_cnt[1221][3]~43979\)) # (!\led_flash_cnt[1221][4]~q\ & ((\led_flash_cnt[1221][3]~43979\) # (GND)))
-- \led_flash_cnt[1221][4]~43981\ = CARRY((!\led_flash_cnt[1221][3]~43979\) # (!\led_flash_cnt[1221][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1221][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1221][3]~43979\,
	combout => \led_flash_cnt[1221][4]~43980_combout\,
	cout => \led_flash_cnt[1221][4]~43981\);

-- Location: FF_X21_Y11_N9
\led_flash_cnt[1221][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1221][4]~43980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1221][4]~q\);

-- Location: LCCOMB_X21_Y11_N0
\WideAnd1221~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1221~0_combout\ = (\led_flash_cnt[1221][3]~q\ & (\led_flash_cnt[1221][4]~q\ & (\led_flash_cnt[1221][2]~q\ & \led_flash_cnt[1221][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1221][3]~q\,
	datab => \led_flash_cnt[1221][4]~q\,
	datac => \led_flash_cnt[1221][2]~q\,
	datad => \led_flash_cnt[1221][1]~q\,
	combout => \WideAnd1221~0_combout\);

-- Location: LCCOMB_X21_Y11_N10
\led_flash_cnt[1221][5]~43982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1221][5]~43982_combout\ = (\led_flash_cnt[1221][5]~q\ & (\led_flash_cnt[1221][4]~43981\ $ (GND))) # (!\led_flash_cnt[1221][5]~q\ & (!\led_flash_cnt[1221][4]~43981\ & VCC))
-- \led_flash_cnt[1221][5]~43983\ = CARRY((\led_flash_cnt[1221][5]~q\ & !\led_flash_cnt[1221][4]~43981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1221][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1221][4]~43981\,
	combout => \led_flash_cnt[1221][5]~43982_combout\,
	cout => \led_flash_cnt[1221][5]~43983\);

-- Location: FF_X21_Y11_N11
\led_flash_cnt[1221][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1221][5]~43982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1221][5]~q\);

-- Location: LCCOMB_X21_Y11_N12
\led_flash_cnt[1221][6]~43984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1221][6]~43984_combout\ = (\led_flash_cnt[1221][6]~q\ & (!\led_flash_cnt[1221][5]~43983\)) # (!\led_flash_cnt[1221][6]~q\ & ((\led_flash_cnt[1221][5]~43983\) # (GND)))
-- \led_flash_cnt[1221][6]~43985\ = CARRY((!\led_flash_cnt[1221][5]~43983\) # (!\led_flash_cnt[1221][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1221][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1221][5]~43983\,
	combout => \led_flash_cnt[1221][6]~43984_combout\,
	cout => \led_flash_cnt[1221][6]~43985\);

-- Location: FF_X21_Y11_N13
\led_flash_cnt[1221][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1221][6]~43984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1221][6]~q\);

-- Location: LCCOMB_X22_Y11_N28
\WideAnd1221~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1221~1_combout\ = (\led_flash_cnt[1221][5]~q\ & \led_flash_cnt[1221][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1221][5]~q\,
	datad => \led_flash_cnt[1221][6]~q\,
	combout => \WideAnd1221~1_combout\);

-- Location: LCCOMB_X21_Y11_N14
\led_flash_cnt[1221][7]~43986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1221][7]~43986_combout\ = \led_flash_cnt[1221][7]~q\ $ (!\led_flash_cnt[1221][6]~43985\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1221][7]~q\,
	cin => \led_flash_cnt[1221][6]~43985\,
	combout => \led_flash_cnt[1221][7]~43986_combout\);

-- Location: FF_X21_Y11_N15
\led_flash_cnt[1221][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1221][7]~43986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1221][7]~q\);

-- Location: LCCOMB_X22_Y11_N0
WideAnd1221 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1221~combout\ = (\WideAnd1221~0_combout\ & (\WideAnd1221~1_combout\ & (\led_flash_cnt[1221][0]~q\ & \led_flash_cnt[1221][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1221~0_combout\,
	datab => \WideAnd1221~1_combout\,
	datac => \led_flash_cnt[1221][0]~q\,
	datad => \led_flash_cnt[1221][7]~q\,
	combout => \WideAnd1221~combout\);

-- Location: FF_X22_Y11_N1
\led_flash_cnt_ands[1221]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1221~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1221));

-- Location: LCCOMB_X22_Y11_N20
\WideAnd3992~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3992~1_combout\ = (led_flash_cnt_ands(1220) & led_flash_cnt_ands(1221))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1220),
	datad => led_flash_cnt_ands(1221),
	combout => \WideAnd3992~1_combout\);

-- Location: LCCOMB_X20_Y17_N26
\led_flash_cnt[1223][0]~81863\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1223][0]~81863_combout\ = !\led_flash_cnt[1223][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1223][0]~q\,
	combout => \led_flash_cnt[1223][0]~81863_combout\);

-- Location: FF_X20_Y17_N27
\led_flash_cnt[1223][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1223][0]~81863_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1223][0]~q\);

-- Location: LCCOMB_X21_Y17_N2
\led_flash_cnt[1223][1]~44002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1223][1]~44002_combout\ = (\led_flash_cnt[1223][0]~q\ & (\led_flash_cnt[1223][1]~q\ $ (VCC))) # (!\led_flash_cnt[1223][0]~q\ & (\led_flash_cnt[1223][1]~q\ & VCC))
-- \led_flash_cnt[1223][1]~44003\ = CARRY((\led_flash_cnt[1223][0]~q\ & \led_flash_cnt[1223][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1223][0]~q\,
	datab => \led_flash_cnt[1223][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1223][1]~44002_combout\,
	cout => \led_flash_cnt[1223][1]~44003\);

-- Location: FF_X21_Y17_N3
\led_flash_cnt[1223][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1223][1]~44002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1223][1]~q\);

-- Location: LCCOMB_X21_Y17_N4
\led_flash_cnt[1223][2]~44004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1223][2]~44004_combout\ = (\led_flash_cnt[1223][2]~q\ & (!\led_flash_cnt[1223][1]~44003\)) # (!\led_flash_cnt[1223][2]~q\ & ((\led_flash_cnt[1223][1]~44003\) # (GND)))
-- \led_flash_cnt[1223][2]~44005\ = CARRY((!\led_flash_cnt[1223][1]~44003\) # (!\led_flash_cnt[1223][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1223][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1223][1]~44003\,
	combout => \led_flash_cnt[1223][2]~44004_combout\,
	cout => \led_flash_cnt[1223][2]~44005\);

-- Location: FF_X21_Y17_N5
\led_flash_cnt[1223][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1223][2]~44004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1223][2]~q\);

-- Location: LCCOMB_X21_Y17_N6
\led_flash_cnt[1223][3]~44006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1223][3]~44006_combout\ = (\led_flash_cnt[1223][3]~q\ & (\led_flash_cnt[1223][2]~44005\ $ (GND))) # (!\led_flash_cnt[1223][3]~q\ & (!\led_flash_cnt[1223][2]~44005\ & VCC))
-- \led_flash_cnt[1223][3]~44007\ = CARRY((\led_flash_cnt[1223][3]~q\ & !\led_flash_cnt[1223][2]~44005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1223][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1223][2]~44005\,
	combout => \led_flash_cnt[1223][3]~44006_combout\,
	cout => \led_flash_cnt[1223][3]~44007\);

-- Location: FF_X21_Y17_N7
\led_flash_cnt[1223][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1223][3]~44006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1223][3]~q\);

-- Location: LCCOMB_X21_Y17_N8
\led_flash_cnt[1223][4]~44008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1223][4]~44008_combout\ = (\led_flash_cnt[1223][4]~q\ & (!\led_flash_cnt[1223][3]~44007\)) # (!\led_flash_cnt[1223][4]~q\ & ((\led_flash_cnt[1223][3]~44007\) # (GND)))
-- \led_flash_cnt[1223][4]~44009\ = CARRY((!\led_flash_cnt[1223][3]~44007\) # (!\led_flash_cnt[1223][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1223][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1223][3]~44007\,
	combout => \led_flash_cnt[1223][4]~44008_combout\,
	cout => \led_flash_cnt[1223][4]~44009\);

-- Location: FF_X21_Y17_N9
\led_flash_cnt[1223][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1223][4]~44008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1223][4]~q\);

-- Location: LCCOMB_X21_Y17_N10
\led_flash_cnt[1223][5]~44010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1223][5]~44010_combout\ = (\led_flash_cnt[1223][5]~q\ & (\led_flash_cnt[1223][4]~44009\ $ (GND))) # (!\led_flash_cnt[1223][5]~q\ & (!\led_flash_cnt[1223][4]~44009\ & VCC))
-- \led_flash_cnt[1223][5]~44011\ = CARRY((\led_flash_cnt[1223][5]~q\ & !\led_flash_cnt[1223][4]~44009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1223][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1223][4]~44009\,
	combout => \led_flash_cnt[1223][5]~44010_combout\,
	cout => \led_flash_cnt[1223][5]~44011\);

-- Location: FF_X21_Y17_N11
\led_flash_cnt[1223][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1223][5]~44010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1223][5]~q\);

-- Location: LCCOMB_X21_Y17_N12
\led_flash_cnt[1223][6]~44012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1223][6]~44012_combout\ = (\led_flash_cnt[1223][6]~q\ & (!\led_flash_cnt[1223][5]~44011\)) # (!\led_flash_cnt[1223][6]~q\ & ((\led_flash_cnt[1223][5]~44011\) # (GND)))
-- \led_flash_cnt[1223][6]~44013\ = CARRY((!\led_flash_cnt[1223][5]~44011\) # (!\led_flash_cnt[1223][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1223][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1223][5]~44011\,
	combout => \led_flash_cnt[1223][6]~44012_combout\,
	cout => \led_flash_cnt[1223][6]~44013\);

-- Location: FF_X21_Y17_N13
\led_flash_cnt[1223][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1223][6]~44012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1223][6]~q\);

-- Location: LCCOMB_X20_Y17_N22
\WideAnd1223~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1223~1_combout\ = (\led_flash_cnt[1223][6]~q\ & \led_flash_cnt[1223][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1223][6]~q\,
	datac => \led_flash_cnt[1223][5]~q\,
	combout => \WideAnd1223~1_combout\);

-- Location: LCCOMB_X21_Y17_N14
\led_flash_cnt[1223][7]~44014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1223][7]~44014_combout\ = \led_flash_cnt[1223][7]~q\ $ (!\led_flash_cnt[1223][6]~44013\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1223][7]~q\,
	cin => \led_flash_cnt[1223][6]~44013\,
	combout => \led_flash_cnt[1223][7]~44014_combout\);

-- Location: FF_X21_Y17_N15
\led_flash_cnt[1223][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1223][7]~44014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1223][7]~q\);

-- Location: LCCOMB_X21_Y17_N30
\WideAnd1223~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1223~0_combout\ = (\led_flash_cnt[1223][3]~q\ & (\led_flash_cnt[1223][2]~q\ & (\led_flash_cnt[1223][4]~q\ & \led_flash_cnt[1223][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1223][3]~q\,
	datab => \led_flash_cnt[1223][2]~q\,
	datac => \led_flash_cnt[1223][4]~q\,
	datad => \led_flash_cnt[1223][1]~q\,
	combout => \WideAnd1223~0_combout\);

-- Location: LCCOMB_X20_Y17_N24
WideAnd1223 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1223~combout\ = (\WideAnd1223~1_combout\ & (\led_flash_cnt[1223][7]~q\ & (\led_flash_cnt[1223][0]~q\ & \WideAnd1223~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1223~1_combout\,
	datab => \led_flash_cnt[1223][7]~q\,
	datac => \led_flash_cnt[1223][0]~q\,
	datad => \WideAnd1223~0_combout\,
	combout => \WideAnd1223~combout\);

-- Location: FF_X20_Y17_N25
\led_flash_cnt_ands[1223]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1223~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1223));

-- Location: LCCOMB_X20_Y17_N28
WideAnd3992 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3992~combout\ = (\WideAnd3992~0_combout\ & (led_flash_cnt_ands(1222) & (\WideAnd3992~1_combout\ & led_flash_cnt_ands(1223))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3992~0_combout\,
	datab => led_flash_cnt_ands(1222),
	datac => \WideAnd3992~1_combout\,
	datad => led_flash_cnt_ands(1223),
	combout => \WideAnd3992~combout\);

-- Location: FF_X20_Y17_N29
\led_flash_cnt_ands_1[152]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3992~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(152));

-- Location: LCCOMB_X20_Y17_N16
\WideAnd4339~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4339~0_combout\ = (led_flash_cnt_ands_1(155) & (led_flash_cnt_ands_1(154) & (led_flash_cnt_ands_1(153) & led_flash_cnt_ands_1(152))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(155),
	datab => led_flash_cnt_ands_1(154),
	datac => led_flash_cnt_ands_1(153),
	datad => led_flash_cnt_ands_1(152),
	combout => \WideAnd4339~0_combout\);

-- Location: LCCOMB_X22_Y15_N2
\led_flash_cnt[1275][0]~81915\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1275][0]~81915_combout\ = !\led_flash_cnt[1275][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1275][0]~q\,
	combout => \led_flash_cnt[1275][0]~81915_combout\);

-- Location: FF_X22_Y15_N3
\led_flash_cnt[1275][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1275][0]~81915_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1275][0]~q\);

-- Location: LCCOMB_X21_Y15_N16
\led_flash_cnt[1275][1]~44730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1275][1]~44730_combout\ = (\led_flash_cnt[1275][0]~q\ & (\led_flash_cnt[1275][1]~q\ $ (VCC))) # (!\led_flash_cnt[1275][0]~q\ & (\led_flash_cnt[1275][1]~q\ & VCC))
-- \led_flash_cnt[1275][1]~44731\ = CARRY((\led_flash_cnt[1275][0]~q\ & \led_flash_cnt[1275][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1275][0]~q\,
	datab => \led_flash_cnt[1275][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1275][1]~44730_combout\,
	cout => \led_flash_cnt[1275][1]~44731\);

-- Location: FF_X21_Y15_N17
\led_flash_cnt[1275][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1275][1]~44730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1275][1]~q\);

-- Location: LCCOMB_X21_Y15_N18
\led_flash_cnt[1275][2]~44732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1275][2]~44732_combout\ = (\led_flash_cnt[1275][2]~q\ & (!\led_flash_cnt[1275][1]~44731\)) # (!\led_flash_cnt[1275][2]~q\ & ((\led_flash_cnt[1275][1]~44731\) # (GND)))
-- \led_flash_cnt[1275][2]~44733\ = CARRY((!\led_flash_cnt[1275][1]~44731\) # (!\led_flash_cnt[1275][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1275][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1275][1]~44731\,
	combout => \led_flash_cnt[1275][2]~44732_combout\,
	cout => \led_flash_cnt[1275][2]~44733\);

-- Location: FF_X21_Y15_N19
\led_flash_cnt[1275][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1275][2]~44732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1275][2]~q\);

-- Location: LCCOMB_X21_Y15_N20
\led_flash_cnt[1275][3]~44734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1275][3]~44734_combout\ = (\led_flash_cnt[1275][3]~q\ & (\led_flash_cnt[1275][2]~44733\ $ (GND))) # (!\led_flash_cnt[1275][3]~q\ & (!\led_flash_cnt[1275][2]~44733\ & VCC))
-- \led_flash_cnt[1275][3]~44735\ = CARRY((\led_flash_cnt[1275][3]~q\ & !\led_flash_cnt[1275][2]~44733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1275][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1275][2]~44733\,
	combout => \led_flash_cnt[1275][3]~44734_combout\,
	cout => \led_flash_cnt[1275][3]~44735\);

-- Location: FF_X21_Y15_N21
\led_flash_cnt[1275][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1275][3]~44734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1275][3]~q\);

-- Location: LCCOMB_X21_Y15_N22
\led_flash_cnt[1275][4]~44736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1275][4]~44736_combout\ = (\led_flash_cnt[1275][4]~q\ & (!\led_flash_cnt[1275][3]~44735\)) # (!\led_flash_cnt[1275][4]~q\ & ((\led_flash_cnt[1275][3]~44735\) # (GND)))
-- \led_flash_cnt[1275][4]~44737\ = CARRY((!\led_flash_cnt[1275][3]~44735\) # (!\led_flash_cnt[1275][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1275][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1275][3]~44735\,
	combout => \led_flash_cnt[1275][4]~44736_combout\,
	cout => \led_flash_cnt[1275][4]~44737\);

-- Location: FF_X21_Y15_N23
\led_flash_cnt[1275][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1275][4]~44736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1275][4]~q\);

-- Location: LCCOMB_X21_Y15_N14
\WideAnd1275~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1275~0_combout\ = (\led_flash_cnt[1275][1]~q\ & (\led_flash_cnt[1275][2]~q\ & (\led_flash_cnt[1275][4]~q\ & \led_flash_cnt[1275][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1275][1]~q\,
	datab => \led_flash_cnt[1275][2]~q\,
	datac => \led_flash_cnt[1275][4]~q\,
	datad => \led_flash_cnt[1275][3]~q\,
	combout => \WideAnd1275~0_combout\);

-- Location: LCCOMB_X21_Y15_N24
\led_flash_cnt[1275][5]~44738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1275][5]~44738_combout\ = (\led_flash_cnt[1275][5]~q\ & (\led_flash_cnt[1275][4]~44737\ $ (GND))) # (!\led_flash_cnt[1275][5]~q\ & (!\led_flash_cnt[1275][4]~44737\ & VCC))
-- \led_flash_cnt[1275][5]~44739\ = CARRY((\led_flash_cnt[1275][5]~q\ & !\led_flash_cnt[1275][4]~44737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1275][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1275][4]~44737\,
	combout => \led_flash_cnt[1275][5]~44738_combout\,
	cout => \led_flash_cnt[1275][5]~44739\);

-- Location: FF_X21_Y15_N25
\led_flash_cnt[1275][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1275][5]~44738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1275][5]~q\);

-- Location: LCCOMB_X21_Y15_N26
\led_flash_cnt[1275][6]~44740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1275][6]~44740_combout\ = (\led_flash_cnt[1275][6]~q\ & (!\led_flash_cnt[1275][5]~44739\)) # (!\led_flash_cnt[1275][6]~q\ & ((\led_flash_cnt[1275][5]~44739\) # (GND)))
-- \led_flash_cnt[1275][6]~44741\ = CARRY((!\led_flash_cnt[1275][5]~44739\) # (!\led_flash_cnt[1275][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1275][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1275][5]~44739\,
	combout => \led_flash_cnt[1275][6]~44740_combout\,
	cout => \led_flash_cnt[1275][6]~44741\);

-- Location: FF_X21_Y15_N27
\led_flash_cnt[1275][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1275][6]~44740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1275][6]~q\);

-- Location: LCCOMB_X21_Y15_N28
\led_flash_cnt[1275][7]~44742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1275][7]~44742_combout\ = \led_flash_cnt[1275][6]~44741\ $ (!\led_flash_cnt[1275][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1275][7]~q\,
	cin => \led_flash_cnt[1275][6]~44741\,
	combout => \led_flash_cnt[1275][7]~44742_combout\);

-- Location: FF_X21_Y15_N29
\led_flash_cnt[1275][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1275][7]~44742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1275][7]~q\);

-- Location: LCCOMB_X22_Y15_N8
\WideAnd1275~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1275~1_combout\ = (\led_flash_cnt[1275][6]~q\ & \led_flash_cnt[1275][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1275][6]~q\,
	datad => \led_flash_cnt[1275][5]~q\,
	combout => \WideAnd1275~1_combout\);

-- Location: LCCOMB_X22_Y15_N30
WideAnd1275 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1275~combout\ = (\WideAnd1275~0_combout\ & (\led_flash_cnt[1275][7]~q\ & (\WideAnd1275~1_combout\ & \led_flash_cnt[1275][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1275~0_combout\,
	datab => \led_flash_cnt[1275][7]~q\,
	datac => \WideAnd1275~1_combout\,
	datad => \led_flash_cnt[1275][0]~q\,
	combout => \WideAnd1275~combout\);

-- Location: FF_X22_Y15_N31
\led_flash_cnt_ands[1275]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1275~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1275));

-- Location: LCCOMB_X29_Y14_N30
\led_flash_cnt[1274][0]~81914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1274][0]~81914_combout\ = !\led_flash_cnt[1274][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1274][0]~q\,
	combout => \led_flash_cnt[1274][0]~81914_combout\);

-- Location: FF_X29_Y14_N31
\led_flash_cnt[1274][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1274][0]~81914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1274][0]~q\);

-- Location: LCCOMB_X29_Y14_N2
\led_flash_cnt[1274][1]~44716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1274][1]~44716_combout\ = (\led_flash_cnt[1274][0]~q\ & (\led_flash_cnt[1274][1]~q\ $ (VCC))) # (!\led_flash_cnt[1274][0]~q\ & (\led_flash_cnt[1274][1]~q\ & VCC))
-- \led_flash_cnt[1274][1]~44717\ = CARRY((\led_flash_cnt[1274][0]~q\ & \led_flash_cnt[1274][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1274][0]~q\,
	datab => \led_flash_cnt[1274][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1274][1]~44716_combout\,
	cout => \led_flash_cnt[1274][1]~44717\);

-- Location: FF_X29_Y14_N3
\led_flash_cnt[1274][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1274][1]~44716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1274][1]~q\);

-- Location: LCCOMB_X29_Y14_N4
\led_flash_cnt[1274][2]~44718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1274][2]~44718_combout\ = (\led_flash_cnt[1274][2]~q\ & (!\led_flash_cnt[1274][1]~44717\)) # (!\led_flash_cnt[1274][2]~q\ & ((\led_flash_cnt[1274][1]~44717\) # (GND)))
-- \led_flash_cnt[1274][2]~44719\ = CARRY((!\led_flash_cnt[1274][1]~44717\) # (!\led_flash_cnt[1274][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1274][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1274][1]~44717\,
	combout => \led_flash_cnt[1274][2]~44718_combout\,
	cout => \led_flash_cnt[1274][2]~44719\);

-- Location: FF_X29_Y14_N5
\led_flash_cnt[1274][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1274][2]~44718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1274][2]~q\);

-- Location: LCCOMB_X29_Y14_N6
\led_flash_cnt[1274][3]~44720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1274][3]~44720_combout\ = (\led_flash_cnt[1274][3]~q\ & (\led_flash_cnt[1274][2]~44719\ $ (GND))) # (!\led_flash_cnt[1274][3]~q\ & (!\led_flash_cnt[1274][2]~44719\ & VCC))
-- \led_flash_cnt[1274][3]~44721\ = CARRY((\led_flash_cnt[1274][3]~q\ & !\led_flash_cnt[1274][2]~44719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1274][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1274][2]~44719\,
	combout => \led_flash_cnt[1274][3]~44720_combout\,
	cout => \led_flash_cnt[1274][3]~44721\);

-- Location: FF_X29_Y14_N7
\led_flash_cnt[1274][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1274][3]~44720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1274][3]~q\);

-- Location: LCCOMB_X29_Y14_N8
\led_flash_cnt[1274][4]~44722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1274][4]~44722_combout\ = (\led_flash_cnt[1274][4]~q\ & (!\led_flash_cnt[1274][3]~44721\)) # (!\led_flash_cnt[1274][4]~q\ & ((\led_flash_cnt[1274][3]~44721\) # (GND)))
-- \led_flash_cnt[1274][4]~44723\ = CARRY((!\led_flash_cnt[1274][3]~44721\) # (!\led_flash_cnt[1274][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1274][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1274][3]~44721\,
	combout => \led_flash_cnt[1274][4]~44722_combout\,
	cout => \led_flash_cnt[1274][4]~44723\);

-- Location: FF_X29_Y14_N9
\led_flash_cnt[1274][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1274][4]~44722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1274][4]~q\);

-- Location: LCCOMB_X29_Y14_N10
\led_flash_cnt[1274][5]~44724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1274][5]~44724_combout\ = (\led_flash_cnt[1274][5]~q\ & (\led_flash_cnt[1274][4]~44723\ $ (GND))) # (!\led_flash_cnt[1274][5]~q\ & (!\led_flash_cnt[1274][4]~44723\ & VCC))
-- \led_flash_cnt[1274][5]~44725\ = CARRY((\led_flash_cnt[1274][5]~q\ & !\led_flash_cnt[1274][4]~44723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1274][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1274][4]~44723\,
	combout => \led_flash_cnt[1274][5]~44724_combout\,
	cout => \led_flash_cnt[1274][5]~44725\);

-- Location: FF_X29_Y14_N11
\led_flash_cnt[1274][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1274][5]~44724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1274][5]~q\);

-- Location: LCCOMB_X29_Y14_N12
\led_flash_cnt[1274][6]~44726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1274][6]~44726_combout\ = (\led_flash_cnt[1274][6]~q\ & (!\led_flash_cnt[1274][5]~44725\)) # (!\led_flash_cnt[1274][6]~q\ & ((\led_flash_cnt[1274][5]~44725\) # (GND)))
-- \led_flash_cnt[1274][6]~44727\ = CARRY((!\led_flash_cnt[1274][5]~44725\) # (!\led_flash_cnt[1274][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1274][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1274][5]~44725\,
	combout => \led_flash_cnt[1274][6]~44726_combout\,
	cout => \led_flash_cnt[1274][6]~44727\);

-- Location: FF_X29_Y14_N13
\led_flash_cnt[1274][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1274][6]~44726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1274][6]~q\);

-- Location: LCCOMB_X29_Y14_N26
\WideAnd1274~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1274~1_combout\ = (\led_flash_cnt[1274][6]~q\ & \led_flash_cnt[1274][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1274][6]~q\,
	datad => \led_flash_cnt[1274][5]~q\,
	combout => \WideAnd1274~1_combout\);

-- Location: LCCOMB_X29_Y14_N14
\led_flash_cnt[1274][7]~44728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1274][7]~44728_combout\ = \led_flash_cnt[1274][7]~q\ $ (!\led_flash_cnt[1274][6]~44727\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1274][7]~q\,
	cin => \led_flash_cnt[1274][6]~44727\,
	combout => \led_flash_cnt[1274][7]~44728_combout\);

-- Location: FF_X29_Y14_N15
\led_flash_cnt[1274][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1274][7]~44728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1274][7]~q\);

-- Location: LCCOMB_X29_Y14_N28
\WideAnd1274~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1274~0_combout\ = (\led_flash_cnt[1274][0]~q\ & (\led_flash_cnt[1274][7]~q\ & (\led_flash_cnt[1274][4]~q\ & \led_flash_cnt[1274][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1274][0]~q\,
	datab => \led_flash_cnt[1274][7]~q\,
	datac => \led_flash_cnt[1274][4]~q\,
	datad => \led_flash_cnt[1274][1]~q\,
	combout => \WideAnd1274~0_combout\);

-- Location: LCCOMB_X29_Y14_N16
WideAnd1274 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1274~combout\ = (\WideAnd1274~1_combout\ & (\WideAnd1274~0_combout\ & (\led_flash_cnt[1274][2]~q\ & \led_flash_cnt[1274][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1274~1_combout\,
	datab => \WideAnd1274~0_combout\,
	datac => \led_flash_cnt[1274][2]~q\,
	datad => \led_flash_cnt[1274][3]~q\,
	combout => \WideAnd1274~combout\);

-- Location: FF_X29_Y14_N17
\led_flash_cnt_ands[1274]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1274~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1274));

-- Location: LCCOMB_X38_Y17_N28
\led_flash_cnt[1273][0]~81913\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1273][0]~81913_combout\ = !\led_flash_cnt[1273][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1273][0]~q\,
	combout => \led_flash_cnt[1273][0]~81913_combout\);

-- Location: FF_X38_Y17_N29
\led_flash_cnt[1273][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1273][0]~81913_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1273][0]~q\);

-- Location: LCCOMB_X37_Y17_N10
\led_flash_cnt[1273][1]~44702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1273][1]~44702_combout\ = (\led_flash_cnt[1273][1]~q\ & (\led_flash_cnt[1273][0]~q\ $ (VCC))) # (!\led_flash_cnt[1273][1]~q\ & (\led_flash_cnt[1273][0]~q\ & VCC))
-- \led_flash_cnt[1273][1]~44703\ = CARRY((\led_flash_cnt[1273][1]~q\ & \led_flash_cnt[1273][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1273][1]~q\,
	datab => \led_flash_cnt[1273][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1273][1]~44702_combout\,
	cout => \led_flash_cnt[1273][1]~44703\);

-- Location: FF_X37_Y17_N11
\led_flash_cnt[1273][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1273][1]~44702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1273][1]~q\);

-- Location: LCCOMB_X37_Y17_N12
\led_flash_cnt[1273][2]~44704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1273][2]~44704_combout\ = (\led_flash_cnt[1273][2]~q\ & (!\led_flash_cnt[1273][1]~44703\)) # (!\led_flash_cnt[1273][2]~q\ & ((\led_flash_cnt[1273][1]~44703\) # (GND)))
-- \led_flash_cnt[1273][2]~44705\ = CARRY((!\led_flash_cnt[1273][1]~44703\) # (!\led_flash_cnt[1273][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1273][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1273][1]~44703\,
	combout => \led_flash_cnt[1273][2]~44704_combout\,
	cout => \led_flash_cnt[1273][2]~44705\);

-- Location: FF_X37_Y17_N13
\led_flash_cnt[1273][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1273][2]~44704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1273][2]~q\);

-- Location: LCCOMB_X37_Y17_N14
\led_flash_cnt[1273][3]~44706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1273][3]~44706_combout\ = (\led_flash_cnt[1273][3]~q\ & (\led_flash_cnt[1273][2]~44705\ $ (GND))) # (!\led_flash_cnt[1273][3]~q\ & (!\led_flash_cnt[1273][2]~44705\ & VCC))
-- \led_flash_cnt[1273][3]~44707\ = CARRY((\led_flash_cnt[1273][3]~q\ & !\led_flash_cnt[1273][2]~44705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1273][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1273][2]~44705\,
	combout => \led_flash_cnt[1273][3]~44706_combout\,
	cout => \led_flash_cnt[1273][3]~44707\);

-- Location: FF_X37_Y17_N15
\led_flash_cnt[1273][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1273][3]~44706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1273][3]~q\);

-- Location: LCCOMB_X37_Y17_N16
\led_flash_cnt[1273][4]~44708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1273][4]~44708_combout\ = (\led_flash_cnt[1273][4]~q\ & (!\led_flash_cnt[1273][3]~44707\)) # (!\led_flash_cnt[1273][4]~q\ & ((\led_flash_cnt[1273][3]~44707\) # (GND)))
-- \led_flash_cnt[1273][4]~44709\ = CARRY((!\led_flash_cnt[1273][3]~44707\) # (!\led_flash_cnt[1273][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1273][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1273][3]~44707\,
	combout => \led_flash_cnt[1273][4]~44708_combout\,
	cout => \led_flash_cnt[1273][4]~44709\);

-- Location: FF_X37_Y17_N17
\led_flash_cnt[1273][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1273][4]~44708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1273][4]~q\);

-- Location: LCCOMB_X37_Y17_N26
\WideAnd1273~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1273~0_combout\ = (\led_flash_cnt[1273][1]~q\ & (\led_flash_cnt[1273][4]~q\ & (\led_flash_cnt[1273][3]~q\ & \led_flash_cnt[1273][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1273][1]~q\,
	datab => \led_flash_cnt[1273][4]~q\,
	datac => \led_flash_cnt[1273][3]~q\,
	datad => \led_flash_cnt[1273][2]~q\,
	combout => \WideAnd1273~0_combout\);

-- Location: LCCOMB_X37_Y17_N18
\led_flash_cnt[1273][5]~44710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1273][5]~44710_combout\ = (\led_flash_cnt[1273][5]~q\ & (\led_flash_cnt[1273][4]~44709\ $ (GND))) # (!\led_flash_cnt[1273][5]~q\ & (!\led_flash_cnt[1273][4]~44709\ & VCC))
-- \led_flash_cnt[1273][5]~44711\ = CARRY((\led_flash_cnt[1273][5]~q\ & !\led_flash_cnt[1273][4]~44709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1273][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1273][4]~44709\,
	combout => \led_flash_cnt[1273][5]~44710_combout\,
	cout => \led_flash_cnt[1273][5]~44711\);

-- Location: FF_X37_Y17_N19
\led_flash_cnt[1273][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1273][5]~44710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1273][5]~q\);

-- Location: LCCOMB_X37_Y17_N20
\led_flash_cnt[1273][6]~44712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1273][6]~44712_combout\ = (\led_flash_cnt[1273][6]~q\ & (!\led_flash_cnt[1273][5]~44711\)) # (!\led_flash_cnt[1273][6]~q\ & ((\led_flash_cnt[1273][5]~44711\) # (GND)))
-- \led_flash_cnt[1273][6]~44713\ = CARRY((!\led_flash_cnt[1273][5]~44711\) # (!\led_flash_cnt[1273][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1273][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1273][5]~44711\,
	combout => \led_flash_cnt[1273][6]~44712_combout\,
	cout => \led_flash_cnt[1273][6]~44713\);

-- Location: FF_X37_Y17_N21
\led_flash_cnt[1273][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1273][6]~44712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1273][6]~q\);

-- Location: LCCOMB_X37_Y17_N0
\WideAnd1273~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1273~1_combout\ = (\led_flash_cnt[1273][6]~q\ & \led_flash_cnt[1273][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1273][6]~q\,
	datac => \led_flash_cnt[1273][5]~q\,
	combout => \WideAnd1273~1_combout\);

-- Location: LCCOMB_X37_Y17_N22
\led_flash_cnt[1273][7]~44714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1273][7]~44714_combout\ = \led_flash_cnt[1273][7]~q\ $ (!\led_flash_cnt[1273][6]~44713\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1273][7]~q\,
	cin => \led_flash_cnt[1273][6]~44713\,
	combout => \led_flash_cnt[1273][7]~44714_combout\);

-- Location: FF_X37_Y17_N23
\led_flash_cnt[1273][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1273][7]~44714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1273][7]~q\);

-- Location: LCCOMB_X37_Y17_N4
WideAnd1273 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1273~combout\ = (\WideAnd1273~0_combout\ & (\WideAnd1273~1_combout\ & (\led_flash_cnt[1273][7]~q\ & \led_flash_cnt[1273][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1273~0_combout\,
	datab => \WideAnd1273~1_combout\,
	datac => \led_flash_cnt[1273][7]~q\,
	datad => \led_flash_cnt[1273][0]~q\,
	combout => \WideAnd1273~combout\);

-- Location: FF_X37_Y17_N5
\led_flash_cnt_ands[1273]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1273~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1273));

-- Location: LCCOMB_X29_Y14_N20
\led_flash_cnt[1272][0]~81912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1272][0]~81912_combout\ = !\led_flash_cnt[1272][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1272][0]~q\,
	combout => \led_flash_cnt[1272][0]~81912_combout\);

-- Location: FF_X29_Y14_N21
\led_flash_cnt[1272][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1272][0]~81912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1272][0]~q\);

-- Location: LCCOMB_X29_Y11_N18
\led_flash_cnt[1272][1]~44688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1272][1]~44688_combout\ = (\led_flash_cnt[1272][0]~q\ & (\led_flash_cnt[1272][1]~q\ $ (VCC))) # (!\led_flash_cnt[1272][0]~q\ & (\led_flash_cnt[1272][1]~q\ & VCC))
-- \led_flash_cnt[1272][1]~44689\ = CARRY((\led_flash_cnt[1272][0]~q\ & \led_flash_cnt[1272][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1272][0]~q\,
	datab => \led_flash_cnt[1272][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1272][1]~44688_combout\,
	cout => \led_flash_cnt[1272][1]~44689\);

-- Location: FF_X29_Y11_N19
\led_flash_cnt[1272][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1272][1]~44688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1272][1]~q\);

-- Location: LCCOMB_X29_Y11_N20
\led_flash_cnt[1272][2]~44690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1272][2]~44690_combout\ = (\led_flash_cnt[1272][2]~q\ & (!\led_flash_cnt[1272][1]~44689\)) # (!\led_flash_cnt[1272][2]~q\ & ((\led_flash_cnt[1272][1]~44689\) # (GND)))
-- \led_flash_cnt[1272][2]~44691\ = CARRY((!\led_flash_cnt[1272][1]~44689\) # (!\led_flash_cnt[1272][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1272][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1272][1]~44689\,
	combout => \led_flash_cnt[1272][2]~44690_combout\,
	cout => \led_flash_cnt[1272][2]~44691\);

-- Location: FF_X29_Y11_N21
\led_flash_cnt[1272][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1272][2]~44690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1272][2]~q\);

-- Location: LCCOMB_X29_Y11_N22
\led_flash_cnt[1272][3]~44692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1272][3]~44692_combout\ = (\led_flash_cnt[1272][3]~q\ & (\led_flash_cnt[1272][2]~44691\ $ (GND))) # (!\led_flash_cnt[1272][3]~q\ & (!\led_flash_cnt[1272][2]~44691\ & VCC))
-- \led_flash_cnt[1272][3]~44693\ = CARRY((\led_flash_cnt[1272][3]~q\ & !\led_flash_cnt[1272][2]~44691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1272][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1272][2]~44691\,
	combout => \led_flash_cnt[1272][3]~44692_combout\,
	cout => \led_flash_cnt[1272][3]~44693\);

-- Location: FF_X29_Y11_N23
\led_flash_cnt[1272][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1272][3]~44692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1272][3]~q\);

-- Location: LCCOMB_X29_Y11_N24
\led_flash_cnt[1272][4]~44694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1272][4]~44694_combout\ = (\led_flash_cnt[1272][4]~q\ & (!\led_flash_cnt[1272][3]~44693\)) # (!\led_flash_cnt[1272][4]~q\ & ((\led_flash_cnt[1272][3]~44693\) # (GND)))
-- \led_flash_cnt[1272][4]~44695\ = CARRY((!\led_flash_cnt[1272][3]~44693\) # (!\led_flash_cnt[1272][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1272][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1272][3]~44693\,
	combout => \led_flash_cnt[1272][4]~44694_combout\,
	cout => \led_flash_cnt[1272][4]~44695\);

-- Location: FF_X29_Y11_N25
\led_flash_cnt[1272][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1272][4]~44694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1272][4]~q\);

-- Location: LCCOMB_X29_Y11_N26
\led_flash_cnt[1272][5]~44696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1272][5]~44696_combout\ = (\led_flash_cnt[1272][5]~q\ & (\led_flash_cnt[1272][4]~44695\ $ (GND))) # (!\led_flash_cnt[1272][5]~q\ & (!\led_flash_cnt[1272][4]~44695\ & VCC))
-- \led_flash_cnt[1272][5]~44697\ = CARRY((\led_flash_cnt[1272][5]~q\ & !\led_flash_cnt[1272][4]~44695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1272][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1272][4]~44695\,
	combout => \led_flash_cnt[1272][5]~44696_combout\,
	cout => \led_flash_cnt[1272][5]~44697\);

-- Location: FF_X29_Y11_N27
\led_flash_cnt[1272][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1272][5]~44696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1272][5]~q\);

-- Location: LCCOMB_X29_Y11_N28
\led_flash_cnt[1272][6]~44698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1272][6]~44698_combout\ = (\led_flash_cnt[1272][6]~q\ & (!\led_flash_cnt[1272][5]~44697\)) # (!\led_flash_cnt[1272][6]~q\ & ((\led_flash_cnt[1272][5]~44697\) # (GND)))
-- \led_flash_cnt[1272][6]~44699\ = CARRY((!\led_flash_cnt[1272][5]~44697\) # (!\led_flash_cnt[1272][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1272][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1272][5]~44697\,
	combout => \led_flash_cnt[1272][6]~44698_combout\,
	cout => \led_flash_cnt[1272][6]~44699\);

-- Location: FF_X29_Y11_N29
\led_flash_cnt[1272][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1272][6]~44698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1272][6]~q\);

-- Location: LCCOMB_X29_Y14_N22
\WideAnd1272~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1272~1_combout\ = (\led_flash_cnt[1272][5]~q\ & \led_flash_cnt[1272][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1272][5]~q\,
	datac => \led_flash_cnt[1272][6]~q\,
	combout => \WideAnd1272~1_combout\);

-- Location: LCCOMB_X30_Y11_N6
\WideAnd1272~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1272~0_combout\ = (\led_flash_cnt[1272][4]~q\ & (\led_flash_cnt[1272][3]~q\ & (\led_flash_cnt[1272][1]~q\ & \led_flash_cnt[1272][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1272][4]~q\,
	datab => \led_flash_cnt[1272][3]~q\,
	datac => \led_flash_cnt[1272][1]~q\,
	datad => \led_flash_cnt[1272][2]~q\,
	combout => \WideAnd1272~0_combout\);

-- Location: LCCOMB_X29_Y11_N30
\led_flash_cnt[1272][7]~44700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1272][7]~44700_combout\ = \led_flash_cnt[1272][7]~q\ $ (!\led_flash_cnt[1272][6]~44699\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1272][7]~q\,
	cin => \led_flash_cnt[1272][6]~44699\,
	combout => \led_flash_cnt[1272][7]~44700_combout\);

-- Location: FF_X29_Y11_N31
\led_flash_cnt[1272][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1272][7]~44700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1272][7]~q\);

-- Location: LCCOMB_X29_Y14_N18
WideAnd1272 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1272~combout\ = (\WideAnd1272~1_combout\ & (\led_flash_cnt[1272][0]~q\ & (\WideAnd1272~0_combout\ & \led_flash_cnt[1272][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1272~1_combout\,
	datab => \led_flash_cnt[1272][0]~q\,
	datac => \WideAnd1272~0_combout\,
	datad => \led_flash_cnt[1272][7]~q\,
	combout => \WideAnd1272~combout\);

-- Location: FF_X29_Y14_N19
\led_flash_cnt_ands[1272]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1272~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1272));

-- Location: LCCOMB_X29_Y14_N0
\WideAnd3999~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3999~0_combout\ = (led_flash_cnt_ands(1275) & (led_flash_cnt_ands(1274) & (led_flash_cnt_ands(1273) & led_flash_cnt_ands(1272))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1275),
	datab => led_flash_cnt_ands(1274),
	datac => led_flash_cnt_ands(1273),
	datad => led_flash_cnt_ands(1272),
	combout => \WideAnd3999~0_combout\);

-- Location: LCCOMB_X24_Y22_N30
\led_flash_cnt[1276][0]~81916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1276][0]~81916_combout\ = !\led_flash_cnt[1276][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1276][0]~q\,
	combout => \led_flash_cnt[1276][0]~81916_combout\);

-- Location: FF_X24_Y22_N31
\led_flash_cnt[1276][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1276][0]~81916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1276][0]~q\);

-- Location: LCCOMB_X24_Y22_N16
\led_flash_cnt[1276][1]~44744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1276][1]~44744_combout\ = (\led_flash_cnt[1276][0]~q\ & (\led_flash_cnt[1276][1]~q\ $ (VCC))) # (!\led_flash_cnt[1276][0]~q\ & (\led_flash_cnt[1276][1]~q\ & VCC))
-- \led_flash_cnt[1276][1]~44745\ = CARRY((\led_flash_cnt[1276][0]~q\ & \led_flash_cnt[1276][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1276][0]~q\,
	datab => \led_flash_cnt[1276][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1276][1]~44744_combout\,
	cout => \led_flash_cnt[1276][1]~44745\);

-- Location: FF_X24_Y22_N17
\led_flash_cnt[1276][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1276][1]~44744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1276][1]~q\);

-- Location: LCCOMB_X24_Y22_N18
\led_flash_cnt[1276][2]~44746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1276][2]~44746_combout\ = (\led_flash_cnt[1276][2]~q\ & (!\led_flash_cnt[1276][1]~44745\)) # (!\led_flash_cnt[1276][2]~q\ & ((\led_flash_cnt[1276][1]~44745\) # (GND)))
-- \led_flash_cnt[1276][2]~44747\ = CARRY((!\led_flash_cnt[1276][1]~44745\) # (!\led_flash_cnt[1276][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1276][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1276][1]~44745\,
	combout => \led_flash_cnt[1276][2]~44746_combout\,
	cout => \led_flash_cnt[1276][2]~44747\);

-- Location: FF_X24_Y22_N19
\led_flash_cnt[1276][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1276][2]~44746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1276][2]~q\);

-- Location: LCCOMB_X24_Y22_N20
\led_flash_cnt[1276][3]~44748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1276][3]~44748_combout\ = (\led_flash_cnt[1276][3]~q\ & (\led_flash_cnt[1276][2]~44747\ $ (GND))) # (!\led_flash_cnt[1276][3]~q\ & (!\led_flash_cnt[1276][2]~44747\ & VCC))
-- \led_flash_cnt[1276][3]~44749\ = CARRY((\led_flash_cnt[1276][3]~q\ & !\led_flash_cnt[1276][2]~44747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1276][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1276][2]~44747\,
	combout => \led_flash_cnt[1276][3]~44748_combout\,
	cout => \led_flash_cnt[1276][3]~44749\);

-- Location: FF_X24_Y22_N21
\led_flash_cnt[1276][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1276][3]~44748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1276][3]~q\);

-- Location: LCCOMB_X24_Y22_N22
\led_flash_cnt[1276][4]~44750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1276][4]~44750_combout\ = (\led_flash_cnt[1276][4]~q\ & (!\led_flash_cnt[1276][3]~44749\)) # (!\led_flash_cnt[1276][4]~q\ & ((\led_flash_cnt[1276][3]~44749\) # (GND)))
-- \led_flash_cnt[1276][4]~44751\ = CARRY((!\led_flash_cnt[1276][3]~44749\) # (!\led_flash_cnt[1276][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1276][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1276][3]~44749\,
	combout => \led_flash_cnt[1276][4]~44750_combout\,
	cout => \led_flash_cnt[1276][4]~44751\);

-- Location: FF_X24_Y22_N23
\led_flash_cnt[1276][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1276][4]~44750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1276][4]~q\);

-- Location: LCCOMB_X24_Y22_N12
\WideAnd1276~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1276~0_combout\ = (\led_flash_cnt[1276][1]~q\ & (\led_flash_cnt[1276][2]~q\ & (\led_flash_cnt[1276][4]~q\ & \led_flash_cnt[1276][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1276][1]~q\,
	datab => \led_flash_cnt[1276][2]~q\,
	datac => \led_flash_cnt[1276][4]~q\,
	datad => \led_flash_cnt[1276][3]~q\,
	combout => \WideAnd1276~0_combout\);

-- Location: LCCOMB_X24_Y22_N24
\led_flash_cnt[1276][5]~44752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1276][5]~44752_combout\ = (\led_flash_cnt[1276][5]~q\ & (\led_flash_cnt[1276][4]~44751\ $ (GND))) # (!\led_flash_cnt[1276][5]~q\ & (!\led_flash_cnt[1276][4]~44751\ & VCC))
-- \led_flash_cnt[1276][5]~44753\ = CARRY((\led_flash_cnt[1276][5]~q\ & !\led_flash_cnt[1276][4]~44751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1276][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1276][4]~44751\,
	combout => \led_flash_cnt[1276][5]~44752_combout\,
	cout => \led_flash_cnt[1276][5]~44753\);

-- Location: FF_X24_Y22_N25
\led_flash_cnt[1276][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1276][5]~44752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1276][5]~q\);

-- Location: LCCOMB_X24_Y22_N26
\led_flash_cnt[1276][6]~44754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1276][6]~44754_combout\ = (\led_flash_cnt[1276][6]~q\ & (!\led_flash_cnt[1276][5]~44753\)) # (!\led_flash_cnt[1276][6]~q\ & ((\led_flash_cnt[1276][5]~44753\) # (GND)))
-- \led_flash_cnt[1276][6]~44755\ = CARRY((!\led_flash_cnt[1276][5]~44753\) # (!\led_flash_cnt[1276][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1276][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1276][5]~44753\,
	combout => \led_flash_cnt[1276][6]~44754_combout\,
	cout => \led_flash_cnt[1276][6]~44755\);

-- Location: FF_X24_Y22_N27
\led_flash_cnt[1276][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1276][6]~44754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1276][6]~q\);

-- Location: LCCOMB_X24_Y22_N28
\led_flash_cnt[1276][7]~44756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1276][7]~44756_combout\ = \led_flash_cnt[1276][6]~44755\ $ (!\led_flash_cnt[1276][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1276][7]~q\,
	cin => \led_flash_cnt[1276][6]~44755\,
	combout => \led_flash_cnt[1276][7]~44756_combout\);

-- Location: FF_X24_Y22_N29
\led_flash_cnt[1276][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1276][7]~44756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1276][7]~q\);

-- Location: LCCOMB_X24_Y22_N2
\WideAnd1276~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1276~1_combout\ = (\led_flash_cnt[1276][6]~q\ & \led_flash_cnt[1276][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1276][6]~q\,
	datad => \led_flash_cnt[1276][5]~q\,
	combout => \WideAnd1276~1_combout\);

-- Location: LCCOMB_X24_Y22_N14
WideAnd1276 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1276~combout\ = (\WideAnd1276~0_combout\ & (\led_flash_cnt[1276][7]~q\ & (\led_flash_cnt[1276][0]~q\ & \WideAnd1276~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1276~0_combout\,
	datab => \led_flash_cnt[1276][7]~q\,
	datac => \led_flash_cnt[1276][0]~q\,
	datad => \WideAnd1276~1_combout\,
	combout => \WideAnd1276~combout\);

-- Location: FF_X24_Y22_N15
\led_flash_cnt_ands[1276]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1276~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1276));

-- Location: LCCOMB_X26_Y20_N28
\led_flash_cnt[1277][0]~81917\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1277][0]~81917_combout\ = !\led_flash_cnt[1277][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1277][0]~q\,
	combout => \led_flash_cnt[1277][0]~81917_combout\);

-- Location: FF_X26_Y20_N29
\led_flash_cnt[1277][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1277][0]~81917_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1277][0]~q\);

-- Location: LCCOMB_X24_Y20_N14
\led_flash_cnt[1277][1]~44758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1277][1]~44758_combout\ = (\led_flash_cnt[1277][0]~q\ & (\led_flash_cnt[1277][1]~q\ $ (VCC))) # (!\led_flash_cnt[1277][0]~q\ & (\led_flash_cnt[1277][1]~q\ & VCC))
-- \led_flash_cnt[1277][1]~44759\ = CARRY((\led_flash_cnt[1277][0]~q\ & \led_flash_cnt[1277][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1277][0]~q\,
	datab => \led_flash_cnt[1277][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1277][1]~44758_combout\,
	cout => \led_flash_cnt[1277][1]~44759\);

-- Location: FF_X24_Y20_N15
\led_flash_cnt[1277][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1277][1]~44758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1277][1]~q\);

-- Location: LCCOMB_X24_Y20_N16
\led_flash_cnt[1277][2]~44760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1277][2]~44760_combout\ = (\led_flash_cnt[1277][2]~q\ & (!\led_flash_cnt[1277][1]~44759\)) # (!\led_flash_cnt[1277][2]~q\ & ((\led_flash_cnt[1277][1]~44759\) # (GND)))
-- \led_flash_cnt[1277][2]~44761\ = CARRY((!\led_flash_cnt[1277][1]~44759\) # (!\led_flash_cnt[1277][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1277][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1277][1]~44759\,
	combout => \led_flash_cnt[1277][2]~44760_combout\,
	cout => \led_flash_cnt[1277][2]~44761\);

-- Location: FF_X24_Y20_N17
\led_flash_cnt[1277][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1277][2]~44760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1277][2]~q\);

-- Location: LCCOMB_X24_Y20_N18
\led_flash_cnt[1277][3]~44762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1277][3]~44762_combout\ = (\led_flash_cnt[1277][3]~q\ & (\led_flash_cnt[1277][2]~44761\ $ (GND))) # (!\led_flash_cnt[1277][3]~q\ & (!\led_flash_cnt[1277][2]~44761\ & VCC))
-- \led_flash_cnt[1277][3]~44763\ = CARRY((\led_flash_cnt[1277][3]~q\ & !\led_flash_cnt[1277][2]~44761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1277][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1277][2]~44761\,
	combout => \led_flash_cnt[1277][3]~44762_combout\,
	cout => \led_flash_cnt[1277][3]~44763\);

-- Location: FF_X24_Y20_N19
\led_flash_cnt[1277][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1277][3]~44762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1277][3]~q\);

-- Location: LCCOMB_X24_Y20_N20
\led_flash_cnt[1277][4]~44764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1277][4]~44764_combout\ = (\led_flash_cnt[1277][4]~q\ & (!\led_flash_cnt[1277][3]~44763\)) # (!\led_flash_cnt[1277][4]~q\ & ((\led_flash_cnt[1277][3]~44763\) # (GND)))
-- \led_flash_cnt[1277][4]~44765\ = CARRY((!\led_flash_cnt[1277][3]~44763\) # (!\led_flash_cnt[1277][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1277][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1277][3]~44763\,
	combout => \led_flash_cnt[1277][4]~44764_combout\,
	cout => \led_flash_cnt[1277][4]~44765\);

-- Location: FF_X24_Y20_N21
\led_flash_cnt[1277][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1277][4]~44764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1277][4]~q\);

-- Location: LCCOMB_X24_Y20_N28
\WideAnd1277~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1277~0_combout\ = (\led_flash_cnt[1277][4]~q\ & (\led_flash_cnt[1277][3]~q\ & (\led_flash_cnt[1277][1]~q\ & \led_flash_cnt[1277][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1277][4]~q\,
	datab => \led_flash_cnt[1277][3]~q\,
	datac => \led_flash_cnt[1277][1]~q\,
	datad => \led_flash_cnt[1277][2]~q\,
	combout => \WideAnd1277~0_combout\);

-- Location: LCCOMB_X24_Y20_N22
\led_flash_cnt[1277][5]~44766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1277][5]~44766_combout\ = (\led_flash_cnt[1277][5]~q\ & (\led_flash_cnt[1277][4]~44765\ $ (GND))) # (!\led_flash_cnt[1277][5]~q\ & (!\led_flash_cnt[1277][4]~44765\ & VCC))
-- \led_flash_cnt[1277][5]~44767\ = CARRY((\led_flash_cnt[1277][5]~q\ & !\led_flash_cnt[1277][4]~44765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1277][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1277][4]~44765\,
	combout => \led_flash_cnt[1277][5]~44766_combout\,
	cout => \led_flash_cnt[1277][5]~44767\);

-- Location: FF_X24_Y20_N23
\led_flash_cnt[1277][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1277][5]~44766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1277][5]~q\);

-- Location: LCCOMB_X24_Y20_N24
\led_flash_cnt[1277][6]~44768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1277][6]~44768_combout\ = (\led_flash_cnt[1277][6]~q\ & (!\led_flash_cnt[1277][5]~44767\)) # (!\led_flash_cnt[1277][6]~q\ & ((\led_flash_cnt[1277][5]~44767\) # (GND)))
-- \led_flash_cnt[1277][6]~44769\ = CARRY((!\led_flash_cnt[1277][5]~44767\) # (!\led_flash_cnt[1277][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1277][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1277][5]~44767\,
	combout => \led_flash_cnt[1277][6]~44768_combout\,
	cout => \led_flash_cnt[1277][6]~44769\);

-- Location: FF_X24_Y20_N25
\led_flash_cnt[1277][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1277][6]~44768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1277][6]~q\);

-- Location: LCCOMB_X24_Y20_N26
\led_flash_cnt[1277][7]~44770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1277][7]~44770_combout\ = \led_flash_cnt[1277][7]~q\ $ (!\led_flash_cnt[1277][6]~44769\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1277][7]~q\,
	cin => \led_flash_cnt[1277][6]~44769\,
	combout => \led_flash_cnt[1277][7]~44770_combout\);

-- Location: FF_X24_Y20_N27
\led_flash_cnt[1277][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1277][7]~44770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1277][7]~q\);

-- Location: LCCOMB_X24_Y20_N30
\WideAnd1277~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1277~1_combout\ = (\led_flash_cnt[1277][5]~q\ & \led_flash_cnt[1277][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1277][5]~q\,
	datad => \led_flash_cnt[1277][6]~q\,
	combout => \WideAnd1277~1_combout\);

-- Location: LCCOMB_X25_Y20_N6
WideAnd1277 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1277~combout\ = (\led_flash_cnt[1277][0]~q\ & (\WideAnd1277~0_combout\ & (\led_flash_cnt[1277][7]~q\ & \WideAnd1277~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1277][0]~q\,
	datab => \WideAnd1277~0_combout\,
	datac => \led_flash_cnt[1277][7]~q\,
	datad => \WideAnd1277~1_combout\,
	combout => \WideAnd1277~combout\);

-- Location: FF_X25_Y20_N7
\led_flash_cnt_ands[1277]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1277~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1277));

-- Location: LCCOMB_X25_Y20_N14
\WideAnd3999~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3999~1_combout\ = (led_flash_cnt_ands(1276) & led_flash_cnt_ands(1277))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1276),
	datad => led_flash_cnt_ands(1277),
	combout => \WideAnd3999~1_combout\);

-- Location: LCCOMB_X24_Y21_N18
\led_flash_cnt[1279][0]~81919\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1279][0]~81919_combout\ = !\led_flash_cnt[1279][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1279][0]~q\,
	combout => \led_flash_cnt[1279][0]~81919_combout\);

-- Location: FF_X24_Y21_N19
\led_flash_cnt[1279][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1279][0]~81919_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1279][0]~q\);

-- Location: LCCOMB_X25_Y21_N18
\led_flash_cnt[1279][1]~44786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1279][1]~44786_combout\ = (\led_flash_cnt[1279][0]~q\ & (\led_flash_cnt[1279][1]~q\ $ (VCC))) # (!\led_flash_cnt[1279][0]~q\ & (\led_flash_cnt[1279][1]~q\ & VCC))
-- \led_flash_cnt[1279][1]~44787\ = CARRY((\led_flash_cnt[1279][0]~q\ & \led_flash_cnt[1279][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1279][0]~q\,
	datab => \led_flash_cnt[1279][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1279][1]~44786_combout\,
	cout => \led_flash_cnt[1279][1]~44787\);

-- Location: FF_X25_Y21_N19
\led_flash_cnt[1279][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1279][1]~44786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1279][1]~q\);

-- Location: LCCOMB_X25_Y21_N20
\led_flash_cnt[1279][2]~44788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1279][2]~44788_combout\ = (\led_flash_cnt[1279][2]~q\ & (!\led_flash_cnt[1279][1]~44787\)) # (!\led_flash_cnt[1279][2]~q\ & ((\led_flash_cnt[1279][1]~44787\) # (GND)))
-- \led_flash_cnt[1279][2]~44789\ = CARRY((!\led_flash_cnt[1279][1]~44787\) # (!\led_flash_cnt[1279][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1279][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1279][1]~44787\,
	combout => \led_flash_cnt[1279][2]~44788_combout\,
	cout => \led_flash_cnt[1279][2]~44789\);

-- Location: FF_X25_Y21_N21
\led_flash_cnt[1279][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1279][2]~44788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1279][2]~q\);

-- Location: LCCOMB_X25_Y21_N22
\led_flash_cnt[1279][3]~44790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1279][3]~44790_combout\ = (\led_flash_cnt[1279][3]~q\ & (\led_flash_cnt[1279][2]~44789\ $ (GND))) # (!\led_flash_cnt[1279][3]~q\ & (!\led_flash_cnt[1279][2]~44789\ & VCC))
-- \led_flash_cnt[1279][3]~44791\ = CARRY((\led_flash_cnt[1279][3]~q\ & !\led_flash_cnt[1279][2]~44789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1279][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1279][2]~44789\,
	combout => \led_flash_cnt[1279][3]~44790_combout\,
	cout => \led_flash_cnt[1279][3]~44791\);

-- Location: FF_X25_Y21_N23
\led_flash_cnt[1279][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1279][3]~44790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1279][3]~q\);

-- Location: LCCOMB_X25_Y21_N24
\led_flash_cnt[1279][4]~44792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1279][4]~44792_combout\ = (\led_flash_cnt[1279][4]~q\ & (!\led_flash_cnt[1279][3]~44791\)) # (!\led_flash_cnt[1279][4]~q\ & ((\led_flash_cnt[1279][3]~44791\) # (GND)))
-- \led_flash_cnt[1279][4]~44793\ = CARRY((!\led_flash_cnt[1279][3]~44791\) # (!\led_flash_cnt[1279][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1279][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1279][3]~44791\,
	combout => \led_flash_cnt[1279][4]~44792_combout\,
	cout => \led_flash_cnt[1279][4]~44793\);

-- Location: FF_X25_Y21_N25
\led_flash_cnt[1279][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1279][4]~44792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1279][4]~q\);

-- Location: LCCOMB_X25_Y21_N26
\led_flash_cnt[1279][5]~44794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1279][5]~44794_combout\ = (\led_flash_cnt[1279][5]~q\ & (\led_flash_cnt[1279][4]~44793\ $ (GND))) # (!\led_flash_cnt[1279][5]~q\ & (!\led_flash_cnt[1279][4]~44793\ & VCC))
-- \led_flash_cnt[1279][5]~44795\ = CARRY((\led_flash_cnt[1279][5]~q\ & !\led_flash_cnt[1279][4]~44793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1279][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1279][4]~44793\,
	combout => \led_flash_cnt[1279][5]~44794_combout\,
	cout => \led_flash_cnt[1279][5]~44795\);

-- Location: FF_X25_Y21_N27
\led_flash_cnt[1279][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1279][5]~44794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1279][5]~q\);

-- Location: LCCOMB_X25_Y21_N28
\led_flash_cnt[1279][6]~44796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1279][6]~44796_combout\ = (\led_flash_cnt[1279][6]~q\ & (!\led_flash_cnt[1279][5]~44795\)) # (!\led_flash_cnt[1279][6]~q\ & ((\led_flash_cnt[1279][5]~44795\) # (GND)))
-- \led_flash_cnt[1279][6]~44797\ = CARRY((!\led_flash_cnt[1279][5]~44795\) # (!\led_flash_cnt[1279][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1279][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1279][5]~44795\,
	combout => \led_flash_cnt[1279][6]~44796_combout\,
	cout => \led_flash_cnt[1279][6]~44797\);

-- Location: FF_X25_Y21_N29
\led_flash_cnt[1279][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1279][6]~44796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1279][6]~q\);

-- Location: LCCOMB_X25_Y21_N30
\led_flash_cnt[1279][7]~44798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1279][7]~44798_combout\ = \led_flash_cnt[1279][7]~q\ $ (!\led_flash_cnt[1279][6]~44797\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1279][7]~q\,
	cin => \led_flash_cnt[1279][6]~44797\,
	combout => \led_flash_cnt[1279][7]~44798_combout\);

-- Location: FF_X25_Y21_N31
\led_flash_cnt[1279][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1279][7]~44798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1279][7]~q\);

-- Location: LCCOMB_X25_Y21_N0
\WideAnd1279~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1279~0_combout\ = (\led_flash_cnt[1279][4]~q\ & (\led_flash_cnt[1279][1]~q\ & (\led_flash_cnt[1279][3]~q\ & \led_flash_cnt[1279][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1279][4]~q\,
	datab => \led_flash_cnt[1279][1]~q\,
	datac => \led_flash_cnt[1279][3]~q\,
	datad => \led_flash_cnt[1279][2]~q\,
	combout => \WideAnd1279~0_combout\);

-- Location: LCCOMB_X24_Y21_N28
\WideAnd1279~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1279~1_combout\ = (\led_flash_cnt[1279][6]~q\ & \led_flash_cnt[1279][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1279][6]~q\,
	datad => \led_flash_cnt[1279][5]~q\,
	combout => \WideAnd1279~1_combout\);

-- Location: LCCOMB_X24_Y21_N24
WideAnd1279 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1279~combout\ = (\led_flash_cnt[1279][7]~q\ & (\led_flash_cnt[1279][0]~q\ & (\WideAnd1279~0_combout\ & \WideAnd1279~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1279][7]~q\,
	datab => \led_flash_cnt[1279][0]~q\,
	datac => \WideAnd1279~0_combout\,
	datad => \WideAnd1279~1_combout\,
	combout => \WideAnd1279~combout\);

-- Location: FF_X24_Y21_N25
\led_flash_cnt_ands[1279]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1279~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1279));

-- Location: LCCOMB_X34_Y7_N8
\led_flash_cnt[1278][0]~81918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1278][0]~81918_combout\ = !\led_flash_cnt[1278][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1278][0]~q\,
	combout => \led_flash_cnt[1278][0]~81918_combout\);

-- Location: FF_X34_Y7_N9
\led_flash_cnt[1278][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1278][0]~81918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1278][0]~q\);

-- Location: LCCOMB_X34_Y17_N16
\led_flash_cnt[1278][1]~44772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1278][1]~44772_combout\ = (\led_flash_cnt[1278][0]~q\ & (\led_flash_cnt[1278][1]~q\ $ (VCC))) # (!\led_flash_cnt[1278][0]~q\ & (\led_flash_cnt[1278][1]~q\ & VCC))
-- \led_flash_cnt[1278][1]~44773\ = CARRY((\led_flash_cnt[1278][0]~q\ & \led_flash_cnt[1278][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1278][0]~q\,
	datab => \led_flash_cnt[1278][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1278][1]~44772_combout\,
	cout => \led_flash_cnt[1278][1]~44773\);

-- Location: FF_X34_Y17_N17
\led_flash_cnt[1278][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1278][1]~44772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1278][1]~q\);

-- Location: LCCOMB_X34_Y17_N18
\led_flash_cnt[1278][2]~44774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1278][2]~44774_combout\ = (\led_flash_cnt[1278][2]~q\ & (!\led_flash_cnt[1278][1]~44773\)) # (!\led_flash_cnt[1278][2]~q\ & ((\led_flash_cnt[1278][1]~44773\) # (GND)))
-- \led_flash_cnt[1278][2]~44775\ = CARRY((!\led_flash_cnt[1278][1]~44773\) # (!\led_flash_cnt[1278][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1278][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1278][1]~44773\,
	combout => \led_flash_cnt[1278][2]~44774_combout\,
	cout => \led_flash_cnt[1278][2]~44775\);

-- Location: FF_X34_Y17_N19
\led_flash_cnt[1278][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1278][2]~44774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1278][2]~q\);

-- Location: LCCOMB_X34_Y17_N20
\led_flash_cnt[1278][3]~44776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1278][3]~44776_combout\ = (\led_flash_cnt[1278][3]~q\ & (\led_flash_cnt[1278][2]~44775\ $ (GND))) # (!\led_flash_cnt[1278][3]~q\ & (!\led_flash_cnt[1278][2]~44775\ & VCC))
-- \led_flash_cnt[1278][3]~44777\ = CARRY((\led_flash_cnt[1278][3]~q\ & !\led_flash_cnt[1278][2]~44775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1278][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1278][2]~44775\,
	combout => \led_flash_cnt[1278][3]~44776_combout\,
	cout => \led_flash_cnt[1278][3]~44777\);

-- Location: FF_X34_Y17_N21
\led_flash_cnt[1278][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1278][3]~44776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1278][3]~q\);

-- Location: LCCOMB_X34_Y17_N22
\led_flash_cnt[1278][4]~44778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1278][4]~44778_combout\ = (\led_flash_cnt[1278][4]~q\ & (!\led_flash_cnt[1278][3]~44777\)) # (!\led_flash_cnt[1278][4]~q\ & ((\led_flash_cnt[1278][3]~44777\) # (GND)))
-- \led_flash_cnt[1278][4]~44779\ = CARRY((!\led_flash_cnt[1278][3]~44777\) # (!\led_flash_cnt[1278][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1278][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1278][3]~44777\,
	combout => \led_flash_cnt[1278][4]~44778_combout\,
	cout => \led_flash_cnt[1278][4]~44779\);

-- Location: FF_X34_Y17_N23
\led_flash_cnt[1278][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1278][4]~44778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1278][4]~q\);

-- Location: LCCOMB_X34_Y17_N24
\led_flash_cnt[1278][5]~44780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1278][5]~44780_combout\ = (\led_flash_cnt[1278][5]~q\ & (\led_flash_cnt[1278][4]~44779\ $ (GND))) # (!\led_flash_cnt[1278][5]~q\ & (!\led_flash_cnt[1278][4]~44779\ & VCC))
-- \led_flash_cnt[1278][5]~44781\ = CARRY((\led_flash_cnt[1278][5]~q\ & !\led_flash_cnt[1278][4]~44779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1278][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1278][4]~44779\,
	combout => \led_flash_cnt[1278][5]~44780_combout\,
	cout => \led_flash_cnt[1278][5]~44781\);

-- Location: FF_X34_Y17_N25
\led_flash_cnt[1278][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1278][5]~44780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1278][5]~q\);

-- Location: LCCOMB_X34_Y17_N26
\led_flash_cnt[1278][6]~44782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1278][6]~44782_combout\ = (\led_flash_cnt[1278][6]~q\ & (!\led_flash_cnt[1278][5]~44781\)) # (!\led_flash_cnt[1278][6]~q\ & ((\led_flash_cnt[1278][5]~44781\) # (GND)))
-- \led_flash_cnt[1278][6]~44783\ = CARRY((!\led_flash_cnt[1278][5]~44781\) # (!\led_flash_cnt[1278][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1278][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1278][5]~44781\,
	combout => \led_flash_cnt[1278][6]~44782_combout\,
	cout => \led_flash_cnt[1278][6]~44783\);

-- Location: FF_X34_Y17_N27
\led_flash_cnt[1278][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1278][6]~44782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1278][6]~q\);

-- Location: LCCOMB_X34_Y17_N28
\led_flash_cnt[1278][7]~44784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1278][7]~44784_combout\ = \led_flash_cnt[1278][6]~44783\ $ (!\led_flash_cnt[1278][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1278][7]~q\,
	cin => \led_flash_cnt[1278][6]~44783\,
	combout => \led_flash_cnt[1278][7]~44784_combout\);

-- Location: FF_X34_Y17_N29
\led_flash_cnt[1278][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1278][7]~44784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1278][7]~q\);

-- Location: LCCOMB_X38_Y17_N8
\WideAnd1278~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1278~1_combout\ = (\led_flash_cnt[1278][5]~q\ & \led_flash_cnt[1278][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1278][5]~q\,
	datad => \led_flash_cnt[1278][6]~q\,
	combout => \WideAnd1278~1_combout\);

-- Location: LCCOMB_X34_Y17_N0
\WideAnd1278~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1278~0_combout\ = (\led_flash_cnt[1278][1]~q\ & (\led_flash_cnt[1278][3]~q\ & (\led_flash_cnt[1278][4]~q\ & \led_flash_cnt[1278][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1278][1]~q\,
	datab => \led_flash_cnt[1278][3]~q\,
	datac => \led_flash_cnt[1278][4]~q\,
	datad => \led_flash_cnt[1278][2]~q\,
	combout => \WideAnd1278~0_combout\);

-- Location: LCCOMB_X34_Y17_N30
WideAnd1278 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1278~combout\ = (\led_flash_cnt[1278][0]~q\ & (\led_flash_cnt[1278][7]~q\ & (\WideAnd1278~1_combout\ & \WideAnd1278~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1278][0]~q\,
	datab => \led_flash_cnt[1278][7]~q\,
	datac => \WideAnd1278~1_combout\,
	datad => \WideAnd1278~0_combout\,
	combout => \WideAnd1278~combout\);

-- Location: FF_X34_Y17_N31
\led_flash_cnt_ands[1278]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1278~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1278));

-- Location: LCCOMB_X25_Y20_N8
WideAnd3999 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3999~combout\ = (\WideAnd3999~0_combout\ & (\WideAnd3999~1_combout\ & (led_flash_cnt_ands(1279) & led_flash_cnt_ands(1278))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3999~0_combout\,
	datab => \WideAnd3999~1_combout\,
	datac => led_flash_cnt_ands(1279),
	datad => led_flash_cnt_ands(1278),
	combout => \WideAnd3999~combout\);

-- Location: FF_X25_Y20_N9
\led_flash_cnt_ands_1[159]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3999~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(159));

-- Location: LCCOMB_X35_Y27_N24
\led_flash_cnt[1271][0]~81911\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1271][0]~81911_combout\ = !\led_flash_cnt[1271][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1271][0]~q\,
	combout => \led_flash_cnt[1271][0]~81911_combout\);

-- Location: FF_X35_Y27_N25
\led_flash_cnt[1271][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1271][0]~81911_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1271][0]~q\);

-- Location: LCCOMB_X34_Y27_N2
\led_flash_cnt[1271][1]~44674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1271][1]~44674_combout\ = (\led_flash_cnt[1271][1]~q\ & (\led_flash_cnt[1271][0]~q\ $ (VCC))) # (!\led_flash_cnt[1271][1]~q\ & (\led_flash_cnt[1271][0]~q\ & VCC))
-- \led_flash_cnt[1271][1]~44675\ = CARRY((\led_flash_cnt[1271][1]~q\ & \led_flash_cnt[1271][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1271][1]~q\,
	datab => \led_flash_cnt[1271][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1271][1]~44674_combout\,
	cout => \led_flash_cnt[1271][1]~44675\);

-- Location: FF_X34_Y27_N3
\led_flash_cnt[1271][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1271][1]~44674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1271][1]~q\);

-- Location: LCCOMB_X34_Y27_N4
\led_flash_cnt[1271][2]~44676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1271][2]~44676_combout\ = (\led_flash_cnt[1271][2]~q\ & (!\led_flash_cnt[1271][1]~44675\)) # (!\led_flash_cnt[1271][2]~q\ & ((\led_flash_cnt[1271][1]~44675\) # (GND)))
-- \led_flash_cnt[1271][2]~44677\ = CARRY((!\led_flash_cnt[1271][1]~44675\) # (!\led_flash_cnt[1271][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1271][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1271][1]~44675\,
	combout => \led_flash_cnt[1271][2]~44676_combout\,
	cout => \led_flash_cnt[1271][2]~44677\);

-- Location: FF_X34_Y27_N5
\led_flash_cnt[1271][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1271][2]~44676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1271][2]~q\);

-- Location: LCCOMB_X34_Y27_N6
\led_flash_cnt[1271][3]~44678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1271][3]~44678_combout\ = (\led_flash_cnt[1271][3]~q\ & (\led_flash_cnt[1271][2]~44677\ $ (GND))) # (!\led_flash_cnt[1271][3]~q\ & (!\led_flash_cnt[1271][2]~44677\ & VCC))
-- \led_flash_cnt[1271][3]~44679\ = CARRY((\led_flash_cnt[1271][3]~q\ & !\led_flash_cnt[1271][2]~44677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1271][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1271][2]~44677\,
	combout => \led_flash_cnt[1271][3]~44678_combout\,
	cout => \led_flash_cnt[1271][3]~44679\);

-- Location: FF_X34_Y27_N7
\led_flash_cnt[1271][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1271][3]~44678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1271][3]~q\);

-- Location: LCCOMB_X34_Y27_N8
\led_flash_cnt[1271][4]~44680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1271][4]~44680_combout\ = (\led_flash_cnt[1271][4]~q\ & (!\led_flash_cnt[1271][3]~44679\)) # (!\led_flash_cnt[1271][4]~q\ & ((\led_flash_cnt[1271][3]~44679\) # (GND)))
-- \led_flash_cnt[1271][4]~44681\ = CARRY((!\led_flash_cnt[1271][3]~44679\) # (!\led_flash_cnt[1271][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1271][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1271][3]~44679\,
	combout => \led_flash_cnt[1271][4]~44680_combout\,
	cout => \led_flash_cnt[1271][4]~44681\);

-- Location: FF_X34_Y27_N9
\led_flash_cnt[1271][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1271][4]~44680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1271][4]~q\);

-- Location: LCCOMB_X34_Y27_N10
\led_flash_cnt[1271][5]~44682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1271][5]~44682_combout\ = (\led_flash_cnt[1271][5]~q\ & (\led_flash_cnt[1271][4]~44681\ $ (GND))) # (!\led_flash_cnt[1271][5]~q\ & (!\led_flash_cnt[1271][4]~44681\ & VCC))
-- \led_flash_cnt[1271][5]~44683\ = CARRY((\led_flash_cnt[1271][5]~q\ & !\led_flash_cnt[1271][4]~44681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1271][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1271][4]~44681\,
	combout => \led_flash_cnt[1271][5]~44682_combout\,
	cout => \led_flash_cnt[1271][5]~44683\);

-- Location: FF_X34_Y27_N11
\led_flash_cnt[1271][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1271][5]~44682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1271][5]~q\);

-- Location: LCCOMB_X34_Y27_N12
\led_flash_cnt[1271][6]~44684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1271][6]~44684_combout\ = (\led_flash_cnt[1271][6]~q\ & (!\led_flash_cnt[1271][5]~44683\)) # (!\led_flash_cnt[1271][6]~q\ & ((\led_flash_cnt[1271][5]~44683\) # (GND)))
-- \led_flash_cnt[1271][6]~44685\ = CARRY((!\led_flash_cnt[1271][5]~44683\) # (!\led_flash_cnt[1271][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1271][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1271][5]~44683\,
	combout => \led_flash_cnt[1271][6]~44684_combout\,
	cout => \led_flash_cnt[1271][6]~44685\);

-- Location: FF_X34_Y27_N13
\led_flash_cnt[1271][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1271][6]~44684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1271][6]~q\);

-- Location: LCCOMB_X34_Y27_N14
\led_flash_cnt[1271][7]~44686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1271][7]~44686_combout\ = \led_flash_cnt[1271][7]~q\ $ (!\led_flash_cnt[1271][6]~44685\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1271][7]~q\,
	cin => \led_flash_cnt[1271][6]~44685\,
	combout => \led_flash_cnt[1271][7]~44686_combout\);

-- Location: FF_X34_Y27_N15
\led_flash_cnt[1271][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1271][7]~44686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1271][7]~q\);

-- Location: LCCOMB_X35_Y27_N18
\WideAnd1271~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1271~0_combout\ = (\led_flash_cnt[1271][1]~q\ & (\led_flash_cnt[1271][3]~q\ & (\led_flash_cnt[1271][2]~q\ & \led_flash_cnt[1271][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1271][1]~q\,
	datab => \led_flash_cnt[1271][3]~q\,
	datac => \led_flash_cnt[1271][2]~q\,
	datad => \led_flash_cnt[1271][4]~q\,
	combout => \WideAnd1271~0_combout\);

-- Location: LCCOMB_X35_Y27_N30
\WideAnd1271~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1271~1_combout\ = (\led_flash_cnt[1271][5]~q\ & \led_flash_cnt[1271][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1271][5]~q\,
	datad => \led_flash_cnt[1271][6]~q\,
	combout => \WideAnd1271~1_combout\);

-- Location: LCCOMB_X35_Y27_N20
WideAnd1271 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1271~combout\ = (\led_flash_cnt[1271][7]~q\ & (\WideAnd1271~0_combout\ & (\WideAnd1271~1_combout\ & \led_flash_cnt[1271][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1271][7]~q\,
	datab => \WideAnd1271~0_combout\,
	datac => \WideAnd1271~1_combout\,
	datad => \led_flash_cnt[1271][0]~q\,
	combout => \WideAnd1271~combout\);

-- Location: FF_X35_Y27_N21
\led_flash_cnt_ands[1271]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1271~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1271));

-- Location: LCCOMB_X32_Y19_N24
\led_flash_cnt[1269][0]~81909\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1269][0]~81909_combout\ = !\led_flash_cnt[1269][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1269][0]~q\,
	combout => \led_flash_cnt[1269][0]~81909_combout\);

-- Location: FF_X32_Y19_N25
\led_flash_cnt[1269][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1269][0]~81909_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1269][0]~q\);

-- Location: LCCOMB_X25_Y19_N0
\led_flash_cnt[1269][1]~44646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1269][1]~44646_combout\ = (\led_flash_cnt[1269][0]~q\ & (\led_flash_cnt[1269][1]~q\ $ (VCC))) # (!\led_flash_cnt[1269][0]~q\ & (\led_flash_cnt[1269][1]~q\ & VCC))
-- \led_flash_cnt[1269][1]~44647\ = CARRY((\led_flash_cnt[1269][0]~q\ & \led_flash_cnt[1269][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1269][0]~q\,
	datab => \led_flash_cnt[1269][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1269][1]~44646_combout\,
	cout => \led_flash_cnt[1269][1]~44647\);

-- Location: FF_X25_Y19_N1
\led_flash_cnt[1269][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1269][1]~44646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1269][1]~q\);

-- Location: LCCOMB_X25_Y19_N2
\led_flash_cnt[1269][2]~44648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1269][2]~44648_combout\ = (\led_flash_cnt[1269][2]~q\ & (!\led_flash_cnt[1269][1]~44647\)) # (!\led_flash_cnt[1269][2]~q\ & ((\led_flash_cnt[1269][1]~44647\) # (GND)))
-- \led_flash_cnt[1269][2]~44649\ = CARRY((!\led_flash_cnt[1269][1]~44647\) # (!\led_flash_cnt[1269][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1269][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1269][1]~44647\,
	combout => \led_flash_cnt[1269][2]~44648_combout\,
	cout => \led_flash_cnt[1269][2]~44649\);

-- Location: FF_X25_Y19_N3
\led_flash_cnt[1269][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1269][2]~44648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1269][2]~q\);

-- Location: LCCOMB_X25_Y19_N4
\led_flash_cnt[1269][3]~44650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1269][3]~44650_combout\ = (\led_flash_cnt[1269][3]~q\ & (\led_flash_cnt[1269][2]~44649\ $ (GND))) # (!\led_flash_cnt[1269][3]~q\ & (!\led_flash_cnt[1269][2]~44649\ & VCC))
-- \led_flash_cnt[1269][3]~44651\ = CARRY((\led_flash_cnt[1269][3]~q\ & !\led_flash_cnt[1269][2]~44649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1269][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1269][2]~44649\,
	combout => \led_flash_cnt[1269][3]~44650_combout\,
	cout => \led_flash_cnt[1269][3]~44651\);

-- Location: FF_X25_Y19_N5
\led_flash_cnt[1269][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1269][3]~44650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1269][3]~q\);

-- Location: LCCOMB_X25_Y19_N6
\led_flash_cnt[1269][4]~44652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1269][4]~44652_combout\ = (\led_flash_cnt[1269][4]~q\ & (!\led_flash_cnt[1269][3]~44651\)) # (!\led_flash_cnt[1269][4]~q\ & ((\led_flash_cnt[1269][3]~44651\) # (GND)))
-- \led_flash_cnt[1269][4]~44653\ = CARRY((!\led_flash_cnt[1269][3]~44651\) # (!\led_flash_cnt[1269][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1269][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1269][3]~44651\,
	combout => \led_flash_cnt[1269][4]~44652_combout\,
	cout => \led_flash_cnt[1269][4]~44653\);

-- Location: FF_X25_Y19_N7
\led_flash_cnt[1269][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1269][4]~44652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1269][4]~q\);

-- Location: LCCOMB_X25_Y19_N30
\WideAnd1269~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1269~0_combout\ = (\led_flash_cnt[1269][4]~q\ & (\led_flash_cnt[1269][1]~q\ & (\led_flash_cnt[1269][3]~q\ & \led_flash_cnt[1269][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1269][4]~q\,
	datab => \led_flash_cnt[1269][1]~q\,
	datac => \led_flash_cnt[1269][3]~q\,
	datad => \led_flash_cnt[1269][2]~q\,
	combout => \WideAnd1269~0_combout\);

-- Location: LCCOMB_X25_Y19_N8
\led_flash_cnt[1269][5]~44654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1269][5]~44654_combout\ = (\led_flash_cnt[1269][5]~q\ & (\led_flash_cnt[1269][4]~44653\ $ (GND))) # (!\led_flash_cnt[1269][5]~q\ & (!\led_flash_cnt[1269][4]~44653\ & VCC))
-- \led_flash_cnt[1269][5]~44655\ = CARRY((\led_flash_cnt[1269][5]~q\ & !\led_flash_cnt[1269][4]~44653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1269][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1269][4]~44653\,
	combout => \led_flash_cnt[1269][5]~44654_combout\,
	cout => \led_flash_cnt[1269][5]~44655\);

-- Location: FF_X25_Y19_N9
\led_flash_cnt[1269][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1269][5]~44654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1269][5]~q\);

-- Location: LCCOMB_X25_Y19_N10
\led_flash_cnt[1269][6]~44656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1269][6]~44656_combout\ = (\led_flash_cnt[1269][6]~q\ & (!\led_flash_cnt[1269][5]~44655\)) # (!\led_flash_cnt[1269][6]~q\ & ((\led_flash_cnt[1269][5]~44655\) # (GND)))
-- \led_flash_cnt[1269][6]~44657\ = CARRY((!\led_flash_cnt[1269][5]~44655\) # (!\led_flash_cnt[1269][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1269][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1269][5]~44655\,
	combout => \led_flash_cnt[1269][6]~44656_combout\,
	cout => \led_flash_cnt[1269][6]~44657\);

-- Location: FF_X25_Y19_N11
\led_flash_cnt[1269][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1269][6]~44656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1269][6]~q\);

-- Location: LCCOMB_X26_Y19_N24
\WideAnd1269~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1269~1_combout\ = (\led_flash_cnt[1269][6]~q\ & \led_flash_cnt[1269][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1269][6]~q\,
	datad => \led_flash_cnt[1269][5]~q\,
	combout => \WideAnd1269~1_combout\);

-- Location: LCCOMB_X25_Y19_N12
\led_flash_cnt[1269][7]~44658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1269][7]~44658_combout\ = \led_flash_cnt[1269][6]~44657\ $ (!\led_flash_cnt[1269][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1269][7]~q\,
	cin => \led_flash_cnt[1269][6]~44657\,
	combout => \led_flash_cnt[1269][7]~44658_combout\);

-- Location: FF_X25_Y19_N13
\led_flash_cnt[1269][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1269][7]~44658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1269][7]~q\);

-- Location: LCCOMB_X25_Y19_N14
WideAnd1269 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1269~combout\ = (\WideAnd1269~0_combout\ & (\WideAnd1269~1_combout\ & (\led_flash_cnt[1269][0]~q\ & \led_flash_cnt[1269][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1269~0_combout\,
	datab => \WideAnd1269~1_combout\,
	datac => \led_flash_cnt[1269][0]~q\,
	datad => \led_flash_cnt[1269][7]~q\,
	combout => \WideAnd1269~combout\);

-- Location: FF_X25_Y19_N15
\led_flash_cnt_ands[1269]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1269~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1269));

-- Location: LCCOMB_X26_Y23_N4
\led_flash_cnt[1268][0]~81908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1268][0]~81908_combout\ = !\led_flash_cnt[1268][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1268][0]~q\,
	combout => \led_flash_cnt[1268][0]~81908_combout\);

-- Location: FF_X26_Y23_N5
\led_flash_cnt[1268][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1268][0]~81908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1268][0]~q\);

-- Location: LCCOMB_X26_Y27_N16
\led_flash_cnt[1268][1]~44632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1268][1]~44632_combout\ = (\led_flash_cnt[1268][0]~q\ & (\led_flash_cnt[1268][1]~q\ $ (VCC))) # (!\led_flash_cnt[1268][0]~q\ & (\led_flash_cnt[1268][1]~q\ & VCC))
-- \led_flash_cnt[1268][1]~44633\ = CARRY((\led_flash_cnt[1268][0]~q\ & \led_flash_cnt[1268][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1268][0]~q\,
	datab => \led_flash_cnt[1268][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1268][1]~44632_combout\,
	cout => \led_flash_cnt[1268][1]~44633\);

-- Location: FF_X26_Y27_N17
\led_flash_cnt[1268][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1268][1]~44632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1268][1]~q\);

-- Location: LCCOMB_X26_Y27_N18
\led_flash_cnt[1268][2]~44634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1268][2]~44634_combout\ = (\led_flash_cnt[1268][2]~q\ & (!\led_flash_cnt[1268][1]~44633\)) # (!\led_flash_cnt[1268][2]~q\ & ((\led_flash_cnt[1268][1]~44633\) # (GND)))
-- \led_flash_cnt[1268][2]~44635\ = CARRY((!\led_flash_cnt[1268][1]~44633\) # (!\led_flash_cnt[1268][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1268][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1268][1]~44633\,
	combout => \led_flash_cnt[1268][2]~44634_combout\,
	cout => \led_flash_cnt[1268][2]~44635\);

-- Location: FF_X26_Y27_N19
\led_flash_cnt[1268][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1268][2]~44634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1268][2]~q\);

-- Location: LCCOMB_X26_Y27_N20
\led_flash_cnt[1268][3]~44636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1268][3]~44636_combout\ = (\led_flash_cnt[1268][3]~q\ & (\led_flash_cnt[1268][2]~44635\ $ (GND))) # (!\led_flash_cnt[1268][3]~q\ & (!\led_flash_cnt[1268][2]~44635\ & VCC))
-- \led_flash_cnt[1268][3]~44637\ = CARRY((\led_flash_cnt[1268][3]~q\ & !\led_flash_cnt[1268][2]~44635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1268][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1268][2]~44635\,
	combout => \led_flash_cnt[1268][3]~44636_combout\,
	cout => \led_flash_cnt[1268][3]~44637\);

-- Location: FF_X26_Y27_N21
\led_flash_cnt[1268][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1268][3]~44636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1268][3]~q\);

-- Location: LCCOMB_X26_Y27_N22
\led_flash_cnt[1268][4]~44638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1268][4]~44638_combout\ = (\led_flash_cnt[1268][4]~q\ & (!\led_flash_cnt[1268][3]~44637\)) # (!\led_flash_cnt[1268][4]~q\ & ((\led_flash_cnt[1268][3]~44637\) # (GND)))
-- \led_flash_cnt[1268][4]~44639\ = CARRY((!\led_flash_cnt[1268][3]~44637\) # (!\led_flash_cnt[1268][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1268][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1268][3]~44637\,
	combout => \led_flash_cnt[1268][4]~44638_combout\,
	cout => \led_flash_cnt[1268][4]~44639\);

-- Location: FF_X26_Y27_N23
\led_flash_cnt[1268][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1268][4]~44638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1268][4]~q\);

-- Location: LCCOMB_X26_Y27_N24
\led_flash_cnt[1268][5]~44640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1268][5]~44640_combout\ = (\led_flash_cnt[1268][5]~q\ & (\led_flash_cnt[1268][4]~44639\ $ (GND))) # (!\led_flash_cnt[1268][5]~q\ & (!\led_flash_cnt[1268][4]~44639\ & VCC))
-- \led_flash_cnt[1268][5]~44641\ = CARRY((\led_flash_cnt[1268][5]~q\ & !\led_flash_cnt[1268][4]~44639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1268][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1268][4]~44639\,
	combout => \led_flash_cnt[1268][5]~44640_combout\,
	cout => \led_flash_cnt[1268][5]~44641\);

-- Location: FF_X26_Y27_N25
\led_flash_cnt[1268][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1268][5]~44640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1268][5]~q\);

-- Location: LCCOMB_X26_Y27_N26
\led_flash_cnt[1268][6]~44642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1268][6]~44642_combout\ = (\led_flash_cnt[1268][6]~q\ & (!\led_flash_cnt[1268][5]~44641\)) # (!\led_flash_cnt[1268][6]~q\ & ((\led_flash_cnt[1268][5]~44641\) # (GND)))
-- \led_flash_cnt[1268][6]~44643\ = CARRY((!\led_flash_cnt[1268][5]~44641\) # (!\led_flash_cnt[1268][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1268][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1268][5]~44641\,
	combout => \led_flash_cnt[1268][6]~44642_combout\,
	cout => \led_flash_cnt[1268][6]~44643\);

-- Location: FF_X26_Y27_N27
\led_flash_cnt[1268][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1268][6]~44642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1268][6]~q\);

-- Location: LCCOMB_X26_Y27_N28
\led_flash_cnt[1268][7]~44644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1268][7]~44644_combout\ = \led_flash_cnt[1268][6]~44643\ $ (!\led_flash_cnt[1268][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1268][7]~q\,
	cin => \led_flash_cnt[1268][6]~44643\,
	combout => \led_flash_cnt[1268][7]~44644_combout\);

-- Location: FF_X26_Y27_N29
\led_flash_cnt[1268][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1268][7]~44644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1268][7]~q\);

-- Location: LCCOMB_X26_Y27_N30
\WideAnd1268~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1268~0_combout\ = (\led_flash_cnt[1268][3]~q\ & (\led_flash_cnt[1268][2]~q\ & (\led_flash_cnt[1268][4]~q\ & \led_flash_cnt[1268][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1268][3]~q\,
	datab => \led_flash_cnt[1268][2]~q\,
	datac => \led_flash_cnt[1268][4]~q\,
	datad => \led_flash_cnt[1268][1]~q\,
	combout => \WideAnd1268~0_combout\);

-- Location: LCCOMB_X25_Y23_N20
\WideAnd1268~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1268~1_combout\ = (\led_flash_cnt[1268][0]~q\ & \led_flash_cnt[1268][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1268][0]~q\,
	datad => \led_flash_cnt[1268][5]~q\,
	combout => \WideAnd1268~1_combout\);

-- Location: LCCOMB_X25_Y23_N16
WideAnd1268 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1268~combout\ = (\led_flash_cnt[1268][7]~q\ & (\led_flash_cnt[1268][6]~q\ & (\WideAnd1268~0_combout\ & \WideAnd1268~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1268][7]~q\,
	datab => \led_flash_cnt[1268][6]~q\,
	datac => \WideAnd1268~0_combout\,
	datad => \WideAnd1268~1_combout\,
	combout => \WideAnd1268~combout\);

-- Location: FF_X25_Y23_N17
\led_flash_cnt_ands[1268]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1268~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1268));

-- Location: LCCOMB_X25_Y23_N24
\WideAnd3998~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3998~1_combout\ = (led_flash_cnt_ands(1269) & led_flash_cnt_ands(1268))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1269),
	datad => led_flash_cnt_ands(1268),
	combout => \WideAnd3998~1_combout\);

-- Location: LCCOMB_X27_Y27_N30
\led_flash_cnt[1270][0]~81910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1270][0]~81910_combout\ = !\led_flash_cnt[1270][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1270][0]~q\,
	combout => \led_flash_cnt[1270][0]~81910_combout\);

-- Location: FF_X27_Y27_N31
\led_flash_cnt[1270][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1270][0]~81910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1270][0]~q\);

-- Location: LCCOMB_X23_Y27_N18
\led_flash_cnt[1270][1]~44660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1270][1]~44660_combout\ = (\led_flash_cnt[1270][0]~q\ & (\led_flash_cnt[1270][1]~q\ $ (VCC))) # (!\led_flash_cnt[1270][0]~q\ & (\led_flash_cnt[1270][1]~q\ & VCC))
-- \led_flash_cnt[1270][1]~44661\ = CARRY((\led_flash_cnt[1270][0]~q\ & \led_flash_cnt[1270][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1270][0]~q\,
	datab => \led_flash_cnt[1270][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1270][1]~44660_combout\,
	cout => \led_flash_cnt[1270][1]~44661\);

-- Location: FF_X23_Y27_N19
\led_flash_cnt[1270][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1270][1]~44660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1270][1]~q\);

-- Location: LCCOMB_X23_Y27_N20
\led_flash_cnt[1270][2]~44662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1270][2]~44662_combout\ = (\led_flash_cnt[1270][2]~q\ & (!\led_flash_cnt[1270][1]~44661\)) # (!\led_flash_cnt[1270][2]~q\ & ((\led_flash_cnt[1270][1]~44661\) # (GND)))
-- \led_flash_cnt[1270][2]~44663\ = CARRY((!\led_flash_cnt[1270][1]~44661\) # (!\led_flash_cnt[1270][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1270][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1270][1]~44661\,
	combout => \led_flash_cnt[1270][2]~44662_combout\,
	cout => \led_flash_cnt[1270][2]~44663\);

-- Location: FF_X23_Y27_N21
\led_flash_cnt[1270][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1270][2]~44662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1270][2]~q\);

-- Location: LCCOMB_X23_Y27_N22
\led_flash_cnt[1270][3]~44664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1270][3]~44664_combout\ = (\led_flash_cnt[1270][3]~q\ & (\led_flash_cnt[1270][2]~44663\ $ (GND))) # (!\led_flash_cnt[1270][3]~q\ & (!\led_flash_cnt[1270][2]~44663\ & VCC))
-- \led_flash_cnt[1270][3]~44665\ = CARRY((\led_flash_cnt[1270][3]~q\ & !\led_flash_cnt[1270][2]~44663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1270][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1270][2]~44663\,
	combout => \led_flash_cnt[1270][3]~44664_combout\,
	cout => \led_flash_cnt[1270][3]~44665\);

-- Location: FF_X23_Y27_N23
\led_flash_cnt[1270][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1270][3]~44664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1270][3]~q\);

-- Location: LCCOMB_X23_Y27_N24
\led_flash_cnt[1270][4]~44666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1270][4]~44666_combout\ = (\led_flash_cnt[1270][4]~q\ & (!\led_flash_cnt[1270][3]~44665\)) # (!\led_flash_cnt[1270][4]~q\ & ((\led_flash_cnt[1270][3]~44665\) # (GND)))
-- \led_flash_cnt[1270][4]~44667\ = CARRY((!\led_flash_cnt[1270][3]~44665\) # (!\led_flash_cnt[1270][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1270][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1270][3]~44665\,
	combout => \led_flash_cnt[1270][4]~44666_combout\,
	cout => \led_flash_cnt[1270][4]~44667\);

-- Location: FF_X23_Y27_N25
\led_flash_cnt[1270][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1270][4]~44666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1270][4]~q\);

-- Location: LCCOMB_X24_Y27_N12
\WideAnd1270~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1270~0_combout\ = (\led_flash_cnt[1270][4]~q\ & (\led_flash_cnt[1270][1]~q\ & (\led_flash_cnt[1270][2]~q\ & \led_flash_cnt[1270][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1270][4]~q\,
	datab => \led_flash_cnt[1270][1]~q\,
	datac => \led_flash_cnt[1270][2]~q\,
	datad => \led_flash_cnt[1270][3]~q\,
	combout => \WideAnd1270~0_combout\);

-- Location: LCCOMB_X23_Y27_N26
\led_flash_cnt[1270][5]~44668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1270][5]~44668_combout\ = (\led_flash_cnt[1270][5]~q\ & (\led_flash_cnt[1270][4]~44667\ $ (GND))) # (!\led_flash_cnt[1270][5]~q\ & (!\led_flash_cnt[1270][4]~44667\ & VCC))
-- \led_flash_cnt[1270][5]~44669\ = CARRY((\led_flash_cnt[1270][5]~q\ & !\led_flash_cnt[1270][4]~44667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1270][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1270][4]~44667\,
	combout => \led_flash_cnt[1270][5]~44668_combout\,
	cout => \led_flash_cnt[1270][5]~44669\);

-- Location: FF_X23_Y27_N27
\led_flash_cnt[1270][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1270][5]~44668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1270][5]~q\);

-- Location: LCCOMB_X23_Y27_N28
\led_flash_cnt[1270][6]~44670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1270][6]~44670_combout\ = (\led_flash_cnt[1270][6]~q\ & (!\led_flash_cnt[1270][5]~44669\)) # (!\led_flash_cnt[1270][6]~q\ & ((\led_flash_cnt[1270][5]~44669\) # (GND)))
-- \led_flash_cnt[1270][6]~44671\ = CARRY((!\led_flash_cnt[1270][5]~44669\) # (!\led_flash_cnt[1270][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1270][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1270][5]~44669\,
	combout => \led_flash_cnt[1270][6]~44670_combout\,
	cout => \led_flash_cnt[1270][6]~44671\);

-- Location: FF_X23_Y27_N29
\led_flash_cnt[1270][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1270][6]~44670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1270][6]~q\);

-- Location: LCCOMB_X23_Y27_N30
\led_flash_cnt[1270][7]~44672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1270][7]~44672_combout\ = \led_flash_cnt[1270][7]~q\ $ (!\led_flash_cnt[1270][6]~44671\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1270][7]~q\,
	cin => \led_flash_cnt[1270][6]~44671\,
	combout => \led_flash_cnt[1270][7]~44672_combout\);

-- Location: FF_X23_Y27_N31
\led_flash_cnt[1270][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1270][7]~44672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1270][7]~q\);

-- Location: LCCOMB_X24_Y27_N16
\WideAnd1270~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1270~1_combout\ = (\led_flash_cnt[1270][5]~q\ & \led_flash_cnt[1270][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1270][5]~q\,
	datad => \led_flash_cnt[1270][6]~q\,
	combout => \WideAnd1270~1_combout\);

-- Location: LCCOMB_X23_Y27_N2
WideAnd1270 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1270~combout\ = (\led_flash_cnt[1270][0]~q\ & (\WideAnd1270~0_combout\ & (\led_flash_cnt[1270][7]~q\ & \WideAnd1270~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1270][0]~q\,
	datab => \WideAnd1270~0_combout\,
	datac => \led_flash_cnt[1270][7]~q\,
	datad => \WideAnd1270~1_combout\,
	combout => \WideAnd1270~combout\);

-- Location: FF_X23_Y27_N3
\led_flash_cnt_ands[1270]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1270~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1270));

-- Location: LCCOMB_X42_Y24_N24
\led_flash_cnt[1267][0]~81907\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1267][0]~81907_combout\ = !\led_flash_cnt[1267][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1267][0]~q\,
	combout => \led_flash_cnt[1267][0]~81907_combout\);

-- Location: FF_X42_Y24_N25
\led_flash_cnt[1267][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1267][0]~81907_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1267][0]~q\);

-- Location: LCCOMB_X43_Y24_N18
\led_flash_cnt[1267][1]~44618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1267][1]~44618_combout\ = (\led_flash_cnt[1267][0]~q\ & (\led_flash_cnt[1267][1]~q\ $ (VCC))) # (!\led_flash_cnt[1267][0]~q\ & (\led_flash_cnt[1267][1]~q\ & VCC))
-- \led_flash_cnt[1267][1]~44619\ = CARRY((\led_flash_cnt[1267][0]~q\ & \led_flash_cnt[1267][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1267][0]~q\,
	datab => \led_flash_cnt[1267][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1267][1]~44618_combout\,
	cout => \led_flash_cnt[1267][1]~44619\);

-- Location: FF_X43_Y24_N19
\led_flash_cnt[1267][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1267][1]~44618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1267][1]~q\);

-- Location: LCCOMB_X43_Y24_N20
\led_flash_cnt[1267][2]~44620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1267][2]~44620_combout\ = (\led_flash_cnt[1267][2]~q\ & (!\led_flash_cnt[1267][1]~44619\)) # (!\led_flash_cnt[1267][2]~q\ & ((\led_flash_cnt[1267][1]~44619\) # (GND)))
-- \led_flash_cnt[1267][2]~44621\ = CARRY((!\led_flash_cnt[1267][1]~44619\) # (!\led_flash_cnt[1267][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1267][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1267][1]~44619\,
	combout => \led_flash_cnt[1267][2]~44620_combout\,
	cout => \led_flash_cnt[1267][2]~44621\);

-- Location: FF_X43_Y24_N21
\led_flash_cnt[1267][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1267][2]~44620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1267][2]~q\);

-- Location: LCCOMB_X43_Y24_N22
\led_flash_cnt[1267][3]~44622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1267][3]~44622_combout\ = (\led_flash_cnt[1267][3]~q\ & (\led_flash_cnt[1267][2]~44621\ $ (GND))) # (!\led_flash_cnt[1267][3]~q\ & (!\led_flash_cnt[1267][2]~44621\ & VCC))
-- \led_flash_cnt[1267][3]~44623\ = CARRY((\led_flash_cnt[1267][3]~q\ & !\led_flash_cnt[1267][2]~44621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1267][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1267][2]~44621\,
	combout => \led_flash_cnt[1267][3]~44622_combout\,
	cout => \led_flash_cnt[1267][3]~44623\);

-- Location: FF_X43_Y24_N23
\led_flash_cnt[1267][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1267][3]~44622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1267][3]~q\);

-- Location: LCCOMB_X43_Y24_N24
\led_flash_cnt[1267][4]~44624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1267][4]~44624_combout\ = (\led_flash_cnt[1267][4]~q\ & (!\led_flash_cnt[1267][3]~44623\)) # (!\led_flash_cnt[1267][4]~q\ & ((\led_flash_cnt[1267][3]~44623\) # (GND)))
-- \led_flash_cnt[1267][4]~44625\ = CARRY((!\led_flash_cnt[1267][3]~44623\) # (!\led_flash_cnt[1267][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1267][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1267][3]~44623\,
	combout => \led_flash_cnt[1267][4]~44624_combout\,
	cout => \led_flash_cnt[1267][4]~44625\);

-- Location: FF_X43_Y24_N25
\led_flash_cnt[1267][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1267][4]~44624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1267][4]~q\);

-- Location: LCCOMB_X43_Y24_N26
\led_flash_cnt[1267][5]~44626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1267][5]~44626_combout\ = (\led_flash_cnt[1267][5]~q\ & (\led_flash_cnt[1267][4]~44625\ $ (GND))) # (!\led_flash_cnt[1267][5]~q\ & (!\led_flash_cnt[1267][4]~44625\ & VCC))
-- \led_flash_cnt[1267][5]~44627\ = CARRY((\led_flash_cnt[1267][5]~q\ & !\led_flash_cnt[1267][4]~44625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1267][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1267][4]~44625\,
	combout => \led_flash_cnt[1267][5]~44626_combout\,
	cout => \led_flash_cnt[1267][5]~44627\);

-- Location: FF_X43_Y24_N27
\led_flash_cnt[1267][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1267][5]~44626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1267][5]~q\);

-- Location: LCCOMB_X43_Y24_N28
\led_flash_cnt[1267][6]~44628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1267][6]~44628_combout\ = (\led_flash_cnt[1267][6]~q\ & (!\led_flash_cnt[1267][5]~44627\)) # (!\led_flash_cnt[1267][6]~q\ & ((\led_flash_cnt[1267][5]~44627\) # (GND)))
-- \led_flash_cnt[1267][6]~44629\ = CARRY((!\led_flash_cnt[1267][5]~44627\) # (!\led_flash_cnt[1267][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1267][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1267][5]~44627\,
	combout => \led_flash_cnt[1267][6]~44628_combout\,
	cout => \led_flash_cnt[1267][6]~44629\);

-- Location: FF_X43_Y24_N29
\led_flash_cnt[1267][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1267][6]~44628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1267][6]~q\);

-- Location: LCCOMB_X42_Y24_N26
\WideAnd1267~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1267~1_combout\ = (\led_flash_cnt[1267][6]~q\ & \led_flash_cnt[1267][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1267][6]~q\,
	datad => \led_flash_cnt[1267][5]~q\,
	combout => \WideAnd1267~1_combout\);

-- Location: LCCOMB_X43_Y24_N30
\led_flash_cnt[1267][7]~44630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1267][7]~44630_combout\ = \led_flash_cnt[1267][7]~q\ $ (!\led_flash_cnt[1267][6]~44629\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1267][7]~q\,
	cin => \led_flash_cnt[1267][6]~44629\,
	combout => \led_flash_cnt[1267][7]~44630_combout\);

-- Location: FF_X43_Y24_N31
\led_flash_cnt[1267][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1267][7]~44630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1267][7]~q\);

-- Location: LCCOMB_X43_Y24_N16
\WideAnd1267~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1267~0_combout\ = (\led_flash_cnt[1267][2]~q\ & (\led_flash_cnt[1267][4]~q\ & (\led_flash_cnt[1267][3]~q\ & \led_flash_cnt[1267][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1267][2]~q\,
	datab => \led_flash_cnt[1267][4]~q\,
	datac => \led_flash_cnt[1267][3]~q\,
	datad => \led_flash_cnt[1267][1]~q\,
	combout => \WideAnd1267~0_combout\);

-- Location: LCCOMB_X42_Y24_N20
WideAnd1267 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1267~combout\ = (\WideAnd1267~1_combout\ & (\led_flash_cnt[1267][0]~q\ & (\led_flash_cnt[1267][7]~q\ & \WideAnd1267~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1267~1_combout\,
	datab => \led_flash_cnt[1267][0]~q\,
	datac => \led_flash_cnt[1267][7]~q\,
	datad => \WideAnd1267~0_combout\,
	combout => \WideAnd1267~combout\);

-- Location: FF_X42_Y24_N21
\led_flash_cnt_ands[1267]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1267~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1267));

-- Location: LCCOMB_X41_Y24_N14
\led_flash_cnt[1266][0]~81906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1266][0]~81906_combout\ = !\led_flash_cnt[1266][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1266][0]~q\,
	combout => \led_flash_cnt[1266][0]~81906_combout\);

-- Location: FF_X41_Y24_N15
\led_flash_cnt[1266][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1266][0]~81906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1266][0]~q\);

-- Location: LCCOMB_X39_Y24_N0
\led_flash_cnt[1266][1]~44604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1266][1]~44604_combout\ = (\led_flash_cnt[1266][0]~q\ & (\led_flash_cnt[1266][1]~q\ $ (VCC))) # (!\led_flash_cnt[1266][0]~q\ & (\led_flash_cnt[1266][1]~q\ & VCC))
-- \led_flash_cnt[1266][1]~44605\ = CARRY((\led_flash_cnt[1266][0]~q\ & \led_flash_cnt[1266][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1266][0]~q\,
	datab => \led_flash_cnt[1266][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1266][1]~44604_combout\,
	cout => \led_flash_cnt[1266][1]~44605\);

-- Location: FF_X39_Y24_N1
\led_flash_cnt[1266][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1266][1]~44604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1266][1]~q\);

-- Location: LCCOMB_X39_Y24_N2
\led_flash_cnt[1266][2]~44606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1266][2]~44606_combout\ = (\led_flash_cnt[1266][2]~q\ & (!\led_flash_cnt[1266][1]~44605\)) # (!\led_flash_cnt[1266][2]~q\ & ((\led_flash_cnt[1266][1]~44605\) # (GND)))
-- \led_flash_cnt[1266][2]~44607\ = CARRY((!\led_flash_cnt[1266][1]~44605\) # (!\led_flash_cnt[1266][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1266][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1266][1]~44605\,
	combout => \led_flash_cnt[1266][2]~44606_combout\,
	cout => \led_flash_cnt[1266][2]~44607\);

-- Location: FF_X39_Y24_N3
\led_flash_cnt[1266][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1266][2]~44606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1266][2]~q\);

-- Location: LCCOMB_X39_Y24_N4
\led_flash_cnt[1266][3]~44608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1266][3]~44608_combout\ = (\led_flash_cnt[1266][3]~q\ & (\led_flash_cnt[1266][2]~44607\ $ (GND))) # (!\led_flash_cnt[1266][3]~q\ & (!\led_flash_cnt[1266][2]~44607\ & VCC))
-- \led_flash_cnt[1266][3]~44609\ = CARRY((\led_flash_cnt[1266][3]~q\ & !\led_flash_cnt[1266][2]~44607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1266][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1266][2]~44607\,
	combout => \led_flash_cnt[1266][3]~44608_combout\,
	cout => \led_flash_cnt[1266][3]~44609\);

-- Location: FF_X39_Y24_N5
\led_flash_cnt[1266][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1266][3]~44608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1266][3]~q\);

-- Location: LCCOMB_X39_Y24_N6
\led_flash_cnt[1266][4]~44610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1266][4]~44610_combout\ = (\led_flash_cnt[1266][4]~q\ & (!\led_flash_cnt[1266][3]~44609\)) # (!\led_flash_cnt[1266][4]~q\ & ((\led_flash_cnt[1266][3]~44609\) # (GND)))
-- \led_flash_cnt[1266][4]~44611\ = CARRY((!\led_flash_cnt[1266][3]~44609\) # (!\led_flash_cnt[1266][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1266][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1266][3]~44609\,
	combout => \led_flash_cnt[1266][4]~44610_combout\,
	cout => \led_flash_cnt[1266][4]~44611\);

-- Location: FF_X39_Y24_N7
\led_flash_cnt[1266][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1266][4]~44610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1266][4]~q\);

-- Location: LCCOMB_X39_Y24_N8
\led_flash_cnt[1266][5]~44612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1266][5]~44612_combout\ = (\led_flash_cnt[1266][5]~q\ & (\led_flash_cnt[1266][4]~44611\ $ (GND))) # (!\led_flash_cnt[1266][5]~q\ & (!\led_flash_cnt[1266][4]~44611\ & VCC))
-- \led_flash_cnt[1266][5]~44613\ = CARRY((\led_flash_cnt[1266][5]~q\ & !\led_flash_cnt[1266][4]~44611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1266][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1266][4]~44611\,
	combout => \led_flash_cnt[1266][5]~44612_combout\,
	cout => \led_flash_cnt[1266][5]~44613\);

-- Location: FF_X39_Y24_N9
\led_flash_cnt[1266][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1266][5]~44612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1266][5]~q\);

-- Location: LCCOMB_X39_Y24_N10
\led_flash_cnt[1266][6]~44614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1266][6]~44614_combout\ = (\led_flash_cnt[1266][6]~q\ & (!\led_flash_cnt[1266][5]~44613\)) # (!\led_flash_cnt[1266][6]~q\ & ((\led_flash_cnt[1266][5]~44613\) # (GND)))
-- \led_flash_cnt[1266][6]~44615\ = CARRY((!\led_flash_cnt[1266][5]~44613\) # (!\led_flash_cnt[1266][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1266][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1266][5]~44613\,
	combout => \led_flash_cnt[1266][6]~44614_combout\,
	cout => \led_flash_cnt[1266][6]~44615\);

-- Location: FF_X39_Y24_N11
\led_flash_cnt[1266][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1266][6]~44614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1266][6]~q\);

-- Location: LCCOMB_X39_Y24_N12
\led_flash_cnt[1266][7]~44616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1266][7]~44616_combout\ = \led_flash_cnt[1266][6]~44615\ $ (!\led_flash_cnt[1266][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1266][7]~q\,
	cin => \led_flash_cnt[1266][6]~44615\,
	combout => \led_flash_cnt[1266][7]~44616_combout\);

-- Location: FF_X39_Y24_N13
\led_flash_cnt[1266][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1266][7]~44616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1266][7]~q\);

-- Location: LCCOMB_X39_Y24_N30
\WideAnd1266~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1266~0_combout\ = (\led_flash_cnt[1266][4]~q\ & (\led_flash_cnt[1266][2]~q\ & (\led_flash_cnt[1266][3]~q\ & \led_flash_cnt[1266][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1266][4]~q\,
	datab => \led_flash_cnt[1266][2]~q\,
	datac => \led_flash_cnt[1266][3]~q\,
	datad => \led_flash_cnt[1266][1]~q\,
	combout => \WideAnd1266~0_combout\);

-- Location: LCCOMB_X38_Y24_N4
\WideAnd1266~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1266~1_combout\ = (\led_flash_cnt[1266][6]~q\ & \led_flash_cnt[1266][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1266][6]~q\,
	datac => \led_flash_cnt[1266][5]~q\,
	combout => \WideAnd1266~1_combout\);

-- Location: LCCOMB_X40_Y24_N4
WideAnd1266 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1266~combout\ = (\led_flash_cnt[1266][7]~q\ & (\WideAnd1266~0_combout\ & (\WideAnd1266~1_combout\ & \led_flash_cnt[1266][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1266][7]~q\,
	datab => \WideAnd1266~0_combout\,
	datac => \WideAnd1266~1_combout\,
	datad => \led_flash_cnt[1266][0]~q\,
	combout => \WideAnd1266~combout\);

-- Location: FF_X40_Y24_N5
\led_flash_cnt_ands[1266]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1266~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1266));

-- Location: LCCOMB_X14_Y16_N0
\led_flash_cnt[1265][0]~81905\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1265][0]~81905_combout\ = !\led_flash_cnt[1265][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1265][0]~q\,
	combout => \led_flash_cnt[1265][0]~81905_combout\);

-- Location: FF_X14_Y16_N1
\led_flash_cnt[1265][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1265][0]~81905_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1265][0]~q\);

-- Location: LCCOMB_X14_Y16_N6
\led_flash_cnt[1265][1]~44590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1265][1]~44590_combout\ = (\led_flash_cnt[1265][1]~q\ & (\led_flash_cnt[1265][0]~q\ $ (VCC))) # (!\led_flash_cnt[1265][1]~q\ & (\led_flash_cnt[1265][0]~q\ & VCC))
-- \led_flash_cnt[1265][1]~44591\ = CARRY((\led_flash_cnt[1265][1]~q\ & \led_flash_cnt[1265][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1265][1]~q\,
	datab => \led_flash_cnt[1265][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1265][1]~44590_combout\,
	cout => \led_flash_cnt[1265][1]~44591\);

-- Location: FF_X14_Y16_N7
\led_flash_cnt[1265][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1265][1]~44590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1265][1]~q\);

-- Location: LCCOMB_X14_Y16_N8
\led_flash_cnt[1265][2]~44592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1265][2]~44592_combout\ = (\led_flash_cnt[1265][2]~q\ & (!\led_flash_cnt[1265][1]~44591\)) # (!\led_flash_cnt[1265][2]~q\ & ((\led_flash_cnt[1265][1]~44591\) # (GND)))
-- \led_flash_cnt[1265][2]~44593\ = CARRY((!\led_flash_cnt[1265][1]~44591\) # (!\led_flash_cnt[1265][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1265][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1265][1]~44591\,
	combout => \led_flash_cnt[1265][2]~44592_combout\,
	cout => \led_flash_cnt[1265][2]~44593\);

-- Location: FF_X14_Y16_N9
\led_flash_cnt[1265][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1265][2]~44592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1265][2]~q\);

-- Location: LCCOMB_X14_Y16_N10
\led_flash_cnt[1265][3]~44594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1265][3]~44594_combout\ = (\led_flash_cnt[1265][3]~q\ & (\led_flash_cnt[1265][2]~44593\ $ (GND))) # (!\led_flash_cnt[1265][3]~q\ & (!\led_flash_cnt[1265][2]~44593\ & VCC))
-- \led_flash_cnt[1265][3]~44595\ = CARRY((\led_flash_cnt[1265][3]~q\ & !\led_flash_cnt[1265][2]~44593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1265][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1265][2]~44593\,
	combout => \led_flash_cnt[1265][3]~44594_combout\,
	cout => \led_flash_cnt[1265][3]~44595\);

-- Location: FF_X14_Y16_N11
\led_flash_cnt[1265][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1265][3]~44594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1265][3]~q\);

-- Location: LCCOMB_X14_Y16_N12
\led_flash_cnt[1265][4]~44596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1265][4]~44596_combout\ = (\led_flash_cnt[1265][4]~q\ & (!\led_flash_cnt[1265][3]~44595\)) # (!\led_flash_cnt[1265][4]~q\ & ((\led_flash_cnt[1265][3]~44595\) # (GND)))
-- \led_flash_cnt[1265][4]~44597\ = CARRY((!\led_flash_cnt[1265][3]~44595\) # (!\led_flash_cnt[1265][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1265][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1265][3]~44595\,
	combout => \led_flash_cnt[1265][4]~44596_combout\,
	cout => \led_flash_cnt[1265][4]~44597\);

-- Location: FF_X14_Y16_N13
\led_flash_cnt[1265][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1265][4]~44596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1265][4]~q\);

-- Location: LCCOMB_X14_Y16_N14
\led_flash_cnt[1265][5]~44598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1265][5]~44598_combout\ = (\led_flash_cnt[1265][5]~q\ & (\led_flash_cnt[1265][4]~44597\ $ (GND))) # (!\led_flash_cnt[1265][5]~q\ & (!\led_flash_cnt[1265][4]~44597\ & VCC))
-- \led_flash_cnt[1265][5]~44599\ = CARRY((\led_flash_cnt[1265][5]~q\ & !\led_flash_cnt[1265][4]~44597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1265][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1265][4]~44597\,
	combout => \led_flash_cnt[1265][5]~44598_combout\,
	cout => \led_flash_cnt[1265][5]~44599\);

-- Location: FF_X14_Y16_N15
\led_flash_cnt[1265][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1265][5]~44598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1265][5]~q\);

-- Location: LCCOMB_X14_Y16_N16
\led_flash_cnt[1265][6]~44600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1265][6]~44600_combout\ = (\led_flash_cnt[1265][6]~q\ & (!\led_flash_cnt[1265][5]~44599\)) # (!\led_flash_cnt[1265][6]~q\ & ((\led_flash_cnt[1265][5]~44599\) # (GND)))
-- \led_flash_cnt[1265][6]~44601\ = CARRY((!\led_flash_cnt[1265][5]~44599\) # (!\led_flash_cnt[1265][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1265][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1265][5]~44599\,
	combout => \led_flash_cnt[1265][6]~44600_combout\,
	cout => \led_flash_cnt[1265][6]~44601\);

-- Location: FF_X14_Y16_N17
\led_flash_cnt[1265][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1265][6]~44600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1265][6]~q\);

-- Location: LCCOMB_X14_Y16_N30
\WideAnd1265~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1265~1_combout\ = (\led_flash_cnt[1265][5]~q\ & \led_flash_cnt[1265][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1265][5]~q\,
	datad => \led_flash_cnt[1265][6]~q\,
	combout => \WideAnd1265~1_combout\);

-- Location: LCCOMB_X14_Y16_N18
\led_flash_cnt[1265][7]~44602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1265][7]~44602_combout\ = \led_flash_cnt[1265][6]~44601\ $ (!\led_flash_cnt[1265][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1265][7]~q\,
	cin => \led_flash_cnt[1265][6]~44601\,
	combout => \led_flash_cnt[1265][7]~44602_combout\);

-- Location: FF_X14_Y16_N19
\led_flash_cnt[1265][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1265][7]~44602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1265][7]~q\);

-- Location: LCCOMB_X14_Y16_N22
\WideAnd1265~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1265~0_combout\ = (\led_flash_cnt[1265][4]~q\ & (\led_flash_cnt[1265][3]~q\ & (\led_flash_cnt[1265][2]~q\ & \led_flash_cnt[1265][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1265][4]~q\,
	datab => \led_flash_cnt[1265][3]~q\,
	datac => \led_flash_cnt[1265][2]~q\,
	datad => \led_flash_cnt[1265][1]~q\,
	combout => \WideAnd1265~0_combout\);

-- Location: LCCOMB_X14_Y16_N20
WideAnd1265 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1265~combout\ = (\WideAnd1265~1_combout\ & (\led_flash_cnt[1265][7]~q\ & (\WideAnd1265~0_combout\ & \led_flash_cnt[1265][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1265~1_combout\,
	datab => \led_flash_cnt[1265][7]~q\,
	datac => \WideAnd1265~0_combout\,
	datad => \led_flash_cnt[1265][0]~q\,
	combout => \WideAnd1265~combout\);

-- Location: FF_X14_Y16_N21
\led_flash_cnt_ands[1265]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1265~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1265));

-- Location: LCCOMB_X42_Y24_N2
\led_flash_cnt[1264][0]~81904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1264][0]~81904_combout\ = !\led_flash_cnt[1264][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1264][0]~q\,
	combout => \led_flash_cnt[1264][0]~81904_combout\);

-- Location: FF_X42_Y24_N3
\led_flash_cnt[1264][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1264][0]~81904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1264][0]~q\);

-- Location: LCCOMB_X42_Y24_N6
\led_flash_cnt[1264][1]~44576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1264][1]~44576_combout\ = (\led_flash_cnt[1264][1]~q\ & (\led_flash_cnt[1264][0]~q\ $ (VCC))) # (!\led_flash_cnt[1264][1]~q\ & (\led_flash_cnt[1264][0]~q\ & VCC))
-- \led_flash_cnt[1264][1]~44577\ = CARRY((\led_flash_cnt[1264][1]~q\ & \led_flash_cnt[1264][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1264][1]~q\,
	datab => \led_flash_cnt[1264][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1264][1]~44576_combout\,
	cout => \led_flash_cnt[1264][1]~44577\);

-- Location: FF_X42_Y24_N7
\led_flash_cnt[1264][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1264][1]~44576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1264][1]~q\);

-- Location: LCCOMB_X42_Y24_N8
\led_flash_cnt[1264][2]~44578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1264][2]~44578_combout\ = (\led_flash_cnt[1264][2]~q\ & (!\led_flash_cnt[1264][1]~44577\)) # (!\led_flash_cnt[1264][2]~q\ & ((\led_flash_cnt[1264][1]~44577\) # (GND)))
-- \led_flash_cnt[1264][2]~44579\ = CARRY((!\led_flash_cnt[1264][1]~44577\) # (!\led_flash_cnt[1264][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1264][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1264][1]~44577\,
	combout => \led_flash_cnt[1264][2]~44578_combout\,
	cout => \led_flash_cnt[1264][2]~44579\);

-- Location: FF_X42_Y24_N9
\led_flash_cnt[1264][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1264][2]~44578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1264][2]~q\);

-- Location: LCCOMB_X42_Y24_N10
\led_flash_cnt[1264][3]~44580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1264][3]~44580_combout\ = (\led_flash_cnt[1264][3]~q\ & (\led_flash_cnt[1264][2]~44579\ $ (GND))) # (!\led_flash_cnt[1264][3]~q\ & (!\led_flash_cnt[1264][2]~44579\ & VCC))
-- \led_flash_cnt[1264][3]~44581\ = CARRY((\led_flash_cnt[1264][3]~q\ & !\led_flash_cnt[1264][2]~44579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1264][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1264][2]~44579\,
	combout => \led_flash_cnt[1264][3]~44580_combout\,
	cout => \led_flash_cnt[1264][3]~44581\);

-- Location: FF_X42_Y24_N11
\led_flash_cnt[1264][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1264][3]~44580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1264][3]~q\);

-- Location: LCCOMB_X42_Y24_N12
\led_flash_cnt[1264][4]~44582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1264][4]~44582_combout\ = (\led_flash_cnt[1264][4]~q\ & (!\led_flash_cnt[1264][3]~44581\)) # (!\led_flash_cnt[1264][4]~q\ & ((\led_flash_cnt[1264][3]~44581\) # (GND)))
-- \led_flash_cnt[1264][4]~44583\ = CARRY((!\led_flash_cnt[1264][3]~44581\) # (!\led_flash_cnt[1264][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1264][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1264][3]~44581\,
	combout => \led_flash_cnt[1264][4]~44582_combout\,
	cout => \led_flash_cnt[1264][4]~44583\);

-- Location: FF_X42_Y24_N13
\led_flash_cnt[1264][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1264][4]~44582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1264][4]~q\);

-- Location: LCCOMB_X42_Y24_N22
\WideAnd1264~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1264~0_combout\ = (\led_flash_cnt[1264][4]~q\ & (\led_flash_cnt[1264][1]~q\ & (\led_flash_cnt[1264][2]~q\ & \led_flash_cnt[1264][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1264][4]~q\,
	datab => \led_flash_cnt[1264][1]~q\,
	datac => \led_flash_cnt[1264][2]~q\,
	datad => \led_flash_cnt[1264][3]~q\,
	combout => \WideAnd1264~0_combout\);

-- Location: LCCOMB_X42_Y24_N14
\led_flash_cnt[1264][5]~44584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1264][5]~44584_combout\ = (\led_flash_cnt[1264][5]~q\ & (\led_flash_cnt[1264][4]~44583\ $ (GND))) # (!\led_flash_cnt[1264][5]~q\ & (!\led_flash_cnt[1264][4]~44583\ & VCC))
-- \led_flash_cnt[1264][5]~44585\ = CARRY((\led_flash_cnt[1264][5]~q\ & !\led_flash_cnt[1264][4]~44583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1264][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1264][4]~44583\,
	combout => \led_flash_cnt[1264][5]~44584_combout\,
	cout => \led_flash_cnt[1264][5]~44585\);

-- Location: FF_X42_Y24_N15
\led_flash_cnt[1264][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1264][5]~44584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1264][5]~q\);

-- Location: LCCOMB_X42_Y24_N16
\led_flash_cnt[1264][6]~44586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1264][6]~44586_combout\ = (\led_flash_cnt[1264][6]~q\ & (!\led_flash_cnt[1264][5]~44585\)) # (!\led_flash_cnt[1264][6]~q\ & ((\led_flash_cnt[1264][5]~44585\) # (GND)))
-- \led_flash_cnt[1264][6]~44587\ = CARRY((!\led_flash_cnt[1264][5]~44585\) # (!\led_flash_cnt[1264][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1264][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1264][5]~44585\,
	combout => \led_flash_cnt[1264][6]~44586_combout\,
	cout => \led_flash_cnt[1264][6]~44587\);

-- Location: FF_X42_Y24_N17
\led_flash_cnt[1264][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1264][6]~44586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1264][6]~q\);

-- Location: LCCOMB_X42_Y24_N18
\led_flash_cnt[1264][7]~44588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1264][7]~44588_combout\ = \led_flash_cnt[1264][6]~44587\ $ (!\led_flash_cnt[1264][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1264][7]~q\,
	cin => \led_flash_cnt[1264][6]~44587\,
	combout => \led_flash_cnt[1264][7]~44588_combout\);

-- Location: FF_X42_Y24_N19
\led_flash_cnt[1264][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1264][7]~44588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1264][7]~q\);

-- Location: LCCOMB_X42_Y24_N30
\WideAnd1264~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1264~1_combout\ = (\led_flash_cnt[1264][5]~q\ & \led_flash_cnt[1264][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1264][5]~q\,
	datad => \led_flash_cnt[1264][6]~q\,
	combout => \WideAnd1264~1_combout\);

-- Location: LCCOMB_X42_Y24_N28
WideAnd1264 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1264~combout\ = (\WideAnd1264~0_combout\ & (\led_flash_cnt[1264][7]~q\ & (\WideAnd1264~1_combout\ & \led_flash_cnt[1264][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1264~0_combout\,
	datab => \led_flash_cnt[1264][7]~q\,
	datac => \WideAnd1264~1_combout\,
	datad => \led_flash_cnt[1264][0]~q\,
	combout => \WideAnd1264~combout\);

-- Location: FF_X42_Y24_N29
\led_flash_cnt_ands[1264]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1264~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1264));

-- Location: LCCOMB_X41_Y24_N2
\WideAnd3998~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3998~0_combout\ = (led_flash_cnt_ands(1267) & (led_flash_cnt_ands(1266) & (led_flash_cnt_ands(1265) & led_flash_cnt_ands(1264))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1267),
	datab => led_flash_cnt_ands(1266),
	datac => led_flash_cnt_ands(1265),
	datad => led_flash_cnt_ands(1264),
	combout => \WideAnd3998~0_combout\);

-- Location: LCCOMB_X25_Y27_N14
WideAnd3998 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3998~combout\ = (led_flash_cnt_ands(1271) & (\WideAnd3998~1_combout\ & (led_flash_cnt_ands(1270) & \WideAnd3998~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1271),
	datab => \WideAnd3998~1_combout\,
	datac => led_flash_cnt_ands(1270),
	datad => \WideAnd3998~0_combout\,
	combout => \WideAnd3998~combout\);

-- Location: FF_X25_Y27_N15
\led_flash_cnt_ands_1[158]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3998~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(158));

-- Location: LCCOMB_X24_Y11_N30
\led_flash_cnt[1262][0]~81902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1262][0]~81902_combout\ = !\led_flash_cnt[1262][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1262][0]~q\,
	combout => \led_flash_cnt[1262][0]~81902_combout\);

-- Location: FF_X24_Y11_N31
\led_flash_cnt[1262][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1262][0]~81902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1262][0]~q\);

-- Location: LCCOMB_X24_Y11_N4
\led_flash_cnt[1262][1]~44548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1262][1]~44548_combout\ = (\led_flash_cnt[1262][0]~q\ & (\led_flash_cnt[1262][1]~q\ $ (VCC))) # (!\led_flash_cnt[1262][0]~q\ & (\led_flash_cnt[1262][1]~q\ & VCC))
-- \led_flash_cnt[1262][1]~44549\ = CARRY((\led_flash_cnt[1262][0]~q\ & \led_flash_cnt[1262][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1262][0]~q\,
	datab => \led_flash_cnt[1262][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1262][1]~44548_combout\,
	cout => \led_flash_cnt[1262][1]~44549\);

-- Location: FF_X24_Y11_N5
\led_flash_cnt[1262][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1262][1]~44548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1262][1]~q\);

-- Location: LCCOMB_X24_Y11_N6
\led_flash_cnt[1262][2]~44550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1262][2]~44550_combout\ = (\led_flash_cnt[1262][2]~q\ & (!\led_flash_cnt[1262][1]~44549\)) # (!\led_flash_cnt[1262][2]~q\ & ((\led_flash_cnt[1262][1]~44549\) # (GND)))
-- \led_flash_cnt[1262][2]~44551\ = CARRY((!\led_flash_cnt[1262][1]~44549\) # (!\led_flash_cnt[1262][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1262][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1262][1]~44549\,
	combout => \led_flash_cnt[1262][2]~44550_combout\,
	cout => \led_flash_cnt[1262][2]~44551\);

-- Location: FF_X24_Y11_N7
\led_flash_cnt[1262][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1262][2]~44550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1262][2]~q\);

-- Location: LCCOMB_X24_Y11_N8
\led_flash_cnt[1262][3]~44552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1262][3]~44552_combout\ = (\led_flash_cnt[1262][3]~q\ & (\led_flash_cnt[1262][2]~44551\ $ (GND))) # (!\led_flash_cnt[1262][3]~q\ & (!\led_flash_cnt[1262][2]~44551\ & VCC))
-- \led_flash_cnt[1262][3]~44553\ = CARRY((\led_flash_cnt[1262][3]~q\ & !\led_flash_cnt[1262][2]~44551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1262][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1262][2]~44551\,
	combout => \led_flash_cnt[1262][3]~44552_combout\,
	cout => \led_flash_cnt[1262][3]~44553\);

-- Location: FF_X24_Y11_N9
\led_flash_cnt[1262][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1262][3]~44552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1262][3]~q\);

-- Location: LCCOMB_X24_Y11_N10
\led_flash_cnt[1262][4]~44554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1262][4]~44554_combout\ = (\led_flash_cnt[1262][4]~q\ & (!\led_flash_cnt[1262][3]~44553\)) # (!\led_flash_cnt[1262][4]~q\ & ((\led_flash_cnt[1262][3]~44553\) # (GND)))
-- \led_flash_cnt[1262][4]~44555\ = CARRY((!\led_flash_cnt[1262][3]~44553\) # (!\led_flash_cnt[1262][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1262][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1262][3]~44553\,
	combout => \led_flash_cnt[1262][4]~44554_combout\,
	cout => \led_flash_cnt[1262][4]~44555\);

-- Location: FF_X24_Y11_N11
\led_flash_cnt[1262][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1262][4]~44554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1262][4]~q\);

-- Location: LCCOMB_X24_Y11_N12
\led_flash_cnt[1262][5]~44556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1262][5]~44556_combout\ = (\led_flash_cnt[1262][5]~q\ & (\led_flash_cnt[1262][4]~44555\ $ (GND))) # (!\led_flash_cnt[1262][5]~q\ & (!\led_flash_cnt[1262][4]~44555\ & VCC))
-- \led_flash_cnt[1262][5]~44557\ = CARRY((\led_flash_cnt[1262][5]~q\ & !\led_flash_cnt[1262][4]~44555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1262][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1262][4]~44555\,
	combout => \led_flash_cnt[1262][5]~44556_combout\,
	cout => \led_flash_cnt[1262][5]~44557\);

-- Location: FF_X24_Y11_N13
\led_flash_cnt[1262][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1262][5]~44556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1262][5]~q\);

-- Location: LCCOMB_X24_Y11_N14
\led_flash_cnt[1262][6]~44558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1262][6]~44558_combout\ = (\led_flash_cnt[1262][6]~q\ & (!\led_flash_cnt[1262][5]~44557\)) # (!\led_flash_cnt[1262][6]~q\ & ((\led_flash_cnt[1262][5]~44557\) # (GND)))
-- \led_flash_cnt[1262][6]~44559\ = CARRY((!\led_flash_cnt[1262][5]~44557\) # (!\led_flash_cnt[1262][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1262][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1262][5]~44557\,
	combout => \led_flash_cnt[1262][6]~44558_combout\,
	cout => \led_flash_cnt[1262][6]~44559\);

-- Location: FF_X24_Y11_N15
\led_flash_cnt[1262][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1262][6]~44558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1262][6]~q\);

-- Location: LCCOMB_X24_Y11_N0
\WideAnd1262~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1262~0_combout\ = (\led_flash_cnt[1262][0]~q\ & (\led_flash_cnt[1262][6]~q\ & (\led_flash_cnt[1262][3]~q\ & \led_flash_cnt[1262][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1262][0]~q\,
	datab => \led_flash_cnt[1262][6]~q\,
	datac => \led_flash_cnt[1262][3]~q\,
	datad => \led_flash_cnt[1262][4]~q\,
	combout => \WideAnd1262~0_combout\);

-- Location: LCCOMB_X24_Y11_N16
\led_flash_cnt[1262][7]~44560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1262][7]~44560_combout\ = \led_flash_cnt[1262][6]~44559\ $ (!\led_flash_cnt[1262][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1262][7]~q\,
	cin => \led_flash_cnt[1262][6]~44559\,
	combout => \led_flash_cnt[1262][7]~44560_combout\);

-- Location: FF_X24_Y11_N17
\led_flash_cnt[1262][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1262][7]~44560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1262][7]~q\);

-- Location: LCCOMB_X24_Y11_N2
\WideAnd1262~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1262~1_combout\ = (\led_flash_cnt[1262][2]~q\ & \led_flash_cnt[1262][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1262][2]~q\,
	datad => \led_flash_cnt[1262][7]~q\,
	combout => \WideAnd1262~1_combout\);

-- Location: LCCOMB_X24_Y11_N26
WideAnd1262 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1262~combout\ = (\led_flash_cnt[1262][5]~q\ & (\WideAnd1262~0_combout\ & (\led_flash_cnt[1262][1]~q\ & \WideAnd1262~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1262][5]~q\,
	datab => \WideAnd1262~0_combout\,
	datac => \led_flash_cnt[1262][1]~q\,
	datad => \WideAnd1262~1_combout\,
	combout => \WideAnd1262~combout\);

-- Location: FF_X24_Y11_N27
\led_flash_cnt_ands[1262]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1262~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1262));

-- Location: LCCOMB_X29_Y10_N24
\led_flash_cnt[1263][0]~81903\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1263][0]~81903_combout\ = !\led_flash_cnt[1263][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1263][0]~q\,
	combout => \led_flash_cnt[1263][0]~81903_combout\);

-- Location: FF_X29_Y10_N25
\led_flash_cnt[1263][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1263][0]~81903_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1263][0]~q\);

-- Location: LCCOMB_X22_Y7_N14
\led_flash_cnt[1263][1]~44562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1263][1]~44562_combout\ = (\led_flash_cnt[1263][0]~q\ & (\led_flash_cnt[1263][1]~q\ $ (VCC))) # (!\led_flash_cnt[1263][0]~q\ & (\led_flash_cnt[1263][1]~q\ & VCC))
-- \led_flash_cnt[1263][1]~44563\ = CARRY((\led_flash_cnt[1263][0]~q\ & \led_flash_cnt[1263][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1263][0]~q\,
	datab => \led_flash_cnt[1263][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1263][1]~44562_combout\,
	cout => \led_flash_cnt[1263][1]~44563\);

-- Location: FF_X22_Y7_N15
\led_flash_cnt[1263][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1263][1]~44562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1263][1]~q\);

-- Location: LCCOMB_X22_Y7_N16
\led_flash_cnt[1263][2]~44564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1263][2]~44564_combout\ = (\led_flash_cnt[1263][2]~q\ & (!\led_flash_cnt[1263][1]~44563\)) # (!\led_flash_cnt[1263][2]~q\ & ((\led_flash_cnt[1263][1]~44563\) # (GND)))
-- \led_flash_cnt[1263][2]~44565\ = CARRY((!\led_flash_cnt[1263][1]~44563\) # (!\led_flash_cnt[1263][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1263][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1263][1]~44563\,
	combout => \led_flash_cnt[1263][2]~44564_combout\,
	cout => \led_flash_cnt[1263][2]~44565\);

-- Location: FF_X22_Y7_N17
\led_flash_cnt[1263][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1263][2]~44564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1263][2]~q\);

-- Location: LCCOMB_X22_Y7_N18
\led_flash_cnt[1263][3]~44566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1263][3]~44566_combout\ = (\led_flash_cnt[1263][3]~q\ & (\led_flash_cnt[1263][2]~44565\ $ (GND))) # (!\led_flash_cnt[1263][3]~q\ & (!\led_flash_cnt[1263][2]~44565\ & VCC))
-- \led_flash_cnt[1263][3]~44567\ = CARRY((\led_flash_cnt[1263][3]~q\ & !\led_flash_cnt[1263][2]~44565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1263][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1263][2]~44565\,
	combout => \led_flash_cnt[1263][3]~44566_combout\,
	cout => \led_flash_cnt[1263][3]~44567\);

-- Location: FF_X22_Y7_N19
\led_flash_cnt[1263][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1263][3]~44566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1263][3]~q\);

-- Location: LCCOMB_X22_Y7_N20
\led_flash_cnt[1263][4]~44568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1263][4]~44568_combout\ = (\led_flash_cnt[1263][4]~q\ & (!\led_flash_cnt[1263][3]~44567\)) # (!\led_flash_cnt[1263][4]~q\ & ((\led_flash_cnt[1263][3]~44567\) # (GND)))
-- \led_flash_cnt[1263][4]~44569\ = CARRY((!\led_flash_cnt[1263][3]~44567\) # (!\led_flash_cnt[1263][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1263][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1263][3]~44567\,
	combout => \led_flash_cnt[1263][4]~44568_combout\,
	cout => \led_flash_cnt[1263][4]~44569\);

-- Location: FF_X22_Y7_N21
\led_flash_cnt[1263][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1263][4]~44568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1263][4]~q\);

-- Location: LCCOMB_X21_Y7_N26
\WideAnd1263~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1263~0_combout\ = (\led_flash_cnt[1263][4]~q\ & (\led_flash_cnt[1263][2]~q\ & (\led_flash_cnt[1263][1]~q\ & \led_flash_cnt[1263][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1263][4]~q\,
	datab => \led_flash_cnt[1263][2]~q\,
	datac => \led_flash_cnt[1263][1]~q\,
	datad => \led_flash_cnt[1263][3]~q\,
	combout => \WideAnd1263~0_combout\);

-- Location: LCCOMB_X22_Y7_N22
\led_flash_cnt[1263][5]~44570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1263][5]~44570_combout\ = (\led_flash_cnt[1263][5]~q\ & (\led_flash_cnt[1263][4]~44569\ $ (GND))) # (!\led_flash_cnt[1263][5]~q\ & (!\led_flash_cnt[1263][4]~44569\ & VCC))
-- \led_flash_cnt[1263][5]~44571\ = CARRY((\led_flash_cnt[1263][5]~q\ & !\led_flash_cnt[1263][4]~44569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1263][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1263][4]~44569\,
	combout => \led_flash_cnt[1263][5]~44570_combout\,
	cout => \led_flash_cnt[1263][5]~44571\);

-- Location: FF_X22_Y7_N23
\led_flash_cnt[1263][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1263][5]~44570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1263][5]~q\);

-- Location: LCCOMB_X22_Y7_N24
\led_flash_cnt[1263][6]~44572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1263][6]~44572_combout\ = (\led_flash_cnt[1263][6]~q\ & (!\led_flash_cnt[1263][5]~44571\)) # (!\led_flash_cnt[1263][6]~q\ & ((\led_flash_cnt[1263][5]~44571\) # (GND)))
-- \led_flash_cnt[1263][6]~44573\ = CARRY((!\led_flash_cnt[1263][5]~44571\) # (!\led_flash_cnt[1263][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1263][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1263][5]~44571\,
	combout => \led_flash_cnt[1263][6]~44572_combout\,
	cout => \led_flash_cnt[1263][6]~44573\);

-- Location: FF_X22_Y7_N25
\led_flash_cnt[1263][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1263][6]~44572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1263][6]~q\);

-- Location: LCCOMB_X22_Y7_N26
\led_flash_cnt[1263][7]~44574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1263][7]~44574_combout\ = \led_flash_cnt[1263][7]~q\ $ (!\led_flash_cnt[1263][6]~44573\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1263][7]~q\,
	cin => \led_flash_cnt[1263][6]~44573\,
	combout => \led_flash_cnt[1263][7]~44574_combout\);

-- Location: FF_X22_Y7_N27
\led_flash_cnt[1263][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1263][7]~44574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1263][7]~q\);

-- Location: LCCOMB_X22_Y7_N28
\WideAnd1263~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1263~1_combout\ = (\led_flash_cnt[1263][5]~q\ & \led_flash_cnt[1263][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1263][5]~q\,
	datad => \led_flash_cnt[1263][6]~q\,
	combout => \WideAnd1263~1_combout\);

-- Location: LCCOMB_X21_Y7_N2
WideAnd1263 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1263~combout\ = (\WideAnd1263~0_combout\ & (\led_flash_cnt[1263][7]~q\ & (\led_flash_cnt[1263][0]~q\ & \WideAnd1263~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1263~0_combout\,
	datab => \led_flash_cnt[1263][7]~q\,
	datac => \led_flash_cnt[1263][0]~q\,
	datad => \WideAnd1263~1_combout\,
	combout => \WideAnd1263~combout\);

-- Location: FF_X21_Y7_N3
\led_flash_cnt_ands[1263]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1263~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1263));

-- Location: LCCOMB_X30_Y23_N30
\led_flash_cnt[1256][0]~81896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1256][0]~81896_combout\ = !\led_flash_cnt[1256][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1256][0]~q\,
	combout => \led_flash_cnt[1256][0]~81896_combout\);

-- Location: FF_X30_Y23_N31
\led_flash_cnt[1256][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1256][0]~81896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1256][0]~q\);

-- Location: LCCOMB_X30_Y23_N4
\led_flash_cnt[1256][1]~44464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1256][1]~44464_combout\ = (\led_flash_cnt[1256][0]~q\ & (\led_flash_cnt[1256][1]~q\ $ (VCC))) # (!\led_flash_cnt[1256][0]~q\ & (\led_flash_cnt[1256][1]~q\ & VCC))
-- \led_flash_cnt[1256][1]~44465\ = CARRY((\led_flash_cnt[1256][0]~q\ & \led_flash_cnt[1256][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1256][0]~q\,
	datab => \led_flash_cnt[1256][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1256][1]~44464_combout\,
	cout => \led_flash_cnt[1256][1]~44465\);

-- Location: FF_X30_Y23_N5
\led_flash_cnt[1256][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1256][1]~44464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1256][1]~q\);

-- Location: LCCOMB_X30_Y23_N6
\led_flash_cnt[1256][2]~44466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1256][2]~44466_combout\ = (\led_flash_cnt[1256][2]~q\ & (!\led_flash_cnt[1256][1]~44465\)) # (!\led_flash_cnt[1256][2]~q\ & ((\led_flash_cnt[1256][1]~44465\) # (GND)))
-- \led_flash_cnt[1256][2]~44467\ = CARRY((!\led_flash_cnt[1256][1]~44465\) # (!\led_flash_cnt[1256][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1256][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1256][1]~44465\,
	combout => \led_flash_cnt[1256][2]~44466_combout\,
	cout => \led_flash_cnt[1256][2]~44467\);

-- Location: FF_X30_Y23_N7
\led_flash_cnt[1256][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1256][2]~44466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1256][2]~q\);

-- Location: LCCOMB_X30_Y23_N8
\led_flash_cnt[1256][3]~44468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1256][3]~44468_combout\ = (\led_flash_cnt[1256][3]~q\ & (\led_flash_cnt[1256][2]~44467\ $ (GND))) # (!\led_flash_cnt[1256][3]~q\ & (!\led_flash_cnt[1256][2]~44467\ & VCC))
-- \led_flash_cnt[1256][3]~44469\ = CARRY((\led_flash_cnt[1256][3]~q\ & !\led_flash_cnt[1256][2]~44467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1256][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1256][2]~44467\,
	combout => \led_flash_cnt[1256][3]~44468_combout\,
	cout => \led_flash_cnt[1256][3]~44469\);

-- Location: FF_X30_Y23_N9
\led_flash_cnt[1256][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1256][3]~44468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1256][3]~q\);

-- Location: LCCOMB_X30_Y23_N10
\led_flash_cnt[1256][4]~44470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1256][4]~44470_combout\ = (\led_flash_cnt[1256][4]~q\ & (!\led_flash_cnt[1256][3]~44469\)) # (!\led_flash_cnt[1256][4]~q\ & ((\led_flash_cnt[1256][3]~44469\) # (GND)))
-- \led_flash_cnt[1256][4]~44471\ = CARRY((!\led_flash_cnt[1256][3]~44469\) # (!\led_flash_cnt[1256][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1256][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1256][3]~44469\,
	combout => \led_flash_cnt[1256][4]~44470_combout\,
	cout => \led_flash_cnt[1256][4]~44471\);

-- Location: FF_X30_Y23_N11
\led_flash_cnt[1256][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1256][4]~44470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1256][4]~q\);

-- Location: LCCOMB_X30_Y23_N28
\WideAnd1256~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1256~0_combout\ = (\led_flash_cnt[1256][4]~q\ & (\led_flash_cnt[1256][3]~q\ & (\led_flash_cnt[1256][1]~q\ & \led_flash_cnt[1256][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1256][4]~q\,
	datab => \led_flash_cnt[1256][3]~q\,
	datac => \led_flash_cnt[1256][1]~q\,
	datad => \led_flash_cnt[1256][2]~q\,
	combout => \WideAnd1256~0_combout\);

-- Location: LCCOMB_X30_Y23_N12
\led_flash_cnt[1256][5]~44472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1256][5]~44472_combout\ = (\led_flash_cnt[1256][5]~q\ & (\led_flash_cnt[1256][4]~44471\ $ (GND))) # (!\led_flash_cnt[1256][5]~q\ & (!\led_flash_cnt[1256][4]~44471\ & VCC))
-- \led_flash_cnt[1256][5]~44473\ = CARRY((\led_flash_cnt[1256][5]~q\ & !\led_flash_cnt[1256][4]~44471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1256][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1256][4]~44471\,
	combout => \led_flash_cnt[1256][5]~44472_combout\,
	cout => \led_flash_cnt[1256][5]~44473\);

-- Location: FF_X30_Y23_N13
\led_flash_cnt[1256][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1256][5]~44472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1256][5]~q\);

-- Location: LCCOMB_X30_Y23_N14
\led_flash_cnt[1256][6]~44474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1256][6]~44474_combout\ = (\led_flash_cnt[1256][6]~q\ & (!\led_flash_cnt[1256][5]~44473\)) # (!\led_flash_cnt[1256][6]~q\ & ((\led_flash_cnt[1256][5]~44473\) # (GND)))
-- \led_flash_cnt[1256][6]~44475\ = CARRY((!\led_flash_cnt[1256][5]~44473\) # (!\led_flash_cnt[1256][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1256][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1256][5]~44473\,
	combout => \led_flash_cnt[1256][6]~44474_combout\,
	cout => \led_flash_cnt[1256][6]~44475\);

-- Location: FF_X30_Y23_N15
\led_flash_cnt[1256][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1256][6]~44474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1256][6]~q\);

-- Location: LCCOMB_X30_Y23_N18
\WideAnd1256~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1256~1_combout\ = (\led_flash_cnt[1256][6]~q\ & \led_flash_cnt[1256][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1256][6]~q\,
	datad => \led_flash_cnt[1256][5]~q\,
	combout => \WideAnd1256~1_combout\);

-- Location: LCCOMB_X30_Y23_N16
\led_flash_cnt[1256][7]~44476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1256][7]~44476_combout\ = \led_flash_cnt[1256][6]~44475\ $ (!\led_flash_cnt[1256][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1256][7]~q\,
	cin => \led_flash_cnt[1256][6]~44475\,
	combout => \led_flash_cnt[1256][7]~44476_combout\);

-- Location: FF_X30_Y23_N17
\led_flash_cnt[1256][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1256][7]~44476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1256][7]~q\);

-- Location: LCCOMB_X30_Y23_N22
WideAnd1256 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1256~combout\ = (\led_flash_cnt[1256][0]~q\ & (\WideAnd1256~0_combout\ & (\WideAnd1256~1_combout\ & \led_flash_cnt[1256][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1256][0]~q\,
	datab => \WideAnd1256~0_combout\,
	datac => \WideAnd1256~1_combout\,
	datad => \led_flash_cnt[1256][7]~q\,
	combout => \WideAnd1256~combout\);

-- Location: FF_X30_Y23_N23
\led_flash_cnt_ands[1256]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1256~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1256));

-- Location: LCCOMB_X30_Y23_N24
\led_flash_cnt[1259][0]~81899\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1259][0]~81899_combout\ = !\led_flash_cnt[1259][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1259][0]~q\,
	combout => \led_flash_cnt[1259][0]~81899_combout\);

-- Location: FF_X30_Y23_N25
\led_flash_cnt[1259][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1259][0]~81899_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1259][0]~q\);

-- Location: LCCOMB_X30_Y25_N14
\led_flash_cnt[1259][1]~44506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1259][1]~44506_combout\ = (\led_flash_cnt[1259][0]~q\ & (\led_flash_cnt[1259][1]~q\ $ (VCC))) # (!\led_flash_cnt[1259][0]~q\ & (\led_flash_cnt[1259][1]~q\ & VCC))
-- \led_flash_cnt[1259][1]~44507\ = CARRY((\led_flash_cnt[1259][0]~q\ & \led_flash_cnt[1259][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1259][0]~q\,
	datab => \led_flash_cnt[1259][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1259][1]~44506_combout\,
	cout => \led_flash_cnt[1259][1]~44507\);

-- Location: FF_X30_Y25_N15
\led_flash_cnt[1259][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1259][1]~44506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1259][1]~q\);

-- Location: LCCOMB_X30_Y25_N16
\led_flash_cnt[1259][2]~44508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1259][2]~44508_combout\ = (\led_flash_cnt[1259][2]~q\ & (!\led_flash_cnt[1259][1]~44507\)) # (!\led_flash_cnt[1259][2]~q\ & ((\led_flash_cnt[1259][1]~44507\) # (GND)))
-- \led_flash_cnt[1259][2]~44509\ = CARRY((!\led_flash_cnt[1259][1]~44507\) # (!\led_flash_cnt[1259][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1259][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1259][1]~44507\,
	combout => \led_flash_cnt[1259][2]~44508_combout\,
	cout => \led_flash_cnt[1259][2]~44509\);

-- Location: FF_X30_Y25_N17
\led_flash_cnt[1259][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1259][2]~44508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1259][2]~q\);

-- Location: LCCOMB_X30_Y25_N18
\led_flash_cnt[1259][3]~44510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1259][3]~44510_combout\ = (\led_flash_cnt[1259][3]~q\ & (\led_flash_cnt[1259][2]~44509\ $ (GND))) # (!\led_flash_cnt[1259][3]~q\ & (!\led_flash_cnt[1259][2]~44509\ & VCC))
-- \led_flash_cnt[1259][3]~44511\ = CARRY((\led_flash_cnt[1259][3]~q\ & !\led_flash_cnt[1259][2]~44509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1259][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1259][2]~44509\,
	combout => \led_flash_cnt[1259][3]~44510_combout\,
	cout => \led_flash_cnt[1259][3]~44511\);

-- Location: FF_X30_Y25_N19
\led_flash_cnt[1259][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1259][3]~44510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1259][3]~q\);

-- Location: LCCOMB_X30_Y25_N20
\led_flash_cnt[1259][4]~44512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1259][4]~44512_combout\ = (\led_flash_cnt[1259][4]~q\ & (!\led_flash_cnt[1259][3]~44511\)) # (!\led_flash_cnt[1259][4]~q\ & ((\led_flash_cnt[1259][3]~44511\) # (GND)))
-- \led_flash_cnt[1259][4]~44513\ = CARRY((!\led_flash_cnt[1259][3]~44511\) # (!\led_flash_cnt[1259][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1259][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1259][3]~44511\,
	combout => \led_flash_cnt[1259][4]~44512_combout\,
	cout => \led_flash_cnt[1259][4]~44513\);

-- Location: FF_X30_Y25_N21
\led_flash_cnt[1259][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1259][4]~44512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1259][4]~q\);

-- Location: LCCOMB_X30_Y25_N22
\led_flash_cnt[1259][5]~44514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1259][5]~44514_combout\ = (\led_flash_cnt[1259][5]~q\ & (\led_flash_cnt[1259][4]~44513\ $ (GND))) # (!\led_flash_cnt[1259][5]~q\ & (!\led_flash_cnt[1259][4]~44513\ & VCC))
-- \led_flash_cnt[1259][5]~44515\ = CARRY((\led_flash_cnt[1259][5]~q\ & !\led_flash_cnt[1259][4]~44513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1259][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1259][4]~44513\,
	combout => \led_flash_cnt[1259][5]~44514_combout\,
	cout => \led_flash_cnt[1259][5]~44515\);

-- Location: FF_X30_Y25_N23
\led_flash_cnt[1259][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1259][5]~44514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1259][5]~q\);

-- Location: LCCOMB_X30_Y25_N24
\led_flash_cnt[1259][6]~44516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1259][6]~44516_combout\ = (\led_flash_cnt[1259][6]~q\ & (!\led_flash_cnt[1259][5]~44515\)) # (!\led_flash_cnt[1259][6]~q\ & ((\led_flash_cnt[1259][5]~44515\) # (GND)))
-- \led_flash_cnt[1259][6]~44517\ = CARRY((!\led_flash_cnt[1259][5]~44515\) # (!\led_flash_cnt[1259][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1259][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1259][5]~44515\,
	combout => \led_flash_cnt[1259][6]~44516_combout\,
	cout => \led_flash_cnt[1259][6]~44517\);

-- Location: FF_X30_Y25_N25
\led_flash_cnt[1259][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1259][6]~44516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1259][6]~q\);

-- Location: LCCOMB_X30_Y25_N26
\led_flash_cnt[1259][7]~44518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1259][7]~44518_combout\ = \led_flash_cnt[1259][7]~q\ $ (!\led_flash_cnt[1259][6]~44517\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1259][7]~q\,
	cin => \led_flash_cnt[1259][6]~44517\,
	combout => \led_flash_cnt[1259][7]~44518_combout\);

-- Location: FF_X30_Y25_N27
\led_flash_cnt[1259][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1259][7]~44518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1259][7]~q\);

-- Location: LCCOMB_X30_Y25_N30
\WideAnd1259~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1259~0_combout\ = (\led_flash_cnt[1259][3]~q\ & (\led_flash_cnt[1259][2]~q\ & (\led_flash_cnt[1259][1]~q\ & \led_flash_cnt[1259][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1259][3]~q\,
	datab => \led_flash_cnt[1259][2]~q\,
	datac => \led_flash_cnt[1259][1]~q\,
	datad => \led_flash_cnt[1259][4]~q\,
	combout => \WideAnd1259~0_combout\);

-- Location: LCCOMB_X30_Y23_N0
\WideAnd1259~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1259~1_combout\ = (\led_flash_cnt[1259][5]~q\ & \led_flash_cnt[1259][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1259][5]~q\,
	datad => \led_flash_cnt[1259][6]~q\,
	combout => \WideAnd1259~1_combout\);

-- Location: LCCOMB_X30_Y23_N2
WideAnd1259 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1259~combout\ = (\led_flash_cnt[1259][7]~q\ & (\led_flash_cnt[1259][0]~q\ & (\WideAnd1259~0_combout\ & \WideAnd1259~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1259][7]~q\,
	datab => \led_flash_cnt[1259][0]~q\,
	datac => \WideAnd1259~0_combout\,
	datad => \WideAnd1259~1_combout\,
	combout => \WideAnd1259~combout\);

-- Location: FF_X30_Y23_N3
\led_flash_cnt_ands[1259]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1259~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1259));

-- Location: LCCOMB_X57_Y25_N2
\led_flash_cnt[1257][0]~81897\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1257][0]~81897_combout\ = !\led_flash_cnt[1257][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1257][0]~q\,
	combout => \led_flash_cnt[1257][0]~81897_combout\);

-- Location: FF_X57_Y25_N3
\led_flash_cnt[1257][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1257][0]~81897_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1257][0]~q\);

-- Location: LCCOMB_X56_Y25_N14
\led_flash_cnt[1257][1]~44478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1257][1]~44478_combout\ = (\led_flash_cnt[1257][0]~q\ & (\led_flash_cnt[1257][1]~q\ $ (VCC))) # (!\led_flash_cnt[1257][0]~q\ & (\led_flash_cnt[1257][1]~q\ & VCC))
-- \led_flash_cnt[1257][1]~44479\ = CARRY((\led_flash_cnt[1257][0]~q\ & \led_flash_cnt[1257][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1257][0]~q\,
	datab => \led_flash_cnt[1257][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1257][1]~44478_combout\,
	cout => \led_flash_cnt[1257][1]~44479\);

-- Location: FF_X56_Y25_N15
\led_flash_cnt[1257][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1257][1]~44478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1257][1]~q\);

-- Location: LCCOMB_X56_Y25_N16
\led_flash_cnt[1257][2]~44480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1257][2]~44480_combout\ = (\led_flash_cnt[1257][2]~q\ & (!\led_flash_cnt[1257][1]~44479\)) # (!\led_flash_cnt[1257][2]~q\ & ((\led_flash_cnt[1257][1]~44479\) # (GND)))
-- \led_flash_cnt[1257][2]~44481\ = CARRY((!\led_flash_cnt[1257][1]~44479\) # (!\led_flash_cnt[1257][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1257][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1257][1]~44479\,
	combout => \led_flash_cnt[1257][2]~44480_combout\,
	cout => \led_flash_cnt[1257][2]~44481\);

-- Location: FF_X56_Y25_N17
\led_flash_cnt[1257][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1257][2]~44480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1257][2]~q\);

-- Location: LCCOMB_X56_Y25_N18
\led_flash_cnt[1257][3]~44482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1257][3]~44482_combout\ = (\led_flash_cnt[1257][3]~q\ & (\led_flash_cnt[1257][2]~44481\ $ (GND))) # (!\led_flash_cnt[1257][3]~q\ & (!\led_flash_cnt[1257][2]~44481\ & VCC))
-- \led_flash_cnt[1257][3]~44483\ = CARRY((\led_flash_cnt[1257][3]~q\ & !\led_flash_cnt[1257][2]~44481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1257][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1257][2]~44481\,
	combout => \led_flash_cnt[1257][3]~44482_combout\,
	cout => \led_flash_cnt[1257][3]~44483\);

-- Location: FF_X56_Y25_N19
\led_flash_cnt[1257][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1257][3]~44482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1257][3]~q\);

-- Location: LCCOMB_X56_Y25_N20
\led_flash_cnt[1257][4]~44484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1257][4]~44484_combout\ = (\led_flash_cnt[1257][4]~q\ & (!\led_flash_cnt[1257][3]~44483\)) # (!\led_flash_cnt[1257][4]~q\ & ((\led_flash_cnt[1257][3]~44483\) # (GND)))
-- \led_flash_cnt[1257][4]~44485\ = CARRY((!\led_flash_cnt[1257][3]~44483\) # (!\led_flash_cnt[1257][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1257][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1257][3]~44483\,
	combout => \led_flash_cnt[1257][4]~44484_combout\,
	cout => \led_flash_cnt[1257][4]~44485\);

-- Location: FF_X56_Y25_N21
\led_flash_cnt[1257][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1257][4]~44484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1257][4]~q\);

-- Location: LCCOMB_X56_Y25_N22
\led_flash_cnt[1257][5]~44486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1257][5]~44486_combout\ = (\led_flash_cnt[1257][5]~q\ & (\led_flash_cnt[1257][4]~44485\ $ (GND))) # (!\led_flash_cnt[1257][5]~q\ & (!\led_flash_cnt[1257][4]~44485\ & VCC))
-- \led_flash_cnt[1257][5]~44487\ = CARRY((\led_flash_cnt[1257][5]~q\ & !\led_flash_cnt[1257][4]~44485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1257][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1257][4]~44485\,
	combout => \led_flash_cnt[1257][5]~44486_combout\,
	cout => \led_flash_cnt[1257][5]~44487\);

-- Location: FF_X56_Y25_N23
\led_flash_cnt[1257][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1257][5]~44486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1257][5]~q\);

-- Location: LCCOMB_X56_Y25_N24
\led_flash_cnt[1257][6]~44488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1257][6]~44488_combout\ = (\led_flash_cnt[1257][6]~q\ & (!\led_flash_cnt[1257][5]~44487\)) # (!\led_flash_cnt[1257][6]~q\ & ((\led_flash_cnt[1257][5]~44487\) # (GND)))
-- \led_flash_cnt[1257][6]~44489\ = CARRY((!\led_flash_cnt[1257][5]~44487\) # (!\led_flash_cnt[1257][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1257][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1257][5]~44487\,
	combout => \led_flash_cnt[1257][6]~44488_combout\,
	cout => \led_flash_cnt[1257][6]~44489\);

-- Location: FF_X56_Y25_N25
\led_flash_cnt[1257][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1257][6]~44488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1257][6]~q\);

-- Location: LCCOMB_X57_Y25_N26
\WideAnd1257~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1257~1_combout\ = (\led_flash_cnt[1257][6]~q\ & \led_flash_cnt[1257][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1257][6]~q\,
	datad => \led_flash_cnt[1257][5]~q\,
	combout => \WideAnd1257~1_combout\);

-- Location: LCCOMB_X56_Y25_N28
\WideAnd1257~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1257~0_combout\ = (\led_flash_cnt[1257][3]~q\ & (\led_flash_cnt[1257][4]~q\ & (\led_flash_cnt[1257][1]~q\ & \led_flash_cnt[1257][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1257][3]~q\,
	datab => \led_flash_cnt[1257][4]~q\,
	datac => \led_flash_cnt[1257][1]~q\,
	datad => \led_flash_cnt[1257][2]~q\,
	combout => \WideAnd1257~0_combout\);

-- Location: LCCOMB_X56_Y25_N26
\led_flash_cnt[1257][7]~44490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1257][7]~44490_combout\ = \led_flash_cnt[1257][7]~q\ $ (!\led_flash_cnt[1257][6]~44489\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1257][7]~q\,
	cin => \led_flash_cnt[1257][6]~44489\,
	combout => \led_flash_cnt[1257][7]~44490_combout\);

-- Location: FF_X56_Y25_N27
\led_flash_cnt[1257][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1257][7]~44490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1257][7]~q\);

-- Location: LCCOMB_X57_Y25_N6
WideAnd1257 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1257~combout\ = (\WideAnd1257~1_combout\ & (\WideAnd1257~0_combout\ & (\led_flash_cnt[1257][7]~q\ & \led_flash_cnt[1257][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1257~1_combout\,
	datab => \WideAnd1257~0_combout\,
	datac => \led_flash_cnt[1257][7]~q\,
	datad => \led_flash_cnt[1257][0]~q\,
	combout => \WideAnd1257~combout\);

-- Location: FF_X57_Y25_N7
\led_flash_cnt_ands[1257]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1257~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1257));

-- Location: LCCOMB_X31_Y23_N8
\led_flash_cnt[1258][0]~81898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1258][0]~81898_combout\ = !\led_flash_cnt[1258][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1258][0]~q\,
	combout => \led_flash_cnt[1258][0]~81898_combout\);

-- Location: FF_X31_Y23_N9
\led_flash_cnt[1258][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1258][0]~81898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1258][0]~q\);

-- Location: LCCOMB_X32_Y23_N18
\led_flash_cnt[1258][1]~44492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1258][1]~44492_combout\ = (\led_flash_cnt[1258][0]~q\ & (\led_flash_cnt[1258][1]~q\ $ (VCC))) # (!\led_flash_cnt[1258][0]~q\ & (\led_flash_cnt[1258][1]~q\ & VCC))
-- \led_flash_cnt[1258][1]~44493\ = CARRY((\led_flash_cnt[1258][0]~q\ & \led_flash_cnt[1258][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1258][0]~q\,
	datab => \led_flash_cnt[1258][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1258][1]~44492_combout\,
	cout => \led_flash_cnt[1258][1]~44493\);

-- Location: FF_X32_Y23_N19
\led_flash_cnt[1258][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1258][1]~44492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1258][1]~q\);

-- Location: LCCOMB_X32_Y23_N20
\led_flash_cnt[1258][2]~44494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1258][2]~44494_combout\ = (\led_flash_cnt[1258][2]~q\ & (!\led_flash_cnt[1258][1]~44493\)) # (!\led_flash_cnt[1258][2]~q\ & ((\led_flash_cnt[1258][1]~44493\) # (GND)))
-- \led_flash_cnt[1258][2]~44495\ = CARRY((!\led_flash_cnt[1258][1]~44493\) # (!\led_flash_cnt[1258][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1258][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1258][1]~44493\,
	combout => \led_flash_cnt[1258][2]~44494_combout\,
	cout => \led_flash_cnt[1258][2]~44495\);

-- Location: FF_X32_Y23_N21
\led_flash_cnt[1258][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1258][2]~44494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1258][2]~q\);

-- Location: LCCOMB_X32_Y23_N22
\led_flash_cnt[1258][3]~44496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1258][3]~44496_combout\ = (\led_flash_cnt[1258][3]~q\ & (\led_flash_cnt[1258][2]~44495\ $ (GND))) # (!\led_flash_cnt[1258][3]~q\ & (!\led_flash_cnt[1258][2]~44495\ & VCC))
-- \led_flash_cnt[1258][3]~44497\ = CARRY((\led_flash_cnt[1258][3]~q\ & !\led_flash_cnt[1258][2]~44495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1258][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1258][2]~44495\,
	combout => \led_flash_cnt[1258][3]~44496_combout\,
	cout => \led_flash_cnt[1258][3]~44497\);

-- Location: FF_X32_Y23_N23
\led_flash_cnt[1258][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1258][3]~44496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1258][3]~q\);

-- Location: LCCOMB_X32_Y23_N24
\led_flash_cnt[1258][4]~44498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1258][4]~44498_combout\ = (\led_flash_cnt[1258][4]~q\ & (!\led_flash_cnt[1258][3]~44497\)) # (!\led_flash_cnt[1258][4]~q\ & ((\led_flash_cnt[1258][3]~44497\) # (GND)))
-- \led_flash_cnt[1258][4]~44499\ = CARRY((!\led_flash_cnt[1258][3]~44497\) # (!\led_flash_cnt[1258][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1258][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1258][3]~44497\,
	combout => \led_flash_cnt[1258][4]~44498_combout\,
	cout => \led_flash_cnt[1258][4]~44499\);

-- Location: FF_X32_Y23_N25
\led_flash_cnt[1258][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1258][4]~44498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1258][4]~q\);

-- Location: LCCOMB_X32_Y23_N26
\led_flash_cnt[1258][5]~44500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1258][5]~44500_combout\ = (\led_flash_cnt[1258][5]~q\ & (\led_flash_cnt[1258][4]~44499\ $ (GND))) # (!\led_flash_cnt[1258][5]~q\ & (!\led_flash_cnt[1258][4]~44499\ & VCC))
-- \led_flash_cnt[1258][5]~44501\ = CARRY((\led_flash_cnt[1258][5]~q\ & !\led_flash_cnt[1258][4]~44499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1258][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1258][4]~44499\,
	combout => \led_flash_cnt[1258][5]~44500_combout\,
	cout => \led_flash_cnt[1258][5]~44501\);

-- Location: FF_X32_Y23_N27
\led_flash_cnt[1258][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1258][5]~44500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1258][5]~q\);

-- Location: LCCOMB_X32_Y23_N28
\led_flash_cnt[1258][6]~44502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1258][6]~44502_combout\ = (\led_flash_cnt[1258][6]~q\ & (!\led_flash_cnt[1258][5]~44501\)) # (!\led_flash_cnt[1258][6]~q\ & ((\led_flash_cnt[1258][5]~44501\) # (GND)))
-- \led_flash_cnt[1258][6]~44503\ = CARRY((!\led_flash_cnt[1258][5]~44501\) # (!\led_flash_cnt[1258][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1258][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1258][5]~44501\,
	combout => \led_flash_cnt[1258][6]~44502_combout\,
	cout => \led_flash_cnt[1258][6]~44503\);

-- Location: FF_X32_Y23_N29
\led_flash_cnt[1258][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1258][6]~44502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1258][6]~q\);

-- Location: LCCOMB_X31_Y23_N12
\WideAnd1258~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1258~1_combout\ = (\led_flash_cnt[1258][5]~q\ & \led_flash_cnt[1258][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1258][5]~q\,
	datad => \led_flash_cnt[1258][6]~q\,
	combout => \WideAnd1258~1_combout\);

-- Location: LCCOMB_X31_Y23_N16
\WideAnd1258~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1258~0_combout\ = (\led_flash_cnt[1258][1]~q\ & (\led_flash_cnt[1258][4]~q\ & (\led_flash_cnt[1258][2]~q\ & \led_flash_cnt[1258][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1258][1]~q\,
	datab => \led_flash_cnt[1258][4]~q\,
	datac => \led_flash_cnt[1258][2]~q\,
	datad => \led_flash_cnt[1258][3]~q\,
	combout => \WideAnd1258~0_combout\);

-- Location: LCCOMB_X32_Y23_N30
\led_flash_cnt[1258][7]~44504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1258][7]~44504_combout\ = \led_flash_cnt[1258][7]~q\ $ (!\led_flash_cnt[1258][6]~44503\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1258][7]~q\,
	cin => \led_flash_cnt[1258][6]~44503\,
	combout => \led_flash_cnt[1258][7]~44504_combout\);

-- Location: FF_X32_Y23_N31
\led_flash_cnt[1258][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1258][7]~44504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1258][7]~q\);

-- Location: LCCOMB_X31_Y23_N4
WideAnd1258 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1258~combout\ = (\WideAnd1258~1_combout\ & (\WideAnd1258~0_combout\ & (\led_flash_cnt[1258][7]~q\ & \led_flash_cnt[1258][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1258~1_combout\,
	datab => \WideAnd1258~0_combout\,
	datac => \led_flash_cnt[1258][7]~q\,
	datad => \led_flash_cnt[1258][0]~q\,
	combout => \WideAnd1258~combout\);

-- Location: FF_X31_Y23_N5
\led_flash_cnt_ands[1258]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1258~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1258));

-- Location: LCCOMB_X30_Y23_N20
\WideAnd3997~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3997~0_combout\ = (led_flash_cnt_ands(1256) & (led_flash_cnt_ands(1259) & (led_flash_cnt_ands(1257) & led_flash_cnt_ands(1258))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1256),
	datab => led_flash_cnt_ands(1259),
	datac => led_flash_cnt_ands(1257),
	datad => led_flash_cnt_ands(1258),
	combout => \WideAnd3997~0_combout\);

-- Location: LCCOMB_X24_Y14_N20
\led_flash_cnt[1260][0]~81900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1260][0]~81900_combout\ = !\led_flash_cnt[1260][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1260][0]~q\,
	combout => \led_flash_cnt[1260][0]~81900_combout\);

-- Location: FF_X24_Y14_N21
\led_flash_cnt[1260][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1260][0]~81900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1260][0]~q\);

-- Location: LCCOMB_X25_Y14_N0
\led_flash_cnt[1260][1]~44520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1260][1]~44520_combout\ = (\led_flash_cnt[1260][0]~q\ & (\led_flash_cnt[1260][1]~q\ $ (VCC))) # (!\led_flash_cnt[1260][0]~q\ & (\led_flash_cnt[1260][1]~q\ & VCC))
-- \led_flash_cnt[1260][1]~44521\ = CARRY((\led_flash_cnt[1260][0]~q\ & \led_flash_cnt[1260][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1260][0]~q\,
	datab => \led_flash_cnt[1260][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1260][1]~44520_combout\,
	cout => \led_flash_cnt[1260][1]~44521\);

-- Location: FF_X25_Y14_N1
\led_flash_cnt[1260][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1260][1]~44520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1260][1]~q\);

-- Location: LCCOMB_X25_Y14_N2
\led_flash_cnt[1260][2]~44522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1260][2]~44522_combout\ = (\led_flash_cnt[1260][2]~q\ & (!\led_flash_cnt[1260][1]~44521\)) # (!\led_flash_cnt[1260][2]~q\ & ((\led_flash_cnt[1260][1]~44521\) # (GND)))
-- \led_flash_cnt[1260][2]~44523\ = CARRY((!\led_flash_cnt[1260][1]~44521\) # (!\led_flash_cnt[1260][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1260][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1260][1]~44521\,
	combout => \led_flash_cnt[1260][2]~44522_combout\,
	cout => \led_flash_cnt[1260][2]~44523\);

-- Location: FF_X25_Y14_N3
\led_flash_cnt[1260][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1260][2]~44522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1260][2]~q\);

-- Location: LCCOMB_X25_Y14_N4
\led_flash_cnt[1260][3]~44524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1260][3]~44524_combout\ = (\led_flash_cnt[1260][3]~q\ & (\led_flash_cnt[1260][2]~44523\ $ (GND))) # (!\led_flash_cnt[1260][3]~q\ & (!\led_flash_cnt[1260][2]~44523\ & VCC))
-- \led_flash_cnt[1260][3]~44525\ = CARRY((\led_flash_cnt[1260][3]~q\ & !\led_flash_cnt[1260][2]~44523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1260][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1260][2]~44523\,
	combout => \led_flash_cnt[1260][3]~44524_combout\,
	cout => \led_flash_cnt[1260][3]~44525\);

-- Location: FF_X25_Y14_N5
\led_flash_cnt[1260][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1260][3]~44524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1260][3]~q\);

-- Location: LCCOMB_X25_Y14_N6
\led_flash_cnt[1260][4]~44526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1260][4]~44526_combout\ = (\led_flash_cnt[1260][4]~q\ & (!\led_flash_cnt[1260][3]~44525\)) # (!\led_flash_cnt[1260][4]~q\ & ((\led_flash_cnt[1260][3]~44525\) # (GND)))
-- \led_flash_cnt[1260][4]~44527\ = CARRY((!\led_flash_cnt[1260][3]~44525\) # (!\led_flash_cnt[1260][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1260][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1260][3]~44525\,
	combout => \led_flash_cnt[1260][4]~44526_combout\,
	cout => \led_flash_cnt[1260][4]~44527\);

-- Location: FF_X25_Y14_N7
\led_flash_cnt[1260][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1260][4]~44526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1260][4]~q\);

-- Location: LCCOMB_X25_Y14_N30
\WideAnd1260~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1260~0_combout\ = (\led_flash_cnt[1260][4]~q\ & (\led_flash_cnt[1260][1]~q\ & (\led_flash_cnt[1260][3]~q\ & \led_flash_cnt[1260][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1260][4]~q\,
	datab => \led_flash_cnt[1260][1]~q\,
	datac => \led_flash_cnt[1260][3]~q\,
	datad => \led_flash_cnt[1260][2]~q\,
	combout => \WideAnd1260~0_combout\);

-- Location: LCCOMB_X25_Y14_N8
\led_flash_cnt[1260][5]~44528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1260][5]~44528_combout\ = (\led_flash_cnt[1260][5]~q\ & (\led_flash_cnt[1260][4]~44527\ $ (GND))) # (!\led_flash_cnt[1260][5]~q\ & (!\led_flash_cnt[1260][4]~44527\ & VCC))
-- \led_flash_cnt[1260][5]~44529\ = CARRY((\led_flash_cnt[1260][5]~q\ & !\led_flash_cnt[1260][4]~44527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1260][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1260][4]~44527\,
	combout => \led_flash_cnt[1260][5]~44528_combout\,
	cout => \led_flash_cnt[1260][5]~44529\);

-- Location: FF_X25_Y14_N9
\led_flash_cnt[1260][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1260][5]~44528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1260][5]~q\);

-- Location: LCCOMB_X25_Y14_N10
\led_flash_cnt[1260][6]~44530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1260][6]~44530_combout\ = (\led_flash_cnt[1260][6]~q\ & (!\led_flash_cnt[1260][5]~44529\)) # (!\led_flash_cnt[1260][6]~q\ & ((\led_flash_cnt[1260][5]~44529\) # (GND)))
-- \led_flash_cnt[1260][6]~44531\ = CARRY((!\led_flash_cnt[1260][5]~44529\) # (!\led_flash_cnt[1260][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1260][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1260][5]~44529\,
	combout => \led_flash_cnt[1260][6]~44530_combout\,
	cout => \led_flash_cnt[1260][6]~44531\);

-- Location: FF_X25_Y14_N11
\led_flash_cnt[1260][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1260][6]~44530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1260][6]~q\);

-- Location: LCCOMB_X25_Y14_N12
\led_flash_cnt[1260][7]~44532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1260][7]~44532_combout\ = \led_flash_cnt[1260][6]~44531\ $ (!\led_flash_cnt[1260][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1260][7]~q\,
	cin => \led_flash_cnt[1260][6]~44531\,
	combout => \led_flash_cnt[1260][7]~44532_combout\);

-- Location: FF_X25_Y14_N13
\led_flash_cnt[1260][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1260][7]~44532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1260][7]~q\);

-- Location: LCCOMB_X24_Y14_N28
\WideAnd1260~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1260~1_combout\ = (\led_flash_cnt[1260][5]~q\ & \led_flash_cnt[1260][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1260][5]~q\,
	datac => \led_flash_cnt[1260][6]~q\,
	combout => \WideAnd1260~1_combout\);

-- Location: LCCOMB_X24_Y14_N2
WideAnd1260 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1260~combout\ = (\WideAnd1260~0_combout\ & (\led_flash_cnt[1260][0]~q\ & (\led_flash_cnt[1260][7]~q\ & \WideAnd1260~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1260~0_combout\,
	datab => \led_flash_cnt[1260][0]~q\,
	datac => \led_flash_cnt[1260][7]~q\,
	datad => \WideAnd1260~1_combout\,
	combout => \WideAnd1260~combout\);

-- Location: FF_X24_Y14_N3
\led_flash_cnt_ands[1260]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1260~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1260));

-- Location: LCCOMB_X24_Y22_N10
\led_flash_cnt[1261][0]~81901\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1261][0]~81901_combout\ = !\led_flash_cnt[1261][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1261][0]~q\,
	combout => \led_flash_cnt[1261][0]~81901_combout\);

-- Location: FF_X24_Y22_N11
\led_flash_cnt[1261][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1261][0]~81901_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1261][0]~q\);

-- Location: LCCOMB_X25_Y22_N16
\led_flash_cnt[1261][1]~44534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1261][1]~44534_combout\ = (\led_flash_cnt[1261][0]~q\ & (\led_flash_cnt[1261][1]~q\ $ (VCC))) # (!\led_flash_cnt[1261][0]~q\ & (\led_flash_cnt[1261][1]~q\ & VCC))
-- \led_flash_cnt[1261][1]~44535\ = CARRY((\led_flash_cnt[1261][0]~q\ & \led_flash_cnt[1261][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1261][0]~q\,
	datab => \led_flash_cnt[1261][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1261][1]~44534_combout\,
	cout => \led_flash_cnt[1261][1]~44535\);

-- Location: FF_X25_Y22_N17
\led_flash_cnt[1261][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1261][1]~44534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1261][1]~q\);

-- Location: LCCOMB_X25_Y22_N18
\led_flash_cnt[1261][2]~44536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1261][2]~44536_combout\ = (\led_flash_cnt[1261][2]~q\ & (!\led_flash_cnt[1261][1]~44535\)) # (!\led_flash_cnt[1261][2]~q\ & ((\led_flash_cnt[1261][1]~44535\) # (GND)))
-- \led_flash_cnt[1261][2]~44537\ = CARRY((!\led_flash_cnt[1261][1]~44535\) # (!\led_flash_cnt[1261][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1261][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1261][1]~44535\,
	combout => \led_flash_cnt[1261][2]~44536_combout\,
	cout => \led_flash_cnt[1261][2]~44537\);

-- Location: FF_X25_Y22_N19
\led_flash_cnt[1261][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1261][2]~44536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1261][2]~q\);

-- Location: LCCOMB_X25_Y22_N20
\led_flash_cnt[1261][3]~44538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1261][3]~44538_combout\ = (\led_flash_cnt[1261][3]~q\ & (\led_flash_cnt[1261][2]~44537\ $ (GND))) # (!\led_flash_cnt[1261][3]~q\ & (!\led_flash_cnt[1261][2]~44537\ & VCC))
-- \led_flash_cnt[1261][3]~44539\ = CARRY((\led_flash_cnt[1261][3]~q\ & !\led_flash_cnt[1261][2]~44537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1261][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1261][2]~44537\,
	combout => \led_flash_cnt[1261][3]~44538_combout\,
	cout => \led_flash_cnt[1261][3]~44539\);

-- Location: FF_X25_Y22_N21
\led_flash_cnt[1261][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1261][3]~44538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1261][3]~q\);

-- Location: LCCOMB_X25_Y22_N22
\led_flash_cnt[1261][4]~44540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1261][4]~44540_combout\ = (\led_flash_cnt[1261][4]~q\ & (!\led_flash_cnt[1261][3]~44539\)) # (!\led_flash_cnt[1261][4]~q\ & ((\led_flash_cnt[1261][3]~44539\) # (GND)))
-- \led_flash_cnt[1261][4]~44541\ = CARRY((!\led_flash_cnt[1261][3]~44539\) # (!\led_flash_cnt[1261][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1261][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1261][3]~44539\,
	combout => \led_flash_cnt[1261][4]~44540_combout\,
	cout => \led_flash_cnt[1261][4]~44541\);

-- Location: FF_X25_Y22_N23
\led_flash_cnt[1261][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1261][4]~44540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1261][4]~q\);

-- Location: LCCOMB_X25_Y22_N24
\led_flash_cnt[1261][5]~44542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1261][5]~44542_combout\ = (\led_flash_cnt[1261][5]~q\ & (\led_flash_cnt[1261][4]~44541\ $ (GND))) # (!\led_flash_cnt[1261][5]~q\ & (!\led_flash_cnt[1261][4]~44541\ & VCC))
-- \led_flash_cnt[1261][5]~44543\ = CARRY((\led_flash_cnt[1261][5]~q\ & !\led_flash_cnt[1261][4]~44541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1261][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1261][4]~44541\,
	combout => \led_flash_cnt[1261][5]~44542_combout\,
	cout => \led_flash_cnt[1261][5]~44543\);

-- Location: FF_X25_Y22_N25
\led_flash_cnt[1261][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1261][5]~44542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1261][5]~q\);

-- Location: LCCOMB_X25_Y22_N26
\led_flash_cnt[1261][6]~44544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1261][6]~44544_combout\ = (\led_flash_cnt[1261][6]~q\ & (!\led_flash_cnt[1261][5]~44543\)) # (!\led_flash_cnt[1261][6]~q\ & ((\led_flash_cnt[1261][5]~44543\) # (GND)))
-- \led_flash_cnt[1261][6]~44545\ = CARRY((!\led_flash_cnt[1261][5]~44543\) # (!\led_flash_cnt[1261][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1261][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1261][5]~44543\,
	combout => \led_flash_cnt[1261][6]~44544_combout\,
	cout => \led_flash_cnt[1261][6]~44545\);

-- Location: FF_X25_Y22_N27
\led_flash_cnt[1261][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1261][6]~44544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1261][6]~q\);

-- Location: LCCOMB_X25_Y22_N28
\led_flash_cnt[1261][7]~44546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1261][7]~44546_combout\ = \led_flash_cnt[1261][6]~44545\ $ (!\led_flash_cnt[1261][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1261][7]~q\,
	cin => \led_flash_cnt[1261][6]~44545\,
	combout => \led_flash_cnt[1261][7]~44546_combout\);

-- Location: FF_X25_Y22_N29
\led_flash_cnt[1261][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1261][7]~44546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1261][7]~q\);

-- Location: LCCOMB_X25_Y22_N30
\WideAnd1261~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1261~0_combout\ = (\led_flash_cnt[1261][2]~q\ & (\led_flash_cnt[1261][3]~q\ & (\led_flash_cnt[1261][4]~q\ & \led_flash_cnt[1261][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1261][2]~q\,
	datab => \led_flash_cnt[1261][3]~q\,
	datac => \led_flash_cnt[1261][4]~q\,
	datad => \led_flash_cnt[1261][1]~q\,
	combout => \WideAnd1261~0_combout\);

-- Location: LCCOMB_X24_Y22_N6
\WideAnd1261~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1261~1_combout\ = (\led_flash_cnt[1261][5]~q\ & \led_flash_cnt[1261][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1261][5]~q\,
	datad => \led_flash_cnt[1261][6]~q\,
	combout => \WideAnd1261~1_combout\);

-- Location: LCCOMB_X24_Y22_N4
WideAnd1261 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1261~combout\ = (\led_flash_cnt[1261][0]~q\ & (\led_flash_cnt[1261][7]~q\ & (\WideAnd1261~0_combout\ & \WideAnd1261~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1261][0]~q\,
	datab => \led_flash_cnt[1261][7]~q\,
	datac => \WideAnd1261~0_combout\,
	datad => \WideAnd1261~1_combout\,
	combout => \WideAnd1261~combout\);

-- Location: FF_X24_Y22_N5
\led_flash_cnt_ands[1261]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1261~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1261));

-- Location: LCCOMB_X24_Y14_N26
\WideAnd3997~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3997~1_combout\ = (led_flash_cnt_ands(1260) & led_flash_cnt_ands(1261))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(1260),
	datad => led_flash_cnt_ands(1261),
	combout => \WideAnd3997~1_combout\);

-- Location: LCCOMB_X24_Y11_N22
WideAnd3997 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3997~combout\ = (led_flash_cnt_ands(1262) & (led_flash_cnt_ands(1263) & (\WideAnd3997~0_combout\ & \WideAnd3997~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1262),
	datab => led_flash_cnt_ands(1263),
	datac => \WideAnd3997~0_combout\,
	datad => \WideAnd3997~1_combout\,
	combout => \WideAnd3997~combout\);

-- Location: FF_X24_Y11_N23
\led_flash_cnt_ands_1[157]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3997~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(157));

-- Location: LCCOMB_X14_Y24_N30
\led_flash_cnt[1252][0]~81892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1252][0]~81892_combout\ = !\led_flash_cnt[1252][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1252][0]~q\,
	combout => \led_flash_cnt[1252][0]~81892_combout\);

-- Location: FF_X14_Y24_N31
\led_flash_cnt[1252][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1252][0]~81892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1252][0]~q\);

-- Location: LCCOMB_X17_Y24_N8
\led_flash_cnt[1252][1]~44408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1252][1]~44408_combout\ = (\led_flash_cnt[1252][0]~q\ & (\led_flash_cnt[1252][1]~q\ $ (VCC))) # (!\led_flash_cnt[1252][0]~q\ & (\led_flash_cnt[1252][1]~q\ & VCC))
-- \led_flash_cnt[1252][1]~44409\ = CARRY((\led_flash_cnt[1252][0]~q\ & \led_flash_cnt[1252][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1252][0]~q\,
	datab => \led_flash_cnt[1252][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1252][1]~44408_combout\,
	cout => \led_flash_cnt[1252][1]~44409\);

-- Location: FF_X17_Y24_N9
\led_flash_cnt[1252][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1252][1]~44408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1252][1]~q\);

-- Location: LCCOMB_X17_Y24_N10
\led_flash_cnt[1252][2]~44410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1252][2]~44410_combout\ = (\led_flash_cnt[1252][2]~q\ & (!\led_flash_cnt[1252][1]~44409\)) # (!\led_flash_cnt[1252][2]~q\ & ((\led_flash_cnt[1252][1]~44409\) # (GND)))
-- \led_flash_cnt[1252][2]~44411\ = CARRY((!\led_flash_cnt[1252][1]~44409\) # (!\led_flash_cnt[1252][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1252][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1252][1]~44409\,
	combout => \led_flash_cnt[1252][2]~44410_combout\,
	cout => \led_flash_cnt[1252][2]~44411\);

-- Location: FF_X17_Y24_N11
\led_flash_cnt[1252][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1252][2]~44410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1252][2]~q\);

-- Location: LCCOMB_X17_Y24_N12
\led_flash_cnt[1252][3]~44412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1252][3]~44412_combout\ = (\led_flash_cnt[1252][3]~q\ & (\led_flash_cnt[1252][2]~44411\ $ (GND))) # (!\led_flash_cnt[1252][3]~q\ & (!\led_flash_cnt[1252][2]~44411\ & VCC))
-- \led_flash_cnt[1252][3]~44413\ = CARRY((\led_flash_cnt[1252][3]~q\ & !\led_flash_cnt[1252][2]~44411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1252][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1252][2]~44411\,
	combout => \led_flash_cnt[1252][3]~44412_combout\,
	cout => \led_flash_cnt[1252][3]~44413\);

-- Location: FF_X17_Y24_N13
\led_flash_cnt[1252][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1252][3]~44412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1252][3]~q\);

-- Location: LCCOMB_X17_Y24_N14
\led_flash_cnt[1252][4]~44414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1252][4]~44414_combout\ = (\led_flash_cnt[1252][4]~q\ & (!\led_flash_cnt[1252][3]~44413\)) # (!\led_flash_cnt[1252][4]~q\ & ((\led_flash_cnt[1252][3]~44413\) # (GND)))
-- \led_flash_cnt[1252][4]~44415\ = CARRY((!\led_flash_cnt[1252][3]~44413\) # (!\led_flash_cnt[1252][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1252][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1252][3]~44413\,
	combout => \led_flash_cnt[1252][4]~44414_combout\,
	cout => \led_flash_cnt[1252][4]~44415\);

-- Location: FF_X17_Y24_N15
\led_flash_cnt[1252][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1252][4]~44414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1252][4]~q\);

-- Location: LCCOMB_X17_Y24_N16
\led_flash_cnt[1252][5]~44416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1252][5]~44416_combout\ = (\led_flash_cnt[1252][5]~q\ & (\led_flash_cnt[1252][4]~44415\ $ (GND))) # (!\led_flash_cnt[1252][5]~q\ & (!\led_flash_cnt[1252][4]~44415\ & VCC))
-- \led_flash_cnt[1252][5]~44417\ = CARRY((\led_flash_cnt[1252][5]~q\ & !\led_flash_cnt[1252][4]~44415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1252][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1252][4]~44415\,
	combout => \led_flash_cnt[1252][5]~44416_combout\,
	cout => \led_flash_cnt[1252][5]~44417\);

-- Location: FF_X17_Y24_N17
\led_flash_cnt[1252][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1252][5]~44416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1252][5]~q\);

-- Location: LCCOMB_X17_Y24_N18
\led_flash_cnt[1252][6]~44418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1252][6]~44418_combout\ = (\led_flash_cnt[1252][6]~q\ & (!\led_flash_cnt[1252][5]~44417\)) # (!\led_flash_cnt[1252][6]~q\ & ((\led_flash_cnt[1252][5]~44417\) # (GND)))
-- \led_flash_cnt[1252][6]~44419\ = CARRY((!\led_flash_cnt[1252][5]~44417\) # (!\led_flash_cnt[1252][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1252][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1252][5]~44417\,
	combout => \led_flash_cnt[1252][6]~44418_combout\,
	cout => \led_flash_cnt[1252][6]~44419\);

-- Location: FF_X17_Y24_N19
\led_flash_cnt[1252][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1252][6]~44418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1252][6]~q\);

-- Location: LCCOMB_X17_Y24_N20
\led_flash_cnt[1252][7]~44420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1252][7]~44420_combout\ = \led_flash_cnt[1252][6]~44419\ $ (!\led_flash_cnt[1252][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1252][7]~q\,
	cin => \led_flash_cnt[1252][6]~44419\,
	combout => \led_flash_cnt[1252][7]~44420_combout\);

-- Location: FF_X17_Y24_N21
\led_flash_cnt[1252][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1252][7]~44420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1252][7]~q\);

-- Location: LCCOMB_X17_Y24_N26
\WideAnd1252~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1252~0_combout\ = (\led_flash_cnt[1252][2]~q\ & (\led_flash_cnt[1252][1]~q\ & (\led_flash_cnt[1252][4]~q\ & \led_flash_cnt[1252][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1252][2]~q\,
	datab => \led_flash_cnt[1252][1]~q\,
	datac => \led_flash_cnt[1252][4]~q\,
	datad => \led_flash_cnt[1252][3]~q\,
	combout => \WideAnd1252~0_combout\);

-- Location: LCCOMB_X17_Y24_N2
\WideAnd1252~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1252~1_combout\ = (\led_flash_cnt[1252][5]~q\ & \led_flash_cnt[1252][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1252][5]~q\,
	datad => \led_flash_cnt[1252][6]~q\,
	combout => \WideAnd1252~1_combout\);

-- Location: LCCOMB_X17_Y24_N30
WideAnd1252 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1252~combout\ = (\led_flash_cnt[1252][0]~q\ & (\led_flash_cnt[1252][7]~q\ & (\WideAnd1252~0_combout\ & \WideAnd1252~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1252][0]~q\,
	datab => \led_flash_cnt[1252][7]~q\,
	datac => \WideAnd1252~0_combout\,
	datad => \WideAnd1252~1_combout\,
	combout => \WideAnd1252~combout\);

-- Location: FF_X17_Y24_N31
\led_flash_cnt_ands[1252]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1252~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1252));

-- Location: LCCOMB_X17_Y24_N6
\led_flash_cnt[1253][0]~81893\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1253][0]~81893_combout\ = !\led_flash_cnt[1253][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1253][0]~q\,
	combout => \led_flash_cnt[1253][0]~81893_combout\);

-- Location: FF_X17_Y24_N7
\led_flash_cnt[1253][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1253][0]~81893_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1253][0]~q\);

-- Location: LCCOMB_X18_Y24_N14
\led_flash_cnt[1253][1]~44422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1253][1]~44422_combout\ = (\led_flash_cnt[1253][1]~q\ & (\led_flash_cnt[1253][0]~q\ $ (VCC))) # (!\led_flash_cnt[1253][1]~q\ & (\led_flash_cnt[1253][0]~q\ & VCC))
-- \led_flash_cnt[1253][1]~44423\ = CARRY((\led_flash_cnt[1253][1]~q\ & \led_flash_cnt[1253][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1253][1]~q\,
	datab => \led_flash_cnt[1253][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1253][1]~44422_combout\,
	cout => \led_flash_cnt[1253][1]~44423\);

-- Location: FF_X18_Y24_N15
\led_flash_cnt[1253][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1253][1]~44422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1253][1]~q\);

-- Location: LCCOMB_X18_Y24_N16
\led_flash_cnt[1253][2]~44424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1253][2]~44424_combout\ = (\led_flash_cnt[1253][2]~q\ & (!\led_flash_cnt[1253][1]~44423\)) # (!\led_flash_cnt[1253][2]~q\ & ((\led_flash_cnt[1253][1]~44423\) # (GND)))
-- \led_flash_cnt[1253][2]~44425\ = CARRY((!\led_flash_cnt[1253][1]~44423\) # (!\led_flash_cnt[1253][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1253][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1253][1]~44423\,
	combout => \led_flash_cnt[1253][2]~44424_combout\,
	cout => \led_flash_cnt[1253][2]~44425\);

-- Location: FF_X18_Y24_N17
\led_flash_cnt[1253][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1253][2]~44424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1253][2]~q\);

-- Location: LCCOMB_X18_Y24_N18
\led_flash_cnt[1253][3]~44426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1253][3]~44426_combout\ = (\led_flash_cnt[1253][3]~q\ & (\led_flash_cnt[1253][2]~44425\ $ (GND))) # (!\led_flash_cnt[1253][3]~q\ & (!\led_flash_cnt[1253][2]~44425\ & VCC))
-- \led_flash_cnt[1253][3]~44427\ = CARRY((\led_flash_cnt[1253][3]~q\ & !\led_flash_cnt[1253][2]~44425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1253][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1253][2]~44425\,
	combout => \led_flash_cnt[1253][3]~44426_combout\,
	cout => \led_flash_cnt[1253][3]~44427\);

-- Location: FF_X18_Y24_N19
\led_flash_cnt[1253][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1253][3]~44426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1253][3]~q\);

-- Location: LCCOMB_X18_Y24_N20
\led_flash_cnt[1253][4]~44428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1253][4]~44428_combout\ = (\led_flash_cnt[1253][4]~q\ & (!\led_flash_cnt[1253][3]~44427\)) # (!\led_flash_cnt[1253][4]~q\ & ((\led_flash_cnt[1253][3]~44427\) # (GND)))
-- \led_flash_cnt[1253][4]~44429\ = CARRY((!\led_flash_cnt[1253][3]~44427\) # (!\led_flash_cnt[1253][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1253][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1253][3]~44427\,
	combout => \led_flash_cnt[1253][4]~44428_combout\,
	cout => \led_flash_cnt[1253][4]~44429\);

-- Location: FF_X18_Y24_N21
\led_flash_cnt[1253][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1253][4]~44428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1253][4]~q\);

-- Location: LCCOMB_X17_Y24_N22
\WideAnd1253~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1253~0_combout\ = (\led_flash_cnt[1253][4]~q\ & (\led_flash_cnt[1253][2]~q\ & (\led_flash_cnt[1253][1]~q\ & \led_flash_cnt[1253][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1253][4]~q\,
	datab => \led_flash_cnt[1253][2]~q\,
	datac => \led_flash_cnt[1253][1]~q\,
	datad => \led_flash_cnt[1253][3]~q\,
	combout => \WideAnd1253~0_combout\);

-- Location: LCCOMB_X18_Y24_N22
\led_flash_cnt[1253][5]~44430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1253][5]~44430_combout\ = (\led_flash_cnt[1253][5]~q\ & (\led_flash_cnt[1253][4]~44429\ $ (GND))) # (!\led_flash_cnt[1253][5]~q\ & (!\led_flash_cnt[1253][4]~44429\ & VCC))
-- \led_flash_cnt[1253][5]~44431\ = CARRY((\led_flash_cnt[1253][5]~q\ & !\led_flash_cnt[1253][4]~44429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1253][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1253][4]~44429\,
	combout => \led_flash_cnt[1253][5]~44430_combout\,
	cout => \led_flash_cnt[1253][5]~44431\);

-- Location: FF_X18_Y24_N23
\led_flash_cnt[1253][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1253][5]~44430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1253][5]~q\);

-- Location: LCCOMB_X18_Y24_N24
\led_flash_cnt[1253][6]~44432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1253][6]~44432_combout\ = (\led_flash_cnt[1253][6]~q\ & (!\led_flash_cnt[1253][5]~44431\)) # (!\led_flash_cnt[1253][6]~q\ & ((\led_flash_cnt[1253][5]~44431\) # (GND)))
-- \led_flash_cnt[1253][6]~44433\ = CARRY((!\led_flash_cnt[1253][5]~44431\) # (!\led_flash_cnt[1253][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1253][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1253][5]~44431\,
	combout => \led_flash_cnt[1253][6]~44432_combout\,
	cout => \led_flash_cnt[1253][6]~44433\);

-- Location: FF_X18_Y24_N25
\led_flash_cnt[1253][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1253][6]~44432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1253][6]~q\);

-- Location: LCCOMB_X18_Y24_N26
\led_flash_cnt[1253][7]~44434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1253][7]~44434_combout\ = \led_flash_cnt[1253][7]~q\ $ (!\led_flash_cnt[1253][6]~44433\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1253][7]~q\,
	cin => \led_flash_cnt[1253][6]~44433\,
	combout => \led_flash_cnt[1253][7]~44434_combout\);

-- Location: FF_X18_Y24_N27
\led_flash_cnt[1253][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1253][7]~44434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1253][7]~q\);

-- Location: LCCOMB_X17_Y24_N4
\WideAnd1253~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1253~1_combout\ = (\led_flash_cnt[1253][5]~q\ & \led_flash_cnt[1253][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1253][5]~q\,
	datad => \led_flash_cnt[1253][6]~q\,
	combout => \WideAnd1253~1_combout\);

-- Location: LCCOMB_X17_Y24_N0
WideAnd1253 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1253~combout\ = (\WideAnd1253~0_combout\ & (\led_flash_cnt[1253][7]~q\ & (\WideAnd1253~1_combout\ & \led_flash_cnt[1253][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1253~0_combout\,
	datab => \led_flash_cnt[1253][7]~q\,
	datac => \WideAnd1253~1_combout\,
	datad => \led_flash_cnt[1253][0]~q\,
	combout => \WideAnd1253~combout\);

-- Location: FF_X17_Y24_N1
\led_flash_cnt_ands[1253]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1253~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1253));

-- Location: LCCOMB_X17_Y24_N28
\WideAnd3996~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3996~1_combout\ = (led_flash_cnt_ands(1252) & led_flash_cnt_ands(1253))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1252),
	datad => led_flash_cnt_ands(1253),
	combout => \WideAnd3996~1_combout\);

-- Location: LCCOMB_X17_Y10_N2
\led_flash_cnt[1255][0]~81895\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1255][0]~81895_combout\ = !\led_flash_cnt[1255][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1255][0]~q\,
	combout => \led_flash_cnt[1255][0]~81895_combout\);

-- Location: FF_X17_Y10_N3
\led_flash_cnt[1255][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1255][0]~81895_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1255][0]~q\);

-- Location: LCCOMB_X16_Y12_N14
\led_flash_cnt[1255][1]~44450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1255][1]~44450_combout\ = (\led_flash_cnt[1255][0]~q\ & (\led_flash_cnt[1255][1]~q\ $ (VCC))) # (!\led_flash_cnt[1255][0]~q\ & (\led_flash_cnt[1255][1]~q\ & VCC))
-- \led_flash_cnt[1255][1]~44451\ = CARRY((\led_flash_cnt[1255][0]~q\ & \led_flash_cnt[1255][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1255][0]~q\,
	datab => \led_flash_cnt[1255][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1255][1]~44450_combout\,
	cout => \led_flash_cnt[1255][1]~44451\);

-- Location: FF_X16_Y12_N15
\led_flash_cnt[1255][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1255][1]~44450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1255][1]~q\);

-- Location: LCCOMB_X16_Y12_N16
\led_flash_cnt[1255][2]~44452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1255][2]~44452_combout\ = (\led_flash_cnt[1255][2]~q\ & (!\led_flash_cnt[1255][1]~44451\)) # (!\led_flash_cnt[1255][2]~q\ & ((\led_flash_cnt[1255][1]~44451\) # (GND)))
-- \led_flash_cnt[1255][2]~44453\ = CARRY((!\led_flash_cnt[1255][1]~44451\) # (!\led_flash_cnt[1255][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1255][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1255][1]~44451\,
	combout => \led_flash_cnt[1255][2]~44452_combout\,
	cout => \led_flash_cnt[1255][2]~44453\);

-- Location: FF_X16_Y12_N17
\led_flash_cnt[1255][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1255][2]~44452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1255][2]~q\);

-- Location: LCCOMB_X16_Y12_N18
\led_flash_cnt[1255][3]~44454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1255][3]~44454_combout\ = (\led_flash_cnt[1255][3]~q\ & (\led_flash_cnt[1255][2]~44453\ $ (GND))) # (!\led_flash_cnt[1255][3]~q\ & (!\led_flash_cnt[1255][2]~44453\ & VCC))
-- \led_flash_cnt[1255][3]~44455\ = CARRY((\led_flash_cnt[1255][3]~q\ & !\led_flash_cnt[1255][2]~44453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1255][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1255][2]~44453\,
	combout => \led_flash_cnt[1255][3]~44454_combout\,
	cout => \led_flash_cnt[1255][3]~44455\);

-- Location: FF_X16_Y12_N19
\led_flash_cnt[1255][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1255][3]~44454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1255][3]~q\);

-- Location: LCCOMB_X16_Y12_N20
\led_flash_cnt[1255][4]~44456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1255][4]~44456_combout\ = (\led_flash_cnt[1255][4]~q\ & (!\led_flash_cnt[1255][3]~44455\)) # (!\led_flash_cnt[1255][4]~q\ & ((\led_flash_cnt[1255][3]~44455\) # (GND)))
-- \led_flash_cnt[1255][4]~44457\ = CARRY((!\led_flash_cnt[1255][3]~44455\) # (!\led_flash_cnt[1255][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1255][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1255][3]~44455\,
	combout => \led_flash_cnt[1255][4]~44456_combout\,
	cout => \led_flash_cnt[1255][4]~44457\);

-- Location: FF_X16_Y12_N21
\led_flash_cnt[1255][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1255][4]~44456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1255][4]~q\);

-- Location: LCCOMB_X16_Y12_N0
\WideAnd1255~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1255~0_combout\ = (\led_flash_cnt[1255][3]~q\ & (\led_flash_cnt[1255][4]~q\ & (\led_flash_cnt[1255][1]~q\ & \led_flash_cnt[1255][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1255][3]~q\,
	datab => \led_flash_cnt[1255][4]~q\,
	datac => \led_flash_cnt[1255][1]~q\,
	datad => \led_flash_cnt[1255][2]~q\,
	combout => \WideAnd1255~0_combout\);

-- Location: LCCOMB_X16_Y12_N22
\led_flash_cnt[1255][5]~44458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1255][5]~44458_combout\ = (\led_flash_cnt[1255][5]~q\ & (\led_flash_cnt[1255][4]~44457\ $ (GND))) # (!\led_flash_cnt[1255][5]~q\ & (!\led_flash_cnt[1255][4]~44457\ & VCC))
-- \led_flash_cnt[1255][5]~44459\ = CARRY((\led_flash_cnt[1255][5]~q\ & !\led_flash_cnt[1255][4]~44457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1255][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1255][4]~44457\,
	combout => \led_flash_cnt[1255][5]~44458_combout\,
	cout => \led_flash_cnt[1255][5]~44459\);

-- Location: FF_X16_Y12_N23
\led_flash_cnt[1255][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1255][5]~44458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1255][5]~q\);

-- Location: LCCOMB_X16_Y12_N24
\led_flash_cnt[1255][6]~44460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1255][6]~44460_combout\ = (\led_flash_cnt[1255][6]~q\ & (!\led_flash_cnt[1255][5]~44459\)) # (!\led_flash_cnt[1255][6]~q\ & ((\led_flash_cnt[1255][5]~44459\) # (GND)))
-- \led_flash_cnt[1255][6]~44461\ = CARRY((!\led_flash_cnt[1255][5]~44459\) # (!\led_flash_cnt[1255][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1255][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1255][5]~44459\,
	combout => \led_flash_cnt[1255][6]~44460_combout\,
	cout => \led_flash_cnt[1255][6]~44461\);

-- Location: FF_X16_Y12_N25
\led_flash_cnt[1255][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1255][6]~44460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1255][6]~q\);

-- Location: LCCOMB_X16_Y12_N26
\led_flash_cnt[1255][7]~44462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1255][7]~44462_combout\ = \led_flash_cnt[1255][7]~q\ $ (!\led_flash_cnt[1255][6]~44461\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1255][7]~q\,
	cin => \led_flash_cnt[1255][6]~44461\,
	combout => \led_flash_cnt[1255][7]~44462_combout\);

-- Location: FF_X16_Y12_N27
\led_flash_cnt[1255][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1255][7]~44462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1255][7]~q\);

-- Location: LCCOMB_X16_Y12_N12
\WideAnd1255~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1255~1_combout\ = (\led_flash_cnt[1255][5]~q\ & \led_flash_cnt[1255][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1255][5]~q\,
	datad => \led_flash_cnt[1255][6]~q\,
	combout => \WideAnd1255~1_combout\);

-- Location: LCCOMB_X16_Y12_N10
WideAnd1255 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1255~combout\ = (\led_flash_cnt[1255][0]~q\ & (\WideAnd1255~0_combout\ & (\led_flash_cnt[1255][7]~q\ & \WideAnd1255~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1255][0]~q\,
	datab => \WideAnd1255~0_combout\,
	datac => \led_flash_cnt[1255][7]~q\,
	datad => \WideAnd1255~1_combout\,
	combout => \WideAnd1255~combout\);

-- Location: FF_X16_Y12_N11
\led_flash_cnt_ands[1255]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1255~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1255));

-- Location: LCCOMB_X44_Y17_N6
\led_flash_cnt[1248][0]~81888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1248][0]~81888_combout\ = !\led_flash_cnt[1248][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1248][0]~q\,
	combout => \led_flash_cnt[1248][0]~81888_combout\);

-- Location: FF_X44_Y17_N7
\led_flash_cnt[1248][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1248][0]~81888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1248][0]~q\);

-- Location: LCCOMB_X43_Y17_N18
\led_flash_cnt[1248][1]~44352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1248][1]~44352_combout\ = (\led_flash_cnt[1248][0]~q\ & (\led_flash_cnt[1248][1]~q\ $ (VCC))) # (!\led_flash_cnt[1248][0]~q\ & (\led_flash_cnt[1248][1]~q\ & VCC))
-- \led_flash_cnt[1248][1]~44353\ = CARRY((\led_flash_cnt[1248][0]~q\ & \led_flash_cnt[1248][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1248][0]~q\,
	datab => \led_flash_cnt[1248][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1248][1]~44352_combout\,
	cout => \led_flash_cnt[1248][1]~44353\);

-- Location: FF_X43_Y17_N19
\led_flash_cnt[1248][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1248][1]~44352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1248][1]~q\);

-- Location: LCCOMB_X43_Y17_N20
\led_flash_cnt[1248][2]~44354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1248][2]~44354_combout\ = (\led_flash_cnt[1248][2]~q\ & (!\led_flash_cnt[1248][1]~44353\)) # (!\led_flash_cnt[1248][2]~q\ & ((\led_flash_cnt[1248][1]~44353\) # (GND)))
-- \led_flash_cnt[1248][2]~44355\ = CARRY((!\led_flash_cnt[1248][1]~44353\) # (!\led_flash_cnt[1248][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1248][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1248][1]~44353\,
	combout => \led_flash_cnt[1248][2]~44354_combout\,
	cout => \led_flash_cnt[1248][2]~44355\);

-- Location: FF_X43_Y17_N21
\led_flash_cnt[1248][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1248][2]~44354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1248][2]~q\);

-- Location: LCCOMB_X43_Y17_N22
\led_flash_cnt[1248][3]~44356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1248][3]~44356_combout\ = (\led_flash_cnt[1248][3]~q\ & (\led_flash_cnt[1248][2]~44355\ $ (GND))) # (!\led_flash_cnt[1248][3]~q\ & (!\led_flash_cnt[1248][2]~44355\ & VCC))
-- \led_flash_cnt[1248][3]~44357\ = CARRY((\led_flash_cnt[1248][3]~q\ & !\led_flash_cnt[1248][2]~44355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1248][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1248][2]~44355\,
	combout => \led_flash_cnt[1248][3]~44356_combout\,
	cout => \led_flash_cnt[1248][3]~44357\);

-- Location: FF_X43_Y17_N23
\led_flash_cnt[1248][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1248][3]~44356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1248][3]~q\);

-- Location: LCCOMB_X43_Y17_N24
\led_flash_cnt[1248][4]~44358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1248][4]~44358_combout\ = (\led_flash_cnt[1248][4]~q\ & (!\led_flash_cnt[1248][3]~44357\)) # (!\led_flash_cnt[1248][4]~q\ & ((\led_flash_cnt[1248][3]~44357\) # (GND)))
-- \led_flash_cnt[1248][4]~44359\ = CARRY((!\led_flash_cnt[1248][3]~44357\) # (!\led_flash_cnt[1248][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1248][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1248][3]~44357\,
	combout => \led_flash_cnt[1248][4]~44358_combout\,
	cout => \led_flash_cnt[1248][4]~44359\);

-- Location: FF_X43_Y17_N25
\led_flash_cnt[1248][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1248][4]~44358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1248][4]~q\);

-- Location: LCCOMB_X43_Y17_N26
\led_flash_cnt[1248][5]~44360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1248][5]~44360_combout\ = (\led_flash_cnt[1248][5]~q\ & (\led_flash_cnt[1248][4]~44359\ $ (GND))) # (!\led_flash_cnt[1248][5]~q\ & (!\led_flash_cnt[1248][4]~44359\ & VCC))
-- \led_flash_cnt[1248][5]~44361\ = CARRY((\led_flash_cnt[1248][5]~q\ & !\led_flash_cnt[1248][4]~44359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1248][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1248][4]~44359\,
	combout => \led_flash_cnt[1248][5]~44360_combout\,
	cout => \led_flash_cnt[1248][5]~44361\);

-- Location: FF_X43_Y17_N27
\led_flash_cnt[1248][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1248][5]~44360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1248][5]~q\);

-- Location: LCCOMB_X43_Y17_N28
\led_flash_cnt[1248][6]~44362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1248][6]~44362_combout\ = (\led_flash_cnt[1248][6]~q\ & (!\led_flash_cnt[1248][5]~44361\)) # (!\led_flash_cnt[1248][6]~q\ & ((\led_flash_cnt[1248][5]~44361\) # (GND)))
-- \led_flash_cnt[1248][6]~44363\ = CARRY((!\led_flash_cnt[1248][5]~44361\) # (!\led_flash_cnt[1248][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1248][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1248][5]~44361\,
	combout => \led_flash_cnt[1248][6]~44362_combout\,
	cout => \led_flash_cnt[1248][6]~44363\);

-- Location: FF_X43_Y17_N29
\led_flash_cnt[1248][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1248][6]~44362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1248][6]~q\);

-- Location: LCCOMB_X43_Y18_N12
\WideAnd1248~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1248~1_combout\ = (\led_flash_cnt[1248][5]~q\ & \led_flash_cnt[1248][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1248][5]~q\,
	datac => \led_flash_cnt[1248][6]~q\,
	combout => \WideAnd1248~1_combout\);

-- Location: LCCOMB_X43_Y17_N0
\WideAnd1248~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1248~0_combout\ = (\led_flash_cnt[1248][2]~q\ & (\led_flash_cnt[1248][4]~q\ & (\led_flash_cnt[1248][3]~q\ & \led_flash_cnt[1248][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1248][2]~q\,
	datab => \led_flash_cnt[1248][4]~q\,
	datac => \led_flash_cnt[1248][3]~q\,
	datad => \led_flash_cnt[1248][1]~q\,
	combout => \WideAnd1248~0_combout\);

-- Location: LCCOMB_X43_Y17_N30
\led_flash_cnt[1248][7]~44364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1248][7]~44364_combout\ = \led_flash_cnt[1248][7]~q\ $ (!\led_flash_cnt[1248][6]~44363\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1248][7]~q\,
	cin => \led_flash_cnt[1248][6]~44363\,
	combout => \led_flash_cnt[1248][7]~44364_combout\);

-- Location: FF_X43_Y17_N31
\led_flash_cnt[1248][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1248][7]~44364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1248][7]~q\);

-- Location: LCCOMB_X43_Y18_N10
WideAnd1248 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1248~combout\ = (\WideAnd1248~1_combout\ & (\WideAnd1248~0_combout\ & (\led_flash_cnt[1248][7]~q\ & \led_flash_cnt[1248][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1248~1_combout\,
	datab => \WideAnd1248~0_combout\,
	datac => \led_flash_cnt[1248][7]~q\,
	datad => \led_flash_cnt[1248][0]~q\,
	combout => \WideAnd1248~combout\);

-- Location: FF_X43_Y18_N11
\led_flash_cnt_ands[1248]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1248~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1248));

-- Location: LCCOMB_X39_Y17_N12
\led_flash_cnt[1249][0]~81889\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1249][0]~81889_combout\ = !\led_flash_cnt[1249][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1249][0]~q\,
	combout => \led_flash_cnt[1249][0]~81889_combout\);

-- Location: FF_X39_Y17_N13
\led_flash_cnt[1249][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1249][0]~81889_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1249][0]~q\);

-- Location: LCCOMB_X42_Y20_N18
\led_flash_cnt[1249][1]~44366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1249][1]~44366_combout\ = (\led_flash_cnt[1249][0]~q\ & (\led_flash_cnt[1249][1]~q\ $ (VCC))) # (!\led_flash_cnt[1249][0]~q\ & (\led_flash_cnt[1249][1]~q\ & VCC))
-- \led_flash_cnt[1249][1]~44367\ = CARRY((\led_flash_cnt[1249][0]~q\ & \led_flash_cnt[1249][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1249][0]~q\,
	datab => \led_flash_cnt[1249][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1249][1]~44366_combout\,
	cout => \led_flash_cnt[1249][1]~44367\);

-- Location: FF_X42_Y20_N19
\led_flash_cnt[1249][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1249][1]~44366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1249][1]~q\);

-- Location: LCCOMB_X42_Y20_N20
\led_flash_cnt[1249][2]~44368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1249][2]~44368_combout\ = (\led_flash_cnt[1249][2]~q\ & (!\led_flash_cnt[1249][1]~44367\)) # (!\led_flash_cnt[1249][2]~q\ & ((\led_flash_cnt[1249][1]~44367\) # (GND)))
-- \led_flash_cnt[1249][2]~44369\ = CARRY((!\led_flash_cnt[1249][1]~44367\) # (!\led_flash_cnt[1249][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1249][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1249][1]~44367\,
	combout => \led_flash_cnt[1249][2]~44368_combout\,
	cout => \led_flash_cnt[1249][2]~44369\);

-- Location: FF_X42_Y20_N21
\led_flash_cnt[1249][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1249][2]~44368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1249][2]~q\);

-- Location: LCCOMB_X42_Y20_N22
\led_flash_cnt[1249][3]~44370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1249][3]~44370_combout\ = (\led_flash_cnt[1249][3]~q\ & (\led_flash_cnt[1249][2]~44369\ $ (GND))) # (!\led_flash_cnt[1249][3]~q\ & (!\led_flash_cnt[1249][2]~44369\ & VCC))
-- \led_flash_cnt[1249][3]~44371\ = CARRY((\led_flash_cnt[1249][3]~q\ & !\led_flash_cnt[1249][2]~44369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1249][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1249][2]~44369\,
	combout => \led_flash_cnt[1249][3]~44370_combout\,
	cout => \led_flash_cnt[1249][3]~44371\);

-- Location: FF_X42_Y20_N23
\led_flash_cnt[1249][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1249][3]~44370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1249][3]~q\);

-- Location: LCCOMB_X42_Y20_N24
\led_flash_cnt[1249][4]~44372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1249][4]~44372_combout\ = (\led_flash_cnt[1249][4]~q\ & (!\led_flash_cnt[1249][3]~44371\)) # (!\led_flash_cnt[1249][4]~q\ & ((\led_flash_cnt[1249][3]~44371\) # (GND)))
-- \led_flash_cnt[1249][4]~44373\ = CARRY((!\led_flash_cnt[1249][3]~44371\) # (!\led_flash_cnt[1249][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1249][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1249][3]~44371\,
	combout => \led_flash_cnt[1249][4]~44372_combout\,
	cout => \led_flash_cnt[1249][4]~44373\);

-- Location: FF_X42_Y20_N25
\led_flash_cnt[1249][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1249][4]~44372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1249][4]~q\);

-- Location: LCCOMB_X42_Y20_N26
\led_flash_cnt[1249][5]~44374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1249][5]~44374_combout\ = (\led_flash_cnt[1249][5]~q\ & (\led_flash_cnt[1249][4]~44373\ $ (GND))) # (!\led_flash_cnt[1249][5]~q\ & (!\led_flash_cnt[1249][4]~44373\ & VCC))
-- \led_flash_cnt[1249][5]~44375\ = CARRY((\led_flash_cnt[1249][5]~q\ & !\led_flash_cnt[1249][4]~44373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1249][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1249][4]~44373\,
	combout => \led_flash_cnt[1249][5]~44374_combout\,
	cout => \led_flash_cnt[1249][5]~44375\);

-- Location: FF_X42_Y20_N27
\led_flash_cnt[1249][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1249][5]~44374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1249][5]~q\);

-- Location: LCCOMB_X42_Y20_N28
\led_flash_cnt[1249][6]~44376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1249][6]~44376_combout\ = (\led_flash_cnt[1249][6]~q\ & (!\led_flash_cnt[1249][5]~44375\)) # (!\led_flash_cnt[1249][6]~q\ & ((\led_flash_cnt[1249][5]~44375\) # (GND)))
-- \led_flash_cnt[1249][6]~44377\ = CARRY((!\led_flash_cnt[1249][5]~44375\) # (!\led_flash_cnt[1249][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1249][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1249][5]~44375\,
	combout => \led_flash_cnt[1249][6]~44376_combout\,
	cout => \led_flash_cnt[1249][6]~44377\);

-- Location: FF_X42_Y20_N29
\led_flash_cnt[1249][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1249][6]~44376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1249][6]~q\);

-- Location: LCCOMB_X41_Y20_N28
\WideAnd1249~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1249~1_combout\ = (\led_flash_cnt[1249][6]~q\ & \led_flash_cnt[1249][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1249][6]~q\,
	datad => \led_flash_cnt[1249][5]~q\,
	combout => \WideAnd1249~1_combout\);

-- Location: LCCOMB_X42_Y20_N30
\led_flash_cnt[1249][7]~44378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1249][7]~44378_combout\ = \led_flash_cnt[1249][7]~q\ $ (!\led_flash_cnt[1249][6]~44377\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1249][7]~q\,
	cin => \led_flash_cnt[1249][6]~44377\,
	combout => \led_flash_cnt[1249][7]~44378_combout\);

-- Location: FF_X42_Y20_N31
\led_flash_cnt[1249][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1249][7]~44378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1249][7]~q\);

-- Location: LCCOMB_X42_Y20_N0
\WideAnd1249~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1249~0_combout\ = (\led_flash_cnt[1249][1]~q\ & (\led_flash_cnt[1249][2]~q\ & (\led_flash_cnt[1249][3]~q\ & \led_flash_cnt[1249][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1249][1]~q\,
	datab => \led_flash_cnt[1249][2]~q\,
	datac => \led_flash_cnt[1249][3]~q\,
	datad => \led_flash_cnt[1249][4]~q\,
	combout => \WideAnd1249~0_combout\);

-- Location: LCCOMB_X42_Y20_N16
WideAnd1249 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1249~combout\ = (\led_flash_cnt[1249][0]~q\ & (\WideAnd1249~1_combout\ & (\led_flash_cnt[1249][7]~q\ & \WideAnd1249~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1249][0]~q\,
	datab => \WideAnd1249~1_combout\,
	datac => \led_flash_cnt[1249][7]~q\,
	datad => \WideAnd1249~0_combout\,
	combout => \WideAnd1249~combout\);

-- Location: FF_X42_Y20_N17
\led_flash_cnt_ands[1249]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1249~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1249));

-- Location: LCCOMB_X15_Y14_N2
\led_flash_cnt[1250][0]~81890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1250][0]~81890_combout\ = !\led_flash_cnt[1250][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1250][0]~q\,
	combout => \led_flash_cnt[1250][0]~81890_combout\);

-- Location: FF_X15_Y14_N3
\led_flash_cnt[1250][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1250][0]~81890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1250][0]~q\);

-- Location: LCCOMB_X14_Y14_N0
\led_flash_cnt[1250][1]~44380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1250][1]~44380_combout\ = (\led_flash_cnt[1250][0]~q\ & (\led_flash_cnt[1250][1]~q\ $ (VCC))) # (!\led_flash_cnt[1250][0]~q\ & (\led_flash_cnt[1250][1]~q\ & VCC))
-- \led_flash_cnt[1250][1]~44381\ = CARRY((\led_flash_cnt[1250][0]~q\ & \led_flash_cnt[1250][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1250][0]~q\,
	datab => \led_flash_cnt[1250][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1250][1]~44380_combout\,
	cout => \led_flash_cnt[1250][1]~44381\);

-- Location: FF_X14_Y14_N1
\led_flash_cnt[1250][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1250][1]~44380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1250][1]~q\);

-- Location: LCCOMB_X14_Y14_N2
\led_flash_cnt[1250][2]~44382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1250][2]~44382_combout\ = (\led_flash_cnt[1250][2]~q\ & (!\led_flash_cnt[1250][1]~44381\)) # (!\led_flash_cnt[1250][2]~q\ & ((\led_flash_cnt[1250][1]~44381\) # (GND)))
-- \led_flash_cnt[1250][2]~44383\ = CARRY((!\led_flash_cnt[1250][1]~44381\) # (!\led_flash_cnt[1250][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1250][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1250][1]~44381\,
	combout => \led_flash_cnt[1250][2]~44382_combout\,
	cout => \led_flash_cnt[1250][2]~44383\);

-- Location: FF_X14_Y14_N3
\led_flash_cnt[1250][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1250][2]~44382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1250][2]~q\);

-- Location: LCCOMB_X14_Y14_N4
\led_flash_cnt[1250][3]~44384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1250][3]~44384_combout\ = (\led_flash_cnt[1250][3]~q\ & (\led_flash_cnt[1250][2]~44383\ $ (GND))) # (!\led_flash_cnt[1250][3]~q\ & (!\led_flash_cnt[1250][2]~44383\ & VCC))
-- \led_flash_cnt[1250][3]~44385\ = CARRY((\led_flash_cnt[1250][3]~q\ & !\led_flash_cnt[1250][2]~44383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1250][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1250][2]~44383\,
	combout => \led_flash_cnt[1250][3]~44384_combout\,
	cout => \led_flash_cnt[1250][3]~44385\);

-- Location: FF_X14_Y14_N5
\led_flash_cnt[1250][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1250][3]~44384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1250][3]~q\);

-- Location: LCCOMB_X14_Y14_N6
\led_flash_cnt[1250][4]~44386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1250][4]~44386_combout\ = (\led_flash_cnt[1250][4]~q\ & (!\led_flash_cnt[1250][3]~44385\)) # (!\led_flash_cnt[1250][4]~q\ & ((\led_flash_cnt[1250][3]~44385\) # (GND)))
-- \led_flash_cnt[1250][4]~44387\ = CARRY((!\led_flash_cnt[1250][3]~44385\) # (!\led_flash_cnt[1250][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1250][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1250][3]~44385\,
	combout => \led_flash_cnt[1250][4]~44386_combout\,
	cout => \led_flash_cnt[1250][4]~44387\);

-- Location: FF_X14_Y14_N7
\led_flash_cnt[1250][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1250][4]~44386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1250][4]~q\);

-- Location: LCCOMB_X14_Y14_N8
\led_flash_cnt[1250][5]~44388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1250][5]~44388_combout\ = (\led_flash_cnt[1250][5]~q\ & (\led_flash_cnt[1250][4]~44387\ $ (GND))) # (!\led_flash_cnt[1250][5]~q\ & (!\led_flash_cnt[1250][4]~44387\ & VCC))
-- \led_flash_cnt[1250][5]~44389\ = CARRY((\led_flash_cnt[1250][5]~q\ & !\led_flash_cnt[1250][4]~44387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1250][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1250][4]~44387\,
	combout => \led_flash_cnt[1250][5]~44388_combout\,
	cout => \led_flash_cnt[1250][5]~44389\);

-- Location: FF_X14_Y14_N9
\led_flash_cnt[1250][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1250][5]~44388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1250][5]~q\);

-- Location: LCCOMB_X14_Y14_N10
\led_flash_cnt[1250][6]~44390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1250][6]~44390_combout\ = (\led_flash_cnt[1250][6]~q\ & (!\led_flash_cnt[1250][5]~44389\)) # (!\led_flash_cnt[1250][6]~q\ & ((\led_flash_cnt[1250][5]~44389\) # (GND)))
-- \led_flash_cnt[1250][6]~44391\ = CARRY((!\led_flash_cnt[1250][5]~44389\) # (!\led_flash_cnt[1250][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1250][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1250][5]~44389\,
	combout => \led_flash_cnt[1250][6]~44390_combout\,
	cout => \led_flash_cnt[1250][6]~44391\);

-- Location: FF_X14_Y14_N11
\led_flash_cnt[1250][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1250][6]~44390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1250][6]~q\);

-- Location: LCCOMB_X14_Y14_N12
\led_flash_cnt[1250][7]~44392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1250][7]~44392_combout\ = \led_flash_cnt[1250][6]~44391\ $ (!\led_flash_cnt[1250][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1250][7]~q\,
	cin => \led_flash_cnt[1250][6]~44391\,
	combout => \led_flash_cnt[1250][7]~44392_combout\);

-- Location: FF_X14_Y14_N13
\led_flash_cnt[1250][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1250][7]~44392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1250][7]~q\);

-- Location: LCCOMB_X13_Y14_N24
\WideAnd1250~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1250~0_combout\ = (\led_flash_cnt[1250][2]~q\ & (\led_flash_cnt[1250][3]~q\ & (\led_flash_cnt[1250][1]~q\ & \led_flash_cnt[1250][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1250][2]~q\,
	datab => \led_flash_cnt[1250][3]~q\,
	datac => \led_flash_cnt[1250][1]~q\,
	datad => \led_flash_cnt[1250][4]~q\,
	combout => \WideAnd1250~0_combout\);

-- Location: LCCOMB_X15_Y14_N20
\WideAnd1250~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1250~1_combout\ = (\led_flash_cnt[1250][6]~q\ & \led_flash_cnt[1250][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1250][6]~q\,
	datad => \led_flash_cnt[1250][5]~q\,
	combout => \WideAnd1250~1_combout\);

-- Location: LCCOMB_X15_Y14_N28
WideAnd1250 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1250~combout\ = (\led_flash_cnt[1250][7]~q\ & (\led_flash_cnt[1250][0]~q\ & (\WideAnd1250~0_combout\ & \WideAnd1250~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1250][7]~q\,
	datab => \led_flash_cnt[1250][0]~q\,
	datac => \WideAnd1250~0_combout\,
	datad => \WideAnd1250~1_combout\,
	combout => \WideAnd1250~combout\);

-- Location: FF_X15_Y14_N29
\led_flash_cnt_ands[1250]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1250~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1250));

-- Location: LCCOMB_X40_Y18_N14
\led_flash_cnt[1251][0]~81891\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1251][0]~81891_combout\ = !\led_flash_cnt[1251][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1251][0]~q\,
	combout => \led_flash_cnt[1251][0]~81891_combout\);

-- Location: FF_X40_Y18_N15
\led_flash_cnt[1251][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1251][0]~81891_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1251][0]~q\);

-- Location: LCCOMB_X38_Y18_N16
\led_flash_cnt[1251][1]~44394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1251][1]~44394_combout\ = (\led_flash_cnt[1251][0]~q\ & (\led_flash_cnt[1251][1]~q\ $ (VCC))) # (!\led_flash_cnt[1251][0]~q\ & (\led_flash_cnt[1251][1]~q\ & VCC))
-- \led_flash_cnt[1251][1]~44395\ = CARRY((\led_flash_cnt[1251][0]~q\ & \led_flash_cnt[1251][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1251][0]~q\,
	datab => \led_flash_cnt[1251][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1251][1]~44394_combout\,
	cout => \led_flash_cnt[1251][1]~44395\);

-- Location: FF_X38_Y18_N17
\led_flash_cnt[1251][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1251][1]~44394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1251][1]~q\);

-- Location: LCCOMB_X38_Y18_N18
\led_flash_cnt[1251][2]~44396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1251][2]~44396_combout\ = (\led_flash_cnt[1251][2]~q\ & (!\led_flash_cnt[1251][1]~44395\)) # (!\led_flash_cnt[1251][2]~q\ & ((\led_flash_cnt[1251][1]~44395\) # (GND)))
-- \led_flash_cnt[1251][2]~44397\ = CARRY((!\led_flash_cnt[1251][1]~44395\) # (!\led_flash_cnt[1251][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1251][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1251][1]~44395\,
	combout => \led_flash_cnt[1251][2]~44396_combout\,
	cout => \led_flash_cnt[1251][2]~44397\);

-- Location: FF_X38_Y18_N19
\led_flash_cnt[1251][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1251][2]~44396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1251][2]~q\);

-- Location: LCCOMB_X38_Y18_N20
\led_flash_cnt[1251][3]~44398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1251][3]~44398_combout\ = (\led_flash_cnt[1251][3]~q\ & (\led_flash_cnt[1251][2]~44397\ $ (GND))) # (!\led_flash_cnt[1251][3]~q\ & (!\led_flash_cnt[1251][2]~44397\ & VCC))
-- \led_flash_cnt[1251][3]~44399\ = CARRY((\led_flash_cnt[1251][3]~q\ & !\led_flash_cnt[1251][2]~44397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1251][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1251][2]~44397\,
	combout => \led_flash_cnt[1251][3]~44398_combout\,
	cout => \led_flash_cnt[1251][3]~44399\);

-- Location: FF_X38_Y18_N21
\led_flash_cnt[1251][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1251][3]~44398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1251][3]~q\);

-- Location: LCCOMB_X38_Y18_N22
\led_flash_cnt[1251][4]~44400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1251][4]~44400_combout\ = (\led_flash_cnt[1251][4]~q\ & (!\led_flash_cnt[1251][3]~44399\)) # (!\led_flash_cnt[1251][4]~q\ & ((\led_flash_cnt[1251][3]~44399\) # (GND)))
-- \led_flash_cnt[1251][4]~44401\ = CARRY((!\led_flash_cnt[1251][3]~44399\) # (!\led_flash_cnt[1251][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1251][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1251][3]~44399\,
	combout => \led_flash_cnt[1251][4]~44400_combout\,
	cout => \led_flash_cnt[1251][4]~44401\);

-- Location: FF_X38_Y18_N23
\led_flash_cnt[1251][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1251][4]~44400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1251][4]~q\);

-- Location: LCCOMB_X38_Y18_N14
\WideAnd1251~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1251~0_combout\ = (\led_flash_cnt[1251][1]~q\ & (\led_flash_cnt[1251][2]~q\ & (\led_flash_cnt[1251][4]~q\ & \led_flash_cnt[1251][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1251][1]~q\,
	datab => \led_flash_cnt[1251][2]~q\,
	datac => \led_flash_cnt[1251][4]~q\,
	datad => \led_flash_cnt[1251][3]~q\,
	combout => \WideAnd1251~0_combout\);

-- Location: LCCOMB_X38_Y18_N24
\led_flash_cnt[1251][5]~44402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1251][5]~44402_combout\ = (\led_flash_cnt[1251][5]~q\ & (\led_flash_cnt[1251][4]~44401\ $ (GND))) # (!\led_flash_cnt[1251][5]~q\ & (!\led_flash_cnt[1251][4]~44401\ & VCC))
-- \led_flash_cnt[1251][5]~44403\ = CARRY((\led_flash_cnt[1251][5]~q\ & !\led_flash_cnt[1251][4]~44401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1251][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1251][4]~44401\,
	combout => \led_flash_cnt[1251][5]~44402_combout\,
	cout => \led_flash_cnt[1251][5]~44403\);

-- Location: FF_X38_Y18_N25
\led_flash_cnt[1251][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1251][5]~44402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1251][5]~q\);

-- Location: LCCOMB_X38_Y18_N26
\led_flash_cnt[1251][6]~44404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1251][6]~44404_combout\ = (\led_flash_cnt[1251][6]~q\ & (!\led_flash_cnt[1251][5]~44403\)) # (!\led_flash_cnt[1251][6]~q\ & ((\led_flash_cnt[1251][5]~44403\) # (GND)))
-- \led_flash_cnt[1251][6]~44405\ = CARRY((!\led_flash_cnt[1251][5]~44403\) # (!\led_flash_cnt[1251][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1251][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1251][5]~44403\,
	combout => \led_flash_cnt[1251][6]~44404_combout\,
	cout => \led_flash_cnt[1251][6]~44405\);

-- Location: FF_X38_Y18_N27
\led_flash_cnt[1251][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1251][6]~44404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1251][6]~q\);

-- Location: LCCOMB_X38_Y18_N28
\led_flash_cnt[1251][7]~44406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1251][7]~44406_combout\ = \led_flash_cnt[1251][6]~44405\ $ (!\led_flash_cnt[1251][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1251][7]~q\,
	cin => \led_flash_cnt[1251][6]~44405\,
	combout => \led_flash_cnt[1251][7]~44406_combout\);

-- Location: FF_X38_Y18_N29
\led_flash_cnt[1251][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1251][7]~44406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1251][7]~q\);

-- Location: LCCOMB_X39_Y18_N24
\WideAnd1251~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1251~1_combout\ = (\led_flash_cnt[1251][6]~q\ & \led_flash_cnt[1251][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1251][6]~q\,
	datad => \led_flash_cnt[1251][5]~q\,
	combout => \WideAnd1251~1_combout\);

-- Location: LCCOMB_X39_Y18_N2
WideAnd1251 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1251~combout\ = (\WideAnd1251~0_combout\ & (\led_flash_cnt[1251][7]~q\ & (\led_flash_cnt[1251][0]~q\ & \WideAnd1251~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1251~0_combout\,
	datab => \led_flash_cnt[1251][7]~q\,
	datac => \led_flash_cnt[1251][0]~q\,
	datad => \WideAnd1251~1_combout\,
	combout => \WideAnd1251~combout\);

-- Location: FF_X39_Y18_N3
\led_flash_cnt_ands[1251]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1251~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1251));

-- Location: LCCOMB_X39_Y18_N28
\WideAnd3996~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3996~0_combout\ = (led_flash_cnt_ands(1248) & (led_flash_cnt_ands(1249) & (led_flash_cnt_ands(1250) & led_flash_cnt_ands(1251))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1248),
	datab => led_flash_cnt_ands(1249),
	datac => led_flash_cnt_ands(1250),
	datad => led_flash_cnt_ands(1251),
	combout => \WideAnd3996~0_combout\);

-- Location: LCCOMB_X17_Y20_N2
\led_flash_cnt[1254][0]~81894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1254][0]~81894_combout\ = !\led_flash_cnt[1254][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1254][0]~q\,
	combout => \led_flash_cnt[1254][0]~81894_combout\);

-- Location: FF_X17_Y20_N3
\led_flash_cnt[1254][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1254][0]~81894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1254][0]~q\);

-- Location: LCCOMB_X16_Y20_N18
\led_flash_cnt[1254][1]~44436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1254][1]~44436_combout\ = (\led_flash_cnt[1254][0]~q\ & (\led_flash_cnt[1254][1]~q\ $ (VCC))) # (!\led_flash_cnt[1254][0]~q\ & (\led_flash_cnt[1254][1]~q\ & VCC))
-- \led_flash_cnt[1254][1]~44437\ = CARRY((\led_flash_cnt[1254][0]~q\ & \led_flash_cnt[1254][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1254][0]~q\,
	datab => \led_flash_cnt[1254][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1254][1]~44436_combout\,
	cout => \led_flash_cnt[1254][1]~44437\);

-- Location: FF_X16_Y20_N19
\led_flash_cnt[1254][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1254][1]~44436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1254][1]~q\);

-- Location: LCCOMB_X16_Y20_N20
\led_flash_cnt[1254][2]~44438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1254][2]~44438_combout\ = (\led_flash_cnt[1254][2]~q\ & (!\led_flash_cnt[1254][1]~44437\)) # (!\led_flash_cnt[1254][2]~q\ & ((\led_flash_cnt[1254][1]~44437\) # (GND)))
-- \led_flash_cnt[1254][2]~44439\ = CARRY((!\led_flash_cnt[1254][1]~44437\) # (!\led_flash_cnt[1254][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1254][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1254][1]~44437\,
	combout => \led_flash_cnt[1254][2]~44438_combout\,
	cout => \led_flash_cnt[1254][2]~44439\);

-- Location: FF_X16_Y20_N21
\led_flash_cnt[1254][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1254][2]~44438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1254][2]~q\);

-- Location: LCCOMB_X16_Y20_N22
\led_flash_cnt[1254][3]~44440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1254][3]~44440_combout\ = (\led_flash_cnt[1254][3]~q\ & (\led_flash_cnt[1254][2]~44439\ $ (GND))) # (!\led_flash_cnt[1254][3]~q\ & (!\led_flash_cnt[1254][2]~44439\ & VCC))
-- \led_flash_cnt[1254][3]~44441\ = CARRY((\led_flash_cnt[1254][3]~q\ & !\led_flash_cnt[1254][2]~44439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1254][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1254][2]~44439\,
	combout => \led_flash_cnt[1254][3]~44440_combout\,
	cout => \led_flash_cnt[1254][3]~44441\);

-- Location: FF_X16_Y20_N23
\led_flash_cnt[1254][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1254][3]~44440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1254][3]~q\);

-- Location: LCCOMB_X16_Y20_N24
\led_flash_cnt[1254][4]~44442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1254][4]~44442_combout\ = (\led_flash_cnt[1254][4]~q\ & (!\led_flash_cnt[1254][3]~44441\)) # (!\led_flash_cnt[1254][4]~q\ & ((\led_flash_cnt[1254][3]~44441\) # (GND)))
-- \led_flash_cnt[1254][4]~44443\ = CARRY((!\led_flash_cnt[1254][3]~44441\) # (!\led_flash_cnt[1254][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1254][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1254][3]~44441\,
	combout => \led_flash_cnt[1254][4]~44442_combout\,
	cout => \led_flash_cnt[1254][4]~44443\);

-- Location: FF_X16_Y20_N25
\led_flash_cnt[1254][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1254][4]~44442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1254][4]~q\);

-- Location: LCCOMB_X16_Y20_N26
\led_flash_cnt[1254][5]~44444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1254][5]~44444_combout\ = (\led_flash_cnt[1254][5]~q\ & (\led_flash_cnt[1254][4]~44443\ $ (GND))) # (!\led_flash_cnt[1254][5]~q\ & (!\led_flash_cnt[1254][4]~44443\ & VCC))
-- \led_flash_cnt[1254][5]~44445\ = CARRY((\led_flash_cnt[1254][5]~q\ & !\led_flash_cnt[1254][4]~44443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1254][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1254][4]~44443\,
	combout => \led_flash_cnt[1254][5]~44444_combout\,
	cout => \led_flash_cnt[1254][5]~44445\);

-- Location: FF_X16_Y20_N27
\led_flash_cnt[1254][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1254][5]~44444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1254][5]~q\);

-- Location: LCCOMB_X16_Y20_N28
\led_flash_cnt[1254][6]~44446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1254][6]~44446_combout\ = (\led_flash_cnt[1254][6]~q\ & (!\led_flash_cnt[1254][5]~44445\)) # (!\led_flash_cnt[1254][6]~q\ & ((\led_flash_cnt[1254][5]~44445\) # (GND)))
-- \led_flash_cnt[1254][6]~44447\ = CARRY((!\led_flash_cnt[1254][5]~44445\) # (!\led_flash_cnt[1254][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1254][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1254][5]~44445\,
	combout => \led_flash_cnt[1254][6]~44446_combout\,
	cout => \led_flash_cnt[1254][6]~44447\);

-- Location: FF_X16_Y20_N29
\led_flash_cnt[1254][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1254][6]~44446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1254][6]~q\);

-- Location: LCCOMB_X16_Y20_N30
\led_flash_cnt[1254][7]~44448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1254][7]~44448_combout\ = \led_flash_cnt[1254][7]~q\ $ (!\led_flash_cnt[1254][6]~44447\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1254][7]~q\,
	cin => \led_flash_cnt[1254][6]~44447\,
	combout => \led_flash_cnt[1254][7]~44448_combout\);

-- Location: FF_X16_Y20_N31
\led_flash_cnt[1254][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1254][7]~44448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1254][7]~q\);

-- Location: LCCOMB_X17_Y20_N28
\WideAnd1254~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1254~1_combout\ = (\led_flash_cnt[1254][5]~q\ & \led_flash_cnt[1254][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1254][5]~q\,
	datad => \led_flash_cnt[1254][6]~q\,
	combout => \WideAnd1254~1_combout\);

-- Location: LCCOMB_X16_Y20_N0
\WideAnd1254~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1254~0_combout\ = (\led_flash_cnt[1254][1]~q\ & (\led_flash_cnt[1254][2]~q\ & (\led_flash_cnt[1254][3]~q\ & \led_flash_cnt[1254][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1254][1]~q\,
	datab => \led_flash_cnt[1254][2]~q\,
	datac => \led_flash_cnt[1254][3]~q\,
	datad => \led_flash_cnt[1254][4]~q\,
	combout => \WideAnd1254~0_combout\);

-- Location: LCCOMB_X17_Y20_N12
WideAnd1254 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1254~combout\ = (\led_flash_cnt[1254][7]~q\ & (\WideAnd1254~1_combout\ & (\WideAnd1254~0_combout\ & \led_flash_cnt[1254][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1254][7]~q\,
	datab => \WideAnd1254~1_combout\,
	datac => \WideAnd1254~0_combout\,
	datad => \led_flash_cnt[1254][0]~q\,
	combout => \WideAnd1254~combout\);

-- Location: FF_X17_Y20_N13
\led_flash_cnt_ands[1254]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1254~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1254));

-- Location: LCCOMB_X17_Y20_N0
WideAnd3996 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3996~combout\ = (\WideAnd3996~1_combout\ & (led_flash_cnt_ands(1255) & (\WideAnd3996~0_combout\ & led_flash_cnt_ands(1254))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3996~1_combout\,
	datab => led_flash_cnt_ands(1255),
	datac => \WideAnd3996~0_combout\,
	datad => led_flash_cnt_ands(1254),
	combout => \WideAnd3996~combout\);

-- Location: FF_X17_Y20_N1
\led_flash_cnt_ands_1[156]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3996~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(156));

-- Location: LCCOMB_X25_Y20_N0
\WideAnd4339~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4339~1_combout\ = (led_flash_cnt_ands_1(157) & led_flash_cnt_ands_1(156))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(157),
	datad => led_flash_cnt_ands_1(156),
	combout => \WideAnd4339~1_combout\);

-- Location: LCCOMB_X25_Y20_N10
WideAnd4339 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4339~combout\ = (\WideAnd4339~0_combout\ & (led_flash_cnt_ands_1(159) & (led_flash_cnt_ands_1(158) & \WideAnd4339~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4339~0_combout\,
	datab => led_flash_cnt_ands_1(159),
	datac => led_flash_cnt_ands_1(158),
	datad => \WideAnd4339~1_combout\,
	combout => \WideAnd4339~combout\);

-- Location: FF_X25_Y20_N11
\led_flash_cnt_ands_2[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4339~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(19));

-- Location: LCCOMB_X25_Y20_N30
\WideAnd4380~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~5_combout\ = (led_flash_cnt_ands_2(16) & (led_flash_cnt_ands_2(18) & (led_flash_cnt_ands_2(17) & led_flash_cnt_ands_2(19))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(16),
	datab => led_flash_cnt_ands_2(18),
	datac => led_flash_cnt_ands_2(17),
	datad => led_flash_cnt_ands_2(19),
	combout => \WideAnd4380~5_combout\);

-- Location: LCCOMB_X26_Y20_N0
\WideAnd4380~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~9_combout\ = (\WideAnd4380~6_combout\ & (\WideAnd4380~8_combout\ & (\WideAnd4380~7_combout\ & \WideAnd4380~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4380~6_combout\,
	datab => \WideAnd4380~8_combout\,
	datac => \WideAnd4380~7_combout\,
	datad => \WideAnd4380~5_combout\,
	combout => \WideAnd4380~9_combout\);

-- Location: LCCOMB_X16_Y4_N6
\led_flash_cnt[948][0]~81588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[948][0]~81588_combout\ = !\led_flash_cnt[948][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[948][0]~q\,
	combout => \led_flash_cnt[948][0]~81588_combout\);

-- Location: FF_X16_Y4_N7
\led_flash_cnt[948][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[948][0]~81588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[948][0]~q\);

-- Location: LCCOMB_X15_Y4_N2
\led_flash_cnt[948][1]~40152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[948][1]~40152_combout\ = (\led_flash_cnt[948][0]~q\ & (\led_flash_cnt[948][1]~q\ $ (VCC))) # (!\led_flash_cnt[948][0]~q\ & (\led_flash_cnt[948][1]~q\ & VCC))
-- \led_flash_cnt[948][1]~40153\ = CARRY((\led_flash_cnt[948][0]~q\ & \led_flash_cnt[948][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[948][0]~q\,
	datab => \led_flash_cnt[948][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[948][1]~40152_combout\,
	cout => \led_flash_cnt[948][1]~40153\);

-- Location: FF_X15_Y4_N3
\led_flash_cnt[948][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[948][1]~40152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[948][1]~q\);

-- Location: LCCOMB_X15_Y4_N4
\led_flash_cnt[948][2]~40154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[948][2]~40154_combout\ = (\led_flash_cnt[948][2]~q\ & (!\led_flash_cnt[948][1]~40153\)) # (!\led_flash_cnt[948][2]~q\ & ((\led_flash_cnt[948][1]~40153\) # (GND)))
-- \led_flash_cnt[948][2]~40155\ = CARRY((!\led_flash_cnt[948][1]~40153\) # (!\led_flash_cnt[948][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[948][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[948][1]~40153\,
	combout => \led_flash_cnt[948][2]~40154_combout\,
	cout => \led_flash_cnt[948][2]~40155\);

-- Location: FF_X15_Y4_N5
\led_flash_cnt[948][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[948][2]~40154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[948][2]~q\);

-- Location: LCCOMB_X15_Y4_N6
\led_flash_cnt[948][3]~40156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[948][3]~40156_combout\ = (\led_flash_cnt[948][3]~q\ & (\led_flash_cnt[948][2]~40155\ $ (GND))) # (!\led_flash_cnt[948][3]~q\ & (!\led_flash_cnt[948][2]~40155\ & VCC))
-- \led_flash_cnt[948][3]~40157\ = CARRY((\led_flash_cnt[948][3]~q\ & !\led_flash_cnt[948][2]~40155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[948][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[948][2]~40155\,
	combout => \led_flash_cnt[948][3]~40156_combout\,
	cout => \led_flash_cnt[948][3]~40157\);

-- Location: FF_X15_Y4_N7
\led_flash_cnt[948][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[948][3]~40156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[948][3]~q\);

-- Location: LCCOMB_X15_Y4_N8
\led_flash_cnt[948][4]~40158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[948][4]~40158_combout\ = (\led_flash_cnt[948][4]~q\ & (!\led_flash_cnt[948][3]~40157\)) # (!\led_flash_cnt[948][4]~q\ & ((\led_flash_cnt[948][3]~40157\) # (GND)))
-- \led_flash_cnt[948][4]~40159\ = CARRY((!\led_flash_cnt[948][3]~40157\) # (!\led_flash_cnt[948][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[948][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[948][3]~40157\,
	combout => \led_flash_cnt[948][4]~40158_combout\,
	cout => \led_flash_cnt[948][4]~40159\);

-- Location: FF_X15_Y4_N9
\led_flash_cnt[948][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[948][4]~40158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[948][4]~q\);

-- Location: LCCOMB_X15_Y4_N10
\led_flash_cnt[948][5]~40160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[948][5]~40160_combout\ = (\led_flash_cnt[948][5]~q\ & (\led_flash_cnt[948][4]~40159\ $ (GND))) # (!\led_flash_cnt[948][5]~q\ & (!\led_flash_cnt[948][4]~40159\ & VCC))
-- \led_flash_cnt[948][5]~40161\ = CARRY((\led_flash_cnt[948][5]~q\ & !\led_flash_cnt[948][4]~40159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[948][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[948][4]~40159\,
	combout => \led_flash_cnt[948][5]~40160_combout\,
	cout => \led_flash_cnt[948][5]~40161\);

-- Location: FF_X15_Y4_N11
\led_flash_cnt[948][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[948][5]~40160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[948][5]~q\);

-- Location: LCCOMB_X15_Y4_N12
\led_flash_cnt[948][6]~40162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[948][6]~40162_combout\ = (\led_flash_cnt[948][6]~q\ & (!\led_flash_cnt[948][5]~40161\)) # (!\led_flash_cnt[948][6]~q\ & ((\led_flash_cnt[948][5]~40161\) # (GND)))
-- \led_flash_cnt[948][6]~40163\ = CARRY((!\led_flash_cnt[948][5]~40161\) # (!\led_flash_cnt[948][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[948][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[948][5]~40161\,
	combout => \led_flash_cnt[948][6]~40162_combout\,
	cout => \led_flash_cnt[948][6]~40163\);

-- Location: FF_X15_Y4_N13
\led_flash_cnt[948][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[948][6]~40162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[948][6]~q\);

-- Location: LCCOMB_X14_Y4_N26
\WideAnd948~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd948~1_combout\ = (\led_flash_cnt[948][6]~q\ & \led_flash_cnt[948][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[948][6]~q\,
	datac => \led_flash_cnt[948][5]~q\,
	combout => \WideAnd948~1_combout\);

-- Location: LCCOMB_X14_Y4_N28
\WideAnd948~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd948~0_combout\ = (\led_flash_cnt[948][1]~q\ & (\led_flash_cnt[948][3]~q\ & (\led_flash_cnt[948][4]~q\ & \led_flash_cnt[948][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[948][1]~q\,
	datab => \led_flash_cnt[948][3]~q\,
	datac => \led_flash_cnt[948][4]~q\,
	datad => \led_flash_cnt[948][2]~q\,
	combout => \WideAnd948~0_combout\);

-- Location: LCCOMB_X15_Y4_N14
\led_flash_cnt[948][7]~40164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[948][7]~40164_combout\ = \led_flash_cnt[948][7]~q\ $ (!\led_flash_cnt[948][6]~40163\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[948][7]~q\,
	cin => \led_flash_cnt[948][6]~40163\,
	combout => \led_flash_cnt[948][7]~40164_combout\);

-- Location: FF_X15_Y4_N15
\led_flash_cnt[948][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[948][7]~40164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[948][7]~q\);

-- Location: LCCOMB_X15_Y4_N0
WideAnd948 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd948~combout\ = (\WideAnd948~1_combout\ & (\WideAnd948~0_combout\ & (\led_flash_cnt[948][7]~q\ & \led_flash_cnt[948][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd948~1_combout\,
	datab => \WideAnd948~0_combout\,
	datac => \led_flash_cnt[948][7]~q\,
	datad => \led_flash_cnt[948][0]~q\,
	combout => \WideAnd948~combout\);

-- Location: FF_X15_Y4_N1
\led_flash_cnt_ands[948]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd948~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(948));

-- Location: LCCOMB_X19_Y1_N22
\led_flash_cnt[949][0]~81589\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[949][0]~81589_combout\ = !\led_flash_cnt[949][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[949][0]~q\,
	combout => \led_flash_cnt[949][0]~81589_combout\);

-- Location: FF_X19_Y1_N23
\led_flash_cnt[949][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[949][0]~81589_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[949][0]~q\);

-- Location: LCCOMB_X16_Y1_N2
\led_flash_cnt[949][1]~40166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[949][1]~40166_combout\ = (\led_flash_cnt[949][0]~q\ & (\led_flash_cnt[949][1]~q\ $ (VCC))) # (!\led_flash_cnt[949][0]~q\ & (\led_flash_cnt[949][1]~q\ & VCC))
-- \led_flash_cnt[949][1]~40167\ = CARRY((\led_flash_cnt[949][0]~q\ & \led_flash_cnt[949][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[949][0]~q\,
	datab => \led_flash_cnt[949][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[949][1]~40166_combout\,
	cout => \led_flash_cnt[949][1]~40167\);

-- Location: FF_X16_Y1_N3
\led_flash_cnt[949][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[949][1]~40166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[949][1]~q\);

-- Location: LCCOMB_X16_Y1_N4
\led_flash_cnt[949][2]~40168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[949][2]~40168_combout\ = (\led_flash_cnt[949][2]~q\ & (!\led_flash_cnt[949][1]~40167\)) # (!\led_flash_cnt[949][2]~q\ & ((\led_flash_cnt[949][1]~40167\) # (GND)))
-- \led_flash_cnt[949][2]~40169\ = CARRY((!\led_flash_cnt[949][1]~40167\) # (!\led_flash_cnt[949][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[949][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[949][1]~40167\,
	combout => \led_flash_cnt[949][2]~40168_combout\,
	cout => \led_flash_cnt[949][2]~40169\);

-- Location: FF_X16_Y1_N5
\led_flash_cnt[949][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[949][2]~40168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[949][2]~q\);

-- Location: LCCOMB_X16_Y1_N6
\led_flash_cnt[949][3]~40170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[949][3]~40170_combout\ = (\led_flash_cnt[949][3]~q\ & (\led_flash_cnt[949][2]~40169\ $ (GND))) # (!\led_flash_cnt[949][3]~q\ & (!\led_flash_cnt[949][2]~40169\ & VCC))
-- \led_flash_cnt[949][3]~40171\ = CARRY((\led_flash_cnt[949][3]~q\ & !\led_flash_cnt[949][2]~40169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[949][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[949][2]~40169\,
	combout => \led_flash_cnt[949][3]~40170_combout\,
	cout => \led_flash_cnt[949][3]~40171\);

-- Location: FF_X16_Y1_N7
\led_flash_cnt[949][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[949][3]~40170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[949][3]~q\);

-- Location: LCCOMB_X16_Y1_N8
\led_flash_cnt[949][4]~40172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[949][4]~40172_combout\ = (\led_flash_cnt[949][4]~q\ & (!\led_flash_cnt[949][3]~40171\)) # (!\led_flash_cnt[949][4]~q\ & ((\led_flash_cnt[949][3]~40171\) # (GND)))
-- \led_flash_cnt[949][4]~40173\ = CARRY((!\led_flash_cnt[949][3]~40171\) # (!\led_flash_cnt[949][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[949][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[949][3]~40171\,
	combout => \led_flash_cnt[949][4]~40172_combout\,
	cout => \led_flash_cnt[949][4]~40173\);

-- Location: FF_X16_Y1_N9
\led_flash_cnt[949][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[949][4]~40172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[949][4]~q\);

-- Location: LCCOMB_X16_Y1_N10
\led_flash_cnt[949][5]~40174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[949][5]~40174_combout\ = (\led_flash_cnt[949][5]~q\ & (\led_flash_cnt[949][4]~40173\ $ (GND))) # (!\led_flash_cnt[949][5]~q\ & (!\led_flash_cnt[949][4]~40173\ & VCC))
-- \led_flash_cnt[949][5]~40175\ = CARRY((\led_flash_cnt[949][5]~q\ & !\led_flash_cnt[949][4]~40173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[949][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[949][4]~40173\,
	combout => \led_flash_cnt[949][5]~40174_combout\,
	cout => \led_flash_cnt[949][5]~40175\);

-- Location: FF_X16_Y1_N11
\led_flash_cnt[949][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[949][5]~40174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[949][5]~q\);

-- Location: LCCOMB_X16_Y1_N12
\led_flash_cnt[949][6]~40176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[949][6]~40176_combout\ = (\led_flash_cnt[949][6]~q\ & (!\led_flash_cnt[949][5]~40175\)) # (!\led_flash_cnt[949][6]~q\ & ((\led_flash_cnt[949][5]~40175\) # (GND)))
-- \led_flash_cnt[949][6]~40177\ = CARRY((!\led_flash_cnt[949][5]~40175\) # (!\led_flash_cnt[949][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[949][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[949][5]~40175\,
	combout => \led_flash_cnt[949][6]~40176_combout\,
	cout => \led_flash_cnt[949][6]~40177\);

-- Location: FF_X16_Y1_N13
\led_flash_cnt[949][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[949][6]~40176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[949][6]~q\);

-- Location: LCCOMB_X15_Y1_N26
\WideAnd949~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd949~1_combout\ = (\led_flash_cnt[949][6]~q\ & \led_flash_cnt[949][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[949][6]~q\,
	datac => \led_flash_cnt[949][5]~q\,
	combout => \WideAnd949~1_combout\);

-- Location: LCCOMB_X16_Y1_N14
\led_flash_cnt[949][7]~40178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[949][7]~40178_combout\ = \led_flash_cnt[949][7]~q\ $ (!\led_flash_cnt[949][6]~40177\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[949][7]~q\,
	cin => \led_flash_cnt[949][6]~40177\,
	combout => \led_flash_cnt[949][7]~40178_combout\);

-- Location: FF_X16_Y1_N15
\led_flash_cnt[949][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[949][7]~40178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[949][7]~q\);

-- Location: LCCOMB_X16_Y1_N0
\WideAnd949~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd949~0_combout\ = (\led_flash_cnt[949][3]~q\ & (\led_flash_cnt[949][4]~q\ & (\led_flash_cnt[949][2]~q\ & \led_flash_cnt[949][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[949][3]~q\,
	datab => \led_flash_cnt[949][4]~q\,
	datac => \led_flash_cnt[949][2]~q\,
	datad => \led_flash_cnt[949][1]~q\,
	combout => \WideAnd949~0_combout\);

-- Location: LCCOMB_X16_Y1_N30
WideAnd949 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd949~combout\ = (\WideAnd949~1_combout\ & (\led_flash_cnt[949][7]~q\ & (\led_flash_cnt[949][0]~q\ & \WideAnd949~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd949~1_combout\,
	datab => \led_flash_cnt[949][7]~q\,
	datac => \led_flash_cnt[949][0]~q\,
	datad => \WideAnd949~0_combout\,
	combout => \WideAnd949~combout\);

-- Location: FF_X16_Y1_N31
\led_flash_cnt_ands[949]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd949~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(949));

-- Location: LCCOMB_X16_Y4_N2
\WideAnd3958~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3958~1_combout\ = (led_flash_cnt_ands(948) & led_flash_cnt_ands(949))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(948),
	datac => led_flash_cnt_ands(949),
	combout => \WideAnd3958~1_combout\);

-- Location: LCCOMB_X18_Y7_N6
\led_flash_cnt[950][0]~81590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[950][0]~81590_combout\ = !\led_flash_cnt[950][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[950][0]~q\,
	combout => \led_flash_cnt[950][0]~81590_combout\);

-- Location: FF_X18_Y7_N7
\led_flash_cnt[950][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[950][0]~81590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[950][0]~q\);

-- Location: LCCOMB_X17_Y7_N14
\led_flash_cnt[950][1]~40180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[950][1]~40180_combout\ = (\led_flash_cnt[950][0]~q\ & (\led_flash_cnt[950][1]~q\ $ (VCC))) # (!\led_flash_cnt[950][0]~q\ & (\led_flash_cnt[950][1]~q\ & VCC))
-- \led_flash_cnt[950][1]~40181\ = CARRY((\led_flash_cnt[950][0]~q\ & \led_flash_cnt[950][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[950][0]~q\,
	datab => \led_flash_cnt[950][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[950][1]~40180_combout\,
	cout => \led_flash_cnt[950][1]~40181\);

-- Location: FF_X17_Y7_N15
\led_flash_cnt[950][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[950][1]~40180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[950][1]~q\);

-- Location: LCCOMB_X17_Y7_N16
\led_flash_cnt[950][2]~40182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[950][2]~40182_combout\ = (\led_flash_cnt[950][2]~q\ & (!\led_flash_cnt[950][1]~40181\)) # (!\led_flash_cnt[950][2]~q\ & ((\led_flash_cnt[950][1]~40181\) # (GND)))
-- \led_flash_cnt[950][2]~40183\ = CARRY((!\led_flash_cnt[950][1]~40181\) # (!\led_flash_cnt[950][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[950][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[950][1]~40181\,
	combout => \led_flash_cnt[950][2]~40182_combout\,
	cout => \led_flash_cnt[950][2]~40183\);

-- Location: FF_X17_Y7_N17
\led_flash_cnt[950][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[950][2]~40182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[950][2]~q\);

-- Location: LCCOMB_X17_Y7_N18
\led_flash_cnt[950][3]~40184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[950][3]~40184_combout\ = (\led_flash_cnt[950][3]~q\ & (\led_flash_cnt[950][2]~40183\ $ (GND))) # (!\led_flash_cnt[950][3]~q\ & (!\led_flash_cnt[950][2]~40183\ & VCC))
-- \led_flash_cnt[950][3]~40185\ = CARRY((\led_flash_cnt[950][3]~q\ & !\led_flash_cnt[950][2]~40183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[950][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[950][2]~40183\,
	combout => \led_flash_cnt[950][3]~40184_combout\,
	cout => \led_flash_cnt[950][3]~40185\);

-- Location: FF_X17_Y7_N19
\led_flash_cnt[950][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[950][3]~40184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[950][3]~q\);

-- Location: LCCOMB_X17_Y7_N20
\led_flash_cnt[950][4]~40186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[950][4]~40186_combout\ = (\led_flash_cnt[950][4]~q\ & (!\led_flash_cnt[950][3]~40185\)) # (!\led_flash_cnt[950][4]~q\ & ((\led_flash_cnt[950][3]~40185\) # (GND)))
-- \led_flash_cnt[950][4]~40187\ = CARRY((!\led_flash_cnt[950][3]~40185\) # (!\led_flash_cnt[950][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[950][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[950][3]~40185\,
	combout => \led_flash_cnt[950][4]~40186_combout\,
	cout => \led_flash_cnt[950][4]~40187\);

-- Location: FF_X17_Y7_N21
\led_flash_cnt[950][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[950][4]~40186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[950][4]~q\);

-- Location: LCCOMB_X16_Y7_N30
\WideAnd950~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd950~0_combout\ = (\led_flash_cnt[950][4]~q\ & (\led_flash_cnt[950][3]~q\ & (\led_flash_cnt[950][1]~q\ & \led_flash_cnt[950][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[950][4]~q\,
	datab => \led_flash_cnt[950][3]~q\,
	datac => \led_flash_cnt[950][1]~q\,
	datad => \led_flash_cnt[950][2]~q\,
	combout => \WideAnd950~0_combout\);

-- Location: LCCOMB_X17_Y7_N22
\led_flash_cnt[950][5]~40188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[950][5]~40188_combout\ = (\led_flash_cnt[950][5]~q\ & (\led_flash_cnt[950][4]~40187\ $ (GND))) # (!\led_flash_cnt[950][5]~q\ & (!\led_flash_cnt[950][4]~40187\ & VCC))
-- \led_flash_cnt[950][5]~40189\ = CARRY((\led_flash_cnt[950][5]~q\ & !\led_flash_cnt[950][4]~40187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[950][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[950][4]~40187\,
	combout => \led_flash_cnt[950][5]~40188_combout\,
	cout => \led_flash_cnt[950][5]~40189\);

-- Location: FF_X17_Y7_N23
\led_flash_cnt[950][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[950][5]~40188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[950][5]~q\);

-- Location: LCCOMB_X17_Y7_N24
\led_flash_cnt[950][6]~40190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[950][6]~40190_combout\ = (\led_flash_cnt[950][6]~q\ & (!\led_flash_cnt[950][5]~40189\)) # (!\led_flash_cnt[950][6]~q\ & ((\led_flash_cnt[950][5]~40189\) # (GND)))
-- \led_flash_cnt[950][6]~40191\ = CARRY((!\led_flash_cnt[950][5]~40189\) # (!\led_flash_cnt[950][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[950][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[950][5]~40189\,
	combout => \led_flash_cnt[950][6]~40190_combout\,
	cout => \led_flash_cnt[950][6]~40191\);

-- Location: FF_X17_Y7_N25
\led_flash_cnt[950][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[950][6]~40190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[950][6]~q\);

-- Location: LCCOMB_X17_Y7_N26
\led_flash_cnt[950][7]~40192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[950][7]~40192_combout\ = \led_flash_cnt[950][7]~q\ $ (!\led_flash_cnt[950][6]~40191\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[950][7]~q\,
	cin => \led_flash_cnt[950][6]~40191\,
	combout => \led_flash_cnt[950][7]~40192_combout\);

-- Location: FF_X17_Y7_N27
\led_flash_cnt[950][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[950][7]~40192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[950][7]~q\);

-- Location: LCCOMB_X16_Y7_N28
\WideAnd950~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd950~1_combout\ = (\led_flash_cnt[950][6]~q\ & \led_flash_cnt[950][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[950][6]~q\,
	datad => \led_flash_cnt[950][5]~q\,
	combout => \WideAnd950~1_combout\);

-- Location: LCCOMB_X16_Y7_N4
WideAnd950 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd950~combout\ = (\WideAnd950~0_combout\ & (\led_flash_cnt[950][7]~q\ & (\led_flash_cnt[950][0]~q\ & \WideAnd950~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd950~0_combout\,
	datab => \led_flash_cnt[950][7]~q\,
	datac => \led_flash_cnt[950][0]~q\,
	datad => \WideAnd950~1_combout\,
	combout => \WideAnd950~combout\);

-- Location: FF_X16_Y7_N5
\led_flash_cnt_ands[950]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd950~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(950));

-- Location: LCCOMB_X21_Y3_N30
\led_flash_cnt[947][0]~81587\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[947][0]~81587_combout\ = !\led_flash_cnt[947][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[947][0]~q\,
	combout => \led_flash_cnt[947][0]~81587_combout\);

-- Location: FF_X21_Y3_N31
\led_flash_cnt[947][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[947][0]~81587_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[947][0]~q\);

-- Location: LCCOMB_X21_Y2_N18
\led_flash_cnt[947][1]~40138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[947][1]~40138_combout\ = (\led_flash_cnt[947][0]~q\ & (\led_flash_cnt[947][1]~q\ $ (VCC))) # (!\led_flash_cnt[947][0]~q\ & (\led_flash_cnt[947][1]~q\ & VCC))
-- \led_flash_cnt[947][1]~40139\ = CARRY((\led_flash_cnt[947][0]~q\ & \led_flash_cnt[947][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[947][0]~q\,
	datab => \led_flash_cnt[947][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[947][1]~40138_combout\,
	cout => \led_flash_cnt[947][1]~40139\);

-- Location: FF_X21_Y2_N19
\led_flash_cnt[947][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[947][1]~40138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[947][1]~q\);

-- Location: LCCOMB_X21_Y2_N20
\led_flash_cnt[947][2]~40140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[947][2]~40140_combout\ = (\led_flash_cnt[947][2]~q\ & (!\led_flash_cnt[947][1]~40139\)) # (!\led_flash_cnt[947][2]~q\ & ((\led_flash_cnt[947][1]~40139\) # (GND)))
-- \led_flash_cnt[947][2]~40141\ = CARRY((!\led_flash_cnt[947][1]~40139\) # (!\led_flash_cnt[947][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[947][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[947][1]~40139\,
	combout => \led_flash_cnt[947][2]~40140_combout\,
	cout => \led_flash_cnt[947][2]~40141\);

-- Location: FF_X21_Y2_N21
\led_flash_cnt[947][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[947][2]~40140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[947][2]~q\);

-- Location: LCCOMB_X21_Y2_N22
\led_flash_cnt[947][3]~40142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[947][3]~40142_combout\ = (\led_flash_cnt[947][3]~q\ & (\led_flash_cnt[947][2]~40141\ $ (GND))) # (!\led_flash_cnt[947][3]~q\ & (!\led_flash_cnt[947][2]~40141\ & VCC))
-- \led_flash_cnt[947][3]~40143\ = CARRY((\led_flash_cnt[947][3]~q\ & !\led_flash_cnt[947][2]~40141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[947][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[947][2]~40141\,
	combout => \led_flash_cnt[947][3]~40142_combout\,
	cout => \led_flash_cnt[947][3]~40143\);

-- Location: FF_X21_Y2_N23
\led_flash_cnt[947][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[947][3]~40142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[947][3]~q\);

-- Location: LCCOMB_X21_Y2_N24
\led_flash_cnt[947][4]~40144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[947][4]~40144_combout\ = (\led_flash_cnt[947][4]~q\ & (!\led_flash_cnt[947][3]~40143\)) # (!\led_flash_cnt[947][4]~q\ & ((\led_flash_cnt[947][3]~40143\) # (GND)))
-- \led_flash_cnt[947][4]~40145\ = CARRY((!\led_flash_cnt[947][3]~40143\) # (!\led_flash_cnt[947][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[947][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[947][3]~40143\,
	combout => \led_flash_cnt[947][4]~40144_combout\,
	cout => \led_flash_cnt[947][4]~40145\);

-- Location: FF_X21_Y2_N25
\led_flash_cnt[947][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[947][4]~40144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[947][4]~q\);

-- Location: LCCOMB_X21_Y2_N26
\led_flash_cnt[947][5]~40146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[947][5]~40146_combout\ = (\led_flash_cnt[947][5]~q\ & (\led_flash_cnt[947][4]~40145\ $ (GND))) # (!\led_flash_cnt[947][5]~q\ & (!\led_flash_cnt[947][4]~40145\ & VCC))
-- \led_flash_cnt[947][5]~40147\ = CARRY((\led_flash_cnt[947][5]~q\ & !\led_flash_cnt[947][4]~40145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[947][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[947][4]~40145\,
	combout => \led_flash_cnt[947][5]~40146_combout\,
	cout => \led_flash_cnt[947][5]~40147\);

-- Location: FF_X21_Y2_N27
\led_flash_cnt[947][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[947][5]~40146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[947][5]~q\);

-- Location: LCCOMB_X21_Y2_N28
\led_flash_cnt[947][6]~40148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[947][6]~40148_combout\ = (\led_flash_cnt[947][6]~q\ & (!\led_flash_cnt[947][5]~40147\)) # (!\led_flash_cnt[947][6]~q\ & ((\led_flash_cnt[947][5]~40147\) # (GND)))
-- \led_flash_cnt[947][6]~40149\ = CARRY((!\led_flash_cnt[947][5]~40147\) # (!\led_flash_cnt[947][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[947][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[947][5]~40147\,
	combout => \led_flash_cnt[947][6]~40148_combout\,
	cout => \led_flash_cnt[947][6]~40149\);

-- Location: FF_X21_Y2_N29
\led_flash_cnt[947][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[947][6]~40148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[947][6]~q\);

-- Location: LCCOMB_X21_Y2_N30
\led_flash_cnt[947][7]~40150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[947][7]~40150_combout\ = \led_flash_cnt[947][7]~q\ $ (!\led_flash_cnt[947][6]~40149\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[947][7]~q\,
	cin => \led_flash_cnt[947][6]~40149\,
	combout => \led_flash_cnt[947][7]~40150_combout\);

-- Location: FF_X21_Y2_N31
\led_flash_cnt[947][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[947][7]~40150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[947][7]~q\);

-- Location: LCCOMB_X22_Y2_N0
\WideAnd947~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd947~1_combout\ = (\led_flash_cnt[947][5]~q\ & \led_flash_cnt[947][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[947][5]~q\,
	datad => \led_flash_cnt[947][6]~q\,
	combout => \WideAnd947~1_combout\);

-- Location: LCCOMB_X21_Y2_N0
\WideAnd947~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd947~0_combout\ = (\led_flash_cnt[947][1]~q\ & (\led_flash_cnt[947][2]~q\ & (\led_flash_cnt[947][3]~q\ & \led_flash_cnt[947][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[947][1]~q\,
	datab => \led_flash_cnt[947][2]~q\,
	datac => \led_flash_cnt[947][3]~q\,
	datad => \led_flash_cnt[947][4]~q\,
	combout => \WideAnd947~0_combout\);

-- Location: LCCOMB_X21_Y3_N6
WideAnd947 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd947~combout\ = (\led_flash_cnt[947][0]~q\ & (\led_flash_cnt[947][7]~q\ & (\WideAnd947~1_combout\ & \WideAnd947~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[947][0]~q\,
	datab => \led_flash_cnt[947][7]~q\,
	datac => \WideAnd947~1_combout\,
	datad => \WideAnd947~0_combout\,
	combout => \WideAnd947~combout\);

-- Location: FF_X21_Y3_N7
\led_flash_cnt_ands[947]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd947~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(947));

-- Location: LCCOMB_X25_Y3_N28
\led_flash_cnt[944][0]~81584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[944][0]~81584_combout\ = !\led_flash_cnt[944][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[944][0]~q\,
	combout => \led_flash_cnt[944][0]~81584_combout\);

-- Location: FF_X25_Y3_N29
\led_flash_cnt[944][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[944][0]~81584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[944][0]~q\);

-- Location: LCCOMB_X22_Y3_N0
\led_flash_cnt[944][1]~40096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[944][1]~40096_combout\ = (\led_flash_cnt[944][0]~q\ & (\led_flash_cnt[944][1]~q\ $ (VCC))) # (!\led_flash_cnt[944][0]~q\ & (\led_flash_cnt[944][1]~q\ & VCC))
-- \led_flash_cnt[944][1]~40097\ = CARRY((\led_flash_cnt[944][0]~q\ & \led_flash_cnt[944][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[944][0]~q\,
	datab => \led_flash_cnt[944][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[944][1]~40096_combout\,
	cout => \led_flash_cnt[944][1]~40097\);

-- Location: FF_X22_Y3_N1
\led_flash_cnt[944][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[944][1]~40096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[944][1]~q\);

-- Location: LCCOMB_X22_Y3_N2
\led_flash_cnt[944][2]~40098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[944][2]~40098_combout\ = (\led_flash_cnt[944][2]~q\ & (!\led_flash_cnt[944][1]~40097\)) # (!\led_flash_cnt[944][2]~q\ & ((\led_flash_cnt[944][1]~40097\) # (GND)))
-- \led_flash_cnt[944][2]~40099\ = CARRY((!\led_flash_cnt[944][1]~40097\) # (!\led_flash_cnt[944][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[944][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[944][1]~40097\,
	combout => \led_flash_cnt[944][2]~40098_combout\,
	cout => \led_flash_cnt[944][2]~40099\);

-- Location: FF_X22_Y3_N3
\led_flash_cnt[944][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[944][2]~40098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[944][2]~q\);

-- Location: LCCOMB_X22_Y3_N4
\led_flash_cnt[944][3]~40100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[944][3]~40100_combout\ = (\led_flash_cnt[944][3]~q\ & (\led_flash_cnt[944][2]~40099\ $ (GND))) # (!\led_flash_cnt[944][3]~q\ & (!\led_flash_cnt[944][2]~40099\ & VCC))
-- \led_flash_cnt[944][3]~40101\ = CARRY((\led_flash_cnt[944][3]~q\ & !\led_flash_cnt[944][2]~40099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[944][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[944][2]~40099\,
	combout => \led_flash_cnt[944][3]~40100_combout\,
	cout => \led_flash_cnt[944][3]~40101\);

-- Location: FF_X22_Y3_N5
\led_flash_cnt[944][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[944][3]~40100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[944][3]~q\);

-- Location: LCCOMB_X22_Y3_N6
\led_flash_cnt[944][4]~40102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[944][4]~40102_combout\ = (\led_flash_cnt[944][4]~q\ & (!\led_flash_cnt[944][3]~40101\)) # (!\led_flash_cnt[944][4]~q\ & ((\led_flash_cnt[944][3]~40101\) # (GND)))
-- \led_flash_cnt[944][4]~40103\ = CARRY((!\led_flash_cnt[944][3]~40101\) # (!\led_flash_cnt[944][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[944][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[944][3]~40101\,
	combout => \led_flash_cnt[944][4]~40102_combout\,
	cout => \led_flash_cnt[944][4]~40103\);

-- Location: FF_X22_Y3_N7
\led_flash_cnt[944][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[944][4]~40102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[944][4]~q\);

-- Location: LCCOMB_X22_Y3_N8
\led_flash_cnt[944][5]~40104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[944][5]~40104_combout\ = (\led_flash_cnt[944][5]~q\ & (\led_flash_cnt[944][4]~40103\ $ (GND))) # (!\led_flash_cnt[944][5]~q\ & (!\led_flash_cnt[944][4]~40103\ & VCC))
-- \led_flash_cnt[944][5]~40105\ = CARRY((\led_flash_cnt[944][5]~q\ & !\led_flash_cnt[944][4]~40103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[944][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[944][4]~40103\,
	combout => \led_flash_cnt[944][5]~40104_combout\,
	cout => \led_flash_cnt[944][5]~40105\);

-- Location: FF_X22_Y3_N9
\led_flash_cnt[944][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[944][5]~40104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[944][5]~q\);

-- Location: LCCOMB_X22_Y3_N10
\led_flash_cnt[944][6]~40106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[944][6]~40106_combout\ = (\led_flash_cnt[944][6]~q\ & (!\led_flash_cnt[944][5]~40105\)) # (!\led_flash_cnt[944][6]~q\ & ((\led_flash_cnt[944][5]~40105\) # (GND)))
-- \led_flash_cnt[944][6]~40107\ = CARRY((!\led_flash_cnt[944][5]~40105\) # (!\led_flash_cnt[944][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[944][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[944][5]~40105\,
	combout => \led_flash_cnt[944][6]~40106_combout\,
	cout => \led_flash_cnt[944][6]~40107\);

-- Location: FF_X22_Y3_N11
\led_flash_cnt[944][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[944][6]~40106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[944][6]~q\);

-- Location: LCCOMB_X21_Y3_N26
\WideAnd944~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd944~1_combout\ = (\led_flash_cnt[944][5]~q\ & \led_flash_cnt[944][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[944][5]~q\,
	datac => \led_flash_cnt[944][6]~q\,
	combout => \WideAnd944~1_combout\);

-- Location: LCCOMB_X22_Y3_N12
\led_flash_cnt[944][7]~40108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[944][7]~40108_combout\ = \led_flash_cnt[944][6]~40107\ $ (!\led_flash_cnt[944][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[944][7]~q\,
	cin => \led_flash_cnt[944][6]~40107\,
	combout => \led_flash_cnt[944][7]~40108_combout\);

-- Location: FF_X22_Y3_N13
\led_flash_cnt[944][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[944][7]~40108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[944][7]~q\);

-- Location: LCCOMB_X22_Y3_N30
\WideAnd944~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd944~0_combout\ = (\led_flash_cnt[944][4]~q\ & (\led_flash_cnt[944][1]~q\ & (\led_flash_cnt[944][3]~q\ & \led_flash_cnt[944][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[944][4]~q\,
	datab => \led_flash_cnt[944][1]~q\,
	datac => \led_flash_cnt[944][3]~q\,
	datad => \led_flash_cnt[944][2]~q\,
	combout => \WideAnd944~0_combout\);

-- Location: LCCOMB_X21_Y3_N0
WideAnd944 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd944~combout\ = (\WideAnd944~1_combout\ & (\led_flash_cnt[944][7]~q\ & (\WideAnd944~0_combout\ & \led_flash_cnt[944][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd944~1_combout\,
	datab => \led_flash_cnt[944][7]~q\,
	datac => \WideAnd944~0_combout\,
	datad => \led_flash_cnt[944][0]~q\,
	combout => \WideAnd944~combout\);

-- Location: FF_X21_Y3_N1
\led_flash_cnt_ands[944]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd944~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(944));

-- Location: LCCOMB_X20_Y11_N2
\led_flash_cnt[945][0]~81585\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[945][0]~81585_combout\ = !\led_flash_cnt[945][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[945][0]~q\,
	combout => \led_flash_cnt[945][0]~81585_combout\);

-- Location: FF_X20_Y11_N3
\led_flash_cnt[945][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[945][0]~81585_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[945][0]~q\);

-- Location: LCCOMB_X21_Y11_N16
\led_flash_cnt[945][1]~40110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[945][1]~40110_combout\ = (\led_flash_cnt[945][0]~q\ & (\led_flash_cnt[945][1]~q\ $ (VCC))) # (!\led_flash_cnt[945][0]~q\ & (\led_flash_cnt[945][1]~q\ & VCC))
-- \led_flash_cnt[945][1]~40111\ = CARRY((\led_flash_cnt[945][0]~q\ & \led_flash_cnt[945][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[945][0]~q\,
	datab => \led_flash_cnt[945][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[945][1]~40110_combout\,
	cout => \led_flash_cnt[945][1]~40111\);

-- Location: FF_X21_Y11_N17
\led_flash_cnt[945][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[945][1]~40110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[945][1]~q\);

-- Location: LCCOMB_X21_Y11_N18
\led_flash_cnt[945][2]~40112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[945][2]~40112_combout\ = (\led_flash_cnt[945][2]~q\ & (!\led_flash_cnt[945][1]~40111\)) # (!\led_flash_cnt[945][2]~q\ & ((\led_flash_cnt[945][1]~40111\) # (GND)))
-- \led_flash_cnt[945][2]~40113\ = CARRY((!\led_flash_cnt[945][1]~40111\) # (!\led_flash_cnt[945][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[945][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[945][1]~40111\,
	combout => \led_flash_cnt[945][2]~40112_combout\,
	cout => \led_flash_cnt[945][2]~40113\);

-- Location: FF_X21_Y11_N19
\led_flash_cnt[945][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[945][2]~40112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[945][2]~q\);

-- Location: LCCOMB_X21_Y11_N20
\led_flash_cnt[945][3]~40114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[945][3]~40114_combout\ = (\led_flash_cnt[945][3]~q\ & (\led_flash_cnt[945][2]~40113\ $ (GND))) # (!\led_flash_cnt[945][3]~q\ & (!\led_flash_cnt[945][2]~40113\ & VCC))
-- \led_flash_cnt[945][3]~40115\ = CARRY((\led_flash_cnt[945][3]~q\ & !\led_flash_cnt[945][2]~40113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[945][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[945][2]~40113\,
	combout => \led_flash_cnt[945][3]~40114_combout\,
	cout => \led_flash_cnt[945][3]~40115\);

-- Location: FF_X21_Y11_N21
\led_flash_cnt[945][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[945][3]~40114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[945][3]~q\);

-- Location: LCCOMB_X21_Y11_N22
\led_flash_cnt[945][4]~40116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[945][4]~40116_combout\ = (\led_flash_cnt[945][4]~q\ & (!\led_flash_cnt[945][3]~40115\)) # (!\led_flash_cnt[945][4]~q\ & ((\led_flash_cnt[945][3]~40115\) # (GND)))
-- \led_flash_cnt[945][4]~40117\ = CARRY((!\led_flash_cnt[945][3]~40115\) # (!\led_flash_cnt[945][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[945][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[945][3]~40115\,
	combout => \led_flash_cnt[945][4]~40116_combout\,
	cout => \led_flash_cnt[945][4]~40117\);

-- Location: FF_X21_Y11_N23
\led_flash_cnt[945][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[945][4]~40116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[945][4]~q\);

-- Location: LCCOMB_X21_Y11_N24
\led_flash_cnt[945][5]~40118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[945][5]~40118_combout\ = (\led_flash_cnt[945][5]~q\ & (\led_flash_cnt[945][4]~40117\ $ (GND))) # (!\led_flash_cnt[945][5]~q\ & (!\led_flash_cnt[945][4]~40117\ & VCC))
-- \led_flash_cnt[945][5]~40119\ = CARRY((\led_flash_cnt[945][5]~q\ & !\led_flash_cnt[945][4]~40117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[945][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[945][4]~40117\,
	combout => \led_flash_cnt[945][5]~40118_combout\,
	cout => \led_flash_cnt[945][5]~40119\);

-- Location: FF_X21_Y11_N25
\led_flash_cnt[945][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[945][5]~40118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[945][5]~q\);

-- Location: LCCOMB_X21_Y11_N26
\led_flash_cnt[945][6]~40120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[945][6]~40120_combout\ = (\led_flash_cnt[945][6]~q\ & (!\led_flash_cnt[945][5]~40119\)) # (!\led_flash_cnt[945][6]~q\ & ((\led_flash_cnt[945][5]~40119\) # (GND)))
-- \led_flash_cnt[945][6]~40121\ = CARRY((!\led_flash_cnt[945][5]~40119\) # (!\led_flash_cnt[945][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[945][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[945][5]~40119\,
	combout => \led_flash_cnt[945][6]~40120_combout\,
	cout => \led_flash_cnt[945][6]~40121\);

-- Location: FF_X21_Y11_N27
\led_flash_cnt[945][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[945][6]~40120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[945][6]~q\);

-- Location: LCCOMB_X21_Y11_N28
\led_flash_cnt[945][7]~40122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[945][7]~40122_combout\ = \led_flash_cnt[945][6]~40121\ $ (!\led_flash_cnt[945][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[945][7]~q\,
	cin => \led_flash_cnt[945][6]~40121\,
	combout => \led_flash_cnt[945][7]~40122_combout\);

-- Location: FF_X21_Y11_N29
\led_flash_cnt[945][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[945][7]~40122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[945][7]~q\);

-- Location: LCCOMB_X21_Y11_N30
\WideAnd945~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd945~0_combout\ = (\led_flash_cnt[945][2]~q\ & (\led_flash_cnt[945][1]~q\ & (\led_flash_cnt[945][4]~q\ & \led_flash_cnt[945][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[945][2]~q\,
	datab => \led_flash_cnt[945][1]~q\,
	datac => \led_flash_cnt[945][4]~q\,
	datad => \led_flash_cnt[945][3]~q\,
	combout => \WideAnd945~0_combout\);

-- Location: LCCOMB_X20_Y11_N24
\WideAnd945~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd945~1_combout\ = (\led_flash_cnt[945][6]~q\ & \led_flash_cnt[945][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[945][6]~q\,
	datad => \led_flash_cnt[945][5]~q\,
	combout => \WideAnd945~1_combout\);

-- Location: LCCOMB_X20_Y11_N4
WideAnd945 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd945~combout\ = (\led_flash_cnt[945][7]~q\ & (\led_flash_cnt[945][0]~q\ & (\WideAnd945~0_combout\ & \WideAnd945~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[945][7]~q\,
	datab => \led_flash_cnt[945][0]~q\,
	datac => \WideAnd945~0_combout\,
	datad => \WideAnd945~1_combout\,
	combout => \WideAnd945~combout\);

-- Location: FF_X20_Y11_N5
\led_flash_cnt_ands[945]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd945~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(945));

-- Location: LCCOMB_X21_Y3_N22
\led_flash_cnt[946][0]~81586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[946][0]~81586_combout\ = !\led_flash_cnt[946][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[946][0]~q\,
	combout => \led_flash_cnt[946][0]~81586_combout\);

-- Location: FF_X21_Y3_N23
\led_flash_cnt[946][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[946][0]~81586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[946][0]~q\);

-- Location: LCCOMB_X21_Y3_N8
\led_flash_cnt[946][1]~40124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[946][1]~40124_combout\ = (\led_flash_cnt[946][0]~q\ & (\led_flash_cnt[946][1]~q\ $ (VCC))) # (!\led_flash_cnt[946][0]~q\ & (\led_flash_cnt[946][1]~q\ & VCC))
-- \led_flash_cnt[946][1]~40125\ = CARRY((\led_flash_cnt[946][0]~q\ & \led_flash_cnt[946][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[946][0]~q\,
	datab => \led_flash_cnt[946][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[946][1]~40124_combout\,
	cout => \led_flash_cnt[946][1]~40125\);

-- Location: FF_X21_Y3_N9
\led_flash_cnt[946][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[946][1]~40124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[946][1]~q\);

-- Location: LCCOMB_X21_Y3_N10
\led_flash_cnt[946][2]~40126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[946][2]~40126_combout\ = (\led_flash_cnt[946][2]~q\ & (!\led_flash_cnt[946][1]~40125\)) # (!\led_flash_cnt[946][2]~q\ & ((\led_flash_cnt[946][1]~40125\) # (GND)))
-- \led_flash_cnt[946][2]~40127\ = CARRY((!\led_flash_cnt[946][1]~40125\) # (!\led_flash_cnt[946][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[946][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[946][1]~40125\,
	combout => \led_flash_cnt[946][2]~40126_combout\,
	cout => \led_flash_cnt[946][2]~40127\);

-- Location: FF_X21_Y3_N11
\led_flash_cnt[946][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[946][2]~40126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[946][2]~q\);

-- Location: LCCOMB_X21_Y3_N12
\led_flash_cnt[946][3]~40128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[946][3]~40128_combout\ = (\led_flash_cnt[946][3]~q\ & (\led_flash_cnt[946][2]~40127\ $ (GND))) # (!\led_flash_cnt[946][3]~q\ & (!\led_flash_cnt[946][2]~40127\ & VCC))
-- \led_flash_cnt[946][3]~40129\ = CARRY((\led_flash_cnt[946][3]~q\ & !\led_flash_cnt[946][2]~40127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[946][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[946][2]~40127\,
	combout => \led_flash_cnt[946][3]~40128_combout\,
	cout => \led_flash_cnt[946][3]~40129\);

-- Location: FF_X21_Y3_N13
\led_flash_cnt[946][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[946][3]~40128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[946][3]~q\);

-- Location: LCCOMB_X21_Y3_N14
\led_flash_cnt[946][4]~40130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[946][4]~40130_combout\ = (\led_flash_cnt[946][4]~q\ & (!\led_flash_cnt[946][3]~40129\)) # (!\led_flash_cnt[946][4]~q\ & ((\led_flash_cnt[946][3]~40129\) # (GND)))
-- \led_flash_cnt[946][4]~40131\ = CARRY((!\led_flash_cnt[946][3]~40129\) # (!\led_flash_cnt[946][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[946][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[946][3]~40129\,
	combout => \led_flash_cnt[946][4]~40130_combout\,
	cout => \led_flash_cnt[946][4]~40131\);

-- Location: FF_X21_Y3_N15
\led_flash_cnt[946][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[946][4]~40130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[946][4]~q\);

-- Location: LCCOMB_X21_Y3_N16
\led_flash_cnt[946][5]~40132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[946][5]~40132_combout\ = (\led_flash_cnt[946][5]~q\ & (\led_flash_cnt[946][4]~40131\ $ (GND))) # (!\led_flash_cnt[946][5]~q\ & (!\led_flash_cnt[946][4]~40131\ & VCC))
-- \led_flash_cnt[946][5]~40133\ = CARRY((\led_flash_cnt[946][5]~q\ & !\led_flash_cnt[946][4]~40131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[946][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[946][4]~40131\,
	combout => \led_flash_cnt[946][5]~40132_combout\,
	cout => \led_flash_cnt[946][5]~40133\);

-- Location: FF_X21_Y3_N17
\led_flash_cnt[946][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[946][5]~40132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[946][5]~q\);

-- Location: LCCOMB_X21_Y3_N18
\led_flash_cnt[946][6]~40134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[946][6]~40134_combout\ = (\led_flash_cnt[946][6]~q\ & (!\led_flash_cnt[946][5]~40133\)) # (!\led_flash_cnt[946][6]~q\ & ((\led_flash_cnt[946][5]~40133\) # (GND)))
-- \led_flash_cnt[946][6]~40135\ = CARRY((!\led_flash_cnt[946][5]~40133\) # (!\led_flash_cnt[946][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[946][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[946][5]~40133\,
	combout => \led_flash_cnt[946][6]~40134_combout\,
	cout => \led_flash_cnt[946][6]~40135\);

-- Location: FF_X21_Y3_N19
\led_flash_cnt[946][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[946][6]~40134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[946][6]~q\);

-- Location: LCCOMB_X21_Y3_N20
\led_flash_cnt[946][7]~40136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[946][7]~40136_combout\ = \led_flash_cnt[946][6]~40135\ $ (!\led_flash_cnt[946][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[946][7]~q\,
	cin => \led_flash_cnt[946][6]~40135\,
	combout => \led_flash_cnt[946][7]~40136_combout\);

-- Location: FF_X21_Y3_N21
\led_flash_cnt[946][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[946][7]~40136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[946][7]~q\);

-- Location: LCCOMB_X21_Y3_N4
\WideAnd946~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd946~1_combout\ = (\led_flash_cnt[946][6]~q\ & \led_flash_cnt[946][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[946][6]~q\,
	datad => \led_flash_cnt[946][5]~q\,
	combout => \WideAnd946~1_combout\);

-- Location: LCCOMB_X21_Y3_N28
\WideAnd946~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd946~0_combout\ = (\led_flash_cnt[946][2]~q\ & (\led_flash_cnt[946][1]~q\ & (\led_flash_cnt[946][4]~q\ & \led_flash_cnt[946][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[946][2]~q\,
	datab => \led_flash_cnt[946][1]~q\,
	datac => \led_flash_cnt[946][4]~q\,
	datad => \led_flash_cnt[946][3]~q\,
	combout => \WideAnd946~0_combout\);

-- Location: LCCOMB_X21_Y3_N24
WideAnd946 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd946~combout\ = (\led_flash_cnt[946][0]~q\ & (\led_flash_cnt[946][7]~q\ & (\WideAnd946~1_combout\ & \WideAnd946~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[946][0]~q\,
	datab => \led_flash_cnt[946][7]~q\,
	datac => \WideAnd946~1_combout\,
	datad => \WideAnd946~0_combout\,
	combout => \WideAnd946~combout\);

-- Location: FF_X21_Y3_N25
\led_flash_cnt_ands[946]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd946~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(946));

-- Location: LCCOMB_X21_Y3_N2
\WideAnd3958~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3958~0_combout\ = (led_flash_cnt_ands(947) & (led_flash_cnt_ands(944) & (led_flash_cnt_ands(945) & led_flash_cnt_ands(946))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(947),
	datab => led_flash_cnt_ands(944),
	datac => led_flash_cnt_ands(945),
	datad => led_flash_cnt_ands(946),
	combout => \WideAnd3958~0_combout\);

-- Location: LCCOMB_X18_Y7_N30
\led_flash_cnt[951][0]~81591\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[951][0]~81591_combout\ = !\led_flash_cnt[951][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[951][0]~q\,
	combout => \led_flash_cnt[951][0]~81591_combout\);

-- Location: FF_X18_Y7_N31
\led_flash_cnt[951][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[951][0]~81591_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[951][0]~q\);

-- Location: LCCOMB_X18_Y7_N14
\led_flash_cnt[951][1]~40194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[951][1]~40194_combout\ = (\led_flash_cnt[951][0]~q\ & (\led_flash_cnt[951][1]~q\ $ (VCC))) # (!\led_flash_cnt[951][0]~q\ & (\led_flash_cnt[951][1]~q\ & VCC))
-- \led_flash_cnt[951][1]~40195\ = CARRY((\led_flash_cnt[951][0]~q\ & \led_flash_cnt[951][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[951][0]~q\,
	datab => \led_flash_cnt[951][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[951][1]~40194_combout\,
	cout => \led_flash_cnt[951][1]~40195\);

-- Location: FF_X18_Y7_N15
\led_flash_cnt[951][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[951][1]~40194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[951][1]~q\);

-- Location: LCCOMB_X18_Y7_N16
\led_flash_cnt[951][2]~40196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[951][2]~40196_combout\ = (\led_flash_cnt[951][2]~q\ & (!\led_flash_cnt[951][1]~40195\)) # (!\led_flash_cnt[951][2]~q\ & ((\led_flash_cnt[951][1]~40195\) # (GND)))
-- \led_flash_cnt[951][2]~40197\ = CARRY((!\led_flash_cnt[951][1]~40195\) # (!\led_flash_cnt[951][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[951][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[951][1]~40195\,
	combout => \led_flash_cnt[951][2]~40196_combout\,
	cout => \led_flash_cnt[951][2]~40197\);

-- Location: FF_X18_Y7_N17
\led_flash_cnt[951][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[951][2]~40196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[951][2]~q\);

-- Location: LCCOMB_X18_Y7_N18
\led_flash_cnt[951][3]~40198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[951][3]~40198_combout\ = (\led_flash_cnt[951][3]~q\ & (\led_flash_cnt[951][2]~40197\ $ (GND))) # (!\led_flash_cnt[951][3]~q\ & (!\led_flash_cnt[951][2]~40197\ & VCC))
-- \led_flash_cnt[951][3]~40199\ = CARRY((\led_flash_cnt[951][3]~q\ & !\led_flash_cnt[951][2]~40197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[951][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[951][2]~40197\,
	combout => \led_flash_cnt[951][3]~40198_combout\,
	cout => \led_flash_cnt[951][3]~40199\);

-- Location: FF_X18_Y7_N19
\led_flash_cnt[951][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[951][3]~40198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[951][3]~q\);

-- Location: LCCOMB_X18_Y7_N20
\led_flash_cnt[951][4]~40200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[951][4]~40200_combout\ = (\led_flash_cnt[951][4]~q\ & (!\led_flash_cnt[951][3]~40199\)) # (!\led_flash_cnt[951][4]~q\ & ((\led_flash_cnt[951][3]~40199\) # (GND)))
-- \led_flash_cnt[951][4]~40201\ = CARRY((!\led_flash_cnt[951][3]~40199\) # (!\led_flash_cnt[951][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[951][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[951][3]~40199\,
	combout => \led_flash_cnt[951][4]~40200_combout\,
	cout => \led_flash_cnt[951][4]~40201\);

-- Location: FF_X18_Y7_N21
\led_flash_cnt[951][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[951][4]~40200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[951][4]~q\);

-- Location: LCCOMB_X18_Y7_N22
\led_flash_cnt[951][5]~40202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[951][5]~40202_combout\ = (\led_flash_cnt[951][5]~q\ & (\led_flash_cnt[951][4]~40201\ $ (GND))) # (!\led_flash_cnt[951][5]~q\ & (!\led_flash_cnt[951][4]~40201\ & VCC))
-- \led_flash_cnt[951][5]~40203\ = CARRY((\led_flash_cnt[951][5]~q\ & !\led_flash_cnt[951][4]~40201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[951][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[951][4]~40201\,
	combout => \led_flash_cnt[951][5]~40202_combout\,
	cout => \led_flash_cnt[951][5]~40203\);

-- Location: FF_X18_Y7_N23
\led_flash_cnt[951][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[951][5]~40202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[951][5]~q\);

-- Location: LCCOMB_X18_Y7_N24
\led_flash_cnt[951][6]~40204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[951][6]~40204_combout\ = (\led_flash_cnt[951][6]~q\ & (!\led_flash_cnt[951][5]~40203\)) # (!\led_flash_cnt[951][6]~q\ & ((\led_flash_cnt[951][5]~40203\) # (GND)))
-- \led_flash_cnt[951][6]~40205\ = CARRY((!\led_flash_cnt[951][5]~40203\) # (!\led_flash_cnt[951][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[951][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[951][5]~40203\,
	combout => \led_flash_cnt[951][6]~40204_combout\,
	cout => \led_flash_cnt[951][6]~40205\);

-- Location: FF_X18_Y7_N25
\led_flash_cnt[951][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[951][6]~40204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[951][6]~q\);

-- Location: LCCOMB_X18_Y7_N8
\WideAnd951~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd951~1_combout\ = (\led_flash_cnt[951][5]~q\ & \led_flash_cnt[951][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[951][5]~q\,
	datad => \led_flash_cnt[951][6]~q\,
	combout => \WideAnd951~1_combout\);

-- Location: LCCOMB_X18_Y7_N26
\led_flash_cnt[951][7]~40206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[951][7]~40206_combout\ = \led_flash_cnt[951][7]~q\ $ (!\led_flash_cnt[951][6]~40205\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[951][7]~q\,
	cin => \led_flash_cnt[951][6]~40205\,
	combout => \led_flash_cnt[951][7]~40206_combout\);

-- Location: FF_X18_Y7_N27
\led_flash_cnt[951][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[951][7]~40206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[951][7]~q\);

-- Location: LCCOMB_X18_Y7_N2
\WideAnd951~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd951~0_combout\ = (\led_flash_cnt[951][2]~q\ & (\led_flash_cnt[951][3]~q\ & (\led_flash_cnt[951][1]~q\ & \led_flash_cnt[951][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[951][2]~q\,
	datab => \led_flash_cnt[951][3]~q\,
	datac => \led_flash_cnt[951][1]~q\,
	datad => \led_flash_cnt[951][4]~q\,
	combout => \WideAnd951~0_combout\);

-- Location: LCCOMB_X18_Y7_N4
WideAnd951 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd951~combout\ = (\led_flash_cnt[951][0]~q\ & (\WideAnd951~1_combout\ & (\led_flash_cnt[951][7]~q\ & \WideAnd951~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[951][0]~q\,
	datab => \WideAnd951~1_combout\,
	datac => \led_flash_cnt[951][7]~q\,
	datad => \WideAnd951~0_combout\,
	combout => \WideAnd951~combout\);

-- Location: FF_X18_Y7_N5
\led_flash_cnt_ands[951]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd951~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(951));

-- Location: LCCOMB_X17_Y7_N30
WideAnd3958 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3958~combout\ = (\WideAnd3958~1_combout\ & (led_flash_cnt_ands(950) & (\WideAnd3958~0_combout\ & led_flash_cnt_ands(951))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3958~1_combout\,
	datab => led_flash_cnt_ands(950),
	datac => \WideAnd3958~0_combout\,
	datad => led_flash_cnt_ands(951),
	combout => \WideAnd3958~combout\);

-- Location: FF_X17_Y7_N31
\led_flash_cnt_ands_1[118]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3958~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(118));

-- Location: LCCOMB_X46_Y39_N28
\led_flash_cnt[957][0]~81597\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[957][0]~81597_combout\ = !\led_flash_cnt[957][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[957][0]~q\,
	combout => \led_flash_cnt[957][0]~81597_combout\);

-- Location: FF_X46_Y39_N29
\led_flash_cnt[957][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[957][0]~81597_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[957][0]~q\);

-- Location: LCCOMB_X45_Y39_N14
\led_flash_cnt[957][1]~40278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[957][1]~40278_combout\ = (\led_flash_cnt[957][0]~q\ & (\led_flash_cnt[957][1]~q\ $ (VCC))) # (!\led_flash_cnt[957][0]~q\ & (\led_flash_cnt[957][1]~q\ & VCC))
-- \led_flash_cnt[957][1]~40279\ = CARRY((\led_flash_cnt[957][0]~q\ & \led_flash_cnt[957][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[957][0]~q\,
	datab => \led_flash_cnt[957][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[957][1]~40278_combout\,
	cout => \led_flash_cnt[957][1]~40279\);

-- Location: FF_X45_Y39_N15
\led_flash_cnt[957][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[957][1]~40278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[957][1]~q\);

-- Location: LCCOMB_X45_Y39_N16
\led_flash_cnt[957][2]~40280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[957][2]~40280_combout\ = (\led_flash_cnt[957][2]~q\ & (!\led_flash_cnt[957][1]~40279\)) # (!\led_flash_cnt[957][2]~q\ & ((\led_flash_cnt[957][1]~40279\) # (GND)))
-- \led_flash_cnt[957][2]~40281\ = CARRY((!\led_flash_cnt[957][1]~40279\) # (!\led_flash_cnt[957][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[957][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[957][1]~40279\,
	combout => \led_flash_cnt[957][2]~40280_combout\,
	cout => \led_flash_cnt[957][2]~40281\);

-- Location: FF_X45_Y39_N17
\led_flash_cnt[957][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[957][2]~40280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[957][2]~q\);

-- Location: LCCOMB_X45_Y39_N18
\led_flash_cnt[957][3]~40282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[957][3]~40282_combout\ = (\led_flash_cnt[957][3]~q\ & (\led_flash_cnt[957][2]~40281\ $ (GND))) # (!\led_flash_cnt[957][3]~q\ & (!\led_flash_cnt[957][2]~40281\ & VCC))
-- \led_flash_cnt[957][3]~40283\ = CARRY((\led_flash_cnt[957][3]~q\ & !\led_flash_cnt[957][2]~40281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[957][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[957][2]~40281\,
	combout => \led_flash_cnt[957][3]~40282_combout\,
	cout => \led_flash_cnt[957][3]~40283\);

-- Location: FF_X45_Y39_N19
\led_flash_cnt[957][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[957][3]~40282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[957][3]~q\);

-- Location: LCCOMB_X45_Y39_N20
\led_flash_cnt[957][4]~40284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[957][4]~40284_combout\ = (\led_flash_cnt[957][4]~q\ & (!\led_flash_cnt[957][3]~40283\)) # (!\led_flash_cnt[957][4]~q\ & ((\led_flash_cnt[957][3]~40283\) # (GND)))
-- \led_flash_cnt[957][4]~40285\ = CARRY((!\led_flash_cnt[957][3]~40283\) # (!\led_flash_cnt[957][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[957][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[957][3]~40283\,
	combout => \led_flash_cnt[957][4]~40284_combout\,
	cout => \led_flash_cnt[957][4]~40285\);

-- Location: FF_X45_Y39_N21
\led_flash_cnt[957][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[957][4]~40284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[957][4]~q\);

-- Location: LCCOMB_X45_Y39_N22
\led_flash_cnt[957][5]~40286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[957][5]~40286_combout\ = (\led_flash_cnt[957][5]~q\ & (\led_flash_cnt[957][4]~40285\ $ (GND))) # (!\led_flash_cnt[957][5]~q\ & (!\led_flash_cnt[957][4]~40285\ & VCC))
-- \led_flash_cnt[957][5]~40287\ = CARRY((\led_flash_cnt[957][5]~q\ & !\led_flash_cnt[957][4]~40285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[957][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[957][4]~40285\,
	combout => \led_flash_cnt[957][5]~40286_combout\,
	cout => \led_flash_cnt[957][5]~40287\);

-- Location: FF_X45_Y39_N23
\led_flash_cnt[957][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[957][5]~40286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[957][5]~q\);

-- Location: LCCOMB_X45_Y39_N24
\led_flash_cnt[957][6]~40288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[957][6]~40288_combout\ = (\led_flash_cnt[957][6]~q\ & (!\led_flash_cnt[957][5]~40287\)) # (!\led_flash_cnt[957][6]~q\ & ((\led_flash_cnt[957][5]~40287\) # (GND)))
-- \led_flash_cnt[957][6]~40289\ = CARRY((!\led_flash_cnt[957][5]~40287\) # (!\led_flash_cnt[957][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[957][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[957][5]~40287\,
	combout => \led_flash_cnt[957][6]~40288_combout\,
	cout => \led_flash_cnt[957][6]~40289\);

-- Location: FF_X45_Y39_N25
\led_flash_cnt[957][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[957][6]~40288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[957][6]~q\);

-- Location: LCCOMB_X46_Y39_N26
\WideAnd957~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd957~1_combout\ = (\led_flash_cnt[957][6]~q\ & \led_flash_cnt[957][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[957][6]~q\,
	datad => \led_flash_cnt[957][5]~q\,
	combout => \WideAnd957~1_combout\);

-- Location: LCCOMB_X45_Y39_N30
\WideAnd957~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd957~0_combout\ = (\led_flash_cnt[957][4]~q\ & (\led_flash_cnt[957][3]~q\ & (\led_flash_cnt[957][1]~q\ & \led_flash_cnt[957][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[957][4]~q\,
	datab => \led_flash_cnt[957][3]~q\,
	datac => \led_flash_cnt[957][1]~q\,
	datad => \led_flash_cnt[957][2]~q\,
	combout => \WideAnd957~0_combout\);

-- Location: LCCOMB_X45_Y39_N26
\led_flash_cnt[957][7]~40290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[957][7]~40290_combout\ = \led_flash_cnt[957][7]~q\ $ (!\led_flash_cnt[957][6]~40289\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[957][7]~q\,
	cin => \led_flash_cnt[957][6]~40289\,
	combout => \led_flash_cnt[957][7]~40290_combout\);

-- Location: FF_X45_Y39_N27
\led_flash_cnt[957][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[957][7]~40290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[957][7]~q\);

-- Location: LCCOMB_X46_Y39_N30
WideAnd957 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd957~combout\ = (\WideAnd957~1_combout\ & (\WideAnd957~0_combout\ & (\led_flash_cnt[957][7]~q\ & \led_flash_cnt[957][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd957~1_combout\,
	datab => \WideAnd957~0_combout\,
	datac => \led_flash_cnt[957][7]~q\,
	datad => \led_flash_cnt[957][0]~q\,
	combout => \WideAnd957~combout\);

-- Location: FF_X46_Y39_N31
\led_flash_cnt_ands[957]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd957~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(957));

-- Location: LCCOMB_X46_Y39_N22
\led_flash_cnt[956][0]~81596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[956][0]~81596_combout\ = !\led_flash_cnt[956][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[956][0]~q\,
	combout => \led_flash_cnt[956][0]~81596_combout\);

-- Location: FF_X46_Y39_N23
\led_flash_cnt[956][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[956][0]~81596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[956][0]~q\);

-- Location: LCCOMB_X46_Y39_N0
\led_flash_cnt[956][1]~40264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[956][1]~40264_combout\ = (\led_flash_cnt[956][0]~q\ & (\led_flash_cnt[956][1]~q\ $ (VCC))) # (!\led_flash_cnt[956][0]~q\ & (\led_flash_cnt[956][1]~q\ & VCC))
-- \led_flash_cnt[956][1]~40265\ = CARRY((\led_flash_cnt[956][0]~q\ & \led_flash_cnt[956][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[956][0]~q\,
	datab => \led_flash_cnt[956][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[956][1]~40264_combout\,
	cout => \led_flash_cnt[956][1]~40265\);

-- Location: FF_X46_Y39_N1
\led_flash_cnt[956][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[956][1]~40264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[956][1]~q\);

-- Location: LCCOMB_X46_Y39_N2
\led_flash_cnt[956][2]~40266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[956][2]~40266_combout\ = (\led_flash_cnt[956][2]~q\ & (!\led_flash_cnt[956][1]~40265\)) # (!\led_flash_cnt[956][2]~q\ & ((\led_flash_cnt[956][1]~40265\) # (GND)))
-- \led_flash_cnt[956][2]~40267\ = CARRY((!\led_flash_cnt[956][1]~40265\) # (!\led_flash_cnt[956][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[956][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[956][1]~40265\,
	combout => \led_flash_cnt[956][2]~40266_combout\,
	cout => \led_flash_cnt[956][2]~40267\);

-- Location: FF_X46_Y39_N3
\led_flash_cnt[956][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[956][2]~40266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[956][2]~q\);

-- Location: LCCOMB_X46_Y39_N4
\led_flash_cnt[956][3]~40268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[956][3]~40268_combout\ = (\led_flash_cnt[956][3]~q\ & (\led_flash_cnt[956][2]~40267\ $ (GND))) # (!\led_flash_cnt[956][3]~q\ & (!\led_flash_cnt[956][2]~40267\ & VCC))
-- \led_flash_cnt[956][3]~40269\ = CARRY((\led_flash_cnt[956][3]~q\ & !\led_flash_cnt[956][2]~40267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[956][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[956][2]~40267\,
	combout => \led_flash_cnt[956][3]~40268_combout\,
	cout => \led_flash_cnt[956][3]~40269\);

-- Location: FF_X46_Y39_N5
\led_flash_cnt[956][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[956][3]~40268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[956][3]~q\);

-- Location: LCCOMB_X46_Y39_N6
\led_flash_cnt[956][4]~40270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[956][4]~40270_combout\ = (\led_flash_cnt[956][4]~q\ & (!\led_flash_cnt[956][3]~40269\)) # (!\led_flash_cnt[956][4]~q\ & ((\led_flash_cnt[956][3]~40269\) # (GND)))
-- \led_flash_cnt[956][4]~40271\ = CARRY((!\led_flash_cnt[956][3]~40269\) # (!\led_flash_cnt[956][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[956][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[956][3]~40269\,
	combout => \led_flash_cnt[956][4]~40270_combout\,
	cout => \led_flash_cnt[956][4]~40271\);

-- Location: FF_X46_Y39_N7
\led_flash_cnt[956][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[956][4]~40270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[956][4]~q\);

-- Location: LCCOMB_X46_Y39_N8
\led_flash_cnt[956][5]~40272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[956][5]~40272_combout\ = (\led_flash_cnt[956][5]~q\ & (\led_flash_cnt[956][4]~40271\ $ (GND))) # (!\led_flash_cnt[956][5]~q\ & (!\led_flash_cnt[956][4]~40271\ & VCC))
-- \led_flash_cnt[956][5]~40273\ = CARRY((\led_flash_cnt[956][5]~q\ & !\led_flash_cnt[956][4]~40271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[956][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[956][4]~40271\,
	combout => \led_flash_cnt[956][5]~40272_combout\,
	cout => \led_flash_cnt[956][5]~40273\);

-- Location: FF_X46_Y39_N9
\led_flash_cnt[956][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[956][5]~40272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[956][5]~q\);

-- Location: LCCOMB_X46_Y39_N10
\led_flash_cnt[956][6]~40274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[956][6]~40274_combout\ = (\led_flash_cnt[956][6]~q\ & (!\led_flash_cnt[956][5]~40273\)) # (!\led_flash_cnt[956][6]~q\ & ((\led_flash_cnt[956][5]~40273\) # (GND)))
-- \led_flash_cnt[956][6]~40275\ = CARRY((!\led_flash_cnt[956][5]~40273\) # (!\led_flash_cnt[956][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[956][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[956][5]~40273\,
	combout => \led_flash_cnt[956][6]~40274_combout\,
	cout => \led_flash_cnt[956][6]~40275\);

-- Location: FF_X46_Y39_N11
\led_flash_cnt[956][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[956][6]~40274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[956][6]~q\);

-- Location: LCCOMB_X46_Y39_N12
\led_flash_cnt[956][7]~40276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[956][7]~40276_combout\ = \led_flash_cnt[956][6]~40275\ $ (!\led_flash_cnt[956][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[956][7]~q\,
	cin => \led_flash_cnt[956][6]~40275\,
	combout => \led_flash_cnt[956][7]~40276_combout\);

-- Location: FF_X46_Y39_N13
\led_flash_cnt[956][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[956][7]~40276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[956][7]~q\);

-- Location: LCCOMB_X46_Y39_N24
\WideAnd956~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd956~0_combout\ = (\led_flash_cnt[956][4]~q\ & (\led_flash_cnt[956][1]~q\ & (\led_flash_cnt[956][3]~q\ & \led_flash_cnt[956][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[956][4]~q\,
	datab => \led_flash_cnt[956][1]~q\,
	datac => \led_flash_cnt[956][3]~q\,
	datad => \led_flash_cnt[956][2]~q\,
	combout => \WideAnd956~0_combout\);

-- Location: LCCOMB_X46_Y39_N20
\WideAnd956~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd956~1_combout\ = (\led_flash_cnt[956][5]~q\ & \led_flash_cnt[956][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[956][5]~q\,
	datad => \led_flash_cnt[956][6]~q\,
	combout => \WideAnd956~1_combout\);

-- Location: LCCOMB_X46_Y39_N16
WideAnd956 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd956~combout\ = (\led_flash_cnt[956][7]~q\ & (\WideAnd956~0_combout\ & (\led_flash_cnt[956][0]~q\ & \WideAnd956~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[956][7]~q\,
	datab => \WideAnd956~0_combout\,
	datac => \led_flash_cnt[956][0]~q\,
	datad => \WideAnd956~1_combout\,
	combout => \WideAnd956~combout\);

-- Location: FF_X46_Y39_N17
\led_flash_cnt_ands[956]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd956~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(956));

-- Location: LCCOMB_X46_Y39_N18
\WideAnd3959~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3959~1_combout\ = (led_flash_cnt_ands(957) & led_flash_cnt_ands(956))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(957),
	datad => led_flash_cnt_ands(956),
	combout => \WideAnd3959~1_combout\);

-- Location: LCCOMB_X46_Y31_N6
\led_flash_cnt[959][0]~81599\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[959][0]~81599_combout\ = !\led_flash_cnt[959][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[959][0]~q\,
	combout => \led_flash_cnt[959][0]~81599_combout\);

-- Location: FF_X46_Y31_N7
\led_flash_cnt[959][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[959][0]~81599_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[959][0]~q\);

-- Location: LCCOMB_X47_Y31_N0
\led_flash_cnt[959][1]~40306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[959][1]~40306_combout\ = (\led_flash_cnt[959][0]~q\ & (\led_flash_cnt[959][1]~q\ $ (VCC))) # (!\led_flash_cnt[959][0]~q\ & (\led_flash_cnt[959][1]~q\ & VCC))
-- \led_flash_cnt[959][1]~40307\ = CARRY((\led_flash_cnt[959][0]~q\ & \led_flash_cnt[959][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[959][0]~q\,
	datab => \led_flash_cnt[959][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[959][1]~40306_combout\,
	cout => \led_flash_cnt[959][1]~40307\);

-- Location: FF_X47_Y31_N1
\led_flash_cnt[959][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[959][1]~40306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[959][1]~q\);

-- Location: LCCOMB_X47_Y31_N2
\led_flash_cnt[959][2]~40308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[959][2]~40308_combout\ = (\led_flash_cnt[959][2]~q\ & (!\led_flash_cnt[959][1]~40307\)) # (!\led_flash_cnt[959][2]~q\ & ((\led_flash_cnt[959][1]~40307\) # (GND)))
-- \led_flash_cnt[959][2]~40309\ = CARRY((!\led_flash_cnt[959][1]~40307\) # (!\led_flash_cnt[959][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[959][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[959][1]~40307\,
	combout => \led_flash_cnt[959][2]~40308_combout\,
	cout => \led_flash_cnt[959][2]~40309\);

-- Location: FF_X47_Y31_N3
\led_flash_cnt[959][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[959][2]~40308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[959][2]~q\);

-- Location: LCCOMB_X47_Y31_N4
\led_flash_cnt[959][3]~40310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[959][3]~40310_combout\ = (\led_flash_cnt[959][3]~q\ & (\led_flash_cnt[959][2]~40309\ $ (GND))) # (!\led_flash_cnt[959][3]~q\ & (!\led_flash_cnt[959][2]~40309\ & VCC))
-- \led_flash_cnt[959][3]~40311\ = CARRY((\led_flash_cnt[959][3]~q\ & !\led_flash_cnt[959][2]~40309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[959][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[959][2]~40309\,
	combout => \led_flash_cnt[959][3]~40310_combout\,
	cout => \led_flash_cnt[959][3]~40311\);

-- Location: FF_X47_Y31_N5
\led_flash_cnt[959][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[959][3]~40310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[959][3]~q\);

-- Location: LCCOMB_X47_Y31_N6
\led_flash_cnt[959][4]~40312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[959][4]~40312_combout\ = (\led_flash_cnt[959][4]~q\ & (!\led_flash_cnt[959][3]~40311\)) # (!\led_flash_cnt[959][4]~q\ & ((\led_flash_cnt[959][3]~40311\) # (GND)))
-- \led_flash_cnt[959][4]~40313\ = CARRY((!\led_flash_cnt[959][3]~40311\) # (!\led_flash_cnt[959][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[959][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[959][3]~40311\,
	combout => \led_flash_cnt[959][4]~40312_combout\,
	cout => \led_flash_cnt[959][4]~40313\);

-- Location: FF_X47_Y31_N7
\led_flash_cnt[959][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[959][4]~40312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[959][4]~q\);

-- Location: LCCOMB_X47_Y31_N8
\led_flash_cnt[959][5]~40314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[959][5]~40314_combout\ = (\led_flash_cnt[959][5]~q\ & (\led_flash_cnt[959][4]~40313\ $ (GND))) # (!\led_flash_cnt[959][5]~q\ & (!\led_flash_cnt[959][4]~40313\ & VCC))
-- \led_flash_cnt[959][5]~40315\ = CARRY((\led_flash_cnt[959][5]~q\ & !\led_flash_cnt[959][4]~40313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[959][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[959][4]~40313\,
	combout => \led_flash_cnt[959][5]~40314_combout\,
	cout => \led_flash_cnt[959][5]~40315\);

-- Location: FF_X47_Y31_N9
\led_flash_cnt[959][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[959][5]~40314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[959][5]~q\);

-- Location: LCCOMB_X47_Y31_N10
\led_flash_cnt[959][6]~40316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[959][6]~40316_combout\ = (\led_flash_cnt[959][6]~q\ & (!\led_flash_cnt[959][5]~40315\)) # (!\led_flash_cnt[959][6]~q\ & ((\led_flash_cnt[959][5]~40315\) # (GND)))
-- \led_flash_cnt[959][6]~40317\ = CARRY((!\led_flash_cnt[959][5]~40315\) # (!\led_flash_cnt[959][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[959][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[959][5]~40315\,
	combout => \led_flash_cnt[959][6]~40316_combout\,
	cout => \led_flash_cnt[959][6]~40317\);

-- Location: FF_X47_Y31_N11
\led_flash_cnt[959][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[959][6]~40316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[959][6]~q\);

-- Location: LCCOMB_X46_Y31_N30
\WideAnd959~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd959~1_combout\ = (\led_flash_cnt[959][5]~q\ & \led_flash_cnt[959][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[959][5]~q\,
	datac => \led_flash_cnt[959][6]~q\,
	combout => \WideAnd959~1_combout\);

-- Location: LCCOMB_X47_Y31_N16
\WideAnd959~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd959~0_combout\ = (\led_flash_cnt[959][4]~q\ & (\led_flash_cnt[959][2]~q\ & (\led_flash_cnt[959][3]~q\ & \led_flash_cnt[959][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[959][4]~q\,
	datab => \led_flash_cnt[959][2]~q\,
	datac => \led_flash_cnt[959][3]~q\,
	datad => \led_flash_cnt[959][1]~q\,
	combout => \WideAnd959~0_combout\);

-- Location: LCCOMB_X47_Y31_N12
\led_flash_cnt[959][7]~40318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[959][7]~40318_combout\ = \led_flash_cnt[959][6]~40317\ $ (!\led_flash_cnt[959][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[959][7]~q\,
	cin => \led_flash_cnt[959][6]~40317\,
	combout => \led_flash_cnt[959][7]~40318_combout\);

-- Location: FF_X47_Y31_N13
\led_flash_cnt[959][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[959][7]~40318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[959][7]~q\);

-- Location: LCCOMB_X46_Y31_N0
WideAnd959 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd959~combout\ = (\WideAnd959~1_combout\ & (\WideAnd959~0_combout\ & (\led_flash_cnt[959][7]~q\ & \led_flash_cnt[959][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd959~1_combout\,
	datab => \WideAnd959~0_combout\,
	datac => \led_flash_cnt[959][7]~q\,
	datad => \led_flash_cnt[959][0]~q\,
	combout => \WideAnd959~combout\);

-- Location: FF_X46_Y31_N1
\led_flash_cnt_ands[959]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd959~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(959));

-- Location: LCCOMB_X38_Y17_N30
\led_flash_cnt[954][0]~81594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[954][0]~81594_combout\ = !\led_flash_cnt[954][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[954][0]~q\,
	combout => \led_flash_cnt[954][0]~81594_combout\);

-- Location: FF_X38_Y17_N31
\led_flash_cnt[954][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[954][0]~81594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[954][0]~q\);

-- Location: LCCOMB_X32_Y17_N16
\led_flash_cnt[954][1]~40236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[954][1]~40236_combout\ = (\led_flash_cnt[954][0]~q\ & (\led_flash_cnt[954][1]~q\ $ (VCC))) # (!\led_flash_cnt[954][0]~q\ & (\led_flash_cnt[954][1]~q\ & VCC))
-- \led_flash_cnt[954][1]~40237\ = CARRY((\led_flash_cnt[954][0]~q\ & \led_flash_cnt[954][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[954][0]~q\,
	datab => \led_flash_cnt[954][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[954][1]~40236_combout\,
	cout => \led_flash_cnt[954][1]~40237\);

-- Location: FF_X32_Y17_N17
\led_flash_cnt[954][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[954][1]~40236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[954][1]~q\);

-- Location: LCCOMB_X32_Y17_N18
\led_flash_cnt[954][2]~40238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[954][2]~40238_combout\ = (\led_flash_cnt[954][2]~q\ & (!\led_flash_cnt[954][1]~40237\)) # (!\led_flash_cnt[954][2]~q\ & ((\led_flash_cnt[954][1]~40237\) # (GND)))
-- \led_flash_cnt[954][2]~40239\ = CARRY((!\led_flash_cnt[954][1]~40237\) # (!\led_flash_cnt[954][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[954][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[954][1]~40237\,
	combout => \led_flash_cnt[954][2]~40238_combout\,
	cout => \led_flash_cnt[954][2]~40239\);

-- Location: FF_X32_Y17_N19
\led_flash_cnt[954][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[954][2]~40238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[954][2]~q\);

-- Location: LCCOMB_X32_Y17_N20
\led_flash_cnt[954][3]~40240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[954][3]~40240_combout\ = (\led_flash_cnt[954][3]~q\ & (\led_flash_cnt[954][2]~40239\ $ (GND))) # (!\led_flash_cnt[954][3]~q\ & (!\led_flash_cnt[954][2]~40239\ & VCC))
-- \led_flash_cnt[954][3]~40241\ = CARRY((\led_flash_cnt[954][3]~q\ & !\led_flash_cnt[954][2]~40239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[954][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[954][2]~40239\,
	combout => \led_flash_cnt[954][3]~40240_combout\,
	cout => \led_flash_cnt[954][3]~40241\);

-- Location: FF_X32_Y17_N21
\led_flash_cnt[954][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[954][3]~40240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[954][3]~q\);

-- Location: LCCOMB_X32_Y17_N22
\led_flash_cnt[954][4]~40242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[954][4]~40242_combout\ = (\led_flash_cnt[954][4]~q\ & (!\led_flash_cnt[954][3]~40241\)) # (!\led_flash_cnt[954][4]~q\ & ((\led_flash_cnt[954][3]~40241\) # (GND)))
-- \led_flash_cnt[954][4]~40243\ = CARRY((!\led_flash_cnt[954][3]~40241\) # (!\led_flash_cnt[954][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[954][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[954][3]~40241\,
	combout => \led_flash_cnt[954][4]~40242_combout\,
	cout => \led_flash_cnt[954][4]~40243\);

-- Location: FF_X32_Y17_N23
\led_flash_cnt[954][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[954][4]~40242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[954][4]~q\);

-- Location: LCCOMB_X32_Y17_N24
\led_flash_cnt[954][5]~40244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[954][5]~40244_combout\ = (\led_flash_cnt[954][5]~q\ & (\led_flash_cnt[954][4]~40243\ $ (GND))) # (!\led_flash_cnt[954][5]~q\ & (!\led_flash_cnt[954][4]~40243\ & VCC))
-- \led_flash_cnt[954][5]~40245\ = CARRY((\led_flash_cnt[954][5]~q\ & !\led_flash_cnt[954][4]~40243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[954][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[954][4]~40243\,
	combout => \led_flash_cnt[954][5]~40244_combout\,
	cout => \led_flash_cnt[954][5]~40245\);

-- Location: FF_X32_Y17_N25
\led_flash_cnt[954][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[954][5]~40244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[954][5]~q\);

-- Location: LCCOMB_X32_Y17_N26
\led_flash_cnt[954][6]~40246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[954][6]~40246_combout\ = (\led_flash_cnt[954][6]~q\ & (!\led_flash_cnt[954][5]~40245\)) # (!\led_flash_cnt[954][6]~q\ & ((\led_flash_cnt[954][5]~40245\) # (GND)))
-- \led_flash_cnt[954][6]~40247\ = CARRY((!\led_flash_cnt[954][5]~40245\) # (!\led_flash_cnt[954][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[954][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[954][5]~40245\,
	combout => \led_flash_cnt[954][6]~40246_combout\,
	cout => \led_flash_cnt[954][6]~40247\);

-- Location: FF_X32_Y17_N27
\led_flash_cnt[954][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[954][6]~40246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[954][6]~q\);

-- Location: LCCOMB_X31_Y17_N16
\WideAnd954~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd954~1_combout\ = (\led_flash_cnt[954][6]~q\ & \led_flash_cnt[954][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[954][6]~q\,
	datad => \led_flash_cnt[954][5]~q\,
	combout => \WideAnd954~1_combout\);

-- Location: LCCOMB_X32_Y17_N0
\WideAnd954~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd954~0_combout\ = (\led_flash_cnt[954][3]~q\ & (\led_flash_cnt[954][2]~q\ & (\led_flash_cnt[954][4]~q\ & \led_flash_cnt[954][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[954][3]~q\,
	datab => \led_flash_cnt[954][2]~q\,
	datac => \led_flash_cnt[954][4]~q\,
	datad => \led_flash_cnt[954][1]~q\,
	combout => \WideAnd954~0_combout\);

-- Location: LCCOMB_X32_Y17_N28
\led_flash_cnt[954][7]~40248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[954][7]~40248_combout\ = \led_flash_cnt[954][6]~40247\ $ (!\led_flash_cnt[954][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[954][7]~q\,
	cin => \led_flash_cnt[954][6]~40247\,
	combout => \led_flash_cnt[954][7]~40248_combout\);

-- Location: FF_X32_Y17_N29
\led_flash_cnt[954][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[954][7]~40248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[954][7]~q\);

-- Location: LCCOMB_X32_Y17_N30
WideAnd954 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd954~combout\ = (\WideAnd954~1_combout\ & (\WideAnd954~0_combout\ & (\led_flash_cnt[954][0]~q\ & \led_flash_cnt[954][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd954~1_combout\,
	datab => \WideAnd954~0_combout\,
	datac => \led_flash_cnt[954][0]~q\,
	datad => \led_flash_cnt[954][7]~q\,
	combout => \WideAnd954~combout\);

-- Location: FF_X32_Y17_N31
\led_flash_cnt_ands[954]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd954~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(954));

-- Location: LCCOMB_X35_Y16_N2
\led_flash_cnt[955][0]~81595\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[955][0]~81595_combout\ = !\led_flash_cnt[955][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[955][0]~q\,
	combout => \led_flash_cnt[955][0]~81595_combout\);

-- Location: FF_X35_Y16_N3
\led_flash_cnt[955][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[955][0]~81595_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[955][0]~q\);

-- Location: LCCOMB_X34_Y16_N16
\led_flash_cnt[955][1]~40250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[955][1]~40250_combout\ = (\led_flash_cnt[955][0]~q\ & (\led_flash_cnt[955][1]~q\ $ (VCC))) # (!\led_flash_cnt[955][0]~q\ & (\led_flash_cnt[955][1]~q\ & VCC))
-- \led_flash_cnt[955][1]~40251\ = CARRY((\led_flash_cnt[955][0]~q\ & \led_flash_cnt[955][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[955][0]~q\,
	datab => \led_flash_cnt[955][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[955][1]~40250_combout\,
	cout => \led_flash_cnt[955][1]~40251\);

-- Location: FF_X34_Y16_N17
\led_flash_cnt[955][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[955][1]~40250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[955][1]~q\);

-- Location: LCCOMB_X34_Y16_N18
\led_flash_cnt[955][2]~40252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[955][2]~40252_combout\ = (\led_flash_cnt[955][2]~q\ & (!\led_flash_cnt[955][1]~40251\)) # (!\led_flash_cnt[955][2]~q\ & ((\led_flash_cnt[955][1]~40251\) # (GND)))
-- \led_flash_cnt[955][2]~40253\ = CARRY((!\led_flash_cnt[955][1]~40251\) # (!\led_flash_cnt[955][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[955][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[955][1]~40251\,
	combout => \led_flash_cnt[955][2]~40252_combout\,
	cout => \led_flash_cnt[955][2]~40253\);

-- Location: FF_X34_Y16_N19
\led_flash_cnt[955][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[955][2]~40252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[955][2]~q\);

-- Location: LCCOMB_X34_Y16_N20
\led_flash_cnt[955][3]~40254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[955][3]~40254_combout\ = (\led_flash_cnt[955][3]~q\ & (\led_flash_cnt[955][2]~40253\ $ (GND))) # (!\led_flash_cnt[955][3]~q\ & (!\led_flash_cnt[955][2]~40253\ & VCC))
-- \led_flash_cnt[955][3]~40255\ = CARRY((\led_flash_cnt[955][3]~q\ & !\led_flash_cnt[955][2]~40253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[955][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[955][2]~40253\,
	combout => \led_flash_cnt[955][3]~40254_combout\,
	cout => \led_flash_cnt[955][3]~40255\);

-- Location: FF_X34_Y16_N21
\led_flash_cnt[955][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[955][3]~40254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[955][3]~q\);

-- Location: LCCOMB_X34_Y16_N22
\led_flash_cnt[955][4]~40256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[955][4]~40256_combout\ = (\led_flash_cnt[955][4]~q\ & (!\led_flash_cnt[955][3]~40255\)) # (!\led_flash_cnt[955][4]~q\ & ((\led_flash_cnt[955][3]~40255\) # (GND)))
-- \led_flash_cnt[955][4]~40257\ = CARRY((!\led_flash_cnt[955][3]~40255\) # (!\led_flash_cnt[955][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[955][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[955][3]~40255\,
	combout => \led_flash_cnt[955][4]~40256_combout\,
	cout => \led_flash_cnt[955][4]~40257\);

-- Location: FF_X34_Y16_N23
\led_flash_cnt[955][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[955][4]~40256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[955][4]~q\);

-- Location: LCCOMB_X34_Y16_N24
\led_flash_cnt[955][5]~40258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[955][5]~40258_combout\ = (\led_flash_cnt[955][5]~q\ & (\led_flash_cnt[955][4]~40257\ $ (GND))) # (!\led_flash_cnt[955][5]~q\ & (!\led_flash_cnt[955][4]~40257\ & VCC))
-- \led_flash_cnt[955][5]~40259\ = CARRY((\led_flash_cnt[955][5]~q\ & !\led_flash_cnt[955][4]~40257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[955][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[955][4]~40257\,
	combout => \led_flash_cnt[955][5]~40258_combout\,
	cout => \led_flash_cnt[955][5]~40259\);

-- Location: FF_X34_Y16_N25
\led_flash_cnt[955][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[955][5]~40258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[955][5]~q\);

-- Location: LCCOMB_X34_Y16_N26
\led_flash_cnt[955][6]~40260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[955][6]~40260_combout\ = (\led_flash_cnt[955][6]~q\ & (!\led_flash_cnt[955][5]~40259\)) # (!\led_flash_cnt[955][6]~q\ & ((\led_flash_cnt[955][5]~40259\) # (GND)))
-- \led_flash_cnt[955][6]~40261\ = CARRY((!\led_flash_cnt[955][5]~40259\) # (!\led_flash_cnt[955][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[955][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[955][5]~40259\,
	combout => \led_flash_cnt[955][6]~40260_combout\,
	cout => \led_flash_cnt[955][6]~40261\);

-- Location: FF_X34_Y16_N27
\led_flash_cnt[955][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[955][6]~40260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[955][6]~q\);

-- Location: LCCOMB_X35_Y16_N30
\WideAnd955~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd955~1_combout\ = (\led_flash_cnt[955][6]~q\ & \led_flash_cnt[955][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[955][6]~q\,
	datad => \led_flash_cnt[955][5]~q\,
	combout => \WideAnd955~1_combout\);

-- Location: LCCOMB_X34_Y16_N28
\led_flash_cnt[955][7]~40262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[955][7]~40262_combout\ = \led_flash_cnt[955][6]~40261\ $ (!\led_flash_cnt[955][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[955][7]~q\,
	cin => \led_flash_cnt[955][6]~40261\,
	combout => \led_flash_cnt[955][7]~40262_combout\);

-- Location: FF_X34_Y16_N29
\led_flash_cnt[955][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[955][7]~40262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[955][7]~q\);

-- Location: LCCOMB_X34_Y16_N0
\WideAnd955~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd955~0_combout\ = (\led_flash_cnt[955][3]~q\ & (\led_flash_cnt[955][2]~q\ & (\led_flash_cnt[955][4]~q\ & \led_flash_cnt[955][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[955][3]~q\,
	datab => \led_flash_cnt[955][2]~q\,
	datac => \led_flash_cnt[955][4]~q\,
	datad => \led_flash_cnt[955][1]~q\,
	combout => \WideAnd955~0_combout\);

-- Location: LCCOMB_X35_Y16_N0
WideAnd955 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd955~combout\ = (\WideAnd955~1_combout\ & (\led_flash_cnt[955][7]~q\ & (\WideAnd955~0_combout\ & \led_flash_cnt[955][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd955~1_combout\,
	datab => \led_flash_cnt[955][7]~q\,
	datac => \WideAnd955~0_combout\,
	datad => \led_flash_cnt[955][0]~q\,
	combout => \WideAnd955~combout\);

-- Location: FF_X35_Y16_N1
\led_flash_cnt_ands[955]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd955~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(955));

-- Location: LCCOMB_X37_Y10_N2
\led_flash_cnt[952][0]~81592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[952][0]~81592_combout\ = !\led_flash_cnt[952][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[952][0]~q\,
	combout => \led_flash_cnt[952][0]~81592_combout\);

-- Location: FF_X37_Y10_N3
\led_flash_cnt[952][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[952][0]~81592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[952][0]~q\);

-- Location: LCCOMB_X36_Y10_N14
\led_flash_cnt[952][1]~40208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[952][1]~40208_combout\ = (\led_flash_cnt[952][0]~q\ & (\led_flash_cnt[952][1]~q\ $ (VCC))) # (!\led_flash_cnt[952][0]~q\ & (\led_flash_cnt[952][1]~q\ & VCC))
-- \led_flash_cnt[952][1]~40209\ = CARRY((\led_flash_cnt[952][0]~q\ & \led_flash_cnt[952][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[952][0]~q\,
	datab => \led_flash_cnt[952][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[952][1]~40208_combout\,
	cout => \led_flash_cnt[952][1]~40209\);

-- Location: FF_X36_Y10_N15
\led_flash_cnt[952][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[952][1]~40208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[952][1]~q\);

-- Location: LCCOMB_X36_Y10_N16
\led_flash_cnt[952][2]~40210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[952][2]~40210_combout\ = (\led_flash_cnt[952][2]~q\ & (!\led_flash_cnt[952][1]~40209\)) # (!\led_flash_cnt[952][2]~q\ & ((\led_flash_cnt[952][1]~40209\) # (GND)))
-- \led_flash_cnt[952][2]~40211\ = CARRY((!\led_flash_cnt[952][1]~40209\) # (!\led_flash_cnt[952][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[952][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[952][1]~40209\,
	combout => \led_flash_cnt[952][2]~40210_combout\,
	cout => \led_flash_cnt[952][2]~40211\);

-- Location: FF_X36_Y10_N17
\led_flash_cnt[952][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[952][2]~40210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[952][2]~q\);

-- Location: LCCOMB_X36_Y10_N18
\led_flash_cnt[952][3]~40212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[952][3]~40212_combout\ = (\led_flash_cnt[952][3]~q\ & (\led_flash_cnt[952][2]~40211\ $ (GND))) # (!\led_flash_cnt[952][3]~q\ & (!\led_flash_cnt[952][2]~40211\ & VCC))
-- \led_flash_cnt[952][3]~40213\ = CARRY((\led_flash_cnt[952][3]~q\ & !\led_flash_cnt[952][2]~40211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[952][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[952][2]~40211\,
	combout => \led_flash_cnt[952][3]~40212_combout\,
	cout => \led_flash_cnt[952][3]~40213\);

-- Location: FF_X36_Y10_N19
\led_flash_cnt[952][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[952][3]~40212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[952][3]~q\);

-- Location: LCCOMB_X36_Y10_N20
\led_flash_cnt[952][4]~40214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[952][4]~40214_combout\ = (\led_flash_cnt[952][4]~q\ & (!\led_flash_cnt[952][3]~40213\)) # (!\led_flash_cnt[952][4]~q\ & ((\led_flash_cnt[952][3]~40213\) # (GND)))
-- \led_flash_cnt[952][4]~40215\ = CARRY((!\led_flash_cnt[952][3]~40213\) # (!\led_flash_cnt[952][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[952][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[952][3]~40213\,
	combout => \led_flash_cnt[952][4]~40214_combout\,
	cout => \led_flash_cnt[952][4]~40215\);

-- Location: FF_X36_Y10_N21
\led_flash_cnt[952][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[952][4]~40214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[952][4]~q\);

-- Location: LCCOMB_X36_Y10_N22
\led_flash_cnt[952][5]~40216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[952][5]~40216_combout\ = (\led_flash_cnt[952][5]~q\ & (\led_flash_cnt[952][4]~40215\ $ (GND))) # (!\led_flash_cnt[952][5]~q\ & (!\led_flash_cnt[952][4]~40215\ & VCC))
-- \led_flash_cnt[952][5]~40217\ = CARRY((\led_flash_cnt[952][5]~q\ & !\led_flash_cnt[952][4]~40215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[952][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[952][4]~40215\,
	combout => \led_flash_cnt[952][5]~40216_combout\,
	cout => \led_flash_cnt[952][5]~40217\);

-- Location: FF_X36_Y10_N23
\led_flash_cnt[952][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[952][5]~40216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[952][5]~q\);

-- Location: LCCOMB_X36_Y10_N24
\led_flash_cnt[952][6]~40218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[952][6]~40218_combout\ = (\led_flash_cnt[952][6]~q\ & (!\led_flash_cnt[952][5]~40217\)) # (!\led_flash_cnt[952][6]~q\ & ((\led_flash_cnt[952][5]~40217\) # (GND)))
-- \led_flash_cnt[952][6]~40219\ = CARRY((!\led_flash_cnt[952][5]~40217\) # (!\led_flash_cnt[952][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[952][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[952][5]~40217\,
	combout => \led_flash_cnt[952][6]~40218_combout\,
	cout => \led_flash_cnt[952][6]~40219\);

-- Location: FF_X36_Y10_N25
\led_flash_cnt[952][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[952][6]~40218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[952][6]~q\);

-- Location: LCCOMB_X37_Y10_N26
\WideAnd952~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd952~1_combout\ = (\led_flash_cnt[952][6]~q\ & \led_flash_cnt[952][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[952][6]~q\,
	datad => \led_flash_cnt[952][5]~q\,
	combout => \WideAnd952~1_combout\);

-- Location: LCCOMB_X36_Y10_N28
\WideAnd952~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd952~0_combout\ = (\led_flash_cnt[952][4]~q\ & (\led_flash_cnt[952][3]~q\ & (\led_flash_cnt[952][1]~q\ & \led_flash_cnt[952][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[952][4]~q\,
	datab => \led_flash_cnt[952][3]~q\,
	datac => \led_flash_cnt[952][1]~q\,
	datad => \led_flash_cnt[952][2]~q\,
	combout => \WideAnd952~0_combout\);

-- Location: LCCOMB_X36_Y10_N26
\led_flash_cnt[952][7]~40220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[952][7]~40220_combout\ = \led_flash_cnt[952][7]~q\ $ (!\led_flash_cnt[952][6]~40219\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[952][7]~q\,
	cin => \led_flash_cnt[952][6]~40219\,
	combout => \led_flash_cnt[952][7]~40220_combout\);

-- Location: FF_X36_Y10_N27
\led_flash_cnt[952][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[952][7]~40220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[952][7]~q\);

-- Location: LCCOMB_X37_Y10_N28
WideAnd952 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd952~combout\ = (\WideAnd952~1_combout\ & (\WideAnd952~0_combout\ & (\led_flash_cnt[952][7]~q\ & \led_flash_cnt[952][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd952~1_combout\,
	datab => \WideAnd952~0_combout\,
	datac => \led_flash_cnt[952][7]~q\,
	datad => \led_flash_cnt[952][0]~q\,
	combout => \WideAnd952~combout\);

-- Location: FF_X37_Y10_N29
\led_flash_cnt_ands[952]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd952~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(952));

-- Location: LCCOMB_X39_Y17_N16
\led_flash_cnt[953][0]~81593\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[953][0]~81593_combout\ = !\led_flash_cnt[953][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[953][0]~q\,
	combout => \led_flash_cnt[953][0]~81593_combout\);

-- Location: FF_X39_Y17_N17
\led_flash_cnt[953][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[953][0]~81593_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[953][0]~q\);

-- Location: LCCOMB_X39_Y19_N0
\led_flash_cnt[953][1]~40222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[953][1]~40222_combout\ = (\led_flash_cnt[953][0]~q\ & (\led_flash_cnt[953][1]~q\ $ (VCC))) # (!\led_flash_cnt[953][0]~q\ & (\led_flash_cnt[953][1]~q\ & VCC))
-- \led_flash_cnt[953][1]~40223\ = CARRY((\led_flash_cnt[953][0]~q\ & \led_flash_cnt[953][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[953][0]~q\,
	datab => \led_flash_cnt[953][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[953][1]~40222_combout\,
	cout => \led_flash_cnt[953][1]~40223\);

-- Location: FF_X39_Y19_N1
\led_flash_cnt[953][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[953][1]~40222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[953][1]~q\);

-- Location: LCCOMB_X39_Y19_N2
\led_flash_cnt[953][2]~40224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[953][2]~40224_combout\ = (\led_flash_cnt[953][2]~q\ & (!\led_flash_cnt[953][1]~40223\)) # (!\led_flash_cnt[953][2]~q\ & ((\led_flash_cnt[953][1]~40223\) # (GND)))
-- \led_flash_cnt[953][2]~40225\ = CARRY((!\led_flash_cnt[953][1]~40223\) # (!\led_flash_cnt[953][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[953][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[953][1]~40223\,
	combout => \led_flash_cnt[953][2]~40224_combout\,
	cout => \led_flash_cnt[953][2]~40225\);

-- Location: FF_X39_Y19_N3
\led_flash_cnt[953][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[953][2]~40224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[953][2]~q\);

-- Location: LCCOMB_X39_Y19_N4
\led_flash_cnt[953][3]~40226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[953][3]~40226_combout\ = (\led_flash_cnt[953][3]~q\ & (\led_flash_cnt[953][2]~40225\ $ (GND))) # (!\led_flash_cnt[953][3]~q\ & (!\led_flash_cnt[953][2]~40225\ & VCC))
-- \led_flash_cnt[953][3]~40227\ = CARRY((\led_flash_cnt[953][3]~q\ & !\led_flash_cnt[953][2]~40225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[953][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[953][2]~40225\,
	combout => \led_flash_cnt[953][3]~40226_combout\,
	cout => \led_flash_cnt[953][3]~40227\);

-- Location: FF_X39_Y19_N5
\led_flash_cnt[953][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[953][3]~40226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[953][3]~q\);

-- Location: LCCOMB_X39_Y19_N6
\led_flash_cnt[953][4]~40228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[953][4]~40228_combout\ = (\led_flash_cnt[953][4]~q\ & (!\led_flash_cnt[953][3]~40227\)) # (!\led_flash_cnt[953][4]~q\ & ((\led_flash_cnt[953][3]~40227\) # (GND)))
-- \led_flash_cnt[953][4]~40229\ = CARRY((!\led_flash_cnt[953][3]~40227\) # (!\led_flash_cnt[953][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[953][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[953][3]~40227\,
	combout => \led_flash_cnt[953][4]~40228_combout\,
	cout => \led_flash_cnt[953][4]~40229\);

-- Location: FF_X39_Y19_N7
\led_flash_cnt[953][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[953][4]~40228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[953][4]~q\);

-- Location: LCCOMB_X39_Y19_N30
\WideAnd953~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd953~0_combout\ = (\led_flash_cnt[953][4]~q\ & (\led_flash_cnt[953][2]~q\ & (\led_flash_cnt[953][3]~q\ & \led_flash_cnt[953][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[953][4]~q\,
	datab => \led_flash_cnt[953][2]~q\,
	datac => \led_flash_cnt[953][3]~q\,
	datad => \led_flash_cnt[953][1]~q\,
	combout => \WideAnd953~0_combout\);

-- Location: LCCOMB_X39_Y19_N8
\led_flash_cnt[953][5]~40230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[953][5]~40230_combout\ = (\led_flash_cnt[953][5]~q\ & (\led_flash_cnt[953][4]~40229\ $ (GND))) # (!\led_flash_cnt[953][5]~q\ & (!\led_flash_cnt[953][4]~40229\ & VCC))
-- \led_flash_cnt[953][5]~40231\ = CARRY((\led_flash_cnt[953][5]~q\ & !\led_flash_cnt[953][4]~40229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[953][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[953][4]~40229\,
	combout => \led_flash_cnt[953][5]~40230_combout\,
	cout => \led_flash_cnt[953][5]~40231\);

-- Location: FF_X39_Y19_N9
\led_flash_cnt[953][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[953][5]~40230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[953][5]~q\);

-- Location: LCCOMB_X39_Y19_N10
\led_flash_cnt[953][6]~40232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[953][6]~40232_combout\ = (\led_flash_cnt[953][6]~q\ & (!\led_flash_cnt[953][5]~40231\)) # (!\led_flash_cnt[953][6]~q\ & ((\led_flash_cnt[953][5]~40231\) # (GND)))
-- \led_flash_cnt[953][6]~40233\ = CARRY((!\led_flash_cnt[953][5]~40231\) # (!\led_flash_cnt[953][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[953][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[953][5]~40231\,
	combout => \led_flash_cnt[953][6]~40232_combout\,
	cout => \led_flash_cnt[953][6]~40233\);

-- Location: FF_X39_Y19_N11
\led_flash_cnt[953][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[953][6]~40232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[953][6]~q\);

-- Location: LCCOMB_X39_Y17_N14
\WideAnd953~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd953~1_combout\ = (\led_flash_cnt[953][6]~q\ & \led_flash_cnt[953][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[953][6]~q\,
	datad => \led_flash_cnt[953][5]~q\,
	combout => \WideAnd953~1_combout\);

-- Location: LCCOMB_X39_Y19_N12
\led_flash_cnt[953][7]~40234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[953][7]~40234_combout\ = \led_flash_cnt[953][6]~40233\ $ (!\led_flash_cnt[953][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[953][7]~q\,
	cin => \led_flash_cnt[953][6]~40233\,
	combout => \led_flash_cnt[953][7]~40234_combout\);

-- Location: FF_X39_Y19_N13
\led_flash_cnt[953][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[953][7]~40234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[953][7]~q\);

-- Location: LCCOMB_X39_Y17_N2
WideAnd953 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd953~combout\ = (\WideAnd953~0_combout\ & (\led_flash_cnt[953][0]~q\ & (\WideAnd953~1_combout\ & \led_flash_cnt[953][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd953~0_combout\,
	datab => \led_flash_cnt[953][0]~q\,
	datac => \WideAnd953~1_combout\,
	datad => \led_flash_cnt[953][7]~q\,
	combout => \WideAnd953~combout\);

-- Location: FF_X39_Y17_N3
\led_flash_cnt_ands[953]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd953~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(953));

-- Location: LCCOMB_X38_Y17_N2
\WideAnd3959~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3959~0_combout\ = (led_flash_cnt_ands(954) & (led_flash_cnt_ands(955) & (led_flash_cnt_ands(952) & led_flash_cnt_ands(953))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(954),
	datab => led_flash_cnt_ands(955),
	datac => led_flash_cnt_ands(952),
	datad => led_flash_cnt_ands(953),
	combout => \WideAnd3959~0_combout\);

-- Location: LCCOMB_X49_Y31_N26
\led_flash_cnt[958][0]~81598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[958][0]~81598_combout\ = !\led_flash_cnt[958][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[958][0]~q\,
	combout => \led_flash_cnt[958][0]~81598_combout\);

-- Location: FF_X49_Y31_N27
\led_flash_cnt[958][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[958][0]~81598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[958][0]~q\);

-- Location: LCCOMB_X46_Y31_N8
\led_flash_cnt[958][1]~40292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[958][1]~40292_combout\ = (\led_flash_cnt[958][0]~q\ & (\led_flash_cnt[958][1]~q\ $ (VCC))) # (!\led_flash_cnt[958][0]~q\ & (\led_flash_cnt[958][1]~q\ & VCC))
-- \led_flash_cnt[958][1]~40293\ = CARRY((\led_flash_cnt[958][0]~q\ & \led_flash_cnt[958][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[958][0]~q\,
	datab => \led_flash_cnt[958][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[958][1]~40292_combout\,
	cout => \led_flash_cnt[958][1]~40293\);

-- Location: FF_X46_Y31_N9
\led_flash_cnt[958][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[958][1]~40292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[958][1]~q\);

-- Location: LCCOMB_X46_Y31_N10
\led_flash_cnt[958][2]~40294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[958][2]~40294_combout\ = (\led_flash_cnt[958][2]~q\ & (!\led_flash_cnt[958][1]~40293\)) # (!\led_flash_cnt[958][2]~q\ & ((\led_flash_cnt[958][1]~40293\) # (GND)))
-- \led_flash_cnt[958][2]~40295\ = CARRY((!\led_flash_cnt[958][1]~40293\) # (!\led_flash_cnt[958][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[958][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[958][1]~40293\,
	combout => \led_flash_cnt[958][2]~40294_combout\,
	cout => \led_flash_cnt[958][2]~40295\);

-- Location: FF_X46_Y31_N11
\led_flash_cnt[958][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[958][2]~40294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[958][2]~q\);

-- Location: LCCOMB_X46_Y31_N12
\led_flash_cnt[958][3]~40296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[958][3]~40296_combout\ = (\led_flash_cnt[958][3]~q\ & (\led_flash_cnt[958][2]~40295\ $ (GND))) # (!\led_flash_cnt[958][3]~q\ & (!\led_flash_cnt[958][2]~40295\ & VCC))
-- \led_flash_cnt[958][3]~40297\ = CARRY((\led_flash_cnt[958][3]~q\ & !\led_flash_cnt[958][2]~40295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[958][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[958][2]~40295\,
	combout => \led_flash_cnt[958][3]~40296_combout\,
	cout => \led_flash_cnt[958][3]~40297\);

-- Location: FF_X46_Y31_N13
\led_flash_cnt[958][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[958][3]~40296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[958][3]~q\);

-- Location: LCCOMB_X46_Y31_N14
\led_flash_cnt[958][4]~40298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[958][4]~40298_combout\ = (\led_flash_cnt[958][4]~q\ & (!\led_flash_cnt[958][3]~40297\)) # (!\led_flash_cnt[958][4]~q\ & ((\led_flash_cnt[958][3]~40297\) # (GND)))
-- \led_flash_cnt[958][4]~40299\ = CARRY((!\led_flash_cnt[958][3]~40297\) # (!\led_flash_cnt[958][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[958][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[958][3]~40297\,
	combout => \led_flash_cnt[958][4]~40298_combout\,
	cout => \led_flash_cnt[958][4]~40299\);

-- Location: FF_X46_Y31_N15
\led_flash_cnt[958][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[958][4]~40298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[958][4]~q\);

-- Location: LCCOMB_X46_Y31_N16
\led_flash_cnt[958][5]~40300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[958][5]~40300_combout\ = (\led_flash_cnt[958][5]~q\ & (\led_flash_cnt[958][4]~40299\ $ (GND))) # (!\led_flash_cnt[958][5]~q\ & (!\led_flash_cnt[958][4]~40299\ & VCC))
-- \led_flash_cnt[958][5]~40301\ = CARRY((\led_flash_cnt[958][5]~q\ & !\led_flash_cnt[958][4]~40299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[958][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[958][4]~40299\,
	combout => \led_flash_cnt[958][5]~40300_combout\,
	cout => \led_flash_cnt[958][5]~40301\);

-- Location: FF_X46_Y31_N17
\led_flash_cnt[958][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[958][5]~40300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[958][5]~q\);

-- Location: LCCOMB_X46_Y31_N18
\led_flash_cnt[958][6]~40302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[958][6]~40302_combout\ = (\led_flash_cnt[958][6]~q\ & (!\led_flash_cnt[958][5]~40301\)) # (!\led_flash_cnt[958][6]~q\ & ((\led_flash_cnt[958][5]~40301\) # (GND)))
-- \led_flash_cnt[958][6]~40303\ = CARRY((!\led_flash_cnt[958][5]~40301\) # (!\led_flash_cnt[958][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[958][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[958][5]~40301\,
	combout => \led_flash_cnt[958][6]~40302_combout\,
	cout => \led_flash_cnt[958][6]~40303\);

-- Location: FF_X46_Y31_N19
\led_flash_cnt[958][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[958][6]~40302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[958][6]~q\);

-- Location: LCCOMB_X46_Y31_N20
\led_flash_cnt[958][7]~40304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[958][7]~40304_combout\ = \led_flash_cnt[958][6]~40303\ $ (!\led_flash_cnt[958][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[958][7]~q\,
	cin => \led_flash_cnt[958][6]~40303\,
	combout => \led_flash_cnt[958][7]~40304_combout\);

-- Location: FF_X46_Y31_N21
\led_flash_cnt[958][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[958][7]~40304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[958][7]~q\);

-- Location: LCCOMB_X46_Y31_N26
\WideAnd958~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd958~0_combout\ = (\led_flash_cnt[958][3]~q\ & (\led_flash_cnt[958][1]~q\ & (\led_flash_cnt[958][4]~q\ & \led_flash_cnt[958][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[958][3]~q\,
	datab => \led_flash_cnt[958][1]~q\,
	datac => \led_flash_cnt[958][4]~q\,
	datad => \led_flash_cnt[958][2]~q\,
	combout => \WideAnd958~0_combout\);

-- Location: LCCOMB_X46_Y31_N24
\WideAnd958~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd958~1_combout\ = (\led_flash_cnt[958][6]~q\ & \led_flash_cnt[958][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[958][6]~q\,
	datad => \led_flash_cnt[958][5]~q\,
	combout => \WideAnd958~1_combout\);

-- Location: LCCOMB_X46_Y31_N2
WideAnd958 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd958~combout\ = (\led_flash_cnt[958][0]~q\ & (\led_flash_cnt[958][7]~q\ & (\WideAnd958~0_combout\ & \WideAnd958~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[958][0]~q\,
	datab => \led_flash_cnt[958][7]~q\,
	datac => \WideAnd958~0_combout\,
	datad => \WideAnd958~1_combout\,
	combout => \WideAnd958~combout\);

-- Location: FF_X46_Y31_N3
\led_flash_cnt_ands[958]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd958~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(958));

-- Location: LCCOMB_X46_Y31_N28
WideAnd3959 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3959~combout\ = (\WideAnd3959~1_combout\ & (led_flash_cnt_ands(959) & (\WideAnd3959~0_combout\ & led_flash_cnt_ands(958))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3959~1_combout\,
	datab => led_flash_cnt_ands(959),
	datac => \WideAnd3959~0_combout\,
	datad => led_flash_cnt_ands(958),
	combout => \WideAnd3959~combout\);

-- Location: FF_X46_Y31_N29
\led_flash_cnt_ands_1[119]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3959~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(119));

-- Location: LCCOMB_X7_Y4_N14
\led_flash_cnt[919][0]~81559\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[919][0]~81559_combout\ = !\led_flash_cnt[919][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[919][0]~q\,
	combout => \led_flash_cnt[919][0]~81559_combout\);

-- Location: FF_X7_Y4_N15
\led_flash_cnt[919][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[919][0]~81559_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[919][0]~q\);

-- Location: LCCOMB_X7_Y8_N18
\led_flash_cnt[919][1]~39746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[919][1]~39746_combout\ = (\led_flash_cnt[919][0]~q\ & (\led_flash_cnt[919][1]~q\ $ (VCC))) # (!\led_flash_cnt[919][0]~q\ & (\led_flash_cnt[919][1]~q\ & VCC))
-- \led_flash_cnt[919][1]~39747\ = CARRY((\led_flash_cnt[919][0]~q\ & \led_flash_cnt[919][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[919][0]~q\,
	datab => \led_flash_cnt[919][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[919][1]~39746_combout\,
	cout => \led_flash_cnt[919][1]~39747\);

-- Location: FF_X7_Y8_N19
\led_flash_cnt[919][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[919][1]~39746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[919][1]~q\);

-- Location: LCCOMB_X7_Y8_N20
\led_flash_cnt[919][2]~39748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[919][2]~39748_combout\ = (\led_flash_cnt[919][2]~q\ & (!\led_flash_cnt[919][1]~39747\)) # (!\led_flash_cnt[919][2]~q\ & ((\led_flash_cnt[919][1]~39747\) # (GND)))
-- \led_flash_cnt[919][2]~39749\ = CARRY((!\led_flash_cnt[919][1]~39747\) # (!\led_flash_cnt[919][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[919][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[919][1]~39747\,
	combout => \led_flash_cnt[919][2]~39748_combout\,
	cout => \led_flash_cnt[919][2]~39749\);

-- Location: FF_X7_Y8_N21
\led_flash_cnt[919][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[919][2]~39748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[919][2]~q\);

-- Location: LCCOMB_X7_Y8_N22
\led_flash_cnt[919][3]~39750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[919][3]~39750_combout\ = (\led_flash_cnt[919][3]~q\ & (\led_flash_cnt[919][2]~39749\ $ (GND))) # (!\led_flash_cnt[919][3]~q\ & (!\led_flash_cnt[919][2]~39749\ & VCC))
-- \led_flash_cnt[919][3]~39751\ = CARRY((\led_flash_cnt[919][3]~q\ & !\led_flash_cnt[919][2]~39749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[919][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[919][2]~39749\,
	combout => \led_flash_cnt[919][3]~39750_combout\,
	cout => \led_flash_cnt[919][3]~39751\);

-- Location: FF_X7_Y8_N23
\led_flash_cnt[919][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[919][3]~39750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[919][3]~q\);

-- Location: LCCOMB_X7_Y8_N24
\led_flash_cnt[919][4]~39752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[919][4]~39752_combout\ = (\led_flash_cnt[919][4]~q\ & (!\led_flash_cnt[919][3]~39751\)) # (!\led_flash_cnt[919][4]~q\ & ((\led_flash_cnt[919][3]~39751\) # (GND)))
-- \led_flash_cnt[919][4]~39753\ = CARRY((!\led_flash_cnt[919][3]~39751\) # (!\led_flash_cnt[919][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[919][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[919][3]~39751\,
	combout => \led_flash_cnt[919][4]~39752_combout\,
	cout => \led_flash_cnt[919][4]~39753\);

-- Location: FF_X7_Y8_N25
\led_flash_cnt[919][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[919][4]~39752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[919][4]~q\);

-- Location: LCCOMB_X7_Y8_N0
\WideAnd919~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd919~0_combout\ = (\led_flash_cnt[919][2]~q\ & (\led_flash_cnt[919][4]~q\ & (\led_flash_cnt[919][3]~q\ & \led_flash_cnt[919][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[919][2]~q\,
	datab => \led_flash_cnt[919][4]~q\,
	datac => \led_flash_cnt[919][3]~q\,
	datad => \led_flash_cnt[919][1]~q\,
	combout => \WideAnd919~0_combout\);

-- Location: LCCOMB_X7_Y8_N26
\led_flash_cnt[919][5]~39754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[919][5]~39754_combout\ = (\led_flash_cnt[919][5]~q\ & (\led_flash_cnt[919][4]~39753\ $ (GND))) # (!\led_flash_cnt[919][5]~q\ & (!\led_flash_cnt[919][4]~39753\ & VCC))
-- \led_flash_cnt[919][5]~39755\ = CARRY((\led_flash_cnt[919][5]~q\ & !\led_flash_cnt[919][4]~39753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[919][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[919][4]~39753\,
	combout => \led_flash_cnt[919][5]~39754_combout\,
	cout => \led_flash_cnt[919][5]~39755\);

-- Location: FF_X7_Y8_N27
\led_flash_cnt[919][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[919][5]~39754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[919][5]~q\);

-- Location: LCCOMB_X7_Y8_N28
\led_flash_cnt[919][6]~39756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[919][6]~39756_combout\ = (\led_flash_cnt[919][6]~q\ & (!\led_flash_cnt[919][5]~39755\)) # (!\led_flash_cnt[919][6]~q\ & ((\led_flash_cnt[919][5]~39755\) # (GND)))
-- \led_flash_cnt[919][6]~39757\ = CARRY((!\led_flash_cnt[919][5]~39755\) # (!\led_flash_cnt[919][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[919][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[919][5]~39755\,
	combout => \led_flash_cnt[919][6]~39756_combout\,
	cout => \led_flash_cnt[919][6]~39757\);

-- Location: FF_X7_Y8_N29
\led_flash_cnt[919][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[919][6]~39756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[919][6]~q\);

-- Location: LCCOMB_X7_Y8_N30
\led_flash_cnt[919][7]~39758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[919][7]~39758_combout\ = \led_flash_cnt[919][7]~q\ $ (!\led_flash_cnt[919][6]~39757\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[919][7]~q\,
	cin => \led_flash_cnt[919][6]~39757\,
	combout => \led_flash_cnt[919][7]~39758_combout\);

-- Location: FF_X7_Y8_N31
\led_flash_cnt[919][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[919][7]~39758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[919][7]~q\);

-- Location: LCCOMB_X8_Y8_N28
\WideAnd919~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd919~1_combout\ = (\led_flash_cnt[919][5]~q\ & \led_flash_cnt[919][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[919][5]~q\,
	datad => \led_flash_cnt[919][6]~q\,
	combout => \WideAnd919~1_combout\);

-- Location: LCCOMB_X8_Y8_N26
WideAnd919 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd919~combout\ = (\WideAnd919~0_combout\ & (\led_flash_cnt[919][7]~q\ & (\led_flash_cnt[919][0]~q\ & \WideAnd919~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd919~0_combout\,
	datab => \led_flash_cnt[919][7]~q\,
	datac => \led_flash_cnt[919][0]~q\,
	datad => \WideAnd919~1_combout\,
	combout => \WideAnd919~combout\);

-- Location: FF_X8_Y8_N27
\led_flash_cnt_ands[919]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd919~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(919));

-- Location: LCCOMB_X11_Y4_N2
\led_flash_cnt[918][0]~81558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[918][0]~81558_combout\ = !\led_flash_cnt[918][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[918][0]~q\,
	combout => \led_flash_cnt[918][0]~81558_combout\);

-- Location: FF_X11_Y4_N3
\led_flash_cnt[918][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[918][0]~81558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[918][0]~q\);

-- Location: LCCOMB_X10_Y4_N18
\led_flash_cnt[918][1]~39732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[918][1]~39732_combout\ = (\led_flash_cnt[918][0]~q\ & (\led_flash_cnt[918][1]~q\ $ (VCC))) # (!\led_flash_cnt[918][0]~q\ & (\led_flash_cnt[918][1]~q\ & VCC))
-- \led_flash_cnt[918][1]~39733\ = CARRY((\led_flash_cnt[918][0]~q\ & \led_flash_cnt[918][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[918][0]~q\,
	datab => \led_flash_cnt[918][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[918][1]~39732_combout\,
	cout => \led_flash_cnt[918][1]~39733\);

-- Location: FF_X10_Y4_N19
\led_flash_cnt[918][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[918][1]~39732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[918][1]~q\);

-- Location: LCCOMB_X10_Y4_N20
\led_flash_cnt[918][2]~39734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[918][2]~39734_combout\ = (\led_flash_cnt[918][2]~q\ & (!\led_flash_cnt[918][1]~39733\)) # (!\led_flash_cnt[918][2]~q\ & ((\led_flash_cnt[918][1]~39733\) # (GND)))
-- \led_flash_cnt[918][2]~39735\ = CARRY((!\led_flash_cnt[918][1]~39733\) # (!\led_flash_cnt[918][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[918][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[918][1]~39733\,
	combout => \led_flash_cnt[918][2]~39734_combout\,
	cout => \led_flash_cnt[918][2]~39735\);

-- Location: FF_X10_Y4_N21
\led_flash_cnt[918][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[918][2]~39734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[918][2]~q\);

-- Location: LCCOMB_X10_Y4_N22
\led_flash_cnt[918][3]~39736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[918][3]~39736_combout\ = (\led_flash_cnt[918][3]~q\ & (\led_flash_cnt[918][2]~39735\ $ (GND))) # (!\led_flash_cnt[918][3]~q\ & (!\led_flash_cnt[918][2]~39735\ & VCC))
-- \led_flash_cnt[918][3]~39737\ = CARRY((\led_flash_cnt[918][3]~q\ & !\led_flash_cnt[918][2]~39735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[918][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[918][2]~39735\,
	combout => \led_flash_cnt[918][3]~39736_combout\,
	cout => \led_flash_cnt[918][3]~39737\);

-- Location: FF_X10_Y4_N23
\led_flash_cnt[918][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[918][3]~39736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[918][3]~q\);

-- Location: LCCOMB_X10_Y4_N24
\led_flash_cnt[918][4]~39738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[918][4]~39738_combout\ = (\led_flash_cnt[918][4]~q\ & (!\led_flash_cnt[918][3]~39737\)) # (!\led_flash_cnt[918][4]~q\ & ((\led_flash_cnt[918][3]~39737\) # (GND)))
-- \led_flash_cnt[918][4]~39739\ = CARRY((!\led_flash_cnt[918][3]~39737\) # (!\led_flash_cnt[918][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[918][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[918][3]~39737\,
	combout => \led_flash_cnt[918][4]~39738_combout\,
	cout => \led_flash_cnt[918][4]~39739\);

-- Location: FF_X10_Y4_N25
\led_flash_cnt[918][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[918][4]~39738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[918][4]~q\);

-- Location: LCCOMB_X10_Y4_N0
\WideAnd918~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd918~0_combout\ = (\led_flash_cnt[918][4]~q\ & (\led_flash_cnt[918][1]~q\ & (\led_flash_cnt[918][3]~q\ & \led_flash_cnt[918][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[918][4]~q\,
	datab => \led_flash_cnt[918][1]~q\,
	datac => \led_flash_cnt[918][3]~q\,
	datad => \led_flash_cnt[918][2]~q\,
	combout => \WideAnd918~0_combout\);

-- Location: LCCOMB_X10_Y4_N26
\led_flash_cnt[918][5]~39740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[918][5]~39740_combout\ = (\led_flash_cnt[918][5]~q\ & (\led_flash_cnt[918][4]~39739\ $ (GND))) # (!\led_flash_cnt[918][5]~q\ & (!\led_flash_cnt[918][4]~39739\ & VCC))
-- \led_flash_cnt[918][5]~39741\ = CARRY((\led_flash_cnt[918][5]~q\ & !\led_flash_cnt[918][4]~39739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[918][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[918][4]~39739\,
	combout => \led_flash_cnt[918][5]~39740_combout\,
	cout => \led_flash_cnt[918][5]~39741\);

-- Location: FF_X10_Y4_N27
\led_flash_cnt[918][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[918][5]~39740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[918][5]~q\);

-- Location: LCCOMB_X10_Y4_N28
\led_flash_cnt[918][6]~39742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[918][6]~39742_combout\ = (\led_flash_cnt[918][6]~q\ & (!\led_flash_cnt[918][5]~39741\)) # (!\led_flash_cnt[918][6]~q\ & ((\led_flash_cnt[918][5]~39741\) # (GND)))
-- \led_flash_cnt[918][6]~39743\ = CARRY((!\led_flash_cnt[918][5]~39741\) # (!\led_flash_cnt[918][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[918][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[918][5]~39741\,
	combout => \led_flash_cnt[918][6]~39742_combout\,
	cout => \led_flash_cnt[918][6]~39743\);

-- Location: FF_X10_Y4_N29
\led_flash_cnt[918][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[918][6]~39742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[918][6]~q\);

-- Location: LCCOMB_X10_Y4_N30
\led_flash_cnt[918][7]~39744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[918][7]~39744_combout\ = \led_flash_cnt[918][7]~q\ $ (!\led_flash_cnt[918][6]~39743\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[918][7]~q\,
	cin => \led_flash_cnt[918][6]~39743\,
	combout => \led_flash_cnt[918][7]~39744_combout\);

-- Location: FF_X10_Y4_N31
\led_flash_cnt[918][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[918][7]~39744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[918][7]~q\);

-- Location: LCCOMB_X11_Y4_N4
\WideAnd918~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd918~1_combout\ = (\led_flash_cnt[918][5]~q\ & \led_flash_cnt[918][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[918][5]~q\,
	datad => \led_flash_cnt[918][6]~q\,
	combout => \WideAnd918~1_combout\);

-- Location: LCCOMB_X11_Y4_N28
WideAnd918 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd918~combout\ = (\WideAnd918~0_combout\ & (\led_flash_cnt[918][7]~q\ & (\WideAnd918~1_combout\ & \led_flash_cnt[918][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd918~0_combout\,
	datab => \led_flash_cnt[918][7]~q\,
	datac => \WideAnd918~1_combout\,
	datad => \led_flash_cnt[918][0]~q\,
	combout => \WideAnd918~combout\);

-- Location: FF_X11_Y4_N29
\led_flash_cnt_ands[918]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd918~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(918));

-- Location: LCCOMB_X15_Y3_N20
\led_flash_cnt[915][0]~81555\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[915][0]~81555_combout\ = !\led_flash_cnt[915][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[915][0]~q\,
	combout => \led_flash_cnt[915][0]~81555_combout\);

-- Location: FF_X15_Y3_N21
\led_flash_cnt[915][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[915][0]~81555_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[915][0]~q\);

-- Location: LCCOMB_X14_Y3_N18
\led_flash_cnt[915][1]~39690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[915][1]~39690_combout\ = (\led_flash_cnt[915][0]~q\ & (\led_flash_cnt[915][1]~q\ $ (VCC))) # (!\led_flash_cnt[915][0]~q\ & (\led_flash_cnt[915][1]~q\ & VCC))
-- \led_flash_cnt[915][1]~39691\ = CARRY((\led_flash_cnt[915][0]~q\ & \led_flash_cnt[915][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[915][0]~q\,
	datab => \led_flash_cnt[915][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[915][1]~39690_combout\,
	cout => \led_flash_cnt[915][1]~39691\);

-- Location: FF_X14_Y3_N19
\led_flash_cnt[915][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[915][1]~39690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[915][1]~q\);

-- Location: LCCOMB_X14_Y3_N20
\led_flash_cnt[915][2]~39692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[915][2]~39692_combout\ = (\led_flash_cnt[915][2]~q\ & (!\led_flash_cnt[915][1]~39691\)) # (!\led_flash_cnt[915][2]~q\ & ((\led_flash_cnt[915][1]~39691\) # (GND)))
-- \led_flash_cnt[915][2]~39693\ = CARRY((!\led_flash_cnt[915][1]~39691\) # (!\led_flash_cnt[915][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[915][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[915][1]~39691\,
	combout => \led_flash_cnt[915][2]~39692_combout\,
	cout => \led_flash_cnt[915][2]~39693\);

-- Location: FF_X14_Y3_N21
\led_flash_cnt[915][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[915][2]~39692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[915][2]~q\);

-- Location: LCCOMB_X14_Y3_N22
\led_flash_cnt[915][3]~39694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[915][3]~39694_combout\ = (\led_flash_cnt[915][3]~q\ & (\led_flash_cnt[915][2]~39693\ $ (GND))) # (!\led_flash_cnt[915][3]~q\ & (!\led_flash_cnt[915][2]~39693\ & VCC))
-- \led_flash_cnt[915][3]~39695\ = CARRY((\led_flash_cnt[915][3]~q\ & !\led_flash_cnt[915][2]~39693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[915][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[915][2]~39693\,
	combout => \led_flash_cnt[915][3]~39694_combout\,
	cout => \led_flash_cnt[915][3]~39695\);

-- Location: FF_X14_Y3_N23
\led_flash_cnt[915][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[915][3]~39694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[915][3]~q\);

-- Location: LCCOMB_X14_Y3_N24
\led_flash_cnt[915][4]~39696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[915][4]~39696_combout\ = (\led_flash_cnt[915][4]~q\ & (!\led_flash_cnt[915][3]~39695\)) # (!\led_flash_cnt[915][4]~q\ & ((\led_flash_cnt[915][3]~39695\) # (GND)))
-- \led_flash_cnt[915][4]~39697\ = CARRY((!\led_flash_cnt[915][3]~39695\) # (!\led_flash_cnt[915][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[915][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[915][3]~39695\,
	combout => \led_flash_cnt[915][4]~39696_combout\,
	cout => \led_flash_cnt[915][4]~39697\);

-- Location: FF_X14_Y3_N25
\led_flash_cnt[915][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[915][4]~39696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[915][4]~q\);

-- Location: LCCOMB_X14_Y3_N26
\led_flash_cnt[915][5]~39698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[915][5]~39698_combout\ = (\led_flash_cnt[915][5]~q\ & (\led_flash_cnt[915][4]~39697\ $ (GND))) # (!\led_flash_cnt[915][5]~q\ & (!\led_flash_cnt[915][4]~39697\ & VCC))
-- \led_flash_cnt[915][5]~39699\ = CARRY((\led_flash_cnt[915][5]~q\ & !\led_flash_cnt[915][4]~39697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[915][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[915][4]~39697\,
	combout => \led_flash_cnt[915][5]~39698_combout\,
	cout => \led_flash_cnt[915][5]~39699\);

-- Location: FF_X14_Y3_N27
\led_flash_cnt[915][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[915][5]~39698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[915][5]~q\);

-- Location: LCCOMB_X14_Y3_N28
\led_flash_cnt[915][6]~39700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[915][6]~39700_combout\ = (\led_flash_cnt[915][6]~q\ & (!\led_flash_cnt[915][5]~39699\)) # (!\led_flash_cnt[915][6]~q\ & ((\led_flash_cnt[915][5]~39699\) # (GND)))
-- \led_flash_cnt[915][6]~39701\ = CARRY((!\led_flash_cnt[915][5]~39699\) # (!\led_flash_cnt[915][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[915][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[915][5]~39699\,
	combout => \led_flash_cnt[915][6]~39700_combout\,
	cout => \led_flash_cnt[915][6]~39701\);

-- Location: FF_X14_Y3_N29
\led_flash_cnt[915][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[915][6]~39700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[915][6]~q\);

-- Location: LCCOMB_X14_Y3_N14
\WideAnd915~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd915~1_combout\ = (\led_flash_cnt[915][5]~q\ & \led_flash_cnt[915][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[915][5]~q\,
	datad => \led_flash_cnt[915][6]~q\,
	combout => \WideAnd915~1_combout\);

-- Location: LCCOMB_X14_Y3_N30
\led_flash_cnt[915][7]~39702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[915][7]~39702_combout\ = \led_flash_cnt[915][7]~q\ $ (!\led_flash_cnt[915][6]~39701\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[915][7]~q\,
	cin => \led_flash_cnt[915][6]~39701\,
	combout => \led_flash_cnt[915][7]~39702_combout\);

-- Location: FF_X14_Y3_N31
\led_flash_cnt[915][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[915][7]~39702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[915][7]~q\);

-- Location: LCCOMB_X15_Y3_N18
\WideAnd915~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd915~0_combout\ = (\led_flash_cnt[915][2]~q\ & (\led_flash_cnt[915][3]~q\ & (\led_flash_cnt[915][1]~q\ & \led_flash_cnt[915][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[915][2]~q\,
	datab => \led_flash_cnt[915][3]~q\,
	datac => \led_flash_cnt[915][1]~q\,
	datad => \led_flash_cnt[915][4]~q\,
	combout => \WideAnd915~0_combout\);

-- Location: LCCOMB_X15_Y3_N22
WideAnd915 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd915~combout\ = (\WideAnd915~1_combout\ & (\led_flash_cnt[915][7]~q\ & (\led_flash_cnt[915][0]~q\ & \WideAnd915~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd915~1_combout\,
	datab => \led_flash_cnt[915][7]~q\,
	datac => \led_flash_cnt[915][0]~q\,
	datad => \WideAnd915~0_combout\,
	combout => \WideAnd915~combout\);

-- Location: FF_X15_Y3_N23
\led_flash_cnt_ands[915]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd915~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(915));

-- Location: LCCOMB_X11_Y6_N8
\led_flash_cnt[912][0]~81552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[912][0]~81552_combout\ = !\led_flash_cnt[912][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[912][0]~q\,
	combout => \led_flash_cnt[912][0]~81552_combout\);

-- Location: FF_X11_Y6_N9
\led_flash_cnt[912][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[912][0]~81552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[912][0]~q\);

-- Location: LCCOMB_X12_Y6_N0
\led_flash_cnt[912][1]~39648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[912][1]~39648_combout\ = (\led_flash_cnt[912][0]~q\ & (\led_flash_cnt[912][1]~q\ $ (VCC))) # (!\led_flash_cnt[912][0]~q\ & (\led_flash_cnt[912][1]~q\ & VCC))
-- \led_flash_cnt[912][1]~39649\ = CARRY((\led_flash_cnt[912][0]~q\ & \led_flash_cnt[912][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[912][0]~q\,
	datab => \led_flash_cnt[912][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[912][1]~39648_combout\,
	cout => \led_flash_cnt[912][1]~39649\);

-- Location: FF_X12_Y6_N1
\led_flash_cnt[912][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[912][1]~39648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[912][1]~q\);

-- Location: LCCOMB_X12_Y6_N2
\led_flash_cnt[912][2]~39650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[912][2]~39650_combout\ = (\led_flash_cnt[912][2]~q\ & (!\led_flash_cnt[912][1]~39649\)) # (!\led_flash_cnt[912][2]~q\ & ((\led_flash_cnt[912][1]~39649\) # (GND)))
-- \led_flash_cnt[912][2]~39651\ = CARRY((!\led_flash_cnt[912][1]~39649\) # (!\led_flash_cnt[912][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[912][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[912][1]~39649\,
	combout => \led_flash_cnt[912][2]~39650_combout\,
	cout => \led_flash_cnt[912][2]~39651\);

-- Location: FF_X12_Y6_N3
\led_flash_cnt[912][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[912][2]~39650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[912][2]~q\);

-- Location: LCCOMB_X12_Y6_N4
\led_flash_cnt[912][3]~39652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[912][3]~39652_combout\ = (\led_flash_cnt[912][3]~q\ & (\led_flash_cnt[912][2]~39651\ $ (GND))) # (!\led_flash_cnt[912][3]~q\ & (!\led_flash_cnt[912][2]~39651\ & VCC))
-- \led_flash_cnt[912][3]~39653\ = CARRY((\led_flash_cnt[912][3]~q\ & !\led_flash_cnt[912][2]~39651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[912][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[912][2]~39651\,
	combout => \led_flash_cnt[912][3]~39652_combout\,
	cout => \led_flash_cnt[912][3]~39653\);

-- Location: FF_X12_Y6_N5
\led_flash_cnt[912][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[912][3]~39652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[912][3]~q\);

-- Location: LCCOMB_X12_Y6_N6
\led_flash_cnt[912][4]~39654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[912][4]~39654_combout\ = (\led_flash_cnt[912][4]~q\ & (!\led_flash_cnt[912][3]~39653\)) # (!\led_flash_cnt[912][4]~q\ & ((\led_flash_cnt[912][3]~39653\) # (GND)))
-- \led_flash_cnt[912][4]~39655\ = CARRY((!\led_flash_cnt[912][3]~39653\) # (!\led_flash_cnt[912][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[912][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[912][3]~39653\,
	combout => \led_flash_cnt[912][4]~39654_combout\,
	cout => \led_flash_cnt[912][4]~39655\);

-- Location: FF_X12_Y6_N7
\led_flash_cnt[912][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[912][4]~39654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[912][4]~q\);

-- Location: LCCOMB_X12_Y6_N8
\led_flash_cnt[912][5]~39656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[912][5]~39656_combout\ = (\led_flash_cnt[912][5]~q\ & (\led_flash_cnt[912][4]~39655\ $ (GND))) # (!\led_flash_cnt[912][5]~q\ & (!\led_flash_cnt[912][4]~39655\ & VCC))
-- \led_flash_cnt[912][5]~39657\ = CARRY((\led_flash_cnt[912][5]~q\ & !\led_flash_cnt[912][4]~39655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[912][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[912][4]~39655\,
	combout => \led_flash_cnt[912][5]~39656_combout\,
	cout => \led_flash_cnt[912][5]~39657\);

-- Location: FF_X12_Y6_N9
\led_flash_cnt[912][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[912][5]~39656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[912][5]~q\);

-- Location: LCCOMB_X12_Y6_N10
\led_flash_cnt[912][6]~39658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[912][6]~39658_combout\ = (\led_flash_cnt[912][6]~q\ & (!\led_flash_cnt[912][5]~39657\)) # (!\led_flash_cnt[912][6]~q\ & ((\led_flash_cnt[912][5]~39657\) # (GND)))
-- \led_flash_cnt[912][6]~39659\ = CARRY((!\led_flash_cnt[912][5]~39657\) # (!\led_flash_cnt[912][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[912][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[912][5]~39657\,
	combout => \led_flash_cnt[912][6]~39658_combout\,
	cout => \led_flash_cnt[912][6]~39659\);

-- Location: FF_X12_Y6_N11
\led_flash_cnt[912][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[912][6]~39658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[912][6]~q\);

-- Location: LCCOMB_X12_Y6_N12
\led_flash_cnt[912][7]~39660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[912][7]~39660_combout\ = \led_flash_cnt[912][6]~39659\ $ (!\led_flash_cnt[912][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[912][7]~q\,
	cin => \led_flash_cnt[912][6]~39659\,
	combout => \led_flash_cnt[912][7]~39660_combout\);

-- Location: FF_X12_Y6_N13
\led_flash_cnt[912][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[912][7]~39660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[912][7]~q\);

-- Location: LCCOMB_X13_Y6_N0
\WideAnd912~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd912~0_combout\ = (\led_flash_cnt[912][1]~q\ & (\led_flash_cnt[912][4]~q\ & (\led_flash_cnt[912][3]~q\ & \led_flash_cnt[912][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[912][1]~q\,
	datab => \led_flash_cnt[912][4]~q\,
	datac => \led_flash_cnt[912][3]~q\,
	datad => \led_flash_cnt[912][2]~q\,
	combout => \WideAnd912~0_combout\);

-- Location: LCCOMB_X13_Y6_N12
\WideAnd912~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd912~1_combout\ = (\led_flash_cnt[912][6]~q\ & \led_flash_cnt[912][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[912][6]~q\,
	datad => \led_flash_cnt[912][5]~q\,
	combout => \WideAnd912~1_combout\);

-- Location: LCCOMB_X13_Y6_N10
WideAnd912 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd912~combout\ = (\led_flash_cnt[912][7]~q\ & (\WideAnd912~0_combout\ & (\led_flash_cnt[912][0]~q\ & \WideAnd912~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[912][7]~q\,
	datab => \WideAnd912~0_combout\,
	datac => \led_flash_cnt[912][0]~q\,
	datad => \WideAnd912~1_combout\,
	combout => \WideAnd912~combout\);

-- Location: FF_X13_Y6_N11
\led_flash_cnt_ands[912]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd912~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(912));

-- Location: LCCOMB_X9_Y2_N2
\led_flash_cnt[914][0]~81554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[914][0]~81554_combout\ = !\led_flash_cnt[914][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[914][0]~q\,
	combout => \led_flash_cnt[914][0]~81554_combout\);

-- Location: FF_X9_Y2_N3
\led_flash_cnt[914][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[914][0]~81554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[914][0]~q\);

-- Location: LCCOMB_X11_Y2_N4
\led_flash_cnt[914][1]~39676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[914][1]~39676_combout\ = (\led_flash_cnt[914][0]~q\ & (\led_flash_cnt[914][1]~q\ $ (VCC))) # (!\led_flash_cnt[914][0]~q\ & (\led_flash_cnt[914][1]~q\ & VCC))
-- \led_flash_cnt[914][1]~39677\ = CARRY((\led_flash_cnt[914][0]~q\ & \led_flash_cnt[914][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[914][0]~q\,
	datab => \led_flash_cnt[914][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[914][1]~39676_combout\,
	cout => \led_flash_cnt[914][1]~39677\);

-- Location: FF_X11_Y2_N5
\led_flash_cnt[914][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[914][1]~39676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[914][1]~q\);

-- Location: LCCOMB_X11_Y2_N6
\led_flash_cnt[914][2]~39678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[914][2]~39678_combout\ = (\led_flash_cnt[914][2]~q\ & (!\led_flash_cnt[914][1]~39677\)) # (!\led_flash_cnt[914][2]~q\ & ((\led_flash_cnt[914][1]~39677\) # (GND)))
-- \led_flash_cnt[914][2]~39679\ = CARRY((!\led_flash_cnt[914][1]~39677\) # (!\led_flash_cnt[914][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[914][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[914][1]~39677\,
	combout => \led_flash_cnt[914][2]~39678_combout\,
	cout => \led_flash_cnt[914][2]~39679\);

-- Location: FF_X11_Y2_N7
\led_flash_cnt[914][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[914][2]~39678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[914][2]~q\);

-- Location: LCCOMB_X11_Y2_N8
\led_flash_cnt[914][3]~39680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[914][3]~39680_combout\ = (\led_flash_cnt[914][3]~q\ & (\led_flash_cnt[914][2]~39679\ $ (GND))) # (!\led_flash_cnt[914][3]~q\ & (!\led_flash_cnt[914][2]~39679\ & VCC))
-- \led_flash_cnt[914][3]~39681\ = CARRY((\led_flash_cnt[914][3]~q\ & !\led_flash_cnt[914][2]~39679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[914][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[914][2]~39679\,
	combout => \led_flash_cnt[914][3]~39680_combout\,
	cout => \led_flash_cnt[914][3]~39681\);

-- Location: FF_X11_Y2_N9
\led_flash_cnt[914][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[914][3]~39680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[914][3]~q\);

-- Location: LCCOMB_X11_Y2_N10
\led_flash_cnt[914][4]~39682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[914][4]~39682_combout\ = (\led_flash_cnt[914][4]~q\ & (!\led_flash_cnt[914][3]~39681\)) # (!\led_flash_cnt[914][4]~q\ & ((\led_flash_cnt[914][3]~39681\) # (GND)))
-- \led_flash_cnt[914][4]~39683\ = CARRY((!\led_flash_cnt[914][3]~39681\) # (!\led_flash_cnt[914][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[914][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[914][3]~39681\,
	combout => \led_flash_cnt[914][4]~39682_combout\,
	cout => \led_flash_cnt[914][4]~39683\);

-- Location: FF_X11_Y2_N11
\led_flash_cnt[914][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[914][4]~39682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[914][4]~q\);

-- Location: LCCOMB_X11_Y2_N24
\WideAnd914~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd914~0_combout\ = (\led_flash_cnt[914][2]~q\ & (\led_flash_cnt[914][3]~q\ & (\led_flash_cnt[914][1]~q\ & \led_flash_cnt[914][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[914][2]~q\,
	datab => \led_flash_cnt[914][3]~q\,
	datac => \led_flash_cnt[914][1]~q\,
	datad => \led_flash_cnt[914][4]~q\,
	combout => \WideAnd914~0_combout\);

-- Location: LCCOMB_X11_Y2_N12
\led_flash_cnt[914][5]~39684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[914][5]~39684_combout\ = (\led_flash_cnt[914][5]~q\ & (\led_flash_cnt[914][4]~39683\ $ (GND))) # (!\led_flash_cnt[914][5]~q\ & (!\led_flash_cnt[914][4]~39683\ & VCC))
-- \led_flash_cnt[914][5]~39685\ = CARRY((\led_flash_cnt[914][5]~q\ & !\led_flash_cnt[914][4]~39683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[914][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[914][4]~39683\,
	combout => \led_flash_cnt[914][5]~39684_combout\,
	cout => \led_flash_cnt[914][5]~39685\);

-- Location: FF_X11_Y2_N13
\led_flash_cnt[914][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[914][5]~39684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[914][5]~q\);

-- Location: LCCOMB_X11_Y2_N14
\led_flash_cnt[914][6]~39686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[914][6]~39686_combout\ = (\led_flash_cnt[914][6]~q\ & (!\led_flash_cnt[914][5]~39685\)) # (!\led_flash_cnt[914][6]~q\ & ((\led_flash_cnt[914][5]~39685\) # (GND)))
-- \led_flash_cnt[914][6]~39687\ = CARRY((!\led_flash_cnt[914][5]~39685\) # (!\led_flash_cnt[914][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[914][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[914][5]~39685\,
	combout => \led_flash_cnt[914][6]~39686_combout\,
	cout => \led_flash_cnt[914][6]~39687\);

-- Location: FF_X11_Y2_N15
\led_flash_cnt[914][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[914][6]~39686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[914][6]~q\);

-- Location: LCCOMB_X11_Y2_N22
\WideAnd914~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd914~1_combout\ = (\led_flash_cnt[914][6]~q\ & \led_flash_cnt[914][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[914][6]~q\,
	datad => \led_flash_cnt[914][5]~q\,
	combout => \WideAnd914~1_combout\);

-- Location: LCCOMB_X11_Y2_N16
\led_flash_cnt[914][7]~39688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[914][7]~39688_combout\ = \led_flash_cnt[914][6]~39687\ $ (!\led_flash_cnt[914][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[914][7]~q\,
	cin => \led_flash_cnt[914][6]~39687\,
	combout => \led_flash_cnt[914][7]~39688_combout\);

-- Location: FF_X11_Y2_N17
\led_flash_cnt[914][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[914][7]~39688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[914][7]~q\);

-- Location: LCCOMB_X11_Y2_N28
WideAnd914 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd914~combout\ = (\led_flash_cnt[914][0]~q\ & (\WideAnd914~0_combout\ & (\WideAnd914~1_combout\ & \led_flash_cnt[914][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[914][0]~q\,
	datab => \WideAnd914~0_combout\,
	datac => \WideAnd914~1_combout\,
	datad => \led_flash_cnt[914][7]~q\,
	combout => \WideAnd914~combout\);

-- Location: FF_X11_Y2_N29
\led_flash_cnt_ands[914]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd914~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(914));

-- Location: LCCOMB_X15_Y2_N0
\led_flash_cnt[913][0]~81553\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[913][0]~81553_combout\ = !\led_flash_cnt[913][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[913][0]~q\,
	combout => \led_flash_cnt[913][0]~81553_combout\);

-- Location: FF_X15_Y2_N1
\led_flash_cnt[913][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[913][0]~81553_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[913][0]~q\);

-- Location: LCCOMB_X15_Y3_N0
\led_flash_cnt[913][1]~39662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[913][1]~39662_combout\ = (\led_flash_cnt[913][0]~q\ & (\led_flash_cnt[913][1]~q\ $ (VCC))) # (!\led_flash_cnt[913][0]~q\ & (\led_flash_cnt[913][1]~q\ & VCC))
-- \led_flash_cnt[913][1]~39663\ = CARRY((\led_flash_cnt[913][0]~q\ & \led_flash_cnt[913][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[913][0]~q\,
	datab => \led_flash_cnt[913][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[913][1]~39662_combout\,
	cout => \led_flash_cnt[913][1]~39663\);

-- Location: FF_X15_Y3_N1
\led_flash_cnt[913][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[913][1]~39662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[913][1]~q\);

-- Location: LCCOMB_X15_Y3_N2
\led_flash_cnt[913][2]~39664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[913][2]~39664_combout\ = (\led_flash_cnt[913][2]~q\ & (!\led_flash_cnt[913][1]~39663\)) # (!\led_flash_cnt[913][2]~q\ & ((\led_flash_cnt[913][1]~39663\) # (GND)))
-- \led_flash_cnt[913][2]~39665\ = CARRY((!\led_flash_cnt[913][1]~39663\) # (!\led_flash_cnt[913][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[913][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[913][1]~39663\,
	combout => \led_flash_cnt[913][2]~39664_combout\,
	cout => \led_flash_cnt[913][2]~39665\);

-- Location: FF_X15_Y3_N3
\led_flash_cnt[913][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[913][2]~39664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[913][2]~q\);

-- Location: LCCOMB_X15_Y3_N4
\led_flash_cnt[913][3]~39666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[913][3]~39666_combout\ = (\led_flash_cnt[913][3]~q\ & (\led_flash_cnt[913][2]~39665\ $ (GND))) # (!\led_flash_cnt[913][3]~q\ & (!\led_flash_cnt[913][2]~39665\ & VCC))
-- \led_flash_cnt[913][3]~39667\ = CARRY((\led_flash_cnt[913][3]~q\ & !\led_flash_cnt[913][2]~39665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[913][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[913][2]~39665\,
	combout => \led_flash_cnt[913][3]~39666_combout\,
	cout => \led_flash_cnt[913][3]~39667\);

-- Location: FF_X15_Y3_N5
\led_flash_cnt[913][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[913][3]~39666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[913][3]~q\);

-- Location: LCCOMB_X15_Y3_N6
\led_flash_cnt[913][4]~39668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[913][4]~39668_combout\ = (\led_flash_cnt[913][4]~q\ & (!\led_flash_cnt[913][3]~39667\)) # (!\led_flash_cnt[913][4]~q\ & ((\led_flash_cnt[913][3]~39667\) # (GND)))
-- \led_flash_cnt[913][4]~39669\ = CARRY((!\led_flash_cnt[913][3]~39667\) # (!\led_flash_cnt[913][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[913][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[913][3]~39667\,
	combout => \led_flash_cnt[913][4]~39668_combout\,
	cout => \led_flash_cnt[913][4]~39669\);

-- Location: FF_X15_Y3_N7
\led_flash_cnt[913][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[913][4]~39668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[913][4]~q\);

-- Location: LCCOMB_X15_Y3_N8
\led_flash_cnt[913][5]~39670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[913][5]~39670_combout\ = (\led_flash_cnt[913][5]~q\ & (\led_flash_cnt[913][4]~39669\ $ (GND))) # (!\led_flash_cnt[913][5]~q\ & (!\led_flash_cnt[913][4]~39669\ & VCC))
-- \led_flash_cnt[913][5]~39671\ = CARRY((\led_flash_cnt[913][5]~q\ & !\led_flash_cnt[913][4]~39669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[913][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[913][4]~39669\,
	combout => \led_flash_cnt[913][5]~39670_combout\,
	cout => \led_flash_cnt[913][5]~39671\);

-- Location: FF_X15_Y3_N9
\led_flash_cnt[913][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[913][5]~39670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[913][5]~q\);

-- Location: LCCOMB_X15_Y3_N10
\led_flash_cnt[913][6]~39672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[913][6]~39672_combout\ = (\led_flash_cnt[913][6]~q\ & (!\led_flash_cnt[913][5]~39671\)) # (!\led_flash_cnt[913][6]~q\ & ((\led_flash_cnt[913][5]~39671\) # (GND)))
-- \led_flash_cnt[913][6]~39673\ = CARRY((!\led_flash_cnt[913][5]~39671\) # (!\led_flash_cnt[913][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[913][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[913][5]~39671\,
	combout => \led_flash_cnt[913][6]~39672_combout\,
	cout => \led_flash_cnt[913][6]~39673\);

-- Location: FF_X15_Y3_N11
\led_flash_cnt[913][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[913][6]~39672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[913][6]~q\);

-- Location: LCCOMB_X15_Y3_N26
\WideAnd913~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd913~1_combout\ = (\led_flash_cnt[913][5]~q\ & \led_flash_cnt[913][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[913][5]~q\,
	datad => \led_flash_cnt[913][6]~q\,
	combout => \WideAnd913~1_combout\);

-- Location: LCCOMB_X15_Y3_N30
\WideAnd913~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd913~0_combout\ = (\led_flash_cnt[913][4]~q\ & (\led_flash_cnt[913][1]~q\ & (\led_flash_cnt[913][3]~q\ & \led_flash_cnt[913][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[913][4]~q\,
	datab => \led_flash_cnt[913][1]~q\,
	datac => \led_flash_cnt[913][3]~q\,
	datad => \led_flash_cnt[913][2]~q\,
	combout => \WideAnd913~0_combout\);

-- Location: LCCOMB_X15_Y3_N12
\led_flash_cnt[913][7]~39674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[913][7]~39674_combout\ = \led_flash_cnt[913][6]~39673\ $ (!\led_flash_cnt[913][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[913][7]~q\,
	cin => \led_flash_cnt[913][6]~39673\,
	combout => \led_flash_cnt[913][7]~39674_combout\);

-- Location: FF_X15_Y3_N13
\led_flash_cnt[913][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[913][7]~39674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[913][7]~q\);

-- Location: LCCOMB_X15_Y3_N24
WideAnd913 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd913~combout\ = (\WideAnd913~1_combout\ & (\led_flash_cnt[913][0]~q\ & (\WideAnd913~0_combout\ & \led_flash_cnt[913][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd913~1_combout\,
	datab => \led_flash_cnt[913][0]~q\,
	datac => \WideAnd913~0_combout\,
	datad => \led_flash_cnt[913][7]~q\,
	combout => \WideAnd913~combout\);

-- Location: FF_X15_Y3_N25
\led_flash_cnt_ands[913]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd913~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(913));

-- Location: LCCOMB_X15_Y3_N28
\WideAnd3954~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3954~0_combout\ = (led_flash_cnt_ands(915) & (led_flash_cnt_ands(912) & (led_flash_cnt_ands(914) & led_flash_cnt_ands(913))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(915),
	datab => led_flash_cnt_ands(912),
	datac => led_flash_cnt_ands(914),
	datad => led_flash_cnt_ands(913),
	combout => \WideAnd3954~0_combout\);

-- Location: LCCOMB_X11_Y4_N0
\led_flash_cnt[917][0]~81557\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[917][0]~81557_combout\ = !\led_flash_cnt[917][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[917][0]~q\,
	combout => \led_flash_cnt[917][0]~81557_combout\);

-- Location: FF_X11_Y4_N1
\led_flash_cnt[917][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[917][0]~81557_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[917][0]~q\);

-- Location: LCCOMB_X11_Y4_N10
\led_flash_cnt[917][1]~39718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[917][1]~39718_combout\ = (\led_flash_cnt[917][1]~q\ & (\led_flash_cnt[917][0]~q\ $ (VCC))) # (!\led_flash_cnt[917][1]~q\ & (\led_flash_cnt[917][0]~q\ & VCC))
-- \led_flash_cnt[917][1]~39719\ = CARRY((\led_flash_cnt[917][1]~q\ & \led_flash_cnt[917][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[917][1]~q\,
	datab => \led_flash_cnt[917][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[917][1]~39718_combout\,
	cout => \led_flash_cnt[917][1]~39719\);

-- Location: FF_X11_Y4_N11
\led_flash_cnt[917][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[917][1]~39718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[917][1]~q\);

-- Location: LCCOMB_X11_Y4_N12
\led_flash_cnt[917][2]~39720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[917][2]~39720_combout\ = (\led_flash_cnt[917][2]~q\ & (!\led_flash_cnt[917][1]~39719\)) # (!\led_flash_cnt[917][2]~q\ & ((\led_flash_cnt[917][1]~39719\) # (GND)))
-- \led_flash_cnt[917][2]~39721\ = CARRY((!\led_flash_cnt[917][1]~39719\) # (!\led_flash_cnt[917][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[917][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[917][1]~39719\,
	combout => \led_flash_cnt[917][2]~39720_combout\,
	cout => \led_flash_cnt[917][2]~39721\);

-- Location: FF_X11_Y4_N13
\led_flash_cnt[917][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[917][2]~39720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[917][2]~q\);

-- Location: LCCOMB_X11_Y4_N14
\led_flash_cnt[917][3]~39722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[917][3]~39722_combout\ = (\led_flash_cnt[917][3]~q\ & (\led_flash_cnt[917][2]~39721\ $ (GND))) # (!\led_flash_cnt[917][3]~q\ & (!\led_flash_cnt[917][2]~39721\ & VCC))
-- \led_flash_cnt[917][3]~39723\ = CARRY((\led_flash_cnt[917][3]~q\ & !\led_flash_cnt[917][2]~39721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[917][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[917][2]~39721\,
	combout => \led_flash_cnt[917][3]~39722_combout\,
	cout => \led_flash_cnt[917][3]~39723\);

-- Location: FF_X11_Y4_N15
\led_flash_cnt[917][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[917][3]~39722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[917][3]~q\);

-- Location: LCCOMB_X11_Y4_N16
\led_flash_cnt[917][4]~39724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[917][4]~39724_combout\ = (\led_flash_cnt[917][4]~q\ & (!\led_flash_cnt[917][3]~39723\)) # (!\led_flash_cnt[917][4]~q\ & ((\led_flash_cnt[917][3]~39723\) # (GND)))
-- \led_flash_cnt[917][4]~39725\ = CARRY((!\led_flash_cnt[917][3]~39723\) # (!\led_flash_cnt[917][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[917][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[917][3]~39723\,
	combout => \led_flash_cnt[917][4]~39724_combout\,
	cout => \led_flash_cnt[917][4]~39725\);

-- Location: FF_X11_Y4_N17
\led_flash_cnt[917][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[917][4]~39724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[917][4]~q\);

-- Location: LCCOMB_X11_Y4_N18
\led_flash_cnt[917][5]~39726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[917][5]~39726_combout\ = (\led_flash_cnt[917][5]~q\ & (\led_flash_cnt[917][4]~39725\ $ (GND))) # (!\led_flash_cnt[917][5]~q\ & (!\led_flash_cnt[917][4]~39725\ & VCC))
-- \led_flash_cnt[917][5]~39727\ = CARRY((\led_flash_cnt[917][5]~q\ & !\led_flash_cnt[917][4]~39725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[917][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[917][4]~39725\,
	combout => \led_flash_cnt[917][5]~39726_combout\,
	cout => \led_flash_cnt[917][5]~39727\);

-- Location: FF_X11_Y4_N19
\led_flash_cnt[917][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[917][5]~39726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[917][5]~q\);

-- Location: LCCOMB_X11_Y4_N20
\led_flash_cnt[917][6]~39728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[917][6]~39728_combout\ = (\led_flash_cnt[917][6]~q\ & (!\led_flash_cnt[917][5]~39727\)) # (!\led_flash_cnt[917][6]~q\ & ((\led_flash_cnt[917][5]~39727\) # (GND)))
-- \led_flash_cnt[917][6]~39729\ = CARRY((!\led_flash_cnt[917][5]~39727\) # (!\led_flash_cnt[917][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[917][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[917][5]~39727\,
	combout => \led_flash_cnt[917][6]~39728_combout\,
	cout => \led_flash_cnt[917][6]~39729\);

-- Location: FF_X11_Y4_N21
\led_flash_cnt[917][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[917][6]~39728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[917][6]~q\);

-- Location: LCCOMB_X11_Y4_N30
\WideAnd917~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd917~1_combout\ = (\led_flash_cnt[917][6]~q\ & \led_flash_cnt[917][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[917][6]~q\,
	datac => \led_flash_cnt[917][5]~q\,
	combout => \WideAnd917~1_combout\);

-- Location: LCCOMB_X11_Y4_N22
\led_flash_cnt[917][7]~39730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[917][7]~39730_combout\ = \led_flash_cnt[917][7]~q\ $ (!\led_flash_cnt[917][6]~39729\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[917][7]~q\,
	cin => \led_flash_cnt[917][6]~39729\,
	combout => \led_flash_cnt[917][7]~39730_combout\);

-- Location: FF_X11_Y4_N23
\led_flash_cnt[917][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[917][7]~39730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[917][7]~q\);

-- Location: LCCOMB_X11_Y4_N24
\WideAnd917~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd917~0_combout\ = (\led_flash_cnt[917][2]~q\ & (\led_flash_cnt[917][4]~q\ & (\led_flash_cnt[917][3]~q\ & \led_flash_cnt[917][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[917][2]~q\,
	datab => \led_flash_cnt[917][4]~q\,
	datac => \led_flash_cnt[917][3]~q\,
	datad => \led_flash_cnt[917][1]~q\,
	combout => \WideAnd917~0_combout\);

-- Location: LCCOMB_X11_Y4_N26
WideAnd917 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd917~combout\ = (\WideAnd917~1_combout\ & (\led_flash_cnt[917][0]~q\ & (\led_flash_cnt[917][7]~q\ & \WideAnd917~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd917~1_combout\,
	datab => \led_flash_cnt[917][0]~q\,
	datac => \led_flash_cnt[917][7]~q\,
	datad => \WideAnd917~0_combout\,
	combout => \WideAnd917~combout\);

-- Location: FF_X11_Y4_N27
\led_flash_cnt_ands[917]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd917~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(917));

-- Location: LCCOMB_X17_Y15_N24
\led_flash_cnt[916][0]~81556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[916][0]~81556_combout\ = !\led_flash_cnt[916][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[916][0]~q\,
	combout => \led_flash_cnt[916][0]~81556_combout\);

-- Location: FF_X17_Y15_N25
\led_flash_cnt[916][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[916][0]~81556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[916][0]~q\);

-- Location: LCCOMB_X16_Y15_N18
\led_flash_cnt[916][1]~39704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[916][1]~39704_combout\ = (\led_flash_cnt[916][1]~q\ & (\led_flash_cnt[916][0]~q\ $ (VCC))) # (!\led_flash_cnt[916][1]~q\ & (\led_flash_cnt[916][0]~q\ & VCC))
-- \led_flash_cnt[916][1]~39705\ = CARRY((\led_flash_cnt[916][1]~q\ & \led_flash_cnt[916][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[916][1]~q\,
	datab => \led_flash_cnt[916][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[916][1]~39704_combout\,
	cout => \led_flash_cnt[916][1]~39705\);

-- Location: FF_X16_Y15_N19
\led_flash_cnt[916][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[916][1]~39704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[916][1]~q\);

-- Location: LCCOMB_X16_Y15_N20
\led_flash_cnt[916][2]~39706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[916][2]~39706_combout\ = (\led_flash_cnt[916][2]~q\ & (!\led_flash_cnt[916][1]~39705\)) # (!\led_flash_cnt[916][2]~q\ & ((\led_flash_cnt[916][1]~39705\) # (GND)))
-- \led_flash_cnt[916][2]~39707\ = CARRY((!\led_flash_cnt[916][1]~39705\) # (!\led_flash_cnt[916][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[916][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[916][1]~39705\,
	combout => \led_flash_cnt[916][2]~39706_combout\,
	cout => \led_flash_cnt[916][2]~39707\);

-- Location: FF_X16_Y15_N21
\led_flash_cnt[916][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[916][2]~39706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[916][2]~q\);

-- Location: LCCOMB_X16_Y15_N22
\led_flash_cnt[916][3]~39708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[916][3]~39708_combout\ = (\led_flash_cnt[916][3]~q\ & (\led_flash_cnt[916][2]~39707\ $ (GND))) # (!\led_flash_cnt[916][3]~q\ & (!\led_flash_cnt[916][2]~39707\ & VCC))
-- \led_flash_cnt[916][3]~39709\ = CARRY((\led_flash_cnt[916][3]~q\ & !\led_flash_cnt[916][2]~39707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[916][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[916][2]~39707\,
	combout => \led_flash_cnt[916][3]~39708_combout\,
	cout => \led_flash_cnt[916][3]~39709\);

-- Location: FF_X16_Y15_N23
\led_flash_cnt[916][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[916][3]~39708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[916][3]~q\);

-- Location: LCCOMB_X16_Y15_N24
\led_flash_cnt[916][4]~39710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[916][4]~39710_combout\ = (\led_flash_cnt[916][4]~q\ & (!\led_flash_cnt[916][3]~39709\)) # (!\led_flash_cnt[916][4]~q\ & ((\led_flash_cnt[916][3]~39709\) # (GND)))
-- \led_flash_cnt[916][4]~39711\ = CARRY((!\led_flash_cnt[916][3]~39709\) # (!\led_flash_cnt[916][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[916][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[916][3]~39709\,
	combout => \led_flash_cnt[916][4]~39710_combout\,
	cout => \led_flash_cnt[916][4]~39711\);

-- Location: FF_X16_Y15_N25
\led_flash_cnt[916][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[916][4]~39710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[916][4]~q\);

-- Location: LCCOMB_X16_Y15_N26
\led_flash_cnt[916][5]~39712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[916][5]~39712_combout\ = (\led_flash_cnt[916][5]~q\ & (\led_flash_cnt[916][4]~39711\ $ (GND))) # (!\led_flash_cnt[916][5]~q\ & (!\led_flash_cnt[916][4]~39711\ & VCC))
-- \led_flash_cnt[916][5]~39713\ = CARRY((\led_flash_cnt[916][5]~q\ & !\led_flash_cnt[916][4]~39711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[916][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[916][4]~39711\,
	combout => \led_flash_cnt[916][5]~39712_combout\,
	cout => \led_flash_cnt[916][5]~39713\);

-- Location: FF_X16_Y15_N27
\led_flash_cnt[916][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[916][5]~39712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[916][5]~q\);

-- Location: LCCOMB_X16_Y15_N28
\led_flash_cnt[916][6]~39714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[916][6]~39714_combout\ = (\led_flash_cnt[916][6]~q\ & (!\led_flash_cnt[916][5]~39713\)) # (!\led_flash_cnt[916][6]~q\ & ((\led_flash_cnt[916][5]~39713\) # (GND)))
-- \led_flash_cnt[916][6]~39715\ = CARRY((!\led_flash_cnt[916][5]~39713\) # (!\led_flash_cnt[916][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[916][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[916][5]~39713\,
	combout => \led_flash_cnt[916][6]~39714_combout\,
	cout => \led_flash_cnt[916][6]~39715\);

-- Location: FF_X16_Y15_N29
\led_flash_cnt[916][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[916][6]~39714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[916][6]~q\);

-- Location: LCCOMB_X16_Y15_N30
\led_flash_cnt[916][7]~39716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[916][7]~39716_combout\ = \led_flash_cnt[916][7]~q\ $ (!\led_flash_cnt[916][6]~39715\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[916][7]~q\,
	cin => \led_flash_cnt[916][6]~39715\,
	combout => \led_flash_cnt[916][7]~39716_combout\);

-- Location: FF_X16_Y15_N31
\led_flash_cnt[916][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[916][7]~39716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[916][7]~q\);

-- Location: LCCOMB_X17_Y15_N18
\WideAnd916~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd916~1_combout\ = (\led_flash_cnt[916][5]~q\ & \led_flash_cnt[916][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[916][5]~q\,
	datad => \led_flash_cnt[916][6]~q\,
	combout => \WideAnd916~1_combout\);

-- Location: LCCOMB_X16_Y15_N16
\WideAnd916~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd916~0_combout\ = (\led_flash_cnt[916][1]~q\ & (\led_flash_cnt[916][2]~q\ & (\led_flash_cnt[916][3]~q\ & \led_flash_cnt[916][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[916][1]~q\,
	datab => \led_flash_cnt[916][2]~q\,
	datac => \led_flash_cnt[916][3]~q\,
	datad => \led_flash_cnt[916][4]~q\,
	combout => \WideAnd916~0_combout\);

-- Location: LCCOMB_X17_Y15_N0
WideAnd916 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd916~combout\ = (\led_flash_cnt[916][7]~q\ & (\WideAnd916~1_combout\ & (\WideAnd916~0_combout\ & \led_flash_cnt[916][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[916][7]~q\,
	datab => \WideAnd916~1_combout\,
	datac => \WideAnd916~0_combout\,
	datad => \led_flash_cnt[916][0]~q\,
	combout => \WideAnd916~combout\);

-- Location: FF_X17_Y15_N1
\led_flash_cnt_ands[916]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd916~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(916));

-- Location: LCCOMB_X11_Y4_N6
\WideAnd3954~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3954~1_combout\ = (led_flash_cnt_ands(917) & led_flash_cnt_ands(916))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(917),
	datac => led_flash_cnt_ands(916),
	combout => \WideAnd3954~1_combout\);

-- Location: LCCOMB_X11_Y4_N8
WideAnd3954 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3954~combout\ = (led_flash_cnt_ands(919) & (led_flash_cnt_ands(918) & (\WideAnd3954~0_combout\ & \WideAnd3954~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(919),
	datab => led_flash_cnt_ands(918),
	datac => \WideAnd3954~0_combout\,
	datad => \WideAnd3954~1_combout\,
	combout => \WideAnd3954~combout\);

-- Location: FF_X11_Y4_N9
\led_flash_cnt_ands_1[114]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3954~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(114));

-- Location: LCCOMB_X14_Y6_N4
\led_flash_cnt[902][0]~81542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[902][0]~81542_combout\ = !\led_flash_cnt[902][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[902][0]~q\,
	combout => \led_flash_cnt[902][0]~81542_combout\);

-- Location: FF_X14_Y6_N5
\led_flash_cnt[902][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[902][0]~81542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[902][0]~q\);

-- Location: LCCOMB_X14_Y6_N12
\led_flash_cnt[902][1]~39508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[902][1]~39508_combout\ = (\led_flash_cnt[902][1]~q\ & (\led_flash_cnt[902][0]~q\ $ (VCC))) # (!\led_flash_cnt[902][1]~q\ & (\led_flash_cnt[902][0]~q\ & VCC))
-- \led_flash_cnt[902][1]~39509\ = CARRY((\led_flash_cnt[902][1]~q\ & \led_flash_cnt[902][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[902][1]~q\,
	datab => \led_flash_cnt[902][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[902][1]~39508_combout\,
	cout => \led_flash_cnt[902][1]~39509\);

-- Location: FF_X14_Y6_N13
\led_flash_cnt[902][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[902][1]~39508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[902][1]~q\);

-- Location: LCCOMB_X14_Y6_N14
\led_flash_cnt[902][2]~39510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[902][2]~39510_combout\ = (\led_flash_cnt[902][2]~q\ & (!\led_flash_cnt[902][1]~39509\)) # (!\led_flash_cnt[902][2]~q\ & ((\led_flash_cnt[902][1]~39509\) # (GND)))
-- \led_flash_cnt[902][2]~39511\ = CARRY((!\led_flash_cnt[902][1]~39509\) # (!\led_flash_cnt[902][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[902][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[902][1]~39509\,
	combout => \led_flash_cnt[902][2]~39510_combout\,
	cout => \led_flash_cnt[902][2]~39511\);

-- Location: FF_X14_Y6_N15
\led_flash_cnt[902][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[902][2]~39510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[902][2]~q\);

-- Location: LCCOMB_X14_Y6_N16
\led_flash_cnt[902][3]~39512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[902][3]~39512_combout\ = (\led_flash_cnt[902][3]~q\ & (\led_flash_cnt[902][2]~39511\ $ (GND))) # (!\led_flash_cnt[902][3]~q\ & (!\led_flash_cnt[902][2]~39511\ & VCC))
-- \led_flash_cnt[902][3]~39513\ = CARRY((\led_flash_cnt[902][3]~q\ & !\led_flash_cnt[902][2]~39511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[902][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[902][2]~39511\,
	combout => \led_flash_cnt[902][3]~39512_combout\,
	cout => \led_flash_cnt[902][3]~39513\);

-- Location: FF_X14_Y6_N17
\led_flash_cnt[902][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[902][3]~39512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[902][3]~q\);

-- Location: LCCOMB_X14_Y6_N18
\led_flash_cnt[902][4]~39514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[902][4]~39514_combout\ = (\led_flash_cnt[902][4]~q\ & (!\led_flash_cnt[902][3]~39513\)) # (!\led_flash_cnt[902][4]~q\ & ((\led_flash_cnt[902][3]~39513\) # (GND)))
-- \led_flash_cnt[902][4]~39515\ = CARRY((!\led_flash_cnt[902][3]~39513\) # (!\led_flash_cnt[902][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[902][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[902][3]~39513\,
	combout => \led_flash_cnt[902][4]~39514_combout\,
	cout => \led_flash_cnt[902][4]~39515\);

-- Location: FF_X14_Y6_N19
\led_flash_cnt[902][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[902][4]~39514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[902][4]~q\);

-- Location: LCCOMB_X14_Y6_N10
\WideAnd902~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd902~0_combout\ = (\led_flash_cnt[902][1]~q\ & (\led_flash_cnt[902][3]~q\ & (\led_flash_cnt[902][2]~q\ & \led_flash_cnt[902][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[902][1]~q\,
	datab => \led_flash_cnt[902][3]~q\,
	datac => \led_flash_cnt[902][2]~q\,
	datad => \led_flash_cnt[902][4]~q\,
	combout => \WideAnd902~0_combout\);

-- Location: LCCOMB_X14_Y6_N20
\led_flash_cnt[902][5]~39516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[902][5]~39516_combout\ = (\led_flash_cnt[902][5]~q\ & (\led_flash_cnt[902][4]~39515\ $ (GND))) # (!\led_flash_cnt[902][5]~q\ & (!\led_flash_cnt[902][4]~39515\ & VCC))
-- \led_flash_cnt[902][5]~39517\ = CARRY((\led_flash_cnt[902][5]~q\ & !\led_flash_cnt[902][4]~39515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[902][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[902][4]~39515\,
	combout => \led_flash_cnt[902][5]~39516_combout\,
	cout => \led_flash_cnt[902][5]~39517\);

-- Location: FF_X14_Y6_N21
\led_flash_cnt[902][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[902][5]~39516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[902][5]~q\);

-- Location: LCCOMB_X14_Y6_N22
\led_flash_cnt[902][6]~39518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[902][6]~39518_combout\ = (\led_flash_cnt[902][6]~q\ & (!\led_flash_cnt[902][5]~39517\)) # (!\led_flash_cnt[902][6]~q\ & ((\led_flash_cnt[902][5]~39517\) # (GND)))
-- \led_flash_cnt[902][6]~39519\ = CARRY((!\led_flash_cnt[902][5]~39517\) # (!\led_flash_cnt[902][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[902][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[902][5]~39517\,
	combout => \led_flash_cnt[902][6]~39518_combout\,
	cout => \led_flash_cnt[902][6]~39519\);

-- Location: FF_X14_Y6_N23
\led_flash_cnt[902][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[902][6]~39518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[902][6]~q\);

-- Location: LCCOMB_X14_Y6_N8
\WideAnd902~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd902~1_combout\ = (\led_flash_cnt[902][6]~q\ & \led_flash_cnt[902][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[902][6]~q\,
	datad => \led_flash_cnt[902][5]~q\,
	combout => \WideAnd902~1_combout\);

-- Location: LCCOMB_X14_Y6_N24
\led_flash_cnt[902][7]~39520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[902][7]~39520_combout\ = \led_flash_cnt[902][6]~39519\ $ (!\led_flash_cnt[902][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[902][7]~q\,
	cin => \led_flash_cnt[902][6]~39519\,
	combout => \led_flash_cnt[902][7]~39520_combout\);

-- Location: FF_X14_Y6_N25
\led_flash_cnt[902][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[902][7]~39520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[902][7]~q\);

-- Location: LCCOMB_X14_Y6_N26
WideAnd902 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd902~combout\ = (\WideAnd902~0_combout\ & (\WideAnd902~1_combout\ & (\led_flash_cnt[902][0]~q\ & \led_flash_cnt[902][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd902~0_combout\,
	datab => \WideAnd902~1_combout\,
	datac => \led_flash_cnt[902][0]~q\,
	datad => \led_flash_cnt[902][7]~q\,
	combout => \WideAnd902~combout\);

-- Location: FF_X14_Y6_N27
\led_flash_cnt_ands[902]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd902~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(902));

-- Location: LCCOMB_X14_Y6_N6
\led_flash_cnt[903][0]~81543\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[903][0]~81543_combout\ = !\led_flash_cnt[903][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[903][0]~q\,
	combout => \led_flash_cnt[903][0]~81543_combout\);

-- Location: FF_X14_Y6_N7
\led_flash_cnt[903][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[903][0]~81543_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[903][0]~q\);

-- Location: LCCOMB_X15_Y6_N4
\led_flash_cnt[903][1]~39522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[903][1]~39522_combout\ = (\led_flash_cnt[903][0]~q\ & (\led_flash_cnt[903][1]~q\ $ (VCC))) # (!\led_flash_cnt[903][0]~q\ & (\led_flash_cnt[903][1]~q\ & VCC))
-- \led_flash_cnt[903][1]~39523\ = CARRY((\led_flash_cnt[903][0]~q\ & \led_flash_cnt[903][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[903][0]~q\,
	datab => \led_flash_cnt[903][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[903][1]~39522_combout\,
	cout => \led_flash_cnt[903][1]~39523\);

-- Location: FF_X15_Y6_N5
\led_flash_cnt[903][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[903][1]~39522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[903][1]~q\);

-- Location: LCCOMB_X15_Y6_N6
\led_flash_cnt[903][2]~39524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[903][2]~39524_combout\ = (\led_flash_cnt[903][2]~q\ & (!\led_flash_cnt[903][1]~39523\)) # (!\led_flash_cnt[903][2]~q\ & ((\led_flash_cnt[903][1]~39523\) # (GND)))
-- \led_flash_cnt[903][2]~39525\ = CARRY((!\led_flash_cnt[903][1]~39523\) # (!\led_flash_cnt[903][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[903][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[903][1]~39523\,
	combout => \led_flash_cnt[903][2]~39524_combout\,
	cout => \led_flash_cnt[903][2]~39525\);

-- Location: FF_X15_Y6_N7
\led_flash_cnt[903][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[903][2]~39524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[903][2]~q\);

-- Location: LCCOMB_X15_Y6_N8
\led_flash_cnt[903][3]~39526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[903][3]~39526_combout\ = (\led_flash_cnt[903][3]~q\ & (\led_flash_cnt[903][2]~39525\ $ (GND))) # (!\led_flash_cnt[903][3]~q\ & (!\led_flash_cnt[903][2]~39525\ & VCC))
-- \led_flash_cnt[903][3]~39527\ = CARRY((\led_flash_cnt[903][3]~q\ & !\led_flash_cnt[903][2]~39525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[903][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[903][2]~39525\,
	combout => \led_flash_cnt[903][3]~39526_combout\,
	cout => \led_flash_cnt[903][3]~39527\);

-- Location: FF_X15_Y6_N9
\led_flash_cnt[903][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[903][3]~39526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[903][3]~q\);

-- Location: LCCOMB_X15_Y6_N10
\led_flash_cnt[903][4]~39528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[903][4]~39528_combout\ = (\led_flash_cnt[903][4]~q\ & (!\led_flash_cnt[903][3]~39527\)) # (!\led_flash_cnt[903][4]~q\ & ((\led_flash_cnt[903][3]~39527\) # (GND)))
-- \led_flash_cnt[903][4]~39529\ = CARRY((!\led_flash_cnt[903][3]~39527\) # (!\led_flash_cnt[903][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[903][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[903][3]~39527\,
	combout => \led_flash_cnt[903][4]~39528_combout\,
	cout => \led_flash_cnt[903][4]~39529\);

-- Location: FF_X15_Y6_N11
\led_flash_cnt[903][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[903][4]~39528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[903][4]~q\);

-- Location: LCCOMB_X15_Y6_N0
\WideAnd903~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd903~0_combout\ = (\led_flash_cnt[903][4]~q\ & (\led_flash_cnt[903][3]~q\ & (\led_flash_cnt[903][1]~q\ & \led_flash_cnt[903][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[903][4]~q\,
	datab => \led_flash_cnt[903][3]~q\,
	datac => \led_flash_cnt[903][1]~q\,
	datad => \led_flash_cnt[903][2]~q\,
	combout => \WideAnd903~0_combout\);

-- Location: LCCOMB_X15_Y6_N12
\led_flash_cnt[903][5]~39530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[903][5]~39530_combout\ = (\led_flash_cnt[903][5]~q\ & (\led_flash_cnt[903][4]~39529\ $ (GND))) # (!\led_flash_cnt[903][5]~q\ & (!\led_flash_cnt[903][4]~39529\ & VCC))
-- \led_flash_cnt[903][5]~39531\ = CARRY((\led_flash_cnt[903][5]~q\ & !\led_flash_cnt[903][4]~39529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[903][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[903][4]~39529\,
	combout => \led_flash_cnt[903][5]~39530_combout\,
	cout => \led_flash_cnt[903][5]~39531\);

-- Location: FF_X15_Y6_N13
\led_flash_cnt[903][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[903][5]~39530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[903][5]~q\);

-- Location: LCCOMB_X15_Y6_N14
\led_flash_cnt[903][6]~39532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[903][6]~39532_combout\ = (\led_flash_cnt[903][6]~q\ & (!\led_flash_cnt[903][5]~39531\)) # (!\led_flash_cnt[903][6]~q\ & ((\led_flash_cnt[903][5]~39531\) # (GND)))
-- \led_flash_cnt[903][6]~39533\ = CARRY((!\led_flash_cnt[903][5]~39531\) # (!\led_flash_cnt[903][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[903][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[903][5]~39531\,
	combout => \led_flash_cnt[903][6]~39532_combout\,
	cout => \led_flash_cnt[903][6]~39533\);

-- Location: FF_X15_Y6_N15
\led_flash_cnt[903][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[903][6]~39532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[903][6]~q\);

-- Location: LCCOMB_X14_Y6_N30
\WideAnd903~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd903~1_combout\ = (\led_flash_cnt[903][6]~q\ & \led_flash_cnt[903][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[903][6]~q\,
	datac => \led_flash_cnt[903][5]~q\,
	combout => \WideAnd903~1_combout\);

-- Location: LCCOMB_X15_Y6_N16
\led_flash_cnt[903][7]~39534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[903][7]~39534_combout\ = \led_flash_cnt[903][6]~39533\ $ (!\led_flash_cnt[903][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[903][7]~q\,
	cin => \led_flash_cnt[903][6]~39533\,
	combout => \led_flash_cnt[903][7]~39534_combout\);

-- Location: FF_X15_Y6_N17
\led_flash_cnt[903][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[903][7]~39534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[903][7]~q\);

-- Location: LCCOMB_X14_Y6_N28
WideAnd903 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd903~combout\ = (\led_flash_cnt[903][0]~q\ & (\WideAnd903~0_combout\ & (\WideAnd903~1_combout\ & \led_flash_cnt[903][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[903][0]~q\,
	datab => \WideAnd903~0_combout\,
	datac => \WideAnd903~1_combout\,
	datad => \led_flash_cnt[903][7]~q\,
	combout => \WideAnd903~combout\);

-- Location: FF_X14_Y6_N29
\led_flash_cnt_ands[903]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd903~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(903));

-- Location: LCCOMB_X14_Y24_N14
\led_flash_cnt[900][0]~81540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[900][0]~81540_combout\ = !\led_flash_cnt[900][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[900][0]~q\,
	combout => \led_flash_cnt[900][0]~81540_combout\);

-- Location: FF_X14_Y24_N15
\led_flash_cnt[900][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[900][0]~81540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[900][0]~q\);

-- Location: LCCOMB_X15_Y24_N18
\led_flash_cnt[900][1]~39480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[900][1]~39480_combout\ = (\led_flash_cnt[900][0]~q\ & (\led_flash_cnt[900][1]~q\ $ (VCC))) # (!\led_flash_cnt[900][0]~q\ & (\led_flash_cnt[900][1]~q\ & VCC))
-- \led_flash_cnt[900][1]~39481\ = CARRY((\led_flash_cnt[900][0]~q\ & \led_flash_cnt[900][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[900][0]~q\,
	datab => \led_flash_cnt[900][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[900][1]~39480_combout\,
	cout => \led_flash_cnt[900][1]~39481\);

-- Location: FF_X15_Y24_N19
\led_flash_cnt[900][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[900][1]~39480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[900][1]~q\);

-- Location: LCCOMB_X15_Y24_N20
\led_flash_cnt[900][2]~39482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[900][2]~39482_combout\ = (\led_flash_cnt[900][2]~q\ & (!\led_flash_cnt[900][1]~39481\)) # (!\led_flash_cnt[900][2]~q\ & ((\led_flash_cnt[900][1]~39481\) # (GND)))
-- \led_flash_cnt[900][2]~39483\ = CARRY((!\led_flash_cnt[900][1]~39481\) # (!\led_flash_cnt[900][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[900][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[900][1]~39481\,
	combout => \led_flash_cnt[900][2]~39482_combout\,
	cout => \led_flash_cnt[900][2]~39483\);

-- Location: FF_X15_Y24_N21
\led_flash_cnt[900][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[900][2]~39482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[900][2]~q\);

-- Location: LCCOMB_X15_Y24_N22
\led_flash_cnt[900][3]~39484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[900][3]~39484_combout\ = (\led_flash_cnt[900][3]~q\ & (\led_flash_cnt[900][2]~39483\ $ (GND))) # (!\led_flash_cnt[900][3]~q\ & (!\led_flash_cnt[900][2]~39483\ & VCC))
-- \led_flash_cnt[900][3]~39485\ = CARRY((\led_flash_cnt[900][3]~q\ & !\led_flash_cnt[900][2]~39483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[900][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[900][2]~39483\,
	combout => \led_flash_cnt[900][3]~39484_combout\,
	cout => \led_flash_cnt[900][3]~39485\);

-- Location: FF_X15_Y24_N23
\led_flash_cnt[900][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[900][3]~39484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[900][3]~q\);

-- Location: LCCOMB_X15_Y24_N24
\led_flash_cnt[900][4]~39486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[900][4]~39486_combout\ = (\led_flash_cnt[900][4]~q\ & (!\led_flash_cnt[900][3]~39485\)) # (!\led_flash_cnt[900][4]~q\ & ((\led_flash_cnt[900][3]~39485\) # (GND)))
-- \led_flash_cnt[900][4]~39487\ = CARRY((!\led_flash_cnt[900][3]~39485\) # (!\led_flash_cnt[900][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[900][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[900][3]~39485\,
	combout => \led_flash_cnt[900][4]~39486_combout\,
	cout => \led_flash_cnt[900][4]~39487\);

-- Location: FF_X15_Y24_N25
\led_flash_cnt[900][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[900][4]~39486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[900][4]~q\);

-- Location: LCCOMB_X15_Y24_N26
\led_flash_cnt[900][5]~39488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[900][5]~39488_combout\ = (\led_flash_cnt[900][5]~q\ & (\led_flash_cnt[900][4]~39487\ $ (GND))) # (!\led_flash_cnt[900][5]~q\ & (!\led_flash_cnt[900][4]~39487\ & VCC))
-- \led_flash_cnt[900][5]~39489\ = CARRY((\led_flash_cnt[900][5]~q\ & !\led_flash_cnt[900][4]~39487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[900][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[900][4]~39487\,
	combout => \led_flash_cnt[900][5]~39488_combout\,
	cout => \led_flash_cnt[900][5]~39489\);

-- Location: FF_X15_Y24_N27
\led_flash_cnt[900][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[900][5]~39488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[900][5]~q\);

-- Location: LCCOMB_X15_Y24_N28
\led_flash_cnt[900][6]~39490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[900][6]~39490_combout\ = (\led_flash_cnt[900][6]~q\ & (!\led_flash_cnt[900][5]~39489\)) # (!\led_flash_cnt[900][6]~q\ & ((\led_flash_cnt[900][5]~39489\) # (GND)))
-- \led_flash_cnt[900][6]~39491\ = CARRY((!\led_flash_cnt[900][5]~39489\) # (!\led_flash_cnt[900][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[900][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[900][5]~39489\,
	combout => \led_flash_cnt[900][6]~39490_combout\,
	cout => \led_flash_cnt[900][6]~39491\);

-- Location: FF_X15_Y24_N29
\led_flash_cnt[900][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[900][6]~39490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[900][6]~q\);

-- Location: LCCOMB_X15_Y24_N30
\led_flash_cnt[900][7]~39492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[900][7]~39492_combout\ = \led_flash_cnt[900][7]~q\ $ (!\led_flash_cnt[900][6]~39491\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[900][7]~q\,
	cin => \led_flash_cnt[900][6]~39491\,
	combout => \led_flash_cnt[900][7]~39492_combout\);

-- Location: FF_X15_Y24_N31
\led_flash_cnt[900][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[900][7]~39492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[900][7]~q\);

-- Location: LCCOMB_X15_Y24_N0
\WideAnd900~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd900~0_combout\ = (\led_flash_cnt[900][4]~q\ & (\led_flash_cnt[900][1]~q\ & (\led_flash_cnt[900][3]~q\ & \led_flash_cnt[900][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[900][4]~q\,
	datab => \led_flash_cnt[900][1]~q\,
	datac => \led_flash_cnt[900][3]~q\,
	datad => \led_flash_cnt[900][2]~q\,
	combout => \WideAnd900~0_combout\);

-- Location: LCCOMB_X14_Y24_N12
\WideAnd900~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd900~1_combout\ = (\led_flash_cnt[900][5]~q\ & \led_flash_cnt[900][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[900][5]~q\,
	datad => \led_flash_cnt[900][6]~q\,
	combout => \WideAnd900~1_combout\);

-- Location: LCCOMB_X14_Y24_N8
WideAnd900 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd900~combout\ = (\led_flash_cnt[900][7]~q\ & (\WideAnd900~0_combout\ & (\led_flash_cnt[900][0]~q\ & \WideAnd900~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[900][7]~q\,
	datab => \WideAnd900~0_combout\,
	datac => \led_flash_cnt[900][0]~q\,
	datad => \WideAnd900~1_combout\,
	combout => \WideAnd900~combout\);

-- Location: FF_X14_Y24_N9
\led_flash_cnt_ands[900]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd900~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(900));

-- Location: LCCOMB_X12_Y22_N30
\led_flash_cnt[901][0]~81541\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[901][0]~81541_combout\ = !\led_flash_cnt[901][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[901][0]~q\,
	combout => \led_flash_cnt[901][0]~81541_combout\);

-- Location: FF_X12_Y22_N31
\led_flash_cnt[901][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[901][0]~81541_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[901][0]~q\);

-- Location: LCCOMB_X15_Y22_N14
\led_flash_cnt[901][1]~39494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[901][1]~39494_combout\ = (\led_flash_cnt[901][0]~q\ & (\led_flash_cnt[901][1]~q\ $ (VCC))) # (!\led_flash_cnt[901][0]~q\ & (\led_flash_cnt[901][1]~q\ & VCC))
-- \led_flash_cnt[901][1]~39495\ = CARRY((\led_flash_cnt[901][0]~q\ & \led_flash_cnt[901][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[901][0]~q\,
	datab => \led_flash_cnt[901][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[901][1]~39494_combout\,
	cout => \led_flash_cnt[901][1]~39495\);

-- Location: FF_X15_Y22_N15
\led_flash_cnt[901][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[901][1]~39494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[901][1]~q\);

-- Location: LCCOMB_X15_Y22_N16
\led_flash_cnt[901][2]~39496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[901][2]~39496_combout\ = (\led_flash_cnt[901][2]~q\ & (!\led_flash_cnt[901][1]~39495\)) # (!\led_flash_cnt[901][2]~q\ & ((\led_flash_cnt[901][1]~39495\) # (GND)))
-- \led_flash_cnt[901][2]~39497\ = CARRY((!\led_flash_cnt[901][1]~39495\) # (!\led_flash_cnt[901][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[901][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[901][1]~39495\,
	combout => \led_flash_cnt[901][2]~39496_combout\,
	cout => \led_flash_cnt[901][2]~39497\);

-- Location: FF_X15_Y22_N17
\led_flash_cnt[901][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[901][2]~39496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[901][2]~q\);

-- Location: LCCOMB_X15_Y22_N18
\led_flash_cnt[901][3]~39498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[901][3]~39498_combout\ = (\led_flash_cnt[901][3]~q\ & (\led_flash_cnt[901][2]~39497\ $ (GND))) # (!\led_flash_cnt[901][3]~q\ & (!\led_flash_cnt[901][2]~39497\ & VCC))
-- \led_flash_cnt[901][3]~39499\ = CARRY((\led_flash_cnt[901][3]~q\ & !\led_flash_cnt[901][2]~39497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[901][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[901][2]~39497\,
	combout => \led_flash_cnt[901][3]~39498_combout\,
	cout => \led_flash_cnt[901][3]~39499\);

-- Location: FF_X15_Y22_N19
\led_flash_cnt[901][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[901][3]~39498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[901][3]~q\);

-- Location: LCCOMB_X15_Y22_N20
\led_flash_cnt[901][4]~39500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[901][4]~39500_combout\ = (\led_flash_cnt[901][4]~q\ & (!\led_flash_cnt[901][3]~39499\)) # (!\led_flash_cnt[901][4]~q\ & ((\led_flash_cnt[901][3]~39499\) # (GND)))
-- \led_flash_cnt[901][4]~39501\ = CARRY((!\led_flash_cnt[901][3]~39499\) # (!\led_flash_cnt[901][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[901][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[901][3]~39499\,
	combout => \led_flash_cnt[901][4]~39500_combout\,
	cout => \led_flash_cnt[901][4]~39501\);

-- Location: FF_X15_Y22_N21
\led_flash_cnt[901][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[901][4]~39500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[901][4]~q\);

-- Location: LCCOMB_X15_Y22_N4
\WideAnd901~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd901~0_combout\ = (\led_flash_cnt[901][2]~q\ & (\led_flash_cnt[901][3]~q\ & (\led_flash_cnt[901][1]~q\ & \led_flash_cnt[901][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[901][2]~q\,
	datab => \led_flash_cnt[901][3]~q\,
	datac => \led_flash_cnt[901][1]~q\,
	datad => \led_flash_cnt[901][4]~q\,
	combout => \WideAnd901~0_combout\);

-- Location: LCCOMB_X15_Y22_N22
\led_flash_cnt[901][5]~39502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[901][5]~39502_combout\ = (\led_flash_cnt[901][5]~q\ & (\led_flash_cnt[901][4]~39501\ $ (GND))) # (!\led_flash_cnt[901][5]~q\ & (!\led_flash_cnt[901][4]~39501\ & VCC))
-- \led_flash_cnt[901][5]~39503\ = CARRY((\led_flash_cnt[901][5]~q\ & !\led_flash_cnt[901][4]~39501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[901][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[901][4]~39501\,
	combout => \led_flash_cnt[901][5]~39502_combout\,
	cout => \led_flash_cnt[901][5]~39503\);

-- Location: FF_X15_Y22_N23
\led_flash_cnt[901][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[901][5]~39502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[901][5]~q\);

-- Location: LCCOMB_X15_Y22_N24
\led_flash_cnt[901][6]~39504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[901][6]~39504_combout\ = (\led_flash_cnt[901][6]~q\ & (!\led_flash_cnt[901][5]~39503\)) # (!\led_flash_cnt[901][6]~q\ & ((\led_flash_cnt[901][5]~39503\) # (GND)))
-- \led_flash_cnt[901][6]~39505\ = CARRY((!\led_flash_cnt[901][5]~39503\) # (!\led_flash_cnt[901][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[901][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[901][5]~39503\,
	combout => \led_flash_cnt[901][6]~39504_combout\,
	cout => \led_flash_cnt[901][6]~39505\);

-- Location: FF_X15_Y22_N25
\led_flash_cnt[901][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[901][6]~39504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[901][6]~q\);

-- Location: LCCOMB_X15_Y22_N26
\led_flash_cnt[901][7]~39506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[901][7]~39506_combout\ = \led_flash_cnt[901][7]~q\ $ (!\led_flash_cnt[901][6]~39505\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[901][7]~q\,
	cin => \led_flash_cnt[901][6]~39505\,
	combout => \led_flash_cnt[901][7]~39506_combout\);

-- Location: FF_X15_Y22_N27
\led_flash_cnt[901][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[901][7]~39506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[901][7]~q\);

-- Location: LCCOMB_X15_Y22_N28
\WideAnd901~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd901~1_combout\ = (\led_flash_cnt[901][5]~q\ & \led_flash_cnt[901][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[901][5]~q\,
	datad => \led_flash_cnt[901][6]~q\,
	combout => \WideAnd901~1_combout\);

-- Location: LCCOMB_X15_Y22_N10
WideAnd901 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd901~combout\ = (\led_flash_cnt[901][0]~q\ & (\WideAnd901~0_combout\ & (\led_flash_cnt[901][7]~q\ & \WideAnd901~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[901][0]~q\,
	datab => \WideAnd901~0_combout\,
	datac => \led_flash_cnt[901][7]~q\,
	datad => \WideAnd901~1_combout\,
	combout => \WideAnd901~combout\);

-- Location: FF_X15_Y22_N11
\led_flash_cnt_ands[901]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd901~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(901));

-- Location: LCCOMB_X15_Y22_N8
\WideAnd3952~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3952~1_combout\ = (led_flash_cnt_ands(900) & led_flash_cnt_ands(901))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(900),
	datad => led_flash_cnt_ands(901),
	combout => \WideAnd3952~1_combout\);

-- Location: LCCOMB_X17_Y9_N26
\led_flash_cnt[897][0]~81537\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[897][0]~81537_combout\ = !\led_flash_cnt[897][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[897][0]~q\,
	combout => \led_flash_cnt[897][0]~81537_combout\);

-- Location: FF_X17_Y9_N27
\led_flash_cnt[897][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[897][0]~81537_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[897][0]~q\);

-- Location: LCCOMB_X17_Y9_N2
\led_flash_cnt[897][1]~39438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[897][1]~39438_combout\ = (\led_flash_cnt[897][0]~q\ & (\led_flash_cnt[897][1]~q\ $ (VCC))) # (!\led_flash_cnt[897][0]~q\ & (\led_flash_cnt[897][1]~q\ & VCC))
-- \led_flash_cnt[897][1]~39439\ = CARRY((\led_flash_cnt[897][0]~q\ & \led_flash_cnt[897][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[897][0]~q\,
	datab => \led_flash_cnt[897][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[897][1]~39438_combout\,
	cout => \led_flash_cnt[897][1]~39439\);

-- Location: FF_X17_Y9_N3
\led_flash_cnt[897][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[897][1]~39438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[897][1]~q\);

-- Location: LCCOMB_X17_Y9_N4
\led_flash_cnt[897][2]~39440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[897][2]~39440_combout\ = (\led_flash_cnt[897][2]~q\ & (!\led_flash_cnt[897][1]~39439\)) # (!\led_flash_cnt[897][2]~q\ & ((\led_flash_cnt[897][1]~39439\) # (GND)))
-- \led_flash_cnt[897][2]~39441\ = CARRY((!\led_flash_cnt[897][1]~39439\) # (!\led_flash_cnt[897][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[897][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[897][1]~39439\,
	combout => \led_flash_cnt[897][2]~39440_combout\,
	cout => \led_flash_cnt[897][2]~39441\);

-- Location: FF_X17_Y9_N5
\led_flash_cnt[897][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[897][2]~39440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[897][2]~q\);

-- Location: LCCOMB_X17_Y9_N6
\led_flash_cnt[897][3]~39442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[897][3]~39442_combout\ = (\led_flash_cnt[897][3]~q\ & (\led_flash_cnt[897][2]~39441\ $ (GND))) # (!\led_flash_cnt[897][3]~q\ & (!\led_flash_cnt[897][2]~39441\ & VCC))
-- \led_flash_cnt[897][3]~39443\ = CARRY((\led_flash_cnt[897][3]~q\ & !\led_flash_cnt[897][2]~39441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[897][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[897][2]~39441\,
	combout => \led_flash_cnt[897][3]~39442_combout\,
	cout => \led_flash_cnt[897][3]~39443\);

-- Location: FF_X17_Y9_N7
\led_flash_cnt[897][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[897][3]~39442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[897][3]~q\);

-- Location: LCCOMB_X17_Y9_N8
\led_flash_cnt[897][4]~39444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[897][4]~39444_combout\ = (\led_flash_cnt[897][4]~q\ & (!\led_flash_cnt[897][3]~39443\)) # (!\led_flash_cnt[897][4]~q\ & ((\led_flash_cnt[897][3]~39443\) # (GND)))
-- \led_flash_cnt[897][4]~39445\ = CARRY((!\led_flash_cnt[897][3]~39443\) # (!\led_flash_cnt[897][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[897][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[897][3]~39443\,
	combout => \led_flash_cnt[897][4]~39444_combout\,
	cout => \led_flash_cnt[897][4]~39445\);

-- Location: FF_X17_Y9_N9
\led_flash_cnt[897][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[897][4]~39444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[897][4]~q\);

-- Location: LCCOMB_X17_Y9_N10
\led_flash_cnt[897][5]~39446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[897][5]~39446_combout\ = (\led_flash_cnt[897][5]~q\ & (\led_flash_cnt[897][4]~39445\ $ (GND))) # (!\led_flash_cnt[897][5]~q\ & (!\led_flash_cnt[897][4]~39445\ & VCC))
-- \led_flash_cnt[897][5]~39447\ = CARRY((\led_flash_cnt[897][5]~q\ & !\led_flash_cnt[897][4]~39445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[897][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[897][4]~39445\,
	combout => \led_flash_cnt[897][5]~39446_combout\,
	cout => \led_flash_cnt[897][5]~39447\);

-- Location: FF_X17_Y9_N11
\led_flash_cnt[897][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[897][5]~39446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[897][5]~q\);

-- Location: LCCOMB_X17_Y9_N12
\led_flash_cnt[897][6]~39448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[897][6]~39448_combout\ = (\led_flash_cnt[897][6]~q\ & (!\led_flash_cnt[897][5]~39447\)) # (!\led_flash_cnt[897][6]~q\ & ((\led_flash_cnt[897][5]~39447\) # (GND)))
-- \led_flash_cnt[897][6]~39449\ = CARRY((!\led_flash_cnt[897][5]~39447\) # (!\led_flash_cnt[897][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[897][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[897][5]~39447\,
	combout => \led_flash_cnt[897][6]~39448_combout\,
	cout => \led_flash_cnt[897][6]~39449\);

-- Location: FF_X17_Y9_N13
\led_flash_cnt[897][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[897][6]~39448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[897][6]~q\);

-- Location: LCCOMB_X17_Y9_N30
\WideAnd897~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd897~1_combout\ = (\led_flash_cnt[897][5]~q\ & \led_flash_cnt[897][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[897][5]~q\,
	datad => \led_flash_cnt[897][6]~q\,
	combout => \WideAnd897~1_combout\);

-- Location: LCCOMB_X17_Y9_N14
\led_flash_cnt[897][7]~39450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[897][7]~39450_combout\ = \led_flash_cnt[897][7]~q\ $ (!\led_flash_cnt[897][6]~39449\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[897][7]~q\,
	cin => \led_flash_cnt[897][6]~39449\,
	combout => \led_flash_cnt[897][7]~39450_combout\);

-- Location: FF_X17_Y9_N15
\led_flash_cnt[897][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[897][7]~39450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[897][7]~q\);

-- Location: LCCOMB_X17_Y9_N20
\WideAnd897~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd897~0_combout\ = (\led_flash_cnt[897][3]~q\ & (\led_flash_cnt[897][2]~q\ & (\led_flash_cnt[897][4]~q\ & \led_flash_cnt[897][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[897][3]~q\,
	datab => \led_flash_cnt[897][2]~q\,
	datac => \led_flash_cnt[897][4]~q\,
	datad => \led_flash_cnt[897][1]~q\,
	combout => \WideAnd897~0_combout\);

-- Location: LCCOMB_X17_Y9_N22
WideAnd897 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd897~combout\ = (\WideAnd897~1_combout\ & (\led_flash_cnt[897][7]~q\ & (\led_flash_cnt[897][0]~q\ & \WideAnd897~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd897~1_combout\,
	datab => \led_flash_cnt[897][7]~q\,
	datac => \led_flash_cnt[897][0]~q\,
	datad => \WideAnd897~0_combout\,
	combout => \WideAnd897~combout\);

-- Location: FF_X17_Y9_N23
\led_flash_cnt_ands[897]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd897~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(897));

-- Location: LCCOMB_X17_Y8_N4
\led_flash_cnt[896][0]~81536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[896][0]~81536_combout\ = !\led_flash_cnt[896][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[896][0]~q\,
	combout => \led_flash_cnt[896][0]~81536_combout\);

-- Location: FF_X17_Y8_N5
\led_flash_cnt[896][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[896][0]~81536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[896][0]~q\);

-- Location: LCCOMB_X17_Y12_N0
\led_flash_cnt[896][1]~39424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[896][1]~39424_combout\ = (\led_flash_cnt[896][0]~q\ & (\led_flash_cnt[896][1]~q\ $ (VCC))) # (!\led_flash_cnt[896][0]~q\ & (\led_flash_cnt[896][1]~q\ & VCC))
-- \led_flash_cnt[896][1]~39425\ = CARRY((\led_flash_cnt[896][0]~q\ & \led_flash_cnt[896][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[896][0]~q\,
	datab => \led_flash_cnt[896][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[896][1]~39424_combout\,
	cout => \led_flash_cnt[896][1]~39425\);

-- Location: FF_X17_Y12_N1
\led_flash_cnt[896][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[896][1]~39424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[896][1]~q\);

-- Location: LCCOMB_X17_Y12_N2
\led_flash_cnt[896][2]~39426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[896][2]~39426_combout\ = (\led_flash_cnt[896][2]~q\ & (!\led_flash_cnt[896][1]~39425\)) # (!\led_flash_cnt[896][2]~q\ & ((\led_flash_cnt[896][1]~39425\) # (GND)))
-- \led_flash_cnt[896][2]~39427\ = CARRY((!\led_flash_cnt[896][1]~39425\) # (!\led_flash_cnt[896][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[896][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[896][1]~39425\,
	combout => \led_flash_cnt[896][2]~39426_combout\,
	cout => \led_flash_cnt[896][2]~39427\);

-- Location: FF_X17_Y12_N3
\led_flash_cnt[896][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[896][2]~39426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[896][2]~q\);

-- Location: LCCOMB_X17_Y12_N4
\led_flash_cnt[896][3]~39428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[896][3]~39428_combout\ = (\led_flash_cnt[896][3]~q\ & (\led_flash_cnt[896][2]~39427\ $ (GND))) # (!\led_flash_cnt[896][3]~q\ & (!\led_flash_cnt[896][2]~39427\ & VCC))
-- \led_flash_cnt[896][3]~39429\ = CARRY((\led_flash_cnt[896][3]~q\ & !\led_flash_cnt[896][2]~39427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[896][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[896][2]~39427\,
	combout => \led_flash_cnt[896][3]~39428_combout\,
	cout => \led_flash_cnt[896][3]~39429\);

-- Location: FF_X17_Y12_N5
\led_flash_cnt[896][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[896][3]~39428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[896][3]~q\);

-- Location: LCCOMB_X17_Y12_N6
\led_flash_cnt[896][4]~39430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[896][4]~39430_combout\ = (\led_flash_cnt[896][4]~q\ & (!\led_flash_cnt[896][3]~39429\)) # (!\led_flash_cnt[896][4]~q\ & ((\led_flash_cnt[896][3]~39429\) # (GND)))
-- \led_flash_cnt[896][4]~39431\ = CARRY((!\led_flash_cnt[896][3]~39429\) # (!\led_flash_cnt[896][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[896][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[896][3]~39429\,
	combout => \led_flash_cnt[896][4]~39430_combout\,
	cout => \led_flash_cnt[896][4]~39431\);

-- Location: FF_X17_Y12_N7
\led_flash_cnt[896][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[896][4]~39430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[896][4]~q\);

-- Location: LCCOMB_X17_Y12_N8
\led_flash_cnt[896][5]~39432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[896][5]~39432_combout\ = (\led_flash_cnt[896][5]~q\ & (\led_flash_cnt[896][4]~39431\ $ (GND))) # (!\led_flash_cnt[896][5]~q\ & (!\led_flash_cnt[896][4]~39431\ & VCC))
-- \led_flash_cnt[896][5]~39433\ = CARRY((\led_flash_cnt[896][5]~q\ & !\led_flash_cnt[896][4]~39431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[896][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[896][4]~39431\,
	combout => \led_flash_cnt[896][5]~39432_combout\,
	cout => \led_flash_cnt[896][5]~39433\);

-- Location: FF_X17_Y12_N9
\led_flash_cnt[896][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[896][5]~39432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[896][5]~q\);

-- Location: LCCOMB_X17_Y8_N30
\WideAnd896~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd896~1_combout\ = (\led_flash_cnt[896][0]~q\ & \led_flash_cnt[896][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[896][0]~q\,
	datad => \led_flash_cnt[896][5]~q\,
	combout => \WideAnd896~1_combout\);

-- Location: LCCOMB_X17_Y12_N10
\led_flash_cnt[896][6]~39434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[896][6]~39434_combout\ = (\led_flash_cnt[896][6]~q\ & (!\led_flash_cnt[896][5]~39433\)) # (!\led_flash_cnt[896][6]~q\ & ((\led_flash_cnt[896][5]~39433\) # (GND)))
-- \led_flash_cnt[896][6]~39435\ = CARRY((!\led_flash_cnt[896][5]~39433\) # (!\led_flash_cnt[896][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[896][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[896][5]~39433\,
	combout => \led_flash_cnt[896][6]~39434_combout\,
	cout => \led_flash_cnt[896][6]~39435\);

-- Location: FF_X17_Y12_N11
\led_flash_cnt[896][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[896][6]~39434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[896][6]~q\);

-- Location: LCCOMB_X17_Y12_N12
\led_flash_cnt[896][7]~39436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[896][7]~39436_combout\ = \led_flash_cnt[896][6]~39435\ $ (!\led_flash_cnt[896][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[896][7]~q\,
	cin => \led_flash_cnt[896][6]~39435\,
	combout => \led_flash_cnt[896][7]~39436_combout\);

-- Location: FF_X17_Y12_N13
\led_flash_cnt[896][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[896][7]~39436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[896][7]~q\);

-- Location: LCCOMB_X16_Y12_N6
\WideAnd896~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd896~0_combout\ = (\led_flash_cnt[896][2]~q\ & (\led_flash_cnt[896][3]~q\ & (\led_flash_cnt[896][1]~q\ & \led_flash_cnt[896][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[896][2]~q\,
	datab => \led_flash_cnt[896][3]~q\,
	datac => \led_flash_cnt[896][1]~q\,
	datad => \led_flash_cnt[896][4]~q\,
	combout => \WideAnd896~0_combout\);

-- Location: LCCOMB_X16_Y12_N4
WideAnd896 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd896~combout\ = (\WideAnd896~1_combout\ & (\led_flash_cnt[896][7]~q\ & (\led_flash_cnt[896][6]~q\ & \WideAnd896~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd896~1_combout\,
	datab => \led_flash_cnt[896][7]~q\,
	datac => \led_flash_cnt[896][6]~q\,
	datad => \WideAnd896~0_combout\,
	combout => \WideAnd896~combout\);

-- Location: FF_X16_Y12_N5
\led_flash_cnt_ands[896]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd896~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(896));

-- Location: LCCOMB_X8_Y9_N26
\led_flash_cnt[899][0]~81539\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[899][0]~81539_combout\ = !\led_flash_cnt[899][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[899][0]~q\,
	combout => \led_flash_cnt[899][0]~81539_combout\);

-- Location: FF_X8_Y9_N27
\led_flash_cnt[899][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[899][0]~81539_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[899][0]~q\);

-- Location: LCCOMB_X7_Y9_N16
\led_flash_cnt[899][1]~39466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[899][1]~39466_combout\ = (\led_flash_cnt[899][0]~q\ & (\led_flash_cnt[899][1]~q\ $ (VCC))) # (!\led_flash_cnt[899][0]~q\ & (\led_flash_cnt[899][1]~q\ & VCC))
-- \led_flash_cnt[899][1]~39467\ = CARRY((\led_flash_cnt[899][0]~q\ & \led_flash_cnt[899][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[899][0]~q\,
	datab => \led_flash_cnt[899][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[899][1]~39466_combout\,
	cout => \led_flash_cnt[899][1]~39467\);

-- Location: FF_X7_Y9_N17
\led_flash_cnt[899][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[899][1]~39466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[899][1]~q\);

-- Location: LCCOMB_X7_Y9_N18
\led_flash_cnt[899][2]~39468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[899][2]~39468_combout\ = (\led_flash_cnt[899][2]~q\ & (!\led_flash_cnt[899][1]~39467\)) # (!\led_flash_cnt[899][2]~q\ & ((\led_flash_cnt[899][1]~39467\) # (GND)))
-- \led_flash_cnt[899][2]~39469\ = CARRY((!\led_flash_cnt[899][1]~39467\) # (!\led_flash_cnt[899][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[899][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[899][1]~39467\,
	combout => \led_flash_cnt[899][2]~39468_combout\,
	cout => \led_flash_cnt[899][2]~39469\);

-- Location: FF_X7_Y9_N19
\led_flash_cnt[899][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[899][2]~39468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[899][2]~q\);

-- Location: LCCOMB_X7_Y9_N20
\led_flash_cnt[899][3]~39470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[899][3]~39470_combout\ = (\led_flash_cnt[899][3]~q\ & (\led_flash_cnt[899][2]~39469\ $ (GND))) # (!\led_flash_cnt[899][3]~q\ & (!\led_flash_cnt[899][2]~39469\ & VCC))
-- \led_flash_cnt[899][3]~39471\ = CARRY((\led_flash_cnt[899][3]~q\ & !\led_flash_cnt[899][2]~39469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[899][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[899][2]~39469\,
	combout => \led_flash_cnt[899][3]~39470_combout\,
	cout => \led_flash_cnt[899][3]~39471\);

-- Location: FF_X7_Y9_N21
\led_flash_cnt[899][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[899][3]~39470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[899][3]~q\);

-- Location: LCCOMB_X7_Y9_N22
\led_flash_cnt[899][4]~39472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[899][4]~39472_combout\ = (\led_flash_cnt[899][4]~q\ & (!\led_flash_cnt[899][3]~39471\)) # (!\led_flash_cnt[899][4]~q\ & ((\led_flash_cnt[899][3]~39471\) # (GND)))
-- \led_flash_cnt[899][4]~39473\ = CARRY((!\led_flash_cnt[899][3]~39471\) # (!\led_flash_cnt[899][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[899][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[899][3]~39471\,
	combout => \led_flash_cnt[899][4]~39472_combout\,
	cout => \led_flash_cnt[899][4]~39473\);

-- Location: FF_X7_Y9_N23
\led_flash_cnt[899][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[899][4]~39472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[899][4]~q\);

-- Location: LCCOMB_X7_Y9_N14
\WideAnd899~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd899~0_combout\ = (\led_flash_cnt[899][3]~q\ & (\led_flash_cnt[899][2]~q\ & (\led_flash_cnt[899][4]~q\ & \led_flash_cnt[899][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[899][3]~q\,
	datab => \led_flash_cnt[899][2]~q\,
	datac => \led_flash_cnt[899][4]~q\,
	datad => \led_flash_cnt[899][1]~q\,
	combout => \WideAnd899~0_combout\);

-- Location: LCCOMB_X7_Y9_N24
\led_flash_cnt[899][5]~39474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[899][5]~39474_combout\ = (\led_flash_cnt[899][5]~q\ & (\led_flash_cnt[899][4]~39473\ $ (GND))) # (!\led_flash_cnt[899][5]~q\ & (!\led_flash_cnt[899][4]~39473\ & VCC))
-- \led_flash_cnt[899][5]~39475\ = CARRY((\led_flash_cnt[899][5]~q\ & !\led_flash_cnt[899][4]~39473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[899][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[899][4]~39473\,
	combout => \led_flash_cnt[899][5]~39474_combout\,
	cout => \led_flash_cnt[899][5]~39475\);

-- Location: FF_X7_Y9_N25
\led_flash_cnt[899][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[899][5]~39474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[899][5]~q\);

-- Location: LCCOMB_X7_Y9_N26
\led_flash_cnt[899][6]~39476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[899][6]~39476_combout\ = (\led_flash_cnt[899][6]~q\ & (!\led_flash_cnt[899][5]~39475\)) # (!\led_flash_cnt[899][6]~q\ & ((\led_flash_cnt[899][5]~39475\) # (GND)))
-- \led_flash_cnt[899][6]~39477\ = CARRY((!\led_flash_cnt[899][5]~39475\) # (!\led_flash_cnt[899][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[899][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[899][5]~39475\,
	combout => \led_flash_cnt[899][6]~39476_combout\,
	cout => \led_flash_cnt[899][6]~39477\);

-- Location: FF_X7_Y9_N27
\led_flash_cnt[899][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[899][6]~39476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[899][6]~q\);

-- Location: LCCOMB_X7_Y9_N28
\led_flash_cnt[899][7]~39478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[899][7]~39478_combout\ = \led_flash_cnt[899][6]~39477\ $ (!\led_flash_cnt[899][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[899][7]~q\,
	cin => \led_flash_cnt[899][6]~39477\,
	combout => \led_flash_cnt[899][7]~39478_combout\);

-- Location: FF_X7_Y9_N29
\led_flash_cnt[899][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[899][7]~39478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[899][7]~q\);

-- Location: LCCOMB_X8_Y9_N24
\WideAnd899~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd899~1_combout\ = (\led_flash_cnt[899][6]~q\ & \led_flash_cnt[899][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[899][6]~q\,
	datad => \led_flash_cnt[899][5]~q\,
	combout => \WideAnd899~1_combout\);

-- Location: LCCOMB_X8_Y9_N2
WideAnd899 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd899~combout\ = (\WideAnd899~0_combout\ & (\led_flash_cnt[899][7]~q\ & (\led_flash_cnt[899][0]~q\ & \WideAnd899~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd899~0_combout\,
	datab => \led_flash_cnt[899][7]~q\,
	datac => \led_flash_cnt[899][0]~q\,
	datad => \WideAnd899~1_combout\,
	combout => \WideAnd899~combout\);

-- Location: FF_X8_Y9_N3
\led_flash_cnt_ands[899]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd899~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(899));

-- Location: LCCOMB_X17_Y9_N28
\led_flash_cnt[898][0]~81538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[898][0]~81538_combout\ = !\led_flash_cnt[898][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[898][0]~q\,
	combout => \led_flash_cnt[898][0]~81538_combout\);

-- Location: FF_X17_Y9_N29
\led_flash_cnt[898][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[898][0]~81538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[898][0]~q\);

-- Location: LCCOMB_X16_Y9_N16
\led_flash_cnt[898][1]~39452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[898][1]~39452_combout\ = (\led_flash_cnt[898][1]~q\ & (\led_flash_cnt[898][0]~q\ $ (VCC))) # (!\led_flash_cnt[898][1]~q\ & (\led_flash_cnt[898][0]~q\ & VCC))
-- \led_flash_cnt[898][1]~39453\ = CARRY((\led_flash_cnt[898][1]~q\ & \led_flash_cnt[898][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[898][1]~q\,
	datab => \led_flash_cnt[898][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[898][1]~39452_combout\,
	cout => \led_flash_cnt[898][1]~39453\);

-- Location: FF_X16_Y9_N17
\led_flash_cnt[898][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[898][1]~39452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[898][1]~q\);

-- Location: LCCOMB_X16_Y9_N18
\led_flash_cnt[898][2]~39454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[898][2]~39454_combout\ = (\led_flash_cnt[898][2]~q\ & (!\led_flash_cnt[898][1]~39453\)) # (!\led_flash_cnt[898][2]~q\ & ((\led_flash_cnt[898][1]~39453\) # (GND)))
-- \led_flash_cnt[898][2]~39455\ = CARRY((!\led_flash_cnt[898][1]~39453\) # (!\led_flash_cnt[898][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[898][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[898][1]~39453\,
	combout => \led_flash_cnt[898][2]~39454_combout\,
	cout => \led_flash_cnt[898][2]~39455\);

-- Location: FF_X16_Y9_N19
\led_flash_cnt[898][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[898][2]~39454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[898][2]~q\);

-- Location: LCCOMB_X16_Y9_N20
\led_flash_cnt[898][3]~39456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[898][3]~39456_combout\ = (\led_flash_cnt[898][3]~q\ & (\led_flash_cnt[898][2]~39455\ $ (GND))) # (!\led_flash_cnt[898][3]~q\ & (!\led_flash_cnt[898][2]~39455\ & VCC))
-- \led_flash_cnt[898][3]~39457\ = CARRY((\led_flash_cnt[898][3]~q\ & !\led_flash_cnt[898][2]~39455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[898][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[898][2]~39455\,
	combout => \led_flash_cnt[898][3]~39456_combout\,
	cout => \led_flash_cnt[898][3]~39457\);

-- Location: FF_X16_Y9_N21
\led_flash_cnt[898][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[898][3]~39456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[898][3]~q\);

-- Location: LCCOMB_X16_Y9_N22
\led_flash_cnt[898][4]~39458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[898][4]~39458_combout\ = (\led_flash_cnt[898][4]~q\ & (!\led_flash_cnt[898][3]~39457\)) # (!\led_flash_cnt[898][4]~q\ & ((\led_flash_cnt[898][3]~39457\) # (GND)))
-- \led_flash_cnt[898][4]~39459\ = CARRY((!\led_flash_cnt[898][3]~39457\) # (!\led_flash_cnt[898][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[898][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[898][3]~39457\,
	combout => \led_flash_cnt[898][4]~39458_combout\,
	cout => \led_flash_cnt[898][4]~39459\);

-- Location: FF_X16_Y9_N23
\led_flash_cnt[898][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[898][4]~39458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[898][4]~q\);

-- Location: LCCOMB_X16_Y9_N24
\led_flash_cnt[898][5]~39460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[898][5]~39460_combout\ = (\led_flash_cnt[898][5]~q\ & (\led_flash_cnt[898][4]~39459\ $ (GND))) # (!\led_flash_cnt[898][5]~q\ & (!\led_flash_cnt[898][4]~39459\ & VCC))
-- \led_flash_cnt[898][5]~39461\ = CARRY((\led_flash_cnt[898][5]~q\ & !\led_flash_cnt[898][4]~39459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[898][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[898][4]~39459\,
	combout => \led_flash_cnt[898][5]~39460_combout\,
	cout => \led_flash_cnt[898][5]~39461\);

-- Location: FF_X16_Y9_N25
\led_flash_cnt[898][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[898][5]~39460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[898][5]~q\);

-- Location: LCCOMB_X16_Y9_N26
\led_flash_cnt[898][6]~39462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[898][6]~39462_combout\ = (\led_flash_cnt[898][6]~q\ & (!\led_flash_cnt[898][5]~39461\)) # (!\led_flash_cnt[898][6]~q\ & ((\led_flash_cnt[898][5]~39461\) # (GND)))
-- \led_flash_cnt[898][6]~39463\ = CARRY((!\led_flash_cnt[898][5]~39461\) # (!\led_flash_cnt[898][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[898][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[898][5]~39461\,
	combout => \led_flash_cnt[898][6]~39462_combout\,
	cout => \led_flash_cnt[898][6]~39463\);

-- Location: FF_X16_Y9_N27
\led_flash_cnt[898][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[898][6]~39462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[898][6]~q\);

-- Location: LCCOMB_X16_Y9_N28
\led_flash_cnt[898][7]~39464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[898][7]~39464_combout\ = \led_flash_cnt[898][6]~39463\ $ (!\led_flash_cnt[898][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[898][7]~q\,
	cin => \led_flash_cnt[898][6]~39463\,
	combout => \led_flash_cnt[898][7]~39464_combout\);

-- Location: FF_X16_Y9_N29
\led_flash_cnt[898][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[898][7]~39464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[898][7]~q\);

-- Location: LCCOMB_X16_Y9_N0
\WideAnd898~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd898~0_combout\ = (\led_flash_cnt[898][1]~q\ & (\led_flash_cnt[898][3]~q\ & (\led_flash_cnt[898][4]~q\ & \led_flash_cnt[898][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[898][1]~q\,
	datab => \led_flash_cnt[898][3]~q\,
	datac => \led_flash_cnt[898][4]~q\,
	datad => \led_flash_cnt[898][2]~q\,
	combout => \WideAnd898~0_combout\);

-- Location: LCCOMB_X17_Y9_N18
\WideAnd898~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd898~1_combout\ = (\led_flash_cnt[898][6]~q\ & \led_flash_cnt[898][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[898][6]~q\,
	datad => \led_flash_cnt[898][5]~q\,
	combout => \WideAnd898~1_combout\);

-- Location: LCCOMB_X17_Y9_N24
WideAnd898 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd898~combout\ = (\led_flash_cnt[898][0]~q\ & (\led_flash_cnt[898][7]~q\ & (\WideAnd898~0_combout\ & \WideAnd898~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[898][0]~q\,
	datab => \led_flash_cnt[898][7]~q\,
	datac => \WideAnd898~0_combout\,
	datad => \WideAnd898~1_combout\,
	combout => \WideAnd898~combout\);

-- Location: FF_X17_Y9_N25
\led_flash_cnt_ands[898]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd898~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(898));

-- Location: LCCOMB_X17_Y9_N0
\WideAnd3952~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3952~0_combout\ = (led_flash_cnt_ands(897) & (led_flash_cnt_ands(896) & (led_flash_cnt_ands(899) & led_flash_cnt_ands(898))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(897),
	datab => led_flash_cnt_ands(896),
	datac => led_flash_cnt_ands(899),
	datad => led_flash_cnt_ands(898),
	combout => \WideAnd3952~0_combout\);

-- Location: LCCOMB_X14_Y6_N2
WideAnd3952 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3952~combout\ = (led_flash_cnt_ands(902) & (led_flash_cnt_ands(903) & (\WideAnd3952~1_combout\ & \WideAnd3952~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(902),
	datab => led_flash_cnt_ands(903),
	datac => \WideAnd3952~1_combout\,
	datad => \WideAnd3952~0_combout\,
	combout => \WideAnd3952~combout\);

-- Location: FF_X14_Y6_N3
\led_flash_cnt_ands_1[112]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3952~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(112));

-- Location: LCCOMB_X12_Y10_N14
\led_flash_cnt[911][0]~81551\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[911][0]~81551_combout\ = !\led_flash_cnt[911][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[911][0]~q\,
	combout => \led_flash_cnt[911][0]~81551_combout\);

-- Location: FF_X12_Y10_N15
\led_flash_cnt[911][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[911][0]~81551_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[911][0]~q\);

-- Location: LCCOMB_X8_Y10_N16
\led_flash_cnt[911][1]~39634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[911][1]~39634_combout\ = (\led_flash_cnt[911][0]~q\ & (\led_flash_cnt[911][1]~q\ $ (VCC))) # (!\led_flash_cnt[911][0]~q\ & (\led_flash_cnt[911][1]~q\ & VCC))
-- \led_flash_cnt[911][1]~39635\ = CARRY((\led_flash_cnt[911][0]~q\ & \led_flash_cnt[911][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[911][0]~q\,
	datab => \led_flash_cnt[911][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[911][1]~39634_combout\,
	cout => \led_flash_cnt[911][1]~39635\);

-- Location: FF_X8_Y10_N17
\led_flash_cnt[911][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[911][1]~39634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[911][1]~q\);

-- Location: LCCOMB_X8_Y10_N18
\led_flash_cnt[911][2]~39636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[911][2]~39636_combout\ = (\led_flash_cnt[911][2]~q\ & (!\led_flash_cnt[911][1]~39635\)) # (!\led_flash_cnt[911][2]~q\ & ((\led_flash_cnt[911][1]~39635\) # (GND)))
-- \led_flash_cnt[911][2]~39637\ = CARRY((!\led_flash_cnt[911][1]~39635\) # (!\led_flash_cnt[911][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[911][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[911][1]~39635\,
	combout => \led_flash_cnt[911][2]~39636_combout\,
	cout => \led_flash_cnt[911][2]~39637\);

-- Location: FF_X8_Y10_N19
\led_flash_cnt[911][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[911][2]~39636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[911][2]~q\);

-- Location: LCCOMB_X8_Y10_N20
\led_flash_cnt[911][3]~39638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[911][3]~39638_combout\ = (\led_flash_cnt[911][3]~q\ & (\led_flash_cnt[911][2]~39637\ $ (GND))) # (!\led_flash_cnt[911][3]~q\ & (!\led_flash_cnt[911][2]~39637\ & VCC))
-- \led_flash_cnt[911][3]~39639\ = CARRY((\led_flash_cnt[911][3]~q\ & !\led_flash_cnt[911][2]~39637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[911][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[911][2]~39637\,
	combout => \led_flash_cnt[911][3]~39638_combout\,
	cout => \led_flash_cnt[911][3]~39639\);

-- Location: FF_X8_Y10_N21
\led_flash_cnt[911][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[911][3]~39638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[911][3]~q\);

-- Location: LCCOMB_X8_Y10_N22
\led_flash_cnt[911][4]~39640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[911][4]~39640_combout\ = (\led_flash_cnt[911][4]~q\ & (!\led_flash_cnt[911][3]~39639\)) # (!\led_flash_cnt[911][4]~q\ & ((\led_flash_cnt[911][3]~39639\) # (GND)))
-- \led_flash_cnt[911][4]~39641\ = CARRY((!\led_flash_cnt[911][3]~39639\) # (!\led_flash_cnt[911][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[911][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[911][3]~39639\,
	combout => \led_flash_cnt[911][4]~39640_combout\,
	cout => \led_flash_cnt[911][4]~39641\);

-- Location: FF_X8_Y10_N23
\led_flash_cnt[911][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[911][4]~39640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[911][4]~q\);

-- Location: LCCOMB_X8_Y10_N0
\WideAnd911~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd911~0_combout\ = (\led_flash_cnt[911][2]~q\ & (\led_flash_cnt[911][1]~q\ & (\led_flash_cnt[911][4]~q\ & \led_flash_cnt[911][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[911][2]~q\,
	datab => \led_flash_cnt[911][1]~q\,
	datac => \led_flash_cnt[911][4]~q\,
	datad => \led_flash_cnt[911][3]~q\,
	combout => \WideAnd911~0_combout\);

-- Location: LCCOMB_X8_Y10_N24
\led_flash_cnt[911][5]~39642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[911][5]~39642_combout\ = (\led_flash_cnt[911][5]~q\ & (\led_flash_cnt[911][4]~39641\ $ (GND))) # (!\led_flash_cnt[911][5]~q\ & (!\led_flash_cnt[911][4]~39641\ & VCC))
-- \led_flash_cnt[911][5]~39643\ = CARRY((\led_flash_cnt[911][5]~q\ & !\led_flash_cnt[911][4]~39641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[911][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[911][4]~39641\,
	combout => \led_flash_cnt[911][5]~39642_combout\,
	cout => \led_flash_cnt[911][5]~39643\);

-- Location: FF_X8_Y10_N25
\led_flash_cnt[911][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[911][5]~39642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[911][5]~q\);

-- Location: LCCOMB_X8_Y10_N26
\led_flash_cnt[911][6]~39644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[911][6]~39644_combout\ = (\led_flash_cnt[911][6]~q\ & (!\led_flash_cnt[911][5]~39643\)) # (!\led_flash_cnt[911][6]~q\ & ((\led_flash_cnt[911][5]~39643\) # (GND)))
-- \led_flash_cnt[911][6]~39645\ = CARRY((!\led_flash_cnt[911][5]~39643\) # (!\led_flash_cnt[911][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[911][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[911][5]~39643\,
	combout => \led_flash_cnt[911][6]~39644_combout\,
	cout => \led_flash_cnt[911][6]~39645\);

-- Location: FF_X8_Y10_N27
\led_flash_cnt[911][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[911][6]~39644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[911][6]~q\);

-- Location: LCCOMB_X8_Y10_N28
\led_flash_cnt[911][7]~39646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[911][7]~39646_combout\ = \led_flash_cnt[911][6]~39645\ $ (!\led_flash_cnt[911][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[911][7]~q\,
	cin => \led_flash_cnt[911][6]~39645\,
	combout => \led_flash_cnt[911][7]~39646_combout\);

-- Location: FF_X8_Y10_N29
\led_flash_cnt[911][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[911][7]~39646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[911][7]~q\);

-- Location: LCCOMB_X9_Y10_N28
\WideAnd911~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd911~1_combout\ = (\led_flash_cnt[911][6]~q\ & \led_flash_cnt[911][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[911][6]~q\,
	datad => \led_flash_cnt[911][5]~q\,
	combout => \WideAnd911~1_combout\);

-- Location: LCCOMB_X9_Y10_N22
WideAnd911 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd911~combout\ = (\WideAnd911~0_combout\ & (\led_flash_cnt[911][7]~q\ & (\led_flash_cnt[911][0]~q\ & \WideAnd911~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd911~0_combout\,
	datab => \led_flash_cnt[911][7]~q\,
	datac => \led_flash_cnt[911][0]~q\,
	datad => \WideAnd911~1_combout\,
	combout => \WideAnd911~combout\);

-- Location: FF_X9_Y10_N23
\led_flash_cnt_ands[911]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd911~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(911));

-- Location: LCCOMB_X7_Y10_N24
\led_flash_cnt[910][0]~81550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[910][0]~81550_combout\ = !\led_flash_cnt[910][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[910][0]~q\,
	combout => \led_flash_cnt[910][0]~81550_combout\);

-- Location: FF_X7_Y10_N25
\led_flash_cnt[910][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[910][0]~81550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[910][0]~q\);

-- Location: LCCOMB_X10_Y10_N18
\led_flash_cnt[910][1]~39620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[910][1]~39620_combout\ = (\led_flash_cnt[910][0]~q\ & (\led_flash_cnt[910][1]~q\ $ (VCC))) # (!\led_flash_cnt[910][0]~q\ & (\led_flash_cnt[910][1]~q\ & VCC))
-- \led_flash_cnt[910][1]~39621\ = CARRY((\led_flash_cnt[910][0]~q\ & \led_flash_cnt[910][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[910][0]~q\,
	datab => \led_flash_cnt[910][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[910][1]~39620_combout\,
	cout => \led_flash_cnt[910][1]~39621\);

-- Location: FF_X10_Y10_N19
\led_flash_cnt[910][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[910][1]~39620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[910][1]~q\);

-- Location: LCCOMB_X10_Y10_N20
\led_flash_cnt[910][2]~39622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[910][2]~39622_combout\ = (\led_flash_cnt[910][2]~q\ & (!\led_flash_cnt[910][1]~39621\)) # (!\led_flash_cnt[910][2]~q\ & ((\led_flash_cnt[910][1]~39621\) # (GND)))
-- \led_flash_cnt[910][2]~39623\ = CARRY((!\led_flash_cnt[910][1]~39621\) # (!\led_flash_cnt[910][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[910][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[910][1]~39621\,
	combout => \led_flash_cnt[910][2]~39622_combout\,
	cout => \led_flash_cnt[910][2]~39623\);

-- Location: FF_X10_Y10_N21
\led_flash_cnt[910][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[910][2]~39622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[910][2]~q\);

-- Location: LCCOMB_X10_Y10_N22
\led_flash_cnt[910][3]~39624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[910][3]~39624_combout\ = (\led_flash_cnt[910][3]~q\ & (\led_flash_cnt[910][2]~39623\ $ (GND))) # (!\led_flash_cnt[910][3]~q\ & (!\led_flash_cnt[910][2]~39623\ & VCC))
-- \led_flash_cnt[910][3]~39625\ = CARRY((\led_flash_cnt[910][3]~q\ & !\led_flash_cnt[910][2]~39623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[910][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[910][2]~39623\,
	combout => \led_flash_cnt[910][3]~39624_combout\,
	cout => \led_flash_cnt[910][3]~39625\);

-- Location: FF_X10_Y10_N23
\led_flash_cnt[910][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[910][3]~39624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[910][3]~q\);

-- Location: LCCOMB_X10_Y10_N24
\led_flash_cnt[910][4]~39626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[910][4]~39626_combout\ = (\led_flash_cnt[910][4]~q\ & (!\led_flash_cnt[910][3]~39625\)) # (!\led_flash_cnt[910][4]~q\ & ((\led_flash_cnt[910][3]~39625\) # (GND)))
-- \led_flash_cnt[910][4]~39627\ = CARRY((!\led_flash_cnt[910][3]~39625\) # (!\led_flash_cnt[910][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[910][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[910][3]~39625\,
	combout => \led_flash_cnt[910][4]~39626_combout\,
	cout => \led_flash_cnt[910][4]~39627\);

-- Location: FF_X10_Y10_N25
\led_flash_cnt[910][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[910][4]~39626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[910][4]~q\);

-- Location: LCCOMB_X10_Y10_N26
\led_flash_cnt[910][5]~39628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[910][5]~39628_combout\ = (\led_flash_cnt[910][5]~q\ & (\led_flash_cnt[910][4]~39627\ $ (GND))) # (!\led_flash_cnt[910][5]~q\ & (!\led_flash_cnt[910][4]~39627\ & VCC))
-- \led_flash_cnt[910][5]~39629\ = CARRY((\led_flash_cnt[910][5]~q\ & !\led_flash_cnt[910][4]~39627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[910][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[910][4]~39627\,
	combout => \led_flash_cnt[910][5]~39628_combout\,
	cout => \led_flash_cnt[910][5]~39629\);

-- Location: FF_X10_Y10_N27
\led_flash_cnt[910][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[910][5]~39628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[910][5]~q\);

-- Location: LCCOMB_X10_Y10_N28
\led_flash_cnt[910][6]~39630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[910][6]~39630_combout\ = (\led_flash_cnt[910][6]~q\ & (!\led_flash_cnt[910][5]~39629\)) # (!\led_flash_cnt[910][6]~q\ & ((\led_flash_cnt[910][5]~39629\) # (GND)))
-- \led_flash_cnt[910][6]~39631\ = CARRY((!\led_flash_cnt[910][5]~39629\) # (!\led_flash_cnt[910][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[910][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[910][5]~39629\,
	combout => \led_flash_cnt[910][6]~39630_combout\,
	cout => \led_flash_cnt[910][6]~39631\);

-- Location: FF_X10_Y10_N29
\led_flash_cnt[910][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[910][6]~39630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[910][6]~q\);

-- Location: LCCOMB_X10_Y10_N30
\led_flash_cnt[910][7]~39632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[910][7]~39632_combout\ = \led_flash_cnt[910][7]~q\ $ (!\led_flash_cnt[910][6]~39631\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[910][7]~q\,
	cin => \led_flash_cnt[910][6]~39631\,
	combout => \led_flash_cnt[910][7]~39632_combout\);

-- Location: FF_X10_Y10_N31
\led_flash_cnt[910][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[910][7]~39632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[910][7]~q\);

-- Location: LCCOMB_X9_Y10_N18
\WideAnd910~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd910~1_combout\ = (\led_flash_cnt[910][6]~q\ & \led_flash_cnt[910][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[910][6]~q\,
	datad => \led_flash_cnt[910][5]~q\,
	combout => \WideAnd910~1_combout\);

-- Location: LCCOMB_X10_Y10_N16
\WideAnd910~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd910~0_combout\ = (\led_flash_cnt[910][1]~q\ & (\led_flash_cnt[910][2]~q\ & (\led_flash_cnt[910][3]~q\ & \led_flash_cnt[910][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[910][1]~q\,
	datab => \led_flash_cnt[910][2]~q\,
	datac => \led_flash_cnt[910][3]~q\,
	datad => \led_flash_cnt[910][4]~q\,
	combout => \WideAnd910~0_combout\);

-- Location: LCCOMB_X10_Y10_N14
WideAnd910 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd910~combout\ = (\led_flash_cnt[910][7]~q\ & (\WideAnd910~1_combout\ & (\led_flash_cnt[910][0]~q\ & \WideAnd910~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[910][7]~q\,
	datab => \WideAnd910~1_combout\,
	datac => \led_flash_cnt[910][0]~q\,
	datad => \WideAnd910~0_combout\,
	combout => \WideAnd910~combout\);

-- Location: FF_X10_Y10_N15
\led_flash_cnt_ands[910]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd910~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(910));

-- Location: LCCOMB_X6_Y5_N26
\led_flash_cnt[907][0]~81547\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[907][0]~81547_combout\ = !\led_flash_cnt[907][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[907][0]~q\,
	combout => \led_flash_cnt[907][0]~81547_combout\);

-- Location: FF_X6_Y5_N27
\led_flash_cnt[907][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[907][0]~81547_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[907][0]~q\);

-- Location: LCCOMB_X7_Y5_N16
\led_flash_cnt[907][1]~39578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[907][1]~39578_combout\ = (\led_flash_cnt[907][0]~q\ & (\led_flash_cnt[907][1]~q\ $ (VCC))) # (!\led_flash_cnt[907][0]~q\ & (\led_flash_cnt[907][1]~q\ & VCC))
-- \led_flash_cnt[907][1]~39579\ = CARRY((\led_flash_cnt[907][0]~q\ & \led_flash_cnt[907][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[907][0]~q\,
	datab => \led_flash_cnt[907][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[907][1]~39578_combout\,
	cout => \led_flash_cnt[907][1]~39579\);

-- Location: FF_X7_Y5_N17
\led_flash_cnt[907][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[907][1]~39578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[907][1]~q\);

-- Location: LCCOMB_X7_Y5_N18
\led_flash_cnt[907][2]~39580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[907][2]~39580_combout\ = (\led_flash_cnt[907][2]~q\ & (!\led_flash_cnt[907][1]~39579\)) # (!\led_flash_cnt[907][2]~q\ & ((\led_flash_cnt[907][1]~39579\) # (GND)))
-- \led_flash_cnt[907][2]~39581\ = CARRY((!\led_flash_cnt[907][1]~39579\) # (!\led_flash_cnt[907][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[907][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[907][1]~39579\,
	combout => \led_flash_cnt[907][2]~39580_combout\,
	cout => \led_flash_cnt[907][2]~39581\);

-- Location: FF_X7_Y5_N19
\led_flash_cnt[907][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[907][2]~39580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[907][2]~q\);

-- Location: LCCOMB_X7_Y5_N20
\led_flash_cnt[907][3]~39582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[907][3]~39582_combout\ = (\led_flash_cnt[907][3]~q\ & (\led_flash_cnt[907][2]~39581\ $ (GND))) # (!\led_flash_cnt[907][3]~q\ & (!\led_flash_cnt[907][2]~39581\ & VCC))
-- \led_flash_cnt[907][3]~39583\ = CARRY((\led_flash_cnt[907][3]~q\ & !\led_flash_cnt[907][2]~39581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[907][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[907][2]~39581\,
	combout => \led_flash_cnt[907][3]~39582_combout\,
	cout => \led_flash_cnt[907][3]~39583\);

-- Location: FF_X7_Y5_N21
\led_flash_cnt[907][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[907][3]~39582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[907][3]~q\);

-- Location: LCCOMB_X7_Y5_N22
\led_flash_cnt[907][4]~39584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[907][4]~39584_combout\ = (\led_flash_cnt[907][4]~q\ & (!\led_flash_cnt[907][3]~39583\)) # (!\led_flash_cnt[907][4]~q\ & ((\led_flash_cnt[907][3]~39583\) # (GND)))
-- \led_flash_cnt[907][4]~39585\ = CARRY((!\led_flash_cnt[907][3]~39583\) # (!\led_flash_cnt[907][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[907][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[907][3]~39583\,
	combout => \led_flash_cnt[907][4]~39584_combout\,
	cout => \led_flash_cnt[907][4]~39585\);

-- Location: FF_X7_Y5_N23
\led_flash_cnt[907][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[907][4]~39584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[907][4]~q\);

-- Location: LCCOMB_X7_Y5_N30
\WideAnd907~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd907~0_combout\ = (\led_flash_cnt[907][1]~q\ & (\led_flash_cnt[907][2]~q\ & (\led_flash_cnt[907][4]~q\ & \led_flash_cnt[907][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[907][1]~q\,
	datab => \led_flash_cnt[907][2]~q\,
	datac => \led_flash_cnt[907][4]~q\,
	datad => \led_flash_cnt[907][3]~q\,
	combout => \WideAnd907~0_combout\);

-- Location: LCCOMB_X7_Y5_N24
\led_flash_cnt[907][5]~39586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[907][5]~39586_combout\ = (\led_flash_cnt[907][5]~q\ & (\led_flash_cnt[907][4]~39585\ $ (GND))) # (!\led_flash_cnt[907][5]~q\ & (!\led_flash_cnt[907][4]~39585\ & VCC))
-- \led_flash_cnt[907][5]~39587\ = CARRY((\led_flash_cnt[907][5]~q\ & !\led_flash_cnt[907][4]~39585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[907][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[907][4]~39585\,
	combout => \led_flash_cnt[907][5]~39586_combout\,
	cout => \led_flash_cnt[907][5]~39587\);

-- Location: FF_X7_Y5_N25
\led_flash_cnt[907][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[907][5]~39586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[907][5]~q\);

-- Location: LCCOMB_X7_Y5_N26
\led_flash_cnt[907][6]~39588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[907][6]~39588_combout\ = (\led_flash_cnt[907][6]~q\ & (!\led_flash_cnt[907][5]~39587\)) # (!\led_flash_cnt[907][6]~q\ & ((\led_flash_cnt[907][5]~39587\) # (GND)))
-- \led_flash_cnt[907][6]~39589\ = CARRY((!\led_flash_cnt[907][5]~39587\) # (!\led_flash_cnt[907][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[907][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[907][5]~39587\,
	combout => \led_flash_cnt[907][6]~39588_combout\,
	cout => \led_flash_cnt[907][6]~39589\);

-- Location: FF_X7_Y5_N27
\led_flash_cnt[907][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[907][6]~39588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[907][6]~q\);

-- Location: LCCOMB_X7_Y5_N28
\led_flash_cnt[907][7]~39590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[907][7]~39590_combout\ = \led_flash_cnt[907][6]~39589\ $ (!\led_flash_cnt[907][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[907][7]~q\,
	cin => \led_flash_cnt[907][6]~39589\,
	combout => \led_flash_cnt[907][7]~39590_combout\);

-- Location: FF_X7_Y5_N29
\led_flash_cnt[907][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[907][7]~39590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[907][7]~q\);

-- Location: LCCOMB_X6_Y5_N24
\WideAnd907~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd907~1_combout\ = (\led_flash_cnt[907][6]~q\ & \led_flash_cnt[907][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[907][6]~q\,
	datad => \led_flash_cnt[907][5]~q\,
	combout => \WideAnd907~1_combout\);

-- Location: LCCOMB_X6_Y5_N30
WideAnd907 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd907~combout\ = (\WideAnd907~0_combout\ & (\led_flash_cnt[907][7]~q\ & (\led_flash_cnt[907][0]~q\ & \WideAnd907~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd907~0_combout\,
	datab => \led_flash_cnt[907][7]~q\,
	datac => \led_flash_cnt[907][0]~q\,
	datad => \WideAnd907~1_combout\,
	combout => \WideAnd907~combout\);

-- Location: FF_X6_Y5_N31
\led_flash_cnt_ands[907]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd907~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(907));

-- Location: LCCOMB_X13_Y4_N0
\led_flash_cnt[906][0]~81546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[906][0]~81546_combout\ = !\led_flash_cnt[906][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[906][0]~q\,
	combout => \led_flash_cnt[906][0]~81546_combout\);

-- Location: FF_X13_Y4_N1
\led_flash_cnt[906][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[906][0]~81546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[906][0]~q\);

-- Location: LCCOMB_X13_Y4_N6
\led_flash_cnt[906][1]~39564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[906][1]~39564_combout\ = (\led_flash_cnt[906][1]~q\ & (\led_flash_cnt[906][0]~q\ $ (VCC))) # (!\led_flash_cnt[906][1]~q\ & (\led_flash_cnt[906][0]~q\ & VCC))
-- \led_flash_cnt[906][1]~39565\ = CARRY((\led_flash_cnt[906][1]~q\ & \led_flash_cnt[906][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[906][1]~q\,
	datab => \led_flash_cnt[906][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[906][1]~39564_combout\,
	cout => \led_flash_cnt[906][1]~39565\);

-- Location: FF_X13_Y4_N7
\led_flash_cnt[906][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[906][1]~39564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[906][1]~q\);

-- Location: LCCOMB_X13_Y4_N8
\led_flash_cnt[906][2]~39566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[906][2]~39566_combout\ = (\led_flash_cnt[906][2]~q\ & (!\led_flash_cnt[906][1]~39565\)) # (!\led_flash_cnt[906][2]~q\ & ((\led_flash_cnt[906][1]~39565\) # (GND)))
-- \led_flash_cnt[906][2]~39567\ = CARRY((!\led_flash_cnt[906][1]~39565\) # (!\led_flash_cnt[906][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[906][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[906][1]~39565\,
	combout => \led_flash_cnt[906][2]~39566_combout\,
	cout => \led_flash_cnt[906][2]~39567\);

-- Location: FF_X13_Y4_N9
\led_flash_cnt[906][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[906][2]~39566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[906][2]~q\);

-- Location: LCCOMB_X13_Y4_N10
\led_flash_cnt[906][3]~39568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[906][3]~39568_combout\ = (\led_flash_cnt[906][3]~q\ & (\led_flash_cnt[906][2]~39567\ $ (GND))) # (!\led_flash_cnt[906][3]~q\ & (!\led_flash_cnt[906][2]~39567\ & VCC))
-- \led_flash_cnt[906][3]~39569\ = CARRY((\led_flash_cnt[906][3]~q\ & !\led_flash_cnt[906][2]~39567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[906][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[906][2]~39567\,
	combout => \led_flash_cnt[906][3]~39568_combout\,
	cout => \led_flash_cnt[906][3]~39569\);

-- Location: FF_X13_Y4_N11
\led_flash_cnt[906][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[906][3]~39568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[906][3]~q\);

-- Location: LCCOMB_X13_Y4_N12
\led_flash_cnt[906][4]~39570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[906][4]~39570_combout\ = (\led_flash_cnt[906][4]~q\ & (!\led_flash_cnt[906][3]~39569\)) # (!\led_flash_cnt[906][4]~q\ & ((\led_flash_cnt[906][3]~39569\) # (GND)))
-- \led_flash_cnt[906][4]~39571\ = CARRY((!\led_flash_cnt[906][3]~39569\) # (!\led_flash_cnt[906][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[906][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[906][3]~39569\,
	combout => \led_flash_cnt[906][4]~39570_combout\,
	cout => \led_flash_cnt[906][4]~39571\);

-- Location: FF_X13_Y4_N13
\led_flash_cnt[906][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[906][4]~39570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[906][4]~q\);

-- Location: LCCOMB_X13_Y4_N30
\WideAnd906~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd906~0_combout\ = (\led_flash_cnt[906][1]~q\ & (\led_flash_cnt[906][3]~q\ & (\led_flash_cnt[906][2]~q\ & \led_flash_cnt[906][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[906][1]~q\,
	datab => \led_flash_cnt[906][3]~q\,
	datac => \led_flash_cnt[906][2]~q\,
	datad => \led_flash_cnt[906][4]~q\,
	combout => \WideAnd906~0_combout\);

-- Location: LCCOMB_X13_Y4_N14
\led_flash_cnt[906][5]~39572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[906][5]~39572_combout\ = (\led_flash_cnt[906][5]~q\ & (\led_flash_cnt[906][4]~39571\ $ (GND))) # (!\led_flash_cnt[906][5]~q\ & (!\led_flash_cnt[906][4]~39571\ & VCC))
-- \led_flash_cnt[906][5]~39573\ = CARRY((\led_flash_cnt[906][5]~q\ & !\led_flash_cnt[906][4]~39571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[906][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[906][4]~39571\,
	combout => \led_flash_cnt[906][5]~39572_combout\,
	cout => \led_flash_cnt[906][5]~39573\);

-- Location: FF_X13_Y4_N15
\led_flash_cnt[906][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[906][5]~39572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[906][5]~q\);

-- Location: LCCOMB_X13_Y4_N16
\led_flash_cnt[906][6]~39574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[906][6]~39574_combout\ = (\led_flash_cnt[906][6]~q\ & (!\led_flash_cnt[906][5]~39573\)) # (!\led_flash_cnt[906][6]~q\ & ((\led_flash_cnt[906][5]~39573\) # (GND)))
-- \led_flash_cnt[906][6]~39575\ = CARRY((!\led_flash_cnt[906][5]~39573\) # (!\led_flash_cnt[906][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[906][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[906][5]~39573\,
	combout => \led_flash_cnt[906][6]~39574_combout\,
	cout => \led_flash_cnt[906][6]~39575\);

-- Location: FF_X13_Y4_N17
\led_flash_cnt[906][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[906][6]~39574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[906][6]~q\);

-- Location: LCCOMB_X13_Y4_N18
\led_flash_cnt[906][7]~39576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[906][7]~39576_combout\ = \led_flash_cnt[906][6]~39575\ $ (!\led_flash_cnt[906][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[906][7]~q\,
	cin => \led_flash_cnt[906][6]~39575\,
	combout => \led_flash_cnt[906][7]~39576_combout\);

-- Location: FF_X13_Y4_N19
\led_flash_cnt[906][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[906][7]~39576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[906][7]~q\);

-- Location: LCCOMB_X13_Y4_N4
\WideAnd906~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd906~1_combout\ = (\led_flash_cnt[906][5]~q\ & \led_flash_cnt[906][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[906][5]~q\,
	datad => \led_flash_cnt[906][6]~q\,
	combout => \WideAnd906~1_combout\);

-- Location: LCCOMB_X13_Y4_N20
WideAnd906 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd906~combout\ = (\WideAnd906~0_combout\ & (\led_flash_cnt[906][7]~q\ & (\WideAnd906~1_combout\ & \led_flash_cnt[906][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd906~0_combout\,
	datab => \led_flash_cnt[906][7]~q\,
	datac => \WideAnd906~1_combout\,
	datad => \led_flash_cnt[906][0]~q\,
	combout => \WideAnd906~combout\);

-- Location: FF_X13_Y4_N21
\led_flash_cnt_ands[906]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd906~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(906));

-- Location: LCCOMB_X14_Y5_N2
\led_flash_cnt[905][0]~81545\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[905][0]~81545_combout\ = !\led_flash_cnt[905][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[905][0]~q\,
	combout => \led_flash_cnt[905][0]~81545_combout\);

-- Location: FF_X14_Y5_N3
\led_flash_cnt[905][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[905][0]~81545_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[905][0]~q\);

-- Location: LCCOMB_X13_Y5_N18
\led_flash_cnt[905][1]~39550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[905][1]~39550_combout\ = (\led_flash_cnt[905][0]~q\ & (\led_flash_cnt[905][1]~q\ $ (VCC))) # (!\led_flash_cnt[905][0]~q\ & (\led_flash_cnt[905][1]~q\ & VCC))
-- \led_flash_cnt[905][1]~39551\ = CARRY((\led_flash_cnt[905][0]~q\ & \led_flash_cnt[905][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[905][0]~q\,
	datab => \led_flash_cnt[905][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[905][1]~39550_combout\,
	cout => \led_flash_cnt[905][1]~39551\);

-- Location: FF_X13_Y5_N19
\led_flash_cnt[905][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[905][1]~39550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[905][1]~q\);

-- Location: LCCOMB_X13_Y5_N20
\led_flash_cnt[905][2]~39552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[905][2]~39552_combout\ = (\led_flash_cnt[905][2]~q\ & (!\led_flash_cnt[905][1]~39551\)) # (!\led_flash_cnt[905][2]~q\ & ((\led_flash_cnt[905][1]~39551\) # (GND)))
-- \led_flash_cnt[905][2]~39553\ = CARRY((!\led_flash_cnt[905][1]~39551\) # (!\led_flash_cnt[905][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[905][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[905][1]~39551\,
	combout => \led_flash_cnt[905][2]~39552_combout\,
	cout => \led_flash_cnt[905][2]~39553\);

-- Location: FF_X13_Y5_N21
\led_flash_cnt[905][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[905][2]~39552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[905][2]~q\);

-- Location: LCCOMB_X13_Y5_N22
\led_flash_cnt[905][3]~39554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[905][3]~39554_combout\ = (\led_flash_cnt[905][3]~q\ & (\led_flash_cnt[905][2]~39553\ $ (GND))) # (!\led_flash_cnt[905][3]~q\ & (!\led_flash_cnt[905][2]~39553\ & VCC))
-- \led_flash_cnt[905][3]~39555\ = CARRY((\led_flash_cnt[905][3]~q\ & !\led_flash_cnt[905][2]~39553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[905][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[905][2]~39553\,
	combout => \led_flash_cnt[905][3]~39554_combout\,
	cout => \led_flash_cnt[905][3]~39555\);

-- Location: FF_X13_Y5_N23
\led_flash_cnt[905][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[905][3]~39554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[905][3]~q\);

-- Location: LCCOMB_X13_Y5_N24
\led_flash_cnt[905][4]~39556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[905][4]~39556_combout\ = (\led_flash_cnt[905][4]~q\ & (!\led_flash_cnt[905][3]~39555\)) # (!\led_flash_cnt[905][4]~q\ & ((\led_flash_cnt[905][3]~39555\) # (GND)))
-- \led_flash_cnt[905][4]~39557\ = CARRY((!\led_flash_cnt[905][3]~39555\) # (!\led_flash_cnt[905][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[905][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[905][3]~39555\,
	combout => \led_flash_cnt[905][4]~39556_combout\,
	cout => \led_flash_cnt[905][4]~39557\);

-- Location: FF_X13_Y5_N25
\led_flash_cnt[905][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[905][4]~39556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[905][4]~q\);

-- Location: LCCOMB_X13_Y5_N16
\WideAnd905~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd905~0_combout\ = (\led_flash_cnt[905][1]~q\ & (\led_flash_cnt[905][2]~q\ & (\led_flash_cnt[905][3]~q\ & \led_flash_cnt[905][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[905][1]~q\,
	datab => \led_flash_cnt[905][2]~q\,
	datac => \led_flash_cnt[905][3]~q\,
	datad => \led_flash_cnt[905][4]~q\,
	combout => \WideAnd905~0_combout\);

-- Location: LCCOMB_X13_Y5_N26
\led_flash_cnt[905][5]~39558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[905][5]~39558_combout\ = (\led_flash_cnt[905][5]~q\ & (\led_flash_cnt[905][4]~39557\ $ (GND))) # (!\led_flash_cnt[905][5]~q\ & (!\led_flash_cnt[905][4]~39557\ & VCC))
-- \led_flash_cnt[905][5]~39559\ = CARRY((\led_flash_cnt[905][5]~q\ & !\led_flash_cnt[905][4]~39557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[905][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[905][4]~39557\,
	combout => \led_flash_cnt[905][5]~39558_combout\,
	cout => \led_flash_cnt[905][5]~39559\);

-- Location: FF_X13_Y5_N27
\led_flash_cnt[905][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[905][5]~39558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[905][5]~q\);

-- Location: LCCOMB_X13_Y5_N28
\led_flash_cnt[905][6]~39560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[905][6]~39560_combout\ = (\led_flash_cnt[905][6]~q\ & (!\led_flash_cnt[905][5]~39559\)) # (!\led_flash_cnt[905][6]~q\ & ((\led_flash_cnt[905][5]~39559\) # (GND)))
-- \led_flash_cnt[905][6]~39561\ = CARRY((!\led_flash_cnt[905][5]~39559\) # (!\led_flash_cnt[905][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[905][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[905][5]~39559\,
	combout => \led_flash_cnt[905][6]~39560_combout\,
	cout => \led_flash_cnt[905][6]~39561\);

-- Location: FF_X13_Y5_N29
\led_flash_cnt[905][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[905][6]~39560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[905][6]~q\);

-- Location: LCCOMB_X13_Y5_N30
\led_flash_cnt[905][7]~39562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[905][7]~39562_combout\ = \led_flash_cnt[905][7]~q\ $ (!\led_flash_cnt[905][6]~39561\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[905][7]~q\,
	cin => \led_flash_cnt[905][6]~39561\,
	combout => \led_flash_cnt[905][7]~39562_combout\);

-- Location: FF_X13_Y5_N31
\led_flash_cnt[905][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[905][7]~39562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[905][7]~q\);

-- Location: LCCOMB_X12_Y5_N4
\WideAnd905~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd905~1_combout\ = (\led_flash_cnt[905][6]~q\ & \led_flash_cnt[905][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[905][6]~q\,
	datad => \led_flash_cnt[905][5]~q\,
	combout => \WideAnd905~1_combout\);

-- Location: LCCOMB_X14_Y5_N4
WideAnd905 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd905~combout\ = (\WideAnd905~0_combout\ & (\led_flash_cnt[905][7]~q\ & (\WideAnd905~1_combout\ & \led_flash_cnt[905][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd905~0_combout\,
	datab => \led_flash_cnt[905][7]~q\,
	datac => \WideAnd905~1_combout\,
	datad => \led_flash_cnt[905][0]~q\,
	combout => \WideAnd905~combout\);

-- Location: FF_X14_Y5_N5
\led_flash_cnt_ands[905]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd905~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(905));

-- Location: LCCOMB_X13_Y4_N2
\led_flash_cnt[904][0]~81544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[904][0]~81544_combout\ = !\led_flash_cnt[904][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[904][0]~q\,
	combout => \led_flash_cnt[904][0]~81544_combout\);

-- Location: FF_X13_Y4_N3
\led_flash_cnt[904][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[904][0]~81544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[904][0]~q\);

-- Location: LCCOMB_X12_Y4_N18
\led_flash_cnt[904][1]~39536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[904][1]~39536_combout\ = (\led_flash_cnt[904][0]~q\ & (\led_flash_cnt[904][1]~q\ $ (VCC))) # (!\led_flash_cnt[904][0]~q\ & (\led_flash_cnt[904][1]~q\ & VCC))
-- \led_flash_cnt[904][1]~39537\ = CARRY((\led_flash_cnt[904][0]~q\ & \led_flash_cnt[904][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[904][0]~q\,
	datab => \led_flash_cnt[904][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[904][1]~39536_combout\,
	cout => \led_flash_cnt[904][1]~39537\);

-- Location: FF_X12_Y4_N19
\led_flash_cnt[904][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[904][1]~39536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[904][1]~q\);

-- Location: LCCOMB_X12_Y4_N20
\led_flash_cnt[904][2]~39538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[904][2]~39538_combout\ = (\led_flash_cnt[904][2]~q\ & (!\led_flash_cnt[904][1]~39537\)) # (!\led_flash_cnt[904][2]~q\ & ((\led_flash_cnt[904][1]~39537\) # (GND)))
-- \led_flash_cnt[904][2]~39539\ = CARRY((!\led_flash_cnt[904][1]~39537\) # (!\led_flash_cnt[904][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[904][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[904][1]~39537\,
	combout => \led_flash_cnt[904][2]~39538_combout\,
	cout => \led_flash_cnt[904][2]~39539\);

-- Location: FF_X12_Y4_N21
\led_flash_cnt[904][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[904][2]~39538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[904][2]~q\);

-- Location: LCCOMB_X12_Y4_N22
\led_flash_cnt[904][3]~39540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[904][3]~39540_combout\ = (\led_flash_cnt[904][3]~q\ & (\led_flash_cnt[904][2]~39539\ $ (GND))) # (!\led_flash_cnt[904][3]~q\ & (!\led_flash_cnt[904][2]~39539\ & VCC))
-- \led_flash_cnt[904][3]~39541\ = CARRY((\led_flash_cnt[904][3]~q\ & !\led_flash_cnt[904][2]~39539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[904][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[904][2]~39539\,
	combout => \led_flash_cnt[904][3]~39540_combout\,
	cout => \led_flash_cnt[904][3]~39541\);

-- Location: FF_X12_Y4_N23
\led_flash_cnt[904][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[904][3]~39540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[904][3]~q\);

-- Location: LCCOMB_X12_Y4_N24
\led_flash_cnt[904][4]~39542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[904][4]~39542_combout\ = (\led_flash_cnt[904][4]~q\ & (!\led_flash_cnt[904][3]~39541\)) # (!\led_flash_cnt[904][4]~q\ & ((\led_flash_cnt[904][3]~39541\) # (GND)))
-- \led_flash_cnt[904][4]~39543\ = CARRY((!\led_flash_cnt[904][3]~39541\) # (!\led_flash_cnt[904][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[904][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[904][3]~39541\,
	combout => \led_flash_cnt[904][4]~39542_combout\,
	cout => \led_flash_cnt[904][4]~39543\);

-- Location: FF_X12_Y4_N25
\led_flash_cnt[904][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[904][4]~39542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[904][4]~q\);

-- Location: LCCOMB_X12_Y4_N26
\led_flash_cnt[904][5]~39544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[904][5]~39544_combout\ = (\led_flash_cnt[904][5]~q\ & (\led_flash_cnt[904][4]~39543\ $ (GND))) # (!\led_flash_cnt[904][5]~q\ & (!\led_flash_cnt[904][4]~39543\ & VCC))
-- \led_flash_cnt[904][5]~39545\ = CARRY((\led_flash_cnt[904][5]~q\ & !\led_flash_cnt[904][4]~39543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[904][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[904][4]~39543\,
	combout => \led_flash_cnt[904][5]~39544_combout\,
	cout => \led_flash_cnt[904][5]~39545\);

-- Location: FF_X12_Y4_N27
\led_flash_cnt[904][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[904][5]~39544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[904][5]~q\);

-- Location: LCCOMB_X12_Y4_N28
\led_flash_cnt[904][6]~39546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[904][6]~39546_combout\ = (\led_flash_cnt[904][6]~q\ & (!\led_flash_cnt[904][5]~39545\)) # (!\led_flash_cnt[904][6]~q\ & ((\led_flash_cnt[904][5]~39545\) # (GND)))
-- \led_flash_cnt[904][6]~39547\ = CARRY((!\led_flash_cnt[904][5]~39545\) # (!\led_flash_cnt[904][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[904][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[904][5]~39545\,
	combout => \led_flash_cnt[904][6]~39546_combout\,
	cout => \led_flash_cnt[904][6]~39547\);

-- Location: FF_X12_Y4_N29
\led_flash_cnt[904][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[904][6]~39546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[904][6]~q\);

-- Location: LCCOMB_X13_Y4_N26
\WideAnd904~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd904~1_combout\ = (\led_flash_cnt[904][5]~q\ & \led_flash_cnt[904][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[904][5]~q\,
	datad => \led_flash_cnt[904][6]~q\,
	combout => \WideAnd904~1_combout\);

-- Location: LCCOMB_X12_Y4_N30
\led_flash_cnt[904][7]~39548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[904][7]~39548_combout\ = \led_flash_cnt[904][7]~q\ $ (!\led_flash_cnt[904][6]~39547\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[904][7]~q\,
	cin => \led_flash_cnt[904][6]~39547\,
	combout => \led_flash_cnt[904][7]~39548_combout\);

-- Location: FF_X12_Y4_N31
\led_flash_cnt[904][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[904][7]~39548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[904][7]~q\);

-- Location: LCCOMB_X12_Y4_N0
\WideAnd904~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd904~0_combout\ = (\led_flash_cnt[904][1]~q\ & (\led_flash_cnt[904][2]~q\ & (\led_flash_cnt[904][3]~q\ & \led_flash_cnt[904][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[904][1]~q\,
	datab => \led_flash_cnt[904][2]~q\,
	datac => \led_flash_cnt[904][3]~q\,
	datad => \led_flash_cnt[904][4]~q\,
	combout => \WideAnd904~0_combout\);

-- Location: LCCOMB_X13_Y4_N24
WideAnd904 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd904~combout\ = (\WideAnd904~1_combout\ & (\led_flash_cnt[904][7]~q\ & (\WideAnd904~0_combout\ & \led_flash_cnt[904][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd904~1_combout\,
	datab => \led_flash_cnt[904][7]~q\,
	datac => \WideAnd904~0_combout\,
	datad => \led_flash_cnt[904][0]~q\,
	combout => \WideAnd904~combout\);

-- Location: FF_X13_Y4_N25
\led_flash_cnt_ands[904]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd904~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(904));

-- Location: LCCOMB_X13_Y4_N28
\WideAnd3953~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3953~0_combout\ = (led_flash_cnt_ands(907) & (led_flash_cnt_ands(906) & (led_flash_cnt_ands(905) & led_flash_cnt_ands(904))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(907),
	datab => led_flash_cnt_ands(906),
	datac => led_flash_cnt_ands(905),
	datad => led_flash_cnt_ands(904),
	combout => \WideAnd3953~0_combout\);

-- Location: LCCOMB_X11_Y2_N2
\led_flash_cnt[908][0]~81548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[908][0]~81548_combout\ = !\led_flash_cnt[908][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[908][0]~q\,
	combout => \led_flash_cnt[908][0]~81548_combout\);

-- Location: FF_X11_Y2_N3
\led_flash_cnt[908][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[908][0]~81548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[908][0]~q\);

-- Location: LCCOMB_X10_Y2_N0
\led_flash_cnt[908][1]~39592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[908][1]~39592_combout\ = (\led_flash_cnt[908][0]~q\ & (\led_flash_cnt[908][1]~q\ $ (VCC))) # (!\led_flash_cnt[908][0]~q\ & (\led_flash_cnt[908][1]~q\ & VCC))
-- \led_flash_cnt[908][1]~39593\ = CARRY((\led_flash_cnt[908][0]~q\ & \led_flash_cnt[908][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[908][0]~q\,
	datab => \led_flash_cnt[908][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[908][1]~39592_combout\,
	cout => \led_flash_cnt[908][1]~39593\);

-- Location: FF_X10_Y2_N1
\led_flash_cnt[908][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[908][1]~39592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[908][1]~q\);

-- Location: LCCOMB_X10_Y2_N2
\led_flash_cnt[908][2]~39594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[908][2]~39594_combout\ = (\led_flash_cnt[908][2]~q\ & (!\led_flash_cnt[908][1]~39593\)) # (!\led_flash_cnt[908][2]~q\ & ((\led_flash_cnt[908][1]~39593\) # (GND)))
-- \led_flash_cnt[908][2]~39595\ = CARRY((!\led_flash_cnt[908][1]~39593\) # (!\led_flash_cnt[908][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[908][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[908][1]~39593\,
	combout => \led_flash_cnt[908][2]~39594_combout\,
	cout => \led_flash_cnt[908][2]~39595\);

-- Location: FF_X10_Y2_N3
\led_flash_cnt[908][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[908][2]~39594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[908][2]~q\);

-- Location: LCCOMB_X10_Y2_N4
\led_flash_cnt[908][3]~39596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[908][3]~39596_combout\ = (\led_flash_cnt[908][3]~q\ & (\led_flash_cnt[908][2]~39595\ $ (GND))) # (!\led_flash_cnt[908][3]~q\ & (!\led_flash_cnt[908][2]~39595\ & VCC))
-- \led_flash_cnt[908][3]~39597\ = CARRY((\led_flash_cnt[908][3]~q\ & !\led_flash_cnt[908][2]~39595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[908][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[908][2]~39595\,
	combout => \led_flash_cnt[908][3]~39596_combout\,
	cout => \led_flash_cnt[908][3]~39597\);

-- Location: FF_X10_Y2_N5
\led_flash_cnt[908][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[908][3]~39596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[908][3]~q\);

-- Location: LCCOMB_X10_Y2_N6
\led_flash_cnt[908][4]~39598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[908][4]~39598_combout\ = (\led_flash_cnt[908][4]~q\ & (!\led_flash_cnt[908][3]~39597\)) # (!\led_flash_cnt[908][4]~q\ & ((\led_flash_cnt[908][3]~39597\) # (GND)))
-- \led_flash_cnt[908][4]~39599\ = CARRY((!\led_flash_cnt[908][3]~39597\) # (!\led_flash_cnt[908][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[908][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[908][3]~39597\,
	combout => \led_flash_cnt[908][4]~39598_combout\,
	cout => \led_flash_cnt[908][4]~39599\);

-- Location: FF_X10_Y2_N7
\led_flash_cnt[908][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[908][4]~39598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[908][4]~q\);

-- Location: LCCOMB_X10_Y2_N8
\led_flash_cnt[908][5]~39600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[908][5]~39600_combout\ = (\led_flash_cnt[908][5]~q\ & (\led_flash_cnt[908][4]~39599\ $ (GND))) # (!\led_flash_cnt[908][5]~q\ & (!\led_flash_cnt[908][4]~39599\ & VCC))
-- \led_flash_cnt[908][5]~39601\ = CARRY((\led_flash_cnt[908][5]~q\ & !\led_flash_cnt[908][4]~39599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[908][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[908][4]~39599\,
	combout => \led_flash_cnt[908][5]~39600_combout\,
	cout => \led_flash_cnt[908][5]~39601\);

-- Location: FF_X10_Y2_N9
\led_flash_cnt[908][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[908][5]~39600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[908][5]~q\);

-- Location: LCCOMB_X10_Y2_N10
\led_flash_cnt[908][6]~39602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[908][6]~39602_combout\ = (\led_flash_cnt[908][6]~q\ & (!\led_flash_cnt[908][5]~39601\)) # (!\led_flash_cnt[908][6]~q\ & ((\led_flash_cnt[908][5]~39601\) # (GND)))
-- \led_flash_cnt[908][6]~39603\ = CARRY((!\led_flash_cnt[908][5]~39601\) # (!\led_flash_cnt[908][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[908][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[908][5]~39601\,
	combout => \led_flash_cnt[908][6]~39602_combout\,
	cout => \led_flash_cnt[908][6]~39603\);

-- Location: FF_X10_Y2_N11
\led_flash_cnt[908][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[908][6]~39602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[908][6]~q\);

-- Location: LCCOMB_X10_Y2_N12
\led_flash_cnt[908][7]~39604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[908][7]~39604_combout\ = \led_flash_cnt[908][6]~39603\ $ (!\led_flash_cnt[908][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[908][7]~q\,
	cin => \led_flash_cnt[908][6]~39603\,
	combout => \led_flash_cnt[908][7]~39604_combout\);

-- Location: FF_X10_Y2_N13
\led_flash_cnt[908][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[908][7]~39604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[908][7]~q\);

-- Location: LCCOMB_X11_Y2_N20
\WideAnd908~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd908~1_combout\ = (\led_flash_cnt[908][6]~q\ & \led_flash_cnt[908][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[908][6]~q\,
	datad => \led_flash_cnt[908][5]~q\,
	combout => \WideAnd908~1_combout\);

-- Location: LCCOMB_X10_Y2_N14
\WideAnd908~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd908~0_combout\ = (\led_flash_cnt[908][4]~q\ & (\led_flash_cnt[908][1]~q\ & (\led_flash_cnt[908][3]~q\ & \led_flash_cnt[908][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[908][4]~q\,
	datab => \led_flash_cnt[908][1]~q\,
	datac => \led_flash_cnt[908][3]~q\,
	datad => \led_flash_cnt[908][2]~q\,
	combout => \WideAnd908~0_combout\);

-- Location: LCCOMB_X11_Y2_N0
WideAnd908 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd908~combout\ = (\led_flash_cnt[908][7]~q\ & (\WideAnd908~1_combout\ & (\led_flash_cnt[908][0]~q\ & \WideAnd908~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[908][7]~q\,
	datab => \WideAnd908~1_combout\,
	datac => \led_flash_cnt[908][0]~q\,
	datad => \WideAnd908~0_combout\,
	combout => \WideAnd908~combout\);

-- Location: FF_X11_Y2_N1
\led_flash_cnt_ands[908]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd908~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(908));

-- Location: LCCOMB_X11_Y3_N28
\led_flash_cnt[909][0]~81549\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[909][0]~81549_combout\ = !\led_flash_cnt[909][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[909][0]~q\,
	combout => \led_flash_cnt[909][0]~81549_combout\);

-- Location: FF_X11_Y3_N29
\led_flash_cnt[909][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[909][0]~81549_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[909][0]~q\);

-- Location: LCCOMB_X12_Y3_N14
\led_flash_cnt[909][1]~39606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[909][1]~39606_combout\ = (\led_flash_cnt[909][0]~q\ & (\led_flash_cnt[909][1]~q\ $ (VCC))) # (!\led_flash_cnt[909][0]~q\ & (\led_flash_cnt[909][1]~q\ & VCC))
-- \led_flash_cnt[909][1]~39607\ = CARRY((\led_flash_cnt[909][0]~q\ & \led_flash_cnt[909][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[909][0]~q\,
	datab => \led_flash_cnt[909][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[909][1]~39606_combout\,
	cout => \led_flash_cnt[909][1]~39607\);

-- Location: FF_X12_Y3_N15
\led_flash_cnt[909][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[909][1]~39606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[909][1]~q\);

-- Location: LCCOMB_X12_Y3_N16
\led_flash_cnt[909][2]~39608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[909][2]~39608_combout\ = (\led_flash_cnt[909][2]~q\ & (!\led_flash_cnt[909][1]~39607\)) # (!\led_flash_cnt[909][2]~q\ & ((\led_flash_cnt[909][1]~39607\) # (GND)))
-- \led_flash_cnt[909][2]~39609\ = CARRY((!\led_flash_cnt[909][1]~39607\) # (!\led_flash_cnt[909][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[909][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[909][1]~39607\,
	combout => \led_flash_cnt[909][2]~39608_combout\,
	cout => \led_flash_cnt[909][2]~39609\);

-- Location: FF_X12_Y3_N17
\led_flash_cnt[909][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[909][2]~39608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[909][2]~q\);

-- Location: LCCOMB_X12_Y3_N18
\led_flash_cnt[909][3]~39610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[909][3]~39610_combout\ = (\led_flash_cnt[909][3]~q\ & (\led_flash_cnt[909][2]~39609\ $ (GND))) # (!\led_flash_cnt[909][3]~q\ & (!\led_flash_cnt[909][2]~39609\ & VCC))
-- \led_flash_cnt[909][3]~39611\ = CARRY((\led_flash_cnt[909][3]~q\ & !\led_flash_cnt[909][2]~39609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[909][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[909][2]~39609\,
	combout => \led_flash_cnt[909][3]~39610_combout\,
	cout => \led_flash_cnt[909][3]~39611\);

-- Location: FF_X12_Y3_N19
\led_flash_cnt[909][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[909][3]~39610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[909][3]~q\);

-- Location: LCCOMB_X12_Y3_N20
\led_flash_cnt[909][4]~39612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[909][4]~39612_combout\ = (\led_flash_cnt[909][4]~q\ & (!\led_flash_cnt[909][3]~39611\)) # (!\led_flash_cnt[909][4]~q\ & ((\led_flash_cnt[909][3]~39611\) # (GND)))
-- \led_flash_cnt[909][4]~39613\ = CARRY((!\led_flash_cnt[909][3]~39611\) # (!\led_flash_cnt[909][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[909][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[909][3]~39611\,
	combout => \led_flash_cnt[909][4]~39612_combout\,
	cout => \led_flash_cnt[909][4]~39613\);

-- Location: FF_X12_Y3_N21
\led_flash_cnt[909][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[909][4]~39612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[909][4]~q\);

-- Location: LCCOMB_X12_Y3_N30
\WideAnd909~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd909~0_combout\ = (\led_flash_cnt[909][2]~q\ & (\led_flash_cnt[909][4]~q\ & (\led_flash_cnt[909][1]~q\ & \led_flash_cnt[909][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[909][2]~q\,
	datab => \led_flash_cnt[909][4]~q\,
	datac => \led_flash_cnt[909][1]~q\,
	datad => \led_flash_cnt[909][3]~q\,
	combout => \WideAnd909~0_combout\);

-- Location: LCCOMB_X12_Y3_N22
\led_flash_cnt[909][5]~39614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[909][5]~39614_combout\ = (\led_flash_cnt[909][5]~q\ & (\led_flash_cnt[909][4]~39613\ $ (GND))) # (!\led_flash_cnt[909][5]~q\ & (!\led_flash_cnt[909][4]~39613\ & VCC))
-- \led_flash_cnt[909][5]~39615\ = CARRY((\led_flash_cnt[909][5]~q\ & !\led_flash_cnt[909][4]~39613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[909][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[909][4]~39613\,
	combout => \led_flash_cnt[909][5]~39614_combout\,
	cout => \led_flash_cnt[909][5]~39615\);

-- Location: FF_X12_Y3_N23
\led_flash_cnt[909][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[909][5]~39614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[909][5]~q\);

-- Location: LCCOMB_X12_Y3_N24
\led_flash_cnt[909][6]~39616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[909][6]~39616_combout\ = (\led_flash_cnt[909][6]~q\ & (!\led_flash_cnt[909][5]~39615\)) # (!\led_flash_cnt[909][6]~q\ & ((\led_flash_cnt[909][5]~39615\) # (GND)))
-- \led_flash_cnt[909][6]~39617\ = CARRY((!\led_flash_cnt[909][5]~39615\) # (!\led_flash_cnt[909][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[909][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[909][5]~39615\,
	combout => \led_flash_cnt[909][6]~39616_combout\,
	cout => \led_flash_cnt[909][6]~39617\);

-- Location: FF_X12_Y3_N25
\led_flash_cnt[909][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[909][6]~39616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[909][6]~q\);

-- Location: LCCOMB_X11_Y3_N22
\WideAnd909~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd909~1_combout\ = (\led_flash_cnt[909][5]~q\ & \led_flash_cnt[909][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[909][5]~q\,
	datac => \led_flash_cnt[909][6]~q\,
	combout => \WideAnd909~1_combout\);

-- Location: LCCOMB_X12_Y3_N26
\led_flash_cnt[909][7]~39618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[909][7]~39618_combout\ = \led_flash_cnt[909][7]~q\ $ (!\led_flash_cnt[909][6]~39617\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[909][7]~q\,
	cin => \led_flash_cnt[909][6]~39617\,
	combout => \led_flash_cnt[909][7]~39618_combout\);

-- Location: FF_X12_Y3_N27
\led_flash_cnt[909][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[909][7]~39618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[909][7]~q\);

-- Location: LCCOMB_X11_Y3_N20
WideAnd909 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd909~combout\ = (\WideAnd909~0_combout\ & (\led_flash_cnt[909][0]~q\ & (\WideAnd909~1_combout\ & \led_flash_cnt[909][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd909~0_combout\,
	datab => \led_flash_cnt[909][0]~q\,
	datac => \WideAnd909~1_combout\,
	datad => \led_flash_cnt[909][7]~q\,
	combout => \WideAnd909~combout\);

-- Location: FF_X11_Y3_N21
\led_flash_cnt_ands[909]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd909~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(909));

-- Location: LCCOMB_X11_Y3_N0
\WideAnd3953~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3953~1_combout\ = (led_flash_cnt_ands(908) & led_flash_cnt_ands(909))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(908),
	datad => led_flash_cnt_ands(909),
	combout => \WideAnd3953~1_combout\);

-- Location: LCCOMB_X10_Y6_N28
WideAnd3953 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3953~combout\ = (led_flash_cnt_ands(911) & (led_flash_cnt_ands(910) & (\WideAnd3953~0_combout\ & \WideAnd3953~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(911),
	datab => led_flash_cnt_ands(910),
	datac => \WideAnd3953~0_combout\,
	datad => \WideAnd3953~1_combout\,
	combout => \WideAnd3953~combout\);

-- Location: FF_X10_Y6_N29
\led_flash_cnt_ands_1[113]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3953~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(113));

-- Location: LCCOMB_X18_Y11_N28
\led_flash_cnt[926][0]~81566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[926][0]~81566_combout\ = !\led_flash_cnt[926][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[926][0]~q\,
	combout => \led_flash_cnt[926][0]~81566_combout\);

-- Location: FF_X18_Y11_N29
\led_flash_cnt[926][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[926][0]~81566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[926][0]~q\);

-- Location: LCCOMB_X15_Y11_N16
\led_flash_cnt[926][1]~39844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[926][1]~39844_combout\ = (\led_flash_cnt[926][0]~q\ & (\led_flash_cnt[926][1]~q\ $ (VCC))) # (!\led_flash_cnt[926][0]~q\ & (\led_flash_cnt[926][1]~q\ & VCC))
-- \led_flash_cnt[926][1]~39845\ = CARRY((\led_flash_cnt[926][0]~q\ & \led_flash_cnt[926][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[926][0]~q\,
	datab => \led_flash_cnt[926][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[926][1]~39844_combout\,
	cout => \led_flash_cnt[926][1]~39845\);

-- Location: FF_X15_Y11_N17
\led_flash_cnt[926][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[926][1]~39844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[926][1]~q\);

-- Location: LCCOMB_X15_Y11_N18
\led_flash_cnt[926][2]~39846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[926][2]~39846_combout\ = (\led_flash_cnt[926][2]~q\ & (!\led_flash_cnt[926][1]~39845\)) # (!\led_flash_cnt[926][2]~q\ & ((\led_flash_cnt[926][1]~39845\) # (GND)))
-- \led_flash_cnt[926][2]~39847\ = CARRY((!\led_flash_cnt[926][1]~39845\) # (!\led_flash_cnt[926][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[926][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[926][1]~39845\,
	combout => \led_flash_cnt[926][2]~39846_combout\,
	cout => \led_flash_cnt[926][2]~39847\);

-- Location: FF_X15_Y11_N19
\led_flash_cnt[926][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[926][2]~39846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[926][2]~q\);

-- Location: LCCOMB_X15_Y11_N20
\led_flash_cnt[926][3]~39848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[926][3]~39848_combout\ = (\led_flash_cnt[926][3]~q\ & (\led_flash_cnt[926][2]~39847\ $ (GND))) # (!\led_flash_cnt[926][3]~q\ & (!\led_flash_cnt[926][2]~39847\ & VCC))
-- \led_flash_cnt[926][3]~39849\ = CARRY((\led_flash_cnt[926][3]~q\ & !\led_flash_cnt[926][2]~39847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[926][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[926][2]~39847\,
	combout => \led_flash_cnt[926][3]~39848_combout\,
	cout => \led_flash_cnt[926][3]~39849\);

-- Location: FF_X15_Y11_N21
\led_flash_cnt[926][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[926][3]~39848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[926][3]~q\);

-- Location: LCCOMB_X15_Y11_N22
\led_flash_cnt[926][4]~39850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[926][4]~39850_combout\ = (\led_flash_cnt[926][4]~q\ & (!\led_flash_cnt[926][3]~39849\)) # (!\led_flash_cnt[926][4]~q\ & ((\led_flash_cnt[926][3]~39849\) # (GND)))
-- \led_flash_cnt[926][4]~39851\ = CARRY((!\led_flash_cnt[926][3]~39849\) # (!\led_flash_cnt[926][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[926][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[926][3]~39849\,
	combout => \led_flash_cnt[926][4]~39850_combout\,
	cout => \led_flash_cnt[926][4]~39851\);

-- Location: FF_X15_Y11_N23
\led_flash_cnt[926][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[926][4]~39850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[926][4]~q\);

-- Location: LCCOMB_X15_Y11_N24
\led_flash_cnt[926][5]~39852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[926][5]~39852_combout\ = (\led_flash_cnt[926][5]~q\ & (\led_flash_cnt[926][4]~39851\ $ (GND))) # (!\led_flash_cnt[926][5]~q\ & (!\led_flash_cnt[926][4]~39851\ & VCC))
-- \led_flash_cnt[926][5]~39853\ = CARRY((\led_flash_cnt[926][5]~q\ & !\led_flash_cnt[926][4]~39851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[926][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[926][4]~39851\,
	combout => \led_flash_cnt[926][5]~39852_combout\,
	cout => \led_flash_cnt[926][5]~39853\);

-- Location: FF_X15_Y11_N25
\led_flash_cnt[926][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[926][5]~39852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[926][5]~q\);

-- Location: LCCOMB_X15_Y11_N26
\led_flash_cnt[926][6]~39854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[926][6]~39854_combout\ = (\led_flash_cnt[926][6]~q\ & (!\led_flash_cnt[926][5]~39853\)) # (!\led_flash_cnt[926][6]~q\ & ((\led_flash_cnt[926][5]~39853\) # (GND)))
-- \led_flash_cnt[926][6]~39855\ = CARRY((!\led_flash_cnt[926][5]~39853\) # (!\led_flash_cnt[926][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[926][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[926][5]~39853\,
	combout => \led_flash_cnt[926][6]~39854_combout\,
	cout => \led_flash_cnt[926][6]~39855\);

-- Location: FF_X15_Y11_N27
\led_flash_cnt[926][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[926][6]~39854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[926][6]~q\);

-- Location: LCCOMB_X14_Y11_N2
\WideAnd926~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd926~1_combout\ = (\led_flash_cnt[926][6]~q\ & \led_flash_cnt[926][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[926][6]~q\,
	datad => \led_flash_cnt[926][5]~q\,
	combout => \WideAnd926~1_combout\);

-- Location: LCCOMB_X15_Y11_N28
\led_flash_cnt[926][7]~39856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[926][7]~39856_combout\ = \led_flash_cnt[926][6]~39855\ $ (!\led_flash_cnt[926][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[926][7]~q\,
	cin => \led_flash_cnt[926][6]~39855\,
	combout => \led_flash_cnt[926][7]~39856_combout\);

-- Location: FF_X15_Y11_N29
\led_flash_cnt[926][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[926][7]~39856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[926][7]~q\);

-- Location: LCCOMB_X16_Y11_N28
\WideAnd926~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd926~0_combout\ = (\led_flash_cnt[926][2]~q\ & (\led_flash_cnt[926][4]~q\ & (\led_flash_cnt[926][1]~q\ & \led_flash_cnt[926][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[926][2]~q\,
	datab => \led_flash_cnt[926][4]~q\,
	datac => \led_flash_cnt[926][1]~q\,
	datad => \led_flash_cnt[926][3]~q\,
	combout => \WideAnd926~0_combout\);

-- Location: LCCOMB_X15_Y11_N30
WideAnd926 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd926~combout\ = (\WideAnd926~1_combout\ & (\led_flash_cnt[926][7]~q\ & (\led_flash_cnt[926][0]~q\ & \WideAnd926~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd926~1_combout\,
	datab => \led_flash_cnt[926][7]~q\,
	datac => \led_flash_cnt[926][0]~q\,
	datad => \WideAnd926~0_combout\,
	combout => \WideAnd926~combout\);

-- Location: FF_X15_Y11_N31
\led_flash_cnt_ands[926]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd926~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(926));

-- Location: LCCOMB_X15_Y9_N22
\led_flash_cnt[924][0]~81564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[924][0]~81564_combout\ = !\led_flash_cnt[924][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[924][0]~q\,
	combout => \led_flash_cnt[924][0]~81564_combout\);

-- Location: FF_X15_Y9_N23
\led_flash_cnt[924][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[924][0]~81564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[924][0]~q\);

-- Location: LCCOMB_X15_Y9_N8
\led_flash_cnt[924][1]~39816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[924][1]~39816_combout\ = (\led_flash_cnt[924][0]~q\ & (\led_flash_cnt[924][1]~q\ $ (VCC))) # (!\led_flash_cnt[924][0]~q\ & (\led_flash_cnt[924][1]~q\ & VCC))
-- \led_flash_cnt[924][1]~39817\ = CARRY((\led_flash_cnt[924][0]~q\ & \led_flash_cnt[924][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[924][0]~q\,
	datab => \led_flash_cnt[924][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[924][1]~39816_combout\,
	cout => \led_flash_cnt[924][1]~39817\);

-- Location: FF_X15_Y9_N9
\led_flash_cnt[924][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[924][1]~39816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[924][1]~q\);

-- Location: LCCOMB_X15_Y9_N10
\led_flash_cnt[924][2]~39818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[924][2]~39818_combout\ = (\led_flash_cnt[924][2]~q\ & (!\led_flash_cnt[924][1]~39817\)) # (!\led_flash_cnt[924][2]~q\ & ((\led_flash_cnt[924][1]~39817\) # (GND)))
-- \led_flash_cnt[924][2]~39819\ = CARRY((!\led_flash_cnt[924][1]~39817\) # (!\led_flash_cnt[924][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[924][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[924][1]~39817\,
	combout => \led_flash_cnt[924][2]~39818_combout\,
	cout => \led_flash_cnt[924][2]~39819\);

-- Location: FF_X15_Y9_N11
\led_flash_cnt[924][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[924][2]~39818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[924][2]~q\);

-- Location: LCCOMB_X15_Y9_N12
\led_flash_cnt[924][3]~39820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[924][3]~39820_combout\ = (\led_flash_cnt[924][3]~q\ & (\led_flash_cnt[924][2]~39819\ $ (GND))) # (!\led_flash_cnt[924][3]~q\ & (!\led_flash_cnt[924][2]~39819\ & VCC))
-- \led_flash_cnt[924][3]~39821\ = CARRY((\led_flash_cnt[924][3]~q\ & !\led_flash_cnt[924][2]~39819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[924][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[924][2]~39819\,
	combout => \led_flash_cnt[924][3]~39820_combout\,
	cout => \led_flash_cnt[924][3]~39821\);

-- Location: FF_X15_Y9_N13
\led_flash_cnt[924][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[924][3]~39820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[924][3]~q\);

-- Location: LCCOMB_X15_Y9_N14
\led_flash_cnt[924][4]~39822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[924][4]~39822_combout\ = (\led_flash_cnt[924][4]~q\ & (!\led_flash_cnt[924][3]~39821\)) # (!\led_flash_cnt[924][4]~q\ & ((\led_flash_cnt[924][3]~39821\) # (GND)))
-- \led_flash_cnt[924][4]~39823\ = CARRY((!\led_flash_cnt[924][3]~39821\) # (!\led_flash_cnt[924][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[924][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[924][3]~39821\,
	combout => \led_flash_cnt[924][4]~39822_combout\,
	cout => \led_flash_cnt[924][4]~39823\);

-- Location: FF_X15_Y9_N15
\led_flash_cnt[924][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[924][4]~39822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[924][4]~q\);

-- Location: LCCOMB_X15_Y9_N16
\led_flash_cnt[924][5]~39824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[924][5]~39824_combout\ = (\led_flash_cnt[924][5]~q\ & (\led_flash_cnt[924][4]~39823\ $ (GND))) # (!\led_flash_cnt[924][5]~q\ & (!\led_flash_cnt[924][4]~39823\ & VCC))
-- \led_flash_cnt[924][5]~39825\ = CARRY((\led_flash_cnt[924][5]~q\ & !\led_flash_cnt[924][4]~39823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[924][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[924][4]~39823\,
	combout => \led_flash_cnt[924][5]~39824_combout\,
	cout => \led_flash_cnt[924][5]~39825\);

-- Location: FF_X15_Y9_N17
\led_flash_cnt[924][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[924][5]~39824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[924][5]~q\);

-- Location: LCCOMB_X15_Y9_N18
\led_flash_cnt[924][6]~39826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[924][6]~39826_combout\ = (\led_flash_cnt[924][6]~q\ & (!\led_flash_cnt[924][5]~39825\)) # (!\led_flash_cnt[924][6]~q\ & ((\led_flash_cnt[924][5]~39825\) # (GND)))
-- \led_flash_cnt[924][6]~39827\ = CARRY((!\led_flash_cnt[924][5]~39825\) # (!\led_flash_cnt[924][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[924][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[924][5]~39825\,
	combout => \led_flash_cnt[924][6]~39826_combout\,
	cout => \led_flash_cnt[924][6]~39827\);

-- Location: FF_X15_Y9_N19
\led_flash_cnt[924][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[924][6]~39826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[924][6]~q\);

-- Location: LCCOMB_X15_Y9_N26
\WideAnd924~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd924~1_combout\ = (\led_flash_cnt[924][6]~q\ & \led_flash_cnt[924][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[924][6]~q\,
	datad => \led_flash_cnt[924][5]~q\,
	combout => \WideAnd924~1_combout\);

-- Location: LCCOMB_X15_Y9_N20
\led_flash_cnt[924][7]~39828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[924][7]~39828_combout\ = \led_flash_cnt[924][6]~39827\ $ (!\led_flash_cnt[924][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[924][7]~q\,
	cin => \led_flash_cnt[924][6]~39827\,
	combout => \led_flash_cnt[924][7]~39828_combout\);

-- Location: FF_X15_Y9_N21
\led_flash_cnt[924][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[924][7]~39828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[924][7]~q\);

-- Location: LCCOMB_X15_Y9_N24
\WideAnd924~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd924~0_combout\ = (\led_flash_cnt[924][2]~q\ & (\led_flash_cnt[924][4]~q\ & (\led_flash_cnt[924][1]~q\ & \led_flash_cnt[924][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[924][2]~q\,
	datab => \led_flash_cnt[924][4]~q\,
	datac => \led_flash_cnt[924][1]~q\,
	datad => \led_flash_cnt[924][3]~q\,
	combout => \WideAnd924~0_combout\);

-- Location: LCCOMB_X15_Y9_N4
WideAnd924 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd924~combout\ = (\WideAnd924~1_combout\ & (\led_flash_cnt[924][7]~q\ & (\led_flash_cnt[924][0]~q\ & \WideAnd924~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd924~1_combout\,
	datab => \led_flash_cnt[924][7]~q\,
	datac => \led_flash_cnt[924][0]~q\,
	datad => \WideAnd924~0_combout\,
	combout => \WideAnd924~combout\);

-- Location: FF_X15_Y9_N5
\led_flash_cnt_ands[924]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd924~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(924));

-- Location: LCCOMB_X18_Y3_N26
\led_flash_cnt[925][0]~81565\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[925][0]~81565_combout\ = !\led_flash_cnt[925][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[925][0]~q\,
	combout => \led_flash_cnt[925][0]~81565_combout\);

-- Location: FF_X18_Y3_N27
\led_flash_cnt[925][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[925][0]~81565_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[925][0]~q\);

-- Location: LCCOMB_X20_Y3_N18
\led_flash_cnt[925][1]~39830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[925][1]~39830_combout\ = (\led_flash_cnt[925][0]~q\ & (\led_flash_cnt[925][1]~q\ $ (VCC))) # (!\led_flash_cnt[925][0]~q\ & (\led_flash_cnt[925][1]~q\ & VCC))
-- \led_flash_cnt[925][1]~39831\ = CARRY((\led_flash_cnt[925][0]~q\ & \led_flash_cnt[925][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[925][0]~q\,
	datab => \led_flash_cnt[925][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[925][1]~39830_combout\,
	cout => \led_flash_cnt[925][1]~39831\);

-- Location: FF_X20_Y3_N19
\led_flash_cnt[925][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[925][1]~39830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[925][1]~q\);

-- Location: LCCOMB_X20_Y3_N20
\led_flash_cnt[925][2]~39832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[925][2]~39832_combout\ = (\led_flash_cnt[925][2]~q\ & (!\led_flash_cnt[925][1]~39831\)) # (!\led_flash_cnt[925][2]~q\ & ((\led_flash_cnt[925][1]~39831\) # (GND)))
-- \led_flash_cnt[925][2]~39833\ = CARRY((!\led_flash_cnt[925][1]~39831\) # (!\led_flash_cnt[925][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[925][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[925][1]~39831\,
	combout => \led_flash_cnt[925][2]~39832_combout\,
	cout => \led_flash_cnt[925][2]~39833\);

-- Location: FF_X20_Y3_N21
\led_flash_cnt[925][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[925][2]~39832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[925][2]~q\);

-- Location: LCCOMB_X20_Y3_N22
\led_flash_cnt[925][3]~39834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[925][3]~39834_combout\ = (\led_flash_cnt[925][3]~q\ & (\led_flash_cnt[925][2]~39833\ $ (GND))) # (!\led_flash_cnt[925][3]~q\ & (!\led_flash_cnt[925][2]~39833\ & VCC))
-- \led_flash_cnt[925][3]~39835\ = CARRY((\led_flash_cnt[925][3]~q\ & !\led_flash_cnt[925][2]~39833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[925][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[925][2]~39833\,
	combout => \led_flash_cnt[925][3]~39834_combout\,
	cout => \led_flash_cnt[925][3]~39835\);

-- Location: FF_X20_Y3_N23
\led_flash_cnt[925][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[925][3]~39834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[925][3]~q\);

-- Location: LCCOMB_X20_Y3_N24
\led_flash_cnt[925][4]~39836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[925][4]~39836_combout\ = (\led_flash_cnt[925][4]~q\ & (!\led_flash_cnt[925][3]~39835\)) # (!\led_flash_cnt[925][4]~q\ & ((\led_flash_cnt[925][3]~39835\) # (GND)))
-- \led_flash_cnt[925][4]~39837\ = CARRY((!\led_flash_cnt[925][3]~39835\) # (!\led_flash_cnt[925][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[925][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[925][3]~39835\,
	combout => \led_flash_cnt[925][4]~39836_combout\,
	cout => \led_flash_cnt[925][4]~39837\);

-- Location: FF_X20_Y3_N25
\led_flash_cnt[925][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[925][4]~39836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[925][4]~q\);

-- Location: LCCOMB_X20_Y3_N26
\led_flash_cnt[925][5]~39838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[925][5]~39838_combout\ = (\led_flash_cnt[925][5]~q\ & (\led_flash_cnt[925][4]~39837\ $ (GND))) # (!\led_flash_cnt[925][5]~q\ & (!\led_flash_cnt[925][4]~39837\ & VCC))
-- \led_flash_cnt[925][5]~39839\ = CARRY((\led_flash_cnt[925][5]~q\ & !\led_flash_cnt[925][4]~39837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[925][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[925][4]~39837\,
	combout => \led_flash_cnt[925][5]~39838_combout\,
	cout => \led_flash_cnt[925][5]~39839\);

-- Location: FF_X20_Y3_N27
\led_flash_cnt[925][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[925][5]~39838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[925][5]~q\);

-- Location: LCCOMB_X20_Y3_N28
\led_flash_cnt[925][6]~39840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[925][6]~39840_combout\ = (\led_flash_cnt[925][6]~q\ & (!\led_flash_cnt[925][5]~39839\)) # (!\led_flash_cnt[925][6]~q\ & ((\led_flash_cnt[925][5]~39839\) # (GND)))
-- \led_flash_cnt[925][6]~39841\ = CARRY((!\led_flash_cnt[925][5]~39839\) # (!\led_flash_cnt[925][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[925][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[925][5]~39839\,
	combout => \led_flash_cnt[925][6]~39840_combout\,
	cout => \led_flash_cnt[925][6]~39841\);

-- Location: FF_X20_Y3_N29
\led_flash_cnt[925][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[925][6]~39840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[925][6]~q\);

-- Location: LCCOMB_X20_Y3_N30
\led_flash_cnt[925][7]~39842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[925][7]~39842_combout\ = \led_flash_cnt[925][7]~q\ $ (!\led_flash_cnt[925][6]~39841\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[925][7]~q\,
	cin => \led_flash_cnt[925][6]~39841\,
	combout => \led_flash_cnt[925][7]~39842_combout\);

-- Location: FF_X20_Y3_N31
\led_flash_cnt[925][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[925][7]~39842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[925][7]~q\);

-- Location: LCCOMB_X19_Y3_N2
\WideAnd925~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd925~1_combout\ = (\led_flash_cnt[925][5]~q\ & \led_flash_cnt[925][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[925][5]~q\,
	datad => \led_flash_cnt[925][6]~q\,
	combout => \WideAnd925~1_combout\);

-- Location: LCCOMB_X20_Y3_N0
\WideAnd925~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd925~0_combout\ = (\led_flash_cnt[925][2]~q\ & (\led_flash_cnt[925][1]~q\ & (\led_flash_cnt[925][3]~q\ & \led_flash_cnt[925][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[925][2]~q\,
	datab => \led_flash_cnt[925][1]~q\,
	datac => \led_flash_cnt[925][3]~q\,
	datad => \led_flash_cnt[925][4]~q\,
	combout => \WideAnd925~0_combout\);

-- Location: LCCOMB_X19_Y3_N30
WideAnd925 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd925~combout\ = (\led_flash_cnt[925][7]~q\ & (\WideAnd925~1_combout\ & (\WideAnd925~0_combout\ & \led_flash_cnt[925][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[925][7]~q\,
	datab => \WideAnd925~1_combout\,
	datac => \WideAnd925~0_combout\,
	datad => \led_flash_cnt[925][0]~q\,
	combout => \WideAnd925~combout\);

-- Location: FF_X19_Y3_N31
\led_flash_cnt_ands[925]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd925~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(925));

-- Location: LCCOMB_X15_Y9_N28
\WideAnd3955~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3955~1_combout\ = (led_flash_cnt_ands(924) & led_flash_cnt_ands(925))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(924),
	datac => led_flash_cnt_ands(925),
	combout => \WideAnd3955~1_combout\);

-- Location: LCCOMB_X19_Y9_N10
\led_flash_cnt[927][0]~81567\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[927][0]~81567_combout\ = !\led_flash_cnt[927][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[927][0]~q\,
	combout => \led_flash_cnt[927][0]~81567_combout\);

-- Location: FF_X19_Y9_N11
\led_flash_cnt[927][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[927][0]~81567_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[927][0]~q\);

-- Location: LCCOMB_X19_Y9_N14
\led_flash_cnt[927][1]~39858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[927][1]~39858_combout\ = (\led_flash_cnt[927][0]~q\ & (\led_flash_cnt[927][1]~q\ $ (VCC))) # (!\led_flash_cnt[927][0]~q\ & (\led_flash_cnt[927][1]~q\ & VCC))
-- \led_flash_cnt[927][1]~39859\ = CARRY((\led_flash_cnt[927][0]~q\ & \led_flash_cnt[927][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[927][0]~q\,
	datab => \led_flash_cnt[927][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[927][1]~39858_combout\,
	cout => \led_flash_cnt[927][1]~39859\);

-- Location: FF_X19_Y9_N15
\led_flash_cnt[927][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[927][1]~39858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[927][1]~q\);

-- Location: LCCOMB_X19_Y9_N16
\led_flash_cnt[927][2]~39860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[927][2]~39860_combout\ = (\led_flash_cnt[927][2]~q\ & (!\led_flash_cnt[927][1]~39859\)) # (!\led_flash_cnt[927][2]~q\ & ((\led_flash_cnt[927][1]~39859\) # (GND)))
-- \led_flash_cnt[927][2]~39861\ = CARRY((!\led_flash_cnt[927][1]~39859\) # (!\led_flash_cnt[927][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[927][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[927][1]~39859\,
	combout => \led_flash_cnt[927][2]~39860_combout\,
	cout => \led_flash_cnt[927][2]~39861\);

-- Location: FF_X19_Y9_N17
\led_flash_cnt[927][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[927][2]~39860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[927][2]~q\);

-- Location: LCCOMB_X19_Y9_N18
\led_flash_cnt[927][3]~39862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[927][3]~39862_combout\ = (\led_flash_cnt[927][3]~q\ & (\led_flash_cnt[927][2]~39861\ $ (GND))) # (!\led_flash_cnt[927][3]~q\ & (!\led_flash_cnt[927][2]~39861\ & VCC))
-- \led_flash_cnt[927][3]~39863\ = CARRY((\led_flash_cnt[927][3]~q\ & !\led_flash_cnt[927][2]~39861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[927][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[927][2]~39861\,
	combout => \led_flash_cnt[927][3]~39862_combout\,
	cout => \led_flash_cnt[927][3]~39863\);

-- Location: FF_X19_Y9_N19
\led_flash_cnt[927][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[927][3]~39862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[927][3]~q\);

-- Location: LCCOMB_X19_Y9_N20
\led_flash_cnt[927][4]~39864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[927][4]~39864_combout\ = (\led_flash_cnt[927][4]~q\ & (!\led_flash_cnt[927][3]~39863\)) # (!\led_flash_cnt[927][4]~q\ & ((\led_flash_cnt[927][3]~39863\) # (GND)))
-- \led_flash_cnt[927][4]~39865\ = CARRY((!\led_flash_cnt[927][3]~39863\) # (!\led_flash_cnt[927][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[927][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[927][3]~39863\,
	combout => \led_flash_cnt[927][4]~39864_combout\,
	cout => \led_flash_cnt[927][4]~39865\);

-- Location: FF_X19_Y9_N21
\led_flash_cnt[927][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[927][4]~39864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[927][4]~q\);

-- Location: LCCOMB_X19_Y9_N22
\led_flash_cnt[927][5]~39866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[927][5]~39866_combout\ = (\led_flash_cnt[927][5]~q\ & (\led_flash_cnt[927][4]~39865\ $ (GND))) # (!\led_flash_cnt[927][5]~q\ & (!\led_flash_cnt[927][4]~39865\ & VCC))
-- \led_flash_cnt[927][5]~39867\ = CARRY((\led_flash_cnt[927][5]~q\ & !\led_flash_cnt[927][4]~39865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[927][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[927][4]~39865\,
	combout => \led_flash_cnt[927][5]~39866_combout\,
	cout => \led_flash_cnt[927][5]~39867\);

-- Location: FF_X19_Y9_N23
\led_flash_cnt[927][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[927][5]~39866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[927][5]~q\);

-- Location: LCCOMB_X19_Y9_N24
\led_flash_cnt[927][6]~39868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[927][6]~39868_combout\ = (\led_flash_cnt[927][6]~q\ & (!\led_flash_cnt[927][5]~39867\)) # (!\led_flash_cnt[927][6]~q\ & ((\led_flash_cnt[927][5]~39867\) # (GND)))
-- \led_flash_cnt[927][6]~39869\ = CARRY((!\led_flash_cnt[927][5]~39867\) # (!\led_flash_cnt[927][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[927][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[927][5]~39867\,
	combout => \led_flash_cnt[927][6]~39868_combout\,
	cout => \led_flash_cnt[927][6]~39869\);

-- Location: FF_X19_Y9_N25
\led_flash_cnt[927][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[927][6]~39868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[927][6]~q\);

-- Location: LCCOMB_X19_Y9_N6
\WideAnd927~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd927~1_combout\ = (\led_flash_cnt[927][5]~q\ & \led_flash_cnt[927][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[927][5]~q\,
	datad => \led_flash_cnt[927][6]~q\,
	combout => \WideAnd927~1_combout\);

-- Location: LCCOMB_X19_Y9_N0
\WideAnd927~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd927~0_combout\ = (\led_flash_cnt[927][4]~q\ & (\led_flash_cnt[927][3]~q\ & (\led_flash_cnt[927][1]~q\ & \led_flash_cnt[927][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[927][4]~q\,
	datab => \led_flash_cnt[927][3]~q\,
	datac => \led_flash_cnt[927][1]~q\,
	datad => \led_flash_cnt[927][2]~q\,
	combout => \WideAnd927~0_combout\);

-- Location: LCCOMB_X19_Y9_N26
\led_flash_cnt[927][7]~39870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[927][7]~39870_combout\ = \led_flash_cnt[927][7]~q\ $ (!\led_flash_cnt[927][6]~39869\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[927][7]~q\,
	cin => \led_flash_cnt[927][6]~39869\,
	combout => \led_flash_cnt[927][7]~39870_combout\);

-- Location: FF_X19_Y9_N27
\led_flash_cnt[927][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[927][7]~39870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[927][7]~q\);

-- Location: LCCOMB_X19_Y9_N8
WideAnd927 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd927~combout\ = (\WideAnd927~1_combout\ & (\WideAnd927~0_combout\ & (\led_flash_cnt[927][7]~q\ & \led_flash_cnt[927][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd927~1_combout\,
	datab => \WideAnd927~0_combout\,
	datac => \led_flash_cnt[927][7]~q\,
	datad => \led_flash_cnt[927][0]~q\,
	combout => \WideAnd927~combout\);

-- Location: FF_X19_Y9_N9
\led_flash_cnt_ands[927]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd927~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(927));

-- Location: LCCOMB_X24_Y5_N4
\led_flash_cnt[923][0]~81563\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[923][0]~81563_combout\ = !\led_flash_cnt[923][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[923][0]~q\,
	combout => \led_flash_cnt[923][0]~81563_combout\);

-- Location: FF_X24_Y5_N5
\led_flash_cnt[923][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[923][0]~81563_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[923][0]~q\);

-- Location: LCCOMB_X20_Y5_N0
\led_flash_cnt[923][1]~39802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[923][1]~39802_combout\ = (\led_flash_cnt[923][0]~q\ & (\led_flash_cnt[923][1]~q\ $ (VCC))) # (!\led_flash_cnt[923][0]~q\ & (\led_flash_cnt[923][1]~q\ & VCC))
-- \led_flash_cnt[923][1]~39803\ = CARRY((\led_flash_cnt[923][0]~q\ & \led_flash_cnt[923][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[923][0]~q\,
	datab => \led_flash_cnt[923][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[923][1]~39802_combout\,
	cout => \led_flash_cnt[923][1]~39803\);

-- Location: FF_X20_Y5_N1
\led_flash_cnt[923][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[923][1]~39802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[923][1]~q\);

-- Location: LCCOMB_X20_Y5_N2
\led_flash_cnt[923][2]~39804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[923][2]~39804_combout\ = (\led_flash_cnt[923][2]~q\ & (!\led_flash_cnt[923][1]~39803\)) # (!\led_flash_cnt[923][2]~q\ & ((\led_flash_cnt[923][1]~39803\) # (GND)))
-- \led_flash_cnt[923][2]~39805\ = CARRY((!\led_flash_cnt[923][1]~39803\) # (!\led_flash_cnt[923][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[923][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[923][1]~39803\,
	combout => \led_flash_cnt[923][2]~39804_combout\,
	cout => \led_flash_cnt[923][2]~39805\);

-- Location: FF_X20_Y5_N3
\led_flash_cnt[923][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[923][2]~39804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[923][2]~q\);

-- Location: LCCOMB_X20_Y5_N4
\led_flash_cnt[923][3]~39806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[923][3]~39806_combout\ = (\led_flash_cnt[923][3]~q\ & (\led_flash_cnt[923][2]~39805\ $ (GND))) # (!\led_flash_cnt[923][3]~q\ & (!\led_flash_cnt[923][2]~39805\ & VCC))
-- \led_flash_cnt[923][3]~39807\ = CARRY((\led_flash_cnt[923][3]~q\ & !\led_flash_cnt[923][2]~39805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[923][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[923][2]~39805\,
	combout => \led_flash_cnt[923][3]~39806_combout\,
	cout => \led_flash_cnt[923][3]~39807\);

-- Location: FF_X20_Y5_N5
\led_flash_cnt[923][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[923][3]~39806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[923][3]~q\);

-- Location: LCCOMB_X20_Y5_N6
\led_flash_cnt[923][4]~39808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[923][4]~39808_combout\ = (\led_flash_cnt[923][4]~q\ & (!\led_flash_cnt[923][3]~39807\)) # (!\led_flash_cnt[923][4]~q\ & ((\led_flash_cnt[923][3]~39807\) # (GND)))
-- \led_flash_cnt[923][4]~39809\ = CARRY((!\led_flash_cnt[923][3]~39807\) # (!\led_flash_cnt[923][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[923][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[923][3]~39807\,
	combout => \led_flash_cnt[923][4]~39808_combout\,
	cout => \led_flash_cnt[923][4]~39809\);

-- Location: FF_X20_Y5_N7
\led_flash_cnt[923][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[923][4]~39808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[923][4]~q\);

-- Location: LCCOMB_X20_Y5_N8
\led_flash_cnt[923][5]~39810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[923][5]~39810_combout\ = (\led_flash_cnt[923][5]~q\ & (\led_flash_cnt[923][4]~39809\ $ (GND))) # (!\led_flash_cnt[923][5]~q\ & (!\led_flash_cnt[923][4]~39809\ & VCC))
-- \led_flash_cnt[923][5]~39811\ = CARRY((\led_flash_cnt[923][5]~q\ & !\led_flash_cnt[923][4]~39809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[923][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[923][4]~39809\,
	combout => \led_flash_cnt[923][5]~39810_combout\,
	cout => \led_flash_cnt[923][5]~39811\);

-- Location: FF_X20_Y5_N9
\led_flash_cnt[923][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[923][5]~39810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[923][5]~q\);

-- Location: LCCOMB_X20_Y5_N10
\led_flash_cnt[923][6]~39812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[923][6]~39812_combout\ = (\led_flash_cnt[923][6]~q\ & (!\led_flash_cnt[923][5]~39811\)) # (!\led_flash_cnt[923][6]~q\ & ((\led_flash_cnt[923][5]~39811\) # (GND)))
-- \led_flash_cnt[923][6]~39813\ = CARRY((!\led_flash_cnt[923][5]~39811\) # (!\led_flash_cnt[923][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[923][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[923][5]~39811\,
	combout => \led_flash_cnt[923][6]~39812_combout\,
	cout => \led_flash_cnt[923][6]~39813\);

-- Location: FF_X20_Y5_N11
\led_flash_cnt[923][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[923][6]~39812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[923][6]~q\);

-- Location: LCCOMB_X19_Y5_N26
\WideAnd923~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd923~1_combout\ = (\led_flash_cnt[923][6]~q\ & \led_flash_cnt[923][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[923][6]~q\,
	datac => \led_flash_cnt[923][5]~q\,
	combout => \WideAnd923~1_combout\);

-- Location: LCCOMB_X20_Y5_N12
\led_flash_cnt[923][7]~39814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[923][7]~39814_combout\ = \led_flash_cnt[923][6]~39813\ $ (!\led_flash_cnt[923][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[923][7]~q\,
	cin => \led_flash_cnt[923][6]~39813\,
	combout => \led_flash_cnt[923][7]~39814_combout\);

-- Location: FF_X20_Y5_N13
\led_flash_cnt[923][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[923][7]~39814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[923][7]~q\);

-- Location: LCCOMB_X20_Y5_N30
\WideAnd923~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd923~0_combout\ = (\led_flash_cnt[923][4]~q\ & (\led_flash_cnt[923][2]~q\ & (\led_flash_cnt[923][3]~q\ & \led_flash_cnt[923][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[923][4]~q\,
	datab => \led_flash_cnt[923][2]~q\,
	datac => \led_flash_cnt[923][3]~q\,
	datad => \led_flash_cnt[923][1]~q\,
	combout => \WideAnd923~0_combout\);

-- Location: LCCOMB_X19_Y5_N6
WideAnd923 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd923~combout\ = (\WideAnd923~1_combout\ & (\led_flash_cnt[923][7]~q\ & (\WideAnd923~0_combout\ & \led_flash_cnt[923][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd923~1_combout\,
	datab => \led_flash_cnt[923][7]~q\,
	datac => \WideAnd923~0_combout\,
	datad => \led_flash_cnt[923][0]~q\,
	combout => \WideAnd923~combout\);

-- Location: FF_X19_Y5_N7
\led_flash_cnt_ands[923]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd923~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(923));

-- Location: LCCOMB_X20_Y9_N2
\led_flash_cnt[922][0]~81562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[922][0]~81562_combout\ = !\led_flash_cnt[922][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[922][0]~q\,
	combout => \led_flash_cnt[922][0]~81562_combout\);

-- Location: FF_X20_Y9_N3
\led_flash_cnt[922][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[922][0]~81562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[922][0]~q\);

-- Location: LCCOMB_X18_Y5_N14
\led_flash_cnt[922][1]~39788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[922][1]~39788_combout\ = (\led_flash_cnt[922][0]~q\ & (\led_flash_cnt[922][1]~q\ $ (VCC))) # (!\led_flash_cnt[922][0]~q\ & (\led_flash_cnt[922][1]~q\ & VCC))
-- \led_flash_cnt[922][1]~39789\ = CARRY((\led_flash_cnt[922][0]~q\ & \led_flash_cnt[922][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[922][0]~q\,
	datab => \led_flash_cnt[922][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[922][1]~39788_combout\,
	cout => \led_flash_cnt[922][1]~39789\);

-- Location: FF_X18_Y5_N15
\led_flash_cnt[922][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[922][1]~39788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[922][1]~q\);

-- Location: LCCOMB_X18_Y5_N16
\led_flash_cnt[922][2]~39790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[922][2]~39790_combout\ = (\led_flash_cnt[922][2]~q\ & (!\led_flash_cnt[922][1]~39789\)) # (!\led_flash_cnt[922][2]~q\ & ((\led_flash_cnt[922][1]~39789\) # (GND)))
-- \led_flash_cnt[922][2]~39791\ = CARRY((!\led_flash_cnt[922][1]~39789\) # (!\led_flash_cnt[922][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[922][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[922][1]~39789\,
	combout => \led_flash_cnt[922][2]~39790_combout\,
	cout => \led_flash_cnt[922][2]~39791\);

-- Location: FF_X18_Y5_N17
\led_flash_cnt[922][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[922][2]~39790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[922][2]~q\);

-- Location: LCCOMB_X18_Y5_N18
\led_flash_cnt[922][3]~39792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[922][3]~39792_combout\ = (\led_flash_cnt[922][3]~q\ & (\led_flash_cnt[922][2]~39791\ $ (GND))) # (!\led_flash_cnt[922][3]~q\ & (!\led_flash_cnt[922][2]~39791\ & VCC))
-- \led_flash_cnt[922][3]~39793\ = CARRY((\led_flash_cnt[922][3]~q\ & !\led_flash_cnt[922][2]~39791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[922][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[922][2]~39791\,
	combout => \led_flash_cnt[922][3]~39792_combout\,
	cout => \led_flash_cnt[922][3]~39793\);

-- Location: FF_X18_Y5_N19
\led_flash_cnt[922][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[922][3]~39792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[922][3]~q\);

-- Location: LCCOMB_X18_Y5_N20
\led_flash_cnt[922][4]~39794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[922][4]~39794_combout\ = (\led_flash_cnt[922][4]~q\ & (!\led_flash_cnt[922][3]~39793\)) # (!\led_flash_cnt[922][4]~q\ & ((\led_flash_cnt[922][3]~39793\) # (GND)))
-- \led_flash_cnt[922][4]~39795\ = CARRY((!\led_flash_cnt[922][3]~39793\) # (!\led_flash_cnt[922][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[922][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[922][3]~39793\,
	combout => \led_flash_cnt[922][4]~39794_combout\,
	cout => \led_flash_cnt[922][4]~39795\);

-- Location: FF_X18_Y5_N21
\led_flash_cnt[922][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[922][4]~39794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[922][4]~q\);

-- Location: LCCOMB_X18_Y5_N22
\led_flash_cnt[922][5]~39796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[922][5]~39796_combout\ = (\led_flash_cnt[922][5]~q\ & (\led_flash_cnt[922][4]~39795\ $ (GND))) # (!\led_flash_cnt[922][5]~q\ & (!\led_flash_cnt[922][4]~39795\ & VCC))
-- \led_flash_cnt[922][5]~39797\ = CARRY((\led_flash_cnt[922][5]~q\ & !\led_flash_cnt[922][4]~39795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[922][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[922][4]~39795\,
	combout => \led_flash_cnt[922][5]~39796_combout\,
	cout => \led_flash_cnt[922][5]~39797\);

-- Location: FF_X18_Y5_N23
\led_flash_cnt[922][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[922][5]~39796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[922][5]~q\);

-- Location: LCCOMB_X18_Y5_N24
\led_flash_cnt[922][6]~39798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[922][6]~39798_combout\ = (\led_flash_cnt[922][6]~q\ & (!\led_flash_cnt[922][5]~39797\)) # (!\led_flash_cnt[922][6]~q\ & ((\led_flash_cnt[922][5]~39797\) # (GND)))
-- \led_flash_cnt[922][6]~39799\ = CARRY((!\led_flash_cnt[922][5]~39797\) # (!\led_flash_cnt[922][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[922][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[922][5]~39797\,
	combout => \led_flash_cnt[922][6]~39798_combout\,
	cout => \led_flash_cnt[922][6]~39799\);

-- Location: FF_X18_Y5_N25
\led_flash_cnt[922][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[922][6]~39798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[922][6]~q\);

-- Location: LCCOMB_X19_Y5_N24
\WideAnd922~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd922~1_combout\ = (\led_flash_cnt[922][6]~q\ & \led_flash_cnt[922][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[922][6]~q\,
	datad => \led_flash_cnt[922][5]~q\,
	combout => \WideAnd922~1_combout\);

-- Location: LCCOMB_X18_Y5_N26
\led_flash_cnt[922][7]~39800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[922][7]~39800_combout\ = \led_flash_cnt[922][7]~q\ $ (!\led_flash_cnt[922][6]~39799\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[922][7]~q\,
	cin => \led_flash_cnt[922][6]~39799\,
	combout => \led_flash_cnt[922][7]~39800_combout\);

-- Location: FF_X18_Y5_N27
\led_flash_cnt[922][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[922][7]~39800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[922][7]~q\);

-- Location: LCCOMB_X18_Y5_N30
\WideAnd922~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd922~0_combout\ = (\led_flash_cnt[922][2]~q\ & (\led_flash_cnt[922][3]~q\ & (\led_flash_cnt[922][1]~q\ & \led_flash_cnt[922][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[922][2]~q\,
	datab => \led_flash_cnt[922][3]~q\,
	datac => \led_flash_cnt[922][1]~q\,
	datad => \led_flash_cnt[922][4]~q\,
	combout => \WideAnd922~0_combout\);

-- Location: LCCOMB_X19_Y5_N28
WideAnd922 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd922~combout\ = (\WideAnd922~1_combout\ & (\led_flash_cnt[922][0]~q\ & (\led_flash_cnt[922][7]~q\ & \WideAnd922~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd922~1_combout\,
	datab => \led_flash_cnt[922][0]~q\,
	datac => \led_flash_cnt[922][7]~q\,
	datad => \WideAnd922~0_combout\,
	combout => \WideAnd922~combout\);

-- Location: FF_X19_Y5_N29
\led_flash_cnt_ands[922]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd922~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(922));

-- Location: LCCOMB_X13_Y2_N30
\led_flash_cnt[921][0]~81561\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[921][0]~81561_combout\ = !\led_flash_cnt[921][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[921][0]~q\,
	combout => \led_flash_cnt[921][0]~81561_combout\);

-- Location: FF_X13_Y2_N31
\led_flash_cnt[921][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[921][0]~81561_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[921][0]~q\);

-- Location: LCCOMB_X12_Y2_N0
\led_flash_cnt[921][1]~39774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[921][1]~39774_combout\ = (\led_flash_cnt[921][0]~q\ & (\led_flash_cnt[921][1]~q\ $ (VCC))) # (!\led_flash_cnt[921][0]~q\ & (\led_flash_cnt[921][1]~q\ & VCC))
-- \led_flash_cnt[921][1]~39775\ = CARRY((\led_flash_cnt[921][0]~q\ & \led_flash_cnt[921][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[921][0]~q\,
	datab => \led_flash_cnt[921][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[921][1]~39774_combout\,
	cout => \led_flash_cnt[921][1]~39775\);

-- Location: FF_X12_Y2_N1
\led_flash_cnt[921][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[921][1]~39774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[921][1]~q\);

-- Location: LCCOMB_X12_Y2_N2
\led_flash_cnt[921][2]~39776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[921][2]~39776_combout\ = (\led_flash_cnt[921][2]~q\ & (!\led_flash_cnt[921][1]~39775\)) # (!\led_flash_cnt[921][2]~q\ & ((\led_flash_cnt[921][1]~39775\) # (GND)))
-- \led_flash_cnt[921][2]~39777\ = CARRY((!\led_flash_cnt[921][1]~39775\) # (!\led_flash_cnt[921][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[921][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[921][1]~39775\,
	combout => \led_flash_cnt[921][2]~39776_combout\,
	cout => \led_flash_cnt[921][2]~39777\);

-- Location: FF_X12_Y2_N3
\led_flash_cnt[921][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[921][2]~39776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[921][2]~q\);

-- Location: LCCOMB_X12_Y2_N4
\led_flash_cnt[921][3]~39778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[921][3]~39778_combout\ = (\led_flash_cnt[921][3]~q\ & (\led_flash_cnt[921][2]~39777\ $ (GND))) # (!\led_flash_cnt[921][3]~q\ & (!\led_flash_cnt[921][2]~39777\ & VCC))
-- \led_flash_cnt[921][3]~39779\ = CARRY((\led_flash_cnt[921][3]~q\ & !\led_flash_cnt[921][2]~39777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[921][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[921][2]~39777\,
	combout => \led_flash_cnt[921][3]~39778_combout\,
	cout => \led_flash_cnt[921][3]~39779\);

-- Location: FF_X12_Y2_N5
\led_flash_cnt[921][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[921][3]~39778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[921][3]~q\);

-- Location: LCCOMB_X12_Y2_N6
\led_flash_cnt[921][4]~39780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[921][4]~39780_combout\ = (\led_flash_cnt[921][4]~q\ & (!\led_flash_cnt[921][3]~39779\)) # (!\led_flash_cnt[921][4]~q\ & ((\led_flash_cnt[921][3]~39779\) # (GND)))
-- \led_flash_cnt[921][4]~39781\ = CARRY((!\led_flash_cnt[921][3]~39779\) # (!\led_flash_cnt[921][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[921][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[921][3]~39779\,
	combout => \led_flash_cnt[921][4]~39780_combout\,
	cout => \led_flash_cnt[921][4]~39781\);

-- Location: FF_X12_Y2_N7
\led_flash_cnt[921][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[921][4]~39780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[921][4]~q\);

-- Location: LCCOMB_X12_Y2_N8
\led_flash_cnt[921][5]~39782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[921][5]~39782_combout\ = (\led_flash_cnt[921][5]~q\ & (\led_flash_cnt[921][4]~39781\ $ (GND))) # (!\led_flash_cnt[921][5]~q\ & (!\led_flash_cnt[921][4]~39781\ & VCC))
-- \led_flash_cnt[921][5]~39783\ = CARRY((\led_flash_cnt[921][5]~q\ & !\led_flash_cnt[921][4]~39781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[921][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[921][4]~39781\,
	combout => \led_flash_cnt[921][5]~39782_combout\,
	cout => \led_flash_cnt[921][5]~39783\);

-- Location: FF_X12_Y2_N9
\led_flash_cnt[921][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[921][5]~39782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[921][5]~q\);

-- Location: LCCOMB_X12_Y2_N10
\led_flash_cnt[921][6]~39784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[921][6]~39784_combout\ = (\led_flash_cnt[921][6]~q\ & (!\led_flash_cnt[921][5]~39783\)) # (!\led_flash_cnt[921][6]~q\ & ((\led_flash_cnt[921][5]~39783\) # (GND)))
-- \led_flash_cnt[921][6]~39785\ = CARRY((!\led_flash_cnt[921][5]~39783\) # (!\led_flash_cnt[921][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[921][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[921][5]~39783\,
	combout => \led_flash_cnt[921][6]~39784_combout\,
	cout => \led_flash_cnt[921][6]~39785\);

-- Location: FF_X12_Y2_N11
\led_flash_cnt[921][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[921][6]~39784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[921][6]~q\);

-- Location: LCCOMB_X12_Y2_N12
\led_flash_cnt[921][7]~39786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[921][7]~39786_combout\ = \led_flash_cnt[921][6]~39785\ $ (!\led_flash_cnt[921][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[921][7]~q\,
	cin => \led_flash_cnt[921][6]~39785\,
	combout => \led_flash_cnt[921][7]~39786_combout\);

-- Location: FF_X12_Y2_N13
\led_flash_cnt[921][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[921][7]~39786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[921][7]~q\);

-- Location: LCCOMB_X13_Y2_N22
\WideAnd921~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd921~1_combout\ = (\led_flash_cnt[921][5]~q\ & \led_flash_cnt[921][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[921][5]~q\,
	datad => \led_flash_cnt[921][6]~q\,
	combout => \WideAnd921~1_combout\);

-- Location: LCCOMB_X12_Y2_N14
\WideAnd921~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd921~0_combout\ = (\led_flash_cnt[921][4]~q\ & (\led_flash_cnt[921][2]~q\ & (\led_flash_cnt[921][3]~q\ & \led_flash_cnt[921][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[921][4]~q\,
	datab => \led_flash_cnt[921][2]~q\,
	datac => \led_flash_cnt[921][3]~q\,
	datad => \led_flash_cnt[921][1]~q\,
	combout => \WideAnd921~0_combout\);

-- Location: LCCOMB_X13_Y2_N24
WideAnd921 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd921~combout\ = (\led_flash_cnt[921][7]~q\ & (\led_flash_cnt[921][0]~q\ & (\WideAnd921~1_combout\ & \WideAnd921~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[921][7]~q\,
	datab => \led_flash_cnt[921][0]~q\,
	datac => \WideAnd921~1_combout\,
	datad => \WideAnd921~0_combout\,
	combout => \WideAnd921~combout\);

-- Location: FF_X13_Y2_N25
\led_flash_cnt_ands[921]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd921~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(921));

-- Location: LCCOMB_X19_Y9_N12
\led_flash_cnt[920][0]~81560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[920][0]~81560_combout\ = !\led_flash_cnt[920][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[920][0]~q\,
	combout => \led_flash_cnt[920][0]~81560_combout\);

-- Location: FF_X19_Y9_N13
\led_flash_cnt[920][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[920][0]~81560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[920][0]~q\);

-- Location: LCCOMB_X18_Y9_N2
\led_flash_cnt[920][1]~39760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[920][1]~39760_combout\ = (\led_flash_cnt[920][0]~q\ & (\led_flash_cnt[920][1]~q\ $ (VCC))) # (!\led_flash_cnt[920][0]~q\ & (\led_flash_cnt[920][1]~q\ & VCC))
-- \led_flash_cnt[920][1]~39761\ = CARRY((\led_flash_cnt[920][0]~q\ & \led_flash_cnt[920][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[920][0]~q\,
	datab => \led_flash_cnt[920][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[920][1]~39760_combout\,
	cout => \led_flash_cnt[920][1]~39761\);

-- Location: FF_X18_Y9_N3
\led_flash_cnt[920][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[920][1]~39760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[920][1]~q\);

-- Location: LCCOMB_X18_Y9_N4
\led_flash_cnt[920][2]~39762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[920][2]~39762_combout\ = (\led_flash_cnt[920][2]~q\ & (!\led_flash_cnt[920][1]~39761\)) # (!\led_flash_cnt[920][2]~q\ & ((\led_flash_cnt[920][1]~39761\) # (GND)))
-- \led_flash_cnt[920][2]~39763\ = CARRY((!\led_flash_cnt[920][1]~39761\) # (!\led_flash_cnt[920][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[920][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[920][1]~39761\,
	combout => \led_flash_cnt[920][2]~39762_combout\,
	cout => \led_flash_cnt[920][2]~39763\);

-- Location: FF_X18_Y9_N5
\led_flash_cnt[920][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[920][2]~39762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[920][2]~q\);

-- Location: LCCOMB_X18_Y9_N6
\led_flash_cnt[920][3]~39764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[920][3]~39764_combout\ = (\led_flash_cnt[920][3]~q\ & (\led_flash_cnt[920][2]~39763\ $ (GND))) # (!\led_flash_cnt[920][3]~q\ & (!\led_flash_cnt[920][2]~39763\ & VCC))
-- \led_flash_cnt[920][3]~39765\ = CARRY((\led_flash_cnt[920][3]~q\ & !\led_flash_cnt[920][2]~39763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[920][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[920][2]~39763\,
	combout => \led_flash_cnt[920][3]~39764_combout\,
	cout => \led_flash_cnt[920][3]~39765\);

-- Location: FF_X18_Y9_N7
\led_flash_cnt[920][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[920][3]~39764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[920][3]~q\);

-- Location: LCCOMB_X18_Y9_N8
\led_flash_cnt[920][4]~39766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[920][4]~39766_combout\ = (\led_flash_cnt[920][4]~q\ & (!\led_flash_cnt[920][3]~39765\)) # (!\led_flash_cnt[920][4]~q\ & ((\led_flash_cnt[920][3]~39765\) # (GND)))
-- \led_flash_cnt[920][4]~39767\ = CARRY((!\led_flash_cnt[920][3]~39765\) # (!\led_flash_cnt[920][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[920][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[920][3]~39765\,
	combout => \led_flash_cnt[920][4]~39766_combout\,
	cout => \led_flash_cnt[920][4]~39767\);

-- Location: FF_X18_Y9_N9
\led_flash_cnt[920][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[920][4]~39766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[920][4]~q\);

-- Location: LCCOMB_X18_Y9_N10
\led_flash_cnt[920][5]~39768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[920][5]~39768_combout\ = (\led_flash_cnt[920][5]~q\ & (\led_flash_cnt[920][4]~39767\ $ (GND))) # (!\led_flash_cnt[920][5]~q\ & (!\led_flash_cnt[920][4]~39767\ & VCC))
-- \led_flash_cnt[920][5]~39769\ = CARRY((\led_flash_cnt[920][5]~q\ & !\led_flash_cnt[920][4]~39767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[920][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[920][4]~39767\,
	combout => \led_flash_cnt[920][5]~39768_combout\,
	cout => \led_flash_cnt[920][5]~39769\);

-- Location: FF_X18_Y9_N11
\led_flash_cnt[920][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[920][5]~39768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[920][5]~q\);

-- Location: LCCOMB_X18_Y9_N12
\led_flash_cnt[920][6]~39770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[920][6]~39770_combout\ = (\led_flash_cnt[920][6]~q\ & (!\led_flash_cnt[920][5]~39769\)) # (!\led_flash_cnt[920][6]~q\ & ((\led_flash_cnt[920][5]~39769\) # (GND)))
-- \led_flash_cnt[920][6]~39771\ = CARRY((!\led_flash_cnt[920][5]~39769\) # (!\led_flash_cnt[920][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[920][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[920][5]~39769\,
	combout => \led_flash_cnt[920][6]~39770_combout\,
	cout => \led_flash_cnt[920][6]~39771\);

-- Location: FF_X18_Y9_N13
\led_flash_cnt[920][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[920][6]~39770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[920][6]~q\);

-- Location: LCCOMB_X18_Y9_N14
\led_flash_cnt[920][7]~39772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[920][7]~39772_combout\ = \led_flash_cnt[920][7]~q\ $ (!\led_flash_cnt[920][6]~39771\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[920][7]~q\,
	cin => \led_flash_cnt[920][6]~39771\,
	combout => \led_flash_cnt[920][7]~39772_combout\);

-- Location: FF_X18_Y9_N15
\led_flash_cnt[920][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[920][7]~39772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[920][7]~q\);

-- Location: LCCOMB_X19_Y9_N28
\WideAnd920~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd920~1_combout\ = (\led_flash_cnt[920][6]~q\ & \led_flash_cnt[920][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[920][6]~q\,
	datad => \led_flash_cnt[920][5]~q\,
	combout => \WideAnd920~1_combout\);

-- Location: LCCOMB_X18_Y9_N16
\WideAnd920~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd920~0_combout\ = (\led_flash_cnt[920][3]~q\ & (\led_flash_cnt[920][4]~q\ & (\led_flash_cnt[920][2]~q\ & \led_flash_cnt[920][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[920][3]~q\,
	datab => \led_flash_cnt[920][4]~q\,
	datac => \led_flash_cnt[920][2]~q\,
	datad => \led_flash_cnt[920][1]~q\,
	combout => \WideAnd920~0_combout\);

-- Location: LCCOMB_X19_Y9_N4
WideAnd920 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd920~combout\ = (\led_flash_cnt[920][7]~q\ & (\WideAnd920~1_combout\ & (\WideAnd920~0_combout\ & \led_flash_cnt[920][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[920][7]~q\,
	datab => \WideAnd920~1_combout\,
	datac => \WideAnd920~0_combout\,
	datad => \led_flash_cnt[920][0]~q\,
	combout => \WideAnd920~combout\);

-- Location: FF_X19_Y9_N5
\led_flash_cnt_ands[920]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd920~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(920));

-- Location: LCCOMB_X19_Y5_N22
\WideAnd3955~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3955~0_combout\ = (led_flash_cnt_ands(923) & (led_flash_cnt_ands(922) & (led_flash_cnt_ands(921) & led_flash_cnt_ands(920))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(923),
	datab => led_flash_cnt_ands(922),
	datac => led_flash_cnt_ands(921),
	datad => led_flash_cnt_ands(920),
	combout => \WideAnd3955~0_combout\);

-- Location: LCCOMB_X15_Y9_N6
WideAnd3955 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3955~combout\ = (led_flash_cnt_ands(926) & (\WideAnd3955~1_combout\ & (led_flash_cnt_ands(927) & \WideAnd3955~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(926),
	datab => \WideAnd3955~1_combout\,
	datac => led_flash_cnt_ands(927),
	datad => \WideAnd3955~0_combout\,
	combout => \WideAnd3955~combout\);

-- Location: FF_X15_Y9_N7
\led_flash_cnt_ands_1[115]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3955~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(115));

-- Location: LCCOMB_X14_Y6_N0
\WideAnd4334~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4334~0_combout\ = (led_flash_cnt_ands_1(114) & (led_flash_cnt_ands_1(112) & (led_flash_cnt_ands_1(113) & led_flash_cnt_ands_1(115))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(114),
	datab => led_flash_cnt_ands_1(112),
	datac => led_flash_cnt_ands_1(113),
	datad => led_flash_cnt_ands_1(115),
	combout => \WideAnd4334~0_combout\);

-- Location: LCCOMB_X20_Y6_N28
\led_flash_cnt[928][0]~81568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[928][0]~81568_combout\ = !\led_flash_cnt[928][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[928][0]~q\,
	combout => \led_flash_cnt[928][0]~81568_combout\);

-- Location: FF_X20_Y6_N29
\led_flash_cnt[928][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[928][0]~81568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[928][0]~q\);

-- Location: LCCOMB_X19_Y6_N2
\led_flash_cnt[928][1]~39872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[928][1]~39872_combout\ = (\led_flash_cnt[928][1]~q\ & (\led_flash_cnt[928][0]~q\ $ (VCC))) # (!\led_flash_cnt[928][1]~q\ & (\led_flash_cnt[928][0]~q\ & VCC))
-- \led_flash_cnt[928][1]~39873\ = CARRY((\led_flash_cnt[928][1]~q\ & \led_flash_cnt[928][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[928][1]~q\,
	datab => \led_flash_cnt[928][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[928][1]~39872_combout\,
	cout => \led_flash_cnt[928][1]~39873\);

-- Location: FF_X19_Y6_N3
\led_flash_cnt[928][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[928][1]~39872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[928][1]~q\);

-- Location: LCCOMB_X19_Y6_N4
\led_flash_cnt[928][2]~39874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[928][2]~39874_combout\ = (\led_flash_cnt[928][2]~q\ & (!\led_flash_cnt[928][1]~39873\)) # (!\led_flash_cnt[928][2]~q\ & ((\led_flash_cnt[928][1]~39873\) # (GND)))
-- \led_flash_cnt[928][2]~39875\ = CARRY((!\led_flash_cnt[928][1]~39873\) # (!\led_flash_cnt[928][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[928][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[928][1]~39873\,
	combout => \led_flash_cnt[928][2]~39874_combout\,
	cout => \led_flash_cnt[928][2]~39875\);

-- Location: FF_X19_Y6_N5
\led_flash_cnt[928][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[928][2]~39874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[928][2]~q\);

-- Location: LCCOMB_X19_Y6_N6
\led_flash_cnt[928][3]~39876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[928][3]~39876_combout\ = (\led_flash_cnt[928][3]~q\ & (\led_flash_cnt[928][2]~39875\ $ (GND))) # (!\led_flash_cnt[928][3]~q\ & (!\led_flash_cnt[928][2]~39875\ & VCC))
-- \led_flash_cnt[928][3]~39877\ = CARRY((\led_flash_cnt[928][3]~q\ & !\led_flash_cnt[928][2]~39875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[928][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[928][2]~39875\,
	combout => \led_flash_cnt[928][3]~39876_combout\,
	cout => \led_flash_cnt[928][3]~39877\);

-- Location: FF_X19_Y6_N7
\led_flash_cnt[928][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[928][3]~39876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[928][3]~q\);

-- Location: LCCOMB_X19_Y6_N8
\led_flash_cnt[928][4]~39878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[928][4]~39878_combout\ = (\led_flash_cnt[928][4]~q\ & (!\led_flash_cnt[928][3]~39877\)) # (!\led_flash_cnt[928][4]~q\ & ((\led_flash_cnt[928][3]~39877\) # (GND)))
-- \led_flash_cnt[928][4]~39879\ = CARRY((!\led_flash_cnt[928][3]~39877\) # (!\led_flash_cnt[928][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[928][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[928][3]~39877\,
	combout => \led_flash_cnt[928][4]~39878_combout\,
	cout => \led_flash_cnt[928][4]~39879\);

-- Location: FF_X19_Y6_N9
\led_flash_cnt[928][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[928][4]~39878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[928][4]~q\);

-- Location: LCCOMB_X19_Y6_N10
\led_flash_cnt[928][5]~39880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[928][5]~39880_combout\ = (\led_flash_cnt[928][5]~q\ & (\led_flash_cnt[928][4]~39879\ $ (GND))) # (!\led_flash_cnt[928][5]~q\ & (!\led_flash_cnt[928][4]~39879\ & VCC))
-- \led_flash_cnt[928][5]~39881\ = CARRY((\led_flash_cnt[928][5]~q\ & !\led_flash_cnt[928][4]~39879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[928][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[928][4]~39879\,
	combout => \led_flash_cnt[928][5]~39880_combout\,
	cout => \led_flash_cnt[928][5]~39881\);

-- Location: FF_X19_Y6_N11
\led_flash_cnt[928][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[928][5]~39880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[928][5]~q\);

-- Location: LCCOMB_X19_Y6_N12
\led_flash_cnt[928][6]~39882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[928][6]~39882_combout\ = (\led_flash_cnt[928][6]~q\ & (!\led_flash_cnt[928][5]~39881\)) # (!\led_flash_cnt[928][6]~q\ & ((\led_flash_cnt[928][5]~39881\) # (GND)))
-- \led_flash_cnt[928][6]~39883\ = CARRY((!\led_flash_cnt[928][5]~39881\) # (!\led_flash_cnt[928][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[928][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[928][5]~39881\,
	combout => \led_flash_cnt[928][6]~39882_combout\,
	cout => \led_flash_cnt[928][6]~39883\);

-- Location: FF_X19_Y6_N13
\led_flash_cnt[928][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[928][6]~39882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[928][6]~q\);

-- Location: LCCOMB_X18_Y6_N14
\WideAnd928~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd928~1_combout\ = (\led_flash_cnt[928][6]~q\ & \led_flash_cnt[928][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[928][6]~q\,
	datac => \led_flash_cnt[928][5]~q\,
	combout => \WideAnd928~1_combout\);

-- Location: LCCOMB_X19_Y6_N0
\WideAnd928~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd928~0_combout\ = (\led_flash_cnt[928][1]~q\ & (\led_flash_cnt[928][4]~q\ & (\led_flash_cnt[928][2]~q\ & \led_flash_cnt[928][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[928][1]~q\,
	datab => \led_flash_cnt[928][4]~q\,
	datac => \led_flash_cnt[928][2]~q\,
	datad => \led_flash_cnt[928][3]~q\,
	combout => \WideAnd928~0_combout\);

-- Location: LCCOMB_X19_Y6_N14
\led_flash_cnt[928][7]~39884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[928][7]~39884_combout\ = \led_flash_cnt[928][7]~q\ $ (!\led_flash_cnt[928][6]~39883\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[928][7]~q\,
	cin => \led_flash_cnt[928][6]~39883\,
	combout => \led_flash_cnt[928][7]~39884_combout\);

-- Location: FF_X19_Y6_N15
\led_flash_cnt[928][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[928][7]~39884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[928][7]~q\);

-- Location: LCCOMB_X19_Y6_N16
WideAnd928 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd928~combout\ = (\WideAnd928~1_combout\ & (\WideAnd928~0_combout\ & (\led_flash_cnt[928][7]~q\ & \led_flash_cnt[928][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd928~1_combout\,
	datab => \WideAnd928~0_combout\,
	datac => \led_flash_cnt[928][7]~q\,
	datad => \led_flash_cnt[928][0]~q\,
	combout => \WideAnd928~combout\);

-- Location: FF_X19_Y6_N17
\led_flash_cnt_ands[928]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd928~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(928));

-- Location: LCCOMB_X19_Y10_N26
\led_flash_cnt[929][0]~81569\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[929][0]~81569_combout\ = !\led_flash_cnt[929][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[929][0]~q\,
	combout => \led_flash_cnt[929][0]~81569_combout\);

-- Location: FF_X19_Y10_N27
\led_flash_cnt[929][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[929][0]~81569_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[929][0]~q\);

-- Location: LCCOMB_X20_Y10_N0
\led_flash_cnt[929][1]~39886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[929][1]~39886_combout\ = (\led_flash_cnt[929][0]~q\ & (\led_flash_cnt[929][1]~q\ $ (VCC))) # (!\led_flash_cnt[929][0]~q\ & (\led_flash_cnt[929][1]~q\ & VCC))
-- \led_flash_cnt[929][1]~39887\ = CARRY((\led_flash_cnt[929][0]~q\ & \led_flash_cnt[929][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[929][0]~q\,
	datab => \led_flash_cnt[929][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[929][1]~39886_combout\,
	cout => \led_flash_cnt[929][1]~39887\);

-- Location: FF_X20_Y10_N1
\led_flash_cnt[929][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[929][1]~39886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[929][1]~q\);

-- Location: LCCOMB_X20_Y10_N2
\led_flash_cnt[929][2]~39888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[929][2]~39888_combout\ = (\led_flash_cnt[929][2]~q\ & (!\led_flash_cnt[929][1]~39887\)) # (!\led_flash_cnt[929][2]~q\ & ((\led_flash_cnt[929][1]~39887\) # (GND)))
-- \led_flash_cnt[929][2]~39889\ = CARRY((!\led_flash_cnt[929][1]~39887\) # (!\led_flash_cnt[929][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[929][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[929][1]~39887\,
	combout => \led_flash_cnt[929][2]~39888_combout\,
	cout => \led_flash_cnt[929][2]~39889\);

-- Location: FF_X20_Y10_N3
\led_flash_cnt[929][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[929][2]~39888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[929][2]~q\);

-- Location: LCCOMB_X20_Y10_N4
\led_flash_cnt[929][3]~39890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[929][3]~39890_combout\ = (\led_flash_cnt[929][3]~q\ & (\led_flash_cnt[929][2]~39889\ $ (GND))) # (!\led_flash_cnt[929][3]~q\ & (!\led_flash_cnt[929][2]~39889\ & VCC))
-- \led_flash_cnt[929][3]~39891\ = CARRY((\led_flash_cnt[929][3]~q\ & !\led_flash_cnt[929][2]~39889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[929][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[929][2]~39889\,
	combout => \led_flash_cnt[929][3]~39890_combout\,
	cout => \led_flash_cnt[929][3]~39891\);

-- Location: FF_X20_Y10_N5
\led_flash_cnt[929][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[929][3]~39890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[929][3]~q\);

-- Location: LCCOMB_X20_Y10_N6
\led_flash_cnt[929][4]~39892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[929][4]~39892_combout\ = (\led_flash_cnt[929][4]~q\ & (!\led_flash_cnt[929][3]~39891\)) # (!\led_flash_cnt[929][4]~q\ & ((\led_flash_cnt[929][3]~39891\) # (GND)))
-- \led_flash_cnt[929][4]~39893\ = CARRY((!\led_flash_cnt[929][3]~39891\) # (!\led_flash_cnt[929][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[929][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[929][3]~39891\,
	combout => \led_flash_cnt[929][4]~39892_combout\,
	cout => \led_flash_cnt[929][4]~39893\);

-- Location: FF_X20_Y10_N7
\led_flash_cnt[929][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[929][4]~39892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[929][4]~q\);

-- Location: LCCOMB_X20_Y10_N8
\led_flash_cnt[929][5]~39894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[929][5]~39894_combout\ = (\led_flash_cnt[929][5]~q\ & (\led_flash_cnt[929][4]~39893\ $ (GND))) # (!\led_flash_cnt[929][5]~q\ & (!\led_flash_cnt[929][4]~39893\ & VCC))
-- \led_flash_cnt[929][5]~39895\ = CARRY((\led_flash_cnt[929][5]~q\ & !\led_flash_cnt[929][4]~39893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[929][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[929][4]~39893\,
	combout => \led_flash_cnt[929][5]~39894_combout\,
	cout => \led_flash_cnt[929][5]~39895\);

-- Location: FF_X20_Y10_N9
\led_flash_cnt[929][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[929][5]~39894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[929][5]~q\);

-- Location: LCCOMB_X20_Y10_N10
\led_flash_cnt[929][6]~39896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[929][6]~39896_combout\ = (\led_flash_cnt[929][6]~q\ & (!\led_flash_cnt[929][5]~39895\)) # (!\led_flash_cnt[929][6]~q\ & ((\led_flash_cnt[929][5]~39895\) # (GND)))
-- \led_flash_cnt[929][6]~39897\ = CARRY((!\led_flash_cnt[929][5]~39895\) # (!\led_flash_cnt[929][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[929][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[929][5]~39895\,
	combout => \led_flash_cnt[929][6]~39896_combout\,
	cout => \led_flash_cnt[929][6]~39897\);

-- Location: FF_X20_Y10_N11
\led_flash_cnt[929][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[929][6]~39896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[929][6]~q\);

-- Location: LCCOMB_X19_Y10_N22
\WideAnd929~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd929~1_combout\ = (\led_flash_cnt[929][6]~q\ & \led_flash_cnt[929][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[929][6]~q\,
	datac => \led_flash_cnt[929][5]~q\,
	combout => \WideAnd929~1_combout\);

-- Location: LCCOMB_X20_Y10_N12
\led_flash_cnt[929][7]~39898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[929][7]~39898_combout\ = \led_flash_cnt[929][6]~39897\ $ (!\led_flash_cnt[929][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[929][7]~q\,
	cin => \led_flash_cnt[929][6]~39897\,
	combout => \led_flash_cnt[929][7]~39898_combout\);

-- Location: FF_X20_Y10_N13
\led_flash_cnt[929][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[929][7]~39898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[929][7]~q\);

-- Location: LCCOMB_X20_Y10_N30
\WideAnd929~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd929~0_combout\ = (\led_flash_cnt[929][4]~q\ & (\led_flash_cnt[929][1]~q\ & (\led_flash_cnt[929][3]~q\ & \led_flash_cnt[929][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[929][4]~q\,
	datab => \led_flash_cnt[929][1]~q\,
	datac => \led_flash_cnt[929][3]~q\,
	datad => \led_flash_cnt[929][2]~q\,
	combout => \WideAnd929~0_combout\);

-- Location: LCCOMB_X19_Y10_N28
WideAnd929 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd929~combout\ = (\WideAnd929~1_combout\ & (\led_flash_cnt[929][7]~q\ & (\WideAnd929~0_combout\ & \led_flash_cnt[929][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd929~1_combout\,
	datab => \led_flash_cnt[929][7]~q\,
	datac => \WideAnd929~0_combout\,
	datad => \led_flash_cnt[929][0]~q\,
	combout => \WideAnd929~combout\);

-- Location: FF_X19_Y10_N29
\led_flash_cnt_ands[929]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd929~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(929));

-- Location: LCCOMB_X16_Y5_N2
\led_flash_cnt[930][0]~81570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[930][0]~81570_combout\ = !\led_flash_cnt[930][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[930][0]~q\,
	combout => \led_flash_cnt[930][0]~81570_combout\);

-- Location: FF_X16_Y5_N3
\led_flash_cnt[930][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[930][0]~81570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[930][0]~q\);

-- Location: LCCOMB_X15_Y5_N14
\led_flash_cnt[930][1]~39900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[930][1]~39900_combout\ = (\led_flash_cnt[930][0]~q\ & (\led_flash_cnt[930][1]~q\ $ (VCC))) # (!\led_flash_cnt[930][0]~q\ & (\led_flash_cnt[930][1]~q\ & VCC))
-- \led_flash_cnt[930][1]~39901\ = CARRY((\led_flash_cnt[930][0]~q\ & \led_flash_cnt[930][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[930][0]~q\,
	datab => \led_flash_cnt[930][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[930][1]~39900_combout\,
	cout => \led_flash_cnt[930][1]~39901\);

-- Location: FF_X15_Y5_N15
\led_flash_cnt[930][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[930][1]~39900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[930][1]~q\);

-- Location: LCCOMB_X15_Y5_N16
\led_flash_cnt[930][2]~39902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[930][2]~39902_combout\ = (\led_flash_cnt[930][2]~q\ & (!\led_flash_cnt[930][1]~39901\)) # (!\led_flash_cnt[930][2]~q\ & ((\led_flash_cnt[930][1]~39901\) # (GND)))
-- \led_flash_cnt[930][2]~39903\ = CARRY((!\led_flash_cnt[930][1]~39901\) # (!\led_flash_cnt[930][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[930][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[930][1]~39901\,
	combout => \led_flash_cnt[930][2]~39902_combout\,
	cout => \led_flash_cnt[930][2]~39903\);

-- Location: FF_X15_Y5_N17
\led_flash_cnt[930][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[930][2]~39902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[930][2]~q\);

-- Location: LCCOMB_X15_Y5_N18
\led_flash_cnt[930][3]~39904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[930][3]~39904_combout\ = (\led_flash_cnt[930][3]~q\ & (\led_flash_cnt[930][2]~39903\ $ (GND))) # (!\led_flash_cnt[930][3]~q\ & (!\led_flash_cnt[930][2]~39903\ & VCC))
-- \led_flash_cnt[930][3]~39905\ = CARRY((\led_flash_cnt[930][3]~q\ & !\led_flash_cnt[930][2]~39903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[930][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[930][2]~39903\,
	combout => \led_flash_cnt[930][3]~39904_combout\,
	cout => \led_flash_cnt[930][3]~39905\);

-- Location: FF_X15_Y5_N19
\led_flash_cnt[930][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[930][3]~39904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[930][3]~q\);

-- Location: LCCOMB_X15_Y5_N20
\led_flash_cnt[930][4]~39906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[930][4]~39906_combout\ = (\led_flash_cnt[930][4]~q\ & (!\led_flash_cnt[930][3]~39905\)) # (!\led_flash_cnt[930][4]~q\ & ((\led_flash_cnt[930][3]~39905\) # (GND)))
-- \led_flash_cnt[930][4]~39907\ = CARRY((!\led_flash_cnt[930][3]~39905\) # (!\led_flash_cnt[930][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[930][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[930][3]~39905\,
	combout => \led_flash_cnt[930][4]~39906_combout\,
	cout => \led_flash_cnt[930][4]~39907\);

-- Location: FF_X15_Y5_N21
\led_flash_cnt[930][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[930][4]~39906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[930][4]~q\);

-- Location: LCCOMB_X15_Y5_N22
\led_flash_cnt[930][5]~39908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[930][5]~39908_combout\ = (\led_flash_cnt[930][5]~q\ & (\led_flash_cnt[930][4]~39907\ $ (GND))) # (!\led_flash_cnt[930][5]~q\ & (!\led_flash_cnt[930][4]~39907\ & VCC))
-- \led_flash_cnt[930][5]~39909\ = CARRY((\led_flash_cnt[930][5]~q\ & !\led_flash_cnt[930][4]~39907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[930][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[930][4]~39907\,
	combout => \led_flash_cnt[930][5]~39908_combout\,
	cout => \led_flash_cnt[930][5]~39909\);

-- Location: FF_X15_Y5_N23
\led_flash_cnt[930][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[930][5]~39908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[930][5]~q\);

-- Location: LCCOMB_X15_Y5_N24
\led_flash_cnt[930][6]~39910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[930][6]~39910_combout\ = (\led_flash_cnt[930][6]~q\ & (!\led_flash_cnt[930][5]~39909\)) # (!\led_flash_cnt[930][6]~q\ & ((\led_flash_cnt[930][5]~39909\) # (GND)))
-- \led_flash_cnt[930][6]~39911\ = CARRY((!\led_flash_cnt[930][5]~39909\) # (!\led_flash_cnt[930][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[930][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[930][5]~39909\,
	combout => \led_flash_cnt[930][6]~39910_combout\,
	cout => \led_flash_cnt[930][6]~39911\);

-- Location: FF_X15_Y5_N25
\led_flash_cnt[930][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[930][6]~39910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[930][6]~q\);

-- Location: LCCOMB_X16_Y5_N26
\WideAnd930~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd930~1_combout\ = (\led_flash_cnt[930][6]~q\ & \led_flash_cnt[930][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[930][6]~q\,
	datad => \led_flash_cnt[930][5]~q\,
	combout => \WideAnd930~1_combout\);

-- Location: LCCOMB_X15_Y5_N30
\WideAnd930~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd930~0_combout\ = (\led_flash_cnt[930][3]~q\ & (\led_flash_cnt[930][2]~q\ & (\led_flash_cnt[930][1]~q\ & \led_flash_cnt[930][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[930][3]~q\,
	datab => \led_flash_cnt[930][2]~q\,
	datac => \led_flash_cnt[930][1]~q\,
	datad => \led_flash_cnt[930][4]~q\,
	combout => \WideAnd930~0_combout\);

-- Location: LCCOMB_X15_Y5_N26
\led_flash_cnt[930][7]~39912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[930][7]~39912_combout\ = \led_flash_cnt[930][7]~q\ $ (!\led_flash_cnt[930][6]~39911\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[930][7]~q\,
	cin => \led_flash_cnt[930][6]~39911\,
	combout => \led_flash_cnt[930][7]~39912_combout\);

-- Location: FF_X15_Y5_N27
\led_flash_cnt[930][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[930][7]~39912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[930][7]~q\);

-- Location: LCCOMB_X16_Y5_N0
WideAnd930 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd930~combout\ = (\WideAnd930~1_combout\ & (\WideAnd930~0_combout\ & (\led_flash_cnt[930][7]~q\ & \led_flash_cnt[930][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd930~1_combout\,
	datab => \WideAnd930~0_combout\,
	datac => \led_flash_cnt[930][7]~q\,
	datad => \led_flash_cnt[930][0]~q\,
	combout => \WideAnd930~combout\);

-- Location: FF_X16_Y5_N1
\led_flash_cnt_ands[930]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd930~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(930));

-- Location: LCCOMB_X19_Y9_N30
\led_flash_cnt[931][0]~81571\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[931][0]~81571_combout\ = !\led_flash_cnt[931][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[931][0]~q\,
	combout => \led_flash_cnt[931][0]~81571_combout\);

-- Location: FF_X19_Y9_N31
\led_flash_cnt[931][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[931][0]~81571_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[931][0]~q\);

-- Location: LCCOMB_X20_Y8_N0
\led_flash_cnt[931][1]~39914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[931][1]~39914_combout\ = (\led_flash_cnt[931][0]~q\ & (\led_flash_cnt[931][1]~q\ $ (VCC))) # (!\led_flash_cnt[931][0]~q\ & (\led_flash_cnt[931][1]~q\ & VCC))
-- \led_flash_cnt[931][1]~39915\ = CARRY((\led_flash_cnt[931][0]~q\ & \led_flash_cnt[931][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[931][0]~q\,
	datab => \led_flash_cnt[931][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[931][1]~39914_combout\,
	cout => \led_flash_cnt[931][1]~39915\);

-- Location: FF_X20_Y8_N1
\led_flash_cnt[931][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[931][1]~39914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[931][1]~q\);

-- Location: LCCOMB_X20_Y8_N2
\led_flash_cnt[931][2]~39916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[931][2]~39916_combout\ = (\led_flash_cnt[931][2]~q\ & (!\led_flash_cnt[931][1]~39915\)) # (!\led_flash_cnt[931][2]~q\ & ((\led_flash_cnt[931][1]~39915\) # (GND)))
-- \led_flash_cnt[931][2]~39917\ = CARRY((!\led_flash_cnt[931][1]~39915\) # (!\led_flash_cnt[931][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[931][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[931][1]~39915\,
	combout => \led_flash_cnt[931][2]~39916_combout\,
	cout => \led_flash_cnt[931][2]~39917\);

-- Location: FF_X20_Y8_N3
\led_flash_cnt[931][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[931][2]~39916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[931][2]~q\);

-- Location: LCCOMB_X20_Y8_N4
\led_flash_cnt[931][3]~39918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[931][3]~39918_combout\ = (\led_flash_cnt[931][3]~q\ & (\led_flash_cnt[931][2]~39917\ $ (GND))) # (!\led_flash_cnt[931][3]~q\ & (!\led_flash_cnt[931][2]~39917\ & VCC))
-- \led_flash_cnt[931][3]~39919\ = CARRY((\led_flash_cnt[931][3]~q\ & !\led_flash_cnt[931][2]~39917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[931][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[931][2]~39917\,
	combout => \led_flash_cnt[931][3]~39918_combout\,
	cout => \led_flash_cnt[931][3]~39919\);

-- Location: FF_X20_Y8_N5
\led_flash_cnt[931][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[931][3]~39918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[931][3]~q\);

-- Location: LCCOMB_X20_Y8_N6
\led_flash_cnt[931][4]~39920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[931][4]~39920_combout\ = (\led_flash_cnt[931][4]~q\ & (!\led_flash_cnt[931][3]~39919\)) # (!\led_flash_cnt[931][4]~q\ & ((\led_flash_cnt[931][3]~39919\) # (GND)))
-- \led_flash_cnt[931][4]~39921\ = CARRY((!\led_flash_cnt[931][3]~39919\) # (!\led_flash_cnt[931][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[931][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[931][3]~39919\,
	combout => \led_flash_cnt[931][4]~39920_combout\,
	cout => \led_flash_cnt[931][4]~39921\);

-- Location: FF_X20_Y8_N7
\led_flash_cnt[931][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[931][4]~39920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[931][4]~q\);

-- Location: LCCOMB_X20_Y8_N30
\WideAnd931~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd931~0_combout\ = (\led_flash_cnt[931][4]~q\ & (\led_flash_cnt[931][2]~q\ & (\led_flash_cnt[931][3]~q\ & \led_flash_cnt[931][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[931][4]~q\,
	datab => \led_flash_cnt[931][2]~q\,
	datac => \led_flash_cnt[931][3]~q\,
	datad => \led_flash_cnt[931][1]~q\,
	combout => \WideAnd931~0_combout\);

-- Location: LCCOMB_X20_Y8_N8
\led_flash_cnt[931][5]~39922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[931][5]~39922_combout\ = (\led_flash_cnt[931][5]~q\ & (\led_flash_cnt[931][4]~39921\ $ (GND))) # (!\led_flash_cnt[931][5]~q\ & (!\led_flash_cnt[931][4]~39921\ & VCC))
-- \led_flash_cnt[931][5]~39923\ = CARRY((\led_flash_cnt[931][5]~q\ & !\led_flash_cnt[931][4]~39921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[931][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[931][4]~39921\,
	combout => \led_flash_cnt[931][5]~39922_combout\,
	cout => \led_flash_cnt[931][5]~39923\);

-- Location: FF_X20_Y8_N9
\led_flash_cnt[931][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[931][5]~39922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[931][5]~q\);

-- Location: LCCOMB_X20_Y8_N10
\led_flash_cnt[931][6]~39924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[931][6]~39924_combout\ = (\led_flash_cnt[931][6]~q\ & (!\led_flash_cnt[931][5]~39923\)) # (!\led_flash_cnt[931][6]~q\ & ((\led_flash_cnt[931][5]~39923\) # (GND)))
-- \led_flash_cnt[931][6]~39925\ = CARRY((!\led_flash_cnt[931][5]~39923\) # (!\led_flash_cnt[931][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[931][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[931][5]~39923\,
	combout => \led_flash_cnt[931][6]~39924_combout\,
	cout => \led_flash_cnt[931][6]~39925\);

-- Location: FF_X20_Y8_N11
\led_flash_cnt[931][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[931][6]~39924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[931][6]~q\);

-- Location: LCCOMB_X20_Y8_N12
\led_flash_cnt[931][7]~39926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[931][7]~39926_combout\ = \led_flash_cnt[931][6]~39925\ $ (!\led_flash_cnt[931][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[931][7]~q\,
	cin => \led_flash_cnt[931][6]~39925\,
	combout => \led_flash_cnt[931][7]~39926_combout\);

-- Location: FF_X20_Y8_N13
\led_flash_cnt[931][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[931][7]~39926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[931][7]~q\);

-- Location: LCCOMB_X20_Y6_N18
\WideAnd931~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd931~1_combout\ = (\led_flash_cnt[931][5]~q\ & \led_flash_cnt[931][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[931][5]~q\,
	datad => \led_flash_cnt[931][6]~q\,
	combout => \WideAnd931~1_combout\);

-- Location: LCCOMB_X20_Y6_N20
WideAnd931 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd931~combout\ = (\WideAnd931~0_combout\ & (\led_flash_cnt[931][7]~q\ & (\led_flash_cnt[931][0]~q\ & \WideAnd931~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd931~0_combout\,
	datab => \led_flash_cnt[931][7]~q\,
	datac => \led_flash_cnt[931][0]~q\,
	datad => \WideAnd931~1_combout\,
	combout => \WideAnd931~combout\);

-- Location: FF_X20_Y6_N21
\led_flash_cnt_ands[931]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd931~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(931));

-- Location: LCCOMB_X20_Y6_N30
\WideAnd3956~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3956~0_combout\ = (led_flash_cnt_ands(928) & (led_flash_cnt_ands(929) & (led_flash_cnt_ands(930) & led_flash_cnt_ands(931))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(928),
	datab => led_flash_cnt_ands(929),
	datac => led_flash_cnt_ands(930),
	datad => led_flash_cnt_ands(931),
	combout => \WideAnd3956~0_combout\);

-- Location: LCCOMB_X23_Y8_N2
\led_flash_cnt[935][0]~81575\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[935][0]~81575_combout\ = !\led_flash_cnt[935][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[935][0]~q\,
	combout => \led_flash_cnt[935][0]~81575_combout\);

-- Location: FF_X23_Y8_N3
\led_flash_cnt[935][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[935][0]~81575_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[935][0]~q\);

-- Location: LCCOMB_X22_Y8_N0
\led_flash_cnt[935][1]~39970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[935][1]~39970_combout\ = (\led_flash_cnt[935][0]~q\ & (\led_flash_cnt[935][1]~q\ $ (VCC))) # (!\led_flash_cnt[935][0]~q\ & (\led_flash_cnt[935][1]~q\ & VCC))
-- \led_flash_cnt[935][1]~39971\ = CARRY((\led_flash_cnt[935][0]~q\ & \led_flash_cnt[935][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[935][0]~q\,
	datab => \led_flash_cnt[935][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[935][1]~39970_combout\,
	cout => \led_flash_cnt[935][1]~39971\);

-- Location: FF_X22_Y8_N1
\led_flash_cnt[935][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[935][1]~39970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[935][1]~q\);

-- Location: LCCOMB_X22_Y8_N2
\led_flash_cnt[935][2]~39972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[935][2]~39972_combout\ = (\led_flash_cnt[935][2]~q\ & (!\led_flash_cnt[935][1]~39971\)) # (!\led_flash_cnt[935][2]~q\ & ((\led_flash_cnt[935][1]~39971\) # (GND)))
-- \led_flash_cnt[935][2]~39973\ = CARRY((!\led_flash_cnt[935][1]~39971\) # (!\led_flash_cnt[935][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[935][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[935][1]~39971\,
	combout => \led_flash_cnt[935][2]~39972_combout\,
	cout => \led_flash_cnt[935][2]~39973\);

-- Location: FF_X22_Y8_N3
\led_flash_cnt[935][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[935][2]~39972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[935][2]~q\);

-- Location: LCCOMB_X22_Y8_N4
\led_flash_cnt[935][3]~39974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[935][3]~39974_combout\ = (\led_flash_cnt[935][3]~q\ & (\led_flash_cnt[935][2]~39973\ $ (GND))) # (!\led_flash_cnt[935][3]~q\ & (!\led_flash_cnt[935][2]~39973\ & VCC))
-- \led_flash_cnt[935][3]~39975\ = CARRY((\led_flash_cnt[935][3]~q\ & !\led_flash_cnt[935][2]~39973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[935][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[935][2]~39973\,
	combout => \led_flash_cnt[935][3]~39974_combout\,
	cout => \led_flash_cnt[935][3]~39975\);

-- Location: FF_X22_Y8_N5
\led_flash_cnt[935][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[935][3]~39974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[935][3]~q\);

-- Location: LCCOMB_X22_Y8_N6
\led_flash_cnt[935][4]~39976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[935][4]~39976_combout\ = (\led_flash_cnt[935][4]~q\ & (!\led_flash_cnt[935][3]~39975\)) # (!\led_flash_cnt[935][4]~q\ & ((\led_flash_cnt[935][3]~39975\) # (GND)))
-- \led_flash_cnt[935][4]~39977\ = CARRY((!\led_flash_cnt[935][3]~39975\) # (!\led_flash_cnt[935][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[935][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[935][3]~39975\,
	combout => \led_flash_cnt[935][4]~39976_combout\,
	cout => \led_flash_cnt[935][4]~39977\);

-- Location: FF_X22_Y8_N7
\led_flash_cnt[935][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[935][4]~39976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[935][4]~q\);

-- Location: LCCOMB_X22_Y8_N8
\led_flash_cnt[935][5]~39978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[935][5]~39978_combout\ = (\led_flash_cnt[935][5]~q\ & (\led_flash_cnt[935][4]~39977\ $ (GND))) # (!\led_flash_cnt[935][5]~q\ & (!\led_flash_cnt[935][4]~39977\ & VCC))
-- \led_flash_cnt[935][5]~39979\ = CARRY((\led_flash_cnt[935][5]~q\ & !\led_flash_cnt[935][4]~39977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[935][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[935][4]~39977\,
	combout => \led_flash_cnt[935][5]~39978_combout\,
	cout => \led_flash_cnt[935][5]~39979\);

-- Location: FF_X22_Y8_N9
\led_flash_cnt[935][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[935][5]~39978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[935][5]~q\);

-- Location: LCCOMB_X22_Y8_N10
\led_flash_cnt[935][6]~39980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[935][6]~39980_combout\ = (\led_flash_cnt[935][6]~q\ & (!\led_flash_cnt[935][5]~39979\)) # (!\led_flash_cnt[935][6]~q\ & ((\led_flash_cnt[935][5]~39979\) # (GND)))
-- \led_flash_cnt[935][6]~39981\ = CARRY((!\led_flash_cnt[935][5]~39979\) # (!\led_flash_cnt[935][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[935][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[935][5]~39979\,
	combout => \led_flash_cnt[935][6]~39980_combout\,
	cout => \led_flash_cnt[935][6]~39981\);

-- Location: FF_X22_Y8_N11
\led_flash_cnt[935][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[935][6]~39980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[935][6]~q\);

-- Location: LCCOMB_X22_Y8_N12
\led_flash_cnt[935][7]~39982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[935][7]~39982_combout\ = \led_flash_cnt[935][6]~39981\ $ (!\led_flash_cnt[935][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[935][7]~q\,
	cin => \led_flash_cnt[935][6]~39981\,
	combout => \led_flash_cnt[935][7]~39982_combout\);

-- Location: FF_X22_Y8_N13
\led_flash_cnt[935][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[935][7]~39982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[935][7]~q\);

-- Location: LCCOMB_X23_Y8_N4
\WideAnd935~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd935~1_combout\ = (\led_flash_cnt[935][5]~q\ & \led_flash_cnt[935][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[935][5]~q\,
	datad => \led_flash_cnt[935][6]~q\,
	combout => \WideAnd935~1_combout\);

-- Location: LCCOMB_X22_Y8_N14
\WideAnd935~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd935~0_combout\ = (\led_flash_cnt[935][4]~q\ & (\led_flash_cnt[935][2]~q\ & (\led_flash_cnt[935][3]~q\ & \led_flash_cnt[935][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[935][4]~q\,
	datab => \led_flash_cnt[935][2]~q\,
	datac => \led_flash_cnt[935][3]~q\,
	datad => \led_flash_cnt[935][1]~q\,
	combout => \WideAnd935~0_combout\);

-- Location: LCCOMB_X23_Y8_N30
WideAnd935 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd935~combout\ = (\led_flash_cnt[935][7]~q\ & (\WideAnd935~1_combout\ & (\led_flash_cnt[935][0]~q\ & \WideAnd935~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[935][7]~q\,
	datab => \WideAnd935~1_combout\,
	datac => \led_flash_cnt[935][0]~q\,
	datad => \WideAnd935~0_combout\,
	combout => \WideAnd935~combout\);

-- Location: FF_X23_Y8_N31
\led_flash_cnt_ands[935]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd935~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(935));

-- Location: LCCOMB_X18_Y22_N6
\led_flash_cnt[934][0]~81574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[934][0]~81574_combout\ = !\led_flash_cnt[934][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[934][0]~q\,
	combout => \led_flash_cnt[934][0]~81574_combout\);

-- Location: FF_X18_Y22_N7
\led_flash_cnt[934][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[934][0]~81574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[934][0]~q\);

-- Location: LCCOMB_X19_Y22_N10
\led_flash_cnt[934][1]~39956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[934][1]~39956_combout\ = (\led_flash_cnt[934][1]~q\ & (\led_flash_cnt[934][0]~q\ $ (VCC))) # (!\led_flash_cnt[934][1]~q\ & (\led_flash_cnt[934][0]~q\ & VCC))
-- \led_flash_cnt[934][1]~39957\ = CARRY((\led_flash_cnt[934][1]~q\ & \led_flash_cnt[934][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[934][1]~q\,
	datab => \led_flash_cnt[934][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[934][1]~39956_combout\,
	cout => \led_flash_cnt[934][1]~39957\);

-- Location: FF_X19_Y22_N11
\led_flash_cnt[934][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[934][1]~39956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[934][1]~q\);

-- Location: LCCOMB_X19_Y22_N12
\led_flash_cnt[934][2]~39958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[934][2]~39958_combout\ = (\led_flash_cnt[934][2]~q\ & (!\led_flash_cnt[934][1]~39957\)) # (!\led_flash_cnt[934][2]~q\ & ((\led_flash_cnt[934][1]~39957\) # (GND)))
-- \led_flash_cnt[934][2]~39959\ = CARRY((!\led_flash_cnt[934][1]~39957\) # (!\led_flash_cnt[934][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[934][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[934][1]~39957\,
	combout => \led_flash_cnt[934][2]~39958_combout\,
	cout => \led_flash_cnt[934][2]~39959\);

-- Location: FF_X19_Y22_N13
\led_flash_cnt[934][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[934][2]~39958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[934][2]~q\);

-- Location: LCCOMB_X19_Y22_N14
\led_flash_cnt[934][3]~39960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[934][3]~39960_combout\ = (\led_flash_cnt[934][3]~q\ & (\led_flash_cnt[934][2]~39959\ $ (GND))) # (!\led_flash_cnt[934][3]~q\ & (!\led_flash_cnt[934][2]~39959\ & VCC))
-- \led_flash_cnt[934][3]~39961\ = CARRY((\led_flash_cnt[934][3]~q\ & !\led_flash_cnt[934][2]~39959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[934][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[934][2]~39959\,
	combout => \led_flash_cnt[934][3]~39960_combout\,
	cout => \led_flash_cnt[934][3]~39961\);

-- Location: FF_X19_Y22_N15
\led_flash_cnt[934][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[934][3]~39960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[934][3]~q\);

-- Location: LCCOMB_X19_Y22_N16
\led_flash_cnt[934][4]~39962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[934][4]~39962_combout\ = (\led_flash_cnt[934][4]~q\ & (!\led_flash_cnt[934][3]~39961\)) # (!\led_flash_cnt[934][4]~q\ & ((\led_flash_cnt[934][3]~39961\) # (GND)))
-- \led_flash_cnt[934][4]~39963\ = CARRY((!\led_flash_cnt[934][3]~39961\) # (!\led_flash_cnt[934][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[934][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[934][3]~39961\,
	combout => \led_flash_cnt[934][4]~39962_combout\,
	cout => \led_flash_cnt[934][4]~39963\);

-- Location: FF_X19_Y22_N17
\led_flash_cnt[934][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[934][4]~39962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[934][4]~q\);

-- Location: LCCOMB_X19_Y22_N26
\WideAnd934~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd934~0_combout\ = (\led_flash_cnt[934][2]~q\ & (\led_flash_cnt[934][4]~q\ & (\led_flash_cnt[934][3]~q\ & \led_flash_cnt[934][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[934][2]~q\,
	datab => \led_flash_cnt[934][4]~q\,
	datac => \led_flash_cnt[934][3]~q\,
	datad => \led_flash_cnt[934][1]~q\,
	combout => \WideAnd934~0_combout\);

-- Location: LCCOMB_X19_Y22_N18
\led_flash_cnt[934][5]~39964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[934][5]~39964_combout\ = (\led_flash_cnt[934][5]~q\ & (\led_flash_cnt[934][4]~39963\ $ (GND))) # (!\led_flash_cnt[934][5]~q\ & (!\led_flash_cnt[934][4]~39963\ & VCC))
-- \led_flash_cnt[934][5]~39965\ = CARRY((\led_flash_cnt[934][5]~q\ & !\led_flash_cnt[934][4]~39963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[934][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[934][4]~39963\,
	combout => \led_flash_cnt[934][5]~39964_combout\,
	cout => \led_flash_cnt[934][5]~39965\);

-- Location: FF_X19_Y22_N19
\led_flash_cnt[934][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[934][5]~39964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[934][5]~q\);

-- Location: LCCOMB_X19_Y22_N20
\led_flash_cnt[934][6]~39966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[934][6]~39966_combout\ = (\led_flash_cnt[934][6]~q\ & (!\led_flash_cnt[934][5]~39965\)) # (!\led_flash_cnt[934][6]~q\ & ((\led_flash_cnt[934][5]~39965\) # (GND)))
-- \led_flash_cnt[934][6]~39967\ = CARRY((!\led_flash_cnt[934][5]~39965\) # (!\led_flash_cnt[934][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[934][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[934][5]~39965\,
	combout => \led_flash_cnt[934][6]~39966_combout\,
	cout => \led_flash_cnt[934][6]~39967\);

-- Location: FF_X19_Y22_N21
\led_flash_cnt[934][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[934][6]~39966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[934][6]~q\);

-- Location: LCCOMB_X19_Y22_N22
\led_flash_cnt[934][7]~39968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[934][7]~39968_combout\ = \led_flash_cnt[934][7]~q\ $ (!\led_flash_cnt[934][6]~39967\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[934][7]~q\,
	cin => \led_flash_cnt[934][6]~39967\,
	combout => \led_flash_cnt[934][7]~39968_combout\);

-- Location: FF_X19_Y22_N23
\led_flash_cnt[934][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[934][7]~39968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[934][7]~q\);

-- Location: LCCOMB_X19_Y22_N0
\WideAnd934~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd934~1_combout\ = (\led_flash_cnt[934][6]~q\ & \led_flash_cnt[934][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[934][6]~q\,
	datad => \led_flash_cnt[934][5]~q\,
	combout => \WideAnd934~1_combout\);

-- Location: LCCOMB_X19_Y22_N30
WideAnd934 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd934~combout\ = (\WideAnd934~0_combout\ & (\led_flash_cnt[934][0]~q\ & (\led_flash_cnt[934][7]~q\ & \WideAnd934~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd934~0_combout\,
	datab => \led_flash_cnt[934][0]~q\,
	datac => \led_flash_cnt[934][7]~q\,
	datad => \WideAnd934~1_combout\,
	combout => \WideAnd934~combout\);

-- Location: FF_X19_Y22_N31
\led_flash_cnt_ands[934]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd934~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(934));

-- Location: LCCOMB_X25_Y1_N16
\led_flash_cnt[932][0]~81572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[932][0]~81572_combout\ = !\led_flash_cnt[932][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[932][0]~q\,
	combout => \led_flash_cnt[932][0]~81572_combout\);

-- Location: FF_X25_Y1_N17
\led_flash_cnt[932][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[932][0]~81572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[932][0]~q\);

-- Location: LCCOMB_X25_Y1_N0
\led_flash_cnt[932][1]~39928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[932][1]~39928_combout\ = (\led_flash_cnt[932][0]~q\ & (\led_flash_cnt[932][1]~q\ $ (VCC))) # (!\led_flash_cnt[932][0]~q\ & (\led_flash_cnt[932][1]~q\ & VCC))
-- \led_flash_cnt[932][1]~39929\ = CARRY((\led_flash_cnt[932][0]~q\ & \led_flash_cnt[932][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[932][0]~q\,
	datab => \led_flash_cnt[932][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[932][1]~39928_combout\,
	cout => \led_flash_cnt[932][1]~39929\);

-- Location: FF_X25_Y1_N1
\led_flash_cnt[932][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[932][1]~39928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[932][1]~q\);

-- Location: LCCOMB_X25_Y1_N2
\led_flash_cnt[932][2]~39930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[932][2]~39930_combout\ = (\led_flash_cnt[932][2]~q\ & (!\led_flash_cnt[932][1]~39929\)) # (!\led_flash_cnt[932][2]~q\ & ((\led_flash_cnt[932][1]~39929\) # (GND)))
-- \led_flash_cnt[932][2]~39931\ = CARRY((!\led_flash_cnt[932][1]~39929\) # (!\led_flash_cnt[932][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[932][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[932][1]~39929\,
	combout => \led_flash_cnt[932][2]~39930_combout\,
	cout => \led_flash_cnt[932][2]~39931\);

-- Location: FF_X25_Y1_N3
\led_flash_cnt[932][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[932][2]~39930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[932][2]~q\);

-- Location: LCCOMB_X25_Y1_N4
\led_flash_cnt[932][3]~39932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[932][3]~39932_combout\ = (\led_flash_cnt[932][3]~q\ & (\led_flash_cnt[932][2]~39931\ $ (GND))) # (!\led_flash_cnt[932][3]~q\ & (!\led_flash_cnt[932][2]~39931\ & VCC))
-- \led_flash_cnt[932][3]~39933\ = CARRY((\led_flash_cnt[932][3]~q\ & !\led_flash_cnt[932][2]~39931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[932][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[932][2]~39931\,
	combout => \led_flash_cnt[932][3]~39932_combout\,
	cout => \led_flash_cnt[932][3]~39933\);

-- Location: FF_X25_Y1_N5
\led_flash_cnt[932][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[932][3]~39932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[932][3]~q\);

-- Location: LCCOMB_X25_Y1_N6
\led_flash_cnt[932][4]~39934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[932][4]~39934_combout\ = (\led_flash_cnt[932][4]~q\ & (!\led_flash_cnt[932][3]~39933\)) # (!\led_flash_cnt[932][4]~q\ & ((\led_flash_cnt[932][3]~39933\) # (GND)))
-- \led_flash_cnt[932][4]~39935\ = CARRY((!\led_flash_cnt[932][3]~39933\) # (!\led_flash_cnt[932][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[932][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[932][3]~39933\,
	combout => \led_flash_cnt[932][4]~39934_combout\,
	cout => \led_flash_cnt[932][4]~39935\);

-- Location: FF_X25_Y1_N7
\led_flash_cnt[932][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[932][4]~39934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[932][4]~q\);

-- Location: LCCOMB_X25_Y1_N8
\led_flash_cnt[932][5]~39936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[932][5]~39936_combout\ = (\led_flash_cnt[932][5]~q\ & (\led_flash_cnt[932][4]~39935\ $ (GND))) # (!\led_flash_cnt[932][5]~q\ & (!\led_flash_cnt[932][4]~39935\ & VCC))
-- \led_flash_cnt[932][5]~39937\ = CARRY((\led_flash_cnt[932][5]~q\ & !\led_flash_cnt[932][4]~39935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[932][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[932][4]~39935\,
	combout => \led_flash_cnt[932][5]~39936_combout\,
	cout => \led_flash_cnt[932][5]~39937\);

-- Location: FF_X25_Y1_N9
\led_flash_cnt[932][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[932][5]~39936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[932][5]~q\);

-- Location: LCCOMB_X25_Y1_N10
\led_flash_cnt[932][6]~39938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[932][6]~39938_combout\ = (\led_flash_cnt[932][6]~q\ & (!\led_flash_cnt[932][5]~39937\)) # (!\led_flash_cnt[932][6]~q\ & ((\led_flash_cnt[932][5]~39937\) # (GND)))
-- \led_flash_cnt[932][6]~39939\ = CARRY((!\led_flash_cnt[932][5]~39937\) # (!\led_flash_cnt[932][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[932][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[932][5]~39937\,
	combout => \led_flash_cnt[932][6]~39938_combout\,
	cout => \led_flash_cnt[932][6]~39939\);

-- Location: FF_X25_Y1_N11
\led_flash_cnt[932][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[932][6]~39938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[932][6]~q\);

-- Location: LCCOMB_X25_Y1_N12
\led_flash_cnt[932][7]~39940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[932][7]~39940_combout\ = \led_flash_cnt[932][6]~39939\ $ (!\led_flash_cnt[932][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[932][7]~q\,
	cin => \led_flash_cnt[932][6]~39939\,
	combout => \led_flash_cnt[932][7]~39940_combout\);

-- Location: FF_X25_Y1_N13
\led_flash_cnt[932][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[932][7]~39940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[932][7]~q\);

-- Location: LCCOMB_X25_Y1_N24
\WideAnd932~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd932~0_combout\ = (\led_flash_cnt[932][4]~q\ & (\led_flash_cnt[932][2]~q\ & (\led_flash_cnt[932][3]~q\ & \led_flash_cnt[932][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[932][4]~q\,
	datab => \led_flash_cnt[932][2]~q\,
	datac => \led_flash_cnt[932][3]~q\,
	datad => \led_flash_cnt[932][1]~q\,
	combout => \WideAnd932~0_combout\);

-- Location: LCCOMB_X25_Y1_N14
\WideAnd932~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd932~1_combout\ = (\led_flash_cnt[932][5]~q\ & \led_flash_cnt[932][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[932][5]~q\,
	datad => \led_flash_cnt[932][6]~q\,
	combout => \WideAnd932~1_combout\);

-- Location: LCCOMB_X25_Y1_N30
WideAnd932 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd932~combout\ = (\led_flash_cnt[932][7]~q\ & (\WideAnd932~0_combout\ & (\WideAnd932~1_combout\ & \led_flash_cnt[932][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[932][7]~q\,
	datab => \WideAnd932~0_combout\,
	datac => \WideAnd932~1_combout\,
	datad => \led_flash_cnt[932][0]~q\,
	combout => \WideAnd932~combout\);

-- Location: FF_X25_Y1_N31
\led_flash_cnt_ands[932]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd932~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(932));

-- Location: LCCOMB_X25_Y1_N28
\led_flash_cnt[933][0]~81573\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[933][0]~81573_combout\ = !\led_flash_cnt[933][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[933][0]~q\,
	combout => \led_flash_cnt[933][0]~81573_combout\);

-- Location: FF_X25_Y1_N29
\led_flash_cnt[933][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[933][0]~81573_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[933][0]~q\);

-- Location: LCCOMB_X26_Y1_N18
\led_flash_cnt[933][1]~39942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[933][1]~39942_combout\ = (\led_flash_cnt[933][0]~q\ & (\led_flash_cnt[933][1]~q\ $ (VCC))) # (!\led_flash_cnt[933][0]~q\ & (\led_flash_cnt[933][1]~q\ & VCC))
-- \led_flash_cnt[933][1]~39943\ = CARRY((\led_flash_cnt[933][0]~q\ & \led_flash_cnt[933][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[933][0]~q\,
	datab => \led_flash_cnt[933][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[933][1]~39942_combout\,
	cout => \led_flash_cnt[933][1]~39943\);

-- Location: FF_X26_Y1_N19
\led_flash_cnt[933][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[933][1]~39942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[933][1]~q\);

-- Location: LCCOMB_X26_Y1_N20
\led_flash_cnt[933][2]~39944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[933][2]~39944_combout\ = (\led_flash_cnt[933][2]~q\ & (!\led_flash_cnt[933][1]~39943\)) # (!\led_flash_cnt[933][2]~q\ & ((\led_flash_cnt[933][1]~39943\) # (GND)))
-- \led_flash_cnt[933][2]~39945\ = CARRY((!\led_flash_cnt[933][1]~39943\) # (!\led_flash_cnt[933][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[933][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[933][1]~39943\,
	combout => \led_flash_cnt[933][2]~39944_combout\,
	cout => \led_flash_cnt[933][2]~39945\);

-- Location: FF_X26_Y1_N21
\led_flash_cnt[933][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[933][2]~39944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[933][2]~q\);

-- Location: LCCOMB_X26_Y1_N22
\led_flash_cnt[933][3]~39946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[933][3]~39946_combout\ = (\led_flash_cnt[933][3]~q\ & (\led_flash_cnt[933][2]~39945\ $ (GND))) # (!\led_flash_cnt[933][3]~q\ & (!\led_flash_cnt[933][2]~39945\ & VCC))
-- \led_flash_cnt[933][3]~39947\ = CARRY((\led_flash_cnt[933][3]~q\ & !\led_flash_cnt[933][2]~39945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[933][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[933][2]~39945\,
	combout => \led_flash_cnt[933][3]~39946_combout\,
	cout => \led_flash_cnt[933][3]~39947\);

-- Location: FF_X26_Y1_N23
\led_flash_cnt[933][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[933][3]~39946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[933][3]~q\);

-- Location: LCCOMB_X26_Y1_N24
\led_flash_cnt[933][4]~39948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[933][4]~39948_combout\ = (\led_flash_cnt[933][4]~q\ & (!\led_flash_cnt[933][3]~39947\)) # (!\led_flash_cnt[933][4]~q\ & ((\led_flash_cnt[933][3]~39947\) # (GND)))
-- \led_flash_cnt[933][4]~39949\ = CARRY((!\led_flash_cnt[933][3]~39947\) # (!\led_flash_cnt[933][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[933][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[933][3]~39947\,
	combout => \led_flash_cnt[933][4]~39948_combout\,
	cout => \led_flash_cnt[933][4]~39949\);

-- Location: FF_X26_Y1_N25
\led_flash_cnt[933][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[933][4]~39948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[933][4]~q\);

-- Location: LCCOMB_X26_Y1_N26
\led_flash_cnt[933][5]~39950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[933][5]~39950_combout\ = (\led_flash_cnt[933][5]~q\ & (\led_flash_cnt[933][4]~39949\ $ (GND))) # (!\led_flash_cnt[933][5]~q\ & (!\led_flash_cnt[933][4]~39949\ & VCC))
-- \led_flash_cnt[933][5]~39951\ = CARRY((\led_flash_cnt[933][5]~q\ & !\led_flash_cnt[933][4]~39949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[933][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[933][4]~39949\,
	combout => \led_flash_cnt[933][5]~39950_combout\,
	cout => \led_flash_cnt[933][5]~39951\);

-- Location: FF_X26_Y1_N27
\led_flash_cnt[933][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[933][5]~39950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[933][5]~q\);

-- Location: LCCOMB_X26_Y1_N28
\led_flash_cnt[933][6]~39952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[933][6]~39952_combout\ = (\led_flash_cnt[933][6]~q\ & (!\led_flash_cnt[933][5]~39951\)) # (!\led_flash_cnt[933][6]~q\ & ((\led_flash_cnt[933][5]~39951\) # (GND)))
-- \led_flash_cnt[933][6]~39953\ = CARRY((!\led_flash_cnt[933][5]~39951\) # (!\led_flash_cnt[933][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[933][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[933][5]~39951\,
	combout => \led_flash_cnt[933][6]~39952_combout\,
	cout => \led_flash_cnt[933][6]~39953\);

-- Location: FF_X26_Y1_N29
\led_flash_cnt[933][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[933][6]~39952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[933][6]~q\);

-- Location: LCCOMB_X25_Y1_N26
\WideAnd933~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd933~1_combout\ = (\led_flash_cnt[933][5]~q\ & \led_flash_cnt[933][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[933][5]~q\,
	datad => \led_flash_cnt[933][6]~q\,
	combout => \WideAnd933~1_combout\);

-- Location: LCCOMB_X26_Y1_N30
\led_flash_cnt[933][7]~39954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[933][7]~39954_combout\ = \led_flash_cnt[933][7]~q\ $ (!\led_flash_cnt[933][6]~39953\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[933][7]~q\,
	cin => \led_flash_cnt[933][6]~39953\,
	combout => \led_flash_cnt[933][7]~39954_combout\);

-- Location: FF_X26_Y1_N31
\led_flash_cnt[933][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[933][7]~39954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[933][7]~q\);

-- Location: LCCOMB_X26_Y1_N16
\WideAnd933~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd933~0_combout\ = (\led_flash_cnt[933][2]~q\ & (\led_flash_cnt[933][4]~q\ & (\led_flash_cnt[933][3]~q\ & \led_flash_cnt[933][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[933][2]~q\,
	datab => \led_flash_cnt[933][4]~q\,
	datac => \led_flash_cnt[933][3]~q\,
	datad => \led_flash_cnt[933][1]~q\,
	combout => \WideAnd933~0_combout\);

-- Location: LCCOMB_X25_Y1_N18
WideAnd933 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd933~combout\ = (\WideAnd933~1_combout\ & (\led_flash_cnt[933][0]~q\ & (\led_flash_cnt[933][7]~q\ & \WideAnd933~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd933~1_combout\,
	datab => \led_flash_cnt[933][0]~q\,
	datac => \led_flash_cnt[933][7]~q\,
	datad => \WideAnd933~0_combout\,
	combout => \WideAnd933~combout\);

-- Location: FF_X25_Y1_N19
\led_flash_cnt_ands[933]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd933~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(933));

-- Location: LCCOMB_X25_Y1_N20
\WideAnd3956~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3956~1_combout\ = (led_flash_cnt_ands(932) & led_flash_cnt_ands(933))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(932),
	datad => led_flash_cnt_ands(933),
	combout => \WideAnd3956~1_combout\);

-- Location: LCCOMB_X23_Y5_N28
WideAnd3956 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3956~combout\ = (\WideAnd3956~0_combout\ & (led_flash_cnt_ands(935) & (led_flash_cnt_ands(934) & \WideAnd3956~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3956~0_combout\,
	datab => led_flash_cnt_ands(935),
	datac => led_flash_cnt_ands(934),
	datad => \WideAnd3956~1_combout\,
	combout => \WideAnd3956~combout\);

-- Location: FF_X23_Y5_N29
\led_flash_cnt_ands_1[116]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3956~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(116));

-- Location: LCCOMB_X16_Y10_N28
\led_flash_cnt[939][0]~81579\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[939][0]~81579_combout\ = !\led_flash_cnt[939][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[939][0]~q\,
	combout => \led_flash_cnt[939][0]~81579_combout\);

-- Location: FF_X16_Y10_N29
\led_flash_cnt[939][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[939][0]~81579_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[939][0]~q\);

-- Location: LCCOMB_X16_Y10_N10
\led_flash_cnt[939][1]~40026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[939][1]~40026_combout\ = (\led_flash_cnt[939][1]~q\ & (\led_flash_cnt[939][0]~q\ $ (VCC))) # (!\led_flash_cnt[939][1]~q\ & (\led_flash_cnt[939][0]~q\ & VCC))
-- \led_flash_cnt[939][1]~40027\ = CARRY((\led_flash_cnt[939][1]~q\ & \led_flash_cnt[939][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[939][1]~q\,
	datab => \led_flash_cnt[939][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[939][1]~40026_combout\,
	cout => \led_flash_cnt[939][1]~40027\);

-- Location: FF_X16_Y10_N11
\led_flash_cnt[939][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[939][1]~40026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[939][1]~q\);

-- Location: LCCOMB_X16_Y10_N12
\led_flash_cnt[939][2]~40028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[939][2]~40028_combout\ = (\led_flash_cnt[939][2]~q\ & (!\led_flash_cnt[939][1]~40027\)) # (!\led_flash_cnt[939][2]~q\ & ((\led_flash_cnt[939][1]~40027\) # (GND)))
-- \led_flash_cnt[939][2]~40029\ = CARRY((!\led_flash_cnt[939][1]~40027\) # (!\led_flash_cnt[939][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[939][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[939][1]~40027\,
	combout => \led_flash_cnt[939][2]~40028_combout\,
	cout => \led_flash_cnt[939][2]~40029\);

-- Location: FF_X16_Y10_N13
\led_flash_cnt[939][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[939][2]~40028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[939][2]~q\);

-- Location: LCCOMB_X16_Y10_N14
\led_flash_cnt[939][3]~40030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[939][3]~40030_combout\ = (\led_flash_cnt[939][3]~q\ & (\led_flash_cnt[939][2]~40029\ $ (GND))) # (!\led_flash_cnt[939][3]~q\ & (!\led_flash_cnt[939][2]~40029\ & VCC))
-- \led_flash_cnt[939][3]~40031\ = CARRY((\led_flash_cnt[939][3]~q\ & !\led_flash_cnt[939][2]~40029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[939][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[939][2]~40029\,
	combout => \led_flash_cnt[939][3]~40030_combout\,
	cout => \led_flash_cnt[939][3]~40031\);

-- Location: FF_X16_Y10_N15
\led_flash_cnt[939][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[939][3]~40030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[939][3]~q\);

-- Location: LCCOMB_X16_Y10_N16
\led_flash_cnt[939][4]~40032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[939][4]~40032_combout\ = (\led_flash_cnt[939][4]~q\ & (!\led_flash_cnt[939][3]~40031\)) # (!\led_flash_cnt[939][4]~q\ & ((\led_flash_cnt[939][3]~40031\) # (GND)))
-- \led_flash_cnt[939][4]~40033\ = CARRY((!\led_flash_cnt[939][3]~40031\) # (!\led_flash_cnt[939][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[939][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[939][3]~40031\,
	combout => \led_flash_cnt[939][4]~40032_combout\,
	cout => \led_flash_cnt[939][4]~40033\);

-- Location: FF_X16_Y10_N17
\led_flash_cnt[939][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[939][4]~40032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[939][4]~q\);

-- Location: LCCOMB_X16_Y10_N26
\WideAnd939~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd939~0_combout\ = (\led_flash_cnt[939][1]~q\ & (\led_flash_cnt[939][4]~q\ & (\led_flash_cnt[939][3]~q\ & \led_flash_cnt[939][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[939][1]~q\,
	datab => \led_flash_cnt[939][4]~q\,
	datac => \led_flash_cnt[939][3]~q\,
	datad => \led_flash_cnt[939][2]~q\,
	combout => \WideAnd939~0_combout\);

-- Location: LCCOMB_X16_Y10_N18
\led_flash_cnt[939][5]~40034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[939][5]~40034_combout\ = (\led_flash_cnt[939][5]~q\ & (\led_flash_cnt[939][4]~40033\ $ (GND))) # (!\led_flash_cnt[939][5]~q\ & (!\led_flash_cnt[939][4]~40033\ & VCC))
-- \led_flash_cnt[939][5]~40035\ = CARRY((\led_flash_cnt[939][5]~q\ & !\led_flash_cnt[939][4]~40033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[939][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[939][4]~40033\,
	combout => \led_flash_cnt[939][5]~40034_combout\,
	cout => \led_flash_cnt[939][5]~40035\);

-- Location: FF_X16_Y10_N19
\led_flash_cnt[939][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[939][5]~40034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[939][5]~q\);

-- Location: LCCOMB_X16_Y10_N20
\led_flash_cnt[939][6]~40036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[939][6]~40036_combout\ = (\led_flash_cnt[939][6]~q\ & (!\led_flash_cnt[939][5]~40035\)) # (!\led_flash_cnt[939][6]~q\ & ((\led_flash_cnt[939][5]~40035\) # (GND)))
-- \led_flash_cnt[939][6]~40037\ = CARRY((!\led_flash_cnt[939][5]~40035\) # (!\led_flash_cnt[939][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[939][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[939][5]~40035\,
	combout => \led_flash_cnt[939][6]~40036_combout\,
	cout => \led_flash_cnt[939][6]~40037\);

-- Location: FF_X16_Y10_N21
\led_flash_cnt[939][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[939][6]~40036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[939][6]~q\);

-- Location: LCCOMB_X16_Y10_N22
\led_flash_cnt[939][7]~40038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[939][7]~40038_combout\ = \led_flash_cnt[939][7]~q\ $ (!\led_flash_cnt[939][6]~40037\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[939][7]~q\,
	cin => \led_flash_cnt[939][6]~40037\,
	combout => \led_flash_cnt[939][7]~40038_combout\);

-- Location: FF_X16_Y10_N23
\led_flash_cnt[939][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[939][7]~40038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[939][7]~q\);

-- Location: LCCOMB_X16_Y10_N24
\WideAnd939~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd939~1_combout\ = (\led_flash_cnt[939][5]~q\ & \led_flash_cnt[939][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[939][5]~q\,
	datad => \led_flash_cnt[939][6]~q\,
	combout => \WideAnd939~1_combout\);

-- Location: LCCOMB_X16_Y10_N4
WideAnd939 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd939~combout\ = (\WideAnd939~0_combout\ & (\led_flash_cnt[939][0]~q\ & (\led_flash_cnt[939][7]~q\ & \WideAnd939~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd939~0_combout\,
	datab => \led_flash_cnt[939][0]~q\,
	datac => \led_flash_cnt[939][7]~q\,
	datad => \WideAnd939~1_combout\,
	combout => \WideAnd939~combout\);

-- Location: FF_X16_Y10_N5
\led_flash_cnt_ands[939]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd939~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(939));

-- Location: LCCOMB_X20_Y11_N26
\led_flash_cnt[937][0]~81577\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[937][0]~81577_combout\ = !\led_flash_cnt[937][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[937][0]~q\,
	combout => \led_flash_cnt[937][0]~81577_combout\);

-- Location: FF_X20_Y11_N27
\led_flash_cnt[937][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[937][0]~81577_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[937][0]~q\);

-- Location: LCCOMB_X20_Y11_N8
\led_flash_cnt[937][1]~39998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[937][1]~39998_combout\ = (\led_flash_cnt[937][0]~q\ & (\led_flash_cnt[937][1]~q\ $ (VCC))) # (!\led_flash_cnt[937][0]~q\ & (\led_flash_cnt[937][1]~q\ & VCC))
-- \led_flash_cnt[937][1]~39999\ = CARRY((\led_flash_cnt[937][0]~q\ & \led_flash_cnt[937][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[937][0]~q\,
	datab => \led_flash_cnt[937][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[937][1]~39998_combout\,
	cout => \led_flash_cnt[937][1]~39999\);

-- Location: FF_X20_Y11_N9
\led_flash_cnt[937][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[937][1]~39998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[937][1]~q\);

-- Location: LCCOMB_X20_Y11_N10
\led_flash_cnt[937][2]~40000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[937][2]~40000_combout\ = (\led_flash_cnt[937][2]~q\ & (!\led_flash_cnt[937][1]~39999\)) # (!\led_flash_cnt[937][2]~q\ & ((\led_flash_cnt[937][1]~39999\) # (GND)))
-- \led_flash_cnt[937][2]~40001\ = CARRY((!\led_flash_cnt[937][1]~39999\) # (!\led_flash_cnt[937][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[937][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[937][1]~39999\,
	combout => \led_flash_cnt[937][2]~40000_combout\,
	cout => \led_flash_cnt[937][2]~40001\);

-- Location: FF_X20_Y11_N11
\led_flash_cnt[937][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[937][2]~40000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[937][2]~q\);

-- Location: LCCOMB_X20_Y11_N12
\led_flash_cnt[937][3]~40002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[937][3]~40002_combout\ = (\led_flash_cnt[937][3]~q\ & (\led_flash_cnt[937][2]~40001\ $ (GND))) # (!\led_flash_cnt[937][3]~q\ & (!\led_flash_cnt[937][2]~40001\ & VCC))
-- \led_flash_cnt[937][3]~40003\ = CARRY((\led_flash_cnt[937][3]~q\ & !\led_flash_cnt[937][2]~40001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[937][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[937][2]~40001\,
	combout => \led_flash_cnt[937][3]~40002_combout\,
	cout => \led_flash_cnt[937][3]~40003\);

-- Location: FF_X20_Y11_N13
\led_flash_cnt[937][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[937][3]~40002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[937][3]~q\);

-- Location: LCCOMB_X20_Y11_N14
\led_flash_cnt[937][4]~40004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[937][4]~40004_combout\ = (\led_flash_cnt[937][4]~q\ & (!\led_flash_cnt[937][3]~40003\)) # (!\led_flash_cnt[937][4]~q\ & ((\led_flash_cnt[937][3]~40003\) # (GND)))
-- \led_flash_cnt[937][4]~40005\ = CARRY((!\led_flash_cnt[937][3]~40003\) # (!\led_flash_cnt[937][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[937][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[937][3]~40003\,
	combout => \led_flash_cnt[937][4]~40004_combout\,
	cout => \led_flash_cnt[937][4]~40005\);

-- Location: FF_X20_Y11_N15
\led_flash_cnt[937][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[937][4]~40004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[937][4]~q\);

-- Location: LCCOMB_X20_Y11_N16
\led_flash_cnt[937][5]~40006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[937][5]~40006_combout\ = (\led_flash_cnt[937][5]~q\ & (\led_flash_cnt[937][4]~40005\ $ (GND))) # (!\led_flash_cnt[937][5]~q\ & (!\led_flash_cnt[937][4]~40005\ & VCC))
-- \led_flash_cnt[937][5]~40007\ = CARRY((\led_flash_cnt[937][5]~q\ & !\led_flash_cnt[937][4]~40005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[937][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[937][4]~40005\,
	combout => \led_flash_cnt[937][5]~40006_combout\,
	cout => \led_flash_cnt[937][5]~40007\);

-- Location: FF_X20_Y11_N17
\led_flash_cnt[937][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[937][5]~40006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[937][5]~q\);

-- Location: LCCOMB_X20_Y11_N18
\led_flash_cnt[937][6]~40008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[937][6]~40008_combout\ = (\led_flash_cnt[937][6]~q\ & (!\led_flash_cnt[937][5]~40007\)) # (!\led_flash_cnt[937][6]~q\ & ((\led_flash_cnt[937][5]~40007\) # (GND)))
-- \led_flash_cnt[937][6]~40009\ = CARRY((!\led_flash_cnt[937][5]~40007\) # (!\led_flash_cnt[937][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[937][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[937][5]~40007\,
	combout => \led_flash_cnt[937][6]~40008_combout\,
	cout => \led_flash_cnt[937][6]~40009\);

-- Location: FF_X20_Y11_N19
\led_flash_cnt[937][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[937][6]~40008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[937][6]~q\);

-- Location: LCCOMB_X20_Y11_N20
\led_flash_cnt[937][7]~40010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[937][7]~40010_combout\ = \led_flash_cnt[937][6]~40009\ $ (!\led_flash_cnt[937][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[937][7]~q\,
	cin => \led_flash_cnt[937][6]~40009\,
	combout => \led_flash_cnt[937][7]~40010_combout\);

-- Location: FF_X20_Y11_N21
\led_flash_cnt[937][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[937][7]~40010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[937][7]~q\);

-- Location: LCCOMB_X20_Y11_N30
\WideAnd937~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd937~1_combout\ = (\led_flash_cnt[937][6]~q\ & \led_flash_cnt[937][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[937][6]~q\,
	datad => \led_flash_cnt[937][5]~q\,
	combout => \WideAnd937~1_combout\);

-- Location: LCCOMB_X20_Y11_N0
\WideAnd937~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd937~0_combout\ = (\led_flash_cnt[937][2]~q\ & (\led_flash_cnt[937][4]~q\ & (\led_flash_cnt[937][1]~q\ & \led_flash_cnt[937][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[937][2]~q\,
	datab => \led_flash_cnt[937][4]~q\,
	datac => \led_flash_cnt[937][1]~q\,
	datad => \led_flash_cnt[937][3]~q\,
	combout => \WideAnd937~0_combout\);

-- Location: LCCOMB_X20_Y11_N28
WideAnd937 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd937~combout\ = (\led_flash_cnt[937][0]~q\ & (\led_flash_cnt[937][7]~q\ & (\WideAnd937~1_combout\ & \WideAnd937~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[937][0]~q\,
	datab => \led_flash_cnt[937][7]~q\,
	datac => \WideAnd937~1_combout\,
	datad => \WideAnd937~0_combout\,
	combout => \WideAnd937~combout\);

-- Location: FF_X20_Y11_N29
\led_flash_cnt_ands[937]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd937~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(937));

-- Location: LCCOMB_X21_Y7_N30
\led_flash_cnt[936][0]~81576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[936][0]~81576_combout\ = !\led_flash_cnt[936][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[936][0]~q\,
	combout => \led_flash_cnt[936][0]~81576_combout\);

-- Location: FF_X21_Y7_N31
\led_flash_cnt[936][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[936][0]~81576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[936][0]~q\);

-- Location: LCCOMB_X21_Y4_N14
\led_flash_cnt[936][1]~39984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[936][1]~39984_combout\ = (\led_flash_cnt[936][0]~q\ & (\led_flash_cnt[936][1]~q\ $ (VCC))) # (!\led_flash_cnt[936][0]~q\ & (\led_flash_cnt[936][1]~q\ & VCC))
-- \led_flash_cnt[936][1]~39985\ = CARRY((\led_flash_cnt[936][0]~q\ & \led_flash_cnt[936][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[936][0]~q\,
	datab => \led_flash_cnt[936][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[936][1]~39984_combout\,
	cout => \led_flash_cnt[936][1]~39985\);

-- Location: FF_X21_Y4_N15
\led_flash_cnt[936][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[936][1]~39984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[936][1]~q\);

-- Location: LCCOMB_X21_Y4_N16
\led_flash_cnt[936][2]~39986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[936][2]~39986_combout\ = (\led_flash_cnt[936][2]~q\ & (!\led_flash_cnt[936][1]~39985\)) # (!\led_flash_cnt[936][2]~q\ & ((\led_flash_cnt[936][1]~39985\) # (GND)))
-- \led_flash_cnt[936][2]~39987\ = CARRY((!\led_flash_cnt[936][1]~39985\) # (!\led_flash_cnt[936][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[936][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[936][1]~39985\,
	combout => \led_flash_cnt[936][2]~39986_combout\,
	cout => \led_flash_cnt[936][2]~39987\);

-- Location: FF_X21_Y4_N17
\led_flash_cnt[936][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[936][2]~39986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[936][2]~q\);

-- Location: LCCOMB_X21_Y4_N18
\led_flash_cnt[936][3]~39988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[936][3]~39988_combout\ = (\led_flash_cnt[936][3]~q\ & (\led_flash_cnt[936][2]~39987\ $ (GND))) # (!\led_flash_cnt[936][3]~q\ & (!\led_flash_cnt[936][2]~39987\ & VCC))
-- \led_flash_cnt[936][3]~39989\ = CARRY((\led_flash_cnt[936][3]~q\ & !\led_flash_cnt[936][2]~39987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[936][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[936][2]~39987\,
	combout => \led_flash_cnt[936][3]~39988_combout\,
	cout => \led_flash_cnt[936][3]~39989\);

-- Location: FF_X21_Y4_N19
\led_flash_cnt[936][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[936][3]~39988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[936][3]~q\);

-- Location: LCCOMB_X21_Y4_N20
\led_flash_cnt[936][4]~39990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[936][4]~39990_combout\ = (\led_flash_cnt[936][4]~q\ & (!\led_flash_cnt[936][3]~39989\)) # (!\led_flash_cnt[936][4]~q\ & ((\led_flash_cnt[936][3]~39989\) # (GND)))
-- \led_flash_cnt[936][4]~39991\ = CARRY((!\led_flash_cnt[936][3]~39989\) # (!\led_flash_cnt[936][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[936][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[936][3]~39989\,
	combout => \led_flash_cnt[936][4]~39990_combout\,
	cout => \led_flash_cnt[936][4]~39991\);

-- Location: FF_X21_Y4_N21
\led_flash_cnt[936][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[936][4]~39990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[936][4]~q\);

-- Location: LCCOMB_X21_Y4_N0
\WideAnd936~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd936~0_combout\ = (\led_flash_cnt[936][3]~q\ & (\led_flash_cnt[936][2]~q\ & (\led_flash_cnt[936][1]~q\ & \led_flash_cnt[936][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[936][3]~q\,
	datab => \led_flash_cnt[936][2]~q\,
	datac => \led_flash_cnt[936][1]~q\,
	datad => \led_flash_cnt[936][4]~q\,
	combout => \WideAnd936~0_combout\);

-- Location: LCCOMB_X21_Y4_N22
\led_flash_cnt[936][5]~39992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[936][5]~39992_combout\ = (\led_flash_cnt[936][5]~q\ & (\led_flash_cnt[936][4]~39991\ $ (GND))) # (!\led_flash_cnt[936][5]~q\ & (!\led_flash_cnt[936][4]~39991\ & VCC))
-- \led_flash_cnt[936][5]~39993\ = CARRY((\led_flash_cnt[936][5]~q\ & !\led_flash_cnt[936][4]~39991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[936][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[936][4]~39991\,
	combout => \led_flash_cnt[936][5]~39992_combout\,
	cout => \led_flash_cnt[936][5]~39993\);

-- Location: FF_X21_Y4_N23
\led_flash_cnt[936][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[936][5]~39992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[936][5]~q\);

-- Location: LCCOMB_X21_Y4_N24
\led_flash_cnt[936][6]~39994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[936][6]~39994_combout\ = (\led_flash_cnt[936][6]~q\ & (!\led_flash_cnt[936][5]~39993\)) # (!\led_flash_cnt[936][6]~q\ & ((\led_flash_cnt[936][5]~39993\) # (GND)))
-- \led_flash_cnt[936][6]~39995\ = CARRY((!\led_flash_cnt[936][5]~39993\) # (!\led_flash_cnt[936][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[936][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[936][5]~39993\,
	combout => \led_flash_cnt[936][6]~39994_combout\,
	cout => \led_flash_cnt[936][6]~39995\);

-- Location: FF_X21_Y4_N25
\led_flash_cnt[936][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[936][6]~39994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[936][6]~q\);

-- Location: LCCOMB_X21_Y4_N26
\led_flash_cnt[936][7]~39996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[936][7]~39996_combout\ = \led_flash_cnt[936][7]~q\ $ (!\led_flash_cnt[936][6]~39995\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[936][7]~q\,
	cin => \led_flash_cnt[936][6]~39995\,
	combout => \led_flash_cnt[936][7]~39996_combout\);

-- Location: FF_X21_Y4_N27
\led_flash_cnt[936][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[936][7]~39996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[936][7]~q\);

-- Location: LCCOMB_X21_Y4_N10
\WideAnd936~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd936~1_combout\ = (\led_flash_cnt[936][5]~q\ & \led_flash_cnt[936][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[936][5]~q\,
	datad => \led_flash_cnt[936][6]~q\,
	combout => \WideAnd936~1_combout\);

-- Location: LCCOMB_X21_Y4_N30
WideAnd936 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd936~combout\ = (\led_flash_cnt[936][0]~q\ & (\WideAnd936~0_combout\ & (\led_flash_cnt[936][7]~q\ & \WideAnd936~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[936][0]~q\,
	datab => \WideAnd936~0_combout\,
	datac => \led_flash_cnt[936][7]~q\,
	datad => \WideAnd936~1_combout\,
	combout => \WideAnd936~combout\);

-- Location: FF_X21_Y4_N31
\led_flash_cnt_ands[936]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd936~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(936));

-- Location: LCCOMB_X21_Y7_N6
\led_flash_cnt[938][0]~81578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[938][0]~81578_combout\ = !\led_flash_cnt[938][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[938][0]~q\,
	combout => \led_flash_cnt[938][0]~81578_combout\);

-- Location: FF_X21_Y7_N7
\led_flash_cnt[938][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[938][0]~81578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[938][0]~q\);

-- Location: LCCOMB_X22_Y7_N0
\led_flash_cnt[938][1]~40012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[938][1]~40012_combout\ = (\led_flash_cnt[938][1]~q\ & (\led_flash_cnt[938][0]~q\ $ (VCC))) # (!\led_flash_cnt[938][1]~q\ & (\led_flash_cnt[938][0]~q\ & VCC))
-- \led_flash_cnt[938][1]~40013\ = CARRY((\led_flash_cnt[938][1]~q\ & \led_flash_cnt[938][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[938][1]~q\,
	datab => \led_flash_cnt[938][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[938][1]~40012_combout\,
	cout => \led_flash_cnt[938][1]~40013\);

-- Location: FF_X22_Y7_N1
\led_flash_cnt[938][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[938][1]~40012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[938][1]~q\);

-- Location: LCCOMB_X22_Y7_N2
\led_flash_cnt[938][2]~40014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[938][2]~40014_combout\ = (\led_flash_cnt[938][2]~q\ & (!\led_flash_cnt[938][1]~40013\)) # (!\led_flash_cnt[938][2]~q\ & ((\led_flash_cnt[938][1]~40013\) # (GND)))
-- \led_flash_cnt[938][2]~40015\ = CARRY((!\led_flash_cnt[938][1]~40013\) # (!\led_flash_cnt[938][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[938][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[938][1]~40013\,
	combout => \led_flash_cnt[938][2]~40014_combout\,
	cout => \led_flash_cnt[938][2]~40015\);

-- Location: FF_X22_Y7_N3
\led_flash_cnt[938][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[938][2]~40014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[938][2]~q\);

-- Location: LCCOMB_X22_Y7_N4
\led_flash_cnt[938][3]~40016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[938][3]~40016_combout\ = (\led_flash_cnt[938][3]~q\ & (\led_flash_cnt[938][2]~40015\ $ (GND))) # (!\led_flash_cnt[938][3]~q\ & (!\led_flash_cnt[938][2]~40015\ & VCC))
-- \led_flash_cnt[938][3]~40017\ = CARRY((\led_flash_cnt[938][3]~q\ & !\led_flash_cnt[938][2]~40015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[938][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[938][2]~40015\,
	combout => \led_flash_cnt[938][3]~40016_combout\,
	cout => \led_flash_cnt[938][3]~40017\);

-- Location: FF_X22_Y7_N5
\led_flash_cnt[938][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[938][3]~40016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[938][3]~q\);

-- Location: LCCOMB_X22_Y7_N6
\led_flash_cnt[938][4]~40018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[938][4]~40018_combout\ = (\led_flash_cnt[938][4]~q\ & (!\led_flash_cnt[938][3]~40017\)) # (!\led_flash_cnt[938][4]~q\ & ((\led_flash_cnt[938][3]~40017\) # (GND)))
-- \led_flash_cnt[938][4]~40019\ = CARRY((!\led_flash_cnt[938][3]~40017\) # (!\led_flash_cnt[938][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[938][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[938][3]~40017\,
	combout => \led_flash_cnt[938][4]~40018_combout\,
	cout => \led_flash_cnt[938][4]~40019\);

-- Location: FF_X22_Y7_N7
\led_flash_cnt[938][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[938][4]~40018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[938][4]~q\);

-- Location: LCCOMB_X21_Y7_N4
\WideAnd938~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd938~0_combout\ = (\led_flash_cnt[938][2]~q\ & (\led_flash_cnt[938][3]~q\ & (\led_flash_cnt[938][1]~q\ & \led_flash_cnt[938][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[938][2]~q\,
	datab => \led_flash_cnt[938][3]~q\,
	datac => \led_flash_cnt[938][1]~q\,
	datad => \led_flash_cnt[938][4]~q\,
	combout => \WideAnd938~0_combout\);

-- Location: LCCOMB_X22_Y7_N8
\led_flash_cnt[938][5]~40020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[938][5]~40020_combout\ = (\led_flash_cnt[938][5]~q\ & (\led_flash_cnt[938][4]~40019\ $ (GND))) # (!\led_flash_cnt[938][5]~q\ & (!\led_flash_cnt[938][4]~40019\ & VCC))
-- \led_flash_cnt[938][5]~40021\ = CARRY((\led_flash_cnt[938][5]~q\ & !\led_flash_cnt[938][4]~40019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[938][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[938][4]~40019\,
	combout => \led_flash_cnt[938][5]~40020_combout\,
	cout => \led_flash_cnt[938][5]~40021\);

-- Location: FF_X22_Y7_N9
\led_flash_cnt[938][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[938][5]~40020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[938][5]~q\);

-- Location: LCCOMB_X22_Y7_N10
\led_flash_cnt[938][6]~40022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[938][6]~40022_combout\ = (\led_flash_cnt[938][6]~q\ & (!\led_flash_cnt[938][5]~40021\)) # (!\led_flash_cnt[938][6]~q\ & ((\led_flash_cnt[938][5]~40021\) # (GND)))
-- \led_flash_cnt[938][6]~40023\ = CARRY((!\led_flash_cnt[938][5]~40021\) # (!\led_flash_cnt[938][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[938][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[938][5]~40021\,
	combout => \led_flash_cnt[938][6]~40022_combout\,
	cout => \led_flash_cnt[938][6]~40023\);

-- Location: FF_X22_Y7_N11
\led_flash_cnt[938][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[938][6]~40022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[938][6]~q\);

-- Location: LCCOMB_X22_Y7_N12
\led_flash_cnt[938][7]~40024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[938][7]~40024_combout\ = \led_flash_cnt[938][6]~40023\ $ (!\led_flash_cnt[938][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[938][7]~q\,
	cin => \led_flash_cnt[938][6]~40023\,
	combout => \led_flash_cnt[938][7]~40024_combout\);

-- Location: FF_X22_Y7_N13
\led_flash_cnt[938][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[938][7]~40024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[938][7]~q\);

-- Location: LCCOMB_X21_Y7_N24
\WideAnd938~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd938~1_combout\ = (\led_flash_cnt[938][5]~q\ & \led_flash_cnt[938][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[938][5]~q\,
	datac => \led_flash_cnt[938][6]~q\,
	combout => \WideAnd938~1_combout\);

-- Location: LCCOMB_X21_Y7_N0
WideAnd938 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd938~combout\ = (\led_flash_cnt[938][0]~q\ & (\WideAnd938~0_combout\ & (\led_flash_cnt[938][7]~q\ & \WideAnd938~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[938][0]~q\,
	datab => \WideAnd938~0_combout\,
	datac => \led_flash_cnt[938][7]~q\,
	datad => \WideAnd938~1_combout\,
	combout => \WideAnd938~combout\);

-- Location: FF_X21_Y7_N1
\led_flash_cnt_ands[938]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd938~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(938));

-- Location: LCCOMB_X21_Y7_N22
\WideAnd3957~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3957~0_combout\ = (led_flash_cnt_ands(939) & (led_flash_cnt_ands(937) & (led_flash_cnt_ands(936) & led_flash_cnt_ands(938))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(939),
	datab => led_flash_cnt_ands(937),
	datac => led_flash_cnt_ands(936),
	datad => led_flash_cnt_ands(938),
	combout => \WideAnd3957~0_combout\);

-- Location: LCCOMB_X24_Y1_N24
\led_flash_cnt[943][0]~81583\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[943][0]~81583_combout\ = !\led_flash_cnt[943][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[943][0]~q\,
	combout => \led_flash_cnt[943][0]~81583_combout\);

-- Location: FF_X24_Y1_N25
\led_flash_cnt[943][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[943][0]~81583_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[943][0]~q\);

-- Location: LCCOMB_X24_Y1_N6
\led_flash_cnt[943][1]~40082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[943][1]~40082_combout\ = (\led_flash_cnt[943][1]~q\ & (\led_flash_cnt[943][0]~q\ $ (VCC))) # (!\led_flash_cnt[943][1]~q\ & (\led_flash_cnt[943][0]~q\ & VCC))
-- \led_flash_cnt[943][1]~40083\ = CARRY((\led_flash_cnt[943][1]~q\ & \led_flash_cnt[943][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[943][1]~q\,
	datab => \led_flash_cnt[943][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[943][1]~40082_combout\,
	cout => \led_flash_cnt[943][1]~40083\);

-- Location: FF_X24_Y1_N7
\led_flash_cnt[943][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[943][1]~40082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[943][1]~q\);

-- Location: LCCOMB_X24_Y1_N8
\led_flash_cnt[943][2]~40084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[943][2]~40084_combout\ = (\led_flash_cnt[943][2]~q\ & (!\led_flash_cnt[943][1]~40083\)) # (!\led_flash_cnt[943][2]~q\ & ((\led_flash_cnt[943][1]~40083\) # (GND)))
-- \led_flash_cnt[943][2]~40085\ = CARRY((!\led_flash_cnt[943][1]~40083\) # (!\led_flash_cnt[943][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[943][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[943][1]~40083\,
	combout => \led_flash_cnt[943][2]~40084_combout\,
	cout => \led_flash_cnt[943][2]~40085\);

-- Location: FF_X24_Y1_N9
\led_flash_cnt[943][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[943][2]~40084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[943][2]~q\);

-- Location: LCCOMB_X24_Y1_N10
\led_flash_cnt[943][3]~40086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[943][3]~40086_combout\ = (\led_flash_cnt[943][3]~q\ & (\led_flash_cnt[943][2]~40085\ $ (GND))) # (!\led_flash_cnt[943][3]~q\ & (!\led_flash_cnt[943][2]~40085\ & VCC))
-- \led_flash_cnt[943][3]~40087\ = CARRY((\led_flash_cnt[943][3]~q\ & !\led_flash_cnt[943][2]~40085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[943][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[943][2]~40085\,
	combout => \led_flash_cnt[943][3]~40086_combout\,
	cout => \led_flash_cnt[943][3]~40087\);

-- Location: FF_X24_Y1_N11
\led_flash_cnt[943][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[943][3]~40086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[943][3]~q\);

-- Location: LCCOMB_X24_Y1_N12
\led_flash_cnt[943][4]~40088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[943][4]~40088_combout\ = (\led_flash_cnt[943][4]~q\ & (!\led_flash_cnt[943][3]~40087\)) # (!\led_flash_cnt[943][4]~q\ & ((\led_flash_cnt[943][3]~40087\) # (GND)))
-- \led_flash_cnt[943][4]~40089\ = CARRY((!\led_flash_cnt[943][3]~40087\) # (!\led_flash_cnt[943][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[943][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[943][3]~40087\,
	combout => \led_flash_cnt[943][4]~40088_combout\,
	cout => \led_flash_cnt[943][4]~40089\);

-- Location: FF_X24_Y1_N13
\led_flash_cnt[943][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[943][4]~40088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[943][4]~q\);

-- Location: LCCOMB_X24_Y1_N14
\led_flash_cnt[943][5]~40090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[943][5]~40090_combout\ = (\led_flash_cnt[943][5]~q\ & (\led_flash_cnt[943][4]~40089\ $ (GND))) # (!\led_flash_cnt[943][5]~q\ & (!\led_flash_cnt[943][4]~40089\ & VCC))
-- \led_flash_cnt[943][5]~40091\ = CARRY((\led_flash_cnt[943][5]~q\ & !\led_flash_cnt[943][4]~40089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[943][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[943][4]~40089\,
	combout => \led_flash_cnt[943][5]~40090_combout\,
	cout => \led_flash_cnt[943][5]~40091\);

-- Location: FF_X24_Y1_N15
\led_flash_cnt[943][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[943][5]~40090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[943][5]~q\);

-- Location: LCCOMB_X24_Y1_N22
\WideAnd943~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd943~1_combout\ = (\led_flash_cnt[943][5]~q\ & \led_flash_cnt[943][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[943][5]~q\,
	datad => \led_flash_cnt[943][0]~q\,
	combout => \WideAnd943~1_combout\);

-- Location: LCCOMB_X24_Y1_N16
\led_flash_cnt[943][6]~40092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[943][6]~40092_combout\ = (\led_flash_cnt[943][6]~q\ & (!\led_flash_cnt[943][5]~40091\)) # (!\led_flash_cnt[943][6]~q\ & ((\led_flash_cnt[943][5]~40091\) # (GND)))
-- \led_flash_cnt[943][6]~40093\ = CARRY((!\led_flash_cnt[943][5]~40091\) # (!\led_flash_cnt[943][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[943][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[943][5]~40091\,
	combout => \led_flash_cnt[943][6]~40092_combout\,
	cout => \led_flash_cnt[943][6]~40093\);

-- Location: FF_X24_Y1_N17
\led_flash_cnt[943][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[943][6]~40092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[943][6]~q\);

-- Location: LCCOMB_X24_Y1_N18
\led_flash_cnt[943][7]~40094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[943][7]~40094_combout\ = \led_flash_cnt[943][6]~40093\ $ (!\led_flash_cnt[943][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[943][7]~q\,
	cin => \led_flash_cnt[943][6]~40093\,
	combout => \led_flash_cnt[943][7]~40094_combout\);

-- Location: FF_X24_Y1_N19
\led_flash_cnt[943][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[943][7]~40094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[943][7]~q\);

-- Location: LCCOMB_X24_Y1_N30
\WideAnd943~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd943~0_combout\ = (\led_flash_cnt[943][3]~q\ & (\led_flash_cnt[943][4]~q\ & (\led_flash_cnt[943][2]~q\ & \led_flash_cnt[943][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[943][3]~q\,
	datab => \led_flash_cnt[943][4]~q\,
	datac => \led_flash_cnt[943][2]~q\,
	datad => \led_flash_cnt[943][1]~q\,
	combout => \WideAnd943~0_combout\);

-- Location: LCCOMB_X24_Y1_N4
WideAnd943 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd943~combout\ = (\WideAnd943~1_combout\ & (\led_flash_cnt[943][7]~q\ & (\WideAnd943~0_combout\ & \led_flash_cnt[943][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd943~1_combout\,
	datab => \led_flash_cnt[943][7]~q\,
	datac => \WideAnd943~0_combout\,
	datad => \led_flash_cnt[943][6]~q\,
	combout => \WideAnd943~combout\);

-- Location: FF_X24_Y1_N5
\led_flash_cnt_ands[943]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd943~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(943));

-- Location: LCCOMB_X18_Y2_N2
\led_flash_cnt[941][0]~81581\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[941][0]~81581_combout\ = !\led_flash_cnt[941][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[941][0]~q\,
	combout => \led_flash_cnt[941][0]~81581_combout\);

-- Location: FF_X18_Y2_N3
\led_flash_cnt[941][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[941][0]~81581_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[941][0]~q\);

-- Location: LCCOMB_X17_Y2_N2
\led_flash_cnt[941][1]~40054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[941][1]~40054_combout\ = (\led_flash_cnt[941][0]~q\ & (\led_flash_cnt[941][1]~q\ $ (VCC))) # (!\led_flash_cnt[941][0]~q\ & (\led_flash_cnt[941][1]~q\ & VCC))
-- \led_flash_cnt[941][1]~40055\ = CARRY((\led_flash_cnt[941][0]~q\ & \led_flash_cnt[941][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[941][0]~q\,
	datab => \led_flash_cnt[941][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[941][1]~40054_combout\,
	cout => \led_flash_cnt[941][1]~40055\);

-- Location: FF_X17_Y2_N3
\led_flash_cnt[941][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[941][1]~40054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[941][1]~q\);

-- Location: LCCOMB_X17_Y2_N4
\led_flash_cnt[941][2]~40056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[941][2]~40056_combout\ = (\led_flash_cnt[941][2]~q\ & (!\led_flash_cnt[941][1]~40055\)) # (!\led_flash_cnt[941][2]~q\ & ((\led_flash_cnt[941][1]~40055\) # (GND)))
-- \led_flash_cnt[941][2]~40057\ = CARRY((!\led_flash_cnt[941][1]~40055\) # (!\led_flash_cnt[941][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[941][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[941][1]~40055\,
	combout => \led_flash_cnt[941][2]~40056_combout\,
	cout => \led_flash_cnt[941][2]~40057\);

-- Location: FF_X17_Y2_N5
\led_flash_cnt[941][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[941][2]~40056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[941][2]~q\);

-- Location: LCCOMB_X17_Y2_N6
\led_flash_cnt[941][3]~40058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[941][3]~40058_combout\ = (\led_flash_cnt[941][3]~q\ & (\led_flash_cnt[941][2]~40057\ $ (GND))) # (!\led_flash_cnt[941][3]~q\ & (!\led_flash_cnt[941][2]~40057\ & VCC))
-- \led_flash_cnt[941][3]~40059\ = CARRY((\led_flash_cnt[941][3]~q\ & !\led_flash_cnt[941][2]~40057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[941][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[941][2]~40057\,
	combout => \led_flash_cnt[941][3]~40058_combout\,
	cout => \led_flash_cnt[941][3]~40059\);

-- Location: FF_X17_Y2_N7
\led_flash_cnt[941][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[941][3]~40058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[941][3]~q\);

-- Location: LCCOMB_X17_Y2_N8
\led_flash_cnt[941][4]~40060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[941][4]~40060_combout\ = (\led_flash_cnt[941][4]~q\ & (!\led_flash_cnt[941][3]~40059\)) # (!\led_flash_cnt[941][4]~q\ & ((\led_flash_cnt[941][3]~40059\) # (GND)))
-- \led_flash_cnt[941][4]~40061\ = CARRY((!\led_flash_cnt[941][3]~40059\) # (!\led_flash_cnt[941][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[941][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[941][3]~40059\,
	combout => \led_flash_cnt[941][4]~40060_combout\,
	cout => \led_flash_cnt[941][4]~40061\);

-- Location: FF_X17_Y2_N9
\led_flash_cnt[941][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[941][4]~40060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[941][4]~q\);

-- Location: LCCOMB_X17_Y2_N10
\led_flash_cnt[941][5]~40062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[941][5]~40062_combout\ = (\led_flash_cnt[941][5]~q\ & (\led_flash_cnt[941][4]~40061\ $ (GND))) # (!\led_flash_cnt[941][5]~q\ & (!\led_flash_cnt[941][4]~40061\ & VCC))
-- \led_flash_cnt[941][5]~40063\ = CARRY((\led_flash_cnt[941][5]~q\ & !\led_flash_cnt[941][4]~40061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[941][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[941][4]~40061\,
	combout => \led_flash_cnt[941][5]~40062_combout\,
	cout => \led_flash_cnt[941][5]~40063\);

-- Location: FF_X17_Y2_N11
\led_flash_cnt[941][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[941][5]~40062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[941][5]~q\);

-- Location: LCCOMB_X17_Y2_N12
\led_flash_cnt[941][6]~40064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[941][6]~40064_combout\ = (\led_flash_cnt[941][6]~q\ & (!\led_flash_cnt[941][5]~40063\)) # (!\led_flash_cnt[941][6]~q\ & ((\led_flash_cnt[941][5]~40063\) # (GND)))
-- \led_flash_cnt[941][6]~40065\ = CARRY((!\led_flash_cnt[941][5]~40063\) # (!\led_flash_cnt[941][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[941][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[941][5]~40063\,
	combout => \led_flash_cnt[941][6]~40064_combout\,
	cout => \led_flash_cnt[941][6]~40065\);

-- Location: FF_X17_Y2_N13
\led_flash_cnt[941][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[941][6]~40064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[941][6]~q\);

-- Location: LCCOMB_X17_Y2_N14
\led_flash_cnt[941][7]~40066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[941][7]~40066_combout\ = \led_flash_cnt[941][7]~q\ $ (!\led_flash_cnt[941][6]~40065\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[941][7]~q\,
	cin => \led_flash_cnt[941][6]~40065\,
	combout => \led_flash_cnt[941][7]~40066_combout\);

-- Location: FF_X17_Y2_N15
\led_flash_cnt[941][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[941][7]~40066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[941][7]~q\);

-- Location: LCCOMB_X18_Y2_N28
\WideAnd941~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd941~1_combout\ = (\led_flash_cnt[941][7]~q\ & \led_flash_cnt[941][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[941][7]~q\,
	datad => \led_flash_cnt[941][0]~q\,
	combout => \WideAnd941~1_combout\);

-- Location: LCCOMB_X17_Y2_N0
\WideAnd941~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd941~0_combout\ = (\led_flash_cnt[941][3]~q\ & (\led_flash_cnt[941][2]~q\ & (\led_flash_cnt[941][4]~q\ & \led_flash_cnt[941][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[941][3]~q\,
	datab => \led_flash_cnt[941][2]~q\,
	datac => \led_flash_cnt[941][4]~q\,
	datad => \led_flash_cnt[941][1]~q\,
	combout => \WideAnd941~0_combout\);

-- Location: LCCOMB_X18_Y2_N18
WideAnd941 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd941~combout\ = (\led_flash_cnt[941][5]~q\ & (\WideAnd941~1_combout\ & (\WideAnd941~0_combout\ & \led_flash_cnt[941][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[941][5]~q\,
	datab => \WideAnd941~1_combout\,
	datac => \WideAnd941~0_combout\,
	datad => \led_flash_cnt[941][6]~q\,
	combout => \WideAnd941~combout\);

-- Location: FF_X18_Y2_N19
\led_flash_cnt_ands[941]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd941~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(941));

-- Location: LCCOMB_X18_Y2_N22
\led_flash_cnt[940][0]~81580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[940][0]~81580_combout\ = !\led_flash_cnt[940][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[940][0]~q\,
	combout => \led_flash_cnt[940][0]~81580_combout\);

-- Location: FF_X18_Y2_N23
\led_flash_cnt[940][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[940][0]~81580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[940][0]~q\);

-- Location: LCCOMB_X18_Y2_N4
\led_flash_cnt[940][1]~40040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[940][1]~40040_combout\ = (\led_flash_cnt[940][0]~q\ & (\led_flash_cnt[940][1]~q\ $ (VCC))) # (!\led_flash_cnt[940][0]~q\ & (\led_flash_cnt[940][1]~q\ & VCC))
-- \led_flash_cnt[940][1]~40041\ = CARRY((\led_flash_cnt[940][0]~q\ & \led_flash_cnt[940][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[940][0]~q\,
	datab => \led_flash_cnt[940][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[940][1]~40040_combout\,
	cout => \led_flash_cnt[940][1]~40041\);

-- Location: FF_X18_Y2_N5
\led_flash_cnt[940][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[940][1]~40040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[940][1]~q\);

-- Location: LCCOMB_X18_Y2_N6
\led_flash_cnt[940][2]~40042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[940][2]~40042_combout\ = (\led_flash_cnt[940][2]~q\ & (!\led_flash_cnt[940][1]~40041\)) # (!\led_flash_cnt[940][2]~q\ & ((\led_flash_cnt[940][1]~40041\) # (GND)))
-- \led_flash_cnt[940][2]~40043\ = CARRY((!\led_flash_cnt[940][1]~40041\) # (!\led_flash_cnt[940][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[940][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[940][1]~40041\,
	combout => \led_flash_cnt[940][2]~40042_combout\,
	cout => \led_flash_cnt[940][2]~40043\);

-- Location: FF_X18_Y2_N7
\led_flash_cnt[940][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[940][2]~40042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[940][2]~q\);

-- Location: LCCOMB_X18_Y2_N8
\led_flash_cnt[940][3]~40044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[940][3]~40044_combout\ = (\led_flash_cnt[940][3]~q\ & (\led_flash_cnt[940][2]~40043\ $ (GND))) # (!\led_flash_cnt[940][3]~q\ & (!\led_flash_cnt[940][2]~40043\ & VCC))
-- \led_flash_cnt[940][3]~40045\ = CARRY((\led_flash_cnt[940][3]~q\ & !\led_flash_cnt[940][2]~40043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[940][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[940][2]~40043\,
	combout => \led_flash_cnt[940][3]~40044_combout\,
	cout => \led_flash_cnt[940][3]~40045\);

-- Location: FF_X18_Y2_N9
\led_flash_cnt[940][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[940][3]~40044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[940][3]~q\);

-- Location: LCCOMB_X18_Y2_N10
\led_flash_cnt[940][4]~40046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[940][4]~40046_combout\ = (\led_flash_cnt[940][4]~q\ & (!\led_flash_cnt[940][3]~40045\)) # (!\led_flash_cnt[940][4]~q\ & ((\led_flash_cnt[940][3]~40045\) # (GND)))
-- \led_flash_cnt[940][4]~40047\ = CARRY((!\led_flash_cnt[940][3]~40045\) # (!\led_flash_cnt[940][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[940][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[940][3]~40045\,
	combout => \led_flash_cnt[940][4]~40046_combout\,
	cout => \led_flash_cnt[940][4]~40047\);

-- Location: FF_X18_Y2_N11
\led_flash_cnt[940][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[940][4]~40046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[940][4]~q\);

-- Location: LCCOMB_X18_Y2_N20
\WideAnd940~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd940~0_combout\ = (\led_flash_cnt[940][4]~q\ & (\led_flash_cnt[940][3]~q\ & (\led_flash_cnt[940][1]~q\ & \led_flash_cnt[940][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[940][4]~q\,
	datab => \led_flash_cnt[940][3]~q\,
	datac => \led_flash_cnt[940][1]~q\,
	datad => \led_flash_cnt[940][2]~q\,
	combout => \WideAnd940~0_combout\);

-- Location: LCCOMB_X18_Y2_N12
\led_flash_cnt[940][5]~40048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[940][5]~40048_combout\ = (\led_flash_cnt[940][5]~q\ & (\led_flash_cnt[940][4]~40047\ $ (GND))) # (!\led_flash_cnt[940][5]~q\ & (!\led_flash_cnt[940][4]~40047\ & VCC))
-- \led_flash_cnt[940][5]~40049\ = CARRY((\led_flash_cnt[940][5]~q\ & !\led_flash_cnt[940][4]~40047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[940][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[940][4]~40047\,
	combout => \led_flash_cnt[940][5]~40048_combout\,
	cout => \led_flash_cnt[940][5]~40049\);

-- Location: FF_X18_Y2_N13
\led_flash_cnt[940][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[940][5]~40048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[940][5]~q\);

-- Location: LCCOMB_X18_Y2_N14
\led_flash_cnt[940][6]~40050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[940][6]~40050_combout\ = (\led_flash_cnt[940][6]~q\ & (!\led_flash_cnt[940][5]~40049\)) # (!\led_flash_cnt[940][6]~q\ & ((\led_flash_cnt[940][5]~40049\) # (GND)))
-- \led_flash_cnt[940][6]~40051\ = CARRY((!\led_flash_cnt[940][5]~40049\) # (!\led_flash_cnt[940][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[940][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[940][5]~40049\,
	combout => \led_flash_cnt[940][6]~40050_combout\,
	cout => \led_flash_cnt[940][6]~40051\);

-- Location: FF_X18_Y2_N15
\led_flash_cnt[940][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[940][6]~40050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[940][6]~q\);

-- Location: LCCOMB_X18_Y2_N26
\WideAnd940~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd940~1_combout\ = (\led_flash_cnt[940][6]~q\ & \led_flash_cnt[940][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[940][6]~q\,
	datad => \led_flash_cnt[940][5]~q\,
	combout => \WideAnd940~1_combout\);

-- Location: LCCOMB_X18_Y2_N16
\led_flash_cnt[940][7]~40052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[940][7]~40052_combout\ = \led_flash_cnt[940][6]~40051\ $ (!\led_flash_cnt[940][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[940][7]~q\,
	cin => \led_flash_cnt[940][6]~40051\,
	combout => \led_flash_cnt[940][7]~40052_combout\);

-- Location: FF_X18_Y2_N17
\led_flash_cnt[940][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[940][7]~40052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[940][7]~q\);

-- Location: LCCOMB_X18_Y2_N0
WideAnd940 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd940~combout\ = (\led_flash_cnt[940][0]~q\ & (\WideAnd940~0_combout\ & (\WideAnd940~1_combout\ & \led_flash_cnt[940][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[940][0]~q\,
	datab => \WideAnd940~0_combout\,
	datac => \WideAnd940~1_combout\,
	datad => \led_flash_cnt[940][7]~q\,
	combout => \WideAnd940~combout\);

-- Location: FF_X18_Y2_N1
\led_flash_cnt_ands[940]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd940~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(940));

-- Location: LCCOMB_X18_Y2_N30
\WideAnd3957~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3957~1_combout\ = (led_flash_cnt_ands(941) & led_flash_cnt_ands(940))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(941),
	datad => led_flash_cnt_ands(940),
	combout => \WideAnd3957~1_combout\);

-- Location: LCCOMB_X25_Y1_N22
\led_flash_cnt[942][0]~81582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[942][0]~81582_combout\ = !\led_flash_cnt[942][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[942][0]~q\,
	combout => \led_flash_cnt[942][0]~81582_combout\);

-- Location: FF_X25_Y1_N23
\led_flash_cnt[942][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[942][0]~81582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[942][0]~q\);

-- Location: LCCOMB_X23_Y1_N18
\led_flash_cnt[942][1]~40068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[942][1]~40068_combout\ = (\led_flash_cnt[942][0]~q\ & (\led_flash_cnt[942][1]~q\ $ (VCC))) # (!\led_flash_cnt[942][0]~q\ & (\led_flash_cnt[942][1]~q\ & VCC))
-- \led_flash_cnt[942][1]~40069\ = CARRY((\led_flash_cnt[942][0]~q\ & \led_flash_cnt[942][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[942][0]~q\,
	datab => \led_flash_cnt[942][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[942][1]~40068_combout\,
	cout => \led_flash_cnt[942][1]~40069\);

-- Location: FF_X23_Y1_N19
\led_flash_cnt[942][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[942][1]~40068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[942][1]~q\);

-- Location: LCCOMB_X23_Y1_N20
\led_flash_cnt[942][2]~40070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[942][2]~40070_combout\ = (\led_flash_cnt[942][2]~q\ & (!\led_flash_cnt[942][1]~40069\)) # (!\led_flash_cnt[942][2]~q\ & ((\led_flash_cnt[942][1]~40069\) # (GND)))
-- \led_flash_cnt[942][2]~40071\ = CARRY((!\led_flash_cnt[942][1]~40069\) # (!\led_flash_cnt[942][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[942][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[942][1]~40069\,
	combout => \led_flash_cnt[942][2]~40070_combout\,
	cout => \led_flash_cnt[942][2]~40071\);

-- Location: FF_X23_Y1_N21
\led_flash_cnt[942][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[942][2]~40070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[942][2]~q\);

-- Location: LCCOMB_X23_Y1_N22
\led_flash_cnt[942][3]~40072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[942][3]~40072_combout\ = (\led_flash_cnt[942][3]~q\ & (\led_flash_cnt[942][2]~40071\ $ (GND))) # (!\led_flash_cnt[942][3]~q\ & (!\led_flash_cnt[942][2]~40071\ & VCC))
-- \led_flash_cnt[942][3]~40073\ = CARRY((\led_flash_cnt[942][3]~q\ & !\led_flash_cnt[942][2]~40071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[942][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[942][2]~40071\,
	combout => \led_flash_cnt[942][3]~40072_combout\,
	cout => \led_flash_cnt[942][3]~40073\);

-- Location: FF_X23_Y1_N23
\led_flash_cnt[942][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[942][3]~40072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[942][3]~q\);

-- Location: LCCOMB_X23_Y1_N24
\led_flash_cnt[942][4]~40074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[942][4]~40074_combout\ = (\led_flash_cnt[942][4]~q\ & (!\led_flash_cnt[942][3]~40073\)) # (!\led_flash_cnt[942][4]~q\ & ((\led_flash_cnt[942][3]~40073\) # (GND)))
-- \led_flash_cnt[942][4]~40075\ = CARRY((!\led_flash_cnt[942][3]~40073\) # (!\led_flash_cnt[942][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[942][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[942][3]~40073\,
	combout => \led_flash_cnt[942][4]~40074_combout\,
	cout => \led_flash_cnt[942][4]~40075\);

-- Location: FF_X23_Y1_N25
\led_flash_cnt[942][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[942][4]~40074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[942][4]~q\);

-- Location: LCCOMB_X23_Y1_N2
\WideAnd942~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd942~0_combout\ = (\led_flash_cnt[942][4]~q\ & (\led_flash_cnt[942][1]~q\ & (\led_flash_cnt[942][3]~q\ & \led_flash_cnt[942][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[942][4]~q\,
	datab => \led_flash_cnt[942][1]~q\,
	datac => \led_flash_cnt[942][3]~q\,
	datad => \led_flash_cnt[942][2]~q\,
	combout => \WideAnd942~0_combout\);

-- Location: LCCOMB_X23_Y1_N26
\led_flash_cnt[942][5]~40076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[942][5]~40076_combout\ = (\led_flash_cnt[942][5]~q\ & (\led_flash_cnt[942][4]~40075\ $ (GND))) # (!\led_flash_cnt[942][5]~q\ & (!\led_flash_cnt[942][4]~40075\ & VCC))
-- \led_flash_cnt[942][5]~40077\ = CARRY((\led_flash_cnt[942][5]~q\ & !\led_flash_cnt[942][4]~40075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[942][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[942][4]~40075\,
	combout => \led_flash_cnt[942][5]~40076_combout\,
	cout => \led_flash_cnt[942][5]~40077\);

-- Location: FF_X23_Y1_N27
\led_flash_cnt[942][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[942][5]~40076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[942][5]~q\);

-- Location: LCCOMB_X23_Y1_N28
\led_flash_cnt[942][6]~40078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[942][6]~40078_combout\ = (\led_flash_cnt[942][6]~q\ & (!\led_flash_cnt[942][5]~40077\)) # (!\led_flash_cnt[942][6]~q\ & ((\led_flash_cnt[942][5]~40077\) # (GND)))
-- \led_flash_cnt[942][6]~40079\ = CARRY((!\led_flash_cnt[942][5]~40077\) # (!\led_flash_cnt[942][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[942][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[942][5]~40077\,
	combout => \led_flash_cnt[942][6]~40078_combout\,
	cout => \led_flash_cnt[942][6]~40079\);

-- Location: FF_X23_Y1_N29
\led_flash_cnt[942][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[942][6]~40078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[942][6]~q\);

-- Location: LCCOMB_X23_Y1_N30
\led_flash_cnt[942][7]~40080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[942][7]~40080_combout\ = \led_flash_cnt[942][7]~q\ $ (!\led_flash_cnt[942][6]~40079\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[942][7]~q\,
	cin => \led_flash_cnt[942][6]~40079\,
	combout => \led_flash_cnt[942][7]~40080_combout\);

-- Location: FF_X23_Y1_N31
\led_flash_cnt[942][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[942][7]~40080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[942][7]~q\);

-- Location: LCCOMB_X24_Y1_N26
\WideAnd942~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd942~1_combout\ = (\led_flash_cnt[942][5]~q\ & \led_flash_cnt[942][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[942][5]~q\,
	datad => \led_flash_cnt[942][6]~q\,
	combout => \WideAnd942~1_combout\);

-- Location: LCCOMB_X24_Y1_N20
WideAnd942 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd942~combout\ = (\WideAnd942~0_combout\ & (\led_flash_cnt[942][7]~q\ & (\WideAnd942~1_combout\ & \led_flash_cnt[942][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd942~0_combout\,
	datab => \led_flash_cnt[942][7]~q\,
	datac => \WideAnd942~1_combout\,
	datad => \led_flash_cnt[942][0]~q\,
	combout => \WideAnd942~combout\);

-- Location: FF_X24_Y1_N21
\led_flash_cnt_ands[942]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd942~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(942));

-- Location: LCCOMB_X24_Y1_N28
WideAnd3957 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3957~combout\ = (\WideAnd3957~0_combout\ & (led_flash_cnt_ands(943) & (\WideAnd3957~1_combout\ & led_flash_cnt_ands(942))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3957~0_combout\,
	datab => led_flash_cnt_ands(943),
	datac => \WideAnd3957~1_combout\,
	datad => led_flash_cnt_ands(942),
	combout => \WideAnd3957~combout\);

-- Location: FF_X24_Y1_N29
\led_flash_cnt_ands_1[117]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3957~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(117));

-- Location: LCCOMB_X24_Y5_N0
\WideAnd4334~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4334~1_combout\ = (led_flash_cnt_ands_1(116) & led_flash_cnt_ands_1(117))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands_1(116),
	datac => led_flash_cnt_ands_1(117),
	combout => \WideAnd4334~1_combout\);

-- Location: LCCOMB_X23_Y7_N16
WideAnd4334 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4334~combout\ = (led_flash_cnt_ands_1(118) & (led_flash_cnt_ands_1(119) & (\WideAnd4334~0_combout\ & \WideAnd4334~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(118),
	datab => led_flash_cnt_ands_1(119),
	datac => \WideAnd4334~0_combout\,
	datad => \WideAnd4334~1_combout\,
	combout => \WideAnd4334~combout\);

-- Location: FF_X23_Y7_N17
\led_flash_cnt_ands_2[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4334~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(14));

-- Location: LCCOMB_X52_Y44_N30
\led_flash_cnt[1015][0]~81655\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1015][0]~81655_combout\ = !\led_flash_cnt[1015][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1015][0]~q\,
	combout => \led_flash_cnt[1015][0]~81655_combout\);

-- Location: FF_X52_Y44_N31
\led_flash_cnt[1015][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1015][0]~81655_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1015][0]~q\);

-- Location: LCCOMB_X52_Y43_N2
\led_flash_cnt[1015][1]~41090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1015][1]~41090_combout\ = (\led_flash_cnt[1015][0]~q\ & (\led_flash_cnt[1015][1]~q\ $ (VCC))) # (!\led_flash_cnt[1015][0]~q\ & (\led_flash_cnt[1015][1]~q\ & VCC))
-- \led_flash_cnt[1015][1]~41091\ = CARRY((\led_flash_cnt[1015][0]~q\ & \led_flash_cnt[1015][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1015][0]~q\,
	datab => \led_flash_cnt[1015][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1015][1]~41090_combout\,
	cout => \led_flash_cnt[1015][1]~41091\);

-- Location: FF_X52_Y43_N3
\led_flash_cnt[1015][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1015][1]~41090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1015][1]~q\);

-- Location: LCCOMB_X52_Y43_N4
\led_flash_cnt[1015][2]~41092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1015][2]~41092_combout\ = (\led_flash_cnt[1015][2]~q\ & (!\led_flash_cnt[1015][1]~41091\)) # (!\led_flash_cnt[1015][2]~q\ & ((\led_flash_cnt[1015][1]~41091\) # (GND)))
-- \led_flash_cnt[1015][2]~41093\ = CARRY((!\led_flash_cnt[1015][1]~41091\) # (!\led_flash_cnt[1015][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1015][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1015][1]~41091\,
	combout => \led_flash_cnt[1015][2]~41092_combout\,
	cout => \led_flash_cnt[1015][2]~41093\);

-- Location: FF_X52_Y43_N5
\led_flash_cnt[1015][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1015][2]~41092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1015][2]~q\);

-- Location: LCCOMB_X52_Y43_N6
\led_flash_cnt[1015][3]~41094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1015][3]~41094_combout\ = (\led_flash_cnt[1015][3]~q\ & (\led_flash_cnt[1015][2]~41093\ $ (GND))) # (!\led_flash_cnt[1015][3]~q\ & (!\led_flash_cnt[1015][2]~41093\ & VCC))
-- \led_flash_cnt[1015][3]~41095\ = CARRY((\led_flash_cnt[1015][3]~q\ & !\led_flash_cnt[1015][2]~41093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1015][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1015][2]~41093\,
	combout => \led_flash_cnt[1015][3]~41094_combout\,
	cout => \led_flash_cnt[1015][3]~41095\);

-- Location: FF_X52_Y43_N7
\led_flash_cnt[1015][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1015][3]~41094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1015][3]~q\);

-- Location: LCCOMB_X52_Y43_N8
\led_flash_cnt[1015][4]~41096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1015][4]~41096_combout\ = (\led_flash_cnt[1015][4]~q\ & (!\led_flash_cnt[1015][3]~41095\)) # (!\led_flash_cnt[1015][4]~q\ & ((\led_flash_cnt[1015][3]~41095\) # (GND)))
-- \led_flash_cnt[1015][4]~41097\ = CARRY((!\led_flash_cnt[1015][3]~41095\) # (!\led_flash_cnt[1015][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1015][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1015][3]~41095\,
	combout => \led_flash_cnt[1015][4]~41096_combout\,
	cout => \led_flash_cnt[1015][4]~41097\);

-- Location: FF_X52_Y43_N9
\led_flash_cnt[1015][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1015][4]~41096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1015][4]~q\);

-- Location: LCCOMB_X52_Y43_N30
\WideAnd1015~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1015~0_combout\ = (\led_flash_cnt[1015][3]~q\ & (\led_flash_cnt[1015][4]~q\ & (\led_flash_cnt[1015][2]~q\ & \led_flash_cnt[1015][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1015][3]~q\,
	datab => \led_flash_cnt[1015][4]~q\,
	datac => \led_flash_cnt[1015][2]~q\,
	datad => \led_flash_cnt[1015][1]~q\,
	combout => \WideAnd1015~0_combout\);

-- Location: LCCOMB_X52_Y43_N10
\led_flash_cnt[1015][5]~41098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1015][5]~41098_combout\ = (\led_flash_cnt[1015][5]~q\ & (\led_flash_cnt[1015][4]~41097\ $ (GND))) # (!\led_flash_cnt[1015][5]~q\ & (!\led_flash_cnt[1015][4]~41097\ & VCC))
-- \led_flash_cnt[1015][5]~41099\ = CARRY((\led_flash_cnt[1015][5]~q\ & !\led_flash_cnt[1015][4]~41097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1015][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1015][4]~41097\,
	combout => \led_flash_cnt[1015][5]~41098_combout\,
	cout => \led_flash_cnt[1015][5]~41099\);

-- Location: FF_X52_Y43_N11
\led_flash_cnt[1015][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1015][5]~41098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1015][5]~q\);

-- Location: LCCOMB_X52_Y43_N12
\led_flash_cnt[1015][6]~41100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1015][6]~41100_combout\ = (\led_flash_cnt[1015][6]~q\ & (!\led_flash_cnt[1015][5]~41099\)) # (!\led_flash_cnt[1015][6]~q\ & ((\led_flash_cnt[1015][5]~41099\) # (GND)))
-- \led_flash_cnt[1015][6]~41101\ = CARRY((!\led_flash_cnt[1015][5]~41099\) # (!\led_flash_cnt[1015][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1015][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1015][5]~41099\,
	combout => \led_flash_cnt[1015][6]~41100_combout\,
	cout => \led_flash_cnt[1015][6]~41101\);

-- Location: FF_X52_Y43_N13
\led_flash_cnt[1015][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1015][6]~41100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1015][6]~q\);

-- Location: LCCOMB_X52_Y43_N0
\WideAnd1015~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1015~1_combout\ = (\led_flash_cnt[1015][6]~q\ & \led_flash_cnt[1015][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1015][6]~q\,
	datad => \led_flash_cnt[1015][5]~q\,
	combout => \WideAnd1015~1_combout\);

-- Location: LCCOMB_X52_Y43_N14
\led_flash_cnt[1015][7]~41102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1015][7]~41102_combout\ = \led_flash_cnt[1015][7]~q\ $ (!\led_flash_cnt[1015][6]~41101\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1015][7]~q\,
	cin => \led_flash_cnt[1015][6]~41101\,
	combout => \led_flash_cnt[1015][7]~41102_combout\);

-- Location: FF_X52_Y43_N15
\led_flash_cnt[1015][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1015][7]~41102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1015][7]~q\);

-- Location: LCCOMB_X52_Y44_N26
WideAnd1015 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1015~combout\ = (\WideAnd1015~0_combout\ & (\WideAnd1015~1_combout\ & (\led_flash_cnt[1015][0]~q\ & \led_flash_cnt[1015][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1015~0_combout\,
	datab => \WideAnd1015~1_combout\,
	datac => \led_flash_cnt[1015][0]~q\,
	datad => \led_flash_cnt[1015][7]~q\,
	combout => \WideAnd1015~combout\);

-- Location: FF_X52_Y44_N27
\led_flash_cnt_ands[1015]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1015~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1015));

-- Location: LCCOMB_X52_Y48_N8
\led_flash_cnt[1011][0]~81651\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1011][0]~81651_combout\ = !\led_flash_cnt[1011][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1011][0]~q\,
	combout => \led_flash_cnt[1011][0]~81651_combout\);

-- Location: FF_X52_Y48_N9
\led_flash_cnt[1011][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1011][0]~81651_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1011][0]~q\);

-- Location: LCCOMB_X52_Y48_N10
\led_flash_cnt[1011][1]~41034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1011][1]~41034_combout\ = (\led_flash_cnt[1011][1]~q\ & (\led_flash_cnt[1011][0]~q\ $ (VCC))) # (!\led_flash_cnt[1011][1]~q\ & (\led_flash_cnt[1011][0]~q\ & VCC))
-- \led_flash_cnt[1011][1]~41035\ = CARRY((\led_flash_cnt[1011][1]~q\ & \led_flash_cnt[1011][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1011][1]~q\,
	datab => \led_flash_cnt[1011][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1011][1]~41034_combout\,
	cout => \led_flash_cnt[1011][1]~41035\);

-- Location: FF_X52_Y48_N11
\led_flash_cnt[1011][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1011][1]~41034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1011][1]~q\);

-- Location: LCCOMB_X52_Y48_N12
\led_flash_cnt[1011][2]~41036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1011][2]~41036_combout\ = (\led_flash_cnt[1011][2]~q\ & (!\led_flash_cnt[1011][1]~41035\)) # (!\led_flash_cnt[1011][2]~q\ & ((\led_flash_cnt[1011][1]~41035\) # (GND)))
-- \led_flash_cnt[1011][2]~41037\ = CARRY((!\led_flash_cnt[1011][1]~41035\) # (!\led_flash_cnt[1011][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1011][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1011][1]~41035\,
	combout => \led_flash_cnt[1011][2]~41036_combout\,
	cout => \led_flash_cnt[1011][2]~41037\);

-- Location: FF_X52_Y48_N13
\led_flash_cnt[1011][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1011][2]~41036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1011][2]~q\);

-- Location: LCCOMB_X52_Y48_N14
\led_flash_cnt[1011][3]~41038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1011][3]~41038_combout\ = (\led_flash_cnt[1011][3]~q\ & (\led_flash_cnt[1011][2]~41037\ $ (GND))) # (!\led_flash_cnt[1011][3]~q\ & (!\led_flash_cnt[1011][2]~41037\ & VCC))
-- \led_flash_cnt[1011][3]~41039\ = CARRY((\led_flash_cnt[1011][3]~q\ & !\led_flash_cnt[1011][2]~41037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1011][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1011][2]~41037\,
	combout => \led_flash_cnt[1011][3]~41038_combout\,
	cout => \led_flash_cnt[1011][3]~41039\);

-- Location: FF_X52_Y48_N15
\led_flash_cnt[1011][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1011][3]~41038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1011][3]~q\);

-- Location: LCCOMB_X52_Y48_N16
\led_flash_cnt[1011][4]~41040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1011][4]~41040_combout\ = (\led_flash_cnt[1011][4]~q\ & (!\led_flash_cnt[1011][3]~41039\)) # (!\led_flash_cnt[1011][4]~q\ & ((\led_flash_cnt[1011][3]~41039\) # (GND)))
-- \led_flash_cnt[1011][4]~41041\ = CARRY((!\led_flash_cnt[1011][3]~41039\) # (!\led_flash_cnt[1011][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1011][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1011][3]~41039\,
	combout => \led_flash_cnt[1011][4]~41040_combout\,
	cout => \led_flash_cnt[1011][4]~41041\);

-- Location: FF_X52_Y48_N17
\led_flash_cnt[1011][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1011][4]~41040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1011][4]~q\);

-- Location: LCCOMB_X52_Y48_N18
\led_flash_cnt[1011][5]~41042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1011][5]~41042_combout\ = (\led_flash_cnt[1011][5]~q\ & (\led_flash_cnt[1011][4]~41041\ $ (GND))) # (!\led_flash_cnt[1011][5]~q\ & (!\led_flash_cnt[1011][4]~41041\ & VCC))
-- \led_flash_cnt[1011][5]~41043\ = CARRY((\led_flash_cnt[1011][5]~q\ & !\led_flash_cnt[1011][4]~41041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1011][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1011][4]~41041\,
	combout => \led_flash_cnt[1011][5]~41042_combout\,
	cout => \led_flash_cnt[1011][5]~41043\);

-- Location: FF_X52_Y48_N19
\led_flash_cnt[1011][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1011][5]~41042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1011][5]~q\);

-- Location: LCCOMB_X52_Y48_N20
\led_flash_cnt[1011][6]~41044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1011][6]~41044_combout\ = (\led_flash_cnt[1011][6]~q\ & (!\led_flash_cnt[1011][5]~41043\)) # (!\led_flash_cnt[1011][6]~q\ & ((\led_flash_cnt[1011][5]~41043\) # (GND)))
-- \led_flash_cnt[1011][6]~41045\ = CARRY((!\led_flash_cnt[1011][5]~41043\) # (!\led_flash_cnt[1011][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1011][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1011][5]~41043\,
	combout => \led_flash_cnt[1011][6]~41044_combout\,
	cout => \led_flash_cnt[1011][6]~41045\);

-- Location: FF_X52_Y48_N21
\led_flash_cnt[1011][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1011][6]~41044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1011][6]~q\);

-- Location: LCCOMB_X52_Y48_N26
\WideAnd1011~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1011~1_combout\ = (\led_flash_cnt[1011][6]~q\ & \led_flash_cnt[1011][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1011][6]~q\,
	datad => \led_flash_cnt[1011][5]~q\,
	combout => \WideAnd1011~1_combout\);

-- Location: LCCOMB_X52_Y48_N22
\led_flash_cnt[1011][7]~41046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1011][7]~41046_combout\ = \led_flash_cnt[1011][7]~q\ $ (!\led_flash_cnt[1011][6]~41045\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1011][7]~q\,
	cin => \led_flash_cnt[1011][6]~41045\,
	combout => \led_flash_cnt[1011][7]~41046_combout\);

-- Location: FF_X52_Y48_N23
\led_flash_cnt[1011][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1011][7]~41046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1011][7]~q\);

-- Location: LCCOMB_X52_Y48_N24
\WideAnd1011~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1011~0_combout\ = (\led_flash_cnt[1011][2]~q\ & (\led_flash_cnt[1011][4]~q\ & (\led_flash_cnt[1011][3]~q\ & \led_flash_cnt[1011][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1011][2]~q\,
	datab => \led_flash_cnt[1011][4]~q\,
	datac => \led_flash_cnt[1011][3]~q\,
	datad => \led_flash_cnt[1011][1]~q\,
	combout => \WideAnd1011~0_combout\);

-- Location: LCCOMB_X52_Y48_N30
WideAnd1011 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1011~combout\ = (\WideAnd1011~1_combout\ & (\led_flash_cnt[1011][0]~q\ & (\led_flash_cnt[1011][7]~q\ & \WideAnd1011~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1011~1_combout\,
	datab => \led_flash_cnt[1011][0]~q\,
	datac => \led_flash_cnt[1011][7]~q\,
	datad => \WideAnd1011~0_combout\,
	combout => \WideAnd1011~combout\);

-- Location: FF_X52_Y48_N31
\led_flash_cnt_ands[1011]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1011~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1011));

-- Location: LCCOMB_X57_Y48_N30
\led_flash_cnt[1010][0]~81650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1010][0]~81650_combout\ = !\led_flash_cnt[1010][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1010][0]~q\,
	combout => \led_flash_cnt[1010][0]~81650_combout\);

-- Location: FF_X57_Y48_N31
\led_flash_cnt[1010][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1010][0]~81650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1010][0]~q\);

-- Location: LCCOMB_X57_Y48_N4
\led_flash_cnt[1010][1]~41020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1010][1]~41020_combout\ = (\led_flash_cnt[1010][0]~q\ & (\led_flash_cnt[1010][1]~q\ $ (VCC))) # (!\led_flash_cnt[1010][0]~q\ & (\led_flash_cnt[1010][1]~q\ & VCC))
-- \led_flash_cnt[1010][1]~41021\ = CARRY((\led_flash_cnt[1010][0]~q\ & \led_flash_cnt[1010][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1010][0]~q\,
	datab => \led_flash_cnt[1010][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1010][1]~41020_combout\,
	cout => \led_flash_cnt[1010][1]~41021\);

-- Location: FF_X57_Y48_N5
\led_flash_cnt[1010][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1010][1]~41020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1010][1]~q\);

-- Location: LCCOMB_X57_Y48_N6
\led_flash_cnt[1010][2]~41022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1010][2]~41022_combout\ = (\led_flash_cnt[1010][2]~q\ & (!\led_flash_cnt[1010][1]~41021\)) # (!\led_flash_cnt[1010][2]~q\ & ((\led_flash_cnt[1010][1]~41021\) # (GND)))
-- \led_flash_cnt[1010][2]~41023\ = CARRY((!\led_flash_cnt[1010][1]~41021\) # (!\led_flash_cnt[1010][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1010][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1010][1]~41021\,
	combout => \led_flash_cnt[1010][2]~41022_combout\,
	cout => \led_flash_cnt[1010][2]~41023\);

-- Location: FF_X57_Y48_N7
\led_flash_cnt[1010][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1010][2]~41022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1010][2]~q\);

-- Location: LCCOMB_X57_Y48_N8
\led_flash_cnt[1010][3]~41024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1010][3]~41024_combout\ = (\led_flash_cnt[1010][3]~q\ & (\led_flash_cnt[1010][2]~41023\ $ (GND))) # (!\led_flash_cnt[1010][3]~q\ & (!\led_flash_cnt[1010][2]~41023\ & VCC))
-- \led_flash_cnt[1010][3]~41025\ = CARRY((\led_flash_cnt[1010][3]~q\ & !\led_flash_cnt[1010][2]~41023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1010][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1010][2]~41023\,
	combout => \led_flash_cnt[1010][3]~41024_combout\,
	cout => \led_flash_cnt[1010][3]~41025\);

-- Location: FF_X57_Y48_N9
\led_flash_cnt[1010][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1010][3]~41024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1010][3]~q\);

-- Location: LCCOMB_X57_Y48_N10
\led_flash_cnt[1010][4]~41026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1010][4]~41026_combout\ = (\led_flash_cnt[1010][4]~q\ & (!\led_flash_cnt[1010][3]~41025\)) # (!\led_flash_cnt[1010][4]~q\ & ((\led_flash_cnt[1010][3]~41025\) # (GND)))
-- \led_flash_cnt[1010][4]~41027\ = CARRY((!\led_flash_cnt[1010][3]~41025\) # (!\led_flash_cnt[1010][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1010][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1010][3]~41025\,
	combout => \led_flash_cnt[1010][4]~41026_combout\,
	cout => \led_flash_cnt[1010][4]~41027\);

-- Location: FF_X57_Y48_N11
\led_flash_cnt[1010][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1010][4]~41026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1010][4]~q\);

-- Location: LCCOMB_X57_Y48_N12
\led_flash_cnt[1010][5]~41028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1010][5]~41028_combout\ = (\led_flash_cnt[1010][5]~q\ & (\led_flash_cnt[1010][4]~41027\ $ (GND))) # (!\led_flash_cnt[1010][5]~q\ & (!\led_flash_cnt[1010][4]~41027\ & VCC))
-- \led_flash_cnt[1010][5]~41029\ = CARRY((\led_flash_cnt[1010][5]~q\ & !\led_flash_cnt[1010][4]~41027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1010][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1010][4]~41027\,
	combout => \led_flash_cnt[1010][5]~41028_combout\,
	cout => \led_flash_cnt[1010][5]~41029\);

-- Location: FF_X57_Y48_N13
\led_flash_cnt[1010][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1010][5]~41028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1010][5]~q\);

-- Location: LCCOMB_X57_Y48_N14
\led_flash_cnt[1010][6]~41030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1010][6]~41030_combout\ = (\led_flash_cnt[1010][6]~q\ & (!\led_flash_cnt[1010][5]~41029\)) # (!\led_flash_cnt[1010][6]~q\ & ((\led_flash_cnt[1010][5]~41029\) # (GND)))
-- \led_flash_cnt[1010][6]~41031\ = CARRY((!\led_flash_cnt[1010][5]~41029\) # (!\led_flash_cnt[1010][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1010][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1010][5]~41029\,
	combout => \led_flash_cnt[1010][6]~41030_combout\,
	cout => \led_flash_cnt[1010][6]~41031\);

-- Location: FF_X57_Y48_N15
\led_flash_cnt[1010][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1010][6]~41030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1010][6]~q\);

-- Location: LCCOMB_X57_Y48_N16
\led_flash_cnt[1010][7]~41032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1010][7]~41032_combout\ = \led_flash_cnt[1010][6]~41031\ $ (!\led_flash_cnt[1010][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1010][7]~q\,
	cin => \led_flash_cnt[1010][6]~41031\,
	combout => \led_flash_cnt[1010][7]~41032_combout\);

-- Location: FF_X57_Y48_N17
\led_flash_cnt[1010][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1010][7]~41032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1010][7]~q\);

-- Location: LCCOMB_X57_Y48_N22
\WideAnd1010~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1010~1_combout\ = (\led_flash_cnt[1010][6]~q\ & \led_flash_cnt[1010][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1010][6]~q\,
	datad => \led_flash_cnt[1010][5]~q\,
	combout => \WideAnd1010~1_combout\);

-- Location: LCCOMB_X57_Y48_N18
\WideAnd1010~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1010~0_combout\ = (\led_flash_cnt[1010][4]~q\ & (\led_flash_cnt[1010][3]~q\ & (\led_flash_cnt[1010][1]~q\ & \led_flash_cnt[1010][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1010][4]~q\,
	datab => \led_flash_cnt[1010][3]~q\,
	datac => \led_flash_cnt[1010][1]~q\,
	datad => \led_flash_cnt[1010][2]~q\,
	combout => \WideAnd1010~0_combout\);

-- Location: LCCOMB_X57_Y48_N26
WideAnd1010 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1010~combout\ = (\led_flash_cnt[1010][0]~q\ & (\led_flash_cnt[1010][7]~q\ & (\WideAnd1010~1_combout\ & \WideAnd1010~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1010][0]~q\,
	datab => \led_flash_cnt[1010][7]~q\,
	datac => \WideAnd1010~1_combout\,
	datad => \WideAnd1010~0_combout\,
	combout => \WideAnd1010~combout\);

-- Location: FF_X57_Y48_N27
\led_flash_cnt_ands[1010]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1010~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1010));

-- Location: LCCOMB_X59_Y43_N18
\led_flash_cnt[1009][0]~81649\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1009][0]~81649_combout\ = !\led_flash_cnt[1009][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1009][0]~q\,
	combout => \led_flash_cnt[1009][0]~81649_combout\);

-- Location: FF_X59_Y43_N19
\led_flash_cnt[1009][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1009][0]~81649_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1009][0]~q\);

-- Location: LCCOMB_X59_Y43_N0
\led_flash_cnt[1009][1]~41006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1009][1]~41006_combout\ = (\led_flash_cnt[1009][1]~q\ & (\led_flash_cnt[1009][0]~q\ $ (VCC))) # (!\led_flash_cnt[1009][1]~q\ & (\led_flash_cnt[1009][0]~q\ & VCC))
-- \led_flash_cnt[1009][1]~41007\ = CARRY((\led_flash_cnt[1009][1]~q\ & \led_flash_cnt[1009][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1009][1]~q\,
	datab => \led_flash_cnt[1009][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1009][1]~41006_combout\,
	cout => \led_flash_cnt[1009][1]~41007\);

-- Location: FF_X59_Y43_N1
\led_flash_cnt[1009][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1009][1]~41006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1009][1]~q\);

-- Location: LCCOMB_X59_Y43_N2
\led_flash_cnt[1009][2]~41008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1009][2]~41008_combout\ = (\led_flash_cnt[1009][2]~q\ & (!\led_flash_cnt[1009][1]~41007\)) # (!\led_flash_cnt[1009][2]~q\ & ((\led_flash_cnt[1009][1]~41007\) # (GND)))
-- \led_flash_cnt[1009][2]~41009\ = CARRY((!\led_flash_cnt[1009][1]~41007\) # (!\led_flash_cnt[1009][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1009][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1009][1]~41007\,
	combout => \led_flash_cnt[1009][2]~41008_combout\,
	cout => \led_flash_cnt[1009][2]~41009\);

-- Location: FF_X59_Y43_N3
\led_flash_cnt[1009][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1009][2]~41008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1009][2]~q\);

-- Location: LCCOMB_X59_Y43_N4
\led_flash_cnt[1009][3]~41010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1009][3]~41010_combout\ = (\led_flash_cnt[1009][3]~q\ & (\led_flash_cnt[1009][2]~41009\ $ (GND))) # (!\led_flash_cnt[1009][3]~q\ & (!\led_flash_cnt[1009][2]~41009\ & VCC))
-- \led_flash_cnt[1009][3]~41011\ = CARRY((\led_flash_cnt[1009][3]~q\ & !\led_flash_cnt[1009][2]~41009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1009][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1009][2]~41009\,
	combout => \led_flash_cnt[1009][3]~41010_combout\,
	cout => \led_flash_cnt[1009][3]~41011\);

-- Location: FF_X59_Y43_N5
\led_flash_cnt[1009][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1009][3]~41010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1009][3]~q\);

-- Location: LCCOMB_X59_Y43_N6
\led_flash_cnt[1009][4]~41012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1009][4]~41012_combout\ = (\led_flash_cnt[1009][4]~q\ & (!\led_flash_cnt[1009][3]~41011\)) # (!\led_flash_cnt[1009][4]~q\ & ((\led_flash_cnt[1009][3]~41011\) # (GND)))
-- \led_flash_cnt[1009][4]~41013\ = CARRY((!\led_flash_cnt[1009][3]~41011\) # (!\led_flash_cnt[1009][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1009][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1009][3]~41011\,
	combout => \led_flash_cnt[1009][4]~41012_combout\,
	cout => \led_flash_cnt[1009][4]~41013\);

-- Location: FF_X59_Y43_N7
\led_flash_cnt[1009][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1009][4]~41012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1009][4]~q\);

-- Location: LCCOMB_X59_Y43_N8
\led_flash_cnt[1009][5]~41014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1009][5]~41014_combout\ = (\led_flash_cnt[1009][5]~q\ & (\led_flash_cnt[1009][4]~41013\ $ (GND))) # (!\led_flash_cnt[1009][5]~q\ & (!\led_flash_cnt[1009][4]~41013\ & VCC))
-- \led_flash_cnt[1009][5]~41015\ = CARRY((\led_flash_cnt[1009][5]~q\ & !\led_flash_cnt[1009][4]~41013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1009][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1009][4]~41013\,
	combout => \led_flash_cnt[1009][5]~41014_combout\,
	cout => \led_flash_cnt[1009][5]~41015\);

-- Location: FF_X59_Y43_N9
\led_flash_cnt[1009][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1009][5]~41014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1009][5]~q\);

-- Location: LCCOMB_X59_Y43_N10
\led_flash_cnt[1009][6]~41016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1009][6]~41016_combout\ = (\led_flash_cnt[1009][6]~q\ & (!\led_flash_cnt[1009][5]~41015\)) # (!\led_flash_cnt[1009][6]~q\ & ((\led_flash_cnt[1009][5]~41015\) # (GND)))
-- \led_flash_cnt[1009][6]~41017\ = CARRY((!\led_flash_cnt[1009][5]~41015\) # (!\led_flash_cnt[1009][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1009][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1009][5]~41015\,
	combout => \led_flash_cnt[1009][6]~41016_combout\,
	cout => \led_flash_cnt[1009][6]~41017\);

-- Location: FF_X59_Y43_N11
\led_flash_cnt[1009][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1009][6]~41016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1009][6]~q\);

-- Location: LCCOMB_X59_Y43_N12
\led_flash_cnt[1009][7]~41018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1009][7]~41018_combout\ = \led_flash_cnt[1009][6]~41017\ $ (!\led_flash_cnt[1009][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1009][7]~q\,
	cin => \led_flash_cnt[1009][6]~41017\,
	combout => \led_flash_cnt[1009][7]~41018_combout\);

-- Location: FF_X59_Y43_N13
\led_flash_cnt[1009][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1009][7]~41018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1009][7]~q\);

-- Location: LCCOMB_X59_Y43_N20
\WideAnd1009~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1009~0_combout\ = (\led_flash_cnt[1009][4]~q\ & (\led_flash_cnt[1009][3]~q\ & (\led_flash_cnt[1009][1]~q\ & \led_flash_cnt[1009][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1009][4]~q\,
	datab => \led_flash_cnt[1009][3]~q\,
	datac => \led_flash_cnt[1009][1]~q\,
	datad => \led_flash_cnt[1009][2]~q\,
	combout => \WideAnd1009~0_combout\);

-- Location: LCCOMB_X59_Y43_N30
\WideAnd1009~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1009~1_combout\ = (\led_flash_cnt[1009][5]~q\ & \led_flash_cnt[1009][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1009][5]~q\,
	datad => \led_flash_cnt[1009][6]~q\,
	combout => \WideAnd1009~1_combout\);

-- Location: LCCOMB_X59_Y43_N22
WideAnd1009 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1009~combout\ = (\led_flash_cnt[1009][7]~q\ & (\WideAnd1009~0_combout\ & (\WideAnd1009~1_combout\ & \led_flash_cnt[1009][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1009][7]~q\,
	datab => \WideAnd1009~0_combout\,
	datac => \WideAnd1009~1_combout\,
	datad => \led_flash_cnt[1009][0]~q\,
	combout => \WideAnd1009~combout\);

-- Location: FF_X59_Y43_N23
\led_flash_cnt_ands[1009]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1009~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1009));

-- Location: LCCOMB_X52_Y51_N24
\led_flash_cnt[1008][0]~81648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1008][0]~81648_combout\ = !\led_flash_cnt[1008][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1008][0]~q\,
	combout => \led_flash_cnt[1008][0]~81648_combout\);

-- Location: FF_X52_Y51_N25
\led_flash_cnt[1008][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1008][0]~81648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1008][0]~q\);

-- Location: LCCOMB_X52_Y51_N6
\led_flash_cnt[1008][1]~40992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1008][1]~40992_combout\ = (\led_flash_cnt[1008][1]~q\ & (\led_flash_cnt[1008][0]~q\ $ (VCC))) # (!\led_flash_cnt[1008][1]~q\ & (\led_flash_cnt[1008][0]~q\ & VCC))
-- \led_flash_cnt[1008][1]~40993\ = CARRY((\led_flash_cnt[1008][1]~q\ & \led_flash_cnt[1008][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1008][1]~q\,
	datab => \led_flash_cnt[1008][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1008][1]~40992_combout\,
	cout => \led_flash_cnt[1008][1]~40993\);

-- Location: FF_X52_Y51_N7
\led_flash_cnt[1008][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1008][1]~40992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1008][1]~q\);

-- Location: LCCOMB_X52_Y51_N8
\led_flash_cnt[1008][2]~40994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1008][2]~40994_combout\ = (\led_flash_cnt[1008][2]~q\ & (!\led_flash_cnt[1008][1]~40993\)) # (!\led_flash_cnt[1008][2]~q\ & ((\led_flash_cnt[1008][1]~40993\) # (GND)))
-- \led_flash_cnt[1008][2]~40995\ = CARRY((!\led_flash_cnt[1008][1]~40993\) # (!\led_flash_cnt[1008][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1008][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1008][1]~40993\,
	combout => \led_flash_cnt[1008][2]~40994_combout\,
	cout => \led_flash_cnt[1008][2]~40995\);

-- Location: FF_X52_Y51_N9
\led_flash_cnt[1008][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1008][2]~40994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1008][2]~q\);

-- Location: LCCOMB_X52_Y51_N10
\led_flash_cnt[1008][3]~40996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1008][3]~40996_combout\ = (\led_flash_cnt[1008][3]~q\ & (\led_flash_cnt[1008][2]~40995\ $ (GND))) # (!\led_flash_cnt[1008][3]~q\ & (!\led_flash_cnt[1008][2]~40995\ & VCC))
-- \led_flash_cnt[1008][3]~40997\ = CARRY((\led_flash_cnt[1008][3]~q\ & !\led_flash_cnt[1008][2]~40995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1008][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1008][2]~40995\,
	combout => \led_flash_cnt[1008][3]~40996_combout\,
	cout => \led_flash_cnt[1008][3]~40997\);

-- Location: FF_X52_Y51_N11
\led_flash_cnt[1008][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1008][3]~40996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1008][3]~q\);

-- Location: LCCOMB_X52_Y51_N12
\led_flash_cnt[1008][4]~40998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1008][4]~40998_combout\ = (\led_flash_cnt[1008][4]~q\ & (!\led_flash_cnt[1008][3]~40997\)) # (!\led_flash_cnt[1008][4]~q\ & ((\led_flash_cnt[1008][3]~40997\) # (GND)))
-- \led_flash_cnt[1008][4]~40999\ = CARRY((!\led_flash_cnt[1008][3]~40997\) # (!\led_flash_cnt[1008][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1008][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1008][3]~40997\,
	combout => \led_flash_cnt[1008][4]~40998_combout\,
	cout => \led_flash_cnt[1008][4]~40999\);

-- Location: FF_X52_Y51_N13
\led_flash_cnt[1008][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1008][4]~40998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1008][4]~q\);

-- Location: LCCOMB_X52_Y51_N22
\WideAnd1008~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1008~0_combout\ = (\led_flash_cnt[1008][3]~q\ & (\led_flash_cnt[1008][4]~q\ & (\led_flash_cnt[1008][2]~q\ & \led_flash_cnt[1008][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1008][3]~q\,
	datab => \led_flash_cnt[1008][4]~q\,
	datac => \led_flash_cnt[1008][2]~q\,
	datad => \led_flash_cnt[1008][1]~q\,
	combout => \WideAnd1008~0_combout\);

-- Location: LCCOMB_X52_Y51_N14
\led_flash_cnt[1008][5]~41000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1008][5]~41000_combout\ = (\led_flash_cnt[1008][5]~q\ & (\led_flash_cnt[1008][4]~40999\ $ (GND))) # (!\led_flash_cnt[1008][5]~q\ & (!\led_flash_cnt[1008][4]~40999\ & VCC))
-- \led_flash_cnt[1008][5]~41001\ = CARRY((\led_flash_cnt[1008][5]~q\ & !\led_flash_cnt[1008][4]~40999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1008][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1008][4]~40999\,
	combout => \led_flash_cnt[1008][5]~41000_combout\,
	cout => \led_flash_cnt[1008][5]~41001\);

-- Location: FF_X52_Y51_N15
\led_flash_cnt[1008][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1008][5]~41000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1008][5]~q\);

-- Location: LCCOMB_X52_Y51_N16
\led_flash_cnt[1008][6]~41002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1008][6]~41002_combout\ = (\led_flash_cnt[1008][6]~q\ & (!\led_flash_cnt[1008][5]~41001\)) # (!\led_flash_cnt[1008][6]~q\ & ((\led_flash_cnt[1008][5]~41001\) # (GND)))
-- \led_flash_cnt[1008][6]~41003\ = CARRY((!\led_flash_cnt[1008][5]~41001\) # (!\led_flash_cnt[1008][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1008][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1008][5]~41001\,
	combout => \led_flash_cnt[1008][6]~41002_combout\,
	cout => \led_flash_cnt[1008][6]~41003\);

-- Location: FF_X52_Y51_N17
\led_flash_cnt[1008][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1008][6]~41002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1008][6]~q\);

-- Location: LCCOMB_X52_Y51_N18
\led_flash_cnt[1008][7]~41004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1008][7]~41004_combout\ = \led_flash_cnt[1008][6]~41003\ $ (!\led_flash_cnt[1008][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1008][7]~q\,
	cin => \led_flash_cnt[1008][6]~41003\,
	combout => \led_flash_cnt[1008][7]~41004_combout\);

-- Location: FF_X52_Y51_N19
\led_flash_cnt[1008][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1008][7]~41004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1008][7]~q\);

-- Location: LCCOMB_X52_Y51_N4
\WideAnd1008~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1008~1_combout\ = (\led_flash_cnt[1008][5]~q\ & \led_flash_cnt[1008][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1008][5]~q\,
	datad => \led_flash_cnt[1008][6]~q\,
	combout => \WideAnd1008~1_combout\);

-- Location: LCCOMB_X52_Y51_N26
WideAnd1008 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1008~combout\ = (\WideAnd1008~0_combout\ & (\led_flash_cnt[1008][7]~q\ & (\WideAnd1008~1_combout\ & \led_flash_cnt[1008][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1008~0_combout\,
	datab => \led_flash_cnt[1008][7]~q\,
	datac => \WideAnd1008~1_combout\,
	datad => \led_flash_cnt[1008][0]~q\,
	combout => \WideAnd1008~combout\);

-- Location: FF_X52_Y51_N27
\led_flash_cnt_ands[1008]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1008~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1008));

-- Location: LCCOMB_X52_Y48_N4
\WideAnd3966~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3966~0_combout\ = (led_flash_cnt_ands(1011) & (led_flash_cnt_ands(1010) & (led_flash_cnt_ands(1009) & led_flash_cnt_ands(1008))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1011),
	datab => led_flash_cnt_ands(1010),
	datac => led_flash_cnt_ands(1009),
	datad => led_flash_cnt_ands(1008),
	combout => \WideAnd3966~0_combout\);

-- Location: LCCOMB_X49_Y48_N20
\led_flash_cnt[1013][0]~81653\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1013][0]~81653_combout\ = !\led_flash_cnt[1013][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1013][0]~q\,
	combout => \led_flash_cnt[1013][0]~81653_combout\);

-- Location: FF_X49_Y48_N21
\led_flash_cnt[1013][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1013][0]~81653_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1013][0]~q\);

-- Location: LCCOMB_X47_Y48_N16
\led_flash_cnt[1013][1]~41062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1013][1]~41062_combout\ = (\led_flash_cnt[1013][0]~q\ & (\led_flash_cnt[1013][1]~q\ $ (VCC))) # (!\led_flash_cnt[1013][0]~q\ & (\led_flash_cnt[1013][1]~q\ & VCC))
-- \led_flash_cnt[1013][1]~41063\ = CARRY((\led_flash_cnt[1013][0]~q\ & \led_flash_cnt[1013][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1013][0]~q\,
	datab => \led_flash_cnt[1013][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1013][1]~41062_combout\,
	cout => \led_flash_cnt[1013][1]~41063\);

-- Location: FF_X47_Y48_N17
\led_flash_cnt[1013][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1013][1]~41062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1013][1]~q\);

-- Location: LCCOMB_X47_Y48_N18
\led_flash_cnt[1013][2]~41064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1013][2]~41064_combout\ = (\led_flash_cnt[1013][2]~q\ & (!\led_flash_cnt[1013][1]~41063\)) # (!\led_flash_cnt[1013][2]~q\ & ((\led_flash_cnt[1013][1]~41063\) # (GND)))
-- \led_flash_cnt[1013][2]~41065\ = CARRY((!\led_flash_cnt[1013][1]~41063\) # (!\led_flash_cnt[1013][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1013][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1013][1]~41063\,
	combout => \led_flash_cnt[1013][2]~41064_combout\,
	cout => \led_flash_cnt[1013][2]~41065\);

-- Location: FF_X47_Y48_N19
\led_flash_cnt[1013][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1013][2]~41064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1013][2]~q\);

-- Location: LCCOMB_X47_Y48_N20
\led_flash_cnt[1013][3]~41066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1013][3]~41066_combout\ = (\led_flash_cnt[1013][3]~q\ & (\led_flash_cnt[1013][2]~41065\ $ (GND))) # (!\led_flash_cnt[1013][3]~q\ & (!\led_flash_cnt[1013][2]~41065\ & VCC))
-- \led_flash_cnt[1013][3]~41067\ = CARRY((\led_flash_cnt[1013][3]~q\ & !\led_flash_cnt[1013][2]~41065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1013][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1013][2]~41065\,
	combout => \led_flash_cnt[1013][3]~41066_combout\,
	cout => \led_flash_cnt[1013][3]~41067\);

-- Location: FF_X47_Y48_N21
\led_flash_cnt[1013][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1013][3]~41066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1013][3]~q\);

-- Location: LCCOMB_X47_Y48_N22
\led_flash_cnt[1013][4]~41068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1013][4]~41068_combout\ = (\led_flash_cnt[1013][4]~q\ & (!\led_flash_cnt[1013][3]~41067\)) # (!\led_flash_cnt[1013][4]~q\ & ((\led_flash_cnt[1013][3]~41067\) # (GND)))
-- \led_flash_cnt[1013][4]~41069\ = CARRY((!\led_flash_cnt[1013][3]~41067\) # (!\led_flash_cnt[1013][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1013][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1013][3]~41067\,
	combout => \led_flash_cnt[1013][4]~41068_combout\,
	cout => \led_flash_cnt[1013][4]~41069\);

-- Location: FF_X47_Y48_N23
\led_flash_cnt[1013][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1013][4]~41068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1013][4]~q\);

-- Location: LCCOMB_X47_Y48_N24
\led_flash_cnt[1013][5]~41070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1013][5]~41070_combout\ = (\led_flash_cnt[1013][5]~q\ & (\led_flash_cnt[1013][4]~41069\ $ (GND))) # (!\led_flash_cnt[1013][5]~q\ & (!\led_flash_cnt[1013][4]~41069\ & VCC))
-- \led_flash_cnt[1013][5]~41071\ = CARRY((\led_flash_cnt[1013][5]~q\ & !\led_flash_cnt[1013][4]~41069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1013][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1013][4]~41069\,
	combout => \led_flash_cnt[1013][5]~41070_combout\,
	cout => \led_flash_cnt[1013][5]~41071\);

-- Location: FF_X47_Y48_N25
\led_flash_cnt[1013][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1013][5]~41070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1013][5]~q\);

-- Location: LCCOMB_X47_Y48_N26
\led_flash_cnt[1013][6]~41072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1013][6]~41072_combout\ = (\led_flash_cnt[1013][6]~q\ & (!\led_flash_cnt[1013][5]~41071\)) # (!\led_flash_cnt[1013][6]~q\ & ((\led_flash_cnt[1013][5]~41071\) # (GND)))
-- \led_flash_cnt[1013][6]~41073\ = CARRY((!\led_flash_cnt[1013][5]~41071\) # (!\led_flash_cnt[1013][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1013][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1013][5]~41071\,
	combout => \led_flash_cnt[1013][6]~41072_combout\,
	cout => \led_flash_cnt[1013][6]~41073\);

-- Location: FF_X47_Y48_N27
\led_flash_cnt[1013][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1013][6]~41072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1013][6]~q\);

-- Location: LCCOMB_X47_Y48_N28
\led_flash_cnt[1013][7]~41074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1013][7]~41074_combout\ = \led_flash_cnt[1013][6]~41073\ $ (!\led_flash_cnt[1013][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1013][7]~q\,
	cin => \led_flash_cnt[1013][6]~41073\,
	combout => \led_flash_cnt[1013][7]~41074_combout\);

-- Location: FF_X47_Y48_N29
\led_flash_cnt[1013][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1013][7]~41074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1013][7]~q\);

-- Location: LCCOMB_X47_Y48_N30
\WideAnd1013~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1013~0_combout\ = (\led_flash_cnt[1013][1]~q\ & (\led_flash_cnt[1013][3]~q\ & (\led_flash_cnt[1013][4]~q\ & \led_flash_cnt[1013][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1013][1]~q\,
	datab => \led_flash_cnt[1013][3]~q\,
	datac => \led_flash_cnt[1013][4]~q\,
	datad => \led_flash_cnt[1013][2]~q\,
	combout => \WideAnd1013~0_combout\);

-- Location: LCCOMB_X49_Y48_N16
\WideAnd1013~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1013~1_combout\ = (\led_flash_cnt[1013][6]~q\ & \led_flash_cnt[1013][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1013][6]~q\,
	datad => \led_flash_cnt[1013][5]~q\,
	combout => \WideAnd1013~1_combout\);

-- Location: LCCOMB_X49_Y48_N14
WideAnd1013 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1013~combout\ = (\led_flash_cnt[1013][0]~q\ & (\led_flash_cnt[1013][7]~q\ & (\WideAnd1013~0_combout\ & \WideAnd1013~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1013][0]~q\,
	datab => \led_flash_cnt[1013][7]~q\,
	datac => \WideAnd1013~0_combout\,
	datad => \WideAnd1013~1_combout\,
	combout => \WideAnd1013~combout\);

-- Location: FF_X49_Y48_N15
\led_flash_cnt_ands[1013]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1013~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1013));

-- Location: LCCOMB_X49_Y48_N18
\led_flash_cnt[1012][0]~81652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1012][0]~81652_combout\ = !\led_flash_cnt[1012][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1012][0]~q\,
	combout => \led_flash_cnt[1012][0]~81652_combout\);

-- Location: FF_X49_Y48_N19
\led_flash_cnt[1012][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1012][0]~81652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1012][0]~q\);

-- Location: LCCOMB_X49_Y48_N0
\led_flash_cnt[1012][1]~41048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1012][1]~41048_combout\ = (\led_flash_cnt[1012][1]~q\ & (\led_flash_cnt[1012][0]~q\ $ (VCC))) # (!\led_flash_cnt[1012][1]~q\ & (\led_flash_cnt[1012][0]~q\ & VCC))
-- \led_flash_cnt[1012][1]~41049\ = CARRY((\led_flash_cnt[1012][1]~q\ & \led_flash_cnt[1012][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1012][1]~q\,
	datab => \led_flash_cnt[1012][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1012][1]~41048_combout\,
	cout => \led_flash_cnt[1012][1]~41049\);

-- Location: FF_X49_Y48_N1
\led_flash_cnt[1012][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1012][1]~41048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1012][1]~q\);

-- Location: LCCOMB_X49_Y48_N2
\led_flash_cnt[1012][2]~41050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1012][2]~41050_combout\ = (\led_flash_cnt[1012][2]~q\ & (!\led_flash_cnt[1012][1]~41049\)) # (!\led_flash_cnt[1012][2]~q\ & ((\led_flash_cnt[1012][1]~41049\) # (GND)))
-- \led_flash_cnt[1012][2]~41051\ = CARRY((!\led_flash_cnt[1012][1]~41049\) # (!\led_flash_cnt[1012][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1012][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1012][1]~41049\,
	combout => \led_flash_cnt[1012][2]~41050_combout\,
	cout => \led_flash_cnt[1012][2]~41051\);

-- Location: FF_X49_Y48_N3
\led_flash_cnt[1012][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1012][2]~41050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1012][2]~q\);

-- Location: LCCOMB_X49_Y48_N4
\led_flash_cnt[1012][3]~41052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1012][3]~41052_combout\ = (\led_flash_cnt[1012][3]~q\ & (\led_flash_cnt[1012][2]~41051\ $ (GND))) # (!\led_flash_cnt[1012][3]~q\ & (!\led_flash_cnt[1012][2]~41051\ & VCC))
-- \led_flash_cnt[1012][3]~41053\ = CARRY((\led_flash_cnt[1012][3]~q\ & !\led_flash_cnt[1012][2]~41051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1012][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1012][2]~41051\,
	combout => \led_flash_cnt[1012][3]~41052_combout\,
	cout => \led_flash_cnt[1012][3]~41053\);

-- Location: FF_X49_Y48_N5
\led_flash_cnt[1012][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1012][3]~41052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1012][3]~q\);

-- Location: LCCOMB_X49_Y48_N6
\led_flash_cnt[1012][4]~41054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1012][4]~41054_combout\ = (\led_flash_cnt[1012][4]~q\ & (!\led_flash_cnt[1012][3]~41053\)) # (!\led_flash_cnt[1012][4]~q\ & ((\led_flash_cnt[1012][3]~41053\) # (GND)))
-- \led_flash_cnt[1012][4]~41055\ = CARRY((!\led_flash_cnt[1012][3]~41053\) # (!\led_flash_cnt[1012][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1012][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1012][3]~41053\,
	combout => \led_flash_cnt[1012][4]~41054_combout\,
	cout => \led_flash_cnt[1012][4]~41055\);

-- Location: FF_X49_Y48_N7
\led_flash_cnt[1012][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1012][4]~41054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1012][4]~q\);

-- Location: LCCOMB_X49_Y48_N30
\WideAnd1012~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1012~0_combout\ = (\led_flash_cnt[1012][4]~q\ & (\led_flash_cnt[1012][1]~q\ & (\led_flash_cnt[1012][3]~q\ & \led_flash_cnt[1012][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1012][4]~q\,
	datab => \led_flash_cnt[1012][1]~q\,
	datac => \led_flash_cnt[1012][3]~q\,
	datad => \led_flash_cnt[1012][2]~q\,
	combout => \WideAnd1012~0_combout\);

-- Location: LCCOMB_X49_Y48_N8
\led_flash_cnt[1012][5]~41056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1012][5]~41056_combout\ = (\led_flash_cnt[1012][5]~q\ & (\led_flash_cnt[1012][4]~41055\ $ (GND))) # (!\led_flash_cnt[1012][5]~q\ & (!\led_flash_cnt[1012][4]~41055\ & VCC))
-- \led_flash_cnt[1012][5]~41057\ = CARRY((\led_flash_cnt[1012][5]~q\ & !\led_flash_cnt[1012][4]~41055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1012][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1012][4]~41055\,
	combout => \led_flash_cnt[1012][5]~41056_combout\,
	cout => \led_flash_cnt[1012][5]~41057\);

-- Location: FF_X49_Y48_N9
\led_flash_cnt[1012][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1012][5]~41056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1012][5]~q\);

-- Location: LCCOMB_X49_Y48_N10
\led_flash_cnt[1012][6]~41058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1012][6]~41058_combout\ = (\led_flash_cnt[1012][6]~q\ & (!\led_flash_cnt[1012][5]~41057\)) # (!\led_flash_cnt[1012][6]~q\ & ((\led_flash_cnt[1012][5]~41057\) # (GND)))
-- \led_flash_cnt[1012][6]~41059\ = CARRY((!\led_flash_cnt[1012][5]~41057\) # (!\led_flash_cnt[1012][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1012][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1012][5]~41057\,
	combout => \led_flash_cnt[1012][6]~41058_combout\,
	cout => \led_flash_cnt[1012][6]~41059\);

-- Location: FF_X49_Y48_N11
\led_flash_cnt[1012][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1012][6]~41058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1012][6]~q\);

-- Location: LCCOMB_X49_Y48_N22
\WideAnd1012~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1012~1_combout\ = (\led_flash_cnt[1012][5]~q\ & \led_flash_cnt[1012][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1012][5]~q\,
	datad => \led_flash_cnt[1012][6]~q\,
	combout => \WideAnd1012~1_combout\);

-- Location: LCCOMB_X49_Y48_N12
\led_flash_cnt[1012][7]~41060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1012][7]~41060_combout\ = \led_flash_cnt[1012][6]~41059\ $ (!\led_flash_cnt[1012][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1012][7]~q\,
	cin => \led_flash_cnt[1012][6]~41059\,
	combout => \led_flash_cnt[1012][7]~41060_combout\);

-- Location: FF_X49_Y48_N13
\led_flash_cnt[1012][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1012][7]~41060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1012][7]~q\);

-- Location: LCCOMB_X49_Y48_N28
WideAnd1012 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1012~combout\ = (\WideAnd1012~0_combout\ & (\led_flash_cnt[1012][0]~q\ & (\WideAnd1012~1_combout\ & \led_flash_cnt[1012][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1012~0_combout\,
	datab => \led_flash_cnt[1012][0]~q\,
	datac => \WideAnd1012~1_combout\,
	datad => \led_flash_cnt[1012][7]~q\,
	combout => \WideAnd1012~combout\);

-- Location: FF_X49_Y48_N29
\led_flash_cnt_ands[1012]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1012~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1012));

-- Location: LCCOMB_X49_Y48_N26
\WideAnd3966~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3966~1_combout\ = (led_flash_cnt_ands(1013) & led_flash_cnt_ands(1012))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1013),
	datad => led_flash_cnt_ands(1012),
	combout => \WideAnd3966~1_combout\);

-- Location: LCCOMB_X52_Y44_N18
\led_flash_cnt[1014][0]~81654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1014][0]~81654_combout\ = !\led_flash_cnt[1014][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1014][0]~q\,
	combout => \led_flash_cnt[1014][0]~81654_combout\);

-- Location: FF_X52_Y44_N19
\led_flash_cnt[1014][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1014][0]~81654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1014][0]~q\);

-- Location: LCCOMB_X52_Y44_N0
\led_flash_cnt[1014][1]~41076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1014][1]~41076_combout\ = (\led_flash_cnt[1014][1]~q\ & (\led_flash_cnt[1014][0]~q\ $ (VCC))) # (!\led_flash_cnt[1014][1]~q\ & (\led_flash_cnt[1014][0]~q\ & VCC))
-- \led_flash_cnt[1014][1]~41077\ = CARRY((\led_flash_cnt[1014][1]~q\ & \led_flash_cnt[1014][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1014][1]~q\,
	datab => \led_flash_cnt[1014][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1014][1]~41076_combout\,
	cout => \led_flash_cnt[1014][1]~41077\);

-- Location: FF_X52_Y44_N1
\led_flash_cnt[1014][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1014][1]~41076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1014][1]~q\);

-- Location: LCCOMB_X52_Y44_N2
\led_flash_cnt[1014][2]~41078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1014][2]~41078_combout\ = (\led_flash_cnt[1014][2]~q\ & (!\led_flash_cnt[1014][1]~41077\)) # (!\led_flash_cnt[1014][2]~q\ & ((\led_flash_cnt[1014][1]~41077\) # (GND)))
-- \led_flash_cnt[1014][2]~41079\ = CARRY((!\led_flash_cnt[1014][1]~41077\) # (!\led_flash_cnt[1014][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1014][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1014][1]~41077\,
	combout => \led_flash_cnt[1014][2]~41078_combout\,
	cout => \led_flash_cnt[1014][2]~41079\);

-- Location: FF_X52_Y44_N3
\led_flash_cnt[1014][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1014][2]~41078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1014][2]~q\);

-- Location: LCCOMB_X52_Y44_N4
\led_flash_cnt[1014][3]~41080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1014][3]~41080_combout\ = (\led_flash_cnt[1014][3]~q\ & (\led_flash_cnt[1014][2]~41079\ $ (GND))) # (!\led_flash_cnt[1014][3]~q\ & (!\led_flash_cnt[1014][2]~41079\ & VCC))
-- \led_flash_cnt[1014][3]~41081\ = CARRY((\led_flash_cnt[1014][3]~q\ & !\led_flash_cnt[1014][2]~41079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1014][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1014][2]~41079\,
	combout => \led_flash_cnt[1014][3]~41080_combout\,
	cout => \led_flash_cnt[1014][3]~41081\);

-- Location: FF_X52_Y44_N5
\led_flash_cnt[1014][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1014][3]~41080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1014][3]~q\);

-- Location: LCCOMB_X52_Y44_N6
\led_flash_cnt[1014][4]~41082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1014][4]~41082_combout\ = (\led_flash_cnt[1014][4]~q\ & (!\led_flash_cnt[1014][3]~41081\)) # (!\led_flash_cnt[1014][4]~q\ & ((\led_flash_cnt[1014][3]~41081\) # (GND)))
-- \led_flash_cnt[1014][4]~41083\ = CARRY((!\led_flash_cnt[1014][3]~41081\) # (!\led_flash_cnt[1014][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1014][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1014][3]~41081\,
	combout => \led_flash_cnt[1014][4]~41082_combout\,
	cout => \led_flash_cnt[1014][4]~41083\);

-- Location: FF_X52_Y44_N7
\led_flash_cnt[1014][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1014][4]~41082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1014][4]~q\);

-- Location: LCCOMB_X52_Y44_N8
\led_flash_cnt[1014][5]~41084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1014][5]~41084_combout\ = (\led_flash_cnt[1014][5]~q\ & (\led_flash_cnt[1014][4]~41083\ $ (GND))) # (!\led_flash_cnt[1014][5]~q\ & (!\led_flash_cnt[1014][4]~41083\ & VCC))
-- \led_flash_cnt[1014][5]~41085\ = CARRY((\led_flash_cnt[1014][5]~q\ & !\led_flash_cnt[1014][4]~41083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1014][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1014][4]~41083\,
	combout => \led_flash_cnt[1014][5]~41084_combout\,
	cout => \led_flash_cnt[1014][5]~41085\);

-- Location: FF_X52_Y44_N9
\led_flash_cnt[1014][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1014][5]~41084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1014][5]~q\);

-- Location: LCCOMB_X52_Y44_N10
\led_flash_cnt[1014][6]~41086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1014][6]~41086_combout\ = (\led_flash_cnt[1014][6]~q\ & (!\led_flash_cnt[1014][5]~41085\)) # (!\led_flash_cnt[1014][6]~q\ & ((\led_flash_cnt[1014][5]~41085\) # (GND)))
-- \led_flash_cnt[1014][6]~41087\ = CARRY((!\led_flash_cnt[1014][5]~41085\) # (!\led_flash_cnt[1014][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1014][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1014][5]~41085\,
	combout => \led_flash_cnt[1014][6]~41086_combout\,
	cout => \led_flash_cnt[1014][6]~41087\);

-- Location: FF_X52_Y44_N11
\led_flash_cnt[1014][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1014][6]~41086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1014][6]~q\);

-- Location: LCCOMB_X52_Y44_N12
\led_flash_cnt[1014][7]~41088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1014][7]~41088_combout\ = \led_flash_cnt[1014][6]~41087\ $ (!\led_flash_cnt[1014][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1014][7]~q\,
	cin => \led_flash_cnt[1014][6]~41087\,
	combout => \led_flash_cnt[1014][7]~41088_combout\);

-- Location: FF_X52_Y44_N13
\led_flash_cnt[1014][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1014][7]~41088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1014][7]~q\);

-- Location: LCCOMB_X52_Y44_N28
\WideAnd1014~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1014~0_combout\ = (\led_flash_cnt[1014][4]~q\ & (\led_flash_cnt[1014][1]~q\ & (\led_flash_cnt[1014][3]~q\ & \led_flash_cnt[1014][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1014][4]~q\,
	datab => \led_flash_cnt[1014][1]~q\,
	datac => \led_flash_cnt[1014][3]~q\,
	datad => \led_flash_cnt[1014][2]~q\,
	combout => \WideAnd1014~0_combout\);

-- Location: LCCOMB_X52_Y44_N22
\WideAnd1014~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1014~1_combout\ = (\led_flash_cnt[1014][5]~q\ & \led_flash_cnt[1014][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1014][5]~q\,
	datad => \led_flash_cnt[1014][6]~q\,
	combout => \WideAnd1014~1_combout\);

-- Location: LCCOMB_X52_Y44_N24
WideAnd1014 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1014~combout\ = (\led_flash_cnt[1014][7]~q\ & (\WideAnd1014~0_combout\ & (\WideAnd1014~1_combout\ & \led_flash_cnt[1014][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1014][7]~q\,
	datab => \WideAnd1014~0_combout\,
	datac => \WideAnd1014~1_combout\,
	datad => \led_flash_cnt[1014][0]~q\,
	combout => \WideAnd1014~combout\);

-- Location: FF_X52_Y44_N25
\led_flash_cnt_ands[1014]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1014~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1014));

-- Location: LCCOMB_X52_Y44_N16
WideAnd3966 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3966~combout\ = (led_flash_cnt_ands(1015) & (\WideAnd3966~0_combout\ & (\WideAnd3966~1_combout\ & led_flash_cnt_ands(1014))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1015),
	datab => \WideAnd3966~0_combout\,
	datac => \WideAnd3966~1_combout\,
	datad => led_flash_cnt_ands(1014),
	combout => \WideAnd3966~combout\);

-- Location: FF_X52_Y44_N17
\led_flash_cnt_ands_1[126]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3966~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(126));

-- Location: LCCOMB_X49_Y39_N6
\led_flash_cnt[1023][0]~81663\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1023][0]~81663_combout\ = !\led_flash_cnt[1023][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1023][0]~q\,
	combout => \led_flash_cnt[1023][0]~81663_combout\);

-- Location: FF_X49_Y39_N7
\led_flash_cnt[1023][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1023][0]~81663_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1023][0]~q\);

-- Location: LCCOMB_X50_Y39_N0
\led_flash_cnt[1023][1]~41202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1023][1]~41202_combout\ = (\led_flash_cnt[1023][0]~q\ & (\led_flash_cnt[1023][1]~q\ $ (VCC))) # (!\led_flash_cnt[1023][0]~q\ & (\led_flash_cnt[1023][1]~q\ & VCC))
-- \led_flash_cnt[1023][1]~41203\ = CARRY((\led_flash_cnt[1023][0]~q\ & \led_flash_cnt[1023][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1023][0]~q\,
	datab => \led_flash_cnt[1023][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1023][1]~41202_combout\,
	cout => \led_flash_cnt[1023][1]~41203\);

-- Location: FF_X50_Y39_N1
\led_flash_cnt[1023][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1023][1]~41202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1023][1]~q\);

-- Location: LCCOMB_X50_Y39_N2
\led_flash_cnt[1023][2]~41204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1023][2]~41204_combout\ = (\led_flash_cnt[1023][2]~q\ & (!\led_flash_cnt[1023][1]~41203\)) # (!\led_flash_cnt[1023][2]~q\ & ((\led_flash_cnt[1023][1]~41203\) # (GND)))
-- \led_flash_cnt[1023][2]~41205\ = CARRY((!\led_flash_cnt[1023][1]~41203\) # (!\led_flash_cnt[1023][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1023][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1023][1]~41203\,
	combout => \led_flash_cnt[1023][2]~41204_combout\,
	cout => \led_flash_cnt[1023][2]~41205\);

-- Location: FF_X50_Y39_N3
\led_flash_cnt[1023][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1023][2]~41204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1023][2]~q\);

-- Location: LCCOMB_X50_Y39_N4
\led_flash_cnt[1023][3]~41206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1023][3]~41206_combout\ = (\led_flash_cnt[1023][3]~q\ & (\led_flash_cnt[1023][2]~41205\ $ (GND))) # (!\led_flash_cnt[1023][3]~q\ & (!\led_flash_cnt[1023][2]~41205\ & VCC))
-- \led_flash_cnt[1023][3]~41207\ = CARRY((\led_flash_cnt[1023][3]~q\ & !\led_flash_cnt[1023][2]~41205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1023][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1023][2]~41205\,
	combout => \led_flash_cnt[1023][3]~41206_combout\,
	cout => \led_flash_cnt[1023][3]~41207\);

-- Location: FF_X50_Y39_N5
\led_flash_cnt[1023][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1023][3]~41206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1023][3]~q\);

-- Location: LCCOMB_X50_Y39_N6
\led_flash_cnt[1023][4]~41208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1023][4]~41208_combout\ = (\led_flash_cnt[1023][4]~q\ & (!\led_flash_cnt[1023][3]~41207\)) # (!\led_flash_cnt[1023][4]~q\ & ((\led_flash_cnt[1023][3]~41207\) # (GND)))
-- \led_flash_cnt[1023][4]~41209\ = CARRY((!\led_flash_cnt[1023][3]~41207\) # (!\led_flash_cnt[1023][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1023][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1023][3]~41207\,
	combout => \led_flash_cnt[1023][4]~41208_combout\,
	cout => \led_flash_cnt[1023][4]~41209\);

-- Location: FF_X50_Y39_N7
\led_flash_cnt[1023][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1023][4]~41208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1023][4]~q\);

-- Location: LCCOMB_X50_Y39_N8
\led_flash_cnt[1023][5]~41210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1023][5]~41210_combout\ = (\led_flash_cnt[1023][5]~q\ & (\led_flash_cnt[1023][4]~41209\ $ (GND))) # (!\led_flash_cnt[1023][5]~q\ & (!\led_flash_cnt[1023][4]~41209\ & VCC))
-- \led_flash_cnt[1023][5]~41211\ = CARRY((\led_flash_cnt[1023][5]~q\ & !\led_flash_cnt[1023][4]~41209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1023][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1023][4]~41209\,
	combout => \led_flash_cnt[1023][5]~41210_combout\,
	cout => \led_flash_cnt[1023][5]~41211\);

-- Location: FF_X50_Y39_N9
\led_flash_cnt[1023][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1023][5]~41210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1023][5]~q\);

-- Location: LCCOMB_X50_Y39_N10
\led_flash_cnt[1023][6]~41212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1023][6]~41212_combout\ = (\led_flash_cnt[1023][6]~q\ & (!\led_flash_cnt[1023][5]~41211\)) # (!\led_flash_cnt[1023][6]~q\ & ((\led_flash_cnt[1023][5]~41211\) # (GND)))
-- \led_flash_cnt[1023][6]~41213\ = CARRY((!\led_flash_cnt[1023][5]~41211\) # (!\led_flash_cnt[1023][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1023][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1023][5]~41211\,
	combout => \led_flash_cnt[1023][6]~41212_combout\,
	cout => \led_flash_cnt[1023][6]~41213\);

-- Location: FF_X50_Y39_N11
\led_flash_cnt[1023][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1023][6]~41212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1023][6]~q\);

-- Location: LCCOMB_X49_Y39_N10
\WideAnd1023~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1023~1_combout\ = (\led_flash_cnt[1023][6]~q\ & \led_flash_cnt[1023][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1023][6]~q\,
	datac => \led_flash_cnt[1023][5]~q\,
	combout => \WideAnd1023~1_combout\);

-- Location: LCCOMB_X50_Y39_N12
\led_flash_cnt[1023][7]~41214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1023][7]~41214_combout\ = \led_flash_cnt[1023][6]~41213\ $ (!\led_flash_cnt[1023][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1023][7]~q\,
	cin => \led_flash_cnt[1023][6]~41213\,
	combout => \led_flash_cnt[1023][7]~41214_combout\);

-- Location: FF_X50_Y39_N13
\led_flash_cnt[1023][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1023][7]~41214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1023][7]~q\);

-- Location: LCCOMB_X50_Y39_N30
\WideAnd1023~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1023~0_combout\ = (\led_flash_cnt[1023][4]~q\ & (\led_flash_cnt[1023][1]~q\ & (\led_flash_cnt[1023][3]~q\ & \led_flash_cnt[1023][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1023][4]~q\,
	datab => \led_flash_cnt[1023][1]~q\,
	datac => \led_flash_cnt[1023][3]~q\,
	datad => \led_flash_cnt[1023][2]~q\,
	combout => \WideAnd1023~0_combout\);

-- Location: LCCOMB_X49_Y39_N12
WideAnd1023 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1023~combout\ = (\WideAnd1023~1_combout\ & (\led_flash_cnt[1023][7]~q\ & (\WideAnd1023~0_combout\ & \led_flash_cnt[1023][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1023~1_combout\,
	datab => \led_flash_cnt[1023][7]~q\,
	datac => \WideAnd1023~0_combout\,
	datad => \led_flash_cnt[1023][0]~q\,
	combout => \WideAnd1023~combout\);

-- Location: FF_X49_Y39_N13
\led_flash_cnt_ands[1023]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1023~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1023));

-- Location: LCCOMB_X47_Y39_N4
\led_flash_cnt[1022][0]~81662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1022][0]~81662_combout\ = !\led_flash_cnt[1022][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1022][0]~q\,
	combout => \led_flash_cnt[1022][0]~81662_combout\);

-- Location: FF_X47_Y39_N5
\led_flash_cnt[1022][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1022][0]~81662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1022][0]~q\);

-- Location: LCCOMB_X49_Y39_N16
\led_flash_cnt[1022][1]~41188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1022][1]~41188_combout\ = (\led_flash_cnt[1022][0]~q\ & (\led_flash_cnt[1022][1]~q\ $ (VCC))) # (!\led_flash_cnt[1022][0]~q\ & (\led_flash_cnt[1022][1]~q\ & VCC))
-- \led_flash_cnt[1022][1]~41189\ = CARRY((\led_flash_cnt[1022][0]~q\ & \led_flash_cnt[1022][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1022][0]~q\,
	datab => \led_flash_cnt[1022][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1022][1]~41188_combout\,
	cout => \led_flash_cnt[1022][1]~41189\);

-- Location: FF_X49_Y39_N17
\led_flash_cnt[1022][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1022][1]~41188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1022][1]~q\);

-- Location: LCCOMB_X49_Y39_N18
\led_flash_cnt[1022][2]~41190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1022][2]~41190_combout\ = (\led_flash_cnt[1022][2]~q\ & (!\led_flash_cnt[1022][1]~41189\)) # (!\led_flash_cnt[1022][2]~q\ & ((\led_flash_cnt[1022][1]~41189\) # (GND)))
-- \led_flash_cnt[1022][2]~41191\ = CARRY((!\led_flash_cnt[1022][1]~41189\) # (!\led_flash_cnt[1022][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1022][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1022][1]~41189\,
	combout => \led_flash_cnt[1022][2]~41190_combout\,
	cout => \led_flash_cnt[1022][2]~41191\);

-- Location: FF_X49_Y39_N19
\led_flash_cnt[1022][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1022][2]~41190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1022][2]~q\);

-- Location: LCCOMB_X49_Y39_N20
\led_flash_cnt[1022][3]~41192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1022][3]~41192_combout\ = (\led_flash_cnt[1022][3]~q\ & (\led_flash_cnt[1022][2]~41191\ $ (GND))) # (!\led_flash_cnt[1022][3]~q\ & (!\led_flash_cnt[1022][2]~41191\ & VCC))
-- \led_flash_cnt[1022][3]~41193\ = CARRY((\led_flash_cnt[1022][3]~q\ & !\led_flash_cnt[1022][2]~41191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1022][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1022][2]~41191\,
	combout => \led_flash_cnt[1022][3]~41192_combout\,
	cout => \led_flash_cnt[1022][3]~41193\);

-- Location: FF_X49_Y39_N21
\led_flash_cnt[1022][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1022][3]~41192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1022][3]~q\);

-- Location: LCCOMB_X49_Y39_N22
\led_flash_cnt[1022][4]~41194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1022][4]~41194_combout\ = (\led_flash_cnt[1022][4]~q\ & (!\led_flash_cnt[1022][3]~41193\)) # (!\led_flash_cnt[1022][4]~q\ & ((\led_flash_cnt[1022][3]~41193\) # (GND)))
-- \led_flash_cnt[1022][4]~41195\ = CARRY((!\led_flash_cnt[1022][3]~41193\) # (!\led_flash_cnt[1022][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1022][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1022][3]~41193\,
	combout => \led_flash_cnt[1022][4]~41194_combout\,
	cout => \led_flash_cnt[1022][4]~41195\);

-- Location: FF_X49_Y39_N23
\led_flash_cnt[1022][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1022][4]~41194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1022][4]~q\);

-- Location: LCCOMB_X49_Y39_N24
\led_flash_cnt[1022][5]~41196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1022][5]~41196_combout\ = (\led_flash_cnt[1022][5]~q\ & (\led_flash_cnt[1022][4]~41195\ $ (GND))) # (!\led_flash_cnt[1022][5]~q\ & (!\led_flash_cnt[1022][4]~41195\ & VCC))
-- \led_flash_cnt[1022][5]~41197\ = CARRY((\led_flash_cnt[1022][5]~q\ & !\led_flash_cnt[1022][4]~41195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1022][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1022][4]~41195\,
	combout => \led_flash_cnt[1022][5]~41196_combout\,
	cout => \led_flash_cnt[1022][5]~41197\);

-- Location: FF_X49_Y39_N25
\led_flash_cnt[1022][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1022][5]~41196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1022][5]~q\);

-- Location: LCCOMB_X49_Y39_N26
\led_flash_cnt[1022][6]~41198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1022][6]~41198_combout\ = (\led_flash_cnt[1022][6]~q\ & (!\led_flash_cnt[1022][5]~41197\)) # (!\led_flash_cnt[1022][6]~q\ & ((\led_flash_cnt[1022][5]~41197\) # (GND)))
-- \led_flash_cnt[1022][6]~41199\ = CARRY((!\led_flash_cnt[1022][5]~41197\) # (!\led_flash_cnt[1022][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1022][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1022][5]~41197\,
	combout => \led_flash_cnt[1022][6]~41198_combout\,
	cout => \led_flash_cnt[1022][6]~41199\);

-- Location: FF_X49_Y39_N27
\led_flash_cnt[1022][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1022][6]~41198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1022][6]~q\);

-- Location: LCCOMB_X49_Y39_N28
\led_flash_cnt[1022][7]~41200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1022][7]~41200_combout\ = \led_flash_cnt[1022][6]~41199\ $ (!\led_flash_cnt[1022][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1022][7]~q\,
	cin => \led_flash_cnt[1022][6]~41199\,
	combout => \led_flash_cnt[1022][7]~41200_combout\);

-- Location: FF_X49_Y39_N29
\led_flash_cnt[1022][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1022][7]~41200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1022][7]~q\);

-- Location: LCCOMB_X49_Y39_N8
\WideAnd1022~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1022~1_combout\ = (\led_flash_cnt[1022][6]~q\ & \led_flash_cnt[1022][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1022][6]~q\,
	datad => \led_flash_cnt[1022][5]~q\,
	combout => \WideAnd1022~1_combout\);

-- Location: LCCOMB_X49_Y39_N2
\WideAnd1022~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1022~0_combout\ = (\led_flash_cnt[1022][3]~q\ & (\led_flash_cnt[1022][2]~q\ & (\led_flash_cnt[1022][4]~q\ & \led_flash_cnt[1022][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1022][3]~q\,
	datab => \led_flash_cnt[1022][2]~q\,
	datac => \led_flash_cnt[1022][4]~q\,
	datad => \led_flash_cnt[1022][1]~q\,
	combout => \WideAnd1022~0_combout\);

-- Location: LCCOMB_X49_Y39_N0
WideAnd1022 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1022~combout\ = (\led_flash_cnt[1022][0]~q\ & (\led_flash_cnt[1022][7]~q\ & (\WideAnd1022~1_combout\ & \WideAnd1022~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1022][0]~q\,
	datab => \led_flash_cnt[1022][7]~q\,
	datac => \WideAnd1022~1_combout\,
	datad => \WideAnd1022~0_combout\,
	combout => \WideAnd1022~combout\);

-- Location: FF_X49_Y39_N1
\led_flash_cnt_ands[1022]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1022~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1022));

-- Location: LCCOMB_X49_Y35_N16
\led_flash_cnt[1019][0]~81659\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1019][0]~81659_combout\ = !\led_flash_cnt[1019][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1019][0]~q\,
	combout => \led_flash_cnt[1019][0]~81659_combout\);

-- Location: FF_X49_Y35_N17
\led_flash_cnt[1019][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1019][0]~81659_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1019][0]~q\);

-- Location: LCCOMB_X50_Y35_N16
\led_flash_cnt[1019][1]~41146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1019][1]~41146_combout\ = (\led_flash_cnt[1019][0]~q\ & (\led_flash_cnt[1019][1]~q\ $ (VCC))) # (!\led_flash_cnt[1019][0]~q\ & (\led_flash_cnt[1019][1]~q\ & VCC))
-- \led_flash_cnt[1019][1]~41147\ = CARRY((\led_flash_cnt[1019][0]~q\ & \led_flash_cnt[1019][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1019][0]~q\,
	datab => \led_flash_cnt[1019][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1019][1]~41146_combout\,
	cout => \led_flash_cnt[1019][1]~41147\);

-- Location: FF_X50_Y35_N17
\led_flash_cnt[1019][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1019][1]~41146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1019][1]~q\);

-- Location: LCCOMB_X50_Y35_N18
\led_flash_cnt[1019][2]~41148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1019][2]~41148_combout\ = (\led_flash_cnt[1019][2]~q\ & (!\led_flash_cnt[1019][1]~41147\)) # (!\led_flash_cnt[1019][2]~q\ & ((\led_flash_cnt[1019][1]~41147\) # (GND)))
-- \led_flash_cnt[1019][2]~41149\ = CARRY((!\led_flash_cnt[1019][1]~41147\) # (!\led_flash_cnt[1019][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1019][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1019][1]~41147\,
	combout => \led_flash_cnt[1019][2]~41148_combout\,
	cout => \led_flash_cnt[1019][2]~41149\);

-- Location: FF_X50_Y35_N19
\led_flash_cnt[1019][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1019][2]~41148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1019][2]~q\);

-- Location: LCCOMB_X50_Y35_N20
\led_flash_cnt[1019][3]~41150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1019][3]~41150_combout\ = (\led_flash_cnt[1019][3]~q\ & (\led_flash_cnt[1019][2]~41149\ $ (GND))) # (!\led_flash_cnt[1019][3]~q\ & (!\led_flash_cnt[1019][2]~41149\ & VCC))
-- \led_flash_cnt[1019][3]~41151\ = CARRY((\led_flash_cnt[1019][3]~q\ & !\led_flash_cnt[1019][2]~41149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1019][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1019][2]~41149\,
	combout => \led_flash_cnt[1019][3]~41150_combout\,
	cout => \led_flash_cnt[1019][3]~41151\);

-- Location: FF_X50_Y35_N21
\led_flash_cnt[1019][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1019][3]~41150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1019][3]~q\);

-- Location: LCCOMB_X50_Y35_N22
\led_flash_cnt[1019][4]~41152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1019][4]~41152_combout\ = (\led_flash_cnt[1019][4]~q\ & (!\led_flash_cnt[1019][3]~41151\)) # (!\led_flash_cnt[1019][4]~q\ & ((\led_flash_cnt[1019][3]~41151\) # (GND)))
-- \led_flash_cnt[1019][4]~41153\ = CARRY((!\led_flash_cnt[1019][3]~41151\) # (!\led_flash_cnt[1019][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1019][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1019][3]~41151\,
	combout => \led_flash_cnt[1019][4]~41152_combout\,
	cout => \led_flash_cnt[1019][4]~41153\);

-- Location: FF_X50_Y35_N23
\led_flash_cnt[1019][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1019][4]~41152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1019][4]~q\);

-- Location: LCCOMB_X50_Y35_N24
\led_flash_cnt[1019][5]~41154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1019][5]~41154_combout\ = (\led_flash_cnt[1019][5]~q\ & (\led_flash_cnt[1019][4]~41153\ $ (GND))) # (!\led_flash_cnt[1019][5]~q\ & (!\led_flash_cnt[1019][4]~41153\ & VCC))
-- \led_flash_cnt[1019][5]~41155\ = CARRY((\led_flash_cnt[1019][5]~q\ & !\led_flash_cnt[1019][4]~41153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1019][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1019][4]~41153\,
	combout => \led_flash_cnt[1019][5]~41154_combout\,
	cout => \led_flash_cnt[1019][5]~41155\);

-- Location: FF_X50_Y35_N25
\led_flash_cnt[1019][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1019][5]~41154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1019][5]~q\);

-- Location: LCCOMB_X50_Y35_N26
\led_flash_cnt[1019][6]~41156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1019][6]~41156_combout\ = (\led_flash_cnt[1019][6]~q\ & (!\led_flash_cnt[1019][5]~41155\)) # (!\led_flash_cnt[1019][6]~q\ & ((\led_flash_cnt[1019][5]~41155\) # (GND)))
-- \led_flash_cnt[1019][6]~41157\ = CARRY((!\led_flash_cnt[1019][5]~41155\) # (!\led_flash_cnt[1019][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1019][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1019][5]~41155\,
	combout => \led_flash_cnt[1019][6]~41156_combout\,
	cout => \led_flash_cnt[1019][6]~41157\);

-- Location: FF_X50_Y35_N27
\led_flash_cnt[1019][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1019][6]~41156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1019][6]~q\);

-- Location: LCCOMB_X49_Y35_N14
\WideAnd1019~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1019~1_combout\ = (\led_flash_cnt[1019][6]~q\ & \led_flash_cnt[1019][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1019][6]~q\,
	datad => \led_flash_cnt[1019][5]~q\,
	combout => \WideAnd1019~1_combout\);

-- Location: LCCOMB_X50_Y35_N0
\WideAnd1019~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1019~0_combout\ = (\led_flash_cnt[1019][2]~q\ & (\led_flash_cnt[1019][3]~q\ & (\led_flash_cnt[1019][4]~q\ & \led_flash_cnt[1019][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1019][2]~q\,
	datab => \led_flash_cnt[1019][3]~q\,
	datac => \led_flash_cnt[1019][4]~q\,
	datad => \led_flash_cnt[1019][1]~q\,
	combout => \WideAnd1019~0_combout\);

-- Location: LCCOMB_X50_Y35_N28
\led_flash_cnt[1019][7]~41158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1019][7]~41158_combout\ = \led_flash_cnt[1019][6]~41157\ $ (!\led_flash_cnt[1019][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1019][7]~q\,
	cin => \led_flash_cnt[1019][6]~41157\,
	combout => \led_flash_cnt[1019][7]~41158_combout\);

-- Location: FF_X50_Y35_N29
\led_flash_cnt[1019][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1019][7]~41158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1019][7]~q\);

-- Location: LCCOMB_X49_Y35_N30
WideAnd1019 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1019~combout\ = (\WideAnd1019~1_combout\ & (\led_flash_cnt[1019][0]~q\ & (\WideAnd1019~0_combout\ & \led_flash_cnt[1019][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1019~1_combout\,
	datab => \led_flash_cnt[1019][0]~q\,
	datac => \WideAnd1019~0_combout\,
	datad => \led_flash_cnt[1019][7]~q\,
	combout => \WideAnd1019~combout\);

-- Location: FF_X49_Y35_N31
\led_flash_cnt_ands[1019]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1019~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1019));

-- Location: LCCOMB_X24_Y21_N22
\led_flash_cnt[1017][0]~81657\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1017][0]~81657_combout\ = !\led_flash_cnt[1017][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1017][0]~q\,
	combout => \led_flash_cnt[1017][0]~81657_combout\);

-- Location: FF_X24_Y21_N23
\led_flash_cnt[1017][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1017][0]~81657_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1017][0]~q\);

-- Location: LCCOMB_X25_Y20_N16
\led_flash_cnt[1017][1]~41118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1017][1]~41118_combout\ = (\led_flash_cnt[1017][1]~q\ & (\led_flash_cnt[1017][0]~q\ $ (VCC))) # (!\led_flash_cnt[1017][1]~q\ & (\led_flash_cnt[1017][0]~q\ & VCC))
-- \led_flash_cnt[1017][1]~41119\ = CARRY((\led_flash_cnt[1017][1]~q\ & \led_flash_cnt[1017][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1017][1]~q\,
	datab => \led_flash_cnt[1017][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1017][1]~41118_combout\,
	cout => \led_flash_cnt[1017][1]~41119\);

-- Location: FF_X25_Y20_N17
\led_flash_cnt[1017][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1017][1]~41118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1017][1]~q\);

-- Location: LCCOMB_X25_Y20_N18
\led_flash_cnt[1017][2]~41120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1017][2]~41120_combout\ = (\led_flash_cnt[1017][2]~q\ & (!\led_flash_cnt[1017][1]~41119\)) # (!\led_flash_cnt[1017][2]~q\ & ((\led_flash_cnt[1017][1]~41119\) # (GND)))
-- \led_flash_cnt[1017][2]~41121\ = CARRY((!\led_flash_cnt[1017][1]~41119\) # (!\led_flash_cnt[1017][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1017][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1017][1]~41119\,
	combout => \led_flash_cnt[1017][2]~41120_combout\,
	cout => \led_flash_cnt[1017][2]~41121\);

-- Location: FF_X25_Y20_N19
\led_flash_cnt[1017][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1017][2]~41120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1017][2]~q\);

-- Location: LCCOMB_X25_Y20_N20
\led_flash_cnt[1017][3]~41122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1017][3]~41122_combout\ = (\led_flash_cnt[1017][3]~q\ & (\led_flash_cnt[1017][2]~41121\ $ (GND))) # (!\led_flash_cnt[1017][3]~q\ & (!\led_flash_cnt[1017][2]~41121\ & VCC))
-- \led_flash_cnt[1017][3]~41123\ = CARRY((\led_flash_cnt[1017][3]~q\ & !\led_flash_cnt[1017][2]~41121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1017][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1017][2]~41121\,
	combout => \led_flash_cnt[1017][3]~41122_combout\,
	cout => \led_flash_cnt[1017][3]~41123\);

-- Location: FF_X25_Y20_N21
\led_flash_cnt[1017][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1017][3]~41122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1017][3]~q\);

-- Location: LCCOMB_X25_Y20_N22
\led_flash_cnt[1017][4]~41124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1017][4]~41124_combout\ = (\led_flash_cnt[1017][4]~q\ & (!\led_flash_cnt[1017][3]~41123\)) # (!\led_flash_cnt[1017][4]~q\ & ((\led_flash_cnt[1017][3]~41123\) # (GND)))
-- \led_flash_cnt[1017][4]~41125\ = CARRY((!\led_flash_cnt[1017][3]~41123\) # (!\led_flash_cnt[1017][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1017][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1017][3]~41123\,
	combout => \led_flash_cnt[1017][4]~41124_combout\,
	cout => \led_flash_cnt[1017][4]~41125\);

-- Location: FF_X25_Y20_N23
\led_flash_cnt[1017][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1017][4]~41124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1017][4]~q\);

-- Location: LCCOMB_X25_Y20_N24
\led_flash_cnt[1017][5]~41126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1017][5]~41126_combout\ = (\led_flash_cnt[1017][5]~q\ & (\led_flash_cnt[1017][4]~41125\ $ (GND))) # (!\led_flash_cnt[1017][5]~q\ & (!\led_flash_cnt[1017][4]~41125\ & VCC))
-- \led_flash_cnt[1017][5]~41127\ = CARRY((\led_flash_cnt[1017][5]~q\ & !\led_flash_cnt[1017][4]~41125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1017][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1017][4]~41125\,
	combout => \led_flash_cnt[1017][5]~41126_combout\,
	cout => \led_flash_cnt[1017][5]~41127\);

-- Location: FF_X25_Y20_N25
\led_flash_cnt[1017][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1017][5]~41126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1017][5]~q\);

-- Location: LCCOMB_X25_Y20_N26
\led_flash_cnt[1017][6]~41128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1017][6]~41128_combout\ = (\led_flash_cnt[1017][6]~q\ & (!\led_flash_cnt[1017][5]~41127\)) # (!\led_flash_cnt[1017][6]~q\ & ((\led_flash_cnt[1017][5]~41127\) # (GND)))
-- \led_flash_cnt[1017][6]~41129\ = CARRY((!\led_flash_cnt[1017][5]~41127\) # (!\led_flash_cnt[1017][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1017][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1017][5]~41127\,
	combout => \led_flash_cnt[1017][6]~41128_combout\,
	cout => \led_flash_cnt[1017][6]~41129\);

-- Location: FF_X25_Y20_N27
\led_flash_cnt[1017][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1017][6]~41128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1017][6]~q\);

-- Location: LCCOMB_X25_Y20_N12
\WideAnd1017~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1017~1_combout\ = (\led_flash_cnt[1017][6]~q\ & \led_flash_cnt[1017][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1017][6]~q\,
	datad => \led_flash_cnt[1017][5]~q\,
	combout => \WideAnd1017~1_combout\);

-- Location: LCCOMB_X25_Y20_N2
\WideAnd1017~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1017~0_combout\ = (\led_flash_cnt[1017][1]~q\ & (\led_flash_cnt[1017][2]~q\ & (\led_flash_cnt[1017][4]~q\ & \led_flash_cnt[1017][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1017][1]~q\,
	datab => \led_flash_cnt[1017][2]~q\,
	datac => \led_flash_cnt[1017][4]~q\,
	datad => \led_flash_cnt[1017][3]~q\,
	combout => \WideAnd1017~0_combout\);

-- Location: LCCOMB_X25_Y20_N28
\led_flash_cnt[1017][7]~41130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1017][7]~41130_combout\ = \led_flash_cnt[1017][6]~41129\ $ (!\led_flash_cnt[1017][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1017][7]~q\,
	cin => \led_flash_cnt[1017][6]~41129\,
	combout => \led_flash_cnt[1017][7]~41130_combout\);

-- Location: FF_X25_Y20_N29
\led_flash_cnt[1017][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1017][7]~41130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1017][7]~q\);

-- Location: LCCOMB_X25_Y20_N4
WideAnd1017 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1017~combout\ = (\WideAnd1017~1_combout\ & (\WideAnd1017~0_combout\ & (\led_flash_cnt[1017][0]~q\ & \led_flash_cnt[1017][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1017~1_combout\,
	datab => \WideAnd1017~0_combout\,
	datac => \led_flash_cnt[1017][0]~q\,
	datad => \led_flash_cnt[1017][7]~q\,
	combout => \WideAnd1017~combout\);

-- Location: FF_X25_Y20_N5
\led_flash_cnt_ands[1017]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1017~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1017));

-- Location: LCCOMB_X12_Y35_N12
\led_flash_cnt[1016][0]~81656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1016][0]~81656_combout\ = !\led_flash_cnt[1016][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1016][0]~q\,
	combout => \led_flash_cnt[1016][0]~81656_combout\);

-- Location: FF_X12_Y35_N13
\led_flash_cnt[1016][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1016][0]~81656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1016][0]~q\);

-- Location: LCCOMB_X12_Y35_N16
\led_flash_cnt[1016][1]~41104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1016][1]~41104_combout\ = (\led_flash_cnt[1016][0]~q\ & (\led_flash_cnt[1016][1]~q\ $ (VCC))) # (!\led_flash_cnt[1016][0]~q\ & (\led_flash_cnt[1016][1]~q\ & VCC))
-- \led_flash_cnt[1016][1]~41105\ = CARRY((\led_flash_cnt[1016][0]~q\ & \led_flash_cnt[1016][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1016][0]~q\,
	datab => \led_flash_cnt[1016][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1016][1]~41104_combout\,
	cout => \led_flash_cnt[1016][1]~41105\);

-- Location: FF_X12_Y35_N17
\led_flash_cnt[1016][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1016][1]~41104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1016][1]~q\);

-- Location: LCCOMB_X12_Y35_N18
\led_flash_cnt[1016][2]~41106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1016][2]~41106_combout\ = (\led_flash_cnt[1016][2]~q\ & (!\led_flash_cnt[1016][1]~41105\)) # (!\led_flash_cnt[1016][2]~q\ & ((\led_flash_cnt[1016][1]~41105\) # (GND)))
-- \led_flash_cnt[1016][2]~41107\ = CARRY((!\led_flash_cnt[1016][1]~41105\) # (!\led_flash_cnt[1016][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1016][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1016][1]~41105\,
	combout => \led_flash_cnt[1016][2]~41106_combout\,
	cout => \led_flash_cnt[1016][2]~41107\);

-- Location: FF_X12_Y35_N19
\led_flash_cnt[1016][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1016][2]~41106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1016][2]~q\);

-- Location: LCCOMB_X12_Y35_N20
\led_flash_cnt[1016][3]~41108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1016][3]~41108_combout\ = (\led_flash_cnt[1016][3]~q\ & (\led_flash_cnt[1016][2]~41107\ $ (GND))) # (!\led_flash_cnt[1016][3]~q\ & (!\led_flash_cnt[1016][2]~41107\ & VCC))
-- \led_flash_cnt[1016][3]~41109\ = CARRY((\led_flash_cnt[1016][3]~q\ & !\led_flash_cnt[1016][2]~41107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1016][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1016][2]~41107\,
	combout => \led_flash_cnt[1016][3]~41108_combout\,
	cout => \led_flash_cnt[1016][3]~41109\);

-- Location: FF_X12_Y35_N21
\led_flash_cnt[1016][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1016][3]~41108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1016][3]~q\);

-- Location: LCCOMB_X12_Y35_N22
\led_flash_cnt[1016][4]~41110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1016][4]~41110_combout\ = (\led_flash_cnt[1016][4]~q\ & (!\led_flash_cnt[1016][3]~41109\)) # (!\led_flash_cnt[1016][4]~q\ & ((\led_flash_cnt[1016][3]~41109\) # (GND)))
-- \led_flash_cnt[1016][4]~41111\ = CARRY((!\led_flash_cnt[1016][3]~41109\) # (!\led_flash_cnt[1016][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1016][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1016][3]~41109\,
	combout => \led_flash_cnt[1016][4]~41110_combout\,
	cout => \led_flash_cnt[1016][4]~41111\);

-- Location: FF_X12_Y35_N23
\led_flash_cnt[1016][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1016][4]~41110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1016][4]~q\);

-- Location: LCCOMB_X12_Y35_N24
\led_flash_cnt[1016][5]~41112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1016][5]~41112_combout\ = (\led_flash_cnt[1016][5]~q\ & (\led_flash_cnt[1016][4]~41111\ $ (GND))) # (!\led_flash_cnt[1016][5]~q\ & (!\led_flash_cnt[1016][4]~41111\ & VCC))
-- \led_flash_cnt[1016][5]~41113\ = CARRY((\led_flash_cnt[1016][5]~q\ & !\led_flash_cnt[1016][4]~41111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1016][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1016][4]~41111\,
	combout => \led_flash_cnt[1016][5]~41112_combout\,
	cout => \led_flash_cnt[1016][5]~41113\);

-- Location: FF_X12_Y35_N25
\led_flash_cnt[1016][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1016][5]~41112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1016][5]~q\);

-- Location: LCCOMB_X12_Y35_N26
\led_flash_cnt[1016][6]~41114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1016][6]~41114_combout\ = (\led_flash_cnt[1016][6]~q\ & (!\led_flash_cnt[1016][5]~41113\)) # (!\led_flash_cnt[1016][6]~q\ & ((\led_flash_cnt[1016][5]~41113\) # (GND)))
-- \led_flash_cnt[1016][6]~41115\ = CARRY((!\led_flash_cnt[1016][5]~41113\) # (!\led_flash_cnt[1016][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1016][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1016][5]~41113\,
	combout => \led_flash_cnt[1016][6]~41114_combout\,
	cout => \led_flash_cnt[1016][6]~41115\);

-- Location: FF_X12_Y35_N27
\led_flash_cnt[1016][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1016][6]~41114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1016][6]~q\);

-- Location: LCCOMB_X12_Y35_N28
\led_flash_cnt[1016][7]~41116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1016][7]~41116_combout\ = \led_flash_cnt[1016][6]~41115\ $ (!\led_flash_cnt[1016][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1016][7]~q\,
	cin => \led_flash_cnt[1016][6]~41115\,
	combout => \led_flash_cnt[1016][7]~41116_combout\);

-- Location: FF_X12_Y35_N29
\led_flash_cnt[1016][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1016][7]~41116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1016][7]~q\);

-- Location: LCCOMB_X12_Y35_N30
\WideAnd1016~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1016~1_combout\ = (\led_flash_cnt[1016][6]~q\ & \led_flash_cnt[1016][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1016][6]~q\,
	datad => \led_flash_cnt[1016][5]~q\,
	combout => \WideAnd1016~1_combout\);

-- Location: LCCOMB_X12_Y35_N10
\WideAnd1016~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1016~0_combout\ = (\led_flash_cnt[1016][2]~q\ & (\led_flash_cnt[1016][1]~q\ & (\led_flash_cnt[1016][4]~q\ & \led_flash_cnt[1016][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1016][2]~q\,
	datab => \led_flash_cnt[1016][1]~q\,
	datac => \led_flash_cnt[1016][4]~q\,
	datad => \led_flash_cnt[1016][3]~q\,
	combout => \WideAnd1016~0_combout\);

-- Location: LCCOMB_X12_Y35_N4
WideAnd1016 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1016~combout\ = (\led_flash_cnt[1016][0]~q\ & (\led_flash_cnt[1016][7]~q\ & (\WideAnd1016~1_combout\ & \WideAnd1016~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1016][0]~q\,
	datab => \led_flash_cnt[1016][7]~q\,
	datac => \WideAnd1016~1_combout\,
	datad => \WideAnd1016~0_combout\,
	combout => \WideAnd1016~combout\);

-- Location: FF_X12_Y35_N5
\led_flash_cnt_ands[1016]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1016~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1016));

-- Location: LCCOMB_X49_Y35_N18
\led_flash_cnt[1018][0]~81658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1018][0]~81658_combout\ = !\led_flash_cnt[1018][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1018][0]~q\,
	combout => \led_flash_cnt[1018][0]~81658_combout\);

-- Location: FF_X49_Y35_N19
\led_flash_cnt[1018][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1018][0]~81658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1018][0]~q\);

-- Location: LCCOMB_X49_Y35_N0
\led_flash_cnt[1018][1]~41132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1018][1]~41132_combout\ = (\led_flash_cnt[1018][1]~q\ & (\led_flash_cnt[1018][0]~q\ $ (VCC))) # (!\led_flash_cnt[1018][1]~q\ & (\led_flash_cnt[1018][0]~q\ & VCC))
-- \led_flash_cnt[1018][1]~41133\ = CARRY((\led_flash_cnt[1018][1]~q\ & \led_flash_cnt[1018][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1018][1]~q\,
	datab => \led_flash_cnt[1018][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1018][1]~41132_combout\,
	cout => \led_flash_cnt[1018][1]~41133\);

-- Location: FF_X49_Y35_N1
\led_flash_cnt[1018][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1018][1]~41132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1018][1]~q\);

-- Location: LCCOMB_X49_Y35_N2
\led_flash_cnt[1018][2]~41134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1018][2]~41134_combout\ = (\led_flash_cnt[1018][2]~q\ & (!\led_flash_cnt[1018][1]~41133\)) # (!\led_flash_cnt[1018][2]~q\ & ((\led_flash_cnt[1018][1]~41133\) # (GND)))
-- \led_flash_cnt[1018][2]~41135\ = CARRY((!\led_flash_cnt[1018][1]~41133\) # (!\led_flash_cnt[1018][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1018][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1018][1]~41133\,
	combout => \led_flash_cnt[1018][2]~41134_combout\,
	cout => \led_flash_cnt[1018][2]~41135\);

-- Location: FF_X49_Y35_N3
\led_flash_cnt[1018][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1018][2]~41134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1018][2]~q\);

-- Location: LCCOMB_X49_Y35_N4
\led_flash_cnt[1018][3]~41136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1018][3]~41136_combout\ = (\led_flash_cnt[1018][3]~q\ & (\led_flash_cnt[1018][2]~41135\ $ (GND))) # (!\led_flash_cnt[1018][3]~q\ & (!\led_flash_cnt[1018][2]~41135\ & VCC))
-- \led_flash_cnt[1018][3]~41137\ = CARRY((\led_flash_cnt[1018][3]~q\ & !\led_flash_cnt[1018][2]~41135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1018][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1018][2]~41135\,
	combout => \led_flash_cnt[1018][3]~41136_combout\,
	cout => \led_flash_cnt[1018][3]~41137\);

-- Location: FF_X49_Y35_N5
\led_flash_cnt[1018][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1018][3]~41136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1018][3]~q\);

-- Location: LCCOMB_X49_Y35_N6
\led_flash_cnt[1018][4]~41138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1018][4]~41138_combout\ = (\led_flash_cnt[1018][4]~q\ & (!\led_flash_cnt[1018][3]~41137\)) # (!\led_flash_cnt[1018][4]~q\ & ((\led_flash_cnt[1018][3]~41137\) # (GND)))
-- \led_flash_cnt[1018][4]~41139\ = CARRY((!\led_flash_cnt[1018][3]~41137\) # (!\led_flash_cnt[1018][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1018][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1018][3]~41137\,
	combout => \led_flash_cnt[1018][4]~41138_combout\,
	cout => \led_flash_cnt[1018][4]~41139\);

-- Location: FF_X49_Y35_N7
\led_flash_cnt[1018][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1018][4]~41138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1018][4]~q\);

-- Location: LCCOMB_X49_Y35_N26
\WideAnd1018~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1018~0_combout\ = (\led_flash_cnt[1018][4]~q\ & (\led_flash_cnt[1018][1]~q\ & (\led_flash_cnt[1018][3]~q\ & \led_flash_cnt[1018][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1018][4]~q\,
	datab => \led_flash_cnt[1018][1]~q\,
	datac => \led_flash_cnt[1018][3]~q\,
	datad => \led_flash_cnt[1018][2]~q\,
	combout => \WideAnd1018~0_combout\);

-- Location: LCCOMB_X49_Y35_N8
\led_flash_cnt[1018][5]~41140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1018][5]~41140_combout\ = (\led_flash_cnt[1018][5]~q\ & (\led_flash_cnt[1018][4]~41139\ $ (GND))) # (!\led_flash_cnt[1018][5]~q\ & (!\led_flash_cnt[1018][4]~41139\ & VCC))
-- \led_flash_cnt[1018][5]~41141\ = CARRY((\led_flash_cnt[1018][5]~q\ & !\led_flash_cnt[1018][4]~41139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1018][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1018][4]~41139\,
	combout => \led_flash_cnt[1018][5]~41140_combout\,
	cout => \led_flash_cnt[1018][5]~41141\);

-- Location: FF_X49_Y35_N9
\led_flash_cnt[1018][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1018][5]~41140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1018][5]~q\);

-- Location: LCCOMB_X49_Y35_N10
\led_flash_cnt[1018][6]~41142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1018][6]~41142_combout\ = (\led_flash_cnt[1018][6]~q\ & (!\led_flash_cnt[1018][5]~41141\)) # (!\led_flash_cnt[1018][6]~q\ & ((\led_flash_cnt[1018][5]~41141\) # (GND)))
-- \led_flash_cnt[1018][6]~41143\ = CARRY((!\led_flash_cnt[1018][5]~41141\) # (!\led_flash_cnt[1018][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1018][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1018][5]~41141\,
	combout => \led_flash_cnt[1018][6]~41142_combout\,
	cout => \led_flash_cnt[1018][6]~41143\);

-- Location: FF_X49_Y35_N11
\led_flash_cnt[1018][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1018][6]~41142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1018][6]~q\);

-- Location: LCCOMB_X49_Y35_N22
\WideAnd1018~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1018~1_combout\ = (\led_flash_cnt[1018][5]~q\ & \led_flash_cnt[1018][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1018][5]~q\,
	datad => \led_flash_cnt[1018][6]~q\,
	combout => \WideAnd1018~1_combout\);

-- Location: LCCOMB_X49_Y35_N12
\led_flash_cnt[1018][7]~41144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1018][7]~41144_combout\ = \led_flash_cnt[1018][6]~41143\ $ (!\led_flash_cnt[1018][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1018][7]~q\,
	cin => \led_flash_cnt[1018][6]~41143\,
	combout => \led_flash_cnt[1018][7]~41144_combout\);

-- Location: FF_X49_Y35_N13
\led_flash_cnt[1018][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1018][7]~41144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1018][7]~q\);

-- Location: LCCOMB_X49_Y35_N20
WideAnd1018 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1018~combout\ = (\WideAnd1018~0_combout\ & (\led_flash_cnt[1018][0]~q\ & (\WideAnd1018~1_combout\ & \led_flash_cnt[1018][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1018~0_combout\,
	datab => \led_flash_cnt[1018][0]~q\,
	datac => \WideAnd1018~1_combout\,
	datad => \led_flash_cnt[1018][7]~q\,
	combout => \WideAnd1018~combout\);

-- Location: FF_X49_Y35_N21
\led_flash_cnt_ands[1018]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1018~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1018));

-- Location: LCCOMB_X49_Y35_N28
\WideAnd3967~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3967~0_combout\ = (led_flash_cnt_ands(1019) & (led_flash_cnt_ands(1017) & (led_flash_cnt_ands(1016) & led_flash_cnt_ands(1018))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1019),
	datab => led_flash_cnt_ands(1017),
	datac => led_flash_cnt_ands(1016),
	datad => led_flash_cnt_ands(1018),
	combout => \WideAnd3967~0_combout\);

-- Location: LCCOMB_X52_Y36_N4
\led_flash_cnt[1021][0]~81661\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1021][0]~81661_combout\ = !\led_flash_cnt[1021][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1021][0]~q\,
	combout => \led_flash_cnt[1021][0]~81661_combout\);

-- Location: FF_X52_Y36_N5
\led_flash_cnt[1021][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1021][0]~81661_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1021][0]~q\);

-- Location: LCCOMB_X52_Y36_N12
\led_flash_cnt[1021][1]~41174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1021][1]~41174_combout\ = (\led_flash_cnt[1021][1]~q\ & (\led_flash_cnt[1021][0]~q\ $ (VCC))) # (!\led_flash_cnt[1021][1]~q\ & (\led_flash_cnt[1021][0]~q\ & VCC))
-- \led_flash_cnt[1021][1]~41175\ = CARRY((\led_flash_cnt[1021][1]~q\ & \led_flash_cnt[1021][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1021][1]~q\,
	datab => \led_flash_cnt[1021][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1021][1]~41174_combout\,
	cout => \led_flash_cnt[1021][1]~41175\);

-- Location: FF_X52_Y36_N13
\led_flash_cnt[1021][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1021][1]~41174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1021][1]~q\);

-- Location: LCCOMB_X52_Y36_N14
\led_flash_cnt[1021][2]~41176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1021][2]~41176_combout\ = (\led_flash_cnt[1021][2]~q\ & (!\led_flash_cnt[1021][1]~41175\)) # (!\led_flash_cnt[1021][2]~q\ & ((\led_flash_cnt[1021][1]~41175\) # (GND)))
-- \led_flash_cnt[1021][2]~41177\ = CARRY((!\led_flash_cnt[1021][1]~41175\) # (!\led_flash_cnt[1021][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1021][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1021][1]~41175\,
	combout => \led_flash_cnt[1021][2]~41176_combout\,
	cout => \led_flash_cnt[1021][2]~41177\);

-- Location: FF_X52_Y36_N15
\led_flash_cnt[1021][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1021][2]~41176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1021][2]~q\);

-- Location: LCCOMB_X52_Y36_N16
\led_flash_cnt[1021][3]~41178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1021][3]~41178_combout\ = (\led_flash_cnt[1021][3]~q\ & (\led_flash_cnt[1021][2]~41177\ $ (GND))) # (!\led_flash_cnt[1021][3]~q\ & (!\led_flash_cnt[1021][2]~41177\ & VCC))
-- \led_flash_cnt[1021][3]~41179\ = CARRY((\led_flash_cnt[1021][3]~q\ & !\led_flash_cnt[1021][2]~41177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1021][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1021][2]~41177\,
	combout => \led_flash_cnt[1021][3]~41178_combout\,
	cout => \led_flash_cnt[1021][3]~41179\);

-- Location: FF_X52_Y36_N17
\led_flash_cnt[1021][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1021][3]~41178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1021][3]~q\);

-- Location: LCCOMB_X52_Y36_N18
\led_flash_cnt[1021][4]~41180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1021][4]~41180_combout\ = (\led_flash_cnt[1021][4]~q\ & (!\led_flash_cnt[1021][3]~41179\)) # (!\led_flash_cnt[1021][4]~q\ & ((\led_flash_cnt[1021][3]~41179\) # (GND)))
-- \led_flash_cnt[1021][4]~41181\ = CARRY((!\led_flash_cnt[1021][3]~41179\) # (!\led_flash_cnt[1021][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1021][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1021][3]~41179\,
	combout => \led_flash_cnt[1021][4]~41180_combout\,
	cout => \led_flash_cnt[1021][4]~41181\);

-- Location: FF_X52_Y36_N19
\led_flash_cnt[1021][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1021][4]~41180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1021][4]~q\);

-- Location: LCCOMB_X52_Y36_N10
\WideAnd1021~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1021~0_combout\ = (\led_flash_cnt[1021][4]~q\ & (\led_flash_cnt[1021][3]~q\ & (\led_flash_cnt[1021][2]~q\ & \led_flash_cnt[1021][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1021][4]~q\,
	datab => \led_flash_cnt[1021][3]~q\,
	datac => \led_flash_cnt[1021][2]~q\,
	datad => \led_flash_cnt[1021][1]~q\,
	combout => \WideAnd1021~0_combout\);

-- Location: LCCOMB_X52_Y36_N20
\led_flash_cnt[1021][5]~41182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1021][5]~41182_combout\ = (\led_flash_cnt[1021][5]~q\ & (\led_flash_cnt[1021][4]~41181\ $ (GND))) # (!\led_flash_cnt[1021][5]~q\ & (!\led_flash_cnt[1021][4]~41181\ & VCC))
-- \led_flash_cnt[1021][5]~41183\ = CARRY((\led_flash_cnt[1021][5]~q\ & !\led_flash_cnt[1021][4]~41181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1021][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1021][4]~41181\,
	combout => \led_flash_cnt[1021][5]~41182_combout\,
	cout => \led_flash_cnt[1021][5]~41183\);

-- Location: FF_X52_Y36_N21
\led_flash_cnt[1021][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1021][5]~41182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1021][5]~q\);

-- Location: LCCOMB_X52_Y36_N22
\led_flash_cnt[1021][6]~41184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1021][6]~41184_combout\ = (\led_flash_cnt[1021][6]~q\ & (!\led_flash_cnt[1021][5]~41183\)) # (!\led_flash_cnt[1021][6]~q\ & ((\led_flash_cnt[1021][5]~41183\) # (GND)))
-- \led_flash_cnt[1021][6]~41185\ = CARRY((!\led_flash_cnt[1021][5]~41183\) # (!\led_flash_cnt[1021][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1021][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1021][5]~41183\,
	combout => \led_flash_cnt[1021][6]~41184_combout\,
	cout => \led_flash_cnt[1021][6]~41185\);

-- Location: FF_X52_Y36_N23
\led_flash_cnt[1021][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1021][6]~41184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1021][6]~q\);

-- Location: LCCOMB_X52_Y36_N8
\WideAnd1021~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1021~1_combout\ = (\led_flash_cnt[1021][6]~q\ & \led_flash_cnt[1021][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1021][6]~q\,
	datad => \led_flash_cnt[1021][5]~q\,
	combout => \WideAnd1021~1_combout\);

-- Location: LCCOMB_X52_Y36_N24
\led_flash_cnt[1021][7]~41186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1021][7]~41186_combout\ = \led_flash_cnt[1021][6]~41185\ $ (!\led_flash_cnt[1021][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1021][7]~q\,
	cin => \led_flash_cnt[1021][6]~41185\,
	combout => \led_flash_cnt[1021][7]~41186_combout\);

-- Location: FF_X52_Y36_N25
\led_flash_cnt[1021][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1021][7]~41186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1021][7]~q\);

-- Location: LCCOMB_X52_Y36_N30
WideAnd1021 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1021~combout\ = (\WideAnd1021~0_combout\ & (\WideAnd1021~1_combout\ & (\led_flash_cnt[1021][0]~q\ & \led_flash_cnt[1021][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1021~0_combout\,
	datab => \WideAnd1021~1_combout\,
	datac => \led_flash_cnt[1021][0]~q\,
	datad => \led_flash_cnt[1021][7]~q\,
	combout => \WideAnd1021~combout\);

-- Location: FF_X52_Y36_N31
\led_flash_cnt_ands[1021]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1021~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1021));

-- Location: LCCOMB_X52_Y36_N28
\led_flash_cnt[1020][0]~81660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1020][0]~81660_combout\ = !\led_flash_cnt[1020][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1020][0]~q\,
	combout => \led_flash_cnt[1020][0]~81660_combout\);

-- Location: FF_X52_Y36_N29
\led_flash_cnt[1020][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1020][0]~81660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1020][0]~q\);

-- Location: LCCOMB_X51_Y36_N2
\led_flash_cnt[1020][1]~41160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1020][1]~41160_combout\ = (\led_flash_cnt[1020][0]~q\ & (\led_flash_cnt[1020][1]~q\ $ (VCC))) # (!\led_flash_cnt[1020][0]~q\ & (\led_flash_cnt[1020][1]~q\ & VCC))
-- \led_flash_cnt[1020][1]~41161\ = CARRY((\led_flash_cnt[1020][0]~q\ & \led_flash_cnt[1020][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1020][0]~q\,
	datab => \led_flash_cnt[1020][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1020][1]~41160_combout\,
	cout => \led_flash_cnt[1020][1]~41161\);

-- Location: FF_X51_Y36_N3
\led_flash_cnt[1020][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1020][1]~41160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1020][1]~q\);

-- Location: LCCOMB_X51_Y36_N4
\led_flash_cnt[1020][2]~41162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1020][2]~41162_combout\ = (\led_flash_cnt[1020][2]~q\ & (!\led_flash_cnt[1020][1]~41161\)) # (!\led_flash_cnt[1020][2]~q\ & ((\led_flash_cnt[1020][1]~41161\) # (GND)))
-- \led_flash_cnt[1020][2]~41163\ = CARRY((!\led_flash_cnt[1020][1]~41161\) # (!\led_flash_cnt[1020][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1020][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1020][1]~41161\,
	combout => \led_flash_cnt[1020][2]~41162_combout\,
	cout => \led_flash_cnt[1020][2]~41163\);

-- Location: FF_X51_Y36_N5
\led_flash_cnt[1020][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1020][2]~41162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1020][2]~q\);

-- Location: LCCOMB_X51_Y36_N6
\led_flash_cnt[1020][3]~41164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1020][3]~41164_combout\ = (\led_flash_cnt[1020][3]~q\ & (\led_flash_cnt[1020][2]~41163\ $ (GND))) # (!\led_flash_cnt[1020][3]~q\ & (!\led_flash_cnt[1020][2]~41163\ & VCC))
-- \led_flash_cnt[1020][3]~41165\ = CARRY((\led_flash_cnt[1020][3]~q\ & !\led_flash_cnt[1020][2]~41163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1020][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1020][2]~41163\,
	combout => \led_flash_cnt[1020][3]~41164_combout\,
	cout => \led_flash_cnt[1020][3]~41165\);

-- Location: FF_X51_Y36_N7
\led_flash_cnt[1020][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1020][3]~41164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1020][3]~q\);

-- Location: LCCOMB_X51_Y36_N8
\led_flash_cnt[1020][4]~41166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1020][4]~41166_combout\ = (\led_flash_cnt[1020][4]~q\ & (!\led_flash_cnt[1020][3]~41165\)) # (!\led_flash_cnt[1020][4]~q\ & ((\led_flash_cnt[1020][3]~41165\) # (GND)))
-- \led_flash_cnt[1020][4]~41167\ = CARRY((!\led_flash_cnt[1020][3]~41165\) # (!\led_flash_cnt[1020][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1020][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1020][3]~41165\,
	combout => \led_flash_cnt[1020][4]~41166_combout\,
	cout => \led_flash_cnt[1020][4]~41167\);

-- Location: FF_X51_Y36_N9
\led_flash_cnt[1020][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1020][4]~41166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1020][4]~q\);

-- Location: LCCOMB_X51_Y36_N10
\led_flash_cnt[1020][5]~41168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1020][5]~41168_combout\ = (\led_flash_cnt[1020][5]~q\ & (\led_flash_cnt[1020][4]~41167\ $ (GND))) # (!\led_flash_cnt[1020][5]~q\ & (!\led_flash_cnt[1020][4]~41167\ & VCC))
-- \led_flash_cnt[1020][5]~41169\ = CARRY((\led_flash_cnt[1020][5]~q\ & !\led_flash_cnt[1020][4]~41167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1020][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1020][4]~41167\,
	combout => \led_flash_cnt[1020][5]~41168_combout\,
	cout => \led_flash_cnt[1020][5]~41169\);

-- Location: FF_X51_Y36_N11
\led_flash_cnt[1020][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1020][5]~41168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1020][5]~q\);

-- Location: LCCOMB_X51_Y36_N12
\led_flash_cnt[1020][6]~41170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1020][6]~41170_combout\ = (\led_flash_cnt[1020][6]~q\ & (!\led_flash_cnt[1020][5]~41169\)) # (!\led_flash_cnt[1020][6]~q\ & ((\led_flash_cnt[1020][5]~41169\) # (GND)))
-- \led_flash_cnt[1020][6]~41171\ = CARRY((!\led_flash_cnt[1020][5]~41169\) # (!\led_flash_cnt[1020][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1020][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1020][5]~41169\,
	combout => \led_flash_cnt[1020][6]~41170_combout\,
	cout => \led_flash_cnt[1020][6]~41171\);

-- Location: FF_X51_Y36_N13
\led_flash_cnt[1020][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1020][6]~41170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1020][6]~q\);

-- Location: LCCOMB_X51_Y36_N14
\led_flash_cnt[1020][7]~41172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1020][7]~41172_combout\ = \led_flash_cnt[1020][7]~q\ $ (!\led_flash_cnt[1020][6]~41171\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1020][7]~q\,
	cin => \led_flash_cnt[1020][6]~41171\,
	combout => \led_flash_cnt[1020][7]~41172_combout\);

-- Location: FF_X51_Y36_N15
\led_flash_cnt[1020][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1020][7]~41172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1020][7]~q\);

-- Location: LCCOMB_X52_Y36_N0
\WideAnd1020~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1020~1_combout\ = (\led_flash_cnt[1020][6]~q\ & \led_flash_cnt[1020][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1020][6]~q\,
	datad => \led_flash_cnt[1020][5]~q\,
	combout => \WideAnd1020~1_combout\);

-- Location: LCCOMB_X51_Y36_N0
\WideAnd1020~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1020~0_combout\ = (\led_flash_cnt[1020][3]~q\ & (\led_flash_cnt[1020][4]~q\ & (\led_flash_cnt[1020][2]~q\ & \led_flash_cnt[1020][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1020][3]~q\,
	datab => \led_flash_cnt[1020][4]~q\,
	datac => \led_flash_cnt[1020][2]~q\,
	datad => \led_flash_cnt[1020][1]~q\,
	combout => \WideAnd1020~0_combout\);

-- Location: LCCOMB_X52_Y36_N6
WideAnd1020 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1020~combout\ = (\led_flash_cnt[1020][7]~q\ & (\WideAnd1020~1_combout\ & (\WideAnd1020~0_combout\ & \led_flash_cnt[1020][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1020][7]~q\,
	datab => \WideAnd1020~1_combout\,
	datac => \WideAnd1020~0_combout\,
	datad => \led_flash_cnt[1020][0]~q\,
	combout => \WideAnd1020~combout\);

-- Location: FF_X52_Y36_N7
\led_flash_cnt_ands[1020]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1020~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1020));

-- Location: LCCOMB_X52_Y36_N2
\WideAnd3967~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3967~1_combout\ = (led_flash_cnt_ands(1021) & led_flash_cnt_ands(1020))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1021),
	datad => led_flash_cnt_ands(1020),
	combout => \WideAnd3967~1_combout\);

-- Location: LCCOMB_X49_Y39_N4
WideAnd3967 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3967~combout\ = (led_flash_cnt_ands(1023) & (led_flash_cnt_ands(1022) & (\WideAnd3967~0_combout\ & \WideAnd3967~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1023),
	datab => led_flash_cnt_ands(1022),
	datac => \WideAnd3967~0_combout\,
	datad => \WideAnd3967~1_combout\,
	combout => \WideAnd3967~combout\);

-- Location: FF_X49_Y39_N5
\led_flash_cnt_ands_1[127]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3967~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(127));

-- Location: LCCOMB_X72_Y32_N30
\led_flash_cnt[990][0]~81630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[990][0]~81630_combout\ = !\led_flash_cnt[990][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[990][0]~q\,
	combout => \led_flash_cnt[990][0]~81630_combout\);

-- Location: FF_X72_Y32_N31
\led_flash_cnt[990][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[990][0]~81630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[990][0]~q\);

-- Location: LCCOMB_X72_Y32_N4
\led_flash_cnt[990][1]~40740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[990][1]~40740_combout\ = (\led_flash_cnt[990][0]~q\ & (\led_flash_cnt[990][1]~q\ $ (VCC))) # (!\led_flash_cnt[990][0]~q\ & (\led_flash_cnt[990][1]~q\ & VCC))
-- \led_flash_cnt[990][1]~40741\ = CARRY((\led_flash_cnt[990][0]~q\ & \led_flash_cnt[990][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[990][0]~q\,
	datab => \led_flash_cnt[990][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[990][1]~40740_combout\,
	cout => \led_flash_cnt[990][1]~40741\);

-- Location: FF_X72_Y32_N5
\led_flash_cnt[990][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[990][1]~40740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[990][1]~q\);

-- Location: LCCOMB_X72_Y32_N6
\led_flash_cnt[990][2]~40742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[990][2]~40742_combout\ = (\led_flash_cnt[990][2]~q\ & (!\led_flash_cnt[990][1]~40741\)) # (!\led_flash_cnt[990][2]~q\ & ((\led_flash_cnt[990][1]~40741\) # (GND)))
-- \led_flash_cnt[990][2]~40743\ = CARRY((!\led_flash_cnt[990][1]~40741\) # (!\led_flash_cnt[990][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[990][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[990][1]~40741\,
	combout => \led_flash_cnt[990][2]~40742_combout\,
	cout => \led_flash_cnt[990][2]~40743\);

-- Location: FF_X72_Y32_N7
\led_flash_cnt[990][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[990][2]~40742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[990][2]~q\);

-- Location: LCCOMB_X72_Y32_N8
\led_flash_cnt[990][3]~40744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[990][3]~40744_combout\ = (\led_flash_cnt[990][3]~q\ & (\led_flash_cnt[990][2]~40743\ $ (GND))) # (!\led_flash_cnt[990][3]~q\ & (!\led_flash_cnt[990][2]~40743\ & VCC))
-- \led_flash_cnt[990][3]~40745\ = CARRY((\led_flash_cnt[990][3]~q\ & !\led_flash_cnt[990][2]~40743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[990][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[990][2]~40743\,
	combout => \led_flash_cnt[990][3]~40744_combout\,
	cout => \led_flash_cnt[990][3]~40745\);

-- Location: FF_X72_Y32_N9
\led_flash_cnt[990][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[990][3]~40744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[990][3]~q\);

-- Location: LCCOMB_X72_Y32_N10
\led_flash_cnt[990][4]~40746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[990][4]~40746_combout\ = (\led_flash_cnt[990][4]~q\ & (!\led_flash_cnt[990][3]~40745\)) # (!\led_flash_cnt[990][4]~q\ & ((\led_flash_cnt[990][3]~40745\) # (GND)))
-- \led_flash_cnt[990][4]~40747\ = CARRY((!\led_flash_cnt[990][3]~40745\) # (!\led_flash_cnt[990][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[990][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[990][3]~40745\,
	combout => \led_flash_cnt[990][4]~40746_combout\,
	cout => \led_flash_cnt[990][4]~40747\);

-- Location: FF_X72_Y32_N11
\led_flash_cnt[990][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[990][4]~40746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[990][4]~q\);

-- Location: LCCOMB_X72_Y32_N12
\led_flash_cnt[990][5]~40748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[990][5]~40748_combout\ = (\led_flash_cnt[990][5]~q\ & (\led_flash_cnt[990][4]~40747\ $ (GND))) # (!\led_flash_cnt[990][5]~q\ & (!\led_flash_cnt[990][4]~40747\ & VCC))
-- \led_flash_cnt[990][5]~40749\ = CARRY((\led_flash_cnt[990][5]~q\ & !\led_flash_cnt[990][4]~40747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[990][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[990][4]~40747\,
	combout => \led_flash_cnt[990][5]~40748_combout\,
	cout => \led_flash_cnt[990][5]~40749\);

-- Location: FF_X72_Y32_N13
\led_flash_cnt[990][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[990][5]~40748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[990][5]~q\);

-- Location: LCCOMB_X72_Y32_N14
\led_flash_cnt[990][6]~40750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[990][6]~40750_combout\ = (\led_flash_cnt[990][6]~q\ & (!\led_flash_cnt[990][5]~40749\)) # (!\led_flash_cnt[990][6]~q\ & ((\led_flash_cnt[990][5]~40749\) # (GND)))
-- \led_flash_cnt[990][6]~40751\ = CARRY((!\led_flash_cnt[990][5]~40749\) # (!\led_flash_cnt[990][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[990][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[990][5]~40749\,
	combout => \led_flash_cnt[990][6]~40750_combout\,
	cout => \led_flash_cnt[990][6]~40751\);

-- Location: FF_X72_Y32_N15
\led_flash_cnt[990][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[990][6]~40750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[990][6]~q\);

-- Location: LCCOMB_X72_Y32_N16
\led_flash_cnt[990][7]~40752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[990][7]~40752_combout\ = \led_flash_cnt[990][6]~40751\ $ (!\led_flash_cnt[990][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[990][7]~q\,
	cin => \led_flash_cnt[990][6]~40751\,
	combout => \led_flash_cnt[990][7]~40752_combout\);

-- Location: FF_X72_Y32_N17
\led_flash_cnt[990][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[990][7]~40752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[990][7]~q\);

-- Location: LCCOMB_X72_Y32_N26
\WideAnd990~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd990~0_combout\ = (\led_flash_cnt[990][4]~q\ & (\led_flash_cnt[990][3]~q\ & (\led_flash_cnt[990][1]~q\ & \led_flash_cnt[990][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[990][4]~q\,
	datab => \led_flash_cnt[990][3]~q\,
	datac => \led_flash_cnt[990][1]~q\,
	datad => \led_flash_cnt[990][2]~q\,
	combout => \WideAnd990~0_combout\);

-- Location: LCCOMB_X72_Y32_N20
\WideAnd990~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd990~1_combout\ = (\led_flash_cnt[990][6]~q\ & \led_flash_cnt[990][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[990][6]~q\,
	datad => \led_flash_cnt[990][5]~q\,
	combout => \WideAnd990~1_combout\);

-- Location: LCCOMB_X72_Y32_N18
WideAnd990 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd990~combout\ = (\led_flash_cnt[990][0]~q\ & (\led_flash_cnt[990][7]~q\ & (\WideAnd990~0_combout\ & \WideAnd990~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[990][0]~q\,
	datab => \led_flash_cnt[990][7]~q\,
	datac => \WideAnd990~0_combout\,
	datad => \WideAnd990~1_combout\,
	combout => \WideAnd990~combout\);

-- Location: FF_X72_Y32_N19
\led_flash_cnt_ands[990]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd990~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(990));

-- Location: LCCOMB_X72_Y28_N8
\led_flash_cnt[991][0]~81631\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[991][0]~81631_combout\ = !\led_flash_cnt[991][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[991][0]~q\,
	combout => \led_flash_cnt[991][0]~81631_combout\);

-- Location: FF_X72_Y28_N9
\led_flash_cnt[991][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[991][0]~81631_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[991][0]~q\);

-- Location: LCCOMB_X72_Y28_N10
\led_flash_cnt[991][1]~40754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[991][1]~40754_combout\ = (\led_flash_cnt[991][1]~q\ & (\led_flash_cnt[991][0]~q\ $ (VCC))) # (!\led_flash_cnt[991][1]~q\ & (\led_flash_cnt[991][0]~q\ & VCC))
-- \led_flash_cnt[991][1]~40755\ = CARRY((\led_flash_cnt[991][1]~q\ & \led_flash_cnt[991][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[991][1]~q\,
	datab => \led_flash_cnt[991][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[991][1]~40754_combout\,
	cout => \led_flash_cnt[991][1]~40755\);

-- Location: FF_X72_Y28_N11
\led_flash_cnt[991][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[991][1]~40754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[991][1]~q\);

-- Location: LCCOMB_X72_Y28_N12
\led_flash_cnt[991][2]~40756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[991][2]~40756_combout\ = (\led_flash_cnt[991][2]~q\ & (!\led_flash_cnt[991][1]~40755\)) # (!\led_flash_cnt[991][2]~q\ & ((\led_flash_cnt[991][1]~40755\) # (GND)))
-- \led_flash_cnt[991][2]~40757\ = CARRY((!\led_flash_cnt[991][1]~40755\) # (!\led_flash_cnt[991][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[991][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[991][1]~40755\,
	combout => \led_flash_cnt[991][2]~40756_combout\,
	cout => \led_flash_cnt[991][2]~40757\);

-- Location: FF_X72_Y28_N13
\led_flash_cnt[991][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[991][2]~40756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[991][2]~q\);

-- Location: LCCOMB_X72_Y28_N14
\led_flash_cnt[991][3]~40758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[991][3]~40758_combout\ = (\led_flash_cnt[991][3]~q\ & (\led_flash_cnt[991][2]~40757\ $ (GND))) # (!\led_flash_cnt[991][3]~q\ & (!\led_flash_cnt[991][2]~40757\ & VCC))
-- \led_flash_cnt[991][3]~40759\ = CARRY((\led_flash_cnt[991][3]~q\ & !\led_flash_cnt[991][2]~40757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[991][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[991][2]~40757\,
	combout => \led_flash_cnt[991][3]~40758_combout\,
	cout => \led_flash_cnt[991][3]~40759\);

-- Location: FF_X72_Y28_N15
\led_flash_cnt[991][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[991][3]~40758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[991][3]~q\);

-- Location: LCCOMB_X72_Y28_N16
\led_flash_cnt[991][4]~40760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[991][4]~40760_combout\ = (\led_flash_cnt[991][4]~q\ & (!\led_flash_cnt[991][3]~40759\)) # (!\led_flash_cnt[991][4]~q\ & ((\led_flash_cnt[991][3]~40759\) # (GND)))
-- \led_flash_cnt[991][4]~40761\ = CARRY((!\led_flash_cnt[991][3]~40759\) # (!\led_flash_cnt[991][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[991][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[991][3]~40759\,
	combout => \led_flash_cnt[991][4]~40760_combout\,
	cout => \led_flash_cnt[991][4]~40761\);

-- Location: FF_X72_Y28_N17
\led_flash_cnt[991][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[991][4]~40760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[991][4]~q\);

-- Location: LCCOMB_X72_Y28_N18
\led_flash_cnt[991][5]~40762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[991][5]~40762_combout\ = (\led_flash_cnt[991][5]~q\ & (\led_flash_cnt[991][4]~40761\ $ (GND))) # (!\led_flash_cnt[991][5]~q\ & (!\led_flash_cnt[991][4]~40761\ & VCC))
-- \led_flash_cnt[991][5]~40763\ = CARRY((\led_flash_cnt[991][5]~q\ & !\led_flash_cnt[991][4]~40761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[991][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[991][4]~40761\,
	combout => \led_flash_cnt[991][5]~40762_combout\,
	cout => \led_flash_cnt[991][5]~40763\);

-- Location: FF_X72_Y28_N19
\led_flash_cnt[991][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[991][5]~40762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[991][5]~q\);

-- Location: LCCOMB_X72_Y28_N20
\led_flash_cnt[991][6]~40764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[991][6]~40764_combout\ = (\led_flash_cnt[991][6]~q\ & (!\led_flash_cnt[991][5]~40763\)) # (!\led_flash_cnt[991][6]~q\ & ((\led_flash_cnt[991][5]~40763\) # (GND)))
-- \led_flash_cnt[991][6]~40765\ = CARRY((!\led_flash_cnt[991][5]~40763\) # (!\led_flash_cnt[991][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[991][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[991][5]~40763\,
	combout => \led_flash_cnt[991][6]~40764_combout\,
	cout => \led_flash_cnt[991][6]~40765\);

-- Location: FF_X72_Y28_N21
\led_flash_cnt[991][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[991][6]~40764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[991][6]~q\);

-- Location: LCCOMB_X72_Y28_N22
\led_flash_cnt[991][7]~40766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[991][7]~40766_combout\ = \led_flash_cnt[991][7]~q\ $ (!\led_flash_cnt[991][6]~40765\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[991][7]~q\,
	cin => \led_flash_cnt[991][6]~40765\,
	combout => \led_flash_cnt[991][7]~40766_combout\);

-- Location: FF_X72_Y28_N23
\led_flash_cnt[991][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[991][7]~40766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[991][7]~q\);

-- Location: LCCOMB_X72_Y28_N4
\WideAnd991~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd991~1_combout\ = (\led_flash_cnt[991][6]~q\ & \led_flash_cnt[991][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[991][6]~q\,
	datad => \led_flash_cnt[991][5]~q\,
	combout => \WideAnd991~1_combout\);

-- Location: LCCOMB_X72_Y28_N24
\WideAnd991~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd991~0_combout\ = (\led_flash_cnt[991][2]~q\ & (\led_flash_cnt[991][4]~q\ & (\led_flash_cnt[991][3]~q\ & \led_flash_cnt[991][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[991][2]~q\,
	datab => \led_flash_cnt[991][4]~q\,
	datac => \led_flash_cnt[991][3]~q\,
	datad => \led_flash_cnt[991][1]~q\,
	combout => \WideAnd991~0_combout\);

-- Location: LCCOMB_X72_Y28_N2
WideAnd991 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd991~combout\ = (\led_flash_cnt[991][7]~q\ & (\WideAnd991~1_combout\ & (\led_flash_cnt[991][0]~q\ & \WideAnd991~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[991][7]~q\,
	datab => \WideAnd991~1_combout\,
	datac => \led_flash_cnt[991][0]~q\,
	datad => \WideAnd991~0_combout\,
	combout => \WideAnd991~combout\);

-- Location: FF_X72_Y28_N3
\led_flash_cnt_ands[991]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd991~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(991));

-- Location: LCCOMB_X65_Y28_N20
\led_flash_cnt[989][0]~81629\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[989][0]~81629_combout\ = !\led_flash_cnt[989][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[989][0]~q\,
	combout => \led_flash_cnt[989][0]~81629_combout\);

-- Location: FF_X65_Y28_N21
\led_flash_cnt[989][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[989][0]~81629_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[989][0]~q\);

-- Location: LCCOMB_X65_Y28_N6
\led_flash_cnt[989][1]~40726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[989][1]~40726_combout\ = (\led_flash_cnt[989][1]~q\ & (\led_flash_cnt[989][0]~q\ $ (VCC))) # (!\led_flash_cnt[989][1]~q\ & (\led_flash_cnt[989][0]~q\ & VCC))
-- \led_flash_cnt[989][1]~40727\ = CARRY((\led_flash_cnt[989][1]~q\ & \led_flash_cnt[989][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[989][1]~q\,
	datab => \led_flash_cnt[989][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[989][1]~40726_combout\,
	cout => \led_flash_cnt[989][1]~40727\);

-- Location: FF_X65_Y28_N7
\led_flash_cnt[989][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[989][1]~40726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[989][1]~q\);

-- Location: LCCOMB_X65_Y28_N8
\led_flash_cnt[989][2]~40728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[989][2]~40728_combout\ = (\led_flash_cnt[989][2]~q\ & (!\led_flash_cnt[989][1]~40727\)) # (!\led_flash_cnt[989][2]~q\ & ((\led_flash_cnt[989][1]~40727\) # (GND)))
-- \led_flash_cnt[989][2]~40729\ = CARRY((!\led_flash_cnt[989][1]~40727\) # (!\led_flash_cnt[989][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[989][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[989][1]~40727\,
	combout => \led_flash_cnt[989][2]~40728_combout\,
	cout => \led_flash_cnt[989][2]~40729\);

-- Location: FF_X65_Y28_N9
\led_flash_cnt[989][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[989][2]~40728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[989][2]~q\);

-- Location: LCCOMB_X65_Y28_N10
\led_flash_cnt[989][3]~40730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[989][3]~40730_combout\ = (\led_flash_cnt[989][3]~q\ & (\led_flash_cnt[989][2]~40729\ $ (GND))) # (!\led_flash_cnt[989][3]~q\ & (!\led_flash_cnt[989][2]~40729\ & VCC))
-- \led_flash_cnt[989][3]~40731\ = CARRY((\led_flash_cnt[989][3]~q\ & !\led_flash_cnt[989][2]~40729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[989][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[989][2]~40729\,
	combout => \led_flash_cnt[989][3]~40730_combout\,
	cout => \led_flash_cnt[989][3]~40731\);

-- Location: FF_X65_Y28_N11
\led_flash_cnt[989][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[989][3]~40730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[989][3]~q\);

-- Location: LCCOMB_X65_Y28_N12
\led_flash_cnt[989][4]~40732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[989][4]~40732_combout\ = (\led_flash_cnt[989][4]~q\ & (!\led_flash_cnt[989][3]~40731\)) # (!\led_flash_cnt[989][4]~q\ & ((\led_flash_cnt[989][3]~40731\) # (GND)))
-- \led_flash_cnt[989][4]~40733\ = CARRY((!\led_flash_cnt[989][3]~40731\) # (!\led_flash_cnt[989][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[989][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[989][3]~40731\,
	combout => \led_flash_cnt[989][4]~40732_combout\,
	cout => \led_flash_cnt[989][4]~40733\);

-- Location: FF_X65_Y28_N13
\led_flash_cnt[989][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[989][4]~40732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[989][4]~q\);

-- Location: LCCOMB_X65_Y28_N14
\led_flash_cnt[989][5]~40734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[989][5]~40734_combout\ = (\led_flash_cnt[989][5]~q\ & (\led_flash_cnt[989][4]~40733\ $ (GND))) # (!\led_flash_cnt[989][5]~q\ & (!\led_flash_cnt[989][4]~40733\ & VCC))
-- \led_flash_cnt[989][5]~40735\ = CARRY((\led_flash_cnt[989][5]~q\ & !\led_flash_cnt[989][4]~40733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[989][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[989][4]~40733\,
	combout => \led_flash_cnt[989][5]~40734_combout\,
	cout => \led_flash_cnt[989][5]~40735\);

-- Location: FF_X65_Y28_N15
\led_flash_cnt[989][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[989][5]~40734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[989][5]~q\);

-- Location: LCCOMB_X65_Y28_N16
\led_flash_cnt[989][6]~40736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[989][6]~40736_combout\ = (\led_flash_cnt[989][6]~q\ & (!\led_flash_cnt[989][5]~40735\)) # (!\led_flash_cnt[989][6]~q\ & ((\led_flash_cnt[989][5]~40735\) # (GND)))
-- \led_flash_cnt[989][6]~40737\ = CARRY((!\led_flash_cnt[989][5]~40735\) # (!\led_flash_cnt[989][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[989][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[989][5]~40735\,
	combout => \led_flash_cnt[989][6]~40736_combout\,
	cout => \led_flash_cnt[989][6]~40737\);

-- Location: FF_X65_Y28_N17
\led_flash_cnt[989][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[989][6]~40736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[989][6]~q\);

-- Location: LCCOMB_X65_Y28_N18
\led_flash_cnt[989][7]~40738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[989][7]~40738_combout\ = \led_flash_cnt[989][7]~q\ $ (!\led_flash_cnt[989][6]~40737\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[989][7]~q\,
	cin => \led_flash_cnt[989][6]~40737\,
	combout => \led_flash_cnt[989][7]~40738_combout\);

-- Location: FF_X65_Y28_N19
\led_flash_cnt[989][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[989][7]~40738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[989][7]~q\);

-- Location: LCCOMB_X65_Y28_N30
\WideAnd989~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd989~1_combout\ = (\led_flash_cnt[989][5]~q\ & \led_flash_cnt[989][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[989][5]~q\,
	datad => \led_flash_cnt[989][6]~q\,
	combout => \WideAnd989~1_combout\);

-- Location: LCCOMB_X65_Y28_N28
\WideAnd989~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd989~0_combout\ = (\led_flash_cnt[989][4]~q\ & (\led_flash_cnt[989][3]~q\ & (\led_flash_cnt[989][2]~q\ & \led_flash_cnt[989][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[989][4]~q\,
	datab => \led_flash_cnt[989][3]~q\,
	datac => \led_flash_cnt[989][2]~q\,
	datad => \led_flash_cnt[989][1]~q\,
	combout => \WideAnd989~0_combout\);

-- Location: LCCOMB_X65_Y28_N4
WideAnd989 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd989~combout\ = (\led_flash_cnt[989][7]~q\ & (\led_flash_cnt[989][0]~q\ & (\WideAnd989~1_combout\ & \WideAnd989~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[989][7]~q\,
	datab => \led_flash_cnt[989][0]~q\,
	datac => \WideAnd989~1_combout\,
	datad => \WideAnd989~0_combout\,
	combout => \WideAnd989~combout\);

-- Location: FF_X65_Y28_N5
\led_flash_cnt_ands[989]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd989~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(989));

-- Location: LCCOMB_X65_Y28_N2
\led_flash_cnt[988][0]~81628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[988][0]~81628_combout\ = !\led_flash_cnt[988][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[988][0]~q\,
	combout => \led_flash_cnt[988][0]~81628_combout\);

-- Location: FF_X65_Y28_N3
\led_flash_cnt[988][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[988][0]~81628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[988][0]~q\);

-- Location: LCCOMB_X64_Y28_N2
\led_flash_cnt[988][1]~40712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[988][1]~40712_combout\ = (\led_flash_cnt[988][0]~q\ & (\led_flash_cnt[988][1]~q\ $ (VCC))) # (!\led_flash_cnt[988][0]~q\ & (\led_flash_cnt[988][1]~q\ & VCC))
-- \led_flash_cnt[988][1]~40713\ = CARRY((\led_flash_cnt[988][0]~q\ & \led_flash_cnt[988][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[988][0]~q\,
	datab => \led_flash_cnt[988][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[988][1]~40712_combout\,
	cout => \led_flash_cnt[988][1]~40713\);

-- Location: FF_X64_Y28_N3
\led_flash_cnt[988][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[988][1]~40712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[988][1]~q\);

-- Location: LCCOMB_X64_Y28_N4
\led_flash_cnt[988][2]~40714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[988][2]~40714_combout\ = (\led_flash_cnt[988][2]~q\ & (!\led_flash_cnt[988][1]~40713\)) # (!\led_flash_cnt[988][2]~q\ & ((\led_flash_cnt[988][1]~40713\) # (GND)))
-- \led_flash_cnt[988][2]~40715\ = CARRY((!\led_flash_cnt[988][1]~40713\) # (!\led_flash_cnt[988][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[988][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[988][1]~40713\,
	combout => \led_flash_cnt[988][2]~40714_combout\,
	cout => \led_flash_cnt[988][2]~40715\);

-- Location: FF_X64_Y28_N5
\led_flash_cnt[988][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[988][2]~40714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[988][2]~q\);

-- Location: LCCOMB_X64_Y28_N6
\led_flash_cnt[988][3]~40716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[988][3]~40716_combout\ = (\led_flash_cnt[988][3]~q\ & (\led_flash_cnt[988][2]~40715\ $ (GND))) # (!\led_flash_cnt[988][3]~q\ & (!\led_flash_cnt[988][2]~40715\ & VCC))
-- \led_flash_cnt[988][3]~40717\ = CARRY((\led_flash_cnt[988][3]~q\ & !\led_flash_cnt[988][2]~40715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[988][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[988][2]~40715\,
	combout => \led_flash_cnt[988][3]~40716_combout\,
	cout => \led_flash_cnt[988][3]~40717\);

-- Location: FF_X64_Y28_N7
\led_flash_cnt[988][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[988][3]~40716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[988][3]~q\);

-- Location: LCCOMB_X64_Y28_N8
\led_flash_cnt[988][4]~40718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[988][4]~40718_combout\ = (\led_flash_cnt[988][4]~q\ & (!\led_flash_cnt[988][3]~40717\)) # (!\led_flash_cnt[988][4]~q\ & ((\led_flash_cnt[988][3]~40717\) # (GND)))
-- \led_flash_cnt[988][4]~40719\ = CARRY((!\led_flash_cnt[988][3]~40717\) # (!\led_flash_cnt[988][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[988][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[988][3]~40717\,
	combout => \led_flash_cnt[988][4]~40718_combout\,
	cout => \led_flash_cnt[988][4]~40719\);

-- Location: FF_X64_Y28_N9
\led_flash_cnt[988][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[988][4]~40718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[988][4]~q\);

-- Location: LCCOMB_X64_Y28_N10
\led_flash_cnt[988][5]~40720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[988][5]~40720_combout\ = (\led_flash_cnt[988][5]~q\ & (\led_flash_cnt[988][4]~40719\ $ (GND))) # (!\led_flash_cnt[988][5]~q\ & (!\led_flash_cnt[988][4]~40719\ & VCC))
-- \led_flash_cnt[988][5]~40721\ = CARRY((\led_flash_cnt[988][5]~q\ & !\led_flash_cnt[988][4]~40719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[988][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[988][4]~40719\,
	combout => \led_flash_cnt[988][5]~40720_combout\,
	cout => \led_flash_cnt[988][5]~40721\);

-- Location: FF_X64_Y28_N11
\led_flash_cnt[988][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[988][5]~40720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[988][5]~q\);

-- Location: LCCOMB_X64_Y28_N12
\led_flash_cnt[988][6]~40722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[988][6]~40722_combout\ = (\led_flash_cnt[988][6]~q\ & (!\led_flash_cnt[988][5]~40721\)) # (!\led_flash_cnt[988][6]~q\ & ((\led_flash_cnt[988][5]~40721\) # (GND)))
-- \led_flash_cnt[988][6]~40723\ = CARRY((!\led_flash_cnt[988][5]~40721\) # (!\led_flash_cnt[988][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[988][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[988][5]~40721\,
	combout => \led_flash_cnt[988][6]~40722_combout\,
	cout => \led_flash_cnt[988][6]~40723\);

-- Location: FF_X64_Y28_N13
\led_flash_cnt[988][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[988][6]~40722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[988][6]~q\);

-- Location: LCCOMB_X65_Y28_N22
\WideAnd988~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd988~1_combout\ = (\led_flash_cnt[988][6]~q\ & \led_flash_cnt[988][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[988][6]~q\,
	datad => \led_flash_cnt[988][5]~q\,
	combout => \WideAnd988~1_combout\);

-- Location: LCCOMB_X65_Y28_N26
\WideAnd988~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd988~0_combout\ = (\led_flash_cnt[988][1]~q\ & (\led_flash_cnt[988][3]~q\ & (\led_flash_cnt[988][2]~q\ & \led_flash_cnt[988][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[988][1]~q\,
	datab => \led_flash_cnt[988][3]~q\,
	datac => \led_flash_cnt[988][2]~q\,
	datad => \led_flash_cnt[988][4]~q\,
	combout => \WideAnd988~0_combout\);

-- Location: LCCOMB_X64_Y28_N14
\led_flash_cnt[988][7]~40724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[988][7]~40724_combout\ = \led_flash_cnt[988][7]~q\ $ (!\led_flash_cnt[988][6]~40723\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[988][7]~q\,
	cin => \led_flash_cnt[988][6]~40723\,
	combout => \led_flash_cnt[988][7]~40724_combout\);

-- Location: FF_X64_Y28_N15
\led_flash_cnt[988][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[988][7]~40724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[988][7]~q\);

-- Location: LCCOMB_X65_Y28_N24
WideAnd988 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd988~combout\ = (\WideAnd988~1_combout\ & (\led_flash_cnt[988][0]~q\ & (\WideAnd988~0_combout\ & \led_flash_cnt[988][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd988~1_combout\,
	datab => \led_flash_cnt[988][0]~q\,
	datac => \WideAnd988~0_combout\,
	datad => \led_flash_cnt[988][7]~q\,
	combout => \WideAnd988~combout\);

-- Location: FF_X65_Y28_N25
\led_flash_cnt_ands[988]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd988~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(988));

-- Location: LCCOMB_X65_Y28_N0
\WideAnd3963~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3963~1_combout\ = (led_flash_cnt_ands(989) & led_flash_cnt_ands(988))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(989),
	datad => led_flash_cnt_ands(988),
	combout => \WideAnd3963~1_combout\);

-- Location: LCCOMB_X72_Y39_N12
\led_flash_cnt[986][0]~81626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[986][0]~81626_combout\ = !\led_flash_cnt[986][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[986][0]~q\,
	combout => \led_flash_cnt[986][0]~81626_combout\);

-- Location: FF_X72_Y39_N13
\led_flash_cnt[986][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[986][0]~81626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[986][0]~q\);

-- Location: LCCOMB_X72_Y39_N16
\led_flash_cnt[986][1]~40684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[986][1]~40684_combout\ = (\led_flash_cnt[986][0]~q\ & (\led_flash_cnt[986][1]~q\ $ (VCC))) # (!\led_flash_cnt[986][0]~q\ & (\led_flash_cnt[986][1]~q\ & VCC))
-- \led_flash_cnt[986][1]~40685\ = CARRY((\led_flash_cnt[986][0]~q\ & \led_flash_cnt[986][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[986][0]~q\,
	datab => \led_flash_cnt[986][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[986][1]~40684_combout\,
	cout => \led_flash_cnt[986][1]~40685\);

-- Location: FF_X72_Y39_N17
\led_flash_cnt[986][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[986][1]~40684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[986][1]~q\);

-- Location: LCCOMB_X72_Y39_N18
\led_flash_cnt[986][2]~40686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[986][2]~40686_combout\ = (\led_flash_cnt[986][2]~q\ & (!\led_flash_cnt[986][1]~40685\)) # (!\led_flash_cnt[986][2]~q\ & ((\led_flash_cnt[986][1]~40685\) # (GND)))
-- \led_flash_cnt[986][2]~40687\ = CARRY((!\led_flash_cnt[986][1]~40685\) # (!\led_flash_cnt[986][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[986][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[986][1]~40685\,
	combout => \led_flash_cnt[986][2]~40686_combout\,
	cout => \led_flash_cnt[986][2]~40687\);

-- Location: FF_X72_Y39_N19
\led_flash_cnt[986][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[986][2]~40686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[986][2]~q\);

-- Location: LCCOMB_X72_Y39_N20
\led_flash_cnt[986][3]~40688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[986][3]~40688_combout\ = (\led_flash_cnt[986][3]~q\ & (\led_flash_cnt[986][2]~40687\ $ (GND))) # (!\led_flash_cnt[986][3]~q\ & (!\led_flash_cnt[986][2]~40687\ & VCC))
-- \led_flash_cnt[986][3]~40689\ = CARRY((\led_flash_cnt[986][3]~q\ & !\led_flash_cnt[986][2]~40687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[986][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[986][2]~40687\,
	combout => \led_flash_cnt[986][3]~40688_combout\,
	cout => \led_flash_cnt[986][3]~40689\);

-- Location: FF_X72_Y39_N21
\led_flash_cnt[986][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[986][3]~40688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[986][3]~q\);

-- Location: LCCOMB_X72_Y39_N22
\led_flash_cnt[986][4]~40690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[986][4]~40690_combout\ = (\led_flash_cnt[986][4]~q\ & (!\led_flash_cnt[986][3]~40689\)) # (!\led_flash_cnt[986][4]~q\ & ((\led_flash_cnt[986][3]~40689\) # (GND)))
-- \led_flash_cnt[986][4]~40691\ = CARRY((!\led_flash_cnt[986][3]~40689\) # (!\led_flash_cnt[986][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[986][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[986][3]~40689\,
	combout => \led_flash_cnt[986][4]~40690_combout\,
	cout => \led_flash_cnt[986][4]~40691\);

-- Location: FF_X72_Y39_N23
\led_flash_cnt[986][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[986][4]~40690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[986][4]~q\);

-- Location: LCCOMB_X72_Y39_N24
\led_flash_cnt[986][5]~40692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[986][5]~40692_combout\ = (\led_flash_cnt[986][5]~q\ & (\led_flash_cnt[986][4]~40691\ $ (GND))) # (!\led_flash_cnt[986][5]~q\ & (!\led_flash_cnt[986][4]~40691\ & VCC))
-- \led_flash_cnt[986][5]~40693\ = CARRY((\led_flash_cnt[986][5]~q\ & !\led_flash_cnt[986][4]~40691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[986][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[986][4]~40691\,
	combout => \led_flash_cnt[986][5]~40692_combout\,
	cout => \led_flash_cnt[986][5]~40693\);

-- Location: FF_X72_Y39_N25
\led_flash_cnt[986][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[986][5]~40692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[986][5]~q\);

-- Location: LCCOMB_X72_Y39_N26
\led_flash_cnt[986][6]~40694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[986][6]~40694_combout\ = (\led_flash_cnt[986][6]~q\ & (!\led_flash_cnt[986][5]~40693\)) # (!\led_flash_cnt[986][6]~q\ & ((\led_flash_cnt[986][5]~40693\) # (GND)))
-- \led_flash_cnt[986][6]~40695\ = CARRY((!\led_flash_cnt[986][5]~40693\) # (!\led_flash_cnt[986][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[986][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[986][5]~40693\,
	combout => \led_flash_cnt[986][6]~40694_combout\,
	cout => \led_flash_cnt[986][6]~40695\);

-- Location: FF_X72_Y39_N27
\led_flash_cnt[986][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[986][6]~40694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[986][6]~q\);

-- Location: LCCOMB_X72_Y39_N28
\led_flash_cnt[986][7]~40696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[986][7]~40696_combout\ = \led_flash_cnt[986][6]~40695\ $ (!\led_flash_cnt[986][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[986][7]~q\,
	cin => \led_flash_cnt[986][6]~40695\,
	combout => \led_flash_cnt[986][7]~40696_combout\);

-- Location: FF_X72_Y39_N29
\led_flash_cnt[986][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[986][7]~40696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[986][7]~q\);

-- Location: LCCOMB_X72_Y39_N30
\WideAnd986~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd986~0_combout\ = (\led_flash_cnt[986][3]~q\ & (\led_flash_cnt[986][2]~q\ & (\led_flash_cnt[986][4]~q\ & \led_flash_cnt[986][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[986][3]~q\,
	datab => \led_flash_cnt[986][2]~q\,
	datac => \led_flash_cnt[986][4]~q\,
	datad => \led_flash_cnt[986][1]~q\,
	combout => \WideAnd986~0_combout\);

-- Location: LCCOMB_X72_Y39_N0
\WideAnd986~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd986~1_combout\ = (\led_flash_cnt[986][6]~q\ & \led_flash_cnt[986][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[986][6]~q\,
	datad => \led_flash_cnt[986][5]~q\,
	combout => \WideAnd986~1_combout\);

-- Location: LCCOMB_X72_Y39_N10
WideAnd986 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd986~combout\ = (\led_flash_cnt[986][0]~q\ & (\led_flash_cnt[986][7]~q\ & (\WideAnd986~0_combout\ & \WideAnd986~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[986][0]~q\,
	datab => \led_flash_cnt[986][7]~q\,
	datac => \WideAnd986~0_combout\,
	datad => \WideAnd986~1_combout\,
	combout => \WideAnd986~combout\);

-- Location: FF_X72_Y39_N11
\led_flash_cnt_ands[986]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd986~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(986));

-- Location: LCCOMB_X72_Y38_N10
\led_flash_cnt[984][0]~81624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[984][0]~81624_combout\ = !\led_flash_cnt[984][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[984][0]~q\,
	combout => \led_flash_cnt[984][0]~81624_combout\);

-- Location: FF_X72_Y38_N11
\led_flash_cnt[984][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[984][0]~81624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[984][0]~q\);

-- Location: LCCOMB_X72_Y38_N16
\led_flash_cnt[984][1]~40656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[984][1]~40656_combout\ = (\led_flash_cnt[984][0]~q\ & (\led_flash_cnt[984][1]~q\ $ (VCC))) # (!\led_flash_cnt[984][0]~q\ & (\led_flash_cnt[984][1]~q\ & VCC))
-- \led_flash_cnt[984][1]~40657\ = CARRY((\led_flash_cnt[984][0]~q\ & \led_flash_cnt[984][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[984][0]~q\,
	datab => \led_flash_cnt[984][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[984][1]~40656_combout\,
	cout => \led_flash_cnt[984][1]~40657\);

-- Location: FF_X72_Y38_N17
\led_flash_cnt[984][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[984][1]~40656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[984][1]~q\);

-- Location: LCCOMB_X72_Y38_N18
\led_flash_cnt[984][2]~40658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[984][2]~40658_combout\ = (\led_flash_cnt[984][2]~q\ & (!\led_flash_cnt[984][1]~40657\)) # (!\led_flash_cnt[984][2]~q\ & ((\led_flash_cnt[984][1]~40657\) # (GND)))
-- \led_flash_cnt[984][2]~40659\ = CARRY((!\led_flash_cnt[984][1]~40657\) # (!\led_flash_cnt[984][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[984][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[984][1]~40657\,
	combout => \led_flash_cnt[984][2]~40658_combout\,
	cout => \led_flash_cnt[984][2]~40659\);

-- Location: FF_X72_Y38_N19
\led_flash_cnt[984][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[984][2]~40658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[984][2]~q\);

-- Location: LCCOMB_X72_Y38_N20
\led_flash_cnt[984][3]~40660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[984][3]~40660_combout\ = (\led_flash_cnt[984][3]~q\ & (\led_flash_cnt[984][2]~40659\ $ (GND))) # (!\led_flash_cnt[984][3]~q\ & (!\led_flash_cnt[984][2]~40659\ & VCC))
-- \led_flash_cnt[984][3]~40661\ = CARRY((\led_flash_cnt[984][3]~q\ & !\led_flash_cnt[984][2]~40659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[984][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[984][2]~40659\,
	combout => \led_flash_cnt[984][3]~40660_combout\,
	cout => \led_flash_cnt[984][3]~40661\);

-- Location: FF_X72_Y38_N21
\led_flash_cnt[984][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[984][3]~40660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[984][3]~q\);

-- Location: LCCOMB_X72_Y38_N22
\led_flash_cnt[984][4]~40662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[984][4]~40662_combout\ = (\led_flash_cnt[984][4]~q\ & (!\led_flash_cnt[984][3]~40661\)) # (!\led_flash_cnt[984][4]~q\ & ((\led_flash_cnt[984][3]~40661\) # (GND)))
-- \led_flash_cnt[984][4]~40663\ = CARRY((!\led_flash_cnt[984][3]~40661\) # (!\led_flash_cnt[984][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[984][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[984][3]~40661\,
	combout => \led_flash_cnt[984][4]~40662_combout\,
	cout => \led_flash_cnt[984][4]~40663\);

-- Location: FF_X72_Y38_N23
\led_flash_cnt[984][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[984][4]~40662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[984][4]~q\);

-- Location: LCCOMB_X72_Y38_N24
\led_flash_cnt[984][5]~40664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[984][5]~40664_combout\ = (\led_flash_cnt[984][5]~q\ & (\led_flash_cnt[984][4]~40663\ $ (GND))) # (!\led_flash_cnt[984][5]~q\ & (!\led_flash_cnt[984][4]~40663\ & VCC))
-- \led_flash_cnt[984][5]~40665\ = CARRY((\led_flash_cnt[984][5]~q\ & !\led_flash_cnt[984][4]~40663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[984][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[984][4]~40663\,
	combout => \led_flash_cnt[984][5]~40664_combout\,
	cout => \led_flash_cnt[984][5]~40665\);

-- Location: FF_X72_Y38_N25
\led_flash_cnt[984][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[984][5]~40664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[984][5]~q\);

-- Location: LCCOMB_X72_Y38_N26
\led_flash_cnt[984][6]~40666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[984][6]~40666_combout\ = (\led_flash_cnt[984][6]~q\ & (!\led_flash_cnt[984][5]~40665\)) # (!\led_flash_cnt[984][6]~q\ & ((\led_flash_cnt[984][5]~40665\) # (GND)))
-- \led_flash_cnt[984][6]~40667\ = CARRY((!\led_flash_cnt[984][5]~40665\) # (!\led_flash_cnt[984][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[984][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[984][5]~40665\,
	combout => \led_flash_cnt[984][6]~40666_combout\,
	cout => \led_flash_cnt[984][6]~40667\);

-- Location: FF_X72_Y38_N27
\led_flash_cnt[984][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[984][6]~40666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[984][6]~q\);

-- Location: LCCOMB_X72_Y38_N28
\led_flash_cnt[984][7]~40668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[984][7]~40668_combout\ = \led_flash_cnt[984][6]~40667\ $ (!\led_flash_cnt[984][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[984][7]~q\,
	cin => \led_flash_cnt[984][6]~40667\,
	combout => \led_flash_cnt[984][7]~40668_combout\);

-- Location: FF_X72_Y38_N29
\led_flash_cnt[984][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[984][7]~40668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[984][7]~q\);

-- Location: LCCOMB_X72_Y38_N4
\WideAnd984~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd984~1_combout\ = (\led_flash_cnt[984][6]~q\ & \led_flash_cnt[984][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[984][6]~q\,
	datad => \led_flash_cnt[984][5]~q\,
	combout => \WideAnd984~1_combout\);

-- Location: LCCOMB_X72_Y38_N12
\WideAnd984~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd984~0_combout\ = (\led_flash_cnt[984][1]~q\ & (\led_flash_cnt[984][3]~q\ & (\led_flash_cnt[984][4]~q\ & \led_flash_cnt[984][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[984][1]~q\,
	datab => \led_flash_cnt[984][3]~q\,
	datac => \led_flash_cnt[984][4]~q\,
	datad => \led_flash_cnt[984][2]~q\,
	combout => \WideAnd984~0_combout\);

-- Location: LCCOMB_X72_Y38_N0
WideAnd984 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd984~combout\ = (\led_flash_cnt[984][0]~q\ & (\led_flash_cnt[984][7]~q\ & (\WideAnd984~1_combout\ & \WideAnd984~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[984][0]~q\,
	datab => \led_flash_cnt[984][7]~q\,
	datac => \WideAnd984~1_combout\,
	datad => \WideAnd984~0_combout\,
	combout => \WideAnd984~combout\);

-- Location: FF_X72_Y38_N1
\led_flash_cnt_ands[984]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd984~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(984));

-- Location: LCCOMB_X44_Y39_N12
\led_flash_cnt[987][0]~81627\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[987][0]~81627_combout\ = !\led_flash_cnt[987][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[987][0]~q\,
	combout => \led_flash_cnt[987][0]~81627_combout\);

-- Location: FF_X44_Y39_N13
\led_flash_cnt[987][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[987][0]~81627_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[987][0]~q\);

-- Location: LCCOMB_X44_Y39_N16
\led_flash_cnt[987][1]~40698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[987][1]~40698_combout\ = (\led_flash_cnt[987][0]~q\ & (\led_flash_cnt[987][1]~q\ $ (VCC))) # (!\led_flash_cnt[987][0]~q\ & (\led_flash_cnt[987][1]~q\ & VCC))
-- \led_flash_cnt[987][1]~40699\ = CARRY((\led_flash_cnt[987][0]~q\ & \led_flash_cnt[987][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[987][0]~q\,
	datab => \led_flash_cnt[987][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[987][1]~40698_combout\,
	cout => \led_flash_cnt[987][1]~40699\);

-- Location: FF_X44_Y39_N17
\led_flash_cnt[987][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[987][1]~40698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[987][1]~q\);

-- Location: LCCOMB_X44_Y39_N18
\led_flash_cnt[987][2]~40700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[987][2]~40700_combout\ = (\led_flash_cnt[987][2]~q\ & (!\led_flash_cnt[987][1]~40699\)) # (!\led_flash_cnt[987][2]~q\ & ((\led_flash_cnt[987][1]~40699\) # (GND)))
-- \led_flash_cnt[987][2]~40701\ = CARRY((!\led_flash_cnt[987][1]~40699\) # (!\led_flash_cnt[987][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[987][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[987][1]~40699\,
	combout => \led_flash_cnt[987][2]~40700_combout\,
	cout => \led_flash_cnt[987][2]~40701\);

-- Location: FF_X44_Y39_N19
\led_flash_cnt[987][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[987][2]~40700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[987][2]~q\);

-- Location: LCCOMB_X44_Y39_N20
\led_flash_cnt[987][3]~40702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[987][3]~40702_combout\ = (\led_flash_cnt[987][3]~q\ & (\led_flash_cnt[987][2]~40701\ $ (GND))) # (!\led_flash_cnt[987][3]~q\ & (!\led_flash_cnt[987][2]~40701\ & VCC))
-- \led_flash_cnt[987][3]~40703\ = CARRY((\led_flash_cnt[987][3]~q\ & !\led_flash_cnt[987][2]~40701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[987][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[987][2]~40701\,
	combout => \led_flash_cnt[987][3]~40702_combout\,
	cout => \led_flash_cnt[987][3]~40703\);

-- Location: FF_X44_Y39_N21
\led_flash_cnt[987][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[987][3]~40702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[987][3]~q\);

-- Location: LCCOMB_X44_Y39_N22
\led_flash_cnt[987][4]~40704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[987][4]~40704_combout\ = (\led_flash_cnt[987][4]~q\ & (!\led_flash_cnt[987][3]~40703\)) # (!\led_flash_cnt[987][4]~q\ & ((\led_flash_cnt[987][3]~40703\) # (GND)))
-- \led_flash_cnt[987][4]~40705\ = CARRY((!\led_flash_cnt[987][3]~40703\) # (!\led_flash_cnt[987][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[987][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[987][3]~40703\,
	combout => \led_flash_cnt[987][4]~40704_combout\,
	cout => \led_flash_cnt[987][4]~40705\);

-- Location: FF_X44_Y39_N23
\led_flash_cnt[987][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[987][4]~40704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[987][4]~q\);

-- Location: LCCOMB_X44_Y39_N24
\led_flash_cnt[987][5]~40706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[987][5]~40706_combout\ = (\led_flash_cnt[987][5]~q\ & (\led_flash_cnt[987][4]~40705\ $ (GND))) # (!\led_flash_cnt[987][5]~q\ & (!\led_flash_cnt[987][4]~40705\ & VCC))
-- \led_flash_cnt[987][5]~40707\ = CARRY((\led_flash_cnt[987][5]~q\ & !\led_flash_cnt[987][4]~40705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[987][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[987][4]~40705\,
	combout => \led_flash_cnt[987][5]~40706_combout\,
	cout => \led_flash_cnt[987][5]~40707\);

-- Location: FF_X44_Y39_N25
\led_flash_cnt[987][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[987][5]~40706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[987][5]~q\);

-- Location: LCCOMB_X44_Y39_N26
\led_flash_cnt[987][6]~40708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[987][6]~40708_combout\ = (\led_flash_cnt[987][6]~q\ & (!\led_flash_cnt[987][5]~40707\)) # (!\led_flash_cnt[987][6]~q\ & ((\led_flash_cnt[987][5]~40707\) # (GND)))
-- \led_flash_cnt[987][6]~40709\ = CARRY((!\led_flash_cnt[987][5]~40707\) # (!\led_flash_cnt[987][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[987][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[987][5]~40707\,
	combout => \led_flash_cnt[987][6]~40708_combout\,
	cout => \led_flash_cnt[987][6]~40709\);

-- Location: FF_X44_Y39_N27
\led_flash_cnt[987][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[987][6]~40708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[987][6]~q\);

-- Location: LCCOMB_X44_Y39_N28
\led_flash_cnt[987][7]~40710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[987][7]~40710_combout\ = \led_flash_cnt[987][6]~40709\ $ (!\led_flash_cnt[987][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[987][7]~q\,
	cin => \led_flash_cnt[987][6]~40709\,
	combout => \led_flash_cnt[987][7]~40710_combout\);

-- Location: FF_X44_Y39_N29
\led_flash_cnt[987][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[987][7]~40710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[987][7]~q\);

-- Location: LCCOMB_X44_Y39_N30
\WideAnd987~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd987~0_combout\ = (\led_flash_cnt[987][3]~q\ & (\led_flash_cnt[987][2]~q\ & (\led_flash_cnt[987][4]~q\ & \led_flash_cnt[987][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[987][3]~q\,
	datab => \led_flash_cnt[987][2]~q\,
	datac => \led_flash_cnt[987][4]~q\,
	datad => \led_flash_cnt[987][1]~q\,
	combout => \WideAnd987~0_combout\);

-- Location: LCCOMB_X44_Y39_N2
\WideAnd987~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd987~1_combout\ = (\led_flash_cnt[987][6]~q\ & \led_flash_cnt[987][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[987][6]~q\,
	datad => \led_flash_cnt[987][5]~q\,
	combout => \WideAnd987~1_combout\);

-- Location: LCCOMB_X44_Y39_N4
WideAnd987 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd987~combout\ = (\led_flash_cnt[987][0]~q\ & (\led_flash_cnt[987][7]~q\ & (\WideAnd987~0_combout\ & \WideAnd987~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[987][0]~q\,
	datab => \led_flash_cnt[987][7]~q\,
	datac => \WideAnd987~0_combout\,
	datad => \WideAnd987~1_combout\,
	combout => \WideAnd987~combout\);

-- Location: FF_X44_Y39_N5
\led_flash_cnt_ands[987]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd987~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(987));

-- Location: LCCOMB_X75_Y40_N18
\led_flash_cnt[985][0]~81625\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[985][0]~81625_combout\ = !\led_flash_cnt[985][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[985][0]~q\,
	combout => \led_flash_cnt[985][0]~81625_combout\);

-- Location: FF_X75_Y40_N19
\led_flash_cnt[985][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[985][0]~81625_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[985][0]~q\);

-- Location: LCCOMB_X75_Y40_N0
\led_flash_cnt[985][1]~40670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[985][1]~40670_combout\ = (\led_flash_cnt[985][1]~q\ & (\led_flash_cnt[985][0]~q\ $ (VCC))) # (!\led_flash_cnt[985][1]~q\ & (\led_flash_cnt[985][0]~q\ & VCC))
-- \led_flash_cnt[985][1]~40671\ = CARRY((\led_flash_cnt[985][1]~q\ & \led_flash_cnt[985][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[985][1]~q\,
	datab => \led_flash_cnt[985][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[985][1]~40670_combout\,
	cout => \led_flash_cnt[985][1]~40671\);

-- Location: FF_X75_Y40_N1
\led_flash_cnt[985][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[985][1]~40670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[985][1]~q\);

-- Location: LCCOMB_X75_Y40_N2
\led_flash_cnt[985][2]~40672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[985][2]~40672_combout\ = (\led_flash_cnt[985][2]~q\ & (!\led_flash_cnt[985][1]~40671\)) # (!\led_flash_cnt[985][2]~q\ & ((\led_flash_cnt[985][1]~40671\) # (GND)))
-- \led_flash_cnt[985][2]~40673\ = CARRY((!\led_flash_cnt[985][1]~40671\) # (!\led_flash_cnt[985][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[985][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[985][1]~40671\,
	combout => \led_flash_cnt[985][2]~40672_combout\,
	cout => \led_flash_cnt[985][2]~40673\);

-- Location: FF_X75_Y40_N3
\led_flash_cnt[985][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[985][2]~40672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[985][2]~q\);

-- Location: LCCOMB_X75_Y40_N4
\led_flash_cnt[985][3]~40674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[985][3]~40674_combout\ = (\led_flash_cnt[985][3]~q\ & (\led_flash_cnt[985][2]~40673\ $ (GND))) # (!\led_flash_cnt[985][3]~q\ & (!\led_flash_cnt[985][2]~40673\ & VCC))
-- \led_flash_cnt[985][3]~40675\ = CARRY((\led_flash_cnt[985][3]~q\ & !\led_flash_cnt[985][2]~40673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[985][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[985][2]~40673\,
	combout => \led_flash_cnt[985][3]~40674_combout\,
	cout => \led_flash_cnt[985][3]~40675\);

-- Location: FF_X75_Y40_N5
\led_flash_cnt[985][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[985][3]~40674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[985][3]~q\);

-- Location: LCCOMB_X75_Y40_N6
\led_flash_cnt[985][4]~40676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[985][4]~40676_combout\ = (\led_flash_cnt[985][4]~q\ & (!\led_flash_cnt[985][3]~40675\)) # (!\led_flash_cnt[985][4]~q\ & ((\led_flash_cnt[985][3]~40675\) # (GND)))
-- \led_flash_cnt[985][4]~40677\ = CARRY((!\led_flash_cnt[985][3]~40675\) # (!\led_flash_cnt[985][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[985][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[985][3]~40675\,
	combout => \led_flash_cnt[985][4]~40676_combout\,
	cout => \led_flash_cnt[985][4]~40677\);

-- Location: FF_X75_Y40_N7
\led_flash_cnt[985][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[985][4]~40676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[985][4]~q\);

-- Location: LCCOMB_X75_Y40_N8
\led_flash_cnt[985][5]~40678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[985][5]~40678_combout\ = (\led_flash_cnt[985][5]~q\ & (\led_flash_cnt[985][4]~40677\ $ (GND))) # (!\led_flash_cnt[985][5]~q\ & (!\led_flash_cnt[985][4]~40677\ & VCC))
-- \led_flash_cnt[985][5]~40679\ = CARRY((\led_flash_cnt[985][5]~q\ & !\led_flash_cnt[985][4]~40677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[985][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[985][4]~40677\,
	combout => \led_flash_cnt[985][5]~40678_combout\,
	cout => \led_flash_cnt[985][5]~40679\);

-- Location: FF_X75_Y40_N9
\led_flash_cnt[985][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[985][5]~40678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[985][5]~q\);

-- Location: LCCOMB_X75_Y40_N10
\led_flash_cnt[985][6]~40680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[985][6]~40680_combout\ = (\led_flash_cnt[985][6]~q\ & (!\led_flash_cnt[985][5]~40679\)) # (!\led_flash_cnt[985][6]~q\ & ((\led_flash_cnt[985][5]~40679\) # (GND)))
-- \led_flash_cnt[985][6]~40681\ = CARRY((!\led_flash_cnt[985][5]~40679\) # (!\led_flash_cnt[985][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[985][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[985][5]~40679\,
	combout => \led_flash_cnt[985][6]~40680_combout\,
	cout => \led_flash_cnt[985][6]~40681\);

-- Location: FF_X75_Y40_N11
\led_flash_cnt[985][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[985][6]~40680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[985][6]~q\);

-- Location: LCCOMB_X75_Y40_N12
\led_flash_cnt[985][7]~40682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[985][7]~40682_combout\ = \led_flash_cnt[985][6]~40681\ $ (!\led_flash_cnt[985][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[985][7]~q\,
	cin => \led_flash_cnt[985][6]~40681\,
	combout => \led_flash_cnt[985][7]~40682_combout\);

-- Location: FF_X75_Y40_N13
\led_flash_cnt[985][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[985][7]~40682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[985][7]~q\);

-- Location: LCCOMB_X75_Y40_N24
\WideAnd985~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd985~0_combout\ = (\led_flash_cnt[985][4]~q\ & (\led_flash_cnt[985][1]~q\ & (\led_flash_cnt[985][3]~q\ & \led_flash_cnt[985][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[985][4]~q\,
	datab => \led_flash_cnt[985][1]~q\,
	datac => \led_flash_cnt[985][3]~q\,
	datad => \led_flash_cnt[985][2]~q\,
	combout => \WideAnd985~0_combout\);

-- Location: LCCOMB_X75_Y40_N26
\WideAnd985~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd985~1_combout\ = (\led_flash_cnt[985][5]~q\ & \led_flash_cnt[985][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[985][5]~q\,
	datad => \led_flash_cnt[985][6]~q\,
	combout => \WideAnd985~1_combout\);

-- Location: LCCOMB_X75_Y40_N30
WideAnd985 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd985~combout\ = (\led_flash_cnt[985][7]~q\ & (\WideAnd985~0_combout\ & (\WideAnd985~1_combout\ & \led_flash_cnt[985][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[985][7]~q\,
	datab => \WideAnd985~0_combout\,
	datac => \WideAnd985~1_combout\,
	datad => \led_flash_cnt[985][0]~q\,
	combout => \WideAnd985~combout\);

-- Location: FF_X75_Y40_N31
\led_flash_cnt_ands[985]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd985~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(985));

-- Location: LCCOMB_X72_Y39_N8
\WideAnd3963~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3963~0_combout\ = (led_flash_cnt_ands(986) & (led_flash_cnt_ands(984) & (led_flash_cnt_ands(987) & led_flash_cnt_ands(985))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(986),
	datab => led_flash_cnt_ands(984),
	datac => led_flash_cnt_ands(987),
	datad => led_flash_cnt_ands(985),
	combout => \WideAnd3963~0_combout\);

-- Location: LCCOMB_X72_Y28_N28
WideAnd3963 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3963~combout\ = (led_flash_cnt_ands(990) & (led_flash_cnt_ands(991) & (\WideAnd3963~1_combout\ & \WideAnd3963~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(990),
	datab => led_flash_cnt_ands(991),
	datac => \WideAnd3963~1_combout\,
	datad => \WideAnd3963~0_combout\,
	combout => \WideAnd3963~combout\);

-- Location: FF_X72_Y28_N29
\led_flash_cnt_ands_1[123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3963~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(123));

-- Location: LCCOMB_X60_Y9_N12
\led_flash_cnt[978][0]~81618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[978][0]~81618_combout\ = !\led_flash_cnt[978][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[978][0]~q\,
	combout => \led_flash_cnt[978][0]~81618_combout\);

-- Location: FF_X60_Y9_N13
\led_flash_cnt[978][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[978][0]~81618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[978][0]~q\);

-- Location: LCCOMB_X60_Y9_N16
\led_flash_cnt[978][1]~40572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[978][1]~40572_combout\ = (\led_flash_cnt[978][0]~q\ & (\led_flash_cnt[978][1]~q\ $ (VCC))) # (!\led_flash_cnt[978][0]~q\ & (\led_flash_cnt[978][1]~q\ & VCC))
-- \led_flash_cnt[978][1]~40573\ = CARRY((\led_flash_cnt[978][0]~q\ & \led_flash_cnt[978][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[978][0]~q\,
	datab => \led_flash_cnt[978][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[978][1]~40572_combout\,
	cout => \led_flash_cnt[978][1]~40573\);

-- Location: FF_X60_Y9_N17
\led_flash_cnt[978][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[978][1]~40572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[978][1]~q\);

-- Location: LCCOMB_X60_Y9_N18
\led_flash_cnt[978][2]~40574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[978][2]~40574_combout\ = (\led_flash_cnt[978][2]~q\ & (!\led_flash_cnt[978][1]~40573\)) # (!\led_flash_cnt[978][2]~q\ & ((\led_flash_cnt[978][1]~40573\) # (GND)))
-- \led_flash_cnt[978][2]~40575\ = CARRY((!\led_flash_cnt[978][1]~40573\) # (!\led_flash_cnt[978][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[978][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[978][1]~40573\,
	combout => \led_flash_cnt[978][2]~40574_combout\,
	cout => \led_flash_cnt[978][2]~40575\);

-- Location: FF_X60_Y9_N19
\led_flash_cnt[978][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[978][2]~40574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[978][2]~q\);

-- Location: LCCOMB_X60_Y9_N20
\led_flash_cnt[978][3]~40576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[978][3]~40576_combout\ = (\led_flash_cnt[978][3]~q\ & (\led_flash_cnt[978][2]~40575\ $ (GND))) # (!\led_flash_cnt[978][3]~q\ & (!\led_flash_cnt[978][2]~40575\ & VCC))
-- \led_flash_cnt[978][3]~40577\ = CARRY((\led_flash_cnt[978][3]~q\ & !\led_flash_cnt[978][2]~40575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[978][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[978][2]~40575\,
	combout => \led_flash_cnt[978][3]~40576_combout\,
	cout => \led_flash_cnt[978][3]~40577\);

-- Location: FF_X60_Y9_N21
\led_flash_cnt[978][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[978][3]~40576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[978][3]~q\);

-- Location: LCCOMB_X60_Y9_N22
\led_flash_cnt[978][4]~40578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[978][4]~40578_combout\ = (\led_flash_cnt[978][4]~q\ & (!\led_flash_cnt[978][3]~40577\)) # (!\led_flash_cnt[978][4]~q\ & ((\led_flash_cnt[978][3]~40577\) # (GND)))
-- \led_flash_cnt[978][4]~40579\ = CARRY((!\led_flash_cnt[978][3]~40577\) # (!\led_flash_cnt[978][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[978][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[978][3]~40577\,
	combout => \led_flash_cnt[978][4]~40578_combout\,
	cout => \led_flash_cnt[978][4]~40579\);

-- Location: FF_X60_Y9_N23
\led_flash_cnt[978][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[978][4]~40578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[978][4]~q\);

-- Location: LCCOMB_X60_Y9_N24
\led_flash_cnt[978][5]~40580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[978][5]~40580_combout\ = (\led_flash_cnt[978][5]~q\ & (\led_flash_cnt[978][4]~40579\ $ (GND))) # (!\led_flash_cnt[978][5]~q\ & (!\led_flash_cnt[978][4]~40579\ & VCC))
-- \led_flash_cnt[978][5]~40581\ = CARRY((\led_flash_cnt[978][5]~q\ & !\led_flash_cnt[978][4]~40579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[978][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[978][4]~40579\,
	combout => \led_flash_cnt[978][5]~40580_combout\,
	cout => \led_flash_cnt[978][5]~40581\);

-- Location: FF_X60_Y9_N25
\led_flash_cnt[978][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[978][5]~40580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[978][5]~q\);

-- Location: LCCOMB_X60_Y9_N26
\led_flash_cnt[978][6]~40582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[978][6]~40582_combout\ = (\led_flash_cnt[978][6]~q\ & (!\led_flash_cnt[978][5]~40581\)) # (!\led_flash_cnt[978][6]~q\ & ((\led_flash_cnt[978][5]~40581\) # (GND)))
-- \led_flash_cnt[978][6]~40583\ = CARRY((!\led_flash_cnt[978][5]~40581\) # (!\led_flash_cnt[978][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[978][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[978][5]~40581\,
	combout => \led_flash_cnt[978][6]~40582_combout\,
	cout => \led_flash_cnt[978][6]~40583\);

-- Location: FF_X60_Y9_N27
\led_flash_cnt[978][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[978][6]~40582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[978][6]~q\);

-- Location: LCCOMB_X60_Y9_N28
\led_flash_cnt[978][7]~40584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[978][7]~40584_combout\ = \led_flash_cnt[978][6]~40583\ $ (!\led_flash_cnt[978][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[978][7]~q\,
	cin => \led_flash_cnt[978][6]~40583\,
	combout => \led_flash_cnt[978][7]~40584_combout\);

-- Location: FF_X60_Y9_N29
\led_flash_cnt[978][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[978][7]~40584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[978][7]~q\);

-- Location: LCCOMB_X60_Y9_N4
\WideAnd978~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd978~0_combout\ = (\led_flash_cnt[978][3]~q\ & (\led_flash_cnt[978][2]~q\ & (\led_flash_cnt[978][4]~q\ & \led_flash_cnt[978][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[978][3]~q\,
	datab => \led_flash_cnt[978][2]~q\,
	datac => \led_flash_cnt[978][4]~q\,
	datad => \led_flash_cnt[978][1]~q\,
	combout => \WideAnd978~0_combout\);

-- Location: LCCOMB_X60_Y9_N0
\WideAnd978~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd978~1_combout\ = (\led_flash_cnt[978][6]~q\ & \led_flash_cnt[978][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[978][6]~q\,
	datad => \led_flash_cnt[978][5]~q\,
	combout => \WideAnd978~1_combout\);

-- Location: LCCOMB_X60_Y9_N10
WideAnd978 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd978~combout\ = (\led_flash_cnt[978][0]~q\ & (\led_flash_cnt[978][7]~q\ & (\WideAnd978~0_combout\ & \WideAnd978~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[978][0]~q\,
	datab => \led_flash_cnt[978][7]~q\,
	datac => \WideAnd978~0_combout\,
	datad => \WideAnd978~1_combout\,
	combout => \WideAnd978~combout\);

-- Location: FF_X60_Y9_N11
\led_flash_cnt_ands[978]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd978~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(978));

-- Location: LCCOMB_X60_Y9_N6
\led_flash_cnt[977][0]~81617\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[977][0]~81617_combout\ = !\led_flash_cnt[977][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[977][0]~q\,
	combout => \led_flash_cnt[977][0]~81617_combout\);

-- Location: FF_X60_Y9_N7
\led_flash_cnt[977][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[977][0]~81617_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[977][0]~q\);

-- Location: LCCOMB_X61_Y9_N2
\led_flash_cnt[977][1]~40558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[977][1]~40558_combout\ = (\led_flash_cnt[977][0]~q\ & (\led_flash_cnt[977][1]~q\ $ (VCC))) # (!\led_flash_cnt[977][0]~q\ & (\led_flash_cnt[977][1]~q\ & VCC))
-- \led_flash_cnt[977][1]~40559\ = CARRY((\led_flash_cnt[977][0]~q\ & \led_flash_cnt[977][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[977][0]~q\,
	datab => \led_flash_cnt[977][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[977][1]~40558_combout\,
	cout => \led_flash_cnt[977][1]~40559\);

-- Location: FF_X61_Y9_N3
\led_flash_cnt[977][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[977][1]~40558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[977][1]~q\);

-- Location: LCCOMB_X61_Y9_N4
\led_flash_cnt[977][2]~40560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[977][2]~40560_combout\ = (\led_flash_cnt[977][2]~q\ & (!\led_flash_cnt[977][1]~40559\)) # (!\led_flash_cnt[977][2]~q\ & ((\led_flash_cnt[977][1]~40559\) # (GND)))
-- \led_flash_cnt[977][2]~40561\ = CARRY((!\led_flash_cnt[977][1]~40559\) # (!\led_flash_cnt[977][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[977][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[977][1]~40559\,
	combout => \led_flash_cnt[977][2]~40560_combout\,
	cout => \led_flash_cnt[977][2]~40561\);

-- Location: FF_X61_Y9_N5
\led_flash_cnt[977][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[977][2]~40560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[977][2]~q\);

-- Location: LCCOMB_X61_Y9_N6
\led_flash_cnt[977][3]~40562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[977][3]~40562_combout\ = (\led_flash_cnt[977][3]~q\ & (\led_flash_cnt[977][2]~40561\ $ (GND))) # (!\led_flash_cnt[977][3]~q\ & (!\led_flash_cnt[977][2]~40561\ & VCC))
-- \led_flash_cnt[977][3]~40563\ = CARRY((\led_flash_cnt[977][3]~q\ & !\led_flash_cnt[977][2]~40561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[977][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[977][2]~40561\,
	combout => \led_flash_cnt[977][3]~40562_combout\,
	cout => \led_flash_cnt[977][3]~40563\);

-- Location: FF_X61_Y9_N7
\led_flash_cnt[977][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[977][3]~40562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[977][3]~q\);

-- Location: LCCOMB_X61_Y9_N8
\led_flash_cnt[977][4]~40564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[977][4]~40564_combout\ = (\led_flash_cnt[977][4]~q\ & (!\led_flash_cnt[977][3]~40563\)) # (!\led_flash_cnt[977][4]~q\ & ((\led_flash_cnt[977][3]~40563\) # (GND)))
-- \led_flash_cnt[977][4]~40565\ = CARRY((!\led_flash_cnt[977][3]~40563\) # (!\led_flash_cnt[977][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[977][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[977][3]~40563\,
	combout => \led_flash_cnt[977][4]~40564_combout\,
	cout => \led_flash_cnt[977][4]~40565\);

-- Location: FF_X61_Y9_N9
\led_flash_cnt[977][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[977][4]~40564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[977][4]~q\);

-- Location: LCCOMB_X61_Y9_N10
\led_flash_cnt[977][5]~40566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[977][5]~40566_combout\ = (\led_flash_cnt[977][5]~q\ & (\led_flash_cnt[977][4]~40565\ $ (GND))) # (!\led_flash_cnt[977][5]~q\ & (!\led_flash_cnt[977][4]~40565\ & VCC))
-- \led_flash_cnt[977][5]~40567\ = CARRY((\led_flash_cnt[977][5]~q\ & !\led_flash_cnt[977][4]~40565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[977][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[977][4]~40565\,
	combout => \led_flash_cnt[977][5]~40566_combout\,
	cout => \led_flash_cnt[977][5]~40567\);

-- Location: FF_X61_Y9_N11
\led_flash_cnt[977][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[977][5]~40566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[977][5]~q\);

-- Location: LCCOMB_X61_Y9_N12
\led_flash_cnt[977][6]~40568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[977][6]~40568_combout\ = (\led_flash_cnt[977][6]~q\ & (!\led_flash_cnt[977][5]~40567\)) # (!\led_flash_cnt[977][6]~q\ & ((\led_flash_cnt[977][5]~40567\) # (GND)))
-- \led_flash_cnt[977][6]~40569\ = CARRY((!\led_flash_cnt[977][5]~40567\) # (!\led_flash_cnt[977][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[977][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[977][5]~40567\,
	combout => \led_flash_cnt[977][6]~40568_combout\,
	cout => \led_flash_cnt[977][6]~40569\);

-- Location: FF_X61_Y9_N13
\led_flash_cnt[977][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[977][6]~40568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[977][6]~q\);

-- Location: LCCOMB_X60_Y9_N2
\WideAnd977~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd977~1_combout\ = (\led_flash_cnt[977][6]~q\ & \led_flash_cnt[977][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[977][6]~q\,
	datac => \led_flash_cnt[977][5]~q\,
	combout => \WideAnd977~1_combout\);

-- Location: LCCOMB_X61_Y9_N14
\led_flash_cnt[977][7]~40570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[977][7]~40570_combout\ = \led_flash_cnt[977][7]~q\ $ (!\led_flash_cnt[977][6]~40569\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[977][7]~q\,
	cin => \led_flash_cnt[977][6]~40569\,
	combout => \led_flash_cnt[977][7]~40570_combout\);

-- Location: FF_X61_Y9_N15
\led_flash_cnt[977][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[977][7]~40570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[977][7]~q\);

-- Location: LCCOMB_X61_Y9_N16
\WideAnd977~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd977~0_combout\ = (\led_flash_cnt[977][3]~q\ & (\led_flash_cnt[977][2]~q\ & (\led_flash_cnt[977][4]~q\ & \led_flash_cnt[977][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[977][3]~q\,
	datab => \led_flash_cnt[977][2]~q\,
	datac => \led_flash_cnt[977][4]~q\,
	datad => \led_flash_cnt[977][1]~q\,
	combout => \WideAnd977~0_combout\);

-- Location: LCCOMB_X60_Y9_N8
WideAnd977 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd977~combout\ = (\led_flash_cnt[977][0]~q\ & (\WideAnd977~1_combout\ & (\led_flash_cnt[977][7]~q\ & \WideAnd977~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[977][0]~q\,
	datab => \WideAnd977~1_combout\,
	datac => \led_flash_cnt[977][7]~q\,
	datad => \WideAnd977~0_combout\,
	combout => \WideAnd977~combout\);

-- Location: FF_X60_Y9_N9
\led_flash_cnt_ands[977]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd977~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(977));

-- Location: LCCOMB_X67_Y9_N22
\led_flash_cnt[976][0]~81616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[976][0]~81616_combout\ = !\led_flash_cnt[976][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[976][0]~q\,
	combout => \led_flash_cnt[976][0]~81616_combout\);

-- Location: FF_X67_Y9_N23
\led_flash_cnt[976][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[976][0]~81616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[976][0]~q\);

-- Location: LCCOMB_X67_Y9_N8
\led_flash_cnt[976][1]~40544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[976][1]~40544_combout\ = (\led_flash_cnt[976][0]~q\ & (\led_flash_cnt[976][1]~q\ $ (VCC))) # (!\led_flash_cnt[976][0]~q\ & (\led_flash_cnt[976][1]~q\ & VCC))
-- \led_flash_cnt[976][1]~40545\ = CARRY((\led_flash_cnt[976][0]~q\ & \led_flash_cnt[976][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[976][0]~q\,
	datab => \led_flash_cnt[976][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[976][1]~40544_combout\,
	cout => \led_flash_cnt[976][1]~40545\);

-- Location: FF_X67_Y9_N9
\led_flash_cnt[976][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[976][1]~40544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[976][1]~q\);

-- Location: LCCOMB_X67_Y9_N10
\led_flash_cnt[976][2]~40546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[976][2]~40546_combout\ = (\led_flash_cnt[976][2]~q\ & (!\led_flash_cnt[976][1]~40545\)) # (!\led_flash_cnt[976][2]~q\ & ((\led_flash_cnt[976][1]~40545\) # (GND)))
-- \led_flash_cnt[976][2]~40547\ = CARRY((!\led_flash_cnt[976][1]~40545\) # (!\led_flash_cnt[976][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[976][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[976][1]~40545\,
	combout => \led_flash_cnt[976][2]~40546_combout\,
	cout => \led_flash_cnt[976][2]~40547\);

-- Location: FF_X67_Y9_N11
\led_flash_cnt[976][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[976][2]~40546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[976][2]~q\);

-- Location: LCCOMB_X67_Y9_N12
\led_flash_cnt[976][3]~40548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[976][3]~40548_combout\ = (\led_flash_cnt[976][3]~q\ & (\led_flash_cnt[976][2]~40547\ $ (GND))) # (!\led_flash_cnt[976][3]~q\ & (!\led_flash_cnt[976][2]~40547\ & VCC))
-- \led_flash_cnt[976][3]~40549\ = CARRY((\led_flash_cnt[976][3]~q\ & !\led_flash_cnt[976][2]~40547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[976][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[976][2]~40547\,
	combout => \led_flash_cnt[976][3]~40548_combout\,
	cout => \led_flash_cnt[976][3]~40549\);

-- Location: FF_X67_Y9_N13
\led_flash_cnt[976][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[976][3]~40548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[976][3]~q\);

-- Location: LCCOMB_X67_Y9_N14
\led_flash_cnt[976][4]~40550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[976][4]~40550_combout\ = (\led_flash_cnt[976][4]~q\ & (!\led_flash_cnt[976][3]~40549\)) # (!\led_flash_cnt[976][4]~q\ & ((\led_flash_cnt[976][3]~40549\) # (GND)))
-- \led_flash_cnt[976][4]~40551\ = CARRY((!\led_flash_cnt[976][3]~40549\) # (!\led_flash_cnt[976][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[976][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[976][3]~40549\,
	combout => \led_flash_cnt[976][4]~40550_combout\,
	cout => \led_flash_cnt[976][4]~40551\);

-- Location: FF_X67_Y9_N15
\led_flash_cnt[976][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[976][4]~40550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[976][4]~q\);

-- Location: LCCOMB_X67_Y9_N16
\led_flash_cnt[976][5]~40552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[976][5]~40552_combout\ = (\led_flash_cnt[976][5]~q\ & (\led_flash_cnt[976][4]~40551\ $ (GND))) # (!\led_flash_cnt[976][5]~q\ & (!\led_flash_cnt[976][4]~40551\ & VCC))
-- \led_flash_cnt[976][5]~40553\ = CARRY((\led_flash_cnt[976][5]~q\ & !\led_flash_cnt[976][4]~40551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[976][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[976][4]~40551\,
	combout => \led_flash_cnt[976][5]~40552_combout\,
	cout => \led_flash_cnt[976][5]~40553\);

-- Location: FF_X67_Y9_N17
\led_flash_cnt[976][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[976][5]~40552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[976][5]~q\);

-- Location: LCCOMB_X67_Y9_N18
\led_flash_cnt[976][6]~40554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[976][6]~40554_combout\ = (\led_flash_cnt[976][6]~q\ & (!\led_flash_cnt[976][5]~40553\)) # (!\led_flash_cnt[976][6]~q\ & ((\led_flash_cnt[976][5]~40553\) # (GND)))
-- \led_flash_cnt[976][6]~40555\ = CARRY((!\led_flash_cnt[976][5]~40553\) # (!\led_flash_cnt[976][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[976][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[976][5]~40553\,
	combout => \led_flash_cnt[976][6]~40554_combout\,
	cout => \led_flash_cnt[976][6]~40555\);

-- Location: FF_X67_Y9_N19
\led_flash_cnt[976][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[976][6]~40554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[976][6]~q\);

-- Location: LCCOMB_X67_Y9_N6
\WideAnd976~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd976~1_combout\ = (\led_flash_cnt[976][6]~q\ & \led_flash_cnt[976][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[976][6]~q\,
	datad => \led_flash_cnt[976][5]~q\,
	combout => \WideAnd976~1_combout\);

-- Location: LCCOMB_X67_Y9_N20
\led_flash_cnt[976][7]~40556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[976][7]~40556_combout\ = \led_flash_cnt[976][6]~40555\ $ (!\led_flash_cnt[976][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[976][7]~q\,
	cin => \led_flash_cnt[976][6]~40555\,
	combout => \led_flash_cnt[976][7]~40556_combout\);

-- Location: FF_X67_Y9_N21
\led_flash_cnt[976][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[976][7]~40556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[976][7]~q\);

-- Location: LCCOMB_X67_Y9_N24
\WideAnd976~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd976~0_combout\ = (\led_flash_cnt[976][3]~q\ & (\led_flash_cnt[976][4]~q\ & (\led_flash_cnt[976][1]~q\ & \led_flash_cnt[976][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[976][3]~q\,
	datab => \led_flash_cnt[976][4]~q\,
	datac => \led_flash_cnt[976][1]~q\,
	datad => \led_flash_cnt[976][2]~q\,
	combout => \WideAnd976~0_combout\);

-- Location: LCCOMB_X67_Y9_N26
WideAnd976 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd976~combout\ = (\WideAnd976~1_combout\ & (\led_flash_cnt[976][7]~q\ & (\led_flash_cnt[976][0]~q\ & \WideAnd976~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd976~1_combout\,
	datab => \led_flash_cnt[976][7]~q\,
	datac => \led_flash_cnt[976][0]~q\,
	datad => \WideAnd976~0_combout\,
	combout => \WideAnd976~combout\);

-- Location: FF_X67_Y9_N27
\led_flash_cnt_ands[976]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd976~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(976));

-- Location: LCCOMB_X61_Y6_N8
\led_flash_cnt[979][0]~81619\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[979][0]~81619_combout\ = !\led_flash_cnt[979][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[979][0]~q\,
	combout => \led_flash_cnt[979][0]~81619_combout\);

-- Location: FF_X61_Y6_N9
\led_flash_cnt[979][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[979][0]~81619_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[979][0]~q\);

-- Location: LCCOMB_X61_Y6_N10
\led_flash_cnt[979][1]~40586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[979][1]~40586_combout\ = (\led_flash_cnt[979][1]~q\ & (\led_flash_cnt[979][0]~q\ $ (VCC))) # (!\led_flash_cnt[979][1]~q\ & (\led_flash_cnt[979][0]~q\ & VCC))
-- \led_flash_cnt[979][1]~40587\ = CARRY((\led_flash_cnt[979][1]~q\ & \led_flash_cnt[979][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[979][1]~q\,
	datab => \led_flash_cnt[979][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[979][1]~40586_combout\,
	cout => \led_flash_cnt[979][1]~40587\);

-- Location: FF_X61_Y6_N11
\led_flash_cnt[979][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[979][1]~40586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[979][1]~q\);

-- Location: LCCOMB_X61_Y6_N12
\led_flash_cnt[979][2]~40588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[979][2]~40588_combout\ = (\led_flash_cnt[979][2]~q\ & (!\led_flash_cnt[979][1]~40587\)) # (!\led_flash_cnt[979][2]~q\ & ((\led_flash_cnt[979][1]~40587\) # (GND)))
-- \led_flash_cnt[979][2]~40589\ = CARRY((!\led_flash_cnt[979][1]~40587\) # (!\led_flash_cnt[979][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[979][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[979][1]~40587\,
	combout => \led_flash_cnt[979][2]~40588_combout\,
	cout => \led_flash_cnt[979][2]~40589\);

-- Location: FF_X61_Y6_N13
\led_flash_cnt[979][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[979][2]~40588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[979][2]~q\);

-- Location: LCCOMB_X61_Y6_N14
\led_flash_cnt[979][3]~40590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[979][3]~40590_combout\ = (\led_flash_cnt[979][3]~q\ & (\led_flash_cnt[979][2]~40589\ $ (GND))) # (!\led_flash_cnt[979][3]~q\ & (!\led_flash_cnt[979][2]~40589\ & VCC))
-- \led_flash_cnt[979][3]~40591\ = CARRY((\led_flash_cnt[979][3]~q\ & !\led_flash_cnt[979][2]~40589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[979][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[979][2]~40589\,
	combout => \led_flash_cnt[979][3]~40590_combout\,
	cout => \led_flash_cnt[979][3]~40591\);

-- Location: FF_X61_Y6_N15
\led_flash_cnt[979][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[979][3]~40590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[979][3]~q\);

-- Location: LCCOMB_X61_Y6_N16
\led_flash_cnt[979][4]~40592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[979][4]~40592_combout\ = (\led_flash_cnt[979][4]~q\ & (!\led_flash_cnt[979][3]~40591\)) # (!\led_flash_cnt[979][4]~q\ & ((\led_flash_cnt[979][3]~40591\) # (GND)))
-- \led_flash_cnt[979][4]~40593\ = CARRY((!\led_flash_cnt[979][3]~40591\) # (!\led_flash_cnt[979][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[979][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[979][3]~40591\,
	combout => \led_flash_cnt[979][4]~40592_combout\,
	cout => \led_flash_cnt[979][4]~40593\);

-- Location: FF_X61_Y6_N17
\led_flash_cnt[979][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[979][4]~40592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[979][4]~q\);

-- Location: LCCOMB_X61_Y6_N18
\led_flash_cnt[979][5]~40594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[979][5]~40594_combout\ = (\led_flash_cnt[979][5]~q\ & (\led_flash_cnt[979][4]~40593\ $ (GND))) # (!\led_flash_cnt[979][5]~q\ & (!\led_flash_cnt[979][4]~40593\ & VCC))
-- \led_flash_cnt[979][5]~40595\ = CARRY((\led_flash_cnt[979][5]~q\ & !\led_flash_cnt[979][4]~40593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[979][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[979][4]~40593\,
	combout => \led_flash_cnt[979][5]~40594_combout\,
	cout => \led_flash_cnt[979][5]~40595\);

-- Location: FF_X61_Y6_N19
\led_flash_cnt[979][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[979][5]~40594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[979][5]~q\);

-- Location: LCCOMB_X61_Y6_N20
\led_flash_cnt[979][6]~40596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[979][6]~40596_combout\ = (\led_flash_cnt[979][6]~q\ & (!\led_flash_cnt[979][5]~40595\)) # (!\led_flash_cnt[979][6]~q\ & ((\led_flash_cnt[979][5]~40595\) # (GND)))
-- \led_flash_cnt[979][6]~40597\ = CARRY((!\led_flash_cnt[979][5]~40595\) # (!\led_flash_cnt[979][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[979][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[979][5]~40595\,
	combout => \led_flash_cnt[979][6]~40596_combout\,
	cout => \led_flash_cnt[979][6]~40597\);

-- Location: FF_X61_Y6_N21
\led_flash_cnt[979][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[979][6]~40596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[979][6]~q\);

-- Location: LCCOMB_X61_Y6_N26
\WideAnd979~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd979~1_combout\ = (\led_flash_cnt[979][6]~q\ & \led_flash_cnt[979][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[979][6]~q\,
	datad => \led_flash_cnt[979][5]~q\,
	combout => \WideAnd979~1_combout\);

-- Location: LCCOMB_X61_Y6_N22
\led_flash_cnt[979][7]~40598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[979][7]~40598_combout\ = \led_flash_cnt[979][7]~q\ $ (!\led_flash_cnt[979][6]~40597\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[979][7]~q\,
	cin => \led_flash_cnt[979][6]~40597\,
	combout => \led_flash_cnt[979][7]~40598_combout\);

-- Location: FF_X61_Y6_N23
\led_flash_cnt[979][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[979][7]~40598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[979][7]~q\);

-- Location: LCCOMB_X61_Y6_N24
\WideAnd979~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd979~0_combout\ = (\led_flash_cnt[979][2]~q\ & (\led_flash_cnt[979][4]~q\ & (\led_flash_cnt[979][3]~q\ & \led_flash_cnt[979][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[979][2]~q\,
	datab => \led_flash_cnt[979][4]~q\,
	datac => \led_flash_cnt[979][3]~q\,
	datad => \led_flash_cnt[979][1]~q\,
	combout => \WideAnd979~0_combout\);

-- Location: LCCOMB_X61_Y6_N4
WideAnd979 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd979~combout\ = (\WideAnd979~1_combout\ & (\led_flash_cnt[979][0]~q\ & (\led_flash_cnt[979][7]~q\ & \WideAnd979~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd979~1_combout\,
	datab => \led_flash_cnt[979][0]~q\,
	datac => \led_flash_cnt[979][7]~q\,
	datad => \WideAnd979~0_combout\,
	combout => \WideAnd979~combout\);

-- Location: FF_X61_Y6_N5
\led_flash_cnt_ands[979]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd979~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(979));

-- Location: LCCOMB_X60_Y9_N14
\WideAnd3962~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3962~0_combout\ = (led_flash_cnt_ands(978) & (led_flash_cnt_ands(977) & (led_flash_cnt_ands(976) & led_flash_cnt_ands(979))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(978),
	datab => led_flash_cnt_ands(977),
	datac => led_flash_cnt_ands(976),
	datad => led_flash_cnt_ands(979),
	combout => \WideAnd3962~0_combout\);

-- Location: LCCOMB_X61_Y12_N10
\led_flash_cnt[982][0]~81622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[982][0]~81622_combout\ = !\led_flash_cnt[982][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[982][0]~q\,
	combout => \led_flash_cnt[982][0]~81622_combout\);

-- Location: FF_X61_Y12_N11
\led_flash_cnt[982][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[982][0]~81622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[982][0]~q\);

-- Location: LCCOMB_X61_Y12_N16
\led_flash_cnt[982][1]~40628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[982][1]~40628_combout\ = (\led_flash_cnt[982][0]~q\ & (\led_flash_cnt[982][1]~q\ $ (VCC))) # (!\led_flash_cnt[982][0]~q\ & (\led_flash_cnt[982][1]~q\ & VCC))
-- \led_flash_cnt[982][1]~40629\ = CARRY((\led_flash_cnt[982][0]~q\ & \led_flash_cnt[982][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[982][0]~q\,
	datab => \led_flash_cnt[982][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[982][1]~40628_combout\,
	cout => \led_flash_cnt[982][1]~40629\);

-- Location: FF_X61_Y12_N17
\led_flash_cnt[982][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[982][1]~40628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[982][1]~q\);

-- Location: LCCOMB_X61_Y12_N18
\led_flash_cnt[982][2]~40630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[982][2]~40630_combout\ = (\led_flash_cnt[982][2]~q\ & (!\led_flash_cnt[982][1]~40629\)) # (!\led_flash_cnt[982][2]~q\ & ((\led_flash_cnt[982][1]~40629\) # (GND)))
-- \led_flash_cnt[982][2]~40631\ = CARRY((!\led_flash_cnt[982][1]~40629\) # (!\led_flash_cnt[982][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[982][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[982][1]~40629\,
	combout => \led_flash_cnt[982][2]~40630_combout\,
	cout => \led_flash_cnt[982][2]~40631\);

-- Location: FF_X61_Y12_N19
\led_flash_cnt[982][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[982][2]~40630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[982][2]~q\);

-- Location: LCCOMB_X61_Y12_N20
\led_flash_cnt[982][3]~40632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[982][3]~40632_combout\ = (\led_flash_cnt[982][3]~q\ & (\led_flash_cnt[982][2]~40631\ $ (GND))) # (!\led_flash_cnt[982][3]~q\ & (!\led_flash_cnt[982][2]~40631\ & VCC))
-- \led_flash_cnt[982][3]~40633\ = CARRY((\led_flash_cnt[982][3]~q\ & !\led_flash_cnt[982][2]~40631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[982][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[982][2]~40631\,
	combout => \led_flash_cnt[982][3]~40632_combout\,
	cout => \led_flash_cnt[982][3]~40633\);

-- Location: FF_X61_Y12_N21
\led_flash_cnt[982][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[982][3]~40632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[982][3]~q\);

-- Location: LCCOMB_X61_Y12_N22
\led_flash_cnt[982][4]~40634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[982][4]~40634_combout\ = (\led_flash_cnt[982][4]~q\ & (!\led_flash_cnt[982][3]~40633\)) # (!\led_flash_cnt[982][4]~q\ & ((\led_flash_cnt[982][3]~40633\) # (GND)))
-- \led_flash_cnt[982][4]~40635\ = CARRY((!\led_flash_cnt[982][3]~40633\) # (!\led_flash_cnt[982][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[982][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[982][3]~40633\,
	combout => \led_flash_cnt[982][4]~40634_combout\,
	cout => \led_flash_cnt[982][4]~40635\);

-- Location: FF_X61_Y12_N23
\led_flash_cnt[982][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[982][4]~40634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[982][4]~q\);

-- Location: LCCOMB_X61_Y12_N24
\led_flash_cnt[982][5]~40636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[982][5]~40636_combout\ = (\led_flash_cnt[982][5]~q\ & (\led_flash_cnt[982][4]~40635\ $ (GND))) # (!\led_flash_cnt[982][5]~q\ & (!\led_flash_cnt[982][4]~40635\ & VCC))
-- \led_flash_cnt[982][5]~40637\ = CARRY((\led_flash_cnt[982][5]~q\ & !\led_flash_cnt[982][4]~40635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[982][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[982][4]~40635\,
	combout => \led_flash_cnt[982][5]~40636_combout\,
	cout => \led_flash_cnt[982][5]~40637\);

-- Location: FF_X61_Y12_N25
\led_flash_cnt[982][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[982][5]~40636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[982][5]~q\);

-- Location: LCCOMB_X61_Y12_N26
\led_flash_cnt[982][6]~40638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[982][6]~40638_combout\ = (\led_flash_cnt[982][6]~q\ & (!\led_flash_cnt[982][5]~40637\)) # (!\led_flash_cnt[982][6]~q\ & ((\led_flash_cnt[982][5]~40637\) # (GND)))
-- \led_flash_cnt[982][6]~40639\ = CARRY((!\led_flash_cnt[982][5]~40637\) # (!\led_flash_cnt[982][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[982][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[982][5]~40637\,
	combout => \led_flash_cnt[982][6]~40638_combout\,
	cout => \led_flash_cnt[982][6]~40639\);

-- Location: FF_X61_Y12_N27
\led_flash_cnt[982][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[982][6]~40638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[982][6]~q\);

-- Location: LCCOMB_X61_Y12_N28
\led_flash_cnt[982][7]~40640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[982][7]~40640_combout\ = \led_flash_cnt[982][6]~40639\ $ (!\led_flash_cnt[982][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[982][7]~q\,
	cin => \led_flash_cnt[982][6]~40639\,
	combout => \led_flash_cnt[982][7]~40640_combout\);

-- Location: FF_X61_Y12_N29
\led_flash_cnt[982][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[982][7]~40640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[982][7]~q\);

-- Location: LCCOMB_X61_Y12_N4
\WideAnd982~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd982~1_combout\ = (\led_flash_cnt[982][6]~q\ & \led_flash_cnt[982][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[982][6]~q\,
	datad => \led_flash_cnt[982][5]~q\,
	combout => \WideAnd982~1_combout\);

-- Location: LCCOMB_X61_Y12_N12
\WideAnd982~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd982~0_combout\ = (\led_flash_cnt[982][3]~q\ & (\led_flash_cnt[982][2]~q\ & (\led_flash_cnt[982][4]~q\ & \led_flash_cnt[982][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[982][3]~q\,
	datab => \led_flash_cnt[982][2]~q\,
	datac => \led_flash_cnt[982][4]~q\,
	datad => \led_flash_cnt[982][1]~q\,
	combout => \WideAnd982~0_combout\);

-- Location: LCCOMB_X61_Y12_N8
WideAnd982 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd982~combout\ = (\led_flash_cnt[982][0]~q\ & (\led_flash_cnt[982][7]~q\ & (\WideAnd982~1_combout\ & \WideAnd982~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[982][0]~q\,
	datab => \led_flash_cnt[982][7]~q\,
	datac => \WideAnd982~1_combout\,
	datad => \WideAnd982~0_combout\,
	combout => \WideAnd982~combout\);

-- Location: FF_X61_Y12_N9
\led_flash_cnt_ands[982]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd982~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(982));

-- Location: LCCOMB_X65_Y4_N12
\led_flash_cnt[980][0]~81620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[980][0]~81620_combout\ = !\led_flash_cnt[980][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[980][0]~q\,
	combout => \led_flash_cnt[980][0]~81620_combout\);

-- Location: FF_X65_Y4_N13
\led_flash_cnt[980][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[980][0]~81620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[980][0]~q\);

-- Location: LCCOMB_X65_Y4_N14
\led_flash_cnt[980][1]~40600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[980][1]~40600_combout\ = (\led_flash_cnt[980][0]~q\ & (\led_flash_cnt[980][1]~q\ $ (VCC))) # (!\led_flash_cnt[980][0]~q\ & (\led_flash_cnt[980][1]~q\ & VCC))
-- \led_flash_cnt[980][1]~40601\ = CARRY((\led_flash_cnt[980][0]~q\ & \led_flash_cnt[980][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[980][0]~q\,
	datab => \led_flash_cnt[980][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[980][1]~40600_combout\,
	cout => \led_flash_cnt[980][1]~40601\);

-- Location: FF_X65_Y4_N15
\led_flash_cnt[980][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[980][1]~40600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[980][1]~q\);

-- Location: LCCOMB_X65_Y4_N16
\led_flash_cnt[980][2]~40602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[980][2]~40602_combout\ = (\led_flash_cnt[980][2]~q\ & (!\led_flash_cnt[980][1]~40601\)) # (!\led_flash_cnt[980][2]~q\ & ((\led_flash_cnt[980][1]~40601\) # (GND)))
-- \led_flash_cnt[980][2]~40603\ = CARRY((!\led_flash_cnt[980][1]~40601\) # (!\led_flash_cnt[980][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[980][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[980][1]~40601\,
	combout => \led_flash_cnt[980][2]~40602_combout\,
	cout => \led_flash_cnt[980][2]~40603\);

-- Location: FF_X65_Y4_N17
\led_flash_cnt[980][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[980][2]~40602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[980][2]~q\);

-- Location: LCCOMB_X65_Y4_N18
\led_flash_cnt[980][3]~40604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[980][3]~40604_combout\ = (\led_flash_cnt[980][3]~q\ & (\led_flash_cnt[980][2]~40603\ $ (GND))) # (!\led_flash_cnt[980][3]~q\ & (!\led_flash_cnt[980][2]~40603\ & VCC))
-- \led_flash_cnt[980][3]~40605\ = CARRY((\led_flash_cnt[980][3]~q\ & !\led_flash_cnt[980][2]~40603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[980][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[980][2]~40603\,
	combout => \led_flash_cnt[980][3]~40604_combout\,
	cout => \led_flash_cnt[980][3]~40605\);

-- Location: FF_X65_Y4_N19
\led_flash_cnt[980][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[980][3]~40604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[980][3]~q\);

-- Location: LCCOMB_X65_Y4_N20
\led_flash_cnt[980][4]~40606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[980][4]~40606_combout\ = (\led_flash_cnt[980][4]~q\ & (!\led_flash_cnt[980][3]~40605\)) # (!\led_flash_cnt[980][4]~q\ & ((\led_flash_cnt[980][3]~40605\) # (GND)))
-- \led_flash_cnt[980][4]~40607\ = CARRY((!\led_flash_cnt[980][3]~40605\) # (!\led_flash_cnt[980][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[980][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[980][3]~40605\,
	combout => \led_flash_cnt[980][4]~40606_combout\,
	cout => \led_flash_cnt[980][4]~40607\);

-- Location: FF_X65_Y4_N21
\led_flash_cnt[980][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[980][4]~40606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[980][4]~q\);

-- Location: LCCOMB_X65_Y4_N10
\WideAnd980~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd980~0_combout\ = (\led_flash_cnt[980][3]~q\ & (\led_flash_cnt[980][4]~q\ & (\led_flash_cnt[980][1]~q\ & \led_flash_cnt[980][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[980][3]~q\,
	datab => \led_flash_cnt[980][4]~q\,
	datac => \led_flash_cnt[980][1]~q\,
	datad => \led_flash_cnt[980][2]~q\,
	combout => \WideAnd980~0_combout\);

-- Location: LCCOMB_X65_Y4_N22
\led_flash_cnt[980][5]~40608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[980][5]~40608_combout\ = (\led_flash_cnt[980][5]~q\ & (\led_flash_cnt[980][4]~40607\ $ (GND))) # (!\led_flash_cnt[980][5]~q\ & (!\led_flash_cnt[980][4]~40607\ & VCC))
-- \led_flash_cnt[980][5]~40609\ = CARRY((\led_flash_cnt[980][5]~q\ & !\led_flash_cnt[980][4]~40607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[980][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[980][4]~40607\,
	combout => \led_flash_cnt[980][5]~40608_combout\,
	cout => \led_flash_cnt[980][5]~40609\);

-- Location: FF_X65_Y4_N23
\led_flash_cnt[980][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[980][5]~40608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[980][5]~q\);

-- Location: LCCOMB_X65_Y4_N24
\led_flash_cnt[980][6]~40610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[980][6]~40610_combout\ = (\led_flash_cnt[980][6]~q\ & (!\led_flash_cnt[980][5]~40609\)) # (!\led_flash_cnt[980][6]~q\ & ((\led_flash_cnt[980][5]~40609\) # (GND)))
-- \led_flash_cnt[980][6]~40611\ = CARRY((!\led_flash_cnt[980][5]~40609\) # (!\led_flash_cnt[980][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[980][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[980][5]~40609\,
	combout => \led_flash_cnt[980][6]~40610_combout\,
	cout => \led_flash_cnt[980][6]~40611\);

-- Location: FF_X65_Y4_N25
\led_flash_cnt[980][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[980][6]~40610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[980][6]~q\);

-- Location: LCCOMB_X65_Y4_N4
\WideAnd980~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd980~1_combout\ = (\led_flash_cnt[980][5]~q\ & \led_flash_cnt[980][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[980][5]~q\,
	datad => \led_flash_cnt[980][6]~q\,
	combout => \WideAnd980~1_combout\);

-- Location: LCCOMB_X65_Y4_N26
\led_flash_cnt[980][7]~40612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[980][7]~40612_combout\ = \led_flash_cnt[980][7]~q\ $ (!\led_flash_cnt[980][6]~40611\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[980][7]~q\,
	cin => \led_flash_cnt[980][6]~40611\,
	combout => \led_flash_cnt[980][7]~40612_combout\);

-- Location: FF_X65_Y4_N27
\led_flash_cnt[980][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[980][7]~40612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[980][7]~q\);

-- Location: LCCOMB_X65_Y4_N8
WideAnd980 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd980~combout\ = (\WideAnd980~0_combout\ & (\WideAnd980~1_combout\ & (\led_flash_cnt[980][7]~q\ & \led_flash_cnt[980][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd980~0_combout\,
	datab => \WideAnd980~1_combout\,
	datac => \led_flash_cnt[980][7]~q\,
	datad => \led_flash_cnt[980][0]~q\,
	combout => \WideAnd980~combout\);

-- Location: FF_X65_Y4_N9
\led_flash_cnt_ands[980]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd980~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(980));

-- Location: LCCOMB_X66_Y4_N24
\led_flash_cnt[981][0]~81621\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[981][0]~81621_combout\ = !\led_flash_cnt[981][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[981][0]~q\,
	combout => \led_flash_cnt[981][0]~81621_combout\);

-- Location: FF_X66_Y4_N25
\led_flash_cnt[981][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[981][0]~81621_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[981][0]~q\);

-- Location: LCCOMB_X66_Y4_N2
\led_flash_cnt[981][1]~40614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[981][1]~40614_combout\ = (\led_flash_cnt[981][1]~q\ & (\led_flash_cnt[981][0]~q\ $ (VCC))) # (!\led_flash_cnt[981][1]~q\ & (\led_flash_cnt[981][0]~q\ & VCC))
-- \led_flash_cnt[981][1]~40615\ = CARRY((\led_flash_cnt[981][1]~q\ & \led_flash_cnt[981][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[981][1]~q\,
	datab => \led_flash_cnt[981][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[981][1]~40614_combout\,
	cout => \led_flash_cnt[981][1]~40615\);

-- Location: FF_X66_Y4_N3
\led_flash_cnt[981][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[981][1]~40614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[981][1]~q\);

-- Location: LCCOMB_X66_Y4_N4
\led_flash_cnt[981][2]~40616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[981][2]~40616_combout\ = (\led_flash_cnt[981][2]~q\ & (!\led_flash_cnt[981][1]~40615\)) # (!\led_flash_cnt[981][2]~q\ & ((\led_flash_cnt[981][1]~40615\) # (GND)))
-- \led_flash_cnt[981][2]~40617\ = CARRY((!\led_flash_cnt[981][1]~40615\) # (!\led_flash_cnt[981][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[981][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[981][1]~40615\,
	combout => \led_flash_cnt[981][2]~40616_combout\,
	cout => \led_flash_cnt[981][2]~40617\);

-- Location: FF_X66_Y4_N5
\led_flash_cnt[981][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[981][2]~40616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[981][2]~q\);

-- Location: LCCOMB_X66_Y4_N6
\led_flash_cnt[981][3]~40618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[981][3]~40618_combout\ = (\led_flash_cnt[981][3]~q\ & (\led_flash_cnt[981][2]~40617\ $ (GND))) # (!\led_flash_cnt[981][3]~q\ & (!\led_flash_cnt[981][2]~40617\ & VCC))
-- \led_flash_cnt[981][3]~40619\ = CARRY((\led_flash_cnt[981][3]~q\ & !\led_flash_cnt[981][2]~40617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[981][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[981][2]~40617\,
	combout => \led_flash_cnt[981][3]~40618_combout\,
	cout => \led_flash_cnt[981][3]~40619\);

-- Location: FF_X66_Y4_N7
\led_flash_cnt[981][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[981][3]~40618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[981][3]~q\);

-- Location: LCCOMB_X66_Y4_N8
\led_flash_cnt[981][4]~40620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[981][4]~40620_combout\ = (\led_flash_cnt[981][4]~q\ & (!\led_flash_cnt[981][3]~40619\)) # (!\led_flash_cnt[981][4]~q\ & ((\led_flash_cnt[981][3]~40619\) # (GND)))
-- \led_flash_cnt[981][4]~40621\ = CARRY((!\led_flash_cnt[981][3]~40619\) # (!\led_flash_cnt[981][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[981][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[981][3]~40619\,
	combout => \led_flash_cnt[981][4]~40620_combout\,
	cout => \led_flash_cnt[981][4]~40621\);

-- Location: FF_X66_Y4_N9
\led_flash_cnt[981][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[981][4]~40620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[981][4]~q\);

-- Location: LCCOMB_X66_Y4_N10
\led_flash_cnt[981][5]~40622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[981][5]~40622_combout\ = (\led_flash_cnt[981][5]~q\ & (\led_flash_cnt[981][4]~40621\ $ (GND))) # (!\led_flash_cnt[981][5]~q\ & (!\led_flash_cnt[981][4]~40621\ & VCC))
-- \led_flash_cnt[981][5]~40623\ = CARRY((\led_flash_cnt[981][5]~q\ & !\led_flash_cnt[981][4]~40621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[981][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[981][4]~40621\,
	combout => \led_flash_cnt[981][5]~40622_combout\,
	cout => \led_flash_cnt[981][5]~40623\);

-- Location: FF_X66_Y4_N11
\led_flash_cnt[981][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[981][5]~40622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[981][5]~q\);

-- Location: LCCOMB_X66_Y4_N12
\led_flash_cnt[981][6]~40624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[981][6]~40624_combout\ = (\led_flash_cnt[981][6]~q\ & (!\led_flash_cnt[981][5]~40623\)) # (!\led_flash_cnt[981][6]~q\ & ((\led_flash_cnt[981][5]~40623\) # (GND)))
-- \led_flash_cnt[981][6]~40625\ = CARRY((!\led_flash_cnt[981][5]~40623\) # (!\led_flash_cnt[981][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[981][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[981][5]~40623\,
	combout => \led_flash_cnt[981][6]~40624_combout\,
	cout => \led_flash_cnt[981][6]~40625\);

-- Location: FF_X66_Y4_N13
\led_flash_cnt[981][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[981][6]~40624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[981][6]~q\);

-- Location: LCCOMB_X66_Y4_N26
\WideAnd981~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd981~1_combout\ = (\led_flash_cnt[981][6]~q\ & \led_flash_cnt[981][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[981][6]~q\,
	datad => \led_flash_cnt[981][5]~q\,
	combout => \WideAnd981~1_combout\);

-- Location: LCCOMB_X66_Y4_N14
\led_flash_cnt[981][7]~40626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[981][7]~40626_combout\ = \led_flash_cnt[981][7]~q\ $ (!\led_flash_cnt[981][6]~40625\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[981][7]~q\,
	cin => \led_flash_cnt[981][6]~40625\,
	combout => \led_flash_cnt[981][7]~40626_combout\);

-- Location: FF_X66_Y4_N15
\led_flash_cnt[981][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[981][7]~40626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[981][7]~q\);

-- Location: LCCOMB_X66_Y4_N18
\WideAnd981~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd981~0_combout\ = (\led_flash_cnt[981][1]~q\ & (\led_flash_cnt[981][4]~q\ & (\led_flash_cnt[981][2]~q\ & \led_flash_cnt[981][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[981][1]~q\,
	datab => \led_flash_cnt[981][4]~q\,
	datac => \led_flash_cnt[981][2]~q\,
	datad => \led_flash_cnt[981][3]~q\,
	combout => \WideAnd981~0_combout\);

-- Location: LCCOMB_X66_Y4_N28
WideAnd981 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd981~combout\ = (\WideAnd981~1_combout\ & (\led_flash_cnt[981][0]~q\ & (\led_flash_cnt[981][7]~q\ & \WideAnd981~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd981~1_combout\,
	datab => \led_flash_cnt[981][0]~q\,
	datac => \led_flash_cnt[981][7]~q\,
	datad => \WideAnd981~0_combout\,
	combout => \WideAnd981~combout\);

-- Location: FF_X66_Y4_N29
\led_flash_cnt_ands[981]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd981~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(981));

-- Location: LCCOMB_X65_Y4_N28
\WideAnd3962~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3962~1_combout\ = (led_flash_cnt_ands(980) & led_flash_cnt_ands(981))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(980),
	datad => led_flash_cnt_ands(981),
	combout => \WideAnd3962~1_combout\);

-- Location: LCCOMB_X61_Y16_N30
\led_flash_cnt[983][0]~81623\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[983][0]~81623_combout\ = !\led_flash_cnt[983][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[983][0]~q\,
	combout => \led_flash_cnt[983][0]~81623_combout\);

-- Location: FF_X61_Y16_N31
\led_flash_cnt[983][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[983][0]~81623_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[983][0]~q\);

-- Location: LCCOMB_X61_Y16_N4
\led_flash_cnt[983][1]~40642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[983][1]~40642_combout\ = (\led_flash_cnt[983][0]~q\ & (\led_flash_cnt[983][1]~q\ $ (VCC))) # (!\led_flash_cnt[983][0]~q\ & (\led_flash_cnt[983][1]~q\ & VCC))
-- \led_flash_cnt[983][1]~40643\ = CARRY((\led_flash_cnt[983][0]~q\ & \led_flash_cnt[983][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[983][0]~q\,
	datab => \led_flash_cnt[983][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[983][1]~40642_combout\,
	cout => \led_flash_cnt[983][1]~40643\);

-- Location: FF_X61_Y16_N5
\led_flash_cnt[983][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[983][1]~40642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[983][1]~q\);

-- Location: LCCOMB_X61_Y16_N6
\led_flash_cnt[983][2]~40644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[983][2]~40644_combout\ = (\led_flash_cnt[983][2]~q\ & (!\led_flash_cnt[983][1]~40643\)) # (!\led_flash_cnt[983][2]~q\ & ((\led_flash_cnt[983][1]~40643\) # (GND)))
-- \led_flash_cnt[983][2]~40645\ = CARRY((!\led_flash_cnt[983][1]~40643\) # (!\led_flash_cnt[983][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[983][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[983][1]~40643\,
	combout => \led_flash_cnt[983][2]~40644_combout\,
	cout => \led_flash_cnt[983][2]~40645\);

-- Location: FF_X61_Y16_N7
\led_flash_cnt[983][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[983][2]~40644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[983][2]~q\);

-- Location: LCCOMB_X61_Y16_N8
\led_flash_cnt[983][3]~40646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[983][3]~40646_combout\ = (\led_flash_cnt[983][3]~q\ & (\led_flash_cnt[983][2]~40645\ $ (GND))) # (!\led_flash_cnt[983][3]~q\ & (!\led_flash_cnt[983][2]~40645\ & VCC))
-- \led_flash_cnt[983][3]~40647\ = CARRY((\led_flash_cnt[983][3]~q\ & !\led_flash_cnt[983][2]~40645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[983][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[983][2]~40645\,
	combout => \led_flash_cnt[983][3]~40646_combout\,
	cout => \led_flash_cnt[983][3]~40647\);

-- Location: FF_X61_Y16_N9
\led_flash_cnt[983][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[983][3]~40646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[983][3]~q\);

-- Location: LCCOMB_X61_Y16_N10
\led_flash_cnt[983][4]~40648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[983][4]~40648_combout\ = (\led_flash_cnt[983][4]~q\ & (!\led_flash_cnt[983][3]~40647\)) # (!\led_flash_cnt[983][4]~q\ & ((\led_flash_cnt[983][3]~40647\) # (GND)))
-- \led_flash_cnt[983][4]~40649\ = CARRY((!\led_flash_cnt[983][3]~40647\) # (!\led_flash_cnt[983][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[983][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[983][3]~40647\,
	combout => \led_flash_cnt[983][4]~40648_combout\,
	cout => \led_flash_cnt[983][4]~40649\);

-- Location: FF_X61_Y16_N11
\led_flash_cnt[983][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[983][4]~40648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[983][4]~q\);

-- Location: LCCOMB_X61_Y16_N12
\led_flash_cnt[983][5]~40650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[983][5]~40650_combout\ = (\led_flash_cnt[983][5]~q\ & (\led_flash_cnt[983][4]~40649\ $ (GND))) # (!\led_flash_cnt[983][5]~q\ & (!\led_flash_cnt[983][4]~40649\ & VCC))
-- \led_flash_cnt[983][5]~40651\ = CARRY((\led_flash_cnt[983][5]~q\ & !\led_flash_cnt[983][4]~40649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[983][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[983][4]~40649\,
	combout => \led_flash_cnt[983][5]~40650_combout\,
	cout => \led_flash_cnt[983][5]~40651\);

-- Location: FF_X61_Y16_N13
\led_flash_cnt[983][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[983][5]~40650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[983][5]~q\);

-- Location: LCCOMB_X61_Y16_N14
\led_flash_cnt[983][6]~40652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[983][6]~40652_combout\ = (\led_flash_cnt[983][6]~q\ & (!\led_flash_cnt[983][5]~40651\)) # (!\led_flash_cnt[983][6]~q\ & ((\led_flash_cnt[983][5]~40651\) # (GND)))
-- \led_flash_cnt[983][6]~40653\ = CARRY((!\led_flash_cnt[983][5]~40651\) # (!\led_flash_cnt[983][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[983][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[983][5]~40651\,
	combout => \led_flash_cnt[983][6]~40652_combout\,
	cout => \led_flash_cnt[983][6]~40653\);

-- Location: FF_X61_Y16_N15
\led_flash_cnt[983][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[983][6]~40652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[983][6]~q\);

-- Location: LCCOMB_X61_Y16_N16
\led_flash_cnt[983][7]~40654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[983][7]~40654_combout\ = \led_flash_cnt[983][6]~40653\ $ (!\led_flash_cnt[983][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[983][7]~q\,
	cin => \led_flash_cnt[983][6]~40653\,
	combout => \led_flash_cnt[983][7]~40654_combout\);

-- Location: FF_X61_Y16_N17
\led_flash_cnt[983][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[983][7]~40654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[983][7]~q\);

-- Location: LCCOMB_X61_Y16_N26
\WideAnd983~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd983~1_combout\ = (\led_flash_cnt[983][6]~q\ & \led_flash_cnt[983][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[983][6]~q\,
	datad => \led_flash_cnt[983][5]~q\,
	combout => \WideAnd983~1_combout\);

-- Location: LCCOMB_X61_Y16_N18
\WideAnd983~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd983~0_combout\ = (\led_flash_cnt[983][4]~q\ & (\led_flash_cnt[983][1]~q\ & (\led_flash_cnt[983][3]~q\ & \led_flash_cnt[983][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[983][4]~q\,
	datab => \led_flash_cnt[983][1]~q\,
	datac => \led_flash_cnt[983][3]~q\,
	datad => \led_flash_cnt[983][2]~q\,
	combout => \WideAnd983~0_combout\);

-- Location: LCCOMB_X61_Y16_N24
WideAnd983 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd983~combout\ = (\led_flash_cnt[983][0]~q\ & (\led_flash_cnt[983][7]~q\ & (\WideAnd983~1_combout\ & \WideAnd983~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[983][0]~q\,
	datab => \led_flash_cnt[983][7]~q\,
	datac => \WideAnd983~1_combout\,
	datad => \WideAnd983~0_combout\,
	combout => \WideAnd983~combout\);

-- Location: FF_X61_Y16_N25
\led_flash_cnt_ands[983]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd983~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(983));

-- Location: LCCOMB_X61_Y12_N6
WideAnd3962 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3962~combout\ = (\WideAnd3962~0_combout\ & (led_flash_cnt_ands(982) & (\WideAnd3962~1_combout\ & led_flash_cnt_ands(983))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3962~0_combout\,
	datab => led_flash_cnt_ands(982),
	datac => \WideAnd3962~1_combout\,
	datad => led_flash_cnt_ands(983),
	combout => \WideAnd3962~combout\);

-- Location: FF_X61_Y12_N7
\led_flash_cnt_ands_1[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3962~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(122));

-- Location: LCCOMB_X3_Y25_N22
\led_flash_cnt[969][0]~81609\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[969][0]~81609_combout\ = !\led_flash_cnt[969][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[969][0]~q\,
	combout => \led_flash_cnt[969][0]~81609_combout\);

-- Location: FF_X3_Y25_N23
\led_flash_cnt[969][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[969][0]~81609_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[969][0]~q\);

-- Location: LCCOMB_X3_Y25_N2
\led_flash_cnt[969][1]~40446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[969][1]~40446_combout\ = (\led_flash_cnt[969][0]~q\ & (\led_flash_cnt[969][1]~q\ $ (VCC))) # (!\led_flash_cnt[969][0]~q\ & (\led_flash_cnt[969][1]~q\ & VCC))
-- \led_flash_cnt[969][1]~40447\ = CARRY((\led_flash_cnt[969][0]~q\ & \led_flash_cnt[969][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[969][0]~q\,
	datab => \led_flash_cnt[969][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[969][1]~40446_combout\,
	cout => \led_flash_cnt[969][1]~40447\);

-- Location: FF_X3_Y25_N3
\led_flash_cnt[969][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[969][1]~40446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[969][1]~q\);

-- Location: LCCOMB_X3_Y25_N4
\led_flash_cnt[969][2]~40448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[969][2]~40448_combout\ = (\led_flash_cnt[969][2]~q\ & (!\led_flash_cnt[969][1]~40447\)) # (!\led_flash_cnt[969][2]~q\ & ((\led_flash_cnt[969][1]~40447\) # (GND)))
-- \led_flash_cnt[969][2]~40449\ = CARRY((!\led_flash_cnt[969][1]~40447\) # (!\led_flash_cnt[969][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[969][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[969][1]~40447\,
	combout => \led_flash_cnt[969][2]~40448_combout\,
	cout => \led_flash_cnt[969][2]~40449\);

-- Location: FF_X3_Y25_N5
\led_flash_cnt[969][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[969][2]~40448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[969][2]~q\);

-- Location: LCCOMB_X3_Y25_N6
\led_flash_cnt[969][3]~40450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[969][3]~40450_combout\ = (\led_flash_cnt[969][3]~q\ & (\led_flash_cnt[969][2]~40449\ $ (GND))) # (!\led_flash_cnt[969][3]~q\ & (!\led_flash_cnt[969][2]~40449\ & VCC))
-- \led_flash_cnt[969][3]~40451\ = CARRY((\led_flash_cnt[969][3]~q\ & !\led_flash_cnt[969][2]~40449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[969][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[969][2]~40449\,
	combout => \led_flash_cnt[969][3]~40450_combout\,
	cout => \led_flash_cnt[969][3]~40451\);

-- Location: FF_X3_Y25_N7
\led_flash_cnt[969][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[969][3]~40450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[969][3]~q\);

-- Location: LCCOMB_X3_Y25_N8
\led_flash_cnt[969][4]~40452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[969][4]~40452_combout\ = (\led_flash_cnt[969][4]~q\ & (!\led_flash_cnt[969][3]~40451\)) # (!\led_flash_cnt[969][4]~q\ & ((\led_flash_cnt[969][3]~40451\) # (GND)))
-- \led_flash_cnt[969][4]~40453\ = CARRY((!\led_flash_cnt[969][3]~40451\) # (!\led_flash_cnt[969][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[969][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[969][3]~40451\,
	combout => \led_flash_cnt[969][4]~40452_combout\,
	cout => \led_flash_cnt[969][4]~40453\);

-- Location: FF_X3_Y25_N9
\led_flash_cnt[969][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[969][4]~40452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[969][4]~q\);

-- Location: LCCOMB_X3_Y25_N24
\WideAnd969~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd969~0_combout\ = (\led_flash_cnt[969][3]~q\ & (\led_flash_cnt[969][4]~q\ & (\led_flash_cnt[969][2]~q\ & \led_flash_cnt[969][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[969][3]~q\,
	datab => \led_flash_cnt[969][4]~q\,
	datac => \led_flash_cnt[969][2]~q\,
	datad => \led_flash_cnt[969][1]~q\,
	combout => \WideAnd969~0_combout\);

-- Location: LCCOMB_X3_Y25_N10
\led_flash_cnt[969][5]~40454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[969][5]~40454_combout\ = (\led_flash_cnt[969][5]~q\ & (\led_flash_cnt[969][4]~40453\ $ (GND))) # (!\led_flash_cnt[969][5]~q\ & (!\led_flash_cnt[969][4]~40453\ & VCC))
-- \led_flash_cnt[969][5]~40455\ = CARRY((\led_flash_cnt[969][5]~q\ & !\led_flash_cnt[969][4]~40453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[969][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[969][4]~40453\,
	combout => \led_flash_cnt[969][5]~40454_combout\,
	cout => \led_flash_cnt[969][5]~40455\);

-- Location: FF_X3_Y25_N11
\led_flash_cnt[969][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[969][5]~40454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[969][5]~q\);

-- Location: LCCOMB_X3_Y25_N12
\led_flash_cnt[969][6]~40456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[969][6]~40456_combout\ = (\led_flash_cnt[969][6]~q\ & (!\led_flash_cnt[969][5]~40455\)) # (!\led_flash_cnt[969][6]~q\ & ((\led_flash_cnt[969][5]~40455\) # (GND)))
-- \led_flash_cnt[969][6]~40457\ = CARRY((!\led_flash_cnt[969][5]~40455\) # (!\led_flash_cnt[969][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[969][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[969][5]~40455\,
	combout => \led_flash_cnt[969][6]~40456_combout\,
	cout => \led_flash_cnt[969][6]~40457\);

-- Location: FF_X3_Y25_N13
\led_flash_cnt[969][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[969][6]~40456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[969][6]~q\);

-- Location: LCCOMB_X3_Y25_N14
\led_flash_cnt[969][7]~40458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[969][7]~40458_combout\ = \led_flash_cnt[969][7]~q\ $ (!\led_flash_cnt[969][6]~40457\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[969][7]~q\,
	cin => \led_flash_cnt[969][6]~40457\,
	combout => \led_flash_cnt[969][7]~40458_combout\);

-- Location: FF_X3_Y25_N15
\led_flash_cnt[969][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[969][7]~40458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[969][7]~q\);

-- Location: LCCOMB_X3_Y25_N18
\WideAnd969~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd969~1_combout\ = (\led_flash_cnt[969][5]~q\ & \led_flash_cnt[969][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[969][5]~q\,
	datad => \led_flash_cnt[969][6]~q\,
	combout => \WideAnd969~1_combout\);

-- Location: LCCOMB_X3_Y25_N26
WideAnd969 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd969~combout\ = (\led_flash_cnt[969][0]~q\ & (\WideAnd969~0_combout\ & (\led_flash_cnt[969][7]~q\ & \WideAnd969~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[969][0]~q\,
	datab => \WideAnd969~0_combout\,
	datac => \led_flash_cnt[969][7]~q\,
	datad => \WideAnd969~1_combout\,
	combout => \WideAnd969~combout\);

-- Location: FF_X3_Y25_N27
\led_flash_cnt_ands[969]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd969~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(969));

-- Location: LCCOMB_X4_Y25_N22
\led_flash_cnt[971][0]~81611\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[971][0]~81611_combout\ = !\led_flash_cnt[971][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[971][0]~q\,
	combout => \led_flash_cnt[971][0]~81611_combout\);

-- Location: FF_X4_Y25_N23
\led_flash_cnt[971][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[971][0]~81611_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[971][0]~q\);

-- Location: LCCOMB_X4_Y25_N8
\led_flash_cnt[971][1]~40474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[971][1]~40474_combout\ = (\led_flash_cnt[971][0]~q\ & (\led_flash_cnt[971][1]~q\ $ (VCC))) # (!\led_flash_cnt[971][0]~q\ & (\led_flash_cnt[971][1]~q\ & VCC))
-- \led_flash_cnt[971][1]~40475\ = CARRY((\led_flash_cnt[971][0]~q\ & \led_flash_cnt[971][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[971][0]~q\,
	datab => \led_flash_cnt[971][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[971][1]~40474_combout\,
	cout => \led_flash_cnt[971][1]~40475\);

-- Location: FF_X4_Y25_N9
\led_flash_cnt[971][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[971][1]~40474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[971][1]~q\);

-- Location: LCCOMB_X4_Y25_N10
\led_flash_cnt[971][2]~40476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[971][2]~40476_combout\ = (\led_flash_cnt[971][2]~q\ & (!\led_flash_cnt[971][1]~40475\)) # (!\led_flash_cnt[971][2]~q\ & ((\led_flash_cnt[971][1]~40475\) # (GND)))
-- \led_flash_cnt[971][2]~40477\ = CARRY((!\led_flash_cnt[971][1]~40475\) # (!\led_flash_cnt[971][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[971][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[971][1]~40475\,
	combout => \led_flash_cnt[971][2]~40476_combout\,
	cout => \led_flash_cnt[971][2]~40477\);

-- Location: FF_X4_Y25_N11
\led_flash_cnt[971][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[971][2]~40476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[971][2]~q\);

-- Location: LCCOMB_X4_Y25_N12
\led_flash_cnt[971][3]~40478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[971][3]~40478_combout\ = (\led_flash_cnt[971][3]~q\ & (\led_flash_cnt[971][2]~40477\ $ (GND))) # (!\led_flash_cnt[971][3]~q\ & (!\led_flash_cnt[971][2]~40477\ & VCC))
-- \led_flash_cnt[971][3]~40479\ = CARRY((\led_flash_cnt[971][3]~q\ & !\led_flash_cnt[971][2]~40477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[971][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[971][2]~40477\,
	combout => \led_flash_cnt[971][3]~40478_combout\,
	cout => \led_flash_cnt[971][3]~40479\);

-- Location: FF_X4_Y25_N13
\led_flash_cnt[971][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[971][3]~40478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[971][3]~q\);

-- Location: LCCOMB_X4_Y25_N14
\led_flash_cnt[971][4]~40480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[971][4]~40480_combout\ = (\led_flash_cnt[971][4]~q\ & (!\led_flash_cnt[971][3]~40479\)) # (!\led_flash_cnt[971][4]~q\ & ((\led_flash_cnt[971][3]~40479\) # (GND)))
-- \led_flash_cnt[971][4]~40481\ = CARRY((!\led_flash_cnt[971][3]~40479\) # (!\led_flash_cnt[971][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[971][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[971][3]~40479\,
	combout => \led_flash_cnt[971][4]~40480_combout\,
	cout => \led_flash_cnt[971][4]~40481\);

-- Location: FF_X4_Y25_N15
\led_flash_cnt[971][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[971][4]~40480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[971][4]~q\);

-- Location: LCCOMB_X4_Y25_N16
\led_flash_cnt[971][5]~40482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[971][5]~40482_combout\ = (\led_flash_cnt[971][5]~q\ & (\led_flash_cnt[971][4]~40481\ $ (GND))) # (!\led_flash_cnt[971][5]~q\ & (!\led_flash_cnt[971][4]~40481\ & VCC))
-- \led_flash_cnt[971][5]~40483\ = CARRY((\led_flash_cnt[971][5]~q\ & !\led_flash_cnt[971][4]~40481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[971][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[971][4]~40481\,
	combout => \led_flash_cnt[971][5]~40482_combout\,
	cout => \led_flash_cnt[971][5]~40483\);

-- Location: FF_X4_Y25_N17
\led_flash_cnt[971][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[971][5]~40482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[971][5]~q\);

-- Location: LCCOMB_X4_Y25_N18
\led_flash_cnt[971][6]~40484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[971][6]~40484_combout\ = (\led_flash_cnt[971][6]~q\ & (!\led_flash_cnt[971][5]~40483\)) # (!\led_flash_cnt[971][6]~q\ & ((\led_flash_cnt[971][5]~40483\) # (GND)))
-- \led_flash_cnt[971][6]~40485\ = CARRY((!\led_flash_cnt[971][5]~40483\) # (!\led_flash_cnt[971][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[971][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[971][5]~40483\,
	combout => \led_flash_cnt[971][6]~40484_combout\,
	cout => \led_flash_cnt[971][6]~40485\);

-- Location: FF_X4_Y25_N19
\led_flash_cnt[971][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[971][6]~40484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[971][6]~q\);

-- Location: LCCOMB_X4_Y25_N20
\led_flash_cnt[971][7]~40486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[971][7]~40486_combout\ = \led_flash_cnt[971][6]~40485\ $ (!\led_flash_cnt[971][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[971][7]~q\,
	cin => \led_flash_cnt[971][6]~40485\,
	combout => \led_flash_cnt[971][7]~40486_combout\);

-- Location: FF_X4_Y25_N21
\led_flash_cnt[971][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[971][7]~40486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[971][7]~q\);

-- Location: LCCOMB_X4_Y25_N4
\WideAnd971~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd971~1_combout\ = (\led_flash_cnt[971][5]~q\ & \led_flash_cnt[971][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[971][5]~q\,
	datad => \led_flash_cnt[971][6]~q\,
	combout => \WideAnd971~1_combout\);

-- Location: LCCOMB_X4_Y25_N28
\WideAnd971~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd971~0_combout\ = (\led_flash_cnt[971][3]~q\ & (\led_flash_cnt[971][1]~q\ & (\led_flash_cnt[971][4]~q\ & \led_flash_cnt[971][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[971][3]~q\,
	datab => \led_flash_cnt[971][1]~q\,
	datac => \led_flash_cnt[971][4]~q\,
	datad => \led_flash_cnt[971][2]~q\,
	combout => \WideAnd971~0_combout\);

-- Location: LCCOMB_X4_Y25_N24
WideAnd971 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd971~combout\ = (\led_flash_cnt[971][0]~q\ & (\led_flash_cnt[971][7]~q\ & (\WideAnd971~1_combout\ & \WideAnd971~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[971][0]~q\,
	datab => \led_flash_cnt[971][7]~q\,
	datac => \WideAnd971~1_combout\,
	datad => \WideAnd971~0_combout\,
	combout => \WideAnd971~combout\);

-- Location: FF_X4_Y25_N25
\led_flash_cnt_ands[971]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd971~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(971));

-- Location: LCCOMB_X4_Y27_N22
\led_flash_cnt[970][0]~81610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[970][0]~81610_combout\ = !\led_flash_cnt[970][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[970][0]~q\,
	combout => \led_flash_cnt[970][0]~81610_combout\);

-- Location: FF_X4_Y27_N23
\led_flash_cnt[970][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[970][0]~81610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[970][0]~q\);

-- Location: LCCOMB_X4_Y27_N0
\led_flash_cnt[970][1]~40460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[970][1]~40460_combout\ = (\led_flash_cnt[970][0]~q\ & (\led_flash_cnt[970][1]~q\ $ (VCC))) # (!\led_flash_cnt[970][0]~q\ & (\led_flash_cnt[970][1]~q\ & VCC))
-- \led_flash_cnt[970][1]~40461\ = CARRY((\led_flash_cnt[970][0]~q\ & \led_flash_cnt[970][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[970][0]~q\,
	datab => \led_flash_cnt[970][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[970][1]~40460_combout\,
	cout => \led_flash_cnt[970][1]~40461\);

-- Location: FF_X4_Y27_N1
\led_flash_cnt[970][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[970][1]~40460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[970][1]~q\);

-- Location: LCCOMB_X4_Y27_N2
\led_flash_cnt[970][2]~40462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[970][2]~40462_combout\ = (\led_flash_cnt[970][2]~q\ & (!\led_flash_cnt[970][1]~40461\)) # (!\led_flash_cnt[970][2]~q\ & ((\led_flash_cnt[970][1]~40461\) # (GND)))
-- \led_flash_cnt[970][2]~40463\ = CARRY((!\led_flash_cnt[970][1]~40461\) # (!\led_flash_cnt[970][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[970][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[970][1]~40461\,
	combout => \led_flash_cnt[970][2]~40462_combout\,
	cout => \led_flash_cnt[970][2]~40463\);

-- Location: FF_X4_Y27_N3
\led_flash_cnt[970][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[970][2]~40462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[970][2]~q\);

-- Location: LCCOMB_X4_Y27_N4
\led_flash_cnt[970][3]~40464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[970][3]~40464_combout\ = (\led_flash_cnt[970][3]~q\ & (\led_flash_cnt[970][2]~40463\ $ (GND))) # (!\led_flash_cnt[970][3]~q\ & (!\led_flash_cnt[970][2]~40463\ & VCC))
-- \led_flash_cnt[970][3]~40465\ = CARRY((\led_flash_cnt[970][3]~q\ & !\led_flash_cnt[970][2]~40463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[970][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[970][2]~40463\,
	combout => \led_flash_cnt[970][3]~40464_combout\,
	cout => \led_flash_cnt[970][3]~40465\);

-- Location: FF_X4_Y27_N5
\led_flash_cnt[970][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[970][3]~40464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[970][3]~q\);

-- Location: LCCOMB_X4_Y27_N6
\led_flash_cnt[970][4]~40466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[970][4]~40466_combout\ = (\led_flash_cnt[970][4]~q\ & (!\led_flash_cnt[970][3]~40465\)) # (!\led_flash_cnt[970][4]~q\ & ((\led_flash_cnt[970][3]~40465\) # (GND)))
-- \led_flash_cnt[970][4]~40467\ = CARRY((!\led_flash_cnt[970][3]~40465\) # (!\led_flash_cnt[970][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[970][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[970][3]~40465\,
	combout => \led_flash_cnt[970][4]~40466_combout\,
	cout => \led_flash_cnt[970][4]~40467\);

-- Location: FF_X4_Y27_N7
\led_flash_cnt[970][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[970][4]~40466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[970][4]~q\);

-- Location: LCCOMB_X4_Y27_N8
\led_flash_cnt[970][5]~40468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[970][5]~40468_combout\ = (\led_flash_cnt[970][5]~q\ & (\led_flash_cnt[970][4]~40467\ $ (GND))) # (!\led_flash_cnt[970][5]~q\ & (!\led_flash_cnt[970][4]~40467\ & VCC))
-- \led_flash_cnt[970][5]~40469\ = CARRY((\led_flash_cnt[970][5]~q\ & !\led_flash_cnt[970][4]~40467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[970][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[970][4]~40467\,
	combout => \led_flash_cnt[970][5]~40468_combout\,
	cout => \led_flash_cnt[970][5]~40469\);

-- Location: FF_X4_Y27_N9
\led_flash_cnt[970][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[970][5]~40468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[970][5]~q\);

-- Location: LCCOMB_X4_Y27_N10
\led_flash_cnt[970][6]~40470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[970][6]~40470_combout\ = (\led_flash_cnt[970][6]~q\ & (!\led_flash_cnt[970][5]~40469\)) # (!\led_flash_cnt[970][6]~q\ & ((\led_flash_cnt[970][5]~40469\) # (GND)))
-- \led_flash_cnt[970][6]~40471\ = CARRY((!\led_flash_cnt[970][5]~40469\) # (!\led_flash_cnt[970][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[970][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[970][5]~40469\,
	combout => \led_flash_cnt[970][6]~40470_combout\,
	cout => \led_flash_cnt[970][6]~40471\);

-- Location: FF_X4_Y27_N11
\led_flash_cnt[970][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[970][6]~40470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[970][6]~q\);

-- Location: LCCOMB_X4_Y27_N12
\led_flash_cnt[970][7]~40472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[970][7]~40472_combout\ = \led_flash_cnt[970][6]~40471\ $ (!\led_flash_cnt[970][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[970][7]~q\,
	cin => \led_flash_cnt[970][6]~40471\,
	combout => \led_flash_cnt[970][7]~40472_combout\);

-- Location: FF_X4_Y27_N13
\led_flash_cnt[970][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[970][7]~40472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[970][7]~q\);

-- Location: LCCOMB_X4_Y27_N24
\WideAnd970~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd970~0_combout\ = (\led_flash_cnt[970][4]~q\ & (\led_flash_cnt[970][2]~q\ & (\led_flash_cnt[970][3]~q\ & \led_flash_cnt[970][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[970][4]~q\,
	datab => \led_flash_cnt[970][2]~q\,
	datac => \led_flash_cnt[970][3]~q\,
	datad => \led_flash_cnt[970][1]~q\,
	combout => \WideAnd970~0_combout\);

-- Location: LCCOMB_X4_Y27_N16
\WideAnd970~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd970~1_combout\ = (\led_flash_cnt[970][5]~q\ & \led_flash_cnt[970][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[970][5]~q\,
	datad => \led_flash_cnt[970][6]~q\,
	combout => \WideAnd970~1_combout\);

-- Location: LCCOMB_X4_Y27_N26
WideAnd970 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd970~combout\ = (\led_flash_cnt[970][7]~q\ & (\WideAnd970~0_combout\ & (\led_flash_cnt[970][0]~q\ & \WideAnd970~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[970][7]~q\,
	datab => \WideAnd970~0_combout\,
	datac => \led_flash_cnt[970][0]~q\,
	datad => \WideAnd970~1_combout\,
	combout => \WideAnd970~combout\);

-- Location: FF_X4_Y27_N27
\led_flash_cnt_ands[970]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd970~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(970));

-- Location: LCCOMB_X4_Y32_N4
\led_flash_cnt[968][0]~81608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[968][0]~81608_combout\ = !\led_flash_cnt[968][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[968][0]~q\,
	combout => \led_flash_cnt[968][0]~81608_combout\);

-- Location: FF_X4_Y32_N5
\led_flash_cnt[968][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[968][0]~81608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[968][0]~q\);

-- Location: LCCOMB_X4_Y32_N6
\led_flash_cnt[968][1]~40432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[968][1]~40432_combout\ = (\led_flash_cnt[968][1]~q\ & (\led_flash_cnt[968][0]~q\ $ (VCC))) # (!\led_flash_cnt[968][1]~q\ & (\led_flash_cnt[968][0]~q\ & VCC))
-- \led_flash_cnt[968][1]~40433\ = CARRY((\led_flash_cnt[968][1]~q\ & \led_flash_cnt[968][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[968][1]~q\,
	datab => \led_flash_cnt[968][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[968][1]~40432_combout\,
	cout => \led_flash_cnt[968][1]~40433\);

-- Location: FF_X4_Y32_N7
\led_flash_cnt[968][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[968][1]~40432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[968][1]~q\);

-- Location: LCCOMB_X4_Y32_N8
\led_flash_cnt[968][2]~40434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[968][2]~40434_combout\ = (\led_flash_cnt[968][2]~q\ & (!\led_flash_cnt[968][1]~40433\)) # (!\led_flash_cnt[968][2]~q\ & ((\led_flash_cnt[968][1]~40433\) # (GND)))
-- \led_flash_cnt[968][2]~40435\ = CARRY((!\led_flash_cnt[968][1]~40433\) # (!\led_flash_cnt[968][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[968][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[968][1]~40433\,
	combout => \led_flash_cnt[968][2]~40434_combout\,
	cout => \led_flash_cnt[968][2]~40435\);

-- Location: FF_X4_Y32_N9
\led_flash_cnt[968][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[968][2]~40434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[968][2]~q\);

-- Location: LCCOMB_X4_Y32_N10
\led_flash_cnt[968][3]~40436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[968][3]~40436_combout\ = (\led_flash_cnt[968][3]~q\ & (\led_flash_cnt[968][2]~40435\ $ (GND))) # (!\led_flash_cnt[968][3]~q\ & (!\led_flash_cnt[968][2]~40435\ & VCC))
-- \led_flash_cnt[968][3]~40437\ = CARRY((\led_flash_cnt[968][3]~q\ & !\led_flash_cnt[968][2]~40435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[968][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[968][2]~40435\,
	combout => \led_flash_cnt[968][3]~40436_combout\,
	cout => \led_flash_cnt[968][3]~40437\);

-- Location: FF_X4_Y32_N11
\led_flash_cnt[968][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[968][3]~40436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[968][3]~q\);

-- Location: LCCOMB_X4_Y32_N12
\led_flash_cnt[968][4]~40438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[968][4]~40438_combout\ = (\led_flash_cnt[968][4]~q\ & (!\led_flash_cnt[968][3]~40437\)) # (!\led_flash_cnt[968][4]~q\ & ((\led_flash_cnt[968][3]~40437\) # (GND)))
-- \led_flash_cnt[968][4]~40439\ = CARRY((!\led_flash_cnt[968][3]~40437\) # (!\led_flash_cnt[968][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[968][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[968][3]~40437\,
	combout => \led_flash_cnt[968][4]~40438_combout\,
	cout => \led_flash_cnt[968][4]~40439\);

-- Location: FF_X4_Y32_N13
\led_flash_cnt[968][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[968][4]~40438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[968][4]~q\);

-- Location: LCCOMB_X4_Y32_N22
\WideAnd968~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd968~0_combout\ = (\led_flash_cnt[968][3]~q\ & (\led_flash_cnt[968][4]~q\ & (\led_flash_cnt[968][2]~q\ & \led_flash_cnt[968][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[968][3]~q\,
	datab => \led_flash_cnt[968][4]~q\,
	datac => \led_flash_cnt[968][2]~q\,
	datad => \led_flash_cnt[968][1]~q\,
	combout => \WideAnd968~0_combout\);

-- Location: LCCOMB_X4_Y32_N14
\led_flash_cnt[968][5]~40440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[968][5]~40440_combout\ = (\led_flash_cnt[968][5]~q\ & (\led_flash_cnt[968][4]~40439\ $ (GND))) # (!\led_flash_cnt[968][5]~q\ & (!\led_flash_cnt[968][4]~40439\ & VCC))
-- \led_flash_cnt[968][5]~40441\ = CARRY((\led_flash_cnt[968][5]~q\ & !\led_flash_cnt[968][4]~40439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[968][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[968][4]~40439\,
	combout => \led_flash_cnt[968][5]~40440_combout\,
	cout => \led_flash_cnt[968][5]~40441\);

-- Location: FF_X4_Y32_N15
\led_flash_cnt[968][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[968][5]~40440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[968][5]~q\);

-- Location: LCCOMB_X4_Y32_N16
\led_flash_cnt[968][6]~40442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[968][6]~40442_combout\ = (\led_flash_cnt[968][6]~q\ & (!\led_flash_cnt[968][5]~40441\)) # (!\led_flash_cnt[968][6]~q\ & ((\led_flash_cnt[968][5]~40441\) # (GND)))
-- \led_flash_cnt[968][6]~40443\ = CARRY((!\led_flash_cnt[968][5]~40441\) # (!\led_flash_cnt[968][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[968][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[968][5]~40441\,
	combout => \led_flash_cnt[968][6]~40442_combout\,
	cout => \led_flash_cnt[968][6]~40443\);

-- Location: FF_X4_Y32_N17
\led_flash_cnt[968][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[968][6]~40442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[968][6]~q\);

-- Location: LCCOMB_X4_Y32_N24
\WideAnd968~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd968~1_combout\ = (\led_flash_cnt[968][5]~q\ & \led_flash_cnt[968][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[968][5]~q\,
	datad => \led_flash_cnt[968][6]~q\,
	combout => \WideAnd968~1_combout\);

-- Location: LCCOMB_X4_Y32_N18
\led_flash_cnt[968][7]~40444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[968][7]~40444_combout\ = \led_flash_cnt[968][6]~40443\ $ (!\led_flash_cnt[968][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[968][7]~q\,
	cin => \led_flash_cnt[968][6]~40443\,
	combout => \led_flash_cnt[968][7]~40444_combout\);

-- Location: FF_X4_Y32_N19
\led_flash_cnt[968][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[968][7]~40444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[968][7]~q\);

-- Location: LCCOMB_X4_Y32_N26
WideAnd968 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd968~combout\ = (\WideAnd968~0_combout\ & (\WideAnd968~1_combout\ & (\led_flash_cnt[968][0]~q\ & \led_flash_cnt[968][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd968~0_combout\,
	datab => \WideAnd968~1_combout\,
	datac => \led_flash_cnt[968][0]~q\,
	datad => \led_flash_cnt[968][7]~q\,
	combout => \WideAnd968~combout\);

-- Location: FF_X4_Y32_N27
\led_flash_cnt_ands[968]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd968~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(968));

-- Location: LCCOMB_X4_Y25_N26
\WideAnd3961~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3961~0_combout\ = (led_flash_cnt_ands(969) & (led_flash_cnt_ands(971) & (led_flash_cnt_ands(970) & led_flash_cnt_ands(968))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(969),
	datab => led_flash_cnt_ands(971),
	datac => led_flash_cnt_ands(970),
	datad => led_flash_cnt_ands(968),
	combout => \WideAnd3961~0_combout\);

-- Location: LCCOMB_X6_Y26_N28
\led_flash_cnt[972][0]~81612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[972][0]~81612_combout\ = !\led_flash_cnt[972][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[972][0]~q\,
	combout => \led_flash_cnt[972][0]~81612_combout\);

-- Location: FF_X6_Y26_N29
\led_flash_cnt[972][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[972][0]~81612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[972][0]~q\);

-- Location: LCCOMB_X4_Y26_N10
\led_flash_cnt[972][1]~40488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[972][1]~40488_combout\ = (\led_flash_cnt[972][1]~q\ & (\led_flash_cnt[972][0]~q\ $ (VCC))) # (!\led_flash_cnt[972][1]~q\ & (\led_flash_cnt[972][0]~q\ & VCC))
-- \led_flash_cnt[972][1]~40489\ = CARRY((\led_flash_cnt[972][1]~q\ & \led_flash_cnt[972][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[972][1]~q\,
	datab => \led_flash_cnt[972][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[972][1]~40488_combout\,
	cout => \led_flash_cnt[972][1]~40489\);

-- Location: FF_X4_Y26_N11
\led_flash_cnt[972][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[972][1]~40488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[972][1]~q\);

-- Location: LCCOMB_X4_Y26_N12
\led_flash_cnt[972][2]~40490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[972][2]~40490_combout\ = (\led_flash_cnt[972][2]~q\ & (!\led_flash_cnt[972][1]~40489\)) # (!\led_flash_cnt[972][2]~q\ & ((\led_flash_cnt[972][1]~40489\) # (GND)))
-- \led_flash_cnt[972][2]~40491\ = CARRY((!\led_flash_cnt[972][1]~40489\) # (!\led_flash_cnt[972][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[972][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[972][1]~40489\,
	combout => \led_flash_cnt[972][2]~40490_combout\,
	cout => \led_flash_cnt[972][2]~40491\);

-- Location: FF_X4_Y26_N13
\led_flash_cnt[972][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[972][2]~40490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[972][2]~q\);

-- Location: LCCOMB_X4_Y26_N14
\led_flash_cnt[972][3]~40492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[972][3]~40492_combout\ = (\led_flash_cnt[972][3]~q\ & (\led_flash_cnt[972][2]~40491\ $ (GND))) # (!\led_flash_cnt[972][3]~q\ & (!\led_flash_cnt[972][2]~40491\ & VCC))
-- \led_flash_cnt[972][3]~40493\ = CARRY((\led_flash_cnt[972][3]~q\ & !\led_flash_cnt[972][2]~40491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[972][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[972][2]~40491\,
	combout => \led_flash_cnt[972][3]~40492_combout\,
	cout => \led_flash_cnt[972][3]~40493\);

-- Location: FF_X4_Y26_N15
\led_flash_cnt[972][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[972][3]~40492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[972][3]~q\);

-- Location: LCCOMB_X4_Y26_N16
\led_flash_cnt[972][4]~40494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[972][4]~40494_combout\ = (\led_flash_cnt[972][4]~q\ & (!\led_flash_cnt[972][3]~40493\)) # (!\led_flash_cnt[972][4]~q\ & ((\led_flash_cnt[972][3]~40493\) # (GND)))
-- \led_flash_cnt[972][4]~40495\ = CARRY((!\led_flash_cnt[972][3]~40493\) # (!\led_flash_cnt[972][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[972][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[972][3]~40493\,
	combout => \led_flash_cnt[972][4]~40494_combout\,
	cout => \led_flash_cnt[972][4]~40495\);

-- Location: FF_X4_Y26_N17
\led_flash_cnt[972][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[972][4]~40494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[972][4]~q\);

-- Location: LCCOMB_X4_Y26_N18
\led_flash_cnt[972][5]~40496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[972][5]~40496_combout\ = (\led_flash_cnt[972][5]~q\ & (\led_flash_cnt[972][4]~40495\ $ (GND))) # (!\led_flash_cnt[972][5]~q\ & (!\led_flash_cnt[972][4]~40495\ & VCC))
-- \led_flash_cnt[972][5]~40497\ = CARRY((\led_flash_cnt[972][5]~q\ & !\led_flash_cnt[972][4]~40495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[972][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[972][4]~40495\,
	combout => \led_flash_cnt[972][5]~40496_combout\,
	cout => \led_flash_cnt[972][5]~40497\);

-- Location: FF_X4_Y26_N19
\led_flash_cnt[972][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[972][5]~40496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[972][5]~q\);

-- Location: LCCOMB_X4_Y26_N20
\led_flash_cnt[972][6]~40498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[972][6]~40498_combout\ = (\led_flash_cnt[972][6]~q\ & (!\led_flash_cnt[972][5]~40497\)) # (!\led_flash_cnt[972][6]~q\ & ((\led_flash_cnt[972][5]~40497\) # (GND)))
-- \led_flash_cnt[972][6]~40499\ = CARRY((!\led_flash_cnt[972][5]~40497\) # (!\led_flash_cnt[972][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[972][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[972][5]~40497\,
	combout => \led_flash_cnt[972][6]~40498_combout\,
	cout => \led_flash_cnt[972][6]~40499\);

-- Location: FF_X4_Y26_N21
\led_flash_cnt[972][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[972][6]~40498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[972][6]~q\);

-- Location: LCCOMB_X4_Y26_N26
\WideAnd972~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd972~1_combout\ = (\led_flash_cnt[972][5]~q\ & \led_flash_cnt[972][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[972][5]~q\,
	datad => \led_flash_cnt[972][6]~q\,
	combout => \WideAnd972~1_combout\);

-- Location: LCCOMB_X4_Y26_N24
\WideAnd972~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd972~0_combout\ = (\led_flash_cnt[972][2]~q\ & (\led_flash_cnt[972][4]~q\ & (\led_flash_cnt[972][3]~q\ & \led_flash_cnt[972][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[972][2]~q\,
	datab => \led_flash_cnt[972][4]~q\,
	datac => \led_flash_cnt[972][3]~q\,
	datad => \led_flash_cnt[972][1]~q\,
	combout => \WideAnd972~0_combout\);

-- Location: LCCOMB_X4_Y26_N22
\led_flash_cnt[972][7]~40500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[972][7]~40500_combout\ = \led_flash_cnt[972][7]~q\ $ (!\led_flash_cnt[972][6]~40499\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[972][7]~q\,
	cin => \led_flash_cnt[972][6]~40499\,
	combout => \led_flash_cnt[972][7]~40500_combout\);

-- Location: FF_X4_Y26_N23
\led_flash_cnt[972][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[972][7]~40500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[972][7]~q\);

-- Location: LCCOMB_X4_Y26_N4
WideAnd972 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd972~combout\ = (\WideAnd972~1_combout\ & (\WideAnd972~0_combout\ & (\led_flash_cnt[972][7]~q\ & \led_flash_cnt[972][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd972~1_combout\,
	datab => \WideAnd972~0_combout\,
	datac => \led_flash_cnt[972][7]~q\,
	datad => \led_flash_cnt[972][0]~q\,
	combout => \WideAnd972~combout\);

-- Location: FF_X4_Y26_N5
\led_flash_cnt_ands[972]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd972~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(972));

-- Location: LCCOMB_X4_Y26_N2
\led_flash_cnt[973][0]~81613\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[973][0]~81613_combout\ = !\led_flash_cnt[973][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[973][0]~q\,
	combout => \led_flash_cnt[973][0]~81613_combout\);

-- Location: FF_X4_Y26_N3
\led_flash_cnt[973][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[973][0]~81613_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[973][0]~q\);

-- Location: LCCOMB_X3_Y26_N18
\led_flash_cnt[973][1]~40502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[973][1]~40502_combout\ = (\led_flash_cnt[973][0]~q\ & (\led_flash_cnt[973][1]~q\ $ (VCC))) # (!\led_flash_cnt[973][0]~q\ & (\led_flash_cnt[973][1]~q\ & VCC))
-- \led_flash_cnt[973][1]~40503\ = CARRY((\led_flash_cnt[973][0]~q\ & \led_flash_cnt[973][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[973][0]~q\,
	datab => \led_flash_cnt[973][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[973][1]~40502_combout\,
	cout => \led_flash_cnt[973][1]~40503\);

-- Location: FF_X3_Y26_N19
\led_flash_cnt[973][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[973][1]~40502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[973][1]~q\);

-- Location: LCCOMB_X3_Y26_N20
\led_flash_cnt[973][2]~40504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[973][2]~40504_combout\ = (\led_flash_cnt[973][2]~q\ & (!\led_flash_cnt[973][1]~40503\)) # (!\led_flash_cnt[973][2]~q\ & ((\led_flash_cnt[973][1]~40503\) # (GND)))
-- \led_flash_cnt[973][2]~40505\ = CARRY((!\led_flash_cnt[973][1]~40503\) # (!\led_flash_cnt[973][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[973][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[973][1]~40503\,
	combout => \led_flash_cnt[973][2]~40504_combout\,
	cout => \led_flash_cnt[973][2]~40505\);

-- Location: FF_X3_Y26_N21
\led_flash_cnt[973][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[973][2]~40504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[973][2]~q\);

-- Location: LCCOMB_X3_Y26_N22
\led_flash_cnt[973][3]~40506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[973][3]~40506_combout\ = (\led_flash_cnt[973][3]~q\ & (\led_flash_cnt[973][2]~40505\ $ (GND))) # (!\led_flash_cnt[973][3]~q\ & (!\led_flash_cnt[973][2]~40505\ & VCC))
-- \led_flash_cnt[973][3]~40507\ = CARRY((\led_flash_cnt[973][3]~q\ & !\led_flash_cnt[973][2]~40505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[973][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[973][2]~40505\,
	combout => \led_flash_cnt[973][3]~40506_combout\,
	cout => \led_flash_cnt[973][3]~40507\);

-- Location: FF_X3_Y26_N23
\led_flash_cnt[973][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[973][3]~40506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[973][3]~q\);

-- Location: LCCOMB_X3_Y26_N24
\led_flash_cnt[973][4]~40508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[973][4]~40508_combout\ = (\led_flash_cnt[973][4]~q\ & (!\led_flash_cnt[973][3]~40507\)) # (!\led_flash_cnt[973][4]~q\ & ((\led_flash_cnt[973][3]~40507\) # (GND)))
-- \led_flash_cnt[973][4]~40509\ = CARRY((!\led_flash_cnt[973][3]~40507\) # (!\led_flash_cnt[973][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[973][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[973][3]~40507\,
	combout => \led_flash_cnt[973][4]~40508_combout\,
	cout => \led_flash_cnt[973][4]~40509\);

-- Location: FF_X3_Y26_N25
\led_flash_cnt[973][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[973][4]~40508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[973][4]~q\);

-- Location: LCCOMB_X3_Y26_N26
\led_flash_cnt[973][5]~40510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[973][5]~40510_combout\ = (\led_flash_cnt[973][5]~q\ & (\led_flash_cnt[973][4]~40509\ $ (GND))) # (!\led_flash_cnt[973][5]~q\ & (!\led_flash_cnt[973][4]~40509\ & VCC))
-- \led_flash_cnt[973][5]~40511\ = CARRY((\led_flash_cnt[973][5]~q\ & !\led_flash_cnt[973][4]~40509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[973][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[973][4]~40509\,
	combout => \led_flash_cnt[973][5]~40510_combout\,
	cout => \led_flash_cnt[973][5]~40511\);

-- Location: FF_X3_Y26_N27
\led_flash_cnt[973][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[973][5]~40510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[973][5]~q\);

-- Location: LCCOMB_X3_Y26_N28
\led_flash_cnt[973][6]~40512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[973][6]~40512_combout\ = (\led_flash_cnt[973][6]~q\ & (!\led_flash_cnt[973][5]~40511\)) # (!\led_flash_cnt[973][6]~q\ & ((\led_flash_cnt[973][5]~40511\) # (GND)))
-- \led_flash_cnt[973][6]~40513\ = CARRY((!\led_flash_cnt[973][5]~40511\) # (!\led_flash_cnt[973][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[973][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[973][5]~40511\,
	combout => \led_flash_cnt[973][6]~40512_combout\,
	cout => \led_flash_cnt[973][6]~40513\);

-- Location: FF_X3_Y26_N29
\led_flash_cnt[973][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[973][6]~40512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[973][6]~q\);

-- Location: LCCOMB_X3_Y26_N30
\led_flash_cnt[973][7]~40514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[973][7]~40514_combout\ = \led_flash_cnt[973][7]~q\ $ (!\led_flash_cnt[973][6]~40513\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[973][7]~q\,
	cin => \led_flash_cnt[973][6]~40513\,
	combout => \led_flash_cnt[973][7]~40514_combout\);

-- Location: FF_X3_Y26_N31
\led_flash_cnt[973][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[973][7]~40514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[973][7]~q\);

-- Location: LCCOMB_X4_Y26_N8
\WideAnd973~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd973~1_combout\ = (\led_flash_cnt[973][5]~q\ & \led_flash_cnt[973][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[973][5]~q\,
	datad => \led_flash_cnt[973][6]~q\,
	combout => \WideAnd973~1_combout\);

-- Location: LCCOMB_X4_Y26_N0
\WideAnd973~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd973~0_combout\ = (\led_flash_cnt[973][4]~q\ & (\led_flash_cnt[973][1]~q\ & (\led_flash_cnt[973][3]~q\ & \led_flash_cnt[973][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[973][4]~q\,
	datab => \led_flash_cnt[973][1]~q\,
	datac => \led_flash_cnt[973][3]~q\,
	datad => \led_flash_cnt[973][2]~q\,
	combout => \WideAnd973~0_combout\);

-- Location: LCCOMB_X4_Y26_N30
WideAnd973 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd973~combout\ = (\led_flash_cnt[973][0]~q\ & (\led_flash_cnt[973][7]~q\ & (\WideAnd973~1_combout\ & \WideAnd973~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[973][0]~q\,
	datab => \led_flash_cnt[973][7]~q\,
	datac => \WideAnd973~1_combout\,
	datad => \WideAnd973~0_combout\,
	combout => \WideAnd973~combout\);

-- Location: FF_X4_Y26_N31
\led_flash_cnt_ands[973]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd973~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(973));

-- Location: LCCOMB_X4_Y26_N6
\WideAnd3961~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3961~1_combout\ = (led_flash_cnt_ands(972) & led_flash_cnt_ands(973))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(972),
	datac => led_flash_cnt_ands(973),
	combout => \WideAnd3961~1_combout\);

-- Location: LCCOMB_X6_Y27_N10
\led_flash_cnt[974][0]~81614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[974][0]~81614_combout\ = !\led_flash_cnt[974][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[974][0]~q\,
	combout => \led_flash_cnt[974][0]~81614_combout\);

-- Location: FF_X6_Y27_N11
\led_flash_cnt[974][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[974][0]~81614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[974][0]~q\);

-- Location: LCCOMB_X6_Y27_N18
\led_flash_cnt[974][1]~40516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[974][1]~40516_combout\ = (\led_flash_cnt[974][0]~q\ & (\led_flash_cnt[974][1]~q\ $ (VCC))) # (!\led_flash_cnt[974][0]~q\ & (\led_flash_cnt[974][1]~q\ & VCC))
-- \led_flash_cnt[974][1]~40517\ = CARRY((\led_flash_cnt[974][0]~q\ & \led_flash_cnt[974][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[974][0]~q\,
	datab => \led_flash_cnt[974][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[974][1]~40516_combout\,
	cout => \led_flash_cnt[974][1]~40517\);

-- Location: FF_X6_Y27_N19
\led_flash_cnt[974][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[974][1]~40516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[974][1]~q\);

-- Location: LCCOMB_X6_Y27_N20
\led_flash_cnt[974][2]~40518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[974][2]~40518_combout\ = (\led_flash_cnt[974][2]~q\ & (!\led_flash_cnt[974][1]~40517\)) # (!\led_flash_cnt[974][2]~q\ & ((\led_flash_cnt[974][1]~40517\) # (GND)))
-- \led_flash_cnt[974][2]~40519\ = CARRY((!\led_flash_cnt[974][1]~40517\) # (!\led_flash_cnt[974][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[974][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[974][1]~40517\,
	combout => \led_flash_cnt[974][2]~40518_combout\,
	cout => \led_flash_cnt[974][2]~40519\);

-- Location: FF_X6_Y27_N21
\led_flash_cnt[974][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[974][2]~40518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[974][2]~q\);

-- Location: LCCOMB_X6_Y27_N22
\led_flash_cnt[974][3]~40520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[974][3]~40520_combout\ = (\led_flash_cnt[974][3]~q\ & (\led_flash_cnt[974][2]~40519\ $ (GND))) # (!\led_flash_cnt[974][3]~q\ & (!\led_flash_cnt[974][2]~40519\ & VCC))
-- \led_flash_cnt[974][3]~40521\ = CARRY((\led_flash_cnt[974][3]~q\ & !\led_flash_cnt[974][2]~40519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[974][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[974][2]~40519\,
	combout => \led_flash_cnt[974][3]~40520_combout\,
	cout => \led_flash_cnt[974][3]~40521\);

-- Location: FF_X6_Y27_N23
\led_flash_cnt[974][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[974][3]~40520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[974][3]~q\);

-- Location: LCCOMB_X6_Y27_N24
\led_flash_cnt[974][4]~40522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[974][4]~40522_combout\ = (\led_flash_cnt[974][4]~q\ & (!\led_flash_cnt[974][3]~40521\)) # (!\led_flash_cnt[974][4]~q\ & ((\led_flash_cnt[974][3]~40521\) # (GND)))
-- \led_flash_cnt[974][4]~40523\ = CARRY((!\led_flash_cnt[974][3]~40521\) # (!\led_flash_cnt[974][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[974][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[974][3]~40521\,
	combout => \led_flash_cnt[974][4]~40522_combout\,
	cout => \led_flash_cnt[974][4]~40523\);

-- Location: FF_X6_Y27_N25
\led_flash_cnt[974][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[974][4]~40522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[974][4]~q\);

-- Location: LCCOMB_X6_Y27_N26
\led_flash_cnt[974][5]~40524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[974][5]~40524_combout\ = (\led_flash_cnt[974][5]~q\ & (\led_flash_cnt[974][4]~40523\ $ (GND))) # (!\led_flash_cnt[974][5]~q\ & (!\led_flash_cnt[974][4]~40523\ & VCC))
-- \led_flash_cnt[974][5]~40525\ = CARRY((\led_flash_cnt[974][5]~q\ & !\led_flash_cnt[974][4]~40523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[974][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[974][4]~40523\,
	combout => \led_flash_cnt[974][5]~40524_combout\,
	cout => \led_flash_cnt[974][5]~40525\);

-- Location: FF_X6_Y27_N27
\led_flash_cnt[974][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[974][5]~40524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[974][5]~q\);

-- Location: LCCOMB_X6_Y27_N28
\led_flash_cnt[974][6]~40526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[974][6]~40526_combout\ = (\led_flash_cnt[974][6]~q\ & (!\led_flash_cnt[974][5]~40525\)) # (!\led_flash_cnt[974][6]~q\ & ((\led_flash_cnt[974][5]~40525\) # (GND)))
-- \led_flash_cnt[974][6]~40527\ = CARRY((!\led_flash_cnt[974][5]~40525\) # (!\led_flash_cnt[974][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[974][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[974][5]~40525\,
	combout => \led_flash_cnt[974][6]~40526_combout\,
	cout => \led_flash_cnt[974][6]~40527\);

-- Location: FF_X6_Y27_N29
\led_flash_cnt[974][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[974][6]~40526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[974][6]~q\);

-- Location: LCCOMB_X6_Y27_N4
\WideAnd974~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd974~1_combout\ = (\led_flash_cnt[974][5]~q\ & \led_flash_cnt[974][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[974][5]~q\,
	datad => \led_flash_cnt[974][6]~q\,
	combout => \WideAnd974~1_combout\);

-- Location: LCCOMB_X6_Y27_N30
\led_flash_cnt[974][7]~40528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[974][7]~40528_combout\ = \led_flash_cnt[974][7]~q\ $ (!\led_flash_cnt[974][6]~40527\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[974][7]~q\,
	cin => \led_flash_cnt[974][6]~40527\,
	combout => \led_flash_cnt[974][7]~40528_combout\);

-- Location: FF_X6_Y27_N31
\led_flash_cnt[974][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[974][7]~40528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[974][7]~q\);

-- Location: LCCOMB_X6_Y27_N12
\WideAnd974~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd974~0_combout\ = (\led_flash_cnt[974][4]~q\ & (\led_flash_cnt[974][2]~q\ & (\led_flash_cnt[974][3]~q\ & \led_flash_cnt[974][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[974][4]~q\,
	datab => \led_flash_cnt[974][2]~q\,
	datac => \led_flash_cnt[974][3]~q\,
	datad => \led_flash_cnt[974][1]~q\,
	combout => \WideAnd974~0_combout\);

-- Location: LCCOMB_X6_Y27_N0
WideAnd974 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd974~combout\ = (\led_flash_cnt[974][0]~q\ & (\WideAnd974~1_combout\ & (\led_flash_cnt[974][7]~q\ & \WideAnd974~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[974][0]~q\,
	datab => \WideAnd974~1_combout\,
	datac => \led_flash_cnt[974][7]~q\,
	datad => \WideAnd974~0_combout\,
	combout => \WideAnd974~combout\);

-- Location: FF_X6_Y27_N1
\led_flash_cnt_ands[974]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd974~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(974));

-- Location: LCCOMB_X1_Y28_N12
\led_flash_cnt[975][0]~81615\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[975][0]~81615_combout\ = !\led_flash_cnt[975][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[975][0]~q\,
	combout => \led_flash_cnt[975][0]~81615_combout\);

-- Location: FF_X1_Y28_N13
\led_flash_cnt[975][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[975][0]~81615_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[975][0]~q\);

-- Location: LCCOMB_X1_Y28_N14
\led_flash_cnt[975][1]~40530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[975][1]~40530_combout\ = (\led_flash_cnt[975][0]~q\ & (\led_flash_cnt[975][1]~q\ $ (VCC))) # (!\led_flash_cnt[975][0]~q\ & (\led_flash_cnt[975][1]~q\ & VCC))
-- \led_flash_cnt[975][1]~40531\ = CARRY((\led_flash_cnt[975][0]~q\ & \led_flash_cnt[975][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[975][0]~q\,
	datab => \led_flash_cnt[975][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[975][1]~40530_combout\,
	cout => \led_flash_cnt[975][1]~40531\);

-- Location: FF_X1_Y28_N15
\led_flash_cnt[975][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[975][1]~40530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[975][1]~q\);

-- Location: LCCOMB_X1_Y28_N16
\led_flash_cnt[975][2]~40532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[975][2]~40532_combout\ = (\led_flash_cnt[975][2]~q\ & (!\led_flash_cnt[975][1]~40531\)) # (!\led_flash_cnt[975][2]~q\ & ((\led_flash_cnt[975][1]~40531\) # (GND)))
-- \led_flash_cnt[975][2]~40533\ = CARRY((!\led_flash_cnt[975][1]~40531\) # (!\led_flash_cnt[975][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[975][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[975][1]~40531\,
	combout => \led_flash_cnt[975][2]~40532_combout\,
	cout => \led_flash_cnt[975][2]~40533\);

-- Location: FF_X1_Y28_N17
\led_flash_cnt[975][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[975][2]~40532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[975][2]~q\);

-- Location: LCCOMB_X1_Y28_N18
\led_flash_cnt[975][3]~40534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[975][3]~40534_combout\ = (\led_flash_cnt[975][3]~q\ & (\led_flash_cnt[975][2]~40533\ $ (GND))) # (!\led_flash_cnt[975][3]~q\ & (!\led_flash_cnt[975][2]~40533\ & VCC))
-- \led_flash_cnt[975][3]~40535\ = CARRY((\led_flash_cnt[975][3]~q\ & !\led_flash_cnt[975][2]~40533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[975][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[975][2]~40533\,
	combout => \led_flash_cnt[975][3]~40534_combout\,
	cout => \led_flash_cnt[975][3]~40535\);

-- Location: FF_X1_Y28_N19
\led_flash_cnt[975][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[975][3]~40534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[975][3]~q\);

-- Location: LCCOMB_X1_Y28_N20
\led_flash_cnt[975][4]~40536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[975][4]~40536_combout\ = (\led_flash_cnt[975][4]~q\ & (!\led_flash_cnt[975][3]~40535\)) # (!\led_flash_cnt[975][4]~q\ & ((\led_flash_cnt[975][3]~40535\) # (GND)))
-- \led_flash_cnt[975][4]~40537\ = CARRY((!\led_flash_cnt[975][3]~40535\) # (!\led_flash_cnt[975][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[975][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[975][3]~40535\,
	combout => \led_flash_cnt[975][4]~40536_combout\,
	cout => \led_flash_cnt[975][4]~40537\);

-- Location: FF_X1_Y28_N21
\led_flash_cnt[975][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[975][4]~40536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[975][4]~q\);

-- Location: LCCOMB_X1_Y28_N10
\WideAnd975~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd975~0_combout\ = (\led_flash_cnt[975][2]~q\ & (\led_flash_cnt[975][3]~q\ & (\led_flash_cnt[975][1]~q\ & \led_flash_cnt[975][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[975][2]~q\,
	datab => \led_flash_cnt[975][3]~q\,
	datac => \led_flash_cnt[975][1]~q\,
	datad => \led_flash_cnt[975][4]~q\,
	combout => \WideAnd975~0_combout\);

-- Location: LCCOMB_X1_Y28_N22
\led_flash_cnt[975][5]~40538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[975][5]~40538_combout\ = (\led_flash_cnt[975][5]~q\ & (\led_flash_cnt[975][4]~40537\ $ (GND))) # (!\led_flash_cnt[975][5]~q\ & (!\led_flash_cnt[975][4]~40537\ & VCC))
-- \led_flash_cnt[975][5]~40539\ = CARRY((\led_flash_cnt[975][5]~q\ & !\led_flash_cnt[975][4]~40537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[975][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[975][4]~40537\,
	combout => \led_flash_cnt[975][5]~40538_combout\,
	cout => \led_flash_cnt[975][5]~40539\);

-- Location: FF_X1_Y28_N23
\led_flash_cnt[975][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[975][5]~40538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[975][5]~q\);

-- Location: LCCOMB_X1_Y28_N24
\led_flash_cnt[975][6]~40540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[975][6]~40540_combout\ = (\led_flash_cnt[975][6]~q\ & (!\led_flash_cnt[975][5]~40539\)) # (!\led_flash_cnt[975][6]~q\ & ((\led_flash_cnt[975][5]~40539\) # (GND)))
-- \led_flash_cnt[975][6]~40541\ = CARRY((!\led_flash_cnt[975][5]~40539\) # (!\led_flash_cnt[975][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[975][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[975][5]~40539\,
	combout => \led_flash_cnt[975][6]~40540_combout\,
	cout => \led_flash_cnt[975][6]~40541\);

-- Location: FF_X1_Y28_N25
\led_flash_cnt[975][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[975][6]~40540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[975][6]~q\);

-- Location: LCCOMB_X1_Y28_N28
\WideAnd975~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd975~1_combout\ = (\led_flash_cnt[975][5]~q\ & \led_flash_cnt[975][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[975][5]~q\,
	datad => \led_flash_cnt[975][6]~q\,
	combout => \WideAnd975~1_combout\);

-- Location: LCCOMB_X1_Y28_N26
\led_flash_cnt[975][7]~40542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[975][7]~40542_combout\ = \led_flash_cnt[975][7]~q\ $ (!\led_flash_cnt[975][6]~40541\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[975][7]~q\,
	cin => \led_flash_cnt[975][6]~40541\,
	combout => \led_flash_cnt[975][7]~40542_combout\);

-- Location: FF_X1_Y28_N27
\led_flash_cnt[975][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[975][7]~40542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[975][7]~q\);

-- Location: LCCOMB_X1_Y28_N4
WideAnd975 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd975~combout\ = (\WideAnd975~0_combout\ & (\WideAnd975~1_combout\ & (\led_flash_cnt[975][7]~q\ & \led_flash_cnt[975][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd975~0_combout\,
	datab => \WideAnd975~1_combout\,
	datac => \led_flash_cnt[975][7]~q\,
	datad => \led_flash_cnt[975][0]~q\,
	combout => \WideAnd975~combout\);

-- Location: FF_X1_Y28_N5
\led_flash_cnt_ands[975]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd975~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(975));

-- Location: LCCOMB_X4_Y28_N30
WideAnd3961 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3961~combout\ = (\WideAnd3961~0_combout\ & (\WideAnd3961~1_combout\ & (led_flash_cnt_ands(974) & led_flash_cnt_ands(975))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3961~0_combout\,
	datab => \WideAnd3961~1_combout\,
	datac => led_flash_cnt_ands(974),
	datad => led_flash_cnt_ands(975),
	combout => \WideAnd3961~combout\);

-- Location: FF_X4_Y28_N31
\led_flash_cnt_ands_1[121]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3961~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(121));

-- Location: LCCOMB_X7_Y30_N28
\led_flash_cnt[965][0]~81605\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[965][0]~81605_combout\ = !\led_flash_cnt[965][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[965][0]~q\,
	combout => \led_flash_cnt[965][0]~81605_combout\);

-- Location: FF_X7_Y30_N29
\led_flash_cnt[965][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[965][0]~81605_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[965][0]~q\);

-- Location: LCCOMB_X8_Y30_N14
\led_flash_cnt[965][1]~40390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[965][1]~40390_combout\ = (\led_flash_cnt[965][0]~q\ & (\led_flash_cnt[965][1]~q\ $ (VCC))) # (!\led_flash_cnt[965][0]~q\ & (\led_flash_cnt[965][1]~q\ & VCC))
-- \led_flash_cnt[965][1]~40391\ = CARRY((\led_flash_cnt[965][0]~q\ & \led_flash_cnt[965][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[965][0]~q\,
	datab => \led_flash_cnt[965][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[965][1]~40390_combout\,
	cout => \led_flash_cnt[965][1]~40391\);

-- Location: FF_X8_Y30_N15
\led_flash_cnt[965][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[965][1]~40390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[965][1]~q\);

-- Location: LCCOMB_X8_Y30_N16
\led_flash_cnt[965][2]~40392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[965][2]~40392_combout\ = (\led_flash_cnt[965][2]~q\ & (!\led_flash_cnt[965][1]~40391\)) # (!\led_flash_cnt[965][2]~q\ & ((\led_flash_cnt[965][1]~40391\) # (GND)))
-- \led_flash_cnt[965][2]~40393\ = CARRY((!\led_flash_cnt[965][1]~40391\) # (!\led_flash_cnt[965][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[965][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[965][1]~40391\,
	combout => \led_flash_cnt[965][2]~40392_combout\,
	cout => \led_flash_cnt[965][2]~40393\);

-- Location: FF_X8_Y30_N17
\led_flash_cnt[965][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[965][2]~40392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[965][2]~q\);

-- Location: LCCOMB_X8_Y30_N18
\led_flash_cnt[965][3]~40394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[965][3]~40394_combout\ = (\led_flash_cnt[965][3]~q\ & (\led_flash_cnt[965][2]~40393\ $ (GND))) # (!\led_flash_cnt[965][3]~q\ & (!\led_flash_cnt[965][2]~40393\ & VCC))
-- \led_flash_cnt[965][3]~40395\ = CARRY((\led_flash_cnt[965][3]~q\ & !\led_flash_cnt[965][2]~40393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[965][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[965][2]~40393\,
	combout => \led_flash_cnt[965][3]~40394_combout\,
	cout => \led_flash_cnt[965][3]~40395\);

-- Location: FF_X8_Y30_N19
\led_flash_cnt[965][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[965][3]~40394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[965][3]~q\);

-- Location: LCCOMB_X8_Y30_N20
\led_flash_cnt[965][4]~40396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[965][4]~40396_combout\ = (\led_flash_cnt[965][4]~q\ & (!\led_flash_cnt[965][3]~40395\)) # (!\led_flash_cnt[965][4]~q\ & ((\led_flash_cnt[965][3]~40395\) # (GND)))
-- \led_flash_cnt[965][4]~40397\ = CARRY((!\led_flash_cnt[965][3]~40395\) # (!\led_flash_cnt[965][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[965][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[965][3]~40395\,
	combout => \led_flash_cnt[965][4]~40396_combout\,
	cout => \led_flash_cnt[965][4]~40397\);

-- Location: FF_X8_Y30_N21
\led_flash_cnt[965][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[965][4]~40396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[965][4]~q\);

-- Location: LCCOMB_X8_Y30_N30
\WideAnd965~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd965~0_combout\ = (\led_flash_cnt[965][2]~q\ & (\led_flash_cnt[965][3]~q\ & (\led_flash_cnt[965][1]~q\ & \led_flash_cnt[965][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[965][2]~q\,
	datab => \led_flash_cnt[965][3]~q\,
	datac => \led_flash_cnt[965][1]~q\,
	datad => \led_flash_cnt[965][4]~q\,
	combout => \WideAnd965~0_combout\);

-- Location: LCCOMB_X8_Y30_N22
\led_flash_cnt[965][5]~40398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[965][5]~40398_combout\ = (\led_flash_cnt[965][5]~q\ & (\led_flash_cnt[965][4]~40397\ $ (GND))) # (!\led_flash_cnt[965][5]~q\ & (!\led_flash_cnt[965][4]~40397\ & VCC))
-- \led_flash_cnt[965][5]~40399\ = CARRY((\led_flash_cnt[965][5]~q\ & !\led_flash_cnt[965][4]~40397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[965][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[965][4]~40397\,
	combout => \led_flash_cnt[965][5]~40398_combout\,
	cout => \led_flash_cnt[965][5]~40399\);

-- Location: FF_X8_Y30_N23
\led_flash_cnt[965][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[965][5]~40398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[965][5]~q\);

-- Location: LCCOMB_X8_Y30_N24
\led_flash_cnt[965][6]~40400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[965][6]~40400_combout\ = (\led_flash_cnt[965][6]~q\ & (!\led_flash_cnt[965][5]~40399\)) # (!\led_flash_cnt[965][6]~q\ & ((\led_flash_cnt[965][5]~40399\) # (GND)))
-- \led_flash_cnt[965][6]~40401\ = CARRY((!\led_flash_cnt[965][5]~40399\) # (!\led_flash_cnt[965][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[965][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[965][5]~40399\,
	combout => \led_flash_cnt[965][6]~40400_combout\,
	cout => \led_flash_cnt[965][6]~40401\);

-- Location: FF_X8_Y30_N25
\led_flash_cnt[965][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[965][6]~40400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[965][6]~q\);

-- Location: LCCOMB_X7_Y30_N22
\WideAnd965~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd965~1_combout\ = (\led_flash_cnt[965][6]~q\ & \led_flash_cnt[965][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[965][6]~q\,
	datad => \led_flash_cnt[965][5]~q\,
	combout => \WideAnd965~1_combout\);

-- Location: LCCOMB_X8_Y30_N26
\led_flash_cnt[965][7]~40402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[965][7]~40402_combout\ = \led_flash_cnt[965][7]~q\ $ (!\led_flash_cnt[965][6]~40401\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[965][7]~q\,
	cin => \led_flash_cnt[965][6]~40401\,
	combout => \led_flash_cnt[965][7]~40402_combout\);

-- Location: FF_X8_Y30_N27
\led_flash_cnt[965][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[965][7]~40402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[965][7]~q\);

-- Location: LCCOMB_X7_Y30_N26
WideAnd965 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd965~combout\ = (\WideAnd965~0_combout\ & (\led_flash_cnt[965][0]~q\ & (\WideAnd965~1_combout\ & \led_flash_cnt[965][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd965~0_combout\,
	datab => \led_flash_cnt[965][0]~q\,
	datac => \WideAnd965~1_combout\,
	datad => \led_flash_cnt[965][7]~q\,
	combout => \WideAnd965~combout\);

-- Location: FF_X7_Y30_N27
\led_flash_cnt_ands[965]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd965~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(965));

-- Location: LCCOMB_X7_Y30_N0
\led_flash_cnt[964][0]~81604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[964][0]~81604_combout\ = !\led_flash_cnt[964][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[964][0]~q\,
	combout => \led_flash_cnt[964][0]~81604_combout\);

-- Location: FF_X7_Y30_N1
\led_flash_cnt[964][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[964][0]~81604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[964][0]~q\);

-- Location: LCCOMB_X7_Y30_N6
\led_flash_cnt[964][1]~40376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[964][1]~40376_combout\ = (\led_flash_cnt[964][1]~q\ & (\led_flash_cnt[964][0]~q\ $ (VCC))) # (!\led_flash_cnt[964][1]~q\ & (\led_flash_cnt[964][0]~q\ & VCC))
-- \led_flash_cnt[964][1]~40377\ = CARRY((\led_flash_cnt[964][1]~q\ & \led_flash_cnt[964][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[964][1]~q\,
	datab => \led_flash_cnt[964][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[964][1]~40376_combout\,
	cout => \led_flash_cnt[964][1]~40377\);

-- Location: FF_X7_Y30_N7
\led_flash_cnt[964][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[964][1]~40376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[964][1]~q\);

-- Location: LCCOMB_X7_Y30_N8
\led_flash_cnt[964][2]~40378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[964][2]~40378_combout\ = (\led_flash_cnt[964][2]~q\ & (!\led_flash_cnt[964][1]~40377\)) # (!\led_flash_cnt[964][2]~q\ & ((\led_flash_cnt[964][1]~40377\) # (GND)))
-- \led_flash_cnt[964][2]~40379\ = CARRY((!\led_flash_cnt[964][1]~40377\) # (!\led_flash_cnt[964][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[964][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[964][1]~40377\,
	combout => \led_flash_cnt[964][2]~40378_combout\,
	cout => \led_flash_cnt[964][2]~40379\);

-- Location: FF_X7_Y30_N9
\led_flash_cnt[964][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[964][2]~40378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[964][2]~q\);

-- Location: LCCOMB_X7_Y30_N10
\led_flash_cnt[964][3]~40380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[964][3]~40380_combout\ = (\led_flash_cnt[964][3]~q\ & (\led_flash_cnt[964][2]~40379\ $ (GND))) # (!\led_flash_cnt[964][3]~q\ & (!\led_flash_cnt[964][2]~40379\ & VCC))
-- \led_flash_cnt[964][3]~40381\ = CARRY((\led_flash_cnt[964][3]~q\ & !\led_flash_cnt[964][2]~40379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[964][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[964][2]~40379\,
	combout => \led_flash_cnt[964][3]~40380_combout\,
	cout => \led_flash_cnt[964][3]~40381\);

-- Location: FF_X7_Y30_N11
\led_flash_cnt[964][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[964][3]~40380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[964][3]~q\);

-- Location: LCCOMB_X7_Y30_N12
\led_flash_cnt[964][4]~40382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[964][4]~40382_combout\ = (\led_flash_cnt[964][4]~q\ & (!\led_flash_cnt[964][3]~40381\)) # (!\led_flash_cnt[964][4]~q\ & ((\led_flash_cnt[964][3]~40381\) # (GND)))
-- \led_flash_cnt[964][4]~40383\ = CARRY((!\led_flash_cnt[964][3]~40381\) # (!\led_flash_cnt[964][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[964][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[964][3]~40381\,
	combout => \led_flash_cnt[964][4]~40382_combout\,
	cout => \led_flash_cnt[964][4]~40383\);

-- Location: FF_X7_Y30_N13
\led_flash_cnt[964][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[964][4]~40382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[964][4]~q\);

-- Location: LCCOMB_X7_Y30_N14
\led_flash_cnt[964][5]~40384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[964][5]~40384_combout\ = (\led_flash_cnt[964][5]~q\ & (\led_flash_cnt[964][4]~40383\ $ (GND))) # (!\led_flash_cnt[964][5]~q\ & (!\led_flash_cnt[964][4]~40383\ & VCC))
-- \led_flash_cnt[964][5]~40385\ = CARRY((\led_flash_cnt[964][5]~q\ & !\led_flash_cnt[964][4]~40383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[964][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[964][4]~40383\,
	combout => \led_flash_cnt[964][5]~40384_combout\,
	cout => \led_flash_cnt[964][5]~40385\);

-- Location: FF_X7_Y30_N15
\led_flash_cnt[964][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[964][5]~40384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[964][5]~q\);

-- Location: LCCOMB_X7_Y30_N16
\led_flash_cnt[964][6]~40386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[964][6]~40386_combout\ = (\led_flash_cnt[964][6]~q\ & (!\led_flash_cnt[964][5]~40385\)) # (!\led_flash_cnt[964][6]~q\ & ((\led_flash_cnt[964][5]~40385\) # (GND)))
-- \led_flash_cnt[964][6]~40387\ = CARRY((!\led_flash_cnt[964][5]~40385\) # (!\led_flash_cnt[964][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[964][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[964][5]~40385\,
	combout => \led_flash_cnt[964][6]~40386_combout\,
	cout => \led_flash_cnt[964][6]~40387\);

-- Location: FF_X7_Y30_N17
\led_flash_cnt[964][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[964][6]~40386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[964][6]~q\);

-- Location: LCCOMB_X7_Y30_N18
\led_flash_cnt[964][7]~40388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[964][7]~40388_combout\ = \led_flash_cnt[964][7]~q\ $ (!\led_flash_cnt[964][6]~40387\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[964][7]~q\,
	cin => \led_flash_cnt[964][6]~40387\,
	combout => \led_flash_cnt[964][7]~40388_combout\);

-- Location: FF_X7_Y30_N19
\led_flash_cnt[964][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[964][7]~40388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[964][7]~q\);

-- Location: LCCOMB_X7_Y30_N4
\WideAnd964~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd964~0_combout\ = (\led_flash_cnt[964][1]~q\ & (\led_flash_cnt[964][4]~q\ & (\led_flash_cnt[964][2]~q\ & \led_flash_cnt[964][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[964][1]~q\,
	datab => \led_flash_cnt[964][4]~q\,
	datac => \led_flash_cnt[964][2]~q\,
	datad => \led_flash_cnt[964][3]~q\,
	combout => \WideAnd964~0_combout\);

-- Location: LCCOMB_X7_Y30_N20
\WideAnd964~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd964~1_combout\ = (\led_flash_cnt[964][5]~q\ & \led_flash_cnt[964][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[964][5]~q\,
	datad => \led_flash_cnt[964][6]~q\,
	combout => \WideAnd964~1_combout\);

-- Location: LCCOMB_X7_Y30_N24
WideAnd964 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd964~combout\ = (\led_flash_cnt[964][7]~q\ & (\led_flash_cnt[964][0]~q\ & (\WideAnd964~0_combout\ & \WideAnd964~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[964][7]~q\,
	datab => \led_flash_cnt[964][0]~q\,
	datac => \WideAnd964~0_combout\,
	datad => \WideAnd964~1_combout\,
	combout => \WideAnd964~combout\);

-- Location: FF_X7_Y30_N25
\led_flash_cnt_ands[964]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd964~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(964));

-- Location: LCCOMB_X7_Y30_N2
\WideAnd3960~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3960~1_combout\ = (led_flash_cnt_ands(965) & led_flash_cnt_ands(964))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(965),
	datad => led_flash_cnt_ands(964),
	combout => \WideAnd3960~1_combout\);

-- Location: LCCOMB_X62_Y13_N24
\led_flash_cnt[967][0]~81607\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[967][0]~81607_combout\ = !\led_flash_cnt[967][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[967][0]~q\,
	combout => \led_flash_cnt[967][0]~81607_combout\);

-- Location: FF_X62_Y13_N25
\led_flash_cnt[967][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[967][0]~81607_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[967][0]~q\);

-- Location: LCCOMB_X63_Y13_N16
\led_flash_cnt[967][1]~40418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[967][1]~40418_combout\ = (\led_flash_cnt[967][0]~q\ & (\led_flash_cnt[967][1]~q\ $ (VCC))) # (!\led_flash_cnt[967][0]~q\ & (\led_flash_cnt[967][1]~q\ & VCC))
-- \led_flash_cnt[967][1]~40419\ = CARRY((\led_flash_cnt[967][0]~q\ & \led_flash_cnt[967][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[967][0]~q\,
	datab => \led_flash_cnt[967][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[967][1]~40418_combout\,
	cout => \led_flash_cnt[967][1]~40419\);

-- Location: FF_X63_Y13_N17
\led_flash_cnt[967][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[967][1]~40418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[967][1]~q\);

-- Location: LCCOMB_X63_Y13_N18
\led_flash_cnt[967][2]~40420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[967][2]~40420_combout\ = (\led_flash_cnt[967][2]~q\ & (!\led_flash_cnt[967][1]~40419\)) # (!\led_flash_cnt[967][2]~q\ & ((\led_flash_cnt[967][1]~40419\) # (GND)))
-- \led_flash_cnt[967][2]~40421\ = CARRY((!\led_flash_cnt[967][1]~40419\) # (!\led_flash_cnt[967][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[967][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[967][1]~40419\,
	combout => \led_flash_cnt[967][2]~40420_combout\,
	cout => \led_flash_cnt[967][2]~40421\);

-- Location: FF_X63_Y13_N19
\led_flash_cnt[967][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[967][2]~40420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[967][2]~q\);

-- Location: LCCOMB_X63_Y13_N20
\led_flash_cnt[967][3]~40422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[967][3]~40422_combout\ = (\led_flash_cnt[967][3]~q\ & (\led_flash_cnt[967][2]~40421\ $ (GND))) # (!\led_flash_cnt[967][3]~q\ & (!\led_flash_cnt[967][2]~40421\ & VCC))
-- \led_flash_cnt[967][3]~40423\ = CARRY((\led_flash_cnt[967][3]~q\ & !\led_flash_cnt[967][2]~40421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[967][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[967][2]~40421\,
	combout => \led_flash_cnt[967][3]~40422_combout\,
	cout => \led_flash_cnt[967][3]~40423\);

-- Location: FF_X63_Y13_N21
\led_flash_cnt[967][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[967][3]~40422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[967][3]~q\);

-- Location: LCCOMB_X63_Y13_N22
\led_flash_cnt[967][4]~40424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[967][4]~40424_combout\ = (\led_flash_cnt[967][4]~q\ & (!\led_flash_cnt[967][3]~40423\)) # (!\led_flash_cnt[967][4]~q\ & ((\led_flash_cnt[967][3]~40423\) # (GND)))
-- \led_flash_cnt[967][4]~40425\ = CARRY((!\led_flash_cnt[967][3]~40423\) # (!\led_flash_cnt[967][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[967][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[967][3]~40423\,
	combout => \led_flash_cnt[967][4]~40424_combout\,
	cout => \led_flash_cnt[967][4]~40425\);

-- Location: FF_X63_Y13_N23
\led_flash_cnt[967][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[967][4]~40424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[967][4]~q\);

-- Location: LCCOMB_X63_Y13_N24
\led_flash_cnt[967][5]~40426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[967][5]~40426_combout\ = (\led_flash_cnt[967][5]~q\ & (\led_flash_cnt[967][4]~40425\ $ (GND))) # (!\led_flash_cnt[967][5]~q\ & (!\led_flash_cnt[967][4]~40425\ & VCC))
-- \led_flash_cnt[967][5]~40427\ = CARRY((\led_flash_cnt[967][5]~q\ & !\led_flash_cnt[967][4]~40425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[967][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[967][4]~40425\,
	combout => \led_flash_cnt[967][5]~40426_combout\,
	cout => \led_flash_cnt[967][5]~40427\);

-- Location: FF_X63_Y13_N25
\led_flash_cnt[967][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[967][5]~40426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[967][5]~q\);

-- Location: LCCOMB_X63_Y13_N26
\led_flash_cnt[967][6]~40428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[967][6]~40428_combout\ = (\led_flash_cnt[967][6]~q\ & (!\led_flash_cnt[967][5]~40427\)) # (!\led_flash_cnt[967][6]~q\ & ((\led_flash_cnt[967][5]~40427\) # (GND)))
-- \led_flash_cnt[967][6]~40429\ = CARRY((!\led_flash_cnt[967][5]~40427\) # (!\led_flash_cnt[967][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[967][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[967][5]~40427\,
	combout => \led_flash_cnt[967][6]~40428_combout\,
	cout => \led_flash_cnt[967][6]~40429\);

-- Location: FF_X63_Y13_N27
\led_flash_cnt[967][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[967][6]~40428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[967][6]~q\);

-- Location: LCCOMB_X63_Y13_N30
\WideAnd967~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd967~1_combout\ = (\led_flash_cnt[967][6]~q\ & \led_flash_cnt[967][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[967][6]~q\,
	datad => \led_flash_cnt[967][5]~q\,
	combout => \WideAnd967~1_combout\);

-- Location: LCCOMB_X63_Y13_N14
\WideAnd967~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd967~0_combout\ = (\led_flash_cnt[967][1]~q\ & (\led_flash_cnt[967][2]~q\ & (\led_flash_cnt[967][4]~q\ & \led_flash_cnt[967][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[967][1]~q\,
	datab => \led_flash_cnt[967][2]~q\,
	datac => \led_flash_cnt[967][4]~q\,
	datad => \led_flash_cnt[967][3]~q\,
	combout => \WideAnd967~0_combout\);

-- Location: LCCOMB_X63_Y13_N28
\led_flash_cnt[967][7]~40430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[967][7]~40430_combout\ = \led_flash_cnt[967][6]~40429\ $ (!\led_flash_cnt[967][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[967][7]~q\,
	cin => \led_flash_cnt[967][6]~40429\,
	combout => \led_flash_cnt[967][7]~40430_combout\);

-- Location: FF_X63_Y13_N29
\led_flash_cnt[967][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[967][7]~40430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[967][7]~q\);

-- Location: LCCOMB_X62_Y13_N30
WideAnd967 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd967~combout\ = (\WideAnd967~1_combout\ & (\led_flash_cnt[967][0]~q\ & (\WideAnd967~0_combout\ & \led_flash_cnt[967][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd967~1_combout\,
	datab => \led_flash_cnt[967][0]~q\,
	datac => \WideAnd967~0_combout\,
	datad => \led_flash_cnt[967][7]~q\,
	combout => \WideAnd967~combout\);

-- Location: FF_X62_Y13_N31
\led_flash_cnt_ands[967]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd967~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(967));

-- Location: LCCOMB_X62_Y13_N18
\led_flash_cnt[966][0]~81606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[966][0]~81606_combout\ = !\led_flash_cnt[966][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[966][0]~q\,
	combout => \led_flash_cnt[966][0]~81606_combout\);

-- Location: FF_X62_Y13_N19
\led_flash_cnt[966][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[966][0]~81606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[966][0]~q\);

-- Location: LCCOMB_X62_Y13_N0
\led_flash_cnt[966][1]~40404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[966][1]~40404_combout\ = (\led_flash_cnt[966][1]~q\ & (\led_flash_cnt[966][0]~q\ $ (VCC))) # (!\led_flash_cnt[966][1]~q\ & (\led_flash_cnt[966][0]~q\ & VCC))
-- \led_flash_cnt[966][1]~40405\ = CARRY((\led_flash_cnt[966][1]~q\ & \led_flash_cnt[966][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[966][1]~q\,
	datab => \led_flash_cnt[966][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[966][1]~40404_combout\,
	cout => \led_flash_cnt[966][1]~40405\);

-- Location: FF_X62_Y13_N1
\led_flash_cnt[966][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[966][1]~40404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[966][1]~q\);

-- Location: LCCOMB_X62_Y13_N2
\led_flash_cnt[966][2]~40406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[966][2]~40406_combout\ = (\led_flash_cnt[966][2]~q\ & (!\led_flash_cnt[966][1]~40405\)) # (!\led_flash_cnt[966][2]~q\ & ((\led_flash_cnt[966][1]~40405\) # (GND)))
-- \led_flash_cnt[966][2]~40407\ = CARRY((!\led_flash_cnt[966][1]~40405\) # (!\led_flash_cnt[966][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[966][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[966][1]~40405\,
	combout => \led_flash_cnt[966][2]~40406_combout\,
	cout => \led_flash_cnt[966][2]~40407\);

-- Location: FF_X62_Y13_N3
\led_flash_cnt[966][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[966][2]~40406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[966][2]~q\);

-- Location: LCCOMB_X62_Y13_N4
\led_flash_cnt[966][3]~40408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[966][3]~40408_combout\ = (\led_flash_cnt[966][3]~q\ & (\led_flash_cnt[966][2]~40407\ $ (GND))) # (!\led_flash_cnt[966][3]~q\ & (!\led_flash_cnt[966][2]~40407\ & VCC))
-- \led_flash_cnt[966][3]~40409\ = CARRY((\led_flash_cnt[966][3]~q\ & !\led_flash_cnt[966][2]~40407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[966][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[966][2]~40407\,
	combout => \led_flash_cnt[966][3]~40408_combout\,
	cout => \led_flash_cnt[966][3]~40409\);

-- Location: FF_X62_Y13_N5
\led_flash_cnt[966][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[966][3]~40408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[966][3]~q\);

-- Location: LCCOMB_X62_Y13_N6
\led_flash_cnt[966][4]~40410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[966][4]~40410_combout\ = (\led_flash_cnt[966][4]~q\ & (!\led_flash_cnt[966][3]~40409\)) # (!\led_flash_cnt[966][4]~q\ & ((\led_flash_cnt[966][3]~40409\) # (GND)))
-- \led_flash_cnt[966][4]~40411\ = CARRY((!\led_flash_cnt[966][3]~40409\) # (!\led_flash_cnt[966][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[966][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[966][3]~40409\,
	combout => \led_flash_cnt[966][4]~40410_combout\,
	cout => \led_flash_cnt[966][4]~40411\);

-- Location: FF_X62_Y13_N7
\led_flash_cnt[966][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[966][4]~40410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[966][4]~q\);

-- Location: LCCOMB_X62_Y13_N22
\WideAnd966~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd966~0_combout\ = (\led_flash_cnt[966][4]~q\ & (\led_flash_cnt[966][1]~q\ & (\led_flash_cnt[966][3]~q\ & \led_flash_cnt[966][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[966][4]~q\,
	datab => \led_flash_cnt[966][1]~q\,
	datac => \led_flash_cnt[966][3]~q\,
	datad => \led_flash_cnt[966][2]~q\,
	combout => \WideAnd966~0_combout\);

-- Location: LCCOMB_X62_Y13_N8
\led_flash_cnt[966][5]~40412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[966][5]~40412_combout\ = (\led_flash_cnt[966][5]~q\ & (\led_flash_cnt[966][4]~40411\ $ (GND))) # (!\led_flash_cnt[966][5]~q\ & (!\led_flash_cnt[966][4]~40411\ & VCC))
-- \led_flash_cnt[966][5]~40413\ = CARRY((\led_flash_cnt[966][5]~q\ & !\led_flash_cnt[966][4]~40411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[966][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[966][4]~40411\,
	combout => \led_flash_cnt[966][5]~40412_combout\,
	cout => \led_flash_cnt[966][5]~40413\);

-- Location: FF_X62_Y13_N9
\led_flash_cnt[966][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[966][5]~40412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[966][5]~q\);

-- Location: LCCOMB_X62_Y13_N10
\led_flash_cnt[966][6]~40414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[966][6]~40414_combout\ = (\led_flash_cnt[966][6]~q\ & (!\led_flash_cnt[966][5]~40413\)) # (!\led_flash_cnt[966][6]~q\ & ((\led_flash_cnt[966][5]~40413\) # (GND)))
-- \led_flash_cnt[966][6]~40415\ = CARRY((!\led_flash_cnt[966][5]~40413\) # (!\led_flash_cnt[966][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[966][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[966][5]~40413\,
	combout => \led_flash_cnt[966][6]~40414_combout\,
	cout => \led_flash_cnt[966][6]~40415\);

-- Location: FF_X62_Y13_N11
\led_flash_cnt[966][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[966][6]~40414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[966][6]~q\);

-- Location: LCCOMB_X62_Y13_N14
\WideAnd966~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd966~1_combout\ = (\led_flash_cnt[966][5]~q\ & \led_flash_cnt[966][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[966][5]~q\,
	datad => \led_flash_cnt[966][6]~q\,
	combout => \WideAnd966~1_combout\);

-- Location: LCCOMB_X62_Y13_N12
\led_flash_cnt[966][7]~40416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[966][7]~40416_combout\ = \led_flash_cnt[966][6]~40415\ $ (!\led_flash_cnt[966][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[966][7]~q\,
	cin => \led_flash_cnt[966][6]~40415\,
	combout => \led_flash_cnt[966][7]~40416_combout\);

-- Location: FF_X62_Y13_N13
\led_flash_cnt[966][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[966][7]~40416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[966][7]~q\);

-- Location: LCCOMB_X62_Y13_N28
WideAnd966 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd966~combout\ = (\WideAnd966~0_combout\ & (\led_flash_cnt[966][0]~q\ & (\WideAnd966~1_combout\ & \led_flash_cnt[966][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd966~0_combout\,
	datab => \led_flash_cnt[966][0]~q\,
	datac => \WideAnd966~1_combout\,
	datad => \led_flash_cnt[966][7]~q\,
	combout => \WideAnd966~combout\);

-- Location: FF_X62_Y13_N29
\led_flash_cnt_ands[966]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd966~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(966));

-- Location: LCCOMB_X63_Y46_N18
\led_flash_cnt[963][0]~81603\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[963][0]~81603_combout\ = !\led_flash_cnt[963][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[963][0]~q\,
	combout => \led_flash_cnt[963][0]~81603_combout\);

-- Location: FF_X63_Y46_N19
\led_flash_cnt[963][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[963][0]~81603_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[963][0]~q\);

-- Location: LCCOMB_X63_Y46_N0
\led_flash_cnt[963][1]~40362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[963][1]~40362_combout\ = (\led_flash_cnt[963][1]~q\ & (\led_flash_cnt[963][0]~q\ $ (VCC))) # (!\led_flash_cnt[963][1]~q\ & (\led_flash_cnt[963][0]~q\ & VCC))
-- \led_flash_cnt[963][1]~40363\ = CARRY((\led_flash_cnt[963][1]~q\ & \led_flash_cnt[963][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[963][1]~q\,
	datab => \led_flash_cnt[963][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[963][1]~40362_combout\,
	cout => \led_flash_cnt[963][1]~40363\);

-- Location: FF_X63_Y46_N1
\led_flash_cnt[963][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[963][1]~40362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[963][1]~q\);

-- Location: LCCOMB_X63_Y46_N2
\led_flash_cnt[963][2]~40364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[963][2]~40364_combout\ = (\led_flash_cnt[963][2]~q\ & (!\led_flash_cnt[963][1]~40363\)) # (!\led_flash_cnt[963][2]~q\ & ((\led_flash_cnt[963][1]~40363\) # (GND)))
-- \led_flash_cnt[963][2]~40365\ = CARRY((!\led_flash_cnt[963][1]~40363\) # (!\led_flash_cnt[963][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[963][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[963][1]~40363\,
	combout => \led_flash_cnt[963][2]~40364_combout\,
	cout => \led_flash_cnt[963][2]~40365\);

-- Location: FF_X63_Y46_N3
\led_flash_cnt[963][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[963][2]~40364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[963][2]~q\);

-- Location: LCCOMB_X63_Y46_N4
\led_flash_cnt[963][3]~40366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[963][3]~40366_combout\ = (\led_flash_cnt[963][3]~q\ & (\led_flash_cnt[963][2]~40365\ $ (GND))) # (!\led_flash_cnt[963][3]~q\ & (!\led_flash_cnt[963][2]~40365\ & VCC))
-- \led_flash_cnt[963][3]~40367\ = CARRY((\led_flash_cnt[963][3]~q\ & !\led_flash_cnt[963][2]~40365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[963][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[963][2]~40365\,
	combout => \led_flash_cnt[963][3]~40366_combout\,
	cout => \led_flash_cnt[963][3]~40367\);

-- Location: FF_X63_Y46_N5
\led_flash_cnt[963][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[963][3]~40366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[963][3]~q\);

-- Location: LCCOMB_X63_Y46_N6
\led_flash_cnt[963][4]~40368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[963][4]~40368_combout\ = (\led_flash_cnt[963][4]~q\ & (!\led_flash_cnt[963][3]~40367\)) # (!\led_flash_cnt[963][4]~q\ & ((\led_flash_cnt[963][3]~40367\) # (GND)))
-- \led_flash_cnt[963][4]~40369\ = CARRY((!\led_flash_cnt[963][3]~40367\) # (!\led_flash_cnt[963][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[963][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[963][3]~40367\,
	combout => \led_flash_cnt[963][4]~40368_combout\,
	cout => \led_flash_cnt[963][4]~40369\);

-- Location: FF_X63_Y46_N7
\led_flash_cnt[963][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[963][4]~40368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[963][4]~q\);

-- Location: LCCOMB_X63_Y46_N8
\led_flash_cnt[963][5]~40370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[963][5]~40370_combout\ = (\led_flash_cnt[963][5]~q\ & (\led_flash_cnt[963][4]~40369\ $ (GND))) # (!\led_flash_cnt[963][5]~q\ & (!\led_flash_cnt[963][4]~40369\ & VCC))
-- \led_flash_cnt[963][5]~40371\ = CARRY((\led_flash_cnt[963][5]~q\ & !\led_flash_cnt[963][4]~40369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[963][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[963][4]~40369\,
	combout => \led_flash_cnt[963][5]~40370_combout\,
	cout => \led_flash_cnt[963][5]~40371\);

-- Location: FF_X63_Y46_N9
\led_flash_cnt[963][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[963][5]~40370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[963][5]~q\);

-- Location: LCCOMB_X63_Y46_N10
\led_flash_cnt[963][6]~40372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[963][6]~40372_combout\ = (\led_flash_cnt[963][6]~q\ & (!\led_flash_cnt[963][5]~40371\)) # (!\led_flash_cnt[963][6]~q\ & ((\led_flash_cnt[963][5]~40371\) # (GND)))
-- \led_flash_cnt[963][6]~40373\ = CARRY((!\led_flash_cnt[963][5]~40371\) # (!\led_flash_cnt[963][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[963][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[963][5]~40371\,
	combout => \led_flash_cnt[963][6]~40372_combout\,
	cout => \led_flash_cnt[963][6]~40373\);

-- Location: FF_X63_Y46_N11
\led_flash_cnt[963][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[963][6]~40372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[963][6]~q\);

-- Location: LCCOMB_X63_Y46_N12
\led_flash_cnt[963][7]~40374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[963][7]~40374_combout\ = \led_flash_cnt[963][6]~40373\ $ (!\led_flash_cnt[963][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[963][7]~q\,
	cin => \led_flash_cnt[963][6]~40373\,
	combout => \led_flash_cnt[963][7]~40374_combout\);

-- Location: FF_X63_Y46_N13
\led_flash_cnt[963][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[963][7]~40374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[963][7]~q\);

-- Location: LCCOMB_X63_Y46_N24
\WideAnd963~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd963~0_combout\ = (\led_flash_cnt[963][4]~q\ & (\led_flash_cnt[963][1]~q\ & (\led_flash_cnt[963][3]~q\ & \led_flash_cnt[963][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[963][4]~q\,
	datab => \led_flash_cnt[963][1]~q\,
	datac => \led_flash_cnt[963][3]~q\,
	datad => \led_flash_cnt[963][2]~q\,
	combout => \WideAnd963~0_combout\);

-- Location: LCCOMB_X63_Y46_N22
\WideAnd963~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd963~1_combout\ = (\led_flash_cnt[963][5]~q\ & \led_flash_cnt[963][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[963][5]~q\,
	datad => \led_flash_cnt[963][6]~q\,
	combout => \WideAnd963~1_combout\);

-- Location: LCCOMB_X63_Y46_N30
WideAnd963 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd963~combout\ = (\led_flash_cnt[963][7]~q\ & (\WideAnd963~0_combout\ & (\WideAnd963~1_combout\ & \led_flash_cnt[963][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[963][7]~q\,
	datab => \WideAnd963~0_combout\,
	datac => \WideAnd963~1_combout\,
	datad => \led_flash_cnt[963][0]~q\,
	combout => \WideAnd963~combout\);

-- Location: FF_X63_Y46_N31
\led_flash_cnt_ands[963]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd963~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(963));

-- Location: LCCOMB_X64_Y50_N12
\led_flash_cnt[960][0]~81600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[960][0]~81600_combout\ = !\led_flash_cnt[960][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[960][0]~q\,
	combout => \led_flash_cnt[960][0]~81600_combout\);

-- Location: FF_X64_Y50_N13
\led_flash_cnt[960][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[960][0]~81600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[960][0]~q\);

-- Location: LCCOMB_X64_Y50_N18
\led_flash_cnt[960][1]~40320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[960][1]~40320_combout\ = (\led_flash_cnt[960][0]~q\ & (\led_flash_cnt[960][1]~q\ $ (VCC))) # (!\led_flash_cnt[960][0]~q\ & (\led_flash_cnt[960][1]~q\ & VCC))
-- \led_flash_cnt[960][1]~40321\ = CARRY((\led_flash_cnt[960][0]~q\ & \led_flash_cnt[960][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[960][0]~q\,
	datab => \led_flash_cnt[960][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[960][1]~40320_combout\,
	cout => \led_flash_cnt[960][1]~40321\);

-- Location: FF_X64_Y50_N19
\led_flash_cnt[960][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[960][1]~40320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[960][1]~q\);

-- Location: LCCOMB_X64_Y50_N20
\led_flash_cnt[960][2]~40322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[960][2]~40322_combout\ = (\led_flash_cnt[960][2]~q\ & (!\led_flash_cnt[960][1]~40321\)) # (!\led_flash_cnt[960][2]~q\ & ((\led_flash_cnt[960][1]~40321\) # (GND)))
-- \led_flash_cnt[960][2]~40323\ = CARRY((!\led_flash_cnt[960][1]~40321\) # (!\led_flash_cnt[960][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[960][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[960][1]~40321\,
	combout => \led_flash_cnt[960][2]~40322_combout\,
	cout => \led_flash_cnt[960][2]~40323\);

-- Location: FF_X64_Y50_N21
\led_flash_cnt[960][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[960][2]~40322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[960][2]~q\);

-- Location: LCCOMB_X64_Y50_N22
\led_flash_cnt[960][3]~40324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[960][3]~40324_combout\ = (\led_flash_cnt[960][3]~q\ & (\led_flash_cnt[960][2]~40323\ $ (GND))) # (!\led_flash_cnt[960][3]~q\ & (!\led_flash_cnt[960][2]~40323\ & VCC))
-- \led_flash_cnt[960][3]~40325\ = CARRY((\led_flash_cnt[960][3]~q\ & !\led_flash_cnt[960][2]~40323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[960][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[960][2]~40323\,
	combout => \led_flash_cnt[960][3]~40324_combout\,
	cout => \led_flash_cnt[960][3]~40325\);

-- Location: FF_X64_Y50_N23
\led_flash_cnt[960][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[960][3]~40324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[960][3]~q\);

-- Location: LCCOMB_X64_Y50_N24
\led_flash_cnt[960][4]~40326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[960][4]~40326_combout\ = (\led_flash_cnt[960][4]~q\ & (!\led_flash_cnt[960][3]~40325\)) # (!\led_flash_cnt[960][4]~q\ & ((\led_flash_cnt[960][3]~40325\) # (GND)))
-- \led_flash_cnt[960][4]~40327\ = CARRY((!\led_flash_cnt[960][3]~40325\) # (!\led_flash_cnt[960][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[960][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[960][3]~40325\,
	combout => \led_flash_cnt[960][4]~40326_combout\,
	cout => \led_flash_cnt[960][4]~40327\);

-- Location: FF_X64_Y50_N25
\led_flash_cnt[960][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[960][4]~40326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[960][4]~q\);

-- Location: LCCOMB_X64_Y50_N26
\led_flash_cnt[960][5]~40328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[960][5]~40328_combout\ = (\led_flash_cnt[960][5]~q\ & (\led_flash_cnt[960][4]~40327\ $ (GND))) # (!\led_flash_cnt[960][5]~q\ & (!\led_flash_cnt[960][4]~40327\ & VCC))
-- \led_flash_cnt[960][5]~40329\ = CARRY((\led_flash_cnt[960][5]~q\ & !\led_flash_cnt[960][4]~40327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[960][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[960][4]~40327\,
	combout => \led_flash_cnt[960][5]~40328_combout\,
	cout => \led_flash_cnt[960][5]~40329\);

-- Location: FF_X64_Y50_N27
\led_flash_cnt[960][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[960][5]~40328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[960][5]~q\);

-- Location: LCCOMB_X64_Y50_N28
\led_flash_cnt[960][6]~40330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[960][6]~40330_combout\ = (\led_flash_cnt[960][6]~q\ & (!\led_flash_cnt[960][5]~40329\)) # (!\led_flash_cnt[960][6]~q\ & ((\led_flash_cnt[960][5]~40329\) # (GND)))
-- \led_flash_cnt[960][6]~40331\ = CARRY((!\led_flash_cnt[960][5]~40329\) # (!\led_flash_cnt[960][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[960][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[960][5]~40329\,
	combout => \led_flash_cnt[960][6]~40330_combout\,
	cout => \led_flash_cnt[960][6]~40331\);

-- Location: FF_X64_Y50_N29
\led_flash_cnt[960][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[960][6]~40330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[960][6]~q\);

-- Location: LCCOMB_X64_Y50_N10
\WideAnd960~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd960~1_combout\ = (\led_flash_cnt[960][5]~q\ & \led_flash_cnt[960][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[960][5]~q\,
	datad => \led_flash_cnt[960][6]~q\,
	combout => \WideAnd960~1_combout\);

-- Location: LCCOMB_X64_Y50_N4
\WideAnd960~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd960~0_combout\ = (\led_flash_cnt[960][4]~q\ & (\led_flash_cnt[960][2]~q\ & (\led_flash_cnt[960][3]~q\ & \led_flash_cnt[960][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[960][4]~q\,
	datab => \led_flash_cnt[960][2]~q\,
	datac => \led_flash_cnt[960][3]~q\,
	datad => \led_flash_cnt[960][1]~q\,
	combout => \WideAnd960~0_combout\);

-- Location: LCCOMB_X64_Y50_N30
\led_flash_cnt[960][7]~40332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[960][7]~40332_combout\ = \led_flash_cnt[960][7]~q\ $ (!\led_flash_cnt[960][6]~40331\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[960][7]~q\,
	cin => \led_flash_cnt[960][6]~40331\,
	combout => \led_flash_cnt[960][7]~40332_combout\);

-- Location: FF_X64_Y50_N31
\led_flash_cnt[960][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[960][7]~40332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[960][7]~q\);

-- Location: LCCOMB_X64_Y50_N8
WideAnd960 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd960~combout\ = (\WideAnd960~1_combout\ & (\WideAnd960~0_combout\ & (\led_flash_cnt[960][7]~q\ & \led_flash_cnt[960][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd960~1_combout\,
	datab => \WideAnd960~0_combout\,
	datac => \led_flash_cnt[960][7]~q\,
	datad => \led_flash_cnt[960][0]~q\,
	combout => \WideAnd960~combout\);

-- Location: FF_X64_Y50_N9
\led_flash_cnt_ands[960]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd960~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(960));

-- Location: LCCOMB_X66_Y50_N22
\led_flash_cnt[961][0]~81601\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[961][0]~81601_combout\ = !\led_flash_cnt[961][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[961][0]~q\,
	combout => \led_flash_cnt[961][0]~81601_combout\);

-- Location: FF_X66_Y50_N23
\led_flash_cnt[961][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[961][0]~81601_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[961][0]~q\);

-- Location: LCCOMB_X66_Y50_N8
\led_flash_cnt[961][1]~40334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[961][1]~40334_combout\ = (\led_flash_cnt[961][0]~q\ & (\led_flash_cnt[961][1]~q\ $ (VCC))) # (!\led_flash_cnt[961][0]~q\ & (\led_flash_cnt[961][1]~q\ & VCC))
-- \led_flash_cnt[961][1]~40335\ = CARRY((\led_flash_cnt[961][0]~q\ & \led_flash_cnt[961][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[961][0]~q\,
	datab => \led_flash_cnt[961][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[961][1]~40334_combout\,
	cout => \led_flash_cnt[961][1]~40335\);

-- Location: FF_X66_Y50_N9
\led_flash_cnt[961][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[961][1]~40334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[961][1]~q\);

-- Location: LCCOMB_X66_Y50_N10
\led_flash_cnt[961][2]~40336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[961][2]~40336_combout\ = (\led_flash_cnt[961][2]~q\ & (!\led_flash_cnt[961][1]~40335\)) # (!\led_flash_cnt[961][2]~q\ & ((\led_flash_cnt[961][1]~40335\) # (GND)))
-- \led_flash_cnt[961][2]~40337\ = CARRY((!\led_flash_cnt[961][1]~40335\) # (!\led_flash_cnt[961][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[961][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[961][1]~40335\,
	combout => \led_flash_cnt[961][2]~40336_combout\,
	cout => \led_flash_cnt[961][2]~40337\);

-- Location: FF_X66_Y50_N11
\led_flash_cnt[961][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[961][2]~40336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[961][2]~q\);

-- Location: LCCOMB_X66_Y50_N12
\led_flash_cnt[961][3]~40338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[961][3]~40338_combout\ = (\led_flash_cnt[961][3]~q\ & (\led_flash_cnt[961][2]~40337\ $ (GND))) # (!\led_flash_cnt[961][3]~q\ & (!\led_flash_cnt[961][2]~40337\ & VCC))
-- \led_flash_cnt[961][3]~40339\ = CARRY((\led_flash_cnt[961][3]~q\ & !\led_flash_cnt[961][2]~40337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[961][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[961][2]~40337\,
	combout => \led_flash_cnt[961][3]~40338_combout\,
	cout => \led_flash_cnt[961][3]~40339\);

-- Location: FF_X66_Y50_N13
\led_flash_cnt[961][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[961][3]~40338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[961][3]~q\);

-- Location: LCCOMB_X66_Y50_N14
\led_flash_cnt[961][4]~40340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[961][4]~40340_combout\ = (\led_flash_cnt[961][4]~q\ & (!\led_flash_cnt[961][3]~40339\)) # (!\led_flash_cnt[961][4]~q\ & ((\led_flash_cnt[961][3]~40339\) # (GND)))
-- \led_flash_cnt[961][4]~40341\ = CARRY((!\led_flash_cnt[961][3]~40339\) # (!\led_flash_cnt[961][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[961][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[961][3]~40339\,
	combout => \led_flash_cnt[961][4]~40340_combout\,
	cout => \led_flash_cnt[961][4]~40341\);

-- Location: FF_X66_Y50_N15
\led_flash_cnt[961][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[961][4]~40340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[961][4]~q\);

-- Location: LCCOMB_X66_Y50_N16
\led_flash_cnt[961][5]~40342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[961][5]~40342_combout\ = (\led_flash_cnt[961][5]~q\ & (\led_flash_cnt[961][4]~40341\ $ (GND))) # (!\led_flash_cnt[961][5]~q\ & (!\led_flash_cnt[961][4]~40341\ & VCC))
-- \led_flash_cnt[961][5]~40343\ = CARRY((\led_flash_cnt[961][5]~q\ & !\led_flash_cnt[961][4]~40341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[961][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[961][4]~40341\,
	combout => \led_flash_cnt[961][5]~40342_combout\,
	cout => \led_flash_cnt[961][5]~40343\);

-- Location: FF_X66_Y50_N17
\led_flash_cnt[961][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[961][5]~40342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[961][5]~q\);

-- Location: LCCOMB_X66_Y50_N18
\led_flash_cnt[961][6]~40344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[961][6]~40344_combout\ = (\led_flash_cnt[961][6]~q\ & (!\led_flash_cnt[961][5]~40343\)) # (!\led_flash_cnt[961][6]~q\ & ((\led_flash_cnt[961][5]~40343\) # (GND)))
-- \led_flash_cnt[961][6]~40345\ = CARRY((!\led_flash_cnt[961][5]~40343\) # (!\led_flash_cnt[961][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[961][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[961][5]~40343\,
	combout => \led_flash_cnt[961][6]~40344_combout\,
	cout => \led_flash_cnt[961][6]~40345\);

-- Location: FF_X66_Y50_N19
\led_flash_cnt[961][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[961][6]~40344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[961][6]~q\);

-- Location: LCCOMB_X66_Y50_N20
\led_flash_cnt[961][7]~40346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[961][7]~40346_combout\ = \led_flash_cnt[961][6]~40345\ $ (!\led_flash_cnt[961][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[961][7]~q\,
	cin => \led_flash_cnt[961][6]~40345\,
	combout => \led_flash_cnt[961][7]~40346_combout\);

-- Location: FF_X66_Y50_N21
\led_flash_cnt[961][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[961][7]~40346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[961][7]~q\);

-- Location: LCCOMB_X66_Y50_N4
\WideAnd961~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd961~1_combout\ = (\led_flash_cnt[961][6]~q\ & \led_flash_cnt[961][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[961][6]~q\,
	datad => \led_flash_cnt[961][5]~q\,
	combout => \WideAnd961~1_combout\);

-- Location: LCCOMB_X66_Y50_N24
\WideAnd961~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd961~0_combout\ = (\led_flash_cnt[961][3]~q\ & (\led_flash_cnt[961][4]~q\ & (\led_flash_cnt[961][1]~q\ & \led_flash_cnt[961][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[961][3]~q\,
	datab => \led_flash_cnt[961][4]~q\,
	datac => \led_flash_cnt[961][1]~q\,
	datad => \led_flash_cnt[961][2]~q\,
	combout => \WideAnd961~0_combout\);

-- Location: LCCOMB_X66_Y50_N26
WideAnd961 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd961~combout\ = (\led_flash_cnt[961][0]~q\ & (\led_flash_cnt[961][7]~q\ & (\WideAnd961~1_combout\ & \WideAnd961~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[961][0]~q\,
	datab => \led_flash_cnt[961][7]~q\,
	datac => \WideAnd961~1_combout\,
	datad => \WideAnd961~0_combout\,
	combout => \WideAnd961~combout\);

-- Location: FF_X66_Y50_N27
\led_flash_cnt_ands[961]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd961~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(961));

-- Location: LCCOMB_X63_Y46_N28
\led_flash_cnt[962][0]~81602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[962][0]~81602_combout\ = !\led_flash_cnt[962][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[962][0]~q\,
	combout => \led_flash_cnt[962][0]~81602_combout\);

-- Location: FF_X63_Y46_N29
\led_flash_cnt[962][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[962][0]~81602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[962][0]~q\);

-- Location: LCCOMB_X62_Y46_N0
\led_flash_cnt[962][1]~40348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[962][1]~40348_combout\ = (\led_flash_cnt[962][0]~q\ & (\led_flash_cnt[962][1]~q\ $ (VCC))) # (!\led_flash_cnt[962][0]~q\ & (\led_flash_cnt[962][1]~q\ & VCC))
-- \led_flash_cnt[962][1]~40349\ = CARRY((\led_flash_cnt[962][0]~q\ & \led_flash_cnt[962][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[962][0]~q\,
	datab => \led_flash_cnt[962][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[962][1]~40348_combout\,
	cout => \led_flash_cnt[962][1]~40349\);

-- Location: FF_X62_Y46_N1
\led_flash_cnt[962][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[962][1]~40348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[962][1]~q\);

-- Location: LCCOMB_X62_Y46_N2
\led_flash_cnt[962][2]~40350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[962][2]~40350_combout\ = (\led_flash_cnt[962][2]~q\ & (!\led_flash_cnt[962][1]~40349\)) # (!\led_flash_cnt[962][2]~q\ & ((\led_flash_cnt[962][1]~40349\) # (GND)))
-- \led_flash_cnt[962][2]~40351\ = CARRY((!\led_flash_cnt[962][1]~40349\) # (!\led_flash_cnt[962][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[962][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[962][1]~40349\,
	combout => \led_flash_cnt[962][2]~40350_combout\,
	cout => \led_flash_cnt[962][2]~40351\);

-- Location: FF_X62_Y46_N3
\led_flash_cnt[962][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[962][2]~40350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[962][2]~q\);

-- Location: LCCOMB_X62_Y46_N4
\led_flash_cnt[962][3]~40352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[962][3]~40352_combout\ = (\led_flash_cnt[962][3]~q\ & (\led_flash_cnt[962][2]~40351\ $ (GND))) # (!\led_flash_cnt[962][3]~q\ & (!\led_flash_cnt[962][2]~40351\ & VCC))
-- \led_flash_cnt[962][3]~40353\ = CARRY((\led_flash_cnt[962][3]~q\ & !\led_flash_cnt[962][2]~40351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[962][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[962][2]~40351\,
	combout => \led_flash_cnt[962][3]~40352_combout\,
	cout => \led_flash_cnt[962][3]~40353\);

-- Location: FF_X62_Y46_N5
\led_flash_cnt[962][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[962][3]~40352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[962][3]~q\);

-- Location: LCCOMB_X62_Y46_N6
\led_flash_cnt[962][4]~40354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[962][4]~40354_combout\ = (\led_flash_cnt[962][4]~q\ & (!\led_flash_cnt[962][3]~40353\)) # (!\led_flash_cnt[962][4]~q\ & ((\led_flash_cnt[962][3]~40353\) # (GND)))
-- \led_flash_cnt[962][4]~40355\ = CARRY((!\led_flash_cnt[962][3]~40353\) # (!\led_flash_cnt[962][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[962][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[962][3]~40353\,
	combout => \led_flash_cnt[962][4]~40354_combout\,
	cout => \led_flash_cnt[962][4]~40355\);

-- Location: FF_X62_Y46_N7
\led_flash_cnt[962][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[962][4]~40354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[962][4]~q\);

-- Location: LCCOMB_X62_Y46_N8
\led_flash_cnt[962][5]~40356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[962][5]~40356_combout\ = (\led_flash_cnt[962][5]~q\ & (\led_flash_cnt[962][4]~40355\ $ (GND))) # (!\led_flash_cnt[962][5]~q\ & (!\led_flash_cnt[962][4]~40355\ & VCC))
-- \led_flash_cnt[962][5]~40357\ = CARRY((\led_flash_cnt[962][5]~q\ & !\led_flash_cnt[962][4]~40355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[962][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[962][4]~40355\,
	combout => \led_flash_cnt[962][5]~40356_combout\,
	cout => \led_flash_cnt[962][5]~40357\);

-- Location: FF_X62_Y46_N9
\led_flash_cnt[962][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[962][5]~40356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[962][5]~q\);

-- Location: LCCOMB_X62_Y46_N10
\led_flash_cnt[962][6]~40358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[962][6]~40358_combout\ = (\led_flash_cnt[962][6]~q\ & (!\led_flash_cnt[962][5]~40357\)) # (!\led_flash_cnt[962][6]~q\ & ((\led_flash_cnt[962][5]~40357\) # (GND)))
-- \led_flash_cnt[962][6]~40359\ = CARRY((!\led_flash_cnt[962][5]~40357\) # (!\led_flash_cnt[962][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[962][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[962][5]~40357\,
	combout => \led_flash_cnt[962][6]~40358_combout\,
	cout => \led_flash_cnt[962][6]~40359\);

-- Location: FF_X62_Y46_N11
\led_flash_cnt[962][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[962][6]~40358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[962][6]~q\);

-- Location: LCCOMB_X62_Y46_N12
\led_flash_cnt[962][7]~40360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[962][7]~40360_combout\ = \led_flash_cnt[962][6]~40359\ $ (!\led_flash_cnt[962][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[962][7]~q\,
	cin => \led_flash_cnt[962][6]~40359\,
	combout => \led_flash_cnt[962][7]~40360_combout\);

-- Location: FF_X62_Y46_N13
\led_flash_cnt[962][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[962][7]~40360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[962][7]~q\);

-- Location: LCCOMB_X62_Y46_N28
\WideAnd962~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd962~0_combout\ = (\led_flash_cnt[962][4]~q\ & (\led_flash_cnt[962][1]~q\ & (\led_flash_cnt[962][3]~q\ & \led_flash_cnt[962][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[962][4]~q\,
	datab => \led_flash_cnt[962][1]~q\,
	datac => \led_flash_cnt[962][3]~q\,
	datad => \led_flash_cnt[962][2]~q\,
	combout => \WideAnd962~0_combout\);

-- Location: LCCOMB_X63_Y46_N26
\WideAnd962~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd962~1_combout\ = (\led_flash_cnt[962][6]~q\ & \led_flash_cnt[962][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[962][6]~q\,
	datad => \led_flash_cnt[962][5]~q\,
	combout => \WideAnd962~1_combout\);

-- Location: LCCOMB_X63_Y46_N20
WideAnd962 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd962~combout\ = (\led_flash_cnt[962][7]~q\ & (\WideAnd962~0_combout\ & (\WideAnd962~1_combout\ & \led_flash_cnt[962][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[962][7]~q\,
	datab => \WideAnd962~0_combout\,
	datac => \WideAnd962~1_combout\,
	datad => \led_flash_cnt[962][0]~q\,
	combout => \WideAnd962~combout\);

-- Location: FF_X63_Y46_N21
\led_flash_cnt_ands[962]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd962~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(962));

-- Location: LCCOMB_X63_Y46_N16
\WideAnd3960~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3960~0_combout\ = (led_flash_cnt_ands(963) & (led_flash_cnt_ands(960) & (led_flash_cnt_ands(961) & led_flash_cnt_ands(962))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(963),
	datab => led_flash_cnt_ands(960),
	datac => led_flash_cnt_ands(961),
	datad => led_flash_cnt_ands(962),
	combout => \WideAnd3960~0_combout\);

-- Location: LCCOMB_X62_Y28_N6
WideAnd3960 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3960~combout\ = (\WideAnd3960~1_combout\ & (led_flash_cnt_ands(967) & (led_flash_cnt_ands(966) & \WideAnd3960~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3960~1_combout\,
	datab => led_flash_cnt_ands(967),
	datac => led_flash_cnt_ands(966),
	datad => \WideAnd3960~0_combout\,
	combout => \WideAnd3960~combout\);

-- Location: FF_X62_Y28_N7
\led_flash_cnt_ands_1[120]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3960~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(120));

-- Location: LCCOMB_X61_Y28_N10
\WideAnd4335~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4335~0_combout\ = (led_flash_cnt_ands_1(123) & (led_flash_cnt_ands_1(122) & (led_flash_cnt_ands_1(121) & led_flash_cnt_ands_1(120))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(123),
	datab => led_flash_cnt_ands_1(122),
	datac => led_flash_cnt_ands_1(121),
	datad => led_flash_cnt_ands_1(120),
	combout => \WideAnd4335~0_combout\);

-- Location: LCCOMB_X4_Y16_N24
\led_flash_cnt[994][0]~81634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[994][0]~81634_combout\ = !\led_flash_cnt[994][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[994][0]~q\,
	combout => \led_flash_cnt[994][0]~81634_combout\);

-- Location: FF_X4_Y16_N25
\led_flash_cnt[994][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[994][0]~81634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[994][0]~q\);

-- Location: LCCOMB_X3_Y16_N16
\led_flash_cnt[994][1]~40796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[994][1]~40796_combout\ = (\led_flash_cnt[994][1]~q\ & (\led_flash_cnt[994][0]~q\ $ (VCC))) # (!\led_flash_cnt[994][1]~q\ & (\led_flash_cnt[994][0]~q\ & VCC))
-- \led_flash_cnt[994][1]~40797\ = CARRY((\led_flash_cnt[994][1]~q\ & \led_flash_cnt[994][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[994][1]~q\,
	datab => \led_flash_cnt[994][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[994][1]~40796_combout\,
	cout => \led_flash_cnt[994][1]~40797\);

-- Location: FF_X3_Y16_N17
\led_flash_cnt[994][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[994][1]~40796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[994][1]~q\);

-- Location: LCCOMB_X3_Y16_N18
\led_flash_cnt[994][2]~40798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[994][2]~40798_combout\ = (\led_flash_cnt[994][2]~q\ & (!\led_flash_cnt[994][1]~40797\)) # (!\led_flash_cnt[994][2]~q\ & ((\led_flash_cnt[994][1]~40797\) # (GND)))
-- \led_flash_cnt[994][2]~40799\ = CARRY((!\led_flash_cnt[994][1]~40797\) # (!\led_flash_cnt[994][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[994][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[994][1]~40797\,
	combout => \led_flash_cnt[994][2]~40798_combout\,
	cout => \led_flash_cnt[994][2]~40799\);

-- Location: FF_X3_Y16_N19
\led_flash_cnt[994][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[994][2]~40798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[994][2]~q\);

-- Location: LCCOMB_X3_Y16_N20
\led_flash_cnt[994][3]~40800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[994][3]~40800_combout\ = (\led_flash_cnt[994][3]~q\ & (\led_flash_cnt[994][2]~40799\ $ (GND))) # (!\led_flash_cnt[994][3]~q\ & (!\led_flash_cnt[994][2]~40799\ & VCC))
-- \led_flash_cnt[994][3]~40801\ = CARRY((\led_flash_cnt[994][3]~q\ & !\led_flash_cnt[994][2]~40799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[994][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[994][2]~40799\,
	combout => \led_flash_cnt[994][3]~40800_combout\,
	cout => \led_flash_cnt[994][3]~40801\);

-- Location: FF_X3_Y16_N21
\led_flash_cnt[994][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[994][3]~40800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[994][3]~q\);

-- Location: LCCOMB_X3_Y16_N22
\led_flash_cnt[994][4]~40802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[994][4]~40802_combout\ = (\led_flash_cnt[994][4]~q\ & (!\led_flash_cnt[994][3]~40801\)) # (!\led_flash_cnt[994][4]~q\ & ((\led_flash_cnt[994][3]~40801\) # (GND)))
-- \led_flash_cnt[994][4]~40803\ = CARRY((!\led_flash_cnt[994][3]~40801\) # (!\led_flash_cnt[994][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[994][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[994][3]~40801\,
	combout => \led_flash_cnt[994][4]~40802_combout\,
	cout => \led_flash_cnt[994][4]~40803\);

-- Location: FF_X3_Y16_N23
\led_flash_cnt[994][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[994][4]~40802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[994][4]~q\);

-- Location: LCCOMB_X3_Y16_N24
\led_flash_cnt[994][5]~40804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[994][5]~40804_combout\ = (\led_flash_cnt[994][5]~q\ & (\led_flash_cnt[994][4]~40803\ $ (GND))) # (!\led_flash_cnt[994][5]~q\ & (!\led_flash_cnt[994][4]~40803\ & VCC))
-- \led_flash_cnt[994][5]~40805\ = CARRY((\led_flash_cnt[994][5]~q\ & !\led_flash_cnt[994][4]~40803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[994][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[994][4]~40803\,
	combout => \led_flash_cnt[994][5]~40804_combout\,
	cout => \led_flash_cnt[994][5]~40805\);

-- Location: FF_X3_Y16_N25
\led_flash_cnt[994][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[994][5]~40804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[994][5]~q\);

-- Location: LCCOMB_X3_Y16_N26
\led_flash_cnt[994][6]~40806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[994][6]~40806_combout\ = (\led_flash_cnt[994][6]~q\ & (!\led_flash_cnt[994][5]~40805\)) # (!\led_flash_cnt[994][6]~q\ & ((\led_flash_cnt[994][5]~40805\) # (GND)))
-- \led_flash_cnt[994][6]~40807\ = CARRY((!\led_flash_cnt[994][5]~40805\) # (!\led_flash_cnt[994][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[994][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[994][5]~40805\,
	combout => \led_flash_cnt[994][6]~40806_combout\,
	cout => \led_flash_cnt[994][6]~40807\);

-- Location: FF_X3_Y16_N27
\led_flash_cnt[994][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[994][6]~40806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[994][6]~q\);

-- Location: LCCOMB_X3_Y16_N28
\led_flash_cnt[994][7]~40808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[994][7]~40808_combout\ = \led_flash_cnt[994][6]~40807\ $ (!\led_flash_cnt[994][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[994][7]~q\,
	cin => \led_flash_cnt[994][6]~40807\,
	combout => \led_flash_cnt[994][7]~40808_combout\);

-- Location: FF_X3_Y16_N29
\led_flash_cnt[994][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[994][7]~40808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[994][7]~q\);

-- Location: LCCOMB_X4_Y16_N30
\WideAnd994~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd994~0_combout\ = (\led_flash_cnt[994][2]~q\ & (\led_flash_cnt[994][3]~q\ & (\led_flash_cnt[994][1]~q\ & \led_flash_cnt[994][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[994][2]~q\,
	datab => \led_flash_cnt[994][3]~q\,
	datac => \led_flash_cnt[994][1]~q\,
	datad => \led_flash_cnt[994][4]~q\,
	combout => \WideAnd994~0_combout\);

-- Location: LCCOMB_X4_Y16_N18
\WideAnd994~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd994~1_combout\ = (\led_flash_cnt[994][6]~q\ & \led_flash_cnt[994][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[994][6]~q\,
	datad => \led_flash_cnt[994][5]~q\,
	combout => \WideAnd994~1_combout\);

-- Location: LCCOMB_X4_Y16_N20
WideAnd994 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd994~combout\ = (\led_flash_cnt[994][0]~q\ & (\led_flash_cnt[994][7]~q\ & (\WideAnd994~0_combout\ & \WideAnd994~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[994][0]~q\,
	datab => \led_flash_cnt[994][7]~q\,
	datac => \WideAnd994~0_combout\,
	datad => \WideAnd994~1_combout\,
	combout => \WideAnd994~combout\);

-- Location: FF_X4_Y16_N21
\led_flash_cnt_ands[994]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd994~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(994));

-- Location: LCCOMB_X7_Y38_N26
\led_flash_cnt[992][0]~81632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[992][0]~81632_combout\ = !\led_flash_cnt[992][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[992][0]~q\,
	combout => \led_flash_cnt[992][0]~81632_combout\);

-- Location: FF_X7_Y38_N27
\led_flash_cnt[992][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[992][0]~81632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[992][0]~q\);

-- Location: LCCOMB_X7_Y38_N8
\led_flash_cnt[992][1]~40768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[992][1]~40768_combout\ = (\led_flash_cnt[992][0]~q\ & (\led_flash_cnt[992][1]~q\ $ (VCC))) # (!\led_flash_cnt[992][0]~q\ & (\led_flash_cnt[992][1]~q\ & VCC))
-- \led_flash_cnt[992][1]~40769\ = CARRY((\led_flash_cnt[992][0]~q\ & \led_flash_cnt[992][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[992][0]~q\,
	datab => \led_flash_cnt[992][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[992][1]~40768_combout\,
	cout => \led_flash_cnt[992][1]~40769\);

-- Location: FF_X7_Y38_N9
\led_flash_cnt[992][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[992][1]~40768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[992][1]~q\);

-- Location: LCCOMB_X7_Y38_N10
\led_flash_cnt[992][2]~40770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[992][2]~40770_combout\ = (\led_flash_cnt[992][2]~q\ & (!\led_flash_cnt[992][1]~40769\)) # (!\led_flash_cnt[992][2]~q\ & ((\led_flash_cnt[992][1]~40769\) # (GND)))
-- \led_flash_cnt[992][2]~40771\ = CARRY((!\led_flash_cnt[992][1]~40769\) # (!\led_flash_cnt[992][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[992][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[992][1]~40769\,
	combout => \led_flash_cnt[992][2]~40770_combout\,
	cout => \led_flash_cnt[992][2]~40771\);

-- Location: FF_X7_Y38_N11
\led_flash_cnt[992][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[992][2]~40770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[992][2]~q\);

-- Location: LCCOMB_X7_Y38_N12
\led_flash_cnt[992][3]~40772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[992][3]~40772_combout\ = (\led_flash_cnt[992][3]~q\ & (\led_flash_cnt[992][2]~40771\ $ (GND))) # (!\led_flash_cnt[992][3]~q\ & (!\led_flash_cnt[992][2]~40771\ & VCC))
-- \led_flash_cnt[992][3]~40773\ = CARRY((\led_flash_cnt[992][3]~q\ & !\led_flash_cnt[992][2]~40771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[992][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[992][2]~40771\,
	combout => \led_flash_cnt[992][3]~40772_combout\,
	cout => \led_flash_cnt[992][3]~40773\);

-- Location: FF_X7_Y38_N13
\led_flash_cnt[992][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[992][3]~40772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[992][3]~q\);

-- Location: LCCOMB_X7_Y38_N14
\led_flash_cnt[992][4]~40774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[992][4]~40774_combout\ = (\led_flash_cnt[992][4]~q\ & (!\led_flash_cnt[992][3]~40773\)) # (!\led_flash_cnt[992][4]~q\ & ((\led_flash_cnt[992][3]~40773\) # (GND)))
-- \led_flash_cnt[992][4]~40775\ = CARRY((!\led_flash_cnt[992][3]~40773\) # (!\led_flash_cnt[992][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[992][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[992][3]~40773\,
	combout => \led_flash_cnt[992][4]~40774_combout\,
	cout => \led_flash_cnt[992][4]~40775\);

-- Location: FF_X7_Y38_N15
\led_flash_cnt[992][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[992][4]~40774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[992][4]~q\);

-- Location: LCCOMB_X7_Y38_N16
\led_flash_cnt[992][5]~40776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[992][5]~40776_combout\ = (\led_flash_cnt[992][5]~q\ & (\led_flash_cnt[992][4]~40775\ $ (GND))) # (!\led_flash_cnt[992][5]~q\ & (!\led_flash_cnt[992][4]~40775\ & VCC))
-- \led_flash_cnt[992][5]~40777\ = CARRY((\led_flash_cnt[992][5]~q\ & !\led_flash_cnt[992][4]~40775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[992][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[992][4]~40775\,
	combout => \led_flash_cnt[992][5]~40776_combout\,
	cout => \led_flash_cnt[992][5]~40777\);

-- Location: FF_X7_Y38_N17
\led_flash_cnt[992][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[992][5]~40776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[992][5]~q\);

-- Location: LCCOMB_X7_Y38_N18
\led_flash_cnt[992][6]~40778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[992][6]~40778_combout\ = (\led_flash_cnt[992][6]~q\ & (!\led_flash_cnt[992][5]~40777\)) # (!\led_flash_cnt[992][6]~q\ & ((\led_flash_cnt[992][5]~40777\) # (GND)))
-- \led_flash_cnt[992][6]~40779\ = CARRY((!\led_flash_cnt[992][5]~40777\) # (!\led_flash_cnt[992][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[992][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[992][5]~40777\,
	combout => \led_flash_cnt[992][6]~40778_combout\,
	cout => \led_flash_cnt[992][6]~40779\);

-- Location: FF_X7_Y38_N19
\led_flash_cnt[992][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[992][6]~40778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[992][6]~q\);

-- Location: LCCOMB_X7_Y38_N22
\WideAnd992~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd992~1_combout\ = (\led_flash_cnt[992][5]~q\ & \led_flash_cnt[992][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[992][5]~q\,
	datad => \led_flash_cnt[992][6]~q\,
	combout => \WideAnd992~1_combout\);

-- Location: LCCOMB_X7_Y38_N20
\led_flash_cnt[992][7]~40780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[992][7]~40780_combout\ = \led_flash_cnt[992][6]~40779\ $ (!\led_flash_cnt[992][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[992][7]~q\,
	cin => \led_flash_cnt[992][6]~40779\,
	combout => \led_flash_cnt[992][7]~40780_combout\);

-- Location: FF_X7_Y38_N21
\led_flash_cnt[992][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[992][7]~40780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[992][7]~q\);

-- Location: LCCOMB_X7_Y38_N0
\WideAnd992~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd992~0_combout\ = (\led_flash_cnt[992][3]~q\ & (\led_flash_cnt[992][1]~q\ & (\led_flash_cnt[992][4]~q\ & \led_flash_cnt[992][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[992][3]~q\,
	datab => \led_flash_cnt[992][1]~q\,
	datac => \led_flash_cnt[992][4]~q\,
	datad => \led_flash_cnt[992][2]~q\,
	combout => \WideAnd992~0_combout\);

-- Location: LCCOMB_X7_Y38_N28
WideAnd992 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd992~combout\ = (\WideAnd992~1_combout\ & (\led_flash_cnt[992][7]~q\ & (\led_flash_cnt[992][0]~q\ & \WideAnd992~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd992~1_combout\,
	datab => \led_flash_cnt[992][7]~q\,
	datac => \led_flash_cnt[992][0]~q\,
	datad => \WideAnd992~0_combout\,
	combout => \WideAnd992~combout\);

-- Location: FF_X7_Y38_N29
\led_flash_cnt_ands[992]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd992~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(992));

-- Location: LCCOMB_X7_Y19_N26
\led_flash_cnt[993][0]~81633\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[993][0]~81633_combout\ = !\led_flash_cnt[993][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[993][0]~q\,
	combout => \led_flash_cnt[993][0]~81633_combout\);

-- Location: FF_X7_Y19_N27
\led_flash_cnt[993][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[993][0]~81633_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[993][0]~q\);

-- Location: LCCOMB_X7_Y19_N0
\led_flash_cnt[993][1]~40782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[993][1]~40782_combout\ = (\led_flash_cnt[993][0]~q\ & (\led_flash_cnt[993][1]~q\ $ (VCC))) # (!\led_flash_cnt[993][0]~q\ & (\led_flash_cnt[993][1]~q\ & VCC))
-- \led_flash_cnt[993][1]~40783\ = CARRY((\led_flash_cnt[993][0]~q\ & \led_flash_cnt[993][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[993][0]~q\,
	datab => \led_flash_cnt[993][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[993][1]~40782_combout\,
	cout => \led_flash_cnt[993][1]~40783\);

-- Location: FF_X7_Y19_N1
\led_flash_cnt[993][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[993][1]~40782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[993][1]~q\);

-- Location: LCCOMB_X7_Y19_N2
\led_flash_cnt[993][2]~40784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[993][2]~40784_combout\ = (\led_flash_cnt[993][2]~q\ & (!\led_flash_cnt[993][1]~40783\)) # (!\led_flash_cnt[993][2]~q\ & ((\led_flash_cnt[993][1]~40783\) # (GND)))
-- \led_flash_cnt[993][2]~40785\ = CARRY((!\led_flash_cnt[993][1]~40783\) # (!\led_flash_cnt[993][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[993][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[993][1]~40783\,
	combout => \led_flash_cnt[993][2]~40784_combout\,
	cout => \led_flash_cnt[993][2]~40785\);

-- Location: FF_X7_Y19_N3
\led_flash_cnt[993][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[993][2]~40784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[993][2]~q\);

-- Location: LCCOMB_X7_Y19_N4
\led_flash_cnt[993][3]~40786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[993][3]~40786_combout\ = (\led_flash_cnt[993][3]~q\ & (\led_flash_cnt[993][2]~40785\ $ (GND))) # (!\led_flash_cnt[993][3]~q\ & (!\led_flash_cnt[993][2]~40785\ & VCC))
-- \led_flash_cnt[993][3]~40787\ = CARRY((\led_flash_cnt[993][3]~q\ & !\led_flash_cnt[993][2]~40785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[993][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[993][2]~40785\,
	combout => \led_flash_cnt[993][3]~40786_combout\,
	cout => \led_flash_cnt[993][3]~40787\);

-- Location: FF_X7_Y19_N5
\led_flash_cnt[993][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[993][3]~40786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[993][3]~q\);

-- Location: LCCOMB_X7_Y19_N6
\led_flash_cnt[993][4]~40788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[993][4]~40788_combout\ = (\led_flash_cnt[993][4]~q\ & (!\led_flash_cnt[993][3]~40787\)) # (!\led_flash_cnt[993][4]~q\ & ((\led_flash_cnt[993][3]~40787\) # (GND)))
-- \led_flash_cnt[993][4]~40789\ = CARRY((!\led_flash_cnt[993][3]~40787\) # (!\led_flash_cnt[993][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[993][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[993][3]~40787\,
	combout => \led_flash_cnt[993][4]~40788_combout\,
	cout => \led_flash_cnt[993][4]~40789\);

-- Location: FF_X7_Y19_N7
\led_flash_cnt[993][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[993][4]~40788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[993][4]~q\);

-- Location: LCCOMB_X7_Y19_N8
\led_flash_cnt[993][5]~40790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[993][5]~40790_combout\ = (\led_flash_cnt[993][5]~q\ & (\led_flash_cnt[993][4]~40789\ $ (GND))) # (!\led_flash_cnt[993][5]~q\ & (!\led_flash_cnt[993][4]~40789\ & VCC))
-- \led_flash_cnt[993][5]~40791\ = CARRY((\led_flash_cnt[993][5]~q\ & !\led_flash_cnt[993][4]~40789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[993][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[993][4]~40789\,
	combout => \led_flash_cnt[993][5]~40790_combout\,
	cout => \led_flash_cnt[993][5]~40791\);

-- Location: FF_X7_Y19_N9
\led_flash_cnt[993][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[993][5]~40790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[993][5]~q\);

-- Location: LCCOMB_X7_Y19_N10
\led_flash_cnt[993][6]~40792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[993][6]~40792_combout\ = (\led_flash_cnt[993][6]~q\ & (!\led_flash_cnt[993][5]~40791\)) # (!\led_flash_cnt[993][6]~q\ & ((\led_flash_cnt[993][5]~40791\) # (GND)))
-- \led_flash_cnt[993][6]~40793\ = CARRY((!\led_flash_cnt[993][5]~40791\) # (!\led_flash_cnt[993][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[993][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[993][5]~40791\,
	combout => \led_flash_cnt[993][6]~40792_combout\,
	cout => \led_flash_cnt[993][6]~40793\);

-- Location: FF_X7_Y19_N11
\led_flash_cnt[993][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[993][6]~40792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[993][6]~q\);

-- Location: LCCOMB_X7_Y19_N20
\WideAnd993~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd993~1_combout\ = (\led_flash_cnt[993][5]~q\ & \led_flash_cnt[993][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[993][5]~q\,
	datad => \led_flash_cnt[993][6]~q\,
	combout => \WideAnd993~1_combout\);

-- Location: LCCOMB_X7_Y19_N22
\WideAnd993~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd993~0_combout\ = (\led_flash_cnt[993][4]~q\ & (\led_flash_cnt[993][1]~q\ & (\led_flash_cnt[993][3]~q\ & \led_flash_cnt[993][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[993][4]~q\,
	datab => \led_flash_cnt[993][1]~q\,
	datac => \led_flash_cnt[993][3]~q\,
	datad => \led_flash_cnt[993][2]~q\,
	combout => \WideAnd993~0_combout\);

-- Location: LCCOMB_X7_Y19_N12
\led_flash_cnt[993][7]~40794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[993][7]~40794_combout\ = \led_flash_cnt[993][6]~40793\ $ (!\led_flash_cnt[993][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[993][7]~q\,
	cin => \led_flash_cnt[993][6]~40793\,
	combout => \led_flash_cnt[993][7]~40794_combout\);

-- Location: FF_X7_Y19_N13
\led_flash_cnt[993][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[993][7]~40794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[993][7]~q\);

-- Location: LCCOMB_X7_Y19_N24
WideAnd993 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd993~combout\ = (\led_flash_cnt[993][0]~q\ & (\WideAnd993~1_combout\ & (\WideAnd993~0_combout\ & \led_flash_cnt[993][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[993][0]~q\,
	datab => \WideAnd993~1_combout\,
	datac => \WideAnd993~0_combout\,
	datad => \led_flash_cnt[993][7]~q\,
	combout => \WideAnd993~combout\);

-- Location: FF_X7_Y19_N25
\led_flash_cnt_ands[993]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd993~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(993));

-- Location: LCCOMB_X6_Y38_N26
\led_flash_cnt[995][0]~81635\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[995][0]~81635_combout\ = !\led_flash_cnt[995][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[995][0]~q\,
	combout => \led_flash_cnt[995][0]~81635_combout\);

-- Location: FF_X6_Y38_N27
\led_flash_cnt[995][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[995][0]~81635_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[995][0]~q\);

-- Location: LCCOMB_X6_Y38_N0
\led_flash_cnt[995][1]~40810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[995][1]~40810_combout\ = (\led_flash_cnt[995][0]~q\ & (\led_flash_cnt[995][1]~q\ $ (VCC))) # (!\led_flash_cnt[995][0]~q\ & (\led_flash_cnt[995][1]~q\ & VCC))
-- \led_flash_cnt[995][1]~40811\ = CARRY((\led_flash_cnt[995][0]~q\ & \led_flash_cnt[995][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[995][0]~q\,
	datab => \led_flash_cnt[995][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[995][1]~40810_combout\,
	cout => \led_flash_cnt[995][1]~40811\);

-- Location: FF_X6_Y38_N1
\led_flash_cnt[995][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[995][1]~40810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[995][1]~q\);

-- Location: LCCOMB_X6_Y38_N2
\led_flash_cnt[995][2]~40812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[995][2]~40812_combout\ = (\led_flash_cnt[995][2]~q\ & (!\led_flash_cnt[995][1]~40811\)) # (!\led_flash_cnt[995][2]~q\ & ((\led_flash_cnt[995][1]~40811\) # (GND)))
-- \led_flash_cnt[995][2]~40813\ = CARRY((!\led_flash_cnt[995][1]~40811\) # (!\led_flash_cnt[995][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[995][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[995][1]~40811\,
	combout => \led_flash_cnt[995][2]~40812_combout\,
	cout => \led_flash_cnt[995][2]~40813\);

-- Location: FF_X6_Y38_N3
\led_flash_cnt[995][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[995][2]~40812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[995][2]~q\);

-- Location: LCCOMB_X6_Y38_N4
\led_flash_cnt[995][3]~40814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[995][3]~40814_combout\ = (\led_flash_cnt[995][3]~q\ & (\led_flash_cnt[995][2]~40813\ $ (GND))) # (!\led_flash_cnt[995][3]~q\ & (!\led_flash_cnt[995][2]~40813\ & VCC))
-- \led_flash_cnt[995][3]~40815\ = CARRY((\led_flash_cnt[995][3]~q\ & !\led_flash_cnt[995][2]~40813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[995][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[995][2]~40813\,
	combout => \led_flash_cnt[995][3]~40814_combout\,
	cout => \led_flash_cnt[995][3]~40815\);

-- Location: FF_X6_Y38_N5
\led_flash_cnt[995][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[995][3]~40814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[995][3]~q\);

-- Location: LCCOMB_X6_Y38_N6
\led_flash_cnt[995][4]~40816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[995][4]~40816_combout\ = (\led_flash_cnt[995][4]~q\ & (!\led_flash_cnt[995][3]~40815\)) # (!\led_flash_cnt[995][4]~q\ & ((\led_flash_cnt[995][3]~40815\) # (GND)))
-- \led_flash_cnt[995][4]~40817\ = CARRY((!\led_flash_cnt[995][3]~40815\) # (!\led_flash_cnt[995][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[995][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[995][3]~40815\,
	combout => \led_flash_cnt[995][4]~40816_combout\,
	cout => \led_flash_cnt[995][4]~40817\);

-- Location: FF_X6_Y38_N7
\led_flash_cnt[995][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[995][4]~40816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[995][4]~q\);

-- Location: LCCOMB_X6_Y38_N8
\led_flash_cnt[995][5]~40818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[995][5]~40818_combout\ = (\led_flash_cnt[995][5]~q\ & (\led_flash_cnt[995][4]~40817\ $ (GND))) # (!\led_flash_cnt[995][5]~q\ & (!\led_flash_cnt[995][4]~40817\ & VCC))
-- \led_flash_cnt[995][5]~40819\ = CARRY((\led_flash_cnt[995][5]~q\ & !\led_flash_cnt[995][4]~40817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[995][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[995][4]~40817\,
	combout => \led_flash_cnt[995][5]~40818_combout\,
	cout => \led_flash_cnt[995][5]~40819\);

-- Location: FF_X6_Y38_N9
\led_flash_cnt[995][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[995][5]~40818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[995][5]~q\);

-- Location: LCCOMB_X6_Y38_N10
\led_flash_cnt[995][6]~40820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[995][6]~40820_combout\ = (\led_flash_cnt[995][6]~q\ & (!\led_flash_cnt[995][5]~40819\)) # (!\led_flash_cnt[995][6]~q\ & ((\led_flash_cnt[995][5]~40819\) # (GND)))
-- \led_flash_cnt[995][6]~40821\ = CARRY((!\led_flash_cnt[995][5]~40819\) # (!\led_flash_cnt[995][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[995][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[995][5]~40819\,
	combout => \led_flash_cnt[995][6]~40820_combout\,
	cout => \led_flash_cnt[995][6]~40821\);

-- Location: FF_X6_Y38_N11
\led_flash_cnt[995][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[995][6]~40820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[995][6]~q\);

-- Location: LCCOMB_X6_Y38_N12
\led_flash_cnt[995][7]~40822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[995][7]~40822_combout\ = \led_flash_cnt[995][6]~40821\ $ (!\led_flash_cnt[995][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[995][7]~q\,
	cin => \led_flash_cnt[995][6]~40821\,
	combout => \led_flash_cnt[995][7]~40822_combout\);

-- Location: FF_X6_Y38_N13
\led_flash_cnt[995][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[995][7]~40822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[995][7]~q\);

-- Location: LCCOMB_X6_Y38_N24
\WideAnd995~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd995~0_combout\ = (\led_flash_cnt[995][4]~q\ & (\led_flash_cnt[995][2]~q\ & (\led_flash_cnt[995][3]~q\ & \led_flash_cnt[995][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[995][4]~q\,
	datab => \led_flash_cnt[995][2]~q\,
	datac => \led_flash_cnt[995][3]~q\,
	datad => \led_flash_cnt[995][1]~q\,
	combout => \WideAnd995~0_combout\);

-- Location: LCCOMB_X6_Y38_N18
\WideAnd995~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd995~1_combout\ = (\led_flash_cnt[995][5]~q\ & \led_flash_cnt[995][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[995][5]~q\,
	datad => \led_flash_cnt[995][6]~q\,
	combout => \WideAnd995~1_combout\);

-- Location: LCCOMB_X6_Y38_N14
WideAnd995 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd995~combout\ = (\led_flash_cnt[995][7]~q\ & (\WideAnd995~0_combout\ & (\led_flash_cnt[995][0]~q\ & \WideAnd995~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[995][7]~q\,
	datab => \WideAnd995~0_combout\,
	datac => \led_flash_cnt[995][0]~q\,
	datad => \WideAnd995~1_combout\,
	combout => \WideAnd995~combout\);

-- Location: FF_X6_Y38_N15
\led_flash_cnt_ands[995]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd995~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(995));

-- Location: LCCOMB_X7_Y38_N24
\WideAnd3964~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3964~0_combout\ = (led_flash_cnt_ands(994) & (led_flash_cnt_ands(992) & (led_flash_cnt_ands(993) & led_flash_cnt_ands(995))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(994),
	datab => led_flash_cnt_ands(992),
	datac => led_flash_cnt_ands(993),
	datad => led_flash_cnt_ands(995),
	combout => \WideAnd3964~0_combout\);

-- Location: LCCOMB_X11_Y38_N2
\led_flash_cnt[999][0]~81639\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[999][0]~81639_combout\ = !\led_flash_cnt[999][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[999][0]~q\,
	combout => \led_flash_cnt[999][0]~81639_combout\);

-- Location: FF_X11_Y38_N3
\led_flash_cnt[999][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[999][0]~81639_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[999][0]~q\);

-- Location: LCCOMB_X10_Y38_N0
\led_flash_cnt[999][1]~40866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[999][1]~40866_combout\ = (\led_flash_cnt[999][0]~q\ & (\led_flash_cnt[999][1]~q\ $ (VCC))) # (!\led_flash_cnt[999][0]~q\ & (\led_flash_cnt[999][1]~q\ & VCC))
-- \led_flash_cnt[999][1]~40867\ = CARRY((\led_flash_cnt[999][0]~q\ & \led_flash_cnt[999][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[999][0]~q\,
	datab => \led_flash_cnt[999][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[999][1]~40866_combout\,
	cout => \led_flash_cnt[999][1]~40867\);

-- Location: FF_X10_Y38_N1
\led_flash_cnt[999][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[999][1]~40866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[999][1]~q\);

-- Location: LCCOMB_X10_Y38_N2
\led_flash_cnt[999][2]~40868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[999][2]~40868_combout\ = (\led_flash_cnt[999][2]~q\ & (!\led_flash_cnt[999][1]~40867\)) # (!\led_flash_cnt[999][2]~q\ & ((\led_flash_cnt[999][1]~40867\) # (GND)))
-- \led_flash_cnt[999][2]~40869\ = CARRY((!\led_flash_cnt[999][1]~40867\) # (!\led_flash_cnt[999][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[999][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[999][1]~40867\,
	combout => \led_flash_cnt[999][2]~40868_combout\,
	cout => \led_flash_cnt[999][2]~40869\);

-- Location: FF_X10_Y38_N3
\led_flash_cnt[999][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[999][2]~40868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[999][2]~q\);

-- Location: LCCOMB_X10_Y38_N4
\led_flash_cnt[999][3]~40870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[999][3]~40870_combout\ = (\led_flash_cnt[999][3]~q\ & (\led_flash_cnt[999][2]~40869\ $ (GND))) # (!\led_flash_cnt[999][3]~q\ & (!\led_flash_cnt[999][2]~40869\ & VCC))
-- \led_flash_cnt[999][3]~40871\ = CARRY((\led_flash_cnt[999][3]~q\ & !\led_flash_cnt[999][2]~40869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[999][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[999][2]~40869\,
	combout => \led_flash_cnt[999][3]~40870_combout\,
	cout => \led_flash_cnt[999][3]~40871\);

-- Location: FF_X10_Y38_N5
\led_flash_cnt[999][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[999][3]~40870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[999][3]~q\);

-- Location: LCCOMB_X10_Y38_N6
\led_flash_cnt[999][4]~40872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[999][4]~40872_combout\ = (\led_flash_cnt[999][4]~q\ & (!\led_flash_cnt[999][3]~40871\)) # (!\led_flash_cnt[999][4]~q\ & ((\led_flash_cnt[999][3]~40871\) # (GND)))
-- \led_flash_cnt[999][4]~40873\ = CARRY((!\led_flash_cnt[999][3]~40871\) # (!\led_flash_cnt[999][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[999][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[999][3]~40871\,
	combout => \led_flash_cnt[999][4]~40872_combout\,
	cout => \led_flash_cnt[999][4]~40873\);

-- Location: FF_X10_Y38_N7
\led_flash_cnt[999][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[999][4]~40872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[999][4]~q\);

-- Location: LCCOMB_X10_Y38_N8
\led_flash_cnt[999][5]~40874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[999][5]~40874_combout\ = (\led_flash_cnt[999][5]~q\ & (\led_flash_cnt[999][4]~40873\ $ (GND))) # (!\led_flash_cnt[999][5]~q\ & (!\led_flash_cnt[999][4]~40873\ & VCC))
-- \led_flash_cnt[999][5]~40875\ = CARRY((\led_flash_cnt[999][5]~q\ & !\led_flash_cnt[999][4]~40873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[999][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[999][4]~40873\,
	combout => \led_flash_cnt[999][5]~40874_combout\,
	cout => \led_flash_cnt[999][5]~40875\);

-- Location: FF_X10_Y38_N9
\led_flash_cnt[999][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[999][5]~40874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[999][5]~q\);

-- Location: LCCOMB_X10_Y38_N10
\led_flash_cnt[999][6]~40876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[999][6]~40876_combout\ = (\led_flash_cnt[999][6]~q\ & (!\led_flash_cnt[999][5]~40875\)) # (!\led_flash_cnt[999][6]~q\ & ((\led_flash_cnt[999][5]~40875\) # (GND)))
-- \led_flash_cnt[999][6]~40877\ = CARRY((!\led_flash_cnt[999][5]~40875\) # (!\led_flash_cnt[999][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[999][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[999][5]~40875\,
	combout => \led_flash_cnt[999][6]~40876_combout\,
	cout => \led_flash_cnt[999][6]~40877\);

-- Location: FF_X10_Y38_N11
\led_flash_cnt[999][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[999][6]~40876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[999][6]~q\);

-- Location: LCCOMB_X10_Y38_N12
\led_flash_cnt[999][7]~40878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[999][7]~40878_combout\ = \led_flash_cnt[999][6]~40877\ $ (!\led_flash_cnt[999][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[999][7]~q\,
	cin => \led_flash_cnt[999][6]~40877\,
	combout => \led_flash_cnt[999][7]~40878_combout\);

-- Location: FF_X10_Y38_N13
\led_flash_cnt[999][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[999][7]~40878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[999][7]~q\);

-- Location: LCCOMB_X10_Y38_N30
\WideAnd999~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd999~0_combout\ = (\led_flash_cnt[999][4]~q\ & (\led_flash_cnt[999][2]~q\ & (\led_flash_cnt[999][3]~q\ & \led_flash_cnt[999][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[999][4]~q\,
	datab => \led_flash_cnt[999][2]~q\,
	datac => \led_flash_cnt[999][3]~q\,
	datad => \led_flash_cnt[999][1]~q\,
	combout => \WideAnd999~0_combout\);

-- Location: LCCOMB_X11_Y38_N8
\WideAnd999~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd999~1_combout\ = (\led_flash_cnt[999][5]~q\ & \led_flash_cnt[999][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[999][5]~q\,
	datad => \led_flash_cnt[999][6]~q\,
	combout => \WideAnd999~1_combout\);

-- Location: LCCOMB_X11_Y38_N4
WideAnd999 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd999~combout\ = (\led_flash_cnt[999][7]~q\ & (\WideAnd999~0_combout\ & (\WideAnd999~1_combout\ & \led_flash_cnt[999][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[999][7]~q\,
	datab => \WideAnd999~0_combout\,
	datac => \WideAnd999~1_combout\,
	datad => \led_flash_cnt[999][0]~q\,
	combout => \WideAnd999~combout\);

-- Location: FF_X11_Y38_N5
\led_flash_cnt_ands[999]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd999~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(999));

-- Location: LCCOMB_X37_Y7_N18
\led_flash_cnt[997][0]~81637\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[997][0]~81637_combout\ = !\led_flash_cnt[997][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[997][0]~q\,
	combout => \led_flash_cnt[997][0]~81637_combout\);

-- Location: FF_X37_Y7_N19
\led_flash_cnt[997][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[997][0]~81637_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[997][0]~q\);

-- Location: LCCOMB_X37_Y7_N0
\led_flash_cnt[997][1]~40838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[997][1]~40838_combout\ = (\led_flash_cnt[997][1]~q\ & (\led_flash_cnt[997][0]~q\ $ (VCC))) # (!\led_flash_cnt[997][1]~q\ & (\led_flash_cnt[997][0]~q\ & VCC))
-- \led_flash_cnt[997][1]~40839\ = CARRY((\led_flash_cnt[997][1]~q\ & \led_flash_cnt[997][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[997][1]~q\,
	datab => \led_flash_cnt[997][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[997][1]~40838_combout\,
	cout => \led_flash_cnt[997][1]~40839\);

-- Location: FF_X37_Y7_N1
\led_flash_cnt[997][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[997][1]~40838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[997][1]~q\);

-- Location: LCCOMB_X37_Y7_N2
\led_flash_cnt[997][2]~40840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[997][2]~40840_combout\ = (\led_flash_cnt[997][2]~q\ & (!\led_flash_cnt[997][1]~40839\)) # (!\led_flash_cnt[997][2]~q\ & ((\led_flash_cnt[997][1]~40839\) # (GND)))
-- \led_flash_cnt[997][2]~40841\ = CARRY((!\led_flash_cnt[997][1]~40839\) # (!\led_flash_cnt[997][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[997][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[997][1]~40839\,
	combout => \led_flash_cnt[997][2]~40840_combout\,
	cout => \led_flash_cnt[997][2]~40841\);

-- Location: FF_X37_Y7_N3
\led_flash_cnt[997][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[997][2]~40840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[997][2]~q\);

-- Location: LCCOMB_X37_Y7_N4
\led_flash_cnt[997][3]~40842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[997][3]~40842_combout\ = (\led_flash_cnt[997][3]~q\ & (\led_flash_cnt[997][2]~40841\ $ (GND))) # (!\led_flash_cnt[997][3]~q\ & (!\led_flash_cnt[997][2]~40841\ & VCC))
-- \led_flash_cnt[997][3]~40843\ = CARRY((\led_flash_cnt[997][3]~q\ & !\led_flash_cnt[997][2]~40841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[997][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[997][2]~40841\,
	combout => \led_flash_cnt[997][3]~40842_combout\,
	cout => \led_flash_cnt[997][3]~40843\);

-- Location: FF_X37_Y7_N5
\led_flash_cnt[997][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[997][3]~40842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[997][3]~q\);

-- Location: LCCOMB_X37_Y7_N6
\led_flash_cnt[997][4]~40844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[997][4]~40844_combout\ = (\led_flash_cnt[997][4]~q\ & (!\led_flash_cnt[997][3]~40843\)) # (!\led_flash_cnt[997][4]~q\ & ((\led_flash_cnt[997][3]~40843\) # (GND)))
-- \led_flash_cnt[997][4]~40845\ = CARRY((!\led_flash_cnt[997][3]~40843\) # (!\led_flash_cnt[997][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[997][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[997][3]~40843\,
	combout => \led_flash_cnt[997][4]~40844_combout\,
	cout => \led_flash_cnt[997][4]~40845\);

-- Location: FF_X37_Y7_N7
\led_flash_cnt[997][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[997][4]~40844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[997][4]~q\);

-- Location: LCCOMB_X37_Y7_N8
\led_flash_cnt[997][5]~40846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[997][5]~40846_combout\ = (\led_flash_cnt[997][5]~q\ & (\led_flash_cnt[997][4]~40845\ $ (GND))) # (!\led_flash_cnt[997][5]~q\ & (!\led_flash_cnt[997][4]~40845\ & VCC))
-- \led_flash_cnt[997][5]~40847\ = CARRY((\led_flash_cnt[997][5]~q\ & !\led_flash_cnt[997][4]~40845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[997][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[997][4]~40845\,
	combout => \led_flash_cnt[997][5]~40846_combout\,
	cout => \led_flash_cnt[997][5]~40847\);

-- Location: FF_X37_Y7_N9
\led_flash_cnt[997][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[997][5]~40846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[997][5]~q\);

-- Location: LCCOMB_X37_Y7_N10
\led_flash_cnt[997][6]~40848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[997][6]~40848_combout\ = (\led_flash_cnt[997][6]~q\ & (!\led_flash_cnt[997][5]~40847\)) # (!\led_flash_cnt[997][6]~q\ & ((\led_flash_cnt[997][5]~40847\) # (GND)))
-- \led_flash_cnt[997][6]~40849\ = CARRY((!\led_flash_cnt[997][5]~40847\) # (!\led_flash_cnt[997][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[997][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[997][5]~40847\,
	combout => \led_flash_cnt[997][6]~40848_combout\,
	cout => \led_flash_cnt[997][6]~40849\);

-- Location: FF_X37_Y7_N11
\led_flash_cnt[997][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[997][6]~40848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[997][6]~q\);

-- Location: LCCOMB_X37_Y7_N12
\led_flash_cnt[997][7]~40850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[997][7]~40850_combout\ = \led_flash_cnt[997][6]~40849\ $ (!\led_flash_cnt[997][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[997][7]~q\,
	cin => \led_flash_cnt[997][6]~40849\,
	combout => \led_flash_cnt[997][7]~40850_combout\);

-- Location: FF_X37_Y7_N13
\led_flash_cnt[997][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[997][7]~40850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[997][7]~q\);

-- Location: LCCOMB_X37_Y7_N24
\WideAnd997~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd997~0_combout\ = (\led_flash_cnt[997][4]~q\ & (\led_flash_cnt[997][1]~q\ & (\led_flash_cnt[997][3]~q\ & \led_flash_cnt[997][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[997][4]~q\,
	datab => \led_flash_cnt[997][1]~q\,
	datac => \led_flash_cnt[997][3]~q\,
	datad => \led_flash_cnt[997][2]~q\,
	combout => \WideAnd997~0_combout\);

-- Location: LCCOMB_X37_Y7_N30
\WideAnd997~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd997~1_combout\ = (\led_flash_cnt[997][5]~q\ & \led_flash_cnt[997][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[997][5]~q\,
	datad => \led_flash_cnt[997][6]~q\,
	combout => \WideAnd997~1_combout\);

-- Location: LCCOMB_X37_Y7_N14
WideAnd997 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd997~combout\ = (\led_flash_cnt[997][7]~q\ & (\WideAnd997~0_combout\ & (\WideAnd997~1_combout\ & \led_flash_cnt[997][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[997][7]~q\,
	datab => \WideAnd997~0_combout\,
	datac => \WideAnd997~1_combout\,
	datad => \led_flash_cnt[997][0]~q\,
	combout => \WideAnd997~combout\);

-- Location: FF_X37_Y7_N15
\led_flash_cnt_ands[997]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd997~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(997));

-- Location: LCCOMB_X38_Y7_N14
\led_flash_cnt[996][0]~81636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[996][0]~81636_combout\ = !\led_flash_cnt[996][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[996][0]~q\,
	combout => \led_flash_cnt[996][0]~81636_combout\);

-- Location: FF_X38_Y7_N15
\led_flash_cnt[996][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[996][0]~81636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[996][0]~q\);

-- Location: LCCOMB_X38_Y7_N18
\led_flash_cnt[996][1]~40824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[996][1]~40824_combout\ = (\led_flash_cnt[996][0]~q\ & (\led_flash_cnt[996][1]~q\ $ (VCC))) # (!\led_flash_cnt[996][0]~q\ & (\led_flash_cnt[996][1]~q\ & VCC))
-- \led_flash_cnt[996][1]~40825\ = CARRY((\led_flash_cnt[996][0]~q\ & \led_flash_cnt[996][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[996][0]~q\,
	datab => \led_flash_cnt[996][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[996][1]~40824_combout\,
	cout => \led_flash_cnt[996][1]~40825\);

-- Location: FF_X38_Y7_N19
\led_flash_cnt[996][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[996][1]~40824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[996][1]~q\);

-- Location: LCCOMB_X38_Y7_N20
\led_flash_cnt[996][2]~40826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[996][2]~40826_combout\ = (\led_flash_cnt[996][2]~q\ & (!\led_flash_cnt[996][1]~40825\)) # (!\led_flash_cnt[996][2]~q\ & ((\led_flash_cnt[996][1]~40825\) # (GND)))
-- \led_flash_cnt[996][2]~40827\ = CARRY((!\led_flash_cnt[996][1]~40825\) # (!\led_flash_cnt[996][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[996][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[996][1]~40825\,
	combout => \led_flash_cnt[996][2]~40826_combout\,
	cout => \led_flash_cnt[996][2]~40827\);

-- Location: FF_X38_Y7_N21
\led_flash_cnt[996][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[996][2]~40826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[996][2]~q\);

-- Location: LCCOMB_X38_Y7_N22
\led_flash_cnt[996][3]~40828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[996][3]~40828_combout\ = (\led_flash_cnt[996][3]~q\ & (\led_flash_cnt[996][2]~40827\ $ (GND))) # (!\led_flash_cnt[996][3]~q\ & (!\led_flash_cnt[996][2]~40827\ & VCC))
-- \led_flash_cnt[996][3]~40829\ = CARRY((\led_flash_cnt[996][3]~q\ & !\led_flash_cnt[996][2]~40827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[996][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[996][2]~40827\,
	combout => \led_flash_cnt[996][3]~40828_combout\,
	cout => \led_flash_cnt[996][3]~40829\);

-- Location: FF_X38_Y7_N23
\led_flash_cnt[996][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[996][3]~40828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[996][3]~q\);

-- Location: LCCOMB_X38_Y7_N24
\led_flash_cnt[996][4]~40830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[996][4]~40830_combout\ = (\led_flash_cnt[996][4]~q\ & (!\led_flash_cnt[996][3]~40829\)) # (!\led_flash_cnt[996][4]~q\ & ((\led_flash_cnt[996][3]~40829\) # (GND)))
-- \led_flash_cnt[996][4]~40831\ = CARRY((!\led_flash_cnt[996][3]~40829\) # (!\led_flash_cnt[996][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[996][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[996][3]~40829\,
	combout => \led_flash_cnt[996][4]~40830_combout\,
	cout => \led_flash_cnt[996][4]~40831\);

-- Location: FF_X38_Y7_N25
\led_flash_cnt[996][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[996][4]~40830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[996][4]~q\);

-- Location: LCCOMB_X38_Y7_N26
\led_flash_cnt[996][5]~40832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[996][5]~40832_combout\ = (\led_flash_cnt[996][5]~q\ & (\led_flash_cnt[996][4]~40831\ $ (GND))) # (!\led_flash_cnt[996][5]~q\ & (!\led_flash_cnt[996][4]~40831\ & VCC))
-- \led_flash_cnt[996][5]~40833\ = CARRY((\led_flash_cnt[996][5]~q\ & !\led_flash_cnt[996][4]~40831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[996][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[996][4]~40831\,
	combout => \led_flash_cnt[996][5]~40832_combout\,
	cout => \led_flash_cnt[996][5]~40833\);

-- Location: FF_X38_Y7_N27
\led_flash_cnt[996][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[996][5]~40832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[996][5]~q\);

-- Location: LCCOMB_X38_Y7_N28
\led_flash_cnt[996][6]~40834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[996][6]~40834_combout\ = (\led_flash_cnt[996][6]~q\ & (!\led_flash_cnt[996][5]~40833\)) # (!\led_flash_cnt[996][6]~q\ & ((\led_flash_cnt[996][5]~40833\) # (GND)))
-- \led_flash_cnt[996][6]~40835\ = CARRY((!\led_flash_cnt[996][5]~40833\) # (!\led_flash_cnt[996][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[996][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[996][5]~40833\,
	combout => \led_flash_cnt[996][6]~40834_combout\,
	cout => \led_flash_cnt[996][6]~40835\);

-- Location: FF_X38_Y7_N29
\led_flash_cnt[996][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[996][6]~40834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[996][6]~q\);

-- Location: LCCOMB_X38_Y7_N30
\led_flash_cnt[996][7]~40836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[996][7]~40836_combout\ = \led_flash_cnt[996][7]~q\ $ (!\led_flash_cnt[996][6]~40835\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[996][7]~q\,
	cin => \led_flash_cnt[996][6]~40835\,
	combout => \led_flash_cnt[996][7]~40836_combout\);

-- Location: FF_X38_Y7_N31
\led_flash_cnt[996][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[996][7]~40836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[996][7]~q\);

-- Location: LCCOMB_X38_Y7_N16
\WideAnd996~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd996~0_combout\ = (\led_flash_cnt[996][1]~q\ & (\led_flash_cnt[996][4]~q\ & (\led_flash_cnt[996][3]~q\ & \led_flash_cnt[996][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[996][1]~q\,
	datab => \led_flash_cnt[996][4]~q\,
	datac => \led_flash_cnt[996][3]~q\,
	datad => \led_flash_cnt[996][2]~q\,
	combout => \WideAnd996~0_combout\);

-- Location: LCCOMB_X37_Y7_N28
\WideAnd996~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd996~1_combout\ = (\led_flash_cnt[996][6]~q\ & \led_flash_cnt[996][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[996][6]~q\,
	datad => \led_flash_cnt[996][5]~q\,
	combout => \WideAnd996~1_combout\);

-- Location: LCCOMB_X37_Y7_N20
WideAnd996 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd996~combout\ = (\led_flash_cnt[996][7]~q\ & (\WideAnd996~0_combout\ & (\led_flash_cnt[996][0]~q\ & \WideAnd996~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[996][7]~q\,
	datab => \WideAnd996~0_combout\,
	datac => \led_flash_cnt[996][0]~q\,
	datad => \WideAnd996~1_combout\,
	combout => \WideAnd996~combout\);

-- Location: FF_X37_Y7_N21
\led_flash_cnt_ands[996]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd996~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(996));

-- Location: LCCOMB_X37_Y7_N16
\WideAnd3964~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3964~1_combout\ = (led_flash_cnt_ands(997) & led_flash_cnt_ands(996))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(997),
	datad => led_flash_cnt_ands(996),
	combout => \WideAnd3964~1_combout\);

-- Location: LCCOMB_X11_Y38_N12
\led_flash_cnt[998][0]~81638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[998][0]~81638_combout\ = !\led_flash_cnt[998][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[998][0]~q\,
	combout => \led_flash_cnt[998][0]~81638_combout\);

-- Location: FF_X11_Y38_N13
\led_flash_cnt[998][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[998][0]~81638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[998][0]~q\);

-- Location: LCCOMB_X11_Y38_N16
\led_flash_cnt[998][1]~40852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[998][1]~40852_combout\ = (\led_flash_cnt[998][0]~q\ & (\led_flash_cnt[998][1]~q\ $ (VCC))) # (!\led_flash_cnt[998][0]~q\ & (\led_flash_cnt[998][1]~q\ & VCC))
-- \led_flash_cnt[998][1]~40853\ = CARRY((\led_flash_cnt[998][0]~q\ & \led_flash_cnt[998][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[998][0]~q\,
	datab => \led_flash_cnt[998][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[998][1]~40852_combout\,
	cout => \led_flash_cnt[998][1]~40853\);

-- Location: FF_X11_Y38_N17
\led_flash_cnt[998][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[998][1]~40852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[998][1]~q\);

-- Location: LCCOMB_X11_Y38_N18
\led_flash_cnt[998][2]~40854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[998][2]~40854_combout\ = (\led_flash_cnt[998][2]~q\ & (!\led_flash_cnt[998][1]~40853\)) # (!\led_flash_cnt[998][2]~q\ & ((\led_flash_cnt[998][1]~40853\) # (GND)))
-- \led_flash_cnt[998][2]~40855\ = CARRY((!\led_flash_cnt[998][1]~40853\) # (!\led_flash_cnt[998][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[998][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[998][1]~40853\,
	combout => \led_flash_cnt[998][2]~40854_combout\,
	cout => \led_flash_cnt[998][2]~40855\);

-- Location: FF_X11_Y38_N19
\led_flash_cnt[998][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[998][2]~40854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[998][2]~q\);

-- Location: LCCOMB_X11_Y38_N20
\led_flash_cnt[998][3]~40856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[998][3]~40856_combout\ = (\led_flash_cnt[998][3]~q\ & (\led_flash_cnt[998][2]~40855\ $ (GND))) # (!\led_flash_cnt[998][3]~q\ & (!\led_flash_cnt[998][2]~40855\ & VCC))
-- \led_flash_cnt[998][3]~40857\ = CARRY((\led_flash_cnt[998][3]~q\ & !\led_flash_cnt[998][2]~40855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[998][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[998][2]~40855\,
	combout => \led_flash_cnt[998][3]~40856_combout\,
	cout => \led_flash_cnt[998][3]~40857\);

-- Location: FF_X11_Y38_N21
\led_flash_cnt[998][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[998][3]~40856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[998][3]~q\);

-- Location: LCCOMB_X11_Y38_N22
\led_flash_cnt[998][4]~40858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[998][4]~40858_combout\ = (\led_flash_cnt[998][4]~q\ & (!\led_flash_cnt[998][3]~40857\)) # (!\led_flash_cnt[998][4]~q\ & ((\led_flash_cnt[998][3]~40857\) # (GND)))
-- \led_flash_cnt[998][4]~40859\ = CARRY((!\led_flash_cnt[998][3]~40857\) # (!\led_flash_cnt[998][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[998][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[998][3]~40857\,
	combout => \led_flash_cnt[998][4]~40858_combout\,
	cout => \led_flash_cnt[998][4]~40859\);

-- Location: FF_X11_Y38_N23
\led_flash_cnt[998][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[998][4]~40858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[998][4]~q\);

-- Location: LCCOMB_X11_Y38_N24
\led_flash_cnt[998][5]~40860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[998][5]~40860_combout\ = (\led_flash_cnt[998][5]~q\ & (\led_flash_cnt[998][4]~40859\ $ (GND))) # (!\led_flash_cnt[998][5]~q\ & (!\led_flash_cnt[998][4]~40859\ & VCC))
-- \led_flash_cnt[998][5]~40861\ = CARRY((\led_flash_cnt[998][5]~q\ & !\led_flash_cnt[998][4]~40859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[998][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[998][4]~40859\,
	combout => \led_flash_cnt[998][5]~40860_combout\,
	cout => \led_flash_cnt[998][5]~40861\);

-- Location: FF_X11_Y38_N25
\led_flash_cnt[998][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[998][5]~40860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[998][5]~q\);

-- Location: LCCOMB_X11_Y38_N26
\led_flash_cnt[998][6]~40862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[998][6]~40862_combout\ = (\led_flash_cnt[998][6]~q\ & (!\led_flash_cnt[998][5]~40861\)) # (!\led_flash_cnt[998][6]~q\ & ((\led_flash_cnt[998][5]~40861\) # (GND)))
-- \led_flash_cnt[998][6]~40863\ = CARRY((!\led_flash_cnt[998][5]~40861\) # (!\led_flash_cnt[998][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[998][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[998][5]~40861\,
	combout => \led_flash_cnt[998][6]~40862_combout\,
	cout => \led_flash_cnt[998][6]~40863\);

-- Location: FF_X11_Y38_N27
\led_flash_cnt[998][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[998][6]~40862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[998][6]~q\);

-- Location: LCCOMB_X11_Y38_N10
\WideAnd998~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd998~1_combout\ = (\led_flash_cnt[998][6]~q\ & \led_flash_cnt[998][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[998][6]~q\,
	datad => \led_flash_cnt[998][5]~q\,
	combout => \WideAnd998~1_combout\);

-- Location: LCCOMB_X11_Y38_N28
\led_flash_cnt[998][7]~40864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[998][7]~40864_combout\ = \led_flash_cnt[998][6]~40863\ $ (!\led_flash_cnt[998][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[998][7]~q\,
	cin => \led_flash_cnt[998][6]~40863\,
	combout => \led_flash_cnt[998][7]~40864_combout\);

-- Location: FF_X11_Y38_N29
\led_flash_cnt[998][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[998][7]~40864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[998][7]~q\);

-- Location: LCCOMB_X11_Y38_N30
\WideAnd998~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd998~0_combout\ = (\led_flash_cnt[998][2]~q\ & (\led_flash_cnt[998][3]~q\ & (\led_flash_cnt[998][4]~q\ & \led_flash_cnt[998][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[998][2]~q\,
	datab => \led_flash_cnt[998][3]~q\,
	datac => \led_flash_cnt[998][4]~q\,
	datad => \led_flash_cnt[998][1]~q\,
	combout => \WideAnd998~0_combout\);

-- Location: LCCOMB_X11_Y38_N6
WideAnd998 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd998~combout\ = (\WideAnd998~1_combout\ & (\led_flash_cnt[998][7]~q\ & (\WideAnd998~0_combout\ & \led_flash_cnt[998][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd998~1_combout\,
	datab => \led_flash_cnt[998][7]~q\,
	datac => \WideAnd998~0_combout\,
	datad => \led_flash_cnt[998][0]~q\,
	combout => \WideAnd998~combout\);

-- Location: FF_X11_Y38_N7
\led_flash_cnt_ands[998]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd998~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(998));

-- Location: LCCOMB_X11_Y38_N14
WideAnd3964 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3964~combout\ = (\WideAnd3964~0_combout\ & (led_flash_cnt_ands(999) & (\WideAnd3964~1_combout\ & led_flash_cnt_ands(998))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3964~0_combout\,
	datab => led_flash_cnt_ands(999),
	datac => \WideAnd3964~1_combout\,
	datad => led_flash_cnt_ands(998),
	combout => \WideAnd3964~combout\);

-- Location: FF_X11_Y38_N15
\led_flash_cnt_ands_1[124]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3964~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(124));

-- Location: LCCOMB_X61_Y48_N6
\led_flash_cnt[1005][0]~81645\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1005][0]~81645_combout\ = !\led_flash_cnt[1005][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1005][0]~q\,
	combout => \led_flash_cnt[1005][0]~81645_combout\);

-- Location: FF_X61_Y48_N7
\led_flash_cnt[1005][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1005][0]~81645_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1005][0]~q\);

-- Location: LCCOMB_X62_Y48_N2
\led_flash_cnt[1005][1]~40950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1005][1]~40950_combout\ = (\led_flash_cnt[1005][0]~q\ & (\led_flash_cnt[1005][1]~q\ $ (VCC))) # (!\led_flash_cnt[1005][0]~q\ & (\led_flash_cnt[1005][1]~q\ & VCC))
-- \led_flash_cnt[1005][1]~40951\ = CARRY((\led_flash_cnt[1005][0]~q\ & \led_flash_cnt[1005][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1005][0]~q\,
	datab => \led_flash_cnt[1005][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1005][1]~40950_combout\,
	cout => \led_flash_cnt[1005][1]~40951\);

-- Location: FF_X62_Y48_N3
\led_flash_cnt[1005][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1005][1]~40950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1005][1]~q\);

-- Location: LCCOMB_X62_Y48_N4
\led_flash_cnt[1005][2]~40952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1005][2]~40952_combout\ = (\led_flash_cnt[1005][2]~q\ & (!\led_flash_cnt[1005][1]~40951\)) # (!\led_flash_cnt[1005][2]~q\ & ((\led_flash_cnt[1005][1]~40951\) # (GND)))
-- \led_flash_cnt[1005][2]~40953\ = CARRY((!\led_flash_cnt[1005][1]~40951\) # (!\led_flash_cnt[1005][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1005][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1005][1]~40951\,
	combout => \led_flash_cnt[1005][2]~40952_combout\,
	cout => \led_flash_cnt[1005][2]~40953\);

-- Location: FF_X62_Y48_N5
\led_flash_cnt[1005][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1005][2]~40952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1005][2]~q\);

-- Location: LCCOMB_X62_Y48_N6
\led_flash_cnt[1005][3]~40954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1005][3]~40954_combout\ = (\led_flash_cnt[1005][3]~q\ & (\led_flash_cnt[1005][2]~40953\ $ (GND))) # (!\led_flash_cnt[1005][3]~q\ & (!\led_flash_cnt[1005][2]~40953\ & VCC))
-- \led_flash_cnt[1005][3]~40955\ = CARRY((\led_flash_cnt[1005][3]~q\ & !\led_flash_cnt[1005][2]~40953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1005][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1005][2]~40953\,
	combout => \led_flash_cnt[1005][3]~40954_combout\,
	cout => \led_flash_cnt[1005][3]~40955\);

-- Location: FF_X62_Y48_N7
\led_flash_cnt[1005][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1005][3]~40954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1005][3]~q\);

-- Location: LCCOMB_X62_Y48_N8
\led_flash_cnt[1005][4]~40956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1005][4]~40956_combout\ = (\led_flash_cnt[1005][4]~q\ & (!\led_flash_cnt[1005][3]~40955\)) # (!\led_flash_cnt[1005][4]~q\ & ((\led_flash_cnt[1005][3]~40955\) # (GND)))
-- \led_flash_cnt[1005][4]~40957\ = CARRY((!\led_flash_cnt[1005][3]~40955\) # (!\led_flash_cnt[1005][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1005][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1005][3]~40955\,
	combout => \led_flash_cnt[1005][4]~40956_combout\,
	cout => \led_flash_cnt[1005][4]~40957\);

-- Location: FF_X62_Y48_N9
\led_flash_cnt[1005][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1005][4]~40956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1005][4]~q\);

-- Location: LCCOMB_X62_Y48_N30
\WideAnd1005~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1005~0_combout\ = (\led_flash_cnt[1005][3]~q\ & (\led_flash_cnt[1005][4]~q\ & (\led_flash_cnt[1005][2]~q\ & \led_flash_cnt[1005][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1005][3]~q\,
	datab => \led_flash_cnt[1005][4]~q\,
	datac => \led_flash_cnt[1005][2]~q\,
	datad => \led_flash_cnt[1005][1]~q\,
	combout => \WideAnd1005~0_combout\);

-- Location: LCCOMB_X62_Y48_N10
\led_flash_cnt[1005][5]~40958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1005][5]~40958_combout\ = (\led_flash_cnt[1005][5]~q\ & (\led_flash_cnt[1005][4]~40957\ $ (GND))) # (!\led_flash_cnt[1005][5]~q\ & (!\led_flash_cnt[1005][4]~40957\ & VCC))
-- \led_flash_cnt[1005][5]~40959\ = CARRY((\led_flash_cnt[1005][5]~q\ & !\led_flash_cnt[1005][4]~40957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1005][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1005][4]~40957\,
	combout => \led_flash_cnt[1005][5]~40958_combout\,
	cout => \led_flash_cnt[1005][5]~40959\);

-- Location: FF_X62_Y48_N11
\led_flash_cnt[1005][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1005][5]~40958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1005][5]~q\);

-- Location: LCCOMB_X62_Y48_N12
\led_flash_cnt[1005][6]~40960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1005][6]~40960_combout\ = (\led_flash_cnt[1005][6]~q\ & (!\led_flash_cnt[1005][5]~40959\)) # (!\led_flash_cnt[1005][6]~q\ & ((\led_flash_cnt[1005][5]~40959\) # (GND)))
-- \led_flash_cnt[1005][6]~40961\ = CARRY((!\led_flash_cnt[1005][5]~40959\) # (!\led_flash_cnt[1005][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1005][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1005][5]~40959\,
	combout => \led_flash_cnt[1005][6]~40960_combout\,
	cout => \led_flash_cnt[1005][6]~40961\);

-- Location: FF_X62_Y48_N13
\led_flash_cnt[1005][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1005][6]~40960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1005][6]~q\);

-- Location: LCCOMB_X62_Y48_N14
\led_flash_cnt[1005][7]~40962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1005][7]~40962_combout\ = \led_flash_cnt[1005][7]~q\ $ (!\led_flash_cnt[1005][6]~40961\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1005][7]~q\,
	cin => \led_flash_cnt[1005][6]~40961\,
	combout => \led_flash_cnt[1005][7]~40962_combout\);

-- Location: FF_X62_Y48_N15
\led_flash_cnt[1005][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1005][7]~40962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1005][7]~q\);

-- Location: LCCOMB_X61_Y48_N14
\WideAnd1005~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1005~1_combout\ = (\led_flash_cnt[1005][6]~q\ & \led_flash_cnt[1005][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1005][6]~q\,
	datac => \led_flash_cnt[1005][5]~q\,
	combout => \WideAnd1005~1_combout\);

-- Location: LCCOMB_X61_Y48_N8
WideAnd1005 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1005~combout\ = (\WideAnd1005~0_combout\ & (\led_flash_cnt[1005][7]~q\ & (\WideAnd1005~1_combout\ & \led_flash_cnt[1005][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1005~0_combout\,
	datab => \led_flash_cnt[1005][7]~q\,
	datac => \WideAnd1005~1_combout\,
	datad => \led_flash_cnt[1005][0]~q\,
	combout => \WideAnd1005~combout\);

-- Location: FF_X61_Y48_N9
\led_flash_cnt_ands[1005]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1005~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1005));

-- Location: LCCOMB_X61_Y48_N12
\led_flash_cnt[1004][0]~81644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1004][0]~81644_combout\ = !\led_flash_cnt[1004][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1004][0]~q\,
	combout => \led_flash_cnt[1004][0]~81644_combout\);

-- Location: FF_X61_Y48_N13
\led_flash_cnt[1004][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1004][0]~81644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1004][0]~q\);

-- Location: LCCOMB_X61_Y48_N16
\led_flash_cnt[1004][1]~40936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1004][1]~40936_combout\ = (\led_flash_cnt[1004][0]~q\ & (\led_flash_cnt[1004][1]~q\ $ (VCC))) # (!\led_flash_cnt[1004][0]~q\ & (\led_flash_cnt[1004][1]~q\ & VCC))
-- \led_flash_cnt[1004][1]~40937\ = CARRY((\led_flash_cnt[1004][0]~q\ & \led_flash_cnt[1004][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1004][0]~q\,
	datab => \led_flash_cnt[1004][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1004][1]~40936_combout\,
	cout => \led_flash_cnt[1004][1]~40937\);

-- Location: FF_X61_Y48_N17
\led_flash_cnt[1004][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1004][1]~40936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1004][1]~q\);

-- Location: LCCOMB_X61_Y48_N18
\led_flash_cnt[1004][2]~40938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1004][2]~40938_combout\ = (\led_flash_cnt[1004][2]~q\ & (!\led_flash_cnt[1004][1]~40937\)) # (!\led_flash_cnt[1004][2]~q\ & ((\led_flash_cnt[1004][1]~40937\) # (GND)))
-- \led_flash_cnt[1004][2]~40939\ = CARRY((!\led_flash_cnt[1004][1]~40937\) # (!\led_flash_cnt[1004][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1004][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1004][1]~40937\,
	combout => \led_flash_cnt[1004][2]~40938_combout\,
	cout => \led_flash_cnt[1004][2]~40939\);

-- Location: FF_X61_Y48_N19
\led_flash_cnt[1004][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1004][2]~40938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1004][2]~q\);

-- Location: LCCOMB_X61_Y48_N20
\led_flash_cnt[1004][3]~40940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1004][3]~40940_combout\ = (\led_flash_cnt[1004][3]~q\ & (\led_flash_cnt[1004][2]~40939\ $ (GND))) # (!\led_flash_cnt[1004][3]~q\ & (!\led_flash_cnt[1004][2]~40939\ & VCC))
-- \led_flash_cnt[1004][3]~40941\ = CARRY((\led_flash_cnt[1004][3]~q\ & !\led_flash_cnt[1004][2]~40939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1004][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1004][2]~40939\,
	combout => \led_flash_cnt[1004][3]~40940_combout\,
	cout => \led_flash_cnt[1004][3]~40941\);

-- Location: FF_X61_Y48_N21
\led_flash_cnt[1004][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1004][3]~40940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1004][3]~q\);

-- Location: LCCOMB_X61_Y48_N22
\led_flash_cnt[1004][4]~40942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1004][4]~40942_combout\ = (\led_flash_cnt[1004][4]~q\ & (!\led_flash_cnt[1004][3]~40941\)) # (!\led_flash_cnt[1004][4]~q\ & ((\led_flash_cnt[1004][3]~40941\) # (GND)))
-- \led_flash_cnt[1004][4]~40943\ = CARRY((!\led_flash_cnt[1004][3]~40941\) # (!\led_flash_cnt[1004][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1004][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1004][3]~40941\,
	combout => \led_flash_cnt[1004][4]~40942_combout\,
	cout => \led_flash_cnt[1004][4]~40943\);

-- Location: FF_X61_Y48_N23
\led_flash_cnt[1004][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1004][4]~40942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1004][4]~q\);

-- Location: LCCOMB_X61_Y48_N24
\led_flash_cnt[1004][5]~40944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1004][5]~40944_combout\ = (\led_flash_cnt[1004][5]~q\ & (\led_flash_cnt[1004][4]~40943\ $ (GND))) # (!\led_flash_cnt[1004][5]~q\ & (!\led_flash_cnt[1004][4]~40943\ & VCC))
-- \led_flash_cnt[1004][5]~40945\ = CARRY((\led_flash_cnt[1004][5]~q\ & !\led_flash_cnt[1004][4]~40943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1004][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1004][4]~40943\,
	combout => \led_flash_cnt[1004][5]~40944_combout\,
	cout => \led_flash_cnt[1004][5]~40945\);

-- Location: FF_X61_Y48_N25
\led_flash_cnt[1004][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1004][5]~40944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1004][5]~q\);

-- Location: LCCOMB_X61_Y48_N26
\led_flash_cnt[1004][6]~40946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1004][6]~40946_combout\ = (\led_flash_cnt[1004][6]~q\ & (!\led_flash_cnt[1004][5]~40945\)) # (!\led_flash_cnt[1004][6]~q\ & ((\led_flash_cnt[1004][5]~40945\) # (GND)))
-- \led_flash_cnt[1004][6]~40947\ = CARRY((!\led_flash_cnt[1004][5]~40945\) # (!\led_flash_cnt[1004][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1004][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1004][5]~40945\,
	combout => \led_flash_cnt[1004][6]~40946_combout\,
	cout => \led_flash_cnt[1004][6]~40947\);

-- Location: FF_X61_Y48_N27
\led_flash_cnt[1004][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1004][6]~40946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1004][6]~q\);

-- Location: LCCOMB_X61_Y48_N28
\led_flash_cnt[1004][7]~40948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1004][7]~40948_combout\ = \led_flash_cnt[1004][6]~40947\ $ (!\led_flash_cnt[1004][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1004][7]~q\,
	cin => \led_flash_cnt[1004][6]~40947\,
	combout => \led_flash_cnt[1004][7]~40948_combout\);

-- Location: FF_X61_Y48_N29
\led_flash_cnt[1004][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1004][7]~40948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1004][7]~q\);

-- Location: LCCOMB_X61_Y48_N4
\WideAnd1004~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1004~0_combout\ = (\led_flash_cnt[1004][3]~q\ & (\led_flash_cnt[1004][2]~q\ & (\led_flash_cnt[1004][4]~q\ & \led_flash_cnt[1004][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1004][3]~q\,
	datab => \led_flash_cnt[1004][2]~q\,
	datac => \led_flash_cnt[1004][4]~q\,
	datad => \led_flash_cnt[1004][1]~q\,
	combout => \WideAnd1004~0_combout\);

-- Location: LCCOMB_X61_Y48_N10
\WideAnd1004~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1004~1_combout\ = (\led_flash_cnt[1004][6]~q\ & \led_flash_cnt[1004][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1004][6]~q\,
	datad => \led_flash_cnt[1004][5]~q\,
	combout => \WideAnd1004~1_combout\);

-- Location: LCCOMB_X61_Y48_N2
WideAnd1004 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1004~combout\ = (\led_flash_cnt[1004][0]~q\ & (\led_flash_cnt[1004][7]~q\ & (\WideAnd1004~0_combout\ & \WideAnd1004~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1004][0]~q\,
	datab => \led_flash_cnt[1004][7]~q\,
	datac => \WideAnd1004~0_combout\,
	datad => \WideAnd1004~1_combout\,
	combout => \WideAnd1004~combout\);

-- Location: FF_X61_Y48_N3
\led_flash_cnt_ands[1004]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1004~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1004));

-- Location: LCCOMB_X61_Y48_N30
\WideAnd3965~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3965~1_combout\ = (led_flash_cnt_ands(1005) & led_flash_cnt_ands(1004))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(1005),
	datad => led_flash_cnt_ands(1004),
	combout => \WideAnd3965~1_combout\);

-- Location: LCCOMB_X59_Y53_N4
\led_flash_cnt[1003][0]~81643\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1003][0]~81643_combout\ = !\led_flash_cnt[1003][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1003][0]~q\,
	combout => \led_flash_cnt[1003][0]~81643_combout\);

-- Location: FF_X59_Y53_N5
\led_flash_cnt[1003][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1003][0]~81643_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1003][0]~q\);

-- Location: LCCOMB_X59_Y53_N10
\led_flash_cnt[1003][1]~40922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1003][1]~40922_combout\ = (\led_flash_cnt[1003][1]~q\ & (\led_flash_cnt[1003][0]~q\ $ (VCC))) # (!\led_flash_cnt[1003][1]~q\ & (\led_flash_cnt[1003][0]~q\ & VCC))
-- \led_flash_cnt[1003][1]~40923\ = CARRY((\led_flash_cnt[1003][1]~q\ & \led_flash_cnt[1003][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1003][1]~q\,
	datab => \led_flash_cnt[1003][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1003][1]~40922_combout\,
	cout => \led_flash_cnt[1003][1]~40923\);

-- Location: FF_X59_Y53_N11
\led_flash_cnt[1003][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1003][1]~40922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1003][1]~q\);

-- Location: LCCOMB_X59_Y53_N12
\led_flash_cnt[1003][2]~40924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1003][2]~40924_combout\ = (\led_flash_cnt[1003][2]~q\ & (!\led_flash_cnt[1003][1]~40923\)) # (!\led_flash_cnt[1003][2]~q\ & ((\led_flash_cnt[1003][1]~40923\) # (GND)))
-- \led_flash_cnt[1003][2]~40925\ = CARRY((!\led_flash_cnt[1003][1]~40923\) # (!\led_flash_cnt[1003][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1003][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1003][1]~40923\,
	combout => \led_flash_cnt[1003][2]~40924_combout\,
	cout => \led_flash_cnt[1003][2]~40925\);

-- Location: FF_X59_Y53_N13
\led_flash_cnt[1003][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1003][2]~40924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1003][2]~q\);

-- Location: LCCOMB_X59_Y53_N14
\led_flash_cnt[1003][3]~40926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1003][3]~40926_combout\ = (\led_flash_cnt[1003][3]~q\ & (\led_flash_cnt[1003][2]~40925\ $ (GND))) # (!\led_flash_cnt[1003][3]~q\ & (!\led_flash_cnt[1003][2]~40925\ & VCC))
-- \led_flash_cnt[1003][3]~40927\ = CARRY((\led_flash_cnt[1003][3]~q\ & !\led_flash_cnt[1003][2]~40925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1003][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1003][2]~40925\,
	combout => \led_flash_cnt[1003][3]~40926_combout\,
	cout => \led_flash_cnt[1003][3]~40927\);

-- Location: FF_X59_Y53_N15
\led_flash_cnt[1003][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1003][3]~40926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1003][3]~q\);

-- Location: LCCOMB_X59_Y53_N16
\led_flash_cnt[1003][4]~40928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1003][4]~40928_combout\ = (\led_flash_cnt[1003][4]~q\ & (!\led_flash_cnt[1003][3]~40927\)) # (!\led_flash_cnt[1003][4]~q\ & ((\led_flash_cnt[1003][3]~40927\) # (GND)))
-- \led_flash_cnt[1003][4]~40929\ = CARRY((!\led_flash_cnt[1003][3]~40927\) # (!\led_flash_cnt[1003][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1003][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1003][3]~40927\,
	combout => \led_flash_cnt[1003][4]~40928_combout\,
	cout => \led_flash_cnt[1003][4]~40929\);

-- Location: FF_X59_Y53_N17
\led_flash_cnt[1003][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1003][4]~40928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1003][4]~q\);

-- Location: LCCOMB_X59_Y53_N18
\led_flash_cnt[1003][5]~40930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1003][5]~40930_combout\ = (\led_flash_cnt[1003][5]~q\ & (\led_flash_cnt[1003][4]~40929\ $ (GND))) # (!\led_flash_cnt[1003][5]~q\ & (!\led_flash_cnt[1003][4]~40929\ & VCC))
-- \led_flash_cnt[1003][5]~40931\ = CARRY((\led_flash_cnt[1003][5]~q\ & !\led_flash_cnt[1003][4]~40929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1003][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1003][4]~40929\,
	combout => \led_flash_cnt[1003][5]~40930_combout\,
	cout => \led_flash_cnt[1003][5]~40931\);

-- Location: FF_X59_Y53_N19
\led_flash_cnt[1003][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1003][5]~40930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1003][5]~q\);

-- Location: LCCOMB_X59_Y53_N20
\led_flash_cnt[1003][6]~40932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1003][6]~40932_combout\ = (\led_flash_cnt[1003][6]~q\ & (!\led_flash_cnt[1003][5]~40931\)) # (!\led_flash_cnt[1003][6]~q\ & ((\led_flash_cnt[1003][5]~40931\) # (GND)))
-- \led_flash_cnt[1003][6]~40933\ = CARRY((!\led_flash_cnt[1003][5]~40931\) # (!\led_flash_cnt[1003][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1003][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1003][5]~40931\,
	combout => \led_flash_cnt[1003][6]~40932_combout\,
	cout => \led_flash_cnt[1003][6]~40933\);

-- Location: FF_X59_Y53_N21
\led_flash_cnt[1003][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1003][6]~40932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1003][6]~q\);

-- Location: LCCOMB_X59_Y53_N26
\WideAnd1003~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1003~1_combout\ = (\led_flash_cnt[1003][6]~q\ & \led_flash_cnt[1003][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1003][6]~q\,
	datad => \led_flash_cnt[1003][5]~q\,
	combout => \WideAnd1003~1_combout\);

-- Location: LCCOMB_X59_Y53_N22
\led_flash_cnt[1003][7]~40934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1003][7]~40934_combout\ = \led_flash_cnt[1003][7]~q\ $ (!\led_flash_cnt[1003][6]~40933\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1003][7]~q\,
	cin => \led_flash_cnt[1003][6]~40933\,
	combout => \led_flash_cnt[1003][7]~40934_combout\);

-- Location: FF_X59_Y53_N23
\led_flash_cnt[1003][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1003][7]~40934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1003][7]~q\);

-- Location: LCCOMB_X59_Y53_N24
\WideAnd1003~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1003~0_combout\ = (\led_flash_cnt[1003][2]~q\ & (\led_flash_cnt[1003][4]~q\ & (\led_flash_cnt[1003][3]~q\ & \led_flash_cnt[1003][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1003][2]~q\,
	datab => \led_flash_cnt[1003][4]~q\,
	datac => \led_flash_cnt[1003][3]~q\,
	datad => \led_flash_cnt[1003][1]~q\,
	combout => \WideAnd1003~0_combout\);

-- Location: LCCOMB_X59_Y53_N2
WideAnd1003 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1003~combout\ = (\WideAnd1003~1_combout\ & (\led_flash_cnt[1003][0]~q\ & (\led_flash_cnt[1003][7]~q\ & \WideAnd1003~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1003~1_combout\,
	datab => \led_flash_cnt[1003][0]~q\,
	datac => \led_flash_cnt[1003][7]~q\,
	datad => \WideAnd1003~0_combout\,
	combout => \WideAnd1003~combout\);

-- Location: FF_X59_Y53_N3
\led_flash_cnt_ands[1003]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1003~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1003));

-- Location: LCCOMB_X58_Y53_N2
\led_flash_cnt[1001][0]~81641\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1001][0]~81641_combout\ = !\led_flash_cnt[1001][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1001][0]~q\,
	combout => \led_flash_cnt[1001][0]~81641_combout\);

-- Location: FF_X58_Y53_N3
\led_flash_cnt[1001][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1001][0]~81641_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1001][0]~q\);

-- Location: LCCOMB_X57_Y53_N0
\led_flash_cnt[1001][1]~40894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1001][1]~40894_combout\ = (\led_flash_cnt[1001][0]~q\ & (\led_flash_cnt[1001][1]~q\ $ (VCC))) # (!\led_flash_cnt[1001][0]~q\ & (\led_flash_cnt[1001][1]~q\ & VCC))
-- \led_flash_cnt[1001][1]~40895\ = CARRY((\led_flash_cnt[1001][0]~q\ & \led_flash_cnt[1001][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1001][0]~q\,
	datab => \led_flash_cnt[1001][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1001][1]~40894_combout\,
	cout => \led_flash_cnt[1001][1]~40895\);

-- Location: FF_X57_Y53_N1
\led_flash_cnt[1001][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1001][1]~40894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1001][1]~q\);

-- Location: LCCOMB_X57_Y53_N2
\led_flash_cnt[1001][2]~40896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1001][2]~40896_combout\ = (\led_flash_cnt[1001][2]~q\ & (!\led_flash_cnt[1001][1]~40895\)) # (!\led_flash_cnt[1001][2]~q\ & ((\led_flash_cnt[1001][1]~40895\) # (GND)))
-- \led_flash_cnt[1001][2]~40897\ = CARRY((!\led_flash_cnt[1001][1]~40895\) # (!\led_flash_cnt[1001][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1001][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1001][1]~40895\,
	combout => \led_flash_cnt[1001][2]~40896_combout\,
	cout => \led_flash_cnt[1001][2]~40897\);

-- Location: FF_X57_Y53_N3
\led_flash_cnt[1001][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1001][2]~40896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1001][2]~q\);

-- Location: LCCOMB_X57_Y53_N4
\led_flash_cnt[1001][3]~40898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1001][3]~40898_combout\ = (\led_flash_cnt[1001][3]~q\ & (\led_flash_cnt[1001][2]~40897\ $ (GND))) # (!\led_flash_cnt[1001][3]~q\ & (!\led_flash_cnt[1001][2]~40897\ & VCC))
-- \led_flash_cnt[1001][3]~40899\ = CARRY((\led_flash_cnt[1001][3]~q\ & !\led_flash_cnt[1001][2]~40897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1001][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1001][2]~40897\,
	combout => \led_flash_cnt[1001][3]~40898_combout\,
	cout => \led_flash_cnt[1001][3]~40899\);

-- Location: FF_X57_Y53_N5
\led_flash_cnt[1001][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1001][3]~40898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1001][3]~q\);

-- Location: LCCOMB_X57_Y53_N6
\led_flash_cnt[1001][4]~40900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1001][4]~40900_combout\ = (\led_flash_cnt[1001][4]~q\ & (!\led_flash_cnt[1001][3]~40899\)) # (!\led_flash_cnt[1001][4]~q\ & ((\led_flash_cnt[1001][3]~40899\) # (GND)))
-- \led_flash_cnt[1001][4]~40901\ = CARRY((!\led_flash_cnt[1001][3]~40899\) # (!\led_flash_cnt[1001][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1001][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1001][3]~40899\,
	combout => \led_flash_cnt[1001][4]~40900_combout\,
	cout => \led_flash_cnt[1001][4]~40901\);

-- Location: FF_X57_Y53_N7
\led_flash_cnt[1001][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1001][4]~40900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1001][4]~q\);

-- Location: LCCOMB_X57_Y53_N8
\led_flash_cnt[1001][5]~40902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1001][5]~40902_combout\ = (\led_flash_cnt[1001][5]~q\ & (\led_flash_cnt[1001][4]~40901\ $ (GND))) # (!\led_flash_cnt[1001][5]~q\ & (!\led_flash_cnt[1001][4]~40901\ & VCC))
-- \led_flash_cnt[1001][5]~40903\ = CARRY((\led_flash_cnt[1001][5]~q\ & !\led_flash_cnt[1001][4]~40901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1001][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1001][4]~40901\,
	combout => \led_flash_cnt[1001][5]~40902_combout\,
	cout => \led_flash_cnt[1001][5]~40903\);

-- Location: FF_X57_Y53_N9
\led_flash_cnt[1001][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1001][5]~40902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1001][5]~q\);

-- Location: LCCOMB_X57_Y53_N10
\led_flash_cnt[1001][6]~40904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1001][6]~40904_combout\ = (\led_flash_cnt[1001][6]~q\ & (!\led_flash_cnt[1001][5]~40903\)) # (!\led_flash_cnt[1001][6]~q\ & ((\led_flash_cnt[1001][5]~40903\) # (GND)))
-- \led_flash_cnt[1001][6]~40905\ = CARRY((!\led_flash_cnt[1001][5]~40903\) # (!\led_flash_cnt[1001][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1001][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1001][5]~40903\,
	combout => \led_flash_cnt[1001][6]~40904_combout\,
	cout => \led_flash_cnt[1001][6]~40905\);

-- Location: FF_X57_Y53_N11
\led_flash_cnt[1001][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1001][6]~40904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1001][6]~q\);

-- Location: LCCOMB_X57_Y53_N12
\led_flash_cnt[1001][7]~40906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1001][7]~40906_combout\ = \led_flash_cnt[1001][6]~40905\ $ (!\led_flash_cnt[1001][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1001][7]~q\,
	cin => \led_flash_cnt[1001][6]~40905\,
	combout => \led_flash_cnt[1001][7]~40906_combout\);

-- Location: FF_X57_Y53_N13
\led_flash_cnt[1001][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1001][7]~40906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1001][7]~q\);

-- Location: LCCOMB_X58_Y53_N8
\WideAnd1001~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1001~1_combout\ = (\led_flash_cnt[1001][7]~q\ & \led_flash_cnt[1001][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1001][7]~q\,
	datad => \led_flash_cnt[1001][5]~q\,
	combout => \WideAnd1001~1_combout\);

-- Location: LCCOMB_X57_Y53_N14
\WideAnd1001~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1001~0_combout\ = (\led_flash_cnt[1001][4]~q\ & (\led_flash_cnt[1001][2]~q\ & (\led_flash_cnt[1001][3]~q\ & \led_flash_cnt[1001][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1001][4]~q\,
	datab => \led_flash_cnt[1001][2]~q\,
	datac => \led_flash_cnt[1001][3]~q\,
	datad => \led_flash_cnt[1001][1]~q\,
	combout => \WideAnd1001~0_combout\);

-- Location: LCCOMB_X58_Y53_N28
WideAnd1001 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1001~combout\ = (\led_flash_cnt[1001][6]~q\ & (\WideAnd1001~1_combout\ & (\led_flash_cnt[1001][0]~q\ & \WideAnd1001~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1001][6]~q\,
	datab => \WideAnd1001~1_combout\,
	datac => \led_flash_cnt[1001][0]~q\,
	datad => \WideAnd1001~0_combout\,
	combout => \WideAnd1001~combout\);

-- Location: FF_X58_Y53_N29
\led_flash_cnt_ands[1001]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1001~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1001));

-- Location: LCCOMB_X58_Y50_N4
\led_flash_cnt[1000][0]~81640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1000][0]~81640_combout\ = !\led_flash_cnt[1000][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1000][0]~q\,
	combout => \led_flash_cnt[1000][0]~81640_combout\);

-- Location: FF_X58_Y50_N5
\led_flash_cnt[1000][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1000][0]~81640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1000][0]~q\);

-- Location: LCCOMB_X58_Y50_N10
\led_flash_cnt[1000][1]~40880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1000][1]~40880_combout\ = (\led_flash_cnt[1000][1]~q\ & (\led_flash_cnt[1000][0]~q\ $ (VCC))) # (!\led_flash_cnt[1000][1]~q\ & (\led_flash_cnt[1000][0]~q\ & VCC))
-- \led_flash_cnt[1000][1]~40881\ = CARRY((\led_flash_cnt[1000][1]~q\ & \led_flash_cnt[1000][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1000][1]~q\,
	datab => \led_flash_cnt[1000][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1000][1]~40880_combout\,
	cout => \led_flash_cnt[1000][1]~40881\);

-- Location: FF_X58_Y50_N11
\led_flash_cnt[1000][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1000][1]~40880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1000][1]~q\);

-- Location: LCCOMB_X58_Y50_N12
\led_flash_cnt[1000][2]~40882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1000][2]~40882_combout\ = (\led_flash_cnt[1000][2]~q\ & (!\led_flash_cnt[1000][1]~40881\)) # (!\led_flash_cnt[1000][2]~q\ & ((\led_flash_cnt[1000][1]~40881\) # (GND)))
-- \led_flash_cnt[1000][2]~40883\ = CARRY((!\led_flash_cnt[1000][1]~40881\) # (!\led_flash_cnt[1000][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1000][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1000][1]~40881\,
	combout => \led_flash_cnt[1000][2]~40882_combout\,
	cout => \led_flash_cnt[1000][2]~40883\);

-- Location: FF_X58_Y50_N13
\led_flash_cnt[1000][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1000][2]~40882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1000][2]~q\);

-- Location: LCCOMB_X58_Y50_N14
\led_flash_cnt[1000][3]~40884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1000][3]~40884_combout\ = (\led_flash_cnt[1000][3]~q\ & (\led_flash_cnt[1000][2]~40883\ $ (GND))) # (!\led_flash_cnt[1000][3]~q\ & (!\led_flash_cnt[1000][2]~40883\ & VCC))
-- \led_flash_cnt[1000][3]~40885\ = CARRY((\led_flash_cnt[1000][3]~q\ & !\led_flash_cnt[1000][2]~40883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1000][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1000][2]~40883\,
	combout => \led_flash_cnt[1000][3]~40884_combout\,
	cout => \led_flash_cnt[1000][3]~40885\);

-- Location: FF_X58_Y50_N15
\led_flash_cnt[1000][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1000][3]~40884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1000][3]~q\);

-- Location: LCCOMB_X58_Y50_N16
\led_flash_cnt[1000][4]~40886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1000][4]~40886_combout\ = (\led_flash_cnt[1000][4]~q\ & (!\led_flash_cnt[1000][3]~40885\)) # (!\led_flash_cnt[1000][4]~q\ & ((\led_flash_cnt[1000][3]~40885\) # (GND)))
-- \led_flash_cnt[1000][4]~40887\ = CARRY((!\led_flash_cnt[1000][3]~40885\) # (!\led_flash_cnt[1000][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1000][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1000][3]~40885\,
	combout => \led_flash_cnt[1000][4]~40886_combout\,
	cout => \led_flash_cnt[1000][4]~40887\);

-- Location: FF_X58_Y50_N17
\led_flash_cnt[1000][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1000][4]~40886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1000][4]~q\);

-- Location: LCCOMB_X58_Y50_N18
\led_flash_cnt[1000][5]~40888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1000][5]~40888_combout\ = (\led_flash_cnt[1000][5]~q\ & (\led_flash_cnt[1000][4]~40887\ $ (GND))) # (!\led_flash_cnt[1000][5]~q\ & (!\led_flash_cnt[1000][4]~40887\ & VCC))
-- \led_flash_cnt[1000][5]~40889\ = CARRY((\led_flash_cnt[1000][5]~q\ & !\led_flash_cnt[1000][4]~40887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1000][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1000][4]~40887\,
	combout => \led_flash_cnt[1000][5]~40888_combout\,
	cout => \led_flash_cnt[1000][5]~40889\);

-- Location: FF_X58_Y50_N19
\led_flash_cnt[1000][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1000][5]~40888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1000][5]~q\);

-- Location: LCCOMB_X58_Y50_N20
\led_flash_cnt[1000][6]~40890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1000][6]~40890_combout\ = (\led_flash_cnt[1000][6]~q\ & (!\led_flash_cnt[1000][5]~40889\)) # (!\led_flash_cnt[1000][6]~q\ & ((\led_flash_cnt[1000][5]~40889\) # (GND)))
-- \led_flash_cnt[1000][6]~40891\ = CARRY((!\led_flash_cnt[1000][5]~40889\) # (!\led_flash_cnt[1000][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1000][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1000][5]~40889\,
	combout => \led_flash_cnt[1000][6]~40890_combout\,
	cout => \led_flash_cnt[1000][6]~40891\);

-- Location: FF_X58_Y50_N21
\led_flash_cnt[1000][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1000][6]~40890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1000][6]~q\);

-- Location: LCCOMB_X58_Y50_N26
\WideAnd1000~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1000~1_combout\ = (\led_flash_cnt[1000][6]~q\ & \led_flash_cnt[1000][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1000][6]~q\,
	datad => \led_flash_cnt[1000][5]~q\,
	combout => \WideAnd1000~1_combout\);

-- Location: LCCOMB_X58_Y50_N22
\led_flash_cnt[1000][7]~40892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1000][7]~40892_combout\ = \led_flash_cnt[1000][7]~q\ $ (!\led_flash_cnt[1000][6]~40891\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1000][7]~q\,
	cin => \led_flash_cnt[1000][6]~40891\,
	combout => \led_flash_cnt[1000][7]~40892_combout\);

-- Location: FF_X58_Y50_N23
\led_flash_cnt[1000][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1000][7]~40892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1000][7]~q\);

-- Location: LCCOMB_X58_Y50_N24
\WideAnd1000~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1000~0_combout\ = (\led_flash_cnt[1000][2]~q\ & (\led_flash_cnt[1000][4]~q\ & (\led_flash_cnt[1000][3]~q\ & \led_flash_cnt[1000][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1000][2]~q\,
	datab => \led_flash_cnt[1000][4]~q\,
	datac => \led_flash_cnt[1000][3]~q\,
	datad => \led_flash_cnt[1000][1]~q\,
	combout => \WideAnd1000~0_combout\);

-- Location: LCCOMB_X58_Y50_N8
WideAnd1000 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1000~combout\ = (\WideAnd1000~1_combout\ & (\led_flash_cnt[1000][0]~q\ & (\led_flash_cnt[1000][7]~q\ & \WideAnd1000~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1000~1_combout\,
	datab => \led_flash_cnt[1000][0]~q\,
	datac => \led_flash_cnt[1000][7]~q\,
	datad => \WideAnd1000~0_combout\,
	combout => \WideAnd1000~combout\);

-- Location: FF_X58_Y50_N9
\led_flash_cnt_ands[1000]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1000~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1000));

-- Location: LCCOMB_X58_Y53_N26
\led_flash_cnt[1002][0]~81642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1002][0]~81642_combout\ = !\led_flash_cnt[1002][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1002][0]~q\,
	combout => \led_flash_cnt[1002][0]~81642_combout\);

-- Location: FF_X58_Y53_N27
\led_flash_cnt[1002][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1002][0]~81642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1002][0]~q\);

-- Location: LCCOMB_X58_Y53_N10
\led_flash_cnt[1002][1]~40908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1002][1]~40908_combout\ = (\led_flash_cnt[1002][1]~q\ & (\led_flash_cnt[1002][0]~q\ $ (VCC))) # (!\led_flash_cnt[1002][1]~q\ & (\led_flash_cnt[1002][0]~q\ & VCC))
-- \led_flash_cnt[1002][1]~40909\ = CARRY((\led_flash_cnt[1002][1]~q\ & \led_flash_cnt[1002][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1002][1]~q\,
	datab => \led_flash_cnt[1002][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1002][1]~40908_combout\,
	cout => \led_flash_cnt[1002][1]~40909\);

-- Location: FF_X58_Y53_N11
\led_flash_cnt[1002][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1002][1]~40908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1002][1]~q\);

-- Location: LCCOMB_X58_Y53_N12
\led_flash_cnt[1002][2]~40910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1002][2]~40910_combout\ = (\led_flash_cnt[1002][2]~q\ & (!\led_flash_cnt[1002][1]~40909\)) # (!\led_flash_cnt[1002][2]~q\ & ((\led_flash_cnt[1002][1]~40909\) # (GND)))
-- \led_flash_cnt[1002][2]~40911\ = CARRY((!\led_flash_cnt[1002][1]~40909\) # (!\led_flash_cnt[1002][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1002][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1002][1]~40909\,
	combout => \led_flash_cnt[1002][2]~40910_combout\,
	cout => \led_flash_cnt[1002][2]~40911\);

-- Location: FF_X58_Y53_N13
\led_flash_cnt[1002][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1002][2]~40910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1002][2]~q\);

-- Location: LCCOMB_X58_Y53_N14
\led_flash_cnt[1002][3]~40912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1002][3]~40912_combout\ = (\led_flash_cnt[1002][3]~q\ & (\led_flash_cnt[1002][2]~40911\ $ (GND))) # (!\led_flash_cnt[1002][3]~q\ & (!\led_flash_cnt[1002][2]~40911\ & VCC))
-- \led_flash_cnt[1002][3]~40913\ = CARRY((\led_flash_cnt[1002][3]~q\ & !\led_flash_cnt[1002][2]~40911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1002][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1002][2]~40911\,
	combout => \led_flash_cnt[1002][3]~40912_combout\,
	cout => \led_flash_cnt[1002][3]~40913\);

-- Location: FF_X58_Y53_N15
\led_flash_cnt[1002][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1002][3]~40912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1002][3]~q\);

-- Location: LCCOMB_X58_Y53_N16
\led_flash_cnt[1002][4]~40914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1002][4]~40914_combout\ = (\led_flash_cnt[1002][4]~q\ & (!\led_flash_cnt[1002][3]~40913\)) # (!\led_flash_cnt[1002][4]~q\ & ((\led_flash_cnt[1002][3]~40913\) # (GND)))
-- \led_flash_cnt[1002][4]~40915\ = CARRY((!\led_flash_cnt[1002][3]~40913\) # (!\led_flash_cnt[1002][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1002][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1002][3]~40913\,
	combout => \led_flash_cnt[1002][4]~40914_combout\,
	cout => \led_flash_cnt[1002][4]~40915\);

-- Location: FF_X58_Y53_N17
\led_flash_cnt[1002][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1002][4]~40914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1002][4]~q\);

-- Location: LCCOMB_X58_Y53_N18
\led_flash_cnt[1002][5]~40916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1002][5]~40916_combout\ = (\led_flash_cnt[1002][5]~q\ & (\led_flash_cnt[1002][4]~40915\ $ (GND))) # (!\led_flash_cnt[1002][5]~q\ & (!\led_flash_cnt[1002][4]~40915\ & VCC))
-- \led_flash_cnt[1002][5]~40917\ = CARRY((\led_flash_cnt[1002][5]~q\ & !\led_flash_cnt[1002][4]~40915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1002][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1002][4]~40915\,
	combout => \led_flash_cnt[1002][5]~40916_combout\,
	cout => \led_flash_cnt[1002][5]~40917\);

-- Location: FF_X58_Y53_N19
\led_flash_cnt[1002][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1002][5]~40916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1002][5]~q\);

-- Location: LCCOMB_X58_Y53_N20
\led_flash_cnt[1002][6]~40918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1002][6]~40918_combout\ = (\led_flash_cnt[1002][6]~q\ & (!\led_flash_cnt[1002][5]~40917\)) # (!\led_flash_cnt[1002][6]~q\ & ((\led_flash_cnt[1002][5]~40917\) # (GND)))
-- \led_flash_cnt[1002][6]~40919\ = CARRY((!\led_flash_cnt[1002][5]~40917\) # (!\led_flash_cnt[1002][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1002][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1002][5]~40917\,
	combout => \led_flash_cnt[1002][6]~40918_combout\,
	cout => \led_flash_cnt[1002][6]~40919\);

-- Location: FF_X58_Y53_N21
\led_flash_cnt[1002][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1002][6]~40918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1002][6]~q\);

-- Location: LCCOMB_X58_Y53_N22
\led_flash_cnt[1002][7]~40920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1002][7]~40920_combout\ = \led_flash_cnt[1002][7]~q\ $ (!\led_flash_cnt[1002][6]~40919\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1002][7]~q\,
	cin => \led_flash_cnt[1002][6]~40919\,
	combout => \led_flash_cnt[1002][7]~40920_combout\);

-- Location: FF_X58_Y53_N23
\led_flash_cnt[1002][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1002][7]~40920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1002][7]~q\);

-- Location: LCCOMB_X58_Y53_N4
\WideAnd1002~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1002~0_combout\ = (\led_flash_cnt[1002][1]~q\ & (\led_flash_cnt[1002][4]~q\ & (\led_flash_cnt[1002][3]~q\ & \led_flash_cnt[1002][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1002][1]~q\,
	datab => \led_flash_cnt[1002][4]~q\,
	datac => \led_flash_cnt[1002][3]~q\,
	datad => \led_flash_cnt[1002][2]~q\,
	combout => \WideAnd1002~0_combout\);

-- Location: LCCOMB_X58_Y53_N0
\WideAnd1002~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1002~1_combout\ = (\led_flash_cnt[1002][6]~q\ & \led_flash_cnt[1002][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1002][6]~q\,
	datad => \led_flash_cnt[1002][5]~q\,
	combout => \WideAnd1002~1_combout\);

-- Location: LCCOMB_X58_Y53_N24
WideAnd1002 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1002~combout\ = (\led_flash_cnt[1002][7]~q\ & (\WideAnd1002~0_combout\ & (\led_flash_cnt[1002][0]~q\ & \WideAnd1002~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1002][7]~q\,
	datab => \WideAnd1002~0_combout\,
	datac => \led_flash_cnt[1002][0]~q\,
	datad => \WideAnd1002~1_combout\,
	combout => \WideAnd1002~combout\);

-- Location: FF_X58_Y53_N25
\led_flash_cnt_ands[1002]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1002~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1002));

-- Location: LCCOMB_X58_Y53_N6
\WideAnd3965~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3965~0_combout\ = (led_flash_cnt_ands(1003) & (led_flash_cnt_ands(1001) & (led_flash_cnt_ands(1000) & led_flash_cnt_ands(1002))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(1003),
	datab => led_flash_cnt_ands(1001),
	datac => led_flash_cnt_ands(1000),
	datad => led_flash_cnt_ands(1002),
	combout => \WideAnd3965~0_combout\);

-- Location: LCCOMB_X62_Y47_N8
\led_flash_cnt[1007][0]~81647\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1007][0]~81647_combout\ = !\led_flash_cnt[1007][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1007][0]~q\,
	combout => \led_flash_cnt[1007][0]~81647_combout\);

-- Location: FF_X62_Y47_N9
\led_flash_cnt[1007][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1007][0]~81647_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1007][0]~q\);

-- Location: LCCOMB_X63_Y47_N16
\led_flash_cnt[1007][1]~40978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1007][1]~40978_combout\ = (\led_flash_cnt[1007][0]~q\ & (\led_flash_cnt[1007][1]~q\ $ (VCC))) # (!\led_flash_cnt[1007][0]~q\ & (\led_flash_cnt[1007][1]~q\ & VCC))
-- \led_flash_cnt[1007][1]~40979\ = CARRY((\led_flash_cnt[1007][0]~q\ & \led_flash_cnt[1007][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1007][0]~q\,
	datab => \led_flash_cnt[1007][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1007][1]~40978_combout\,
	cout => \led_flash_cnt[1007][1]~40979\);

-- Location: FF_X63_Y47_N17
\led_flash_cnt[1007][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1007][1]~40978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1007][1]~q\);

-- Location: LCCOMB_X63_Y47_N18
\led_flash_cnt[1007][2]~40980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1007][2]~40980_combout\ = (\led_flash_cnt[1007][2]~q\ & (!\led_flash_cnt[1007][1]~40979\)) # (!\led_flash_cnt[1007][2]~q\ & ((\led_flash_cnt[1007][1]~40979\) # (GND)))
-- \led_flash_cnt[1007][2]~40981\ = CARRY((!\led_flash_cnt[1007][1]~40979\) # (!\led_flash_cnt[1007][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1007][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1007][1]~40979\,
	combout => \led_flash_cnt[1007][2]~40980_combout\,
	cout => \led_flash_cnt[1007][2]~40981\);

-- Location: FF_X63_Y47_N19
\led_flash_cnt[1007][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1007][2]~40980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1007][2]~q\);

-- Location: LCCOMB_X63_Y47_N20
\led_flash_cnt[1007][3]~40982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1007][3]~40982_combout\ = (\led_flash_cnt[1007][3]~q\ & (\led_flash_cnt[1007][2]~40981\ $ (GND))) # (!\led_flash_cnt[1007][3]~q\ & (!\led_flash_cnt[1007][2]~40981\ & VCC))
-- \led_flash_cnt[1007][3]~40983\ = CARRY((\led_flash_cnt[1007][3]~q\ & !\led_flash_cnt[1007][2]~40981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1007][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1007][2]~40981\,
	combout => \led_flash_cnt[1007][3]~40982_combout\,
	cout => \led_flash_cnt[1007][3]~40983\);

-- Location: FF_X63_Y47_N21
\led_flash_cnt[1007][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1007][3]~40982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1007][3]~q\);

-- Location: LCCOMB_X63_Y47_N22
\led_flash_cnt[1007][4]~40984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1007][4]~40984_combout\ = (\led_flash_cnt[1007][4]~q\ & (!\led_flash_cnt[1007][3]~40983\)) # (!\led_flash_cnt[1007][4]~q\ & ((\led_flash_cnt[1007][3]~40983\) # (GND)))
-- \led_flash_cnt[1007][4]~40985\ = CARRY((!\led_flash_cnt[1007][3]~40983\) # (!\led_flash_cnt[1007][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1007][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1007][3]~40983\,
	combout => \led_flash_cnt[1007][4]~40984_combout\,
	cout => \led_flash_cnt[1007][4]~40985\);

-- Location: FF_X63_Y47_N23
\led_flash_cnt[1007][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1007][4]~40984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1007][4]~q\);

-- Location: LCCOMB_X63_Y47_N24
\led_flash_cnt[1007][5]~40986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1007][5]~40986_combout\ = (\led_flash_cnt[1007][5]~q\ & (\led_flash_cnt[1007][4]~40985\ $ (GND))) # (!\led_flash_cnt[1007][5]~q\ & (!\led_flash_cnt[1007][4]~40985\ & VCC))
-- \led_flash_cnt[1007][5]~40987\ = CARRY((\led_flash_cnt[1007][5]~q\ & !\led_flash_cnt[1007][4]~40985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1007][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1007][4]~40985\,
	combout => \led_flash_cnt[1007][5]~40986_combout\,
	cout => \led_flash_cnt[1007][5]~40987\);

-- Location: FF_X63_Y47_N25
\led_flash_cnt[1007][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1007][5]~40986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1007][5]~q\);

-- Location: LCCOMB_X63_Y47_N26
\led_flash_cnt[1007][6]~40988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1007][6]~40988_combout\ = (\led_flash_cnt[1007][6]~q\ & (!\led_flash_cnt[1007][5]~40987\)) # (!\led_flash_cnt[1007][6]~q\ & ((\led_flash_cnt[1007][5]~40987\) # (GND)))
-- \led_flash_cnt[1007][6]~40989\ = CARRY((!\led_flash_cnt[1007][5]~40987\) # (!\led_flash_cnt[1007][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1007][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1007][5]~40987\,
	combout => \led_flash_cnt[1007][6]~40988_combout\,
	cout => \led_flash_cnt[1007][6]~40989\);

-- Location: FF_X63_Y47_N27
\led_flash_cnt[1007][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1007][6]~40988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1007][6]~q\);

-- Location: LCCOMB_X63_Y47_N28
\led_flash_cnt[1007][7]~40990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1007][7]~40990_combout\ = \led_flash_cnt[1007][6]~40989\ $ (!\led_flash_cnt[1007][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[1007][7]~q\,
	cin => \led_flash_cnt[1007][6]~40989\,
	combout => \led_flash_cnt[1007][7]~40990_combout\);

-- Location: FF_X63_Y47_N29
\led_flash_cnt[1007][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1007][7]~40990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1007][7]~q\);

-- Location: LCCOMB_X63_Y47_N30
\WideAnd1007~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1007~0_combout\ = (\led_flash_cnt[1007][1]~q\ & (\led_flash_cnt[1007][3]~q\ & (\led_flash_cnt[1007][4]~q\ & \led_flash_cnt[1007][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1007][1]~q\,
	datab => \led_flash_cnt[1007][3]~q\,
	datac => \led_flash_cnt[1007][4]~q\,
	datad => \led_flash_cnt[1007][2]~q\,
	combout => \WideAnd1007~0_combout\);

-- Location: LCCOMB_X62_Y47_N6
\WideAnd1007~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1007~1_combout\ = (\led_flash_cnt[1007][6]~q\ & \led_flash_cnt[1007][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1007][6]~q\,
	datad => \led_flash_cnt[1007][5]~q\,
	combout => \WideAnd1007~1_combout\);

-- Location: LCCOMB_X62_Y47_N12
WideAnd1007 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1007~combout\ = (\led_flash_cnt[1007][7]~q\ & (\led_flash_cnt[1007][0]~q\ & (\WideAnd1007~0_combout\ & \WideAnd1007~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1007][7]~q\,
	datab => \led_flash_cnt[1007][0]~q\,
	datac => \WideAnd1007~0_combout\,
	datad => \WideAnd1007~1_combout\,
	combout => \WideAnd1007~combout\);

-- Location: FF_X62_Y47_N13
\led_flash_cnt_ands[1007]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1007~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1007));

-- Location: LCCOMB_X62_Y47_N10
\led_flash_cnt[1006][0]~81646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1006][0]~81646_combout\ = !\led_flash_cnt[1006][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1006][0]~q\,
	combout => \led_flash_cnt[1006][0]~81646_combout\);

-- Location: FF_X62_Y47_N11
\led_flash_cnt[1006][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1006][0]~81646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1006][0]~q\);

-- Location: LCCOMB_X62_Y47_N14
\led_flash_cnt[1006][1]~40964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1006][1]~40964_combout\ = (\led_flash_cnt[1006][0]~q\ & (\led_flash_cnt[1006][1]~q\ $ (VCC))) # (!\led_flash_cnt[1006][0]~q\ & (\led_flash_cnt[1006][1]~q\ & VCC))
-- \led_flash_cnt[1006][1]~40965\ = CARRY((\led_flash_cnt[1006][0]~q\ & \led_flash_cnt[1006][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1006][0]~q\,
	datab => \led_flash_cnt[1006][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1006][1]~40964_combout\,
	cout => \led_flash_cnt[1006][1]~40965\);

-- Location: FF_X62_Y47_N15
\led_flash_cnt[1006][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1006][1]~40964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1006][1]~q\);

-- Location: LCCOMB_X62_Y47_N16
\led_flash_cnt[1006][2]~40966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1006][2]~40966_combout\ = (\led_flash_cnt[1006][2]~q\ & (!\led_flash_cnt[1006][1]~40965\)) # (!\led_flash_cnt[1006][2]~q\ & ((\led_flash_cnt[1006][1]~40965\) # (GND)))
-- \led_flash_cnt[1006][2]~40967\ = CARRY((!\led_flash_cnt[1006][1]~40965\) # (!\led_flash_cnt[1006][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1006][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1006][1]~40965\,
	combout => \led_flash_cnt[1006][2]~40966_combout\,
	cout => \led_flash_cnt[1006][2]~40967\);

-- Location: FF_X62_Y47_N17
\led_flash_cnt[1006][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1006][2]~40966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1006][2]~q\);

-- Location: LCCOMB_X62_Y47_N18
\led_flash_cnt[1006][3]~40968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1006][3]~40968_combout\ = (\led_flash_cnt[1006][3]~q\ & (\led_flash_cnt[1006][2]~40967\ $ (GND))) # (!\led_flash_cnt[1006][3]~q\ & (!\led_flash_cnt[1006][2]~40967\ & VCC))
-- \led_flash_cnt[1006][3]~40969\ = CARRY((\led_flash_cnt[1006][3]~q\ & !\led_flash_cnt[1006][2]~40967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1006][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1006][2]~40967\,
	combout => \led_flash_cnt[1006][3]~40968_combout\,
	cout => \led_flash_cnt[1006][3]~40969\);

-- Location: FF_X62_Y47_N19
\led_flash_cnt[1006][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1006][3]~40968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1006][3]~q\);

-- Location: LCCOMB_X62_Y47_N20
\led_flash_cnt[1006][4]~40970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1006][4]~40970_combout\ = (\led_flash_cnt[1006][4]~q\ & (!\led_flash_cnt[1006][3]~40969\)) # (!\led_flash_cnt[1006][4]~q\ & ((\led_flash_cnt[1006][3]~40969\) # (GND)))
-- \led_flash_cnt[1006][4]~40971\ = CARRY((!\led_flash_cnt[1006][3]~40969\) # (!\led_flash_cnt[1006][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1006][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1006][3]~40969\,
	combout => \led_flash_cnt[1006][4]~40970_combout\,
	cout => \led_flash_cnt[1006][4]~40971\);

-- Location: FF_X62_Y47_N21
\led_flash_cnt[1006][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1006][4]~40970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1006][4]~q\);

-- Location: LCCOMB_X62_Y47_N22
\led_flash_cnt[1006][5]~40972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1006][5]~40972_combout\ = (\led_flash_cnt[1006][5]~q\ & (\led_flash_cnt[1006][4]~40971\ $ (GND))) # (!\led_flash_cnt[1006][5]~q\ & (!\led_flash_cnt[1006][4]~40971\ & VCC))
-- \led_flash_cnt[1006][5]~40973\ = CARRY((\led_flash_cnt[1006][5]~q\ & !\led_flash_cnt[1006][4]~40971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1006][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1006][4]~40971\,
	combout => \led_flash_cnt[1006][5]~40972_combout\,
	cout => \led_flash_cnt[1006][5]~40973\);

-- Location: FF_X62_Y47_N23
\led_flash_cnt[1006][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1006][5]~40972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1006][5]~q\);

-- Location: LCCOMB_X62_Y47_N24
\led_flash_cnt[1006][6]~40974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1006][6]~40974_combout\ = (\led_flash_cnt[1006][6]~q\ & (!\led_flash_cnt[1006][5]~40973\)) # (!\led_flash_cnt[1006][6]~q\ & ((\led_flash_cnt[1006][5]~40973\) # (GND)))
-- \led_flash_cnt[1006][6]~40975\ = CARRY((!\led_flash_cnt[1006][5]~40973\) # (!\led_flash_cnt[1006][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1006][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1006][5]~40973\,
	combout => \led_flash_cnt[1006][6]~40974_combout\,
	cout => \led_flash_cnt[1006][6]~40975\);

-- Location: FF_X62_Y47_N25
\led_flash_cnt[1006][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1006][6]~40974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1006][6]~q\);

-- Location: LCCOMB_X62_Y47_N30
\WideAnd1006~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1006~1_combout\ = (\led_flash_cnt[1006][5]~q\ & \led_flash_cnt[1006][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1006][5]~q\,
	datad => \led_flash_cnt[1006][6]~q\,
	combout => \WideAnd1006~1_combout\);

-- Location: LCCOMB_X62_Y47_N28
\WideAnd1006~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1006~0_combout\ = (\led_flash_cnt[1006][4]~q\ & (\led_flash_cnt[1006][3]~q\ & (\led_flash_cnt[1006][1]~q\ & \led_flash_cnt[1006][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1006][4]~q\,
	datab => \led_flash_cnt[1006][3]~q\,
	datac => \led_flash_cnt[1006][1]~q\,
	datad => \led_flash_cnt[1006][2]~q\,
	combout => \WideAnd1006~0_combout\);

-- Location: LCCOMB_X62_Y47_N26
\led_flash_cnt[1006][7]~40976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1006][7]~40976_combout\ = \led_flash_cnt[1006][7]~q\ $ (!\led_flash_cnt[1006][6]~40975\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1006][7]~q\,
	cin => \led_flash_cnt[1006][6]~40975\,
	combout => \led_flash_cnt[1006][7]~40976_combout\);

-- Location: FF_X62_Y47_N27
\led_flash_cnt[1006][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1006][7]~40976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1006][7]~q\);

-- Location: LCCOMB_X62_Y47_N4
WideAnd1006 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1006~combout\ = (\WideAnd1006~1_combout\ & (\WideAnd1006~0_combout\ & (\led_flash_cnt[1006][7]~q\ & \led_flash_cnt[1006][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1006~1_combout\,
	datab => \WideAnd1006~0_combout\,
	datac => \led_flash_cnt[1006][7]~q\,
	datad => \led_flash_cnt[1006][0]~q\,
	combout => \WideAnd1006~combout\);

-- Location: FF_X62_Y47_N5
\led_flash_cnt_ands[1006]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1006~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1006));

-- Location: LCCOMB_X61_Y47_N28
WideAnd3965 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3965~combout\ = (\WideAnd3965~1_combout\ & (\WideAnd3965~0_combout\ & (led_flash_cnt_ands(1007) & led_flash_cnt_ands(1006))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3965~1_combout\,
	datab => \WideAnd3965~0_combout\,
	datac => led_flash_cnt_ands(1007),
	datad => led_flash_cnt_ands(1006),
	combout => \WideAnd3965~combout\);

-- Location: FF_X61_Y47_N29
\led_flash_cnt_ands_1[125]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3965~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(125));

-- Location: LCCOMB_X52_Y39_N2
\WideAnd4335~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4335~1_combout\ = (led_flash_cnt_ands_1(124) & led_flash_cnt_ands_1(125))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(124),
	datad => led_flash_cnt_ands_1(125),
	combout => \WideAnd4335~1_combout\);

-- Location: LCCOMB_X52_Y39_N26
WideAnd4335 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4335~combout\ = (led_flash_cnt_ands_1(126) & (led_flash_cnt_ands_1(127) & (\WideAnd4335~0_combout\ & \WideAnd4335~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(126),
	datab => led_flash_cnt_ands_1(127),
	datac => \WideAnd4335~0_combout\,
	datad => \WideAnd4335~1_combout\,
	combout => \WideAnd4335~combout\);

-- Location: FF_X52_Y39_N27
\led_flash_cnt_ands_2[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4335~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(15));

-- Location: LCCOMB_X15_Y22_N6
\led_flash_cnt[812][0]~81452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[812][0]~81452_combout\ = !\led_flash_cnt[812][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[812][0]~q\,
	combout => \led_flash_cnt[812][0]~81452_combout\);

-- Location: FF_X15_Y22_N7
\led_flash_cnt[812][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[812][0]~81452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[812][0]~q\);

-- Location: LCCOMB_X16_Y22_N2
\led_flash_cnt[812][1]~38248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[812][1]~38248_combout\ = (\led_flash_cnt[812][0]~q\ & (\led_flash_cnt[812][1]~q\ $ (VCC))) # (!\led_flash_cnt[812][0]~q\ & (\led_flash_cnt[812][1]~q\ & VCC))
-- \led_flash_cnt[812][1]~38249\ = CARRY((\led_flash_cnt[812][0]~q\ & \led_flash_cnt[812][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[812][0]~q\,
	datab => \led_flash_cnt[812][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[812][1]~38248_combout\,
	cout => \led_flash_cnt[812][1]~38249\);

-- Location: FF_X16_Y22_N3
\led_flash_cnt[812][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[812][1]~38248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[812][1]~q\);

-- Location: LCCOMB_X16_Y22_N4
\led_flash_cnt[812][2]~38250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[812][2]~38250_combout\ = (\led_flash_cnt[812][2]~q\ & (!\led_flash_cnt[812][1]~38249\)) # (!\led_flash_cnt[812][2]~q\ & ((\led_flash_cnt[812][1]~38249\) # (GND)))
-- \led_flash_cnt[812][2]~38251\ = CARRY((!\led_flash_cnt[812][1]~38249\) # (!\led_flash_cnt[812][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[812][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[812][1]~38249\,
	combout => \led_flash_cnt[812][2]~38250_combout\,
	cout => \led_flash_cnt[812][2]~38251\);

-- Location: FF_X16_Y22_N5
\led_flash_cnt[812][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[812][2]~38250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[812][2]~q\);

-- Location: LCCOMB_X16_Y22_N6
\led_flash_cnt[812][3]~38252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[812][3]~38252_combout\ = (\led_flash_cnt[812][3]~q\ & (\led_flash_cnt[812][2]~38251\ $ (GND))) # (!\led_flash_cnt[812][3]~q\ & (!\led_flash_cnt[812][2]~38251\ & VCC))
-- \led_flash_cnt[812][3]~38253\ = CARRY((\led_flash_cnt[812][3]~q\ & !\led_flash_cnt[812][2]~38251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[812][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[812][2]~38251\,
	combout => \led_flash_cnt[812][3]~38252_combout\,
	cout => \led_flash_cnt[812][3]~38253\);

-- Location: FF_X16_Y22_N7
\led_flash_cnt[812][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[812][3]~38252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[812][3]~q\);

-- Location: LCCOMB_X16_Y22_N8
\led_flash_cnt[812][4]~38254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[812][4]~38254_combout\ = (\led_flash_cnt[812][4]~q\ & (!\led_flash_cnt[812][3]~38253\)) # (!\led_flash_cnt[812][4]~q\ & ((\led_flash_cnt[812][3]~38253\) # (GND)))
-- \led_flash_cnt[812][4]~38255\ = CARRY((!\led_flash_cnt[812][3]~38253\) # (!\led_flash_cnt[812][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[812][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[812][3]~38253\,
	combout => \led_flash_cnt[812][4]~38254_combout\,
	cout => \led_flash_cnt[812][4]~38255\);

-- Location: FF_X16_Y22_N9
\led_flash_cnt[812][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[812][4]~38254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[812][4]~q\);

-- Location: LCCOMB_X16_Y22_N10
\led_flash_cnt[812][5]~38256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[812][5]~38256_combout\ = (\led_flash_cnt[812][5]~q\ & (\led_flash_cnt[812][4]~38255\ $ (GND))) # (!\led_flash_cnt[812][5]~q\ & (!\led_flash_cnt[812][4]~38255\ & VCC))
-- \led_flash_cnt[812][5]~38257\ = CARRY((\led_flash_cnt[812][5]~q\ & !\led_flash_cnt[812][4]~38255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[812][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[812][4]~38255\,
	combout => \led_flash_cnt[812][5]~38256_combout\,
	cout => \led_flash_cnt[812][5]~38257\);

-- Location: FF_X16_Y22_N11
\led_flash_cnt[812][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[812][5]~38256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[812][5]~q\);

-- Location: LCCOMB_X16_Y22_N12
\led_flash_cnt[812][6]~38258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[812][6]~38258_combout\ = (\led_flash_cnt[812][6]~q\ & (!\led_flash_cnt[812][5]~38257\)) # (!\led_flash_cnt[812][6]~q\ & ((\led_flash_cnt[812][5]~38257\) # (GND)))
-- \led_flash_cnt[812][6]~38259\ = CARRY((!\led_flash_cnt[812][5]~38257\) # (!\led_flash_cnt[812][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[812][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[812][5]~38257\,
	combout => \led_flash_cnt[812][6]~38258_combout\,
	cout => \led_flash_cnt[812][6]~38259\);

-- Location: FF_X16_Y22_N13
\led_flash_cnt[812][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[812][6]~38258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[812][6]~q\);

-- Location: LCCOMB_X15_Y22_N12
\WideAnd812~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd812~1_combout\ = (\led_flash_cnt[812][6]~q\ & \led_flash_cnt[812][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[812][6]~q\,
	datac => \led_flash_cnt[812][5]~q\,
	combout => \WideAnd812~1_combout\);

-- Location: LCCOMB_X16_Y22_N0
\WideAnd812~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd812~0_combout\ = (\led_flash_cnt[812][3]~q\ & (\led_flash_cnt[812][2]~q\ & (\led_flash_cnt[812][4]~q\ & \led_flash_cnt[812][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[812][3]~q\,
	datab => \led_flash_cnt[812][2]~q\,
	datac => \led_flash_cnt[812][4]~q\,
	datad => \led_flash_cnt[812][1]~q\,
	combout => \WideAnd812~0_combout\);

-- Location: LCCOMB_X16_Y22_N14
\led_flash_cnt[812][7]~38260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[812][7]~38260_combout\ = \led_flash_cnt[812][7]~q\ $ (!\led_flash_cnt[812][6]~38259\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[812][7]~q\,
	cin => \led_flash_cnt[812][6]~38259\,
	combout => \led_flash_cnt[812][7]~38260_combout\);

-- Location: FF_X16_Y22_N15
\led_flash_cnt[812][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[812][7]~38260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[812][7]~q\);

-- Location: LCCOMB_X15_Y22_N30
WideAnd812 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd812~combout\ = (\WideAnd812~1_combout\ & (\WideAnd812~0_combout\ & (\led_flash_cnt[812][7]~q\ & \led_flash_cnt[812][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd812~1_combout\,
	datab => \WideAnd812~0_combout\,
	datac => \led_flash_cnt[812][7]~q\,
	datad => \led_flash_cnt[812][0]~q\,
	combout => \WideAnd812~combout\);

-- Location: FF_X15_Y22_N31
\led_flash_cnt_ands[812]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd812~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(812));

-- Location: LCCOMB_X18_Y22_N10
\led_flash_cnt[813][0]~81453\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[813][0]~81453_combout\ = !\led_flash_cnt[813][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[813][0]~q\,
	combout => \led_flash_cnt[813][0]~81453_combout\);

-- Location: FF_X18_Y22_N11
\led_flash_cnt[813][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[813][0]~81453_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[813][0]~q\);

-- Location: LCCOMB_X20_Y22_N16
\led_flash_cnt[813][1]~38262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[813][1]~38262_combout\ = (\led_flash_cnt[813][0]~q\ & (\led_flash_cnt[813][1]~q\ $ (VCC))) # (!\led_flash_cnt[813][0]~q\ & (\led_flash_cnt[813][1]~q\ & VCC))
-- \led_flash_cnt[813][1]~38263\ = CARRY((\led_flash_cnt[813][0]~q\ & \led_flash_cnt[813][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[813][0]~q\,
	datab => \led_flash_cnt[813][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[813][1]~38262_combout\,
	cout => \led_flash_cnt[813][1]~38263\);

-- Location: FF_X20_Y22_N17
\led_flash_cnt[813][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[813][1]~38262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[813][1]~q\);

-- Location: LCCOMB_X20_Y22_N18
\led_flash_cnt[813][2]~38264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[813][2]~38264_combout\ = (\led_flash_cnt[813][2]~q\ & (!\led_flash_cnt[813][1]~38263\)) # (!\led_flash_cnt[813][2]~q\ & ((\led_flash_cnt[813][1]~38263\) # (GND)))
-- \led_flash_cnt[813][2]~38265\ = CARRY((!\led_flash_cnt[813][1]~38263\) # (!\led_flash_cnt[813][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[813][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[813][1]~38263\,
	combout => \led_flash_cnt[813][2]~38264_combout\,
	cout => \led_flash_cnt[813][2]~38265\);

-- Location: FF_X20_Y22_N19
\led_flash_cnt[813][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[813][2]~38264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[813][2]~q\);

-- Location: LCCOMB_X20_Y22_N20
\led_flash_cnt[813][3]~38266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[813][3]~38266_combout\ = (\led_flash_cnt[813][3]~q\ & (\led_flash_cnt[813][2]~38265\ $ (GND))) # (!\led_flash_cnt[813][3]~q\ & (!\led_flash_cnt[813][2]~38265\ & VCC))
-- \led_flash_cnt[813][3]~38267\ = CARRY((\led_flash_cnt[813][3]~q\ & !\led_flash_cnt[813][2]~38265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[813][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[813][2]~38265\,
	combout => \led_flash_cnt[813][3]~38266_combout\,
	cout => \led_flash_cnt[813][3]~38267\);

-- Location: FF_X20_Y22_N21
\led_flash_cnt[813][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[813][3]~38266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[813][3]~q\);

-- Location: LCCOMB_X20_Y22_N22
\led_flash_cnt[813][4]~38268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[813][4]~38268_combout\ = (\led_flash_cnt[813][4]~q\ & (!\led_flash_cnt[813][3]~38267\)) # (!\led_flash_cnt[813][4]~q\ & ((\led_flash_cnt[813][3]~38267\) # (GND)))
-- \led_flash_cnt[813][4]~38269\ = CARRY((!\led_flash_cnt[813][3]~38267\) # (!\led_flash_cnt[813][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[813][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[813][3]~38267\,
	combout => \led_flash_cnt[813][4]~38268_combout\,
	cout => \led_flash_cnt[813][4]~38269\);

-- Location: FF_X20_Y22_N23
\led_flash_cnt[813][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[813][4]~38268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[813][4]~q\);

-- Location: LCCOMB_X20_Y22_N0
\WideAnd813~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd813~0_combout\ = (\led_flash_cnt[813][2]~q\ & (\led_flash_cnt[813][3]~q\ & (\led_flash_cnt[813][4]~q\ & \led_flash_cnt[813][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[813][2]~q\,
	datab => \led_flash_cnt[813][3]~q\,
	datac => \led_flash_cnt[813][4]~q\,
	datad => \led_flash_cnt[813][1]~q\,
	combout => \WideAnd813~0_combout\);

-- Location: LCCOMB_X20_Y22_N24
\led_flash_cnt[813][5]~38270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[813][5]~38270_combout\ = (\led_flash_cnt[813][5]~q\ & (\led_flash_cnt[813][4]~38269\ $ (GND))) # (!\led_flash_cnt[813][5]~q\ & (!\led_flash_cnt[813][4]~38269\ & VCC))
-- \led_flash_cnt[813][5]~38271\ = CARRY((\led_flash_cnt[813][5]~q\ & !\led_flash_cnt[813][4]~38269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[813][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[813][4]~38269\,
	combout => \led_flash_cnt[813][5]~38270_combout\,
	cout => \led_flash_cnt[813][5]~38271\);

-- Location: FF_X20_Y22_N25
\led_flash_cnt[813][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[813][5]~38270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[813][5]~q\);

-- Location: LCCOMB_X20_Y22_N26
\led_flash_cnt[813][6]~38272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[813][6]~38272_combout\ = (\led_flash_cnt[813][6]~q\ & (!\led_flash_cnt[813][5]~38271\)) # (!\led_flash_cnt[813][6]~q\ & ((\led_flash_cnt[813][5]~38271\) # (GND)))
-- \led_flash_cnt[813][6]~38273\ = CARRY((!\led_flash_cnt[813][5]~38271\) # (!\led_flash_cnt[813][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[813][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[813][5]~38271\,
	combout => \led_flash_cnt[813][6]~38272_combout\,
	cout => \led_flash_cnt[813][6]~38273\);

-- Location: FF_X20_Y22_N27
\led_flash_cnt[813][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[813][6]~38272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[813][6]~q\);

-- Location: LCCOMB_X19_Y22_N8
\WideAnd813~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd813~1_combout\ = (\led_flash_cnt[813][5]~q\ & \led_flash_cnt[813][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[813][5]~q\,
	datad => \led_flash_cnt[813][6]~q\,
	combout => \WideAnd813~1_combout\);

-- Location: LCCOMB_X20_Y22_N28
\led_flash_cnt[813][7]~38274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[813][7]~38274_combout\ = \led_flash_cnt[813][6]~38273\ $ (!\led_flash_cnt[813][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[813][7]~q\,
	cin => \led_flash_cnt[813][6]~38273\,
	combout => \led_flash_cnt[813][7]~38274_combout\);

-- Location: FF_X20_Y22_N29
\led_flash_cnt[813][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[813][7]~38274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[813][7]~q\);

-- Location: LCCOMB_X19_Y22_N6
WideAnd813 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd813~combout\ = (\led_flash_cnt[813][0]~q\ & (\WideAnd813~0_combout\ & (\WideAnd813~1_combout\ & \led_flash_cnt[813][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[813][0]~q\,
	datab => \WideAnd813~0_combout\,
	datac => \WideAnd813~1_combout\,
	datad => \led_flash_cnt[813][7]~q\,
	combout => \WideAnd813~combout\);

-- Location: FF_X19_Y22_N7
\led_flash_cnt_ands[813]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd813~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(813));

-- Location: LCCOMB_X15_Y22_N0
\WideAnd3941~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3941~1_combout\ = (led_flash_cnt_ands(812) & led_flash_cnt_ands(813))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(812),
	datad => led_flash_cnt_ands(813),
	combout => \WideAnd3941~1_combout\);

-- Location: LCCOMB_X16_Y32_N2
\led_flash_cnt[814][0]~81454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[814][0]~81454_combout\ = !\led_flash_cnt[814][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[814][0]~q\,
	combout => \led_flash_cnt[814][0]~81454_combout\);

-- Location: FF_X16_Y32_N3
\led_flash_cnt[814][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[814][0]~81454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[814][0]~q\);

-- Location: LCCOMB_X15_Y32_N4
\led_flash_cnt[814][1]~38276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[814][1]~38276_combout\ = (\led_flash_cnt[814][0]~q\ & (\led_flash_cnt[814][1]~q\ $ (VCC))) # (!\led_flash_cnt[814][0]~q\ & (\led_flash_cnt[814][1]~q\ & VCC))
-- \led_flash_cnt[814][1]~38277\ = CARRY((\led_flash_cnt[814][0]~q\ & \led_flash_cnt[814][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[814][0]~q\,
	datab => \led_flash_cnt[814][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[814][1]~38276_combout\,
	cout => \led_flash_cnt[814][1]~38277\);

-- Location: FF_X15_Y32_N5
\led_flash_cnt[814][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[814][1]~38276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[814][1]~q\);

-- Location: LCCOMB_X15_Y32_N6
\led_flash_cnt[814][2]~38278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[814][2]~38278_combout\ = (\led_flash_cnt[814][2]~q\ & (!\led_flash_cnt[814][1]~38277\)) # (!\led_flash_cnt[814][2]~q\ & ((\led_flash_cnt[814][1]~38277\) # (GND)))
-- \led_flash_cnt[814][2]~38279\ = CARRY((!\led_flash_cnt[814][1]~38277\) # (!\led_flash_cnt[814][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[814][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[814][1]~38277\,
	combout => \led_flash_cnt[814][2]~38278_combout\,
	cout => \led_flash_cnt[814][2]~38279\);

-- Location: FF_X15_Y32_N7
\led_flash_cnt[814][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[814][2]~38278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[814][2]~q\);

-- Location: LCCOMB_X15_Y32_N8
\led_flash_cnt[814][3]~38280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[814][3]~38280_combout\ = (\led_flash_cnt[814][3]~q\ & (\led_flash_cnt[814][2]~38279\ $ (GND))) # (!\led_flash_cnt[814][3]~q\ & (!\led_flash_cnt[814][2]~38279\ & VCC))
-- \led_flash_cnt[814][3]~38281\ = CARRY((\led_flash_cnt[814][3]~q\ & !\led_flash_cnt[814][2]~38279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[814][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[814][2]~38279\,
	combout => \led_flash_cnt[814][3]~38280_combout\,
	cout => \led_flash_cnt[814][3]~38281\);

-- Location: FF_X15_Y32_N9
\led_flash_cnt[814][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[814][3]~38280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[814][3]~q\);

-- Location: LCCOMB_X15_Y32_N10
\led_flash_cnt[814][4]~38282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[814][4]~38282_combout\ = (\led_flash_cnt[814][4]~q\ & (!\led_flash_cnt[814][3]~38281\)) # (!\led_flash_cnt[814][4]~q\ & ((\led_flash_cnt[814][3]~38281\) # (GND)))
-- \led_flash_cnt[814][4]~38283\ = CARRY((!\led_flash_cnt[814][3]~38281\) # (!\led_flash_cnt[814][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[814][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[814][3]~38281\,
	combout => \led_flash_cnt[814][4]~38282_combout\,
	cout => \led_flash_cnt[814][4]~38283\);

-- Location: FF_X15_Y32_N11
\led_flash_cnt[814][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[814][4]~38282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[814][4]~q\);

-- Location: LCCOMB_X15_Y32_N12
\led_flash_cnt[814][5]~38284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[814][5]~38284_combout\ = (\led_flash_cnt[814][5]~q\ & (\led_flash_cnt[814][4]~38283\ $ (GND))) # (!\led_flash_cnt[814][5]~q\ & (!\led_flash_cnt[814][4]~38283\ & VCC))
-- \led_flash_cnt[814][5]~38285\ = CARRY((\led_flash_cnt[814][5]~q\ & !\led_flash_cnt[814][4]~38283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[814][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[814][4]~38283\,
	combout => \led_flash_cnt[814][5]~38284_combout\,
	cout => \led_flash_cnt[814][5]~38285\);

-- Location: FF_X15_Y32_N13
\led_flash_cnt[814][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[814][5]~38284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[814][5]~q\);

-- Location: LCCOMB_X15_Y32_N14
\led_flash_cnt[814][6]~38286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[814][6]~38286_combout\ = (\led_flash_cnt[814][6]~q\ & (!\led_flash_cnt[814][5]~38285\)) # (!\led_flash_cnt[814][6]~q\ & ((\led_flash_cnt[814][5]~38285\) # (GND)))
-- \led_flash_cnt[814][6]~38287\ = CARRY((!\led_flash_cnt[814][5]~38285\) # (!\led_flash_cnt[814][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[814][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[814][5]~38285\,
	combout => \led_flash_cnt[814][6]~38286_combout\,
	cout => \led_flash_cnt[814][6]~38287\);

-- Location: FF_X15_Y32_N15
\led_flash_cnt[814][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[814][6]~38286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[814][6]~q\);

-- Location: LCCOMB_X15_Y32_N16
\led_flash_cnt[814][7]~38288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[814][7]~38288_combout\ = \led_flash_cnt[814][6]~38287\ $ (!\led_flash_cnt[814][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[814][7]~q\,
	cin => \led_flash_cnt[814][6]~38287\,
	combout => \led_flash_cnt[814][7]~38288_combout\);

-- Location: FF_X15_Y32_N17
\led_flash_cnt[814][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[814][7]~38288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[814][7]~q\);

-- Location: LCCOMB_X16_Y32_N26
\WideAnd814~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd814~1_combout\ = (\led_flash_cnt[814][5]~q\ & \led_flash_cnt[814][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[814][5]~q\,
	datad => \led_flash_cnt[814][6]~q\,
	combout => \WideAnd814~1_combout\);

-- Location: LCCOMB_X15_Y32_N2
\WideAnd814~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd814~0_combout\ = (\led_flash_cnt[814][2]~q\ & (\led_flash_cnt[814][1]~q\ & (\led_flash_cnt[814][3]~q\ & \led_flash_cnt[814][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[814][2]~q\,
	datab => \led_flash_cnt[814][1]~q\,
	datac => \led_flash_cnt[814][3]~q\,
	datad => \led_flash_cnt[814][4]~q\,
	combout => \WideAnd814~0_combout\);

-- Location: LCCOMB_X16_Y32_N28
WideAnd814 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd814~combout\ = (\led_flash_cnt[814][7]~q\ & (\led_flash_cnt[814][0]~q\ & (\WideAnd814~1_combout\ & \WideAnd814~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[814][7]~q\,
	datab => \led_flash_cnt[814][0]~q\,
	datac => \WideAnd814~1_combout\,
	datad => \WideAnd814~0_combout\,
	combout => \WideAnd814~combout\);

-- Location: FF_X16_Y32_N29
\led_flash_cnt_ands[814]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd814~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(814));

-- Location: LCCOMB_X19_Y19_N24
\led_flash_cnt[810][0]~81450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[810][0]~81450_combout\ = !\led_flash_cnt[810][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[810][0]~q\,
	combout => \led_flash_cnt[810][0]~81450_combout\);

-- Location: FF_X19_Y19_N25
\led_flash_cnt[810][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[810][0]~81450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[810][0]~q\);

-- Location: LCCOMB_X16_Y19_N4
\led_flash_cnt[810][1]~38220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[810][1]~38220_combout\ = (\led_flash_cnt[810][0]~q\ & (\led_flash_cnt[810][1]~q\ $ (VCC))) # (!\led_flash_cnt[810][0]~q\ & (\led_flash_cnt[810][1]~q\ & VCC))
-- \led_flash_cnt[810][1]~38221\ = CARRY((\led_flash_cnt[810][0]~q\ & \led_flash_cnt[810][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[810][0]~q\,
	datab => \led_flash_cnt[810][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[810][1]~38220_combout\,
	cout => \led_flash_cnt[810][1]~38221\);

-- Location: FF_X16_Y19_N5
\led_flash_cnt[810][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[810][1]~38220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[810][1]~q\);

-- Location: LCCOMB_X16_Y19_N6
\led_flash_cnt[810][2]~38222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[810][2]~38222_combout\ = (\led_flash_cnt[810][2]~q\ & (!\led_flash_cnt[810][1]~38221\)) # (!\led_flash_cnt[810][2]~q\ & ((\led_flash_cnt[810][1]~38221\) # (GND)))
-- \led_flash_cnt[810][2]~38223\ = CARRY((!\led_flash_cnt[810][1]~38221\) # (!\led_flash_cnt[810][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[810][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[810][1]~38221\,
	combout => \led_flash_cnt[810][2]~38222_combout\,
	cout => \led_flash_cnt[810][2]~38223\);

-- Location: FF_X16_Y19_N7
\led_flash_cnt[810][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[810][2]~38222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[810][2]~q\);

-- Location: LCCOMB_X16_Y19_N8
\led_flash_cnt[810][3]~38224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[810][3]~38224_combout\ = (\led_flash_cnt[810][3]~q\ & (\led_flash_cnt[810][2]~38223\ $ (GND))) # (!\led_flash_cnt[810][3]~q\ & (!\led_flash_cnt[810][2]~38223\ & VCC))
-- \led_flash_cnt[810][3]~38225\ = CARRY((\led_flash_cnt[810][3]~q\ & !\led_flash_cnt[810][2]~38223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[810][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[810][2]~38223\,
	combout => \led_flash_cnt[810][3]~38224_combout\,
	cout => \led_flash_cnt[810][3]~38225\);

-- Location: FF_X16_Y19_N9
\led_flash_cnt[810][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[810][3]~38224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[810][3]~q\);

-- Location: LCCOMB_X16_Y19_N10
\led_flash_cnt[810][4]~38226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[810][4]~38226_combout\ = (\led_flash_cnt[810][4]~q\ & (!\led_flash_cnt[810][3]~38225\)) # (!\led_flash_cnt[810][4]~q\ & ((\led_flash_cnt[810][3]~38225\) # (GND)))
-- \led_flash_cnt[810][4]~38227\ = CARRY((!\led_flash_cnt[810][3]~38225\) # (!\led_flash_cnt[810][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[810][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[810][3]~38225\,
	combout => \led_flash_cnt[810][4]~38226_combout\,
	cout => \led_flash_cnt[810][4]~38227\);

-- Location: FF_X16_Y19_N11
\led_flash_cnt[810][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[810][4]~38226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[810][4]~q\);

-- Location: LCCOMB_X16_Y19_N12
\led_flash_cnt[810][5]~38228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[810][5]~38228_combout\ = (\led_flash_cnt[810][5]~q\ & (\led_flash_cnt[810][4]~38227\ $ (GND))) # (!\led_flash_cnt[810][5]~q\ & (!\led_flash_cnt[810][4]~38227\ & VCC))
-- \led_flash_cnt[810][5]~38229\ = CARRY((\led_flash_cnt[810][5]~q\ & !\led_flash_cnt[810][4]~38227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[810][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[810][4]~38227\,
	combout => \led_flash_cnt[810][5]~38228_combout\,
	cout => \led_flash_cnt[810][5]~38229\);

-- Location: FF_X16_Y19_N13
\led_flash_cnt[810][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[810][5]~38228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[810][5]~q\);

-- Location: LCCOMB_X16_Y19_N14
\led_flash_cnt[810][6]~38230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[810][6]~38230_combout\ = (\led_flash_cnt[810][6]~q\ & (!\led_flash_cnt[810][5]~38229\)) # (!\led_flash_cnt[810][6]~q\ & ((\led_flash_cnt[810][5]~38229\) # (GND)))
-- \led_flash_cnt[810][6]~38231\ = CARRY((!\led_flash_cnt[810][5]~38229\) # (!\led_flash_cnt[810][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[810][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[810][5]~38229\,
	combout => \led_flash_cnt[810][6]~38230_combout\,
	cout => \led_flash_cnt[810][6]~38231\);

-- Location: FF_X16_Y19_N15
\led_flash_cnt[810][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[810][6]~38230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[810][6]~q\);

-- Location: LCCOMB_X17_Y19_N30
\WideAnd810~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd810~1_combout\ = (\led_flash_cnt[810][5]~q\ & \led_flash_cnt[810][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[810][5]~q\,
	datad => \led_flash_cnt[810][6]~q\,
	combout => \WideAnd810~1_combout\);

-- Location: LCCOMB_X16_Y19_N16
\led_flash_cnt[810][7]~38232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[810][7]~38232_combout\ = \led_flash_cnt[810][6]~38231\ $ (!\led_flash_cnt[810][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[810][7]~q\,
	cin => \led_flash_cnt[810][6]~38231\,
	combout => \led_flash_cnt[810][7]~38232_combout\);

-- Location: FF_X16_Y19_N17
\led_flash_cnt[810][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[810][7]~38232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[810][7]~q\);

-- Location: LCCOMB_X15_Y19_N24
\WideAnd810~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd810~0_combout\ = (\led_flash_cnt[810][1]~q\ & (\led_flash_cnt[810][4]~q\ & (\led_flash_cnt[810][3]~q\ & \led_flash_cnt[810][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[810][1]~q\,
	datab => \led_flash_cnt[810][4]~q\,
	datac => \led_flash_cnt[810][3]~q\,
	datad => \led_flash_cnt[810][2]~q\,
	combout => \WideAnd810~0_combout\);

-- Location: LCCOMB_X16_Y19_N2
WideAnd810 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd810~combout\ = (\WideAnd810~1_combout\ & (\led_flash_cnt[810][7]~q\ & (\led_flash_cnt[810][0]~q\ & \WideAnd810~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd810~1_combout\,
	datab => \led_flash_cnt[810][7]~q\,
	datac => \led_flash_cnt[810][0]~q\,
	datad => \WideAnd810~0_combout\,
	combout => \WideAnd810~combout\);

-- Location: FF_X16_Y19_N3
\led_flash_cnt_ands[810]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd810~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(810));

-- Location: LCCOMB_X17_Y19_N6
\led_flash_cnt[811][0]~81451\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[811][0]~81451_combout\ = !\led_flash_cnt[811][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[811][0]~q\,
	combout => \led_flash_cnt[811][0]~81451_combout\);

-- Location: FF_X17_Y19_N7
\led_flash_cnt[811][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[811][0]~81451_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[811][0]~q\);

-- Location: LCCOMB_X18_Y19_N16
\led_flash_cnt[811][1]~38234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[811][1]~38234_combout\ = (\led_flash_cnt[811][0]~q\ & (\led_flash_cnt[811][1]~q\ $ (VCC))) # (!\led_flash_cnt[811][0]~q\ & (\led_flash_cnt[811][1]~q\ & VCC))
-- \led_flash_cnt[811][1]~38235\ = CARRY((\led_flash_cnt[811][0]~q\ & \led_flash_cnt[811][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[811][0]~q\,
	datab => \led_flash_cnt[811][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[811][1]~38234_combout\,
	cout => \led_flash_cnt[811][1]~38235\);

-- Location: FF_X18_Y19_N17
\led_flash_cnt[811][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[811][1]~38234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[811][1]~q\);

-- Location: LCCOMB_X18_Y19_N18
\led_flash_cnt[811][2]~38236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[811][2]~38236_combout\ = (\led_flash_cnt[811][2]~q\ & (!\led_flash_cnt[811][1]~38235\)) # (!\led_flash_cnt[811][2]~q\ & ((\led_flash_cnt[811][1]~38235\) # (GND)))
-- \led_flash_cnt[811][2]~38237\ = CARRY((!\led_flash_cnt[811][1]~38235\) # (!\led_flash_cnt[811][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[811][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[811][1]~38235\,
	combout => \led_flash_cnt[811][2]~38236_combout\,
	cout => \led_flash_cnt[811][2]~38237\);

-- Location: FF_X18_Y19_N19
\led_flash_cnt[811][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[811][2]~38236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[811][2]~q\);

-- Location: LCCOMB_X18_Y19_N20
\led_flash_cnt[811][3]~38238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[811][3]~38238_combout\ = (\led_flash_cnt[811][3]~q\ & (\led_flash_cnt[811][2]~38237\ $ (GND))) # (!\led_flash_cnt[811][3]~q\ & (!\led_flash_cnt[811][2]~38237\ & VCC))
-- \led_flash_cnt[811][3]~38239\ = CARRY((\led_flash_cnt[811][3]~q\ & !\led_flash_cnt[811][2]~38237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[811][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[811][2]~38237\,
	combout => \led_flash_cnt[811][3]~38238_combout\,
	cout => \led_flash_cnt[811][3]~38239\);

-- Location: FF_X18_Y19_N21
\led_flash_cnt[811][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[811][3]~38238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[811][3]~q\);

-- Location: LCCOMB_X18_Y19_N22
\led_flash_cnt[811][4]~38240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[811][4]~38240_combout\ = (\led_flash_cnt[811][4]~q\ & (!\led_flash_cnt[811][3]~38239\)) # (!\led_flash_cnt[811][4]~q\ & ((\led_flash_cnt[811][3]~38239\) # (GND)))
-- \led_flash_cnt[811][4]~38241\ = CARRY((!\led_flash_cnt[811][3]~38239\) # (!\led_flash_cnt[811][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[811][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[811][3]~38239\,
	combout => \led_flash_cnt[811][4]~38240_combout\,
	cout => \led_flash_cnt[811][4]~38241\);

-- Location: FF_X18_Y19_N23
\led_flash_cnt[811][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[811][4]~38240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[811][4]~q\);

-- Location: LCCOMB_X18_Y19_N24
\led_flash_cnt[811][5]~38242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[811][5]~38242_combout\ = (\led_flash_cnt[811][5]~q\ & (\led_flash_cnt[811][4]~38241\ $ (GND))) # (!\led_flash_cnt[811][5]~q\ & (!\led_flash_cnt[811][4]~38241\ & VCC))
-- \led_flash_cnt[811][5]~38243\ = CARRY((\led_flash_cnt[811][5]~q\ & !\led_flash_cnt[811][4]~38241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[811][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[811][4]~38241\,
	combout => \led_flash_cnt[811][5]~38242_combout\,
	cout => \led_flash_cnt[811][5]~38243\);

-- Location: FF_X18_Y19_N25
\led_flash_cnt[811][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[811][5]~38242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[811][5]~q\);

-- Location: LCCOMB_X18_Y19_N26
\led_flash_cnt[811][6]~38244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[811][6]~38244_combout\ = (\led_flash_cnt[811][6]~q\ & (!\led_flash_cnt[811][5]~38243\)) # (!\led_flash_cnt[811][6]~q\ & ((\led_flash_cnt[811][5]~38243\) # (GND)))
-- \led_flash_cnt[811][6]~38245\ = CARRY((!\led_flash_cnt[811][5]~38243\) # (!\led_flash_cnt[811][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[811][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[811][5]~38243\,
	combout => \led_flash_cnt[811][6]~38244_combout\,
	cout => \led_flash_cnt[811][6]~38245\);

-- Location: FF_X18_Y19_N27
\led_flash_cnt[811][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[811][6]~38244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[811][6]~q\);

-- Location: LCCOMB_X17_Y19_N14
\WideAnd811~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd811~1_combout\ = (\led_flash_cnt[811][5]~q\ & \led_flash_cnt[811][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[811][5]~q\,
	datad => \led_flash_cnt[811][6]~q\,
	combout => \WideAnd811~1_combout\);

-- Location: LCCOMB_X18_Y19_N30
\WideAnd811~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd811~0_combout\ = (\led_flash_cnt[811][2]~q\ & (\led_flash_cnt[811][3]~q\ & (\led_flash_cnt[811][4]~q\ & \led_flash_cnt[811][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[811][2]~q\,
	datab => \led_flash_cnt[811][3]~q\,
	datac => \led_flash_cnt[811][4]~q\,
	datad => \led_flash_cnt[811][1]~q\,
	combout => \WideAnd811~0_combout\);

-- Location: LCCOMB_X18_Y19_N28
\led_flash_cnt[811][7]~38246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[811][7]~38246_combout\ = \led_flash_cnt[811][6]~38245\ $ (!\led_flash_cnt[811][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[811][7]~q\,
	cin => \led_flash_cnt[811][6]~38245\,
	combout => \led_flash_cnt[811][7]~38246_combout\);

-- Location: FF_X18_Y19_N29
\led_flash_cnt[811][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[811][7]~38246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[811][7]~q\);

-- Location: LCCOMB_X17_Y19_N8
WideAnd811 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd811~combout\ = (\led_flash_cnt[811][0]~q\ & (\WideAnd811~1_combout\ & (\WideAnd811~0_combout\ & \led_flash_cnt[811][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[811][0]~q\,
	datab => \WideAnd811~1_combout\,
	datac => \WideAnd811~0_combout\,
	datad => \led_flash_cnt[811][7]~q\,
	combout => \WideAnd811~combout\);

-- Location: FF_X17_Y19_N9
\led_flash_cnt_ands[811]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd811~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(811));

-- Location: LCCOMB_X24_Y29_N24
\led_flash_cnt[809][0]~81449\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[809][0]~81449_combout\ = !\led_flash_cnt[809][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[809][0]~q\,
	combout => \led_flash_cnt[809][0]~81449_combout\);

-- Location: FF_X24_Y29_N25
\led_flash_cnt[809][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[809][0]~81449_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[809][0]~q\);

-- Location: LCCOMB_X23_Y29_N6
\led_flash_cnt[809][1]~38206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[809][1]~38206_combout\ = (\led_flash_cnt[809][1]~q\ & (\led_flash_cnt[809][0]~q\ $ (VCC))) # (!\led_flash_cnt[809][1]~q\ & (\led_flash_cnt[809][0]~q\ & VCC))
-- \led_flash_cnt[809][1]~38207\ = CARRY((\led_flash_cnt[809][1]~q\ & \led_flash_cnt[809][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[809][1]~q\,
	datab => \led_flash_cnt[809][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[809][1]~38206_combout\,
	cout => \led_flash_cnt[809][1]~38207\);

-- Location: FF_X23_Y29_N7
\led_flash_cnt[809][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[809][1]~38206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[809][1]~q\);

-- Location: LCCOMB_X23_Y29_N8
\led_flash_cnt[809][2]~38208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[809][2]~38208_combout\ = (\led_flash_cnt[809][2]~q\ & (!\led_flash_cnt[809][1]~38207\)) # (!\led_flash_cnt[809][2]~q\ & ((\led_flash_cnt[809][1]~38207\) # (GND)))
-- \led_flash_cnt[809][2]~38209\ = CARRY((!\led_flash_cnt[809][1]~38207\) # (!\led_flash_cnt[809][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[809][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[809][1]~38207\,
	combout => \led_flash_cnt[809][2]~38208_combout\,
	cout => \led_flash_cnt[809][2]~38209\);

-- Location: FF_X23_Y29_N9
\led_flash_cnt[809][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[809][2]~38208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[809][2]~q\);

-- Location: LCCOMB_X23_Y29_N10
\led_flash_cnt[809][3]~38210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[809][3]~38210_combout\ = (\led_flash_cnt[809][3]~q\ & (\led_flash_cnt[809][2]~38209\ $ (GND))) # (!\led_flash_cnt[809][3]~q\ & (!\led_flash_cnt[809][2]~38209\ & VCC))
-- \led_flash_cnt[809][3]~38211\ = CARRY((\led_flash_cnt[809][3]~q\ & !\led_flash_cnt[809][2]~38209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[809][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[809][2]~38209\,
	combout => \led_flash_cnt[809][3]~38210_combout\,
	cout => \led_flash_cnt[809][3]~38211\);

-- Location: FF_X23_Y29_N11
\led_flash_cnt[809][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[809][3]~38210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[809][3]~q\);

-- Location: LCCOMB_X23_Y29_N12
\led_flash_cnt[809][4]~38212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[809][4]~38212_combout\ = (\led_flash_cnt[809][4]~q\ & (!\led_flash_cnt[809][3]~38211\)) # (!\led_flash_cnt[809][4]~q\ & ((\led_flash_cnt[809][3]~38211\) # (GND)))
-- \led_flash_cnt[809][4]~38213\ = CARRY((!\led_flash_cnt[809][3]~38211\) # (!\led_flash_cnt[809][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[809][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[809][3]~38211\,
	combout => \led_flash_cnt[809][4]~38212_combout\,
	cout => \led_flash_cnt[809][4]~38213\);

-- Location: FF_X23_Y29_N13
\led_flash_cnt[809][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[809][4]~38212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[809][4]~q\);

-- Location: LCCOMB_X23_Y29_N14
\led_flash_cnt[809][5]~38214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[809][5]~38214_combout\ = (\led_flash_cnt[809][5]~q\ & (\led_flash_cnt[809][4]~38213\ $ (GND))) # (!\led_flash_cnt[809][5]~q\ & (!\led_flash_cnt[809][4]~38213\ & VCC))
-- \led_flash_cnt[809][5]~38215\ = CARRY((\led_flash_cnt[809][5]~q\ & !\led_flash_cnt[809][4]~38213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[809][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[809][4]~38213\,
	combout => \led_flash_cnt[809][5]~38214_combout\,
	cout => \led_flash_cnt[809][5]~38215\);

-- Location: FF_X23_Y29_N15
\led_flash_cnt[809][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[809][5]~38214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[809][5]~q\);

-- Location: LCCOMB_X23_Y29_N16
\led_flash_cnt[809][6]~38216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[809][6]~38216_combout\ = (\led_flash_cnt[809][6]~q\ & (!\led_flash_cnt[809][5]~38215\)) # (!\led_flash_cnt[809][6]~q\ & ((\led_flash_cnt[809][5]~38215\) # (GND)))
-- \led_flash_cnt[809][6]~38217\ = CARRY((!\led_flash_cnt[809][5]~38215\) # (!\led_flash_cnt[809][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[809][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[809][5]~38215\,
	combout => \led_flash_cnt[809][6]~38216_combout\,
	cout => \led_flash_cnt[809][6]~38217\);

-- Location: FF_X23_Y29_N17
\led_flash_cnt[809][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[809][6]~38216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[809][6]~q\);

-- Location: LCCOMB_X23_Y29_N30
\WideAnd809~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd809~1_combout\ = (\led_flash_cnt[809][5]~q\ & \led_flash_cnt[809][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[809][5]~q\,
	datad => \led_flash_cnt[809][6]~q\,
	combout => \WideAnd809~1_combout\);

-- Location: LCCOMB_X23_Y29_N4
\WideAnd809~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd809~0_combout\ = (\led_flash_cnt[809][1]~q\ & (\led_flash_cnt[809][4]~q\ & (\led_flash_cnt[809][2]~q\ & \led_flash_cnt[809][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[809][1]~q\,
	datab => \led_flash_cnt[809][4]~q\,
	datac => \led_flash_cnt[809][2]~q\,
	datad => \led_flash_cnt[809][3]~q\,
	combout => \WideAnd809~0_combout\);

-- Location: LCCOMB_X23_Y29_N18
\led_flash_cnt[809][7]~38218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[809][7]~38218_combout\ = \led_flash_cnt[809][7]~q\ $ (!\led_flash_cnt[809][6]~38217\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[809][7]~q\,
	cin => \led_flash_cnt[809][6]~38217\,
	combout => \led_flash_cnt[809][7]~38218_combout\);

-- Location: FF_X23_Y29_N19
\led_flash_cnt[809][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[809][7]~38218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[809][7]~q\);

-- Location: LCCOMB_X23_Y29_N24
WideAnd809 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd809~combout\ = (\WideAnd809~1_combout\ & (\WideAnd809~0_combout\ & (\led_flash_cnt[809][7]~q\ & \led_flash_cnt[809][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd809~1_combout\,
	datab => \WideAnd809~0_combout\,
	datac => \led_flash_cnt[809][7]~q\,
	datad => \led_flash_cnt[809][0]~q\,
	combout => \WideAnd809~combout\);

-- Location: FF_X23_Y29_N25
\led_flash_cnt_ands[809]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd809~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(809));

-- Location: LCCOMB_X17_Y19_N10
\led_flash_cnt[808][0]~81448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[808][0]~81448_combout\ = !\led_flash_cnt[808][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[808][0]~q\,
	combout => \led_flash_cnt[808][0]~81448_combout\);

-- Location: FF_X17_Y19_N11
\led_flash_cnt[808][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[808][0]~81448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[808][0]~q\);

-- Location: LCCOMB_X17_Y19_N16
\led_flash_cnt[808][1]~38192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[808][1]~38192_combout\ = (\led_flash_cnt[808][0]~q\ & (\led_flash_cnt[808][1]~q\ $ (VCC))) # (!\led_flash_cnt[808][0]~q\ & (\led_flash_cnt[808][1]~q\ & VCC))
-- \led_flash_cnt[808][1]~38193\ = CARRY((\led_flash_cnt[808][0]~q\ & \led_flash_cnt[808][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[808][0]~q\,
	datab => \led_flash_cnt[808][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[808][1]~38192_combout\,
	cout => \led_flash_cnt[808][1]~38193\);

-- Location: FF_X17_Y19_N17
\led_flash_cnt[808][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[808][1]~38192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[808][1]~q\);

-- Location: LCCOMB_X17_Y19_N18
\led_flash_cnt[808][2]~38194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[808][2]~38194_combout\ = (\led_flash_cnt[808][2]~q\ & (!\led_flash_cnt[808][1]~38193\)) # (!\led_flash_cnt[808][2]~q\ & ((\led_flash_cnt[808][1]~38193\) # (GND)))
-- \led_flash_cnt[808][2]~38195\ = CARRY((!\led_flash_cnt[808][1]~38193\) # (!\led_flash_cnt[808][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[808][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[808][1]~38193\,
	combout => \led_flash_cnt[808][2]~38194_combout\,
	cout => \led_flash_cnt[808][2]~38195\);

-- Location: FF_X17_Y19_N19
\led_flash_cnt[808][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[808][2]~38194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[808][2]~q\);

-- Location: LCCOMB_X17_Y19_N20
\led_flash_cnt[808][3]~38196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[808][3]~38196_combout\ = (\led_flash_cnt[808][3]~q\ & (\led_flash_cnt[808][2]~38195\ $ (GND))) # (!\led_flash_cnt[808][3]~q\ & (!\led_flash_cnt[808][2]~38195\ & VCC))
-- \led_flash_cnt[808][3]~38197\ = CARRY((\led_flash_cnt[808][3]~q\ & !\led_flash_cnt[808][2]~38195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[808][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[808][2]~38195\,
	combout => \led_flash_cnt[808][3]~38196_combout\,
	cout => \led_flash_cnt[808][3]~38197\);

-- Location: FF_X17_Y19_N21
\led_flash_cnt[808][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[808][3]~38196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[808][3]~q\);

-- Location: LCCOMB_X17_Y19_N22
\led_flash_cnt[808][4]~38198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[808][4]~38198_combout\ = (\led_flash_cnt[808][4]~q\ & (!\led_flash_cnt[808][3]~38197\)) # (!\led_flash_cnt[808][4]~q\ & ((\led_flash_cnt[808][3]~38197\) # (GND)))
-- \led_flash_cnt[808][4]~38199\ = CARRY((!\led_flash_cnt[808][3]~38197\) # (!\led_flash_cnt[808][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[808][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[808][3]~38197\,
	combout => \led_flash_cnt[808][4]~38198_combout\,
	cout => \led_flash_cnt[808][4]~38199\);

-- Location: FF_X17_Y19_N23
\led_flash_cnt[808][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[808][4]~38198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[808][4]~q\);

-- Location: LCCOMB_X17_Y19_N24
\led_flash_cnt[808][5]~38200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[808][5]~38200_combout\ = (\led_flash_cnt[808][5]~q\ & (\led_flash_cnt[808][4]~38199\ $ (GND))) # (!\led_flash_cnt[808][5]~q\ & (!\led_flash_cnt[808][4]~38199\ & VCC))
-- \led_flash_cnt[808][5]~38201\ = CARRY((\led_flash_cnt[808][5]~q\ & !\led_flash_cnt[808][4]~38199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[808][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[808][4]~38199\,
	combout => \led_flash_cnt[808][5]~38200_combout\,
	cout => \led_flash_cnt[808][5]~38201\);

-- Location: FF_X17_Y19_N25
\led_flash_cnt[808][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[808][5]~38200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[808][5]~q\);

-- Location: LCCOMB_X17_Y19_N26
\led_flash_cnt[808][6]~38202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[808][6]~38202_combout\ = (\led_flash_cnt[808][6]~q\ & (!\led_flash_cnt[808][5]~38201\)) # (!\led_flash_cnt[808][6]~q\ & ((\led_flash_cnt[808][5]~38201\) # (GND)))
-- \led_flash_cnt[808][6]~38203\ = CARRY((!\led_flash_cnt[808][5]~38201\) # (!\led_flash_cnt[808][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[808][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[808][5]~38201\,
	combout => \led_flash_cnt[808][6]~38202_combout\,
	cout => \led_flash_cnt[808][6]~38203\);

-- Location: FF_X17_Y19_N27
\led_flash_cnt[808][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[808][6]~38202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[808][6]~q\);

-- Location: LCCOMB_X17_Y19_N28
\led_flash_cnt[808][7]~38204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[808][7]~38204_combout\ = \led_flash_cnt[808][6]~38203\ $ (!\led_flash_cnt[808][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[808][7]~q\,
	cin => \led_flash_cnt[808][6]~38203\,
	combout => \led_flash_cnt[808][7]~38204_combout\);

-- Location: FF_X17_Y19_N29
\led_flash_cnt[808][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[808][7]~38204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[808][7]~q\);

-- Location: LCCOMB_X17_Y19_N4
\WideAnd808~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd808~0_combout\ = (\led_flash_cnt[808][1]~q\ & (\led_flash_cnt[808][2]~q\ & (\led_flash_cnt[808][4]~q\ & \led_flash_cnt[808][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[808][1]~q\,
	datab => \led_flash_cnt[808][2]~q\,
	datac => \led_flash_cnt[808][4]~q\,
	datad => \led_flash_cnt[808][3]~q\,
	combout => \WideAnd808~0_combout\);

-- Location: LCCOMB_X17_Y19_N12
\WideAnd808~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd808~1_combout\ = (\led_flash_cnt[808][6]~q\ & \led_flash_cnt[808][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[808][6]~q\,
	datad => \led_flash_cnt[808][5]~q\,
	combout => \WideAnd808~1_combout\);

-- Location: LCCOMB_X17_Y19_N2
WideAnd808 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd808~combout\ = (\led_flash_cnt[808][0]~q\ & (\led_flash_cnt[808][7]~q\ & (\WideAnd808~0_combout\ & \WideAnd808~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[808][0]~q\,
	datab => \led_flash_cnt[808][7]~q\,
	datac => \WideAnd808~0_combout\,
	datad => \WideAnd808~1_combout\,
	combout => \WideAnd808~combout\);

-- Location: FF_X17_Y19_N3
\led_flash_cnt_ands[808]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd808~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(808));

-- Location: LCCOMB_X17_Y19_N0
\WideAnd3941~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3941~0_combout\ = (led_flash_cnt_ands(810) & (led_flash_cnt_ands(811) & (led_flash_cnt_ands(809) & led_flash_cnt_ands(808))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(810),
	datab => led_flash_cnt_ands(811),
	datac => led_flash_cnt_ands(809),
	datad => led_flash_cnt_ands(808),
	combout => \WideAnd3941~0_combout\);

-- Location: LCCOMB_X16_Y32_N18
\led_flash_cnt[815][0]~81455\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[815][0]~81455_combout\ = !\led_flash_cnt[815][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[815][0]~q\,
	combout => \led_flash_cnt[815][0]~81455_combout\);

-- Location: FF_X16_Y32_N19
\led_flash_cnt[815][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[815][0]~81455_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[815][0]~q\);

-- Location: LCCOMB_X16_Y32_N4
\led_flash_cnt[815][1]~38290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[815][1]~38290_combout\ = (\led_flash_cnt[815][1]~q\ & (\led_flash_cnt[815][0]~q\ $ (VCC))) # (!\led_flash_cnt[815][1]~q\ & (\led_flash_cnt[815][0]~q\ & VCC))
-- \led_flash_cnt[815][1]~38291\ = CARRY((\led_flash_cnt[815][1]~q\ & \led_flash_cnt[815][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[815][1]~q\,
	datab => \led_flash_cnt[815][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[815][1]~38290_combout\,
	cout => \led_flash_cnt[815][1]~38291\);

-- Location: FF_X16_Y32_N5
\led_flash_cnt[815][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[815][1]~38290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[815][1]~q\);

-- Location: LCCOMB_X16_Y32_N6
\led_flash_cnt[815][2]~38292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[815][2]~38292_combout\ = (\led_flash_cnt[815][2]~q\ & (!\led_flash_cnt[815][1]~38291\)) # (!\led_flash_cnt[815][2]~q\ & ((\led_flash_cnt[815][1]~38291\) # (GND)))
-- \led_flash_cnt[815][2]~38293\ = CARRY((!\led_flash_cnt[815][1]~38291\) # (!\led_flash_cnt[815][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[815][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[815][1]~38291\,
	combout => \led_flash_cnt[815][2]~38292_combout\,
	cout => \led_flash_cnt[815][2]~38293\);

-- Location: FF_X16_Y32_N7
\led_flash_cnt[815][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[815][2]~38292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[815][2]~q\);

-- Location: LCCOMB_X16_Y32_N8
\led_flash_cnt[815][3]~38294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[815][3]~38294_combout\ = (\led_flash_cnt[815][3]~q\ & (\led_flash_cnt[815][2]~38293\ $ (GND))) # (!\led_flash_cnt[815][3]~q\ & (!\led_flash_cnt[815][2]~38293\ & VCC))
-- \led_flash_cnt[815][3]~38295\ = CARRY((\led_flash_cnt[815][3]~q\ & !\led_flash_cnt[815][2]~38293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[815][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[815][2]~38293\,
	combout => \led_flash_cnt[815][3]~38294_combout\,
	cout => \led_flash_cnt[815][3]~38295\);

-- Location: FF_X16_Y32_N9
\led_flash_cnt[815][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[815][3]~38294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[815][3]~q\);

-- Location: LCCOMB_X16_Y32_N10
\led_flash_cnt[815][4]~38296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[815][4]~38296_combout\ = (\led_flash_cnt[815][4]~q\ & (!\led_flash_cnt[815][3]~38295\)) # (!\led_flash_cnt[815][4]~q\ & ((\led_flash_cnt[815][3]~38295\) # (GND)))
-- \led_flash_cnt[815][4]~38297\ = CARRY((!\led_flash_cnt[815][3]~38295\) # (!\led_flash_cnt[815][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[815][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[815][3]~38295\,
	combout => \led_flash_cnt[815][4]~38296_combout\,
	cout => \led_flash_cnt[815][4]~38297\);

-- Location: FF_X16_Y32_N11
\led_flash_cnt[815][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[815][4]~38296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[815][4]~q\);

-- Location: LCCOMB_X16_Y32_N30
\WideAnd815~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd815~0_combout\ = (\led_flash_cnt[815][2]~q\ & (\led_flash_cnt[815][1]~q\ & (\led_flash_cnt[815][3]~q\ & \led_flash_cnt[815][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[815][2]~q\,
	datab => \led_flash_cnt[815][1]~q\,
	datac => \led_flash_cnt[815][3]~q\,
	datad => \led_flash_cnt[815][4]~q\,
	combout => \WideAnd815~0_combout\);

-- Location: LCCOMB_X16_Y32_N12
\led_flash_cnt[815][5]~38298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[815][5]~38298_combout\ = (\led_flash_cnt[815][5]~q\ & (\led_flash_cnt[815][4]~38297\ $ (GND))) # (!\led_flash_cnt[815][5]~q\ & (!\led_flash_cnt[815][4]~38297\ & VCC))
-- \led_flash_cnt[815][5]~38299\ = CARRY((\led_flash_cnt[815][5]~q\ & !\led_flash_cnt[815][4]~38297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[815][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[815][4]~38297\,
	combout => \led_flash_cnt[815][5]~38298_combout\,
	cout => \led_flash_cnt[815][5]~38299\);

-- Location: FF_X16_Y32_N13
\led_flash_cnt[815][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[815][5]~38298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[815][5]~q\);

-- Location: LCCOMB_X16_Y32_N14
\led_flash_cnt[815][6]~38300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[815][6]~38300_combout\ = (\led_flash_cnt[815][6]~q\ & (!\led_flash_cnt[815][5]~38299\)) # (!\led_flash_cnt[815][6]~q\ & ((\led_flash_cnt[815][5]~38299\) # (GND)))
-- \led_flash_cnt[815][6]~38301\ = CARRY((!\led_flash_cnt[815][5]~38299\) # (!\led_flash_cnt[815][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[815][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[815][5]~38299\,
	combout => \led_flash_cnt[815][6]~38300_combout\,
	cout => \led_flash_cnt[815][6]~38301\);

-- Location: FF_X16_Y32_N15
\led_flash_cnt[815][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[815][6]~38300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[815][6]~q\);

-- Location: LCCOMB_X16_Y32_N22
\WideAnd815~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd815~1_combout\ = (\led_flash_cnt[815][6]~q\ & \led_flash_cnt[815][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[815][6]~q\,
	datad => \led_flash_cnt[815][5]~q\,
	combout => \WideAnd815~1_combout\);

-- Location: LCCOMB_X16_Y32_N16
\led_flash_cnt[815][7]~38302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[815][7]~38302_combout\ = \led_flash_cnt[815][6]~38301\ $ (!\led_flash_cnt[815][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[815][7]~q\,
	cin => \led_flash_cnt[815][6]~38301\,
	combout => \led_flash_cnt[815][7]~38302_combout\);

-- Location: FF_X16_Y32_N17
\led_flash_cnt[815][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[815][7]~38302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[815][7]~q\);

-- Location: LCCOMB_X16_Y32_N24
WideAnd815 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd815~combout\ = (\WideAnd815~0_combout\ & (\led_flash_cnt[815][0]~q\ & (\WideAnd815~1_combout\ & \led_flash_cnt[815][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd815~0_combout\,
	datab => \led_flash_cnt[815][0]~q\,
	datac => \WideAnd815~1_combout\,
	datad => \led_flash_cnt[815][7]~q\,
	combout => \WideAnd815~combout\);

-- Location: FF_X16_Y32_N25
\led_flash_cnt_ands[815]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd815~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(815));

-- Location: LCCOMB_X16_Y32_N20
WideAnd3941 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3941~combout\ = (\WideAnd3941~1_combout\ & (led_flash_cnt_ands(814) & (\WideAnd3941~0_combout\ & led_flash_cnt_ands(815))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3941~1_combout\,
	datab => led_flash_cnt_ands(814),
	datac => \WideAnd3941~0_combout\,
	datad => led_flash_cnt_ands(815),
	combout => \WideAnd3941~combout\);

-- Location: FF_X16_Y32_N21
\led_flash_cnt_ands_1[101]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3941~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(101));

-- Location: LCCOMB_X22_Y31_N6
\led_flash_cnt[805][0]~81445\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[805][0]~81445_combout\ = !\led_flash_cnt[805][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[805][0]~q\,
	combout => \led_flash_cnt[805][0]~81445_combout\);

-- Location: FF_X22_Y31_N7
\led_flash_cnt[805][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[805][0]~81445_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[805][0]~q\);

-- Location: LCCOMB_X21_Y31_N0
\led_flash_cnt[805][1]~38150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[805][1]~38150_combout\ = (\led_flash_cnt[805][0]~q\ & (\led_flash_cnt[805][1]~q\ $ (VCC))) # (!\led_flash_cnt[805][0]~q\ & (\led_flash_cnt[805][1]~q\ & VCC))
-- \led_flash_cnt[805][1]~38151\ = CARRY((\led_flash_cnt[805][0]~q\ & \led_flash_cnt[805][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[805][0]~q\,
	datab => \led_flash_cnt[805][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[805][1]~38150_combout\,
	cout => \led_flash_cnt[805][1]~38151\);

-- Location: FF_X21_Y31_N1
\led_flash_cnt[805][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[805][1]~38150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[805][1]~q\);

-- Location: LCCOMB_X21_Y31_N2
\led_flash_cnt[805][2]~38152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[805][2]~38152_combout\ = (\led_flash_cnt[805][2]~q\ & (!\led_flash_cnt[805][1]~38151\)) # (!\led_flash_cnt[805][2]~q\ & ((\led_flash_cnt[805][1]~38151\) # (GND)))
-- \led_flash_cnt[805][2]~38153\ = CARRY((!\led_flash_cnt[805][1]~38151\) # (!\led_flash_cnt[805][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[805][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[805][1]~38151\,
	combout => \led_flash_cnt[805][2]~38152_combout\,
	cout => \led_flash_cnt[805][2]~38153\);

-- Location: FF_X21_Y31_N3
\led_flash_cnt[805][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[805][2]~38152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[805][2]~q\);

-- Location: LCCOMB_X21_Y31_N4
\led_flash_cnt[805][3]~38154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[805][3]~38154_combout\ = (\led_flash_cnt[805][3]~q\ & (\led_flash_cnt[805][2]~38153\ $ (GND))) # (!\led_flash_cnt[805][3]~q\ & (!\led_flash_cnt[805][2]~38153\ & VCC))
-- \led_flash_cnt[805][3]~38155\ = CARRY((\led_flash_cnt[805][3]~q\ & !\led_flash_cnt[805][2]~38153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[805][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[805][2]~38153\,
	combout => \led_flash_cnt[805][3]~38154_combout\,
	cout => \led_flash_cnt[805][3]~38155\);

-- Location: FF_X21_Y31_N5
\led_flash_cnt[805][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[805][3]~38154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[805][3]~q\);

-- Location: LCCOMB_X21_Y31_N6
\led_flash_cnt[805][4]~38156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[805][4]~38156_combout\ = (\led_flash_cnt[805][4]~q\ & (!\led_flash_cnt[805][3]~38155\)) # (!\led_flash_cnt[805][4]~q\ & ((\led_flash_cnt[805][3]~38155\) # (GND)))
-- \led_flash_cnt[805][4]~38157\ = CARRY((!\led_flash_cnt[805][3]~38155\) # (!\led_flash_cnt[805][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[805][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[805][3]~38155\,
	combout => \led_flash_cnt[805][4]~38156_combout\,
	cout => \led_flash_cnt[805][4]~38157\);

-- Location: FF_X21_Y31_N7
\led_flash_cnt[805][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[805][4]~38156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[805][4]~q\);

-- Location: LCCOMB_X21_Y31_N8
\led_flash_cnt[805][5]~38158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[805][5]~38158_combout\ = (\led_flash_cnt[805][5]~q\ & (\led_flash_cnt[805][4]~38157\ $ (GND))) # (!\led_flash_cnt[805][5]~q\ & (!\led_flash_cnt[805][4]~38157\ & VCC))
-- \led_flash_cnt[805][5]~38159\ = CARRY((\led_flash_cnt[805][5]~q\ & !\led_flash_cnt[805][4]~38157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[805][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[805][4]~38157\,
	combout => \led_flash_cnt[805][5]~38158_combout\,
	cout => \led_flash_cnt[805][5]~38159\);

-- Location: FF_X21_Y31_N9
\led_flash_cnt[805][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[805][5]~38158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[805][5]~q\);

-- Location: LCCOMB_X21_Y31_N10
\led_flash_cnt[805][6]~38160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[805][6]~38160_combout\ = (\led_flash_cnt[805][6]~q\ & (!\led_flash_cnt[805][5]~38159\)) # (!\led_flash_cnt[805][6]~q\ & ((\led_flash_cnt[805][5]~38159\) # (GND)))
-- \led_flash_cnt[805][6]~38161\ = CARRY((!\led_flash_cnt[805][5]~38159\) # (!\led_flash_cnt[805][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[805][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[805][5]~38159\,
	combout => \led_flash_cnt[805][6]~38160_combout\,
	cout => \led_flash_cnt[805][6]~38161\);

-- Location: FF_X21_Y31_N11
\led_flash_cnt[805][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[805][6]~38160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[805][6]~q\);

-- Location: LCCOMB_X21_Y31_N12
\led_flash_cnt[805][7]~38162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[805][7]~38162_combout\ = \led_flash_cnt[805][6]~38161\ $ (!\led_flash_cnt[805][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[805][7]~q\,
	cin => \led_flash_cnt[805][6]~38161\,
	combout => \led_flash_cnt[805][7]~38162_combout\);

-- Location: FF_X21_Y31_N13
\led_flash_cnt[805][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[805][7]~38162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[805][7]~q\);

-- Location: LCCOMB_X20_Y31_N6
\WideAnd805~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd805~1_combout\ = (\led_flash_cnt[805][6]~q\ & \led_flash_cnt[805][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[805][6]~q\,
	datac => \led_flash_cnt[805][5]~q\,
	combout => \WideAnd805~1_combout\);

-- Location: LCCOMB_X21_Y31_N14
\WideAnd805~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd805~0_combout\ = (\led_flash_cnt[805][4]~q\ & (\led_flash_cnt[805][1]~q\ & (\led_flash_cnt[805][3]~q\ & \led_flash_cnt[805][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[805][4]~q\,
	datab => \led_flash_cnt[805][1]~q\,
	datac => \led_flash_cnt[805][3]~q\,
	datad => \led_flash_cnt[805][2]~q\,
	combout => \WideAnd805~0_combout\);

-- Location: LCCOMB_X21_Y31_N30
WideAnd805 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd805~combout\ = (\led_flash_cnt[805][7]~q\ & (\WideAnd805~1_combout\ & (\WideAnd805~0_combout\ & \led_flash_cnt[805][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[805][7]~q\,
	datab => \WideAnd805~1_combout\,
	datac => \WideAnd805~0_combout\,
	datad => \led_flash_cnt[805][0]~q\,
	combout => \WideAnd805~combout\);

-- Location: FF_X21_Y31_N31
\led_flash_cnt_ands[805]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd805~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(805));

-- Location: LCCOMB_X10_Y32_N14
\led_flash_cnt[804][0]~81444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[804][0]~81444_combout\ = !\led_flash_cnt[804][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[804][0]~q\,
	combout => \led_flash_cnt[804][0]~81444_combout\);

-- Location: FF_X10_Y32_N15
\led_flash_cnt[804][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[804][0]~81444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[804][0]~q\);

-- Location: LCCOMB_X9_Y32_N0
\led_flash_cnt[804][1]~38136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[804][1]~38136_combout\ = (\led_flash_cnt[804][1]~q\ & (\led_flash_cnt[804][0]~q\ $ (VCC))) # (!\led_flash_cnt[804][1]~q\ & (\led_flash_cnt[804][0]~q\ & VCC))
-- \led_flash_cnt[804][1]~38137\ = CARRY((\led_flash_cnt[804][1]~q\ & \led_flash_cnt[804][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[804][1]~q\,
	datab => \led_flash_cnt[804][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[804][1]~38136_combout\,
	cout => \led_flash_cnt[804][1]~38137\);

-- Location: FF_X9_Y32_N1
\led_flash_cnt[804][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[804][1]~38136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[804][1]~q\);

-- Location: LCCOMB_X9_Y32_N2
\led_flash_cnt[804][2]~38138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[804][2]~38138_combout\ = (\led_flash_cnt[804][2]~q\ & (!\led_flash_cnt[804][1]~38137\)) # (!\led_flash_cnt[804][2]~q\ & ((\led_flash_cnt[804][1]~38137\) # (GND)))
-- \led_flash_cnt[804][2]~38139\ = CARRY((!\led_flash_cnt[804][1]~38137\) # (!\led_flash_cnt[804][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[804][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[804][1]~38137\,
	combout => \led_flash_cnt[804][2]~38138_combout\,
	cout => \led_flash_cnt[804][2]~38139\);

-- Location: FF_X9_Y32_N3
\led_flash_cnt[804][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[804][2]~38138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[804][2]~q\);

-- Location: LCCOMB_X9_Y32_N4
\led_flash_cnt[804][3]~38140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[804][3]~38140_combout\ = (\led_flash_cnt[804][3]~q\ & (\led_flash_cnt[804][2]~38139\ $ (GND))) # (!\led_flash_cnt[804][3]~q\ & (!\led_flash_cnt[804][2]~38139\ & VCC))
-- \led_flash_cnt[804][3]~38141\ = CARRY((\led_flash_cnt[804][3]~q\ & !\led_flash_cnt[804][2]~38139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[804][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[804][2]~38139\,
	combout => \led_flash_cnt[804][3]~38140_combout\,
	cout => \led_flash_cnt[804][3]~38141\);

-- Location: FF_X9_Y32_N5
\led_flash_cnt[804][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[804][3]~38140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[804][3]~q\);

-- Location: LCCOMB_X9_Y32_N6
\led_flash_cnt[804][4]~38142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[804][4]~38142_combout\ = (\led_flash_cnt[804][4]~q\ & (!\led_flash_cnt[804][3]~38141\)) # (!\led_flash_cnt[804][4]~q\ & ((\led_flash_cnt[804][3]~38141\) # (GND)))
-- \led_flash_cnt[804][4]~38143\ = CARRY((!\led_flash_cnt[804][3]~38141\) # (!\led_flash_cnt[804][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[804][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[804][3]~38141\,
	combout => \led_flash_cnt[804][4]~38142_combout\,
	cout => \led_flash_cnt[804][4]~38143\);

-- Location: FF_X9_Y32_N7
\led_flash_cnt[804][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[804][4]~38142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[804][4]~q\);

-- Location: LCCOMB_X9_Y32_N8
\led_flash_cnt[804][5]~38144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[804][5]~38144_combout\ = (\led_flash_cnt[804][5]~q\ & (\led_flash_cnt[804][4]~38143\ $ (GND))) # (!\led_flash_cnt[804][5]~q\ & (!\led_flash_cnt[804][4]~38143\ & VCC))
-- \led_flash_cnt[804][5]~38145\ = CARRY((\led_flash_cnt[804][5]~q\ & !\led_flash_cnt[804][4]~38143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[804][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[804][4]~38143\,
	combout => \led_flash_cnt[804][5]~38144_combout\,
	cout => \led_flash_cnt[804][5]~38145\);

-- Location: FF_X9_Y32_N9
\led_flash_cnt[804][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[804][5]~38144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[804][5]~q\);

-- Location: LCCOMB_X9_Y32_N10
\led_flash_cnt[804][6]~38146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[804][6]~38146_combout\ = (\led_flash_cnt[804][6]~q\ & (!\led_flash_cnt[804][5]~38145\)) # (!\led_flash_cnt[804][6]~q\ & ((\led_flash_cnt[804][5]~38145\) # (GND)))
-- \led_flash_cnt[804][6]~38147\ = CARRY((!\led_flash_cnt[804][5]~38145\) # (!\led_flash_cnt[804][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[804][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[804][5]~38145\,
	combout => \led_flash_cnt[804][6]~38146_combout\,
	cout => \led_flash_cnt[804][6]~38147\);

-- Location: FF_X9_Y32_N11
\led_flash_cnt[804][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[804][6]~38146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[804][6]~q\);

-- Location: LCCOMB_X9_Y32_N12
\led_flash_cnt[804][7]~38148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[804][7]~38148_combout\ = \led_flash_cnt[804][6]~38147\ $ (!\led_flash_cnt[804][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[804][7]~q\,
	cin => \led_flash_cnt[804][6]~38147\,
	combout => \led_flash_cnt[804][7]~38148_combout\);

-- Location: FF_X9_Y32_N13
\led_flash_cnt[804][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[804][7]~38148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[804][7]~q\);

-- Location: LCCOMB_X10_Y32_N20
\WideAnd804~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd804~0_combout\ = (\led_flash_cnt[804][1]~q\ & (\led_flash_cnt[804][4]~q\ & (\led_flash_cnt[804][3]~q\ & \led_flash_cnt[804][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[804][1]~q\,
	datab => \led_flash_cnt[804][4]~q\,
	datac => \led_flash_cnt[804][3]~q\,
	datad => \led_flash_cnt[804][2]~q\,
	combout => \WideAnd804~0_combout\);

-- Location: LCCOMB_X10_Y32_N18
\WideAnd804~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd804~1_combout\ = (\led_flash_cnt[804][5]~q\ & \led_flash_cnt[804][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[804][5]~q\,
	datad => \led_flash_cnt[804][6]~q\,
	combout => \WideAnd804~1_combout\);

-- Location: LCCOMB_X10_Y32_N22
WideAnd804 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd804~combout\ = (\led_flash_cnt[804][7]~q\ & (\WideAnd804~0_combout\ & (\led_flash_cnt[804][0]~q\ & \WideAnd804~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[804][7]~q\,
	datab => \WideAnd804~0_combout\,
	datac => \led_flash_cnt[804][0]~q\,
	datad => \WideAnd804~1_combout\,
	combout => \WideAnd804~combout\);

-- Location: FF_X10_Y32_N23
\led_flash_cnt_ands[804]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd804~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(804));

-- Location: LCCOMB_X18_Y32_N10
\WideAnd3940~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3940~1_combout\ = (led_flash_cnt_ands(805) & led_flash_cnt_ands(804))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(805),
	datad => led_flash_cnt_ands(804),
	combout => \WideAnd3940~1_combout\);

-- Location: LCCOMB_X19_Y33_N18
\led_flash_cnt[802][0]~81442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[802][0]~81442_combout\ = !\led_flash_cnt[802][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[802][0]~q\,
	combout => \led_flash_cnt[802][0]~81442_combout\);

-- Location: FF_X19_Y33_N19
\led_flash_cnt[802][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[802][0]~81442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[802][0]~q\);

-- Location: LCCOMB_X18_Y33_N18
\led_flash_cnt[802][1]~38108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[802][1]~38108_combout\ = (\led_flash_cnt[802][0]~q\ & (\led_flash_cnt[802][1]~q\ $ (VCC))) # (!\led_flash_cnt[802][0]~q\ & (\led_flash_cnt[802][1]~q\ & VCC))
-- \led_flash_cnt[802][1]~38109\ = CARRY((\led_flash_cnt[802][0]~q\ & \led_flash_cnt[802][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[802][0]~q\,
	datab => \led_flash_cnt[802][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[802][1]~38108_combout\,
	cout => \led_flash_cnt[802][1]~38109\);

-- Location: FF_X18_Y33_N19
\led_flash_cnt[802][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[802][1]~38108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[802][1]~q\);

-- Location: LCCOMB_X18_Y33_N20
\led_flash_cnt[802][2]~38110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[802][2]~38110_combout\ = (\led_flash_cnt[802][2]~q\ & (!\led_flash_cnt[802][1]~38109\)) # (!\led_flash_cnt[802][2]~q\ & ((\led_flash_cnt[802][1]~38109\) # (GND)))
-- \led_flash_cnt[802][2]~38111\ = CARRY((!\led_flash_cnt[802][1]~38109\) # (!\led_flash_cnt[802][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[802][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[802][1]~38109\,
	combout => \led_flash_cnt[802][2]~38110_combout\,
	cout => \led_flash_cnt[802][2]~38111\);

-- Location: FF_X18_Y33_N21
\led_flash_cnt[802][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[802][2]~38110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[802][2]~q\);

-- Location: LCCOMB_X18_Y33_N22
\led_flash_cnt[802][3]~38112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[802][3]~38112_combout\ = (\led_flash_cnt[802][3]~q\ & (\led_flash_cnt[802][2]~38111\ $ (GND))) # (!\led_flash_cnt[802][3]~q\ & (!\led_flash_cnt[802][2]~38111\ & VCC))
-- \led_flash_cnt[802][3]~38113\ = CARRY((\led_flash_cnt[802][3]~q\ & !\led_flash_cnt[802][2]~38111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[802][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[802][2]~38111\,
	combout => \led_flash_cnt[802][3]~38112_combout\,
	cout => \led_flash_cnt[802][3]~38113\);

-- Location: FF_X18_Y33_N23
\led_flash_cnt[802][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[802][3]~38112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[802][3]~q\);

-- Location: LCCOMB_X18_Y33_N24
\led_flash_cnt[802][4]~38114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[802][4]~38114_combout\ = (\led_flash_cnt[802][4]~q\ & (!\led_flash_cnt[802][3]~38113\)) # (!\led_flash_cnt[802][4]~q\ & ((\led_flash_cnt[802][3]~38113\) # (GND)))
-- \led_flash_cnt[802][4]~38115\ = CARRY((!\led_flash_cnt[802][3]~38113\) # (!\led_flash_cnt[802][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[802][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[802][3]~38113\,
	combout => \led_flash_cnt[802][4]~38114_combout\,
	cout => \led_flash_cnt[802][4]~38115\);

-- Location: FF_X18_Y33_N25
\led_flash_cnt[802][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[802][4]~38114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[802][4]~q\);

-- Location: LCCOMB_X18_Y33_N2
\WideAnd802~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd802~0_combout\ = (\led_flash_cnt[802][1]~q\ & (\led_flash_cnt[802][2]~q\ & (\led_flash_cnt[802][3]~q\ & \led_flash_cnt[802][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[802][1]~q\,
	datab => \led_flash_cnt[802][2]~q\,
	datac => \led_flash_cnt[802][3]~q\,
	datad => \led_flash_cnt[802][4]~q\,
	combout => \WideAnd802~0_combout\);

-- Location: LCCOMB_X18_Y33_N26
\led_flash_cnt[802][5]~38116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[802][5]~38116_combout\ = (\led_flash_cnt[802][5]~q\ & (\led_flash_cnt[802][4]~38115\ $ (GND))) # (!\led_flash_cnt[802][5]~q\ & (!\led_flash_cnt[802][4]~38115\ & VCC))
-- \led_flash_cnt[802][5]~38117\ = CARRY((\led_flash_cnt[802][5]~q\ & !\led_flash_cnt[802][4]~38115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[802][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[802][4]~38115\,
	combout => \led_flash_cnt[802][5]~38116_combout\,
	cout => \led_flash_cnt[802][5]~38117\);

-- Location: FF_X18_Y33_N27
\led_flash_cnt[802][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[802][5]~38116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[802][5]~q\);

-- Location: LCCOMB_X18_Y33_N28
\led_flash_cnt[802][6]~38118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[802][6]~38118_combout\ = (\led_flash_cnt[802][6]~q\ & (!\led_flash_cnt[802][5]~38117\)) # (!\led_flash_cnt[802][6]~q\ & ((\led_flash_cnt[802][5]~38117\) # (GND)))
-- \led_flash_cnt[802][6]~38119\ = CARRY((!\led_flash_cnt[802][5]~38117\) # (!\led_flash_cnt[802][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[802][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[802][5]~38117\,
	combout => \led_flash_cnt[802][6]~38118_combout\,
	cout => \led_flash_cnt[802][6]~38119\);

-- Location: FF_X18_Y33_N29
\led_flash_cnt[802][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[802][6]~38118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[802][6]~q\);

-- Location: LCCOMB_X18_Y33_N30
\led_flash_cnt[802][7]~38120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[802][7]~38120_combout\ = \led_flash_cnt[802][7]~q\ $ (!\led_flash_cnt[802][6]~38119\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[802][7]~q\,
	cin => \led_flash_cnt[802][6]~38119\,
	combout => \led_flash_cnt[802][7]~38120_combout\);

-- Location: FF_X18_Y33_N31
\led_flash_cnt[802][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[802][7]~38120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[802][7]~q\);

-- Location: LCCOMB_X19_Y33_N4
\WideAnd802~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd802~1_combout\ = (\led_flash_cnt[802][5]~q\ & \led_flash_cnt[802][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[802][5]~q\,
	datad => \led_flash_cnt[802][6]~q\,
	combout => \WideAnd802~1_combout\);

-- Location: LCCOMB_X19_Y33_N12
WideAnd802 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd802~combout\ = (\WideAnd802~0_combout\ & (\led_flash_cnt[802][7]~q\ & (\WideAnd802~1_combout\ & \led_flash_cnt[802][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd802~0_combout\,
	datab => \led_flash_cnt[802][7]~q\,
	datac => \WideAnd802~1_combout\,
	datad => \led_flash_cnt[802][0]~q\,
	combout => \WideAnd802~combout\);

-- Location: FF_X19_Y33_N13
\led_flash_cnt_ands[802]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd802~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(802));

-- Location: LCCOMB_X19_Y33_N16
\led_flash_cnt[801][0]~81441\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[801][0]~81441_combout\ = !\led_flash_cnt[801][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[801][0]~q\,
	combout => \led_flash_cnt[801][0]~81441_combout\);

-- Location: FF_X19_Y33_N17
\led_flash_cnt[801][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[801][0]~81441_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[801][0]~q\);

-- Location: LCCOMB_X20_Y35_N18
\led_flash_cnt[801][1]~38094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[801][1]~38094_combout\ = (\led_flash_cnt[801][0]~q\ & (\led_flash_cnt[801][1]~q\ $ (VCC))) # (!\led_flash_cnt[801][0]~q\ & (\led_flash_cnt[801][1]~q\ & VCC))
-- \led_flash_cnt[801][1]~38095\ = CARRY((\led_flash_cnt[801][0]~q\ & \led_flash_cnt[801][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[801][0]~q\,
	datab => \led_flash_cnt[801][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[801][1]~38094_combout\,
	cout => \led_flash_cnt[801][1]~38095\);

-- Location: FF_X20_Y35_N19
\led_flash_cnt[801][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[801][1]~38094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[801][1]~q\);

-- Location: LCCOMB_X20_Y35_N20
\led_flash_cnt[801][2]~38096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[801][2]~38096_combout\ = (\led_flash_cnt[801][2]~q\ & (!\led_flash_cnt[801][1]~38095\)) # (!\led_flash_cnt[801][2]~q\ & ((\led_flash_cnt[801][1]~38095\) # (GND)))
-- \led_flash_cnt[801][2]~38097\ = CARRY((!\led_flash_cnt[801][1]~38095\) # (!\led_flash_cnt[801][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[801][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[801][1]~38095\,
	combout => \led_flash_cnt[801][2]~38096_combout\,
	cout => \led_flash_cnt[801][2]~38097\);

-- Location: FF_X20_Y35_N21
\led_flash_cnt[801][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[801][2]~38096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[801][2]~q\);

-- Location: LCCOMB_X20_Y35_N22
\led_flash_cnt[801][3]~38098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[801][3]~38098_combout\ = (\led_flash_cnt[801][3]~q\ & (\led_flash_cnt[801][2]~38097\ $ (GND))) # (!\led_flash_cnt[801][3]~q\ & (!\led_flash_cnt[801][2]~38097\ & VCC))
-- \led_flash_cnt[801][3]~38099\ = CARRY((\led_flash_cnt[801][3]~q\ & !\led_flash_cnt[801][2]~38097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[801][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[801][2]~38097\,
	combout => \led_flash_cnt[801][3]~38098_combout\,
	cout => \led_flash_cnt[801][3]~38099\);

-- Location: FF_X20_Y35_N23
\led_flash_cnt[801][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[801][3]~38098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[801][3]~q\);

-- Location: LCCOMB_X20_Y35_N24
\led_flash_cnt[801][4]~38100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[801][4]~38100_combout\ = (\led_flash_cnt[801][4]~q\ & (!\led_flash_cnt[801][3]~38099\)) # (!\led_flash_cnt[801][4]~q\ & ((\led_flash_cnt[801][3]~38099\) # (GND)))
-- \led_flash_cnt[801][4]~38101\ = CARRY((!\led_flash_cnt[801][3]~38099\) # (!\led_flash_cnt[801][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[801][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[801][3]~38099\,
	combout => \led_flash_cnt[801][4]~38100_combout\,
	cout => \led_flash_cnt[801][4]~38101\);

-- Location: FF_X20_Y35_N25
\led_flash_cnt[801][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[801][4]~38100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[801][4]~q\);

-- Location: LCCOMB_X20_Y35_N26
\led_flash_cnt[801][5]~38102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[801][5]~38102_combout\ = (\led_flash_cnt[801][5]~q\ & (\led_flash_cnt[801][4]~38101\ $ (GND))) # (!\led_flash_cnt[801][5]~q\ & (!\led_flash_cnt[801][4]~38101\ & VCC))
-- \led_flash_cnt[801][5]~38103\ = CARRY((\led_flash_cnt[801][5]~q\ & !\led_flash_cnt[801][4]~38101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[801][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[801][4]~38101\,
	combout => \led_flash_cnt[801][5]~38102_combout\,
	cout => \led_flash_cnt[801][5]~38103\);

-- Location: FF_X20_Y35_N27
\led_flash_cnt[801][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[801][5]~38102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[801][5]~q\);

-- Location: LCCOMB_X20_Y35_N28
\led_flash_cnt[801][6]~38104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[801][6]~38104_combout\ = (\led_flash_cnt[801][6]~q\ & (!\led_flash_cnt[801][5]~38103\)) # (!\led_flash_cnt[801][6]~q\ & ((\led_flash_cnt[801][5]~38103\) # (GND)))
-- \led_flash_cnt[801][6]~38105\ = CARRY((!\led_flash_cnt[801][5]~38103\) # (!\led_flash_cnt[801][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[801][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[801][5]~38103\,
	combout => \led_flash_cnt[801][6]~38104_combout\,
	cout => \led_flash_cnt[801][6]~38105\);

-- Location: FF_X20_Y35_N29
\led_flash_cnt[801][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[801][6]~38104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[801][6]~q\);

-- Location: LCCOMB_X19_Y35_N22
\WideAnd801~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd801~1_combout\ = (\led_flash_cnt[801][6]~q\ & \led_flash_cnt[801][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[801][6]~q\,
	datad => \led_flash_cnt[801][5]~q\,
	combout => \WideAnd801~1_combout\);

-- Location: LCCOMB_X20_Y35_N30
\led_flash_cnt[801][7]~38106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[801][7]~38106_combout\ = \led_flash_cnt[801][7]~q\ $ (!\led_flash_cnt[801][6]~38105\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[801][7]~q\,
	cin => \led_flash_cnt[801][6]~38105\,
	combout => \led_flash_cnt[801][7]~38106_combout\);

-- Location: FF_X20_Y35_N31
\led_flash_cnt[801][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[801][7]~38106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[801][7]~q\);

-- Location: LCCOMB_X20_Y35_N0
\WideAnd801~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd801~0_combout\ = (\led_flash_cnt[801][4]~q\ & (\led_flash_cnt[801][2]~q\ & (\led_flash_cnt[801][3]~q\ & \led_flash_cnt[801][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[801][4]~q\,
	datab => \led_flash_cnt[801][2]~q\,
	datac => \led_flash_cnt[801][3]~q\,
	datad => \led_flash_cnt[801][1]~q\,
	combout => \WideAnd801~0_combout\);

-- Location: LCCOMB_X19_Y33_N28
WideAnd801 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd801~combout\ = (\WideAnd801~1_combout\ & (\led_flash_cnt[801][0]~q\ & (\led_flash_cnt[801][7]~q\ & \WideAnd801~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd801~1_combout\,
	datab => \led_flash_cnt[801][0]~q\,
	datac => \led_flash_cnt[801][7]~q\,
	datad => \WideAnd801~0_combout\,
	combout => \WideAnd801~combout\);

-- Location: FF_X19_Y33_N29
\led_flash_cnt_ands[801]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd801~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(801));

-- Location: LCCOMB_X19_Y33_N22
\led_flash_cnt[800][0]~81440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[800][0]~81440_combout\ = !\led_flash_cnt[800][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[800][0]~q\,
	combout => \led_flash_cnt[800][0]~81440_combout\);

-- Location: FF_X19_Y33_N23
\led_flash_cnt[800][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[800][0]~81440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[800][0]~q\);

-- Location: LCCOMB_X18_Y29_N2
\led_flash_cnt[800][1]~38080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[800][1]~38080_combout\ = (\led_flash_cnt[800][0]~q\ & (\led_flash_cnt[800][1]~q\ $ (VCC))) # (!\led_flash_cnt[800][0]~q\ & (\led_flash_cnt[800][1]~q\ & VCC))
-- \led_flash_cnt[800][1]~38081\ = CARRY((\led_flash_cnt[800][0]~q\ & \led_flash_cnt[800][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[800][0]~q\,
	datab => \led_flash_cnt[800][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[800][1]~38080_combout\,
	cout => \led_flash_cnt[800][1]~38081\);

-- Location: FF_X18_Y29_N3
\led_flash_cnt[800][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[800][1]~38080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[800][1]~q\);

-- Location: LCCOMB_X18_Y29_N4
\led_flash_cnt[800][2]~38082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[800][2]~38082_combout\ = (\led_flash_cnt[800][2]~q\ & (!\led_flash_cnt[800][1]~38081\)) # (!\led_flash_cnt[800][2]~q\ & ((\led_flash_cnt[800][1]~38081\) # (GND)))
-- \led_flash_cnt[800][2]~38083\ = CARRY((!\led_flash_cnt[800][1]~38081\) # (!\led_flash_cnt[800][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[800][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[800][1]~38081\,
	combout => \led_flash_cnt[800][2]~38082_combout\,
	cout => \led_flash_cnt[800][2]~38083\);

-- Location: FF_X18_Y29_N5
\led_flash_cnt[800][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[800][2]~38082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[800][2]~q\);

-- Location: LCCOMB_X18_Y29_N6
\led_flash_cnt[800][3]~38084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[800][3]~38084_combout\ = (\led_flash_cnt[800][3]~q\ & (\led_flash_cnt[800][2]~38083\ $ (GND))) # (!\led_flash_cnt[800][3]~q\ & (!\led_flash_cnt[800][2]~38083\ & VCC))
-- \led_flash_cnt[800][3]~38085\ = CARRY((\led_flash_cnt[800][3]~q\ & !\led_flash_cnt[800][2]~38083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[800][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[800][2]~38083\,
	combout => \led_flash_cnt[800][3]~38084_combout\,
	cout => \led_flash_cnt[800][3]~38085\);

-- Location: FF_X18_Y29_N7
\led_flash_cnt[800][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[800][3]~38084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[800][3]~q\);

-- Location: LCCOMB_X18_Y29_N8
\led_flash_cnt[800][4]~38086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[800][4]~38086_combout\ = (\led_flash_cnt[800][4]~q\ & (!\led_flash_cnt[800][3]~38085\)) # (!\led_flash_cnt[800][4]~q\ & ((\led_flash_cnt[800][3]~38085\) # (GND)))
-- \led_flash_cnt[800][4]~38087\ = CARRY((!\led_flash_cnt[800][3]~38085\) # (!\led_flash_cnt[800][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[800][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[800][3]~38085\,
	combout => \led_flash_cnt[800][4]~38086_combout\,
	cout => \led_flash_cnt[800][4]~38087\);

-- Location: FF_X18_Y29_N9
\led_flash_cnt[800][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[800][4]~38086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[800][4]~q\);

-- Location: LCCOMB_X18_Y29_N16
\WideAnd800~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd800~0_combout\ = (\led_flash_cnt[800][3]~q\ & (\led_flash_cnt[800][4]~q\ & (\led_flash_cnt[800][2]~q\ & \led_flash_cnt[800][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[800][3]~q\,
	datab => \led_flash_cnt[800][4]~q\,
	datac => \led_flash_cnt[800][2]~q\,
	datad => \led_flash_cnt[800][1]~q\,
	combout => \WideAnd800~0_combout\);

-- Location: LCCOMB_X18_Y29_N10
\led_flash_cnt[800][5]~38088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[800][5]~38088_combout\ = (\led_flash_cnt[800][5]~q\ & (\led_flash_cnt[800][4]~38087\ $ (GND))) # (!\led_flash_cnt[800][5]~q\ & (!\led_flash_cnt[800][4]~38087\ & VCC))
-- \led_flash_cnt[800][5]~38089\ = CARRY((\led_flash_cnt[800][5]~q\ & !\led_flash_cnt[800][4]~38087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[800][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[800][4]~38087\,
	combout => \led_flash_cnt[800][5]~38088_combout\,
	cout => \led_flash_cnt[800][5]~38089\);

-- Location: FF_X18_Y29_N11
\led_flash_cnt[800][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[800][5]~38088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[800][5]~q\);

-- Location: LCCOMB_X18_Y29_N12
\led_flash_cnt[800][6]~38090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[800][6]~38090_combout\ = (\led_flash_cnt[800][6]~q\ & (!\led_flash_cnt[800][5]~38089\)) # (!\led_flash_cnt[800][6]~q\ & ((\led_flash_cnt[800][5]~38089\) # (GND)))
-- \led_flash_cnt[800][6]~38091\ = CARRY((!\led_flash_cnt[800][5]~38089\) # (!\led_flash_cnt[800][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[800][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[800][5]~38089\,
	combout => \led_flash_cnt[800][6]~38090_combout\,
	cout => \led_flash_cnt[800][6]~38091\);

-- Location: FF_X18_Y29_N13
\led_flash_cnt[800][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[800][6]~38090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[800][6]~q\);

-- Location: LCCOMB_X19_Y29_N4
\WideAnd800~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd800~1_combout\ = (\led_flash_cnt[800][6]~q\ & \led_flash_cnt[800][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[800][6]~q\,
	datad => \led_flash_cnt[800][5]~q\,
	combout => \WideAnd800~1_combout\);

-- Location: LCCOMB_X18_Y29_N14
\led_flash_cnt[800][7]~38092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[800][7]~38092_combout\ = \led_flash_cnt[800][7]~q\ $ (!\led_flash_cnt[800][6]~38091\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[800][7]~q\,
	cin => \led_flash_cnt[800][6]~38091\,
	combout => \led_flash_cnt[800][7]~38092_combout\);

-- Location: FF_X18_Y29_N15
\led_flash_cnt[800][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[800][7]~38092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[800][7]~q\);

-- Location: LCCOMB_X19_Y29_N0
WideAnd800 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd800~combout\ = (\WideAnd800~0_combout\ & (\WideAnd800~1_combout\ & (\led_flash_cnt[800][0]~q\ & \led_flash_cnt[800][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd800~0_combout\,
	datab => \WideAnd800~1_combout\,
	datac => \led_flash_cnt[800][0]~q\,
	datad => \led_flash_cnt[800][7]~q\,
	combout => \WideAnd800~combout\);

-- Location: FF_X19_Y29_N1
\led_flash_cnt_ands[800]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd800~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(800));

-- Location: LCCOMB_X19_Y33_N6
\led_flash_cnt[803][0]~81443\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[803][0]~81443_combout\ = !\led_flash_cnt[803][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[803][0]~q\,
	combout => \led_flash_cnt[803][0]~81443_combout\);

-- Location: FF_X19_Y33_N7
\led_flash_cnt[803][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[803][0]~81443_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[803][0]~q\);

-- Location: LCCOMB_X20_Y33_N0
\led_flash_cnt[803][1]~38122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[803][1]~38122_combout\ = (\led_flash_cnt[803][0]~q\ & (\led_flash_cnt[803][1]~q\ $ (VCC))) # (!\led_flash_cnt[803][0]~q\ & (\led_flash_cnt[803][1]~q\ & VCC))
-- \led_flash_cnt[803][1]~38123\ = CARRY((\led_flash_cnt[803][0]~q\ & \led_flash_cnt[803][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[803][0]~q\,
	datab => \led_flash_cnt[803][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[803][1]~38122_combout\,
	cout => \led_flash_cnt[803][1]~38123\);

-- Location: FF_X20_Y33_N1
\led_flash_cnt[803][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[803][1]~38122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[803][1]~q\);

-- Location: LCCOMB_X20_Y33_N2
\led_flash_cnt[803][2]~38124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[803][2]~38124_combout\ = (\led_flash_cnt[803][2]~q\ & (!\led_flash_cnt[803][1]~38123\)) # (!\led_flash_cnt[803][2]~q\ & ((\led_flash_cnt[803][1]~38123\) # (GND)))
-- \led_flash_cnt[803][2]~38125\ = CARRY((!\led_flash_cnt[803][1]~38123\) # (!\led_flash_cnt[803][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[803][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[803][1]~38123\,
	combout => \led_flash_cnt[803][2]~38124_combout\,
	cout => \led_flash_cnt[803][2]~38125\);

-- Location: FF_X20_Y33_N3
\led_flash_cnt[803][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[803][2]~38124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[803][2]~q\);

-- Location: LCCOMB_X20_Y33_N4
\led_flash_cnt[803][3]~38126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[803][3]~38126_combout\ = (\led_flash_cnt[803][3]~q\ & (\led_flash_cnt[803][2]~38125\ $ (GND))) # (!\led_flash_cnt[803][3]~q\ & (!\led_flash_cnt[803][2]~38125\ & VCC))
-- \led_flash_cnt[803][3]~38127\ = CARRY((\led_flash_cnt[803][3]~q\ & !\led_flash_cnt[803][2]~38125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[803][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[803][2]~38125\,
	combout => \led_flash_cnt[803][3]~38126_combout\,
	cout => \led_flash_cnt[803][3]~38127\);

-- Location: FF_X20_Y33_N5
\led_flash_cnt[803][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[803][3]~38126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[803][3]~q\);

-- Location: LCCOMB_X20_Y33_N6
\led_flash_cnt[803][4]~38128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[803][4]~38128_combout\ = (\led_flash_cnt[803][4]~q\ & (!\led_flash_cnt[803][3]~38127\)) # (!\led_flash_cnt[803][4]~q\ & ((\led_flash_cnt[803][3]~38127\) # (GND)))
-- \led_flash_cnt[803][4]~38129\ = CARRY((!\led_flash_cnt[803][3]~38127\) # (!\led_flash_cnt[803][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[803][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[803][3]~38127\,
	combout => \led_flash_cnt[803][4]~38128_combout\,
	cout => \led_flash_cnt[803][4]~38129\);

-- Location: FF_X20_Y33_N7
\led_flash_cnt[803][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[803][4]~38128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[803][4]~q\);

-- Location: LCCOMB_X20_Y33_N8
\led_flash_cnt[803][5]~38130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[803][5]~38130_combout\ = (\led_flash_cnt[803][5]~q\ & (\led_flash_cnt[803][4]~38129\ $ (GND))) # (!\led_flash_cnt[803][5]~q\ & (!\led_flash_cnt[803][4]~38129\ & VCC))
-- \led_flash_cnt[803][5]~38131\ = CARRY((\led_flash_cnt[803][5]~q\ & !\led_flash_cnt[803][4]~38129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[803][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[803][4]~38129\,
	combout => \led_flash_cnt[803][5]~38130_combout\,
	cout => \led_flash_cnt[803][5]~38131\);

-- Location: FF_X20_Y33_N9
\led_flash_cnt[803][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[803][5]~38130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[803][5]~q\);

-- Location: LCCOMB_X20_Y33_N10
\led_flash_cnt[803][6]~38132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[803][6]~38132_combout\ = (\led_flash_cnt[803][6]~q\ & (!\led_flash_cnt[803][5]~38131\)) # (!\led_flash_cnt[803][6]~q\ & ((\led_flash_cnt[803][5]~38131\) # (GND)))
-- \led_flash_cnt[803][6]~38133\ = CARRY((!\led_flash_cnt[803][5]~38131\) # (!\led_flash_cnt[803][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[803][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[803][5]~38131\,
	combout => \led_flash_cnt[803][6]~38132_combout\,
	cout => \led_flash_cnt[803][6]~38133\);

-- Location: FF_X20_Y33_N11
\led_flash_cnt[803][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[803][6]~38132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[803][6]~q\);

-- Location: LCCOMB_X19_Y33_N26
\WideAnd803~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd803~1_combout\ = (\led_flash_cnt[803][6]~q\ & \led_flash_cnt[803][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[803][6]~q\,
	datac => \led_flash_cnt[803][5]~q\,
	combout => \WideAnd803~1_combout\);

-- Location: LCCOMB_X20_Y33_N28
\WideAnd803~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd803~0_combout\ = (\led_flash_cnt[803][4]~q\ & (\led_flash_cnt[803][2]~q\ & (\led_flash_cnt[803][3]~q\ & \led_flash_cnt[803][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[803][4]~q\,
	datab => \led_flash_cnt[803][2]~q\,
	datac => \led_flash_cnt[803][3]~q\,
	datad => \led_flash_cnt[803][1]~q\,
	combout => \WideAnd803~0_combout\);

-- Location: LCCOMB_X20_Y33_N12
\led_flash_cnt[803][7]~38134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[803][7]~38134_combout\ = \led_flash_cnt[803][6]~38133\ $ (!\led_flash_cnt[803][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[803][7]~q\,
	cin => \led_flash_cnt[803][6]~38133\,
	combout => \led_flash_cnt[803][7]~38134_combout\);

-- Location: FF_X20_Y33_N13
\led_flash_cnt[803][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[803][7]~38134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[803][7]~q\);

-- Location: LCCOMB_X19_Y33_N24
WideAnd803 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd803~combout\ = (\WideAnd803~1_combout\ & (\WideAnd803~0_combout\ & (\led_flash_cnt[803][7]~q\ & \led_flash_cnt[803][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd803~1_combout\,
	datab => \WideAnd803~0_combout\,
	datac => \led_flash_cnt[803][7]~q\,
	datad => \led_flash_cnt[803][0]~q\,
	combout => \WideAnd803~combout\);

-- Location: FF_X19_Y33_N25
\led_flash_cnt_ands[803]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd803~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(803));

-- Location: LCCOMB_X19_Y33_N30
\WideAnd3940~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3940~0_combout\ = (led_flash_cnt_ands(802) & (led_flash_cnt_ands(801) & (led_flash_cnt_ands(800) & led_flash_cnt_ands(803))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(802),
	datab => led_flash_cnt_ands(801),
	datac => led_flash_cnt_ands(800),
	datad => led_flash_cnt_ands(803),
	combout => \WideAnd3940~0_combout\);

-- Location: LCCOMB_X16_Y30_N6
\led_flash_cnt[806][0]~81446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[806][0]~81446_combout\ = !\led_flash_cnt[806][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[806][0]~q\,
	combout => \led_flash_cnt[806][0]~81446_combout\);

-- Location: FF_X16_Y30_N7
\led_flash_cnt[806][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[806][0]~81446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[806][0]~q\);

-- Location: LCCOMB_X17_Y30_N18
\led_flash_cnt[806][1]~38164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[806][1]~38164_combout\ = (\led_flash_cnt[806][0]~q\ & (\led_flash_cnt[806][1]~q\ $ (VCC))) # (!\led_flash_cnt[806][0]~q\ & (\led_flash_cnt[806][1]~q\ & VCC))
-- \led_flash_cnt[806][1]~38165\ = CARRY((\led_flash_cnt[806][0]~q\ & \led_flash_cnt[806][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[806][0]~q\,
	datab => \led_flash_cnt[806][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[806][1]~38164_combout\,
	cout => \led_flash_cnt[806][1]~38165\);

-- Location: FF_X17_Y30_N19
\led_flash_cnt[806][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[806][1]~38164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[806][1]~q\);

-- Location: LCCOMB_X17_Y30_N20
\led_flash_cnt[806][2]~38166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[806][2]~38166_combout\ = (\led_flash_cnt[806][2]~q\ & (!\led_flash_cnt[806][1]~38165\)) # (!\led_flash_cnt[806][2]~q\ & ((\led_flash_cnt[806][1]~38165\) # (GND)))
-- \led_flash_cnt[806][2]~38167\ = CARRY((!\led_flash_cnt[806][1]~38165\) # (!\led_flash_cnt[806][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[806][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[806][1]~38165\,
	combout => \led_flash_cnt[806][2]~38166_combout\,
	cout => \led_flash_cnt[806][2]~38167\);

-- Location: FF_X17_Y30_N21
\led_flash_cnt[806][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[806][2]~38166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[806][2]~q\);

-- Location: LCCOMB_X17_Y30_N22
\led_flash_cnt[806][3]~38168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[806][3]~38168_combout\ = (\led_flash_cnt[806][3]~q\ & (\led_flash_cnt[806][2]~38167\ $ (GND))) # (!\led_flash_cnt[806][3]~q\ & (!\led_flash_cnt[806][2]~38167\ & VCC))
-- \led_flash_cnt[806][3]~38169\ = CARRY((\led_flash_cnt[806][3]~q\ & !\led_flash_cnt[806][2]~38167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[806][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[806][2]~38167\,
	combout => \led_flash_cnt[806][3]~38168_combout\,
	cout => \led_flash_cnt[806][3]~38169\);

-- Location: FF_X17_Y30_N23
\led_flash_cnt[806][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[806][3]~38168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[806][3]~q\);

-- Location: LCCOMB_X17_Y30_N24
\led_flash_cnt[806][4]~38170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[806][4]~38170_combout\ = (\led_flash_cnt[806][4]~q\ & (!\led_flash_cnt[806][3]~38169\)) # (!\led_flash_cnt[806][4]~q\ & ((\led_flash_cnt[806][3]~38169\) # (GND)))
-- \led_flash_cnt[806][4]~38171\ = CARRY((!\led_flash_cnt[806][3]~38169\) # (!\led_flash_cnt[806][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[806][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[806][3]~38169\,
	combout => \led_flash_cnt[806][4]~38170_combout\,
	cout => \led_flash_cnt[806][4]~38171\);

-- Location: FF_X17_Y30_N25
\led_flash_cnt[806][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[806][4]~38170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[806][4]~q\);

-- Location: LCCOMB_X17_Y30_N26
\led_flash_cnt[806][5]~38172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[806][5]~38172_combout\ = (\led_flash_cnt[806][5]~q\ & (\led_flash_cnt[806][4]~38171\ $ (GND))) # (!\led_flash_cnt[806][5]~q\ & (!\led_flash_cnt[806][4]~38171\ & VCC))
-- \led_flash_cnt[806][5]~38173\ = CARRY((\led_flash_cnt[806][5]~q\ & !\led_flash_cnt[806][4]~38171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[806][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[806][4]~38171\,
	combout => \led_flash_cnt[806][5]~38172_combout\,
	cout => \led_flash_cnt[806][5]~38173\);

-- Location: FF_X17_Y30_N27
\led_flash_cnt[806][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[806][5]~38172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[806][5]~q\);

-- Location: LCCOMB_X17_Y30_N28
\led_flash_cnt[806][6]~38174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[806][6]~38174_combout\ = (\led_flash_cnt[806][6]~q\ & (!\led_flash_cnt[806][5]~38173\)) # (!\led_flash_cnt[806][6]~q\ & ((\led_flash_cnt[806][5]~38173\) # (GND)))
-- \led_flash_cnt[806][6]~38175\ = CARRY((!\led_flash_cnt[806][5]~38173\) # (!\led_flash_cnt[806][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[806][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[806][5]~38173\,
	combout => \led_flash_cnt[806][6]~38174_combout\,
	cout => \led_flash_cnt[806][6]~38175\);

-- Location: FF_X17_Y30_N29
\led_flash_cnt[806][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[806][6]~38174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[806][6]~q\);

-- Location: LCCOMB_X16_Y30_N26
\WideAnd806~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd806~1_combout\ = (\led_flash_cnt[806][5]~q\ & \led_flash_cnt[806][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[806][5]~q\,
	datad => \led_flash_cnt[806][6]~q\,
	combout => \WideAnd806~1_combout\);

-- Location: LCCOMB_X17_Y30_N16
\WideAnd806~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd806~0_combout\ = (\led_flash_cnt[806][2]~q\ & (\led_flash_cnt[806][1]~q\ & (\led_flash_cnt[806][3]~q\ & \led_flash_cnt[806][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[806][2]~q\,
	datab => \led_flash_cnt[806][1]~q\,
	datac => \led_flash_cnt[806][3]~q\,
	datad => \led_flash_cnt[806][4]~q\,
	combout => \WideAnd806~0_combout\);

-- Location: LCCOMB_X17_Y30_N30
\led_flash_cnt[806][7]~38176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[806][7]~38176_combout\ = \led_flash_cnt[806][7]~q\ $ (!\led_flash_cnt[806][6]~38175\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[806][7]~q\,
	cin => \led_flash_cnt[806][6]~38175\,
	combout => \led_flash_cnt[806][7]~38176_combout\);

-- Location: FF_X17_Y30_N31
\led_flash_cnt[806][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[806][7]~38176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[806][7]~q\);

-- Location: LCCOMB_X16_Y30_N2
WideAnd806 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd806~combout\ = (\WideAnd806~1_combout\ & (\WideAnd806~0_combout\ & (\led_flash_cnt[806][7]~q\ & \led_flash_cnt[806][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd806~1_combout\,
	datab => \WideAnd806~0_combout\,
	datac => \led_flash_cnt[806][7]~q\,
	datad => \led_flash_cnt[806][0]~q\,
	combout => \WideAnd806~combout\);

-- Location: FF_X16_Y30_N3
\led_flash_cnt_ands[806]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd806~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(806));

-- Location: LCCOMB_X19_Y33_N2
\led_flash_cnt[807][0]~81447\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[807][0]~81447_combout\ = !\led_flash_cnt[807][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[807][0]~q\,
	combout => \led_flash_cnt[807][0]~81447_combout\);

-- Location: FF_X19_Y33_N3
\led_flash_cnt[807][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[807][0]~81447_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[807][0]~q\);

-- Location: LCCOMB_X24_Y33_N16
\led_flash_cnt[807][1]~38178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[807][1]~38178_combout\ = (\led_flash_cnt[807][0]~q\ & (\led_flash_cnt[807][1]~q\ $ (VCC))) # (!\led_flash_cnt[807][0]~q\ & (\led_flash_cnt[807][1]~q\ & VCC))
-- \led_flash_cnt[807][1]~38179\ = CARRY((\led_flash_cnt[807][0]~q\ & \led_flash_cnt[807][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[807][0]~q\,
	datab => \led_flash_cnt[807][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[807][1]~38178_combout\,
	cout => \led_flash_cnt[807][1]~38179\);

-- Location: FF_X24_Y33_N17
\led_flash_cnt[807][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[807][1]~38178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[807][1]~q\);

-- Location: LCCOMB_X24_Y33_N18
\led_flash_cnt[807][2]~38180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[807][2]~38180_combout\ = (\led_flash_cnt[807][2]~q\ & (!\led_flash_cnt[807][1]~38179\)) # (!\led_flash_cnt[807][2]~q\ & ((\led_flash_cnt[807][1]~38179\) # (GND)))
-- \led_flash_cnt[807][2]~38181\ = CARRY((!\led_flash_cnt[807][1]~38179\) # (!\led_flash_cnt[807][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[807][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[807][1]~38179\,
	combout => \led_flash_cnt[807][2]~38180_combout\,
	cout => \led_flash_cnt[807][2]~38181\);

-- Location: FF_X24_Y33_N19
\led_flash_cnt[807][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[807][2]~38180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[807][2]~q\);

-- Location: LCCOMB_X24_Y33_N20
\led_flash_cnt[807][3]~38182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[807][3]~38182_combout\ = (\led_flash_cnt[807][3]~q\ & (\led_flash_cnt[807][2]~38181\ $ (GND))) # (!\led_flash_cnt[807][3]~q\ & (!\led_flash_cnt[807][2]~38181\ & VCC))
-- \led_flash_cnt[807][3]~38183\ = CARRY((\led_flash_cnt[807][3]~q\ & !\led_flash_cnt[807][2]~38181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[807][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[807][2]~38181\,
	combout => \led_flash_cnt[807][3]~38182_combout\,
	cout => \led_flash_cnt[807][3]~38183\);

-- Location: FF_X24_Y33_N21
\led_flash_cnt[807][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[807][3]~38182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[807][3]~q\);

-- Location: LCCOMB_X24_Y33_N22
\led_flash_cnt[807][4]~38184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[807][4]~38184_combout\ = (\led_flash_cnt[807][4]~q\ & (!\led_flash_cnt[807][3]~38183\)) # (!\led_flash_cnt[807][4]~q\ & ((\led_flash_cnt[807][3]~38183\) # (GND)))
-- \led_flash_cnt[807][4]~38185\ = CARRY((!\led_flash_cnt[807][3]~38183\) # (!\led_flash_cnt[807][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[807][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[807][3]~38183\,
	combout => \led_flash_cnt[807][4]~38184_combout\,
	cout => \led_flash_cnt[807][4]~38185\);

-- Location: FF_X24_Y33_N23
\led_flash_cnt[807][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[807][4]~38184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[807][4]~q\);

-- Location: LCCOMB_X24_Y33_N24
\led_flash_cnt[807][5]~38186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[807][5]~38186_combout\ = (\led_flash_cnt[807][5]~q\ & (\led_flash_cnt[807][4]~38185\ $ (GND))) # (!\led_flash_cnt[807][5]~q\ & (!\led_flash_cnt[807][4]~38185\ & VCC))
-- \led_flash_cnt[807][5]~38187\ = CARRY((\led_flash_cnt[807][5]~q\ & !\led_flash_cnt[807][4]~38185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[807][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[807][4]~38185\,
	combout => \led_flash_cnt[807][5]~38186_combout\,
	cout => \led_flash_cnt[807][5]~38187\);

-- Location: FF_X24_Y33_N25
\led_flash_cnt[807][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[807][5]~38186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[807][5]~q\);

-- Location: LCCOMB_X24_Y33_N26
\led_flash_cnt[807][6]~38188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[807][6]~38188_combout\ = (\led_flash_cnt[807][6]~q\ & (!\led_flash_cnt[807][5]~38187\)) # (!\led_flash_cnt[807][6]~q\ & ((\led_flash_cnt[807][5]~38187\) # (GND)))
-- \led_flash_cnt[807][6]~38189\ = CARRY((!\led_flash_cnt[807][5]~38187\) # (!\led_flash_cnt[807][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[807][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[807][5]~38187\,
	combout => \led_flash_cnt[807][6]~38188_combout\,
	cout => \led_flash_cnt[807][6]~38189\);

-- Location: FF_X24_Y33_N27
\led_flash_cnt[807][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[807][6]~38188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[807][6]~q\);

-- Location: LCCOMB_X25_Y33_N28
\WideAnd807~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd807~1_combout\ = (\led_flash_cnt[807][6]~q\ & \led_flash_cnt[807][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[807][6]~q\,
	datad => \led_flash_cnt[807][5]~q\,
	combout => \WideAnd807~1_combout\);

-- Location: LCCOMB_X24_Y33_N14
\WideAnd807~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd807~0_combout\ = (\led_flash_cnt[807][3]~q\ & (\led_flash_cnt[807][1]~q\ & (\led_flash_cnt[807][4]~q\ & \led_flash_cnt[807][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[807][3]~q\,
	datab => \led_flash_cnt[807][1]~q\,
	datac => \led_flash_cnt[807][4]~q\,
	datad => \led_flash_cnt[807][2]~q\,
	combout => \WideAnd807~0_combout\);

-- Location: LCCOMB_X24_Y33_N28
\led_flash_cnt[807][7]~38190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[807][7]~38190_combout\ = \led_flash_cnt[807][6]~38189\ $ (!\led_flash_cnt[807][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[807][7]~q\,
	cin => \led_flash_cnt[807][6]~38189\,
	combout => \led_flash_cnt[807][7]~38190_combout\);

-- Location: FF_X24_Y33_N29
\led_flash_cnt[807][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[807][7]~38190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[807][7]~q\);

-- Location: LCCOMB_X24_Y33_N30
WideAnd807 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd807~combout\ = (\led_flash_cnt[807][0]~q\ & (\WideAnd807~1_combout\ & (\WideAnd807~0_combout\ & \led_flash_cnt[807][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[807][0]~q\,
	datab => \WideAnd807~1_combout\,
	datac => \WideAnd807~0_combout\,
	datad => \led_flash_cnt[807][7]~q\,
	combout => \WideAnd807~combout\);

-- Location: FF_X24_Y33_N31
\led_flash_cnt_ands[807]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd807~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(807));

-- Location: LCCOMB_X18_Y32_N6
WideAnd3940 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3940~combout\ = (\WideAnd3940~1_combout\ & (\WideAnd3940~0_combout\ & (led_flash_cnt_ands(806) & led_flash_cnt_ands(807))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3940~1_combout\,
	datab => \WideAnd3940~0_combout\,
	datac => led_flash_cnt_ands(806),
	datad => led_flash_cnt_ands(807),
	combout => \WideAnd3940~combout\);

-- Location: FF_X18_Y32_N7
\led_flash_cnt_ands_1[100]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3940~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(100));

-- Location: LCCOMB_X18_Y32_N8
\WideAnd4332~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4332~1_combout\ = (led_flash_cnt_ands_1(101) & led_flash_cnt_ands_1(100))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(101),
	datad => led_flash_cnt_ands_1(100),
	combout => \WideAnd4332~1_combout\);

-- Location: LCCOMB_X17_Y32_N24
\led_flash_cnt[823][0]~81463\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[823][0]~81463_combout\ = !\led_flash_cnt[823][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[823][0]~q\,
	combout => \led_flash_cnt[823][0]~81463_combout\);

-- Location: FF_X17_Y32_N25
\led_flash_cnt[823][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[823][0]~81463_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[823][0]~q\);

-- Location: LCCOMB_X17_Y32_N6
\led_flash_cnt[823][1]~38402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[823][1]~38402_combout\ = (\led_flash_cnt[823][1]~q\ & (\led_flash_cnt[823][0]~q\ $ (VCC))) # (!\led_flash_cnt[823][1]~q\ & (\led_flash_cnt[823][0]~q\ & VCC))
-- \led_flash_cnt[823][1]~38403\ = CARRY((\led_flash_cnt[823][1]~q\ & \led_flash_cnt[823][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[823][1]~q\,
	datab => \led_flash_cnt[823][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[823][1]~38402_combout\,
	cout => \led_flash_cnt[823][1]~38403\);

-- Location: FF_X17_Y32_N7
\led_flash_cnt[823][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[823][1]~38402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[823][1]~q\);

-- Location: LCCOMB_X17_Y32_N8
\led_flash_cnt[823][2]~38404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[823][2]~38404_combout\ = (\led_flash_cnt[823][2]~q\ & (!\led_flash_cnt[823][1]~38403\)) # (!\led_flash_cnt[823][2]~q\ & ((\led_flash_cnt[823][1]~38403\) # (GND)))
-- \led_flash_cnt[823][2]~38405\ = CARRY((!\led_flash_cnt[823][1]~38403\) # (!\led_flash_cnt[823][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[823][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[823][1]~38403\,
	combout => \led_flash_cnt[823][2]~38404_combout\,
	cout => \led_flash_cnt[823][2]~38405\);

-- Location: FF_X17_Y32_N9
\led_flash_cnt[823][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[823][2]~38404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[823][2]~q\);

-- Location: LCCOMB_X17_Y32_N10
\led_flash_cnt[823][3]~38406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[823][3]~38406_combout\ = (\led_flash_cnt[823][3]~q\ & (\led_flash_cnt[823][2]~38405\ $ (GND))) # (!\led_flash_cnt[823][3]~q\ & (!\led_flash_cnt[823][2]~38405\ & VCC))
-- \led_flash_cnt[823][3]~38407\ = CARRY((\led_flash_cnt[823][3]~q\ & !\led_flash_cnt[823][2]~38405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[823][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[823][2]~38405\,
	combout => \led_flash_cnt[823][3]~38406_combout\,
	cout => \led_flash_cnt[823][3]~38407\);

-- Location: FF_X17_Y32_N11
\led_flash_cnt[823][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[823][3]~38406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[823][3]~q\);

-- Location: LCCOMB_X17_Y32_N12
\led_flash_cnt[823][4]~38408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[823][4]~38408_combout\ = (\led_flash_cnt[823][4]~q\ & (!\led_flash_cnt[823][3]~38407\)) # (!\led_flash_cnt[823][4]~q\ & ((\led_flash_cnt[823][3]~38407\) # (GND)))
-- \led_flash_cnt[823][4]~38409\ = CARRY((!\led_flash_cnt[823][3]~38407\) # (!\led_flash_cnt[823][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[823][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[823][3]~38407\,
	combout => \led_flash_cnt[823][4]~38408_combout\,
	cout => \led_flash_cnt[823][4]~38409\);

-- Location: FF_X17_Y32_N13
\led_flash_cnt[823][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[823][4]~38408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[823][4]~q\);

-- Location: LCCOMB_X17_Y32_N22
\WideAnd823~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd823~0_combout\ = (\led_flash_cnt[823][1]~q\ & (\led_flash_cnt[823][3]~q\ & (\led_flash_cnt[823][2]~q\ & \led_flash_cnt[823][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[823][1]~q\,
	datab => \led_flash_cnt[823][3]~q\,
	datac => \led_flash_cnt[823][2]~q\,
	datad => \led_flash_cnt[823][4]~q\,
	combout => \WideAnd823~0_combout\);

-- Location: LCCOMB_X17_Y32_N14
\led_flash_cnt[823][5]~38410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[823][5]~38410_combout\ = (\led_flash_cnt[823][5]~q\ & (\led_flash_cnt[823][4]~38409\ $ (GND))) # (!\led_flash_cnt[823][5]~q\ & (!\led_flash_cnt[823][4]~38409\ & VCC))
-- \led_flash_cnt[823][5]~38411\ = CARRY((\led_flash_cnt[823][5]~q\ & !\led_flash_cnt[823][4]~38409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[823][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[823][4]~38409\,
	combout => \led_flash_cnt[823][5]~38410_combout\,
	cout => \led_flash_cnt[823][5]~38411\);

-- Location: FF_X17_Y32_N15
\led_flash_cnt[823][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[823][5]~38410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[823][5]~q\);

-- Location: LCCOMB_X17_Y32_N16
\led_flash_cnt[823][6]~38412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[823][6]~38412_combout\ = (\led_flash_cnt[823][6]~q\ & (!\led_flash_cnt[823][5]~38411\)) # (!\led_flash_cnt[823][6]~q\ & ((\led_flash_cnt[823][5]~38411\) # (GND)))
-- \led_flash_cnt[823][6]~38413\ = CARRY((!\led_flash_cnt[823][5]~38411\) # (!\led_flash_cnt[823][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[823][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[823][5]~38411\,
	combout => \led_flash_cnt[823][6]~38412_combout\,
	cout => \led_flash_cnt[823][6]~38413\);

-- Location: FF_X17_Y32_N17
\led_flash_cnt[823][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[823][6]~38412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[823][6]~q\);

-- Location: LCCOMB_X17_Y32_N4
\WideAnd823~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd823~1_combout\ = (\led_flash_cnt[823][5]~q\ & \led_flash_cnt[823][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[823][5]~q\,
	datad => \led_flash_cnt[823][6]~q\,
	combout => \WideAnd823~1_combout\);

-- Location: LCCOMB_X17_Y32_N18
\led_flash_cnt[823][7]~38414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[823][7]~38414_combout\ = \led_flash_cnt[823][6]~38413\ $ (!\led_flash_cnt[823][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[823][7]~q\,
	cin => \led_flash_cnt[823][6]~38413\,
	combout => \led_flash_cnt[823][7]~38414_combout\);

-- Location: FF_X17_Y32_N19
\led_flash_cnt[823][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[823][7]~38414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[823][7]~q\);

-- Location: LCCOMB_X17_Y32_N26
WideAnd823 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd823~combout\ = (\WideAnd823~0_combout\ & (\led_flash_cnt[823][0]~q\ & (\WideAnd823~1_combout\ & \led_flash_cnt[823][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd823~0_combout\,
	datab => \led_flash_cnt[823][0]~q\,
	datac => \WideAnd823~1_combout\,
	datad => \led_flash_cnt[823][7]~q\,
	combout => \WideAnd823~combout\);

-- Location: FF_X17_Y32_N27
\led_flash_cnt_ands[823]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd823~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(823));

-- Location: LCCOMB_X18_Y32_N12
\led_flash_cnt[822][0]~81462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[822][0]~81462_combout\ = !\led_flash_cnt[822][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[822][0]~q\,
	combout => \led_flash_cnt[822][0]~81462_combout\);

-- Location: FF_X18_Y32_N13
\led_flash_cnt[822][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[822][0]~81462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[822][0]~q\);

-- Location: LCCOMB_X18_Y32_N14
\led_flash_cnt[822][1]~38388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[822][1]~38388_combout\ = (\led_flash_cnt[822][0]~q\ & (\led_flash_cnt[822][1]~q\ $ (VCC))) # (!\led_flash_cnt[822][0]~q\ & (\led_flash_cnt[822][1]~q\ & VCC))
-- \led_flash_cnt[822][1]~38389\ = CARRY((\led_flash_cnt[822][0]~q\ & \led_flash_cnt[822][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[822][0]~q\,
	datab => \led_flash_cnt[822][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[822][1]~38388_combout\,
	cout => \led_flash_cnt[822][1]~38389\);

-- Location: FF_X18_Y32_N15
\led_flash_cnt[822][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[822][1]~38388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[822][1]~q\);

-- Location: LCCOMB_X18_Y32_N16
\led_flash_cnt[822][2]~38390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[822][2]~38390_combout\ = (\led_flash_cnt[822][2]~q\ & (!\led_flash_cnt[822][1]~38389\)) # (!\led_flash_cnt[822][2]~q\ & ((\led_flash_cnt[822][1]~38389\) # (GND)))
-- \led_flash_cnt[822][2]~38391\ = CARRY((!\led_flash_cnt[822][1]~38389\) # (!\led_flash_cnt[822][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[822][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[822][1]~38389\,
	combout => \led_flash_cnt[822][2]~38390_combout\,
	cout => \led_flash_cnt[822][2]~38391\);

-- Location: FF_X18_Y32_N17
\led_flash_cnt[822][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[822][2]~38390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[822][2]~q\);

-- Location: LCCOMB_X18_Y32_N18
\led_flash_cnt[822][3]~38392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[822][3]~38392_combout\ = (\led_flash_cnt[822][3]~q\ & (\led_flash_cnt[822][2]~38391\ $ (GND))) # (!\led_flash_cnt[822][3]~q\ & (!\led_flash_cnt[822][2]~38391\ & VCC))
-- \led_flash_cnt[822][3]~38393\ = CARRY((\led_flash_cnt[822][3]~q\ & !\led_flash_cnt[822][2]~38391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[822][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[822][2]~38391\,
	combout => \led_flash_cnt[822][3]~38392_combout\,
	cout => \led_flash_cnt[822][3]~38393\);

-- Location: FF_X18_Y32_N19
\led_flash_cnt[822][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[822][3]~38392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[822][3]~q\);

-- Location: LCCOMB_X18_Y32_N20
\led_flash_cnt[822][4]~38394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[822][4]~38394_combout\ = (\led_flash_cnt[822][4]~q\ & (!\led_flash_cnt[822][3]~38393\)) # (!\led_flash_cnt[822][4]~q\ & ((\led_flash_cnt[822][3]~38393\) # (GND)))
-- \led_flash_cnt[822][4]~38395\ = CARRY((!\led_flash_cnt[822][3]~38393\) # (!\led_flash_cnt[822][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[822][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[822][3]~38393\,
	combout => \led_flash_cnt[822][4]~38394_combout\,
	cout => \led_flash_cnt[822][4]~38395\);

-- Location: FF_X18_Y32_N21
\led_flash_cnt[822][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[822][4]~38394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[822][4]~q\);

-- Location: LCCOMB_X18_Y32_N22
\led_flash_cnt[822][5]~38396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[822][5]~38396_combout\ = (\led_flash_cnt[822][5]~q\ & (\led_flash_cnt[822][4]~38395\ $ (GND))) # (!\led_flash_cnt[822][5]~q\ & (!\led_flash_cnt[822][4]~38395\ & VCC))
-- \led_flash_cnt[822][5]~38397\ = CARRY((\led_flash_cnt[822][5]~q\ & !\led_flash_cnt[822][4]~38395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[822][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[822][4]~38395\,
	combout => \led_flash_cnt[822][5]~38396_combout\,
	cout => \led_flash_cnt[822][5]~38397\);

-- Location: FF_X18_Y32_N23
\led_flash_cnt[822][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[822][5]~38396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[822][5]~q\);

-- Location: LCCOMB_X18_Y32_N24
\led_flash_cnt[822][6]~38398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[822][6]~38398_combout\ = (\led_flash_cnt[822][6]~q\ & (!\led_flash_cnt[822][5]~38397\)) # (!\led_flash_cnt[822][6]~q\ & ((\led_flash_cnt[822][5]~38397\) # (GND)))
-- \led_flash_cnt[822][6]~38399\ = CARRY((!\led_flash_cnt[822][5]~38397\) # (!\led_flash_cnt[822][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[822][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[822][5]~38397\,
	combout => \led_flash_cnt[822][6]~38398_combout\,
	cout => \led_flash_cnt[822][6]~38399\);

-- Location: FF_X18_Y32_N25
\led_flash_cnt[822][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[822][6]~38398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[822][6]~q\);

-- Location: LCCOMB_X18_Y32_N28
\WideAnd822~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd822~1_combout\ = (\led_flash_cnt[822][5]~q\ & \led_flash_cnt[822][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[822][5]~q\,
	datad => \led_flash_cnt[822][6]~q\,
	combout => \WideAnd822~1_combout\);

-- Location: LCCOMB_X18_Y32_N26
\led_flash_cnt[822][7]~38400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[822][7]~38400_combout\ = \led_flash_cnt[822][7]~q\ $ (!\led_flash_cnt[822][6]~38399\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[822][7]~q\,
	cin => \led_flash_cnt[822][6]~38399\,
	combout => \led_flash_cnt[822][7]~38400_combout\);

-- Location: FF_X18_Y32_N27
\led_flash_cnt[822][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[822][7]~38400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[822][7]~q\);

-- Location: LCCOMB_X18_Y32_N0
\WideAnd822~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd822~0_combout\ = (\led_flash_cnt[822][3]~q\ & (\led_flash_cnt[822][4]~q\ & (\led_flash_cnt[822][1]~q\ & \led_flash_cnt[822][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[822][3]~q\,
	datab => \led_flash_cnt[822][4]~q\,
	datac => \led_flash_cnt[822][1]~q\,
	datad => \led_flash_cnt[822][2]~q\,
	combout => \WideAnd822~0_combout\);

-- Location: LCCOMB_X18_Y32_N2
WideAnd822 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd822~combout\ = (\led_flash_cnt[822][0]~q\ & (\WideAnd822~1_combout\ & (\led_flash_cnt[822][7]~q\ & \WideAnd822~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[822][0]~q\,
	datab => \WideAnd822~1_combout\,
	datac => \led_flash_cnt[822][7]~q\,
	datad => \WideAnd822~0_combout\,
	combout => \WideAnd822~combout\);

-- Location: FF_X18_Y32_N3
\led_flash_cnt_ands[822]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd822~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(822));

-- Location: LCCOMB_X19_Y33_N10
\led_flash_cnt[818][0]~81458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[818][0]~81458_combout\ = !\led_flash_cnt[818][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[818][0]~q\,
	combout => \led_flash_cnt[818][0]~81458_combout\);

-- Location: FF_X19_Y33_N11
\led_flash_cnt[818][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[818][0]~81458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[818][0]~q\);

-- Location: LCCOMB_X19_Y29_N6
\led_flash_cnt[818][1]~38332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[818][1]~38332_combout\ = (\led_flash_cnt[818][1]~q\ & (\led_flash_cnt[818][0]~q\ $ (VCC))) # (!\led_flash_cnt[818][1]~q\ & (\led_flash_cnt[818][0]~q\ & VCC))
-- \led_flash_cnt[818][1]~38333\ = CARRY((\led_flash_cnt[818][1]~q\ & \led_flash_cnt[818][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[818][1]~q\,
	datab => \led_flash_cnt[818][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[818][1]~38332_combout\,
	cout => \led_flash_cnt[818][1]~38333\);

-- Location: FF_X19_Y29_N7
\led_flash_cnt[818][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[818][1]~38332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[818][1]~q\);

-- Location: LCCOMB_X19_Y29_N8
\led_flash_cnt[818][2]~38334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[818][2]~38334_combout\ = (\led_flash_cnt[818][2]~q\ & (!\led_flash_cnt[818][1]~38333\)) # (!\led_flash_cnt[818][2]~q\ & ((\led_flash_cnt[818][1]~38333\) # (GND)))
-- \led_flash_cnt[818][2]~38335\ = CARRY((!\led_flash_cnt[818][1]~38333\) # (!\led_flash_cnt[818][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[818][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[818][1]~38333\,
	combout => \led_flash_cnt[818][2]~38334_combout\,
	cout => \led_flash_cnt[818][2]~38335\);

-- Location: FF_X19_Y29_N9
\led_flash_cnt[818][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[818][2]~38334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[818][2]~q\);

-- Location: LCCOMB_X19_Y29_N10
\led_flash_cnt[818][3]~38336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[818][3]~38336_combout\ = (\led_flash_cnt[818][3]~q\ & (\led_flash_cnt[818][2]~38335\ $ (GND))) # (!\led_flash_cnt[818][3]~q\ & (!\led_flash_cnt[818][2]~38335\ & VCC))
-- \led_flash_cnt[818][3]~38337\ = CARRY((\led_flash_cnt[818][3]~q\ & !\led_flash_cnt[818][2]~38335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[818][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[818][2]~38335\,
	combout => \led_flash_cnt[818][3]~38336_combout\,
	cout => \led_flash_cnt[818][3]~38337\);

-- Location: FF_X19_Y29_N11
\led_flash_cnt[818][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[818][3]~38336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[818][3]~q\);

-- Location: LCCOMB_X19_Y29_N12
\led_flash_cnt[818][4]~38338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[818][4]~38338_combout\ = (\led_flash_cnt[818][4]~q\ & (!\led_flash_cnt[818][3]~38337\)) # (!\led_flash_cnt[818][4]~q\ & ((\led_flash_cnt[818][3]~38337\) # (GND)))
-- \led_flash_cnt[818][4]~38339\ = CARRY((!\led_flash_cnt[818][3]~38337\) # (!\led_flash_cnt[818][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[818][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[818][3]~38337\,
	combout => \led_flash_cnt[818][4]~38338_combout\,
	cout => \led_flash_cnt[818][4]~38339\);

-- Location: FF_X19_Y29_N13
\led_flash_cnt[818][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[818][4]~38338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[818][4]~q\);

-- Location: LCCOMB_X19_Y29_N14
\led_flash_cnt[818][5]~38340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[818][5]~38340_combout\ = (\led_flash_cnt[818][5]~q\ & (\led_flash_cnt[818][4]~38339\ $ (GND))) # (!\led_flash_cnt[818][5]~q\ & (!\led_flash_cnt[818][4]~38339\ & VCC))
-- \led_flash_cnt[818][5]~38341\ = CARRY((\led_flash_cnt[818][5]~q\ & !\led_flash_cnt[818][4]~38339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[818][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[818][4]~38339\,
	combout => \led_flash_cnt[818][5]~38340_combout\,
	cout => \led_flash_cnt[818][5]~38341\);

-- Location: FF_X19_Y29_N15
\led_flash_cnt[818][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[818][5]~38340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[818][5]~q\);

-- Location: LCCOMB_X19_Y29_N16
\led_flash_cnt[818][6]~38342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[818][6]~38342_combout\ = (\led_flash_cnt[818][6]~q\ & (!\led_flash_cnt[818][5]~38341\)) # (!\led_flash_cnt[818][6]~q\ & ((\led_flash_cnt[818][5]~38341\) # (GND)))
-- \led_flash_cnt[818][6]~38343\ = CARRY((!\led_flash_cnt[818][5]~38341\) # (!\led_flash_cnt[818][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[818][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[818][5]~38341\,
	combout => \led_flash_cnt[818][6]~38342_combout\,
	cout => \led_flash_cnt[818][6]~38343\);

-- Location: FF_X19_Y29_N17
\led_flash_cnt[818][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[818][6]~38342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[818][6]~q\);

-- Location: LCCOMB_X19_Y29_N22
\WideAnd818~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd818~1_combout\ = (\led_flash_cnt[818][5]~q\ & \led_flash_cnt[818][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[818][5]~q\,
	datad => \led_flash_cnt[818][6]~q\,
	combout => \WideAnd818~1_combout\);

-- Location: LCCOMB_X19_Y29_N24
\WideAnd818~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd818~0_combout\ = (\led_flash_cnt[818][1]~q\ & (\led_flash_cnt[818][3]~q\ & (\led_flash_cnt[818][2]~q\ & \led_flash_cnt[818][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[818][1]~q\,
	datab => \led_flash_cnt[818][3]~q\,
	datac => \led_flash_cnt[818][2]~q\,
	datad => \led_flash_cnt[818][4]~q\,
	combout => \WideAnd818~0_combout\);

-- Location: LCCOMB_X19_Y29_N18
\led_flash_cnt[818][7]~38344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[818][7]~38344_combout\ = \led_flash_cnt[818][6]~38343\ $ (!\led_flash_cnt[818][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[818][7]~q\,
	cin => \led_flash_cnt[818][6]~38343\,
	combout => \led_flash_cnt[818][7]~38344_combout\);

-- Location: FF_X19_Y29_N19
\led_flash_cnt[818][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[818][7]~38344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[818][7]~q\);

-- Location: LCCOMB_X19_Y29_N26
WideAnd818 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd818~combout\ = (\WideAnd818~1_combout\ & (\WideAnd818~0_combout\ & (\led_flash_cnt[818][0]~q\ & \led_flash_cnt[818][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd818~1_combout\,
	datab => \WideAnd818~0_combout\,
	datac => \led_flash_cnt[818][0]~q\,
	datad => \led_flash_cnt[818][7]~q\,
	combout => \WideAnd818~combout\);

-- Location: FF_X19_Y29_N27
\led_flash_cnt_ands[818]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd818~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(818));

-- Location: LCCOMB_X16_Y18_N2
\led_flash_cnt[817][0]~81457\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[817][0]~81457_combout\ = !\led_flash_cnt[817][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[817][0]~q\,
	combout => \led_flash_cnt[817][0]~81457_combout\);

-- Location: FF_X16_Y18_N3
\led_flash_cnt[817][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[817][0]~81457_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[817][0]~q\);

-- Location: LCCOMB_X15_Y18_N18
\led_flash_cnt[817][1]~38318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[817][1]~38318_combout\ = (\led_flash_cnt[817][0]~q\ & (\led_flash_cnt[817][1]~q\ $ (VCC))) # (!\led_flash_cnt[817][0]~q\ & (\led_flash_cnt[817][1]~q\ & VCC))
-- \led_flash_cnt[817][1]~38319\ = CARRY((\led_flash_cnt[817][0]~q\ & \led_flash_cnt[817][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[817][0]~q\,
	datab => \led_flash_cnt[817][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[817][1]~38318_combout\,
	cout => \led_flash_cnt[817][1]~38319\);

-- Location: FF_X15_Y18_N19
\led_flash_cnt[817][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[817][1]~38318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[817][1]~q\);

-- Location: LCCOMB_X15_Y18_N20
\led_flash_cnt[817][2]~38320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[817][2]~38320_combout\ = (\led_flash_cnt[817][2]~q\ & (!\led_flash_cnt[817][1]~38319\)) # (!\led_flash_cnt[817][2]~q\ & ((\led_flash_cnt[817][1]~38319\) # (GND)))
-- \led_flash_cnt[817][2]~38321\ = CARRY((!\led_flash_cnt[817][1]~38319\) # (!\led_flash_cnt[817][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[817][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[817][1]~38319\,
	combout => \led_flash_cnt[817][2]~38320_combout\,
	cout => \led_flash_cnt[817][2]~38321\);

-- Location: FF_X15_Y18_N21
\led_flash_cnt[817][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[817][2]~38320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[817][2]~q\);

-- Location: LCCOMB_X15_Y18_N22
\led_flash_cnt[817][3]~38322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[817][3]~38322_combout\ = (\led_flash_cnt[817][3]~q\ & (\led_flash_cnt[817][2]~38321\ $ (GND))) # (!\led_flash_cnt[817][3]~q\ & (!\led_flash_cnt[817][2]~38321\ & VCC))
-- \led_flash_cnt[817][3]~38323\ = CARRY((\led_flash_cnt[817][3]~q\ & !\led_flash_cnt[817][2]~38321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[817][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[817][2]~38321\,
	combout => \led_flash_cnt[817][3]~38322_combout\,
	cout => \led_flash_cnt[817][3]~38323\);

-- Location: FF_X15_Y18_N23
\led_flash_cnt[817][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[817][3]~38322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[817][3]~q\);

-- Location: LCCOMB_X15_Y18_N24
\led_flash_cnt[817][4]~38324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[817][4]~38324_combout\ = (\led_flash_cnt[817][4]~q\ & (!\led_flash_cnt[817][3]~38323\)) # (!\led_flash_cnt[817][4]~q\ & ((\led_flash_cnt[817][3]~38323\) # (GND)))
-- \led_flash_cnt[817][4]~38325\ = CARRY((!\led_flash_cnt[817][3]~38323\) # (!\led_flash_cnt[817][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[817][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[817][3]~38323\,
	combout => \led_flash_cnt[817][4]~38324_combout\,
	cout => \led_flash_cnt[817][4]~38325\);

-- Location: FF_X15_Y18_N25
\led_flash_cnt[817][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[817][4]~38324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[817][4]~q\);

-- Location: LCCOMB_X15_Y18_N26
\led_flash_cnt[817][5]~38326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[817][5]~38326_combout\ = (\led_flash_cnt[817][5]~q\ & (\led_flash_cnt[817][4]~38325\ $ (GND))) # (!\led_flash_cnt[817][5]~q\ & (!\led_flash_cnt[817][4]~38325\ & VCC))
-- \led_flash_cnt[817][5]~38327\ = CARRY((\led_flash_cnt[817][5]~q\ & !\led_flash_cnt[817][4]~38325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[817][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[817][4]~38325\,
	combout => \led_flash_cnt[817][5]~38326_combout\,
	cout => \led_flash_cnt[817][5]~38327\);

-- Location: FF_X15_Y18_N27
\led_flash_cnt[817][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[817][5]~38326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[817][5]~q\);

-- Location: LCCOMB_X15_Y18_N28
\led_flash_cnt[817][6]~38328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[817][6]~38328_combout\ = (\led_flash_cnt[817][6]~q\ & (!\led_flash_cnt[817][5]~38327\)) # (!\led_flash_cnt[817][6]~q\ & ((\led_flash_cnt[817][5]~38327\) # (GND)))
-- \led_flash_cnt[817][6]~38329\ = CARRY((!\led_flash_cnt[817][5]~38327\) # (!\led_flash_cnt[817][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[817][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[817][5]~38327\,
	combout => \led_flash_cnt[817][6]~38328_combout\,
	cout => \led_flash_cnt[817][6]~38329\);

-- Location: FF_X15_Y18_N29
\led_flash_cnt[817][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[817][6]~38328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[817][6]~q\);

-- Location: LCCOMB_X16_Y18_N10
\WideAnd817~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd817~1_combout\ = (\led_flash_cnt[817][5]~q\ & \led_flash_cnt[817][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[817][5]~q\,
	datad => \led_flash_cnt[817][6]~q\,
	combout => \WideAnd817~1_combout\);

-- Location: LCCOMB_X15_Y18_N30
\led_flash_cnt[817][7]~38330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[817][7]~38330_combout\ = \led_flash_cnt[817][7]~q\ $ (!\led_flash_cnt[817][6]~38329\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[817][7]~q\,
	cin => \led_flash_cnt[817][6]~38329\,
	combout => \led_flash_cnt[817][7]~38330_combout\);

-- Location: FF_X15_Y18_N31
\led_flash_cnt[817][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[817][7]~38330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[817][7]~q\);

-- Location: LCCOMB_X15_Y18_N0
\WideAnd817~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd817~0_combout\ = (\led_flash_cnt[817][2]~q\ & (\led_flash_cnt[817][4]~q\ & (\led_flash_cnt[817][3]~q\ & \led_flash_cnt[817][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[817][2]~q\,
	datab => \led_flash_cnt[817][4]~q\,
	datac => \led_flash_cnt[817][3]~q\,
	datad => \led_flash_cnt[817][1]~q\,
	combout => \WideAnd817~0_combout\);

-- Location: LCCOMB_X16_Y18_N14
WideAnd817 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd817~combout\ = (\WideAnd817~1_combout\ & (\led_flash_cnt[817][7]~q\ & (\WideAnd817~0_combout\ & \led_flash_cnt[817][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd817~1_combout\,
	datab => \led_flash_cnt[817][7]~q\,
	datac => \WideAnd817~0_combout\,
	datad => \led_flash_cnt[817][0]~q\,
	combout => \WideAnd817~combout\);

-- Location: FF_X16_Y18_N15
\led_flash_cnt_ands[817]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd817~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(817));

-- Location: LCCOMB_X1_Y32_N0
\led_flash_cnt[819][0]~81459\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[819][0]~81459_combout\ = !\led_flash_cnt[819][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[819][0]~q\,
	combout => \led_flash_cnt[819][0]~81459_combout\);

-- Location: FF_X1_Y32_N1
\led_flash_cnt[819][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[819][0]~81459_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[819][0]~q\);

-- Location: LCCOMB_X1_Y32_N12
\led_flash_cnt[819][1]~38346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[819][1]~38346_combout\ = (\led_flash_cnt[819][1]~q\ & (\led_flash_cnt[819][0]~q\ $ (VCC))) # (!\led_flash_cnt[819][1]~q\ & (\led_flash_cnt[819][0]~q\ & VCC))
-- \led_flash_cnt[819][1]~38347\ = CARRY((\led_flash_cnt[819][1]~q\ & \led_flash_cnt[819][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[819][1]~q\,
	datab => \led_flash_cnt[819][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[819][1]~38346_combout\,
	cout => \led_flash_cnt[819][1]~38347\);

-- Location: FF_X1_Y32_N13
\led_flash_cnt[819][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[819][1]~38346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[819][1]~q\);

-- Location: LCCOMB_X1_Y32_N14
\led_flash_cnt[819][2]~38348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[819][2]~38348_combout\ = (\led_flash_cnt[819][2]~q\ & (!\led_flash_cnt[819][1]~38347\)) # (!\led_flash_cnt[819][2]~q\ & ((\led_flash_cnt[819][1]~38347\) # (GND)))
-- \led_flash_cnt[819][2]~38349\ = CARRY((!\led_flash_cnt[819][1]~38347\) # (!\led_flash_cnt[819][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[819][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[819][1]~38347\,
	combout => \led_flash_cnt[819][2]~38348_combout\,
	cout => \led_flash_cnt[819][2]~38349\);

-- Location: FF_X1_Y32_N15
\led_flash_cnt[819][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[819][2]~38348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[819][2]~q\);

-- Location: LCCOMB_X1_Y32_N16
\led_flash_cnt[819][3]~38350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[819][3]~38350_combout\ = (\led_flash_cnt[819][3]~q\ & (\led_flash_cnt[819][2]~38349\ $ (GND))) # (!\led_flash_cnt[819][3]~q\ & (!\led_flash_cnt[819][2]~38349\ & VCC))
-- \led_flash_cnt[819][3]~38351\ = CARRY((\led_flash_cnt[819][3]~q\ & !\led_flash_cnt[819][2]~38349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[819][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[819][2]~38349\,
	combout => \led_flash_cnt[819][3]~38350_combout\,
	cout => \led_flash_cnt[819][3]~38351\);

-- Location: FF_X1_Y32_N17
\led_flash_cnt[819][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[819][3]~38350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[819][3]~q\);

-- Location: LCCOMB_X1_Y32_N18
\led_flash_cnt[819][4]~38352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[819][4]~38352_combout\ = (\led_flash_cnt[819][4]~q\ & (!\led_flash_cnt[819][3]~38351\)) # (!\led_flash_cnt[819][4]~q\ & ((\led_flash_cnt[819][3]~38351\) # (GND)))
-- \led_flash_cnt[819][4]~38353\ = CARRY((!\led_flash_cnt[819][3]~38351\) # (!\led_flash_cnt[819][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[819][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[819][3]~38351\,
	combout => \led_flash_cnt[819][4]~38352_combout\,
	cout => \led_flash_cnt[819][4]~38353\);

-- Location: FF_X1_Y32_N19
\led_flash_cnt[819][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[819][4]~38352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[819][4]~q\);

-- Location: LCCOMB_X1_Y32_N10
\WideAnd819~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd819~0_combout\ = (\led_flash_cnt[819][1]~q\ & (\led_flash_cnt[819][3]~q\ & (\led_flash_cnt[819][2]~q\ & \led_flash_cnt[819][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[819][1]~q\,
	datab => \led_flash_cnt[819][3]~q\,
	datac => \led_flash_cnt[819][2]~q\,
	datad => \led_flash_cnt[819][4]~q\,
	combout => \WideAnd819~0_combout\);

-- Location: LCCOMB_X1_Y32_N20
\led_flash_cnt[819][5]~38354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[819][5]~38354_combout\ = (\led_flash_cnt[819][5]~q\ & (\led_flash_cnt[819][4]~38353\ $ (GND))) # (!\led_flash_cnt[819][5]~q\ & (!\led_flash_cnt[819][4]~38353\ & VCC))
-- \led_flash_cnt[819][5]~38355\ = CARRY((\led_flash_cnt[819][5]~q\ & !\led_flash_cnt[819][4]~38353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[819][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[819][4]~38353\,
	combout => \led_flash_cnt[819][5]~38354_combout\,
	cout => \led_flash_cnt[819][5]~38355\);

-- Location: FF_X1_Y32_N21
\led_flash_cnt[819][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[819][5]~38354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[819][5]~q\);

-- Location: LCCOMB_X1_Y32_N22
\led_flash_cnt[819][6]~38356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[819][6]~38356_combout\ = (\led_flash_cnt[819][6]~q\ & (!\led_flash_cnt[819][5]~38355\)) # (!\led_flash_cnt[819][6]~q\ & ((\led_flash_cnt[819][5]~38355\) # (GND)))
-- \led_flash_cnt[819][6]~38357\ = CARRY((!\led_flash_cnt[819][5]~38355\) # (!\led_flash_cnt[819][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[819][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[819][5]~38355\,
	combout => \led_flash_cnt[819][6]~38356_combout\,
	cout => \led_flash_cnt[819][6]~38357\);

-- Location: FF_X1_Y32_N23
\led_flash_cnt[819][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[819][6]~38356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[819][6]~q\);

-- Location: LCCOMB_X1_Y32_N30
\WideAnd819~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd819~1_combout\ = (\led_flash_cnt[819][6]~q\ & \led_flash_cnt[819][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[819][6]~q\,
	datad => \led_flash_cnt[819][5]~q\,
	combout => \WideAnd819~1_combout\);

-- Location: LCCOMB_X1_Y32_N24
\led_flash_cnt[819][7]~38358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[819][7]~38358_combout\ = \led_flash_cnt[819][6]~38357\ $ (!\led_flash_cnt[819][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[819][7]~q\,
	cin => \led_flash_cnt[819][6]~38357\,
	combout => \led_flash_cnt[819][7]~38358_combout\);

-- Location: FF_X1_Y32_N25
\led_flash_cnt[819][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[819][7]~38358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[819][7]~q\);

-- Location: LCCOMB_X1_Y32_N4
WideAnd819 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd819~combout\ = (\WideAnd819~0_combout\ & (\led_flash_cnt[819][0]~q\ & (\WideAnd819~1_combout\ & \led_flash_cnt[819][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd819~0_combout\,
	datab => \led_flash_cnt[819][0]~q\,
	datac => \WideAnd819~1_combout\,
	datad => \led_flash_cnt[819][7]~q\,
	combout => \WideAnd819~combout\);

-- Location: FF_X1_Y32_N5
\led_flash_cnt_ands[819]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd819~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(819));

-- Location: LCCOMB_X19_Y29_N28
\led_flash_cnt[816][0]~81456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[816][0]~81456_combout\ = !\led_flash_cnt[816][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[816][0]~q\,
	combout => \led_flash_cnt[816][0]~81456_combout\);

-- Location: FF_X19_Y29_N29
\led_flash_cnt[816][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[816][0]~81456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[816][0]~q\);

-- Location: LCCOMB_X19_Y25_N0
\led_flash_cnt[816][1]~38304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[816][1]~38304_combout\ = (\led_flash_cnt[816][0]~q\ & (\led_flash_cnt[816][1]~q\ $ (VCC))) # (!\led_flash_cnt[816][0]~q\ & (\led_flash_cnt[816][1]~q\ & VCC))
-- \led_flash_cnt[816][1]~38305\ = CARRY((\led_flash_cnt[816][0]~q\ & \led_flash_cnt[816][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[816][0]~q\,
	datab => \led_flash_cnt[816][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[816][1]~38304_combout\,
	cout => \led_flash_cnt[816][1]~38305\);

-- Location: FF_X19_Y25_N1
\led_flash_cnt[816][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[816][1]~38304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[816][1]~q\);

-- Location: LCCOMB_X19_Y25_N2
\led_flash_cnt[816][2]~38306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[816][2]~38306_combout\ = (\led_flash_cnt[816][2]~q\ & (!\led_flash_cnt[816][1]~38305\)) # (!\led_flash_cnt[816][2]~q\ & ((\led_flash_cnt[816][1]~38305\) # (GND)))
-- \led_flash_cnt[816][2]~38307\ = CARRY((!\led_flash_cnt[816][1]~38305\) # (!\led_flash_cnt[816][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[816][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[816][1]~38305\,
	combout => \led_flash_cnt[816][2]~38306_combout\,
	cout => \led_flash_cnt[816][2]~38307\);

-- Location: FF_X19_Y25_N3
\led_flash_cnt[816][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[816][2]~38306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[816][2]~q\);

-- Location: LCCOMB_X19_Y25_N4
\led_flash_cnt[816][3]~38308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[816][3]~38308_combout\ = (\led_flash_cnt[816][3]~q\ & (\led_flash_cnt[816][2]~38307\ $ (GND))) # (!\led_flash_cnt[816][3]~q\ & (!\led_flash_cnt[816][2]~38307\ & VCC))
-- \led_flash_cnt[816][3]~38309\ = CARRY((\led_flash_cnt[816][3]~q\ & !\led_flash_cnt[816][2]~38307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[816][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[816][2]~38307\,
	combout => \led_flash_cnt[816][3]~38308_combout\,
	cout => \led_flash_cnt[816][3]~38309\);

-- Location: FF_X19_Y25_N5
\led_flash_cnt[816][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[816][3]~38308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[816][3]~q\);

-- Location: LCCOMB_X19_Y25_N6
\led_flash_cnt[816][4]~38310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[816][4]~38310_combout\ = (\led_flash_cnt[816][4]~q\ & (!\led_flash_cnt[816][3]~38309\)) # (!\led_flash_cnt[816][4]~q\ & ((\led_flash_cnt[816][3]~38309\) # (GND)))
-- \led_flash_cnt[816][4]~38311\ = CARRY((!\led_flash_cnt[816][3]~38309\) # (!\led_flash_cnt[816][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[816][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[816][3]~38309\,
	combout => \led_flash_cnt[816][4]~38310_combout\,
	cout => \led_flash_cnt[816][4]~38311\);

-- Location: FF_X19_Y25_N7
\led_flash_cnt[816][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[816][4]~38310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[816][4]~q\);

-- Location: LCCOMB_X19_Y25_N8
\led_flash_cnt[816][5]~38312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[816][5]~38312_combout\ = (\led_flash_cnt[816][5]~q\ & (\led_flash_cnt[816][4]~38311\ $ (GND))) # (!\led_flash_cnt[816][5]~q\ & (!\led_flash_cnt[816][4]~38311\ & VCC))
-- \led_flash_cnt[816][5]~38313\ = CARRY((\led_flash_cnt[816][5]~q\ & !\led_flash_cnt[816][4]~38311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[816][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[816][4]~38311\,
	combout => \led_flash_cnt[816][5]~38312_combout\,
	cout => \led_flash_cnt[816][5]~38313\);

-- Location: FF_X19_Y25_N9
\led_flash_cnt[816][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[816][5]~38312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[816][5]~q\);

-- Location: LCCOMB_X19_Y25_N10
\led_flash_cnt[816][6]~38314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[816][6]~38314_combout\ = (\led_flash_cnt[816][6]~q\ & (!\led_flash_cnt[816][5]~38313\)) # (!\led_flash_cnt[816][6]~q\ & ((\led_flash_cnt[816][5]~38313\) # (GND)))
-- \led_flash_cnt[816][6]~38315\ = CARRY((!\led_flash_cnt[816][5]~38313\) # (!\led_flash_cnt[816][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[816][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[816][5]~38313\,
	combout => \led_flash_cnt[816][6]~38314_combout\,
	cout => \led_flash_cnt[816][6]~38315\);

-- Location: FF_X19_Y25_N11
\led_flash_cnt[816][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[816][6]~38314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[816][6]~q\);

-- Location: LCCOMB_X19_Y25_N12
\led_flash_cnt[816][7]~38316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[816][7]~38316_combout\ = \led_flash_cnt[816][6]~38315\ $ (!\led_flash_cnt[816][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[816][7]~q\,
	cin => \led_flash_cnt[816][6]~38315\,
	combout => \led_flash_cnt[816][7]~38316_combout\);

-- Location: FF_X19_Y25_N13
\led_flash_cnt[816][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[816][7]~38316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[816][7]~q\);

-- Location: LCCOMB_X19_Y29_N20
\WideAnd816~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd816~1_combout\ = (\led_flash_cnt[816][6]~q\ & \led_flash_cnt[816][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[816][6]~q\,
	datad => \led_flash_cnt[816][5]~q\,
	combout => \WideAnd816~1_combout\);

-- Location: LCCOMB_X19_Y25_N28
\WideAnd816~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd816~0_combout\ = (\led_flash_cnt[816][4]~q\ & (\led_flash_cnt[816][2]~q\ & (\led_flash_cnt[816][3]~q\ & \led_flash_cnt[816][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[816][4]~q\,
	datab => \led_flash_cnt[816][2]~q\,
	datac => \led_flash_cnt[816][3]~q\,
	datad => \led_flash_cnt[816][1]~q\,
	combout => \WideAnd816~0_combout\);

-- Location: LCCOMB_X19_Y29_N2
WideAnd816 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd816~combout\ = (\led_flash_cnt[816][7]~q\ & (\WideAnd816~1_combout\ & (\WideAnd816~0_combout\ & \led_flash_cnt[816][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[816][7]~q\,
	datab => \WideAnd816~1_combout\,
	datac => \WideAnd816~0_combout\,
	datad => \led_flash_cnt[816][0]~q\,
	combout => \WideAnd816~combout\);

-- Location: FF_X19_Y29_N3
\led_flash_cnt_ands[816]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd816~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(816));

-- Location: LCCOMB_X19_Y29_N30
\WideAnd3942~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3942~0_combout\ = (led_flash_cnt_ands(818) & (led_flash_cnt_ands(817) & (led_flash_cnt_ands(819) & led_flash_cnt_ands(816))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(818),
	datab => led_flash_cnt_ands(817),
	datac => led_flash_cnt_ands(819),
	datad => led_flash_cnt_ands(816),
	combout => \WideAnd3942~0_combout\);

-- Location: LCCOMB_X21_Y33_N10
\led_flash_cnt[820][0]~81460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[820][0]~81460_combout\ = !\led_flash_cnt[820][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[820][0]~q\,
	combout => \led_flash_cnt[820][0]~81460_combout\);

-- Location: FF_X21_Y33_N11
\led_flash_cnt[820][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[820][0]~81460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[820][0]~q\);

-- Location: LCCOMB_X21_Y33_N14
\led_flash_cnt[820][1]~38360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[820][1]~38360_combout\ = (\led_flash_cnt[820][0]~q\ & (\led_flash_cnt[820][1]~q\ $ (VCC))) # (!\led_flash_cnt[820][0]~q\ & (\led_flash_cnt[820][1]~q\ & VCC))
-- \led_flash_cnt[820][1]~38361\ = CARRY((\led_flash_cnt[820][0]~q\ & \led_flash_cnt[820][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[820][0]~q\,
	datab => \led_flash_cnt[820][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[820][1]~38360_combout\,
	cout => \led_flash_cnt[820][1]~38361\);

-- Location: FF_X21_Y33_N15
\led_flash_cnt[820][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[820][1]~38360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[820][1]~q\);

-- Location: LCCOMB_X21_Y33_N16
\led_flash_cnt[820][2]~38362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[820][2]~38362_combout\ = (\led_flash_cnt[820][2]~q\ & (!\led_flash_cnt[820][1]~38361\)) # (!\led_flash_cnt[820][2]~q\ & ((\led_flash_cnt[820][1]~38361\) # (GND)))
-- \led_flash_cnt[820][2]~38363\ = CARRY((!\led_flash_cnt[820][1]~38361\) # (!\led_flash_cnt[820][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[820][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[820][1]~38361\,
	combout => \led_flash_cnt[820][2]~38362_combout\,
	cout => \led_flash_cnt[820][2]~38363\);

-- Location: FF_X21_Y33_N17
\led_flash_cnt[820][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[820][2]~38362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[820][2]~q\);

-- Location: LCCOMB_X21_Y33_N18
\led_flash_cnt[820][3]~38364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[820][3]~38364_combout\ = (\led_flash_cnt[820][3]~q\ & (\led_flash_cnt[820][2]~38363\ $ (GND))) # (!\led_flash_cnt[820][3]~q\ & (!\led_flash_cnt[820][2]~38363\ & VCC))
-- \led_flash_cnt[820][3]~38365\ = CARRY((\led_flash_cnt[820][3]~q\ & !\led_flash_cnt[820][2]~38363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[820][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[820][2]~38363\,
	combout => \led_flash_cnt[820][3]~38364_combout\,
	cout => \led_flash_cnt[820][3]~38365\);

-- Location: FF_X21_Y33_N19
\led_flash_cnt[820][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[820][3]~38364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[820][3]~q\);

-- Location: LCCOMB_X21_Y33_N20
\led_flash_cnt[820][4]~38366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[820][4]~38366_combout\ = (\led_flash_cnt[820][4]~q\ & (!\led_flash_cnt[820][3]~38365\)) # (!\led_flash_cnt[820][4]~q\ & ((\led_flash_cnt[820][3]~38365\) # (GND)))
-- \led_flash_cnt[820][4]~38367\ = CARRY((!\led_flash_cnt[820][3]~38365\) # (!\led_flash_cnt[820][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[820][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[820][3]~38365\,
	combout => \led_flash_cnt[820][4]~38366_combout\,
	cout => \led_flash_cnt[820][4]~38367\);

-- Location: FF_X21_Y33_N21
\led_flash_cnt[820][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[820][4]~38366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[820][4]~q\);

-- Location: LCCOMB_X21_Y33_N0
\WideAnd820~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd820~0_combout\ = (\led_flash_cnt[820][3]~q\ & (\led_flash_cnt[820][4]~q\ & (\led_flash_cnt[820][1]~q\ & \led_flash_cnt[820][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[820][3]~q\,
	datab => \led_flash_cnt[820][4]~q\,
	datac => \led_flash_cnt[820][1]~q\,
	datad => \led_flash_cnt[820][2]~q\,
	combout => \WideAnd820~0_combout\);

-- Location: LCCOMB_X21_Y33_N22
\led_flash_cnt[820][5]~38368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[820][5]~38368_combout\ = (\led_flash_cnt[820][5]~q\ & (\led_flash_cnt[820][4]~38367\ $ (GND))) # (!\led_flash_cnt[820][5]~q\ & (!\led_flash_cnt[820][4]~38367\ & VCC))
-- \led_flash_cnt[820][5]~38369\ = CARRY((\led_flash_cnt[820][5]~q\ & !\led_flash_cnt[820][4]~38367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[820][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[820][4]~38367\,
	combout => \led_flash_cnt[820][5]~38368_combout\,
	cout => \led_flash_cnt[820][5]~38369\);

-- Location: FF_X21_Y33_N23
\led_flash_cnt[820][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[820][5]~38368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[820][5]~q\);

-- Location: LCCOMB_X21_Y33_N24
\led_flash_cnt[820][6]~38370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[820][6]~38370_combout\ = (\led_flash_cnt[820][6]~q\ & (!\led_flash_cnt[820][5]~38369\)) # (!\led_flash_cnt[820][6]~q\ & ((\led_flash_cnt[820][5]~38369\) # (GND)))
-- \led_flash_cnt[820][6]~38371\ = CARRY((!\led_flash_cnt[820][5]~38369\) # (!\led_flash_cnt[820][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[820][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[820][5]~38369\,
	combout => \led_flash_cnt[820][6]~38370_combout\,
	cout => \led_flash_cnt[820][6]~38371\);

-- Location: FF_X21_Y33_N25
\led_flash_cnt[820][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[820][6]~38370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[820][6]~q\);

-- Location: LCCOMB_X21_Y33_N26
\led_flash_cnt[820][7]~38372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[820][7]~38372_combout\ = \led_flash_cnt[820][7]~q\ $ (!\led_flash_cnt[820][6]~38371\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[820][7]~q\,
	cin => \led_flash_cnt[820][6]~38371\,
	combout => \led_flash_cnt[820][7]~38372_combout\);

-- Location: FF_X21_Y33_N27
\led_flash_cnt[820][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[820][7]~38372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[820][7]~q\);

-- Location: LCCOMB_X21_Y33_N6
\WideAnd820~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd820~1_combout\ = (\led_flash_cnt[820][5]~q\ & \led_flash_cnt[820][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[820][5]~q\,
	datad => \led_flash_cnt[820][6]~q\,
	combout => \WideAnd820~1_combout\);

-- Location: LCCOMB_X21_Y33_N8
WideAnd820 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd820~combout\ = (\led_flash_cnt[820][0]~q\ & (\WideAnd820~0_combout\ & (\led_flash_cnt[820][7]~q\ & \WideAnd820~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[820][0]~q\,
	datab => \WideAnd820~0_combout\,
	datac => \led_flash_cnt[820][7]~q\,
	datad => \WideAnd820~1_combout\,
	combout => \WideAnd820~combout\);

-- Location: FF_X21_Y33_N9
\led_flash_cnt_ands[820]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd820~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(820));

-- Location: LCCOMB_X21_Y33_N12
\led_flash_cnt[821][0]~81461\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[821][0]~81461_combout\ = !\led_flash_cnt[821][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[821][0]~q\,
	combout => \led_flash_cnt[821][0]~81461_combout\);

-- Location: FF_X21_Y33_N13
\led_flash_cnt[821][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[821][0]~81461_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[821][0]~q\);

-- Location: LCCOMB_X22_Y33_N14
\led_flash_cnt[821][1]~38374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[821][1]~38374_combout\ = (\led_flash_cnt[821][0]~q\ & (\led_flash_cnt[821][1]~q\ $ (VCC))) # (!\led_flash_cnt[821][0]~q\ & (\led_flash_cnt[821][1]~q\ & VCC))
-- \led_flash_cnt[821][1]~38375\ = CARRY((\led_flash_cnt[821][0]~q\ & \led_flash_cnt[821][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[821][0]~q\,
	datab => \led_flash_cnt[821][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[821][1]~38374_combout\,
	cout => \led_flash_cnt[821][1]~38375\);

-- Location: FF_X22_Y33_N15
\led_flash_cnt[821][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[821][1]~38374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[821][1]~q\);

-- Location: LCCOMB_X22_Y33_N16
\led_flash_cnt[821][2]~38376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[821][2]~38376_combout\ = (\led_flash_cnt[821][2]~q\ & (!\led_flash_cnt[821][1]~38375\)) # (!\led_flash_cnt[821][2]~q\ & ((\led_flash_cnt[821][1]~38375\) # (GND)))
-- \led_flash_cnt[821][2]~38377\ = CARRY((!\led_flash_cnt[821][1]~38375\) # (!\led_flash_cnt[821][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[821][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[821][1]~38375\,
	combout => \led_flash_cnt[821][2]~38376_combout\,
	cout => \led_flash_cnt[821][2]~38377\);

-- Location: FF_X22_Y33_N17
\led_flash_cnt[821][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[821][2]~38376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[821][2]~q\);

-- Location: LCCOMB_X22_Y33_N18
\led_flash_cnt[821][3]~38378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[821][3]~38378_combout\ = (\led_flash_cnt[821][3]~q\ & (\led_flash_cnt[821][2]~38377\ $ (GND))) # (!\led_flash_cnt[821][3]~q\ & (!\led_flash_cnt[821][2]~38377\ & VCC))
-- \led_flash_cnt[821][3]~38379\ = CARRY((\led_flash_cnt[821][3]~q\ & !\led_flash_cnt[821][2]~38377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[821][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[821][2]~38377\,
	combout => \led_flash_cnt[821][3]~38378_combout\,
	cout => \led_flash_cnt[821][3]~38379\);

-- Location: FF_X22_Y33_N19
\led_flash_cnt[821][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[821][3]~38378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[821][3]~q\);

-- Location: LCCOMB_X22_Y33_N20
\led_flash_cnt[821][4]~38380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[821][4]~38380_combout\ = (\led_flash_cnt[821][4]~q\ & (!\led_flash_cnt[821][3]~38379\)) # (!\led_flash_cnt[821][4]~q\ & ((\led_flash_cnt[821][3]~38379\) # (GND)))
-- \led_flash_cnt[821][4]~38381\ = CARRY((!\led_flash_cnt[821][3]~38379\) # (!\led_flash_cnt[821][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[821][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[821][3]~38379\,
	combout => \led_flash_cnt[821][4]~38380_combout\,
	cout => \led_flash_cnt[821][4]~38381\);

-- Location: FF_X22_Y33_N21
\led_flash_cnt[821][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[821][4]~38380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[821][4]~q\);

-- Location: LCCOMB_X22_Y33_N22
\led_flash_cnt[821][5]~38382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[821][5]~38382_combout\ = (\led_flash_cnt[821][5]~q\ & (\led_flash_cnt[821][4]~38381\ $ (GND))) # (!\led_flash_cnt[821][5]~q\ & (!\led_flash_cnt[821][4]~38381\ & VCC))
-- \led_flash_cnt[821][5]~38383\ = CARRY((\led_flash_cnt[821][5]~q\ & !\led_flash_cnt[821][4]~38381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[821][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[821][4]~38381\,
	combout => \led_flash_cnt[821][5]~38382_combout\,
	cout => \led_flash_cnt[821][5]~38383\);

-- Location: FF_X22_Y33_N23
\led_flash_cnt[821][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[821][5]~38382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[821][5]~q\);

-- Location: LCCOMB_X22_Y33_N24
\led_flash_cnt[821][6]~38384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[821][6]~38384_combout\ = (\led_flash_cnt[821][6]~q\ & (!\led_flash_cnt[821][5]~38383\)) # (!\led_flash_cnt[821][6]~q\ & ((\led_flash_cnt[821][5]~38383\) # (GND)))
-- \led_flash_cnt[821][6]~38385\ = CARRY((!\led_flash_cnt[821][5]~38383\) # (!\led_flash_cnt[821][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[821][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[821][5]~38383\,
	combout => \led_flash_cnt[821][6]~38384_combout\,
	cout => \led_flash_cnt[821][6]~38385\);

-- Location: FF_X22_Y33_N25
\led_flash_cnt[821][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[821][6]~38384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[821][6]~q\);

-- Location: LCCOMB_X21_Y33_N2
\WideAnd821~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd821~1_combout\ = (\led_flash_cnt[821][6]~q\ & \led_flash_cnt[821][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[821][6]~q\,
	datad => \led_flash_cnt[821][5]~q\,
	combout => \WideAnd821~1_combout\);

-- Location: LCCOMB_X22_Y33_N26
\led_flash_cnt[821][7]~38386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[821][7]~38386_combout\ = \led_flash_cnt[821][7]~q\ $ (!\led_flash_cnt[821][6]~38385\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[821][7]~q\,
	cin => \led_flash_cnt[821][6]~38385\,
	combout => \led_flash_cnt[821][7]~38386_combout\);

-- Location: FF_X22_Y33_N27
\led_flash_cnt[821][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[821][7]~38386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[821][7]~q\);

-- Location: LCCOMB_X22_Y33_N28
\WideAnd821~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd821~0_combout\ = (\led_flash_cnt[821][3]~q\ & (\led_flash_cnt[821][2]~q\ & (\led_flash_cnt[821][1]~q\ & \led_flash_cnt[821][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[821][3]~q\,
	datab => \led_flash_cnt[821][2]~q\,
	datac => \led_flash_cnt[821][1]~q\,
	datad => \led_flash_cnt[821][4]~q\,
	combout => \WideAnd821~0_combout\);

-- Location: LCCOMB_X21_Y33_N28
WideAnd821 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd821~combout\ = (\led_flash_cnt[821][0]~q\ & (\WideAnd821~1_combout\ & (\led_flash_cnt[821][7]~q\ & \WideAnd821~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[821][0]~q\,
	datab => \WideAnd821~1_combout\,
	datac => \led_flash_cnt[821][7]~q\,
	datad => \WideAnd821~0_combout\,
	combout => \WideAnd821~combout\);

-- Location: FF_X21_Y33_N29
\led_flash_cnt_ands[821]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd821~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(821));

-- Location: LCCOMB_X21_Y33_N30
\WideAnd3942~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3942~1_combout\ = (led_flash_cnt_ands(820) & led_flash_cnt_ands(821))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(820),
	datad => led_flash_cnt_ands(821),
	combout => \WideAnd3942~1_combout\);

-- Location: LCCOMB_X18_Y32_N30
WideAnd3942 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3942~combout\ = (led_flash_cnt_ands(823) & (led_flash_cnt_ands(822) & (\WideAnd3942~0_combout\ & \WideAnd3942~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(823),
	datab => led_flash_cnt_ands(822),
	datac => \WideAnd3942~0_combout\,
	datad => \WideAnd3942~1_combout\,
	combout => \WideAnd3942~combout\);

-- Location: FF_X18_Y32_N31
\led_flash_cnt_ands_1[102]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3942~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(102));

-- Location: LCCOMB_X18_Y30_N6
\led_flash_cnt[796][0]~81436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[796][0]~81436_combout\ = !\led_flash_cnt[796][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[796][0]~q\,
	combout => \led_flash_cnt[796][0]~81436_combout\);

-- Location: FF_X18_Y30_N7
\led_flash_cnt[796][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[796][0]~81436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[796][0]~q\);

-- Location: LCCOMB_X19_Y30_N0
\led_flash_cnt[796][1]~38024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[796][1]~38024_combout\ = (\led_flash_cnt[796][0]~q\ & (\led_flash_cnt[796][1]~q\ $ (VCC))) # (!\led_flash_cnt[796][0]~q\ & (\led_flash_cnt[796][1]~q\ & VCC))
-- \led_flash_cnt[796][1]~38025\ = CARRY((\led_flash_cnt[796][0]~q\ & \led_flash_cnt[796][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[796][0]~q\,
	datab => \led_flash_cnt[796][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[796][1]~38024_combout\,
	cout => \led_flash_cnt[796][1]~38025\);

-- Location: FF_X19_Y30_N1
\led_flash_cnt[796][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[796][1]~38024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[796][1]~q\);

-- Location: LCCOMB_X19_Y30_N2
\led_flash_cnt[796][2]~38026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[796][2]~38026_combout\ = (\led_flash_cnt[796][2]~q\ & (!\led_flash_cnt[796][1]~38025\)) # (!\led_flash_cnt[796][2]~q\ & ((\led_flash_cnt[796][1]~38025\) # (GND)))
-- \led_flash_cnt[796][2]~38027\ = CARRY((!\led_flash_cnt[796][1]~38025\) # (!\led_flash_cnt[796][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[796][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[796][1]~38025\,
	combout => \led_flash_cnt[796][2]~38026_combout\,
	cout => \led_flash_cnt[796][2]~38027\);

-- Location: FF_X19_Y30_N3
\led_flash_cnt[796][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[796][2]~38026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[796][2]~q\);

-- Location: LCCOMB_X19_Y30_N4
\led_flash_cnt[796][3]~38028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[796][3]~38028_combout\ = (\led_flash_cnt[796][3]~q\ & (\led_flash_cnt[796][2]~38027\ $ (GND))) # (!\led_flash_cnt[796][3]~q\ & (!\led_flash_cnt[796][2]~38027\ & VCC))
-- \led_flash_cnt[796][3]~38029\ = CARRY((\led_flash_cnt[796][3]~q\ & !\led_flash_cnt[796][2]~38027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[796][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[796][2]~38027\,
	combout => \led_flash_cnt[796][3]~38028_combout\,
	cout => \led_flash_cnt[796][3]~38029\);

-- Location: FF_X19_Y30_N5
\led_flash_cnt[796][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[796][3]~38028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[796][3]~q\);

-- Location: LCCOMB_X19_Y30_N6
\led_flash_cnt[796][4]~38030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[796][4]~38030_combout\ = (\led_flash_cnt[796][4]~q\ & (!\led_flash_cnt[796][3]~38029\)) # (!\led_flash_cnt[796][4]~q\ & ((\led_flash_cnt[796][3]~38029\) # (GND)))
-- \led_flash_cnt[796][4]~38031\ = CARRY((!\led_flash_cnt[796][3]~38029\) # (!\led_flash_cnt[796][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[796][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[796][3]~38029\,
	combout => \led_flash_cnt[796][4]~38030_combout\,
	cout => \led_flash_cnt[796][4]~38031\);

-- Location: FF_X19_Y30_N7
\led_flash_cnt[796][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[796][4]~38030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[796][4]~q\);

-- Location: LCCOMB_X19_Y30_N8
\led_flash_cnt[796][5]~38032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[796][5]~38032_combout\ = (\led_flash_cnt[796][5]~q\ & (\led_flash_cnt[796][4]~38031\ $ (GND))) # (!\led_flash_cnt[796][5]~q\ & (!\led_flash_cnt[796][4]~38031\ & VCC))
-- \led_flash_cnt[796][5]~38033\ = CARRY((\led_flash_cnt[796][5]~q\ & !\led_flash_cnt[796][4]~38031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[796][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[796][4]~38031\,
	combout => \led_flash_cnt[796][5]~38032_combout\,
	cout => \led_flash_cnt[796][5]~38033\);

-- Location: FF_X19_Y30_N9
\led_flash_cnt[796][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[796][5]~38032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[796][5]~q\);

-- Location: LCCOMB_X19_Y30_N10
\led_flash_cnt[796][6]~38034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[796][6]~38034_combout\ = (\led_flash_cnt[796][6]~q\ & (!\led_flash_cnt[796][5]~38033\)) # (!\led_flash_cnt[796][6]~q\ & ((\led_flash_cnt[796][5]~38033\) # (GND)))
-- \led_flash_cnt[796][6]~38035\ = CARRY((!\led_flash_cnt[796][5]~38033\) # (!\led_flash_cnt[796][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[796][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[796][5]~38033\,
	combout => \led_flash_cnt[796][6]~38034_combout\,
	cout => \led_flash_cnt[796][6]~38035\);

-- Location: FF_X19_Y30_N11
\led_flash_cnt[796][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[796][6]~38034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[796][6]~q\);

-- Location: LCCOMB_X18_Y30_N14
\WideAnd796~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd796~1_combout\ = (\led_flash_cnt[796][6]~q\ & \led_flash_cnt[796][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[796][6]~q\,
	datac => \led_flash_cnt[796][5]~q\,
	combout => \WideAnd796~1_combout\);

-- Location: LCCOMB_X19_Y30_N12
\led_flash_cnt[796][7]~38036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[796][7]~38036_combout\ = \led_flash_cnt[796][6]~38035\ $ (!\led_flash_cnt[796][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[796][7]~q\,
	cin => \led_flash_cnt[796][6]~38035\,
	combout => \led_flash_cnt[796][7]~38036_combout\);

-- Location: FF_X19_Y30_N13
\led_flash_cnt[796][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[796][7]~38036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[796][7]~q\);

-- Location: LCCOMB_X19_Y30_N16
\WideAnd796~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd796~0_combout\ = (\led_flash_cnt[796][4]~q\ & (\led_flash_cnt[796][1]~q\ & (\led_flash_cnt[796][3]~q\ & \led_flash_cnt[796][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[796][4]~q\,
	datab => \led_flash_cnt[796][1]~q\,
	datac => \led_flash_cnt[796][3]~q\,
	datad => \led_flash_cnt[796][2]~q\,
	combout => \WideAnd796~0_combout\);

-- Location: LCCOMB_X18_Y30_N16
WideAnd796 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd796~combout\ = (\led_flash_cnt[796][0]~q\ & (\WideAnd796~1_combout\ & (\led_flash_cnt[796][7]~q\ & \WideAnd796~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[796][0]~q\,
	datab => \WideAnd796~1_combout\,
	datac => \led_flash_cnt[796][7]~q\,
	datad => \WideAnd796~0_combout\,
	combout => \WideAnd796~combout\);

-- Location: FF_X18_Y30_N17
\led_flash_cnt_ands[796]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd796~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(796));

-- Location: LCCOMB_X23_Y28_N2
\led_flash_cnt[797][0]~81437\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[797][0]~81437_combout\ = !\led_flash_cnt[797][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[797][0]~q\,
	combout => \led_flash_cnt[797][0]~81437_combout\);

-- Location: FF_X23_Y28_N3
\led_flash_cnt[797][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[797][0]~81437_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[797][0]~q\);

-- Location: LCCOMB_X22_Y28_N16
\led_flash_cnt[797][1]~38038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[797][1]~38038_combout\ = (\led_flash_cnt[797][0]~q\ & (\led_flash_cnt[797][1]~q\ $ (VCC))) # (!\led_flash_cnt[797][0]~q\ & (\led_flash_cnt[797][1]~q\ & VCC))
-- \led_flash_cnt[797][1]~38039\ = CARRY((\led_flash_cnt[797][0]~q\ & \led_flash_cnt[797][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[797][0]~q\,
	datab => \led_flash_cnt[797][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[797][1]~38038_combout\,
	cout => \led_flash_cnt[797][1]~38039\);

-- Location: FF_X22_Y28_N17
\led_flash_cnt[797][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[797][1]~38038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[797][1]~q\);

-- Location: LCCOMB_X22_Y28_N18
\led_flash_cnt[797][2]~38040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[797][2]~38040_combout\ = (\led_flash_cnt[797][2]~q\ & (!\led_flash_cnt[797][1]~38039\)) # (!\led_flash_cnt[797][2]~q\ & ((\led_flash_cnt[797][1]~38039\) # (GND)))
-- \led_flash_cnt[797][2]~38041\ = CARRY((!\led_flash_cnt[797][1]~38039\) # (!\led_flash_cnt[797][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[797][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[797][1]~38039\,
	combout => \led_flash_cnt[797][2]~38040_combout\,
	cout => \led_flash_cnt[797][2]~38041\);

-- Location: FF_X22_Y28_N19
\led_flash_cnt[797][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[797][2]~38040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[797][2]~q\);

-- Location: LCCOMB_X22_Y28_N20
\led_flash_cnt[797][3]~38042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[797][3]~38042_combout\ = (\led_flash_cnt[797][3]~q\ & (\led_flash_cnt[797][2]~38041\ $ (GND))) # (!\led_flash_cnt[797][3]~q\ & (!\led_flash_cnt[797][2]~38041\ & VCC))
-- \led_flash_cnt[797][3]~38043\ = CARRY((\led_flash_cnt[797][3]~q\ & !\led_flash_cnt[797][2]~38041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[797][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[797][2]~38041\,
	combout => \led_flash_cnt[797][3]~38042_combout\,
	cout => \led_flash_cnt[797][3]~38043\);

-- Location: FF_X22_Y28_N21
\led_flash_cnt[797][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[797][3]~38042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[797][3]~q\);

-- Location: LCCOMB_X22_Y28_N22
\led_flash_cnt[797][4]~38044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[797][4]~38044_combout\ = (\led_flash_cnt[797][4]~q\ & (!\led_flash_cnt[797][3]~38043\)) # (!\led_flash_cnt[797][4]~q\ & ((\led_flash_cnt[797][3]~38043\) # (GND)))
-- \led_flash_cnt[797][4]~38045\ = CARRY((!\led_flash_cnt[797][3]~38043\) # (!\led_flash_cnt[797][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[797][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[797][3]~38043\,
	combout => \led_flash_cnt[797][4]~38044_combout\,
	cout => \led_flash_cnt[797][4]~38045\);

-- Location: FF_X22_Y28_N23
\led_flash_cnt[797][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[797][4]~38044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[797][4]~q\);

-- Location: LCCOMB_X22_Y28_N24
\led_flash_cnt[797][5]~38046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[797][5]~38046_combout\ = (\led_flash_cnt[797][5]~q\ & (\led_flash_cnt[797][4]~38045\ $ (GND))) # (!\led_flash_cnt[797][5]~q\ & (!\led_flash_cnt[797][4]~38045\ & VCC))
-- \led_flash_cnt[797][5]~38047\ = CARRY((\led_flash_cnt[797][5]~q\ & !\led_flash_cnt[797][4]~38045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[797][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[797][4]~38045\,
	combout => \led_flash_cnt[797][5]~38046_combout\,
	cout => \led_flash_cnt[797][5]~38047\);

-- Location: FF_X22_Y28_N25
\led_flash_cnt[797][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[797][5]~38046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[797][5]~q\);

-- Location: LCCOMB_X22_Y28_N26
\led_flash_cnt[797][6]~38048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[797][6]~38048_combout\ = (\led_flash_cnt[797][6]~q\ & (!\led_flash_cnt[797][5]~38047\)) # (!\led_flash_cnt[797][6]~q\ & ((\led_flash_cnt[797][5]~38047\) # (GND)))
-- \led_flash_cnt[797][6]~38049\ = CARRY((!\led_flash_cnt[797][5]~38047\) # (!\led_flash_cnt[797][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[797][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[797][5]~38047\,
	combout => \led_flash_cnt[797][6]~38048_combout\,
	cout => \led_flash_cnt[797][6]~38049\);

-- Location: FF_X22_Y28_N27
\led_flash_cnt[797][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[797][6]~38048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[797][6]~q\);

-- Location: LCCOMB_X23_Y28_N26
\WideAnd797~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd797~1_combout\ = (\led_flash_cnt[797][6]~q\ & \led_flash_cnt[797][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[797][6]~q\,
	datad => \led_flash_cnt[797][5]~q\,
	combout => \WideAnd797~1_combout\);

-- Location: LCCOMB_X22_Y28_N28
\led_flash_cnt[797][7]~38050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[797][7]~38050_combout\ = \led_flash_cnt[797][6]~38049\ $ (!\led_flash_cnt[797][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[797][7]~q\,
	cin => \led_flash_cnt[797][6]~38049\,
	combout => \led_flash_cnt[797][7]~38050_combout\);

-- Location: FF_X22_Y28_N29
\led_flash_cnt[797][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[797][7]~38050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[797][7]~q\);

-- Location: LCCOMB_X22_Y28_N0
\WideAnd797~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd797~0_combout\ = (\led_flash_cnt[797][3]~q\ & (\led_flash_cnt[797][2]~q\ & (\led_flash_cnt[797][4]~q\ & \led_flash_cnt[797][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[797][3]~q\,
	datab => \led_flash_cnt[797][2]~q\,
	datac => \led_flash_cnt[797][4]~q\,
	datad => \led_flash_cnt[797][1]~q\,
	combout => \WideAnd797~0_combout\);

-- Location: LCCOMB_X23_Y28_N0
WideAnd797 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd797~combout\ = (\WideAnd797~1_combout\ & (\led_flash_cnt[797][7]~q\ & (\WideAnd797~0_combout\ & \led_flash_cnt[797][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd797~1_combout\,
	datab => \led_flash_cnt[797][7]~q\,
	datac => \WideAnd797~0_combout\,
	datad => \led_flash_cnt[797][0]~q\,
	combout => \WideAnd797~combout\);

-- Location: FF_X23_Y28_N1
\led_flash_cnt_ands[797]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd797~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(797));

-- Location: LCCOMB_X18_Y28_N20
\WideAnd3939~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3939~1_combout\ = (led_flash_cnt_ands(796) & led_flash_cnt_ands(797))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(796),
	datad => led_flash_cnt_ands(797),
	combout => \WideAnd3939~1_combout\);

-- Location: LCCOMB_X13_Y33_N30
\led_flash_cnt[799][0]~81439\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[799][0]~81439_combout\ = !\led_flash_cnt[799][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[799][0]~q\,
	combout => \led_flash_cnt[799][0]~81439_combout\);

-- Location: FF_X13_Y33_N31
\led_flash_cnt[799][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[799][0]~81439_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[799][0]~q\);

-- Location: LCCOMB_X12_Y33_N2
\led_flash_cnt[799][1]~38066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[799][1]~38066_combout\ = (\led_flash_cnt[799][0]~q\ & (\led_flash_cnt[799][1]~q\ $ (VCC))) # (!\led_flash_cnt[799][0]~q\ & (\led_flash_cnt[799][1]~q\ & VCC))
-- \led_flash_cnt[799][1]~38067\ = CARRY((\led_flash_cnt[799][0]~q\ & \led_flash_cnt[799][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[799][0]~q\,
	datab => \led_flash_cnt[799][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[799][1]~38066_combout\,
	cout => \led_flash_cnt[799][1]~38067\);

-- Location: FF_X12_Y33_N3
\led_flash_cnt[799][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[799][1]~38066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[799][1]~q\);

-- Location: LCCOMB_X12_Y33_N4
\led_flash_cnt[799][2]~38068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[799][2]~38068_combout\ = (\led_flash_cnt[799][2]~q\ & (!\led_flash_cnt[799][1]~38067\)) # (!\led_flash_cnt[799][2]~q\ & ((\led_flash_cnt[799][1]~38067\) # (GND)))
-- \led_flash_cnt[799][2]~38069\ = CARRY((!\led_flash_cnt[799][1]~38067\) # (!\led_flash_cnt[799][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[799][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[799][1]~38067\,
	combout => \led_flash_cnt[799][2]~38068_combout\,
	cout => \led_flash_cnt[799][2]~38069\);

-- Location: FF_X12_Y33_N5
\led_flash_cnt[799][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[799][2]~38068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[799][2]~q\);

-- Location: LCCOMB_X12_Y33_N6
\led_flash_cnt[799][3]~38070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[799][3]~38070_combout\ = (\led_flash_cnt[799][3]~q\ & (\led_flash_cnt[799][2]~38069\ $ (GND))) # (!\led_flash_cnt[799][3]~q\ & (!\led_flash_cnt[799][2]~38069\ & VCC))
-- \led_flash_cnt[799][3]~38071\ = CARRY((\led_flash_cnt[799][3]~q\ & !\led_flash_cnt[799][2]~38069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[799][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[799][2]~38069\,
	combout => \led_flash_cnt[799][3]~38070_combout\,
	cout => \led_flash_cnt[799][3]~38071\);

-- Location: FF_X12_Y33_N7
\led_flash_cnt[799][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[799][3]~38070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[799][3]~q\);

-- Location: LCCOMB_X12_Y33_N8
\led_flash_cnt[799][4]~38072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[799][4]~38072_combout\ = (\led_flash_cnt[799][4]~q\ & (!\led_flash_cnt[799][3]~38071\)) # (!\led_flash_cnt[799][4]~q\ & ((\led_flash_cnt[799][3]~38071\) # (GND)))
-- \led_flash_cnt[799][4]~38073\ = CARRY((!\led_flash_cnt[799][3]~38071\) # (!\led_flash_cnt[799][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[799][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[799][3]~38071\,
	combout => \led_flash_cnt[799][4]~38072_combout\,
	cout => \led_flash_cnt[799][4]~38073\);

-- Location: FF_X12_Y33_N9
\led_flash_cnt[799][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[799][4]~38072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[799][4]~q\);

-- Location: LCCOMB_X12_Y33_N0
\WideAnd799~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd799~0_combout\ = (\led_flash_cnt[799][3]~q\ & (\led_flash_cnt[799][2]~q\ & (\led_flash_cnt[799][4]~q\ & \led_flash_cnt[799][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[799][3]~q\,
	datab => \led_flash_cnt[799][2]~q\,
	datac => \led_flash_cnt[799][4]~q\,
	datad => \led_flash_cnt[799][1]~q\,
	combout => \WideAnd799~0_combout\);

-- Location: LCCOMB_X12_Y33_N10
\led_flash_cnt[799][5]~38074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[799][5]~38074_combout\ = (\led_flash_cnt[799][5]~q\ & (\led_flash_cnt[799][4]~38073\ $ (GND))) # (!\led_flash_cnt[799][5]~q\ & (!\led_flash_cnt[799][4]~38073\ & VCC))
-- \led_flash_cnt[799][5]~38075\ = CARRY((\led_flash_cnt[799][5]~q\ & !\led_flash_cnt[799][4]~38073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[799][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[799][4]~38073\,
	combout => \led_flash_cnt[799][5]~38074_combout\,
	cout => \led_flash_cnt[799][5]~38075\);

-- Location: FF_X12_Y33_N11
\led_flash_cnt[799][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[799][5]~38074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[799][5]~q\);

-- Location: LCCOMB_X12_Y33_N12
\led_flash_cnt[799][6]~38076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[799][6]~38076_combout\ = (\led_flash_cnt[799][6]~q\ & (!\led_flash_cnt[799][5]~38075\)) # (!\led_flash_cnt[799][6]~q\ & ((\led_flash_cnt[799][5]~38075\) # (GND)))
-- \led_flash_cnt[799][6]~38077\ = CARRY((!\led_flash_cnt[799][5]~38075\) # (!\led_flash_cnt[799][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[799][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[799][5]~38075\,
	combout => \led_flash_cnt[799][6]~38076_combout\,
	cout => \led_flash_cnt[799][6]~38077\);

-- Location: FF_X12_Y33_N13
\led_flash_cnt[799][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[799][6]~38076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[799][6]~q\);

-- Location: LCCOMB_X13_Y33_N24
\WideAnd799~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd799~1_combout\ = (\led_flash_cnt[799][5]~q\ & \led_flash_cnt[799][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[799][5]~q\,
	datad => \led_flash_cnt[799][6]~q\,
	combout => \WideAnd799~1_combout\);

-- Location: LCCOMB_X12_Y33_N14
\led_flash_cnt[799][7]~38078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[799][7]~38078_combout\ = \led_flash_cnt[799][7]~q\ $ (!\led_flash_cnt[799][6]~38077\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[799][7]~q\,
	cin => \led_flash_cnt[799][6]~38077\,
	combout => \led_flash_cnt[799][7]~38078_combout\);

-- Location: FF_X12_Y33_N15
\led_flash_cnt[799][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[799][7]~38078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[799][7]~q\);

-- Location: LCCOMB_X13_Y33_N8
WideAnd799 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd799~combout\ = (\WideAnd799~0_combout\ & (\WideAnd799~1_combout\ & (\led_flash_cnt[799][0]~q\ & \led_flash_cnt[799][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd799~0_combout\,
	datab => \WideAnd799~1_combout\,
	datac => \led_flash_cnt[799][0]~q\,
	datad => \led_flash_cnt[799][7]~q\,
	combout => \WideAnd799~combout\);

-- Location: FF_X13_Y33_N9
\led_flash_cnt_ands[799]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd799~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(799));

-- Location: LCCOMB_X6_Y31_N0
\led_flash_cnt[795][0]~81435\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[795][0]~81435_combout\ = !\led_flash_cnt[795][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[795][0]~q\,
	combout => \led_flash_cnt[795][0]~81435_combout\);

-- Location: FF_X6_Y31_N1
\led_flash_cnt[795][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[795][0]~81435_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[795][0]~q\);

-- Location: LCCOMB_X7_Y32_N18
\led_flash_cnt[795][1]~38010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[795][1]~38010_combout\ = (\led_flash_cnt[795][0]~q\ & (\led_flash_cnt[795][1]~q\ $ (VCC))) # (!\led_flash_cnt[795][0]~q\ & (\led_flash_cnt[795][1]~q\ & VCC))
-- \led_flash_cnt[795][1]~38011\ = CARRY((\led_flash_cnt[795][0]~q\ & \led_flash_cnt[795][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[795][0]~q\,
	datab => \led_flash_cnt[795][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[795][1]~38010_combout\,
	cout => \led_flash_cnt[795][1]~38011\);

-- Location: FF_X7_Y32_N19
\led_flash_cnt[795][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[795][1]~38010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[795][1]~q\);

-- Location: LCCOMB_X7_Y32_N20
\led_flash_cnt[795][2]~38012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[795][2]~38012_combout\ = (\led_flash_cnt[795][2]~q\ & (!\led_flash_cnt[795][1]~38011\)) # (!\led_flash_cnt[795][2]~q\ & ((\led_flash_cnt[795][1]~38011\) # (GND)))
-- \led_flash_cnt[795][2]~38013\ = CARRY((!\led_flash_cnt[795][1]~38011\) # (!\led_flash_cnt[795][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[795][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[795][1]~38011\,
	combout => \led_flash_cnt[795][2]~38012_combout\,
	cout => \led_flash_cnt[795][2]~38013\);

-- Location: FF_X7_Y32_N21
\led_flash_cnt[795][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[795][2]~38012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[795][2]~q\);

-- Location: LCCOMB_X7_Y32_N22
\led_flash_cnt[795][3]~38014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[795][3]~38014_combout\ = (\led_flash_cnt[795][3]~q\ & (\led_flash_cnt[795][2]~38013\ $ (GND))) # (!\led_flash_cnt[795][3]~q\ & (!\led_flash_cnt[795][2]~38013\ & VCC))
-- \led_flash_cnt[795][3]~38015\ = CARRY((\led_flash_cnt[795][3]~q\ & !\led_flash_cnt[795][2]~38013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[795][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[795][2]~38013\,
	combout => \led_flash_cnt[795][3]~38014_combout\,
	cout => \led_flash_cnt[795][3]~38015\);

-- Location: FF_X7_Y32_N23
\led_flash_cnt[795][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[795][3]~38014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[795][3]~q\);

-- Location: LCCOMB_X7_Y32_N24
\led_flash_cnt[795][4]~38016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[795][4]~38016_combout\ = (\led_flash_cnt[795][4]~q\ & (!\led_flash_cnt[795][3]~38015\)) # (!\led_flash_cnt[795][4]~q\ & ((\led_flash_cnt[795][3]~38015\) # (GND)))
-- \led_flash_cnt[795][4]~38017\ = CARRY((!\led_flash_cnt[795][3]~38015\) # (!\led_flash_cnt[795][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[795][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[795][3]~38015\,
	combout => \led_flash_cnt[795][4]~38016_combout\,
	cout => \led_flash_cnt[795][4]~38017\);

-- Location: FF_X7_Y32_N25
\led_flash_cnt[795][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[795][4]~38016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[795][4]~q\);

-- Location: LCCOMB_X7_Y32_N26
\led_flash_cnt[795][5]~38018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[795][5]~38018_combout\ = (\led_flash_cnt[795][5]~q\ & (\led_flash_cnt[795][4]~38017\ $ (GND))) # (!\led_flash_cnt[795][5]~q\ & (!\led_flash_cnt[795][4]~38017\ & VCC))
-- \led_flash_cnt[795][5]~38019\ = CARRY((\led_flash_cnt[795][5]~q\ & !\led_flash_cnt[795][4]~38017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[795][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[795][4]~38017\,
	combout => \led_flash_cnt[795][5]~38018_combout\,
	cout => \led_flash_cnt[795][5]~38019\);

-- Location: FF_X7_Y32_N27
\led_flash_cnt[795][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[795][5]~38018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[795][5]~q\);

-- Location: LCCOMB_X7_Y32_N28
\led_flash_cnt[795][6]~38020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[795][6]~38020_combout\ = (\led_flash_cnt[795][6]~q\ & (!\led_flash_cnt[795][5]~38019\)) # (!\led_flash_cnt[795][6]~q\ & ((\led_flash_cnt[795][5]~38019\) # (GND)))
-- \led_flash_cnt[795][6]~38021\ = CARRY((!\led_flash_cnt[795][5]~38019\) # (!\led_flash_cnt[795][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[795][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[795][5]~38019\,
	combout => \led_flash_cnt[795][6]~38020_combout\,
	cout => \led_flash_cnt[795][6]~38021\);

-- Location: FF_X7_Y32_N29
\led_flash_cnt[795][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[795][6]~38020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[795][6]~q\);

-- Location: LCCOMB_X7_Y32_N30
\led_flash_cnt[795][7]~38022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[795][7]~38022_combout\ = \led_flash_cnt[795][7]~q\ $ (!\led_flash_cnt[795][6]~38021\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[795][7]~q\,
	cin => \led_flash_cnt[795][6]~38021\,
	combout => \led_flash_cnt[795][7]~38022_combout\);

-- Location: FF_X7_Y32_N31
\led_flash_cnt[795][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[795][7]~38022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[795][7]~q\);

-- Location: LCCOMB_X6_Y32_N2
\WideAnd795~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd795~1_combout\ = (\led_flash_cnt[795][6]~q\ & \led_flash_cnt[795][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[795][6]~q\,
	datad => \led_flash_cnt[795][5]~q\,
	combout => \WideAnd795~1_combout\);

-- Location: LCCOMB_X7_Y32_N16
\WideAnd795~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd795~0_combout\ = (\led_flash_cnt[795][2]~q\ & (\led_flash_cnt[795][1]~q\ & (\led_flash_cnt[795][3]~q\ & \led_flash_cnt[795][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[795][2]~q\,
	datab => \led_flash_cnt[795][1]~q\,
	datac => \led_flash_cnt[795][3]~q\,
	datad => \led_flash_cnt[795][4]~q\,
	combout => \WideAnd795~0_combout\);

-- Location: LCCOMB_X6_Y32_N16
WideAnd795 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd795~combout\ = (\led_flash_cnt[795][7]~q\ & (\WideAnd795~1_combout\ & (\led_flash_cnt[795][0]~q\ & \WideAnd795~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[795][7]~q\,
	datab => \WideAnd795~1_combout\,
	datac => \led_flash_cnt[795][0]~q\,
	datad => \WideAnd795~0_combout\,
	combout => \WideAnd795~combout\);

-- Location: FF_X6_Y32_N17
\led_flash_cnt_ands[795]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd795~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(795));

-- Location: LCCOMB_X11_Y36_N24
\led_flash_cnt[792][0]~81432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[792][0]~81432_combout\ = !\led_flash_cnt[792][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[792][0]~q\,
	combout => \led_flash_cnt[792][0]~81432_combout\);

-- Location: FF_X11_Y36_N25
\led_flash_cnt[792][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[792][0]~81432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[792][0]~q\);

-- Location: LCCOMB_X12_Y36_N2
\led_flash_cnt[792][1]~37968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[792][1]~37968_combout\ = (\led_flash_cnt[792][0]~q\ & (\led_flash_cnt[792][1]~q\ $ (VCC))) # (!\led_flash_cnt[792][0]~q\ & (\led_flash_cnt[792][1]~q\ & VCC))
-- \led_flash_cnt[792][1]~37969\ = CARRY((\led_flash_cnt[792][0]~q\ & \led_flash_cnt[792][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[792][0]~q\,
	datab => \led_flash_cnt[792][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[792][1]~37968_combout\,
	cout => \led_flash_cnt[792][1]~37969\);

-- Location: FF_X12_Y36_N3
\led_flash_cnt[792][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[792][1]~37968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[792][1]~q\);

-- Location: LCCOMB_X12_Y36_N4
\led_flash_cnt[792][2]~37970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[792][2]~37970_combout\ = (\led_flash_cnt[792][2]~q\ & (!\led_flash_cnt[792][1]~37969\)) # (!\led_flash_cnt[792][2]~q\ & ((\led_flash_cnt[792][1]~37969\) # (GND)))
-- \led_flash_cnt[792][2]~37971\ = CARRY((!\led_flash_cnt[792][1]~37969\) # (!\led_flash_cnt[792][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[792][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[792][1]~37969\,
	combout => \led_flash_cnt[792][2]~37970_combout\,
	cout => \led_flash_cnt[792][2]~37971\);

-- Location: FF_X12_Y36_N5
\led_flash_cnt[792][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[792][2]~37970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[792][2]~q\);

-- Location: LCCOMB_X12_Y36_N6
\led_flash_cnt[792][3]~37972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[792][3]~37972_combout\ = (\led_flash_cnt[792][3]~q\ & (\led_flash_cnt[792][2]~37971\ $ (GND))) # (!\led_flash_cnt[792][3]~q\ & (!\led_flash_cnt[792][2]~37971\ & VCC))
-- \led_flash_cnt[792][3]~37973\ = CARRY((\led_flash_cnt[792][3]~q\ & !\led_flash_cnt[792][2]~37971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[792][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[792][2]~37971\,
	combout => \led_flash_cnt[792][3]~37972_combout\,
	cout => \led_flash_cnt[792][3]~37973\);

-- Location: FF_X12_Y36_N7
\led_flash_cnt[792][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[792][3]~37972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[792][3]~q\);

-- Location: LCCOMB_X12_Y36_N8
\led_flash_cnt[792][4]~37974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[792][4]~37974_combout\ = (\led_flash_cnt[792][4]~q\ & (!\led_flash_cnt[792][3]~37973\)) # (!\led_flash_cnt[792][4]~q\ & ((\led_flash_cnt[792][3]~37973\) # (GND)))
-- \led_flash_cnt[792][4]~37975\ = CARRY((!\led_flash_cnt[792][3]~37973\) # (!\led_flash_cnt[792][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[792][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[792][3]~37973\,
	combout => \led_flash_cnt[792][4]~37974_combout\,
	cout => \led_flash_cnt[792][4]~37975\);

-- Location: FF_X12_Y36_N9
\led_flash_cnt[792][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[792][4]~37974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[792][4]~q\);

-- Location: LCCOMB_X12_Y36_N10
\led_flash_cnt[792][5]~37976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[792][5]~37976_combout\ = (\led_flash_cnt[792][5]~q\ & (\led_flash_cnt[792][4]~37975\ $ (GND))) # (!\led_flash_cnt[792][5]~q\ & (!\led_flash_cnt[792][4]~37975\ & VCC))
-- \led_flash_cnt[792][5]~37977\ = CARRY((\led_flash_cnt[792][5]~q\ & !\led_flash_cnt[792][4]~37975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[792][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[792][4]~37975\,
	combout => \led_flash_cnt[792][5]~37976_combout\,
	cout => \led_flash_cnt[792][5]~37977\);

-- Location: FF_X12_Y36_N11
\led_flash_cnt[792][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[792][5]~37976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[792][5]~q\);

-- Location: LCCOMB_X12_Y36_N12
\led_flash_cnt[792][6]~37978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[792][6]~37978_combout\ = (\led_flash_cnt[792][6]~q\ & (!\led_flash_cnt[792][5]~37977\)) # (!\led_flash_cnt[792][6]~q\ & ((\led_flash_cnt[792][5]~37977\) # (GND)))
-- \led_flash_cnt[792][6]~37979\ = CARRY((!\led_flash_cnt[792][5]~37977\) # (!\led_flash_cnt[792][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[792][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[792][5]~37977\,
	combout => \led_flash_cnt[792][6]~37978_combout\,
	cout => \led_flash_cnt[792][6]~37979\);

-- Location: FF_X12_Y36_N13
\led_flash_cnt[792][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[792][6]~37978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[792][6]~q\);

-- Location: LCCOMB_X11_Y36_N22
\WideAnd792~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd792~1_combout\ = (\led_flash_cnt[792][6]~q\ & \led_flash_cnt[792][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[792][6]~q\,
	datac => \led_flash_cnt[792][5]~q\,
	combout => \WideAnd792~1_combout\);

-- Location: LCCOMB_X12_Y36_N14
\led_flash_cnt[792][7]~37980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[792][7]~37980_combout\ = \led_flash_cnt[792][7]~q\ $ (!\led_flash_cnt[792][6]~37979\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[792][7]~q\,
	cin => \led_flash_cnt[792][6]~37979\,
	combout => \led_flash_cnt[792][7]~37980_combout\);

-- Location: FF_X12_Y36_N15
\led_flash_cnt[792][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[792][7]~37980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[792][7]~q\);

-- Location: LCCOMB_X12_Y36_N30
\WideAnd792~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd792~0_combout\ = (\led_flash_cnt[792][3]~q\ & (\led_flash_cnt[792][2]~q\ & (\led_flash_cnt[792][4]~q\ & \led_flash_cnt[792][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[792][3]~q\,
	datab => \led_flash_cnt[792][2]~q\,
	datac => \led_flash_cnt[792][4]~q\,
	datad => \led_flash_cnt[792][1]~q\,
	combout => \WideAnd792~0_combout\);

-- Location: LCCOMB_X11_Y36_N4
WideAnd792 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd792~combout\ = (\WideAnd792~1_combout\ & (\led_flash_cnt[792][7]~q\ & (\WideAnd792~0_combout\ & \led_flash_cnt[792][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd792~1_combout\,
	datab => \led_flash_cnt[792][7]~q\,
	datac => \WideAnd792~0_combout\,
	datad => \led_flash_cnt[792][0]~q\,
	combout => \WideAnd792~combout\);

-- Location: FF_X11_Y36_N5
\led_flash_cnt_ands[792]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd792~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(792));

-- Location: LCCOMB_X18_Y37_N6
\led_flash_cnt[793][0]~81433\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[793][0]~81433_combout\ = !\led_flash_cnt[793][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[793][0]~q\,
	combout => \led_flash_cnt[793][0]~81433_combout\);

-- Location: FF_X18_Y37_N7
\led_flash_cnt[793][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[793][0]~81433_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[793][0]~q\);

-- Location: LCCOMB_X19_Y37_N2
\led_flash_cnt[793][1]~37982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[793][1]~37982_combout\ = (\led_flash_cnt[793][0]~q\ & (\led_flash_cnt[793][1]~q\ $ (VCC))) # (!\led_flash_cnt[793][0]~q\ & (\led_flash_cnt[793][1]~q\ & VCC))
-- \led_flash_cnt[793][1]~37983\ = CARRY((\led_flash_cnt[793][0]~q\ & \led_flash_cnt[793][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[793][0]~q\,
	datab => \led_flash_cnt[793][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[793][1]~37982_combout\,
	cout => \led_flash_cnt[793][1]~37983\);

-- Location: FF_X19_Y37_N3
\led_flash_cnt[793][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[793][1]~37982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[793][1]~q\);

-- Location: LCCOMB_X19_Y37_N4
\led_flash_cnt[793][2]~37984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[793][2]~37984_combout\ = (\led_flash_cnt[793][2]~q\ & (!\led_flash_cnt[793][1]~37983\)) # (!\led_flash_cnt[793][2]~q\ & ((\led_flash_cnt[793][1]~37983\) # (GND)))
-- \led_flash_cnt[793][2]~37985\ = CARRY((!\led_flash_cnt[793][1]~37983\) # (!\led_flash_cnt[793][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[793][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[793][1]~37983\,
	combout => \led_flash_cnt[793][2]~37984_combout\,
	cout => \led_flash_cnt[793][2]~37985\);

-- Location: FF_X19_Y37_N5
\led_flash_cnt[793][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[793][2]~37984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[793][2]~q\);

-- Location: LCCOMB_X19_Y37_N6
\led_flash_cnt[793][3]~37986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[793][3]~37986_combout\ = (\led_flash_cnt[793][3]~q\ & (\led_flash_cnt[793][2]~37985\ $ (GND))) # (!\led_flash_cnt[793][3]~q\ & (!\led_flash_cnt[793][2]~37985\ & VCC))
-- \led_flash_cnt[793][3]~37987\ = CARRY((\led_flash_cnt[793][3]~q\ & !\led_flash_cnt[793][2]~37985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[793][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[793][2]~37985\,
	combout => \led_flash_cnt[793][3]~37986_combout\,
	cout => \led_flash_cnt[793][3]~37987\);

-- Location: FF_X19_Y37_N7
\led_flash_cnt[793][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[793][3]~37986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[793][3]~q\);

-- Location: LCCOMB_X19_Y37_N8
\led_flash_cnt[793][4]~37988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[793][4]~37988_combout\ = (\led_flash_cnt[793][4]~q\ & (!\led_flash_cnt[793][3]~37987\)) # (!\led_flash_cnt[793][4]~q\ & ((\led_flash_cnt[793][3]~37987\) # (GND)))
-- \led_flash_cnt[793][4]~37989\ = CARRY((!\led_flash_cnt[793][3]~37987\) # (!\led_flash_cnt[793][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[793][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[793][3]~37987\,
	combout => \led_flash_cnt[793][4]~37988_combout\,
	cout => \led_flash_cnt[793][4]~37989\);

-- Location: FF_X19_Y37_N9
\led_flash_cnt[793][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[793][4]~37988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[793][4]~q\);

-- Location: LCCOMB_X19_Y37_N10
\led_flash_cnt[793][5]~37990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[793][5]~37990_combout\ = (\led_flash_cnt[793][5]~q\ & (\led_flash_cnt[793][4]~37989\ $ (GND))) # (!\led_flash_cnt[793][5]~q\ & (!\led_flash_cnt[793][4]~37989\ & VCC))
-- \led_flash_cnt[793][5]~37991\ = CARRY((\led_flash_cnt[793][5]~q\ & !\led_flash_cnt[793][4]~37989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[793][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[793][4]~37989\,
	combout => \led_flash_cnt[793][5]~37990_combout\,
	cout => \led_flash_cnt[793][5]~37991\);

-- Location: FF_X19_Y37_N11
\led_flash_cnt[793][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[793][5]~37990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[793][5]~q\);

-- Location: LCCOMB_X19_Y37_N12
\led_flash_cnt[793][6]~37992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[793][6]~37992_combout\ = (\led_flash_cnt[793][6]~q\ & (!\led_flash_cnt[793][5]~37991\)) # (!\led_flash_cnt[793][6]~q\ & ((\led_flash_cnt[793][5]~37991\) # (GND)))
-- \led_flash_cnt[793][6]~37993\ = CARRY((!\led_flash_cnt[793][5]~37991\) # (!\led_flash_cnt[793][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[793][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[793][5]~37991\,
	combout => \led_flash_cnt[793][6]~37992_combout\,
	cout => \led_flash_cnt[793][6]~37993\);

-- Location: FF_X19_Y37_N13
\led_flash_cnt[793][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[793][6]~37992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[793][6]~q\);

-- Location: LCCOMB_X18_Y37_N12
\WideAnd793~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd793~1_combout\ = (\led_flash_cnt[793][6]~q\ & \led_flash_cnt[793][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[793][6]~q\,
	datac => \led_flash_cnt[793][5]~q\,
	combout => \WideAnd793~1_combout\);

-- Location: LCCOMB_X19_Y37_N0
\WideAnd793~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd793~0_combout\ = (\led_flash_cnt[793][3]~q\ & (\led_flash_cnt[793][2]~q\ & (\led_flash_cnt[793][4]~q\ & \led_flash_cnt[793][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[793][3]~q\,
	datab => \led_flash_cnt[793][2]~q\,
	datac => \led_flash_cnt[793][4]~q\,
	datad => \led_flash_cnt[793][1]~q\,
	combout => \WideAnd793~0_combout\);

-- Location: LCCOMB_X19_Y37_N14
\led_flash_cnt[793][7]~37994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[793][7]~37994_combout\ = \led_flash_cnt[793][7]~q\ $ (!\led_flash_cnt[793][6]~37993\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[793][7]~q\,
	cin => \led_flash_cnt[793][6]~37993\,
	combout => \led_flash_cnt[793][7]~37994_combout\);

-- Location: FF_X19_Y37_N15
\led_flash_cnt[793][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[793][7]~37994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[793][7]~q\);

-- Location: LCCOMB_X18_Y37_N2
WideAnd793 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd793~combout\ = (\WideAnd793~1_combout\ & (\WideAnd793~0_combout\ & (\led_flash_cnt[793][7]~q\ & \led_flash_cnt[793][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd793~1_combout\,
	datab => \WideAnd793~0_combout\,
	datac => \led_flash_cnt[793][7]~q\,
	datad => \led_flash_cnt[793][0]~q\,
	combout => \WideAnd793~combout\);

-- Location: FF_X18_Y37_N3
\led_flash_cnt_ands[793]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd793~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(793));

-- Location: LCCOMB_X11_Y36_N2
\led_flash_cnt[794][0]~81434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[794][0]~81434_combout\ = !\led_flash_cnt[794][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[794][0]~q\,
	combout => \led_flash_cnt[794][0]~81434_combout\);

-- Location: FF_X11_Y36_N3
\led_flash_cnt[794][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[794][0]~81434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[794][0]~q\);

-- Location: LCCOMB_X11_Y36_N6
\led_flash_cnt[794][1]~37996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[794][1]~37996_combout\ = (\led_flash_cnt[794][1]~q\ & (\led_flash_cnt[794][0]~q\ $ (VCC))) # (!\led_flash_cnt[794][1]~q\ & (\led_flash_cnt[794][0]~q\ & VCC))
-- \led_flash_cnt[794][1]~37997\ = CARRY((\led_flash_cnt[794][1]~q\ & \led_flash_cnt[794][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[794][1]~q\,
	datab => \led_flash_cnt[794][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[794][1]~37996_combout\,
	cout => \led_flash_cnt[794][1]~37997\);

-- Location: FF_X11_Y36_N7
\led_flash_cnt[794][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[794][1]~37996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[794][1]~q\);

-- Location: LCCOMB_X11_Y36_N8
\led_flash_cnt[794][2]~37998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[794][2]~37998_combout\ = (\led_flash_cnt[794][2]~q\ & (!\led_flash_cnt[794][1]~37997\)) # (!\led_flash_cnt[794][2]~q\ & ((\led_flash_cnt[794][1]~37997\) # (GND)))
-- \led_flash_cnt[794][2]~37999\ = CARRY((!\led_flash_cnt[794][1]~37997\) # (!\led_flash_cnt[794][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[794][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[794][1]~37997\,
	combout => \led_flash_cnt[794][2]~37998_combout\,
	cout => \led_flash_cnt[794][2]~37999\);

-- Location: FF_X11_Y36_N9
\led_flash_cnt[794][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[794][2]~37998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[794][2]~q\);

-- Location: LCCOMB_X11_Y36_N10
\led_flash_cnt[794][3]~38000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[794][3]~38000_combout\ = (\led_flash_cnt[794][3]~q\ & (\led_flash_cnt[794][2]~37999\ $ (GND))) # (!\led_flash_cnt[794][3]~q\ & (!\led_flash_cnt[794][2]~37999\ & VCC))
-- \led_flash_cnt[794][3]~38001\ = CARRY((\led_flash_cnt[794][3]~q\ & !\led_flash_cnt[794][2]~37999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[794][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[794][2]~37999\,
	combout => \led_flash_cnt[794][3]~38000_combout\,
	cout => \led_flash_cnt[794][3]~38001\);

-- Location: FF_X11_Y36_N11
\led_flash_cnt[794][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[794][3]~38000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[794][3]~q\);

-- Location: LCCOMB_X11_Y36_N12
\led_flash_cnt[794][4]~38002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[794][4]~38002_combout\ = (\led_flash_cnt[794][4]~q\ & (!\led_flash_cnt[794][3]~38001\)) # (!\led_flash_cnt[794][4]~q\ & ((\led_flash_cnt[794][3]~38001\) # (GND)))
-- \led_flash_cnt[794][4]~38003\ = CARRY((!\led_flash_cnt[794][3]~38001\) # (!\led_flash_cnt[794][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[794][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[794][3]~38001\,
	combout => \led_flash_cnt[794][4]~38002_combout\,
	cout => \led_flash_cnt[794][4]~38003\);

-- Location: FF_X11_Y36_N13
\led_flash_cnt[794][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[794][4]~38002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[794][4]~q\);

-- Location: LCCOMB_X11_Y36_N26
\WideAnd794~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd794~0_combout\ = (\led_flash_cnt[794][1]~q\ & (\led_flash_cnt[794][3]~q\ & (\led_flash_cnt[794][2]~q\ & \led_flash_cnt[794][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[794][1]~q\,
	datab => \led_flash_cnt[794][3]~q\,
	datac => \led_flash_cnt[794][2]~q\,
	datad => \led_flash_cnt[794][4]~q\,
	combout => \WideAnd794~0_combout\);

-- Location: LCCOMB_X11_Y36_N14
\led_flash_cnt[794][5]~38004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[794][5]~38004_combout\ = (\led_flash_cnt[794][5]~q\ & (\led_flash_cnt[794][4]~38003\ $ (GND))) # (!\led_flash_cnt[794][5]~q\ & (!\led_flash_cnt[794][4]~38003\ & VCC))
-- \led_flash_cnt[794][5]~38005\ = CARRY((\led_flash_cnt[794][5]~q\ & !\led_flash_cnt[794][4]~38003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[794][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[794][4]~38003\,
	combout => \led_flash_cnt[794][5]~38004_combout\,
	cout => \led_flash_cnt[794][5]~38005\);

-- Location: FF_X11_Y36_N15
\led_flash_cnt[794][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[794][5]~38004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[794][5]~q\);

-- Location: LCCOMB_X11_Y36_N16
\led_flash_cnt[794][6]~38006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[794][6]~38006_combout\ = (\led_flash_cnt[794][6]~q\ & (!\led_flash_cnt[794][5]~38005\)) # (!\led_flash_cnt[794][6]~q\ & ((\led_flash_cnt[794][5]~38005\) # (GND)))
-- \led_flash_cnt[794][6]~38007\ = CARRY((!\led_flash_cnt[794][5]~38005\) # (!\led_flash_cnt[794][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[794][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[794][5]~38005\,
	combout => \led_flash_cnt[794][6]~38006_combout\,
	cout => \led_flash_cnt[794][6]~38007\);

-- Location: FF_X11_Y36_N17
\led_flash_cnt[794][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[794][6]~38006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[794][6]~q\);

-- Location: LCCOMB_X11_Y36_N30
\WideAnd794~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd794~1_combout\ = (\led_flash_cnt[794][5]~q\ & \led_flash_cnt[794][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[794][5]~q\,
	datad => \led_flash_cnt[794][6]~q\,
	combout => \WideAnd794~1_combout\);

-- Location: LCCOMB_X11_Y36_N18
\led_flash_cnt[794][7]~38008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[794][7]~38008_combout\ = \led_flash_cnt[794][6]~38007\ $ (!\led_flash_cnt[794][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[794][7]~q\,
	cin => \led_flash_cnt[794][6]~38007\,
	combout => \led_flash_cnt[794][7]~38008_combout\);

-- Location: FF_X11_Y36_N19
\led_flash_cnt[794][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[794][7]~38008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[794][7]~q\);

-- Location: LCCOMB_X11_Y36_N20
WideAnd794 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd794~combout\ = (\WideAnd794~0_combout\ & (\led_flash_cnt[794][0]~q\ & (\WideAnd794~1_combout\ & \led_flash_cnt[794][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd794~0_combout\,
	datab => \led_flash_cnt[794][0]~q\,
	datac => \WideAnd794~1_combout\,
	datad => \led_flash_cnt[794][7]~q\,
	combout => \WideAnd794~combout\);

-- Location: FF_X11_Y36_N21
\led_flash_cnt_ands[794]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd794~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(794));

-- Location: LCCOMB_X11_Y36_N28
\WideAnd3939~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3939~0_combout\ = (led_flash_cnt_ands(795) & (led_flash_cnt_ands(792) & (led_flash_cnt_ands(793) & led_flash_cnt_ands(794))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(795),
	datab => led_flash_cnt_ands(792),
	datac => led_flash_cnt_ands(793),
	datad => led_flash_cnt_ands(794),
	combout => \WideAnd3939~0_combout\);

-- Location: LCCOMB_X16_Y36_N22
\led_flash_cnt[798][0]~81438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[798][0]~81438_combout\ = !\led_flash_cnt[798][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[798][0]~q\,
	combout => \led_flash_cnt[798][0]~81438_combout\);

-- Location: FF_X16_Y36_N23
\led_flash_cnt[798][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[798][0]~81438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[798][0]~q\);

-- Location: LCCOMB_X14_Y36_N0
\led_flash_cnt[798][1]~38052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[798][1]~38052_combout\ = (\led_flash_cnt[798][0]~q\ & (\led_flash_cnt[798][1]~q\ $ (VCC))) # (!\led_flash_cnt[798][0]~q\ & (\led_flash_cnt[798][1]~q\ & VCC))
-- \led_flash_cnt[798][1]~38053\ = CARRY((\led_flash_cnt[798][0]~q\ & \led_flash_cnt[798][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[798][0]~q\,
	datab => \led_flash_cnt[798][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[798][1]~38052_combout\,
	cout => \led_flash_cnt[798][1]~38053\);

-- Location: FF_X14_Y36_N1
\led_flash_cnt[798][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[798][1]~38052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[798][1]~q\);

-- Location: LCCOMB_X14_Y36_N2
\led_flash_cnt[798][2]~38054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[798][2]~38054_combout\ = (\led_flash_cnt[798][2]~q\ & (!\led_flash_cnt[798][1]~38053\)) # (!\led_flash_cnt[798][2]~q\ & ((\led_flash_cnt[798][1]~38053\) # (GND)))
-- \led_flash_cnt[798][2]~38055\ = CARRY((!\led_flash_cnt[798][1]~38053\) # (!\led_flash_cnt[798][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[798][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[798][1]~38053\,
	combout => \led_flash_cnt[798][2]~38054_combout\,
	cout => \led_flash_cnt[798][2]~38055\);

-- Location: FF_X14_Y36_N3
\led_flash_cnt[798][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[798][2]~38054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[798][2]~q\);

-- Location: LCCOMB_X14_Y36_N4
\led_flash_cnt[798][3]~38056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[798][3]~38056_combout\ = (\led_flash_cnt[798][3]~q\ & (\led_flash_cnt[798][2]~38055\ $ (GND))) # (!\led_flash_cnt[798][3]~q\ & (!\led_flash_cnt[798][2]~38055\ & VCC))
-- \led_flash_cnt[798][3]~38057\ = CARRY((\led_flash_cnt[798][3]~q\ & !\led_flash_cnt[798][2]~38055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[798][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[798][2]~38055\,
	combout => \led_flash_cnt[798][3]~38056_combout\,
	cout => \led_flash_cnt[798][3]~38057\);

-- Location: FF_X14_Y36_N5
\led_flash_cnt[798][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[798][3]~38056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[798][3]~q\);

-- Location: LCCOMB_X14_Y36_N6
\led_flash_cnt[798][4]~38058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[798][4]~38058_combout\ = (\led_flash_cnt[798][4]~q\ & (!\led_flash_cnt[798][3]~38057\)) # (!\led_flash_cnt[798][4]~q\ & ((\led_flash_cnt[798][3]~38057\) # (GND)))
-- \led_flash_cnt[798][4]~38059\ = CARRY((!\led_flash_cnt[798][3]~38057\) # (!\led_flash_cnt[798][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[798][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[798][3]~38057\,
	combout => \led_flash_cnt[798][4]~38058_combout\,
	cout => \led_flash_cnt[798][4]~38059\);

-- Location: FF_X14_Y36_N7
\led_flash_cnt[798][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[798][4]~38058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[798][4]~q\);

-- Location: LCCOMB_X14_Y36_N8
\led_flash_cnt[798][5]~38060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[798][5]~38060_combout\ = (\led_flash_cnt[798][5]~q\ & (\led_flash_cnt[798][4]~38059\ $ (GND))) # (!\led_flash_cnt[798][5]~q\ & (!\led_flash_cnt[798][4]~38059\ & VCC))
-- \led_flash_cnt[798][5]~38061\ = CARRY((\led_flash_cnt[798][5]~q\ & !\led_flash_cnt[798][4]~38059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[798][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[798][4]~38059\,
	combout => \led_flash_cnt[798][5]~38060_combout\,
	cout => \led_flash_cnt[798][5]~38061\);

-- Location: FF_X14_Y36_N9
\led_flash_cnt[798][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[798][5]~38060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[798][5]~q\);

-- Location: LCCOMB_X14_Y36_N10
\led_flash_cnt[798][6]~38062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[798][6]~38062_combout\ = (\led_flash_cnt[798][6]~q\ & (!\led_flash_cnt[798][5]~38061\)) # (!\led_flash_cnt[798][6]~q\ & ((\led_flash_cnt[798][5]~38061\) # (GND)))
-- \led_flash_cnt[798][6]~38063\ = CARRY((!\led_flash_cnt[798][5]~38061\) # (!\led_flash_cnt[798][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[798][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[798][5]~38061\,
	combout => \led_flash_cnt[798][6]~38062_combout\,
	cout => \led_flash_cnt[798][6]~38063\);

-- Location: FF_X14_Y36_N11
\led_flash_cnt[798][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[798][6]~38062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[798][6]~q\);

-- Location: LCCOMB_X14_Y36_N12
\led_flash_cnt[798][7]~38064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[798][7]~38064_combout\ = \led_flash_cnt[798][6]~38063\ $ (!\led_flash_cnt[798][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[798][7]~q\,
	cin => \led_flash_cnt[798][6]~38063\,
	combout => \led_flash_cnt[798][7]~38064_combout\);

-- Location: FF_X14_Y36_N13
\led_flash_cnt[798][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[798][7]~38064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[798][7]~q\);

-- Location: LCCOMB_X15_Y36_N20
\WideAnd798~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd798~1_combout\ = (\led_flash_cnt[798][5]~q\ & \led_flash_cnt[798][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[798][5]~q\,
	datad => \led_flash_cnt[798][6]~q\,
	combout => \WideAnd798~1_combout\);

-- Location: LCCOMB_X14_Y36_N14
\WideAnd798~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd798~0_combout\ = (\led_flash_cnt[798][4]~q\ & (\led_flash_cnt[798][2]~q\ & (\led_flash_cnt[798][3]~q\ & \led_flash_cnt[798][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[798][4]~q\,
	datab => \led_flash_cnt[798][2]~q\,
	datac => \led_flash_cnt[798][3]~q\,
	datad => \led_flash_cnt[798][1]~q\,
	combout => \WideAnd798~0_combout\);

-- Location: LCCOMB_X15_Y36_N24
WideAnd798 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd798~combout\ = (\led_flash_cnt[798][7]~q\ & (\WideAnd798~1_combout\ & (\led_flash_cnt[798][0]~q\ & \WideAnd798~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[798][7]~q\,
	datab => \WideAnd798~1_combout\,
	datac => \led_flash_cnt[798][0]~q\,
	datad => \WideAnd798~0_combout\,
	combout => \WideAnd798~combout\);

-- Location: FF_X15_Y36_N25
\led_flash_cnt_ands[798]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd798~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(798));

-- Location: LCCOMB_X15_Y36_N28
WideAnd3939 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3939~combout\ = (\WideAnd3939~1_combout\ & (led_flash_cnt_ands(799) & (\WideAnd3939~0_combout\ & led_flash_cnt_ands(798))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3939~1_combout\,
	datab => led_flash_cnt_ands(799),
	datac => \WideAnd3939~0_combout\,
	datad => led_flash_cnt_ands(798),
	combout => \WideAnd3939~combout\);

-- Location: FF_X15_Y36_N29
\led_flash_cnt_ands_1[99]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3939~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(99));

-- Location: LCCOMB_X22_Y34_N6
\led_flash_cnt[775][0]~81415\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[775][0]~81415_combout\ = !\led_flash_cnt[775][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[775][0]~q\,
	combout => \led_flash_cnt[775][0]~81415_combout\);

-- Location: FF_X22_Y34_N7
\led_flash_cnt[775][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[775][0]~81415_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[775][0]~q\);

-- Location: LCCOMB_X23_Y34_N4
\led_flash_cnt[775][1]~37730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[775][1]~37730_combout\ = (\led_flash_cnt[775][0]~q\ & (\led_flash_cnt[775][1]~q\ $ (VCC))) # (!\led_flash_cnt[775][0]~q\ & (\led_flash_cnt[775][1]~q\ & VCC))
-- \led_flash_cnt[775][1]~37731\ = CARRY((\led_flash_cnt[775][0]~q\ & \led_flash_cnt[775][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[775][0]~q\,
	datab => \led_flash_cnt[775][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[775][1]~37730_combout\,
	cout => \led_flash_cnt[775][1]~37731\);

-- Location: FF_X23_Y34_N5
\led_flash_cnt[775][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[775][1]~37730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[775][1]~q\);

-- Location: LCCOMB_X23_Y34_N6
\led_flash_cnt[775][2]~37732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[775][2]~37732_combout\ = (\led_flash_cnt[775][2]~q\ & (!\led_flash_cnt[775][1]~37731\)) # (!\led_flash_cnt[775][2]~q\ & ((\led_flash_cnt[775][1]~37731\) # (GND)))
-- \led_flash_cnt[775][2]~37733\ = CARRY((!\led_flash_cnt[775][1]~37731\) # (!\led_flash_cnt[775][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[775][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[775][1]~37731\,
	combout => \led_flash_cnt[775][2]~37732_combout\,
	cout => \led_flash_cnt[775][2]~37733\);

-- Location: FF_X23_Y34_N7
\led_flash_cnt[775][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[775][2]~37732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[775][2]~q\);

-- Location: LCCOMB_X23_Y34_N8
\led_flash_cnt[775][3]~37734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[775][3]~37734_combout\ = (\led_flash_cnt[775][3]~q\ & (\led_flash_cnt[775][2]~37733\ $ (GND))) # (!\led_flash_cnt[775][3]~q\ & (!\led_flash_cnt[775][2]~37733\ & VCC))
-- \led_flash_cnt[775][3]~37735\ = CARRY((\led_flash_cnt[775][3]~q\ & !\led_flash_cnt[775][2]~37733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[775][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[775][2]~37733\,
	combout => \led_flash_cnt[775][3]~37734_combout\,
	cout => \led_flash_cnt[775][3]~37735\);

-- Location: FF_X23_Y34_N9
\led_flash_cnt[775][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[775][3]~37734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[775][3]~q\);

-- Location: LCCOMB_X23_Y34_N10
\led_flash_cnt[775][4]~37736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[775][4]~37736_combout\ = (\led_flash_cnt[775][4]~q\ & (!\led_flash_cnt[775][3]~37735\)) # (!\led_flash_cnt[775][4]~q\ & ((\led_flash_cnt[775][3]~37735\) # (GND)))
-- \led_flash_cnt[775][4]~37737\ = CARRY((!\led_flash_cnt[775][3]~37735\) # (!\led_flash_cnt[775][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[775][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[775][3]~37735\,
	combout => \led_flash_cnt[775][4]~37736_combout\,
	cout => \led_flash_cnt[775][4]~37737\);

-- Location: FF_X23_Y34_N11
\led_flash_cnt[775][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[775][4]~37736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[775][4]~q\);

-- Location: LCCOMB_X23_Y34_N12
\led_flash_cnt[775][5]~37738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[775][5]~37738_combout\ = (\led_flash_cnt[775][5]~q\ & (\led_flash_cnt[775][4]~37737\ $ (GND))) # (!\led_flash_cnt[775][5]~q\ & (!\led_flash_cnt[775][4]~37737\ & VCC))
-- \led_flash_cnt[775][5]~37739\ = CARRY((\led_flash_cnt[775][5]~q\ & !\led_flash_cnt[775][4]~37737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[775][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[775][4]~37737\,
	combout => \led_flash_cnt[775][5]~37738_combout\,
	cout => \led_flash_cnt[775][5]~37739\);

-- Location: FF_X23_Y34_N13
\led_flash_cnt[775][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[775][5]~37738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[775][5]~q\);

-- Location: LCCOMB_X23_Y34_N14
\led_flash_cnt[775][6]~37740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[775][6]~37740_combout\ = (\led_flash_cnt[775][6]~q\ & (!\led_flash_cnt[775][5]~37739\)) # (!\led_flash_cnt[775][6]~q\ & ((\led_flash_cnt[775][5]~37739\) # (GND)))
-- \led_flash_cnt[775][6]~37741\ = CARRY((!\led_flash_cnt[775][5]~37739\) # (!\led_flash_cnt[775][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[775][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[775][5]~37739\,
	combout => \led_flash_cnt[775][6]~37740_combout\,
	cout => \led_flash_cnt[775][6]~37741\);

-- Location: FF_X23_Y34_N15
\led_flash_cnt[775][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[775][6]~37740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[775][6]~q\);

-- Location: LCCOMB_X23_Y34_N16
\led_flash_cnt[775][7]~37742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[775][7]~37742_combout\ = \led_flash_cnt[775][6]~37741\ $ (!\led_flash_cnt[775][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[775][7]~q\,
	cin => \led_flash_cnt[775][6]~37741\,
	combout => \led_flash_cnt[775][7]~37742_combout\);

-- Location: FF_X23_Y34_N17
\led_flash_cnt[775][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[775][7]~37742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[775][7]~q\);

-- Location: LCCOMB_X23_Y34_N0
\WideAnd775~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd775~0_combout\ = (\led_flash_cnt[775][4]~q\ & (\led_flash_cnt[775][3]~q\ & (\led_flash_cnt[775][1]~q\ & \led_flash_cnt[775][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[775][4]~q\,
	datab => \led_flash_cnt[775][3]~q\,
	datac => \led_flash_cnt[775][1]~q\,
	datad => \led_flash_cnt[775][2]~q\,
	combout => \WideAnd775~0_combout\);

-- Location: LCCOMB_X22_Y34_N10
\WideAnd775~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd775~1_combout\ = (\led_flash_cnt[775][6]~q\ & \led_flash_cnt[775][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[775][6]~q\,
	datac => \led_flash_cnt[775][5]~q\,
	combout => \WideAnd775~1_combout\);

-- Location: LCCOMB_X22_Y34_N16
WideAnd775 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd775~combout\ = (\led_flash_cnt[775][0]~q\ & (\led_flash_cnt[775][7]~q\ & (\WideAnd775~0_combout\ & \WideAnd775~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[775][0]~q\,
	datab => \led_flash_cnt[775][7]~q\,
	datac => \WideAnd775~0_combout\,
	datad => \WideAnd775~1_combout\,
	combout => \WideAnd775~combout\);

-- Location: FF_X22_Y34_N17
\led_flash_cnt_ands[775]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd775~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(775));

-- Location: LCCOMB_X34_Y38_N26
\led_flash_cnt[768][0]~81408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[768][0]~81408_combout\ = !\led_flash_cnt[768][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[768][0]~q\,
	combout => \led_flash_cnt[768][0]~81408_combout\);

-- Location: FF_X34_Y38_N27
\led_flash_cnt[768][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[768][0]~81408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[768][0]~q\);

-- Location: LCCOMB_X35_Y38_N18
\led_flash_cnt[768][1]~37632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[768][1]~37632_combout\ = (\led_flash_cnt[768][0]~q\ & (\led_flash_cnt[768][1]~q\ $ (VCC))) # (!\led_flash_cnt[768][0]~q\ & (\led_flash_cnt[768][1]~q\ & VCC))
-- \led_flash_cnt[768][1]~37633\ = CARRY((\led_flash_cnt[768][0]~q\ & \led_flash_cnt[768][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[768][0]~q\,
	datab => \led_flash_cnt[768][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[768][1]~37632_combout\,
	cout => \led_flash_cnt[768][1]~37633\);

-- Location: FF_X35_Y38_N19
\led_flash_cnt[768][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[768][1]~37632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[768][1]~q\);

-- Location: LCCOMB_X35_Y38_N20
\led_flash_cnt[768][2]~37634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[768][2]~37634_combout\ = (\led_flash_cnt[768][2]~q\ & (!\led_flash_cnt[768][1]~37633\)) # (!\led_flash_cnt[768][2]~q\ & ((\led_flash_cnt[768][1]~37633\) # (GND)))
-- \led_flash_cnt[768][2]~37635\ = CARRY((!\led_flash_cnt[768][1]~37633\) # (!\led_flash_cnt[768][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[768][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[768][1]~37633\,
	combout => \led_flash_cnt[768][2]~37634_combout\,
	cout => \led_flash_cnt[768][2]~37635\);

-- Location: FF_X35_Y38_N21
\led_flash_cnt[768][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[768][2]~37634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[768][2]~q\);

-- Location: LCCOMB_X35_Y38_N22
\led_flash_cnt[768][3]~37636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[768][3]~37636_combout\ = (\led_flash_cnt[768][3]~q\ & (\led_flash_cnt[768][2]~37635\ $ (GND))) # (!\led_flash_cnt[768][3]~q\ & (!\led_flash_cnt[768][2]~37635\ & VCC))
-- \led_flash_cnt[768][3]~37637\ = CARRY((\led_flash_cnt[768][3]~q\ & !\led_flash_cnt[768][2]~37635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[768][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[768][2]~37635\,
	combout => \led_flash_cnt[768][3]~37636_combout\,
	cout => \led_flash_cnt[768][3]~37637\);

-- Location: FF_X35_Y38_N23
\led_flash_cnt[768][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[768][3]~37636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[768][3]~q\);

-- Location: LCCOMB_X35_Y38_N24
\led_flash_cnt[768][4]~37638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[768][4]~37638_combout\ = (\led_flash_cnt[768][4]~q\ & (!\led_flash_cnt[768][3]~37637\)) # (!\led_flash_cnt[768][4]~q\ & ((\led_flash_cnt[768][3]~37637\) # (GND)))
-- \led_flash_cnt[768][4]~37639\ = CARRY((!\led_flash_cnt[768][3]~37637\) # (!\led_flash_cnt[768][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[768][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[768][3]~37637\,
	combout => \led_flash_cnt[768][4]~37638_combout\,
	cout => \led_flash_cnt[768][4]~37639\);

-- Location: FF_X35_Y38_N25
\led_flash_cnt[768][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[768][4]~37638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[768][4]~q\);

-- Location: LCCOMB_X35_Y38_N26
\led_flash_cnt[768][5]~37640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[768][5]~37640_combout\ = (\led_flash_cnt[768][5]~q\ & (\led_flash_cnt[768][4]~37639\ $ (GND))) # (!\led_flash_cnt[768][5]~q\ & (!\led_flash_cnt[768][4]~37639\ & VCC))
-- \led_flash_cnt[768][5]~37641\ = CARRY((\led_flash_cnt[768][5]~q\ & !\led_flash_cnt[768][4]~37639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[768][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[768][4]~37639\,
	combout => \led_flash_cnt[768][5]~37640_combout\,
	cout => \led_flash_cnt[768][5]~37641\);

-- Location: FF_X35_Y38_N27
\led_flash_cnt[768][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[768][5]~37640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[768][5]~q\);

-- Location: LCCOMB_X35_Y38_N28
\led_flash_cnt[768][6]~37642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[768][6]~37642_combout\ = (\led_flash_cnt[768][6]~q\ & (!\led_flash_cnt[768][5]~37641\)) # (!\led_flash_cnt[768][6]~q\ & ((\led_flash_cnt[768][5]~37641\) # (GND)))
-- \led_flash_cnt[768][6]~37643\ = CARRY((!\led_flash_cnt[768][5]~37641\) # (!\led_flash_cnt[768][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[768][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[768][5]~37641\,
	combout => \led_flash_cnt[768][6]~37642_combout\,
	cout => \led_flash_cnt[768][6]~37643\);

-- Location: FF_X35_Y38_N29
\led_flash_cnt[768][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[768][6]~37642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[768][6]~q\);

-- Location: LCCOMB_X34_Y38_N20
\WideAnd768~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd768~1_combout\ = (\led_flash_cnt[768][6]~q\ & \led_flash_cnt[768][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[768][6]~q\,
	datad => \led_flash_cnt[768][5]~q\,
	combout => \WideAnd768~1_combout\);

-- Location: LCCOMB_X35_Y38_N30
\led_flash_cnt[768][7]~37644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[768][7]~37644_combout\ = \led_flash_cnt[768][7]~q\ $ (!\led_flash_cnt[768][6]~37643\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[768][7]~q\,
	cin => \led_flash_cnt[768][6]~37643\,
	combout => \led_flash_cnt[768][7]~37644_combout\);

-- Location: FF_X35_Y38_N31
\led_flash_cnt[768][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[768][7]~37644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[768][7]~q\);

-- Location: LCCOMB_X35_Y38_N16
\WideAnd768~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd768~0_combout\ = (\led_flash_cnt[768][4]~q\ & (\led_flash_cnt[768][2]~q\ & (\led_flash_cnt[768][3]~q\ & \led_flash_cnt[768][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[768][4]~q\,
	datab => \led_flash_cnt[768][2]~q\,
	datac => \led_flash_cnt[768][3]~q\,
	datad => \led_flash_cnt[768][1]~q\,
	combout => \WideAnd768~0_combout\);

-- Location: LCCOMB_X34_Y38_N16
WideAnd768 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd768~combout\ = (\led_flash_cnt[768][0]~q\ & (\WideAnd768~1_combout\ & (\led_flash_cnt[768][7]~q\ & \WideAnd768~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[768][0]~q\,
	datab => \WideAnd768~1_combout\,
	datac => \led_flash_cnt[768][7]~q\,
	datad => \WideAnd768~0_combout\,
	combout => \WideAnd768~combout\);

-- Location: FF_X34_Y38_N17
\led_flash_cnt_ands[768]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd768~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(768));

-- Location: LCCOMB_X34_Y38_N30
\led_flash_cnt[769][0]~81409\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[769][0]~81409_combout\ = !\led_flash_cnt[769][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[769][0]~q\,
	combout => \led_flash_cnt[769][0]~81409_combout\);

-- Location: FF_X34_Y38_N31
\led_flash_cnt[769][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[769][0]~81409_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[769][0]~q\);

-- Location: LCCOMB_X34_Y38_N2
\led_flash_cnt[769][1]~37646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[769][1]~37646_combout\ = (\led_flash_cnt[769][0]~q\ & (\led_flash_cnt[769][1]~q\ $ (VCC))) # (!\led_flash_cnt[769][0]~q\ & (\led_flash_cnt[769][1]~q\ & VCC))
-- \led_flash_cnt[769][1]~37647\ = CARRY((\led_flash_cnt[769][0]~q\ & \led_flash_cnt[769][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[769][0]~q\,
	datab => \led_flash_cnt[769][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[769][1]~37646_combout\,
	cout => \led_flash_cnt[769][1]~37647\);

-- Location: FF_X34_Y38_N3
\led_flash_cnt[769][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[769][1]~37646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[769][1]~q\);

-- Location: LCCOMB_X34_Y38_N4
\led_flash_cnt[769][2]~37648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[769][2]~37648_combout\ = (\led_flash_cnt[769][2]~q\ & (!\led_flash_cnt[769][1]~37647\)) # (!\led_flash_cnt[769][2]~q\ & ((\led_flash_cnt[769][1]~37647\) # (GND)))
-- \led_flash_cnt[769][2]~37649\ = CARRY((!\led_flash_cnt[769][1]~37647\) # (!\led_flash_cnt[769][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[769][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[769][1]~37647\,
	combout => \led_flash_cnt[769][2]~37648_combout\,
	cout => \led_flash_cnt[769][2]~37649\);

-- Location: FF_X34_Y38_N5
\led_flash_cnt[769][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[769][2]~37648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[769][2]~q\);

-- Location: LCCOMB_X34_Y38_N6
\led_flash_cnt[769][3]~37650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[769][3]~37650_combout\ = (\led_flash_cnt[769][3]~q\ & (\led_flash_cnt[769][2]~37649\ $ (GND))) # (!\led_flash_cnt[769][3]~q\ & (!\led_flash_cnt[769][2]~37649\ & VCC))
-- \led_flash_cnt[769][3]~37651\ = CARRY((\led_flash_cnt[769][3]~q\ & !\led_flash_cnt[769][2]~37649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[769][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[769][2]~37649\,
	combout => \led_flash_cnt[769][3]~37650_combout\,
	cout => \led_flash_cnt[769][3]~37651\);

-- Location: FF_X34_Y38_N7
\led_flash_cnt[769][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[769][3]~37650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[769][3]~q\);

-- Location: LCCOMB_X34_Y38_N8
\led_flash_cnt[769][4]~37652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[769][4]~37652_combout\ = (\led_flash_cnt[769][4]~q\ & (!\led_flash_cnt[769][3]~37651\)) # (!\led_flash_cnt[769][4]~q\ & ((\led_flash_cnt[769][3]~37651\) # (GND)))
-- \led_flash_cnt[769][4]~37653\ = CARRY((!\led_flash_cnt[769][3]~37651\) # (!\led_flash_cnt[769][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[769][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[769][3]~37651\,
	combout => \led_flash_cnt[769][4]~37652_combout\,
	cout => \led_flash_cnt[769][4]~37653\);

-- Location: FF_X34_Y38_N9
\led_flash_cnt[769][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[769][4]~37652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[769][4]~q\);

-- Location: LCCOMB_X34_Y38_N10
\led_flash_cnt[769][5]~37654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[769][5]~37654_combout\ = (\led_flash_cnt[769][5]~q\ & (\led_flash_cnt[769][4]~37653\ $ (GND))) # (!\led_flash_cnt[769][5]~q\ & (!\led_flash_cnt[769][4]~37653\ & VCC))
-- \led_flash_cnt[769][5]~37655\ = CARRY((\led_flash_cnt[769][5]~q\ & !\led_flash_cnt[769][4]~37653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[769][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[769][4]~37653\,
	combout => \led_flash_cnt[769][5]~37654_combout\,
	cout => \led_flash_cnt[769][5]~37655\);

-- Location: FF_X34_Y38_N11
\led_flash_cnt[769][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[769][5]~37654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[769][5]~q\);

-- Location: LCCOMB_X34_Y38_N12
\led_flash_cnt[769][6]~37656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[769][6]~37656_combout\ = (\led_flash_cnt[769][6]~q\ & (!\led_flash_cnt[769][5]~37655\)) # (!\led_flash_cnt[769][6]~q\ & ((\led_flash_cnt[769][5]~37655\) # (GND)))
-- \led_flash_cnt[769][6]~37657\ = CARRY((!\led_flash_cnt[769][5]~37655\) # (!\led_flash_cnt[769][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[769][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[769][5]~37655\,
	combout => \led_flash_cnt[769][6]~37656_combout\,
	cout => \led_flash_cnt[769][6]~37657\);

-- Location: FF_X34_Y38_N13
\led_flash_cnt[769][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[769][6]~37656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[769][6]~q\);

-- Location: LCCOMB_X34_Y38_N14
\led_flash_cnt[769][7]~37658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[769][7]~37658_combout\ = \led_flash_cnt[769][7]~q\ $ (!\led_flash_cnt[769][6]~37657\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[769][7]~q\,
	cin => \led_flash_cnt[769][6]~37657\,
	combout => \led_flash_cnt[769][7]~37658_combout\);

-- Location: FF_X34_Y38_N15
\led_flash_cnt[769][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[769][7]~37658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[769][7]~q\);

-- Location: LCCOMB_X34_Y38_N24
\WideAnd769~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd769~1_combout\ = (\led_flash_cnt[769][7]~q\ & \led_flash_cnt[769][3]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[769][7]~q\,
	datad => \led_flash_cnt[769][3]~q\,
	combout => \WideAnd769~1_combout\);

-- Location: LCCOMB_X34_Y38_N18
\WideAnd769~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd769~0_combout\ = (\led_flash_cnt[769][6]~q\ & (\led_flash_cnt[769][1]~q\ & (\led_flash_cnt[769][4]~q\ & \led_flash_cnt[769][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[769][6]~q\,
	datab => \led_flash_cnt[769][1]~q\,
	datac => \led_flash_cnt[769][4]~q\,
	datad => \led_flash_cnt[769][5]~q\,
	combout => \WideAnd769~0_combout\);

-- Location: LCCOMB_X34_Y38_N28
WideAnd769 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd769~combout\ = (\led_flash_cnt[769][0]~q\ & (\WideAnd769~1_combout\ & (\led_flash_cnt[769][2]~q\ & \WideAnd769~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[769][0]~q\,
	datab => \WideAnd769~1_combout\,
	datac => \led_flash_cnt[769][2]~q\,
	datad => \WideAnd769~0_combout\,
	combout => \WideAnd769~combout\);

-- Location: FF_X34_Y38_N29
\led_flash_cnt_ands[769]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd769~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(769));

-- Location: LCCOMB_X31_Y31_N24
\led_flash_cnt[771][0]~81411\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[771][0]~81411_combout\ = !\led_flash_cnt[771][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[771][0]~q\,
	combout => \led_flash_cnt[771][0]~81411_combout\);

-- Location: FF_X31_Y31_N25
\led_flash_cnt[771][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[771][0]~81411_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[771][0]~q\);

-- Location: LCCOMB_X30_Y33_N0
\led_flash_cnt[771][1]~37674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[771][1]~37674_combout\ = (\led_flash_cnt[771][0]~q\ & (\led_flash_cnt[771][1]~q\ $ (VCC))) # (!\led_flash_cnt[771][0]~q\ & (\led_flash_cnt[771][1]~q\ & VCC))
-- \led_flash_cnt[771][1]~37675\ = CARRY((\led_flash_cnt[771][0]~q\ & \led_flash_cnt[771][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[771][0]~q\,
	datab => \led_flash_cnt[771][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[771][1]~37674_combout\,
	cout => \led_flash_cnt[771][1]~37675\);

-- Location: FF_X30_Y33_N1
\led_flash_cnt[771][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[771][1]~37674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[771][1]~q\);

-- Location: LCCOMB_X30_Y33_N2
\led_flash_cnt[771][2]~37676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[771][2]~37676_combout\ = (\led_flash_cnt[771][2]~q\ & (!\led_flash_cnt[771][1]~37675\)) # (!\led_flash_cnt[771][2]~q\ & ((\led_flash_cnt[771][1]~37675\) # (GND)))
-- \led_flash_cnt[771][2]~37677\ = CARRY((!\led_flash_cnt[771][1]~37675\) # (!\led_flash_cnt[771][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[771][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[771][1]~37675\,
	combout => \led_flash_cnt[771][2]~37676_combout\,
	cout => \led_flash_cnt[771][2]~37677\);

-- Location: FF_X30_Y33_N3
\led_flash_cnt[771][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[771][2]~37676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[771][2]~q\);

-- Location: LCCOMB_X30_Y33_N4
\led_flash_cnt[771][3]~37678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[771][3]~37678_combout\ = (\led_flash_cnt[771][3]~q\ & (\led_flash_cnt[771][2]~37677\ $ (GND))) # (!\led_flash_cnt[771][3]~q\ & (!\led_flash_cnt[771][2]~37677\ & VCC))
-- \led_flash_cnt[771][3]~37679\ = CARRY((\led_flash_cnt[771][3]~q\ & !\led_flash_cnt[771][2]~37677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[771][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[771][2]~37677\,
	combout => \led_flash_cnt[771][3]~37678_combout\,
	cout => \led_flash_cnt[771][3]~37679\);

-- Location: FF_X30_Y33_N5
\led_flash_cnt[771][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[771][3]~37678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[771][3]~q\);

-- Location: LCCOMB_X30_Y33_N6
\led_flash_cnt[771][4]~37680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[771][4]~37680_combout\ = (\led_flash_cnt[771][4]~q\ & (!\led_flash_cnt[771][3]~37679\)) # (!\led_flash_cnt[771][4]~q\ & ((\led_flash_cnt[771][3]~37679\) # (GND)))
-- \led_flash_cnt[771][4]~37681\ = CARRY((!\led_flash_cnt[771][3]~37679\) # (!\led_flash_cnt[771][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[771][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[771][3]~37679\,
	combout => \led_flash_cnt[771][4]~37680_combout\,
	cout => \led_flash_cnt[771][4]~37681\);

-- Location: FF_X30_Y33_N7
\led_flash_cnt[771][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[771][4]~37680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[771][4]~q\);

-- Location: LCCOMB_X30_Y33_N30
\WideAnd771~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd771~0_combout\ = (\led_flash_cnt[771][4]~q\ & (\led_flash_cnt[771][2]~q\ & (\led_flash_cnt[771][3]~q\ & \led_flash_cnt[771][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[771][4]~q\,
	datab => \led_flash_cnt[771][2]~q\,
	datac => \led_flash_cnt[771][3]~q\,
	datad => \led_flash_cnt[771][1]~q\,
	combout => \WideAnd771~0_combout\);

-- Location: LCCOMB_X30_Y33_N8
\led_flash_cnt[771][5]~37682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[771][5]~37682_combout\ = (\led_flash_cnt[771][5]~q\ & (\led_flash_cnt[771][4]~37681\ $ (GND))) # (!\led_flash_cnt[771][5]~q\ & (!\led_flash_cnt[771][4]~37681\ & VCC))
-- \led_flash_cnt[771][5]~37683\ = CARRY((\led_flash_cnt[771][5]~q\ & !\led_flash_cnt[771][4]~37681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[771][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[771][4]~37681\,
	combout => \led_flash_cnt[771][5]~37682_combout\,
	cout => \led_flash_cnt[771][5]~37683\);

-- Location: FF_X30_Y33_N9
\led_flash_cnt[771][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[771][5]~37682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[771][5]~q\);

-- Location: LCCOMB_X30_Y33_N10
\led_flash_cnt[771][6]~37684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[771][6]~37684_combout\ = (\led_flash_cnt[771][6]~q\ & (!\led_flash_cnt[771][5]~37683\)) # (!\led_flash_cnt[771][6]~q\ & ((\led_flash_cnt[771][5]~37683\) # (GND)))
-- \led_flash_cnt[771][6]~37685\ = CARRY((!\led_flash_cnt[771][5]~37683\) # (!\led_flash_cnt[771][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[771][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[771][5]~37683\,
	combout => \led_flash_cnt[771][6]~37684_combout\,
	cout => \led_flash_cnt[771][6]~37685\);

-- Location: FF_X30_Y33_N11
\led_flash_cnt[771][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[771][6]~37684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[771][6]~q\);

-- Location: LCCOMB_X31_Y33_N28
\WideAnd771~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd771~1_combout\ = (\led_flash_cnt[771][6]~q\ & \led_flash_cnt[771][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[771][6]~q\,
	datad => \led_flash_cnt[771][5]~q\,
	combout => \WideAnd771~1_combout\);

-- Location: LCCOMB_X30_Y33_N12
\led_flash_cnt[771][7]~37686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[771][7]~37686_combout\ = \led_flash_cnt[771][6]~37685\ $ (!\led_flash_cnt[771][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[771][7]~q\,
	cin => \led_flash_cnt[771][6]~37685\,
	combout => \led_flash_cnt[771][7]~37686_combout\);

-- Location: FF_X30_Y33_N13
\led_flash_cnt[771][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[771][7]~37686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[771][7]~q\);

-- Location: LCCOMB_X30_Y33_N14
WideAnd771 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd771~combout\ = (\WideAnd771~0_combout\ & (\WideAnd771~1_combout\ & (\led_flash_cnt[771][0]~q\ & \led_flash_cnt[771][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd771~0_combout\,
	datab => \WideAnd771~1_combout\,
	datac => \led_flash_cnt[771][0]~q\,
	datad => \led_flash_cnt[771][7]~q\,
	combout => \WideAnd771~combout\);

-- Location: FF_X29_Y36_N1
\led_flash_cnt_ands[771]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd771~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(771));

-- Location: LCCOMB_X25_Y17_N2
\led_flash_cnt[770][0]~81410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[770][0]~81410_combout\ = !\led_flash_cnt[770][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[770][0]~q\,
	combout => \led_flash_cnt[770][0]~81410_combout\);

-- Location: FF_X25_Y17_N3
\led_flash_cnt[770][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[770][0]~81410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[770][0]~q\);

-- Location: LCCOMB_X24_Y17_N18
\led_flash_cnt[770][1]~37660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[770][1]~37660_combout\ = (\led_flash_cnt[770][0]~q\ & (\led_flash_cnt[770][1]~q\ $ (VCC))) # (!\led_flash_cnt[770][0]~q\ & (\led_flash_cnt[770][1]~q\ & VCC))
-- \led_flash_cnt[770][1]~37661\ = CARRY((\led_flash_cnt[770][0]~q\ & \led_flash_cnt[770][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[770][0]~q\,
	datab => \led_flash_cnt[770][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[770][1]~37660_combout\,
	cout => \led_flash_cnt[770][1]~37661\);

-- Location: FF_X24_Y17_N19
\led_flash_cnt[770][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[770][1]~37660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[770][1]~q\);

-- Location: LCCOMB_X24_Y17_N20
\led_flash_cnt[770][2]~37662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[770][2]~37662_combout\ = (\led_flash_cnt[770][2]~q\ & (!\led_flash_cnt[770][1]~37661\)) # (!\led_flash_cnt[770][2]~q\ & ((\led_flash_cnt[770][1]~37661\) # (GND)))
-- \led_flash_cnt[770][2]~37663\ = CARRY((!\led_flash_cnt[770][1]~37661\) # (!\led_flash_cnt[770][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[770][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[770][1]~37661\,
	combout => \led_flash_cnt[770][2]~37662_combout\,
	cout => \led_flash_cnt[770][2]~37663\);

-- Location: FF_X24_Y17_N21
\led_flash_cnt[770][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[770][2]~37662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[770][2]~q\);

-- Location: LCCOMB_X24_Y17_N22
\led_flash_cnt[770][3]~37664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[770][3]~37664_combout\ = (\led_flash_cnt[770][3]~q\ & (\led_flash_cnt[770][2]~37663\ $ (GND))) # (!\led_flash_cnt[770][3]~q\ & (!\led_flash_cnt[770][2]~37663\ & VCC))
-- \led_flash_cnt[770][3]~37665\ = CARRY((\led_flash_cnt[770][3]~q\ & !\led_flash_cnt[770][2]~37663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[770][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[770][2]~37663\,
	combout => \led_flash_cnt[770][3]~37664_combout\,
	cout => \led_flash_cnt[770][3]~37665\);

-- Location: FF_X24_Y17_N23
\led_flash_cnt[770][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[770][3]~37664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[770][3]~q\);

-- Location: LCCOMB_X24_Y17_N24
\led_flash_cnt[770][4]~37666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[770][4]~37666_combout\ = (\led_flash_cnt[770][4]~q\ & (!\led_flash_cnt[770][3]~37665\)) # (!\led_flash_cnt[770][4]~q\ & ((\led_flash_cnt[770][3]~37665\) # (GND)))
-- \led_flash_cnt[770][4]~37667\ = CARRY((!\led_flash_cnt[770][3]~37665\) # (!\led_flash_cnt[770][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[770][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[770][3]~37665\,
	combout => \led_flash_cnt[770][4]~37666_combout\,
	cout => \led_flash_cnt[770][4]~37667\);

-- Location: FF_X24_Y17_N25
\led_flash_cnt[770][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[770][4]~37666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[770][4]~q\);

-- Location: LCCOMB_X24_Y17_N26
\led_flash_cnt[770][5]~37668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[770][5]~37668_combout\ = (\led_flash_cnt[770][5]~q\ & (\led_flash_cnt[770][4]~37667\ $ (GND))) # (!\led_flash_cnt[770][5]~q\ & (!\led_flash_cnt[770][4]~37667\ & VCC))
-- \led_flash_cnt[770][5]~37669\ = CARRY((\led_flash_cnt[770][5]~q\ & !\led_flash_cnt[770][4]~37667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[770][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[770][4]~37667\,
	combout => \led_flash_cnt[770][5]~37668_combout\,
	cout => \led_flash_cnt[770][5]~37669\);

-- Location: FF_X24_Y17_N27
\led_flash_cnt[770][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[770][5]~37668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[770][5]~q\);

-- Location: LCCOMB_X24_Y17_N28
\led_flash_cnt[770][6]~37670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[770][6]~37670_combout\ = (\led_flash_cnt[770][6]~q\ & (!\led_flash_cnt[770][5]~37669\)) # (!\led_flash_cnt[770][6]~q\ & ((\led_flash_cnt[770][5]~37669\) # (GND)))
-- \led_flash_cnt[770][6]~37671\ = CARRY((!\led_flash_cnt[770][5]~37669\) # (!\led_flash_cnt[770][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[770][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[770][5]~37669\,
	combout => \led_flash_cnt[770][6]~37670_combout\,
	cout => \led_flash_cnt[770][6]~37671\);

-- Location: FF_X24_Y17_N29
\led_flash_cnt[770][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[770][6]~37670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[770][6]~q\);

-- Location: LCCOMB_X25_Y17_N26
\WideAnd770~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd770~1_combout\ = (\led_flash_cnt[770][5]~q\ & \led_flash_cnt[770][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[770][5]~q\,
	datad => \led_flash_cnt[770][6]~q\,
	combout => \WideAnd770~1_combout\);

-- Location: LCCOMB_X24_Y17_N30
\led_flash_cnt[770][7]~37672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[770][7]~37672_combout\ = \led_flash_cnt[770][7]~q\ $ (!\led_flash_cnt[770][6]~37671\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[770][7]~q\,
	cin => \led_flash_cnt[770][6]~37671\,
	combout => \led_flash_cnt[770][7]~37672_combout\);

-- Location: FF_X24_Y17_N31
\led_flash_cnt[770][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[770][7]~37672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[770][7]~q\);

-- Location: LCCOMB_X24_Y17_N0
\WideAnd770~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd770~0_combout\ = (\led_flash_cnt[770][2]~q\ & (\led_flash_cnt[770][4]~q\ & (\led_flash_cnt[770][3]~q\ & \led_flash_cnt[770][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[770][2]~q\,
	datab => \led_flash_cnt[770][4]~q\,
	datac => \led_flash_cnt[770][3]~q\,
	datad => \led_flash_cnt[770][1]~q\,
	combout => \WideAnd770~0_combout\);

-- Location: LCCOMB_X25_Y17_N4
WideAnd770 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd770~combout\ = (\WideAnd770~1_combout\ & (\led_flash_cnt[770][7]~q\ & (\WideAnd770~0_combout\ & \led_flash_cnt[770][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd770~1_combout\,
	datab => \led_flash_cnt[770][7]~q\,
	datac => \WideAnd770~0_combout\,
	datad => \led_flash_cnt[770][0]~q\,
	combout => \WideAnd770~combout\);

-- Location: FF_X25_Y17_N5
\led_flash_cnt_ands[770]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd770~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(770));

-- Location: LCCOMB_X29_Y36_N0
\WideAnd3936~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3936~0_combout\ = (led_flash_cnt_ands(768) & (led_flash_cnt_ands(769) & (led_flash_cnt_ands(771) & led_flash_cnt_ands(770))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(768),
	datab => led_flash_cnt_ands(769),
	datac => led_flash_cnt_ands(771),
	datad => led_flash_cnt_ands(770),
	combout => \WideAnd3936~0_combout\);

-- Location: LCCOMB_X38_Y38_N30
\led_flash_cnt[772][0]~81412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[772][0]~81412_combout\ = !\led_flash_cnt[772][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[772][0]~q\,
	combout => \led_flash_cnt[772][0]~81412_combout\);

-- Location: FF_X38_Y38_N31
\led_flash_cnt[772][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[772][0]~81412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[772][0]~q\);

-- Location: LCCOMB_X37_Y38_N2
\led_flash_cnt[772][1]~37688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[772][1]~37688_combout\ = (\led_flash_cnt[772][0]~q\ & (\led_flash_cnt[772][1]~q\ $ (VCC))) # (!\led_flash_cnt[772][0]~q\ & (\led_flash_cnt[772][1]~q\ & VCC))
-- \led_flash_cnt[772][1]~37689\ = CARRY((\led_flash_cnt[772][0]~q\ & \led_flash_cnt[772][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[772][0]~q\,
	datab => \led_flash_cnt[772][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[772][1]~37688_combout\,
	cout => \led_flash_cnt[772][1]~37689\);

-- Location: FF_X37_Y38_N3
\led_flash_cnt[772][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[772][1]~37688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[772][1]~q\);

-- Location: LCCOMB_X37_Y38_N4
\led_flash_cnt[772][2]~37690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[772][2]~37690_combout\ = (\led_flash_cnt[772][2]~q\ & (!\led_flash_cnt[772][1]~37689\)) # (!\led_flash_cnt[772][2]~q\ & ((\led_flash_cnt[772][1]~37689\) # (GND)))
-- \led_flash_cnt[772][2]~37691\ = CARRY((!\led_flash_cnt[772][1]~37689\) # (!\led_flash_cnt[772][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[772][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[772][1]~37689\,
	combout => \led_flash_cnt[772][2]~37690_combout\,
	cout => \led_flash_cnt[772][2]~37691\);

-- Location: FF_X37_Y38_N5
\led_flash_cnt[772][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[772][2]~37690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[772][2]~q\);

-- Location: LCCOMB_X37_Y38_N6
\led_flash_cnt[772][3]~37692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[772][3]~37692_combout\ = (\led_flash_cnt[772][3]~q\ & (\led_flash_cnt[772][2]~37691\ $ (GND))) # (!\led_flash_cnt[772][3]~q\ & (!\led_flash_cnt[772][2]~37691\ & VCC))
-- \led_flash_cnt[772][3]~37693\ = CARRY((\led_flash_cnt[772][3]~q\ & !\led_flash_cnt[772][2]~37691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[772][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[772][2]~37691\,
	combout => \led_flash_cnt[772][3]~37692_combout\,
	cout => \led_flash_cnt[772][3]~37693\);

-- Location: FF_X37_Y38_N7
\led_flash_cnt[772][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[772][3]~37692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[772][3]~q\);

-- Location: LCCOMB_X37_Y38_N8
\led_flash_cnt[772][4]~37694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[772][4]~37694_combout\ = (\led_flash_cnt[772][4]~q\ & (!\led_flash_cnt[772][3]~37693\)) # (!\led_flash_cnt[772][4]~q\ & ((\led_flash_cnt[772][3]~37693\) # (GND)))
-- \led_flash_cnt[772][4]~37695\ = CARRY((!\led_flash_cnt[772][3]~37693\) # (!\led_flash_cnt[772][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[772][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[772][3]~37693\,
	combout => \led_flash_cnt[772][4]~37694_combout\,
	cout => \led_flash_cnt[772][4]~37695\);

-- Location: FF_X37_Y38_N9
\led_flash_cnt[772][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[772][4]~37694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[772][4]~q\);

-- Location: LCCOMB_X37_Y38_N0
\WideAnd772~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd772~0_combout\ = (\led_flash_cnt[772][3]~q\ & (\led_flash_cnt[772][4]~q\ & (\led_flash_cnt[772][2]~q\ & \led_flash_cnt[772][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[772][3]~q\,
	datab => \led_flash_cnt[772][4]~q\,
	datac => \led_flash_cnt[772][2]~q\,
	datad => \led_flash_cnt[772][1]~q\,
	combout => \WideAnd772~0_combout\);

-- Location: LCCOMB_X37_Y38_N10
\led_flash_cnt[772][5]~37696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[772][5]~37696_combout\ = (\led_flash_cnt[772][5]~q\ & (\led_flash_cnt[772][4]~37695\ $ (GND))) # (!\led_flash_cnt[772][5]~q\ & (!\led_flash_cnt[772][4]~37695\ & VCC))
-- \led_flash_cnt[772][5]~37697\ = CARRY((\led_flash_cnt[772][5]~q\ & !\led_flash_cnt[772][4]~37695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[772][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[772][4]~37695\,
	combout => \led_flash_cnt[772][5]~37696_combout\,
	cout => \led_flash_cnt[772][5]~37697\);

-- Location: FF_X37_Y38_N11
\led_flash_cnt[772][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[772][5]~37696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[772][5]~q\);

-- Location: LCCOMB_X37_Y38_N12
\led_flash_cnt[772][6]~37698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[772][6]~37698_combout\ = (\led_flash_cnt[772][6]~q\ & (!\led_flash_cnt[772][5]~37697\)) # (!\led_flash_cnt[772][6]~q\ & ((\led_flash_cnt[772][5]~37697\) # (GND)))
-- \led_flash_cnt[772][6]~37699\ = CARRY((!\led_flash_cnt[772][5]~37697\) # (!\led_flash_cnt[772][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[772][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[772][5]~37697\,
	combout => \led_flash_cnt[772][6]~37698_combout\,
	cout => \led_flash_cnt[772][6]~37699\);

-- Location: FF_X37_Y38_N13
\led_flash_cnt[772][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[772][6]~37698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[772][6]~q\);

-- Location: LCCOMB_X37_Y38_N14
\led_flash_cnt[772][7]~37700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[772][7]~37700_combout\ = \led_flash_cnt[772][7]~q\ $ (!\led_flash_cnt[772][6]~37699\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[772][7]~q\,
	cin => \led_flash_cnt[772][6]~37699\,
	combout => \led_flash_cnt[772][7]~37700_combout\);

-- Location: FF_X37_Y38_N15
\led_flash_cnt[772][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[772][7]~37700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[772][7]~q\);

-- Location: LCCOMB_X36_Y38_N20
\WideAnd772~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd772~1_combout\ = (\led_flash_cnt[772][6]~q\ & \led_flash_cnt[772][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[772][6]~q\,
	datac => \led_flash_cnt[772][5]~q\,
	combout => \WideAnd772~1_combout\);

-- Location: LCCOMB_X36_Y38_N30
WideAnd772 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd772~combout\ = (\led_flash_cnt[772][0]~q\ & (\WideAnd772~0_combout\ & (\led_flash_cnt[772][7]~q\ & \WideAnd772~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[772][0]~q\,
	datab => \WideAnd772~0_combout\,
	datac => \led_flash_cnt[772][7]~q\,
	datad => \WideAnd772~1_combout\,
	combout => \WideAnd772~combout\);

-- Location: FF_X36_Y38_N31
\led_flash_cnt_ands[772]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd772~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(772));

-- Location: LCCOMB_X46_Y48_N2
\led_flash_cnt[773][0]~81413\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[773][0]~81413_combout\ = !\led_flash_cnt[773][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[773][0]~q\,
	combout => \led_flash_cnt[773][0]~81413_combout\);

-- Location: FF_X46_Y48_N3
\led_flash_cnt[773][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[773][0]~81413_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[773][0]~q\);

-- Location: LCCOMB_X45_Y48_N16
\led_flash_cnt[773][1]~37702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[773][1]~37702_combout\ = (\led_flash_cnt[773][0]~q\ & (\led_flash_cnt[773][1]~q\ $ (VCC))) # (!\led_flash_cnt[773][0]~q\ & (\led_flash_cnt[773][1]~q\ & VCC))
-- \led_flash_cnt[773][1]~37703\ = CARRY((\led_flash_cnt[773][0]~q\ & \led_flash_cnt[773][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[773][0]~q\,
	datab => \led_flash_cnt[773][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[773][1]~37702_combout\,
	cout => \led_flash_cnt[773][1]~37703\);

-- Location: FF_X45_Y48_N17
\led_flash_cnt[773][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[773][1]~37702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[773][1]~q\);

-- Location: LCCOMB_X45_Y48_N18
\led_flash_cnt[773][2]~37704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[773][2]~37704_combout\ = (\led_flash_cnt[773][2]~q\ & (!\led_flash_cnt[773][1]~37703\)) # (!\led_flash_cnt[773][2]~q\ & ((\led_flash_cnt[773][1]~37703\) # (GND)))
-- \led_flash_cnt[773][2]~37705\ = CARRY((!\led_flash_cnt[773][1]~37703\) # (!\led_flash_cnt[773][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[773][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[773][1]~37703\,
	combout => \led_flash_cnt[773][2]~37704_combout\,
	cout => \led_flash_cnt[773][2]~37705\);

-- Location: FF_X45_Y48_N19
\led_flash_cnt[773][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[773][2]~37704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[773][2]~q\);

-- Location: LCCOMB_X45_Y48_N20
\led_flash_cnt[773][3]~37706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[773][3]~37706_combout\ = (\led_flash_cnt[773][3]~q\ & (\led_flash_cnt[773][2]~37705\ $ (GND))) # (!\led_flash_cnt[773][3]~q\ & (!\led_flash_cnt[773][2]~37705\ & VCC))
-- \led_flash_cnt[773][3]~37707\ = CARRY((\led_flash_cnt[773][3]~q\ & !\led_flash_cnt[773][2]~37705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[773][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[773][2]~37705\,
	combout => \led_flash_cnt[773][3]~37706_combout\,
	cout => \led_flash_cnt[773][3]~37707\);

-- Location: FF_X45_Y48_N21
\led_flash_cnt[773][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[773][3]~37706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[773][3]~q\);

-- Location: LCCOMB_X45_Y48_N22
\led_flash_cnt[773][4]~37708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[773][4]~37708_combout\ = (\led_flash_cnt[773][4]~q\ & (!\led_flash_cnt[773][3]~37707\)) # (!\led_flash_cnt[773][4]~q\ & ((\led_flash_cnt[773][3]~37707\) # (GND)))
-- \led_flash_cnt[773][4]~37709\ = CARRY((!\led_flash_cnt[773][3]~37707\) # (!\led_flash_cnt[773][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[773][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[773][3]~37707\,
	combout => \led_flash_cnt[773][4]~37708_combout\,
	cout => \led_flash_cnt[773][4]~37709\);

-- Location: FF_X45_Y48_N23
\led_flash_cnt[773][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[773][4]~37708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[773][4]~q\);

-- Location: LCCOMB_X45_Y48_N14
\WideAnd773~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd773~0_combout\ = (\led_flash_cnt[773][3]~q\ & (\led_flash_cnt[773][2]~q\ & (\led_flash_cnt[773][4]~q\ & \led_flash_cnt[773][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[773][3]~q\,
	datab => \led_flash_cnt[773][2]~q\,
	datac => \led_flash_cnt[773][4]~q\,
	datad => \led_flash_cnt[773][1]~q\,
	combout => \WideAnd773~0_combout\);

-- Location: LCCOMB_X45_Y48_N24
\led_flash_cnt[773][5]~37710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[773][5]~37710_combout\ = (\led_flash_cnt[773][5]~q\ & (\led_flash_cnt[773][4]~37709\ $ (GND))) # (!\led_flash_cnt[773][5]~q\ & (!\led_flash_cnt[773][4]~37709\ & VCC))
-- \led_flash_cnt[773][5]~37711\ = CARRY((\led_flash_cnt[773][5]~q\ & !\led_flash_cnt[773][4]~37709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[773][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[773][4]~37709\,
	combout => \led_flash_cnt[773][5]~37710_combout\,
	cout => \led_flash_cnt[773][5]~37711\);

-- Location: FF_X45_Y48_N25
\led_flash_cnt[773][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[773][5]~37710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[773][5]~q\);

-- Location: LCCOMB_X45_Y48_N26
\led_flash_cnt[773][6]~37712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[773][6]~37712_combout\ = (\led_flash_cnt[773][6]~q\ & (!\led_flash_cnt[773][5]~37711\)) # (!\led_flash_cnt[773][6]~q\ & ((\led_flash_cnt[773][5]~37711\) # (GND)))
-- \led_flash_cnt[773][6]~37713\ = CARRY((!\led_flash_cnt[773][5]~37711\) # (!\led_flash_cnt[773][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[773][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[773][5]~37711\,
	combout => \led_flash_cnt[773][6]~37712_combout\,
	cout => \led_flash_cnt[773][6]~37713\);

-- Location: FF_X45_Y48_N27
\led_flash_cnt[773][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[773][6]~37712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[773][6]~q\);

-- Location: LCCOMB_X45_Y48_N28
\led_flash_cnt[773][7]~37714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[773][7]~37714_combout\ = \led_flash_cnt[773][6]~37713\ $ (!\led_flash_cnt[773][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[773][7]~q\,
	cin => \led_flash_cnt[773][6]~37713\,
	combout => \led_flash_cnt[773][7]~37714_combout\);

-- Location: FF_X45_Y48_N29
\led_flash_cnt[773][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[773][7]~37714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[773][7]~q\);

-- Location: LCCOMB_X46_Y48_N4
\WideAnd773~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd773~1_combout\ = (\led_flash_cnt[773][6]~q\ & \led_flash_cnt[773][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[773][6]~q\,
	datad => \led_flash_cnt[773][5]~q\,
	combout => \WideAnd773~1_combout\);

-- Location: LCCOMB_X46_Y48_N8
WideAnd773 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd773~combout\ = (\WideAnd773~0_combout\ & (\led_flash_cnt[773][7]~q\ & (\WideAnd773~1_combout\ & \led_flash_cnt[773][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd773~0_combout\,
	datab => \led_flash_cnt[773][7]~q\,
	datac => \WideAnd773~1_combout\,
	datad => \led_flash_cnt[773][0]~q\,
	combout => \WideAnd773~combout\);

-- Location: FF_X46_Y48_N9
\led_flash_cnt_ands[773]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd773~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(773));

-- Location: LCCOMB_X36_Y37_N28
\WideAnd3936~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3936~1_combout\ = (led_flash_cnt_ands(772) & led_flash_cnt_ands(773))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(772),
	datad => led_flash_cnt_ands(773),
	combout => \WideAnd3936~1_combout\);

-- Location: LCCOMB_X26_Y36_N2
\led_flash_cnt[774][0]~81414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[774][0]~81414_combout\ = !\led_flash_cnt[774][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[774][0]~q\,
	combout => \led_flash_cnt[774][0]~81414_combout\);

-- Location: FF_X26_Y36_N3
\led_flash_cnt[774][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[774][0]~81414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[774][0]~q\);

-- Location: LCCOMB_X25_Y36_N2
\led_flash_cnt[774][1]~37716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[774][1]~37716_combout\ = (\led_flash_cnt[774][0]~q\ & (\led_flash_cnt[774][1]~q\ $ (VCC))) # (!\led_flash_cnt[774][0]~q\ & (\led_flash_cnt[774][1]~q\ & VCC))
-- \led_flash_cnt[774][1]~37717\ = CARRY((\led_flash_cnt[774][0]~q\ & \led_flash_cnt[774][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[774][0]~q\,
	datab => \led_flash_cnt[774][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[774][1]~37716_combout\,
	cout => \led_flash_cnt[774][1]~37717\);

-- Location: FF_X25_Y36_N3
\led_flash_cnt[774][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[774][1]~37716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[774][1]~q\);

-- Location: LCCOMB_X25_Y36_N4
\led_flash_cnt[774][2]~37718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[774][2]~37718_combout\ = (\led_flash_cnt[774][2]~q\ & (!\led_flash_cnt[774][1]~37717\)) # (!\led_flash_cnt[774][2]~q\ & ((\led_flash_cnt[774][1]~37717\) # (GND)))
-- \led_flash_cnt[774][2]~37719\ = CARRY((!\led_flash_cnt[774][1]~37717\) # (!\led_flash_cnt[774][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[774][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[774][1]~37717\,
	combout => \led_flash_cnt[774][2]~37718_combout\,
	cout => \led_flash_cnt[774][2]~37719\);

-- Location: FF_X25_Y36_N5
\led_flash_cnt[774][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[774][2]~37718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[774][2]~q\);

-- Location: LCCOMB_X25_Y36_N6
\led_flash_cnt[774][3]~37720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[774][3]~37720_combout\ = (\led_flash_cnt[774][3]~q\ & (\led_flash_cnt[774][2]~37719\ $ (GND))) # (!\led_flash_cnt[774][3]~q\ & (!\led_flash_cnt[774][2]~37719\ & VCC))
-- \led_flash_cnt[774][3]~37721\ = CARRY((\led_flash_cnt[774][3]~q\ & !\led_flash_cnt[774][2]~37719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[774][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[774][2]~37719\,
	combout => \led_flash_cnt[774][3]~37720_combout\,
	cout => \led_flash_cnt[774][3]~37721\);

-- Location: FF_X25_Y36_N7
\led_flash_cnt[774][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[774][3]~37720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[774][3]~q\);

-- Location: LCCOMB_X25_Y36_N8
\led_flash_cnt[774][4]~37722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[774][4]~37722_combout\ = (\led_flash_cnt[774][4]~q\ & (!\led_flash_cnt[774][3]~37721\)) # (!\led_flash_cnt[774][4]~q\ & ((\led_flash_cnt[774][3]~37721\) # (GND)))
-- \led_flash_cnt[774][4]~37723\ = CARRY((!\led_flash_cnt[774][3]~37721\) # (!\led_flash_cnt[774][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[774][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[774][3]~37721\,
	combout => \led_flash_cnt[774][4]~37722_combout\,
	cout => \led_flash_cnt[774][4]~37723\);

-- Location: FF_X25_Y36_N9
\led_flash_cnt[774][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[774][4]~37722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[774][4]~q\);

-- Location: LCCOMB_X25_Y36_N10
\led_flash_cnt[774][5]~37724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[774][5]~37724_combout\ = (\led_flash_cnt[774][5]~q\ & (\led_flash_cnt[774][4]~37723\ $ (GND))) # (!\led_flash_cnt[774][5]~q\ & (!\led_flash_cnt[774][4]~37723\ & VCC))
-- \led_flash_cnt[774][5]~37725\ = CARRY((\led_flash_cnt[774][5]~q\ & !\led_flash_cnt[774][4]~37723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[774][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[774][4]~37723\,
	combout => \led_flash_cnt[774][5]~37724_combout\,
	cout => \led_flash_cnt[774][5]~37725\);

-- Location: FF_X25_Y36_N11
\led_flash_cnt[774][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[774][5]~37724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[774][5]~q\);

-- Location: LCCOMB_X25_Y36_N12
\led_flash_cnt[774][6]~37726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[774][6]~37726_combout\ = (\led_flash_cnt[774][6]~q\ & (!\led_flash_cnt[774][5]~37725\)) # (!\led_flash_cnt[774][6]~q\ & ((\led_flash_cnt[774][5]~37725\) # (GND)))
-- \led_flash_cnt[774][6]~37727\ = CARRY((!\led_flash_cnt[774][5]~37725\) # (!\led_flash_cnt[774][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[774][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[774][5]~37725\,
	combout => \led_flash_cnt[774][6]~37726_combout\,
	cout => \led_flash_cnt[774][6]~37727\);

-- Location: FF_X25_Y36_N13
\led_flash_cnt[774][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[774][6]~37726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[774][6]~q\);

-- Location: LCCOMB_X25_Y36_N14
\led_flash_cnt[774][7]~37728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[774][7]~37728_combout\ = \led_flash_cnt[774][7]~q\ $ (!\led_flash_cnt[774][6]~37727\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[774][7]~q\,
	cin => \led_flash_cnt[774][6]~37727\,
	combout => \led_flash_cnt[774][7]~37728_combout\);

-- Location: FF_X25_Y36_N15
\led_flash_cnt[774][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[774][7]~37728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[774][7]~q\);

-- Location: LCCOMB_X25_Y36_N16
\WideAnd774~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd774~0_combout\ = (\led_flash_cnt[774][3]~q\ & (\led_flash_cnt[774][4]~q\ & (\led_flash_cnt[774][2]~q\ & \led_flash_cnt[774][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[774][3]~q\,
	datab => \led_flash_cnt[774][4]~q\,
	datac => \led_flash_cnt[774][2]~q\,
	datad => \led_flash_cnt[774][1]~q\,
	combout => \WideAnd774~0_combout\);

-- Location: LCCOMB_X26_Y36_N6
\WideAnd774~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd774~1_combout\ = (\led_flash_cnt[774][6]~q\ & \led_flash_cnt[774][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[774][6]~q\,
	datad => \led_flash_cnt[774][5]~q\,
	combout => \WideAnd774~1_combout\);

-- Location: LCCOMB_X26_Y36_N24
WideAnd774 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd774~combout\ = (\led_flash_cnt[774][7]~q\ & (\led_flash_cnt[774][0]~q\ & (\WideAnd774~0_combout\ & \WideAnd774~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[774][7]~q\,
	datab => \led_flash_cnt[774][0]~q\,
	datac => \WideAnd774~0_combout\,
	datad => \WideAnd774~1_combout\,
	combout => \WideAnd774~combout\);

-- Location: FF_X26_Y36_N25
\led_flash_cnt_ands[774]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd774~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(774));

-- Location: LCCOMB_X26_Y36_N28
WideAnd3936 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3936~combout\ = (led_flash_cnt_ands(775) & (\WideAnd3936~0_combout\ & (\WideAnd3936~1_combout\ & led_flash_cnt_ands(774))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(775),
	datab => \WideAnd3936~0_combout\,
	datac => \WideAnd3936~1_combout\,
	datad => led_flash_cnt_ands(774),
	combout => \WideAnd3936~combout\);

-- Location: FF_X26_Y36_N29
\led_flash_cnt_ands_1[96]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3936~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(96));

-- Location: LCCOMB_X11_Y30_N8
\led_flash_cnt[786][0]~81426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[786][0]~81426_combout\ = !\led_flash_cnt[786][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[786][0]~q\,
	combout => \led_flash_cnt[786][0]~81426_combout\);

-- Location: FF_X11_Y30_N9
\led_flash_cnt[786][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[786][0]~81426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[786][0]~q\);

-- Location: LCCOMB_X13_Y30_N14
\led_flash_cnt[786][1]~37884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[786][1]~37884_combout\ = (\led_flash_cnt[786][0]~q\ & (\led_flash_cnt[786][1]~q\ $ (VCC))) # (!\led_flash_cnt[786][0]~q\ & (\led_flash_cnt[786][1]~q\ & VCC))
-- \led_flash_cnt[786][1]~37885\ = CARRY((\led_flash_cnt[786][0]~q\ & \led_flash_cnt[786][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[786][0]~q\,
	datab => \led_flash_cnt[786][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[786][1]~37884_combout\,
	cout => \led_flash_cnt[786][1]~37885\);

-- Location: FF_X13_Y30_N15
\led_flash_cnt[786][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[786][1]~37884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[786][1]~q\);

-- Location: LCCOMB_X13_Y30_N16
\led_flash_cnt[786][2]~37886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[786][2]~37886_combout\ = (\led_flash_cnt[786][2]~q\ & (!\led_flash_cnt[786][1]~37885\)) # (!\led_flash_cnt[786][2]~q\ & ((\led_flash_cnt[786][1]~37885\) # (GND)))
-- \led_flash_cnt[786][2]~37887\ = CARRY((!\led_flash_cnt[786][1]~37885\) # (!\led_flash_cnt[786][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[786][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[786][1]~37885\,
	combout => \led_flash_cnt[786][2]~37886_combout\,
	cout => \led_flash_cnt[786][2]~37887\);

-- Location: FF_X13_Y30_N17
\led_flash_cnt[786][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[786][2]~37886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[786][2]~q\);

-- Location: LCCOMB_X13_Y30_N18
\led_flash_cnt[786][3]~37888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[786][3]~37888_combout\ = (\led_flash_cnt[786][3]~q\ & (\led_flash_cnt[786][2]~37887\ $ (GND))) # (!\led_flash_cnt[786][3]~q\ & (!\led_flash_cnt[786][2]~37887\ & VCC))
-- \led_flash_cnt[786][3]~37889\ = CARRY((\led_flash_cnt[786][3]~q\ & !\led_flash_cnt[786][2]~37887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[786][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[786][2]~37887\,
	combout => \led_flash_cnt[786][3]~37888_combout\,
	cout => \led_flash_cnt[786][3]~37889\);

-- Location: FF_X13_Y30_N19
\led_flash_cnt[786][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[786][3]~37888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[786][3]~q\);

-- Location: LCCOMB_X13_Y30_N20
\led_flash_cnt[786][4]~37890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[786][4]~37890_combout\ = (\led_flash_cnt[786][4]~q\ & (!\led_flash_cnt[786][3]~37889\)) # (!\led_flash_cnt[786][4]~q\ & ((\led_flash_cnt[786][3]~37889\) # (GND)))
-- \led_flash_cnt[786][4]~37891\ = CARRY((!\led_flash_cnt[786][3]~37889\) # (!\led_flash_cnt[786][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[786][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[786][3]~37889\,
	combout => \led_flash_cnt[786][4]~37890_combout\,
	cout => \led_flash_cnt[786][4]~37891\);

-- Location: FF_X13_Y30_N21
\led_flash_cnt[786][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[786][4]~37890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[786][4]~q\);

-- Location: LCCOMB_X13_Y30_N22
\led_flash_cnt[786][5]~37892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[786][5]~37892_combout\ = (\led_flash_cnt[786][5]~q\ & (\led_flash_cnt[786][4]~37891\ $ (GND))) # (!\led_flash_cnt[786][5]~q\ & (!\led_flash_cnt[786][4]~37891\ & VCC))
-- \led_flash_cnt[786][5]~37893\ = CARRY((\led_flash_cnt[786][5]~q\ & !\led_flash_cnt[786][4]~37891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[786][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[786][4]~37891\,
	combout => \led_flash_cnt[786][5]~37892_combout\,
	cout => \led_flash_cnt[786][5]~37893\);

-- Location: FF_X13_Y30_N23
\led_flash_cnt[786][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[786][5]~37892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[786][5]~q\);

-- Location: LCCOMB_X13_Y30_N24
\led_flash_cnt[786][6]~37894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[786][6]~37894_combout\ = (\led_flash_cnt[786][6]~q\ & (!\led_flash_cnt[786][5]~37893\)) # (!\led_flash_cnt[786][6]~q\ & ((\led_flash_cnt[786][5]~37893\) # (GND)))
-- \led_flash_cnt[786][6]~37895\ = CARRY((!\led_flash_cnt[786][5]~37893\) # (!\led_flash_cnt[786][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[786][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[786][5]~37893\,
	combout => \led_flash_cnt[786][6]~37894_combout\,
	cout => \led_flash_cnt[786][6]~37895\);

-- Location: FF_X13_Y30_N25
\led_flash_cnt[786][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[786][6]~37894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[786][6]~q\);

-- Location: LCCOMB_X14_Y30_N30
\WideAnd786~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd786~1_combout\ = (\led_flash_cnt[786][6]~q\ & \led_flash_cnt[786][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[786][6]~q\,
	datad => \led_flash_cnt[786][5]~q\,
	combout => \WideAnd786~1_combout\);

-- Location: LCCOMB_X13_Y30_N26
\led_flash_cnt[786][7]~37896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[786][7]~37896_combout\ = \led_flash_cnt[786][7]~q\ $ (!\led_flash_cnt[786][6]~37895\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[786][7]~q\,
	cin => \led_flash_cnt[786][6]~37895\,
	combout => \led_flash_cnt[786][7]~37896_combout\);

-- Location: FF_X13_Y30_N27
\led_flash_cnt[786][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[786][7]~37896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[786][7]~q\);

-- Location: LCCOMB_X13_Y30_N28
\WideAnd786~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd786~0_combout\ = (\led_flash_cnt[786][2]~q\ & (\led_flash_cnt[786][3]~q\ & (\led_flash_cnt[786][1]~q\ & \led_flash_cnt[786][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[786][2]~q\,
	datab => \led_flash_cnt[786][3]~q\,
	datac => \led_flash_cnt[786][1]~q\,
	datad => \led_flash_cnt[786][4]~q\,
	combout => \WideAnd786~0_combout\);

-- Location: LCCOMB_X14_Y30_N0
WideAnd786 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd786~combout\ = (\WideAnd786~1_combout\ & (\led_flash_cnt[786][0]~q\ & (\led_flash_cnt[786][7]~q\ & \WideAnd786~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd786~1_combout\,
	datab => \led_flash_cnt[786][0]~q\,
	datac => \led_flash_cnt[786][7]~q\,
	datad => \WideAnd786~0_combout\,
	combout => \WideAnd786~combout\);

-- Location: FF_X14_Y30_N1
\led_flash_cnt_ands[786]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd786~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(786));

-- Location: LCCOMB_X15_Y31_N0
\led_flash_cnt[787][0]~81427\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[787][0]~81427_combout\ = !\led_flash_cnt[787][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[787][0]~q\,
	combout => \led_flash_cnt[787][0]~81427_combout\);

-- Location: FF_X15_Y31_N1
\led_flash_cnt[787][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[787][0]~81427_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[787][0]~q\);

-- Location: LCCOMB_X12_Y32_N18
\led_flash_cnt[787][1]~37898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[787][1]~37898_combout\ = (\led_flash_cnt[787][0]~q\ & (\led_flash_cnt[787][1]~q\ $ (VCC))) # (!\led_flash_cnt[787][0]~q\ & (\led_flash_cnt[787][1]~q\ & VCC))
-- \led_flash_cnt[787][1]~37899\ = CARRY((\led_flash_cnt[787][0]~q\ & \led_flash_cnt[787][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[787][0]~q\,
	datab => \led_flash_cnt[787][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[787][1]~37898_combout\,
	cout => \led_flash_cnt[787][1]~37899\);

-- Location: FF_X12_Y32_N19
\led_flash_cnt[787][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[787][1]~37898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[787][1]~q\);

-- Location: LCCOMB_X12_Y32_N20
\led_flash_cnt[787][2]~37900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[787][2]~37900_combout\ = (\led_flash_cnt[787][2]~q\ & (!\led_flash_cnt[787][1]~37899\)) # (!\led_flash_cnt[787][2]~q\ & ((\led_flash_cnt[787][1]~37899\) # (GND)))
-- \led_flash_cnt[787][2]~37901\ = CARRY((!\led_flash_cnt[787][1]~37899\) # (!\led_flash_cnt[787][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[787][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[787][1]~37899\,
	combout => \led_flash_cnt[787][2]~37900_combout\,
	cout => \led_flash_cnt[787][2]~37901\);

-- Location: FF_X12_Y32_N21
\led_flash_cnt[787][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[787][2]~37900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[787][2]~q\);

-- Location: LCCOMB_X12_Y32_N22
\led_flash_cnt[787][3]~37902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[787][3]~37902_combout\ = (\led_flash_cnt[787][3]~q\ & (\led_flash_cnt[787][2]~37901\ $ (GND))) # (!\led_flash_cnt[787][3]~q\ & (!\led_flash_cnt[787][2]~37901\ & VCC))
-- \led_flash_cnt[787][3]~37903\ = CARRY((\led_flash_cnt[787][3]~q\ & !\led_flash_cnt[787][2]~37901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[787][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[787][2]~37901\,
	combout => \led_flash_cnt[787][3]~37902_combout\,
	cout => \led_flash_cnt[787][3]~37903\);

-- Location: FF_X12_Y32_N23
\led_flash_cnt[787][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[787][3]~37902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[787][3]~q\);

-- Location: LCCOMB_X12_Y32_N24
\led_flash_cnt[787][4]~37904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[787][4]~37904_combout\ = (\led_flash_cnt[787][4]~q\ & (!\led_flash_cnt[787][3]~37903\)) # (!\led_flash_cnt[787][4]~q\ & ((\led_flash_cnt[787][3]~37903\) # (GND)))
-- \led_flash_cnt[787][4]~37905\ = CARRY((!\led_flash_cnt[787][3]~37903\) # (!\led_flash_cnt[787][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[787][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[787][3]~37903\,
	combout => \led_flash_cnt[787][4]~37904_combout\,
	cout => \led_flash_cnt[787][4]~37905\);

-- Location: FF_X12_Y32_N25
\led_flash_cnt[787][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[787][4]~37904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[787][4]~q\);

-- Location: LCCOMB_X12_Y32_N14
\WideAnd787~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd787~0_combout\ = (\led_flash_cnt[787][1]~q\ & (\led_flash_cnt[787][2]~q\ & (\led_flash_cnt[787][3]~q\ & \led_flash_cnt[787][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[787][1]~q\,
	datab => \led_flash_cnt[787][2]~q\,
	datac => \led_flash_cnt[787][3]~q\,
	datad => \led_flash_cnt[787][4]~q\,
	combout => \WideAnd787~0_combout\);

-- Location: LCCOMB_X12_Y32_N26
\led_flash_cnt[787][5]~37906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[787][5]~37906_combout\ = (\led_flash_cnt[787][5]~q\ & (\led_flash_cnt[787][4]~37905\ $ (GND))) # (!\led_flash_cnt[787][5]~q\ & (!\led_flash_cnt[787][4]~37905\ & VCC))
-- \led_flash_cnt[787][5]~37907\ = CARRY((\led_flash_cnt[787][5]~q\ & !\led_flash_cnt[787][4]~37905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[787][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[787][4]~37905\,
	combout => \led_flash_cnt[787][5]~37906_combout\,
	cout => \led_flash_cnt[787][5]~37907\);

-- Location: FF_X12_Y32_N27
\led_flash_cnt[787][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[787][5]~37906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[787][5]~q\);

-- Location: LCCOMB_X12_Y32_N28
\led_flash_cnt[787][6]~37908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[787][6]~37908_combout\ = (\led_flash_cnt[787][6]~q\ & (!\led_flash_cnt[787][5]~37907\)) # (!\led_flash_cnt[787][6]~q\ & ((\led_flash_cnt[787][5]~37907\) # (GND)))
-- \led_flash_cnt[787][6]~37909\ = CARRY((!\led_flash_cnt[787][5]~37907\) # (!\led_flash_cnt[787][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[787][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[787][5]~37907\,
	combout => \led_flash_cnt[787][6]~37908_combout\,
	cout => \led_flash_cnt[787][6]~37909\);

-- Location: FF_X12_Y32_N29
\led_flash_cnt[787][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[787][6]~37908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[787][6]~q\);

-- Location: LCCOMB_X13_Y32_N4
\WideAnd787~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd787~1_combout\ = (\led_flash_cnt[787][5]~q\ & \led_flash_cnt[787][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[787][5]~q\,
	datad => \led_flash_cnt[787][6]~q\,
	combout => \WideAnd787~1_combout\);

-- Location: LCCOMB_X12_Y32_N30
\led_flash_cnt[787][7]~37910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[787][7]~37910_combout\ = \led_flash_cnt[787][7]~q\ $ (!\led_flash_cnt[787][6]~37909\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[787][7]~q\,
	cin => \led_flash_cnt[787][6]~37909\,
	combout => \led_flash_cnt[787][7]~37910_combout\);

-- Location: FF_X12_Y32_N31
\led_flash_cnt[787][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[787][7]~37910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[787][7]~q\);

-- Location: LCCOMB_X13_Y32_N0
WideAnd787 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd787~combout\ = (\WideAnd787~0_combout\ & (\led_flash_cnt[787][0]~q\ & (\WideAnd787~1_combout\ & \led_flash_cnt[787][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd787~0_combout\,
	datab => \led_flash_cnt[787][0]~q\,
	datac => \WideAnd787~1_combout\,
	datad => \led_flash_cnt[787][7]~q\,
	combout => \WideAnd787~combout\);

-- Location: FF_X13_Y32_N1
\led_flash_cnt_ands[787]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd787~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(787));

-- Location: LCCOMB_X12_Y34_N2
\led_flash_cnt[785][0]~81425\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[785][0]~81425_combout\ = !\led_flash_cnt[785][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[785][0]~q\,
	combout => \led_flash_cnt[785][0]~81425_combout\);

-- Location: FF_X12_Y34_N3
\led_flash_cnt[785][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[785][0]~81425_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[785][0]~q\);

-- Location: LCCOMB_X11_Y34_N2
\led_flash_cnt[785][1]~37870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[785][1]~37870_combout\ = (\led_flash_cnt[785][0]~q\ & (\led_flash_cnt[785][1]~q\ $ (VCC))) # (!\led_flash_cnt[785][0]~q\ & (\led_flash_cnt[785][1]~q\ & VCC))
-- \led_flash_cnt[785][1]~37871\ = CARRY((\led_flash_cnt[785][0]~q\ & \led_flash_cnt[785][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[785][0]~q\,
	datab => \led_flash_cnt[785][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[785][1]~37870_combout\,
	cout => \led_flash_cnt[785][1]~37871\);

-- Location: FF_X11_Y34_N3
\led_flash_cnt[785][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[785][1]~37870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[785][1]~q\);

-- Location: LCCOMB_X11_Y34_N4
\led_flash_cnt[785][2]~37872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[785][2]~37872_combout\ = (\led_flash_cnt[785][2]~q\ & (!\led_flash_cnt[785][1]~37871\)) # (!\led_flash_cnt[785][2]~q\ & ((\led_flash_cnt[785][1]~37871\) # (GND)))
-- \led_flash_cnt[785][2]~37873\ = CARRY((!\led_flash_cnt[785][1]~37871\) # (!\led_flash_cnt[785][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[785][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[785][1]~37871\,
	combout => \led_flash_cnt[785][2]~37872_combout\,
	cout => \led_flash_cnt[785][2]~37873\);

-- Location: FF_X11_Y34_N5
\led_flash_cnt[785][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[785][2]~37872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[785][2]~q\);

-- Location: LCCOMB_X11_Y34_N6
\led_flash_cnt[785][3]~37874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[785][3]~37874_combout\ = (\led_flash_cnt[785][3]~q\ & (\led_flash_cnt[785][2]~37873\ $ (GND))) # (!\led_flash_cnt[785][3]~q\ & (!\led_flash_cnt[785][2]~37873\ & VCC))
-- \led_flash_cnt[785][3]~37875\ = CARRY((\led_flash_cnt[785][3]~q\ & !\led_flash_cnt[785][2]~37873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[785][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[785][2]~37873\,
	combout => \led_flash_cnt[785][3]~37874_combout\,
	cout => \led_flash_cnt[785][3]~37875\);

-- Location: FF_X11_Y34_N7
\led_flash_cnt[785][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[785][3]~37874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[785][3]~q\);

-- Location: LCCOMB_X11_Y34_N8
\led_flash_cnt[785][4]~37876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[785][4]~37876_combout\ = (\led_flash_cnt[785][4]~q\ & (!\led_flash_cnt[785][3]~37875\)) # (!\led_flash_cnt[785][4]~q\ & ((\led_flash_cnt[785][3]~37875\) # (GND)))
-- \led_flash_cnt[785][4]~37877\ = CARRY((!\led_flash_cnt[785][3]~37875\) # (!\led_flash_cnt[785][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[785][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[785][3]~37875\,
	combout => \led_flash_cnt[785][4]~37876_combout\,
	cout => \led_flash_cnt[785][4]~37877\);

-- Location: FF_X11_Y34_N9
\led_flash_cnt[785][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[785][4]~37876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[785][4]~q\);

-- Location: LCCOMB_X11_Y34_N0
\WideAnd785~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd785~0_combout\ = (\led_flash_cnt[785][3]~q\ & (\led_flash_cnt[785][4]~q\ & (\led_flash_cnt[785][2]~q\ & \led_flash_cnt[785][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[785][3]~q\,
	datab => \led_flash_cnt[785][4]~q\,
	datac => \led_flash_cnt[785][2]~q\,
	datad => \led_flash_cnt[785][1]~q\,
	combout => \WideAnd785~0_combout\);

-- Location: LCCOMB_X11_Y34_N10
\led_flash_cnt[785][5]~37878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[785][5]~37878_combout\ = (\led_flash_cnt[785][5]~q\ & (\led_flash_cnt[785][4]~37877\ $ (GND))) # (!\led_flash_cnt[785][5]~q\ & (!\led_flash_cnt[785][4]~37877\ & VCC))
-- \led_flash_cnt[785][5]~37879\ = CARRY((\led_flash_cnt[785][5]~q\ & !\led_flash_cnt[785][4]~37877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[785][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[785][4]~37877\,
	combout => \led_flash_cnt[785][5]~37878_combout\,
	cout => \led_flash_cnt[785][5]~37879\);

-- Location: FF_X11_Y34_N11
\led_flash_cnt[785][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[785][5]~37878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[785][5]~q\);

-- Location: LCCOMB_X11_Y34_N12
\led_flash_cnt[785][6]~37880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[785][6]~37880_combout\ = (\led_flash_cnt[785][6]~q\ & (!\led_flash_cnt[785][5]~37879\)) # (!\led_flash_cnt[785][6]~q\ & ((\led_flash_cnt[785][5]~37879\) # (GND)))
-- \led_flash_cnt[785][6]~37881\ = CARRY((!\led_flash_cnt[785][5]~37879\) # (!\led_flash_cnt[785][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[785][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[785][5]~37879\,
	combout => \led_flash_cnt[785][6]~37880_combout\,
	cout => \led_flash_cnt[785][6]~37881\);

-- Location: FF_X11_Y34_N13
\led_flash_cnt[785][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[785][6]~37880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[785][6]~q\);

-- Location: LCCOMB_X12_Y34_N30
\WideAnd785~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd785~1_combout\ = (\led_flash_cnt[785][6]~q\ & \led_flash_cnt[785][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[785][6]~q\,
	datad => \led_flash_cnt[785][5]~q\,
	combout => \WideAnd785~1_combout\);

-- Location: LCCOMB_X11_Y34_N14
\led_flash_cnt[785][7]~37882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[785][7]~37882_combout\ = \led_flash_cnt[785][7]~q\ $ (!\led_flash_cnt[785][6]~37881\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[785][7]~q\,
	cin => \led_flash_cnt[785][6]~37881\,
	combout => \led_flash_cnt[785][7]~37882_combout\);

-- Location: FF_X11_Y34_N15
\led_flash_cnt[785][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[785][7]~37882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[785][7]~q\);

-- Location: LCCOMB_X12_Y34_N8
WideAnd785 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd785~combout\ = (\WideAnd785~0_combout\ & (\led_flash_cnt[785][0]~q\ & (\WideAnd785~1_combout\ & \led_flash_cnt[785][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd785~0_combout\,
	datab => \led_flash_cnt[785][0]~q\,
	datac => \WideAnd785~1_combout\,
	datad => \led_flash_cnt[785][7]~q\,
	combout => \WideAnd785~combout\);

-- Location: FF_X12_Y34_N9
\led_flash_cnt_ands[785]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd785~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(785));

-- Location: LCCOMB_X14_Y33_N26
\led_flash_cnt[784][0]~81424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[784][0]~81424_combout\ = !\led_flash_cnt[784][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[784][0]~q\,
	combout => \led_flash_cnt[784][0]~81424_combout\);

-- Location: FF_X14_Y33_N27
\led_flash_cnt[784][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[784][0]~81424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[784][0]~q\);

-- Location: LCCOMB_X15_Y33_N16
\led_flash_cnt[784][1]~37856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[784][1]~37856_combout\ = (\led_flash_cnt[784][0]~q\ & (\led_flash_cnt[784][1]~q\ $ (VCC))) # (!\led_flash_cnt[784][0]~q\ & (\led_flash_cnt[784][1]~q\ & VCC))
-- \led_flash_cnt[784][1]~37857\ = CARRY((\led_flash_cnt[784][0]~q\ & \led_flash_cnt[784][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[784][0]~q\,
	datab => \led_flash_cnt[784][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[784][1]~37856_combout\,
	cout => \led_flash_cnt[784][1]~37857\);

-- Location: FF_X15_Y33_N17
\led_flash_cnt[784][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[784][1]~37856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[784][1]~q\);

-- Location: LCCOMB_X15_Y33_N18
\led_flash_cnt[784][2]~37858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[784][2]~37858_combout\ = (\led_flash_cnt[784][2]~q\ & (!\led_flash_cnt[784][1]~37857\)) # (!\led_flash_cnt[784][2]~q\ & ((\led_flash_cnt[784][1]~37857\) # (GND)))
-- \led_flash_cnt[784][2]~37859\ = CARRY((!\led_flash_cnt[784][1]~37857\) # (!\led_flash_cnt[784][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[784][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[784][1]~37857\,
	combout => \led_flash_cnt[784][2]~37858_combout\,
	cout => \led_flash_cnt[784][2]~37859\);

-- Location: FF_X15_Y33_N19
\led_flash_cnt[784][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[784][2]~37858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[784][2]~q\);

-- Location: LCCOMB_X15_Y33_N20
\led_flash_cnt[784][3]~37860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[784][3]~37860_combout\ = (\led_flash_cnt[784][3]~q\ & (\led_flash_cnt[784][2]~37859\ $ (GND))) # (!\led_flash_cnt[784][3]~q\ & (!\led_flash_cnt[784][2]~37859\ & VCC))
-- \led_flash_cnt[784][3]~37861\ = CARRY((\led_flash_cnt[784][3]~q\ & !\led_flash_cnt[784][2]~37859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[784][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[784][2]~37859\,
	combout => \led_flash_cnt[784][3]~37860_combout\,
	cout => \led_flash_cnt[784][3]~37861\);

-- Location: FF_X15_Y33_N21
\led_flash_cnt[784][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[784][3]~37860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[784][3]~q\);

-- Location: LCCOMB_X15_Y33_N22
\led_flash_cnt[784][4]~37862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[784][4]~37862_combout\ = (\led_flash_cnt[784][4]~q\ & (!\led_flash_cnt[784][3]~37861\)) # (!\led_flash_cnt[784][4]~q\ & ((\led_flash_cnt[784][3]~37861\) # (GND)))
-- \led_flash_cnt[784][4]~37863\ = CARRY((!\led_flash_cnt[784][3]~37861\) # (!\led_flash_cnt[784][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[784][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[784][3]~37861\,
	combout => \led_flash_cnt[784][4]~37862_combout\,
	cout => \led_flash_cnt[784][4]~37863\);

-- Location: FF_X15_Y33_N23
\led_flash_cnt[784][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[784][4]~37862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[784][4]~q\);

-- Location: LCCOMB_X15_Y33_N30
\WideAnd784~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd784~0_combout\ = (\led_flash_cnt[784][1]~q\ & (\led_flash_cnt[784][3]~q\ & (\led_flash_cnt[784][4]~q\ & \led_flash_cnt[784][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[784][1]~q\,
	datab => \led_flash_cnt[784][3]~q\,
	datac => \led_flash_cnt[784][4]~q\,
	datad => \led_flash_cnt[784][2]~q\,
	combout => \WideAnd784~0_combout\);

-- Location: LCCOMB_X15_Y33_N24
\led_flash_cnt[784][5]~37864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[784][5]~37864_combout\ = (\led_flash_cnt[784][5]~q\ & (\led_flash_cnt[784][4]~37863\ $ (GND))) # (!\led_flash_cnt[784][5]~q\ & (!\led_flash_cnt[784][4]~37863\ & VCC))
-- \led_flash_cnt[784][5]~37865\ = CARRY((\led_flash_cnt[784][5]~q\ & !\led_flash_cnt[784][4]~37863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[784][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[784][4]~37863\,
	combout => \led_flash_cnt[784][5]~37864_combout\,
	cout => \led_flash_cnt[784][5]~37865\);

-- Location: FF_X15_Y33_N25
\led_flash_cnt[784][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[784][5]~37864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[784][5]~q\);

-- Location: LCCOMB_X15_Y33_N26
\led_flash_cnt[784][6]~37866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[784][6]~37866_combout\ = (\led_flash_cnt[784][6]~q\ & (!\led_flash_cnt[784][5]~37865\)) # (!\led_flash_cnt[784][6]~q\ & ((\led_flash_cnt[784][5]~37865\) # (GND)))
-- \led_flash_cnt[784][6]~37867\ = CARRY((!\led_flash_cnt[784][5]~37865\) # (!\led_flash_cnt[784][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[784][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[784][5]~37865\,
	combout => \led_flash_cnt[784][6]~37866_combout\,
	cout => \led_flash_cnt[784][6]~37867\);

-- Location: FF_X15_Y33_N27
\led_flash_cnt[784][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[784][6]~37866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[784][6]~q\);

-- Location: LCCOMB_X15_Y33_N28
\led_flash_cnt[784][7]~37868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[784][7]~37868_combout\ = \led_flash_cnt[784][6]~37867\ $ (!\led_flash_cnt[784][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[784][7]~q\,
	cin => \led_flash_cnt[784][6]~37867\,
	combout => \led_flash_cnt[784][7]~37868_combout\);

-- Location: FF_X15_Y33_N29
\led_flash_cnt[784][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[784][7]~37868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[784][7]~q\);

-- Location: LCCOMB_X14_Y33_N24
\WideAnd784~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd784~1_combout\ = (\led_flash_cnt[784][6]~q\ & \led_flash_cnt[784][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[784][6]~q\,
	datad => \led_flash_cnt[784][5]~q\,
	combout => \WideAnd784~1_combout\);

-- Location: LCCOMB_X14_Y33_N28
WideAnd784 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd784~combout\ = (\WideAnd784~0_combout\ & (\led_flash_cnt[784][7]~q\ & (\led_flash_cnt[784][0]~q\ & \WideAnd784~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd784~0_combout\,
	datab => \led_flash_cnt[784][7]~q\,
	datac => \led_flash_cnt[784][0]~q\,
	datad => \WideAnd784~1_combout\,
	combout => \WideAnd784~combout\);

-- Location: FF_X14_Y33_N29
\led_flash_cnt_ands[784]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd784~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(784));

-- Location: LCCOMB_X13_Y33_N2
\WideAnd3938~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3938~0_combout\ = (led_flash_cnt_ands(786) & (led_flash_cnt_ands(787) & (led_flash_cnt_ands(785) & led_flash_cnt_ands(784))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(786),
	datab => led_flash_cnt_ands(787),
	datac => led_flash_cnt_ands(785),
	datad => led_flash_cnt_ands(784),
	combout => \WideAnd3938~0_combout\);

-- Location: LCCOMB_X21_Y18_N28
\led_flash_cnt[789][0]~81429\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[789][0]~81429_combout\ = !\led_flash_cnt[789][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[789][0]~q\,
	combout => \led_flash_cnt[789][0]~81429_combout\);

-- Location: FF_X21_Y18_N29
\led_flash_cnt[789][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[789][0]~81429_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[789][0]~q\);

-- Location: LCCOMB_X18_Y18_N18
\led_flash_cnt[789][1]~37926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[789][1]~37926_combout\ = (\led_flash_cnt[789][0]~q\ & (\led_flash_cnt[789][1]~q\ $ (VCC))) # (!\led_flash_cnt[789][0]~q\ & (\led_flash_cnt[789][1]~q\ & VCC))
-- \led_flash_cnt[789][1]~37927\ = CARRY((\led_flash_cnt[789][0]~q\ & \led_flash_cnt[789][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[789][0]~q\,
	datab => \led_flash_cnt[789][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[789][1]~37926_combout\,
	cout => \led_flash_cnt[789][1]~37927\);

-- Location: FF_X18_Y18_N19
\led_flash_cnt[789][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[789][1]~37926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[789][1]~q\);

-- Location: LCCOMB_X18_Y18_N20
\led_flash_cnt[789][2]~37928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[789][2]~37928_combout\ = (\led_flash_cnt[789][2]~q\ & (!\led_flash_cnt[789][1]~37927\)) # (!\led_flash_cnt[789][2]~q\ & ((\led_flash_cnt[789][1]~37927\) # (GND)))
-- \led_flash_cnt[789][2]~37929\ = CARRY((!\led_flash_cnt[789][1]~37927\) # (!\led_flash_cnt[789][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[789][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[789][1]~37927\,
	combout => \led_flash_cnt[789][2]~37928_combout\,
	cout => \led_flash_cnt[789][2]~37929\);

-- Location: FF_X18_Y18_N21
\led_flash_cnt[789][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[789][2]~37928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[789][2]~q\);

-- Location: LCCOMB_X18_Y18_N22
\led_flash_cnt[789][3]~37930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[789][3]~37930_combout\ = (\led_flash_cnt[789][3]~q\ & (\led_flash_cnt[789][2]~37929\ $ (GND))) # (!\led_flash_cnt[789][3]~q\ & (!\led_flash_cnt[789][2]~37929\ & VCC))
-- \led_flash_cnt[789][3]~37931\ = CARRY((\led_flash_cnt[789][3]~q\ & !\led_flash_cnt[789][2]~37929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[789][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[789][2]~37929\,
	combout => \led_flash_cnt[789][3]~37930_combout\,
	cout => \led_flash_cnt[789][3]~37931\);

-- Location: FF_X18_Y18_N23
\led_flash_cnt[789][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[789][3]~37930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[789][3]~q\);

-- Location: LCCOMB_X18_Y18_N24
\led_flash_cnt[789][4]~37932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[789][4]~37932_combout\ = (\led_flash_cnt[789][4]~q\ & (!\led_flash_cnt[789][3]~37931\)) # (!\led_flash_cnt[789][4]~q\ & ((\led_flash_cnt[789][3]~37931\) # (GND)))
-- \led_flash_cnt[789][4]~37933\ = CARRY((!\led_flash_cnt[789][3]~37931\) # (!\led_flash_cnt[789][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[789][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[789][3]~37931\,
	combout => \led_flash_cnt[789][4]~37932_combout\,
	cout => \led_flash_cnt[789][4]~37933\);

-- Location: FF_X18_Y18_N25
\led_flash_cnt[789][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[789][4]~37932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[789][4]~q\);

-- Location: LCCOMB_X18_Y18_N26
\led_flash_cnt[789][5]~37934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[789][5]~37934_combout\ = (\led_flash_cnt[789][5]~q\ & (\led_flash_cnt[789][4]~37933\ $ (GND))) # (!\led_flash_cnt[789][5]~q\ & (!\led_flash_cnt[789][4]~37933\ & VCC))
-- \led_flash_cnt[789][5]~37935\ = CARRY((\led_flash_cnt[789][5]~q\ & !\led_flash_cnt[789][4]~37933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[789][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[789][4]~37933\,
	combout => \led_flash_cnt[789][5]~37934_combout\,
	cout => \led_flash_cnt[789][5]~37935\);

-- Location: FF_X18_Y18_N27
\led_flash_cnt[789][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[789][5]~37934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[789][5]~q\);

-- Location: LCCOMB_X18_Y18_N28
\led_flash_cnt[789][6]~37936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[789][6]~37936_combout\ = (\led_flash_cnt[789][6]~q\ & (!\led_flash_cnt[789][5]~37935\)) # (!\led_flash_cnt[789][6]~q\ & ((\led_flash_cnt[789][5]~37935\) # (GND)))
-- \led_flash_cnt[789][6]~37937\ = CARRY((!\led_flash_cnt[789][5]~37935\) # (!\led_flash_cnt[789][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[789][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[789][5]~37935\,
	combout => \led_flash_cnt[789][6]~37936_combout\,
	cout => \led_flash_cnt[789][6]~37937\);

-- Location: FF_X18_Y18_N29
\led_flash_cnt[789][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[789][6]~37936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[789][6]~q\);

-- Location: LCCOMB_X17_Y18_N22
\WideAnd789~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd789~1_combout\ = (\led_flash_cnt[789][6]~q\ & \led_flash_cnt[789][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[789][6]~q\,
	datad => \led_flash_cnt[789][5]~q\,
	combout => \WideAnd789~1_combout\);

-- Location: LCCOMB_X18_Y18_N14
\WideAnd789~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd789~0_combout\ = (\led_flash_cnt[789][4]~q\ & (\led_flash_cnt[789][2]~q\ & (\led_flash_cnt[789][3]~q\ & \led_flash_cnt[789][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[789][4]~q\,
	datab => \led_flash_cnt[789][2]~q\,
	datac => \led_flash_cnt[789][3]~q\,
	datad => \led_flash_cnt[789][1]~q\,
	combout => \WideAnd789~0_combout\);

-- Location: LCCOMB_X18_Y18_N30
\led_flash_cnt[789][7]~37938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[789][7]~37938_combout\ = \led_flash_cnt[789][7]~q\ $ (!\led_flash_cnt[789][6]~37937\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[789][7]~q\,
	cin => \led_flash_cnt[789][6]~37937\,
	combout => \led_flash_cnt[789][7]~37938_combout\);

-- Location: FF_X18_Y18_N31
\led_flash_cnt[789][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[789][7]~37938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[789][7]~q\);

-- Location: LCCOMB_X17_Y18_N0
WideAnd789 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd789~combout\ = (\WideAnd789~1_combout\ & (\WideAnd789~0_combout\ & (\led_flash_cnt[789][7]~q\ & \led_flash_cnt[789][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd789~1_combout\,
	datab => \WideAnd789~0_combout\,
	datac => \led_flash_cnt[789][7]~q\,
	datad => \led_flash_cnt[789][0]~q\,
	combout => \WideAnd789~combout\);

-- Location: FF_X17_Y18_N1
\led_flash_cnt_ands[789]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd789~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(789));

-- Location: LCCOMB_X11_Y35_N30
\led_flash_cnt[788][0]~81428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[788][0]~81428_combout\ = !\led_flash_cnt[788][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[788][0]~q\,
	combout => \led_flash_cnt[788][0]~81428_combout\);

-- Location: FF_X11_Y35_N31
\led_flash_cnt[788][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[788][0]~81428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[788][0]~q\);

-- Location: LCCOMB_X11_Y35_N14
\led_flash_cnt[788][1]~37912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[788][1]~37912_combout\ = (\led_flash_cnt[788][0]~q\ & (\led_flash_cnt[788][1]~q\ $ (VCC))) # (!\led_flash_cnt[788][0]~q\ & (\led_flash_cnt[788][1]~q\ & VCC))
-- \led_flash_cnt[788][1]~37913\ = CARRY((\led_flash_cnt[788][0]~q\ & \led_flash_cnt[788][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[788][0]~q\,
	datab => \led_flash_cnt[788][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[788][1]~37912_combout\,
	cout => \led_flash_cnt[788][1]~37913\);

-- Location: FF_X11_Y35_N15
\led_flash_cnt[788][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[788][1]~37912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[788][1]~q\);

-- Location: LCCOMB_X11_Y35_N16
\led_flash_cnt[788][2]~37914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[788][2]~37914_combout\ = (\led_flash_cnt[788][2]~q\ & (!\led_flash_cnt[788][1]~37913\)) # (!\led_flash_cnt[788][2]~q\ & ((\led_flash_cnt[788][1]~37913\) # (GND)))
-- \led_flash_cnt[788][2]~37915\ = CARRY((!\led_flash_cnt[788][1]~37913\) # (!\led_flash_cnt[788][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[788][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[788][1]~37913\,
	combout => \led_flash_cnt[788][2]~37914_combout\,
	cout => \led_flash_cnt[788][2]~37915\);

-- Location: FF_X11_Y35_N17
\led_flash_cnt[788][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[788][2]~37914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[788][2]~q\);

-- Location: LCCOMB_X11_Y35_N18
\led_flash_cnt[788][3]~37916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[788][3]~37916_combout\ = (\led_flash_cnt[788][3]~q\ & (\led_flash_cnt[788][2]~37915\ $ (GND))) # (!\led_flash_cnt[788][3]~q\ & (!\led_flash_cnt[788][2]~37915\ & VCC))
-- \led_flash_cnt[788][3]~37917\ = CARRY((\led_flash_cnt[788][3]~q\ & !\led_flash_cnt[788][2]~37915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[788][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[788][2]~37915\,
	combout => \led_flash_cnt[788][3]~37916_combout\,
	cout => \led_flash_cnt[788][3]~37917\);

-- Location: FF_X11_Y35_N19
\led_flash_cnt[788][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[788][3]~37916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[788][3]~q\);

-- Location: LCCOMB_X11_Y35_N20
\led_flash_cnt[788][4]~37918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[788][4]~37918_combout\ = (\led_flash_cnt[788][4]~q\ & (!\led_flash_cnt[788][3]~37917\)) # (!\led_flash_cnt[788][4]~q\ & ((\led_flash_cnt[788][3]~37917\) # (GND)))
-- \led_flash_cnt[788][4]~37919\ = CARRY((!\led_flash_cnt[788][3]~37917\) # (!\led_flash_cnt[788][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[788][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[788][3]~37917\,
	combout => \led_flash_cnt[788][4]~37918_combout\,
	cout => \led_flash_cnt[788][4]~37919\);

-- Location: FF_X11_Y35_N21
\led_flash_cnt[788][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[788][4]~37918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[788][4]~q\);

-- Location: LCCOMB_X11_Y35_N28
\WideAnd788~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd788~0_combout\ = (\led_flash_cnt[788][2]~q\ & (\led_flash_cnt[788][3]~q\ & (\led_flash_cnt[788][1]~q\ & \led_flash_cnt[788][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[788][2]~q\,
	datab => \led_flash_cnt[788][3]~q\,
	datac => \led_flash_cnt[788][1]~q\,
	datad => \led_flash_cnt[788][4]~q\,
	combout => \WideAnd788~0_combout\);

-- Location: LCCOMB_X11_Y35_N22
\led_flash_cnt[788][5]~37920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[788][5]~37920_combout\ = (\led_flash_cnt[788][5]~q\ & (\led_flash_cnt[788][4]~37919\ $ (GND))) # (!\led_flash_cnt[788][5]~q\ & (!\led_flash_cnt[788][4]~37919\ & VCC))
-- \led_flash_cnt[788][5]~37921\ = CARRY((\led_flash_cnt[788][5]~q\ & !\led_flash_cnt[788][4]~37919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[788][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[788][4]~37919\,
	combout => \led_flash_cnt[788][5]~37920_combout\,
	cout => \led_flash_cnt[788][5]~37921\);

-- Location: FF_X11_Y35_N23
\led_flash_cnt[788][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[788][5]~37920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[788][5]~q\);

-- Location: LCCOMB_X11_Y35_N24
\led_flash_cnt[788][6]~37922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[788][6]~37922_combout\ = (\led_flash_cnt[788][6]~q\ & (!\led_flash_cnt[788][5]~37921\)) # (!\led_flash_cnt[788][6]~q\ & ((\led_flash_cnt[788][5]~37921\) # (GND)))
-- \led_flash_cnt[788][6]~37923\ = CARRY((!\led_flash_cnt[788][5]~37921\) # (!\led_flash_cnt[788][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[788][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[788][5]~37921\,
	combout => \led_flash_cnt[788][6]~37922_combout\,
	cout => \led_flash_cnt[788][6]~37923\);

-- Location: FF_X11_Y35_N25
\led_flash_cnt[788][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[788][6]~37922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[788][6]~q\);

-- Location: LCCOMB_X11_Y35_N26
\led_flash_cnt[788][7]~37924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[788][7]~37924_combout\ = \led_flash_cnt[788][7]~q\ $ (!\led_flash_cnt[788][6]~37923\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[788][7]~q\,
	cin => \led_flash_cnt[788][6]~37923\,
	combout => \led_flash_cnt[788][7]~37924_combout\);

-- Location: FF_X11_Y35_N27
\led_flash_cnt[788][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[788][7]~37924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[788][7]~q\);

-- Location: LCCOMB_X11_Y35_N10
\WideAnd788~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd788~1_combout\ = (\led_flash_cnt[788][5]~q\ & \led_flash_cnt[788][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[788][5]~q\,
	datad => \led_flash_cnt[788][6]~q\,
	combout => \WideAnd788~1_combout\);

-- Location: LCCOMB_X11_Y35_N8
WideAnd788 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd788~combout\ = (\led_flash_cnt[788][0]~q\ & (\WideAnd788~0_combout\ & (\led_flash_cnt[788][7]~q\ & \WideAnd788~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[788][0]~q\,
	datab => \WideAnd788~0_combout\,
	datac => \led_flash_cnt[788][7]~q\,
	datad => \WideAnd788~1_combout\,
	combout => \WideAnd788~combout\);

-- Location: FF_X11_Y35_N9
\led_flash_cnt_ands[788]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd788~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(788));

-- Location: LCCOMB_X12_Y35_N8
\WideAnd3938~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3938~1_combout\ = (led_flash_cnt_ands(789) & led_flash_cnt_ands(788))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(789),
	datad => led_flash_cnt_ands(788),
	combout => \WideAnd3938~1_combout\);

-- Location: LCCOMB_X22_Y34_N4
\led_flash_cnt[790][0]~81430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[790][0]~81430_combout\ = !\led_flash_cnt[790][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[790][0]~q\,
	combout => \led_flash_cnt[790][0]~81430_combout\);

-- Location: FF_X22_Y34_N5
\led_flash_cnt[790][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[790][0]~81430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[790][0]~q\);

-- Location: LCCOMB_X18_Y34_N0
\led_flash_cnt[790][1]~37940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[790][1]~37940_combout\ = (\led_flash_cnt[790][0]~q\ & (\led_flash_cnt[790][1]~q\ $ (VCC))) # (!\led_flash_cnt[790][0]~q\ & (\led_flash_cnt[790][1]~q\ & VCC))
-- \led_flash_cnt[790][1]~37941\ = CARRY((\led_flash_cnt[790][0]~q\ & \led_flash_cnt[790][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[790][0]~q\,
	datab => \led_flash_cnt[790][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[790][1]~37940_combout\,
	cout => \led_flash_cnt[790][1]~37941\);

-- Location: FF_X18_Y34_N1
\led_flash_cnt[790][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[790][1]~37940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[790][1]~q\);

-- Location: LCCOMB_X18_Y34_N2
\led_flash_cnt[790][2]~37942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[790][2]~37942_combout\ = (\led_flash_cnt[790][2]~q\ & (!\led_flash_cnt[790][1]~37941\)) # (!\led_flash_cnt[790][2]~q\ & ((\led_flash_cnt[790][1]~37941\) # (GND)))
-- \led_flash_cnt[790][2]~37943\ = CARRY((!\led_flash_cnt[790][1]~37941\) # (!\led_flash_cnt[790][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[790][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[790][1]~37941\,
	combout => \led_flash_cnt[790][2]~37942_combout\,
	cout => \led_flash_cnt[790][2]~37943\);

-- Location: FF_X18_Y34_N3
\led_flash_cnt[790][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[790][2]~37942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[790][2]~q\);

-- Location: LCCOMB_X18_Y34_N4
\led_flash_cnt[790][3]~37944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[790][3]~37944_combout\ = (\led_flash_cnt[790][3]~q\ & (\led_flash_cnt[790][2]~37943\ $ (GND))) # (!\led_flash_cnt[790][3]~q\ & (!\led_flash_cnt[790][2]~37943\ & VCC))
-- \led_flash_cnt[790][3]~37945\ = CARRY((\led_flash_cnt[790][3]~q\ & !\led_flash_cnt[790][2]~37943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[790][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[790][2]~37943\,
	combout => \led_flash_cnt[790][3]~37944_combout\,
	cout => \led_flash_cnt[790][3]~37945\);

-- Location: FF_X18_Y34_N5
\led_flash_cnt[790][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[790][3]~37944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[790][3]~q\);

-- Location: LCCOMB_X18_Y34_N6
\led_flash_cnt[790][4]~37946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[790][4]~37946_combout\ = (\led_flash_cnt[790][4]~q\ & (!\led_flash_cnt[790][3]~37945\)) # (!\led_flash_cnt[790][4]~q\ & ((\led_flash_cnt[790][3]~37945\) # (GND)))
-- \led_flash_cnt[790][4]~37947\ = CARRY((!\led_flash_cnt[790][3]~37945\) # (!\led_flash_cnt[790][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[790][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[790][3]~37945\,
	combout => \led_flash_cnt[790][4]~37946_combout\,
	cout => \led_flash_cnt[790][4]~37947\);

-- Location: FF_X18_Y34_N7
\led_flash_cnt[790][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[790][4]~37946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[790][4]~q\);

-- Location: LCCOMB_X18_Y34_N14
\WideAnd790~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd790~0_combout\ = (\led_flash_cnt[790][4]~q\ & (\led_flash_cnt[790][1]~q\ & (\led_flash_cnt[790][3]~q\ & \led_flash_cnt[790][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[790][4]~q\,
	datab => \led_flash_cnt[790][1]~q\,
	datac => \led_flash_cnt[790][3]~q\,
	datad => \led_flash_cnt[790][2]~q\,
	combout => \WideAnd790~0_combout\);

-- Location: LCCOMB_X18_Y34_N8
\led_flash_cnt[790][5]~37948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[790][5]~37948_combout\ = (\led_flash_cnt[790][5]~q\ & (\led_flash_cnt[790][4]~37947\ $ (GND))) # (!\led_flash_cnt[790][5]~q\ & (!\led_flash_cnt[790][4]~37947\ & VCC))
-- \led_flash_cnt[790][5]~37949\ = CARRY((\led_flash_cnt[790][5]~q\ & !\led_flash_cnt[790][4]~37947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[790][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[790][4]~37947\,
	combout => \led_flash_cnt[790][5]~37948_combout\,
	cout => \led_flash_cnt[790][5]~37949\);

-- Location: FF_X18_Y34_N9
\led_flash_cnt[790][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[790][5]~37948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[790][5]~q\);

-- Location: LCCOMB_X18_Y34_N10
\led_flash_cnt[790][6]~37950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[790][6]~37950_combout\ = (\led_flash_cnt[790][6]~q\ & (!\led_flash_cnt[790][5]~37949\)) # (!\led_flash_cnt[790][6]~q\ & ((\led_flash_cnt[790][5]~37949\) # (GND)))
-- \led_flash_cnt[790][6]~37951\ = CARRY((!\led_flash_cnt[790][5]~37949\) # (!\led_flash_cnt[790][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[790][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[790][5]~37949\,
	combout => \led_flash_cnt[790][6]~37950_combout\,
	cout => \led_flash_cnt[790][6]~37951\);

-- Location: FF_X18_Y34_N11
\led_flash_cnt[790][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[790][6]~37950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[790][6]~q\);

-- Location: LCCOMB_X19_Y34_N8
\WideAnd790~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd790~1_combout\ = (\led_flash_cnt[790][5]~q\ & \led_flash_cnt[790][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[790][5]~q\,
	datad => \led_flash_cnt[790][6]~q\,
	combout => \WideAnd790~1_combout\);

-- Location: LCCOMB_X18_Y34_N12
\led_flash_cnt[790][7]~37952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[790][7]~37952_combout\ = \led_flash_cnt[790][6]~37951\ $ (!\led_flash_cnt[790][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[790][7]~q\,
	cin => \led_flash_cnt[790][6]~37951\,
	combout => \led_flash_cnt[790][7]~37952_combout\);

-- Location: FF_X18_Y34_N13
\led_flash_cnt[790][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[790][7]~37952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[790][7]~q\);

-- Location: LCCOMB_X19_Y34_N0
WideAnd790 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd790~combout\ = (\WideAnd790~0_combout\ & (\WideAnd790~1_combout\ & (\led_flash_cnt[790][7]~q\ & \led_flash_cnt[790][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd790~0_combout\,
	datab => \WideAnd790~1_combout\,
	datac => \led_flash_cnt[790][7]~q\,
	datad => \led_flash_cnt[790][0]~q\,
	combout => \WideAnd790~combout\);

-- Location: FF_X19_Y34_N1
\led_flash_cnt_ands[790]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd790~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(790));

-- Location: LCCOMB_X11_Y35_N2
\led_flash_cnt[791][0]~81431\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[791][0]~81431_combout\ = !\led_flash_cnt[791][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[791][0]~q\,
	combout => \led_flash_cnt[791][0]~81431_combout\);

-- Location: FF_X11_Y35_N3
\led_flash_cnt[791][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[791][0]~81431_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[791][0]~q\);

-- Location: LCCOMB_X10_Y35_N16
\led_flash_cnt[791][1]~37954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[791][1]~37954_combout\ = (\led_flash_cnt[791][0]~q\ & (\led_flash_cnt[791][1]~q\ $ (VCC))) # (!\led_flash_cnt[791][0]~q\ & (\led_flash_cnt[791][1]~q\ & VCC))
-- \led_flash_cnt[791][1]~37955\ = CARRY((\led_flash_cnt[791][0]~q\ & \led_flash_cnt[791][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[791][0]~q\,
	datab => \led_flash_cnt[791][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[791][1]~37954_combout\,
	cout => \led_flash_cnt[791][1]~37955\);

-- Location: FF_X10_Y35_N17
\led_flash_cnt[791][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[791][1]~37954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[791][1]~q\);

-- Location: LCCOMB_X10_Y35_N18
\led_flash_cnt[791][2]~37956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[791][2]~37956_combout\ = (\led_flash_cnt[791][2]~q\ & (!\led_flash_cnt[791][1]~37955\)) # (!\led_flash_cnt[791][2]~q\ & ((\led_flash_cnt[791][1]~37955\) # (GND)))
-- \led_flash_cnt[791][2]~37957\ = CARRY((!\led_flash_cnt[791][1]~37955\) # (!\led_flash_cnt[791][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[791][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[791][1]~37955\,
	combout => \led_flash_cnt[791][2]~37956_combout\,
	cout => \led_flash_cnt[791][2]~37957\);

-- Location: FF_X10_Y35_N19
\led_flash_cnt[791][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[791][2]~37956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[791][2]~q\);

-- Location: LCCOMB_X10_Y35_N20
\led_flash_cnt[791][3]~37958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[791][3]~37958_combout\ = (\led_flash_cnt[791][3]~q\ & (\led_flash_cnt[791][2]~37957\ $ (GND))) # (!\led_flash_cnt[791][3]~q\ & (!\led_flash_cnt[791][2]~37957\ & VCC))
-- \led_flash_cnt[791][3]~37959\ = CARRY((\led_flash_cnt[791][3]~q\ & !\led_flash_cnt[791][2]~37957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[791][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[791][2]~37957\,
	combout => \led_flash_cnt[791][3]~37958_combout\,
	cout => \led_flash_cnt[791][3]~37959\);

-- Location: FF_X10_Y35_N21
\led_flash_cnt[791][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[791][3]~37958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[791][3]~q\);

-- Location: LCCOMB_X10_Y35_N22
\led_flash_cnt[791][4]~37960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[791][4]~37960_combout\ = (\led_flash_cnt[791][4]~q\ & (!\led_flash_cnt[791][3]~37959\)) # (!\led_flash_cnt[791][4]~q\ & ((\led_flash_cnt[791][3]~37959\) # (GND)))
-- \led_flash_cnt[791][4]~37961\ = CARRY((!\led_flash_cnt[791][3]~37959\) # (!\led_flash_cnt[791][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[791][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[791][3]~37959\,
	combout => \led_flash_cnt[791][4]~37960_combout\,
	cout => \led_flash_cnt[791][4]~37961\);

-- Location: FF_X10_Y35_N23
\led_flash_cnt[791][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[791][4]~37960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[791][4]~q\);

-- Location: LCCOMB_X10_Y35_N14
\WideAnd791~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd791~0_combout\ = (\led_flash_cnt[791][3]~q\ & (\led_flash_cnt[791][1]~q\ & (\led_flash_cnt[791][4]~q\ & \led_flash_cnt[791][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[791][3]~q\,
	datab => \led_flash_cnt[791][1]~q\,
	datac => \led_flash_cnt[791][4]~q\,
	datad => \led_flash_cnt[791][2]~q\,
	combout => \WideAnd791~0_combout\);

-- Location: LCCOMB_X10_Y35_N24
\led_flash_cnt[791][5]~37962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[791][5]~37962_combout\ = (\led_flash_cnt[791][5]~q\ & (\led_flash_cnt[791][4]~37961\ $ (GND))) # (!\led_flash_cnt[791][5]~q\ & (!\led_flash_cnt[791][4]~37961\ & VCC))
-- \led_flash_cnt[791][5]~37963\ = CARRY((\led_flash_cnt[791][5]~q\ & !\led_flash_cnt[791][4]~37961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[791][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[791][4]~37961\,
	combout => \led_flash_cnt[791][5]~37962_combout\,
	cout => \led_flash_cnt[791][5]~37963\);

-- Location: FF_X10_Y35_N25
\led_flash_cnt[791][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[791][5]~37962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[791][5]~q\);

-- Location: LCCOMB_X10_Y35_N26
\led_flash_cnt[791][6]~37964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[791][6]~37964_combout\ = (\led_flash_cnt[791][6]~q\ & (!\led_flash_cnt[791][5]~37963\)) # (!\led_flash_cnt[791][6]~q\ & ((\led_flash_cnt[791][5]~37963\) # (GND)))
-- \led_flash_cnt[791][6]~37965\ = CARRY((!\led_flash_cnt[791][5]~37963\) # (!\led_flash_cnt[791][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[791][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[791][5]~37963\,
	combout => \led_flash_cnt[791][6]~37964_combout\,
	cout => \led_flash_cnt[791][6]~37965\);

-- Location: FF_X10_Y35_N27
\led_flash_cnt[791][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[791][6]~37964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[791][6]~q\);

-- Location: LCCOMB_X10_Y35_N28
\led_flash_cnt[791][7]~37966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[791][7]~37966_combout\ = \led_flash_cnt[791][6]~37965\ $ (!\led_flash_cnt[791][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[791][7]~q\,
	cin => \led_flash_cnt[791][6]~37965\,
	combout => \led_flash_cnt[791][7]~37966_combout\);

-- Location: FF_X10_Y35_N29
\led_flash_cnt[791][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[791][7]~37966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[791][7]~q\);

-- Location: LCCOMB_X11_Y35_N4
\WideAnd791~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd791~1_combout\ = (\led_flash_cnt[791][6]~q\ & \led_flash_cnt[791][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[791][6]~q\,
	datad => \led_flash_cnt[791][5]~q\,
	combout => \WideAnd791~1_combout\);

-- Location: LCCOMB_X11_Y35_N12
WideAnd791 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd791~combout\ = (\WideAnd791~0_combout\ & (\led_flash_cnt[791][7]~q\ & (\WideAnd791~1_combout\ & \led_flash_cnt[791][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd791~0_combout\,
	datab => \led_flash_cnt[791][7]~q\,
	datac => \WideAnd791~1_combout\,
	datad => \led_flash_cnt[791][0]~q\,
	combout => \WideAnd791~combout\);

-- Location: FF_X11_Y35_N13
\led_flash_cnt_ands[791]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd791~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(791));

-- Location: LCCOMB_X12_Y35_N0
WideAnd3938 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3938~combout\ = (\WideAnd3938~0_combout\ & (\WideAnd3938~1_combout\ & (led_flash_cnt_ands(790) & led_flash_cnt_ands(791))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3938~0_combout\,
	datab => \WideAnd3938~1_combout\,
	datac => led_flash_cnt_ands(790),
	datad => led_flash_cnt_ands(791),
	combout => \WideAnd3938~combout\);

-- Location: FF_X12_Y35_N1
\led_flash_cnt_ands_1[98]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3938~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(98));

-- Location: LCCOMB_X18_Y36_N2
\led_flash_cnt[783][0]~81423\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[783][0]~81423_combout\ = !\led_flash_cnt[783][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[783][0]~q\,
	combout => \led_flash_cnt[783][0]~81423_combout\);

-- Location: FF_X18_Y36_N3
\led_flash_cnt[783][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[783][0]~81423_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[783][0]~q\);

-- Location: LCCOMB_X19_Y36_N2
\led_flash_cnt[783][1]~37842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[783][1]~37842_combout\ = (\led_flash_cnt[783][0]~q\ & (\led_flash_cnt[783][1]~q\ $ (VCC))) # (!\led_flash_cnt[783][0]~q\ & (\led_flash_cnt[783][1]~q\ & VCC))
-- \led_flash_cnt[783][1]~37843\ = CARRY((\led_flash_cnt[783][0]~q\ & \led_flash_cnt[783][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[783][0]~q\,
	datab => \led_flash_cnt[783][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[783][1]~37842_combout\,
	cout => \led_flash_cnt[783][1]~37843\);

-- Location: FF_X19_Y36_N3
\led_flash_cnt[783][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[783][1]~37842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[783][1]~q\);

-- Location: LCCOMB_X19_Y36_N4
\led_flash_cnt[783][2]~37844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[783][2]~37844_combout\ = (\led_flash_cnt[783][2]~q\ & (!\led_flash_cnt[783][1]~37843\)) # (!\led_flash_cnt[783][2]~q\ & ((\led_flash_cnt[783][1]~37843\) # (GND)))
-- \led_flash_cnt[783][2]~37845\ = CARRY((!\led_flash_cnt[783][1]~37843\) # (!\led_flash_cnt[783][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[783][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[783][1]~37843\,
	combout => \led_flash_cnt[783][2]~37844_combout\,
	cout => \led_flash_cnt[783][2]~37845\);

-- Location: FF_X19_Y36_N5
\led_flash_cnt[783][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[783][2]~37844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[783][2]~q\);

-- Location: LCCOMB_X19_Y36_N6
\led_flash_cnt[783][3]~37846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[783][3]~37846_combout\ = (\led_flash_cnt[783][3]~q\ & (\led_flash_cnt[783][2]~37845\ $ (GND))) # (!\led_flash_cnt[783][3]~q\ & (!\led_flash_cnt[783][2]~37845\ & VCC))
-- \led_flash_cnt[783][3]~37847\ = CARRY((\led_flash_cnt[783][3]~q\ & !\led_flash_cnt[783][2]~37845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[783][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[783][2]~37845\,
	combout => \led_flash_cnt[783][3]~37846_combout\,
	cout => \led_flash_cnt[783][3]~37847\);

-- Location: FF_X19_Y36_N7
\led_flash_cnt[783][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[783][3]~37846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[783][3]~q\);

-- Location: LCCOMB_X19_Y36_N8
\led_flash_cnt[783][4]~37848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[783][4]~37848_combout\ = (\led_flash_cnt[783][4]~q\ & (!\led_flash_cnt[783][3]~37847\)) # (!\led_flash_cnt[783][4]~q\ & ((\led_flash_cnt[783][3]~37847\) # (GND)))
-- \led_flash_cnt[783][4]~37849\ = CARRY((!\led_flash_cnt[783][3]~37847\) # (!\led_flash_cnt[783][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[783][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[783][3]~37847\,
	combout => \led_flash_cnt[783][4]~37848_combout\,
	cout => \led_flash_cnt[783][4]~37849\);

-- Location: FF_X19_Y36_N9
\led_flash_cnt[783][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[783][4]~37848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[783][4]~q\);

-- Location: LCCOMB_X19_Y36_N10
\led_flash_cnt[783][5]~37850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[783][5]~37850_combout\ = (\led_flash_cnt[783][5]~q\ & (\led_flash_cnt[783][4]~37849\ $ (GND))) # (!\led_flash_cnt[783][5]~q\ & (!\led_flash_cnt[783][4]~37849\ & VCC))
-- \led_flash_cnt[783][5]~37851\ = CARRY((\led_flash_cnt[783][5]~q\ & !\led_flash_cnt[783][4]~37849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[783][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[783][4]~37849\,
	combout => \led_flash_cnt[783][5]~37850_combout\,
	cout => \led_flash_cnt[783][5]~37851\);

-- Location: FF_X19_Y36_N11
\led_flash_cnt[783][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[783][5]~37850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[783][5]~q\);

-- Location: LCCOMB_X19_Y36_N12
\led_flash_cnt[783][6]~37852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[783][6]~37852_combout\ = (\led_flash_cnt[783][6]~q\ & (!\led_flash_cnt[783][5]~37851\)) # (!\led_flash_cnt[783][6]~q\ & ((\led_flash_cnt[783][5]~37851\) # (GND)))
-- \led_flash_cnt[783][6]~37853\ = CARRY((!\led_flash_cnt[783][5]~37851\) # (!\led_flash_cnt[783][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[783][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[783][5]~37851\,
	combout => \led_flash_cnt[783][6]~37852_combout\,
	cout => \led_flash_cnt[783][6]~37853\);

-- Location: FF_X19_Y36_N13
\led_flash_cnt[783][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[783][6]~37852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[783][6]~q\);

-- Location: LCCOMB_X18_Y36_N30
\WideAnd783~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd783~1_combout\ = (\led_flash_cnt[783][6]~q\ & \led_flash_cnt[783][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[783][6]~q\,
	datac => \led_flash_cnt[783][5]~q\,
	combout => \WideAnd783~1_combout\);

-- Location: LCCOMB_X19_Y36_N14
\led_flash_cnt[783][7]~37854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[783][7]~37854_combout\ = \led_flash_cnt[783][7]~q\ $ (!\led_flash_cnt[783][6]~37853\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[783][7]~q\,
	cin => \led_flash_cnt[783][6]~37853\,
	combout => \led_flash_cnt[783][7]~37854_combout\);

-- Location: FF_X19_Y36_N15
\led_flash_cnt[783][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[783][7]~37854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[783][7]~q\);

-- Location: LCCOMB_X19_Y36_N0
\WideAnd783~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd783~0_combout\ = (\led_flash_cnt[783][3]~q\ & (\led_flash_cnt[783][2]~q\ & (\led_flash_cnt[783][4]~q\ & \led_flash_cnt[783][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[783][3]~q\,
	datab => \led_flash_cnt[783][2]~q\,
	datac => \led_flash_cnt[783][4]~q\,
	datad => \led_flash_cnt[783][1]~q\,
	combout => \WideAnd783~0_combout\);

-- Location: LCCOMB_X18_Y36_N26
WideAnd783 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd783~combout\ = (\WideAnd783~1_combout\ & (\led_flash_cnt[783][7]~q\ & (\WideAnd783~0_combout\ & \led_flash_cnt[783][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd783~1_combout\,
	datab => \led_flash_cnt[783][7]~q\,
	datac => \WideAnd783~0_combout\,
	datad => \led_flash_cnt[783][0]~q\,
	combout => \WideAnd783~combout\);

-- Location: FF_X18_Y36_N27
\led_flash_cnt_ands[783]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd783~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(783));

-- Location: LCCOMB_X12_Y37_N2
\led_flash_cnt[780][0]~81420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[780][0]~81420_combout\ = !\led_flash_cnt[780][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[780][0]~q\,
	combout => \led_flash_cnt[780][0]~81420_combout\);

-- Location: FF_X12_Y37_N3
\led_flash_cnt[780][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[780][0]~81420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[780][0]~q\);

-- Location: LCCOMB_X11_Y37_N0
\led_flash_cnt[780][1]~37800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[780][1]~37800_combout\ = (\led_flash_cnt[780][0]~q\ & (\led_flash_cnt[780][1]~q\ $ (VCC))) # (!\led_flash_cnt[780][0]~q\ & (\led_flash_cnt[780][1]~q\ & VCC))
-- \led_flash_cnt[780][1]~37801\ = CARRY((\led_flash_cnt[780][0]~q\ & \led_flash_cnt[780][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[780][0]~q\,
	datab => \led_flash_cnt[780][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[780][1]~37800_combout\,
	cout => \led_flash_cnt[780][1]~37801\);

-- Location: FF_X11_Y37_N1
\led_flash_cnt[780][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[780][1]~37800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[780][1]~q\);

-- Location: LCCOMB_X11_Y37_N2
\led_flash_cnt[780][2]~37802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[780][2]~37802_combout\ = (\led_flash_cnt[780][2]~q\ & (!\led_flash_cnt[780][1]~37801\)) # (!\led_flash_cnt[780][2]~q\ & ((\led_flash_cnt[780][1]~37801\) # (GND)))
-- \led_flash_cnt[780][2]~37803\ = CARRY((!\led_flash_cnt[780][1]~37801\) # (!\led_flash_cnt[780][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[780][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[780][1]~37801\,
	combout => \led_flash_cnt[780][2]~37802_combout\,
	cout => \led_flash_cnt[780][2]~37803\);

-- Location: FF_X11_Y37_N3
\led_flash_cnt[780][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[780][2]~37802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[780][2]~q\);

-- Location: LCCOMB_X11_Y37_N4
\led_flash_cnt[780][3]~37804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[780][3]~37804_combout\ = (\led_flash_cnt[780][3]~q\ & (\led_flash_cnt[780][2]~37803\ $ (GND))) # (!\led_flash_cnt[780][3]~q\ & (!\led_flash_cnt[780][2]~37803\ & VCC))
-- \led_flash_cnt[780][3]~37805\ = CARRY((\led_flash_cnt[780][3]~q\ & !\led_flash_cnt[780][2]~37803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[780][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[780][2]~37803\,
	combout => \led_flash_cnt[780][3]~37804_combout\,
	cout => \led_flash_cnt[780][3]~37805\);

-- Location: FF_X11_Y37_N5
\led_flash_cnt[780][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[780][3]~37804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[780][3]~q\);

-- Location: LCCOMB_X11_Y37_N6
\led_flash_cnt[780][4]~37806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[780][4]~37806_combout\ = (\led_flash_cnt[780][4]~q\ & (!\led_flash_cnt[780][3]~37805\)) # (!\led_flash_cnt[780][4]~q\ & ((\led_flash_cnt[780][3]~37805\) # (GND)))
-- \led_flash_cnt[780][4]~37807\ = CARRY((!\led_flash_cnt[780][3]~37805\) # (!\led_flash_cnt[780][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[780][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[780][3]~37805\,
	combout => \led_flash_cnt[780][4]~37806_combout\,
	cout => \led_flash_cnt[780][4]~37807\);

-- Location: FF_X11_Y37_N7
\led_flash_cnt[780][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[780][4]~37806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[780][4]~q\);

-- Location: LCCOMB_X11_Y37_N8
\led_flash_cnt[780][5]~37808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[780][5]~37808_combout\ = (\led_flash_cnt[780][5]~q\ & (\led_flash_cnt[780][4]~37807\ $ (GND))) # (!\led_flash_cnt[780][5]~q\ & (!\led_flash_cnt[780][4]~37807\ & VCC))
-- \led_flash_cnt[780][5]~37809\ = CARRY((\led_flash_cnt[780][5]~q\ & !\led_flash_cnt[780][4]~37807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[780][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[780][4]~37807\,
	combout => \led_flash_cnt[780][5]~37808_combout\,
	cout => \led_flash_cnt[780][5]~37809\);

-- Location: FF_X11_Y37_N9
\led_flash_cnt[780][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[780][5]~37808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[780][5]~q\);

-- Location: LCCOMB_X11_Y37_N10
\led_flash_cnt[780][6]~37810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[780][6]~37810_combout\ = (\led_flash_cnt[780][6]~q\ & (!\led_flash_cnt[780][5]~37809\)) # (!\led_flash_cnt[780][6]~q\ & ((\led_flash_cnt[780][5]~37809\) # (GND)))
-- \led_flash_cnt[780][6]~37811\ = CARRY((!\led_flash_cnt[780][5]~37809\) # (!\led_flash_cnt[780][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[780][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[780][5]~37809\,
	combout => \led_flash_cnt[780][6]~37810_combout\,
	cout => \led_flash_cnt[780][6]~37811\);

-- Location: FF_X11_Y37_N11
\led_flash_cnt[780][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[780][6]~37810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[780][6]~q\);

-- Location: LCCOMB_X11_Y37_N12
\led_flash_cnt[780][7]~37812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[780][7]~37812_combout\ = \led_flash_cnt[780][6]~37811\ $ (!\led_flash_cnt[780][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[780][7]~q\,
	cin => \led_flash_cnt[780][6]~37811\,
	combout => \led_flash_cnt[780][7]~37812_combout\);

-- Location: FF_X11_Y37_N13
\led_flash_cnt[780][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[780][7]~37812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[780][7]~q\);

-- Location: LCCOMB_X12_Y37_N14
\WideAnd780~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd780~1_combout\ = (\led_flash_cnt[780][6]~q\ & \led_flash_cnt[780][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[780][6]~q\,
	datad => \led_flash_cnt[780][5]~q\,
	combout => \WideAnd780~1_combout\);

-- Location: LCCOMB_X11_Y37_N16
\WideAnd780~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd780~0_combout\ = (\led_flash_cnt[780][4]~q\ & (\led_flash_cnt[780][1]~q\ & (\led_flash_cnt[780][3]~q\ & \led_flash_cnt[780][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[780][4]~q\,
	datab => \led_flash_cnt[780][1]~q\,
	datac => \led_flash_cnt[780][3]~q\,
	datad => \led_flash_cnt[780][2]~q\,
	combout => \WideAnd780~0_combout\);

-- Location: LCCOMB_X12_Y37_N4
WideAnd780 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd780~combout\ = (\led_flash_cnt[780][7]~q\ & (\WideAnd780~1_combout\ & (\WideAnd780~0_combout\ & \led_flash_cnt[780][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[780][7]~q\,
	datab => \WideAnd780~1_combout\,
	datac => \WideAnd780~0_combout\,
	datad => \led_flash_cnt[780][0]~q\,
	combout => \WideAnd780~combout\);

-- Location: FF_X12_Y37_N5
\led_flash_cnt_ands[780]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd780~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(780));

-- Location: LCCOMB_X12_Y37_N6
\led_flash_cnt[781][0]~81421\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[781][0]~81421_combout\ = !\led_flash_cnt[781][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[781][0]~q\,
	combout => \led_flash_cnt[781][0]~81421_combout\);

-- Location: FF_X12_Y37_N7
\led_flash_cnt[781][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[781][0]~81421_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[781][0]~q\);

-- Location: LCCOMB_X12_Y37_N18
\led_flash_cnt[781][1]~37814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[781][1]~37814_combout\ = (\led_flash_cnt[781][0]~q\ & (\led_flash_cnt[781][1]~q\ $ (VCC))) # (!\led_flash_cnt[781][0]~q\ & (\led_flash_cnt[781][1]~q\ & VCC))
-- \led_flash_cnt[781][1]~37815\ = CARRY((\led_flash_cnt[781][0]~q\ & \led_flash_cnt[781][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[781][0]~q\,
	datab => \led_flash_cnt[781][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[781][1]~37814_combout\,
	cout => \led_flash_cnt[781][1]~37815\);

-- Location: FF_X12_Y37_N19
\led_flash_cnt[781][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[781][1]~37814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[781][1]~q\);

-- Location: LCCOMB_X12_Y37_N20
\led_flash_cnt[781][2]~37816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[781][2]~37816_combout\ = (\led_flash_cnt[781][2]~q\ & (!\led_flash_cnt[781][1]~37815\)) # (!\led_flash_cnt[781][2]~q\ & ((\led_flash_cnt[781][1]~37815\) # (GND)))
-- \led_flash_cnt[781][2]~37817\ = CARRY((!\led_flash_cnt[781][1]~37815\) # (!\led_flash_cnt[781][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[781][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[781][1]~37815\,
	combout => \led_flash_cnt[781][2]~37816_combout\,
	cout => \led_flash_cnt[781][2]~37817\);

-- Location: FF_X12_Y37_N21
\led_flash_cnt[781][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[781][2]~37816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[781][2]~q\);

-- Location: LCCOMB_X12_Y37_N22
\led_flash_cnt[781][3]~37818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[781][3]~37818_combout\ = (\led_flash_cnt[781][3]~q\ & (\led_flash_cnt[781][2]~37817\ $ (GND))) # (!\led_flash_cnt[781][3]~q\ & (!\led_flash_cnt[781][2]~37817\ & VCC))
-- \led_flash_cnt[781][3]~37819\ = CARRY((\led_flash_cnt[781][3]~q\ & !\led_flash_cnt[781][2]~37817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[781][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[781][2]~37817\,
	combout => \led_flash_cnt[781][3]~37818_combout\,
	cout => \led_flash_cnt[781][3]~37819\);

-- Location: FF_X12_Y37_N23
\led_flash_cnt[781][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[781][3]~37818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[781][3]~q\);

-- Location: LCCOMB_X12_Y37_N24
\led_flash_cnt[781][4]~37820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[781][4]~37820_combout\ = (\led_flash_cnt[781][4]~q\ & (!\led_flash_cnt[781][3]~37819\)) # (!\led_flash_cnt[781][4]~q\ & ((\led_flash_cnt[781][3]~37819\) # (GND)))
-- \led_flash_cnt[781][4]~37821\ = CARRY((!\led_flash_cnt[781][3]~37819\) # (!\led_flash_cnt[781][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[781][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[781][3]~37819\,
	combout => \led_flash_cnt[781][4]~37820_combout\,
	cout => \led_flash_cnt[781][4]~37821\);

-- Location: FF_X12_Y37_N25
\led_flash_cnt[781][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[781][4]~37820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[781][4]~q\);

-- Location: LCCOMB_X12_Y37_N8
\WideAnd781~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd781~0_combout\ = (\led_flash_cnt[781][4]~q\ & (\led_flash_cnt[781][1]~q\ & (\led_flash_cnt[781][3]~q\ & \led_flash_cnt[781][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[781][4]~q\,
	datab => \led_flash_cnt[781][1]~q\,
	datac => \led_flash_cnt[781][3]~q\,
	datad => \led_flash_cnt[781][2]~q\,
	combout => \WideAnd781~0_combout\);

-- Location: LCCOMB_X12_Y37_N26
\led_flash_cnt[781][5]~37822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[781][5]~37822_combout\ = (\led_flash_cnt[781][5]~q\ & (\led_flash_cnt[781][4]~37821\ $ (GND))) # (!\led_flash_cnt[781][5]~q\ & (!\led_flash_cnt[781][4]~37821\ & VCC))
-- \led_flash_cnt[781][5]~37823\ = CARRY((\led_flash_cnt[781][5]~q\ & !\led_flash_cnt[781][4]~37821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[781][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[781][4]~37821\,
	combout => \led_flash_cnt[781][5]~37822_combout\,
	cout => \led_flash_cnt[781][5]~37823\);

-- Location: FF_X12_Y37_N27
\led_flash_cnt[781][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[781][5]~37822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[781][5]~q\);

-- Location: LCCOMB_X12_Y37_N28
\led_flash_cnt[781][6]~37824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[781][6]~37824_combout\ = (\led_flash_cnt[781][6]~q\ & (!\led_flash_cnt[781][5]~37823\)) # (!\led_flash_cnt[781][6]~q\ & ((\led_flash_cnt[781][5]~37823\) # (GND)))
-- \led_flash_cnt[781][6]~37825\ = CARRY((!\led_flash_cnt[781][5]~37823\) # (!\led_flash_cnt[781][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[781][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[781][5]~37823\,
	combout => \led_flash_cnt[781][6]~37824_combout\,
	cout => \led_flash_cnt[781][6]~37825\);

-- Location: FF_X12_Y37_N29
\led_flash_cnt[781][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[781][6]~37824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[781][6]~q\);

-- Location: LCCOMB_X12_Y37_N30
\led_flash_cnt[781][7]~37826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[781][7]~37826_combout\ = \led_flash_cnt[781][7]~q\ $ (!\led_flash_cnt[781][6]~37825\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[781][7]~q\,
	cin => \led_flash_cnt[781][6]~37825\,
	combout => \led_flash_cnt[781][7]~37826_combout\);

-- Location: FF_X12_Y37_N31
\led_flash_cnt[781][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[781][7]~37826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[781][7]~q\);

-- Location: LCCOMB_X12_Y37_N16
\WideAnd781~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd781~1_combout\ = (\led_flash_cnt[781][5]~q\ & \led_flash_cnt[781][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[781][5]~q\,
	datad => \led_flash_cnt[781][6]~q\,
	combout => \WideAnd781~1_combout\);

-- Location: LCCOMB_X12_Y37_N10
WideAnd781 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd781~combout\ = (\led_flash_cnt[781][0]~q\ & (\WideAnd781~0_combout\ & (\led_flash_cnt[781][7]~q\ & \WideAnd781~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[781][0]~q\,
	datab => \WideAnd781~0_combout\,
	datac => \led_flash_cnt[781][7]~q\,
	datad => \WideAnd781~1_combout\,
	combout => \WideAnd781~combout\);

-- Location: FF_X12_Y37_N11
\led_flash_cnt_ands[781]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd781~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(781));

-- Location: LCCOMB_X12_Y37_N12
\WideAnd3937~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3937~1_combout\ = (led_flash_cnt_ands(780) & led_flash_cnt_ands(781))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(780),
	datad => led_flash_cnt_ands(781),
	combout => \WideAnd3937~1_combout\);

-- Location: LCCOMB_X23_Y37_N2
\led_flash_cnt[779][0]~81419\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[779][0]~81419_combout\ = !\led_flash_cnt[779][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[779][0]~q\,
	combout => \led_flash_cnt[779][0]~81419_combout\);

-- Location: FF_X23_Y37_N3
\led_flash_cnt[779][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[779][0]~81419_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[779][0]~q\);

-- Location: LCCOMB_X23_Y37_N6
\led_flash_cnt[779][1]~37786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[779][1]~37786_combout\ = (\led_flash_cnt[779][1]~q\ & (\led_flash_cnt[779][0]~q\ $ (VCC))) # (!\led_flash_cnt[779][1]~q\ & (\led_flash_cnt[779][0]~q\ & VCC))
-- \led_flash_cnt[779][1]~37787\ = CARRY((\led_flash_cnt[779][1]~q\ & \led_flash_cnt[779][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[779][1]~q\,
	datab => \led_flash_cnt[779][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[779][1]~37786_combout\,
	cout => \led_flash_cnt[779][1]~37787\);

-- Location: FF_X23_Y37_N7
\led_flash_cnt[779][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[779][1]~37786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[779][1]~q\);

-- Location: LCCOMB_X23_Y37_N8
\led_flash_cnt[779][2]~37788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[779][2]~37788_combout\ = (\led_flash_cnt[779][2]~q\ & (!\led_flash_cnt[779][1]~37787\)) # (!\led_flash_cnt[779][2]~q\ & ((\led_flash_cnt[779][1]~37787\) # (GND)))
-- \led_flash_cnt[779][2]~37789\ = CARRY((!\led_flash_cnt[779][1]~37787\) # (!\led_flash_cnt[779][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[779][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[779][1]~37787\,
	combout => \led_flash_cnt[779][2]~37788_combout\,
	cout => \led_flash_cnt[779][2]~37789\);

-- Location: FF_X23_Y37_N9
\led_flash_cnt[779][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[779][2]~37788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[779][2]~q\);

-- Location: LCCOMB_X23_Y37_N10
\led_flash_cnt[779][3]~37790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[779][3]~37790_combout\ = (\led_flash_cnt[779][3]~q\ & (\led_flash_cnt[779][2]~37789\ $ (GND))) # (!\led_flash_cnt[779][3]~q\ & (!\led_flash_cnt[779][2]~37789\ & VCC))
-- \led_flash_cnt[779][3]~37791\ = CARRY((\led_flash_cnt[779][3]~q\ & !\led_flash_cnt[779][2]~37789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[779][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[779][2]~37789\,
	combout => \led_flash_cnt[779][3]~37790_combout\,
	cout => \led_flash_cnt[779][3]~37791\);

-- Location: FF_X23_Y37_N11
\led_flash_cnt[779][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[779][3]~37790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[779][3]~q\);

-- Location: LCCOMB_X23_Y37_N12
\led_flash_cnt[779][4]~37792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[779][4]~37792_combout\ = (\led_flash_cnt[779][4]~q\ & (!\led_flash_cnt[779][3]~37791\)) # (!\led_flash_cnt[779][4]~q\ & ((\led_flash_cnt[779][3]~37791\) # (GND)))
-- \led_flash_cnt[779][4]~37793\ = CARRY((!\led_flash_cnt[779][3]~37791\) # (!\led_flash_cnt[779][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[779][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[779][3]~37791\,
	combout => \led_flash_cnt[779][4]~37792_combout\,
	cout => \led_flash_cnt[779][4]~37793\);

-- Location: FF_X23_Y37_N13
\led_flash_cnt[779][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[779][4]~37792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[779][4]~q\);

-- Location: LCCOMB_X23_Y37_N14
\led_flash_cnt[779][5]~37794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[779][5]~37794_combout\ = (\led_flash_cnt[779][5]~q\ & (\led_flash_cnt[779][4]~37793\ $ (GND))) # (!\led_flash_cnt[779][5]~q\ & (!\led_flash_cnt[779][4]~37793\ & VCC))
-- \led_flash_cnt[779][5]~37795\ = CARRY((\led_flash_cnt[779][5]~q\ & !\led_flash_cnt[779][4]~37793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[779][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[779][4]~37793\,
	combout => \led_flash_cnt[779][5]~37794_combout\,
	cout => \led_flash_cnt[779][5]~37795\);

-- Location: FF_X23_Y37_N15
\led_flash_cnt[779][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[779][5]~37794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[779][5]~q\);

-- Location: LCCOMB_X23_Y37_N16
\led_flash_cnt[779][6]~37796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[779][6]~37796_combout\ = (\led_flash_cnt[779][6]~q\ & (!\led_flash_cnt[779][5]~37795\)) # (!\led_flash_cnt[779][6]~q\ & ((\led_flash_cnt[779][5]~37795\) # (GND)))
-- \led_flash_cnt[779][6]~37797\ = CARRY((!\led_flash_cnt[779][5]~37795\) # (!\led_flash_cnt[779][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[779][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[779][5]~37795\,
	combout => \led_flash_cnt[779][6]~37796_combout\,
	cout => \led_flash_cnt[779][6]~37797\);

-- Location: FF_X23_Y37_N17
\led_flash_cnt[779][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[779][6]~37796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[779][6]~q\);

-- Location: LCCOMB_X23_Y37_N18
\led_flash_cnt[779][7]~37798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[779][7]~37798_combout\ = \led_flash_cnt[779][7]~q\ $ (!\led_flash_cnt[779][6]~37797\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[779][7]~q\,
	cin => \led_flash_cnt[779][6]~37797\,
	combout => \led_flash_cnt[779][7]~37798_combout\);

-- Location: FF_X23_Y37_N19
\led_flash_cnt[779][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[779][7]~37798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[779][7]~q\);

-- Location: LCCOMB_X23_Y37_N4
\WideAnd779~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd779~1_combout\ = (\led_flash_cnt[779][5]~q\ & \led_flash_cnt[779][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[779][5]~q\,
	datad => \led_flash_cnt[779][6]~q\,
	combout => \WideAnd779~1_combout\);

-- Location: LCCOMB_X23_Y37_N20
\WideAnd779~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd779~0_combout\ = (\led_flash_cnt[779][1]~q\ & (\led_flash_cnt[779][4]~q\ & (\led_flash_cnt[779][2]~q\ & \led_flash_cnt[779][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[779][1]~q\,
	datab => \led_flash_cnt[779][4]~q\,
	datac => \led_flash_cnt[779][2]~q\,
	datad => \led_flash_cnt[779][3]~q\,
	combout => \WideAnd779~0_combout\);

-- Location: LCCOMB_X23_Y37_N22
WideAnd779 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd779~combout\ = (\led_flash_cnt[779][7]~q\ & (\led_flash_cnt[779][0]~q\ & (\WideAnd779~1_combout\ & \WideAnd779~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[779][7]~q\,
	datab => \led_flash_cnt[779][0]~q\,
	datac => \WideAnd779~1_combout\,
	datad => \WideAnd779~0_combout\,
	combout => \WideAnd779~combout\);

-- Location: FF_X23_Y37_N23
\led_flash_cnt_ands[779]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd779~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(779));

-- Location: LCCOMB_X23_Y37_N0
\led_flash_cnt[777][0]~81417\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[777][0]~81417_combout\ = !\led_flash_cnt[777][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[777][0]~q\,
	combout => \led_flash_cnt[777][0]~81417_combout\);

-- Location: FF_X23_Y37_N1
\led_flash_cnt[777][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[777][0]~81417_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[777][0]~q\);

-- Location: LCCOMB_X23_Y38_N16
\led_flash_cnt[777][1]~37758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[777][1]~37758_combout\ = (\led_flash_cnt[777][0]~q\ & (\led_flash_cnt[777][1]~q\ $ (VCC))) # (!\led_flash_cnt[777][0]~q\ & (\led_flash_cnt[777][1]~q\ & VCC))
-- \led_flash_cnt[777][1]~37759\ = CARRY((\led_flash_cnt[777][0]~q\ & \led_flash_cnt[777][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[777][0]~q\,
	datab => \led_flash_cnt[777][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[777][1]~37758_combout\,
	cout => \led_flash_cnt[777][1]~37759\);

-- Location: FF_X23_Y38_N17
\led_flash_cnt[777][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[777][1]~37758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[777][1]~q\);

-- Location: LCCOMB_X23_Y38_N18
\led_flash_cnt[777][2]~37760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[777][2]~37760_combout\ = (\led_flash_cnt[777][2]~q\ & (!\led_flash_cnt[777][1]~37759\)) # (!\led_flash_cnt[777][2]~q\ & ((\led_flash_cnt[777][1]~37759\) # (GND)))
-- \led_flash_cnt[777][2]~37761\ = CARRY((!\led_flash_cnt[777][1]~37759\) # (!\led_flash_cnt[777][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[777][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[777][1]~37759\,
	combout => \led_flash_cnt[777][2]~37760_combout\,
	cout => \led_flash_cnt[777][2]~37761\);

-- Location: FF_X23_Y38_N19
\led_flash_cnt[777][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[777][2]~37760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[777][2]~q\);

-- Location: LCCOMB_X23_Y38_N20
\led_flash_cnt[777][3]~37762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[777][3]~37762_combout\ = (\led_flash_cnt[777][3]~q\ & (\led_flash_cnt[777][2]~37761\ $ (GND))) # (!\led_flash_cnt[777][3]~q\ & (!\led_flash_cnt[777][2]~37761\ & VCC))
-- \led_flash_cnt[777][3]~37763\ = CARRY((\led_flash_cnt[777][3]~q\ & !\led_flash_cnt[777][2]~37761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[777][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[777][2]~37761\,
	combout => \led_flash_cnt[777][3]~37762_combout\,
	cout => \led_flash_cnt[777][3]~37763\);

-- Location: FF_X23_Y38_N21
\led_flash_cnt[777][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[777][3]~37762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[777][3]~q\);

-- Location: LCCOMB_X23_Y38_N22
\led_flash_cnt[777][4]~37764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[777][4]~37764_combout\ = (\led_flash_cnt[777][4]~q\ & (!\led_flash_cnt[777][3]~37763\)) # (!\led_flash_cnt[777][4]~q\ & ((\led_flash_cnt[777][3]~37763\) # (GND)))
-- \led_flash_cnt[777][4]~37765\ = CARRY((!\led_flash_cnt[777][3]~37763\) # (!\led_flash_cnt[777][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[777][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[777][3]~37763\,
	combout => \led_flash_cnt[777][4]~37764_combout\,
	cout => \led_flash_cnt[777][4]~37765\);

-- Location: FF_X23_Y38_N23
\led_flash_cnt[777][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[777][4]~37764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[777][4]~q\);

-- Location: LCCOMB_X23_Y38_N24
\led_flash_cnt[777][5]~37766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[777][5]~37766_combout\ = (\led_flash_cnt[777][5]~q\ & (\led_flash_cnt[777][4]~37765\ $ (GND))) # (!\led_flash_cnt[777][5]~q\ & (!\led_flash_cnt[777][4]~37765\ & VCC))
-- \led_flash_cnt[777][5]~37767\ = CARRY((\led_flash_cnt[777][5]~q\ & !\led_flash_cnt[777][4]~37765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[777][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[777][4]~37765\,
	combout => \led_flash_cnt[777][5]~37766_combout\,
	cout => \led_flash_cnt[777][5]~37767\);

-- Location: FF_X23_Y38_N25
\led_flash_cnt[777][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[777][5]~37766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[777][5]~q\);

-- Location: LCCOMB_X23_Y38_N26
\led_flash_cnt[777][6]~37768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[777][6]~37768_combout\ = (\led_flash_cnt[777][6]~q\ & (!\led_flash_cnt[777][5]~37767\)) # (!\led_flash_cnt[777][6]~q\ & ((\led_flash_cnt[777][5]~37767\) # (GND)))
-- \led_flash_cnt[777][6]~37769\ = CARRY((!\led_flash_cnt[777][5]~37767\) # (!\led_flash_cnt[777][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[777][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[777][5]~37767\,
	combout => \led_flash_cnt[777][6]~37768_combout\,
	cout => \led_flash_cnt[777][6]~37769\);

-- Location: FF_X23_Y38_N27
\led_flash_cnt[777][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[777][6]~37768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[777][6]~q\);

-- Location: LCCOMB_X23_Y38_N30
\WideAnd777~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd777~1_combout\ = (\led_flash_cnt[777][6]~q\ & \led_flash_cnt[777][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[777][6]~q\,
	datad => \led_flash_cnt[777][5]~q\,
	combout => \WideAnd777~1_combout\);

-- Location: LCCOMB_X23_Y38_N28
\led_flash_cnt[777][7]~37770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[777][7]~37770_combout\ = \led_flash_cnt[777][6]~37769\ $ (!\led_flash_cnt[777][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[777][7]~q\,
	cin => \led_flash_cnt[777][6]~37769\,
	combout => \led_flash_cnt[777][7]~37770_combout\);

-- Location: FF_X23_Y38_N29
\led_flash_cnt[777][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[777][7]~37770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[777][7]~q\);

-- Location: LCCOMB_X23_Y38_N14
\WideAnd777~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd777~0_combout\ = (\led_flash_cnt[777][2]~q\ & (\led_flash_cnt[777][3]~q\ & (\led_flash_cnt[777][4]~q\ & \led_flash_cnt[777][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[777][2]~q\,
	datab => \led_flash_cnt[777][3]~q\,
	datac => \led_flash_cnt[777][4]~q\,
	datad => \led_flash_cnt[777][1]~q\,
	combout => \WideAnd777~0_combout\);

-- Location: LCCOMB_X23_Y37_N24
WideAnd777 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd777~combout\ = (\WideAnd777~1_combout\ & (\led_flash_cnt[777][0]~q\ & (\led_flash_cnt[777][7]~q\ & \WideAnd777~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd777~1_combout\,
	datab => \led_flash_cnt[777][0]~q\,
	datac => \led_flash_cnt[777][7]~q\,
	datad => \WideAnd777~0_combout\,
	combout => \WideAnd777~combout\);

-- Location: FF_X23_Y37_N25
\led_flash_cnt_ands[777]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd777~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(777));

-- Location: LCCOMB_X15_Y34_N4
\led_flash_cnt[778][0]~81418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[778][0]~81418_combout\ = !\led_flash_cnt[778][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[778][0]~q\,
	combout => \led_flash_cnt[778][0]~81418_combout\);

-- Location: FF_X15_Y34_N5
\led_flash_cnt[778][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[778][0]~81418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[778][0]~q\);

-- Location: LCCOMB_X14_Y34_N2
\led_flash_cnt[778][1]~37772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[778][1]~37772_combout\ = (\led_flash_cnt[778][0]~q\ & (\led_flash_cnt[778][1]~q\ $ (VCC))) # (!\led_flash_cnt[778][0]~q\ & (\led_flash_cnt[778][1]~q\ & VCC))
-- \led_flash_cnt[778][1]~37773\ = CARRY((\led_flash_cnt[778][0]~q\ & \led_flash_cnt[778][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[778][0]~q\,
	datab => \led_flash_cnt[778][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[778][1]~37772_combout\,
	cout => \led_flash_cnt[778][1]~37773\);

-- Location: FF_X14_Y34_N3
\led_flash_cnt[778][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[778][1]~37772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[778][1]~q\);

-- Location: LCCOMB_X14_Y34_N4
\led_flash_cnt[778][2]~37774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[778][2]~37774_combout\ = (\led_flash_cnt[778][2]~q\ & (!\led_flash_cnt[778][1]~37773\)) # (!\led_flash_cnt[778][2]~q\ & ((\led_flash_cnt[778][1]~37773\) # (GND)))
-- \led_flash_cnt[778][2]~37775\ = CARRY((!\led_flash_cnt[778][1]~37773\) # (!\led_flash_cnt[778][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[778][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[778][1]~37773\,
	combout => \led_flash_cnt[778][2]~37774_combout\,
	cout => \led_flash_cnt[778][2]~37775\);

-- Location: FF_X14_Y34_N5
\led_flash_cnt[778][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[778][2]~37774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[778][2]~q\);

-- Location: LCCOMB_X14_Y34_N6
\led_flash_cnt[778][3]~37776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[778][3]~37776_combout\ = (\led_flash_cnt[778][3]~q\ & (\led_flash_cnt[778][2]~37775\ $ (GND))) # (!\led_flash_cnt[778][3]~q\ & (!\led_flash_cnt[778][2]~37775\ & VCC))
-- \led_flash_cnt[778][3]~37777\ = CARRY((\led_flash_cnt[778][3]~q\ & !\led_flash_cnt[778][2]~37775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[778][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[778][2]~37775\,
	combout => \led_flash_cnt[778][3]~37776_combout\,
	cout => \led_flash_cnt[778][3]~37777\);

-- Location: FF_X14_Y34_N7
\led_flash_cnt[778][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[778][3]~37776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[778][3]~q\);

-- Location: LCCOMB_X14_Y34_N8
\led_flash_cnt[778][4]~37778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[778][4]~37778_combout\ = (\led_flash_cnt[778][4]~q\ & (!\led_flash_cnt[778][3]~37777\)) # (!\led_flash_cnt[778][4]~q\ & ((\led_flash_cnt[778][3]~37777\) # (GND)))
-- \led_flash_cnt[778][4]~37779\ = CARRY((!\led_flash_cnt[778][3]~37777\) # (!\led_flash_cnt[778][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[778][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[778][3]~37777\,
	combout => \led_flash_cnt[778][4]~37778_combout\,
	cout => \led_flash_cnt[778][4]~37779\);

-- Location: FF_X14_Y34_N9
\led_flash_cnt[778][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[778][4]~37778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[778][4]~q\);

-- Location: LCCOMB_X14_Y34_N16
\WideAnd778~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd778~0_combout\ = (\led_flash_cnt[778][3]~q\ & (\led_flash_cnt[778][4]~q\ & (\led_flash_cnt[778][2]~q\ & \led_flash_cnt[778][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[778][3]~q\,
	datab => \led_flash_cnt[778][4]~q\,
	datac => \led_flash_cnt[778][2]~q\,
	datad => \led_flash_cnt[778][1]~q\,
	combout => \WideAnd778~0_combout\);

-- Location: LCCOMB_X14_Y34_N10
\led_flash_cnt[778][5]~37780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[778][5]~37780_combout\ = (\led_flash_cnt[778][5]~q\ & (\led_flash_cnt[778][4]~37779\ $ (GND))) # (!\led_flash_cnt[778][5]~q\ & (!\led_flash_cnt[778][4]~37779\ & VCC))
-- \led_flash_cnt[778][5]~37781\ = CARRY((\led_flash_cnt[778][5]~q\ & !\led_flash_cnt[778][4]~37779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[778][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[778][4]~37779\,
	combout => \led_flash_cnt[778][5]~37780_combout\,
	cout => \led_flash_cnt[778][5]~37781\);

-- Location: FF_X14_Y34_N11
\led_flash_cnt[778][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[778][5]~37780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[778][5]~q\);

-- Location: LCCOMB_X14_Y34_N12
\led_flash_cnt[778][6]~37782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[778][6]~37782_combout\ = (\led_flash_cnt[778][6]~q\ & (!\led_flash_cnt[778][5]~37781\)) # (!\led_flash_cnt[778][6]~q\ & ((\led_flash_cnt[778][5]~37781\) # (GND)))
-- \led_flash_cnt[778][6]~37783\ = CARRY((!\led_flash_cnt[778][5]~37781\) # (!\led_flash_cnt[778][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[778][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[778][5]~37781\,
	combout => \led_flash_cnt[778][6]~37782_combout\,
	cout => \led_flash_cnt[778][6]~37783\);

-- Location: FF_X14_Y34_N13
\led_flash_cnt[778][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[778][6]~37782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[778][6]~q\);

-- Location: LCCOMB_X15_Y34_N28
\WideAnd778~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd778~1_combout\ = (\led_flash_cnt[778][6]~q\ & \led_flash_cnt[778][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[778][6]~q\,
	datad => \led_flash_cnt[778][5]~q\,
	combout => \WideAnd778~1_combout\);

-- Location: LCCOMB_X14_Y34_N14
\led_flash_cnt[778][7]~37784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[778][7]~37784_combout\ = \led_flash_cnt[778][7]~q\ $ (!\led_flash_cnt[778][6]~37783\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[778][7]~q\,
	cin => \led_flash_cnt[778][6]~37783\,
	combout => \led_flash_cnt[778][7]~37784_combout\);

-- Location: FF_X14_Y34_N15
\led_flash_cnt[778][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[778][7]~37784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[778][7]~q\);

-- Location: LCCOMB_X15_Y34_N30
WideAnd778 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd778~combout\ = (\WideAnd778~0_combout\ & (\WideAnd778~1_combout\ & (\led_flash_cnt[778][0]~q\ & \led_flash_cnt[778][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd778~0_combout\,
	datab => \WideAnd778~1_combout\,
	datac => \led_flash_cnt[778][0]~q\,
	datad => \led_flash_cnt[778][7]~q\,
	combout => \WideAnd778~combout\);

-- Location: FF_X15_Y34_N31
\led_flash_cnt_ands[778]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd778~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(778));

-- Location: LCCOMB_X24_Y37_N6
\led_flash_cnt[776][0]~81416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[776][0]~81416_combout\ = !\led_flash_cnt[776][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[776][0]~q\,
	combout => \led_flash_cnt[776][0]~81416_combout\);

-- Location: FF_X24_Y37_N7
\led_flash_cnt[776][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[776][0]~81416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[776][0]~q\);

-- Location: LCCOMB_X22_Y37_N16
\led_flash_cnt[776][1]~37744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[776][1]~37744_combout\ = (\led_flash_cnt[776][0]~q\ & (\led_flash_cnt[776][1]~q\ $ (VCC))) # (!\led_flash_cnt[776][0]~q\ & (\led_flash_cnt[776][1]~q\ & VCC))
-- \led_flash_cnt[776][1]~37745\ = CARRY((\led_flash_cnt[776][0]~q\ & \led_flash_cnt[776][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[776][0]~q\,
	datab => \led_flash_cnt[776][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[776][1]~37744_combout\,
	cout => \led_flash_cnt[776][1]~37745\);

-- Location: FF_X22_Y37_N17
\led_flash_cnt[776][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[776][1]~37744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[776][1]~q\);

-- Location: LCCOMB_X22_Y37_N18
\led_flash_cnt[776][2]~37746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[776][2]~37746_combout\ = (\led_flash_cnt[776][2]~q\ & (!\led_flash_cnt[776][1]~37745\)) # (!\led_flash_cnt[776][2]~q\ & ((\led_flash_cnt[776][1]~37745\) # (GND)))
-- \led_flash_cnt[776][2]~37747\ = CARRY((!\led_flash_cnt[776][1]~37745\) # (!\led_flash_cnt[776][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[776][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[776][1]~37745\,
	combout => \led_flash_cnt[776][2]~37746_combout\,
	cout => \led_flash_cnt[776][2]~37747\);

-- Location: FF_X22_Y37_N19
\led_flash_cnt[776][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[776][2]~37746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[776][2]~q\);

-- Location: LCCOMB_X22_Y37_N20
\led_flash_cnt[776][3]~37748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[776][3]~37748_combout\ = (\led_flash_cnt[776][3]~q\ & (\led_flash_cnt[776][2]~37747\ $ (GND))) # (!\led_flash_cnt[776][3]~q\ & (!\led_flash_cnt[776][2]~37747\ & VCC))
-- \led_flash_cnt[776][3]~37749\ = CARRY((\led_flash_cnt[776][3]~q\ & !\led_flash_cnt[776][2]~37747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[776][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[776][2]~37747\,
	combout => \led_flash_cnt[776][3]~37748_combout\,
	cout => \led_flash_cnt[776][3]~37749\);

-- Location: FF_X22_Y37_N21
\led_flash_cnt[776][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[776][3]~37748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[776][3]~q\);

-- Location: LCCOMB_X22_Y37_N22
\led_flash_cnt[776][4]~37750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[776][4]~37750_combout\ = (\led_flash_cnt[776][4]~q\ & (!\led_flash_cnt[776][3]~37749\)) # (!\led_flash_cnt[776][4]~q\ & ((\led_flash_cnt[776][3]~37749\) # (GND)))
-- \led_flash_cnt[776][4]~37751\ = CARRY((!\led_flash_cnt[776][3]~37749\) # (!\led_flash_cnt[776][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[776][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[776][3]~37749\,
	combout => \led_flash_cnt[776][4]~37750_combout\,
	cout => \led_flash_cnt[776][4]~37751\);

-- Location: FF_X22_Y37_N23
\led_flash_cnt[776][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[776][4]~37750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[776][4]~q\);

-- Location: LCCOMB_X22_Y37_N14
\WideAnd776~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd776~0_combout\ = (\led_flash_cnt[776][2]~q\ & (\led_flash_cnt[776][1]~q\ & (\led_flash_cnt[776][4]~q\ & \led_flash_cnt[776][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[776][2]~q\,
	datab => \led_flash_cnt[776][1]~q\,
	datac => \led_flash_cnt[776][4]~q\,
	datad => \led_flash_cnt[776][3]~q\,
	combout => \WideAnd776~0_combout\);

-- Location: LCCOMB_X22_Y37_N24
\led_flash_cnt[776][5]~37752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[776][5]~37752_combout\ = (\led_flash_cnt[776][5]~q\ & (\led_flash_cnt[776][4]~37751\ $ (GND))) # (!\led_flash_cnt[776][5]~q\ & (!\led_flash_cnt[776][4]~37751\ & VCC))
-- \led_flash_cnt[776][5]~37753\ = CARRY((\led_flash_cnt[776][5]~q\ & !\led_flash_cnt[776][4]~37751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[776][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[776][4]~37751\,
	combout => \led_flash_cnt[776][5]~37752_combout\,
	cout => \led_flash_cnt[776][5]~37753\);

-- Location: FF_X22_Y37_N25
\led_flash_cnt[776][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[776][5]~37752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[776][5]~q\);

-- Location: LCCOMB_X22_Y37_N26
\led_flash_cnt[776][6]~37754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[776][6]~37754_combout\ = (\led_flash_cnt[776][6]~q\ & (!\led_flash_cnt[776][5]~37753\)) # (!\led_flash_cnt[776][6]~q\ & ((\led_flash_cnt[776][5]~37753\) # (GND)))
-- \led_flash_cnt[776][6]~37755\ = CARRY((!\led_flash_cnt[776][5]~37753\) # (!\led_flash_cnt[776][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[776][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[776][5]~37753\,
	combout => \led_flash_cnt[776][6]~37754_combout\,
	cout => \led_flash_cnt[776][6]~37755\);

-- Location: FF_X22_Y37_N27
\led_flash_cnt[776][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[776][6]~37754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[776][6]~q\);

-- Location: LCCOMB_X22_Y37_N28
\led_flash_cnt[776][7]~37756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[776][7]~37756_combout\ = \led_flash_cnt[776][6]~37755\ $ (!\led_flash_cnt[776][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[776][7]~q\,
	cin => \led_flash_cnt[776][6]~37755\,
	combout => \led_flash_cnt[776][7]~37756_combout\);

-- Location: FF_X22_Y37_N29
\led_flash_cnt[776][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[776][7]~37756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[776][7]~q\);

-- Location: LCCOMB_X23_Y37_N26
\WideAnd776~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd776~1_combout\ = (\led_flash_cnt[776][6]~q\ & \led_flash_cnt[776][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[776][6]~q\,
	datad => \led_flash_cnt[776][5]~q\,
	combout => \WideAnd776~1_combout\);

-- Location: LCCOMB_X23_Y37_N28
WideAnd776 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd776~combout\ = (\WideAnd776~0_combout\ & (\led_flash_cnt[776][7]~q\ & (\WideAnd776~1_combout\ & \led_flash_cnt[776][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd776~0_combout\,
	datab => \led_flash_cnt[776][7]~q\,
	datac => \WideAnd776~1_combout\,
	datad => \led_flash_cnt[776][0]~q\,
	combout => \WideAnd776~combout\);

-- Location: FF_X23_Y37_N29
\led_flash_cnt_ands[776]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd776~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(776));

-- Location: LCCOMB_X23_Y37_N30
\WideAnd3937~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3937~0_combout\ = (led_flash_cnt_ands(779) & (led_flash_cnt_ands(777) & (led_flash_cnt_ands(778) & led_flash_cnt_ands(776))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(779),
	datab => led_flash_cnt_ands(777),
	datac => led_flash_cnt_ands(778),
	datad => led_flash_cnt_ands(776),
	combout => \WideAnd3937~0_combout\);

-- Location: LCCOMB_X18_Y36_N18
\led_flash_cnt[782][0]~81422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[782][0]~81422_combout\ = !\led_flash_cnt[782][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[782][0]~q\,
	combout => \led_flash_cnt[782][0]~81422_combout\);

-- Location: FF_X18_Y36_N19
\led_flash_cnt[782][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[782][0]~81422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[782][0]~q\);

-- Location: LCCOMB_X18_Y36_N4
\led_flash_cnt[782][1]~37828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[782][1]~37828_combout\ = (\led_flash_cnt[782][1]~q\ & (\led_flash_cnt[782][0]~q\ $ (VCC))) # (!\led_flash_cnt[782][1]~q\ & (\led_flash_cnt[782][0]~q\ & VCC))
-- \led_flash_cnt[782][1]~37829\ = CARRY((\led_flash_cnt[782][1]~q\ & \led_flash_cnt[782][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[782][1]~q\,
	datab => \led_flash_cnt[782][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[782][1]~37828_combout\,
	cout => \led_flash_cnt[782][1]~37829\);

-- Location: FF_X18_Y36_N5
\led_flash_cnt[782][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[782][1]~37828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[782][1]~q\);

-- Location: LCCOMB_X18_Y36_N6
\led_flash_cnt[782][2]~37830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[782][2]~37830_combout\ = (\led_flash_cnt[782][2]~q\ & (!\led_flash_cnt[782][1]~37829\)) # (!\led_flash_cnt[782][2]~q\ & ((\led_flash_cnt[782][1]~37829\) # (GND)))
-- \led_flash_cnt[782][2]~37831\ = CARRY((!\led_flash_cnt[782][1]~37829\) # (!\led_flash_cnt[782][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[782][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[782][1]~37829\,
	combout => \led_flash_cnt[782][2]~37830_combout\,
	cout => \led_flash_cnt[782][2]~37831\);

-- Location: FF_X18_Y36_N7
\led_flash_cnt[782][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[782][2]~37830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[782][2]~q\);

-- Location: LCCOMB_X18_Y36_N8
\led_flash_cnt[782][3]~37832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[782][3]~37832_combout\ = (\led_flash_cnt[782][3]~q\ & (\led_flash_cnt[782][2]~37831\ $ (GND))) # (!\led_flash_cnt[782][3]~q\ & (!\led_flash_cnt[782][2]~37831\ & VCC))
-- \led_flash_cnt[782][3]~37833\ = CARRY((\led_flash_cnt[782][3]~q\ & !\led_flash_cnt[782][2]~37831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[782][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[782][2]~37831\,
	combout => \led_flash_cnt[782][3]~37832_combout\,
	cout => \led_flash_cnt[782][3]~37833\);

-- Location: FF_X18_Y36_N9
\led_flash_cnt[782][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[782][3]~37832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[782][3]~q\);

-- Location: LCCOMB_X18_Y36_N10
\led_flash_cnt[782][4]~37834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[782][4]~37834_combout\ = (\led_flash_cnt[782][4]~q\ & (!\led_flash_cnt[782][3]~37833\)) # (!\led_flash_cnt[782][4]~q\ & ((\led_flash_cnt[782][3]~37833\) # (GND)))
-- \led_flash_cnt[782][4]~37835\ = CARRY((!\led_flash_cnt[782][3]~37833\) # (!\led_flash_cnt[782][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[782][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[782][3]~37833\,
	combout => \led_flash_cnt[782][4]~37834_combout\,
	cout => \led_flash_cnt[782][4]~37835\);

-- Location: FF_X18_Y36_N11
\led_flash_cnt[782][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[782][4]~37834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[782][4]~q\);

-- Location: LCCOMB_X18_Y36_N12
\led_flash_cnt[782][5]~37836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[782][5]~37836_combout\ = (\led_flash_cnt[782][5]~q\ & (\led_flash_cnt[782][4]~37835\ $ (GND))) # (!\led_flash_cnt[782][5]~q\ & (!\led_flash_cnt[782][4]~37835\ & VCC))
-- \led_flash_cnt[782][5]~37837\ = CARRY((\led_flash_cnt[782][5]~q\ & !\led_flash_cnt[782][4]~37835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[782][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[782][4]~37835\,
	combout => \led_flash_cnt[782][5]~37836_combout\,
	cout => \led_flash_cnt[782][5]~37837\);

-- Location: FF_X18_Y36_N13
\led_flash_cnt[782][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[782][5]~37836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[782][5]~q\);

-- Location: LCCOMB_X18_Y36_N14
\led_flash_cnt[782][6]~37838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[782][6]~37838_combout\ = (\led_flash_cnt[782][6]~q\ & (!\led_flash_cnt[782][5]~37837\)) # (!\led_flash_cnt[782][6]~q\ & ((\led_flash_cnt[782][5]~37837\) # (GND)))
-- \led_flash_cnt[782][6]~37839\ = CARRY((!\led_flash_cnt[782][5]~37837\) # (!\led_flash_cnt[782][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[782][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[782][5]~37837\,
	combout => \led_flash_cnt[782][6]~37838_combout\,
	cout => \led_flash_cnt[782][6]~37839\);

-- Location: FF_X18_Y36_N15
\led_flash_cnt[782][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[782][6]~37838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[782][6]~q\);

-- Location: LCCOMB_X18_Y36_N22
\WideAnd782~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd782~1_combout\ = (\led_flash_cnt[782][6]~q\ & \led_flash_cnt[782][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[782][6]~q\,
	datad => \led_flash_cnt[782][5]~q\,
	combout => \WideAnd782~1_combout\);

-- Location: LCCOMB_X18_Y36_N20
\WideAnd782~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd782~0_combout\ = (\led_flash_cnt[782][1]~q\ & (\led_flash_cnt[782][3]~q\ & (\led_flash_cnt[782][4]~q\ & \led_flash_cnt[782][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[782][1]~q\,
	datab => \led_flash_cnt[782][3]~q\,
	datac => \led_flash_cnt[782][4]~q\,
	datad => \led_flash_cnt[782][2]~q\,
	combout => \WideAnd782~0_combout\);

-- Location: LCCOMB_X18_Y36_N16
\led_flash_cnt[782][7]~37840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[782][7]~37840_combout\ = \led_flash_cnt[782][7]~q\ $ (!\led_flash_cnt[782][6]~37839\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[782][7]~q\,
	cin => \led_flash_cnt[782][6]~37839\,
	combout => \led_flash_cnt[782][7]~37840_combout\);

-- Location: FF_X18_Y36_N17
\led_flash_cnt[782][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[782][7]~37840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[782][7]~q\);

-- Location: LCCOMB_X18_Y36_N0
WideAnd782 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd782~combout\ = (\WideAnd782~1_combout\ & (\WideAnd782~0_combout\ & (\led_flash_cnt[782][7]~q\ & \led_flash_cnt[782][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd782~1_combout\,
	datab => \WideAnd782~0_combout\,
	datac => \led_flash_cnt[782][7]~q\,
	datad => \led_flash_cnt[782][0]~q\,
	combout => \WideAnd782~combout\);

-- Location: FF_X18_Y36_N1
\led_flash_cnt_ands[782]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd782~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(782));

-- Location: LCCOMB_X18_Y36_N28
WideAnd3937 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3937~combout\ = (led_flash_cnt_ands(783) & (\WideAnd3937~1_combout\ & (\WideAnd3937~0_combout\ & led_flash_cnt_ands(782))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(783),
	datab => \WideAnd3937~1_combout\,
	datac => \WideAnd3937~0_combout\,
	datad => led_flash_cnt_ands(782),
	combout => \WideAnd3937~combout\);

-- Location: FF_X18_Y36_N29
\led_flash_cnt_ands_1[97]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3937~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(97));

-- Location: LCCOMB_X18_Y36_N24
\WideAnd4332~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4332~0_combout\ = (led_flash_cnt_ands_1(99) & (led_flash_cnt_ands_1(96) & (led_flash_cnt_ands_1(98) & led_flash_cnt_ands_1(97))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(99),
	datab => led_flash_cnt_ands_1(96),
	datac => led_flash_cnt_ands_1(98),
	datad => led_flash_cnt_ands_1(97),
	combout => \WideAnd4332~0_combout\);

-- Location: LCCOMB_X55_Y6_N10
\led_flash_cnt[830][0]~81470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[830][0]~81470_combout\ = !\led_flash_cnt[830][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[830][0]~q\,
	combout => \led_flash_cnt[830][0]~81470_combout\);

-- Location: FF_X55_Y6_N11
\led_flash_cnt[830][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[830][0]~81470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[830][0]~q\);

-- Location: LCCOMB_X55_Y6_N12
\led_flash_cnt[830][1]~38500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[830][1]~38500_combout\ = (\led_flash_cnt[830][1]~q\ & (\led_flash_cnt[830][0]~q\ $ (VCC))) # (!\led_flash_cnt[830][1]~q\ & (\led_flash_cnt[830][0]~q\ & VCC))
-- \led_flash_cnt[830][1]~38501\ = CARRY((\led_flash_cnt[830][1]~q\ & \led_flash_cnt[830][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[830][1]~q\,
	datab => \led_flash_cnt[830][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[830][1]~38500_combout\,
	cout => \led_flash_cnt[830][1]~38501\);

-- Location: FF_X55_Y6_N13
\led_flash_cnt[830][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[830][1]~38500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[830][1]~q\);

-- Location: LCCOMB_X55_Y6_N14
\led_flash_cnt[830][2]~38502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[830][2]~38502_combout\ = (\led_flash_cnt[830][2]~q\ & (!\led_flash_cnt[830][1]~38501\)) # (!\led_flash_cnt[830][2]~q\ & ((\led_flash_cnt[830][1]~38501\) # (GND)))
-- \led_flash_cnt[830][2]~38503\ = CARRY((!\led_flash_cnt[830][1]~38501\) # (!\led_flash_cnt[830][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[830][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[830][1]~38501\,
	combout => \led_flash_cnt[830][2]~38502_combout\,
	cout => \led_flash_cnt[830][2]~38503\);

-- Location: FF_X55_Y6_N15
\led_flash_cnt[830][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[830][2]~38502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[830][2]~q\);

-- Location: LCCOMB_X55_Y6_N16
\led_flash_cnt[830][3]~38504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[830][3]~38504_combout\ = (\led_flash_cnt[830][3]~q\ & (\led_flash_cnt[830][2]~38503\ $ (GND))) # (!\led_flash_cnt[830][3]~q\ & (!\led_flash_cnt[830][2]~38503\ & VCC))
-- \led_flash_cnt[830][3]~38505\ = CARRY((\led_flash_cnt[830][3]~q\ & !\led_flash_cnt[830][2]~38503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[830][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[830][2]~38503\,
	combout => \led_flash_cnt[830][3]~38504_combout\,
	cout => \led_flash_cnt[830][3]~38505\);

-- Location: FF_X55_Y6_N17
\led_flash_cnt[830][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[830][3]~38504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[830][3]~q\);

-- Location: LCCOMB_X55_Y6_N18
\led_flash_cnt[830][4]~38506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[830][4]~38506_combout\ = (\led_flash_cnt[830][4]~q\ & (!\led_flash_cnt[830][3]~38505\)) # (!\led_flash_cnt[830][4]~q\ & ((\led_flash_cnt[830][3]~38505\) # (GND)))
-- \led_flash_cnt[830][4]~38507\ = CARRY((!\led_flash_cnt[830][3]~38505\) # (!\led_flash_cnt[830][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[830][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[830][3]~38505\,
	combout => \led_flash_cnt[830][4]~38506_combout\,
	cout => \led_flash_cnt[830][4]~38507\);

-- Location: FF_X55_Y6_N19
\led_flash_cnt[830][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[830][4]~38506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[830][4]~q\);

-- Location: LCCOMB_X55_Y6_N20
\led_flash_cnt[830][5]~38508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[830][5]~38508_combout\ = (\led_flash_cnt[830][5]~q\ & (\led_flash_cnt[830][4]~38507\ $ (GND))) # (!\led_flash_cnt[830][5]~q\ & (!\led_flash_cnt[830][4]~38507\ & VCC))
-- \led_flash_cnt[830][5]~38509\ = CARRY((\led_flash_cnt[830][5]~q\ & !\led_flash_cnt[830][4]~38507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[830][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[830][4]~38507\,
	combout => \led_flash_cnt[830][5]~38508_combout\,
	cout => \led_flash_cnt[830][5]~38509\);

-- Location: FF_X55_Y6_N21
\led_flash_cnt[830][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[830][5]~38508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[830][5]~q\);

-- Location: LCCOMB_X55_Y6_N22
\led_flash_cnt[830][6]~38510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[830][6]~38510_combout\ = (\led_flash_cnt[830][6]~q\ & (!\led_flash_cnt[830][5]~38509\)) # (!\led_flash_cnt[830][6]~q\ & ((\led_flash_cnt[830][5]~38509\) # (GND)))
-- \led_flash_cnt[830][6]~38511\ = CARRY((!\led_flash_cnt[830][5]~38509\) # (!\led_flash_cnt[830][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[830][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[830][5]~38509\,
	combout => \led_flash_cnt[830][6]~38510_combout\,
	cout => \led_flash_cnt[830][6]~38511\);

-- Location: FF_X55_Y6_N23
\led_flash_cnt[830][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[830][6]~38510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[830][6]~q\);

-- Location: LCCOMB_X55_Y6_N24
\led_flash_cnt[830][7]~38512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[830][7]~38512_combout\ = \led_flash_cnt[830][6]~38511\ $ (!\led_flash_cnt[830][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[830][7]~q\,
	cin => \led_flash_cnt[830][6]~38511\,
	combout => \led_flash_cnt[830][7]~38512_combout\);

-- Location: FF_X55_Y6_N25
\led_flash_cnt[830][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[830][7]~38512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[830][7]~q\);

-- Location: LCCOMB_X55_Y6_N26
\WideAnd830~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd830~0_combout\ = (\led_flash_cnt[830][1]~q\ & (\led_flash_cnt[830][4]~q\ & (\led_flash_cnt[830][2]~q\ & \led_flash_cnt[830][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[830][1]~q\,
	datab => \led_flash_cnt[830][4]~q\,
	datac => \led_flash_cnt[830][2]~q\,
	datad => \led_flash_cnt[830][3]~q\,
	combout => \WideAnd830~0_combout\);

-- Location: LCCOMB_X55_Y6_N0
\WideAnd830~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd830~1_combout\ = (\led_flash_cnt[830][6]~q\ & \led_flash_cnt[830][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[830][6]~q\,
	datad => \led_flash_cnt[830][5]~q\,
	combout => \WideAnd830~1_combout\);

-- Location: LCCOMB_X55_Y6_N6
WideAnd830 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd830~combout\ = (\led_flash_cnt[830][0]~q\ & (\led_flash_cnt[830][7]~q\ & (\WideAnd830~0_combout\ & \WideAnd830~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[830][0]~q\,
	datab => \led_flash_cnt[830][7]~q\,
	datac => \WideAnd830~0_combout\,
	datad => \WideAnd830~1_combout\,
	combout => \WideAnd830~combout\);

-- Location: FF_X55_Y6_N7
\led_flash_cnt_ands[830]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd830~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(830));

-- Location: LCCOMB_X32_Y14_N26
\led_flash_cnt[826][0]~81466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[826][0]~81466_combout\ = !\led_flash_cnt[826][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[826][0]~q\,
	combout => \led_flash_cnt[826][0]~81466_combout\);

-- Location: FF_X32_Y14_N27
\led_flash_cnt[826][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[826][0]~81466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[826][0]~q\);

-- Location: LCCOMB_X32_Y14_N8
\led_flash_cnt[826][1]~38444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[826][1]~38444_combout\ = (\led_flash_cnt[826][0]~q\ & (\led_flash_cnt[826][1]~q\ $ (VCC))) # (!\led_flash_cnt[826][0]~q\ & (\led_flash_cnt[826][1]~q\ & VCC))
-- \led_flash_cnt[826][1]~38445\ = CARRY((\led_flash_cnt[826][0]~q\ & \led_flash_cnt[826][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[826][0]~q\,
	datab => \led_flash_cnt[826][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[826][1]~38444_combout\,
	cout => \led_flash_cnt[826][1]~38445\);

-- Location: FF_X32_Y14_N9
\led_flash_cnt[826][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[826][1]~38444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[826][1]~q\);

-- Location: LCCOMB_X32_Y14_N10
\led_flash_cnt[826][2]~38446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[826][2]~38446_combout\ = (\led_flash_cnt[826][2]~q\ & (!\led_flash_cnt[826][1]~38445\)) # (!\led_flash_cnt[826][2]~q\ & ((\led_flash_cnt[826][1]~38445\) # (GND)))
-- \led_flash_cnt[826][2]~38447\ = CARRY((!\led_flash_cnt[826][1]~38445\) # (!\led_flash_cnt[826][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[826][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[826][1]~38445\,
	combout => \led_flash_cnt[826][2]~38446_combout\,
	cout => \led_flash_cnt[826][2]~38447\);

-- Location: FF_X32_Y14_N11
\led_flash_cnt[826][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[826][2]~38446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[826][2]~q\);

-- Location: LCCOMB_X32_Y14_N12
\led_flash_cnt[826][3]~38448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[826][3]~38448_combout\ = (\led_flash_cnt[826][3]~q\ & (\led_flash_cnt[826][2]~38447\ $ (GND))) # (!\led_flash_cnt[826][3]~q\ & (!\led_flash_cnt[826][2]~38447\ & VCC))
-- \led_flash_cnt[826][3]~38449\ = CARRY((\led_flash_cnt[826][3]~q\ & !\led_flash_cnt[826][2]~38447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[826][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[826][2]~38447\,
	combout => \led_flash_cnt[826][3]~38448_combout\,
	cout => \led_flash_cnt[826][3]~38449\);

-- Location: FF_X32_Y14_N13
\led_flash_cnt[826][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[826][3]~38448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[826][3]~q\);

-- Location: LCCOMB_X32_Y14_N14
\led_flash_cnt[826][4]~38450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[826][4]~38450_combout\ = (\led_flash_cnt[826][4]~q\ & (!\led_flash_cnt[826][3]~38449\)) # (!\led_flash_cnt[826][4]~q\ & ((\led_flash_cnt[826][3]~38449\) # (GND)))
-- \led_flash_cnt[826][4]~38451\ = CARRY((!\led_flash_cnt[826][3]~38449\) # (!\led_flash_cnt[826][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[826][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[826][3]~38449\,
	combout => \led_flash_cnt[826][4]~38450_combout\,
	cout => \led_flash_cnt[826][4]~38451\);

-- Location: FF_X32_Y14_N15
\led_flash_cnt[826][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[826][4]~38450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[826][4]~q\);

-- Location: LCCOMB_X32_Y14_N16
\led_flash_cnt[826][5]~38452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[826][5]~38452_combout\ = (\led_flash_cnt[826][5]~q\ & (\led_flash_cnt[826][4]~38451\ $ (GND))) # (!\led_flash_cnt[826][5]~q\ & (!\led_flash_cnt[826][4]~38451\ & VCC))
-- \led_flash_cnt[826][5]~38453\ = CARRY((\led_flash_cnt[826][5]~q\ & !\led_flash_cnt[826][4]~38451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[826][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[826][4]~38451\,
	combout => \led_flash_cnt[826][5]~38452_combout\,
	cout => \led_flash_cnt[826][5]~38453\);

-- Location: FF_X32_Y14_N17
\led_flash_cnt[826][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[826][5]~38452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[826][5]~q\);

-- Location: LCCOMB_X32_Y14_N18
\led_flash_cnt[826][6]~38454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[826][6]~38454_combout\ = (\led_flash_cnt[826][6]~q\ & (!\led_flash_cnt[826][5]~38453\)) # (!\led_flash_cnt[826][6]~q\ & ((\led_flash_cnt[826][5]~38453\) # (GND)))
-- \led_flash_cnt[826][6]~38455\ = CARRY((!\led_flash_cnt[826][5]~38453\) # (!\led_flash_cnt[826][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[826][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[826][5]~38453\,
	combout => \led_flash_cnt[826][6]~38454_combout\,
	cout => \led_flash_cnt[826][6]~38455\);

-- Location: FF_X32_Y14_N19
\led_flash_cnt[826][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[826][6]~38454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[826][6]~q\);

-- Location: LCCOMB_X32_Y14_N20
\led_flash_cnt[826][7]~38456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[826][7]~38456_combout\ = \led_flash_cnt[826][6]~38455\ $ (!\led_flash_cnt[826][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[826][7]~q\,
	cin => \led_flash_cnt[826][6]~38455\,
	combout => \led_flash_cnt[826][7]~38456_combout\);

-- Location: FF_X32_Y14_N21
\led_flash_cnt[826][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[826][7]~38456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[826][7]~q\);

-- Location: LCCOMB_X32_Y14_N30
\WideAnd826~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd826~1_combout\ = (\led_flash_cnt[826][5]~q\ & \led_flash_cnt[826][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[826][5]~q\,
	datad => \led_flash_cnt[826][6]~q\,
	combout => \WideAnd826~1_combout\);

-- Location: LCCOMB_X32_Y14_N0
\WideAnd826~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd826~0_combout\ = (\led_flash_cnt[826][3]~q\ & (\led_flash_cnt[826][4]~q\ & (\led_flash_cnt[826][1]~q\ & \led_flash_cnt[826][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[826][3]~q\,
	datab => \led_flash_cnt[826][4]~q\,
	datac => \led_flash_cnt[826][1]~q\,
	datad => \led_flash_cnt[826][2]~q\,
	combout => \WideAnd826~0_combout\);

-- Location: LCCOMB_X32_Y14_N22
WideAnd826 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd826~combout\ = (\led_flash_cnt[826][0]~q\ & (\led_flash_cnt[826][7]~q\ & (\WideAnd826~1_combout\ & \WideAnd826~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[826][0]~q\,
	datab => \led_flash_cnt[826][7]~q\,
	datac => \WideAnd826~1_combout\,
	datad => \WideAnd826~0_combout\,
	combout => \WideAnd826~combout\);

-- Location: FF_X32_Y14_N23
\led_flash_cnt_ands[826]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd826~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(826));

-- Location: LCCOMB_X55_Y15_N12
\led_flash_cnt[827][0]~81467\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[827][0]~81467_combout\ = !\led_flash_cnt[827][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[827][0]~q\,
	combout => \led_flash_cnt[827][0]~81467_combout\);

-- Location: FF_X55_Y15_N13
\led_flash_cnt[827][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[827][0]~81467_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[827][0]~q\);

-- Location: LCCOMB_X55_Y15_N14
\led_flash_cnt[827][1]~38458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[827][1]~38458_combout\ = (\led_flash_cnt[827][0]~q\ & (\led_flash_cnt[827][1]~q\ $ (VCC))) # (!\led_flash_cnt[827][0]~q\ & (\led_flash_cnt[827][1]~q\ & VCC))
-- \led_flash_cnt[827][1]~38459\ = CARRY((\led_flash_cnt[827][0]~q\ & \led_flash_cnt[827][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[827][0]~q\,
	datab => \led_flash_cnt[827][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[827][1]~38458_combout\,
	cout => \led_flash_cnt[827][1]~38459\);

-- Location: FF_X55_Y15_N15
\led_flash_cnt[827][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[827][1]~38458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[827][1]~q\);

-- Location: LCCOMB_X55_Y15_N16
\led_flash_cnt[827][2]~38460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[827][2]~38460_combout\ = (\led_flash_cnt[827][2]~q\ & (!\led_flash_cnt[827][1]~38459\)) # (!\led_flash_cnt[827][2]~q\ & ((\led_flash_cnt[827][1]~38459\) # (GND)))
-- \led_flash_cnt[827][2]~38461\ = CARRY((!\led_flash_cnt[827][1]~38459\) # (!\led_flash_cnt[827][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[827][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[827][1]~38459\,
	combout => \led_flash_cnt[827][2]~38460_combout\,
	cout => \led_flash_cnt[827][2]~38461\);

-- Location: FF_X55_Y15_N17
\led_flash_cnt[827][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[827][2]~38460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[827][2]~q\);

-- Location: LCCOMB_X55_Y15_N18
\led_flash_cnt[827][3]~38462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[827][3]~38462_combout\ = (\led_flash_cnt[827][3]~q\ & (\led_flash_cnt[827][2]~38461\ $ (GND))) # (!\led_flash_cnt[827][3]~q\ & (!\led_flash_cnt[827][2]~38461\ & VCC))
-- \led_flash_cnt[827][3]~38463\ = CARRY((\led_flash_cnt[827][3]~q\ & !\led_flash_cnt[827][2]~38461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[827][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[827][2]~38461\,
	combout => \led_flash_cnt[827][3]~38462_combout\,
	cout => \led_flash_cnt[827][3]~38463\);

-- Location: FF_X55_Y15_N19
\led_flash_cnt[827][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[827][3]~38462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[827][3]~q\);

-- Location: LCCOMB_X55_Y15_N20
\led_flash_cnt[827][4]~38464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[827][4]~38464_combout\ = (\led_flash_cnt[827][4]~q\ & (!\led_flash_cnt[827][3]~38463\)) # (!\led_flash_cnt[827][4]~q\ & ((\led_flash_cnt[827][3]~38463\) # (GND)))
-- \led_flash_cnt[827][4]~38465\ = CARRY((!\led_flash_cnt[827][3]~38463\) # (!\led_flash_cnt[827][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[827][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[827][3]~38463\,
	combout => \led_flash_cnt[827][4]~38464_combout\,
	cout => \led_flash_cnt[827][4]~38465\);

-- Location: FF_X55_Y15_N21
\led_flash_cnt[827][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[827][4]~38464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[827][4]~q\);

-- Location: LCCOMB_X55_Y15_N22
\led_flash_cnt[827][5]~38466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[827][5]~38466_combout\ = (\led_flash_cnt[827][5]~q\ & (\led_flash_cnt[827][4]~38465\ $ (GND))) # (!\led_flash_cnt[827][5]~q\ & (!\led_flash_cnt[827][4]~38465\ & VCC))
-- \led_flash_cnt[827][5]~38467\ = CARRY((\led_flash_cnt[827][5]~q\ & !\led_flash_cnt[827][4]~38465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[827][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[827][4]~38465\,
	combout => \led_flash_cnt[827][5]~38466_combout\,
	cout => \led_flash_cnt[827][5]~38467\);

-- Location: FF_X55_Y15_N23
\led_flash_cnt[827][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[827][5]~38466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[827][5]~q\);

-- Location: LCCOMB_X55_Y15_N24
\led_flash_cnt[827][6]~38468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[827][6]~38468_combout\ = (\led_flash_cnt[827][6]~q\ & (!\led_flash_cnt[827][5]~38467\)) # (!\led_flash_cnt[827][6]~q\ & ((\led_flash_cnt[827][5]~38467\) # (GND)))
-- \led_flash_cnt[827][6]~38469\ = CARRY((!\led_flash_cnt[827][5]~38467\) # (!\led_flash_cnt[827][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[827][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[827][5]~38467\,
	combout => \led_flash_cnt[827][6]~38468_combout\,
	cout => \led_flash_cnt[827][6]~38469\);

-- Location: FF_X55_Y15_N25
\led_flash_cnt[827][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[827][6]~38468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[827][6]~q\);

-- Location: LCCOMB_X55_Y15_N10
\WideAnd827~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd827~1_combout\ = (\led_flash_cnt[827][5]~q\ & \led_flash_cnt[827][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[827][5]~q\,
	datad => \led_flash_cnt[827][6]~q\,
	combout => \WideAnd827~1_combout\);

-- Location: LCCOMB_X55_Y15_N4
\WideAnd827~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd827~0_combout\ = (\led_flash_cnt[827][4]~q\ & (\led_flash_cnt[827][3]~q\ & (\led_flash_cnt[827][1]~q\ & \led_flash_cnt[827][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[827][4]~q\,
	datab => \led_flash_cnt[827][3]~q\,
	datac => \led_flash_cnt[827][1]~q\,
	datad => \led_flash_cnt[827][2]~q\,
	combout => \WideAnd827~0_combout\);

-- Location: LCCOMB_X55_Y15_N26
\led_flash_cnt[827][7]~38470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[827][7]~38470_combout\ = \led_flash_cnt[827][7]~q\ $ (!\led_flash_cnt[827][6]~38469\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[827][7]~q\,
	cin => \led_flash_cnt[827][6]~38469\,
	combout => \led_flash_cnt[827][7]~38470_combout\);

-- Location: FF_X55_Y15_N27
\led_flash_cnt[827][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[827][7]~38470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[827][7]~q\);

-- Location: LCCOMB_X55_Y15_N8
WideAnd827 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd827~combout\ = (\WideAnd827~1_combout\ & (\WideAnd827~0_combout\ & (\led_flash_cnt[827][7]~q\ & \led_flash_cnt[827][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd827~1_combout\,
	datab => \WideAnd827~0_combout\,
	datac => \led_flash_cnt[827][7]~q\,
	datad => \led_flash_cnt[827][0]~q\,
	combout => \WideAnd827~combout\);

-- Location: FF_X55_Y15_N9
\led_flash_cnt_ands[827]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd827~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(827));

-- Location: LCCOMB_X55_Y15_N2
\led_flash_cnt[825][0]~81465\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[825][0]~81465_combout\ = !\led_flash_cnt[825][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[825][0]~q\,
	combout => \led_flash_cnt[825][0]~81465_combout\);

-- Location: FF_X55_Y15_N3
\led_flash_cnt[825][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[825][0]~81465_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[825][0]~q\);

-- Location: LCCOMB_X54_Y15_N14
\led_flash_cnt[825][1]~38430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[825][1]~38430_combout\ = (\led_flash_cnt[825][0]~q\ & (\led_flash_cnt[825][1]~q\ $ (VCC))) # (!\led_flash_cnt[825][0]~q\ & (\led_flash_cnt[825][1]~q\ & VCC))
-- \led_flash_cnt[825][1]~38431\ = CARRY((\led_flash_cnt[825][0]~q\ & \led_flash_cnt[825][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[825][0]~q\,
	datab => \led_flash_cnt[825][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[825][1]~38430_combout\,
	cout => \led_flash_cnt[825][1]~38431\);

-- Location: FF_X54_Y15_N15
\led_flash_cnt[825][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[825][1]~38430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[825][1]~q\);

-- Location: LCCOMB_X54_Y15_N16
\led_flash_cnt[825][2]~38432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[825][2]~38432_combout\ = (\led_flash_cnt[825][2]~q\ & (!\led_flash_cnt[825][1]~38431\)) # (!\led_flash_cnt[825][2]~q\ & ((\led_flash_cnt[825][1]~38431\) # (GND)))
-- \led_flash_cnt[825][2]~38433\ = CARRY((!\led_flash_cnt[825][1]~38431\) # (!\led_flash_cnt[825][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[825][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[825][1]~38431\,
	combout => \led_flash_cnt[825][2]~38432_combout\,
	cout => \led_flash_cnt[825][2]~38433\);

-- Location: FF_X54_Y15_N17
\led_flash_cnt[825][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[825][2]~38432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[825][2]~q\);

-- Location: LCCOMB_X54_Y15_N18
\led_flash_cnt[825][3]~38434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[825][3]~38434_combout\ = (\led_flash_cnt[825][3]~q\ & (\led_flash_cnt[825][2]~38433\ $ (GND))) # (!\led_flash_cnt[825][3]~q\ & (!\led_flash_cnt[825][2]~38433\ & VCC))
-- \led_flash_cnt[825][3]~38435\ = CARRY((\led_flash_cnt[825][3]~q\ & !\led_flash_cnt[825][2]~38433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[825][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[825][2]~38433\,
	combout => \led_flash_cnt[825][3]~38434_combout\,
	cout => \led_flash_cnt[825][3]~38435\);

-- Location: FF_X54_Y15_N19
\led_flash_cnt[825][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[825][3]~38434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[825][3]~q\);

-- Location: LCCOMB_X54_Y15_N20
\led_flash_cnt[825][4]~38436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[825][4]~38436_combout\ = (\led_flash_cnt[825][4]~q\ & (!\led_flash_cnt[825][3]~38435\)) # (!\led_flash_cnt[825][4]~q\ & ((\led_flash_cnt[825][3]~38435\) # (GND)))
-- \led_flash_cnt[825][4]~38437\ = CARRY((!\led_flash_cnt[825][3]~38435\) # (!\led_flash_cnt[825][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[825][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[825][3]~38435\,
	combout => \led_flash_cnt[825][4]~38436_combout\,
	cout => \led_flash_cnt[825][4]~38437\);

-- Location: FF_X54_Y15_N21
\led_flash_cnt[825][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[825][4]~38436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[825][4]~q\);

-- Location: LCCOMB_X54_Y15_N30
\WideAnd825~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd825~0_combout\ = (\led_flash_cnt[825][4]~q\ & (\led_flash_cnt[825][2]~q\ & (\led_flash_cnt[825][1]~q\ & \led_flash_cnt[825][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[825][4]~q\,
	datab => \led_flash_cnt[825][2]~q\,
	datac => \led_flash_cnt[825][1]~q\,
	datad => \led_flash_cnt[825][3]~q\,
	combout => \WideAnd825~0_combout\);

-- Location: LCCOMB_X54_Y15_N22
\led_flash_cnt[825][5]~38438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[825][5]~38438_combout\ = (\led_flash_cnt[825][5]~q\ & (\led_flash_cnt[825][4]~38437\ $ (GND))) # (!\led_flash_cnt[825][5]~q\ & (!\led_flash_cnt[825][4]~38437\ & VCC))
-- \led_flash_cnt[825][5]~38439\ = CARRY((\led_flash_cnt[825][5]~q\ & !\led_flash_cnt[825][4]~38437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[825][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[825][4]~38437\,
	combout => \led_flash_cnt[825][5]~38438_combout\,
	cout => \led_flash_cnt[825][5]~38439\);

-- Location: FF_X54_Y15_N23
\led_flash_cnt[825][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[825][5]~38438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[825][5]~q\);

-- Location: LCCOMB_X54_Y15_N24
\led_flash_cnt[825][6]~38440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[825][6]~38440_combout\ = (\led_flash_cnt[825][6]~q\ & (!\led_flash_cnt[825][5]~38439\)) # (!\led_flash_cnt[825][6]~q\ & ((\led_flash_cnt[825][5]~38439\) # (GND)))
-- \led_flash_cnt[825][6]~38441\ = CARRY((!\led_flash_cnt[825][5]~38439\) # (!\led_flash_cnt[825][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[825][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[825][5]~38439\,
	combout => \led_flash_cnt[825][6]~38440_combout\,
	cout => \led_flash_cnt[825][6]~38441\);

-- Location: FF_X54_Y15_N25
\led_flash_cnt[825][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[825][6]~38440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[825][6]~q\);

-- Location: LCCOMB_X54_Y15_N26
\led_flash_cnt[825][7]~38442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[825][7]~38442_combout\ = \led_flash_cnt[825][7]~q\ $ (!\led_flash_cnt[825][6]~38441\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[825][7]~q\,
	cin => \led_flash_cnt[825][6]~38441\,
	combout => \led_flash_cnt[825][7]~38442_combout\);

-- Location: FF_X54_Y15_N27
\led_flash_cnt[825][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[825][7]~38442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[825][7]~q\);

-- Location: LCCOMB_X55_Y15_N28
\WideAnd825~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd825~1_combout\ = (\led_flash_cnt[825][6]~q\ & \led_flash_cnt[825][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[825][6]~q\,
	datad => \led_flash_cnt[825][5]~q\,
	combout => \WideAnd825~1_combout\);

-- Location: LCCOMB_X55_Y15_N30
WideAnd825 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd825~combout\ = (\led_flash_cnt[825][0]~q\ & (\WideAnd825~0_combout\ & (\led_flash_cnt[825][7]~q\ & \WideAnd825~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[825][0]~q\,
	datab => \WideAnd825~0_combout\,
	datac => \led_flash_cnt[825][7]~q\,
	datad => \WideAnd825~1_combout\,
	combout => \WideAnd825~combout\);

-- Location: FF_X55_Y15_N31
\led_flash_cnt_ands[825]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd825~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(825));

-- Location: LCCOMB_X56_Y10_N26
\led_flash_cnt[824][0]~81464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[824][0]~81464_combout\ = !\led_flash_cnt[824][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[824][0]~q\,
	combout => \led_flash_cnt[824][0]~81464_combout\);

-- Location: FF_X56_Y10_N27
\led_flash_cnt[824][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[824][0]~81464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[824][0]~q\);

-- Location: LCCOMB_X56_Y10_N4
\led_flash_cnt[824][1]~38416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[824][1]~38416_combout\ = (\led_flash_cnt[824][0]~q\ & (\led_flash_cnt[824][1]~q\ $ (VCC))) # (!\led_flash_cnt[824][0]~q\ & (\led_flash_cnt[824][1]~q\ & VCC))
-- \led_flash_cnt[824][1]~38417\ = CARRY((\led_flash_cnt[824][0]~q\ & \led_flash_cnt[824][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[824][0]~q\,
	datab => \led_flash_cnt[824][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[824][1]~38416_combout\,
	cout => \led_flash_cnt[824][1]~38417\);

-- Location: FF_X56_Y10_N5
\led_flash_cnt[824][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[824][1]~38416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[824][1]~q\);

-- Location: LCCOMB_X56_Y10_N6
\led_flash_cnt[824][2]~38418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[824][2]~38418_combout\ = (\led_flash_cnt[824][2]~q\ & (!\led_flash_cnt[824][1]~38417\)) # (!\led_flash_cnt[824][2]~q\ & ((\led_flash_cnt[824][1]~38417\) # (GND)))
-- \led_flash_cnt[824][2]~38419\ = CARRY((!\led_flash_cnt[824][1]~38417\) # (!\led_flash_cnt[824][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[824][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[824][1]~38417\,
	combout => \led_flash_cnt[824][2]~38418_combout\,
	cout => \led_flash_cnt[824][2]~38419\);

-- Location: FF_X56_Y10_N7
\led_flash_cnt[824][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[824][2]~38418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[824][2]~q\);

-- Location: LCCOMB_X56_Y10_N8
\led_flash_cnt[824][3]~38420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[824][3]~38420_combout\ = (\led_flash_cnt[824][3]~q\ & (\led_flash_cnt[824][2]~38419\ $ (GND))) # (!\led_flash_cnt[824][3]~q\ & (!\led_flash_cnt[824][2]~38419\ & VCC))
-- \led_flash_cnt[824][3]~38421\ = CARRY((\led_flash_cnt[824][3]~q\ & !\led_flash_cnt[824][2]~38419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[824][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[824][2]~38419\,
	combout => \led_flash_cnt[824][3]~38420_combout\,
	cout => \led_flash_cnt[824][3]~38421\);

-- Location: FF_X56_Y10_N9
\led_flash_cnt[824][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[824][3]~38420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[824][3]~q\);

-- Location: LCCOMB_X56_Y10_N10
\led_flash_cnt[824][4]~38422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[824][4]~38422_combout\ = (\led_flash_cnt[824][4]~q\ & (!\led_flash_cnt[824][3]~38421\)) # (!\led_flash_cnt[824][4]~q\ & ((\led_flash_cnt[824][3]~38421\) # (GND)))
-- \led_flash_cnt[824][4]~38423\ = CARRY((!\led_flash_cnt[824][3]~38421\) # (!\led_flash_cnt[824][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[824][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[824][3]~38421\,
	combout => \led_flash_cnt[824][4]~38422_combout\,
	cout => \led_flash_cnt[824][4]~38423\);

-- Location: FF_X56_Y10_N11
\led_flash_cnt[824][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[824][4]~38422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[824][4]~q\);

-- Location: LCCOMB_X56_Y10_N12
\led_flash_cnt[824][5]~38424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[824][5]~38424_combout\ = (\led_flash_cnt[824][5]~q\ & (\led_flash_cnt[824][4]~38423\ $ (GND))) # (!\led_flash_cnt[824][5]~q\ & (!\led_flash_cnt[824][4]~38423\ & VCC))
-- \led_flash_cnt[824][5]~38425\ = CARRY((\led_flash_cnt[824][5]~q\ & !\led_flash_cnt[824][4]~38423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[824][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[824][4]~38423\,
	combout => \led_flash_cnt[824][5]~38424_combout\,
	cout => \led_flash_cnt[824][5]~38425\);

-- Location: FF_X56_Y10_N13
\led_flash_cnt[824][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[824][5]~38424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[824][5]~q\);

-- Location: LCCOMB_X56_Y10_N14
\led_flash_cnt[824][6]~38426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[824][6]~38426_combout\ = (\led_flash_cnt[824][6]~q\ & (!\led_flash_cnt[824][5]~38425\)) # (!\led_flash_cnt[824][6]~q\ & ((\led_flash_cnt[824][5]~38425\) # (GND)))
-- \led_flash_cnt[824][6]~38427\ = CARRY((!\led_flash_cnt[824][5]~38425\) # (!\led_flash_cnt[824][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[824][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[824][5]~38425\,
	combout => \led_flash_cnt[824][6]~38426_combout\,
	cout => \led_flash_cnt[824][6]~38427\);

-- Location: FF_X56_Y10_N15
\led_flash_cnt[824][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[824][6]~38426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[824][6]~q\);

-- Location: LCCOMB_X56_Y10_N16
\led_flash_cnt[824][7]~38428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[824][7]~38428_combout\ = \led_flash_cnt[824][6]~38427\ $ (!\led_flash_cnt[824][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[824][7]~q\,
	cin => \led_flash_cnt[824][6]~38427\,
	combout => \led_flash_cnt[824][7]~38428_combout\);

-- Location: FF_X56_Y10_N17
\led_flash_cnt[824][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[824][7]~38428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[824][7]~q\);

-- Location: LCCOMB_X56_Y10_N22
\WideAnd824~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd824~1_combout\ = (\led_flash_cnt[824][6]~q\ & \led_flash_cnt[824][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[824][6]~q\,
	datad => \led_flash_cnt[824][5]~q\,
	combout => \WideAnd824~1_combout\);

-- Location: LCCOMB_X56_Y10_N18
\WideAnd824~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd824~0_combout\ = (\led_flash_cnt[824][4]~q\ & (\led_flash_cnt[824][1]~q\ & (\led_flash_cnt[824][3]~q\ & \led_flash_cnt[824][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[824][4]~q\,
	datab => \led_flash_cnt[824][1]~q\,
	datac => \led_flash_cnt[824][3]~q\,
	datad => \led_flash_cnt[824][2]~q\,
	combout => \WideAnd824~0_combout\);

-- Location: LCCOMB_X56_Y10_N2
WideAnd824 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd824~combout\ = (\led_flash_cnt[824][0]~q\ & (\led_flash_cnt[824][7]~q\ & (\WideAnd824~1_combout\ & \WideAnd824~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[824][0]~q\,
	datab => \led_flash_cnt[824][7]~q\,
	datac => \WideAnd824~1_combout\,
	datad => \WideAnd824~0_combout\,
	combout => \WideAnd824~combout\);

-- Location: FF_X56_Y10_N3
\led_flash_cnt_ands[824]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd824~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(824));

-- Location: LCCOMB_X55_Y14_N2
\WideAnd3943~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3943~0_combout\ = (led_flash_cnt_ands(826) & (led_flash_cnt_ands(827) & (led_flash_cnt_ands(825) & led_flash_cnt_ands(824))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(826),
	datab => led_flash_cnt_ands(827),
	datac => led_flash_cnt_ands(825),
	datad => led_flash_cnt_ands(824),
	combout => \WideAnd3943~0_combout\);

-- Location: LCCOMB_X56_Y16_N24
\led_flash_cnt[829][0]~81469\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[829][0]~81469_combout\ = !\led_flash_cnt[829][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[829][0]~q\,
	combout => \led_flash_cnt[829][0]~81469_combout\);

-- Location: FF_X56_Y16_N25
\led_flash_cnt[829][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[829][0]~81469_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[829][0]~q\);

-- Location: LCCOMB_X56_Y16_N6
\led_flash_cnt[829][1]~38486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[829][1]~38486_combout\ = (\led_flash_cnt[829][1]~q\ & (\led_flash_cnt[829][0]~q\ $ (VCC))) # (!\led_flash_cnt[829][1]~q\ & (\led_flash_cnt[829][0]~q\ & VCC))
-- \led_flash_cnt[829][1]~38487\ = CARRY((\led_flash_cnt[829][1]~q\ & \led_flash_cnt[829][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[829][1]~q\,
	datab => \led_flash_cnt[829][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[829][1]~38486_combout\,
	cout => \led_flash_cnt[829][1]~38487\);

-- Location: FF_X56_Y16_N7
\led_flash_cnt[829][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[829][1]~38486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[829][1]~q\);

-- Location: LCCOMB_X56_Y16_N8
\led_flash_cnt[829][2]~38488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[829][2]~38488_combout\ = (\led_flash_cnt[829][2]~q\ & (!\led_flash_cnt[829][1]~38487\)) # (!\led_flash_cnt[829][2]~q\ & ((\led_flash_cnt[829][1]~38487\) # (GND)))
-- \led_flash_cnt[829][2]~38489\ = CARRY((!\led_flash_cnt[829][1]~38487\) # (!\led_flash_cnt[829][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[829][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[829][1]~38487\,
	combout => \led_flash_cnt[829][2]~38488_combout\,
	cout => \led_flash_cnt[829][2]~38489\);

-- Location: FF_X56_Y16_N9
\led_flash_cnt[829][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[829][2]~38488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[829][2]~q\);

-- Location: LCCOMB_X56_Y16_N10
\led_flash_cnt[829][3]~38490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[829][3]~38490_combout\ = (\led_flash_cnt[829][3]~q\ & (\led_flash_cnt[829][2]~38489\ $ (GND))) # (!\led_flash_cnt[829][3]~q\ & (!\led_flash_cnt[829][2]~38489\ & VCC))
-- \led_flash_cnt[829][3]~38491\ = CARRY((\led_flash_cnt[829][3]~q\ & !\led_flash_cnt[829][2]~38489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[829][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[829][2]~38489\,
	combout => \led_flash_cnt[829][3]~38490_combout\,
	cout => \led_flash_cnt[829][3]~38491\);

-- Location: FF_X56_Y16_N11
\led_flash_cnt[829][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[829][3]~38490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[829][3]~q\);

-- Location: LCCOMB_X56_Y16_N12
\led_flash_cnt[829][4]~38492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[829][4]~38492_combout\ = (\led_flash_cnt[829][4]~q\ & (!\led_flash_cnt[829][3]~38491\)) # (!\led_flash_cnt[829][4]~q\ & ((\led_flash_cnt[829][3]~38491\) # (GND)))
-- \led_flash_cnt[829][4]~38493\ = CARRY((!\led_flash_cnt[829][3]~38491\) # (!\led_flash_cnt[829][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[829][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[829][3]~38491\,
	combout => \led_flash_cnt[829][4]~38492_combout\,
	cout => \led_flash_cnt[829][4]~38493\);

-- Location: FF_X56_Y16_N13
\led_flash_cnt[829][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[829][4]~38492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[829][4]~q\);

-- Location: LCCOMB_X56_Y16_N26
\WideAnd829~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd829~0_combout\ = (\led_flash_cnt[829][3]~q\ & (\led_flash_cnt[829][4]~q\ & (\led_flash_cnt[829][2]~q\ & \led_flash_cnt[829][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[829][3]~q\,
	datab => \led_flash_cnt[829][4]~q\,
	datac => \led_flash_cnt[829][2]~q\,
	datad => \led_flash_cnt[829][1]~q\,
	combout => \WideAnd829~0_combout\);

-- Location: LCCOMB_X56_Y16_N14
\led_flash_cnt[829][5]~38494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[829][5]~38494_combout\ = (\led_flash_cnt[829][5]~q\ & (\led_flash_cnt[829][4]~38493\ $ (GND))) # (!\led_flash_cnt[829][5]~q\ & (!\led_flash_cnt[829][4]~38493\ & VCC))
-- \led_flash_cnt[829][5]~38495\ = CARRY((\led_flash_cnt[829][5]~q\ & !\led_flash_cnt[829][4]~38493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[829][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[829][4]~38493\,
	combout => \led_flash_cnt[829][5]~38494_combout\,
	cout => \led_flash_cnt[829][5]~38495\);

-- Location: FF_X56_Y16_N15
\led_flash_cnt[829][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[829][5]~38494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[829][5]~q\);

-- Location: LCCOMB_X56_Y16_N16
\led_flash_cnt[829][6]~38496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[829][6]~38496_combout\ = (\led_flash_cnt[829][6]~q\ & (!\led_flash_cnt[829][5]~38495\)) # (!\led_flash_cnt[829][6]~q\ & ((\led_flash_cnt[829][5]~38495\) # (GND)))
-- \led_flash_cnt[829][6]~38497\ = CARRY((!\led_flash_cnt[829][5]~38495\) # (!\led_flash_cnt[829][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[829][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[829][5]~38495\,
	combout => \led_flash_cnt[829][6]~38496_combout\,
	cout => \led_flash_cnt[829][6]~38497\);

-- Location: FF_X56_Y16_N17
\led_flash_cnt[829][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[829][6]~38496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[829][6]~q\);

-- Location: LCCOMB_X56_Y16_N18
\led_flash_cnt[829][7]~38498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[829][7]~38498_combout\ = \led_flash_cnt[829][6]~38497\ $ (!\led_flash_cnt[829][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[829][7]~q\,
	cin => \led_flash_cnt[829][6]~38497\,
	combout => \led_flash_cnt[829][7]~38498_combout\);

-- Location: FF_X56_Y16_N19
\led_flash_cnt[829][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[829][7]~38498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[829][7]~q\);

-- Location: LCCOMB_X56_Y16_N4
\WideAnd829~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd829~1_combout\ = (\led_flash_cnt[829][5]~q\ & \led_flash_cnt[829][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[829][5]~q\,
	datad => \led_flash_cnt[829][6]~q\,
	combout => \WideAnd829~1_combout\);

-- Location: LCCOMB_X56_Y16_N28
WideAnd829 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd829~combout\ = (\WideAnd829~0_combout\ & (\led_flash_cnt[829][7]~q\ & (\WideAnd829~1_combout\ & \led_flash_cnt[829][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd829~0_combout\,
	datab => \led_flash_cnt[829][7]~q\,
	datac => \WideAnd829~1_combout\,
	datad => \led_flash_cnt[829][0]~q\,
	combout => \WideAnd829~combout\);

-- Location: FF_X56_Y16_N29
\led_flash_cnt_ands[829]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd829~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(829));

-- Location: LCCOMB_X55_Y14_N6
\led_flash_cnt[828][0]~81468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[828][0]~81468_combout\ = !\led_flash_cnt[828][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[828][0]~q\,
	combout => \led_flash_cnt[828][0]~81468_combout\);

-- Location: FF_X55_Y14_N7
\led_flash_cnt[828][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[828][0]~81468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[828][0]~q\);

-- Location: LCCOMB_X55_Y14_N18
\led_flash_cnt[828][1]~38472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[828][1]~38472_combout\ = (\led_flash_cnt[828][0]~q\ & (\led_flash_cnt[828][1]~q\ $ (VCC))) # (!\led_flash_cnt[828][0]~q\ & (\led_flash_cnt[828][1]~q\ & VCC))
-- \led_flash_cnt[828][1]~38473\ = CARRY((\led_flash_cnt[828][0]~q\ & \led_flash_cnt[828][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[828][0]~q\,
	datab => \led_flash_cnt[828][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[828][1]~38472_combout\,
	cout => \led_flash_cnt[828][1]~38473\);

-- Location: FF_X55_Y14_N19
\led_flash_cnt[828][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[828][1]~38472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[828][1]~q\);

-- Location: LCCOMB_X55_Y14_N20
\led_flash_cnt[828][2]~38474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[828][2]~38474_combout\ = (\led_flash_cnt[828][2]~q\ & (!\led_flash_cnt[828][1]~38473\)) # (!\led_flash_cnt[828][2]~q\ & ((\led_flash_cnt[828][1]~38473\) # (GND)))
-- \led_flash_cnt[828][2]~38475\ = CARRY((!\led_flash_cnt[828][1]~38473\) # (!\led_flash_cnt[828][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[828][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[828][1]~38473\,
	combout => \led_flash_cnt[828][2]~38474_combout\,
	cout => \led_flash_cnt[828][2]~38475\);

-- Location: FF_X55_Y14_N21
\led_flash_cnt[828][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[828][2]~38474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[828][2]~q\);

-- Location: LCCOMB_X55_Y14_N22
\led_flash_cnt[828][3]~38476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[828][3]~38476_combout\ = (\led_flash_cnt[828][3]~q\ & (\led_flash_cnt[828][2]~38475\ $ (GND))) # (!\led_flash_cnt[828][3]~q\ & (!\led_flash_cnt[828][2]~38475\ & VCC))
-- \led_flash_cnt[828][3]~38477\ = CARRY((\led_flash_cnt[828][3]~q\ & !\led_flash_cnt[828][2]~38475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[828][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[828][2]~38475\,
	combout => \led_flash_cnt[828][3]~38476_combout\,
	cout => \led_flash_cnt[828][3]~38477\);

-- Location: FF_X55_Y14_N23
\led_flash_cnt[828][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[828][3]~38476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[828][3]~q\);

-- Location: LCCOMB_X55_Y14_N24
\led_flash_cnt[828][4]~38478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[828][4]~38478_combout\ = (\led_flash_cnt[828][4]~q\ & (!\led_flash_cnt[828][3]~38477\)) # (!\led_flash_cnt[828][4]~q\ & ((\led_flash_cnt[828][3]~38477\) # (GND)))
-- \led_flash_cnt[828][4]~38479\ = CARRY((!\led_flash_cnt[828][3]~38477\) # (!\led_flash_cnt[828][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[828][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[828][3]~38477\,
	combout => \led_flash_cnt[828][4]~38478_combout\,
	cout => \led_flash_cnt[828][4]~38479\);

-- Location: FF_X55_Y14_N25
\led_flash_cnt[828][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[828][4]~38478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[828][4]~q\);

-- Location: LCCOMB_X55_Y14_N26
\led_flash_cnt[828][5]~38480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[828][5]~38480_combout\ = (\led_flash_cnt[828][5]~q\ & (\led_flash_cnt[828][4]~38479\ $ (GND))) # (!\led_flash_cnt[828][5]~q\ & (!\led_flash_cnt[828][4]~38479\ & VCC))
-- \led_flash_cnt[828][5]~38481\ = CARRY((\led_flash_cnt[828][5]~q\ & !\led_flash_cnt[828][4]~38479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[828][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[828][4]~38479\,
	combout => \led_flash_cnt[828][5]~38480_combout\,
	cout => \led_flash_cnt[828][5]~38481\);

-- Location: FF_X55_Y14_N27
\led_flash_cnt[828][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[828][5]~38480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[828][5]~q\);

-- Location: LCCOMB_X55_Y14_N28
\led_flash_cnt[828][6]~38482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[828][6]~38482_combout\ = (\led_flash_cnt[828][6]~q\ & (!\led_flash_cnt[828][5]~38481\)) # (!\led_flash_cnt[828][6]~q\ & ((\led_flash_cnt[828][5]~38481\) # (GND)))
-- \led_flash_cnt[828][6]~38483\ = CARRY((!\led_flash_cnt[828][5]~38481\) # (!\led_flash_cnt[828][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[828][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[828][5]~38481\,
	combout => \led_flash_cnt[828][6]~38482_combout\,
	cout => \led_flash_cnt[828][6]~38483\);

-- Location: FF_X55_Y14_N29
\led_flash_cnt[828][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[828][6]~38482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[828][6]~q\);

-- Location: LCCOMB_X55_Y14_N10
\WideAnd828~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd828~1_combout\ = (\led_flash_cnt[828][5]~q\ & \led_flash_cnt[828][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[828][5]~q\,
	datad => \led_flash_cnt[828][6]~q\,
	combout => \WideAnd828~1_combout\);

-- Location: LCCOMB_X55_Y14_N8
\WideAnd828~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd828~0_combout\ = (\led_flash_cnt[828][4]~q\ & (\led_flash_cnt[828][2]~q\ & (\led_flash_cnt[828][3]~q\ & \led_flash_cnt[828][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[828][4]~q\,
	datab => \led_flash_cnt[828][2]~q\,
	datac => \led_flash_cnt[828][3]~q\,
	datad => \led_flash_cnt[828][1]~q\,
	combout => \WideAnd828~0_combout\);

-- Location: LCCOMB_X55_Y14_N30
\led_flash_cnt[828][7]~38484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[828][7]~38484_combout\ = \led_flash_cnt[828][7]~q\ $ (!\led_flash_cnt[828][6]~38483\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[828][7]~q\,
	cin => \led_flash_cnt[828][6]~38483\,
	combout => \led_flash_cnt[828][7]~38484_combout\);

-- Location: FF_X55_Y14_N31
\led_flash_cnt[828][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[828][7]~38484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[828][7]~q\);

-- Location: LCCOMB_X55_Y14_N12
WideAnd828 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd828~combout\ = (\WideAnd828~1_combout\ & (\WideAnd828~0_combout\ & (\led_flash_cnt[828][7]~q\ & \led_flash_cnt[828][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd828~1_combout\,
	datab => \WideAnd828~0_combout\,
	datac => \led_flash_cnt[828][7]~q\,
	datad => \led_flash_cnt[828][0]~q\,
	combout => \WideAnd828~combout\);

-- Location: FF_X55_Y14_N13
\led_flash_cnt_ands[828]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd828~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(828));

-- Location: LCCOMB_X55_Y14_N14
\WideAnd3943~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3943~1_combout\ = (led_flash_cnt_ands(829) & led_flash_cnt_ands(828))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(829),
	datad => led_flash_cnt_ands(828),
	combout => \WideAnd3943~1_combout\);

-- Location: LCCOMB_X56_Y14_N18
\led_flash_cnt[831][0]~81471\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[831][0]~81471_combout\ = !\led_flash_cnt[831][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[831][0]~q\,
	combout => \led_flash_cnt[831][0]~81471_combout\);

-- Location: FF_X56_Y14_N19
\led_flash_cnt[831][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[831][0]~81471_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[831][0]~q\);

-- Location: LCCOMB_X56_Y14_N0
\led_flash_cnt[831][1]~38514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[831][1]~38514_combout\ = (\led_flash_cnt[831][1]~q\ & (\led_flash_cnt[831][0]~q\ $ (VCC))) # (!\led_flash_cnt[831][1]~q\ & (\led_flash_cnt[831][0]~q\ & VCC))
-- \led_flash_cnt[831][1]~38515\ = CARRY((\led_flash_cnt[831][1]~q\ & \led_flash_cnt[831][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[831][1]~q\,
	datab => \led_flash_cnt[831][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[831][1]~38514_combout\,
	cout => \led_flash_cnt[831][1]~38515\);

-- Location: FF_X56_Y14_N1
\led_flash_cnt[831][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[831][1]~38514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[831][1]~q\);

-- Location: LCCOMB_X56_Y14_N2
\led_flash_cnt[831][2]~38516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[831][2]~38516_combout\ = (\led_flash_cnt[831][2]~q\ & (!\led_flash_cnt[831][1]~38515\)) # (!\led_flash_cnt[831][2]~q\ & ((\led_flash_cnt[831][1]~38515\) # (GND)))
-- \led_flash_cnt[831][2]~38517\ = CARRY((!\led_flash_cnt[831][1]~38515\) # (!\led_flash_cnt[831][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[831][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[831][1]~38515\,
	combout => \led_flash_cnt[831][2]~38516_combout\,
	cout => \led_flash_cnt[831][2]~38517\);

-- Location: FF_X56_Y14_N3
\led_flash_cnt[831][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[831][2]~38516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[831][2]~q\);

-- Location: LCCOMB_X56_Y14_N4
\led_flash_cnt[831][3]~38518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[831][3]~38518_combout\ = (\led_flash_cnt[831][3]~q\ & (\led_flash_cnt[831][2]~38517\ $ (GND))) # (!\led_flash_cnt[831][3]~q\ & (!\led_flash_cnt[831][2]~38517\ & VCC))
-- \led_flash_cnt[831][3]~38519\ = CARRY((\led_flash_cnt[831][3]~q\ & !\led_flash_cnt[831][2]~38517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[831][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[831][2]~38517\,
	combout => \led_flash_cnt[831][3]~38518_combout\,
	cout => \led_flash_cnt[831][3]~38519\);

-- Location: FF_X56_Y14_N5
\led_flash_cnt[831][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[831][3]~38518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[831][3]~q\);

-- Location: LCCOMB_X56_Y14_N6
\led_flash_cnt[831][4]~38520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[831][4]~38520_combout\ = (\led_flash_cnt[831][4]~q\ & (!\led_flash_cnt[831][3]~38519\)) # (!\led_flash_cnt[831][4]~q\ & ((\led_flash_cnt[831][3]~38519\) # (GND)))
-- \led_flash_cnt[831][4]~38521\ = CARRY((!\led_flash_cnt[831][3]~38519\) # (!\led_flash_cnt[831][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[831][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[831][3]~38519\,
	combout => \led_flash_cnt[831][4]~38520_combout\,
	cout => \led_flash_cnt[831][4]~38521\);

-- Location: FF_X56_Y14_N7
\led_flash_cnt[831][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[831][4]~38520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[831][4]~q\);

-- Location: LCCOMB_X56_Y14_N8
\led_flash_cnt[831][5]~38522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[831][5]~38522_combout\ = (\led_flash_cnt[831][5]~q\ & (\led_flash_cnt[831][4]~38521\ $ (GND))) # (!\led_flash_cnt[831][5]~q\ & (!\led_flash_cnt[831][4]~38521\ & VCC))
-- \led_flash_cnt[831][5]~38523\ = CARRY((\led_flash_cnt[831][5]~q\ & !\led_flash_cnt[831][4]~38521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[831][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[831][4]~38521\,
	combout => \led_flash_cnt[831][5]~38522_combout\,
	cout => \led_flash_cnt[831][5]~38523\);

-- Location: FF_X56_Y14_N9
\led_flash_cnt[831][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[831][5]~38522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[831][5]~q\);

-- Location: LCCOMB_X56_Y14_N10
\led_flash_cnt[831][6]~38524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[831][6]~38524_combout\ = (\led_flash_cnt[831][6]~q\ & (!\led_flash_cnt[831][5]~38523\)) # (!\led_flash_cnt[831][6]~q\ & ((\led_flash_cnt[831][5]~38523\) # (GND)))
-- \led_flash_cnt[831][6]~38525\ = CARRY((!\led_flash_cnt[831][5]~38523\) # (!\led_flash_cnt[831][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[831][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[831][5]~38523\,
	combout => \led_flash_cnt[831][6]~38524_combout\,
	cout => \led_flash_cnt[831][6]~38525\);

-- Location: FF_X56_Y14_N11
\led_flash_cnt[831][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[831][6]~38524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[831][6]~q\);

-- Location: LCCOMB_X56_Y14_N12
\led_flash_cnt[831][7]~38526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[831][7]~38526_combout\ = \led_flash_cnt[831][6]~38525\ $ (!\led_flash_cnt[831][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[831][7]~q\,
	cin => \led_flash_cnt[831][6]~38525\,
	combout => \led_flash_cnt[831][7]~38526_combout\);

-- Location: FF_X56_Y14_N13
\led_flash_cnt[831][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[831][7]~38526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[831][7]~q\);

-- Location: LCCOMB_X56_Y14_N24
\WideAnd831~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd831~0_combout\ = (\led_flash_cnt[831][4]~q\ & (\led_flash_cnt[831][1]~q\ & (\led_flash_cnt[831][3]~q\ & \led_flash_cnt[831][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[831][4]~q\,
	datab => \led_flash_cnt[831][1]~q\,
	datac => \led_flash_cnt[831][3]~q\,
	datad => \led_flash_cnt[831][2]~q\,
	combout => \WideAnd831~0_combout\);

-- Location: LCCOMB_X56_Y14_N26
\WideAnd831~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd831~1_combout\ = (\led_flash_cnt[831][5]~q\ & \led_flash_cnt[831][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[831][5]~q\,
	datad => \led_flash_cnt[831][6]~q\,
	combout => \WideAnd831~1_combout\);

-- Location: LCCOMB_X56_Y14_N28
WideAnd831 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd831~combout\ = (\led_flash_cnt[831][7]~q\ & (\WideAnd831~0_combout\ & (\WideAnd831~1_combout\ & \led_flash_cnt[831][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[831][7]~q\,
	datab => \WideAnd831~0_combout\,
	datac => \WideAnd831~1_combout\,
	datad => \led_flash_cnt[831][0]~q\,
	combout => \WideAnd831~combout\);

-- Location: FF_X56_Y14_N29
\led_flash_cnt_ands[831]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd831~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(831));

-- Location: LCCOMB_X55_Y14_N4
WideAnd3943 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3943~combout\ = (led_flash_cnt_ands(830) & (\WideAnd3943~0_combout\ & (\WideAnd3943~1_combout\ & led_flash_cnt_ands(831))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(830),
	datab => \WideAnd3943~0_combout\,
	datac => \WideAnd3943~1_combout\,
	datad => led_flash_cnt_ands(831),
	combout => \WideAnd3943~combout\);

-- Location: FF_X55_Y14_N5
\led_flash_cnt_ands_1[103]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3943~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(103));

-- Location: LCCOMB_X19_Y32_N30
WideAnd4332 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4332~combout\ = (\WideAnd4332~1_combout\ & (led_flash_cnt_ands_1(102) & (\WideAnd4332~0_combout\ & led_flash_cnt_ands_1(103))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4332~1_combout\,
	datab => led_flash_cnt_ands_1(102),
	datac => \WideAnd4332~0_combout\,
	datad => led_flash_cnt_ands_1(103),
	combout => \WideAnd4332~combout\);

-- Location: FF_X19_Y32_N31
\led_flash_cnt_ands_2[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4332~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(12));

-- Location: LCCOMB_X16_Y33_N6
\led_flash_cnt[887][0]~81527\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[887][0]~81527_combout\ = !\led_flash_cnt[887][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[887][0]~q\,
	combout => \led_flash_cnt[887][0]~81527_combout\);

-- Location: FF_X16_Y33_N7
\led_flash_cnt[887][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[887][0]~81527_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[887][0]~q\);

-- Location: LCCOMB_X15_Y33_N2
\led_flash_cnt[887][1]~39298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[887][1]~39298_combout\ = (\led_flash_cnt[887][0]~q\ & (\led_flash_cnt[887][1]~q\ $ (VCC))) # (!\led_flash_cnt[887][0]~q\ & (\led_flash_cnt[887][1]~q\ & VCC))
-- \led_flash_cnt[887][1]~39299\ = CARRY((\led_flash_cnt[887][0]~q\ & \led_flash_cnt[887][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[887][0]~q\,
	datab => \led_flash_cnt[887][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[887][1]~39298_combout\,
	cout => \led_flash_cnt[887][1]~39299\);

-- Location: FF_X15_Y33_N3
\led_flash_cnt[887][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[887][1]~39298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[887][1]~q\);

-- Location: LCCOMB_X15_Y33_N4
\led_flash_cnt[887][2]~39300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[887][2]~39300_combout\ = (\led_flash_cnt[887][2]~q\ & (!\led_flash_cnt[887][1]~39299\)) # (!\led_flash_cnt[887][2]~q\ & ((\led_flash_cnt[887][1]~39299\) # (GND)))
-- \led_flash_cnt[887][2]~39301\ = CARRY((!\led_flash_cnt[887][1]~39299\) # (!\led_flash_cnt[887][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[887][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[887][1]~39299\,
	combout => \led_flash_cnt[887][2]~39300_combout\,
	cout => \led_flash_cnt[887][2]~39301\);

-- Location: FF_X15_Y33_N5
\led_flash_cnt[887][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[887][2]~39300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[887][2]~q\);

-- Location: LCCOMB_X15_Y33_N6
\led_flash_cnt[887][3]~39302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[887][3]~39302_combout\ = (\led_flash_cnt[887][3]~q\ & (\led_flash_cnt[887][2]~39301\ $ (GND))) # (!\led_flash_cnt[887][3]~q\ & (!\led_flash_cnt[887][2]~39301\ & VCC))
-- \led_flash_cnt[887][3]~39303\ = CARRY((\led_flash_cnt[887][3]~q\ & !\led_flash_cnt[887][2]~39301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[887][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[887][2]~39301\,
	combout => \led_flash_cnt[887][3]~39302_combout\,
	cout => \led_flash_cnt[887][3]~39303\);

-- Location: FF_X15_Y33_N7
\led_flash_cnt[887][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[887][3]~39302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[887][3]~q\);

-- Location: LCCOMB_X15_Y33_N8
\led_flash_cnt[887][4]~39304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[887][4]~39304_combout\ = (\led_flash_cnt[887][4]~q\ & (!\led_flash_cnt[887][3]~39303\)) # (!\led_flash_cnt[887][4]~q\ & ((\led_flash_cnt[887][3]~39303\) # (GND)))
-- \led_flash_cnt[887][4]~39305\ = CARRY((!\led_flash_cnt[887][3]~39303\) # (!\led_flash_cnt[887][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[887][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[887][3]~39303\,
	combout => \led_flash_cnt[887][4]~39304_combout\,
	cout => \led_flash_cnt[887][4]~39305\);

-- Location: FF_X15_Y33_N9
\led_flash_cnt[887][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[887][4]~39304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[887][4]~q\);

-- Location: LCCOMB_X15_Y33_N10
\led_flash_cnt[887][5]~39306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[887][5]~39306_combout\ = (\led_flash_cnt[887][5]~q\ & (\led_flash_cnt[887][4]~39305\ $ (GND))) # (!\led_flash_cnt[887][5]~q\ & (!\led_flash_cnt[887][4]~39305\ & VCC))
-- \led_flash_cnt[887][5]~39307\ = CARRY((\led_flash_cnt[887][5]~q\ & !\led_flash_cnt[887][4]~39305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[887][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[887][4]~39305\,
	combout => \led_flash_cnt[887][5]~39306_combout\,
	cout => \led_flash_cnt[887][5]~39307\);

-- Location: FF_X15_Y33_N11
\led_flash_cnt[887][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[887][5]~39306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[887][5]~q\);

-- Location: LCCOMB_X15_Y33_N12
\led_flash_cnt[887][6]~39308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[887][6]~39308_combout\ = (\led_flash_cnt[887][6]~q\ & (!\led_flash_cnt[887][5]~39307\)) # (!\led_flash_cnt[887][6]~q\ & ((\led_flash_cnt[887][5]~39307\) # (GND)))
-- \led_flash_cnt[887][6]~39309\ = CARRY((!\led_flash_cnt[887][5]~39307\) # (!\led_flash_cnt[887][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[887][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[887][5]~39307\,
	combout => \led_flash_cnt[887][6]~39308_combout\,
	cout => \led_flash_cnt[887][6]~39309\);

-- Location: FF_X15_Y33_N13
\led_flash_cnt[887][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[887][6]~39308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[887][6]~q\);

-- Location: LCCOMB_X15_Y33_N14
\led_flash_cnt[887][7]~39310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[887][7]~39310_combout\ = \led_flash_cnt[887][7]~q\ $ (!\led_flash_cnt[887][6]~39309\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[887][7]~q\,
	cin => \led_flash_cnt[887][6]~39309\,
	combout => \led_flash_cnt[887][7]~39310_combout\);

-- Location: FF_X15_Y33_N15
\led_flash_cnt[887][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[887][7]~39310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[887][7]~q\);

-- Location: LCCOMB_X15_Y33_N0
\WideAnd887~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd887~0_combout\ = (\led_flash_cnt[887][3]~q\ & (\led_flash_cnt[887][2]~q\ & (\led_flash_cnt[887][4]~q\ & \led_flash_cnt[887][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[887][3]~q\,
	datab => \led_flash_cnt[887][2]~q\,
	datac => \led_flash_cnt[887][4]~q\,
	datad => \led_flash_cnt[887][1]~q\,
	combout => \WideAnd887~0_combout\);

-- Location: LCCOMB_X16_Y33_N2
\WideAnd887~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd887~1_combout\ = (\led_flash_cnt[887][6]~q\ & \led_flash_cnt[887][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[887][6]~q\,
	datad => \led_flash_cnt[887][5]~q\,
	combout => \WideAnd887~1_combout\);

-- Location: LCCOMB_X16_Y33_N28
WideAnd887 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd887~combout\ = (\led_flash_cnt[887][7]~q\ & (\led_flash_cnt[887][0]~q\ & (\WideAnd887~0_combout\ & \WideAnd887~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[887][7]~q\,
	datab => \led_flash_cnt[887][0]~q\,
	datac => \WideAnd887~0_combout\,
	datad => \WideAnd887~1_combout\,
	combout => \WideAnd887~combout\);

-- Location: FF_X16_Y33_N29
\led_flash_cnt_ands[887]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd887~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(887));

-- Location: LCCOMB_X34_Y33_N6
\led_flash_cnt[881][0]~81521\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[881][0]~81521_combout\ = !\led_flash_cnt[881][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[881][0]~q\,
	combout => \led_flash_cnt[881][0]~81521_combout\);

-- Location: FF_X34_Y33_N7
\led_flash_cnt[881][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[881][0]~81521_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[881][0]~q\);

-- Location: LCCOMB_X35_Y33_N4
\led_flash_cnt[881][1]~39214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[881][1]~39214_combout\ = (\led_flash_cnt[881][0]~q\ & (\led_flash_cnt[881][1]~q\ $ (VCC))) # (!\led_flash_cnt[881][0]~q\ & (\led_flash_cnt[881][1]~q\ & VCC))
-- \led_flash_cnt[881][1]~39215\ = CARRY((\led_flash_cnt[881][0]~q\ & \led_flash_cnt[881][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[881][0]~q\,
	datab => \led_flash_cnt[881][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[881][1]~39214_combout\,
	cout => \led_flash_cnt[881][1]~39215\);

-- Location: FF_X35_Y33_N5
\led_flash_cnt[881][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[881][1]~39214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[881][1]~q\);

-- Location: LCCOMB_X35_Y33_N6
\led_flash_cnt[881][2]~39216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[881][2]~39216_combout\ = (\led_flash_cnt[881][2]~q\ & (!\led_flash_cnt[881][1]~39215\)) # (!\led_flash_cnt[881][2]~q\ & ((\led_flash_cnt[881][1]~39215\) # (GND)))
-- \led_flash_cnt[881][2]~39217\ = CARRY((!\led_flash_cnt[881][1]~39215\) # (!\led_flash_cnt[881][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[881][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[881][1]~39215\,
	combout => \led_flash_cnt[881][2]~39216_combout\,
	cout => \led_flash_cnt[881][2]~39217\);

-- Location: FF_X35_Y33_N7
\led_flash_cnt[881][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[881][2]~39216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[881][2]~q\);

-- Location: LCCOMB_X35_Y33_N8
\led_flash_cnt[881][3]~39218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[881][3]~39218_combout\ = (\led_flash_cnt[881][3]~q\ & (\led_flash_cnt[881][2]~39217\ $ (GND))) # (!\led_flash_cnt[881][3]~q\ & (!\led_flash_cnt[881][2]~39217\ & VCC))
-- \led_flash_cnt[881][3]~39219\ = CARRY((\led_flash_cnt[881][3]~q\ & !\led_flash_cnt[881][2]~39217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[881][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[881][2]~39217\,
	combout => \led_flash_cnt[881][3]~39218_combout\,
	cout => \led_flash_cnt[881][3]~39219\);

-- Location: FF_X35_Y33_N9
\led_flash_cnt[881][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[881][3]~39218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[881][3]~q\);

-- Location: LCCOMB_X35_Y33_N10
\led_flash_cnt[881][4]~39220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[881][4]~39220_combout\ = (\led_flash_cnt[881][4]~q\ & (!\led_flash_cnt[881][3]~39219\)) # (!\led_flash_cnt[881][4]~q\ & ((\led_flash_cnt[881][3]~39219\) # (GND)))
-- \led_flash_cnt[881][4]~39221\ = CARRY((!\led_flash_cnt[881][3]~39219\) # (!\led_flash_cnt[881][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[881][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[881][3]~39219\,
	combout => \led_flash_cnt[881][4]~39220_combout\,
	cout => \led_flash_cnt[881][4]~39221\);

-- Location: FF_X35_Y33_N11
\led_flash_cnt[881][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[881][4]~39220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[881][4]~q\);

-- Location: LCCOMB_X34_Y33_N4
\WideAnd881~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd881~0_combout\ = (\led_flash_cnt[881][1]~q\ & (\led_flash_cnt[881][4]~q\ & (\led_flash_cnt[881][3]~q\ & \led_flash_cnt[881][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[881][1]~q\,
	datab => \led_flash_cnt[881][4]~q\,
	datac => \led_flash_cnt[881][3]~q\,
	datad => \led_flash_cnt[881][2]~q\,
	combout => \WideAnd881~0_combout\);

-- Location: LCCOMB_X35_Y33_N12
\led_flash_cnt[881][5]~39222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[881][5]~39222_combout\ = (\led_flash_cnt[881][5]~q\ & (\led_flash_cnt[881][4]~39221\ $ (GND))) # (!\led_flash_cnt[881][5]~q\ & (!\led_flash_cnt[881][4]~39221\ & VCC))
-- \led_flash_cnt[881][5]~39223\ = CARRY((\led_flash_cnt[881][5]~q\ & !\led_flash_cnt[881][4]~39221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[881][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[881][4]~39221\,
	combout => \led_flash_cnt[881][5]~39222_combout\,
	cout => \led_flash_cnt[881][5]~39223\);

-- Location: FF_X35_Y33_N13
\led_flash_cnt[881][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[881][5]~39222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[881][5]~q\);

-- Location: LCCOMB_X35_Y33_N14
\led_flash_cnt[881][6]~39224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[881][6]~39224_combout\ = (\led_flash_cnt[881][6]~q\ & (!\led_flash_cnt[881][5]~39223\)) # (!\led_flash_cnt[881][6]~q\ & ((\led_flash_cnt[881][5]~39223\) # (GND)))
-- \led_flash_cnt[881][6]~39225\ = CARRY((!\led_flash_cnt[881][5]~39223\) # (!\led_flash_cnt[881][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[881][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[881][5]~39223\,
	combout => \led_flash_cnt[881][6]~39224_combout\,
	cout => \led_flash_cnt[881][6]~39225\);

-- Location: FF_X35_Y33_N15
\led_flash_cnt[881][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[881][6]~39224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[881][6]~q\);

-- Location: LCCOMB_X34_Y33_N30
\WideAnd881~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd881~1_combout\ = (\led_flash_cnt[881][6]~q\ & \led_flash_cnt[881][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[881][6]~q\,
	datac => \led_flash_cnt[881][5]~q\,
	combout => \WideAnd881~1_combout\);

-- Location: LCCOMB_X35_Y33_N16
\led_flash_cnt[881][7]~39226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[881][7]~39226_combout\ = \led_flash_cnt[881][6]~39225\ $ (!\led_flash_cnt[881][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[881][7]~q\,
	cin => \led_flash_cnt[881][6]~39225\,
	combout => \led_flash_cnt[881][7]~39226_combout\);

-- Location: FF_X35_Y33_N17
\led_flash_cnt[881][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[881][7]~39226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[881][7]~q\);

-- Location: LCCOMB_X34_Y33_N28
WideAnd881 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd881~combout\ = (\led_flash_cnt[881][0]~q\ & (\WideAnd881~0_combout\ & (\WideAnd881~1_combout\ & \led_flash_cnt[881][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[881][0]~q\,
	datab => \WideAnd881~0_combout\,
	datac => \WideAnd881~1_combout\,
	datad => \led_flash_cnt[881][7]~q\,
	combout => \WideAnd881~combout\);

-- Location: FF_X34_Y33_N29
\led_flash_cnt_ands[881]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd881~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(881));

-- Location: LCCOMB_X23_Y33_N0
\led_flash_cnt[882][0]~81522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[882][0]~81522_combout\ = !\led_flash_cnt[882][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[882][0]~q\,
	combout => \led_flash_cnt[882][0]~81522_combout\);

-- Location: FF_X23_Y33_N1
\led_flash_cnt[882][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[882][0]~81522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[882][0]~q\);

-- Location: LCCOMB_X23_Y34_N18
\led_flash_cnt[882][1]~39228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[882][1]~39228_combout\ = (\led_flash_cnt[882][0]~q\ & (\led_flash_cnt[882][1]~q\ $ (VCC))) # (!\led_flash_cnt[882][0]~q\ & (\led_flash_cnt[882][1]~q\ & VCC))
-- \led_flash_cnt[882][1]~39229\ = CARRY((\led_flash_cnt[882][0]~q\ & \led_flash_cnt[882][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[882][0]~q\,
	datab => \led_flash_cnt[882][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[882][1]~39228_combout\,
	cout => \led_flash_cnt[882][1]~39229\);

-- Location: FF_X23_Y34_N19
\led_flash_cnt[882][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[882][1]~39228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[882][1]~q\);

-- Location: LCCOMB_X23_Y34_N20
\led_flash_cnt[882][2]~39230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[882][2]~39230_combout\ = (\led_flash_cnt[882][2]~q\ & (!\led_flash_cnt[882][1]~39229\)) # (!\led_flash_cnt[882][2]~q\ & ((\led_flash_cnt[882][1]~39229\) # (GND)))
-- \led_flash_cnt[882][2]~39231\ = CARRY((!\led_flash_cnt[882][1]~39229\) # (!\led_flash_cnt[882][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[882][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[882][1]~39229\,
	combout => \led_flash_cnt[882][2]~39230_combout\,
	cout => \led_flash_cnt[882][2]~39231\);

-- Location: FF_X23_Y34_N21
\led_flash_cnt[882][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[882][2]~39230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[882][2]~q\);

-- Location: LCCOMB_X23_Y34_N22
\led_flash_cnt[882][3]~39232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[882][3]~39232_combout\ = (\led_flash_cnt[882][3]~q\ & (\led_flash_cnt[882][2]~39231\ $ (GND))) # (!\led_flash_cnt[882][3]~q\ & (!\led_flash_cnt[882][2]~39231\ & VCC))
-- \led_flash_cnt[882][3]~39233\ = CARRY((\led_flash_cnt[882][3]~q\ & !\led_flash_cnt[882][2]~39231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[882][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[882][2]~39231\,
	combout => \led_flash_cnt[882][3]~39232_combout\,
	cout => \led_flash_cnt[882][3]~39233\);

-- Location: FF_X23_Y34_N23
\led_flash_cnt[882][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[882][3]~39232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[882][3]~q\);

-- Location: LCCOMB_X23_Y34_N24
\led_flash_cnt[882][4]~39234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[882][4]~39234_combout\ = (\led_flash_cnt[882][4]~q\ & (!\led_flash_cnt[882][3]~39233\)) # (!\led_flash_cnt[882][4]~q\ & ((\led_flash_cnt[882][3]~39233\) # (GND)))
-- \led_flash_cnt[882][4]~39235\ = CARRY((!\led_flash_cnt[882][3]~39233\) # (!\led_flash_cnt[882][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[882][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[882][3]~39233\,
	combout => \led_flash_cnt[882][4]~39234_combout\,
	cout => \led_flash_cnt[882][4]~39235\);

-- Location: FF_X23_Y34_N25
\led_flash_cnt[882][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[882][4]~39234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[882][4]~q\);

-- Location: LCCOMB_X23_Y34_N2
\WideAnd882~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd882~0_combout\ = (\led_flash_cnt[882][2]~q\ & (\led_flash_cnt[882][1]~q\ & (\led_flash_cnt[882][3]~q\ & \led_flash_cnt[882][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[882][2]~q\,
	datab => \led_flash_cnt[882][1]~q\,
	datac => \led_flash_cnt[882][3]~q\,
	datad => \led_flash_cnt[882][4]~q\,
	combout => \WideAnd882~0_combout\);

-- Location: LCCOMB_X23_Y34_N26
\led_flash_cnt[882][5]~39236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[882][5]~39236_combout\ = (\led_flash_cnt[882][5]~q\ & (\led_flash_cnt[882][4]~39235\ $ (GND))) # (!\led_flash_cnt[882][5]~q\ & (!\led_flash_cnt[882][4]~39235\ & VCC))
-- \led_flash_cnt[882][5]~39237\ = CARRY((\led_flash_cnt[882][5]~q\ & !\led_flash_cnt[882][4]~39235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[882][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[882][4]~39235\,
	combout => \led_flash_cnt[882][5]~39236_combout\,
	cout => \led_flash_cnt[882][5]~39237\);

-- Location: FF_X23_Y34_N27
\led_flash_cnt[882][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[882][5]~39236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[882][5]~q\);

-- Location: LCCOMB_X23_Y34_N28
\led_flash_cnt[882][6]~39238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[882][6]~39238_combout\ = (\led_flash_cnt[882][6]~q\ & (!\led_flash_cnt[882][5]~39237\)) # (!\led_flash_cnt[882][6]~q\ & ((\led_flash_cnt[882][5]~39237\) # (GND)))
-- \led_flash_cnt[882][6]~39239\ = CARRY((!\led_flash_cnt[882][5]~39237\) # (!\led_flash_cnt[882][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[882][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[882][5]~39237\,
	combout => \led_flash_cnt[882][6]~39238_combout\,
	cout => \led_flash_cnt[882][6]~39239\);

-- Location: FF_X23_Y34_N29
\led_flash_cnt[882][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[882][6]~39238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[882][6]~q\);

-- Location: LCCOMB_X23_Y34_N30
\led_flash_cnt[882][7]~39240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[882][7]~39240_combout\ = \led_flash_cnt[882][7]~q\ $ (!\led_flash_cnt[882][6]~39239\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[882][7]~q\,
	cin => \led_flash_cnt[882][6]~39239\,
	combout => \led_flash_cnt[882][7]~39240_combout\);

-- Location: FF_X23_Y34_N31
\led_flash_cnt[882][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[882][7]~39240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[882][7]~q\);

-- Location: LCCOMB_X23_Y33_N12
\WideAnd882~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd882~1_combout\ = (\led_flash_cnt[882][6]~q\ & \led_flash_cnt[882][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[882][6]~q\,
	datad => \led_flash_cnt[882][5]~q\,
	combout => \WideAnd882~1_combout\);

-- Location: LCCOMB_X23_Y33_N2
WideAnd882 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd882~combout\ = (\WideAnd882~0_combout\ & (\led_flash_cnt[882][0]~q\ & (\led_flash_cnt[882][7]~q\ & \WideAnd882~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd882~0_combout\,
	datab => \led_flash_cnt[882][0]~q\,
	datac => \led_flash_cnt[882][7]~q\,
	datad => \WideAnd882~1_combout\,
	combout => \WideAnd882~combout\);

-- Location: FF_X23_Y33_N3
\led_flash_cnt_ands[882]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd882~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(882));

-- Location: LCCOMB_X50_Y31_N0
\led_flash_cnt[880][0]~81520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[880][0]~81520_combout\ = !\led_flash_cnt[880][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[880][0]~q\,
	combout => \led_flash_cnt[880][0]~81520_combout\);

-- Location: FF_X50_Y31_N1
\led_flash_cnt[880][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[880][0]~81520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[880][0]~q\);

-- Location: LCCOMB_X50_Y31_N10
\led_flash_cnt[880][1]~39200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[880][1]~39200_combout\ = (\led_flash_cnt[880][1]~q\ & (\led_flash_cnt[880][0]~q\ $ (VCC))) # (!\led_flash_cnt[880][1]~q\ & (\led_flash_cnt[880][0]~q\ & VCC))
-- \led_flash_cnt[880][1]~39201\ = CARRY((\led_flash_cnt[880][1]~q\ & \led_flash_cnt[880][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[880][1]~q\,
	datab => \led_flash_cnt[880][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[880][1]~39200_combout\,
	cout => \led_flash_cnt[880][1]~39201\);

-- Location: FF_X50_Y31_N11
\led_flash_cnt[880][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[880][1]~39200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[880][1]~q\);

-- Location: LCCOMB_X50_Y31_N12
\led_flash_cnt[880][2]~39202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[880][2]~39202_combout\ = (\led_flash_cnt[880][2]~q\ & (!\led_flash_cnt[880][1]~39201\)) # (!\led_flash_cnt[880][2]~q\ & ((\led_flash_cnt[880][1]~39201\) # (GND)))
-- \led_flash_cnt[880][2]~39203\ = CARRY((!\led_flash_cnt[880][1]~39201\) # (!\led_flash_cnt[880][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[880][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[880][1]~39201\,
	combout => \led_flash_cnt[880][2]~39202_combout\,
	cout => \led_flash_cnt[880][2]~39203\);

-- Location: FF_X50_Y31_N13
\led_flash_cnt[880][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[880][2]~39202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[880][2]~q\);

-- Location: LCCOMB_X50_Y31_N14
\led_flash_cnt[880][3]~39204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[880][3]~39204_combout\ = (\led_flash_cnt[880][3]~q\ & (\led_flash_cnt[880][2]~39203\ $ (GND))) # (!\led_flash_cnt[880][3]~q\ & (!\led_flash_cnt[880][2]~39203\ & VCC))
-- \led_flash_cnt[880][3]~39205\ = CARRY((\led_flash_cnt[880][3]~q\ & !\led_flash_cnt[880][2]~39203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[880][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[880][2]~39203\,
	combout => \led_flash_cnt[880][3]~39204_combout\,
	cout => \led_flash_cnt[880][3]~39205\);

-- Location: FF_X50_Y31_N15
\led_flash_cnt[880][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[880][3]~39204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[880][3]~q\);

-- Location: LCCOMB_X50_Y31_N16
\led_flash_cnt[880][4]~39206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[880][4]~39206_combout\ = (\led_flash_cnt[880][4]~q\ & (!\led_flash_cnt[880][3]~39205\)) # (!\led_flash_cnt[880][4]~q\ & ((\led_flash_cnt[880][3]~39205\) # (GND)))
-- \led_flash_cnt[880][4]~39207\ = CARRY((!\led_flash_cnt[880][3]~39205\) # (!\led_flash_cnt[880][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[880][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[880][3]~39205\,
	combout => \led_flash_cnt[880][4]~39206_combout\,
	cout => \led_flash_cnt[880][4]~39207\);

-- Location: FF_X50_Y31_N17
\led_flash_cnt[880][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[880][4]~39206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[880][4]~q\);

-- Location: LCCOMB_X50_Y31_N18
\led_flash_cnt[880][5]~39208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[880][5]~39208_combout\ = (\led_flash_cnt[880][5]~q\ & (\led_flash_cnt[880][4]~39207\ $ (GND))) # (!\led_flash_cnt[880][5]~q\ & (!\led_flash_cnt[880][4]~39207\ & VCC))
-- \led_flash_cnt[880][5]~39209\ = CARRY((\led_flash_cnt[880][5]~q\ & !\led_flash_cnt[880][4]~39207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[880][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[880][4]~39207\,
	combout => \led_flash_cnt[880][5]~39208_combout\,
	cout => \led_flash_cnt[880][5]~39209\);

-- Location: FF_X50_Y31_N19
\led_flash_cnt[880][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[880][5]~39208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[880][5]~q\);

-- Location: LCCOMB_X50_Y31_N20
\led_flash_cnt[880][6]~39210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[880][6]~39210_combout\ = (\led_flash_cnt[880][6]~q\ & (!\led_flash_cnt[880][5]~39209\)) # (!\led_flash_cnt[880][6]~q\ & ((\led_flash_cnt[880][5]~39209\) # (GND)))
-- \led_flash_cnt[880][6]~39211\ = CARRY((!\led_flash_cnt[880][5]~39209\) # (!\led_flash_cnt[880][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[880][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[880][5]~39209\,
	combout => \led_flash_cnt[880][6]~39210_combout\,
	cout => \led_flash_cnt[880][6]~39211\);

-- Location: FF_X50_Y31_N21
\led_flash_cnt[880][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[880][6]~39210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[880][6]~q\);

-- Location: LCCOMB_X50_Y31_N26
\WideAnd880~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd880~1_combout\ = (\led_flash_cnt[880][6]~q\ & \led_flash_cnt[880][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[880][6]~q\,
	datad => \led_flash_cnt[880][5]~q\,
	combout => \WideAnd880~1_combout\);

-- Location: LCCOMB_X50_Y31_N22
\led_flash_cnt[880][7]~39212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[880][7]~39212_combout\ = \led_flash_cnt[880][7]~q\ $ (!\led_flash_cnt[880][6]~39211\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[880][7]~q\,
	cin => \led_flash_cnt[880][6]~39211\,
	combout => \led_flash_cnt[880][7]~39212_combout\);

-- Location: FF_X50_Y31_N23
\led_flash_cnt[880][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[880][7]~39212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[880][7]~q\);

-- Location: LCCOMB_X50_Y31_N2
\WideAnd880~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd880~0_combout\ = (\led_flash_cnt[880][2]~q\ & (\led_flash_cnt[880][4]~q\ & (\led_flash_cnt[880][3]~q\ & \led_flash_cnt[880][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[880][2]~q\,
	datab => \led_flash_cnt[880][4]~q\,
	datac => \led_flash_cnt[880][3]~q\,
	datad => \led_flash_cnt[880][1]~q\,
	combout => \WideAnd880~0_combout\);

-- Location: LCCOMB_X50_Y31_N28
WideAnd880 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd880~combout\ = (\WideAnd880~1_combout\ & (\led_flash_cnt[880][0]~q\ & (\led_flash_cnt[880][7]~q\ & \WideAnd880~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd880~1_combout\,
	datab => \led_flash_cnt[880][0]~q\,
	datac => \led_flash_cnt[880][7]~q\,
	datad => \WideAnd880~0_combout\,
	combout => \WideAnd880~combout\);

-- Location: FF_X50_Y31_N29
\led_flash_cnt_ands[880]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd880~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(880));

-- Location: LCCOMB_X26_Y33_N4
\led_flash_cnt[883][0]~81523\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[883][0]~81523_combout\ = !\led_flash_cnt[883][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[883][0]~q\,
	combout => \led_flash_cnt[883][0]~81523_combout\);

-- Location: FF_X26_Y33_N5
\led_flash_cnt[883][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[883][0]~81523_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[883][0]~q\);

-- Location: LCCOMB_X23_Y33_N18
\led_flash_cnt[883][1]~39242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[883][1]~39242_combout\ = (\led_flash_cnt[883][0]~q\ & (\led_flash_cnt[883][1]~q\ $ (VCC))) # (!\led_flash_cnt[883][0]~q\ & (\led_flash_cnt[883][1]~q\ & VCC))
-- \led_flash_cnt[883][1]~39243\ = CARRY((\led_flash_cnt[883][0]~q\ & \led_flash_cnt[883][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[883][0]~q\,
	datab => \led_flash_cnt[883][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[883][1]~39242_combout\,
	cout => \led_flash_cnt[883][1]~39243\);

-- Location: FF_X23_Y33_N19
\led_flash_cnt[883][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[883][1]~39242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[883][1]~q\);

-- Location: LCCOMB_X23_Y33_N20
\led_flash_cnt[883][2]~39244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[883][2]~39244_combout\ = (\led_flash_cnt[883][2]~q\ & (!\led_flash_cnt[883][1]~39243\)) # (!\led_flash_cnt[883][2]~q\ & ((\led_flash_cnt[883][1]~39243\) # (GND)))
-- \led_flash_cnt[883][2]~39245\ = CARRY((!\led_flash_cnt[883][1]~39243\) # (!\led_flash_cnt[883][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[883][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[883][1]~39243\,
	combout => \led_flash_cnt[883][2]~39244_combout\,
	cout => \led_flash_cnt[883][2]~39245\);

-- Location: FF_X23_Y33_N21
\led_flash_cnt[883][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[883][2]~39244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[883][2]~q\);

-- Location: LCCOMB_X23_Y33_N22
\led_flash_cnt[883][3]~39246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[883][3]~39246_combout\ = (\led_flash_cnt[883][3]~q\ & (\led_flash_cnt[883][2]~39245\ $ (GND))) # (!\led_flash_cnt[883][3]~q\ & (!\led_flash_cnt[883][2]~39245\ & VCC))
-- \led_flash_cnt[883][3]~39247\ = CARRY((\led_flash_cnt[883][3]~q\ & !\led_flash_cnt[883][2]~39245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[883][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[883][2]~39245\,
	combout => \led_flash_cnt[883][3]~39246_combout\,
	cout => \led_flash_cnt[883][3]~39247\);

-- Location: FF_X23_Y33_N23
\led_flash_cnt[883][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[883][3]~39246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[883][3]~q\);

-- Location: LCCOMB_X23_Y33_N24
\led_flash_cnt[883][4]~39248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[883][4]~39248_combout\ = (\led_flash_cnt[883][4]~q\ & (!\led_flash_cnt[883][3]~39247\)) # (!\led_flash_cnt[883][4]~q\ & ((\led_flash_cnt[883][3]~39247\) # (GND)))
-- \led_flash_cnt[883][4]~39249\ = CARRY((!\led_flash_cnt[883][3]~39247\) # (!\led_flash_cnt[883][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[883][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[883][3]~39247\,
	combout => \led_flash_cnt[883][4]~39248_combout\,
	cout => \led_flash_cnt[883][4]~39249\);

-- Location: FF_X23_Y33_N25
\led_flash_cnt[883][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[883][4]~39248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[883][4]~q\);

-- Location: LCCOMB_X23_Y33_N26
\led_flash_cnt[883][5]~39250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[883][5]~39250_combout\ = (\led_flash_cnt[883][5]~q\ & (\led_flash_cnt[883][4]~39249\ $ (GND))) # (!\led_flash_cnt[883][5]~q\ & (!\led_flash_cnt[883][4]~39249\ & VCC))
-- \led_flash_cnt[883][5]~39251\ = CARRY((\led_flash_cnt[883][5]~q\ & !\led_flash_cnt[883][4]~39249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[883][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[883][4]~39249\,
	combout => \led_flash_cnt[883][5]~39250_combout\,
	cout => \led_flash_cnt[883][5]~39251\);

-- Location: FF_X23_Y33_N27
\led_flash_cnt[883][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[883][5]~39250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[883][5]~q\);

-- Location: LCCOMB_X23_Y33_N28
\led_flash_cnt[883][6]~39252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[883][6]~39252_combout\ = (\led_flash_cnt[883][6]~q\ & (!\led_flash_cnt[883][5]~39251\)) # (!\led_flash_cnt[883][6]~q\ & ((\led_flash_cnt[883][5]~39251\) # (GND)))
-- \led_flash_cnt[883][6]~39253\ = CARRY((!\led_flash_cnt[883][5]~39251\) # (!\led_flash_cnt[883][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[883][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[883][5]~39251\,
	combout => \led_flash_cnt[883][6]~39252_combout\,
	cout => \led_flash_cnt[883][6]~39253\);

-- Location: FF_X23_Y33_N29
\led_flash_cnt[883][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[883][6]~39252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[883][6]~q\);

-- Location: LCCOMB_X23_Y33_N4
\WideAnd883~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd883~1_combout\ = (\led_flash_cnt[883][5]~q\ & \led_flash_cnt[883][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[883][5]~q\,
	datad => \led_flash_cnt[883][6]~q\,
	combout => \WideAnd883~1_combout\);

-- Location: LCCOMB_X23_Y33_N30
\led_flash_cnt[883][7]~39254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[883][7]~39254_combout\ = \led_flash_cnt[883][7]~q\ $ (!\led_flash_cnt[883][6]~39253\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[883][7]~q\,
	cin => \led_flash_cnt[883][6]~39253\,
	combout => \led_flash_cnt[883][7]~39254_combout\);

-- Location: FF_X23_Y33_N31
\led_flash_cnt[883][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[883][7]~39254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[883][7]~q\);

-- Location: LCCOMB_X23_Y33_N10
\WideAnd883~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd883~0_combout\ = (\led_flash_cnt[883][2]~q\ & (\led_flash_cnt[883][1]~q\ & (\led_flash_cnt[883][3]~q\ & \led_flash_cnt[883][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[883][2]~q\,
	datab => \led_flash_cnt[883][1]~q\,
	datac => \led_flash_cnt[883][3]~q\,
	datad => \led_flash_cnt[883][4]~q\,
	combout => \WideAnd883~0_combout\);

-- Location: LCCOMB_X23_Y33_N16
WideAnd883 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd883~combout\ = (\led_flash_cnt[883][0]~q\ & (\WideAnd883~1_combout\ & (\led_flash_cnt[883][7]~q\ & \WideAnd883~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[883][0]~q\,
	datab => \WideAnd883~1_combout\,
	datac => \led_flash_cnt[883][7]~q\,
	datad => \WideAnd883~0_combout\,
	combout => \WideAnd883~combout\);

-- Location: FF_X23_Y33_N17
\led_flash_cnt_ands[883]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd883~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(883));

-- Location: LCCOMB_X23_Y33_N14
\WideAnd3950~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3950~0_combout\ = (led_flash_cnt_ands(881) & (led_flash_cnt_ands(882) & (led_flash_cnt_ands(880) & led_flash_cnt_ands(883))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(881),
	datab => led_flash_cnt_ands(882),
	datac => led_flash_cnt_ands(880),
	datad => led_flash_cnt_ands(883),
	combout => \WideAnd3950~0_combout\);

-- Location: LCCOMB_X34_Y33_N12
\led_flash_cnt[886][0]~81526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[886][0]~81526_combout\ = !\led_flash_cnt[886][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[886][0]~q\,
	combout => \led_flash_cnt[886][0]~81526_combout\);

-- Location: FF_X34_Y33_N13
\led_flash_cnt[886][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[886][0]~81526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[886][0]~q\);

-- Location: LCCOMB_X34_Y33_N14
\led_flash_cnt[886][1]~39284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[886][1]~39284_combout\ = (\led_flash_cnt[886][0]~q\ & (\led_flash_cnt[886][1]~q\ $ (VCC))) # (!\led_flash_cnt[886][0]~q\ & (\led_flash_cnt[886][1]~q\ & VCC))
-- \led_flash_cnt[886][1]~39285\ = CARRY((\led_flash_cnt[886][0]~q\ & \led_flash_cnt[886][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[886][0]~q\,
	datab => \led_flash_cnt[886][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[886][1]~39284_combout\,
	cout => \led_flash_cnt[886][1]~39285\);

-- Location: FF_X34_Y33_N15
\led_flash_cnt[886][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[886][1]~39284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[886][1]~q\);

-- Location: LCCOMB_X34_Y33_N16
\led_flash_cnt[886][2]~39286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[886][2]~39286_combout\ = (\led_flash_cnt[886][2]~q\ & (!\led_flash_cnt[886][1]~39285\)) # (!\led_flash_cnt[886][2]~q\ & ((\led_flash_cnt[886][1]~39285\) # (GND)))
-- \led_flash_cnt[886][2]~39287\ = CARRY((!\led_flash_cnt[886][1]~39285\) # (!\led_flash_cnt[886][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[886][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[886][1]~39285\,
	combout => \led_flash_cnt[886][2]~39286_combout\,
	cout => \led_flash_cnt[886][2]~39287\);

-- Location: FF_X34_Y33_N17
\led_flash_cnt[886][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[886][2]~39286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[886][2]~q\);

-- Location: LCCOMB_X34_Y33_N18
\led_flash_cnt[886][3]~39288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[886][3]~39288_combout\ = (\led_flash_cnt[886][3]~q\ & (\led_flash_cnt[886][2]~39287\ $ (GND))) # (!\led_flash_cnt[886][3]~q\ & (!\led_flash_cnt[886][2]~39287\ & VCC))
-- \led_flash_cnt[886][3]~39289\ = CARRY((\led_flash_cnt[886][3]~q\ & !\led_flash_cnt[886][2]~39287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[886][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[886][2]~39287\,
	combout => \led_flash_cnt[886][3]~39288_combout\,
	cout => \led_flash_cnt[886][3]~39289\);

-- Location: FF_X34_Y33_N19
\led_flash_cnt[886][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[886][3]~39288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[886][3]~q\);

-- Location: LCCOMB_X34_Y33_N20
\led_flash_cnt[886][4]~39290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[886][4]~39290_combout\ = (\led_flash_cnt[886][4]~q\ & (!\led_flash_cnt[886][3]~39289\)) # (!\led_flash_cnt[886][4]~q\ & ((\led_flash_cnt[886][3]~39289\) # (GND)))
-- \led_flash_cnt[886][4]~39291\ = CARRY((!\led_flash_cnt[886][3]~39289\) # (!\led_flash_cnt[886][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[886][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[886][3]~39289\,
	combout => \led_flash_cnt[886][4]~39290_combout\,
	cout => \led_flash_cnt[886][4]~39291\);

-- Location: FF_X34_Y33_N21
\led_flash_cnt[886][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[886][4]~39290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[886][4]~q\);

-- Location: LCCOMB_X34_Y33_N22
\led_flash_cnt[886][5]~39292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[886][5]~39292_combout\ = (\led_flash_cnt[886][5]~q\ & (\led_flash_cnt[886][4]~39291\ $ (GND))) # (!\led_flash_cnt[886][5]~q\ & (!\led_flash_cnt[886][4]~39291\ & VCC))
-- \led_flash_cnt[886][5]~39293\ = CARRY((\led_flash_cnt[886][5]~q\ & !\led_flash_cnt[886][4]~39291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[886][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[886][4]~39291\,
	combout => \led_flash_cnt[886][5]~39292_combout\,
	cout => \led_flash_cnt[886][5]~39293\);

-- Location: FF_X34_Y33_N23
\led_flash_cnt[886][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[886][5]~39292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[886][5]~q\);

-- Location: LCCOMB_X34_Y33_N24
\led_flash_cnt[886][6]~39294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[886][6]~39294_combout\ = (\led_flash_cnt[886][6]~q\ & (!\led_flash_cnt[886][5]~39293\)) # (!\led_flash_cnt[886][6]~q\ & ((\led_flash_cnt[886][5]~39293\) # (GND)))
-- \led_flash_cnt[886][6]~39295\ = CARRY((!\led_flash_cnt[886][5]~39293\) # (!\led_flash_cnt[886][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[886][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[886][5]~39293\,
	combout => \led_flash_cnt[886][6]~39294_combout\,
	cout => \led_flash_cnt[886][6]~39295\);

-- Location: FF_X34_Y33_N25
\led_flash_cnt[886][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[886][6]~39294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[886][6]~q\);

-- Location: LCCOMB_X34_Y33_N10
\WideAnd886~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd886~1_combout\ = (\led_flash_cnt[886][5]~q\ & \led_flash_cnt[886][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[886][5]~q\,
	datad => \led_flash_cnt[886][6]~q\,
	combout => \WideAnd886~1_combout\);

-- Location: LCCOMB_X34_Y33_N2
\WideAnd886~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd886~0_combout\ = (\led_flash_cnt[886][4]~q\ & (\led_flash_cnt[886][2]~q\ & (\led_flash_cnt[886][1]~q\ & \led_flash_cnt[886][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[886][4]~q\,
	datab => \led_flash_cnt[886][2]~q\,
	datac => \led_flash_cnt[886][1]~q\,
	datad => \led_flash_cnt[886][3]~q\,
	combout => \WideAnd886~0_combout\);

-- Location: LCCOMB_X34_Y33_N26
\led_flash_cnt[886][7]~39296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[886][7]~39296_combout\ = \led_flash_cnt[886][7]~q\ $ (!\led_flash_cnt[886][6]~39295\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[886][7]~q\,
	cin => \led_flash_cnt[886][6]~39295\,
	combout => \led_flash_cnt[886][7]~39296_combout\);

-- Location: FF_X34_Y33_N27
\led_flash_cnt[886][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[886][7]~39296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[886][7]~q\);

-- Location: LCCOMB_X34_Y33_N8
WideAnd886 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd886~combout\ = (\WideAnd886~1_combout\ & (\WideAnd886~0_combout\ & (\led_flash_cnt[886][7]~q\ & \led_flash_cnt[886][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd886~1_combout\,
	datab => \WideAnd886~0_combout\,
	datac => \led_flash_cnt[886][7]~q\,
	datad => \led_flash_cnt[886][0]~q\,
	combout => \WideAnd886~combout\);

-- Location: FF_X34_Y33_N9
\led_flash_cnt_ands[886]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd886~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(886));

-- Location: LCCOMB_X23_Y31_N10
\led_flash_cnt[885][0]~81525\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[885][0]~81525_combout\ = !\led_flash_cnt[885][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[885][0]~q\,
	combout => \led_flash_cnt[885][0]~81525_combout\);

-- Location: FF_X23_Y31_N11
\led_flash_cnt[885][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[885][0]~81525_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[885][0]~q\);

-- Location: LCCOMB_X23_Y31_N18
\led_flash_cnt[885][1]~39270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[885][1]~39270_combout\ = (\led_flash_cnt[885][0]~q\ & (\led_flash_cnt[885][1]~q\ $ (VCC))) # (!\led_flash_cnt[885][0]~q\ & (\led_flash_cnt[885][1]~q\ & VCC))
-- \led_flash_cnt[885][1]~39271\ = CARRY((\led_flash_cnt[885][0]~q\ & \led_flash_cnt[885][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[885][0]~q\,
	datab => \led_flash_cnt[885][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[885][1]~39270_combout\,
	cout => \led_flash_cnt[885][1]~39271\);

-- Location: FF_X23_Y31_N19
\led_flash_cnt[885][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[885][1]~39270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[885][1]~q\);

-- Location: LCCOMB_X23_Y31_N20
\led_flash_cnt[885][2]~39272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[885][2]~39272_combout\ = (\led_flash_cnt[885][2]~q\ & (!\led_flash_cnt[885][1]~39271\)) # (!\led_flash_cnt[885][2]~q\ & ((\led_flash_cnt[885][1]~39271\) # (GND)))
-- \led_flash_cnt[885][2]~39273\ = CARRY((!\led_flash_cnt[885][1]~39271\) # (!\led_flash_cnt[885][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[885][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[885][1]~39271\,
	combout => \led_flash_cnt[885][2]~39272_combout\,
	cout => \led_flash_cnt[885][2]~39273\);

-- Location: FF_X23_Y31_N21
\led_flash_cnt[885][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[885][2]~39272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[885][2]~q\);

-- Location: LCCOMB_X23_Y31_N22
\led_flash_cnt[885][3]~39274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[885][3]~39274_combout\ = (\led_flash_cnt[885][3]~q\ & (\led_flash_cnt[885][2]~39273\ $ (GND))) # (!\led_flash_cnt[885][3]~q\ & (!\led_flash_cnt[885][2]~39273\ & VCC))
-- \led_flash_cnt[885][3]~39275\ = CARRY((\led_flash_cnt[885][3]~q\ & !\led_flash_cnt[885][2]~39273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[885][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[885][2]~39273\,
	combout => \led_flash_cnt[885][3]~39274_combout\,
	cout => \led_flash_cnt[885][3]~39275\);

-- Location: FF_X23_Y31_N23
\led_flash_cnt[885][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[885][3]~39274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[885][3]~q\);

-- Location: LCCOMB_X23_Y31_N24
\led_flash_cnt[885][4]~39276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[885][4]~39276_combout\ = (\led_flash_cnt[885][4]~q\ & (!\led_flash_cnt[885][3]~39275\)) # (!\led_flash_cnt[885][4]~q\ & ((\led_flash_cnt[885][3]~39275\) # (GND)))
-- \led_flash_cnt[885][4]~39277\ = CARRY((!\led_flash_cnt[885][3]~39275\) # (!\led_flash_cnt[885][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[885][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[885][3]~39275\,
	combout => \led_flash_cnt[885][4]~39276_combout\,
	cout => \led_flash_cnt[885][4]~39277\);

-- Location: FF_X23_Y31_N25
\led_flash_cnt[885][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[885][4]~39276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[885][4]~q\);

-- Location: LCCOMB_X23_Y31_N4
\WideAnd885~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd885~0_combout\ = (\led_flash_cnt[885][1]~q\ & (\led_flash_cnt[885][4]~q\ & (\led_flash_cnt[885][3]~q\ & \led_flash_cnt[885][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[885][1]~q\,
	datab => \led_flash_cnt[885][4]~q\,
	datac => \led_flash_cnt[885][3]~q\,
	datad => \led_flash_cnt[885][2]~q\,
	combout => \WideAnd885~0_combout\);

-- Location: LCCOMB_X23_Y31_N26
\led_flash_cnt[885][5]~39278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[885][5]~39278_combout\ = (\led_flash_cnt[885][5]~q\ & (\led_flash_cnt[885][4]~39277\ $ (GND))) # (!\led_flash_cnt[885][5]~q\ & (!\led_flash_cnt[885][4]~39277\ & VCC))
-- \led_flash_cnt[885][5]~39279\ = CARRY((\led_flash_cnt[885][5]~q\ & !\led_flash_cnt[885][4]~39277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[885][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[885][4]~39277\,
	combout => \led_flash_cnt[885][5]~39278_combout\,
	cout => \led_flash_cnt[885][5]~39279\);

-- Location: FF_X23_Y31_N27
\led_flash_cnt[885][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[885][5]~39278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[885][5]~q\);

-- Location: LCCOMB_X23_Y31_N28
\led_flash_cnt[885][6]~39280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[885][6]~39280_combout\ = (\led_flash_cnt[885][6]~q\ & (!\led_flash_cnt[885][5]~39279\)) # (!\led_flash_cnt[885][6]~q\ & ((\led_flash_cnt[885][5]~39279\) # (GND)))
-- \led_flash_cnt[885][6]~39281\ = CARRY((!\led_flash_cnt[885][5]~39279\) # (!\led_flash_cnt[885][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[885][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[885][5]~39279\,
	combout => \led_flash_cnt[885][6]~39280_combout\,
	cout => \led_flash_cnt[885][6]~39281\);

-- Location: FF_X23_Y31_N29
\led_flash_cnt[885][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[885][6]~39280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[885][6]~q\);

-- Location: LCCOMB_X23_Y31_N30
\led_flash_cnt[885][7]~39282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[885][7]~39282_combout\ = \led_flash_cnt[885][7]~q\ $ (!\led_flash_cnt[885][6]~39281\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[885][7]~q\,
	cin => \led_flash_cnt[885][6]~39281\,
	combout => \led_flash_cnt[885][7]~39282_combout\);

-- Location: FF_X23_Y31_N31
\led_flash_cnt[885][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[885][7]~39282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[885][7]~q\);

-- Location: LCCOMB_X23_Y31_N2
\WideAnd885~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd885~1_combout\ = (\led_flash_cnt[885][5]~q\ & \led_flash_cnt[885][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[885][5]~q\,
	datad => \led_flash_cnt[885][6]~q\,
	combout => \WideAnd885~1_combout\);

-- Location: LCCOMB_X23_Y31_N14
WideAnd885 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd885~combout\ = (\led_flash_cnt[885][0]~q\ & (\WideAnd885~0_combout\ & (\led_flash_cnt[885][7]~q\ & \WideAnd885~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[885][0]~q\,
	datab => \WideAnd885~0_combout\,
	datac => \led_flash_cnt[885][7]~q\,
	datad => \WideAnd885~1_combout\,
	combout => \WideAnd885~combout\);

-- Location: FF_X23_Y31_N15
\led_flash_cnt_ands[885]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd885~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(885));

-- Location: LCCOMB_X22_Y34_N12
\led_flash_cnt[884][0]~81524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[884][0]~81524_combout\ = !\led_flash_cnt[884][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[884][0]~q\,
	combout => \led_flash_cnt[884][0]~81524_combout\);

-- Location: FF_X22_Y34_N13
\led_flash_cnt[884][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[884][0]~81524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[884][0]~q\);

-- Location: LCCOMB_X22_Y34_N18
\led_flash_cnt[884][1]~39256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[884][1]~39256_combout\ = (\led_flash_cnt[884][0]~q\ & (\led_flash_cnt[884][1]~q\ $ (VCC))) # (!\led_flash_cnt[884][0]~q\ & (\led_flash_cnt[884][1]~q\ & VCC))
-- \led_flash_cnt[884][1]~39257\ = CARRY((\led_flash_cnt[884][0]~q\ & \led_flash_cnt[884][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[884][0]~q\,
	datab => \led_flash_cnt[884][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[884][1]~39256_combout\,
	cout => \led_flash_cnt[884][1]~39257\);

-- Location: FF_X22_Y34_N19
\led_flash_cnt[884][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[884][1]~39256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[884][1]~q\);

-- Location: LCCOMB_X22_Y34_N20
\led_flash_cnt[884][2]~39258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[884][2]~39258_combout\ = (\led_flash_cnt[884][2]~q\ & (!\led_flash_cnt[884][1]~39257\)) # (!\led_flash_cnt[884][2]~q\ & ((\led_flash_cnt[884][1]~39257\) # (GND)))
-- \led_flash_cnt[884][2]~39259\ = CARRY((!\led_flash_cnt[884][1]~39257\) # (!\led_flash_cnt[884][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[884][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[884][1]~39257\,
	combout => \led_flash_cnt[884][2]~39258_combout\,
	cout => \led_flash_cnt[884][2]~39259\);

-- Location: FF_X22_Y34_N21
\led_flash_cnt[884][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[884][2]~39258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[884][2]~q\);

-- Location: LCCOMB_X22_Y34_N22
\led_flash_cnt[884][3]~39260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[884][3]~39260_combout\ = (\led_flash_cnt[884][3]~q\ & (\led_flash_cnt[884][2]~39259\ $ (GND))) # (!\led_flash_cnt[884][3]~q\ & (!\led_flash_cnt[884][2]~39259\ & VCC))
-- \led_flash_cnt[884][3]~39261\ = CARRY((\led_flash_cnt[884][3]~q\ & !\led_flash_cnt[884][2]~39259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[884][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[884][2]~39259\,
	combout => \led_flash_cnt[884][3]~39260_combout\,
	cout => \led_flash_cnt[884][3]~39261\);

-- Location: FF_X22_Y34_N23
\led_flash_cnt[884][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[884][3]~39260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[884][3]~q\);

-- Location: LCCOMB_X22_Y34_N24
\led_flash_cnt[884][4]~39262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[884][4]~39262_combout\ = (\led_flash_cnt[884][4]~q\ & (!\led_flash_cnt[884][3]~39261\)) # (!\led_flash_cnt[884][4]~q\ & ((\led_flash_cnt[884][3]~39261\) # (GND)))
-- \led_flash_cnt[884][4]~39263\ = CARRY((!\led_flash_cnt[884][3]~39261\) # (!\led_flash_cnt[884][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[884][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[884][3]~39261\,
	combout => \led_flash_cnt[884][4]~39262_combout\,
	cout => \led_flash_cnt[884][4]~39263\);

-- Location: FF_X22_Y34_N25
\led_flash_cnt[884][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[884][4]~39262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[884][4]~q\);

-- Location: LCCOMB_X22_Y34_N2
\WideAnd884~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd884~0_combout\ = (\led_flash_cnt[884][1]~q\ & (\led_flash_cnt[884][4]~q\ & (\led_flash_cnt[884][3]~q\ & \led_flash_cnt[884][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[884][1]~q\,
	datab => \led_flash_cnt[884][4]~q\,
	datac => \led_flash_cnt[884][3]~q\,
	datad => \led_flash_cnt[884][2]~q\,
	combout => \WideAnd884~0_combout\);

-- Location: LCCOMB_X22_Y34_N26
\led_flash_cnt[884][5]~39264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[884][5]~39264_combout\ = (\led_flash_cnt[884][5]~q\ & (\led_flash_cnt[884][4]~39263\ $ (GND))) # (!\led_flash_cnt[884][5]~q\ & (!\led_flash_cnt[884][4]~39263\ & VCC))
-- \led_flash_cnt[884][5]~39265\ = CARRY((\led_flash_cnt[884][5]~q\ & !\led_flash_cnt[884][4]~39263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[884][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[884][4]~39263\,
	combout => \led_flash_cnt[884][5]~39264_combout\,
	cout => \led_flash_cnt[884][5]~39265\);

-- Location: FF_X22_Y34_N27
\led_flash_cnt[884][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[884][5]~39264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[884][5]~q\);

-- Location: LCCOMB_X22_Y34_N28
\led_flash_cnt[884][6]~39266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[884][6]~39266_combout\ = (\led_flash_cnt[884][6]~q\ & (!\led_flash_cnt[884][5]~39265\)) # (!\led_flash_cnt[884][6]~q\ & ((\led_flash_cnt[884][5]~39265\) # (GND)))
-- \led_flash_cnt[884][6]~39267\ = CARRY((!\led_flash_cnt[884][5]~39265\) # (!\led_flash_cnt[884][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[884][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[884][5]~39265\,
	combout => \led_flash_cnt[884][6]~39266_combout\,
	cout => \led_flash_cnt[884][6]~39267\);

-- Location: FF_X22_Y34_N29
\led_flash_cnt[884][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[884][6]~39266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[884][6]~q\);

-- Location: LCCOMB_X22_Y34_N30
\led_flash_cnt[884][7]~39268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[884][7]~39268_combout\ = \led_flash_cnt[884][7]~q\ $ (!\led_flash_cnt[884][6]~39267\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[884][7]~q\,
	cin => \led_flash_cnt[884][6]~39267\,
	combout => \led_flash_cnt[884][7]~39268_combout\);

-- Location: FF_X22_Y34_N31
\led_flash_cnt[884][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[884][7]~39268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[884][7]~q\);

-- Location: LCCOMB_X22_Y34_N0
\WideAnd884~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd884~1_combout\ = (\led_flash_cnt[884][5]~q\ & \led_flash_cnt[884][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[884][5]~q\,
	datad => \led_flash_cnt[884][6]~q\,
	combout => \WideAnd884~1_combout\);

-- Location: LCCOMB_X22_Y34_N8
WideAnd884 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd884~combout\ = (\led_flash_cnt[884][0]~q\ & (\WideAnd884~0_combout\ & (\led_flash_cnt[884][7]~q\ & \WideAnd884~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[884][0]~q\,
	datab => \WideAnd884~0_combout\,
	datac => \led_flash_cnt[884][7]~q\,
	datad => \WideAnd884~1_combout\,
	combout => \WideAnd884~combout\);

-- Location: FF_X22_Y34_N9
\led_flash_cnt_ands[884]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd884~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(884));

-- Location: LCCOMB_X23_Y31_N0
\WideAnd3950~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3950~1_combout\ = (led_flash_cnt_ands(885) & led_flash_cnt_ands(884))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(885),
	datac => led_flash_cnt_ands(884),
	combout => \WideAnd3950~1_combout\);

-- Location: LCCOMB_X23_Y31_N12
WideAnd3950 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3950~combout\ = (led_flash_cnt_ands(887) & (\WideAnd3950~0_combout\ & (led_flash_cnt_ands(886) & \WideAnd3950~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(887),
	datab => \WideAnd3950~0_combout\,
	datac => led_flash_cnt_ands(886),
	datad => \WideAnd3950~1_combout\,
	combout => \WideAnd3950~combout\);

-- Location: FF_X23_Y31_N13
\led_flash_cnt_ands_1[110]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3950~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(110));

-- Location: LCCOMB_X22_Y23_N30
\led_flash_cnt[894][0]~81534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[894][0]~81534_combout\ = !\led_flash_cnt[894][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[894][0]~q\,
	combout => \led_flash_cnt[894][0]~81534_combout\);

-- Location: FF_X22_Y23_N31
\led_flash_cnt[894][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[894][0]~81534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[894][0]~q\);

-- Location: LCCOMB_X18_Y23_N18
\led_flash_cnt[894][1]~39396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[894][1]~39396_combout\ = (\led_flash_cnt[894][1]~q\ & (\led_flash_cnt[894][0]~q\ $ (VCC))) # (!\led_flash_cnt[894][1]~q\ & (\led_flash_cnt[894][0]~q\ & VCC))
-- \led_flash_cnt[894][1]~39397\ = CARRY((\led_flash_cnt[894][1]~q\ & \led_flash_cnt[894][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[894][1]~q\,
	datab => \led_flash_cnt[894][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[894][1]~39396_combout\,
	cout => \led_flash_cnt[894][1]~39397\);

-- Location: FF_X18_Y23_N19
\led_flash_cnt[894][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[894][1]~39396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[894][1]~q\);

-- Location: LCCOMB_X18_Y23_N20
\led_flash_cnt[894][2]~39398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[894][2]~39398_combout\ = (\led_flash_cnt[894][2]~q\ & (!\led_flash_cnt[894][1]~39397\)) # (!\led_flash_cnt[894][2]~q\ & ((\led_flash_cnt[894][1]~39397\) # (GND)))
-- \led_flash_cnt[894][2]~39399\ = CARRY((!\led_flash_cnt[894][1]~39397\) # (!\led_flash_cnt[894][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[894][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[894][1]~39397\,
	combout => \led_flash_cnt[894][2]~39398_combout\,
	cout => \led_flash_cnt[894][2]~39399\);

-- Location: FF_X18_Y23_N21
\led_flash_cnt[894][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[894][2]~39398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[894][2]~q\);

-- Location: LCCOMB_X18_Y23_N22
\led_flash_cnt[894][3]~39400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[894][3]~39400_combout\ = (\led_flash_cnt[894][3]~q\ & (\led_flash_cnt[894][2]~39399\ $ (GND))) # (!\led_flash_cnt[894][3]~q\ & (!\led_flash_cnt[894][2]~39399\ & VCC))
-- \led_flash_cnt[894][3]~39401\ = CARRY((\led_flash_cnt[894][3]~q\ & !\led_flash_cnt[894][2]~39399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[894][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[894][2]~39399\,
	combout => \led_flash_cnt[894][3]~39400_combout\,
	cout => \led_flash_cnt[894][3]~39401\);

-- Location: FF_X18_Y23_N23
\led_flash_cnt[894][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[894][3]~39400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[894][3]~q\);

-- Location: LCCOMB_X18_Y23_N24
\led_flash_cnt[894][4]~39402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[894][4]~39402_combout\ = (\led_flash_cnt[894][4]~q\ & (!\led_flash_cnt[894][3]~39401\)) # (!\led_flash_cnt[894][4]~q\ & ((\led_flash_cnt[894][3]~39401\) # (GND)))
-- \led_flash_cnt[894][4]~39403\ = CARRY((!\led_flash_cnt[894][3]~39401\) # (!\led_flash_cnt[894][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[894][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[894][3]~39401\,
	combout => \led_flash_cnt[894][4]~39402_combout\,
	cout => \led_flash_cnt[894][4]~39403\);

-- Location: FF_X18_Y23_N25
\led_flash_cnt[894][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[894][4]~39402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[894][4]~q\);

-- Location: LCCOMB_X18_Y23_N26
\led_flash_cnt[894][5]~39404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[894][5]~39404_combout\ = (\led_flash_cnt[894][5]~q\ & (\led_flash_cnt[894][4]~39403\ $ (GND))) # (!\led_flash_cnt[894][5]~q\ & (!\led_flash_cnt[894][4]~39403\ & VCC))
-- \led_flash_cnt[894][5]~39405\ = CARRY((\led_flash_cnt[894][5]~q\ & !\led_flash_cnt[894][4]~39403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[894][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[894][4]~39403\,
	combout => \led_flash_cnt[894][5]~39404_combout\,
	cout => \led_flash_cnt[894][5]~39405\);

-- Location: FF_X18_Y23_N27
\led_flash_cnt[894][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[894][5]~39404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[894][5]~q\);

-- Location: LCCOMB_X18_Y23_N28
\led_flash_cnt[894][6]~39406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[894][6]~39406_combout\ = (\led_flash_cnt[894][6]~q\ & (!\led_flash_cnt[894][5]~39405\)) # (!\led_flash_cnt[894][6]~q\ & ((\led_flash_cnt[894][5]~39405\) # (GND)))
-- \led_flash_cnt[894][6]~39407\ = CARRY((!\led_flash_cnt[894][5]~39405\) # (!\led_flash_cnt[894][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[894][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[894][5]~39405\,
	combout => \led_flash_cnt[894][6]~39406_combout\,
	cout => \led_flash_cnt[894][6]~39407\);

-- Location: FF_X18_Y23_N29
\led_flash_cnt[894][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[894][6]~39406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[894][6]~q\);

-- Location: LCCOMB_X17_Y23_N26
\WideAnd894~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd894~1_combout\ = (\led_flash_cnt[894][5]~q\ & \led_flash_cnt[894][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[894][5]~q\,
	datad => \led_flash_cnt[894][6]~q\,
	combout => \WideAnd894~1_combout\);

-- Location: LCCOMB_X18_Y23_N30
\led_flash_cnt[894][7]~39408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[894][7]~39408_combout\ = \led_flash_cnt[894][7]~q\ $ (!\led_flash_cnt[894][6]~39407\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[894][7]~q\,
	cin => \led_flash_cnt[894][6]~39407\,
	combout => \led_flash_cnt[894][7]~39408_combout\);

-- Location: FF_X18_Y23_N31
\led_flash_cnt[894][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[894][7]~39408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[894][7]~q\);

-- Location: LCCOMB_X19_Y23_N28
\WideAnd894~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd894~0_combout\ = (\led_flash_cnt[894][1]~q\ & (\led_flash_cnt[894][3]~q\ & (\led_flash_cnt[894][2]~q\ & \led_flash_cnt[894][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[894][1]~q\,
	datab => \led_flash_cnt[894][3]~q\,
	datac => \led_flash_cnt[894][2]~q\,
	datad => \led_flash_cnt[894][4]~q\,
	combout => \WideAnd894~0_combout\);

-- Location: LCCOMB_X18_Y23_N14
WideAnd894 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd894~combout\ = (\WideAnd894~1_combout\ & (\led_flash_cnt[894][0]~q\ & (\led_flash_cnt[894][7]~q\ & \WideAnd894~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd894~1_combout\,
	datab => \led_flash_cnt[894][0]~q\,
	datac => \led_flash_cnt[894][7]~q\,
	datad => \WideAnd894~0_combout\,
	combout => \WideAnd894~combout\);

-- Location: LCCOMB_X19_Y23_N10
\led_flash_cnt_ands[894]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt_ands[894]~feeder_combout\ = \WideAnd894~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \WideAnd894~combout\,
	combout => \led_flash_cnt_ands[894]~feeder_combout\);

-- Location: FF_X19_Y23_N11
\led_flash_cnt_ands[894]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt_ands[894]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(894));

-- Location: LCCOMB_X21_Y18_N8
\led_flash_cnt[895][0]~81535\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[895][0]~81535_combout\ = !\led_flash_cnt[895][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[895][0]~q\,
	combout => \led_flash_cnt[895][0]~81535_combout\);

-- Location: FF_X21_Y18_N9
\led_flash_cnt[895][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[895][0]~81535_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[895][0]~q\);

-- Location: LCCOMB_X21_Y18_N10
\led_flash_cnt[895][1]~39410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[895][1]~39410_combout\ = (\led_flash_cnt[895][1]~q\ & (\led_flash_cnt[895][0]~q\ $ (VCC))) # (!\led_flash_cnt[895][1]~q\ & (\led_flash_cnt[895][0]~q\ & VCC))
-- \led_flash_cnt[895][1]~39411\ = CARRY((\led_flash_cnt[895][1]~q\ & \led_flash_cnt[895][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[895][1]~q\,
	datab => \led_flash_cnt[895][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[895][1]~39410_combout\,
	cout => \led_flash_cnt[895][1]~39411\);

-- Location: FF_X21_Y18_N11
\led_flash_cnt[895][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[895][1]~39410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[895][1]~q\);

-- Location: LCCOMB_X21_Y18_N12
\led_flash_cnt[895][2]~39412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[895][2]~39412_combout\ = (\led_flash_cnt[895][2]~q\ & (!\led_flash_cnt[895][1]~39411\)) # (!\led_flash_cnt[895][2]~q\ & ((\led_flash_cnt[895][1]~39411\) # (GND)))
-- \led_flash_cnt[895][2]~39413\ = CARRY((!\led_flash_cnt[895][1]~39411\) # (!\led_flash_cnt[895][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[895][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[895][1]~39411\,
	combout => \led_flash_cnt[895][2]~39412_combout\,
	cout => \led_flash_cnt[895][2]~39413\);

-- Location: FF_X21_Y18_N13
\led_flash_cnt[895][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[895][2]~39412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[895][2]~q\);

-- Location: LCCOMB_X21_Y18_N14
\led_flash_cnt[895][3]~39414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[895][3]~39414_combout\ = (\led_flash_cnt[895][3]~q\ & (\led_flash_cnt[895][2]~39413\ $ (GND))) # (!\led_flash_cnt[895][3]~q\ & (!\led_flash_cnt[895][2]~39413\ & VCC))
-- \led_flash_cnt[895][3]~39415\ = CARRY((\led_flash_cnt[895][3]~q\ & !\led_flash_cnt[895][2]~39413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[895][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[895][2]~39413\,
	combout => \led_flash_cnt[895][3]~39414_combout\,
	cout => \led_flash_cnt[895][3]~39415\);

-- Location: FF_X21_Y18_N15
\led_flash_cnt[895][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[895][3]~39414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[895][3]~q\);

-- Location: LCCOMB_X21_Y18_N16
\led_flash_cnt[895][4]~39416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[895][4]~39416_combout\ = (\led_flash_cnt[895][4]~q\ & (!\led_flash_cnt[895][3]~39415\)) # (!\led_flash_cnt[895][4]~q\ & ((\led_flash_cnt[895][3]~39415\) # (GND)))
-- \led_flash_cnt[895][4]~39417\ = CARRY((!\led_flash_cnt[895][3]~39415\) # (!\led_flash_cnt[895][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[895][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[895][3]~39415\,
	combout => \led_flash_cnt[895][4]~39416_combout\,
	cout => \led_flash_cnt[895][4]~39417\);

-- Location: FF_X21_Y18_N17
\led_flash_cnt[895][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[895][4]~39416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[895][4]~q\);

-- Location: LCCOMB_X21_Y18_N18
\led_flash_cnt[895][5]~39418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[895][5]~39418_combout\ = (\led_flash_cnt[895][5]~q\ & (\led_flash_cnt[895][4]~39417\ $ (GND))) # (!\led_flash_cnt[895][5]~q\ & (!\led_flash_cnt[895][4]~39417\ & VCC))
-- \led_flash_cnt[895][5]~39419\ = CARRY((\led_flash_cnt[895][5]~q\ & !\led_flash_cnt[895][4]~39417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[895][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[895][4]~39417\,
	combout => \led_flash_cnt[895][5]~39418_combout\,
	cout => \led_flash_cnt[895][5]~39419\);

-- Location: FF_X21_Y18_N19
\led_flash_cnt[895][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[895][5]~39418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[895][5]~q\);

-- Location: LCCOMB_X21_Y18_N20
\led_flash_cnt[895][6]~39420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[895][6]~39420_combout\ = (\led_flash_cnt[895][6]~q\ & (!\led_flash_cnt[895][5]~39419\)) # (!\led_flash_cnt[895][6]~q\ & ((\led_flash_cnt[895][5]~39419\) # (GND)))
-- \led_flash_cnt[895][6]~39421\ = CARRY((!\led_flash_cnt[895][5]~39419\) # (!\led_flash_cnt[895][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[895][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[895][5]~39419\,
	combout => \led_flash_cnt[895][6]~39420_combout\,
	cout => \led_flash_cnt[895][6]~39421\);

-- Location: FF_X21_Y18_N21
\led_flash_cnt[895][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[895][6]~39420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[895][6]~q\);

-- Location: LCCOMB_X21_Y18_N26
\WideAnd895~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd895~1_combout\ = (\led_flash_cnt[895][6]~q\ & \led_flash_cnt[895][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[895][6]~q\,
	datad => \led_flash_cnt[895][5]~q\,
	combout => \WideAnd895~1_combout\);

-- Location: LCCOMB_X21_Y18_N22
\led_flash_cnt[895][7]~39422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[895][7]~39422_combout\ = \led_flash_cnt[895][7]~q\ $ (!\led_flash_cnt[895][6]~39421\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[895][7]~q\,
	cin => \led_flash_cnt[895][6]~39421\,
	combout => \led_flash_cnt[895][7]~39422_combout\);

-- Location: FF_X21_Y18_N23
\led_flash_cnt[895][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[895][7]~39422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[895][7]~q\);

-- Location: LCCOMB_X21_Y18_N6
\WideAnd895~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd895~0_combout\ = (\led_flash_cnt[895][2]~q\ & (\led_flash_cnt[895][4]~q\ & (\led_flash_cnt[895][3]~q\ & \led_flash_cnt[895][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[895][2]~q\,
	datab => \led_flash_cnt[895][4]~q\,
	datac => \led_flash_cnt[895][3]~q\,
	datad => \led_flash_cnt[895][1]~q\,
	combout => \WideAnd895~0_combout\);

-- Location: LCCOMB_X21_Y18_N30
WideAnd895 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd895~combout\ = (\WideAnd895~1_combout\ & (\led_flash_cnt[895][0]~q\ & (\led_flash_cnt[895][7]~q\ & \WideAnd895~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd895~1_combout\,
	datab => \led_flash_cnt[895][0]~q\,
	datac => \led_flash_cnt[895][7]~q\,
	datad => \WideAnd895~0_combout\,
	combout => \WideAnd895~combout\);

-- Location: FF_X21_Y18_N31
\led_flash_cnt_ands[895]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd895~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(895));

-- Location: LCCOMB_X21_Y28_N6
\led_flash_cnt[888][0]~81528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[888][0]~81528_combout\ = !\led_flash_cnt[888][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[888][0]~q\,
	combout => \led_flash_cnt[888][0]~81528_combout\);

-- Location: FF_X21_Y28_N7
\led_flash_cnt[888][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[888][0]~81528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[888][0]~q\);

-- Location: LCCOMB_X22_Y28_N2
\led_flash_cnt[888][1]~39312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[888][1]~39312_combout\ = (\led_flash_cnt[888][0]~q\ & (\led_flash_cnt[888][1]~q\ $ (VCC))) # (!\led_flash_cnt[888][0]~q\ & (\led_flash_cnt[888][1]~q\ & VCC))
-- \led_flash_cnt[888][1]~39313\ = CARRY((\led_flash_cnt[888][0]~q\ & \led_flash_cnt[888][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[888][0]~q\,
	datab => \led_flash_cnt[888][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[888][1]~39312_combout\,
	cout => \led_flash_cnt[888][1]~39313\);

-- Location: FF_X22_Y28_N3
\led_flash_cnt[888][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[888][1]~39312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[888][1]~q\);

-- Location: LCCOMB_X22_Y28_N4
\led_flash_cnt[888][2]~39314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[888][2]~39314_combout\ = (\led_flash_cnt[888][2]~q\ & (!\led_flash_cnt[888][1]~39313\)) # (!\led_flash_cnt[888][2]~q\ & ((\led_flash_cnt[888][1]~39313\) # (GND)))
-- \led_flash_cnt[888][2]~39315\ = CARRY((!\led_flash_cnt[888][1]~39313\) # (!\led_flash_cnt[888][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[888][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[888][1]~39313\,
	combout => \led_flash_cnt[888][2]~39314_combout\,
	cout => \led_flash_cnt[888][2]~39315\);

-- Location: FF_X22_Y28_N5
\led_flash_cnt[888][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[888][2]~39314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[888][2]~q\);

-- Location: LCCOMB_X22_Y28_N6
\led_flash_cnt[888][3]~39316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[888][3]~39316_combout\ = (\led_flash_cnt[888][3]~q\ & (\led_flash_cnt[888][2]~39315\ $ (GND))) # (!\led_flash_cnt[888][3]~q\ & (!\led_flash_cnt[888][2]~39315\ & VCC))
-- \led_flash_cnt[888][3]~39317\ = CARRY((\led_flash_cnt[888][3]~q\ & !\led_flash_cnt[888][2]~39315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[888][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[888][2]~39315\,
	combout => \led_flash_cnt[888][3]~39316_combout\,
	cout => \led_flash_cnt[888][3]~39317\);

-- Location: FF_X22_Y28_N7
\led_flash_cnt[888][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[888][3]~39316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[888][3]~q\);

-- Location: LCCOMB_X22_Y28_N8
\led_flash_cnt[888][4]~39318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[888][4]~39318_combout\ = (\led_flash_cnt[888][4]~q\ & (!\led_flash_cnt[888][3]~39317\)) # (!\led_flash_cnt[888][4]~q\ & ((\led_flash_cnt[888][3]~39317\) # (GND)))
-- \led_flash_cnt[888][4]~39319\ = CARRY((!\led_flash_cnt[888][3]~39317\) # (!\led_flash_cnt[888][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[888][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[888][3]~39317\,
	combout => \led_flash_cnt[888][4]~39318_combout\,
	cout => \led_flash_cnt[888][4]~39319\);

-- Location: FF_X22_Y28_N9
\led_flash_cnt[888][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[888][4]~39318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[888][4]~q\);

-- Location: LCCOMB_X22_Y28_N10
\led_flash_cnt[888][5]~39320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[888][5]~39320_combout\ = (\led_flash_cnt[888][5]~q\ & (\led_flash_cnt[888][4]~39319\ $ (GND))) # (!\led_flash_cnt[888][5]~q\ & (!\led_flash_cnt[888][4]~39319\ & VCC))
-- \led_flash_cnt[888][5]~39321\ = CARRY((\led_flash_cnt[888][5]~q\ & !\led_flash_cnt[888][4]~39319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[888][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[888][4]~39319\,
	combout => \led_flash_cnt[888][5]~39320_combout\,
	cout => \led_flash_cnt[888][5]~39321\);

-- Location: FF_X22_Y28_N11
\led_flash_cnt[888][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[888][5]~39320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[888][5]~q\);

-- Location: LCCOMB_X22_Y28_N12
\led_flash_cnt[888][6]~39322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[888][6]~39322_combout\ = (\led_flash_cnt[888][6]~q\ & (!\led_flash_cnt[888][5]~39321\)) # (!\led_flash_cnt[888][6]~q\ & ((\led_flash_cnt[888][5]~39321\) # (GND)))
-- \led_flash_cnt[888][6]~39323\ = CARRY((!\led_flash_cnt[888][5]~39321\) # (!\led_flash_cnt[888][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[888][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[888][5]~39321\,
	combout => \led_flash_cnt[888][6]~39322_combout\,
	cout => \led_flash_cnt[888][6]~39323\);

-- Location: FF_X22_Y28_N13
\led_flash_cnt[888][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[888][6]~39322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[888][6]~q\);

-- Location: LCCOMB_X22_Y28_N14
\led_flash_cnt[888][7]~39324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[888][7]~39324_combout\ = \led_flash_cnt[888][7]~q\ $ (!\led_flash_cnt[888][6]~39323\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[888][7]~q\,
	cin => \led_flash_cnt[888][6]~39323\,
	combout => \led_flash_cnt[888][7]~39324_combout\);

-- Location: FF_X22_Y28_N15
\led_flash_cnt[888][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[888][7]~39324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[888][7]~q\);

-- Location: LCCOMB_X22_Y28_N30
\WideAnd888~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd888~0_combout\ = (\led_flash_cnt[888][3]~q\ & (\led_flash_cnt[888][4]~q\ & (\led_flash_cnt[888][2]~q\ & \led_flash_cnt[888][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[888][3]~q\,
	datab => \led_flash_cnt[888][4]~q\,
	datac => \led_flash_cnt[888][2]~q\,
	datad => \led_flash_cnt[888][1]~q\,
	combout => \WideAnd888~0_combout\);

-- Location: LCCOMB_X21_Y28_N0
\WideAnd888~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd888~1_combout\ = (\led_flash_cnt[888][6]~q\ & \led_flash_cnt[888][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[888][6]~q\,
	datac => \led_flash_cnt[888][5]~q\,
	combout => \WideAnd888~1_combout\);

-- Location: LCCOMB_X21_Y28_N26
WideAnd888 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd888~combout\ = (\led_flash_cnt[888][0]~q\ & (\led_flash_cnt[888][7]~q\ & (\WideAnd888~0_combout\ & \WideAnd888~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[888][0]~q\,
	datab => \led_flash_cnt[888][7]~q\,
	datac => \WideAnd888~0_combout\,
	datad => \WideAnd888~1_combout\,
	combout => \WideAnd888~combout\);

-- Location: FF_X21_Y28_N27
\led_flash_cnt_ands[888]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd888~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(888));

-- Location: LCCOMB_X20_Y26_N2
\led_flash_cnt[890][0]~81530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[890][0]~81530_combout\ = !\led_flash_cnt[890][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[890][0]~q\,
	combout => \led_flash_cnt[890][0]~81530_combout\);

-- Location: FF_X20_Y26_N3
\led_flash_cnt[890][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[890][0]~81530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[890][0]~q\);

-- Location: LCCOMB_X19_Y26_N18
\led_flash_cnt[890][1]~39340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[890][1]~39340_combout\ = (\led_flash_cnt[890][0]~q\ & (\led_flash_cnt[890][1]~q\ $ (VCC))) # (!\led_flash_cnt[890][0]~q\ & (\led_flash_cnt[890][1]~q\ & VCC))
-- \led_flash_cnt[890][1]~39341\ = CARRY((\led_flash_cnt[890][0]~q\ & \led_flash_cnt[890][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[890][0]~q\,
	datab => \led_flash_cnt[890][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[890][1]~39340_combout\,
	cout => \led_flash_cnt[890][1]~39341\);

-- Location: FF_X19_Y26_N19
\led_flash_cnt[890][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[890][1]~39340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[890][1]~q\);

-- Location: LCCOMB_X19_Y26_N20
\led_flash_cnt[890][2]~39342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[890][2]~39342_combout\ = (\led_flash_cnt[890][2]~q\ & (!\led_flash_cnt[890][1]~39341\)) # (!\led_flash_cnt[890][2]~q\ & ((\led_flash_cnt[890][1]~39341\) # (GND)))
-- \led_flash_cnt[890][2]~39343\ = CARRY((!\led_flash_cnt[890][1]~39341\) # (!\led_flash_cnt[890][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[890][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[890][1]~39341\,
	combout => \led_flash_cnt[890][2]~39342_combout\,
	cout => \led_flash_cnt[890][2]~39343\);

-- Location: FF_X19_Y26_N21
\led_flash_cnt[890][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[890][2]~39342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[890][2]~q\);

-- Location: LCCOMB_X19_Y26_N22
\led_flash_cnt[890][3]~39344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[890][3]~39344_combout\ = (\led_flash_cnt[890][3]~q\ & (\led_flash_cnt[890][2]~39343\ $ (GND))) # (!\led_flash_cnt[890][3]~q\ & (!\led_flash_cnt[890][2]~39343\ & VCC))
-- \led_flash_cnt[890][3]~39345\ = CARRY((\led_flash_cnt[890][3]~q\ & !\led_flash_cnt[890][2]~39343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[890][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[890][2]~39343\,
	combout => \led_flash_cnt[890][3]~39344_combout\,
	cout => \led_flash_cnt[890][3]~39345\);

-- Location: FF_X19_Y26_N23
\led_flash_cnt[890][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[890][3]~39344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[890][3]~q\);

-- Location: LCCOMB_X19_Y26_N24
\led_flash_cnt[890][4]~39346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[890][4]~39346_combout\ = (\led_flash_cnt[890][4]~q\ & (!\led_flash_cnt[890][3]~39345\)) # (!\led_flash_cnt[890][4]~q\ & ((\led_flash_cnt[890][3]~39345\) # (GND)))
-- \led_flash_cnt[890][4]~39347\ = CARRY((!\led_flash_cnt[890][3]~39345\) # (!\led_flash_cnt[890][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[890][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[890][3]~39345\,
	combout => \led_flash_cnt[890][4]~39346_combout\,
	cout => \led_flash_cnt[890][4]~39347\);

-- Location: FF_X19_Y26_N25
\led_flash_cnt[890][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[890][4]~39346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[890][4]~q\);

-- Location: LCCOMB_X19_Y26_N26
\led_flash_cnt[890][5]~39348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[890][5]~39348_combout\ = (\led_flash_cnt[890][5]~q\ & (\led_flash_cnt[890][4]~39347\ $ (GND))) # (!\led_flash_cnt[890][5]~q\ & (!\led_flash_cnt[890][4]~39347\ & VCC))
-- \led_flash_cnt[890][5]~39349\ = CARRY((\led_flash_cnt[890][5]~q\ & !\led_flash_cnt[890][4]~39347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[890][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[890][4]~39347\,
	combout => \led_flash_cnt[890][5]~39348_combout\,
	cout => \led_flash_cnt[890][5]~39349\);

-- Location: FF_X19_Y26_N27
\led_flash_cnt[890][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[890][5]~39348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[890][5]~q\);

-- Location: LCCOMB_X19_Y26_N28
\led_flash_cnt[890][6]~39350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[890][6]~39350_combout\ = (\led_flash_cnt[890][6]~q\ & (!\led_flash_cnt[890][5]~39349\)) # (!\led_flash_cnt[890][6]~q\ & ((\led_flash_cnt[890][5]~39349\) # (GND)))
-- \led_flash_cnt[890][6]~39351\ = CARRY((!\led_flash_cnt[890][5]~39349\) # (!\led_flash_cnt[890][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[890][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[890][5]~39349\,
	combout => \led_flash_cnt[890][6]~39350_combout\,
	cout => \led_flash_cnt[890][6]~39351\);

-- Location: FF_X19_Y26_N29
\led_flash_cnt[890][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[890][6]~39350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[890][6]~q\);

-- Location: LCCOMB_X20_Y26_N30
\WideAnd890~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd890~1_combout\ = (\led_flash_cnt[890][5]~q\ & \led_flash_cnt[890][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[890][5]~q\,
	datad => \led_flash_cnt[890][6]~q\,
	combout => \WideAnd890~1_combout\);

-- Location: LCCOMB_X19_Y26_N30
\led_flash_cnt[890][7]~39352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[890][7]~39352_combout\ = \led_flash_cnt[890][7]~q\ $ (!\led_flash_cnt[890][6]~39351\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[890][7]~q\,
	cin => \led_flash_cnt[890][6]~39351\,
	combout => \led_flash_cnt[890][7]~39352_combout\);

-- Location: FF_X19_Y26_N31
\led_flash_cnt[890][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[890][7]~39352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[890][7]~q\);

-- Location: LCCOMB_X19_Y26_N0
\WideAnd890~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd890~0_combout\ = (\led_flash_cnt[890][1]~q\ & (\led_flash_cnt[890][4]~q\ & (\led_flash_cnt[890][3]~q\ & \led_flash_cnt[890][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[890][1]~q\,
	datab => \led_flash_cnt[890][4]~q\,
	datac => \led_flash_cnt[890][3]~q\,
	datad => \led_flash_cnt[890][2]~q\,
	combout => \WideAnd890~0_combout\);

-- Location: LCCOMB_X20_Y26_N28
WideAnd890 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd890~combout\ = (\WideAnd890~1_combout\ & (\led_flash_cnt[890][7]~q\ & (\WideAnd890~0_combout\ & \led_flash_cnt[890][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd890~1_combout\,
	datab => \led_flash_cnt[890][7]~q\,
	datac => \WideAnd890~0_combout\,
	datad => \led_flash_cnt[890][0]~q\,
	combout => \WideAnd890~combout\);

-- Location: FF_X20_Y26_N29
\led_flash_cnt_ands[890]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd890~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(890));

-- Location: LCCOMB_X21_Y28_N28
\led_flash_cnt[889][0]~81529\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[889][0]~81529_combout\ = !\led_flash_cnt[889][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[889][0]~q\,
	combout => \led_flash_cnt[889][0]~81529_combout\);

-- Location: FF_X21_Y28_N29
\led_flash_cnt[889][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[889][0]~81529_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[889][0]~q\);

-- Location: LCCOMB_X21_Y28_N10
\led_flash_cnt[889][1]~39326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[889][1]~39326_combout\ = (\led_flash_cnt[889][1]~q\ & (\led_flash_cnt[889][0]~q\ $ (VCC))) # (!\led_flash_cnt[889][1]~q\ & (\led_flash_cnt[889][0]~q\ & VCC))
-- \led_flash_cnt[889][1]~39327\ = CARRY((\led_flash_cnt[889][1]~q\ & \led_flash_cnt[889][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[889][1]~q\,
	datab => \led_flash_cnt[889][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[889][1]~39326_combout\,
	cout => \led_flash_cnt[889][1]~39327\);

-- Location: FF_X21_Y28_N11
\led_flash_cnt[889][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[889][1]~39326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[889][1]~q\);

-- Location: LCCOMB_X21_Y28_N12
\led_flash_cnt[889][2]~39328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[889][2]~39328_combout\ = (\led_flash_cnt[889][2]~q\ & (!\led_flash_cnt[889][1]~39327\)) # (!\led_flash_cnt[889][2]~q\ & ((\led_flash_cnt[889][1]~39327\) # (GND)))
-- \led_flash_cnt[889][2]~39329\ = CARRY((!\led_flash_cnt[889][1]~39327\) # (!\led_flash_cnt[889][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[889][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[889][1]~39327\,
	combout => \led_flash_cnt[889][2]~39328_combout\,
	cout => \led_flash_cnt[889][2]~39329\);

-- Location: FF_X21_Y28_N13
\led_flash_cnt[889][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[889][2]~39328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[889][2]~q\);

-- Location: LCCOMB_X21_Y28_N14
\led_flash_cnt[889][3]~39330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[889][3]~39330_combout\ = (\led_flash_cnt[889][3]~q\ & (\led_flash_cnt[889][2]~39329\ $ (GND))) # (!\led_flash_cnt[889][3]~q\ & (!\led_flash_cnt[889][2]~39329\ & VCC))
-- \led_flash_cnt[889][3]~39331\ = CARRY((\led_flash_cnt[889][3]~q\ & !\led_flash_cnt[889][2]~39329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[889][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[889][2]~39329\,
	combout => \led_flash_cnt[889][3]~39330_combout\,
	cout => \led_flash_cnt[889][3]~39331\);

-- Location: FF_X21_Y28_N15
\led_flash_cnt[889][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[889][3]~39330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[889][3]~q\);

-- Location: LCCOMB_X21_Y28_N16
\led_flash_cnt[889][4]~39332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[889][4]~39332_combout\ = (\led_flash_cnt[889][4]~q\ & (!\led_flash_cnt[889][3]~39331\)) # (!\led_flash_cnt[889][4]~q\ & ((\led_flash_cnt[889][3]~39331\) # (GND)))
-- \led_flash_cnt[889][4]~39333\ = CARRY((!\led_flash_cnt[889][3]~39331\) # (!\led_flash_cnt[889][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[889][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[889][3]~39331\,
	combout => \led_flash_cnt[889][4]~39332_combout\,
	cout => \led_flash_cnt[889][4]~39333\);

-- Location: FF_X21_Y28_N17
\led_flash_cnt[889][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[889][4]~39332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[889][4]~q\);

-- Location: LCCOMB_X21_Y28_N18
\led_flash_cnt[889][5]~39334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[889][5]~39334_combout\ = (\led_flash_cnt[889][5]~q\ & (\led_flash_cnt[889][4]~39333\ $ (GND))) # (!\led_flash_cnt[889][5]~q\ & (!\led_flash_cnt[889][4]~39333\ & VCC))
-- \led_flash_cnt[889][5]~39335\ = CARRY((\led_flash_cnt[889][5]~q\ & !\led_flash_cnt[889][4]~39333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[889][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[889][4]~39333\,
	combout => \led_flash_cnt[889][5]~39334_combout\,
	cout => \led_flash_cnt[889][5]~39335\);

-- Location: FF_X21_Y28_N19
\led_flash_cnt[889][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[889][5]~39334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[889][5]~q\);

-- Location: LCCOMB_X21_Y28_N20
\led_flash_cnt[889][6]~39336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[889][6]~39336_combout\ = (\led_flash_cnt[889][6]~q\ & (!\led_flash_cnt[889][5]~39335\)) # (!\led_flash_cnt[889][6]~q\ & ((\led_flash_cnt[889][5]~39335\) # (GND)))
-- \led_flash_cnt[889][6]~39337\ = CARRY((!\led_flash_cnt[889][5]~39335\) # (!\led_flash_cnt[889][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[889][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[889][5]~39335\,
	combout => \led_flash_cnt[889][6]~39336_combout\,
	cout => \led_flash_cnt[889][6]~39337\);

-- Location: FF_X21_Y28_N21
\led_flash_cnt[889][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[889][6]~39336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[889][6]~q\);

-- Location: LCCOMB_X21_Y28_N22
\led_flash_cnt[889][7]~39338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[889][7]~39338_combout\ = \led_flash_cnt[889][7]~q\ $ (!\led_flash_cnt[889][6]~39337\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[889][7]~q\,
	cin => \led_flash_cnt[889][6]~39337\,
	combout => \led_flash_cnt[889][7]~39338_combout\);

-- Location: FF_X21_Y28_N23
\led_flash_cnt[889][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[889][7]~39338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[889][7]~q\);

-- Location: LCCOMB_X21_Y28_N24
\WideAnd889~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd889~0_combout\ = (\led_flash_cnt[889][2]~q\ & (\led_flash_cnt[889][4]~q\ & (\led_flash_cnt[889][3]~q\ & \led_flash_cnt[889][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[889][2]~q\,
	datab => \led_flash_cnt[889][4]~q\,
	datac => \led_flash_cnt[889][3]~q\,
	datad => \led_flash_cnt[889][1]~q\,
	combout => \WideAnd889~0_combout\);

-- Location: LCCOMB_X21_Y28_N8
\WideAnd889~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd889~1_combout\ = (\led_flash_cnt[889][6]~q\ & \led_flash_cnt[889][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[889][6]~q\,
	datad => \led_flash_cnt[889][5]~q\,
	combout => \WideAnd889~1_combout\);

-- Location: LCCOMB_X21_Y28_N30
WideAnd889 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd889~combout\ = (\led_flash_cnt[889][7]~q\ & (\WideAnd889~0_combout\ & (\WideAnd889~1_combout\ & \led_flash_cnt[889][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[889][7]~q\,
	datab => \WideAnd889~0_combout\,
	datac => \WideAnd889~1_combout\,
	datad => \led_flash_cnt[889][0]~q\,
	combout => \WideAnd889~combout\);

-- Location: FF_X21_Y28_N31
\led_flash_cnt_ands[889]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd889~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(889));

-- Location: LCCOMB_X18_Y26_N28
\led_flash_cnt[891][0]~81531\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[891][0]~81531_combout\ = !\led_flash_cnt[891][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[891][0]~q\,
	combout => \led_flash_cnt[891][0]~81531_combout\);

-- Location: FF_X18_Y26_N29
\led_flash_cnt[891][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[891][0]~81531_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[891][0]~q\);

-- Location: LCCOMB_X19_Y26_N4
\led_flash_cnt[891][1]~39354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[891][1]~39354_combout\ = (\led_flash_cnt[891][0]~q\ & (\led_flash_cnt[891][1]~q\ $ (VCC))) # (!\led_flash_cnt[891][0]~q\ & (\led_flash_cnt[891][1]~q\ & VCC))
-- \led_flash_cnt[891][1]~39355\ = CARRY((\led_flash_cnt[891][0]~q\ & \led_flash_cnt[891][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[891][0]~q\,
	datab => \led_flash_cnt[891][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[891][1]~39354_combout\,
	cout => \led_flash_cnt[891][1]~39355\);

-- Location: FF_X19_Y26_N5
\led_flash_cnt[891][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[891][1]~39354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[891][1]~q\);

-- Location: LCCOMB_X19_Y26_N6
\led_flash_cnt[891][2]~39356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[891][2]~39356_combout\ = (\led_flash_cnt[891][2]~q\ & (!\led_flash_cnt[891][1]~39355\)) # (!\led_flash_cnt[891][2]~q\ & ((\led_flash_cnt[891][1]~39355\) # (GND)))
-- \led_flash_cnt[891][2]~39357\ = CARRY((!\led_flash_cnt[891][1]~39355\) # (!\led_flash_cnt[891][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[891][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[891][1]~39355\,
	combout => \led_flash_cnt[891][2]~39356_combout\,
	cout => \led_flash_cnt[891][2]~39357\);

-- Location: FF_X19_Y26_N7
\led_flash_cnt[891][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[891][2]~39356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[891][2]~q\);

-- Location: LCCOMB_X19_Y26_N8
\led_flash_cnt[891][3]~39358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[891][3]~39358_combout\ = (\led_flash_cnt[891][3]~q\ & (\led_flash_cnt[891][2]~39357\ $ (GND))) # (!\led_flash_cnt[891][3]~q\ & (!\led_flash_cnt[891][2]~39357\ & VCC))
-- \led_flash_cnt[891][3]~39359\ = CARRY((\led_flash_cnt[891][3]~q\ & !\led_flash_cnt[891][2]~39357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[891][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[891][2]~39357\,
	combout => \led_flash_cnt[891][3]~39358_combout\,
	cout => \led_flash_cnt[891][3]~39359\);

-- Location: FF_X19_Y26_N9
\led_flash_cnt[891][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[891][3]~39358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[891][3]~q\);

-- Location: LCCOMB_X19_Y26_N10
\led_flash_cnt[891][4]~39360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[891][4]~39360_combout\ = (\led_flash_cnt[891][4]~q\ & (!\led_flash_cnt[891][3]~39359\)) # (!\led_flash_cnt[891][4]~q\ & ((\led_flash_cnt[891][3]~39359\) # (GND)))
-- \led_flash_cnt[891][4]~39361\ = CARRY((!\led_flash_cnt[891][3]~39359\) # (!\led_flash_cnt[891][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[891][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[891][3]~39359\,
	combout => \led_flash_cnt[891][4]~39360_combout\,
	cout => \led_flash_cnt[891][4]~39361\);

-- Location: FF_X19_Y26_N11
\led_flash_cnt[891][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[891][4]~39360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[891][4]~q\);

-- Location: LCCOMB_X19_Y26_N12
\led_flash_cnt[891][5]~39362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[891][5]~39362_combout\ = (\led_flash_cnt[891][5]~q\ & (\led_flash_cnt[891][4]~39361\ $ (GND))) # (!\led_flash_cnt[891][5]~q\ & (!\led_flash_cnt[891][4]~39361\ & VCC))
-- \led_flash_cnt[891][5]~39363\ = CARRY((\led_flash_cnt[891][5]~q\ & !\led_flash_cnt[891][4]~39361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[891][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[891][4]~39361\,
	combout => \led_flash_cnt[891][5]~39362_combout\,
	cout => \led_flash_cnt[891][5]~39363\);

-- Location: FF_X19_Y26_N13
\led_flash_cnt[891][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[891][5]~39362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[891][5]~q\);

-- Location: LCCOMB_X19_Y26_N14
\led_flash_cnt[891][6]~39364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[891][6]~39364_combout\ = (\led_flash_cnt[891][6]~q\ & (!\led_flash_cnt[891][5]~39363\)) # (!\led_flash_cnt[891][6]~q\ & ((\led_flash_cnt[891][5]~39363\) # (GND)))
-- \led_flash_cnt[891][6]~39365\ = CARRY((!\led_flash_cnt[891][5]~39363\) # (!\led_flash_cnt[891][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[891][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[891][5]~39363\,
	combout => \led_flash_cnt[891][6]~39364_combout\,
	cout => \led_flash_cnt[891][6]~39365\);

-- Location: FF_X19_Y26_N15
\led_flash_cnt[891][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[891][6]~39364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[891][6]~q\);

-- Location: LCCOMB_X19_Y26_N2
\WideAnd891~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd891~1_combout\ = (\led_flash_cnt[891][6]~q\ & \led_flash_cnt[891][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[891][6]~q\,
	datad => \led_flash_cnt[891][5]~q\,
	combout => \WideAnd891~1_combout\);

-- Location: LCCOMB_X18_Y26_N30
\WideAnd891~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd891~0_combout\ = (\led_flash_cnt[891][2]~q\ & (\led_flash_cnt[891][3]~q\ & (\led_flash_cnt[891][4]~q\ & \led_flash_cnt[891][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[891][2]~q\,
	datab => \led_flash_cnt[891][3]~q\,
	datac => \led_flash_cnt[891][4]~q\,
	datad => \led_flash_cnt[891][1]~q\,
	combout => \WideAnd891~0_combout\);

-- Location: LCCOMB_X19_Y26_N16
\led_flash_cnt[891][7]~39366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[891][7]~39366_combout\ = \led_flash_cnt[891][6]~39365\ $ (!\led_flash_cnt[891][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[891][7]~q\,
	cin => \led_flash_cnt[891][6]~39365\,
	combout => \led_flash_cnt[891][7]~39366_combout\);

-- Location: FF_X19_Y26_N17
\led_flash_cnt[891][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[891][7]~39366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[891][7]~q\);

-- Location: LCCOMB_X18_Y26_N6
WideAnd891 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd891~combout\ = (\WideAnd891~1_combout\ & (\led_flash_cnt[891][0]~q\ & (\WideAnd891~0_combout\ & \led_flash_cnt[891][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd891~1_combout\,
	datab => \led_flash_cnt[891][0]~q\,
	datac => \WideAnd891~0_combout\,
	datad => \led_flash_cnt[891][7]~q\,
	combout => \WideAnd891~combout\);

-- Location: FF_X19_Y26_N3
\led_flash_cnt_ands[891]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd891~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(891));

-- Location: LCCOMB_X20_Y26_N24
\WideAnd3951~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3951~0_combout\ = (led_flash_cnt_ands(888) & (led_flash_cnt_ands(890) & (led_flash_cnt_ands(889) & led_flash_cnt_ands(891))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(888),
	datab => led_flash_cnt_ands(890),
	datac => led_flash_cnt_ands(889),
	datad => led_flash_cnt_ands(891),
	combout => \WideAnd3951~0_combout\);

-- Location: LCCOMB_X14_Y8_N22
\led_flash_cnt[893][0]~81533\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[893][0]~81533_combout\ = !\led_flash_cnt[893][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[893][0]~q\,
	combout => \led_flash_cnt[893][0]~81533_combout\);

-- Location: FF_X14_Y8_N23
\led_flash_cnt[893][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[893][0]~81533_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[893][0]~q\);

-- Location: LCCOMB_X13_Y8_N18
\led_flash_cnt[893][1]~39382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[893][1]~39382_combout\ = (\led_flash_cnt[893][0]~q\ & (\led_flash_cnt[893][1]~q\ $ (VCC))) # (!\led_flash_cnt[893][0]~q\ & (\led_flash_cnt[893][1]~q\ & VCC))
-- \led_flash_cnt[893][1]~39383\ = CARRY((\led_flash_cnt[893][0]~q\ & \led_flash_cnt[893][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[893][0]~q\,
	datab => \led_flash_cnt[893][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[893][1]~39382_combout\,
	cout => \led_flash_cnt[893][1]~39383\);

-- Location: FF_X13_Y8_N19
\led_flash_cnt[893][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[893][1]~39382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[893][1]~q\);

-- Location: LCCOMB_X13_Y8_N20
\led_flash_cnt[893][2]~39384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[893][2]~39384_combout\ = (\led_flash_cnt[893][2]~q\ & (!\led_flash_cnt[893][1]~39383\)) # (!\led_flash_cnt[893][2]~q\ & ((\led_flash_cnt[893][1]~39383\) # (GND)))
-- \led_flash_cnt[893][2]~39385\ = CARRY((!\led_flash_cnt[893][1]~39383\) # (!\led_flash_cnt[893][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[893][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[893][1]~39383\,
	combout => \led_flash_cnt[893][2]~39384_combout\,
	cout => \led_flash_cnt[893][2]~39385\);

-- Location: FF_X13_Y8_N21
\led_flash_cnt[893][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[893][2]~39384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[893][2]~q\);

-- Location: LCCOMB_X13_Y8_N22
\led_flash_cnt[893][3]~39386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[893][3]~39386_combout\ = (\led_flash_cnt[893][3]~q\ & (\led_flash_cnt[893][2]~39385\ $ (GND))) # (!\led_flash_cnt[893][3]~q\ & (!\led_flash_cnt[893][2]~39385\ & VCC))
-- \led_flash_cnt[893][3]~39387\ = CARRY((\led_flash_cnt[893][3]~q\ & !\led_flash_cnt[893][2]~39385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[893][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[893][2]~39385\,
	combout => \led_flash_cnt[893][3]~39386_combout\,
	cout => \led_flash_cnt[893][3]~39387\);

-- Location: FF_X13_Y8_N23
\led_flash_cnt[893][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[893][3]~39386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[893][3]~q\);

-- Location: LCCOMB_X13_Y8_N24
\led_flash_cnt[893][4]~39388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[893][4]~39388_combout\ = (\led_flash_cnt[893][4]~q\ & (!\led_flash_cnt[893][3]~39387\)) # (!\led_flash_cnt[893][4]~q\ & ((\led_flash_cnt[893][3]~39387\) # (GND)))
-- \led_flash_cnt[893][4]~39389\ = CARRY((!\led_flash_cnt[893][3]~39387\) # (!\led_flash_cnt[893][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[893][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[893][3]~39387\,
	combout => \led_flash_cnt[893][4]~39388_combout\,
	cout => \led_flash_cnt[893][4]~39389\);

-- Location: FF_X13_Y8_N25
\led_flash_cnt[893][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[893][4]~39388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[893][4]~q\);

-- Location: LCCOMB_X13_Y8_N26
\led_flash_cnt[893][5]~39390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[893][5]~39390_combout\ = (\led_flash_cnt[893][5]~q\ & (\led_flash_cnt[893][4]~39389\ $ (GND))) # (!\led_flash_cnt[893][5]~q\ & (!\led_flash_cnt[893][4]~39389\ & VCC))
-- \led_flash_cnt[893][5]~39391\ = CARRY((\led_flash_cnt[893][5]~q\ & !\led_flash_cnt[893][4]~39389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[893][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[893][4]~39389\,
	combout => \led_flash_cnt[893][5]~39390_combout\,
	cout => \led_flash_cnt[893][5]~39391\);

-- Location: FF_X13_Y8_N27
\led_flash_cnt[893][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[893][5]~39390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[893][5]~q\);

-- Location: LCCOMB_X13_Y8_N28
\led_flash_cnt[893][6]~39392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[893][6]~39392_combout\ = (\led_flash_cnt[893][6]~q\ & (!\led_flash_cnt[893][5]~39391\)) # (!\led_flash_cnt[893][6]~q\ & ((\led_flash_cnt[893][5]~39391\) # (GND)))
-- \led_flash_cnt[893][6]~39393\ = CARRY((!\led_flash_cnt[893][5]~39391\) # (!\led_flash_cnt[893][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[893][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[893][5]~39391\,
	combout => \led_flash_cnt[893][6]~39392_combout\,
	cout => \led_flash_cnt[893][6]~39393\);

-- Location: FF_X13_Y8_N29
\led_flash_cnt[893][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[893][6]~39392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[893][6]~q\);

-- Location: LCCOMB_X13_Y8_N30
\led_flash_cnt[893][7]~39394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[893][7]~39394_combout\ = \led_flash_cnt[893][7]~q\ $ (!\led_flash_cnt[893][6]~39393\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[893][7]~q\,
	cin => \led_flash_cnt[893][6]~39393\,
	combout => \led_flash_cnt[893][7]~39394_combout\);

-- Location: FF_X13_Y8_N31
\led_flash_cnt[893][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[893][7]~39394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[893][7]~q\);

-- Location: LCCOMB_X13_Y8_N14
\WideAnd893~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd893~0_combout\ = (\led_flash_cnt[893][1]~q\ & (\led_flash_cnt[893][4]~q\ & (\led_flash_cnt[893][3]~q\ & \led_flash_cnt[893][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[893][1]~q\,
	datab => \led_flash_cnt[893][4]~q\,
	datac => \led_flash_cnt[893][3]~q\,
	datad => \led_flash_cnt[893][2]~q\,
	combout => \WideAnd893~0_combout\);

-- Location: LCCOMB_X12_Y8_N12
\WideAnd893~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd893~1_combout\ = (\led_flash_cnt[893][6]~q\ & \led_flash_cnt[893][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[893][6]~q\,
	datad => \led_flash_cnt[893][5]~q\,
	combout => \WideAnd893~1_combout\);

-- Location: LCCOMB_X12_Y8_N8
WideAnd893 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd893~combout\ = (\led_flash_cnt[893][7]~q\ & (\led_flash_cnt[893][0]~q\ & (\WideAnd893~0_combout\ & \WideAnd893~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[893][7]~q\,
	datab => \led_flash_cnt[893][0]~q\,
	datac => \WideAnd893~0_combout\,
	datad => \WideAnd893~1_combout\,
	combout => \WideAnd893~combout\);

-- Location: FF_X12_Y8_N9
\led_flash_cnt_ands[893]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd893~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(893));

-- Location: LCCOMB_X21_Y18_N2
\led_flash_cnt[892][0]~81532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[892][0]~81532_combout\ = !\led_flash_cnt[892][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[892][0]~q\,
	combout => \led_flash_cnt[892][0]~81532_combout\);

-- Location: FF_X21_Y18_N3
\led_flash_cnt[892][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[892][0]~81532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[892][0]~q\);

-- Location: LCCOMB_X20_Y18_N4
\led_flash_cnt[892][1]~39368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[892][1]~39368_combout\ = (\led_flash_cnt[892][0]~q\ & (\led_flash_cnt[892][1]~q\ $ (VCC))) # (!\led_flash_cnt[892][0]~q\ & (\led_flash_cnt[892][1]~q\ & VCC))
-- \led_flash_cnt[892][1]~39369\ = CARRY((\led_flash_cnt[892][0]~q\ & \led_flash_cnt[892][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[892][0]~q\,
	datab => \led_flash_cnt[892][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[892][1]~39368_combout\,
	cout => \led_flash_cnt[892][1]~39369\);

-- Location: FF_X20_Y18_N5
\led_flash_cnt[892][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[892][1]~39368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[892][1]~q\);

-- Location: LCCOMB_X20_Y18_N6
\led_flash_cnt[892][2]~39370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[892][2]~39370_combout\ = (\led_flash_cnt[892][2]~q\ & (!\led_flash_cnt[892][1]~39369\)) # (!\led_flash_cnt[892][2]~q\ & ((\led_flash_cnt[892][1]~39369\) # (GND)))
-- \led_flash_cnt[892][2]~39371\ = CARRY((!\led_flash_cnt[892][1]~39369\) # (!\led_flash_cnt[892][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[892][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[892][1]~39369\,
	combout => \led_flash_cnt[892][2]~39370_combout\,
	cout => \led_flash_cnt[892][2]~39371\);

-- Location: FF_X20_Y18_N7
\led_flash_cnt[892][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[892][2]~39370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[892][2]~q\);

-- Location: LCCOMB_X20_Y18_N8
\led_flash_cnt[892][3]~39372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[892][3]~39372_combout\ = (\led_flash_cnt[892][3]~q\ & (\led_flash_cnt[892][2]~39371\ $ (GND))) # (!\led_flash_cnt[892][3]~q\ & (!\led_flash_cnt[892][2]~39371\ & VCC))
-- \led_flash_cnt[892][3]~39373\ = CARRY((\led_flash_cnt[892][3]~q\ & !\led_flash_cnt[892][2]~39371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[892][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[892][2]~39371\,
	combout => \led_flash_cnt[892][3]~39372_combout\,
	cout => \led_flash_cnt[892][3]~39373\);

-- Location: FF_X20_Y18_N9
\led_flash_cnt[892][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[892][3]~39372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[892][3]~q\);

-- Location: LCCOMB_X20_Y18_N10
\led_flash_cnt[892][4]~39374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[892][4]~39374_combout\ = (\led_flash_cnt[892][4]~q\ & (!\led_flash_cnt[892][3]~39373\)) # (!\led_flash_cnt[892][4]~q\ & ((\led_flash_cnt[892][3]~39373\) # (GND)))
-- \led_flash_cnt[892][4]~39375\ = CARRY((!\led_flash_cnt[892][3]~39373\) # (!\led_flash_cnt[892][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[892][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[892][3]~39373\,
	combout => \led_flash_cnt[892][4]~39374_combout\,
	cout => \led_flash_cnt[892][4]~39375\);

-- Location: FF_X20_Y18_N11
\led_flash_cnt[892][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[892][4]~39374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[892][4]~q\);

-- Location: LCCOMB_X20_Y18_N0
\WideAnd892~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd892~0_combout\ = (\led_flash_cnt[892][4]~q\ & (\led_flash_cnt[892][1]~q\ & (\led_flash_cnt[892][3]~q\ & \led_flash_cnt[892][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[892][4]~q\,
	datab => \led_flash_cnt[892][1]~q\,
	datac => \led_flash_cnt[892][3]~q\,
	datad => \led_flash_cnt[892][2]~q\,
	combout => \WideAnd892~0_combout\);

-- Location: LCCOMB_X20_Y18_N12
\led_flash_cnt[892][5]~39376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[892][5]~39376_combout\ = (\led_flash_cnt[892][5]~q\ & (\led_flash_cnt[892][4]~39375\ $ (GND))) # (!\led_flash_cnt[892][5]~q\ & (!\led_flash_cnt[892][4]~39375\ & VCC))
-- \led_flash_cnt[892][5]~39377\ = CARRY((\led_flash_cnt[892][5]~q\ & !\led_flash_cnt[892][4]~39375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[892][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[892][4]~39375\,
	combout => \led_flash_cnt[892][5]~39376_combout\,
	cout => \led_flash_cnt[892][5]~39377\);

-- Location: FF_X20_Y18_N13
\led_flash_cnt[892][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[892][5]~39376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[892][5]~q\);

-- Location: LCCOMB_X20_Y18_N14
\led_flash_cnt[892][6]~39378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[892][6]~39378_combout\ = (\led_flash_cnt[892][6]~q\ & (!\led_flash_cnt[892][5]~39377\)) # (!\led_flash_cnt[892][6]~q\ & ((\led_flash_cnt[892][5]~39377\) # (GND)))
-- \led_flash_cnt[892][6]~39379\ = CARRY((!\led_flash_cnt[892][5]~39377\) # (!\led_flash_cnt[892][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[892][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[892][5]~39377\,
	combout => \led_flash_cnt[892][6]~39378_combout\,
	cout => \led_flash_cnt[892][6]~39379\);

-- Location: FF_X20_Y18_N15
\led_flash_cnt[892][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[892][6]~39378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[892][6]~q\);

-- Location: LCCOMB_X21_Y18_N4
\WideAnd892~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd892~1_combout\ = (\led_flash_cnt[892][5]~q\ & \led_flash_cnt[892][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[892][5]~q\,
	datad => \led_flash_cnt[892][6]~q\,
	combout => \WideAnd892~1_combout\);

-- Location: LCCOMB_X20_Y18_N16
\led_flash_cnt[892][7]~39380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[892][7]~39380_combout\ = \led_flash_cnt[892][6]~39379\ $ (!\led_flash_cnt[892][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[892][7]~q\,
	cin => \led_flash_cnt[892][6]~39379\,
	combout => \led_flash_cnt[892][7]~39380_combout\);

-- Location: FF_X20_Y18_N17
\led_flash_cnt[892][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[892][7]~39380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[892][7]~q\);

-- Location: LCCOMB_X21_Y18_N24
WideAnd892 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd892~combout\ = (\WideAnd892~0_combout\ & (\WideAnd892~1_combout\ & (\led_flash_cnt[892][7]~q\ & \led_flash_cnt[892][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd892~0_combout\,
	datab => \WideAnd892~1_combout\,
	datac => \led_flash_cnt[892][7]~q\,
	datad => \led_flash_cnt[892][0]~q\,
	combout => \WideAnd892~combout\);

-- Location: FF_X21_Y18_N25
\led_flash_cnt_ands[892]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd892~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(892));

-- Location: LCCOMB_X21_Y18_N0
\WideAnd3951~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3951~1_combout\ = (led_flash_cnt_ands(893) & led_flash_cnt_ands(892))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(893),
	datad => led_flash_cnt_ands(892),
	combout => \WideAnd3951~1_combout\);

-- Location: LCCOMB_X20_Y23_N8
WideAnd3951 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3951~combout\ = (led_flash_cnt_ands(894) & (led_flash_cnt_ands(895) & (\WideAnd3951~0_combout\ & \WideAnd3951~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(894),
	datab => led_flash_cnt_ands(895),
	datac => \WideAnd3951~0_combout\,
	datad => \WideAnd3951~1_combout\,
	combout => \WideAnd3951~combout\);

-- Location: FF_X20_Y23_N9
\led_flash_cnt_ands_1[111]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3951~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(111));

-- Location: LCCOMB_X62_Y11_N22
\led_flash_cnt[867][0]~81507\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[867][0]~81507_combout\ = !\led_flash_cnt[867][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[867][0]~q\,
	combout => \led_flash_cnt[867][0]~81507_combout\);

-- Location: FF_X62_Y11_N23
\led_flash_cnt[867][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[867][0]~81507_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[867][0]~q\);

-- Location: LCCOMB_X62_Y11_N8
\led_flash_cnt[867][1]~39018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[867][1]~39018_combout\ = (\led_flash_cnt[867][0]~q\ & (\led_flash_cnt[867][1]~q\ $ (VCC))) # (!\led_flash_cnt[867][0]~q\ & (\led_flash_cnt[867][1]~q\ & VCC))
-- \led_flash_cnt[867][1]~39019\ = CARRY((\led_flash_cnt[867][0]~q\ & \led_flash_cnt[867][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[867][0]~q\,
	datab => \led_flash_cnt[867][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[867][1]~39018_combout\,
	cout => \led_flash_cnt[867][1]~39019\);

-- Location: FF_X62_Y11_N9
\led_flash_cnt[867][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[867][1]~39018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[867][1]~q\);

-- Location: LCCOMB_X62_Y11_N10
\led_flash_cnt[867][2]~39020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[867][2]~39020_combout\ = (\led_flash_cnt[867][2]~q\ & (!\led_flash_cnt[867][1]~39019\)) # (!\led_flash_cnt[867][2]~q\ & ((\led_flash_cnt[867][1]~39019\) # (GND)))
-- \led_flash_cnt[867][2]~39021\ = CARRY((!\led_flash_cnt[867][1]~39019\) # (!\led_flash_cnt[867][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[867][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[867][1]~39019\,
	combout => \led_flash_cnt[867][2]~39020_combout\,
	cout => \led_flash_cnt[867][2]~39021\);

-- Location: FF_X62_Y11_N11
\led_flash_cnt[867][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[867][2]~39020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[867][2]~q\);

-- Location: LCCOMB_X62_Y11_N12
\led_flash_cnt[867][3]~39022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[867][3]~39022_combout\ = (\led_flash_cnt[867][3]~q\ & (\led_flash_cnt[867][2]~39021\ $ (GND))) # (!\led_flash_cnt[867][3]~q\ & (!\led_flash_cnt[867][2]~39021\ & VCC))
-- \led_flash_cnt[867][3]~39023\ = CARRY((\led_flash_cnt[867][3]~q\ & !\led_flash_cnt[867][2]~39021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[867][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[867][2]~39021\,
	combout => \led_flash_cnt[867][3]~39022_combout\,
	cout => \led_flash_cnt[867][3]~39023\);

-- Location: FF_X62_Y11_N13
\led_flash_cnt[867][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[867][3]~39022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[867][3]~q\);

-- Location: LCCOMB_X62_Y11_N14
\led_flash_cnt[867][4]~39024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[867][4]~39024_combout\ = (\led_flash_cnt[867][4]~q\ & (!\led_flash_cnt[867][3]~39023\)) # (!\led_flash_cnt[867][4]~q\ & ((\led_flash_cnt[867][3]~39023\) # (GND)))
-- \led_flash_cnt[867][4]~39025\ = CARRY((!\led_flash_cnt[867][3]~39023\) # (!\led_flash_cnt[867][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[867][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[867][3]~39023\,
	combout => \led_flash_cnt[867][4]~39024_combout\,
	cout => \led_flash_cnt[867][4]~39025\);

-- Location: FF_X62_Y11_N15
\led_flash_cnt[867][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[867][4]~39024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[867][4]~q\);

-- Location: LCCOMB_X62_Y11_N16
\led_flash_cnt[867][5]~39026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[867][5]~39026_combout\ = (\led_flash_cnt[867][5]~q\ & (\led_flash_cnt[867][4]~39025\ $ (GND))) # (!\led_flash_cnt[867][5]~q\ & (!\led_flash_cnt[867][4]~39025\ & VCC))
-- \led_flash_cnt[867][5]~39027\ = CARRY((\led_flash_cnt[867][5]~q\ & !\led_flash_cnt[867][4]~39025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[867][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[867][4]~39025\,
	combout => \led_flash_cnt[867][5]~39026_combout\,
	cout => \led_flash_cnt[867][5]~39027\);

-- Location: FF_X62_Y11_N17
\led_flash_cnt[867][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[867][5]~39026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[867][5]~q\);

-- Location: LCCOMB_X62_Y11_N18
\led_flash_cnt[867][6]~39028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[867][6]~39028_combout\ = (\led_flash_cnt[867][6]~q\ & (!\led_flash_cnt[867][5]~39027\)) # (!\led_flash_cnt[867][6]~q\ & ((\led_flash_cnt[867][5]~39027\) # (GND)))
-- \led_flash_cnt[867][6]~39029\ = CARRY((!\led_flash_cnt[867][5]~39027\) # (!\led_flash_cnt[867][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[867][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[867][5]~39027\,
	combout => \led_flash_cnt[867][6]~39028_combout\,
	cout => \led_flash_cnt[867][6]~39029\);

-- Location: FF_X62_Y11_N19
\led_flash_cnt[867][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[867][6]~39028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[867][6]~q\);

-- Location: LCCOMB_X62_Y11_N20
\led_flash_cnt[867][7]~39030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[867][7]~39030_combout\ = \led_flash_cnt[867][6]~39029\ $ (!\led_flash_cnt[867][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[867][7]~q\,
	cin => \led_flash_cnt[867][6]~39029\,
	combout => \led_flash_cnt[867][7]~39030_combout\);

-- Location: FF_X62_Y11_N21
\led_flash_cnt[867][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[867][7]~39030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[867][7]~q\);

-- Location: LCCOMB_X62_Y11_N30
\WideAnd867~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd867~1_combout\ = (\led_flash_cnt[867][6]~q\ & \led_flash_cnt[867][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[867][6]~q\,
	datad => \led_flash_cnt[867][5]~q\,
	combout => \WideAnd867~1_combout\);

-- Location: LCCOMB_X62_Y11_N28
\WideAnd867~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd867~0_combout\ = (\led_flash_cnt[867][3]~q\ & (\led_flash_cnt[867][1]~q\ & (\led_flash_cnt[867][4]~q\ & \led_flash_cnt[867][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[867][3]~q\,
	datab => \led_flash_cnt[867][1]~q\,
	datac => \led_flash_cnt[867][4]~q\,
	datad => \led_flash_cnt[867][2]~q\,
	combout => \WideAnd867~0_combout\);

-- Location: LCCOMB_X62_Y11_N24
WideAnd867 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd867~combout\ = (\led_flash_cnt[867][0]~q\ & (\led_flash_cnt[867][7]~q\ & (\WideAnd867~1_combout\ & \WideAnd867~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[867][0]~q\,
	datab => \led_flash_cnt[867][7]~q\,
	datac => \WideAnd867~1_combout\,
	datad => \WideAnd867~0_combout\,
	combout => \WideAnd867~combout\);

-- Location: FF_X62_Y11_N25
\led_flash_cnt_ands[867]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd867~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(867));

-- Location: LCCOMB_X50_Y33_N16
\led_flash_cnt[864][0]~81504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[864][0]~81504_combout\ = !\led_flash_cnt[864][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[864][0]~q\,
	combout => \led_flash_cnt[864][0]~81504_combout\);

-- Location: FF_X50_Y33_N17
\led_flash_cnt[864][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[864][0]~81504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[864][0]~q\);

-- Location: LCCOMB_X51_Y33_N16
\led_flash_cnt[864][1]~38976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[864][1]~38976_combout\ = (\led_flash_cnt[864][0]~q\ & (\led_flash_cnt[864][1]~q\ $ (VCC))) # (!\led_flash_cnt[864][0]~q\ & (\led_flash_cnt[864][1]~q\ & VCC))
-- \led_flash_cnt[864][1]~38977\ = CARRY((\led_flash_cnt[864][0]~q\ & \led_flash_cnt[864][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[864][0]~q\,
	datab => \led_flash_cnt[864][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[864][1]~38976_combout\,
	cout => \led_flash_cnt[864][1]~38977\);

-- Location: FF_X51_Y33_N17
\led_flash_cnt[864][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[864][1]~38976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[864][1]~q\);

-- Location: LCCOMB_X51_Y33_N18
\led_flash_cnt[864][2]~38978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[864][2]~38978_combout\ = (\led_flash_cnt[864][2]~q\ & (!\led_flash_cnt[864][1]~38977\)) # (!\led_flash_cnt[864][2]~q\ & ((\led_flash_cnt[864][1]~38977\) # (GND)))
-- \led_flash_cnt[864][2]~38979\ = CARRY((!\led_flash_cnt[864][1]~38977\) # (!\led_flash_cnt[864][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[864][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[864][1]~38977\,
	combout => \led_flash_cnt[864][2]~38978_combout\,
	cout => \led_flash_cnt[864][2]~38979\);

-- Location: FF_X51_Y33_N19
\led_flash_cnt[864][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[864][2]~38978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[864][2]~q\);

-- Location: LCCOMB_X51_Y33_N20
\led_flash_cnt[864][3]~38980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[864][3]~38980_combout\ = (\led_flash_cnt[864][3]~q\ & (\led_flash_cnt[864][2]~38979\ $ (GND))) # (!\led_flash_cnt[864][3]~q\ & (!\led_flash_cnt[864][2]~38979\ & VCC))
-- \led_flash_cnt[864][3]~38981\ = CARRY((\led_flash_cnt[864][3]~q\ & !\led_flash_cnt[864][2]~38979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[864][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[864][2]~38979\,
	combout => \led_flash_cnt[864][3]~38980_combout\,
	cout => \led_flash_cnt[864][3]~38981\);

-- Location: FF_X51_Y33_N21
\led_flash_cnt[864][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[864][3]~38980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[864][3]~q\);

-- Location: LCCOMB_X51_Y33_N22
\led_flash_cnt[864][4]~38982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[864][4]~38982_combout\ = (\led_flash_cnt[864][4]~q\ & (!\led_flash_cnt[864][3]~38981\)) # (!\led_flash_cnt[864][4]~q\ & ((\led_flash_cnt[864][3]~38981\) # (GND)))
-- \led_flash_cnt[864][4]~38983\ = CARRY((!\led_flash_cnt[864][3]~38981\) # (!\led_flash_cnt[864][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[864][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[864][3]~38981\,
	combout => \led_flash_cnt[864][4]~38982_combout\,
	cout => \led_flash_cnt[864][4]~38983\);

-- Location: FF_X51_Y33_N23
\led_flash_cnt[864][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[864][4]~38982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[864][4]~q\);

-- Location: LCCOMB_X50_Y33_N22
\WideAnd864~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd864~0_combout\ = (\led_flash_cnt[864][4]~q\ & (\led_flash_cnt[864][1]~q\ & (\led_flash_cnt[864][3]~q\ & \led_flash_cnt[864][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[864][4]~q\,
	datab => \led_flash_cnt[864][1]~q\,
	datac => \led_flash_cnt[864][3]~q\,
	datad => \led_flash_cnt[864][2]~q\,
	combout => \WideAnd864~0_combout\);

-- Location: LCCOMB_X51_Y33_N24
\led_flash_cnt[864][5]~38984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[864][5]~38984_combout\ = (\led_flash_cnt[864][5]~q\ & (\led_flash_cnt[864][4]~38983\ $ (GND))) # (!\led_flash_cnt[864][5]~q\ & (!\led_flash_cnt[864][4]~38983\ & VCC))
-- \led_flash_cnt[864][5]~38985\ = CARRY((\led_flash_cnt[864][5]~q\ & !\led_flash_cnt[864][4]~38983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[864][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[864][4]~38983\,
	combout => \led_flash_cnt[864][5]~38984_combout\,
	cout => \led_flash_cnt[864][5]~38985\);

-- Location: FF_X51_Y33_N25
\led_flash_cnt[864][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[864][5]~38984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[864][5]~q\);

-- Location: LCCOMB_X51_Y33_N26
\led_flash_cnt[864][6]~38986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[864][6]~38986_combout\ = (\led_flash_cnt[864][6]~q\ & (!\led_flash_cnt[864][5]~38985\)) # (!\led_flash_cnt[864][6]~q\ & ((\led_flash_cnt[864][5]~38985\) # (GND)))
-- \led_flash_cnt[864][6]~38987\ = CARRY((!\led_flash_cnt[864][5]~38985\) # (!\led_flash_cnt[864][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[864][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[864][5]~38985\,
	combout => \led_flash_cnt[864][6]~38986_combout\,
	cout => \led_flash_cnt[864][6]~38987\);

-- Location: FF_X51_Y33_N27
\led_flash_cnt[864][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[864][6]~38986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[864][6]~q\);

-- Location: LCCOMB_X50_Y33_N30
\WideAnd864~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd864~1_combout\ = (\led_flash_cnt[864][6]~q\ & \led_flash_cnt[864][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[864][6]~q\,
	datad => \led_flash_cnt[864][5]~q\,
	combout => \WideAnd864~1_combout\);

-- Location: LCCOMB_X51_Y33_N28
\led_flash_cnt[864][7]~38988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[864][7]~38988_combout\ = \led_flash_cnt[864][6]~38987\ $ (!\led_flash_cnt[864][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[864][7]~q\,
	cin => \led_flash_cnt[864][6]~38987\,
	combout => \led_flash_cnt[864][7]~38988_combout\);

-- Location: FF_X51_Y33_N29
\led_flash_cnt[864][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[864][7]~38988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[864][7]~q\);

-- Location: LCCOMB_X50_Y33_N28
WideAnd864 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd864~combout\ = (\WideAnd864~0_combout\ & (\led_flash_cnt[864][0]~q\ & (\WideAnd864~1_combout\ & \led_flash_cnt[864][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd864~0_combout\,
	datab => \led_flash_cnt[864][0]~q\,
	datac => \WideAnd864~1_combout\,
	datad => \led_flash_cnt[864][7]~q\,
	combout => \WideAnd864~combout\);

-- Location: FF_X50_Y33_N29
\led_flash_cnt_ands[864]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd864~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(864));

-- Location: LCCOMB_X20_Y26_N6
\led_flash_cnt[865][0]~81505\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[865][0]~81505_combout\ = !\led_flash_cnt[865][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[865][0]~q\,
	combout => \led_flash_cnt[865][0]~81505_combout\);

-- Location: FF_X20_Y26_N7
\led_flash_cnt[865][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[865][0]~81505_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[865][0]~q\);

-- Location: LCCOMB_X20_Y26_N10
\led_flash_cnt[865][1]~38990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[865][1]~38990_combout\ = (\led_flash_cnt[865][1]~q\ & (\led_flash_cnt[865][0]~q\ $ (VCC))) # (!\led_flash_cnt[865][1]~q\ & (\led_flash_cnt[865][0]~q\ & VCC))
-- \led_flash_cnt[865][1]~38991\ = CARRY((\led_flash_cnt[865][1]~q\ & \led_flash_cnt[865][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[865][1]~q\,
	datab => \led_flash_cnt[865][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[865][1]~38990_combout\,
	cout => \led_flash_cnt[865][1]~38991\);

-- Location: FF_X20_Y26_N11
\led_flash_cnt[865][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[865][1]~38990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[865][1]~q\);

-- Location: LCCOMB_X20_Y26_N12
\led_flash_cnt[865][2]~38992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[865][2]~38992_combout\ = (\led_flash_cnt[865][2]~q\ & (!\led_flash_cnt[865][1]~38991\)) # (!\led_flash_cnt[865][2]~q\ & ((\led_flash_cnt[865][1]~38991\) # (GND)))
-- \led_flash_cnt[865][2]~38993\ = CARRY((!\led_flash_cnt[865][1]~38991\) # (!\led_flash_cnt[865][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[865][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[865][1]~38991\,
	combout => \led_flash_cnt[865][2]~38992_combout\,
	cout => \led_flash_cnt[865][2]~38993\);

-- Location: FF_X20_Y26_N13
\led_flash_cnt[865][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[865][2]~38992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[865][2]~q\);

-- Location: LCCOMB_X20_Y26_N14
\led_flash_cnt[865][3]~38994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[865][3]~38994_combout\ = (\led_flash_cnt[865][3]~q\ & (\led_flash_cnt[865][2]~38993\ $ (GND))) # (!\led_flash_cnt[865][3]~q\ & (!\led_flash_cnt[865][2]~38993\ & VCC))
-- \led_flash_cnt[865][3]~38995\ = CARRY((\led_flash_cnt[865][3]~q\ & !\led_flash_cnt[865][2]~38993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[865][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[865][2]~38993\,
	combout => \led_flash_cnt[865][3]~38994_combout\,
	cout => \led_flash_cnt[865][3]~38995\);

-- Location: FF_X20_Y26_N15
\led_flash_cnt[865][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[865][3]~38994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[865][3]~q\);

-- Location: LCCOMB_X20_Y26_N16
\led_flash_cnt[865][4]~38996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[865][4]~38996_combout\ = (\led_flash_cnt[865][4]~q\ & (!\led_flash_cnt[865][3]~38995\)) # (!\led_flash_cnt[865][4]~q\ & ((\led_flash_cnt[865][3]~38995\) # (GND)))
-- \led_flash_cnt[865][4]~38997\ = CARRY((!\led_flash_cnt[865][3]~38995\) # (!\led_flash_cnt[865][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[865][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[865][3]~38995\,
	combout => \led_flash_cnt[865][4]~38996_combout\,
	cout => \led_flash_cnt[865][4]~38997\);

-- Location: FF_X20_Y26_N17
\led_flash_cnt[865][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[865][4]~38996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[865][4]~q\);

-- Location: LCCOMB_X20_Y26_N18
\led_flash_cnt[865][5]~38998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[865][5]~38998_combout\ = (\led_flash_cnt[865][5]~q\ & (\led_flash_cnt[865][4]~38997\ $ (GND))) # (!\led_flash_cnt[865][5]~q\ & (!\led_flash_cnt[865][4]~38997\ & VCC))
-- \led_flash_cnt[865][5]~38999\ = CARRY((\led_flash_cnt[865][5]~q\ & !\led_flash_cnt[865][4]~38997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[865][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[865][4]~38997\,
	combout => \led_flash_cnt[865][5]~38998_combout\,
	cout => \led_flash_cnt[865][5]~38999\);

-- Location: FF_X20_Y26_N19
\led_flash_cnt[865][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[865][5]~38998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[865][5]~q\);

-- Location: LCCOMB_X20_Y26_N20
\led_flash_cnt[865][6]~39000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[865][6]~39000_combout\ = (\led_flash_cnt[865][6]~q\ & (!\led_flash_cnt[865][5]~38999\)) # (!\led_flash_cnt[865][6]~q\ & ((\led_flash_cnt[865][5]~38999\) # (GND)))
-- \led_flash_cnt[865][6]~39001\ = CARRY((!\led_flash_cnt[865][5]~38999\) # (!\led_flash_cnt[865][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[865][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[865][5]~38999\,
	combout => \led_flash_cnt[865][6]~39000_combout\,
	cout => \led_flash_cnt[865][6]~39001\);

-- Location: FF_X20_Y26_N21
\led_flash_cnt[865][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[865][6]~39000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[865][6]~q\);

-- Location: LCCOMB_X20_Y26_N26
\WideAnd865~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd865~1_combout\ = (\led_flash_cnt[865][6]~q\ & \led_flash_cnt[865][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[865][6]~q\,
	datad => \led_flash_cnt[865][5]~q\,
	combout => \WideAnd865~1_combout\);

-- Location: LCCOMB_X20_Y26_N8
\WideAnd865~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd865~0_combout\ = (\led_flash_cnt[865][2]~q\ & (\led_flash_cnt[865][4]~q\ & (\led_flash_cnt[865][3]~q\ & \led_flash_cnt[865][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[865][2]~q\,
	datab => \led_flash_cnt[865][4]~q\,
	datac => \led_flash_cnt[865][3]~q\,
	datad => \led_flash_cnt[865][1]~q\,
	combout => \WideAnd865~0_combout\);

-- Location: LCCOMB_X20_Y26_N22
\led_flash_cnt[865][7]~39002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[865][7]~39002_combout\ = \led_flash_cnt[865][7]~q\ $ (!\led_flash_cnt[865][6]~39001\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[865][7]~q\,
	cin => \led_flash_cnt[865][6]~39001\,
	combout => \led_flash_cnt[865][7]~39002_combout\);

-- Location: FF_X20_Y26_N23
\led_flash_cnt[865][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[865][7]~39002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[865][7]~q\);

-- Location: LCCOMB_X20_Y26_N4
WideAnd865 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd865~combout\ = (\WideAnd865~1_combout\ & (\WideAnd865~0_combout\ & (\led_flash_cnt[865][7]~q\ & \led_flash_cnt[865][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd865~1_combout\,
	datab => \WideAnd865~0_combout\,
	datac => \led_flash_cnt[865][7]~q\,
	datad => \led_flash_cnt[865][0]~q\,
	combout => \WideAnd865~combout\);

-- Location: FF_X20_Y26_N5
\led_flash_cnt_ands[865]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd865~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(865));

-- Location: LCCOMB_X67_Y30_N8
\led_flash_cnt[866][0]~81506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[866][0]~81506_combout\ = !\led_flash_cnt[866][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[866][0]~q\,
	combout => \led_flash_cnt[866][0]~81506_combout\);

-- Location: FF_X67_Y30_N9
\led_flash_cnt[866][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[866][0]~81506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[866][0]~q\);

-- Location: LCCOMB_X67_Y30_N10
\led_flash_cnt[866][1]~39004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[866][1]~39004_combout\ = (\led_flash_cnt[866][1]~q\ & (\led_flash_cnt[866][0]~q\ $ (VCC))) # (!\led_flash_cnt[866][1]~q\ & (\led_flash_cnt[866][0]~q\ & VCC))
-- \led_flash_cnt[866][1]~39005\ = CARRY((\led_flash_cnt[866][1]~q\ & \led_flash_cnt[866][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[866][1]~q\,
	datab => \led_flash_cnt[866][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[866][1]~39004_combout\,
	cout => \led_flash_cnt[866][1]~39005\);

-- Location: FF_X67_Y30_N11
\led_flash_cnt[866][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[866][1]~39004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[866][1]~q\);

-- Location: LCCOMB_X67_Y30_N12
\led_flash_cnt[866][2]~39006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[866][2]~39006_combout\ = (\led_flash_cnt[866][2]~q\ & (!\led_flash_cnt[866][1]~39005\)) # (!\led_flash_cnt[866][2]~q\ & ((\led_flash_cnt[866][1]~39005\) # (GND)))
-- \led_flash_cnt[866][2]~39007\ = CARRY((!\led_flash_cnt[866][1]~39005\) # (!\led_flash_cnt[866][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[866][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[866][1]~39005\,
	combout => \led_flash_cnt[866][2]~39006_combout\,
	cout => \led_flash_cnt[866][2]~39007\);

-- Location: FF_X67_Y30_N13
\led_flash_cnt[866][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[866][2]~39006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[866][2]~q\);

-- Location: LCCOMB_X67_Y30_N14
\led_flash_cnt[866][3]~39008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[866][3]~39008_combout\ = (\led_flash_cnt[866][3]~q\ & (\led_flash_cnt[866][2]~39007\ $ (GND))) # (!\led_flash_cnt[866][3]~q\ & (!\led_flash_cnt[866][2]~39007\ & VCC))
-- \led_flash_cnt[866][3]~39009\ = CARRY((\led_flash_cnt[866][3]~q\ & !\led_flash_cnt[866][2]~39007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[866][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[866][2]~39007\,
	combout => \led_flash_cnt[866][3]~39008_combout\,
	cout => \led_flash_cnt[866][3]~39009\);

-- Location: FF_X67_Y30_N15
\led_flash_cnt[866][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[866][3]~39008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[866][3]~q\);

-- Location: LCCOMB_X67_Y30_N16
\led_flash_cnt[866][4]~39010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[866][4]~39010_combout\ = (\led_flash_cnt[866][4]~q\ & (!\led_flash_cnt[866][3]~39009\)) # (!\led_flash_cnt[866][4]~q\ & ((\led_flash_cnt[866][3]~39009\) # (GND)))
-- \led_flash_cnt[866][4]~39011\ = CARRY((!\led_flash_cnt[866][3]~39009\) # (!\led_flash_cnt[866][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[866][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[866][3]~39009\,
	combout => \led_flash_cnt[866][4]~39010_combout\,
	cout => \led_flash_cnt[866][4]~39011\);

-- Location: FF_X67_Y30_N17
\led_flash_cnt[866][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[866][4]~39010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[866][4]~q\);

-- Location: LCCOMB_X67_Y30_N18
\led_flash_cnt[866][5]~39012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[866][5]~39012_combout\ = (\led_flash_cnt[866][5]~q\ & (\led_flash_cnt[866][4]~39011\ $ (GND))) # (!\led_flash_cnt[866][5]~q\ & (!\led_flash_cnt[866][4]~39011\ & VCC))
-- \led_flash_cnt[866][5]~39013\ = CARRY((\led_flash_cnt[866][5]~q\ & !\led_flash_cnt[866][4]~39011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[866][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[866][4]~39011\,
	combout => \led_flash_cnt[866][5]~39012_combout\,
	cout => \led_flash_cnt[866][5]~39013\);

-- Location: FF_X67_Y30_N19
\led_flash_cnt[866][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[866][5]~39012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[866][5]~q\);

-- Location: LCCOMB_X67_Y30_N20
\led_flash_cnt[866][6]~39014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[866][6]~39014_combout\ = (\led_flash_cnt[866][6]~q\ & (!\led_flash_cnt[866][5]~39013\)) # (!\led_flash_cnt[866][6]~q\ & ((\led_flash_cnt[866][5]~39013\) # (GND)))
-- \led_flash_cnt[866][6]~39015\ = CARRY((!\led_flash_cnt[866][5]~39013\) # (!\led_flash_cnt[866][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[866][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[866][5]~39013\,
	combout => \led_flash_cnt[866][6]~39014_combout\,
	cout => \led_flash_cnt[866][6]~39015\);

-- Location: FF_X67_Y30_N21
\led_flash_cnt[866][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[866][6]~39014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[866][6]~q\);

-- Location: LCCOMB_X67_Y30_N26
\WideAnd866~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd866~1_combout\ = (\led_flash_cnt[866][6]~q\ & \led_flash_cnt[866][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[866][6]~q\,
	datad => \led_flash_cnt[866][5]~q\,
	combout => \WideAnd866~1_combout\);

-- Location: LCCOMB_X67_Y30_N22
\led_flash_cnt[866][7]~39016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[866][7]~39016_combout\ = \led_flash_cnt[866][7]~q\ $ (!\led_flash_cnt[866][6]~39015\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[866][7]~q\,
	cin => \led_flash_cnt[866][6]~39015\,
	combout => \led_flash_cnt[866][7]~39016_combout\);

-- Location: FF_X67_Y30_N23
\led_flash_cnt[866][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[866][7]~39016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[866][7]~q\);

-- Location: LCCOMB_X67_Y30_N28
\WideAnd866~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd866~0_combout\ = (\led_flash_cnt[866][2]~q\ & (\led_flash_cnt[866][4]~q\ & (\led_flash_cnt[866][3]~q\ & \led_flash_cnt[866][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[866][2]~q\,
	datab => \led_flash_cnt[866][4]~q\,
	datac => \led_flash_cnt[866][3]~q\,
	datad => \led_flash_cnt[866][1]~q\,
	combout => \WideAnd866~0_combout\);

-- Location: LCCOMB_X67_Y30_N4
WideAnd866 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd866~combout\ = (\WideAnd866~1_combout\ & (\led_flash_cnt[866][0]~q\ & (\led_flash_cnt[866][7]~q\ & \WideAnd866~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd866~1_combout\,
	datab => \led_flash_cnt[866][0]~q\,
	datac => \led_flash_cnt[866][7]~q\,
	datad => \WideAnd866~0_combout\,
	combout => \WideAnd866~combout\);

-- Location: FF_X67_Y30_N5
\led_flash_cnt_ands[866]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd866~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(866));

-- Location: LCCOMB_X55_Y26_N20
\WideAnd3948~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3948~0_combout\ = (led_flash_cnt_ands(867) & (led_flash_cnt_ands(864) & (led_flash_cnt_ands(865) & led_flash_cnt_ands(866))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(867),
	datab => led_flash_cnt_ands(864),
	datac => led_flash_cnt_ands(865),
	datad => led_flash_cnt_ands(866),
	combout => \WideAnd3948~0_combout\);

-- Location: LCCOMB_X52_Y30_N28
\led_flash_cnt[871][0]~81511\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[871][0]~81511_combout\ = !\led_flash_cnt[871][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[871][0]~q\,
	combout => \led_flash_cnt[871][0]~81511_combout\);

-- Location: FF_X52_Y30_N29
\led_flash_cnt[871][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[871][0]~81511_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[871][0]~q\);

-- Location: LCCOMB_X52_Y30_N10
\led_flash_cnt[871][1]~39074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[871][1]~39074_combout\ = (\led_flash_cnt[871][1]~q\ & (\led_flash_cnt[871][0]~q\ $ (VCC))) # (!\led_flash_cnt[871][1]~q\ & (\led_flash_cnt[871][0]~q\ & VCC))
-- \led_flash_cnt[871][1]~39075\ = CARRY((\led_flash_cnt[871][1]~q\ & \led_flash_cnt[871][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[871][1]~q\,
	datab => \led_flash_cnt[871][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[871][1]~39074_combout\,
	cout => \led_flash_cnt[871][1]~39075\);

-- Location: FF_X52_Y30_N11
\led_flash_cnt[871][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[871][1]~39074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[871][1]~q\);

-- Location: LCCOMB_X52_Y30_N12
\led_flash_cnt[871][2]~39076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[871][2]~39076_combout\ = (\led_flash_cnt[871][2]~q\ & (!\led_flash_cnt[871][1]~39075\)) # (!\led_flash_cnt[871][2]~q\ & ((\led_flash_cnt[871][1]~39075\) # (GND)))
-- \led_flash_cnt[871][2]~39077\ = CARRY((!\led_flash_cnt[871][1]~39075\) # (!\led_flash_cnt[871][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[871][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[871][1]~39075\,
	combout => \led_flash_cnt[871][2]~39076_combout\,
	cout => \led_flash_cnt[871][2]~39077\);

-- Location: FF_X52_Y30_N13
\led_flash_cnt[871][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[871][2]~39076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[871][2]~q\);

-- Location: LCCOMB_X52_Y30_N14
\led_flash_cnt[871][3]~39078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[871][3]~39078_combout\ = (\led_flash_cnt[871][3]~q\ & (\led_flash_cnt[871][2]~39077\ $ (GND))) # (!\led_flash_cnt[871][3]~q\ & (!\led_flash_cnt[871][2]~39077\ & VCC))
-- \led_flash_cnt[871][3]~39079\ = CARRY((\led_flash_cnt[871][3]~q\ & !\led_flash_cnt[871][2]~39077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[871][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[871][2]~39077\,
	combout => \led_flash_cnt[871][3]~39078_combout\,
	cout => \led_flash_cnt[871][3]~39079\);

-- Location: FF_X52_Y30_N15
\led_flash_cnt[871][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[871][3]~39078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[871][3]~q\);

-- Location: LCCOMB_X52_Y30_N16
\led_flash_cnt[871][4]~39080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[871][4]~39080_combout\ = (\led_flash_cnt[871][4]~q\ & (!\led_flash_cnt[871][3]~39079\)) # (!\led_flash_cnt[871][4]~q\ & ((\led_flash_cnt[871][3]~39079\) # (GND)))
-- \led_flash_cnt[871][4]~39081\ = CARRY((!\led_flash_cnt[871][3]~39079\) # (!\led_flash_cnt[871][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[871][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[871][3]~39079\,
	combout => \led_flash_cnt[871][4]~39080_combout\,
	cout => \led_flash_cnt[871][4]~39081\);

-- Location: FF_X52_Y30_N17
\led_flash_cnt[871][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[871][4]~39080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[871][4]~q\);

-- Location: LCCOMB_X52_Y30_N18
\led_flash_cnt[871][5]~39082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[871][5]~39082_combout\ = (\led_flash_cnt[871][5]~q\ & (\led_flash_cnt[871][4]~39081\ $ (GND))) # (!\led_flash_cnt[871][5]~q\ & (!\led_flash_cnt[871][4]~39081\ & VCC))
-- \led_flash_cnt[871][5]~39083\ = CARRY((\led_flash_cnt[871][5]~q\ & !\led_flash_cnt[871][4]~39081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[871][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[871][4]~39081\,
	combout => \led_flash_cnt[871][5]~39082_combout\,
	cout => \led_flash_cnt[871][5]~39083\);

-- Location: FF_X52_Y30_N19
\led_flash_cnt[871][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[871][5]~39082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[871][5]~q\);

-- Location: LCCOMB_X52_Y30_N20
\led_flash_cnt[871][6]~39084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[871][6]~39084_combout\ = (\led_flash_cnt[871][6]~q\ & (!\led_flash_cnt[871][5]~39083\)) # (!\led_flash_cnt[871][6]~q\ & ((\led_flash_cnt[871][5]~39083\) # (GND)))
-- \led_flash_cnt[871][6]~39085\ = CARRY((!\led_flash_cnt[871][5]~39083\) # (!\led_flash_cnt[871][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[871][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[871][5]~39083\,
	combout => \led_flash_cnt[871][6]~39084_combout\,
	cout => \led_flash_cnt[871][6]~39085\);

-- Location: FF_X52_Y30_N21
\led_flash_cnt[871][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[871][6]~39084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[871][6]~q\);

-- Location: LCCOMB_X52_Y30_N22
\led_flash_cnt[871][7]~39086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[871][7]~39086_combout\ = \led_flash_cnt[871][7]~q\ $ (!\led_flash_cnt[871][6]~39085\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[871][7]~q\,
	cin => \led_flash_cnt[871][6]~39085\,
	combout => \led_flash_cnt[871][7]~39086_combout\);

-- Location: FF_X52_Y30_N23
\led_flash_cnt[871][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[871][7]~39086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[871][7]~q\);

-- Location: LCCOMB_X52_Y30_N30
\WideAnd871~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd871~0_combout\ = (\led_flash_cnt[871][1]~q\ & (\led_flash_cnt[871][4]~q\ & (\led_flash_cnt[871][3]~q\ & \led_flash_cnt[871][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[871][1]~q\,
	datab => \led_flash_cnt[871][4]~q\,
	datac => \led_flash_cnt[871][3]~q\,
	datad => \led_flash_cnt[871][2]~q\,
	combout => \WideAnd871~0_combout\);

-- Location: LCCOMB_X52_Y30_N6
\WideAnd871~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd871~1_combout\ = (\led_flash_cnt[871][6]~q\ & \led_flash_cnt[871][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[871][6]~q\,
	datad => \led_flash_cnt[871][5]~q\,
	combout => \WideAnd871~1_combout\);

-- Location: LCCOMB_X52_Y30_N8
WideAnd871 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd871~combout\ = (\led_flash_cnt[871][7]~q\ & (\led_flash_cnt[871][0]~q\ & (\WideAnd871~0_combout\ & \WideAnd871~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[871][7]~q\,
	datab => \led_flash_cnt[871][0]~q\,
	datac => \WideAnd871~0_combout\,
	datad => \WideAnd871~1_combout\,
	combout => \WideAnd871~combout\);

-- Location: FF_X52_Y30_N9
\led_flash_cnt_ands[871]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd871~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(871));

-- Location: LCCOMB_X46_Y34_N12
\led_flash_cnt[869][0]~81509\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[869][0]~81509_combout\ = !\led_flash_cnt[869][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[869][0]~q\,
	combout => \led_flash_cnt[869][0]~81509_combout\);

-- Location: FF_X46_Y34_N13
\led_flash_cnt[869][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[869][0]~81509_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[869][0]~q\);

-- Location: LCCOMB_X46_Y34_N16
\led_flash_cnt[869][1]~39046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[869][1]~39046_combout\ = (\led_flash_cnt[869][0]~q\ & (\led_flash_cnt[869][1]~q\ $ (VCC))) # (!\led_flash_cnt[869][0]~q\ & (\led_flash_cnt[869][1]~q\ & VCC))
-- \led_flash_cnt[869][1]~39047\ = CARRY((\led_flash_cnt[869][0]~q\ & \led_flash_cnt[869][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[869][0]~q\,
	datab => \led_flash_cnt[869][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[869][1]~39046_combout\,
	cout => \led_flash_cnt[869][1]~39047\);

-- Location: FF_X46_Y34_N17
\led_flash_cnt[869][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[869][1]~39046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[869][1]~q\);

-- Location: LCCOMB_X46_Y34_N18
\led_flash_cnt[869][2]~39048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[869][2]~39048_combout\ = (\led_flash_cnt[869][2]~q\ & (!\led_flash_cnt[869][1]~39047\)) # (!\led_flash_cnt[869][2]~q\ & ((\led_flash_cnt[869][1]~39047\) # (GND)))
-- \led_flash_cnt[869][2]~39049\ = CARRY((!\led_flash_cnt[869][1]~39047\) # (!\led_flash_cnt[869][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[869][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[869][1]~39047\,
	combout => \led_flash_cnt[869][2]~39048_combout\,
	cout => \led_flash_cnt[869][2]~39049\);

-- Location: FF_X46_Y34_N19
\led_flash_cnt[869][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[869][2]~39048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[869][2]~q\);

-- Location: LCCOMB_X46_Y34_N20
\led_flash_cnt[869][3]~39050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[869][3]~39050_combout\ = (\led_flash_cnt[869][3]~q\ & (\led_flash_cnt[869][2]~39049\ $ (GND))) # (!\led_flash_cnt[869][3]~q\ & (!\led_flash_cnt[869][2]~39049\ & VCC))
-- \led_flash_cnt[869][3]~39051\ = CARRY((\led_flash_cnt[869][3]~q\ & !\led_flash_cnt[869][2]~39049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[869][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[869][2]~39049\,
	combout => \led_flash_cnt[869][3]~39050_combout\,
	cout => \led_flash_cnt[869][3]~39051\);

-- Location: FF_X46_Y34_N21
\led_flash_cnt[869][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[869][3]~39050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[869][3]~q\);

-- Location: LCCOMB_X46_Y34_N22
\led_flash_cnt[869][4]~39052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[869][4]~39052_combout\ = (\led_flash_cnt[869][4]~q\ & (!\led_flash_cnt[869][3]~39051\)) # (!\led_flash_cnt[869][4]~q\ & ((\led_flash_cnt[869][3]~39051\) # (GND)))
-- \led_flash_cnt[869][4]~39053\ = CARRY((!\led_flash_cnt[869][3]~39051\) # (!\led_flash_cnt[869][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[869][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[869][3]~39051\,
	combout => \led_flash_cnt[869][4]~39052_combout\,
	cout => \led_flash_cnt[869][4]~39053\);

-- Location: FF_X46_Y34_N23
\led_flash_cnt[869][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[869][4]~39052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[869][4]~q\);

-- Location: LCCOMB_X46_Y34_N24
\led_flash_cnt[869][5]~39054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[869][5]~39054_combout\ = (\led_flash_cnt[869][5]~q\ & (\led_flash_cnt[869][4]~39053\ $ (GND))) # (!\led_flash_cnt[869][5]~q\ & (!\led_flash_cnt[869][4]~39053\ & VCC))
-- \led_flash_cnt[869][5]~39055\ = CARRY((\led_flash_cnt[869][5]~q\ & !\led_flash_cnt[869][4]~39053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[869][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[869][4]~39053\,
	combout => \led_flash_cnt[869][5]~39054_combout\,
	cout => \led_flash_cnt[869][5]~39055\);

-- Location: FF_X46_Y34_N25
\led_flash_cnt[869][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[869][5]~39054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[869][5]~q\);

-- Location: LCCOMB_X46_Y34_N26
\led_flash_cnt[869][6]~39056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[869][6]~39056_combout\ = (\led_flash_cnt[869][6]~q\ & (!\led_flash_cnt[869][5]~39055\)) # (!\led_flash_cnt[869][6]~q\ & ((\led_flash_cnt[869][5]~39055\) # (GND)))
-- \led_flash_cnt[869][6]~39057\ = CARRY((!\led_flash_cnt[869][5]~39055\) # (!\led_flash_cnt[869][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[869][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[869][5]~39055\,
	combout => \led_flash_cnt[869][6]~39056_combout\,
	cout => \led_flash_cnt[869][6]~39057\);

-- Location: FF_X46_Y34_N27
\led_flash_cnt[869][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[869][6]~39056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[869][6]~q\);

-- Location: LCCOMB_X46_Y34_N28
\led_flash_cnt[869][7]~39058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[869][7]~39058_combout\ = \led_flash_cnt[869][6]~39057\ $ (!\led_flash_cnt[869][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[869][7]~q\,
	cin => \led_flash_cnt[869][6]~39057\,
	combout => \led_flash_cnt[869][7]~39058_combout\);

-- Location: FF_X46_Y34_N29
\led_flash_cnt[869][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[869][7]~39058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[869][7]~q\);

-- Location: LCCOMB_X46_Y34_N8
\WideAnd869~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd869~1_combout\ = (\led_flash_cnt[869][6]~q\ & \led_flash_cnt[869][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[869][6]~q\,
	datad => \led_flash_cnt[869][5]~q\,
	combout => \WideAnd869~1_combout\);

-- Location: LCCOMB_X46_Y34_N2
\WideAnd869~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd869~0_combout\ = (\led_flash_cnt[869][3]~q\ & (\led_flash_cnt[869][2]~q\ & (\led_flash_cnt[869][4]~q\ & \led_flash_cnt[869][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[869][3]~q\,
	datab => \led_flash_cnt[869][2]~q\,
	datac => \led_flash_cnt[869][4]~q\,
	datad => \led_flash_cnt[869][1]~q\,
	combout => \WideAnd869~0_combout\);

-- Location: LCCOMB_X46_Y34_N6
WideAnd869 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd869~combout\ = (\led_flash_cnt[869][0]~q\ & (\led_flash_cnt[869][7]~q\ & (\WideAnd869~1_combout\ & \WideAnd869~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[869][0]~q\,
	datab => \led_flash_cnt[869][7]~q\,
	datac => \WideAnd869~1_combout\,
	datad => \WideAnd869~0_combout\,
	combout => \WideAnd869~combout\);

-- Location: FF_X46_Y34_N7
\led_flash_cnt_ands[869]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd869~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(869));

-- Location: LCCOMB_X56_Y34_N2
\led_flash_cnt[868][0]~81508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[868][0]~81508_combout\ = !\led_flash_cnt[868][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[868][0]~q\,
	combout => \led_flash_cnt[868][0]~81508_combout\);

-- Location: FF_X56_Y34_N3
\led_flash_cnt[868][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[868][0]~81508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[868][0]~q\);

-- Location: LCCOMB_X56_Y34_N12
\led_flash_cnt[868][1]~39032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[868][1]~39032_combout\ = (\led_flash_cnt[868][1]~q\ & (\led_flash_cnt[868][0]~q\ $ (VCC))) # (!\led_flash_cnt[868][1]~q\ & (\led_flash_cnt[868][0]~q\ & VCC))
-- \led_flash_cnt[868][1]~39033\ = CARRY((\led_flash_cnt[868][1]~q\ & \led_flash_cnt[868][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[868][1]~q\,
	datab => \led_flash_cnt[868][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[868][1]~39032_combout\,
	cout => \led_flash_cnt[868][1]~39033\);

-- Location: FF_X56_Y34_N13
\led_flash_cnt[868][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[868][1]~39032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[868][1]~q\);

-- Location: LCCOMB_X56_Y34_N14
\led_flash_cnt[868][2]~39034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[868][2]~39034_combout\ = (\led_flash_cnt[868][2]~q\ & (!\led_flash_cnt[868][1]~39033\)) # (!\led_flash_cnt[868][2]~q\ & ((\led_flash_cnt[868][1]~39033\) # (GND)))
-- \led_flash_cnt[868][2]~39035\ = CARRY((!\led_flash_cnt[868][1]~39033\) # (!\led_flash_cnt[868][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[868][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[868][1]~39033\,
	combout => \led_flash_cnt[868][2]~39034_combout\,
	cout => \led_flash_cnt[868][2]~39035\);

-- Location: FF_X56_Y34_N15
\led_flash_cnt[868][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[868][2]~39034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[868][2]~q\);

-- Location: LCCOMB_X56_Y34_N16
\led_flash_cnt[868][3]~39036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[868][3]~39036_combout\ = (\led_flash_cnt[868][3]~q\ & (\led_flash_cnt[868][2]~39035\ $ (GND))) # (!\led_flash_cnt[868][3]~q\ & (!\led_flash_cnt[868][2]~39035\ & VCC))
-- \led_flash_cnt[868][3]~39037\ = CARRY((\led_flash_cnt[868][3]~q\ & !\led_flash_cnt[868][2]~39035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[868][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[868][2]~39035\,
	combout => \led_flash_cnt[868][3]~39036_combout\,
	cout => \led_flash_cnt[868][3]~39037\);

-- Location: FF_X56_Y34_N17
\led_flash_cnt[868][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[868][3]~39036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[868][3]~q\);

-- Location: LCCOMB_X56_Y34_N18
\led_flash_cnt[868][4]~39038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[868][4]~39038_combout\ = (\led_flash_cnt[868][4]~q\ & (!\led_flash_cnt[868][3]~39037\)) # (!\led_flash_cnt[868][4]~q\ & ((\led_flash_cnt[868][3]~39037\) # (GND)))
-- \led_flash_cnt[868][4]~39039\ = CARRY((!\led_flash_cnt[868][3]~39037\) # (!\led_flash_cnt[868][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[868][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[868][3]~39037\,
	combout => \led_flash_cnt[868][4]~39038_combout\,
	cout => \led_flash_cnt[868][4]~39039\);

-- Location: FF_X56_Y34_N19
\led_flash_cnt[868][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[868][4]~39038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[868][4]~q\);

-- Location: LCCOMB_X56_Y34_N10
\WideAnd868~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd868~0_combout\ = (\led_flash_cnt[868][1]~q\ & (\led_flash_cnt[868][4]~q\ & (\led_flash_cnt[868][2]~q\ & \led_flash_cnt[868][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[868][1]~q\,
	datab => \led_flash_cnt[868][4]~q\,
	datac => \led_flash_cnt[868][2]~q\,
	datad => \led_flash_cnt[868][3]~q\,
	combout => \WideAnd868~0_combout\);

-- Location: LCCOMB_X56_Y34_N20
\led_flash_cnt[868][5]~39040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[868][5]~39040_combout\ = (\led_flash_cnt[868][5]~q\ & (\led_flash_cnt[868][4]~39039\ $ (GND))) # (!\led_flash_cnt[868][5]~q\ & (!\led_flash_cnt[868][4]~39039\ & VCC))
-- \led_flash_cnt[868][5]~39041\ = CARRY((\led_flash_cnt[868][5]~q\ & !\led_flash_cnt[868][4]~39039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[868][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[868][4]~39039\,
	combout => \led_flash_cnt[868][5]~39040_combout\,
	cout => \led_flash_cnt[868][5]~39041\);

-- Location: FF_X56_Y34_N21
\led_flash_cnt[868][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[868][5]~39040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[868][5]~q\);

-- Location: LCCOMB_X56_Y34_N22
\led_flash_cnt[868][6]~39042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[868][6]~39042_combout\ = (\led_flash_cnt[868][6]~q\ & (!\led_flash_cnt[868][5]~39041\)) # (!\led_flash_cnt[868][6]~q\ & ((\led_flash_cnt[868][5]~39041\) # (GND)))
-- \led_flash_cnt[868][6]~39043\ = CARRY((!\led_flash_cnt[868][5]~39041\) # (!\led_flash_cnt[868][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[868][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[868][5]~39041\,
	combout => \led_flash_cnt[868][6]~39042_combout\,
	cout => \led_flash_cnt[868][6]~39043\);

-- Location: FF_X56_Y34_N23
\led_flash_cnt[868][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[868][6]~39042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[868][6]~q\);

-- Location: LCCOMB_X56_Y34_N26
\WideAnd868~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd868~1_combout\ = (\led_flash_cnt[868][6]~q\ & \led_flash_cnt[868][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[868][6]~q\,
	datad => \led_flash_cnt[868][5]~q\,
	combout => \WideAnd868~1_combout\);

-- Location: LCCOMB_X56_Y34_N24
\led_flash_cnt[868][7]~39044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[868][7]~39044_combout\ = \led_flash_cnt[868][6]~39043\ $ (!\led_flash_cnt[868][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[868][7]~q\,
	cin => \led_flash_cnt[868][6]~39043\,
	combout => \led_flash_cnt[868][7]~39044_combout\);

-- Location: FF_X56_Y34_N25
\led_flash_cnt[868][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[868][7]~39044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[868][7]~q\);

-- Location: LCCOMB_X56_Y34_N28
WideAnd868 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd868~combout\ = (\WideAnd868~0_combout\ & (\led_flash_cnt[868][0]~q\ & (\WideAnd868~1_combout\ & \led_flash_cnt[868][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd868~0_combout\,
	datab => \led_flash_cnt[868][0]~q\,
	datac => \WideAnd868~1_combout\,
	datad => \led_flash_cnt[868][7]~q\,
	combout => \WideAnd868~combout\);

-- Location: FF_X56_Y34_N29
\led_flash_cnt_ands[868]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd868~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(868));

-- Location: LCCOMB_X49_Y34_N16
\WideAnd3948~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3948~1_combout\ = (led_flash_cnt_ands(869) & led_flash_cnt_ands(868))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(869),
	datad => led_flash_cnt_ands(868),
	combout => \WideAnd3948~1_combout\);

-- Location: LCCOMB_X52_Y30_N2
\led_flash_cnt[870][0]~81510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[870][0]~81510_combout\ = !\led_flash_cnt[870][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[870][0]~q\,
	combout => \led_flash_cnt[870][0]~81510_combout\);

-- Location: FF_X52_Y30_N3
\led_flash_cnt[870][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[870][0]~81510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[870][0]~q\);

-- Location: LCCOMB_X51_Y30_N0
\led_flash_cnt[870][1]~39060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[870][1]~39060_combout\ = (\led_flash_cnt[870][0]~q\ & (\led_flash_cnt[870][1]~q\ $ (VCC))) # (!\led_flash_cnt[870][0]~q\ & (\led_flash_cnt[870][1]~q\ & VCC))
-- \led_flash_cnt[870][1]~39061\ = CARRY((\led_flash_cnt[870][0]~q\ & \led_flash_cnt[870][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[870][0]~q\,
	datab => \led_flash_cnt[870][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[870][1]~39060_combout\,
	cout => \led_flash_cnt[870][1]~39061\);

-- Location: FF_X51_Y30_N1
\led_flash_cnt[870][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[870][1]~39060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[870][1]~q\);

-- Location: LCCOMB_X51_Y30_N2
\led_flash_cnt[870][2]~39062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[870][2]~39062_combout\ = (\led_flash_cnt[870][2]~q\ & (!\led_flash_cnt[870][1]~39061\)) # (!\led_flash_cnt[870][2]~q\ & ((\led_flash_cnt[870][1]~39061\) # (GND)))
-- \led_flash_cnt[870][2]~39063\ = CARRY((!\led_flash_cnt[870][1]~39061\) # (!\led_flash_cnt[870][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[870][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[870][1]~39061\,
	combout => \led_flash_cnt[870][2]~39062_combout\,
	cout => \led_flash_cnt[870][2]~39063\);

-- Location: FF_X51_Y30_N3
\led_flash_cnt[870][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[870][2]~39062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[870][2]~q\);

-- Location: LCCOMB_X51_Y30_N4
\led_flash_cnt[870][3]~39064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[870][3]~39064_combout\ = (\led_flash_cnt[870][3]~q\ & (\led_flash_cnt[870][2]~39063\ $ (GND))) # (!\led_flash_cnt[870][3]~q\ & (!\led_flash_cnt[870][2]~39063\ & VCC))
-- \led_flash_cnt[870][3]~39065\ = CARRY((\led_flash_cnt[870][3]~q\ & !\led_flash_cnt[870][2]~39063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[870][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[870][2]~39063\,
	combout => \led_flash_cnt[870][3]~39064_combout\,
	cout => \led_flash_cnt[870][3]~39065\);

-- Location: FF_X51_Y30_N5
\led_flash_cnt[870][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[870][3]~39064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[870][3]~q\);

-- Location: LCCOMB_X51_Y30_N6
\led_flash_cnt[870][4]~39066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[870][4]~39066_combout\ = (\led_flash_cnt[870][4]~q\ & (!\led_flash_cnt[870][3]~39065\)) # (!\led_flash_cnt[870][4]~q\ & ((\led_flash_cnt[870][3]~39065\) # (GND)))
-- \led_flash_cnt[870][4]~39067\ = CARRY((!\led_flash_cnt[870][3]~39065\) # (!\led_flash_cnt[870][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[870][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[870][3]~39065\,
	combout => \led_flash_cnt[870][4]~39066_combout\,
	cout => \led_flash_cnt[870][4]~39067\);

-- Location: FF_X51_Y30_N7
\led_flash_cnt[870][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[870][4]~39066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[870][4]~q\);

-- Location: LCCOMB_X51_Y30_N8
\led_flash_cnt[870][5]~39068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[870][5]~39068_combout\ = (\led_flash_cnt[870][5]~q\ & (\led_flash_cnt[870][4]~39067\ $ (GND))) # (!\led_flash_cnt[870][5]~q\ & (!\led_flash_cnt[870][4]~39067\ & VCC))
-- \led_flash_cnt[870][5]~39069\ = CARRY((\led_flash_cnt[870][5]~q\ & !\led_flash_cnt[870][4]~39067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[870][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[870][4]~39067\,
	combout => \led_flash_cnt[870][5]~39068_combout\,
	cout => \led_flash_cnt[870][5]~39069\);

-- Location: FF_X51_Y30_N9
\led_flash_cnt[870][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[870][5]~39068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[870][5]~q\);

-- Location: LCCOMB_X51_Y30_N10
\led_flash_cnt[870][6]~39070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[870][6]~39070_combout\ = (\led_flash_cnt[870][6]~q\ & (!\led_flash_cnt[870][5]~39069\)) # (!\led_flash_cnt[870][6]~q\ & ((\led_flash_cnt[870][5]~39069\) # (GND)))
-- \led_flash_cnt[870][6]~39071\ = CARRY((!\led_flash_cnt[870][5]~39069\) # (!\led_flash_cnt[870][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[870][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[870][5]~39069\,
	combout => \led_flash_cnt[870][6]~39070_combout\,
	cout => \led_flash_cnt[870][6]~39071\);

-- Location: FF_X51_Y30_N11
\led_flash_cnt[870][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[870][6]~39070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[870][6]~q\);

-- Location: LCCOMB_X51_Y30_N12
\led_flash_cnt[870][7]~39072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[870][7]~39072_combout\ = \led_flash_cnt[870][6]~39071\ $ (!\led_flash_cnt[870][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[870][7]~q\,
	cin => \led_flash_cnt[870][6]~39071\,
	combout => \led_flash_cnt[870][7]~39072_combout\);

-- Location: FF_X51_Y30_N13
\led_flash_cnt[870][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[870][7]~39072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[870][7]~q\);

-- Location: LCCOMB_X52_Y30_N4
\WideAnd870~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd870~1_combout\ = (\led_flash_cnt[870][6]~q\ & \led_flash_cnt[870][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[870][6]~q\,
	datad => \led_flash_cnt[870][5]~q\,
	combout => \WideAnd870~1_combout\);

-- Location: LCCOMB_X51_Y30_N14
\WideAnd870~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd870~0_combout\ = (\led_flash_cnt[870][4]~q\ & (\led_flash_cnt[870][1]~q\ & (\led_flash_cnt[870][3]~q\ & \led_flash_cnt[870][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[870][4]~q\,
	datab => \led_flash_cnt[870][1]~q\,
	datac => \led_flash_cnt[870][3]~q\,
	datad => \led_flash_cnt[870][2]~q\,
	combout => \WideAnd870~0_combout\);

-- Location: LCCOMB_X52_Y30_N24
WideAnd870 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd870~combout\ = (\led_flash_cnt[870][7]~q\ & (\led_flash_cnt[870][0]~q\ & (\WideAnd870~1_combout\ & \WideAnd870~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[870][7]~q\,
	datab => \led_flash_cnt[870][0]~q\,
	datac => \WideAnd870~1_combout\,
	datad => \WideAnd870~0_combout\,
	combout => \WideAnd870~combout\);

-- Location: FF_X52_Y30_N25
\led_flash_cnt_ands[870]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd870~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(870));

-- Location: LCCOMB_X52_Y30_N26
WideAnd3948 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3948~combout\ = (\WideAnd3948~0_combout\ & (led_flash_cnt_ands(871) & (\WideAnd3948~1_combout\ & led_flash_cnt_ands(870))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3948~0_combout\,
	datab => led_flash_cnt_ands(871),
	datac => \WideAnd3948~1_combout\,
	datad => led_flash_cnt_ands(870),
	combout => \WideAnd3948~combout\);

-- Location: FF_X52_Y30_N27
\led_flash_cnt_ands_1[108]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3948~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(108));

-- Location: LCCOMB_X49_Y33_N20
\led_flash_cnt[879][0]~81519\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[879][0]~81519_combout\ = !\led_flash_cnt[879][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[879][0]~q\,
	combout => \led_flash_cnt[879][0]~81519_combout\);

-- Location: FF_X49_Y33_N21
\led_flash_cnt[879][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[879][0]~81519_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[879][0]~q\);

-- Location: LCCOMB_X51_Y29_N18
\led_flash_cnt[879][1]~39186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[879][1]~39186_combout\ = (\led_flash_cnt[879][0]~q\ & (\led_flash_cnt[879][1]~q\ $ (VCC))) # (!\led_flash_cnt[879][0]~q\ & (\led_flash_cnt[879][1]~q\ & VCC))
-- \led_flash_cnt[879][1]~39187\ = CARRY((\led_flash_cnt[879][0]~q\ & \led_flash_cnt[879][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[879][0]~q\,
	datab => \led_flash_cnt[879][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[879][1]~39186_combout\,
	cout => \led_flash_cnt[879][1]~39187\);

-- Location: FF_X51_Y29_N19
\led_flash_cnt[879][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[879][1]~39186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[879][1]~q\);

-- Location: LCCOMB_X51_Y29_N20
\led_flash_cnt[879][2]~39188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[879][2]~39188_combout\ = (\led_flash_cnt[879][2]~q\ & (!\led_flash_cnt[879][1]~39187\)) # (!\led_flash_cnt[879][2]~q\ & ((\led_flash_cnt[879][1]~39187\) # (GND)))
-- \led_flash_cnt[879][2]~39189\ = CARRY((!\led_flash_cnt[879][1]~39187\) # (!\led_flash_cnt[879][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[879][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[879][1]~39187\,
	combout => \led_flash_cnt[879][2]~39188_combout\,
	cout => \led_flash_cnt[879][2]~39189\);

-- Location: FF_X51_Y29_N21
\led_flash_cnt[879][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[879][2]~39188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[879][2]~q\);

-- Location: LCCOMB_X51_Y29_N22
\led_flash_cnt[879][3]~39190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[879][3]~39190_combout\ = (\led_flash_cnt[879][3]~q\ & (\led_flash_cnt[879][2]~39189\ $ (GND))) # (!\led_flash_cnt[879][3]~q\ & (!\led_flash_cnt[879][2]~39189\ & VCC))
-- \led_flash_cnt[879][3]~39191\ = CARRY((\led_flash_cnt[879][3]~q\ & !\led_flash_cnt[879][2]~39189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[879][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[879][2]~39189\,
	combout => \led_flash_cnt[879][3]~39190_combout\,
	cout => \led_flash_cnt[879][3]~39191\);

-- Location: FF_X51_Y29_N23
\led_flash_cnt[879][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[879][3]~39190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[879][3]~q\);

-- Location: LCCOMB_X51_Y29_N24
\led_flash_cnt[879][4]~39192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[879][4]~39192_combout\ = (\led_flash_cnt[879][4]~q\ & (!\led_flash_cnt[879][3]~39191\)) # (!\led_flash_cnt[879][4]~q\ & ((\led_flash_cnt[879][3]~39191\) # (GND)))
-- \led_flash_cnt[879][4]~39193\ = CARRY((!\led_flash_cnt[879][3]~39191\) # (!\led_flash_cnt[879][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[879][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[879][3]~39191\,
	combout => \led_flash_cnt[879][4]~39192_combout\,
	cout => \led_flash_cnt[879][4]~39193\);

-- Location: FF_X51_Y29_N25
\led_flash_cnt[879][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[879][4]~39192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[879][4]~q\);

-- Location: LCCOMB_X51_Y29_N26
\led_flash_cnt[879][5]~39194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[879][5]~39194_combout\ = (\led_flash_cnt[879][5]~q\ & (\led_flash_cnt[879][4]~39193\ $ (GND))) # (!\led_flash_cnt[879][5]~q\ & (!\led_flash_cnt[879][4]~39193\ & VCC))
-- \led_flash_cnt[879][5]~39195\ = CARRY((\led_flash_cnt[879][5]~q\ & !\led_flash_cnt[879][4]~39193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[879][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[879][4]~39193\,
	combout => \led_flash_cnt[879][5]~39194_combout\,
	cout => \led_flash_cnt[879][5]~39195\);

-- Location: FF_X51_Y29_N27
\led_flash_cnt[879][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[879][5]~39194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[879][5]~q\);

-- Location: LCCOMB_X51_Y29_N28
\led_flash_cnt[879][6]~39196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[879][6]~39196_combout\ = (\led_flash_cnt[879][6]~q\ & (!\led_flash_cnt[879][5]~39195\)) # (!\led_flash_cnt[879][6]~q\ & ((\led_flash_cnt[879][5]~39195\) # (GND)))
-- \led_flash_cnt[879][6]~39197\ = CARRY((!\led_flash_cnt[879][5]~39195\) # (!\led_flash_cnt[879][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[879][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[879][5]~39195\,
	combout => \led_flash_cnt[879][6]~39196_combout\,
	cout => \led_flash_cnt[879][6]~39197\);

-- Location: FF_X51_Y29_N29
\led_flash_cnt[879][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[879][6]~39196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[879][6]~q\);

-- Location: LCCOMB_X50_Y29_N20
\WideAnd879~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd879~1_combout\ = (\led_flash_cnt[879][6]~q\ & \led_flash_cnt[879][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[879][6]~q\,
	datad => \led_flash_cnt[879][5]~q\,
	combout => \WideAnd879~1_combout\);

-- Location: LCCOMB_X51_Y29_N30
\led_flash_cnt[879][7]~39198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[879][7]~39198_combout\ = \led_flash_cnt[879][7]~q\ $ (!\led_flash_cnt[879][6]~39197\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[879][7]~q\,
	cin => \led_flash_cnt[879][6]~39197\,
	combout => \led_flash_cnt[879][7]~39198_combout\);

-- Location: FF_X51_Y29_N31
\led_flash_cnt[879][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[879][7]~39198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[879][7]~q\);

-- Location: LCCOMB_X51_Y29_N16
\WideAnd879~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd879~0_combout\ = (\led_flash_cnt[879][1]~q\ & (\led_flash_cnt[879][4]~q\ & (\led_flash_cnt[879][3]~q\ & \led_flash_cnt[879][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[879][1]~q\,
	datab => \led_flash_cnt[879][4]~q\,
	datac => \led_flash_cnt[879][3]~q\,
	datad => \led_flash_cnt[879][2]~q\,
	combout => \WideAnd879~0_combout\);

-- Location: LCCOMB_X50_Y29_N24
WideAnd879 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd879~combout\ = (\led_flash_cnt[879][0]~q\ & (\WideAnd879~1_combout\ & (\led_flash_cnt[879][7]~q\ & \WideAnd879~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[879][0]~q\,
	datab => \WideAnd879~1_combout\,
	datac => \led_flash_cnt[879][7]~q\,
	datad => \WideAnd879~0_combout\,
	combout => \WideAnd879~combout\);

-- Location: FF_X50_Y29_N25
\led_flash_cnt_ands[879]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd879~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(879));

-- Location: LCCOMB_X45_Y36_N12
\led_flash_cnt[873][0]~81513\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[873][0]~81513_combout\ = !\led_flash_cnt[873][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[873][0]~q\,
	combout => \led_flash_cnt[873][0]~81513_combout\);

-- Location: FF_X45_Y36_N13
\led_flash_cnt[873][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[873][0]~81513_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[873][0]~q\);

-- Location: LCCOMB_X46_Y36_N4
\led_flash_cnt[873][1]~39102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[873][1]~39102_combout\ = (\led_flash_cnt[873][0]~q\ & (\led_flash_cnt[873][1]~q\ $ (VCC))) # (!\led_flash_cnt[873][0]~q\ & (\led_flash_cnt[873][1]~q\ & VCC))
-- \led_flash_cnt[873][1]~39103\ = CARRY((\led_flash_cnt[873][0]~q\ & \led_flash_cnt[873][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[873][0]~q\,
	datab => \led_flash_cnt[873][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[873][1]~39102_combout\,
	cout => \led_flash_cnt[873][1]~39103\);

-- Location: FF_X46_Y36_N5
\led_flash_cnt[873][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[873][1]~39102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[873][1]~q\);

-- Location: LCCOMB_X46_Y36_N6
\led_flash_cnt[873][2]~39104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[873][2]~39104_combout\ = (\led_flash_cnt[873][2]~q\ & (!\led_flash_cnt[873][1]~39103\)) # (!\led_flash_cnt[873][2]~q\ & ((\led_flash_cnt[873][1]~39103\) # (GND)))
-- \led_flash_cnt[873][2]~39105\ = CARRY((!\led_flash_cnt[873][1]~39103\) # (!\led_flash_cnt[873][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[873][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[873][1]~39103\,
	combout => \led_flash_cnt[873][2]~39104_combout\,
	cout => \led_flash_cnt[873][2]~39105\);

-- Location: FF_X46_Y36_N7
\led_flash_cnt[873][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[873][2]~39104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[873][2]~q\);

-- Location: LCCOMB_X46_Y36_N8
\led_flash_cnt[873][3]~39106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[873][3]~39106_combout\ = (\led_flash_cnt[873][3]~q\ & (\led_flash_cnt[873][2]~39105\ $ (GND))) # (!\led_flash_cnt[873][3]~q\ & (!\led_flash_cnt[873][2]~39105\ & VCC))
-- \led_flash_cnt[873][3]~39107\ = CARRY((\led_flash_cnt[873][3]~q\ & !\led_flash_cnt[873][2]~39105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[873][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[873][2]~39105\,
	combout => \led_flash_cnt[873][3]~39106_combout\,
	cout => \led_flash_cnt[873][3]~39107\);

-- Location: FF_X46_Y36_N9
\led_flash_cnt[873][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[873][3]~39106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[873][3]~q\);

-- Location: LCCOMB_X46_Y36_N10
\led_flash_cnt[873][4]~39108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[873][4]~39108_combout\ = (\led_flash_cnt[873][4]~q\ & (!\led_flash_cnt[873][3]~39107\)) # (!\led_flash_cnt[873][4]~q\ & ((\led_flash_cnt[873][3]~39107\) # (GND)))
-- \led_flash_cnt[873][4]~39109\ = CARRY((!\led_flash_cnt[873][3]~39107\) # (!\led_flash_cnt[873][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[873][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[873][3]~39107\,
	combout => \led_flash_cnt[873][4]~39108_combout\,
	cout => \led_flash_cnt[873][4]~39109\);

-- Location: FF_X46_Y36_N11
\led_flash_cnt[873][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[873][4]~39108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[873][4]~q\);

-- Location: LCCOMB_X46_Y36_N12
\led_flash_cnt[873][5]~39110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[873][5]~39110_combout\ = (\led_flash_cnt[873][5]~q\ & (\led_flash_cnt[873][4]~39109\ $ (GND))) # (!\led_flash_cnt[873][5]~q\ & (!\led_flash_cnt[873][4]~39109\ & VCC))
-- \led_flash_cnt[873][5]~39111\ = CARRY((\led_flash_cnt[873][5]~q\ & !\led_flash_cnt[873][4]~39109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[873][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[873][4]~39109\,
	combout => \led_flash_cnt[873][5]~39110_combout\,
	cout => \led_flash_cnt[873][5]~39111\);

-- Location: FF_X46_Y36_N13
\led_flash_cnt[873][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[873][5]~39110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[873][5]~q\);

-- Location: LCCOMB_X46_Y36_N14
\led_flash_cnt[873][6]~39112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[873][6]~39112_combout\ = (\led_flash_cnt[873][6]~q\ & (!\led_flash_cnt[873][5]~39111\)) # (!\led_flash_cnt[873][6]~q\ & ((\led_flash_cnt[873][5]~39111\) # (GND)))
-- \led_flash_cnt[873][6]~39113\ = CARRY((!\led_flash_cnt[873][5]~39111\) # (!\led_flash_cnt[873][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[873][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[873][5]~39111\,
	combout => \led_flash_cnt[873][6]~39112_combout\,
	cout => \led_flash_cnt[873][6]~39113\);

-- Location: FF_X46_Y36_N15
\led_flash_cnt[873][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[873][6]~39112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[873][6]~q\);

-- Location: LCCOMB_X46_Y36_N16
\led_flash_cnt[873][7]~39114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[873][7]~39114_combout\ = \led_flash_cnt[873][6]~39113\ $ (!\led_flash_cnt[873][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[873][7]~q\,
	cin => \led_flash_cnt[873][6]~39113\,
	combout => \led_flash_cnt[873][7]~39114_combout\);

-- Location: FF_X46_Y36_N17
\led_flash_cnt[873][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[873][7]~39114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[873][7]~q\);

-- Location: LCCOMB_X45_Y36_N14
\WideAnd873~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd873~1_combout\ = (\led_flash_cnt[873][6]~q\ & \led_flash_cnt[873][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[873][6]~q\,
	datac => \led_flash_cnt[873][5]~q\,
	combout => \WideAnd873~1_combout\);

-- Location: LCCOMB_X46_Y36_N2
\WideAnd873~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd873~0_combout\ = (\led_flash_cnt[873][4]~q\ & (\led_flash_cnt[873][3]~q\ & (\led_flash_cnt[873][1]~q\ & \led_flash_cnt[873][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[873][4]~q\,
	datab => \led_flash_cnt[873][3]~q\,
	datac => \led_flash_cnt[873][1]~q\,
	datad => \led_flash_cnt[873][2]~q\,
	combout => \WideAnd873~0_combout\);

-- Location: LCCOMB_X45_Y36_N6
WideAnd873 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd873~combout\ = (\led_flash_cnt[873][0]~q\ & (\led_flash_cnt[873][7]~q\ & (\WideAnd873~1_combout\ & \WideAnd873~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[873][0]~q\,
	datab => \led_flash_cnt[873][7]~q\,
	datac => \WideAnd873~1_combout\,
	datad => \WideAnd873~0_combout\,
	combout => \WideAnd873~combout\);

-- Location: FF_X45_Y36_N7
\led_flash_cnt_ands[873]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd873~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(873));

-- Location: LCCOMB_X44_Y37_N6
\led_flash_cnt[875][0]~81515\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[875][0]~81515_combout\ = !\led_flash_cnt[875][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[875][0]~q\,
	combout => \led_flash_cnt[875][0]~81515_combout\);

-- Location: FF_X44_Y37_N7
\led_flash_cnt[875][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[875][0]~81515_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[875][0]~q\);

-- Location: LCCOMB_X45_Y37_N18
\led_flash_cnt[875][1]~39130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[875][1]~39130_combout\ = (\led_flash_cnt[875][0]~q\ & (\led_flash_cnt[875][1]~q\ $ (VCC))) # (!\led_flash_cnt[875][0]~q\ & (\led_flash_cnt[875][1]~q\ & VCC))
-- \led_flash_cnt[875][1]~39131\ = CARRY((\led_flash_cnt[875][0]~q\ & \led_flash_cnt[875][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[875][0]~q\,
	datab => \led_flash_cnt[875][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[875][1]~39130_combout\,
	cout => \led_flash_cnt[875][1]~39131\);

-- Location: FF_X45_Y37_N19
\led_flash_cnt[875][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[875][1]~39130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[875][1]~q\);

-- Location: LCCOMB_X45_Y37_N20
\led_flash_cnt[875][2]~39132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[875][2]~39132_combout\ = (\led_flash_cnt[875][2]~q\ & (!\led_flash_cnt[875][1]~39131\)) # (!\led_flash_cnt[875][2]~q\ & ((\led_flash_cnt[875][1]~39131\) # (GND)))
-- \led_flash_cnt[875][2]~39133\ = CARRY((!\led_flash_cnt[875][1]~39131\) # (!\led_flash_cnt[875][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[875][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[875][1]~39131\,
	combout => \led_flash_cnt[875][2]~39132_combout\,
	cout => \led_flash_cnt[875][2]~39133\);

-- Location: FF_X45_Y37_N21
\led_flash_cnt[875][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[875][2]~39132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[875][2]~q\);

-- Location: LCCOMB_X45_Y37_N22
\led_flash_cnt[875][3]~39134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[875][3]~39134_combout\ = (\led_flash_cnt[875][3]~q\ & (\led_flash_cnt[875][2]~39133\ $ (GND))) # (!\led_flash_cnt[875][3]~q\ & (!\led_flash_cnt[875][2]~39133\ & VCC))
-- \led_flash_cnt[875][3]~39135\ = CARRY((\led_flash_cnt[875][3]~q\ & !\led_flash_cnt[875][2]~39133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[875][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[875][2]~39133\,
	combout => \led_flash_cnt[875][3]~39134_combout\,
	cout => \led_flash_cnt[875][3]~39135\);

-- Location: FF_X45_Y37_N23
\led_flash_cnt[875][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[875][3]~39134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[875][3]~q\);

-- Location: LCCOMB_X45_Y37_N24
\led_flash_cnt[875][4]~39136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[875][4]~39136_combout\ = (\led_flash_cnt[875][4]~q\ & (!\led_flash_cnt[875][3]~39135\)) # (!\led_flash_cnt[875][4]~q\ & ((\led_flash_cnt[875][3]~39135\) # (GND)))
-- \led_flash_cnt[875][4]~39137\ = CARRY((!\led_flash_cnt[875][3]~39135\) # (!\led_flash_cnt[875][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[875][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[875][3]~39135\,
	combout => \led_flash_cnt[875][4]~39136_combout\,
	cout => \led_flash_cnt[875][4]~39137\);

-- Location: FF_X45_Y37_N25
\led_flash_cnt[875][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[875][4]~39136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[875][4]~q\);

-- Location: LCCOMB_X45_Y37_N26
\led_flash_cnt[875][5]~39138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[875][5]~39138_combout\ = (\led_flash_cnt[875][5]~q\ & (\led_flash_cnt[875][4]~39137\ $ (GND))) # (!\led_flash_cnt[875][5]~q\ & (!\led_flash_cnt[875][4]~39137\ & VCC))
-- \led_flash_cnt[875][5]~39139\ = CARRY((\led_flash_cnt[875][5]~q\ & !\led_flash_cnt[875][4]~39137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[875][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[875][4]~39137\,
	combout => \led_flash_cnt[875][5]~39138_combout\,
	cout => \led_flash_cnt[875][5]~39139\);

-- Location: FF_X45_Y37_N27
\led_flash_cnt[875][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[875][5]~39138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[875][5]~q\);

-- Location: LCCOMB_X45_Y37_N28
\led_flash_cnt[875][6]~39140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[875][6]~39140_combout\ = (\led_flash_cnt[875][6]~q\ & (!\led_flash_cnt[875][5]~39139\)) # (!\led_flash_cnt[875][6]~q\ & ((\led_flash_cnt[875][5]~39139\) # (GND)))
-- \led_flash_cnt[875][6]~39141\ = CARRY((!\led_flash_cnt[875][5]~39139\) # (!\led_flash_cnt[875][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[875][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[875][5]~39139\,
	combout => \led_flash_cnt[875][6]~39140_combout\,
	cout => \led_flash_cnt[875][6]~39141\);

-- Location: FF_X45_Y37_N29
\led_flash_cnt[875][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[875][6]~39140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[875][6]~q\);

-- Location: LCCOMB_X45_Y37_N30
\led_flash_cnt[875][7]~39142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[875][7]~39142_combout\ = \led_flash_cnt[875][7]~q\ $ (!\led_flash_cnt[875][6]~39141\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[875][7]~q\,
	cin => \led_flash_cnt[875][6]~39141\,
	combout => \led_flash_cnt[875][7]~39142_combout\);

-- Location: FF_X45_Y37_N31
\led_flash_cnt[875][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[875][7]~39142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[875][7]~q\);

-- Location: LCCOMB_X44_Y37_N26
\WideAnd875~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd875~1_combout\ = (\led_flash_cnt[875][7]~q\ & \led_flash_cnt[875][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[875][7]~q\,
	datad => \led_flash_cnt[875][0]~q\,
	combout => \WideAnd875~1_combout\);

-- Location: LCCOMB_X45_Y37_N0
\WideAnd875~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd875~0_combout\ = (\led_flash_cnt[875][4]~q\ & (\led_flash_cnt[875][2]~q\ & (\led_flash_cnt[875][3]~q\ & \led_flash_cnt[875][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[875][4]~q\,
	datab => \led_flash_cnt[875][2]~q\,
	datac => \led_flash_cnt[875][3]~q\,
	datad => \led_flash_cnt[875][1]~q\,
	combout => \WideAnd875~0_combout\);

-- Location: LCCOMB_X45_Y37_N16
WideAnd875 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd875~combout\ = (\WideAnd875~1_combout\ & (\WideAnd875~0_combout\ & (\led_flash_cnt[875][5]~q\ & \led_flash_cnt[875][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd875~1_combout\,
	datab => \WideAnd875~0_combout\,
	datac => \led_flash_cnt[875][5]~q\,
	datad => \led_flash_cnt[875][6]~q\,
	combout => \WideAnd875~combout\);

-- Location: FF_X45_Y37_N17
\led_flash_cnt_ands[875]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd875~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(875));

-- Location: LCCOMB_X46_Y37_N28
\led_flash_cnt[874][0]~81514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[874][0]~81514_combout\ = !\led_flash_cnt[874][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[874][0]~q\,
	combout => \led_flash_cnt[874][0]~81514_combout\);

-- Location: FF_X46_Y37_N29
\led_flash_cnt[874][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[874][0]~81514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[874][0]~q\);

-- Location: LCCOMB_X45_Y37_N2
\led_flash_cnt[874][1]~39116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[874][1]~39116_combout\ = (\led_flash_cnt[874][1]~q\ & (\led_flash_cnt[874][0]~q\ $ (VCC))) # (!\led_flash_cnt[874][1]~q\ & (\led_flash_cnt[874][0]~q\ & VCC))
-- \led_flash_cnt[874][1]~39117\ = CARRY((\led_flash_cnt[874][1]~q\ & \led_flash_cnt[874][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[874][1]~q\,
	datab => \led_flash_cnt[874][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[874][1]~39116_combout\,
	cout => \led_flash_cnt[874][1]~39117\);

-- Location: FF_X45_Y37_N3
\led_flash_cnt[874][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[874][1]~39116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[874][1]~q\);

-- Location: LCCOMB_X45_Y37_N4
\led_flash_cnt[874][2]~39118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[874][2]~39118_combout\ = (\led_flash_cnt[874][2]~q\ & (!\led_flash_cnt[874][1]~39117\)) # (!\led_flash_cnt[874][2]~q\ & ((\led_flash_cnt[874][1]~39117\) # (GND)))
-- \led_flash_cnt[874][2]~39119\ = CARRY((!\led_flash_cnt[874][1]~39117\) # (!\led_flash_cnt[874][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[874][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[874][1]~39117\,
	combout => \led_flash_cnt[874][2]~39118_combout\,
	cout => \led_flash_cnt[874][2]~39119\);

-- Location: FF_X45_Y37_N5
\led_flash_cnt[874][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[874][2]~39118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[874][2]~q\);

-- Location: LCCOMB_X45_Y37_N6
\led_flash_cnt[874][3]~39120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[874][3]~39120_combout\ = (\led_flash_cnt[874][3]~q\ & (\led_flash_cnt[874][2]~39119\ $ (GND))) # (!\led_flash_cnt[874][3]~q\ & (!\led_flash_cnt[874][2]~39119\ & VCC))
-- \led_flash_cnt[874][3]~39121\ = CARRY((\led_flash_cnt[874][3]~q\ & !\led_flash_cnt[874][2]~39119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[874][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[874][2]~39119\,
	combout => \led_flash_cnt[874][3]~39120_combout\,
	cout => \led_flash_cnt[874][3]~39121\);

-- Location: FF_X45_Y37_N7
\led_flash_cnt[874][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[874][3]~39120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[874][3]~q\);

-- Location: LCCOMB_X45_Y37_N8
\led_flash_cnt[874][4]~39122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[874][4]~39122_combout\ = (\led_flash_cnt[874][4]~q\ & (!\led_flash_cnt[874][3]~39121\)) # (!\led_flash_cnt[874][4]~q\ & ((\led_flash_cnt[874][3]~39121\) # (GND)))
-- \led_flash_cnt[874][4]~39123\ = CARRY((!\led_flash_cnt[874][3]~39121\) # (!\led_flash_cnt[874][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[874][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[874][3]~39121\,
	combout => \led_flash_cnt[874][4]~39122_combout\,
	cout => \led_flash_cnt[874][4]~39123\);

-- Location: FF_X45_Y37_N9
\led_flash_cnt[874][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[874][4]~39122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[874][4]~q\);

-- Location: LCCOMB_X45_Y37_N10
\led_flash_cnt[874][5]~39124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[874][5]~39124_combout\ = (\led_flash_cnt[874][5]~q\ & (\led_flash_cnt[874][4]~39123\ $ (GND))) # (!\led_flash_cnt[874][5]~q\ & (!\led_flash_cnt[874][4]~39123\ & VCC))
-- \led_flash_cnt[874][5]~39125\ = CARRY((\led_flash_cnt[874][5]~q\ & !\led_flash_cnt[874][4]~39123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[874][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[874][4]~39123\,
	combout => \led_flash_cnt[874][5]~39124_combout\,
	cout => \led_flash_cnt[874][5]~39125\);

-- Location: FF_X45_Y37_N11
\led_flash_cnt[874][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[874][5]~39124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[874][5]~q\);

-- Location: LCCOMB_X45_Y37_N12
\led_flash_cnt[874][6]~39126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[874][6]~39126_combout\ = (\led_flash_cnt[874][6]~q\ & (!\led_flash_cnt[874][5]~39125\)) # (!\led_flash_cnt[874][6]~q\ & ((\led_flash_cnt[874][5]~39125\) # (GND)))
-- \led_flash_cnt[874][6]~39127\ = CARRY((!\led_flash_cnt[874][5]~39125\) # (!\led_flash_cnt[874][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[874][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[874][5]~39125\,
	combout => \led_flash_cnt[874][6]~39126_combout\,
	cout => \led_flash_cnt[874][6]~39127\);

-- Location: FF_X45_Y37_N13
\led_flash_cnt[874][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[874][6]~39126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[874][6]~q\);

-- Location: LCCOMB_X45_Y37_N14
\led_flash_cnt[874][7]~39128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[874][7]~39128_combout\ = \led_flash_cnt[874][7]~q\ $ (!\led_flash_cnt[874][6]~39127\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[874][7]~q\,
	cin => \led_flash_cnt[874][6]~39127\,
	combout => \led_flash_cnt[874][7]~39128_combout\);

-- Location: FF_X45_Y37_N15
\led_flash_cnt[874][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[874][7]~39128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[874][7]~q\);

-- Location: LCCOMB_X46_Y37_N16
\WideAnd874~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd874~0_combout\ = (\led_flash_cnt[874][4]~q\ & (\led_flash_cnt[874][3]~q\ & (\led_flash_cnt[874][2]~q\ & \led_flash_cnt[874][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[874][4]~q\,
	datab => \led_flash_cnt[874][3]~q\,
	datac => \led_flash_cnt[874][2]~q\,
	datad => \led_flash_cnt[874][1]~q\,
	combout => \WideAnd874~0_combout\);

-- Location: LCCOMB_X46_Y37_N14
\WideAnd874~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd874~1_combout\ = (\led_flash_cnt[874][6]~q\ & \led_flash_cnt[874][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[874][6]~q\,
	datad => \led_flash_cnt[874][5]~q\,
	combout => \WideAnd874~1_combout\);

-- Location: LCCOMB_X46_Y37_N30
WideAnd874 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd874~combout\ = (\led_flash_cnt[874][7]~q\ & (\WideAnd874~0_combout\ & (\WideAnd874~1_combout\ & \led_flash_cnt[874][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[874][7]~q\,
	datab => \WideAnd874~0_combout\,
	datac => \WideAnd874~1_combout\,
	datad => \led_flash_cnt[874][0]~q\,
	combout => \WideAnd874~combout\);

-- Location: FF_X46_Y37_N31
\led_flash_cnt_ands[874]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd874~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(874));

-- Location: LCCOMB_X45_Y36_N10
\led_flash_cnt[872][0]~81512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[872][0]~81512_combout\ = !\led_flash_cnt[872][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[872][0]~q\,
	combout => \led_flash_cnt[872][0]~81512_combout\);

-- Location: FF_X45_Y36_N11
\led_flash_cnt[872][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[872][0]~81512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[872][0]~q\);

-- Location: LCCOMB_X45_Y36_N18
\led_flash_cnt[872][1]~39088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[872][1]~39088_combout\ = (\led_flash_cnt[872][0]~q\ & (\led_flash_cnt[872][1]~q\ $ (VCC))) # (!\led_flash_cnt[872][0]~q\ & (\led_flash_cnt[872][1]~q\ & VCC))
-- \led_flash_cnt[872][1]~39089\ = CARRY((\led_flash_cnt[872][0]~q\ & \led_flash_cnt[872][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[872][0]~q\,
	datab => \led_flash_cnt[872][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[872][1]~39088_combout\,
	cout => \led_flash_cnt[872][1]~39089\);

-- Location: FF_X45_Y36_N19
\led_flash_cnt[872][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[872][1]~39088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[872][1]~q\);

-- Location: LCCOMB_X45_Y36_N20
\led_flash_cnt[872][2]~39090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[872][2]~39090_combout\ = (\led_flash_cnt[872][2]~q\ & (!\led_flash_cnt[872][1]~39089\)) # (!\led_flash_cnt[872][2]~q\ & ((\led_flash_cnt[872][1]~39089\) # (GND)))
-- \led_flash_cnt[872][2]~39091\ = CARRY((!\led_flash_cnt[872][1]~39089\) # (!\led_flash_cnt[872][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[872][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[872][1]~39089\,
	combout => \led_flash_cnt[872][2]~39090_combout\,
	cout => \led_flash_cnt[872][2]~39091\);

-- Location: FF_X45_Y36_N21
\led_flash_cnt[872][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[872][2]~39090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[872][2]~q\);

-- Location: LCCOMB_X45_Y36_N22
\led_flash_cnt[872][3]~39092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[872][3]~39092_combout\ = (\led_flash_cnt[872][3]~q\ & (\led_flash_cnt[872][2]~39091\ $ (GND))) # (!\led_flash_cnt[872][3]~q\ & (!\led_flash_cnt[872][2]~39091\ & VCC))
-- \led_flash_cnt[872][3]~39093\ = CARRY((\led_flash_cnt[872][3]~q\ & !\led_flash_cnt[872][2]~39091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[872][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[872][2]~39091\,
	combout => \led_flash_cnt[872][3]~39092_combout\,
	cout => \led_flash_cnt[872][3]~39093\);

-- Location: FF_X45_Y36_N23
\led_flash_cnt[872][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[872][3]~39092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[872][3]~q\);

-- Location: LCCOMB_X45_Y36_N24
\led_flash_cnt[872][4]~39094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[872][4]~39094_combout\ = (\led_flash_cnt[872][4]~q\ & (!\led_flash_cnt[872][3]~39093\)) # (!\led_flash_cnt[872][4]~q\ & ((\led_flash_cnt[872][3]~39093\) # (GND)))
-- \led_flash_cnt[872][4]~39095\ = CARRY((!\led_flash_cnt[872][3]~39093\) # (!\led_flash_cnt[872][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[872][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[872][3]~39093\,
	combout => \led_flash_cnt[872][4]~39094_combout\,
	cout => \led_flash_cnt[872][4]~39095\);

-- Location: FF_X45_Y36_N25
\led_flash_cnt[872][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[872][4]~39094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[872][4]~q\);

-- Location: LCCOMB_X45_Y36_N26
\led_flash_cnt[872][5]~39096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[872][5]~39096_combout\ = (\led_flash_cnt[872][5]~q\ & (\led_flash_cnt[872][4]~39095\ $ (GND))) # (!\led_flash_cnt[872][5]~q\ & (!\led_flash_cnt[872][4]~39095\ & VCC))
-- \led_flash_cnt[872][5]~39097\ = CARRY((\led_flash_cnt[872][5]~q\ & !\led_flash_cnt[872][4]~39095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[872][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[872][4]~39095\,
	combout => \led_flash_cnt[872][5]~39096_combout\,
	cout => \led_flash_cnt[872][5]~39097\);

-- Location: FF_X45_Y36_N27
\led_flash_cnt[872][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[872][5]~39096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[872][5]~q\);

-- Location: LCCOMB_X45_Y36_N28
\led_flash_cnt[872][6]~39098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[872][6]~39098_combout\ = (\led_flash_cnt[872][6]~q\ & (!\led_flash_cnt[872][5]~39097\)) # (!\led_flash_cnt[872][6]~q\ & ((\led_flash_cnt[872][5]~39097\) # (GND)))
-- \led_flash_cnt[872][6]~39099\ = CARRY((!\led_flash_cnt[872][5]~39097\) # (!\led_flash_cnt[872][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[872][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[872][5]~39097\,
	combout => \led_flash_cnt[872][6]~39098_combout\,
	cout => \led_flash_cnt[872][6]~39099\);

-- Location: FF_X45_Y36_N29
\led_flash_cnt[872][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[872][6]~39098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[872][6]~q\);

-- Location: LCCOMB_X45_Y36_N30
\led_flash_cnt[872][7]~39100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[872][7]~39100_combout\ = \led_flash_cnt[872][7]~q\ $ (!\led_flash_cnt[872][6]~39099\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[872][7]~q\,
	cin => \led_flash_cnt[872][6]~39099\,
	combout => \led_flash_cnt[872][7]~39100_combout\);

-- Location: FF_X45_Y36_N31
\led_flash_cnt[872][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[872][7]~39100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[872][7]~q\);

-- Location: LCCOMB_X45_Y36_N8
\WideAnd872~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd872~1_combout\ = (\led_flash_cnt[872][6]~q\ & \led_flash_cnt[872][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[872][6]~q\,
	datad => \led_flash_cnt[872][5]~q\,
	combout => \WideAnd872~1_combout\);

-- Location: LCCOMB_X45_Y36_N4
\WideAnd872~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd872~0_combout\ = (\led_flash_cnt[872][4]~q\ & (\led_flash_cnt[872][2]~q\ & (\led_flash_cnt[872][3]~q\ & \led_flash_cnt[872][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[872][4]~q\,
	datab => \led_flash_cnt[872][2]~q\,
	datac => \led_flash_cnt[872][3]~q\,
	datad => \led_flash_cnt[872][1]~q\,
	combout => \WideAnd872~0_combout\);

-- Location: LCCOMB_X45_Y36_N2
WideAnd872 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd872~combout\ = (\led_flash_cnt[872][7]~q\ & (\WideAnd872~1_combout\ & (\WideAnd872~0_combout\ & \led_flash_cnt[872][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[872][7]~q\,
	datab => \WideAnd872~1_combout\,
	datac => \WideAnd872~0_combout\,
	datad => \led_flash_cnt[872][0]~q\,
	combout => \WideAnd872~combout\);

-- Location: FF_X45_Y36_N3
\led_flash_cnt_ands[872]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd872~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(872));

-- Location: LCCOMB_X45_Y36_N16
\WideAnd3949~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3949~0_combout\ = (led_flash_cnt_ands(873) & (led_flash_cnt_ands(875) & (led_flash_cnt_ands(874) & led_flash_cnt_ands(872))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(873),
	datab => led_flash_cnt_ands(875),
	datac => led_flash_cnt_ands(874),
	datad => led_flash_cnt_ands(872),
	combout => \WideAnd3949~0_combout\);

-- Location: LCCOMB_X56_Y34_N6
\led_flash_cnt[878][0]~81518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[878][0]~81518_combout\ = !\led_flash_cnt[878][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[878][0]~q\,
	combout => \led_flash_cnt[878][0]~81518_combout\);

-- Location: FF_X56_Y34_N7
\led_flash_cnt[878][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[878][0]~81518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[878][0]~q\);

-- Location: LCCOMB_X57_Y34_N14
\led_flash_cnt[878][1]~39172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[878][1]~39172_combout\ = (\led_flash_cnt[878][0]~q\ & (\led_flash_cnt[878][1]~q\ $ (VCC))) # (!\led_flash_cnt[878][0]~q\ & (\led_flash_cnt[878][1]~q\ & VCC))
-- \led_flash_cnt[878][1]~39173\ = CARRY((\led_flash_cnt[878][0]~q\ & \led_flash_cnt[878][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[878][0]~q\,
	datab => \led_flash_cnt[878][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[878][1]~39172_combout\,
	cout => \led_flash_cnt[878][1]~39173\);

-- Location: FF_X57_Y34_N15
\led_flash_cnt[878][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[878][1]~39172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[878][1]~q\);

-- Location: LCCOMB_X57_Y34_N16
\led_flash_cnt[878][2]~39174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[878][2]~39174_combout\ = (\led_flash_cnt[878][2]~q\ & (!\led_flash_cnt[878][1]~39173\)) # (!\led_flash_cnt[878][2]~q\ & ((\led_flash_cnt[878][1]~39173\) # (GND)))
-- \led_flash_cnt[878][2]~39175\ = CARRY((!\led_flash_cnt[878][1]~39173\) # (!\led_flash_cnt[878][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[878][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[878][1]~39173\,
	combout => \led_flash_cnt[878][2]~39174_combout\,
	cout => \led_flash_cnt[878][2]~39175\);

-- Location: FF_X57_Y34_N17
\led_flash_cnt[878][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[878][2]~39174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[878][2]~q\);

-- Location: LCCOMB_X57_Y34_N18
\led_flash_cnt[878][3]~39176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[878][3]~39176_combout\ = (\led_flash_cnt[878][3]~q\ & (\led_flash_cnt[878][2]~39175\ $ (GND))) # (!\led_flash_cnt[878][3]~q\ & (!\led_flash_cnt[878][2]~39175\ & VCC))
-- \led_flash_cnt[878][3]~39177\ = CARRY((\led_flash_cnt[878][3]~q\ & !\led_flash_cnt[878][2]~39175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[878][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[878][2]~39175\,
	combout => \led_flash_cnt[878][3]~39176_combout\,
	cout => \led_flash_cnt[878][3]~39177\);

-- Location: FF_X57_Y34_N19
\led_flash_cnt[878][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[878][3]~39176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[878][3]~q\);

-- Location: LCCOMB_X57_Y34_N20
\led_flash_cnt[878][4]~39178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[878][4]~39178_combout\ = (\led_flash_cnt[878][4]~q\ & (!\led_flash_cnt[878][3]~39177\)) # (!\led_flash_cnt[878][4]~q\ & ((\led_flash_cnt[878][3]~39177\) # (GND)))
-- \led_flash_cnt[878][4]~39179\ = CARRY((!\led_flash_cnt[878][3]~39177\) # (!\led_flash_cnt[878][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[878][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[878][3]~39177\,
	combout => \led_flash_cnt[878][4]~39178_combout\,
	cout => \led_flash_cnt[878][4]~39179\);

-- Location: FF_X57_Y34_N21
\led_flash_cnt[878][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[878][4]~39178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[878][4]~q\);

-- Location: LCCOMB_X57_Y34_N28
\WideAnd878~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd878~0_combout\ = (\led_flash_cnt[878][4]~q\ & (\led_flash_cnt[878][3]~q\ & (\led_flash_cnt[878][1]~q\ & \led_flash_cnt[878][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[878][4]~q\,
	datab => \led_flash_cnt[878][3]~q\,
	datac => \led_flash_cnt[878][1]~q\,
	datad => \led_flash_cnt[878][2]~q\,
	combout => \WideAnd878~0_combout\);

-- Location: LCCOMB_X57_Y34_N22
\led_flash_cnt[878][5]~39180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[878][5]~39180_combout\ = (\led_flash_cnt[878][5]~q\ & (\led_flash_cnt[878][4]~39179\ $ (GND))) # (!\led_flash_cnt[878][5]~q\ & (!\led_flash_cnt[878][4]~39179\ & VCC))
-- \led_flash_cnt[878][5]~39181\ = CARRY((\led_flash_cnt[878][5]~q\ & !\led_flash_cnt[878][4]~39179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[878][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[878][4]~39179\,
	combout => \led_flash_cnt[878][5]~39180_combout\,
	cout => \led_flash_cnt[878][5]~39181\);

-- Location: FF_X57_Y34_N23
\led_flash_cnt[878][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[878][5]~39180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[878][5]~q\);

-- Location: LCCOMB_X57_Y34_N24
\led_flash_cnt[878][6]~39182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[878][6]~39182_combout\ = (\led_flash_cnt[878][6]~q\ & (!\led_flash_cnt[878][5]~39181\)) # (!\led_flash_cnt[878][6]~q\ & ((\led_flash_cnt[878][5]~39181\) # (GND)))
-- \led_flash_cnt[878][6]~39183\ = CARRY((!\led_flash_cnt[878][5]~39181\) # (!\led_flash_cnt[878][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[878][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[878][5]~39181\,
	combout => \led_flash_cnt[878][6]~39182_combout\,
	cout => \led_flash_cnt[878][6]~39183\);

-- Location: FF_X57_Y34_N25
\led_flash_cnt[878][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[878][6]~39182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[878][6]~q\);

-- Location: LCCOMB_X56_Y34_N4
\WideAnd878~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd878~1_combout\ = (\led_flash_cnt[878][6]~q\ & \led_flash_cnt[878][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[878][6]~q\,
	datad => \led_flash_cnt[878][5]~q\,
	combout => \WideAnd878~1_combout\);

-- Location: LCCOMB_X57_Y34_N26
\led_flash_cnt[878][7]~39184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[878][7]~39184_combout\ = \led_flash_cnt[878][7]~q\ $ (!\led_flash_cnt[878][6]~39183\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[878][7]~q\,
	cin => \led_flash_cnt[878][6]~39183\,
	combout => \led_flash_cnt[878][7]~39184_combout\);

-- Location: FF_X57_Y34_N27
\led_flash_cnt[878][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[878][7]~39184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[878][7]~q\);

-- Location: LCCOMB_X56_Y34_N30
WideAnd878 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd878~combout\ = (\led_flash_cnt[878][0]~q\ & (\WideAnd878~0_combout\ & (\WideAnd878~1_combout\ & \led_flash_cnt[878][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[878][0]~q\,
	datab => \WideAnd878~0_combout\,
	datac => \WideAnd878~1_combout\,
	datad => \led_flash_cnt[878][7]~q\,
	combout => \WideAnd878~combout\);

-- Location: FF_X56_Y34_N31
\led_flash_cnt_ands[878]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd878~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(878));

-- Location: LCCOMB_X32_Y35_N6
\led_flash_cnt[876][0]~81516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[876][0]~81516_combout\ = !\led_flash_cnt[876][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[876][0]~q\,
	combout => \led_flash_cnt[876][0]~81516_combout\);

-- Location: FF_X32_Y35_N7
\led_flash_cnt[876][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[876][0]~81516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[876][0]~q\);

-- Location: LCCOMB_X31_Y35_N2
\led_flash_cnt[876][1]~39144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[876][1]~39144_combout\ = (\led_flash_cnt[876][0]~q\ & (\led_flash_cnt[876][1]~q\ $ (VCC))) # (!\led_flash_cnt[876][0]~q\ & (\led_flash_cnt[876][1]~q\ & VCC))
-- \led_flash_cnt[876][1]~39145\ = CARRY((\led_flash_cnt[876][0]~q\ & \led_flash_cnt[876][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[876][0]~q\,
	datab => \led_flash_cnt[876][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[876][1]~39144_combout\,
	cout => \led_flash_cnt[876][1]~39145\);

-- Location: FF_X31_Y35_N3
\led_flash_cnt[876][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[876][1]~39144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[876][1]~q\);

-- Location: LCCOMB_X31_Y35_N4
\led_flash_cnt[876][2]~39146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[876][2]~39146_combout\ = (\led_flash_cnt[876][2]~q\ & (!\led_flash_cnt[876][1]~39145\)) # (!\led_flash_cnt[876][2]~q\ & ((\led_flash_cnt[876][1]~39145\) # (GND)))
-- \led_flash_cnt[876][2]~39147\ = CARRY((!\led_flash_cnt[876][1]~39145\) # (!\led_flash_cnt[876][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[876][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[876][1]~39145\,
	combout => \led_flash_cnt[876][2]~39146_combout\,
	cout => \led_flash_cnt[876][2]~39147\);

-- Location: FF_X31_Y35_N5
\led_flash_cnt[876][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[876][2]~39146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[876][2]~q\);

-- Location: LCCOMB_X31_Y35_N6
\led_flash_cnt[876][3]~39148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[876][3]~39148_combout\ = (\led_flash_cnt[876][3]~q\ & (\led_flash_cnt[876][2]~39147\ $ (GND))) # (!\led_flash_cnt[876][3]~q\ & (!\led_flash_cnt[876][2]~39147\ & VCC))
-- \led_flash_cnt[876][3]~39149\ = CARRY((\led_flash_cnt[876][3]~q\ & !\led_flash_cnt[876][2]~39147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[876][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[876][2]~39147\,
	combout => \led_flash_cnt[876][3]~39148_combout\,
	cout => \led_flash_cnt[876][3]~39149\);

-- Location: FF_X31_Y35_N7
\led_flash_cnt[876][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[876][3]~39148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[876][3]~q\);

-- Location: LCCOMB_X31_Y35_N8
\led_flash_cnt[876][4]~39150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[876][4]~39150_combout\ = (\led_flash_cnt[876][4]~q\ & (!\led_flash_cnt[876][3]~39149\)) # (!\led_flash_cnt[876][4]~q\ & ((\led_flash_cnt[876][3]~39149\) # (GND)))
-- \led_flash_cnt[876][4]~39151\ = CARRY((!\led_flash_cnt[876][3]~39149\) # (!\led_flash_cnt[876][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[876][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[876][3]~39149\,
	combout => \led_flash_cnt[876][4]~39150_combout\,
	cout => \led_flash_cnt[876][4]~39151\);

-- Location: FF_X31_Y35_N9
\led_flash_cnt[876][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[876][4]~39150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[876][4]~q\);

-- Location: LCCOMB_X31_Y35_N10
\led_flash_cnt[876][5]~39152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[876][5]~39152_combout\ = (\led_flash_cnt[876][5]~q\ & (\led_flash_cnt[876][4]~39151\ $ (GND))) # (!\led_flash_cnt[876][5]~q\ & (!\led_flash_cnt[876][4]~39151\ & VCC))
-- \led_flash_cnt[876][5]~39153\ = CARRY((\led_flash_cnt[876][5]~q\ & !\led_flash_cnt[876][4]~39151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[876][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[876][4]~39151\,
	combout => \led_flash_cnt[876][5]~39152_combout\,
	cout => \led_flash_cnt[876][5]~39153\);

-- Location: FF_X31_Y35_N11
\led_flash_cnt[876][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[876][5]~39152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[876][5]~q\);

-- Location: LCCOMB_X31_Y35_N12
\led_flash_cnt[876][6]~39154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[876][6]~39154_combout\ = (\led_flash_cnt[876][6]~q\ & (!\led_flash_cnt[876][5]~39153\)) # (!\led_flash_cnt[876][6]~q\ & ((\led_flash_cnt[876][5]~39153\) # (GND)))
-- \led_flash_cnt[876][6]~39155\ = CARRY((!\led_flash_cnt[876][5]~39153\) # (!\led_flash_cnt[876][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[876][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[876][5]~39153\,
	combout => \led_flash_cnt[876][6]~39154_combout\,
	cout => \led_flash_cnt[876][6]~39155\);

-- Location: FF_X31_Y35_N13
\led_flash_cnt[876][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[876][6]~39154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[876][6]~q\);

-- Location: LCCOMB_X31_Y35_N14
\led_flash_cnt[876][7]~39156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[876][7]~39156_combout\ = \led_flash_cnt[876][7]~q\ $ (!\led_flash_cnt[876][6]~39155\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[876][7]~q\,
	cin => \led_flash_cnt[876][6]~39155\,
	combout => \led_flash_cnt[876][7]~39156_combout\);

-- Location: FF_X31_Y35_N15
\led_flash_cnt[876][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[876][7]~39156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[876][7]~q\);

-- Location: LCCOMB_X32_Y35_N14
\WideAnd876~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd876~1_combout\ = (\led_flash_cnt[876][6]~q\ & \led_flash_cnt[876][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[876][6]~q\,
	datad => \led_flash_cnt[876][5]~q\,
	combout => \WideAnd876~1_combout\);

-- Location: LCCOMB_X30_Y35_N28
\WideAnd876~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd876~0_combout\ = (\led_flash_cnt[876][2]~q\ & (\led_flash_cnt[876][1]~q\ & (\led_flash_cnt[876][4]~q\ & \led_flash_cnt[876][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[876][2]~q\,
	datab => \led_flash_cnt[876][1]~q\,
	datac => \led_flash_cnt[876][4]~q\,
	datad => \led_flash_cnt[876][3]~q\,
	combout => \WideAnd876~0_combout\);

-- Location: LCCOMB_X31_Y35_N0
WideAnd876 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd876~combout\ = (\led_flash_cnt[876][0]~q\ & (\led_flash_cnt[876][7]~q\ & (\WideAnd876~1_combout\ & \WideAnd876~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[876][0]~q\,
	datab => \led_flash_cnt[876][7]~q\,
	datac => \WideAnd876~1_combout\,
	datad => \WideAnd876~0_combout\,
	combout => \WideAnd876~combout\);

-- Location: FF_X31_Y35_N1
\led_flash_cnt_ands[876]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd876~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(876));

-- Location: LCCOMB_X47_Y33_N22
\led_flash_cnt[877][0]~81517\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[877][0]~81517_combout\ = !\led_flash_cnt[877][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[877][0]~q\,
	combout => \led_flash_cnt[877][0]~81517_combout\);

-- Location: FF_X47_Y33_N23
\led_flash_cnt[877][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[877][0]~81517_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[877][0]~q\);

-- Location: LCCOMB_X47_Y33_N8
\led_flash_cnt[877][1]~39158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[877][1]~39158_combout\ = (\led_flash_cnt[877][0]~q\ & (\led_flash_cnt[877][1]~q\ $ (VCC))) # (!\led_flash_cnt[877][0]~q\ & (\led_flash_cnt[877][1]~q\ & VCC))
-- \led_flash_cnt[877][1]~39159\ = CARRY((\led_flash_cnt[877][0]~q\ & \led_flash_cnt[877][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[877][0]~q\,
	datab => \led_flash_cnt[877][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[877][1]~39158_combout\,
	cout => \led_flash_cnt[877][1]~39159\);

-- Location: FF_X47_Y33_N9
\led_flash_cnt[877][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[877][1]~39158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[877][1]~q\);

-- Location: LCCOMB_X47_Y33_N10
\led_flash_cnt[877][2]~39160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[877][2]~39160_combout\ = (\led_flash_cnt[877][2]~q\ & (!\led_flash_cnt[877][1]~39159\)) # (!\led_flash_cnt[877][2]~q\ & ((\led_flash_cnt[877][1]~39159\) # (GND)))
-- \led_flash_cnt[877][2]~39161\ = CARRY((!\led_flash_cnt[877][1]~39159\) # (!\led_flash_cnt[877][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[877][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[877][1]~39159\,
	combout => \led_flash_cnt[877][2]~39160_combout\,
	cout => \led_flash_cnt[877][2]~39161\);

-- Location: FF_X47_Y33_N11
\led_flash_cnt[877][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[877][2]~39160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[877][2]~q\);

-- Location: LCCOMB_X47_Y33_N12
\led_flash_cnt[877][3]~39162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[877][3]~39162_combout\ = (\led_flash_cnt[877][3]~q\ & (\led_flash_cnt[877][2]~39161\ $ (GND))) # (!\led_flash_cnt[877][3]~q\ & (!\led_flash_cnt[877][2]~39161\ & VCC))
-- \led_flash_cnt[877][3]~39163\ = CARRY((\led_flash_cnt[877][3]~q\ & !\led_flash_cnt[877][2]~39161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[877][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[877][2]~39161\,
	combout => \led_flash_cnt[877][3]~39162_combout\,
	cout => \led_flash_cnt[877][3]~39163\);

-- Location: FF_X47_Y33_N13
\led_flash_cnt[877][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[877][3]~39162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[877][3]~q\);

-- Location: LCCOMB_X47_Y33_N14
\led_flash_cnt[877][4]~39164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[877][4]~39164_combout\ = (\led_flash_cnt[877][4]~q\ & (!\led_flash_cnt[877][3]~39163\)) # (!\led_flash_cnt[877][4]~q\ & ((\led_flash_cnt[877][3]~39163\) # (GND)))
-- \led_flash_cnt[877][4]~39165\ = CARRY((!\led_flash_cnt[877][3]~39163\) # (!\led_flash_cnt[877][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[877][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[877][3]~39163\,
	combout => \led_flash_cnt[877][4]~39164_combout\,
	cout => \led_flash_cnt[877][4]~39165\);

-- Location: FF_X47_Y33_N15
\led_flash_cnt[877][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[877][4]~39164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[877][4]~q\);

-- Location: LCCOMB_X47_Y33_N16
\led_flash_cnt[877][5]~39166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[877][5]~39166_combout\ = (\led_flash_cnt[877][5]~q\ & (\led_flash_cnt[877][4]~39165\ $ (GND))) # (!\led_flash_cnt[877][5]~q\ & (!\led_flash_cnt[877][4]~39165\ & VCC))
-- \led_flash_cnt[877][5]~39167\ = CARRY((\led_flash_cnt[877][5]~q\ & !\led_flash_cnt[877][4]~39165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[877][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[877][4]~39165\,
	combout => \led_flash_cnt[877][5]~39166_combout\,
	cout => \led_flash_cnt[877][5]~39167\);

-- Location: FF_X47_Y33_N17
\led_flash_cnt[877][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[877][5]~39166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[877][5]~q\);

-- Location: LCCOMB_X47_Y33_N18
\led_flash_cnt[877][6]~39168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[877][6]~39168_combout\ = (\led_flash_cnt[877][6]~q\ & (!\led_flash_cnt[877][5]~39167\)) # (!\led_flash_cnt[877][6]~q\ & ((\led_flash_cnt[877][5]~39167\) # (GND)))
-- \led_flash_cnt[877][6]~39169\ = CARRY((!\led_flash_cnt[877][5]~39167\) # (!\led_flash_cnt[877][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[877][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[877][5]~39167\,
	combout => \led_flash_cnt[877][6]~39168_combout\,
	cout => \led_flash_cnt[877][6]~39169\);

-- Location: FF_X47_Y33_N19
\led_flash_cnt[877][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[877][6]~39168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[877][6]~q\);

-- Location: LCCOMB_X47_Y33_N20
\led_flash_cnt[877][7]~39170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[877][7]~39170_combout\ = \led_flash_cnt[877][6]~39169\ $ (!\led_flash_cnt[877][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[877][7]~q\,
	cin => \led_flash_cnt[877][6]~39169\,
	combout => \led_flash_cnt[877][7]~39170_combout\);

-- Location: FF_X47_Y33_N21
\led_flash_cnt[877][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[877][7]~39170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[877][7]~q\);

-- Location: LCCOMB_X47_Y33_N26
\WideAnd877~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd877~0_combout\ = (\led_flash_cnt[877][3]~q\ & (\led_flash_cnt[877][1]~q\ & (\led_flash_cnt[877][4]~q\ & \led_flash_cnt[877][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[877][3]~q\,
	datab => \led_flash_cnt[877][1]~q\,
	datac => \led_flash_cnt[877][4]~q\,
	datad => \led_flash_cnt[877][2]~q\,
	combout => \WideAnd877~0_combout\);

-- Location: LCCOMB_X47_Y33_N0
\WideAnd877~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd877~1_combout\ = (\led_flash_cnt[877][6]~q\ & \led_flash_cnt[877][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[877][6]~q\,
	datad => \led_flash_cnt[877][5]~q\,
	combout => \WideAnd877~1_combout\);

-- Location: LCCOMB_X47_Y33_N2
WideAnd877 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd877~combout\ = (\led_flash_cnt[877][0]~q\ & (\led_flash_cnt[877][7]~q\ & (\WideAnd877~0_combout\ & \WideAnd877~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[877][0]~q\,
	datab => \led_flash_cnt[877][7]~q\,
	datac => \WideAnd877~0_combout\,
	datad => \WideAnd877~1_combout\,
	combout => \WideAnd877~combout\);

-- Location: FF_X47_Y33_N3
\led_flash_cnt_ands[877]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd877~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(877));

-- Location: LCCOMB_X47_Y33_N28
\WideAnd3949~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3949~1_combout\ = (led_flash_cnt_ands(876) & led_flash_cnt_ands(877))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(876),
	datad => led_flash_cnt_ands(877),
	combout => \WideAnd3949~1_combout\);

-- Location: LCCOMB_X47_Y33_N24
WideAnd3949 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3949~combout\ = (led_flash_cnt_ands(879) & (\WideAnd3949~0_combout\ & (led_flash_cnt_ands(878) & \WideAnd3949~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(879),
	datab => \WideAnd3949~0_combout\,
	datac => led_flash_cnt_ands(878),
	datad => \WideAnd3949~1_combout\,
	combout => \WideAnd3949~combout\);

-- Location: FF_X47_Y33_N25
\led_flash_cnt_ands_1[109]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3949~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(109));

-- Location: LCCOMB_X47_Y33_N6
\WideAnd4333~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4333~1_combout\ = (led_flash_cnt_ands_1(108) & led_flash_cnt_ands_1(109))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands_1(108),
	datad => led_flash_cnt_ands_1(109),
	combout => \WideAnd4333~1_combout\);

-- Location: LCCOMB_X71_Y36_N2
\led_flash_cnt[851][0]~81491\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[851][0]~81491_combout\ = !\led_flash_cnt[851][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[851][0]~q\,
	combout => \led_flash_cnt[851][0]~81491_combout\);

-- Location: FF_X71_Y36_N3
\led_flash_cnt[851][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[851][0]~81491_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[851][0]~q\);

-- Location: LCCOMB_X70_Y36_N2
\led_flash_cnt[851][1]~38794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[851][1]~38794_combout\ = (\led_flash_cnt[851][0]~q\ & (\led_flash_cnt[851][1]~q\ $ (VCC))) # (!\led_flash_cnt[851][0]~q\ & (\led_flash_cnt[851][1]~q\ & VCC))
-- \led_flash_cnt[851][1]~38795\ = CARRY((\led_flash_cnt[851][0]~q\ & \led_flash_cnt[851][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[851][0]~q\,
	datab => \led_flash_cnt[851][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[851][1]~38794_combout\,
	cout => \led_flash_cnt[851][1]~38795\);

-- Location: FF_X70_Y36_N3
\led_flash_cnt[851][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[851][1]~38794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[851][1]~q\);

-- Location: LCCOMB_X70_Y36_N4
\led_flash_cnt[851][2]~38796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[851][2]~38796_combout\ = (\led_flash_cnt[851][2]~q\ & (!\led_flash_cnt[851][1]~38795\)) # (!\led_flash_cnt[851][2]~q\ & ((\led_flash_cnt[851][1]~38795\) # (GND)))
-- \led_flash_cnt[851][2]~38797\ = CARRY((!\led_flash_cnt[851][1]~38795\) # (!\led_flash_cnt[851][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[851][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[851][1]~38795\,
	combout => \led_flash_cnt[851][2]~38796_combout\,
	cout => \led_flash_cnt[851][2]~38797\);

-- Location: FF_X70_Y36_N5
\led_flash_cnt[851][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[851][2]~38796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[851][2]~q\);

-- Location: LCCOMB_X70_Y36_N6
\led_flash_cnt[851][3]~38798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[851][3]~38798_combout\ = (\led_flash_cnt[851][3]~q\ & (\led_flash_cnt[851][2]~38797\ $ (GND))) # (!\led_flash_cnt[851][3]~q\ & (!\led_flash_cnt[851][2]~38797\ & VCC))
-- \led_flash_cnt[851][3]~38799\ = CARRY((\led_flash_cnt[851][3]~q\ & !\led_flash_cnt[851][2]~38797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[851][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[851][2]~38797\,
	combout => \led_flash_cnt[851][3]~38798_combout\,
	cout => \led_flash_cnt[851][3]~38799\);

-- Location: FF_X70_Y36_N7
\led_flash_cnt[851][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[851][3]~38798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[851][3]~q\);

-- Location: LCCOMB_X70_Y36_N8
\led_flash_cnt[851][4]~38800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[851][4]~38800_combout\ = (\led_flash_cnt[851][4]~q\ & (!\led_flash_cnt[851][3]~38799\)) # (!\led_flash_cnt[851][4]~q\ & ((\led_flash_cnt[851][3]~38799\) # (GND)))
-- \led_flash_cnt[851][4]~38801\ = CARRY((!\led_flash_cnt[851][3]~38799\) # (!\led_flash_cnt[851][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[851][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[851][3]~38799\,
	combout => \led_flash_cnt[851][4]~38800_combout\,
	cout => \led_flash_cnt[851][4]~38801\);

-- Location: FF_X70_Y36_N9
\led_flash_cnt[851][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[851][4]~38800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[851][4]~q\);

-- Location: LCCOMB_X70_Y36_N10
\led_flash_cnt[851][5]~38802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[851][5]~38802_combout\ = (\led_flash_cnt[851][5]~q\ & (\led_flash_cnt[851][4]~38801\ $ (GND))) # (!\led_flash_cnt[851][5]~q\ & (!\led_flash_cnt[851][4]~38801\ & VCC))
-- \led_flash_cnt[851][5]~38803\ = CARRY((\led_flash_cnt[851][5]~q\ & !\led_flash_cnt[851][4]~38801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[851][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[851][4]~38801\,
	combout => \led_flash_cnt[851][5]~38802_combout\,
	cout => \led_flash_cnt[851][5]~38803\);

-- Location: FF_X70_Y36_N11
\led_flash_cnt[851][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[851][5]~38802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[851][5]~q\);

-- Location: LCCOMB_X70_Y36_N12
\led_flash_cnt[851][6]~38804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[851][6]~38804_combout\ = (\led_flash_cnt[851][6]~q\ & (!\led_flash_cnt[851][5]~38803\)) # (!\led_flash_cnt[851][6]~q\ & ((\led_flash_cnt[851][5]~38803\) # (GND)))
-- \led_flash_cnt[851][6]~38805\ = CARRY((!\led_flash_cnt[851][5]~38803\) # (!\led_flash_cnt[851][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[851][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[851][5]~38803\,
	combout => \led_flash_cnt[851][6]~38804_combout\,
	cout => \led_flash_cnt[851][6]~38805\);

-- Location: FF_X70_Y36_N13
\led_flash_cnt[851][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[851][6]~38804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[851][6]~q\);

-- Location: LCCOMB_X70_Y36_N14
\led_flash_cnt[851][7]~38806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[851][7]~38806_combout\ = \led_flash_cnt[851][7]~q\ $ (!\led_flash_cnt[851][6]~38805\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[851][7]~q\,
	cin => \led_flash_cnt[851][6]~38805\,
	combout => \led_flash_cnt[851][7]~38806_combout\);

-- Location: FF_X70_Y36_N15
\led_flash_cnt[851][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[851][7]~38806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[851][7]~q\);

-- Location: LCCOMB_X70_Y36_N30
\WideAnd851~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd851~0_combout\ = (\led_flash_cnt[851][3]~q\ & (\led_flash_cnt[851][4]~q\ & (\led_flash_cnt[851][2]~q\ & \led_flash_cnt[851][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[851][3]~q\,
	datab => \led_flash_cnt[851][4]~q\,
	datac => \led_flash_cnt[851][2]~q\,
	datad => \led_flash_cnt[851][1]~q\,
	combout => \WideAnd851~0_combout\);

-- Location: LCCOMB_X71_Y36_N8
\WideAnd851~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd851~1_combout\ = (\led_flash_cnt[851][6]~q\ & \led_flash_cnt[851][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[851][6]~q\,
	datad => \led_flash_cnt[851][5]~q\,
	combout => \WideAnd851~1_combout\);

-- Location: LCCOMB_X71_Y36_N26
WideAnd851 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd851~combout\ = (\led_flash_cnt[851][7]~q\ & (\WideAnd851~0_combout\ & (\WideAnd851~1_combout\ & \led_flash_cnt[851][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[851][7]~q\,
	datab => \WideAnd851~0_combout\,
	datac => \WideAnd851~1_combout\,
	datad => \led_flash_cnt[851][0]~q\,
	combout => \WideAnd851~combout\);

-- Location: FF_X71_Y36_N27
\led_flash_cnt_ands[851]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd851~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(851));

-- Location: LCCOMB_X71_Y36_N28
\led_flash_cnt[850][0]~81490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[850][0]~81490_combout\ = !\led_flash_cnt[850][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[850][0]~q\,
	combout => \led_flash_cnt[850][0]~81490_combout\);

-- Location: FF_X71_Y36_N29
\led_flash_cnt[850][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[850][0]~81490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[850][0]~q\);

-- Location: LCCOMB_X71_Y36_N12
\led_flash_cnt[850][1]~38780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[850][1]~38780_combout\ = (\led_flash_cnt[850][1]~q\ & (\led_flash_cnt[850][0]~q\ $ (VCC))) # (!\led_flash_cnt[850][1]~q\ & (\led_flash_cnt[850][0]~q\ & VCC))
-- \led_flash_cnt[850][1]~38781\ = CARRY((\led_flash_cnt[850][1]~q\ & \led_flash_cnt[850][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[850][1]~q\,
	datab => \led_flash_cnt[850][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[850][1]~38780_combout\,
	cout => \led_flash_cnt[850][1]~38781\);

-- Location: FF_X71_Y36_N13
\led_flash_cnt[850][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[850][1]~38780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[850][1]~q\);

-- Location: LCCOMB_X71_Y36_N14
\led_flash_cnt[850][2]~38782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[850][2]~38782_combout\ = (\led_flash_cnt[850][2]~q\ & (!\led_flash_cnt[850][1]~38781\)) # (!\led_flash_cnt[850][2]~q\ & ((\led_flash_cnt[850][1]~38781\) # (GND)))
-- \led_flash_cnt[850][2]~38783\ = CARRY((!\led_flash_cnt[850][1]~38781\) # (!\led_flash_cnt[850][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[850][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[850][1]~38781\,
	combout => \led_flash_cnt[850][2]~38782_combout\,
	cout => \led_flash_cnt[850][2]~38783\);

-- Location: FF_X71_Y36_N15
\led_flash_cnt[850][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[850][2]~38782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[850][2]~q\);

-- Location: LCCOMB_X71_Y36_N16
\led_flash_cnt[850][3]~38784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[850][3]~38784_combout\ = (\led_flash_cnt[850][3]~q\ & (\led_flash_cnt[850][2]~38783\ $ (GND))) # (!\led_flash_cnt[850][3]~q\ & (!\led_flash_cnt[850][2]~38783\ & VCC))
-- \led_flash_cnt[850][3]~38785\ = CARRY((\led_flash_cnt[850][3]~q\ & !\led_flash_cnt[850][2]~38783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[850][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[850][2]~38783\,
	combout => \led_flash_cnt[850][3]~38784_combout\,
	cout => \led_flash_cnt[850][3]~38785\);

-- Location: FF_X71_Y36_N17
\led_flash_cnt[850][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[850][3]~38784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[850][3]~q\);

-- Location: LCCOMB_X71_Y36_N18
\led_flash_cnt[850][4]~38786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[850][4]~38786_combout\ = (\led_flash_cnt[850][4]~q\ & (!\led_flash_cnt[850][3]~38785\)) # (!\led_flash_cnt[850][4]~q\ & ((\led_flash_cnt[850][3]~38785\) # (GND)))
-- \led_flash_cnt[850][4]~38787\ = CARRY((!\led_flash_cnt[850][3]~38785\) # (!\led_flash_cnt[850][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[850][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[850][3]~38785\,
	combout => \led_flash_cnt[850][4]~38786_combout\,
	cout => \led_flash_cnt[850][4]~38787\);

-- Location: FF_X71_Y36_N19
\led_flash_cnt[850][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[850][4]~38786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[850][4]~q\);

-- Location: LCCOMB_X71_Y36_N10
\WideAnd850~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd850~0_combout\ = (\led_flash_cnt[850][1]~q\ & (\led_flash_cnt[850][4]~q\ & (\led_flash_cnt[850][2]~q\ & \led_flash_cnt[850][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[850][1]~q\,
	datab => \led_flash_cnt[850][4]~q\,
	datac => \led_flash_cnt[850][2]~q\,
	datad => \led_flash_cnt[850][3]~q\,
	combout => \WideAnd850~0_combout\);

-- Location: LCCOMB_X71_Y36_N20
\led_flash_cnt[850][5]~38788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[850][5]~38788_combout\ = (\led_flash_cnt[850][5]~q\ & (\led_flash_cnt[850][4]~38787\ $ (GND))) # (!\led_flash_cnt[850][5]~q\ & (!\led_flash_cnt[850][4]~38787\ & VCC))
-- \led_flash_cnt[850][5]~38789\ = CARRY((\led_flash_cnt[850][5]~q\ & !\led_flash_cnt[850][4]~38787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[850][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[850][4]~38787\,
	combout => \led_flash_cnt[850][5]~38788_combout\,
	cout => \led_flash_cnt[850][5]~38789\);

-- Location: FF_X71_Y36_N21
\led_flash_cnt[850][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[850][5]~38788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[850][5]~q\);

-- Location: LCCOMB_X71_Y36_N22
\led_flash_cnt[850][6]~38790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[850][6]~38790_combout\ = (\led_flash_cnt[850][6]~q\ & (!\led_flash_cnt[850][5]~38789\)) # (!\led_flash_cnt[850][6]~q\ & ((\led_flash_cnt[850][5]~38789\) # (GND)))
-- \led_flash_cnt[850][6]~38791\ = CARRY((!\led_flash_cnt[850][5]~38789\) # (!\led_flash_cnt[850][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[850][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[850][5]~38789\,
	combout => \led_flash_cnt[850][6]~38790_combout\,
	cout => \led_flash_cnt[850][6]~38791\);

-- Location: FF_X71_Y36_N23
\led_flash_cnt[850][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[850][6]~38790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[850][6]~q\);

-- Location: LCCOMB_X71_Y36_N24
\led_flash_cnt[850][7]~38792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[850][7]~38792_combout\ = \led_flash_cnt[850][6]~38791\ $ (!\led_flash_cnt[850][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[850][7]~q\,
	cin => \led_flash_cnt[850][6]~38791\,
	combout => \led_flash_cnt[850][7]~38792_combout\);

-- Location: FF_X71_Y36_N25
\led_flash_cnt[850][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[850][7]~38792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[850][7]~q\);

-- Location: LCCOMB_X71_Y36_N4
\WideAnd850~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd850~1_combout\ = (\led_flash_cnt[850][6]~q\ & \led_flash_cnt[850][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[850][6]~q\,
	datad => \led_flash_cnt[850][5]~q\,
	combout => \WideAnd850~1_combout\);

-- Location: LCCOMB_X71_Y36_N30
WideAnd850 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd850~combout\ = (\WideAnd850~0_combout\ & (\led_flash_cnt[850][7]~q\ & (\WideAnd850~1_combout\ & \led_flash_cnt[850][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd850~0_combout\,
	datab => \led_flash_cnt[850][7]~q\,
	datac => \WideAnd850~1_combout\,
	datad => \led_flash_cnt[850][0]~q\,
	combout => \WideAnd850~combout\);

-- Location: FF_X71_Y36_N31
\led_flash_cnt_ands[850]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd850~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(850));

-- Location: LCCOMB_X77_Y36_N10
\led_flash_cnt[848][0]~81488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[848][0]~81488_combout\ = !\led_flash_cnt[848][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[848][0]~q\,
	combout => \led_flash_cnt[848][0]~81488_combout\);

-- Location: FF_X77_Y36_N11
\led_flash_cnt[848][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[848][0]~81488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[848][0]~q\);

-- Location: LCCOMB_X77_Y36_N16
\led_flash_cnt[848][1]~38752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[848][1]~38752_combout\ = (\led_flash_cnt[848][0]~q\ & (\led_flash_cnt[848][1]~q\ $ (VCC))) # (!\led_flash_cnt[848][0]~q\ & (\led_flash_cnt[848][1]~q\ & VCC))
-- \led_flash_cnt[848][1]~38753\ = CARRY((\led_flash_cnt[848][0]~q\ & \led_flash_cnt[848][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[848][0]~q\,
	datab => \led_flash_cnt[848][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[848][1]~38752_combout\,
	cout => \led_flash_cnt[848][1]~38753\);

-- Location: FF_X77_Y36_N17
\led_flash_cnt[848][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[848][1]~38752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[848][1]~q\);

-- Location: LCCOMB_X77_Y36_N18
\led_flash_cnt[848][2]~38754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[848][2]~38754_combout\ = (\led_flash_cnt[848][2]~q\ & (!\led_flash_cnt[848][1]~38753\)) # (!\led_flash_cnt[848][2]~q\ & ((\led_flash_cnt[848][1]~38753\) # (GND)))
-- \led_flash_cnt[848][2]~38755\ = CARRY((!\led_flash_cnt[848][1]~38753\) # (!\led_flash_cnt[848][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[848][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[848][1]~38753\,
	combout => \led_flash_cnt[848][2]~38754_combout\,
	cout => \led_flash_cnt[848][2]~38755\);

-- Location: FF_X77_Y36_N19
\led_flash_cnt[848][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[848][2]~38754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[848][2]~q\);

-- Location: LCCOMB_X77_Y36_N20
\led_flash_cnt[848][3]~38756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[848][3]~38756_combout\ = (\led_flash_cnt[848][3]~q\ & (\led_flash_cnt[848][2]~38755\ $ (GND))) # (!\led_flash_cnt[848][3]~q\ & (!\led_flash_cnt[848][2]~38755\ & VCC))
-- \led_flash_cnt[848][3]~38757\ = CARRY((\led_flash_cnt[848][3]~q\ & !\led_flash_cnt[848][2]~38755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[848][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[848][2]~38755\,
	combout => \led_flash_cnt[848][3]~38756_combout\,
	cout => \led_flash_cnt[848][3]~38757\);

-- Location: FF_X77_Y36_N21
\led_flash_cnt[848][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[848][3]~38756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[848][3]~q\);

-- Location: LCCOMB_X77_Y36_N22
\led_flash_cnt[848][4]~38758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[848][4]~38758_combout\ = (\led_flash_cnt[848][4]~q\ & (!\led_flash_cnt[848][3]~38757\)) # (!\led_flash_cnt[848][4]~q\ & ((\led_flash_cnt[848][3]~38757\) # (GND)))
-- \led_flash_cnt[848][4]~38759\ = CARRY((!\led_flash_cnt[848][3]~38757\) # (!\led_flash_cnt[848][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[848][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[848][3]~38757\,
	combout => \led_flash_cnt[848][4]~38758_combout\,
	cout => \led_flash_cnt[848][4]~38759\);

-- Location: FF_X77_Y36_N23
\led_flash_cnt[848][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[848][4]~38758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[848][4]~q\);

-- Location: LCCOMB_X77_Y36_N24
\led_flash_cnt[848][5]~38760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[848][5]~38760_combout\ = (\led_flash_cnt[848][5]~q\ & (\led_flash_cnt[848][4]~38759\ $ (GND))) # (!\led_flash_cnt[848][5]~q\ & (!\led_flash_cnt[848][4]~38759\ & VCC))
-- \led_flash_cnt[848][5]~38761\ = CARRY((\led_flash_cnt[848][5]~q\ & !\led_flash_cnt[848][4]~38759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[848][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[848][4]~38759\,
	combout => \led_flash_cnt[848][5]~38760_combout\,
	cout => \led_flash_cnt[848][5]~38761\);

-- Location: FF_X77_Y36_N25
\led_flash_cnt[848][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[848][5]~38760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[848][5]~q\);

-- Location: LCCOMB_X77_Y36_N26
\led_flash_cnt[848][6]~38762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[848][6]~38762_combout\ = (\led_flash_cnt[848][6]~q\ & (!\led_flash_cnt[848][5]~38761\)) # (!\led_flash_cnt[848][6]~q\ & ((\led_flash_cnt[848][5]~38761\) # (GND)))
-- \led_flash_cnt[848][6]~38763\ = CARRY((!\led_flash_cnt[848][5]~38761\) # (!\led_flash_cnt[848][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[848][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[848][5]~38761\,
	combout => \led_flash_cnt[848][6]~38762_combout\,
	cout => \led_flash_cnt[848][6]~38763\);

-- Location: FF_X77_Y36_N27
\led_flash_cnt[848][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[848][6]~38762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[848][6]~q\);

-- Location: LCCOMB_X77_Y36_N28
\led_flash_cnt[848][7]~38764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[848][7]~38764_combout\ = \led_flash_cnt[848][6]~38763\ $ (!\led_flash_cnt[848][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[848][7]~q\,
	cin => \led_flash_cnt[848][6]~38763\,
	combout => \led_flash_cnt[848][7]~38764_combout\);

-- Location: FF_X77_Y36_N29
\led_flash_cnt[848][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[848][7]~38764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[848][7]~q\);

-- Location: LCCOMB_X77_Y36_N4
\WideAnd848~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd848~1_combout\ = (\led_flash_cnt[848][6]~q\ & \led_flash_cnt[848][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[848][6]~q\,
	datad => \led_flash_cnt[848][5]~q\,
	combout => \WideAnd848~1_combout\);

-- Location: LCCOMB_X77_Y36_N12
\WideAnd848~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd848~0_combout\ = (\led_flash_cnt[848][3]~q\ & (\led_flash_cnt[848][2]~q\ & (\led_flash_cnt[848][4]~q\ & \led_flash_cnt[848][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[848][3]~q\,
	datab => \led_flash_cnt[848][2]~q\,
	datac => \led_flash_cnt[848][4]~q\,
	datad => \led_flash_cnt[848][1]~q\,
	combout => \WideAnd848~0_combout\);

-- Location: LCCOMB_X77_Y36_N8
WideAnd848 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd848~combout\ = (\led_flash_cnt[848][0]~q\ & (\led_flash_cnt[848][7]~q\ & (\WideAnd848~1_combout\ & \WideAnd848~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[848][0]~q\,
	datab => \led_flash_cnt[848][7]~q\,
	datac => \WideAnd848~1_combout\,
	datad => \WideAnd848~0_combout\,
	combout => \WideAnd848~combout\);

-- Location: FF_X77_Y36_N9
\led_flash_cnt_ands[848]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd848~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(848));

-- Location: LCCOMB_X72_Y36_N4
\led_flash_cnt[849][0]~81489\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[849][0]~81489_combout\ = !\led_flash_cnt[849][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[849][0]~q\,
	combout => \led_flash_cnt[849][0]~81489_combout\);

-- Location: FF_X72_Y36_N5
\led_flash_cnt[849][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[849][0]~81489_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[849][0]~q\);

-- Location: LCCOMB_X72_Y36_N10
\led_flash_cnt[849][1]~38766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[849][1]~38766_combout\ = (\led_flash_cnt[849][1]~q\ & (\led_flash_cnt[849][0]~q\ $ (VCC))) # (!\led_flash_cnt[849][1]~q\ & (\led_flash_cnt[849][0]~q\ & VCC))
-- \led_flash_cnt[849][1]~38767\ = CARRY((\led_flash_cnt[849][1]~q\ & \led_flash_cnt[849][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[849][1]~q\,
	datab => \led_flash_cnt[849][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[849][1]~38766_combout\,
	cout => \led_flash_cnt[849][1]~38767\);

-- Location: FF_X72_Y36_N11
\led_flash_cnt[849][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[849][1]~38766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[849][1]~q\);

-- Location: LCCOMB_X72_Y36_N12
\led_flash_cnt[849][2]~38768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[849][2]~38768_combout\ = (\led_flash_cnt[849][2]~q\ & (!\led_flash_cnt[849][1]~38767\)) # (!\led_flash_cnt[849][2]~q\ & ((\led_flash_cnt[849][1]~38767\) # (GND)))
-- \led_flash_cnt[849][2]~38769\ = CARRY((!\led_flash_cnt[849][1]~38767\) # (!\led_flash_cnt[849][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[849][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[849][1]~38767\,
	combout => \led_flash_cnt[849][2]~38768_combout\,
	cout => \led_flash_cnt[849][2]~38769\);

-- Location: FF_X72_Y36_N13
\led_flash_cnt[849][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[849][2]~38768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[849][2]~q\);

-- Location: LCCOMB_X72_Y36_N14
\led_flash_cnt[849][3]~38770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[849][3]~38770_combout\ = (\led_flash_cnt[849][3]~q\ & (\led_flash_cnt[849][2]~38769\ $ (GND))) # (!\led_flash_cnt[849][3]~q\ & (!\led_flash_cnt[849][2]~38769\ & VCC))
-- \led_flash_cnt[849][3]~38771\ = CARRY((\led_flash_cnt[849][3]~q\ & !\led_flash_cnt[849][2]~38769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[849][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[849][2]~38769\,
	combout => \led_flash_cnt[849][3]~38770_combout\,
	cout => \led_flash_cnt[849][3]~38771\);

-- Location: FF_X72_Y36_N15
\led_flash_cnt[849][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[849][3]~38770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[849][3]~q\);

-- Location: LCCOMB_X72_Y36_N16
\led_flash_cnt[849][4]~38772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[849][4]~38772_combout\ = (\led_flash_cnt[849][4]~q\ & (!\led_flash_cnt[849][3]~38771\)) # (!\led_flash_cnt[849][4]~q\ & ((\led_flash_cnt[849][3]~38771\) # (GND)))
-- \led_flash_cnt[849][4]~38773\ = CARRY((!\led_flash_cnt[849][3]~38771\) # (!\led_flash_cnt[849][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[849][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[849][3]~38771\,
	combout => \led_flash_cnt[849][4]~38772_combout\,
	cout => \led_flash_cnt[849][4]~38773\);

-- Location: FF_X72_Y36_N17
\led_flash_cnt[849][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[849][4]~38772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[849][4]~q\);

-- Location: LCCOMB_X72_Y36_N18
\led_flash_cnt[849][5]~38774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[849][5]~38774_combout\ = (\led_flash_cnt[849][5]~q\ & (\led_flash_cnt[849][4]~38773\ $ (GND))) # (!\led_flash_cnt[849][5]~q\ & (!\led_flash_cnt[849][4]~38773\ & VCC))
-- \led_flash_cnt[849][5]~38775\ = CARRY((\led_flash_cnt[849][5]~q\ & !\led_flash_cnt[849][4]~38773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[849][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[849][4]~38773\,
	combout => \led_flash_cnt[849][5]~38774_combout\,
	cout => \led_flash_cnt[849][5]~38775\);

-- Location: FF_X72_Y36_N19
\led_flash_cnt[849][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[849][5]~38774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[849][5]~q\);

-- Location: LCCOMB_X72_Y36_N20
\led_flash_cnt[849][6]~38776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[849][6]~38776_combout\ = (\led_flash_cnt[849][6]~q\ & (!\led_flash_cnt[849][5]~38775\)) # (!\led_flash_cnt[849][6]~q\ & ((\led_flash_cnt[849][5]~38775\) # (GND)))
-- \led_flash_cnt[849][6]~38777\ = CARRY((!\led_flash_cnt[849][5]~38775\) # (!\led_flash_cnt[849][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[849][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[849][5]~38775\,
	combout => \led_flash_cnt[849][6]~38776_combout\,
	cout => \led_flash_cnt[849][6]~38777\);

-- Location: FF_X72_Y36_N21
\led_flash_cnt[849][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[849][6]~38776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[849][6]~q\);

-- Location: LCCOMB_X72_Y36_N26
\WideAnd849~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd849~1_combout\ = (\led_flash_cnt[849][5]~q\ & \led_flash_cnt[849][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[849][5]~q\,
	datad => \led_flash_cnt[849][6]~q\,
	combout => \WideAnd849~1_combout\);

-- Location: LCCOMB_X72_Y36_N22
\led_flash_cnt[849][7]~38778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[849][7]~38778_combout\ = \led_flash_cnt[849][7]~q\ $ (!\led_flash_cnt[849][6]~38777\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[849][7]~q\,
	cin => \led_flash_cnt[849][6]~38777\,
	combout => \led_flash_cnt[849][7]~38778_combout\);

-- Location: FF_X72_Y36_N23
\led_flash_cnt[849][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[849][7]~38778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[849][7]~q\);

-- Location: LCCOMB_X72_Y36_N28
\WideAnd849~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd849~0_combout\ = (\led_flash_cnt[849][2]~q\ & (\led_flash_cnt[849][4]~q\ & (\led_flash_cnt[849][3]~q\ & \led_flash_cnt[849][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[849][2]~q\,
	datab => \led_flash_cnt[849][4]~q\,
	datac => \led_flash_cnt[849][3]~q\,
	datad => \led_flash_cnt[849][1]~q\,
	combout => \WideAnd849~0_combout\);

-- Location: LCCOMB_X72_Y36_N24
WideAnd849 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd849~combout\ = (\WideAnd849~1_combout\ & (\led_flash_cnt[849][0]~q\ & (\led_flash_cnt[849][7]~q\ & \WideAnd849~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd849~1_combout\,
	datab => \led_flash_cnt[849][0]~q\,
	datac => \led_flash_cnt[849][7]~q\,
	datad => \WideAnd849~0_combout\,
	combout => \WideAnd849~combout\);

-- Location: FF_X72_Y36_N25
\led_flash_cnt_ands[849]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd849~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(849));

-- Location: LCCOMB_X72_Y36_N8
\WideAnd3946~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3946~0_combout\ = (led_flash_cnt_ands(851) & (led_flash_cnt_ands(850) & (led_flash_cnt_ands(848) & led_flash_cnt_ands(849))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(851),
	datab => led_flash_cnt_ands(850),
	datac => led_flash_cnt_ands(848),
	datad => led_flash_cnt_ands(849),
	combout => \WideAnd3946~0_combout\);

-- Location: LCCOMB_X66_Y30_N18
\led_flash_cnt[853][0]~81493\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[853][0]~81493_combout\ = !\led_flash_cnt[853][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[853][0]~q\,
	combout => \led_flash_cnt[853][0]~81493_combout\);

-- Location: FF_X66_Y30_N19
\led_flash_cnt[853][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[853][0]~81493_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[853][0]~q\);

-- Location: LCCOMB_X66_Y30_N2
\led_flash_cnt[853][1]~38822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[853][1]~38822_combout\ = (\led_flash_cnt[853][1]~q\ & (\led_flash_cnt[853][0]~q\ $ (VCC))) # (!\led_flash_cnt[853][1]~q\ & (\led_flash_cnt[853][0]~q\ & VCC))
-- \led_flash_cnt[853][1]~38823\ = CARRY((\led_flash_cnt[853][1]~q\ & \led_flash_cnt[853][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[853][1]~q\,
	datab => \led_flash_cnt[853][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[853][1]~38822_combout\,
	cout => \led_flash_cnt[853][1]~38823\);

-- Location: FF_X66_Y30_N3
\led_flash_cnt[853][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[853][1]~38822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[853][1]~q\);

-- Location: LCCOMB_X66_Y30_N4
\led_flash_cnt[853][2]~38824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[853][2]~38824_combout\ = (\led_flash_cnt[853][2]~q\ & (!\led_flash_cnt[853][1]~38823\)) # (!\led_flash_cnt[853][2]~q\ & ((\led_flash_cnt[853][1]~38823\) # (GND)))
-- \led_flash_cnt[853][2]~38825\ = CARRY((!\led_flash_cnt[853][1]~38823\) # (!\led_flash_cnt[853][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[853][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[853][1]~38823\,
	combout => \led_flash_cnt[853][2]~38824_combout\,
	cout => \led_flash_cnt[853][2]~38825\);

-- Location: FF_X66_Y30_N5
\led_flash_cnt[853][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[853][2]~38824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[853][2]~q\);

-- Location: LCCOMB_X66_Y30_N6
\led_flash_cnt[853][3]~38826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[853][3]~38826_combout\ = (\led_flash_cnt[853][3]~q\ & (\led_flash_cnt[853][2]~38825\ $ (GND))) # (!\led_flash_cnt[853][3]~q\ & (!\led_flash_cnt[853][2]~38825\ & VCC))
-- \led_flash_cnt[853][3]~38827\ = CARRY((\led_flash_cnt[853][3]~q\ & !\led_flash_cnt[853][2]~38825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[853][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[853][2]~38825\,
	combout => \led_flash_cnt[853][3]~38826_combout\,
	cout => \led_flash_cnt[853][3]~38827\);

-- Location: FF_X66_Y30_N7
\led_flash_cnt[853][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[853][3]~38826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[853][3]~q\);

-- Location: LCCOMB_X66_Y30_N8
\led_flash_cnt[853][4]~38828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[853][4]~38828_combout\ = (\led_flash_cnt[853][4]~q\ & (!\led_flash_cnt[853][3]~38827\)) # (!\led_flash_cnt[853][4]~q\ & ((\led_flash_cnt[853][3]~38827\) # (GND)))
-- \led_flash_cnt[853][4]~38829\ = CARRY((!\led_flash_cnt[853][3]~38827\) # (!\led_flash_cnt[853][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[853][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[853][3]~38827\,
	combout => \led_flash_cnt[853][4]~38828_combout\,
	cout => \led_flash_cnt[853][4]~38829\);

-- Location: FF_X66_Y30_N9
\led_flash_cnt[853][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[853][4]~38828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[853][4]~q\);

-- Location: LCCOMB_X66_Y30_N10
\led_flash_cnt[853][5]~38830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[853][5]~38830_combout\ = (\led_flash_cnt[853][5]~q\ & (\led_flash_cnt[853][4]~38829\ $ (GND))) # (!\led_flash_cnt[853][5]~q\ & (!\led_flash_cnt[853][4]~38829\ & VCC))
-- \led_flash_cnt[853][5]~38831\ = CARRY((\led_flash_cnt[853][5]~q\ & !\led_flash_cnt[853][4]~38829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[853][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[853][4]~38829\,
	combout => \led_flash_cnt[853][5]~38830_combout\,
	cout => \led_flash_cnt[853][5]~38831\);

-- Location: FF_X66_Y30_N11
\led_flash_cnt[853][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[853][5]~38830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[853][5]~q\);

-- Location: LCCOMB_X66_Y30_N12
\led_flash_cnt[853][6]~38832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[853][6]~38832_combout\ = (\led_flash_cnt[853][6]~q\ & (!\led_flash_cnt[853][5]~38831\)) # (!\led_flash_cnt[853][6]~q\ & ((\led_flash_cnt[853][5]~38831\) # (GND)))
-- \led_flash_cnt[853][6]~38833\ = CARRY((!\led_flash_cnt[853][5]~38831\) # (!\led_flash_cnt[853][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[853][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[853][5]~38831\,
	combout => \led_flash_cnt[853][6]~38832_combout\,
	cout => \led_flash_cnt[853][6]~38833\);

-- Location: FF_X66_Y30_N13
\led_flash_cnt[853][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[853][6]~38832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[853][6]~q\);

-- Location: LCCOMB_X66_Y30_N22
\WideAnd853~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd853~1_combout\ = (\led_flash_cnt[853][6]~q\ & \led_flash_cnt[853][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[853][6]~q\,
	datad => \led_flash_cnt[853][5]~q\,
	combout => \WideAnd853~1_combout\);

-- Location: LCCOMB_X66_Y30_N24
\WideAnd853~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd853~0_combout\ = (\led_flash_cnt[853][1]~q\ & (\led_flash_cnt[853][4]~q\ & (\led_flash_cnt[853][2]~q\ & \led_flash_cnt[853][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[853][1]~q\,
	datab => \led_flash_cnt[853][4]~q\,
	datac => \led_flash_cnt[853][2]~q\,
	datad => \led_flash_cnt[853][3]~q\,
	combout => \WideAnd853~0_combout\);

-- Location: LCCOMB_X66_Y30_N14
\led_flash_cnt[853][7]~38834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[853][7]~38834_combout\ = \led_flash_cnt[853][7]~q\ $ (!\led_flash_cnt[853][6]~38833\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[853][7]~q\,
	cin => \led_flash_cnt[853][6]~38833\,
	combout => \led_flash_cnt[853][7]~38834_combout\);

-- Location: FF_X66_Y30_N15
\led_flash_cnt[853][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[853][7]~38834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[853][7]~q\);

-- Location: LCCOMB_X66_Y30_N16
WideAnd853 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd853~combout\ = (\WideAnd853~1_combout\ & (\WideAnd853~0_combout\ & (\led_flash_cnt[853][7]~q\ & \led_flash_cnt[853][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd853~1_combout\,
	datab => \WideAnd853~0_combout\,
	datac => \led_flash_cnt[853][7]~q\,
	datad => \led_flash_cnt[853][0]~q\,
	combout => \WideAnd853~combout\);

-- Location: FF_X66_Y30_N17
\led_flash_cnt_ands[853]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd853~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(853));

-- Location: LCCOMB_X71_Y26_N26
\led_flash_cnt[852][0]~81492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[852][0]~81492_combout\ = !\led_flash_cnt[852][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[852][0]~q\,
	combout => \led_flash_cnt[852][0]~81492_combout\);

-- Location: FF_X71_Y26_N27
\led_flash_cnt[852][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[852][0]~81492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[852][0]~q\);

-- Location: LCCOMB_X71_Y26_N0
\led_flash_cnt[852][1]~38808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[852][1]~38808_combout\ = (\led_flash_cnt[852][0]~q\ & (\led_flash_cnt[852][1]~q\ $ (VCC))) # (!\led_flash_cnt[852][0]~q\ & (\led_flash_cnt[852][1]~q\ & VCC))
-- \led_flash_cnt[852][1]~38809\ = CARRY((\led_flash_cnt[852][0]~q\ & \led_flash_cnt[852][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[852][0]~q\,
	datab => \led_flash_cnt[852][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[852][1]~38808_combout\,
	cout => \led_flash_cnt[852][1]~38809\);

-- Location: FF_X71_Y26_N1
\led_flash_cnt[852][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[852][1]~38808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[852][1]~q\);

-- Location: LCCOMB_X71_Y26_N2
\led_flash_cnt[852][2]~38810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[852][2]~38810_combout\ = (\led_flash_cnt[852][2]~q\ & (!\led_flash_cnt[852][1]~38809\)) # (!\led_flash_cnt[852][2]~q\ & ((\led_flash_cnt[852][1]~38809\) # (GND)))
-- \led_flash_cnt[852][2]~38811\ = CARRY((!\led_flash_cnt[852][1]~38809\) # (!\led_flash_cnt[852][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[852][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[852][1]~38809\,
	combout => \led_flash_cnt[852][2]~38810_combout\,
	cout => \led_flash_cnt[852][2]~38811\);

-- Location: FF_X71_Y26_N3
\led_flash_cnt[852][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[852][2]~38810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[852][2]~q\);

-- Location: LCCOMB_X71_Y26_N4
\led_flash_cnt[852][3]~38812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[852][3]~38812_combout\ = (\led_flash_cnt[852][3]~q\ & (\led_flash_cnt[852][2]~38811\ $ (GND))) # (!\led_flash_cnt[852][3]~q\ & (!\led_flash_cnt[852][2]~38811\ & VCC))
-- \led_flash_cnt[852][3]~38813\ = CARRY((\led_flash_cnt[852][3]~q\ & !\led_flash_cnt[852][2]~38811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[852][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[852][2]~38811\,
	combout => \led_flash_cnt[852][3]~38812_combout\,
	cout => \led_flash_cnt[852][3]~38813\);

-- Location: FF_X71_Y26_N5
\led_flash_cnt[852][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[852][3]~38812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[852][3]~q\);

-- Location: LCCOMB_X71_Y26_N6
\led_flash_cnt[852][4]~38814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[852][4]~38814_combout\ = (\led_flash_cnt[852][4]~q\ & (!\led_flash_cnt[852][3]~38813\)) # (!\led_flash_cnt[852][4]~q\ & ((\led_flash_cnt[852][3]~38813\) # (GND)))
-- \led_flash_cnt[852][4]~38815\ = CARRY((!\led_flash_cnt[852][3]~38813\) # (!\led_flash_cnt[852][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[852][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[852][3]~38813\,
	combout => \led_flash_cnt[852][4]~38814_combout\,
	cout => \led_flash_cnt[852][4]~38815\);

-- Location: FF_X71_Y26_N7
\led_flash_cnt[852][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[852][4]~38814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[852][4]~q\);

-- Location: LCCOMB_X71_Y26_N8
\led_flash_cnt[852][5]~38816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[852][5]~38816_combout\ = (\led_flash_cnt[852][5]~q\ & (\led_flash_cnt[852][4]~38815\ $ (GND))) # (!\led_flash_cnt[852][5]~q\ & (!\led_flash_cnt[852][4]~38815\ & VCC))
-- \led_flash_cnt[852][5]~38817\ = CARRY((\led_flash_cnt[852][5]~q\ & !\led_flash_cnt[852][4]~38815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[852][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[852][4]~38815\,
	combout => \led_flash_cnt[852][5]~38816_combout\,
	cout => \led_flash_cnt[852][5]~38817\);

-- Location: FF_X71_Y26_N9
\led_flash_cnt[852][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[852][5]~38816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[852][5]~q\);

-- Location: LCCOMB_X71_Y26_N10
\led_flash_cnt[852][6]~38818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[852][6]~38818_combout\ = (\led_flash_cnt[852][6]~q\ & (!\led_flash_cnt[852][5]~38817\)) # (!\led_flash_cnt[852][6]~q\ & ((\led_flash_cnt[852][5]~38817\) # (GND)))
-- \led_flash_cnt[852][6]~38819\ = CARRY((!\led_flash_cnt[852][5]~38817\) # (!\led_flash_cnt[852][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[852][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[852][5]~38817\,
	combout => \led_flash_cnt[852][6]~38818_combout\,
	cout => \led_flash_cnt[852][6]~38819\);

-- Location: FF_X71_Y26_N11
\led_flash_cnt[852][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[852][6]~38818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[852][6]~q\);

-- Location: LCCOMB_X71_Y26_N12
\led_flash_cnt[852][7]~38820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[852][7]~38820_combout\ = \led_flash_cnt[852][6]~38819\ $ (!\led_flash_cnt[852][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[852][7]~q\,
	cin => \led_flash_cnt[852][6]~38819\,
	combout => \led_flash_cnt[852][7]~38820_combout\);

-- Location: FF_X71_Y26_N13
\led_flash_cnt[852][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[852][7]~38820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[852][7]~q\);

-- Location: LCCOMB_X71_Y26_N28
\WideAnd852~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd852~0_combout\ = (\led_flash_cnt[852][4]~q\ & (\led_flash_cnt[852][1]~q\ & (\led_flash_cnt[852][3]~q\ & \led_flash_cnt[852][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[852][4]~q\,
	datab => \led_flash_cnt[852][1]~q\,
	datac => \led_flash_cnt[852][3]~q\,
	datad => \led_flash_cnt[852][2]~q\,
	combout => \WideAnd852~0_combout\);

-- Location: LCCOMB_X71_Y26_N18
\WideAnd852~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd852~1_combout\ = (\led_flash_cnt[852][5]~q\ & \led_flash_cnt[852][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[852][5]~q\,
	datad => \led_flash_cnt[852][6]~q\,
	combout => \WideAnd852~1_combout\);

-- Location: LCCOMB_X71_Y26_N24
WideAnd852 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd852~combout\ = (\led_flash_cnt[852][7]~q\ & (\WideAnd852~0_combout\ & (\led_flash_cnt[852][0]~q\ & \WideAnd852~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[852][7]~q\,
	datab => \WideAnd852~0_combout\,
	datac => \led_flash_cnt[852][0]~q\,
	datad => \WideAnd852~1_combout\,
	combout => \WideAnd852~combout\);

-- Location: FF_X71_Y26_N25
\led_flash_cnt_ands[852]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd852~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(852));

-- Location: LCCOMB_X71_Y26_N22
\WideAnd3946~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3946~1_combout\ = (led_flash_cnt_ands(853) & led_flash_cnt_ands(852))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(853),
	datad => led_flash_cnt_ands(852),
	combout => \WideAnd3946~1_combout\);

-- Location: LCCOMB_X72_Y20_N4
\led_flash_cnt[855][0]~81495\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[855][0]~81495_combout\ = !\led_flash_cnt[855][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[855][0]~q\,
	combout => \led_flash_cnt[855][0]~81495_combout\);

-- Location: FF_X72_Y20_N5
\led_flash_cnt[855][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[855][0]~81495_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[855][0]~q\);

-- Location: LCCOMB_X72_Y20_N10
\led_flash_cnt[855][1]~38850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[855][1]~38850_combout\ = (\led_flash_cnt[855][1]~q\ & (\led_flash_cnt[855][0]~q\ $ (VCC))) # (!\led_flash_cnt[855][1]~q\ & (\led_flash_cnt[855][0]~q\ & VCC))
-- \led_flash_cnt[855][1]~38851\ = CARRY((\led_flash_cnt[855][1]~q\ & \led_flash_cnt[855][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[855][1]~q\,
	datab => \led_flash_cnt[855][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[855][1]~38850_combout\,
	cout => \led_flash_cnt[855][1]~38851\);

-- Location: FF_X72_Y20_N11
\led_flash_cnt[855][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[855][1]~38850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[855][1]~q\);

-- Location: LCCOMB_X72_Y20_N12
\led_flash_cnt[855][2]~38852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[855][2]~38852_combout\ = (\led_flash_cnt[855][2]~q\ & (!\led_flash_cnt[855][1]~38851\)) # (!\led_flash_cnt[855][2]~q\ & ((\led_flash_cnt[855][1]~38851\) # (GND)))
-- \led_flash_cnt[855][2]~38853\ = CARRY((!\led_flash_cnt[855][1]~38851\) # (!\led_flash_cnt[855][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[855][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[855][1]~38851\,
	combout => \led_flash_cnt[855][2]~38852_combout\,
	cout => \led_flash_cnt[855][2]~38853\);

-- Location: FF_X72_Y20_N13
\led_flash_cnt[855][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[855][2]~38852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[855][2]~q\);

-- Location: LCCOMB_X72_Y20_N14
\led_flash_cnt[855][3]~38854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[855][3]~38854_combout\ = (\led_flash_cnt[855][3]~q\ & (\led_flash_cnt[855][2]~38853\ $ (GND))) # (!\led_flash_cnt[855][3]~q\ & (!\led_flash_cnt[855][2]~38853\ & VCC))
-- \led_flash_cnt[855][3]~38855\ = CARRY((\led_flash_cnt[855][3]~q\ & !\led_flash_cnt[855][2]~38853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[855][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[855][2]~38853\,
	combout => \led_flash_cnt[855][3]~38854_combout\,
	cout => \led_flash_cnt[855][3]~38855\);

-- Location: FF_X72_Y20_N15
\led_flash_cnt[855][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[855][3]~38854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[855][3]~q\);

-- Location: LCCOMB_X72_Y20_N16
\led_flash_cnt[855][4]~38856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[855][4]~38856_combout\ = (\led_flash_cnt[855][4]~q\ & (!\led_flash_cnt[855][3]~38855\)) # (!\led_flash_cnt[855][4]~q\ & ((\led_flash_cnt[855][3]~38855\) # (GND)))
-- \led_flash_cnt[855][4]~38857\ = CARRY((!\led_flash_cnt[855][3]~38855\) # (!\led_flash_cnt[855][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[855][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[855][3]~38855\,
	combout => \led_flash_cnt[855][4]~38856_combout\,
	cout => \led_flash_cnt[855][4]~38857\);

-- Location: FF_X72_Y20_N17
\led_flash_cnt[855][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[855][4]~38856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[855][4]~q\);

-- Location: LCCOMB_X72_Y20_N18
\led_flash_cnt[855][5]~38858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[855][5]~38858_combout\ = (\led_flash_cnt[855][5]~q\ & (\led_flash_cnt[855][4]~38857\ $ (GND))) # (!\led_flash_cnt[855][5]~q\ & (!\led_flash_cnt[855][4]~38857\ & VCC))
-- \led_flash_cnt[855][5]~38859\ = CARRY((\led_flash_cnt[855][5]~q\ & !\led_flash_cnt[855][4]~38857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[855][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[855][4]~38857\,
	combout => \led_flash_cnt[855][5]~38858_combout\,
	cout => \led_flash_cnt[855][5]~38859\);

-- Location: FF_X72_Y20_N19
\led_flash_cnt[855][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[855][5]~38858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[855][5]~q\);

-- Location: LCCOMB_X72_Y20_N20
\led_flash_cnt[855][6]~38860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[855][6]~38860_combout\ = (\led_flash_cnt[855][6]~q\ & (!\led_flash_cnt[855][5]~38859\)) # (!\led_flash_cnt[855][6]~q\ & ((\led_flash_cnt[855][5]~38859\) # (GND)))
-- \led_flash_cnt[855][6]~38861\ = CARRY((!\led_flash_cnt[855][5]~38859\) # (!\led_flash_cnt[855][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[855][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[855][5]~38859\,
	combout => \led_flash_cnt[855][6]~38860_combout\,
	cout => \led_flash_cnt[855][6]~38861\);

-- Location: FF_X72_Y20_N21
\led_flash_cnt[855][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[855][6]~38860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[855][6]~q\);

-- Location: LCCOMB_X72_Y20_N26
\WideAnd855~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd855~1_combout\ = (\led_flash_cnt[855][6]~q\ & \led_flash_cnt[855][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[855][6]~q\,
	datad => \led_flash_cnt[855][5]~q\,
	combout => \WideAnd855~1_combout\);

-- Location: LCCOMB_X72_Y20_N22
\led_flash_cnt[855][7]~38862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[855][7]~38862_combout\ = \led_flash_cnt[855][7]~q\ $ (!\led_flash_cnt[855][6]~38861\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[855][7]~q\,
	cin => \led_flash_cnt[855][6]~38861\,
	combout => \led_flash_cnt[855][7]~38862_combout\);

-- Location: FF_X72_Y20_N23
\led_flash_cnt[855][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[855][7]~38862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[855][7]~q\);

-- Location: LCCOMB_X72_Y20_N24
\WideAnd855~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd855~0_combout\ = (\led_flash_cnt[855][2]~q\ & (\led_flash_cnt[855][4]~q\ & (\led_flash_cnt[855][3]~q\ & \led_flash_cnt[855][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[855][2]~q\,
	datab => \led_flash_cnt[855][4]~q\,
	datac => \led_flash_cnt[855][3]~q\,
	datad => \led_flash_cnt[855][1]~q\,
	combout => \WideAnd855~0_combout\);

-- Location: LCCOMB_X72_Y20_N8
WideAnd855 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd855~combout\ = (\WideAnd855~1_combout\ & (\led_flash_cnt[855][0]~q\ & (\led_flash_cnt[855][7]~q\ & \WideAnd855~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd855~1_combout\,
	datab => \led_flash_cnt[855][0]~q\,
	datac => \led_flash_cnt[855][7]~q\,
	datad => \WideAnd855~0_combout\,
	combout => \WideAnd855~combout\);

-- Location: FF_X72_Y20_N9
\led_flash_cnt_ands[855]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd855~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(855));

-- Location: LCCOMB_X72_Y24_N18
\led_flash_cnt[854][0]~81494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[854][0]~81494_combout\ = !\led_flash_cnt[854][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[854][0]~q\,
	combout => \led_flash_cnt[854][0]~81494_combout\);

-- Location: FF_X72_Y24_N19
\led_flash_cnt[854][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[854][0]~81494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[854][0]~q\);

-- Location: LCCOMB_X72_Y24_N0
\led_flash_cnt[854][1]~38836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[854][1]~38836_combout\ = (\led_flash_cnt[854][1]~q\ & (\led_flash_cnt[854][0]~q\ $ (VCC))) # (!\led_flash_cnt[854][1]~q\ & (\led_flash_cnt[854][0]~q\ & VCC))
-- \led_flash_cnt[854][1]~38837\ = CARRY((\led_flash_cnt[854][1]~q\ & \led_flash_cnt[854][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[854][1]~q\,
	datab => \led_flash_cnt[854][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[854][1]~38836_combout\,
	cout => \led_flash_cnt[854][1]~38837\);

-- Location: FF_X72_Y24_N1
\led_flash_cnt[854][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[854][1]~38836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[854][1]~q\);

-- Location: LCCOMB_X72_Y24_N2
\led_flash_cnt[854][2]~38838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[854][2]~38838_combout\ = (\led_flash_cnt[854][2]~q\ & (!\led_flash_cnt[854][1]~38837\)) # (!\led_flash_cnt[854][2]~q\ & ((\led_flash_cnt[854][1]~38837\) # (GND)))
-- \led_flash_cnt[854][2]~38839\ = CARRY((!\led_flash_cnt[854][1]~38837\) # (!\led_flash_cnt[854][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[854][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[854][1]~38837\,
	combout => \led_flash_cnt[854][2]~38838_combout\,
	cout => \led_flash_cnt[854][2]~38839\);

-- Location: FF_X72_Y24_N3
\led_flash_cnt[854][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[854][2]~38838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[854][2]~q\);

-- Location: LCCOMB_X72_Y24_N4
\led_flash_cnt[854][3]~38840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[854][3]~38840_combout\ = (\led_flash_cnt[854][3]~q\ & (\led_flash_cnt[854][2]~38839\ $ (GND))) # (!\led_flash_cnt[854][3]~q\ & (!\led_flash_cnt[854][2]~38839\ & VCC))
-- \led_flash_cnt[854][3]~38841\ = CARRY((\led_flash_cnt[854][3]~q\ & !\led_flash_cnt[854][2]~38839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[854][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[854][2]~38839\,
	combout => \led_flash_cnt[854][3]~38840_combout\,
	cout => \led_flash_cnt[854][3]~38841\);

-- Location: FF_X72_Y24_N5
\led_flash_cnt[854][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[854][3]~38840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[854][3]~q\);

-- Location: LCCOMB_X72_Y24_N6
\led_flash_cnt[854][4]~38842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[854][4]~38842_combout\ = (\led_flash_cnt[854][4]~q\ & (!\led_flash_cnt[854][3]~38841\)) # (!\led_flash_cnt[854][4]~q\ & ((\led_flash_cnt[854][3]~38841\) # (GND)))
-- \led_flash_cnt[854][4]~38843\ = CARRY((!\led_flash_cnt[854][3]~38841\) # (!\led_flash_cnt[854][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[854][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[854][3]~38841\,
	combout => \led_flash_cnt[854][4]~38842_combout\,
	cout => \led_flash_cnt[854][4]~38843\);

-- Location: FF_X72_Y24_N7
\led_flash_cnt[854][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[854][4]~38842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[854][4]~q\);

-- Location: LCCOMB_X72_Y24_N8
\led_flash_cnt[854][5]~38844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[854][5]~38844_combout\ = (\led_flash_cnt[854][5]~q\ & (\led_flash_cnt[854][4]~38843\ $ (GND))) # (!\led_flash_cnt[854][5]~q\ & (!\led_flash_cnt[854][4]~38843\ & VCC))
-- \led_flash_cnt[854][5]~38845\ = CARRY((\led_flash_cnt[854][5]~q\ & !\led_flash_cnt[854][4]~38843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[854][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[854][4]~38843\,
	combout => \led_flash_cnt[854][5]~38844_combout\,
	cout => \led_flash_cnt[854][5]~38845\);

-- Location: FF_X72_Y24_N9
\led_flash_cnt[854][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[854][5]~38844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[854][5]~q\);

-- Location: LCCOMB_X72_Y24_N10
\led_flash_cnt[854][6]~38846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[854][6]~38846_combout\ = (\led_flash_cnt[854][6]~q\ & (!\led_flash_cnt[854][5]~38845\)) # (!\led_flash_cnt[854][6]~q\ & ((\led_flash_cnt[854][5]~38845\) # (GND)))
-- \led_flash_cnt[854][6]~38847\ = CARRY((!\led_flash_cnt[854][5]~38845\) # (!\led_flash_cnt[854][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[854][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[854][5]~38845\,
	combout => \led_flash_cnt[854][6]~38846_combout\,
	cout => \led_flash_cnt[854][6]~38847\);

-- Location: FF_X72_Y24_N11
\led_flash_cnt[854][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[854][6]~38846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[854][6]~q\);

-- Location: LCCOMB_X72_Y24_N12
\led_flash_cnt[854][7]~38848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[854][7]~38848_combout\ = \led_flash_cnt[854][6]~38847\ $ (!\led_flash_cnt[854][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[854][7]~q\,
	cin => \led_flash_cnt[854][6]~38847\,
	combout => \led_flash_cnt[854][7]~38848_combout\);

-- Location: FF_X72_Y24_N13
\led_flash_cnt[854][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[854][7]~38848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[854][7]~q\);

-- Location: LCCOMB_X72_Y24_N28
\WideAnd854~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd854~0_combout\ = (\led_flash_cnt[854][4]~q\ & (\led_flash_cnt[854][1]~q\ & (\led_flash_cnt[854][3]~q\ & \led_flash_cnt[854][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[854][4]~q\,
	datab => \led_flash_cnt[854][1]~q\,
	datac => \led_flash_cnt[854][3]~q\,
	datad => \led_flash_cnt[854][2]~q\,
	combout => \WideAnd854~0_combout\);

-- Location: LCCOMB_X72_Y24_N26
\WideAnd854~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd854~1_combout\ = (\led_flash_cnt[854][5]~q\ & \led_flash_cnt[854][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[854][5]~q\,
	datad => \led_flash_cnt[854][6]~q\,
	combout => \WideAnd854~1_combout\);

-- Location: LCCOMB_X72_Y24_N20
WideAnd854 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd854~combout\ = (\led_flash_cnt[854][7]~q\ & (\WideAnd854~0_combout\ & (\WideAnd854~1_combout\ & \led_flash_cnt[854][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[854][7]~q\,
	datab => \WideAnd854~0_combout\,
	datac => \WideAnd854~1_combout\,
	datad => \led_flash_cnt[854][0]~q\,
	combout => \WideAnd854~combout\);

-- Location: FF_X72_Y24_N21
\led_flash_cnt_ands[854]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd854~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(854));

-- Location: LCCOMB_X72_Y24_N22
WideAnd3946 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3946~combout\ = (\WideAnd3946~0_combout\ & (\WideAnd3946~1_combout\ & (led_flash_cnt_ands(855) & led_flash_cnt_ands(854))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3946~0_combout\,
	datab => \WideAnd3946~1_combout\,
	datac => led_flash_cnt_ands(855),
	datad => led_flash_cnt_ands(854),
	combout => \WideAnd3946~combout\);

-- Location: FF_X72_Y24_N23
\led_flash_cnt_ands_1[106]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3946~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(106));

-- Location: LCCOMB_X71_Y28_N2
\led_flash_cnt[842][0]~81482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[842][0]~81482_combout\ = !\led_flash_cnt[842][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[842][0]~q\,
	combout => \led_flash_cnt[842][0]~81482_combout\);

-- Location: FF_X71_Y28_N3
\led_flash_cnt[842][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[842][0]~81482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[842][0]~q\);

-- Location: LCCOMB_X70_Y28_N18
\led_flash_cnt[842][1]~38668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[842][1]~38668_combout\ = (\led_flash_cnt[842][0]~q\ & (\led_flash_cnt[842][1]~q\ $ (VCC))) # (!\led_flash_cnt[842][0]~q\ & (\led_flash_cnt[842][1]~q\ & VCC))
-- \led_flash_cnt[842][1]~38669\ = CARRY((\led_flash_cnt[842][0]~q\ & \led_flash_cnt[842][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[842][0]~q\,
	datab => \led_flash_cnt[842][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[842][1]~38668_combout\,
	cout => \led_flash_cnt[842][1]~38669\);

-- Location: FF_X70_Y28_N19
\led_flash_cnt[842][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[842][1]~38668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[842][1]~q\);

-- Location: LCCOMB_X70_Y28_N20
\led_flash_cnt[842][2]~38670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[842][2]~38670_combout\ = (\led_flash_cnt[842][2]~q\ & (!\led_flash_cnt[842][1]~38669\)) # (!\led_flash_cnt[842][2]~q\ & ((\led_flash_cnt[842][1]~38669\) # (GND)))
-- \led_flash_cnt[842][2]~38671\ = CARRY((!\led_flash_cnt[842][1]~38669\) # (!\led_flash_cnt[842][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[842][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[842][1]~38669\,
	combout => \led_flash_cnt[842][2]~38670_combout\,
	cout => \led_flash_cnt[842][2]~38671\);

-- Location: FF_X70_Y28_N21
\led_flash_cnt[842][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[842][2]~38670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[842][2]~q\);

-- Location: LCCOMB_X70_Y28_N22
\led_flash_cnt[842][3]~38672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[842][3]~38672_combout\ = (\led_flash_cnt[842][3]~q\ & (\led_flash_cnt[842][2]~38671\ $ (GND))) # (!\led_flash_cnt[842][3]~q\ & (!\led_flash_cnt[842][2]~38671\ & VCC))
-- \led_flash_cnt[842][3]~38673\ = CARRY((\led_flash_cnt[842][3]~q\ & !\led_flash_cnt[842][2]~38671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[842][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[842][2]~38671\,
	combout => \led_flash_cnt[842][3]~38672_combout\,
	cout => \led_flash_cnt[842][3]~38673\);

-- Location: FF_X70_Y28_N23
\led_flash_cnt[842][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[842][3]~38672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[842][3]~q\);

-- Location: LCCOMB_X70_Y28_N24
\led_flash_cnt[842][4]~38674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[842][4]~38674_combout\ = (\led_flash_cnt[842][4]~q\ & (!\led_flash_cnt[842][3]~38673\)) # (!\led_flash_cnt[842][4]~q\ & ((\led_flash_cnt[842][3]~38673\) # (GND)))
-- \led_flash_cnt[842][4]~38675\ = CARRY((!\led_flash_cnt[842][3]~38673\) # (!\led_flash_cnt[842][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[842][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[842][3]~38673\,
	combout => \led_flash_cnt[842][4]~38674_combout\,
	cout => \led_flash_cnt[842][4]~38675\);

-- Location: FF_X70_Y28_N25
\led_flash_cnt[842][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[842][4]~38674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[842][4]~q\);

-- Location: LCCOMB_X70_Y28_N26
\led_flash_cnt[842][5]~38676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[842][5]~38676_combout\ = (\led_flash_cnt[842][5]~q\ & (\led_flash_cnt[842][4]~38675\ $ (GND))) # (!\led_flash_cnt[842][5]~q\ & (!\led_flash_cnt[842][4]~38675\ & VCC))
-- \led_flash_cnt[842][5]~38677\ = CARRY((\led_flash_cnt[842][5]~q\ & !\led_flash_cnt[842][4]~38675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[842][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[842][4]~38675\,
	combout => \led_flash_cnt[842][5]~38676_combout\,
	cout => \led_flash_cnt[842][5]~38677\);

-- Location: FF_X70_Y28_N27
\led_flash_cnt[842][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[842][5]~38676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[842][5]~q\);

-- Location: LCCOMB_X70_Y28_N28
\led_flash_cnt[842][6]~38678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[842][6]~38678_combout\ = (\led_flash_cnt[842][6]~q\ & (!\led_flash_cnt[842][5]~38677\)) # (!\led_flash_cnt[842][6]~q\ & ((\led_flash_cnt[842][5]~38677\) # (GND)))
-- \led_flash_cnt[842][6]~38679\ = CARRY((!\led_flash_cnt[842][5]~38677\) # (!\led_flash_cnt[842][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[842][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[842][5]~38677\,
	combout => \led_flash_cnt[842][6]~38678_combout\,
	cout => \led_flash_cnt[842][6]~38679\);

-- Location: FF_X70_Y28_N29
\led_flash_cnt[842][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[842][6]~38678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[842][6]~q\);

-- Location: LCCOMB_X71_Y28_N22
\WideAnd842~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd842~1_combout\ = (\led_flash_cnt[842][5]~q\ & \led_flash_cnt[842][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[842][5]~q\,
	datad => \led_flash_cnt[842][6]~q\,
	combout => \WideAnd842~1_combout\);

-- Location: LCCOMB_X70_Y28_N30
\led_flash_cnt[842][7]~38680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[842][7]~38680_combout\ = \led_flash_cnt[842][7]~q\ $ (!\led_flash_cnt[842][6]~38679\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[842][7]~q\,
	cin => \led_flash_cnt[842][6]~38679\,
	combout => \led_flash_cnt[842][7]~38680_combout\);

-- Location: FF_X70_Y28_N31
\led_flash_cnt[842][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[842][7]~38680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[842][7]~q\);

-- Location: LCCOMB_X70_Y28_N0
\WideAnd842~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd842~0_combout\ = (\led_flash_cnt[842][4]~q\ & (\led_flash_cnt[842][2]~q\ & (\led_flash_cnt[842][3]~q\ & \led_flash_cnt[842][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[842][4]~q\,
	datab => \led_flash_cnt[842][2]~q\,
	datac => \led_flash_cnt[842][3]~q\,
	datad => \led_flash_cnt[842][1]~q\,
	combout => \WideAnd842~0_combout\);

-- Location: LCCOMB_X71_Y28_N26
WideAnd842 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd842~combout\ = (\WideAnd842~1_combout\ & (\led_flash_cnt[842][7]~q\ & (\WideAnd842~0_combout\ & \led_flash_cnt[842][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd842~1_combout\,
	datab => \led_flash_cnt[842][7]~q\,
	datac => \WideAnd842~0_combout\,
	datad => \led_flash_cnt[842][0]~q\,
	combout => \WideAnd842~combout\);

-- Location: FF_X71_Y28_N27
\led_flash_cnt_ands[842]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd842~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(842));

-- Location: LCCOMB_X74_Y24_N28
\led_flash_cnt[840][0]~81480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[840][0]~81480_combout\ = !\led_flash_cnt[840][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[840][0]~q\,
	combout => \led_flash_cnt[840][0]~81480_combout\);

-- Location: FF_X74_Y24_N29
\led_flash_cnt[840][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[840][0]~81480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[840][0]~q\);

-- Location: LCCOMB_X74_Y24_N12
\led_flash_cnt[840][1]~38640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[840][1]~38640_combout\ = (\led_flash_cnt[840][1]~q\ & (\led_flash_cnt[840][0]~q\ $ (VCC))) # (!\led_flash_cnt[840][1]~q\ & (\led_flash_cnt[840][0]~q\ & VCC))
-- \led_flash_cnt[840][1]~38641\ = CARRY((\led_flash_cnt[840][1]~q\ & \led_flash_cnt[840][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[840][1]~q\,
	datab => \led_flash_cnt[840][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[840][1]~38640_combout\,
	cout => \led_flash_cnt[840][1]~38641\);

-- Location: FF_X74_Y24_N13
\led_flash_cnt[840][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[840][1]~38640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[840][1]~q\);

-- Location: LCCOMB_X74_Y24_N14
\led_flash_cnt[840][2]~38642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[840][2]~38642_combout\ = (\led_flash_cnt[840][2]~q\ & (!\led_flash_cnt[840][1]~38641\)) # (!\led_flash_cnt[840][2]~q\ & ((\led_flash_cnt[840][1]~38641\) # (GND)))
-- \led_flash_cnt[840][2]~38643\ = CARRY((!\led_flash_cnt[840][1]~38641\) # (!\led_flash_cnt[840][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[840][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[840][1]~38641\,
	combout => \led_flash_cnt[840][2]~38642_combout\,
	cout => \led_flash_cnt[840][2]~38643\);

-- Location: FF_X74_Y24_N15
\led_flash_cnt[840][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[840][2]~38642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[840][2]~q\);

-- Location: LCCOMB_X74_Y24_N16
\led_flash_cnt[840][3]~38644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[840][3]~38644_combout\ = (\led_flash_cnt[840][3]~q\ & (\led_flash_cnt[840][2]~38643\ $ (GND))) # (!\led_flash_cnt[840][3]~q\ & (!\led_flash_cnt[840][2]~38643\ & VCC))
-- \led_flash_cnt[840][3]~38645\ = CARRY((\led_flash_cnt[840][3]~q\ & !\led_flash_cnt[840][2]~38643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[840][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[840][2]~38643\,
	combout => \led_flash_cnt[840][3]~38644_combout\,
	cout => \led_flash_cnt[840][3]~38645\);

-- Location: FF_X74_Y24_N17
\led_flash_cnt[840][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[840][3]~38644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[840][3]~q\);

-- Location: LCCOMB_X74_Y24_N18
\led_flash_cnt[840][4]~38646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[840][4]~38646_combout\ = (\led_flash_cnt[840][4]~q\ & (!\led_flash_cnt[840][3]~38645\)) # (!\led_flash_cnt[840][4]~q\ & ((\led_flash_cnt[840][3]~38645\) # (GND)))
-- \led_flash_cnt[840][4]~38647\ = CARRY((!\led_flash_cnt[840][3]~38645\) # (!\led_flash_cnt[840][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[840][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[840][3]~38645\,
	combout => \led_flash_cnt[840][4]~38646_combout\,
	cout => \led_flash_cnt[840][4]~38647\);

-- Location: FF_X74_Y24_N19
\led_flash_cnt[840][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[840][4]~38646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[840][4]~q\);

-- Location: LCCOMB_X74_Y24_N26
\WideAnd840~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd840~0_combout\ = (\led_flash_cnt[840][1]~q\ & (\led_flash_cnt[840][4]~q\ & (\led_flash_cnt[840][2]~q\ & \led_flash_cnt[840][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[840][1]~q\,
	datab => \led_flash_cnt[840][4]~q\,
	datac => \led_flash_cnt[840][2]~q\,
	datad => \led_flash_cnt[840][3]~q\,
	combout => \WideAnd840~0_combout\);

-- Location: LCCOMB_X74_Y24_N20
\led_flash_cnt[840][5]~38648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[840][5]~38648_combout\ = (\led_flash_cnt[840][5]~q\ & (\led_flash_cnt[840][4]~38647\ $ (GND))) # (!\led_flash_cnt[840][5]~q\ & (!\led_flash_cnt[840][4]~38647\ & VCC))
-- \led_flash_cnt[840][5]~38649\ = CARRY((\led_flash_cnt[840][5]~q\ & !\led_flash_cnt[840][4]~38647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[840][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[840][4]~38647\,
	combout => \led_flash_cnt[840][5]~38648_combout\,
	cout => \led_flash_cnt[840][5]~38649\);

-- Location: FF_X74_Y24_N21
\led_flash_cnt[840][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[840][5]~38648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[840][5]~q\);

-- Location: LCCOMB_X74_Y24_N22
\led_flash_cnt[840][6]~38650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[840][6]~38650_combout\ = (\led_flash_cnt[840][6]~q\ & (!\led_flash_cnt[840][5]~38649\)) # (!\led_flash_cnt[840][6]~q\ & ((\led_flash_cnt[840][5]~38649\) # (GND)))
-- \led_flash_cnt[840][6]~38651\ = CARRY((!\led_flash_cnt[840][5]~38649\) # (!\led_flash_cnt[840][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[840][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[840][5]~38649\,
	combout => \led_flash_cnt[840][6]~38650_combout\,
	cout => \led_flash_cnt[840][6]~38651\);

-- Location: FF_X74_Y24_N23
\led_flash_cnt[840][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[840][6]~38650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[840][6]~q\);

-- Location: LCCOMB_X74_Y24_N24
\led_flash_cnt[840][7]~38652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[840][7]~38652_combout\ = \led_flash_cnt[840][6]~38651\ $ (!\led_flash_cnt[840][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[840][7]~q\,
	cin => \led_flash_cnt[840][6]~38651\,
	combout => \led_flash_cnt[840][7]~38652_combout\);

-- Location: FF_X74_Y24_N25
\led_flash_cnt[840][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[840][7]~38652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[840][7]~q\);

-- Location: LCCOMB_X74_Y24_N4
\WideAnd840~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd840~1_combout\ = (\led_flash_cnt[840][6]~q\ & \led_flash_cnt[840][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[840][6]~q\,
	datad => \led_flash_cnt[840][5]~q\,
	combout => \WideAnd840~1_combout\);

-- Location: LCCOMB_X74_Y24_N10
WideAnd840 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd840~combout\ = (\WideAnd840~0_combout\ & (\led_flash_cnt[840][7]~q\ & (\WideAnd840~1_combout\ & \led_flash_cnt[840][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd840~0_combout\,
	datab => \led_flash_cnt[840][7]~q\,
	datac => \WideAnd840~1_combout\,
	datad => \led_flash_cnt[840][0]~q\,
	combout => \WideAnd840~combout\);

-- Location: FF_X74_Y24_N11
\led_flash_cnt_ands[840]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd840~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(840));

-- Location: LCCOMB_X72_Y29_N26
\led_flash_cnt[843][0]~81483\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[843][0]~81483_combout\ = !\led_flash_cnt[843][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[843][0]~q\,
	combout => \led_flash_cnt[843][0]~81483_combout\);

-- Location: FF_X72_Y29_N27
\led_flash_cnt[843][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[843][0]~81483_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[843][0]~q\);

-- Location: LCCOMB_X72_Y29_N8
\led_flash_cnt[843][1]~38682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[843][1]~38682_combout\ = (\led_flash_cnt[843][0]~q\ & (\led_flash_cnt[843][1]~q\ $ (VCC))) # (!\led_flash_cnt[843][0]~q\ & (\led_flash_cnt[843][1]~q\ & VCC))
-- \led_flash_cnt[843][1]~38683\ = CARRY((\led_flash_cnt[843][0]~q\ & \led_flash_cnt[843][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[843][0]~q\,
	datab => \led_flash_cnt[843][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[843][1]~38682_combout\,
	cout => \led_flash_cnt[843][1]~38683\);

-- Location: FF_X72_Y29_N9
\led_flash_cnt[843][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[843][1]~38682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[843][1]~q\);

-- Location: LCCOMB_X72_Y29_N10
\led_flash_cnt[843][2]~38684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[843][2]~38684_combout\ = (\led_flash_cnt[843][2]~q\ & (!\led_flash_cnt[843][1]~38683\)) # (!\led_flash_cnt[843][2]~q\ & ((\led_flash_cnt[843][1]~38683\) # (GND)))
-- \led_flash_cnt[843][2]~38685\ = CARRY((!\led_flash_cnt[843][1]~38683\) # (!\led_flash_cnt[843][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[843][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[843][1]~38683\,
	combout => \led_flash_cnt[843][2]~38684_combout\,
	cout => \led_flash_cnt[843][2]~38685\);

-- Location: FF_X72_Y29_N11
\led_flash_cnt[843][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[843][2]~38684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[843][2]~q\);

-- Location: LCCOMB_X72_Y29_N12
\led_flash_cnt[843][3]~38686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[843][3]~38686_combout\ = (\led_flash_cnt[843][3]~q\ & (\led_flash_cnt[843][2]~38685\ $ (GND))) # (!\led_flash_cnt[843][3]~q\ & (!\led_flash_cnt[843][2]~38685\ & VCC))
-- \led_flash_cnt[843][3]~38687\ = CARRY((\led_flash_cnt[843][3]~q\ & !\led_flash_cnt[843][2]~38685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[843][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[843][2]~38685\,
	combout => \led_flash_cnt[843][3]~38686_combout\,
	cout => \led_flash_cnt[843][3]~38687\);

-- Location: FF_X72_Y29_N13
\led_flash_cnt[843][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[843][3]~38686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[843][3]~q\);

-- Location: LCCOMB_X72_Y29_N14
\led_flash_cnt[843][4]~38688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[843][4]~38688_combout\ = (\led_flash_cnt[843][4]~q\ & (!\led_flash_cnt[843][3]~38687\)) # (!\led_flash_cnt[843][4]~q\ & ((\led_flash_cnt[843][3]~38687\) # (GND)))
-- \led_flash_cnt[843][4]~38689\ = CARRY((!\led_flash_cnt[843][3]~38687\) # (!\led_flash_cnt[843][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[843][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[843][3]~38687\,
	combout => \led_flash_cnt[843][4]~38688_combout\,
	cout => \led_flash_cnt[843][4]~38689\);

-- Location: FF_X72_Y29_N15
\led_flash_cnt[843][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[843][4]~38688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[843][4]~q\);

-- Location: LCCOMB_X72_Y29_N16
\led_flash_cnt[843][5]~38690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[843][5]~38690_combout\ = (\led_flash_cnt[843][5]~q\ & (\led_flash_cnt[843][4]~38689\ $ (GND))) # (!\led_flash_cnt[843][5]~q\ & (!\led_flash_cnt[843][4]~38689\ & VCC))
-- \led_flash_cnt[843][5]~38691\ = CARRY((\led_flash_cnt[843][5]~q\ & !\led_flash_cnt[843][4]~38689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[843][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[843][4]~38689\,
	combout => \led_flash_cnt[843][5]~38690_combout\,
	cout => \led_flash_cnt[843][5]~38691\);

-- Location: FF_X72_Y29_N17
\led_flash_cnt[843][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[843][5]~38690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[843][5]~q\);

-- Location: LCCOMB_X72_Y29_N18
\led_flash_cnt[843][6]~38692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[843][6]~38692_combout\ = (\led_flash_cnt[843][6]~q\ & (!\led_flash_cnt[843][5]~38691\)) # (!\led_flash_cnt[843][6]~q\ & ((\led_flash_cnt[843][5]~38691\) # (GND)))
-- \led_flash_cnt[843][6]~38693\ = CARRY((!\led_flash_cnt[843][5]~38691\) # (!\led_flash_cnt[843][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[843][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[843][5]~38691\,
	combout => \led_flash_cnt[843][6]~38692_combout\,
	cout => \led_flash_cnt[843][6]~38693\);

-- Location: FF_X72_Y29_N19
\led_flash_cnt[843][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[843][6]~38692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[843][6]~q\);

-- Location: LCCOMB_X72_Y29_N20
\led_flash_cnt[843][7]~38694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[843][7]~38694_combout\ = \led_flash_cnt[843][6]~38693\ $ (!\led_flash_cnt[843][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[843][7]~q\,
	cin => \led_flash_cnt[843][6]~38693\,
	combout => \led_flash_cnt[843][7]~38694_combout\);

-- Location: FF_X72_Y29_N21
\led_flash_cnt[843][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[843][7]~38694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[843][7]~q\);

-- Location: LCCOMB_X72_Y29_N22
\WideAnd843~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd843~1_combout\ = (\led_flash_cnt[843][6]~q\ & \led_flash_cnt[843][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[843][6]~q\,
	datad => \led_flash_cnt[843][5]~q\,
	combout => \WideAnd843~1_combout\);

-- Location: LCCOMB_X72_Y29_N24
\WideAnd843~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd843~0_combout\ = (\led_flash_cnt[843][3]~q\ & (\led_flash_cnt[843][4]~q\ & (\led_flash_cnt[843][1]~q\ & \led_flash_cnt[843][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[843][3]~q\,
	datab => \led_flash_cnt[843][4]~q\,
	datac => \led_flash_cnt[843][1]~q\,
	datad => \led_flash_cnt[843][2]~q\,
	combout => \WideAnd843~0_combout\);

-- Location: LCCOMB_X72_Y29_N30
WideAnd843 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd843~combout\ = (\led_flash_cnt[843][0]~q\ & (\led_flash_cnt[843][7]~q\ & (\WideAnd843~1_combout\ & \WideAnd843~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[843][0]~q\,
	datab => \led_flash_cnt[843][7]~q\,
	datac => \WideAnd843~1_combout\,
	datad => \WideAnd843~0_combout\,
	combout => \WideAnd843~combout\);

-- Location: FF_X72_Y29_N31
\led_flash_cnt_ands[843]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd843~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(843));

-- Location: LCCOMB_X71_Y28_N30
\led_flash_cnt[841][0]~81481\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[841][0]~81481_combout\ = !\led_flash_cnt[841][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[841][0]~q\,
	combout => \led_flash_cnt[841][0]~81481_combout\);

-- Location: FF_X71_Y28_N31
\led_flash_cnt[841][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[841][0]~81481_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[841][0]~q\);

-- Location: LCCOMB_X71_Y28_N8
\led_flash_cnt[841][1]~38654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[841][1]~38654_combout\ = (\led_flash_cnt[841][0]~q\ & (\led_flash_cnt[841][1]~q\ $ (VCC))) # (!\led_flash_cnt[841][0]~q\ & (\led_flash_cnt[841][1]~q\ & VCC))
-- \led_flash_cnt[841][1]~38655\ = CARRY((\led_flash_cnt[841][0]~q\ & \led_flash_cnt[841][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[841][0]~q\,
	datab => \led_flash_cnt[841][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[841][1]~38654_combout\,
	cout => \led_flash_cnt[841][1]~38655\);

-- Location: FF_X71_Y28_N9
\led_flash_cnt[841][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[841][1]~38654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[841][1]~q\);

-- Location: LCCOMB_X71_Y28_N10
\led_flash_cnt[841][2]~38656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[841][2]~38656_combout\ = (\led_flash_cnt[841][2]~q\ & (!\led_flash_cnt[841][1]~38655\)) # (!\led_flash_cnt[841][2]~q\ & ((\led_flash_cnt[841][1]~38655\) # (GND)))
-- \led_flash_cnt[841][2]~38657\ = CARRY((!\led_flash_cnt[841][1]~38655\) # (!\led_flash_cnt[841][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[841][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[841][1]~38655\,
	combout => \led_flash_cnt[841][2]~38656_combout\,
	cout => \led_flash_cnt[841][2]~38657\);

-- Location: FF_X71_Y28_N11
\led_flash_cnt[841][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[841][2]~38656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[841][2]~q\);

-- Location: LCCOMB_X71_Y28_N12
\led_flash_cnt[841][3]~38658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[841][3]~38658_combout\ = (\led_flash_cnt[841][3]~q\ & (\led_flash_cnt[841][2]~38657\ $ (GND))) # (!\led_flash_cnt[841][3]~q\ & (!\led_flash_cnt[841][2]~38657\ & VCC))
-- \led_flash_cnt[841][3]~38659\ = CARRY((\led_flash_cnt[841][3]~q\ & !\led_flash_cnt[841][2]~38657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[841][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[841][2]~38657\,
	combout => \led_flash_cnt[841][3]~38658_combout\,
	cout => \led_flash_cnt[841][3]~38659\);

-- Location: FF_X71_Y28_N13
\led_flash_cnt[841][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[841][3]~38658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[841][3]~q\);

-- Location: LCCOMB_X71_Y28_N14
\led_flash_cnt[841][4]~38660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[841][4]~38660_combout\ = (\led_flash_cnt[841][4]~q\ & (!\led_flash_cnt[841][3]~38659\)) # (!\led_flash_cnt[841][4]~q\ & ((\led_flash_cnt[841][3]~38659\) # (GND)))
-- \led_flash_cnt[841][4]~38661\ = CARRY((!\led_flash_cnt[841][3]~38659\) # (!\led_flash_cnt[841][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[841][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[841][3]~38659\,
	combout => \led_flash_cnt[841][4]~38660_combout\,
	cout => \led_flash_cnt[841][4]~38661\);

-- Location: FF_X71_Y28_N15
\led_flash_cnt[841][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[841][4]~38660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[841][4]~q\);

-- Location: LCCOMB_X71_Y28_N16
\led_flash_cnt[841][5]~38662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[841][5]~38662_combout\ = (\led_flash_cnt[841][5]~q\ & (\led_flash_cnt[841][4]~38661\ $ (GND))) # (!\led_flash_cnt[841][5]~q\ & (!\led_flash_cnt[841][4]~38661\ & VCC))
-- \led_flash_cnt[841][5]~38663\ = CARRY((\led_flash_cnt[841][5]~q\ & !\led_flash_cnt[841][4]~38661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[841][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[841][4]~38661\,
	combout => \led_flash_cnt[841][5]~38662_combout\,
	cout => \led_flash_cnt[841][5]~38663\);

-- Location: FF_X71_Y28_N17
\led_flash_cnt[841][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[841][5]~38662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[841][5]~q\);

-- Location: LCCOMB_X71_Y28_N18
\led_flash_cnt[841][6]~38664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[841][6]~38664_combout\ = (\led_flash_cnt[841][6]~q\ & (!\led_flash_cnt[841][5]~38663\)) # (!\led_flash_cnt[841][6]~q\ & ((\led_flash_cnt[841][5]~38663\) # (GND)))
-- \led_flash_cnt[841][6]~38665\ = CARRY((!\led_flash_cnt[841][5]~38663\) # (!\led_flash_cnt[841][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[841][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[841][5]~38663\,
	combout => \led_flash_cnt[841][6]~38664_combout\,
	cout => \led_flash_cnt[841][6]~38665\);

-- Location: FF_X71_Y28_N19
\led_flash_cnt[841][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[841][6]~38664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[841][6]~q\);

-- Location: LCCOMB_X71_Y28_N20
\led_flash_cnt[841][7]~38666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[841][7]~38666_combout\ = \led_flash_cnt[841][6]~38665\ $ (!\led_flash_cnt[841][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[841][7]~q\,
	cin => \led_flash_cnt[841][6]~38665\,
	combout => \led_flash_cnt[841][7]~38666_combout\);

-- Location: FF_X71_Y28_N21
\led_flash_cnt[841][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[841][7]~38666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[841][7]~q\);

-- Location: LCCOMB_X71_Y28_N4
\WideAnd841~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd841~1_combout\ = (\led_flash_cnt[841][6]~q\ & \led_flash_cnt[841][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[841][6]~q\,
	datad => \led_flash_cnt[841][5]~q\,
	combout => \WideAnd841~1_combout\);

-- Location: LCCOMB_X71_Y28_N24
\WideAnd841~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd841~0_combout\ = (\led_flash_cnt[841][3]~q\ & (\led_flash_cnt[841][4]~q\ & (\led_flash_cnt[841][1]~q\ & \led_flash_cnt[841][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[841][3]~q\,
	datab => \led_flash_cnt[841][4]~q\,
	datac => \led_flash_cnt[841][1]~q\,
	datad => \led_flash_cnt[841][2]~q\,
	combout => \WideAnd841~0_combout\);

-- Location: LCCOMB_X71_Y28_N28
WideAnd841 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd841~combout\ = (\led_flash_cnt[841][0]~q\ & (\led_flash_cnt[841][7]~q\ & (\WideAnd841~1_combout\ & \WideAnd841~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[841][0]~q\,
	datab => \led_flash_cnt[841][7]~q\,
	datac => \WideAnd841~1_combout\,
	datad => \WideAnd841~0_combout\,
	combout => \WideAnd841~combout\);

-- Location: FF_X71_Y28_N29
\led_flash_cnt_ands[841]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd841~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(841));

-- Location: LCCOMB_X72_Y28_N26
\WideAnd3945~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3945~0_combout\ = (led_flash_cnt_ands(842) & (led_flash_cnt_ands(840) & (led_flash_cnt_ands(843) & led_flash_cnt_ands(841))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(842),
	datab => led_flash_cnt_ands(840),
	datac => led_flash_cnt_ands(843),
	datad => led_flash_cnt_ands(841),
	combout => \WideAnd3945~0_combout\);

-- Location: LCCOMB_X75_Y26_N6
\led_flash_cnt[847][0]~81487\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[847][0]~81487_combout\ = !\led_flash_cnt[847][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[847][0]~q\,
	combout => \led_flash_cnt[847][0]~81487_combout\);

-- Location: FF_X75_Y26_N7
\led_flash_cnt[847][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[847][0]~81487_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[847][0]~q\);

-- Location: LCCOMB_X76_Y26_N2
\led_flash_cnt[847][1]~38738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[847][1]~38738_combout\ = (\led_flash_cnt[847][0]~q\ & (\led_flash_cnt[847][1]~q\ $ (VCC))) # (!\led_flash_cnt[847][0]~q\ & (\led_flash_cnt[847][1]~q\ & VCC))
-- \led_flash_cnt[847][1]~38739\ = CARRY((\led_flash_cnt[847][0]~q\ & \led_flash_cnt[847][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[847][0]~q\,
	datab => \led_flash_cnt[847][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[847][1]~38738_combout\,
	cout => \led_flash_cnt[847][1]~38739\);

-- Location: FF_X76_Y26_N3
\led_flash_cnt[847][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[847][1]~38738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[847][1]~q\);

-- Location: LCCOMB_X76_Y26_N4
\led_flash_cnt[847][2]~38740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[847][2]~38740_combout\ = (\led_flash_cnt[847][2]~q\ & (!\led_flash_cnt[847][1]~38739\)) # (!\led_flash_cnt[847][2]~q\ & ((\led_flash_cnt[847][1]~38739\) # (GND)))
-- \led_flash_cnt[847][2]~38741\ = CARRY((!\led_flash_cnt[847][1]~38739\) # (!\led_flash_cnt[847][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[847][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[847][1]~38739\,
	combout => \led_flash_cnt[847][2]~38740_combout\,
	cout => \led_flash_cnt[847][2]~38741\);

-- Location: FF_X76_Y26_N5
\led_flash_cnt[847][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[847][2]~38740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[847][2]~q\);

-- Location: LCCOMB_X76_Y26_N6
\led_flash_cnt[847][3]~38742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[847][3]~38742_combout\ = (\led_flash_cnt[847][3]~q\ & (\led_flash_cnt[847][2]~38741\ $ (GND))) # (!\led_flash_cnt[847][3]~q\ & (!\led_flash_cnt[847][2]~38741\ & VCC))
-- \led_flash_cnt[847][3]~38743\ = CARRY((\led_flash_cnt[847][3]~q\ & !\led_flash_cnt[847][2]~38741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[847][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[847][2]~38741\,
	combout => \led_flash_cnt[847][3]~38742_combout\,
	cout => \led_flash_cnt[847][3]~38743\);

-- Location: FF_X76_Y26_N7
\led_flash_cnt[847][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[847][3]~38742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[847][3]~q\);

-- Location: LCCOMB_X76_Y26_N8
\led_flash_cnt[847][4]~38744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[847][4]~38744_combout\ = (\led_flash_cnt[847][4]~q\ & (!\led_flash_cnt[847][3]~38743\)) # (!\led_flash_cnt[847][4]~q\ & ((\led_flash_cnt[847][3]~38743\) # (GND)))
-- \led_flash_cnt[847][4]~38745\ = CARRY((!\led_flash_cnt[847][3]~38743\) # (!\led_flash_cnt[847][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[847][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[847][3]~38743\,
	combout => \led_flash_cnt[847][4]~38744_combout\,
	cout => \led_flash_cnt[847][4]~38745\);

-- Location: FF_X76_Y26_N9
\led_flash_cnt[847][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[847][4]~38744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[847][4]~q\);

-- Location: LCCOMB_X76_Y26_N10
\led_flash_cnt[847][5]~38746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[847][5]~38746_combout\ = (\led_flash_cnt[847][5]~q\ & (\led_flash_cnt[847][4]~38745\ $ (GND))) # (!\led_flash_cnt[847][5]~q\ & (!\led_flash_cnt[847][4]~38745\ & VCC))
-- \led_flash_cnt[847][5]~38747\ = CARRY((\led_flash_cnt[847][5]~q\ & !\led_flash_cnt[847][4]~38745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[847][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[847][4]~38745\,
	combout => \led_flash_cnt[847][5]~38746_combout\,
	cout => \led_flash_cnt[847][5]~38747\);

-- Location: FF_X76_Y26_N11
\led_flash_cnt[847][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[847][5]~38746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[847][5]~q\);

-- Location: LCCOMB_X76_Y26_N12
\led_flash_cnt[847][6]~38748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[847][6]~38748_combout\ = (\led_flash_cnt[847][6]~q\ & (!\led_flash_cnt[847][5]~38747\)) # (!\led_flash_cnt[847][6]~q\ & ((\led_flash_cnt[847][5]~38747\) # (GND)))
-- \led_flash_cnt[847][6]~38749\ = CARRY((!\led_flash_cnt[847][5]~38747\) # (!\led_flash_cnt[847][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[847][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[847][5]~38747\,
	combout => \led_flash_cnt[847][6]~38748_combout\,
	cout => \led_flash_cnt[847][6]~38749\);

-- Location: FF_X76_Y26_N13
\led_flash_cnt[847][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[847][6]~38748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[847][6]~q\);

-- Location: LCCOMB_X75_Y26_N30
\WideAnd847~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd847~1_combout\ = (\led_flash_cnt[847][5]~q\ & \led_flash_cnt[847][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[847][5]~q\,
	datac => \led_flash_cnt[847][6]~q\,
	combout => \WideAnd847~1_combout\);

-- Location: LCCOMB_X76_Y26_N0
\WideAnd847~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd847~0_combout\ = (\led_flash_cnt[847][3]~q\ & (\led_flash_cnt[847][4]~q\ & (\led_flash_cnt[847][2]~q\ & \led_flash_cnt[847][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[847][3]~q\,
	datab => \led_flash_cnt[847][4]~q\,
	datac => \led_flash_cnt[847][2]~q\,
	datad => \led_flash_cnt[847][1]~q\,
	combout => \WideAnd847~0_combout\);

-- Location: LCCOMB_X76_Y26_N14
\led_flash_cnt[847][7]~38750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[847][7]~38750_combout\ = \led_flash_cnt[847][7]~q\ $ (!\led_flash_cnt[847][6]~38749\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[847][7]~q\,
	cin => \led_flash_cnt[847][6]~38749\,
	combout => \led_flash_cnt[847][7]~38750_combout\);

-- Location: FF_X76_Y26_N15
\led_flash_cnt[847][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[847][7]~38750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[847][7]~q\);

-- Location: LCCOMB_X75_Y26_N28
WideAnd847 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd847~combout\ = (\WideAnd847~1_combout\ & (\WideAnd847~0_combout\ & (\led_flash_cnt[847][7]~q\ & \led_flash_cnt[847][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd847~1_combout\,
	datab => \WideAnd847~0_combout\,
	datac => \led_flash_cnt[847][7]~q\,
	datad => \led_flash_cnt[847][0]~q\,
	combout => \WideAnd847~combout\);

-- Location: FF_X75_Y26_N29
\led_flash_cnt_ands[847]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd847~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(847));

-- Location: LCCOMB_X75_Y15_N2
\led_flash_cnt[845][0]~81485\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[845][0]~81485_combout\ = !\led_flash_cnt[845][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[845][0]~q\,
	combout => \led_flash_cnt[845][0]~81485_combout\);

-- Location: FF_X75_Y15_N3
\led_flash_cnt[845][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[845][0]~81485_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[845][0]~q\);

-- Location: LCCOMB_X74_Y15_N16
\led_flash_cnt[845][1]~38710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[845][1]~38710_combout\ = (\led_flash_cnt[845][0]~q\ & (\led_flash_cnt[845][1]~q\ $ (VCC))) # (!\led_flash_cnt[845][0]~q\ & (\led_flash_cnt[845][1]~q\ & VCC))
-- \led_flash_cnt[845][1]~38711\ = CARRY((\led_flash_cnt[845][0]~q\ & \led_flash_cnt[845][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[845][0]~q\,
	datab => \led_flash_cnt[845][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[845][1]~38710_combout\,
	cout => \led_flash_cnt[845][1]~38711\);

-- Location: FF_X74_Y15_N17
\led_flash_cnt[845][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[845][1]~38710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[845][1]~q\);

-- Location: LCCOMB_X74_Y15_N18
\led_flash_cnt[845][2]~38712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[845][2]~38712_combout\ = (\led_flash_cnt[845][2]~q\ & (!\led_flash_cnt[845][1]~38711\)) # (!\led_flash_cnt[845][2]~q\ & ((\led_flash_cnt[845][1]~38711\) # (GND)))
-- \led_flash_cnt[845][2]~38713\ = CARRY((!\led_flash_cnt[845][1]~38711\) # (!\led_flash_cnt[845][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[845][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[845][1]~38711\,
	combout => \led_flash_cnt[845][2]~38712_combout\,
	cout => \led_flash_cnt[845][2]~38713\);

-- Location: FF_X74_Y15_N19
\led_flash_cnt[845][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[845][2]~38712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[845][2]~q\);

-- Location: LCCOMB_X74_Y15_N20
\led_flash_cnt[845][3]~38714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[845][3]~38714_combout\ = (\led_flash_cnt[845][3]~q\ & (\led_flash_cnt[845][2]~38713\ $ (GND))) # (!\led_flash_cnt[845][3]~q\ & (!\led_flash_cnt[845][2]~38713\ & VCC))
-- \led_flash_cnt[845][3]~38715\ = CARRY((\led_flash_cnt[845][3]~q\ & !\led_flash_cnt[845][2]~38713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[845][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[845][2]~38713\,
	combout => \led_flash_cnt[845][3]~38714_combout\,
	cout => \led_flash_cnt[845][3]~38715\);

-- Location: FF_X74_Y15_N21
\led_flash_cnt[845][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[845][3]~38714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[845][3]~q\);

-- Location: LCCOMB_X74_Y15_N22
\led_flash_cnt[845][4]~38716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[845][4]~38716_combout\ = (\led_flash_cnt[845][4]~q\ & (!\led_flash_cnt[845][3]~38715\)) # (!\led_flash_cnt[845][4]~q\ & ((\led_flash_cnt[845][3]~38715\) # (GND)))
-- \led_flash_cnt[845][4]~38717\ = CARRY((!\led_flash_cnt[845][3]~38715\) # (!\led_flash_cnt[845][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[845][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[845][3]~38715\,
	combout => \led_flash_cnt[845][4]~38716_combout\,
	cout => \led_flash_cnt[845][4]~38717\);

-- Location: FF_X74_Y15_N23
\led_flash_cnt[845][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[845][4]~38716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[845][4]~q\);

-- Location: LCCOMB_X74_Y15_N24
\led_flash_cnt[845][5]~38718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[845][5]~38718_combout\ = (\led_flash_cnt[845][5]~q\ & (\led_flash_cnt[845][4]~38717\ $ (GND))) # (!\led_flash_cnt[845][5]~q\ & (!\led_flash_cnt[845][4]~38717\ & VCC))
-- \led_flash_cnt[845][5]~38719\ = CARRY((\led_flash_cnt[845][5]~q\ & !\led_flash_cnt[845][4]~38717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[845][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[845][4]~38717\,
	combout => \led_flash_cnt[845][5]~38718_combout\,
	cout => \led_flash_cnt[845][5]~38719\);

-- Location: FF_X74_Y15_N25
\led_flash_cnt[845][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[845][5]~38718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[845][5]~q\);

-- Location: LCCOMB_X74_Y15_N26
\led_flash_cnt[845][6]~38720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[845][6]~38720_combout\ = (\led_flash_cnt[845][6]~q\ & (!\led_flash_cnt[845][5]~38719\)) # (!\led_flash_cnt[845][6]~q\ & ((\led_flash_cnt[845][5]~38719\) # (GND)))
-- \led_flash_cnt[845][6]~38721\ = CARRY((!\led_flash_cnt[845][5]~38719\) # (!\led_flash_cnt[845][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[845][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[845][5]~38719\,
	combout => \led_flash_cnt[845][6]~38720_combout\,
	cout => \led_flash_cnt[845][6]~38721\);

-- Location: FF_X74_Y15_N27
\led_flash_cnt[845][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[845][6]~38720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[845][6]~q\);

-- Location: LCCOMB_X75_Y15_N26
\WideAnd845~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd845~1_combout\ = (\led_flash_cnt[845][6]~q\ & \led_flash_cnt[845][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[845][6]~q\,
	datad => \led_flash_cnt[845][5]~q\,
	combout => \WideAnd845~1_combout\);

-- Location: LCCOMB_X74_Y15_N28
\led_flash_cnt[845][7]~38722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[845][7]~38722_combout\ = \led_flash_cnt[845][6]~38721\ $ (!\led_flash_cnt[845][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[845][7]~q\,
	cin => \led_flash_cnt[845][6]~38721\,
	combout => \led_flash_cnt[845][7]~38722_combout\);

-- Location: FF_X74_Y15_N29
\led_flash_cnt[845][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[845][7]~38722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[845][7]~q\);

-- Location: LCCOMB_X74_Y15_N0
\WideAnd845~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd845~0_combout\ = (\led_flash_cnt[845][1]~q\ & (\led_flash_cnt[845][3]~q\ & (\led_flash_cnt[845][4]~q\ & \led_flash_cnt[845][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[845][1]~q\,
	datab => \led_flash_cnt[845][3]~q\,
	datac => \led_flash_cnt[845][4]~q\,
	datad => \led_flash_cnt[845][2]~q\,
	combout => \WideAnd845~0_combout\);

-- Location: LCCOMB_X75_Y15_N4
WideAnd845 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd845~combout\ = (\WideAnd845~1_combout\ & (\led_flash_cnt[845][7]~q\ & (\WideAnd845~0_combout\ & \led_flash_cnt[845][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd845~1_combout\,
	datab => \led_flash_cnt[845][7]~q\,
	datac => \WideAnd845~0_combout\,
	datad => \led_flash_cnt[845][0]~q\,
	combout => \WideAnd845~combout\);

-- Location: FF_X75_Y15_N5
\led_flash_cnt_ands[845]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd845~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(845));

-- Location: LCCOMB_X75_Y15_N8
\led_flash_cnt[844][0]~81484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[844][0]~81484_combout\ = !\led_flash_cnt[844][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[844][0]~q\,
	combout => \led_flash_cnt[844][0]~81484_combout\);

-- Location: FF_X75_Y15_N9
\led_flash_cnt[844][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[844][0]~81484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[844][0]~q\);

-- Location: LCCOMB_X75_Y15_N10
\led_flash_cnt[844][1]~38696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[844][1]~38696_combout\ = (\led_flash_cnt[844][1]~q\ & (\led_flash_cnt[844][0]~q\ $ (VCC))) # (!\led_flash_cnt[844][1]~q\ & (\led_flash_cnt[844][0]~q\ & VCC))
-- \led_flash_cnt[844][1]~38697\ = CARRY((\led_flash_cnt[844][1]~q\ & \led_flash_cnt[844][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[844][1]~q\,
	datab => \led_flash_cnt[844][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[844][1]~38696_combout\,
	cout => \led_flash_cnt[844][1]~38697\);

-- Location: FF_X75_Y15_N11
\led_flash_cnt[844][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[844][1]~38696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[844][1]~q\);

-- Location: LCCOMB_X75_Y15_N12
\led_flash_cnt[844][2]~38698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[844][2]~38698_combout\ = (\led_flash_cnt[844][2]~q\ & (!\led_flash_cnt[844][1]~38697\)) # (!\led_flash_cnt[844][2]~q\ & ((\led_flash_cnt[844][1]~38697\) # (GND)))
-- \led_flash_cnt[844][2]~38699\ = CARRY((!\led_flash_cnt[844][1]~38697\) # (!\led_flash_cnt[844][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[844][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[844][1]~38697\,
	combout => \led_flash_cnt[844][2]~38698_combout\,
	cout => \led_flash_cnt[844][2]~38699\);

-- Location: FF_X75_Y15_N13
\led_flash_cnt[844][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[844][2]~38698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[844][2]~q\);

-- Location: LCCOMB_X75_Y15_N14
\led_flash_cnt[844][3]~38700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[844][3]~38700_combout\ = (\led_flash_cnt[844][3]~q\ & (\led_flash_cnt[844][2]~38699\ $ (GND))) # (!\led_flash_cnt[844][3]~q\ & (!\led_flash_cnt[844][2]~38699\ & VCC))
-- \led_flash_cnt[844][3]~38701\ = CARRY((\led_flash_cnt[844][3]~q\ & !\led_flash_cnt[844][2]~38699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[844][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[844][2]~38699\,
	combout => \led_flash_cnt[844][3]~38700_combout\,
	cout => \led_flash_cnt[844][3]~38701\);

-- Location: FF_X75_Y15_N15
\led_flash_cnt[844][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[844][3]~38700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[844][3]~q\);

-- Location: LCCOMB_X75_Y15_N16
\led_flash_cnt[844][4]~38702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[844][4]~38702_combout\ = (\led_flash_cnt[844][4]~q\ & (!\led_flash_cnt[844][3]~38701\)) # (!\led_flash_cnt[844][4]~q\ & ((\led_flash_cnt[844][3]~38701\) # (GND)))
-- \led_flash_cnt[844][4]~38703\ = CARRY((!\led_flash_cnt[844][3]~38701\) # (!\led_flash_cnt[844][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[844][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[844][3]~38701\,
	combout => \led_flash_cnt[844][4]~38702_combout\,
	cout => \led_flash_cnt[844][4]~38703\);

-- Location: FF_X75_Y15_N17
\led_flash_cnt[844][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[844][4]~38702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[844][4]~q\);

-- Location: LCCOMB_X75_Y15_N18
\led_flash_cnt[844][5]~38704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[844][5]~38704_combout\ = (\led_flash_cnt[844][5]~q\ & (\led_flash_cnt[844][4]~38703\ $ (GND))) # (!\led_flash_cnt[844][5]~q\ & (!\led_flash_cnt[844][4]~38703\ & VCC))
-- \led_flash_cnt[844][5]~38705\ = CARRY((\led_flash_cnt[844][5]~q\ & !\led_flash_cnt[844][4]~38703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[844][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[844][4]~38703\,
	combout => \led_flash_cnt[844][5]~38704_combout\,
	cout => \led_flash_cnt[844][5]~38705\);

-- Location: FF_X75_Y15_N19
\led_flash_cnt[844][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[844][5]~38704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[844][5]~q\);

-- Location: LCCOMB_X75_Y15_N20
\led_flash_cnt[844][6]~38706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[844][6]~38706_combout\ = (\led_flash_cnt[844][6]~q\ & (!\led_flash_cnt[844][5]~38705\)) # (!\led_flash_cnt[844][6]~q\ & ((\led_flash_cnt[844][5]~38705\) # (GND)))
-- \led_flash_cnt[844][6]~38707\ = CARRY((!\led_flash_cnt[844][5]~38705\) # (!\led_flash_cnt[844][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[844][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[844][5]~38705\,
	combout => \led_flash_cnt[844][6]~38706_combout\,
	cout => \led_flash_cnt[844][6]~38707\);

-- Location: FF_X75_Y15_N21
\led_flash_cnt[844][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[844][6]~38706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[844][6]~q\);

-- Location: LCCOMB_X75_Y15_N30
\WideAnd844~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd844~1_combout\ = (\led_flash_cnt[844][6]~q\ & \led_flash_cnt[844][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[844][6]~q\,
	datad => \led_flash_cnt[844][5]~q\,
	combout => \WideAnd844~1_combout\);

-- Location: LCCOMB_X75_Y15_N22
\led_flash_cnt[844][7]~38708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[844][7]~38708_combout\ = \led_flash_cnt[844][7]~q\ $ (!\led_flash_cnt[844][6]~38707\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[844][7]~q\,
	cin => \led_flash_cnt[844][6]~38707\,
	combout => \led_flash_cnt[844][7]~38708_combout\);

-- Location: FF_X75_Y15_N23
\led_flash_cnt[844][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[844][7]~38708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[844][7]~q\);

-- Location: LCCOMB_X75_Y15_N28
\WideAnd844~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd844~0_combout\ = (\led_flash_cnt[844][2]~q\ & (\led_flash_cnt[844][4]~q\ & (\led_flash_cnt[844][3]~q\ & \led_flash_cnt[844][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[844][2]~q\,
	datab => \led_flash_cnt[844][4]~q\,
	datac => \led_flash_cnt[844][3]~q\,
	datad => \led_flash_cnt[844][1]~q\,
	combout => \WideAnd844~0_combout\);

-- Location: LCCOMB_X75_Y15_N6
WideAnd844 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd844~combout\ = (\WideAnd844~1_combout\ & (\led_flash_cnt[844][0]~q\ & (\led_flash_cnt[844][7]~q\ & \WideAnd844~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd844~1_combout\,
	datab => \led_flash_cnt[844][0]~q\,
	datac => \led_flash_cnt[844][7]~q\,
	datad => \WideAnd844~0_combout\,
	combout => \WideAnd844~combout\);

-- Location: FF_X75_Y15_N7
\led_flash_cnt_ands[844]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd844~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(844));

-- Location: LCCOMB_X75_Y15_N24
\WideAnd3945~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3945~1_combout\ = (led_flash_cnt_ands(845) & led_flash_cnt_ands(844))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(845),
	datad => led_flash_cnt_ands(844),
	combout => \WideAnd3945~1_combout\);

-- Location: LCCOMB_X75_Y26_N2
\led_flash_cnt[846][0]~81486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[846][0]~81486_combout\ = !\led_flash_cnt[846][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[846][0]~q\,
	combout => \led_flash_cnt[846][0]~81486_combout\);

-- Location: FF_X75_Y26_N3
\led_flash_cnt[846][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[846][0]~81486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[846][0]~q\);

-- Location: LCCOMB_X75_Y26_N10
\led_flash_cnt[846][1]~38724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[846][1]~38724_combout\ = (\led_flash_cnt[846][1]~q\ & (\led_flash_cnt[846][0]~q\ $ (VCC))) # (!\led_flash_cnt[846][1]~q\ & (\led_flash_cnt[846][0]~q\ & VCC))
-- \led_flash_cnt[846][1]~38725\ = CARRY((\led_flash_cnt[846][1]~q\ & \led_flash_cnt[846][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[846][1]~q\,
	datab => \led_flash_cnt[846][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[846][1]~38724_combout\,
	cout => \led_flash_cnt[846][1]~38725\);

-- Location: FF_X75_Y26_N11
\led_flash_cnt[846][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[846][1]~38724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[846][1]~q\);

-- Location: LCCOMB_X75_Y26_N12
\led_flash_cnt[846][2]~38726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[846][2]~38726_combout\ = (\led_flash_cnt[846][2]~q\ & (!\led_flash_cnt[846][1]~38725\)) # (!\led_flash_cnt[846][2]~q\ & ((\led_flash_cnt[846][1]~38725\) # (GND)))
-- \led_flash_cnt[846][2]~38727\ = CARRY((!\led_flash_cnt[846][1]~38725\) # (!\led_flash_cnt[846][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[846][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[846][1]~38725\,
	combout => \led_flash_cnt[846][2]~38726_combout\,
	cout => \led_flash_cnt[846][2]~38727\);

-- Location: FF_X75_Y26_N13
\led_flash_cnt[846][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[846][2]~38726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[846][2]~q\);

-- Location: LCCOMB_X75_Y26_N14
\led_flash_cnt[846][3]~38728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[846][3]~38728_combout\ = (\led_flash_cnt[846][3]~q\ & (\led_flash_cnt[846][2]~38727\ $ (GND))) # (!\led_flash_cnt[846][3]~q\ & (!\led_flash_cnt[846][2]~38727\ & VCC))
-- \led_flash_cnt[846][3]~38729\ = CARRY((\led_flash_cnt[846][3]~q\ & !\led_flash_cnt[846][2]~38727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[846][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[846][2]~38727\,
	combout => \led_flash_cnt[846][3]~38728_combout\,
	cout => \led_flash_cnt[846][3]~38729\);

-- Location: FF_X75_Y26_N15
\led_flash_cnt[846][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[846][3]~38728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[846][3]~q\);

-- Location: LCCOMB_X75_Y26_N16
\led_flash_cnt[846][4]~38730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[846][4]~38730_combout\ = (\led_flash_cnt[846][4]~q\ & (!\led_flash_cnt[846][3]~38729\)) # (!\led_flash_cnt[846][4]~q\ & ((\led_flash_cnt[846][3]~38729\) # (GND)))
-- \led_flash_cnt[846][4]~38731\ = CARRY((!\led_flash_cnt[846][3]~38729\) # (!\led_flash_cnt[846][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[846][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[846][3]~38729\,
	combout => \led_flash_cnt[846][4]~38730_combout\,
	cout => \led_flash_cnt[846][4]~38731\);

-- Location: FF_X75_Y26_N17
\led_flash_cnt[846][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[846][4]~38730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[846][4]~q\);

-- Location: LCCOMB_X75_Y26_N18
\led_flash_cnt[846][5]~38732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[846][5]~38732_combout\ = (\led_flash_cnt[846][5]~q\ & (\led_flash_cnt[846][4]~38731\ $ (GND))) # (!\led_flash_cnt[846][5]~q\ & (!\led_flash_cnt[846][4]~38731\ & VCC))
-- \led_flash_cnt[846][5]~38733\ = CARRY((\led_flash_cnt[846][5]~q\ & !\led_flash_cnt[846][4]~38731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[846][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[846][4]~38731\,
	combout => \led_flash_cnt[846][5]~38732_combout\,
	cout => \led_flash_cnt[846][5]~38733\);

-- Location: FF_X75_Y26_N19
\led_flash_cnt[846][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[846][5]~38732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[846][5]~q\);

-- Location: LCCOMB_X75_Y26_N20
\led_flash_cnt[846][6]~38734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[846][6]~38734_combout\ = (\led_flash_cnt[846][6]~q\ & (!\led_flash_cnt[846][5]~38733\)) # (!\led_flash_cnt[846][6]~q\ & ((\led_flash_cnt[846][5]~38733\) # (GND)))
-- \led_flash_cnt[846][6]~38735\ = CARRY((!\led_flash_cnt[846][5]~38733\) # (!\led_flash_cnt[846][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[846][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[846][5]~38733\,
	combout => \led_flash_cnt[846][6]~38734_combout\,
	cout => \led_flash_cnt[846][6]~38735\);

-- Location: FF_X75_Y26_N21
\led_flash_cnt[846][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[846][6]~38734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[846][6]~q\);

-- Location: LCCOMB_X75_Y26_N22
\led_flash_cnt[846][7]~38736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[846][7]~38736_combout\ = \led_flash_cnt[846][7]~q\ $ (!\led_flash_cnt[846][6]~38735\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[846][7]~q\,
	cin => \led_flash_cnt[846][6]~38735\,
	combout => \led_flash_cnt[846][7]~38736_combout\);

-- Location: FF_X75_Y26_N23
\led_flash_cnt[846][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[846][7]~38736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[846][7]~q\);

-- Location: LCCOMB_X75_Y26_N8
\WideAnd846~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd846~1_combout\ = (\led_flash_cnt[846][6]~q\ & \led_flash_cnt[846][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[846][6]~q\,
	datad => \led_flash_cnt[846][5]~q\,
	combout => \WideAnd846~1_combout\);

-- Location: LCCOMB_X75_Y26_N4
\WideAnd846~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd846~0_combout\ = (\led_flash_cnt[846][2]~q\ & (\led_flash_cnt[846][4]~q\ & (\led_flash_cnt[846][3]~q\ & \led_flash_cnt[846][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[846][2]~q\,
	datab => \led_flash_cnt[846][4]~q\,
	datac => \led_flash_cnt[846][3]~q\,
	datad => \led_flash_cnt[846][1]~q\,
	combout => \WideAnd846~0_combout\);

-- Location: LCCOMB_X75_Y26_N24
WideAnd846 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd846~combout\ = (\led_flash_cnt[846][7]~q\ & (\WideAnd846~1_combout\ & (\WideAnd846~0_combout\ & \led_flash_cnt[846][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[846][7]~q\,
	datab => \WideAnd846~1_combout\,
	datac => \WideAnd846~0_combout\,
	datad => \led_flash_cnt[846][0]~q\,
	combout => \WideAnd846~combout\);

-- Location: FF_X75_Y26_N25
\led_flash_cnt_ands[846]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd846~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(846));

-- Location: LCCOMB_X75_Y26_N26
WideAnd3945 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3945~combout\ = (\WideAnd3945~0_combout\ & (led_flash_cnt_ands(847) & (\WideAnd3945~1_combout\ & led_flash_cnt_ands(846))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3945~0_combout\,
	datab => led_flash_cnt_ands(847),
	datac => \WideAnd3945~1_combout\,
	datad => led_flash_cnt_ands(846),
	combout => \WideAnd3945~combout\);

-- Location: FF_X75_Y26_N27
\led_flash_cnt_ands_1[105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3945~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(105));

-- Location: LCCOMB_X70_Y6_N4
\led_flash_cnt[837][0]~81477\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[837][0]~81477_combout\ = !\led_flash_cnt[837][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[837][0]~q\,
	combout => \led_flash_cnt[837][0]~81477_combout\);

-- Location: FF_X70_Y6_N5
\led_flash_cnt[837][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[837][0]~81477_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[837][0]~q\);

-- Location: LCCOMB_X70_Y6_N10
\led_flash_cnt[837][1]~38598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[837][1]~38598_combout\ = (\led_flash_cnt[837][1]~q\ & (\led_flash_cnt[837][0]~q\ $ (VCC))) # (!\led_flash_cnt[837][1]~q\ & (\led_flash_cnt[837][0]~q\ & VCC))
-- \led_flash_cnt[837][1]~38599\ = CARRY((\led_flash_cnt[837][1]~q\ & \led_flash_cnt[837][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[837][1]~q\,
	datab => \led_flash_cnt[837][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[837][1]~38598_combout\,
	cout => \led_flash_cnt[837][1]~38599\);

-- Location: FF_X70_Y6_N11
\led_flash_cnt[837][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[837][1]~38598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[837][1]~q\);

-- Location: LCCOMB_X70_Y6_N12
\led_flash_cnt[837][2]~38600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[837][2]~38600_combout\ = (\led_flash_cnt[837][2]~q\ & (!\led_flash_cnt[837][1]~38599\)) # (!\led_flash_cnt[837][2]~q\ & ((\led_flash_cnt[837][1]~38599\) # (GND)))
-- \led_flash_cnt[837][2]~38601\ = CARRY((!\led_flash_cnt[837][1]~38599\) # (!\led_flash_cnt[837][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[837][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[837][1]~38599\,
	combout => \led_flash_cnt[837][2]~38600_combout\,
	cout => \led_flash_cnt[837][2]~38601\);

-- Location: FF_X70_Y6_N13
\led_flash_cnt[837][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[837][2]~38600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[837][2]~q\);

-- Location: LCCOMB_X70_Y6_N14
\led_flash_cnt[837][3]~38602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[837][3]~38602_combout\ = (\led_flash_cnt[837][3]~q\ & (\led_flash_cnt[837][2]~38601\ $ (GND))) # (!\led_flash_cnt[837][3]~q\ & (!\led_flash_cnt[837][2]~38601\ & VCC))
-- \led_flash_cnt[837][3]~38603\ = CARRY((\led_flash_cnt[837][3]~q\ & !\led_flash_cnt[837][2]~38601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[837][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[837][2]~38601\,
	combout => \led_flash_cnt[837][3]~38602_combout\,
	cout => \led_flash_cnt[837][3]~38603\);

-- Location: FF_X70_Y6_N15
\led_flash_cnt[837][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[837][3]~38602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[837][3]~q\);

-- Location: LCCOMB_X70_Y6_N16
\led_flash_cnt[837][4]~38604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[837][4]~38604_combout\ = (\led_flash_cnt[837][4]~q\ & (!\led_flash_cnt[837][3]~38603\)) # (!\led_flash_cnt[837][4]~q\ & ((\led_flash_cnt[837][3]~38603\) # (GND)))
-- \led_flash_cnt[837][4]~38605\ = CARRY((!\led_flash_cnt[837][3]~38603\) # (!\led_flash_cnt[837][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[837][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[837][3]~38603\,
	combout => \led_flash_cnt[837][4]~38604_combout\,
	cout => \led_flash_cnt[837][4]~38605\);

-- Location: FF_X70_Y6_N17
\led_flash_cnt[837][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[837][4]~38604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[837][4]~q\);

-- Location: LCCOMB_X70_Y6_N18
\led_flash_cnt[837][5]~38606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[837][5]~38606_combout\ = (\led_flash_cnt[837][5]~q\ & (\led_flash_cnt[837][4]~38605\ $ (GND))) # (!\led_flash_cnt[837][5]~q\ & (!\led_flash_cnt[837][4]~38605\ & VCC))
-- \led_flash_cnt[837][5]~38607\ = CARRY((\led_flash_cnt[837][5]~q\ & !\led_flash_cnt[837][4]~38605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[837][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[837][4]~38605\,
	combout => \led_flash_cnt[837][5]~38606_combout\,
	cout => \led_flash_cnt[837][5]~38607\);

-- Location: FF_X70_Y6_N19
\led_flash_cnt[837][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[837][5]~38606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[837][5]~q\);

-- Location: LCCOMB_X70_Y6_N20
\led_flash_cnt[837][6]~38608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[837][6]~38608_combout\ = (\led_flash_cnt[837][6]~q\ & (!\led_flash_cnt[837][5]~38607\)) # (!\led_flash_cnt[837][6]~q\ & ((\led_flash_cnt[837][5]~38607\) # (GND)))
-- \led_flash_cnt[837][6]~38609\ = CARRY((!\led_flash_cnt[837][5]~38607\) # (!\led_flash_cnt[837][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[837][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[837][5]~38607\,
	combout => \led_flash_cnt[837][6]~38608_combout\,
	cout => \led_flash_cnt[837][6]~38609\);

-- Location: FF_X70_Y6_N21
\led_flash_cnt[837][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[837][6]~38608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[837][6]~q\);

-- Location: LCCOMB_X70_Y6_N26
\WideAnd837~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd837~1_combout\ = (\led_flash_cnt[837][6]~q\ & \led_flash_cnt[837][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[837][6]~q\,
	datad => \led_flash_cnt[837][5]~q\,
	combout => \WideAnd837~1_combout\);

-- Location: LCCOMB_X70_Y6_N22
\led_flash_cnt[837][7]~38610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[837][7]~38610_combout\ = \led_flash_cnt[837][7]~q\ $ (!\led_flash_cnt[837][6]~38609\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[837][7]~q\,
	cin => \led_flash_cnt[837][6]~38609\,
	combout => \led_flash_cnt[837][7]~38610_combout\);

-- Location: FF_X70_Y6_N23
\led_flash_cnt[837][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[837][7]~38610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[837][7]~q\);

-- Location: LCCOMB_X70_Y6_N24
\WideAnd837~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd837~0_combout\ = (\led_flash_cnt[837][2]~q\ & (\led_flash_cnt[837][4]~q\ & (\led_flash_cnt[837][3]~q\ & \led_flash_cnt[837][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[837][2]~q\,
	datab => \led_flash_cnt[837][4]~q\,
	datac => \led_flash_cnt[837][3]~q\,
	datad => \led_flash_cnt[837][1]~q\,
	combout => \WideAnd837~0_combout\);

-- Location: LCCOMB_X70_Y6_N8
WideAnd837 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd837~combout\ = (\WideAnd837~1_combout\ & (\led_flash_cnt[837][0]~q\ & (\led_flash_cnt[837][7]~q\ & \WideAnd837~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd837~1_combout\,
	datab => \led_flash_cnt[837][0]~q\,
	datac => \led_flash_cnt[837][7]~q\,
	datad => \WideAnd837~0_combout\,
	combout => \WideAnd837~combout\);

-- Location: FF_X70_Y6_N9
\led_flash_cnt_ands[837]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd837~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(837));

-- Location: LCCOMB_X71_Y6_N18
\led_flash_cnt[836][0]~81476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[836][0]~81476_combout\ = !\led_flash_cnt[836][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[836][0]~q\,
	combout => \led_flash_cnt[836][0]~81476_combout\);

-- Location: FF_X71_Y6_N19
\led_flash_cnt[836][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[836][0]~81476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[836][0]~q\);

-- Location: LCCOMB_X71_Y6_N0
\led_flash_cnt[836][1]~38584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[836][1]~38584_combout\ = (\led_flash_cnt[836][1]~q\ & (\led_flash_cnt[836][0]~q\ $ (VCC))) # (!\led_flash_cnt[836][1]~q\ & (\led_flash_cnt[836][0]~q\ & VCC))
-- \led_flash_cnt[836][1]~38585\ = CARRY((\led_flash_cnt[836][1]~q\ & \led_flash_cnt[836][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[836][1]~q\,
	datab => \led_flash_cnt[836][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[836][1]~38584_combout\,
	cout => \led_flash_cnt[836][1]~38585\);

-- Location: FF_X71_Y6_N1
\led_flash_cnt[836][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[836][1]~38584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[836][1]~q\);

-- Location: LCCOMB_X71_Y6_N2
\led_flash_cnt[836][2]~38586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[836][2]~38586_combout\ = (\led_flash_cnt[836][2]~q\ & (!\led_flash_cnt[836][1]~38585\)) # (!\led_flash_cnt[836][2]~q\ & ((\led_flash_cnt[836][1]~38585\) # (GND)))
-- \led_flash_cnt[836][2]~38587\ = CARRY((!\led_flash_cnt[836][1]~38585\) # (!\led_flash_cnt[836][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[836][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[836][1]~38585\,
	combout => \led_flash_cnt[836][2]~38586_combout\,
	cout => \led_flash_cnt[836][2]~38587\);

-- Location: FF_X71_Y6_N3
\led_flash_cnt[836][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[836][2]~38586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[836][2]~q\);

-- Location: LCCOMB_X71_Y6_N4
\led_flash_cnt[836][3]~38588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[836][3]~38588_combout\ = (\led_flash_cnt[836][3]~q\ & (\led_flash_cnt[836][2]~38587\ $ (GND))) # (!\led_flash_cnt[836][3]~q\ & (!\led_flash_cnt[836][2]~38587\ & VCC))
-- \led_flash_cnt[836][3]~38589\ = CARRY((\led_flash_cnt[836][3]~q\ & !\led_flash_cnt[836][2]~38587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[836][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[836][2]~38587\,
	combout => \led_flash_cnt[836][3]~38588_combout\,
	cout => \led_flash_cnt[836][3]~38589\);

-- Location: FF_X71_Y6_N5
\led_flash_cnt[836][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[836][3]~38588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[836][3]~q\);

-- Location: LCCOMB_X71_Y6_N6
\led_flash_cnt[836][4]~38590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[836][4]~38590_combout\ = (\led_flash_cnt[836][4]~q\ & (!\led_flash_cnt[836][3]~38589\)) # (!\led_flash_cnt[836][4]~q\ & ((\led_flash_cnt[836][3]~38589\) # (GND)))
-- \led_flash_cnt[836][4]~38591\ = CARRY((!\led_flash_cnt[836][3]~38589\) # (!\led_flash_cnt[836][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[836][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[836][3]~38589\,
	combout => \led_flash_cnt[836][4]~38590_combout\,
	cout => \led_flash_cnt[836][4]~38591\);

-- Location: FF_X71_Y6_N7
\led_flash_cnt[836][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[836][4]~38590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[836][4]~q\);

-- Location: LCCOMB_X71_Y6_N26
\WideAnd836~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd836~0_combout\ = (\led_flash_cnt[836][4]~q\ & (\led_flash_cnt[836][1]~q\ & (\led_flash_cnt[836][3]~q\ & \led_flash_cnt[836][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[836][4]~q\,
	datab => \led_flash_cnt[836][1]~q\,
	datac => \led_flash_cnt[836][3]~q\,
	datad => \led_flash_cnt[836][2]~q\,
	combout => \WideAnd836~0_combout\);

-- Location: LCCOMB_X71_Y6_N8
\led_flash_cnt[836][5]~38592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[836][5]~38592_combout\ = (\led_flash_cnt[836][5]~q\ & (\led_flash_cnt[836][4]~38591\ $ (GND))) # (!\led_flash_cnt[836][5]~q\ & (!\led_flash_cnt[836][4]~38591\ & VCC))
-- \led_flash_cnt[836][5]~38593\ = CARRY((\led_flash_cnt[836][5]~q\ & !\led_flash_cnt[836][4]~38591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[836][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[836][4]~38591\,
	combout => \led_flash_cnt[836][5]~38592_combout\,
	cout => \led_flash_cnt[836][5]~38593\);

-- Location: FF_X71_Y6_N9
\led_flash_cnt[836][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[836][5]~38592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[836][5]~q\);

-- Location: LCCOMB_X71_Y6_N10
\led_flash_cnt[836][6]~38594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[836][6]~38594_combout\ = (\led_flash_cnt[836][6]~q\ & (!\led_flash_cnt[836][5]~38593\)) # (!\led_flash_cnt[836][6]~q\ & ((\led_flash_cnt[836][5]~38593\) # (GND)))
-- \led_flash_cnt[836][6]~38595\ = CARRY((!\led_flash_cnt[836][5]~38593\) # (!\led_flash_cnt[836][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[836][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[836][5]~38593\,
	combout => \led_flash_cnt[836][6]~38594_combout\,
	cout => \led_flash_cnt[836][6]~38595\);

-- Location: FF_X71_Y6_N11
\led_flash_cnt[836][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[836][6]~38594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[836][6]~q\);

-- Location: LCCOMB_X71_Y6_N22
\WideAnd836~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd836~1_combout\ = (\led_flash_cnt[836][5]~q\ & \led_flash_cnt[836][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[836][5]~q\,
	datad => \led_flash_cnt[836][6]~q\,
	combout => \WideAnd836~1_combout\);

-- Location: LCCOMB_X71_Y6_N12
\led_flash_cnt[836][7]~38596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[836][7]~38596_combout\ = \led_flash_cnt[836][6]~38595\ $ (!\led_flash_cnt[836][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[836][7]~q\,
	cin => \led_flash_cnt[836][6]~38595\,
	combout => \led_flash_cnt[836][7]~38596_combout\);

-- Location: FF_X71_Y6_N13
\led_flash_cnt[836][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[836][7]~38596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[836][7]~q\);

-- Location: LCCOMB_X71_Y6_N24
WideAnd836 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd836~combout\ = (\WideAnd836~0_combout\ & (\led_flash_cnt[836][0]~q\ & (\WideAnd836~1_combout\ & \led_flash_cnt[836][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd836~0_combout\,
	datab => \led_flash_cnt[836][0]~q\,
	datac => \WideAnd836~1_combout\,
	datad => \led_flash_cnt[836][7]~q\,
	combout => \WideAnd836~combout\);

-- Location: FF_X71_Y6_N25
\led_flash_cnt_ands[836]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd836~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(836));

-- Location: LCCOMB_X71_Y6_N14
\WideAnd3944~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3944~1_combout\ = (led_flash_cnt_ands(837) & led_flash_cnt_ands(836))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(837),
	datad => led_flash_cnt_ands(836),
	combout => \WideAnd3944~1_combout\);

-- Location: LCCOMB_X72_Y6_N10
\led_flash_cnt[839][0]~81479\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[839][0]~81479_combout\ = !\led_flash_cnt[839][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[839][0]~q\,
	combout => \led_flash_cnt[839][0]~81479_combout\);

-- Location: FF_X72_Y6_N11
\led_flash_cnt[839][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[839][0]~81479_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[839][0]~q\);

-- Location: LCCOMB_X72_Y6_N12
\led_flash_cnt[839][1]~38626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[839][1]~38626_combout\ = (\led_flash_cnt[839][1]~q\ & (\led_flash_cnt[839][0]~q\ $ (VCC))) # (!\led_flash_cnt[839][1]~q\ & (\led_flash_cnt[839][0]~q\ & VCC))
-- \led_flash_cnt[839][1]~38627\ = CARRY((\led_flash_cnt[839][1]~q\ & \led_flash_cnt[839][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[839][1]~q\,
	datab => \led_flash_cnt[839][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[839][1]~38626_combout\,
	cout => \led_flash_cnt[839][1]~38627\);

-- Location: FF_X72_Y6_N13
\led_flash_cnt[839][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[839][1]~38626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[839][1]~q\);

-- Location: LCCOMB_X72_Y6_N14
\led_flash_cnt[839][2]~38628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[839][2]~38628_combout\ = (\led_flash_cnt[839][2]~q\ & (!\led_flash_cnt[839][1]~38627\)) # (!\led_flash_cnt[839][2]~q\ & ((\led_flash_cnt[839][1]~38627\) # (GND)))
-- \led_flash_cnt[839][2]~38629\ = CARRY((!\led_flash_cnt[839][1]~38627\) # (!\led_flash_cnt[839][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[839][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[839][1]~38627\,
	combout => \led_flash_cnt[839][2]~38628_combout\,
	cout => \led_flash_cnt[839][2]~38629\);

-- Location: FF_X72_Y6_N15
\led_flash_cnt[839][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[839][2]~38628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[839][2]~q\);

-- Location: LCCOMB_X72_Y6_N16
\led_flash_cnt[839][3]~38630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[839][3]~38630_combout\ = (\led_flash_cnt[839][3]~q\ & (\led_flash_cnt[839][2]~38629\ $ (GND))) # (!\led_flash_cnt[839][3]~q\ & (!\led_flash_cnt[839][2]~38629\ & VCC))
-- \led_flash_cnt[839][3]~38631\ = CARRY((\led_flash_cnt[839][3]~q\ & !\led_flash_cnt[839][2]~38629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[839][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[839][2]~38629\,
	combout => \led_flash_cnt[839][3]~38630_combout\,
	cout => \led_flash_cnt[839][3]~38631\);

-- Location: FF_X72_Y6_N17
\led_flash_cnt[839][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[839][3]~38630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[839][3]~q\);

-- Location: LCCOMB_X72_Y6_N18
\led_flash_cnt[839][4]~38632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[839][4]~38632_combout\ = (\led_flash_cnt[839][4]~q\ & (!\led_flash_cnt[839][3]~38631\)) # (!\led_flash_cnt[839][4]~q\ & ((\led_flash_cnt[839][3]~38631\) # (GND)))
-- \led_flash_cnt[839][4]~38633\ = CARRY((!\led_flash_cnt[839][3]~38631\) # (!\led_flash_cnt[839][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[839][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[839][3]~38631\,
	combout => \led_flash_cnt[839][4]~38632_combout\,
	cout => \led_flash_cnt[839][4]~38633\);

-- Location: FF_X72_Y6_N19
\led_flash_cnt[839][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[839][4]~38632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[839][4]~q\);

-- Location: LCCOMB_X72_Y6_N20
\led_flash_cnt[839][5]~38634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[839][5]~38634_combout\ = (\led_flash_cnt[839][5]~q\ & (\led_flash_cnt[839][4]~38633\ $ (GND))) # (!\led_flash_cnt[839][5]~q\ & (!\led_flash_cnt[839][4]~38633\ & VCC))
-- \led_flash_cnt[839][5]~38635\ = CARRY((\led_flash_cnt[839][5]~q\ & !\led_flash_cnt[839][4]~38633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[839][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[839][4]~38633\,
	combout => \led_flash_cnt[839][5]~38634_combout\,
	cout => \led_flash_cnt[839][5]~38635\);

-- Location: FF_X72_Y6_N21
\led_flash_cnt[839][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[839][5]~38634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[839][5]~q\);

-- Location: LCCOMB_X72_Y6_N22
\led_flash_cnt[839][6]~38636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[839][6]~38636_combout\ = (\led_flash_cnt[839][6]~q\ & (!\led_flash_cnt[839][5]~38635\)) # (!\led_flash_cnt[839][6]~q\ & ((\led_flash_cnt[839][5]~38635\) # (GND)))
-- \led_flash_cnt[839][6]~38637\ = CARRY((!\led_flash_cnt[839][5]~38635\) # (!\led_flash_cnt[839][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[839][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[839][5]~38635\,
	combout => \led_flash_cnt[839][6]~38636_combout\,
	cout => \led_flash_cnt[839][6]~38637\);

-- Location: FF_X72_Y6_N23
\led_flash_cnt[839][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[839][6]~38636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[839][6]~q\);

-- Location: LCCOMB_X72_Y6_N24
\led_flash_cnt[839][7]~38638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[839][7]~38638_combout\ = \led_flash_cnt[839][6]~38637\ $ (!\led_flash_cnt[839][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[839][7]~q\,
	cin => \led_flash_cnt[839][6]~38637\,
	combout => \led_flash_cnt[839][7]~38638_combout\);

-- Location: FF_X72_Y6_N25
\led_flash_cnt[839][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[839][7]~38638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[839][7]~q\);

-- Location: LCCOMB_X72_Y6_N26
\WideAnd839~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd839~0_combout\ = (\led_flash_cnt[839][1]~q\ & (\led_flash_cnt[839][4]~q\ & (\led_flash_cnt[839][2]~q\ & \led_flash_cnt[839][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[839][1]~q\,
	datab => \led_flash_cnt[839][4]~q\,
	datac => \led_flash_cnt[839][2]~q\,
	datad => \led_flash_cnt[839][3]~q\,
	combout => \WideAnd839~0_combout\);

-- Location: LCCOMB_X72_Y6_N0
\WideAnd839~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd839~1_combout\ = (\led_flash_cnt[839][6]~q\ & \led_flash_cnt[839][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[839][6]~q\,
	datad => \led_flash_cnt[839][5]~q\,
	combout => \WideAnd839~1_combout\);

-- Location: LCCOMB_X72_Y6_N28
WideAnd839 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd839~combout\ = (\led_flash_cnt[839][0]~q\ & (\led_flash_cnt[839][7]~q\ & (\WideAnd839~0_combout\ & \WideAnd839~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[839][0]~q\,
	datab => \led_flash_cnt[839][7]~q\,
	datac => \WideAnd839~0_combout\,
	datad => \WideAnd839~1_combout\,
	combout => \WideAnd839~combout\);

-- Location: FF_X72_Y6_N29
\led_flash_cnt_ands[839]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd839~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(839));

-- Location: LCCOMB_X59_Y6_N30
\led_flash_cnt[835][0]~81475\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[835][0]~81475_combout\ = !\led_flash_cnt[835][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[835][0]~q\,
	combout => \led_flash_cnt[835][0]~81475_combout\);

-- Location: FF_X59_Y6_N31
\led_flash_cnt[835][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[835][0]~81475_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[835][0]~q\);

-- Location: LCCOMB_X59_Y6_N8
\led_flash_cnt[835][1]~38570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[835][1]~38570_combout\ = (\led_flash_cnt[835][0]~q\ & (\led_flash_cnt[835][1]~q\ $ (VCC))) # (!\led_flash_cnt[835][0]~q\ & (\led_flash_cnt[835][1]~q\ & VCC))
-- \led_flash_cnt[835][1]~38571\ = CARRY((\led_flash_cnt[835][0]~q\ & \led_flash_cnt[835][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[835][0]~q\,
	datab => \led_flash_cnt[835][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[835][1]~38570_combout\,
	cout => \led_flash_cnt[835][1]~38571\);

-- Location: FF_X59_Y6_N9
\led_flash_cnt[835][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[835][1]~38570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[835][1]~q\);

-- Location: LCCOMB_X59_Y6_N10
\led_flash_cnt[835][2]~38572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[835][2]~38572_combout\ = (\led_flash_cnt[835][2]~q\ & (!\led_flash_cnt[835][1]~38571\)) # (!\led_flash_cnt[835][2]~q\ & ((\led_flash_cnt[835][1]~38571\) # (GND)))
-- \led_flash_cnt[835][2]~38573\ = CARRY((!\led_flash_cnt[835][1]~38571\) # (!\led_flash_cnt[835][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[835][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[835][1]~38571\,
	combout => \led_flash_cnt[835][2]~38572_combout\,
	cout => \led_flash_cnt[835][2]~38573\);

-- Location: FF_X59_Y6_N11
\led_flash_cnt[835][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[835][2]~38572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[835][2]~q\);

-- Location: LCCOMB_X59_Y6_N12
\led_flash_cnt[835][3]~38574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[835][3]~38574_combout\ = (\led_flash_cnt[835][3]~q\ & (\led_flash_cnt[835][2]~38573\ $ (GND))) # (!\led_flash_cnt[835][3]~q\ & (!\led_flash_cnt[835][2]~38573\ & VCC))
-- \led_flash_cnt[835][3]~38575\ = CARRY((\led_flash_cnt[835][3]~q\ & !\led_flash_cnt[835][2]~38573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[835][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[835][2]~38573\,
	combout => \led_flash_cnt[835][3]~38574_combout\,
	cout => \led_flash_cnt[835][3]~38575\);

-- Location: FF_X59_Y6_N13
\led_flash_cnt[835][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[835][3]~38574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[835][3]~q\);

-- Location: LCCOMB_X59_Y6_N14
\led_flash_cnt[835][4]~38576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[835][4]~38576_combout\ = (\led_flash_cnt[835][4]~q\ & (!\led_flash_cnt[835][3]~38575\)) # (!\led_flash_cnt[835][4]~q\ & ((\led_flash_cnt[835][3]~38575\) # (GND)))
-- \led_flash_cnt[835][4]~38577\ = CARRY((!\led_flash_cnt[835][3]~38575\) # (!\led_flash_cnt[835][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[835][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[835][3]~38575\,
	combout => \led_flash_cnt[835][4]~38576_combout\,
	cout => \led_flash_cnt[835][4]~38577\);

-- Location: FF_X59_Y6_N15
\led_flash_cnt[835][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[835][4]~38576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[835][4]~q\);

-- Location: LCCOMB_X59_Y6_N16
\led_flash_cnt[835][5]~38578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[835][5]~38578_combout\ = (\led_flash_cnt[835][5]~q\ & (\led_flash_cnt[835][4]~38577\ $ (GND))) # (!\led_flash_cnt[835][5]~q\ & (!\led_flash_cnt[835][4]~38577\ & VCC))
-- \led_flash_cnt[835][5]~38579\ = CARRY((\led_flash_cnt[835][5]~q\ & !\led_flash_cnt[835][4]~38577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[835][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[835][4]~38577\,
	combout => \led_flash_cnt[835][5]~38578_combout\,
	cout => \led_flash_cnt[835][5]~38579\);

-- Location: FF_X59_Y6_N17
\led_flash_cnt[835][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[835][5]~38578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[835][5]~q\);

-- Location: LCCOMB_X59_Y6_N18
\led_flash_cnt[835][6]~38580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[835][6]~38580_combout\ = (\led_flash_cnt[835][6]~q\ & (!\led_flash_cnt[835][5]~38579\)) # (!\led_flash_cnt[835][6]~q\ & ((\led_flash_cnt[835][5]~38579\) # (GND)))
-- \led_flash_cnt[835][6]~38581\ = CARRY((!\led_flash_cnt[835][5]~38579\) # (!\led_flash_cnt[835][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[835][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[835][5]~38579\,
	combout => \led_flash_cnt[835][6]~38580_combout\,
	cout => \led_flash_cnt[835][6]~38581\);

-- Location: FF_X59_Y6_N19
\led_flash_cnt[835][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[835][6]~38580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[835][6]~q\);

-- Location: LCCOMB_X59_Y6_N20
\led_flash_cnt[835][7]~38582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[835][7]~38582_combout\ = \led_flash_cnt[835][6]~38581\ $ (!\led_flash_cnt[835][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[835][7]~q\,
	cin => \led_flash_cnt[835][6]~38581\,
	combout => \led_flash_cnt[835][7]~38582_combout\);

-- Location: FF_X59_Y6_N21
\led_flash_cnt[835][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[835][7]~38582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[835][7]~q\);

-- Location: LCCOMB_X59_Y6_N22
\WideAnd835~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd835~1_combout\ = (\led_flash_cnt[835][5]~q\ & \led_flash_cnt[835][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[835][5]~q\,
	datad => \led_flash_cnt[835][6]~q\,
	combout => \WideAnd835~1_combout\);

-- Location: LCCOMB_X59_Y6_N24
\WideAnd835~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd835~0_combout\ = (\led_flash_cnt[835][3]~q\ & (\led_flash_cnt[835][1]~q\ & (\led_flash_cnt[835][4]~q\ & \led_flash_cnt[835][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[835][3]~q\,
	datab => \led_flash_cnt[835][1]~q\,
	datac => \led_flash_cnt[835][4]~q\,
	datad => \led_flash_cnt[835][2]~q\,
	combout => \WideAnd835~0_combout\);

-- Location: LCCOMB_X59_Y6_N26
WideAnd835 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd835~combout\ = (\led_flash_cnt[835][0]~q\ & (\led_flash_cnt[835][7]~q\ & (\WideAnd835~1_combout\ & \WideAnd835~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[835][0]~q\,
	datab => \led_flash_cnt[835][7]~q\,
	datac => \WideAnd835~1_combout\,
	datad => \WideAnd835~0_combout\,
	combout => \WideAnd835~combout\);

-- Location: FF_X59_Y6_N27
\led_flash_cnt_ands[835]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd835~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(835));

-- Location: LCCOMB_X59_Y6_N2
\led_flash_cnt[834][0]~81474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[834][0]~81474_combout\ = !\led_flash_cnt[834][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[834][0]~q\,
	combout => \led_flash_cnt[834][0]~81474_combout\);

-- Location: FF_X59_Y6_N3
\led_flash_cnt[834][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[834][0]~81474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[834][0]~q\);

-- Location: LCCOMB_X58_Y6_N0
\led_flash_cnt[834][1]~38556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[834][1]~38556_combout\ = (\led_flash_cnt[834][0]~q\ & (\led_flash_cnt[834][1]~q\ $ (VCC))) # (!\led_flash_cnt[834][0]~q\ & (\led_flash_cnt[834][1]~q\ & VCC))
-- \led_flash_cnt[834][1]~38557\ = CARRY((\led_flash_cnt[834][0]~q\ & \led_flash_cnt[834][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[834][0]~q\,
	datab => \led_flash_cnt[834][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[834][1]~38556_combout\,
	cout => \led_flash_cnt[834][1]~38557\);

-- Location: FF_X58_Y6_N1
\led_flash_cnt[834][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[834][1]~38556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[834][1]~q\);

-- Location: LCCOMB_X58_Y6_N2
\led_flash_cnt[834][2]~38558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[834][2]~38558_combout\ = (\led_flash_cnt[834][2]~q\ & (!\led_flash_cnt[834][1]~38557\)) # (!\led_flash_cnt[834][2]~q\ & ((\led_flash_cnt[834][1]~38557\) # (GND)))
-- \led_flash_cnt[834][2]~38559\ = CARRY((!\led_flash_cnt[834][1]~38557\) # (!\led_flash_cnt[834][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[834][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[834][1]~38557\,
	combout => \led_flash_cnt[834][2]~38558_combout\,
	cout => \led_flash_cnt[834][2]~38559\);

-- Location: FF_X58_Y6_N3
\led_flash_cnt[834][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[834][2]~38558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[834][2]~q\);

-- Location: LCCOMB_X58_Y6_N4
\led_flash_cnt[834][3]~38560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[834][3]~38560_combout\ = (\led_flash_cnt[834][3]~q\ & (\led_flash_cnt[834][2]~38559\ $ (GND))) # (!\led_flash_cnt[834][3]~q\ & (!\led_flash_cnt[834][2]~38559\ & VCC))
-- \led_flash_cnt[834][3]~38561\ = CARRY((\led_flash_cnt[834][3]~q\ & !\led_flash_cnt[834][2]~38559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[834][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[834][2]~38559\,
	combout => \led_flash_cnt[834][3]~38560_combout\,
	cout => \led_flash_cnt[834][3]~38561\);

-- Location: FF_X58_Y6_N5
\led_flash_cnt[834][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[834][3]~38560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[834][3]~q\);

-- Location: LCCOMB_X58_Y6_N6
\led_flash_cnt[834][4]~38562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[834][4]~38562_combout\ = (\led_flash_cnt[834][4]~q\ & (!\led_flash_cnt[834][3]~38561\)) # (!\led_flash_cnt[834][4]~q\ & ((\led_flash_cnt[834][3]~38561\) # (GND)))
-- \led_flash_cnt[834][4]~38563\ = CARRY((!\led_flash_cnt[834][3]~38561\) # (!\led_flash_cnt[834][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[834][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[834][3]~38561\,
	combout => \led_flash_cnt[834][4]~38562_combout\,
	cout => \led_flash_cnt[834][4]~38563\);

-- Location: FF_X58_Y6_N7
\led_flash_cnt[834][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[834][4]~38562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[834][4]~q\);

-- Location: LCCOMB_X58_Y6_N8
\led_flash_cnt[834][5]~38564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[834][5]~38564_combout\ = (\led_flash_cnt[834][5]~q\ & (\led_flash_cnt[834][4]~38563\ $ (GND))) # (!\led_flash_cnt[834][5]~q\ & (!\led_flash_cnt[834][4]~38563\ & VCC))
-- \led_flash_cnt[834][5]~38565\ = CARRY((\led_flash_cnt[834][5]~q\ & !\led_flash_cnt[834][4]~38563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[834][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[834][4]~38563\,
	combout => \led_flash_cnt[834][5]~38564_combout\,
	cout => \led_flash_cnt[834][5]~38565\);

-- Location: FF_X58_Y6_N9
\led_flash_cnt[834][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[834][5]~38564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[834][5]~q\);

-- Location: LCCOMB_X58_Y6_N10
\led_flash_cnt[834][6]~38566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[834][6]~38566_combout\ = (\led_flash_cnt[834][6]~q\ & (!\led_flash_cnt[834][5]~38565\)) # (!\led_flash_cnt[834][6]~q\ & ((\led_flash_cnt[834][5]~38565\) # (GND)))
-- \led_flash_cnt[834][6]~38567\ = CARRY((!\led_flash_cnt[834][5]~38565\) # (!\led_flash_cnt[834][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[834][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[834][5]~38565\,
	combout => \led_flash_cnt[834][6]~38566_combout\,
	cout => \led_flash_cnt[834][6]~38567\);

-- Location: FF_X58_Y6_N11
\led_flash_cnt[834][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[834][6]~38566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[834][6]~q\);

-- Location: LCCOMB_X58_Y6_N12
\led_flash_cnt[834][7]~38568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[834][7]~38568_combout\ = \led_flash_cnt[834][6]~38567\ $ (!\led_flash_cnt[834][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[834][7]~q\,
	cin => \led_flash_cnt[834][6]~38567\,
	combout => \led_flash_cnt[834][7]~38568_combout\);

-- Location: FF_X58_Y6_N13
\led_flash_cnt[834][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[834][7]~38568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[834][7]~q\);

-- Location: LCCOMB_X58_Y6_N30
\WideAnd834~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd834~0_combout\ = (\led_flash_cnt[834][4]~q\ & (\led_flash_cnt[834][1]~q\ & (\led_flash_cnt[834][3]~q\ & \led_flash_cnt[834][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[834][4]~q\,
	datab => \led_flash_cnt[834][1]~q\,
	datac => \led_flash_cnt[834][3]~q\,
	datad => \led_flash_cnt[834][2]~q\,
	combout => \WideAnd834~0_combout\);

-- Location: LCCOMB_X59_Y6_N4
\WideAnd834~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd834~1_combout\ = (\led_flash_cnt[834][6]~q\ & \led_flash_cnt[834][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[834][6]~q\,
	datad => \led_flash_cnt[834][5]~q\,
	combout => \WideAnd834~1_combout\);

-- Location: LCCOMB_X59_Y6_N28
WideAnd834 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd834~combout\ = (\led_flash_cnt[834][7]~q\ & (\WideAnd834~0_combout\ & (\WideAnd834~1_combout\ & \led_flash_cnt[834][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[834][7]~q\,
	datab => \WideAnd834~0_combout\,
	datac => \WideAnd834~1_combout\,
	datad => \led_flash_cnt[834][0]~q\,
	combout => \WideAnd834~combout\);

-- Location: FF_X59_Y6_N29
\led_flash_cnt_ands[834]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd834~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(834));

-- Location: LCCOMB_X60_Y2_N10
\led_flash_cnt[833][0]~81473\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[833][0]~81473_combout\ = !\led_flash_cnt[833][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[833][0]~q\,
	combout => \led_flash_cnt[833][0]~81473_combout\);

-- Location: FF_X60_Y2_N11
\led_flash_cnt[833][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[833][0]~81473_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[833][0]~q\);

-- Location: LCCOMB_X60_Y2_N12
\led_flash_cnt[833][1]~38542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[833][1]~38542_combout\ = (\led_flash_cnt[833][1]~q\ & (\led_flash_cnt[833][0]~q\ $ (VCC))) # (!\led_flash_cnt[833][1]~q\ & (\led_flash_cnt[833][0]~q\ & VCC))
-- \led_flash_cnt[833][1]~38543\ = CARRY((\led_flash_cnt[833][1]~q\ & \led_flash_cnt[833][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[833][1]~q\,
	datab => \led_flash_cnt[833][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[833][1]~38542_combout\,
	cout => \led_flash_cnt[833][1]~38543\);

-- Location: FF_X60_Y2_N13
\led_flash_cnt[833][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[833][1]~38542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[833][1]~q\);

-- Location: LCCOMB_X60_Y2_N14
\led_flash_cnt[833][2]~38544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[833][2]~38544_combout\ = (\led_flash_cnt[833][2]~q\ & (!\led_flash_cnt[833][1]~38543\)) # (!\led_flash_cnt[833][2]~q\ & ((\led_flash_cnt[833][1]~38543\) # (GND)))
-- \led_flash_cnt[833][2]~38545\ = CARRY((!\led_flash_cnt[833][1]~38543\) # (!\led_flash_cnt[833][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[833][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[833][1]~38543\,
	combout => \led_flash_cnt[833][2]~38544_combout\,
	cout => \led_flash_cnt[833][2]~38545\);

-- Location: FF_X60_Y2_N15
\led_flash_cnt[833][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[833][2]~38544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[833][2]~q\);

-- Location: LCCOMB_X60_Y2_N16
\led_flash_cnt[833][3]~38546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[833][3]~38546_combout\ = (\led_flash_cnt[833][3]~q\ & (\led_flash_cnt[833][2]~38545\ $ (GND))) # (!\led_flash_cnt[833][3]~q\ & (!\led_flash_cnt[833][2]~38545\ & VCC))
-- \led_flash_cnt[833][3]~38547\ = CARRY((\led_flash_cnt[833][3]~q\ & !\led_flash_cnt[833][2]~38545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[833][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[833][2]~38545\,
	combout => \led_flash_cnt[833][3]~38546_combout\,
	cout => \led_flash_cnt[833][3]~38547\);

-- Location: FF_X60_Y2_N17
\led_flash_cnt[833][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[833][3]~38546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[833][3]~q\);

-- Location: LCCOMB_X60_Y2_N18
\led_flash_cnt[833][4]~38548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[833][4]~38548_combout\ = (\led_flash_cnt[833][4]~q\ & (!\led_flash_cnt[833][3]~38547\)) # (!\led_flash_cnt[833][4]~q\ & ((\led_flash_cnt[833][3]~38547\) # (GND)))
-- \led_flash_cnt[833][4]~38549\ = CARRY((!\led_flash_cnt[833][3]~38547\) # (!\led_flash_cnt[833][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[833][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[833][3]~38547\,
	combout => \led_flash_cnt[833][4]~38548_combout\,
	cout => \led_flash_cnt[833][4]~38549\);

-- Location: FF_X60_Y2_N19
\led_flash_cnt[833][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[833][4]~38548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[833][4]~q\);

-- Location: LCCOMB_X60_Y2_N20
\led_flash_cnt[833][5]~38550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[833][5]~38550_combout\ = (\led_flash_cnt[833][5]~q\ & (\led_flash_cnt[833][4]~38549\ $ (GND))) # (!\led_flash_cnt[833][5]~q\ & (!\led_flash_cnt[833][4]~38549\ & VCC))
-- \led_flash_cnt[833][5]~38551\ = CARRY((\led_flash_cnt[833][5]~q\ & !\led_flash_cnt[833][4]~38549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[833][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[833][4]~38549\,
	combout => \led_flash_cnt[833][5]~38550_combout\,
	cout => \led_flash_cnt[833][5]~38551\);

-- Location: FF_X60_Y2_N21
\led_flash_cnt[833][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[833][5]~38550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[833][5]~q\);

-- Location: LCCOMB_X60_Y2_N22
\led_flash_cnt[833][6]~38552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[833][6]~38552_combout\ = (\led_flash_cnt[833][6]~q\ & (!\led_flash_cnt[833][5]~38551\)) # (!\led_flash_cnt[833][6]~q\ & ((\led_flash_cnt[833][5]~38551\) # (GND)))
-- \led_flash_cnt[833][6]~38553\ = CARRY((!\led_flash_cnt[833][5]~38551\) # (!\led_flash_cnt[833][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[833][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[833][5]~38551\,
	combout => \led_flash_cnt[833][6]~38552_combout\,
	cout => \led_flash_cnt[833][6]~38553\);

-- Location: FF_X60_Y2_N23
\led_flash_cnt[833][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[833][6]~38552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[833][6]~q\);

-- Location: LCCOMB_X60_Y2_N24
\led_flash_cnt[833][7]~38554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[833][7]~38554_combout\ = \led_flash_cnt[833][6]~38553\ $ (!\led_flash_cnt[833][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[833][7]~q\,
	cin => \led_flash_cnt[833][6]~38553\,
	combout => \led_flash_cnt[833][7]~38554_combout\);

-- Location: FF_X60_Y2_N25
\led_flash_cnt[833][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[833][7]~38554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[833][7]~q\);

-- Location: LCCOMB_X60_Y2_N26
\WideAnd833~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd833~0_combout\ = (\led_flash_cnt[833][1]~q\ & (\led_flash_cnt[833][4]~q\ & (\led_flash_cnt[833][2]~q\ & \led_flash_cnt[833][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[833][1]~q\,
	datab => \led_flash_cnt[833][4]~q\,
	datac => \led_flash_cnt[833][2]~q\,
	datad => \led_flash_cnt[833][3]~q\,
	combout => \WideAnd833~0_combout\);

-- Location: LCCOMB_X60_Y2_N0
\WideAnd833~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd833~1_combout\ = (\led_flash_cnt[833][6]~q\ & \led_flash_cnt[833][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[833][6]~q\,
	datad => \led_flash_cnt[833][5]~q\,
	combout => \WideAnd833~1_combout\);

-- Location: LCCOMB_X60_Y2_N8
WideAnd833 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd833~combout\ = (\led_flash_cnt[833][0]~q\ & (\led_flash_cnt[833][7]~q\ & (\WideAnd833~0_combout\ & \WideAnd833~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[833][0]~q\,
	datab => \led_flash_cnt[833][7]~q\,
	datac => \WideAnd833~0_combout\,
	datad => \WideAnd833~1_combout\,
	combout => \WideAnd833~combout\);

-- Location: FF_X60_Y2_N9
\led_flash_cnt_ands[833]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd833~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(833));

-- Location: LCCOMB_X60_Y6_N12
\led_flash_cnt[832][0]~81472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[832][0]~81472_combout\ = !\led_flash_cnt[832][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[832][0]~q\,
	combout => \led_flash_cnt[832][0]~81472_combout\);

-- Location: FF_X60_Y6_N13
\led_flash_cnt[832][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[832][0]~81472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[832][0]~q\);

-- Location: LCCOMB_X60_Y6_N14
\led_flash_cnt[832][1]~38528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[832][1]~38528_combout\ = (\led_flash_cnt[832][0]~q\ & (\led_flash_cnt[832][1]~q\ $ (VCC))) # (!\led_flash_cnt[832][0]~q\ & (\led_flash_cnt[832][1]~q\ & VCC))
-- \led_flash_cnt[832][1]~38529\ = CARRY((\led_flash_cnt[832][0]~q\ & \led_flash_cnt[832][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[832][0]~q\,
	datab => \led_flash_cnt[832][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[832][1]~38528_combout\,
	cout => \led_flash_cnt[832][1]~38529\);

-- Location: FF_X60_Y6_N15
\led_flash_cnt[832][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[832][1]~38528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[832][1]~q\);

-- Location: LCCOMB_X60_Y6_N16
\led_flash_cnt[832][2]~38530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[832][2]~38530_combout\ = (\led_flash_cnt[832][2]~q\ & (!\led_flash_cnt[832][1]~38529\)) # (!\led_flash_cnt[832][2]~q\ & ((\led_flash_cnt[832][1]~38529\) # (GND)))
-- \led_flash_cnt[832][2]~38531\ = CARRY((!\led_flash_cnt[832][1]~38529\) # (!\led_flash_cnt[832][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[832][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[832][1]~38529\,
	combout => \led_flash_cnt[832][2]~38530_combout\,
	cout => \led_flash_cnt[832][2]~38531\);

-- Location: FF_X60_Y6_N17
\led_flash_cnt[832][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[832][2]~38530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[832][2]~q\);

-- Location: LCCOMB_X60_Y6_N18
\led_flash_cnt[832][3]~38532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[832][3]~38532_combout\ = (\led_flash_cnt[832][3]~q\ & (\led_flash_cnt[832][2]~38531\ $ (GND))) # (!\led_flash_cnt[832][3]~q\ & (!\led_flash_cnt[832][2]~38531\ & VCC))
-- \led_flash_cnt[832][3]~38533\ = CARRY((\led_flash_cnt[832][3]~q\ & !\led_flash_cnt[832][2]~38531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[832][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[832][2]~38531\,
	combout => \led_flash_cnt[832][3]~38532_combout\,
	cout => \led_flash_cnt[832][3]~38533\);

-- Location: FF_X60_Y6_N19
\led_flash_cnt[832][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[832][3]~38532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[832][3]~q\);

-- Location: LCCOMB_X60_Y6_N20
\led_flash_cnt[832][4]~38534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[832][4]~38534_combout\ = (\led_flash_cnt[832][4]~q\ & (!\led_flash_cnt[832][3]~38533\)) # (!\led_flash_cnt[832][4]~q\ & ((\led_flash_cnt[832][3]~38533\) # (GND)))
-- \led_flash_cnt[832][4]~38535\ = CARRY((!\led_flash_cnt[832][3]~38533\) # (!\led_flash_cnt[832][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[832][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[832][3]~38533\,
	combout => \led_flash_cnt[832][4]~38534_combout\,
	cout => \led_flash_cnt[832][4]~38535\);

-- Location: FF_X60_Y6_N21
\led_flash_cnt[832][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[832][4]~38534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[832][4]~q\);

-- Location: LCCOMB_X60_Y6_N22
\led_flash_cnt[832][5]~38536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[832][5]~38536_combout\ = (\led_flash_cnt[832][5]~q\ & (\led_flash_cnt[832][4]~38535\ $ (GND))) # (!\led_flash_cnt[832][5]~q\ & (!\led_flash_cnt[832][4]~38535\ & VCC))
-- \led_flash_cnt[832][5]~38537\ = CARRY((\led_flash_cnt[832][5]~q\ & !\led_flash_cnt[832][4]~38535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[832][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[832][4]~38535\,
	combout => \led_flash_cnt[832][5]~38536_combout\,
	cout => \led_flash_cnt[832][5]~38537\);

-- Location: FF_X60_Y6_N23
\led_flash_cnt[832][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[832][5]~38536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[832][5]~q\);

-- Location: LCCOMB_X60_Y6_N24
\led_flash_cnt[832][6]~38538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[832][6]~38538_combout\ = (\led_flash_cnt[832][6]~q\ & (!\led_flash_cnt[832][5]~38537\)) # (!\led_flash_cnt[832][6]~q\ & ((\led_flash_cnt[832][5]~38537\) # (GND)))
-- \led_flash_cnt[832][6]~38539\ = CARRY((!\led_flash_cnt[832][5]~38537\) # (!\led_flash_cnt[832][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[832][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[832][5]~38537\,
	combout => \led_flash_cnt[832][6]~38538_combout\,
	cout => \led_flash_cnt[832][6]~38539\);

-- Location: FF_X60_Y6_N25
\led_flash_cnt[832][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[832][6]~38538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[832][6]~q\);

-- Location: LCCOMB_X60_Y6_N6
\WideAnd832~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd832~1_combout\ = (\led_flash_cnt[832][5]~q\ & \led_flash_cnt[832][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[832][5]~q\,
	datad => \led_flash_cnt[832][6]~q\,
	combout => \WideAnd832~1_combout\);

-- Location: LCCOMB_X60_Y6_N8
\WideAnd832~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd832~0_combout\ = (\led_flash_cnt[832][3]~q\ & (\led_flash_cnt[832][4]~q\ & (\led_flash_cnt[832][1]~q\ & \led_flash_cnt[832][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[832][3]~q\,
	datab => \led_flash_cnt[832][4]~q\,
	datac => \led_flash_cnt[832][1]~q\,
	datad => \led_flash_cnt[832][2]~q\,
	combout => \WideAnd832~0_combout\);

-- Location: LCCOMB_X60_Y6_N26
\led_flash_cnt[832][7]~38540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[832][7]~38540_combout\ = \led_flash_cnt[832][7]~q\ $ (!\led_flash_cnt[832][6]~38539\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[832][7]~q\,
	cin => \led_flash_cnt[832][6]~38539\,
	combout => \led_flash_cnt[832][7]~38540_combout\);

-- Location: FF_X60_Y6_N27
\led_flash_cnt[832][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[832][7]~38540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[832][7]~q\);

-- Location: LCCOMB_X60_Y6_N28
WideAnd832 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd832~combout\ = (\WideAnd832~1_combout\ & (\WideAnd832~0_combout\ & (\led_flash_cnt[832][7]~q\ & \led_flash_cnt[832][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd832~1_combout\,
	datab => \WideAnd832~0_combout\,
	datac => \led_flash_cnt[832][7]~q\,
	datad => \led_flash_cnt[832][0]~q\,
	combout => \WideAnd832~combout\);

-- Location: FF_X60_Y6_N29
\led_flash_cnt_ands[832]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd832~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(832));

-- Location: LCCOMB_X60_Y6_N4
\WideAnd3944~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3944~0_combout\ = (led_flash_cnt_ands(835) & (led_flash_cnt_ands(834) & (led_flash_cnt_ands(833) & led_flash_cnt_ands(832))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(835),
	datab => led_flash_cnt_ands(834),
	datac => led_flash_cnt_ands(833),
	datad => led_flash_cnt_ands(832),
	combout => \WideAnd3944~0_combout\);

-- Location: LCCOMB_X75_Y6_N10
\led_flash_cnt[838][0]~81478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[838][0]~81478_combout\ = !\led_flash_cnt[838][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[838][0]~q\,
	combout => \led_flash_cnt[838][0]~81478_combout\);

-- Location: FF_X75_Y6_N11
\led_flash_cnt[838][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[838][0]~81478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[838][0]~q\);

-- Location: LCCOMB_X75_Y6_N16
\led_flash_cnt[838][1]~38612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[838][1]~38612_combout\ = (\led_flash_cnt[838][0]~q\ & (\led_flash_cnt[838][1]~q\ $ (VCC))) # (!\led_flash_cnt[838][0]~q\ & (\led_flash_cnt[838][1]~q\ & VCC))
-- \led_flash_cnt[838][1]~38613\ = CARRY((\led_flash_cnt[838][0]~q\ & \led_flash_cnt[838][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[838][0]~q\,
	datab => \led_flash_cnt[838][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[838][1]~38612_combout\,
	cout => \led_flash_cnt[838][1]~38613\);

-- Location: FF_X75_Y6_N17
\led_flash_cnt[838][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[838][1]~38612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[838][1]~q\);

-- Location: LCCOMB_X75_Y6_N18
\led_flash_cnt[838][2]~38614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[838][2]~38614_combout\ = (\led_flash_cnt[838][2]~q\ & (!\led_flash_cnt[838][1]~38613\)) # (!\led_flash_cnt[838][2]~q\ & ((\led_flash_cnt[838][1]~38613\) # (GND)))
-- \led_flash_cnt[838][2]~38615\ = CARRY((!\led_flash_cnt[838][1]~38613\) # (!\led_flash_cnt[838][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[838][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[838][1]~38613\,
	combout => \led_flash_cnt[838][2]~38614_combout\,
	cout => \led_flash_cnt[838][2]~38615\);

-- Location: FF_X75_Y6_N19
\led_flash_cnt[838][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[838][2]~38614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[838][2]~q\);

-- Location: LCCOMB_X75_Y6_N20
\led_flash_cnt[838][3]~38616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[838][3]~38616_combout\ = (\led_flash_cnt[838][3]~q\ & (\led_flash_cnt[838][2]~38615\ $ (GND))) # (!\led_flash_cnt[838][3]~q\ & (!\led_flash_cnt[838][2]~38615\ & VCC))
-- \led_flash_cnt[838][3]~38617\ = CARRY((\led_flash_cnt[838][3]~q\ & !\led_flash_cnt[838][2]~38615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[838][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[838][2]~38615\,
	combout => \led_flash_cnt[838][3]~38616_combout\,
	cout => \led_flash_cnt[838][3]~38617\);

-- Location: FF_X75_Y6_N21
\led_flash_cnt[838][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[838][3]~38616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[838][3]~q\);

-- Location: LCCOMB_X75_Y6_N22
\led_flash_cnt[838][4]~38618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[838][4]~38618_combout\ = (\led_flash_cnt[838][4]~q\ & (!\led_flash_cnt[838][3]~38617\)) # (!\led_flash_cnt[838][4]~q\ & ((\led_flash_cnt[838][3]~38617\) # (GND)))
-- \led_flash_cnt[838][4]~38619\ = CARRY((!\led_flash_cnt[838][3]~38617\) # (!\led_flash_cnt[838][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[838][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[838][3]~38617\,
	combout => \led_flash_cnt[838][4]~38618_combout\,
	cout => \led_flash_cnt[838][4]~38619\);

-- Location: FF_X75_Y6_N23
\led_flash_cnt[838][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[838][4]~38618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[838][4]~q\);

-- Location: LCCOMB_X75_Y6_N24
\led_flash_cnt[838][5]~38620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[838][5]~38620_combout\ = (\led_flash_cnt[838][5]~q\ & (\led_flash_cnt[838][4]~38619\ $ (GND))) # (!\led_flash_cnt[838][5]~q\ & (!\led_flash_cnt[838][4]~38619\ & VCC))
-- \led_flash_cnt[838][5]~38621\ = CARRY((\led_flash_cnt[838][5]~q\ & !\led_flash_cnt[838][4]~38619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[838][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[838][4]~38619\,
	combout => \led_flash_cnt[838][5]~38620_combout\,
	cout => \led_flash_cnt[838][5]~38621\);

-- Location: FF_X75_Y6_N25
\led_flash_cnt[838][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[838][5]~38620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[838][5]~q\);

-- Location: LCCOMB_X75_Y6_N26
\led_flash_cnt[838][6]~38622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[838][6]~38622_combout\ = (\led_flash_cnt[838][6]~q\ & (!\led_flash_cnt[838][5]~38621\)) # (!\led_flash_cnt[838][6]~q\ & ((\led_flash_cnt[838][5]~38621\) # (GND)))
-- \led_flash_cnt[838][6]~38623\ = CARRY((!\led_flash_cnt[838][5]~38621\) # (!\led_flash_cnt[838][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[838][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[838][5]~38621\,
	combout => \led_flash_cnt[838][6]~38622_combout\,
	cout => \led_flash_cnt[838][6]~38623\);

-- Location: FF_X75_Y6_N27
\led_flash_cnt[838][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[838][6]~38622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[838][6]~q\);

-- Location: LCCOMB_X75_Y6_N28
\led_flash_cnt[838][7]~38624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[838][7]~38624_combout\ = \led_flash_cnt[838][6]~38623\ $ (!\led_flash_cnt[838][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[838][7]~q\,
	cin => \led_flash_cnt[838][6]~38623\,
	combout => \led_flash_cnt[838][7]~38624_combout\);

-- Location: FF_X75_Y6_N29
\led_flash_cnt[838][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[838][7]~38624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[838][7]~q\);

-- Location: LCCOMB_X75_Y6_N4
\WideAnd838~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd838~1_combout\ = (\led_flash_cnt[838][6]~q\ & \led_flash_cnt[838][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[838][6]~q\,
	datad => \led_flash_cnt[838][5]~q\,
	combout => \WideAnd838~1_combout\);

-- Location: LCCOMB_X75_Y6_N12
\WideAnd838~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd838~0_combout\ = (\led_flash_cnt[838][3]~q\ & (\led_flash_cnt[838][2]~q\ & (\led_flash_cnt[838][4]~q\ & \led_flash_cnt[838][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[838][3]~q\,
	datab => \led_flash_cnt[838][2]~q\,
	datac => \led_flash_cnt[838][4]~q\,
	datad => \led_flash_cnt[838][1]~q\,
	combout => \WideAnd838~0_combout\);

-- Location: LCCOMB_X75_Y6_N8
WideAnd838 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd838~combout\ = (\led_flash_cnt[838][0]~q\ & (\led_flash_cnt[838][7]~q\ & (\WideAnd838~1_combout\ & \WideAnd838~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[838][0]~q\,
	datab => \led_flash_cnt[838][7]~q\,
	datac => \WideAnd838~1_combout\,
	datad => \WideAnd838~0_combout\,
	combout => \WideAnd838~combout\);

-- Location: FF_X75_Y6_N9
\led_flash_cnt_ands[838]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd838~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(838));

-- Location: LCCOMB_X72_Y6_N8
WideAnd3944 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3944~combout\ = (\WideAnd3944~1_combout\ & (led_flash_cnt_ands(839) & (\WideAnd3944~0_combout\ & led_flash_cnt_ands(838))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3944~1_combout\,
	datab => led_flash_cnt_ands(839),
	datac => \WideAnd3944~0_combout\,
	datad => led_flash_cnt_ands(838),
	combout => \WideAnd3944~combout\);

-- Location: FF_X72_Y6_N9
\led_flash_cnt_ands_1[104]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3944~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(104));

-- Location: LCCOMB_X71_Y22_N18
\led_flash_cnt[863][0]~81503\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[863][0]~81503_combout\ = !\led_flash_cnt[863][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[863][0]~q\,
	combout => \led_flash_cnt[863][0]~81503_combout\);

-- Location: FF_X71_Y22_N19
\led_flash_cnt[863][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[863][0]~81503_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[863][0]~q\);

-- Location: LCCOMB_X71_Y22_N2
\led_flash_cnt[863][1]~38962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[863][1]~38962_combout\ = (\led_flash_cnt[863][1]~q\ & (\led_flash_cnt[863][0]~q\ $ (VCC))) # (!\led_flash_cnt[863][1]~q\ & (\led_flash_cnt[863][0]~q\ & VCC))
-- \led_flash_cnt[863][1]~38963\ = CARRY((\led_flash_cnt[863][1]~q\ & \led_flash_cnt[863][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[863][1]~q\,
	datab => \led_flash_cnt[863][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[863][1]~38962_combout\,
	cout => \led_flash_cnt[863][1]~38963\);

-- Location: FF_X71_Y22_N3
\led_flash_cnt[863][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[863][1]~38962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[863][1]~q\);

-- Location: LCCOMB_X71_Y22_N4
\led_flash_cnt[863][2]~38964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[863][2]~38964_combout\ = (\led_flash_cnt[863][2]~q\ & (!\led_flash_cnt[863][1]~38963\)) # (!\led_flash_cnt[863][2]~q\ & ((\led_flash_cnt[863][1]~38963\) # (GND)))
-- \led_flash_cnt[863][2]~38965\ = CARRY((!\led_flash_cnt[863][1]~38963\) # (!\led_flash_cnt[863][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[863][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[863][1]~38963\,
	combout => \led_flash_cnt[863][2]~38964_combout\,
	cout => \led_flash_cnt[863][2]~38965\);

-- Location: FF_X71_Y22_N5
\led_flash_cnt[863][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[863][2]~38964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[863][2]~q\);

-- Location: LCCOMB_X71_Y22_N6
\led_flash_cnt[863][3]~38966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[863][3]~38966_combout\ = (\led_flash_cnt[863][3]~q\ & (\led_flash_cnt[863][2]~38965\ $ (GND))) # (!\led_flash_cnt[863][3]~q\ & (!\led_flash_cnt[863][2]~38965\ & VCC))
-- \led_flash_cnt[863][3]~38967\ = CARRY((\led_flash_cnt[863][3]~q\ & !\led_flash_cnt[863][2]~38965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[863][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[863][2]~38965\,
	combout => \led_flash_cnt[863][3]~38966_combout\,
	cout => \led_flash_cnt[863][3]~38967\);

-- Location: FF_X71_Y22_N7
\led_flash_cnt[863][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[863][3]~38966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[863][3]~q\);

-- Location: LCCOMB_X71_Y22_N8
\led_flash_cnt[863][4]~38968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[863][4]~38968_combout\ = (\led_flash_cnt[863][4]~q\ & (!\led_flash_cnt[863][3]~38967\)) # (!\led_flash_cnt[863][4]~q\ & ((\led_flash_cnt[863][3]~38967\) # (GND)))
-- \led_flash_cnt[863][4]~38969\ = CARRY((!\led_flash_cnt[863][3]~38967\) # (!\led_flash_cnt[863][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[863][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[863][3]~38967\,
	combout => \led_flash_cnt[863][4]~38968_combout\,
	cout => \led_flash_cnt[863][4]~38969\);

-- Location: FF_X71_Y22_N9
\led_flash_cnt[863][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[863][4]~38968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[863][4]~q\);

-- Location: LCCOMB_X71_Y22_N10
\led_flash_cnt[863][5]~38970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[863][5]~38970_combout\ = (\led_flash_cnt[863][5]~q\ & (\led_flash_cnt[863][4]~38969\ $ (GND))) # (!\led_flash_cnt[863][5]~q\ & (!\led_flash_cnt[863][4]~38969\ & VCC))
-- \led_flash_cnt[863][5]~38971\ = CARRY((\led_flash_cnt[863][5]~q\ & !\led_flash_cnt[863][4]~38969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[863][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[863][4]~38969\,
	combout => \led_flash_cnt[863][5]~38970_combout\,
	cout => \led_flash_cnt[863][5]~38971\);

-- Location: FF_X71_Y22_N11
\led_flash_cnt[863][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[863][5]~38970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[863][5]~q\);

-- Location: LCCOMB_X71_Y22_N12
\led_flash_cnt[863][6]~38972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[863][6]~38972_combout\ = (\led_flash_cnt[863][6]~q\ & (!\led_flash_cnt[863][5]~38971\)) # (!\led_flash_cnt[863][6]~q\ & ((\led_flash_cnt[863][5]~38971\) # (GND)))
-- \led_flash_cnt[863][6]~38973\ = CARRY((!\led_flash_cnt[863][5]~38971\) # (!\led_flash_cnt[863][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[863][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[863][5]~38971\,
	combout => \led_flash_cnt[863][6]~38972_combout\,
	cout => \led_flash_cnt[863][6]~38973\);

-- Location: FF_X71_Y22_N13
\led_flash_cnt[863][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[863][6]~38972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[863][6]~q\);

-- Location: LCCOMB_X71_Y22_N26
\WideAnd863~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd863~1_combout\ = (\led_flash_cnt[863][6]~q\ & \led_flash_cnt[863][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[863][6]~q\,
	datad => \led_flash_cnt[863][5]~q\,
	combout => \WideAnd863~1_combout\);

-- Location: LCCOMB_X71_Y22_N24
\WideAnd863~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd863~0_combout\ = (\led_flash_cnt[863][1]~q\ & (\led_flash_cnt[863][4]~q\ & (\led_flash_cnt[863][2]~q\ & \led_flash_cnt[863][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[863][1]~q\,
	datab => \led_flash_cnt[863][4]~q\,
	datac => \led_flash_cnt[863][2]~q\,
	datad => \led_flash_cnt[863][3]~q\,
	combout => \WideAnd863~0_combout\);

-- Location: LCCOMB_X71_Y22_N14
\led_flash_cnt[863][7]~38974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[863][7]~38974_combout\ = \led_flash_cnt[863][7]~q\ $ (!\led_flash_cnt[863][6]~38973\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[863][7]~q\,
	cin => \led_flash_cnt[863][6]~38973\,
	combout => \led_flash_cnt[863][7]~38974_combout\);

-- Location: FF_X71_Y22_N15
\led_flash_cnt[863][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[863][7]~38974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[863][7]~q\);

-- Location: LCCOMB_X71_Y22_N22
WideAnd863 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd863~combout\ = (\WideAnd863~1_combout\ & (\WideAnd863~0_combout\ & (\led_flash_cnt[863][7]~q\ & \led_flash_cnt[863][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd863~1_combout\,
	datab => \WideAnd863~0_combout\,
	datac => \led_flash_cnt[863][7]~q\,
	datad => \led_flash_cnt[863][0]~q\,
	combout => \WideAnd863~combout\);

-- Location: FF_X71_Y22_N23
\led_flash_cnt_ands[863]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd863~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(863));

-- Location: LCCOMB_X66_Y24_N6
\led_flash_cnt[860][0]~81500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[860][0]~81500_combout\ = !\led_flash_cnt[860][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[860][0]~q\,
	combout => \led_flash_cnt[860][0]~81500_combout\);

-- Location: FF_X66_Y24_N7
\led_flash_cnt[860][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[860][0]~81500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[860][0]~q\);

-- Location: LCCOMB_X67_Y24_N0
\led_flash_cnt[860][1]~38920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[860][1]~38920_combout\ = (\led_flash_cnt[860][1]~q\ & (\led_flash_cnt[860][0]~q\ $ (VCC))) # (!\led_flash_cnt[860][1]~q\ & (\led_flash_cnt[860][0]~q\ & VCC))
-- \led_flash_cnt[860][1]~38921\ = CARRY((\led_flash_cnt[860][1]~q\ & \led_flash_cnt[860][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[860][1]~q\,
	datab => \led_flash_cnt[860][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[860][1]~38920_combout\,
	cout => \led_flash_cnt[860][1]~38921\);

-- Location: FF_X67_Y24_N1
\led_flash_cnt[860][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[860][1]~38920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[860][1]~q\);

-- Location: LCCOMB_X67_Y24_N2
\led_flash_cnt[860][2]~38922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[860][2]~38922_combout\ = (\led_flash_cnt[860][2]~q\ & (!\led_flash_cnt[860][1]~38921\)) # (!\led_flash_cnt[860][2]~q\ & ((\led_flash_cnt[860][1]~38921\) # (GND)))
-- \led_flash_cnt[860][2]~38923\ = CARRY((!\led_flash_cnt[860][1]~38921\) # (!\led_flash_cnt[860][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[860][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[860][1]~38921\,
	combout => \led_flash_cnt[860][2]~38922_combout\,
	cout => \led_flash_cnt[860][2]~38923\);

-- Location: FF_X67_Y24_N3
\led_flash_cnt[860][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[860][2]~38922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[860][2]~q\);

-- Location: LCCOMB_X67_Y24_N4
\led_flash_cnt[860][3]~38924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[860][3]~38924_combout\ = (\led_flash_cnt[860][3]~q\ & (\led_flash_cnt[860][2]~38923\ $ (GND))) # (!\led_flash_cnt[860][3]~q\ & (!\led_flash_cnt[860][2]~38923\ & VCC))
-- \led_flash_cnt[860][3]~38925\ = CARRY((\led_flash_cnt[860][3]~q\ & !\led_flash_cnt[860][2]~38923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[860][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[860][2]~38923\,
	combout => \led_flash_cnt[860][3]~38924_combout\,
	cout => \led_flash_cnt[860][3]~38925\);

-- Location: FF_X67_Y24_N5
\led_flash_cnt[860][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[860][3]~38924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[860][3]~q\);

-- Location: LCCOMB_X67_Y24_N6
\led_flash_cnt[860][4]~38926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[860][4]~38926_combout\ = (\led_flash_cnt[860][4]~q\ & (!\led_flash_cnt[860][3]~38925\)) # (!\led_flash_cnt[860][4]~q\ & ((\led_flash_cnt[860][3]~38925\) # (GND)))
-- \led_flash_cnt[860][4]~38927\ = CARRY((!\led_flash_cnt[860][3]~38925\) # (!\led_flash_cnt[860][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[860][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[860][3]~38925\,
	combout => \led_flash_cnt[860][4]~38926_combout\,
	cout => \led_flash_cnt[860][4]~38927\);

-- Location: FF_X67_Y24_N7
\led_flash_cnt[860][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[860][4]~38926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[860][4]~q\);

-- Location: LCCOMB_X67_Y24_N8
\led_flash_cnt[860][5]~38928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[860][5]~38928_combout\ = (\led_flash_cnt[860][5]~q\ & (\led_flash_cnt[860][4]~38927\ $ (GND))) # (!\led_flash_cnt[860][5]~q\ & (!\led_flash_cnt[860][4]~38927\ & VCC))
-- \led_flash_cnt[860][5]~38929\ = CARRY((\led_flash_cnt[860][5]~q\ & !\led_flash_cnt[860][4]~38927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[860][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[860][4]~38927\,
	combout => \led_flash_cnt[860][5]~38928_combout\,
	cout => \led_flash_cnt[860][5]~38929\);

-- Location: FF_X67_Y24_N9
\led_flash_cnt[860][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[860][5]~38928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[860][5]~q\);

-- Location: LCCOMB_X67_Y24_N10
\led_flash_cnt[860][6]~38930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[860][6]~38930_combout\ = (\led_flash_cnt[860][6]~q\ & (!\led_flash_cnt[860][5]~38929\)) # (!\led_flash_cnt[860][6]~q\ & ((\led_flash_cnt[860][5]~38929\) # (GND)))
-- \led_flash_cnt[860][6]~38931\ = CARRY((!\led_flash_cnt[860][5]~38929\) # (!\led_flash_cnt[860][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[860][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[860][5]~38929\,
	combout => \led_flash_cnt[860][6]~38930_combout\,
	cout => \led_flash_cnt[860][6]~38931\);

-- Location: FF_X67_Y24_N11
\led_flash_cnt[860][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[860][6]~38930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[860][6]~q\);

-- Location: LCCOMB_X67_Y24_N12
\led_flash_cnt[860][7]~38932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[860][7]~38932_combout\ = \led_flash_cnt[860][6]~38931\ $ (!\led_flash_cnt[860][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[860][7]~q\,
	cin => \led_flash_cnt[860][6]~38931\,
	combout => \led_flash_cnt[860][7]~38932_combout\);

-- Location: FF_X67_Y24_N13
\led_flash_cnt[860][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[860][7]~38932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[860][7]~q\);

-- Location: LCCOMB_X66_Y24_N8
\WideAnd860~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd860~0_combout\ = (\led_flash_cnt[860][3]~q\ & (\led_flash_cnt[860][4]~q\ & (\led_flash_cnt[860][1]~q\ & \led_flash_cnt[860][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[860][3]~q\,
	datab => \led_flash_cnt[860][4]~q\,
	datac => \led_flash_cnt[860][1]~q\,
	datad => \led_flash_cnt[860][2]~q\,
	combout => \WideAnd860~0_combout\);

-- Location: LCCOMB_X66_Y24_N0
\WideAnd860~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd860~1_combout\ = (\led_flash_cnt[860][6]~q\ & \led_flash_cnt[860][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[860][6]~q\,
	datac => \led_flash_cnt[860][5]~q\,
	combout => \WideAnd860~1_combout\);

-- Location: LCCOMB_X66_Y24_N26
WideAnd860 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd860~combout\ = (\led_flash_cnt[860][0]~q\ & (\led_flash_cnt[860][7]~q\ & (\WideAnd860~0_combout\ & \WideAnd860~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[860][0]~q\,
	datab => \led_flash_cnt[860][7]~q\,
	datac => \WideAnd860~0_combout\,
	datad => \WideAnd860~1_combout\,
	combout => \WideAnd860~combout\);

-- Location: FF_X66_Y24_N27
\led_flash_cnt_ands[860]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd860~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(860));

-- Location: LCCOMB_X66_Y24_N2
\led_flash_cnt[861][0]~81501\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[861][0]~81501_combout\ = !\led_flash_cnt[861][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[861][0]~q\,
	combout => \led_flash_cnt[861][0]~81501_combout\);

-- Location: FF_X66_Y24_N3
\led_flash_cnt[861][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[861][0]~81501_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[861][0]~q\);

-- Location: LCCOMB_X66_Y24_N12
\led_flash_cnt[861][1]~38934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[861][1]~38934_combout\ = (\led_flash_cnt[861][1]~q\ & (\led_flash_cnt[861][0]~q\ $ (VCC))) # (!\led_flash_cnt[861][1]~q\ & (\led_flash_cnt[861][0]~q\ & VCC))
-- \led_flash_cnt[861][1]~38935\ = CARRY((\led_flash_cnt[861][1]~q\ & \led_flash_cnt[861][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[861][1]~q\,
	datab => \led_flash_cnt[861][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[861][1]~38934_combout\,
	cout => \led_flash_cnt[861][1]~38935\);

-- Location: FF_X66_Y24_N13
\led_flash_cnt[861][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[861][1]~38934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[861][1]~q\);

-- Location: LCCOMB_X66_Y24_N14
\led_flash_cnt[861][2]~38936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[861][2]~38936_combout\ = (\led_flash_cnt[861][2]~q\ & (!\led_flash_cnt[861][1]~38935\)) # (!\led_flash_cnt[861][2]~q\ & ((\led_flash_cnt[861][1]~38935\) # (GND)))
-- \led_flash_cnt[861][2]~38937\ = CARRY((!\led_flash_cnt[861][1]~38935\) # (!\led_flash_cnt[861][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[861][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[861][1]~38935\,
	combout => \led_flash_cnt[861][2]~38936_combout\,
	cout => \led_flash_cnt[861][2]~38937\);

-- Location: FF_X66_Y24_N15
\led_flash_cnt[861][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[861][2]~38936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[861][2]~q\);

-- Location: LCCOMB_X66_Y24_N16
\led_flash_cnt[861][3]~38938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[861][3]~38938_combout\ = (\led_flash_cnt[861][3]~q\ & (\led_flash_cnt[861][2]~38937\ $ (GND))) # (!\led_flash_cnt[861][3]~q\ & (!\led_flash_cnt[861][2]~38937\ & VCC))
-- \led_flash_cnt[861][3]~38939\ = CARRY((\led_flash_cnt[861][3]~q\ & !\led_flash_cnt[861][2]~38937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[861][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[861][2]~38937\,
	combout => \led_flash_cnt[861][3]~38938_combout\,
	cout => \led_flash_cnt[861][3]~38939\);

-- Location: FF_X66_Y24_N17
\led_flash_cnt[861][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[861][3]~38938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[861][3]~q\);

-- Location: LCCOMB_X66_Y24_N18
\led_flash_cnt[861][4]~38940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[861][4]~38940_combout\ = (\led_flash_cnt[861][4]~q\ & (!\led_flash_cnt[861][3]~38939\)) # (!\led_flash_cnt[861][4]~q\ & ((\led_flash_cnt[861][3]~38939\) # (GND)))
-- \led_flash_cnt[861][4]~38941\ = CARRY((!\led_flash_cnt[861][3]~38939\) # (!\led_flash_cnt[861][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[861][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[861][3]~38939\,
	combout => \led_flash_cnt[861][4]~38940_combout\,
	cout => \led_flash_cnt[861][4]~38941\);

-- Location: FF_X66_Y24_N19
\led_flash_cnt[861][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[861][4]~38940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[861][4]~q\);

-- Location: LCCOMB_X66_Y24_N20
\led_flash_cnt[861][5]~38942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[861][5]~38942_combout\ = (\led_flash_cnt[861][5]~q\ & (\led_flash_cnt[861][4]~38941\ $ (GND))) # (!\led_flash_cnt[861][5]~q\ & (!\led_flash_cnt[861][4]~38941\ & VCC))
-- \led_flash_cnt[861][5]~38943\ = CARRY((\led_flash_cnt[861][5]~q\ & !\led_flash_cnt[861][4]~38941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[861][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[861][4]~38941\,
	combout => \led_flash_cnt[861][5]~38942_combout\,
	cout => \led_flash_cnt[861][5]~38943\);

-- Location: FF_X66_Y24_N21
\led_flash_cnt[861][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[861][5]~38942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[861][5]~q\);

-- Location: LCCOMB_X66_Y24_N22
\led_flash_cnt[861][6]~38944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[861][6]~38944_combout\ = (\led_flash_cnt[861][6]~q\ & (!\led_flash_cnt[861][5]~38943\)) # (!\led_flash_cnt[861][6]~q\ & ((\led_flash_cnt[861][5]~38943\) # (GND)))
-- \led_flash_cnt[861][6]~38945\ = CARRY((!\led_flash_cnt[861][5]~38943\) # (!\led_flash_cnt[861][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[861][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[861][5]~38943\,
	combout => \led_flash_cnt[861][6]~38944_combout\,
	cout => \led_flash_cnt[861][6]~38945\);

-- Location: FF_X66_Y24_N23
\led_flash_cnt[861][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[861][6]~38944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[861][6]~q\);

-- Location: LCCOMB_X66_Y24_N10
\WideAnd861~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd861~1_combout\ = (\led_flash_cnt[861][6]~q\ & \led_flash_cnt[861][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[861][6]~q\,
	datad => \led_flash_cnt[861][5]~q\,
	combout => \WideAnd861~1_combout\);

-- Location: LCCOMB_X66_Y24_N24
\led_flash_cnt[861][7]~38946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[861][7]~38946_combout\ = \led_flash_cnt[861][6]~38945\ $ (!\led_flash_cnt[861][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[861][7]~q\,
	cin => \led_flash_cnt[861][6]~38945\,
	combout => \led_flash_cnt[861][7]~38946_combout\);

-- Location: FF_X66_Y24_N25
\led_flash_cnt[861][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[861][7]~38946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[861][7]~q\);

-- Location: LCCOMB_X66_Y24_N4
\WideAnd861~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd861~0_combout\ = (\led_flash_cnt[861][1]~q\ & (\led_flash_cnt[861][2]~q\ & (\led_flash_cnt[861][4]~q\ & \led_flash_cnt[861][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[861][1]~q\,
	datab => \led_flash_cnt[861][2]~q\,
	datac => \led_flash_cnt[861][4]~q\,
	datad => \led_flash_cnt[861][3]~q\,
	combout => \WideAnd861~0_combout\);

-- Location: LCCOMB_X66_Y24_N30
WideAnd861 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd861~combout\ = (\WideAnd861~1_combout\ & (\led_flash_cnt[861][7]~q\ & (\WideAnd861~0_combout\ & \led_flash_cnt[861][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd861~1_combout\,
	datab => \led_flash_cnt[861][7]~q\,
	datac => \WideAnd861~0_combout\,
	datad => \led_flash_cnt[861][0]~q\,
	combout => \WideAnd861~combout\);

-- Location: FF_X66_Y24_N31
\led_flash_cnt_ands[861]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd861~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(861));

-- Location: LCCOMB_X66_Y24_N28
\WideAnd3947~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3947~1_combout\ = (led_flash_cnt_ands(860) & led_flash_cnt_ands(861))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(860),
	datac => led_flash_cnt_ands(861),
	combout => \WideAnd3947~1_combout\);

-- Location: LCCOMB_X72_Y22_N10
\led_flash_cnt[862][0]~81502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[862][0]~81502_combout\ = !\led_flash_cnt[862][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[862][0]~q\,
	combout => \led_flash_cnt[862][0]~81502_combout\);

-- Location: FF_X72_Y22_N11
\led_flash_cnt[862][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[862][0]~81502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[862][0]~q\);

-- Location: LCCOMB_X72_Y22_N16
\led_flash_cnt[862][1]~38948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[862][1]~38948_combout\ = (\led_flash_cnt[862][0]~q\ & (\led_flash_cnt[862][1]~q\ $ (VCC))) # (!\led_flash_cnt[862][0]~q\ & (\led_flash_cnt[862][1]~q\ & VCC))
-- \led_flash_cnt[862][1]~38949\ = CARRY((\led_flash_cnt[862][0]~q\ & \led_flash_cnt[862][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[862][0]~q\,
	datab => \led_flash_cnt[862][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[862][1]~38948_combout\,
	cout => \led_flash_cnt[862][1]~38949\);

-- Location: FF_X72_Y22_N17
\led_flash_cnt[862][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[862][1]~38948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[862][1]~q\);

-- Location: LCCOMB_X72_Y22_N18
\led_flash_cnt[862][2]~38950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[862][2]~38950_combout\ = (\led_flash_cnt[862][2]~q\ & (!\led_flash_cnt[862][1]~38949\)) # (!\led_flash_cnt[862][2]~q\ & ((\led_flash_cnt[862][1]~38949\) # (GND)))
-- \led_flash_cnt[862][2]~38951\ = CARRY((!\led_flash_cnt[862][1]~38949\) # (!\led_flash_cnt[862][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[862][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[862][1]~38949\,
	combout => \led_flash_cnt[862][2]~38950_combout\,
	cout => \led_flash_cnt[862][2]~38951\);

-- Location: FF_X72_Y22_N19
\led_flash_cnt[862][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[862][2]~38950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[862][2]~q\);

-- Location: LCCOMB_X72_Y22_N20
\led_flash_cnt[862][3]~38952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[862][3]~38952_combout\ = (\led_flash_cnt[862][3]~q\ & (\led_flash_cnt[862][2]~38951\ $ (GND))) # (!\led_flash_cnt[862][3]~q\ & (!\led_flash_cnt[862][2]~38951\ & VCC))
-- \led_flash_cnt[862][3]~38953\ = CARRY((\led_flash_cnt[862][3]~q\ & !\led_flash_cnt[862][2]~38951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[862][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[862][2]~38951\,
	combout => \led_flash_cnt[862][3]~38952_combout\,
	cout => \led_flash_cnt[862][3]~38953\);

-- Location: FF_X72_Y22_N21
\led_flash_cnt[862][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[862][3]~38952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[862][3]~q\);

-- Location: LCCOMB_X72_Y22_N22
\led_flash_cnt[862][4]~38954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[862][4]~38954_combout\ = (\led_flash_cnt[862][4]~q\ & (!\led_flash_cnt[862][3]~38953\)) # (!\led_flash_cnt[862][4]~q\ & ((\led_flash_cnt[862][3]~38953\) # (GND)))
-- \led_flash_cnt[862][4]~38955\ = CARRY((!\led_flash_cnt[862][3]~38953\) # (!\led_flash_cnt[862][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[862][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[862][3]~38953\,
	combout => \led_flash_cnt[862][4]~38954_combout\,
	cout => \led_flash_cnt[862][4]~38955\);

-- Location: FF_X72_Y22_N23
\led_flash_cnt[862][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[862][4]~38954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[862][4]~q\);

-- Location: LCCOMB_X72_Y22_N24
\led_flash_cnt[862][5]~38956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[862][5]~38956_combout\ = (\led_flash_cnt[862][5]~q\ & (\led_flash_cnt[862][4]~38955\ $ (GND))) # (!\led_flash_cnt[862][5]~q\ & (!\led_flash_cnt[862][4]~38955\ & VCC))
-- \led_flash_cnt[862][5]~38957\ = CARRY((\led_flash_cnt[862][5]~q\ & !\led_flash_cnt[862][4]~38955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[862][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[862][4]~38955\,
	combout => \led_flash_cnt[862][5]~38956_combout\,
	cout => \led_flash_cnt[862][5]~38957\);

-- Location: FF_X72_Y22_N25
\led_flash_cnt[862][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[862][5]~38956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[862][5]~q\);

-- Location: LCCOMB_X72_Y22_N26
\led_flash_cnt[862][6]~38958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[862][6]~38958_combout\ = (\led_flash_cnt[862][6]~q\ & (!\led_flash_cnt[862][5]~38957\)) # (!\led_flash_cnt[862][6]~q\ & ((\led_flash_cnt[862][5]~38957\) # (GND)))
-- \led_flash_cnt[862][6]~38959\ = CARRY((!\led_flash_cnt[862][5]~38957\) # (!\led_flash_cnt[862][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[862][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[862][5]~38957\,
	combout => \led_flash_cnt[862][6]~38958_combout\,
	cout => \led_flash_cnt[862][6]~38959\);

-- Location: FF_X72_Y22_N27
\led_flash_cnt[862][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[862][6]~38958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[862][6]~q\);

-- Location: LCCOMB_X72_Y22_N28
\led_flash_cnt[862][7]~38960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[862][7]~38960_combout\ = \led_flash_cnt[862][6]~38959\ $ (!\led_flash_cnt[862][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[862][7]~q\,
	cin => \led_flash_cnt[862][6]~38959\,
	combout => \led_flash_cnt[862][7]~38960_combout\);

-- Location: FF_X72_Y22_N29
\led_flash_cnt[862][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[862][7]~38960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[862][7]~q\);

-- Location: LCCOMB_X72_Y22_N4
\WideAnd862~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd862~1_combout\ = (\led_flash_cnt[862][6]~q\ & \led_flash_cnt[862][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[862][6]~q\,
	datad => \led_flash_cnt[862][5]~q\,
	combout => \WideAnd862~1_combout\);

-- Location: LCCOMB_X72_Y22_N12
\WideAnd862~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd862~0_combout\ = (\led_flash_cnt[862][3]~q\ & (\led_flash_cnt[862][2]~q\ & (\led_flash_cnt[862][4]~q\ & \led_flash_cnt[862][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[862][3]~q\,
	datab => \led_flash_cnt[862][2]~q\,
	datac => \led_flash_cnt[862][4]~q\,
	datad => \led_flash_cnt[862][1]~q\,
	combout => \WideAnd862~0_combout\);

-- Location: LCCOMB_X72_Y22_N8
WideAnd862 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd862~combout\ = (\led_flash_cnt[862][0]~q\ & (\led_flash_cnt[862][7]~q\ & (\WideAnd862~1_combout\ & \WideAnd862~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[862][0]~q\,
	datab => \led_flash_cnt[862][7]~q\,
	datac => \WideAnd862~1_combout\,
	datad => \WideAnd862~0_combout\,
	combout => \WideAnd862~combout\);

-- Location: FF_X72_Y22_N9
\led_flash_cnt_ands[862]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd862~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(862));

-- Location: LCCOMB_X3_Y8_N18
\led_flash_cnt[859][0]~81499\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[859][0]~81499_combout\ = !\led_flash_cnt[859][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[859][0]~q\,
	combout => \led_flash_cnt[859][0]~81499_combout\);

-- Location: FF_X3_Y8_N19
\led_flash_cnt[859][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[859][0]~81499_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[859][0]~q\);

-- Location: LCCOMB_X3_Y8_N2
\led_flash_cnt[859][1]~38906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[859][1]~38906_combout\ = (\led_flash_cnt[859][0]~q\ & (\led_flash_cnt[859][1]~q\ $ (VCC))) # (!\led_flash_cnt[859][0]~q\ & (\led_flash_cnt[859][1]~q\ & VCC))
-- \led_flash_cnt[859][1]~38907\ = CARRY((\led_flash_cnt[859][0]~q\ & \led_flash_cnt[859][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[859][0]~q\,
	datab => \led_flash_cnt[859][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[859][1]~38906_combout\,
	cout => \led_flash_cnt[859][1]~38907\);

-- Location: FF_X3_Y8_N3
\led_flash_cnt[859][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[859][1]~38906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[859][1]~q\);

-- Location: LCCOMB_X3_Y8_N4
\led_flash_cnt[859][2]~38908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[859][2]~38908_combout\ = (\led_flash_cnt[859][2]~q\ & (!\led_flash_cnt[859][1]~38907\)) # (!\led_flash_cnt[859][2]~q\ & ((\led_flash_cnt[859][1]~38907\) # (GND)))
-- \led_flash_cnt[859][2]~38909\ = CARRY((!\led_flash_cnt[859][1]~38907\) # (!\led_flash_cnt[859][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[859][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[859][1]~38907\,
	combout => \led_flash_cnt[859][2]~38908_combout\,
	cout => \led_flash_cnt[859][2]~38909\);

-- Location: FF_X3_Y8_N5
\led_flash_cnt[859][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[859][2]~38908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[859][2]~q\);

-- Location: LCCOMB_X3_Y8_N6
\led_flash_cnt[859][3]~38910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[859][3]~38910_combout\ = (\led_flash_cnt[859][3]~q\ & (\led_flash_cnt[859][2]~38909\ $ (GND))) # (!\led_flash_cnt[859][3]~q\ & (!\led_flash_cnt[859][2]~38909\ & VCC))
-- \led_flash_cnt[859][3]~38911\ = CARRY((\led_flash_cnt[859][3]~q\ & !\led_flash_cnt[859][2]~38909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[859][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[859][2]~38909\,
	combout => \led_flash_cnt[859][3]~38910_combout\,
	cout => \led_flash_cnt[859][3]~38911\);

-- Location: FF_X3_Y8_N7
\led_flash_cnt[859][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[859][3]~38910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[859][3]~q\);

-- Location: LCCOMB_X3_Y8_N8
\led_flash_cnt[859][4]~38912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[859][4]~38912_combout\ = (\led_flash_cnt[859][4]~q\ & (!\led_flash_cnt[859][3]~38911\)) # (!\led_flash_cnt[859][4]~q\ & ((\led_flash_cnt[859][3]~38911\) # (GND)))
-- \led_flash_cnt[859][4]~38913\ = CARRY((!\led_flash_cnt[859][3]~38911\) # (!\led_flash_cnt[859][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[859][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[859][3]~38911\,
	combout => \led_flash_cnt[859][4]~38912_combout\,
	cout => \led_flash_cnt[859][4]~38913\);

-- Location: FF_X3_Y8_N9
\led_flash_cnt[859][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[859][4]~38912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[859][4]~q\);

-- Location: LCCOMB_X3_Y8_N22
\WideAnd859~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd859~0_combout\ = (\led_flash_cnt[859][3]~q\ & (\led_flash_cnt[859][2]~q\ & (\led_flash_cnt[859][4]~q\ & \led_flash_cnt[859][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[859][3]~q\,
	datab => \led_flash_cnt[859][2]~q\,
	datac => \led_flash_cnt[859][4]~q\,
	datad => \led_flash_cnt[859][1]~q\,
	combout => \WideAnd859~0_combout\);

-- Location: LCCOMB_X3_Y8_N10
\led_flash_cnt[859][5]~38914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[859][5]~38914_combout\ = (\led_flash_cnt[859][5]~q\ & (\led_flash_cnt[859][4]~38913\ $ (GND))) # (!\led_flash_cnt[859][5]~q\ & (!\led_flash_cnt[859][4]~38913\ & VCC))
-- \led_flash_cnt[859][5]~38915\ = CARRY((\led_flash_cnt[859][5]~q\ & !\led_flash_cnt[859][4]~38913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[859][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[859][4]~38913\,
	combout => \led_flash_cnt[859][5]~38914_combout\,
	cout => \led_flash_cnt[859][5]~38915\);

-- Location: FF_X3_Y8_N11
\led_flash_cnt[859][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[859][5]~38914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[859][5]~q\);

-- Location: LCCOMB_X3_Y8_N12
\led_flash_cnt[859][6]~38916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[859][6]~38916_combout\ = (\led_flash_cnt[859][6]~q\ & (!\led_flash_cnt[859][5]~38915\)) # (!\led_flash_cnt[859][6]~q\ & ((\led_flash_cnt[859][5]~38915\) # (GND)))
-- \led_flash_cnt[859][6]~38917\ = CARRY((!\led_flash_cnt[859][5]~38915\) # (!\led_flash_cnt[859][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[859][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[859][5]~38915\,
	combout => \led_flash_cnt[859][6]~38916_combout\,
	cout => \led_flash_cnt[859][6]~38917\);

-- Location: FF_X3_Y8_N13
\led_flash_cnt[859][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[859][6]~38916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[859][6]~q\);

-- Location: LCCOMB_X3_Y8_N28
\WideAnd859~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd859~1_combout\ = (\led_flash_cnt[859][5]~q\ & \led_flash_cnt[859][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[859][5]~q\,
	datad => \led_flash_cnt[859][6]~q\,
	combout => \WideAnd859~1_combout\);

-- Location: LCCOMB_X3_Y8_N14
\led_flash_cnt[859][7]~38918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[859][7]~38918_combout\ = \led_flash_cnt[859][7]~q\ $ (!\led_flash_cnt[859][6]~38917\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[859][7]~q\,
	cin => \led_flash_cnt[859][6]~38917\,
	combout => \led_flash_cnt[859][7]~38918_combout\);

-- Location: FF_X3_Y8_N15
\led_flash_cnt[859][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[859][7]~38918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[859][7]~q\);

-- Location: LCCOMB_X3_Y8_N26
WideAnd859 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd859~combout\ = (\WideAnd859~0_combout\ & (\WideAnd859~1_combout\ & (\led_flash_cnt[859][7]~q\ & \led_flash_cnt[859][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd859~0_combout\,
	datab => \WideAnd859~1_combout\,
	datac => \led_flash_cnt[859][7]~q\,
	datad => \led_flash_cnt[859][0]~q\,
	combout => \WideAnd859~combout\);

-- Location: FF_X3_Y8_N27
\led_flash_cnt_ands[859]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd859~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(859));

-- Location: LCCOMB_X2_Y8_N22
\led_flash_cnt[856][0]~81496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[856][0]~81496_combout\ = !\led_flash_cnt[856][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[856][0]~q\,
	combout => \led_flash_cnt[856][0]~81496_combout\);

-- Location: FF_X2_Y8_N23
\led_flash_cnt[856][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[856][0]~81496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[856][0]~q\);

-- Location: LCCOMB_X2_Y8_N8
\led_flash_cnt[856][1]~38864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[856][1]~38864_combout\ = (\led_flash_cnt[856][0]~q\ & (\led_flash_cnt[856][1]~q\ $ (VCC))) # (!\led_flash_cnt[856][0]~q\ & (\led_flash_cnt[856][1]~q\ & VCC))
-- \led_flash_cnt[856][1]~38865\ = CARRY((\led_flash_cnt[856][0]~q\ & \led_flash_cnt[856][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[856][0]~q\,
	datab => \led_flash_cnt[856][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[856][1]~38864_combout\,
	cout => \led_flash_cnt[856][1]~38865\);

-- Location: FF_X2_Y8_N9
\led_flash_cnt[856][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[856][1]~38864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[856][1]~q\);

-- Location: LCCOMB_X2_Y8_N10
\led_flash_cnt[856][2]~38866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[856][2]~38866_combout\ = (\led_flash_cnt[856][2]~q\ & (!\led_flash_cnt[856][1]~38865\)) # (!\led_flash_cnt[856][2]~q\ & ((\led_flash_cnt[856][1]~38865\) # (GND)))
-- \led_flash_cnt[856][2]~38867\ = CARRY((!\led_flash_cnt[856][1]~38865\) # (!\led_flash_cnt[856][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[856][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[856][1]~38865\,
	combout => \led_flash_cnt[856][2]~38866_combout\,
	cout => \led_flash_cnt[856][2]~38867\);

-- Location: FF_X2_Y8_N11
\led_flash_cnt[856][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[856][2]~38866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[856][2]~q\);

-- Location: LCCOMB_X2_Y8_N12
\led_flash_cnt[856][3]~38868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[856][3]~38868_combout\ = (\led_flash_cnt[856][3]~q\ & (\led_flash_cnt[856][2]~38867\ $ (GND))) # (!\led_flash_cnt[856][3]~q\ & (!\led_flash_cnt[856][2]~38867\ & VCC))
-- \led_flash_cnt[856][3]~38869\ = CARRY((\led_flash_cnt[856][3]~q\ & !\led_flash_cnt[856][2]~38867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[856][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[856][2]~38867\,
	combout => \led_flash_cnt[856][3]~38868_combout\,
	cout => \led_flash_cnt[856][3]~38869\);

-- Location: FF_X2_Y8_N13
\led_flash_cnt[856][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[856][3]~38868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[856][3]~q\);

-- Location: LCCOMB_X2_Y8_N14
\led_flash_cnt[856][4]~38870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[856][4]~38870_combout\ = (\led_flash_cnt[856][4]~q\ & (!\led_flash_cnt[856][3]~38869\)) # (!\led_flash_cnt[856][4]~q\ & ((\led_flash_cnt[856][3]~38869\) # (GND)))
-- \led_flash_cnt[856][4]~38871\ = CARRY((!\led_flash_cnt[856][3]~38869\) # (!\led_flash_cnt[856][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[856][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[856][3]~38869\,
	combout => \led_flash_cnt[856][4]~38870_combout\,
	cout => \led_flash_cnt[856][4]~38871\);

-- Location: FF_X2_Y8_N15
\led_flash_cnt[856][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[856][4]~38870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[856][4]~q\);

-- Location: LCCOMB_X2_Y8_N26
\WideAnd856~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd856~0_combout\ = (\led_flash_cnt[856][3]~q\ & (\led_flash_cnt[856][1]~q\ & (\led_flash_cnt[856][4]~q\ & \led_flash_cnt[856][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[856][3]~q\,
	datab => \led_flash_cnt[856][1]~q\,
	datac => \led_flash_cnt[856][4]~q\,
	datad => \led_flash_cnt[856][2]~q\,
	combout => \WideAnd856~0_combout\);

-- Location: LCCOMB_X2_Y8_N16
\led_flash_cnt[856][5]~38872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[856][5]~38872_combout\ = (\led_flash_cnt[856][5]~q\ & (\led_flash_cnt[856][4]~38871\ $ (GND))) # (!\led_flash_cnt[856][5]~q\ & (!\led_flash_cnt[856][4]~38871\ & VCC))
-- \led_flash_cnt[856][5]~38873\ = CARRY((\led_flash_cnt[856][5]~q\ & !\led_flash_cnt[856][4]~38871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[856][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[856][4]~38871\,
	combout => \led_flash_cnt[856][5]~38872_combout\,
	cout => \led_flash_cnt[856][5]~38873\);

-- Location: FF_X2_Y8_N17
\led_flash_cnt[856][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[856][5]~38872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[856][5]~q\);

-- Location: LCCOMB_X2_Y8_N18
\led_flash_cnt[856][6]~38874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[856][6]~38874_combout\ = (\led_flash_cnt[856][6]~q\ & (!\led_flash_cnt[856][5]~38873\)) # (!\led_flash_cnt[856][6]~q\ & ((\led_flash_cnt[856][5]~38873\) # (GND)))
-- \led_flash_cnt[856][6]~38875\ = CARRY((!\led_flash_cnt[856][5]~38873\) # (!\led_flash_cnt[856][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[856][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[856][5]~38873\,
	combout => \led_flash_cnt[856][6]~38874_combout\,
	cout => \led_flash_cnt[856][6]~38875\);

-- Location: FF_X2_Y8_N19
\led_flash_cnt[856][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[856][6]~38874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[856][6]~q\);

-- Location: LCCOMB_X2_Y8_N20
\led_flash_cnt[856][7]~38876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[856][7]~38876_combout\ = \led_flash_cnt[856][6]~38875\ $ (!\led_flash_cnt[856][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[856][7]~q\,
	cin => \led_flash_cnt[856][6]~38875\,
	combout => \led_flash_cnt[856][7]~38876_combout\);

-- Location: FF_X2_Y8_N21
\led_flash_cnt[856][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[856][7]~38876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[856][7]~q\);

-- Location: LCCOMB_X2_Y8_N24
\WideAnd856~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd856~1_combout\ = (\led_flash_cnt[856][5]~q\ & \led_flash_cnt[856][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[856][5]~q\,
	datad => \led_flash_cnt[856][6]~q\,
	combout => \WideAnd856~1_combout\);

-- Location: LCCOMB_X2_Y8_N4
WideAnd856 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd856~combout\ = (\WideAnd856~0_combout\ & (\led_flash_cnt[856][7]~q\ & (\led_flash_cnt[856][0]~q\ & \WideAnd856~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd856~0_combout\,
	datab => \led_flash_cnt[856][7]~q\,
	datac => \led_flash_cnt[856][0]~q\,
	datad => \WideAnd856~1_combout\,
	combout => \WideAnd856~combout\);

-- Location: FF_X2_Y8_N5
\led_flash_cnt_ands[856]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd856~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(856));

-- Location: LCCOMB_X2_Y6_N18
\led_flash_cnt[857][0]~81497\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[857][0]~81497_combout\ = !\led_flash_cnt[857][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[857][0]~q\,
	combout => \led_flash_cnt[857][0]~81497_combout\);

-- Location: FF_X2_Y6_N19
\led_flash_cnt[857][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[857][0]~81497_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[857][0]~q\);

-- Location: LCCOMB_X2_Y6_N0
\led_flash_cnt[857][1]~38878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[857][1]~38878_combout\ = (\led_flash_cnt[857][1]~q\ & (\led_flash_cnt[857][0]~q\ $ (VCC))) # (!\led_flash_cnt[857][1]~q\ & (\led_flash_cnt[857][0]~q\ & VCC))
-- \led_flash_cnt[857][1]~38879\ = CARRY((\led_flash_cnt[857][1]~q\ & \led_flash_cnt[857][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[857][1]~q\,
	datab => \led_flash_cnt[857][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[857][1]~38878_combout\,
	cout => \led_flash_cnt[857][1]~38879\);

-- Location: FF_X2_Y6_N1
\led_flash_cnt[857][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[857][1]~38878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[857][1]~q\);

-- Location: LCCOMB_X2_Y6_N2
\led_flash_cnt[857][2]~38880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[857][2]~38880_combout\ = (\led_flash_cnt[857][2]~q\ & (!\led_flash_cnt[857][1]~38879\)) # (!\led_flash_cnt[857][2]~q\ & ((\led_flash_cnt[857][1]~38879\) # (GND)))
-- \led_flash_cnt[857][2]~38881\ = CARRY((!\led_flash_cnt[857][1]~38879\) # (!\led_flash_cnt[857][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[857][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[857][1]~38879\,
	combout => \led_flash_cnt[857][2]~38880_combout\,
	cout => \led_flash_cnt[857][2]~38881\);

-- Location: FF_X2_Y6_N3
\led_flash_cnt[857][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[857][2]~38880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[857][2]~q\);

-- Location: LCCOMB_X2_Y6_N4
\led_flash_cnt[857][3]~38882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[857][3]~38882_combout\ = (\led_flash_cnt[857][3]~q\ & (\led_flash_cnt[857][2]~38881\ $ (GND))) # (!\led_flash_cnt[857][3]~q\ & (!\led_flash_cnt[857][2]~38881\ & VCC))
-- \led_flash_cnt[857][3]~38883\ = CARRY((\led_flash_cnt[857][3]~q\ & !\led_flash_cnt[857][2]~38881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[857][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[857][2]~38881\,
	combout => \led_flash_cnt[857][3]~38882_combout\,
	cout => \led_flash_cnt[857][3]~38883\);

-- Location: FF_X2_Y6_N5
\led_flash_cnt[857][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[857][3]~38882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[857][3]~q\);

-- Location: LCCOMB_X2_Y6_N6
\led_flash_cnt[857][4]~38884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[857][4]~38884_combout\ = (\led_flash_cnt[857][4]~q\ & (!\led_flash_cnt[857][3]~38883\)) # (!\led_flash_cnt[857][4]~q\ & ((\led_flash_cnt[857][3]~38883\) # (GND)))
-- \led_flash_cnt[857][4]~38885\ = CARRY((!\led_flash_cnt[857][3]~38883\) # (!\led_flash_cnt[857][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[857][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[857][3]~38883\,
	combout => \led_flash_cnt[857][4]~38884_combout\,
	cout => \led_flash_cnt[857][4]~38885\);

-- Location: FF_X2_Y6_N7
\led_flash_cnt[857][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[857][4]~38884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[857][4]~q\);

-- Location: LCCOMB_X2_Y6_N8
\led_flash_cnt[857][5]~38886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[857][5]~38886_combout\ = (\led_flash_cnt[857][5]~q\ & (\led_flash_cnt[857][4]~38885\ $ (GND))) # (!\led_flash_cnt[857][5]~q\ & (!\led_flash_cnt[857][4]~38885\ & VCC))
-- \led_flash_cnt[857][5]~38887\ = CARRY((\led_flash_cnt[857][5]~q\ & !\led_flash_cnt[857][4]~38885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[857][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[857][4]~38885\,
	combout => \led_flash_cnt[857][5]~38886_combout\,
	cout => \led_flash_cnt[857][5]~38887\);

-- Location: FF_X2_Y6_N9
\led_flash_cnt[857][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[857][5]~38886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[857][5]~q\);

-- Location: LCCOMB_X2_Y6_N10
\led_flash_cnt[857][6]~38888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[857][6]~38888_combout\ = (\led_flash_cnt[857][6]~q\ & (!\led_flash_cnt[857][5]~38887\)) # (!\led_flash_cnt[857][6]~q\ & ((\led_flash_cnt[857][5]~38887\) # (GND)))
-- \led_flash_cnt[857][6]~38889\ = CARRY((!\led_flash_cnt[857][5]~38887\) # (!\led_flash_cnt[857][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[857][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[857][5]~38887\,
	combout => \led_flash_cnt[857][6]~38888_combout\,
	cout => \led_flash_cnt[857][6]~38889\);

-- Location: FF_X2_Y6_N11
\led_flash_cnt[857][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[857][6]~38888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[857][6]~q\);

-- Location: LCCOMB_X2_Y6_N12
\led_flash_cnt[857][7]~38890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[857][7]~38890_combout\ = \led_flash_cnt[857][6]~38889\ $ (!\led_flash_cnt[857][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[857][7]~q\,
	cin => \led_flash_cnt[857][6]~38889\,
	combout => \led_flash_cnt[857][7]~38890_combout\);

-- Location: FF_X2_Y6_N13
\led_flash_cnt[857][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[857][7]~38890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[857][7]~q\);

-- Location: LCCOMB_X2_Y6_N24
\WideAnd857~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd857~0_combout\ = (\led_flash_cnt[857][4]~q\ & (\led_flash_cnt[857][1]~q\ & (\led_flash_cnt[857][3]~q\ & \led_flash_cnt[857][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[857][4]~q\,
	datab => \led_flash_cnt[857][1]~q\,
	datac => \led_flash_cnt[857][3]~q\,
	datad => \led_flash_cnt[857][2]~q\,
	combout => \WideAnd857~0_combout\);

-- Location: LCCOMB_X2_Y6_N26
\WideAnd857~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd857~1_combout\ = (\led_flash_cnt[857][5]~q\ & \led_flash_cnt[857][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[857][5]~q\,
	datad => \led_flash_cnt[857][6]~q\,
	combout => \WideAnd857~1_combout\);

-- Location: LCCOMB_X2_Y6_N16
WideAnd857 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd857~combout\ = (\led_flash_cnt[857][7]~q\ & (\WideAnd857~0_combout\ & (\WideAnd857~1_combout\ & \led_flash_cnt[857][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[857][7]~q\,
	datab => \WideAnd857~0_combout\,
	datac => \WideAnd857~1_combout\,
	datad => \led_flash_cnt[857][0]~q\,
	combout => \WideAnd857~combout\);

-- Location: FF_X2_Y6_N17
\led_flash_cnt_ands[857]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd857~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(857));

-- Location: LCCOMB_X3_Y6_N4
\led_flash_cnt[858][0]~81498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[858][0]~81498_combout\ = !\led_flash_cnt[858][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[858][0]~q\,
	combout => \led_flash_cnt[858][0]~81498_combout\);

-- Location: FF_X3_Y6_N5
\led_flash_cnt[858][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[858][0]~81498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[858][0]~q\);

-- Location: LCCOMB_X3_Y6_N12
\led_flash_cnt[858][1]~38892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[858][1]~38892_combout\ = (\led_flash_cnt[858][1]~q\ & (\led_flash_cnt[858][0]~q\ $ (VCC))) # (!\led_flash_cnt[858][1]~q\ & (\led_flash_cnt[858][0]~q\ & VCC))
-- \led_flash_cnt[858][1]~38893\ = CARRY((\led_flash_cnt[858][1]~q\ & \led_flash_cnt[858][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[858][1]~q\,
	datab => \led_flash_cnt[858][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[858][1]~38892_combout\,
	cout => \led_flash_cnt[858][1]~38893\);

-- Location: FF_X3_Y6_N13
\led_flash_cnt[858][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[858][1]~38892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[858][1]~q\);

-- Location: LCCOMB_X3_Y6_N14
\led_flash_cnt[858][2]~38894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[858][2]~38894_combout\ = (\led_flash_cnt[858][2]~q\ & (!\led_flash_cnt[858][1]~38893\)) # (!\led_flash_cnt[858][2]~q\ & ((\led_flash_cnt[858][1]~38893\) # (GND)))
-- \led_flash_cnt[858][2]~38895\ = CARRY((!\led_flash_cnt[858][1]~38893\) # (!\led_flash_cnt[858][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[858][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[858][1]~38893\,
	combout => \led_flash_cnt[858][2]~38894_combout\,
	cout => \led_flash_cnt[858][2]~38895\);

-- Location: FF_X3_Y6_N15
\led_flash_cnt[858][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[858][2]~38894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[858][2]~q\);

-- Location: LCCOMB_X3_Y6_N16
\led_flash_cnt[858][3]~38896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[858][3]~38896_combout\ = (\led_flash_cnt[858][3]~q\ & (\led_flash_cnt[858][2]~38895\ $ (GND))) # (!\led_flash_cnt[858][3]~q\ & (!\led_flash_cnt[858][2]~38895\ & VCC))
-- \led_flash_cnt[858][3]~38897\ = CARRY((\led_flash_cnt[858][3]~q\ & !\led_flash_cnt[858][2]~38895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[858][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[858][2]~38895\,
	combout => \led_flash_cnt[858][3]~38896_combout\,
	cout => \led_flash_cnt[858][3]~38897\);

-- Location: FF_X3_Y6_N17
\led_flash_cnt[858][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[858][3]~38896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[858][3]~q\);

-- Location: LCCOMB_X3_Y6_N18
\led_flash_cnt[858][4]~38898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[858][4]~38898_combout\ = (\led_flash_cnt[858][4]~q\ & (!\led_flash_cnt[858][3]~38897\)) # (!\led_flash_cnt[858][4]~q\ & ((\led_flash_cnt[858][3]~38897\) # (GND)))
-- \led_flash_cnt[858][4]~38899\ = CARRY((!\led_flash_cnt[858][3]~38897\) # (!\led_flash_cnt[858][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[858][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[858][3]~38897\,
	combout => \led_flash_cnt[858][4]~38898_combout\,
	cout => \led_flash_cnt[858][4]~38899\);

-- Location: FF_X3_Y6_N19
\led_flash_cnt[858][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[858][4]~38898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[858][4]~q\);

-- Location: LCCOMB_X3_Y6_N20
\led_flash_cnt[858][5]~38900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[858][5]~38900_combout\ = (\led_flash_cnt[858][5]~q\ & (\led_flash_cnt[858][4]~38899\ $ (GND))) # (!\led_flash_cnt[858][5]~q\ & (!\led_flash_cnt[858][4]~38899\ & VCC))
-- \led_flash_cnt[858][5]~38901\ = CARRY((\led_flash_cnt[858][5]~q\ & !\led_flash_cnt[858][4]~38899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[858][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[858][4]~38899\,
	combout => \led_flash_cnt[858][5]~38900_combout\,
	cout => \led_flash_cnt[858][5]~38901\);

-- Location: FF_X3_Y6_N21
\led_flash_cnt[858][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[858][5]~38900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[858][5]~q\);

-- Location: LCCOMB_X3_Y6_N22
\led_flash_cnt[858][6]~38902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[858][6]~38902_combout\ = (\led_flash_cnt[858][6]~q\ & (!\led_flash_cnt[858][5]~38901\)) # (!\led_flash_cnt[858][6]~q\ & ((\led_flash_cnt[858][5]~38901\) # (GND)))
-- \led_flash_cnt[858][6]~38903\ = CARRY((!\led_flash_cnt[858][5]~38901\) # (!\led_flash_cnt[858][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[858][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[858][5]~38901\,
	combout => \led_flash_cnt[858][6]~38902_combout\,
	cout => \led_flash_cnt[858][6]~38903\);

-- Location: FF_X3_Y6_N23
\led_flash_cnt[858][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[858][6]~38902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[858][6]~q\);

-- Location: LCCOMB_X3_Y6_N10
\WideAnd858~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd858~1_combout\ = (\led_flash_cnt[858][6]~q\ & \led_flash_cnt[858][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[858][6]~q\,
	datad => \led_flash_cnt[858][5]~q\,
	combout => \WideAnd858~1_combout\);

-- Location: LCCOMB_X3_Y6_N8
\WideAnd858~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd858~0_combout\ = (\led_flash_cnt[858][1]~q\ & (\led_flash_cnt[858][4]~q\ & (\led_flash_cnt[858][2]~q\ & \led_flash_cnt[858][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[858][1]~q\,
	datab => \led_flash_cnt[858][4]~q\,
	datac => \led_flash_cnt[858][2]~q\,
	datad => \led_flash_cnt[858][3]~q\,
	combout => \WideAnd858~0_combout\);

-- Location: LCCOMB_X3_Y6_N24
\led_flash_cnt[858][7]~38904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[858][7]~38904_combout\ = \led_flash_cnt[858][6]~38903\ $ (!\led_flash_cnt[858][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[858][7]~q\,
	cin => \led_flash_cnt[858][6]~38903\,
	combout => \led_flash_cnt[858][7]~38904_combout\);

-- Location: FF_X3_Y6_N25
\led_flash_cnt[858][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[858][7]~38904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[858][7]~q\);

-- Location: LCCOMB_X3_Y6_N26
WideAnd858 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd858~combout\ = (\WideAnd858~1_combout\ & (\led_flash_cnt[858][0]~q\ & (\WideAnd858~0_combout\ & \led_flash_cnt[858][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd858~1_combout\,
	datab => \led_flash_cnt[858][0]~q\,
	datac => \WideAnd858~0_combout\,
	datad => \led_flash_cnt[858][7]~q\,
	combout => \WideAnd858~combout\);

-- Location: FF_X3_Y6_N27
\led_flash_cnt_ands[858]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd858~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(858));

-- Location: LCCOMB_X3_Y8_N24
\WideAnd3947~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3947~0_combout\ = (led_flash_cnt_ands(859) & (led_flash_cnt_ands(856) & (led_flash_cnt_ands(857) & led_flash_cnt_ands(858))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(859),
	datab => led_flash_cnt_ands(856),
	datac => led_flash_cnt_ands(857),
	datad => led_flash_cnt_ands(858),
	combout => \WideAnd3947~0_combout\);

-- Location: LCCOMB_X71_Y22_N28
WideAnd3947 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3947~combout\ = (led_flash_cnt_ands(863) & (\WideAnd3947~1_combout\ & (led_flash_cnt_ands(862) & \WideAnd3947~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(863),
	datab => \WideAnd3947~1_combout\,
	datac => led_flash_cnt_ands(862),
	datad => \WideAnd3947~0_combout\,
	combout => \WideAnd3947~combout\);

-- Location: FF_X71_Y22_N29
\led_flash_cnt_ands_1[107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3947~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(107));

-- Location: LCCOMB_X72_Y24_N24
\WideAnd4333~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4333~0_combout\ = (led_flash_cnt_ands_1(106) & (led_flash_cnt_ands_1(105) & (led_flash_cnt_ands_1(104) & led_flash_cnt_ands_1(107))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(106),
	datab => led_flash_cnt_ands_1(105),
	datac => led_flash_cnt_ands_1(104),
	datad => led_flash_cnt_ands_1(107),
	combout => \WideAnd4333~0_combout\);

-- Location: LCCOMB_X23_Y31_N16
WideAnd4333 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4333~combout\ = (led_flash_cnt_ands_1(110) & (led_flash_cnt_ands_1(111) & (\WideAnd4333~1_combout\ & \WideAnd4333~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(110),
	datab => led_flash_cnt_ands_1(111),
	datac => \WideAnd4333~1_combout\,
	datad => \WideAnd4333~0_combout\,
	combout => \WideAnd4333~combout\);

-- Location: FF_X23_Y31_N17
\led_flash_cnt_ands_2[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4333~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(13));

-- Location: LCCOMB_X23_Y31_N6
\WideAnd4380~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~3_combout\ = (led_flash_cnt_ands_2(14) & (led_flash_cnt_ands_2(15) & (led_flash_cnt_ands_2(12) & led_flash_cnt_ands_2(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(14),
	datab => led_flash_cnt_ands_2(15),
	datac => led_flash_cnt_ands_2(12),
	datad => led_flash_cnt_ands_2(13),
	combout => \WideAnd4380~3_combout\);

-- Location: LCCOMB_X42_Y38_N26
\led_flash_cnt[493][0]~81133\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[493][0]~81133_combout\ = !\led_flash_cnt[493][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[493][0]~q\,
	combout => \led_flash_cnt[493][0]~81133_combout\);

-- Location: FF_X42_Y38_N27
\led_flash_cnt[493][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[493][0]~81133_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[493][0]~q\);

-- Location: LCCOMB_X41_Y38_N4
\led_flash_cnt[493][1]~33782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[493][1]~33782_combout\ = (\led_flash_cnt[493][0]~q\ & (\led_flash_cnt[493][1]~q\ $ (VCC))) # (!\led_flash_cnt[493][0]~q\ & (\led_flash_cnt[493][1]~q\ & VCC))
-- \led_flash_cnt[493][1]~33783\ = CARRY((\led_flash_cnt[493][0]~q\ & \led_flash_cnt[493][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[493][0]~q\,
	datab => \led_flash_cnt[493][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[493][1]~33782_combout\,
	cout => \led_flash_cnt[493][1]~33783\);

-- Location: FF_X41_Y38_N5
\led_flash_cnt[493][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[493][1]~33782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[493][1]~q\);

-- Location: LCCOMB_X41_Y38_N6
\led_flash_cnt[493][2]~33784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[493][2]~33784_combout\ = (\led_flash_cnt[493][2]~q\ & (!\led_flash_cnt[493][1]~33783\)) # (!\led_flash_cnt[493][2]~q\ & ((\led_flash_cnt[493][1]~33783\) # (GND)))
-- \led_flash_cnt[493][2]~33785\ = CARRY((!\led_flash_cnt[493][1]~33783\) # (!\led_flash_cnt[493][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[493][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[493][1]~33783\,
	combout => \led_flash_cnt[493][2]~33784_combout\,
	cout => \led_flash_cnt[493][2]~33785\);

-- Location: FF_X41_Y38_N7
\led_flash_cnt[493][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[493][2]~33784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[493][2]~q\);

-- Location: LCCOMB_X41_Y38_N8
\led_flash_cnt[493][3]~33786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[493][3]~33786_combout\ = (\led_flash_cnt[493][3]~q\ & (\led_flash_cnt[493][2]~33785\ $ (GND))) # (!\led_flash_cnt[493][3]~q\ & (!\led_flash_cnt[493][2]~33785\ & VCC))
-- \led_flash_cnt[493][3]~33787\ = CARRY((\led_flash_cnt[493][3]~q\ & !\led_flash_cnt[493][2]~33785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[493][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[493][2]~33785\,
	combout => \led_flash_cnt[493][3]~33786_combout\,
	cout => \led_flash_cnt[493][3]~33787\);

-- Location: FF_X41_Y38_N9
\led_flash_cnt[493][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[493][3]~33786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[493][3]~q\);

-- Location: LCCOMB_X41_Y38_N10
\led_flash_cnt[493][4]~33788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[493][4]~33788_combout\ = (\led_flash_cnt[493][4]~q\ & (!\led_flash_cnt[493][3]~33787\)) # (!\led_flash_cnt[493][4]~q\ & ((\led_flash_cnt[493][3]~33787\) # (GND)))
-- \led_flash_cnt[493][4]~33789\ = CARRY((!\led_flash_cnt[493][3]~33787\) # (!\led_flash_cnt[493][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[493][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[493][3]~33787\,
	combout => \led_flash_cnt[493][4]~33788_combout\,
	cout => \led_flash_cnt[493][4]~33789\);

-- Location: FF_X41_Y38_N11
\led_flash_cnt[493][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[493][4]~33788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[493][4]~q\);

-- Location: LCCOMB_X41_Y38_N12
\led_flash_cnt[493][5]~33790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[493][5]~33790_combout\ = (\led_flash_cnt[493][5]~q\ & (\led_flash_cnt[493][4]~33789\ $ (GND))) # (!\led_flash_cnt[493][5]~q\ & (!\led_flash_cnt[493][4]~33789\ & VCC))
-- \led_flash_cnt[493][5]~33791\ = CARRY((\led_flash_cnt[493][5]~q\ & !\led_flash_cnt[493][4]~33789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[493][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[493][4]~33789\,
	combout => \led_flash_cnt[493][5]~33790_combout\,
	cout => \led_flash_cnt[493][5]~33791\);

-- Location: FF_X41_Y38_N13
\led_flash_cnt[493][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[493][5]~33790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[493][5]~q\);

-- Location: LCCOMB_X41_Y38_N14
\led_flash_cnt[493][6]~33792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[493][6]~33792_combout\ = (\led_flash_cnt[493][6]~q\ & (!\led_flash_cnt[493][5]~33791\)) # (!\led_flash_cnt[493][6]~q\ & ((\led_flash_cnt[493][5]~33791\) # (GND)))
-- \led_flash_cnt[493][6]~33793\ = CARRY((!\led_flash_cnt[493][5]~33791\) # (!\led_flash_cnt[493][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[493][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[493][5]~33791\,
	combout => \led_flash_cnt[493][6]~33792_combout\,
	cout => \led_flash_cnt[493][6]~33793\);

-- Location: FF_X41_Y38_N15
\led_flash_cnt[493][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[493][6]~33792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[493][6]~q\);

-- Location: LCCOMB_X41_Y38_N16
\led_flash_cnt[493][7]~33794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[493][7]~33794_combout\ = \led_flash_cnt[493][6]~33793\ $ (!\led_flash_cnt[493][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[493][7]~q\,
	cin => \led_flash_cnt[493][6]~33793\,
	combout => \led_flash_cnt[493][7]~33794_combout\);

-- Location: FF_X41_Y38_N17
\led_flash_cnt[493][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[493][7]~33794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[493][7]~q\);

-- Location: LCCOMB_X42_Y38_N8
\WideAnd493~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd493~1_combout\ = (\led_flash_cnt[493][6]~q\ & \led_flash_cnt[493][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[493][6]~q\,
	datad => \led_flash_cnt[493][5]~q\,
	combout => \WideAnd493~1_combout\);

-- Location: LCCOMB_X41_Y38_N2
\WideAnd493~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd493~0_combout\ = (\led_flash_cnt[493][4]~q\ & (\led_flash_cnt[493][1]~q\ & (\led_flash_cnt[493][3]~q\ & \led_flash_cnt[493][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[493][4]~q\,
	datab => \led_flash_cnt[493][1]~q\,
	datac => \led_flash_cnt[493][3]~q\,
	datad => \led_flash_cnt[493][2]~q\,
	combout => \WideAnd493~0_combout\);

-- Location: LCCOMB_X42_Y38_N4
WideAnd493 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd493~combout\ = (\led_flash_cnt[493][7]~q\ & (\WideAnd493~1_combout\ & (\led_flash_cnt[493][0]~q\ & \WideAnd493~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[493][7]~q\,
	datab => \WideAnd493~1_combout\,
	datac => \led_flash_cnt[493][0]~q\,
	datad => \WideAnd493~0_combout\,
	combout => \WideAnd493~combout\);

-- Location: FF_X42_Y38_N5
\led_flash_cnt_ands[493]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd493~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(493));

-- Location: LCCOMB_X42_Y38_N6
\led_flash_cnt[492][0]~81132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[492][0]~81132_combout\ = !\led_flash_cnt[492][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[492][0]~q\,
	combout => \led_flash_cnt[492][0]~81132_combout\);

-- Location: FF_X42_Y38_N7
\led_flash_cnt[492][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[492][0]~81132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[492][0]~q\);

-- Location: LCCOMB_X43_Y38_N18
\led_flash_cnt[492][1]~33768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[492][1]~33768_combout\ = (\led_flash_cnt[492][0]~q\ & (\led_flash_cnt[492][1]~q\ $ (VCC))) # (!\led_flash_cnt[492][0]~q\ & (\led_flash_cnt[492][1]~q\ & VCC))
-- \led_flash_cnt[492][1]~33769\ = CARRY((\led_flash_cnt[492][0]~q\ & \led_flash_cnt[492][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[492][0]~q\,
	datab => \led_flash_cnt[492][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[492][1]~33768_combout\,
	cout => \led_flash_cnt[492][1]~33769\);

-- Location: FF_X43_Y38_N19
\led_flash_cnt[492][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[492][1]~33768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[492][1]~q\);

-- Location: LCCOMB_X43_Y38_N20
\led_flash_cnt[492][2]~33770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[492][2]~33770_combout\ = (\led_flash_cnt[492][2]~q\ & (!\led_flash_cnt[492][1]~33769\)) # (!\led_flash_cnt[492][2]~q\ & ((\led_flash_cnt[492][1]~33769\) # (GND)))
-- \led_flash_cnt[492][2]~33771\ = CARRY((!\led_flash_cnt[492][1]~33769\) # (!\led_flash_cnt[492][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[492][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[492][1]~33769\,
	combout => \led_flash_cnt[492][2]~33770_combout\,
	cout => \led_flash_cnt[492][2]~33771\);

-- Location: FF_X43_Y38_N21
\led_flash_cnt[492][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[492][2]~33770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[492][2]~q\);

-- Location: LCCOMB_X43_Y38_N22
\led_flash_cnt[492][3]~33772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[492][3]~33772_combout\ = (\led_flash_cnt[492][3]~q\ & (\led_flash_cnt[492][2]~33771\ $ (GND))) # (!\led_flash_cnt[492][3]~q\ & (!\led_flash_cnt[492][2]~33771\ & VCC))
-- \led_flash_cnt[492][3]~33773\ = CARRY((\led_flash_cnt[492][3]~q\ & !\led_flash_cnt[492][2]~33771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[492][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[492][2]~33771\,
	combout => \led_flash_cnt[492][3]~33772_combout\,
	cout => \led_flash_cnt[492][3]~33773\);

-- Location: FF_X43_Y38_N23
\led_flash_cnt[492][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[492][3]~33772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[492][3]~q\);

-- Location: LCCOMB_X43_Y38_N24
\led_flash_cnt[492][4]~33774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[492][4]~33774_combout\ = (\led_flash_cnt[492][4]~q\ & (!\led_flash_cnt[492][3]~33773\)) # (!\led_flash_cnt[492][4]~q\ & ((\led_flash_cnt[492][3]~33773\) # (GND)))
-- \led_flash_cnt[492][4]~33775\ = CARRY((!\led_flash_cnt[492][3]~33773\) # (!\led_flash_cnt[492][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[492][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[492][3]~33773\,
	combout => \led_flash_cnt[492][4]~33774_combout\,
	cout => \led_flash_cnt[492][4]~33775\);

-- Location: FF_X43_Y38_N25
\led_flash_cnt[492][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[492][4]~33774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[492][4]~q\);

-- Location: LCCOMB_X43_Y38_N26
\led_flash_cnt[492][5]~33776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[492][5]~33776_combout\ = (\led_flash_cnt[492][5]~q\ & (\led_flash_cnt[492][4]~33775\ $ (GND))) # (!\led_flash_cnt[492][5]~q\ & (!\led_flash_cnt[492][4]~33775\ & VCC))
-- \led_flash_cnt[492][5]~33777\ = CARRY((\led_flash_cnt[492][5]~q\ & !\led_flash_cnt[492][4]~33775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[492][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[492][4]~33775\,
	combout => \led_flash_cnt[492][5]~33776_combout\,
	cout => \led_flash_cnt[492][5]~33777\);

-- Location: FF_X43_Y38_N27
\led_flash_cnt[492][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[492][5]~33776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[492][5]~q\);

-- Location: LCCOMB_X43_Y38_N28
\led_flash_cnt[492][6]~33778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[492][6]~33778_combout\ = (\led_flash_cnt[492][6]~q\ & (!\led_flash_cnt[492][5]~33777\)) # (!\led_flash_cnt[492][6]~q\ & ((\led_flash_cnt[492][5]~33777\) # (GND)))
-- \led_flash_cnt[492][6]~33779\ = CARRY((!\led_flash_cnt[492][5]~33777\) # (!\led_flash_cnt[492][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[492][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[492][5]~33777\,
	combout => \led_flash_cnt[492][6]~33778_combout\,
	cout => \led_flash_cnt[492][6]~33779\);

-- Location: FF_X43_Y38_N29
\led_flash_cnt[492][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[492][6]~33778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[492][6]~q\);

-- Location: LCCOMB_X43_Y38_N0
\WideAnd492~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd492~1_combout\ = (\led_flash_cnt[492][5]~q\ & \led_flash_cnt[492][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[492][5]~q\,
	datad => \led_flash_cnt[492][6]~q\,
	combout => \WideAnd492~1_combout\);

-- Location: LCCOMB_X43_Y38_N30
\led_flash_cnt[492][7]~33780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[492][7]~33780_combout\ = \led_flash_cnt[492][7]~q\ $ (!\led_flash_cnt[492][6]~33779\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[492][7]~q\,
	cin => \led_flash_cnt[492][6]~33779\,
	combout => \led_flash_cnt[492][7]~33780_combout\);

-- Location: FF_X43_Y38_N31
\led_flash_cnt[492][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[492][7]~33780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[492][7]~q\);

-- Location: LCCOMB_X43_Y38_N2
\WideAnd492~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd492~0_combout\ = (\led_flash_cnt[492][1]~q\ & (\led_flash_cnt[492][4]~q\ & (\led_flash_cnt[492][3]~q\ & \led_flash_cnt[492][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[492][1]~q\,
	datab => \led_flash_cnt[492][4]~q\,
	datac => \led_flash_cnt[492][3]~q\,
	datad => \led_flash_cnt[492][2]~q\,
	combout => \WideAnd492~0_combout\);

-- Location: LCCOMB_X42_Y38_N24
WideAnd492 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd492~combout\ = (\led_flash_cnt[492][0]~q\ & (\WideAnd492~1_combout\ & (\led_flash_cnt[492][7]~q\ & \WideAnd492~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[492][0]~q\,
	datab => \WideAnd492~1_combout\,
	datac => \led_flash_cnt[492][7]~q\,
	datad => \WideAnd492~0_combout\,
	combout => \WideAnd492~combout\);

-- Location: FF_X42_Y38_N25
\led_flash_cnt_ands[492]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd492~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(492));

-- Location: LCCOMB_X42_Y38_N0
\WideAnd3901~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3901~1_combout\ = (led_flash_cnt_ands(493) & led_flash_cnt_ands(492))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(493),
	datad => led_flash_cnt_ands(492),
	combout => \WideAnd3901~1_combout\);

-- Location: LCCOMB_X46_Y41_N0
\led_flash_cnt[494][0]~81134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[494][0]~81134_combout\ = !\led_flash_cnt[494][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[494][0]~q\,
	combout => \led_flash_cnt[494][0]~81134_combout\);

-- Location: FF_X46_Y41_N1
\led_flash_cnt[494][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[494][0]~81134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[494][0]~q\);

-- Location: LCCOMB_X46_Y43_N0
\led_flash_cnt[494][1]~33796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[494][1]~33796_combout\ = (\led_flash_cnt[494][0]~q\ & (\led_flash_cnt[494][1]~q\ $ (VCC))) # (!\led_flash_cnt[494][0]~q\ & (\led_flash_cnt[494][1]~q\ & VCC))
-- \led_flash_cnt[494][1]~33797\ = CARRY((\led_flash_cnt[494][0]~q\ & \led_flash_cnt[494][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[494][0]~q\,
	datab => \led_flash_cnt[494][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[494][1]~33796_combout\,
	cout => \led_flash_cnt[494][1]~33797\);

-- Location: FF_X46_Y43_N1
\led_flash_cnt[494][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[494][1]~33796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[494][1]~q\);

-- Location: LCCOMB_X46_Y43_N2
\led_flash_cnt[494][2]~33798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[494][2]~33798_combout\ = (\led_flash_cnt[494][2]~q\ & (!\led_flash_cnt[494][1]~33797\)) # (!\led_flash_cnt[494][2]~q\ & ((\led_flash_cnt[494][1]~33797\) # (GND)))
-- \led_flash_cnt[494][2]~33799\ = CARRY((!\led_flash_cnt[494][1]~33797\) # (!\led_flash_cnt[494][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[494][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[494][1]~33797\,
	combout => \led_flash_cnt[494][2]~33798_combout\,
	cout => \led_flash_cnt[494][2]~33799\);

-- Location: FF_X46_Y43_N3
\led_flash_cnt[494][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[494][2]~33798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[494][2]~q\);

-- Location: LCCOMB_X46_Y43_N4
\led_flash_cnt[494][3]~33800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[494][3]~33800_combout\ = (\led_flash_cnt[494][3]~q\ & (\led_flash_cnt[494][2]~33799\ $ (GND))) # (!\led_flash_cnt[494][3]~q\ & (!\led_flash_cnt[494][2]~33799\ & VCC))
-- \led_flash_cnt[494][3]~33801\ = CARRY((\led_flash_cnt[494][3]~q\ & !\led_flash_cnt[494][2]~33799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[494][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[494][2]~33799\,
	combout => \led_flash_cnt[494][3]~33800_combout\,
	cout => \led_flash_cnt[494][3]~33801\);

-- Location: FF_X46_Y43_N5
\led_flash_cnt[494][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[494][3]~33800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[494][3]~q\);

-- Location: LCCOMB_X46_Y43_N6
\led_flash_cnt[494][4]~33802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[494][4]~33802_combout\ = (\led_flash_cnt[494][4]~q\ & (!\led_flash_cnt[494][3]~33801\)) # (!\led_flash_cnt[494][4]~q\ & ((\led_flash_cnt[494][3]~33801\) # (GND)))
-- \led_flash_cnt[494][4]~33803\ = CARRY((!\led_flash_cnt[494][3]~33801\) # (!\led_flash_cnt[494][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[494][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[494][3]~33801\,
	combout => \led_flash_cnt[494][4]~33802_combout\,
	cout => \led_flash_cnt[494][4]~33803\);

-- Location: FF_X46_Y43_N7
\led_flash_cnt[494][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[494][4]~33802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[494][4]~q\);

-- Location: LCCOMB_X46_Y43_N8
\led_flash_cnt[494][5]~33804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[494][5]~33804_combout\ = (\led_flash_cnt[494][5]~q\ & (\led_flash_cnt[494][4]~33803\ $ (GND))) # (!\led_flash_cnt[494][5]~q\ & (!\led_flash_cnt[494][4]~33803\ & VCC))
-- \led_flash_cnt[494][5]~33805\ = CARRY((\led_flash_cnt[494][5]~q\ & !\led_flash_cnt[494][4]~33803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[494][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[494][4]~33803\,
	combout => \led_flash_cnt[494][5]~33804_combout\,
	cout => \led_flash_cnt[494][5]~33805\);

-- Location: FF_X46_Y43_N9
\led_flash_cnt[494][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[494][5]~33804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[494][5]~q\);

-- Location: LCCOMB_X46_Y43_N10
\led_flash_cnt[494][6]~33806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[494][6]~33806_combout\ = (\led_flash_cnt[494][6]~q\ & (!\led_flash_cnt[494][5]~33805\)) # (!\led_flash_cnt[494][6]~q\ & ((\led_flash_cnt[494][5]~33805\) # (GND)))
-- \led_flash_cnt[494][6]~33807\ = CARRY((!\led_flash_cnt[494][5]~33805\) # (!\led_flash_cnt[494][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[494][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[494][5]~33805\,
	combout => \led_flash_cnt[494][6]~33806_combout\,
	cout => \led_flash_cnt[494][6]~33807\);

-- Location: FF_X46_Y43_N11
\led_flash_cnt[494][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[494][6]~33806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[494][6]~q\);

-- Location: LCCOMB_X46_Y43_N12
\led_flash_cnt[494][7]~33808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[494][7]~33808_combout\ = \led_flash_cnt[494][6]~33807\ $ (!\led_flash_cnt[494][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[494][7]~q\,
	cin => \led_flash_cnt[494][6]~33807\,
	combout => \led_flash_cnt[494][7]~33808_combout\);

-- Location: FF_X46_Y43_N13
\led_flash_cnt[494][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[494][7]~33808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[494][7]~q\);

-- Location: LCCOMB_X46_Y41_N4
\WideAnd494~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd494~1_combout\ = (\led_flash_cnt[494][0]~q\ & \led_flash_cnt[494][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[494][0]~q\,
	datac => \led_flash_cnt[494][7]~q\,
	combout => \WideAnd494~1_combout\);

-- Location: LCCOMB_X46_Y43_N30
\WideAnd494~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd494~0_combout\ = (\led_flash_cnt[494][4]~q\ & (\led_flash_cnt[494][1]~q\ & (\led_flash_cnt[494][3]~q\ & \led_flash_cnt[494][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[494][4]~q\,
	datab => \led_flash_cnt[494][1]~q\,
	datac => \led_flash_cnt[494][3]~q\,
	datad => \led_flash_cnt[494][2]~q\,
	combout => \WideAnd494~0_combout\);

-- Location: LCCOMB_X46_Y41_N24
WideAnd494 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd494~combout\ = (\led_flash_cnt[494][5]~q\ & (\led_flash_cnt[494][6]~q\ & (\WideAnd494~1_combout\ & \WideAnd494~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[494][5]~q\,
	datab => \led_flash_cnt[494][6]~q\,
	datac => \WideAnd494~1_combout\,
	datad => \WideAnd494~0_combout\,
	combout => \WideAnd494~combout\);

-- Location: FF_X46_Y41_N25
\led_flash_cnt_ands[494]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd494~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(494));

-- Location: LCCOMB_X47_Y39_N2
\led_flash_cnt[495][0]~81135\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[495][0]~81135_combout\ = !\led_flash_cnt[495][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[495][0]~q\,
	combout => \led_flash_cnt[495][0]~81135_combout\);

-- Location: FF_X47_Y39_N3
\led_flash_cnt[495][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[495][0]~81135_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[495][0]~q\);

-- Location: LCCOMB_X50_Y39_N14
\led_flash_cnt[495][1]~33810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[495][1]~33810_combout\ = (\led_flash_cnt[495][0]~q\ & (\led_flash_cnt[495][1]~q\ $ (VCC))) # (!\led_flash_cnt[495][0]~q\ & (\led_flash_cnt[495][1]~q\ & VCC))
-- \led_flash_cnt[495][1]~33811\ = CARRY((\led_flash_cnt[495][0]~q\ & \led_flash_cnt[495][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[495][0]~q\,
	datab => \led_flash_cnt[495][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[495][1]~33810_combout\,
	cout => \led_flash_cnt[495][1]~33811\);

-- Location: FF_X50_Y39_N15
\led_flash_cnt[495][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[495][1]~33810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[495][1]~q\);

-- Location: LCCOMB_X50_Y39_N16
\led_flash_cnt[495][2]~33812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[495][2]~33812_combout\ = (\led_flash_cnt[495][2]~q\ & (!\led_flash_cnt[495][1]~33811\)) # (!\led_flash_cnt[495][2]~q\ & ((\led_flash_cnt[495][1]~33811\) # (GND)))
-- \led_flash_cnt[495][2]~33813\ = CARRY((!\led_flash_cnt[495][1]~33811\) # (!\led_flash_cnt[495][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[495][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[495][1]~33811\,
	combout => \led_flash_cnt[495][2]~33812_combout\,
	cout => \led_flash_cnt[495][2]~33813\);

-- Location: FF_X50_Y39_N17
\led_flash_cnt[495][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[495][2]~33812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[495][2]~q\);

-- Location: LCCOMB_X50_Y39_N18
\led_flash_cnt[495][3]~33814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[495][3]~33814_combout\ = (\led_flash_cnt[495][3]~q\ & (\led_flash_cnt[495][2]~33813\ $ (GND))) # (!\led_flash_cnt[495][3]~q\ & (!\led_flash_cnt[495][2]~33813\ & VCC))
-- \led_flash_cnt[495][3]~33815\ = CARRY((\led_flash_cnt[495][3]~q\ & !\led_flash_cnt[495][2]~33813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[495][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[495][2]~33813\,
	combout => \led_flash_cnt[495][3]~33814_combout\,
	cout => \led_flash_cnt[495][3]~33815\);

-- Location: FF_X50_Y39_N19
\led_flash_cnt[495][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[495][3]~33814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[495][3]~q\);

-- Location: LCCOMB_X50_Y39_N20
\led_flash_cnt[495][4]~33816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[495][4]~33816_combout\ = (\led_flash_cnt[495][4]~q\ & (!\led_flash_cnt[495][3]~33815\)) # (!\led_flash_cnt[495][4]~q\ & ((\led_flash_cnt[495][3]~33815\) # (GND)))
-- \led_flash_cnt[495][4]~33817\ = CARRY((!\led_flash_cnt[495][3]~33815\) # (!\led_flash_cnt[495][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[495][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[495][3]~33815\,
	combout => \led_flash_cnt[495][4]~33816_combout\,
	cout => \led_flash_cnt[495][4]~33817\);

-- Location: FF_X50_Y39_N21
\led_flash_cnt[495][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[495][4]~33816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[495][4]~q\);

-- Location: LCCOMB_X50_Y39_N22
\led_flash_cnt[495][5]~33818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[495][5]~33818_combout\ = (\led_flash_cnt[495][5]~q\ & (\led_flash_cnt[495][4]~33817\ $ (GND))) # (!\led_flash_cnt[495][5]~q\ & (!\led_flash_cnt[495][4]~33817\ & VCC))
-- \led_flash_cnt[495][5]~33819\ = CARRY((\led_flash_cnt[495][5]~q\ & !\led_flash_cnt[495][4]~33817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[495][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[495][4]~33817\,
	combout => \led_flash_cnt[495][5]~33818_combout\,
	cout => \led_flash_cnt[495][5]~33819\);

-- Location: FF_X50_Y39_N23
\led_flash_cnt[495][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[495][5]~33818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[495][5]~q\);

-- Location: LCCOMB_X50_Y39_N24
\led_flash_cnt[495][6]~33820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[495][6]~33820_combout\ = (\led_flash_cnt[495][6]~q\ & (!\led_flash_cnt[495][5]~33819\)) # (!\led_flash_cnt[495][6]~q\ & ((\led_flash_cnt[495][5]~33819\) # (GND)))
-- \led_flash_cnt[495][6]~33821\ = CARRY((!\led_flash_cnt[495][5]~33819\) # (!\led_flash_cnt[495][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[495][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[495][5]~33819\,
	combout => \led_flash_cnt[495][6]~33820_combout\,
	cout => \led_flash_cnt[495][6]~33821\);

-- Location: FF_X50_Y39_N25
\led_flash_cnt[495][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[495][6]~33820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[495][6]~q\);

-- Location: LCCOMB_X50_Y39_N26
\led_flash_cnt[495][7]~33822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[495][7]~33822_combout\ = \led_flash_cnt[495][7]~q\ $ (!\led_flash_cnt[495][6]~33821\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[495][7]~q\,
	cin => \led_flash_cnt[495][6]~33821\,
	combout => \led_flash_cnt[495][7]~33822_combout\);

-- Location: FF_X50_Y39_N27
\led_flash_cnt[495][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[495][7]~33822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[495][7]~q\);

-- Location: LCCOMB_X50_Y39_N28
\WideAnd495~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd495~0_combout\ = (\led_flash_cnt[495][4]~q\ & (\led_flash_cnt[495][3]~q\ & (\led_flash_cnt[495][1]~q\ & \led_flash_cnt[495][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[495][4]~q\,
	datab => \led_flash_cnt[495][3]~q\,
	datac => \led_flash_cnt[495][1]~q\,
	datad => \led_flash_cnt[495][2]~q\,
	combout => \WideAnd495~0_combout\);

-- Location: LCCOMB_X49_Y39_N14
\WideAnd495~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd495~1_combout\ = (\led_flash_cnt[495][6]~q\ & \led_flash_cnt[495][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[495][6]~q\,
	datad => \led_flash_cnt[495][5]~q\,
	combout => \WideAnd495~1_combout\);

-- Location: LCCOMB_X49_Y39_N30
WideAnd495 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd495~combout\ = (\led_flash_cnt[495][7]~q\ & (\WideAnd495~0_combout\ & (\WideAnd495~1_combout\ & \led_flash_cnt[495][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[495][7]~q\,
	datab => \WideAnd495~0_combout\,
	datac => \WideAnd495~1_combout\,
	datad => \led_flash_cnt[495][0]~q\,
	combout => \WideAnd495~combout\);

-- Location: FF_X49_Y39_N31
\led_flash_cnt_ands[495]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd495~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(495));

-- Location: LCCOMB_X46_Y41_N30
\led_flash_cnt[489][0]~81129\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[489][0]~81129_combout\ = !\led_flash_cnt[489][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[489][0]~q\,
	combout => \led_flash_cnt[489][0]~81129_combout\);

-- Location: FF_X46_Y41_N31
\led_flash_cnt[489][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[489][0]~81129_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[489][0]~q\);

-- Location: LCCOMB_X49_Y41_N0
\led_flash_cnt[489][1]~33726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[489][1]~33726_combout\ = (\led_flash_cnt[489][0]~q\ & (\led_flash_cnt[489][1]~q\ $ (VCC))) # (!\led_flash_cnt[489][0]~q\ & (\led_flash_cnt[489][1]~q\ & VCC))
-- \led_flash_cnt[489][1]~33727\ = CARRY((\led_flash_cnt[489][0]~q\ & \led_flash_cnt[489][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[489][0]~q\,
	datab => \led_flash_cnt[489][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[489][1]~33726_combout\,
	cout => \led_flash_cnt[489][1]~33727\);

-- Location: FF_X49_Y41_N1
\led_flash_cnt[489][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[489][1]~33726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[489][1]~q\);

-- Location: LCCOMB_X49_Y41_N2
\led_flash_cnt[489][2]~33728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[489][2]~33728_combout\ = (\led_flash_cnt[489][2]~q\ & (!\led_flash_cnt[489][1]~33727\)) # (!\led_flash_cnt[489][2]~q\ & ((\led_flash_cnt[489][1]~33727\) # (GND)))
-- \led_flash_cnt[489][2]~33729\ = CARRY((!\led_flash_cnt[489][1]~33727\) # (!\led_flash_cnt[489][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[489][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[489][1]~33727\,
	combout => \led_flash_cnt[489][2]~33728_combout\,
	cout => \led_flash_cnt[489][2]~33729\);

-- Location: FF_X49_Y41_N3
\led_flash_cnt[489][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[489][2]~33728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[489][2]~q\);

-- Location: LCCOMB_X49_Y41_N4
\led_flash_cnt[489][3]~33730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[489][3]~33730_combout\ = (\led_flash_cnt[489][3]~q\ & (\led_flash_cnt[489][2]~33729\ $ (GND))) # (!\led_flash_cnt[489][3]~q\ & (!\led_flash_cnt[489][2]~33729\ & VCC))
-- \led_flash_cnt[489][3]~33731\ = CARRY((\led_flash_cnt[489][3]~q\ & !\led_flash_cnt[489][2]~33729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[489][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[489][2]~33729\,
	combout => \led_flash_cnt[489][3]~33730_combout\,
	cout => \led_flash_cnt[489][3]~33731\);

-- Location: FF_X49_Y41_N5
\led_flash_cnt[489][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[489][3]~33730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[489][3]~q\);

-- Location: LCCOMB_X49_Y41_N6
\led_flash_cnt[489][4]~33732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[489][4]~33732_combout\ = (\led_flash_cnt[489][4]~q\ & (!\led_flash_cnt[489][3]~33731\)) # (!\led_flash_cnt[489][4]~q\ & ((\led_flash_cnt[489][3]~33731\) # (GND)))
-- \led_flash_cnt[489][4]~33733\ = CARRY((!\led_flash_cnt[489][3]~33731\) # (!\led_flash_cnt[489][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[489][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[489][3]~33731\,
	combout => \led_flash_cnt[489][4]~33732_combout\,
	cout => \led_flash_cnt[489][4]~33733\);

-- Location: FF_X49_Y41_N7
\led_flash_cnt[489][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[489][4]~33732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[489][4]~q\);

-- Location: LCCOMB_X49_Y41_N8
\led_flash_cnt[489][5]~33734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[489][5]~33734_combout\ = (\led_flash_cnt[489][5]~q\ & (\led_flash_cnt[489][4]~33733\ $ (GND))) # (!\led_flash_cnt[489][5]~q\ & (!\led_flash_cnt[489][4]~33733\ & VCC))
-- \led_flash_cnt[489][5]~33735\ = CARRY((\led_flash_cnt[489][5]~q\ & !\led_flash_cnt[489][4]~33733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[489][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[489][4]~33733\,
	combout => \led_flash_cnt[489][5]~33734_combout\,
	cout => \led_flash_cnt[489][5]~33735\);

-- Location: FF_X49_Y41_N9
\led_flash_cnt[489][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[489][5]~33734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[489][5]~q\);

-- Location: LCCOMB_X49_Y41_N10
\led_flash_cnt[489][6]~33736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[489][6]~33736_combout\ = (\led_flash_cnt[489][6]~q\ & (!\led_flash_cnt[489][5]~33735\)) # (!\led_flash_cnt[489][6]~q\ & ((\led_flash_cnt[489][5]~33735\) # (GND)))
-- \led_flash_cnt[489][6]~33737\ = CARRY((!\led_flash_cnt[489][5]~33735\) # (!\led_flash_cnt[489][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[489][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[489][5]~33735\,
	combout => \led_flash_cnt[489][6]~33736_combout\,
	cout => \led_flash_cnt[489][6]~33737\);

-- Location: FF_X49_Y41_N11
\led_flash_cnt[489][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[489][6]~33736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[489][6]~q\);

-- Location: LCCOMB_X49_Y41_N12
\led_flash_cnt[489][7]~33738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[489][7]~33738_combout\ = \led_flash_cnt[489][6]~33737\ $ (!\led_flash_cnt[489][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[489][7]~q\,
	cin => \led_flash_cnt[489][6]~33737\,
	combout => \led_flash_cnt[489][7]~33738_combout\);

-- Location: FF_X49_Y41_N13
\led_flash_cnt[489][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[489][7]~33738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[489][7]~q\);

-- Location: LCCOMB_X49_Y41_N28
\WideAnd489~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd489~0_combout\ = (\led_flash_cnt[489][4]~q\ & (\led_flash_cnt[489][1]~q\ & (\led_flash_cnt[489][3]~q\ & \led_flash_cnt[489][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[489][4]~q\,
	datab => \led_flash_cnt[489][1]~q\,
	datac => \led_flash_cnt[489][3]~q\,
	datad => \led_flash_cnt[489][2]~q\,
	combout => \WideAnd489~0_combout\);

-- Location: LCCOMB_X46_Y41_N20
\WideAnd489~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd489~1_combout\ = (\led_flash_cnt[489][5]~q\ & \led_flash_cnt[489][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[489][5]~q\,
	datad => \led_flash_cnt[489][6]~q\,
	combout => \WideAnd489~1_combout\);

-- Location: LCCOMB_X46_Y41_N12
WideAnd489 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd489~combout\ = (\led_flash_cnt[489][0]~q\ & (\led_flash_cnt[489][7]~q\ & (\WideAnd489~0_combout\ & \WideAnd489~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[489][0]~q\,
	datab => \led_flash_cnt[489][7]~q\,
	datac => \WideAnd489~0_combout\,
	datad => \WideAnd489~1_combout\,
	combout => \WideAnd489~combout\);

-- Location: FF_X46_Y41_N13
\led_flash_cnt_ands[489]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd489~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(489));

-- Location: LCCOMB_X46_Y41_N6
\led_flash_cnt[491][0]~81131\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[491][0]~81131_combout\ = !\led_flash_cnt[491][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[491][0]~q\,
	combout => \led_flash_cnt[491][0]~81131_combout\);

-- Location: FF_X46_Y41_N7
\led_flash_cnt[491][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[491][0]~81131_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[491][0]~q\);

-- Location: LCCOMB_X47_Y41_N2
\led_flash_cnt[491][1]~33754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[491][1]~33754_combout\ = (\led_flash_cnt[491][0]~q\ & (\led_flash_cnt[491][1]~q\ $ (VCC))) # (!\led_flash_cnt[491][0]~q\ & (\led_flash_cnt[491][1]~q\ & VCC))
-- \led_flash_cnt[491][1]~33755\ = CARRY((\led_flash_cnt[491][0]~q\ & \led_flash_cnt[491][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[491][0]~q\,
	datab => \led_flash_cnt[491][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[491][1]~33754_combout\,
	cout => \led_flash_cnt[491][1]~33755\);

-- Location: FF_X47_Y41_N3
\led_flash_cnt[491][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[491][1]~33754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[491][1]~q\);

-- Location: LCCOMB_X47_Y41_N4
\led_flash_cnt[491][2]~33756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[491][2]~33756_combout\ = (\led_flash_cnt[491][2]~q\ & (!\led_flash_cnt[491][1]~33755\)) # (!\led_flash_cnt[491][2]~q\ & ((\led_flash_cnt[491][1]~33755\) # (GND)))
-- \led_flash_cnt[491][2]~33757\ = CARRY((!\led_flash_cnt[491][1]~33755\) # (!\led_flash_cnt[491][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[491][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[491][1]~33755\,
	combout => \led_flash_cnt[491][2]~33756_combout\,
	cout => \led_flash_cnt[491][2]~33757\);

-- Location: FF_X47_Y41_N5
\led_flash_cnt[491][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[491][2]~33756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[491][2]~q\);

-- Location: LCCOMB_X47_Y41_N6
\led_flash_cnt[491][3]~33758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[491][3]~33758_combout\ = (\led_flash_cnt[491][3]~q\ & (\led_flash_cnt[491][2]~33757\ $ (GND))) # (!\led_flash_cnt[491][3]~q\ & (!\led_flash_cnt[491][2]~33757\ & VCC))
-- \led_flash_cnt[491][3]~33759\ = CARRY((\led_flash_cnt[491][3]~q\ & !\led_flash_cnt[491][2]~33757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[491][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[491][2]~33757\,
	combout => \led_flash_cnt[491][3]~33758_combout\,
	cout => \led_flash_cnt[491][3]~33759\);

-- Location: FF_X47_Y41_N7
\led_flash_cnt[491][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[491][3]~33758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[491][3]~q\);

-- Location: LCCOMB_X47_Y41_N8
\led_flash_cnt[491][4]~33760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[491][4]~33760_combout\ = (\led_flash_cnt[491][4]~q\ & (!\led_flash_cnt[491][3]~33759\)) # (!\led_flash_cnt[491][4]~q\ & ((\led_flash_cnt[491][3]~33759\) # (GND)))
-- \led_flash_cnt[491][4]~33761\ = CARRY((!\led_flash_cnt[491][3]~33759\) # (!\led_flash_cnt[491][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[491][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[491][3]~33759\,
	combout => \led_flash_cnt[491][4]~33760_combout\,
	cout => \led_flash_cnt[491][4]~33761\);

-- Location: FF_X47_Y41_N9
\led_flash_cnt[491][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[491][4]~33760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[491][4]~q\);

-- Location: LCCOMB_X47_Y41_N10
\led_flash_cnt[491][5]~33762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[491][5]~33762_combout\ = (\led_flash_cnt[491][5]~q\ & (\led_flash_cnt[491][4]~33761\ $ (GND))) # (!\led_flash_cnt[491][5]~q\ & (!\led_flash_cnt[491][4]~33761\ & VCC))
-- \led_flash_cnt[491][5]~33763\ = CARRY((\led_flash_cnt[491][5]~q\ & !\led_flash_cnt[491][4]~33761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[491][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[491][4]~33761\,
	combout => \led_flash_cnt[491][5]~33762_combout\,
	cout => \led_flash_cnt[491][5]~33763\);

-- Location: FF_X47_Y41_N11
\led_flash_cnt[491][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[491][5]~33762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[491][5]~q\);

-- Location: LCCOMB_X47_Y41_N12
\led_flash_cnt[491][6]~33764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[491][6]~33764_combout\ = (\led_flash_cnt[491][6]~q\ & (!\led_flash_cnt[491][5]~33763\)) # (!\led_flash_cnt[491][6]~q\ & ((\led_flash_cnt[491][5]~33763\) # (GND)))
-- \led_flash_cnt[491][6]~33765\ = CARRY((!\led_flash_cnt[491][5]~33763\) # (!\led_flash_cnt[491][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[491][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[491][5]~33763\,
	combout => \led_flash_cnt[491][6]~33764_combout\,
	cout => \led_flash_cnt[491][6]~33765\);

-- Location: FF_X47_Y41_N13
\led_flash_cnt[491][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[491][6]~33764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[491][6]~q\);

-- Location: LCCOMB_X46_Y41_N26
\WideAnd491~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd491~1_combout\ = (\led_flash_cnt[491][6]~q\ & \led_flash_cnt[491][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[491][6]~q\,
	datac => \led_flash_cnt[491][5]~q\,
	combout => \WideAnd491~1_combout\);

-- Location: LCCOMB_X47_Y41_N0
\WideAnd491~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd491~0_combout\ = (\led_flash_cnt[491][3]~q\ & (\led_flash_cnt[491][4]~q\ & (\led_flash_cnt[491][2]~q\ & \led_flash_cnt[491][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[491][3]~q\,
	datab => \led_flash_cnt[491][4]~q\,
	datac => \led_flash_cnt[491][2]~q\,
	datad => \led_flash_cnt[491][1]~q\,
	combout => \WideAnd491~0_combout\);

-- Location: LCCOMB_X47_Y41_N14
\led_flash_cnt[491][7]~33766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[491][7]~33766_combout\ = \led_flash_cnt[491][7]~q\ $ (!\led_flash_cnt[491][6]~33765\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[491][7]~q\,
	cin => \led_flash_cnt[491][6]~33765\,
	combout => \led_flash_cnt[491][7]~33766_combout\);

-- Location: FF_X47_Y41_N15
\led_flash_cnt[491][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[491][7]~33766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[491][7]~q\);

-- Location: LCCOMB_X46_Y41_N28
WideAnd491 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd491~combout\ = (\WideAnd491~1_combout\ & (\WideAnd491~0_combout\ & (\led_flash_cnt[491][7]~q\ & \led_flash_cnt[491][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd491~1_combout\,
	datab => \WideAnd491~0_combout\,
	datac => \led_flash_cnt[491][7]~q\,
	datad => \led_flash_cnt[491][0]~q\,
	combout => \WideAnd491~combout\);

-- Location: FF_X46_Y41_N29
\led_flash_cnt_ands[491]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd491~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(491));

-- Location: LCCOMB_X46_Y41_N2
\led_flash_cnt[488][0]~81128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[488][0]~81128_combout\ = !\led_flash_cnt[488][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[488][0]~q\,
	combout => \led_flash_cnt[488][0]~81128_combout\);

-- Location: FF_X46_Y41_N3
\led_flash_cnt[488][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[488][0]~81128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[488][0]~q\);

-- Location: LCCOMB_X47_Y44_N0
\led_flash_cnt[488][1]~33712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[488][1]~33712_combout\ = (\led_flash_cnt[488][0]~q\ & (\led_flash_cnt[488][1]~q\ $ (VCC))) # (!\led_flash_cnt[488][0]~q\ & (\led_flash_cnt[488][1]~q\ & VCC))
-- \led_flash_cnt[488][1]~33713\ = CARRY((\led_flash_cnt[488][0]~q\ & \led_flash_cnt[488][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[488][0]~q\,
	datab => \led_flash_cnt[488][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[488][1]~33712_combout\,
	cout => \led_flash_cnt[488][1]~33713\);

-- Location: FF_X47_Y44_N1
\led_flash_cnt[488][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[488][1]~33712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[488][1]~q\);

-- Location: LCCOMB_X47_Y44_N2
\led_flash_cnt[488][2]~33714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[488][2]~33714_combout\ = (\led_flash_cnt[488][2]~q\ & (!\led_flash_cnt[488][1]~33713\)) # (!\led_flash_cnt[488][2]~q\ & ((\led_flash_cnt[488][1]~33713\) # (GND)))
-- \led_flash_cnt[488][2]~33715\ = CARRY((!\led_flash_cnt[488][1]~33713\) # (!\led_flash_cnt[488][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[488][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[488][1]~33713\,
	combout => \led_flash_cnt[488][2]~33714_combout\,
	cout => \led_flash_cnt[488][2]~33715\);

-- Location: FF_X47_Y44_N3
\led_flash_cnt[488][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[488][2]~33714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[488][2]~q\);

-- Location: LCCOMB_X47_Y44_N4
\led_flash_cnt[488][3]~33716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[488][3]~33716_combout\ = (\led_flash_cnt[488][3]~q\ & (\led_flash_cnt[488][2]~33715\ $ (GND))) # (!\led_flash_cnt[488][3]~q\ & (!\led_flash_cnt[488][2]~33715\ & VCC))
-- \led_flash_cnt[488][3]~33717\ = CARRY((\led_flash_cnt[488][3]~q\ & !\led_flash_cnt[488][2]~33715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[488][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[488][2]~33715\,
	combout => \led_flash_cnt[488][3]~33716_combout\,
	cout => \led_flash_cnt[488][3]~33717\);

-- Location: FF_X47_Y44_N5
\led_flash_cnt[488][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[488][3]~33716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[488][3]~q\);

-- Location: LCCOMB_X47_Y44_N6
\led_flash_cnt[488][4]~33718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[488][4]~33718_combout\ = (\led_flash_cnt[488][4]~q\ & (!\led_flash_cnt[488][3]~33717\)) # (!\led_flash_cnt[488][4]~q\ & ((\led_flash_cnt[488][3]~33717\) # (GND)))
-- \led_flash_cnt[488][4]~33719\ = CARRY((!\led_flash_cnt[488][3]~33717\) # (!\led_flash_cnt[488][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[488][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[488][3]~33717\,
	combout => \led_flash_cnt[488][4]~33718_combout\,
	cout => \led_flash_cnt[488][4]~33719\);

-- Location: FF_X47_Y44_N7
\led_flash_cnt[488][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[488][4]~33718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[488][4]~q\);

-- Location: LCCOMB_X47_Y44_N8
\led_flash_cnt[488][5]~33720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[488][5]~33720_combout\ = (\led_flash_cnt[488][5]~q\ & (\led_flash_cnt[488][4]~33719\ $ (GND))) # (!\led_flash_cnt[488][5]~q\ & (!\led_flash_cnt[488][4]~33719\ & VCC))
-- \led_flash_cnt[488][5]~33721\ = CARRY((\led_flash_cnt[488][5]~q\ & !\led_flash_cnt[488][4]~33719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[488][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[488][4]~33719\,
	combout => \led_flash_cnt[488][5]~33720_combout\,
	cout => \led_flash_cnt[488][5]~33721\);

-- Location: FF_X47_Y44_N9
\led_flash_cnt[488][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[488][5]~33720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[488][5]~q\);

-- Location: LCCOMB_X47_Y44_N10
\led_flash_cnt[488][6]~33722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[488][6]~33722_combout\ = (\led_flash_cnt[488][6]~q\ & (!\led_flash_cnt[488][5]~33721\)) # (!\led_flash_cnt[488][6]~q\ & ((\led_flash_cnt[488][5]~33721\) # (GND)))
-- \led_flash_cnt[488][6]~33723\ = CARRY((!\led_flash_cnt[488][5]~33721\) # (!\led_flash_cnt[488][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[488][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[488][5]~33721\,
	combout => \led_flash_cnt[488][6]~33722_combout\,
	cout => \led_flash_cnt[488][6]~33723\);

-- Location: FF_X47_Y44_N11
\led_flash_cnt[488][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[488][6]~33722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[488][6]~q\);

-- Location: LCCOMB_X46_Y44_N14
\WideAnd488~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd488~1_combout\ = (\led_flash_cnt[488][6]~q\ & \led_flash_cnt[488][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[488][6]~q\,
	datac => \led_flash_cnt[488][5]~q\,
	combout => \WideAnd488~1_combout\);

-- Location: LCCOMB_X47_Y44_N28
\WideAnd488~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd488~0_combout\ = (\led_flash_cnt[488][4]~q\ & (\led_flash_cnt[488][2]~q\ & (\led_flash_cnt[488][3]~q\ & \led_flash_cnt[488][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[488][4]~q\,
	datab => \led_flash_cnt[488][2]~q\,
	datac => \led_flash_cnt[488][3]~q\,
	datad => \led_flash_cnt[488][1]~q\,
	combout => \WideAnd488~0_combout\);

-- Location: LCCOMB_X47_Y44_N12
\led_flash_cnt[488][7]~33724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[488][7]~33724_combout\ = \led_flash_cnt[488][6]~33723\ $ (!\led_flash_cnt[488][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[488][7]~q\,
	cin => \led_flash_cnt[488][6]~33723\,
	combout => \led_flash_cnt[488][7]~33724_combout\);

-- Location: FF_X47_Y44_N13
\led_flash_cnt[488][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[488][7]~33724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[488][7]~q\);

-- Location: LCCOMB_X47_Y44_N30
WideAnd488 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd488~combout\ = (\WideAnd488~1_combout\ & (\WideAnd488~0_combout\ & (\led_flash_cnt[488][0]~q\ & \led_flash_cnt[488][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd488~1_combout\,
	datab => \WideAnd488~0_combout\,
	datac => \led_flash_cnt[488][0]~q\,
	datad => \led_flash_cnt[488][7]~q\,
	combout => \WideAnd488~combout\);

-- Location: FF_X47_Y44_N31
\led_flash_cnt_ands[488]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd488~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(488));

-- Location: LCCOMB_X12_Y35_N6
\led_flash_cnt[490][0]~81130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[490][0]~81130_combout\ = !\led_flash_cnt[490][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[490][0]~q\,
	combout => \led_flash_cnt[490][0]~81130_combout\);

-- Location: FF_X12_Y35_N7
\led_flash_cnt[490][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[490][0]~81130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[490][0]~q\);

-- Location: LCCOMB_X13_Y35_N14
\led_flash_cnt[490][1]~33740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[490][1]~33740_combout\ = (\led_flash_cnt[490][0]~q\ & (\led_flash_cnt[490][1]~q\ $ (VCC))) # (!\led_flash_cnt[490][0]~q\ & (\led_flash_cnt[490][1]~q\ & VCC))
-- \led_flash_cnt[490][1]~33741\ = CARRY((\led_flash_cnt[490][0]~q\ & \led_flash_cnt[490][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[490][0]~q\,
	datab => \led_flash_cnt[490][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[490][1]~33740_combout\,
	cout => \led_flash_cnt[490][1]~33741\);

-- Location: FF_X13_Y35_N15
\led_flash_cnt[490][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[490][1]~33740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[490][1]~q\);

-- Location: LCCOMB_X13_Y35_N16
\led_flash_cnt[490][2]~33742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[490][2]~33742_combout\ = (\led_flash_cnt[490][2]~q\ & (!\led_flash_cnt[490][1]~33741\)) # (!\led_flash_cnt[490][2]~q\ & ((\led_flash_cnt[490][1]~33741\) # (GND)))
-- \led_flash_cnt[490][2]~33743\ = CARRY((!\led_flash_cnt[490][1]~33741\) # (!\led_flash_cnt[490][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[490][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[490][1]~33741\,
	combout => \led_flash_cnt[490][2]~33742_combout\,
	cout => \led_flash_cnt[490][2]~33743\);

-- Location: FF_X13_Y35_N17
\led_flash_cnt[490][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[490][2]~33742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[490][2]~q\);

-- Location: LCCOMB_X13_Y35_N18
\led_flash_cnt[490][3]~33744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[490][3]~33744_combout\ = (\led_flash_cnt[490][3]~q\ & (\led_flash_cnt[490][2]~33743\ $ (GND))) # (!\led_flash_cnt[490][3]~q\ & (!\led_flash_cnt[490][2]~33743\ & VCC))
-- \led_flash_cnt[490][3]~33745\ = CARRY((\led_flash_cnt[490][3]~q\ & !\led_flash_cnt[490][2]~33743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[490][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[490][2]~33743\,
	combout => \led_flash_cnt[490][3]~33744_combout\,
	cout => \led_flash_cnt[490][3]~33745\);

-- Location: FF_X13_Y35_N19
\led_flash_cnt[490][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[490][3]~33744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[490][3]~q\);

-- Location: LCCOMB_X13_Y35_N20
\led_flash_cnt[490][4]~33746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[490][4]~33746_combout\ = (\led_flash_cnt[490][4]~q\ & (!\led_flash_cnt[490][3]~33745\)) # (!\led_flash_cnt[490][4]~q\ & ((\led_flash_cnt[490][3]~33745\) # (GND)))
-- \led_flash_cnt[490][4]~33747\ = CARRY((!\led_flash_cnt[490][3]~33745\) # (!\led_flash_cnt[490][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[490][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[490][3]~33745\,
	combout => \led_flash_cnt[490][4]~33746_combout\,
	cout => \led_flash_cnt[490][4]~33747\);

-- Location: FF_X13_Y35_N21
\led_flash_cnt[490][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[490][4]~33746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[490][4]~q\);

-- Location: LCCOMB_X13_Y35_N28
\WideAnd490~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd490~0_combout\ = (\led_flash_cnt[490][3]~q\ & (\led_flash_cnt[490][4]~q\ & (\led_flash_cnt[490][1]~q\ & \led_flash_cnt[490][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[490][3]~q\,
	datab => \led_flash_cnt[490][4]~q\,
	datac => \led_flash_cnt[490][1]~q\,
	datad => \led_flash_cnt[490][2]~q\,
	combout => \WideAnd490~0_combout\);

-- Location: LCCOMB_X13_Y35_N22
\led_flash_cnt[490][5]~33748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[490][5]~33748_combout\ = (\led_flash_cnt[490][5]~q\ & (\led_flash_cnt[490][4]~33747\ $ (GND))) # (!\led_flash_cnt[490][5]~q\ & (!\led_flash_cnt[490][4]~33747\ & VCC))
-- \led_flash_cnt[490][5]~33749\ = CARRY((\led_flash_cnt[490][5]~q\ & !\led_flash_cnt[490][4]~33747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[490][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[490][4]~33747\,
	combout => \led_flash_cnt[490][5]~33748_combout\,
	cout => \led_flash_cnt[490][5]~33749\);

-- Location: FF_X13_Y35_N23
\led_flash_cnt[490][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[490][5]~33748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[490][5]~q\);

-- Location: LCCOMB_X13_Y35_N24
\led_flash_cnt[490][6]~33750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[490][6]~33750_combout\ = (\led_flash_cnt[490][6]~q\ & (!\led_flash_cnt[490][5]~33749\)) # (!\led_flash_cnt[490][6]~q\ & ((\led_flash_cnt[490][5]~33749\) # (GND)))
-- \led_flash_cnt[490][6]~33751\ = CARRY((!\led_flash_cnt[490][5]~33749\) # (!\led_flash_cnt[490][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[490][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[490][5]~33749\,
	combout => \led_flash_cnt[490][6]~33750_combout\,
	cout => \led_flash_cnt[490][6]~33751\);

-- Location: FF_X13_Y35_N25
\led_flash_cnt[490][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[490][6]~33750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[490][6]~q\);

-- Location: LCCOMB_X12_Y35_N14
\WideAnd490~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd490~1_combout\ = (\led_flash_cnt[490][6]~q\ & \led_flash_cnt[490][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[490][6]~q\,
	datad => \led_flash_cnt[490][5]~q\,
	combout => \WideAnd490~1_combout\);

-- Location: LCCOMB_X13_Y35_N26
\led_flash_cnt[490][7]~33752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[490][7]~33752_combout\ = \led_flash_cnt[490][7]~q\ $ (!\led_flash_cnt[490][6]~33751\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[490][7]~q\,
	cin => \led_flash_cnt[490][6]~33751\,
	combout => \led_flash_cnt[490][7]~33752_combout\);

-- Location: FF_X13_Y35_N27
\led_flash_cnt[490][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[490][7]~33752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[490][7]~q\);

-- Location: LCCOMB_X12_Y35_N2
WideAnd490 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd490~combout\ = (\led_flash_cnt[490][0]~q\ & (\WideAnd490~0_combout\ & (\WideAnd490~1_combout\ & \led_flash_cnt[490][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[490][0]~q\,
	datab => \WideAnd490~0_combout\,
	datac => \WideAnd490~1_combout\,
	datad => \led_flash_cnt[490][7]~q\,
	combout => \WideAnd490~combout\);

-- Location: FF_X12_Y35_N3
\led_flash_cnt_ands[490]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd490~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(490));

-- Location: LCCOMB_X46_Y41_N18
\WideAnd3901~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3901~0_combout\ = (led_flash_cnt_ands(489) & (led_flash_cnt_ands(491) & (led_flash_cnt_ands(488) & led_flash_cnt_ands(490))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(489),
	datab => led_flash_cnt_ands(491),
	datac => led_flash_cnt_ands(488),
	datad => led_flash_cnt_ands(490),
	combout => \WideAnd3901~0_combout\);

-- Location: LCCOMB_X46_Y41_N22
WideAnd3901 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3901~combout\ = (\WideAnd3901~1_combout\ & (led_flash_cnt_ands(494) & (led_flash_cnt_ands(495) & \WideAnd3901~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3901~1_combout\,
	datab => led_flash_cnt_ands(494),
	datac => led_flash_cnt_ands(495),
	datad => \WideAnd3901~0_combout\,
	combout => \WideAnd3901~combout\);

-- Location: FF_X46_Y41_N23
\led_flash_cnt_ands_1[61]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3901~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(61));

-- Location: LCCOMB_X45_Y43_N2
\led_flash_cnt[486][0]~81126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[486][0]~81126_combout\ = !\led_flash_cnt[486][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[486][0]~q\,
	combout => \led_flash_cnt[486][0]~81126_combout\);

-- Location: FF_X45_Y43_N3
\led_flash_cnt[486][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[486][0]~81126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[486][0]~q\);

-- Location: LCCOMB_X44_Y43_N2
\led_flash_cnt[486][1]~33684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[486][1]~33684_combout\ = (\led_flash_cnt[486][0]~q\ & (\led_flash_cnt[486][1]~q\ $ (VCC))) # (!\led_flash_cnt[486][0]~q\ & (\led_flash_cnt[486][1]~q\ & VCC))
-- \led_flash_cnt[486][1]~33685\ = CARRY((\led_flash_cnt[486][0]~q\ & \led_flash_cnt[486][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[486][0]~q\,
	datab => \led_flash_cnt[486][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[486][1]~33684_combout\,
	cout => \led_flash_cnt[486][1]~33685\);

-- Location: FF_X44_Y43_N3
\led_flash_cnt[486][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[486][1]~33684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[486][1]~q\);

-- Location: LCCOMB_X44_Y43_N4
\led_flash_cnt[486][2]~33686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[486][2]~33686_combout\ = (\led_flash_cnt[486][2]~q\ & (!\led_flash_cnt[486][1]~33685\)) # (!\led_flash_cnt[486][2]~q\ & ((\led_flash_cnt[486][1]~33685\) # (GND)))
-- \led_flash_cnt[486][2]~33687\ = CARRY((!\led_flash_cnt[486][1]~33685\) # (!\led_flash_cnt[486][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[486][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[486][1]~33685\,
	combout => \led_flash_cnt[486][2]~33686_combout\,
	cout => \led_flash_cnt[486][2]~33687\);

-- Location: FF_X44_Y43_N5
\led_flash_cnt[486][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[486][2]~33686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[486][2]~q\);

-- Location: LCCOMB_X44_Y43_N6
\led_flash_cnt[486][3]~33688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[486][3]~33688_combout\ = (\led_flash_cnt[486][3]~q\ & (\led_flash_cnt[486][2]~33687\ $ (GND))) # (!\led_flash_cnt[486][3]~q\ & (!\led_flash_cnt[486][2]~33687\ & VCC))
-- \led_flash_cnt[486][3]~33689\ = CARRY((\led_flash_cnt[486][3]~q\ & !\led_flash_cnt[486][2]~33687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[486][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[486][2]~33687\,
	combout => \led_flash_cnt[486][3]~33688_combout\,
	cout => \led_flash_cnt[486][3]~33689\);

-- Location: FF_X44_Y43_N7
\led_flash_cnt[486][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[486][3]~33688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[486][3]~q\);

-- Location: LCCOMB_X44_Y43_N8
\led_flash_cnt[486][4]~33690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[486][4]~33690_combout\ = (\led_flash_cnt[486][4]~q\ & (!\led_flash_cnt[486][3]~33689\)) # (!\led_flash_cnt[486][4]~q\ & ((\led_flash_cnt[486][3]~33689\) # (GND)))
-- \led_flash_cnt[486][4]~33691\ = CARRY((!\led_flash_cnt[486][3]~33689\) # (!\led_flash_cnt[486][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[486][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[486][3]~33689\,
	combout => \led_flash_cnt[486][4]~33690_combout\,
	cout => \led_flash_cnt[486][4]~33691\);

-- Location: FF_X44_Y43_N9
\led_flash_cnt[486][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[486][4]~33690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[486][4]~q\);

-- Location: LCCOMB_X44_Y43_N10
\led_flash_cnt[486][5]~33692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[486][5]~33692_combout\ = (\led_flash_cnt[486][5]~q\ & (\led_flash_cnt[486][4]~33691\ $ (GND))) # (!\led_flash_cnt[486][5]~q\ & (!\led_flash_cnt[486][4]~33691\ & VCC))
-- \led_flash_cnt[486][5]~33693\ = CARRY((\led_flash_cnt[486][5]~q\ & !\led_flash_cnt[486][4]~33691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[486][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[486][4]~33691\,
	combout => \led_flash_cnt[486][5]~33692_combout\,
	cout => \led_flash_cnt[486][5]~33693\);

-- Location: FF_X44_Y43_N11
\led_flash_cnt[486][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[486][5]~33692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[486][5]~q\);

-- Location: LCCOMB_X44_Y43_N12
\led_flash_cnt[486][6]~33694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[486][6]~33694_combout\ = (\led_flash_cnt[486][6]~q\ & (!\led_flash_cnt[486][5]~33693\)) # (!\led_flash_cnt[486][6]~q\ & ((\led_flash_cnt[486][5]~33693\) # (GND)))
-- \led_flash_cnt[486][6]~33695\ = CARRY((!\led_flash_cnt[486][5]~33693\) # (!\led_flash_cnt[486][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[486][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[486][5]~33693\,
	combout => \led_flash_cnt[486][6]~33694_combout\,
	cout => \led_flash_cnt[486][6]~33695\);

-- Location: FF_X44_Y43_N13
\led_flash_cnt[486][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[486][6]~33694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[486][6]~q\);

-- Location: LCCOMB_X44_Y43_N14
\led_flash_cnt[486][7]~33696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[486][7]~33696_combout\ = \led_flash_cnt[486][7]~q\ $ (!\led_flash_cnt[486][6]~33695\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[486][7]~q\,
	cin => \led_flash_cnt[486][6]~33695\,
	combout => \led_flash_cnt[486][7]~33696_combout\);

-- Location: FF_X44_Y43_N15
\led_flash_cnt[486][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[486][7]~33696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[486][7]~q\);

-- Location: LCCOMB_X45_Y43_N4
\WideAnd486~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd486~1_combout\ = (\led_flash_cnt[486][6]~q\ & \led_flash_cnt[486][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[486][6]~q\,
	datad => \led_flash_cnt[486][5]~q\,
	combout => \WideAnd486~1_combout\);

-- Location: LCCOMB_X44_Y43_N16
\WideAnd486~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd486~0_combout\ = (\led_flash_cnt[486][3]~q\ & (\led_flash_cnt[486][4]~q\ & (\led_flash_cnt[486][2]~q\ & \led_flash_cnt[486][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[486][3]~q\,
	datab => \led_flash_cnt[486][4]~q\,
	datac => \led_flash_cnt[486][2]~q\,
	datad => \led_flash_cnt[486][1]~q\,
	combout => \WideAnd486~0_combout\);

-- Location: LCCOMB_X45_Y43_N10
WideAnd486 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd486~combout\ = (\led_flash_cnt[486][7]~q\ & (\WideAnd486~1_combout\ & (\WideAnd486~0_combout\ & \led_flash_cnt[486][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[486][7]~q\,
	datab => \WideAnd486~1_combout\,
	datac => \WideAnd486~0_combout\,
	datad => \led_flash_cnt[486][0]~q\,
	combout => \WideAnd486~combout\);

-- Location: FF_X45_Y43_N11
\led_flash_cnt_ands[486]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd486~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(486));

-- Location: LCCOMB_X45_Y42_N6
\led_flash_cnt[487][0]~81127\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[487][0]~81127_combout\ = !\led_flash_cnt[487][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[487][0]~q\,
	combout => \led_flash_cnt[487][0]~81127_combout\);

-- Location: FF_X45_Y42_N7
\led_flash_cnt[487][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[487][0]~81127_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[487][0]~q\);

-- Location: LCCOMB_X46_Y42_N18
\led_flash_cnt[487][1]~33698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[487][1]~33698_combout\ = (\led_flash_cnt[487][0]~q\ & (\led_flash_cnt[487][1]~q\ $ (VCC))) # (!\led_flash_cnt[487][0]~q\ & (\led_flash_cnt[487][1]~q\ & VCC))
-- \led_flash_cnt[487][1]~33699\ = CARRY((\led_flash_cnt[487][0]~q\ & \led_flash_cnt[487][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[487][0]~q\,
	datab => \led_flash_cnt[487][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[487][1]~33698_combout\,
	cout => \led_flash_cnt[487][1]~33699\);

-- Location: FF_X46_Y42_N19
\led_flash_cnt[487][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[487][1]~33698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[487][1]~q\);

-- Location: LCCOMB_X46_Y42_N20
\led_flash_cnt[487][2]~33700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[487][2]~33700_combout\ = (\led_flash_cnt[487][2]~q\ & (!\led_flash_cnt[487][1]~33699\)) # (!\led_flash_cnt[487][2]~q\ & ((\led_flash_cnt[487][1]~33699\) # (GND)))
-- \led_flash_cnt[487][2]~33701\ = CARRY((!\led_flash_cnt[487][1]~33699\) # (!\led_flash_cnt[487][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[487][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[487][1]~33699\,
	combout => \led_flash_cnt[487][2]~33700_combout\,
	cout => \led_flash_cnt[487][2]~33701\);

-- Location: FF_X46_Y42_N21
\led_flash_cnt[487][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[487][2]~33700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[487][2]~q\);

-- Location: LCCOMB_X46_Y42_N22
\led_flash_cnt[487][3]~33702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[487][3]~33702_combout\ = (\led_flash_cnt[487][3]~q\ & (\led_flash_cnt[487][2]~33701\ $ (GND))) # (!\led_flash_cnt[487][3]~q\ & (!\led_flash_cnt[487][2]~33701\ & VCC))
-- \led_flash_cnt[487][3]~33703\ = CARRY((\led_flash_cnt[487][3]~q\ & !\led_flash_cnt[487][2]~33701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[487][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[487][2]~33701\,
	combout => \led_flash_cnt[487][3]~33702_combout\,
	cout => \led_flash_cnt[487][3]~33703\);

-- Location: FF_X46_Y42_N23
\led_flash_cnt[487][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[487][3]~33702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[487][3]~q\);

-- Location: LCCOMB_X46_Y42_N24
\led_flash_cnt[487][4]~33704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[487][4]~33704_combout\ = (\led_flash_cnt[487][4]~q\ & (!\led_flash_cnt[487][3]~33703\)) # (!\led_flash_cnt[487][4]~q\ & ((\led_flash_cnt[487][3]~33703\) # (GND)))
-- \led_flash_cnt[487][4]~33705\ = CARRY((!\led_flash_cnt[487][3]~33703\) # (!\led_flash_cnt[487][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[487][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[487][3]~33703\,
	combout => \led_flash_cnt[487][4]~33704_combout\,
	cout => \led_flash_cnt[487][4]~33705\);

-- Location: FF_X46_Y42_N25
\led_flash_cnt[487][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[487][4]~33704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[487][4]~q\);

-- Location: LCCOMB_X46_Y42_N26
\led_flash_cnt[487][5]~33706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[487][5]~33706_combout\ = (\led_flash_cnt[487][5]~q\ & (\led_flash_cnt[487][4]~33705\ $ (GND))) # (!\led_flash_cnt[487][5]~q\ & (!\led_flash_cnt[487][4]~33705\ & VCC))
-- \led_flash_cnt[487][5]~33707\ = CARRY((\led_flash_cnt[487][5]~q\ & !\led_flash_cnt[487][4]~33705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[487][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[487][4]~33705\,
	combout => \led_flash_cnt[487][5]~33706_combout\,
	cout => \led_flash_cnt[487][5]~33707\);

-- Location: FF_X46_Y42_N27
\led_flash_cnt[487][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[487][5]~33706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[487][5]~q\);

-- Location: LCCOMB_X46_Y42_N28
\led_flash_cnt[487][6]~33708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[487][6]~33708_combout\ = (\led_flash_cnt[487][6]~q\ & (!\led_flash_cnt[487][5]~33707\)) # (!\led_flash_cnt[487][6]~q\ & ((\led_flash_cnt[487][5]~33707\) # (GND)))
-- \led_flash_cnt[487][6]~33709\ = CARRY((!\led_flash_cnt[487][5]~33707\) # (!\led_flash_cnt[487][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[487][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[487][5]~33707\,
	combout => \led_flash_cnt[487][6]~33708_combout\,
	cout => \led_flash_cnt[487][6]~33709\);

-- Location: FF_X46_Y42_N29
\led_flash_cnt[487][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[487][6]~33708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[487][6]~q\);

-- Location: LCCOMB_X45_Y42_N14
\WideAnd487~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd487~1_combout\ = (\led_flash_cnt[487][6]~q\ & \led_flash_cnt[487][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[487][6]~q\,
	datad => \led_flash_cnt[487][5]~q\,
	combout => \WideAnd487~1_combout\);

-- Location: LCCOMB_X46_Y42_N30
\led_flash_cnt[487][7]~33710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[487][7]~33710_combout\ = \led_flash_cnt[487][7]~q\ $ (!\led_flash_cnt[487][6]~33709\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[487][7]~q\,
	cin => \led_flash_cnt[487][6]~33709\,
	combout => \led_flash_cnt[487][7]~33710_combout\);

-- Location: FF_X46_Y42_N31
\led_flash_cnt[487][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[487][7]~33710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[487][7]~q\);

-- Location: LCCOMB_X46_Y42_N16
\WideAnd487~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd487~0_combout\ = (\led_flash_cnt[487][4]~q\ & (\led_flash_cnt[487][2]~q\ & (\led_flash_cnt[487][3]~q\ & \led_flash_cnt[487][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[487][4]~q\,
	datab => \led_flash_cnt[487][2]~q\,
	datac => \led_flash_cnt[487][3]~q\,
	datad => \led_flash_cnt[487][1]~q\,
	combout => \WideAnd487~0_combout\);

-- Location: LCCOMB_X45_Y42_N0
WideAnd487 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd487~combout\ = (\led_flash_cnt[487][0]~q\ & (\WideAnd487~1_combout\ & (\led_flash_cnt[487][7]~q\ & \WideAnd487~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[487][0]~q\,
	datab => \WideAnd487~1_combout\,
	datac => \led_flash_cnt[487][7]~q\,
	datad => \WideAnd487~0_combout\,
	combout => \WideAnd487~combout\);

-- Location: FF_X45_Y42_N1
\led_flash_cnt_ands[487]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd487~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(487));

-- Location: LCCOMB_X37_Y31_N2
\led_flash_cnt[483][0]~81123\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[483][0]~81123_combout\ = !\led_flash_cnt[483][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[483][0]~q\,
	combout => \led_flash_cnt[483][0]~81123_combout\);

-- Location: FF_X37_Y31_N3
\led_flash_cnt[483][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[483][0]~81123_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[483][0]~q\);

-- Location: LCCOMB_X36_Y31_N18
\led_flash_cnt[483][1]~33642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[483][1]~33642_combout\ = (\led_flash_cnt[483][0]~q\ & (\led_flash_cnt[483][1]~q\ $ (VCC))) # (!\led_flash_cnt[483][0]~q\ & (\led_flash_cnt[483][1]~q\ & VCC))
-- \led_flash_cnt[483][1]~33643\ = CARRY((\led_flash_cnt[483][0]~q\ & \led_flash_cnt[483][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[483][0]~q\,
	datab => \led_flash_cnt[483][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[483][1]~33642_combout\,
	cout => \led_flash_cnt[483][1]~33643\);

-- Location: FF_X36_Y31_N19
\led_flash_cnt[483][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[483][1]~33642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[483][1]~q\);

-- Location: LCCOMB_X36_Y31_N20
\led_flash_cnt[483][2]~33644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[483][2]~33644_combout\ = (\led_flash_cnt[483][2]~q\ & (!\led_flash_cnt[483][1]~33643\)) # (!\led_flash_cnt[483][2]~q\ & ((\led_flash_cnt[483][1]~33643\) # (GND)))
-- \led_flash_cnt[483][2]~33645\ = CARRY((!\led_flash_cnt[483][1]~33643\) # (!\led_flash_cnt[483][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[483][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[483][1]~33643\,
	combout => \led_flash_cnt[483][2]~33644_combout\,
	cout => \led_flash_cnt[483][2]~33645\);

-- Location: FF_X36_Y31_N21
\led_flash_cnt[483][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[483][2]~33644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[483][2]~q\);

-- Location: LCCOMB_X36_Y31_N22
\led_flash_cnt[483][3]~33646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[483][3]~33646_combout\ = (\led_flash_cnt[483][3]~q\ & (\led_flash_cnt[483][2]~33645\ $ (GND))) # (!\led_flash_cnt[483][3]~q\ & (!\led_flash_cnt[483][2]~33645\ & VCC))
-- \led_flash_cnt[483][3]~33647\ = CARRY((\led_flash_cnt[483][3]~q\ & !\led_flash_cnt[483][2]~33645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[483][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[483][2]~33645\,
	combout => \led_flash_cnt[483][3]~33646_combout\,
	cout => \led_flash_cnt[483][3]~33647\);

-- Location: FF_X36_Y31_N23
\led_flash_cnt[483][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[483][3]~33646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[483][3]~q\);

-- Location: LCCOMB_X36_Y31_N24
\led_flash_cnt[483][4]~33648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[483][4]~33648_combout\ = (\led_flash_cnt[483][4]~q\ & (!\led_flash_cnt[483][3]~33647\)) # (!\led_flash_cnt[483][4]~q\ & ((\led_flash_cnt[483][3]~33647\) # (GND)))
-- \led_flash_cnt[483][4]~33649\ = CARRY((!\led_flash_cnt[483][3]~33647\) # (!\led_flash_cnt[483][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[483][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[483][3]~33647\,
	combout => \led_flash_cnt[483][4]~33648_combout\,
	cout => \led_flash_cnt[483][4]~33649\);

-- Location: FF_X36_Y31_N25
\led_flash_cnt[483][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[483][4]~33648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[483][4]~q\);

-- Location: LCCOMB_X36_Y31_N26
\led_flash_cnt[483][5]~33650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[483][5]~33650_combout\ = (\led_flash_cnt[483][5]~q\ & (\led_flash_cnt[483][4]~33649\ $ (GND))) # (!\led_flash_cnt[483][5]~q\ & (!\led_flash_cnt[483][4]~33649\ & VCC))
-- \led_flash_cnt[483][5]~33651\ = CARRY((\led_flash_cnt[483][5]~q\ & !\led_flash_cnt[483][4]~33649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[483][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[483][4]~33649\,
	combout => \led_flash_cnt[483][5]~33650_combout\,
	cout => \led_flash_cnt[483][5]~33651\);

-- Location: FF_X36_Y31_N27
\led_flash_cnt[483][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[483][5]~33650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[483][5]~q\);

-- Location: LCCOMB_X36_Y31_N28
\led_flash_cnt[483][6]~33652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[483][6]~33652_combout\ = (\led_flash_cnt[483][6]~q\ & (!\led_flash_cnt[483][5]~33651\)) # (!\led_flash_cnt[483][6]~q\ & ((\led_flash_cnt[483][5]~33651\) # (GND)))
-- \led_flash_cnt[483][6]~33653\ = CARRY((!\led_flash_cnt[483][5]~33651\) # (!\led_flash_cnt[483][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[483][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[483][5]~33651\,
	combout => \led_flash_cnt[483][6]~33652_combout\,
	cout => \led_flash_cnt[483][6]~33653\);

-- Location: FF_X36_Y31_N29
\led_flash_cnt[483][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[483][6]~33652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[483][6]~q\);

-- Location: LCCOMB_X37_Y31_N26
\WideAnd483~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd483~1_combout\ = (\led_flash_cnt[483][5]~q\ & \led_flash_cnt[483][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[483][5]~q\,
	datad => \led_flash_cnt[483][6]~q\,
	combout => \WideAnd483~1_combout\);

-- Location: LCCOMB_X36_Y31_N30
\led_flash_cnt[483][7]~33654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[483][7]~33654_combout\ = \led_flash_cnt[483][7]~q\ $ (!\led_flash_cnt[483][6]~33653\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[483][7]~q\,
	cin => \led_flash_cnt[483][6]~33653\,
	combout => \led_flash_cnt[483][7]~33654_combout\);

-- Location: FF_X36_Y31_N31
\led_flash_cnt[483][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[483][7]~33654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[483][7]~q\);

-- Location: LCCOMB_X36_Y31_N0
\WideAnd483~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd483~0_combout\ = (\led_flash_cnt[483][2]~q\ & (\led_flash_cnt[483][1]~q\ & (\led_flash_cnt[483][3]~q\ & \led_flash_cnt[483][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[483][2]~q\,
	datab => \led_flash_cnt[483][1]~q\,
	datac => \led_flash_cnt[483][3]~q\,
	datad => \led_flash_cnt[483][4]~q\,
	combout => \WideAnd483~0_combout\);

-- Location: LCCOMB_X37_Y31_N6
WideAnd483 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd483~combout\ = (\WideAnd483~1_combout\ & (\led_flash_cnt[483][7]~q\ & (\WideAnd483~0_combout\ & \led_flash_cnt[483][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd483~1_combout\,
	datab => \led_flash_cnt[483][7]~q\,
	datac => \WideAnd483~0_combout\,
	datad => \led_flash_cnt[483][0]~q\,
	combout => \WideAnd483~combout\);

-- Location: FF_X37_Y31_N7
\led_flash_cnt_ands[483]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd483~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(483));

-- Location: LCCOMB_X37_Y30_N18
\led_flash_cnt[482][0]~81122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[482][0]~81122_combout\ = !\led_flash_cnt[482][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[482][0]~q\,
	combout => \led_flash_cnt[482][0]~81122_combout\);

-- Location: FF_X37_Y30_N19
\led_flash_cnt[482][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[482][0]~81122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[482][0]~q\);

-- Location: LCCOMB_X37_Y31_N10
\led_flash_cnt[482][1]~33628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[482][1]~33628_combout\ = (\led_flash_cnt[482][1]~q\ & (\led_flash_cnt[482][0]~q\ $ (VCC))) # (!\led_flash_cnt[482][1]~q\ & (\led_flash_cnt[482][0]~q\ & VCC))
-- \led_flash_cnt[482][1]~33629\ = CARRY((\led_flash_cnt[482][1]~q\ & \led_flash_cnt[482][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[482][1]~q\,
	datab => \led_flash_cnt[482][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[482][1]~33628_combout\,
	cout => \led_flash_cnt[482][1]~33629\);

-- Location: FF_X37_Y31_N11
\led_flash_cnt[482][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[482][1]~33628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[482][1]~q\);

-- Location: LCCOMB_X37_Y31_N12
\led_flash_cnt[482][2]~33630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[482][2]~33630_combout\ = (\led_flash_cnt[482][2]~q\ & (!\led_flash_cnt[482][1]~33629\)) # (!\led_flash_cnt[482][2]~q\ & ((\led_flash_cnt[482][1]~33629\) # (GND)))
-- \led_flash_cnt[482][2]~33631\ = CARRY((!\led_flash_cnt[482][1]~33629\) # (!\led_flash_cnt[482][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[482][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[482][1]~33629\,
	combout => \led_flash_cnt[482][2]~33630_combout\,
	cout => \led_flash_cnt[482][2]~33631\);

-- Location: FF_X37_Y31_N13
\led_flash_cnt[482][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[482][2]~33630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[482][2]~q\);

-- Location: LCCOMB_X37_Y31_N14
\led_flash_cnt[482][3]~33632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[482][3]~33632_combout\ = (\led_flash_cnt[482][3]~q\ & (\led_flash_cnt[482][2]~33631\ $ (GND))) # (!\led_flash_cnt[482][3]~q\ & (!\led_flash_cnt[482][2]~33631\ & VCC))
-- \led_flash_cnt[482][3]~33633\ = CARRY((\led_flash_cnt[482][3]~q\ & !\led_flash_cnt[482][2]~33631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[482][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[482][2]~33631\,
	combout => \led_flash_cnt[482][3]~33632_combout\,
	cout => \led_flash_cnt[482][3]~33633\);

-- Location: FF_X37_Y31_N15
\led_flash_cnt[482][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[482][3]~33632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[482][3]~q\);

-- Location: LCCOMB_X37_Y31_N16
\led_flash_cnt[482][4]~33634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[482][4]~33634_combout\ = (\led_flash_cnt[482][4]~q\ & (!\led_flash_cnt[482][3]~33633\)) # (!\led_flash_cnt[482][4]~q\ & ((\led_flash_cnt[482][3]~33633\) # (GND)))
-- \led_flash_cnt[482][4]~33635\ = CARRY((!\led_flash_cnt[482][3]~33633\) # (!\led_flash_cnt[482][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[482][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[482][3]~33633\,
	combout => \led_flash_cnt[482][4]~33634_combout\,
	cout => \led_flash_cnt[482][4]~33635\);

-- Location: FF_X37_Y31_N17
\led_flash_cnt[482][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[482][4]~33634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[482][4]~q\);

-- Location: LCCOMB_X37_Y31_N30
\WideAnd482~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd482~0_combout\ = (\led_flash_cnt[482][1]~q\ & (\led_flash_cnt[482][4]~q\ & (\led_flash_cnt[482][3]~q\ & \led_flash_cnt[482][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[482][1]~q\,
	datab => \led_flash_cnt[482][4]~q\,
	datac => \led_flash_cnt[482][3]~q\,
	datad => \led_flash_cnt[482][2]~q\,
	combout => \WideAnd482~0_combout\);

-- Location: LCCOMB_X37_Y31_N18
\led_flash_cnt[482][5]~33636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[482][5]~33636_combout\ = (\led_flash_cnt[482][5]~q\ & (\led_flash_cnt[482][4]~33635\ $ (GND))) # (!\led_flash_cnt[482][5]~q\ & (!\led_flash_cnt[482][4]~33635\ & VCC))
-- \led_flash_cnt[482][5]~33637\ = CARRY((\led_flash_cnt[482][5]~q\ & !\led_flash_cnt[482][4]~33635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[482][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[482][4]~33635\,
	combout => \led_flash_cnt[482][5]~33636_combout\,
	cout => \led_flash_cnt[482][5]~33637\);

-- Location: FF_X37_Y31_N19
\led_flash_cnt[482][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[482][5]~33636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[482][5]~q\);

-- Location: LCCOMB_X37_Y31_N20
\led_flash_cnt[482][6]~33638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[482][6]~33638_combout\ = (\led_flash_cnt[482][6]~q\ & (!\led_flash_cnt[482][5]~33637\)) # (!\led_flash_cnt[482][6]~q\ & ((\led_flash_cnt[482][5]~33637\) # (GND)))
-- \led_flash_cnt[482][6]~33639\ = CARRY((!\led_flash_cnt[482][5]~33637\) # (!\led_flash_cnt[482][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[482][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[482][5]~33637\,
	combout => \led_flash_cnt[482][6]~33638_combout\,
	cout => \led_flash_cnt[482][6]~33639\);

-- Location: FF_X37_Y31_N21
\led_flash_cnt[482][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[482][6]~33638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[482][6]~q\);

-- Location: LCCOMB_X37_Y31_N22
\led_flash_cnt[482][7]~33640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[482][7]~33640_combout\ = \led_flash_cnt[482][7]~q\ $ (!\led_flash_cnt[482][6]~33639\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[482][7]~q\,
	cin => \led_flash_cnt[482][6]~33639\,
	combout => \led_flash_cnt[482][7]~33640_combout\);

-- Location: FF_X37_Y31_N23
\led_flash_cnt[482][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[482][7]~33640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[482][7]~q\);

-- Location: LCCOMB_X37_Y31_N0
\WideAnd482~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd482~1_combout\ = (\led_flash_cnt[482][6]~q\ & \led_flash_cnt[482][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[482][6]~q\,
	datad => \led_flash_cnt[482][5]~q\,
	combout => \WideAnd482~1_combout\);

-- Location: LCCOMB_X37_Y31_N28
WideAnd482 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd482~combout\ = (\WideAnd482~0_combout\ & (\led_flash_cnt[482][0]~q\ & (\led_flash_cnt[482][7]~q\ & \WideAnd482~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd482~0_combout\,
	datab => \led_flash_cnt[482][0]~q\,
	datac => \led_flash_cnt[482][7]~q\,
	datad => \WideAnd482~1_combout\,
	combout => \WideAnd482~combout\);

-- Location: FF_X37_Y31_N29
\led_flash_cnt_ands[482]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd482~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(482));

-- Location: LCCOMB_X44_Y28_N12
\led_flash_cnt[481][0]~81121\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[481][0]~81121_combout\ = !\led_flash_cnt[481][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[481][0]~q\,
	combout => \led_flash_cnt[481][0]~81121_combout\);

-- Location: FF_X44_Y28_N13
\led_flash_cnt[481][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[481][0]~81121_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[481][0]~q\);

-- Location: LCCOMB_X44_Y28_N18
\led_flash_cnt[481][1]~33614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[481][1]~33614_combout\ = (\led_flash_cnt[481][0]~q\ & (\led_flash_cnt[481][1]~q\ $ (VCC))) # (!\led_flash_cnt[481][0]~q\ & (\led_flash_cnt[481][1]~q\ & VCC))
-- \led_flash_cnt[481][1]~33615\ = CARRY((\led_flash_cnt[481][0]~q\ & \led_flash_cnt[481][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[481][0]~q\,
	datab => \led_flash_cnt[481][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[481][1]~33614_combout\,
	cout => \led_flash_cnt[481][1]~33615\);

-- Location: FF_X44_Y28_N19
\led_flash_cnt[481][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[481][1]~33614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[481][1]~q\);

-- Location: LCCOMB_X44_Y28_N20
\led_flash_cnt[481][2]~33616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[481][2]~33616_combout\ = (\led_flash_cnt[481][2]~q\ & (!\led_flash_cnt[481][1]~33615\)) # (!\led_flash_cnt[481][2]~q\ & ((\led_flash_cnt[481][1]~33615\) # (GND)))
-- \led_flash_cnt[481][2]~33617\ = CARRY((!\led_flash_cnt[481][1]~33615\) # (!\led_flash_cnt[481][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[481][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[481][1]~33615\,
	combout => \led_flash_cnt[481][2]~33616_combout\,
	cout => \led_flash_cnt[481][2]~33617\);

-- Location: FF_X44_Y28_N21
\led_flash_cnt[481][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[481][2]~33616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[481][2]~q\);

-- Location: LCCOMB_X44_Y28_N22
\led_flash_cnt[481][3]~33618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[481][3]~33618_combout\ = (\led_flash_cnt[481][3]~q\ & (\led_flash_cnt[481][2]~33617\ $ (GND))) # (!\led_flash_cnt[481][3]~q\ & (!\led_flash_cnt[481][2]~33617\ & VCC))
-- \led_flash_cnt[481][3]~33619\ = CARRY((\led_flash_cnt[481][3]~q\ & !\led_flash_cnt[481][2]~33617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[481][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[481][2]~33617\,
	combout => \led_flash_cnt[481][3]~33618_combout\,
	cout => \led_flash_cnt[481][3]~33619\);

-- Location: FF_X44_Y28_N23
\led_flash_cnt[481][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[481][3]~33618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[481][3]~q\);

-- Location: LCCOMB_X44_Y28_N24
\led_flash_cnt[481][4]~33620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[481][4]~33620_combout\ = (\led_flash_cnt[481][4]~q\ & (!\led_flash_cnt[481][3]~33619\)) # (!\led_flash_cnt[481][4]~q\ & ((\led_flash_cnt[481][3]~33619\) # (GND)))
-- \led_flash_cnt[481][4]~33621\ = CARRY((!\led_flash_cnt[481][3]~33619\) # (!\led_flash_cnt[481][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[481][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[481][3]~33619\,
	combout => \led_flash_cnt[481][4]~33620_combout\,
	cout => \led_flash_cnt[481][4]~33621\);

-- Location: FF_X44_Y28_N25
\led_flash_cnt[481][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[481][4]~33620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[481][4]~q\);

-- Location: LCCOMB_X44_Y28_N26
\led_flash_cnt[481][5]~33622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[481][5]~33622_combout\ = (\led_flash_cnt[481][5]~q\ & (\led_flash_cnt[481][4]~33621\ $ (GND))) # (!\led_flash_cnt[481][5]~q\ & (!\led_flash_cnt[481][4]~33621\ & VCC))
-- \led_flash_cnt[481][5]~33623\ = CARRY((\led_flash_cnt[481][5]~q\ & !\led_flash_cnt[481][4]~33621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[481][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[481][4]~33621\,
	combout => \led_flash_cnt[481][5]~33622_combout\,
	cout => \led_flash_cnt[481][5]~33623\);

-- Location: FF_X44_Y28_N27
\led_flash_cnt[481][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[481][5]~33622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[481][5]~q\);

-- Location: LCCOMB_X44_Y28_N28
\led_flash_cnt[481][6]~33624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[481][6]~33624_combout\ = (\led_flash_cnt[481][6]~q\ & (!\led_flash_cnt[481][5]~33623\)) # (!\led_flash_cnt[481][6]~q\ & ((\led_flash_cnt[481][5]~33623\) # (GND)))
-- \led_flash_cnt[481][6]~33625\ = CARRY((!\led_flash_cnt[481][5]~33623\) # (!\led_flash_cnt[481][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[481][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[481][5]~33623\,
	combout => \led_flash_cnt[481][6]~33624_combout\,
	cout => \led_flash_cnt[481][6]~33625\);

-- Location: FF_X44_Y28_N29
\led_flash_cnt[481][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[481][6]~33624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[481][6]~q\);

-- Location: LCCOMB_X44_Y28_N30
\led_flash_cnt[481][7]~33626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[481][7]~33626_combout\ = \led_flash_cnt[481][7]~q\ $ (!\led_flash_cnt[481][6]~33625\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[481][7]~q\,
	cin => \led_flash_cnt[481][6]~33625\,
	combout => \led_flash_cnt[481][7]~33626_combout\);

-- Location: FF_X44_Y28_N31
\led_flash_cnt[481][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[481][7]~33626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[481][7]~q\);

-- Location: LCCOMB_X44_Y28_N14
\WideAnd481~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd481~1_combout\ = (\led_flash_cnt[481][5]~q\ & \led_flash_cnt[481][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[481][5]~q\,
	datad => \led_flash_cnt[481][6]~q\,
	combout => \WideAnd481~1_combout\);

-- Location: LCCOMB_X44_Y28_N8
\WideAnd481~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd481~0_combout\ = (\led_flash_cnt[481][4]~q\ & (\led_flash_cnt[481][2]~q\ & (\led_flash_cnt[481][3]~q\ & \led_flash_cnt[481][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[481][4]~q\,
	datab => \led_flash_cnt[481][2]~q\,
	datac => \led_flash_cnt[481][3]~q\,
	datad => \led_flash_cnt[481][1]~q\,
	combout => \WideAnd481~0_combout\);

-- Location: LCCOMB_X44_Y28_N0
WideAnd481 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd481~combout\ = (\led_flash_cnt[481][7]~q\ & (\WideAnd481~1_combout\ & (\WideAnd481~0_combout\ & \led_flash_cnt[481][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[481][7]~q\,
	datab => \WideAnd481~1_combout\,
	datac => \WideAnd481~0_combout\,
	datad => \led_flash_cnt[481][0]~q\,
	combout => \WideAnd481~combout\);

-- Location: FF_X44_Y28_N1
\led_flash_cnt_ands[481]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd481~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(481));

-- Location: LCCOMB_X42_Y31_N28
\led_flash_cnt[480][0]~81120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[480][0]~81120_combout\ = !\led_flash_cnt[480][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[480][0]~q\,
	combout => \led_flash_cnt[480][0]~81120_combout\);

-- Location: FF_X42_Y31_N29
\led_flash_cnt[480][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[480][0]~81120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[480][0]~q\);

-- Location: LCCOMB_X38_Y31_N18
\led_flash_cnt[480][1]~33600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[480][1]~33600_combout\ = (\led_flash_cnt[480][0]~q\ & (\led_flash_cnt[480][1]~q\ $ (VCC))) # (!\led_flash_cnt[480][0]~q\ & (\led_flash_cnt[480][1]~q\ & VCC))
-- \led_flash_cnt[480][1]~33601\ = CARRY((\led_flash_cnt[480][0]~q\ & \led_flash_cnt[480][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[480][0]~q\,
	datab => \led_flash_cnt[480][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[480][1]~33600_combout\,
	cout => \led_flash_cnt[480][1]~33601\);

-- Location: FF_X38_Y31_N19
\led_flash_cnt[480][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[480][1]~33600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[480][1]~q\);

-- Location: LCCOMB_X38_Y31_N20
\led_flash_cnt[480][2]~33602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[480][2]~33602_combout\ = (\led_flash_cnt[480][2]~q\ & (!\led_flash_cnt[480][1]~33601\)) # (!\led_flash_cnt[480][2]~q\ & ((\led_flash_cnt[480][1]~33601\) # (GND)))
-- \led_flash_cnt[480][2]~33603\ = CARRY((!\led_flash_cnt[480][1]~33601\) # (!\led_flash_cnt[480][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[480][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[480][1]~33601\,
	combout => \led_flash_cnt[480][2]~33602_combout\,
	cout => \led_flash_cnt[480][2]~33603\);

-- Location: FF_X38_Y31_N21
\led_flash_cnt[480][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[480][2]~33602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[480][2]~q\);

-- Location: LCCOMB_X38_Y31_N22
\led_flash_cnt[480][3]~33604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[480][3]~33604_combout\ = (\led_flash_cnt[480][3]~q\ & (\led_flash_cnt[480][2]~33603\ $ (GND))) # (!\led_flash_cnt[480][3]~q\ & (!\led_flash_cnt[480][2]~33603\ & VCC))
-- \led_flash_cnt[480][3]~33605\ = CARRY((\led_flash_cnt[480][3]~q\ & !\led_flash_cnt[480][2]~33603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[480][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[480][2]~33603\,
	combout => \led_flash_cnt[480][3]~33604_combout\,
	cout => \led_flash_cnt[480][3]~33605\);

-- Location: FF_X38_Y31_N23
\led_flash_cnt[480][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[480][3]~33604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[480][3]~q\);

-- Location: LCCOMB_X38_Y31_N24
\led_flash_cnt[480][4]~33606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[480][4]~33606_combout\ = (\led_flash_cnt[480][4]~q\ & (!\led_flash_cnt[480][3]~33605\)) # (!\led_flash_cnt[480][4]~q\ & ((\led_flash_cnt[480][3]~33605\) # (GND)))
-- \led_flash_cnt[480][4]~33607\ = CARRY((!\led_flash_cnt[480][3]~33605\) # (!\led_flash_cnt[480][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[480][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[480][3]~33605\,
	combout => \led_flash_cnt[480][4]~33606_combout\,
	cout => \led_flash_cnt[480][4]~33607\);

-- Location: FF_X38_Y31_N25
\led_flash_cnt[480][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[480][4]~33606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[480][4]~q\);

-- Location: LCCOMB_X38_Y31_N26
\led_flash_cnt[480][5]~33608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[480][5]~33608_combout\ = (\led_flash_cnt[480][5]~q\ & (\led_flash_cnt[480][4]~33607\ $ (GND))) # (!\led_flash_cnt[480][5]~q\ & (!\led_flash_cnt[480][4]~33607\ & VCC))
-- \led_flash_cnt[480][5]~33609\ = CARRY((\led_flash_cnt[480][5]~q\ & !\led_flash_cnt[480][4]~33607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[480][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[480][4]~33607\,
	combout => \led_flash_cnt[480][5]~33608_combout\,
	cout => \led_flash_cnt[480][5]~33609\);

-- Location: FF_X38_Y31_N27
\led_flash_cnt[480][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[480][5]~33608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[480][5]~q\);

-- Location: LCCOMB_X38_Y31_N28
\led_flash_cnt[480][6]~33610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[480][6]~33610_combout\ = (\led_flash_cnt[480][6]~q\ & (!\led_flash_cnt[480][5]~33609\)) # (!\led_flash_cnt[480][6]~q\ & ((\led_flash_cnt[480][5]~33609\) # (GND)))
-- \led_flash_cnt[480][6]~33611\ = CARRY((!\led_flash_cnt[480][5]~33609\) # (!\led_flash_cnt[480][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[480][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[480][5]~33609\,
	combout => \led_flash_cnt[480][6]~33610_combout\,
	cout => \led_flash_cnt[480][6]~33611\);

-- Location: FF_X38_Y31_N29
\led_flash_cnt[480][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[480][6]~33610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[480][6]~q\);

-- Location: LCCOMB_X38_Y31_N30
\led_flash_cnt[480][7]~33612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[480][7]~33612_combout\ = \led_flash_cnt[480][7]~q\ $ (!\led_flash_cnt[480][6]~33611\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[480][7]~q\,
	cin => \led_flash_cnt[480][6]~33611\,
	combout => \led_flash_cnt[480][7]~33612_combout\);

-- Location: FF_X38_Y31_N31
\led_flash_cnt[480][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[480][7]~33612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[480][7]~q\);

-- Location: LCCOMB_X37_Y31_N8
\WideAnd480~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd480~1_combout\ = (\led_flash_cnt[480][6]~q\ & \led_flash_cnt[480][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[480][6]~q\,
	datad => \led_flash_cnt[480][5]~q\,
	combout => \WideAnd480~1_combout\);

-- Location: LCCOMB_X38_Y31_N0
\WideAnd480~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd480~0_combout\ = (\led_flash_cnt[480][4]~q\ & (\led_flash_cnt[480][2]~q\ & (\led_flash_cnt[480][3]~q\ & \led_flash_cnt[480][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[480][4]~q\,
	datab => \led_flash_cnt[480][2]~q\,
	datac => \led_flash_cnt[480][3]~q\,
	datad => \led_flash_cnt[480][1]~q\,
	combout => \WideAnd480~0_combout\);

-- Location: LCCOMB_X37_Y31_N24
WideAnd480 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd480~combout\ = (\led_flash_cnt[480][7]~q\ & (\WideAnd480~1_combout\ & (\WideAnd480~0_combout\ & \led_flash_cnt[480][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[480][7]~q\,
	datab => \WideAnd480~1_combout\,
	datac => \WideAnd480~0_combout\,
	datad => \led_flash_cnt[480][0]~q\,
	combout => \WideAnd480~combout\);

-- Location: FF_X37_Y31_N25
\led_flash_cnt_ands[480]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd480~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(480));

-- Location: LCCOMB_X37_Y31_N4
\WideAnd3900~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3900~0_combout\ = (led_flash_cnt_ands(483) & (led_flash_cnt_ands(482) & (led_flash_cnt_ands(481) & led_flash_cnt_ands(480))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(483),
	datab => led_flash_cnt_ands(482),
	datac => led_flash_cnt_ands(481),
	datad => led_flash_cnt_ands(480),
	combout => \WideAnd3900~0_combout\);

-- Location: LCCOMB_X45_Y43_N12
\led_flash_cnt[484][0]~81124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[484][0]~81124_combout\ = !\led_flash_cnt[484][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[484][0]~q\,
	combout => \led_flash_cnt[484][0]~81124_combout\);

-- Location: FF_X45_Y43_N13
\led_flash_cnt[484][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[484][0]~81124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[484][0]~q\);

-- Location: LCCOMB_X45_Y43_N16
\led_flash_cnt[484][1]~33656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[484][1]~33656_combout\ = (\led_flash_cnt[484][0]~q\ & (\led_flash_cnt[484][1]~q\ $ (VCC))) # (!\led_flash_cnt[484][0]~q\ & (\led_flash_cnt[484][1]~q\ & VCC))
-- \led_flash_cnt[484][1]~33657\ = CARRY((\led_flash_cnt[484][0]~q\ & \led_flash_cnt[484][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[484][0]~q\,
	datab => \led_flash_cnt[484][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[484][1]~33656_combout\,
	cout => \led_flash_cnt[484][1]~33657\);

-- Location: FF_X45_Y43_N17
\led_flash_cnt[484][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[484][1]~33656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[484][1]~q\);

-- Location: LCCOMB_X45_Y43_N18
\led_flash_cnt[484][2]~33658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[484][2]~33658_combout\ = (\led_flash_cnt[484][2]~q\ & (!\led_flash_cnt[484][1]~33657\)) # (!\led_flash_cnt[484][2]~q\ & ((\led_flash_cnt[484][1]~33657\) # (GND)))
-- \led_flash_cnt[484][2]~33659\ = CARRY((!\led_flash_cnt[484][1]~33657\) # (!\led_flash_cnt[484][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[484][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[484][1]~33657\,
	combout => \led_flash_cnt[484][2]~33658_combout\,
	cout => \led_flash_cnt[484][2]~33659\);

-- Location: FF_X45_Y43_N19
\led_flash_cnt[484][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[484][2]~33658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[484][2]~q\);

-- Location: LCCOMB_X45_Y43_N20
\led_flash_cnt[484][3]~33660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[484][3]~33660_combout\ = (\led_flash_cnt[484][3]~q\ & (\led_flash_cnt[484][2]~33659\ $ (GND))) # (!\led_flash_cnt[484][3]~q\ & (!\led_flash_cnt[484][2]~33659\ & VCC))
-- \led_flash_cnt[484][3]~33661\ = CARRY((\led_flash_cnt[484][3]~q\ & !\led_flash_cnt[484][2]~33659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[484][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[484][2]~33659\,
	combout => \led_flash_cnt[484][3]~33660_combout\,
	cout => \led_flash_cnt[484][3]~33661\);

-- Location: FF_X45_Y43_N21
\led_flash_cnt[484][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[484][3]~33660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[484][3]~q\);

-- Location: LCCOMB_X45_Y43_N22
\led_flash_cnt[484][4]~33662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[484][4]~33662_combout\ = (\led_flash_cnt[484][4]~q\ & (!\led_flash_cnt[484][3]~33661\)) # (!\led_flash_cnt[484][4]~q\ & ((\led_flash_cnt[484][3]~33661\) # (GND)))
-- \led_flash_cnt[484][4]~33663\ = CARRY((!\led_flash_cnt[484][3]~33661\) # (!\led_flash_cnt[484][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[484][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[484][3]~33661\,
	combout => \led_flash_cnt[484][4]~33662_combout\,
	cout => \led_flash_cnt[484][4]~33663\);

-- Location: FF_X45_Y43_N23
\led_flash_cnt[484][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[484][4]~33662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[484][4]~q\);

-- Location: LCCOMB_X45_Y43_N6
\WideAnd484~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd484~0_combout\ = (\led_flash_cnt[484][2]~q\ & (\led_flash_cnt[484][3]~q\ & (\led_flash_cnt[484][4]~q\ & \led_flash_cnt[484][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[484][2]~q\,
	datab => \led_flash_cnt[484][3]~q\,
	datac => \led_flash_cnt[484][4]~q\,
	datad => \led_flash_cnt[484][1]~q\,
	combout => \WideAnd484~0_combout\);

-- Location: LCCOMB_X45_Y43_N24
\led_flash_cnt[484][5]~33664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[484][5]~33664_combout\ = (\led_flash_cnt[484][5]~q\ & (\led_flash_cnt[484][4]~33663\ $ (GND))) # (!\led_flash_cnt[484][5]~q\ & (!\led_flash_cnt[484][4]~33663\ & VCC))
-- \led_flash_cnt[484][5]~33665\ = CARRY((\led_flash_cnt[484][5]~q\ & !\led_flash_cnt[484][4]~33663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[484][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[484][4]~33663\,
	combout => \led_flash_cnt[484][5]~33664_combout\,
	cout => \led_flash_cnt[484][5]~33665\);

-- Location: FF_X45_Y43_N25
\led_flash_cnt[484][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[484][5]~33664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[484][5]~q\);

-- Location: LCCOMB_X45_Y43_N26
\led_flash_cnt[484][6]~33666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[484][6]~33666_combout\ = (\led_flash_cnt[484][6]~q\ & (!\led_flash_cnt[484][5]~33665\)) # (!\led_flash_cnt[484][6]~q\ & ((\led_flash_cnt[484][5]~33665\) # (GND)))
-- \led_flash_cnt[484][6]~33667\ = CARRY((!\led_flash_cnt[484][5]~33665\) # (!\led_flash_cnt[484][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[484][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[484][5]~33665\,
	combout => \led_flash_cnt[484][6]~33666_combout\,
	cout => \led_flash_cnt[484][6]~33667\);

-- Location: FF_X45_Y43_N27
\led_flash_cnt[484][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[484][6]~33666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[484][6]~q\);

-- Location: LCCOMB_X45_Y43_N28
\led_flash_cnt[484][7]~33668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[484][7]~33668_combout\ = \led_flash_cnt[484][6]~33667\ $ (!\led_flash_cnt[484][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[484][7]~q\,
	cin => \led_flash_cnt[484][6]~33667\,
	combout => \led_flash_cnt[484][7]~33668_combout\);

-- Location: FF_X45_Y43_N29
\led_flash_cnt[484][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[484][7]~33668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[484][7]~q\);

-- Location: LCCOMB_X45_Y43_N14
\WideAnd484~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd484~1_combout\ = (\led_flash_cnt[484][6]~q\ & \led_flash_cnt[484][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[484][6]~q\,
	datad => \led_flash_cnt[484][5]~q\,
	combout => \WideAnd484~1_combout\);

-- Location: LCCOMB_X45_Y43_N30
WideAnd484 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd484~combout\ = (\WideAnd484~0_combout\ & (\led_flash_cnt[484][7]~q\ & (\WideAnd484~1_combout\ & \led_flash_cnt[484][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd484~0_combout\,
	datab => \led_flash_cnt[484][7]~q\,
	datac => \WideAnd484~1_combout\,
	datad => \led_flash_cnt[484][0]~q\,
	combout => \WideAnd484~combout\);

-- Location: FF_X45_Y43_N31
\led_flash_cnt_ands[484]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd484~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(484));

-- Location: LCCOMB_X49_Y50_N24
\led_flash_cnt[485][0]~81125\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[485][0]~81125_combout\ = !\led_flash_cnt[485][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[485][0]~q\,
	combout => \led_flash_cnt[485][0]~81125_combout\);

-- Location: FF_X49_Y50_N25
\led_flash_cnt[485][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[485][0]~81125_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[485][0]~q\);

-- Location: LCCOMB_X49_Y50_N2
\led_flash_cnt[485][1]~33670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[485][1]~33670_combout\ = (\led_flash_cnt[485][1]~q\ & (\led_flash_cnt[485][0]~q\ $ (VCC))) # (!\led_flash_cnt[485][1]~q\ & (\led_flash_cnt[485][0]~q\ & VCC))
-- \led_flash_cnt[485][1]~33671\ = CARRY((\led_flash_cnt[485][1]~q\ & \led_flash_cnt[485][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[485][1]~q\,
	datab => \led_flash_cnt[485][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[485][1]~33670_combout\,
	cout => \led_flash_cnt[485][1]~33671\);

-- Location: FF_X49_Y50_N3
\led_flash_cnt[485][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[485][1]~33670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[485][1]~q\);

-- Location: LCCOMB_X49_Y50_N4
\led_flash_cnt[485][2]~33672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[485][2]~33672_combout\ = (\led_flash_cnt[485][2]~q\ & (!\led_flash_cnt[485][1]~33671\)) # (!\led_flash_cnt[485][2]~q\ & ((\led_flash_cnt[485][1]~33671\) # (GND)))
-- \led_flash_cnt[485][2]~33673\ = CARRY((!\led_flash_cnt[485][1]~33671\) # (!\led_flash_cnt[485][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[485][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[485][1]~33671\,
	combout => \led_flash_cnt[485][2]~33672_combout\,
	cout => \led_flash_cnt[485][2]~33673\);

-- Location: FF_X49_Y50_N5
\led_flash_cnt[485][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[485][2]~33672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[485][2]~q\);

-- Location: LCCOMB_X49_Y50_N6
\led_flash_cnt[485][3]~33674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[485][3]~33674_combout\ = (\led_flash_cnt[485][3]~q\ & (\led_flash_cnt[485][2]~33673\ $ (GND))) # (!\led_flash_cnt[485][3]~q\ & (!\led_flash_cnt[485][2]~33673\ & VCC))
-- \led_flash_cnt[485][3]~33675\ = CARRY((\led_flash_cnt[485][3]~q\ & !\led_flash_cnt[485][2]~33673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[485][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[485][2]~33673\,
	combout => \led_flash_cnt[485][3]~33674_combout\,
	cout => \led_flash_cnt[485][3]~33675\);

-- Location: FF_X49_Y50_N7
\led_flash_cnt[485][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[485][3]~33674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[485][3]~q\);

-- Location: LCCOMB_X49_Y50_N8
\led_flash_cnt[485][4]~33676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[485][4]~33676_combout\ = (\led_flash_cnt[485][4]~q\ & (!\led_flash_cnt[485][3]~33675\)) # (!\led_flash_cnt[485][4]~q\ & ((\led_flash_cnt[485][3]~33675\) # (GND)))
-- \led_flash_cnt[485][4]~33677\ = CARRY((!\led_flash_cnt[485][3]~33675\) # (!\led_flash_cnt[485][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[485][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[485][3]~33675\,
	combout => \led_flash_cnt[485][4]~33676_combout\,
	cout => \led_flash_cnt[485][4]~33677\);

-- Location: FF_X49_Y50_N9
\led_flash_cnt[485][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[485][4]~33676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[485][4]~q\);

-- Location: LCCOMB_X49_Y50_N10
\led_flash_cnt[485][5]~33678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[485][5]~33678_combout\ = (\led_flash_cnt[485][5]~q\ & (\led_flash_cnt[485][4]~33677\ $ (GND))) # (!\led_flash_cnt[485][5]~q\ & (!\led_flash_cnt[485][4]~33677\ & VCC))
-- \led_flash_cnt[485][5]~33679\ = CARRY((\led_flash_cnt[485][5]~q\ & !\led_flash_cnt[485][4]~33677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[485][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[485][4]~33677\,
	combout => \led_flash_cnt[485][5]~33678_combout\,
	cout => \led_flash_cnt[485][5]~33679\);

-- Location: FF_X49_Y50_N11
\led_flash_cnt[485][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[485][5]~33678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[485][5]~q\);

-- Location: LCCOMB_X49_Y50_N12
\led_flash_cnt[485][6]~33680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[485][6]~33680_combout\ = (\led_flash_cnt[485][6]~q\ & (!\led_flash_cnt[485][5]~33679\)) # (!\led_flash_cnt[485][6]~q\ & ((\led_flash_cnt[485][5]~33679\) # (GND)))
-- \led_flash_cnt[485][6]~33681\ = CARRY((!\led_flash_cnt[485][5]~33679\) # (!\led_flash_cnt[485][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[485][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[485][5]~33679\,
	combout => \led_flash_cnt[485][6]~33680_combout\,
	cout => \led_flash_cnt[485][6]~33681\);

-- Location: FF_X49_Y50_N13
\led_flash_cnt[485][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[485][6]~33680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[485][6]~q\);

-- Location: LCCOMB_X49_Y50_N22
\WideAnd485~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd485~1_combout\ = (\led_flash_cnt[485][6]~q\ & \led_flash_cnt[485][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[485][6]~q\,
	datad => \led_flash_cnt[485][5]~q\,
	combout => \WideAnd485~1_combout\);

-- Location: LCCOMB_X49_Y50_N14
\led_flash_cnt[485][7]~33682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[485][7]~33682_combout\ = \led_flash_cnt[485][7]~q\ $ (!\led_flash_cnt[485][6]~33681\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[485][7]~q\,
	cin => \led_flash_cnt[485][6]~33681\,
	combout => \led_flash_cnt[485][7]~33682_combout\);

-- Location: FF_X49_Y50_N15
\led_flash_cnt[485][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[485][7]~33682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[485][7]~q\);

-- Location: LCCOMB_X49_Y50_N18
\WideAnd485~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd485~0_combout\ = (\led_flash_cnt[485][1]~q\ & (\led_flash_cnt[485][4]~q\ & (\led_flash_cnt[485][2]~q\ & \led_flash_cnt[485][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[485][1]~q\,
	datab => \led_flash_cnt[485][4]~q\,
	datac => \led_flash_cnt[485][2]~q\,
	datad => \led_flash_cnt[485][3]~q\,
	combout => \WideAnd485~0_combout\);

-- Location: LCCOMB_X49_Y50_N26
WideAnd485 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd485~combout\ = (\WideAnd485~1_combout\ & (\led_flash_cnt[485][0]~q\ & (\led_flash_cnt[485][7]~q\ & \WideAnd485~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd485~1_combout\,
	datab => \led_flash_cnt[485][0]~q\,
	datac => \led_flash_cnt[485][7]~q\,
	datad => \WideAnd485~0_combout\,
	combout => \WideAnd485~combout\);

-- Location: FF_X49_Y50_N27
\led_flash_cnt_ands[485]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd485~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(485));

-- Location: LCCOMB_X45_Y43_N0
\WideAnd3900~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3900~1_combout\ = (led_flash_cnt_ands(484) & led_flash_cnt_ands(485))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(484),
	datac => led_flash_cnt_ands(485),
	combout => \WideAnd3900~1_combout\);

-- Location: LCCOMB_X45_Y43_N8
WideAnd3900 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3900~combout\ = (led_flash_cnt_ands(486) & (led_flash_cnt_ands(487) & (\WideAnd3900~0_combout\ & \WideAnd3900~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(486),
	datab => led_flash_cnt_ands(487),
	datac => \WideAnd3900~0_combout\,
	datad => \WideAnd3900~1_combout\,
	combout => \WideAnd3900~combout\);

-- Location: FF_X45_Y43_N9
\led_flash_cnt_ands_1[60]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3900~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(60));

-- Location: LCCOMB_X46_Y41_N10
\WideAnd4327~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4327~1_combout\ = (led_flash_cnt_ands_1(61) & led_flash_cnt_ands_1(60))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(61),
	datac => led_flash_cnt_ands_1(60),
	combout => \WideAnd4327~1_combout\);

-- Location: LCCOMB_X52_Y35_N28
\led_flash_cnt[471][0]~81111\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[471][0]~81111_combout\ = !\led_flash_cnt[471][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[471][0]~q\,
	combout => \led_flash_cnt[471][0]~81111_combout\);

-- Location: FF_X52_Y35_N29
\led_flash_cnt[471][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[471][0]~81111_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[471][0]~q\);

-- Location: LCCOMB_X54_Y34_N0
\led_flash_cnt[471][1]~33474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[471][1]~33474_combout\ = (\led_flash_cnt[471][0]~q\ & (\led_flash_cnt[471][1]~q\ $ (VCC))) # (!\led_flash_cnt[471][0]~q\ & (\led_flash_cnt[471][1]~q\ & VCC))
-- \led_flash_cnt[471][1]~33475\ = CARRY((\led_flash_cnt[471][0]~q\ & \led_flash_cnt[471][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[471][0]~q\,
	datab => \led_flash_cnt[471][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[471][1]~33474_combout\,
	cout => \led_flash_cnt[471][1]~33475\);

-- Location: FF_X54_Y34_N1
\led_flash_cnt[471][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[471][1]~33474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[471][1]~q\);

-- Location: LCCOMB_X54_Y34_N2
\led_flash_cnt[471][2]~33476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[471][2]~33476_combout\ = (\led_flash_cnt[471][2]~q\ & (!\led_flash_cnt[471][1]~33475\)) # (!\led_flash_cnt[471][2]~q\ & ((\led_flash_cnt[471][1]~33475\) # (GND)))
-- \led_flash_cnt[471][2]~33477\ = CARRY((!\led_flash_cnt[471][1]~33475\) # (!\led_flash_cnt[471][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[471][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[471][1]~33475\,
	combout => \led_flash_cnt[471][2]~33476_combout\,
	cout => \led_flash_cnt[471][2]~33477\);

-- Location: FF_X54_Y34_N3
\led_flash_cnt[471][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[471][2]~33476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[471][2]~q\);

-- Location: LCCOMB_X54_Y34_N4
\led_flash_cnt[471][3]~33478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[471][3]~33478_combout\ = (\led_flash_cnt[471][3]~q\ & (\led_flash_cnt[471][2]~33477\ $ (GND))) # (!\led_flash_cnt[471][3]~q\ & (!\led_flash_cnt[471][2]~33477\ & VCC))
-- \led_flash_cnt[471][3]~33479\ = CARRY((\led_flash_cnt[471][3]~q\ & !\led_flash_cnt[471][2]~33477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[471][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[471][2]~33477\,
	combout => \led_flash_cnt[471][3]~33478_combout\,
	cout => \led_flash_cnt[471][3]~33479\);

-- Location: FF_X54_Y34_N5
\led_flash_cnt[471][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[471][3]~33478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[471][3]~q\);

-- Location: LCCOMB_X54_Y34_N6
\led_flash_cnt[471][4]~33480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[471][4]~33480_combout\ = (\led_flash_cnt[471][4]~q\ & (!\led_flash_cnt[471][3]~33479\)) # (!\led_flash_cnt[471][4]~q\ & ((\led_flash_cnt[471][3]~33479\) # (GND)))
-- \led_flash_cnt[471][4]~33481\ = CARRY((!\led_flash_cnt[471][3]~33479\) # (!\led_flash_cnt[471][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[471][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[471][3]~33479\,
	combout => \led_flash_cnt[471][4]~33480_combout\,
	cout => \led_flash_cnt[471][4]~33481\);

-- Location: FF_X54_Y34_N7
\led_flash_cnt[471][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[471][4]~33480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[471][4]~q\);

-- Location: LCCOMB_X54_Y34_N18
\WideAnd471~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd471~0_combout\ = (\led_flash_cnt[471][4]~q\ & (\led_flash_cnt[471][1]~q\ & (\led_flash_cnt[471][3]~q\ & \led_flash_cnt[471][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[471][4]~q\,
	datab => \led_flash_cnt[471][1]~q\,
	datac => \led_flash_cnt[471][3]~q\,
	datad => \led_flash_cnt[471][2]~q\,
	combout => \WideAnd471~0_combout\);

-- Location: LCCOMB_X54_Y34_N8
\led_flash_cnt[471][5]~33482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[471][5]~33482_combout\ = (\led_flash_cnt[471][5]~q\ & (\led_flash_cnt[471][4]~33481\ $ (GND))) # (!\led_flash_cnt[471][5]~q\ & (!\led_flash_cnt[471][4]~33481\ & VCC))
-- \led_flash_cnt[471][5]~33483\ = CARRY((\led_flash_cnt[471][5]~q\ & !\led_flash_cnt[471][4]~33481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[471][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[471][4]~33481\,
	combout => \led_flash_cnt[471][5]~33482_combout\,
	cout => \led_flash_cnt[471][5]~33483\);

-- Location: FF_X54_Y34_N9
\led_flash_cnt[471][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[471][5]~33482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[471][5]~q\);

-- Location: LCCOMB_X54_Y34_N10
\led_flash_cnt[471][6]~33484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[471][6]~33484_combout\ = (\led_flash_cnt[471][6]~q\ & (!\led_flash_cnt[471][5]~33483\)) # (!\led_flash_cnt[471][6]~q\ & ((\led_flash_cnt[471][5]~33483\) # (GND)))
-- \led_flash_cnt[471][6]~33485\ = CARRY((!\led_flash_cnt[471][5]~33483\) # (!\led_flash_cnt[471][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[471][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[471][5]~33483\,
	combout => \led_flash_cnt[471][6]~33484_combout\,
	cout => \led_flash_cnt[471][6]~33485\);

-- Location: FF_X54_Y34_N11
\led_flash_cnt[471][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[471][6]~33484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[471][6]~q\);

-- Location: LCCOMB_X54_Y34_N30
\WideAnd471~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd471~1_combout\ = (\led_flash_cnt[471][5]~q\ & \led_flash_cnt[471][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[471][5]~q\,
	datad => \led_flash_cnt[471][6]~q\,
	combout => \WideAnd471~1_combout\);

-- Location: LCCOMB_X54_Y34_N12
\led_flash_cnt[471][7]~33486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[471][7]~33486_combout\ = \led_flash_cnt[471][6]~33485\ $ (!\led_flash_cnt[471][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[471][7]~q\,
	cin => \led_flash_cnt[471][6]~33485\,
	combout => \led_flash_cnt[471][7]~33486_combout\);

-- Location: FF_X54_Y34_N13
\led_flash_cnt[471][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[471][7]~33486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[471][7]~q\);

-- Location: LCCOMB_X54_Y34_N22
WideAnd471 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd471~combout\ = (\led_flash_cnt[471][0]~q\ & (\WideAnd471~0_combout\ & (\WideAnd471~1_combout\ & \led_flash_cnt[471][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[471][0]~q\,
	datab => \WideAnd471~0_combout\,
	datac => \WideAnd471~1_combout\,
	datad => \led_flash_cnt[471][7]~q\,
	combout => \WideAnd471~combout\);

-- Location: FF_X54_Y34_N23
\led_flash_cnt_ands[471]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd471~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(471));

-- Location: LCCOMB_X54_Y34_N26
\led_flash_cnt[470][0]~81110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[470][0]~81110_combout\ = !\led_flash_cnt[470][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[470][0]~q\,
	combout => \led_flash_cnt[470][0]~81110_combout\);

-- Location: FF_X54_Y34_N27
\led_flash_cnt[470][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[470][0]~81110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[470][0]~q\);

-- Location: LCCOMB_X55_Y34_N14
\led_flash_cnt[470][1]~33460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[470][1]~33460_combout\ = (\led_flash_cnt[470][0]~q\ & (\led_flash_cnt[470][1]~q\ $ (VCC))) # (!\led_flash_cnt[470][0]~q\ & (\led_flash_cnt[470][1]~q\ & VCC))
-- \led_flash_cnt[470][1]~33461\ = CARRY((\led_flash_cnt[470][0]~q\ & \led_flash_cnt[470][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[470][0]~q\,
	datab => \led_flash_cnt[470][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[470][1]~33460_combout\,
	cout => \led_flash_cnt[470][1]~33461\);

-- Location: FF_X55_Y34_N15
\led_flash_cnt[470][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[470][1]~33460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[470][1]~q\);

-- Location: LCCOMB_X55_Y34_N16
\led_flash_cnt[470][2]~33462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[470][2]~33462_combout\ = (\led_flash_cnt[470][2]~q\ & (!\led_flash_cnt[470][1]~33461\)) # (!\led_flash_cnt[470][2]~q\ & ((\led_flash_cnt[470][1]~33461\) # (GND)))
-- \led_flash_cnt[470][2]~33463\ = CARRY((!\led_flash_cnt[470][1]~33461\) # (!\led_flash_cnt[470][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[470][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[470][1]~33461\,
	combout => \led_flash_cnt[470][2]~33462_combout\,
	cout => \led_flash_cnt[470][2]~33463\);

-- Location: FF_X55_Y34_N17
\led_flash_cnt[470][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[470][2]~33462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[470][2]~q\);

-- Location: LCCOMB_X55_Y34_N18
\led_flash_cnt[470][3]~33464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[470][3]~33464_combout\ = (\led_flash_cnt[470][3]~q\ & (\led_flash_cnt[470][2]~33463\ $ (GND))) # (!\led_flash_cnt[470][3]~q\ & (!\led_flash_cnt[470][2]~33463\ & VCC))
-- \led_flash_cnt[470][3]~33465\ = CARRY((\led_flash_cnt[470][3]~q\ & !\led_flash_cnt[470][2]~33463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[470][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[470][2]~33463\,
	combout => \led_flash_cnt[470][3]~33464_combout\,
	cout => \led_flash_cnt[470][3]~33465\);

-- Location: FF_X55_Y34_N19
\led_flash_cnt[470][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[470][3]~33464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[470][3]~q\);

-- Location: LCCOMB_X55_Y34_N20
\led_flash_cnt[470][4]~33466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[470][4]~33466_combout\ = (\led_flash_cnt[470][4]~q\ & (!\led_flash_cnt[470][3]~33465\)) # (!\led_flash_cnt[470][4]~q\ & ((\led_flash_cnt[470][3]~33465\) # (GND)))
-- \led_flash_cnt[470][4]~33467\ = CARRY((!\led_flash_cnt[470][3]~33465\) # (!\led_flash_cnt[470][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[470][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[470][3]~33465\,
	combout => \led_flash_cnt[470][4]~33466_combout\,
	cout => \led_flash_cnt[470][4]~33467\);

-- Location: FF_X55_Y34_N21
\led_flash_cnt[470][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[470][4]~33466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[470][4]~q\);

-- Location: LCCOMB_X55_Y34_N28
\WideAnd470~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd470~0_combout\ = (\led_flash_cnt[470][4]~q\ & (\led_flash_cnt[470][3]~q\ & (\led_flash_cnt[470][1]~q\ & \led_flash_cnt[470][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[470][4]~q\,
	datab => \led_flash_cnt[470][3]~q\,
	datac => \led_flash_cnt[470][1]~q\,
	datad => \led_flash_cnt[470][2]~q\,
	combout => \WideAnd470~0_combout\);

-- Location: LCCOMB_X55_Y34_N22
\led_flash_cnt[470][5]~33468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[470][5]~33468_combout\ = (\led_flash_cnt[470][5]~q\ & (\led_flash_cnt[470][4]~33467\ $ (GND))) # (!\led_flash_cnt[470][5]~q\ & (!\led_flash_cnt[470][4]~33467\ & VCC))
-- \led_flash_cnt[470][5]~33469\ = CARRY((\led_flash_cnt[470][5]~q\ & !\led_flash_cnt[470][4]~33467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[470][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[470][4]~33467\,
	combout => \led_flash_cnt[470][5]~33468_combout\,
	cout => \led_flash_cnt[470][5]~33469\);

-- Location: FF_X55_Y34_N23
\led_flash_cnt[470][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[470][5]~33468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[470][5]~q\);

-- Location: LCCOMB_X55_Y34_N24
\led_flash_cnt[470][6]~33470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[470][6]~33470_combout\ = (\led_flash_cnt[470][6]~q\ & (!\led_flash_cnt[470][5]~33469\)) # (!\led_flash_cnt[470][6]~q\ & ((\led_flash_cnt[470][5]~33469\) # (GND)))
-- \led_flash_cnt[470][6]~33471\ = CARRY((!\led_flash_cnt[470][5]~33469\) # (!\led_flash_cnt[470][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[470][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[470][5]~33469\,
	combout => \led_flash_cnt[470][6]~33470_combout\,
	cout => \led_flash_cnt[470][6]~33471\);

-- Location: FF_X55_Y34_N25
\led_flash_cnt[470][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[470][6]~33470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[470][6]~q\);

-- Location: LCCOMB_X54_Y34_N14
\WideAnd470~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd470~1_combout\ = (\led_flash_cnt[470][6]~q\ & \led_flash_cnt[470][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[470][6]~q\,
	datad => \led_flash_cnt[470][5]~q\,
	combout => \WideAnd470~1_combout\);

-- Location: LCCOMB_X55_Y34_N26
\led_flash_cnt[470][7]~33472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[470][7]~33472_combout\ = \led_flash_cnt[470][7]~q\ $ (!\led_flash_cnt[470][6]~33471\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[470][7]~q\,
	cin => \led_flash_cnt[470][6]~33471\,
	combout => \led_flash_cnt[470][7]~33472_combout\);

-- Location: FF_X55_Y34_N27
\led_flash_cnt[470][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[470][7]~33472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[470][7]~q\);

-- Location: LCCOMB_X54_Y34_N16
WideAnd470 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd470~combout\ = (\led_flash_cnt[470][0]~q\ & (\WideAnd470~0_combout\ & (\WideAnd470~1_combout\ & \led_flash_cnt[470][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[470][0]~q\,
	datab => \WideAnd470~0_combout\,
	datac => \WideAnd470~1_combout\,
	datad => \led_flash_cnt[470][7]~q\,
	combout => \WideAnd470~combout\);

-- Location: FF_X54_Y34_N17
\led_flash_cnt_ands[470]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd470~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(470));

-- Location: LCCOMB_X51_Y35_N18
\led_flash_cnt[469][0]~81109\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[469][0]~81109_combout\ = !\led_flash_cnt[469][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[469][0]~q\,
	combout => \led_flash_cnt[469][0]~81109_combout\);

-- Location: FF_X51_Y35_N19
\led_flash_cnt[469][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[469][0]~81109_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[469][0]~q\);

-- Location: LCCOMB_X51_Y35_N2
\led_flash_cnt[469][1]~33446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[469][1]~33446_combout\ = (\led_flash_cnt[469][1]~q\ & (\led_flash_cnt[469][0]~q\ $ (VCC))) # (!\led_flash_cnt[469][1]~q\ & (\led_flash_cnt[469][0]~q\ & VCC))
-- \led_flash_cnt[469][1]~33447\ = CARRY((\led_flash_cnt[469][1]~q\ & \led_flash_cnt[469][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[469][1]~q\,
	datab => \led_flash_cnt[469][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[469][1]~33446_combout\,
	cout => \led_flash_cnt[469][1]~33447\);

-- Location: FF_X51_Y35_N3
\led_flash_cnt[469][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[469][1]~33446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[469][1]~q\);

-- Location: LCCOMB_X51_Y35_N4
\led_flash_cnt[469][2]~33448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[469][2]~33448_combout\ = (\led_flash_cnt[469][2]~q\ & (!\led_flash_cnt[469][1]~33447\)) # (!\led_flash_cnt[469][2]~q\ & ((\led_flash_cnt[469][1]~33447\) # (GND)))
-- \led_flash_cnt[469][2]~33449\ = CARRY((!\led_flash_cnt[469][1]~33447\) # (!\led_flash_cnt[469][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[469][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[469][1]~33447\,
	combout => \led_flash_cnt[469][2]~33448_combout\,
	cout => \led_flash_cnt[469][2]~33449\);

-- Location: FF_X51_Y35_N5
\led_flash_cnt[469][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[469][2]~33448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[469][2]~q\);

-- Location: LCCOMB_X51_Y35_N6
\led_flash_cnt[469][3]~33450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[469][3]~33450_combout\ = (\led_flash_cnt[469][3]~q\ & (\led_flash_cnt[469][2]~33449\ $ (GND))) # (!\led_flash_cnt[469][3]~q\ & (!\led_flash_cnt[469][2]~33449\ & VCC))
-- \led_flash_cnt[469][3]~33451\ = CARRY((\led_flash_cnt[469][3]~q\ & !\led_flash_cnt[469][2]~33449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[469][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[469][2]~33449\,
	combout => \led_flash_cnt[469][3]~33450_combout\,
	cout => \led_flash_cnt[469][3]~33451\);

-- Location: FF_X51_Y35_N7
\led_flash_cnt[469][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[469][3]~33450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[469][3]~q\);

-- Location: LCCOMB_X51_Y35_N8
\led_flash_cnt[469][4]~33452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[469][4]~33452_combout\ = (\led_flash_cnt[469][4]~q\ & (!\led_flash_cnt[469][3]~33451\)) # (!\led_flash_cnt[469][4]~q\ & ((\led_flash_cnt[469][3]~33451\) # (GND)))
-- \led_flash_cnt[469][4]~33453\ = CARRY((!\led_flash_cnt[469][3]~33451\) # (!\led_flash_cnt[469][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[469][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[469][3]~33451\,
	combout => \led_flash_cnt[469][4]~33452_combout\,
	cout => \led_flash_cnt[469][4]~33453\);

-- Location: FF_X51_Y35_N9
\led_flash_cnt[469][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[469][4]~33452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[469][4]~q\);

-- Location: LCCOMB_X51_Y35_N10
\led_flash_cnt[469][5]~33454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[469][5]~33454_combout\ = (\led_flash_cnt[469][5]~q\ & (\led_flash_cnt[469][4]~33453\ $ (GND))) # (!\led_flash_cnt[469][5]~q\ & (!\led_flash_cnt[469][4]~33453\ & VCC))
-- \led_flash_cnt[469][5]~33455\ = CARRY((\led_flash_cnt[469][5]~q\ & !\led_flash_cnt[469][4]~33453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[469][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[469][4]~33453\,
	combout => \led_flash_cnt[469][5]~33454_combout\,
	cout => \led_flash_cnt[469][5]~33455\);

-- Location: FF_X51_Y35_N11
\led_flash_cnt[469][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[469][5]~33454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[469][5]~q\);

-- Location: LCCOMB_X51_Y35_N12
\led_flash_cnt[469][6]~33456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[469][6]~33456_combout\ = (\led_flash_cnt[469][6]~q\ & (!\led_flash_cnt[469][5]~33455\)) # (!\led_flash_cnt[469][6]~q\ & ((\led_flash_cnt[469][5]~33455\) # (GND)))
-- \led_flash_cnt[469][6]~33457\ = CARRY((!\led_flash_cnt[469][5]~33455\) # (!\led_flash_cnt[469][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[469][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[469][5]~33455\,
	combout => \led_flash_cnt[469][6]~33456_combout\,
	cout => \led_flash_cnt[469][6]~33457\);

-- Location: FF_X51_Y35_N13
\led_flash_cnt[469][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[469][6]~33456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[469][6]~q\);

-- Location: LCCOMB_X51_Y35_N26
\WideAnd469~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd469~1_combout\ = (\led_flash_cnt[469][6]~q\ & \led_flash_cnt[469][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[469][6]~q\,
	datad => \led_flash_cnt[469][5]~q\,
	combout => \WideAnd469~1_combout\);

-- Location: LCCOMB_X51_Y35_N24
\WideAnd469~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd469~0_combout\ = (\led_flash_cnt[469][1]~q\ & (\led_flash_cnt[469][4]~q\ & (\led_flash_cnt[469][2]~q\ & \led_flash_cnt[469][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[469][1]~q\,
	datab => \led_flash_cnt[469][4]~q\,
	datac => \led_flash_cnt[469][2]~q\,
	datad => \led_flash_cnt[469][3]~q\,
	combout => \WideAnd469~0_combout\);

-- Location: LCCOMB_X51_Y35_N14
\led_flash_cnt[469][7]~33458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[469][7]~33458_combout\ = \led_flash_cnt[469][7]~q\ $ (!\led_flash_cnt[469][6]~33457\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[469][7]~q\,
	cin => \led_flash_cnt[469][6]~33457\,
	combout => \led_flash_cnt[469][7]~33458_combout\);

-- Location: FF_X51_Y35_N15
\led_flash_cnt[469][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[469][7]~33458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[469][7]~q\);

-- Location: LCCOMB_X51_Y35_N22
WideAnd469 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd469~combout\ = (\WideAnd469~1_combout\ & (\WideAnd469~0_combout\ & (\led_flash_cnt[469][7]~q\ & \led_flash_cnt[469][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd469~1_combout\,
	datab => \WideAnd469~0_combout\,
	datac => \led_flash_cnt[469][7]~q\,
	datad => \led_flash_cnt[469][0]~q\,
	combout => \WideAnd469~combout\);

-- Location: FF_X51_Y35_N23
\led_flash_cnt_ands[469]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd469~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(469));

-- Location: LCCOMB_X51_Y35_N28
\led_flash_cnt[468][0]~81108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[468][0]~81108_combout\ = !\led_flash_cnt[468][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[468][0]~q\,
	combout => \led_flash_cnt[468][0]~81108_combout\);

-- Location: FF_X51_Y35_N29
\led_flash_cnt[468][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[468][0]~81108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[468][0]~q\);

-- Location: LCCOMB_X50_Y35_N2
\led_flash_cnt[468][1]~33432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[468][1]~33432_combout\ = (\led_flash_cnt[468][0]~q\ & (\led_flash_cnt[468][1]~q\ $ (VCC))) # (!\led_flash_cnt[468][0]~q\ & (\led_flash_cnt[468][1]~q\ & VCC))
-- \led_flash_cnt[468][1]~33433\ = CARRY((\led_flash_cnt[468][0]~q\ & \led_flash_cnt[468][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[468][0]~q\,
	datab => \led_flash_cnt[468][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[468][1]~33432_combout\,
	cout => \led_flash_cnt[468][1]~33433\);

-- Location: FF_X50_Y35_N3
\led_flash_cnt[468][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[468][1]~33432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[468][1]~q\);

-- Location: LCCOMB_X50_Y35_N4
\led_flash_cnt[468][2]~33434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[468][2]~33434_combout\ = (\led_flash_cnt[468][2]~q\ & (!\led_flash_cnt[468][1]~33433\)) # (!\led_flash_cnt[468][2]~q\ & ((\led_flash_cnt[468][1]~33433\) # (GND)))
-- \led_flash_cnt[468][2]~33435\ = CARRY((!\led_flash_cnt[468][1]~33433\) # (!\led_flash_cnt[468][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[468][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[468][1]~33433\,
	combout => \led_flash_cnt[468][2]~33434_combout\,
	cout => \led_flash_cnt[468][2]~33435\);

-- Location: FF_X50_Y35_N5
\led_flash_cnt[468][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[468][2]~33434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[468][2]~q\);

-- Location: LCCOMB_X50_Y35_N6
\led_flash_cnt[468][3]~33436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[468][3]~33436_combout\ = (\led_flash_cnt[468][3]~q\ & (\led_flash_cnt[468][2]~33435\ $ (GND))) # (!\led_flash_cnt[468][3]~q\ & (!\led_flash_cnt[468][2]~33435\ & VCC))
-- \led_flash_cnt[468][3]~33437\ = CARRY((\led_flash_cnt[468][3]~q\ & !\led_flash_cnt[468][2]~33435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[468][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[468][2]~33435\,
	combout => \led_flash_cnt[468][3]~33436_combout\,
	cout => \led_flash_cnt[468][3]~33437\);

-- Location: FF_X50_Y35_N7
\led_flash_cnt[468][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[468][3]~33436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[468][3]~q\);

-- Location: LCCOMB_X50_Y35_N8
\led_flash_cnt[468][4]~33438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[468][4]~33438_combout\ = (\led_flash_cnt[468][4]~q\ & (!\led_flash_cnt[468][3]~33437\)) # (!\led_flash_cnt[468][4]~q\ & ((\led_flash_cnt[468][3]~33437\) # (GND)))
-- \led_flash_cnt[468][4]~33439\ = CARRY((!\led_flash_cnt[468][3]~33437\) # (!\led_flash_cnt[468][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[468][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[468][3]~33437\,
	combout => \led_flash_cnt[468][4]~33438_combout\,
	cout => \led_flash_cnt[468][4]~33439\);

-- Location: FF_X50_Y35_N9
\led_flash_cnt[468][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[468][4]~33438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[468][4]~q\);

-- Location: LCCOMB_X50_Y35_N10
\led_flash_cnt[468][5]~33440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[468][5]~33440_combout\ = (\led_flash_cnt[468][5]~q\ & (\led_flash_cnt[468][4]~33439\ $ (GND))) # (!\led_flash_cnt[468][5]~q\ & (!\led_flash_cnt[468][4]~33439\ & VCC))
-- \led_flash_cnt[468][5]~33441\ = CARRY((\led_flash_cnt[468][5]~q\ & !\led_flash_cnt[468][4]~33439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[468][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[468][4]~33439\,
	combout => \led_flash_cnt[468][5]~33440_combout\,
	cout => \led_flash_cnt[468][5]~33441\);

-- Location: FF_X50_Y35_N11
\led_flash_cnt[468][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[468][5]~33440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[468][5]~q\);

-- Location: LCCOMB_X50_Y35_N12
\led_flash_cnt[468][6]~33442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[468][6]~33442_combout\ = (\led_flash_cnt[468][6]~q\ & (!\led_flash_cnt[468][5]~33441\)) # (!\led_flash_cnt[468][6]~q\ & ((\led_flash_cnt[468][5]~33441\) # (GND)))
-- \led_flash_cnt[468][6]~33443\ = CARRY((!\led_flash_cnt[468][5]~33441\) # (!\led_flash_cnt[468][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[468][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[468][5]~33441\,
	combout => \led_flash_cnt[468][6]~33442_combout\,
	cout => \led_flash_cnt[468][6]~33443\);

-- Location: FF_X50_Y35_N13
\led_flash_cnt[468][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[468][6]~33442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[468][6]~q\);

-- Location: LCCOMB_X50_Y35_N14
\led_flash_cnt[468][7]~33444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[468][7]~33444_combout\ = \led_flash_cnt[468][7]~q\ $ (!\led_flash_cnt[468][6]~33443\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[468][7]~q\,
	cin => \led_flash_cnt[468][6]~33443\,
	combout => \led_flash_cnt[468][7]~33444_combout\);

-- Location: FF_X50_Y35_N15
\led_flash_cnt[468][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[468][7]~33444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[468][7]~q\);

-- Location: LCCOMB_X51_Y35_N20
\WideAnd468~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd468~1_combout\ = (\led_flash_cnt[468][6]~q\ & \led_flash_cnt[468][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[468][6]~q\,
	datad => \led_flash_cnt[468][5]~q\,
	combout => \WideAnd468~1_combout\);

-- Location: LCCOMB_X50_Y35_N30
\WideAnd468~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd468~0_combout\ = (\led_flash_cnt[468][3]~q\ & (\led_flash_cnt[468][4]~q\ & (\led_flash_cnt[468][2]~q\ & \led_flash_cnt[468][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[468][3]~q\,
	datab => \led_flash_cnt[468][4]~q\,
	datac => \led_flash_cnt[468][2]~q\,
	datad => \led_flash_cnt[468][1]~q\,
	combout => \WideAnd468~0_combout\);

-- Location: LCCOMB_X51_Y35_N0
WideAnd468 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd468~combout\ = (\led_flash_cnt[468][7]~q\ & (\WideAnd468~1_combout\ & (\led_flash_cnt[468][0]~q\ & \WideAnd468~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[468][7]~q\,
	datab => \WideAnd468~1_combout\,
	datac => \led_flash_cnt[468][0]~q\,
	datad => \WideAnd468~0_combout\,
	combout => \WideAnd468~combout\);

-- Location: FF_X51_Y35_N1
\led_flash_cnt_ands[468]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd468~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(468));

-- Location: LCCOMB_X51_Y35_N30
\WideAnd3898~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3898~1_combout\ = (led_flash_cnt_ands(469) & led_flash_cnt_ands(468))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(469),
	datad => led_flash_cnt_ands(468),
	combout => \WideAnd3898~1_combout\);

-- Location: LCCOMB_X50_Y34_N18
\led_flash_cnt[464][0]~81104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[464][0]~81104_combout\ = !\led_flash_cnt[464][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[464][0]~q\,
	combout => \led_flash_cnt[464][0]~81104_combout\);

-- Location: FF_X50_Y34_N19
\led_flash_cnt[464][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[464][0]~81104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[464][0]~q\);

-- Location: LCCOMB_X50_Y34_N0
\led_flash_cnt[464][1]~33376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[464][1]~33376_combout\ = (\led_flash_cnt[464][1]~q\ & (\led_flash_cnt[464][0]~q\ $ (VCC))) # (!\led_flash_cnt[464][1]~q\ & (\led_flash_cnt[464][0]~q\ & VCC))
-- \led_flash_cnt[464][1]~33377\ = CARRY((\led_flash_cnt[464][1]~q\ & \led_flash_cnt[464][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[464][1]~q\,
	datab => \led_flash_cnt[464][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[464][1]~33376_combout\,
	cout => \led_flash_cnt[464][1]~33377\);

-- Location: FF_X50_Y34_N1
\led_flash_cnt[464][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[464][1]~33376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[464][1]~q\);

-- Location: LCCOMB_X50_Y34_N2
\led_flash_cnt[464][2]~33378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[464][2]~33378_combout\ = (\led_flash_cnt[464][2]~q\ & (!\led_flash_cnt[464][1]~33377\)) # (!\led_flash_cnt[464][2]~q\ & ((\led_flash_cnt[464][1]~33377\) # (GND)))
-- \led_flash_cnt[464][2]~33379\ = CARRY((!\led_flash_cnt[464][1]~33377\) # (!\led_flash_cnt[464][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[464][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[464][1]~33377\,
	combout => \led_flash_cnt[464][2]~33378_combout\,
	cout => \led_flash_cnt[464][2]~33379\);

-- Location: FF_X50_Y34_N3
\led_flash_cnt[464][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[464][2]~33378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[464][2]~q\);

-- Location: LCCOMB_X50_Y34_N4
\led_flash_cnt[464][3]~33380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[464][3]~33380_combout\ = (\led_flash_cnt[464][3]~q\ & (\led_flash_cnt[464][2]~33379\ $ (GND))) # (!\led_flash_cnt[464][3]~q\ & (!\led_flash_cnt[464][2]~33379\ & VCC))
-- \led_flash_cnt[464][3]~33381\ = CARRY((\led_flash_cnt[464][3]~q\ & !\led_flash_cnt[464][2]~33379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[464][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[464][2]~33379\,
	combout => \led_flash_cnt[464][3]~33380_combout\,
	cout => \led_flash_cnt[464][3]~33381\);

-- Location: FF_X50_Y34_N5
\led_flash_cnt[464][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[464][3]~33380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[464][3]~q\);

-- Location: LCCOMB_X50_Y34_N6
\led_flash_cnt[464][4]~33382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[464][4]~33382_combout\ = (\led_flash_cnt[464][4]~q\ & (!\led_flash_cnt[464][3]~33381\)) # (!\led_flash_cnt[464][4]~q\ & ((\led_flash_cnt[464][3]~33381\) # (GND)))
-- \led_flash_cnt[464][4]~33383\ = CARRY((!\led_flash_cnt[464][3]~33381\) # (!\led_flash_cnt[464][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[464][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[464][3]~33381\,
	combout => \led_flash_cnt[464][4]~33382_combout\,
	cout => \led_flash_cnt[464][4]~33383\);

-- Location: FF_X50_Y34_N7
\led_flash_cnt[464][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[464][4]~33382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[464][4]~q\);

-- Location: LCCOMB_X50_Y34_N8
\led_flash_cnt[464][5]~33384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[464][5]~33384_combout\ = (\led_flash_cnt[464][5]~q\ & (\led_flash_cnt[464][4]~33383\ $ (GND))) # (!\led_flash_cnt[464][5]~q\ & (!\led_flash_cnt[464][4]~33383\ & VCC))
-- \led_flash_cnt[464][5]~33385\ = CARRY((\led_flash_cnt[464][5]~q\ & !\led_flash_cnt[464][4]~33383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[464][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[464][4]~33383\,
	combout => \led_flash_cnt[464][5]~33384_combout\,
	cout => \led_flash_cnt[464][5]~33385\);

-- Location: FF_X50_Y34_N9
\led_flash_cnt[464][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[464][5]~33384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[464][5]~q\);

-- Location: LCCOMB_X50_Y34_N10
\led_flash_cnt[464][6]~33386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[464][6]~33386_combout\ = (\led_flash_cnt[464][6]~q\ & (!\led_flash_cnt[464][5]~33385\)) # (!\led_flash_cnt[464][6]~q\ & ((\led_flash_cnt[464][5]~33385\) # (GND)))
-- \led_flash_cnt[464][6]~33387\ = CARRY((!\led_flash_cnt[464][5]~33385\) # (!\led_flash_cnt[464][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[464][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[464][5]~33385\,
	combout => \led_flash_cnt[464][6]~33386_combout\,
	cout => \led_flash_cnt[464][6]~33387\);

-- Location: FF_X50_Y34_N11
\led_flash_cnt[464][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[464][6]~33386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[464][6]~q\);

-- Location: LCCOMB_X50_Y34_N12
\led_flash_cnt[464][7]~33388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[464][7]~33388_combout\ = \led_flash_cnt[464][6]~33387\ $ (!\led_flash_cnt[464][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[464][7]~q\,
	cin => \led_flash_cnt[464][6]~33387\,
	combout => \led_flash_cnt[464][7]~33388_combout\);

-- Location: FF_X50_Y34_N13
\led_flash_cnt[464][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[464][7]~33388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[464][7]~q\);

-- Location: LCCOMB_X50_Y34_N24
\WideAnd464~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd464~0_combout\ = (\led_flash_cnt[464][4]~q\ & (\led_flash_cnt[464][1]~q\ & (\led_flash_cnt[464][3]~q\ & \led_flash_cnt[464][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[464][4]~q\,
	datab => \led_flash_cnt[464][1]~q\,
	datac => \led_flash_cnt[464][3]~q\,
	datad => \led_flash_cnt[464][2]~q\,
	combout => \WideAnd464~0_combout\);

-- Location: LCCOMB_X50_Y34_N30
\WideAnd464~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd464~1_combout\ = (\led_flash_cnt[464][5]~q\ & \led_flash_cnt[464][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[464][5]~q\,
	datad => \led_flash_cnt[464][6]~q\,
	combout => \WideAnd464~1_combout\);

-- Location: LCCOMB_X50_Y34_N26
WideAnd464 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd464~combout\ = (\led_flash_cnt[464][7]~q\ & (\WideAnd464~0_combout\ & (\WideAnd464~1_combout\ & \led_flash_cnt[464][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[464][7]~q\,
	datab => \WideAnd464~0_combout\,
	datac => \WideAnd464~1_combout\,
	datad => \led_flash_cnt[464][0]~q\,
	combout => \WideAnd464~combout\);

-- Location: FF_X50_Y34_N27
\led_flash_cnt_ands[464]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd464~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(464));

-- Location: LCCOMB_X49_Y34_N0
\led_flash_cnt[466][0]~81106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[466][0]~81106_combout\ = !\led_flash_cnt[466][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[466][0]~q\,
	combout => \led_flash_cnt[466][0]~81106_combout\);

-- Location: FF_X49_Y34_N1
\led_flash_cnt[466][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[466][0]~81106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[466][0]~q\);

-- Location: LCCOMB_X49_Y34_N2
\led_flash_cnt[466][1]~33404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[466][1]~33404_combout\ = (\led_flash_cnt[466][1]~q\ & (\led_flash_cnt[466][0]~q\ $ (VCC))) # (!\led_flash_cnt[466][1]~q\ & (\led_flash_cnt[466][0]~q\ & VCC))
-- \led_flash_cnt[466][1]~33405\ = CARRY((\led_flash_cnt[466][1]~q\ & \led_flash_cnt[466][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[466][1]~q\,
	datab => \led_flash_cnt[466][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[466][1]~33404_combout\,
	cout => \led_flash_cnt[466][1]~33405\);

-- Location: FF_X49_Y34_N3
\led_flash_cnt[466][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[466][1]~33404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[466][1]~q\);

-- Location: LCCOMB_X49_Y34_N4
\led_flash_cnt[466][2]~33406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[466][2]~33406_combout\ = (\led_flash_cnt[466][2]~q\ & (!\led_flash_cnt[466][1]~33405\)) # (!\led_flash_cnt[466][2]~q\ & ((\led_flash_cnt[466][1]~33405\) # (GND)))
-- \led_flash_cnt[466][2]~33407\ = CARRY((!\led_flash_cnt[466][1]~33405\) # (!\led_flash_cnt[466][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[466][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[466][1]~33405\,
	combout => \led_flash_cnt[466][2]~33406_combout\,
	cout => \led_flash_cnt[466][2]~33407\);

-- Location: FF_X49_Y34_N5
\led_flash_cnt[466][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[466][2]~33406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[466][2]~q\);

-- Location: LCCOMB_X49_Y34_N6
\led_flash_cnt[466][3]~33408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[466][3]~33408_combout\ = (\led_flash_cnt[466][3]~q\ & (\led_flash_cnt[466][2]~33407\ $ (GND))) # (!\led_flash_cnt[466][3]~q\ & (!\led_flash_cnt[466][2]~33407\ & VCC))
-- \led_flash_cnt[466][3]~33409\ = CARRY((\led_flash_cnt[466][3]~q\ & !\led_flash_cnt[466][2]~33407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[466][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[466][2]~33407\,
	combout => \led_flash_cnt[466][3]~33408_combout\,
	cout => \led_flash_cnt[466][3]~33409\);

-- Location: FF_X49_Y34_N7
\led_flash_cnt[466][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[466][3]~33408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[466][3]~q\);

-- Location: LCCOMB_X49_Y34_N8
\led_flash_cnt[466][4]~33410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[466][4]~33410_combout\ = (\led_flash_cnt[466][4]~q\ & (!\led_flash_cnt[466][3]~33409\)) # (!\led_flash_cnt[466][4]~q\ & ((\led_flash_cnt[466][3]~33409\) # (GND)))
-- \led_flash_cnt[466][4]~33411\ = CARRY((!\led_flash_cnt[466][3]~33409\) # (!\led_flash_cnt[466][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[466][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[466][3]~33409\,
	combout => \led_flash_cnt[466][4]~33410_combout\,
	cout => \led_flash_cnt[466][4]~33411\);

-- Location: FF_X49_Y34_N9
\led_flash_cnt[466][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[466][4]~33410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[466][4]~q\);

-- Location: LCCOMB_X49_Y34_N10
\led_flash_cnt[466][5]~33412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[466][5]~33412_combout\ = (\led_flash_cnt[466][5]~q\ & (\led_flash_cnt[466][4]~33411\ $ (GND))) # (!\led_flash_cnt[466][5]~q\ & (!\led_flash_cnt[466][4]~33411\ & VCC))
-- \led_flash_cnt[466][5]~33413\ = CARRY((\led_flash_cnt[466][5]~q\ & !\led_flash_cnt[466][4]~33411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[466][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[466][4]~33411\,
	combout => \led_flash_cnt[466][5]~33412_combout\,
	cout => \led_flash_cnt[466][5]~33413\);

-- Location: FF_X49_Y34_N11
\led_flash_cnt[466][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[466][5]~33412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[466][5]~q\);

-- Location: LCCOMB_X49_Y34_N12
\led_flash_cnt[466][6]~33414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[466][6]~33414_combout\ = (\led_flash_cnt[466][6]~q\ & (!\led_flash_cnt[466][5]~33413\)) # (!\led_flash_cnt[466][6]~q\ & ((\led_flash_cnt[466][5]~33413\) # (GND)))
-- \led_flash_cnt[466][6]~33415\ = CARRY((!\led_flash_cnt[466][5]~33413\) # (!\led_flash_cnt[466][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[466][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[466][5]~33413\,
	combout => \led_flash_cnt[466][6]~33414_combout\,
	cout => \led_flash_cnt[466][6]~33415\);

-- Location: FF_X49_Y34_N13
\led_flash_cnt[466][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[466][6]~33414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[466][6]~q\);

-- Location: LCCOMB_X49_Y34_N26
\WideAnd466~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd466~1_combout\ = (\led_flash_cnt[466][6]~q\ & \led_flash_cnt[466][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[466][6]~q\,
	datad => \led_flash_cnt[466][5]~q\,
	combout => \WideAnd466~1_combout\);

-- Location: LCCOMB_X49_Y34_N24
\WideAnd466~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd466~0_combout\ = (\led_flash_cnt[466][1]~q\ & (\led_flash_cnt[466][4]~q\ & (\led_flash_cnt[466][2]~q\ & \led_flash_cnt[466][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[466][1]~q\,
	datab => \led_flash_cnt[466][4]~q\,
	datac => \led_flash_cnt[466][2]~q\,
	datad => \led_flash_cnt[466][3]~q\,
	combout => \WideAnd466~0_combout\);

-- Location: LCCOMB_X49_Y34_N14
\led_flash_cnt[466][7]~33416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[466][7]~33416_combout\ = \led_flash_cnt[466][7]~q\ $ (!\led_flash_cnt[466][6]~33415\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[466][7]~q\,
	cin => \led_flash_cnt[466][6]~33415\,
	combout => \led_flash_cnt[466][7]~33416_combout\);

-- Location: FF_X49_Y34_N15
\led_flash_cnt[466][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[466][7]~33416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[466][7]~q\);

-- Location: LCCOMB_X49_Y34_N28
WideAnd466 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd466~combout\ = (\WideAnd466~1_combout\ & (\WideAnd466~0_combout\ & (\led_flash_cnt[466][7]~q\ & \led_flash_cnt[466][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd466~1_combout\,
	datab => \WideAnd466~0_combout\,
	datac => \led_flash_cnt[466][7]~q\,
	datad => \led_flash_cnt[466][0]~q\,
	combout => \WideAnd466~combout\);

-- Location: FF_X49_Y34_N29
\led_flash_cnt_ands[466]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd466~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(466));

-- Location: LCCOMB_X50_Y34_N14
\led_flash_cnt[467][0]~81107\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[467][0]~81107_combout\ = !\led_flash_cnt[467][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[467][0]~q\,
	combout => \led_flash_cnt[467][0]~81107_combout\);

-- Location: FF_X50_Y34_N15
\led_flash_cnt[467][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[467][0]~81107_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[467][0]~q\);

-- Location: LCCOMB_X51_Y34_N2
\led_flash_cnt[467][1]~33418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[467][1]~33418_combout\ = (\led_flash_cnt[467][0]~q\ & (\led_flash_cnt[467][1]~q\ $ (VCC))) # (!\led_flash_cnt[467][0]~q\ & (\led_flash_cnt[467][1]~q\ & VCC))
-- \led_flash_cnt[467][1]~33419\ = CARRY((\led_flash_cnt[467][0]~q\ & \led_flash_cnt[467][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[467][0]~q\,
	datab => \led_flash_cnt[467][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[467][1]~33418_combout\,
	cout => \led_flash_cnt[467][1]~33419\);

-- Location: FF_X51_Y34_N3
\led_flash_cnt[467][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[467][1]~33418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[467][1]~q\);

-- Location: LCCOMB_X51_Y34_N4
\led_flash_cnt[467][2]~33420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[467][2]~33420_combout\ = (\led_flash_cnt[467][2]~q\ & (!\led_flash_cnt[467][1]~33419\)) # (!\led_flash_cnt[467][2]~q\ & ((\led_flash_cnt[467][1]~33419\) # (GND)))
-- \led_flash_cnt[467][2]~33421\ = CARRY((!\led_flash_cnt[467][1]~33419\) # (!\led_flash_cnt[467][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[467][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[467][1]~33419\,
	combout => \led_flash_cnt[467][2]~33420_combout\,
	cout => \led_flash_cnt[467][2]~33421\);

-- Location: FF_X51_Y34_N5
\led_flash_cnt[467][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[467][2]~33420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[467][2]~q\);

-- Location: LCCOMB_X51_Y34_N6
\led_flash_cnt[467][3]~33422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[467][3]~33422_combout\ = (\led_flash_cnt[467][3]~q\ & (\led_flash_cnt[467][2]~33421\ $ (GND))) # (!\led_flash_cnt[467][3]~q\ & (!\led_flash_cnt[467][2]~33421\ & VCC))
-- \led_flash_cnt[467][3]~33423\ = CARRY((\led_flash_cnt[467][3]~q\ & !\led_flash_cnt[467][2]~33421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[467][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[467][2]~33421\,
	combout => \led_flash_cnt[467][3]~33422_combout\,
	cout => \led_flash_cnt[467][3]~33423\);

-- Location: FF_X51_Y34_N7
\led_flash_cnt[467][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[467][3]~33422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[467][3]~q\);

-- Location: LCCOMB_X51_Y34_N8
\led_flash_cnt[467][4]~33424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[467][4]~33424_combout\ = (\led_flash_cnt[467][4]~q\ & (!\led_flash_cnt[467][3]~33423\)) # (!\led_flash_cnt[467][4]~q\ & ((\led_flash_cnt[467][3]~33423\) # (GND)))
-- \led_flash_cnt[467][4]~33425\ = CARRY((!\led_flash_cnt[467][3]~33423\) # (!\led_flash_cnt[467][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[467][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[467][3]~33423\,
	combout => \led_flash_cnt[467][4]~33424_combout\,
	cout => \led_flash_cnt[467][4]~33425\);

-- Location: FF_X51_Y34_N9
\led_flash_cnt[467][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[467][4]~33424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[467][4]~q\);

-- Location: LCCOMB_X51_Y34_N0
\WideAnd467~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd467~0_combout\ = (\led_flash_cnt[467][3]~q\ & (\led_flash_cnt[467][4]~q\ & (\led_flash_cnt[467][2]~q\ & \led_flash_cnt[467][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[467][3]~q\,
	datab => \led_flash_cnt[467][4]~q\,
	datac => \led_flash_cnt[467][2]~q\,
	datad => \led_flash_cnt[467][1]~q\,
	combout => \WideAnd467~0_combout\);

-- Location: LCCOMB_X51_Y34_N10
\led_flash_cnt[467][5]~33426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[467][5]~33426_combout\ = (\led_flash_cnt[467][5]~q\ & (\led_flash_cnt[467][4]~33425\ $ (GND))) # (!\led_flash_cnt[467][5]~q\ & (!\led_flash_cnt[467][4]~33425\ & VCC))
-- \led_flash_cnt[467][5]~33427\ = CARRY((\led_flash_cnt[467][5]~q\ & !\led_flash_cnt[467][4]~33425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[467][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[467][4]~33425\,
	combout => \led_flash_cnt[467][5]~33426_combout\,
	cout => \led_flash_cnt[467][5]~33427\);

-- Location: FF_X51_Y34_N11
\led_flash_cnt[467][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[467][5]~33426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[467][5]~q\);

-- Location: LCCOMB_X51_Y34_N12
\led_flash_cnt[467][6]~33428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[467][6]~33428_combout\ = (\led_flash_cnt[467][6]~q\ & (!\led_flash_cnt[467][5]~33427\)) # (!\led_flash_cnt[467][6]~q\ & ((\led_flash_cnt[467][5]~33427\) # (GND)))
-- \led_flash_cnt[467][6]~33429\ = CARRY((!\led_flash_cnt[467][5]~33427\) # (!\led_flash_cnt[467][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[467][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[467][5]~33427\,
	combout => \led_flash_cnt[467][6]~33428_combout\,
	cout => \led_flash_cnt[467][6]~33429\);

-- Location: FF_X51_Y34_N13
\led_flash_cnt[467][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[467][6]~33428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[467][6]~q\);

-- Location: LCCOMB_X51_Y34_N14
\led_flash_cnt[467][7]~33430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[467][7]~33430_combout\ = \led_flash_cnt[467][7]~q\ $ (!\led_flash_cnt[467][6]~33429\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[467][7]~q\,
	cin => \led_flash_cnt[467][6]~33429\,
	combout => \led_flash_cnt[467][7]~33430_combout\);

-- Location: FF_X51_Y34_N15
\led_flash_cnt[467][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[467][7]~33430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[467][7]~q\);

-- Location: LCCOMB_X52_Y34_N28
\WideAnd467~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd467~1_combout\ = (\led_flash_cnt[467][5]~q\ & \led_flash_cnt[467][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[467][5]~q\,
	datad => \led_flash_cnt[467][6]~q\,
	combout => \WideAnd467~1_combout\);

-- Location: LCCOMB_X51_Y34_N30
WideAnd467 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd467~combout\ = (\led_flash_cnt[467][0]~q\ & (\WideAnd467~0_combout\ & (\led_flash_cnt[467][7]~q\ & \WideAnd467~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[467][0]~q\,
	datab => \WideAnd467~0_combout\,
	datac => \led_flash_cnt[467][7]~q\,
	datad => \WideAnd467~1_combout\,
	combout => \WideAnd467~combout\);

-- Location: FF_X51_Y34_N31
\led_flash_cnt_ands[467]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd467~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(467));

-- Location: LCCOMB_X10_Y34_N4
\led_flash_cnt[465][0]~81105\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[465][0]~81105_combout\ = !\led_flash_cnt[465][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[465][0]~q\,
	combout => \led_flash_cnt[465][0]~81105_combout\);

-- Location: FF_X10_Y34_N5
\led_flash_cnt[465][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[465][0]~81105_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[465][0]~q\);

-- Location: LCCOMB_X10_Y34_N10
\led_flash_cnt[465][1]~33390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[465][1]~33390_combout\ = (\led_flash_cnt[465][1]~q\ & (\led_flash_cnt[465][0]~q\ $ (VCC))) # (!\led_flash_cnt[465][1]~q\ & (\led_flash_cnt[465][0]~q\ & VCC))
-- \led_flash_cnt[465][1]~33391\ = CARRY((\led_flash_cnt[465][1]~q\ & \led_flash_cnt[465][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[465][1]~q\,
	datab => \led_flash_cnt[465][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[465][1]~33390_combout\,
	cout => \led_flash_cnt[465][1]~33391\);

-- Location: FF_X10_Y34_N11
\led_flash_cnt[465][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[465][1]~33390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[465][1]~q\);

-- Location: LCCOMB_X10_Y34_N12
\led_flash_cnt[465][2]~33392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[465][2]~33392_combout\ = (\led_flash_cnt[465][2]~q\ & (!\led_flash_cnt[465][1]~33391\)) # (!\led_flash_cnt[465][2]~q\ & ((\led_flash_cnt[465][1]~33391\) # (GND)))
-- \led_flash_cnt[465][2]~33393\ = CARRY((!\led_flash_cnt[465][1]~33391\) # (!\led_flash_cnt[465][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[465][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[465][1]~33391\,
	combout => \led_flash_cnt[465][2]~33392_combout\,
	cout => \led_flash_cnt[465][2]~33393\);

-- Location: FF_X10_Y34_N13
\led_flash_cnt[465][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[465][2]~33392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[465][2]~q\);

-- Location: LCCOMB_X10_Y34_N14
\led_flash_cnt[465][3]~33394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[465][3]~33394_combout\ = (\led_flash_cnt[465][3]~q\ & (\led_flash_cnt[465][2]~33393\ $ (GND))) # (!\led_flash_cnt[465][3]~q\ & (!\led_flash_cnt[465][2]~33393\ & VCC))
-- \led_flash_cnt[465][3]~33395\ = CARRY((\led_flash_cnt[465][3]~q\ & !\led_flash_cnt[465][2]~33393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[465][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[465][2]~33393\,
	combout => \led_flash_cnt[465][3]~33394_combout\,
	cout => \led_flash_cnt[465][3]~33395\);

-- Location: FF_X10_Y34_N15
\led_flash_cnt[465][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[465][3]~33394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[465][3]~q\);

-- Location: LCCOMB_X10_Y34_N16
\led_flash_cnt[465][4]~33396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[465][4]~33396_combout\ = (\led_flash_cnt[465][4]~q\ & (!\led_flash_cnt[465][3]~33395\)) # (!\led_flash_cnt[465][4]~q\ & ((\led_flash_cnt[465][3]~33395\) # (GND)))
-- \led_flash_cnt[465][4]~33397\ = CARRY((!\led_flash_cnt[465][3]~33395\) # (!\led_flash_cnt[465][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[465][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[465][3]~33395\,
	combout => \led_flash_cnt[465][4]~33396_combout\,
	cout => \led_flash_cnt[465][4]~33397\);

-- Location: FF_X10_Y34_N17
\led_flash_cnt[465][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[465][4]~33396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[465][4]~q\);

-- Location: LCCOMB_X10_Y34_N26
\WideAnd465~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd465~0_combout\ = (\led_flash_cnt[465][2]~q\ & (\led_flash_cnt[465][4]~q\ & (\led_flash_cnt[465][3]~q\ & \led_flash_cnt[465][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[465][2]~q\,
	datab => \led_flash_cnt[465][4]~q\,
	datac => \led_flash_cnt[465][3]~q\,
	datad => \led_flash_cnt[465][1]~q\,
	combout => \WideAnd465~0_combout\);

-- Location: LCCOMB_X10_Y34_N18
\led_flash_cnt[465][5]~33398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[465][5]~33398_combout\ = (\led_flash_cnt[465][5]~q\ & (\led_flash_cnt[465][4]~33397\ $ (GND))) # (!\led_flash_cnt[465][5]~q\ & (!\led_flash_cnt[465][4]~33397\ & VCC))
-- \led_flash_cnt[465][5]~33399\ = CARRY((\led_flash_cnt[465][5]~q\ & !\led_flash_cnt[465][4]~33397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[465][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[465][4]~33397\,
	combout => \led_flash_cnt[465][5]~33398_combout\,
	cout => \led_flash_cnt[465][5]~33399\);

-- Location: FF_X10_Y34_N19
\led_flash_cnt[465][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[465][5]~33398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[465][5]~q\);

-- Location: LCCOMB_X10_Y34_N20
\led_flash_cnt[465][6]~33400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[465][6]~33400_combout\ = (\led_flash_cnt[465][6]~q\ & (!\led_flash_cnt[465][5]~33399\)) # (!\led_flash_cnt[465][6]~q\ & ((\led_flash_cnt[465][5]~33399\) # (GND)))
-- \led_flash_cnt[465][6]~33401\ = CARRY((!\led_flash_cnt[465][5]~33399\) # (!\led_flash_cnt[465][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[465][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[465][5]~33399\,
	combout => \led_flash_cnt[465][6]~33400_combout\,
	cout => \led_flash_cnt[465][6]~33401\);

-- Location: FF_X10_Y34_N21
\led_flash_cnt[465][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[465][6]~33400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[465][6]~q\);

-- Location: LCCOMB_X10_Y34_N22
\led_flash_cnt[465][7]~33402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[465][7]~33402_combout\ = \led_flash_cnt[465][7]~q\ $ (!\led_flash_cnt[465][6]~33401\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[465][7]~q\,
	cin => \led_flash_cnt[465][6]~33401\,
	combout => \led_flash_cnt[465][7]~33402_combout\);

-- Location: FF_X10_Y34_N23
\led_flash_cnt[465][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[465][7]~33402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[465][7]~q\);

-- Location: LCCOMB_X10_Y34_N24
\WideAnd465~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd465~1_combout\ = (\led_flash_cnt[465][5]~q\ & \led_flash_cnt[465][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[465][5]~q\,
	datad => \led_flash_cnt[465][6]~q\,
	combout => \WideAnd465~1_combout\);

-- Location: LCCOMB_X10_Y34_N28
WideAnd465 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd465~combout\ = (\WideAnd465~0_combout\ & (\led_flash_cnt[465][0]~q\ & (\led_flash_cnt[465][7]~q\ & \WideAnd465~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd465~0_combout\,
	datab => \led_flash_cnt[465][0]~q\,
	datac => \led_flash_cnt[465][7]~q\,
	datad => \WideAnd465~1_combout\,
	combout => \WideAnd465~combout\);

-- Location: FF_X10_Y34_N29
\led_flash_cnt_ands[465]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd465~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(465));

-- Location: LCCOMB_X50_Y34_N28
\WideAnd3898~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3898~0_combout\ = (led_flash_cnt_ands(464) & (led_flash_cnt_ands(466) & (led_flash_cnt_ands(467) & led_flash_cnt_ands(465))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(464),
	datab => led_flash_cnt_ands(466),
	datac => led_flash_cnt_ands(467),
	datad => led_flash_cnt_ands(465),
	combout => \WideAnd3898~0_combout\);

-- Location: LCCOMB_X50_Y34_N22
WideAnd3898 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3898~combout\ = (led_flash_cnt_ands(471) & (led_flash_cnt_ands(470) & (\WideAnd3898~1_combout\ & \WideAnd3898~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(471),
	datab => led_flash_cnt_ands(470),
	datac => \WideAnd3898~1_combout\,
	datad => \WideAnd3898~0_combout\,
	combout => \WideAnd3898~combout\);

-- Location: FF_X50_Y34_N23
\led_flash_cnt_ands_1[58]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3898~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(58));

-- Location: LCCOMB_X44_Y36_N10
\led_flash_cnt[462][0]~81102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[462][0]~81102_combout\ = !\led_flash_cnt[462][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[462][0]~q\,
	combout => \led_flash_cnt[462][0]~81102_combout\);

-- Location: FF_X44_Y36_N11
\led_flash_cnt[462][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[462][0]~81102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[462][0]~q\);

-- Location: LCCOMB_X44_Y36_N16
\led_flash_cnt[462][1]~33348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[462][1]~33348_combout\ = (\led_flash_cnt[462][0]~q\ & (\led_flash_cnt[462][1]~q\ $ (VCC))) # (!\led_flash_cnt[462][0]~q\ & (\led_flash_cnt[462][1]~q\ & VCC))
-- \led_flash_cnt[462][1]~33349\ = CARRY((\led_flash_cnt[462][0]~q\ & \led_flash_cnt[462][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[462][0]~q\,
	datab => \led_flash_cnt[462][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[462][1]~33348_combout\,
	cout => \led_flash_cnt[462][1]~33349\);

-- Location: FF_X44_Y36_N17
\led_flash_cnt[462][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[462][1]~33348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[462][1]~q\);

-- Location: LCCOMB_X44_Y36_N18
\led_flash_cnt[462][2]~33350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[462][2]~33350_combout\ = (\led_flash_cnt[462][2]~q\ & (!\led_flash_cnt[462][1]~33349\)) # (!\led_flash_cnt[462][2]~q\ & ((\led_flash_cnt[462][1]~33349\) # (GND)))
-- \led_flash_cnt[462][2]~33351\ = CARRY((!\led_flash_cnt[462][1]~33349\) # (!\led_flash_cnt[462][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[462][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[462][1]~33349\,
	combout => \led_flash_cnt[462][2]~33350_combout\,
	cout => \led_flash_cnt[462][2]~33351\);

-- Location: FF_X44_Y36_N19
\led_flash_cnt[462][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[462][2]~33350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[462][2]~q\);

-- Location: LCCOMB_X44_Y36_N20
\led_flash_cnt[462][3]~33352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[462][3]~33352_combout\ = (\led_flash_cnt[462][3]~q\ & (\led_flash_cnt[462][2]~33351\ $ (GND))) # (!\led_flash_cnt[462][3]~q\ & (!\led_flash_cnt[462][2]~33351\ & VCC))
-- \led_flash_cnt[462][3]~33353\ = CARRY((\led_flash_cnt[462][3]~q\ & !\led_flash_cnt[462][2]~33351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[462][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[462][2]~33351\,
	combout => \led_flash_cnt[462][3]~33352_combout\,
	cout => \led_flash_cnt[462][3]~33353\);

-- Location: FF_X44_Y36_N21
\led_flash_cnt[462][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[462][3]~33352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[462][3]~q\);

-- Location: LCCOMB_X44_Y36_N22
\led_flash_cnt[462][4]~33354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[462][4]~33354_combout\ = (\led_flash_cnt[462][4]~q\ & (!\led_flash_cnt[462][3]~33353\)) # (!\led_flash_cnt[462][4]~q\ & ((\led_flash_cnt[462][3]~33353\) # (GND)))
-- \led_flash_cnt[462][4]~33355\ = CARRY((!\led_flash_cnt[462][3]~33353\) # (!\led_flash_cnt[462][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[462][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[462][3]~33353\,
	combout => \led_flash_cnt[462][4]~33354_combout\,
	cout => \led_flash_cnt[462][4]~33355\);

-- Location: FF_X44_Y36_N23
\led_flash_cnt[462][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[462][4]~33354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[462][4]~q\);

-- Location: LCCOMB_X44_Y36_N24
\led_flash_cnt[462][5]~33356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[462][5]~33356_combout\ = (\led_flash_cnt[462][5]~q\ & (\led_flash_cnt[462][4]~33355\ $ (GND))) # (!\led_flash_cnt[462][5]~q\ & (!\led_flash_cnt[462][4]~33355\ & VCC))
-- \led_flash_cnt[462][5]~33357\ = CARRY((\led_flash_cnt[462][5]~q\ & !\led_flash_cnt[462][4]~33355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[462][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[462][4]~33355\,
	combout => \led_flash_cnt[462][5]~33356_combout\,
	cout => \led_flash_cnt[462][5]~33357\);

-- Location: FF_X44_Y36_N25
\led_flash_cnt[462][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[462][5]~33356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[462][5]~q\);

-- Location: LCCOMB_X44_Y36_N26
\led_flash_cnt[462][6]~33358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[462][6]~33358_combout\ = (\led_flash_cnt[462][6]~q\ & (!\led_flash_cnt[462][5]~33357\)) # (!\led_flash_cnt[462][6]~q\ & ((\led_flash_cnt[462][5]~33357\) # (GND)))
-- \led_flash_cnt[462][6]~33359\ = CARRY((!\led_flash_cnt[462][5]~33357\) # (!\led_flash_cnt[462][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[462][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[462][5]~33357\,
	combout => \led_flash_cnt[462][6]~33358_combout\,
	cout => \led_flash_cnt[462][6]~33359\);

-- Location: FF_X44_Y36_N27
\led_flash_cnt[462][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[462][6]~33358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[462][6]~q\);

-- Location: LCCOMB_X44_Y36_N28
\led_flash_cnt[462][7]~33360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[462][7]~33360_combout\ = \led_flash_cnt[462][6]~33359\ $ (!\led_flash_cnt[462][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[462][7]~q\,
	cin => \led_flash_cnt[462][6]~33359\,
	combout => \led_flash_cnt[462][7]~33360_combout\);

-- Location: FF_X44_Y36_N29
\led_flash_cnt[462][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[462][7]~33360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[462][7]~q\);

-- Location: LCCOMB_X44_Y36_N14
\WideAnd462~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd462~1_combout\ = (\led_flash_cnt[462][6]~q\ & \led_flash_cnt[462][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[462][6]~q\,
	datad => \led_flash_cnt[462][5]~q\,
	combout => \WideAnd462~1_combout\);

-- Location: LCCOMB_X44_Y36_N12
\WideAnd462~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd462~0_combout\ = (\led_flash_cnt[462][3]~q\ & (\led_flash_cnt[462][2]~q\ & (\led_flash_cnt[462][4]~q\ & \led_flash_cnt[462][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[462][3]~q\,
	datab => \led_flash_cnt[462][2]~q\,
	datac => \led_flash_cnt[462][4]~q\,
	datad => \led_flash_cnt[462][1]~q\,
	combout => \WideAnd462~0_combout\);

-- Location: LCCOMB_X44_Y36_N30
WideAnd462 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd462~combout\ = (\led_flash_cnt[462][0]~q\ & (\led_flash_cnt[462][7]~q\ & (\WideAnd462~1_combout\ & \WideAnd462~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[462][0]~q\,
	datab => \led_flash_cnt[462][7]~q\,
	datac => \WideAnd462~1_combout\,
	datad => \WideAnd462~0_combout\,
	combout => \WideAnd462~combout\);

-- Location: FF_X44_Y36_N31
\led_flash_cnt_ands[462]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd462~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(462));

-- Location: LCCOMB_X70_Y33_N6
\led_flash_cnt[458][0]~81098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[458][0]~81098_combout\ = !\led_flash_cnt[458][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[458][0]~q\,
	combout => \led_flash_cnt[458][0]~81098_combout\);

-- Location: FF_X70_Y33_N7
\led_flash_cnt[458][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[458][0]~81098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[458][0]~q\);

-- Location: LCCOMB_X71_Y33_N16
\led_flash_cnt[458][1]~33292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[458][1]~33292_combout\ = (\led_flash_cnt[458][0]~q\ & (\led_flash_cnt[458][1]~q\ $ (VCC))) # (!\led_flash_cnt[458][0]~q\ & (\led_flash_cnt[458][1]~q\ & VCC))
-- \led_flash_cnt[458][1]~33293\ = CARRY((\led_flash_cnt[458][0]~q\ & \led_flash_cnt[458][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[458][0]~q\,
	datab => \led_flash_cnt[458][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[458][1]~33292_combout\,
	cout => \led_flash_cnt[458][1]~33293\);

-- Location: FF_X71_Y33_N17
\led_flash_cnt[458][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[458][1]~33292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[458][1]~q\);

-- Location: LCCOMB_X71_Y33_N18
\led_flash_cnt[458][2]~33294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[458][2]~33294_combout\ = (\led_flash_cnt[458][2]~q\ & (!\led_flash_cnt[458][1]~33293\)) # (!\led_flash_cnt[458][2]~q\ & ((\led_flash_cnt[458][1]~33293\) # (GND)))
-- \led_flash_cnt[458][2]~33295\ = CARRY((!\led_flash_cnt[458][1]~33293\) # (!\led_flash_cnt[458][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[458][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[458][1]~33293\,
	combout => \led_flash_cnt[458][2]~33294_combout\,
	cout => \led_flash_cnt[458][2]~33295\);

-- Location: FF_X71_Y33_N19
\led_flash_cnt[458][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[458][2]~33294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[458][2]~q\);

-- Location: LCCOMB_X71_Y33_N20
\led_flash_cnt[458][3]~33296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[458][3]~33296_combout\ = (\led_flash_cnt[458][3]~q\ & (\led_flash_cnt[458][2]~33295\ $ (GND))) # (!\led_flash_cnt[458][3]~q\ & (!\led_flash_cnt[458][2]~33295\ & VCC))
-- \led_flash_cnt[458][3]~33297\ = CARRY((\led_flash_cnt[458][3]~q\ & !\led_flash_cnt[458][2]~33295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[458][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[458][2]~33295\,
	combout => \led_flash_cnt[458][3]~33296_combout\,
	cout => \led_flash_cnt[458][3]~33297\);

-- Location: FF_X71_Y33_N21
\led_flash_cnt[458][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[458][3]~33296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[458][3]~q\);

-- Location: LCCOMB_X71_Y33_N22
\led_flash_cnt[458][4]~33298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[458][4]~33298_combout\ = (\led_flash_cnt[458][4]~q\ & (!\led_flash_cnt[458][3]~33297\)) # (!\led_flash_cnt[458][4]~q\ & ((\led_flash_cnt[458][3]~33297\) # (GND)))
-- \led_flash_cnt[458][4]~33299\ = CARRY((!\led_flash_cnt[458][3]~33297\) # (!\led_flash_cnt[458][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[458][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[458][3]~33297\,
	combout => \led_flash_cnt[458][4]~33298_combout\,
	cout => \led_flash_cnt[458][4]~33299\);

-- Location: FF_X71_Y33_N23
\led_flash_cnt[458][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[458][4]~33298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[458][4]~q\);

-- Location: LCCOMB_X71_Y33_N24
\led_flash_cnt[458][5]~33300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[458][5]~33300_combout\ = (\led_flash_cnt[458][5]~q\ & (\led_flash_cnt[458][4]~33299\ $ (GND))) # (!\led_flash_cnt[458][5]~q\ & (!\led_flash_cnt[458][4]~33299\ & VCC))
-- \led_flash_cnt[458][5]~33301\ = CARRY((\led_flash_cnt[458][5]~q\ & !\led_flash_cnt[458][4]~33299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[458][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[458][4]~33299\,
	combout => \led_flash_cnt[458][5]~33300_combout\,
	cout => \led_flash_cnt[458][5]~33301\);

-- Location: FF_X71_Y33_N25
\led_flash_cnt[458][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[458][5]~33300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[458][5]~q\);

-- Location: LCCOMB_X71_Y33_N26
\led_flash_cnt[458][6]~33302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[458][6]~33302_combout\ = (\led_flash_cnt[458][6]~q\ & (!\led_flash_cnt[458][5]~33301\)) # (!\led_flash_cnt[458][6]~q\ & ((\led_flash_cnt[458][5]~33301\) # (GND)))
-- \led_flash_cnt[458][6]~33303\ = CARRY((!\led_flash_cnt[458][5]~33301\) # (!\led_flash_cnt[458][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[458][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[458][5]~33301\,
	combout => \led_flash_cnt[458][6]~33302_combout\,
	cout => \led_flash_cnt[458][6]~33303\);

-- Location: FF_X71_Y33_N27
\led_flash_cnt[458][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[458][6]~33302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[458][6]~q\);

-- Location: LCCOMB_X71_Y33_N28
\led_flash_cnt[458][7]~33304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[458][7]~33304_combout\ = \led_flash_cnt[458][6]~33303\ $ (!\led_flash_cnt[458][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[458][7]~q\,
	cin => \led_flash_cnt[458][6]~33303\,
	combout => \led_flash_cnt[458][7]~33304_combout\);

-- Location: FF_X71_Y33_N29
\led_flash_cnt[458][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[458][7]~33304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[458][7]~q\);

-- Location: LCCOMB_X71_Y33_N30
\WideAnd458~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd458~0_combout\ = (\led_flash_cnt[458][3]~q\ & (\led_flash_cnt[458][2]~q\ & (\led_flash_cnt[458][4]~q\ & \led_flash_cnt[458][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[458][3]~q\,
	datab => \led_flash_cnt[458][2]~q\,
	datac => \led_flash_cnt[458][4]~q\,
	datad => \led_flash_cnt[458][1]~q\,
	combout => \WideAnd458~0_combout\);

-- Location: LCCOMB_X70_Y33_N24
\WideAnd458~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd458~1_combout\ = (\led_flash_cnt[458][6]~q\ & \led_flash_cnt[458][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[458][6]~q\,
	datad => \led_flash_cnt[458][5]~q\,
	combout => \WideAnd458~1_combout\);

-- Location: LCCOMB_X70_Y33_N30
WideAnd458 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd458~combout\ = (\led_flash_cnt[458][0]~q\ & (\led_flash_cnt[458][7]~q\ & (\WideAnd458~0_combout\ & \WideAnd458~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[458][0]~q\,
	datab => \led_flash_cnt[458][7]~q\,
	datac => \WideAnd458~0_combout\,
	datad => \WideAnd458~1_combout\,
	combout => \WideAnd458~combout\);

-- Location: FF_X70_Y33_N31
\led_flash_cnt_ands[458]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd458~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(458));

-- Location: LCCOMB_X70_Y33_N22
\led_flash_cnt[456][0]~81096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[456][0]~81096_combout\ = !\led_flash_cnt[456][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[456][0]~q\,
	combout => \led_flash_cnt[456][0]~81096_combout\);

-- Location: FF_X70_Y33_N23
\led_flash_cnt[456][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[456][0]~81096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[456][0]~q\);

-- Location: LCCOMB_X70_Y33_N8
\led_flash_cnt[456][1]~33264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[456][1]~33264_combout\ = (\led_flash_cnt[456][0]~q\ & (\led_flash_cnt[456][1]~q\ $ (VCC))) # (!\led_flash_cnt[456][0]~q\ & (\led_flash_cnt[456][1]~q\ & VCC))
-- \led_flash_cnt[456][1]~33265\ = CARRY((\led_flash_cnt[456][0]~q\ & \led_flash_cnt[456][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[456][0]~q\,
	datab => \led_flash_cnt[456][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[456][1]~33264_combout\,
	cout => \led_flash_cnt[456][1]~33265\);

-- Location: FF_X70_Y33_N9
\led_flash_cnt[456][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[456][1]~33264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[456][1]~q\);

-- Location: LCCOMB_X70_Y33_N10
\led_flash_cnt[456][2]~33266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[456][2]~33266_combout\ = (\led_flash_cnt[456][2]~q\ & (!\led_flash_cnt[456][1]~33265\)) # (!\led_flash_cnt[456][2]~q\ & ((\led_flash_cnt[456][1]~33265\) # (GND)))
-- \led_flash_cnt[456][2]~33267\ = CARRY((!\led_flash_cnt[456][1]~33265\) # (!\led_flash_cnt[456][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[456][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[456][1]~33265\,
	combout => \led_flash_cnt[456][2]~33266_combout\,
	cout => \led_flash_cnt[456][2]~33267\);

-- Location: FF_X70_Y33_N11
\led_flash_cnt[456][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[456][2]~33266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[456][2]~q\);

-- Location: LCCOMB_X70_Y33_N12
\led_flash_cnt[456][3]~33268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[456][3]~33268_combout\ = (\led_flash_cnt[456][3]~q\ & (\led_flash_cnt[456][2]~33267\ $ (GND))) # (!\led_flash_cnt[456][3]~q\ & (!\led_flash_cnt[456][2]~33267\ & VCC))
-- \led_flash_cnt[456][3]~33269\ = CARRY((\led_flash_cnt[456][3]~q\ & !\led_flash_cnt[456][2]~33267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[456][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[456][2]~33267\,
	combout => \led_flash_cnt[456][3]~33268_combout\,
	cout => \led_flash_cnt[456][3]~33269\);

-- Location: FF_X70_Y33_N13
\led_flash_cnt[456][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[456][3]~33268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[456][3]~q\);

-- Location: LCCOMB_X70_Y33_N14
\led_flash_cnt[456][4]~33270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[456][4]~33270_combout\ = (\led_flash_cnt[456][4]~q\ & (!\led_flash_cnt[456][3]~33269\)) # (!\led_flash_cnt[456][4]~q\ & ((\led_flash_cnt[456][3]~33269\) # (GND)))
-- \led_flash_cnt[456][4]~33271\ = CARRY((!\led_flash_cnt[456][3]~33269\) # (!\led_flash_cnt[456][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[456][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[456][3]~33269\,
	combout => \led_flash_cnt[456][4]~33270_combout\,
	cout => \led_flash_cnt[456][4]~33271\);

-- Location: FF_X70_Y33_N15
\led_flash_cnt[456][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[456][4]~33270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[456][4]~q\);

-- Location: LCCOMB_X70_Y33_N16
\led_flash_cnt[456][5]~33272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[456][5]~33272_combout\ = (\led_flash_cnt[456][5]~q\ & (\led_flash_cnt[456][4]~33271\ $ (GND))) # (!\led_flash_cnt[456][5]~q\ & (!\led_flash_cnt[456][4]~33271\ & VCC))
-- \led_flash_cnt[456][5]~33273\ = CARRY((\led_flash_cnt[456][5]~q\ & !\led_flash_cnt[456][4]~33271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[456][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[456][4]~33271\,
	combout => \led_flash_cnt[456][5]~33272_combout\,
	cout => \led_flash_cnt[456][5]~33273\);

-- Location: FF_X70_Y33_N17
\led_flash_cnt[456][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[456][5]~33272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[456][5]~q\);

-- Location: LCCOMB_X70_Y33_N18
\led_flash_cnt[456][6]~33274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[456][6]~33274_combout\ = (\led_flash_cnt[456][6]~q\ & (!\led_flash_cnt[456][5]~33273\)) # (!\led_flash_cnt[456][6]~q\ & ((\led_flash_cnt[456][5]~33273\) # (GND)))
-- \led_flash_cnt[456][6]~33275\ = CARRY((!\led_flash_cnt[456][5]~33273\) # (!\led_flash_cnt[456][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[456][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[456][5]~33273\,
	combout => \led_flash_cnt[456][6]~33274_combout\,
	cout => \led_flash_cnt[456][6]~33275\);

-- Location: FF_X70_Y33_N19
\led_flash_cnt[456][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[456][6]~33274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[456][6]~q\);

-- Location: LCCOMB_X70_Y33_N20
\led_flash_cnt[456][7]~33276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[456][7]~33276_combout\ = \led_flash_cnt[456][6]~33275\ $ (!\led_flash_cnt[456][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[456][7]~q\,
	cin => \led_flash_cnt[456][6]~33275\,
	combout => \led_flash_cnt[456][7]~33276_combout\);

-- Location: FF_X70_Y33_N21
\led_flash_cnt[456][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[456][7]~33276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[456][7]~q\);

-- Location: LCCOMB_X70_Y33_N26
\WideAnd456~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd456~1_combout\ = (\led_flash_cnt[456][6]~q\ & \led_flash_cnt[456][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[456][6]~q\,
	datad => \led_flash_cnt[456][5]~q\,
	combout => \WideAnd456~1_combout\);

-- Location: LCCOMB_X70_Y33_N28
\WideAnd456~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd456~0_combout\ = (\led_flash_cnt[456][3]~q\ & (\led_flash_cnt[456][1]~q\ & (\led_flash_cnt[456][4]~q\ & \led_flash_cnt[456][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[456][3]~q\,
	datab => \led_flash_cnt[456][1]~q\,
	datac => \led_flash_cnt[456][4]~q\,
	datad => \led_flash_cnt[456][2]~q\,
	combout => \WideAnd456~0_combout\);

-- Location: LCCOMB_X70_Y33_N0
WideAnd456 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd456~combout\ = (\led_flash_cnt[456][0]~q\ & (\led_flash_cnt[456][7]~q\ & (\WideAnd456~1_combout\ & \WideAnd456~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[456][0]~q\,
	datab => \led_flash_cnt[456][7]~q\,
	datac => \WideAnd456~1_combout\,
	datad => \WideAnd456~0_combout\,
	combout => \WideAnd456~combout\);

-- Location: FF_X70_Y33_N1
\led_flash_cnt_ands[456]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd456~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(456));

-- Location: LCCOMB_X69_Y33_N8
\led_flash_cnt[459][0]~81099\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[459][0]~81099_combout\ = !\led_flash_cnt[459][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[459][0]~q\,
	combout => \led_flash_cnt[459][0]~81099_combout\);

-- Location: FF_X69_Y33_N9
\led_flash_cnt[459][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[459][0]~81099_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[459][0]~q\);

-- Location: LCCOMB_X69_Y33_N12
\led_flash_cnt[459][1]~33306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[459][1]~33306_combout\ = (\led_flash_cnt[459][1]~q\ & (\led_flash_cnt[459][0]~q\ $ (VCC))) # (!\led_flash_cnt[459][1]~q\ & (\led_flash_cnt[459][0]~q\ & VCC))
-- \led_flash_cnt[459][1]~33307\ = CARRY((\led_flash_cnt[459][1]~q\ & \led_flash_cnt[459][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[459][1]~q\,
	datab => \led_flash_cnt[459][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[459][1]~33306_combout\,
	cout => \led_flash_cnt[459][1]~33307\);

-- Location: FF_X69_Y33_N13
\led_flash_cnt[459][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[459][1]~33306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[459][1]~q\);

-- Location: LCCOMB_X69_Y33_N14
\led_flash_cnt[459][2]~33308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[459][2]~33308_combout\ = (\led_flash_cnt[459][2]~q\ & (!\led_flash_cnt[459][1]~33307\)) # (!\led_flash_cnt[459][2]~q\ & ((\led_flash_cnt[459][1]~33307\) # (GND)))
-- \led_flash_cnt[459][2]~33309\ = CARRY((!\led_flash_cnt[459][1]~33307\) # (!\led_flash_cnt[459][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[459][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[459][1]~33307\,
	combout => \led_flash_cnt[459][2]~33308_combout\,
	cout => \led_flash_cnt[459][2]~33309\);

-- Location: FF_X69_Y33_N15
\led_flash_cnt[459][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[459][2]~33308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[459][2]~q\);

-- Location: LCCOMB_X69_Y33_N16
\led_flash_cnt[459][3]~33310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[459][3]~33310_combout\ = (\led_flash_cnt[459][3]~q\ & (\led_flash_cnt[459][2]~33309\ $ (GND))) # (!\led_flash_cnt[459][3]~q\ & (!\led_flash_cnt[459][2]~33309\ & VCC))
-- \led_flash_cnt[459][3]~33311\ = CARRY((\led_flash_cnt[459][3]~q\ & !\led_flash_cnt[459][2]~33309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[459][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[459][2]~33309\,
	combout => \led_flash_cnt[459][3]~33310_combout\,
	cout => \led_flash_cnt[459][3]~33311\);

-- Location: FF_X69_Y33_N17
\led_flash_cnt[459][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[459][3]~33310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[459][3]~q\);

-- Location: LCCOMB_X69_Y33_N18
\led_flash_cnt[459][4]~33312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[459][4]~33312_combout\ = (\led_flash_cnt[459][4]~q\ & (!\led_flash_cnt[459][3]~33311\)) # (!\led_flash_cnt[459][4]~q\ & ((\led_flash_cnt[459][3]~33311\) # (GND)))
-- \led_flash_cnt[459][4]~33313\ = CARRY((!\led_flash_cnt[459][3]~33311\) # (!\led_flash_cnt[459][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[459][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[459][3]~33311\,
	combout => \led_flash_cnt[459][4]~33312_combout\,
	cout => \led_flash_cnt[459][4]~33313\);

-- Location: FF_X69_Y33_N19
\led_flash_cnt[459][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[459][4]~33312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[459][4]~q\);

-- Location: LCCOMB_X69_Y33_N10
\WideAnd459~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd459~0_combout\ = (\led_flash_cnt[459][1]~q\ & (\led_flash_cnt[459][4]~q\ & (\led_flash_cnt[459][2]~q\ & \led_flash_cnt[459][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[459][1]~q\,
	datab => \led_flash_cnt[459][4]~q\,
	datac => \led_flash_cnt[459][2]~q\,
	datad => \led_flash_cnt[459][3]~q\,
	combout => \WideAnd459~0_combout\);

-- Location: LCCOMB_X69_Y33_N20
\led_flash_cnt[459][5]~33314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[459][5]~33314_combout\ = (\led_flash_cnt[459][5]~q\ & (\led_flash_cnt[459][4]~33313\ $ (GND))) # (!\led_flash_cnt[459][5]~q\ & (!\led_flash_cnt[459][4]~33313\ & VCC))
-- \led_flash_cnt[459][5]~33315\ = CARRY((\led_flash_cnt[459][5]~q\ & !\led_flash_cnt[459][4]~33313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[459][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[459][4]~33313\,
	combout => \led_flash_cnt[459][5]~33314_combout\,
	cout => \led_flash_cnt[459][5]~33315\);

-- Location: FF_X69_Y33_N21
\led_flash_cnt[459][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[459][5]~33314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[459][5]~q\);

-- Location: LCCOMB_X69_Y33_N22
\led_flash_cnt[459][6]~33316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[459][6]~33316_combout\ = (\led_flash_cnt[459][6]~q\ & (!\led_flash_cnt[459][5]~33315\)) # (!\led_flash_cnt[459][6]~q\ & ((\led_flash_cnt[459][5]~33315\) # (GND)))
-- \led_flash_cnt[459][6]~33317\ = CARRY((!\led_flash_cnt[459][5]~33315\) # (!\led_flash_cnt[459][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[459][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[459][5]~33315\,
	combout => \led_flash_cnt[459][6]~33316_combout\,
	cout => \led_flash_cnt[459][6]~33317\);

-- Location: FF_X69_Y33_N23
\led_flash_cnt[459][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[459][6]~33316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[459][6]~q\);

-- Location: LCCOMB_X69_Y33_N4
\WideAnd459~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd459~1_combout\ = (\led_flash_cnt[459][6]~q\ & \led_flash_cnt[459][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[459][6]~q\,
	datad => \led_flash_cnt[459][5]~q\,
	combout => \WideAnd459~1_combout\);

-- Location: LCCOMB_X69_Y33_N24
\led_flash_cnt[459][7]~33318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[459][7]~33318_combout\ = \led_flash_cnt[459][6]~33317\ $ (!\led_flash_cnt[459][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[459][7]~q\,
	cin => \led_flash_cnt[459][6]~33317\,
	combout => \led_flash_cnt[459][7]~33318_combout\);

-- Location: FF_X69_Y33_N25
\led_flash_cnt[459][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[459][7]~33318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[459][7]~q\);

-- Location: LCCOMB_X69_Y33_N26
WideAnd459 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd459~combout\ = (\WideAnd459~0_combout\ & (\WideAnd459~1_combout\ & (\led_flash_cnt[459][0]~q\ & \led_flash_cnt[459][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd459~0_combout\,
	datab => \WideAnd459~1_combout\,
	datac => \led_flash_cnt[459][0]~q\,
	datad => \led_flash_cnt[459][7]~q\,
	combout => \WideAnd459~combout\);

-- Location: FF_X69_Y33_N27
\led_flash_cnt_ands[459]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd459~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(459));

-- Location: LCCOMB_X71_Y35_N8
\led_flash_cnt[457][0]~81097\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[457][0]~81097_combout\ = !\led_flash_cnt[457][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[457][0]~q\,
	combout => \led_flash_cnt[457][0]~81097_combout\);

-- Location: FF_X71_Y35_N9
\led_flash_cnt[457][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[457][0]~81097_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[457][0]~q\);

-- Location: LCCOMB_X71_Y35_N12
\led_flash_cnt[457][1]~33278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[457][1]~33278_combout\ = (\led_flash_cnt[457][1]~q\ & (\led_flash_cnt[457][0]~q\ $ (VCC))) # (!\led_flash_cnt[457][1]~q\ & (\led_flash_cnt[457][0]~q\ & VCC))
-- \led_flash_cnt[457][1]~33279\ = CARRY((\led_flash_cnt[457][1]~q\ & \led_flash_cnt[457][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[457][1]~q\,
	datab => \led_flash_cnt[457][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[457][1]~33278_combout\,
	cout => \led_flash_cnt[457][1]~33279\);

-- Location: FF_X71_Y35_N13
\led_flash_cnt[457][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[457][1]~33278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[457][1]~q\);

-- Location: LCCOMB_X71_Y35_N14
\led_flash_cnt[457][2]~33280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[457][2]~33280_combout\ = (\led_flash_cnt[457][2]~q\ & (!\led_flash_cnt[457][1]~33279\)) # (!\led_flash_cnt[457][2]~q\ & ((\led_flash_cnt[457][1]~33279\) # (GND)))
-- \led_flash_cnt[457][2]~33281\ = CARRY((!\led_flash_cnt[457][1]~33279\) # (!\led_flash_cnt[457][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[457][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[457][1]~33279\,
	combout => \led_flash_cnt[457][2]~33280_combout\,
	cout => \led_flash_cnt[457][2]~33281\);

-- Location: FF_X71_Y35_N15
\led_flash_cnt[457][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[457][2]~33280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[457][2]~q\);

-- Location: LCCOMB_X71_Y35_N16
\led_flash_cnt[457][3]~33282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[457][3]~33282_combout\ = (\led_flash_cnt[457][3]~q\ & (\led_flash_cnt[457][2]~33281\ $ (GND))) # (!\led_flash_cnt[457][3]~q\ & (!\led_flash_cnt[457][2]~33281\ & VCC))
-- \led_flash_cnt[457][3]~33283\ = CARRY((\led_flash_cnt[457][3]~q\ & !\led_flash_cnt[457][2]~33281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[457][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[457][2]~33281\,
	combout => \led_flash_cnt[457][3]~33282_combout\,
	cout => \led_flash_cnt[457][3]~33283\);

-- Location: FF_X71_Y35_N17
\led_flash_cnt[457][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[457][3]~33282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[457][3]~q\);

-- Location: LCCOMB_X71_Y35_N18
\led_flash_cnt[457][4]~33284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[457][4]~33284_combout\ = (\led_flash_cnt[457][4]~q\ & (!\led_flash_cnt[457][3]~33283\)) # (!\led_flash_cnt[457][4]~q\ & ((\led_flash_cnt[457][3]~33283\) # (GND)))
-- \led_flash_cnt[457][4]~33285\ = CARRY((!\led_flash_cnt[457][3]~33283\) # (!\led_flash_cnt[457][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[457][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[457][3]~33283\,
	combout => \led_flash_cnt[457][4]~33284_combout\,
	cout => \led_flash_cnt[457][4]~33285\);

-- Location: FF_X71_Y35_N19
\led_flash_cnt[457][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[457][4]~33284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[457][4]~q\);

-- Location: LCCOMB_X71_Y35_N26
\WideAnd457~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd457~0_combout\ = (\led_flash_cnt[457][1]~q\ & (\led_flash_cnt[457][4]~q\ & (\led_flash_cnt[457][2]~q\ & \led_flash_cnt[457][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[457][1]~q\,
	datab => \led_flash_cnt[457][4]~q\,
	datac => \led_flash_cnt[457][2]~q\,
	datad => \led_flash_cnt[457][3]~q\,
	combout => \WideAnd457~0_combout\);

-- Location: LCCOMB_X71_Y35_N20
\led_flash_cnt[457][5]~33286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[457][5]~33286_combout\ = (\led_flash_cnt[457][5]~q\ & (\led_flash_cnt[457][4]~33285\ $ (GND))) # (!\led_flash_cnt[457][5]~q\ & (!\led_flash_cnt[457][4]~33285\ & VCC))
-- \led_flash_cnt[457][5]~33287\ = CARRY((\led_flash_cnt[457][5]~q\ & !\led_flash_cnt[457][4]~33285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[457][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[457][4]~33285\,
	combout => \led_flash_cnt[457][5]~33286_combout\,
	cout => \led_flash_cnt[457][5]~33287\);

-- Location: FF_X71_Y35_N21
\led_flash_cnt[457][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[457][5]~33286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[457][5]~q\);

-- Location: LCCOMB_X71_Y35_N22
\led_flash_cnt[457][6]~33288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[457][6]~33288_combout\ = (\led_flash_cnt[457][6]~q\ & (!\led_flash_cnt[457][5]~33287\)) # (!\led_flash_cnt[457][6]~q\ & ((\led_flash_cnt[457][5]~33287\) # (GND)))
-- \led_flash_cnt[457][6]~33289\ = CARRY((!\led_flash_cnt[457][5]~33287\) # (!\led_flash_cnt[457][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[457][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[457][5]~33287\,
	combout => \led_flash_cnt[457][6]~33288_combout\,
	cout => \led_flash_cnt[457][6]~33289\);

-- Location: FF_X71_Y35_N23
\led_flash_cnt[457][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[457][6]~33288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[457][6]~q\);

-- Location: LCCOMB_X71_Y35_N24
\led_flash_cnt[457][7]~33290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[457][7]~33290_combout\ = \led_flash_cnt[457][6]~33289\ $ (!\led_flash_cnt[457][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[457][7]~q\,
	cin => \led_flash_cnt[457][6]~33289\,
	combout => \led_flash_cnt[457][7]~33290_combout\);

-- Location: FF_X71_Y35_N25
\led_flash_cnt[457][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[457][7]~33290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[457][7]~q\);

-- Location: LCCOMB_X71_Y35_N10
\WideAnd457~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd457~1_combout\ = (\led_flash_cnt[457][6]~q\ & \led_flash_cnt[457][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[457][6]~q\,
	datad => \led_flash_cnt[457][5]~q\,
	combout => \WideAnd457~1_combout\);

-- Location: LCCOMB_X71_Y35_N0
WideAnd457 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd457~combout\ = (\WideAnd457~0_combout\ & (\led_flash_cnt[457][7]~q\ & (\led_flash_cnt[457][0]~q\ & \WideAnd457~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd457~0_combout\,
	datab => \led_flash_cnt[457][7]~q\,
	datac => \led_flash_cnt[457][0]~q\,
	datad => \WideAnd457~1_combout\,
	combout => \WideAnd457~combout\);

-- Location: FF_X71_Y35_N1
\led_flash_cnt_ands[457]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd457~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(457));

-- Location: LCCOMB_X70_Y33_N2
\WideAnd3897~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3897~0_combout\ = (led_flash_cnt_ands(458) & (led_flash_cnt_ands(456) & (led_flash_cnt_ands(459) & led_flash_cnt_ands(457))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(458),
	datab => led_flash_cnt_ands(456),
	datac => led_flash_cnt_ands(459),
	datad => led_flash_cnt_ands(457),
	combout => \WideAnd3897~0_combout\);

-- Location: LCCOMB_X74_Y25_N6
\led_flash_cnt[461][0]~81101\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[461][0]~81101_combout\ = !\led_flash_cnt[461][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[461][0]~q\,
	combout => \led_flash_cnt[461][0]~81101_combout\);

-- Location: FF_X74_Y25_N7
\led_flash_cnt[461][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[461][0]~81101_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[461][0]~q\);

-- Location: LCCOMB_X75_Y25_N14
\led_flash_cnt[461][1]~33334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[461][1]~33334_combout\ = (\led_flash_cnt[461][0]~q\ & (\led_flash_cnt[461][1]~q\ $ (VCC))) # (!\led_flash_cnt[461][0]~q\ & (\led_flash_cnt[461][1]~q\ & VCC))
-- \led_flash_cnt[461][1]~33335\ = CARRY((\led_flash_cnt[461][0]~q\ & \led_flash_cnt[461][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[461][0]~q\,
	datab => \led_flash_cnt[461][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[461][1]~33334_combout\,
	cout => \led_flash_cnt[461][1]~33335\);

-- Location: FF_X75_Y25_N15
\led_flash_cnt[461][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[461][1]~33334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[461][1]~q\);

-- Location: LCCOMB_X75_Y25_N16
\led_flash_cnt[461][2]~33336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[461][2]~33336_combout\ = (\led_flash_cnt[461][2]~q\ & (!\led_flash_cnt[461][1]~33335\)) # (!\led_flash_cnt[461][2]~q\ & ((\led_flash_cnt[461][1]~33335\) # (GND)))
-- \led_flash_cnt[461][2]~33337\ = CARRY((!\led_flash_cnt[461][1]~33335\) # (!\led_flash_cnt[461][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[461][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[461][1]~33335\,
	combout => \led_flash_cnt[461][2]~33336_combout\,
	cout => \led_flash_cnt[461][2]~33337\);

-- Location: FF_X75_Y25_N17
\led_flash_cnt[461][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[461][2]~33336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[461][2]~q\);

-- Location: LCCOMB_X75_Y25_N18
\led_flash_cnt[461][3]~33338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[461][3]~33338_combout\ = (\led_flash_cnt[461][3]~q\ & (\led_flash_cnt[461][2]~33337\ $ (GND))) # (!\led_flash_cnt[461][3]~q\ & (!\led_flash_cnt[461][2]~33337\ & VCC))
-- \led_flash_cnt[461][3]~33339\ = CARRY((\led_flash_cnt[461][3]~q\ & !\led_flash_cnt[461][2]~33337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[461][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[461][2]~33337\,
	combout => \led_flash_cnt[461][3]~33338_combout\,
	cout => \led_flash_cnt[461][3]~33339\);

-- Location: FF_X75_Y25_N19
\led_flash_cnt[461][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[461][3]~33338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[461][3]~q\);

-- Location: LCCOMB_X75_Y25_N20
\led_flash_cnt[461][4]~33340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[461][4]~33340_combout\ = (\led_flash_cnt[461][4]~q\ & (!\led_flash_cnt[461][3]~33339\)) # (!\led_flash_cnt[461][4]~q\ & ((\led_flash_cnt[461][3]~33339\) # (GND)))
-- \led_flash_cnt[461][4]~33341\ = CARRY((!\led_flash_cnt[461][3]~33339\) # (!\led_flash_cnt[461][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[461][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[461][3]~33339\,
	combout => \led_flash_cnt[461][4]~33340_combout\,
	cout => \led_flash_cnt[461][4]~33341\);

-- Location: FF_X75_Y25_N21
\led_flash_cnt[461][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[461][4]~33340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[461][4]~q\);

-- Location: LCCOMB_X75_Y25_N28
\WideAnd461~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd461~0_combout\ = (\led_flash_cnt[461][3]~q\ & (\led_flash_cnt[461][2]~q\ & (\led_flash_cnt[461][1]~q\ & \led_flash_cnt[461][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[461][3]~q\,
	datab => \led_flash_cnt[461][2]~q\,
	datac => \led_flash_cnt[461][1]~q\,
	datad => \led_flash_cnt[461][4]~q\,
	combout => \WideAnd461~0_combout\);

-- Location: LCCOMB_X75_Y25_N22
\led_flash_cnt[461][5]~33342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[461][5]~33342_combout\ = (\led_flash_cnt[461][5]~q\ & (\led_flash_cnt[461][4]~33341\ $ (GND))) # (!\led_flash_cnt[461][5]~q\ & (!\led_flash_cnt[461][4]~33341\ & VCC))
-- \led_flash_cnt[461][5]~33343\ = CARRY((\led_flash_cnt[461][5]~q\ & !\led_flash_cnt[461][4]~33341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[461][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[461][4]~33341\,
	combout => \led_flash_cnt[461][5]~33342_combout\,
	cout => \led_flash_cnt[461][5]~33343\);

-- Location: FF_X75_Y25_N23
\led_flash_cnt[461][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[461][5]~33342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[461][5]~q\);

-- Location: LCCOMB_X75_Y25_N24
\led_flash_cnt[461][6]~33344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[461][6]~33344_combout\ = (\led_flash_cnt[461][6]~q\ & (!\led_flash_cnt[461][5]~33343\)) # (!\led_flash_cnt[461][6]~q\ & ((\led_flash_cnt[461][5]~33343\) # (GND)))
-- \led_flash_cnt[461][6]~33345\ = CARRY((!\led_flash_cnt[461][5]~33343\) # (!\led_flash_cnt[461][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[461][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[461][5]~33343\,
	combout => \led_flash_cnt[461][6]~33344_combout\,
	cout => \led_flash_cnt[461][6]~33345\);

-- Location: FF_X75_Y25_N25
\led_flash_cnt[461][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[461][6]~33344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[461][6]~q\);

-- Location: LCCOMB_X74_Y25_N30
\WideAnd461~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd461~1_combout\ = (\led_flash_cnt[461][5]~q\ & \led_flash_cnt[461][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[461][5]~q\,
	datac => \led_flash_cnt[461][6]~q\,
	combout => \WideAnd461~1_combout\);

-- Location: LCCOMB_X75_Y25_N26
\led_flash_cnt[461][7]~33346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[461][7]~33346_combout\ = \led_flash_cnt[461][7]~q\ $ (!\led_flash_cnt[461][6]~33345\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[461][7]~q\,
	cin => \led_flash_cnt[461][6]~33345\,
	combout => \led_flash_cnt[461][7]~33346_combout\);

-- Location: FF_X75_Y25_N27
\led_flash_cnt[461][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[461][7]~33346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[461][7]~q\);

-- Location: LCCOMB_X74_Y25_N8
WideAnd461 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd461~combout\ = (\led_flash_cnt[461][0]~q\ & (\WideAnd461~0_combout\ & (\WideAnd461~1_combout\ & \led_flash_cnt[461][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[461][0]~q\,
	datab => \WideAnd461~0_combout\,
	datac => \WideAnd461~1_combout\,
	datad => \led_flash_cnt[461][7]~q\,
	combout => \WideAnd461~combout\);

-- Location: FF_X74_Y25_N9
\led_flash_cnt_ands[461]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd461~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(461));

-- Location: LCCOMB_X74_Y25_N10
\led_flash_cnt[460][0]~81100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[460][0]~81100_combout\ = !\led_flash_cnt[460][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[460][0]~q\,
	combout => \led_flash_cnt[460][0]~81100_combout\);

-- Location: FF_X74_Y25_N11
\led_flash_cnt[460][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[460][0]~81100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[460][0]~q\);

-- Location: LCCOMB_X74_Y25_N16
\led_flash_cnt[460][1]~33320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[460][1]~33320_combout\ = (\led_flash_cnt[460][0]~q\ & (\led_flash_cnt[460][1]~q\ $ (VCC))) # (!\led_flash_cnt[460][0]~q\ & (\led_flash_cnt[460][1]~q\ & VCC))
-- \led_flash_cnt[460][1]~33321\ = CARRY((\led_flash_cnt[460][0]~q\ & \led_flash_cnt[460][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[460][0]~q\,
	datab => \led_flash_cnt[460][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[460][1]~33320_combout\,
	cout => \led_flash_cnt[460][1]~33321\);

-- Location: FF_X74_Y25_N17
\led_flash_cnt[460][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[460][1]~33320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[460][1]~q\);

-- Location: LCCOMB_X74_Y25_N18
\led_flash_cnt[460][2]~33322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[460][2]~33322_combout\ = (\led_flash_cnt[460][2]~q\ & (!\led_flash_cnt[460][1]~33321\)) # (!\led_flash_cnt[460][2]~q\ & ((\led_flash_cnt[460][1]~33321\) # (GND)))
-- \led_flash_cnt[460][2]~33323\ = CARRY((!\led_flash_cnt[460][1]~33321\) # (!\led_flash_cnt[460][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[460][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[460][1]~33321\,
	combout => \led_flash_cnt[460][2]~33322_combout\,
	cout => \led_flash_cnt[460][2]~33323\);

-- Location: FF_X74_Y25_N19
\led_flash_cnt[460][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[460][2]~33322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[460][2]~q\);

-- Location: LCCOMB_X74_Y25_N20
\led_flash_cnt[460][3]~33324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[460][3]~33324_combout\ = (\led_flash_cnt[460][3]~q\ & (\led_flash_cnt[460][2]~33323\ $ (GND))) # (!\led_flash_cnt[460][3]~q\ & (!\led_flash_cnt[460][2]~33323\ & VCC))
-- \led_flash_cnt[460][3]~33325\ = CARRY((\led_flash_cnt[460][3]~q\ & !\led_flash_cnt[460][2]~33323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[460][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[460][2]~33323\,
	combout => \led_flash_cnt[460][3]~33324_combout\,
	cout => \led_flash_cnt[460][3]~33325\);

-- Location: FF_X74_Y25_N21
\led_flash_cnt[460][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[460][3]~33324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[460][3]~q\);

-- Location: LCCOMB_X74_Y25_N22
\led_flash_cnt[460][4]~33326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[460][4]~33326_combout\ = (\led_flash_cnt[460][4]~q\ & (!\led_flash_cnt[460][3]~33325\)) # (!\led_flash_cnt[460][4]~q\ & ((\led_flash_cnt[460][3]~33325\) # (GND)))
-- \led_flash_cnt[460][4]~33327\ = CARRY((!\led_flash_cnt[460][3]~33325\) # (!\led_flash_cnt[460][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[460][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[460][3]~33325\,
	combout => \led_flash_cnt[460][4]~33326_combout\,
	cout => \led_flash_cnt[460][4]~33327\);

-- Location: FF_X74_Y25_N23
\led_flash_cnt[460][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[460][4]~33326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[460][4]~q\);

-- Location: LCCOMB_X74_Y25_N24
\led_flash_cnt[460][5]~33328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[460][5]~33328_combout\ = (\led_flash_cnt[460][5]~q\ & (\led_flash_cnt[460][4]~33327\ $ (GND))) # (!\led_flash_cnt[460][5]~q\ & (!\led_flash_cnt[460][4]~33327\ & VCC))
-- \led_flash_cnt[460][5]~33329\ = CARRY((\led_flash_cnt[460][5]~q\ & !\led_flash_cnt[460][4]~33327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[460][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[460][4]~33327\,
	combout => \led_flash_cnt[460][5]~33328_combout\,
	cout => \led_flash_cnt[460][5]~33329\);

-- Location: FF_X74_Y25_N25
\led_flash_cnt[460][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[460][5]~33328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[460][5]~q\);

-- Location: LCCOMB_X74_Y25_N26
\led_flash_cnt[460][6]~33330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[460][6]~33330_combout\ = (\led_flash_cnt[460][6]~q\ & (!\led_flash_cnt[460][5]~33329\)) # (!\led_flash_cnt[460][6]~q\ & ((\led_flash_cnt[460][5]~33329\) # (GND)))
-- \led_flash_cnt[460][6]~33331\ = CARRY((!\led_flash_cnt[460][5]~33329\) # (!\led_flash_cnt[460][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[460][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[460][5]~33329\,
	combout => \led_flash_cnt[460][6]~33330_combout\,
	cout => \led_flash_cnt[460][6]~33331\);

-- Location: FF_X74_Y25_N27
\led_flash_cnt[460][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[460][6]~33330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[460][6]~q\);

-- Location: LCCOMB_X74_Y25_N28
\led_flash_cnt[460][7]~33332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[460][7]~33332_combout\ = \led_flash_cnt[460][6]~33331\ $ (!\led_flash_cnt[460][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[460][7]~q\,
	cin => \led_flash_cnt[460][6]~33331\,
	combout => \led_flash_cnt[460][7]~33332_combout\);

-- Location: FF_X74_Y25_N29
\led_flash_cnt[460][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[460][7]~33332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[460][7]~q\);

-- Location: LCCOMB_X74_Y25_N4
\WideAnd460~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd460~1_combout\ = (\led_flash_cnt[460][6]~q\ & \led_flash_cnt[460][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[460][6]~q\,
	datad => \led_flash_cnt[460][5]~q\,
	combout => \WideAnd460~1_combout\);

-- Location: LCCOMB_X74_Y25_N12
\WideAnd460~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd460~0_combout\ = (\led_flash_cnt[460][2]~q\ & (\led_flash_cnt[460][3]~q\ & (\led_flash_cnt[460][4]~q\ & \led_flash_cnt[460][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[460][2]~q\,
	datab => \led_flash_cnt[460][3]~q\,
	datac => \led_flash_cnt[460][4]~q\,
	datad => \led_flash_cnt[460][1]~q\,
	combout => \WideAnd460~0_combout\);

-- Location: LCCOMB_X74_Y25_N2
WideAnd460 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd460~combout\ = (\led_flash_cnt[460][0]~q\ & (\led_flash_cnt[460][7]~q\ & (\WideAnd460~1_combout\ & \WideAnd460~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[460][0]~q\,
	datab => \led_flash_cnt[460][7]~q\,
	datac => \WideAnd460~1_combout\,
	datad => \WideAnd460~0_combout\,
	combout => \WideAnd460~combout\);

-- Location: FF_X74_Y25_N3
\led_flash_cnt_ands[460]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd460~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(460));

-- Location: LCCOMB_X74_Y25_N14
\WideAnd3897~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3897~1_combout\ = (led_flash_cnt_ands(461) & led_flash_cnt_ands(460))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(461),
	datad => led_flash_cnt_ands(460),
	combout => \WideAnd3897~1_combout\);

-- Location: LCCOMB_X49_Y34_N22
\led_flash_cnt[463][0]~81103\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[463][0]~81103_combout\ = !\led_flash_cnt[463][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[463][0]~q\,
	combout => \led_flash_cnt[463][0]~81103_combout\);

-- Location: FF_X49_Y34_N23
\led_flash_cnt[463][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[463][0]~81103_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[463][0]~q\);

-- Location: LCCOMB_X47_Y34_N16
\led_flash_cnt[463][1]~33362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[463][1]~33362_combout\ = (\led_flash_cnt[463][0]~q\ & (\led_flash_cnt[463][1]~q\ $ (VCC))) # (!\led_flash_cnt[463][0]~q\ & (\led_flash_cnt[463][1]~q\ & VCC))
-- \led_flash_cnt[463][1]~33363\ = CARRY((\led_flash_cnt[463][0]~q\ & \led_flash_cnt[463][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[463][0]~q\,
	datab => \led_flash_cnt[463][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[463][1]~33362_combout\,
	cout => \led_flash_cnt[463][1]~33363\);

-- Location: FF_X47_Y34_N17
\led_flash_cnt[463][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[463][1]~33362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[463][1]~q\);

-- Location: LCCOMB_X47_Y34_N18
\led_flash_cnt[463][2]~33364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[463][2]~33364_combout\ = (\led_flash_cnt[463][2]~q\ & (!\led_flash_cnt[463][1]~33363\)) # (!\led_flash_cnt[463][2]~q\ & ((\led_flash_cnt[463][1]~33363\) # (GND)))
-- \led_flash_cnt[463][2]~33365\ = CARRY((!\led_flash_cnt[463][1]~33363\) # (!\led_flash_cnt[463][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[463][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[463][1]~33363\,
	combout => \led_flash_cnt[463][2]~33364_combout\,
	cout => \led_flash_cnt[463][2]~33365\);

-- Location: FF_X47_Y34_N19
\led_flash_cnt[463][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[463][2]~33364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[463][2]~q\);

-- Location: LCCOMB_X47_Y34_N20
\led_flash_cnt[463][3]~33366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[463][3]~33366_combout\ = (\led_flash_cnt[463][3]~q\ & (\led_flash_cnt[463][2]~33365\ $ (GND))) # (!\led_flash_cnt[463][3]~q\ & (!\led_flash_cnt[463][2]~33365\ & VCC))
-- \led_flash_cnt[463][3]~33367\ = CARRY((\led_flash_cnt[463][3]~q\ & !\led_flash_cnt[463][2]~33365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[463][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[463][2]~33365\,
	combout => \led_flash_cnt[463][3]~33366_combout\,
	cout => \led_flash_cnt[463][3]~33367\);

-- Location: FF_X47_Y34_N21
\led_flash_cnt[463][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[463][3]~33366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[463][3]~q\);

-- Location: LCCOMB_X47_Y34_N22
\led_flash_cnt[463][4]~33368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[463][4]~33368_combout\ = (\led_flash_cnt[463][4]~q\ & (!\led_flash_cnt[463][3]~33367\)) # (!\led_flash_cnt[463][4]~q\ & ((\led_flash_cnt[463][3]~33367\) # (GND)))
-- \led_flash_cnt[463][4]~33369\ = CARRY((!\led_flash_cnt[463][3]~33367\) # (!\led_flash_cnt[463][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[463][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[463][3]~33367\,
	combout => \led_flash_cnt[463][4]~33368_combout\,
	cout => \led_flash_cnt[463][4]~33369\);

-- Location: FF_X47_Y34_N23
\led_flash_cnt[463][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[463][4]~33368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[463][4]~q\);

-- Location: LCCOMB_X47_Y34_N24
\led_flash_cnt[463][5]~33370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[463][5]~33370_combout\ = (\led_flash_cnt[463][5]~q\ & (\led_flash_cnt[463][4]~33369\ $ (GND))) # (!\led_flash_cnt[463][5]~q\ & (!\led_flash_cnt[463][4]~33369\ & VCC))
-- \led_flash_cnt[463][5]~33371\ = CARRY((\led_flash_cnt[463][5]~q\ & !\led_flash_cnt[463][4]~33369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[463][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[463][4]~33369\,
	combout => \led_flash_cnt[463][5]~33370_combout\,
	cout => \led_flash_cnt[463][5]~33371\);

-- Location: FF_X47_Y34_N25
\led_flash_cnt[463][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[463][5]~33370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[463][5]~q\);

-- Location: LCCOMB_X47_Y34_N26
\led_flash_cnt[463][6]~33372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[463][6]~33372_combout\ = (\led_flash_cnt[463][6]~q\ & (!\led_flash_cnt[463][5]~33371\)) # (!\led_flash_cnt[463][6]~q\ & ((\led_flash_cnt[463][5]~33371\) # (GND)))
-- \led_flash_cnt[463][6]~33373\ = CARRY((!\led_flash_cnt[463][5]~33371\) # (!\led_flash_cnt[463][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[463][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[463][5]~33371\,
	combout => \led_flash_cnt[463][6]~33372_combout\,
	cout => \led_flash_cnt[463][6]~33373\);

-- Location: FF_X47_Y34_N27
\led_flash_cnt[463][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[463][6]~33372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[463][6]~q\);

-- Location: LCCOMB_X49_Y34_N20
\WideAnd463~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd463~1_combout\ = (\led_flash_cnt[463][6]~q\ & \led_flash_cnt[463][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[463][6]~q\,
	datad => \led_flash_cnt[463][5]~q\,
	combout => \WideAnd463~1_combout\);

-- Location: LCCOMB_X47_Y34_N28
\led_flash_cnt[463][7]~33374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[463][7]~33374_combout\ = \led_flash_cnt[463][6]~33373\ $ (!\led_flash_cnt[463][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[463][7]~q\,
	cin => \led_flash_cnt[463][6]~33373\,
	combout => \led_flash_cnt[463][7]~33374_combout\);

-- Location: FF_X47_Y34_N29
\led_flash_cnt[463][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[463][7]~33374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[463][7]~q\);

-- Location: LCCOMB_X49_Y34_N18
\WideAnd463~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd463~0_combout\ = (\led_flash_cnt[463][4]~q\ & (\led_flash_cnt[463][3]~q\ & (\led_flash_cnt[463][1]~q\ & \led_flash_cnt[463][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[463][4]~q\,
	datab => \led_flash_cnt[463][3]~q\,
	datac => \led_flash_cnt[463][1]~q\,
	datad => \led_flash_cnt[463][2]~q\,
	combout => \WideAnd463~0_combout\);

-- Location: LCCOMB_X49_Y34_N30
WideAnd463 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd463~combout\ = (\led_flash_cnt[463][0]~q\ & (\WideAnd463~1_combout\ & (\led_flash_cnt[463][7]~q\ & \WideAnd463~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[463][0]~q\,
	datab => \WideAnd463~1_combout\,
	datac => \led_flash_cnt[463][7]~q\,
	datad => \WideAnd463~0_combout\,
	combout => \WideAnd463~combout\);

-- Location: FF_X49_Y34_N31
\led_flash_cnt_ands[463]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd463~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(463));

-- Location: LCCOMB_X50_Y33_N0
WideAnd3897 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3897~combout\ = (led_flash_cnt_ands(462) & (\WideAnd3897~0_combout\ & (\WideAnd3897~1_combout\ & led_flash_cnt_ands(463))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(462),
	datab => \WideAnd3897~0_combout\,
	datac => \WideAnd3897~1_combout\,
	datad => led_flash_cnt_ands(463),
	combout => \WideAnd3897~combout\);

-- Location: FF_X50_Y33_N1
\led_flash_cnt_ands_1[57]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3897~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(57));

-- Location: LCCOMB_X50_Y36_N6
\led_flash_cnt[478][0]~81118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[478][0]~81118_combout\ = !\led_flash_cnt[478][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[478][0]~q\,
	combout => \led_flash_cnt[478][0]~81118_combout\);

-- Location: FF_X50_Y36_N7
\led_flash_cnt[478][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[478][0]~81118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[478][0]~q\);

-- Location: LCCOMB_X51_Y36_N16
\led_flash_cnt[478][1]~33572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[478][1]~33572_combout\ = (\led_flash_cnt[478][0]~q\ & (\led_flash_cnt[478][1]~q\ $ (VCC))) # (!\led_flash_cnt[478][0]~q\ & (\led_flash_cnt[478][1]~q\ & VCC))
-- \led_flash_cnt[478][1]~33573\ = CARRY((\led_flash_cnt[478][0]~q\ & \led_flash_cnt[478][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[478][0]~q\,
	datab => \led_flash_cnt[478][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[478][1]~33572_combout\,
	cout => \led_flash_cnt[478][1]~33573\);

-- Location: FF_X51_Y36_N17
\led_flash_cnt[478][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[478][1]~33572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[478][1]~q\);

-- Location: LCCOMB_X51_Y36_N18
\led_flash_cnt[478][2]~33574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[478][2]~33574_combout\ = (\led_flash_cnt[478][2]~q\ & (!\led_flash_cnt[478][1]~33573\)) # (!\led_flash_cnt[478][2]~q\ & ((\led_flash_cnt[478][1]~33573\) # (GND)))
-- \led_flash_cnt[478][2]~33575\ = CARRY((!\led_flash_cnt[478][1]~33573\) # (!\led_flash_cnt[478][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[478][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[478][1]~33573\,
	combout => \led_flash_cnt[478][2]~33574_combout\,
	cout => \led_flash_cnt[478][2]~33575\);

-- Location: FF_X51_Y36_N19
\led_flash_cnt[478][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[478][2]~33574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[478][2]~q\);

-- Location: LCCOMB_X51_Y36_N20
\led_flash_cnt[478][3]~33576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[478][3]~33576_combout\ = (\led_flash_cnt[478][3]~q\ & (\led_flash_cnt[478][2]~33575\ $ (GND))) # (!\led_flash_cnt[478][3]~q\ & (!\led_flash_cnt[478][2]~33575\ & VCC))
-- \led_flash_cnt[478][3]~33577\ = CARRY((\led_flash_cnt[478][3]~q\ & !\led_flash_cnt[478][2]~33575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[478][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[478][2]~33575\,
	combout => \led_flash_cnt[478][3]~33576_combout\,
	cout => \led_flash_cnt[478][3]~33577\);

-- Location: FF_X51_Y36_N21
\led_flash_cnt[478][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[478][3]~33576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[478][3]~q\);

-- Location: LCCOMB_X51_Y36_N22
\led_flash_cnt[478][4]~33578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[478][4]~33578_combout\ = (\led_flash_cnt[478][4]~q\ & (!\led_flash_cnt[478][3]~33577\)) # (!\led_flash_cnt[478][4]~q\ & ((\led_flash_cnt[478][3]~33577\) # (GND)))
-- \led_flash_cnt[478][4]~33579\ = CARRY((!\led_flash_cnt[478][3]~33577\) # (!\led_flash_cnt[478][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[478][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[478][3]~33577\,
	combout => \led_flash_cnt[478][4]~33578_combout\,
	cout => \led_flash_cnt[478][4]~33579\);

-- Location: FF_X51_Y36_N23
\led_flash_cnt[478][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[478][4]~33578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[478][4]~q\);

-- Location: LCCOMB_X51_Y36_N24
\led_flash_cnt[478][5]~33580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[478][5]~33580_combout\ = (\led_flash_cnt[478][5]~q\ & (\led_flash_cnt[478][4]~33579\ $ (GND))) # (!\led_flash_cnt[478][5]~q\ & (!\led_flash_cnt[478][4]~33579\ & VCC))
-- \led_flash_cnt[478][5]~33581\ = CARRY((\led_flash_cnt[478][5]~q\ & !\led_flash_cnt[478][4]~33579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[478][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[478][4]~33579\,
	combout => \led_flash_cnt[478][5]~33580_combout\,
	cout => \led_flash_cnt[478][5]~33581\);

-- Location: FF_X51_Y36_N25
\led_flash_cnt[478][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[478][5]~33580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[478][5]~q\);

-- Location: LCCOMB_X51_Y36_N26
\led_flash_cnt[478][6]~33582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[478][6]~33582_combout\ = (\led_flash_cnt[478][6]~q\ & (!\led_flash_cnt[478][5]~33581\)) # (!\led_flash_cnt[478][6]~q\ & ((\led_flash_cnt[478][5]~33581\) # (GND)))
-- \led_flash_cnt[478][6]~33583\ = CARRY((!\led_flash_cnt[478][5]~33581\) # (!\led_flash_cnt[478][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[478][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[478][5]~33581\,
	combout => \led_flash_cnt[478][6]~33582_combout\,
	cout => \led_flash_cnt[478][6]~33583\);

-- Location: FF_X51_Y36_N27
\led_flash_cnt[478][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[478][6]~33582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[478][6]~q\);

-- Location: LCCOMB_X50_Y36_N18
\WideAnd478~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd478~1_combout\ = (\led_flash_cnt[478][6]~q\ & \led_flash_cnt[478][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[478][6]~q\,
	datad => \led_flash_cnt[478][5]~q\,
	combout => \WideAnd478~1_combout\);

-- Location: LCCOMB_X51_Y36_N30
\WideAnd478~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd478~0_combout\ = (\led_flash_cnt[478][3]~q\ & (\led_flash_cnt[478][2]~q\ & (\led_flash_cnt[478][4]~q\ & \led_flash_cnt[478][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[478][3]~q\,
	datab => \led_flash_cnt[478][2]~q\,
	datac => \led_flash_cnt[478][4]~q\,
	datad => \led_flash_cnt[478][1]~q\,
	combout => \WideAnd478~0_combout\);

-- Location: LCCOMB_X51_Y36_N28
\led_flash_cnt[478][7]~33584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[478][7]~33584_combout\ = \led_flash_cnt[478][6]~33583\ $ (!\led_flash_cnt[478][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[478][7]~q\,
	cin => \led_flash_cnt[478][6]~33583\,
	combout => \led_flash_cnt[478][7]~33584_combout\);

-- Location: FF_X51_Y36_N29
\led_flash_cnt[478][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[478][7]~33584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[478][7]~q\);

-- Location: LCCOMB_X50_Y36_N22
WideAnd478 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd478~combout\ = (\led_flash_cnt[478][0]~q\ & (\WideAnd478~1_combout\ & (\WideAnd478~0_combout\ & \led_flash_cnt[478][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[478][0]~q\,
	datab => \WideAnd478~1_combout\,
	datac => \WideAnd478~0_combout\,
	datad => \led_flash_cnt[478][7]~q\,
	combout => \WideAnd478~combout\);

-- Location: FF_X50_Y36_N23
\led_flash_cnt_ands[478]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd478~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(478));

-- Location: LCCOMB_X50_Y36_N2
\led_flash_cnt[479][0]~81119\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[479][0]~81119_combout\ = !\led_flash_cnt[479][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[479][0]~q\,
	combout => \led_flash_cnt[479][0]~81119_combout\);

-- Location: FF_X50_Y36_N3
\led_flash_cnt[479][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[479][0]~81119_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[479][0]~q\);

-- Location: LCCOMB_X49_Y36_N0
\led_flash_cnt[479][1]~33586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[479][1]~33586_combout\ = (\led_flash_cnt[479][0]~q\ & (\led_flash_cnt[479][1]~q\ $ (VCC))) # (!\led_flash_cnt[479][0]~q\ & (\led_flash_cnt[479][1]~q\ & VCC))
-- \led_flash_cnt[479][1]~33587\ = CARRY((\led_flash_cnt[479][0]~q\ & \led_flash_cnt[479][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[479][0]~q\,
	datab => \led_flash_cnt[479][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[479][1]~33586_combout\,
	cout => \led_flash_cnt[479][1]~33587\);

-- Location: FF_X49_Y36_N1
\led_flash_cnt[479][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[479][1]~33586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[479][1]~q\);

-- Location: LCCOMB_X49_Y36_N2
\led_flash_cnt[479][2]~33588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[479][2]~33588_combout\ = (\led_flash_cnt[479][2]~q\ & (!\led_flash_cnt[479][1]~33587\)) # (!\led_flash_cnt[479][2]~q\ & ((\led_flash_cnt[479][1]~33587\) # (GND)))
-- \led_flash_cnt[479][2]~33589\ = CARRY((!\led_flash_cnt[479][1]~33587\) # (!\led_flash_cnt[479][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[479][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[479][1]~33587\,
	combout => \led_flash_cnt[479][2]~33588_combout\,
	cout => \led_flash_cnt[479][2]~33589\);

-- Location: FF_X49_Y36_N3
\led_flash_cnt[479][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[479][2]~33588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[479][2]~q\);

-- Location: LCCOMB_X49_Y36_N4
\led_flash_cnt[479][3]~33590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[479][3]~33590_combout\ = (\led_flash_cnt[479][3]~q\ & (\led_flash_cnt[479][2]~33589\ $ (GND))) # (!\led_flash_cnt[479][3]~q\ & (!\led_flash_cnt[479][2]~33589\ & VCC))
-- \led_flash_cnt[479][3]~33591\ = CARRY((\led_flash_cnt[479][3]~q\ & !\led_flash_cnt[479][2]~33589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[479][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[479][2]~33589\,
	combout => \led_flash_cnt[479][3]~33590_combout\,
	cout => \led_flash_cnt[479][3]~33591\);

-- Location: FF_X49_Y36_N5
\led_flash_cnt[479][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[479][3]~33590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[479][3]~q\);

-- Location: LCCOMB_X49_Y36_N6
\led_flash_cnt[479][4]~33592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[479][4]~33592_combout\ = (\led_flash_cnt[479][4]~q\ & (!\led_flash_cnt[479][3]~33591\)) # (!\led_flash_cnt[479][4]~q\ & ((\led_flash_cnt[479][3]~33591\) # (GND)))
-- \led_flash_cnt[479][4]~33593\ = CARRY((!\led_flash_cnt[479][3]~33591\) # (!\led_flash_cnt[479][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[479][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[479][3]~33591\,
	combout => \led_flash_cnt[479][4]~33592_combout\,
	cout => \led_flash_cnt[479][4]~33593\);

-- Location: FF_X49_Y36_N7
\led_flash_cnt[479][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[479][4]~33592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[479][4]~q\);

-- Location: LCCOMB_X49_Y36_N8
\led_flash_cnt[479][5]~33594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[479][5]~33594_combout\ = (\led_flash_cnt[479][5]~q\ & (\led_flash_cnt[479][4]~33593\ $ (GND))) # (!\led_flash_cnt[479][5]~q\ & (!\led_flash_cnt[479][4]~33593\ & VCC))
-- \led_flash_cnt[479][5]~33595\ = CARRY((\led_flash_cnt[479][5]~q\ & !\led_flash_cnt[479][4]~33593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[479][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[479][4]~33593\,
	combout => \led_flash_cnt[479][5]~33594_combout\,
	cout => \led_flash_cnt[479][5]~33595\);

-- Location: FF_X49_Y36_N9
\led_flash_cnt[479][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[479][5]~33594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[479][5]~q\);

-- Location: LCCOMB_X49_Y36_N10
\led_flash_cnt[479][6]~33596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[479][6]~33596_combout\ = (\led_flash_cnt[479][6]~q\ & (!\led_flash_cnt[479][5]~33595\)) # (!\led_flash_cnt[479][6]~q\ & ((\led_flash_cnt[479][5]~33595\) # (GND)))
-- \led_flash_cnt[479][6]~33597\ = CARRY((!\led_flash_cnt[479][5]~33595\) # (!\led_flash_cnt[479][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[479][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[479][5]~33595\,
	combout => \led_flash_cnt[479][6]~33596_combout\,
	cout => \led_flash_cnt[479][6]~33597\);

-- Location: FF_X49_Y36_N11
\led_flash_cnt[479][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[479][6]~33596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[479][6]~q\);

-- Location: LCCOMB_X49_Y36_N12
\led_flash_cnt[479][7]~33598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[479][7]~33598_combout\ = \led_flash_cnt[479][6]~33597\ $ (!\led_flash_cnt[479][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[479][7]~q\,
	cin => \led_flash_cnt[479][6]~33597\,
	combout => \led_flash_cnt[479][7]~33598_combout\);

-- Location: FF_X49_Y36_N13
\led_flash_cnt[479][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[479][7]~33598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[479][7]~q\);

-- Location: LCCOMB_X50_Y36_N14
\WideAnd479~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd479~1_combout\ = (\led_flash_cnt[479][6]~q\ & \led_flash_cnt[479][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[479][6]~q\,
	datad => \led_flash_cnt[479][5]~q\,
	combout => \WideAnd479~1_combout\);

-- Location: LCCOMB_X49_Y36_N14
\WideAnd479~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd479~0_combout\ = (\led_flash_cnt[479][4]~q\ & (\led_flash_cnt[479][1]~q\ & (\led_flash_cnt[479][3]~q\ & \led_flash_cnt[479][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[479][4]~q\,
	datab => \led_flash_cnt[479][1]~q\,
	datac => \led_flash_cnt[479][3]~q\,
	datad => \led_flash_cnt[479][2]~q\,
	combout => \WideAnd479~0_combout\);

-- Location: LCCOMB_X50_Y36_N20
WideAnd479 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd479~combout\ = (\led_flash_cnt[479][7]~q\ & (\led_flash_cnt[479][0]~q\ & (\WideAnd479~1_combout\ & \WideAnd479~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[479][7]~q\,
	datab => \led_flash_cnt[479][0]~q\,
	datac => \WideAnd479~1_combout\,
	datad => \WideAnd479~0_combout\,
	combout => \WideAnd479~combout\);

-- Location: FF_X50_Y36_N21
\led_flash_cnt_ands[479]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd479~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(479));

-- Location: LCCOMB_X50_Y36_N28
\led_flash_cnt[477][0]~81117\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[477][0]~81117_combout\ = !\led_flash_cnt[477][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[477][0]~q\,
	combout => \led_flash_cnt[477][0]~81117_combout\);

-- Location: FF_X50_Y36_N29
\led_flash_cnt[477][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[477][0]~81117_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[477][0]~q\);

-- Location: LCCOMB_X47_Y36_N0
\led_flash_cnt[477][1]~33558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[477][1]~33558_combout\ = (\led_flash_cnt[477][0]~q\ & (\led_flash_cnt[477][1]~q\ $ (VCC))) # (!\led_flash_cnt[477][0]~q\ & (\led_flash_cnt[477][1]~q\ & VCC))
-- \led_flash_cnt[477][1]~33559\ = CARRY((\led_flash_cnt[477][0]~q\ & \led_flash_cnt[477][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[477][0]~q\,
	datab => \led_flash_cnt[477][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[477][1]~33558_combout\,
	cout => \led_flash_cnt[477][1]~33559\);

-- Location: FF_X47_Y36_N1
\led_flash_cnt[477][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[477][1]~33558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[477][1]~q\);

-- Location: LCCOMB_X47_Y36_N2
\led_flash_cnt[477][2]~33560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[477][2]~33560_combout\ = (\led_flash_cnt[477][2]~q\ & (!\led_flash_cnt[477][1]~33559\)) # (!\led_flash_cnt[477][2]~q\ & ((\led_flash_cnt[477][1]~33559\) # (GND)))
-- \led_flash_cnt[477][2]~33561\ = CARRY((!\led_flash_cnt[477][1]~33559\) # (!\led_flash_cnt[477][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[477][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[477][1]~33559\,
	combout => \led_flash_cnt[477][2]~33560_combout\,
	cout => \led_flash_cnt[477][2]~33561\);

-- Location: FF_X47_Y36_N3
\led_flash_cnt[477][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[477][2]~33560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[477][2]~q\);

-- Location: LCCOMB_X47_Y36_N4
\led_flash_cnt[477][3]~33562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[477][3]~33562_combout\ = (\led_flash_cnt[477][3]~q\ & (\led_flash_cnt[477][2]~33561\ $ (GND))) # (!\led_flash_cnt[477][3]~q\ & (!\led_flash_cnt[477][2]~33561\ & VCC))
-- \led_flash_cnt[477][3]~33563\ = CARRY((\led_flash_cnt[477][3]~q\ & !\led_flash_cnt[477][2]~33561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[477][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[477][2]~33561\,
	combout => \led_flash_cnt[477][3]~33562_combout\,
	cout => \led_flash_cnt[477][3]~33563\);

-- Location: FF_X47_Y36_N5
\led_flash_cnt[477][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[477][3]~33562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[477][3]~q\);

-- Location: LCCOMB_X47_Y36_N6
\led_flash_cnt[477][4]~33564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[477][4]~33564_combout\ = (\led_flash_cnt[477][4]~q\ & (!\led_flash_cnt[477][3]~33563\)) # (!\led_flash_cnt[477][4]~q\ & ((\led_flash_cnt[477][3]~33563\) # (GND)))
-- \led_flash_cnt[477][4]~33565\ = CARRY((!\led_flash_cnt[477][3]~33563\) # (!\led_flash_cnt[477][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[477][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[477][3]~33563\,
	combout => \led_flash_cnt[477][4]~33564_combout\,
	cout => \led_flash_cnt[477][4]~33565\);

-- Location: FF_X47_Y36_N7
\led_flash_cnt[477][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[477][4]~33564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[477][4]~q\);

-- Location: LCCOMB_X47_Y36_N8
\led_flash_cnt[477][5]~33566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[477][5]~33566_combout\ = (\led_flash_cnt[477][5]~q\ & (\led_flash_cnt[477][4]~33565\ $ (GND))) # (!\led_flash_cnt[477][5]~q\ & (!\led_flash_cnt[477][4]~33565\ & VCC))
-- \led_flash_cnt[477][5]~33567\ = CARRY((\led_flash_cnt[477][5]~q\ & !\led_flash_cnt[477][4]~33565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[477][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[477][4]~33565\,
	combout => \led_flash_cnt[477][5]~33566_combout\,
	cout => \led_flash_cnt[477][5]~33567\);

-- Location: FF_X47_Y36_N9
\led_flash_cnt[477][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[477][5]~33566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[477][5]~q\);

-- Location: LCCOMB_X47_Y36_N10
\led_flash_cnt[477][6]~33568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[477][6]~33568_combout\ = (\led_flash_cnt[477][6]~q\ & (!\led_flash_cnt[477][5]~33567\)) # (!\led_flash_cnt[477][6]~q\ & ((\led_flash_cnt[477][5]~33567\) # (GND)))
-- \led_flash_cnt[477][6]~33569\ = CARRY((!\led_flash_cnt[477][5]~33567\) # (!\led_flash_cnt[477][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[477][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[477][5]~33567\,
	combout => \led_flash_cnt[477][6]~33568_combout\,
	cout => \led_flash_cnt[477][6]~33569\);

-- Location: FF_X47_Y36_N11
\led_flash_cnt[477][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[477][6]~33568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[477][6]~q\);

-- Location: LCCOMB_X50_Y36_N12
\WideAnd477~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd477~1_combout\ = (\led_flash_cnt[477][5]~q\ & \led_flash_cnt[477][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[477][5]~q\,
	datac => \led_flash_cnt[477][6]~q\,
	combout => \WideAnd477~1_combout\);

-- Location: LCCOMB_X47_Y36_N12
\led_flash_cnt[477][7]~33570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[477][7]~33570_combout\ = \led_flash_cnt[477][6]~33569\ $ (!\led_flash_cnt[477][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[477][7]~q\,
	cin => \led_flash_cnt[477][6]~33569\,
	combout => \led_flash_cnt[477][7]~33570_combout\);

-- Location: FF_X47_Y36_N13
\led_flash_cnt[477][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[477][7]~33570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[477][7]~q\);

-- Location: LCCOMB_X47_Y36_N28
\WideAnd477~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd477~0_combout\ = (\led_flash_cnt[477][4]~q\ & (\led_flash_cnt[477][1]~q\ & (\led_flash_cnt[477][3]~q\ & \led_flash_cnt[477][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[477][4]~q\,
	datab => \led_flash_cnt[477][1]~q\,
	datac => \led_flash_cnt[477][3]~q\,
	datad => \led_flash_cnt[477][2]~q\,
	combout => \WideAnd477~0_combout\);

-- Location: LCCOMB_X50_Y36_N30
WideAnd477 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd477~combout\ = (\WideAnd477~1_combout\ & (\led_flash_cnt[477][7]~q\ & (\WideAnd477~0_combout\ & \led_flash_cnt[477][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd477~1_combout\,
	datab => \led_flash_cnt[477][7]~q\,
	datac => \WideAnd477~0_combout\,
	datad => \led_flash_cnt[477][0]~q\,
	combout => \WideAnd477~combout\);

-- Location: FF_X50_Y36_N31
\led_flash_cnt_ands[477]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd477~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(477));

-- Location: LCCOMB_X50_Y36_N24
\led_flash_cnt[476][0]~81116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[476][0]~81116_combout\ = !\led_flash_cnt[476][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[476][0]~q\,
	combout => \led_flash_cnt[476][0]~81116_combout\);

-- Location: FF_X50_Y36_N25
\led_flash_cnt[476][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[476][0]~81116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[476][0]~q\);

-- Location: LCCOMB_X46_Y36_N18
\led_flash_cnt[476][1]~33544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[476][1]~33544_combout\ = (\led_flash_cnt[476][0]~q\ & (\led_flash_cnt[476][1]~q\ $ (VCC))) # (!\led_flash_cnt[476][0]~q\ & (\led_flash_cnt[476][1]~q\ & VCC))
-- \led_flash_cnt[476][1]~33545\ = CARRY((\led_flash_cnt[476][0]~q\ & \led_flash_cnt[476][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[476][0]~q\,
	datab => \led_flash_cnt[476][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[476][1]~33544_combout\,
	cout => \led_flash_cnt[476][1]~33545\);

-- Location: FF_X46_Y36_N19
\led_flash_cnt[476][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[476][1]~33544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[476][1]~q\);

-- Location: LCCOMB_X46_Y36_N20
\led_flash_cnt[476][2]~33546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[476][2]~33546_combout\ = (\led_flash_cnt[476][2]~q\ & (!\led_flash_cnt[476][1]~33545\)) # (!\led_flash_cnt[476][2]~q\ & ((\led_flash_cnt[476][1]~33545\) # (GND)))
-- \led_flash_cnt[476][2]~33547\ = CARRY((!\led_flash_cnt[476][1]~33545\) # (!\led_flash_cnt[476][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[476][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[476][1]~33545\,
	combout => \led_flash_cnt[476][2]~33546_combout\,
	cout => \led_flash_cnt[476][2]~33547\);

-- Location: FF_X46_Y36_N21
\led_flash_cnt[476][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[476][2]~33546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[476][2]~q\);

-- Location: LCCOMB_X46_Y36_N22
\led_flash_cnt[476][3]~33548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[476][3]~33548_combout\ = (\led_flash_cnt[476][3]~q\ & (\led_flash_cnt[476][2]~33547\ $ (GND))) # (!\led_flash_cnt[476][3]~q\ & (!\led_flash_cnt[476][2]~33547\ & VCC))
-- \led_flash_cnt[476][3]~33549\ = CARRY((\led_flash_cnt[476][3]~q\ & !\led_flash_cnt[476][2]~33547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[476][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[476][2]~33547\,
	combout => \led_flash_cnt[476][3]~33548_combout\,
	cout => \led_flash_cnt[476][3]~33549\);

-- Location: FF_X46_Y36_N23
\led_flash_cnt[476][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[476][3]~33548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[476][3]~q\);

-- Location: LCCOMB_X46_Y36_N24
\led_flash_cnt[476][4]~33550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[476][4]~33550_combout\ = (\led_flash_cnt[476][4]~q\ & (!\led_flash_cnt[476][3]~33549\)) # (!\led_flash_cnt[476][4]~q\ & ((\led_flash_cnt[476][3]~33549\) # (GND)))
-- \led_flash_cnt[476][4]~33551\ = CARRY((!\led_flash_cnt[476][3]~33549\) # (!\led_flash_cnt[476][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[476][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[476][3]~33549\,
	combout => \led_flash_cnt[476][4]~33550_combout\,
	cout => \led_flash_cnt[476][4]~33551\);

-- Location: FF_X46_Y36_N25
\led_flash_cnt[476][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[476][4]~33550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[476][4]~q\);

-- Location: LCCOMB_X46_Y36_N0
\WideAnd476~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd476~0_combout\ = (\led_flash_cnt[476][4]~q\ & (\led_flash_cnt[476][2]~q\ & (\led_flash_cnt[476][3]~q\ & \led_flash_cnt[476][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[476][4]~q\,
	datab => \led_flash_cnt[476][2]~q\,
	datac => \led_flash_cnt[476][3]~q\,
	datad => \led_flash_cnt[476][1]~q\,
	combout => \WideAnd476~0_combout\);

-- Location: LCCOMB_X46_Y36_N26
\led_flash_cnt[476][5]~33552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[476][5]~33552_combout\ = (\led_flash_cnt[476][5]~q\ & (\led_flash_cnt[476][4]~33551\ $ (GND))) # (!\led_flash_cnt[476][5]~q\ & (!\led_flash_cnt[476][4]~33551\ & VCC))
-- \led_flash_cnt[476][5]~33553\ = CARRY((\led_flash_cnt[476][5]~q\ & !\led_flash_cnt[476][4]~33551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[476][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[476][4]~33551\,
	combout => \led_flash_cnt[476][5]~33552_combout\,
	cout => \led_flash_cnt[476][5]~33553\);

-- Location: FF_X46_Y36_N27
\led_flash_cnt[476][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[476][5]~33552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[476][5]~q\);

-- Location: LCCOMB_X46_Y36_N28
\led_flash_cnt[476][6]~33554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[476][6]~33554_combout\ = (\led_flash_cnt[476][6]~q\ & (!\led_flash_cnt[476][5]~33553\)) # (!\led_flash_cnt[476][6]~q\ & ((\led_flash_cnt[476][5]~33553\) # (GND)))
-- \led_flash_cnt[476][6]~33555\ = CARRY((!\led_flash_cnt[476][5]~33553\) # (!\led_flash_cnt[476][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[476][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[476][5]~33553\,
	combout => \led_flash_cnt[476][6]~33554_combout\,
	cout => \led_flash_cnt[476][6]~33555\);

-- Location: FF_X46_Y36_N29
\led_flash_cnt[476][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[476][6]~33554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[476][6]~q\);

-- Location: LCCOMB_X46_Y36_N30
\led_flash_cnt[476][7]~33556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[476][7]~33556_combout\ = \led_flash_cnt[476][7]~q\ $ (!\led_flash_cnt[476][6]~33555\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[476][7]~q\,
	cin => \led_flash_cnt[476][6]~33555\,
	combout => \led_flash_cnt[476][7]~33556_combout\);

-- Location: FF_X46_Y36_N31
\led_flash_cnt[476][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[476][7]~33556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[476][7]~q\);

-- Location: LCCOMB_X50_Y36_N0
\WideAnd476~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd476~1_combout\ = (\led_flash_cnt[476][6]~q\ & \led_flash_cnt[476][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[476][6]~q\,
	datad => \led_flash_cnt[476][5]~q\,
	combout => \WideAnd476~1_combout\);

-- Location: LCCOMB_X50_Y36_N16
WideAnd476 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd476~combout\ = (\WideAnd476~0_combout\ & (\led_flash_cnt[476][0]~q\ & (\led_flash_cnt[476][7]~q\ & \WideAnd476~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd476~0_combout\,
	datab => \led_flash_cnt[476][0]~q\,
	datac => \led_flash_cnt[476][7]~q\,
	datad => \WideAnd476~1_combout\,
	combout => \WideAnd476~combout\);

-- Location: FF_X50_Y36_N17
\led_flash_cnt_ands[476]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd476~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(476));

-- Location: LCCOMB_X50_Y36_N4
\WideAnd3899~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3899~1_combout\ = (led_flash_cnt_ands(477) & led_flash_cnt_ands(476))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(477),
	datad => led_flash_cnt_ands(476),
	combout => \WideAnd3899~1_combout\);

-- Location: LCCOMB_X62_Y19_N22
\led_flash_cnt[472][0]~81112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[472][0]~81112_combout\ = !\led_flash_cnt[472][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[472][0]~q\,
	combout => \led_flash_cnt[472][0]~81112_combout\);

-- Location: FF_X62_Y19_N23
\led_flash_cnt[472][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[472][0]~81112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[472][0]~q\);

-- Location: LCCOMB_X62_Y20_N16
\led_flash_cnt[472][1]~33488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[472][1]~33488_combout\ = (\led_flash_cnt[472][0]~q\ & (\led_flash_cnt[472][1]~q\ $ (VCC))) # (!\led_flash_cnt[472][0]~q\ & (\led_flash_cnt[472][1]~q\ & VCC))
-- \led_flash_cnt[472][1]~33489\ = CARRY((\led_flash_cnt[472][0]~q\ & \led_flash_cnt[472][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[472][0]~q\,
	datab => \led_flash_cnt[472][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[472][1]~33488_combout\,
	cout => \led_flash_cnt[472][1]~33489\);

-- Location: FF_X62_Y20_N17
\led_flash_cnt[472][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[472][1]~33488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[472][1]~q\);

-- Location: LCCOMB_X62_Y20_N18
\led_flash_cnt[472][2]~33490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[472][2]~33490_combout\ = (\led_flash_cnt[472][2]~q\ & (!\led_flash_cnt[472][1]~33489\)) # (!\led_flash_cnt[472][2]~q\ & ((\led_flash_cnt[472][1]~33489\) # (GND)))
-- \led_flash_cnt[472][2]~33491\ = CARRY((!\led_flash_cnt[472][1]~33489\) # (!\led_flash_cnt[472][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[472][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[472][1]~33489\,
	combout => \led_flash_cnt[472][2]~33490_combout\,
	cout => \led_flash_cnt[472][2]~33491\);

-- Location: FF_X62_Y20_N19
\led_flash_cnt[472][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[472][2]~33490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[472][2]~q\);

-- Location: LCCOMB_X62_Y20_N20
\led_flash_cnt[472][3]~33492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[472][3]~33492_combout\ = (\led_flash_cnt[472][3]~q\ & (\led_flash_cnt[472][2]~33491\ $ (GND))) # (!\led_flash_cnt[472][3]~q\ & (!\led_flash_cnt[472][2]~33491\ & VCC))
-- \led_flash_cnt[472][3]~33493\ = CARRY((\led_flash_cnt[472][3]~q\ & !\led_flash_cnt[472][2]~33491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[472][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[472][2]~33491\,
	combout => \led_flash_cnt[472][3]~33492_combout\,
	cout => \led_flash_cnt[472][3]~33493\);

-- Location: FF_X62_Y20_N21
\led_flash_cnt[472][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[472][3]~33492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[472][3]~q\);

-- Location: LCCOMB_X62_Y20_N22
\led_flash_cnt[472][4]~33494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[472][4]~33494_combout\ = (\led_flash_cnt[472][4]~q\ & (!\led_flash_cnt[472][3]~33493\)) # (!\led_flash_cnt[472][4]~q\ & ((\led_flash_cnt[472][3]~33493\) # (GND)))
-- \led_flash_cnt[472][4]~33495\ = CARRY((!\led_flash_cnt[472][3]~33493\) # (!\led_flash_cnt[472][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[472][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[472][3]~33493\,
	combout => \led_flash_cnt[472][4]~33494_combout\,
	cout => \led_flash_cnt[472][4]~33495\);

-- Location: FF_X62_Y20_N23
\led_flash_cnt[472][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[472][4]~33494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[472][4]~q\);

-- Location: LCCOMB_X62_Y20_N30
\WideAnd472~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd472~0_combout\ = (\led_flash_cnt[472][1]~q\ & (\led_flash_cnt[472][3]~q\ & (\led_flash_cnt[472][4]~q\ & \led_flash_cnt[472][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[472][1]~q\,
	datab => \led_flash_cnt[472][3]~q\,
	datac => \led_flash_cnt[472][4]~q\,
	datad => \led_flash_cnt[472][2]~q\,
	combout => \WideAnd472~0_combout\);

-- Location: LCCOMB_X62_Y20_N24
\led_flash_cnt[472][5]~33496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[472][5]~33496_combout\ = (\led_flash_cnt[472][5]~q\ & (\led_flash_cnt[472][4]~33495\ $ (GND))) # (!\led_flash_cnt[472][5]~q\ & (!\led_flash_cnt[472][4]~33495\ & VCC))
-- \led_flash_cnt[472][5]~33497\ = CARRY((\led_flash_cnt[472][5]~q\ & !\led_flash_cnt[472][4]~33495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[472][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[472][4]~33495\,
	combout => \led_flash_cnt[472][5]~33496_combout\,
	cout => \led_flash_cnt[472][5]~33497\);

-- Location: FF_X62_Y20_N25
\led_flash_cnt[472][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[472][5]~33496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[472][5]~q\);

-- Location: LCCOMB_X62_Y20_N26
\led_flash_cnt[472][6]~33498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[472][6]~33498_combout\ = (\led_flash_cnt[472][6]~q\ & (!\led_flash_cnt[472][5]~33497\)) # (!\led_flash_cnt[472][6]~q\ & ((\led_flash_cnt[472][5]~33497\) # (GND)))
-- \led_flash_cnt[472][6]~33499\ = CARRY((!\led_flash_cnt[472][5]~33497\) # (!\led_flash_cnt[472][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[472][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[472][5]~33497\,
	combout => \led_flash_cnt[472][6]~33498_combout\,
	cout => \led_flash_cnt[472][6]~33499\);

-- Location: FF_X62_Y20_N27
\led_flash_cnt[472][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[472][6]~33498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[472][6]~q\);

-- Location: LCCOMB_X62_Y20_N28
\led_flash_cnt[472][7]~33500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[472][7]~33500_combout\ = \led_flash_cnt[472][6]~33499\ $ (!\led_flash_cnt[472][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[472][7]~q\,
	cin => \led_flash_cnt[472][6]~33499\,
	combout => \led_flash_cnt[472][7]~33500_combout\);

-- Location: FF_X62_Y20_N29
\led_flash_cnt[472][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[472][7]~33500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[472][7]~q\);

-- Location: LCCOMB_X63_Y20_N28
\WideAnd472~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd472~1_combout\ = (\led_flash_cnt[472][6]~q\ & \led_flash_cnt[472][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[472][6]~q\,
	datad => \led_flash_cnt[472][5]~q\,
	combout => \WideAnd472~1_combout\);

-- Location: LCCOMB_X62_Y20_N14
WideAnd472 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd472~combout\ = (\WideAnd472~0_combout\ & (\led_flash_cnt[472][7]~q\ & (\led_flash_cnt[472][0]~q\ & \WideAnd472~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd472~0_combout\,
	datab => \led_flash_cnt[472][7]~q\,
	datac => \led_flash_cnt[472][0]~q\,
	datad => \WideAnd472~1_combout\,
	combout => \WideAnd472~combout\);

-- Location: FF_X62_Y20_N15
\led_flash_cnt_ands[472]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd472~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(472));

-- Location: LCCOMB_X61_Y18_N4
\led_flash_cnt[475][0]~81115\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[475][0]~81115_combout\ = !\led_flash_cnt[475][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[475][0]~q\,
	combout => \led_flash_cnt[475][0]~81115_combout\);

-- Location: FF_X61_Y18_N5
\led_flash_cnt[475][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[475][0]~81115_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[475][0]~q\);

-- Location: LCCOMB_X61_Y18_N10
\led_flash_cnt[475][1]~33530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[475][1]~33530_combout\ = (\led_flash_cnt[475][1]~q\ & (\led_flash_cnt[475][0]~q\ $ (VCC))) # (!\led_flash_cnt[475][1]~q\ & (\led_flash_cnt[475][0]~q\ & VCC))
-- \led_flash_cnt[475][1]~33531\ = CARRY((\led_flash_cnt[475][1]~q\ & \led_flash_cnt[475][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[475][1]~q\,
	datab => \led_flash_cnt[475][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[475][1]~33530_combout\,
	cout => \led_flash_cnt[475][1]~33531\);

-- Location: FF_X61_Y18_N11
\led_flash_cnt[475][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[475][1]~33530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[475][1]~q\);

-- Location: LCCOMB_X61_Y18_N12
\led_flash_cnt[475][2]~33532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[475][2]~33532_combout\ = (\led_flash_cnt[475][2]~q\ & (!\led_flash_cnt[475][1]~33531\)) # (!\led_flash_cnt[475][2]~q\ & ((\led_flash_cnt[475][1]~33531\) # (GND)))
-- \led_flash_cnt[475][2]~33533\ = CARRY((!\led_flash_cnt[475][1]~33531\) # (!\led_flash_cnt[475][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[475][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[475][1]~33531\,
	combout => \led_flash_cnt[475][2]~33532_combout\,
	cout => \led_flash_cnt[475][2]~33533\);

-- Location: FF_X61_Y18_N13
\led_flash_cnt[475][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[475][2]~33532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[475][2]~q\);

-- Location: LCCOMB_X61_Y18_N14
\led_flash_cnt[475][3]~33534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[475][3]~33534_combout\ = (\led_flash_cnt[475][3]~q\ & (\led_flash_cnt[475][2]~33533\ $ (GND))) # (!\led_flash_cnt[475][3]~q\ & (!\led_flash_cnt[475][2]~33533\ & VCC))
-- \led_flash_cnt[475][3]~33535\ = CARRY((\led_flash_cnt[475][3]~q\ & !\led_flash_cnt[475][2]~33533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[475][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[475][2]~33533\,
	combout => \led_flash_cnt[475][3]~33534_combout\,
	cout => \led_flash_cnt[475][3]~33535\);

-- Location: FF_X61_Y18_N15
\led_flash_cnt[475][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[475][3]~33534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[475][3]~q\);

-- Location: LCCOMB_X61_Y18_N16
\led_flash_cnt[475][4]~33536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[475][4]~33536_combout\ = (\led_flash_cnt[475][4]~q\ & (!\led_flash_cnt[475][3]~33535\)) # (!\led_flash_cnt[475][4]~q\ & ((\led_flash_cnt[475][3]~33535\) # (GND)))
-- \led_flash_cnt[475][4]~33537\ = CARRY((!\led_flash_cnt[475][3]~33535\) # (!\led_flash_cnt[475][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[475][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[475][3]~33535\,
	combout => \led_flash_cnt[475][4]~33536_combout\,
	cout => \led_flash_cnt[475][4]~33537\);

-- Location: FF_X61_Y18_N17
\led_flash_cnt[475][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[475][4]~33536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[475][4]~q\);

-- Location: LCCOMB_X61_Y18_N18
\led_flash_cnt[475][5]~33538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[475][5]~33538_combout\ = (\led_flash_cnt[475][5]~q\ & (\led_flash_cnt[475][4]~33537\ $ (GND))) # (!\led_flash_cnt[475][5]~q\ & (!\led_flash_cnt[475][4]~33537\ & VCC))
-- \led_flash_cnt[475][5]~33539\ = CARRY((\led_flash_cnt[475][5]~q\ & !\led_flash_cnt[475][4]~33537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[475][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[475][4]~33537\,
	combout => \led_flash_cnt[475][5]~33538_combout\,
	cout => \led_flash_cnt[475][5]~33539\);

-- Location: FF_X61_Y18_N19
\led_flash_cnt[475][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[475][5]~33538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[475][5]~q\);

-- Location: LCCOMB_X61_Y18_N20
\led_flash_cnt[475][6]~33540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[475][6]~33540_combout\ = (\led_flash_cnt[475][6]~q\ & (!\led_flash_cnt[475][5]~33539\)) # (!\led_flash_cnt[475][6]~q\ & ((\led_flash_cnt[475][5]~33539\) # (GND)))
-- \led_flash_cnt[475][6]~33541\ = CARRY((!\led_flash_cnt[475][5]~33539\) # (!\led_flash_cnt[475][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[475][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[475][5]~33539\,
	combout => \led_flash_cnt[475][6]~33540_combout\,
	cout => \led_flash_cnt[475][6]~33541\);

-- Location: FF_X61_Y18_N21
\led_flash_cnt[475][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[475][6]~33540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[475][6]~q\);

-- Location: LCCOMB_X61_Y18_N26
\WideAnd475~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd475~1_combout\ = (\led_flash_cnt[475][6]~q\ & \led_flash_cnt[475][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[475][6]~q\,
	datad => \led_flash_cnt[475][5]~q\,
	combout => \WideAnd475~1_combout\);

-- Location: LCCOMB_X61_Y18_N22
\led_flash_cnt[475][7]~33542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[475][7]~33542_combout\ = \led_flash_cnt[475][7]~q\ $ (!\led_flash_cnt[475][6]~33541\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[475][7]~q\,
	cin => \led_flash_cnt[475][6]~33541\,
	combout => \led_flash_cnt[475][7]~33542_combout\);

-- Location: FF_X61_Y18_N23
\led_flash_cnt[475][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[475][7]~33542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[475][7]~q\);

-- Location: LCCOMB_X61_Y18_N28
\WideAnd475~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd475~0_combout\ = (\led_flash_cnt[475][1]~q\ & (\led_flash_cnt[475][4]~q\ & (\led_flash_cnt[475][3]~q\ & \led_flash_cnt[475][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[475][1]~q\,
	datab => \led_flash_cnt[475][4]~q\,
	datac => \led_flash_cnt[475][3]~q\,
	datad => \led_flash_cnt[475][2]~q\,
	combout => \WideAnd475~0_combout\);

-- Location: LCCOMB_X61_Y18_N0
WideAnd475 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd475~combout\ = (\WideAnd475~1_combout\ & (\led_flash_cnt[475][0]~q\ & (\led_flash_cnt[475][7]~q\ & \WideAnd475~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd475~1_combout\,
	datab => \led_flash_cnt[475][0]~q\,
	datac => \led_flash_cnt[475][7]~q\,
	datad => \WideAnd475~0_combout\,
	combout => \WideAnd475~combout\);

-- Location: FF_X61_Y18_N1
\led_flash_cnt_ands[475]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd475~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(475));

-- Location: LCCOMB_X58_Y22_N2
\led_flash_cnt[474][0]~81114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[474][0]~81114_combout\ = !\led_flash_cnt[474][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[474][0]~q\,
	combout => \led_flash_cnt[474][0]~81114_combout\);

-- Location: FF_X58_Y22_N3
\led_flash_cnt[474][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[474][0]~81114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[474][0]~q\);

-- Location: LCCOMB_X57_Y22_N2
\led_flash_cnt[474][1]~33516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[474][1]~33516_combout\ = (\led_flash_cnt[474][0]~q\ & (\led_flash_cnt[474][1]~q\ $ (VCC))) # (!\led_flash_cnt[474][0]~q\ & (\led_flash_cnt[474][1]~q\ & VCC))
-- \led_flash_cnt[474][1]~33517\ = CARRY((\led_flash_cnt[474][0]~q\ & \led_flash_cnt[474][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[474][0]~q\,
	datab => \led_flash_cnt[474][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[474][1]~33516_combout\,
	cout => \led_flash_cnt[474][1]~33517\);

-- Location: FF_X57_Y22_N3
\led_flash_cnt[474][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[474][1]~33516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[474][1]~q\);

-- Location: LCCOMB_X57_Y22_N4
\led_flash_cnt[474][2]~33518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[474][2]~33518_combout\ = (\led_flash_cnt[474][2]~q\ & (!\led_flash_cnt[474][1]~33517\)) # (!\led_flash_cnt[474][2]~q\ & ((\led_flash_cnt[474][1]~33517\) # (GND)))
-- \led_flash_cnt[474][2]~33519\ = CARRY((!\led_flash_cnt[474][1]~33517\) # (!\led_flash_cnt[474][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[474][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[474][1]~33517\,
	combout => \led_flash_cnt[474][2]~33518_combout\,
	cout => \led_flash_cnt[474][2]~33519\);

-- Location: FF_X57_Y22_N5
\led_flash_cnt[474][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[474][2]~33518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[474][2]~q\);

-- Location: LCCOMB_X57_Y22_N6
\led_flash_cnt[474][3]~33520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[474][3]~33520_combout\ = (\led_flash_cnt[474][3]~q\ & (\led_flash_cnt[474][2]~33519\ $ (GND))) # (!\led_flash_cnt[474][3]~q\ & (!\led_flash_cnt[474][2]~33519\ & VCC))
-- \led_flash_cnt[474][3]~33521\ = CARRY((\led_flash_cnt[474][3]~q\ & !\led_flash_cnt[474][2]~33519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[474][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[474][2]~33519\,
	combout => \led_flash_cnt[474][3]~33520_combout\,
	cout => \led_flash_cnt[474][3]~33521\);

-- Location: FF_X57_Y22_N7
\led_flash_cnt[474][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[474][3]~33520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[474][3]~q\);

-- Location: LCCOMB_X57_Y22_N8
\led_flash_cnt[474][4]~33522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[474][4]~33522_combout\ = (\led_flash_cnt[474][4]~q\ & (!\led_flash_cnt[474][3]~33521\)) # (!\led_flash_cnt[474][4]~q\ & ((\led_flash_cnt[474][3]~33521\) # (GND)))
-- \led_flash_cnt[474][4]~33523\ = CARRY((!\led_flash_cnt[474][3]~33521\) # (!\led_flash_cnt[474][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[474][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[474][3]~33521\,
	combout => \led_flash_cnt[474][4]~33522_combout\,
	cout => \led_flash_cnt[474][4]~33523\);

-- Location: FF_X57_Y22_N9
\led_flash_cnt[474][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[474][4]~33522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[474][4]~q\);

-- Location: LCCOMB_X57_Y22_N10
\led_flash_cnt[474][5]~33524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[474][5]~33524_combout\ = (\led_flash_cnt[474][5]~q\ & (\led_flash_cnt[474][4]~33523\ $ (GND))) # (!\led_flash_cnt[474][5]~q\ & (!\led_flash_cnt[474][4]~33523\ & VCC))
-- \led_flash_cnt[474][5]~33525\ = CARRY((\led_flash_cnt[474][5]~q\ & !\led_flash_cnt[474][4]~33523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[474][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[474][4]~33523\,
	combout => \led_flash_cnt[474][5]~33524_combout\,
	cout => \led_flash_cnt[474][5]~33525\);

-- Location: FF_X57_Y22_N11
\led_flash_cnt[474][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[474][5]~33524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[474][5]~q\);

-- Location: LCCOMB_X57_Y22_N12
\led_flash_cnt[474][6]~33526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[474][6]~33526_combout\ = (\led_flash_cnt[474][6]~q\ & (!\led_flash_cnt[474][5]~33525\)) # (!\led_flash_cnt[474][6]~q\ & ((\led_flash_cnt[474][5]~33525\) # (GND)))
-- \led_flash_cnt[474][6]~33527\ = CARRY((!\led_flash_cnt[474][5]~33525\) # (!\led_flash_cnt[474][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[474][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[474][5]~33525\,
	combout => \led_flash_cnt[474][6]~33526_combout\,
	cout => \led_flash_cnt[474][6]~33527\);

-- Location: FF_X57_Y22_N13
\led_flash_cnt[474][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[474][6]~33526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[474][6]~q\);

-- Location: LCCOMB_X57_Y22_N14
\led_flash_cnt[474][7]~33528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[474][7]~33528_combout\ = \led_flash_cnt[474][7]~q\ $ (!\led_flash_cnt[474][6]~33527\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[474][7]~q\,
	cin => \led_flash_cnt[474][6]~33527\,
	combout => \led_flash_cnt[474][7]~33528_combout\);

-- Location: FF_X57_Y22_N15
\led_flash_cnt[474][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[474][7]~33528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[474][7]~q\);

-- Location: LCCOMB_X57_Y22_N30
\WideAnd474~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd474~0_combout\ = (\led_flash_cnt[474][3]~q\ & (\led_flash_cnt[474][2]~q\ & (\led_flash_cnt[474][4]~q\ & \led_flash_cnt[474][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[474][3]~q\,
	datab => \led_flash_cnt[474][2]~q\,
	datac => \led_flash_cnt[474][4]~q\,
	datad => \led_flash_cnt[474][1]~q\,
	combout => \WideAnd474~0_combout\);

-- Location: LCCOMB_X58_Y22_N14
\WideAnd474~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd474~1_combout\ = (\led_flash_cnt[474][5]~q\ & \led_flash_cnt[474][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[474][5]~q\,
	datad => \led_flash_cnt[474][6]~q\,
	combout => \WideAnd474~1_combout\);

-- Location: LCCOMB_X58_Y22_N10
WideAnd474 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd474~combout\ = (\led_flash_cnt[474][7]~q\ & (\WideAnd474~0_combout\ & (\WideAnd474~1_combout\ & \led_flash_cnt[474][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[474][7]~q\,
	datab => \WideAnd474~0_combout\,
	datac => \WideAnd474~1_combout\,
	datad => \led_flash_cnt[474][0]~q\,
	combout => \WideAnd474~combout\);

-- Location: FF_X58_Y22_N11
\led_flash_cnt_ands[474]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd474~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(474));

-- Location: LCCOMB_X61_Y18_N8
\led_flash_cnt[473][0]~81113\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[473][0]~81113_combout\ = !\led_flash_cnt[473][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[473][0]~q\,
	combout => \led_flash_cnt[473][0]~81113_combout\);

-- Location: FF_X61_Y18_N9
\led_flash_cnt[473][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[473][0]~81113_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[473][0]~q\);

-- Location: LCCOMB_X61_Y14_N18
\led_flash_cnt[473][1]~33502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[473][1]~33502_combout\ = (\led_flash_cnt[473][0]~q\ & (\led_flash_cnt[473][1]~q\ $ (VCC))) # (!\led_flash_cnt[473][0]~q\ & (\led_flash_cnt[473][1]~q\ & VCC))
-- \led_flash_cnt[473][1]~33503\ = CARRY((\led_flash_cnt[473][0]~q\ & \led_flash_cnt[473][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[473][0]~q\,
	datab => \led_flash_cnt[473][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[473][1]~33502_combout\,
	cout => \led_flash_cnt[473][1]~33503\);

-- Location: FF_X61_Y14_N19
\led_flash_cnt[473][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[473][1]~33502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[473][1]~q\);

-- Location: LCCOMB_X61_Y14_N20
\led_flash_cnt[473][2]~33504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[473][2]~33504_combout\ = (\led_flash_cnt[473][2]~q\ & (!\led_flash_cnt[473][1]~33503\)) # (!\led_flash_cnt[473][2]~q\ & ((\led_flash_cnt[473][1]~33503\) # (GND)))
-- \led_flash_cnt[473][2]~33505\ = CARRY((!\led_flash_cnt[473][1]~33503\) # (!\led_flash_cnt[473][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[473][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[473][1]~33503\,
	combout => \led_flash_cnt[473][2]~33504_combout\,
	cout => \led_flash_cnt[473][2]~33505\);

-- Location: FF_X61_Y14_N21
\led_flash_cnt[473][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[473][2]~33504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[473][2]~q\);

-- Location: LCCOMB_X61_Y14_N22
\led_flash_cnt[473][3]~33506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[473][3]~33506_combout\ = (\led_flash_cnt[473][3]~q\ & (\led_flash_cnt[473][2]~33505\ $ (GND))) # (!\led_flash_cnt[473][3]~q\ & (!\led_flash_cnt[473][2]~33505\ & VCC))
-- \led_flash_cnt[473][3]~33507\ = CARRY((\led_flash_cnt[473][3]~q\ & !\led_flash_cnt[473][2]~33505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[473][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[473][2]~33505\,
	combout => \led_flash_cnt[473][3]~33506_combout\,
	cout => \led_flash_cnt[473][3]~33507\);

-- Location: FF_X61_Y14_N23
\led_flash_cnt[473][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[473][3]~33506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[473][3]~q\);

-- Location: LCCOMB_X61_Y14_N24
\led_flash_cnt[473][4]~33508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[473][4]~33508_combout\ = (\led_flash_cnt[473][4]~q\ & (!\led_flash_cnt[473][3]~33507\)) # (!\led_flash_cnt[473][4]~q\ & ((\led_flash_cnt[473][3]~33507\) # (GND)))
-- \led_flash_cnt[473][4]~33509\ = CARRY((!\led_flash_cnt[473][3]~33507\) # (!\led_flash_cnt[473][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[473][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[473][3]~33507\,
	combout => \led_flash_cnt[473][4]~33508_combout\,
	cout => \led_flash_cnt[473][4]~33509\);

-- Location: FF_X61_Y14_N25
\led_flash_cnt[473][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[473][4]~33508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[473][4]~q\);

-- Location: LCCOMB_X61_Y14_N26
\led_flash_cnt[473][5]~33510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[473][5]~33510_combout\ = (\led_flash_cnt[473][5]~q\ & (\led_flash_cnt[473][4]~33509\ $ (GND))) # (!\led_flash_cnt[473][5]~q\ & (!\led_flash_cnt[473][4]~33509\ & VCC))
-- \led_flash_cnt[473][5]~33511\ = CARRY((\led_flash_cnt[473][5]~q\ & !\led_flash_cnt[473][4]~33509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[473][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[473][4]~33509\,
	combout => \led_flash_cnt[473][5]~33510_combout\,
	cout => \led_flash_cnt[473][5]~33511\);

-- Location: FF_X61_Y14_N27
\led_flash_cnt[473][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[473][5]~33510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[473][5]~q\);

-- Location: LCCOMB_X61_Y14_N28
\led_flash_cnt[473][6]~33512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[473][6]~33512_combout\ = (\led_flash_cnt[473][6]~q\ & (!\led_flash_cnt[473][5]~33511\)) # (!\led_flash_cnt[473][6]~q\ & ((\led_flash_cnt[473][5]~33511\) # (GND)))
-- \led_flash_cnt[473][6]~33513\ = CARRY((!\led_flash_cnt[473][5]~33511\) # (!\led_flash_cnt[473][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[473][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[473][5]~33511\,
	combout => \led_flash_cnt[473][6]~33512_combout\,
	cout => \led_flash_cnt[473][6]~33513\);

-- Location: FF_X61_Y14_N29
\led_flash_cnt[473][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[473][6]~33512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[473][6]~q\);

-- Location: LCCOMB_X61_Y14_N30
\led_flash_cnt[473][7]~33514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[473][7]~33514_combout\ = \led_flash_cnt[473][7]~q\ $ (!\led_flash_cnt[473][6]~33513\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[473][7]~q\,
	cin => \led_flash_cnt[473][6]~33513\,
	combout => \led_flash_cnt[473][7]~33514_combout\);

-- Location: FF_X61_Y14_N31
\led_flash_cnt[473][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[473][7]~33514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[473][7]~q\);

-- Location: LCCOMB_X61_Y14_N0
\WideAnd473~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd473~0_combout\ = (\led_flash_cnt[473][4]~q\ & (\led_flash_cnt[473][2]~q\ & (\led_flash_cnt[473][3]~q\ & \led_flash_cnt[473][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[473][4]~q\,
	datab => \led_flash_cnt[473][2]~q\,
	datac => \led_flash_cnt[473][3]~q\,
	datad => \led_flash_cnt[473][1]~q\,
	combout => \WideAnd473~0_combout\);

-- Location: LCCOMB_X61_Y18_N6
\WideAnd473~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd473~1_combout\ = (\led_flash_cnt[473][6]~q\ & \led_flash_cnt[473][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[473][6]~q\,
	datad => \led_flash_cnt[473][5]~q\,
	combout => \WideAnd473~1_combout\);

-- Location: LCCOMB_X61_Y18_N2
WideAnd473 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd473~combout\ = (\led_flash_cnt[473][0]~q\ & (\led_flash_cnt[473][7]~q\ & (\WideAnd473~0_combout\ & \WideAnd473~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[473][0]~q\,
	datab => \led_flash_cnt[473][7]~q\,
	datac => \WideAnd473~0_combout\,
	datad => \WideAnd473~1_combout\,
	combout => \WideAnd473~combout\);

-- Location: FF_X61_Y18_N3
\led_flash_cnt_ands[473]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd473~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(473));

-- Location: LCCOMB_X61_Y18_N30
\WideAnd3899~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3899~0_combout\ = (led_flash_cnt_ands(472) & (led_flash_cnt_ands(475) & (led_flash_cnt_ands(474) & led_flash_cnt_ands(473))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(472),
	datab => led_flash_cnt_ands(475),
	datac => led_flash_cnt_ands(474),
	datad => led_flash_cnt_ands(473),
	combout => \WideAnd3899~0_combout\);

-- Location: LCCOMB_X50_Y36_N26
WideAnd3899 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3899~combout\ = (led_flash_cnt_ands(478) & (led_flash_cnt_ands(479) & (\WideAnd3899~1_combout\ & \WideAnd3899~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(478),
	datab => led_flash_cnt_ands(479),
	datac => \WideAnd3899~1_combout\,
	datad => \WideAnd3899~0_combout\,
	combout => \WideAnd3899~combout\);

-- Location: FF_X50_Y36_N27
\led_flash_cnt_ands_1[59]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3899~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(59));

-- Location: LCCOMB_X63_Y33_N18
\led_flash_cnt[455][0]~81095\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[455][0]~81095_combout\ = !\led_flash_cnt[455][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[455][0]~q\,
	combout => \led_flash_cnt[455][0]~81095_combout\);

-- Location: FF_X63_Y33_N19
\led_flash_cnt[455][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[455][0]~81095_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[455][0]~q\);

-- Location: LCCOMB_X63_Y33_N0
\led_flash_cnt[455][1]~33250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[455][1]~33250_combout\ = (\led_flash_cnt[455][1]~q\ & (\led_flash_cnt[455][0]~q\ $ (VCC))) # (!\led_flash_cnt[455][1]~q\ & (\led_flash_cnt[455][0]~q\ & VCC))
-- \led_flash_cnt[455][1]~33251\ = CARRY((\led_flash_cnt[455][1]~q\ & \led_flash_cnt[455][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[455][1]~q\,
	datab => \led_flash_cnt[455][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[455][1]~33250_combout\,
	cout => \led_flash_cnt[455][1]~33251\);

-- Location: FF_X63_Y33_N1
\led_flash_cnt[455][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[455][1]~33250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[455][1]~q\);

-- Location: LCCOMB_X63_Y33_N2
\led_flash_cnt[455][2]~33252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[455][2]~33252_combout\ = (\led_flash_cnt[455][2]~q\ & (!\led_flash_cnt[455][1]~33251\)) # (!\led_flash_cnt[455][2]~q\ & ((\led_flash_cnt[455][1]~33251\) # (GND)))
-- \led_flash_cnt[455][2]~33253\ = CARRY((!\led_flash_cnt[455][1]~33251\) # (!\led_flash_cnt[455][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[455][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[455][1]~33251\,
	combout => \led_flash_cnt[455][2]~33252_combout\,
	cout => \led_flash_cnt[455][2]~33253\);

-- Location: FF_X63_Y33_N3
\led_flash_cnt[455][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[455][2]~33252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[455][2]~q\);

-- Location: LCCOMB_X63_Y33_N4
\led_flash_cnt[455][3]~33254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[455][3]~33254_combout\ = (\led_flash_cnt[455][3]~q\ & (\led_flash_cnt[455][2]~33253\ $ (GND))) # (!\led_flash_cnt[455][3]~q\ & (!\led_flash_cnt[455][2]~33253\ & VCC))
-- \led_flash_cnt[455][3]~33255\ = CARRY((\led_flash_cnt[455][3]~q\ & !\led_flash_cnt[455][2]~33253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[455][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[455][2]~33253\,
	combout => \led_flash_cnt[455][3]~33254_combout\,
	cout => \led_flash_cnt[455][3]~33255\);

-- Location: FF_X63_Y33_N5
\led_flash_cnt[455][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[455][3]~33254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[455][3]~q\);

-- Location: LCCOMB_X63_Y33_N6
\led_flash_cnt[455][4]~33256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[455][4]~33256_combout\ = (\led_flash_cnt[455][4]~q\ & (!\led_flash_cnt[455][3]~33255\)) # (!\led_flash_cnt[455][4]~q\ & ((\led_flash_cnt[455][3]~33255\) # (GND)))
-- \led_flash_cnt[455][4]~33257\ = CARRY((!\led_flash_cnt[455][3]~33255\) # (!\led_flash_cnt[455][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[455][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[455][3]~33255\,
	combout => \led_flash_cnt[455][4]~33256_combout\,
	cout => \led_flash_cnt[455][4]~33257\);

-- Location: FF_X63_Y33_N7
\led_flash_cnt[455][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[455][4]~33256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[455][4]~q\);

-- Location: LCCOMB_X63_Y33_N26
\WideAnd455~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd455~0_combout\ = (\led_flash_cnt[455][4]~q\ & (\led_flash_cnt[455][1]~q\ & (\led_flash_cnt[455][3]~q\ & \led_flash_cnt[455][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[455][4]~q\,
	datab => \led_flash_cnt[455][1]~q\,
	datac => \led_flash_cnt[455][3]~q\,
	datad => \led_flash_cnt[455][2]~q\,
	combout => \WideAnd455~0_combout\);

-- Location: LCCOMB_X63_Y33_N8
\led_flash_cnt[455][5]~33258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[455][5]~33258_combout\ = (\led_flash_cnt[455][5]~q\ & (\led_flash_cnt[455][4]~33257\ $ (GND))) # (!\led_flash_cnt[455][5]~q\ & (!\led_flash_cnt[455][4]~33257\ & VCC))
-- \led_flash_cnt[455][5]~33259\ = CARRY((\led_flash_cnt[455][5]~q\ & !\led_flash_cnt[455][4]~33257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[455][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[455][4]~33257\,
	combout => \led_flash_cnt[455][5]~33258_combout\,
	cout => \led_flash_cnt[455][5]~33259\);

-- Location: FF_X63_Y33_N9
\led_flash_cnt[455][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[455][5]~33258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[455][5]~q\);

-- Location: LCCOMB_X63_Y33_N10
\led_flash_cnt[455][6]~33260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[455][6]~33260_combout\ = (\led_flash_cnt[455][6]~q\ & (!\led_flash_cnt[455][5]~33259\)) # (!\led_flash_cnt[455][6]~q\ & ((\led_flash_cnt[455][5]~33259\) # (GND)))
-- \led_flash_cnt[455][6]~33261\ = CARRY((!\led_flash_cnt[455][5]~33259\) # (!\led_flash_cnt[455][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[455][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[455][5]~33259\,
	combout => \led_flash_cnt[455][6]~33260_combout\,
	cout => \led_flash_cnt[455][6]~33261\);

-- Location: FF_X63_Y33_N11
\led_flash_cnt[455][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[455][6]~33260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[455][6]~q\);

-- Location: LCCOMB_X63_Y33_N22
\WideAnd455~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd455~1_combout\ = (\led_flash_cnt[455][5]~q\ & \led_flash_cnt[455][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[455][5]~q\,
	datad => \led_flash_cnt[455][6]~q\,
	combout => \WideAnd455~1_combout\);

-- Location: LCCOMB_X63_Y33_N12
\led_flash_cnt[455][7]~33262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[455][7]~33262_combout\ = \led_flash_cnt[455][6]~33261\ $ (!\led_flash_cnt[455][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[455][7]~q\,
	cin => \led_flash_cnt[455][6]~33261\,
	combout => \led_flash_cnt[455][7]~33262_combout\);

-- Location: FF_X63_Y33_N13
\led_flash_cnt[455][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[455][7]~33262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[455][7]~q\);

-- Location: LCCOMB_X63_Y33_N24
WideAnd455 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd455~combout\ = (\WideAnd455~0_combout\ & (\led_flash_cnt[455][0]~q\ & (\WideAnd455~1_combout\ & \led_flash_cnt[455][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd455~0_combout\,
	datab => \led_flash_cnt[455][0]~q\,
	datac => \WideAnd455~1_combout\,
	datad => \led_flash_cnt[455][7]~q\,
	combout => \WideAnd455~combout\);

-- Location: FF_X63_Y33_N25
\led_flash_cnt_ands[455]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd455~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(455));

-- Location: LCCOMB_X65_Y31_N12
\led_flash_cnt[454][0]~81094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[454][0]~81094_combout\ = !\led_flash_cnt[454][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[454][0]~q\,
	combout => \led_flash_cnt[454][0]~81094_combout\);

-- Location: FF_X65_Y31_N13
\led_flash_cnt[454][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[454][0]~81094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[454][0]~q\);

-- Location: LCCOMB_X65_Y31_N18
\led_flash_cnt[454][1]~33236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[454][1]~33236_combout\ = (\led_flash_cnt[454][0]~q\ & (\led_flash_cnt[454][1]~q\ $ (VCC))) # (!\led_flash_cnt[454][0]~q\ & (\led_flash_cnt[454][1]~q\ & VCC))
-- \led_flash_cnt[454][1]~33237\ = CARRY((\led_flash_cnt[454][0]~q\ & \led_flash_cnt[454][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[454][0]~q\,
	datab => \led_flash_cnt[454][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[454][1]~33236_combout\,
	cout => \led_flash_cnt[454][1]~33237\);

-- Location: FF_X65_Y31_N19
\led_flash_cnt[454][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[454][1]~33236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[454][1]~q\);

-- Location: LCCOMB_X65_Y31_N20
\led_flash_cnt[454][2]~33238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[454][2]~33238_combout\ = (\led_flash_cnt[454][2]~q\ & (!\led_flash_cnt[454][1]~33237\)) # (!\led_flash_cnt[454][2]~q\ & ((\led_flash_cnt[454][1]~33237\) # (GND)))
-- \led_flash_cnt[454][2]~33239\ = CARRY((!\led_flash_cnt[454][1]~33237\) # (!\led_flash_cnt[454][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[454][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[454][1]~33237\,
	combout => \led_flash_cnt[454][2]~33238_combout\,
	cout => \led_flash_cnt[454][2]~33239\);

-- Location: FF_X65_Y31_N21
\led_flash_cnt[454][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[454][2]~33238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[454][2]~q\);

-- Location: LCCOMB_X65_Y31_N22
\led_flash_cnt[454][3]~33240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[454][3]~33240_combout\ = (\led_flash_cnt[454][3]~q\ & (\led_flash_cnt[454][2]~33239\ $ (GND))) # (!\led_flash_cnt[454][3]~q\ & (!\led_flash_cnt[454][2]~33239\ & VCC))
-- \led_flash_cnt[454][3]~33241\ = CARRY((\led_flash_cnt[454][3]~q\ & !\led_flash_cnt[454][2]~33239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[454][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[454][2]~33239\,
	combout => \led_flash_cnt[454][3]~33240_combout\,
	cout => \led_flash_cnt[454][3]~33241\);

-- Location: FF_X65_Y31_N23
\led_flash_cnt[454][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[454][3]~33240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[454][3]~q\);

-- Location: LCCOMB_X65_Y31_N24
\led_flash_cnt[454][4]~33242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[454][4]~33242_combout\ = (\led_flash_cnt[454][4]~q\ & (!\led_flash_cnt[454][3]~33241\)) # (!\led_flash_cnt[454][4]~q\ & ((\led_flash_cnt[454][3]~33241\) # (GND)))
-- \led_flash_cnt[454][4]~33243\ = CARRY((!\led_flash_cnt[454][3]~33241\) # (!\led_flash_cnt[454][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[454][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[454][3]~33241\,
	combout => \led_flash_cnt[454][4]~33242_combout\,
	cout => \led_flash_cnt[454][4]~33243\);

-- Location: FF_X65_Y31_N25
\led_flash_cnt[454][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[454][4]~33242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[454][4]~q\);

-- Location: LCCOMB_X65_Y31_N26
\led_flash_cnt[454][5]~33244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[454][5]~33244_combout\ = (\led_flash_cnt[454][5]~q\ & (\led_flash_cnt[454][4]~33243\ $ (GND))) # (!\led_flash_cnt[454][5]~q\ & (!\led_flash_cnt[454][4]~33243\ & VCC))
-- \led_flash_cnt[454][5]~33245\ = CARRY((\led_flash_cnt[454][5]~q\ & !\led_flash_cnt[454][4]~33243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[454][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[454][4]~33243\,
	combout => \led_flash_cnt[454][5]~33244_combout\,
	cout => \led_flash_cnt[454][5]~33245\);

-- Location: FF_X65_Y31_N27
\led_flash_cnt[454][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[454][5]~33244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[454][5]~q\);

-- Location: LCCOMB_X65_Y31_N28
\led_flash_cnt[454][6]~33246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[454][6]~33246_combout\ = (\led_flash_cnt[454][6]~q\ & (!\led_flash_cnt[454][5]~33245\)) # (!\led_flash_cnt[454][6]~q\ & ((\led_flash_cnt[454][5]~33245\) # (GND)))
-- \led_flash_cnt[454][6]~33247\ = CARRY((!\led_flash_cnt[454][5]~33245\) # (!\led_flash_cnt[454][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[454][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[454][5]~33245\,
	combout => \led_flash_cnt[454][6]~33246_combout\,
	cout => \led_flash_cnt[454][6]~33247\);

-- Location: FF_X65_Y31_N29
\led_flash_cnt[454][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[454][6]~33246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[454][6]~q\);

-- Location: LCCOMB_X65_Y31_N10
\WideAnd454~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd454~1_combout\ = (\led_flash_cnt[454][5]~q\ & \led_flash_cnt[454][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[454][5]~q\,
	datad => \led_flash_cnt[454][6]~q\,
	combout => \WideAnd454~1_combout\);

-- Location: LCCOMB_X65_Y31_N16
\WideAnd454~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd454~0_combout\ = (\led_flash_cnt[454][4]~q\ & (\led_flash_cnt[454][2]~q\ & (\led_flash_cnt[454][3]~q\ & \led_flash_cnt[454][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[454][4]~q\,
	datab => \led_flash_cnt[454][2]~q\,
	datac => \led_flash_cnt[454][3]~q\,
	datad => \led_flash_cnt[454][1]~q\,
	combout => \WideAnd454~0_combout\);

-- Location: LCCOMB_X65_Y31_N30
\led_flash_cnt[454][7]~33248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[454][7]~33248_combout\ = \led_flash_cnt[454][7]~q\ $ (!\led_flash_cnt[454][6]~33247\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[454][7]~q\,
	cin => \led_flash_cnt[454][6]~33247\,
	combout => \led_flash_cnt[454][7]~33248_combout\);

-- Location: FF_X65_Y31_N31
\led_flash_cnt[454][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[454][7]~33248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[454][7]~q\);

-- Location: LCCOMB_X65_Y31_N4
WideAnd454 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd454~combout\ = (\WideAnd454~1_combout\ & (\WideAnd454~0_combout\ & (\led_flash_cnt[454][7]~q\ & \led_flash_cnt[454][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd454~1_combout\,
	datab => \WideAnd454~0_combout\,
	datac => \led_flash_cnt[454][7]~q\,
	datad => \led_flash_cnt[454][0]~q\,
	combout => \WideAnd454~combout\);

-- Location: FF_X65_Y31_N5
\led_flash_cnt_ands[454]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd454~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(454));

-- Location: LCCOMB_X71_Y17_N22
\led_flash_cnt[448][0]~81088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[448][0]~81088_combout\ = !\led_flash_cnt[448][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[448][0]~q\,
	combout => \led_flash_cnt[448][0]~81088_combout\);

-- Location: FF_X71_Y17_N23
\led_flash_cnt[448][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[448][0]~81088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[448][0]~q\);

-- Location: LCCOMB_X71_Y17_N8
\led_flash_cnt[448][1]~33152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[448][1]~33152_combout\ = (\led_flash_cnt[448][0]~q\ & (\led_flash_cnt[448][1]~q\ $ (VCC))) # (!\led_flash_cnt[448][0]~q\ & (\led_flash_cnt[448][1]~q\ & VCC))
-- \led_flash_cnt[448][1]~33153\ = CARRY((\led_flash_cnt[448][0]~q\ & \led_flash_cnt[448][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[448][0]~q\,
	datab => \led_flash_cnt[448][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[448][1]~33152_combout\,
	cout => \led_flash_cnt[448][1]~33153\);

-- Location: FF_X71_Y17_N9
\led_flash_cnt[448][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[448][1]~33152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[448][1]~q\);

-- Location: LCCOMB_X71_Y17_N10
\led_flash_cnt[448][2]~33154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[448][2]~33154_combout\ = (\led_flash_cnt[448][2]~q\ & (!\led_flash_cnt[448][1]~33153\)) # (!\led_flash_cnt[448][2]~q\ & ((\led_flash_cnt[448][1]~33153\) # (GND)))
-- \led_flash_cnt[448][2]~33155\ = CARRY((!\led_flash_cnt[448][1]~33153\) # (!\led_flash_cnt[448][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[448][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[448][1]~33153\,
	combout => \led_flash_cnt[448][2]~33154_combout\,
	cout => \led_flash_cnt[448][2]~33155\);

-- Location: FF_X71_Y17_N11
\led_flash_cnt[448][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[448][2]~33154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[448][2]~q\);

-- Location: LCCOMB_X71_Y17_N12
\led_flash_cnt[448][3]~33156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[448][3]~33156_combout\ = (\led_flash_cnt[448][3]~q\ & (\led_flash_cnt[448][2]~33155\ $ (GND))) # (!\led_flash_cnt[448][3]~q\ & (!\led_flash_cnt[448][2]~33155\ & VCC))
-- \led_flash_cnt[448][3]~33157\ = CARRY((\led_flash_cnt[448][3]~q\ & !\led_flash_cnt[448][2]~33155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[448][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[448][2]~33155\,
	combout => \led_flash_cnt[448][3]~33156_combout\,
	cout => \led_flash_cnt[448][3]~33157\);

-- Location: FF_X71_Y17_N13
\led_flash_cnt[448][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[448][3]~33156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[448][3]~q\);

-- Location: LCCOMB_X71_Y17_N14
\led_flash_cnt[448][4]~33158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[448][4]~33158_combout\ = (\led_flash_cnt[448][4]~q\ & (!\led_flash_cnt[448][3]~33157\)) # (!\led_flash_cnt[448][4]~q\ & ((\led_flash_cnt[448][3]~33157\) # (GND)))
-- \led_flash_cnt[448][4]~33159\ = CARRY((!\led_flash_cnt[448][3]~33157\) # (!\led_flash_cnt[448][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[448][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[448][3]~33157\,
	combout => \led_flash_cnt[448][4]~33158_combout\,
	cout => \led_flash_cnt[448][4]~33159\);

-- Location: FF_X71_Y17_N15
\led_flash_cnt[448][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[448][4]~33158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[448][4]~q\);

-- Location: LCCOMB_X71_Y17_N16
\led_flash_cnt[448][5]~33160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[448][5]~33160_combout\ = (\led_flash_cnt[448][5]~q\ & (\led_flash_cnt[448][4]~33159\ $ (GND))) # (!\led_flash_cnt[448][5]~q\ & (!\led_flash_cnt[448][4]~33159\ & VCC))
-- \led_flash_cnt[448][5]~33161\ = CARRY((\led_flash_cnt[448][5]~q\ & !\led_flash_cnt[448][4]~33159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[448][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[448][4]~33159\,
	combout => \led_flash_cnt[448][5]~33160_combout\,
	cout => \led_flash_cnt[448][5]~33161\);

-- Location: FF_X71_Y17_N17
\led_flash_cnt[448][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[448][5]~33160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[448][5]~q\);

-- Location: LCCOMB_X71_Y17_N18
\led_flash_cnt[448][6]~33162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[448][6]~33162_combout\ = (\led_flash_cnt[448][6]~q\ & (!\led_flash_cnt[448][5]~33161\)) # (!\led_flash_cnt[448][6]~q\ & ((\led_flash_cnt[448][5]~33161\) # (GND)))
-- \led_flash_cnt[448][6]~33163\ = CARRY((!\led_flash_cnt[448][5]~33161\) # (!\led_flash_cnt[448][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[448][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[448][5]~33161\,
	combout => \led_flash_cnt[448][6]~33162_combout\,
	cout => \led_flash_cnt[448][6]~33163\);

-- Location: FF_X71_Y17_N19
\led_flash_cnt[448][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[448][6]~33162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[448][6]~q\);

-- Location: LCCOMB_X71_Y17_N20
\led_flash_cnt[448][7]~33164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[448][7]~33164_combout\ = \led_flash_cnt[448][6]~33163\ $ (!\led_flash_cnt[448][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[448][7]~q\,
	cin => \led_flash_cnt[448][6]~33163\,
	combout => \led_flash_cnt[448][7]~33164_combout\);

-- Location: FF_X71_Y17_N21
\led_flash_cnt[448][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[448][7]~33164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[448][7]~q\);

-- Location: LCCOMB_X71_Y17_N26
\WideAnd448~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd448~1_combout\ = (\led_flash_cnt[448][6]~q\ & \led_flash_cnt[448][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[448][6]~q\,
	datad => \led_flash_cnt[448][5]~q\,
	combout => \WideAnd448~1_combout\);

-- Location: LCCOMB_X71_Y17_N28
\WideAnd448~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd448~0_combout\ = (\led_flash_cnt[448][3]~q\ & (\led_flash_cnt[448][4]~q\ & (\led_flash_cnt[448][1]~q\ & \led_flash_cnt[448][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[448][3]~q\,
	datab => \led_flash_cnt[448][4]~q\,
	datac => \led_flash_cnt[448][1]~q\,
	datad => \led_flash_cnt[448][2]~q\,
	combout => \WideAnd448~0_combout\);

-- Location: LCCOMB_X71_Y17_N4
WideAnd448 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd448~combout\ = (\led_flash_cnt[448][0]~q\ & (\led_flash_cnt[448][7]~q\ & (\WideAnd448~1_combout\ & \WideAnd448~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[448][0]~q\,
	datab => \led_flash_cnt[448][7]~q\,
	datac => \WideAnd448~1_combout\,
	datad => \WideAnd448~0_combout\,
	combout => \WideAnd448~combout\);

-- Location: FF_X71_Y17_N5
\led_flash_cnt_ands[448]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd448~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(448));

-- Location: LCCOMB_X70_Y17_N18
\led_flash_cnt[451][0]~81091\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[451][0]~81091_combout\ = !\led_flash_cnt[451][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[451][0]~q\,
	combout => \led_flash_cnt[451][0]~81091_combout\);

-- Location: FF_X70_Y17_N19
\led_flash_cnt[451][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[451][0]~81091_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[451][0]~q\);

-- Location: LCCOMB_X70_Y17_N0
\led_flash_cnt[451][1]~33194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[451][1]~33194_combout\ = (\led_flash_cnt[451][1]~q\ & (\led_flash_cnt[451][0]~q\ $ (VCC))) # (!\led_flash_cnt[451][1]~q\ & (\led_flash_cnt[451][0]~q\ & VCC))
-- \led_flash_cnt[451][1]~33195\ = CARRY((\led_flash_cnt[451][1]~q\ & \led_flash_cnt[451][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[451][1]~q\,
	datab => \led_flash_cnt[451][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[451][1]~33194_combout\,
	cout => \led_flash_cnt[451][1]~33195\);

-- Location: FF_X70_Y17_N1
\led_flash_cnt[451][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[451][1]~33194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[451][1]~q\);

-- Location: LCCOMB_X70_Y17_N2
\led_flash_cnt[451][2]~33196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[451][2]~33196_combout\ = (\led_flash_cnt[451][2]~q\ & (!\led_flash_cnt[451][1]~33195\)) # (!\led_flash_cnt[451][2]~q\ & ((\led_flash_cnt[451][1]~33195\) # (GND)))
-- \led_flash_cnt[451][2]~33197\ = CARRY((!\led_flash_cnt[451][1]~33195\) # (!\led_flash_cnt[451][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[451][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[451][1]~33195\,
	combout => \led_flash_cnt[451][2]~33196_combout\,
	cout => \led_flash_cnt[451][2]~33197\);

-- Location: FF_X70_Y17_N3
\led_flash_cnt[451][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[451][2]~33196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[451][2]~q\);

-- Location: LCCOMB_X70_Y17_N4
\led_flash_cnt[451][3]~33198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[451][3]~33198_combout\ = (\led_flash_cnt[451][3]~q\ & (\led_flash_cnt[451][2]~33197\ $ (GND))) # (!\led_flash_cnt[451][3]~q\ & (!\led_flash_cnt[451][2]~33197\ & VCC))
-- \led_flash_cnt[451][3]~33199\ = CARRY((\led_flash_cnt[451][3]~q\ & !\led_flash_cnt[451][2]~33197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[451][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[451][2]~33197\,
	combout => \led_flash_cnt[451][3]~33198_combout\,
	cout => \led_flash_cnt[451][3]~33199\);

-- Location: FF_X70_Y17_N5
\led_flash_cnt[451][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[451][3]~33198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[451][3]~q\);

-- Location: LCCOMB_X70_Y17_N6
\led_flash_cnt[451][4]~33200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[451][4]~33200_combout\ = (\led_flash_cnt[451][4]~q\ & (!\led_flash_cnt[451][3]~33199\)) # (!\led_flash_cnt[451][4]~q\ & ((\led_flash_cnt[451][3]~33199\) # (GND)))
-- \led_flash_cnt[451][4]~33201\ = CARRY((!\led_flash_cnt[451][3]~33199\) # (!\led_flash_cnt[451][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[451][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[451][3]~33199\,
	combout => \led_flash_cnt[451][4]~33200_combout\,
	cout => \led_flash_cnt[451][4]~33201\);

-- Location: FF_X70_Y17_N7
\led_flash_cnt[451][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[451][4]~33200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[451][4]~q\);

-- Location: LCCOMB_X70_Y17_N8
\led_flash_cnt[451][5]~33202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[451][5]~33202_combout\ = (\led_flash_cnt[451][5]~q\ & (\led_flash_cnt[451][4]~33201\ $ (GND))) # (!\led_flash_cnt[451][5]~q\ & (!\led_flash_cnt[451][4]~33201\ & VCC))
-- \led_flash_cnt[451][5]~33203\ = CARRY((\led_flash_cnt[451][5]~q\ & !\led_flash_cnt[451][4]~33201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[451][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[451][4]~33201\,
	combout => \led_flash_cnt[451][5]~33202_combout\,
	cout => \led_flash_cnt[451][5]~33203\);

-- Location: FF_X70_Y17_N9
\led_flash_cnt[451][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[451][5]~33202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[451][5]~q\);

-- Location: LCCOMB_X70_Y17_N10
\led_flash_cnt[451][6]~33204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[451][6]~33204_combout\ = (\led_flash_cnt[451][6]~q\ & (!\led_flash_cnt[451][5]~33203\)) # (!\led_flash_cnt[451][6]~q\ & ((\led_flash_cnt[451][5]~33203\) # (GND)))
-- \led_flash_cnt[451][6]~33205\ = CARRY((!\led_flash_cnt[451][5]~33203\) # (!\led_flash_cnt[451][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[451][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[451][5]~33203\,
	combout => \led_flash_cnt[451][6]~33204_combout\,
	cout => \led_flash_cnt[451][6]~33205\);

-- Location: FF_X70_Y17_N11
\led_flash_cnt[451][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[451][6]~33204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[451][6]~q\);

-- Location: LCCOMB_X70_Y17_N12
\led_flash_cnt[451][7]~33206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[451][7]~33206_combout\ = \led_flash_cnt[451][6]~33205\ $ (!\led_flash_cnt[451][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[451][7]~q\,
	cin => \led_flash_cnt[451][6]~33205\,
	combout => \led_flash_cnt[451][7]~33206_combout\);

-- Location: FF_X70_Y17_N13
\led_flash_cnt[451][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[451][7]~33206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[451][7]~q\);

-- Location: LCCOMB_X70_Y17_N24
\WideAnd451~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd451~0_combout\ = (\led_flash_cnt[451][4]~q\ & (\led_flash_cnt[451][1]~q\ & (\led_flash_cnt[451][3]~q\ & \led_flash_cnt[451][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[451][4]~q\,
	datab => \led_flash_cnt[451][1]~q\,
	datac => \led_flash_cnt[451][3]~q\,
	datad => \led_flash_cnt[451][2]~q\,
	combout => \WideAnd451~0_combout\);

-- Location: LCCOMB_X70_Y17_N26
\WideAnd451~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd451~1_combout\ = (\led_flash_cnt[451][5]~q\ & \led_flash_cnt[451][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[451][5]~q\,
	datad => \led_flash_cnt[451][6]~q\,
	combout => \WideAnd451~1_combout\);

-- Location: LCCOMB_X70_Y17_N28
WideAnd451 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd451~combout\ = (\led_flash_cnt[451][7]~q\ & (\WideAnd451~0_combout\ & (\WideAnd451~1_combout\ & \led_flash_cnt[451][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[451][7]~q\,
	datab => \WideAnd451~0_combout\,
	datac => \WideAnd451~1_combout\,
	datad => \led_flash_cnt[451][0]~q\,
	combout => \WideAnd451~combout\);

-- Location: FF_X70_Y17_N29
\led_flash_cnt_ands[451]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd451~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(451));

-- Location: LCCOMB_X60_Y15_N18
\led_flash_cnt[450][0]~81090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[450][0]~81090_combout\ = !\led_flash_cnt[450][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[450][0]~q\,
	combout => \led_flash_cnt[450][0]~81090_combout\);

-- Location: FF_X60_Y15_N19
\led_flash_cnt[450][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[450][0]~81090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[450][0]~q\);

-- Location: LCCOMB_X59_Y15_N18
\led_flash_cnt[450][1]~33180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[450][1]~33180_combout\ = (\led_flash_cnt[450][1]~q\ & (\led_flash_cnt[450][0]~q\ $ (VCC))) # (!\led_flash_cnt[450][1]~q\ & (\led_flash_cnt[450][0]~q\ & VCC))
-- \led_flash_cnt[450][1]~33181\ = CARRY((\led_flash_cnt[450][1]~q\ & \led_flash_cnt[450][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[450][1]~q\,
	datab => \led_flash_cnt[450][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[450][1]~33180_combout\,
	cout => \led_flash_cnt[450][1]~33181\);

-- Location: FF_X59_Y15_N19
\led_flash_cnt[450][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[450][1]~33180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[450][1]~q\);

-- Location: LCCOMB_X59_Y15_N20
\led_flash_cnt[450][2]~33182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[450][2]~33182_combout\ = (\led_flash_cnt[450][2]~q\ & (!\led_flash_cnt[450][1]~33181\)) # (!\led_flash_cnt[450][2]~q\ & ((\led_flash_cnt[450][1]~33181\) # (GND)))
-- \led_flash_cnt[450][2]~33183\ = CARRY((!\led_flash_cnt[450][1]~33181\) # (!\led_flash_cnt[450][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[450][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[450][1]~33181\,
	combout => \led_flash_cnt[450][2]~33182_combout\,
	cout => \led_flash_cnt[450][2]~33183\);

-- Location: FF_X59_Y15_N21
\led_flash_cnt[450][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[450][2]~33182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[450][2]~q\);

-- Location: LCCOMB_X59_Y15_N22
\led_flash_cnt[450][3]~33184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[450][3]~33184_combout\ = (\led_flash_cnt[450][3]~q\ & (\led_flash_cnt[450][2]~33183\ $ (GND))) # (!\led_flash_cnt[450][3]~q\ & (!\led_flash_cnt[450][2]~33183\ & VCC))
-- \led_flash_cnt[450][3]~33185\ = CARRY((\led_flash_cnt[450][3]~q\ & !\led_flash_cnt[450][2]~33183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[450][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[450][2]~33183\,
	combout => \led_flash_cnt[450][3]~33184_combout\,
	cout => \led_flash_cnt[450][3]~33185\);

-- Location: FF_X59_Y15_N23
\led_flash_cnt[450][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[450][3]~33184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[450][3]~q\);

-- Location: LCCOMB_X59_Y15_N24
\led_flash_cnt[450][4]~33186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[450][4]~33186_combout\ = (\led_flash_cnt[450][4]~q\ & (!\led_flash_cnt[450][3]~33185\)) # (!\led_flash_cnt[450][4]~q\ & ((\led_flash_cnt[450][3]~33185\) # (GND)))
-- \led_flash_cnt[450][4]~33187\ = CARRY((!\led_flash_cnt[450][3]~33185\) # (!\led_flash_cnt[450][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[450][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[450][3]~33185\,
	combout => \led_flash_cnt[450][4]~33186_combout\,
	cout => \led_flash_cnt[450][4]~33187\);

-- Location: FF_X59_Y15_N25
\led_flash_cnt[450][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[450][4]~33186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[450][4]~q\);

-- Location: LCCOMB_X59_Y15_N26
\led_flash_cnt[450][5]~33188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[450][5]~33188_combout\ = (\led_flash_cnt[450][5]~q\ & (\led_flash_cnt[450][4]~33187\ $ (GND))) # (!\led_flash_cnt[450][5]~q\ & (!\led_flash_cnt[450][4]~33187\ & VCC))
-- \led_flash_cnt[450][5]~33189\ = CARRY((\led_flash_cnt[450][5]~q\ & !\led_flash_cnt[450][4]~33187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[450][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[450][4]~33187\,
	combout => \led_flash_cnt[450][5]~33188_combout\,
	cout => \led_flash_cnt[450][5]~33189\);

-- Location: FF_X59_Y15_N27
\led_flash_cnt[450][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[450][5]~33188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[450][5]~q\);

-- Location: LCCOMB_X59_Y15_N28
\led_flash_cnt[450][6]~33190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[450][6]~33190_combout\ = (\led_flash_cnt[450][6]~q\ & (!\led_flash_cnt[450][5]~33189\)) # (!\led_flash_cnt[450][6]~q\ & ((\led_flash_cnt[450][5]~33189\) # (GND)))
-- \led_flash_cnt[450][6]~33191\ = CARRY((!\led_flash_cnt[450][5]~33189\) # (!\led_flash_cnt[450][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[450][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[450][5]~33189\,
	combout => \led_flash_cnt[450][6]~33190_combout\,
	cout => \led_flash_cnt[450][6]~33191\);

-- Location: FF_X59_Y15_N29
\led_flash_cnt[450][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[450][6]~33190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[450][6]~q\);

-- Location: LCCOMB_X60_Y15_N30
\WideAnd450~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd450~1_combout\ = (\led_flash_cnt[450][5]~q\ & \led_flash_cnt[450][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[450][5]~q\,
	datad => \led_flash_cnt[450][6]~q\,
	combout => \WideAnd450~1_combout\);

-- Location: LCCOMB_X59_Y15_N30
\led_flash_cnt[450][7]~33192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[450][7]~33192_combout\ = \led_flash_cnt[450][7]~q\ $ (!\led_flash_cnt[450][6]~33191\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[450][7]~q\,
	cin => \led_flash_cnt[450][6]~33191\,
	combout => \led_flash_cnt[450][7]~33192_combout\);

-- Location: FF_X59_Y15_N31
\led_flash_cnt[450][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[450][7]~33192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[450][7]~q\);

-- Location: LCCOMB_X59_Y15_N16
\WideAnd450~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd450~0_combout\ = (\led_flash_cnt[450][1]~q\ & (\led_flash_cnt[450][2]~q\ & (\led_flash_cnt[450][3]~q\ & \led_flash_cnt[450][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[450][1]~q\,
	datab => \led_flash_cnt[450][2]~q\,
	datac => \led_flash_cnt[450][3]~q\,
	datad => \led_flash_cnt[450][4]~q\,
	combout => \WideAnd450~0_combout\);

-- Location: LCCOMB_X60_Y15_N16
WideAnd450 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd450~combout\ = (\WideAnd450~1_combout\ & (\led_flash_cnt[450][7]~q\ & (\WideAnd450~0_combout\ & \led_flash_cnt[450][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd450~1_combout\,
	datab => \led_flash_cnt[450][7]~q\,
	datac => \WideAnd450~0_combout\,
	datad => \led_flash_cnt[450][0]~q\,
	combout => \WideAnd450~combout\);

-- Location: FF_X60_Y15_N17
\led_flash_cnt_ands[450]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd450~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(450));

-- Location: LCCOMB_X69_Y17_N10
\led_flash_cnt[449][0]~81089\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[449][0]~81089_combout\ = !\led_flash_cnt[449][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[449][0]~q\,
	combout => \led_flash_cnt[449][0]~81089_combout\);

-- Location: FF_X69_Y17_N11
\led_flash_cnt[449][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[449][0]~81089_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[449][0]~q\);

-- Location: LCCOMB_X69_Y17_N16
\led_flash_cnt[449][1]~33166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[449][1]~33166_combout\ = (\led_flash_cnt[449][0]~q\ & (\led_flash_cnt[449][1]~q\ $ (VCC))) # (!\led_flash_cnt[449][0]~q\ & (\led_flash_cnt[449][1]~q\ & VCC))
-- \led_flash_cnt[449][1]~33167\ = CARRY((\led_flash_cnt[449][0]~q\ & \led_flash_cnt[449][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[449][0]~q\,
	datab => \led_flash_cnt[449][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[449][1]~33166_combout\,
	cout => \led_flash_cnt[449][1]~33167\);

-- Location: FF_X69_Y17_N17
\led_flash_cnt[449][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[449][1]~33166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[449][1]~q\);

-- Location: LCCOMB_X69_Y17_N18
\led_flash_cnt[449][2]~33168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[449][2]~33168_combout\ = (\led_flash_cnt[449][2]~q\ & (!\led_flash_cnt[449][1]~33167\)) # (!\led_flash_cnt[449][2]~q\ & ((\led_flash_cnt[449][1]~33167\) # (GND)))
-- \led_flash_cnt[449][2]~33169\ = CARRY((!\led_flash_cnt[449][1]~33167\) # (!\led_flash_cnt[449][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[449][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[449][1]~33167\,
	combout => \led_flash_cnt[449][2]~33168_combout\,
	cout => \led_flash_cnt[449][2]~33169\);

-- Location: FF_X69_Y17_N19
\led_flash_cnt[449][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[449][2]~33168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[449][2]~q\);

-- Location: LCCOMB_X69_Y17_N20
\led_flash_cnt[449][3]~33170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[449][3]~33170_combout\ = (\led_flash_cnt[449][3]~q\ & (\led_flash_cnt[449][2]~33169\ $ (GND))) # (!\led_flash_cnt[449][3]~q\ & (!\led_flash_cnt[449][2]~33169\ & VCC))
-- \led_flash_cnt[449][3]~33171\ = CARRY((\led_flash_cnt[449][3]~q\ & !\led_flash_cnt[449][2]~33169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[449][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[449][2]~33169\,
	combout => \led_flash_cnt[449][3]~33170_combout\,
	cout => \led_flash_cnt[449][3]~33171\);

-- Location: FF_X69_Y17_N21
\led_flash_cnt[449][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[449][3]~33170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[449][3]~q\);

-- Location: LCCOMB_X69_Y17_N22
\led_flash_cnt[449][4]~33172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[449][4]~33172_combout\ = (\led_flash_cnt[449][4]~q\ & (!\led_flash_cnt[449][3]~33171\)) # (!\led_flash_cnt[449][4]~q\ & ((\led_flash_cnt[449][3]~33171\) # (GND)))
-- \led_flash_cnt[449][4]~33173\ = CARRY((!\led_flash_cnt[449][3]~33171\) # (!\led_flash_cnt[449][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[449][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[449][3]~33171\,
	combout => \led_flash_cnt[449][4]~33172_combout\,
	cout => \led_flash_cnt[449][4]~33173\);

-- Location: FF_X69_Y17_N23
\led_flash_cnt[449][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[449][4]~33172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[449][4]~q\);

-- Location: LCCOMB_X69_Y17_N24
\led_flash_cnt[449][5]~33174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[449][5]~33174_combout\ = (\led_flash_cnt[449][5]~q\ & (\led_flash_cnt[449][4]~33173\ $ (GND))) # (!\led_flash_cnt[449][5]~q\ & (!\led_flash_cnt[449][4]~33173\ & VCC))
-- \led_flash_cnt[449][5]~33175\ = CARRY((\led_flash_cnt[449][5]~q\ & !\led_flash_cnt[449][4]~33173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[449][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[449][4]~33173\,
	combout => \led_flash_cnt[449][5]~33174_combout\,
	cout => \led_flash_cnt[449][5]~33175\);

-- Location: FF_X69_Y17_N25
\led_flash_cnt[449][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[449][5]~33174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[449][5]~q\);

-- Location: LCCOMB_X69_Y17_N26
\led_flash_cnt[449][6]~33176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[449][6]~33176_combout\ = (\led_flash_cnt[449][6]~q\ & (!\led_flash_cnt[449][5]~33175\)) # (!\led_flash_cnt[449][6]~q\ & ((\led_flash_cnt[449][5]~33175\) # (GND)))
-- \led_flash_cnt[449][6]~33177\ = CARRY((!\led_flash_cnt[449][5]~33175\) # (!\led_flash_cnt[449][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[449][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[449][5]~33175\,
	combout => \led_flash_cnt[449][6]~33176_combout\,
	cout => \led_flash_cnt[449][6]~33177\);

-- Location: FF_X69_Y17_N27
\led_flash_cnt[449][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[449][6]~33176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[449][6]~q\);

-- Location: LCCOMB_X69_Y17_N28
\led_flash_cnt[449][7]~33178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[449][7]~33178_combout\ = \led_flash_cnt[449][6]~33177\ $ (!\led_flash_cnt[449][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[449][7]~q\,
	cin => \led_flash_cnt[449][6]~33177\,
	combout => \led_flash_cnt[449][7]~33178_combout\);

-- Location: FF_X69_Y17_N29
\led_flash_cnt[449][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[449][7]~33178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[449][7]~q\);

-- Location: LCCOMB_X69_Y17_N8
\WideAnd449~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd449~1_combout\ = (\led_flash_cnt[449][6]~q\ & \led_flash_cnt[449][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[449][6]~q\,
	datad => \led_flash_cnt[449][5]~q\,
	combout => \WideAnd449~1_combout\);

-- Location: LCCOMB_X69_Y17_N12
\WideAnd449~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd449~0_combout\ = (\led_flash_cnt[449][3]~q\ & (\led_flash_cnt[449][2]~q\ & (\led_flash_cnt[449][4]~q\ & \led_flash_cnt[449][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[449][3]~q\,
	datab => \led_flash_cnt[449][2]~q\,
	datac => \led_flash_cnt[449][4]~q\,
	datad => \led_flash_cnt[449][1]~q\,
	combout => \WideAnd449~0_combout\);

-- Location: LCCOMB_X69_Y17_N6
WideAnd449 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd449~combout\ = (\led_flash_cnt[449][0]~q\ & (\led_flash_cnt[449][7]~q\ & (\WideAnd449~1_combout\ & \WideAnd449~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[449][0]~q\,
	datab => \led_flash_cnt[449][7]~q\,
	datac => \WideAnd449~1_combout\,
	datad => \WideAnd449~0_combout\,
	combout => \WideAnd449~combout\);

-- Location: FF_X69_Y17_N7
\led_flash_cnt_ands[449]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd449~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(449));

-- Location: LCCOMB_X69_Y17_N4
\WideAnd3896~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3896~0_combout\ = (led_flash_cnt_ands(448) & (led_flash_cnt_ands(451) & (led_flash_cnt_ands(450) & led_flash_cnt_ands(449))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(448),
	datab => led_flash_cnt_ands(451),
	datac => led_flash_cnt_ands(450),
	datad => led_flash_cnt_ands(449),
	combout => \WideAnd3896~0_combout\);

-- Location: LCCOMB_X65_Y33_N12
\led_flash_cnt[452][0]~81092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[452][0]~81092_combout\ = !\led_flash_cnt[452][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[452][0]~q\,
	combout => \led_flash_cnt[452][0]~81092_combout\);

-- Location: FF_X65_Y33_N13
\led_flash_cnt[452][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[452][0]~81092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[452][0]~q\);

-- Location: LCCOMB_X65_Y33_N18
\led_flash_cnt[452][1]~33208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[452][1]~33208_combout\ = (\led_flash_cnt[452][0]~q\ & (\led_flash_cnt[452][1]~q\ $ (VCC))) # (!\led_flash_cnt[452][0]~q\ & (\led_flash_cnt[452][1]~q\ & VCC))
-- \led_flash_cnt[452][1]~33209\ = CARRY((\led_flash_cnt[452][0]~q\ & \led_flash_cnt[452][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[452][0]~q\,
	datab => \led_flash_cnt[452][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[452][1]~33208_combout\,
	cout => \led_flash_cnt[452][1]~33209\);

-- Location: FF_X65_Y33_N19
\led_flash_cnt[452][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[452][1]~33208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[452][1]~q\);

-- Location: LCCOMB_X65_Y33_N20
\led_flash_cnt[452][2]~33210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[452][2]~33210_combout\ = (\led_flash_cnt[452][2]~q\ & (!\led_flash_cnt[452][1]~33209\)) # (!\led_flash_cnt[452][2]~q\ & ((\led_flash_cnt[452][1]~33209\) # (GND)))
-- \led_flash_cnt[452][2]~33211\ = CARRY((!\led_flash_cnt[452][1]~33209\) # (!\led_flash_cnt[452][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[452][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[452][1]~33209\,
	combout => \led_flash_cnt[452][2]~33210_combout\,
	cout => \led_flash_cnt[452][2]~33211\);

-- Location: FF_X65_Y33_N21
\led_flash_cnt[452][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[452][2]~33210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[452][2]~q\);

-- Location: LCCOMB_X65_Y33_N22
\led_flash_cnt[452][3]~33212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[452][3]~33212_combout\ = (\led_flash_cnt[452][3]~q\ & (\led_flash_cnt[452][2]~33211\ $ (GND))) # (!\led_flash_cnt[452][3]~q\ & (!\led_flash_cnt[452][2]~33211\ & VCC))
-- \led_flash_cnt[452][3]~33213\ = CARRY((\led_flash_cnt[452][3]~q\ & !\led_flash_cnt[452][2]~33211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[452][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[452][2]~33211\,
	combout => \led_flash_cnt[452][3]~33212_combout\,
	cout => \led_flash_cnt[452][3]~33213\);

-- Location: FF_X65_Y33_N23
\led_flash_cnt[452][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[452][3]~33212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[452][3]~q\);

-- Location: LCCOMB_X65_Y33_N24
\led_flash_cnt[452][4]~33214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[452][4]~33214_combout\ = (\led_flash_cnt[452][4]~q\ & (!\led_flash_cnt[452][3]~33213\)) # (!\led_flash_cnt[452][4]~q\ & ((\led_flash_cnt[452][3]~33213\) # (GND)))
-- \led_flash_cnt[452][4]~33215\ = CARRY((!\led_flash_cnt[452][3]~33213\) # (!\led_flash_cnt[452][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[452][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[452][3]~33213\,
	combout => \led_flash_cnt[452][4]~33214_combout\,
	cout => \led_flash_cnt[452][4]~33215\);

-- Location: FF_X65_Y33_N25
\led_flash_cnt[452][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[452][4]~33214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[452][4]~q\);

-- Location: LCCOMB_X65_Y33_N26
\led_flash_cnt[452][5]~33216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[452][5]~33216_combout\ = (\led_flash_cnt[452][5]~q\ & (\led_flash_cnt[452][4]~33215\ $ (GND))) # (!\led_flash_cnt[452][5]~q\ & (!\led_flash_cnt[452][4]~33215\ & VCC))
-- \led_flash_cnt[452][5]~33217\ = CARRY((\led_flash_cnt[452][5]~q\ & !\led_flash_cnt[452][4]~33215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[452][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[452][4]~33215\,
	combout => \led_flash_cnt[452][5]~33216_combout\,
	cout => \led_flash_cnt[452][5]~33217\);

-- Location: FF_X65_Y33_N27
\led_flash_cnt[452][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[452][5]~33216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[452][5]~q\);

-- Location: LCCOMB_X65_Y33_N28
\led_flash_cnt[452][6]~33218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[452][6]~33218_combout\ = (\led_flash_cnt[452][6]~q\ & (!\led_flash_cnt[452][5]~33217\)) # (!\led_flash_cnt[452][6]~q\ & ((\led_flash_cnt[452][5]~33217\) # (GND)))
-- \led_flash_cnt[452][6]~33219\ = CARRY((!\led_flash_cnt[452][5]~33217\) # (!\led_flash_cnt[452][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[452][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[452][5]~33217\,
	combout => \led_flash_cnt[452][6]~33218_combout\,
	cout => \led_flash_cnt[452][6]~33219\);

-- Location: FF_X65_Y33_N29
\led_flash_cnt[452][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[452][6]~33218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[452][6]~q\);

-- Location: LCCOMB_X65_Y33_N6
\WideAnd452~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd452~1_combout\ = (\led_flash_cnt[452][5]~q\ & \led_flash_cnt[452][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[452][5]~q\,
	datad => \led_flash_cnt[452][6]~q\,
	combout => \WideAnd452~1_combout\);

-- Location: LCCOMB_X65_Y33_N14
\WideAnd452~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd452~0_combout\ = (\led_flash_cnt[452][4]~q\ & (\led_flash_cnt[452][2]~q\ & (\led_flash_cnt[452][3]~q\ & \led_flash_cnt[452][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[452][4]~q\,
	datab => \led_flash_cnt[452][2]~q\,
	datac => \led_flash_cnt[452][3]~q\,
	datad => \led_flash_cnt[452][1]~q\,
	combout => \WideAnd452~0_combout\);

-- Location: LCCOMB_X65_Y33_N30
\led_flash_cnt[452][7]~33220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[452][7]~33220_combout\ = \led_flash_cnt[452][7]~q\ $ (!\led_flash_cnt[452][6]~33219\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[452][7]~q\,
	cin => \led_flash_cnt[452][6]~33219\,
	combout => \led_flash_cnt[452][7]~33220_combout\);

-- Location: FF_X65_Y33_N31
\led_flash_cnt[452][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[452][7]~33220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[452][7]~q\);

-- Location: LCCOMB_X65_Y33_N8
WideAnd452 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd452~combout\ = (\WideAnd452~1_combout\ & (\WideAnd452~0_combout\ & (\led_flash_cnt[452][7]~q\ & \led_flash_cnt[452][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd452~1_combout\,
	datab => \WideAnd452~0_combout\,
	datac => \led_flash_cnt[452][7]~q\,
	datad => \led_flash_cnt[452][0]~q\,
	combout => \WideAnd452~combout\);

-- Location: FF_X65_Y33_N9
\led_flash_cnt_ands[452]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd452~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(452));

-- Location: LCCOMB_X65_Y33_N2
\led_flash_cnt[453][0]~81093\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[453][0]~81093_combout\ = !\led_flash_cnt[453][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[453][0]~q\,
	combout => \led_flash_cnt[453][0]~81093_combout\);

-- Location: FF_X65_Y33_N3
\led_flash_cnt[453][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[453][0]~81093_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[453][0]~q\);

-- Location: LCCOMB_X64_Y33_N18
\led_flash_cnt[453][1]~33222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[453][1]~33222_combout\ = (\led_flash_cnt[453][0]~q\ & (\led_flash_cnt[453][1]~q\ $ (VCC))) # (!\led_flash_cnt[453][0]~q\ & (\led_flash_cnt[453][1]~q\ & VCC))
-- \led_flash_cnt[453][1]~33223\ = CARRY((\led_flash_cnt[453][0]~q\ & \led_flash_cnt[453][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[453][0]~q\,
	datab => \led_flash_cnt[453][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[453][1]~33222_combout\,
	cout => \led_flash_cnt[453][1]~33223\);

-- Location: FF_X64_Y33_N19
\led_flash_cnt[453][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[453][1]~33222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[453][1]~q\);

-- Location: LCCOMB_X64_Y33_N20
\led_flash_cnt[453][2]~33224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[453][2]~33224_combout\ = (\led_flash_cnt[453][2]~q\ & (!\led_flash_cnt[453][1]~33223\)) # (!\led_flash_cnt[453][2]~q\ & ((\led_flash_cnt[453][1]~33223\) # (GND)))
-- \led_flash_cnt[453][2]~33225\ = CARRY((!\led_flash_cnt[453][1]~33223\) # (!\led_flash_cnt[453][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[453][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[453][1]~33223\,
	combout => \led_flash_cnt[453][2]~33224_combout\,
	cout => \led_flash_cnt[453][2]~33225\);

-- Location: FF_X64_Y33_N21
\led_flash_cnt[453][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[453][2]~33224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[453][2]~q\);

-- Location: LCCOMB_X64_Y33_N22
\led_flash_cnt[453][3]~33226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[453][3]~33226_combout\ = (\led_flash_cnt[453][3]~q\ & (\led_flash_cnt[453][2]~33225\ $ (GND))) # (!\led_flash_cnt[453][3]~q\ & (!\led_flash_cnt[453][2]~33225\ & VCC))
-- \led_flash_cnt[453][3]~33227\ = CARRY((\led_flash_cnt[453][3]~q\ & !\led_flash_cnt[453][2]~33225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[453][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[453][2]~33225\,
	combout => \led_flash_cnt[453][3]~33226_combout\,
	cout => \led_flash_cnt[453][3]~33227\);

-- Location: FF_X64_Y33_N23
\led_flash_cnt[453][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[453][3]~33226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[453][3]~q\);

-- Location: LCCOMB_X64_Y33_N24
\led_flash_cnt[453][4]~33228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[453][4]~33228_combout\ = (\led_flash_cnt[453][4]~q\ & (!\led_flash_cnt[453][3]~33227\)) # (!\led_flash_cnt[453][4]~q\ & ((\led_flash_cnt[453][3]~33227\) # (GND)))
-- \led_flash_cnt[453][4]~33229\ = CARRY((!\led_flash_cnt[453][3]~33227\) # (!\led_flash_cnt[453][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[453][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[453][3]~33227\,
	combout => \led_flash_cnt[453][4]~33228_combout\,
	cout => \led_flash_cnt[453][4]~33229\);

-- Location: FF_X64_Y33_N25
\led_flash_cnt[453][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[453][4]~33228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[453][4]~q\);

-- Location: LCCOMB_X64_Y33_N26
\led_flash_cnt[453][5]~33230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[453][5]~33230_combout\ = (\led_flash_cnt[453][5]~q\ & (\led_flash_cnt[453][4]~33229\ $ (GND))) # (!\led_flash_cnt[453][5]~q\ & (!\led_flash_cnt[453][4]~33229\ & VCC))
-- \led_flash_cnt[453][5]~33231\ = CARRY((\led_flash_cnt[453][5]~q\ & !\led_flash_cnt[453][4]~33229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[453][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[453][4]~33229\,
	combout => \led_flash_cnt[453][5]~33230_combout\,
	cout => \led_flash_cnt[453][5]~33231\);

-- Location: FF_X64_Y33_N27
\led_flash_cnt[453][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[453][5]~33230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[453][5]~q\);

-- Location: LCCOMB_X64_Y33_N28
\led_flash_cnt[453][6]~33232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[453][6]~33232_combout\ = (\led_flash_cnt[453][6]~q\ & (!\led_flash_cnt[453][5]~33231\)) # (!\led_flash_cnt[453][6]~q\ & ((\led_flash_cnt[453][5]~33231\) # (GND)))
-- \led_flash_cnt[453][6]~33233\ = CARRY((!\led_flash_cnt[453][5]~33231\) # (!\led_flash_cnt[453][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[453][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[453][5]~33231\,
	combout => \led_flash_cnt[453][6]~33232_combout\,
	cout => \led_flash_cnt[453][6]~33233\);

-- Location: FF_X64_Y33_N29
\led_flash_cnt[453][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[453][6]~33232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[453][6]~q\);

-- Location: LCCOMB_X65_Y33_N10
\WideAnd453~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd453~1_combout\ = (\led_flash_cnt[453][5]~q\ & \led_flash_cnt[453][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[453][5]~q\,
	datad => \led_flash_cnt[453][6]~q\,
	combout => \WideAnd453~1_combout\);

-- Location: LCCOMB_X64_Y33_N30
\led_flash_cnt[453][7]~33234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[453][7]~33234_combout\ = \led_flash_cnt[453][7]~q\ $ (!\led_flash_cnt[453][6]~33233\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[453][7]~q\,
	cin => \led_flash_cnt[453][6]~33233\,
	combout => \led_flash_cnt[453][7]~33234_combout\);

-- Location: FF_X64_Y33_N31
\led_flash_cnt[453][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[453][7]~33234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[453][7]~q\);

-- Location: LCCOMB_X64_Y33_N0
\WideAnd453~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd453~0_combout\ = (\led_flash_cnt[453][4]~q\ & (\led_flash_cnt[453][2]~q\ & (\led_flash_cnt[453][3]~q\ & \led_flash_cnt[453][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[453][4]~q\,
	datab => \led_flash_cnt[453][2]~q\,
	datac => \led_flash_cnt[453][3]~q\,
	datad => \led_flash_cnt[453][1]~q\,
	combout => \WideAnd453~0_combout\);

-- Location: LCCOMB_X65_Y33_N4
WideAnd453 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd453~combout\ = (\WideAnd453~1_combout\ & (\led_flash_cnt[453][7]~q\ & (\WideAnd453~0_combout\ & \led_flash_cnt[453][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd453~1_combout\,
	datab => \led_flash_cnt[453][7]~q\,
	datac => \WideAnd453~0_combout\,
	datad => \led_flash_cnt[453][0]~q\,
	combout => \WideAnd453~combout\);

-- Location: FF_X65_Y33_N5
\led_flash_cnt_ands[453]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd453~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(453));

-- Location: LCCOMB_X65_Y33_N16
\WideAnd3896~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3896~1_combout\ = (led_flash_cnt_ands(452) & led_flash_cnt_ands(453))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(452),
	datac => led_flash_cnt_ands(453),
	combout => \WideAnd3896~1_combout\);

-- Location: LCCOMB_X65_Y33_N0
WideAnd3896 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3896~combout\ = (led_flash_cnt_ands(455) & (led_flash_cnt_ands(454) & (\WideAnd3896~0_combout\ & \WideAnd3896~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(455),
	datab => led_flash_cnt_ands(454),
	datac => \WideAnd3896~0_combout\,
	datad => \WideAnd3896~1_combout\,
	combout => \WideAnd3896~combout\);

-- Location: FF_X65_Y33_N1
\led_flash_cnt_ands_1[56]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3896~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(56));

-- Location: LCCOMB_X50_Y34_N16
\WideAnd4327~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4327~0_combout\ = (led_flash_cnt_ands_1(58) & (led_flash_cnt_ands_1(57) & (led_flash_cnt_ands_1(59) & led_flash_cnt_ands_1(56))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(58),
	datab => led_flash_cnt_ands_1(57),
	datac => led_flash_cnt_ands_1(59),
	datad => led_flash_cnt_ands_1(56),
	combout => \WideAnd4327~0_combout\);

-- Location: LCCOMB_X46_Y37_N18
\led_flash_cnt[501][0]~81141\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[501][0]~81141_combout\ = !\led_flash_cnt[501][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[501][0]~q\,
	combout => \led_flash_cnt[501][0]~81141_combout\);

-- Location: FF_X46_Y37_N19
\led_flash_cnt[501][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[501][0]~81141_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[501][0]~q\);

-- Location: LCCOMB_X46_Y37_N0
\led_flash_cnt[501][1]~33894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[501][1]~33894_combout\ = (\led_flash_cnt[501][1]~q\ & (\led_flash_cnt[501][0]~q\ $ (VCC))) # (!\led_flash_cnt[501][1]~q\ & (\led_flash_cnt[501][0]~q\ & VCC))
-- \led_flash_cnt[501][1]~33895\ = CARRY((\led_flash_cnt[501][1]~q\ & \led_flash_cnt[501][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[501][1]~q\,
	datab => \led_flash_cnt[501][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[501][1]~33894_combout\,
	cout => \led_flash_cnt[501][1]~33895\);

-- Location: FF_X46_Y37_N1
\led_flash_cnt[501][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[501][1]~33894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[501][1]~q\);

-- Location: LCCOMB_X46_Y37_N2
\led_flash_cnt[501][2]~33896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[501][2]~33896_combout\ = (\led_flash_cnt[501][2]~q\ & (!\led_flash_cnt[501][1]~33895\)) # (!\led_flash_cnt[501][2]~q\ & ((\led_flash_cnt[501][1]~33895\) # (GND)))
-- \led_flash_cnt[501][2]~33897\ = CARRY((!\led_flash_cnt[501][1]~33895\) # (!\led_flash_cnt[501][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[501][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[501][1]~33895\,
	combout => \led_flash_cnt[501][2]~33896_combout\,
	cout => \led_flash_cnt[501][2]~33897\);

-- Location: FF_X46_Y37_N3
\led_flash_cnt[501][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[501][2]~33896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[501][2]~q\);

-- Location: LCCOMB_X46_Y37_N4
\led_flash_cnt[501][3]~33898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[501][3]~33898_combout\ = (\led_flash_cnt[501][3]~q\ & (\led_flash_cnt[501][2]~33897\ $ (GND))) # (!\led_flash_cnt[501][3]~q\ & (!\led_flash_cnt[501][2]~33897\ & VCC))
-- \led_flash_cnt[501][3]~33899\ = CARRY((\led_flash_cnt[501][3]~q\ & !\led_flash_cnt[501][2]~33897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[501][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[501][2]~33897\,
	combout => \led_flash_cnt[501][3]~33898_combout\,
	cout => \led_flash_cnt[501][3]~33899\);

-- Location: FF_X46_Y37_N5
\led_flash_cnt[501][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[501][3]~33898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[501][3]~q\);

-- Location: LCCOMB_X46_Y37_N6
\led_flash_cnt[501][4]~33900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[501][4]~33900_combout\ = (\led_flash_cnt[501][4]~q\ & (!\led_flash_cnt[501][3]~33899\)) # (!\led_flash_cnt[501][4]~q\ & ((\led_flash_cnt[501][3]~33899\) # (GND)))
-- \led_flash_cnt[501][4]~33901\ = CARRY((!\led_flash_cnt[501][3]~33899\) # (!\led_flash_cnt[501][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[501][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[501][3]~33899\,
	combout => \led_flash_cnt[501][4]~33900_combout\,
	cout => \led_flash_cnt[501][4]~33901\);

-- Location: FF_X46_Y37_N7
\led_flash_cnt[501][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[501][4]~33900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[501][4]~q\);

-- Location: LCCOMB_X46_Y37_N8
\led_flash_cnt[501][5]~33902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[501][5]~33902_combout\ = (\led_flash_cnt[501][5]~q\ & (\led_flash_cnt[501][4]~33901\ $ (GND))) # (!\led_flash_cnt[501][5]~q\ & (!\led_flash_cnt[501][4]~33901\ & VCC))
-- \led_flash_cnt[501][5]~33903\ = CARRY((\led_flash_cnt[501][5]~q\ & !\led_flash_cnt[501][4]~33901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[501][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[501][4]~33901\,
	combout => \led_flash_cnt[501][5]~33902_combout\,
	cout => \led_flash_cnt[501][5]~33903\);

-- Location: FF_X46_Y37_N9
\led_flash_cnt[501][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[501][5]~33902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[501][5]~q\);

-- Location: LCCOMB_X46_Y37_N10
\led_flash_cnt[501][6]~33904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[501][6]~33904_combout\ = (\led_flash_cnt[501][6]~q\ & (!\led_flash_cnt[501][5]~33903\)) # (!\led_flash_cnt[501][6]~q\ & ((\led_flash_cnt[501][5]~33903\) # (GND)))
-- \led_flash_cnt[501][6]~33905\ = CARRY((!\led_flash_cnt[501][5]~33903\) # (!\led_flash_cnt[501][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[501][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[501][5]~33903\,
	combout => \led_flash_cnt[501][6]~33904_combout\,
	cout => \led_flash_cnt[501][6]~33905\);

-- Location: FF_X46_Y37_N11
\led_flash_cnt[501][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[501][6]~33904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[501][6]~q\);

-- Location: LCCOMB_X46_Y37_N12
\led_flash_cnt[501][7]~33906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[501][7]~33906_combout\ = \led_flash_cnt[501][6]~33905\ $ (!\led_flash_cnt[501][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[501][7]~q\,
	cin => \led_flash_cnt[501][6]~33905\,
	combout => \led_flash_cnt[501][7]~33906_combout\);

-- Location: FF_X46_Y37_N13
\led_flash_cnt[501][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[501][7]~33906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[501][7]~q\);

-- Location: LCCOMB_X46_Y37_N20
\WideAnd501~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd501~0_combout\ = (\led_flash_cnt[501][4]~q\ & (\led_flash_cnt[501][1]~q\ & (\led_flash_cnt[501][3]~q\ & \led_flash_cnt[501][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[501][4]~q\,
	datab => \led_flash_cnt[501][1]~q\,
	datac => \led_flash_cnt[501][3]~q\,
	datad => \led_flash_cnt[501][2]~q\,
	combout => \WideAnd501~0_combout\);

-- Location: LCCOMB_X46_Y37_N22
\WideAnd501~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd501~1_combout\ = (\led_flash_cnt[501][5]~q\ & \led_flash_cnt[501][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[501][5]~q\,
	datad => \led_flash_cnt[501][6]~q\,
	combout => \WideAnd501~1_combout\);

-- Location: LCCOMB_X46_Y37_N26
WideAnd501 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd501~combout\ = (\led_flash_cnt[501][7]~q\ & (\WideAnd501~0_combout\ & (\WideAnd501~1_combout\ & \led_flash_cnt[501][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[501][7]~q\,
	datab => \WideAnd501~0_combout\,
	datac => \WideAnd501~1_combout\,
	datad => \led_flash_cnt[501][0]~q\,
	combout => \WideAnd501~combout\);

-- Location: FF_X46_Y37_N27
\led_flash_cnt_ands[501]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd501~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(501));

-- Location: LCCOMB_X38_Y36_N30
\led_flash_cnt[500][0]~81140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[500][0]~81140_combout\ = !\led_flash_cnt[500][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[500][0]~q\,
	combout => \led_flash_cnt[500][0]~81140_combout\);

-- Location: FF_X38_Y36_N31
\led_flash_cnt[500][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[500][0]~81140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[500][0]~q\);

-- Location: LCCOMB_X38_Y36_N8
\led_flash_cnt[500][1]~33880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[500][1]~33880_combout\ = (\led_flash_cnt[500][0]~q\ & (\led_flash_cnt[500][1]~q\ $ (VCC))) # (!\led_flash_cnt[500][0]~q\ & (\led_flash_cnt[500][1]~q\ & VCC))
-- \led_flash_cnt[500][1]~33881\ = CARRY((\led_flash_cnt[500][0]~q\ & \led_flash_cnt[500][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[500][0]~q\,
	datab => \led_flash_cnt[500][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[500][1]~33880_combout\,
	cout => \led_flash_cnt[500][1]~33881\);

-- Location: FF_X38_Y36_N9
\led_flash_cnt[500][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[500][1]~33880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[500][1]~q\);

-- Location: LCCOMB_X38_Y36_N10
\led_flash_cnt[500][2]~33882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[500][2]~33882_combout\ = (\led_flash_cnt[500][2]~q\ & (!\led_flash_cnt[500][1]~33881\)) # (!\led_flash_cnt[500][2]~q\ & ((\led_flash_cnt[500][1]~33881\) # (GND)))
-- \led_flash_cnt[500][2]~33883\ = CARRY((!\led_flash_cnt[500][1]~33881\) # (!\led_flash_cnt[500][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[500][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[500][1]~33881\,
	combout => \led_flash_cnt[500][2]~33882_combout\,
	cout => \led_flash_cnt[500][2]~33883\);

-- Location: FF_X38_Y36_N11
\led_flash_cnt[500][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[500][2]~33882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[500][2]~q\);

-- Location: LCCOMB_X38_Y36_N12
\led_flash_cnt[500][3]~33884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[500][3]~33884_combout\ = (\led_flash_cnt[500][3]~q\ & (\led_flash_cnt[500][2]~33883\ $ (GND))) # (!\led_flash_cnt[500][3]~q\ & (!\led_flash_cnt[500][2]~33883\ & VCC))
-- \led_flash_cnt[500][3]~33885\ = CARRY((\led_flash_cnt[500][3]~q\ & !\led_flash_cnt[500][2]~33883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[500][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[500][2]~33883\,
	combout => \led_flash_cnt[500][3]~33884_combout\,
	cout => \led_flash_cnt[500][3]~33885\);

-- Location: FF_X38_Y36_N13
\led_flash_cnt[500][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[500][3]~33884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[500][3]~q\);

-- Location: LCCOMB_X38_Y36_N14
\led_flash_cnt[500][4]~33886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[500][4]~33886_combout\ = (\led_flash_cnt[500][4]~q\ & (!\led_flash_cnt[500][3]~33885\)) # (!\led_flash_cnt[500][4]~q\ & ((\led_flash_cnt[500][3]~33885\) # (GND)))
-- \led_flash_cnt[500][4]~33887\ = CARRY((!\led_flash_cnt[500][3]~33885\) # (!\led_flash_cnt[500][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[500][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[500][3]~33885\,
	combout => \led_flash_cnt[500][4]~33886_combout\,
	cout => \led_flash_cnt[500][4]~33887\);

-- Location: FF_X38_Y36_N15
\led_flash_cnt[500][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[500][4]~33886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[500][4]~q\);

-- Location: LCCOMB_X38_Y36_N16
\led_flash_cnt[500][5]~33888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[500][5]~33888_combout\ = (\led_flash_cnt[500][5]~q\ & (\led_flash_cnt[500][4]~33887\ $ (GND))) # (!\led_flash_cnt[500][5]~q\ & (!\led_flash_cnt[500][4]~33887\ & VCC))
-- \led_flash_cnt[500][5]~33889\ = CARRY((\led_flash_cnt[500][5]~q\ & !\led_flash_cnt[500][4]~33887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[500][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[500][4]~33887\,
	combout => \led_flash_cnt[500][5]~33888_combout\,
	cout => \led_flash_cnt[500][5]~33889\);

-- Location: FF_X38_Y36_N17
\led_flash_cnt[500][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[500][5]~33888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[500][5]~q\);

-- Location: LCCOMB_X38_Y36_N18
\led_flash_cnt[500][6]~33890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[500][6]~33890_combout\ = (\led_flash_cnt[500][6]~q\ & (!\led_flash_cnt[500][5]~33889\)) # (!\led_flash_cnt[500][6]~q\ & ((\led_flash_cnt[500][5]~33889\) # (GND)))
-- \led_flash_cnt[500][6]~33891\ = CARRY((!\led_flash_cnt[500][5]~33889\) # (!\led_flash_cnt[500][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[500][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[500][5]~33889\,
	combout => \led_flash_cnt[500][6]~33890_combout\,
	cout => \led_flash_cnt[500][6]~33891\);

-- Location: FF_X38_Y36_N19
\led_flash_cnt[500][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[500][6]~33890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[500][6]~q\);

-- Location: LCCOMB_X38_Y36_N20
\led_flash_cnt[500][7]~33892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[500][7]~33892_combout\ = \led_flash_cnt[500][6]~33891\ $ (!\led_flash_cnt[500][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[500][7]~q\,
	cin => \led_flash_cnt[500][6]~33891\,
	combout => \led_flash_cnt[500][7]~33892_combout\);

-- Location: FF_X38_Y36_N21
\led_flash_cnt[500][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[500][7]~33892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[500][7]~q\);

-- Location: LCCOMB_X38_Y36_N22
\WideAnd500~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd500~1_combout\ = (\led_flash_cnt[500][5]~q\ & \led_flash_cnt[500][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[500][5]~q\,
	datad => \led_flash_cnt[500][7]~q\,
	combout => \WideAnd500~1_combout\);

-- Location: LCCOMB_X38_Y36_N24
\WideAnd500~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd500~0_combout\ = (\led_flash_cnt[500][0]~q\ & (\led_flash_cnt[500][1]~q\ & (\led_flash_cnt[500][4]~q\ & \led_flash_cnt[500][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[500][0]~q\,
	datab => \led_flash_cnt[500][1]~q\,
	datac => \led_flash_cnt[500][4]~q\,
	datad => \led_flash_cnt[500][2]~q\,
	combout => \WideAnd500~0_combout\);

-- Location: LCCOMB_X38_Y36_N4
WideAnd500 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd500~combout\ = (\led_flash_cnt[500][3]~q\ & (\led_flash_cnt[500][6]~q\ & (\WideAnd500~1_combout\ & \WideAnd500~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[500][3]~q\,
	datab => \led_flash_cnt[500][6]~q\,
	datac => \WideAnd500~1_combout\,
	datad => \WideAnd500~0_combout\,
	combout => \WideAnd500~combout\);

-- Location: FF_X38_Y36_N5
\led_flash_cnt_ands[500]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd500~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(500));

-- Location: LCCOMB_X45_Y36_N0
\WideAnd3902~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3902~1_combout\ = (led_flash_cnt_ands(501) & led_flash_cnt_ands(500))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(501),
	datad => led_flash_cnt_ands(500),
	combout => \WideAnd3902~1_combout\);

-- Location: LCCOMB_X37_Y37_N2
\led_flash_cnt[499][0]~81139\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[499][0]~81139_combout\ = !\led_flash_cnt[499][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[499][0]~q\,
	combout => \led_flash_cnt[499][0]~81139_combout\);

-- Location: FF_X37_Y37_N3
\led_flash_cnt[499][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[499][0]~81139_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[499][0]~q\);

-- Location: LCCOMB_X38_Y37_N16
\led_flash_cnt[499][1]~33866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[499][1]~33866_combout\ = (\led_flash_cnt[499][0]~q\ & (\led_flash_cnt[499][1]~q\ $ (VCC))) # (!\led_flash_cnt[499][0]~q\ & (\led_flash_cnt[499][1]~q\ & VCC))
-- \led_flash_cnt[499][1]~33867\ = CARRY((\led_flash_cnt[499][0]~q\ & \led_flash_cnt[499][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[499][0]~q\,
	datab => \led_flash_cnt[499][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[499][1]~33866_combout\,
	cout => \led_flash_cnt[499][1]~33867\);

-- Location: FF_X38_Y37_N17
\led_flash_cnt[499][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[499][1]~33866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[499][1]~q\);

-- Location: LCCOMB_X38_Y37_N18
\led_flash_cnt[499][2]~33868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[499][2]~33868_combout\ = (\led_flash_cnt[499][2]~q\ & (!\led_flash_cnt[499][1]~33867\)) # (!\led_flash_cnt[499][2]~q\ & ((\led_flash_cnt[499][1]~33867\) # (GND)))
-- \led_flash_cnt[499][2]~33869\ = CARRY((!\led_flash_cnt[499][1]~33867\) # (!\led_flash_cnt[499][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[499][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[499][1]~33867\,
	combout => \led_flash_cnt[499][2]~33868_combout\,
	cout => \led_flash_cnt[499][2]~33869\);

-- Location: FF_X38_Y37_N19
\led_flash_cnt[499][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[499][2]~33868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[499][2]~q\);

-- Location: LCCOMB_X38_Y37_N20
\led_flash_cnt[499][3]~33870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[499][3]~33870_combout\ = (\led_flash_cnt[499][3]~q\ & (\led_flash_cnt[499][2]~33869\ $ (GND))) # (!\led_flash_cnt[499][3]~q\ & (!\led_flash_cnt[499][2]~33869\ & VCC))
-- \led_flash_cnt[499][3]~33871\ = CARRY((\led_flash_cnt[499][3]~q\ & !\led_flash_cnt[499][2]~33869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[499][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[499][2]~33869\,
	combout => \led_flash_cnt[499][3]~33870_combout\,
	cout => \led_flash_cnt[499][3]~33871\);

-- Location: FF_X38_Y37_N21
\led_flash_cnt[499][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[499][3]~33870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[499][3]~q\);

-- Location: LCCOMB_X38_Y37_N22
\led_flash_cnt[499][4]~33872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[499][4]~33872_combout\ = (\led_flash_cnt[499][4]~q\ & (!\led_flash_cnt[499][3]~33871\)) # (!\led_flash_cnt[499][4]~q\ & ((\led_flash_cnt[499][3]~33871\) # (GND)))
-- \led_flash_cnt[499][4]~33873\ = CARRY((!\led_flash_cnt[499][3]~33871\) # (!\led_flash_cnt[499][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[499][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[499][3]~33871\,
	combout => \led_flash_cnt[499][4]~33872_combout\,
	cout => \led_flash_cnt[499][4]~33873\);

-- Location: FF_X38_Y37_N23
\led_flash_cnt[499][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[499][4]~33872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[499][4]~q\);

-- Location: LCCOMB_X38_Y37_N30
\WideAnd499~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd499~0_combout\ = (\led_flash_cnt[499][2]~q\ & (\led_flash_cnt[499][1]~q\ & (\led_flash_cnt[499][4]~q\ & \led_flash_cnt[499][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[499][2]~q\,
	datab => \led_flash_cnt[499][1]~q\,
	datac => \led_flash_cnt[499][4]~q\,
	datad => \led_flash_cnt[499][3]~q\,
	combout => \WideAnd499~0_combout\);

-- Location: LCCOMB_X38_Y37_N24
\led_flash_cnt[499][5]~33874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[499][5]~33874_combout\ = (\led_flash_cnt[499][5]~q\ & (\led_flash_cnt[499][4]~33873\ $ (GND))) # (!\led_flash_cnt[499][5]~q\ & (!\led_flash_cnt[499][4]~33873\ & VCC))
-- \led_flash_cnt[499][5]~33875\ = CARRY((\led_flash_cnt[499][5]~q\ & !\led_flash_cnt[499][4]~33873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[499][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[499][4]~33873\,
	combout => \led_flash_cnt[499][5]~33874_combout\,
	cout => \led_flash_cnt[499][5]~33875\);

-- Location: FF_X38_Y37_N25
\led_flash_cnt[499][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[499][5]~33874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[499][5]~q\);

-- Location: LCCOMB_X38_Y37_N26
\led_flash_cnt[499][6]~33876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[499][6]~33876_combout\ = (\led_flash_cnt[499][6]~q\ & (!\led_flash_cnt[499][5]~33875\)) # (!\led_flash_cnt[499][6]~q\ & ((\led_flash_cnt[499][5]~33875\) # (GND)))
-- \led_flash_cnt[499][6]~33877\ = CARRY((!\led_flash_cnt[499][5]~33875\) # (!\led_flash_cnt[499][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[499][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[499][5]~33875\,
	combout => \led_flash_cnt[499][6]~33876_combout\,
	cout => \led_flash_cnt[499][6]~33877\);

-- Location: FF_X38_Y37_N27
\led_flash_cnt[499][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[499][6]~33876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[499][6]~q\);

-- Location: LCCOMB_X37_Y37_N26
\WideAnd499~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd499~1_combout\ = (\led_flash_cnt[499][5]~q\ & \led_flash_cnt[499][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[499][5]~q\,
	datad => \led_flash_cnt[499][6]~q\,
	combout => \WideAnd499~1_combout\);

-- Location: LCCOMB_X38_Y37_N28
\led_flash_cnt[499][7]~33878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[499][7]~33878_combout\ = \led_flash_cnt[499][6]~33877\ $ (!\led_flash_cnt[499][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[499][7]~q\,
	cin => \led_flash_cnt[499][6]~33877\,
	combout => \led_flash_cnt[499][7]~33878_combout\);

-- Location: FF_X38_Y37_N29
\led_flash_cnt[499][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[499][7]~33878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[499][7]~q\);

-- Location: LCCOMB_X37_Y37_N24
WideAnd499 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd499~combout\ = (\WideAnd499~0_combout\ & (\led_flash_cnt[499][0]~q\ & (\WideAnd499~1_combout\ & \led_flash_cnt[499][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd499~0_combout\,
	datab => \led_flash_cnt[499][0]~q\,
	datac => \WideAnd499~1_combout\,
	datad => \led_flash_cnt[499][7]~q\,
	combout => \WideAnd499~combout\);

-- Location: FF_X37_Y37_N25
\led_flash_cnt_ands[499]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd499~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(499));

-- Location: LCCOMB_X39_Y35_N0
\led_flash_cnt[496][0]~81136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[496][0]~81136_combout\ = !\led_flash_cnt[496][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[496][0]~q\,
	combout => \led_flash_cnt[496][0]~81136_combout\);

-- Location: FF_X39_Y35_N1
\led_flash_cnt[496][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[496][0]~81136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[496][0]~q\);

-- Location: LCCOMB_X40_Y35_N14
\led_flash_cnt[496][1]~33824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[496][1]~33824_combout\ = (\led_flash_cnt[496][0]~q\ & (\led_flash_cnt[496][1]~q\ $ (VCC))) # (!\led_flash_cnt[496][0]~q\ & (\led_flash_cnt[496][1]~q\ & VCC))
-- \led_flash_cnt[496][1]~33825\ = CARRY((\led_flash_cnt[496][0]~q\ & \led_flash_cnt[496][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[496][0]~q\,
	datab => \led_flash_cnt[496][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[496][1]~33824_combout\,
	cout => \led_flash_cnt[496][1]~33825\);

-- Location: FF_X40_Y35_N15
\led_flash_cnt[496][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[496][1]~33824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[496][1]~q\);

-- Location: LCCOMB_X40_Y35_N16
\led_flash_cnt[496][2]~33826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[496][2]~33826_combout\ = (\led_flash_cnt[496][2]~q\ & (!\led_flash_cnt[496][1]~33825\)) # (!\led_flash_cnt[496][2]~q\ & ((\led_flash_cnt[496][1]~33825\) # (GND)))
-- \led_flash_cnt[496][2]~33827\ = CARRY((!\led_flash_cnt[496][1]~33825\) # (!\led_flash_cnt[496][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[496][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[496][1]~33825\,
	combout => \led_flash_cnt[496][2]~33826_combout\,
	cout => \led_flash_cnt[496][2]~33827\);

-- Location: FF_X40_Y35_N17
\led_flash_cnt[496][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[496][2]~33826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[496][2]~q\);

-- Location: LCCOMB_X40_Y35_N18
\led_flash_cnt[496][3]~33828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[496][3]~33828_combout\ = (\led_flash_cnt[496][3]~q\ & (\led_flash_cnt[496][2]~33827\ $ (GND))) # (!\led_flash_cnt[496][3]~q\ & (!\led_flash_cnt[496][2]~33827\ & VCC))
-- \led_flash_cnt[496][3]~33829\ = CARRY((\led_flash_cnt[496][3]~q\ & !\led_flash_cnt[496][2]~33827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[496][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[496][2]~33827\,
	combout => \led_flash_cnt[496][3]~33828_combout\,
	cout => \led_flash_cnt[496][3]~33829\);

-- Location: FF_X40_Y35_N19
\led_flash_cnt[496][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[496][3]~33828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[496][3]~q\);

-- Location: LCCOMB_X40_Y35_N20
\led_flash_cnt[496][4]~33830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[496][4]~33830_combout\ = (\led_flash_cnt[496][4]~q\ & (!\led_flash_cnt[496][3]~33829\)) # (!\led_flash_cnt[496][4]~q\ & ((\led_flash_cnt[496][3]~33829\) # (GND)))
-- \led_flash_cnt[496][4]~33831\ = CARRY((!\led_flash_cnt[496][3]~33829\) # (!\led_flash_cnt[496][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[496][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[496][3]~33829\,
	combout => \led_flash_cnt[496][4]~33830_combout\,
	cout => \led_flash_cnt[496][4]~33831\);

-- Location: FF_X40_Y35_N21
\led_flash_cnt[496][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[496][4]~33830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[496][4]~q\);

-- Location: LCCOMB_X40_Y35_N22
\led_flash_cnt[496][5]~33832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[496][5]~33832_combout\ = (\led_flash_cnt[496][5]~q\ & (\led_flash_cnt[496][4]~33831\ $ (GND))) # (!\led_flash_cnt[496][5]~q\ & (!\led_flash_cnt[496][4]~33831\ & VCC))
-- \led_flash_cnt[496][5]~33833\ = CARRY((\led_flash_cnt[496][5]~q\ & !\led_flash_cnt[496][4]~33831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[496][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[496][4]~33831\,
	combout => \led_flash_cnt[496][5]~33832_combout\,
	cout => \led_flash_cnt[496][5]~33833\);

-- Location: FF_X40_Y35_N23
\led_flash_cnt[496][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[496][5]~33832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[496][5]~q\);

-- Location: LCCOMB_X40_Y35_N24
\led_flash_cnt[496][6]~33834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[496][6]~33834_combout\ = (\led_flash_cnt[496][6]~q\ & (!\led_flash_cnt[496][5]~33833\)) # (!\led_flash_cnt[496][6]~q\ & ((\led_flash_cnt[496][5]~33833\) # (GND)))
-- \led_flash_cnt[496][6]~33835\ = CARRY((!\led_flash_cnt[496][5]~33833\) # (!\led_flash_cnt[496][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[496][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[496][5]~33833\,
	combout => \led_flash_cnt[496][6]~33834_combout\,
	cout => \led_flash_cnt[496][6]~33835\);

-- Location: FF_X40_Y35_N25
\led_flash_cnt[496][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[496][6]~33834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[496][6]~q\);

-- Location: LCCOMB_X40_Y35_N26
\led_flash_cnt[496][7]~33836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[496][7]~33836_combout\ = \led_flash_cnt[496][7]~q\ $ (!\led_flash_cnt[496][6]~33835\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[496][7]~q\,
	cin => \led_flash_cnt[496][6]~33835\,
	combout => \led_flash_cnt[496][7]~33836_combout\);

-- Location: FF_X40_Y35_N27
\led_flash_cnt[496][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[496][7]~33836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[496][7]~q\);

-- Location: LCCOMB_X39_Y35_N28
\WideAnd496~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd496~1_combout\ = (\led_flash_cnt[496][6]~q\ & \led_flash_cnt[496][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[496][6]~q\,
	datad => \led_flash_cnt[496][5]~q\,
	combout => \WideAnd496~1_combout\);

-- Location: LCCOMB_X40_Y35_N28
\WideAnd496~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd496~0_combout\ = (\led_flash_cnt[496][4]~q\ & (\led_flash_cnt[496][3]~q\ & (\led_flash_cnt[496][1]~q\ & \led_flash_cnt[496][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[496][4]~q\,
	datab => \led_flash_cnt[496][3]~q\,
	datac => \led_flash_cnt[496][1]~q\,
	datad => \led_flash_cnt[496][2]~q\,
	combout => \WideAnd496~0_combout\);

-- Location: LCCOMB_X40_Y35_N30
WideAnd496 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd496~combout\ = (\led_flash_cnt[496][7]~q\ & (\WideAnd496~1_combout\ & (\led_flash_cnt[496][0]~q\ & \WideAnd496~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[496][7]~q\,
	datab => \WideAnd496~1_combout\,
	datac => \led_flash_cnt[496][0]~q\,
	datad => \WideAnd496~0_combout\,
	combout => \WideAnd496~combout\);

-- Location: FF_X40_Y35_N31
\led_flash_cnt_ands[496]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd496~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(496));

-- Location: LCCOMB_X21_Y36_N8
\led_flash_cnt[498][0]~81138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[498][0]~81138_combout\ = !\led_flash_cnt[498][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[498][0]~q\,
	combout => \led_flash_cnt[498][0]~81138_combout\);

-- Location: FF_X21_Y36_N9
\led_flash_cnt[498][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[498][0]~81138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[498][0]~q\);

-- Location: LCCOMB_X21_Y38_N18
\led_flash_cnt[498][1]~33852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[498][1]~33852_combout\ = (\led_flash_cnt[498][0]~q\ & (\led_flash_cnt[498][1]~q\ $ (VCC))) # (!\led_flash_cnt[498][0]~q\ & (\led_flash_cnt[498][1]~q\ & VCC))
-- \led_flash_cnt[498][1]~33853\ = CARRY((\led_flash_cnt[498][0]~q\ & \led_flash_cnt[498][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[498][0]~q\,
	datab => \led_flash_cnt[498][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[498][1]~33852_combout\,
	cout => \led_flash_cnt[498][1]~33853\);

-- Location: FF_X21_Y38_N19
\led_flash_cnt[498][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[498][1]~33852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[498][1]~q\);

-- Location: LCCOMB_X21_Y38_N20
\led_flash_cnt[498][2]~33854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[498][2]~33854_combout\ = (\led_flash_cnt[498][2]~q\ & (!\led_flash_cnt[498][1]~33853\)) # (!\led_flash_cnt[498][2]~q\ & ((\led_flash_cnt[498][1]~33853\) # (GND)))
-- \led_flash_cnt[498][2]~33855\ = CARRY((!\led_flash_cnt[498][1]~33853\) # (!\led_flash_cnt[498][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[498][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[498][1]~33853\,
	combout => \led_flash_cnt[498][2]~33854_combout\,
	cout => \led_flash_cnt[498][2]~33855\);

-- Location: FF_X21_Y38_N21
\led_flash_cnt[498][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[498][2]~33854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[498][2]~q\);

-- Location: LCCOMB_X21_Y38_N22
\led_flash_cnt[498][3]~33856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[498][3]~33856_combout\ = (\led_flash_cnt[498][3]~q\ & (\led_flash_cnt[498][2]~33855\ $ (GND))) # (!\led_flash_cnt[498][3]~q\ & (!\led_flash_cnt[498][2]~33855\ & VCC))
-- \led_flash_cnt[498][3]~33857\ = CARRY((\led_flash_cnt[498][3]~q\ & !\led_flash_cnt[498][2]~33855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[498][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[498][2]~33855\,
	combout => \led_flash_cnt[498][3]~33856_combout\,
	cout => \led_flash_cnt[498][3]~33857\);

-- Location: FF_X21_Y38_N23
\led_flash_cnt[498][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[498][3]~33856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[498][3]~q\);

-- Location: LCCOMB_X21_Y38_N24
\led_flash_cnt[498][4]~33858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[498][4]~33858_combout\ = (\led_flash_cnt[498][4]~q\ & (!\led_flash_cnt[498][3]~33857\)) # (!\led_flash_cnt[498][4]~q\ & ((\led_flash_cnt[498][3]~33857\) # (GND)))
-- \led_flash_cnt[498][4]~33859\ = CARRY((!\led_flash_cnt[498][3]~33857\) # (!\led_flash_cnt[498][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[498][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[498][3]~33857\,
	combout => \led_flash_cnt[498][4]~33858_combout\,
	cout => \led_flash_cnt[498][4]~33859\);

-- Location: FF_X21_Y38_N25
\led_flash_cnt[498][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[498][4]~33858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[498][4]~q\);

-- Location: LCCOMB_X21_Y38_N26
\led_flash_cnt[498][5]~33860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[498][5]~33860_combout\ = (\led_flash_cnt[498][5]~q\ & (\led_flash_cnt[498][4]~33859\ $ (GND))) # (!\led_flash_cnt[498][5]~q\ & (!\led_flash_cnt[498][4]~33859\ & VCC))
-- \led_flash_cnt[498][5]~33861\ = CARRY((\led_flash_cnt[498][5]~q\ & !\led_flash_cnt[498][4]~33859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[498][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[498][4]~33859\,
	combout => \led_flash_cnt[498][5]~33860_combout\,
	cout => \led_flash_cnt[498][5]~33861\);

-- Location: FF_X21_Y38_N27
\led_flash_cnt[498][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[498][5]~33860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[498][5]~q\);

-- Location: LCCOMB_X21_Y38_N28
\led_flash_cnt[498][6]~33862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[498][6]~33862_combout\ = (\led_flash_cnt[498][6]~q\ & (!\led_flash_cnt[498][5]~33861\)) # (!\led_flash_cnt[498][6]~q\ & ((\led_flash_cnt[498][5]~33861\) # (GND)))
-- \led_flash_cnt[498][6]~33863\ = CARRY((!\led_flash_cnt[498][5]~33861\) # (!\led_flash_cnt[498][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[498][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[498][5]~33861\,
	combout => \led_flash_cnt[498][6]~33862_combout\,
	cout => \led_flash_cnt[498][6]~33863\);

-- Location: FF_X21_Y38_N29
\led_flash_cnt[498][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[498][6]~33862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[498][6]~q\);

-- Location: LCCOMB_X21_Y38_N30
\led_flash_cnt[498][7]~33864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[498][7]~33864_combout\ = \led_flash_cnt[498][7]~q\ $ (!\led_flash_cnt[498][6]~33863\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[498][7]~q\,
	cin => \led_flash_cnt[498][6]~33863\,
	combout => \led_flash_cnt[498][7]~33864_combout\);

-- Location: FF_X21_Y38_N31
\led_flash_cnt[498][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[498][7]~33864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[498][7]~q\);

-- Location: LCCOMB_X21_Y38_N16
\WideAnd498~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd498~0_combout\ = (\led_flash_cnt[498][4]~q\ & (\led_flash_cnt[498][2]~q\ & (\led_flash_cnt[498][3]~q\ & \led_flash_cnt[498][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[498][4]~q\,
	datab => \led_flash_cnt[498][2]~q\,
	datac => \led_flash_cnt[498][3]~q\,
	datad => \led_flash_cnt[498][1]~q\,
	combout => \WideAnd498~0_combout\);

-- Location: LCCOMB_X21_Y38_N0
\WideAnd498~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd498~1_combout\ = (\led_flash_cnt[498][5]~q\ & \led_flash_cnt[498][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[498][5]~q\,
	datad => \led_flash_cnt[498][6]~q\,
	combout => \WideAnd498~1_combout\);

-- Location: LCCOMB_X21_Y37_N0
WideAnd498 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd498~combout\ = (\led_flash_cnt[498][7]~q\ & (\led_flash_cnt[498][0]~q\ & (\WideAnd498~0_combout\ & \WideAnd498~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[498][7]~q\,
	datab => \led_flash_cnt[498][0]~q\,
	datac => \WideAnd498~0_combout\,
	datad => \WideAnd498~1_combout\,
	combout => \WideAnd498~combout\);

-- Location: FF_X21_Y37_N1
\led_flash_cnt_ands[498]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd498~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(498));

-- Location: LCCOMB_X42_Y37_N24
\led_flash_cnt[497][0]~81137\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[497][0]~81137_combout\ = !\led_flash_cnt[497][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[497][0]~q\,
	combout => \led_flash_cnt[497][0]~81137_combout\);

-- Location: FF_X42_Y37_N25
\led_flash_cnt[497][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[497][0]~81137_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[497][0]~q\);

-- Location: LCCOMB_X43_Y37_N16
\led_flash_cnt[497][1]~33838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[497][1]~33838_combout\ = (\led_flash_cnt[497][0]~q\ & (\led_flash_cnt[497][1]~q\ $ (VCC))) # (!\led_flash_cnt[497][0]~q\ & (\led_flash_cnt[497][1]~q\ & VCC))
-- \led_flash_cnt[497][1]~33839\ = CARRY((\led_flash_cnt[497][0]~q\ & \led_flash_cnt[497][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[497][0]~q\,
	datab => \led_flash_cnt[497][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[497][1]~33838_combout\,
	cout => \led_flash_cnt[497][1]~33839\);

-- Location: FF_X43_Y37_N17
\led_flash_cnt[497][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[497][1]~33838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[497][1]~q\);

-- Location: LCCOMB_X43_Y37_N18
\led_flash_cnt[497][2]~33840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[497][2]~33840_combout\ = (\led_flash_cnt[497][2]~q\ & (!\led_flash_cnt[497][1]~33839\)) # (!\led_flash_cnt[497][2]~q\ & ((\led_flash_cnt[497][1]~33839\) # (GND)))
-- \led_flash_cnt[497][2]~33841\ = CARRY((!\led_flash_cnt[497][1]~33839\) # (!\led_flash_cnt[497][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[497][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[497][1]~33839\,
	combout => \led_flash_cnt[497][2]~33840_combout\,
	cout => \led_flash_cnt[497][2]~33841\);

-- Location: FF_X43_Y37_N19
\led_flash_cnt[497][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[497][2]~33840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[497][2]~q\);

-- Location: LCCOMB_X43_Y37_N20
\led_flash_cnt[497][3]~33842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[497][3]~33842_combout\ = (\led_flash_cnt[497][3]~q\ & (\led_flash_cnt[497][2]~33841\ $ (GND))) # (!\led_flash_cnt[497][3]~q\ & (!\led_flash_cnt[497][2]~33841\ & VCC))
-- \led_flash_cnt[497][3]~33843\ = CARRY((\led_flash_cnt[497][3]~q\ & !\led_flash_cnt[497][2]~33841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[497][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[497][2]~33841\,
	combout => \led_flash_cnt[497][3]~33842_combout\,
	cout => \led_flash_cnt[497][3]~33843\);

-- Location: FF_X43_Y37_N21
\led_flash_cnt[497][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[497][3]~33842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[497][3]~q\);

-- Location: LCCOMB_X43_Y37_N22
\led_flash_cnt[497][4]~33844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[497][4]~33844_combout\ = (\led_flash_cnt[497][4]~q\ & (!\led_flash_cnt[497][3]~33843\)) # (!\led_flash_cnt[497][4]~q\ & ((\led_flash_cnt[497][3]~33843\) # (GND)))
-- \led_flash_cnt[497][4]~33845\ = CARRY((!\led_flash_cnt[497][3]~33843\) # (!\led_flash_cnt[497][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[497][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[497][3]~33843\,
	combout => \led_flash_cnt[497][4]~33844_combout\,
	cout => \led_flash_cnt[497][4]~33845\);

-- Location: FF_X43_Y37_N23
\led_flash_cnt[497][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[497][4]~33844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[497][4]~q\);

-- Location: LCCOMB_X43_Y37_N30
\WideAnd497~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd497~0_combout\ = (\led_flash_cnt[497][3]~q\ & (\led_flash_cnt[497][1]~q\ & (\led_flash_cnt[497][4]~q\ & \led_flash_cnt[497][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[497][3]~q\,
	datab => \led_flash_cnt[497][1]~q\,
	datac => \led_flash_cnt[497][4]~q\,
	datad => \led_flash_cnt[497][2]~q\,
	combout => \WideAnd497~0_combout\);

-- Location: LCCOMB_X43_Y37_N24
\led_flash_cnt[497][5]~33846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[497][5]~33846_combout\ = (\led_flash_cnt[497][5]~q\ & (\led_flash_cnt[497][4]~33845\ $ (GND))) # (!\led_flash_cnt[497][5]~q\ & (!\led_flash_cnt[497][4]~33845\ & VCC))
-- \led_flash_cnt[497][5]~33847\ = CARRY((\led_flash_cnt[497][5]~q\ & !\led_flash_cnt[497][4]~33845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[497][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[497][4]~33845\,
	combout => \led_flash_cnt[497][5]~33846_combout\,
	cout => \led_flash_cnt[497][5]~33847\);

-- Location: FF_X43_Y37_N25
\led_flash_cnt[497][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[497][5]~33846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[497][5]~q\);

-- Location: LCCOMB_X43_Y37_N26
\led_flash_cnt[497][6]~33848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[497][6]~33848_combout\ = (\led_flash_cnt[497][6]~q\ & (!\led_flash_cnt[497][5]~33847\)) # (!\led_flash_cnt[497][6]~q\ & ((\led_flash_cnt[497][5]~33847\) # (GND)))
-- \led_flash_cnt[497][6]~33849\ = CARRY((!\led_flash_cnt[497][5]~33847\) # (!\led_flash_cnt[497][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[497][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[497][5]~33847\,
	combout => \led_flash_cnt[497][6]~33848_combout\,
	cout => \led_flash_cnt[497][6]~33849\);

-- Location: FF_X43_Y37_N27
\led_flash_cnt[497][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[497][6]~33848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[497][6]~q\);

-- Location: LCCOMB_X42_Y37_N22
\WideAnd497~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd497~1_combout\ = (\led_flash_cnt[497][5]~q\ & \led_flash_cnt[497][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[497][5]~q\,
	datad => \led_flash_cnt[497][6]~q\,
	combout => \WideAnd497~1_combout\);

-- Location: LCCOMB_X43_Y37_N28
\led_flash_cnt[497][7]~33850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[497][7]~33850_combout\ = \led_flash_cnt[497][6]~33849\ $ (!\led_flash_cnt[497][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[497][7]~q\,
	cin => \led_flash_cnt[497][6]~33849\,
	combout => \led_flash_cnt[497][7]~33850_combout\);

-- Location: FF_X43_Y37_N29
\led_flash_cnt[497][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[497][7]~33850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[497][7]~q\);

-- Location: LCCOMB_X42_Y37_N28
WideAnd497 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd497~combout\ = (\WideAnd497~0_combout\ & (\led_flash_cnt[497][0]~q\ & (\WideAnd497~1_combout\ & \led_flash_cnt[497][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd497~0_combout\,
	datab => \led_flash_cnt[497][0]~q\,
	datac => \WideAnd497~1_combout\,
	datad => \led_flash_cnt[497][7]~q\,
	combout => \WideAnd497~combout\);

-- Location: FF_X42_Y37_N29
\led_flash_cnt_ands[497]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd497~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(497));

-- Location: LCCOMB_X41_Y37_N0
\WideAnd3902~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3902~0_combout\ = (led_flash_cnt_ands(499) & (led_flash_cnt_ands(496) & (led_flash_cnt_ands(498) & led_flash_cnt_ands(497))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(499),
	datab => led_flash_cnt_ands(496),
	datac => led_flash_cnt_ands(498),
	datad => led_flash_cnt_ands(497),
	combout => \WideAnd3902~0_combout\);

-- Location: LCCOMB_X45_Y38_N6
\led_flash_cnt[503][0]~81143\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[503][0]~81143_combout\ = !\led_flash_cnt[503][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[503][0]~q\,
	combout => \led_flash_cnt[503][0]~81143_combout\);

-- Location: FF_X45_Y38_N7
\led_flash_cnt[503][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[503][0]~81143_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[503][0]~q\);

-- Location: LCCOMB_X46_Y38_N0
\led_flash_cnt[503][1]~33922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[503][1]~33922_combout\ = (\led_flash_cnt[503][1]~q\ & (\led_flash_cnt[503][0]~q\ $ (VCC))) # (!\led_flash_cnt[503][1]~q\ & (\led_flash_cnt[503][0]~q\ & VCC))
-- \led_flash_cnt[503][1]~33923\ = CARRY((\led_flash_cnt[503][1]~q\ & \led_flash_cnt[503][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[503][1]~q\,
	datab => \led_flash_cnt[503][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[503][1]~33922_combout\,
	cout => \led_flash_cnt[503][1]~33923\);

-- Location: FF_X46_Y38_N1
\led_flash_cnt[503][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[503][1]~33922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[503][1]~q\);

-- Location: LCCOMB_X46_Y38_N2
\led_flash_cnt[503][2]~33924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[503][2]~33924_combout\ = (\led_flash_cnt[503][2]~q\ & (!\led_flash_cnt[503][1]~33923\)) # (!\led_flash_cnt[503][2]~q\ & ((\led_flash_cnt[503][1]~33923\) # (GND)))
-- \led_flash_cnt[503][2]~33925\ = CARRY((!\led_flash_cnt[503][1]~33923\) # (!\led_flash_cnt[503][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[503][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[503][1]~33923\,
	combout => \led_flash_cnt[503][2]~33924_combout\,
	cout => \led_flash_cnt[503][2]~33925\);

-- Location: FF_X46_Y38_N3
\led_flash_cnt[503][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[503][2]~33924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[503][2]~q\);

-- Location: LCCOMB_X46_Y38_N4
\led_flash_cnt[503][3]~33926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[503][3]~33926_combout\ = (\led_flash_cnt[503][3]~q\ & (\led_flash_cnt[503][2]~33925\ $ (GND))) # (!\led_flash_cnt[503][3]~q\ & (!\led_flash_cnt[503][2]~33925\ & VCC))
-- \led_flash_cnt[503][3]~33927\ = CARRY((\led_flash_cnt[503][3]~q\ & !\led_flash_cnt[503][2]~33925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[503][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[503][2]~33925\,
	combout => \led_flash_cnt[503][3]~33926_combout\,
	cout => \led_flash_cnt[503][3]~33927\);

-- Location: FF_X46_Y38_N5
\led_flash_cnt[503][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[503][3]~33926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[503][3]~q\);

-- Location: LCCOMB_X46_Y38_N6
\led_flash_cnt[503][4]~33928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[503][4]~33928_combout\ = (\led_flash_cnt[503][4]~q\ & (!\led_flash_cnt[503][3]~33927\)) # (!\led_flash_cnt[503][4]~q\ & ((\led_flash_cnt[503][3]~33927\) # (GND)))
-- \led_flash_cnt[503][4]~33929\ = CARRY((!\led_flash_cnt[503][3]~33927\) # (!\led_flash_cnt[503][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[503][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[503][3]~33927\,
	combout => \led_flash_cnt[503][4]~33928_combout\,
	cout => \led_flash_cnt[503][4]~33929\);

-- Location: FF_X46_Y38_N7
\led_flash_cnt[503][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[503][4]~33928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[503][4]~q\);

-- Location: LCCOMB_X46_Y38_N8
\led_flash_cnt[503][5]~33930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[503][5]~33930_combout\ = (\led_flash_cnt[503][5]~q\ & (\led_flash_cnt[503][4]~33929\ $ (GND))) # (!\led_flash_cnt[503][5]~q\ & (!\led_flash_cnt[503][4]~33929\ & VCC))
-- \led_flash_cnt[503][5]~33931\ = CARRY((\led_flash_cnt[503][5]~q\ & !\led_flash_cnt[503][4]~33929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[503][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[503][4]~33929\,
	combout => \led_flash_cnt[503][5]~33930_combout\,
	cout => \led_flash_cnt[503][5]~33931\);

-- Location: FF_X46_Y38_N9
\led_flash_cnt[503][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[503][5]~33930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[503][5]~q\);

-- Location: LCCOMB_X46_Y38_N10
\led_flash_cnt[503][6]~33932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[503][6]~33932_combout\ = (\led_flash_cnt[503][6]~q\ & (!\led_flash_cnt[503][5]~33931\)) # (!\led_flash_cnt[503][6]~q\ & ((\led_flash_cnt[503][5]~33931\) # (GND)))
-- \led_flash_cnt[503][6]~33933\ = CARRY((!\led_flash_cnt[503][5]~33931\) # (!\led_flash_cnt[503][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[503][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[503][5]~33931\,
	combout => \led_flash_cnt[503][6]~33932_combout\,
	cout => \led_flash_cnt[503][6]~33933\);

-- Location: FF_X46_Y38_N11
\led_flash_cnt[503][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[503][6]~33932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[503][6]~q\);

-- Location: LCCOMB_X45_Y38_N26
\WideAnd503~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd503~1_combout\ = (\led_flash_cnt[503][6]~q\ & \led_flash_cnt[503][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[503][6]~q\,
	datac => \led_flash_cnt[503][5]~q\,
	combout => \WideAnd503~1_combout\);

-- Location: LCCOMB_X45_Y38_N2
\WideAnd503~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd503~0_combout\ = (\led_flash_cnt[503][4]~q\ & (\led_flash_cnt[503][2]~q\ & (\led_flash_cnt[503][1]~q\ & \led_flash_cnt[503][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[503][4]~q\,
	datab => \led_flash_cnt[503][2]~q\,
	datac => \led_flash_cnt[503][1]~q\,
	datad => \led_flash_cnt[503][3]~q\,
	combout => \WideAnd503~0_combout\);

-- Location: LCCOMB_X46_Y38_N12
\led_flash_cnt[503][7]~33934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[503][7]~33934_combout\ = \led_flash_cnt[503][6]~33933\ $ (!\led_flash_cnt[503][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[503][7]~q\,
	cin => \led_flash_cnt[503][6]~33933\,
	combout => \led_flash_cnt[503][7]~33934_combout\);

-- Location: FF_X46_Y38_N13
\led_flash_cnt[503][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[503][7]~33934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[503][7]~q\);

-- Location: LCCOMB_X45_Y38_N30
WideAnd503 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd503~combout\ = (\WideAnd503~1_combout\ & (\WideAnd503~0_combout\ & (\led_flash_cnt[503][7]~q\ & \led_flash_cnt[503][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd503~1_combout\,
	datab => \WideAnd503~0_combout\,
	datac => \led_flash_cnt[503][7]~q\,
	datad => \led_flash_cnt[503][0]~q\,
	combout => \WideAnd503~combout\);

-- Location: FF_X45_Y38_N31
\led_flash_cnt_ands[503]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd503~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(503));

-- Location: LCCOMB_X49_Y35_N24
\led_flash_cnt[502][0]~81142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[502][0]~81142_combout\ = !\led_flash_cnt[502][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[502][0]~q\,
	combout => \led_flash_cnt[502][0]~81142_combout\);

-- Location: FF_X49_Y35_N25
\led_flash_cnt[502][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[502][0]~81142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[502][0]~q\);

-- Location: LCCOMB_X45_Y38_N12
\led_flash_cnt[502][1]~33908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[502][1]~33908_combout\ = (\led_flash_cnt[502][1]~q\ & (\led_flash_cnt[502][0]~q\ $ (VCC))) # (!\led_flash_cnt[502][1]~q\ & (\led_flash_cnt[502][0]~q\ & VCC))
-- \led_flash_cnt[502][1]~33909\ = CARRY((\led_flash_cnt[502][1]~q\ & \led_flash_cnt[502][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[502][1]~q\,
	datab => \led_flash_cnt[502][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[502][1]~33908_combout\,
	cout => \led_flash_cnt[502][1]~33909\);

-- Location: FF_X45_Y38_N13
\led_flash_cnt[502][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[502][1]~33908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[502][1]~q\);

-- Location: LCCOMB_X45_Y38_N14
\led_flash_cnt[502][2]~33910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[502][2]~33910_combout\ = (\led_flash_cnt[502][2]~q\ & (!\led_flash_cnt[502][1]~33909\)) # (!\led_flash_cnt[502][2]~q\ & ((\led_flash_cnt[502][1]~33909\) # (GND)))
-- \led_flash_cnt[502][2]~33911\ = CARRY((!\led_flash_cnt[502][1]~33909\) # (!\led_flash_cnt[502][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[502][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[502][1]~33909\,
	combout => \led_flash_cnt[502][2]~33910_combout\,
	cout => \led_flash_cnt[502][2]~33911\);

-- Location: FF_X45_Y38_N15
\led_flash_cnt[502][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[502][2]~33910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[502][2]~q\);

-- Location: LCCOMB_X45_Y38_N16
\led_flash_cnt[502][3]~33912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[502][3]~33912_combout\ = (\led_flash_cnt[502][3]~q\ & (\led_flash_cnt[502][2]~33911\ $ (GND))) # (!\led_flash_cnt[502][3]~q\ & (!\led_flash_cnt[502][2]~33911\ & VCC))
-- \led_flash_cnt[502][3]~33913\ = CARRY((\led_flash_cnt[502][3]~q\ & !\led_flash_cnt[502][2]~33911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[502][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[502][2]~33911\,
	combout => \led_flash_cnt[502][3]~33912_combout\,
	cout => \led_flash_cnt[502][3]~33913\);

-- Location: FF_X45_Y38_N17
\led_flash_cnt[502][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[502][3]~33912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[502][3]~q\);

-- Location: LCCOMB_X45_Y38_N18
\led_flash_cnt[502][4]~33914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[502][4]~33914_combout\ = (\led_flash_cnt[502][4]~q\ & (!\led_flash_cnt[502][3]~33913\)) # (!\led_flash_cnt[502][4]~q\ & ((\led_flash_cnt[502][3]~33913\) # (GND)))
-- \led_flash_cnt[502][4]~33915\ = CARRY((!\led_flash_cnt[502][3]~33913\) # (!\led_flash_cnt[502][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[502][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[502][3]~33913\,
	combout => \led_flash_cnt[502][4]~33914_combout\,
	cout => \led_flash_cnt[502][4]~33915\);

-- Location: FF_X45_Y38_N19
\led_flash_cnt[502][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[502][4]~33914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[502][4]~q\);

-- Location: LCCOMB_X45_Y38_N10
\WideAnd502~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd502~0_combout\ = (\led_flash_cnt[502][1]~q\ & (\led_flash_cnt[502][4]~q\ & (\led_flash_cnt[502][2]~q\ & \led_flash_cnt[502][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[502][1]~q\,
	datab => \led_flash_cnt[502][4]~q\,
	datac => \led_flash_cnt[502][2]~q\,
	datad => \led_flash_cnt[502][3]~q\,
	combout => \WideAnd502~0_combout\);

-- Location: LCCOMB_X45_Y38_N20
\led_flash_cnt[502][5]~33916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[502][5]~33916_combout\ = (\led_flash_cnt[502][5]~q\ & (\led_flash_cnt[502][4]~33915\ $ (GND))) # (!\led_flash_cnt[502][5]~q\ & (!\led_flash_cnt[502][4]~33915\ & VCC))
-- \led_flash_cnt[502][5]~33917\ = CARRY((\led_flash_cnt[502][5]~q\ & !\led_flash_cnt[502][4]~33915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[502][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[502][4]~33915\,
	combout => \led_flash_cnt[502][5]~33916_combout\,
	cout => \led_flash_cnt[502][5]~33917\);

-- Location: FF_X45_Y38_N21
\led_flash_cnt[502][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[502][5]~33916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[502][5]~q\);

-- Location: LCCOMB_X45_Y38_N22
\led_flash_cnt[502][6]~33918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[502][6]~33918_combout\ = (\led_flash_cnt[502][6]~q\ & (!\led_flash_cnt[502][5]~33917\)) # (!\led_flash_cnt[502][6]~q\ & ((\led_flash_cnt[502][5]~33917\) # (GND)))
-- \led_flash_cnt[502][6]~33919\ = CARRY((!\led_flash_cnt[502][5]~33917\) # (!\led_flash_cnt[502][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[502][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[502][5]~33917\,
	combout => \led_flash_cnt[502][6]~33918_combout\,
	cout => \led_flash_cnt[502][6]~33919\);

-- Location: FF_X45_Y38_N23
\led_flash_cnt[502][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[502][6]~33918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[502][6]~q\);

-- Location: LCCOMB_X45_Y38_N24
\led_flash_cnt[502][7]~33920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[502][7]~33920_combout\ = \led_flash_cnt[502][6]~33919\ $ (!\led_flash_cnt[502][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[502][7]~q\,
	cin => \led_flash_cnt[502][6]~33919\,
	combout => \led_flash_cnt[502][7]~33920_combout\);

-- Location: FF_X45_Y38_N25
\led_flash_cnt[502][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[502][7]~33920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[502][7]~q\);

-- Location: LCCOMB_X45_Y38_N4
\WideAnd502~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd502~1_combout\ = (\led_flash_cnt[502][6]~q\ & \led_flash_cnt[502][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[502][6]~q\,
	datad => \led_flash_cnt[502][5]~q\,
	combout => \WideAnd502~1_combout\);

-- Location: LCCOMB_X45_Y38_N0
WideAnd502 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd502~combout\ = (\WideAnd502~0_combout\ & (\led_flash_cnt[502][7]~q\ & (\WideAnd502~1_combout\ & \led_flash_cnt[502][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd502~0_combout\,
	datab => \led_flash_cnt[502][7]~q\,
	datac => \WideAnd502~1_combout\,
	datad => \led_flash_cnt[502][0]~q\,
	combout => \WideAnd502~combout\);

-- Location: FF_X45_Y38_N1
\led_flash_cnt_ands[502]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd502~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(502));

-- Location: LCCOMB_X45_Y38_N28
WideAnd3902 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3902~combout\ = (\WideAnd3902~1_combout\ & (\WideAnd3902~0_combout\ & (led_flash_cnt_ands(503) & led_flash_cnt_ands(502))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3902~1_combout\,
	datab => \WideAnd3902~0_combout\,
	datac => led_flash_cnt_ands(503),
	datad => led_flash_cnt_ands(502),
	combout => \WideAnd3902~combout\);

-- Location: FF_X45_Y38_N29
\led_flash_cnt_ands_1[62]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3902~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(62));

-- Location: LCCOMB_X50_Y37_N2
\led_flash_cnt[508][0]~81148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[508][0]~81148_combout\ = !\led_flash_cnt[508][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[508][0]~q\,
	combout => \led_flash_cnt[508][0]~81148_combout\);

-- Location: FF_X50_Y37_N3
\led_flash_cnt[508][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[508][0]~81148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[508][0]~q\);

-- Location: LCCOMB_X49_Y37_N18
\led_flash_cnt[508][1]~33992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[508][1]~33992_combout\ = (\led_flash_cnt[508][0]~q\ & (\led_flash_cnt[508][1]~q\ $ (VCC))) # (!\led_flash_cnt[508][0]~q\ & (\led_flash_cnt[508][1]~q\ & VCC))
-- \led_flash_cnt[508][1]~33993\ = CARRY((\led_flash_cnt[508][0]~q\ & \led_flash_cnt[508][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[508][0]~q\,
	datab => \led_flash_cnt[508][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[508][1]~33992_combout\,
	cout => \led_flash_cnt[508][1]~33993\);

-- Location: FF_X49_Y37_N19
\led_flash_cnt[508][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[508][1]~33992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[508][1]~q\);

-- Location: LCCOMB_X49_Y37_N20
\led_flash_cnt[508][2]~33994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[508][2]~33994_combout\ = (\led_flash_cnt[508][2]~q\ & (!\led_flash_cnt[508][1]~33993\)) # (!\led_flash_cnt[508][2]~q\ & ((\led_flash_cnt[508][1]~33993\) # (GND)))
-- \led_flash_cnt[508][2]~33995\ = CARRY((!\led_flash_cnt[508][1]~33993\) # (!\led_flash_cnt[508][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[508][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[508][1]~33993\,
	combout => \led_flash_cnt[508][2]~33994_combout\,
	cout => \led_flash_cnt[508][2]~33995\);

-- Location: FF_X49_Y37_N21
\led_flash_cnt[508][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[508][2]~33994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[508][2]~q\);

-- Location: LCCOMB_X49_Y37_N22
\led_flash_cnt[508][3]~33996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[508][3]~33996_combout\ = (\led_flash_cnt[508][3]~q\ & (\led_flash_cnt[508][2]~33995\ $ (GND))) # (!\led_flash_cnt[508][3]~q\ & (!\led_flash_cnt[508][2]~33995\ & VCC))
-- \led_flash_cnt[508][3]~33997\ = CARRY((\led_flash_cnt[508][3]~q\ & !\led_flash_cnt[508][2]~33995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[508][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[508][2]~33995\,
	combout => \led_flash_cnt[508][3]~33996_combout\,
	cout => \led_flash_cnt[508][3]~33997\);

-- Location: FF_X49_Y37_N23
\led_flash_cnt[508][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[508][3]~33996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[508][3]~q\);

-- Location: LCCOMB_X49_Y37_N24
\led_flash_cnt[508][4]~33998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[508][4]~33998_combout\ = (\led_flash_cnt[508][4]~q\ & (!\led_flash_cnt[508][3]~33997\)) # (!\led_flash_cnt[508][4]~q\ & ((\led_flash_cnt[508][3]~33997\) # (GND)))
-- \led_flash_cnt[508][4]~33999\ = CARRY((!\led_flash_cnt[508][3]~33997\) # (!\led_flash_cnt[508][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[508][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[508][3]~33997\,
	combout => \led_flash_cnt[508][4]~33998_combout\,
	cout => \led_flash_cnt[508][4]~33999\);

-- Location: FF_X49_Y37_N25
\led_flash_cnt[508][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[508][4]~33998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[508][4]~q\);

-- Location: LCCOMB_X49_Y37_N26
\led_flash_cnt[508][5]~34000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[508][5]~34000_combout\ = (\led_flash_cnt[508][5]~q\ & (\led_flash_cnt[508][4]~33999\ $ (GND))) # (!\led_flash_cnt[508][5]~q\ & (!\led_flash_cnt[508][4]~33999\ & VCC))
-- \led_flash_cnt[508][5]~34001\ = CARRY((\led_flash_cnt[508][5]~q\ & !\led_flash_cnt[508][4]~33999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[508][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[508][4]~33999\,
	combout => \led_flash_cnt[508][5]~34000_combout\,
	cout => \led_flash_cnt[508][5]~34001\);

-- Location: FF_X49_Y37_N27
\led_flash_cnt[508][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[508][5]~34000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[508][5]~q\);

-- Location: LCCOMB_X49_Y37_N28
\led_flash_cnt[508][6]~34002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[508][6]~34002_combout\ = (\led_flash_cnt[508][6]~q\ & (!\led_flash_cnt[508][5]~34001\)) # (!\led_flash_cnt[508][6]~q\ & ((\led_flash_cnt[508][5]~34001\) # (GND)))
-- \led_flash_cnt[508][6]~34003\ = CARRY((!\led_flash_cnt[508][5]~34001\) # (!\led_flash_cnt[508][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[508][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[508][5]~34001\,
	combout => \led_flash_cnt[508][6]~34002_combout\,
	cout => \led_flash_cnt[508][6]~34003\);

-- Location: FF_X49_Y37_N29
\led_flash_cnt[508][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[508][6]~34002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[508][6]~q\);

-- Location: LCCOMB_X50_Y37_N26
\WideAnd508~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd508~1_combout\ = (\led_flash_cnt[508][5]~q\ & \led_flash_cnt[508][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[508][5]~q\,
	datad => \led_flash_cnt[508][6]~q\,
	combout => \WideAnd508~1_combout\);

-- Location: LCCOMB_X49_Y37_N30
\led_flash_cnt[508][7]~34004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[508][7]~34004_combout\ = \led_flash_cnt[508][7]~q\ $ (!\led_flash_cnt[508][6]~34003\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[508][7]~q\,
	cin => \led_flash_cnt[508][6]~34003\,
	combout => \led_flash_cnt[508][7]~34004_combout\);

-- Location: FF_X49_Y37_N31
\led_flash_cnt[508][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[508][7]~34004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[508][7]~q\);

-- Location: LCCOMB_X49_Y37_N0
\WideAnd508~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd508~0_combout\ = (\led_flash_cnt[508][4]~q\ & (\led_flash_cnt[508][2]~q\ & (\led_flash_cnt[508][3]~q\ & \led_flash_cnt[508][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[508][4]~q\,
	datab => \led_flash_cnt[508][2]~q\,
	datac => \led_flash_cnt[508][3]~q\,
	datad => \led_flash_cnt[508][1]~q\,
	combout => \WideAnd508~0_combout\);

-- Location: LCCOMB_X50_Y37_N30
WideAnd508 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd508~combout\ = (\WideAnd508~1_combout\ & (\led_flash_cnt[508][7]~q\ & (\WideAnd508~0_combout\ & \led_flash_cnt[508][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd508~1_combout\,
	datab => \led_flash_cnt[508][7]~q\,
	datac => \WideAnd508~0_combout\,
	datad => \led_flash_cnt[508][0]~q\,
	combout => \WideAnd508~combout\);

-- Location: FF_X50_Y37_N31
\led_flash_cnt_ands[508]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd508~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(508));

-- Location: LCCOMB_X61_Y31_N2
\led_flash_cnt[509][0]~81149\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[509][0]~81149_combout\ = !\led_flash_cnt[509][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[509][0]~q\,
	combout => \led_flash_cnt[509][0]~81149_combout\);

-- Location: FF_X61_Y31_N3
\led_flash_cnt[509][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[509][0]~81149_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[509][0]~q\);

-- Location: LCCOMB_X60_Y31_N2
\led_flash_cnt[509][1]~34006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[509][1]~34006_combout\ = (\led_flash_cnt[509][0]~q\ & (\led_flash_cnt[509][1]~q\ $ (VCC))) # (!\led_flash_cnt[509][0]~q\ & (\led_flash_cnt[509][1]~q\ & VCC))
-- \led_flash_cnt[509][1]~34007\ = CARRY((\led_flash_cnt[509][0]~q\ & \led_flash_cnt[509][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[509][0]~q\,
	datab => \led_flash_cnt[509][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[509][1]~34006_combout\,
	cout => \led_flash_cnt[509][1]~34007\);

-- Location: FF_X60_Y31_N3
\led_flash_cnt[509][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[509][1]~34006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[509][1]~q\);

-- Location: LCCOMB_X60_Y31_N4
\led_flash_cnt[509][2]~34008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[509][2]~34008_combout\ = (\led_flash_cnt[509][2]~q\ & (!\led_flash_cnt[509][1]~34007\)) # (!\led_flash_cnt[509][2]~q\ & ((\led_flash_cnt[509][1]~34007\) # (GND)))
-- \led_flash_cnt[509][2]~34009\ = CARRY((!\led_flash_cnt[509][1]~34007\) # (!\led_flash_cnt[509][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[509][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[509][1]~34007\,
	combout => \led_flash_cnt[509][2]~34008_combout\,
	cout => \led_flash_cnt[509][2]~34009\);

-- Location: FF_X60_Y31_N5
\led_flash_cnt[509][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[509][2]~34008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[509][2]~q\);

-- Location: LCCOMB_X60_Y31_N6
\led_flash_cnt[509][3]~34010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[509][3]~34010_combout\ = (\led_flash_cnt[509][3]~q\ & (\led_flash_cnt[509][2]~34009\ $ (GND))) # (!\led_flash_cnt[509][3]~q\ & (!\led_flash_cnt[509][2]~34009\ & VCC))
-- \led_flash_cnt[509][3]~34011\ = CARRY((\led_flash_cnt[509][3]~q\ & !\led_flash_cnt[509][2]~34009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[509][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[509][2]~34009\,
	combout => \led_flash_cnt[509][3]~34010_combout\,
	cout => \led_flash_cnt[509][3]~34011\);

-- Location: FF_X60_Y31_N7
\led_flash_cnt[509][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[509][3]~34010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[509][3]~q\);

-- Location: LCCOMB_X60_Y31_N8
\led_flash_cnt[509][4]~34012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[509][4]~34012_combout\ = (\led_flash_cnt[509][4]~q\ & (!\led_flash_cnt[509][3]~34011\)) # (!\led_flash_cnt[509][4]~q\ & ((\led_flash_cnt[509][3]~34011\) # (GND)))
-- \led_flash_cnt[509][4]~34013\ = CARRY((!\led_flash_cnt[509][3]~34011\) # (!\led_flash_cnt[509][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[509][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[509][3]~34011\,
	combout => \led_flash_cnt[509][4]~34012_combout\,
	cout => \led_flash_cnt[509][4]~34013\);

-- Location: FF_X60_Y31_N9
\led_flash_cnt[509][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[509][4]~34012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[509][4]~q\);

-- Location: LCCOMB_X60_Y31_N10
\led_flash_cnt[509][5]~34014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[509][5]~34014_combout\ = (\led_flash_cnt[509][5]~q\ & (\led_flash_cnt[509][4]~34013\ $ (GND))) # (!\led_flash_cnt[509][5]~q\ & (!\led_flash_cnt[509][4]~34013\ & VCC))
-- \led_flash_cnt[509][5]~34015\ = CARRY((\led_flash_cnt[509][5]~q\ & !\led_flash_cnt[509][4]~34013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[509][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[509][4]~34013\,
	combout => \led_flash_cnt[509][5]~34014_combout\,
	cout => \led_flash_cnt[509][5]~34015\);

-- Location: FF_X60_Y31_N11
\led_flash_cnt[509][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[509][5]~34014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[509][5]~q\);

-- Location: LCCOMB_X60_Y31_N12
\led_flash_cnt[509][6]~34016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[509][6]~34016_combout\ = (\led_flash_cnt[509][6]~q\ & (!\led_flash_cnt[509][5]~34015\)) # (!\led_flash_cnt[509][6]~q\ & ((\led_flash_cnt[509][5]~34015\) # (GND)))
-- \led_flash_cnt[509][6]~34017\ = CARRY((!\led_flash_cnt[509][5]~34015\) # (!\led_flash_cnt[509][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[509][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[509][5]~34015\,
	combout => \led_flash_cnt[509][6]~34016_combout\,
	cout => \led_flash_cnt[509][6]~34017\);

-- Location: FF_X60_Y31_N13
\led_flash_cnt[509][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[509][6]~34016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[509][6]~q\);

-- Location: LCCOMB_X60_Y31_N14
\led_flash_cnt[509][7]~34018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[509][7]~34018_combout\ = \led_flash_cnt[509][7]~q\ $ (!\led_flash_cnt[509][6]~34017\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[509][7]~q\,
	cin => \led_flash_cnt[509][6]~34017\,
	combout => \led_flash_cnt[509][7]~34018_combout\);

-- Location: FF_X60_Y31_N15
\led_flash_cnt[509][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[509][7]~34018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[509][7]~q\);

-- Location: LCCOMB_X60_Y31_N30
\WideAnd509~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd509~0_combout\ = (\led_flash_cnt[509][3]~q\ & (\led_flash_cnt[509][4]~q\ & (\led_flash_cnt[509][2]~q\ & \led_flash_cnt[509][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[509][3]~q\,
	datab => \led_flash_cnt[509][4]~q\,
	datac => \led_flash_cnt[509][2]~q\,
	datad => \led_flash_cnt[509][1]~q\,
	combout => \WideAnd509~0_combout\);

-- Location: LCCOMB_X61_Y31_N30
\WideAnd509~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd509~1_combout\ = (\led_flash_cnt[509][6]~q\ & \led_flash_cnt[509][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[509][6]~q\,
	datad => \led_flash_cnt[509][5]~q\,
	combout => \WideAnd509~1_combout\);

-- Location: LCCOMB_X61_Y31_N0
WideAnd509 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd509~combout\ = (\led_flash_cnt[509][7]~q\ & (\WideAnd509~0_combout\ & (\WideAnd509~1_combout\ & \led_flash_cnt[509][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[509][7]~q\,
	datab => \WideAnd509~0_combout\,
	datac => \WideAnd509~1_combout\,
	datad => \led_flash_cnt[509][0]~q\,
	combout => \WideAnd509~combout\);

-- Location: FF_X61_Y31_N1
\led_flash_cnt_ands[509]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd509~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(509));

-- Location: LCCOMB_X50_Y37_N8
\WideAnd3903~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3903~1_combout\ = (led_flash_cnt_ands(508) & led_flash_cnt_ands(509))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(508),
	datac => led_flash_cnt_ands(509),
	combout => \WideAnd3903~1_combout\);

-- Location: LCCOMB_X39_Y34_N8
\led_flash_cnt[504][0]~81144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[504][0]~81144_combout\ = !\led_flash_cnt[504][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[504][0]~q\,
	combout => \led_flash_cnt[504][0]~81144_combout\);

-- Location: FF_X39_Y34_N9
\led_flash_cnt[504][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[504][0]~81144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[504][0]~q\);

-- Location: LCCOMB_X39_Y34_N12
\led_flash_cnt[504][1]~33936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[504][1]~33936_combout\ = (\led_flash_cnt[504][1]~q\ & (\led_flash_cnt[504][0]~q\ $ (VCC))) # (!\led_flash_cnt[504][1]~q\ & (\led_flash_cnt[504][0]~q\ & VCC))
-- \led_flash_cnt[504][1]~33937\ = CARRY((\led_flash_cnt[504][1]~q\ & \led_flash_cnt[504][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[504][1]~q\,
	datab => \led_flash_cnt[504][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[504][1]~33936_combout\,
	cout => \led_flash_cnt[504][1]~33937\);

-- Location: FF_X39_Y34_N13
\led_flash_cnt[504][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[504][1]~33936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[504][1]~q\);

-- Location: LCCOMB_X39_Y34_N14
\led_flash_cnt[504][2]~33938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[504][2]~33938_combout\ = (\led_flash_cnt[504][2]~q\ & (!\led_flash_cnt[504][1]~33937\)) # (!\led_flash_cnt[504][2]~q\ & ((\led_flash_cnt[504][1]~33937\) # (GND)))
-- \led_flash_cnt[504][2]~33939\ = CARRY((!\led_flash_cnt[504][1]~33937\) # (!\led_flash_cnt[504][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[504][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[504][1]~33937\,
	combout => \led_flash_cnt[504][2]~33938_combout\,
	cout => \led_flash_cnt[504][2]~33939\);

-- Location: FF_X39_Y34_N15
\led_flash_cnt[504][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[504][2]~33938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[504][2]~q\);

-- Location: LCCOMB_X39_Y34_N16
\led_flash_cnt[504][3]~33940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[504][3]~33940_combout\ = (\led_flash_cnt[504][3]~q\ & (\led_flash_cnt[504][2]~33939\ $ (GND))) # (!\led_flash_cnt[504][3]~q\ & (!\led_flash_cnt[504][2]~33939\ & VCC))
-- \led_flash_cnt[504][3]~33941\ = CARRY((\led_flash_cnt[504][3]~q\ & !\led_flash_cnt[504][2]~33939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[504][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[504][2]~33939\,
	combout => \led_flash_cnt[504][3]~33940_combout\,
	cout => \led_flash_cnt[504][3]~33941\);

-- Location: FF_X39_Y34_N17
\led_flash_cnt[504][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[504][3]~33940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[504][3]~q\);

-- Location: LCCOMB_X39_Y34_N18
\led_flash_cnt[504][4]~33942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[504][4]~33942_combout\ = (\led_flash_cnt[504][4]~q\ & (!\led_flash_cnt[504][3]~33941\)) # (!\led_flash_cnt[504][4]~q\ & ((\led_flash_cnt[504][3]~33941\) # (GND)))
-- \led_flash_cnt[504][4]~33943\ = CARRY((!\led_flash_cnt[504][3]~33941\) # (!\led_flash_cnt[504][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[504][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[504][3]~33941\,
	combout => \led_flash_cnt[504][4]~33942_combout\,
	cout => \led_flash_cnt[504][4]~33943\);

-- Location: FF_X39_Y34_N19
\led_flash_cnt[504][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[504][4]~33942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[504][4]~q\);

-- Location: LCCOMB_X39_Y34_N30
\WideAnd504~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd504~0_combout\ = (\led_flash_cnt[504][1]~q\ & (\led_flash_cnt[504][4]~q\ & (\led_flash_cnt[504][2]~q\ & \led_flash_cnt[504][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[504][1]~q\,
	datab => \led_flash_cnt[504][4]~q\,
	datac => \led_flash_cnt[504][2]~q\,
	datad => \led_flash_cnt[504][3]~q\,
	combout => \WideAnd504~0_combout\);

-- Location: LCCOMB_X39_Y34_N20
\led_flash_cnt[504][5]~33944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[504][5]~33944_combout\ = (\led_flash_cnt[504][5]~q\ & (\led_flash_cnt[504][4]~33943\ $ (GND))) # (!\led_flash_cnt[504][5]~q\ & (!\led_flash_cnt[504][4]~33943\ & VCC))
-- \led_flash_cnt[504][5]~33945\ = CARRY((\led_flash_cnt[504][5]~q\ & !\led_flash_cnt[504][4]~33943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[504][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[504][4]~33943\,
	combout => \led_flash_cnt[504][5]~33944_combout\,
	cout => \led_flash_cnt[504][5]~33945\);

-- Location: FF_X39_Y34_N21
\led_flash_cnt[504][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[504][5]~33944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[504][5]~q\);

-- Location: LCCOMB_X39_Y34_N22
\led_flash_cnt[504][6]~33946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[504][6]~33946_combout\ = (\led_flash_cnt[504][6]~q\ & (!\led_flash_cnt[504][5]~33945\)) # (!\led_flash_cnt[504][6]~q\ & ((\led_flash_cnt[504][5]~33945\) # (GND)))
-- \led_flash_cnt[504][6]~33947\ = CARRY((!\led_flash_cnt[504][5]~33945\) # (!\led_flash_cnt[504][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[504][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[504][5]~33945\,
	combout => \led_flash_cnt[504][6]~33946_combout\,
	cout => \led_flash_cnt[504][6]~33947\);

-- Location: FF_X39_Y34_N23
\led_flash_cnt[504][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[504][6]~33946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[504][6]~q\);

-- Location: LCCOMB_X39_Y34_N24
\led_flash_cnt[504][7]~33948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[504][7]~33948_combout\ = \led_flash_cnt[504][6]~33947\ $ (!\led_flash_cnt[504][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[504][7]~q\,
	cin => \led_flash_cnt[504][6]~33947\,
	combout => \led_flash_cnt[504][7]~33948_combout\);

-- Location: FF_X39_Y34_N25
\led_flash_cnt[504][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[504][7]~33948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[504][7]~q\);

-- Location: LCCOMB_X39_Y34_N0
\WideAnd504~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd504~1_combout\ = (\led_flash_cnt[504][6]~q\ & \led_flash_cnt[504][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[504][6]~q\,
	datad => \led_flash_cnt[504][5]~q\,
	combout => \WideAnd504~1_combout\);

-- Location: LCCOMB_X39_Y34_N26
WideAnd504 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd504~combout\ = (\WideAnd504~0_combout\ & (\led_flash_cnt[504][7]~q\ & (\led_flash_cnt[504][0]~q\ & \WideAnd504~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd504~0_combout\,
	datab => \led_flash_cnt[504][7]~q\,
	datac => \led_flash_cnt[504][0]~q\,
	datad => \WideAnd504~1_combout\,
	combout => \WideAnd504~combout\);

-- Location: FF_X39_Y34_N27
\led_flash_cnt_ands[504]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd504~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(504));

-- Location: LCCOMB_X51_Y38_N6
\led_flash_cnt[505][0]~81145\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[505][0]~81145_combout\ = !\led_flash_cnt[505][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[505][0]~q\,
	combout => \led_flash_cnt[505][0]~81145_combout\);

-- Location: FF_X51_Y38_N7
\led_flash_cnt[505][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[505][0]~81145_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[505][0]~q\);

-- Location: LCCOMB_X52_Y38_N18
\led_flash_cnt[505][1]~33950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[505][1]~33950_combout\ = (\led_flash_cnt[505][0]~q\ & (\led_flash_cnt[505][1]~q\ $ (VCC))) # (!\led_flash_cnt[505][0]~q\ & (\led_flash_cnt[505][1]~q\ & VCC))
-- \led_flash_cnt[505][1]~33951\ = CARRY((\led_flash_cnt[505][0]~q\ & \led_flash_cnt[505][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[505][0]~q\,
	datab => \led_flash_cnt[505][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[505][1]~33950_combout\,
	cout => \led_flash_cnt[505][1]~33951\);

-- Location: FF_X52_Y38_N19
\led_flash_cnt[505][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[505][1]~33950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[505][1]~q\);

-- Location: LCCOMB_X52_Y38_N20
\led_flash_cnt[505][2]~33952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[505][2]~33952_combout\ = (\led_flash_cnt[505][2]~q\ & (!\led_flash_cnt[505][1]~33951\)) # (!\led_flash_cnt[505][2]~q\ & ((\led_flash_cnt[505][1]~33951\) # (GND)))
-- \led_flash_cnt[505][2]~33953\ = CARRY((!\led_flash_cnt[505][1]~33951\) # (!\led_flash_cnt[505][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[505][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[505][1]~33951\,
	combout => \led_flash_cnt[505][2]~33952_combout\,
	cout => \led_flash_cnt[505][2]~33953\);

-- Location: FF_X52_Y38_N21
\led_flash_cnt[505][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[505][2]~33952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[505][2]~q\);

-- Location: LCCOMB_X52_Y38_N22
\led_flash_cnt[505][3]~33954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[505][3]~33954_combout\ = (\led_flash_cnt[505][3]~q\ & (\led_flash_cnt[505][2]~33953\ $ (GND))) # (!\led_flash_cnt[505][3]~q\ & (!\led_flash_cnt[505][2]~33953\ & VCC))
-- \led_flash_cnt[505][3]~33955\ = CARRY((\led_flash_cnt[505][3]~q\ & !\led_flash_cnt[505][2]~33953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[505][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[505][2]~33953\,
	combout => \led_flash_cnt[505][3]~33954_combout\,
	cout => \led_flash_cnt[505][3]~33955\);

-- Location: FF_X52_Y38_N23
\led_flash_cnt[505][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[505][3]~33954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[505][3]~q\);

-- Location: LCCOMB_X52_Y38_N24
\led_flash_cnt[505][4]~33956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[505][4]~33956_combout\ = (\led_flash_cnt[505][4]~q\ & (!\led_flash_cnt[505][3]~33955\)) # (!\led_flash_cnt[505][4]~q\ & ((\led_flash_cnt[505][3]~33955\) # (GND)))
-- \led_flash_cnt[505][4]~33957\ = CARRY((!\led_flash_cnt[505][3]~33955\) # (!\led_flash_cnt[505][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[505][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[505][3]~33955\,
	combout => \led_flash_cnt[505][4]~33956_combout\,
	cout => \led_flash_cnt[505][4]~33957\);

-- Location: FF_X52_Y38_N25
\led_flash_cnt[505][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[505][4]~33956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[505][4]~q\);

-- Location: LCCOMB_X52_Y38_N26
\led_flash_cnt[505][5]~33958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[505][5]~33958_combout\ = (\led_flash_cnt[505][5]~q\ & (\led_flash_cnt[505][4]~33957\ $ (GND))) # (!\led_flash_cnt[505][5]~q\ & (!\led_flash_cnt[505][4]~33957\ & VCC))
-- \led_flash_cnt[505][5]~33959\ = CARRY((\led_flash_cnt[505][5]~q\ & !\led_flash_cnt[505][4]~33957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[505][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[505][4]~33957\,
	combout => \led_flash_cnt[505][5]~33958_combout\,
	cout => \led_flash_cnt[505][5]~33959\);

-- Location: FF_X52_Y38_N27
\led_flash_cnt[505][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[505][5]~33958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[505][5]~q\);

-- Location: LCCOMB_X52_Y38_N28
\led_flash_cnt[505][6]~33960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[505][6]~33960_combout\ = (\led_flash_cnt[505][6]~q\ & (!\led_flash_cnt[505][5]~33959\)) # (!\led_flash_cnt[505][6]~q\ & ((\led_flash_cnt[505][5]~33959\) # (GND)))
-- \led_flash_cnt[505][6]~33961\ = CARRY((!\led_flash_cnt[505][5]~33959\) # (!\led_flash_cnt[505][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[505][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[505][5]~33959\,
	combout => \led_flash_cnt[505][6]~33960_combout\,
	cout => \led_flash_cnt[505][6]~33961\);

-- Location: FF_X52_Y38_N29
\led_flash_cnt[505][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[505][6]~33960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[505][6]~q\);

-- Location: LCCOMB_X51_Y38_N30
\WideAnd505~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd505~1_combout\ = (\led_flash_cnt[505][6]~q\ & \led_flash_cnt[505][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[505][6]~q\,
	datad => \led_flash_cnt[505][5]~q\,
	combout => \WideAnd505~1_combout\);

-- Location: LCCOMB_X51_Y38_N28
\WideAnd505~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd505~0_combout\ = (\led_flash_cnt[505][1]~q\ & (\led_flash_cnt[505][4]~q\ & (\led_flash_cnt[505][2]~q\ & \led_flash_cnt[505][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[505][1]~q\,
	datab => \led_flash_cnt[505][4]~q\,
	datac => \led_flash_cnt[505][2]~q\,
	datad => \led_flash_cnt[505][3]~q\,
	combout => \WideAnd505~0_combout\);

-- Location: LCCOMB_X52_Y38_N30
\led_flash_cnt[505][7]~33962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[505][7]~33962_combout\ = \led_flash_cnt[505][7]~q\ $ (!\led_flash_cnt[505][6]~33961\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[505][7]~q\,
	cin => \led_flash_cnt[505][6]~33961\,
	combout => \led_flash_cnt[505][7]~33962_combout\);

-- Location: FF_X52_Y38_N31
\led_flash_cnt[505][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[505][7]~33962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[505][7]~q\);

-- Location: LCCOMB_X51_Y38_N4
WideAnd505 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd505~combout\ = (\WideAnd505~1_combout\ & (\WideAnd505~0_combout\ & (\led_flash_cnt[505][7]~q\ & \led_flash_cnt[505][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd505~1_combout\,
	datab => \WideAnd505~0_combout\,
	datac => \led_flash_cnt[505][7]~q\,
	datad => \led_flash_cnt[505][0]~q\,
	combout => \WideAnd505~combout\);

-- Location: FF_X51_Y38_N5
\led_flash_cnt_ands[505]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd505~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(505));

-- Location: LCCOMB_X38_Y34_N14
\led_flash_cnt[506][0]~81146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[506][0]~81146_combout\ = !\led_flash_cnt[506][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[506][0]~q\,
	combout => \led_flash_cnt[506][0]~81146_combout\);

-- Location: FF_X38_Y34_N15
\led_flash_cnt[506][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[506][0]~81146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[506][0]~q\);

-- Location: LCCOMB_X29_Y34_N0
\led_flash_cnt[506][1]~33964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[506][1]~33964_combout\ = (\led_flash_cnt[506][0]~q\ & (\led_flash_cnt[506][1]~q\ $ (VCC))) # (!\led_flash_cnt[506][0]~q\ & (\led_flash_cnt[506][1]~q\ & VCC))
-- \led_flash_cnt[506][1]~33965\ = CARRY((\led_flash_cnt[506][0]~q\ & \led_flash_cnt[506][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[506][0]~q\,
	datab => \led_flash_cnt[506][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[506][1]~33964_combout\,
	cout => \led_flash_cnt[506][1]~33965\);

-- Location: FF_X29_Y34_N1
\led_flash_cnt[506][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[506][1]~33964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[506][1]~q\);

-- Location: LCCOMB_X29_Y34_N2
\led_flash_cnt[506][2]~33966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[506][2]~33966_combout\ = (\led_flash_cnt[506][2]~q\ & (!\led_flash_cnt[506][1]~33965\)) # (!\led_flash_cnt[506][2]~q\ & ((\led_flash_cnt[506][1]~33965\) # (GND)))
-- \led_flash_cnt[506][2]~33967\ = CARRY((!\led_flash_cnt[506][1]~33965\) # (!\led_flash_cnt[506][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[506][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[506][1]~33965\,
	combout => \led_flash_cnt[506][2]~33966_combout\,
	cout => \led_flash_cnt[506][2]~33967\);

-- Location: FF_X29_Y34_N3
\led_flash_cnt[506][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[506][2]~33966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[506][2]~q\);

-- Location: LCCOMB_X29_Y34_N4
\led_flash_cnt[506][3]~33968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[506][3]~33968_combout\ = (\led_flash_cnt[506][3]~q\ & (\led_flash_cnt[506][2]~33967\ $ (GND))) # (!\led_flash_cnt[506][3]~q\ & (!\led_flash_cnt[506][2]~33967\ & VCC))
-- \led_flash_cnt[506][3]~33969\ = CARRY((\led_flash_cnt[506][3]~q\ & !\led_flash_cnt[506][2]~33967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[506][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[506][2]~33967\,
	combout => \led_flash_cnt[506][3]~33968_combout\,
	cout => \led_flash_cnt[506][3]~33969\);

-- Location: FF_X29_Y34_N5
\led_flash_cnt[506][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[506][3]~33968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[506][3]~q\);

-- Location: LCCOMB_X29_Y34_N6
\led_flash_cnt[506][4]~33970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[506][4]~33970_combout\ = (\led_flash_cnt[506][4]~q\ & (!\led_flash_cnt[506][3]~33969\)) # (!\led_flash_cnt[506][4]~q\ & ((\led_flash_cnt[506][3]~33969\) # (GND)))
-- \led_flash_cnt[506][4]~33971\ = CARRY((!\led_flash_cnt[506][3]~33969\) # (!\led_flash_cnt[506][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[506][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[506][3]~33969\,
	combout => \led_flash_cnt[506][4]~33970_combout\,
	cout => \led_flash_cnt[506][4]~33971\);

-- Location: FF_X29_Y34_N7
\led_flash_cnt[506][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[506][4]~33970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[506][4]~q\);

-- Location: LCCOMB_X29_Y34_N8
\led_flash_cnt[506][5]~33972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[506][5]~33972_combout\ = (\led_flash_cnt[506][5]~q\ & (\led_flash_cnt[506][4]~33971\ $ (GND))) # (!\led_flash_cnt[506][5]~q\ & (!\led_flash_cnt[506][4]~33971\ & VCC))
-- \led_flash_cnt[506][5]~33973\ = CARRY((\led_flash_cnt[506][5]~q\ & !\led_flash_cnt[506][4]~33971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[506][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[506][4]~33971\,
	combout => \led_flash_cnt[506][5]~33972_combout\,
	cout => \led_flash_cnt[506][5]~33973\);

-- Location: FF_X29_Y34_N9
\led_flash_cnt[506][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[506][5]~33972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[506][5]~q\);

-- Location: LCCOMB_X29_Y34_N10
\led_flash_cnt[506][6]~33974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[506][6]~33974_combout\ = (\led_flash_cnt[506][6]~q\ & (!\led_flash_cnt[506][5]~33973\)) # (!\led_flash_cnt[506][6]~q\ & ((\led_flash_cnt[506][5]~33973\) # (GND)))
-- \led_flash_cnt[506][6]~33975\ = CARRY((!\led_flash_cnt[506][5]~33973\) # (!\led_flash_cnt[506][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[506][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[506][5]~33973\,
	combout => \led_flash_cnt[506][6]~33974_combout\,
	cout => \led_flash_cnt[506][6]~33975\);

-- Location: FF_X29_Y34_N11
\led_flash_cnt[506][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[506][6]~33974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[506][6]~q\);

-- Location: LCCOMB_X29_Y34_N12
\led_flash_cnt[506][7]~33976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[506][7]~33976_combout\ = \led_flash_cnt[506][6]~33975\ $ (!\led_flash_cnt[506][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[506][7]~q\,
	cin => \led_flash_cnt[506][6]~33975\,
	combout => \led_flash_cnt[506][7]~33976_combout\);

-- Location: FF_X29_Y34_N13
\led_flash_cnt[506][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[506][7]~33976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[506][7]~q\);

-- Location: LCCOMB_X30_Y34_N0
\WideAnd506~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd506~1_combout\ = (\led_flash_cnt[506][6]~q\ & \led_flash_cnt[506][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[506][6]~q\,
	datad => \led_flash_cnt[506][5]~q\,
	combout => \WideAnd506~1_combout\);

-- Location: LCCOMB_X30_Y34_N28
\WideAnd506~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd506~0_combout\ = (\led_flash_cnt[506][1]~q\ & (\led_flash_cnt[506][4]~q\ & (\led_flash_cnt[506][3]~q\ & \led_flash_cnt[506][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[506][1]~q\,
	datab => \led_flash_cnt[506][4]~q\,
	datac => \led_flash_cnt[506][3]~q\,
	datad => \led_flash_cnt[506][2]~q\,
	combout => \WideAnd506~0_combout\);

-- Location: LCCOMB_X30_Y34_N24
WideAnd506 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd506~combout\ = (\led_flash_cnt[506][7]~q\ & (\WideAnd506~1_combout\ & (\led_flash_cnt[506][0]~q\ & \WideAnd506~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[506][7]~q\,
	datab => \WideAnd506~1_combout\,
	datac => \led_flash_cnt[506][0]~q\,
	datad => \WideAnd506~0_combout\,
	combout => \WideAnd506~combout\);

-- Location: FF_X30_Y34_N25
\led_flash_cnt_ands[506]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd506~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(506));

-- Location: LCCOMB_X46_Y34_N0
\led_flash_cnt[507][0]~81147\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[507][0]~81147_combout\ = !\led_flash_cnt[507][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[507][0]~q\,
	combout => \led_flash_cnt[507][0]~81147_combout\);

-- Location: FF_X46_Y34_N1
\led_flash_cnt[507][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[507][0]~81147_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[507][0]~q\);

-- Location: LCCOMB_X46_Y35_N18
\led_flash_cnt[507][1]~33978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[507][1]~33978_combout\ = (\led_flash_cnt[507][0]~q\ & (\led_flash_cnt[507][1]~q\ $ (VCC))) # (!\led_flash_cnt[507][0]~q\ & (\led_flash_cnt[507][1]~q\ & VCC))
-- \led_flash_cnt[507][1]~33979\ = CARRY((\led_flash_cnt[507][0]~q\ & \led_flash_cnt[507][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[507][0]~q\,
	datab => \led_flash_cnt[507][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[507][1]~33978_combout\,
	cout => \led_flash_cnt[507][1]~33979\);

-- Location: FF_X46_Y35_N19
\led_flash_cnt[507][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[507][1]~33978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[507][1]~q\);

-- Location: LCCOMB_X46_Y35_N20
\led_flash_cnt[507][2]~33980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[507][2]~33980_combout\ = (\led_flash_cnt[507][2]~q\ & (!\led_flash_cnt[507][1]~33979\)) # (!\led_flash_cnt[507][2]~q\ & ((\led_flash_cnt[507][1]~33979\) # (GND)))
-- \led_flash_cnt[507][2]~33981\ = CARRY((!\led_flash_cnt[507][1]~33979\) # (!\led_flash_cnt[507][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[507][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[507][1]~33979\,
	combout => \led_flash_cnt[507][2]~33980_combout\,
	cout => \led_flash_cnt[507][2]~33981\);

-- Location: FF_X46_Y35_N21
\led_flash_cnt[507][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[507][2]~33980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[507][2]~q\);

-- Location: LCCOMB_X46_Y35_N22
\led_flash_cnt[507][3]~33982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[507][3]~33982_combout\ = (\led_flash_cnt[507][3]~q\ & (\led_flash_cnt[507][2]~33981\ $ (GND))) # (!\led_flash_cnt[507][3]~q\ & (!\led_flash_cnt[507][2]~33981\ & VCC))
-- \led_flash_cnt[507][3]~33983\ = CARRY((\led_flash_cnt[507][3]~q\ & !\led_flash_cnt[507][2]~33981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[507][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[507][2]~33981\,
	combout => \led_flash_cnt[507][3]~33982_combout\,
	cout => \led_flash_cnt[507][3]~33983\);

-- Location: FF_X46_Y35_N23
\led_flash_cnt[507][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[507][3]~33982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[507][3]~q\);

-- Location: LCCOMB_X46_Y35_N24
\led_flash_cnt[507][4]~33984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[507][4]~33984_combout\ = (\led_flash_cnt[507][4]~q\ & (!\led_flash_cnt[507][3]~33983\)) # (!\led_flash_cnt[507][4]~q\ & ((\led_flash_cnt[507][3]~33983\) # (GND)))
-- \led_flash_cnt[507][4]~33985\ = CARRY((!\led_flash_cnt[507][3]~33983\) # (!\led_flash_cnt[507][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[507][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[507][3]~33983\,
	combout => \led_flash_cnt[507][4]~33984_combout\,
	cout => \led_flash_cnt[507][4]~33985\);

-- Location: FF_X46_Y35_N25
\led_flash_cnt[507][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[507][4]~33984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[507][4]~q\);

-- Location: LCCOMB_X46_Y35_N14
\WideAnd507~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd507~0_combout\ = (\led_flash_cnt[507][1]~q\ & (\led_flash_cnt[507][2]~q\ & (\led_flash_cnt[507][3]~q\ & \led_flash_cnt[507][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[507][1]~q\,
	datab => \led_flash_cnt[507][2]~q\,
	datac => \led_flash_cnt[507][3]~q\,
	datad => \led_flash_cnt[507][4]~q\,
	combout => \WideAnd507~0_combout\);

-- Location: LCCOMB_X46_Y35_N26
\led_flash_cnt[507][5]~33986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[507][5]~33986_combout\ = (\led_flash_cnt[507][5]~q\ & (\led_flash_cnt[507][4]~33985\ $ (GND))) # (!\led_flash_cnt[507][5]~q\ & (!\led_flash_cnt[507][4]~33985\ & VCC))
-- \led_flash_cnt[507][5]~33987\ = CARRY((\led_flash_cnt[507][5]~q\ & !\led_flash_cnt[507][4]~33985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[507][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[507][4]~33985\,
	combout => \led_flash_cnt[507][5]~33986_combout\,
	cout => \led_flash_cnt[507][5]~33987\);

-- Location: FF_X46_Y35_N27
\led_flash_cnt[507][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[507][5]~33986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[507][5]~q\);

-- Location: LCCOMB_X46_Y35_N28
\led_flash_cnt[507][6]~33988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[507][6]~33988_combout\ = (\led_flash_cnt[507][6]~q\ & (!\led_flash_cnt[507][5]~33987\)) # (!\led_flash_cnt[507][6]~q\ & ((\led_flash_cnt[507][5]~33987\) # (GND)))
-- \led_flash_cnt[507][6]~33989\ = CARRY((!\led_flash_cnt[507][5]~33987\) # (!\led_flash_cnt[507][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[507][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[507][5]~33987\,
	combout => \led_flash_cnt[507][6]~33988_combout\,
	cout => \led_flash_cnt[507][6]~33989\);

-- Location: FF_X46_Y35_N29
\led_flash_cnt[507][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[507][6]~33988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[507][6]~q\);

-- Location: LCCOMB_X46_Y34_N14
\WideAnd507~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd507~1_combout\ = (\led_flash_cnt[507][6]~q\ & \led_flash_cnt[507][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[507][6]~q\,
	datad => \led_flash_cnt[507][5]~q\,
	combout => \WideAnd507~1_combout\);

-- Location: LCCOMB_X46_Y35_N30
\led_flash_cnt[507][7]~33990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[507][7]~33990_combout\ = \led_flash_cnt[507][7]~q\ $ (!\led_flash_cnt[507][6]~33989\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[507][7]~q\,
	cin => \led_flash_cnt[507][6]~33989\,
	combout => \led_flash_cnt[507][7]~33990_combout\);

-- Location: FF_X46_Y35_N31
\led_flash_cnt[507][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[507][7]~33990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[507][7]~q\);

-- Location: LCCOMB_X46_Y34_N4
WideAnd507 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd507~combout\ = (\WideAnd507~0_combout\ & (\WideAnd507~1_combout\ & (\led_flash_cnt[507][7]~q\ & \led_flash_cnt[507][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd507~0_combout\,
	datab => \WideAnd507~1_combout\,
	datac => \led_flash_cnt[507][7]~q\,
	datad => \led_flash_cnt[507][0]~q\,
	combout => \WideAnd507~combout\);

-- Location: FF_X46_Y34_N5
\led_flash_cnt_ands[507]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd507~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(507));

-- Location: LCCOMB_X45_Y34_N4
\WideAnd3903~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3903~0_combout\ = (led_flash_cnt_ands(504) & (led_flash_cnt_ands(505) & (led_flash_cnt_ands(506) & led_flash_cnt_ands(507))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(504),
	datab => led_flash_cnt_ands(505),
	datac => led_flash_cnt_ands(506),
	datad => led_flash_cnt_ands(507),
	combout => \WideAnd3903~0_combout\);

-- Location: LCCOMB_X44_Y40_N6
\led_flash_cnt[511][0]~81151\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[511][0]~81151_combout\ = !\led_flash_cnt[511][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[511][0]~q\,
	combout => \led_flash_cnt[511][0]~81151_combout\);

-- Location: FF_X44_Y40_N7
\led_flash_cnt[511][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[511][0]~81151_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[511][0]~q\);

-- Location: LCCOMB_X45_Y40_N0
\led_flash_cnt[511][1]~34034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[511][1]~34034_combout\ = (\led_flash_cnt[511][0]~q\ & (\led_flash_cnt[511][1]~q\ $ (VCC))) # (!\led_flash_cnt[511][0]~q\ & (\led_flash_cnt[511][1]~q\ & VCC))
-- \led_flash_cnt[511][1]~34035\ = CARRY((\led_flash_cnt[511][0]~q\ & \led_flash_cnt[511][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[511][0]~q\,
	datab => \led_flash_cnt[511][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[511][1]~34034_combout\,
	cout => \led_flash_cnt[511][1]~34035\);

-- Location: FF_X45_Y40_N1
\led_flash_cnt[511][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[511][1]~34034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[511][1]~q\);

-- Location: LCCOMB_X45_Y40_N2
\led_flash_cnt[511][2]~34036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[511][2]~34036_combout\ = (\led_flash_cnt[511][2]~q\ & (!\led_flash_cnt[511][1]~34035\)) # (!\led_flash_cnt[511][2]~q\ & ((\led_flash_cnt[511][1]~34035\) # (GND)))
-- \led_flash_cnt[511][2]~34037\ = CARRY((!\led_flash_cnt[511][1]~34035\) # (!\led_flash_cnt[511][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[511][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[511][1]~34035\,
	combout => \led_flash_cnt[511][2]~34036_combout\,
	cout => \led_flash_cnt[511][2]~34037\);

-- Location: FF_X45_Y40_N3
\led_flash_cnt[511][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[511][2]~34036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[511][2]~q\);

-- Location: LCCOMB_X45_Y40_N4
\led_flash_cnt[511][3]~34038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[511][3]~34038_combout\ = (\led_flash_cnt[511][3]~q\ & (\led_flash_cnt[511][2]~34037\ $ (GND))) # (!\led_flash_cnt[511][3]~q\ & (!\led_flash_cnt[511][2]~34037\ & VCC))
-- \led_flash_cnt[511][3]~34039\ = CARRY((\led_flash_cnt[511][3]~q\ & !\led_flash_cnt[511][2]~34037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[511][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[511][2]~34037\,
	combout => \led_flash_cnt[511][3]~34038_combout\,
	cout => \led_flash_cnt[511][3]~34039\);

-- Location: FF_X45_Y40_N5
\led_flash_cnt[511][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[511][3]~34038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[511][3]~q\);

-- Location: LCCOMB_X45_Y40_N6
\led_flash_cnt[511][4]~34040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[511][4]~34040_combout\ = (\led_flash_cnt[511][4]~q\ & (!\led_flash_cnt[511][3]~34039\)) # (!\led_flash_cnt[511][4]~q\ & ((\led_flash_cnt[511][3]~34039\) # (GND)))
-- \led_flash_cnt[511][4]~34041\ = CARRY((!\led_flash_cnt[511][3]~34039\) # (!\led_flash_cnt[511][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[511][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[511][3]~34039\,
	combout => \led_flash_cnt[511][4]~34040_combout\,
	cout => \led_flash_cnt[511][4]~34041\);

-- Location: FF_X45_Y40_N7
\led_flash_cnt[511][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[511][4]~34040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[511][4]~q\);

-- Location: LCCOMB_X45_Y40_N8
\led_flash_cnt[511][5]~34042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[511][5]~34042_combout\ = (\led_flash_cnt[511][5]~q\ & (\led_flash_cnt[511][4]~34041\ $ (GND))) # (!\led_flash_cnt[511][5]~q\ & (!\led_flash_cnt[511][4]~34041\ & VCC))
-- \led_flash_cnt[511][5]~34043\ = CARRY((\led_flash_cnt[511][5]~q\ & !\led_flash_cnt[511][4]~34041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[511][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[511][4]~34041\,
	combout => \led_flash_cnt[511][5]~34042_combout\,
	cout => \led_flash_cnt[511][5]~34043\);

-- Location: FF_X45_Y40_N9
\led_flash_cnt[511][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[511][5]~34042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[511][5]~q\);

-- Location: LCCOMB_X45_Y40_N10
\led_flash_cnt[511][6]~34044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[511][6]~34044_combout\ = (\led_flash_cnt[511][6]~q\ & (!\led_flash_cnt[511][5]~34043\)) # (!\led_flash_cnt[511][6]~q\ & ((\led_flash_cnt[511][5]~34043\) # (GND)))
-- \led_flash_cnt[511][6]~34045\ = CARRY((!\led_flash_cnt[511][5]~34043\) # (!\led_flash_cnt[511][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[511][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[511][5]~34043\,
	combout => \led_flash_cnt[511][6]~34044_combout\,
	cout => \led_flash_cnt[511][6]~34045\);

-- Location: FF_X45_Y40_N11
\led_flash_cnt[511][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[511][6]~34044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[511][6]~q\);

-- Location: LCCOMB_X45_Y40_N12
\led_flash_cnt[511][7]~34046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[511][7]~34046_combout\ = \led_flash_cnt[511][6]~34045\ $ (!\led_flash_cnt[511][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[511][7]~q\,
	cin => \led_flash_cnt[511][6]~34045\,
	combout => \led_flash_cnt[511][7]~34046_combout\);

-- Location: FF_X45_Y40_N13
\led_flash_cnt[511][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[511][7]~34046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[511][7]~q\);

-- Location: LCCOMB_X44_Y40_N10
\WideAnd511~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd511~1_combout\ = (\led_flash_cnt[511][7]~q\ & \led_flash_cnt[511][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[511][7]~q\,
	datad => \led_flash_cnt[511][0]~q\,
	combout => \WideAnd511~1_combout\);

-- Location: LCCOMB_X45_Y40_N16
\WideAnd511~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd511~0_combout\ = (\led_flash_cnt[511][4]~q\ & (\led_flash_cnt[511][1]~q\ & (\led_flash_cnt[511][3]~q\ & \led_flash_cnt[511][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[511][4]~q\,
	datab => \led_flash_cnt[511][1]~q\,
	datac => \led_flash_cnt[511][3]~q\,
	datad => \led_flash_cnt[511][2]~q\,
	combout => \WideAnd511~0_combout\);

-- Location: LCCOMB_X44_Y40_N8
WideAnd511 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd511~combout\ = (\WideAnd511~1_combout\ & (\led_flash_cnt[511][6]~q\ & (\led_flash_cnt[511][5]~q\ & \WideAnd511~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd511~1_combout\,
	datab => \led_flash_cnt[511][6]~q\,
	datac => \led_flash_cnt[511][5]~q\,
	datad => \WideAnd511~0_combout\,
	combout => \WideAnd511~combout\);

-- Location: FF_X44_Y40_N9
\led_flash_cnt_ands[511]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd511~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(511));

-- Location: LCCOMB_X51_Y38_N2
\led_flash_cnt[510][0]~81150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[510][0]~81150_combout\ = !\led_flash_cnt[510][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[510][0]~q\,
	combout => \led_flash_cnt[510][0]~81150_combout\);

-- Location: FF_X51_Y38_N3
\led_flash_cnt[510][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[510][0]~81150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[510][0]~q\);

-- Location: LCCOMB_X51_Y38_N12
\led_flash_cnt[510][1]~34020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[510][1]~34020_combout\ = (\led_flash_cnt[510][1]~q\ & (\led_flash_cnt[510][0]~q\ $ (VCC))) # (!\led_flash_cnt[510][1]~q\ & (\led_flash_cnt[510][0]~q\ & VCC))
-- \led_flash_cnt[510][1]~34021\ = CARRY((\led_flash_cnt[510][1]~q\ & \led_flash_cnt[510][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[510][1]~q\,
	datab => \led_flash_cnt[510][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[510][1]~34020_combout\,
	cout => \led_flash_cnt[510][1]~34021\);

-- Location: FF_X51_Y38_N13
\led_flash_cnt[510][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[510][1]~34020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[510][1]~q\);

-- Location: LCCOMB_X51_Y38_N14
\led_flash_cnt[510][2]~34022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[510][2]~34022_combout\ = (\led_flash_cnt[510][2]~q\ & (!\led_flash_cnt[510][1]~34021\)) # (!\led_flash_cnt[510][2]~q\ & ((\led_flash_cnt[510][1]~34021\) # (GND)))
-- \led_flash_cnt[510][2]~34023\ = CARRY((!\led_flash_cnt[510][1]~34021\) # (!\led_flash_cnt[510][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[510][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[510][1]~34021\,
	combout => \led_flash_cnt[510][2]~34022_combout\,
	cout => \led_flash_cnt[510][2]~34023\);

-- Location: FF_X51_Y38_N15
\led_flash_cnt[510][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[510][2]~34022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[510][2]~q\);

-- Location: LCCOMB_X51_Y38_N16
\led_flash_cnt[510][3]~34024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[510][3]~34024_combout\ = (\led_flash_cnt[510][3]~q\ & (\led_flash_cnt[510][2]~34023\ $ (GND))) # (!\led_flash_cnt[510][3]~q\ & (!\led_flash_cnt[510][2]~34023\ & VCC))
-- \led_flash_cnt[510][3]~34025\ = CARRY((\led_flash_cnt[510][3]~q\ & !\led_flash_cnt[510][2]~34023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[510][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[510][2]~34023\,
	combout => \led_flash_cnt[510][3]~34024_combout\,
	cout => \led_flash_cnt[510][3]~34025\);

-- Location: FF_X51_Y38_N17
\led_flash_cnt[510][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[510][3]~34024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[510][3]~q\);

-- Location: LCCOMB_X51_Y38_N18
\led_flash_cnt[510][4]~34026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[510][4]~34026_combout\ = (\led_flash_cnt[510][4]~q\ & (!\led_flash_cnt[510][3]~34025\)) # (!\led_flash_cnt[510][4]~q\ & ((\led_flash_cnt[510][3]~34025\) # (GND)))
-- \led_flash_cnt[510][4]~34027\ = CARRY((!\led_flash_cnt[510][3]~34025\) # (!\led_flash_cnt[510][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[510][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[510][3]~34025\,
	combout => \led_flash_cnt[510][4]~34026_combout\,
	cout => \led_flash_cnt[510][4]~34027\);

-- Location: FF_X51_Y38_N19
\led_flash_cnt[510][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[510][4]~34026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[510][4]~q\);

-- Location: LCCOMB_X51_Y38_N20
\led_flash_cnt[510][5]~34028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[510][5]~34028_combout\ = (\led_flash_cnt[510][5]~q\ & (\led_flash_cnt[510][4]~34027\ $ (GND))) # (!\led_flash_cnt[510][5]~q\ & (!\led_flash_cnt[510][4]~34027\ & VCC))
-- \led_flash_cnt[510][5]~34029\ = CARRY((\led_flash_cnt[510][5]~q\ & !\led_flash_cnt[510][4]~34027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[510][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[510][4]~34027\,
	combout => \led_flash_cnt[510][5]~34028_combout\,
	cout => \led_flash_cnt[510][5]~34029\);

-- Location: FF_X51_Y38_N21
\led_flash_cnt[510][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[510][5]~34028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[510][5]~q\);

-- Location: LCCOMB_X51_Y38_N22
\led_flash_cnt[510][6]~34030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[510][6]~34030_combout\ = (\led_flash_cnt[510][6]~q\ & (!\led_flash_cnt[510][5]~34029\)) # (!\led_flash_cnt[510][6]~q\ & ((\led_flash_cnt[510][5]~34029\) # (GND)))
-- \led_flash_cnt[510][6]~34031\ = CARRY((!\led_flash_cnt[510][5]~34029\) # (!\led_flash_cnt[510][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[510][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[510][5]~34029\,
	combout => \led_flash_cnt[510][6]~34030_combout\,
	cout => \led_flash_cnt[510][6]~34031\);

-- Location: FF_X51_Y38_N23
\led_flash_cnt[510][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[510][6]~34030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[510][6]~q\);

-- Location: LCCOMB_X51_Y38_N26
\WideAnd510~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd510~1_combout\ = (\led_flash_cnt[510][6]~q\ & \led_flash_cnt[510][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[510][6]~q\,
	datad => \led_flash_cnt[510][5]~q\,
	combout => \WideAnd510~1_combout\);

-- Location: LCCOMB_X51_Y38_N8
\WideAnd510~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd510~0_combout\ = (\led_flash_cnt[510][1]~q\ & (\led_flash_cnt[510][4]~q\ & (\led_flash_cnt[510][2]~q\ & \led_flash_cnt[510][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[510][1]~q\,
	datab => \led_flash_cnt[510][4]~q\,
	datac => \led_flash_cnt[510][2]~q\,
	datad => \led_flash_cnt[510][3]~q\,
	combout => \WideAnd510~0_combout\);

-- Location: LCCOMB_X51_Y38_N24
\led_flash_cnt[510][7]~34032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[510][7]~34032_combout\ = \led_flash_cnt[510][6]~34031\ $ (!\led_flash_cnt[510][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[510][7]~q\,
	cin => \led_flash_cnt[510][6]~34031\,
	combout => \led_flash_cnt[510][7]~34032_combout\);

-- Location: FF_X51_Y38_N25
\led_flash_cnt[510][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[510][7]~34032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[510][7]~q\);

-- Location: LCCOMB_X51_Y38_N10
WideAnd510 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd510~combout\ = (\WideAnd510~1_combout\ & (\led_flash_cnt[510][0]~q\ & (\WideAnd510~0_combout\ & \led_flash_cnt[510][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd510~1_combout\,
	datab => \led_flash_cnt[510][0]~q\,
	datac => \WideAnd510~0_combout\,
	datad => \led_flash_cnt[510][7]~q\,
	combout => \WideAnd510~combout\);

-- Location: FF_X51_Y38_N11
\led_flash_cnt_ands[510]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd510~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(510));

-- Location: LCCOMB_X49_Y38_N16
WideAnd3903 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3903~combout\ = (\WideAnd3903~1_combout\ & (\WideAnd3903~0_combout\ & (led_flash_cnt_ands(511) & led_flash_cnt_ands(510))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3903~1_combout\,
	datab => \WideAnd3903~0_combout\,
	datac => led_flash_cnt_ands(511),
	datad => led_flash_cnt_ands(510),
	combout => \WideAnd3903~combout\);

-- Location: FF_X49_Y38_N17
\led_flash_cnt_ands_1[63]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3903~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(63));

-- Location: LCCOMB_X49_Y38_N14
WideAnd4327 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4327~combout\ = (\WideAnd4327~1_combout\ & (\WideAnd4327~0_combout\ & (led_flash_cnt_ands_1(62) & led_flash_cnt_ands_1(63))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4327~1_combout\,
	datab => \WideAnd4327~0_combout\,
	datac => led_flash_cnt_ands_1(62),
	datad => led_flash_cnt_ands_1(63),
	combout => \WideAnd4327~combout\);

-- Location: FF_X49_Y38_N15
\led_flash_cnt_ands_2[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4327~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(7));

-- Location: LCCOMB_X49_Y44_N6
\led_flash_cnt[432][0]~81072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[432][0]~81072_combout\ = !\led_flash_cnt[432][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[432][0]~q\,
	combout => \led_flash_cnt[432][0]~81072_combout\);

-- Location: FF_X49_Y44_N7
\led_flash_cnt[432][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[432][0]~81072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[432][0]~q\);

-- Location: LCCOMB_X50_Y44_N16
\led_flash_cnt[432][1]~32928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[432][1]~32928_combout\ = (\led_flash_cnt[432][0]~q\ & (\led_flash_cnt[432][1]~q\ $ (VCC))) # (!\led_flash_cnt[432][0]~q\ & (\led_flash_cnt[432][1]~q\ & VCC))
-- \led_flash_cnt[432][1]~32929\ = CARRY((\led_flash_cnt[432][0]~q\ & \led_flash_cnt[432][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[432][0]~q\,
	datab => \led_flash_cnt[432][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[432][1]~32928_combout\,
	cout => \led_flash_cnt[432][1]~32929\);

-- Location: FF_X50_Y44_N17
\led_flash_cnt[432][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[432][1]~32928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[432][1]~q\);

-- Location: LCCOMB_X50_Y44_N18
\led_flash_cnt[432][2]~32930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[432][2]~32930_combout\ = (\led_flash_cnt[432][2]~q\ & (!\led_flash_cnt[432][1]~32929\)) # (!\led_flash_cnt[432][2]~q\ & ((\led_flash_cnt[432][1]~32929\) # (GND)))
-- \led_flash_cnt[432][2]~32931\ = CARRY((!\led_flash_cnt[432][1]~32929\) # (!\led_flash_cnt[432][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[432][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[432][1]~32929\,
	combout => \led_flash_cnt[432][2]~32930_combout\,
	cout => \led_flash_cnt[432][2]~32931\);

-- Location: FF_X50_Y44_N19
\led_flash_cnt[432][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[432][2]~32930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[432][2]~q\);

-- Location: LCCOMB_X50_Y44_N20
\led_flash_cnt[432][3]~32932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[432][3]~32932_combout\ = (\led_flash_cnt[432][3]~q\ & (\led_flash_cnt[432][2]~32931\ $ (GND))) # (!\led_flash_cnt[432][3]~q\ & (!\led_flash_cnt[432][2]~32931\ & VCC))
-- \led_flash_cnt[432][3]~32933\ = CARRY((\led_flash_cnt[432][3]~q\ & !\led_flash_cnt[432][2]~32931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[432][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[432][2]~32931\,
	combout => \led_flash_cnt[432][3]~32932_combout\,
	cout => \led_flash_cnt[432][3]~32933\);

-- Location: FF_X50_Y44_N21
\led_flash_cnt[432][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[432][3]~32932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[432][3]~q\);

-- Location: LCCOMB_X50_Y44_N22
\led_flash_cnt[432][4]~32934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[432][4]~32934_combout\ = (\led_flash_cnt[432][4]~q\ & (!\led_flash_cnt[432][3]~32933\)) # (!\led_flash_cnt[432][4]~q\ & ((\led_flash_cnt[432][3]~32933\) # (GND)))
-- \led_flash_cnt[432][4]~32935\ = CARRY((!\led_flash_cnt[432][3]~32933\) # (!\led_flash_cnt[432][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[432][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[432][3]~32933\,
	combout => \led_flash_cnt[432][4]~32934_combout\,
	cout => \led_flash_cnt[432][4]~32935\);

-- Location: FF_X50_Y44_N23
\led_flash_cnt[432][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[432][4]~32934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[432][4]~q\);

-- Location: LCCOMB_X50_Y44_N24
\led_flash_cnt[432][5]~32936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[432][5]~32936_combout\ = (\led_flash_cnt[432][5]~q\ & (\led_flash_cnt[432][4]~32935\ $ (GND))) # (!\led_flash_cnt[432][5]~q\ & (!\led_flash_cnt[432][4]~32935\ & VCC))
-- \led_flash_cnt[432][5]~32937\ = CARRY((\led_flash_cnt[432][5]~q\ & !\led_flash_cnt[432][4]~32935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[432][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[432][4]~32935\,
	combout => \led_flash_cnt[432][5]~32936_combout\,
	cout => \led_flash_cnt[432][5]~32937\);

-- Location: FF_X50_Y44_N25
\led_flash_cnt[432][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[432][5]~32936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[432][5]~q\);

-- Location: LCCOMB_X50_Y44_N26
\led_flash_cnt[432][6]~32938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[432][6]~32938_combout\ = (\led_flash_cnt[432][6]~q\ & (!\led_flash_cnt[432][5]~32937\)) # (!\led_flash_cnt[432][6]~q\ & ((\led_flash_cnt[432][5]~32937\) # (GND)))
-- \led_flash_cnt[432][6]~32939\ = CARRY((!\led_flash_cnt[432][5]~32937\) # (!\led_flash_cnt[432][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[432][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[432][5]~32937\,
	combout => \led_flash_cnt[432][6]~32938_combout\,
	cout => \led_flash_cnt[432][6]~32939\);

-- Location: FF_X50_Y44_N27
\led_flash_cnt[432][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[432][6]~32938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[432][6]~q\);

-- Location: LCCOMB_X49_Y44_N4
\WideAnd432~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd432~1_combout\ = (\led_flash_cnt[432][6]~q\ & \led_flash_cnt[432][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[432][6]~q\,
	datad => \led_flash_cnt[432][5]~q\,
	combout => \WideAnd432~1_combout\);

-- Location: LCCOMB_X50_Y44_N30
\WideAnd432~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd432~0_combout\ = (\led_flash_cnt[432][3]~q\ & (\led_flash_cnt[432][2]~q\ & (\led_flash_cnt[432][4]~q\ & \led_flash_cnt[432][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[432][3]~q\,
	datab => \led_flash_cnt[432][2]~q\,
	datac => \led_flash_cnt[432][4]~q\,
	datad => \led_flash_cnt[432][1]~q\,
	combout => \WideAnd432~0_combout\);

-- Location: LCCOMB_X50_Y44_N28
\led_flash_cnt[432][7]~32940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[432][7]~32940_combout\ = \led_flash_cnt[432][6]~32939\ $ (!\led_flash_cnt[432][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[432][7]~q\,
	cin => \led_flash_cnt[432][6]~32939\,
	combout => \led_flash_cnt[432][7]~32940_combout\);

-- Location: FF_X50_Y44_N29
\led_flash_cnt[432][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[432][7]~32940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[432][7]~q\);

-- Location: LCCOMB_X49_Y44_N14
WideAnd432 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd432~combout\ = (\led_flash_cnt[432][0]~q\ & (\WideAnd432~1_combout\ & (\WideAnd432~0_combout\ & \led_flash_cnt[432][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[432][0]~q\,
	datab => \WideAnd432~1_combout\,
	datac => \WideAnd432~0_combout\,
	datad => \led_flash_cnt[432][7]~q\,
	combout => \WideAnd432~combout\);

-- Location: FF_X49_Y44_N15
\led_flash_cnt_ands[432]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd432~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(432));

-- Location: LCCOMB_X56_Y44_N22
\led_flash_cnt[434][0]~81074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[434][0]~81074_combout\ = !\led_flash_cnt[434][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[434][0]~q\,
	combout => \led_flash_cnt[434][0]~81074_combout\);

-- Location: FF_X56_Y44_N23
\led_flash_cnt[434][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[434][0]~81074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[434][0]~q\);

-- Location: LCCOMB_X56_Y44_N4
\led_flash_cnt[434][1]~32956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[434][1]~32956_combout\ = (\led_flash_cnt[434][0]~q\ & (\led_flash_cnt[434][1]~q\ $ (VCC))) # (!\led_flash_cnt[434][0]~q\ & (\led_flash_cnt[434][1]~q\ & VCC))
-- \led_flash_cnt[434][1]~32957\ = CARRY((\led_flash_cnt[434][0]~q\ & \led_flash_cnt[434][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[434][0]~q\,
	datab => \led_flash_cnt[434][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[434][1]~32956_combout\,
	cout => \led_flash_cnt[434][1]~32957\);

-- Location: FF_X56_Y44_N5
\led_flash_cnt[434][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[434][1]~32956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[434][1]~q\);

-- Location: LCCOMB_X56_Y44_N6
\led_flash_cnt[434][2]~32958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[434][2]~32958_combout\ = (\led_flash_cnt[434][2]~q\ & (!\led_flash_cnt[434][1]~32957\)) # (!\led_flash_cnt[434][2]~q\ & ((\led_flash_cnt[434][1]~32957\) # (GND)))
-- \led_flash_cnt[434][2]~32959\ = CARRY((!\led_flash_cnt[434][1]~32957\) # (!\led_flash_cnt[434][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[434][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[434][1]~32957\,
	combout => \led_flash_cnt[434][2]~32958_combout\,
	cout => \led_flash_cnt[434][2]~32959\);

-- Location: FF_X56_Y44_N7
\led_flash_cnt[434][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[434][2]~32958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[434][2]~q\);

-- Location: LCCOMB_X56_Y44_N8
\led_flash_cnt[434][3]~32960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[434][3]~32960_combout\ = (\led_flash_cnt[434][3]~q\ & (\led_flash_cnt[434][2]~32959\ $ (GND))) # (!\led_flash_cnt[434][3]~q\ & (!\led_flash_cnt[434][2]~32959\ & VCC))
-- \led_flash_cnt[434][3]~32961\ = CARRY((\led_flash_cnt[434][3]~q\ & !\led_flash_cnt[434][2]~32959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[434][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[434][2]~32959\,
	combout => \led_flash_cnt[434][3]~32960_combout\,
	cout => \led_flash_cnt[434][3]~32961\);

-- Location: FF_X56_Y44_N9
\led_flash_cnt[434][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[434][3]~32960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[434][3]~q\);

-- Location: LCCOMB_X56_Y44_N10
\led_flash_cnt[434][4]~32962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[434][4]~32962_combout\ = (\led_flash_cnt[434][4]~q\ & (!\led_flash_cnt[434][3]~32961\)) # (!\led_flash_cnt[434][4]~q\ & ((\led_flash_cnt[434][3]~32961\) # (GND)))
-- \led_flash_cnt[434][4]~32963\ = CARRY((!\led_flash_cnt[434][3]~32961\) # (!\led_flash_cnt[434][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[434][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[434][3]~32961\,
	combout => \led_flash_cnt[434][4]~32962_combout\,
	cout => \led_flash_cnt[434][4]~32963\);

-- Location: FF_X56_Y44_N11
\led_flash_cnt[434][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[434][4]~32962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[434][4]~q\);

-- Location: LCCOMB_X56_Y44_N12
\led_flash_cnt[434][5]~32964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[434][5]~32964_combout\ = (\led_flash_cnt[434][5]~q\ & (\led_flash_cnt[434][4]~32963\ $ (GND))) # (!\led_flash_cnt[434][5]~q\ & (!\led_flash_cnt[434][4]~32963\ & VCC))
-- \led_flash_cnt[434][5]~32965\ = CARRY((\led_flash_cnt[434][5]~q\ & !\led_flash_cnt[434][4]~32963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[434][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[434][4]~32963\,
	combout => \led_flash_cnt[434][5]~32964_combout\,
	cout => \led_flash_cnt[434][5]~32965\);

-- Location: FF_X56_Y44_N13
\led_flash_cnt[434][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[434][5]~32964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[434][5]~q\);

-- Location: LCCOMB_X56_Y44_N14
\led_flash_cnt[434][6]~32966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[434][6]~32966_combout\ = (\led_flash_cnt[434][6]~q\ & (!\led_flash_cnt[434][5]~32965\)) # (!\led_flash_cnt[434][6]~q\ & ((\led_flash_cnt[434][5]~32965\) # (GND)))
-- \led_flash_cnt[434][6]~32967\ = CARRY((!\led_flash_cnt[434][5]~32965\) # (!\led_flash_cnt[434][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[434][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[434][5]~32965\,
	combout => \led_flash_cnt[434][6]~32966_combout\,
	cout => \led_flash_cnt[434][6]~32967\);

-- Location: FF_X56_Y44_N15
\led_flash_cnt[434][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[434][6]~32966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[434][6]~q\);

-- Location: LCCOMB_X56_Y44_N16
\led_flash_cnt[434][7]~32968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[434][7]~32968_combout\ = \led_flash_cnt[434][6]~32967\ $ (!\led_flash_cnt[434][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[434][7]~q\,
	cin => \led_flash_cnt[434][6]~32967\,
	combout => \led_flash_cnt[434][7]~32968_combout\);

-- Location: FF_X56_Y44_N17
\led_flash_cnt[434][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[434][7]~32968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[434][7]~q\);

-- Location: LCCOMB_X56_Y44_N26
\WideAnd434~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd434~1_combout\ = (\led_flash_cnt[434][6]~q\ & \led_flash_cnt[434][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[434][6]~q\,
	datad => \led_flash_cnt[434][5]~q\,
	combout => \WideAnd434~1_combout\);

-- Location: LCCOMB_X56_Y44_N18
\WideAnd434~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd434~0_combout\ = (\led_flash_cnt[434][4]~q\ & (\led_flash_cnt[434][1]~q\ & (\led_flash_cnt[434][3]~q\ & \led_flash_cnt[434][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[434][4]~q\,
	datab => \led_flash_cnt[434][1]~q\,
	datac => \led_flash_cnt[434][3]~q\,
	datad => \led_flash_cnt[434][2]~q\,
	combout => \WideAnd434~0_combout\);

-- Location: LCCOMB_X56_Y44_N2
WideAnd434 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd434~combout\ = (\led_flash_cnt[434][0]~q\ & (\led_flash_cnt[434][7]~q\ & (\WideAnd434~1_combout\ & \WideAnd434~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[434][0]~q\,
	datab => \led_flash_cnt[434][7]~q\,
	datac => \WideAnd434~1_combout\,
	datad => \WideAnd434~0_combout\,
	combout => \WideAnd434~combout\);

-- Location: FF_X56_Y44_N3
\led_flash_cnt_ands[434]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd434~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(434));

-- Location: LCCOMB_X60_Y34_N6
\led_flash_cnt[435][0]~81075\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[435][0]~81075_combout\ = !\led_flash_cnt[435][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[435][0]~q\,
	combout => \led_flash_cnt[435][0]~81075_combout\);

-- Location: FF_X60_Y34_N7
\led_flash_cnt[435][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[435][0]~81075_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[435][0]~q\);

-- Location: LCCOMB_X61_Y34_N2
\led_flash_cnt[435][1]~32970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[435][1]~32970_combout\ = (\led_flash_cnt[435][1]~q\ & (\led_flash_cnt[435][0]~q\ $ (VCC))) # (!\led_flash_cnt[435][1]~q\ & (\led_flash_cnt[435][0]~q\ & VCC))
-- \led_flash_cnt[435][1]~32971\ = CARRY((\led_flash_cnt[435][1]~q\ & \led_flash_cnt[435][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[435][1]~q\,
	datab => \led_flash_cnt[435][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[435][1]~32970_combout\,
	cout => \led_flash_cnt[435][1]~32971\);

-- Location: FF_X61_Y34_N3
\led_flash_cnt[435][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[435][1]~32970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[435][1]~q\);

-- Location: LCCOMB_X61_Y34_N4
\led_flash_cnt[435][2]~32972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[435][2]~32972_combout\ = (\led_flash_cnt[435][2]~q\ & (!\led_flash_cnt[435][1]~32971\)) # (!\led_flash_cnt[435][2]~q\ & ((\led_flash_cnt[435][1]~32971\) # (GND)))
-- \led_flash_cnt[435][2]~32973\ = CARRY((!\led_flash_cnt[435][1]~32971\) # (!\led_flash_cnt[435][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[435][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[435][1]~32971\,
	combout => \led_flash_cnt[435][2]~32972_combout\,
	cout => \led_flash_cnt[435][2]~32973\);

-- Location: FF_X61_Y34_N5
\led_flash_cnt[435][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[435][2]~32972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[435][2]~q\);

-- Location: LCCOMB_X61_Y34_N6
\led_flash_cnt[435][3]~32974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[435][3]~32974_combout\ = (\led_flash_cnt[435][3]~q\ & (\led_flash_cnt[435][2]~32973\ $ (GND))) # (!\led_flash_cnt[435][3]~q\ & (!\led_flash_cnt[435][2]~32973\ & VCC))
-- \led_flash_cnt[435][3]~32975\ = CARRY((\led_flash_cnt[435][3]~q\ & !\led_flash_cnt[435][2]~32973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[435][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[435][2]~32973\,
	combout => \led_flash_cnt[435][3]~32974_combout\,
	cout => \led_flash_cnt[435][3]~32975\);

-- Location: FF_X61_Y34_N7
\led_flash_cnt[435][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[435][3]~32974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[435][3]~q\);

-- Location: LCCOMB_X61_Y34_N8
\led_flash_cnt[435][4]~32976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[435][4]~32976_combout\ = (\led_flash_cnt[435][4]~q\ & (!\led_flash_cnt[435][3]~32975\)) # (!\led_flash_cnt[435][4]~q\ & ((\led_flash_cnt[435][3]~32975\) # (GND)))
-- \led_flash_cnt[435][4]~32977\ = CARRY((!\led_flash_cnt[435][3]~32975\) # (!\led_flash_cnt[435][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[435][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[435][3]~32975\,
	combout => \led_flash_cnt[435][4]~32976_combout\,
	cout => \led_flash_cnt[435][4]~32977\);

-- Location: FF_X61_Y34_N9
\led_flash_cnt[435][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[435][4]~32976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[435][4]~q\);

-- Location: LCCOMB_X61_Y34_N10
\led_flash_cnt[435][5]~32978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[435][5]~32978_combout\ = (\led_flash_cnt[435][5]~q\ & (\led_flash_cnt[435][4]~32977\ $ (GND))) # (!\led_flash_cnt[435][5]~q\ & (!\led_flash_cnt[435][4]~32977\ & VCC))
-- \led_flash_cnt[435][5]~32979\ = CARRY((\led_flash_cnt[435][5]~q\ & !\led_flash_cnt[435][4]~32977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[435][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[435][4]~32977\,
	combout => \led_flash_cnt[435][5]~32978_combout\,
	cout => \led_flash_cnt[435][5]~32979\);

-- Location: FF_X61_Y34_N11
\led_flash_cnt[435][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[435][5]~32978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[435][5]~q\);

-- Location: LCCOMB_X61_Y34_N12
\led_flash_cnt[435][6]~32980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[435][6]~32980_combout\ = (\led_flash_cnt[435][6]~q\ & (!\led_flash_cnt[435][5]~32979\)) # (!\led_flash_cnt[435][6]~q\ & ((\led_flash_cnt[435][5]~32979\) # (GND)))
-- \led_flash_cnt[435][6]~32981\ = CARRY((!\led_flash_cnt[435][5]~32979\) # (!\led_flash_cnt[435][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[435][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[435][5]~32979\,
	combout => \led_flash_cnt[435][6]~32980_combout\,
	cout => \led_flash_cnt[435][6]~32981\);

-- Location: FF_X61_Y34_N13
\led_flash_cnt[435][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[435][6]~32980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[435][6]~q\);

-- Location: LCCOMB_X60_Y34_N26
\WideAnd435~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd435~1_combout\ = (\led_flash_cnt[435][6]~q\ & \led_flash_cnt[435][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[435][6]~q\,
	datac => \led_flash_cnt[435][5]~q\,
	combout => \WideAnd435~1_combout\);

-- Location: LCCOMB_X60_Y34_N28
\WideAnd435~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd435~0_combout\ = (\led_flash_cnt[435][1]~q\ & (\led_flash_cnt[435][2]~q\ & (\led_flash_cnt[435][4]~q\ & \led_flash_cnt[435][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[435][1]~q\,
	datab => \led_flash_cnt[435][2]~q\,
	datac => \led_flash_cnt[435][4]~q\,
	datad => \led_flash_cnt[435][3]~q\,
	combout => \WideAnd435~0_combout\);

-- Location: LCCOMB_X61_Y34_N14
\led_flash_cnt[435][7]~32982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[435][7]~32982_combout\ = \led_flash_cnt[435][7]~q\ $ (!\led_flash_cnt[435][6]~32981\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[435][7]~q\,
	cin => \led_flash_cnt[435][6]~32981\,
	combout => \led_flash_cnt[435][7]~32982_combout\);

-- Location: FF_X61_Y34_N15
\led_flash_cnt[435][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[435][7]~32982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[435][7]~q\);

-- Location: LCCOMB_X60_Y34_N2
WideAnd435 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd435~combout\ = (\WideAnd435~1_combout\ & (\WideAnd435~0_combout\ & (\led_flash_cnt[435][7]~q\ & \led_flash_cnt[435][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd435~1_combout\,
	datab => \WideAnd435~0_combout\,
	datac => \led_flash_cnt[435][7]~q\,
	datad => \led_flash_cnt[435][0]~q\,
	combout => \WideAnd435~combout\);

-- Location: FF_X60_Y34_N3
\led_flash_cnt_ands[435]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd435~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(435));

-- Location: LCCOMB_X56_Y44_N28
\led_flash_cnt[433][0]~81073\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[433][0]~81073_combout\ = !\led_flash_cnt[433][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[433][0]~q\,
	combout => \led_flash_cnt[433][0]~81073_combout\);

-- Location: FF_X56_Y44_N29
\led_flash_cnt[433][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[433][0]~81073_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[433][0]~q\);

-- Location: LCCOMB_X57_Y44_N2
\led_flash_cnt[433][1]~32942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[433][1]~32942_combout\ = (\led_flash_cnt[433][0]~q\ & (\led_flash_cnt[433][1]~q\ $ (VCC))) # (!\led_flash_cnt[433][0]~q\ & (\led_flash_cnt[433][1]~q\ & VCC))
-- \led_flash_cnt[433][1]~32943\ = CARRY((\led_flash_cnt[433][0]~q\ & \led_flash_cnt[433][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[433][0]~q\,
	datab => \led_flash_cnt[433][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[433][1]~32942_combout\,
	cout => \led_flash_cnt[433][1]~32943\);

-- Location: FF_X57_Y44_N3
\led_flash_cnt[433][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[433][1]~32942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[433][1]~q\);

-- Location: LCCOMB_X57_Y44_N4
\led_flash_cnt[433][2]~32944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[433][2]~32944_combout\ = (\led_flash_cnt[433][2]~q\ & (!\led_flash_cnt[433][1]~32943\)) # (!\led_flash_cnt[433][2]~q\ & ((\led_flash_cnt[433][1]~32943\) # (GND)))
-- \led_flash_cnt[433][2]~32945\ = CARRY((!\led_flash_cnt[433][1]~32943\) # (!\led_flash_cnt[433][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[433][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[433][1]~32943\,
	combout => \led_flash_cnt[433][2]~32944_combout\,
	cout => \led_flash_cnt[433][2]~32945\);

-- Location: FF_X57_Y44_N5
\led_flash_cnt[433][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[433][2]~32944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[433][2]~q\);

-- Location: LCCOMB_X57_Y44_N6
\led_flash_cnt[433][3]~32946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[433][3]~32946_combout\ = (\led_flash_cnt[433][3]~q\ & (\led_flash_cnt[433][2]~32945\ $ (GND))) # (!\led_flash_cnt[433][3]~q\ & (!\led_flash_cnt[433][2]~32945\ & VCC))
-- \led_flash_cnt[433][3]~32947\ = CARRY((\led_flash_cnt[433][3]~q\ & !\led_flash_cnt[433][2]~32945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[433][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[433][2]~32945\,
	combout => \led_flash_cnt[433][3]~32946_combout\,
	cout => \led_flash_cnt[433][3]~32947\);

-- Location: FF_X57_Y44_N7
\led_flash_cnt[433][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[433][3]~32946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[433][3]~q\);

-- Location: LCCOMB_X57_Y44_N8
\led_flash_cnt[433][4]~32948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[433][4]~32948_combout\ = (\led_flash_cnt[433][4]~q\ & (!\led_flash_cnt[433][3]~32947\)) # (!\led_flash_cnt[433][4]~q\ & ((\led_flash_cnt[433][3]~32947\) # (GND)))
-- \led_flash_cnt[433][4]~32949\ = CARRY((!\led_flash_cnt[433][3]~32947\) # (!\led_flash_cnt[433][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[433][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[433][3]~32947\,
	combout => \led_flash_cnt[433][4]~32948_combout\,
	cout => \led_flash_cnt[433][4]~32949\);

-- Location: FF_X57_Y44_N9
\led_flash_cnt[433][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[433][4]~32948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[433][4]~q\);

-- Location: LCCOMB_X57_Y44_N10
\led_flash_cnt[433][5]~32950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[433][5]~32950_combout\ = (\led_flash_cnt[433][5]~q\ & (\led_flash_cnt[433][4]~32949\ $ (GND))) # (!\led_flash_cnt[433][5]~q\ & (!\led_flash_cnt[433][4]~32949\ & VCC))
-- \led_flash_cnt[433][5]~32951\ = CARRY((\led_flash_cnt[433][5]~q\ & !\led_flash_cnt[433][4]~32949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[433][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[433][4]~32949\,
	combout => \led_flash_cnt[433][5]~32950_combout\,
	cout => \led_flash_cnt[433][5]~32951\);

-- Location: FF_X57_Y44_N11
\led_flash_cnt[433][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[433][5]~32950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[433][5]~q\);

-- Location: LCCOMB_X57_Y44_N12
\led_flash_cnt[433][6]~32952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[433][6]~32952_combout\ = (\led_flash_cnt[433][6]~q\ & (!\led_flash_cnt[433][5]~32951\)) # (!\led_flash_cnt[433][6]~q\ & ((\led_flash_cnt[433][5]~32951\) # (GND)))
-- \led_flash_cnt[433][6]~32953\ = CARRY((!\led_flash_cnt[433][5]~32951\) # (!\led_flash_cnt[433][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[433][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[433][5]~32951\,
	combout => \led_flash_cnt[433][6]~32952_combout\,
	cout => \led_flash_cnt[433][6]~32953\);

-- Location: FF_X57_Y44_N13
\led_flash_cnt[433][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[433][6]~32952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[433][6]~q\);

-- Location: LCCOMB_X56_Y44_N30
\WideAnd433~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd433~1_combout\ = (\led_flash_cnt[433][6]~q\ & \led_flash_cnt[433][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[433][6]~q\,
	datac => \led_flash_cnt[433][5]~q\,
	combout => \WideAnd433~1_combout\);

-- Location: LCCOMB_X57_Y44_N14
\led_flash_cnt[433][7]~32954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[433][7]~32954_combout\ = \led_flash_cnt[433][7]~q\ $ (!\led_flash_cnt[433][6]~32953\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[433][7]~q\,
	cin => \led_flash_cnt[433][6]~32953\,
	combout => \led_flash_cnt[433][7]~32954_combout\);

-- Location: FF_X57_Y44_N15
\led_flash_cnt[433][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[433][7]~32954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[433][7]~q\);

-- Location: LCCOMB_X57_Y44_N0
\WideAnd433~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd433~0_combout\ = (\led_flash_cnt[433][3]~q\ & (\led_flash_cnt[433][4]~q\ & (\led_flash_cnt[433][2]~q\ & \led_flash_cnt[433][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[433][3]~q\,
	datab => \led_flash_cnt[433][4]~q\,
	datac => \led_flash_cnt[433][2]~q\,
	datad => \led_flash_cnt[433][1]~q\,
	combout => \WideAnd433~0_combout\);

-- Location: LCCOMB_X56_Y44_N20
WideAnd433 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd433~combout\ = (\WideAnd433~1_combout\ & (\led_flash_cnt[433][7]~q\ & (\WideAnd433~0_combout\ & \led_flash_cnt[433][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd433~1_combout\,
	datab => \led_flash_cnt[433][7]~q\,
	datac => \WideAnd433~0_combout\,
	datad => \led_flash_cnt[433][0]~q\,
	combout => \WideAnd433~combout\);

-- Location: FF_X56_Y44_N21
\led_flash_cnt_ands[433]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd433~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(433));

-- Location: LCCOMB_X56_Y44_N24
\WideAnd3894~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3894~0_combout\ = (led_flash_cnt_ands(432) & (led_flash_cnt_ands(434) & (led_flash_cnt_ands(435) & led_flash_cnt_ands(433))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(432),
	datab => led_flash_cnt_ands(434),
	datac => led_flash_cnt_ands(435),
	datad => led_flash_cnt_ands(433),
	combout => \WideAnd3894~0_combout\);

-- Location: LCCOMB_X60_Y44_N26
\led_flash_cnt[438][0]~81078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[438][0]~81078_combout\ = !\led_flash_cnt[438][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[438][0]~q\,
	combout => \led_flash_cnt[438][0]~81078_combout\);

-- Location: FF_X60_Y44_N27
\led_flash_cnt[438][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[438][0]~81078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[438][0]~q\);

-- Location: LCCOMB_X60_Y44_N12
\led_flash_cnt[438][1]~33012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[438][1]~33012_combout\ = (\led_flash_cnt[438][0]~q\ & (\led_flash_cnt[438][1]~q\ $ (VCC))) # (!\led_flash_cnt[438][0]~q\ & (\led_flash_cnt[438][1]~q\ & VCC))
-- \led_flash_cnt[438][1]~33013\ = CARRY((\led_flash_cnt[438][0]~q\ & \led_flash_cnt[438][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[438][0]~q\,
	datab => \led_flash_cnt[438][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[438][1]~33012_combout\,
	cout => \led_flash_cnt[438][1]~33013\);

-- Location: FF_X60_Y44_N13
\led_flash_cnt[438][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[438][1]~33012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[438][1]~q\);

-- Location: LCCOMB_X60_Y44_N14
\led_flash_cnt[438][2]~33014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[438][2]~33014_combout\ = (\led_flash_cnt[438][2]~q\ & (!\led_flash_cnt[438][1]~33013\)) # (!\led_flash_cnt[438][2]~q\ & ((\led_flash_cnt[438][1]~33013\) # (GND)))
-- \led_flash_cnt[438][2]~33015\ = CARRY((!\led_flash_cnt[438][1]~33013\) # (!\led_flash_cnt[438][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[438][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[438][1]~33013\,
	combout => \led_flash_cnt[438][2]~33014_combout\,
	cout => \led_flash_cnt[438][2]~33015\);

-- Location: FF_X60_Y44_N15
\led_flash_cnt[438][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[438][2]~33014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[438][2]~q\);

-- Location: LCCOMB_X60_Y44_N16
\led_flash_cnt[438][3]~33016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[438][3]~33016_combout\ = (\led_flash_cnt[438][3]~q\ & (\led_flash_cnt[438][2]~33015\ $ (GND))) # (!\led_flash_cnt[438][3]~q\ & (!\led_flash_cnt[438][2]~33015\ & VCC))
-- \led_flash_cnt[438][3]~33017\ = CARRY((\led_flash_cnt[438][3]~q\ & !\led_flash_cnt[438][2]~33015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[438][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[438][2]~33015\,
	combout => \led_flash_cnt[438][3]~33016_combout\,
	cout => \led_flash_cnt[438][3]~33017\);

-- Location: FF_X60_Y44_N17
\led_flash_cnt[438][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[438][3]~33016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[438][3]~q\);

-- Location: LCCOMB_X60_Y44_N18
\led_flash_cnt[438][4]~33018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[438][4]~33018_combout\ = (\led_flash_cnt[438][4]~q\ & (!\led_flash_cnt[438][3]~33017\)) # (!\led_flash_cnt[438][4]~q\ & ((\led_flash_cnt[438][3]~33017\) # (GND)))
-- \led_flash_cnt[438][4]~33019\ = CARRY((!\led_flash_cnt[438][3]~33017\) # (!\led_flash_cnt[438][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[438][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[438][3]~33017\,
	combout => \led_flash_cnt[438][4]~33018_combout\,
	cout => \led_flash_cnt[438][4]~33019\);

-- Location: FF_X60_Y44_N19
\led_flash_cnt[438][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[438][4]~33018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[438][4]~q\);

-- Location: LCCOMB_X60_Y44_N20
\led_flash_cnt[438][5]~33020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[438][5]~33020_combout\ = (\led_flash_cnt[438][5]~q\ & (\led_flash_cnt[438][4]~33019\ $ (GND))) # (!\led_flash_cnt[438][5]~q\ & (!\led_flash_cnt[438][4]~33019\ & VCC))
-- \led_flash_cnt[438][5]~33021\ = CARRY((\led_flash_cnt[438][5]~q\ & !\led_flash_cnt[438][4]~33019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[438][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[438][4]~33019\,
	combout => \led_flash_cnt[438][5]~33020_combout\,
	cout => \led_flash_cnt[438][5]~33021\);

-- Location: FF_X60_Y44_N21
\led_flash_cnt[438][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[438][5]~33020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[438][5]~q\);

-- Location: LCCOMB_X60_Y44_N22
\led_flash_cnt[438][6]~33022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[438][6]~33022_combout\ = (\led_flash_cnt[438][6]~q\ & (!\led_flash_cnt[438][5]~33021\)) # (!\led_flash_cnt[438][6]~q\ & ((\led_flash_cnt[438][5]~33021\) # (GND)))
-- \led_flash_cnt[438][6]~33023\ = CARRY((!\led_flash_cnt[438][5]~33021\) # (!\led_flash_cnt[438][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[438][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[438][5]~33021\,
	combout => \led_flash_cnt[438][6]~33022_combout\,
	cout => \led_flash_cnt[438][6]~33023\);

-- Location: FF_X60_Y44_N23
\led_flash_cnt[438][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[438][6]~33022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[438][6]~q\);

-- Location: LCCOMB_X60_Y44_N24
\led_flash_cnt[438][7]~33024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[438][7]~33024_combout\ = \led_flash_cnt[438][6]~33023\ $ (!\led_flash_cnt[438][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[438][7]~q\,
	cin => \led_flash_cnt[438][6]~33023\,
	combout => \led_flash_cnt[438][7]~33024_combout\);

-- Location: FF_X60_Y44_N25
\led_flash_cnt[438][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[438][7]~33024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[438][7]~q\);

-- Location: LCCOMB_X60_Y44_N30
\WideAnd438~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd438~0_combout\ = (\led_flash_cnt[438][1]~q\ & (\led_flash_cnt[438][4]~q\ & (\led_flash_cnt[438][2]~q\ & \led_flash_cnt[438][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[438][1]~q\,
	datab => \led_flash_cnt[438][4]~q\,
	datac => \led_flash_cnt[438][2]~q\,
	datad => \led_flash_cnt[438][3]~q\,
	combout => \WideAnd438~0_combout\);

-- Location: LCCOMB_X60_Y44_N28
\WideAnd438~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd438~1_combout\ = (\led_flash_cnt[438][6]~q\ & \led_flash_cnt[438][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[438][6]~q\,
	datad => \led_flash_cnt[438][5]~q\,
	combout => \WideAnd438~1_combout\);

-- Location: LCCOMB_X60_Y44_N0
WideAnd438 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd438~combout\ = (\led_flash_cnt[438][0]~q\ & (\led_flash_cnt[438][7]~q\ & (\WideAnd438~0_combout\ & \WideAnd438~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[438][0]~q\,
	datab => \led_flash_cnt[438][7]~q\,
	datac => \WideAnd438~0_combout\,
	datad => \WideAnd438~1_combout\,
	combout => \WideAnd438~combout\);

-- Location: FF_X60_Y44_N1
\led_flash_cnt_ands[438]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd438~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(438));

-- Location: LCCOMB_X59_Y45_N26
\led_flash_cnt[436][0]~81076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[436][0]~81076_combout\ = !\led_flash_cnt[436][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[436][0]~q\,
	combout => \led_flash_cnt[436][0]~81076_combout\);

-- Location: FF_X59_Y45_N27
\led_flash_cnt[436][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[436][0]~81076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[436][0]~q\);

-- Location: LCCOMB_X59_Y49_N4
\led_flash_cnt[436][1]~32984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[436][1]~32984_combout\ = (\led_flash_cnt[436][0]~q\ & (\led_flash_cnt[436][1]~q\ $ (VCC))) # (!\led_flash_cnt[436][0]~q\ & (\led_flash_cnt[436][1]~q\ & VCC))
-- \led_flash_cnt[436][1]~32985\ = CARRY((\led_flash_cnt[436][0]~q\ & \led_flash_cnt[436][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[436][0]~q\,
	datab => \led_flash_cnt[436][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[436][1]~32984_combout\,
	cout => \led_flash_cnt[436][1]~32985\);

-- Location: FF_X59_Y49_N5
\led_flash_cnt[436][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[436][1]~32984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[436][1]~q\);

-- Location: LCCOMB_X59_Y49_N6
\led_flash_cnt[436][2]~32986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[436][2]~32986_combout\ = (\led_flash_cnt[436][2]~q\ & (!\led_flash_cnt[436][1]~32985\)) # (!\led_flash_cnt[436][2]~q\ & ((\led_flash_cnt[436][1]~32985\) # (GND)))
-- \led_flash_cnt[436][2]~32987\ = CARRY((!\led_flash_cnt[436][1]~32985\) # (!\led_flash_cnt[436][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[436][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[436][1]~32985\,
	combout => \led_flash_cnt[436][2]~32986_combout\,
	cout => \led_flash_cnt[436][2]~32987\);

-- Location: FF_X59_Y49_N7
\led_flash_cnt[436][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[436][2]~32986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[436][2]~q\);

-- Location: LCCOMB_X59_Y49_N8
\led_flash_cnt[436][3]~32988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[436][3]~32988_combout\ = (\led_flash_cnt[436][3]~q\ & (\led_flash_cnt[436][2]~32987\ $ (GND))) # (!\led_flash_cnt[436][3]~q\ & (!\led_flash_cnt[436][2]~32987\ & VCC))
-- \led_flash_cnt[436][3]~32989\ = CARRY((\led_flash_cnt[436][3]~q\ & !\led_flash_cnt[436][2]~32987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[436][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[436][2]~32987\,
	combout => \led_flash_cnt[436][3]~32988_combout\,
	cout => \led_flash_cnt[436][3]~32989\);

-- Location: FF_X59_Y49_N9
\led_flash_cnt[436][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[436][3]~32988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[436][3]~q\);

-- Location: LCCOMB_X59_Y49_N10
\led_flash_cnt[436][4]~32990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[436][4]~32990_combout\ = (\led_flash_cnt[436][4]~q\ & (!\led_flash_cnt[436][3]~32989\)) # (!\led_flash_cnt[436][4]~q\ & ((\led_flash_cnt[436][3]~32989\) # (GND)))
-- \led_flash_cnt[436][4]~32991\ = CARRY((!\led_flash_cnt[436][3]~32989\) # (!\led_flash_cnt[436][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[436][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[436][3]~32989\,
	combout => \led_flash_cnt[436][4]~32990_combout\,
	cout => \led_flash_cnt[436][4]~32991\);

-- Location: FF_X59_Y49_N11
\led_flash_cnt[436][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[436][4]~32990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[436][4]~q\);

-- Location: LCCOMB_X59_Y49_N0
\WideAnd436~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd436~0_combout\ = (\led_flash_cnt[436][4]~q\ & (\led_flash_cnt[436][3]~q\ & (\led_flash_cnt[436][1]~q\ & \led_flash_cnt[436][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[436][4]~q\,
	datab => \led_flash_cnt[436][3]~q\,
	datac => \led_flash_cnt[436][1]~q\,
	datad => \led_flash_cnt[436][2]~q\,
	combout => \WideAnd436~0_combout\);

-- Location: LCCOMB_X59_Y49_N12
\led_flash_cnt[436][5]~32992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[436][5]~32992_combout\ = (\led_flash_cnt[436][5]~q\ & (\led_flash_cnt[436][4]~32991\ $ (GND))) # (!\led_flash_cnt[436][5]~q\ & (!\led_flash_cnt[436][4]~32991\ & VCC))
-- \led_flash_cnt[436][5]~32993\ = CARRY((\led_flash_cnt[436][5]~q\ & !\led_flash_cnt[436][4]~32991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[436][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[436][4]~32991\,
	combout => \led_flash_cnt[436][5]~32992_combout\,
	cout => \led_flash_cnt[436][5]~32993\);

-- Location: FF_X59_Y49_N13
\led_flash_cnt[436][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[436][5]~32992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[436][5]~q\);

-- Location: LCCOMB_X59_Y49_N14
\led_flash_cnt[436][6]~32994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[436][6]~32994_combout\ = (\led_flash_cnt[436][6]~q\ & (!\led_flash_cnt[436][5]~32993\)) # (!\led_flash_cnt[436][6]~q\ & ((\led_flash_cnt[436][5]~32993\) # (GND)))
-- \led_flash_cnt[436][6]~32995\ = CARRY((!\led_flash_cnt[436][5]~32993\) # (!\led_flash_cnt[436][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[436][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[436][5]~32993\,
	combout => \led_flash_cnt[436][6]~32994_combout\,
	cout => \led_flash_cnt[436][6]~32995\);

-- Location: FF_X59_Y49_N15
\led_flash_cnt[436][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[436][6]~32994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[436][6]~q\);

-- Location: LCCOMB_X59_Y45_N8
\WideAnd436~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd436~1_combout\ = (\led_flash_cnt[436][6]~q\ & \led_flash_cnt[436][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[436][6]~q\,
	datad => \led_flash_cnt[436][5]~q\,
	combout => \WideAnd436~1_combout\);

-- Location: LCCOMB_X59_Y49_N16
\led_flash_cnt[436][7]~32996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[436][7]~32996_combout\ = \led_flash_cnt[436][6]~32995\ $ (!\led_flash_cnt[436][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[436][7]~q\,
	cin => \led_flash_cnt[436][6]~32995\,
	combout => \led_flash_cnt[436][7]~32996_combout\);

-- Location: FF_X59_Y49_N17
\led_flash_cnt[436][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[436][7]~32996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[436][7]~q\);

-- Location: LCCOMB_X59_Y45_N30
WideAnd436 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd436~combout\ = (\led_flash_cnt[436][0]~q\ & (\WideAnd436~0_combout\ & (\WideAnd436~1_combout\ & \led_flash_cnt[436][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[436][0]~q\,
	datab => \WideAnd436~0_combout\,
	datac => \WideAnd436~1_combout\,
	datad => \led_flash_cnt[436][7]~q\,
	combout => \WideAnd436~combout\);

-- Location: FF_X59_Y45_N31
\led_flash_cnt_ands[436]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd436~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(436));

-- Location: LCCOMB_X60_Y44_N2
\led_flash_cnt[437][0]~81077\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[437][0]~81077_combout\ = !\led_flash_cnt[437][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[437][0]~q\,
	combout => \led_flash_cnt[437][0]~81077_combout\);

-- Location: FF_X60_Y44_N3
\led_flash_cnt[437][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[437][0]~81077_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[437][0]~q\);

-- Location: LCCOMB_X59_Y44_N18
\led_flash_cnt[437][1]~32998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[437][1]~32998_combout\ = (\led_flash_cnt[437][0]~q\ & (\led_flash_cnt[437][1]~q\ $ (VCC))) # (!\led_flash_cnt[437][0]~q\ & (\led_flash_cnt[437][1]~q\ & VCC))
-- \led_flash_cnt[437][1]~32999\ = CARRY((\led_flash_cnt[437][0]~q\ & \led_flash_cnt[437][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[437][0]~q\,
	datab => \led_flash_cnt[437][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[437][1]~32998_combout\,
	cout => \led_flash_cnt[437][1]~32999\);

-- Location: FF_X59_Y44_N19
\led_flash_cnt[437][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[437][1]~32998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[437][1]~q\);

-- Location: LCCOMB_X59_Y44_N20
\led_flash_cnt[437][2]~33000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[437][2]~33000_combout\ = (\led_flash_cnt[437][2]~q\ & (!\led_flash_cnt[437][1]~32999\)) # (!\led_flash_cnt[437][2]~q\ & ((\led_flash_cnt[437][1]~32999\) # (GND)))
-- \led_flash_cnt[437][2]~33001\ = CARRY((!\led_flash_cnt[437][1]~32999\) # (!\led_flash_cnt[437][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[437][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[437][1]~32999\,
	combout => \led_flash_cnt[437][2]~33000_combout\,
	cout => \led_flash_cnt[437][2]~33001\);

-- Location: FF_X59_Y44_N21
\led_flash_cnt[437][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[437][2]~33000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[437][2]~q\);

-- Location: LCCOMB_X59_Y44_N22
\led_flash_cnt[437][3]~33002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[437][3]~33002_combout\ = (\led_flash_cnt[437][3]~q\ & (\led_flash_cnt[437][2]~33001\ $ (GND))) # (!\led_flash_cnt[437][3]~q\ & (!\led_flash_cnt[437][2]~33001\ & VCC))
-- \led_flash_cnt[437][3]~33003\ = CARRY((\led_flash_cnt[437][3]~q\ & !\led_flash_cnt[437][2]~33001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[437][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[437][2]~33001\,
	combout => \led_flash_cnt[437][3]~33002_combout\,
	cout => \led_flash_cnt[437][3]~33003\);

-- Location: FF_X59_Y44_N23
\led_flash_cnt[437][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[437][3]~33002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[437][3]~q\);

-- Location: LCCOMB_X59_Y44_N24
\led_flash_cnt[437][4]~33004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[437][4]~33004_combout\ = (\led_flash_cnt[437][4]~q\ & (!\led_flash_cnt[437][3]~33003\)) # (!\led_flash_cnt[437][4]~q\ & ((\led_flash_cnt[437][3]~33003\) # (GND)))
-- \led_flash_cnt[437][4]~33005\ = CARRY((!\led_flash_cnt[437][3]~33003\) # (!\led_flash_cnt[437][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[437][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[437][3]~33003\,
	combout => \led_flash_cnt[437][4]~33004_combout\,
	cout => \led_flash_cnt[437][4]~33005\);

-- Location: FF_X59_Y44_N25
\led_flash_cnt[437][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[437][4]~33004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[437][4]~q\);

-- Location: LCCOMB_X59_Y44_N26
\led_flash_cnt[437][5]~33006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[437][5]~33006_combout\ = (\led_flash_cnt[437][5]~q\ & (\led_flash_cnt[437][4]~33005\ $ (GND))) # (!\led_flash_cnt[437][5]~q\ & (!\led_flash_cnt[437][4]~33005\ & VCC))
-- \led_flash_cnt[437][5]~33007\ = CARRY((\led_flash_cnt[437][5]~q\ & !\led_flash_cnt[437][4]~33005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[437][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[437][4]~33005\,
	combout => \led_flash_cnt[437][5]~33006_combout\,
	cout => \led_flash_cnt[437][5]~33007\);

-- Location: FF_X59_Y44_N27
\led_flash_cnt[437][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[437][5]~33006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[437][5]~q\);

-- Location: LCCOMB_X59_Y44_N28
\led_flash_cnt[437][6]~33008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[437][6]~33008_combout\ = (\led_flash_cnt[437][6]~q\ & (!\led_flash_cnt[437][5]~33007\)) # (!\led_flash_cnt[437][6]~q\ & ((\led_flash_cnt[437][5]~33007\) # (GND)))
-- \led_flash_cnt[437][6]~33009\ = CARRY((!\led_flash_cnt[437][5]~33007\) # (!\led_flash_cnt[437][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[437][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[437][5]~33007\,
	combout => \led_flash_cnt[437][6]~33008_combout\,
	cout => \led_flash_cnt[437][6]~33009\);

-- Location: FF_X59_Y44_N29
\led_flash_cnt[437][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[437][6]~33008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[437][6]~q\);

-- Location: LCCOMB_X60_Y44_N10
\WideAnd437~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd437~1_combout\ = (\led_flash_cnt[437][5]~q\ & \led_flash_cnt[437][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[437][5]~q\,
	datad => \led_flash_cnt[437][6]~q\,
	combout => \WideAnd437~1_combout\);

-- Location: LCCOMB_X59_Y44_N30
\led_flash_cnt[437][7]~33010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[437][7]~33010_combout\ = \led_flash_cnt[437][7]~q\ $ (!\led_flash_cnt[437][6]~33009\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[437][7]~q\,
	cin => \led_flash_cnt[437][6]~33009\,
	combout => \led_flash_cnt[437][7]~33010_combout\);

-- Location: FF_X59_Y44_N31
\led_flash_cnt[437][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[437][7]~33010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[437][7]~q\);

-- Location: LCCOMB_X59_Y44_N0
\WideAnd437~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd437~0_combout\ = (\led_flash_cnt[437][4]~q\ & (\led_flash_cnt[437][2]~q\ & (\led_flash_cnt[437][3]~q\ & \led_flash_cnt[437][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[437][4]~q\,
	datab => \led_flash_cnt[437][2]~q\,
	datac => \led_flash_cnt[437][3]~q\,
	datad => \led_flash_cnt[437][1]~q\,
	combout => \WideAnd437~0_combout\);

-- Location: LCCOMB_X60_Y44_N6
WideAnd437 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd437~combout\ = (\WideAnd437~1_combout\ & (\led_flash_cnt[437][7]~q\ & (\WideAnd437~0_combout\ & \led_flash_cnt[437][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd437~1_combout\,
	datab => \led_flash_cnt[437][7]~q\,
	datac => \WideAnd437~0_combout\,
	datad => \led_flash_cnt[437][0]~q\,
	combout => \WideAnd437~combout\);

-- Location: FF_X60_Y44_N7
\led_flash_cnt_ands[437]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd437~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(437));

-- Location: LCCOMB_X60_Y44_N8
\WideAnd3894~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3894~1_combout\ = (led_flash_cnt_ands(436) & led_flash_cnt_ands(437))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(436),
	datad => led_flash_cnt_ands(437),
	combout => \WideAnd3894~1_combout\);

-- Location: LCCOMB_X66_Y52_N26
\led_flash_cnt[439][0]~81079\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[439][0]~81079_combout\ = !\led_flash_cnt[439][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[439][0]~q\,
	combout => \led_flash_cnt[439][0]~81079_combout\);

-- Location: FF_X66_Y52_N27
\led_flash_cnt[439][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[439][0]~81079_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[439][0]~q\);

-- Location: LCCOMB_X66_Y52_N12
\led_flash_cnt[439][1]~33026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[439][1]~33026_combout\ = (\led_flash_cnt[439][1]~q\ & (\led_flash_cnt[439][0]~q\ $ (VCC))) # (!\led_flash_cnt[439][1]~q\ & (\led_flash_cnt[439][0]~q\ & VCC))
-- \led_flash_cnt[439][1]~33027\ = CARRY((\led_flash_cnt[439][1]~q\ & \led_flash_cnt[439][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[439][1]~q\,
	datab => \led_flash_cnt[439][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[439][1]~33026_combout\,
	cout => \led_flash_cnt[439][1]~33027\);

-- Location: FF_X66_Y52_N13
\led_flash_cnt[439][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[439][1]~33026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[439][1]~q\);

-- Location: LCCOMB_X66_Y52_N14
\led_flash_cnt[439][2]~33028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[439][2]~33028_combout\ = (\led_flash_cnt[439][2]~q\ & (!\led_flash_cnt[439][1]~33027\)) # (!\led_flash_cnt[439][2]~q\ & ((\led_flash_cnt[439][1]~33027\) # (GND)))
-- \led_flash_cnt[439][2]~33029\ = CARRY((!\led_flash_cnt[439][1]~33027\) # (!\led_flash_cnt[439][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[439][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[439][1]~33027\,
	combout => \led_flash_cnt[439][2]~33028_combout\,
	cout => \led_flash_cnt[439][2]~33029\);

-- Location: FF_X66_Y52_N15
\led_flash_cnt[439][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[439][2]~33028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[439][2]~q\);

-- Location: LCCOMB_X66_Y52_N16
\led_flash_cnt[439][3]~33030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[439][3]~33030_combout\ = (\led_flash_cnt[439][3]~q\ & (\led_flash_cnt[439][2]~33029\ $ (GND))) # (!\led_flash_cnt[439][3]~q\ & (!\led_flash_cnt[439][2]~33029\ & VCC))
-- \led_flash_cnt[439][3]~33031\ = CARRY((\led_flash_cnt[439][3]~q\ & !\led_flash_cnt[439][2]~33029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[439][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[439][2]~33029\,
	combout => \led_flash_cnt[439][3]~33030_combout\,
	cout => \led_flash_cnt[439][3]~33031\);

-- Location: FF_X66_Y52_N17
\led_flash_cnt[439][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[439][3]~33030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[439][3]~q\);

-- Location: LCCOMB_X66_Y52_N18
\led_flash_cnt[439][4]~33032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[439][4]~33032_combout\ = (\led_flash_cnt[439][4]~q\ & (!\led_flash_cnt[439][3]~33031\)) # (!\led_flash_cnt[439][4]~q\ & ((\led_flash_cnt[439][3]~33031\) # (GND)))
-- \led_flash_cnt[439][4]~33033\ = CARRY((!\led_flash_cnt[439][3]~33031\) # (!\led_flash_cnt[439][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[439][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[439][3]~33031\,
	combout => \led_flash_cnt[439][4]~33032_combout\,
	cout => \led_flash_cnt[439][4]~33033\);

-- Location: FF_X66_Y52_N19
\led_flash_cnt[439][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[439][4]~33032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[439][4]~q\);

-- Location: LCCOMB_X66_Y52_N20
\led_flash_cnt[439][5]~33034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[439][5]~33034_combout\ = (\led_flash_cnt[439][5]~q\ & (\led_flash_cnt[439][4]~33033\ $ (GND))) # (!\led_flash_cnt[439][5]~q\ & (!\led_flash_cnt[439][4]~33033\ & VCC))
-- \led_flash_cnt[439][5]~33035\ = CARRY((\led_flash_cnt[439][5]~q\ & !\led_flash_cnt[439][4]~33033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[439][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[439][4]~33033\,
	combout => \led_flash_cnt[439][5]~33034_combout\,
	cout => \led_flash_cnt[439][5]~33035\);

-- Location: FF_X66_Y52_N21
\led_flash_cnt[439][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[439][5]~33034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[439][5]~q\);

-- Location: LCCOMB_X66_Y52_N22
\led_flash_cnt[439][6]~33036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[439][6]~33036_combout\ = (\led_flash_cnt[439][6]~q\ & (!\led_flash_cnt[439][5]~33035\)) # (!\led_flash_cnt[439][6]~q\ & ((\led_flash_cnt[439][5]~33035\) # (GND)))
-- \led_flash_cnt[439][6]~33037\ = CARRY((!\led_flash_cnt[439][5]~33035\) # (!\led_flash_cnt[439][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[439][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[439][5]~33035\,
	combout => \led_flash_cnt[439][6]~33036_combout\,
	cout => \led_flash_cnt[439][6]~33037\);

-- Location: FF_X66_Y52_N23
\led_flash_cnt[439][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[439][6]~33036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[439][6]~q\);

-- Location: LCCOMB_X66_Y52_N24
\led_flash_cnt[439][7]~33038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[439][7]~33038_combout\ = \led_flash_cnt[439][6]~33037\ $ (!\led_flash_cnt[439][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[439][7]~q\,
	cin => \led_flash_cnt[439][6]~33037\,
	combout => \led_flash_cnt[439][7]~33038_combout\);

-- Location: FF_X66_Y52_N25
\led_flash_cnt[439][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[439][7]~33038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[439][7]~q\);

-- Location: LCCOMB_X66_Y52_N30
\WideAnd439~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd439~0_combout\ = (\led_flash_cnt[439][1]~q\ & (\led_flash_cnt[439][3]~q\ & (\led_flash_cnt[439][2]~q\ & \led_flash_cnt[439][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[439][1]~q\,
	datab => \led_flash_cnt[439][3]~q\,
	datac => \led_flash_cnt[439][2]~q\,
	datad => \led_flash_cnt[439][4]~q\,
	combout => \WideAnd439~0_combout\);

-- Location: LCCOMB_X66_Y52_N2
\WideAnd439~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd439~1_combout\ = (\led_flash_cnt[439][6]~q\ & \led_flash_cnt[439][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[439][6]~q\,
	datad => \led_flash_cnt[439][5]~q\,
	combout => \WideAnd439~1_combout\);

-- Location: LCCOMB_X66_Y52_N8
WideAnd439 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd439~combout\ = (\led_flash_cnt[439][0]~q\ & (\led_flash_cnt[439][7]~q\ & (\WideAnd439~0_combout\ & \WideAnd439~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[439][0]~q\,
	datab => \led_flash_cnt[439][7]~q\,
	datac => \WideAnd439~0_combout\,
	datad => \WideAnd439~1_combout\,
	combout => \WideAnd439~combout\);

-- Location: FF_X66_Y52_N9
\led_flash_cnt_ands[439]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd439~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(439));

-- Location: LCCOMB_X60_Y44_N4
WideAnd3894 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3894~combout\ = (\WideAnd3894~0_combout\ & (led_flash_cnt_ands(438) & (\WideAnd3894~1_combout\ & led_flash_cnt_ands(439))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3894~0_combout\,
	datab => led_flash_cnt_ands(438),
	datac => \WideAnd3894~1_combout\,
	datad => led_flash_cnt_ands(439),
	combout => \WideAnd3894~combout\);

-- Location: FF_X60_Y44_N5
\led_flash_cnt_ands_1[54]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3894~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(54));

-- Location: LCCOMB_X52_Y33_N16
\led_flash_cnt[422][0]~81062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[422][0]~81062_combout\ = !\led_flash_cnt[422][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[422][0]~q\,
	combout => \led_flash_cnt[422][0]~81062_combout\);

-- Location: FF_X52_Y33_N17
\led_flash_cnt[422][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[422][0]~81062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[422][0]~q\);

-- Location: LCCOMB_X52_Y37_N18
\led_flash_cnt[422][1]~32788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[422][1]~32788_combout\ = (\led_flash_cnt[422][0]~q\ & (\led_flash_cnt[422][1]~q\ $ (VCC))) # (!\led_flash_cnt[422][0]~q\ & (\led_flash_cnt[422][1]~q\ & VCC))
-- \led_flash_cnt[422][1]~32789\ = CARRY((\led_flash_cnt[422][0]~q\ & \led_flash_cnt[422][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[422][0]~q\,
	datab => \led_flash_cnt[422][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[422][1]~32788_combout\,
	cout => \led_flash_cnt[422][1]~32789\);

-- Location: FF_X52_Y37_N19
\led_flash_cnt[422][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[422][1]~32788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[422][1]~q\);

-- Location: LCCOMB_X52_Y37_N20
\led_flash_cnt[422][2]~32790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[422][2]~32790_combout\ = (\led_flash_cnt[422][2]~q\ & (!\led_flash_cnt[422][1]~32789\)) # (!\led_flash_cnt[422][2]~q\ & ((\led_flash_cnt[422][1]~32789\) # (GND)))
-- \led_flash_cnt[422][2]~32791\ = CARRY((!\led_flash_cnt[422][1]~32789\) # (!\led_flash_cnt[422][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[422][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[422][1]~32789\,
	combout => \led_flash_cnt[422][2]~32790_combout\,
	cout => \led_flash_cnt[422][2]~32791\);

-- Location: FF_X52_Y37_N21
\led_flash_cnt[422][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[422][2]~32790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[422][2]~q\);

-- Location: LCCOMB_X52_Y37_N22
\led_flash_cnt[422][3]~32792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[422][3]~32792_combout\ = (\led_flash_cnt[422][3]~q\ & (\led_flash_cnt[422][2]~32791\ $ (GND))) # (!\led_flash_cnt[422][3]~q\ & (!\led_flash_cnt[422][2]~32791\ & VCC))
-- \led_flash_cnt[422][3]~32793\ = CARRY((\led_flash_cnt[422][3]~q\ & !\led_flash_cnt[422][2]~32791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[422][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[422][2]~32791\,
	combout => \led_flash_cnt[422][3]~32792_combout\,
	cout => \led_flash_cnt[422][3]~32793\);

-- Location: FF_X52_Y37_N23
\led_flash_cnt[422][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[422][3]~32792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[422][3]~q\);

-- Location: LCCOMB_X52_Y37_N24
\led_flash_cnt[422][4]~32794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[422][4]~32794_combout\ = (\led_flash_cnt[422][4]~q\ & (!\led_flash_cnt[422][3]~32793\)) # (!\led_flash_cnt[422][4]~q\ & ((\led_flash_cnt[422][3]~32793\) # (GND)))
-- \led_flash_cnt[422][4]~32795\ = CARRY((!\led_flash_cnt[422][3]~32793\) # (!\led_flash_cnt[422][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[422][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[422][3]~32793\,
	combout => \led_flash_cnt[422][4]~32794_combout\,
	cout => \led_flash_cnt[422][4]~32795\);

-- Location: FF_X52_Y37_N25
\led_flash_cnt[422][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[422][4]~32794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[422][4]~q\);

-- Location: LCCOMB_X52_Y37_N26
\led_flash_cnt[422][5]~32796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[422][5]~32796_combout\ = (\led_flash_cnt[422][5]~q\ & (\led_flash_cnt[422][4]~32795\ $ (GND))) # (!\led_flash_cnt[422][5]~q\ & (!\led_flash_cnt[422][4]~32795\ & VCC))
-- \led_flash_cnt[422][5]~32797\ = CARRY((\led_flash_cnt[422][5]~q\ & !\led_flash_cnt[422][4]~32795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[422][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[422][4]~32795\,
	combout => \led_flash_cnt[422][5]~32796_combout\,
	cout => \led_flash_cnt[422][5]~32797\);

-- Location: FF_X52_Y37_N27
\led_flash_cnt[422][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[422][5]~32796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[422][5]~q\);

-- Location: LCCOMB_X52_Y37_N28
\led_flash_cnt[422][6]~32798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[422][6]~32798_combout\ = (\led_flash_cnt[422][6]~q\ & (!\led_flash_cnt[422][5]~32797\)) # (!\led_flash_cnt[422][6]~q\ & ((\led_flash_cnt[422][5]~32797\) # (GND)))
-- \led_flash_cnt[422][6]~32799\ = CARRY((!\led_flash_cnt[422][5]~32797\) # (!\led_flash_cnt[422][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[422][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[422][5]~32797\,
	combout => \led_flash_cnt[422][6]~32798_combout\,
	cout => \led_flash_cnt[422][6]~32799\);

-- Location: FF_X52_Y37_N29
\led_flash_cnt[422][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[422][6]~32798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[422][6]~q\);

-- Location: LCCOMB_X52_Y33_N20
\WideAnd422~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd422~1_combout\ = (\led_flash_cnt[422][6]~q\ & \led_flash_cnt[422][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[422][6]~q\,
	datad => \led_flash_cnt[422][5]~q\,
	combout => \WideAnd422~1_combout\);

-- Location: LCCOMB_X52_Y37_N2
\WideAnd422~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd422~0_combout\ = (\led_flash_cnt[422][4]~q\ & (\led_flash_cnt[422][2]~q\ & (\led_flash_cnt[422][3]~q\ & \led_flash_cnt[422][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[422][4]~q\,
	datab => \led_flash_cnt[422][2]~q\,
	datac => \led_flash_cnt[422][3]~q\,
	datad => \led_flash_cnt[422][1]~q\,
	combout => \WideAnd422~0_combout\);

-- Location: LCCOMB_X52_Y37_N30
\led_flash_cnt[422][7]~32800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[422][7]~32800_combout\ = \led_flash_cnt[422][7]~q\ $ (!\led_flash_cnt[422][6]~32799\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[422][7]~q\,
	cin => \led_flash_cnt[422][6]~32799\,
	combout => \led_flash_cnt[422][7]~32800_combout\);

-- Location: FF_X52_Y37_N31
\led_flash_cnt[422][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[422][7]~32800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[422][7]~q\);

-- Location: LCCOMB_X52_Y33_N26
WideAnd422 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd422~combout\ = (\led_flash_cnt[422][0]~q\ & (\WideAnd422~1_combout\ & (\WideAnd422~0_combout\ & \led_flash_cnt[422][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[422][0]~q\,
	datab => \WideAnd422~1_combout\,
	datac => \WideAnd422~0_combout\,
	datad => \led_flash_cnt[422][7]~q\,
	combout => \WideAnd422~combout\);

-- Location: FF_X52_Y33_N27
\led_flash_cnt_ands[422]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd422~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(422));

-- Location: LCCOMB_X57_Y40_N2
\led_flash_cnt[423][0]~81063\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[423][0]~81063_combout\ = !\led_flash_cnt[423][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[423][0]~q\,
	combout => \led_flash_cnt[423][0]~81063_combout\);

-- Location: FF_X57_Y40_N3
\led_flash_cnt[423][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[423][0]~81063_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[423][0]~q\);

-- Location: LCCOMB_X56_Y40_N4
\led_flash_cnt[423][1]~32802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[423][1]~32802_combout\ = (\led_flash_cnt[423][0]~q\ & (\led_flash_cnt[423][1]~q\ $ (VCC))) # (!\led_flash_cnt[423][0]~q\ & (\led_flash_cnt[423][1]~q\ & VCC))
-- \led_flash_cnt[423][1]~32803\ = CARRY((\led_flash_cnt[423][0]~q\ & \led_flash_cnt[423][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[423][0]~q\,
	datab => \led_flash_cnt[423][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[423][1]~32802_combout\,
	cout => \led_flash_cnt[423][1]~32803\);

-- Location: FF_X56_Y40_N5
\led_flash_cnt[423][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[423][1]~32802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[423][1]~q\);

-- Location: LCCOMB_X56_Y40_N6
\led_flash_cnt[423][2]~32804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[423][2]~32804_combout\ = (\led_flash_cnt[423][2]~q\ & (!\led_flash_cnt[423][1]~32803\)) # (!\led_flash_cnt[423][2]~q\ & ((\led_flash_cnt[423][1]~32803\) # (GND)))
-- \led_flash_cnt[423][2]~32805\ = CARRY((!\led_flash_cnt[423][1]~32803\) # (!\led_flash_cnt[423][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[423][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[423][1]~32803\,
	combout => \led_flash_cnt[423][2]~32804_combout\,
	cout => \led_flash_cnt[423][2]~32805\);

-- Location: FF_X56_Y40_N7
\led_flash_cnt[423][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[423][2]~32804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[423][2]~q\);

-- Location: LCCOMB_X56_Y40_N8
\led_flash_cnt[423][3]~32806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[423][3]~32806_combout\ = (\led_flash_cnt[423][3]~q\ & (\led_flash_cnt[423][2]~32805\ $ (GND))) # (!\led_flash_cnt[423][3]~q\ & (!\led_flash_cnt[423][2]~32805\ & VCC))
-- \led_flash_cnt[423][3]~32807\ = CARRY((\led_flash_cnt[423][3]~q\ & !\led_flash_cnt[423][2]~32805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[423][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[423][2]~32805\,
	combout => \led_flash_cnt[423][3]~32806_combout\,
	cout => \led_flash_cnt[423][3]~32807\);

-- Location: FF_X56_Y40_N9
\led_flash_cnt[423][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[423][3]~32806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[423][3]~q\);

-- Location: LCCOMB_X56_Y40_N10
\led_flash_cnt[423][4]~32808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[423][4]~32808_combout\ = (\led_flash_cnt[423][4]~q\ & (!\led_flash_cnt[423][3]~32807\)) # (!\led_flash_cnt[423][4]~q\ & ((\led_flash_cnt[423][3]~32807\) # (GND)))
-- \led_flash_cnt[423][4]~32809\ = CARRY((!\led_flash_cnt[423][3]~32807\) # (!\led_flash_cnt[423][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[423][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[423][3]~32807\,
	combout => \led_flash_cnt[423][4]~32808_combout\,
	cout => \led_flash_cnt[423][4]~32809\);

-- Location: FF_X56_Y40_N11
\led_flash_cnt[423][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[423][4]~32808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[423][4]~q\);

-- Location: LCCOMB_X56_Y40_N12
\led_flash_cnt[423][5]~32810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[423][5]~32810_combout\ = (\led_flash_cnt[423][5]~q\ & (\led_flash_cnt[423][4]~32809\ $ (GND))) # (!\led_flash_cnt[423][5]~q\ & (!\led_flash_cnt[423][4]~32809\ & VCC))
-- \led_flash_cnt[423][5]~32811\ = CARRY((\led_flash_cnt[423][5]~q\ & !\led_flash_cnt[423][4]~32809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[423][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[423][4]~32809\,
	combout => \led_flash_cnt[423][5]~32810_combout\,
	cout => \led_flash_cnt[423][5]~32811\);

-- Location: FF_X56_Y40_N13
\led_flash_cnt[423][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[423][5]~32810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[423][5]~q\);

-- Location: LCCOMB_X56_Y40_N14
\led_flash_cnt[423][6]~32812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[423][6]~32812_combout\ = (\led_flash_cnt[423][6]~q\ & (!\led_flash_cnt[423][5]~32811\)) # (!\led_flash_cnt[423][6]~q\ & ((\led_flash_cnt[423][5]~32811\) # (GND)))
-- \led_flash_cnt[423][6]~32813\ = CARRY((!\led_flash_cnt[423][5]~32811\) # (!\led_flash_cnt[423][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[423][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[423][5]~32811\,
	combout => \led_flash_cnt[423][6]~32812_combout\,
	cout => \led_flash_cnt[423][6]~32813\);

-- Location: FF_X56_Y40_N15
\led_flash_cnt[423][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[423][6]~32812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[423][6]~q\);

-- Location: LCCOMB_X56_Y40_N16
\led_flash_cnt[423][7]~32814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[423][7]~32814_combout\ = \led_flash_cnt[423][6]~32813\ $ (!\led_flash_cnt[423][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[423][7]~q\,
	cin => \led_flash_cnt[423][6]~32813\,
	combout => \led_flash_cnt[423][7]~32814_combout\);

-- Location: FF_X56_Y40_N17
\led_flash_cnt[423][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[423][7]~32814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[423][7]~q\);

-- Location: LCCOMB_X57_Y40_N4
\WideAnd423~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd423~1_combout\ = (\led_flash_cnt[423][6]~q\ & \led_flash_cnt[423][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[423][6]~q\,
	datad => \led_flash_cnt[423][5]~q\,
	combout => \WideAnd423~1_combout\);

-- Location: LCCOMB_X57_Y40_N30
\WideAnd423~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd423~0_combout\ = (\led_flash_cnt[423][4]~q\ & (\led_flash_cnt[423][1]~q\ & (\led_flash_cnt[423][2]~q\ & \led_flash_cnt[423][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[423][4]~q\,
	datab => \led_flash_cnt[423][1]~q\,
	datac => \led_flash_cnt[423][2]~q\,
	datad => \led_flash_cnt[423][3]~q\,
	combout => \WideAnd423~0_combout\);

-- Location: LCCOMB_X57_Y40_N28
WideAnd423 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd423~combout\ = (\led_flash_cnt[423][7]~q\ & (\WideAnd423~1_combout\ & (\WideAnd423~0_combout\ & \led_flash_cnt[423][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[423][7]~q\,
	datab => \WideAnd423~1_combout\,
	datac => \WideAnd423~0_combout\,
	datad => \led_flash_cnt[423][0]~q\,
	combout => \WideAnd423~combout\);

-- Location: FF_X57_Y40_N29
\led_flash_cnt_ands[423]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd423~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(423));

-- Location: LCCOMB_X51_Y26_N18
\led_flash_cnt[420][0]~81060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[420][0]~81060_combout\ = !\led_flash_cnt[420][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[420][0]~q\,
	combout => \led_flash_cnt[420][0]~81060_combout\);

-- Location: FF_X51_Y26_N19
\led_flash_cnt[420][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[420][0]~81060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[420][0]~q\);

-- Location: LCCOMB_X51_Y30_N18
\led_flash_cnt[420][1]~32760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[420][1]~32760_combout\ = (\led_flash_cnt[420][0]~q\ & (\led_flash_cnt[420][1]~q\ $ (VCC))) # (!\led_flash_cnt[420][0]~q\ & (\led_flash_cnt[420][1]~q\ & VCC))
-- \led_flash_cnt[420][1]~32761\ = CARRY((\led_flash_cnt[420][0]~q\ & \led_flash_cnt[420][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[420][0]~q\,
	datab => \led_flash_cnt[420][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[420][1]~32760_combout\,
	cout => \led_flash_cnt[420][1]~32761\);

-- Location: FF_X51_Y30_N19
\led_flash_cnt[420][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[420][1]~32760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[420][1]~q\);

-- Location: LCCOMB_X51_Y30_N20
\led_flash_cnt[420][2]~32762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[420][2]~32762_combout\ = (\led_flash_cnt[420][2]~q\ & (!\led_flash_cnt[420][1]~32761\)) # (!\led_flash_cnt[420][2]~q\ & ((\led_flash_cnt[420][1]~32761\) # (GND)))
-- \led_flash_cnt[420][2]~32763\ = CARRY((!\led_flash_cnt[420][1]~32761\) # (!\led_flash_cnt[420][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[420][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[420][1]~32761\,
	combout => \led_flash_cnt[420][2]~32762_combout\,
	cout => \led_flash_cnt[420][2]~32763\);

-- Location: FF_X51_Y30_N21
\led_flash_cnt[420][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[420][2]~32762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[420][2]~q\);

-- Location: LCCOMB_X51_Y30_N22
\led_flash_cnt[420][3]~32764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[420][3]~32764_combout\ = (\led_flash_cnt[420][3]~q\ & (\led_flash_cnt[420][2]~32763\ $ (GND))) # (!\led_flash_cnt[420][3]~q\ & (!\led_flash_cnt[420][2]~32763\ & VCC))
-- \led_flash_cnt[420][3]~32765\ = CARRY((\led_flash_cnt[420][3]~q\ & !\led_flash_cnt[420][2]~32763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[420][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[420][2]~32763\,
	combout => \led_flash_cnt[420][3]~32764_combout\,
	cout => \led_flash_cnt[420][3]~32765\);

-- Location: FF_X51_Y30_N23
\led_flash_cnt[420][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[420][3]~32764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[420][3]~q\);

-- Location: LCCOMB_X51_Y30_N24
\led_flash_cnt[420][4]~32766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[420][4]~32766_combout\ = (\led_flash_cnt[420][4]~q\ & (!\led_flash_cnt[420][3]~32765\)) # (!\led_flash_cnt[420][4]~q\ & ((\led_flash_cnt[420][3]~32765\) # (GND)))
-- \led_flash_cnt[420][4]~32767\ = CARRY((!\led_flash_cnt[420][3]~32765\) # (!\led_flash_cnt[420][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[420][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[420][3]~32765\,
	combout => \led_flash_cnt[420][4]~32766_combout\,
	cout => \led_flash_cnt[420][4]~32767\);

-- Location: FF_X51_Y30_N25
\led_flash_cnt[420][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[420][4]~32766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[420][4]~q\);

-- Location: LCCOMB_X51_Y30_N16
\WideAnd420~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd420~0_combout\ = (\led_flash_cnt[420][4]~q\ & (\led_flash_cnt[420][2]~q\ & (\led_flash_cnt[420][3]~q\ & \led_flash_cnt[420][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[420][4]~q\,
	datab => \led_flash_cnt[420][2]~q\,
	datac => \led_flash_cnt[420][3]~q\,
	datad => \led_flash_cnt[420][1]~q\,
	combout => \WideAnd420~0_combout\);

-- Location: LCCOMB_X51_Y30_N26
\led_flash_cnt[420][5]~32768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[420][5]~32768_combout\ = (\led_flash_cnt[420][5]~q\ & (\led_flash_cnt[420][4]~32767\ $ (GND))) # (!\led_flash_cnt[420][5]~q\ & (!\led_flash_cnt[420][4]~32767\ & VCC))
-- \led_flash_cnt[420][5]~32769\ = CARRY((\led_flash_cnt[420][5]~q\ & !\led_flash_cnt[420][4]~32767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[420][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[420][4]~32767\,
	combout => \led_flash_cnt[420][5]~32768_combout\,
	cout => \led_flash_cnt[420][5]~32769\);

-- Location: FF_X51_Y30_N27
\led_flash_cnt[420][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[420][5]~32768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[420][5]~q\);

-- Location: LCCOMB_X51_Y30_N28
\led_flash_cnt[420][6]~32770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[420][6]~32770_combout\ = (\led_flash_cnt[420][6]~q\ & (!\led_flash_cnt[420][5]~32769\)) # (!\led_flash_cnt[420][6]~q\ & ((\led_flash_cnt[420][5]~32769\) # (GND)))
-- \led_flash_cnt[420][6]~32771\ = CARRY((!\led_flash_cnt[420][5]~32769\) # (!\led_flash_cnt[420][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[420][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[420][5]~32769\,
	combout => \led_flash_cnt[420][6]~32770_combout\,
	cout => \led_flash_cnt[420][6]~32771\);

-- Location: FF_X51_Y30_N29
\led_flash_cnt[420][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[420][6]~32770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[420][6]~q\);

-- Location: LCCOMB_X51_Y26_N30
\WideAnd420~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd420~1_combout\ = (\led_flash_cnt[420][6]~q\ & \led_flash_cnt[420][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[420][6]~q\,
	datad => \led_flash_cnt[420][5]~q\,
	combout => \WideAnd420~1_combout\);

-- Location: LCCOMB_X51_Y30_N30
\led_flash_cnt[420][7]~32772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[420][7]~32772_combout\ = \led_flash_cnt[420][7]~q\ $ (!\led_flash_cnt[420][6]~32771\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[420][7]~q\,
	cin => \led_flash_cnt[420][6]~32771\,
	combout => \led_flash_cnt[420][7]~32772_combout\);

-- Location: FF_X51_Y30_N31
\led_flash_cnt[420][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[420][7]~32772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[420][7]~q\);

-- Location: LCCOMB_X51_Y26_N2
WideAnd420 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd420~combout\ = (\led_flash_cnt[420][0]~q\ & (\WideAnd420~0_combout\ & (\WideAnd420~1_combout\ & \led_flash_cnt[420][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[420][0]~q\,
	datab => \WideAnd420~0_combout\,
	datac => \WideAnd420~1_combout\,
	datad => \led_flash_cnt[420][7]~q\,
	combout => \WideAnd420~combout\);

-- Location: FF_X51_Y26_N3
\led_flash_cnt_ands[420]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd420~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(420));

-- Location: LCCOMB_X56_Y41_N2
\led_flash_cnt[421][0]~81061\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[421][0]~81061_combout\ = !\led_flash_cnt[421][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[421][0]~q\,
	combout => \led_flash_cnt[421][0]~81061_combout\);

-- Location: FF_X56_Y41_N3
\led_flash_cnt[421][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[421][0]~81061_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[421][0]~q\);

-- Location: LCCOMB_X55_Y41_N0
\led_flash_cnt[421][1]~32774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[421][1]~32774_combout\ = (\led_flash_cnt[421][0]~q\ & (\led_flash_cnt[421][1]~q\ $ (VCC))) # (!\led_flash_cnt[421][0]~q\ & (\led_flash_cnt[421][1]~q\ & VCC))
-- \led_flash_cnt[421][1]~32775\ = CARRY((\led_flash_cnt[421][0]~q\ & \led_flash_cnt[421][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[421][0]~q\,
	datab => \led_flash_cnt[421][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[421][1]~32774_combout\,
	cout => \led_flash_cnt[421][1]~32775\);

-- Location: FF_X55_Y41_N1
\led_flash_cnt[421][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[421][1]~32774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[421][1]~q\);

-- Location: LCCOMB_X55_Y41_N2
\led_flash_cnt[421][2]~32776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[421][2]~32776_combout\ = (\led_flash_cnt[421][2]~q\ & (!\led_flash_cnt[421][1]~32775\)) # (!\led_flash_cnt[421][2]~q\ & ((\led_flash_cnt[421][1]~32775\) # (GND)))
-- \led_flash_cnt[421][2]~32777\ = CARRY((!\led_flash_cnt[421][1]~32775\) # (!\led_flash_cnt[421][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[421][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[421][1]~32775\,
	combout => \led_flash_cnt[421][2]~32776_combout\,
	cout => \led_flash_cnt[421][2]~32777\);

-- Location: FF_X55_Y41_N3
\led_flash_cnt[421][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[421][2]~32776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[421][2]~q\);

-- Location: LCCOMB_X55_Y41_N4
\led_flash_cnt[421][3]~32778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[421][3]~32778_combout\ = (\led_flash_cnt[421][3]~q\ & (\led_flash_cnt[421][2]~32777\ $ (GND))) # (!\led_flash_cnt[421][3]~q\ & (!\led_flash_cnt[421][2]~32777\ & VCC))
-- \led_flash_cnt[421][3]~32779\ = CARRY((\led_flash_cnt[421][3]~q\ & !\led_flash_cnt[421][2]~32777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[421][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[421][2]~32777\,
	combout => \led_flash_cnt[421][3]~32778_combout\,
	cout => \led_flash_cnt[421][3]~32779\);

-- Location: FF_X55_Y41_N5
\led_flash_cnt[421][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[421][3]~32778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[421][3]~q\);

-- Location: LCCOMB_X55_Y41_N6
\led_flash_cnt[421][4]~32780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[421][4]~32780_combout\ = (\led_flash_cnt[421][4]~q\ & (!\led_flash_cnt[421][3]~32779\)) # (!\led_flash_cnt[421][4]~q\ & ((\led_flash_cnt[421][3]~32779\) # (GND)))
-- \led_flash_cnt[421][4]~32781\ = CARRY((!\led_flash_cnt[421][3]~32779\) # (!\led_flash_cnt[421][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[421][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[421][3]~32779\,
	combout => \led_flash_cnt[421][4]~32780_combout\,
	cout => \led_flash_cnt[421][4]~32781\);

-- Location: FF_X55_Y41_N7
\led_flash_cnt[421][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[421][4]~32780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[421][4]~q\);

-- Location: LCCOMB_X55_Y41_N8
\led_flash_cnt[421][5]~32782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[421][5]~32782_combout\ = (\led_flash_cnt[421][5]~q\ & (\led_flash_cnt[421][4]~32781\ $ (GND))) # (!\led_flash_cnt[421][5]~q\ & (!\led_flash_cnt[421][4]~32781\ & VCC))
-- \led_flash_cnt[421][5]~32783\ = CARRY((\led_flash_cnt[421][5]~q\ & !\led_flash_cnt[421][4]~32781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[421][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[421][4]~32781\,
	combout => \led_flash_cnt[421][5]~32782_combout\,
	cout => \led_flash_cnt[421][5]~32783\);

-- Location: FF_X55_Y41_N9
\led_flash_cnt[421][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[421][5]~32782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[421][5]~q\);

-- Location: LCCOMB_X55_Y41_N10
\led_flash_cnt[421][6]~32784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[421][6]~32784_combout\ = (\led_flash_cnt[421][6]~q\ & (!\led_flash_cnt[421][5]~32783\)) # (!\led_flash_cnt[421][6]~q\ & ((\led_flash_cnt[421][5]~32783\) # (GND)))
-- \led_flash_cnt[421][6]~32785\ = CARRY((!\led_flash_cnt[421][5]~32783\) # (!\led_flash_cnt[421][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[421][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[421][5]~32783\,
	combout => \led_flash_cnt[421][6]~32784_combout\,
	cout => \led_flash_cnt[421][6]~32785\);

-- Location: FF_X55_Y41_N11
\led_flash_cnt[421][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[421][6]~32784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[421][6]~q\);

-- Location: LCCOMB_X55_Y41_N12
\led_flash_cnt[421][7]~32786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[421][7]~32786_combout\ = \led_flash_cnt[421][6]~32785\ $ (!\led_flash_cnt[421][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[421][7]~q\,
	cin => \led_flash_cnt[421][6]~32785\,
	combout => \led_flash_cnt[421][7]~32786_combout\);

-- Location: FF_X55_Y41_N13
\led_flash_cnt[421][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[421][7]~32786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[421][7]~q\);

-- Location: LCCOMB_X55_Y41_N28
\WideAnd421~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd421~0_combout\ = (\led_flash_cnt[421][4]~q\ & (\led_flash_cnt[421][1]~q\ & (\led_flash_cnt[421][3]~q\ & \led_flash_cnt[421][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[421][4]~q\,
	datab => \led_flash_cnt[421][1]~q\,
	datac => \led_flash_cnt[421][3]~q\,
	datad => \led_flash_cnt[421][2]~q\,
	combout => \WideAnd421~0_combout\);

-- Location: LCCOMB_X56_Y41_N8
\WideAnd421~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd421~1_combout\ = (\led_flash_cnt[421][6]~q\ & \led_flash_cnt[421][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[421][6]~q\,
	datad => \led_flash_cnt[421][5]~q\,
	combout => \WideAnd421~1_combout\);

-- Location: LCCOMB_X56_Y41_N6
WideAnd421 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd421~combout\ = (\led_flash_cnt[421][7]~q\ & (\WideAnd421~0_combout\ & (\WideAnd421~1_combout\ & \led_flash_cnt[421][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[421][7]~q\,
	datab => \WideAnd421~0_combout\,
	datac => \WideAnd421~1_combout\,
	datad => \led_flash_cnt[421][0]~q\,
	combout => \WideAnd421~combout\);

-- Location: FF_X56_Y41_N7
\led_flash_cnt_ands[421]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd421~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(421));

-- Location: LCCOMB_X56_Y41_N30
\WideAnd3892~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3892~1_combout\ = (led_flash_cnt_ands(420) & led_flash_cnt_ands(421))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(420),
	datad => led_flash_cnt_ands(421),
	combout => \WideAnd3892~1_combout\);

-- Location: LCCOMB_X49_Y42_N28
\led_flash_cnt[418][0]~81058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[418][0]~81058_combout\ = !\led_flash_cnt[418][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[418][0]~q\,
	combout => \led_flash_cnt[418][0]~81058_combout\);

-- Location: FF_X49_Y42_N29
\led_flash_cnt[418][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[418][0]~81058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[418][0]~q\);

-- Location: LCCOMB_X50_Y42_N18
\led_flash_cnt[418][1]~32732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[418][1]~32732_combout\ = (\led_flash_cnt[418][0]~q\ & (\led_flash_cnt[418][1]~q\ $ (VCC))) # (!\led_flash_cnt[418][0]~q\ & (\led_flash_cnt[418][1]~q\ & VCC))
-- \led_flash_cnt[418][1]~32733\ = CARRY((\led_flash_cnt[418][0]~q\ & \led_flash_cnt[418][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[418][0]~q\,
	datab => \led_flash_cnt[418][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[418][1]~32732_combout\,
	cout => \led_flash_cnt[418][1]~32733\);

-- Location: FF_X50_Y42_N19
\led_flash_cnt[418][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[418][1]~32732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[418][1]~q\);

-- Location: LCCOMB_X50_Y42_N20
\led_flash_cnt[418][2]~32734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[418][2]~32734_combout\ = (\led_flash_cnt[418][2]~q\ & (!\led_flash_cnt[418][1]~32733\)) # (!\led_flash_cnt[418][2]~q\ & ((\led_flash_cnt[418][1]~32733\) # (GND)))
-- \led_flash_cnt[418][2]~32735\ = CARRY((!\led_flash_cnt[418][1]~32733\) # (!\led_flash_cnt[418][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[418][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[418][1]~32733\,
	combout => \led_flash_cnt[418][2]~32734_combout\,
	cout => \led_flash_cnt[418][2]~32735\);

-- Location: FF_X50_Y42_N21
\led_flash_cnt[418][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[418][2]~32734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[418][2]~q\);

-- Location: LCCOMB_X50_Y42_N22
\led_flash_cnt[418][3]~32736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[418][3]~32736_combout\ = (\led_flash_cnt[418][3]~q\ & (\led_flash_cnt[418][2]~32735\ $ (GND))) # (!\led_flash_cnt[418][3]~q\ & (!\led_flash_cnt[418][2]~32735\ & VCC))
-- \led_flash_cnt[418][3]~32737\ = CARRY((\led_flash_cnt[418][3]~q\ & !\led_flash_cnt[418][2]~32735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[418][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[418][2]~32735\,
	combout => \led_flash_cnt[418][3]~32736_combout\,
	cout => \led_flash_cnt[418][3]~32737\);

-- Location: FF_X50_Y42_N23
\led_flash_cnt[418][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[418][3]~32736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[418][3]~q\);

-- Location: LCCOMB_X50_Y42_N24
\led_flash_cnt[418][4]~32738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[418][4]~32738_combout\ = (\led_flash_cnt[418][4]~q\ & (!\led_flash_cnt[418][3]~32737\)) # (!\led_flash_cnt[418][4]~q\ & ((\led_flash_cnt[418][3]~32737\) # (GND)))
-- \led_flash_cnt[418][4]~32739\ = CARRY((!\led_flash_cnt[418][3]~32737\) # (!\led_flash_cnt[418][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[418][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[418][3]~32737\,
	combout => \led_flash_cnt[418][4]~32738_combout\,
	cout => \led_flash_cnt[418][4]~32739\);

-- Location: FF_X50_Y42_N25
\led_flash_cnt[418][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[418][4]~32738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[418][4]~q\);

-- Location: LCCOMB_X50_Y42_N26
\led_flash_cnt[418][5]~32740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[418][5]~32740_combout\ = (\led_flash_cnt[418][5]~q\ & (\led_flash_cnt[418][4]~32739\ $ (GND))) # (!\led_flash_cnt[418][5]~q\ & (!\led_flash_cnt[418][4]~32739\ & VCC))
-- \led_flash_cnt[418][5]~32741\ = CARRY((\led_flash_cnt[418][5]~q\ & !\led_flash_cnt[418][4]~32739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[418][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[418][4]~32739\,
	combout => \led_flash_cnt[418][5]~32740_combout\,
	cout => \led_flash_cnt[418][5]~32741\);

-- Location: FF_X50_Y42_N27
\led_flash_cnt[418][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[418][5]~32740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[418][5]~q\);

-- Location: LCCOMB_X50_Y42_N28
\led_flash_cnt[418][6]~32742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[418][6]~32742_combout\ = (\led_flash_cnt[418][6]~q\ & (!\led_flash_cnt[418][5]~32741\)) # (!\led_flash_cnt[418][6]~q\ & ((\led_flash_cnt[418][5]~32741\) # (GND)))
-- \led_flash_cnt[418][6]~32743\ = CARRY((!\led_flash_cnt[418][5]~32741\) # (!\led_flash_cnt[418][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[418][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[418][5]~32741\,
	combout => \led_flash_cnt[418][6]~32742_combout\,
	cout => \led_flash_cnt[418][6]~32743\);

-- Location: FF_X50_Y42_N29
\led_flash_cnt[418][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[418][6]~32742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[418][6]~q\);

-- Location: LCCOMB_X49_Y42_N26
\WideAnd418~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd418~1_combout\ = (\led_flash_cnt[418][6]~q\ & \led_flash_cnt[418][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[418][6]~q\,
	datad => \led_flash_cnt[418][5]~q\,
	combout => \WideAnd418~1_combout\);

-- Location: LCCOMB_X50_Y42_N30
\led_flash_cnt[418][7]~32744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[418][7]~32744_combout\ = \led_flash_cnt[418][7]~q\ $ (!\led_flash_cnt[418][6]~32743\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[418][7]~q\,
	cin => \led_flash_cnt[418][6]~32743\,
	combout => \led_flash_cnt[418][7]~32744_combout\);

-- Location: FF_X50_Y42_N31
\led_flash_cnt[418][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[418][7]~32744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[418][7]~q\);

-- Location: LCCOMB_X50_Y42_N2
\WideAnd418~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd418~0_combout\ = (\led_flash_cnt[418][4]~q\ & (\led_flash_cnt[418][2]~q\ & (\led_flash_cnt[418][3]~q\ & \led_flash_cnt[418][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[418][4]~q\,
	datab => \led_flash_cnt[418][2]~q\,
	datac => \led_flash_cnt[418][3]~q\,
	datad => \led_flash_cnt[418][1]~q\,
	combout => \WideAnd418~0_combout\);

-- Location: LCCOMB_X49_Y42_N22
WideAnd418 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd418~combout\ = (\WideAnd418~1_combout\ & (\led_flash_cnt[418][0]~q\ & (\led_flash_cnt[418][7]~q\ & \WideAnd418~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd418~1_combout\,
	datab => \led_flash_cnt[418][0]~q\,
	datac => \led_flash_cnt[418][7]~q\,
	datad => \WideAnd418~0_combout\,
	combout => \WideAnd418~combout\);

-- Location: FF_X49_Y42_N23
\led_flash_cnt_ands[418]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd418~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(418));

-- Location: LCCOMB_X27_Y36_N0
\led_flash_cnt[419][0]~81059\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[419][0]~81059_combout\ = !\led_flash_cnt[419][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[419][0]~q\,
	combout => \led_flash_cnt[419][0]~81059_combout\);

-- Location: FF_X27_Y36_N1
\led_flash_cnt[419][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[419][0]~81059_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[419][0]~q\);

-- Location: LCCOMB_X27_Y37_N0
\led_flash_cnt[419][1]~32746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[419][1]~32746_combout\ = (\led_flash_cnt[419][0]~q\ & (\led_flash_cnt[419][1]~q\ $ (VCC))) # (!\led_flash_cnt[419][0]~q\ & (\led_flash_cnt[419][1]~q\ & VCC))
-- \led_flash_cnt[419][1]~32747\ = CARRY((\led_flash_cnt[419][0]~q\ & \led_flash_cnt[419][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[419][0]~q\,
	datab => \led_flash_cnt[419][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[419][1]~32746_combout\,
	cout => \led_flash_cnt[419][1]~32747\);

-- Location: FF_X27_Y37_N1
\led_flash_cnt[419][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[419][1]~32746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[419][1]~q\);

-- Location: LCCOMB_X27_Y37_N2
\led_flash_cnt[419][2]~32748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[419][2]~32748_combout\ = (\led_flash_cnt[419][2]~q\ & (!\led_flash_cnt[419][1]~32747\)) # (!\led_flash_cnt[419][2]~q\ & ((\led_flash_cnt[419][1]~32747\) # (GND)))
-- \led_flash_cnt[419][2]~32749\ = CARRY((!\led_flash_cnt[419][1]~32747\) # (!\led_flash_cnt[419][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[419][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[419][1]~32747\,
	combout => \led_flash_cnt[419][2]~32748_combout\,
	cout => \led_flash_cnt[419][2]~32749\);

-- Location: FF_X27_Y37_N3
\led_flash_cnt[419][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[419][2]~32748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[419][2]~q\);

-- Location: LCCOMB_X27_Y37_N4
\led_flash_cnt[419][3]~32750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[419][3]~32750_combout\ = (\led_flash_cnt[419][3]~q\ & (\led_flash_cnt[419][2]~32749\ $ (GND))) # (!\led_flash_cnt[419][3]~q\ & (!\led_flash_cnt[419][2]~32749\ & VCC))
-- \led_flash_cnt[419][3]~32751\ = CARRY((\led_flash_cnt[419][3]~q\ & !\led_flash_cnt[419][2]~32749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[419][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[419][2]~32749\,
	combout => \led_flash_cnt[419][3]~32750_combout\,
	cout => \led_flash_cnt[419][3]~32751\);

-- Location: FF_X27_Y37_N5
\led_flash_cnt[419][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[419][3]~32750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[419][3]~q\);

-- Location: LCCOMB_X27_Y37_N6
\led_flash_cnt[419][4]~32752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[419][4]~32752_combout\ = (\led_flash_cnt[419][4]~q\ & (!\led_flash_cnt[419][3]~32751\)) # (!\led_flash_cnt[419][4]~q\ & ((\led_flash_cnt[419][3]~32751\) # (GND)))
-- \led_flash_cnt[419][4]~32753\ = CARRY((!\led_flash_cnt[419][3]~32751\) # (!\led_flash_cnt[419][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[419][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[419][3]~32751\,
	combout => \led_flash_cnt[419][4]~32752_combout\,
	cout => \led_flash_cnt[419][4]~32753\);

-- Location: FF_X27_Y37_N7
\led_flash_cnt[419][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[419][4]~32752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[419][4]~q\);

-- Location: LCCOMB_X27_Y37_N8
\led_flash_cnt[419][5]~32754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[419][5]~32754_combout\ = (\led_flash_cnt[419][5]~q\ & (\led_flash_cnt[419][4]~32753\ $ (GND))) # (!\led_flash_cnt[419][5]~q\ & (!\led_flash_cnt[419][4]~32753\ & VCC))
-- \led_flash_cnt[419][5]~32755\ = CARRY((\led_flash_cnt[419][5]~q\ & !\led_flash_cnt[419][4]~32753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[419][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[419][4]~32753\,
	combout => \led_flash_cnt[419][5]~32754_combout\,
	cout => \led_flash_cnt[419][5]~32755\);

-- Location: FF_X27_Y37_N9
\led_flash_cnt[419][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[419][5]~32754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[419][5]~q\);

-- Location: LCCOMB_X27_Y37_N10
\led_flash_cnt[419][6]~32756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[419][6]~32756_combout\ = (\led_flash_cnt[419][6]~q\ & (!\led_flash_cnt[419][5]~32755\)) # (!\led_flash_cnt[419][6]~q\ & ((\led_flash_cnt[419][5]~32755\) # (GND)))
-- \led_flash_cnt[419][6]~32757\ = CARRY((!\led_flash_cnt[419][5]~32755\) # (!\led_flash_cnt[419][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[419][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[419][5]~32755\,
	combout => \led_flash_cnt[419][6]~32756_combout\,
	cout => \led_flash_cnt[419][6]~32757\);

-- Location: FF_X27_Y37_N11
\led_flash_cnt[419][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[419][6]~32756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[419][6]~q\);

-- Location: LCCOMB_X27_Y36_N10
\WideAnd419~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd419~1_combout\ = (\led_flash_cnt[419][6]~q\ & \led_flash_cnt[419][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[419][6]~q\,
	datad => \led_flash_cnt[419][5]~q\,
	combout => \WideAnd419~1_combout\);

-- Location: LCCOMB_X27_Y37_N14
\WideAnd419~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd419~0_combout\ = (\led_flash_cnt[419][4]~q\ & (\led_flash_cnt[419][1]~q\ & (\led_flash_cnt[419][3]~q\ & \led_flash_cnt[419][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[419][4]~q\,
	datab => \led_flash_cnt[419][1]~q\,
	datac => \led_flash_cnt[419][3]~q\,
	datad => \led_flash_cnt[419][2]~q\,
	combout => \WideAnd419~0_combout\);

-- Location: LCCOMB_X27_Y37_N12
\led_flash_cnt[419][7]~32758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[419][7]~32758_combout\ = \led_flash_cnt[419][6]~32757\ $ (!\led_flash_cnt[419][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[419][7]~q\,
	cin => \led_flash_cnt[419][6]~32757\,
	combout => \led_flash_cnt[419][7]~32758_combout\);

-- Location: FF_X27_Y37_N13
\led_flash_cnt[419][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[419][7]~32758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[419][7]~q\);

-- Location: LCCOMB_X27_Y36_N28
WideAnd419 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd419~combout\ = (\WideAnd419~1_combout\ & (\led_flash_cnt[419][0]~q\ & (\WideAnd419~0_combout\ & \led_flash_cnt[419][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd419~1_combout\,
	datab => \led_flash_cnt[419][0]~q\,
	datac => \WideAnd419~0_combout\,
	datad => \led_flash_cnt[419][7]~q\,
	combout => \WideAnd419~combout\);

-- Location: FF_X27_Y36_N29
\led_flash_cnt_ands[419]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd419~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(419));

-- Location: LCCOMB_X27_Y35_N22
\led_flash_cnt[416][0]~81056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[416][0]~81056_combout\ = !\led_flash_cnt[416][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[416][0]~q\,
	combout => \led_flash_cnt[416][0]~81056_combout\);

-- Location: FF_X27_Y35_N23
\led_flash_cnt[416][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[416][0]~81056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[416][0]~q\);

-- Location: LCCOMB_X29_Y35_N18
\led_flash_cnt[416][1]~32704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[416][1]~32704_combout\ = (\led_flash_cnt[416][0]~q\ & (\led_flash_cnt[416][1]~q\ $ (VCC))) # (!\led_flash_cnt[416][0]~q\ & (\led_flash_cnt[416][1]~q\ & VCC))
-- \led_flash_cnt[416][1]~32705\ = CARRY((\led_flash_cnt[416][0]~q\ & \led_flash_cnt[416][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[416][0]~q\,
	datab => \led_flash_cnt[416][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[416][1]~32704_combout\,
	cout => \led_flash_cnt[416][1]~32705\);

-- Location: FF_X29_Y35_N19
\led_flash_cnt[416][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[416][1]~32704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[416][1]~q\);

-- Location: LCCOMB_X29_Y35_N20
\led_flash_cnt[416][2]~32706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[416][2]~32706_combout\ = (\led_flash_cnt[416][2]~q\ & (!\led_flash_cnt[416][1]~32705\)) # (!\led_flash_cnt[416][2]~q\ & ((\led_flash_cnt[416][1]~32705\) # (GND)))
-- \led_flash_cnt[416][2]~32707\ = CARRY((!\led_flash_cnt[416][1]~32705\) # (!\led_flash_cnt[416][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[416][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[416][1]~32705\,
	combout => \led_flash_cnt[416][2]~32706_combout\,
	cout => \led_flash_cnt[416][2]~32707\);

-- Location: FF_X29_Y35_N21
\led_flash_cnt[416][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[416][2]~32706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[416][2]~q\);

-- Location: LCCOMB_X29_Y35_N22
\led_flash_cnt[416][3]~32708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[416][3]~32708_combout\ = (\led_flash_cnt[416][3]~q\ & (\led_flash_cnt[416][2]~32707\ $ (GND))) # (!\led_flash_cnt[416][3]~q\ & (!\led_flash_cnt[416][2]~32707\ & VCC))
-- \led_flash_cnt[416][3]~32709\ = CARRY((\led_flash_cnt[416][3]~q\ & !\led_flash_cnt[416][2]~32707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[416][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[416][2]~32707\,
	combout => \led_flash_cnt[416][3]~32708_combout\,
	cout => \led_flash_cnt[416][3]~32709\);

-- Location: FF_X29_Y35_N23
\led_flash_cnt[416][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[416][3]~32708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[416][3]~q\);

-- Location: LCCOMB_X29_Y35_N24
\led_flash_cnt[416][4]~32710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[416][4]~32710_combout\ = (\led_flash_cnt[416][4]~q\ & (!\led_flash_cnt[416][3]~32709\)) # (!\led_flash_cnt[416][4]~q\ & ((\led_flash_cnt[416][3]~32709\) # (GND)))
-- \led_flash_cnt[416][4]~32711\ = CARRY((!\led_flash_cnt[416][3]~32709\) # (!\led_flash_cnt[416][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[416][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[416][3]~32709\,
	combout => \led_flash_cnt[416][4]~32710_combout\,
	cout => \led_flash_cnt[416][4]~32711\);

-- Location: FF_X29_Y35_N25
\led_flash_cnt[416][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[416][4]~32710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[416][4]~q\);

-- Location: LCCOMB_X29_Y35_N26
\led_flash_cnt[416][5]~32712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[416][5]~32712_combout\ = (\led_flash_cnt[416][5]~q\ & (\led_flash_cnt[416][4]~32711\ $ (GND))) # (!\led_flash_cnt[416][5]~q\ & (!\led_flash_cnt[416][4]~32711\ & VCC))
-- \led_flash_cnt[416][5]~32713\ = CARRY((\led_flash_cnt[416][5]~q\ & !\led_flash_cnt[416][4]~32711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[416][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[416][4]~32711\,
	combout => \led_flash_cnt[416][5]~32712_combout\,
	cout => \led_flash_cnt[416][5]~32713\);

-- Location: FF_X29_Y35_N27
\led_flash_cnt[416][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[416][5]~32712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[416][5]~q\);

-- Location: LCCOMB_X29_Y35_N28
\led_flash_cnt[416][6]~32714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[416][6]~32714_combout\ = (\led_flash_cnt[416][6]~q\ & (!\led_flash_cnt[416][5]~32713\)) # (!\led_flash_cnt[416][6]~q\ & ((\led_flash_cnt[416][5]~32713\) # (GND)))
-- \led_flash_cnt[416][6]~32715\ = CARRY((!\led_flash_cnt[416][5]~32713\) # (!\led_flash_cnt[416][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[416][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[416][5]~32713\,
	combout => \led_flash_cnt[416][6]~32714_combout\,
	cout => \led_flash_cnt[416][6]~32715\);

-- Location: FF_X29_Y35_N29
\led_flash_cnt[416][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[416][6]~32714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[416][6]~q\);

-- Location: LCCOMB_X30_Y35_N6
\WideAnd416~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd416~1_combout\ = (\led_flash_cnt[416][5]~q\ & \led_flash_cnt[416][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[416][5]~q\,
	datad => \led_flash_cnt[416][6]~q\,
	combout => \WideAnd416~1_combout\);

-- Location: LCCOMB_X29_Y35_N30
\led_flash_cnt[416][7]~32716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[416][7]~32716_combout\ = \led_flash_cnt[416][7]~q\ $ (!\led_flash_cnt[416][6]~32715\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[416][7]~q\,
	cin => \led_flash_cnt[416][6]~32715\,
	combout => \led_flash_cnt[416][7]~32716_combout\);

-- Location: FF_X29_Y35_N31
\led_flash_cnt[416][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[416][7]~32716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[416][7]~q\);

-- Location: LCCOMB_X30_Y35_N24
\WideAnd416~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd416~0_combout\ = (\led_flash_cnt[416][3]~q\ & (\led_flash_cnt[416][4]~q\ & (\led_flash_cnt[416][1]~q\ & \led_flash_cnt[416][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[416][3]~q\,
	datab => \led_flash_cnt[416][4]~q\,
	datac => \led_flash_cnt[416][1]~q\,
	datad => \led_flash_cnt[416][2]~q\,
	combout => \WideAnd416~0_combout\);

-- Location: LCCOMB_X30_Y35_N0
WideAnd416 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd416~combout\ = (\WideAnd416~1_combout\ & (\led_flash_cnt[416][7]~q\ & (\led_flash_cnt[416][0]~q\ & \WideAnd416~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd416~1_combout\,
	datab => \led_flash_cnt[416][7]~q\,
	datac => \led_flash_cnt[416][0]~q\,
	datad => \WideAnd416~0_combout\,
	combout => \WideAnd416~combout\);

-- Location: FF_X30_Y35_N1
\led_flash_cnt_ands[416]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd416~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(416));

-- Location: LCCOMB_X27_Y36_N8
\led_flash_cnt[417][0]~81057\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[417][0]~81057_combout\ = !\led_flash_cnt[417][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[417][0]~q\,
	combout => \led_flash_cnt[417][0]~81057_combout\);

-- Location: FF_X27_Y36_N9
\led_flash_cnt[417][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[417][0]~81057_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[417][0]~q\);

-- Location: LCCOMB_X27_Y36_N12
\led_flash_cnt[417][1]~32718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[417][1]~32718_combout\ = (\led_flash_cnt[417][1]~q\ & (\led_flash_cnt[417][0]~q\ $ (VCC))) # (!\led_flash_cnt[417][1]~q\ & (\led_flash_cnt[417][0]~q\ & VCC))
-- \led_flash_cnt[417][1]~32719\ = CARRY((\led_flash_cnt[417][1]~q\ & \led_flash_cnt[417][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[417][1]~q\,
	datab => \led_flash_cnt[417][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[417][1]~32718_combout\,
	cout => \led_flash_cnt[417][1]~32719\);

-- Location: FF_X27_Y36_N13
\led_flash_cnt[417][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[417][1]~32718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[417][1]~q\);

-- Location: LCCOMB_X27_Y36_N14
\led_flash_cnt[417][2]~32720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[417][2]~32720_combout\ = (\led_flash_cnt[417][2]~q\ & (!\led_flash_cnt[417][1]~32719\)) # (!\led_flash_cnt[417][2]~q\ & ((\led_flash_cnt[417][1]~32719\) # (GND)))
-- \led_flash_cnt[417][2]~32721\ = CARRY((!\led_flash_cnt[417][1]~32719\) # (!\led_flash_cnt[417][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[417][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[417][1]~32719\,
	combout => \led_flash_cnt[417][2]~32720_combout\,
	cout => \led_flash_cnt[417][2]~32721\);

-- Location: FF_X27_Y36_N15
\led_flash_cnt[417][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[417][2]~32720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[417][2]~q\);

-- Location: LCCOMB_X27_Y36_N16
\led_flash_cnt[417][3]~32722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[417][3]~32722_combout\ = (\led_flash_cnt[417][3]~q\ & (\led_flash_cnt[417][2]~32721\ $ (GND))) # (!\led_flash_cnt[417][3]~q\ & (!\led_flash_cnt[417][2]~32721\ & VCC))
-- \led_flash_cnt[417][3]~32723\ = CARRY((\led_flash_cnt[417][3]~q\ & !\led_flash_cnt[417][2]~32721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[417][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[417][2]~32721\,
	combout => \led_flash_cnt[417][3]~32722_combout\,
	cout => \led_flash_cnt[417][3]~32723\);

-- Location: FF_X27_Y36_N17
\led_flash_cnt[417][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[417][3]~32722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[417][3]~q\);

-- Location: LCCOMB_X27_Y36_N18
\led_flash_cnt[417][4]~32724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[417][4]~32724_combout\ = (\led_flash_cnt[417][4]~q\ & (!\led_flash_cnt[417][3]~32723\)) # (!\led_flash_cnt[417][4]~q\ & ((\led_flash_cnt[417][3]~32723\) # (GND)))
-- \led_flash_cnt[417][4]~32725\ = CARRY((!\led_flash_cnt[417][3]~32723\) # (!\led_flash_cnt[417][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[417][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[417][3]~32723\,
	combout => \led_flash_cnt[417][4]~32724_combout\,
	cout => \led_flash_cnt[417][4]~32725\);

-- Location: FF_X27_Y36_N19
\led_flash_cnt[417][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[417][4]~32724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[417][4]~q\);

-- Location: LCCOMB_X27_Y36_N26
\WideAnd417~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd417~0_combout\ = (\led_flash_cnt[417][1]~q\ & (\led_flash_cnt[417][3]~q\ & (\led_flash_cnt[417][2]~q\ & \led_flash_cnt[417][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[417][1]~q\,
	datab => \led_flash_cnt[417][3]~q\,
	datac => \led_flash_cnt[417][2]~q\,
	datad => \led_flash_cnt[417][4]~q\,
	combout => \WideAnd417~0_combout\);

-- Location: LCCOMB_X27_Y36_N20
\led_flash_cnt[417][5]~32726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[417][5]~32726_combout\ = (\led_flash_cnt[417][5]~q\ & (\led_flash_cnt[417][4]~32725\ $ (GND))) # (!\led_flash_cnt[417][5]~q\ & (!\led_flash_cnt[417][4]~32725\ & VCC))
-- \led_flash_cnt[417][5]~32727\ = CARRY((\led_flash_cnt[417][5]~q\ & !\led_flash_cnt[417][4]~32725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[417][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[417][4]~32725\,
	combout => \led_flash_cnt[417][5]~32726_combout\,
	cout => \led_flash_cnt[417][5]~32727\);

-- Location: FF_X27_Y36_N21
\led_flash_cnt[417][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[417][5]~32726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[417][5]~q\);

-- Location: LCCOMB_X27_Y36_N22
\led_flash_cnt[417][6]~32728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[417][6]~32728_combout\ = (\led_flash_cnt[417][6]~q\ & (!\led_flash_cnt[417][5]~32727\)) # (!\led_flash_cnt[417][6]~q\ & ((\led_flash_cnt[417][5]~32727\) # (GND)))
-- \led_flash_cnt[417][6]~32729\ = CARRY((!\led_flash_cnt[417][5]~32727\) # (!\led_flash_cnt[417][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[417][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[417][5]~32727\,
	combout => \led_flash_cnt[417][6]~32728_combout\,
	cout => \led_flash_cnt[417][6]~32729\);

-- Location: FF_X27_Y36_N23
\led_flash_cnt[417][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[417][6]~32728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[417][6]~q\);

-- Location: LCCOMB_X27_Y36_N24
\led_flash_cnt[417][7]~32730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[417][7]~32730_combout\ = \led_flash_cnt[417][6]~32729\ $ (!\led_flash_cnt[417][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[417][7]~q\,
	cin => \led_flash_cnt[417][6]~32729\,
	combout => \led_flash_cnt[417][7]~32730_combout\);

-- Location: FF_X27_Y36_N25
\led_flash_cnt[417][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[417][7]~32730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[417][7]~q\);

-- Location: LCCOMB_X27_Y36_N6
\WideAnd417~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd417~1_combout\ = (\led_flash_cnt[417][6]~q\ & \led_flash_cnt[417][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[417][6]~q\,
	datad => \led_flash_cnt[417][5]~q\,
	combout => \WideAnd417~1_combout\);

-- Location: LCCOMB_X27_Y36_N2
WideAnd417 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd417~combout\ = (\WideAnd417~0_combout\ & (\led_flash_cnt[417][7]~q\ & (\led_flash_cnt[417][0]~q\ & \WideAnd417~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd417~0_combout\,
	datab => \led_flash_cnt[417][7]~q\,
	datac => \led_flash_cnt[417][0]~q\,
	datad => \WideAnd417~1_combout\,
	combout => \WideAnd417~combout\);

-- Location: FF_X27_Y36_N3
\led_flash_cnt_ands[417]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd417~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(417));

-- Location: LCCOMB_X27_Y36_N4
\WideAnd3892~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3892~0_combout\ = (led_flash_cnt_ands(418) & (led_flash_cnt_ands(419) & (led_flash_cnt_ands(416) & led_flash_cnt_ands(417))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(418),
	datab => led_flash_cnt_ands(419),
	datac => led_flash_cnt_ands(416),
	datad => led_flash_cnt_ands(417),
	combout => \WideAnd3892~0_combout\);

-- Location: LCCOMB_X56_Y40_N2
WideAnd3892 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3892~combout\ = (led_flash_cnt_ands(422) & (led_flash_cnt_ands(423) & (\WideAnd3892~1_combout\ & \WideAnd3892~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(422),
	datab => led_flash_cnt_ands(423),
	datac => \WideAnd3892~1_combout\,
	datad => \WideAnd3892~0_combout\,
	combout => \WideAnd3892~combout\);

-- Location: FF_X56_Y40_N3
\led_flash_cnt_ands_1[52]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3892~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(52));

-- Location: LCCOMB_X60_Y42_N30
\led_flash_cnt[430][0]~81070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[430][0]~81070_combout\ = !\led_flash_cnt[430][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[430][0]~q\,
	combout => \led_flash_cnt[430][0]~81070_combout\);

-- Location: FF_X60_Y42_N31
\led_flash_cnt[430][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[430][0]~81070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[430][0]~q\);

-- Location: LCCOMB_X59_Y42_N18
\led_flash_cnt[430][1]~32900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[430][1]~32900_combout\ = (\led_flash_cnt[430][0]~q\ & (\led_flash_cnt[430][1]~q\ $ (VCC))) # (!\led_flash_cnt[430][0]~q\ & (\led_flash_cnt[430][1]~q\ & VCC))
-- \led_flash_cnt[430][1]~32901\ = CARRY((\led_flash_cnt[430][0]~q\ & \led_flash_cnt[430][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[430][0]~q\,
	datab => \led_flash_cnt[430][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[430][1]~32900_combout\,
	cout => \led_flash_cnt[430][1]~32901\);

-- Location: FF_X59_Y42_N19
\led_flash_cnt[430][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[430][1]~32900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[430][1]~q\);

-- Location: LCCOMB_X59_Y42_N20
\led_flash_cnt[430][2]~32902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[430][2]~32902_combout\ = (\led_flash_cnt[430][2]~q\ & (!\led_flash_cnt[430][1]~32901\)) # (!\led_flash_cnt[430][2]~q\ & ((\led_flash_cnt[430][1]~32901\) # (GND)))
-- \led_flash_cnt[430][2]~32903\ = CARRY((!\led_flash_cnt[430][1]~32901\) # (!\led_flash_cnt[430][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[430][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[430][1]~32901\,
	combout => \led_flash_cnt[430][2]~32902_combout\,
	cout => \led_flash_cnt[430][2]~32903\);

-- Location: FF_X59_Y42_N21
\led_flash_cnt[430][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[430][2]~32902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[430][2]~q\);

-- Location: LCCOMB_X59_Y42_N22
\led_flash_cnt[430][3]~32904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[430][3]~32904_combout\ = (\led_flash_cnt[430][3]~q\ & (\led_flash_cnt[430][2]~32903\ $ (GND))) # (!\led_flash_cnt[430][3]~q\ & (!\led_flash_cnt[430][2]~32903\ & VCC))
-- \led_flash_cnt[430][3]~32905\ = CARRY((\led_flash_cnt[430][3]~q\ & !\led_flash_cnt[430][2]~32903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[430][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[430][2]~32903\,
	combout => \led_flash_cnt[430][3]~32904_combout\,
	cout => \led_flash_cnt[430][3]~32905\);

-- Location: FF_X59_Y42_N23
\led_flash_cnt[430][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[430][3]~32904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[430][3]~q\);

-- Location: LCCOMB_X59_Y42_N24
\led_flash_cnt[430][4]~32906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[430][4]~32906_combout\ = (\led_flash_cnt[430][4]~q\ & (!\led_flash_cnt[430][3]~32905\)) # (!\led_flash_cnt[430][4]~q\ & ((\led_flash_cnt[430][3]~32905\) # (GND)))
-- \led_flash_cnt[430][4]~32907\ = CARRY((!\led_flash_cnt[430][3]~32905\) # (!\led_flash_cnt[430][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[430][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[430][3]~32905\,
	combout => \led_flash_cnt[430][4]~32906_combout\,
	cout => \led_flash_cnt[430][4]~32907\);

-- Location: FF_X59_Y42_N25
\led_flash_cnt[430][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[430][4]~32906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[430][4]~q\);

-- Location: LCCOMB_X59_Y42_N2
\WideAnd430~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd430~0_combout\ = (\led_flash_cnt[430][4]~q\ & (\led_flash_cnt[430][2]~q\ & (\led_flash_cnt[430][3]~q\ & \led_flash_cnt[430][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[430][4]~q\,
	datab => \led_flash_cnt[430][2]~q\,
	datac => \led_flash_cnt[430][3]~q\,
	datad => \led_flash_cnt[430][1]~q\,
	combout => \WideAnd430~0_combout\);

-- Location: LCCOMB_X59_Y42_N26
\led_flash_cnt[430][5]~32908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[430][5]~32908_combout\ = (\led_flash_cnt[430][5]~q\ & (\led_flash_cnt[430][4]~32907\ $ (GND))) # (!\led_flash_cnt[430][5]~q\ & (!\led_flash_cnt[430][4]~32907\ & VCC))
-- \led_flash_cnt[430][5]~32909\ = CARRY((\led_flash_cnt[430][5]~q\ & !\led_flash_cnt[430][4]~32907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[430][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[430][4]~32907\,
	combout => \led_flash_cnt[430][5]~32908_combout\,
	cout => \led_flash_cnt[430][5]~32909\);

-- Location: FF_X59_Y42_N27
\led_flash_cnt[430][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[430][5]~32908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[430][5]~q\);

-- Location: LCCOMB_X59_Y42_N28
\led_flash_cnt[430][6]~32910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[430][6]~32910_combout\ = (\led_flash_cnt[430][6]~q\ & (!\led_flash_cnt[430][5]~32909\)) # (!\led_flash_cnt[430][6]~q\ & ((\led_flash_cnt[430][5]~32909\) # (GND)))
-- \led_flash_cnt[430][6]~32911\ = CARRY((!\led_flash_cnt[430][5]~32909\) # (!\led_flash_cnt[430][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[430][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[430][5]~32909\,
	combout => \led_flash_cnt[430][6]~32910_combout\,
	cout => \led_flash_cnt[430][6]~32911\);

-- Location: FF_X59_Y42_N29
\led_flash_cnt[430][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[430][6]~32910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[430][6]~q\);

-- Location: LCCOMB_X59_Y42_N30
\led_flash_cnt[430][7]~32912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[430][7]~32912_combout\ = \led_flash_cnt[430][7]~q\ $ (!\led_flash_cnt[430][6]~32911\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[430][7]~q\,
	cin => \led_flash_cnt[430][6]~32911\,
	combout => \led_flash_cnt[430][7]~32912_combout\);

-- Location: FF_X59_Y42_N31
\led_flash_cnt[430][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[430][7]~32912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[430][7]~q\);

-- Location: LCCOMB_X60_Y42_N2
\WideAnd430~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd430~1_combout\ = (\led_flash_cnt[430][5]~q\ & \led_flash_cnt[430][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[430][5]~q\,
	datad => \led_flash_cnt[430][6]~q\,
	combout => \WideAnd430~1_combout\);

-- Location: LCCOMB_X60_Y42_N28
WideAnd430 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd430~combout\ = (\WideAnd430~0_combout\ & (\led_flash_cnt[430][7]~q\ & (\led_flash_cnt[430][0]~q\ & \WideAnd430~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd430~0_combout\,
	datab => \led_flash_cnt[430][7]~q\,
	datac => \led_flash_cnt[430][0]~q\,
	datad => \WideAnd430~1_combout\,
	combout => \WideAnd430~combout\);

-- Location: FF_X60_Y42_N29
\led_flash_cnt_ands[430]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd430~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(430));

-- Location: LCCOMB_X71_Y38_N26
\led_flash_cnt[429][0]~81069\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[429][0]~81069_combout\ = !\led_flash_cnt[429][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[429][0]~q\,
	combout => \led_flash_cnt[429][0]~81069_combout\);

-- Location: FF_X71_Y38_N27
\led_flash_cnt[429][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[429][0]~81069_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[429][0]~q\);

-- Location: LCCOMB_X71_Y38_N4
\led_flash_cnt[429][1]~32886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[429][1]~32886_combout\ = (\led_flash_cnt[429][0]~q\ & (\led_flash_cnt[429][1]~q\ $ (VCC))) # (!\led_flash_cnt[429][0]~q\ & (\led_flash_cnt[429][1]~q\ & VCC))
-- \led_flash_cnt[429][1]~32887\ = CARRY((\led_flash_cnt[429][0]~q\ & \led_flash_cnt[429][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[429][0]~q\,
	datab => \led_flash_cnt[429][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[429][1]~32886_combout\,
	cout => \led_flash_cnt[429][1]~32887\);

-- Location: FF_X71_Y38_N5
\led_flash_cnt[429][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[429][1]~32886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[429][1]~q\);

-- Location: LCCOMB_X71_Y38_N6
\led_flash_cnt[429][2]~32888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[429][2]~32888_combout\ = (\led_flash_cnt[429][2]~q\ & (!\led_flash_cnt[429][1]~32887\)) # (!\led_flash_cnt[429][2]~q\ & ((\led_flash_cnt[429][1]~32887\) # (GND)))
-- \led_flash_cnt[429][2]~32889\ = CARRY((!\led_flash_cnt[429][1]~32887\) # (!\led_flash_cnt[429][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[429][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[429][1]~32887\,
	combout => \led_flash_cnt[429][2]~32888_combout\,
	cout => \led_flash_cnt[429][2]~32889\);

-- Location: FF_X71_Y38_N7
\led_flash_cnt[429][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[429][2]~32888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[429][2]~q\);

-- Location: LCCOMB_X71_Y38_N8
\led_flash_cnt[429][3]~32890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[429][3]~32890_combout\ = (\led_flash_cnt[429][3]~q\ & (\led_flash_cnt[429][2]~32889\ $ (GND))) # (!\led_flash_cnt[429][3]~q\ & (!\led_flash_cnt[429][2]~32889\ & VCC))
-- \led_flash_cnt[429][3]~32891\ = CARRY((\led_flash_cnt[429][3]~q\ & !\led_flash_cnt[429][2]~32889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[429][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[429][2]~32889\,
	combout => \led_flash_cnt[429][3]~32890_combout\,
	cout => \led_flash_cnt[429][3]~32891\);

-- Location: FF_X71_Y38_N9
\led_flash_cnt[429][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[429][3]~32890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[429][3]~q\);

-- Location: LCCOMB_X71_Y38_N10
\led_flash_cnt[429][4]~32892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[429][4]~32892_combout\ = (\led_flash_cnt[429][4]~q\ & (!\led_flash_cnt[429][3]~32891\)) # (!\led_flash_cnt[429][4]~q\ & ((\led_flash_cnt[429][3]~32891\) # (GND)))
-- \led_flash_cnt[429][4]~32893\ = CARRY((!\led_flash_cnt[429][3]~32891\) # (!\led_flash_cnt[429][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[429][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[429][3]~32891\,
	combout => \led_flash_cnt[429][4]~32892_combout\,
	cout => \led_flash_cnt[429][4]~32893\);

-- Location: FF_X71_Y38_N11
\led_flash_cnt[429][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[429][4]~32892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[429][4]~q\);

-- Location: LCCOMB_X71_Y38_N12
\led_flash_cnt[429][5]~32894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[429][5]~32894_combout\ = (\led_flash_cnt[429][5]~q\ & (\led_flash_cnt[429][4]~32893\ $ (GND))) # (!\led_flash_cnt[429][5]~q\ & (!\led_flash_cnt[429][4]~32893\ & VCC))
-- \led_flash_cnt[429][5]~32895\ = CARRY((\led_flash_cnt[429][5]~q\ & !\led_flash_cnt[429][4]~32893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[429][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[429][4]~32893\,
	combout => \led_flash_cnt[429][5]~32894_combout\,
	cout => \led_flash_cnt[429][5]~32895\);

-- Location: FF_X71_Y38_N13
\led_flash_cnt[429][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[429][5]~32894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[429][5]~q\);

-- Location: LCCOMB_X71_Y38_N14
\led_flash_cnt[429][6]~32896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[429][6]~32896_combout\ = (\led_flash_cnt[429][6]~q\ & (!\led_flash_cnt[429][5]~32895\)) # (!\led_flash_cnt[429][6]~q\ & ((\led_flash_cnt[429][5]~32895\) # (GND)))
-- \led_flash_cnt[429][6]~32897\ = CARRY((!\led_flash_cnt[429][5]~32895\) # (!\led_flash_cnt[429][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[429][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[429][5]~32895\,
	combout => \led_flash_cnt[429][6]~32896_combout\,
	cout => \led_flash_cnt[429][6]~32897\);

-- Location: FF_X71_Y38_N15
\led_flash_cnt[429][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[429][6]~32896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[429][6]~q\);

-- Location: LCCOMB_X71_Y38_N16
\led_flash_cnt[429][7]~32898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[429][7]~32898_combout\ = \led_flash_cnt[429][6]~32897\ $ (!\led_flash_cnt[429][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[429][7]~q\,
	cin => \led_flash_cnt[429][6]~32897\,
	combout => \led_flash_cnt[429][7]~32898_combout\);

-- Location: FF_X71_Y38_N17
\led_flash_cnt[429][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[429][7]~32898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[429][7]~q\);

-- Location: LCCOMB_X71_Y38_N22
\WideAnd429~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd429~1_combout\ = (\led_flash_cnt[429][6]~q\ & \led_flash_cnt[429][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[429][6]~q\,
	datad => \led_flash_cnt[429][5]~q\,
	combout => \WideAnd429~1_combout\);

-- Location: LCCOMB_X71_Y38_N18
\WideAnd429~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd429~0_combout\ = (\led_flash_cnt[429][4]~q\ & (\led_flash_cnt[429][1]~q\ & (\led_flash_cnt[429][3]~q\ & \led_flash_cnt[429][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[429][4]~q\,
	datab => \led_flash_cnt[429][1]~q\,
	datac => \led_flash_cnt[429][3]~q\,
	datad => \led_flash_cnt[429][2]~q\,
	combout => \WideAnd429~0_combout\);

-- Location: LCCOMB_X71_Y38_N30
WideAnd429 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd429~combout\ = (\led_flash_cnt[429][0]~q\ & (\led_flash_cnt[429][7]~q\ & (\WideAnd429~1_combout\ & \WideAnd429~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[429][0]~q\,
	datab => \led_flash_cnt[429][7]~q\,
	datac => \WideAnd429~1_combout\,
	datad => \WideAnd429~0_combout\,
	combout => \WideAnd429~combout\);

-- Location: FF_X71_Y38_N31
\led_flash_cnt_ands[429]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd429~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(429));

-- Location: LCCOMB_X71_Y38_N2
\led_flash_cnt[428][0]~81068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[428][0]~81068_combout\ = !\led_flash_cnt[428][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[428][0]~q\,
	combout => \led_flash_cnt[428][0]~81068_combout\);

-- Location: FF_X71_Y38_N3
\led_flash_cnt[428][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[428][0]~81068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[428][0]~q\);

-- Location: LCCOMB_X70_Y38_N16
\led_flash_cnt[428][1]~32872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[428][1]~32872_combout\ = (\led_flash_cnt[428][0]~q\ & (\led_flash_cnt[428][1]~q\ $ (VCC))) # (!\led_flash_cnt[428][0]~q\ & (\led_flash_cnt[428][1]~q\ & VCC))
-- \led_flash_cnt[428][1]~32873\ = CARRY((\led_flash_cnt[428][0]~q\ & \led_flash_cnt[428][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[428][0]~q\,
	datab => \led_flash_cnt[428][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[428][1]~32872_combout\,
	cout => \led_flash_cnt[428][1]~32873\);

-- Location: FF_X70_Y38_N17
\led_flash_cnt[428][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[428][1]~32872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[428][1]~q\);

-- Location: LCCOMB_X70_Y38_N18
\led_flash_cnt[428][2]~32874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[428][2]~32874_combout\ = (\led_flash_cnt[428][2]~q\ & (!\led_flash_cnt[428][1]~32873\)) # (!\led_flash_cnt[428][2]~q\ & ((\led_flash_cnt[428][1]~32873\) # (GND)))
-- \led_flash_cnt[428][2]~32875\ = CARRY((!\led_flash_cnt[428][1]~32873\) # (!\led_flash_cnt[428][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[428][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[428][1]~32873\,
	combout => \led_flash_cnt[428][2]~32874_combout\,
	cout => \led_flash_cnt[428][2]~32875\);

-- Location: FF_X70_Y38_N19
\led_flash_cnt[428][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[428][2]~32874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[428][2]~q\);

-- Location: LCCOMB_X70_Y38_N20
\led_flash_cnt[428][3]~32876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[428][3]~32876_combout\ = (\led_flash_cnt[428][3]~q\ & (\led_flash_cnt[428][2]~32875\ $ (GND))) # (!\led_flash_cnt[428][3]~q\ & (!\led_flash_cnt[428][2]~32875\ & VCC))
-- \led_flash_cnt[428][3]~32877\ = CARRY((\led_flash_cnt[428][3]~q\ & !\led_flash_cnt[428][2]~32875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[428][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[428][2]~32875\,
	combout => \led_flash_cnt[428][3]~32876_combout\,
	cout => \led_flash_cnt[428][3]~32877\);

-- Location: FF_X70_Y38_N21
\led_flash_cnt[428][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[428][3]~32876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[428][3]~q\);

-- Location: LCCOMB_X70_Y38_N22
\led_flash_cnt[428][4]~32878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[428][4]~32878_combout\ = (\led_flash_cnt[428][4]~q\ & (!\led_flash_cnt[428][3]~32877\)) # (!\led_flash_cnt[428][4]~q\ & ((\led_flash_cnt[428][3]~32877\) # (GND)))
-- \led_flash_cnt[428][4]~32879\ = CARRY((!\led_flash_cnt[428][3]~32877\) # (!\led_flash_cnt[428][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[428][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[428][3]~32877\,
	combout => \led_flash_cnt[428][4]~32878_combout\,
	cout => \led_flash_cnt[428][4]~32879\);

-- Location: FF_X70_Y38_N23
\led_flash_cnt[428][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[428][4]~32878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[428][4]~q\);

-- Location: LCCOMB_X70_Y38_N24
\led_flash_cnt[428][5]~32880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[428][5]~32880_combout\ = (\led_flash_cnt[428][5]~q\ & (\led_flash_cnt[428][4]~32879\ $ (GND))) # (!\led_flash_cnt[428][5]~q\ & (!\led_flash_cnt[428][4]~32879\ & VCC))
-- \led_flash_cnt[428][5]~32881\ = CARRY((\led_flash_cnt[428][5]~q\ & !\led_flash_cnt[428][4]~32879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[428][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[428][4]~32879\,
	combout => \led_flash_cnt[428][5]~32880_combout\,
	cout => \led_flash_cnt[428][5]~32881\);

-- Location: FF_X70_Y38_N25
\led_flash_cnt[428][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[428][5]~32880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[428][5]~q\);

-- Location: LCCOMB_X70_Y38_N26
\led_flash_cnt[428][6]~32882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[428][6]~32882_combout\ = (\led_flash_cnt[428][6]~q\ & (!\led_flash_cnt[428][5]~32881\)) # (!\led_flash_cnt[428][6]~q\ & ((\led_flash_cnt[428][5]~32881\) # (GND)))
-- \led_flash_cnt[428][6]~32883\ = CARRY((!\led_flash_cnt[428][5]~32881\) # (!\led_flash_cnt[428][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[428][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[428][5]~32881\,
	combout => \led_flash_cnt[428][6]~32882_combout\,
	cout => \led_flash_cnt[428][6]~32883\);

-- Location: FF_X70_Y38_N27
\led_flash_cnt[428][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[428][6]~32882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[428][6]~q\);

-- Location: LCCOMB_X70_Y38_N28
\led_flash_cnt[428][7]~32884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[428][7]~32884_combout\ = \led_flash_cnt[428][6]~32883\ $ (!\led_flash_cnt[428][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[428][7]~q\,
	cin => \led_flash_cnt[428][6]~32883\,
	combout => \led_flash_cnt[428][7]~32884_combout\);

-- Location: FF_X70_Y38_N29
\led_flash_cnt[428][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[428][7]~32884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[428][7]~q\);

-- Location: LCCOMB_X70_Y38_N0
\WideAnd428~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd428~0_combout\ = (\led_flash_cnt[428][5]~q\ & (\led_flash_cnt[428][3]~q\ & (\led_flash_cnt[428][6]~q\ & \led_flash_cnt[428][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[428][5]~q\,
	datab => \led_flash_cnt[428][3]~q\,
	datac => \led_flash_cnt[428][6]~q\,
	datad => \led_flash_cnt[428][7]~q\,
	combout => \WideAnd428~0_combout\);

-- Location: LCCOMB_X71_Y38_N20
\WideAnd428~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd428~1_combout\ = (\led_flash_cnt[428][2]~q\ & \led_flash_cnt[428][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[428][2]~q\,
	datad => \led_flash_cnt[428][0]~q\,
	combout => \WideAnd428~1_combout\);

-- Location: LCCOMB_X71_Y38_N24
WideAnd428 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd428~combout\ = (\WideAnd428~0_combout\ & (\led_flash_cnt[428][4]~q\ & (\led_flash_cnt[428][1]~q\ & \WideAnd428~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd428~0_combout\,
	datab => \led_flash_cnt[428][4]~q\,
	datac => \led_flash_cnt[428][1]~q\,
	datad => \WideAnd428~1_combout\,
	combout => \WideAnd428~combout\);

-- Location: FF_X71_Y38_N25
\led_flash_cnt_ands[428]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd428~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(428));

-- Location: LCCOMB_X71_Y38_N28
\WideAnd3893~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3893~1_combout\ = (led_flash_cnt_ands(429) & led_flash_cnt_ands(428))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(429),
	datad => led_flash_cnt_ands(428),
	combout => \WideAnd3893~1_combout\);

-- Location: LCCOMB_X44_Y36_N6
\led_flash_cnt[431][0]~81071\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[431][0]~81071_combout\ = !\led_flash_cnt[431][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[431][0]~q\,
	combout => \led_flash_cnt[431][0]~81071_combout\);

-- Location: FF_X44_Y36_N7
\led_flash_cnt[431][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[431][0]~81071_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[431][0]~q\);

-- Location: LCCOMB_X39_Y30_N4
\led_flash_cnt[431][1]~32914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[431][1]~32914_combout\ = (\led_flash_cnt[431][0]~q\ & (\led_flash_cnt[431][1]~q\ $ (VCC))) # (!\led_flash_cnt[431][0]~q\ & (\led_flash_cnt[431][1]~q\ & VCC))
-- \led_flash_cnt[431][1]~32915\ = CARRY((\led_flash_cnt[431][0]~q\ & \led_flash_cnt[431][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[431][0]~q\,
	datab => \led_flash_cnt[431][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[431][1]~32914_combout\,
	cout => \led_flash_cnt[431][1]~32915\);

-- Location: FF_X39_Y30_N5
\led_flash_cnt[431][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[431][1]~32914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[431][1]~q\);

-- Location: LCCOMB_X39_Y30_N6
\led_flash_cnt[431][2]~32916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[431][2]~32916_combout\ = (\led_flash_cnt[431][2]~q\ & (!\led_flash_cnt[431][1]~32915\)) # (!\led_flash_cnt[431][2]~q\ & ((\led_flash_cnt[431][1]~32915\) # (GND)))
-- \led_flash_cnt[431][2]~32917\ = CARRY((!\led_flash_cnt[431][1]~32915\) # (!\led_flash_cnt[431][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[431][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[431][1]~32915\,
	combout => \led_flash_cnt[431][2]~32916_combout\,
	cout => \led_flash_cnt[431][2]~32917\);

-- Location: FF_X39_Y30_N7
\led_flash_cnt[431][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[431][2]~32916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[431][2]~q\);

-- Location: LCCOMB_X39_Y30_N8
\led_flash_cnt[431][3]~32918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[431][3]~32918_combout\ = (\led_flash_cnt[431][3]~q\ & (\led_flash_cnt[431][2]~32917\ $ (GND))) # (!\led_flash_cnt[431][3]~q\ & (!\led_flash_cnt[431][2]~32917\ & VCC))
-- \led_flash_cnt[431][3]~32919\ = CARRY((\led_flash_cnt[431][3]~q\ & !\led_flash_cnt[431][2]~32917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[431][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[431][2]~32917\,
	combout => \led_flash_cnt[431][3]~32918_combout\,
	cout => \led_flash_cnt[431][3]~32919\);

-- Location: FF_X39_Y30_N9
\led_flash_cnt[431][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[431][3]~32918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[431][3]~q\);

-- Location: LCCOMB_X39_Y30_N10
\led_flash_cnt[431][4]~32920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[431][4]~32920_combout\ = (\led_flash_cnt[431][4]~q\ & (!\led_flash_cnt[431][3]~32919\)) # (!\led_flash_cnt[431][4]~q\ & ((\led_flash_cnt[431][3]~32919\) # (GND)))
-- \led_flash_cnt[431][4]~32921\ = CARRY((!\led_flash_cnt[431][3]~32919\) # (!\led_flash_cnt[431][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[431][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[431][3]~32919\,
	combout => \led_flash_cnt[431][4]~32920_combout\,
	cout => \led_flash_cnt[431][4]~32921\);

-- Location: FF_X39_Y30_N11
\led_flash_cnt[431][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[431][4]~32920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[431][4]~q\);

-- Location: LCCOMB_X39_Y30_N12
\led_flash_cnt[431][5]~32922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[431][5]~32922_combout\ = (\led_flash_cnt[431][5]~q\ & (\led_flash_cnt[431][4]~32921\ $ (GND))) # (!\led_flash_cnt[431][5]~q\ & (!\led_flash_cnt[431][4]~32921\ & VCC))
-- \led_flash_cnt[431][5]~32923\ = CARRY((\led_flash_cnt[431][5]~q\ & !\led_flash_cnt[431][4]~32921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[431][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[431][4]~32921\,
	combout => \led_flash_cnt[431][5]~32922_combout\,
	cout => \led_flash_cnt[431][5]~32923\);

-- Location: FF_X39_Y30_N13
\led_flash_cnt[431][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[431][5]~32922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[431][5]~q\);

-- Location: LCCOMB_X39_Y30_N14
\led_flash_cnt[431][6]~32924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[431][6]~32924_combout\ = (\led_flash_cnt[431][6]~q\ & (!\led_flash_cnt[431][5]~32923\)) # (!\led_flash_cnt[431][6]~q\ & ((\led_flash_cnt[431][5]~32923\) # (GND)))
-- \led_flash_cnt[431][6]~32925\ = CARRY((!\led_flash_cnt[431][5]~32923\) # (!\led_flash_cnt[431][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[431][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[431][5]~32923\,
	combout => \led_flash_cnt[431][6]~32924_combout\,
	cout => \led_flash_cnt[431][6]~32925\);

-- Location: FF_X39_Y30_N15
\led_flash_cnt[431][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[431][6]~32924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[431][6]~q\);

-- Location: LCCOMB_X40_Y30_N14
\WideAnd431~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd431~1_combout\ = (\led_flash_cnt[431][6]~q\ & \led_flash_cnt[431][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[431][6]~q\,
	datad => \led_flash_cnt[431][5]~q\,
	combout => \WideAnd431~1_combout\);

-- Location: LCCOMB_X39_Y30_N16
\led_flash_cnt[431][7]~32926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[431][7]~32926_combout\ = \led_flash_cnt[431][6]~32925\ $ (!\led_flash_cnt[431][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[431][7]~q\,
	cin => \led_flash_cnt[431][6]~32925\,
	combout => \led_flash_cnt[431][7]~32926_combout\);

-- Location: FF_X39_Y30_N17
\led_flash_cnt[431][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[431][7]~32926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[431][7]~q\);

-- Location: LCCOMB_X39_Y30_N2
\WideAnd431~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd431~0_combout\ = (\led_flash_cnt[431][4]~q\ & (\led_flash_cnt[431][3]~q\ & (\led_flash_cnt[431][1]~q\ & \led_flash_cnt[431][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[431][4]~q\,
	datab => \led_flash_cnt[431][3]~q\,
	datac => \led_flash_cnt[431][1]~q\,
	datad => \led_flash_cnt[431][2]~q\,
	combout => \WideAnd431~0_combout\);

-- Location: LCCOMB_X40_Y30_N10
WideAnd431 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd431~combout\ = (\led_flash_cnt[431][0]~q\ & (\WideAnd431~1_combout\ & (\led_flash_cnt[431][7]~q\ & \WideAnd431~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[431][0]~q\,
	datab => \WideAnd431~1_combout\,
	datac => \led_flash_cnt[431][7]~q\,
	datad => \WideAnd431~0_combout\,
	combout => \WideAnd431~combout\);

-- Location: FF_X40_Y30_N11
\led_flash_cnt_ands[431]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd431~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(431));

-- Location: LCCOMB_X17_Y38_N26
\led_flash_cnt[425][0]~81065\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[425][0]~81065_combout\ = !\led_flash_cnt[425][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[425][0]~q\,
	combout => \led_flash_cnt[425][0]~81065_combout\);

-- Location: FF_X17_Y38_N27
\led_flash_cnt[425][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[425][0]~81065_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[425][0]~q\);

-- Location: LCCOMB_X18_Y38_N2
\led_flash_cnt[425][1]~32830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[425][1]~32830_combout\ = (\led_flash_cnt[425][0]~q\ & (\led_flash_cnt[425][1]~q\ $ (VCC))) # (!\led_flash_cnt[425][0]~q\ & (\led_flash_cnt[425][1]~q\ & VCC))
-- \led_flash_cnt[425][1]~32831\ = CARRY((\led_flash_cnt[425][0]~q\ & \led_flash_cnt[425][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[425][0]~q\,
	datab => \led_flash_cnt[425][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[425][1]~32830_combout\,
	cout => \led_flash_cnt[425][1]~32831\);

-- Location: FF_X18_Y38_N3
\led_flash_cnt[425][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[425][1]~32830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[425][1]~q\);

-- Location: LCCOMB_X18_Y38_N4
\led_flash_cnt[425][2]~32832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[425][2]~32832_combout\ = (\led_flash_cnt[425][2]~q\ & (!\led_flash_cnt[425][1]~32831\)) # (!\led_flash_cnt[425][2]~q\ & ((\led_flash_cnt[425][1]~32831\) # (GND)))
-- \led_flash_cnt[425][2]~32833\ = CARRY((!\led_flash_cnt[425][1]~32831\) # (!\led_flash_cnt[425][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[425][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[425][1]~32831\,
	combout => \led_flash_cnt[425][2]~32832_combout\,
	cout => \led_flash_cnt[425][2]~32833\);

-- Location: FF_X18_Y38_N5
\led_flash_cnt[425][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[425][2]~32832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[425][2]~q\);

-- Location: LCCOMB_X18_Y38_N6
\led_flash_cnt[425][3]~32834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[425][3]~32834_combout\ = (\led_flash_cnt[425][3]~q\ & (\led_flash_cnt[425][2]~32833\ $ (GND))) # (!\led_flash_cnt[425][3]~q\ & (!\led_flash_cnt[425][2]~32833\ & VCC))
-- \led_flash_cnt[425][3]~32835\ = CARRY((\led_flash_cnt[425][3]~q\ & !\led_flash_cnt[425][2]~32833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[425][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[425][2]~32833\,
	combout => \led_flash_cnt[425][3]~32834_combout\,
	cout => \led_flash_cnt[425][3]~32835\);

-- Location: FF_X18_Y38_N7
\led_flash_cnt[425][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[425][3]~32834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[425][3]~q\);

-- Location: LCCOMB_X18_Y38_N8
\led_flash_cnt[425][4]~32836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[425][4]~32836_combout\ = (\led_flash_cnt[425][4]~q\ & (!\led_flash_cnt[425][3]~32835\)) # (!\led_flash_cnt[425][4]~q\ & ((\led_flash_cnt[425][3]~32835\) # (GND)))
-- \led_flash_cnt[425][4]~32837\ = CARRY((!\led_flash_cnt[425][3]~32835\) # (!\led_flash_cnt[425][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[425][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[425][3]~32835\,
	combout => \led_flash_cnt[425][4]~32836_combout\,
	cout => \led_flash_cnt[425][4]~32837\);

-- Location: FF_X18_Y38_N9
\led_flash_cnt[425][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[425][4]~32836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[425][4]~q\);

-- Location: LCCOMB_X18_Y38_N30
\WideAnd425~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd425~0_combout\ = (\led_flash_cnt[425][3]~q\ & (\led_flash_cnt[425][4]~q\ & (\led_flash_cnt[425][2]~q\ & \led_flash_cnt[425][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[425][3]~q\,
	datab => \led_flash_cnt[425][4]~q\,
	datac => \led_flash_cnt[425][2]~q\,
	datad => \led_flash_cnt[425][1]~q\,
	combout => \WideAnd425~0_combout\);

-- Location: LCCOMB_X18_Y38_N10
\led_flash_cnt[425][5]~32838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[425][5]~32838_combout\ = (\led_flash_cnt[425][5]~q\ & (\led_flash_cnt[425][4]~32837\ $ (GND))) # (!\led_flash_cnt[425][5]~q\ & (!\led_flash_cnt[425][4]~32837\ & VCC))
-- \led_flash_cnt[425][5]~32839\ = CARRY((\led_flash_cnt[425][5]~q\ & !\led_flash_cnt[425][4]~32837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[425][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[425][4]~32837\,
	combout => \led_flash_cnt[425][5]~32838_combout\,
	cout => \led_flash_cnt[425][5]~32839\);

-- Location: FF_X18_Y38_N11
\led_flash_cnt[425][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[425][5]~32838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[425][5]~q\);

-- Location: LCCOMB_X18_Y38_N12
\led_flash_cnt[425][6]~32840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[425][6]~32840_combout\ = (\led_flash_cnt[425][6]~q\ & (!\led_flash_cnt[425][5]~32839\)) # (!\led_flash_cnt[425][6]~q\ & ((\led_flash_cnt[425][5]~32839\) # (GND)))
-- \led_flash_cnt[425][6]~32841\ = CARRY((!\led_flash_cnt[425][5]~32839\) # (!\led_flash_cnt[425][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[425][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[425][5]~32839\,
	combout => \led_flash_cnt[425][6]~32840_combout\,
	cout => \led_flash_cnt[425][6]~32841\);

-- Location: FF_X18_Y38_N13
\led_flash_cnt[425][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[425][6]~32840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[425][6]~q\);

-- Location: LCCOMB_X17_Y38_N18
\WideAnd425~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd425~1_combout\ = (\led_flash_cnt[425][6]~q\ & \led_flash_cnt[425][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[425][6]~q\,
	datac => \led_flash_cnt[425][5]~q\,
	combout => \WideAnd425~1_combout\);

-- Location: LCCOMB_X18_Y38_N14
\led_flash_cnt[425][7]~32842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[425][7]~32842_combout\ = \led_flash_cnt[425][7]~q\ $ (!\led_flash_cnt[425][6]~32841\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[425][7]~q\,
	cin => \led_flash_cnt[425][6]~32841\,
	combout => \led_flash_cnt[425][7]~32842_combout\);

-- Location: FF_X18_Y38_N15
\led_flash_cnt[425][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[425][7]~32842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[425][7]~q\);

-- Location: LCCOMB_X17_Y38_N12
WideAnd425 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd425~combout\ = (\WideAnd425~0_combout\ & (\WideAnd425~1_combout\ & (\led_flash_cnt[425][7]~q\ & \led_flash_cnt[425][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd425~0_combout\,
	datab => \WideAnd425~1_combout\,
	datac => \led_flash_cnt[425][7]~q\,
	datad => \led_flash_cnt[425][0]~q\,
	combout => \WideAnd425~combout\);

-- Location: FF_X17_Y38_N13
\led_flash_cnt_ands[425]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd425~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(425));

-- Location: LCCOMB_X18_Y37_N4
\led_flash_cnt[427][0]~81067\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[427][0]~81067_combout\ = !\led_flash_cnt[427][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[427][0]~q\,
	combout => \led_flash_cnt[427][0]~81067_combout\);

-- Location: FF_X18_Y37_N5
\led_flash_cnt[427][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[427][0]~81067_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[427][0]~q\);

-- Location: LCCOMB_X17_Y37_N0
\led_flash_cnt[427][1]~32858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[427][1]~32858_combout\ = (\led_flash_cnt[427][0]~q\ & (\led_flash_cnt[427][1]~q\ $ (VCC))) # (!\led_flash_cnt[427][0]~q\ & (\led_flash_cnt[427][1]~q\ & VCC))
-- \led_flash_cnt[427][1]~32859\ = CARRY((\led_flash_cnt[427][0]~q\ & \led_flash_cnt[427][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[427][0]~q\,
	datab => \led_flash_cnt[427][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[427][1]~32858_combout\,
	cout => \led_flash_cnt[427][1]~32859\);

-- Location: FF_X17_Y37_N1
\led_flash_cnt[427][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[427][1]~32858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[427][1]~q\);

-- Location: LCCOMB_X17_Y37_N2
\led_flash_cnt[427][2]~32860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[427][2]~32860_combout\ = (\led_flash_cnt[427][2]~q\ & (!\led_flash_cnt[427][1]~32859\)) # (!\led_flash_cnt[427][2]~q\ & ((\led_flash_cnt[427][1]~32859\) # (GND)))
-- \led_flash_cnt[427][2]~32861\ = CARRY((!\led_flash_cnt[427][1]~32859\) # (!\led_flash_cnt[427][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[427][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[427][1]~32859\,
	combout => \led_flash_cnt[427][2]~32860_combout\,
	cout => \led_flash_cnt[427][2]~32861\);

-- Location: FF_X17_Y37_N3
\led_flash_cnt[427][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[427][2]~32860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[427][2]~q\);

-- Location: LCCOMB_X17_Y37_N4
\led_flash_cnt[427][3]~32862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[427][3]~32862_combout\ = (\led_flash_cnt[427][3]~q\ & (\led_flash_cnt[427][2]~32861\ $ (GND))) # (!\led_flash_cnt[427][3]~q\ & (!\led_flash_cnt[427][2]~32861\ & VCC))
-- \led_flash_cnt[427][3]~32863\ = CARRY((\led_flash_cnt[427][3]~q\ & !\led_flash_cnt[427][2]~32861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[427][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[427][2]~32861\,
	combout => \led_flash_cnt[427][3]~32862_combout\,
	cout => \led_flash_cnt[427][3]~32863\);

-- Location: FF_X17_Y37_N5
\led_flash_cnt[427][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[427][3]~32862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[427][3]~q\);

-- Location: LCCOMB_X17_Y37_N6
\led_flash_cnt[427][4]~32864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[427][4]~32864_combout\ = (\led_flash_cnt[427][4]~q\ & (!\led_flash_cnt[427][3]~32863\)) # (!\led_flash_cnt[427][4]~q\ & ((\led_flash_cnt[427][3]~32863\) # (GND)))
-- \led_flash_cnt[427][4]~32865\ = CARRY((!\led_flash_cnt[427][3]~32863\) # (!\led_flash_cnt[427][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[427][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[427][3]~32863\,
	combout => \led_flash_cnt[427][4]~32864_combout\,
	cout => \led_flash_cnt[427][4]~32865\);

-- Location: FF_X17_Y37_N7
\led_flash_cnt[427][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[427][4]~32864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[427][4]~q\);

-- Location: LCCOMB_X17_Y37_N8
\led_flash_cnt[427][5]~32866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[427][5]~32866_combout\ = (\led_flash_cnt[427][5]~q\ & (\led_flash_cnt[427][4]~32865\ $ (GND))) # (!\led_flash_cnt[427][5]~q\ & (!\led_flash_cnt[427][4]~32865\ & VCC))
-- \led_flash_cnt[427][5]~32867\ = CARRY((\led_flash_cnt[427][5]~q\ & !\led_flash_cnt[427][4]~32865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[427][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[427][4]~32865\,
	combout => \led_flash_cnt[427][5]~32866_combout\,
	cout => \led_flash_cnt[427][5]~32867\);

-- Location: FF_X17_Y37_N9
\led_flash_cnt[427][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[427][5]~32866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[427][5]~q\);

-- Location: LCCOMB_X17_Y37_N10
\led_flash_cnt[427][6]~32868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[427][6]~32868_combout\ = (\led_flash_cnt[427][6]~q\ & (!\led_flash_cnt[427][5]~32867\)) # (!\led_flash_cnt[427][6]~q\ & ((\led_flash_cnt[427][5]~32867\) # (GND)))
-- \led_flash_cnt[427][6]~32869\ = CARRY((!\led_flash_cnt[427][5]~32867\) # (!\led_flash_cnt[427][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[427][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[427][5]~32867\,
	combout => \led_flash_cnt[427][6]~32868_combout\,
	cout => \led_flash_cnt[427][6]~32869\);

-- Location: FF_X17_Y37_N11
\led_flash_cnt[427][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[427][6]~32868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[427][6]~q\);

-- Location: LCCOMB_X17_Y37_N12
\led_flash_cnt[427][7]~32870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[427][7]~32870_combout\ = \led_flash_cnt[427][6]~32869\ $ (!\led_flash_cnt[427][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[427][7]~q\,
	cin => \led_flash_cnt[427][6]~32869\,
	combout => \led_flash_cnt[427][7]~32870_combout\);

-- Location: FF_X17_Y37_N13
\led_flash_cnt[427][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[427][7]~32870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[427][7]~q\);

-- Location: LCCOMB_X18_Y37_N14
\WideAnd427~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd427~1_combout\ = (\led_flash_cnt[427][5]~q\ & \led_flash_cnt[427][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[427][5]~q\,
	datad => \led_flash_cnt[427][6]~q\,
	combout => \WideAnd427~1_combout\);

-- Location: LCCOMB_X17_Y37_N30
\WideAnd427~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd427~0_combout\ = (\led_flash_cnt[427][4]~q\ & (\led_flash_cnt[427][1]~q\ & (\led_flash_cnt[427][3]~q\ & \led_flash_cnt[427][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[427][4]~q\,
	datab => \led_flash_cnt[427][1]~q\,
	datac => \led_flash_cnt[427][3]~q\,
	datad => \led_flash_cnt[427][2]~q\,
	combout => \WideAnd427~0_combout\);

-- Location: LCCOMB_X17_Y37_N28
WideAnd427 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd427~combout\ = (\led_flash_cnt[427][7]~q\ & (\WideAnd427~1_combout\ & (\WideAnd427~0_combout\ & \led_flash_cnt[427][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[427][7]~q\,
	datab => \WideAnd427~1_combout\,
	datac => \WideAnd427~0_combout\,
	datad => \led_flash_cnt[427][0]~q\,
	combout => \WideAnd427~combout\);

-- Location: FF_X17_Y37_N29
\led_flash_cnt_ands[427]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd427~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(427));

-- Location: LCCOMB_X17_Y38_N8
\led_flash_cnt[424][0]~81064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[424][0]~81064_combout\ = !\led_flash_cnt[424][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[424][0]~q\,
	combout => \led_flash_cnt[424][0]~81064_combout\);

-- Location: FF_X17_Y38_N9
\led_flash_cnt[424][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[424][0]~81064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[424][0]~q\);

-- Location: LCCOMB_X13_Y38_N2
\led_flash_cnt[424][1]~32816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[424][1]~32816_combout\ = (\led_flash_cnt[424][0]~q\ & (\led_flash_cnt[424][1]~q\ $ (VCC))) # (!\led_flash_cnt[424][0]~q\ & (\led_flash_cnt[424][1]~q\ & VCC))
-- \led_flash_cnt[424][1]~32817\ = CARRY((\led_flash_cnt[424][0]~q\ & \led_flash_cnt[424][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[424][0]~q\,
	datab => \led_flash_cnt[424][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[424][1]~32816_combout\,
	cout => \led_flash_cnt[424][1]~32817\);

-- Location: FF_X13_Y38_N3
\led_flash_cnt[424][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[424][1]~32816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[424][1]~q\);

-- Location: LCCOMB_X13_Y38_N4
\led_flash_cnt[424][2]~32818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[424][2]~32818_combout\ = (\led_flash_cnt[424][2]~q\ & (!\led_flash_cnt[424][1]~32817\)) # (!\led_flash_cnt[424][2]~q\ & ((\led_flash_cnt[424][1]~32817\) # (GND)))
-- \led_flash_cnt[424][2]~32819\ = CARRY((!\led_flash_cnt[424][1]~32817\) # (!\led_flash_cnt[424][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[424][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[424][1]~32817\,
	combout => \led_flash_cnt[424][2]~32818_combout\,
	cout => \led_flash_cnt[424][2]~32819\);

-- Location: FF_X13_Y38_N5
\led_flash_cnt[424][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[424][2]~32818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[424][2]~q\);

-- Location: LCCOMB_X13_Y38_N6
\led_flash_cnt[424][3]~32820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[424][3]~32820_combout\ = (\led_flash_cnt[424][3]~q\ & (\led_flash_cnt[424][2]~32819\ $ (GND))) # (!\led_flash_cnt[424][3]~q\ & (!\led_flash_cnt[424][2]~32819\ & VCC))
-- \led_flash_cnt[424][3]~32821\ = CARRY((\led_flash_cnt[424][3]~q\ & !\led_flash_cnt[424][2]~32819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[424][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[424][2]~32819\,
	combout => \led_flash_cnt[424][3]~32820_combout\,
	cout => \led_flash_cnt[424][3]~32821\);

-- Location: FF_X13_Y38_N7
\led_flash_cnt[424][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[424][3]~32820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[424][3]~q\);

-- Location: LCCOMB_X13_Y38_N8
\led_flash_cnt[424][4]~32822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[424][4]~32822_combout\ = (\led_flash_cnt[424][4]~q\ & (!\led_flash_cnt[424][3]~32821\)) # (!\led_flash_cnt[424][4]~q\ & ((\led_flash_cnt[424][3]~32821\) # (GND)))
-- \led_flash_cnt[424][4]~32823\ = CARRY((!\led_flash_cnt[424][3]~32821\) # (!\led_flash_cnt[424][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[424][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[424][3]~32821\,
	combout => \led_flash_cnt[424][4]~32822_combout\,
	cout => \led_flash_cnt[424][4]~32823\);

-- Location: FF_X13_Y38_N9
\led_flash_cnt[424][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[424][4]~32822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[424][4]~q\);

-- Location: LCCOMB_X13_Y38_N10
\led_flash_cnt[424][5]~32824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[424][5]~32824_combout\ = (\led_flash_cnt[424][5]~q\ & (\led_flash_cnt[424][4]~32823\ $ (GND))) # (!\led_flash_cnt[424][5]~q\ & (!\led_flash_cnt[424][4]~32823\ & VCC))
-- \led_flash_cnt[424][5]~32825\ = CARRY((\led_flash_cnt[424][5]~q\ & !\led_flash_cnt[424][4]~32823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[424][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[424][4]~32823\,
	combout => \led_flash_cnt[424][5]~32824_combout\,
	cout => \led_flash_cnt[424][5]~32825\);

-- Location: FF_X13_Y38_N11
\led_flash_cnt[424][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[424][5]~32824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[424][5]~q\);

-- Location: LCCOMB_X13_Y38_N12
\led_flash_cnt[424][6]~32826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[424][6]~32826_combout\ = (\led_flash_cnt[424][6]~q\ & (!\led_flash_cnt[424][5]~32825\)) # (!\led_flash_cnt[424][6]~q\ & ((\led_flash_cnt[424][5]~32825\) # (GND)))
-- \led_flash_cnt[424][6]~32827\ = CARRY((!\led_flash_cnt[424][5]~32825\) # (!\led_flash_cnt[424][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[424][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[424][5]~32825\,
	combout => \led_flash_cnt[424][6]~32826_combout\,
	cout => \led_flash_cnt[424][6]~32827\);

-- Location: FF_X13_Y38_N13
\led_flash_cnt[424][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[424][6]~32826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[424][6]~q\);

-- Location: LCCOMB_X13_Y38_N14
\led_flash_cnt[424][7]~32828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[424][7]~32828_combout\ = \led_flash_cnt[424][7]~q\ $ (!\led_flash_cnt[424][6]~32827\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[424][7]~q\,
	cin => \led_flash_cnt[424][6]~32827\,
	combout => \led_flash_cnt[424][7]~32828_combout\);

-- Location: FF_X13_Y38_N15
\led_flash_cnt[424][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[424][7]~32828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[424][7]~q\);

-- Location: LCCOMB_X13_Y38_N30
\WideAnd424~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd424~0_combout\ = (\led_flash_cnt[424][3]~q\ & (\led_flash_cnt[424][2]~q\ & (\led_flash_cnt[424][4]~q\ & \led_flash_cnt[424][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[424][3]~q\,
	datab => \led_flash_cnt[424][2]~q\,
	datac => \led_flash_cnt[424][4]~q\,
	datad => \led_flash_cnt[424][1]~q\,
	combout => \WideAnd424~0_combout\);

-- Location: LCCOMB_X14_Y38_N20
\WideAnd424~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd424~1_combout\ = (\led_flash_cnt[424][6]~q\ & \led_flash_cnt[424][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[424][6]~q\,
	datad => \led_flash_cnt[424][5]~q\,
	combout => \WideAnd424~1_combout\);

-- Location: LCCOMB_X14_Y38_N24
WideAnd424 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd424~combout\ = (\led_flash_cnt[424][7]~q\ & (\WideAnd424~0_combout\ & (\led_flash_cnt[424][0]~q\ & \WideAnd424~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[424][7]~q\,
	datab => \WideAnd424~0_combout\,
	datac => \led_flash_cnt[424][0]~q\,
	datad => \WideAnd424~1_combout\,
	combout => \WideAnd424~combout\);

-- Location: FF_X14_Y38_N25
\led_flash_cnt_ands[424]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd424~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(424));

-- Location: LCCOMB_X17_Y38_N2
\led_flash_cnt[426][0]~81066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[426][0]~81066_combout\ = !\led_flash_cnt[426][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[426][0]~q\,
	combout => \led_flash_cnt[426][0]~81066_combout\);

-- Location: FF_X17_Y38_N3
\led_flash_cnt[426][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[426][0]~81066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[426][0]~q\);

-- Location: LCCOMB_X20_Y38_N16
\led_flash_cnt[426][1]~32844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[426][1]~32844_combout\ = (\led_flash_cnt[426][0]~q\ & (\led_flash_cnt[426][1]~q\ $ (VCC))) # (!\led_flash_cnt[426][0]~q\ & (\led_flash_cnt[426][1]~q\ & VCC))
-- \led_flash_cnt[426][1]~32845\ = CARRY((\led_flash_cnt[426][0]~q\ & \led_flash_cnt[426][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[426][0]~q\,
	datab => \led_flash_cnt[426][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[426][1]~32844_combout\,
	cout => \led_flash_cnt[426][1]~32845\);

-- Location: FF_X20_Y38_N17
\led_flash_cnt[426][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[426][1]~32844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[426][1]~q\);

-- Location: LCCOMB_X20_Y38_N18
\led_flash_cnt[426][2]~32846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[426][2]~32846_combout\ = (\led_flash_cnt[426][2]~q\ & (!\led_flash_cnt[426][1]~32845\)) # (!\led_flash_cnt[426][2]~q\ & ((\led_flash_cnt[426][1]~32845\) # (GND)))
-- \led_flash_cnt[426][2]~32847\ = CARRY((!\led_flash_cnt[426][1]~32845\) # (!\led_flash_cnt[426][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[426][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[426][1]~32845\,
	combout => \led_flash_cnt[426][2]~32846_combout\,
	cout => \led_flash_cnt[426][2]~32847\);

-- Location: FF_X20_Y38_N19
\led_flash_cnt[426][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[426][2]~32846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[426][2]~q\);

-- Location: LCCOMB_X20_Y38_N20
\led_flash_cnt[426][3]~32848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[426][3]~32848_combout\ = (\led_flash_cnt[426][3]~q\ & (\led_flash_cnt[426][2]~32847\ $ (GND))) # (!\led_flash_cnt[426][3]~q\ & (!\led_flash_cnt[426][2]~32847\ & VCC))
-- \led_flash_cnt[426][3]~32849\ = CARRY((\led_flash_cnt[426][3]~q\ & !\led_flash_cnt[426][2]~32847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[426][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[426][2]~32847\,
	combout => \led_flash_cnt[426][3]~32848_combout\,
	cout => \led_flash_cnt[426][3]~32849\);

-- Location: FF_X20_Y38_N21
\led_flash_cnt[426][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[426][3]~32848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[426][3]~q\);

-- Location: LCCOMB_X20_Y38_N22
\led_flash_cnt[426][4]~32850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[426][4]~32850_combout\ = (\led_flash_cnt[426][4]~q\ & (!\led_flash_cnt[426][3]~32849\)) # (!\led_flash_cnt[426][4]~q\ & ((\led_flash_cnt[426][3]~32849\) # (GND)))
-- \led_flash_cnt[426][4]~32851\ = CARRY((!\led_flash_cnt[426][3]~32849\) # (!\led_flash_cnt[426][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[426][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[426][3]~32849\,
	combout => \led_flash_cnt[426][4]~32850_combout\,
	cout => \led_flash_cnt[426][4]~32851\);

-- Location: FF_X20_Y38_N23
\led_flash_cnt[426][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[426][4]~32850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[426][4]~q\);

-- Location: LCCOMB_X20_Y38_N24
\led_flash_cnt[426][5]~32852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[426][5]~32852_combout\ = (\led_flash_cnt[426][5]~q\ & (\led_flash_cnt[426][4]~32851\ $ (GND))) # (!\led_flash_cnt[426][5]~q\ & (!\led_flash_cnt[426][4]~32851\ & VCC))
-- \led_flash_cnt[426][5]~32853\ = CARRY((\led_flash_cnt[426][5]~q\ & !\led_flash_cnt[426][4]~32851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[426][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[426][4]~32851\,
	combout => \led_flash_cnt[426][5]~32852_combout\,
	cout => \led_flash_cnt[426][5]~32853\);

-- Location: FF_X20_Y38_N25
\led_flash_cnt[426][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[426][5]~32852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[426][5]~q\);

-- Location: LCCOMB_X20_Y38_N26
\led_flash_cnt[426][6]~32854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[426][6]~32854_combout\ = (\led_flash_cnt[426][6]~q\ & (!\led_flash_cnt[426][5]~32853\)) # (!\led_flash_cnt[426][6]~q\ & ((\led_flash_cnt[426][5]~32853\) # (GND)))
-- \led_flash_cnt[426][6]~32855\ = CARRY((!\led_flash_cnt[426][5]~32853\) # (!\led_flash_cnt[426][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[426][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[426][5]~32853\,
	combout => \led_flash_cnt[426][6]~32854_combout\,
	cout => \led_flash_cnt[426][6]~32855\);

-- Location: FF_X20_Y38_N27
\led_flash_cnt[426][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[426][6]~32854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[426][6]~q\);

-- Location: LCCOMB_X19_Y38_N26
\WideAnd426~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd426~1_combout\ = (\led_flash_cnt[426][6]~q\ & \led_flash_cnt[426][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[426][6]~q\,
	datad => \led_flash_cnt[426][5]~q\,
	combout => \WideAnd426~1_combout\);

-- Location: LCCOMB_X20_Y38_N0
\WideAnd426~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd426~0_combout\ = (\led_flash_cnt[426][1]~q\ & (\led_flash_cnt[426][2]~q\ & (\led_flash_cnt[426][4]~q\ & \led_flash_cnt[426][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[426][1]~q\,
	datab => \led_flash_cnt[426][2]~q\,
	datac => \led_flash_cnt[426][4]~q\,
	datad => \led_flash_cnt[426][3]~q\,
	combout => \WideAnd426~0_combout\);

-- Location: LCCOMB_X20_Y38_N28
\led_flash_cnt[426][7]~32856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[426][7]~32856_combout\ = \led_flash_cnt[426][6]~32855\ $ (!\led_flash_cnt[426][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[426][7]~q\,
	cin => \led_flash_cnt[426][6]~32855\,
	combout => \led_flash_cnt[426][7]~32856_combout\);

-- Location: FF_X20_Y38_N29
\led_flash_cnt[426][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[426][7]~32856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[426][7]~q\);

-- Location: LCCOMB_X19_Y38_N28
WideAnd426 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd426~combout\ = (\WideAnd426~1_combout\ & (\WideAnd426~0_combout\ & (\led_flash_cnt[426][0]~q\ & \led_flash_cnt[426][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd426~1_combout\,
	datab => \WideAnd426~0_combout\,
	datac => \led_flash_cnt[426][0]~q\,
	datad => \led_flash_cnt[426][7]~q\,
	combout => \WideAnd426~combout\);

-- Location: FF_X19_Y38_N29
\led_flash_cnt_ands[426]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd426~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(426));

-- Location: LCCOMB_X17_Y38_N10
\WideAnd3893~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3893~0_combout\ = (led_flash_cnt_ands(425) & (led_flash_cnt_ands(427) & (led_flash_cnt_ands(424) & led_flash_cnt_ands(426))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(425),
	datab => led_flash_cnt_ands(427),
	datac => led_flash_cnt_ands(424),
	datad => led_flash_cnt_ands(426),
	combout => \WideAnd3893~0_combout\);

-- Location: LCCOMB_X60_Y38_N4
WideAnd3893 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3893~combout\ = (led_flash_cnt_ands(430) & (\WideAnd3893~1_combout\ & (led_flash_cnt_ands(431) & \WideAnd3893~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(430),
	datab => \WideAnd3893~1_combout\,
	datac => led_flash_cnt_ands(431),
	datad => \WideAnd3893~0_combout\,
	combout => \WideAnd3893~combout\);

-- Location: FF_X60_Y38_N5
\led_flash_cnt_ands_1[53]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3893~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(53));

-- Location: LCCOMB_X60_Y42_N24
\WideAnd4326~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4326~1_combout\ = (led_flash_cnt_ands_1(52) & led_flash_cnt_ands_1(53))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(52),
	datad => led_flash_cnt_ands_1(53),
	combout => \WideAnd4326~1_combout\);

-- Location: LCCOMB_X60_Y48_N20
\led_flash_cnt[414][0]~81054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[414][0]~81054_combout\ = !\led_flash_cnt[414][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[414][0]~q\,
	combout => \led_flash_cnt[414][0]~81054_combout\);

-- Location: FF_X60_Y48_N21
\led_flash_cnt[414][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[414][0]~81054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[414][0]~q\);

-- Location: LCCOMB_X59_Y48_N18
\led_flash_cnt[414][1]~32676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[414][1]~32676_combout\ = (\led_flash_cnt[414][0]~q\ & (\led_flash_cnt[414][1]~q\ $ (VCC))) # (!\led_flash_cnt[414][0]~q\ & (\led_flash_cnt[414][1]~q\ & VCC))
-- \led_flash_cnt[414][1]~32677\ = CARRY((\led_flash_cnt[414][0]~q\ & \led_flash_cnt[414][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[414][0]~q\,
	datab => \led_flash_cnt[414][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[414][1]~32676_combout\,
	cout => \led_flash_cnt[414][1]~32677\);

-- Location: FF_X59_Y48_N19
\led_flash_cnt[414][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[414][1]~32676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[414][1]~q\);

-- Location: LCCOMB_X59_Y48_N20
\led_flash_cnt[414][2]~32678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[414][2]~32678_combout\ = (\led_flash_cnt[414][2]~q\ & (!\led_flash_cnt[414][1]~32677\)) # (!\led_flash_cnt[414][2]~q\ & ((\led_flash_cnt[414][1]~32677\) # (GND)))
-- \led_flash_cnt[414][2]~32679\ = CARRY((!\led_flash_cnt[414][1]~32677\) # (!\led_flash_cnt[414][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[414][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[414][1]~32677\,
	combout => \led_flash_cnt[414][2]~32678_combout\,
	cout => \led_flash_cnt[414][2]~32679\);

-- Location: FF_X59_Y48_N21
\led_flash_cnt[414][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[414][2]~32678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[414][2]~q\);

-- Location: LCCOMB_X59_Y48_N22
\led_flash_cnt[414][3]~32680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[414][3]~32680_combout\ = (\led_flash_cnt[414][3]~q\ & (\led_flash_cnt[414][2]~32679\ $ (GND))) # (!\led_flash_cnt[414][3]~q\ & (!\led_flash_cnt[414][2]~32679\ & VCC))
-- \led_flash_cnt[414][3]~32681\ = CARRY((\led_flash_cnt[414][3]~q\ & !\led_flash_cnt[414][2]~32679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[414][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[414][2]~32679\,
	combout => \led_flash_cnt[414][3]~32680_combout\,
	cout => \led_flash_cnt[414][3]~32681\);

-- Location: FF_X59_Y48_N23
\led_flash_cnt[414][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[414][3]~32680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[414][3]~q\);

-- Location: LCCOMB_X59_Y48_N24
\led_flash_cnt[414][4]~32682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[414][4]~32682_combout\ = (\led_flash_cnt[414][4]~q\ & (!\led_flash_cnt[414][3]~32681\)) # (!\led_flash_cnt[414][4]~q\ & ((\led_flash_cnt[414][3]~32681\) # (GND)))
-- \led_flash_cnt[414][4]~32683\ = CARRY((!\led_flash_cnt[414][3]~32681\) # (!\led_flash_cnt[414][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[414][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[414][3]~32681\,
	combout => \led_flash_cnt[414][4]~32682_combout\,
	cout => \led_flash_cnt[414][4]~32683\);

-- Location: FF_X59_Y48_N25
\led_flash_cnt[414][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[414][4]~32682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[414][4]~q\);

-- Location: LCCOMB_X59_Y48_N14
\WideAnd414~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd414~0_combout\ = (\led_flash_cnt[414][4]~q\ & (\led_flash_cnt[414][2]~q\ & (\led_flash_cnt[414][3]~q\ & \led_flash_cnt[414][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[414][4]~q\,
	datab => \led_flash_cnt[414][2]~q\,
	datac => \led_flash_cnt[414][3]~q\,
	datad => \led_flash_cnt[414][1]~q\,
	combout => \WideAnd414~0_combout\);

-- Location: LCCOMB_X59_Y48_N26
\led_flash_cnt[414][5]~32684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[414][5]~32684_combout\ = (\led_flash_cnt[414][5]~q\ & (\led_flash_cnt[414][4]~32683\ $ (GND))) # (!\led_flash_cnt[414][5]~q\ & (!\led_flash_cnt[414][4]~32683\ & VCC))
-- \led_flash_cnt[414][5]~32685\ = CARRY((\led_flash_cnt[414][5]~q\ & !\led_flash_cnt[414][4]~32683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[414][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[414][4]~32683\,
	combout => \led_flash_cnt[414][5]~32684_combout\,
	cout => \led_flash_cnt[414][5]~32685\);

-- Location: FF_X59_Y48_N27
\led_flash_cnt[414][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[414][5]~32684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[414][5]~q\);

-- Location: LCCOMB_X59_Y48_N28
\led_flash_cnt[414][6]~32686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[414][6]~32686_combout\ = (\led_flash_cnt[414][6]~q\ & (!\led_flash_cnt[414][5]~32685\)) # (!\led_flash_cnt[414][6]~q\ & ((\led_flash_cnt[414][5]~32685\) # (GND)))
-- \led_flash_cnt[414][6]~32687\ = CARRY((!\led_flash_cnt[414][5]~32685\) # (!\led_flash_cnt[414][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[414][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[414][5]~32685\,
	combout => \led_flash_cnt[414][6]~32686_combout\,
	cout => \led_flash_cnt[414][6]~32687\);

-- Location: FF_X59_Y48_N29
\led_flash_cnt[414][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[414][6]~32686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[414][6]~q\);

-- Location: LCCOMB_X59_Y48_N30
\led_flash_cnt[414][7]~32688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[414][7]~32688_combout\ = \led_flash_cnt[414][7]~q\ $ (!\led_flash_cnt[414][6]~32687\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[414][7]~q\,
	cin => \led_flash_cnt[414][6]~32687\,
	combout => \led_flash_cnt[414][7]~32688_combout\);

-- Location: FF_X59_Y48_N31
\led_flash_cnt[414][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[414][7]~32688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[414][7]~q\);

-- Location: LCCOMB_X60_Y48_N28
\WideAnd414~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd414~1_combout\ = (\led_flash_cnt[414][5]~q\ & \led_flash_cnt[414][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[414][5]~q\,
	datad => \led_flash_cnt[414][6]~q\,
	combout => \WideAnd414~1_combout\);

-- Location: LCCOMB_X60_Y48_N24
WideAnd414 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd414~combout\ = (\WideAnd414~0_combout\ & (\led_flash_cnt[414][7]~q\ & (\led_flash_cnt[414][0]~q\ & \WideAnd414~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd414~0_combout\,
	datab => \led_flash_cnt[414][7]~q\,
	datac => \led_flash_cnt[414][0]~q\,
	datad => \WideAnd414~1_combout\,
	combout => \WideAnd414~combout\);

-- Location: FF_X60_Y48_N25
\led_flash_cnt_ands[414]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd414~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(414));

-- Location: LCCOMB_X60_Y46_N2
\led_flash_cnt[413][0]~81053\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[413][0]~81053_combout\ = !\led_flash_cnt[413][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[413][0]~q\,
	combout => \led_flash_cnt[413][0]~81053_combout\);

-- Location: FF_X60_Y46_N3
\led_flash_cnt[413][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[413][0]~81053_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[413][0]~q\);

-- Location: LCCOMB_X59_Y46_N0
\led_flash_cnt[413][1]~32662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[413][1]~32662_combout\ = (\led_flash_cnt[413][0]~q\ & (\led_flash_cnt[413][1]~q\ $ (VCC))) # (!\led_flash_cnt[413][0]~q\ & (\led_flash_cnt[413][1]~q\ & VCC))
-- \led_flash_cnt[413][1]~32663\ = CARRY((\led_flash_cnt[413][0]~q\ & \led_flash_cnt[413][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[413][0]~q\,
	datab => \led_flash_cnt[413][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[413][1]~32662_combout\,
	cout => \led_flash_cnt[413][1]~32663\);

-- Location: FF_X59_Y46_N1
\led_flash_cnt[413][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[413][1]~32662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[413][1]~q\);

-- Location: LCCOMB_X59_Y46_N2
\led_flash_cnt[413][2]~32664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[413][2]~32664_combout\ = (\led_flash_cnt[413][2]~q\ & (!\led_flash_cnt[413][1]~32663\)) # (!\led_flash_cnt[413][2]~q\ & ((\led_flash_cnt[413][1]~32663\) # (GND)))
-- \led_flash_cnt[413][2]~32665\ = CARRY((!\led_flash_cnt[413][1]~32663\) # (!\led_flash_cnt[413][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[413][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[413][1]~32663\,
	combout => \led_flash_cnt[413][2]~32664_combout\,
	cout => \led_flash_cnt[413][2]~32665\);

-- Location: FF_X59_Y46_N3
\led_flash_cnt[413][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[413][2]~32664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[413][2]~q\);

-- Location: LCCOMB_X59_Y46_N4
\led_flash_cnt[413][3]~32666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[413][3]~32666_combout\ = (\led_flash_cnt[413][3]~q\ & (\led_flash_cnt[413][2]~32665\ $ (GND))) # (!\led_flash_cnt[413][3]~q\ & (!\led_flash_cnt[413][2]~32665\ & VCC))
-- \led_flash_cnt[413][3]~32667\ = CARRY((\led_flash_cnt[413][3]~q\ & !\led_flash_cnt[413][2]~32665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[413][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[413][2]~32665\,
	combout => \led_flash_cnt[413][3]~32666_combout\,
	cout => \led_flash_cnt[413][3]~32667\);

-- Location: FF_X59_Y46_N5
\led_flash_cnt[413][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[413][3]~32666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[413][3]~q\);

-- Location: LCCOMB_X59_Y46_N6
\led_flash_cnt[413][4]~32668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[413][4]~32668_combout\ = (\led_flash_cnt[413][4]~q\ & (!\led_flash_cnt[413][3]~32667\)) # (!\led_flash_cnt[413][4]~q\ & ((\led_flash_cnt[413][3]~32667\) # (GND)))
-- \led_flash_cnt[413][4]~32669\ = CARRY((!\led_flash_cnt[413][3]~32667\) # (!\led_flash_cnt[413][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[413][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[413][3]~32667\,
	combout => \led_flash_cnt[413][4]~32668_combout\,
	cout => \led_flash_cnt[413][4]~32669\);

-- Location: FF_X59_Y46_N7
\led_flash_cnt[413][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[413][4]~32668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[413][4]~q\);

-- Location: LCCOMB_X59_Y46_N14
\WideAnd413~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd413~0_combout\ = (\led_flash_cnt[413][4]~q\ & (\led_flash_cnt[413][1]~q\ & (\led_flash_cnt[413][3]~q\ & \led_flash_cnt[413][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[413][4]~q\,
	datab => \led_flash_cnt[413][1]~q\,
	datac => \led_flash_cnt[413][3]~q\,
	datad => \led_flash_cnt[413][2]~q\,
	combout => \WideAnd413~0_combout\);

-- Location: LCCOMB_X59_Y46_N8
\led_flash_cnt[413][5]~32670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[413][5]~32670_combout\ = (\led_flash_cnt[413][5]~q\ & (\led_flash_cnt[413][4]~32669\ $ (GND))) # (!\led_flash_cnt[413][5]~q\ & (!\led_flash_cnt[413][4]~32669\ & VCC))
-- \led_flash_cnt[413][5]~32671\ = CARRY((\led_flash_cnt[413][5]~q\ & !\led_flash_cnt[413][4]~32669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[413][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[413][4]~32669\,
	combout => \led_flash_cnt[413][5]~32670_combout\,
	cout => \led_flash_cnt[413][5]~32671\);

-- Location: FF_X59_Y46_N9
\led_flash_cnt[413][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[413][5]~32670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[413][5]~q\);

-- Location: LCCOMB_X59_Y46_N10
\led_flash_cnt[413][6]~32672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[413][6]~32672_combout\ = (\led_flash_cnt[413][6]~q\ & (!\led_flash_cnt[413][5]~32671\)) # (!\led_flash_cnt[413][6]~q\ & ((\led_flash_cnt[413][5]~32671\) # (GND)))
-- \led_flash_cnt[413][6]~32673\ = CARRY((!\led_flash_cnt[413][5]~32671\) # (!\led_flash_cnt[413][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[413][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[413][5]~32671\,
	combout => \led_flash_cnt[413][6]~32672_combout\,
	cout => \led_flash_cnt[413][6]~32673\);

-- Location: FF_X59_Y46_N11
\led_flash_cnt[413][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[413][6]~32672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[413][6]~q\);

-- Location: LCCOMB_X59_Y46_N16
\WideAnd413~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd413~1_combout\ = (\led_flash_cnt[413][5]~q\ & \led_flash_cnt[413][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[413][5]~q\,
	datad => \led_flash_cnt[413][6]~q\,
	combout => \WideAnd413~1_combout\);

-- Location: LCCOMB_X59_Y46_N12
\led_flash_cnt[413][7]~32674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[413][7]~32674_combout\ = \led_flash_cnt[413][6]~32673\ $ (!\led_flash_cnt[413][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[413][7]~q\,
	cin => \led_flash_cnt[413][6]~32673\,
	combout => \led_flash_cnt[413][7]~32674_combout\);

-- Location: FF_X59_Y46_N13
\led_flash_cnt[413][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[413][7]~32674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[413][7]~q\);

-- Location: LCCOMB_X60_Y46_N22
WideAnd413 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd413~combout\ = (\WideAnd413~0_combout\ & (\led_flash_cnt[413][0]~q\ & (\WideAnd413~1_combout\ & \led_flash_cnt[413][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd413~0_combout\,
	datab => \led_flash_cnt[413][0]~q\,
	datac => \WideAnd413~1_combout\,
	datad => \led_flash_cnt[413][7]~q\,
	combout => \WideAnd413~combout\);

-- Location: FF_X60_Y46_N23
\led_flash_cnt_ands[413]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd413~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(413));

-- Location: LCCOMB_X60_Y46_N0
\led_flash_cnt[412][0]~81052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[412][0]~81052_combout\ = !\led_flash_cnt[412][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[412][0]~q\,
	combout => \led_flash_cnt[412][0]~81052_combout\);

-- Location: FF_X60_Y46_N1
\led_flash_cnt[412][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[412][0]~81052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[412][0]~q\);

-- Location: LCCOMB_X60_Y47_N4
\led_flash_cnt[412][1]~32648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[412][1]~32648_combout\ = (\led_flash_cnt[412][0]~q\ & (\led_flash_cnt[412][1]~q\ $ (VCC))) # (!\led_flash_cnt[412][0]~q\ & (\led_flash_cnt[412][1]~q\ & VCC))
-- \led_flash_cnt[412][1]~32649\ = CARRY((\led_flash_cnt[412][0]~q\ & \led_flash_cnt[412][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[412][0]~q\,
	datab => \led_flash_cnt[412][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[412][1]~32648_combout\,
	cout => \led_flash_cnt[412][1]~32649\);

-- Location: FF_X60_Y47_N5
\led_flash_cnt[412][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[412][1]~32648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[412][1]~q\);

-- Location: LCCOMB_X60_Y47_N6
\led_flash_cnt[412][2]~32650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[412][2]~32650_combout\ = (\led_flash_cnt[412][2]~q\ & (!\led_flash_cnt[412][1]~32649\)) # (!\led_flash_cnt[412][2]~q\ & ((\led_flash_cnt[412][1]~32649\) # (GND)))
-- \led_flash_cnt[412][2]~32651\ = CARRY((!\led_flash_cnt[412][1]~32649\) # (!\led_flash_cnt[412][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[412][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[412][1]~32649\,
	combout => \led_flash_cnt[412][2]~32650_combout\,
	cout => \led_flash_cnt[412][2]~32651\);

-- Location: FF_X60_Y47_N7
\led_flash_cnt[412][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[412][2]~32650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[412][2]~q\);

-- Location: LCCOMB_X60_Y47_N8
\led_flash_cnt[412][3]~32652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[412][3]~32652_combout\ = (\led_flash_cnt[412][3]~q\ & (\led_flash_cnt[412][2]~32651\ $ (GND))) # (!\led_flash_cnt[412][3]~q\ & (!\led_flash_cnt[412][2]~32651\ & VCC))
-- \led_flash_cnt[412][3]~32653\ = CARRY((\led_flash_cnt[412][3]~q\ & !\led_flash_cnt[412][2]~32651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[412][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[412][2]~32651\,
	combout => \led_flash_cnt[412][3]~32652_combout\,
	cout => \led_flash_cnt[412][3]~32653\);

-- Location: FF_X60_Y47_N9
\led_flash_cnt[412][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[412][3]~32652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[412][3]~q\);

-- Location: LCCOMB_X60_Y47_N10
\led_flash_cnt[412][4]~32654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[412][4]~32654_combout\ = (\led_flash_cnt[412][4]~q\ & (!\led_flash_cnt[412][3]~32653\)) # (!\led_flash_cnt[412][4]~q\ & ((\led_flash_cnt[412][3]~32653\) # (GND)))
-- \led_flash_cnt[412][4]~32655\ = CARRY((!\led_flash_cnt[412][3]~32653\) # (!\led_flash_cnt[412][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[412][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[412][3]~32653\,
	combout => \led_flash_cnt[412][4]~32654_combout\,
	cout => \led_flash_cnt[412][4]~32655\);

-- Location: FF_X60_Y47_N11
\led_flash_cnt[412][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[412][4]~32654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[412][4]~q\);

-- Location: LCCOMB_X60_Y47_N12
\led_flash_cnt[412][5]~32656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[412][5]~32656_combout\ = (\led_flash_cnt[412][5]~q\ & (\led_flash_cnt[412][4]~32655\ $ (GND))) # (!\led_flash_cnt[412][5]~q\ & (!\led_flash_cnt[412][4]~32655\ & VCC))
-- \led_flash_cnt[412][5]~32657\ = CARRY((\led_flash_cnt[412][5]~q\ & !\led_flash_cnt[412][4]~32655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[412][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[412][4]~32655\,
	combout => \led_flash_cnt[412][5]~32656_combout\,
	cout => \led_flash_cnt[412][5]~32657\);

-- Location: FF_X60_Y47_N13
\led_flash_cnt[412][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[412][5]~32656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[412][5]~q\);

-- Location: LCCOMB_X60_Y47_N14
\led_flash_cnt[412][6]~32658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[412][6]~32658_combout\ = (\led_flash_cnt[412][6]~q\ & (!\led_flash_cnt[412][5]~32657\)) # (!\led_flash_cnt[412][6]~q\ & ((\led_flash_cnt[412][5]~32657\) # (GND)))
-- \led_flash_cnt[412][6]~32659\ = CARRY((!\led_flash_cnt[412][5]~32657\) # (!\led_flash_cnt[412][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[412][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[412][5]~32657\,
	combout => \led_flash_cnt[412][6]~32658_combout\,
	cout => \led_flash_cnt[412][6]~32659\);

-- Location: FF_X60_Y47_N15
\led_flash_cnt[412][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[412][6]~32658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[412][6]~q\);

-- Location: LCCOMB_X60_Y47_N16
\led_flash_cnt[412][7]~32660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[412][7]~32660_combout\ = \led_flash_cnt[412][6]~32659\ $ (!\led_flash_cnt[412][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[412][7]~q\,
	cin => \led_flash_cnt[412][6]~32659\,
	combout => \led_flash_cnt[412][7]~32660_combout\);

-- Location: FF_X60_Y47_N17
\led_flash_cnt[412][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[412][7]~32660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[412][7]~q\);

-- Location: LCCOMB_X60_Y48_N26
\WideAnd412~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd412~1_combout\ = (\led_flash_cnt[412][6]~q\ & \led_flash_cnt[412][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[412][6]~q\,
	datad => \led_flash_cnt[412][5]~q\,
	combout => \WideAnd412~1_combout\);

-- Location: LCCOMB_X60_Y47_N0
\WideAnd412~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd412~0_combout\ = (\led_flash_cnt[412][4]~q\ & (\led_flash_cnt[412][3]~q\ & (\led_flash_cnt[412][1]~q\ & \led_flash_cnt[412][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[412][4]~q\,
	datab => \led_flash_cnt[412][3]~q\,
	datac => \led_flash_cnt[412][1]~q\,
	datad => \led_flash_cnt[412][2]~q\,
	combout => \WideAnd412~0_combout\);

-- Location: LCCOMB_X60_Y46_N28
WideAnd412 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd412~combout\ = (\led_flash_cnt[412][7]~q\ & (\WideAnd412~1_combout\ & (\WideAnd412~0_combout\ & \led_flash_cnt[412][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[412][7]~q\,
	datab => \WideAnd412~1_combout\,
	datac => \WideAnd412~0_combout\,
	datad => \led_flash_cnt[412][0]~q\,
	combout => \WideAnd412~combout\);

-- Location: FF_X60_Y46_N29
\led_flash_cnt_ands[412]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd412~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(412));

-- Location: LCCOMB_X60_Y46_N26
\WideAnd3891~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3891~1_combout\ = (led_flash_cnt_ands(413) & led_flash_cnt_ands(412))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(413),
	datad => led_flash_cnt_ands(412),
	combout => \WideAnd3891~1_combout\);

-- Location: LCCOMB_X60_Y48_N18
\led_flash_cnt[415][0]~81055\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[415][0]~81055_combout\ = !\led_flash_cnt[415][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[415][0]~q\,
	combout => \led_flash_cnt[415][0]~81055_combout\);

-- Location: FF_X60_Y48_N19
\led_flash_cnt[415][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[415][0]~81055_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[415][0]~q\);

-- Location: LCCOMB_X60_Y48_N0
\led_flash_cnt[415][1]~32690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[415][1]~32690_combout\ = (\led_flash_cnt[415][1]~q\ & (\led_flash_cnt[415][0]~q\ $ (VCC))) # (!\led_flash_cnt[415][1]~q\ & (\led_flash_cnt[415][0]~q\ & VCC))
-- \led_flash_cnt[415][1]~32691\ = CARRY((\led_flash_cnt[415][1]~q\ & \led_flash_cnt[415][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[415][1]~q\,
	datab => \led_flash_cnt[415][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[415][1]~32690_combout\,
	cout => \led_flash_cnt[415][1]~32691\);

-- Location: FF_X60_Y48_N1
\led_flash_cnt[415][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[415][1]~32690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[415][1]~q\);

-- Location: LCCOMB_X60_Y48_N2
\led_flash_cnt[415][2]~32692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[415][2]~32692_combout\ = (\led_flash_cnt[415][2]~q\ & (!\led_flash_cnt[415][1]~32691\)) # (!\led_flash_cnt[415][2]~q\ & ((\led_flash_cnt[415][1]~32691\) # (GND)))
-- \led_flash_cnt[415][2]~32693\ = CARRY((!\led_flash_cnt[415][1]~32691\) # (!\led_flash_cnt[415][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[415][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[415][1]~32691\,
	combout => \led_flash_cnt[415][2]~32692_combout\,
	cout => \led_flash_cnt[415][2]~32693\);

-- Location: FF_X60_Y48_N3
\led_flash_cnt[415][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[415][2]~32692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[415][2]~q\);

-- Location: LCCOMB_X60_Y48_N4
\led_flash_cnt[415][3]~32694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[415][3]~32694_combout\ = (\led_flash_cnt[415][3]~q\ & (\led_flash_cnt[415][2]~32693\ $ (GND))) # (!\led_flash_cnt[415][3]~q\ & (!\led_flash_cnt[415][2]~32693\ & VCC))
-- \led_flash_cnt[415][3]~32695\ = CARRY((\led_flash_cnt[415][3]~q\ & !\led_flash_cnt[415][2]~32693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[415][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[415][2]~32693\,
	combout => \led_flash_cnt[415][3]~32694_combout\,
	cout => \led_flash_cnt[415][3]~32695\);

-- Location: FF_X60_Y48_N5
\led_flash_cnt[415][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[415][3]~32694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[415][3]~q\);

-- Location: LCCOMB_X60_Y48_N6
\led_flash_cnt[415][4]~32696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[415][4]~32696_combout\ = (\led_flash_cnt[415][4]~q\ & (!\led_flash_cnt[415][3]~32695\)) # (!\led_flash_cnt[415][4]~q\ & ((\led_flash_cnt[415][3]~32695\) # (GND)))
-- \led_flash_cnt[415][4]~32697\ = CARRY((!\led_flash_cnt[415][3]~32695\) # (!\led_flash_cnt[415][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[415][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[415][3]~32695\,
	combout => \led_flash_cnt[415][4]~32696_combout\,
	cout => \led_flash_cnt[415][4]~32697\);

-- Location: FF_X60_Y48_N7
\led_flash_cnt[415][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[415][4]~32696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[415][4]~q\);

-- Location: LCCOMB_X60_Y48_N22
\WideAnd415~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd415~0_combout\ = (\led_flash_cnt[415][4]~q\ & (\led_flash_cnt[415][1]~q\ & (\led_flash_cnt[415][3]~q\ & \led_flash_cnt[415][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[415][4]~q\,
	datab => \led_flash_cnt[415][1]~q\,
	datac => \led_flash_cnt[415][3]~q\,
	datad => \led_flash_cnt[415][2]~q\,
	combout => \WideAnd415~0_combout\);

-- Location: LCCOMB_X60_Y48_N8
\led_flash_cnt[415][5]~32698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[415][5]~32698_combout\ = (\led_flash_cnt[415][5]~q\ & (\led_flash_cnt[415][4]~32697\ $ (GND))) # (!\led_flash_cnt[415][5]~q\ & (!\led_flash_cnt[415][4]~32697\ & VCC))
-- \led_flash_cnt[415][5]~32699\ = CARRY((\led_flash_cnt[415][5]~q\ & !\led_flash_cnt[415][4]~32697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[415][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[415][4]~32697\,
	combout => \led_flash_cnt[415][5]~32698_combout\,
	cout => \led_flash_cnt[415][5]~32699\);

-- Location: FF_X60_Y48_N9
\led_flash_cnt[415][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[415][5]~32698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[415][5]~q\);

-- Location: LCCOMB_X60_Y48_N10
\led_flash_cnt[415][6]~32700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[415][6]~32700_combout\ = (\led_flash_cnt[415][6]~q\ & (!\led_flash_cnt[415][5]~32699\)) # (!\led_flash_cnt[415][6]~q\ & ((\led_flash_cnt[415][5]~32699\) # (GND)))
-- \led_flash_cnt[415][6]~32701\ = CARRY((!\led_flash_cnt[415][5]~32699\) # (!\led_flash_cnt[415][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[415][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[415][5]~32699\,
	combout => \led_flash_cnt[415][6]~32700_combout\,
	cout => \led_flash_cnt[415][6]~32701\);

-- Location: FF_X60_Y48_N11
\led_flash_cnt[415][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[415][6]~32700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[415][6]~q\);

-- Location: LCCOMB_X60_Y48_N14
\WideAnd415~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd415~1_combout\ = (\led_flash_cnt[415][5]~q\ & \led_flash_cnt[415][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[415][5]~q\,
	datad => \led_flash_cnt[415][6]~q\,
	combout => \WideAnd415~1_combout\);

-- Location: LCCOMB_X60_Y48_N12
\led_flash_cnt[415][7]~32702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[415][7]~32702_combout\ = \led_flash_cnt[415][6]~32701\ $ (!\led_flash_cnt[415][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[415][7]~q\,
	cin => \led_flash_cnt[415][6]~32701\,
	combout => \led_flash_cnt[415][7]~32702_combout\);

-- Location: FF_X60_Y48_N13
\led_flash_cnt[415][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[415][7]~32702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[415][7]~q\);

-- Location: LCCOMB_X60_Y48_N30
WideAnd415 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd415~combout\ = (\WideAnd415~0_combout\ & (\led_flash_cnt[415][0]~q\ & (\WideAnd415~1_combout\ & \led_flash_cnt[415][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd415~0_combout\,
	datab => \led_flash_cnt[415][0]~q\,
	datac => \WideAnd415~1_combout\,
	datad => \led_flash_cnt[415][7]~q\,
	combout => \WideAnd415~combout\);

-- Location: FF_X60_Y48_N31
\led_flash_cnt_ands[415]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd415~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(415));

-- Location: LCCOMB_X26_Y36_N26
\led_flash_cnt[410][0]~81050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[410][0]~81050_combout\ = !\led_flash_cnt[410][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[410][0]~q\,
	combout => \led_flash_cnt[410][0]~81050_combout\);

-- Location: FF_X26_Y36_N27
\led_flash_cnt[410][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[410][0]~81050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[410][0]~q\);

-- Location: LCCOMB_X25_Y37_N18
\led_flash_cnt[410][1]~32620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[410][1]~32620_combout\ = (\led_flash_cnt[410][0]~q\ & (\led_flash_cnt[410][1]~q\ $ (VCC))) # (!\led_flash_cnt[410][0]~q\ & (\led_flash_cnt[410][1]~q\ & VCC))
-- \led_flash_cnt[410][1]~32621\ = CARRY((\led_flash_cnt[410][0]~q\ & \led_flash_cnt[410][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[410][0]~q\,
	datab => \led_flash_cnt[410][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[410][1]~32620_combout\,
	cout => \led_flash_cnt[410][1]~32621\);

-- Location: FF_X25_Y37_N19
\led_flash_cnt[410][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[410][1]~32620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[410][1]~q\);

-- Location: LCCOMB_X25_Y37_N20
\led_flash_cnt[410][2]~32622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[410][2]~32622_combout\ = (\led_flash_cnt[410][2]~q\ & (!\led_flash_cnt[410][1]~32621\)) # (!\led_flash_cnt[410][2]~q\ & ((\led_flash_cnt[410][1]~32621\) # (GND)))
-- \led_flash_cnt[410][2]~32623\ = CARRY((!\led_flash_cnt[410][1]~32621\) # (!\led_flash_cnt[410][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[410][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[410][1]~32621\,
	combout => \led_flash_cnt[410][2]~32622_combout\,
	cout => \led_flash_cnt[410][2]~32623\);

-- Location: FF_X25_Y37_N21
\led_flash_cnt[410][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[410][2]~32622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[410][2]~q\);

-- Location: LCCOMB_X25_Y37_N22
\led_flash_cnt[410][3]~32624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[410][3]~32624_combout\ = (\led_flash_cnt[410][3]~q\ & (\led_flash_cnt[410][2]~32623\ $ (GND))) # (!\led_flash_cnt[410][3]~q\ & (!\led_flash_cnt[410][2]~32623\ & VCC))
-- \led_flash_cnt[410][3]~32625\ = CARRY((\led_flash_cnt[410][3]~q\ & !\led_flash_cnt[410][2]~32623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[410][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[410][2]~32623\,
	combout => \led_flash_cnt[410][3]~32624_combout\,
	cout => \led_flash_cnt[410][3]~32625\);

-- Location: FF_X25_Y37_N23
\led_flash_cnt[410][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[410][3]~32624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[410][3]~q\);

-- Location: LCCOMB_X25_Y37_N24
\led_flash_cnt[410][4]~32626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[410][4]~32626_combout\ = (\led_flash_cnt[410][4]~q\ & (!\led_flash_cnt[410][3]~32625\)) # (!\led_flash_cnt[410][4]~q\ & ((\led_flash_cnt[410][3]~32625\) # (GND)))
-- \led_flash_cnt[410][4]~32627\ = CARRY((!\led_flash_cnt[410][3]~32625\) # (!\led_flash_cnt[410][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[410][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[410][3]~32625\,
	combout => \led_flash_cnt[410][4]~32626_combout\,
	cout => \led_flash_cnt[410][4]~32627\);

-- Location: FF_X25_Y37_N25
\led_flash_cnt[410][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[410][4]~32626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[410][4]~q\);

-- Location: LCCOMB_X25_Y37_N0
\WideAnd410~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd410~0_combout\ = (\led_flash_cnt[410][4]~q\ & (\led_flash_cnt[410][1]~q\ & (\led_flash_cnt[410][3]~q\ & \led_flash_cnt[410][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[410][4]~q\,
	datab => \led_flash_cnt[410][1]~q\,
	datac => \led_flash_cnt[410][3]~q\,
	datad => \led_flash_cnt[410][2]~q\,
	combout => \WideAnd410~0_combout\);

-- Location: LCCOMB_X25_Y37_N26
\led_flash_cnt[410][5]~32628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[410][5]~32628_combout\ = (\led_flash_cnt[410][5]~q\ & (\led_flash_cnt[410][4]~32627\ $ (GND))) # (!\led_flash_cnt[410][5]~q\ & (!\led_flash_cnt[410][4]~32627\ & VCC))
-- \led_flash_cnt[410][5]~32629\ = CARRY((\led_flash_cnt[410][5]~q\ & !\led_flash_cnt[410][4]~32627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[410][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[410][4]~32627\,
	combout => \led_flash_cnt[410][5]~32628_combout\,
	cout => \led_flash_cnt[410][5]~32629\);

-- Location: FF_X25_Y37_N27
\led_flash_cnt[410][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[410][5]~32628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[410][5]~q\);

-- Location: LCCOMB_X25_Y37_N28
\led_flash_cnt[410][6]~32630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[410][6]~32630_combout\ = (\led_flash_cnt[410][6]~q\ & (!\led_flash_cnt[410][5]~32629\)) # (!\led_flash_cnt[410][6]~q\ & ((\led_flash_cnt[410][5]~32629\) # (GND)))
-- \led_flash_cnt[410][6]~32631\ = CARRY((!\led_flash_cnt[410][5]~32629\) # (!\led_flash_cnt[410][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[410][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[410][5]~32629\,
	combout => \led_flash_cnt[410][6]~32630_combout\,
	cout => \led_flash_cnt[410][6]~32631\);

-- Location: FF_X25_Y37_N29
\led_flash_cnt[410][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[410][6]~32630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[410][6]~q\);

-- Location: LCCOMB_X25_Y37_N30
\led_flash_cnt[410][7]~32632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[410][7]~32632_combout\ = \led_flash_cnt[410][7]~q\ $ (!\led_flash_cnt[410][6]~32631\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[410][7]~q\,
	cin => \led_flash_cnt[410][6]~32631\,
	combout => \led_flash_cnt[410][7]~32632_combout\);

-- Location: FF_X25_Y37_N31
\led_flash_cnt[410][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[410][7]~32632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[410][7]~q\);

-- Location: LCCOMB_X26_Y37_N20
\WideAnd410~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd410~1_combout\ = (\led_flash_cnt[410][5]~q\ & \led_flash_cnt[410][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[410][5]~q\,
	datad => \led_flash_cnt[410][6]~q\,
	combout => \WideAnd410~1_combout\);

-- Location: LCCOMB_X26_Y37_N0
WideAnd410 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd410~combout\ = (\WideAnd410~0_combout\ & (\led_flash_cnt[410][7]~q\ & (\led_flash_cnt[410][0]~q\ & \WideAnd410~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd410~0_combout\,
	datab => \led_flash_cnt[410][7]~q\,
	datac => \led_flash_cnt[410][0]~q\,
	datad => \WideAnd410~1_combout\,
	combout => \WideAnd410~combout\);

-- Location: FF_X26_Y37_N1
\led_flash_cnt_ands[410]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd410~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(410));

-- Location: LCCOMB_X55_Y46_N4
\led_flash_cnt[409][0]~81049\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[409][0]~81049_combout\ = !\led_flash_cnt[409][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[409][0]~q\,
	combout => \led_flash_cnt[409][0]~81049_combout\);

-- Location: FF_X55_Y46_N5
\led_flash_cnt[409][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[409][0]~81049_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[409][0]~q\);

-- Location: LCCOMB_X52_Y46_N4
\led_flash_cnt[409][1]~32606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[409][1]~32606_combout\ = (\led_flash_cnt[409][0]~q\ & (\led_flash_cnt[409][1]~q\ $ (VCC))) # (!\led_flash_cnt[409][0]~q\ & (\led_flash_cnt[409][1]~q\ & VCC))
-- \led_flash_cnt[409][1]~32607\ = CARRY((\led_flash_cnt[409][0]~q\ & \led_flash_cnt[409][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[409][0]~q\,
	datab => \led_flash_cnt[409][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[409][1]~32606_combout\,
	cout => \led_flash_cnt[409][1]~32607\);

-- Location: FF_X52_Y46_N5
\led_flash_cnt[409][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[409][1]~32606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[409][1]~q\);

-- Location: LCCOMB_X52_Y46_N6
\led_flash_cnt[409][2]~32608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[409][2]~32608_combout\ = (\led_flash_cnt[409][2]~q\ & (!\led_flash_cnt[409][1]~32607\)) # (!\led_flash_cnt[409][2]~q\ & ((\led_flash_cnt[409][1]~32607\) # (GND)))
-- \led_flash_cnt[409][2]~32609\ = CARRY((!\led_flash_cnt[409][1]~32607\) # (!\led_flash_cnt[409][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[409][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[409][1]~32607\,
	combout => \led_flash_cnt[409][2]~32608_combout\,
	cout => \led_flash_cnt[409][2]~32609\);

-- Location: FF_X52_Y46_N7
\led_flash_cnt[409][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[409][2]~32608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[409][2]~q\);

-- Location: LCCOMB_X52_Y46_N8
\led_flash_cnt[409][3]~32610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[409][3]~32610_combout\ = (\led_flash_cnt[409][3]~q\ & (\led_flash_cnt[409][2]~32609\ $ (GND))) # (!\led_flash_cnt[409][3]~q\ & (!\led_flash_cnt[409][2]~32609\ & VCC))
-- \led_flash_cnt[409][3]~32611\ = CARRY((\led_flash_cnt[409][3]~q\ & !\led_flash_cnt[409][2]~32609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[409][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[409][2]~32609\,
	combout => \led_flash_cnt[409][3]~32610_combout\,
	cout => \led_flash_cnt[409][3]~32611\);

-- Location: FF_X52_Y46_N9
\led_flash_cnt[409][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[409][3]~32610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[409][3]~q\);

-- Location: LCCOMB_X52_Y46_N10
\led_flash_cnt[409][4]~32612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[409][4]~32612_combout\ = (\led_flash_cnt[409][4]~q\ & (!\led_flash_cnt[409][3]~32611\)) # (!\led_flash_cnt[409][4]~q\ & ((\led_flash_cnt[409][3]~32611\) # (GND)))
-- \led_flash_cnt[409][4]~32613\ = CARRY((!\led_flash_cnt[409][3]~32611\) # (!\led_flash_cnt[409][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[409][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[409][3]~32611\,
	combout => \led_flash_cnt[409][4]~32612_combout\,
	cout => \led_flash_cnt[409][4]~32613\);

-- Location: FF_X52_Y46_N11
\led_flash_cnt[409][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[409][4]~32612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[409][4]~q\);

-- Location: LCCOMB_X52_Y46_N12
\led_flash_cnt[409][5]~32614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[409][5]~32614_combout\ = (\led_flash_cnt[409][5]~q\ & (\led_flash_cnt[409][4]~32613\ $ (GND))) # (!\led_flash_cnt[409][5]~q\ & (!\led_flash_cnt[409][4]~32613\ & VCC))
-- \led_flash_cnt[409][5]~32615\ = CARRY((\led_flash_cnt[409][5]~q\ & !\led_flash_cnt[409][4]~32613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[409][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[409][4]~32613\,
	combout => \led_flash_cnt[409][5]~32614_combout\,
	cout => \led_flash_cnt[409][5]~32615\);

-- Location: FF_X52_Y46_N13
\led_flash_cnt[409][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[409][5]~32614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[409][5]~q\);

-- Location: LCCOMB_X52_Y46_N14
\led_flash_cnt[409][6]~32616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[409][6]~32616_combout\ = (\led_flash_cnt[409][6]~q\ & (!\led_flash_cnt[409][5]~32615\)) # (!\led_flash_cnt[409][6]~q\ & ((\led_flash_cnt[409][5]~32615\) # (GND)))
-- \led_flash_cnt[409][6]~32617\ = CARRY((!\led_flash_cnt[409][5]~32615\) # (!\led_flash_cnt[409][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[409][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[409][5]~32615\,
	combout => \led_flash_cnt[409][6]~32616_combout\,
	cout => \led_flash_cnt[409][6]~32617\);

-- Location: FF_X52_Y46_N15
\led_flash_cnt[409][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[409][6]~32616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[409][6]~q\);

-- Location: LCCOMB_X52_Y46_N16
\led_flash_cnt[409][7]~32618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[409][7]~32618_combout\ = \led_flash_cnt[409][6]~32617\ $ (!\led_flash_cnt[409][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[409][7]~q\,
	cin => \led_flash_cnt[409][6]~32617\,
	combout => \led_flash_cnt[409][7]~32618_combout\);

-- Location: FF_X52_Y46_N17
\led_flash_cnt[409][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[409][7]~32618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[409][7]~q\);

-- Location: LCCOMB_X52_Y46_N0
\WideAnd409~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd409~0_combout\ = (\led_flash_cnt[409][4]~q\ & (\led_flash_cnt[409][3]~q\ & (\led_flash_cnt[409][1]~q\ & \led_flash_cnt[409][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[409][4]~q\,
	datab => \led_flash_cnt[409][3]~q\,
	datac => \led_flash_cnt[409][1]~q\,
	datad => \led_flash_cnt[409][2]~q\,
	combout => \WideAnd409~0_combout\);

-- Location: LCCOMB_X55_Y46_N2
\WideAnd409~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd409~1_combout\ = (\led_flash_cnt[409][6]~q\ & \led_flash_cnt[409][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[409][6]~q\,
	datad => \led_flash_cnt[409][5]~q\,
	combout => \WideAnd409~1_combout\);

-- Location: LCCOMB_X55_Y46_N0
WideAnd409 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd409~combout\ = (\led_flash_cnt[409][7]~q\ & (\led_flash_cnt[409][0]~q\ & (\WideAnd409~0_combout\ & \WideAnd409~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[409][7]~q\,
	datab => \led_flash_cnt[409][0]~q\,
	datac => \WideAnd409~0_combout\,
	datad => \WideAnd409~1_combout\,
	combout => \WideAnd409~combout\);

-- Location: FF_X55_Y46_N1
\led_flash_cnt_ands[409]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd409~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(409));

-- Location: LCCOMB_X60_Y35_N6
\led_flash_cnt[408][0]~81048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[408][0]~81048_combout\ = !\led_flash_cnt[408][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[408][0]~q\,
	combout => \led_flash_cnt[408][0]~81048_combout\);

-- Location: FF_X60_Y35_N7
\led_flash_cnt[408][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[408][0]~81048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[408][0]~q\);

-- Location: LCCOMB_X61_Y35_N0
\led_flash_cnt[408][1]~32592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[408][1]~32592_combout\ = (\led_flash_cnt[408][0]~q\ & (\led_flash_cnt[408][1]~q\ $ (VCC))) # (!\led_flash_cnt[408][0]~q\ & (\led_flash_cnt[408][1]~q\ & VCC))
-- \led_flash_cnt[408][1]~32593\ = CARRY((\led_flash_cnt[408][0]~q\ & \led_flash_cnt[408][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[408][0]~q\,
	datab => \led_flash_cnt[408][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[408][1]~32592_combout\,
	cout => \led_flash_cnt[408][1]~32593\);

-- Location: FF_X61_Y35_N1
\led_flash_cnt[408][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[408][1]~32592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[408][1]~q\);

-- Location: LCCOMB_X61_Y35_N2
\led_flash_cnt[408][2]~32594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[408][2]~32594_combout\ = (\led_flash_cnt[408][2]~q\ & (!\led_flash_cnt[408][1]~32593\)) # (!\led_flash_cnt[408][2]~q\ & ((\led_flash_cnt[408][1]~32593\) # (GND)))
-- \led_flash_cnt[408][2]~32595\ = CARRY((!\led_flash_cnt[408][1]~32593\) # (!\led_flash_cnt[408][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[408][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[408][1]~32593\,
	combout => \led_flash_cnt[408][2]~32594_combout\,
	cout => \led_flash_cnt[408][2]~32595\);

-- Location: FF_X61_Y35_N3
\led_flash_cnt[408][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[408][2]~32594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[408][2]~q\);

-- Location: LCCOMB_X61_Y35_N4
\led_flash_cnt[408][3]~32596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[408][3]~32596_combout\ = (\led_flash_cnt[408][3]~q\ & (\led_flash_cnt[408][2]~32595\ $ (GND))) # (!\led_flash_cnt[408][3]~q\ & (!\led_flash_cnt[408][2]~32595\ & VCC))
-- \led_flash_cnt[408][3]~32597\ = CARRY((\led_flash_cnt[408][3]~q\ & !\led_flash_cnt[408][2]~32595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[408][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[408][2]~32595\,
	combout => \led_flash_cnt[408][3]~32596_combout\,
	cout => \led_flash_cnt[408][3]~32597\);

-- Location: FF_X61_Y35_N5
\led_flash_cnt[408][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[408][3]~32596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[408][3]~q\);

-- Location: LCCOMB_X61_Y35_N6
\led_flash_cnt[408][4]~32598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[408][4]~32598_combout\ = (\led_flash_cnt[408][4]~q\ & (!\led_flash_cnt[408][3]~32597\)) # (!\led_flash_cnt[408][4]~q\ & ((\led_flash_cnt[408][3]~32597\) # (GND)))
-- \led_flash_cnt[408][4]~32599\ = CARRY((!\led_flash_cnt[408][3]~32597\) # (!\led_flash_cnt[408][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[408][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[408][3]~32597\,
	combout => \led_flash_cnt[408][4]~32598_combout\,
	cout => \led_flash_cnt[408][4]~32599\);

-- Location: FF_X61_Y35_N7
\led_flash_cnt[408][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[408][4]~32598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[408][4]~q\);

-- Location: LCCOMB_X61_Y35_N8
\led_flash_cnt[408][5]~32600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[408][5]~32600_combout\ = (\led_flash_cnt[408][5]~q\ & (\led_flash_cnt[408][4]~32599\ $ (GND))) # (!\led_flash_cnt[408][5]~q\ & (!\led_flash_cnt[408][4]~32599\ & VCC))
-- \led_flash_cnt[408][5]~32601\ = CARRY((\led_flash_cnt[408][5]~q\ & !\led_flash_cnt[408][4]~32599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[408][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[408][4]~32599\,
	combout => \led_flash_cnt[408][5]~32600_combout\,
	cout => \led_flash_cnt[408][5]~32601\);

-- Location: FF_X61_Y35_N9
\led_flash_cnt[408][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[408][5]~32600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[408][5]~q\);

-- Location: LCCOMB_X61_Y35_N10
\led_flash_cnt[408][6]~32602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[408][6]~32602_combout\ = (\led_flash_cnt[408][6]~q\ & (!\led_flash_cnt[408][5]~32601\)) # (!\led_flash_cnt[408][6]~q\ & ((\led_flash_cnt[408][5]~32601\) # (GND)))
-- \led_flash_cnt[408][6]~32603\ = CARRY((!\led_flash_cnt[408][5]~32601\) # (!\led_flash_cnt[408][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[408][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[408][5]~32601\,
	combout => \led_flash_cnt[408][6]~32602_combout\,
	cout => \led_flash_cnt[408][6]~32603\);

-- Location: FF_X61_Y35_N11
\led_flash_cnt[408][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[408][6]~32602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[408][6]~q\);

-- Location: LCCOMB_X60_Y35_N10
\WideAnd408~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd408~1_combout\ = (\led_flash_cnt[408][6]~q\ & \led_flash_cnt[408][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[408][6]~q\,
	datac => \led_flash_cnt[408][5]~q\,
	combout => \WideAnd408~1_combout\);

-- Location: LCCOMB_X61_Y35_N14
\WideAnd408~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd408~0_combout\ = (\led_flash_cnt[408][4]~q\ & (\led_flash_cnt[408][1]~q\ & (\led_flash_cnt[408][3]~q\ & \led_flash_cnt[408][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[408][4]~q\,
	datab => \led_flash_cnt[408][1]~q\,
	datac => \led_flash_cnt[408][3]~q\,
	datad => \led_flash_cnt[408][2]~q\,
	combout => \WideAnd408~0_combout\);

-- Location: LCCOMB_X61_Y35_N12
\led_flash_cnt[408][7]~32604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[408][7]~32604_combout\ = \led_flash_cnt[408][6]~32603\ $ (!\led_flash_cnt[408][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[408][7]~q\,
	cin => \led_flash_cnt[408][6]~32603\,
	combout => \led_flash_cnt[408][7]~32604_combout\);

-- Location: FF_X61_Y35_N13
\led_flash_cnt[408][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[408][7]~32604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[408][7]~q\);

-- Location: LCCOMB_X60_Y35_N4
WideAnd408 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd408~combout\ = (\WideAnd408~1_combout\ & (\WideAnd408~0_combout\ & (\led_flash_cnt[408][7]~q\ & \led_flash_cnt[408][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd408~1_combout\,
	datab => \WideAnd408~0_combout\,
	datac => \led_flash_cnt[408][7]~q\,
	datad => \led_flash_cnt[408][0]~q\,
	combout => \WideAnd408~combout\);

-- Location: FF_X60_Y35_N5
\led_flash_cnt_ands[408]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd408~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(408));

-- Location: LCCOMB_X55_Y45_N2
\led_flash_cnt[411][0]~81051\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[411][0]~81051_combout\ = !\led_flash_cnt[411][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[411][0]~q\,
	combout => \led_flash_cnt[411][0]~81051_combout\);

-- Location: FF_X55_Y45_N3
\led_flash_cnt[411][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[411][0]~81051_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[411][0]~q\);

-- Location: LCCOMB_X54_Y45_N14
\led_flash_cnt[411][1]~32634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[411][1]~32634_combout\ = (\led_flash_cnt[411][0]~q\ & (\led_flash_cnt[411][1]~q\ $ (VCC))) # (!\led_flash_cnt[411][0]~q\ & (\led_flash_cnt[411][1]~q\ & VCC))
-- \led_flash_cnt[411][1]~32635\ = CARRY((\led_flash_cnt[411][0]~q\ & \led_flash_cnt[411][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[411][0]~q\,
	datab => \led_flash_cnt[411][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[411][1]~32634_combout\,
	cout => \led_flash_cnt[411][1]~32635\);

-- Location: FF_X54_Y45_N15
\led_flash_cnt[411][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[411][1]~32634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[411][1]~q\);

-- Location: LCCOMB_X54_Y45_N16
\led_flash_cnt[411][2]~32636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[411][2]~32636_combout\ = (\led_flash_cnt[411][2]~q\ & (!\led_flash_cnt[411][1]~32635\)) # (!\led_flash_cnt[411][2]~q\ & ((\led_flash_cnt[411][1]~32635\) # (GND)))
-- \led_flash_cnt[411][2]~32637\ = CARRY((!\led_flash_cnt[411][1]~32635\) # (!\led_flash_cnt[411][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[411][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[411][1]~32635\,
	combout => \led_flash_cnt[411][2]~32636_combout\,
	cout => \led_flash_cnt[411][2]~32637\);

-- Location: FF_X54_Y45_N17
\led_flash_cnt[411][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[411][2]~32636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[411][2]~q\);

-- Location: LCCOMB_X54_Y45_N18
\led_flash_cnt[411][3]~32638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[411][3]~32638_combout\ = (\led_flash_cnt[411][3]~q\ & (\led_flash_cnt[411][2]~32637\ $ (GND))) # (!\led_flash_cnt[411][3]~q\ & (!\led_flash_cnt[411][2]~32637\ & VCC))
-- \led_flash_cnt[411][3]~32639\ = CARRY((\led_flash_cnt[411][3]~q\ & !\led_flash_cnt[411][2]~32637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[411][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[411][2]~32637\,
	combout => \led_flash_cnt[411][3]~32638_combout\,
	cout => \led_flash_cnt[411][3]~32639\);

-- Location: FF_X54_Y45_N19
\led_flash_cnt[411][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[411][3]~32638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[411][3]~q\);

-- Location: LCCOMB_X54_Y45_N20
\led_flash_cnt[411][4]~32640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[411][4]~32640_combout\ = (\led_flash_cnt[411][4]~q\ & (!\led_flash_cnt[411][3]~32639\)) # (!\led_flash_cnt[411][4]~q\ & ((\led_flash_cnt[411][3]~32639\) # (GND)))
-- \led_flash_cnt[411][4]~32641\ = CARRY((!\led_flash_cnt[411][3]~32639\) # (!\led_flash_cnt[411][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[411][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[411][3]~32639\,
	combout => \led_flash_cnt[411][4]~32640_combout\,
	cout => \led_flash_cnt[411][4]~32641\);

-- Location: FF_X54_Y45_N21
\led_flash_cnt[411][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[411][4]~32640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[411][4]~q\);

-- Location: LCCOMB_X54_Y45_N22
\led_flash_cnt[411][5]~32642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[411][5]~32642_combout\ = (\led_flash_cnt[411][5]~q\ & (\led_flash_cnt[411][4]~32641\ $ (GND))) # (!\led_flash_cnt[411][5]~q\ & (!\led_flash_cnt[411][4]~32641\ & VCC))
-- \led_flash_cnt[411][5]~32643\ = CARRY((\led_flash_cnt[411][5]~q\ & !\led_flash_cnt[411][4]~32641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[411][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[411][4]~32641\,
	combout => \led_flash_cnt[411][5]~32642_combout\,
	cout => \led_flash_cnt[411][5]~32643\);

-- Location: FF_X54_Y45_N23
\led_flash_cnt[411][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[411][5]~32642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[411][5]~q\);

-- Location: LCCOMB_X54_Y45_N24
\led_flash_cnt[411][6]~32644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[411][6]~32644_combout\ = (\led_flash_cnt[411][6]~q\ & (!\led_flash_cnt[411][5]~32643\)) # (!\led_flash_cnt[411][6]~q\ & ((\led_flash_cnt[411][5]~32643\) # (GND)))
-- \led_flash_cnt[411][6]~32645\ = CARRY((!\led_flash_cnt[411][5]~32643\) # (!\led_flash_cnt[411][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[411][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[411][5]~32643\,
	combout => \led_flash_cnt[411][6]~32644_combout\,
	cout => \led_flash_cnt[411][6]~32645\);

-- Location: FF_X54_Y45_N25
\led_flash_cnt[411][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[411][6]~32644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[411][6]~q\);

-- Location: LCCOMB_X55_Y45_N30
\WideAnd411~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd411~1_combout\ = (\led_flash_cnt[411][6]~q\ & \led_flash_cnt[411][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[411][6]~q\,
	datad => \led_flash_cnt[411][5]~q\,
	combout => \WideAnd411~1_combout\);

-- Location: LCCOMB_X54_Y45_N28
\WideAnd411~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd411~0_combout\ = (\led_flash_cnt[411][4]~q\ & (\led_flash_cnt[411][3]~q\ & (\led_flash_cnt[411][1]~q\ & \led_flash_cnt[411][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[411][4]~q\,
	datab => \led_flash_cnt[411][3]~q\,
	datac => \led_flash_cnt[411][1]~q\,
	datad => \led_flash_cnt[411][2]~q\,
	combout => \WideAnd411~0_combout\);

-- Location: LCCOMB_X54_Y45_N26
\led_flash_cnt[411][7]~32646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[411][7]~32646_combout\ = \led_flash_cnt[411][7]~q\ $ (!\led_flash_cnt[411][6]~32645\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[411][7]~q\,
	cin => \led_flash_cnt[411][6]~32645\,
	combout => \led_flash_cnt[411][7]~32646_combout\);

-- Location: FF_X54_Y45_N27
\led_flash_cnt[411][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[411][7]~32646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[411][7]~q\);

-- Location: LCCOMB_X55_Y45_N0
WideAnd411 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd411~combout\ = (\WideAnd411~1_combout\ & (\WideAnd411~0_combout\ & (\led_flash_cnt[411][7]~q\ & \led_flash_cnt[411][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd411~1_combout\,
	datab => \WideAnd411~0_combout\,
	datac => \led_flash_cnt[411][7]~q\,
	datad => \led_flash_cnt[411][0]~q\,
	combout => \WideAnd411~combout\);

-- Location: FF_X55_Y45_N1
\led_flash_cnt_ands[411]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd411~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(411));

-- Location: LCCOMB_X55_Y46_N30
\WideAnd3891~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3891~0_combout\ = (led_flash_cnt_ands(410) & (led_flash_cnt_ands(409) & (led_flash_cnt_ands(408) & led_flash_cnt_ands(411))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(410),
	datab => led_flash_cnt_ands(409),
	datac => led_flash_cnt_ands(408),
	datad => led_flash_cnt_ands(411),
	combout => \WideAnd3891~0_combout\);

-- Location: LCCOMB_X56_Y46_N10
WideAnd3891 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3891~combout\ = (led_flash_cnt_ands(414) & (\WideAnd3891~1_combout\ & (led_flash_cnt_ands(415) & \WideAnd3891~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(414),
	datab => \WideAnd3891~1_combout\,
	datac => led_flash_cnt_ands(415),
	datad => \WideAnd3891~0_combout\,
	combout => \WideAnd3891~combout\);

-- Location: FF_X56_Y46_N11
\led_flash_cnt_ands_1[51]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3891~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(51));

-- Location: LCCOMB_X54_Y47_N26
\led_flash_cnt[398][0]~81038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[398][0]~81038_combout\ = !\led_flash_cnt[398][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[398][0]~q\,
	combout => \led_flash_cnt[398][0]~81038_combout\);

-- Location: FF_X54_Y47_N27
\led_flash_cnt[398][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[398][0]~81038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[398][0]~q\);

-- Location: LCCOMB_X51_Y47_N4
\led_flash_cnt[398][1]~32452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[398][1]~32452_combout\ = (\led_flash_cnt[398][0]~q\ & (\led_flash_cnt[398][1]~q\ $ (VCC))) # (!\led_flash_cnt[398][0]~q\ & (\led_flash_cnt[398][1]~q\ & VCC))
-- \led_flash_cnt[398][1]~32453\ = CARRY((\led_flash_cnt[398][0]~q\ & \led_flash_cnt[398][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[398][0]~q\,
	datab => \led_flash_cnt[398][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[398][1]~32452_combout\,
	cout => \led_flash_cnt[398][1]~32453\);

-- Location: FF_X51_Y47_N5
\led_flash_cnt[398][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[398][1]~32452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[398][1]~q\);

-- Location: LCCOMB_X51_Y47_N6
\led_flash_cnt[398][2]~32454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[398][2]~32454_combout\ = (\led_flash_cnt[398][2]~q\ & (!\led_flash_cnt[398][1]~32453\)) # (!\led_flash_cnt[398][2]~q\ & ((\led_flash_cnt[398][1]~32453\) # (GND)))
-- \led_flash_cnt[398][2]~32455\ = CARRY((!\led_flash_cnt[398][1]~32453\) # (!\led_flash_cnt[398][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[398][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[398][1]~32453\,
	combout => \led_flash_cnt[398][2]~32454_combout\,
	cout => \led_flash_cnt[398][2]~32455\);

-- Location: FF_X51_Y47_N7
\led_flash_cnt[398][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[398][2]~32454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[398][2]~q\);

-- Location: LCCOMB_X51_Y47_N8
\led_flash_cnt[398][3]~32456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[398][3]~32456_combout\ = (\led_flash_cnt[398][3]~q\ & (\led_flash_cnt[398][2]~32455\ $ (GND))) # (!\led_flash_cnt[398][3]~q\ & (!\led_flash_cnt[398][2]~32455\ & VCC))
-- \led_flash_cnt[398][3]~32457\ = CARRY((\led_flash_cnt[398][3]~q\ & !\led_flash_cnt[398][2]~32455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[398][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[398][2]~32455\,
	combout => \led_flash_cnt[398][3]~32456_combout\,
	cout => \led_flash_cnt[398][3]~32457\);

-- Location: FF_X51_Y47_N9
\led_flash_cnt[398][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[398][3]~32456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[398][3]~q\);

-- Location: LCCOMB_X51_Y47_N10
\led_flash_cnt[398][4]~32458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[398][4]~32458_combout\ = (\led_flash_cnt[398][4]~q\ & (!\led_flash_cnt[398][3]~32457\)) # (!\led_flash_cnt[398][4]~q\ & ((\led_flash_cnt[398][3]~32457\) # (GND)))
-- \led_flash_cnt[398][4]~32459\ = CARRY((!\led_flash_cnt[398][3]~32457\) # (!\led_flash_cnt[398][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[398][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[398][3]~32457\,
	combout => \led_flash_cnt[398][4]~32458_combout\,
	cout => \led_flash_cnt[398][4]~32459\);

-- Location: FF_X51_Y47_N11
\led_flash_cnt[398][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[398][4]~32458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[398][4]~q\);

-- Location: LCCOMB_X51_Y47_N12
\led_flash_cnt[398][5]~32460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[398][5]~32460_combout\ = (\led_flash_cnt[398][5]~q\ & (\led_flash_cnt[398][4]~32459\ $ (GND))) # (!\led_flash_cnt[398][5]~q\ & (!\led_flash_cnt[398][4]~32459\ & VCC))
-- \led_flash_cnt[398][5]~32461\ = CARRY((\led_flash_cnt[398][5]~q\ & !\led_flash_cnt[398][4]~32459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[398][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[398][4]~32459\,
	combout => \led_flash_cnt[398][5]~32460_combout\,
	cout => \led_flash_cnt[398][5]~32461\);

-- Location: FF_X51_Y47_N13
\led_flash_cnt[398][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[398][5]~32460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[398][5]~q\);

-- Location: LCCOMB_X51_Y47_N14
\led_flash_cnt[398][6]~32462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[398][6]~32462_combout\ = (\led_flash_cnt[398][6]~q\ & (!\led_flash_cnt[398][5]~32461\)) # (!\led_flash_cnt[398][6]~q\ & ((\led_flash_cnt[398][5]~32461\) # (GND)))
-- \led_flash_cnt[398][6]~32463\ = CARRY((!\led_flash_cnt[398][5]~32461\) # (!\led_flash_cnt[398][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[398][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[398][5]~32461\,
	combout => \led_flash_cnt[398][6]~32462_combout\,
	cout => \led_flash_cnt[398][6]~32463\);

-- Location: FF_X51_Y47_N15
\led_flash_cnt[398][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[398][6]~32462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[398][6]~q\);

-- Location: LCCOMB_X52_Y47_N28
\WideAnd398~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd398~1_combout\ = (\led_flash_cnt[398][5]~q\ & \led_flash_cnt[398][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[398][5]~q\,
	datad => \led_flash_cnt[398][6]~q\,
	combout => \WideAnd398~1_combout\);

-- Location: LCCOMB_X51_Y47_N16
\led_flash_cnt[398][7]~32464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[398][7]~32464_combout\ = \led_flash_cnt[398][6]~32463\ $ (!\led_flash_cnt[398][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[398][7]~q\,
	cin => \led_flash_cnt[398][6]~32463\,
	combout => \led_flash_cnt[398][7]~32464_combout\);

-- Location: FF_X51_Y47_N17
\led_flash_cnt[398][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[398][7]~32464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[398][7]~q\);

-- Location: LCCOMB_X51_Y47_N2
\WideAnd398~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd398~0_combout\ = (\led_flash_cnt[398][4]~q\ & (\led_flash_cnt[398][3]~q\ & (\led_flash_cnt[398][1]~q\ & \led_flash_cnt[398][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[398][4]~q\,
	datab => \led_flash_cnt[398][3]~q\,
	datac => \led_flash_cnt[398][1]~q\,
	datad => \led_flash_cnt[398][2]~q\,
	combout => \WideAnd398~0_combout\);

-- Location: LCCOMB_X52_Y47_N8
WideAnd398 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd398~combout\ = (\led_flash_cnt[398][0]~q\ & (\WideAnd398~1_combout\ & (\led_flash_cnt[398][7]~q\ & \WideAnd398~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[398][0]~q\,
	datab => \WideAnd398~1_combout\,
	datac => \led_flash_cnt[398][7]~q\,
	datad => \WideAnd398~0_combout\,
	combout => \WideAnd398~combout\);

-- Location: FF_X52_Y47_N9
\led_flash_cnt_ands[398]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd398~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(398));

-- Location: LCCOMB_X55_Y47_N6
\led_flash_cnt[399][0]~81039\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[399][0]~81039_combout\ = !\led_flash_cnt[399][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[399][0]~q\,
	combout => \led_flash_cnt[399][0]~81039_combout\);

-- Location: FF_X55_Y47_N7
\led_flash_cnt[399][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[399][0]~81039_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[399][0]~q\);

-- Location: LCCOMB_X56_Y47_N2
\led_flash_cnt[399][1]~32466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[399][1]~32466_combout\ = (\led_flash_cnt[399][0]~q\ & (\led_flash_cnt[399][1]~q\ $ (VCC))) # (!\led_flash_cnt[399][0]~q\ & (\led_flash_cnt[399][1]~q\ & VCC))
-- \led_flash_cnt[399][1]~32467\ = CARRY((\led_flash_cnt[399][0]~q\ & \led_flash_cnt[399][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[399][0]~q\,
	datab => \led_flash_cnt[399][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[399][1]~32466_combout\,
	cout => \led_flash_cnt[399][1]~32467\);

-- Location: FF_X56_Y47_N3
\led_flash_cnt[399][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[399][1]~32466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[399][1]~q\);

-- Location: LCCOMB_X56_Y47_N4
\led_flash_cnt[399][2]~32468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[399][2]~32468_combout\ = (\led_flash_cnt[399][2]~q\ & (!\led_flash_cnt[399][1]~32467\)) # (!\led_flash_cnt[399][2]~q\ & ((\led_flash_cnt[399][1]~32467\) # (GND)))
-- \led_flash_cnt[399][2]~32469\ = CARRY((!\led_flash_cnt[399][1]~32467\) # (!\led_flash_cnt[399][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[399][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[399][1]~32467\,
	combout => \led_flash_cnt[399][2]~32468_combout\,
	cout => \led_flash_cnt[399][2]~32469\);

-- Location: FF_X56_Y47_N5
\led_flash_cnt[399][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[399][2]~32468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[399][2]~q\);

-- Location: LCCOMB_X56_Y47_N6
\led_flash_cnt[399][3]~32470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[399][3]~32470_combout\ = (\led_flash_cnt[399][3]~q\ & (\led_flash_cnt[399][2]~32469\ $ (GND))) # (!\led_flash_cnt[399][3]~q\ & (!\led_flash_cnt[399][2]~32469\ & VCC))
-- \led_flash_cnt[399][3]~32471\ = CARRY((\led_flash_cnt[399][3]~q\ & !\led_flash_cnt[399][2]~32469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[399][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[399][2]~32469\,
	combout => \led_flash_cnt[399][3]~32470_combout\,
	cout => \led_flash_cnt[399][3]~32471\);

-- Location: FF_X56_Y47_N7
\led_flash_cnt[399][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[399][3]~32470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[399][3]~q\);

-- Location: LCCOMB_X56_Y47_N8
\led_flash_cnt[399][4]~32472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[399][4]~32472_combout\ = (\led_flash_cnt[399][4]~q\ & (!\led_flash_cnt[399][3]~32471\)) # (!\led_flash_cnt[399][4]~q\ & ((\led_flash_cnt[399][3]~32471\) # (GND)))
-- \led_flash_cnt[399][4]~32473\ = CARRY((!\led_flash_cnt[399][3]~32471\) # (!\led_flash_cnt[399][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[399][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[399][3]~32471\,
	combout => \led_flash_cnt[399][4]~32472_combout\,
	cout => \led_flash_cnt[399][4]~32473\);

-- Location: FF_X56_Y47_N9
\led_flash_cnt[399][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[399][4]~32472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[399][4]~q\);

-- Location: LCCOMB_X56_Y47_N10
\led_flash_cnt[399][5]~32474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[399][5]~32474_combout\ = (\led_flash_cnt[399][5]~q\ & (\led_flash_cnt[399][4]~32473\ $ (GND))) # (!\led_flash_cnt[399][5]~q\ & (!\led_flash_cnt[399][4]~32473\ & VCC))
-- \led_flash_cnt[399][5]~32475\ = CARRY((\led_flash_cnt[399][5]~q\ & !\led_flash_cnt[399][4]~32473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[399][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[399][4]~32473\,
	combout => \led_flash_cnt[399][5]~32474_combout\,
	cout => \led_flash_cnt[399][5]~32475\);

-- Location: FF_X56_Y47_N11
\led_flash_cnt[399][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[399][5]~32474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[399][5]~q\);

-- Location: LCCOMB_X56_Y47_N12
\led_flash_cnt[399][6]~32476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[399][6]~32476_combout\ = (\led_flash_cnt[399][6]~q\ & (!\led_flash_cnt[399][5]~32475\)) # (!\led_flash_cnt[399][6]~q\ & ((\led_flash_cnt[399][5]~32475\) # (GND)))
-- \led_flash_cnt[399][6]~32477\ = CARRY((!\led_flash_cnt[399][5]~32475\) # (!\led_flash_cnt[399][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[399][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[399][5]~32475\,
	combout => \led_flash_cnt[399][6]~32476_combout\,
	cout => \led_flash_cnt[399][6]~32477\);

-- Location: FF_X56_Y47_N13
\led_flash_cnt[399][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[399][6]~32476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[399][6]~q\);

-- Location: LCCOMB_X55_Y47_N26
\WideAnd399~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd399~1_combout\ = (\led_flash_cnt[399][6]~q\ & \led_flash_cnt[399][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[399][6]~q\,
	datac => \led_flash_cnt[399][5]~q\,
	combout => \WideAnd399~1_combout\);

-- Location: LCCOMB_X56_Y47_N0
\WideAnd399~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd399~0_combout\ = (\led_flash_cnt[399][3]~q\ & (\led_flash_cnt[399][4]~q\ & (\led_flash_cnt[399][2]~q\ & \led_flash_cnt[399][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[399][3]~q\,
	datab => \led_flash_cnt[399][4]~q\,
	datac => \led_flash_cnt[399][2]~q\,
	datad => \led_flash_cnt[399][1]~q\,
	combout => \WideAnd399~0_combout\);

-- Location: LCCOMB_X56_Y47_N14
\led_flash_cnt[399][7]~32478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[399][7]~32478_combout\ = \led_flash_cnt[399][7]~q\ $ (!\led_flash_cnt[399][6]~32477\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[399][7]~q\,
	cin => \led_flash_cnt[399][6]~32477\,
	combout => \led_flash_cnt[399][7]~32478_combout\);

-- Location: FF_X56_Y47_N15
\led_flash_cnt[399][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[399][7]~32478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[399][7]~q\);

-- Location: LCCOMB_X55_Y47_N24
WideAnd399 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd399~combout\ = (\WideAnd399~1_combout\ & (\WideAnd399~0_combout\ & (\led_flash_cnt[399][7]~q\ & \led_flash_cnt[399][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd399~1_combout\,
	datab => \WideAnd399~0_combout\,
	datac => \led_flash_cnt[399][7]~q\,
	datad => \led_flash_cnt[399][0]~q\,
	combout => \WideAnd399~combout\);

-- Location: FF_X55_Y47_N25
\led_flash_cnt_ands[399]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd399~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(399));

-- Location: LCCOMB_X59_Y47_N10
\led_flash_cnt[393][0]~81033\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[393][0]~81033_combout\ = !\led_flash_cnt[393][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[393][0]~q\,
	combout => \led_flash_cnt[393][0]~81033_combout\);

-- Location: FF_X59_Y47_N11
\led_flash_cnt[393][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[393][0]~81033_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[393][0]~q\);

-- Location: LCCOMB_X59_Y47_N16
\led_flash_cnt[393][1]~32382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[393][1]~32382_combout\ = (\led_flash_cnt[393][0]~q\ & (\led_flash_cnt[393][1]~q\ $ (VCC))) # (!\led_flash_cnt[393][0]~q\ & (\led_flash_cnt[393][1]~q\ & VCC))
-- \led_flash_cnt[393][1]~32383\ = CARRY((\led_flash_cnt[393][0]~q\ & \led_flash_cnt[393][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[393][0]~q\,
	datab => \led_flash_cnt[393][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[393][1]~32382_combout\,
	cout => \led_flash_cnt[393][1]~32383\);

-- Location: FF_X59_Y47_N17
\led_flash_cnt[393][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[393][1]~32382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[393][1]~q\);

-- Location: LCCOMB_X59_Y47_N18
\led_flash_cnt[393][2]~32384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[393][2]~32384_combout\ = (\led_flash_cnt[393][2]~q\ & (!\led_flash_cnt[393][1]~32383\)) # (!\led_flash_cnt[393][2]~q\ & ((\led_flash_cnt[393][1]~32383\) # (GND)))
-- \led_flash_cnt[393][2]~32385\ = CARRY((!\led_flash_cnt[393][1]~32383\) # (!\led_flash_cnt[393][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[393][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[393][1]~32383\,
	combout => \led_flash_cnt[393][2]~32384_combout\,
	cout => \led_flash_cnt[393][2]~32385\);

-- Location: FF_X59_Y47_N19
\led_flash_cnt[393][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[393][2]~32384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[393][2]~q\);

-- Location: LCCOMB_X59_Y47_N20
\led_flash_cnt[393][3]~32386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[393][3]~32386_combout\ = (\led_flash_cnt[393][3]~q\ & (\led_flash_cnt[393][2]~32385\ $ (GND))) # (!\led_flash_cnt[393][3]~q\ & (!\led_flash_cnt[393][2]~32385\ & VCC))
-- \led_flash_cnt[393][3]~32387\ = CARRY((\led_flash_cnt[393][3]~q\ & !\led_flash_cnt[393][2]~32385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[393][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[393][2]~32385\,
	combout => \led_flash_cnt[393][3]~32386_combout\,
	cout => \led_flash_cnt[393][3]~32387\);

-- Location: FF_X59_Y47_N21
\led_flash_cnt[393][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[393][3]~32386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[393][3]~q\);

-- Location: LCCOMB_X59_Y47_N22
\led_flash_cnt[393][4]~32388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[393][4]~32388_combout\ = (\led_flash_cnt[393][4]~q\ & (!\led_flash_cnt[393][3]~32387\)) # (!\led_flash_cnt[393][4]~q\ & ((\led_flash_cnt[393][3]~32387\) # (GND)))
-- \led_flash_cnt[393][4]~32389\ = CARRY((!\led_flash_cnt[393][3]~32387\) # (!\led_flash_cnt[393][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[393][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[393][3]~32387\,
	combout => \led_flash_cnt[393][4]~32388_combout\,
	cout => \led_flash_cnt[393][4]~32389\);

-- Location: FF_X59_Y47_N23
\led_flash_cnt[393][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[393][4]~32388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[393][4]~q\);

-- Location: LCCOMB_X59_Y47_N24
\led_flash_cnt[393][5]~32390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[393][5]~32390_combout\ = (\led_flash_cnt[393][5]~q\ & (\led_flash_cnt[393][4]~32389\ $ (GND))) # (!\led_flash_cnt[393][5]~q\ & (!\led_flash_cnt[393][4]~32389\ & VCC))
-- \led_flash_cnt[393][5]~32391\ = CARRY((\led_flash_cnt[393][5]~q\ & !\led_flash_cnt[393][4]~32389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[393][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[393][4]~32389\,
	combout => \led_flash_cnt[393][5]~32390_combout\,
	cout => \led_flash_cnt[393][5]~32391\);

-- Location: FF_X59_Y47_N25
\led_flash_cnt[393][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[393][5]~32390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[393][5]~q\);

-- Location: LCCOMB_X59_Y47_N26
\led_flash_cnt[393][6]~32392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[393][6]~32392_combout\ = (\led_flash_cnt[393][6]~q\ & (!\led_flash_cnt[393][5]~32391\)) # (!\led_flash_cnt[393][6]~q\ & ((\led_flash_cnt[393][5]~32391\) # (GND)))
-- \led_flash_cnt[393][6]~32393\ = CARRY((!\led_flash_cnt[393][5]~32391\) # (!\led_flash_cnt[393][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[393][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[393][5]~32391\,
	combout => \led_flash_cnt[393][6]~32392_combout\,
	cout => \led_flash_cnt[393][6]~32393\);

-- Location: FF_X59_Y47_N27
\led_flash_cnt[393][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[393][6]~32392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[393][6]~q\);

-- Location: LCCOMB_X59_Y47_N28
\led_flash_cnt[393][7]~32394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[393][7]~32394_combout\ = \led_flash_cnt[393][6]~32393\ $ (!\led_flash_cnt[393][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[393][7]~q\,
	cin => \led_flash_cnt[393][6]~32393\,
	combout => \led_flash_cnt[393][7]~32394_combout\);

-- Location: FF_X59_Y47_N29
\led_flash_cnt[393][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[393][7]~32394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[393][7]~q\);

-- Location: LCCOMB_X59_Y47_N4
\WideAnd393~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd393~1_combout\ = (\led_flash_cnt[393][6]~q\ & \led_flash_cnt[393][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[393][6]~q\,
	datad => \led_flash_cnt[393][5]~q\,
	combout => \WideAnd393~1_combout\);

-- Location: LCCOMB_X59_Y47_N12
\WideAnd393~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd393~0_combout\ = (\led_flash_cnt[393][3]~q\ & (\led_flash_cnt[393][2]~q\ & (\led_flash_cnt[393][4]~q\ & \led_flash_cnt[393][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[393][3]~q\,
	datab => \led_flash_cnt[393][2]~q\,
	datac => \led_flash_cnt[393][4]~q\,
	datad => \led_flash_cnt[393][1]~q\,
	combout => \WideAnd393~0_combout\);

-- Location: LCCOMB_X59_Y47_N30
WideAnd393 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd393~combout\ = (\led_flash_cnt[393][0]~q\ & (\led_flash_cnt[393][7]~q\ & (\WideAnd393~1_combout\ & \WideAnd393~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[393][0]~q\,
	datab => \led_flash_cnt[393][7]~q\,
	datac => \WideAnd393~1_combout\,
	datad => \WideAnd393~0_combout\,
	combout => \WideAnd393~combout\);

-- Location: FF_X59_Y47_N31
\led_flash_cnt_ands[393]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd393~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(393));

-- Location: LCCOMB_X55_Y47_N0
\led_flash_cnt[395][0]~81035\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[395][0]~81035_combout\ = !\led_flash_cnt[395][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[395][0]~q\,
	combout => \led_flash_cnt[395][0]~81035_combout\);

-- Location: FF_X55_Y47_N1
\led_flash_cnt[395][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[395][0]~81035_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[395][0]~q\);

-- Location: LCCOMB_X55_Y47_N10
\led_flash_cnt[395][1]~32410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[395][1]~32410_combout\ = (\led_flash_cnt[395][1]~q\ & (\led_flash_cnt[395][0]~q\ $ (VCC))) # (!\led_flash_cnt[395][1]~q\ & (\led_flash_cnt[395][0]~q\ & VCC))
-- \led_flash_cnt[395][1]~32411\ = CARRY((\led_flash_cnt[395][1]~q\ & \led_flash_cnt[395][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[395][1]~q\,
	datab => \led_flash_cnt[395][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[395][1]~32410_combout\,
	cout => \led_flash_cnt[395][1]~32411\);

-- Location: FF_X55_Y47_N11
\led_flash_cnt[395][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[395][1]~32410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[395][1]~q\);

-- Location: LCCOMB_X55_Y47_N12
\led_flash_cnt[395][2]~32412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[395][2]~32412_combout\ = (\led_flash_cnt[395][2]~q\ & (!\led_flash_cnt[395][1]~32411\)) # (!\led_flash_cnt[395][2]~q\ & ((\led_flash_cnt[395][1]~32411\) # (GND)))
-- \led_flash_cnt[395][2]~32413\ = CARRY((!\led_flash_cnt[395][1]~32411\) # (!\led_flash_cnt[395][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[395][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[395][1]~32411\,
	combout => \led_flash_cnt[395][2]~32412_combout\,
	cout => \led_flash_cnt[395][2]~32413\);

-- Location: FF_X55_Y47_N13
\led_flash_cnt[395][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[395][2]~32412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[395][2]~q\);

-- Location: LCCOMB_X55_Y47_N14
\led_flash_cnt[395][3]~32414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[395][3]~32414_combout\ = (\led_flash_cnt[395][3]~q\ & (\led_flash_cnt[395][2]~32413\ $ (GND))) # (!\led_flash_cnt[395][3]~q\ & (!\led_flash_cnt[395][2]~32413\ & VCC))
-- \led_flash_cnt[395][3]~32415\ = CARRY((\led_flash_cnt[395][3]~q\ & !\led_flash_cnt[395][2]~32413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[395][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[395][2]~32413\,
	combout => \led_flash_cnt[395][3]~32414_combout\,
	cout => \led_flash_cnt[395][3]~32415\);

-- Location: FF_X55_Y47_N15
\led_flash_cnt[395][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[395][3]~32414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[395][3]~q\);

-- Location: LCCOMB_X55_Y47_N16
\led_flash_cnt[395][4]~32416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[395][4]~32416_combout\ = (\led_flash_cnt[395][4]~q\ & (!\led_flash_cnt[395][3]~32415\)) # (!\led_flash_cnt[395][4]~q\ & ((\led_flash_cnt[395][3]~32415\) # (GND)))
-- \led_flash_cnt[395][4]~32417\ = CARRY((!\led_flash_cnt[395][3]~32415\) # (!\led_flash_cnt[395][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[395][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[395][3]~32415\,
	combout => \led_flash_cnt[395][4]~32416_combout\,
	cout => \led_flash_cnt[395][4]~32417\);

-- Location: FF_X55_Y47_N17
\led_flash_cnt[395][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[395][4]~32416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[395][4]~q\);

-- Location: LCCOMB_X55_Y47_N18
\led_flash_cnt[395][5]~32418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[395][5]~32418_combout\ = (\led_flash_cnt[395][5]~q\ & (\led_flash_cnt[395][4]~32417\ $ (GND))) # (!\led_flash_cnt[395][5]~q\ & (!\led_flash_cnt[395][4]~32417\ & VCC))
-- \led_flash_cnt[395][5]~32419\ = CARRY((\led_flash_cnt[395][5]~q\ & !\led_flash_cnt[395][4]~32417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[395][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[395][4]~32417\,
	combout => \led_flash_cnt[395][5]~32418_combout\,
	cout => \led_flash_cnt[395][5]~32419\);

-- Location: FF_X55_Y47_N19
\led_flash_cnt[395][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[395][5]~32418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[395][5]~q\);

-- Location: LCCOMB_X55_Y47_N20
\led_flash_cnt[395][6]~32420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[395][6]~32420_combout\ = (\led_flash_cnt[395][6]~q\ & (!\led_flash_cnt[395][5]~32419\)) # (!\led_flash_cnt[395][6]~q\ & ((\led_flash_cnt[395][5]~32419\) # (GND)))
-- \led_flash_cnt[395][6]~32421\ = CARRY((!\led_flash_cnt[395][5]~32419\) # (!\led_flash_cnt[395][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[395][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[395][5]~32419\,
	combout => \led_flash_cnt[395][6]~32420_combout\,
	cout => \led_flash_cnt[395][6]~32421\);

-- Location: FF_X55_Y47_N21
\led_flash_cnt[395][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[395][6]~32420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[395][6]~q\);

-- Location: LCCOMB_X55_Y47_N22
\led_flash_cnt[395][7]~32422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[395][7]~32422_combout\ = \led_flash_cnt[395][7]~q\ $ (!\led_flash_cnt[395][6]~32421\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[395][7]~q\,
	cin => \led_flash_cnt[395][6]~32421\,
	combout => \led_flash_cnt[395][7]~32422_combout\);

-- Location: FF_X55_Y47_N23
\led_flash_cnt[395][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[395][7]~32422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[395][7]~q\);

-- Location: LCCOMB_X55_Y47_N4
\WideAnd395~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd395~1_combout\ = (\led_flash_cnt[395][6]~q\ & \led_flash_cnt[395][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[395][6]~q\,
	datac => \led_flash_cnt[395][5]~q\,
	combout => \WideAnd395~1_combout\);

-- Location: LCCOMB_X55_Y47_N2
\WideAnd395~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd395~0_combout\ = (\led_flash_cnt[395][2]~q\ & (\led_flash_cnt[395][4]~q\ & (\led_flash_cnt[395][3]~q\ & \led_flash_cnt[395][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[395][2]~q\,
	datab => \led_flash_cnt[395][4]~q\,
	datac => \led_flash_cnt[395][3]~q\,
	datad => \led_flash_cnt[395][1]~q\,
	combout => \WideAnd395~0_combout\);

-- Location: LCCOMB_X55_Y47_N28
WideAnd395 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd395~combout\ = (\led_flash_cnt[395][7]~q\ & (\led_flash_cnt[395][0]~q\ & (\WideAnd395~1_combout\ & \WideAnd395~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[395][7]~q\,
	datab => \led_flash_cnt[395][0]~q\,
	datac => \WideAnd395~1_combout\,
	datad => \WideAnd395~0_combout\,
	combout => \WideAnd395~combout\);

-- Location: FF_X55_Y47_N29
\led_flash_cnt_ands[395]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd395~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(395));

-- Location: LCCOMB_X55_Y49_N12
\led_flash_cnt[392][0]~81032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[392][0]~81032_combout\ = !\led_flash_cnt[392][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[392][0]~q\,
	combout => \led_flash_cnt[392][0]~81032_combout\);

-- Location: FF_X55_Y49_N13
\led_flash_cnt[392][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[392][0]~81032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[392][0]~q\);

-- Location: LCCOMB_X55_Y49_N18
\led_flash_cnt[392][1]~32368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[392][1]~32368_combout\ = (\led_flash_cnt[392][0]~q\ & (\led_flash_cnt[392][1]~q\ $ (VCC))) # (!\led_flash_cnt[392][0]~q\ & (\led_flash_cnt[392][1]~q\ & VCC))
-- \led_flash_cnt[392][1]~32369\ = CARRY((\led_flash_cnt[392][0]~q\ & \led_flash_cnt[392][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[392][0]~q\,
	datab => \led_flash_cnt[392][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[392][1]~32368_combout\,
	cout => \led_flash_cnt[392][1]~32369\);

-- Location: FF_X55_Y49_N19
\led_flash_cnt[392][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[392][1]~32368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[392][1]~q\);

-- Location: LCCOMB_X55_Y49_N20
\led_flash_cnt[392][2]~32370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[392][2]~32370_combout\ = (\led_flash_cnt[392][2]~q\ & (!\led_flash_cnt[392][1]~32369\)) # (!\led_flash_cnt[392][2]~q\ & ((\led_flash_cnt[392][1]~32369\) # (GND)))
-- \led_flash_cnt[392][2]~32371\ = CARRY((!\led_flash_cnt[392][1]~32369\) # (!\led_flash_cnt[392][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[392][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[392][1]~32369\,
	combout => \led_flash_cnt[392][2]~32370_combout\,
	cout => \led_flash_cnt[392][2]~32371\);

-- Location: FF_X55_Y49_N21
\led_flash_cnt[392][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[392][2]~32370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[392][2]~q\);

-- Location: LCCOMB_X55_Y49_N22
\led_flash_cnt[392][3]~32372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[392][3]~32372_combout\ = (\led_flash_cnt[392][3]~q\ & (\led_flash_cnt[392][2]~32371\ $ (GND))) # (!\led_flash_cnt[392][3]~q\ & (!\led_flash_cnt[392][2]~32371\ & VCC))
-- \led_flash_cnt[392][3]~32373\ = CARRY((\led_flash_cnt[392][3]~q\ & !\led_flash_cnt[392][2]~32371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[392][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[392][2]~32371\,
	combout => \led_flash_cnt[392][3]~32372_combout\,
	cout => \led_flash_cnt[392][3]~32373\);

-- Location: FF_X55_Y49_N23
\led_flash_cnt[392][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[392][3]~32372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[392][3]~q\);

-- Location: LCCOMB_X55_Y49_N24
\led_flash_cnt[392][4]~32374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[392][4]~32374_combout\ = (\led_flash_cnt[392][4]~q\ & (!\led_flash_cnt[392][3]~32373\)) # (!\led_flash_cnt[392][4]~q\ & ((\led_flash_cnt[392][3]~32373\) # (GND)))
-- \led_flash_cnt[392][4]~32375\ = CARRY((!\led_flash_cnt[392][3]~32373\) # (!\led_flash_cnt[392][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[392][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[392][3]~32373\,
	combout => \led_flash_cnt[392][4]~32374_combout\,
	cout => \led_flash_cnt[392][4]~32375\);

-- Location: FF_X55_Y49_N25
\led_flash_cnt[392][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[392][4]~32374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[392][4]~q\);

-- Location: LCCOMB_X55_Y49_N26
\led_flash_cnt[392][5]~32376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[392][5]~32376_combout\ = (\led_flash_cnt[392][5]~q\ & (\led_flash_cnt[392][4]~32375\ $ (GND))) # (!\led_flash_cnt[392][5]~q\ & (!\led_flash_cnt[392][4]~32375\ & VCC))
-- \led_flash_cnt[392][5]~32377\ = CARRY((\led_flash_cnt[392][5]~q\ & !\led_flash_cnt[392][4]~32375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[392][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[392][4]~32375\,
	combout => \led_flash_cnt[392][5]~32376_combout\,
	cout => \led_flash_cnt[392][5]~32377\);

-- Location: FF_X55_Y49_N27
\led_flash_cnt[392][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[392][5]~32376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[392][5]~q\);

-- Location: LCCOMB_X55_Y49_N28
\led_flash_cnt[392][6]~32378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[392][6]~32378_combout\ = (\led_flash_cnt[392][6]~q\ & (!\led_flash_cnt[392][5]~32377\)) # (!\led_flash_cnt[392][6]~q\ & ((\led_flash_cnt[392][5]~32377\) # (GND)))
-- \led_flash_cnt[392][6]~32379\ = CARRY((!\led_flash_cnt[392][5]~32377\) # (!\led_flash_cnt[392][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[392][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[392][5]~32377\,
	combout => \led_flash_cnt[392][6]~32378_combout\,
	cout => \led_flash_cnt[392][6]~32379\);

-- Location: FF_X55_Y49_N29
\led_flash_cnt[392][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[392][6]~32378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[392][6]~q\);

-- Location: LCCOMB_X55_Y49_N10
\WideAnd392~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd392~1_combout\ = (\led_flash_cnt[392][5]~q\ & \led_flash_cnt[392][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[392][5]~q\,
	datad => \led_flash_cnt[392][6]~q\,
	combout => \WideAnd392~1_combout\);

-- Location: LCCOMB_X55_Y49_N8
\WideAnd392~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd392~0_combout\ = (\led_flash_cnt[392][4]~q\ & (\led_flash_cnt[392][2]~q\ & (\led_flash_cnt[392][3]~q\ & \led_flash_cnt[392][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[392][4]~q\,
	datab => \led_flash_cnt[392][2]~q\,
	datac => \led_flash_cnt[392][3]~q\,
	datad => \led_flash_cnt[392][1]~q\,
	combout => \WideAnd392~0_combout\);

-- Location: LCCOMB_X55_Y49_N30
\led_flash_cnt[392][7]~32380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[392][7]~32380_combout\ = \led_flash_cnt[392][7]~q\ $ (!\led_flash_cnt[392][6]~32379\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[392][7]~q\,
	cin => \led_flash_cnt[392][6]~32379\,
	combout => \led_flash_cnt[392][7]~32380_combout\);

-- Location: FF_X55_Y49_N31
\led_flash_cnt[392][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[392][7]~32380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[392][7]~q\);

-- Location: LCCOMB_X55_Y49_N4
WideAnd392 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd392~combout\ = (\WideAnd392~1_combout\ & (\WideAnd392~0_combout\ & (\led_flash_cnt[392][7]~q\ & \led_flash_cnt[392][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd392~1_combout\,
	datab => \WideAnd392~0_combout\,
	datac => \led_flash_cnt[392][7]~q\,
	datad => \led_flash_cnt[392][0]~q\,
	combout => \WideAnd392~combout\);

-- Location: FF_X55_Y49_N5
\led_flash_cnt_ands[392]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd392~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(392));

-- Location: LCCOMB_X58_Y47_N10
\led_flash_cnt[394][0]~81034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[394][0]~81034_combout\ = !\led_flash_cnt[394][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[394][0]~q\,
	combout => \led_flash_cnt[394][0]~81034_combout\);

-- Location: FF_X58_Y47_N11
\led_flash_cnt[394][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[394][0]~81034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[394][0]~q\);

-- Location: LCCOMB_X58_Y47_N12
\led_flash_cnt[394][1]~32396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[394][1]~32396_combout\ = (\led_flash_cnt[394][1]~q\ & (\led_flash_cnt[394][0]~q\ $ (VCC))) # (!\led_flash_cnt[394][1]~q\ & (\led_flash_cnt[394][0]~q\ & VCC))
-- \led_flash_cnt[394][1]~32397\ = CARRY((\led_flash_cnt[394][1]~q\ & \led_flash_cnt[394][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[394][1]~q\,
	datab => \led_flash_cnt[394][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[394][1]~32396_combout\,
	cout => \led_flash_cnt[394][1]~32397\);

-- Location: FF_X58_Y47_N13
\led_flash_cnt[394][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[394][1]~32396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[394][1]~q\);

-- Location: LCCOMB_X58_Y47_N14
\led_flash_cnt[394][2]~32398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[394][2]~32398_combout\ = (\led_flash_cnt[394][2]~q\ & (!\led_flash_cnt[394][1]~32397\)) # (!\led_flash_cnt[394][2]~q\ & ((\led_flash_cnt[394][1]~32397\) # (GND)))
-- \led_flash_cnt[394][2]~32399\ = CARRY((!\led_flash_cnt[394][1]~32397\) # (!\led_flash_cnt[394][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[394][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[394][1]~32397\,
	combout => \led_flash_cnt[394][2]~32398_combout\,
	cout => \led_flash_cnt[394][2]~32399\);

-- Location: FF_X58_Y47_N15
\led_flash_cnt[394][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[394][2]~32398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[394][2]~q\);

-- Location: LCCOMB_X58_Y47_N16
\led_flash_cnt[394][3]~32400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[394][3]~32400_combout\ = (\led_flash_cnt[394][3]~q\ & (\led_flash_cnt[394][2]~32399\ $ (GND))) # (!\led_flash_cnt[394][3]~q\ & (!\led_flash_cnt[394][2]~32399\ & VCC))
-- \led_flash_cnt[394][3]~32401\ = CARRY((\led_flash_cnt[394][3]~q\ & !\led_flash_cnt[394][2]~32399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[394][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[394][2]~32399\,
	combout => \led_flash_cnt[394][3]~32400_combout\,
	cout => \led_flash_cnt[394][3]~32401\);

-- Location: FF_X58_Y47_N17
\led_flash_cnt[394][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[394][3]~32400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[394][3]~q\);

-- Location: LCCOMB_X58_Y47_N18
\led_flash_cnt[394][4]~32402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[394][4]~32402_combout\ = (\led_flash_cnt[394][4]~q\ & (!\led_flash_cnt[394][3]~32401\)) # (!\led_flash_cnt[394][4]~q\ & ((\led_flash_cnt[394][3]~32401\) # (GND)))
-- \led_flash_cnt[394][4]~32403\ = CARRY((!\led_flash_cnt[394][3]~32401\) # (!\led_flash_cnt[394][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[394][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[394][3]~32401\,
	combout => \led_flash_cnt[394][4]~32402_combout\,
	cout => \led_flash_cnt[394][4]~32403\);

-- Location: FF_X58_Y47_N19
\led_flash_cnt[394][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[394][4]~32402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[394][4]~q\);

-- Location: LCCOMB_X58_Y47_N20
\led_flash_cnt[394][5]~32404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[394][5]~32404_combout\ = (\led_flash_cnt[394][5]~q\ & (\led_flash_cnt[394][4]~32403\ $ (GND))) # (!\led_flash_cnt[394][5]~q\ & (!\led_flash_cnt[394][4]~32403\ & VCC))
-- \led_flash_cnt[394][5]~32405\ = CARRY((\led_flash_cnt[394][5]~q\ & !\led_flash_cnt[394][4]~32403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[394][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[394][4]~32403\,
	combout => \led_flash_cnt[394][5]~32404_combout\,
	cout => \led_flash_cnt[394][5]~32405\);

-- Location: FF_X58_Y47_N21
\led_flash_cnt[394][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[394][5]~32404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[394][5]~q\);

-- Location: LCCOMB_X58_Y47_N22
\led_flash_cnt[394][6]~32406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[394][6]~32406_combout\ = (\led_flash_cnt[394][6]~q\ & (!\led_flash_cnt[394][5]~32405\)) # (!\led_flash_cnt[394][6]~q\ & ((\led_flash_cnt[394][5]~32405\) # (GND)))
-- \led_flash_cnt[394][6]~32407\ = CARRY((!\led_flash_cnt[394][5]~32405\) # (!\led_flash_cnt[394][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[394][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[394][5]~32405\,
	combout => \led_flash_cnt[394][6]~32406_combout\,
	cout => \led_flash_cnt[394][6]~32407\);

-- Location: FF_X58_Y47_N23
\led_flash_cnt[394][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[394][6]~32406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[394][6]~q\);

-- Location: LCCOMB_X58_Y47_N24
\led_flash_cnt[394][7]~32408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[394][7]~32408_combout\ = \led_flash_cnt[394][6]~32407\ $ (!\led_flash_cnt[394][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[394][7]~q\,
	cin => \led_flash_cnt[394][6]~32407\,
	combout => \led_flash_cnt[394][7]~32408_combout\);

-- Location: FF_X58_Y47_N25
\led_flash_cnt[394][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[394][7]~32408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[394][7]~q\);

-- Location: LCCOMB_X58_Y47_N26
\WideAnd394~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd394~0_combout\ = (\led_flash_cnt[394][1]~q\ & (\led_flash_cnt[394][4]~q\ & (\led_flash_cnt[394][2]~q\ & \led_flash_cnt[394][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[394][1]~q\,
	datab => \led_flash_cnt[394][4]~q\,
	datac => \led_flash_cnt[394][2]~q\,
	datad => \led_flash_cnt[394][3]~q\,
	combout => \WideAnd394~0_combout\);

-- Location: LCCOMB_X58_Y47_N0
\WideAnd394~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd394~1_combout\ = (\led_flash_cnt[394][6]~q\ & \led_flash_cnt[394][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[394][6]~q\,
	datad => \led_flash_cnt[394][5]~q\,
	combout => \WideAnd394~1_combout\);

-- Location: LCCOMB_X58_Y47_N2
WideAnd394 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd394~combout\ = (\led_flash_cnt[394][0]~q\ & (\led_flash_cnt[394][7]~q\ & (\WideAnd394~0_combout\ & \WideAnd394~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[394][0]~q\,
	datab => \led_flash_cnt[394][7]~q\,
	datac => \WideAnd394~0_combout\,
	datad => \WideAnd394~1_combout\,
	combout => \WideAnd394~combout\);

-- Location: FF_X58_Y47_N3
\led_flash_cnt_ands[394]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd394~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(394));

-- Location: LCCOMB_X55_Y47_N8
\WideAnd3889~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3889~0_combout\ = (led_flash_cnt_ands(393) & (led_flash_cnt_ands(395) & (led_flash_cnt_ands(392) & led_flash_cnt_ands(394))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(393),
	datab => led_flash_cnt_ands(395),
	datac => led_flash_cnt_ands(392),
	datad => led_flash_cnt_ands(394),
	combout => \WideAnd3889~0_combout\);

-- Location: LCCOMB_X50_Y49_N30
\led_flash_cnt[396][0]~81036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[396][0]~81036_combout\ = !\led_flash_cnt[396][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[396][0]~q\,
	combout => \led_flash_cnt[396][0]~81036_combout\);

-- Location: FF_X50_Y49_N31
\led_flash_cnt[396][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[396][0]~81036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[396][0]~q\);

-- Location: LCCOMB_X49_Y49_N0
\led_flash_cnt[396][1]~32424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[396][1]~32424_combout\ = (\led_flash_cnt[396][0]~q\ & (\led_flash_cnt[396][1]~q\ $ (VCC))) # (!\led_flash_cnt[396][0]~q\ & (\led_flash_cnt[396][1]~q\ & VCC))
-- \led_flash_cnt[396][1]~32425\ = CARRY((\led_flash_cnt[396][0]~q\ & \led_flash_cnt[396][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[396][0]~q\,
	datab => \led_flash_cnt[396][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[396][1]~32424_combout\,
	cout => \led_flash_cnt[396][1]~32425\);

-- Location: FF_X49_Y49_N1
\led_flash_cnt[396][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[396][1]~32424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[396][1]~q\);

-- Location: LCCOMB_X49_Y49_N2
\led_flash_cnt[396][2]~32426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[396][2]~32426_combout\ = (\led_flash_cnt[396][2]~q\ & (!\led_flash_cnt[396][1]~32425\)) # (!\led_flash_cnt[396][2]~q\ & ((\led_flash_cnt[396][1]~32425\) # (GND)))
-- \led_flash_cnt[396][2]~32427\ = CARRY((!\led_flash_cnt[396][1]~32425\) # (!\led_flash_cnt[396][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[396][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[396][1]~32425\,
	combout => \led_flash_cnt[396][2]~32426_combout\,
	cout => \led_flash_cnt[396][2]~32427\);

-- Location: FF_X49_Y49_N3
\led_flash_cnt[396][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[396][2]~32426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[396][2]~q\);

-- Location: LCCOMB_X49_Y49_N4
\led_flash_cnt[396][3]~32428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[396][3]~32428_combout\ = (\led_flash_cnt[396][3]~q\ & (\led_flash_cnt[396][2]~32427\ $ (GND))) # (!\led_flash_cnt[396][3]~q\ & (!\led_flash_cnt[396][2]~32427\ & VCC))
-- \led_flash_cnt[396][3]~32429\ = CARRY((\led_flash_cnt[396][3]~q\ & !\led_flash_cnt[396][2]~32427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[396][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[396][2]~32427\,
	combout => \led_flash_cnt[396][3]~32428_combout\,
	cout => \led_flash_cnt[396][3]~32429\);

-- Location: FF_X49_Y49_N5
\led_flash_cnt[396][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[396][3]~32428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[396][3]~q\);

-- Location: LCCOMB_X49_Y49_N6
\led_flash_cnt[396][4]~32430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[396][4]~32430_combout\ = (\led_flash_cnt[396][4]~q\ & (!\led_flash_cnt[396][3]~32429\)) # (!\led_flash_cnt[396][4]~q\ & ((\led_flash_cnt[396][3]~32429\) # (GND)))
-- \led_flash_cnt[396][4]~32431\ = CARRY((!\led_flash_cnt[396][3]~32429\) # (!\led_flash_cnt[396][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[396][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[396][3]~32429\,
	combout => \led_flash_cnt[396][4]~32430_combout\,
	cout => \led_flash_cnt[396][4]~32431\);

-- Location: FF_X49_Y49_N7
\led_flash_cnt[396][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[396][4]~32430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[396][4]~q\);

-- Location: LCCOMB_X49_Y49_N8
\led_flash_cnt[396][5]~32432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[396][5]~32432_combout\ = (\led_flash_cnt[396][5]~q\ & (\led_flash_cnt[396][4]~32431\ $ (GND))) # (!\led_flash_cnt[396][5]~q\ & (!\led_flash_cnt[396][4]~32431\ & VCC))
-- \led_flash_cnt[396][5]~32433\ = CARRY((\led_flash_cnt[396][5]~q\ & !\led_flash_cnt[396][4]~32431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[396][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[396][4]~32431\,
	combout => \led_flash_cnt[396][5]~32432_combout\,
	cout => \led_flash_cnt[396][5]~32433\);

-- Location: FF_X49_Y49_N9
\led_flash_cnt[396][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[396][5]~32432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[396][5]~q\);

-- Location: LCCOMB_X49_Y49_N10
\led_flash_cnt[396][6]~32434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[396][6]~32434_combout\ = (\led_flash_cnt[396][6]~q\ & (!\led_flash_cnt[396][5]~32433\)) # (!\led_flash_cnt[396][6]~q\ & ((\led_flash_cnt[396][5]~32433\) # (GND)))
-- \led_flash_cnt[396][6]~32435\ = CARRY((!\led_flash_cnt[396][5]~32433\) # (!\led_flash_cnt[396][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[396][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[396][5]~32433\,
	combout => \led_flash_cnt[396][6]~32434_combout\,
	cout => \led_flash_cnt[396][6]~32435\);

-- Location: FF_X49_Y49_N11
\led_flash_cnt[396][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[396][6]~32434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[396][6]~q\);

-- Location: LCCOMB_X49_Y49_N12
\led_flash_cnt[396][7]~32436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[396][7]~32436_combout\ = \led_flash_cnt[396][6]~32435\ $ (!\led_flash_cnt[396][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[396][7]~q\,
	cin => \led_flash_cnt[396][6]~32435\,
	combout => \led_flash_cnt[396][7]~32436_combout\);

-- Location: FF_X49_Y49_N13
\led_flash_cnt[396][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[396][7]~32436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[396][7]~q\);

-- Location: LCCOMB_X50_Y49_N8
\WideAnd396~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd396~1_combout\ = (\led_flash_cnt[396][6]~q\ & \led_flash_cnt[396][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[396][6]~q\,
	datad => \led_flash_cnt[396][5]~q\,
	combout => \WideAnd396~1_combout\);

-- Location: LCCOMB_X50_Y49_N12
\WideAnd396~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd396~0_combout\ = (\led_flash_cnt[396][1]~q\ & (\led_flash_cnt[396][4]~q\ & (\led_flash_cnt[396][3]~q\ & \led_flash_cnt[396][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[396][1]~q\,
	datab => \led_flash_cnt[396][4]~q\,
	datac => \led_flash_cnt[396][3]~q\,
	datad => \led_flash_cnt[396][2]~q\,
	combout => \WideAnd396~0_combout\);

-- Location: LCCOMB_X50_Y49_N2
WideAnd396 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd396~combout\ = (\led_flash_cnt[396][7]~q\ & (\led_flash_cnt[396][0]~q\ & (\WideAnd396~1_combout\ & \WideAnd396~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[396][7]~q\,
	datab => \led_flash_cnt[396][0]~q\,
	datac => \WideAnd396~1_combout\,
	datad => \WideAnd396~0_combout\,
	combout => \WideAnd396~combout\);

-- Location: FF_X50_Y49_N3
\led_flash_cnt_ands[396]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd396~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(396));

-- Location: LCCOMB_X50_Y49_N6
\led_flash_cnt[397][0]~81037\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[397][0]~81037_combout\ = !\led_flash_cnt[397][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[397][0]~q\,
	combout => \led_flash_cnt[397][0]~81037_combout\);

-- Location: FF_X50_Y49_N7
\led_flash_cnt[397][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[397][0]~81037_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[397][0]~q\);

-- Location: LCCOMB_X50_Y49_N16
\led_flash_cnt[397][1]~32438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[397][1]~32438_combout\ = (\led_flash_cnt[397][0]~q\ & (\led_flash_cnt[397][1]~q\ $ (VCC))) # (!\led_flash_cnt[397][0]~q\ & (\led_flash_cnt[397][1]~q\ & VCC))
-- \led_flash_cnt[397][1]~32439\ = CARRY((\led_flash_cnt[397][0]~q\ & \led_flash_cnt[397][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[397][0]~q\,
	datab => \led_flash_cnt[397][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[397][1]~32438_combout\,
	cout => \led_flash_cnt[397][1]~32439\);

-- Location: FF_X50_Y49_N17
\led_flash_cnt[397][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[397][1]~32438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[397][1]~q\);

-- Location: LCCOMB_X50_Y49_N18
\led_flash_cnt[397][2]~32440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[397][2]~32440_combout\ = (\led_flash_cnt[397][2]~q\ & (!\led_flash_cnt[397][1]~32439\)) # (!\led_flash_cnt[397][2]~q\ & ((\led_flash_cnt[397][1]~32439\) # (GND)))
-- \led_flash_cnt[397][2]~32441\ = CARRY((!\led_flash_cnt[397][1]~32439\) # (!\led_flash_cnt[397][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[397][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[397][1]~32439\,
	combout => \led_flash_cnt[397][2]~32440_combout\,
	cout => \led_flash_cnt[397][2]~32441\);

-- Location: FF_X50_Y49_N19
\led_flash_cnt[397][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[397][2]~32440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[397][2]~q\);

-- Location: LCCOMB_X50_Y49_N20
\led_flash_cnt[397][3]~32442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[397][3]~32442_combout\ = (\led_flash_cnt[397][3]~q\ & (\led_flash_cnt[397][2]~32441\ $ (GND))) # (!\led_flash_cnt[397][3]~q\ & (!\led_flash_cnt[397][2]~32441\ & VCC))
-- \led_flash_cnt[397][3]~32443\ = CARRY((\led_flash_cnt[397][3]~q\ & !\led_flash_cnt[397][2]~32441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[397][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[397][2]~32441\,
	combout => \led_flash_cnt[397][3]~32442_combout\,
	cout => \led_flash_cnt[397][3]~32443\);

-- Location: FF_X50_Y49_N21
\led_flash_cnt[397][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[397][3]~32442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[397][3]~q\);

-- Location: LCCOMB_X50_Y49_N22
\led_flash_cnt[397][4]~32444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[397][4]~32444_combout\ = (\led_flash_cnt[397][4]~q\ & (!\led_flash_cnt[397][3]~32443\)) # (!\led_flash_cnt[397][4]~q\ & ((\led_flash_cnt[397][3]~32443\) # (GND)))
-- \led_flash_cnt[397][4]~32445\ = CARRY((!\led_flash_cnt[397][3]~32443\) # (!\led_flash_cnt[397][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[397][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[397][3]~32443\,
	combout => \led_flash_cnt[397][4]~32444_combout\,
	cout => \led_flash_cnt[397][4]~32445\);

-- Location: FF_X50_Y49_N23
\led_flash_cnt[397][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[397][4]~32444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[397][4]~q\);

-- Location: LCCOMB_X50_Y49_N24
\led_flash_cnt[397][5]~32446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[397][5]~32446_combout\ = (\led_flash_cnt[397][5]~q\ & (\led_flash_cnt[397][4]~32445\ $ (GND))) # (!\led_flash_cnt[397][5]~q\ & (!\led_flash_cnt[397][4]~32445\ & VCC))
-- \led_flash_cnt[397][5]~32447\ = CARRY((\led_flash_cnt[397][5]~q\ & !\led_flash_cnt[397][4]~32445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[397][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[397][4]~32445\,
	combout => \led_flash_cnt[397][5]~32446_combout\,
	cout => \led_flash_cnt[397][5]~32447\);

-- Location: FF_X50_Y49_N25
\led_flash_cnt[397][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[397][5]~32446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[397][5]~q\);

-- Location: LCCOMB_X50_Y49_N26
\led_flash_cnt[397][6]~32448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[397][6]~32448_combout\ = (\led_flash_cnt[397][6]~q\ & (!\led_flash_cnt[397][5]~32447\)) # (!\led_flash_cnt[397][6]~q\ & ((\led_flash_cnt[397][5]~32447\) # (GND)))
-- \led_flash_cnt[397][6]~32449\ = CARRY((!\led_flash_cnt[397][5]~32447\) # (!\led_flash_cnt[397][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[397][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[397][5]~32447\,
	combout => \led_flash_cnt[397][6]~32448_combout\,
	cout => \led_flash_cnt[397][6]~32449\);

-- Location: FF_X50_Y49_N27
\led_flash_cnt[397][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[397][6]~32448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[397][6]~q\);

-- Location: LCCOMB_X50_Y49_N28
\led_flash_cnt[397][7]~32450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[397][7]~32450_combout\ = \led_flash_cnt[397][6]~32449\ $ (!\led_flash_cnt[397][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[397][7]~q\,
	cin => \led_flash_cnt[397][6]~32449\,
	combout => \led_flash_cnt[397][7]~32450_combout\);

-- Location: FF_X50_Y49_N29
\led_flash_cnt[397][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[397][7]~32450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[397][7]~q\);

-- Location: LCCOMB_X50_Y49_N4
\WideAnd397~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd397~1_combout\ = (\led_flash_cnt[397][6]~q\ & \led_flash_cnt[397][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[397][6]~q\,
	datad => \led_flash_cnt[397][5]~q\,
	combout => \WideAnd397~1_combout\);

-- Location: LCCOMB_X50_Y49_N10
\WideAnd397~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd397~0_combout\ = (\led_flash_cnt[397][2]~q\ & (\led_flash_cnt[397][3]~q\ & (\led_flash_cnt[397][4]~q\ & \led_flash_cnt[397][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[397][2]~q\,
	datab => \led_flash_cnt[397][3]~q\,
	datac => \led_flash_cnt[397][4]~q\,
	datad => \led_flash_cnt[397][1]~q\,
	combout => \WideAnd397~0_combout\);

-- Location: LCCOMB_X50_Y49_N14
WideAnd397 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd397~combout\ = (\led_flash_cnt[397][0]~q\ & (\led_flash_cnt[397][7]~q\ & (\WideAnd397~1_combout\ & \WideAnd397~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[397][0]~q\,
	datab => \led_flash_cnt[397][7]~q\,
	datac => \WideAnd397~1_combout\,
	datad => \WideAnd397~0_combout\,
	combout => \WideAnd397~combout\);

-- Location: FF_X50_Y49_N15
\led_flash_cnt_ands[397]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd397~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(397));

-- Location: LCCOMB_X51_Y49_N26
\WideAnd3889~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3889~1_combout\ = (led_flash_cnt_ands(396) & led_flash_cnt_ands(397))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(396),
	datad => led_flash_cnt_ands(397),
	combout => \WideAnd3889~1_combout\);

-- Location: LCCOMB_X55_Y47_N30
WideAnd3889 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3889~combout\ = (led_flash_cnt_ands(398) & (led_flash_cnt_ands(399) & (\WideAnd3889~0_combout\ & \WideAnd3889~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(398),
	datab => led_flash_cnt_ands(399),
	datac => \WideAnd3889~0_combout\,
	datad => \WideAnd3889~1_combout\,
	combout => \WideAnd3889~combout\);

-- Location: FF_X55_Y47_N31
\led_flash_cnt_ands_1[49]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3889~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(49));

-- Location: LCCOMB_X49_Y43_N6
\led_flash_cnt[405][0]~81045\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[405][0]~81045_combout\ = !\led_flash_cnt[405][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[405][0]~q\,
	combout => \led_flash_cnt[405][0]~81045_combout\);

-- Location: FF_X49_Y43_N7
\led_flash_cnt[405][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[405][0]~81045_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[405][0]~q\);

-- Location: LCCOMB_X50_Y43_N14
\led_flash_cnt[405][1]~32550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[405][1]~32550_combout\ = (\led_flash_cnt[405][1]~q\ & (\led_flash_cnt[405][0]~q\ $ (VCC))) # (!\led_flash_cnt[405][1]~q\ & (\led_flash_cnt[405][0]~q\ & VCC))
-- \led_flash_cnt[405][1]~32551\ = CARRY((\led_flash_cnt[405][1]~q\ & \led_flash_cnt[405][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[405][1]~q\,
	datab => \led_flash_cnt[405][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[405][1]~32550_combout\,
	cout => \led_flash_cnt[405][1]~32551\);

-- Location: FF_X50_Y43_N15
\led_flash_cnt[405][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[405][1]~32550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[405][1]~q\);

-- Location: LCCOMB_X50_Y43_N16
\led_flash_cnt[405][2]~32552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[405][2]~32552_combout\ = (\led_flash_cnt[405][2]~q\ & (!\led_flash_cnt[405][1]~32551\)) # (!\led_flash_cnt[405][2]~q\ & ((\led_flash_cnt[405][1]~32551\) # (GND)))
-- \led_flash_cnt[405][2]~32553\ = CARRY((!\led_flash_cnt[405][1]~32551\) # (!\led_flash_cnt[405][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[405][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[405][1]~32551\,
	combout => \led_flash_cnt[405][2]~32552_combout\,
	cout => \led_flash_cnt[405][2]~32553\);

-- Location: FF_X50_Y43_N17
\led_flash_cnt[405][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[405][2]~32552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[405][2]~q\);

-- Location: LCCOMB_X50_Y43_N18
\led_flash_cnt[405][3]~32554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[405][3]~32554_combout\ = (\led_flash_cnt[405][3]~q\ & (\led_flash_cnt[405][2]~32553\ $ (GND))) # (!\led_flash_cnt[405][3]~q\ & (!\led_flash_cnt[405][2]~32553\ & VCC))
-- \led_flash_cnt[405][3]~32555\ = CARRY((\led_flash_cnt[405][3]~q\ & !\led_flash_cnt[405][2]~32553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[405][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[405][2]~32553\,
	combout => \led_flash_cnt[405][3]~32554_combout\,
	cout => \led_flash_cnt[405][3]~32555\);

-- Location: FF_X50_Y43_N19
\led_flash_cnt[405][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[405][3]~32554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[405][3]~q\);

-- Location: LCCOMB_X50_Y43_N20
\led_flash_cnt[405][4]~32556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[405][4]~32556_combout\ = (\led_flash_cnt[405][4]~q\ & (!\led_flash_cnt[405][3]~32555\)) # (!\led_flash_cnt[405][4]~q\ & ((\led_flash_cnt[405][3]~32555\) # (GND)))
-- \led_flash_cnt[405][4]~32557\ = CARRY((!\led_flash_cnt[405][3]~32555\) # (!\led_flash_cnt[405][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[405][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[405][3]~32555\,
	combout => \led_flash_cnt[405][4]~32556_combout\,
	cout => \led_flash_cnt[405][4]~32557\);

-- Location: FF_X50_Y43_N21
\led_flash_cnt[405][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[405][4]~32556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[405][4]~q\);

-- Location: LCCOMB_X49_Y43_N10
\WideAnd405~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd405~0_combout\ = (\led_flash_cnt[405][4]~q\ & (\led_flash_cnt[405][3]~q\ & (\led_flash_cnt[405][1]~q\ & \led_flash_cnt[405][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[405][4]~q\,
	datab => \led_flash_cnt[405][3]~q\,
	datac => \led_flash_cnt[405][1]~q\,
	datad => \led_flash_cnt[405][2]~q\,
	combout => \WideAnd405~0_combout\);

-- Location: LCCOMB_X50_Y43_N22
\led_flash_cnt[405][5]~32558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[405][5]~32558_combout\ = (\led_flash_cnt[405][5]~q\ & (\led_flash_cnt[405][4]~32557\ $ (GND))) # (!\led_flash_cnt[405][5]~q\ & (!\led_flash_cnt[405][4]~32557\ & VCC))
-- \led_flash_cnt[405][5]~32559\ = CARRY((\led_flash_cnt[405][5]~q\ & !\led_flash_cnt[405][4]~32557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[405][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[405][4]~32557\,
	combout => \led_flash_cnt[405][5]~32558_combout\,
	cout => \led_flash_cnt[405][5]~32559\);

-- Location: FF_X50_Y43_N23
\led_flash_cnt[405][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[405][5]~32558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[405][5]~q\);

-- Location: LCCOMB_X50_Y43_N24
\led_flash_cnt[405][6]~32560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[405][6]~32560_combout\ = (\led_flash_cnt[405][6]~q\ & (!\led_flash_cnt[405][5]~32559\)) # (!\led_flash_cnt[405][6]~q\ & ((\led_flash_cnt[405][5]~32559\) # (GND)))
-- \led_flash_cnt[405][6]~32561\ = CARRY((!\led_flash_cnt[405][5]~32559\) # (!\led_flash_cnt[405][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[405][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[405][5]~32559\,
	combout => \led_flash_cnt[405][6]~32560_combout\,
	cout => \led_flash_cnt[405][6]~32561\);

-- Location: FF_X50_Y43_N25
\led_flash_cnt[405][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[405][6]~32560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[405][6]~q\);

-- Location: LCCOMB_X50_Y43_N26
\led_flash_cnt[405][7]~32562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[405][7]~32562_combout\ = \led_flash_cnt[405][7]~q\ $ (!\led_flash_cnt[405][6]~32561\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[405][7]~q\,
	cin => \led_flash_cnt[405][6]~32561\,
	combout => \led_flash_cnt[405][7]~32562_combout\);

-- Location: FF_X50_Y43_N27
\led_flash_cnt[405][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[405][7]~32562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[405][7]~q\);

-- Location: LCCOMB_X49_Y43_N30
\WideAnd405~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd405~1_combout\ = (\led_flash_cnt[405][6]~q\ & \led_flash_cnt[405][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[405][6]~q\,
	datad => \led_flash_cnt[405][5]~q\,
	combout => \WideAnd405~1_combout\);

-- Location: LCCOMB_X49_Y43_N8
WideAnd405 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd405~combout\ = (\WideAnd405~0_combout\ & (\led_flash_cnt[405][7]~q\ & (\WideAnd405~1_combout\ & \led_flash_cnt[405][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd405~0_combout\,
	datab => \led_flash_cnt[405][7]~q\,
	datac => \WideAnd405~1_combout\,
	datad => \led_flash_cnt[405][0]~q\,
	combout => \WideAnd405~combout\);

-- Location: FF_X49_Y43_N9
\led_flash_cnt_ands[405]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd405~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(405));

-- Location: LCCOMB_X47_Y43_N24
\led_flash_cnt[404][0]~81044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[404][0]~81044_combout\ = !\led_flash_cnt[404][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[404][0]~q\,
	combout => \led_flash_cnt[404][0]~81044_combout\);

-- Location: FF_X47_Y43_N25
\led_flash_cnt[404][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[404][0]~81044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[404][0]~q\);

-- Location: LCCOMB_X49_Y43_N12
\led_flash_cnt[404][1]~32536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[404][1]~32536_combout\ = (\led_flash_cnt[404][1]~q\ & (\led_flash_cnt[404][0]~q\ $ (VCC))) # (!\led_flash_cnt[404][1]~q\ & (\led_flash_cnt[404][0]~q\ & VCC))
-- \led_flash_cnt[404][1]~32537\ = CARRY((\led_flash_cnt[404][1]~q\ & \led_flash_cnt[404][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[404][1]~q\,
	datab => \led_flash_cnt[404][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[404][1]~32536_combout\,
	cout => \led_flash_cnt[404][1]~32537\);

-- Location: FF_X49_Y43_N13
\led_flash_cnt[404][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[404][1]~32536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[404][1]~q\);

-- Location: LCCOMB_X49_Y43_N14
\led_flash_cnt[404][2]~32538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[404][2]~32538_combout\ = (\led_flash_cnt[404][2]~q\ & (!\led_flash_cnt[404][1]~32537\)) # (!\led_flash_cnt[404][2]~q\ & ((\led_flash_cnt[404][1]~32537\) # (GND)))
-- \led_flash_cnt[404][2]~32539\ = CARRY((!\led_flash_cnt[404][1]~32537\) # (!\led_flash_cnt[404][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[404][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[404][1]~32537\,
	combout => \led_flash_cnt[404][2]~32538_combout\,
	cout => \led_flash_cnt[404][2]~32539\);

-- Location: FF_X49_Y43_N15
\led_flash_cnt[404][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[404][2]~32538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[404][2]~q\);

-- Location: LCCOMB_X49_Y43_N16
\led_flash_cnt[404][3]~32540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[404][3]~32540_combout\ = (\led_flash_cnt[404][3]~q\ & (\led_flash_cnt[404][2]~32539\ $ (GND))) # (!\led_flash_cnt[404][3]~q\ & (!\led_flash_cnt[404][2]~32539\ & VCC))
-- \led_flash_cnt[404][3]~32541\ = CARRY((\led_flash_cnt[404][3]~q\ & !\led_flash_cnt[404][2]~32539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[404][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[404][2]~32539\,
	combout => \led_flash_cnt[404][3]~32540_combout\,
	cout => \led_flash_cnt[404][3]~32541\);

-- Location: FF_X49_Y43_N17
\led_flash_cnt[404][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[404][3]~32540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[404][3]~q\);

-- Location: LCCOMB_X49_Y43_N18
\led_flash_cnt[404][4]~32542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[404][4]~32542_combout\ = (\led_flash_cnt[404][4]~q\ & (!\led_flash_cnt[404][3]~32541\)) # (!\led_flash_cnt[404][4]~q\ & ((\led_flash_cnt[404][3]~32541\) # (GND)))
-- \led_flash_cnt[404][4]~32543\ = CARRY((!\led_flash_cnt[404][3]~32541\) # (!\led_flash_cnt[404][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[404][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[404][3]~32541\,
	combout => \led_flash_cnt[404][4]~32542_combout\,
	cout => \led_flash_cnt[404][4]~32543\);

-- Location: FF_X49_Y43_N19
\led_flash_cnt[404][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[404][4]~32542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[404][4]~q\);

-- Location: LCCOMB_X49_Y43_N20
\led_flash_cnt[404][5]~32544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[404][5]~32544_combout\ = (\led_flash_cnt[404][5]~q\ & (\led_flash_cnt[404][4]~32543\ $ (GND))) # (!\led_flash_cnt[404][5]~q\ & (!\led_flash_cnt[404][4]~32543\ & VCC))
-- \led_flash_cnt[404][5]~32545\ = CARRY((\led_flash_cnt[404][5]~q\ & !\led_flash_cnt[404][4]~32543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[404][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[404][4]~32543\,
	combout => \led_flash_cnt[404][5]~32544_combout\,
	cout => \led_flash_cnt[404][5]~32545\);

-- Location: FF_X49_Y43_N21
\led_flash_cnt[404][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[404][5]~32544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[404][5]~q\);

-- Location: LCCOMB_X49_Y43_N22
\led_flash_cnt[404][6]~32546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[404][6]~32546_combout\ = (\led_flash_cnt[404][6]~q\ & (!\led_flash_cnt[404][5]~32545\)) # (!\led_flash_cnt[404][6]~q\ & ((\led_flash_cnt[404][5]~32545\) # (GND)))
-- \led_flash_cnt[404][6]~32547\ = CARRY((!\led_flash_cnt[404][5]~32545\) # (!\led_flash_cnt[404][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[404][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[404][5]~32545\,
	combout => \led_flash_cnt[404][6]~32546_combout\,
	cout => \led_flash_cnt[404][6]~32547\);

-- Location: FF_X49_Y43_N23
\led_flash_cnt[404][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[404][6]~32546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[404][6]~q\);

-- Location: LCCOMB_X49_Y43_N24
\led_flash_cnt[404][7]~32548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[404][7]~32548_combout\ = \led_flash_cnt[404][6]~32547\ $ (!\led_flash_cnt[404][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[404][7]~q\,
	cin => \led_flash_cnt[404][6]~32547\,
	combout => \led_flash_cnt[404][7]~32548_combout\);

-- Location: FF_X49_Y43_N25
\led_flash_cnt[404][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[404][7]~32548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[404][7]~q\);

-- Location: LCCOMB_X49_Y43_N4
\WideAnd404~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd404~1_combout\ = (\led_flash_cnt[404][6]~q\ & \led_flash_cnt[404][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[404][6]~q\,
	datad => \led_flash_cnt[404][5]~q\,
	combout => \WideAnd404~1_combout\);

-- Location: LCCOMB_X49_Y43_N28
\WideAnd404~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd404~0_combout\ = (\led_flash_cnt[404][1]~q\ & (\led_flash_cnt[404][4]~q\ & (\led_flash_cnt[404][2]~q\ & \led_flash_cnt[404][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[404][1]~q\,
	datab => \led_flash_cnt[404][4]~q\,
	datac => \led_flash_cnt[404][2]~q\,
	datad => \led_flash_cnt[404][3]~q\,
	combout => \WideAnd404~0_combout\);

-- Location: LCCOMB_X49_Y43_N2
WideAnd404 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd404~combout\ = (\led_flash_cnt[404][0]~q\ & (\led_flash_cnt[404][7]~q\ & (\WideAnd404~1_combout\ & \WideAnd404~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[404][0]~q\,
	datab => \led_flash_cnt[404][7]~q\,
	datac => \WideAnd404~1_combout\,
	datad => \WideAnd404~0_combout\,
	combout => \WideAnd404~combout\);

-- Location: FF_X49_Y43_N3
\led_flash_cnt_ands[404]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd404~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(404));

-- Location: LCCOMB_X49_Y43_N0
\WideAnd3890~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3890~1_combout\ = (led_flash_cnt_ands(405) & led_flash_cnt_ands(404))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(405),
	datad => led_flash_cnt_ands(404),
	combout => \WideAnd3890~1_combout\);

-- Location: LCCOMB_X56_Y45_N6
\led_flash_cnt[406][0]~81046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[406][0]~81046_combout\ = !\led_flash_cnt[406][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[406][0]~q\,
	combout => \led_flash_cnt[406][0]~81046_combout\);

-- Location: FF_X56_Y45_N7
\led_flash_cnt[406][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[406][0]~81046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[406][0]~q\);

-- Location: LCCOMB_X57_Y45_N2
\led_flash_cnt[406][1]~32564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[406][1]~32564_combout\ = (\led_flash_cnt[406][0]~q\ & (\led_flash_cnt[406][1]~q\ $ (VCC))) # (!\led_flash_cnt[406][0]~q\ & (\led_flash_cnt[406][1]~q\ & VCC))
-- \led_flash_cnt[406][1]~32565\ = CARRY((\led_flash_cnt[406][0]~q\ & \led_flash_cnt[406][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[406][0]~q\,
	datab => \led_flash_cnt[406][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[406][1]~32564_combout\,
	cout => \led_flash_cnt[406][1]~32565\);

-- Location: FF_X57_Y45_N3
\led_flash_cnt[406][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[406][1]~32564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[406][1]~q\);

-- Location: LCCOMB_X57_Y45_N4
\led_flash_cnt[406][2]~32566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[406][2]~32566_combout\ = (\led_flash_cnt[406][2]~q\ & (!\led_flash_cnt[406][1]~32565\)) # (!\led_flash_cnt[406][2]~q\ & ((\led_flash_cnt[406][1]~32565\) # (GND)))
-- \led_flash_cnt[406][2]~32567\ = CARRY((!\led_flash_cnt[406][1]~32565\) # (!\led_flash_cnt[406][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[406][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[406][1]~32565\,
	combout => \led_flash_cnt[406][2]~32566_combout\,
	cout => \led_flash_cnt[406][2]~32567\);

-- Location: FF_X57_Y45_N5
\led_flash_cnt[406][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[406][2]~32566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[406][2]~q\);

-- Location: LCCOMB_X57_Y45_N6
\led_flash_cnt[406][3]~32568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[406][3]~32568_combout\ = (\led_flash_cnt[406][3]~q\ & (\led_flash_cnt[406][2]~32567\ $ (GND))) # (!\led_flash_cnt[406][3]~q\ & (!\led_flash_cnt[406][2]~32567\ & VCC))
-- \led_flash_cnt[406][3]~32569\ = CARRY((\led_flash_cnt[406][3]~q\ & !\led_flash_cnt[406][2]~32567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[406][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[406][2]~32567\,
	combout => \led_flash_cnt[406][3]~32568_combout\,
	cout => \led_flash_cnt[406][3]~32569\);

-- Location: FF_X57_Y45_N7
\led_flash_cnt[406][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[406][3]~32568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[406][3]~q\);

-- Location: LCCOMB_X57_Y45_N8
\led_flash_cnt[406][4]~32570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[406][4]~32570_combout\ = (\led_flash_cnt[406][4]~q\ & (!\led_flash_cnt[406][3]~32569\)) # (!\led_flash_cnt[406][4]~q\ & ((\led_flash_cnt[406][3]~32569\) # (GND)))
-- \led_flash_cnt[406][4]~32571\ = CARRY((!\led_flash_cnt[406][3]~32569\) # (!\led_flash_cnt[406][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[406][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[406][3]~32569\,
	combout => \led_flash_cnt[406][4]~32570_combout\,
	cout => \led_flash_cnt[406][4]~32571\);

-- Location: FF_X57_Y45_N9
\led_flash_cnt[406][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[406][4]~32570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[406][4]~q\);

-- Location: LCCOMB_X57_Y45_N30
\WideAnd406~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd406~0_combout\ = (\led_flash_cnt[406][3]~q\ & (\led_flash_cnt[406][4]~q\ & (\led_flash_cnt[406][2]~q\ & \led_flash_cnt[406][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[406][3]~q\,
	datab => \led_flash_cnt[406][4]~q\,
	datac => \led_flash_cnt[406][2]~q\,
	datad => \led_flash_cnt[406][1]~q\,
	combout => \WideAnd406~0_combout\);

-- Location: LCCOMB_X57_Y45_N10
\led_flash_cnt[406][5]~32572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[406][5]~32572_combout\ = (\led_flash_cnt[406][5]~q\ & (\led_flash_cnt[406][4]~32571\ $ (GND))) # (!\led_flash_cnt[406][5]~q\ & (!\led_flash_cnt[406][4]~32571\ & VCC))
-- \led_flash_cnt[406][5]~32573\ = CARRY((\led_flash_cnt[406][5]~q\ & !\led_flash_cnt[406][4]~32571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[406][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[406][4]~32571\,
	combout => \led_flash_cnt[406][5]~32572_combout\,
	cout => \led_flash_cnt[406][5]~32573\);

-- Location: FF_X57_Y45_N11
\led_flash_cnt[406][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[406][5]~32572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[406][5]~q\);

-- Location: LCCOMB_X57_Y45_N12
\led_flash_cnt[406][6]~32574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[406][6]~32574_combout\ = (\led_flash_cnt[406][6]~q\ & (!\led_flash_cnt[406][5]~32573\)) # (!\led_flash_cnt[406][6]~q\ & ((\led_flash_cnt[406][5]~32573\) # (GND)))
-- \led_flash_cnt[406][6]~32575\ = CARRY((!\led_flash_cnt[406][5]~32573\) # (!\led_flash_cnt[406][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[406][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[406][5]~32573\,
	combout => \led_flash_cnt[406][6]~32574_combout\,
	cout => \led_flash_cnt[406][6]~32575\);

-- Location: FF_X57_Y45_N13
\led_flash_cnt[406][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[406][6]~32574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[406][6]~q\);

-- Location: LCCOMB_X56_Y45_N28
\WideAnd406~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd406~1_combout\ = (\led_flash_cnt[406][6]~q\ & \led_flash_cnt[406][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[406][6]~q\,
	datac => \led_flash_cnt[406][5]~q\,
	combout => \WideAnd406~1_combout\);

-- Location: LCCOMB_X57_Y45_N14
\led_flash_cnt[406][7]~32576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[406][7]~32576_combout\ = \led_flash_cnt[406][7]~q\ $ (!\led_flash_cnt[406][6]~32575\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[406][7]~q\,
	cin => \led_flash_cnt[406][6]~32575\,
	combout => \led_flash_cnt[406][7]~32576_combout\);

-- Location: FF_X57_Y45_N15
\led_flash_cnt[406][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[406][7]~32576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[406][7]~q\);

-- Location: LCCOMB_X56_Y45_N30
WideAnd406 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd406~combout\ = (\WideAnd406~0_combout\ & (\WideAnd406~1_combout\ & (\led_flash_cnt[406][7]~q\ & \led_flash_cnt[406][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd406~0_combout\,
	datab => \WideAnd406~1_combout\,
	datac => \led_flash_cnt[406][7]~q\,
	datad => \led_flash_cnt[406][0]~q\,
	combout => \WideAnd406~combout\);

-- Location: FF_X56_Y45_N31
\led_flash_cnt_ands[406]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd406~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(406));

-- Location: LCCOMB_X59_Y43_N24
\led_flash_cnt[403][0]~81043\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[403][0]~81043_combout\ = !\led_flash_cnt[403][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[403][0]~q\,
	combout => \led_flash_cnt[403][0]~81043_combout\);

-- Location: FF_X59_Y43_N25
\led_flash_cnt[403][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[403][0]~81043_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[403][0]~q\);

-- Location: LCCOMB_X60_Y43_N0
\led_flash_cnt[403][1]~32522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[403][1]~32522_combout\ = (\led_flash_cnt[403][0]~q\ & (\led_flash_cnt[403][1]~q\ $ (VCC))) # (!\led_flash_cnt[403][0]~q\ & (\led_flash_cnt[403][1]~q\ & VCC))
-- \led_flash_cnt[403][1]~32523\ = CARRY((\led_flash_cnt[403][0]~q\ & \led_flash_cnt[403][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[403][0]~q\,
	datab => \led_flash_cnt[403][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[403][1]~32522_combout\,
	cout => \led_flash_cnt[403][1]~32523\);

-- Location: FF_X60_Y43_N1
\led_flash_cnt[403][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[403][1]~32522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[403][1]~q\);

-- Location: LCCOMB_X60_Y43_N2
\led_flash_cnt[403][2]~32524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[403][2]~32524_combout\ = (\led_flash_cnt[403][2]~q\ & (!\led_flash_cnt[403][1]~32523\)) # (!\led_flash_cnt[403][2]~q\ & ((\led_flash_cnt[403][1]~32523\) # (GND)))
-- \led_flash_cnt[403][2]~32525\ = CARRY((!\led_flash_cnt[403][1]~32523\) # (!\led_flash_cnt[403][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[403][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[403][1]~32523\,
	combout => \led_flash_cnt[403][2]~32524_combout\,
	cout => \led_flash_cnt[403][2]~32525\);

-- Location: FF_X60_Y43_N3
\led_flash_cnt[403][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[403][2]~32524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[403][2]~q\);

-- Location: LCCOMB_X60_Y43_N4
\led_flash_cnt[403][3]~32526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[403][3]~32526_combout\ = (\led_flash_cnt[403][3]~q\ & (\led_flash_cnt[403][2]~32525\ $ (GND))) # (!\led_flash_cnt[403][3]~q\ & (!\led_flash_cnt[403][2]~32525\ & VCC))
-- \led_flash_cnt[403][3]~32527\ = CARRY((\led_flash_cnt[403][3]~q\ & !\led_flash_cnt[403][2]~32525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[403][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[403][2]~32525\,
	combout => \led_flash_cnt[403][3]~32526_combout\,
	cout => \led_flash_cnt[403][3]~32527\);

-- Location: FF_X60_Y43_N5
\led_flash_cnt[403][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[403][3]~32526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[403][3]~q\);

-- Location: LCCOMB_X60_Y43_N6
\led_flash_cnt[403][4]~32528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[403][4]~32528_combout\ = (\led_flash_cnt[403][4]~q\ & (!\led_flash_cnt[403][3]~32527\)) # (!\led_flash_cnt[403][4]~q\ & ((\led_flash_cnt[403][3]~32527\) # (GND)))
-- \led_flash_cnt[403][4]~32529\ = CARRY((!\led_flash_cnt[403][3]~32527\) # (!\led_flash_cnt[403][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[403][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[403][3]~32527\,
	combout => \led_flash_cnt[403][4]~32528_combout\,
	cout => \led_flash_cnt[403][4]~32529\);

-- Location: FF_X60_Y43_N7
\led_flash_cnt[403][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[403][4]~32528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[403][4]~q\);

-- Location: LCCOMB_X60_Y43_N8
\led_flash_cnt[403][5]~32530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[403][5]~32530_combout\ = (\led_flash_cnt[403][5]~q\ & (\led_flash_cnt[403][4]~32529\ $ (GND))) # (!\led_flash_cnt[403][5]~q\ & (!\led_flash_cnt[403][4]~32529\ & VCC))
-- \led_flash_cnt[403][5]~32531\ = CARRY((\led_flash_cnt[403][5]~q\ & !\led_flash_cnt[403][4]~32529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[403][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[403][4]~32529\,
	combout => \led_flash_cnt[403][5]~32530_combout\,
	cout => \led_flash_cnt[403][5]~32531\);

-- Location: FF_X60_Y43_N9
\led_flash_cnt[403][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[403][5]~32530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[403][5]~q\);

-- Location: LCCOMB_X60_Y43_N10
\led_flash_cnt[403][6]~32532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[403][6]~32532_combout\ = (\led_flash_cnt[403][6]~q\ & (!\led_flash_cnt[403][5]~32531\)) # (!\led_flash_cnt[403][6]~q\ & ((\led_flash_cnt[403][5]~32531\) # (GND)))
-- \led_flash_cnt[403][6]~32533\ = CARRY((!\led_flash_cnt[403][5]~32531\) # (!\led_flash_cnt[403][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[403][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[403][5]~32531\,
	combout => \led_flash_cnt[403][6]~32532_combout\,
	cout => \led_flash_cnt[403][6]~32533\);

-- Location: FF_X60_Y43_N11
\led_flash_cnt[403][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[403][6]~32532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[403][6]~q\);

-- Location: LCCOMB_X59_Y43_N26
\WideAnd403~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd403~1_combout\ = (\led_flash_cnt[403][6]~q\ & \led_flash_cnt[403][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[403][6]~q\,
	datac => \led_flash_cnt[403][5]~q\,
	combout => \WideAnd403~1_combout\);

-- Location: LCCOMB_X60_Y43_N12
\led_flash_cnt[403][7]~32534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[403][7]~32534_combout\ = \led_flash_cnt[403][6]~32533\ $ (!\led_flash_cnt[403][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[403][7]~q\,
	cin => \led_flash_cnt[403][6]~32533\,
	combout => \led_flash_cnt[403][7]~32534_combout\);

-- Location: FF_X60_Y43_N13
\led_flash_cnt[403][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[403][7]~32534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[403][7]~q\);

-- Location: LCCOMB_X60_Y43_N16
\WideAnd403~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd403~0_combout\ = (\led_flash_cnt[403][4]~q\ & (\led_flash_cnt[403][1]~q\ & (\led_flash_cnt[403][3]~q\ & \led_flash_cnt[403][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[403][4]~q\,
	datab => \led_flash_cnt[403][1]~q\,
	datac => \led_flash_cnt[403][3]~q\,
	datad => \led_flash_cnt[403][2]~q\,
	combout => \WideAnd403~0_combout\);

-- Location: LCCOMB_X59_Y43_N28
WideAnd403 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd403~combout\ = (\WideAnd403~1_combout\ & (\led_flash_cnt[403][0]~q\ & (\led_flash_cnt[403][7]~q\ & \WideAnd403~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd403~1_combout\,
	datab => \led_flash_cnt[403][0]~q\,
	datac => \led_flash_cnt[403][7]~q\,
	datad => \WideAnd403~0_combout\,
	combout => \WideAnd403~combout\);

-- Location: FF_X59_Y43_N29
\led_flash_cnt_ands[403]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd403~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(403));

-- Location: LCCOMB_X51_Y43_N6
\led_flash_cnt[401][0]~81041\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[401][0]~81041_combout\ = !\led_flash_cnt[401][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[401][0]~q\,
	combout => \led_flash_cnt[401][0]~81041_combout\);

-- Location: FF_X51_Y43_N7
\led_flash_cnt[401][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[401][0]~81041_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[401][0]~q\);

-- Location: LCCOMB_X52_Y43_N16
\led_flash_cnt[401][1]~32494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[401][1]~32494_combout\ = (\led_flash_cnt[401][1]~q\ & (\led_flash_cnt[401][0]~q\ $ (VCC))) # (!\led_flash_cnt[401][1]~q\ & (\led_flash_cnt[401][0]~q\ & VCC))
-- \led_flash_cnt[401][1]~32495\ = CARRY((\led_flash_cnt[401][1]~q\ & \led_flash_cnt[401][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[401][1]~q\,
	datab => \led_flash_cnt[401][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[401][1]~32494_combout\,
	cout => \led_flash_cnt[401][1]~32495\);

-- Location: FF_X52_Y43_N17
\led_flash_cnt[401][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[401][1]~32494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[401][1]~q\);

-- Location: LCCOMB_X52_Y43_N18
\led_flash_cnt[401][2]~32496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[401][2]~32496_combout\ = (\led_flash_cnt[401][2]~q\ & (!\led_flash_cnt[401][1]~32495\)) # (!\led_flash_cnt[401][2]~q\ & ((\led_flash_cnt[401][1]~32495\) # (GND)))
-- \led_flash_cnt[401][2]~32497\ = CARRY((!\led_flash_cnt[401][1]~32495\) # (!\led_flash_cnt[401][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[401][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[401][1]~32495\,
	combout => \led_flash_cnt[401][2]~32496_combout\,
	cout => \led_flash_cnt[401][2]~32497\);

-- Location: FF_X52_Y43_N19
\led_flash_cnt[401][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[401][2]~32496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[401][2]~q\);

-- Location: LCCOMB_X52_Y43_N20
\led_flash_cnt[401][3]~32498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[401][3]~32498_combout\ = (\led_flash_cnt[401][3]~q\ & (\led_flash_cnt[401][2]~32497\ $ (GND))) # (!\led_flash_cnt[401][3]~q\ & (!\led_flash_cnt[401][2]~32497\ & VCC))
-- \led_flash_cnt[401][3]~32499\ = CARRY((\led_flash_cnt[401][3]~q\ & !\led_flash_cnt[401][2]~32497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[401][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[401][2]~32497\,
	combout => \led_flash_cnt[401][3]~32498_combout\,
	cout => \led_flash_cnt[401][3]~32499\);

-- Location: FF_X52_Y43_N21
\led_flash_cnt[401][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[401][3]~32498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[401][3]~q\);

-- Location: LCCOMB_X52_Y43_N22
\led_flash_cnt[401][4]~32500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[401][4]~32500_combout\ = (\led_flash_cnt[401][4]~q\ & (!\led_flash_cnt[401][3]~32499\)) # (!\led_flash_cnt[401][4]~q\ & ((\led_flash_cnt[401][3]~32499\) # (GND)))
-- \led_flash_cnt[401][4]~32501\ = CARRY((!\led_flash_cnt[401][3]~32499\) # (!\led_flash_cnt[401][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[401][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[401][3]~32499\,
	combout => \led_flash_cnt[401][4]~32500_combout\,
	cout => \led_flash_cnt[401][4]~32501\);

-- Location: FF_X52_Y43_N23
\led_flash_cnt[401][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[401][4]~32500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[401][4]~q\);

-- Location: LCCOMB_X51_Y43_N12
\WideAnd401~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd401~0_combout\ = (\led_flash_cnt[401][4]~q\ & (\led_flash_cnt[401][2]~q\ & (\led_flash_cnt[401][3]~q\ & \led_flash_cnt[401][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[401][4]~q\,
	datab => \led_flash_cnt[401][2]~q\,
	datac => \led_flash_cnt[401][3]~q\,
	datad => \led_flash_cnt[401][1]~q\,
	combout => \WideAnd401~0_combout\);

-- Location: LCCOMB_X52_Y43_N24
\led_flash_cnt[401][5]~32502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[401][5]~32502_combout\ = (\led_flash_cnt[401][5]~q\ & (\led_flash_cnt[401][4]~32501\ $ (GND))) # (!\led_flash_cnt[401][5]~q\ & (!\led_flash_cnt[401][4]~32501\ & VCC))
-- \led_flash_cnt[401][5]~32503\ = CARRY((\led_flash_cnt[401][5]~q\ & !\led_flash_cnt[401][4]~32501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[401][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[401][4]~32501\,
	combout => \led_flash_cnt[401][5]~32502_combout\,
	cout => \led_flash_cnt[401][5]~32503\);

-- Location: FF_X52_Y43_N25
\led_flash_cnt[401][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[401][5]~32502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[401][5]~q\);

-- Location: LCCOMB_X52_Y43_N26
\led_flash_cnt[401][6]~32504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[401][6]~32504_combout\ = (\led_flash_cnt[401][6]~q\ & (!\led_flash_cnt[401][5]~32503\)) # (!\led_flash_cnt[401][6]~q\ & ((\led_flash_cnt[401][5]~32503\) # (GND)))
-- \led_flash_cnt[401][6]~32505\ = CARRY((!\led_flash_cnt[401][5]~32503\) # (!\led_flash_cnt[401][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[401][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[401][5]~32503\,
	combout => \led_flash_cnt[401][6]~32504_combout\,
	cout => \led_flash_cnt[401][6]~32505\);

-- Location: FF_X52_Y43_N27
\led_flash_cnt[401][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[401][6]~32504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[401][6]~q\);

-- Location: LCCOMB_X52_Y43_N28
\led_flash_cnt[401][7]~32506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[401][7]~32506_combout\ = \led_flash_cnt[401][6]~32505\ $ (!\led_flash_cnt[401][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[401][7]~q\,
	cin => \led_flash_cnt[401][6]~32505\,
	combout => \led_flash_cnt[401][7]~32506_combout\);

-- Location: FF_X52_Y43_N29
\led_flash_cnt[401][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[401][7]~32506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[401][7]~q\);

-- Location: LCCOMB_X51_Y43_N8
\WideAnd401~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd401~1_combout\ = (\led_flash_cnt[401][6]~q\ & \led_flash_cnt[401][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[401][6]~q\,
	datad => \led_flash_cnt[401][5]~q\,
	combout => \WideAnd401~1_combout\);

-- Location: LCCOMB_X51_Y43_N0
WideAnd401 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd401~combout\ = (\WideAnd401~0_combout\ & (\led_flash_cnt[401][7]~q\ & (\WideAnd401~1_combout\ & \led_flash_cnt[401][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd401~0_combout\,
	datab => \led_flash_cnt[401][7]~q\,
	datac => \WideAnd401~1_combout\,
	datad => \led_flash_cnt[401][0]~q\,
	combout => \WideAnd401~combout\);

-- Location: FF_X51_Y43_N1
\led_flash_cnt_ands[401]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd401~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(401));

-- Location: LCCOMB_X51_Y45_N22
\led_flash_cnt[402][0]~81042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[402][0]~81042_combout\ = !\led_flash_cnt[402][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[402][0]~q\,
	combout => \led_flash_cnt[402][0]~81042_combout\);

-- Location: FF_X51_Y45_N23
\led_flash_cnt[402][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[402][0]~81042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[402][0]~q\);

-- Location: LCCOMB_X51_Y45_N8
\led_flash_cnt[402][1]~32508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[402][1]~32508_combout\ = (\led_flash_cnt[402][0]~q\ & (\led_flash_cnt[402][1]~q\ $ (VCC))) # (!\led_flash_cnt[402][0]~q\ & (\led_flash_cnt[402][1]~q\ & VCC))
-- \led_flash_cnt[402][1]~32509\ = CARRY((\led_flash_cnt[402][0]~q\ & \led_flash_cnt[402][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[402][0]~q\,
	datab => \led_flash_cnt[402][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[402][1]~32508_combout\,
	cout => \led_flash_cnt[402][1]~32509\);

-- Location: FF_X51_Y45_N9
\led_flash_cnt[402][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[402][1]~32508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[402][1]~q\);

-- Location: LCCOMB_X51_Y45_N10
\led_flash_cnt[402][2]~32510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[402][2]~32510_combout\ = (\led_flash_cnt[402][2]~q\ & (!\led_flash_cnt[402][1]~32509\)) # (!\led_flash_cnt[402][2]~q\ & ((\led_flash_cnt[402][1]~32509\) # (GND)))
-- \led_flash_cnt[402][2]~32511\ = CARRY((!\led_flash_cnt[402][1]~32509\) # (!\led_flash_cnt[402][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[402][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[402][1]~32509\,
	combout => \led_flash_cnt[402][2]~32510_combout\,
	cout => \led_flash_cnt[402][2]~32511\);

-- Location: FF_X51_Y45_N11
\led_flash_cnt[402][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[402][2]~32510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[402][2]~q\);

-- Location: LCCOMB_X51_Y45_N12
\led_flash_cnt[402][3]~32512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[402][3]~32512_combout\ = (\led_flash_cnt[402][3]~q\ & (\led_flash_cnt[402][2]~32511\ $ (GND))) # (!\led_flash_cnt[402][3]~q\ & (!\led_flash_cnt[402][2]~32511\ & VCC))
-- \led_flash_cnt[402][3]~32513\ = CARRY((\led_flash_cnt[402][3]~q\ & !\led_flash_cnt[402][2]~32511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[402][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[402][2]~32511\,
	combout => \led_flash_cnt[402][3]~32512_combout\,
	cout => \led_flash_cnt[402][3]~32513\);

-- Location: FF_X51_Y45_N13
\led_flash_cnt[402][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[402][3]~32512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[402][3]~q\);

-- Location: LCCOMB_X51_Y45_N14
\led_flash_cnt[402][4]~32514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[402][4]~32514_combout\ = (\led_flash_cnt[402][4]~q\ & (!\led_flash_cnt[402][3]~32513\)) # (!\led_flash_cnt[402][4]~q\ & ((\led_flash_cnt[402][3]~32513\) # (GND)))
-- \led_flash_cnt[402][4]~32515\ = CARRY((!\led_flash_cnt[402][3]~32513\) # (!\led_flash_cnt[402][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[402][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[402][3]~32513\,
	combout => \led_flash_cnt[402][4]~32514_combout\,
	cout => \led_flash_cnt[402][4]~32515\);

-- Location: FF_X51_Y45_N15
\led_flash_cnt[402][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[402][4]~32514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[402][4]~q\);

-- Location: LCCOMB_X51_Y45_N16
\led_flash_cnt[402][5]~32516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[402][5]~32516_combout\ = (\led_flash_cnt[402][5]~q\ & (\led_flash_cnt[402][4]~32515\ $ (GND))) # (!\led_flash_cnt[402][5]~q\ & (!\led_flash_cnt[402][4]~32515\ & VCC))
-- \led_flash_cnt[402][5]~32517\ = CARRY((\led_flash_cnt[402][5]~q\ & !\led_flash_cnt[402][4]~32515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[402][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[402][4]~32515\,
	combout => \led_flash_cnt[402][5]~32516_combout\,
	cout => \led_flash_cnt[402][5]~32517\);

-- Location: FF_X51_Y45_N17
\led_flash_cnt[402][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[402][5]~32516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[402][5]~q\);

-- Location: LCCOMB_X51_Y45_N18
\led_flash_cnt[402][6]~32518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[402][6]~32518_combout\ = (\led_flash_cnt[402][6]~q\ & (!\led_flash_cnt[402][5]~32517\)) # (!\led_flash_cnt[402][6]~q\ & ((\led_flash_cnt[402][5]~32517\) # (GND)))
-- \led_flash_cnt[402][6]~32519\ = CARRY((!\led_flash_cnt[402][5]~32517\) # (!\led_flash_cnt[402][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[402][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[402][5]~32517\,
	combout => \led_flash_cnt[402][6]~32518_combout\,
	cout => \led_flash_cnt[402][6]~32519\);

-- Location: FF_X51_Y45_N19
\led_flash_cnt[402][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[402][6]~32518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[402][6]~q\);

-- Location: LCCOMB_X51_Y45_N20
\led_flash_cnt[402][7]~32520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[402][7]~32520_combout\ = \led_flash_cnt[402][6]~32519\ $ (!\led_flash_cnt[402][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[402][7]~q\,
	cin => \led_flash_cnt[402][6]~32519\,
	combout => \led_flash_cnt[402][7]~32520_combout\);

-- Location: FF_X51_Y45_N21
\led_flash_cnt[402][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[402][7]~32520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[402][7]~q\);

-- Location: LCCOMB_X51_Y45_N4
\WideAnd402~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd402~1_combout\ = (\led_flash_cnt[402][6]~q\ & \led_flash_cnt[402][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[402][6]~q\,
	datad => \led_flash_cnt[402][5]~q\,
	combout => \WideAnd402~1_combout\);

-- Location: LCCOMB_X51_Y45_N24
\WideAnd402~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd402~0_combout\ = (\led_flash_cnt[402][3]~q\ & (\led_flash_cnt[402][4]~q\ & (\led_flash_cnt[402][1]~q\ & \led_flash_cnt[402][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[402][3]~q\,
	datab => \led_flash_cnt[402][4]~q\,
	datac => \led_flash_cnt[402][1]~q\,
	datad => \led_flash_cnt[402][2]~q\,
	combout => \WideAnd402~0_combout\);

-- Location: LCCOMB_X51_Y45_N26
WideAnd402 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd402~combout\ = (\led_flash_cnt[402][0]~q\ & (\led_flash_cnt[402][7]~q\ & (\WideAnd402~1_combout\ & \WideAnd402~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[402][0]~q\,
	datab => \led_flash_cnt[402][7]~q\,
	datac => \WideAnd402~1_combout\,
	datad => \WideAnd402~0_combout\,
	combout => \WideAnd402~combout\);

-- Location: FF_X51_Y45_N27
\led_flash_cnt_ands[402]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd402~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(402));

-- Location: LCCOMB_X51_Y43_N10
\led_flash_cnt[400][0]~81040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[400][0]~81040_combout\ = !\led_flash_cnt[400][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[400][0]~q\,
	combout => \led_flash_cnt[400][0]~81040_combout\);

-- Location: FF_X51_Y43_N11
\led_flash_cnt[400][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[400][0]~81040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[400][0]~q\);

-- Location: LCCOMB_X51_Y43_N16
\led_flash_cnt[400][1]~32480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[400][1]~32480_combout\ = (\led_flash_cnt[400][0]~q\ & (\led_flash_cnt[400][1]~q\ $ (VCC))) # (!\led_flash_cnt[400][0]~q\ & (\led_flash_cnt[400][1]~q\ & VCC))
-- \led_flash_cnt[400][1]~32481\ = CARRY((\led_flash_cnt[400][0]~q\ & \led_flash_cnt[400][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[400][0]~q\,
	datab => \led_flash_cnt[400][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[400][1]~32480_combout\,
	cout => \led_flash_cnt[400][1]~32481\);

-- Location: FF_X51_Y43_N17
\led_flash_cnt[400][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[400][1]~32480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[400][1]~q\);

-- Location: LCCOMB_X51_Y43_N18
\led_flash_cnt[400][2]~32482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[400][2]~32482_combout\ = (\led_flash_cnt[400][2]~q\ & (!\led_flash_cnt[400][1]~32481\)) # (!\led_flash_cnt[400][2]~q\ & ((\led_flash_cnt[400][1]~32481\) # (GND)))
-- \led_flash_cnt[400][2]~32483\ = CARRY((!\led_flash_cnt[400][1]~32481\) # (!\led_flash_cnt[400][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[400][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[400][1]~32481\,
	combout => \led_flash_cnt[400][2]~32482_combout\,
	cout => \led_flash_cnt[400][2]~32483\);

-- Location: FF_X51_Y43_N19
\led_flash_cnt[400][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[400][2]~32482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[400][2]~q\);

-- Location: LCCOMB_X51_Y43_N20
\led_flash_cnt[400][3]~32484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[400][3]~32484_combout\ = (\led_flash_cnt[400][3]~q\ & (\led_flash_cnt[400][2]~32483\ $ (GND))) # (!\led_flash_cnt[400][3]~q\ & (!\led_flash_cnt[400][2]~32483\ & VCC))
-- \led_flash_cnt[400][3]~32485\ = CARRY((\led_flash_cnt[400][3]~q\ & !\led_flash_cnt[400][2]~32483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[400][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[400][2]~32483\,
	combout => \led_flash_cnt[400][3]~32484_combout\,
	cout => \led_flash_cnt[400][3]~32485\);

-- Location: FF_X51_Y43_N21
\led_flash_cnt[400][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[400][3]~32484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[400][3]~q\);

-- Location: LCCOMB_X51_Y43_N22
\led_flash_cnt[400][4]~32486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[400][4]~32486_combout\ = (\led_flash_cnt[400][4]~q\ & (!\led_flash_cnt[400][3]~32485\)) # (!\led_flash_cnt[400][4]~q\ & ((\led_flash_cnt[400][3]~32485\) # (GND)))
-- \led_flash_cnt[400][4]~32487\ = CARRY((!\led_flash_cnt[400][3]~32485\) # (!\led_flash_cnt[400][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[400][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[400][3]~32485\,
	combout => \led_flash_cnt[400][4]~32486_combout\,
	cout => \led_flash_cnt[400][4]~32487\);

-- Location: FF_X51_Y43_N23
\led_flash_cnt[400][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[400][4]~32486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[400][4]~q\);

-- Location: LCCOMB_X51_Y43_N24
\led_flash_cnt[400][5]~32488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[400][5]~32488_combout\ = (\led_flash_cnt[400][5]~q\ & (\led_flash_cnt[400][4]~32487\ $ (GND))) # (!\led_flash_cnt[400][5]~q\ & (!\led_flash_cnt[400][4]~32487\ & VCC))
-- \led_flash_cnt[400][5]~32489\ = CARRY((\led_flash_cnt[400][5]~q\ & !\led_flash_cnt[400][4]~32487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[400][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[400][4]~32487\,
	combout => \led_flash_cnt[400][5]~32488_combout\,
	cout => \led_flash_cnt[400][5]~32489\);

-- Location: FF_X51_Y43_N25
\led_flash_cnt[400][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[400][5]~32488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[400][5]~q\);

-- Location: LCCOMB_X51_Y43_N26
\led_flash_cnt[400][6]~32490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[400][6]~32490_combout\ = (\led_flash_cnt[400][6]~q\ & (!\led_flash_cnt[400][5]~32489\)) # (!\led_flash_cnt[400][6]~q\ & ((\led_flash_cnt[400][5]~32489\) # (GND)))
-- \led_flash_cnt[400][6]~32491\ = CARRY((!\led_flash_cnt[400][5]~32489\) # (!\led_flash_cnt[400][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[400][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[400][5]~32489\,
	combout => \led_flash_cnt[400][6]~32490_combout\,
	cout => \led_flash_cnt[400][6]~32491\);

-- Location: FF_X51_Y43_N27
\led_flash_cnt[400][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[400][6]~32490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[400][6]~q\);

-- Location: LCCOMB_X51_Y43_N14
\WideAnd400~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd400~1_combout\ = (\led_flash_cnt[400][6]~q\ & \led_flash_cnt[400][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[400][6]~q\,
	datad => \led_flash_cnt[400][5]~q\,
	combout => \WideAnd400~1_combout\);

-- Location: LCCOMB_X51_Y43_N4
\WideAnd400~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd400~0_combout\ = (\led_flash_cnt[400][1]~q\ & (\led_flash_cnt[400][3]~q\ & (\led_flash_cnt[400][4]~q\ & \led_flash_cnt[400][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[400][1]~q\,
	datab => \led_flash_cnt[400][3]~q\,
	datac => \led_flash_cnt[400][4]~q\,
	datad => \led_flash_cnt[400][2]~q\,
	combout => \WideAnd400~0_combout\);

-- Location: LCCOMB_X51_Y43_N28
\led_flash_cnt[400][7]~32492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[400][7]~32492_combout\ = \led_flash_cnt[400][6]~32491\ $ (!\led_flash_cnt[400][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[400][7]~q\,
	cin => \led_flash_cnt[400][6]~32491\,
	combout => \led_flash_cnt[400][7]~32492_combout\);

-- Location: FF_X51_Y43_N29
\led_flash_cnt[400][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[400][7]~32492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[400][7]~q\);

-- Location: LCCOMB_X51_Y43_N2
WideAnd400 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd400~combout\ = (\led_flash_cnt[400][0]~q\ & (\WideAnd400~1_combout\ & (\WideAnd400~0_combout\ & \led_flash_cnt[400][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[400][0]~q\,
	datab => \WideAnd400~1_combout\,
	datac => \WideAnd400~0_combout\,
	datad => \led_flash_cnt[400][7]~q\,
	combout => \WideAnd400~combout\);

-- Location: FF_X51_Y43_N3
\led_flash_cnt_ands[400]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd400~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(400));

-- Location: LCCOMB_X51_Y43_N30
\WideAnd3890~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3890~0_combout\ = (led_flash_cnt_ands(403) & (led_flash_cnt_ands(401) & (led_flash_cnt_ands(402) & led_flash_cnt_ands(400))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(403),
	datab => led_flash_cnt_ands(401),
	datac => led_flash_cnt_ands(402),
	datad => led_flash_cnt_ands(400),
	combout => \WideAnd3890~0_combout\);

-- Location: LCCOMB_X51_Y45_N2
\led_flash_cnt[407][0]~81047\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[407][0]~81047_combout\ = !\led_flash_cnt[407][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[407][0]~q\,
	combout => \led_flash_cnt[407][0]~81047_combout\);

-- Location: FF_X51_Y45_N3
\led_flash_cnt[407][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[407][0]~81047_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[407][0]~q\);

-- Location: LCCOMB_X50_Y45_N16
\led_flash_cnt[407][1]~32578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[407][1]~32578_combout\ = (\led_flash_cnt[407][0]~q\ & (\led_flash_cnt[407][1]~q\ $ (VCC))) # (!\led_flash_cnt[407][0]~q\ & (\led_flash_cnt[407][1]~q\ & VCC))
-- \led_flash_cnt[407][1]~32579\ = CARRY((\led_flash_cnt[407][0]~q\ & \led_flash_cnt[407][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[407][0]~q\,
	datab => \led_flash_cnt[407][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[407][1]~32578_combout\,
	cout => \led_flash_cnt[407][1]~32579\);

-- Location: FF_X50_Y45_N17
\led_flash_cnt[407][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[407][1]~32578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[407][1]~q\);

-- Location: LCCOMB_X50_Y45_N18
\led_flash_cnt[407][2]~32580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[407][2]~32580_combout\ = (\led_flash_cnt[407][2]~q\ & (!\led_flash_cnt[407][1]~32579\)) # (!\led_flash_cnt[407][2]~q\ & ((\led_flash_cnt[407][1]~32579\) # (GND)))
-- \led_flash_cnt[407][2]~32581\ = CARRY((!\led_flash_cnt[407][1]~32579\) # (!\led_flash_cnt[407][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[407][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[407][1]~32579\,
	combout => \led_flash_cnt[407][2]~32580_combout\,
	cout => \led_flash_cnt[407][2]~32581\);

-- Location: FF_X50_Y45_N19
\led_flash_cnt[407][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[407][2]~32580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[407][2]~q\);

-- Location: LCCOMB_X50_Y45_N20
\led_flash_cnt[407][3]~32582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[407][3]~32582_combout\ = (\led_flash_cnt[407][3]~q\ & (\led_flash_cnt[407][2]~32581\ $ (GND))) # (!\led_flash_cnt[407][3]~q\ & (!\led_flash_cnt[407][2]~32581\ & VCC))
-- \led_flash_cnt[407][3]~32583\ = CARRY((\led_flash_cnt[407][3]~q\ & !\led_flash_cnt[407][2]~32581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[407][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[407][2]~32581\,
	combout => \led_flash_cnt[407][3]~32582_combout\,
	cout => \led_flash_cnt[407][3]~32583\);

-- Location: FF_X50_Y45_N21
\led_flash_cnt[407][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[407][3]~32582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[407][3]~q\);

-- Location: LCCOMB_X50_Y45_N22
\led_flash_cnt[407][4]~32584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[407][4]~32584_combout\ = (\led_flash_cnt[407][4]~q\ & (!\led_flash_cnt[407][3]~32583\)) # (!\led_flash_cnt[407][4]~q\ & ((\led_flash_cnt[407][3]~32583\) # (GND)))
-- \led_flash_cnt[407][4]~32585\ = CARRY((!\led_flash_cnt[407][3]~32583\) # (!\led_flash_cnt[407][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[407][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[407][3]~32583\,
	combout => \led_flash_cnt[407][4]~32584_combout\,
	cout => \led_flash_cnt[407][4]~32585\);

-- Location: FF_X50_Y45_N23
\led_flash_cnt[407][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[407][4]~32584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[407][4]~q\);

-- Location: LCCOMB_X50_Y45_N24
\led_flash_cnt[407][5]~32586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[407][5]~32586_combout\ = (\led_flash_cnt[407][5]~q\ & (\led_flash_cnt[407][4]~32585\ $ (GND))) # (!\led_flash_cnt[407][5]~q\ & (!\led_flash_cnt[407][4]~32585\ & VCC))
-- \led_flash_cnt[407][5]~32587\ = CARRY((\led_flash_cnt[407][5]~q\ & !\led_flash_cnt[407][4]~32585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[407][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[407][4]~32585\,
	combout => \led_flash_cnt[407][5]~32586_combout\,
	cout => \led_flash_cnt[407][5]~32587\);

-- Location: FF_X50_Y45_N25
\led_flash_cnt[407][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[407][5]~32586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[407][5]~q\);

-- Location: LCCOMB_X50_Y45_N26
\led_flash_cnt[407][6]~32588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[407][6]~32588_combout\ = (\led_flash_cnt[407][6]~q\ & (!\led_flash_cnt[407][5]~32587\)) # (!\led_flash_cnt[407][6]~q\ & ((\led_flash_cnt[407][5]~32587\) # (GND)))
-- \led_flash_cnt[407][6]~32589\ = CARRY((!\led_flash_cnt[407][5]~32587\) # (!\led_flash_cnt[407][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[407][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[407][5]~32587\,
	combout => \led_flash_cnt[407][6]~32588_combout\,
	cout => \led_flash_cnt[407][6]~32589\);

-- Location: FF_X50_Y45_N27
\led_flash_cnt[407][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[407][6]~32588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[407][6]~q\);

-- Location: LCCOMB_X51_Y45_N30
\WideAnd407~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd407~1_combout\ = (\led_flash_cnt[407][6]~q\ & \led_flash_cnt[407][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[407][6]~q\,
	datad => \led_flash_cnt[407][5]~q\,
	combout => \WideAnd407~1_combout\);

-- Location: LCCOMB_X50_Y45_N28
\led_flash_cnt[407][7]~32590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[407][7]~32590_combout\ = \led_flash_cnt[407][6]~32589\ $ (!\led_flash_cnt[407][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[407][7]~q\,
	cin => \led_flash_cnt[407][6]~32589\,
	combout => \led_flash_cnt[407][7]~32590_combout\);

-- Location: FF_X50_Y45_N29
\led_flash_cnt[407][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[407][7]~32590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[407][7]~q\);

-- Location: LCCOMB_X50_Y45_N0
\WideAnd407~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd407~0_combout\ = (\led_flash_cnt[407][3]~q\ & (\led_flash_cnt[407][2]~q\ & (\led_flash_cnt[407][4]~q\ & \led_flash_cnt[407][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[407][3]~q\,
	datab => \led_flash_cnt[407][2]~q\,
	datac => \led_flash_cnt[407][4]~q\,
	datad => \led_flash_cnt[407][1]~q\,
	combout => \WideAnd407~0_combout\);

-- Location: LCCOMB_X51_Y45_N28
WideAnd407 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd407~combout\ = (\WideAnd407~1_combout\ & (\led_flash_cnt[407][7]~q\ & (\WideAnd407~0_combout\ & \led_flash_cnt[407][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd407~1_combout\,
	datab => \led_flash_cnt[407][7]~q\,
	datac => \WideAnd407~0_combout\,
	datad => \led_flash_cnt[407][0]~q\,
	combout => \WideAnd407~combout\);

-- Location: FF_X51_Y45_N29
\led_flash_cnt_ands[407]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd407~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(407));

-- Location: LCCOMB_X52_Y45_N0
WideAnd3890 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3890~combout\ = (\WideAnd3890~1_combout\ & (led_flash_cnt_ands(406) & (\WideAnd3890~0_combout\ & led_flash_cnt_ands(407))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3890~1_combout\,
	datab => led_flash_cnt_ands(406),
	datac => \WideAnd3890~0_combout\,
	datad => led_flash_cnt_ands(407),
	combout => \WideAnd3890~combout\);

-- Location: FF_X52_Y45_N1
\led_flash_cnt_ands_1[50]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3890~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(50));

-- Location: LCCOMB_X56_Y46_N12
\led_flash_cnt[390][0]~81030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[390][0]~81030_combout\ = !\led_flash_cnt[390][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[390][0]~q\,
	combout => \led_flash_cnt[390][0]~81030_combout\);

-- Location: FF_X56_Y46_N13
\led_flash_cnt[390][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[390][0]~81030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[390][0]~q\);

-- Location: LCCOMB_X56_Y46_N18
\led_flash_cnt[390][1]~32340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[390][1]~32340_combout\ = (\led_flash_cnt[390][0]~q\ & (\led_flash_cnt[390][1]~q\ $ (VCC))) # (!\led_flash_cnt[390][0]~q\ & (\led_flash_cnt[390][1]~q\ & VCC))
-- \led_flash_cnt[390][1]~32341\ = CARRY((\led_flash_cnt[390][0]~q\ & \led_flash_cnt[390][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[390][0]~q\,
	datab => \led_flash_cnt[390][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[390][1]~32340_combout\,
	cout => \led_flash_cnt[390][1]~32341\);

-- Location: FF_X56_Y46_N19
\led_flash_cnt[390][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[390][1]~32340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[390][1]~q\);

-- Location: LCCOMB_X56_Y46_N20
\led_flash_cnt[390][2]~32342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[390][2]~32342_combout\ = (\led_flash_cnt[390][2]~q\ & (!\led_flash_cnt[390][1]~32341\)) # (!\led_flash_cnt[390][2]~q\ & ((\led_flash_cnt[390][1]~32341\) # (GND)))
-- \led_flash_cnt[390][2]~32343\ = CARRY((!\led_flash_cnt[390][1]~32341\) # (!\led_flash_cnt[390][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[390][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[390][1]~32341\,
	combout => \led_flash_cnt[390][2]~32342_combout\,
	cout => \led_flash_cnt[390][2]~32343\);

-- Location: FF_X56_Y46_N21
\led_flash_cnt[390][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[390][2]~32342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[390][2]~q\);

-- Location: LCCOMB_X56_Y46_N22
\led_flash_cnt[390][3]~32344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[390][3]~32344_combout\ = (\led_flash_cnt[390][3]~q\ & (\led_flash_cnt[390][2]~32343\ $ (GND))) # (!\led_flash_cnt[390][3]~q\ & (!\led_flash_cnt[390][2]~32343\ & VCC))
-- \led_flash_cnt[390][3]~32345\ = CARRY((\led_flash_cnt[390][3]~q\ & !\led_flash_cnt[390][2]~32343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[390][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[390][2]~32343\,
	combout => \led_flash_cnt[390][3]~32344_combout\,
	cout => \led_flash_cnt[390][3]~32345\);

-- Location: FF_X56_Y46_N23
\led_flash_cnt[390][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[390][3]~32344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[390][3]~q\);

-- Location: LCCOMB_X56_Y46_N24
\led_flash_cnt[390][4]~32346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[390][4]~32346_combout\ = (\led_flash_cnt[390][4]~q\ & (!\led_flash_cnt[390][3]~32345\)) # (!\led_flash_cnt[390][4]~q\ & ((\led_flash_cnt[390][3]~32345\) # (GND)))
-- \led_flash_cnt[390][4]~32347\ = CARRY((!\led_flash_cnt[390][3]~32345\) # (!\led_flash_cnt[390][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[390][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[390][3]~32345\,
	combout => \led_flash_cnt[390][4]~32346_combout\,
	cout => \led_flash_cnt[390][4]~32347\);

-- Location: FF_X56_Y46_N25
\led_flash_cnt[390][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[390][4]~32346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[390][4]~q\);

-- Location: LCCOMB_X56_Y46_N26
\led_flash_cnt[390][5]~32348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[390][5]~32348_combout\ = (\led_flash_cnt[390][5]~q\ & (\led_flash_cnt[390][4]~32347\ $ (GND))) # (!\led_flash_cnt[390][5]~q\ & (!\led_flash_cnt[390][4]~32347\ & VCC))
-- \led_flash_cnt[390][5]~32349\ = CARRY((\led_flash_cnt[390][5]~q\ & !\led_flash_cnt[390][4]~32347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[390][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[390][4]~32347\,
	combout => \led_flash_cnt[390][5]~32348_combout\,
	cout => \led_flash_cnt[390][5]~32349\);

-- Location: FF_X56_Y46_N27
\led_flash_cnt[390][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[390][5]~32348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[390][5]~q\);

-- Location: LCCOMB_X56_Y46_N28
\led_flash_cnt[390][6]~32350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[390][6]~32350_combout\ = (\led_flash_cnt[390][6]~q\ & (!\led_flash_cnt[390][5]~32349\)) # (!\led_flash_cnt[390][6]~q\ & ((\led_flash_cnt[390][5]~32349\) # (GND)))
-- \led_flash_cnt[390][6]~32351\ = CARRY((!\led_flash_cnt[390][5]~32349\) # (!\led_flash_cnt[390][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[390][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[390][5]~32349\,
	combout => \led_flash_cnt[390][6]~32350_combout\,
	cout => \led_flash_cnt[390][6]~32351\);

-- Location: FF_X56_Y46_N29
\led_flash_cnt[390][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[390][6]~32350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[390][6]~q\);

-- Location: LCCOMB_X56_Y46_N30
\led_flash_cnt[390][7]~32352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[390][7]~32352_combout\ = \led_flash_cnt[390][7]~q\ $ (!\led_flash_cnt[390][6]~32351\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[390][7]~q\,
	cin => \led_flash_cnt[390][6]~32351\,
	combout => \led_flash_cnt[390][7]~32352_combout\);

-- Location: FF_X56_Y46_N31
\led_flash_cnt[390][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[390][7]~32352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[390][7]~q\);

-- Location: LCCOMB_X56_Y46_N4
\WideAnd390~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd390~1_combout\ = (\led_flash_cnt[390][5]~q\ & \led_flash_cnt[390][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[390][5]~q\,
	datad => \led_flash_cnt[390][6]~q\,
	combout => \WideAnd390~1_combout\);

-- Location: LCCOMB_X56_Y46_N8
\WideAnd390~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd390~0_combout\ = (\led_flash_cnt[390][4]~q\ & (\led_flash_cnt[390][2]~q\ & (\led_flash_cnt[390][3]~q\ & \led_flash_cnt[390][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[390][4]~q\,
	datab => \led_flash_cnt[390][2]~q\,
	datac => \led_flash_cnt[390][3]~q\,
	datad => \led_flash_cnt[390][1]~q\,
	combout => \WideAnd390~0_combout\);

-- Location: LCCOMB_X56_Y46_N6
WideAnd390 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd390~combout\ = (\led_flash_cnt[390][7]~q\ & (\WideAnd390~1_combout\ & (\WideAnd390~0_combout\ & \led_flash_cnt[390][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[390][7]~q\,
	datab => \WideAnd390~1_combout\,
	datac => \WideAnd390~0_combout\,
	datad => \led_flash_cnt[390][0]~q\,
	combout => \WideAnd390~combout\);

-- Location: FF_X56_Y46_N7
\led_flash_cnt_ands[390]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd390~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(390));

-- Location: LCCOMB_X54_Y49_N14
\led_flash_cnt[388][0]~81028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[388][0]~81028_combout\ = !\led_flash_cnt[388][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[388][0]~q\,
	combout => \led_flash_cnt[388][0]~81028_combout\);

-- Location: FF_X54_Y49_N15
\led_flash_cnt[388][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[388][0]~81028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[388][0]~q\);

-- Location: LCCOMB_X54_Y49_N0
\led_flash_cnt[388][1]~32312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[388][1]~32312_combout\ = (\led_flash_cnt[388][0]~q\ & (\led_flash_cnt[388][1]~q\ $ (VCC))) # (!\led_flash_cnt[388][0]~q\ & (\led_flash_cnt[388][1]~q\ & VCC))
-- \led_flash_cnt[388][1]~32313\ = CARRY((\led_flash_cnt[388][0]~q\ & \led_flash_cnt[388][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[388][0]~q\,
	datab => \led_flash_cnt[388][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[388][1]~32312_combout\,
	cout => \led_flash_cnt[388][1]~32313\);

-- Location: FF_X54_Y49_N1
\led_flash_cnt[388][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[388][1]~32312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[388][1]~q\);

-- Location: LCCOMB_X54_Y49_N2
\led_flash_cnt[388][2]~32314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[388][2]~32314_combout\ = (\led_flash_cnt[388][2]~q\ & (!\led_flash_cnt[388][1]~32313\)) # (!\led_flash_cnt[388][2]~q\ & ((\led_flash_cnt[388][1]~32313\) # (GND)))
-- \led_flash_cnt[388][2]~32315\ = CARRY((!\led_flash_cnt[388][1]~32313\) # (!\led_flash_cnt[388][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[388][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[388][1]~32313\,
	combout => \led_flash_cnt[388][2]~32314_combout\,
	cout => \led_flash_cnt[388][2]~32315\);

-- Location: FF_X54_Y49_N3
\led_flash_cnt[388][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[388][2]~32314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[388][2]~q\);

-- Location: LCCOMB_X54_Y49_N4
\led_flash_cnt[388][3]~32316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[388][3]~32316_combout\ = (\led_flash_cnt[388][3]~q\ & (\led_flash_cnt[388][2]~32315\ $ (GND))) # (!\led_flash_cnt[388][3]~q\ & (!\led_flash_cnt[388][2]~32315\ & VCC))
-- \led_flash_cnt[388][3]~32317\ = CARRY((\led_flash_cnt[388][3]~q\ & !\led_flash_cnt[388][2]~32315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[388][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[388][2]~32315\,
	combout => \led_flash_cnt[388][3]~32316_combout\,
	cout => \led_flash_cnt[388][3]~32317\);

-- Location: FF_X54_Y49_N5
\led_flash_cnt[388][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[388][3]~32316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[388][3]~q\);

-- Location: LCCOMB_X54_Y49_N6
\led_flash_cnt[388][4]~32318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[388][4]~32318_combout\ = (\led_flash_cnt[388][4]~q\ & (!\led_flash_cnt[388][3]~32317\)) # (!\led_flash_cnt[388][4]~q\ & ((\led_flash_cnt[388][3]~32317\) # (GND)))
-- \led_flash_cnt[388][4]~32319\ = CARRY((!\led_flash_cnt[388][3]~32317\) # (!\led_flash_cnt[388][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[388][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[388][3]~32317\,
	combout => \led_flash_cnt[388][4]~32318_combout\,
	cout => \led_flash_cnt[388][4]~32319\);

-- Location: FF_X54_Y49_N7
\led_flash_cnt[388][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[388][4]~32318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[388][4]~q\);

-- Location: LCCOMB_X54_Y49_N8
\led_flash_cnt[388][5]~32320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[388][5]~32320_combout\ = (\led_flash_cnt[388][5]~q\ & (\led_flash_cnt[388][4]~32319\ $ (GND))) # (!\led_flash_cnt[388][5]~q\ & (!\led_flash_cnt[388][4]~32319\ & VCC))
-- \led_flash_cnt[388][5]~32321\ = CARRY((\led_flash_cnt[388][5]~q\ & !\led_flash_cnt[388][4]~32319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[388][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[388][4]~32319\,
	combout => \led_flash_cnt[388][5]~32320_combout\,
	cout => \led_flash_cnt[388][5]~32321\);

-- Location: FF_X54_Y49_N9
\led_flash_cnt[388][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[388][5]~32320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[388][5]~q\);

-- Location: LCCOMB_X54_Y49_N10
\led_flash_cnt[388][6]~32322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[388][6]~32322_combout\ = (\led_flash_cnt[388][6]~q\ & (!\led_flash_cnt[388][5]~32321\)) # (!\led_flash_cnt[388][6]~q\ & ((\led_flash_cnt[388][5]~32321\) # (GND)))
-- \led_flash_cnt[388][6]~32323\ = CARRY((!\led_flash_cnt[388][5]~32321\) # (!\led_flash_cnt[388][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[388][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[388][5]~32321\,
	combout => \led_flash_cnt[388][6]~32322_combout\,
	cout => \led_flash_cnt[388][6]~32323\);

-- Location: FF_X54_Y49_N11
\led_flash_cnt[388][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[388][6]~32322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[388][6]~q\);

-- Location: LCCOMB_X54_Y49_N12
\led_flash_cnt[388][7]~32324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[388][7]~32324_combout\ = \led_flash_cnt[388][7]~q\ $ (!\led_flash_cnt[388][6]~32323\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[388][7]~q\,
	cin => \led_flash_cnt[388][6]~32323\,
	combout => \led_flash_cnt[388][7]~32324_combout\);

-- Location: FF_X54_Y49_N13
\led_flash_cnt[388][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[388][7]~32324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[388][7]~q\);

-- Location: LCCOMB_X54_Y49_N24
\WideAnd388~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd388~0_combout\ = (\led_flash_cnt[388][4]~q\ & (\led_flash_cnt[388][1]~q\ & (\led_flash_cnt[388][3]~q\ & \led_flash_cnt[388][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[388][4]~q\,
	datab => \led_flash_cnt[388][1]~q\,
	datac => \led_flash_cnt[388][3]~q\,
	datad => \led_flash_cnt[388][2]~q\,
	combout => \WideAnd388~0_combout\);

-- Location: LCCOMB_X54_Y49_N26
\WideAnd388~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd388~1_combout\ = (\led_flash_cnt[388][5]~q\ & \led_flash_cnt[388][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[388][5]~q\,
	datad => \led_flash_cnt[388][6]~q\,
	combout => \WideAnd388~1_combout\);

-- Location: LCCOMB_X55_Y49_N14
WideAnd388 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd388~combout\ = (\led_flash_cnt[388][7]~q\ & (\WideAnd388~0_combout\ & (\WideAnd388~1_combout\ & \led_flash_cnt[388][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[388][7]~q\,
	datab => \WideAnd388~0_combout\,
	datac => \WideAnd388~1_combout\,
	datad => \led_flash_cnt[388][0]~q\,
	combout => \WideAnd388~combout\);

-- Location: FF_X55_Y49_N15
\led_flash_cnt_ands[388]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd388~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(388));

-- Location: LCCOMB_X57_Y49_N4
\led_flash_cnt[389][0]~81029\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[389][0]~81029_combout\ = !\led_flash_cnt[389][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[389][0]~q\,
	combout => \led_flash_cnt[389][0]~81029_combout\);

-- Location: FF_X57_Y49_N5
\led_flash_cnt[389][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[389][0]~81029_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[389][0]~q\);

-- Location: LCCOMB_X57_Y49_N10
\led_flash_cnt[389][1]~32326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[389][1]~32326_combout\ = (\led_flash_cnt[389][1]~q\ & (\led_flash_cnt[389][0]~q\ $ (VCC))) # (!\led_flash_cnt[389][1]~q\ & (\led_flash_cnt[389][0]~q\ & VCC))
-- \led_flash_cnt[389][1]~32327\ = CARRY((\led_flash_cnt[389][1]~q\ & \led_flash_cnt[389][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[389][1]~q\,
	datab => \led_flash_cnt[389][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[389][1]~32326_combout\,
	cout => \led_flash_cnt[389][1]~32327\);

-- Location: FF_X57_Y49_N11
\led_flash_cnt[389][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[389][1]~32326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[389][1]~q\);

-- Location: LCCOMB_X57_Y49_N12
\led_flash_cnt[389][2]~32328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[389][2]~32328_combout\ = (\led_flash_cnt[389][2]~q\ & (!\led_flash_cnt[389][1]~32327\)) # (!\led_flash_cnt[389][2]~q\ & ((\led_flash_cnt[389][1]~32327\) # (GND)))
-- \led_flash_cnt[389][2]~32329\ = CARRY((!\led_flash_cnt[389][1]~32327\) # (!\led_flash_cnt[389][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[389][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[389][1]~32327\,
	combout => \led_flash_cnt[389][2]~32328_combout\,
	cout => \led_flash_cnt[389][2]~32329\);

-- Location: FF_X57_Y49_N13
\led_flash_cnt[389][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[389][2]~32328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[389][2]~q\);

-- Location: LCCOMB_X57_Y49_N14
\led_flash_cnt[389][3]~32330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[389][3]~32330_combout\ = (\led_flash_cnt[389][3]~q\ & (\led_flash_cnt[389][2]~32329\ $ (GND))) # (!\led_flash_cnt[389][3]~q\ & (!\led_flash_cnt[389][2]~32329\ & VCC))
-- \led_flash_cnt[389][3]~32331\ = CARRY((\led_flash_cnt[389][3]~q\ & !\led_flash_cnt[389][2]~32329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[389][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[389][2]~32329\,
	combout => \led_flash_cnt[389][3]~32330_combout\,
	cout => \led_flash_cnt[389][3]~32331\);

-- Location: FF_X57_Y49_N15
\led_flash_cnt[389][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[389][3]~32330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[389][3]~q\);

-- Location: LCCOMB_X57_Y49_N16
\led_flash_cnt[389][4]~32332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[389][4]~32332_combout\ = (\led_flash_cnt[389][4]~q\ & (!\led_flash_cnt[389][3]~32331\)) # (!\led_flash_cnt[389][4]~q\ & ((\led_flash_cnt[389][3]~32331\) # (GND)))
-- \led_flash_cnt[389][4]~32333\ = CARRY((!\led_flash_cnt[389][3]~32331\) # (!\led_flash_cnt[389][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[389][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[389][3]~32331\,
	combout => \led_flash_cnt[389][4]~32332_combout\,
	cout => \led_flash_cnt[389][4]~32333\);

-- Location: FF_X57_Y49_N17
\led_flash_cnt[389][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[389][4]~32332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[389][4]~q\);

-- Location: LCCOMB_X57_Y49_N18
\led_flash_cnt[389][5]~32334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[389][5]~32334_combout\ = (\led_flash_cnt[389][5]~q\ & (\led_flash_cnt[389][4]~32333\ $ (GND))) # (!\led_flash_cnt[389][5]~q\ & (!\led_flash_cnt[389][4]~32333\ & VCC))
-- \led_flash_cnt[389][5]~32335\ = CARRY((\led_flash_cnt[389][5]~q\ & !\led_flash_cnt[389][4]~32333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[389][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[389][4]~32333\,
	combout => \led_flash_cnt[389][5]~32334_combout\,
	cout => \led_flash_cnt[389][5]~32335\);

-- Location: FF_X57_Y49_N19
\led_flash_cnt[389][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[389][5]~32334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[389][5]~q\);

-- Location: LCCOMB_X57_Y49_N20
\led_flash_cnt[389][6]~32336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[389][6]~32336_combout\ = (\led_flash_cnt[389][6]~q\ & (!\led_flash_cnt[389][5]~32335\)) # (!\led_flash_cnt[389][6]~q\ & ((\led_flash_cnt[389][5]~32335\) # (GND)))
-- \led_flash_cnt[389][6]~32337\ = CARRY((!\led_flash_cnt[389][5]~32335\) # (!\led_flash_cnt[389][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[389][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[389][5]~32335\,
	combout => \led_flash_cnt[389][6]~32336_combout\,
	cout => \led_flash_cnt[389][6]~32337\);

-- Location: FF_X57_Y49_N21
\led_flash_cnt[389][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[389][6]~32336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[389][6]~q\);

-- Location: LCCOMB_X57_Y49_N6
\WideAnd389~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd389~1_combout\ = (\led_flash_cnt[389][6]~q\ & \led_flash_cnt[389][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[389][6]~q\,
	datad => \led_flash_cnt[389][5]~q\,
	combout => \WideAnd389~1_combout\);

-- Location: LCCOMB_X57_Y49_N22
\led_flash_cnt[389][7]~32338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[389][7]~32338_combout\ = \led_flash_cnt[389][7]~q\ $ (!\led_flash_cnt[389][6]~32337\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[389][7]~q\,
	cin => \led_flash_cnt[389][6]~32337\,
	combout => \led_flash_cnt[389][7]~32338_combout\);

-- Location: FF_X57_Y49_N23
\led_flash_cnt[389][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[389][7]~32338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[389][7]~q\);

-- Location: LCCOMB_X57_Y49_N24
\WideAnd389~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd389~0_combout\ = (\led_flash_cnt[389][2]~q\ & (\led_flash_cnt[389][4]~q\ & (\led_flash_cnt[389][3]~q\ & \led_flash_cnt[389][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[389][2]~q\,
	datab => \led_flash_cnt[389][4]~q\,
	datac => \led_flash_cnt[389][3]~q\,
	datad => \led_flash_cnt[389][1]~q\,
	combout => \WideAnd389~0_combout\);

-- Location: LCCOMB_X57_Y49_N28
WideAnd389 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd389~combout\ = (\WideAnd389~1_combout\ & (\led_flash_cnt[389][0]~q\ & (\led_flash_cnt[389][7]~q\ & \WideAnd389~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd389~1_combout\,
	datab => \led_flash_cnt[389][0]~q\,
	datac => \led_flash_cnt[389][7]~q\,
	datad => \WideAnd389~0_combout\,
	combout => \WideAnd389~combout\);

-- Location: FF_X57_Y49_N29
\led_flash_cnt_ands[389]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd389~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(389));

-- Location: LCCOMB_X56_Y49_N20
\WideAnd3888~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3888~1_combout\ = (led_flash_cnt_ands(388) & led_flash_cnt_ands(389))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(388),
	datad => led_flash_cnt_ands(389),
	combout => \WideAnd3888~1_combout\);

-- Location: LCCOMB_X45_Y44_N30
\led_flash_cnt[391][0]~81031\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[391][0]~81031_combout\ = !\led_flash_cnt[391][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[391][0]~q\,
	combout => \led_flash_cnt[391][0]~81031_combout\);

-- Location: FF_X45_Y44_N31
\led_flash_cnt[391][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[391][0]~81031_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[391][0]~q\);

-- Location: LCCOMB_X45_Y44_N4
\led_flash_cnt[391][1]~32354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[391][1]~32354_combout\ = (\led_flash_cnt[391][0]~q\ & (\led_flash_cnt[391][1]~q\ $ (VCC))) # (!\led_flash_cnt[391][0]~q\ & (\led_flash_cnt[391][1]~q\ & VCC))
-- \led_flash_cnt[391][1]~32355\ = CARRY((\led_flash_cnt[391][0]~q\ & \led_flash_cnt[391][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[391][0]~q\,
	datab => \led_flash_cnt[391][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[391][1]~32354_combout\,
	cout => \led_flash_cnt[391][1]~32355\);

-- Location: FF_X45_Y44_N5
\led_flash_cnt[391][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[391][1]~32354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[391][1]~q\);

-- Location: LCCOMB_X45_Y44_N6
\led_flash_cnt[391][2]~32356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[391][2]~32356_combout\ = (\led_flash_cnt[391][2]~q\ & (!\led_flash_cnt[391][1]~32355\)) # (!\led_flash_cnt[391][2]~q\ & ((\led_flash_cnt[391][1]~32355\) # (GND)))
-- \led_flash_cnt[391][2]~32357\ = CARRY((!\led_flash_cnt[391][1]~32355\) # (!\led_flash_cnt[391][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[391][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[391][1]~32355\,
	combout => \led_flash_cnt[391][2]~32356_combout\,
	cout => \led_flash_cnt[391][2]~32357\);

-- Location: FF_X45_Y44_N7
\led_flash_cnt[391][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[391][2]~32356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[391][2]~q\);

-- Location: LCCOMB_X45_Y44_N8
\led_flash_cnt[391][3]~32358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[391][3]~32358_combout\ = (\led_flash_cnt[391][3]~q\ & (\led_flash_cnt[391][2]~32357\ $ (GND))) # (!\led_flash_cnt[391][3]~q\ & (!\led_flash_cnt[391][2]~32357\ & VCC))
-- \led_flash_cnt[391][3]~32359\ = CARRY((\led_flash_cnt[391][3]~q\ & !\led_flash_cnt[391][2]~32357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[391][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[391][2]~32357\,
	combout => \led_flash_cnt[391][3]~32358_combout\,
	cout => \led_flash_cnt[391][3]~32359\);

-- Location: FF_X45_Y44_N9
\led_flash_cnt[391][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[391][3]~32358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[391][3]~q\);

-- Location: LCCOMB_X45_Y44_N10
\led_flash_cnt[391][4]~32360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[391][4]~32360_combout\ = (\led_flash_cnt[391][4]~q\ & (!\led_flash_cnt[391][3]~32359\)) # (!\led_flash_cnt[391][4]~q\ & ((\led_flash_cnt[391][3]~32359\) # (GND)))
-- \led_flash_cnt[391][4]~32361\ = CARRY((!\led_flash_cnt[391][3]~32359\) # (!\led_flash_cnt[391][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[391][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[391][3]~32359\,
	combout => \led_flash_cnt[391][4]~32360_combout\,
	cout => \led_flash_cnt[391][4]~32361\);

-- Location: FF_X45_Y44_N11
\led_flash_cnt[391][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[391][4]~32360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[391][4]~q\);

-- Location: LCCOMB_X45_Y44_N12
\led_flash_cnt[391][5]~32362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[391][5]~32362_combout\ = (\led_flash_cnt[391][5]~q\ & (\led_flash_cnt[391][4]~32361\ $ (GND))) # (!\led_flash_cnt[391][5]~q\ & (!\led_flash_cnt[391][4]~32361\ & VCC))
-- \led_flash_cnt[391][5]~32363\ = CARRY((\led_flash_cnt[391][5]~q\ & !\led_flash_cnt[391][4]~32361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[391][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[391][4]~32361\,
	combout => \led_flash_cnt[391][5]~32362_combout\,
	cout => \led_flash_cnt[391][5]~32363\);

-- Location: FF_X45_Y44_N13
\led_flash_cnt[391][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[391][5]~32362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[391][5]~q\);

-- Location: LCCOMB_X45_Y44_N14
\led_flash_cnt[391][6]~32364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[391][6]~32364_combout\ = (\led_flash_cnt[391][6]~q\ & (!\led_flash_cnt[391][5]~32363\)) # (!\led_flash_cnt[391][6]~q\ & ((\led_flash_cnt[391][5]~32363\) # (GND)))
-- \led_flash_cnt[391][6]~32365\ = CARRY((!\led_flash_cnt[391][5]~32363\) # (!\led_flash_cnt[391][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[391][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[391][5]~32363\,
	combout => \led_flash_cnt[391][6]~32364_combout\,
	cout => \led_flash_cnt[391][6]~32365\);

-- Location: FF_X45_Y44_N15
\led_flash_cnt[391][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[391][6]~32364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[391][6]~q\);

-- Location: LCCOMB_X45_Y44_N16
\led_flash_cnt[391][7]~32366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[391][7]~32366_combout\ = \led_flash_cnt[391][6]~32365\ $ (!\led_flash_cnt[391][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[391][7]~q\,
	cin => \led_flash_cnt[391][6]~32365\,
	combout => \led_flash_cnt[391][7]~32366_combout\);

-- Location: FF_X45_Y44_N17
\led_flash_cnt[391][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[391][7]~32366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[391][7]~q\);

-- Location: LCCOMB_X45_Y44_N22
\WideAnd391~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd391~1_combout\ = (\led_flash_cnt[391][6]~q\ & \led_flash_cnt[391][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[391][6]~q\,
	datad => \led_flash_cnt[391][5]~q\,
	combout => \WideAnd391~1_combout\);

-- Location: LCCOMB_X45_Y44_N2
\WideAnd391~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd391~0_combout\ = (\led_flash_cnt[391][4]~q\ & (\led_flash_cnt[391][3]~q\ & (\led_flash_cnt[391][1]~q\ & \led_flash_cnt[391][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[391][4]~q\,
	datab => \led_flash_cnt[391][3]~q\,
	datac => \led_flash_cnt[391][1]~q\,
	datad => \led_flash_cnt[391][2]~q\,
	combout => \WideAnd391~0_combout\);

-- Location: LCCOMB_X45_Y44_N24
WideAnd391 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd391~combout\ = (\led_flash_cnt[391][0]~q\ & (\led_flash_cnt[391][7]~q\ & (\WideAnd391~1_combout\ & \WideAnd391~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[391][0]~q\,
	datab => \led_flash_cnt[391][7]~q\,
	datac => \WideAnd391~1_combout\,
	datad => \WideAnd391~0_combout\,
	combout => \WideAnd391~combout\);

-- Location: FF_X45_Y44_N25
\led_flash_cnt_ands[391]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd391~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(391));

-- Location: LCCOMB_X52_Y52_N10
\led_flash_cnt[384][0]~81024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[384][0]~81024_combout\ = !\led_flash_cnt[384][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[384][0]~q\,
	combout => \led_flash_cnt[384][0]~81024_combout\);

-- Location: FF_X52_Y52_N11
\led_flash_cnt[384][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[384][0]~81024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[384][0]~q\);

-- Location: LCCOMB_X52_Y52_N16
\led_flash_cnt[384][1]~32256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[384][1]~32256_combout\ = (\led_flash_cnt[384][0]~q\ & (\led_flash_cnt[384][1]~q\ $ (VCC))) # (!\led_flash_cnt[384][0]~q\ & (\led_flash_cnt[384][1]~q\ & VCC))
-- \led_flash_cnt[384][1]~32257\ = CARRY((\led_flash_cnt[384][0]~q\ & \led_flash_cnt[384][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[384][0]~q\,
	datab => \led_flash_cnt[384][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[384][1]~32256_combout\,
	cout => \led_flash_cnt[384][1]~32257\);

-- Location: FF_X52_Y52_N17
\led_flash_cnt[384][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[384][1]~32256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[384][1]~q\);

-- Location: LCCOMB_X52_Y52_N18
\led_flash_cnt[384][2]~32258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[384][2]~32258_combout\ = (\led_flash_cnt[384][2]~q\ & (!\led_flash_cnt[384][1]~32257\)) # (!\led_flash_cnt[384][2]~q\ & ((\led_flash_cnt[384][1]~32257\) # (GND)))
-- \led_flash_cnt[384][2]~32259\ = CARRY((!\led_flash_cnt[384][1]~32257\) # (!\led_flash_cnt[384][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[384][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[384][1]~32257\,
	combout => \led_flash_cnt[384][2]~32258_combout\,
	cout => \led_flash_cnt[384][2]~32259\);

-- Location: FF_X52_Y52_N19
\led_flash_cnt[384][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[384][2]~32258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[384][2]~q\);

-- Location: LCCOMB_X52_Y52_N20
\led_flash_cnt[384][3]~32260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[384][3]~32260_combout\ = (\led_flash_cnt[384][3]~q\ & (\led_flash_cnt[384][2]~32259\ $ (GND))) # (!\led_flash_cnt[384][3]~q\ & (!\led_flash_cnt[384][2]~32259\ & VCC))
-- \led_flash_cnt[384][3]~32261\ = CARRY((\led_flash_cnt[384][3]~q\ & !\led_flash_cnt[384][2]~32259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[384][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[384][2]~32259\,
	combout => \led_flash_cnt[384][3]~32260_combout\,
	cout => \led_flash_cnt[384][3]~32261\);

-- Location: FF_X52_Y52_N21
\led_flash_cnt[384][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[384][3]~32260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[384][3]~q\);

-- Location: LCCOMB_X52_Y52_N22
\led_flash_cnt[384][4]~32262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[384][4]~32262_combout\ = (\led_flash_cnt[384][4]~q\ & (!\led_flash_cnt[384][3]~32261\)) # (!\led_flash_cnt[384][4]~q\ & ((\led_flash_cnt[384][3]~32261\) # (GND)))
-- \led_flash_cnt[384][4]~32263\ = CARRY((!\led_flash_cnt[384][3]~32261\) # (!\led_flash_cnt[384][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[384][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[384][3]~32261\,
	combout => \led_flash_cnt[384][4]~32262_combout\,
	cout => \led_flash_cnt[384][4]~32263\);

-- Location: FF_X52_Y52_N23
\led_flash_cnt[384][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[384][4]~32262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[384][4]~q\);

-- Location: LCCOMB_X52_Y52_N24
\led_flash_cnt[384][5]~32264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[384][5]~32264_combout\ = (\led_flash_cnt[384][5]~q\ & (\led_flash_cnt[384][4]~32263\ $ (GND))) # (!\led_flash_cnt[384][5]~q\ & (!\led_flash_cnt[384][4]~32263\ & VCC))
-- \led_flash_cnt[384][5]~32265\ = CARRY((\led_flash_cnt[384][5]~q\ & !\led_flash_cnt[384][4]~32263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[384][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[384][4]~32263\,
	combout => \led_flash_cnt[384][5]~32264_combout\,
	cout => \led_flash_cnt[384][5]~32265\);

-- Location: FF_X52_Y52_N25
\led_flash_cnt[384][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[384][5]~32264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[384][5]~q\);

-- Location: LCCOMB_X52_Y52_N26
\led_flash_cnt[384][6]~32266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[384][6]~32266_combout\ = (\led_flash_cnt[384][6]~q\ & (!\led_flash_cnt[384][5]~32265\)) # (!\led_flash_cnt[384][6]~q\ & ((\led_flash_cnt[384][5]~32265\) # (GND)))
-- \led_flash_cnt[384][6]~32267\ = CARRY((!\led_flash_cnt[384][5]~32265\) # (!\led_flash_cnt[384][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[384][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[384][5]~32265\,
	combout => \led_flash_cnt[384][6]~32266_combout\,
	cout => \led_flash_cnt[384][6]~32267\);

-- Location: FF_X52_Y52_N27
\led_flash_cnt[384][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[384][6]~32266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[384][6]~q\);

-- Location: LCCOMB_X52_Y52_N28
\led_flash_cnt[384][7]~32268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[384][7]~32268_combout\ = \led_flash_cnt[384][6]~32267\ $ (!\led_flash_cnt[384][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[384][7]~q\,
	cin => \led_flash_cnt[384][6]~32267\,
	combout => \led_flash_cnt[384][7]~32268_combout\);

-- Location: FF_X52_Y52_N29
\led_flash_cnt[384][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[384][7]~32268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[384][7]~q\);

-- Location: LCCOMB_X52_Y52_N4
\WideAnd384~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd384~1_combout\ = (\led_flash_cnt[384][6]~q\ & \led_flash_cnt[384][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[384][6]~q\,
	datad => \led_flash_cnt[384][5]~q\,
	combout => \WideAnd384~1_combout\);

-- Location: LCCOMB_X52_Y52_N12
\WideAnd384~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd384~0_combout\ = (\led_flash_cnt[384][3]~q\ & (\led_flash_cnt[384][2]~q\ & (\led_flash_cnt[384][4]~q\ & \led_flash_cnt[384][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[384][3]~q\,
	datab => \led_flash_cnt[384][2]~q\,
	datac => \led_flash_cnt[384][4]~q\,
	datad => \led_flash_cnt[384][1]~q\,
	combout => \WideAnd384~0_combout\);

-- Location: LCCOMB_X52_Y52_N2
WideAnd384 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd384~combout\ = (\led_flash_cnt[384][0]~q\ & (\led_flash_cnt[384][7]~q\ & (\WideAnd384~1_combout\ & \WideAnd384~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[384][0]~q\,
	datab => \led_flash_cnt[384][7]~q\,
	datac => \WideAnd384~1_combout\,
	datad => \WideAnd384~0_combout\,
	combout => \WideAnd384~combout\);

-- Location: FF_X52_Y52_N3
\led_flash_cnt_ands[384]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd384~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(384));

-- Location: LCCOMB_X57_Y52_N6
\led_flash_cnt[387][0]~81027\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[387][0]~81027_combout\ = !\led_flash_cnt[387][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[387][0]~q\,
	combout => \led_flash_cnt[387][0]~81027_combout\);

-- Location: FF_X57_Y52_N7
\led_flash_cnt[387][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[387][0]~81027_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[387][0]~q\);

-- Location: LCCOMB_X58_Y52_N0
\led_flash_cnt[387][1]~32298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[387][1]~32298_combout\ = (\led_flash_cnt[387][0]~q\ & (\led_flash_cnt[387][1]~q\ $ (VCC))) # (!\led_flash_cnt[387][0]~q\ & (\led_flash_cnt[387][1]~q\ & VCC))
-- \led_flash_cnt[387][1]~32299\ = CARRY((\led_flash_cnt[387][0]~q\ & \led_flash_cnt[387][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[387][0]~q\,
	datab => \led_flash_cnt[387][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[387][1]~32298_combout\,
	cout => \led_flash_cnt[387][1]~32299\);

-- Location: FF_X58_Y52_N1
\led_flash_cnt[387][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[387][1]~32298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[387][1]~q\);

-- Location: LCCOMB_X58_Y52_N2
\led_flash_cnt[387][2]~32300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[387][2]~32300_combout\ = (\led_flash_cnt[387][2]~q\ & (!\led_flash_cnt[387][1]~32299\)) # (!\led_flash_cnt[387][2]~q\ & ((\led_flash_cnt[387][1]~32299\) # (GND)))
-- \led_flash_cnt[387][2]~32301\ = CARRY((!\led_flash_cnt[387][1]~32299\) # (!\led_flash_cnt[387][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[387][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[387][1]~32299\,
	combout => \led_flash_cnt[387][2]~32300_combout\,
	cout => \led_flash_cnt[387][2]~32301\);

-- Location: FF_X58_Y52_N3
\led_flash_cnt[387][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[387][2]~32300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[387][2]~q\);

-- Location: LCCOMB_X58_Y52_N4
\led_flash_cnt[387][3]~32302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[387][3]~32302_combout\ = (\led_flash_cnt[387][3]~q\ & (\led_flash_cnt[387][2]~32301\ $ (GND))) # (!\led_flash_cnt[387][3]~q\ & (!\led_flash_cnt[387][2]~32301\ & VCC))
-- \led_flash_cnt[387][3]~32303\ = CARRY((\led_flash_cnt[387][3]~q\ & !\led_flash_cnt[387][2]~32301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[387][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[387][2]~32301\,
	combout => \led_flash_cnt[387][3]~32302_combout\,
	cout => \led_flash_cnt[387][3]~32303\);

-- Location: FF_X58_Y52_N5
\led_flash_cnt[387][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[387][3]~32302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[387][3]~q\);

-- Location: LCCOMB_X58_Y52_N6
\led_flash_cnt[387][4]~32304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[387][4]~32304_combout\ = (\led_flash_cnt[387][4]~q\ & (!\led_flash_cnt[387][3]~32303\)) # (!\led_flash_cnt[387][4]~q\ & ((\led_flash_cnt[387][3]~32303\) # (GND)))
-- \led_flash_cnt[387][4]~32305\ = CARRY((!\led_flash_cnt[387][3]~32303\) # (!\led_flash_cnt[387][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[387][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[387][3]~32303\,
	combout => \led_flash_cnt[387][4]~32304_combout\,
	cout => \led_flash_cnt[387][4]~32305\);

-- Location: FF_X58_Y52_N7
\led_flash_cnt[387][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[387][4]~32304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[387][4]~q\);

-- Location: LCCOMB_X58_Y52_N8
\led_flash_cnt[387][5]~32306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[387][5]~32306_combout\ = (\led_flash_cnt[387][5]~q\ & (\led_flash_cnt[387][4]~32305\ $ (GND))) # (!\led_flash_cnt[387][5]~q\ & (!\led_flash_cnt[387][4]~32305\ & VCC))
-- \led_flash_cnt[387][5]~32307\ = CARRY((\led_flash_cnt[387][5]~q\ & !\led_flash_cnt[387][4]~32305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[387][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[387][4]~32305\,
	combout => \led_flash_cnt[387][5]~32306_combout\,
	cout => \led_flash_cnt[387][5]~32307\);

-- Location: FF_X58_Y52_N9
\led_flash_cnt[387][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[387][5]~32306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[387][5]~q\);

-- Location: LCCOMB_X58_Y52_N10
\led_flash_cnt[387][6]~32308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[387][6]~32308_combout\ = (\led_flash_cnt[387][6]~q\ & (!\led_flash_cnt[387][5]~32307\)) # (!\led_flash_cnt[387][6]~q\ & ((\led_flash_cnt[387][5]~32307\) # (GND)))
-- \led_flash_cnt[387][6]~32309\ = CARRY((!\led_flash_cnt[387][5]~32307\) # (!\led_flash_cnt[387][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[387][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[387][5]~32307\,
	combout => \led_flash_cnt[387][6]~32308_combout\,
	cout => \led_flash_cnt[387][6]~32309\);

-- Location: FF_X58_Y52_N11
\led_flash_cnt[387][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[387][6]~32308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[387][6]~q\);

-- Location: LCCOMB_X57_Y52_N26
\WideAnd387~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd387~1_combout\ = (\led_flash_cnt[387][6]~q\ & \led_flash_cnt[387][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[387][6]~q\,
	datac => \led_flash_cnt[387][5]~q\,
	combout => \WideAnd387~1_combout\);

-- Location: LCCOMB_X58_Y52_N12
\led_flash_cnt[387][7]~32310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[387][7]~32310_combout\ = \led_flash_cnt[387][6]~32309\ $ (!\led_flash_cnt[387][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[387][7]~q\,
	cin => \led_flash_cnt[387][6]~32309\,
	combout => \led_flash_cnt[387][7]~32310_combout\);

-- Location: FF_X58_Y52_N13
\led_flash_cnt[387][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[387][7]~32310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[387][7]~q\);

-- Location: LCCOMB_X58_Y52_N30
\WideAnd387~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd387~0_combout\ = (\led_flash_cnt[387][4]~q\ & (\led_flash_cnt[387][1]~q\ & (\led_flash_cnt[387][3]~q\ & \led_flash_cnt[387][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[387][4]~q\,
	datab => \led_flash_cnt[387][1]~q\,
	datac => \led_flash_cnt[387][3]~q\,
	datad => \led_flash_cnt[387][2]~q\,
	combout => \WideAnd387~0_combout\);

-- Location: LCCOMB_X57_Y52_N28
WideAnd387 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd387~combout\ = (\WideAnd387~1_combout\ & (\led_flash_cnt[387][7]~q\ & (\WideAnd387~0_combout\ & \led_flash_cnt[387][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd387~1_combout\,
	datab => \led_flash_cnt[387][7]~q\,
	datac => \WideAnd387~0_combout\,
	datad => \led_flash_cnt[387][0]~q\,
	combout => \WideAnd387~combout\);

-- Location: FF_X57_Y52_N29
\led_flash_cnt_ands[387]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd387~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(387));

-- Location: LCCOMB_X60_Y53_N10
\led_flash_cnt[386][0]~81026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[386][0]~81026_combout\ = !\led_flash_cnt[386][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[386][0]~q\,
	combout => \led_flash_cnt[386][0]~81026_combout\);

-- Location: FF_X60_Y53_N11
\led_flash_cnt[386][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[386][0]~81026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[386][0]~q\);

-- Location: LCCOMB_X60_Y53_N16
\led_flash_cnt[386][1]~32284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[386][1]~32284_combout\ = (\led_flash_cnt[386][0]~q\ & (\led_flash_cnt[386][1]~q\ $ (VCC))) # (!\led_flash_cnt[386][0]~q\ & (\led_flash_cnt[386][1]~q\ & VCC))
-- \led_flash_cnt[386][1]~32285\ = CARRY((\led_flash_cnt[386][0]~q\ & \led_flash_cnt[386][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[386][0]~q\,
	datab => \led_flash_cnt[386][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[386][1]~32284_combout\,
	cout => \led_flash_cnt[386][1]~32285\);

-- Location: FF_X60_Y53_N17
\led_flash_cnt[386][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[386][1]~32284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[386][1]~q\);

-- Location: LCCOMB_X60_Y53_N18
\led_flash_cnt[386][2]~32286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[386][2]~32286_combout\ = (\led_flash_cnt[386][2]~q\ & (!\led_flash_cnt[386][1]~32285\)) # (!\led_flash_cnt[386][2]~q\ & ((\led_flash_cnt[386][1]~32285\) # (GND)))
-- \led_flash_cnt[386][2]~32287\ = CARRY((!\led_flash_cnt[386][1]~32285\) # (!\led_flash_cnt[386][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[386][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[386][1]~32285\,
	combout => \led_flash_cnt[386][2]~32286_combout\,
	cout => \led_flash_cnt[386][2]~32287\);

-- Location: FF_X60_Y53_N19
\led_flash_cnt[386][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[386][2]~32286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[386][2]~q\);

-- Location: LCCOMB_X60_Y53_N20
\led_flash_cnt[386][3]~32288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[386][3]~32288_combout\ = (\led_flash_cnt[386][3]~q\ & (\led_flash_cnt[386][2]~32287\ $ (GND))) # (!\led_flash_cnt[386][3]~q\ & (!\led_flash_cnt[386][2]~32287\ & VCC))
-- \led_flash_cnt[386][3]~32289\ = CARRY((\led_flash_cnt[386][3]~q\ & !\led_flash_cnt[386][2]~32287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[386][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[386][2]~32287\,
	combout => \led_flash_cnt[386][3]~32288_combout\,
	cout => \led_flash_cnt[386][3]~32289\);

-- Location: FF_X60_Y53_N21
\led_flash_cnt[386][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[386][3]~32288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[386][3]~q\);

-- Location: LCCOMB_X60_Y53_N22
\led_flash_cnt[386][4]~32290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[386][4]~32290_combout\ = (\led_flash_cnt[386][4]~q\ & (!\led_flash_cnt[386][3]~32289\)) # (!\led_flash_cnt[386][4]~q\ & ((\led_flash_cnt[386][3]~32289\) # (GND)))
-- \led_flash_cnt[386][4]~32291\ = CARRY((!\led_flash_cnt[386][3]~32289\) # (!\led_flash_cnt[386][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[386][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[386][3]~32289\,
	combout => \led_flash_cnt[386][4]~32290_combout\,
	cout => \led_flash_cnt[386][4]~32291\);

-- Location: FF_X60_Y53_N23
\led_flash_cnt[386][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[386][4]~32290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[386][4]~q\);

-- Location: LCCOMB_X60_Y53_N24
\led_flash_cnt[386][5]~32292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[386][5]~32292_combout\ = (\led_flash_cnt[386][5]~q\ & (\led_flash_cnt[386][4]~32291\ $ (GND))) # (!\led_flash_cnt[386][5]~q\ & (!\led_flash_cnt[386][4]~32291\ & VCC))
-- \led_flash_cnt[386][5]~32293\ = CARRY((\led_flash_cnt[386][5]~q\ & !\led_flash_cnt[386][4]~32291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[386][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[386][4]~32291\,
	combout => \led_flash_cnt[386][5]~32292_combout\,
	cout => \led_flash_cnt[386][5]~32293\);

-- Location: FF_X60_Y53_N25
\led_flash_cnt[386][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[386][5]~32292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[386][5]~q\);

-- Location: LCCOMB_X60_Y53_N26
\led_flash_cnt[386][6]~32294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[386][6]~32294_combout\ = (\led_flash_cnt[386][6]~q\ & (!\led_flash_cnt[386][5]~32293\)) # (!\led_flash_cnt[386][6]~q\ & ((\led_flash_cnt[386][5]~32293\) # (GND)))
-- \led_flash_cnt[386][6]~32295\ = CARRY((!\led_flash_cnt[386][5]~32293\) # (!\led_flash_cnt[386][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[386][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[386][5]~32293\,
	combout => \led_flash_cnt[386][6]~32294_combout\,
	cout => \led_flash_cnt[386][6]~32295\);

-- Location: FF_X60_Y53_N27
\led_flash_cnt[386][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[386][6]~32294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[386][6]~q\);

-- Location: LCCOMB_X60_Y53_N28
\led_flash_cnt[386][7]~32296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[386][7]~32296_combout\ = \led_flash_cnt[386][6]~32295\ $ (!\led_flash_cnt[386][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[386][7]~q\,
	cin => \led_flash_cnt[386][6]~32295\,
	combout => \led_flash_cnt[386][7]~32296_combout\);

-- Location: FF_X60_Y53_N29
\led_flash_cnt[386][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[386][7]~32296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[386][7]~q\);

-- Location: LCCOMB_X60_Y53_N4
\WideAnd386~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd386~1_combout\ = (\led_flash_cnt[386][6]~q\ & \led_flash_cnt[386][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[386][6]~q\,
	datad => \led_flash_cnt[386][5]~q\,
	combout => \WideAnd386~1_combout\);

-- Location: LCCOMB_X60_Y53_N12
\WideAnd386~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd386~0_combout\ = (\led_flash_cnt[386][1]~q\ & (\led_flash_cnt[386][2]~q\ & (\led_flash_cnt[386][4]~q\ & \led_flash_cnt[386][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[386][1]~q\,
	datab => \led_flash_cnt[386][2]~q\,
	datac => \led_flash_cnt[386][4]~q\,
	datad => \led_flash_cnt[386][3]~q\,
	combout => \WideAnd386~0_combout\);

-- Location: LCCOMB_X60_Y53_N30
WideAnd386 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd386~combout\ = (\led_flash_cnt[386][0]~q\ & (\led_flash_cnt[386][7]~q\ & (\WideAnd386~1_combout\ & \WideAnd386~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[386][0]~q\,
	datab => \led_flash_cnt[386][7]~q\,
	datac => \WideAnd386~1_combout\,
	datad => \WideAnd386~0_combout\,
	combout => \WideAnd386~combout\);

-- Location: FF_X60_Y53_N31
\led_flash_cnt_ands[386]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd386~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(386));

-- Location: LCCOMB_X57_Y52_N22
\led_flash_cnt[385][0]~81025\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[385][0]~81025_combout\ = !\led_flash_cnt[385][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[385][0]~q\,
	combout => \led_flash_cnt[385][0]~81025_combout\);

-- Location: FF_X57_Y52_N23
\led_flash_cnt[385][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[385][0]~81025_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[385][0]~q\);

-- Location: LCCOMB_X57_Y52_N8
\led_flash_cnt[385][1]~32270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[385][1]~32270_combout\ = (\led_flash_cnt[385][0]~q\ & (\led_flash_cnt[385][1]~q\ $ (VCC))) # (!\led_flash_cnt[385][0]~q\ & (\led_flash_cnt[385][1]~q\ & VCC))
-- \led_flash_cnt[385][1]~32271\ = CARRY((\led_flash_cnt[385][0]~q\ & \led_flash_cnt[385][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[385][0]~q\,
	datab => \led_flash_cnt[385][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[385][1]~32270_combout\,
	cout => \led_flash_cnt[385][1]~32271\);

-- Location: FF_X57_Y52_N9
\led_flash_cnt[385][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[385][1]~32270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[385][1]~q\);

-- Location: LCCOMB_X57_Y52_N10
\led_flash_cnt[385][2]~32272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[385][2]~32272_combout\ = (\led_flash_cnt[385][2]~q\ & (!\led_flash_cnt[385][1]~32271\)) # (!\led_flash_cnt[385][2]~q\ & ((\led_flash_cnt[385][1]~32271\) # (GND)))
-- \led_flash_cnt[385][2]~32273\ = CARRY((!\led_flash_cnt[385][1]~32271\) # (!\led_flash_cnt[385][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[385][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[385][1]~32271\,
	combout => \led_flash_cnt[385][2]~32272_combout\,
	cout => \led_flash_cnt[385][2]~32273\);

-- Location: FF_X57_Y52_N11
\led_flash_cnt[385][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[385][2]~32272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[385][2]~q\);

-- Location: LCCOMB_X57_Y52_N12
\led_flash_cnt[385][3]~32274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[385][3]~32274_combout\ = (\led_flash_cnt[385][3]~q\ & (\led_flash_cnt[385][2]~32273\ $ (GND))) # (!\led_flash_cnt[385][3]~q\ & (!\led_flash_cnt[385][2]~32273\ & VCC))
-- \led_flash_cnt[385][3]~32275\ = CARRY((\led_flash_cnt[385][3]~q\ & !\led_flash_cnt[385][2]~32273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[385][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[385][2]~32273\,
	combout => \led_flash_cnt[385][3]~32274_combout\,
	cout => \led_flash_cnt[385][3]~32275\);

-- Location: FF_X57_Y52_N13
\led_flash_cnt[385][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[385][3]~32274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[385][3]~q\);

-- Location: LCCOMB_X57_Y52_N14
\led_flash_cnt[385][4]~32276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[385][4]~32276_combout\ = (\led_flash_cnt[385][4]~q\ & (!\led_flash_cnt[385][3]~32275\)) # (!\led_flash_cnt[385][4]~q\ & ((\led_flash_cnt[385][3]~32275\) # (GND)))
-- \led_flash_cnt[385][4]~32277\ = CARRY((!\led_flash_cnt[385][3]~32275\) # (!\led_flash_cnt[385][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[385][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[385][3]~32275\,
	combout => \led_flash_cnt[385][4]~32276_combout\,
	cout => \led_flash_cnt[385][4]~32277\);

-- Location: FF_X57_Y52_N15
\led_flash_cnt[385][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[385][4]~32276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[385][4]~q\);

-- Location: LCCOMB_X57_Y52_N16
\led_flash_cnt[385][5]~32278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[385][5]~32278_combout\ = (\led_flash_cnt[385][5]~q\ & (\led_flash_cnt[385][4]~32277\ $ (GND))) # (!\led_flash_cnt[385][5]~q\ & (!\led_flash_cnt[385][4]~32277\ & VCC))
-- \led_flash_cnt[385][5]~32279\ = CARRY((\led_flash_cnt[385][5]~q\ & !\led_flash_cnt[385][4]~32277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[385][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[385][4]~32277\,
	combout => \led_flash_cnt[385][5]~32278_combout\,
	cout => \led_flash_cnt[385][5]~32279\);

-- Location: FF_X57_Y52_N17
\led_flash_cnt[385][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[385][5]~32278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[385][5]~q\);

-- Location: LCCOMB_X57_Y52_N18
\led_flash_cnt[385][6]~32280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[385][6]~32280_combout\ = (\led_flash_cnt[385][6]~q\ & (!\led_flash_cnt[385][5]~32279\)) # (!\led_flash_cnt[385][6]~q\ & ((\led_flash_cnt[385][5]~32279\) # (GND)))
-- \led_flash_cnt[385][6]~32281\ = CARRY((!\led_flash_cnt[385][5]~32279\) # (!\led_flash_cnt[385][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[385][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[385][5]~32279\,
	combout => \led_flash_cnt[385][6]~32280_combout\,
	cout => \led_flash_cnt[385][6]~32281\);

-- Location: FF_X57_Y52_N19
\led_flash_cnt[385][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[385][6]~32280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[385][6]~q\);

-- Location: LCCOMB_X57_Y52_N20
\led_flash_cnt[385][7]~32282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[385][7]~32282_combout\ = \led_flash_cnt[385][6]~32281\ $ (!\led_flash_cnt[385][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[385][7]~q\,
	cin => \led_flash_cnt[385][6]~32281\,
	combout => \led_flash_cnt[385][7]~32282_combout\);

-- Location: FF_X57_Y52_N21
\led_flash_cnt[385][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[385][7]~32282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[385][7]~q\);

-- Location: LCCOMB_X57_Y52_N4
\WideAnd385~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd385~1_combout\ = (\led_flash_cnt[385][6]~q\ & \led_flash_cnt[385][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[385][6]~q\,
	datad => \led_flash_cnt[385][5]~q\,
	combout => \WideAnd385~1_combout\);

-- Location: LCCOMB_X57_Y52_N24
\WideAnd385~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd385~0_combout\ = (\led_flash_cnt[385][3]~q\ & (\led_flash_cnt[385][4]~q\ & (\led_flash_cnt[385][1]~q\ & \led_flash_cnt[385][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[385][3]~q\,
	datab => \led_flash_cnt[385][4]~q\,
	datac => \led_flash_cnt[385][1]~q\,
	datad => \led_flash_cnt[385][2]~q\,
	combout => \WideAnd385~0_combout\);

-- Location: LCCOMB_X57_Y52_N2
WideAnd385 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd385~combout\ = (\led_flash_cnt[385][0]~q\ & (\led_flash_cnt[385][7]~q\ & (\WideAnd385~1_combout\ & \WideAnd385~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[385][0]~q\,
	datab => \led_flash_cnt[385][7]~q\,
	datac => \WideAnd385~1_combout\,
	datad => \WideAnd385~0_combout\,
	combout => \WideAnd385~combout\);

-- Location: FF_X57_Y52_N3
\led_flash_cnt_ands[385]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd385~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(385));

-- Location: LCCOMB_X57_Y52_N30
\WideAnd3888~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3888~0_combout\ = (led_flash_cnt_ands(384) & (led_flash_cnt_ands(387) & (led_flash_cnt_ands(386) & led_flash_cnt_ands(385))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(384),
	datab => led_flash_cnt_ands(387),
	datac => led_flash_cnt_ands(386),
	datad => led_flash_cnt_ands(385),
	combout => \WideAnd3888~0_combout\);

-- Location: LCCOMB_X56_Y46_N2
WideAnd3888 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3888~combout\ = (led_flash_cnt_ands(390) & (\WideAnd3888~1_combout\ & (led_flash_cnt_ands(391) & \WideAnd3888~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(390),
	datab => \WideAnd3888~1_combout\,
	datac => led_flash_cnt_ands(391),
	datad => \WideAnd3888~0_combout\,
	combout => \WideAnd3888~combout\);

-- Location: FF_X56_Y46_N3
\led_flash_cnt_ands_1[48]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3888~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(48));

-- Location: LCCOMB_X56_Y46_N16
\WideAnd4326~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4326~0_combout\ = (led_flash_cnt_ands_1(51) & (led_flash_cnt_ands_1(49) & (led_flash_cnt_ands_1(50) & led_flash_cnt_ands_1(48))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(51),
	datab => led_flash_cnt_ands_1(49),
	datac => led_flash_cnt_ands_1(50),
	datad => led_flash_cnt_ands_1(48),
	combout => \WideAnd4326~0_combout\);

-- Location: LCCOMB_X70_Y48_N26
\led_flash_cnt[445][0]~81085\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[445][0]~81085_combout\ = !\led_flash_cnt[445][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[445][0]~q\,
	combout => \led_flash_cnt[445][0]~81085_combout\);

-- Location: FF_X70_Y48_N27
\led_flash_cnt[445][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[445][0]~81085_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[445][0]~q\);

-- Location: LCCOMB_X70_Y48_N8
\led_flash_cnt[445][1]~33110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[445][1]~33110_combout\ = (\led_flash_cnt[445][0]~q\ & (\led_flash_cnt[445][1]~q\ $ (VCC))) # (!\led_flash_cnt[445][0]~q\ & (\led_flash_cnt[445][1]~q\ & VCC))
-- \led_flash_cnt[445][1]~33111\ = CARRY((\led_flash_cnt[445][0]~q\ & \led_flash_cnt[445][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[445][0]~q\,
	datab => \led_flash_cnt[445][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[445][1]~33110_combout\,
	cout => \led_flash_cnt[445][1]~33111\);

-- Location: FF_X70_Y48_N9
\led_flash_cnt[445][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[445][1]~33110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[445][1]~q\);

-- Location: LCCOMB_X70_Y48_N10
\led_flash_cnt[445][2]~33112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[445][2]~33112_combout\ = (\led_flash_cnt[445][2]~q\ & (!\led_flash_cnt[445][1]~33111\)) # (!\led_flash_cnt[445][2]~q\ & ((\led_flash_cnt[445][1]~33111\) # (GND)))
-- \led_flash_cnt[445][2]~33113\ = CARRY((!\led_flash_cnt[445][1]~33111\) # (!\led_flash_cnt[445][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[445][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[445][1]~33111\,
	combout => \led_flash_cnt[445][2]~33112_combout\,
	cout => \led_flash_cnt[445][2]~33113\);

-- Location: FF_X70_Y48_N11
\led_flash_cnt[445][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[445][2]~33112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[445][2]~q\);

-- Location: LCCOMB_X70_Y48_N12
\led_flash_cnt[445][3]~33114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[445][3]~33114_combout\ = (\led_flash_cnt[445][3]~q\ & (\led_flash_cnt[445][2]~33113\ $ (GND))) # (!\led_flash_cnt[445][3]~q\ & (!\led_flash_cnt[445][2]~33113\ & VCC))
-- \led_flash_cnt[445][3]~33115\ = CARRY((\led_flash_cnt[445][3]~q\ & !\led_flash_cnt[445][2]~33113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[445][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[445][2]~33113\,
	combout => \led_flash_cnt[445][3]~33114_combout\,
	cout => \led_flash_cnt[445][3]~33115\);

-- Location: FF_X70_Y48_N13
\led_flash_cnt[445][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[445][3]~33114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[445][3]~q\);

-- Location: LCCOMB_X70_Y48_N14
\led_flash_cnt[445][4]~33116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[445][4]~33116_combout\ = (\led_flash_cnt[445][4]~q\ & (!\led_flash_cnt[445][3]~33115\)) # (!\led_flash_cnt[445][4]~q\ & ((\led_flash_cnt[445][3]~33115\) # (GND)))
-- \led_flash_cnt[445][4]~33117\ = CARRY((!\led_flash_cnt[445][3]~33115\) # (!\led_flash_cnt[445][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[445][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[445][3]~33115\,
	combout => \led_flash_cnt[445][4]~33116_combout\,
	cout => \led_flash_cnt[445][4]~33117\);

-- Location: FF_X70_Y48_N15
\led_flash_cnt[445][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[445][4]~33116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[445][4]~q\);

-- Location: LCCOMB_X70_Y48_N16
\led_flash_cnt[445][5]~33118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[445][5]~33118_combout\ = (\led_flash_cnt[445][5]~q\ & (\led_flash_cnt[445][4]~33117\ $ (GND))) # (!\led_flash_cnt[445][5]~q\ & (!\led_flash_cnt[445][4]~33117\ & VCC))
-- \led_flash_cnt[445][5]~33119\ = CARRY((\led_flash_cnt[445][5]~q\ & !\led_flash_cnt[445][4]~33117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[445][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[445][4]~33117\,
	combout => \led_flash_cnt[445][5]~33118_combout\,
	cout => \led_flash_cnt[445][5]~33119\);

-- Location: FF_X70_Y48_N17
\led_flash_cnt[445][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[445][5]~33118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[445][5]~q\);

-- Location: LCCOMB_X70_Y48_N18
\led_flash_cnt[445][6]~33120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[445][6]~33120_combout\ = (\led_flash_cnt[445][6]~q\ & (!\led_flash_cnt[445][5]~33119\)) # (!\led_flash_cnt[445][6]~q\ & ((\led_flash_cnt[445][5]~33119\) # (GND)))
-- \led_flash_cnt[445][6]~33121\ = CARRY((!\led_flash_cnt[445][5]~33119\) # (!\led_flash_cnt[445][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[445][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[445][5]~33119\,
	combout => \led_flash_cnt[445][6]~33120_combout\,
	cout => \led_flash_cnt[445][6]~33121\);

-- Location: FF_X70_Y48_N19
\led_flash_cnt[445][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[445][6]~33120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[445][6]~q\);

-- Location: LCCOMB_X70_Y48_N20
\led_flash_cnt[445][7]~33122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[445][7]~33122_combout\ = \led_flash_cnt[445][6]~33121\ $ (!\led_flash_cnt[445][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[445][7]~q\,
	cin => \led_flash_cnt[445][6]~33121\,
	combout => \led_flash_cnt[445][7]~33122_combout\);

-- Location: FF_X70_Y48_N21
\led_flash_cnt[445][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[445][7]~33122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[445][7]~q\);

-- Location: LCCOMB_X70_Y48_N22
\WideAnd445~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd445~1_combout\ = (\led_flash_cnt[445][6]~q\ & \led_flash_cnt[445][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[445][6]~q\,
	datad => \led_flash_cnt[445][5]~q\,
	combout => \WideAnd445~1_combout\);

-- Location: LCCOMB_X70_Y48_N28
\WideAnd445~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd445~0_combout\ = (\led_flash_cnt[445][3]~q\ & (\led_flash_cnt[445][4]~q\ & (\led_flash_cnt[445][1]~q\ & \led_flash_cnt[445][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[445][3]~q\,
	datab => \led_flash_cnt[445][4]~q\,
	datac => \led_flash_cnt[445][1]~q\,
	datad => \led_flash_cnt[445][2]~q\,
	combout => \WideAnd445~0_combout\);

-- Location: LCCOMB_X70_Y48_N24
WideAnd445 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd445~combout\ = (\led_flash_cnt[445][0]~q\ & (\led_flash_cnt[445][7]~q\ & (\WideAnd445~1_combout\ & \WideAnd445~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[445][0]~q\,
	datab => \led_flash_cnt[445][7]~q\,
	datac => \WideAnd445~1_combout\,
	datad => \WideAnd445~0_combout\,
	combout => \WideAnd445~combout\);

-- Location: FF_X70_Y48_N25
\led_flash_cnt_ands[445]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd445~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(445));

-- Location: LCCOMB_X66_Y44_N22
\led_flash_cnt[444][0]~81084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[444][0]~81084_combout\ = !\led_flash_cnt[444][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[444][0]~q\,
	combout => \led_flash_cnt[444][0]~81084_combout\);

-- Location: FF_X66_Y44_N23
\led_flash_cnt[444][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[444][0]~81084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[444][0]~q\);

-- Location: LCCOMB_X66_Y44_N4
\led_flash_cnt[444][1]~33096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[444][1]~33096_combout\ = (\led_flash_cnt[444][0]~q\ & (\led_flash_cnt[444][1]~q\ $ (VCC))) # (!\led_flash_cnt[444][0]~q\ & (\led_flash_cnt[444][1]~q\ & VCC))
-- \led_flash_cnt[444][1]~33097\ = CARRY((\led_flash_cnt[444][0]~q\ & \led_flash_cnt[444][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[444][0]~q\,
	datab => \led_flash_cnt[444][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[444][1]~33096_combout\,
	cout => \led_flash_cnt[444][1]~33097\);

-- Location: FF_X66_Y44_N5
\led_flash_cnt[444][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[444][1]~33096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[444][1]~q\);

-- Location: LCCOMB_X66_Y44_N6
\led_flash_cnt[444][2]~33098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[444][2]~33098_combout\ = (\led_flash_cnt[444][2]~q\ & (!\led_flash_cnt[444][1]~33097\)) # (!\led_flash_cnt[444][2]~q\ & ((\led_flash_cnt[444][1]~33097\) # (GND)))
-- \led_flash_cnt[444][2]~33099\ = CARRY((!\led_flash_cnt[444][1]~33097\) # (!\led_flash_cnt[444][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[444][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[444][1]~33097\,
	combout => \led_flash_cnt[444][2]~33098_combout\,
	cout => \led_flash_cnt[444][2]~33099\);

-- Location: FF_X66_Y44_N7
\led_flash_cnt[444][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[444][2]~33098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[444][2]~q\);

-- Location: LCCOMB_X66_Y44_N8
\led_flash_cnt[444][3]~33100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[444][3]~33100_combout\ = (\led_flash_cnt[444][3]~q\ & (\led_flash_cnt[444][2]~33099\ $ (GND))) # (!\led_flash_cnt[444][3]~q\ & (!\led_flash_cnt[444][2]~33099\ & VCC))
-- \led_flash_cnt[444][3]~33101\ = CARRY((\led_flash_cnt[444][3]~q\ & !\led_flash_cnt[444][2]~33099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[444][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[444][2]~33099\,
	combout => \led_flash_cnt[444][3]~33100_combout\,
	cout => \led_flash_cnt[444][3]~33101\);

-- Location: FF_X66_Y44_N9
\led_flash_cnt[444][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[444][3]~33100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[444][3]~q\);

-- Location: LCCOMB_X66_Y44_N10
\led_flash_cnt[444][4]~33102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[444][4]~33102_combout\ = (\led_flash_cnt[444][4]~q\ & (!\led_flash_cnt[444][3]~33101\)) # (!\led_flash_cnt[444][4]~q\ & ((\led_flash_cnt[444][3]~33101\) # (GND)))
-- \led_flash_cnt[444][4]~33103\ = CARRY((!\led_flash_cnt[444][3]~33101\) # (!\led_flash_cnt[444][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[444][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[444][3]~33101\,
	combout => \led_flash_cnt[444][4]~33102_combout\,
	cout => \led_flash_cnt[444][4]~33103\);

-- Location: FF_X66_Y44_N11
\led_flash_cnt[444][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[444][4]~33102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[444][4]~q\);

-- Location: LCCOMB_X66_Y44_N12
\led_flash_cnt[444][5]~33104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[444][5]~33104_combout\ = (\led_flash_cnt[444][5]~q\ & (\led_flash_cnt[444][4]~33103\ $ (GND))) # (!\led_flash_cnt[444][5]~q\ & (!\led_flash_cnt[444][4]~33103\ & VCC))
-- \led_flash_cnt[444][5]~33105\ = CARRY((\led_flash_cnt[444][5]~q\ & !\led_flash_cnt[444][4]~33103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[444][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[444][4]~33103\,
	combout => \led_flash_cnt[444][5]~33104_combout\,
	cout => \led_flash_cnt[444][5]~33105\);

-- Location: FF_X66_Y44_N13
\led_flash_cnt[444][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[444][5]~33104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[444][5]~q\);

-- Location: LCCOMB_X66_Y44_N14
\led_flash_cnt[444][6]~33106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[444][6]~33106_combout\ = (\led_flash_cnt[444][6]~q\ & (!\led_flash_cnt[444][5]~33105\)) # (!\led_flash_cnt[444][6]~q\ & ((\led_flash_cnt[444][5]~33105\) # (GND)))
-- \led_flash_cnt[444][6]~33107\ = CARRY((!\led_flash_cnt[444][5]~33105\) # (!\led_flash_cnt[444][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[444][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[444][5]~33105\,
	combout => \led_flash_cnt[444][6]~33106_combout\,
	cout => \led_flash_cnt[444][6]~33107\);

-- Location: FF_X66_Y44_N15
\led_flash_cnt[444][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[444][6]~33106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[444][6]~q\);

-- Location: LCCOMB_X66_Y44_N26
\WideAnd444~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd444~1_combout\ = (\led_flash_cnt[444][6]~q\ & \led_flash_cnt[444][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[444][6]~q\,
	datad => \led_flash_cnt[444][5]~q\,
	combout => \WideAnd444~1_combout\);

-- Location: LCCOMB_X66_Y44_N16
\led_flash_cnt[444][7]~33108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[444][7]~33108_combout\ = \led_flash_cnt[444][6]~33107\ $ (!\led_flash_cnt[444][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[444][7]~q\,
	cin => \led_flash_cnt[444][6]~33107\,
	combout => \led_flash_cnt[444][7]~33108_combout\);

-- Location: FF_X66_Y44_N17
\led_flash_cnt[444][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[444][7]~33108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[444][7]~q\);

-- Location: LCCOMB_X66_Y44_N18
\WideAnd444~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd444~0_combout\ = (\led_flash_cnt[444][4]~q\ & (\led_flash_cnt[444][3]~q\ & (\led_flash_cnt[444][1]~q\ & \led_flash_cnt[444][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[444][4]~q\,
	datab => \led_flash_cnt[444][3]~q\,
	datac => \led_flash_cnt[444][1]~q\,
	datad => \led_flash_cnt[444][2]~q\,
	combout => \WideAnd444~0_combout\);

-- Location: LCCOMB_X66_Y44_N24
WideAnd444 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd444~combout\ = (\WideAnd444~1_combout\ & (\led_flash_cnt[444][7]~q\ & (\led_flash_cnt[444][0]~q\ & \WideAnd444~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd444~1_combout\,
	datab => \led_flash_cnt[444][7]~q\,
	datac => \led_flash_cnt[444][0]~q\,
	datad => \WideAnd444~0_combout\,
	combout => \WideAnd444~combout\);

-- Location: FF_X66_Y44_N25
\led_flash_cnt_ands[444]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd444~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(444));

-- Location: LCCOMB_X67_Y44_N10
\WideAnd3895~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3895~1_combout\ = (led_flash_cnt_ands(445) & led_flash_cnt_ands(444))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(445),
	datad => led_flash_cnt_ands(444),
	combout => \WideAnd3895~1_combout\);

-- Location: LCCOMB_X67_Y46_N12
\led_flash_cnt[447][0]~81087\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[447][0]~81087_combout\ = !\led_flash_cnt[447][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[447][0]~q\,
	combout => \led_flash_cnt[447][0]~81087_combout\);

-- Location: FF_X67_Y46_N13
\led_flash_cnt[447][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[447][0]~81087_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[447][0]~q\);

-- Location: LCCOMB_X67_Y46_N14
\led_flash_cnt[447][1]~33138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[447][1]~33138_combout\ = (\led_flash_cnt[447][0]~q\ & (\led_flash_cnt[447][1]~q\ $ (VCC))) # (!\led_flash_cnt[447][0]~q\ & (\led_flash_cnt[447][1]~q\ & VCC))
-- \led_flash_cnt[447][1]~33139\ = CARRY((\led_flash_cnt[447][0]~q\ & \led_flash_cnt[447][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[447][0]~q\,
	datab => \led_flash_cnt[447][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[447][1]~33138_combout\,
	cout => \led_flash_cnt[447][1]~33139\);

-- Location: FF_X67_Y46_N15
\led_flash_cnt[447][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[447][1]~33138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[447][1]~q\);

-- Location: LCCOMB_X67_Y46_N16
\led_flash_cnt[447][2]~33140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[447][2]~33140_combout\ = (\led_flash_cnt[447][2]~q\ & (!\led_flash_cnt[447][1]~33139\)) # (!\led_flash_cnt[447][2]~q\ & ((\led_flash_cnt[447][1]~33139\) # (GND)))
-- \led_flash_cnt[447][2]~33141\ = CARRY((!\led_flash_cnt[447][1]~33139\) # (!\led_flash_cnt[447][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[447][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[447][1]~33139\,
	combout => \led_flash_cnt[447][2]~33140_combout\,
	cout => \led_flash_cnt[447][2]~33141\);

-- Location: FF_X67_Y46_N17
\led_flash_cnt[447][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[447][2]~33140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[447][2]~q\);

-- Location: LCCOMB_X67_Y46_N18
\led_flash_cnt[447][3]~33142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[447][3]~33142_combout\ = (\led_flash_cnt[447][3]~q\ & (\led_flash_cnt[447][2]~33141\ $ (GND))) # (!\led_flash_cnt[447][3]~q\ & (!\led_flash_cnt[447][2]~33141\ & VCC))
-- \led_flash_cnt[447][3]~33143\ = CARRY((\led_flash_cnt[447][3]~q\ & !\led_flash_cnt[447][2]~33141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[447][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[447][2]~33141\,
	combout => \led_flash_cnt[447][3]~33142_combout\,
	cout => \led_flash_cnt[447][3]~33143\);

-- Location: FF_X67_Y46_N19
\led_flash_cnt[447][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[447][3]~33142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[447][3]~q\);

-- Location: LCCOMB_X67_Y46_N20
\led_flash_cnt[447][4]~33144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[447][4]~33144_combout\ = (\led_flash_cnt[447][4]~q\ & (!\led_flash_cnt[447][3]~33143\)) # (!\led_flash_cnt[447][4]~q\ & ((\led_flash_cnt[447][3]~33143\) # (GND)))
-- \led_flash_cnt[447][4]~33145\ = CARRY((!\led_flash_cnt[447][3]~33143\) # (!\led_flash_cnt[447][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[447][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[447][3]~33143\,
	combout => \led_flash_cnt[447][4]~33144_combout\,
	cout => \led_flash_cnt[447][4]~33145\);

-- Location: FF_X67_Y46_N21
\led_flash_cnt[447][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[447][4]~33144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[447][4]~q\);

-- Location: LCCOMB_X67_Y46_N22
\led_flash_cnt[447][5]~33146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[447][5]~33146_combout\ = (\led_flash_cnt[447][5]~q\ & (\led_flash_cnt[447][4]~33145\ $ (GND))) # (!\led_flash_cnt[447][5]~q\ & (!\led_flash_cnt[447][4]~33145\ & VCC))
-- \led_flash_cnt[447][5]~33147\ = CARRY((\led_flash_cnt[447][5]~q\ & !\led_flash_cnt[447][4]~33145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[447][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[447][4]~33145\,
	combout => \led_flash_cnt[447][5]~33146_combout\,
	cout => \led_flash_cnt[447][5]~33147\);

-- Location: FF_X67_Y46_N23
\led_flash_cnt[447][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[447][5]~33146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[447][5]~q\);

-- Location: LCCOMB_X67_Y46_N24
\led_flash_cnt[447][6]~33148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[447][6]~33148_combout\ = (\led_flash_cnt[447][6]~q\ & (!\led_flash_cnt[447][5]~33147\)) # (!\led_flash_cnt[447][6]~q\ & ((\led_flash_cnt[447][5]~33147\) # (GND)))
-- \led_flash_cnt[447][6]~33149\ = CARRY((!\led_flash_cnt[447][5]~33147\) # (!\led_flash_cnt[447][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[447][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[447][5]~33147\,
	combout => \led_flash_cnt[447][6]~33148_combout\,
	cout => \led_flash_cnt[447][6]~33149\);

-- Location: FF_X67_Y46_N25
\led_flash_cnt[447][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[447][6]~33148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[447][6]~q\);

-- Location: LCCOMB_X67_Y46_N10
\WideAnd447~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd447~1_combout\ = (\led_flash_cnt[447][5]~q\ & \led_flash_cnt[447][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[447][5]~q\,
	datad => \led_flash_cnt[447][6]~q\,
	combout => \WideAnd447~1_combout\);

-- Location: LCCOMB_X67_Y46_N28
\WideAnd447~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd447~0_combout\ = (\led_flash_cnt[447][4]~q\ & (\led_flash_cnt[447][3]~q\ & (\led_flash_cnt[447][1]~q\ & \led_flash_cnt[447][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[447][4]~q\,
	datab => \led_flash_cnt[447][3]~q\,
	datac => \led_flash_cnt[447][1]~q\,
	datad => \led_flash_cnt[447][2]~q\,
	combout => \WideAnd447~0_combout\);

-- Location: LCCOMB_X67_Y46_N26
\led_flash_cnt[447][7]~33150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[447][7]~33150_combout\ = \led_flash_cnt[447][7]~q\ $ (!\led_flash_cnt[447][6]~33149\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[447][7]~q\,
	cin => \led_flash_cnt[447][6]~33149\,
	combout => \led_flash_cnt[447][7]~33150_combout\);

-- Location: FF_X67_Y46_N27
\led_flash_cnt[447][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[447][7]~33150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[447][7]~q\);

-- Location: LCCOMB_X67_Y46_N4
WideAnd447 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd447~combout\ = (\WideAnd447~1_combout\ & (\WideAnd447~0_combout\ & (\led_flash_cnt[447][7]~q\ & \led_flash_cnt[447][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd447~1_combout\,
	datab => \WideAnd447~0_combout\,
	datac => \led_flash_cnt[447][7]~q\,
	datad => \led_flash_cnt[447][0]~q\,
	combout => \WideAnd447~combout\);

-- Location: FF_X67_Y46_N5
\led_flash_cnt_ands[447]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd447~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(447));

-- Location: LCCOMB_X74_Y7_N24
\led_flash_cnt[440][0]~81080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[440][0]~81080_combout\ = !\led_flash_cnt[440][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[440][0]~q\,
	combout => \led_flash_cnt[440][0]~81080_combout\);

-- Location: FF_X74_Y7_N25
\led_flash_cnt[440][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[440][0]~81080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[440][0]~q\);

-- Location: LCCOMB_X74_Y7_N6
\led_flash_cnt[440][1]~33040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[440][1]~33040_combout\ = (\led_flash_cnt[440][1]~q\ & (\led_flash_cnt[440][0]~q\ $ (VCC))) # (!\led_flash_cnt[440][1]~q\ & (\led_flash_cnt[440][0]~q\ & VCC))
-- \led_flash_cnt[440][1]~33041\ = CARRY((\led_flash_cnt[440][1]~q\ & \led_flash_cnt[440][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[440][1]~q\,
	datab => \led_flash_cnt[440][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[440][1]~33040_combout\,
	cout => \led_flash_cnt[440][1]~33041\);

-- Location: FF_X74_Y7_N7
\led_flash_cnt[440][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[440][1]~33040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[440][1]~q\);

-- Location: LCCOMB_X74_Y7_N8
\led_flash_cnt[440][2]~33042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[440][2]~33042_combout\ = (\led_flash_cnt[440][2]~q\ & (!\led_flash_cnt[440][1]~33041\)) # (!\led_flash_cnt[440][2]~q\ & ((\led_flash_cnt[440][1]~33041\) # (GND)))
-- \led_flash_cnt[440][2]~33043\ = CARRY((!\led_flash_cnt[440][1]~33041\) # (!\led_flash_cnt[440][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[440][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[440][1]~33041\,
	combout => \led_flash_cnt[440][2]~33042_combout\,
	cout => \led_flash_cnt[440][2]~33043\);

-- Location: FF_X74_Y7_N9
\led_flash_cnt[440][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[440][2]~33042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[440][2]~q\);

-- Location: LCCOMB_X74_Y7_N10
\led_flash_cnt[440][3]~33044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[440][3]~33044_combout\ = (\led_flash_cnt[440][3]~q\ & (\led_flash_cnt[440][2]~33043\ $ (GND))) # (!\led_flash_cnt[440][3]~q\ & (!\led_flash_cnt[440][2]~33043\ & VCC))
-- \led_flash_cnt[440][3]~33045\ = CARRY((\led_flash_cnt[440][3]~q\ & !\led_flash_cnt[440][2]~33043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[440][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[440][2]~33043\,
	combout => \led_flash_cnt[440][3]~33044_combout\,
	cout => \led_flash_cnt[440][3]~33045\);

-- Location: FF_X74_Y7_N11
\led_flash_cnt[440][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[440][3]~33044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[440][3]~q\);

-- Location: LCCOMB_X74_Y7_N12
\led_flash_cnt[440][4]~33046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[440][4]~33046_combout\ = (\led_flash_cnt[440][4]~q\ & (!\led_flash_cnt[440][3]~33045\)) # (!\led_flash_cnt[440][4]~q\ & ((\led_flash_cnt[440][3]~33045\) # (GND)))
-- \led_flash_cnt[440][4]~33047\ = CARRY((!\led_flash_cnt[440][3]~33045\) # (!\led_flash_cnt[440][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[440][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[440][3]~33045\,
	combout => \led_flash_cnt[440][4]~33046_combout\,
	cout => \led_flash_cnt[440][4]~33047\);

-- Location: FF_X74_Y7_N13
\led_flash_cnt[440][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[440][4]~33046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[440][4]~q\);

-- Location: LCCOMB_X74_Y7_N22
\WideAnd440~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd440~0_combout\ = (\led_flash_cnt[440][3]~q\ & (\led_flash_cnt[440][4]~q\ & (\led_flash_cnt[440][2]~q\ & \led_flash_cnt[440][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[440][3]~q\,
	datab => \led_flash_cnt[440][4]~q\,
	datac => \led_flash_cnt[440][2]~q\,
	datad => \led_flash_cnt[440][1]~q\,
	combout => \WideAnd440~0_combout\);

-- Location: LCCOMB_X74_Y7_N14
\led_flash_cnt[440][5]~33048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[440][5]~33048_combout\ = (\led_flash_cnt[440][5]~q\ & (\led_flash_cnt[440][4]~33047\ $ (GND))) # (!\led_flash_cnt[440][5]~q\ & (!\led_flash_cnt[440][4]~33047\ & VCC))
-- \led_flash_cnt[440][5]~33049\ = CARRY((\led_flash_cnt[440][5]~q\ & !\led_flash_cnt[440][4]~33047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[440][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[440][4]~33047\,
	combout => \led_flash_cnt[440][5]~33048_combout\,
	cout => \led_flash_cnt[440][5]~33049\);

-- Location: FF_X74_Y7_N15
\led_flash_cnt[440][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[440][5]~33048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[440][5]~q\);

-- Location: LCCOMB_X74_Y7_N16
\led_flash_cnt[440][6]~33050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[440][6]~33050_combout\ = (\led_flash_cnt[440][6]~q\ & (!\led_flash_cnt[440][5]~33049\)) # (!\led_flash_cnt[440][6]~q\ & ((\led_flash_cnt[440][5]~33049\) # (GND)))
-- \led_flash_cnt[440][6]~33051\ = CARRY((!\led_flash_cnt[440][5]~33049\) # (!\led_flash_cnt[440][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[440][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[440][5]~33049\,
	combout => \led_flash_cnt[440][6]~33050_combout\,
	cout => \led_flash_cnt[440][6]~33051\);

-- Location: FF_X74_Y7_N17
\led_flash_cnt[440][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[440][6]~33050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[440][6]~q\);

-- Location: LCCOMB_X74_Y7_N18
\led_flash_cnt[440][7]~33052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[440][7]~33052_combout\ = \led_flash_cnt[440][6]~33051\ $ (!\led_flash_cnt[440][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[440][7]~q\,
	cin => \led_flash_cnt[440][6]~33051\,
	combout => \led_flash_cnt[440][7]~33052_combout\);

-- Location: FF_X74_Y7_N19
\led_flash_cnt[440][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[440][7]~33052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[440][7]~q\);

-- Location: LCCOMB_X74_Y7_N4
\WideAnd440~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd440~1_combout\ = (\led_flash_cnt[440][5]~q\ & \led_flash_cnt[440][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[440][5]~q\,
	datad => \led_flash_cnt[440][6]~q\,
	combout => \WideAnd440~1_combout\);

-- Location: LCCOMB_X74_Y7_N26
WideAnd440 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd440~combout\ = (\WideAnd440~0_combout\ & (\led_flash_cnt[440][7]~q\ & (\WideAnd440~1_combout\ & \led_flash_cnt[440][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd440~0_combout\,
	datab => \led_flash_cnt[440][7]~q\,
	datac => \WideAnd440~1_combout\,
	datad => \led_flash_cnt[440][0]~q\,
	combout => \WideAnd440~combout\);

-- Location: FF_X74_Y7_N27
\led_flash_cnt_ands[440]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd440~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(440));

-- Location: LCCOMB_X75_Y7_N6
\led_flash_cnt[442][0]~81082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[442][0]~81082_combout\ = !\led_flash_cnt[442][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[442][0]~q\,
	combout => \led_flash_cnt[442][0]~81082_combout\);

-- Location: FF_X75_Y7_N7
\led_flash_cnt[442][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[442][0]~81082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[442][0]~q\);

-- Location: LCCOMB_X76_Y7_N4
\led_flash_cnt[442][1]~33068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[442][1]~33068_combout\ = (\led_flash_cnt[442][0]~q\ & (\led_flash_cnt[442][1]~q\ $ (VCC))) # (!\led_flash_cnt[442][0]~q\ & (\led_flash_cnt[442][1]~q\ & VCC))
-- \led_flash_cnt[442][1]~33069\ = CARRY((\led_flash_cnt[442][0]~q\ & \led_flash_cnt[442][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[442][0]~q\,
	datab => \led_flash_cnt[442][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[442][1]~33068_combout\,
	cout => \led_flash_cnt[442][1]~33069\);

-- Location: FF_X76_Y7_N5
\led_flash_cnt[442][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[442][1]~33068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[442][1]~q\);

-- Location: LCCOMB_X76_Y7_N6
\led_flash_cnt[442][2]~33070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[442][2]~33070_combout\ = (\led_flash_cnt[442][2]~q\ & (!\led_flash_cnt[442][1]~33069\)) # (!\led_flash_cnt[442][2]~q\ & ((\led_flash_cnt[442][1]~33069\) # (GND)))
-- \led_flash_cnt[442][2]~33071\ = CARRY((!\led_flash_cnt[442][1]~33069\) # (!\led_flash_cnt[442][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[442][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[442][1]~33069\,
	combout => \led_flash_cnt[442][2]~33070_combout\,
	cout => \led_flash_cnt[442][2]~33071\);

-- Location: FF_X76_Y7_N7
\led_flash_cnt[442][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[442][2]~33070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[442][2]~q\);

-- Location: LCCOMB_X76_Y7_N8
\led_flash_cnt[442][3]~33072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[442][3]~33072_combout\ = (\led_flash_cnt[442][3]~q\ & (\led_flash_cnt[442][2]~33071\ $ (GND))) # (!\led_flash_cnt[442][3]~q\ & (!\led_flash_cnt[442][2]~33071\ & VCC))
-- \led_flash_cnt[442][3]~33073\ = CARRY((\led_flash_cnt[442][3]~q\ & !\led_flash_cnt[442][2]~33071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[442][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[442][2]~33071\,
	combout => \led_flash_cnt[442][3]~33072_combout\,
	cout => \led_flash_cnt[442][3]~33073\);

-- Location: FF_X76_Y7_N9
\led_flash_cnt[442][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[442][3]~33072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[442][3]~q\);

-- Location: LCCOMB_X76_Y7_N10
\led_flash_cnt[442][4]~33074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[442][4]~33074_combout\ = (\led_flash_cnt[442][4]~q\ & (!\led_flash_cnt[442][3]~33073\)) # (!\led_flash_cnt[442][4]~q\ & ((\led_flash_cnt[442][3]~33073\) # (GND)))
-- \led_flash_cnt[442][4]~33075\ = CARRY((!\led_flash_cnt[442][3]~33073\) # (!\led_flash_cnt[442][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[442][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[442][3]~33073\,
	combout => \led_flash_cnt[442][4]~33074_combout\,
	cout => \led_flash_cnt[442][4]~33075\);

-- Location: FF_X76_Y7_N11
\led_flash_cnt[442][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[442][4]~33074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[442][4]~q\);

-- Location: LCCOMB_X76_Y7_N12
\led_flash_cnt[442][5]~33076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[442][5]~33076_combout\ = (\led_flash_cnt[442][5]~q\ & (\led_flash_cnt[442][4]~33075\ $ (GND))) # (!\led_flash_cnt[442][5]~q\ & (!\led_flash_cnt[442][4]~33075\ & VCC))
-- \led_flash_cnt[442][5]~33077\ = CARRY((\led_flash_cnt[442][5]~q\ & !\led_flash_cnt[442][4]~33075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[442][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[442][4]~33075\,
	combout => \led_flash_cnt[442][5]~33076_combout\,
	cout => \led_flash_cnt[442][5]~33077\);

-- Location: FF_X76_Y7_N13
\led_flash_cnt[442][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[442][5]~33076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[442][5]~q\);

-- Location: LCCOMB_X76_Y7_N14
\led_flash_cnt[442][6]~33078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[442][6]~33078_combout\ = (\led_flash_cnt[442][6]~q\ & (!\led_flash_cnt[442][5]~33077\)) # (!\led_flash_cnt[442][6]~q\ & ((\led_flash_cnt[442][5]~33077\) # (GND)))
-- \led_flash_cnt[442][6]~33079\ = CARRY((!\led_flash_cnt[442][5]~33077\) # (!\led_flash_cnt[442][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[442][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[442][5]~33077\,
	combout => \led_flash_cnt[442][6]~33078_combout\,
	cout => \led_flash_cnt[442][6]~33079\);

-- Location: FF_X76_Y7_N15
\led_flash_cnt[442][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[442][6]~33078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[442][6]~q\);

-- Location: LCCOMB_X76_Y7_N16
\led_flash_cnt[442][7]~33080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[442][7]~33080_combout\ = \led_flash_cnt[442][6]~33079\ $ (!\led_flash_cnt[442][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[442][7]~q\,
	cin => \led_flash_cnt[442][6]~33079\,
	combout => \led_flash_cnt[442][7]~33080_combout\);

-- Location: FF_X76_Y7_N17
\led_flash_cnt[442][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[442][7]~33080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[442][7]~q\);

-- Location: LCCOMB_X75_Y7_N4
\WideAnd442~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd442~1_combout\ = (\led_flash_cnt[442][6]~q\ & \led_flash_cnt[442][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[442][6]~q\,
	datac => \led_flash_cnt[442][5]~q\,
	combout => \WideAnd442~1_combout\);

-- Location: LCCOMB_X76_Y7_N2
\WideAnd442~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd442~0_combout\ = (\led_flash_cnt[442][4]~q\ & (\led_flash_cnt[442][3]~q\ & (\led_flash_cnt[442][1]~q\ & \led_flash_cnt[442][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[442][4]~q\,
	datab => \led_flash_cnt[442][3]~q\,
	datac => \led_flash_cnt[442][1]~q\,
	datad => \led_flash_cnt[442][2]~q\,
	combout => \WideAnd442~0_combout\);

-- Location: LCCOMB_X75_Y7_N2
WideAnd442 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd442~combout\ = (\led_flash_cnt[442][0]~q\ & (\led_flash_cnt[442][7]~q\ & (\WideAnd442~1_combout\ & \WideAnd442~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[442][0]~q\,
	datab => \led_flash_cnt[442][7]~q\,
	datac => \WideAnd442~1_combout\,
	datad => \WideAnd442~0_combout\,
	combout => \WideAnd442~combout\);

-- Location: FF_X75_Y7_N3
\led_flash_cnt_ands[442]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd442~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(442));

-- Location: LCCOMB_X75_Y8_N10
\led_flash_cnt[443][0]~81083\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[443][0]~81083_combout\ = !\led_flash_cnt[443][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[443][0]~q\,
	combout => \led_flash_cnt[443][0]~81083_combout\);

-- Location: FF_X75_Y8_N11
\led_flash_cnt[443][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[443][0]~81083_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[443][0]~q\);

-- Location: LCCOMB_X75_Y8_N16
\led_flash_cnt[443][1]~33082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[443][1]~33082_combout\ = (\led_flash_cnt[443][0]~q\ & (\led_flash_cnt[443][1]~q\ $ (VCC))) # (!\led_flash_cnt[443][0]~q\ & (\led_flash_cnt[443][1]~q\ & VCC))
-- \led_flash_cnt[443][1]~33083\ = CARRY((\led_flash_cnt[443][0]~q\ & \led_flash_cnt[443][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[443][0]~q\,
	datab => \led_flash_cnt[443][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[443][1]~33082_combout\,
	cout => \led_flash_cnt[443][1]~33083\);

-- Location: FF_X75_Y8_N17
\led_flash_cnt[443][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[443][1]~33082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[443][1]~q\);

-- Location: LCCOMB_X75_Y8_N18
\led_flash_cnt[443][2]~33084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[443][2]~33084_combout\ = (\led_flash_cnt[443][2]~q\ & (!\led_flash_cnt[443][1]~33083\)) # (!\led_flash_cnt[443][2]~q\ & ((\led_flash_cnt[443][1]~33083\) # (GND)))
-- \led_flash_cnt[443][2]~33085\ = CARRY((!\led_flash_cnt[443][1]~33083\) # (!\led_flash_cnt[443][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[443][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[443][1]~33083\,
	combout => \led_flash_cnt[443][2]~33084_combout\,
	cout => \led_flash_cnt[443][2]~33085\);

-- Location: FF_X75_Y8_N19
\led_flash_cnt[443][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[443][2]~33084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[443][2]~q\);

-- Location: LCCOMB_X75_Y8_N20
\led_flash_cnt[443][3]~33086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[443][3]~33086_combout\ = (\led_flash_cnt[443][3]~q\ & (\led_flash_cnt[443][2]~33085\ $ (GND))) # (!\led_flash_cnt[443][3]~q\ & (!\led_flash_cnt[443][2]~33085\ & VCC))
-- \led_flash_cnt[443][3]~33087\ = CARRY((\led_flash_cnt[443][3]~q\ & !\led_flash_cnt[443][2]~33085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[443][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[443][2]~33085\,
	combout => \led_flash_cnt[443][3]~33086_combout\,
	cout => \led_flash_cnt[443][3]~33087\);

-- Location: FF_X75_Y8_N21
\led_flash_cnt[443][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[443][3]~33086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[443][3]~q\);

-- Location: LCCOMB_X75_Y8_N22
\led_flash_cnt[443][4]~33088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[443][4]~33088_combout\ = (\led_flash_cnt[443][4]~q\ & (!\led_flash_cnt[443][3]~33087\)) # (!\led_flash_cnt[443][4]~q\ & ((\led_flash_cnt[443][3]~33087\) # (GND)))
-- \led_flash_cnt[443][4]~33089\ = CARRY((!\led_flash_cnt[443][3]~33087\) # (!\led_flash_cnt[443][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[443][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[443][3]~33087\,
	combout => \led_flash_cnt[443][4]~33088_combout\,
	cout => \led_flash_cnt[443][4]~33089\);

-- Location: FF_X75_Y8_N23
\led_flash_cnt[443][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[443][4]~33088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[443][4]~q\);

-- Location: LCCOMB_X75_Y8_N24
\led_flash_cnt[443][5]~33090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[443][5]~33090_combout\ = (\led_flash_cnt[443][5]~q\ & (\led_flash_cnt[443][4]~33089\ $ (GND))) # (!\led_flash_cnt[443][5]~q\ & (!\led_flash_cnt[443][4]~33089\ & VCC))
-- \led_flash_cnt[443][5]~33091\ = CARRY((\led_flash_cnt[443][5]~q\ & !\led_flash_cnt[443][4]~33089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[443][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[443][4]~33089\,
	combout => \led_flash_cnt[443][5]~33090_combout\,
	cout => \led_flash_cnt[443][5]~33091\);

-- Location: FF_X75_Y8_N25
\led_flash_cnt[443][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[443][5]~33090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[443][5]~q\);

-- Location: LCCOMB_X75_Y8_N26
\led_flash_cnt[443][6]~33092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[443][6]~33092_combout\ = (\led_flash_cnt[443][6]~q\ & (!\led_flash_cnt[443][5]~33091\)) # (!\led_flash_cnt[443][6]~q\ & ((\led_flash_cnt[443][5]~33091\) # (GND)))
-- \led_flash_cnt[443][6]~33093\ = CARRY((!\led_flash_cnt[443][5]~33091\) # (!\led_flash_cnt[443][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[443][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[443][5]~33091\,
	combout => \led_flash_cnt[443][6]~33092_combout\,
	cout => \led_flash_cnt[443][6]~33093\);

-- Location: FF_X75_Y8_N27
\led_flash_cnt[443][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[443][6]~33092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[443][6]~q\);

-- Location: LCCOMB_X75_Y8_N28
\led_flash_cnt[443][7]~33094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[443][7]~33094_combout\ = \led_flash_cnt[443][6]~33093\ $ (!\led_flash_cnt[443][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[443][7]~q\,
	cin => \led_flash_cnt[443][6]~33093\,
	combout => \led_flash_cnt[443][7]~33094_combout\);

-- Location: FF_X75_Y8_N29
\led_flash_cnt[443][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[443][7]~33094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[443][7]~q\);

-- Location: LCCOMB_X75_Y8_N4
\WideAnd443~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd443~1_combout\ = (\led_flash_cnt[443][6]~q\ & \led_flash_cnt[443][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[443][6]~q\,
	datad => \led_flash_cnt[443][5]~q\,
	combout => \WideAnd443~1_combout\);

-- Location: LCCOMB_X75_Y8_N12
\WideAnd443~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd443~0_combout\ = (\led_flash_cnt[443][3]~q\ & (\led_flash_cnt[443][2]~q\ & (\led_flash_cnt[443][4]~q\ & \led_flash_cnt[443][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[443][3]~q\,
	datab => \led_flash_cnt[443][2]~q\,
	datac => \led_flash_cnt[443][4]~q\,
	datad => \led_flash_cnt[443][1]~q\,
	combout => \WideAnd443~0_combout\);

-- Location: LCCOMB_X75_Y8_N30
WideAnd443 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd443~combout\ = (\led_flash_cnt[443][0]~q\ & (\led_flash_cnt[443][7]~q\ & (\WideAnd443~1_combout\ & \WideAnd443~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[443][0]~q\,
	datab => \led_flash_cnt[443][7]~q\,
	datac => \WideAnd443~1_combout\,
	datad => \WideAnd443~0_combout\,
	combout => \WideAnd443~combout\);

-- Location: FF_X75_Y8_N31
\led_flash_cnt_ands[443]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd443~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(443));

-- Location: LCCOMB_X75_Y7_N12
\led_flash_cnt[441][0]~81081\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[441][0]~81081_combout\ = !\led_flash_cnt[441][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[441][0]~q\,
	combout => \led_flash_cnt[441][0]~81081_combout\);

-- Location: FF_X75_Y7_N13
\led_flash_cnt[441][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[441][0]~81081_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[441][0]~q\);

-- Location: LCCOMB_X75_Y7_N18
\led_flash_cnt[441][1]~33054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[441][1]~33054_combout\ = (\led_flash_cnt[441][0]~q\ & (\led_flash_cnt[441][1]~q\ $ (VCC))) # (!\led_flash_cnt[441][0]~q\ & (\led_flash_cnt[441][1]~q\ & VCC))
-- \led_flash_cnt[441][1]~33055\ = CARRY((\led_flash_cnt[441][0]~q\ & \led_flash_cnt[441][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[441][0]~q\,
	datab => \led_flash_cnt[441][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[441][1]~33054_combout\,
	cout => \led_flash_cnt[441][1]~33055\);

-- Location: FF_X75_Y7_N19
\led_flash_cnt[441][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[441][1]~33054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[441][1]~q\);

-- Location: LCCOMB_X75_Y7_N20
\led_flash_cnt[441][2]~33056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[441][2]~33056_combout\ = (\led_flash_cnt[441][2]~q\ & (!\led_flash_cnt[441][1]~33055\)) # (!\led_flash_cnt[441][2]~q\ & ((\led_flash_cnt[441][1]~33055\) # (GND)))
-- \led_flash_cnt[441][2]~33057\ = CARRY((!\led_flash_cnt[441][1]~33055\) # (!\led_flash_cnt[441][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[441][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[441][1]~33055\,
	combout => \led_flash_cnt[441][2]~33056_combout\,
	cout => \led_flash_cnt[441][2]~33057\);

-- Location: FF_X75_Y7_N21
\led_flash_cnt[441][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[441][2]~33056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[441][2]~q\);

-- Location: LCCOMB_X75_Y7_N22
\led_flash_cnt[441][3]~33058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[441][3]~33058_combout\ = (\led_flash_cnt[441][3]~q\ & (\led_flash_cnt[441][2]~33057\ $ (GND))) # (!\led_flash_cnt[441][3]~q\ & (!\led_flash_cnt[441][2]~33057\ & VCC))
-- \led_flash_cnt[441][3]~33059\ = CARRY((\led_flash_cnt[441][3]~q\ & !\led_flash_cnt[441][2]~33057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[441][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[441][2]~33057\,
	combout => \led_flash_cnt[441][3]~33058_combout\,
	cout => \led_flash_cnt[441][3]~33059\);

-- Location: FF_X75_Y7_N23
\led_flash_cnt[441][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[441][3]~33058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[441][3]~q\);

-- Location: LCCOMB_X75_Y7_N24
\led_flash_cnt[441][4]~33060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[441][4]~33060_combout\ = (\led_flash_cnt[441][4]~q\ & (!\led_flash_cnt[441][3]~33059\)) # (!\led_flash_cnt[441][4]~q\ & ((\led_flash_cnt[441][3]~33059\) # (GND)))
-- \led_flash_cnt[441][4]~33061\ = CARRY((!\led_flash_cnt[441][3]~33059\) # (!\led_flash_cnt[441][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[441][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[441][3]~33059\,
	combout => \led_flash_cnt[441][4]~33060_combout\,
	cout => \led_flash_cnt[441][4]~33061\);

-- Location: FF_X75_Y7_N25
\led_flash_cnt[441][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[441][4]~33060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[441][4]~q\);

-- Location: LCCOMB_X75_Y7_N26
\led_flash_cnt[441][5]~33062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[441][5]~33062_combout\ = (\led_flash_cnt[441][5]~q\ & (\led_flash_cnt[441][4]~33061\ $ (GND))) # (!\led_flash_cnt[441][5]~q\ & (!\led_flash_cnt[441][4]~33061\ & VCC))
-- \led_flash_cnt[441][5]~33063\ = CARRY((\led_flash_cnt[441][5]~q\ & !\led_flash_cnt[441][4]~33061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[441][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[441][4]~33061\,
	combout => \led_flash_cnt[441][5]~33062_combout\,
	cout => \led_flash_cnt[441][5]~33063\);

-- Location: FF_X75_Y7_N27
\led_flash_cnt[441][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[441][5]~33062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[441][5]~q\);

-- Location: LCCOMB_X75_Y7_N28
\led_flash_cnt[441][6]~33064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[441][6]~33064_combout\ = (\led_flash_cnt[441][6]~q\ & (!\led_flash_cnt[441][5]~33063\)) # (!\led_flash_cnt[441][6]~q\ & ((\led_flash_cnt[441][5]~33063\) # (GND)))
-- \led_flash_cnt[441][6]~33065\ = CARRY((!\led_flash_cnt[441][5]~33063\) # (!\led_flash_cnt[441][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[441][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[441][5]~33063\,
	combout => \led_flash_cnt[441][6]~33064_combout\,
	cout => \led_flash_cnt[441][6]~33065\);

-- Location: FF_X75_Y7_N29
\led_flash_cnt[441][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[441][6]~33064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[441][6]~q\);

-- Location: LCCOMB_X75_Y7_N10
\WideAnd441~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd441~1_combout\ = (\led_flash_cnt[441][5]~q\ & \led_flash_cnt[441][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[441][5]~q\,
	datad => \led_flash_cnt[441][6]~q\,
	combout => \WideAnd441~1_combout\);

-- Location: LCCOMB_X75_Y7_N14
\WideAnd441~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd441~0_combout\ = (\led_flash_cnt[441][4]~q\ & (\led_flash_cnt[441][2]~q\ & (\led_flash_cnt[441][3]~q\ & \led_flash_cnt[441][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[441][4]~q\,
	datab => \led_flash_cnt[441][2]~q\,
	datac => \led_flash_cnt[441][3]~q\,
	datad => \led_flash_cnt[441][1]~q\,
	combout => \WideAnd441~0_combout\);

-- Location: LCCOMB_X75_Y7_N30
\led_flash_cnt[441][7]~33066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[441][7]~33066_combout\ = \led_flash_cnt[441][7]~q\ $ (!\led_flash_cnt[441][6]~33065\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[441][7]~q\,
	cin => \led_flash_cnt[441][6]~33065\,
	combout => \led_flash_cnt[441][7]~33066_combout\);

-- Location: FF_X75_Y7_N31
\led_flash_cnt[441][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[441][7]~33066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[441][7]~q\);

-- Location: LCCOMB_X75_Y7_N16
WideAnd441 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd441~combout\ = (\WideAnd441~1_combout\ & (\WideAnd441~0_combout\ & (\led_flash_cnt[441][7]~q\ & \led_flash_cnt[441][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd441~1_combout\,
	datab => \WideAnd441~0_combout\,
	datac => \led_flash_cnt[441][7]~q\,
	datad => \led_flash_cnt[441][0]~q\,
	combout => \WideAnd441~combout\);

-- Location: FF_X75_Y7_N17
\led_flash_cnt_ands[441]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd441~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(441));

-- Location: LCCOMB_X75_Y7_N8
\WideAnd3895~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3895~0_combout\ = (led_flash_cnt_ands(440) & (led_flash_cnt_ands(442) & (led_flash_cnt_ands(443) & led_flash_cnt_ands(441))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(440),
	datab => led_flash_cnt_ands(442),
	datac => led_flash_cnt_ands(443),
	datad => led_flash_cnt_ands(441),
	combout => \WideAnd3895~0_combout\);

-- Location: LCCOMB_X63_Y42_N22
\led_flash_cnt[446][0]~81086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[446][0]~81086_combout\ = !\led_flash_cnt[446][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[446][0]~q\,
	combout => \led_flash_cnt[446][0]~81086_combout\);

-- Location: FF_X63_Y42_N23
\led_flash_cnt[446][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[446][0]~81086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[446][0]~q\);

-- Location: LCCOMB_X63_Y42_N8
\led_flash_cnt[446][1]~33124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[446][1]~33124_combout\ = (\led_flash_cnt[446][0]~q\ & (\led_flash_cnt[446][1]~q\ $ (VCC))) # (!\led_flash_cnt[446][0]~q\ & (\led_flash_cnt[446][1]~q\ & VCC))
-- \led_flash_cnt[446][1]~33125\ = CARRY((\led_flash_cnt[446][0]~q\ & \led_flash_cnt[446][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[446][0]~q\,
	datab => \led_flash_cnt[446][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[446][1]~33124_combout\,
	cout => \led_flash_cnt[446][1]~33125\);

-- Location: FF_X63_Y42_N9
\led_flash_cnt[446][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[446][1]~33124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[446][1]~q\);

-- Location: LCCOMB_X63_Y42_N10
\led_flash_cnt[446][2]~33126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[446][2]~33126_combout\ = (\led_flash_cnt[446][2]~q\ & (!\led_flash_cnt[446][1]~33125\)) # (!\led_flash_cnt[446][2]~q\ & ((\led_flash_cnt[446][1]~33125\) # (GND)))
-- \led_flash_cnt[446][2]~33127\ = CARRY((!\led_flash_cnt[446][1]~33125\) # (!\led_flash_cnt[446][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[446][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[446][1]~33125\,
	combout => \led_flash_cnt[446][2]~33126_combout\,
	cout => \led_flash_cnt[446][2]~33127\);

-- Location: FF_X63_Y42_N11
\led_flash_cnt[446][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[446][2]~33126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[446][2]~q\);

-- Location: LCCOMB_X63_Y42_N12
\led_flash_cnt[446][3]~33128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[446][3]~33128_combout\ = (\led_flash_cnt[446][3]~q\ & (\led_flash_cnt[446][2]~33127\ $ (GND))) # (!\led_flash_cnt[446][3]~q\ & (!\led_flash_cnt[446][2]~33127\ & VCC))
-- \led_flash_cnt[446][3]~33129\ = CARRY((\led_flash_cnt[446][3]~q\ & !\led_flash_cnt[446][2]~33127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[446][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[446][2]~33127\,
	combout => \led_flash_cnt[446][3]~33128_combout\,
	cout => \led_flash_cnt[446][3]~33129\);

-- Location: FF_X63_Y42_N13
\led_flash_cnt[446][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[446][3]~33128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[446][3]~q\);

-- Location: LCCOMB_X63_Y42_N14
\led_flash_cnt[446][4]~33130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[446][4]~33130_combout\ = (\led_flash_cnt[446][4]~q\ & (!\led_flash_cnt[446][3]~33129\)) # (!\led_flash_cnt[446][4]~q\ & ((\led_flash_cnt[446][3]~33129\) # (GND)))
-- \led_flash_cnt[446][4]~33131\ = CARRY((!\led_flash_cnt[446][3]~33129\) # (!\led_flash_cnt[446][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[446][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[446][3]~33129\,
	combout => \led_flash_cnt[446][4]~33130_combout\,
	cout => \led_flash_cnt[446][4]~33131\);

-- Location: FF_X63_Y42_N15
\led_flash_cnt[446][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[446][4]~33130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[446][4]~q\);

-- Location: LCCOMB_X63_Y42_N16
\led_flash_cnt[446][5]~33132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[446][5]~33132_combout\ = (\led_flash_cnt[446][5]~q\ & (\led_flash_cnt[446][4]~33131\ $ (GND))) # (!\led_flash_cnt[446][5]~q\ & (!\led_flash_cnt[446][4]~33131\ & VCC))
-- \led_flash_cnt[446][5]~33133\ = CARRY((\led_flash_cnt[446][5]~q\ & !\led_flash_cnt[446][4]~33131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[446][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[446][4]~33131\,
	combout => \led_flash_cnt[446][5]~33132_combout\,
	cout => \led_flash_cnt[446][5]~33133\);

-- Location: FF_X63_Y42_N17
\led_flash_cnt[446][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[446][5]~33132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[446][5]~q\);

-- Location: LCCOMB_X63_Y42_N18
\led_flash_cnt[446][6]~33134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[446][6]~33134_combout\ = (\led_flash_cnt[446][6]~q\ & (!\led_flash_cnt[446][5]~33133\)) # (!\led_flash_cnt[446][6]~q\ & ((\led_flash_cnt[446][5]~33133\) # (GND)))
-- \led_flash_cnt[446][6]~33135\ = CARRY((!\led_flash_cnt[446][5]~33133\) # (!\led_flash_cnt[446][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[446][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[446][5]~33133\,
	combout => \led_flash_cnt[446][6]~33134_combout\,
	cout => \led_flash_cnt[446][6]~33135\);

-- Location: FF_X63_Y42_N19
\led_flash_cnt[446][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[446][6]~33134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[446][6]~q\);

-- Location: LCCOMB_X63_Y42_N20
\led_flash_cnt[446][7]~33136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[446][7]~33136_combout\ = \led_flash_cnt[446][6]~33135\ $ (!\led_flash_cnt[446][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[446][7]~q\,
	cin => \led_flash_cnt[446][6]~33135\,
	combout => \led_flash_cnt[446][7]~33136_combout\);

-- Location: FF_X63_Y42_N21
\led_flash_cnt[446][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[446][7]~33136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[446][7]~q\);

-- Location: LCCOMB_X63_Y42_N4
\WideAnd446~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd446~1_combout\ = (\led_flash_cnt[446][6]~q\ & \led_flash_cnt[446][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[446][6]~q\,
	datad => \led_flash_cnt[446][5]~q\,
	combout => \WideAnd446~1_combout\);

-- Location: LCCOMB_X63_Y42_N24
\WideAnd446~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd446~0_combout\ = (\led_flash_cnt[446][3]~q\ & (\led_flash_cnt[446][4]~q\ & (\led_flash_cnt[446][1]~q\ & \led_flash_cnt[446][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[446][3]~q\,
	datab => \led_flash_cnt[446][4]~q\,
	datac => \led_flash_cnt[446][1]~q\,
	datad => \led_flash_cnt[446][2]~q\,
	combout => \WideAnd446~0_combout\);

-- Location: LCCOMB_X63_Y42_N26
WideAnd446 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd446~combout\ = (\led_flash_cnt[446][0]~q\ & (\led_flash_cnt[446][7]~q\ & (\WideAnd446~1_combout\ & \WideAnd446~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[446][0]~q\,
	datab => \led_flash_cnt[446][7]~q\,
	datac => \WideAnd446~1_combout\,
	datad => \WideAnd446~0_combout\,
	combout => \WideAnd446~combout\);

-- Location: FF_X63_Y42_N27
\led_flash_cnt_ands[446]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd446~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(446));

-- Location: LCCOMB_X67_Y42_N4
WideAnd3895 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3895~combout\ = (\WideAnd3895~1_combout\ & (led_flash_cnt_ands(447) & (\WideAnd3895~0_combout\ & led_flash_cnt_ands(446))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3895~1_combout\,
	datab => led_flash_cnt_ands(447),
	datac => \WideAnd3895~0_combout\,
	datad => led_flash_cnt_ands(446),
	combout => \WideAnd3895~combout\);

-- Location: FF_X67_Y42_N5
\led_flash_cnt_ands_1[55]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3895~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(55));

-- Location: LCCOMB_X60_Y42_N18
WideAnd4326 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4326~combout\ = (led_flash_cnt_ands_1(54) & (\WideAnd4326~1_combout\ & (\WideAnd4326~0_combout\ & led_flash_cnt_ands_1(55))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(54),
	datab => \WideAnd4326~1_combout\,
	datac => \WideAnd4326~0_combout\,
	datad => led_flash_cnt_ands_1(55),
	combout => \WideAnd4326~combout\);

-- Location: FF_X60_Y42_N19
\led_flash_cnt_ands_2[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4326~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(6));

-- Location: LCCOMB_X51_Y19_N18
\led_flash_cnt[374][0]~81014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[374][0]~81014_combout\ = !\led_flash_cnt[374][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[374][0]~q\,
	combout => \led_flash_cnt[374][0]~81014_combout\);

-- Location: FF_X51_Y19_N19
\led_flash_cnt[374][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[374][0]~81014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[374][0]~q\);

-- Location: LCCOMB_X51_Y19_N0
\led_flash_cnt[374][1]~32116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[374][1]~32116_combout\ = (\led_flash_cnt[374][0]~q\ & (\led_flash_cnt[374][1]~q\ $ (VCC))) # (!\led_flash_cnt[374][0]~q\ & (\led_flash_cnt[374][1]~q\ & VCC))
-- \led_flash_cnt[374][1]~32117\ = CARRY((\led_flash_cnt[374][0]~q\ & \led_flash_cnt[374][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[374][0]~q\,
	datab => \led_flash_cnt[374][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[374][1]~32116_combout\,
	cout => \led_flash_cnt[374][1]~32117\);

-- Location: FF_X51_Y19_N1
\led_flash_cnt[374][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[374][1]~32116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[374][1]~q\);

-- Location: LCCOMB_X51_Y19_N2
\led_flash_cnt[374][2]~32118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[374][2]~32118_combout\ = (\led_flash_cnt[374][2]~q\ & (!\led_flash_cnt[374][1]~32117\)) # (!\led_flash_cnt[374][2]~q\ & ((\led_flash_cnt[374][1]~32117\) # (GND)))
-- \led_flash_cnt[374][2]~32119\ = CARRY((!\led_flash_cnt[374][1]~32117\) # (!\led_flash_cnt[374][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[374][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[374][1]~32117\,
	combout => \led_flash_cnt[374][2]~32118_combout\,
	cout => \led_flash_cnt[374][2]~32119\);

-- Location: FF_X51_Y19_N3
\led_flash_cnt[374][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[374][2]~32118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[374][2]~q\);

-- Location: LCCOMB_X51_Y19_N4
\led_flash_cnt[374][3]~32120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[374][3]~32120_combout\ = (\led_flash_cnt[374][3]~q\ & (\led_flash_cnt[374][2]~32119\ $ (GND))) # (!\led_flash_cnt[374][3]~q\ & (!\led_flash_cnt[374][2]~32119\ & VCC))
-- \led_flash_cnt[374][3]~32121\ = CARRY((\led_flash_cnt[374][3]~q\ & !\led_flash_cnt[374][2]~32119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[374][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[374][2]~32119\,
	combout => \led_flash_cnt[374][3]~32120_combout\,
	cout => \led_flash_cnt[374][3]~32121\);

-- Location: FF_X51_Y19_N5
\led_flash_cnt[374][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[374][3]~32120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[374][3]~q\);

-- Location: LCCOMB_X51_Y19_N6
\led_flash_cnt[374][4]~32122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[374][4]~32122_combout\ = (\led_flash_cnt[374][4]~q\ & (!\led_flash_cnt[374][3]~32121\)) # (!\led_flash_cnt[374][4]~q\ & ((\led_flash_cnt[374][3]~32121\) # (GND)))
-- \led_flash_cnt[374][4]~32123\ = CARRY((!\led_flash_cnt[374][3]~32121\) # (!\led_flash_cnt[374][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[374][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[374][3]~32121\,
	combout => \led_flash_cnt[374][4]~32122_combout\,
	cout => \led_flash_cnt[374][4]~32123\);

-- Location: FF_X51_Y19_N7
\led_flash_cnt[374][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[374][4]~32122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[374][4]~q\);

-- Location: LCCOMB_X51_Y19_N8
\led_flash_cnt[374][5]~32124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[374][5]~32124_combout\ = (\led_flash_cnt[374][5]~q\ & (\led_flash_cnt[374][4]~32123\ $ (GND))) # (!\led_flash_cnt[374][5]~q\ & (!\led_flash_cnt[374][4]~32123\ & VCC))
-- \led_flash_cnt[374][5]~32125\ = CARRY((\led_flash_cnt[374][5]~q\ & !\led_flash_cnt[374][4]~32123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[374][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[374][4]~32123\,
	combout => \led_flash_cnt[374][5]~32124_combout\,
	cout => \led_flash_cnt[374][5]~32125\);

-- Location: FF_X51_Y19_N9
\led_flash_cnt[374][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[374][5]~32124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[374][5]~q\);

-- Location: LCCOMB_X51_Y19_N10
\led_flash_cnt[374][6]~32126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[374][6]~32126_combout\ = (\led_flash_cnt[374][6]~q\ & (!\led_flash_cnt[374][5]~32125\)) # (!\led_flash_cnt[374][6]~q\ & ((\led_flash_cnt[374][5]~32125\) # (GND)))
-- \led_flash_cnt[374][6]~32127\ = CARRY((!\led_flash_cnt[374][5]~32125\) # (!\led_flash_cnt[374][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[374][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[374][5]~32125\,
	combout => \led_flash_cnt[374][6]~32126_combout\,
	cout => \led_flash_cnt[374][6]~32127\);

-- Location: FF_X51_Y19_N11
\led_flash_cnt[374][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[374][6]~32126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[374][6]~q\);

-- Location: LCCOMB_X51_Y19_N12
\led_flash_cnt[374][7]~32128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[374][7]~32128_combout\ = \led_flash_cnt[374][6]~32127\ $ (!\led_flash_cnt[374][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[374][7]~q\,
	cin => \led_flash_cnt[374][6]~32127\,
	combout => \led_flash_cnt[374][7]~32128_combout\);

-- Location: FF_X51_Y19_N13
\led_flash_cnt[374][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[374][7]~32128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[374][7]~q\);

-- Location: LCCOMB_X51_Y19_N24
\WideAnd374~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd374~0_combout\ = (\led_flash_cnt[374][4]~q\ & (\led_flash_cnt[374][1]~q\ & (\led_flash_cnt[374][3]~q\ & \led_flash_cnt[374][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[374][4]~q\,
	datab => \led_flash_cnt[374][1]~q\,
	datac => \led_flash_cnt[374][3]~q\,
	datad => \led_flash_cnt[374][2]~q\,
	combout => \WideAnd374~0_combout\);

-- Location: LCCOMB_X51_Y19_N14
\WideAnd374~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd374~1_combout\ = (\led_flash_cnt[374][5]~q\ & \led_flash_cnt[374][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[374][5]~q\,
	datad => \led_flash_cnt[374][6]~q\,
	combout => \WideAnd374~1_combout\);

-- Location: LCCOMB_X51_Y19_N30
WideAnd374 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd374~combout\ = (\led_flash_cnt[374][7]~q\ & (\WideAnd374~0_combout\ & (\WideAnd374~1_combout\ & \led_flash_cnt[374][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[374][7]~q\,
	datab => \WideAnd374~0_combout\,
	datac => \WideAnd374~1_combout\,
	datad => \led_flash_cnt[374][0]~q\,
	combout => \WideAnd374~combout\);

-- Location: FF_X51_Y19_N31
\led_flash_cnt_ands[374]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd374~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(374));

-- Location: LCCOMB_X67_Y45_N4
\led_flash_cnt[369][0]~81009\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[369][0]~81009_combout\ = !\led_flash_cnt[369][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[369][0]~q\,
	combout => \led_flash_cnt[369][0]~81009_combout\);

-- Location: FF_X67_Y45_N5
\led_flash_cnt[369][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[369][0]~81009_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[369][0]~q\);

-- Location: LCCOMB_X67_Y41_N2
\led_flash_cnt[369][1]~32046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[369][1]~32046_combout\ = (\led_flash_cnt[369][0]~q\ & (\led_flash_cnt[369][1]~q\ $ (VCC))) # (!\led_flash_cnt[369][0]~q\ & (\led_flash_cnt[369][1]~q\ & VCC))
-- \led_flash_cnt[369][1]~32047\ = CARRY((\led_flash_cnt[369][0]~q\ & \led_flash_cnt[369][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[369][0]~q\,
	datab => \led_flash_cnt[369][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[369][1]~32046_combout\,
	cout => \led_flash_cnt[369][1]~32047\);

-- Location: FF_X67_Y41_N3
\led_flash_cnt[369][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[369][1]~32046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[369][1]~q\);

-- Location: LCCOMB_X67_Y41_N4
\led_flash_cnt[369][2]~32048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[369][2]~32048_combout\ = (\led_flash_cnt[369][2]~q\ & (!\led_flash_cnt[369][1]~32047\)) # (!\led_flash_cnt[369][2]~q\ & ((\led_flash_cnt[369][1]~32047\) # (GND)))
-- \led_flash_cnt[369][2]~32049\ = CARRY((!\led_flash_cnt[369][1]~32047\) # (!\led_flash_cnt[369][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[369][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[369][1]~32047\,
	combout => \led_flash_cnt[369][2]~32048_combout\,
	cout => \led_flash_cnt[369][2]~32049\);

-- Location: FF_X67_Y41_N5
\led_flash_cnt[369][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[369][2]~32048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[369][2]~q\);

-- Location: LCCOMB_X67_Y41_N6
\led_flash_cnt[369][3]~32050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[369][3]~32050_combout\ = (\led_flash_cnt[369][3]~q\ & (\led_flash_cnt[369][2]~32049\ $ (GND))) # (!\led_flash_cnt[369][3]~q\ & (!\led_flash_cnt[369][2]~32049\ & VCC))
-- \led_flash_cnt[369][3]~32051\ = CARRY((\led_flash_cnt[369][3]~q\ & !\led_flash_cnt[369][2]~32049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[369][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[369][2]~32049\,
	combout => \led_flash_cnt[369][3]~32050_combout\,
	cout => \led_flash_cnt[369][3]~32051\);

-- Location: FF_X67_Y41_N7
\led_flash_cnt[369][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[369][3]~32050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[369][3]~q\);

-- Location: LCCOMB_X67_Y41_N8
\led_flash_cnt[369][4]~32052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[369][4]~32052_combout\ = (\led_flash_cnt[369][4]~q\ & (!\led_flash_cnt[369][3]~32051\)) # (!\led_flash_cnt[369][4]~q\ & ((\led_flash_cnt[369][3]~32051\) # (GND)))
-- \led_flash_cnt[369][4]~32053\ = CARRY((!\led_flash_cnt[369][3]~32051\) # (!\led_flash_cnt[369][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[369][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[369][3]~32051\,
	combout => \led_flash_cnt[369][4]~32052_combout\,
	cout => \led_flash_cnt[369][4]~32053\);

-- Location: FF_X67_Y41_N9
\led_flash_cnt[369][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[369][4]~32052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[369][4]~q\);

-- Location: LCCOMB_X67_Y41_N10
\led_flash_cnt[369][5]~32054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[369][5]~32054_combout\ = (\led_flash_cnt[369][5]~q\ & (\led_flash_cnt[369][4]~32053\ $ (GND))) # (!\led_flash_cnt[369][5]~q\ & (!\led_flash_cnt[369][4]~32053\ & VCC))
-- \led_flash_cnt[369][5]~32055\ = CARRY((\led_flash_cnt[369][5]~q\ & !\led_flash_cnt[369][4]~32053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[369][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[369][4]~32053\,
	combout => \led_flash_cnt[369][5]~32054_combout\,
	cout => \led_flash_cnt[369][5]~32055\);

-- Location: FF_X67_Y41_N11
\led_flash_cnt[369][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[369][5]~32054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[369][5]~q\);

-- Location: LCCOMB_X67_Y41_N12
\led_flash_cnt[369][6]~32056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[369][6]~32056_combout\ = (\led_flash_cnt[369][6]~q\ & (!\led_flash_cnt[369][5]~32055\)) # (!\led_flash_cnt[369][6]~q\ & ((\led_flash_cnt[369][5]~32055\) # (GND)))
-- \led_flash_cnt[369][6]~32057\ = CARRY((!\led_flash_cnt[369][5]~32055\) # (!\led_flash_cnt[369][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[369][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[369][5]~32055\,
	combout => \led_flash_cnt[369][6]~32056_combout\,
	cout => \led_flash_cnt[369][6]~32057\);

-- Location: FF_X67_Y41_N13
\led_flash_cnt[369][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[369][6]~32056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[369][6]~q\);

-- Location: LCCOMB_X67_Y45_N10
\WideAnd369~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd369~1_combout\ = (\led_flash_cnt[369][6]~q\ & \led_flash_cnt[369][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[369][6]~q\,
	datad => \led_flash_cnt[369][5]~q\,
	combout => \WideAnd369~1_combout\);

-- Location: LCCOMB_X67_Y41_N14
\led_flash_cnt[369][7]~32058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[369][7]~32058_combout\ = \led_flash_cnt[369][7]~q\ $ (!\led_flash_cnt[369][6]~32057\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[369][7]~q\,
	cin => \led_flash_cnt[369][6]~32057\,
	combout => \led_flash_cnt[369][7]~32058_combout\);

-- Location: FF_X67_Y41_N15
\led_flash_cnt[369][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[369][7]~32058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[369][7]~q\);

-- Location: LCCOMB_X67_Y41_N16
\WideAnd369~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd369~0_combout\ = (\led_flash_cnt[369][3]~q\ & (\led_flash_cnt[369][4]~q\ & (\led_flash_cnt[369][2]~q\ & \led_flash_cnt[369][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[369][3]~q\,
	datab => \led_flash_cnt[369][4]~q\,
	datac => \led_flash_cnt[369][2]~q\,
	datad => \led_flash_cnt[369][1]~q\,
	combout => \WideAnd369~0_combout\);

-- Location: LCCOMB_X67_Y45_N8
WideAnd369 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd369~combout\ = (\WideAnd369~1_combout\ & (\led_flash_cnt[369][7]~q\ & (\WideAnd369~0_combout\ & \led_flash_cnt[369][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd369~1_combout\,
	datab => \led_flash_cnt[369][7]~q\,
	datac => \WideAnd369~0_combout\,
	datad => \led_flash_cnt[369][0]~q\,
	combout => \WideAnd369~combout\);

-- Location: FF_X67_Y45_N9
\led_flash_cnt_ands[369]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd369~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(369));

-- Location: LCCOMB_X47_Y49_N30
\led_flash_cnt[368][0]~81008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[368][0]~81008_combout\ = !\led_flash_cnt[368][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[368][0]~q\,
	combout => \led_flash_cnt[368][0]~81008_combout\);

-- Location: FF_X47_Y49_N31
\led_flash_cnt[368][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[368][0]~81008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[368][0]~q\);

-- Location: LCCOMB_X47_Y48_N0
\led_flash_cnt[368][1]~32032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[368][1]~32032_combout\ = (\led_flash_cnt[368][0]~q\ & (\led_flash_cnt[368][1]~q\ $ (VCC))) # (!\led_flash_cnt[368][0]~q\ & (\led_flash_cnt[368][1]~q\ & VCC))
-- \led_flash_cnt[368][1]~32033\ = CARRY((\led_flash_cnt[368][0]~q\ & \led_flash_cnt[368][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[368][0]~q\,
	datab => \led_flash_cnt[368][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[368][1]~32032_combout\,
	cout => \led_flash_cnt[368][1]~32033\);

-- Location: FF_X47_Y48_N1
\led_flash_cnt[368][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[368][1]~32032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[368][1]~q\);

-- Location: LCCOMB_X47_Y48_N2
\led_flash_cnt[368][2]~32034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[368][2]~32034_combout\ = (\led_flash_cnt[368][2]~q\ & (!\led_flash_cnt[368][1]~32033\)) # (!\led_flash_cnt[368][2]~q\ & ((\led_flash_cnt[368][1]~32033\) # (GND)))
-- \led_flash_cnt[368][2]~32035\ = CARRY((!\led_flash_cnt[368][1]~32033\) # (!\led_flash_cnt[368][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[368][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[368][1]~32033\,
	combout => \led_flash_cnt[368][2]~32034_combout\,
	cout => \led_flash_cnt[368][2]~32035\);

-- Location: FF_X47_Y48_N3
\led_flash_cnt[368][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[368][2]~32034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[368][2]~q\);

-- Location: LCCOMB_X47_Y48_N4
\led_flash_cnt[368][3]~32036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[368][3]~32036_combout\ = (\led_flash_cnt[368][3]~q\ & (\led_flash_cnt[368][2]~32035\ $ (GND))) # (!\led_flash_cnt[368][3]~q\ & (!\led_flash_cnt[368][2]~32035\ & VCC))
-- \led_flash_cnt[368][3]~32037\ = CARRY((\led_flash_cnt[368][3]~q\ & !\led_flash_cnt[368][2]~32035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[368][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[368][2]~32035\,
	combout => \led_flash_cnt[368][3]~32036_combout\,
	cout => \led_flash_cnt[368][3]~32037\);

-- Location: FF_X47_Y48_N5
\led_flash_cnt[368][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[368][3]~32036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[368][3]~q\);

-- Location: LCCOMB_X47_Y48_N6
\led_flash_cnt[368][4]~32038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[368][4]~32038_combout\ = (\led_flash_cnt[368][4]~q\ & (!\led_flash_cnt[368][3]~32037\)) # (!\led_flash_cnt[368][4]~q\ & ((\led_flash_cnt[368][3]~32037\) # (GND)))
-- \led_flash_cnt[368][4]~32039\ = CARRY((!\led_flash_cnt[368][3]~32037\) # (!\led_flash_cnt[368][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[368][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[368][3]~32037\,
	combout => \led_flash_cnt[368][4]~32038_combout\,
	cout => \led_flash_cnt[368][4]~32039\);

-- Location: FF_X47_Y48_N7
\led_flash_cnt[368][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[368][4]~32038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[368][4]~q\);

-- Location: LCCOMB_X47_Y48_N8
\led_flash_cnt[368][5]~32040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[368][5]~32040_combout\ = (\led_flash_cnt[368][5]~q\ & (\led_flash_cnt[368][4]~32039\ $ (GND))) # (!\led_flash_cnt[368][5]~q\ & (!\led_flash_cnt[368][4]~32039\ & VCC))
-- \led_flash_cnt[368][5]~32041\ = CARRY((\led_flash_cnt[368][5]~q\ & !\led_flash_cnt[368][4]~32039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[368][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[368][4]~32039\,
	combout => \led_flash_cnt[368][5]~32040_combout\,
	cout => \led_flash_cnt[368][5]~32041\);

-- Location: FF_X47_Y48_N9
\led_flash_cnt[368][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[368][5]~32040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[368][5]~q\);

-- Location: LCCOMB_X47_Y48_N10
\led_flash_cnt[368][6]~32042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[368][6]~32042_combout\ = (\led_flash_cnt[368][6]~q\ & (!\led_flash_cnt[368][5]~32041\)) # (!\led_flash_cnt[368][6]~q\ & ((\led_flash_cnt[368][5]~32041\) # (GND)))
-- \led_flash_cnt[368][6]~32043\ = CARRY((!\led_flash_cnt[368][5]~32041\) # (!\led_flash_cnt[368][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[368][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[368][5]~32041\,
	combout => \led_flash_cnt[368][6]~32042_combout\,
	cout => \led_flash_cnt[368][6]~32043\);

-- Location: FF_X47_Y48_N11
\led_flash_cnt[368][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[368][6]~32042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[368][6]~q\);

-- Location: LCCOMB_X47_Y49_N10
\WideAnd368~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd368~1_combout\ = (\led_flash_cnt[368][6]~q\ & \led_flash_cnt[368][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[368][6]~q\,
	datad => \led_flash_cnt[368][5]~q\,
	combout => \WideAnd368~1_combout\);

-- Location: LCCOMB_X47_Y48_N12
\led_flash_cnt[368][7]~32044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[368][7]~32044_combout\ = \led_flash_cnt[368][6]~32043\ $ (!\led_flash_cnt[368][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[368][7]~q\,
	cin => \led_flash_cnt[368][6]~32043\,
	combout => \led_flash_cnt[368][7]~32044_combout\);

-- Location: FF_X47_Y48_N13
\led_flash_cnt[368][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[368][7]~32044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[368][7]~q\);

-- Location: LCCOMB_X47_Y48_N14
\WideAnd368~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd368~0_combout\ = (\led_flash_cnt[368][4]~q\ & (\led_flash_cnt[368][1]~q\ & (\led_flash_cnt[368][3]~q\ & \led_flash_cnt[368][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[368][4]~q\,
	datab => \led_flash_cnt[368][1]~q\,
	datac => \led_flash_cnt[368][3]~q\,
	datad => \led_flash_cnt[368][2]~q\,
	combout => \WideAnd368~0_combout\);

-- Location: LCCOMB_X47_Y49_N8
WideAnd368 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd368~combout\ = (\WideAnd368~1_combout\ & (\led_flash_cnt[368][7]~q\ & (\led_flash_cnt[368][0]~q\ & \WideAnd368~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd368~1_combout\,
	datab => \led_flash_cnt[368][7]~q\,
	datac => \led_flash_cnt[368][0]~q\,
	datad => \WideAnd368~0_combout\,
	combout => \WideAnd368~combout\);

-- Location: FF_X47_Y49_N9
\led_flash_cnt_ands[368]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd368~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(368));

-- Location: LCCOMB_X47_Y45_N2
\led_flash_cnt[371][0]~81011\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[371][0]~81011_combout\ = !\led_flash_cnt[371][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[371][0]~q\,
	combout => \led_flash_cnt[371][0]~81011_combout\);

-- Location: FF_X47_Y45_N3
\led_flash_cnt[371][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[371][0]~81011_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[371][0]~q\);

-- Location: LCCOMB_X46_Y45_N0
\led_flash_cnt[371][1]~32074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[371][1]~32074_combout\ = (\led_flash_cnt[371][0]~q\ & (\led_flash_cnt[371][1]~q\ $ (VCC))) # (!\led_flash_cnt[371][0]~q\ & (\led_flash_cnt[371][1]~q\ & VCC))
-- \led_flash_cnt[371][1]~32075\ = CARRY((\led_flash_cnt[371][0]~q\ & \led_flash_cnt[371][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[371][0]~q\,
	datab => \led_flash_cnt[371][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[371][1]~32074_combout\,
	cout => \led_flash_cnt[371][1]~32075\);

-- Location: FF_X46_Y45_N1
\led_flash_cnt[371][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[371][1]~32074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[371][1]~q\);

-- Location: LCCOMB_X46_Y45_N2
\led_flash_cnt[371][2]~32076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[371][2]~32076_combout\ = (\led_flash_cnt[371][2]~q\ & (!\led_flash_cnt[371][1]~32075\)) # (!\led_flash_cnt[371][2]~q\ & ((\led_flash_cnt[371][1]~32075\) # (GND)))
-- \led_flash_cnt[371][2]~32077\ = CARRY((!\led_flash_cnt[371][1]~32075\) # (!\led_flash_cnt[371][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[371][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[371][1]~32075\,
	combout => \led_flash_cnt[371][2]~32076_combout\,
	cout => \led_flash_cnt[371][2]~32077\);

-- Location: FF_X46_Y45_N3
\led_flash_cnt[371][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[371][2]~32076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[371][2]~q\);

-- Location: LCCOMB_X46_Y45_N4
\led_flash_cnt[371][3]~32078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[371][3]~32078_combout\ = (\led_flash_cnt[371][3]~q\ & (\led_flash_cnt[371][2]~32077\ $ (GND))) # (!\led_flash_cnt[371][3]~q\ & (!\led_flash_cnt[371][2]~32077\ & VCC))
-- \led_flash_cnt[371][3]~32079\ = CARRY((\led_flash_cnt[371][3]~q\ & !\led_flash_cnt[371][2]~32077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[371][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[371][2]~32077\,
	combout => \led_flash_cnt[371][3]~32078_combout\,
	cout => \led_flash_cnt[371][3]~32079\);

-- Location: FF_X46_Y45_N5
\led_flash_cnt[371][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[371][3]~32078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[371][3]~q\);

-- Location: LCCOMB_X46_Y45_N6
\led_flash_cnt[371][4]~32080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[371][4]~32080_combout\ = (\led_flash_cnt[371][4]~q\ & (!\led_flash_cnt[371][3]~32079\)) # (!\led_flash_cnt[371][4]~q\ & ((\led_flash_cnt[371][3]~32079\) # (GND)))
-- \led_flash_cnt[371][4]~32081\ = CARRY((!\led_flash_cnt[371][3]~32079\) # (!\led_flash_cnt[371][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[371][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[371][3]~32079\,
	combout => \led_flash_cnt[371][4]~32080_combout\,
	cout => \led_flash_cnt[371][4]~32081\);

-- Location: FF_X46_Y45_N7
\led_flash_cnt[371][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[371][4]~32080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[371][4]~q\);

-- Location: LCCOMB_X46_Y45_N8
\led_flash_cnt[371][5]~32082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[371][5]~32082_combout\ = (\led_flash_cnt[371][5]~q\ & (\led_flash_cnt[371][4]~32081\ $ (GND))) # (!\led_flash_cnt[371][5]~q\ & (!\led_flash_cnt[371][4]~32081\ & VCC))
-- \led_flash_cnt[371][5]~32083\ = CARRY((\led_flash_cnt[371][5]~q\ & !\led_flash_cnt[371][4]~32081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[371][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[371][4]~32081\,
	combout => \led_flash_cnt[371][5]~32082_combout\,
	cout => \led_flash_cnt[371][5]~32083\);

-- Location: FF_X46_Y45_N9
\led_flash_cnt[371][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[371][5]~32082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[371][5]~q\);

-- Location: LCCOMB_X46_Y45_N10
\led_flash_cnt[371][6]~32084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[371][6]~32084_combout\ = (\led_flash_cnt[371][6]~q\ & (!\led_flash_cnt[371][5]~32083\)) # (!\led_flash_cnt[371][6]~q\ & ((\led_flash_cnt[371][5]~32083\) # (GND)))
-- \led_flash_cnt[371][6]~32085\ = CARRY((!\led_flash_cnt[371][5]~32083\) # (!\led_flash_cnt[371][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[371][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[371][5]~32083\,
	combout => \led_flash_cnt[371][6]~32084_combout\,
	cout => \led_flash_cnt[371][6]~32085\);

-- Location: FF_X46_Y45_N11
\led_flash_cnt[371][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[371][6]~32084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[371][6]~q\);

-- Location: LCCOMB_X46_Y45_N12
\led_flash_cnt[371][7]~32086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[371][7]~32086_combout\ = \led_flash_cnt[371][6]~32085\ $ (!\led_flash_cnt[371][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[371][7]~q\,
	cin => \led_flash_cnt[371][6]~32085\,
	combout => \led_flash_cnt[371][7]~32086_combout\);

-- Location: FF_X46_Y45_N13
\led_flash_cnt[371][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[371][7]~32086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[371][7]~q\);

-- Location: LCCOMB_X46_Y45_N30
\WideAnd371~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd371~0_combout\ = (\led_flash_cnt[371][4]~q\ & (\led_flash_cnt[371][1]~q\ & (\led_flash_cnt[371][3]~q\ & \led_flash_cnt[371][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[371][4]~q\,
	datab => \led_flash_cnt[371][1]~q\,
	datac => \led_flash_cnt[371][3]~q\,
	datad => \led_flash_cnt[371][2]~q\,
	combout => \WideAnd371~0_combout\);

-- Location: LCCOMB_X47_Y45_N30
\WideAnd371~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd371~1_combout\ = (\led_flash_cnt[371][6]~q\ & \led_flash_cnt[371][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[371][6]~q\,
	datad => \led_flash_cnt[371][5]~q\,
	combout => \WideAnd371~1_combout\);

-- Location: LCCOMB_X47_Y45_N0
WideAnd371 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd371~combout\ = (\led_flash_cnt[371][7]~q\ & (\WideAnd371~0_combout\ & (\WideAnd371~1_combout\ & \led_flash_cnt[371][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[371][7]~q\,
	datab => \WideAnd371~0_combout\,
	datac => \WideAnd371~1_combout\,
	datad => \led_flash_cnt[371][0]~q\,
	combout => \WideAnd371~combout\);

-- Location: FF_X47_Y45_N1
\led_flash_cnt_ands[371]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd371~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(371));

-- Location: LCCOMB_X49_Y48_N24
\led_flash_cnt[370][0]~81010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[370][0]~81010_combout\ = !\led_flash_cnt[370][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[370][0]~q\,
	combout => \led_flash_cnt[370][0]~81010_combout\);

-- Location: FF_X49_Y48_N25
\led_flash_cnt[370][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[370][0]~81010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[370][0]~q\);

-- Location: LCCOMB_X49_Y49_N16
\led_flash_cnt[370][1]~32060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[370][1]~32060_combout\ = (\led_flash_cnt[370][0]~q\ & (\led_flash_cnt[370][1]~q\ $ (VCC))) # (!\led_flash_cnt[370][0]~q\ & (\led_flash_cnt[370][1]~q\ & VCC))
-- \led_flash_cnt[370][1]~32061\ = CARRY((\led_flash_cnt[370][0]~q\ & \led_flash_cnt[370][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[370][0]~q\,
	datab => \led_flash_cnt[370][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[370][1]~32060_combout\,
	cout => \led_flash_cnt[370][1]~32061\);

-- Location: FF_X49_Y49_N17
\led_flash_cnt[370][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[370][1]~32060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[370][1]~q\);

-- Location: LCCOMB_X49_Y49_N18
\led_flash_cnt[370][2]~32062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[370][2]~32062_combout\ = (\led_flash_cnt[370][2]~q\ & (!\led_flash_cnt[370][1]~32061\)) # (!\led_flash_cnt[370][2]~q\ & ((\led_flash_cnt[370][1]~32061\) # (GND)))
-- \led_flash_cnt[370][2]~32063\ = CARRY((!\led_flash_cnt[370][1]~32061\) # (!\led_flash_cnt[370][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[370][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[370][1]~32061\,
	combout => \led_flash_cnt[370][2]~32062_combout\,
	cout => \led_flash_cnt[370][2]~32063\);

-- Location: FF_X49_Y49_N19
\led_flash_cnt[370][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[370][2]~32062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[370][2]~q\);

-- Location: LCCOMB_X49_Y49_N20
\led_flash_cnt[370][3]~32064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[370][3]~32064_combout\ = (\led_flash_cnt[370][3]~q\ & (\led_flash_cnt[370][2]~32063\ $ (GND))) # (!\led_flash_cnt[370][3]~q\ & (!\led_flash_cnt[370][2]~32063\ & VCC))
-- \led_flash_cnt[370][3]~32065\ = CARRY((\led_flash_cnt[370][3]~q\ & !\led_flash_cnt[370][2]~32063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[370][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[370][2]~32063\,
	combout => \led_flash_cnt[370][3]~32064_combout\,
	cout => \led_flash_cnt[370][3]~32065\);

-- Location: FF_X49_Y49_N21
\led_flash_cnt[370][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[370][3]~32064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[370][3]~q\);

-- Location: LCCOMB_X49_Y49_N22
\led_flash_cnt[370][4]~32066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[370][4]~32066_combout\ = (\led_flash_cnt[370][4]~q\ & (!\led_flash_cnt[370][3]~32065\)) # (!\led_flash_cnt[370][4]~q\ & ((\led_flash_cnt[370][3]~32065\) # (GND)))
-- \led_flash_cnt[370][4]~32067\ = CARRY((!\led_flash_cnt[370][3]~32065\) # (!\led_flash_cnt[370][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[370][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[370][3]~32065\,
	combout => \led_flash_cnt[370][4]~32066_combout\,
	cout => \led_flash_cnt[370][4]~32067\);

-- Location: FF_X49_Y49_N23
\led_flash_cnt[370][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[370][4]~32066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[370][4]~q\);

-- Location: LCCOMB_X49_Y49_N24
\led_flash_cnt[370][5]~32068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[370][5]~32068_combout\ = (\led_flash_cnt[370][5]~q\ & (\led_flash_cnt[370][4]~32067\ $ (GND))) # (!\led_flash_cnt[370][5]~q\ & (!\led_flash_cnt[370][4]~32067\ & VCC))
-- \led_flash_cnt[370][5]~32069\ = CARRY((\led_flash_cnt[370][5]~q\ & !\led_flash_cnt[370][4]~32067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[370][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[370][4]~32067\,
	combout => \led_flash_cnt[370][5]~32068_combout\,
	cout => \led_flash_cnt[370][5]~32069\);

-- Location: FF_X49_Y49_N25
\led_flash_cnt[370][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[370][5]~32068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[370][5]~q\);

-- Location: LCCOMB_X49_Y49_N26
\led_flash_cnt[370][6]~32070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[370][6]~32070_combout\ = (\led_flash_cnt[370][6]~q\ & (!\led_flash_cnt[370][5]~32069\)) # (!\led_flash_cnt[370][6]~q\ & ((\led_flash_cnt[370][5]~32069\) # (GND)))
-- \led_flash_cnt[370][6]~32071\ = CARRY((!\led_flash_cnt[370][5]~32069\) # (!\led_flash_cnt[370][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[370][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[370][5]~32069\,
	combout => \led_flash_cnt[370][6]~32070_combout\,
	cout => \led_flash_cnt[370][6]~32071\);

-- Location: FF_X49_Y49_N27
\led_flash_cnt[370][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[370][6]~32070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[370][6]~q\);

-- Location: LCCOMB_X49_Y50_N30
\WideAnd370~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd370~1_combout\ = (\led_flash_cnt[370][6]~q\ & \led_flash_cnt[370][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[370][6]~q\,
	datad => \led_flash_cnt[370][5]~q\,
	combout => \WideAnd370~1_combout\);

-- Location: LCCOMB_X49_Y49_N28
\led_flash_cnt[370][7]~32072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[370][7]~32072_combout\ = \led_flash_cnt[370][6]~32071\ $ (!\led_flash_cnt[370][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[370][7]~q\,
	cin => \led_flash_cnt[370][6]~32071\,
	combout => \led_flash_cnt[370][7]~32072_combout\);

-- Location: FF_X49_Y49_N29
\led_flash_cnt[370][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[370][7]~32072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[370][7]~q\);

-- Location: LCCOMB_X49_Y49_N14
\WideAnd370~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd370~0_combout\ = (\led_flash_cnt[370][1]~q\ & (\led_flash_cnt[370][2]~q\ & (\led_flash_cnt[370][4]~q\ & \led_flash_cnt[370][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[370][1]~q\,
	datab => \led_flash_cnt[370][2]~q\,
	datac => \led_flash_cnt[370][4]~q\,
	datad => \led_flash_cnt[370][3]~q\,
	combout => \WideAnd370~0_combout\);

-- Location: LCCOMB_X49_Y49_N30
WideAnd370 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd370~combout\ = (\WideAnd370~1_combout\ & (\led_flash_cnt[370][7]~q\ & (\WideAnd370~0_combout\ & \led_flash_cnt[370][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd370~1_combout\,
	datab => \led_flash_cnt[370][7]~q\,
	datac => \WideAnd370~0_combout\,
	datad => \led_flash_cnt[370][0]~q\,
	combout => \WideAnd370~combout\);

-- Location: FF_X49_Y49_N31
\led_flash_cnt_ands[370]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd370~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(370));

-- Location: LCCOMB_X49_Y45_N26
\WideAnd3886~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3886~0_combout\ = (led_flash_cnt_ands(369) & (led_flash_cnt_ands(368) & (led_flash_cnt_ands(371) & led_flash_cnt_ands(370))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(369),
	datab => led_flash_cnt_ands(368),
	datac => led_flash_cnt_ands(371),
	datad => led_flash_cnt_ands(370),
	combout => \WideAnd3886~0_combout\);

-- Location: LCCOMB_X77_Y34_N2
\led_flash_cnt[373][0]~81013\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[373][0]~81013_combout\ = !\led_flash_cnt[373][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[373][0]~q\,
	combout => \led_flash_cnt[373][0]~81013_combout\);

-- Location: FF_X77_Y34_N3
\led_flash_cnt[373][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[373][0]~81013_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[373][0]~q\);

-- Location: LCCOMB_X77_Y34_N10
\led_flash_cnt[373][1]~32102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[373][1]~32102_combout\ = (\led_flash_cnt[373][1]~q\ & (\led_flash_cnt[373][0]~q\ $ (VCC))) # (!\led_flash_cnt[373][1]~q\ & (\led_flash_cnt[373][0]~q\ & VCC))
-- \led_flash_cnt[373][1]~32103\ = CARRY((\led_flash_cnt[373][1]~q\ & \led_flash_cnt[373][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[373][1]~q\,
	datab => \led_flash_cnt[373][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[373][1]~32102_combout\,
	cout => \led_flash_cnt[373][1]~32103\);

-- Location: FF_X77_Y34_N11
\led_flash_cnt[373][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[373][1]~32102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[373][1]~q\);

-- Location: LCCOMB_X77_Y34_N12
\led_flash_cnt[373][2]~32104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[373][2]~32104_combout\ = (\led_flash_cnt[373][2]~q\ & (!\led_flash_cnt[373][1]~32103\)) # (!\led_flash_cnt[373][2]~q\ & ((\led_flash_cnt[373][1]~32103\) # (GND)))
-- \led_flash_cnt[373][2]~32105\ = CARRY((!\led_flash_cnt[373][1]~32103\) # (!\led_flash_cnt[373][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[373][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[373][1]~32103\,
	combout => \led_flash_cnt[373][2]~32104_combout\,
	cout => \led_flash_cnt[373][2]~32105\);

-- Location: FF_X77_Y34_N13
\led_flash_cnt[373][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[373][2]~32104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[373][2]~q\);

-- Location: LCCOMB_X77_Y34_N14
\led_flash_cnt[373][3]~32106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[373][3]~32106_combout\ = (\led_flash_cnt[373][3]~q\ & (\led_flash_cnt[373][2]~32105\ $ (GND))) # (!\led_flash_cnt[373][3]~q\ & (!\led_flash_cnt[373][2]~32105\ & VCC))
-- \led_flash_cnt[373][3]~32107\ = CARRY((\led_flash_cnt[373][3]~q\ & !\led_flash_cnt[373][2]~32105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[373][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[373][2]~32105\,
	combout => \led_flash_cnt[373][3]~32106_combout\,
	cout => \led_flash_cnt[373][3]~32107\);

-- Location: FF_X77_Y34_N15
\led_flash_cnt[373][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[373][3]~32106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[373][3]~q\);

-- Location: LCCOMB_X77_Y34_N16
\led_flash_cnt[373][4]~32108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[373][4]~32108_combout\ = (\led_flash_cnt[373][4]~q\ & (!\led_flash_cnt[373][3]~32107\)) # (!\led_flash_cnt[373][4]~q\ & ((\led_flash_cnt[373][3]~32107\) # (GND)))
-- \led_flash_cnt[373][4]~32109\ = CARRY((!\led_flash_cnt[373][3]~32107\) # (!\led_flash_cnt[373][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[373][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[373][3]~32107\,
	combout => \led_flash_cnt[373][4]~32108_combout\,
	cout => \led_flash_cnt[373][4]~32109\);

-- Location: FF_X77_Y34_N17
\led_flash_cnt[373][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[373][4]~32108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[373][4]~q\);

-- Location: LCCOMB_X77_Y34_N18
\led_flash_cnt[373][5]~32110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[373][5]~32110_combout\ = (\led_flash_cnt[373][5]~q\ & (\led_flash_cnt[373][4]~32109\ $ (GND))) # (!\led_flash_cnt[373][5]~q\ & (!\led_flash_cnt[373][4]~32109\ & VCC))
-- \led_flash_cnt[373][5]~32111\ = CARRY((\led_flash_cnt[373][5]~q\ & !\led_flash_cnt[373][4]~32109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[373][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[373][4]~32109\,
	combout => \led_flash_cnt[373][5]~32110_combout\,
	cout => \led_flash_cnt[373][5]~32111\);

-- Location: FF_X77_Y34_N19
\led_flash_cnt[373][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[373][5]~32110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[373][5]~q\);

-- Location: LCCOMB_X77_Y34_N20
\led_flash_cnt[373][6]~32112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[373][6]~32112_combout\ = (\led_flash_cnt[373][6]~q\ & (!\led_flash_cnt[373][5]~32111\)) # (!\led_flash_cnt[373][6]~q\ & ((\led_flash_cnt[373][5]~32111\) # (GND)))
-- \led_flash_cnt[373][6]~32113\ = CARRY((!\led_flash_cnt[373][5]~32111\) # (!\led_flash_cnt[373][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[373][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[373][5]~32111\,
	combout => \led_flash_cnt[373][6]~32112_combout\,
	cout => \led_flash_cnt[373][6]~32113\);

-- Location: FF_X77_Y34_N21
\led_flash_cnt[373][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[373][6]~32112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[373][6]~q\);

-- Location: LCCOMB_X77_Y34_N26
\WideAnd373~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd373~1_combout\ = (\led_flash_cnt[373][5]~q\ & \led_flash_cnt[373][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[373][5]~q\,
	datad => \led_flash_cnt[373][6]~q\,
	combout => \WideAnd373~1_combout\);

-- Location: LCCOMB_X77_Y34_N22
\led_flash_cnt[373][7]~32114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[373][7]~32114_combout\ = \led_flash_cnt[373][7]~q\ $ (!\led_flash_cnt[373][6]~32113\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[373][7]~q\,
	cin => \led_flash_cnt[373][6]~32113\,
	combout => \led_flash_cnt[373][7]~32114_combout\);

-- Location: FF_X77_Y34_N23
\led_flash_cnt[373][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[373][7]~32114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[373][7]~q\);

-- Location: LCCOMB_X77_Y34_N24
\WideAnd373~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd373~0_combout\ = (\led_flash_cnt[373][1]~q\ & (\led_flash_cnt[373][4]~q\ & (\led_flash_cnt[373][3]~q\ & \led_flash_cnt[373][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[373][1]~q\,
	datab => \led_flash_cnt[373][4]~q\,
	datac => \led_flash_cnt[373][3]~q\,
	datad => \led_flash_cnt[373][2]~q\,
	combout => \WideAnd373~0_combout\);

-- Location: LCCOMB_X77_Y34_N30
WideAnd373 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd373~combout\ = (\WideAnd373~1_combout\ & (\led_flash_cnt[373][0]~q\ & (\led_flash_cnt[373][7]~q\ & \WideAnd373~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd373~1_combout\,
	datab => \led_flash_cnt[373][0]~q\,
	datac => \led_flash_cnt[373][7]~q\,
	datad => \WideAnd373~0_combout\,
	combout => \WideAnd373~combout\);

-- Location: FF_X77_Y34_N31
\led_flash_cnt_ands[373]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd373~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(373));

-- Location: LCCOMB_X77_Y34_N4
\led_flash_cnt[372][0]~81012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[372][0]~81012_combout\ = !\led_flash_cnt[372][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[372][0]~q\,
	combout => \led_flash_cnt[372][0]~81012_combout\);

-- Location: FF_X77_Y34_N5
\led_flash_cnt[372][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[372][0]~81012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[372][0]~q\);

-- Location: LCCOMB_X77_Y37_N16
\led_flash_cnt[372][1]~32088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[372][1]~32088_combout\ = (\led_flash_cnt[372][0]~q\ & (\led_flash_cnt[372][1]~q\ $ (VCC))) # (!\led_flash_cnt[372][0]~q\ & (\led_flash_cnt[372][1]~q\ & VCC))
-- \led_flash_cnt[372][1]~32089\ = CARRY((\led_flash_cnt[372][0]~q\ & \led_flash_cnt[372][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[372][0]~q\,
	datab => \led_flash_cnt[372][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[372][1]~32088_combout\,
	cout => \led_flash_cnt[372][1]~32089\);

-- Location: FF_X77_Y37_N17
\led_flash_cnt[372][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[372][1]~32088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[372][1]~q\);

-- Location: LCCOMB_X77_Y37_N18
\led_flash_cnt[372][2]~32090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[372][2]~32090_combout\ = (\led_flash_cnt[372][2]~q\ & (!\led_flash_cnt[372][1]~32089\)) # (!\led_flash_cnt[372][2]~q\ & ((\led_flash_cnt[372][1]~32089\) # (GND)))
-- \led_flash_cnt[372][2]~32091\ = CARRY((!\led_flash_cnt[372][1]~32089\) # (!\led_flash_cnt[372][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[372][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[372][1]~32089\,
	combout => \led_flash_cnt[372][2]~32090_combout\,
	cout => \led_flash_cnt[372][2]~32091\);

-- Location: FF_X77_Y37_N19
\led_flash_cnt[372][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[372][2]~32090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[372][2]~q\);

-- Location: LCCOMB_X77_Y37_N20
\led_flash_cnt[372][3]~32092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[372][3]~32092_combout\ = (\led_flash_cnt[372][3]~q\ & (\led_flash_cnt[372][2]~32091\ $ (GND))) # (!\led_flash_cnt[372][3]~q\ & (!\led_flash_cnt[372][2]~32091\ & VCC))
-- \led_flash_cnt[372][3]~32093\ = CARRY((\led_flash_cnt[372][3]~q\ & !\led_flash_cnt[372][2]~32091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[372][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[372][2]~32091\,
	combout => \led_flash_cnt[372][3]~32092_combout\,
	cout => \led_flash_cnt[372][3]~32093\);

-- Location: FF_X77_Y37_N21
\led_flash_cnt[372][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[372][3]~32092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[372][3]~q\);

-- Location: LCCOMB_X77_Y37_N22
\led_flash_cnt[372][4]~32094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[372][4]~32094_combout\ = (\led_flash_cnt[372][4]~q\ & (!\led_flash_cnt[372][3]~32093\)) # (!\led_flash_cnt[372][4]~q\ & ((\led_flash_cnt[372][3]~32093\) # (GND)))
-- \led_flash_cnt[372][4]~32095\ = CARRY((!\led_flash_cnt[372][3]~32093\) # (!\led_flash_cnt[372][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[372][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[372][3]~32093\,
	combout => \led_flash_cnt[372][4]~32094_combout\,
	cout => \led_flash_cnt[372][4]~32095\);

-- Location: FF_X77_Y37_N23
\led_flash_cnt[372][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[372][4]~32094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[372][4]~q\);

-- Location: LCCOMB_X77_Y37_N30
\WideAnd372~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd372~0_combout\ = (\led_flash_cnt[372][2]~q\ & (\led_flash_cnt[372][3]~q\ & (\led_flash_cnt[372][4]~q\ & \led_flash_cnt[372][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[372][2]~q\,
	datab => \led_flash_cnt[372][3]~q\,
	datac => \led_flash_cnt[372][4]~q\,
	datad => \led_flash_cnt[372][1]~q\,
	combout => \WideAnd372~0_combout\);

-- Location: LCCOMB_X77_Y37_N24
\led_flash_cnt[372][5]~32096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[372][5]~32096_combout\ = (\led_flash_cnt[372][5]~q\ & (\led_flash_cnt[372][4]~32095\ $ (GND))) # (!\led_flash_cnt[372][5]~q\ & (!\led_flash_cnt[372][4]~32095\ & VCC))
-- \led_flash_cnt[372][5]~32097\ = CARRY((\led_flash_cnt[372][5]~q\ & !\led_flash_cnt[372][4]~32095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[372][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[372][4]~32095\,
	combout => \led_flash_cnt[372][5]~32096_combout\,
	cout => \led_flash_cnt[372][5]~32097\);

-- Location: FF_X77_Y37_N25
\led_flash_cnt[372][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[372][5]~32096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[372][5]~q\);

-- Location: LCCOMB_X77_Y37_N26
\led_flash_cnt[372][6]~32098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[372][6]~32098_combout\ = (\led_flash_cnt[372][6]~q\ & (!\led_flash_cnt[372][5]~32097\)) # (!\led_flash_cnt[372][6]~q\ & ((\led_flash_cnt[372][5]~32097\) # (GND)))
-- \led_flash_cnt[372][6]~32099\ = CARRY((!\led_flash_cnt[372][5]~32097\) # (!\led_flash_cnt[372][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[372][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[372][5]~32097\,
	combout => \led_flash_cnt[372][6]~32098_combout\,
	cout => \led_flash_cnt[372][6]~32099\);

-- Location: FF_X77_Y37_N27
\led_flash_cnt[372][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[372][6]~32098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[372][6]~q\);

-- Location: LCCOMB_X77_Y34_N8
\WideAnd372~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd372~1_combout\ = (\led_flash_cnt[372][6]~q\ & \led_flash_cnt[372][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[372][6]~q\,
	datad => \led_flash_cnt[372][5]~q\,
	combout => \WideAnd372~1_combout\);

-- Location: LCCOMB_X77_Y37_N28
\led_flash_cnt[372][7]~32100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[372][7]~32100_combout\ = \led_flash_cnt[372][6]~32099\ $ (!\led_flash_cnt[372][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[372][7]~q\,
	cin => \led_flash_cnt[372][6]~32099\,
	combout => \led_flash_cnt[372][7]~32100_combout\);

-- Location: FF_X77_Y37_N29
\led_flash_cnt[372][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[372][7]~32100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[372][7]~q\);

-- Location: LCCOMB_X77_Y34_N6
WideAnd372 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd372~combout\ = (\WideAnd372~0_combout\ & (\led_flash_cnt[372][0]~q\ & (\WideAnd372~1_combout\ & \led_flash_cnt[372][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd372~0_combout\,
	datab => \led_flash_cnt[372][0]~q\,
	datac => \WideAnd372~1_combout\,
	datad => \led_flash_cnt[372][7]~q\,
	combout => \WideAnd372~combout\);

-- Location: FF_X77_Y34_N7
\led_flash_cnt_ands[372]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd372~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(372));

-- Location: LCCOMB_X77_Y34_N28
\WideAnd3886~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3886~1_combout\ = (led_flash_cnt_ands(373) & led_flash_cnt_ands(372))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(373),
	datad => led_flash_cnt_ands(372),
	combout => \WideAnd3886~1_combout\);

-- Location: LCCOMB_X51_Y24_N30
\led_flash_cnt[375][0]~81015\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[375][0]~81015_combout\ = !\led_flash_cnt[375][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[375][0]~q\,
	combout => \led_flash_cnt[375][0]~81015_combout\);

-- Location: FF_X51_Y24_N31
\led_flash_cnt[375][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[375][0]~81015_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[375][0]~q\);

-- Location: LCCOMB_X51_Y23_N8
\led_flash_cnt[375][1]~32130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[375][1]~32130_combout\ = (\led_flash_cnt[375][0]~q\ & (\led_flash_cnt[375][1]~q\ $ (VCC))) # (!\led_flash_cnt[375][0]~q\ & (\led_flash_cnt[375][1]~q\ & VCC))
-- \led_flash_cnt[375][1]~32131\ = CARRY((\led_flash_cnt[375][0]~q\ & \led_flash_cnt[375][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[375][0]~q\,
	datab => \led_flash_cnt[375][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[375][1]~32130_combout\,
	cout => \led_flash_cnt[375][1]~32131\);

-- Location: FF_X51_Y23_N9
\led_flash_cnt[375][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[375][1]~32130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[375][1]~q\);

-- Location: LCCOMB_X51_Y23_N10
\led_flash_cnt[375][2]~32132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[375][2]~32132_combout\ = (\led_flash_cnt[375][2]~q\ & (!\led_flash_cnt[375][1]~32131\)) # (!\led_flash_cnt[375][2]~q\ & ((\led_flash_cnt[375][1]~32131\) # (GND)))
-- \led_flash_cnt[375][2]~32133\ = CARRY((!\led_flash_cnt[375][1]~32131\) # (!\led_flash_cnt[375][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[375][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[375][1]~32131\,
	combout => \led_flash_cnt[375][2]~32132_combout\,
	cout => \led_flash_cnt[375][2]~32133\);

-- Location: FF_X51_Y23_N11
\led_flash_cnt[375][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[375][2]~32132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[375][2]~q\);

-- Location: LCCOMB_X51_Y23_N12
\led_flash_cnt[375][3]~32134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[375][3]~32134_combout\ = (\led_flash_cnt[375][3]~q\ & (\led_flash_cnt[375][2]~32133\ $ (GND))) # (!\led_flash_cnt[375][3]~q\ & (!\led_flash_cnt[375][2]~32133\ & VCC))
-- \led_flash_cnt[375][3]~32135\ = CARRY((\led_flash_cnt[375][3]~q\ & !\led_flash_cnt[375][2]~32133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[375][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[375][2]~32133\,
	combout => \led_flash_cnt[375][3]~32134_combout\,
	cout => \led_flash_cnt[375][3]~32135\);

-- Location: FF_X51_Y23_N13
\led_flash_cnt[375][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[375][3]~32134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[375][3]~q\);

-- Location: LCCOMB_X51_Y23_N14
\led_flash_cnt[375][4]~32136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[375][4]~32136_combout\ = (\led_flash_cnt[375][4]~q\ & (!\led_flash_cnt[375][3]~32135\)) # (!\led_flash_cnt[375][4]~q\ & ((\led_flash_cnt[375][3]~32135\) # (GND)))
-- \led_flash_cnt[375][4]~32137\ = CARRY((!\led_flash_cnt[375][3]~32135\) # (!\led_flash_cnt[375][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[375][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[375][3]~32135\,
	combout => \led_flash_cnt[375][4]~32136_combout\,
	cout => \led_flash_cnt[375][4]~32137\);

-- Location: FF_X51_Y23_N15
\led_flash_cnt[375][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[375][4]~32136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[375][4]~q\);

-- Location: LCCOMB_X51_Y23_N16
\led_flash_cnt[375][5]~32138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[375][5]~32138_combout\ = (\led_flash_cnt[375][5]~q\ & (\led_flash_cnt[375][4]~32137\ $ (GND))) # (!\led_flash_cnt[375][5]~q\ & (!\led_flash_cnt[375][4]~32137\ & VCC))
-- \led_flash_cnt[375][5]~32139\ = CARRY((\led_flash_cnt[375][5]~q\ & !\led_flash_cnt[375][4]~32137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[375][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[375][4]~32137\,
	combout => \led_flash_cnt[375][5]~32138_combout\,
	cout => \led_flash_cnt[375][5]~32139\);

-- Location: FF_X51_Y23_N17
\led_flash_cnt[375][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[375][5]~32138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[375][5]~q\);

-- Location: LCCOMB_X51_Y23_N18
\led_flash_cnt[375][6]~32140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[375][6]~32140_combout\ = (\led_flash_cnt[375][6]~q\ & (!\led_flash_cnt[375][5]~32139\)) # (!\led_flash_cnt[375][6]~q\ & ((\led_flash_cnt[375][5]~32139\) # (GND)))
-- \led_flash_cnt[375][6]~32141\ = CARRY((!\led_flash_cnt[375][5]~32139\) # (!\led_flash_cnt[375][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[375][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[375][5]~32139\,
	combout => \led_flash_cnt[375][6]~32140_combout\,
	cout => \led_flash_cnt[375][6]~32141\);

-- Location: FF_X51_Y23_N19
\led_flash_cnt[375][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[375][6]~32140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[375][6]~q\);

-- Location: LCCOMB_X51_Y23_N26
\WideAnd375~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd375~1_combout\ = (\led_flash_cnt[375][6]~q\ & \led_flash_cnt[375][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[375][6]~q\,
	datad => \led_flash_cnt[375][5]~q\,
	combout => \WideAnd375~1_combout\);

-- Location: LCCOMB_X51_Y23_N20
\led_flash_cnt[375][7]~32142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[375][7]~32142_combout\ = \led_flash_cnt[375][6]~32141\ $ (!\led_flash_cnt[375][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[375][7]~q\,
	cin => \led_flash_cnt[375][6]~32141\,
	combout => \led_flash_cnt[375][7]~32142_combout\);

-- Location: FF_X51_Y23_N21
\led_flash_cnt[375][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[375][7]~32142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[375][7]~q\);

-- Location: LCCOMB_X51_Y23_N24
\WideAnd375~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd375~0_combout\ = (\led_flash_cnt[375][3]~q\ & (\led_flash_cnt[375][4]~q\ & (\led_flash_cnt[375][1]~q\ & \led_flash_cnt[375][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[375][3]~q\,
	datab => \led_flash_cnt[375][4]~q\,
	datac => \led_flash_cnt[375][1]~q\,
	datad => \led_flash_cnt[375][2]~q\,
	combout => \WideAnd375~0_combout\);

-- Location: LCCOMB_X51_Y23_N28
WideAnd375 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd375~combout\ = (\WideAnd375~1_combout\ & (\led_flash_cnt[375][7]~q\ & (\led_flash_cnt[375][0]~q\ & \WideAnd375~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd375~1_combout\,
	datab => \led_flash_cnt[375][7]~q\,
	datac => \led_flash_cnt[375][0]~q\,
	datad => \WideAnd375~0_combout\,
	combout => \WideAnd375~combout\);

-- Location: FF_X51_Y23_N29
\led_flash_cnt_ands[375]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd375~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(375));

-- Location: LCCOMB_X50_Y31_N24
WideAnd3886 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3886~combout\ = (led_flash_cnt_ands(374) & (\WideAnd3886~0_combout\ & (\WideAnd3886~1_combout\ & led_flash_cnt_ands(375))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(374),
	datab => \WideAnd3886~0_combout\,
	datac => \WideAnd3886~1_combout\,
	datad => led_flash_cnt_ands(375),
	combout => \WideAnd3886~combout\);

-- Location: FF_X50_Y31_N25
\led_flash_cnt_ands_1[46]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3886~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(46));

-- Location: LCCOMB_X72_Y40_N18
\led_flash_cnt[365][0]~81005\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[365][0]~81005_combout\ = !\led_flash_cnt[365][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[365][0]~q\,
	combout => \led_flash_cnt[365][0]~81005_combout\);

-- Location: FF_X72_Y40_N19
\led_flash_cnt[365][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[365][0]~81005_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[365][0]~q\);

-- Location: LCCOMB_X72_Y40_N2
\led_flash_cnt[365][1]~31990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[365][1]~31990_combout\ = (\led_flash_cnt[365][1]~q\ & (\led_flash_cnt[365][0]~q\ $ (VCC))) # (!\led_flash_cnt[365][1]~q\ & (\led_flash_cnt[365][0]~q\ & VCC))
-- \led_flash_cnt[365][1]~31991\ = CARRY((\led_flash_cnt[365][1]~q\ & \led_flash_cnt[365][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[365][1]~q\,
	datab => \led_flash_cnt[365][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[365][1]~31990_combout\,
	cout => \led_flash_cnt[365][1]~31991\);

-- Location: FF_X72_Y40_N3
\led_flash_cnt[365][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[365][1]~31990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[365][1]~q\);

-- Location: LCCOMB_X72_Y40_N4
\led_flash_cnt[365][2]~31992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[365][2]~31992_combout\ = (\led_flash_cnt[365][2]~q\ & (!\led_flash_cnt[365][1]~31991\)) # (!\led_flash_cnt[365][2]~q\ & ((\led_flash_cnt[365][1]~31991\) # (GND)))
-- \led_flash_cnt[365][2]~31993\ = CARRY((!\led_flash_cnt[365][1]~31991\) # (!\led_flash_cnt[365][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[365][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[365][1]~31991\,
	combout => \led_flash_cnt[365][2]~31992_combout\,
	cout => \led_flash_cnt[365][2]~31993\);

-- Location: FF_X72_Y40_N5
\led_flash_cnt[365][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[365][2]~31992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[365][2]~q\);

-- Location: LCCOMB_X72_Y40_N6
\led_flash_cnt[365][3]~31994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[365][3]~31994_combout\ = (\led_flash_cnt[365][3]~q\ & (\led_flash_cnt[365][2]~31993\ $ (GND))) # (!\led_flash_cnt[365][3]~q\ & (!\led_flash_cnt[365][2]~31993\ & VCC))
-- \led_flash_cnt[365][3]~31995\ = CARRY((\led_flash_cnt[365][3]~q\ & !\led_flash_cnt[365][2]~31993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[365][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[365][2]~31993\,
	combout => \led_flash_cnt[365][3]~31994_combout\,
	cout => \led_flash_cnt[365][3]~31995\);

-- Location: FF_X72_Y40_N7
\led_flash_cnt[365][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[365][3]~31994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[365][3]~q\);

-- Location: LCCOMB_X72_Y40_N8
\led_flash_cnt[365][4]~31996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[365][4]~31996_combout\ = (\led_flash_cnt[365][4]~q\ & (!\led_flash_cnt[365][3]~31995\)) # (!\led_flash_cnt[365][4]~q\ & ((\led_flash_cnt[365][3]~31995\) # (GND)))
-- \led_flash_cnt[365][4]~31997\ = CARRY((!\led_flash_cnt[365][3]~31995\) # (!\led_flash_cnt[365][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[365][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[365][3]~31995\,
	combout => \led_flash_cnt[365][4]~31996_combout\,
	cout => \led_flash_cnt[365][4]~31997\);

-- Location: FF_X72_Y40_N9
\led_flash_cnt[365][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[365][4]~31996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[365][4]~q\);

-- Location: LCCOMB_X72_Y40_N10
\led_flash_cnt[365][5]~31998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[365][5]~31998_combout\ = (\led_flash_cnt[365][5]~q\ & (\led_flash_cnt[365][4]~31997\ $ (GND))) # (!\led_flash_cnt[365][5]~q\ & (!\led_flash_cnt[365][4]~31997\ & VCC))
-- \led_flash_cnt[365][5]~31999\ = CARRY((\led_flash_cnt[365][5]~q\ & !\led_flash_cnt[365][4]~31997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[365][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[365][4]~31997\,
	combout => \led_flash_cnt[365][5]~31998_combout\,
	cout => \led_flash_cnt[365][5]~31999\);

-- Location: FF_X72_Y40_N11
\led_flash_cnt[365][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[365][5]~31998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[365][5]~q\);

-- Location: LCCOMB_X72_Y40_N12
\led_flash_cnt[365][6]~32000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[365][6]~32000_combout\ = (\led_flash_cnt[365][6]~q\ & (!\led_flash_cnt[365][5]~31999\)) # (!\led_flash_cnt[365][6]~q\ & ((\led_flash_cnt[365][5]~31999\) # (GND)))
-- \led_flash_cnt[365][6]~32001\ = CARRY((!\led_flash_cnt[365][5]~31999\) # (!\led_flash_cnt[365][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[365][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[365][5]~31999\,
	combout => \led_flash_cnt[365][6]~32000_combout\,
	cout => \led_flash_cnt[365][6]~32001\);

-- Location: FF_X72_Y40_N13
\led_flash_cnt[365][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[365][6]~32000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[365][6]~q\);

-- Location: LCCOMB_X72_Y40_N26
\WideAnd365~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd365~1_combout\ = (\led_flash_cnt[365][6]~q\ & \led_flash_cnt[365][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[365][6]~q\,
	datad => \led_flash_cnt[365][5]~q\,
	combout => \WideAnd365~1_combout\);

-- Location: LCCOMB_X72_Y40_N24
\WideAnd365~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd365~0_combout\ = (\led_flash_cnt[365][1]~q\ & (\led_flash_cnt[365][4]~q\ & (\led_flash_cnt[365][2]~q\ & \led_flash_cnt[365][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[365][1]~q\,
	datab => \led_flash_cnt[365][4]~q\,
	datac => \led_flash_cnt[365][2]~q\,
	datad => \led_flash_cnt[365][3]~q\,
	combout => \WideAnd365~0_combout\);

-- Location: LCCOMB_X72_Y40_N14
\led_flash_cnt[365][7]~32002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[365][7]~32002_combout\ = \led_flash_cnt[365][7]~q\ $ (!\led_flash_cnt[365][6]~32001\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[365][7]~q\,
	cin => \led_flash_cnt[365][6]~32001\,
	combout => \led_flash_cnt[365][7]~32002_combout\);

-- Location: FF_X72_Y40_N15
\led_flash_cnt[365][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[365][7]~32002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[365][7]~q\);

-- Location: LCCOMB_X72_Y40_N30
WideAnd365 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd365~combout\ = (\WideAnd365~1_combout\ & (\WideAnd365~0_combout\ & (\led_flash_cnt[365][7]~q\ & \led_flash_cnt[365][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd365~1_combout\,
	datab => \WideAnd365~0_combout\,
	datac => \led_flash_cnt[365][7]~q\,
	datad => \led_flash_cnt[365][0]~q\,
	combout => \WideAnd365~combout\);

-- Location: FF_X72_Y40_N31
\led_flash_cnt_ands[365]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd365~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(365));

-- Location: LCCOMB_X72_Y40_N28
\led_flash_cnt[364][0]~81004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[364][0]~81004_combout\ = !\led_flash_cnt[364][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[364][0]~q\,
	combout => \led_flash_cnt[364][0]~81004_combout\);

-- Location: FF_X72_Y40_N29
\led_flash_cnt[364][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[364][0]~81004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[364][0]~q\);

-- Location: LCCOMB_X71_Y40_N18
\led_flash_cnt[364][1]~31976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[364][1]~31976_combout\ = (\led_flash_cnt[364][1]~q\ & (\led_flash_cnt[364][0]~q\ $ (VCC))) # (!\led_flash_cnt[364][1]~q\ & (\led_flash_cnt[364][0]~q\ & VCC))
-- \led_flash_cnt[364][1]~31977\ = CARRY((\led_flash_cnt[364][1]~q\ & \led_flash_cnt[364][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[364][1]~q\,
	datab => \led_flash_cnt[364][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[364][1]~31976_combout\,
	cout => \led_flash_cnt[364][1]~31977\);

-- Location: FF_X71_Y40_N19
\led_flash_cnt[364][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[364][1]~31976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[364][1]~q\);

-- Location: LCCOMB_X71_Y40_N20
\led_flash_cnt[364][2]~31978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[364][2]~31978_combout\ = (\led_flash_cnt[364][2]~q\ & (!\led_flash_cnt[364][1]~31977\)) # (!\led_flash_cnt[364][2]~q\ & ((\led_flash_cnt[364][1]~31977\) # (GND)))
-- \led_flash_cnt[364][2]~31979\ = CARRY((!\led_flash_cnt[364][1]~31977\) # (!\led_flash_cnt[364][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[364][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[364][1]~31977\,
	combout => \led_flash_cnt[364][2]~31978_combout\,
	cout => \led_flash_cnt[364][2]~31979\);

-- Location: FF_X71_Y40_N21
\led_flash_cnt[364][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[364][2]~31978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[364][2]~q\);

-- Location: LCCOMB_X71_Y40_N22
\led_flash_cnt[364][3]~31980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[364][3]~31980_combout\ = (\led_flash_cnt[364][3]~q\ & (\led_flash_cnt[364][2]~31979\ $ (GND))) # (!\led_flash_cnt[364][3]~q\ & (!\led_flash_cnt[364][2]~31979\ & VCC))
-- \led_flash_cnt[364][3]~31981\ = CARRY((\led_flash_cnt[364][3]~q\ & !\led_flash_cnt[364][2]~31979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[364][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[364][2]~31979\,
	combout => \led_flash_cnt[364][3]~31980_combout\,
	cout => \led_flash_cnt[364][3]~31981\);

-- Location: FF_X71_Y40_N23
\led_flash_cnt[364][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[364][3]~31980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[364][3]~q\);

-- Location: LCCOMB_X71_Y40_N24
\led_flash_cnt[364][4]~31982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[364][4]~31982_combout\ = (\led_flash_cnt[364][4]~q\ & (!\led_flash_cnt[364][3]~31981\)) # (!\led_flash_cnt[364][4]~q\ & ((\led_flash_cnt[364][3]~31981\) # (GND)))
-- \led_flash_cnt[364][4]~31983\ = CARRY((!\led_flash_cnt[364][3]~31981\) # (!\led_flash_cnt[364][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[364][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[364][3]~31981\,
	combout => \led_flash_cnt[364][4]~31982_combout\,
	cout => \led_flash_cnt[364][4]~31983\);

-- Location: FF_X71_Y40_N25
\led_flash_cnt[364][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[364][4]~31982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[364][4]~q\);

-- Location: LCCOMB_X71_Y40_N14
\WideAnd364~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd364~0_combout\ = (\led_flash_cnt[364][1]~q\ & (\led_flash_cnt[364][4]~q\ & (\led_flash_cnt[364][3]~q\ & \led_flash_cnt[364][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[364][1]~q\,
	datab => \led_flash_cnt[364][4]~q\,
	datac => \led_flash_cnt[364][3]~q\,
	datad => \led_flash_cnt[364][2]~q\,
	combout => \WideAnd364~0_combout\);

-- Location: LCCOMB_X71_Y40_N26
\led_flash_cnt[364][5]~31984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[364][5]~31984_combout\ = (\led_flash_cnt[364][5]~q\ & (\led_flash_cnt[364][4]~31983\ $ (GND))) # (!\led_flash_cnt[364][5]~q\ & (!\led_flash_cnt[364][4]~31983\ & VCC))
-- \led_flash_cnt[364][5]~31985\ = CARRY((\led_flash_cnt[364][5]~q\ & !\led_flash_cnt[364][4]~31983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[364][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[364][4]~31983\,
	combout => \led_flash_cnt[364][5]~31984_combout\,
	cout => \led_flash_cnt[364][5]~31985\);

-- Location: FF_X71_Y40_N27
\led_flash_cnt[364][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[364][5]~31984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[364][5]~q\);

-- Location: LCCOMB_X71_Y40_N28
\led_flash_cnt[364][6]~31986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[364][6]~31986_combout\ = (\led_flash_cnt[364][6]~q\ & (!\led_flash_cnt[364][5]~31985\)) # (!\led_flash_cnt[364][6]~q\ & ((\led_flash_cnt[364][5]~31985\) # (GND)))
-- \led_flash_cnt[364][6]~31987\ = CARRY((!\led_flash_cnt[364][5]~31985\) # (!\led_flash_cnt[364][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[364][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[364][5]~31985\,
	combout => \led_flash_cnt[364][6]~31986_combout\,
	cout => \led_flash_cnt[364][6]~31987\);

-- Location: FF_X71_Y40_N29
\led_flash_cnt[364][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[364][6]~31986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[364][6]~q\);

-- Location: LCCOMB_X71_Y40_N30
\led_flash_cnt[364][7]~31988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[364][7]~31988_combout\ = \led_flash_cnt[364][7]~q\ $ (!\led_flash_cnt[364][6]~31987\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[364][7]~q\,
	cin => \led_flash_cnt[364][6]~31987\,
	combout => \led_flash_cnt[364][7]~31988_combout\);

-- Location: FF_X71_Y40_N31
\led_flash_cnt[364][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[364][7]~31988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[364][7]~q\);

-- Location: LCCOMB_X72_Y40_N22
\WideAnd364~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd364~1_combout\ = (\led_flash_cnt[364][5]~q\ & \led_flash_cnt[364][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[364][5]~q\,
	datad => \led_flash_cnt[364][6]~q\,
	combout => \WideAnd364~1_combout\);

-- Location: LCCOMB_X72_Y40_N16
WideAnd364 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd364~combout\ = (\WideAnd364~0_combout\ & (\led_flash_cnt[364][7]~q\ & (\WideAnd364~1_combout\ & \led_flash_cnt[364][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd364~0_combout\,
	datab => \led_flash_cnt[364][7]~q\,
	datac => \WideAnd364~1_combout\,
	datad => \led_flash_cnt[364][0]~q\,
	combout => \WideAnd364~combout\);

-- Location: FF_X72_Y40_N17
\led_flash_cnt_ands[364]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd364~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(364));

-- Location: LCCOMB_X72_Y40_N20
\WideAnd3885~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3885~1_combout\ = (led_flash_cnt_ands(365) & led_flash_cnt_ands(364))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(365),
	datad => led_flash_cnt_ands(364),
	combout => \WideAnd3885~1_combout\);

-- Location: LCCOMB_X71_Y37_N2
\led_flash_cnt[366][0]~81006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[366][0]~81006_combout\ = !\led_flash_cnt[366][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[366][0]~q\,
	combout => \led_flash_cnt[366][0]~81006_combout\);

-- Location: FF_X71_Y37_N3
\led_flash_cnt[366][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[366][0]~81006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[366][0]~q\);

-- Location: LCCOMB_X70_Y37_N0
\led_flash_cnt[366][1]~32004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[366][1]~32004_combout\ = (\led_flash_cnt[366][0]~q\ & (\led_flash_cnt[366][1]~q\ $ (VCC))) # (!\led_flash_cnt[366][0]~q\ & (\led_flash_cnt[366][1]~q\ & VCC))
-- \led_flash_cnt[366][1]~32005\ = CARRY((\led_flash_cnt[366][0]~q\ & \led_flash_cnt[366][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[366][0]~q\,
	datab => \led_flash_cnt[366][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[366][1]~32004_combout\,
	cout => \led_flash_cnt[366][1]~32005\);

-- Location: FF_X70_Y37_N1
\led_flash_cnt[366][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[366][1]~32004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[366][1]~q\);

-- Location: LCCOMB_X70_Y37_N2
\led_flash_cnt[366][2]~32006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[366][2]~32006_combout\ = (\led_flash_cnt[366][2]~q\ & (!\led_flash_cnt[366][1]~32005\)) # (!\led_flash_cnt[366][2]~q\ & ((\led_flash_cnt[366][1]~32005\) # (GND)))
-- \led_flash_cnt[366][2]~32007\ = CARRY((!\led_flash_cnt[366][1]~32005\) # (!\led_flash_cnt[366][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[366][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[366][1]~32005\,
	combout => \led_flash_cnt[366][2]~32006_combout\,
	cout => \led_flash_cnt[366][2]~32007\);

-- Location: FF_X70_Y37_N3
\led_flash_cnt[366][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[366][2]~32006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[366][2]~q\);

-- Location: LCCOMB_X70_Y37_N4
\led_flash_cnt[366][3]~32008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[366][3]~32008_combout\ = (\led_flash_cnt[366][3]~q\ & (\led_flash_cnt[366][2]~32007\ $ (GND))) # (!\led_flash_cnt[366][3]~q\ & (!\led_flash_cnt[366][2]~32007\ & VCC))
-- \led_flash_cnt[366][3]~32009\ = CARRY((\led_flash_cnt[366][3]~q\ & !\led_flash_cnt[366][2]~32007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[366][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[366][2]~32007\,
	combout => \led_flash_cnt[366][3]~32008_combout\,
	cout => \led_flash_cnt[366][3]~32009\);

-- Location: FF_X70_Y37_N5
\led_flash_cnt[366][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[366][3]~32008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[366][3]~q\);

-- Location: LCCOMB_X70_Y37_N6
\led_flash_cnt[366][4]~32010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[366][4]~32010_combout\ = (\led_flash_cnt[366][4]~q\ & (!\led_flash_cnt[366][3]~32009\)) # (!\led_flash_cnt[366][4]~q\ & ((\led_flash_cnt[366][3]~32009\) # (GND)))
-- \led_flash_cnt[366][4]~32011\ = CARRY((!\led_flash_cnt[366][3]~32009\) # (!\led_flash_cnt[366][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[366][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[366][3]~32009\,
	combout => \led_flash_cnt[366][4]~32010_combout\,
	cout => \led_flash_cnt[366][4]~32011\);

-- Location: FF_X70_Y37_N7
\led_flash_cnt[366][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[366][4]~32010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[366][4]~q\);

-- Location: LCCOMB_X70_Y37_N8
\led_flash_cnt[366][5]~32012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[366][5]~32012_combout\ = (\led_flash_cnt[366][5]~q\ & (\led_flash_cnt[366][4]~32011\ $ (GND))) # (!\led_flash_cnt[366][5]~q\ & (!\led_flash_cnt[366][4]~32011\ & VCC))
-- \led_flash_cnt[366][5]~32013\ = CARRY((\led_flash_cnt[366][5]~q\ & !\led_flash_cnt[366][4]~32011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[366][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[366][4]~32011\,
	combout => \led_flash_cnt[366][5]~32012_combout\,
	cout => \led_flash_cnt[366][5]~32013\);

-- Location: FF_X70_Y37_N9
\led_flash_cnt[366][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[366][5]~32012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[366][5]~q\);

-- Location: LCCOMB_X70_Y37_N10
\led_flash_cnt[366][6]~32014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[366][6]~32014_combout\ = (\led_flash_cnt[366][6]~q\ & (!\led_flash_cnt[366][5]~32013\)) # (!\led_flash_cnt[366][6]~q\ & ((\led_flash_cnt[366][5]~32013\) # (GND)))
-- \led_flash_cnt[366][6]~32015\ = CARRY((!\led_flash_cnt[366][5]~32013\) # (!\led_flash_cnt[366][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[366][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[366][5]~32013\,
	combout => \led_flash_cnt[366][6]~32014_combout\,
	cout => \led_flash_cnt[366][6]~32015\);

-- Location: FF_X70_Y37_N11
\led_flash_cnt[366][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[366][6]~32014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[366][6]~q\);

-- Location: LCCOMB_X70_Y37_N12
\led_flash_cnt[366][7]~32016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[366][7]~32016_combout\ = \led_flash_cnt[366][6]~32015\ $ (!\led_flash_cnt[366][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[366][7]~q\,
	cin => \led_flash_cnt[366][6]~32015\,
	combout => \led_flash_cnt[366][7]~32016_combout\);

-- Location: FF_X70_Y37_N13
\led_flash_cnt[366][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[366][7]~32016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[366][7]~q\);

-- Location: LCCOMB_X70_Y37_N30
\WideAnd366~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd366~0_combout\ = (\led_flash_cnt[366][4]~q\ & (\led_flash_cnt[366][1]~q\ & (\led_flash_cnt[366][3]~q\ & \led_flash_cnt[366][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[366][4]~q\,
	datab => \led_flash_cnt[366][1]~q\,
	datac => \led_flash_cnt[366][3]~q\,
	datad => \led_flash_cnt[366][2]~q\,
	combout => \WideAnd366~0_combout\);

-- Location: LCCOMB_X71_Y37_N4
\WideAnd366~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd366~1_combout\ = (\led_flash_cnt[366][6]~q\ & \led_flash_cnt[366][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[366][6]~q\,
	datad => \led_flash_cnt[366][5]~q\,
	combout => \WideAnd366~1_combout\);

-- Location: LCCOMB_X71_Y37_N8
WideAnd366 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd366~combout\ = (\led_flash_cnt[366][7]~q\ & (\WideAnd366~0_combout\ & (\WideAnd366~1_combout\ & \led_flash_cnt[366][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[366][7]~q\,
	datab => \WideAnd366~0_combout\,
	datac => \WideAnd366~1_combout\,
	datad => \led_flash_cnt[366][0]~q\,
	combout => \WideAnd366~combout\);

-- Location: FF_X71_Y37_N9
\led_flash_cnt_ands[366]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd366~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(366));

-- Location: LCCOMB_X66_Y39_N2
\led_flash_cnt[362][0]~81002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[362][0]~81002_combout\ = !\led_flash_cnt[362][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[362][0]~q\,
	combout => \led_flash_cnt[362][0]~81002_combout\);

-- Location: FF_X66_Y39_N3
\led_flash_cnt[362][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[362][0]~81002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[362][0]~q\);

-- Location: LCCOMB_X65_Y39_N4
\led_flash_cnt[362][1]~31948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[362][1]~31948_combout\ = (\led_flash_cnt[362][0]~q\ & (\led_flash_cnt[362][1]~q\ $ (VCC))) # (!\led_flash_cnt[362][0]~q\ & (\led_flash_cnt[362][1]~q\ & VCC))
-- \led_flash_cnt[362][1]~31949\ = CARRY((\led_flash_cnt[362][0]~q\ & \led_flash_cnt[362][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[362][0]~q\,
	datab => \led_flash_cnt[362][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[362][1]~31948_combout\,
	cout => \led_flash_cnt[362][1]~31949\);

-- Location: FF_X65_Y39_N5
\led_flash_cnt[362][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[362][1]~31948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[362][1]~q\);

-- Location: LCCOMB_X65_Y39_N6
\led_flash_cnt[362][2]~31950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[362][2]~31950_combout\ = (\led_flash_cnt[362][2]~q\ & (!\led_flash_cnt[362][1]~31949\)) # (!\led_flash_cnt[362][2]~q\ & ((\led_flash_cnt[362][1]~31949\) # (GND)))
-- \led_flash_cnt[362][2]~31951\ = CARRY((!\led_flash_cnt[362][1]~31949\) # (!\led_flash_cnt[362][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[362][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[362][1]~31949\,
	combout => \led_flash_cnt[362][2]~31950_combout\,
	cout => \led_flash_cnt[362][2]~31951\);

-- Location: FF_X65_Y39_N7
\led_flash_cnt[362][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[362][2]~31950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[362][2]~q\);

-- Location: LCCOMB_X65_Y39_N8
\led_flash_cnt[362][3]~31952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[362][3]~31952_combout\ = (\led_flash_cnt[362][3]~q\ & (\led_flash_cnt[362][2]~31951\ $ (GND))) # (!\led_flash_cnt[362][3]~q\ & (!\led_flash_cnt[362][2]~31951\ & VCC))
-- \led_flash_cnt[362][3]~31953\ = CARRY((\led_flash_cnt[362][3]~q\ & !\led_flash_cnt[362][2]~31951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[362][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[362][2]~31951\,
	combout => \led_flash_cnt[362][3]~31952_combout\,
	cout => \led_flash_cnt[362][3]~31953\);

-- Location: FF_X65_Y39_N9
\led_flash_cnt[362][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[362][3]~31952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[362][3]~q\);

-- Location: LCCOMB_X65_Y39_N10
\led_flash_cnt[362][4]~31954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[362][4]~31954_combout\ = (\led_flash_cnt[362][4]~q\ & (!\led_flash_cnt[362][3]~31953\)) # (!\led_flash_cnt[362][4]~q\ & ((\led_flash_cnt[362][3]~31953\) # (GND)))
-- \led_flash_cnt[362][4]~31955\ = CARRY((!\led_flash_cnt[362][3]~31953\) # (!\led_flash_cnt[362][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[362][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[362][3]~31953\,
	combout => \led_flash_cnt[362][4]~31954_combout\,
	cout => \led_flash_cnt[362][4]~31955\);

-- Location: FF_X65_Y39_N11
\led_flash_cnt[362][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[362][4]~31954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[362][4]~q\);

-- Location: LCCOMB_X65_Y39_N0
\WideAnd362~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd362~0_combout\ = (\led_flash_cnt[362][4]~q\ & (\led_flash_cnt[362][3]~q\ & (\led_flash_cnt[362][1]~q\ & \led_flash_cnt[362][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[362][4]~q\,
	datab => \led_flash_cnt[362][3]~q\,
	datac => \led_flash_cnt[362][1]~q\,
	datad => \led_flash_cnt[362][2]~q\,
	combout => \WideAnd362~0_combout\);

-- Location: LCCOMB_X65_Y39_N12
\led_flash_cnt[362][5]~31956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[362][5]~31956_combout\ = (\led_flash_cnt[362][5]~q\ & (\led_flash_cnt[362][4]~31955\ $ (GND))) # (!\led_flash_cnt[362][5]~q\ & (!\led_flash_cnt[362][4]~31955\ & VCC))
-- \led_flash_cnt[362][5]~31957\ = CARRY((\led_flash_cnt[362][5]~q\ & !\led_flash_cnt[362][4]~31955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[362][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[362][4]~31955\,
	combout => \led_flash_cnt[362][5]~31956_combout\,
	cout => \led_flash_cnt[362][5]~31957\);

-- Location: FF_X65_Y39_N13
\led_flash_cnt[362][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[362][5]~31956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[362][5]~q\);

-- Location: LCCOMB_X65_Y39_N14
\led_flash_cnt[362][6]~31958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[362][6]~31958_combout\ = (\led_flash_cnt[362][6]~q\ & (!\led_flash_cnt[362][5]~31957\)) # (!\led_flash_cnt[362][6]~q\ & ((\led_flash_cnt[362][5]~31957\) # (GND)))
-- \led_flash_cnt[362][6]~31959\ = CARRY((!\led_flash_cnt[362][5]~31957\) # (!\led_flash_cnt[362][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[362][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[362][5]~31957\,
	combout => \led_flash_cnt[362][6]~31958_combout\,
	cout => \led_flash_cnt[362][6]~31959\);

-- Location: FF_X65_Y39_N15
\led_flash_cnt[362][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[362][6]~31958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[362][6]~q\);

-- Location: LCCOMB_X66_Y39_N24
\WideAnd362~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd362~1_combout\ = (\led_flash_cnt[362][6]~q\ & \led_flash_cnt[362][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[362][6]~q\,
	datad => \led_flash_cnt[362][5]~q\,
	combout => \WideAnd362~1_combout\);

-- Location: LCCOMB_X65_Y39_N16
\led_flash_cnt[362][7]~31960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[362][7]~31960_combout\ = \led_flash_cnt[362][6]~31959\ $ (!\led_flash_cnt[362][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[362][7]~q\,
	cin => \led_flash_cnt[362][6]~31959\,
	combout => \led_flash_cnt[362][7]~31960_combout\);

-- Location: FF_X65_Y39_N17
\led_flash_cnt[362][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[362][7]~31960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[362][7]~q\);

-- Location: LCCOMB_X66_Y39_N10
WideAnd362 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd362~combout\ = (\WideAnd362~0_combout\ & (\WideAnd362~1_combout\ & (\led_flash_cnt[362][7]~q\ & \led_flash_cnt[362][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd362~0_combout\,
	datab => \WideAnd362~1_combout\,
	datac => \led_flash_cnt[362][7]~q\,
	datad => \led_flash_cnt[362][0]~q\,
	combout => \WideAnd362~combout\);

-- Location: FF_X66_Y39_N11
\led_flash_cnt_ands[362]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd362~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(362));

-- Location: LCCOMB_X66_Y39_N16
\led_flash_cnt[361][0]~81001\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[361][0]~81001_combout\ = !\led_flash_cnt[361][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[361][0]~q\,
	combout => \led_flash_cnt[361][0]~81001_combout\);

-- Location: FF_X66_Y39_N17
\led_flash_cnt[361][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[361][0]~81001_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[361][0]~q\);

-- Location: LCCOMB_X66_Y38_N2
\led_flash_cnt[361][1]~31934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[361][1]~31934_combout\ = (\led_flash_cnt[361][0]~q\ & (\led_flash_cnt[361][1]~q\ $ (VCC))) # (!\led_flash_cnt[361][0]~q\ & (\led_flash_cnt[361][1]~q\ & VCC))
-- \led_flash_cnt[361][1]~31935\ = CARRY((\led_flash_cnt[361][0]~q\ & \led_flash_cnt[361][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[361][0]~q\,
	datab => \led_flash_cnt[361][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[361][1]~31934_combout\,
	cout => \led_flash_cnt[361][1]~31935\);

-- Location: FF_X66_Y38_N3
\led_flash_cnt[361][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[361][1]~31934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[361][1]~q\);

-- Location: LCCOMB_X66_Y38_N4
\led_flash_cnt[361][2]~31936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[361][2]~31936_combout\ = (\led_flash_cnt[361][2]~q\ & (!\led_flash_cnt[361][1]~31935\)) # (!\led_flash_cnt[361][2]~q\ & ((\led_flash_cnt[361][1]~31935\) # (GND)))
-- \led_flash_cnt[361][2]~31937\ = CARRY((!\led_flash_cnt[361][1]~31935\) # (!\led_flash_cnt[361][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[361][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[361][1]~31935\,
	combout => \led_flash_cnt[361][2]~31936_combout\,
	cout => \led_flash_cnt[361][2]~31937\);

-- Location: FF_X66_Y38_N5
\led_flash_cnt[361][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[361][2]~31936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[361][2]~q\);

-- Location: LCCOMB_X66_Y38_N6
\led_flash_cnt[361][3]~31938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[361][3]~31938_combout\ = (\led_flash_cnt[361][3]~q\ & (\led_flash_cnt[361][2]~31937\ $ (GND))) # (!\led_flash_cnt[361][3]~q\ & (!\led_flash_cnt[361][2]~31937\ & VCC))
-- \led_flash_cnt[361][3]~31939\ = CARRY((\led_flash_cnt[361][3]~q\ & !\led_flash_cnt[361][2]~31937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[361][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[361][2]~31937\,
	combout => \led_flash_cnt[361][3]~31938_combout\,
	cout => \led_flash_cnt[361][3]~31939\);

-- Location: FF_X66_Y38_N7
\led_flash_cnt[361][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[361][3]~31938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[361][3]~q\);

-- Location: LCCOMB_X66_Y38_N8
\led_flash_cnt[361][4]~31940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[361][4]~31940_combout\ = (\led_flash_cnt[361][4]~q\ & (!\led_flash_cnt[361][3]~31939\)) # (!\led_flash_cnt[361][4]~q\ & ((\led_flash_cnt[361][3]~31939\) # (GND)))
-- \led_flash_cnt[361][4]~31941\ = CARRY((!\led_flash_cnt[361][3]~31939\) # (!\led_flash_cnt[361][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[361][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[361][3]~31939\,
	combout => \led_flash_cnt[361][4]~31940_combout\,
	cout => \led_flash_cnt[361][4]~31941\);

-- Location: FF_X66_Y38_N9
\led_flash_cnt[361][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[361][4]~31940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[361][4]~q\);

-- Location: LCCOMB_X66_Y38_N10
\led_flash_cnt[361][5]~31942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[361][5]~31942_combout\ = (\led_flash_cnt[361][5]~q\ & (\led_flash_cnt[361][4]~31941\ $ (GND))) # (!\led_flash_cnt[361][5]~q\ & (!\led_flash_cnt[361][4]~31941\ & VCC))
-- \led_flash_cnt[361][5]~31943\ = CARRY((\led_flash_cnt[361][5]~q\ & !\led_flash_cnt[361][4]~31941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[361][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[361][4]~31941\,
	combout => \led_flash_cnt[361][5]~31942_combout\,
	cout => \led_flash_cnt[361][5]~31943\);

-- Location: FF_X66_Y38_N11
\led_flash_cnt[361][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[361][5]~31942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[361][5]~q\);

-- Location: LCCOMB_X66_Y38_N12
\led_flash_cnt[361][6]~31944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[361][6]~31944_combout\ = (\led_flash_cnt[361][6]~q\ & (!\led_flash_cnt[361][5]~31943\)) # (!\led_flash_cnt[361][6]~q\ & ((\led_flash_cnt[361][5]~31943\) # (GND)))
-- \led_flash_cnt[361][6]~31945\ = CARRY((!\led_flash_cnt[361][5]~31943\) # (!\led_flash_cnt[361][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[361][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[361][5]~31943\,
	combout => \led_flash_cnt[361][6]~31944_combout\,
	cout => \led_flash_cnt[361][6]~31945\);

-- Location: FF_X66_Y38_N13
\led_flash_cnt[361][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[361][6]~31944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[361][6]~q\);

-- Location: LCCOMB_X66_Y38_N14
\led_flash_cnt[361][7]~31946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[361][7]~31946_combout\ = \led_flash_cnt[361][7]~q\ $ (!\led_flash_cnt[361][6]~31945\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[361][7]~q\,
	cin => \led_flash_cnt[361][6]~31945\,
	combout => \led_flash_cnt[361][7]~31946_combout\);

-- Location: FF_X66_Y38_N15
\led_flash_cnt[361][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[361][7]~31946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[361][7]~q\);

-- Location: LCCOMB_X66_Y38_N0
\WideAnd361~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd361~0_combout\ = (\led_flash_cnt[361][3]~q\ & (\led_flash_cnt[361][4]~q\ & (\led_flash_cnt[361][2]~q\ & \led_flash_cnt[361][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[361][3]~q\,
	datab => \led_flash_cnt[361][4]~q\,
	datac => \led_flash_cnt[361][2]~q\,
	datad => \led_flash_cnt[361][1]~q\,
	combout => \WideAnd361~0_combout\);

-- Location: LCCOMB_X66_Y39_N12
\WideAnd361~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd361~1_combout\ = (\led_flash_cnt[361][5]~q\ & \led_flash_cnt[361][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[361][5]~q\,
	datad => \led_flash_cnt[361][6]~q\,
	combout => \WideAnd361~1_combout\);

-- Location: LCCOMB_X66_Y39_N28
WideAnd361 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd361~combout\ = (\led_flash_cnt[361][7]~q\ & (\led_flash_cnt[361][0]~q\ & (\WideAnd361~0_combout\ & \WideAnd361~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[361][7]~q\,
	datab => \led_flash_cnt[361][0]~q\,
	datac => \WideAnd361~0_combout\,
	datad => \WideAnd361~1_combout\,
	combout => \WideAnd361~combout\);

-- Location: FF_X66_Y39_N29
\led_flash_cnt_ands[361]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd361~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(361));

-- Location: LCCOMB_X66_Y39_N6
\led_flash_cnt[363][0]~81003\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[363][0]~81003_combout\ = !\led_flash_cnt[363][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[363][0]~q\,
	combout => \led_flash_cnt[363][0]~81003_combout\);

-- Location: FF_X66_Y39_N7
\led_flash_cnt[363][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[363][0]~81003_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[363][0]~q\);

-- Location: LCCOMB_X67_Y39_N2
\led_flash_cnt[363][1]~31962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[363][1]~31962_combout\ = (\led_flash_cnt[363][0]~q\ & (\led_flash_cnt[363][1]~q\ $ (VCC))) # (!\led_flash_cnt[363][0]~q\ & (\led_flash_cnt[363][1]~q\ & VCC))
-- \led_flash_cnt[363][1]~31963\ = CARRY((\led_flash_cnt[363][0]~q\ & \led_flash_cnt[363][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[363][0]~q\,
	datab => \led_flash_cnt[363][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[363][1]~31962_combout\,
	cout => \led_flash_cnt[363][1]~31963\);

-- Location: FF_X67_Y39_N3
\led_flash_cnt[363][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[363][1]~31962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[363][1]~q\);

-- Location: LCCOMB_X67_Y39_N4
\led_flash_cnt[363][2]~31964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[363][2]~31964_combout\ = (\led_flash_cnt[363][2]~q\ & (!\led_flash_cnt[363][1]~31963\)) # (!\led_flash_cnt[363][2]~q\ & ((\led_flash_cnt[363][1]~31963\) # (GND)))
-- \led_flash_cnt[363][2]~31965\ = CARRY((!\led_flash_cnt[363][1]~31963\) # (!\led_flash_cnt[363][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[363][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[363][1]~31963\,
	combout => \led_flash_cnt[363][2]~31964_combout\,
	cout => \led_flash_cnt[363][2]~31965\);

-- Location: FF_X67_Y39_N5
\led_flash_cnt[363][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[363][2]~31964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[363][2]~q\);

-- Location: LCCOMB_X67_Y39_N6
\led_flash_cnt[363][3]~31966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[363][3]~31966_combout\ = (\led_flash_cnt[363][3]~q\ & (\led_flash_cnt[363][2]~31965\ $ (GND))) # (!\led_flash_cnt[363][3]~q\ & (!\led_flash_cnt[363][2]~31965\ & VCC))
-- \led_flash_cnt[363][3]~31967\ = CARRY((\led_flash_cnt[363][3]~q\ & !\led_flash_cnt[363][2]~31965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[363][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[363][2]~31965\,
	combout => \led_flash_cnt[363][3]~31966_combout\,
	cout => \led_flash_cnt[363][3]~31967\);

-- Location: FF_X67_Y39_N7
\led_flash_cnt[363][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[363][3]~31966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[363][3]~q\);

-- Location: LCCOMB_X67_Y39_N8
\led_flash_cnt[363][4]~31968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[363][4]~31968_combout\ = (\led_flash_cnt[363][4]~q\ & (!\led_flash_cnt[363][3]~31967\)) # (!\led_flash_cnt[363][4]~q\ & ((\led_flash_cnt[363][3]~31967\) # (GND)))
-- \led_flash_cnt[363][4]~31969\ = CARRY((!\led_flash_cnt[363][3]~31967\) # (!\led_flash_cnt[363][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[363][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[363][3]~31967\,
	combout => \led_flash_cnt[363][4]~31968_combout\,
	cout => \led_flash_cnt[363][4]~31969\);

-- Location: FF_X67_Y39_N9
\led_flash_cnt[363][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[363][4]~31968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[363][4]~q\);

-- Location: LCCOMB_X67_Y39_N10
\led_flash_cnt[363][5]~31970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[363][5]~31970_combout\ = (\led_flash_cnt[363][5]~q\ & (\led_flash_cnt[363][4]~31969\ $ (GND))) # (!\led_flash_cnt[363][5]~q\ & (!\led_flash_cnt[363][4]~31969\ & VCC))
-- \led_flash_cnt[363][5]~31971\ = CARRY((\led_flash_cnt[363][5]~q\ & !\led_flash_cnt[363][4]~31969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[363][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[363][4]~31969\,
	combout => \led_flash_cnt[363][5]~31970_combout\,
	cout => \led_flash_cnt[363][5]~31971\);

-- Location: FF_X67_Y39_N11
\led_flash_cnt[363][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[363][5]~31970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[363][5]~q\);

-- Location: LCCOMB_X67_Y39_N12
\led_flash_cnt[363][6]~31972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[363][6]~31972_combout\ = (\led_flash_cnt[363][6]~q\ & (!\led_flash_cnt[363][5]~31971\)) # (!\led_flash_cnt[363][6]~q\ & ((\led_flash_cnt[363][5]~31971\) # (GND)))
-- \led_flash_cnt[363][6]~31973\ = CARRY((!\led_flash_cnt[363][5]~31971\) # (!\led_flash_cnt[363][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[363][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[363][5]~31971\,
	combout => \led_flash_cnt[363][6]~31972_combout\,
	cout => \led_flash_cnt[363][6]~31973\);

-- Location: FF_X67_Y39_N13
\led_flash_cnt[363][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[363][6]~31972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[363][6]~q\);

-- Location: LCCOMB_X66_Y39_N26
\WideAnd363~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd363~1_combout\ = (\led_flash_cnt[363][6]~q\ & \led_flash_cnt[363][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[363][6]~q\,
	datac => \led_flash_cnt[363][5]~q\,
	combout => \WideAnd363~1_combout\);

-- Location: LCCOMB_X67_Y39_N0
\WideAnd363~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd363~0_combout\ = (\led_flash_cnt[363][3]~q\ & (\led_flash_cnt[363][4]~q\ & (\led_flash_cnt[363][2]~q\ & \led_flash_cnt[363][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[363][3]~q\,
	datab => \led_flash_cnt[363][4]~q\,
	datac => \led_flash_cnt[363][2]~q\,
	datad => \led_flash_cnt[363][1]~q\,
	combout => \WideAnd363~0_combout\);

-- Location: LCCOMB_X67_Y39_N14
\led_flash_cnt[363][7]~31974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[363][7]~31974_combout\ = \led_flash_cnt[363][7]~q\ $ (!\led_flash_cnt[363][6]~31973\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[363][7]~q\,
	cin => \led_flash_cnt[363][6]~31973\,
	combout => \led_flash_cnt[363][7]~31974_combout\);

-- Location: FF_X67_Y39_N15
\led_flash_cnt[363][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[363][7]~31974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[363][7]~q\);

-- Location: LCCOMB_X66_Y39_N30
WideAnd363 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd363~combout\ = (\WideAnd363~1_combout\ & (\WideAnd363~0_combout\ & (\led_flash_cnt[363][7]~q\ & \led_flash_cnt[363][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd363~1_combout\,
	datab => \WideAnd363~0_combout\,
	datac => \led_flash_cnt[363][7]~q\,
	datad => \led_flash_cnt[363][0]~q\,
	combout => \WideAnd363~combout\);

-- Location: FF_X66_Y39_N31
\led_flash_cnt_ands[363]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd363~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(363));

-- Location: LCCOMB_X66_Y39_N0
\led_flash_cnt[360][0]~81000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[360][0]~81000_combout\ = !\led_flash_cnt[360][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[360][0]~q\,
	combout => \led_flash_cnt[360][0]~81000_combout\);

-- Location: FF_X66_Y39_N1
\led_flash_cnt[360][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[360][0]~81000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[360][0]~q\);

-- Location: LCCOMB_X69_Y39_N18
\led_flash_cnt[360][1]~31920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[360][1]~31920_combout\ = (\led_flash_cnt[360][0]~q\ & (\led_flash_cnt[360][1]~q\ $ (VCC))) # (!\led_flash_cnt[360][0]~q\ & (\led_flash_cnt[360][1]~q\ & VCC))
-- \led_flash_cnt[360][1]~31921\ = CARRY((\led_flash_cnt[360][0]~q\ & \led_flash_cnt[360][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[360][0]~q\,
	datab => \led_flash_cnt[360][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[360][1]~31920_combout\,
	cout => \led_flash_cnt[360][1]~31921\);

-- Location: FF_X69_Y39_N19
\led_flash_cnt[360][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[360][1]~31920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[360][1]~q\);

-- Location: LCCOMB_X69_Y39_N20
\led_flash_cnt[360][2]~31922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[360][2]~31922_combout\ = (\led_flash_cnt[360][2]~q\ & (!\led_flash_cnt[360][1]~31921\)) # (!\led_flash_cnt[360][2]~q\ & ((\led_flash_cnt[360][1]~31921\) # (GND)))
-- \led_flash_cnt[360][2]~31923\ = CARRY((!\led_flash_cnt[360][1]~31921\) # (!\led_flash_cnt[360][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[360][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[360][1]~31921\,
	combout => \led_flash_cnt[360][2]~31922_combout\,
	cout => \led_flash_cnt[360][2]~31923\);

-- Location: FF_X69_Y39_N21
\led_flash_cnt[360][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[360][2]~31922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[360][2]~q\);

-- Location: LCCOMB_X69_Y39_N22
\led_flash_cnt[360][3]~31924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[360][3]~31924_combout\ = (\led_flash_cnt[360][3]~q\ & (\led_flash_cnt[360][2]~31923\ $ (GND))) # (!\led_flash_cnt[360][3]~q\ & (!\led_flash_cnt[360][2]~31923\ & VCC))
-- \led_flash_cnt[360][3]~31925\ = CARRY((\led_flash_cnt[360][3]~q\ & !\led_flash_cnt[360][2]~31923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[360][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[360][2]~31923\,
	combout => \led_flash_cnt[360][3]~31924_combout\,
	cout => \led_flash_cnt[360][3]~31925\);

-- Location: FF_X69_Y39_N23
\led_flash_cnt[360][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[360][3]~31924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[360][3]~q\);

-- Location: LCCOMB_X69_Y39_N24
\led_flash_cnt[360][4]~31926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[360][4]~31926_combout\ = (\led_flash_cnt[360][4]~q\ & (!\led_flash_cnt[360][3]~31925\)) # (!\led_flash_cnt[360][4]~q\ & ((\led_flash_cnt[360][3]~31925\) # (GND)))
-- \led_flash_cnt[360][4]~31927\ = CARRY((!\led_flash_cnt[360][3]~31925\) # (!\led_flash_cnt[360][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[360][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[360][3]~31925\,
	combout => \led_flash_cnt[360][4]~31926_combout\,
	cout => \led_flash_cnt[360][4]~31927\);

-- Location: FF_X69_Y39_N25
\led_flash_cnt[360][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[360][4]~31926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[360][4]~q\);

-- Location: LCCOMB_X69_Y39_N26
\led_flash_cnt[360][5]~31928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[360][5]~31928_combout\ = (\led_flash_cnt[360][5]~q\ & (\led_flash_cnt[360][4]~31927\ $ (GND))) # (!\led_flash_cnt[360][5]~q\ & (!\led_flash_cnt[360][4]~31927\ & VCC))
-- \led_flash_cnt[360][5]~31929\ = CARRY((\led_flash_cnt[360][5]~q\ & !\led_flash_cnt[360][4]~31927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[360][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[360][4]~31927\,
	combout => \led_flash_cnt[360][5]~31928_combout\,
	cout => \led_flash_cnt[360][5]~31929\);

-- Location: FF_X69_Y39_N27
\led_flash_cnt[360][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[360][5]~31928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[360][5]~q\);

-- Location: LCCOMB_X69_Y39_N28
\led_flash_cnt[360][6]~31930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[360][6]~31930_combout\ = (\led_flash_cnt[360][6]~q\ & (!\led_flash_cnt[360][5]~31929\)) # (!\led_flash_cnt[360][6]~q\ & ((\led_flash_cnt[360][5]~31929\) # (GND)))
-- \led_flash_cnt[360][6]~31931\ = CARRY((!\led_flash_cnt[360][5]~31929\) # (!\led_flash_cnt[360][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[360][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[360][5]~31929\,
	combout => \led_flash_cnt[360][6]~31930_combout\,
	cout => \led_flash_cnt[360][6]~31931\);

-- Location: FF_X69_Y39_N29
\led_flash_cnt[360][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[360][6]~31930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[360][6]~q\);

-- Location: LCCOMB_X66_Y39_N22
\WideAnd360~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd360~1_combout\ = (\led_flash_cnt[360][6]~q\ & \led_flash_cnt[360][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[360][6]~q\,
	datad => \led_flash_cnt[360][5]~q\,
	combout => \WideAnd360~1_combout\);

-- Location: LCCOMB_X69_Y39_N16
\WideAnd360~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd360~0_combout\ = (\led_flash_cnt[360][4]~q\ & (\led_flash_cnt[360][2]~q\ & (\led_flash_cnt[360][3]~q\ & \led_flash_cnt[360][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[360][4]~q\,
	datab => \led_flash_cnt[360][2]~q\,
	datac => \led_flash_cnt[360][3]~q\,
	datad => \led_flash_cnt[360][1]~q\,
	combout => \WideAnd360~0_combout\);

-- Location: LCCOMB_X69_Y39_N30
\led_flash_cnt[360][7]~31932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[360][7]~31932_combout\ = \led_flash_cnt[360][7]~q\ $ (!\led_flash_cnt[360][6]~31931\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[360][7]~q\,
	cin => \led_flash_cnt[360][6]~31931\,
	combout => \led_flash_cnt[360][7]~31932_combout\);

-- Location: FF_X69_Y39_N31
\led_flash_cnt[360][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[360][7]~31932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[360][7]~q\);

-- Location: LCCOMB_X66_Y39_N20
WideAnd360 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd360~combout\ = (\WideAnd360~1_combout\ & (\led_flash_cnt[360][0]~q\ & (\WideAnd360~0_combout\ & \led_flash_cnt[360][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd360~1_combout\,
	datab => \led_flash_cnt[360][0]~q\,
	datac => \WideAnd360~0_combout\,
	datad => \led_flash_cnt[360][7]~q\,
	combout => \WideAnd360~combout\);

-- Location: FF_X66_Y39_N21
\led_flash_cnt_ands[360]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd360~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(360));

-- Location: LCCOMB_X66_Y39_N18
\WideAnd3885~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3885~0_combout\ = (led_flash_cnt_ands(362) & (led_flash_cnt_ands(361) & (led_flash_cnt_ands(363) & led_flash_cnt_ands(360))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(362),
	datab => led_flash_cnt_ands(361),
	datac => led_flash_cnt_ands(363),
	datad => led_flash_cnt_ands(360),
	combout => \WideAnd3885~0_combout\);

-- Location: LCCOMB_X71_Y37_N28
\led_flash_cnt[367][0]~81007\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[367][0]~81007_combout\ = !\led_flash_cnt[367][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[367][0]~q\,
	combout => \led_flash_cnt[367][0]~81007_combout\);

-- Location: FF_X71_Y37_N29
\led_flash_cnt[367][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[367][0]~81007_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[367][0]~q\);

-- Location: LCCOMB_X71_Y37_N10
\led_flash_cnt[367][1]~32018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[367][1]~32018_combout\ = (\led_flash_cnt[367][1]~q\ & (\led_flash_cnt[367][0]~q\ $ (VCC))) # (!\led_flash_cnt[367][1]~q\ & (\led_flash_cnt[367][0]~q\ & VCC))
-- \led_flash_cnt[367][1]~32019\ = CARRY((\led_flash_cnt[367][1]~q\ & \led_flash_cnt[367][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[367][1]~q\,
	datab => \led_flash_cnt[367][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[367][1]~32018_combout\,
	cout => \led_flash_cnt[367][1]~32019\);

-- Location: FF_X71_Y37_N11
\led_flash_cnt[367][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[367][1]~32018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[367][1]~q\);

-- Location: LCCOMB_X71_Y37_N12
\led_flash_cnt[367][2]~32020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[367][2]~32020_combout\ = (\led_flash_cnt[367][2]~q\ & (!\led_flash_cnt[367][1]~32019\)) # (!\led_flash_cnt[367][2]~q\ & ((\led_flash_cnt[367][1]~32019\) # (GND)))
-- \led_flash_cnt[367][2]~32021\ = CARRY((!\led_flash_cnt[367][1]~32019\) # (!\led_flash_cnt[367][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[367][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[367][1]~32019\,
	combout => \led_flash_cnt[367][2]~32020_combout\,
	cout => \led_flash_cnt[367][2]~32021\);

-- Location: FF_X71_Y37_N13
\led_flash_cnt[367][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[367][2]~32020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[367][2]~q\);

-- Location: LCCOMB_X71_Y37_N14
\led_flash_cnt[367][3]~32022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[367][3]~32022_combout\ = (\led_flash_cnt[367][3]~q\ & (\led_flash_cnt[367][2]~32021\ $ (GND))) # (!\led_flash_cnt[367][3]~q\ & (!\led_flash_cnt[367][2]~32021\ & VCC))
-- \led_flash_cnt[367][3]~32023\ = CARRY((\led_flash_cnt[367][3]~q\ & !\led_flash_cnt[367][2]~32021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[367][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[367][2]~32021\,
	combout => \led_flash_cnt[367][3]~32022_combout\,
	cout => \led_flash_cnt[367][3]~32023\);

-- Location: FF_X71_Y37_N15
\led_flash_cnt[367][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[367][3]~32022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[367][3]~q\);

-- Location: LCCOMB_X71_Y37_N16
\led_flash_cnt[367][4]~32024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[367][4]~32024_combout\ = (\led_flash_cnt[367][4]~q\ & (!\led_flash_cnt[367][3]~32023\)) # (!\led_flash_cnt[367][4]~q\ & ((\led_flash_cnt[367][3]~32023\) # (GND)))
-- \led_flash_cnt[367][4]~32025\ = CARRY((!\led_flash_cnt[367][3]~32023\) # (!\led_flash_cnt[367][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[367][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[367][3]~32023\,
	combout => \led_flash_cnt[367][4]~32024_combout\,
	cout => \led_flash_cnt[367][4]~32025\);

-- Location: FF_X71_Y37_N17
\led_flash_cnt[367][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[367][4]~32024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[367][4]~q\);

-- Location: LCCOMB_X71_Y37_N18
\led_flash_cnt[367][5]~32026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[367][5]~32026_combout\ = (\led_flash_cnt[367][5]~q\ & (\led_flash_cnt[367][4]~32025\ $ (GND))) # (!\led_flash_cnt[367][5]~q\ & (!\led_flash_cnt[367][4]~32025\ & VCC))
-- \led_flash_cnt[367][5]~32027\ = CARRY((\led_flash_cnt[367][5]~q\ & !\led_flash_cnt[367][4]~32025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[367][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[367][4]~32025\,
	combout => \led_flash_cnt[367][5]~32026_combout\,
	cout => \led_flash_cnt[367][5]~32027\);

-- Location: FF_X71_Y37_N19
\led_flash_cnt[367][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[367][5]~32026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[367][5]~q\);

-- Location: LCCOMB_X71_Y37_N20
\led_flash_cnt[367][6]~32028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[367][6]~32028_combout\ = (\led_flash_cnt[367][6]~q\ & (!\led_flash_cnt[367][5]~32027\)) # (!\led_flash_cnt[367][6]~q\ & ((\led_flash_cnt[367][5]~32027\) # (GND)))
-- \led_flash_cnt[367][6]~32029\ = CARRY((!\led_flash_cnt[367][5]~32027\) # (!\led_flash_cnt[367][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[367][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[367][5]~32027\,
	combout => \led_flash_cnt[367][6]~32028_combout\,
	cout => \led_flash_cnt[367][6]~32029\);

-- Location: FF_X71_Y37_N21
\led_flash_cnt[367][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[367][6]~32028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[367][6]~q\);

-- Location: LCCOMB_X71_Y37_N22
\led_flash_cnt[367][7]~32030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[367][7]~32030_combout\ = \led_flash_cnt[367][7]~q\ $ (!\led_flash_cnt[367][6]~32029\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[367][7]~q\,
	cin => \led_flash_cnt[367][6]~32029\,
	combout => \led_flash_cnt[367][7]~32030_combout\);

-- Location: FF_X71_Y37_N23
\led_flash_cnt[367][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[367][7]~32030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[367][7]~q\);

-- Location: LCCOMB_X71_Y37_N30
\WideAnd367~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd367~0_combout\ = (\led_flash_cnt[367][1]~q\ & (\led_flash_cnt[367][4]~q\ & (\led_flash_cnt[367][3]~q\ & \led_flash_cnt[367][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[367][1]~q\,
	datab => \led_flash_cnt[367][4]~q\,
	datac => \led_flash_cnt[367][3]~q\,
	datad => \led_flash_cnt[367][2]~q\,
	combout => \WideAnd367~0_combout\);

-- Location: LCCOMB_X71_Y37_N6
\WideAnd367~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd367~1_combout\ = (\led_flash_cnt[367][6]~q\ & \led_flash_cnt[367][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[367][6]~q\,
	datad => \led_flash_cnt[367][5]~q\,
	combout => \WideAnd367~1_combout\);

-- Location: LCCOMB_X71_Y37_N24
WideAnd367 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd367~combout\ = (\led_flash_cnt[367][7]~q\ & (\led_flash_cnt[367][0]~q\ & (\WideAnd367~0_combout\ & \WideAnd367~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[367][7]~q\,
	datab => \led_flash_cnt[367][0]~q\,
	datac => \WideAnd367~0_combout\,
	datad => \WideAnd367~1_combout\,
	combout => \WideAnd367~combout\);

-- Location: FF_X71_Y37_N25
\led_flash_cnt_ands[367]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd367~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(367));

-- Location: LCCOMB_X71_Y37_N26
WideAnd3885 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3885~combout\ = (\WideAnd3885~1_combout\ & (led_flash_cnt_ands(366) & (\WideAnd3885~0_combout\ & led_flash_cnt_ands(367))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3885~1_combout\,
	datab => led_flash_cnt_ands(366),
	datac => \WideAnd3885~0_combout\,
	datad => led_flash_cnt_ands(367),
	combout => \WideAnd3885~combout\);

-- Location: FF_X71_Y37_N27
\led_flash_cnt_ands_1[45]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3885~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(45));

-- Location: LCCOMB_X74_Y31_N14
\led_flash_cnt[356][0]~80996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[356][0]~80996_combout\ = !\led_flash_cnt[356][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[356][0]~q\,
	combout => \led_flash_cnt[356][0]~80996_combout\);

-- Location: FF_X74_Y31_N15
\led_flash_cnt[356][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[356][0]~80996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[356][0]~q\);

-- Location: LCCOMB_X75_Y31_N0
\led_flash_cnt[356][1]~31864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[356][1]~31864_combout\ = (\led_flash_cnt[356][0]~q\ & (\led_flash_cnt[356][1]~q\ $ (VCC))) # (!\led_flash_cnt[356][0]~q\ & (\led_flash_cnt[356][1]~q\ & VCC))
-- \led_flash_cnt[356][1]~31865\ = CARRY((\led_flash_cnt[356][0]~q\ & \led_flash_cnt[356][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[356][0]~q\,
	datab => \led_flash_cnt[356][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[356][1]~31864_combout\,
	cout => \led_flash_cnt[356][1]~31865\);

-- Location: FF_X75_Y31_N1
\led_flash_cnt[356][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[356][1]~31864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[356][1]~q\);

-- Location: LCCOMB_X75_Y31_N2
\led_flash_cnt[356][2]~31866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[356][2]~31866_combout\ = (\led_flash_cnt[356][2]~q\ & (!\led_flash_cnt[356][1]~31865\)) # (!\led_flash_cnt[356][2]~q\ & ((\led_flash_cnt[356][1]~31865\) # (GND)))
-- \led_flash_cnt[356][2]~31867\ = CARRY((!\led_flash_cnt[356][1]~31865\) # (!\led_flash_cnt[356][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[356][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[356][1]~31865\,
	combout => \led_flash_cnt[356][2]~31866_combout\,
	cout => \led_flash_cnt[356][2]~31867\);

-- Location: FF_X75_Y31_N3
\led_flash_cnt[356][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[356][2]~31866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[356][2]~q\);

-- Location: LCCOMB_X75_Y31_N4
\led_flash_cnt[356][3]~31868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[356][3]~31868_combout\ = (\led_flash_cnt[356][3]~q\ & (\led_flash_cnt[356][2]~31867\ $ (GND))) # (!\led_flash_cnt[356][3]~q\ & (!\led_flash_cnt[356][2]~31867\ & VCC))
-- \led_flash_cnt[356][3]~31869\ = CARRY((\led_flash_cnt[356][3]~q\ & !\led_flash_cnt[356][2]~31867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[356][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[356][2]~31867\,
	combout => \led_flash_cnt[356][3]~31868_combout\,
	cout => \led_flash_cnt[356][3]~31869\);

-- Location: FF_X75_Y31_N5
\led_flash_cnt[356][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[356][3]~31868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[356][3]~q\);

-- Location: LCCOMB_X75_Y31_N6
\led_flash_cnt[356][4]~31870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[356][4]~31870_combout\ = (\led_flash_cnt[356][4]~q\ & (!\led_flash_cnt[356][3]~31869\)) # (!\led_flash_cnt[356][4]~q\ & ((\led_flash_cnt[356][3]~31869\) # (GND)))
-- \led_flash_cnt[356][4]~31871\ = CARRY((!\led_flash_cnt[356][3]~31869\) # (!\led_flash_cnt[356][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[356][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[356][3]~31869\,
	combout => \led_flash_cnt[356][4]~31870_combout\,
	cout => \led_flash_cnt[356][4]~31871\);

-- Location: FF_X75_Y31_N7
\led_flash_cnt[356][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[356][4]~31870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[356][4]~q\);

-- Location: LCCOMB_X75_Y31_N8
\led_flash_cnt[356][5]~31872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[356][5]~31872_combout\ = (\led_flash_cnt[356][5]~q\ & (\led_flash_cnt[356][4]~31871\ $ (GND))) # (!\led_flash_cnt[356][5]~q\ & (!\led_flash_cnt[356][4]~31871\ & VCC))
-- \led_flash_cnt[356][5]~31873\ = CARRY((\led_flash_cnt[356][5]~q\ & !\led_flash_cnt[356][4]~31871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[356][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[356][4]~31871\,
	combout => \led_flash_cnt[356][5]~31872_combout\,
	cout => \led_flash_cnt[356][5]~31873\);

-- Location: FF_X75_Y31_N9
\led_flash_cnt[356][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[356][5]~31872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[356][5]~q\);

-- Location: LCCOMB_X75_Y31_N10
\led_flash_cnt[356][6]~31874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[356][6]~31874_combout\ = (\led_flash_cnt[356][6]~q\ & (!\led_flash_cnt[356][5]~31873\)) # (!\led_flash_cnt[356][6]~q\ & ((\led_flash_cnt[356][5]~31873\) # (GND)))
-- \led_flash_cnt[356][6]~31875\ = CARRY((!\led_flash_cnt[356][5]~31873\) # (!\led_flash_cnt[356][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[356][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[356][5]~31873\,
	combout => \led_flash_cnt[356][6]~31874_combout\,
	cout => \led_flash_cnt[356][6]~31875\);

-- Location: FF_X75_Y31_N11
\led_flash_cnt[356][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[356][6]~31874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[356][6]~q\);

-- Location: LCCOMB_X74_Y31_N30
\WideAnd356~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd356~1_combout\ = (\led_flash_cnt[356][6]~q\ & \led_flash_cnt[356][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[356][6]~q\,
	datac => \led_flash_cnt[356][5]~q\,
	combout => \WideAnd356~1_combout\);

-- Location: LCCOMB_X75_Y31_N12
\led_flash_cnt[356][7]~31876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[356][7]~31876_combout\ = \led_flash_cnt[356][6]~31875\ $ (!\led_flash_cnt[356][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[356][7]~q\,
	cin => \led_flash_cnt[356][6]~31875\,
	combout => \led_flash_cnt[356][7]~31876_combout\);

-- Location: FF_X75_Y31_N13
\led_flash_cnt[356][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[356][7]~31876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[356][7]~q\);

-- Location: LCCOMB_X75_Y31_N28
\WideAnd356~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd356~0_combout\ = (\led_flash_cnt[356][4]~q\ & (\led_flash_cnt[356][1]~q\ & (\led_flash_cnt[356][3]~q\ & \led_flash_cnt[356][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[356][4]~q\,
	datab => \led_flash_cnt[356][1]~q\,
	datac => \led_flash_cnt[356][3]~q\,
	datad => \led_flash_cnt[356][2]~q\,
	combout => \WideAnd356~0_combout\);

-- Location: LCCOMB_X74_Y31_N10
WideAnd356 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd356~combout\ = (\WideAnd356~1_combout\ & (\led_flash_cnt[356][0]~q\ & (\led_flash_cnt[356][7]~q\ & \WideAnd356~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd356~1_combout\,
	datab => \led_flash_cnt[356][0]~q\,
	datac => \led_flash_cnt[356][7]~q\,
	datad => \WideAnd356~0_combout\,
	combout => \WideAnd356~combout\);

-- Location: FF_X74_Y31_N11
\led_flash_cnt_ands[356]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd356~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(356));

-- Location: LCCOMB_X67_Y30_N30
\led_flash_cnt[357][0]~80997\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[357][0]~80997_combout\ = !\led_flash_cnt[357][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[357][0]~q\,
	combout => \led_flash_cnt[357][0]~80997_combout\);

-- Location: FF_X67_Y30_N31
\led_flash_cnt[357][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[357][0]~80997_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[357][0]~q\);

-- Location: LCCOMB_X69_Y30_N14
\led_flash_cnt[357][1]~31878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[357][1]~31878_combout\ = (\led_flash_cnt[357][0]~q\ & (\led_flash_cnt[357][1]~q\ $ (VCC))) # (!\led_flash_cnt[357][0]~q\ & (\led_flash_cnt[357][1]~q\ & VCC))
-- \led_flash_cnt[357][1]~31879\ = CARRY((\led_flash_cnt[357][0]~q\ & \led_flash_cnt[357][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[357][0]~q\,
	datab => \led_flash_cnt[357][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[357][1]~31878_combout\,
	cout => \led_flash_cnt[357][1]~31879\);

-- Location: FF_X69_Y30_N15
\led_flash_cnt[357][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[357][1]~31878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[357][1]~q\);

-- Location: LCCOMB_X69_Y30_N16
\led_flash_cnt[357][2]~31880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[357][2]~31880_combout\ = (\led_flash_cnt[357][2]~q\ & (!\led_flash_cnt[357][1]~31879\)) # (!\led_flash_cnt[357][2]~q\ & ((\led_flash_cnt[357][1]~31879\) # (GND)))
-- \led_flash_cnt[357][2]~31881\ = CARRY((!\led_flash_cnt[357][1]~31879\) # (!\led_flash_cnt[357][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[357][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[357][1]~31879\,
	combout => \led_flash_cnt[357][2]~31880_combout\,
	cout => \led_flash_cnt[357][2]~31881\);

-- Location: FF_X69_Y30_N17
\led_flash_cnt[357][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[357][2]~31880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[357][2]~q\);

-- Location: LCCOMB_X69_Y30_N18
\led_flash_cnt[357][3]~31882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[357][3]~31882_combout\ = (\led_flash_cnt[357][3]~q\ & (\led_flash_cnt[357][2]~31881\ $ (GND))) # (!\led_flash_cnt[357][3]~q\ & (!\led_flash_cnt[357][2]~31881\ & VCC))
-- \led_flash_cnt[357][3]~31883\ = CARRY((\led_flash_cnt[357][3]~q\ & !\led_flash_cnt[357][2]~31881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[357][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[357][2]~31881\,
	combout => \led_flash_cnt[357][3]~31882_combout\,
	cout => \led_flash_cnt[357][3]~31883\);

-- Location: FF_X69_Y30_N19
\led_flash_cnt[357][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[357][3]~31882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[357][3]~q\);

-- Location: LCCOMB_X69_Y30_N20
\led_flash_cnt[357][4]~31884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[357][4]~31884_combout\ = (\led_flash_cnt[357][4]~q\ & (!\led_flash_cnt[357][3]~31883\)) # (!\led_flash_cnt[357][4]~q\ & ((\led_flash_cnt[357][3]~31883\) # (GND)))
-- \led_flash_cnt[357][4]~31885\ = CARRY((!\led_flash_cnt[357][3]~31883\) # (!\led_flash_cnt[357][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[357][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[357][3]~31883\,
	combout => \led_flash_cnt[357][4]~31884_combout\,
	cout => \led_flash_cnt[357][4]~31885\);

-- Location: FF_X69_Y30_N21
\led_flash_cnt[357][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[357][4]~31884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[357][4]~q\);

-- Location: LCCOMB_X69_Y30_N22
\led_flash_cnt[357][5]~31886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[357][5]~31886_combout\ = (\led_flash_cnt[357][5]~q\ & (\led_flash_cnt[357][4]~31885\ $ (GND))) # (!\led_flash_cnt[357][5]~q\ & (!\led_flash_cnt[357][4]~31885\ & VCC))
-- \led_flash_cnt[357][5]~31887\ = CARRY((\led_flash_cnt[357][5]~q\ & !\led_flash_cnt[357][4]~31885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[357][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[357][4]~31885\,
	combout => \led_flash_cnt[357][5]~31886_combout\,
	cout => \led_flash_cnt[357][5]~31887\);

-- Location: FF_X69_Y30_N23
\led_flash_cnt[357][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[357][5]~31886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[357][5]~q\);

-- Location: LCCOMB_X69_Y30_N24
\led_flash_cnt[357][6]~31888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[357][6]~31888_combout\ = (\led_flash_cnt[357][6]~q\ & (!\led_flash_cnt[357][5]~31887\)) # (!\led_flash_cnt[357][6]~q\ & ((\led_flash_cnt[357][5]~31887\) # (GND)))
-- \led_flash_cnt[357][6]~31889\ = CARRY((!\led_flash_cnt[357][5]~31887\) # (!\led_flash_cnt[357][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[357][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[357][5]~31887\,
	combout => \led_flash_cnt[357][6]~31888_combout\,
	cout => \led_flash_cnt[357][6]~31889\);

-- Location: FF_X69_Y30_N25
\led_flash_cnt[357][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[357][6]~31888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[357][6]~q\);

-- Location: LCCOMB_X67_Y30_N24
\WideAnd357~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd357~1_combout\ = (\led_flash_cnt[357][6]~q\ & \led_flash_cnt[357][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[357][6]~q\,
	datad => \led_flash_cnt[357][5]~q\,
	combout => \WideAnd357~1_combout\);

-- Location: LCCOMB_X69_Y30_N26
\led_flash_cnt[357][7]~31890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[357][7]~31890_combout\ = \led_flash_cnt[357][7]~q\ $ (!\led_flash_cnt[357][6]~31889\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[357][7]~q\,
	cin => \led_flash_cnt[357][6]~31889\,
	combout => \led_flash_cnt[357][7]~31890_combout\);

-- Location: FF_X69_Y30_N27
\led_flash_cnt[357][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[357][7]~31890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[357][7]~q\);

-- Location: LCCOMB_X69_Y30_N28
\WideAnd357~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd357~0_combout\ = (\led_flash_cnt[357][2]~q\ & (\led_flash_cnt[357][4]~q\ & (\led_flash_cnt[357][1]~q\ & \led_flash_cnt[357][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[357][2]~q\,
	datab => \led_flash_cnt[357][4]~q\,
	datac => \led_flash_cnt[357][1]~q\,
	datad => \led_flash_cnt[357][3]~q\,
	combout => \WideAnd357~0_combout\);

-- Location: LCCOMB_X69_Y30_N30
WideAnd357 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd357~combout\ = (\led_flash_cnt[357][0]~q\ & (\WideAnd357~1_combout\ & (\led_flash_cnt[357][7]~q\ & \WideAnd357~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[357][0]~q\,
	datab => \WideAnd357~1_combout\,
	datac => \led_flash_cnt[357][7]~q\,
	datad => \WideAnd357~0_combout\,
	combout => \WideAnd357~combout\);

-- Location: FF_X69_Y30_N31
\led_flash_cnt_ands[357]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd357~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(357));

-- Location: LCCOMB_X72_Y31_N30
\WideAnd3884~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3884~1_combout\ = (led_flash_cnt_ands(356) & led_flash_cnt_ands(357))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(356),
	datad => led_flash_cnt_ands(357),
	combout => \WideAnd3884~1_combout\);

-- Location: LCCOMB_X72_Y31_N20
\led_flash_cnt[359][0]~80999\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[359][0]~80999_combout\ = !\led_flash_cnt[359][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[359][0]~q\,
	combout => \led_flash_cnt[359][0]~80999_combout\);

-- Location: FF_X72_Y31_N21
\led_flash_cnt[359][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[359][0]~80999_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[359][0]~q\);

-- Location: LCCOMB_X72_Y31_N6
\led_flash_cnt[359][1]~31906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[359][1]~31906_combout\ = (\led_flash_cnt[359][1]~q\ & (\led_flash_cnt[359][0]~q\ $ (VCC))) # (!\led_flash_cnt[359][1]~q\ & (\led_flash_cnt[359][0]~q\ & VCC))
-- \led_flash_cnt[359][1]~31907\ = CARRY((\led_flash_cnt[359][1]~q\ & \led_flash_cnt[359][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[359][1]~q\,
	datab => \led_flash_cnt[359][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[359][1]~31906_combout\,
	cout => \led_flash_cnt[359][1]~31907\);

-- Location: FF_X72_Y31_N7
\led_flash_cnt[359][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[359][1]~31906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[359][1]~q\);

-- Location: LCCOMB_X72_Y31_N8
\led_flash_cnt[359][2]~31908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[359][2]~31908_combout\ = (\led_flash_cnt[359][2]~q\ & (!\led_flash_cnt[359][1]~31907\)) # (!\led_flash_cnt[359][2]~q\ & ((\led_flash_cnt[359][1]~31907\) # (GND)))
-- \led_flash_cnt[359][2]~31909\ = CARRY((!\led_flash_cnt[359][1]~31907\) # (!\led_flash_cnt[359][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[359][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[359][1]~31907\,
	combout => \led_flash_cnt[359][2]~31908_combout\,
	cout => \led_flash_cnt[359][2]~31909\);

-- Location: FF_X72_Y31_N9
\led_flash_cnt[359][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[359][2]~31908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[359][2]~q\);

-- Location: LCCOMB_X72_Y31_N10
\led_flash_cnt[359][3]~31910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[359][3]~31910_combout\ = (\led_flash_cnt[359][3]~q\ & (\led_flash_cnt[359][2]~31909\ $ (GND))) # (!\led_flash_cnt[359][3]~q\ & (!\led_flash_cnt[359][2]~31909\ & VCC))
-- \led_flash_cnt[359][3]~31911\ = CARRY((\led_flash_cnt[359][3]~q\ & !\led_flash_cnt[359][2]~31909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[359][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[359][2]~31909\,
	combout => \led_flash_cnt[359][3]~31910_combout\,
	cout => \led_flash_cnt[359][3]~31911\);

-- Location: FF_X72_Y31_N11
\led_flash_cnt[359][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[359][3]~31910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[359][3]~q\);

-- Location: LCCOMB_X72_Y31_N12
\led_flash_cnt[359][4]~31912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[359][4]~31912_combout\ = (\led_flash_cnt[359][4]~q\ & (!\led_flash_cnt[359][3]~31911\)) # (!\led_flash_cnt[359][4]~q\ & ((\led_flash_cnt[359][3]~31911\) # (GND)))
-- \led_flash_cnt[359][4]~31913\ = CARRY((!\led_flash_cnt[359][3]~31911\) # (!\led_flash_cnt[359][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[359][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[359][3]~31911\,
	combout => \led_flash_cnt[359][4]~31912_combout\,
	cout => \led_flash_cnt[359][4]~31913\);

-- Location: FF_X72_Y31_N13
\led_flash_cnt[359][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[359][4]~31912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[359][4]~q\);

-- Location: LCCOMB_X72_Y31_N22
\WideAnd359~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd359~0_combout\ = (\led_flash_cnt[359][4]~q\ & (\led_flash_cnt[359][1]~q\ & (\led_flash_cnt[359][2]~q\ & \led_flash_cnt[359][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[359][4]~q\,
	datab => \led_flash_cnt[359][1]~q\,
	datac => \led_flash_cnt[359][2]~q\,
	datad => \led_flash_cnt[359][3]~q\,
	combout => \WideAnd359~0_combout\);

-- Location: LCCOMB_X72_Y31_N14
\led_flash_cnt[359][5]~31914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[359][5]~31914_combout\ = (\led_flash_cnt[359][5]~q\ & (\led_flash_cnt[359][4]~31913\ $ (GND))) # (!\led_flash_cnt[359][5]~q\ & (!\led_flash_cnt[359][4]~31913\ & VCC))
-- \led_flash_cnt[359][5]~31915\ = CARRY((\led_flash_cnt[359][5]~q\ & !\led_flash_cnt[359][4]~31913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[359][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[359][4]~31913\,
	combout => \led_flash_cnt[359][5]~31914_combout\,
	cout => \led_flash_cnt[359][5]~31915\);

-- Location: FF_X72_Y31_N15
\led_flash_cnt[359][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[359][5]~31914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[359][5]~q\);

-- Location: LCCOMB_X72_Y31_N16
\led_flash_cnt[359][6]~31916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[359][6]~31916_combout\ = (\led_flash_cnt[359][6]~q\ & (!\led_flash_cnt[359][5]~31915\)) # (!\led_flash_cnt[359][6]~q\ & ((\led_flash_cnt[359][5]~31915\) # (GND)))
-- \led_flash_cnt[359][6]~31917\ = CARRY((!\led_flash_cnt[359][5]~31915\) # (!\led_flash_cnt[359][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[359][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[359][5]~31915\,
	combout => \led_flash_cnt[359][6]~31916_combout\,
	cout => \led_flash_cnt[359][6]~31917\);

-- Location: FF_X72_Y31_N17
\led_flash_cnt[359][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[359][6]~31916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[359][6]~q\);

-- Location: LCCOMB_X72_Y31_N18
\led_flash_cnt[359][7]~31918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[359][7]~31918_combout\ = \led_flash_cnt[359][6]~31917\ $ (!\led_flash_cnt[359][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[359][7]~q\,
	cin => \led_flash_cnt[359][6]~31917\,
	combout => \led_flash_cnt[359][7]~31918_combout\);

-- Location: FF_X72_Y31_N19
\led_flash_cnt[359][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[359][7]~31918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[359][7]~q\);

-- Location: LCCOMB_X72_Y31_N4
\WideAnd359~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd359~1_combout\ = (\led_flash_cnt[359][5]~q\ & \led_flash_cnt[359][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[359][5]~q\,
	datad => \led_flash_cnt[359][6]~q\,
	combout => \WideAnd359~1_combout\);

-- Location: LCCOMB_X72_Y31_N28
WideAnd359 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd359~combout\ = (\WideAnd359~0_combout\ & (\led_flash_cnt[359][7]~q\ & (\WideAnd359~1_combout\ & \led_flash_cnt[359][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd359~0_combout\,
	datab => \led_flash_cnt[359][7]~q\,
	datac => \WideAnd359~1_combout\,
	datad => \led_flash_cnt[359][0]~q\,
	combout => \WideAnd359~combout\);

-- Location: FF_X72_Y31_N29
\led_flash_cnt_ands[359]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd359~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(359));

-- Location: LCCOMB_X75_Y30_N24
\led_flash_cnt[353][0]~80993\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[353][0]~80993_combout\ = !\led_flash_cnt[353][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[353][0]~q\,
	combout => \led_flash_cnt[353][0]~80993_combout\);

-- Location: FF_X75_Y30_N25
\led_flash_cnt[353][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[353][0]~80993_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[353][0]~q\);

-- Location: LCCOMB_X76_Y30_N0
\led_flash_cnt[353][1]~31822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[353][1]~31822_combout\ = (\led_flash_cnt[353][0]~q\ & (\led_flash_cnt[353][1]~q\ $ (VCC))) # (!\led_flash_cnt[353][0]~q\ & (\led_flash_cnt[353][1]~q\ & VCC))
-- \led_flash_cnt[353][1]~31823\ = CARRY((\led_flash_cnt[353][0]~q\ & \led_flash_cnt[353][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[353][0]~q\,
	datab => \led_flash_cnt[353][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[353][1]~31822_combout\,
	cout => \led_flash_cnt[353][1]~31823\);

-- Location: FF_X76_Y30_N1
\led_flash_cnt[353][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[353][1]~31822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[353][1]~q\);

-- Location: LCCOMB_X76_Y30_N2
\led_flash_cnt[353][2]~31824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[353][2]~31824_combout\ = (\led_flash_cnt[353][2]~q\ & (!\led_flash_cnt[353][1]~31823\)) # (!\led_flash_cnt[353][2]~q\ & ((\led_flash_cnt[353][1]~31823\) # (GND)))
-- \led_flash_cnt[353][2]~31825\ = CARRY((!\led_flash_cnt[353][1]~31823\) # (!\led_flash_cnt[353][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[353][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[353][1]~31823\,
	combout => \led_flash_cnt[353][2]~31824_combout\,
	cout => \led_flash_cnt[353][2]~31825\);

-- Location: FF_X76_Y30_N3
\led_flash_cnt[353][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[353][2]~31824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[353][2]~q\);

-- Location: LCCOMB_X76_Y30_N4
\led_flash_cnt[353][3]~31826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[353][3]~31826_combout\ = (\led_flash_cnt[353][3]~q\ & (\led_flash_cnt[353][2]~31825\ $ (GND))) # (!\led_flash_cnt[353][3]~q\ & (!\led_flash_cnt[353][2]~31825\ & VCC))
-- \led_flash_cnt[353][3]~31827\ = CARRY((\led_flash_cnt[353][3]~q\ & !\led_flash_cnt[353][2]~31825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[353][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[353][2]~31825\,
	combout => \led_flash_cnt[353][3]~31826_combout\,
	cout => \led_flash_cnt[353][3]~31827\);

-- Location: FF_X76_Y30_N5
\led_flash_cnt[353][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[353][3]~31826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[353][3]~q\);

-- Location: LCCOMB_X76_Y30_N6
\led_flash_cnt[353][4]~31828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[353][4]~31828_combout\ = (\led_flash_cnt[353][4]~q\ & (!\led_flash_cnt[353][3]~31827\)) # (!\led_flash_cnt[353][4]~q\ & ((\led_flash_cnt[353][3]~31827\) # (GND)))
-- \led_flash_cnt[353][4]~31829\ = CARRY((!\led_flash_cnt[353][3]~31827\) # (!\led_flash_cnt[353][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[353][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[353][3]~31827\,
	combout => \led_flash_cnt[353][4]~31828_combout\,
	cout => \led_flash_cnt[353][4]~31829\);

-- Location: FF_X76_Y30_N7
\led_flash_cnt[353][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[353][4]~31828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[353][4]~q\);

-- Location: LCCOMB_X76_Y30_N8
\led_flash_cnt[353][5]~31830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[353][5]~31830_combout\ = (\led_flash_cnt[353][5]~q\ & (\led_flash_cnt[353][4]~31829\ $ (GND))) # (!\led_flash_cnt[353][5]~q\ & (!\led_flash_cnt[353][4]~31829\ & VCC))
-- \led_flash_cnt[353][5]~31831\ = CARRY((\led_flash_cnt[353][5]~q\ & !\led_flash_cnt[353][4]~31829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[353][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[353][4]~31829\,
	combout => \led_flash_cnt[353][5]~31830_combout\,
	cout => \led_flash_cnt[353][5]~31831\);

-- Location: FF_X76_Y30_N9
\led_flash_cnt[353][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[353][5]~31830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[353][5]~q\);

-- Location: LCCOMB_X76_Y30_N10
\led_flash_cnt[353][6]~31832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[353][6]~31832_combout\ = (\led_flash_cnt[353][6]~q\ & (!\led_flash_cnt[353][5]~31831\)) # (!\led_flash_cnt[353][6]~q\ & ((\led_flash_cnt[353][5]~31831\) # (GND)))
-- \led_flash_cnt[353][6]~31833\ = CARRY((!\led_flash_cnt[353][5]~31831\) # (!\led_flash_cnt[353][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[353][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[353][5]~31831\,
	combout => \led_flash_cnt[353][6]~31832_combout\,
	cout => \led_flash_cnt[353][6]~31833\);

-- Location: FF_X76_Y30_N11
\led_flash_cnt[353][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[353][6]~31832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[353][6]~q\);

-- Location: LCCOMB_X75_Y30_N30
\WideAnd353~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd353~1_combout\ = (\led_flash_cnt[353][6]~q\ & \led_flash_cnt[353][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[353][6]~q\,
	datac => \led_flash_cnt[353][5]~q\,
	combout => \WideAnd353~1_combout\);

-- Location: LCCOMB_X76_Y30_N12
\led_flash_cnt[353][7]~31834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[353][7]~31834_combout\ = \led_flash_cnt[353][6]~31833\ $ (!\led_flash_cnt[353][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[353][7]~q\,
	cin => \led_flash_cnt[353][6]~31833\,
	combout => \led_flash_cnt[353][7]~31834_combout\);

-- Location: FF_X76_Y30_N13
\led_flash_cnt[353][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[353][7]~31834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[353][7]~q\);

-- Location: LCCOMB_X76_Y30_N16
\WideAnd353~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd353~0_combout\ = (\led_flash_cnt[353][4]~q\ & (\led_flash_cnt[353][2]~q\ & (\led_flash_cnt[353][3]~q\ & \led_flash_cnt[353][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[353][4]~q\,
	datab => \led_flash_cnt[353][2]~q\,
	datac => \led_flash_cnt[353][3]~q\,
	datad => \led_flash_cnt[353][1]~q\,
	combout => \WideAnd353~0_combout\);

-- Location: LCCOMB_X75_Y30_N4
WideAnd353 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd353~combout\ = (\WideAnd353~1_combout\ & (\led_flash_cnt[353][0]~q\ & (\led_flash_cnt[353][7]~q\ & \WideAnd353~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd353~1_combout\,
	datab => \led_flash_cnt[353][0]~q\,
	datac => \led_flash_cnt[353][7]~q\,
	datad => \WideAnd353~0_combout\,
	combout => \WideAnd353~combout\);

-- Location: FF_X75_Y30_N5
\led_flash_cnt_ands[353]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd353~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(353));

-- Location: LCCOMB_X75_Y30_N20
\led_flash_cnt[354][0]~80994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[354][0]~80994_combout\ = !\led_flash_cnt[354][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[354][0]~q\,
	combout => \led_flash_cnt[354][0]~80994_combout\);

-- Location: FF_X75_Y30_N21
\led_flash_cnt[354][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[354][0]~80994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[354][0]~q\);

-- Location: LCCOMB_X75_Y30_N6
\led_flash_cnt[354][1]~31836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[354][1]~31836_combout\ = (\led_flash_cnt[354][1]~q\ & (\led_flash_cnt[354][0]~q\ $ (VCC))) # (!\led_flash_cnt[354][1]~q\ & (\led_flash_cnt[354][0]~q\ & VCC))
-- \led_flash_cnt[354][1]~31837\ = CARRY((\led_flash_cnt[354][1]~q\ & \led_flash_cnt[354][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[354][1]~q\,
	datab => \led_flash_cnt[354][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[354][1]~31836_combout\,
	cout => \led_flash_cnt[354][1]~31837\);

-- Location: FF_X75_Y30_N7
\led_flash_cnt[354][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[354][1]~31836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[354][1]~q\);

-- Location: LCCOMB_X75_Y30_N8
\led_flash_cnt[354][2]~31838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[354][2]~31838_combout\ = (\led_flash_cnt[354][2]~q\ & (!\led_flash_cnt[354][1]~31837\)) # (!\led_flash_cnt[354][2]~q\ & ((\led_flash_cnt[354][1]~31837\) # (GND)))
-- \led_flash_cnt[354][2]~31839\ = CARRY((!\led_flash_cnt[354][1]~31837\) # (!\led_flash_cnt[354][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[354][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[354][1]~31837\,
	combout => \led_flash_cnt[354][2]~31838_combout\,
	cout => \led_flash_cnt[354][2]~31839\);

-- Location: FF_X75_Y30_N9
\led_flash_cnt[354][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[354][2]~31838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[354][2]~q\);

-- Location: LCCOMB_X75_Y30_N10
\led_flash_cnt[354][3]~31840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[354][3]~31840_combout\ = (\led_flash_cnt[354][3]~q\ & (\led_flash_cnt[354][2]~31839\ $ (GND))) # (!\led_flash_cnt[354][3]~q\ & (!\led_flash_cnt[354][2]~31839\ & VCC))
-- \led_flash_cnt[354][3]~31841\ = CARRY((\led_flash_cnt[354][3]~q\ & !\led_flash_cnt[354][2]~31839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[354][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[354][2]~31839\,
	combout => \led_flash_cnt[354][3]~31840_combout\,
	cout => \led_flash_cnt[354][3]~31841\);

-- Location: FF_X75_Y30_N11
\led_flash_cnt[354][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[354][3]~31840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[354][3]~q\);

-- Location: LCCOMB_X75_Y30_N12
\led_flash_cnt[354][4]~31842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[354][4]~31842_combout\ = (\led_flash_cnt[354][4]~q\ & (!\led_flash_cnt[354][3]~31841\)) # (!\led_flash_cnt[354][4]~q\ & ((\led_flash_cnt[354][3]~31841\) # (GND)))
-- \led_flash_cnt[354][4]~31843\ = CARRY((!\led_flash_cnt[354][3]~31841\) # (!\led_flash_cnt[354][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[354][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[354][3]~31841\,
	combout => \led_flash_cnt[354][4]~31842_combout\,
	cout => \led_flash_cnt[354][4]~31843\);

-- Location: FF_X75_Y30_N13
\led_flash_cnt[354][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[354][4]~31842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[354][4]~q\);

-- Location: LCCOMB_X75_Y30_N22
\WideAnd354~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd354~0_combout\ = (\led_flash_cnt[354][4]~q\ & (\led_flash_cnt[354][1]~q\ & (\led_flash_cnt[354][2]~q\ & \led_flash_cnt[354][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[354][4]~q\,
	datab => \led_flash_cnt[354][1]~q\,
	datac => \led_flash_cnt[354][2]~q\,
	datad => \led_flash_cnt[354][3]~q\,
	combout => \WideAnd354~0_combout\);

-- Location: LCCOMB_X75_Y30_N14
\led_flash_cnt[354][5]~31844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[354][5]~31844_combout\ = (\led_flash_cnt[354][5]~q\ & (\led_flash_cnt[354][4]~31843\ $ (GND))) # (!\led_flash_cnt[354][5]~q\ & (!\led_flash_cnt[354][4]~31843\ & VCC))
-- \led_flash_cnt[354][5]~31845\ = CARRY((\led_flash_cnt[354][5]~q\ & !\led_flash_cnt[354][4]~31843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[354][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[354][4]~31843\,
	combout => \led_flash_cnt[354][5]~31844_combout\,
	cout => \led_flash_cnt[354][5]~31845\);

-- Location: FF_X75_Y30_N15
\led_flash_cnt[354][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[354][5]~31844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[354][5]~q\);

-- Location: LCCOMB_X75_Y30_N16
\led_flash_cnt[354][6]~31846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[354][6]~31846_combout\ = (\led_flash_cnt[354][6]~q\ & (!\led_flash_cnt[354][5]~31845\)) # (!\led_flash_cnt[354][6]~q\ & ((\led_flash_cnt[354][5]~31845\) # (GND)))
-- \led_flash_cnt[354][6]~31847\ = CARRY((!\led_flash_cnt[354][5]~31845\) # (!\led_flash_cnt[354][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[354][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[354][5]~31845\,
	combout => \led_flash_cnt[354][6]~31846_combout\,
	cout => \led_flash_cnt[354][6]~31847\);

-- Location: FF_X75_Y30_N17
\led_flash_cnt[354][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[354][6]~31846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[354][6]~q\);

-- Location: LCCOMB_X75_Y30_N18
\led_flash_cnt[354][7]~31848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[354][7]~31848_combout\ = \led_flash_cnt[354][6]~31847\ $ (!\led_flash_cnt[354][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[354][7]~q\,
	cin => \led_flash_cnt[354][6]~31847\,
	combout => \led_flash_cnt[354][7]~31848_combout\);

-- Location: FF_X75_Y30_N19
\led_flash_cnt[354][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[354][7]~31848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[354][7]~q\);

-- Location: LCCOMB_X75_Y30_N26
\WideAnd354~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd354~1_combout\ = (\led_flash_cnt[354][5]~q\ & \led_flash_cnt[354][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[354][5]~q\,
	datad => \led_flash_cnt[354][6]~q\,
	combout => \WideAnd354~1_combout\);

-- Location: LCCOMB_X75_Y30_N28
WideAnd354 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd354~combout\ = (\WideAnd354~0_combout\ & (\led_flash_cnt[354][7]~q\ & (\WideAnd354~1_combout\ & \led_flash_cnt[354][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd354~0_combout\,
	datab => \led_flash_cnt[354][7]~q\,
	datac => \WideAnd354~1_combout\,
	datad => \led_flash_cnt[354][0]~q\,
	combout => \WideAnd354~combout\);

-- Location: FF_X75_Y30_N29
\led_flash_cnt_ands[354]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd354~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(354));

-- Location: LCCOMB_X74_Y28_N28
\led_flash_cnt[352][0]~80992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[352][0]~80992_combout\ = !\led_flash_cnt[352][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[352][0]~q\,
	combout => \led_flash_cnt[352][0]~80992_combout\);

-- Location: FF_X74_Y28_N29
\led_flash_cnt[352][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[352][0]~80992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[352][0]~q\);

-- Location: LCCOMB_X75_Y28_N2
\led_flash_cnt[352][1]~31808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[352][1]~31808_combout\ = (\led_flash_cnt[352][0]~q\ & (\led_flash_cnt[352][1]~q\ $ (VCC))) # (!\led_flash_cnt[352][0]~q\ & (\led_flash_cnt[352][1]~q\ & VCC))
-- \led_flash_cnt[352][1]~31809\ = CARRY((\led_flash_cnt[352][0]~q\ & \led_flash_cnt[352][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[352][0]~q\,
	datab => \led_flash_cnt[352][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[352][1]~31808_combout\,
	cout => \led_flash_cnt[352][1]~31809\);

-- Location: FF_X75_Y28_N3
\led_flash_cnt[352][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[352][1]~31808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[352][1]~q\);

-- Location: LCCOMB_X75_Y28_N4
\led_flash_cnt[352][2]~31810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[352][2]~31810_combout\ = (\led_flash_cnt[352][2]~q\ & (!\led_flash_cnt[352][1]~31809\)) # (!\led_flash_cnt[352][2]~q\ & ((\led_flash_cnt[352][1]~31809\) # (GND)))
-- \led_flash_cnt[352][2]~31811\ = CARRY((!\led_flash_cnt[352][1]~31809\) # (!\led_flash_cnt[352][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[352][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[352][1]~31809\,
	combout => \led_flash_cnt[352][2]~31810_combout\,
	cout => \led_flash_cnt[352][2]~31811\);

-- Location: FF_X75_Y28_N5
\led_flash_cnt[352][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[352][2]~31810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[352][2]~q\);

-- Location: LCCOMB_X75_Y28_N6
\led_flash_cnt[352][3]~31812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[352][3]~31812_combout\ = (\led_flash_cnt[352][3]~q\ & (\led_flash_cnt[352][2]~31811\ $ (GND))) # (!\led_flash_cnt[352][3]~q\ & (!\led_flash_cnt[352][2]~31811\ & VCC))
-- \led_flash_cnt[352][3]~31813\ = CARRY((\led_flash_cnt[352][3]~q\ & !\led_flash_cnt[352][2]~31811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[352][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[352][2]~31811\,
	combout => \led_flash_cnt[352][3]~31812_combout\,
	cout => \led_flash_cnt[352][3]~31813\);

-- Location: FF_X75_Y28_N7
\led_flash_cnt[352][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[352][3]~31812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[352][3]~q\);

-- Location: LCCOMB_X75_Y28_N8
\led_flash_cnt[352][4]~31814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[352][4]~31814_combout\ = (\led_flash_cnt[352][4]~q\ & (!\led_flash_cnt[352][3]~31813\)) # (!\led_flash_cnt[352][4]~q\ & ((\led_flash_cnt[352][3]~31813\) # (GND)))
-- \led_flash_cnt[352][4]~31815\ = CARRY((!\led_flash_cnt[352][3]~31813\) # (!\led_flash_cnt[352][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[352][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[352][3]~31813\,
	combout => \led_flash_cnt[352][4]~31814_combout\,
	cout => \led_flash_cnt[352][4]~31815\);

-- Location: FF_X75_Y28_N9
\led_flash_cnt[352][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[352][4]~31814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[352][4]~q\);

-- Location: LCCOMB_X75_Y28_N10
\led_flash_cnt[352][5]~31816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[352][5]~31816_combout\ = (\led_flash_cnt[352][5]~q\ & (\led_flash_cnt[352][4]~31815\ $ (GND))) # (!\led_flash_cnt[352][5]~q\ & (!\led_flash_cnt[352][4]~31815\ & VCC))
-- \led_flash_cnt[352][5]~31817\ = CARRY((\led_flash_cnt[352][5]~q\ & !\led_flash_cnt[352][4]~31815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[352][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[352][4]~31815\,
	combout => \led_flash_cnt[352][5]~31816_combout\,
	cout => \led_flash_cnt[352][5]~31817\);

-- Location: FF_X75_Y28_N11
\led_flash_cnt[352][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[352][5]~31816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[352][5]~q\);

-- Location: LCCOMB_X75_Y28_N12
\led_flash_cnt[352][6]~31818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[352][6]~31818_combout\ = (\led_flash_cnt[352][6]~q\ & (!\led_flash_cnt[352][5]~31817\)) # (!\led_flash_cnt[352][6]~q\ & ((\led_flash_cnt[352][5]~31817\) # (GND)))
-- \led_flash_cnt[352][6]~31819\ = CARRY((!\led_flash_cnt[352][5]~31817\) # (!\led_flash_cnt[352][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[352][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[352][5]~31817\,
	combout => \led_flash_cnt[352][6]~31818_combout\,
	cout => \led_flash_cnt[352][6]~31819\);

-- Location: FF_X75_Y28_N13
\led_flash_cnt[352][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[352][6]~31818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[352][6]~q\);

-- Location: LCCOMB_X74_Y28_N30
\WideAnd352~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd352~1_combout\ = (\led_flash_cnt[352][6]~q\ & \led_flash_cnt[352][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[352][6]~q\,
	datac => \led_flash_cnt[352][5]~q\,
	combout => \WideAnd352~1_combout\);

-- Location: LCCOMB_X75_Y28_N14
\led_flash_cnt[352][7]~31820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[352][7]~31820_combout\ = \led_flash_cnt[352][7]~q\ $ (!\led_flash_cnt[352][6]~31819\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[352][7]~q\,
	cin => \led_flash_cnt[352][6]~31819\,
	combout => \led_flash_cnt[352][7]~31820_combout\);

-- Location: FF_X75_Y28_N15
\led_flash_cnt[352][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[352][7]~31820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[352][7]~q\);

-- Location: LCCOMB_X75_Y28_N16
\WideAnd352~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd352~0_combout\ = (\led_flash_cnt[352][3]~q\ & (\led_flash_cnt[352][4]~q\ & (\led_flash_cnt[352][2]~q\ & \led_flash_cnt[352][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[352][3]~q\,
	datab => \led_flash_cnt[352][4]~q\,
	datac => \led_flash_cnt[352][2]~q\,
	datad => \led_flash_cnt[352][1]~q\,
	combout => \WideAnd352~0_combout\);

-- Location: LCCOMB_X74_Y28_N22
WideAnd352 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd352~combout\ = (\WideAnd352~1_combout\ & (\led_flash_cnt[352][0]~q\ & (\led_flash_cnt[352][7]~q\ & \WideAnd352~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd352~1_combout\,
	datab => \led_flash_cnt[352][0]~q\,
	datac => \led_flash_cnt[352][7]~q\,
	datad => \WideAnd352~0_combout\,
	combout => \WideAnd352~combout\);

-- Location: FF_X74_Y28_N23
\led_flash_cnt_ands[352]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd352~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(352));

-- Location: LCCOMB_X58_Y32_N28
\led_flash_cnt[355][0]~80995\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[355][0]~80995_combout\ = !\led_flash_cnt[355][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[355][0]~q\,
	combout => \led_flash_cnt[355][0]~80995_combout\);

-- Location: FF_X58_Y32_N29
\led_flash_cnt[355][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[355][0]~80995_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[355][0]~q\);

-- Location: LCCOMB_X58_Y33_N18
\led_flash_cnt[355][1]~31850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[355][1]~31850_combout\ = (\led_flash_cnt[355][0]~q\ & (\led_flash_cnt[355][1]~q\ $ (VCC))) # (!\led_flash_cnt[355][0]~q\ & (\led_flash_cnt[355][1]~q\ & VCC))
-- \led_flash_cnt[355][1]~31851\ = CARRY((\led_flash_cnt[355][0]~q\ & \led_flash_cnt[355][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[355][0]~q\,
	datab => \led_flash_cnt[355][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[355][1]~31850_combout\,
	cout => \led_flash_cnt[355][1]~31851\);

-- Location: FF_X58_Y33_N19
\led_flash_cnt[355][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[355][1]~31850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[355][1]~q\);

-- Location: LCCOMB_X58_Y33_N20
\led_flash_cnt[355][2]~31852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[355][2]~31852_combout\ = (\led_flash_cnt[355][2]~q\ & (!\led_flash_cnt[355][1]~31851\)) # (!\led_flash_cnt[355][2]~q\ & ((\led_flash_cnt[355][1]~31851\) # (GND)))
-- \led_flash_cnt[355][2]~31853\ = CARRY((!\led_flash_cnt[355][1]~31851\) # (!\led_flash_cnt[355][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[355][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[355][1]~31851\,
	combout => \led_flash_cnt[355][2]~31852_combout\,
	cout => \led_flash_cnt[355][2]~31853\);

-- Location: FF_X58_Y33_N21
\led_flash_cnt[355][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[355][2]~31852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[355][2]~q\);

-- Location: LCCOMB_X58_Y33_N22
\led_flash_cnt[355][3]~31854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[355][3]~31854_combout\ = (\led_flash_cnt[355][3]~q\ & (\led_flash_cnt[355][2]~31853\ $ (GND))) # (!\led_flash_cnt[355][3]~q\ & (!\led_flash_cnt[355][2]~31853\ & VCC))
-- \led_flash_cnt[355][3]~31855\ = CARRY((\led_flash_cnt[355][3]~q\ & !\led_flash_cnt[355][2]~31853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[355][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[355][2]~31853\,
	combout => \led_flash_cnt[355][3]~31854_combout\,
	cout => \led_flash_cnt[355][3]~31855\);

-- Location: FF_X58_Y33_N23
\led_flash_cnt[355][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[355][3]~31854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[355][3]~q\);

-- Location: LCCOMB_X58_Y33_N24
\led_flash_cnt[355][4]~31856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[355][4]~31856_combout\ = (\led_flash_cnt[355][4]~q\ & (!\led_flash_cnt[355][3]~31855\)) # (!\led_flash_cnt[355][4]~q\ & ((\led_flash_cnt[355][3]~31855\) # (GND)))
-- \led_flash_cnt[355][4]~31857\ = CARRY((!\led_flash_cnt[355][3]~31855\) # (!\led_flash_cnt[355][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[355][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[355][3]~31855\,
	combout => \led_flash_cnt[355][4]~31856_combout\,
	cout => \led_flash_cnt[355][4]~31857\);

-- Location: FF_X58_Y33_N25
\led_flash_cnt[355][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[355][4]~31856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[355][4]~q\);

-- Location: LCCOMB_X58_Y33_N26
\led_flash_cnt[355][5]~31858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[355][5]~31858_combout\ = (\led_flash_cnt[355][5]~q\ & (\led_flash_cnt[355][4]~31857\ $ (GND))) # (!\led_flash_cnt[355][5]~q\ & (!\led_flash_cnt[355][4]~31857\ & VCC))
-- \led_flash_cnt[355][5]~31859\ = CARRY((\led_flash_cnt[355][5]~q\ & !\led_flash_cnt[355][4]~31857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[355][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[355][4]~31857\,
	combout => \led_flash_cnt[355][5]~31858_combout\,
	cout => \led_flash_cnt[355][5]~31859\);

-- Location: FF_X58_Y33_N27
\led_flash_cnt[355][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[355][5]~31858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[355][5]~q\);

-- Location: LCCOMB_X58_Y33_N28
\led_flash_cnt[355][6]~31860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[355][6]~31860_combout\ = (\led_flash_cnt[355][6]~q\ & (!\led_flash_cnt[355][5]~31859\)) # (!\led_flash_cnt[355][6]~q\ & ((\led_flash_cnt[355][5]~31859\) # (GND)))
-- \led_flash_cnt[355][6]~31861\ = CARRY((!\led_flash_cnt[355][5]~31859\) # (!\led_flash_cnt[355][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[355][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[355][5]~31859\,
	combout => \led_flash_cnt[355][6]~31860_combout\,
	cout => \led_flash_cnt[355][6]~31861\);

-- Location: FF_X58_Y33_N29
\led_flash_cnt[355][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[355][6]~31860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[355][6]~q\);

-- Location: LCCOMB_X58_Y33_N30
\led_flash_cnt[355][7]~31862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[355][7]~31862_combout\ = \led_flash_cnt[355][7]~q\ $ (!\led_flash_cnt[355][6]~31861\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[355][7]~q\,
	cin => \led_flash_cnt[355][6]~31861\,
	combout => \led_flash_cnt[355][7]~31862_combout\);

-- Location: FF_X58_Y33_N31
\led_flash_cnt[355][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[355][7]~31862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[355][7]~q\);

-- Location: LCCOMB_X58_Y33_N0
\WideAnd355~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd355~0_combout\ = (\led_flash_cnt[355][4]~q\ & (\led_flash_cnt[355][2]~q\ & (\led_flash_cnt[355][3]~q\ & \led_flash_cnt[355][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[355][4]~q\,
	datab => \led_flash_cnt[355][2]~q\,
	datac => \led_flash_cnt[355][3]~q\,
	datad => \led_flash_cnt[355][1]~q\,
	combout => \WideAnd355~0_combout\);

-- Location: LCCOMB_X59_Y33_N24
\WideAnd355~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd355~1_combout\ = (\led_flash_cnt[355][5]~q\ & \led_flash_cnt[355][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[355][5]~q\,
	datad => \led_flash_cnt[355][6]~q\,
	combout => \WideAnd355~1_combout\);

-- Location: LCCOMB_X59_Y33_N28
WideAnd355 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd355~combout\ = (\led_flash_cnt[355][0]~q\ & (\led_flash_cnt[355][7]~q\ & (\WideAnd355~0_combout\ & \WideAnd355~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[355][0]~q\,
	datab => \led_flash_cnt[355][7]~q\,
	datac => \WideAnd355~0_combout\,
	datad => \WideAnd355~1_combout\,
	combout => \WideAnd355~combout\);

-- Location: FF_X59_Y33_N29
\led_flash_cnt_ands[355]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd355~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(355));

-- Location: LCCOMB_X74_Y30_N0
\WideAnd3884~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3884~0_combout\ = (led_flash_cnt_ands(353) & (led_flash_cnt_ands(354) & (led_flash_cnt_ands(352) & led_flash_cnt_ands(355))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(353),
	datab => led_flash_cnt_ands(354),
	datac => led_flash_cnt_ands(352),
	datad => led_flash_cnt_ands(355),
	combout => \WideAnd3884~0_combout\);

-- Location: LCCOMB_X72_Y31_N2
\led_flash_cnt[358][0]~80998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[358][0]~80998_combout\ = !\led_flash_cnt[358][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[358][0]~q\,
	combout => \led_flash_cnt[358][0]~80998_combout\);

-- Location: FF_X72_Y31_N3
\led_flash_cnt[358][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[358][0]~80998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[358][0]~q\);

-- Location: LCCOMB_X71_Y31_N2
\led_flash_cnt[358][1]~31892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[358][1]~31892_combout\ = (\led_flash_cnt[358][0]~q\ & (\led_flash_cnt[358][1]~q\ $ (VCC))) # (!\led_flash_cnt[358][0]~q\ & (\led_flash_cnt[358][1]~q\ & VCC))
-- \led_flash_cnt[358][1]~31893\ = CARRY((\led_flash_cnt[358][0]~q\ & \led_flash_cnt[358][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[358][0]~q\,
	datab => \led_flash_cnt[358][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[358][1]~31892_combout\,
	cout => \led_flash_cnt[358][1]~31893\);

-- Location: FF_X71_Y31_N3
\led_flash_cnt[358][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[358][1]~31892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[358][1]~q\);

-- Location: LCCOMB_X71_Y31_N4
\led_flash_cnt[358][2]~31894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[358][2]~31894_combout\ = (\led_flash_cnt[358][2]~q\ & (!\led_flash_cnt[358][1]~31893\)) # (!\led_flash_cnt[358][2]~q\ & ((\led_flash_cnt[358][1]~31893\) # (GND)))
-- \led_flash_cnt[358][2]~31895\ = CARRY((!\led_flash_cnt[358][1]~31893\) # (!\led_flash_cnt[358][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[358][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[358][1]~31893\,
	combout => \led_flash_cnt[358][2]~31894_combout\,
	cout => \led_flash_cnt[358][2]~31895\);

-- Location: FF_X71_Y31_N5
\led_flash_cnt[358][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[358][2]~31894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[358][2]~q\);

-- Location: LCCOMB_X71_Y31_N6
\led_flash_cnt[358][3]~31896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[358][3]~31896_combout\ = (\led_flash_cnt[358][3]~q\ & (\led_flash_cnt[358][2]~31895\ $ (GND))) # (!\led_flash_cnt[358][3]~q\ & (!\led_flash_cnt[358][2]~31895\ & VCC))
-- \led_flash_cnt[358][3]~31897\ = CARRY((\led_flash_cnt[358][3]~q\ & !\led_flash_cnt[358][2]~31895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[358][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[358][2]~31895\,
	combout => \led_flash_cnt[358][3]~31896_combout\,
	cout => \led_flash_cnt[358][3]~31897\);

-- Location: FF_X71_Y31_N7
\led_flash_cnt[358][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[358][3]~31896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[358][3]~q\);

-- Location: LCCOMB_X71_Y31_N8
\led_flash_cnt[358][4]~31898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[358][4]~31898_combout\ = (\led_flash_cnt[358][4]~q\ & (!\led_flash_cnt[358][3]~31897\)) # (!\led_flash_cnt[358][4]~q\ & ((\led_flash_cnt[358][3]~31897\) # (GND)))
-- \led_flash_cnt[358][4]~31899\ = CARRY((!\led_flash_cnt[358][3]~31897\) # (!\led_flash_cnt[358][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[358][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[358][3]~31897\,
	combout => \led_flash_cnt[358][4]~31898_combout\,
	cout => \led_flash_cnt[358][4]~31899\);

-- Location: FF_X71_Y31_N9
\led_flash_cnt[358][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[358][4]~31898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[358][4]~q\);

-- Location: LCCOMB_X71_Y31_N10
\led_flash_cnt[358][5]~31900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[358][5]~31900_combout\ = (\led_flash_cnt[358][5]~q\ & (\led_flash_cnt[358][4]~31899\ $ (GND))) # (!\led_flash_cnt[358][5]~q\ & (!\led_flash_cnt[358][4]~31899\ & VCC))
-- \led_flash_cnt[358][5]~31901\ = CARRY((\led_flash_cnt[358][5]~q\ & !\led_flash_cnt[358][4]~31899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[358][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[358][4]~31899\,
	combout => \led_flash_cnt[358][5]~31900_combout\,
	cout => \led_flash_cnt[358][5]~31901\);

-- Location: FF_X71_Y31_N11
\led_flash_cnt[358][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[358][5]~31900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[358][5]~q\);

-- Location: LCCOMB_X71_Y31_N12
\led_flash_cnt[358][6]~31902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[358][6]~31902_combout\ = (\led_flash_cnt[358][6]~q\ & (!\led_flash_cnt[358][5]~31901\)) # (!\led_flash_cnt[358][6]~q\ & ((\led_flash_cnt[358][5]~31901\) # (GND)))
-- \led_flash_cnt[358][6]~31903\ = CARRY((!\led_flash_cnt[358][5]~31901\) # (!\led_flash_cnt[358][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[358][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[358][5]~31901\,
	combout => \led_flash_cnt[358][6]~31902_combout\,
	cout => \led_flash_cnt[358][6]~31903\);

-- Location: FF_X71_Y31_N13
\led_flash_cnt[358][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[358][6]~31902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[358][6]~q\);

-- Location: LCCOMB_X71_Y31_N14
\led_flash_cnt[358][7]~31904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[358][7]~31904_combout\ = \led_flash_cnt[358][7]~q\ $ (!\led_flash_cnt[358][6]~31903\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[358][7]~q\,
	cin => \led_flash_cnt[358][6]~31903\,
	combout => \led_flash_cnt[358][7]~31904_combout\);

-- Location: FF_X71_Y31_N15
\led_flash_cnt[358][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[358][7]~31904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[358][7]~q\);

-- Location: LCCOMB_X72_Y31_N24
\WideAnd358~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd358~1_combout\ = (\led_flash_cnt[358][5]~q\ & \led_flash_cnt[358][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[358][5]~q\,
	datad => \led_flash_cnt[358][7]~q\,
	combout => \WideAnd358~1_combout\);

-- Location: LCCOMB_X71_Y31_N0
\WideAnd358~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd358~0_combout\ = (\led_flash_cnt[358][3]~q\ & (\led_flash_cnt[358][4]~q\ & (\led_flash_cnt[358][2]~q\ & \led_flash_cnt[358][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[358][3]~q\,
	datab => \led_flash_cnt[358][4]~q\,
	datac => \led_flash_cnt[358][2]~q\,
	datad => \led_flash_cnt[358][1]~q\,
	combout => \WideAnd358~0_combout\);

-- Location: LCCOMB_X72_Y31_N0
WideAnd358 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd358~combout\ = (\led_flash_cnt[358][6]~q\ & (\WideAnd358~1_combout\ & (\WideAnd358~0_combout\ & \led_flash_cnt[358][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[358][6]~q\,
	datab => \WideAnd358~1_combout\,
	datac => \WideAnd358~0_combout\,
	datad => \led_flash_cnt[358][0]~q\,
	combout => \WideAnd358~combout\);

-- Location: FF_X72_Y31_N1
\led_flash_cnt_ands[358]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd358~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(358));

-- Location: LCCOMB_X72_Y31_N26
WideAnd3884 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3884~combout\ = (\WideAnd3884~1_combout\ & (led_flash_cnt_ands(359) & (\WideAnd3884~0_combout\ & led_flash_cnt_ands(358))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3884~1_combout\,
	datab => led_flash_cnt_ands(359),
	datac => \WideAnd3884~0_combout\,
	datad => led_flash_cnt_ands(358),
	combout => \WideAnd3884~combout\);

-- Location: FF_X72_Y31_N27
\led_flash_cnt_ands_1[44]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3884~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(44));

-- Location: LCCOMB_X70_Y31_N10
\WideAnd4325~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4325~1_combout\ = (led_flash_cnt_ands_1(45) & led_flash_cnt_ands_1(44))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(45),
	datad => led_flash_cnt_ands_1(44),
	combout => \WideAnd4325~1_combout\);

-- Location: LCCOMB_X69_Y7_N28
\led_flash_cnt[325][0]~80965\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[325][0]~80965_combout\ = !\led_flash_cnt[325][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[325][0]~q\,
	combout => \led_flash_cnt[325][0]~80965_combout\);

-- Location: FF_X69_Y7_N29
\led_flash_cnt[325][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[325][0]~80965_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[325][0]~q\);

-- Location: LCCOMB_X69_Y7_N12
\led_flash_cnt[325][1]~31430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[325][1]~31430_combout\ = (\led_flash_cnt[325][1]~q\ & (\led_flash_cnt[325][0]~q\ $ (VCC))) # (!\led_flash_cnt[325][1]~q\ & (\led_flash_cnt[325][0]~q\ & VCC))
-- \led_flash_cnt[325][1]~31431\ = CARRY((\led_flash_cnt[325][1]~q\ & \led_flash_cnt[325][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[325][1]~q\,
	datab => \led_flash_cnt[325][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[325][1]~31430_combout\,
	cout => \led_flash_cnt[325][1]~31431\);

-- Location: FF_X69_Y7_N13
\led_flash_cnt[325][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[325][1]~31430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[325][1]~q\);

-- Location: LCCOMB_X69_Y7_N14
\led_flash_cnt[325][2]~31432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[325][2]~31432_combout\ = (\led_flash_cnt[325][2]~q\ & (!\led_flash_cnt[325][1]~31431\)) # (!\led_flash_cnt[325][2]~q\ & ((\led_flash_cnt[325][1]~31431\) # (GND)))
-- \led_flash_cnt[325][2]~31433\ = CARRY((!\led_flash_cnt[325][1]~31431\) # (!\led_flash_cnt[325][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[325][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[325][1]~31431\,
	combout => \led_flash_cnt[325][2]~31432_combout\,
	cout => \led_flash_cnt[325][2]~31433\);

-- Location: FF_X69_Y7_N15
\led_flash_cnt[325][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[325][2]~31432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[325][2]~q\);

-- Location: LCCOMB_X69_Y7_N16
\led_flash_cnt[325][3]~31434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[325][3]~31434_combout\ = (\led_flash_cnt[325][3]~q\ & (\led_flash_cnt[325][2]~31433\ $ (GND))) # (!\led_flash_cnt[325][3]~q\ & (!\led_flash_cnt[325][2]~31433\ & VCC))
-- \led_flash_cnt[325][3]~31435\ = CARRY((\led_flash_cnt[325][3]~q\ & !\led_flash_cnt[325][2]~31433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[325][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[325][2]~31433\,
	combout => \led_flash_cnt[325][3]~31434_combout\,
	cout => \led_flash_cnt[325][3]~31435\);

-- Location: FF_X69_Y7_N17
\led_flash_cnt[325][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[325][3]~31434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[325][3]~q\);

-- Location: LCCOMB_X69_Y7_N18
\led_flash_cnt[325][4]~31436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[325][4]~31436_combout\ = (\led_flash_cnt[325][4]~q\ & (!\led_flash_cnt[325][3]~31435\)) # (!\led_flash_cnt[325][4]~q\ & ((\led_flash_cnt[325][3]~31435\) # (GND)))
-- \led_flash_cnt[325][4]~31437\ = CARRY((!\led_flash_cnt[325][3]~31435\) # (!\led_flash_cnt[325][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[325][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[325][3]~31435\,
	combout => \led_flash_cnt[325][4]~31436_combout\,
	cout => \led_flash_cnt[325][4]~31437\);

-- Location: FF_X69_Y7_N19
\led_flash_cnt[325][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[325][4]~31436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[325][4]~q\);

-- Location: LCCOMB_X69_Y7_N10
\WideAnd325~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd325~0_combout\ = (\led_flash_cnt[325][1]~q\ & (\led_flash_cnt[325][4]~q\ & (\led_flash_cnt[325][2]~q\ & \led_flash_cnt[325][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[325][1]~q\,
	datab => \led_flash_cnt[325][4]~q\,
	datac => \led_flash_cnt[325][2]~q\,
	datad => \led_flash_cnt[325][3]~q\,
	combout => \WideAnd325~0_combout\);

-- Location: LCCOMB_X69_Y7_N20
\led_flash_cnt[325][5]~31438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[325][5]~31438_combout\ = (\led_flash_cnt[325][5]~q\ & (\led_flash_cnt[325][4]~31437\ $ (GND))) # (!\led_flash_cnt[325][5]~q\ & (!\led_flash_cnt[325][4]~31437\ & VCC))
-- \led_flash_cnt[325][5]~31439\ = CARRY((\led_flash_cnt[325][5]~q\ & !\led_flash_cnt[325][4]~31437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[325][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[325][4]~31437\,
	combout => \led_flash_cnt[325][5]~31438_combout\,
	cout => \led_flash_cnt[325][5]~31439\);

-- Location: FF_X69_Y7_N21
\led_flash_cnt[325][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[325][5]~31438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[325][5]~q\);

-- Location: LCCOMB_X69_Y7_N22
\led_flash_cnt[325][6]~31440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[325][6]~31440_combout\ = (\led_flash_cnt[325][6]~q\ & (!\led_flash_cnt[325][5]~31439\)) # (!\led_flash_cnt[325][6]~q\ & ((\led_flash_cnt[325][5]~31439\) # (GND)))
-- \led_flash_cnt[325][6]~31441\ = CARRY((!\led_flash_cnt[325][5]~31439\) # (!\led_flash_cnt[325][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[325][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[325][5]~31439\,
	combout => \led_flash_cnt[325][6]~31440_combout\,
	cout => \led_flash_cnt[325][6]~31441\);

-- Location: FF_X69_Y7_N23
\led_flash_cnt[325][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[325][6]~31440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[325][6]~q\);

-- Location: LCCOMB_X69_Y7_N24
\led_flash_cnt[325][7]~31442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[325][7]~31442_combout\ = \led_flash_cnt[325][6]~31441\ $ (!\led_flash_cnt[325][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[325][7]~q\,
	cin => \led_flash_cnt[325][6]~31441\,
	combout => \led_flash_cnt[325][7]~31442_combout\);

-- Location: FF_X69_Y7_N25
\led_flash_cnt[325][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[325][7]~31442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[325][7]~q\);

-- Location: LCCOMB_X69_Y7_N26
\WideAnd325~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd325~1_combout\ = (\led_flash_cnt[325][6]~q\ & \led_flash_cnt[325][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[325][6]~q\,
	datad => \led_flash_cnt[325][5]~q\,
	combout => \WideAnd325~1_combout\);

-- Location: LCCOMB_X69_Y7_N4
WideAnd325 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd325~combout\ = (\WideAnd325~0_combout\ & (\led_flash_cnt[325][7]~q\ & (\WideAnd325~1_combout\ & \led_flash_cnt[325][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd325~0_combout\,
	datab => \led_flash_cnt[325][7]~q\,
	datac => \WideAnd325~1_combout\,
	datad => \led_flash_cnt[325][0]~q\,
	combout => \WideAnd325~combout\);

-- Location: FF_X69_Y7_N5
\led_flash_cnt_ands[325]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd325~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(325));

-- Location: LCCOMB_X70_Y7_N24
\led_flash_cnt[324][0]~80964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[324][0]~80964_combout\ = !\led_flash_cnt[324][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[324][0]~q\,
	combout => \led_flash_cnt[324][0]~80964_combout\);

-- Location: FF_X70_Y7_N25
\led_flash_cnt[324][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[324][0]~80964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[324][0]~q\);

-- Location: LCCOMB_X70_Y7_N2
\led_flash_cnt[324][1]~31416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[324][1]~31416_combout\ = (\led_flash_cnt[324][1]~q\ & (\led_flash_cnt[324][0]~q\ $ (VCC))) # (!\led_flash_cnt[324][1]~q\ & (\led_flash_cnt[324][0]~q\ & VCC))
-- \led_flash_cnt[324][1]~31417\ = CARRY((\led_flash_cnt[324][1]~q\ & \led_flash_cnt[324][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[324][1]~q\,
	datab => \led_flash_cnt[324][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[324][1]~31416_combout\,
	cout => \led_flash_cnt[324][1]~31417\);

-- Location: FF_X70_Y7_N3
\led_flash_cnt[324][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[324][1]~31416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[324][1]~q\);

-- Location: LCCOMB_X70_Y7_N4
\led_flash_cnt[324][2]~31418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[324][2]~31418_combout\ = (\led_flash_cnt[324][2]~q\ & (!\led_flash_cnt[324][1]~31417\)) # (!\led_flash_cnt[324][2]~q\ & ((\led_flash_cnt[324][1]~31417\) # (GND)))
-- \led_flash_cnt[324][2]~31419\ = CARRY((!\led_flash_cnt[324][1]~31417\) # (!\led_flash_cnt[324][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[324][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[324][1]~31417\,
	combout => \led_flash_cnt[324][2]~31418_combout\,
	cout => \led_flash_cnt[324][2]~31419\);

-- Location: FF_X70_Y7_N5
\led_flash_cnt[324][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[324][2]~31418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[324][2]~q\);

-- Location: LCCOMB_X70_Y7_N6
\led_flash_cnt[324][3]~31420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[324][3]~31420_combout\ = (\led_flash_cnt[324][3]~q\ & (\led_flash_cnt[324][2]~31419\ $ (GND))) # (!\led_flash_cnt[324][3]~q\ & (!\led_flash_cnt[324][2]~31419\ & VCC))
-- \led_flash_cnt[324][3]~31421\ = CARRY((\led_flash_cnt[324][3]~q\ & !\led_flash_cnt[324][2]~31419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[324][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[324][2]~31419\,
	combout => \led_flash_cnt[324][3]~31420_combout\,
	cout => \led_flash_cnt[324][3]~31421\);

-- Location: FF_X70_Y7_N7
\led_flash_cnt[324][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[324][3]~31420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[324][3]~q\);

-- Location: LCCOMB_X70_Y7_N8
\led_flash_cnt[324][4]~31422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[324][4]~31422_combout\ = (\led_flash_cnt[324][4]~q\ & (!\led_flash_cnt[324][3]~31421\)) # (!\led_flash_cnt[324][4]~q\ & ((\led_flash_cnt[324][3]~31421\) # (GND)))
-- \led_flash_cnt[324][4]~31423\ = CARRY((!\led_flash_cnt[324][3]~31421\) # (!\led_flash_cnt[324][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[324][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[324][3]~31421\,
	combout => \led_flash_cnt[324][4]~31422_combout\,
	cout => \led_flash_cnt[324][4]~31423\);

-- Location: FF_X70_Y7_N9
\led_flash_cnt[324][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[324][4]~31422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[324][4]~q\);

-- Location: LCCOMB_X70_Y7_N10
\led_flash_cnt[324][5]~31424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[324][5]~31424_combout\ = (\led_flash_cnt[324][5]~q\ & (\led_flash_cnt[324][4]~31423\ $ (GND))) # (!\led_flash_cnt[324][5]~q\ & (!\led_flash_cnt[324][4]~31423\ & VCC))
-- \led_flash_cnt[324][5]~31425\ = CARRY((\led_flash_cnt[324][5]~q\ & !\led_flash_cnt[324][4]~31423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[324][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[324][4]~31423\,
	combout => \led_flash_cnt[324][5]~31424_combout\,
	cout => \led_flash_cnt[324][5]~31425\);

-- Location: FF_X70_Y7_N11
\led_flash_cnt[324][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[324][5]~31424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[324][5]~q\);

-- Location: LCCOMB_X70_Y7_N12
\led_flash_cnt[324][6]~31426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[324][6]~31426_combout\ = (\led_flash_cnt[324][6]~q\ & (!\led_flash_cnt[324][5]~31425\)) # (!\led_flash_cnt[324][6]~q\ & ((\led_flash_cnt[324][5]~31425\) # (GND)))
-- \led_flash_cnt[324][6]~31427\ = CARRY((!\led_flash_cnt[324][5]~31425\) # (!\led_flash_cnt[324][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[324][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[324][5]~31425\,
	combout => \led_flash_cnt[324][6]~31426_combout\,
	cout => \led_flash_cnt[324][6]~31427\);

-- Location: FF_X70_Y7_N13
\led_flash_cnt[324][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[324][6]~31426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[324][6]~q\);

-- Location: LCCOMB_X70_Y7_N26
\WideAnd324~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd324~1_combout\ = (\led_flash_cnt[324][6]~q\ & \led_flash_cnt[324][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[324][6]~q\,
	datad => \led_flash_cnt[324][5]~q\,
	combout => \WideAnd324~1_combout\);

-- Location: LCCOMB_X70_Y7_N14
\led_flash_cnt[324][7]~31428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[324][7]~31428_combout\ = \led_flash_cnt[324][7]~q\ $ (!\led_flash_cnt[324][6]~31427\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[324][7]~q\,
	cin => \led_flash_cnt[324][6]~31427\,
	combout => \led_flash_cnt[324][7]~31428_combout\);

-- Location: FF_X70_Y7_N15
\led_flash_cnt[324][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[324][7]~31428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[324][7]~q\);

-- Location: LCCOMB_X70_Y7_N18
\WideAnd324~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd324~0_combout\ = (\led_flash_cnt[324][1]~q\ & (\led_flash_cnt[324][4]~q\ & (\led_flash_cnt[324][2]~q\ & \led_flash_cnt[324][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[324][1]~q\,
	datab => \led_flash_cnt[324][4]~q\,
	datac => \led_flash_cnt[324][2]~q\,
	datad => \led_flash_cnt[324][3]~q\,
	combout => \WideAnd324~0_combout\);

-- Location: LCCOMB_X70_Y7_N28
WideAnd324 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd324~combout\ = (\WideAnd324~1_combout\ & (\led_flash_cnt[324][0]~q\ & (\led_flash_cnt[324][7]~q\ & \WideAnd324~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd324~1_combout\,
	datab => \led_flash_cnt[324][0]~q\,
	datac => \led_flash_cnt[324][7]~q\,
	datad => \WideAnd324~0_combout\,
	combout => \WideAnd324~combout\);

-- Location: FF_X70_Y7_N29
\led_flash_cnt_ands[324]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd324~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(324));

-- Location: LCCOMB_X69_Y7_N0
\WideAnd3880~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3880~1_combout\ = (led_flash_cnt_ands(325) & led_flash_cnt_ands(324))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(325),
	datad => led_flash_cnt_ands(324),
	combout => \WideAnd3880~1_combout\);

-- Location: LCCOMB_X61_Y10_N22
\led_flash_cnt[326][0]~80966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[326][0]~80966_combout\ = !\led_flash_cnt[326][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[326][0]~q\,
	combout => \led_flash_cnt[326][0]~80966_combout\);

-- Location: FF_X61_Y10_N23
\led_flash_cnt[326][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[326][0]~80966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[326][0]~q\);

-- Location: LCCOMB_X61_Y10_N4
\led_flash_cnt[326][1]~31444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[326][1]~31444_combout\ = (\led_flash_cnt[326][0]~q\ & (\led_flash_cnt[326][1]~q\ $ (VCC))) # (!\led_flash_cnt[326][0]~q\ & (\led_flash_cnt[326][1]~q\ & VCC))
-- \led_flash_cnt[326][1]~31445\ = CARRY((\led_flash_cnt[326][0]~q\ & \led_flash_cnt[326][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[326][0]~q\,
	datab => \led_flash_cnt[326][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[326][1]~31444_combout\,
	cout => \led_flash_cnt[326][1]~31445\);

-- Location: FF_X61_Y10_N5
\led_flash_cnt[326][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[326][1]~31444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[326][1]~q\);

-- Location: LCCOMB_X61_Y10_N6
\led_flash_cnt[326][2]~31446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[326][2]~31446_combout\ = (\led_flash_cnt[326][2]~q\ & (!\led_flash_cnt[326][1]~31445\)) # (!\led_flash_cnt[326][2]~q\ & ((\led_flash_cnt[326][1]~31445\) # (GND)))
-- \led_flash_cnt[326][2]~31447\ = CARRY((!\led_flash_cnt[326][1]~31445\) # (!\led_flash_cnt[326][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[326][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[326][1]~31445\,
	combout => \led_flash_cnt[326][2]~31446_combout\,
	cout => \led_flash_cnt[326][2]~31447\);

-- Location: FF_X61_Y10_N7
\led_flash_cnt[326][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[326][2]~31446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[326][2]~q\);

-- Location: LCCOMB_X61_Y10_N8
\led_flash_cnt[326][3]~31448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[326][3]~31448_combout\ = (\led_flash_cnt[326][3]~q\ & (\led_flash_cnt[326][2]~31447\ $ (GND))) # (!\led_flash_cnt[326][3]~q\ & (!\led_flash_cnt[326][2]~31447\ & VCC))
-- \led_flash_cnt[326][3]~31449\ = CARRY((\led_flash_cnt[326][3]~q\ & !\led_flash_cnt[326][2]~31447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[326][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[326][2]~31447\,
	combout => \led_flash_cnt[326][3]~31448_combout\,
	cout => \led_flash_cnt[326][3]~31449\);

-- Location: FF_X61_Y10_N9
\led_flash_cnt[326][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[326][3]~31448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[326][3]~q\);

-- Location: LCCOMB_X61_Y10_N10
\led_flash_cnt[326][4]~31450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[326][4]~31450_combout\ = (\led_flash_cnt[326][4]~q\ & (!\led_flash_cnt[326][3]~31449\)) # (!\led_flash_cnt[326][4]~q\ & ((\led_flash_cnt[326][3]~31449\) # (GND)))
-- \led_flash_cnt[326][4]~31451\ = CARRY((!\led_flash_cnt[326][3]~31449\) # (!\led_flash_cnt[326][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[326][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[326][3]~31449\,
	combout => \led_flash_cnt[326][4]~31450_combout\,
	cout => \led_flash_cnt[326][4]~31451\);

-- Location: FF_X61_Y10_N11
\led_flash_cnt[326][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[326][4]~31450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[326][4]~q\);

-- Location: LCCOMB_X61_Y10_N12
\led_flash_cnt[326][5]~31452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[326][5]~31452_combout\ = (\led_flash_cnt[326][5]~q\ & (\led_flash_cnt[326][4]~31451\ $ (GND))) # (!\led_flash_cnt[326][5]~q\ & (!\led_flash_cnt[326][4]~31451\ & VCC))
-- \led_flash_cnt[326][5]~31453\ = CARRY((\led_flash_cnt[326][5]~q\ & !\led_flash_cnt[326][4]~31451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[326][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[326][4]~31451\,
	combout => \led_flash_cnt[326][5]~31452_combout\,
	cout => \led_flash_cnt[326][5]~31453\);

-- Location: FF_X61_Y10_N13
\led_flash_cnt[326][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[326][5]~31452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[326][5]~q\);

-- Location: LCCOMB_X61_Y10_N14
\led_flash_cnt[326][6]~31454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[326][6]~31454_combout\ = (\led_flash_cnt[326][6]~q\ & (!\led_flash_cnt[326][5]~31453\)) # (!\led_flash_cnt[326][6]~q\ & ((\led_flash_cnt[326][5]~31453\) # (GND)))
-- \led_flash_cnt[326][6]~31455\ = CARRY((!\led_flash_cnt[326][5]~31453\) # (!\led_flash_cnt[326][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[326][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[326][5]~31453\,
	combout => \led_flash_cnt[326][6]~31454_combout\,
	cout => \led_flash_cnt[326][6]~31455\);

-- Location: FF_X61_Y10_N15
\led_flash_cnt[326][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[326][6]~31454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[326][6]~q\);

-- Location: LCCOMB_X61_Y10_N16
\led_flash_cnt[326][7]~31456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[326][7]~31456_combout\ = \led_flash_cnt[326][6]~31455\ $ (!\led_flash_cnt[326][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[326][7]~q\,
	cin => \led_flash_cnt[326][6]~31455\,
	combout => \led_flash_cnt[326][7]~31456_combout\);

-- Location: FF_X61_Y10_N17
\led_flash_cnt[326][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[326][7]~31456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[326][7]~q\);

-- Location: LCCOMB_X61_Y10_N26
\WideAnd326~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd326~1_combout\ = (\led_flash_cnt[326][6]~q\ & \led_flash_cnt[326][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[326][6]~q\,
	datad => \led_flash_cnt[326][5]~q\,
	combout => \WideAnd326~1_combout\);

-- Location: LCCOMB_X61_Y10_N18
\WideAnd326~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd326~0_combout\ = (\led_flash_cnt[326][4]~q\ & (\led_flash_cnt[326][1]~q\ & (\led_flash_cnt[326][3]~q\ & \led_flash_cnt[326][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[326][4]~q\,
	datab => \led_flash_cnt[326][1]~q\,
	datac => \led_flash_cnt[326][3]~q\,
	datad => \led_flash_cnt[326][2]~q\,
	combout => \WideAnd326~0_combout\);

-- Location: LCCOMB_X61_Y10_N24
WideAnd326 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd326~combout\ = (\led_flash_cnt[326][0]~q\ & (\led_flash_cnt[326][7]~q\ & (\WideAnd326~1_combout\ & \WideAnd326~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[326][0]~q\,
	datab => \led_flash_cnt[326][7]~q\,
	datac => \WideAnd326~1_combout\,
	datad => \WideAnd326~0_combout\,
	combout => \WideAnd326~combout\);

-- Location: FF_X61_Y10_N25
\led_flash_cnt_ands[326]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd326~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(326));

-- Location: LCCOMB_X62_Y6_N24
\led_flash_cnt[327][0]~80967\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[327][0]~80967_combout\ = !\led_flash_cnt[327][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[327][0]~q\,
	combout => \led_flash_cnt[327][0]~80967_combout\);

-- Location: FF_X62_Y6_N25
\led_flash_cnt[327][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[327][0]~80967_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[327][0]~q\);

-- Location: LCCOMB_X62_Y6_N2
\led_flash_cnt[327][1]~31458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[327][1]~31458_combout\ = (\led_flash_cnt[327][1]~q\ & (\led_flash_cnt[327][0]~q\ $ (VCC))) # (!\led_flash_cnt[327][1]~q\ & (\led_flash_cnt[327][0]~q\ & VCC))
-- \led_flash_cnt[327][1]~31459\ = CARRY((\led_flash_cnt[327][1]~q\ & \led_flash_cnt[327][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[327][1]~q\,
	datab => \led_flash_cnt[327][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[327][1]~31458_combout\,
	cout => \led_flash_cnt[327][1]~31459\);

-- Location: FF_X62_Y6_N3
\led_flash_cnt[327][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[327][1]~31458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[327][1]~q\);

-- Location: LCCOMB_X62_Y6_N4
\led_flash_cnt[327][2]~31460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[327][2]~31460_combout\ = (\led_flash_cnt[327][2]~q\ & (!\led_flash_cnt[327][1]~31459\)) # (!\led_flash_cnt[327][2]~q\ & ((\led_flash_cnt[327][1]~31459\) # (GND)))
-- \led_flash_cnt[327][2]~31461\ = CARRY((!\led_flash_cnt[327][1]~31459\) # (!\led_flash_cnt[327][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[327][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[327][1]~31459\,
	combout => \led_flash_cnt[327][2]~31460_combout\,
	cout => \led_flash_cnt[327][2]~31461\);

-- Location: FF_X62_Y6_N5
\led_flash_cnt[327][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[327][2]~31460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[327][2]~q\);

-- Location: LCCOMB_X62_Y6_N6
\led_flash_cnt[327][3]~31462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[327][3]~31462_combout\ = (\led_flash_cnt[327][3]~q\ & (\led_flash_cnt[327][2]~31461\ $ (GND))) # (!\led_flash_cnt[327][3]~q\ & (!\led_flash_cnt[327][2]~31461\ & VCC))
-- \led_flash_cnt[327][3]~31463\ = CARRY((\led_flash_cnt[327][3]~q\ & !\led_flash_cnt[327][2]~31461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[327][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[327][2]~31461\,
	combout => \led_flash_cnt[327][3]~31462_combout\,
	cout => \led_flash_cnt[327][3]~31463\);

-- Location: FF_X62_Y6_N7
\led_flash_cnt[327][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[327][3]~31462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[327][3]~q\);

-- Location: LCCOMB_X62_Y6_N8
\led_flash_cnt[327][4]~31464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[327][4]~31464_combout\ = (\led_flash_cnt[327][4]~q\ & (!\led_flash_cnt[327][3]~31463\)) # (!\led_flash_cnt[327][4]~q\ & ((\led_flash_cnt[327][3]~31463\) # (GND)))
-- \led_flash_cnt[327][4]~31465\ = CARRY((!\led_flash_cnt[327][3]~31463\) # (!\led_flash_cnt[327][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[327][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[327][3]~31463\,
	combout => \led_flash_cnt[327][4]~31464_combout\,
	cout => \led_flash_cnt[327][4]~31465\);

-- Location: FF_X62_Y6_N9
\led_flash_cnt[327][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[327][4]~31464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[327][4]~q\);

-- Location: LCCOMB_X62_Y6_N10
\led_flash_cnt[327][5]~31466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[327][5]~31466_combout\ = (\led_flash_cnt[327][5]~q\ & (\led_flash_cnt[327][4]~31465\ $ (GND))) # (!\led_flash_cnt[327][5]~q\ & (!\led_flash_cnt[327][4]~31465\ & VCC))
-- \led_flash_cnt[327][5]~31467\ = CARRY((\led_flash_cnt[327][5]~q\ & !\led_flash_cnt[327][4]~31465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[327][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[327][4]~31465\,
	combout => \led_flash_cnt[327][5]~31466_combout\,
	cout => \led_flash_cnt[327][5]~31467\);

-- Location: FF_X62_Y6_N11
\led_flash_cnt[327][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[327][5]~31466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[327][5]~q\);

-- Location: LCCOMB_X62_Y6_N12
\led_flash_cnt[327][6]~31468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[327][6]~31468_combout\ = (\led_flash_cnt[327][6]~q\ & (!\led_flash_cnt[327][5]~31467\)) # (!\led_flash_cnt[327][6]~q\ & ((\led_flash_cnt[327][5]~31467\) # (GND)))
-- \led_flash_cnt[327][6]~31469\ = CARRY((!\led_flash_cnt[327][5]~31467\) # (!\led_flash_cnt[327][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[327][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[327][5]~31467\,
	combout => \led_flash_cnt[327][6]~31468_combout\,
	cout => \led_flash_cnt[327][6]~31469\);

-- Location: FF_X62_Y6_N13
\led_flash_cnt[327][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[327][6]~31468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[327][6]~q\);

-- Location: LCCOMB_X62_Y6_N26
\WideAnd327~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd327~1_combout\ = (\led_flash_cnt[327][6]~q\ & \led_flash_cnt[327][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[327][6]~q\,
	datad => \led_flash_cnt[327][5]~q\,
	combout => \WideAnd327~1_combout\);

-- Location: LCCOMB_X62_Y6_N14
\led_flash_cnt[327][7]~31470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[327][7]~31470_combout\ = \led_flash_cnt[327][7]~q\ $ (!\led_flash_cnt[327][6]~31469\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[327][7]~q\,
	cin => \led_flash_cnt[327][6]~31469\,
	combout => \led_flash_cnt[327][7]~31470_combout\);

-- Location: FF_X62_Y6_N15
\led_flash_cnt[327][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[327][7]~31470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[327][7]~q\);

-- Location: LCCOMB_X62_Y6_N18
\WideAnd327~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd327~0_combout\ = (\led_flash_cnt[327][1]~q\ & (\led_flash_cnt[327][4]~q\ & (\led_flash_cnt[327][2]~q\ & \led_flash_cnt[327][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[327][1]~q\,
	datab => \led_flash_cnt[327][4]~q\,
	datac => \led_flash_cnt[327][2]~q\,
	datad => \led_flash_cnt[327][3]~q\,
	combout => \WideAnd327~0_combout\);

-- Location: LCCOMB_X62_Y6_N0
WideAnd327 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd327~combout\ = (\WideAnd327~1_combout\ & (\led_flash_cnt[327][0]~q\ & (\led_flash_cnt[327][7]~q\ & \WideAnd327~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd327~1_combout\,
	datab => \led_flash_cnt[327][0]~q\,
	datac => \led_flash_cnt[327][7]~q\,
	datad => \WideAnd327~0_combout\,
	combout => \WideAnd327~combout\);

-- Location: FF_X62_Y6_N1
\led_flash_cnt_ands[327]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd327~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(327));

-- Location: LCCOMB_X57_Y2_N12
\led_flash_cnt[322][0]~80962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[322][0]~80962_combout\ = !\led_flash_cnt[322][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[322][0]~q\,
	combout => \led_flash_cnt[322][0]~80962_combout\);

-- Location: FF_X57_Y2_N13
\led_flash_cnt[322][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[322][0]~80962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[322][0]~q\);

-- Location: LCCOMB_X57_Y2_N18
\led_flash_cnt[322][1]~31388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[322][1]~31388_combout\ = (\led_flash_cnt[322][0]~q\ & (\led_flash_cnt[322][1]~q\ $ (VCC))) # (!\led_flash_cnt[322][0]~q\ & (\led_flash_cnt[322][1]~q\ & VCC))
-- \led_flash_cnt[322][1]~31389\ = CARRY((\led_flash_cnt[322][0]~q\ & \led_flash_cnt[322][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[322][0]~q\,
	datab => \led_flash_cnt[322][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[322][1]~31388_combout\,
	cout => \led_flash_cnt[322][1]~31389\);

-- Location: FF_X57_Y2_N19
\led_flash_cnt[322][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[322][1]~31388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[322][1]~q\);

-- Location: LCCOMB_X57_Y2_N20
\led_flash_cnt[322][2]~31390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[322][2]~31390_combout\ = (\led_flash_cnt[322][2]~q\ & (!\led_flash_cnt[322][1]~31389\)) # (!\led_flash_cnt[322][2]~q\ & ((\led_flash_cnt[322][1]~31389\) # (GND)))
-- \led_flash_cnt[322][2]~31391\ = CARRY((!\led_flash_cnt[322][1]~31389\) # (!\led_flash_cnt[322][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[322][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[322][1]~31389\,
	combout => \led_flash_cnt[322][2]~31390_combout\,
	cout => \led_flash_cnt[322][2]~31391\);

-- Location: FF_X57_Y2_N21
\led_flash_cnt[322][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[322][2]~31390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[322][2]~q\);

-- Location: LCCOMB_X57_Y2_N22
\led_flash_cnt[322][3]~31392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[322][3]~31392_combout\ = (\led_flash_cnt[322][3]~q\ & (\led_flash_cnt[322][2]~31391\ $ (GND))) # (!\led_flash_cnt[322][3]~q\ & (!\led_flash_cnt[322][2]~31391\ & VCC))
-- \led_flash_cnt[322][3]~31393\ = CARRY((\led_flash_cnt[322][3]~q\ & !\led_flash_cnt[322][2]~31391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[322][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[322][2]~31391\,
	combout => \led_flash_cnt[322][3]~31392_combout\,
	cout => \led_flash_cnt[322][3]~31393\);

-- Location: FF_X57_Y2_N23
\led_flash_cnt[322][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[322][3]~31392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[322][3]~q\);

-- Location: LCCOMB_X57_Y2_N24
\led_flash_cnt[322][4]~31394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[322][4]~31394_combout\ = (\led_flash_cnt[322][4]~q\ & (!\led_flash_cnt[322][3]~31393\)) # (!\led_flash_cnt[322][4]~q\ & ((\led_flash_cnt[322][3]~31393\) # (GND)))
-- \led_flash_cnt[322][4]~31395\ = CARRY((!\led_flash_cnt[322][3]~31393\) # (!\led_flash_cnt[322][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[322][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[322][3]~31393\,
	combout => \led_flash_cnt[322][4]~31394_combout\,
	cout => \led_flash_cnt[322][4]~31395\);

-- Location: FF_X57_Y2_N25
\led_flash_cnt[322][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[322][4]~31394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[322][4]~q\);

-- Location: LCCOMB_X57_Y2_N26
\led_flash_cnt[322][5]~31396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[322][5]~31396_combout\ = (\led_flash_cnt[322][5]~q\ & (\led_flash_cnt[322][4]~31395\ $ (GND))) # (!\led_flash_cnt[322][5]~q\ & (!\led_flash_cnt[322][4]~31395\ & VCC))
-- \led_flash_cnt[322][5]~31397\ = CARRY((\led_flash_cnt[322][5]~q\ & !\led_flash_cnt[322][4]~31395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[322][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[322][4]~31395\,
	combout => \led_flash_cnt[322][5]~31396_combout\,
	cout => \led_flash_cnt[322][5]~31397\);

-- Location: FF_X57_Y2_N27
\led_flash_cnt[322][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[322][5]~31396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[322][5]~q\);

-- Location: LCCOMB_X57_Y2_N28
\led_flash_cnt[322][6]~31398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[322][6]~31398_combout\ = (\led_flash_cnt[322][6]~q\ & (!\led_flash_cnt[322][5]~31397\)) # (!\led_flash_cnt[322][6]~q\ & ((\led_flash_cnt[322][5]~31397\) # (GND)))
-- \led_flash_cnt[322][6]~31399\ = CARRY((!\led_flash_cnt[322][5]~31397\) # (!\led_flash_cnt[322][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[322][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[322][5]~31397\,
	combout => \led_flash_cnt[322][6]~31398_combout\,
	cout => \led_flash_cnt[322][6]~31399\);

-- Location: FF_X57_Y2_N29
\led_flash_cnt[322][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[322][6]~31398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[322][6]~q\);

-- Location: LCCOMB_X57_Y2_N30
\led_flash_cnt[322][7]~31400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[322][7]~31400_combout\ = \led_flash_cnt[322][7]~q\ $ (!\led_flash_cnt[322][6]~31399\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[322][7]~q\,
	cin => \led_flash_cnt[322][6]~31399\,
	combout => \led_flash_cnt[322][7]~31400_combout\);

-- Location: FF_X57_Y2_N31
\led_flash_cnt[322][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[322][7]~31400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[322][7]~q\);

-- Location: LCCOMB_X57_Y2_N16
\WideAnd322~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd322~1_combout\ = (\led_flash_cnt[322][5]~q\ & \led_flash_cnt[322][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[322][5]~q\,
	datad => \led_flash_cnt[322][6]~q\,
	combout => \WideAnd322~1_combout\);

-- Location: LCCOMB_X57_Y2_N4
\WideAnd322~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd322~0_combout\ = (\led_flash_cnt[322][4]~q\ & (\led_flash_cnt[322][2]~q\ & (\led_flash_cnt[322][3]~q\ & \led_flash_cnt[322][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[322][4]~q\,
	datab => \led_flash_cnt[322][2]~q\,
	datac => \led_flash_cnt[322][3]~q\,
	datad => \led_flash_cnt[322][1]~q\,
	combout => \WideAnd322~0_combout\);

-- Location: LCCOMB_X57_Y2_N10
WideAnd322 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd322~combout\ = (\led_flash_cnt[322][7]~q\ & (\WideAnd322~1_combout\ & (\WideAnd322~0_combout\ & \led_flash_cnt[322][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[322][7]~q\,
	datab => \WideAnd322~1_combout\,
	datac => \WideAnd322~0_combout\,
	datad => \led_flash_cnt[322][0]~q\,
	combout => \WideAnd322~combout\);

-- Location: FF_X57_Y2_N11
\led_flash_cnt_ands[322]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd322~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(322));

-- Location: LCCOMB_X56_Y4_N2
\led_flash_cnt[323][0]~80963\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[323][0]~80963_combout\ = !\led_flash_cnt[323][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[323][0]~q\,
	combout => \led_flash_cnt[323][0]~80963_combout\);

-- Location: FF_X56_Y4_N3
\led_flash_cnt[323][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[323][0]~80963_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[323][0]~q\);

-- Location: LCCOMB_X55_Y4_N4
\led_flash_cnt[323][1]~31402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[323][1]~31402_combout\ = (\led_flash_cnt[323][0]~q\ & (\led_flash_cnt[323][1]~q\ $ (VCC))) # (!\led_flash_cnt[323][0]~q\ & (\led_flash_cnt[323][1]~q\ & VCC))
-- \led_flash_cnt[323][1]~31403\ = CARRY((\led_flash_cnt[323][0]~q\ & \led_flash_cnt[323][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[323][0]~q\,
	datab => \led_flash_cnt[323][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[323][1]~31402_combout\,
	cout => \led_flash_cnt[323][1]~31403\);

-- Location: FF_X55_Y4_N5
\led_flash_cnt[323][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[323][1]~31402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[323][1]~q\);

-- Location: LCCOMB_X55_Y4_N6
\led_flash_cnt[323][2]~31404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[323][2]~31404_combout\ = (\led_flash_cnt[323][2]~q\ & (!\led_flash_cnt[323][1]~31403\)) # (!\led_flash_cnt[323][2]~q\ & ((\led_flash_cnt[323][1]~31403\) # (GND)))
-- \led_flash_cnt[323][2]~31405\ = CARRY((!\led_flash_cnt[323][1]~31403\) # (!\led_flash_cnt[323][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[323][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[323][1]~31403\,
	combout => \led_flash_cnt[323][2]~31404_combout\,
	cout => \led_flash_cnt[323][2]~31405\);

-- Location: FF_X55_Y4_N7
\led_flash_cnt[323][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[323][2]~31404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[323][2]~q\);

-- Location: LCCOMB_X55_Y4_N8
\led_flash_cnt[323][3]~31406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[323][3]~31406_combout\ = (\led_flash_cnt[323][3]~q\ & (\led_flash_cnt[323][2]~31405\ $ (GND))) # (!\led_flash_cnt[323][3]~q\ & (!\led_flash_cnt[323][2]~31405\ & VCC))
-- \led_flash_cnt[323][3]~31407\ = CARRY((\led_flash_cnt[323][3]~q\ & !\led_flash_cnt[323][2]~31405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[323][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[323][2]~31405\,
	combout => \led_flash_cnt[323][3]~31406_combout\,
	cout => \led_flash_cnt[323][3]~31407\);

-- Location: FF_X55_Y4_N9
\led_flash_cnt[323][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[323][3]~31406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[323][3]~q\);

-- Location: LCCOMB_X55_Y4_N10
\led_flash_cnt[323][4]~31408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[323][4]~31408_combout\ = (\led_flash_cnt[323][4]~q\ & (!\led_flash_cnt[323][3]~31407\)) # (!\led_flash_cnt[323][4]~q\ & ((\led_flash_cnt[323][3]~31407\) # (GND)))
-- \led_flash_cnt[323][4]~31409\ = CARRY((!\led_flash_cnt[323][3]~31407\) # (!\led_flash_cnt[323][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[323][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[323][3]~31407\,
	combout => \led_flash_cnt[323][4]~31408_combout\,
	cout => \led_flash_cnt[323][4]~31409\);

-- Location: FF_X55_Y4_N11
\led_flash_cnt[323][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[323][4]~31408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[323][4]~q\);

-- Location: LCCOMB_X55_Y4_N0
\WideAnd323~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd323~0_combout\ = (\led_flash_cnt[323][4]~q\ & (\led_flash_cnt[323][3]~q\ & (\led_flash_cnt[323][1]~q\ & \led_flash_cnt[323][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[323][4]~q\,
	datab => \led_flash_cnt[323][3]~q\,
	datac => \led_flash_cnt[323][1]~q\,
	datad => \led_flash_cnt[323][2]~q\,
	combout => \WideAnd323~0_combout\);

-- Location: LCCOMB_X55_Y4_N12
\led_flash_cnt[323][5]~31410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[323][5]~31410_combout\ = (\led_flash_cnt[323][5]~q\ & (\led_flash_cnt[323][4]~31409\ $ (GND))) # (!\led_flash_cnt[323][5]~q\ & (!\led_flash_cnt[323][4]~31409\ & VCC))
-- \led_flash_cnt[323][5]~31411\ = CARRY((\led_flash_cnt[323][5]~q\ & !\led_flash_cnt[323][4]~31409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[323][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[323][4]~31409\,
	combout => \led_flash_cnt[323][5]~31410_combout\,
	cout => \led_flash_cnt[323][5]~31411\);

-- Location: FF_X55_Y4_N13
\led_flash_cnt[323][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[323][5]~31410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[323][5]~q\);

-- Location: LCCOMB_X55_Y4_N14
\led_flash_cnt[323][6]~31412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[323][6]~31412_combout\ = (\led_flash_cnt[323][6]~q\ & (!\led_flash_cnt[323][5]~31411\)) # (!\led_flash_cnt[323][6]~q\ & ((\led_flash_cnt[323][5]~31411\) # (GND)))
-- \led_flash_cnt[323][6]~31413\ = CARRY((!\led_flash_cnt[323][5]~31411\) # (!\led_flash_cnt[323][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[323][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[323][5]~31411\,
	combout => \led_flash_cnt[323][6]~31412_combout\,
	cout => \led_flash_cnt[323][6]~31413\);

-- Location: FF_X55_Y4_N15
\led_flash_cnt[323][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[323][6]~31412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[323][6]~q\);

-- Location: LCCOMB_X55_Y4_N16
\led_flash_cnt[323][7]~31414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[323][7]~31414_combout\ = \led_flash_cnt[323][6]~31413\ $ (!\led_flash_cnt[323][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[323][7]~q\,
	cin => \led_flash_cnt[323][6]~31413\,
	combout => \led_flash_cnt[323][7]~31414_combout\);

-- Location: FF_X55_Y4_N17
\led_flash_cnt[323][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[323][7]~31414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[323][7]~q\);

-- Location: LCCOMB_X56_Y4_N26
\WideAnd323~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd323~1_combout\ = (\led_flash_cnt[323][6]~q\ & \led_flash_cnt[323][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[323][6]~q\,
	datad => \led_flash_cnt[323][5]~q\,
	combout => \WideAnd323~1_combout\);

-- Location: LCCOMB_X56_Y4_N30
WideAnd323 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd323~combout\ = (\WideAnd323~0_combout\ & (\led_flash_cnt[323][7]~q\ & (\WideAnd323~1_combout\ & \led_flash_cnt[323][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd323~0_combout\,
	datab => \led_flash_cnt[323][7]~q\,
	datac => \WideAnd323~1_combout\,
	datad => \led_flash_cnt[323][0]~q\,
	combout => \WideAnd323~combout\);

-- Location: FF_X56_Y4_N31
\led_flash_cnt_ands[323]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd323~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(323));

-- Location: LCCOMB_X56_Y4_N22
\led_flash_cnt[321][0]~80961\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[321][0]~80961_combout\ = !\led_flash_cnt[321][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[321][0]~q\,
	combout => \led_flash_cnt[321][0]~80961_combout\);

-- Location: FF_X56_Y4_N23
\led_flash_cnt[321][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[321][0]~80961_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[321][0]~q\);

-- Location: LCCOMB_X56_Y4_N8
\led_flash_cnt[321][1]~31374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[321][1]~31374_combout\ = (\led_flash_cnt[321][0]~q\ & (\led_flash_cnt[321][1]~q\ $ (VCC))) # (!\led_flash_cnt[321][0]~q\ & (\led_flash_cnt[321][1]~q\ & VCC))
-- \led_flash_cnt[321][1]~31375\ = CARRY((\led_flash_cnt[321][0]~q\ & \led_flash_cnt[321][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[321][0]~q\,
	datab => \led_flash_cnt[321][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[321][1]~31374_combout\,
	cout => \led_flash_cnt[321][1]~31375\);

-- Location: FF_X56_Y4_N9
\led_flash_cnt[321][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[321][1]~31374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[321][1]~q\);

-- Location: LCCOMB_X56_Y4_N10
\led_flash_cnt[321][2]~31376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[321][2]~31376_combout\ = (\led_flash_cnt[321][2]~q\ & (!\led_flash_cnt[321][1]~31375\)) # (!\led_flash_cnt[321][2]~q\ & ((\led_flash_cnt[321][1]~31375\) # (GND)))
-- \led_flash_cnt[321][2]~31377\ = CARRY((!\led_flash_cnt[321][1]~31375\) # (!\led_flash_cnt[321][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[321][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[321][1]~31375\,
	combout => \led_flash_cnt[321][2]~31376_combout\,
	cout => \led_flash_cnt[321][2]~31377\);

-- Location: FF_X56_Y4_N11
\led_flash_cnt[321][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[321][2]~31376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[321][2]~q\);

-- Location: LCCOMB_X56_Y4_N12
\led_flash_cnt[321][3]~31378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[321][3]~31378_combout\ = (\led_flash_cnt[321][3]~q\ & (\led_flash_cnt[321][2]~31377\ $ (GND))) # (!\led_flash_cnt[321][3]~q\ & (!\led_flash_cnt[321][2]~31377\ & VCC))
-- \led_flash_cnt[321][3]~31379\ = CARRY((\led_flash_cnt[321][3]~q\ & !\led_flash_cnt[321][2]~31377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[321][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[321][2]~31377\,
	combout => \led_flash_cnt[321][3]~31378_combout\,
	cout => \led_flash_cnt[321][3]~31379\);

-- Location: FF_X56_Y4_N13
\led_flash_cnt[321][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[321][3]~31378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[321][3]~q\);

-- Location: LCCOMB_X56_Y4_N14
\led_flash_cnt[321][4]~31380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[321][4]~31380_combout\ = (\led_flash_cnt[321][4]~q\ & (!\led_flash_cnt[321][3]~31379\)) # (!\led_flash_cnt[321][4]~q\ & ((\led_flash_cnt[321][3]~31379\) # (GND)))
-- \led_flash_cnt[321][4]~31381\ = CARRY((!\led_flash_cnt[321][3]~31379\) # (!\led_flash_cnt[321][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[321][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[321][3]~31379\,
	combout => \led_flash_cnt[321][4]~31380_combout\,
	cout => \led_flash_cnt[321][4]~31381\);

-- Location: FF_X56_Y4_N15
\led_flash_cnt[321][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[321][4]~31380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[321][4]~q\);

-- Location: LCCOMB_X56_Y4_N16
\led_flash_cnt[321][5]~31382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[321][5]~31382_combout\ = (\led_flash_cnt[321][5]~q\ & (\led_flash_cnt[321][4]~31381\ $ (GND))) # (!\led_flash_cnt[321][5]~q\ & (!\led_flash_cnt[321][4]~31381\ & VCC))
-- \led_flash_cnt[321][5]~31383\ = CARRY((\led_flash_cnt[321][5]~q\ & !\led_flash_cnt[321][4]~31381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[321][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[321][4]~31381\,
	combout => \led_flash_cnt[321][5]~31382_combout\,
	cout => \led_flash_cnt[321][5]~31383\);

-- Location: FF_X56_Y4_N17
\led_flash_cnt[321][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[321][5]~31382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[321][5]~q\);

-- Location: LCCOMB_X56_Y4_N18
\led_flash_cnt[321][6]~31384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[321][6]~31384_combout\ = (\led_flash_cnt[321][6]~q\ & (!\led_flash_cnt[321][5]~31383\)) # (!\led_flash_cnt[321][6]~q\ & ((\led_flash_cnt[321][5]~31383\) # (GND)))
-- \led_flash_cnt[321][6]~31385\ = CARRY((!\led_flash_cnt[321][5]~31383\) # (!\led_flash_cnt[321][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[321][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[321][5]~31383\,
	combout => \led_flash_cnt[321][6]~31384_combout\,
	cout => \led_flash_cnt[321][6]~31385\);

-- Location: FF_X56_Y4_N19
\led_flash_cnt[321][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[321][6]~31384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[321][6]~q\);

-- Location: LCCOMB_X56_Y4_N20
\led_flash_cnt[321][7]~31386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[321][7]~31386_combout\ = \led_flash_cnt[321][6]~31385\ $ (!\led_flash_cnt[321][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[321][7]~q\,
	cin => \led_flash_cnt[321][6]~31385\,
	combout => \led_flash_cnt[321][7]~31386_combout\);

-- Location: FF_X56_Y4_N21
\led_flash_cnt[321][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[321][7]~31386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[321][7]~q\);

-- Location: LCCOMB_X56_Y4_N4
\WideAnd321~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd321~1_combout\ = (\led_flash_cnt[321][6]~q\ & \led_flash_cnt[321][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[321][6]~q\,
	datad => \led_flash_cnt[321][5]~q\,
	combout => \WideAnd321~1_combout\);

-- Location: LCCOMB_X56_Y4_N24
\WideAnd321~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd321~0_combout\ = (\led_flash_cnt[321][2]~q\ & (\led_flash_cnt[321][1]~q\ & (\led_flash_cnt[321][4]~q\ & \led_flash_cnt[321][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[321][2]~q\,
	datab => \led_flash_cnt[321][1]~q\,
	datac => \led_flash_cnt[321][4]~q\,
	datad => \led_flash_cnt[321][3]~q\,
	combout => \WideAnd321~0_combout\);

-- Location: LCCOMB_X56_Y4_N6
WideAnd321 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd321~combout\ = (\led_flash_cnt[321][0]~q\ & (\led_flash_cnt[321][7]~q\ & (\WideAnd321~1_combout\ & \WideAnd321~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[321][0]~q\,
	datab => \led_flash_cnt[321][7]~q\,
	datac => \WideAnd321~1_combout\,
	datad => \WideAnd321~0_combout\,
	combout => \WideAnd321~combout\);

-- Location: FF_X56_Y4_N7
\led_flash_cnt_ands[321]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd321~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(321));

-- Location: LCCOMB_X57_Y1_N22
\led_flash_cnt[320][0]~80960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[320][0]~80960_combout\ = !\led_flash_cnt[320][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[320][0]~q\,
	combout => \led_flash_cnt[320][0]~80960_combout\);

-- Location: FF_X57_Y1_N23
\led_flash_cnt[320][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[320][0]~80960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[320][0]~q\);

-- Location: LCCOMB_X57_Y1_N4
\led_flash_cnt[320][1]~31360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[320][1]~31360_combout\ = (\led_flash_cnt[320][0]~q\ & (\led_flash_cnt[320][1]~q\ $ (VCC))) # (!\led_flash_cnt[320][0]~q\ & (\led_flash_cnt[320][1]~q\ & VCC))
-- \led_flash_cnt[320][1]~31361\ = CARRY((\led_flash_cnt[320][0]~q\ & \led_flash_cnt[320][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[320][0]~q\,
	datab => \led_flash_cnt[320][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[320][1]~31360_combout\,
	cout => \led_flash_cnt[320][1]~31361\);

-- Location: FF_X57_Y1_N5
\led_flash_cnt[320][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[320][1]~31360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[320][1]~q\);

-- Location: LCCOMB_X57_Y1_N6
\led_flash_cnt[320][2]~31362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[320][2]~31362_combout\ = (\led_flash_cnt[320][2]~q\ & (!\led_flash_cnt[320][1]~31361\)) # (!\led_flash_cnt[320][2]~q\ & ((\led_flash_cnt[320][1]~31361\) # (GND)))
-- \led_flash_cnt[320][2]~31363\ = CARRY((!\led_flash_cnt[320][1]~31361\) # (!\led_flash_cnt[320][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[320][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[320][1]~31361\,
	combout => \led_flash_cnt[320][2]~31362_combout\,
	cout => \led_flash_cnt[320][2]~31363\);

-- Location: FF_X57_Y1_N7
\led_flash_cnt[320][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[320][2]~31362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[320][2]~q\);

-- Location: LCCOMB_X57_Y1_N8
\led_flash_cnt[320][3]~31364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[320][3]~31364_combout\ = (\led_flash_cnt[320][3]~q\ & (\led_flash_cnt[320][2]~31363\ $ (GND))) # (!\led_flash_cnt[320][3]~q\ & (!\led_flash_cnt[320][2]~31363\ & VCC))
-- \led_flash_cnt[320][3]~31365\ = CARRY((\led_flash_cnt[320][3]~q\ & !\led_flash_cnt[320][2]~31363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[320][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[320][2]~31363\,
	combout => \led_flash_cnt[320][3]~31364_combout\,
	cout => \led_flash_cnt[320][3]~31365\);

-- Location: FF_X57_Y1_N9
\led_flash_cnt[320][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[320][3]~31364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[320][3]~q\);

-- Location: LCCOMB_X57_Y1_N10
\led_flash_cnt[320][4]~31366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[320][4]~31366_combout\ = (\led_flash_cnt[320][4]~q\ & (!\led_flash_cnt[320][3]~31365\)) # (!\led_flash_cnt[320][4]~q\ & ((\led_flash_cnt[320][3]~31365\) # (GND)))
-- \led_flash_cnt[320][4]~31367\ = CARRY((!\led_flash_cnt[320][3]~31365\) # (!\led_flash_cnt[320][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[320][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[320][3]~31365\,
	combout => \led_flash_cnt[320][4]~31366_combout\,
	cout => \led_flash_cnt[320][4]~31367\);

-- Location: FF_X57_Y1_N11
\led_flash_cnt[320][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[320][4]~31366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[320][4]~q\);

-- Location: LCCOMB_X57_Y1_N12
\led_flash_cnt[320][5]~31368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[320][5]~31368_combout\ = (\led_flash_cnt[320][5]~q\ & (\led_flash_cnt[320][4]~31367\ $ (GND))) # (!\led_flash_cnt[320][5]~q\ & (!\led_flash_cnt[320][4]~31367\ & VCC))
-- \led_flash_cnt[320][5]~31369\ = CARRY((\led_flash_cnt[320][5]~q\ & !\led_flash_cnt[320][4]~31367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[320][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[320][4]~31367\,
	combout => \led_flash_cnt[320][5]~31368_combout\,
	cout => \led_flash_cnt[320][5]~31369\);

-- Location: FF_X57_Y1_N13
\led_flash_cnt[320][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[320][5]~31368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[320][5]~q\);

-- Location: LCCOMB_X57_Y1_N14
\led_flash_cnt[320][6]~31370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[320][6]~31370_combout\ = (\led_flash_cnt[320][6]~q\ & (!\led_flash_cnt[320][5]~31369\)) # (!\led_flash_cnt[320][6]~q\ & ((\led_flash_cnt[320][5]~31369\) # (GND)))
-- \led_flash_cnt[320][6]~31371\ = CARRY((!\led_flash_cnt[320][5]~31369\) # (!\led_flash_cnt[320][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[320][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[320][5]~31369\,
	combout => \led_flash_cnt[320][6]~31370_combout\,
	cout => \led_flash_cnt[320][6]~31371\);

-- Location: FF_X57_Y1_N15
\led_flash_cnt[320][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[320][6]~31370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[320][6]~q\);

-- Location: LCCOMB_X57_Y1_N16
\led_flash_cnt[320][7]~31372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[320][7]~31372_combout\ = \led_flash_cnt[320][6]~31371\ $ (!\led_flash_cnt[320][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[320][7]~q\,
	cin => \led_flash_cnt[320][6]~31371\,
	combout => \led_flash_cnt[320][7]~31372_combout\);

-- Location: FF_X57_Y1_N17
\led_flash_cnt[320][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[320][7]~31372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[320][7]~q\);

-- Location: LCCOMB_X57_Y1_N26
\WideAnd320~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd320~1_combout\ = (\led_flash_cnt[320][6]~q\ & \led_flash_cnt[320][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[320][6]~q\,
	datad => \led_flash_cnt[320][5]~q\,
	combout => \WideAnd320~1_combout\);

-- Location: LCCOMB_X57_Y1_N18
\WideAnd320~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd320~0_combout\ = (\led_flash_cnt[320][4]~q\ & (\led_flash_cnt[320][1]~q\ & (\led_flash_cnt[320][3]~q\ & \led_flash_cnt[320][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[320][4]~q\,
	datab => \led_flash_cnt[320][1]~q\,
	datac => \led_flash_cnt[320][3]~q\,
	datad => \led_flash_cnt[320][2]~q\,
	combout => \WideAnd320~0_combout\);

-- Location: LCCOMB_X57_Y1_N24
WideAnd320 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd320~combout\ = (\led_flash_cnt[320][0]~q\ & (\led_flash_cnt[320][7]~q\ & (\WideAnd320~1_combout\ & \WideAnd320~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[320][0]~q\,
	datab => \led_flash_cnt[320][7]~q\,
	datac => \WideAnd320~1_combout\,
	datad => \WideAnd320~0_combout\,
	combout => \WideAnd320~combout\);

-- Location: FF_X57_Y1_N25
\led_flash_cnt_ands[320]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd320~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(320));

-- Location: LCCOMB_X57_Y4_N4
\WideAnd3880~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3880~0_combout\ = (led_flash_cnt_ands(322) & (led_flash_cnt_ands(323) & (led_flash_cnt_ands(321) & led_flash_cnt_ands(320))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(322),
	datab => led_flash_cnt_ands(323),
	datac => led_flash_cnt_ands(321),
	datad => led_flash_cnt_ands(320),
	combout => \WideAnd3880~0_combout\);

-- Location: LCCOMB_X61_Y7_N18
WideAnd3880 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3880~combout\ = (\WideAnd3880~1_combout\ & (led_flash_cnt_ands(326) & (led_flash_cnt_ands(327) & \WideAnd3880~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3880~1_combout\,
	datab => led_flash_cnt_ands(326),
	datac => led_flash_cnt_ands(327),
	datad => \WideAnd3880~0_combout\,
	combout => \WideAnd3880~combout\);

-- Location: FF_X61_Y7_N19
\led_flash_cnt_ands_1[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3880~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(40));

-- Location: LCCOMB_X60_Y4_N10
\led_flash_cnt[346][0]~80986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[346][0]~80986_combout\ = !\led_flash_cnt[346][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[346][0]~q\,
	combout => \led_flash_cnt[346][0]~80986_combout\);

-- Location: FF_X60_Y4_N11
\led_flash_cnt[346][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[346][0]~80986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[346][0]~q\);

-- Location: LCCOMB_X60_Y4_N16
\led_flash_cnt[346][1]~31724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[346][1]~31724_combout\ = (\led_flash_cnt[346][0]~q\ & (\led_flash_cnt[346][1]~q\ $ (VCC))) # (!\led_flash_cnt[346][0]~q\ & (\led_flash_cnt[346][1]~q\ & VCC))
-- \led_flash_cnt[346][1]~31725\ = CARRY((\led_flash_cnt[346][0]~q\ & \led_flash_cnt[346][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[346][0]~q\,
	datab => \led_flash_cnt[346][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[346][1]~31724_combout\,
	cout => \led_flash_cnt[346][1]~31725\);

-- Location: FF_X60_Y4_N17
\led_flash_cnt[346][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[346][1]~31724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[346][1]~q\);

-- Location: LCCOMB_X60_Y4_N18
\led_flash_cnt[346][2]~31726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[346][2]~31726_combout\ = (\led_flash_cnt[346][2]~q\ & (!\led_flash_cnt[346][1]~31725\)) # (!\led_flash_cnt[346][2]~q\ & ((\led_flash_cnt[346][1]~31725\) # (GND)))
-- \led_flash_cnt[346][2]~31727\ = CARRY((!\led_flash_cnt[346][1]~31725\) # (!\led_flash_cnt[346][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[346][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[346][1]~31725\,
	combout => \led_flash_cnt[346][2]~31726_combout\,
	cout => \led_flash_cnt[346][2]~31727\);

-- Location: FF_X60_Y4_N19
\led_flash_cnt[346][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[346][2]~31726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[346][2]~q\);

-- Location: LCCOMB_X60_Y4_N20
\led_flash_cnt[346][3]~31728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[346][3]~31728_combout\ = (\led_flash_cnt[346][3]~q\ & (\led_flash_cnt[346][2]~31727\ $ (GND))) # (!\led_flash_cnt[346][3]~q\ & (!\led_flash_cnt[346][2]~31727\ & VCC))
-- \led_flash_cnt[346][3]~31729\ = CARRY((\led_flash_cnt[346][3]~q\ & !\led_flash_cnt[346][2]~31727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[346][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[346][2]~31727\,
	combout => \led_flash_cnt[346][3]~31728_combout\,
	cout => \led_flash_cnt[346][3]~31729\);

-- Location: FF_X60_Y4_N21
\led_flash_cnt[346][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[346][3]~31728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[346][3]~q\);

-- Location: LCCOMB_X60_Y4_N22
\led_flash_cnt[346][4]~31730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[346][4]~31730_combout\ = (\led_flash_cnt[346][4]~q\ & (!\led_flash_cnt[346][3]~31729\)) # (!\led_flash_cnt[346][4]~q\ & ((\led_flash_cnt[346][3]~31729\) # (GND)))
-- \led_flash_cnt[346][4]~31731\ = CARRY((!\led_flash_cnt[346][3]~31729\) # (!\led_flash_cnt[346][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[346][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[346][3]~31729\,
	combout => \led_flash_cnt[346][4]~31730_combout\,
	cout => \led_flash_cnt[346][4]~31731\);

-- Location: FF_X60_Y4_N23
\led_flash_cnt[346][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[346][4]~31730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[346][4]~q\);

-- Location: LCCOMB_X60_Y4_N24
\led_flash_cnt[346][5]~31732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[346][5]~31732_combout\ = (\led_flash_cnt[346][5]~q\ & (\led_flash_cnt[346][4]~31731\ $ (GND))) # (!\led_flash_cnt[346][5]~q\ & (!\led_flash_cnt[346][4]~31731\ & VCC))
-- \led_flash_cnt[346][5]~31733\ = CARRY((\led_flash_cnt[346][5]~q\ & !\led_flash_cnt[346][4]~31731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[346][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[346][4]~31731\,
	combout => \led_flash_cnt[346][5]~31732_combout\,
	cout => \led_flash_cnt[346][5]~31733\);

-- Location: FF_X60_Y4_N25
\led_flash_cnt[346][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[346][5]~31732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[346][5]~q\);

-- Location: LCCOMB_X60_Y4_N26
\led_flash_cnt[346][6]~31734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[346][6]~31734_combout\ = (\led_flash_cnt[346][6]~q\ & (!\led_flash_cnt[346][5]~31733\)) # (!\led_flash_cnt[346][6]~q\ & ((\led_flash_cnt[346][5]~31733\) # (GND)))
-- \led_flash_cnt[346][6]~31735\ = CARRY((!\led_flash_cnt[346][5]~31733\) # (!\led_flash_cnt[346][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[346][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[346][5]~31733\,
	combout => \led_flash_cnt[346][6]~31734_combout\,
	cout => \led_flash_cnt[346][6]~31735\);

-- Location: FF_X60_Y4_N27
\led_flash_cnt[346][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[346][6]~31734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[346][6]~q\);

-- Location: LCCOMB_X60_Y4_N28
\led_flash_cnt[346][7]~31736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[346][7]~31736_combout\ = \led_flash_cnt[346][6]~31735\ $ (!\led_flash_cnt[346][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[346][7]~q\,
	cin => \led_flash_cnt[346][6]~31735\,
	combout => \led_flash_cnt[346][7]~31736_combout\);

-- Location: FF_X60_Y4_N29
\led_flash_cnt[346][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[346][7]~31736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[346][7]~q\);

-- Location: LCCOMB_X60_Y4_N8
\WideAnd346~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd346~1_combout\ = (\led_flash_cnt[346][6]~q\ & \led_flash_cnt[346][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[346][6]~q\,
	datad => \led_flash_cnt[346][5]~q\,
	combout => \WideAnd346~1_combout\);

-- Location: LCCOMB_X60_Y4_N0
\WideAnd346~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd346~0_combout\ = (\led_flash_cnt[346][3]~q\ & (\led_flash_cnt[346][2]~q\ & (\led_flash_cnt[346][4]~q\ & \led_flash_cnt[346][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[346][3]~q\,
	datab => \led_flash_cnt[346][2]~q\,
	datac => \led_flash_cnt[346][4]~q\,
	datad => \led_flash_cnt[346][1]~q\,
	combout => \WideAnd346~0_combout\);

-- Location: LCCOMB_X60_Y4_N30
WideAnd346 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd346~combout\ = (\led_flash_cnt[346][0]~q\ & (\led_flash_cnt[346][7]~q\ & (\WideAnd346~1_combout\ & \WideAnd346~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[346][0]~q\,
	datab => \led_flash_cnt[346][7]~q\,
	datac => \WideAnd346~1_combout\,
	datad => \WideAnd346~0_combout\,
	combout => \WideAnd346~combout\);

-- Location: FF_X60_Y4_N31
\led_flash_cnt_ands[346]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd346~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(346));

-- Location: LCCOMB_X60_Y18_N30
\led_flash_cnt[344][0]~80984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[344][0]~80984_combout\ = !\led_flash_cnt[344][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[344][0]~q\,
	combout => \led_flash_cnt[344][0]~80984_combout\);

-- Location: FF_X60_Y18_N31
\led_flash_cnt[344][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[344][0]~80984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[344][0]~q\);

-- Location: LCCOMB_X59_Y18_N2
\led_flash_cnt[344][1]~31696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[344][1]~31696_combout\ = (\led_flash_cnt[344][0]~q\ & (\led_flash_cnt[344][1]~q\ $ (VCC))) # (!\led_flash_cnt[344][0]~q\ & (\led_flash_cnt[344][1]~q\ & VCC))
-- \led_flash_cnt[344][1]~31697\ = CARRY((\led_flash_cnt[344][0]~q\ & \led_flash_cnt[344][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[344][0]~q\,
	datab => \led_flash_cnt[344][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[344][1]~31696_combout\,
	cout => \led_flash_cnt[344][1]~31697\);

-- Location: FF_X59_Y18_N3
\led_flash_cnt[344][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[344][1]~31696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[344][1]~q\);

-- Location: LCCOMB_X59_Y18_N4
\led_flash_cnt[344][2]~31698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[344][2]~31698_combout\ = (\led_flash_cnt[344][2]~q\ & (!\led_flash_cnt[344][1]~31697\)) # (!\led_flash_cnt[344][2]~q\ & ((\led_flash_cnt[344][1]~31697\) # (GND)))
-- \led_flash_cnt[344][2]~31699\ = CARRY((!\led_flash_cnt[344][1]~31697\) # (!\led_flash_cnt[344][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[344][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[344][1]~31697\,
	combout => \led_flash_cnt[344][2]~31698_combout\,
	cout => \led_flash_cnt[344][2]~31699\);

-- Location: FF_X59_Y18_N5
\led_flash_cnt[344][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[344][2]~31698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[344][2]~q\);

-- Location: LCCOMB_X59_Y18_N6
\led_flash_cnt[344][3]~31700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[344][3]~31700_combout\ = (\led_flash_cnt[344][3]~q\ & (\led_flash_cnt[344][2]~31699\ $ (GND))) # (!\led_flash_cnt[344][3]~q\ & (!\led_flash_cnt[344][2]~31699\ & VCC))
-- \led_flash_cnt[344][3]~31701\ = CARRY((\led_flash_cnt[344][3]~q\ & !\led_flash_cnt[344][2]~31699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[344][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[344][2]~31699\,
	combout => \led_flash_cnt[344][3]~31700_combout\,
	cout => \led_flash_cnt[344][3]~31701\);

-- Location: FF_X59_Y18_N7
\led_flash_cnt[344][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[344][3]~31700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[344][3]~q\);

-- Location: LCCOMB_X59_Y18_N8
\led_flash_cnt[344][4]~31702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[344][4]~31702_combout\ = (\led_flash_cnt[344][4]~q\ & (!\led_flash_cnt[344][3]~31701\)) # (!\led_flash_cnt[344][4]~q\ & ((\led_flash_cnt[344][3]~31701\) # (GND)))
-- \led_flash_cnt[344][4]~31703\ = CARRY((!\led_flash_cnt[344][3]~31701\) # (!\led_flash_cnt[344][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[344][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[344][3]~31701\,
	combout => \led_flash_cnt[344][4]~31702_combout\,
	cout => \led_flash_cnt[344][4]~31703\);

-- Location: FF_X59_Y18_N9
\led_flash_cnt[344][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[344][4]~31702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[344][4]~q\);

-- Location: LCCOMB_X59_Y18_N10
\led_flash_cnt[344][5]~31704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[344][5]~31704_combout\ = (\led_flash_cnt[344][5]~q\ & (\led_flash_cnt[344][4]~31703\ $ (GND))) # (!\led_flash_cnt[344][5]~q\ & (!\led_flash_cnt[344][4]~31703\ & VCC))
-- \led_flash_cnt[344][5]~31705\ = CARRY((\led_flash_cnt[344][5]~q\ & !\led_flash_cnt[344][4]~31703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[344][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[344][4]~31703\,
	combout => \led_flash_cnt[344][5]~31704_combout\,
	cout => \led_flash_cnt[344][5]~31705\);

-- Location: FF_X59_Y18_N11
\led_flash_cnt[344][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[344][5]~31704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[344][5]~q\);

-- Location: LCCOMB_X59_Y18_N12
\led_flash_cnt[344][6]~31706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[344][6]~31706_combout\ = (\led_flash_cnt[344][6]~q\ & (!\led_flash_cnt[344][5]~31705\)) # (!\led_flash_cnt[344][6]~q\ & ((\led_flash_cnt[344][5]~31705\) # (GND)))
-- \led_flash_cnt[344][6]~31707\ = CARRY((!\led_flash_cnt[344][5]~31705\) # (!\led_flash_cnt[344][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[344][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[344][5]~31705\,
	combout => \led_flash_cnt[344][6]~31706_combout\,
	cout => \led_flash_cnt[344][6]~31707\);

-- Location: FF_X59_Y18_N13
\led_flash_cnt[344][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[344][6]~31706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[344][6]~q\);

-- Location: LCCOMB_X59_Y18_N14
\led_flash_cnt[344][7]~31708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[344][7]~31708_combout\ = \led_flash_cnt[344][7]~q\ $ (!\led_flash_cnt[344][6]~31707\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[344][7]~q\,
	cin => \led_flash_cnt[344][6]~31707\,
	combout => \led_flash_cnt[344][7]~31708_combout\);

-- Location: FF_X59_Y18_N15
\led_flash_cnt[344][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[344][7]~31708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[344][7]~q\);

-- Location: LCCOMB_X60_Y18_N16
\WideAnd344~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd344~1_combout\ = (\led_flash_cnt[344][6]~q\ & \led_flash_cnt[344][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[344][6]~q\,
	datad => \led_flash_cnt[344][5]~q\,
	combout => \WideAnd344~1_combout\);

-- Location: LCCOMB_X59_Y18_N0
\WideAnd344~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd344~0_combout\ = (\led_flash_cnt[344][3]~q\ & (\led_flash_cnt[344][4]~q\ & (\led_flash_cnt[344][2]~q\ & \led_flash_cnt[344][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[344][3]~q\,
	datab => \led_flash_cnt[344][4]~q\,
	datac => \led_flash_cnt[344][2]~q\,
	datad => \led_flash_cnt[344][1]~q\,
	combout => \WideAnd344~0_combout\);

-- Location: LCCOMB_X60_Y18_N26
WideAnd344 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd344~combout\ = (\led_flash_cnt[344][7]~q\ & (\WideAnd344~1_combout\ & (\WideAnd344~0_combout\ & \led_flash_cnt[344][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[344][7]~q\,
	datab => \WideAnd344~1_combout\,
	datac => \WideAnd344~0_combout\,
	datad => \led_flash_cnt[344][0]~q\,
	combout => \WideAnd344~combout\);

-- Location: FF_X60_Y18_N27
\led_flash_cnt_ands[344]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd344~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(344));

-- Location: LCCOMB_X8_Y7_N12
\led_flash_cnt[347][0]~80987\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[347][0]~80987_combout\ = !\led_flash_cnt[347][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[347][0]~q\,
	combout => \led_flash_cnt[347][0]~80987_combout\);

-- Location: FF_X8_Y7_N13
\led_flash_cnt[347][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[347][0]~80987_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[347][0]~q\);

-- Location: LCCOMB_X8_Y7_N14
\led_flash_cnt[347][1]~31738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[347][1]~31738_combout\ = (\led_flash_cnt[347][0]~q\ & (\led_flash_cnt[347][1]~q\ $ (VCC))) # (!\led_flash_cnt[347][0]~q\ & (\led_flash_cnt[347][1]~q\ & VCC))
-- \led_flash_cnt[347][1]~31739\ = CARRY((\led_flash_cnt[347][0]~q\ & \led_flash_cnt[347][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[347][0]~q\,
	datab => \led_flash_cnt[347][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[347][1]~31738_combout\,
	cout => \led_flash_cnt[347][1]~31739\);

-- Location: FF_X8_Y7_N15
\led_flash_cnt[347][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[347][1]~31738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[347][1]~q\);

-- Location: LCCOMB_X8_Y7_N16
\led_flash_cnt[347][2]~31740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[347][2]~31740_combout\ = (\led_flash_cnt[347][2]~q\ & (!\led_flash_cnt[347][1]~31739\)) # (!\led_flash_cnt[347][2]~q\ & ((\led_flash_cnt[347][1]~31739\) # (GND)))
-- \led_flash_cnt[347][2]~31741\ = CARRY((!\led_flash_cnt[347][1]~31739\) # (!\led_flash_cnt[347][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[347][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[347][1]~31739\,
	combout => \led_flash_cnt[347][2]~31740_combout\,
	cout => \led_flash_cnt[347][2]~31741\);

-- Location: FF_X8_Y7_N17
\led_flash_cnt[347][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[347][2]~31740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[347][2]~q\);

-- Location: LCCOMB_X8_Y7_N18
\led_flash_cnt[347][3]~31742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[347][3]~31742_combout\ = (\led_flash_cnt[347][3]~q\ & (\led_flash_cnt[347][2]~31741\ $ (GND))) # (!\led_flash_cnt[347][3]~q\ & (!\led_flash_cnt[347][2]~31741\ & VCC))
-- \led_flash_cnt[347][3]~31743\ = CARRY((\led_flash_cnt[347][3]~q\ & !\led_flash_cnt[347][2]~31741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[347][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[347][2]~31741\,
	combout => \led_flash_cnt[347][3]~31742_combout\,
	cout => \led_flash_cnt[347][3]~31743\);

-- Location: FF_X8_Y7_N19
\led_flash_cnt[347][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[347][3]~31742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[347][3]~q\);

-- Location: LCCOMB_X8_Y7_N20
\led_flash_cnt[347][4]~31744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[347][4]~31744_combout\ = (\led_flash_cnt[347][4]~q\ & (!\led_flash_cnt[347][3]~31743\)) # (!\led_flash_cnt[347][4]~q\ & ((\led_flash_cnt[347][3]~31743\) # (GND)))
-- \led_flash_cnt[347][4]~31745\ = CARRY((!\led_flash_cnt[347][3]~31743\) # (!\led_flash_cnt[347][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[347][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[347][3]~31743\,
	combout => \led_flash_cnt[347][4]~31744_combout\,
	cout => \led_flash_cnt[347][4]~31745\);

-- Location: FF_X8_Y7_N21
\led_flash_cnt[347][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[347][4]~31744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[347][4]~q\);

-- Location: LCCOMB_X8_Y7_N22
\led_flash_cnt[347][5]~31746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[347][5]~31746_combout\ = (\led_flash_cnt[347][5]~q\ & (\led_flash_cnt[347][4]~31745\ $ (GND))) # (!\led_flash_cnt[347][5]~q\ & (!\led_flash_cnt[347][4]~31745\ & VCC))
-- \led_flash_cnt[347][5]~31747\ = CARRY((\led_flash_cnt[347][5]~q\ & !\led_flash_cnt[347][4]~31745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[347][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[347][4]~31745\,
	combout => \led_flash_cnt[347][5]~31746_combout\,
	cout => \led_flash_cnt[347][5]~31747\);

-- Location: FF_X8_Y7_N23
\led_flash_cnt[347][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[347][5]~31746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[347][5]~q\);

-- Location: LCCOMB_X8_Y7_N24
\led_flash_cnt[347][6]~31748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[347][6]~31748_combout\ = (\led_flash_cnt[347][6]~q\ & (!\led_flash_cnt[347][5]~31747\)) # (!\led_flash_cnt[347][6]~q\ & ((\led_flash_cnt[347][5]~31747\) # (GND)))
-- \led_flash_cnt[347][6]~31749\ = CARRY((!\led_flash_cnt[347][5]~31747\) # (!\led_flash_cnt[347][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[347][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[347][5]~31747\,
	combout => \led_flash_cnt[347][6]~31748_combout\,
	cout => \led_flash_cnt[347][6]~31749\);

-- Location: FF_X8_Y7_N25
\led_flash_cnt[347][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[347][6]~31748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[347][6]~q\);

-- Location: LCCOMB_X8_Y7_N10
\WideAnd347~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd347~1_combout\ = (\led_flash_cnt[347][5]~q\ & \led_flash_cnt[347][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[347][5]~q\,
	datad => \led_flash_cnt[347][6]~q\,
	combout => \WideAnd347~1_combout\);

-- Location: LCCOMB_X8_Y7_N4
\WideAnd347~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd347~0_combout\ = (\led_flash_cnt[347][3]~q\ & (\led_flash_cnt[347][4]~q\ & (\led_flash_cnt[347][1]~q\ & \led_flash_cnt[347][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[347][3]~q\,
	datab => \led_flash_cnt[347][4]~q\,
	datac => \led_flash_cnt[347][1]~q\,
	datad => \led_flash_cnt[347][2]~q\,
	combout => \WideAnd347~0_combout\);

-- Location: LCCOMB_X8_Y7_N26
\led_flash_cnt[347][7]~31750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[347][7]~31750_combout\ = \led_flash_cnt[347][7]~q\ $ (!\led_flash_cnt[347][6]~31749\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[347][7]~q\,
	cin => \led_flash_cnt[347][6]~31749\,
	combout => \led_flash_cnt[347][7]~31750_combout\);

-- Location: FF_X8_Y7_N27
\led_flash_cnt[347][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[347][7]~31750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[347][7]~q\);

-- Location: LCCOMB_X8_Y7_N6
WideAnd347 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd347~combout\ = (\WideAnd347~1_combout\ & (\WideAnd347~0_combout\ & (\led_flash_cnt[347][7]~q\ & \led_flash_cnt[347][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd347~1_combout\,
	datab => \WideAnd347~0_combout\,
	datac => \led_flash_cnt[347][7]~q\,
	datad => \led_flash_cnt[347][0]~q\,
	combout => \WideAnd347~combout\);

-- Location: FF_X8_Y7_N7
\led_flash_cnt_ands[347]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd347~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(347));

-- Location: LCCOMB_X60_Y4_N14
\led_flash_cnt[345][0]~80985\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[345][0]~80985_combout\ = !\led_flash_cnt[345][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[345][0]~q\,
	combout => \led_flash_cnt[345][0]~80985_combout\);

-- Location: FF_X60_Y4_N15
\led_flash_cnt[345][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[345][0]~80985_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[345][0]~q\);

-- Location: LCCOMB_X59_Y4_N18
\led_flash_cnt[345][1]~31710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[345][1]~31710_combout\ = (\led_flash_cnt[345][1]~q\ & (\led_flash_cnt[345][0]~q\ $ (VCC))) # (!\led_flash_cnt[345][1]~q\ & (\led_flash_cnt[345][0]~q\ & VCC))
-- \led_flash_cnt[345][1]~31711\ = CARRY((\led_flash_cnt[345][1]~q\ & \led_flash_cnt[345][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[345][1]~q\,
	datab => \led_flash_cnt[345][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[345][1]~31710_combout\,
	cout => \led_flash_cnt[345][1]~31711\);

-- Location: FF_X59_Y4_N19
\led_flash_cnt[345][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[345][1]~31710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[345][1]~q\);

-- Location: LCCOMB_X59_Y4_N20
\led_flash_cnt[345][2]~31712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[345][2]~31712_combout\ = (\led_flash_cnt[345][2]~q\ & (!\led_flash_cnt[345][1]~31711\)) # (!\led_flash_cnt[345][2]~q\ & ((\led_flash_cnt[345][1]~31711\) # (GND)))
-- \led_flash_cnt[345][2]~31713\ = CARRY((!\led_flash_cnt[345][1]~31711\) # (!\led_flash_cnt[345][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[345][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[345][1]~31711\,
	combout => \led_flash_cnt[345][2]~31712_combout\,
	cout => \led_flash_cnt[345][2]~31713\);

-- Location: FF_X59_Y4_N21
\led_flash_cnt[345][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[345][2]~31712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[345][2]~q\);

-- Location: LCCOMB_X59_Y4_N22
\led_flash_cnt[345][3]~31714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[345][3]~31714_combout\ = (\led_flash_cnt[345][3]~q\ & (\led_flash_cnt[345][2]~31713\ $ (GND))) # (!\led_flash_cnt[345][3]~q\ & (!\led_flash_cnt[345][2]~31713\ & VCC))
-- \led_flash_cnt[345][3]~31715\ = CARRY((\led_flash_cnt[345][3]~q\ & !\led_flash_cnt[345][2]~31713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[345][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[345][2]~31713\,
	combout => \led_flash_cnt[345][3]~31714_combout\,
	cout => \led_flash_cnt[345][3]~31715\);

-- Location: FF_X59_Y4_N23
\led_flash_cnt[345][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[345][3]~31714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[345][3]~q\);

-- Location: LCCOMB_X59_Y4_N24
\led_flash_cnt[345][4]~31716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[345][4]~31716_combout\ = (\led_flash_cnt[345][4]~q\ & (!\led_flash_cnt[345][3]~31715\)) # (!\led_flash_cnt[345][4]~q\ & ((\led_flash_cnt[345][3]~31715\) # (GND)))
-- \led_flash_cnt[345][4]~31717\ = CARRY((!\led_flash_cnt[345][3]~31715\) # (!\led_flash_cnt[345][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[345][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[345][3]~31715\,
	combout => \led_flash_cnt[345][4]~31716_combout\,
	cout => \led_flash_cnt[345][4]~31717\);

-- Location: FF_X59_Y4_N25
\led_flash_cnt[345][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[345][4]~31716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[345][4]~q\);

-- Location: LCCOMB_X59_Y4_N26
\led_flash_cnt[345][5]~31718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[345][5]~31718_combout\ = (\led_flash_cnt[345][5]~q\ & (\led_flash_cnt[345][4]~31717\ $ (GND))) # (!\led_flash_cnt[345][5]~q\ & (!\led_flash_cnt[345][4]~31717\ & VCC))
-- \led_flash_cnt[345][5]~31719\ = CARRY((\led_flash_cnt[345][5]~q\ & !\led_flash_cnt[345][4]~31717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[345][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[345][4]~31717\,
	combout => \led_flash_cnt[345][5]~31718_combout\,
	cout => \led_flash_cnt[345][5]~31719\);

-- Location: FF_X59_Y4_N27
\led_flash_cnt[345][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[345][5]~31718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[345][5]~q\);

-- Location: LCCOMB_X59_Y4_N28
\led_flash_cnt[345][6]~31720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[345][6]~31720_combout\ = (\led_flash_cnt[345][6]~q\ & (!\led_flash_cnt[345][5]~31719\)) # (!\led_flash_cnt[345][6]~q\ & ((\led_flash_cnt[345][5]~31719\) # (GND)))
-- \led_flash_cnt[345][6]~31721\ = CARRY((!\led_flash_cnt[345][5]~31719\) # (!\led_flash_cnt[345][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[345][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[345][5]~31719\,
	combout => \led_flash_cnt[345][6]~31720_combout\,
	cout => \led_flash_cnt[345][6]~31721\);

-- Location: FF_X59_Y4_N29
\led_flash_cnt[345][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[345][6]~31720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[345][6]~q\);

-- Location: LCCOMB_X60_Y4_N6
\WideAnd345~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd345~1_combout\ = (\led_flash_cnt[345][5]~q\ & \led_flash_cnt[345][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[345][5]~q\,
	datad => \led_flash_cnt[345][6]~q\,
	combout => \WideAnd345~1_combout\);

-- Location: LCCOMB_X59_Y4_N30
\led_flash_cnt[345][7]~31722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[345][7]~31722_combout\ = \led_flash_cnt[345][7]~q\ $ (!\led_flash_cnt[345][6]~31721\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[345][7]~q\,
	cin => \led_flash_cnt[345][6]~31721\,
	combout => \led_flash_cnt[345][7]~31722_combout\);

-- Location: FF_X59_Y4_N31
\led_flash_cnt[345][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[345][7]~31722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[345][7]~q\);

-- Location: LCCOMB_X59_Y4_N16
\WideAnd345~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd345~0_combout\ = (\led_flash_cnt[345][1]~q\ & (\led_flash_cnt[345][2]~q\ & (\led_flash_cnt[345][3]~q\ & \led_flash_cnt[345][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[345][1]~q\,
	datab => \led_flash_cnt[345][2]~q\,
	datac => \led_flash_cnt[345][3]~q\,
	datad => \led_flash_cnt[345][4]~q\,
	combout => \WideAnd345~0_combout\);

-- Location: LCCOMB_X60_Y4_N4
WideAnd345 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd345~combout\ = (\WideAnd345~1_combout\ & (\led_flash_cnt[345][7]~q\ & (\WideAnd345~0_combout\ & \led_flash_cnt[345][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd345~1_combout\,
	datab => \led_flash_cnt[345][7]~q\,
	datac => \WideAnd345~0_combout\,
	datad => \led_flash_cnt[345][0]~q\,
	combout => \WideAnd345~combout\);

-- Location: FF_X60_Y4_N5
\led_flash_cnt_ands[345]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd345~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(345));

-- Location: LCCOMB_X60_Y7_N8
\WideAnd3883~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3883~0_combout\ = (led_flash_cnt_ands(346) & (led_flash_cnt_ands(344) & (led_flash_cnt_ands(347) & led_flash_cnt_ands(345))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(346),
	datab => led_flash_cnt_ands(344),
	datac => led_flash_cnt_ands(347),
	datad => led_flash_cnt_ands(345),
	combout => \WideAnd3883~0_combout\);

-- Location: LCCOMB_X62_Y11_N6
\led_flash_cnt[351][0]~80991\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[351][0]~80991_combout\ = !\led_flash_cnt[351][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[351][0]~q\,
	combout => \led_flash_cnt[351][0]~80991_combout\);

-- Location: FF_X62_Y11_N7
\led_flash_cnt[351][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[351][0]~80991_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[351][0]~q\);

-- Location: LCCOMB_X63_Y11_N2
\led_flash_cnt[351][1]~31794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[351][1]~31794_combout\ = (\led_flash_cnt[351][0]~q\ & (\led_flash_cnt[351][1]~q\ $ (VCC))) # (!\led_flash_cnt[351][0]~q\ & (\led_flash_cnt[351][1]~q\ & VCC))
-- \led_flash_cnt[351][1]~31795\ = CARRY((\led_flash_cnt[351][0]~q\ & \led_flash_cnt[351][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[351][0]~q\,
	datab => \led_flash_cnt[351][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[351][1]~31794_combout\,
	cout => \led_flash_cnt[351][1]~31795\);

-- Location: FF_X63_Y11_N3
\led_flash_cnt[351][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[351][1]~31794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[351][1]~q\);

-- Location: LCCOMB_X63_Y11_N4
\led_flash_cnt[351][2]~31796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[351][2]~31796_combout\ = (\led_flash_cnt[351][2]~q\ & (!\led_flash_cnt[351][1]~31795\)) # (!\led_flash_cnt[351][2]~q\ & ((\led_flash_cnt[351][1]~31795\) # (GND)))
-- \led_flash_cnt[351][2]~31797\ = CARRY((!\led_flash_cnt[351][1]~31795\) # (!\led_flash_cnt[351][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[351][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[351][1]~31795\,
	combout => \led_flash_cnt[351][2]~31796_combout\,
	cout => \led_flash_cnt[351][2]~31797\);

-- Location: FF_X63_Y11_N5
\led_flash_cnt[351][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[351][2]~31796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[351][2]~q\);

-- Location: LCCOMB_X63_Y11_N6
\led_flash_cnt[351][3]~31798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[351][3]~31798_combout\ = (\led_flash_cnt[351][3]~q\ & (\led_flash_cnt[351][2]~31797\ $ (GND))) # (!\led_flash_cnt[351][3]~q\ & (!\led_flash_cnt[351][2]~31797\ & VCC))
-- \led_flash_cnt[351][3]~31799\ = CARRY((\led_flash_cnt[351][3]~q\ & !\led_flash_cnt[351][2]~31797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[351][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[351][2]~31797\,
	combout => \led_flash_cnt[351][3]~31798_combout\,
	cout => \led_flash_cnt[351][3]~31799\);

-- Location: FF_X63_Y11_N7
\led_flash_cnt[351][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[351][3]~31798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[351][3]~q\);

-- Location: LCCOMB_X63_Y11_N8
\led_flash_cnt[351][4]~31800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[351][4]~31800_combout\ = (\led_flash_cnt[351][4]~q\ & (!\led_flash_cnt[351][3]~31799\)) # (!\led_flash_cnt[351][4]~q\ & ((\led_flash_cnt[351][3]~31799\) # (GND)))
-- \led_flash_cnt[351][4]~31801\ = CARRY((!\led_flash_cnt[351][3]~31799\) # (!\led_flash_cnt[351][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[351][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[351][3]~31799\,
	combout => \led_flash_cnt[351][4]~31800_combout\,
	cout => \led_flash_cnt[351][4]~31801\);

-- Location: FF_X63_Y11_N9
\led_flash_cnt[351][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[351][4]~31800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[351][4]~q\);

-- Location: LCCOMB_X63_Y11_N10
\led_flash_cnt[351][5]~31802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[351][5]~31802_combout\ = (\led_flash_cnt[351][5]~q\ & (\led_flash_cnt[351][4]~31801\ $ (GND))) # (!\led_flash_cnt[351][5]~q\ & (!\led_flash_cnt[351][4]~31801\ & VCC))
-- \led_flash_cnt[351][5]~31803\ = CARRY((\led_flash_cnt[351][5]~q\ & !\led_flash_cnt[351][4]~31801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[351][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[351][4]~31801\,
	combout => \led_flash_cnt[351][5]~31802_combout\,
	cout => \led_flash_cnt[351][5]~31803\);

-- Location: FF_X63_Y11_N11
\led_flash_cnt[351][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[351][5]~31802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[351][5]~q\);

-- Location: LCCOMB_X63_Y11_N12
\led_flash_cnt[351][6]~31804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[351][6]~31804_combout\ = (\led_flash_cnt[351][6]~q\ & (!\led_flash_cnt[351][5]~31803\)) # (!\led_flash_cnt[351][6]~q\ & ((\led_flash_cnt[351][5]~31803\) # (GND)))
-- \led_flash_cnt[351][6]~31805\ = CARRY((!\led_flash_cnt[351][5]~31803\) # (!\led_flash_cnt[351][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[351][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[351][5]~31803\,
	combout => \led_flash_cnt[351][6]~31804_combout\,
	cout => \led_flash_cnt[351][6]~31805\);

-- Location: FF_X63_Y11_N13
\led_flash_cnt[351][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[351][6]~31804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[351][6]~q\);

-- Location: LCCOMB_X62_Y11_N26
\WideAnd351~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd351~1_combout\ = (\led_flash_cnt[351][6]~q\ & \led_flash_cnt[351][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[351][6]~q\,
	datac => \led_flash_cnt[351][5]~q\,
	combout => \WideAnd351~1_combout\);

-- Location: LCCOMB_X63_Y11_N0
\WideAnd351~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd351~0_combout\ = (\led_flash_cnt[351][3]~q\ & (\led_flash_cnt[351][4]~q\ & (\led_flash_cnt[351][2]~q\ & \led_flash_cnt[351][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[351][3]~q\,
	datab => \led_flash_cnt[351][4]~q\,
	datac => \led_flash_cnt[351][2]~q\,
	datad => \led_flash_cnt[351][1]~q\,
	combout => \WideAnd351~0_combout\);

-- Location: LCCOMB_X63_Y11_N14
\led_flash_cnt[351][7]~31806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[351][7]~31806_combout\ = \led_flash_cnt[351][7]~q\ $ (!\led_flash_cnt[351][6]~31805\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[351][7]~q\,
	cin => \led_flash_cnt[351][6]~31805\,
	combout => \led_flash_cnt[351][7]~31806_combout\);

-- Location: FF_X63_Y11_N15
\led_flash_cnt[351][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[351][7]~31806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[351][7]~q\);

-- Location: LCCOMB_X62_Y11_N4
WideAnd351 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd351~combout\ = (\WideAnd351~1_combout\ & (\WideAnd351~0_combout\ & (\led_flash_cnt[351][7]~q\ & \led_flash_cnt[351][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd351~1_combout\,
	datab => \WideAnd351~0_combout\,
	datac => \led_flash_cnt[351][7]~q\,
	datad => \led_flash_cnt[351][0]~q\,
	combout => \WideAnd351~combout\);

-- Location: FF_X62_Y11_N5
\led_flash_cnt_ands[351]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd351~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(351));

-- Location: LCCOMB_X74_Y38_N26
\led_flash_cnt[350][0]~80990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[350][0]~80990_combout\ = !\led_flash_cnt[350][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[350][0]~q\,
	combout => \led_flash_cnt[350][0]~80990_combout\);

-- Location: FF_X74_Y38_N27
\led_flash_cnt[350][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[350][0]~80990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[350][0]~q\);

-- Location: LCCOMB_X75_Y38_N14
\led_flash_cnt[350][1]~31780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[350][1]~31780_combout\ = (\led_flash_cnt[350][0]~q\ & (\led_flash_cnt[350][1]~q\ $ (VCC))) # (!\led_flash_cnt[350][0]~q\ & (\led_flash_cnt[350][1]~q\ & VCC))
-- \led_flash_cnt[350][1]~31781\ = CARRY((\led_flash_cnt[350][0]~q\ & \led_flash_cnt[350][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[350][0]~q\,
	datab => \led_flash_cnt[350][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[350][1]~31780_combout\,
	cout => \led_flash_cnt[350][1]~31781\);

-- Location: FF_X75_Y38_N15
\led_flash_cnt[350][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[350][1]~31780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[350][1]~q\);

-- Location: LCCOMB_X75_Y38_N16
\led_flash_cnt[350][2]~31782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[350][2]~31782_combout\ = (\led_flash_cnt[350][2]~q\ & (!\led_flash_cnt[350][1]~31781\)) # (!\led_flash_cnt[350][2]~q\ & ((\led_flash_cnt[350][1]~31781\) # (GND)))
-- \led_flash_cnt[350][2]~31783\ = CARRY((!\led_flash_cnt[350][1]~31781\) # (!\led_flash_cnt[350][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[350][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[350][1]~31781\,
	combout => \led_flash_cnt[350][2]~31782_combout\,
	cout => \led_flash_cnt[350][2]~31783\);

-- Location: FF_X75_Y38_N17
\led_flash_cnt[350][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[350][2]~31782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[350][2]~q\);

-- Location: LCCOMB_X75_Y38_N18
\led_flash_cnt[350][3]~31784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[350][3]~31784_combout\ = (\led_flash_cnt[350][3]~q\ & (\led_flash_cnt[350][2]~31783\ $ (GND))) # (!\led_flash_cnt[350][3]~q\ & (!\led_flash_cnt[350][2]~31783\ & VCC))
-- \led_flash_cnt[350][3]~31785\ = CARRY((\led_flash_cnt[350][3]~q\ & !\led_flash_cnt[350][2]~31783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[350][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[350][2]~31783\,
	combout => \led_flash_cnt[350][3]~31784_combout\,
	cout => \led_flash_cnt[350][3]~31785\);

-- Location: FF_X75_Y38_N19
\led_flash_cnt[350][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[350][3]~31784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[350][3]~q\);

-- Location: LCCOMB_X75_Y38_N20
\led_flash_cnt[350][4]~31786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[350][4]~31786_combout\ = (\led_flash_cnt[350][4]~q\ & (!\led_flash_cnt[350][3]~31785\)) # (!\led_flash_cnt[350][4]~q\ & ((\led_flash_cnt[350][3]~31785\) # (GND)))
-- \led_flash_cnt[350][4]~31787\ = CARRY((!\led_flash_cnt[350][3]~31785\) # (!\led_flash_cnt[350][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[350][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[350][3]~31785\,
	combout => \led_flash_cnt[350][4]~31786_combout\,
	cout => \led_flash_cnt[350][4]~31787\);

-- Location: FF_X75_Y38_N21
\led_flash_cnt[350][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[350][4]~31786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[350][4]~q\);

-- Location: LCCOMB_X75_Y38_N28
\WideAnd350~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd350~0_combout\ = (\led_flash_cnt[350][4]~q\ & (\led_flash_cnt[350][3]~q\ & (\led_flash_cnt[350][1]~q\ & \led_flash_cnt[350][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[350][4]~q\,
	datab => \led_flash_cnt[350][3]~q\,
	datac => \led_flash_cnt[350][1]~q\,
	datad => \led_flash_cnt[350][2]~q\,
	combout => \WideAnd350~0_combout\);

-- Location: LCCOMB_X75_Y38_N22
\led_flash_cnt[350][5]~31788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[350][5]~31788_combout\ = (\led_flash_cnt[350][5]~q\ & (\led_flash_cnt[350][4]~31787\ $ (GND))) # (!\led_flash_cnt[350][5]~q\ & (!\led_flash_cnt[350][4]~31787\ & VCC))
-- \led_flash_cnt[350][5]~31789\ = CARRY((\led_flash_cnt[350][5]~q\ & !\led_flash_cnt[350][4]~31787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[350][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[350][4]~31787\,
	combout => \led_flash_cnt[350][5]~31788_combout\,
	cout => \led_flash_cnt[350][5]~31789\);

-- Location: FF_X75_Y38_N23
\led_flash_cnt[350][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[350][5]~31788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[350][5]~q\);

-- Location: LCCOMB_X75_Y38_N24
\led_flash_cnt[350][6]~31790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[350][6]~31790_combout\ = (\led_flash_cnt[350][6]~q\ & (!\led_flash_cnt[350][5]~31789\)) # (!\led_flash_cnt[350][6]~q\ & ((\led_flash_cnt[350][5]~31789\) # (GND)))
-- \led_flash_cnt[350][6]~31791\ = CARRY((!\led_flash_cnt[350][5]~31789\) # (!\led_flash_cnt[350][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[350][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[350][5]~31789\,
	combout => \led_flash_cnt[350][6]~31790_combout\,
	cout => \led_flash_cnt[350][6]~31791\);

-- Location: FF_X75_Y38_N25
\led_flash_cnt[350][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[350][6]~31790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[350][6]~q\);

-- Location: LCCOMB_X74_Y38_N30
\WideAnd350~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd350~1_combout\ = (\led_flash_cnt[350][6]~q\ & \led_flash_cnt[350][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[350][6]~q\,
	datad => \led_flash_cnt[350][5]~q\,
	combout => \WideAnd350~1_combout\);

-- Location: LCCOMB_X75_Y38_N26
\led_flash_cnt[350][7]~31792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[350][7]~31792_combout\ = \led_flash_cnt[350][7]~q\ $ (!\led_flash_cnt[350][6]~31791\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[350][7]~q\,
	cin => \led_flash_cnt[350][6]~31791\,
	combout => \led_flash_cnt[350][7]~31792_combout\);

-- Location: FF_X75_Y38_N27
\led_flash_cnt[350][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[350][7]~31792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[350][7]~q\);

-- Location: LCCOMB_X74_Y38_N8
WideAnd350 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd350~combout\ = (\led_flash_cnt[350][0]~q\ & (\WideAnd350~0_combout\ & (\WideAnd350~1_combout\ & \led_flash_cnt[350][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[350][0]~q\,
	datab => \WideAnd350~0_combout\,
	datac => \WideAnd350~1_combout\,
	datad => \led_flash_cnt[350][7]~q\,
	combout => \WideAnd350~combout\);

-- Location: FF_X74_Y38_N9
\led_flash_cnt_ands[350]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd350~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(350));

-- Location: LCCOMB_X63_Y25_N6
\led_flash_cnt[348][0]~80988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[348][0]~80988_combout\ = !\led_flash_cnt[348][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[348][0]~q\,
	combout => \led_flash_cnt[348][0]~80988_combout\);

-- Location: FF_X63_Y25_N7
\led_flash_cnt[348][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[348][0]~80988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[348][0]~q\);

-- Location: LCCOMB_X64_Y25_N4
\led_flash_cnt[348][1]~31752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[348][1]~31752_combout\ = (\led_flash_cnt[348][0]~q\ & (\led_flash_cnt[348][1]~q\ $ (VCC))) # (!\led_flash_cnt[348][0]~q\ & (\led_flash_cnt[348][1]~q\ & VCC))
-- \led_flash_cnt[348][1]~31753\ = CARRY((\led_flash_cnt[348][0]~q\ & \led_flash_cnt[348][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[348][0]~q\,
	datab => \led_flash_cnt[348][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[348][1]~31752_combout\,
	cout => \led_flash_cnt[348][1]~31753\);

-- Location: FF_X64_Y25_N5
\led_flash_cnt[348][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[348][1]~31752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[348][1]~q\);

-- Location: LCCOMB_X64_Y25_N6
\led_flash_cnt[348][2]~31754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[348][2]~31754_combout\ = (\led_flash_cnt[348][2]~q\ & (!\led_flash_cnt[348][1]~31753\)) # (!\led_flash_cnt[348][2]~q\ & ((\led_flash_cnt[348][1]~31753\) # (GND)))
-- \led_flash_cnt[348][2]~31755\ = CARRY((!\led_flash_cnt[348][1]~31753\) # (!\led_flash_cnt[348][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[348][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[348][1]~31753\,
	combout => \led_flash_cnt[348][2]~31754_combout\,
	cout => \led_flash_cnt[348][2]~31755\);

-- Location: FF_X64_Y25_N7
\led_flash_cnt[348][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[348][2]~31754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[348][2]~q\);

-- Location: LCCOMB_X64_Y25_N8
\led_flash_cnt[348][3]~31756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[348][3]~31756_combout\ = (\led_flash_cnt[348][3]~q\ & (\led_flash_cnt[348][2]~31755\ $ (GND))) # (!\led_flash_cnt[348][3]~q\ & (!\led_flash_cnt[348][2]~31755\ & VCC))
-- \led_flash_cnt[348][3]~31757\ = CARRY((\led_flash_cnt[348][3]~q\ & !\led_flash_cnt[348][2]~31755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[348][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[348][2]~31755\,
	combout => \led_flash_cnt[348][3]~31756_combout\,
	cout => \led_flash_cnt[348][3]~31757\);

-- Location: FF_X64_Y25_N9
\led_flash_cnt[348][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[348][3]~31756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[348][3]~q\);

-- Location: LCCOMB_X64_Y25_N10
\led_flash_cnt[348][4]~31758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[348][4]~31758_combout\ = (\led_flash_cnt[348][4]~q\ & (!\led_flash_cnt[348][3]~31757\)) # (!\led_flash_cnt[348][4]~q\ & ((\led_flash_cnt[348][3]~31757\) # (GND)))
-- \led_flash_cnt[348][4]~31759\ = CARRY((!\led_flash_cnt[348][3]~31757\) # (!\led_flash_cnt[348][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[348][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[348][3]~31757\,
	combout => \led_flash_cnt[348][4]~31758_combout\,
	cout => \led_flash_cnt[348][4]~31759\);

-- Location: FF_X64_Y25_N11
\led_flash_cnt[348][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[348][4]~31758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[348][4]~q\);

-- Location: LCCOMB_X64_Y25_N12
\led_flash_cnt[348][5]~31760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[348][5]~31760_combout\ = (\led_flash_cnt[348][5]~q\ & (\led_flash_cnt[348][4]~31759\ $ (GND))) # (!\led_flash_cnt[348][5]~q\ & (!\led_flash_cnt[348][4]~31759\ & VCC))
-- \led_flash_cnt[348][5]~31761\ = CARRY((\led_flash_cnt[348][5]~q\ & !\led_flash_cnt[348][4]~31759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[348][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[348][4]~31759\,
	combout => \led_flash_cnt[348][5]~31760_combout\,
	cout => \led_flash_cnt[348][5]~31761\);

-- Location: FF_X64_Y25_N13
\led_flash_cnt[348][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[348][5]~31760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[348][5]~q\);

-- Location: LCCOMB_X64_Y25_N14
\led_flash_cnt[348][6]~31762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[348][6]~31762_combout\ = (\led_flash_cnt[348][6]~q\ & (!\led_flash_cnt[348][5]~31761\)) # (!\led_flash_cnt[348][6]~q\ & ((\led_flash_cnt[348][5]~31761\) # (GND)))
-- \led_flash_cnt[348][6]~31763\ = CARRY((!\led_flash_cnt[348][5]~31761\) # (!\led_flash_cnt[348][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[348][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[348][5]~31761\,
	combout => \led_flash_cnt[348][6]~31762_combout\,
	cout => \led_flash_cnt[348][6]~31763\);

-- Location: FF_X64_Y25_N15
\led_flash_cnt[348][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[348][6]~31762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[348][6]~q\);

-- Location: LCCOMB_X64_Y25_N16
\led_flash_cnt[348][7]~31764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[348][7]~31764_combout\ = \led_flash_cnt[348][6]~31763\ $ (!\led_flash_cnt[348][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[348][7]~q\,
	cin => \led_flash_cnt[348][6]~31763\,
	combout => \led_flash_cnt[348][7]~31764_combout\);

-- Location: FF_X64_Y25_N17
\led_flash_cnt[348][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[348][7]~31764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[348][7]~q\);

-- Location: LCCOMB_X63_Y25_N4
\WideAnd348~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd348~1_combout\ = (\led_flash_cnt[348][6]~q\ & \led_flash_cnt[348][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[348][6]~q\,
	datac => \led_flash_cnt[348][5]~q\,
	combout => \WideAnd348~1_combout\);

-- Location: LCCOMB_X64_Y25_N2
\WideAnd348~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd348~0_combout\ = (\led_flash_cnt[348][4]~q\ & (\led_flash_cnt[348][3]~q\ & (\led_flash_cnt[348][1]~q\ & \led_flash_cnt[348][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[348][4]~q\,
	datab => \led_flash_cnt[348][3]~q\,
	datac => \led_flash_cnt[348][1]~q\,
	datad => \led_flash_cnt[348][2]~q\,
	combout => \WideAnd348~0_combout\);

-- Location: LCCOMB_X63_Y25_N30
WideAnd348 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd348~combout\ = (\led_flash_cnt[348][0]~q\ & (\led_flash_cnt[348][7]~q\ & (\WideAnd348~1_combout\ & \WideAnd348~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[348][0]~q\,
	datab => \led_flash_cnt[348][7]~q\,
	datac => \WideAnd348~1_combout\,
	datad => \WideAnd348~0_combout\,
	combout => \WideAnd348~combout\);

-- Location: FF_X63_Y25_N31
\led_flash_cnt_ands[348]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd348~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(348));

-- Location: LCCOMB_X62_Y16_N14
\led_flash_cnt[349][0]~80989\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[349][0]~80989_combout\ = !\led_flash_cnt[349][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[349][0]~q\,
	combout => \led_flash_cnt[349][0]~80989_combout\);

-- Location: FF_X62_Y16_N15
\led_flash_cnt[349][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[349][0]~80989_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[349][0]~q\);

-- Location: LCCOMB_X63_Y16_N18
\led_flash_cnt[349][1]~31766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[349][1]~31766_combout\ = (\led_flash_cnt[349][0]~q\ & (\led_flash_cnt[349][1]~q\ $ (VCC))) # (!\led_flash_cnt[349][0]~q\ & (\led_flash_cnt[349][1]~q\ & VCC))
-- \led_flash_cnt[349][1]~31767\ = CARRY((\led_flash_cnt[349][0]~q\ & \led_flash_cnt[349][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[349][0]~q\,
	datab => \led_flash_cnt[349][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[349][1]~31766_combout\,
	cout => \led_flash_cnt[349][1]~31767\);

-- Location: FF_X63_Y16_N19
\led_flash_cnt[349][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[349][1]~31766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[349][1]~q\);

-- Location: LCCOMB_X63_Y16_N20
\led_flash_cnt[349][2]~31768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[349][2]~31768_combout\ = (\led_flash_cnt[349][2]~q\ & (!\led_flash_cnt[349][1]~31767\)) # (!\led_flash_cnt[349][2]~q\ & ((\led_flash_cnt[349][1]~31767\) # (GND)))
-- \led_flash_cnt[349][2]~31769\ = CARRY((!\led_flash_cnt[349][1]~31767\) # (!\led_flash_cnt[349][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[349][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[349][1]~31767\,
	combout => \led_flash_cnt[349][2]~31768_combout\,
	cout => \led_flash_cnt[349][2]~31769\);

-- Location: FF_X63_Y16_N21
\led_flash_cnt[349][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[349][2]~31768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[349][2]~q\);

-- Location: LCCOMB_X63_Y16_N22
\led_flash_cnt[349][3]~31770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[349][3]~31770_combout\ = (\led_flash_cnt[349][3]~q\ & (\led_flash_cnt[349][2]~31769\ $ (GND))) # (!\led_flash_cnt[349][3]~q\ & (!\led_flash_cnt[349][2]~31769\ & VCC))
-- \led_flash_cnt[349][3]~31771\ = CARRY((\led_flash_cnt[349][3]~q\ & !\led_flash_cnt[349][2]~31769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[349][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[349][2]~31769\,
	combout => \led_flash_cnt[349][3]~31770_combout\,
	cout => \led_flash_cnt[349][3]~31771\);

-- Location: FF_X63_Y16_N23
\led_flash_cnt[349][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[349][3]~31770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[349][3]~q\);

-- Location: LCCOMB_X63_Y16_N24
\led_flash_cnt[349][4]~31772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[349][4]~31772_combout\ = (\led_flash_cnt[349][4]~q\ & (!\led_flash_cnt[349][3]~31771\)) # (!\led_flash_cnt[349][4]~q\ & ((\led_flash_cnt[349][3]~31771\) # (GND)))
-- \led_flash_cnt[349][4]~31773\ = CARRY((!\led_flash_cnt[349][3]~31771\) # (!\led_flash_cnt[349][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[349][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[349][3]~31771\,
	combout => \led_flash_cnt[349][4]~31772_combout\,
	cout => \led_flash_cnt[349][4]~31773\);

-- Location: FF_X63_Y16_N25
\led_flash_cnt[349][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[349][4]~31772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[349][4]~q\);

-- Location: LCCOMB_X63_Y16_N26
\led_flash_cnt[349][5]~31774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[349][5]~31774_combout\ = (\led_flash_cnt[349][5]~q\ & (\led_flash_cnt[349][4]~31773\ $ (GND))) # (!\led_flash_cnt[349][5]~q\ & (!\led_flash_cnt[349][4]~31773\ & VCC))
-- \led_flash_cnt[349][5]~31775\ = CARRY((\led_flash_cnt[349][5]~q\ & !\led_flash_cnt[349][4]~31773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[349][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[349][4]~31773\,
	combout => \led_flash_cnt[349][5]~31774_combout\,
	cout => \led_flash_cnt[349][5]~31775\);

-- Location: FF_X63_Y16_N27
\led_flash_cnt[349][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[349][5]~31774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[349][5]~q\);

-- Location: LCCOMB_X63_Y16_N28
\led_flash_cnt[349][6]~31776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[349][6]~31776_combout\ = (\led_flash_cnt[349][6]~q\ & (!\led_flash_cnt[349][5]~31775\)) # (!\led_flash_cnt[349][6]~q\ & ((\led_flash_cnt[349][5]~31775\) # (GND)))
-- \led_flash_cnt[349][6]~31777\ = CARRY((!\led_flash_cnt[349][5]~31775\) # (!\led_flash_cnt[349][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[349][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[349][5]~31775\,
	combout => \led_flash_cnt[349][6]~31776_combout\,
	cout => \led_flash_cnt[349][6]~31777\);

-- Location: FF_X63_Y16_N29
\led_flash_cnt[349][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[349][6]~31776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[349][6]~q\);

-- Location: LCCOMB_X63_Y16_N30
\led_flash_cnt[349][7]~31778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[349][7]~31778_combout\ = \led_flash_cnt[349][7]~q\ $ (!\led_flash_cnt[349][6]~31777\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[349][7]~q\,
	cin => \led_flash_cnt[349][6]~31777\,
	combout => \led_flash_cnt[349][7]~31778_combout\);

-- Location: FF_X63_Y16_N31
\led_flash_cnt[349][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[349][7]~31778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[349][7]~q\);

-- Location: LCCOMB_X62_Y16_N28
\WideAnd349~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd349~1_combout\ = (\led_flash_cnt[349][6]~q\ & \led_flash_cnt[349][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[349][6]~q\,
	datad => \led_flash_cnt[349][5]~q\,
	combout => \WideAnd349~1_combout\);

-- Location: LCCOMB_X62_Y16_N18
\WideAnd349~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd349~0_combout\ = (\led_flash_cnt[349][1]~q\ & (\led_flash_cnt[349][4]~q\ & (\led_flash_cnt[349][2]~q\ & \led_flash_cnt[349][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[349][1]~q\,
	datab => \led_flash_cnt[349][4]~q\,
	datac => \led_flash_cnt[349][2]~q\,
	datad => \led_flash_cnt[349][3]~q\,
	combout => \WideAnd349~0_combout\);

-- Location: LCCOMB_X62_Y16_N20
WideAnd349 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd349~combout\ = (\led_flash_cnt[349][7]~q\ & (\WideAnd349~1_combout\ & (\led_flash_cnt[349][0]~q\ & \WideAnd349~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[349][7]~q\,
	datab => \WideAnd349~1_combout\,
	datac => \led_flash_cnt[349][0]~q\,
	datad => \WideAnd349~0_combout\,
	combout => \WideAnd349~combout\);

-- Location: FF_X62_Y16_N21
\led_flash_cnt_ands[349]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd349~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(349));

-- Location: LCCOMB_X62_Y16_N30
\WideAnd3883~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3883~1_combout\ = (led_flash_cnt_ands(348) & led_flash_cnt_ands(349))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(348),
	datad => led_flash_cnt_ands(349),
	combout => \WideAnd3883~1_combout\);

-- Location: LCCOMB_X62_Y11_N0
WideAnd3883 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3883~combout\ = (\WideAnd3883~0_combout\ & (led_flash_cnt_ands(351) & (led_flash_cnt_ands(350) & \WideAnd3883~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3883~0_combout\,
	datab => led_flash_cnt_ands(351),
	datac => led_flash_cnt_ands(350),
	datad => \WideAnd3883~1_combout\,
	combout => \WideAnd3883~combout\);

-- Location: FF_X62_Y11_N1
\led_flash_cnt_ands_1[43]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3883~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(43));

-- Location: LCCOMB_X77_Y27_N26
\led_flash_cnt[337][0]~80977\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[337][0]~80977_combout\ = !\led_flash_cnt[337][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[337][0]~q\,
	combout => \led_flash_cnt[337][0]~80977_combout\);

-- Location: FF_X77_Y27_N27
\led_flash_cnt[337][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[337][0]~80977_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[337][0]~q\);

-- Location: LCCOMB_X75_Y27_N4
\led_flash_cnt[337][1]~31598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[337][1]~31598_combout\ = (\led_flash_cnt[337][0]~q\ & (\led_flash_cnt[337][1]~q\ $ (VCC))) # (!\led_flash_cnt[337][0]~q\ & (\led_flash_cnt[337][1]~q\ & VCC))
-- \led_flash_cnt[337][1]~31599\ = CARRY((\led_flash_cnt[337][0]~q\ & \led_flash_cnt[337][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[337][0]~q\,
	datab => \led_flash_cnt[337][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[337][1]~31598_combout\,
	cout => \led_flash_cnt[337][1]~31599\);

-- Location: FF_X75_Y27_N5
\led_flash_cnt[337][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[337][1]~31598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[337][1]~q\);

-- Location: LCCOMB_X75_Y27_N6
\led_flash_cnt[337][2]~31600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[337][2]~31600_combout\ = (\led_flash_cnt[337][2]~q\ & (!\led_flash_cnt[337][1]~31599\)) # (!\led_flash_cnt[337][2]~q\ & ((\led_flash_cnt[337][1]~31599\) # (GND)))
-- \led_flash_cnt[337][2]~31601\ = CARRY((!\led_flash_cnt[337][1]~31599\) # (!\led_flash_cnt[337][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[337][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[337][1]~31599\,
	combout => \led_flash_cnt[337][2]~31600_combout\,
	cout => \led_flash_cnt[337][2]~31601\);

-- Location: FF_X75_Y27_N7
\led_flash_cnt[337][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[337][2]~31600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[337][2]~q\);

-- Location: LCCOMB_X74_Y27_N26
\WideAnd337~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd337~1_combout\ = (\led_flash_cnt[337][2]~q\ & \led_flash_cnt[337][1]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[337][2]~q\,
	datad => \led_flash_cnt[337][1]~q\,
	combout => \WideAnd337~1_combout\);

-- Location: LCCOMB_X75_Y27_N8
\led_flash_cnt[337][3]~31602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[337][3]~31602_combout\ = (\led_flash_cnt[337][3]~q\ & (\led_flash_cnt[337][2]~31601\ $ (GND))) # (!\led_flash_cnt[337][3]~q\ & (!\led_flash_cnt[337][2]~31601\ & VCC))
-- \led_flash_cnt[337][3]~31603\ = CARRY((\led_flash_cnt[337][3]~q\ & !\led_flash_cnt[337][2]~31601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[337][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[337][2]~31601\,
	combout => \led_flash_cnt[337][3]~31602_combout\,
	cout => \led_flash_cnt[337][3]~31603\);

-- Location: FF_X75_Y27_N9
\led_flash_cnt[337][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[337][3]~31602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[337][3]~q\);

-- Location: LCCOMB_X75_Y27_N10
\led_flash_cnt[337][4]~31604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[337][4]~31604_combout\ = (\led_flash_cnt[337][4]~q\ & (!\led_flash_cnt[337][3]~31603\)) # (!\led_flash_cnt[337][4]~q\ & ((\led_flash_cnt[337][3]~31603\) # (GND)))
-- \led_flash_cnt[337][4]~31605\ = CARRY((!\led_flash_cnt[337][3]~31603\) # (!\led_flash_cnt[337][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[337][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[337][3]~31603\,
	combout => \led_flash_cnt[337][4]~31604_combout\,
	cout => \led_flash_cnt[337][4]~31605\);

-- Location: FF_X75_Y27_N11
\led_flash_cnt[337][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[337][4]~31604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[337][4]~q\);

-- Location: LCCOMB_X75_Y27_N12
\led_flash_cnt[337][5]~31606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[337][5]~31606_combout\ = (\led_flash_cnt[337][5]~q\ & (\led_flash_cnt[337][4]~31605\ $ (GND))) # (!\led_flash_cnt[337][5]~q\ & (!\led_flash_cnt[337][4]~31605\ & VCC))
-- \led_flash_cnt[337][5]~31607\ = CARRY((\led_flash_cnt[337][5]~q\ & !\led_flash_cnt[337][4]~31605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[337][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[337][4]~31605\,
	combout => \led_flash_cnt[337][5]~31606_combout\,
	cout => \led_flash_cnt[337][5]~31607\);

-- Location: FF_X75_Y27_N13
\led_flash_cnt[337][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[337][5]~31606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[337][5]~q\);

-- Location: LCCOMB_X75_Y27_N14
\led_flash_cnt[337][6]~31608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[337][6]~31608_combout\ = (\led_flash_cnt[337][6]~q\ & (!\led_flash_cnt[337][5]~31607\)) # (!\led_flash_cnt[337][6]~q\ & ((\led_flash_cnt[337][5]~31607\) # (GND)))
-- \led_flash_cnt[337][6]~31609\ = CARRY((!\led_flash_cnt[337][5]~31607\) # (!\led_flash_cnt[337][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[337][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[337][5]~31607\,
	combout => \led_flash_cnt[337][6]~31608_combout\,
	cout => \led_flash_cnt[337][6]~31609\);

-- Location: FF_X75_Y27_N15
\led_flash_cnt[337][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[337][6]~31608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[337][6]~q\);

-- Location: LCCOMB_X75_Y27_N16
\led_flash_cnt[337][7]~31610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[337][7]~31610_combout\ = \led_flash_cnt[337][6]~31609\ $ (!\led_flash_cnt[337][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[337][7]~q\,
	cin => \led_flash_cnt[337][6]~31609\,
	combout => \led_flash_cnt[337][7]~31610_combout\);

-- Location: FF_X75_Y27_N17
\led_flash_cnt[337][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[337][7]~31610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[337][7]~q\);

-- Location: LCCOMB_X75_Y27_N2
\WideAnd337~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd337~0_combout\ = (\led_flash_cnt[337][5]~q\ & (\led_flash_cnt[337][6]~q\ & (\led_flash_cnt[337][0]~q\ & \led_flash_cnt[337][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[337][5]~q\,
	datab => \led_flash_cnt[337][6]~q\,
	datac => \led_flash_cnt[337][0]~q\,
	datad => \led_flash_cnt[337][4]~q\,
	combout => \WideAnd337~0_combout\);

-- Location: LCCOMB_X74_Y27_N28
WideAnd337 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd337~combout\ = (\WideAnd337~1_combout\ & (\led_flash_cnt[337][7]~q\ & (\led_flash_cnt[337][3]~q\ & \WideAnd337~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd337~1_combout\,
	datab => \led_flash_cnt[337][7]~q\,
	datac => \led_flash_cnt[337][3]~q\,
	datad => \WideAnd337~0_combout\,
	combout => \WideAnd337~combout\);

-- Location: FF_X74_Y27_N29
\led_flash_cnt_ands[337]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd337~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(337));

-- Location: LCCOMB_X67_Y29_N12
\led_flash_cnt[339][0]~80979\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[339][0]~80979_combout\ = !\led_flash_cnt[339][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[339][0]~q\,
	combout => \led_flash_cnt[339][0]~80979_combout\);

-- Location: FF_X67_Y29_N13
\led_flash_cnt[339][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[339][0]~80979_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[339][0]~q\);

-- Location: LCCOMB_X67_Y29_N18
\led_flash_cnt[339][1]~31626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[339][1]~31626_combout\ = (\led_flash_cnt[339][0]~q\ & (\led_flash_cnt[339][1]~q\ $ (VCC))) # (!\led_flash_cnt[339][0]~q\ & (\led_flash_cnt[339][1]~q\ & VCC))
-- \led_flash_cnt[339][1]~31627\ = CARRY((\led_flash_cnt[339][0]~q\ & \led_flash_cnt[339][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[339][0]~q\,
	datab => \led_flash_cnt[339][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[339][1]~31626_combout\,
	cout => \led_flash_cnt[339][1]~31627\);

-- Location: FF_X67_Y29_N19
\led_flash_cnt[339][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[339][1]~31626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[339][1]~q\);

-- Location: LCCOMB_X67_Y29_N20
\led_flash_cnt[339][2]~31628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[339][2]~31628_combout\ = (\led_flash_cnt[339][2]~q\ & (!\led_flash_cnt[339][1]~31627\)) # (!\led_flash_cnt[339][2]~q\ & ((\led_flash_cnt[339][1]~31627\) # (GND)))
-- \led_flash_cnt[339][2]~31629\ = CARRY((!\led_flash_cnt[339][1]~31627\) # (!\led_flash_cnt[339][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[339][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[339][1]~31627\,
	combout => \led_flash_cnt[339][2]~31628_combout\,
	cout => \led_flash_cnt[339][2]~31629\);

-- Location: FF_X67_Y29_N21
\led_flash_cnt[339][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[339][2]~31628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[339][2]~q\);

-- Location: LCCOMB_X67_Y29_N22
\led_flash_cnt[339][3]~31630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[339][3]~31630_combout\ = (\led_flash_cnt[339][3]~q\ & (\led_flash_cnt[339][2]~31629\ $ (GND))) # (!\led_flash_cnt[339][3]~q\ & (!\led_flash_cnt[339][2]~31629\ & VCC))
-- \led_flash_cnt[339][3]~31631\ = CARRY((\led_flash_cnt[339][3]~q\ & !\led_flash_cnt[339][2]~31629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[339][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[339][2]~31629\,
	combout => \led_flash_cnt[339][3]~31630_combout\,
	cout => \led_flash_cnt[339][3]~31631\);

-- Location: FF_X67_Y29_N23
\led_flash_cnt[339][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[339][3]~31630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[339][3]~q\);

-- Location: LCCOMB_X67_Y29_N24
\led_flash_cnt[339][4]~31632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[339][4]~31632_combout\ = (\led_flash_cnt[339][4]~q\ & (!\led_flash_cnt[339][3]~31631\)) # (!\led_flash_cnt[339][4]~q\ & ((\led_flash_cnt[339][3]~31631\) # (GND)))
-- \led_flash_cnt[339][4]~31633\ = CARRY((!\led_flash_cnt[339][3]~31631\) # (!\led_flash_cnt[339][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[339][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[339][3]~31631\,
	combout => \led_flash_cnt[339][4]~31632_combout\,
	cout => \led_flash_cnt[339][4]~31633\);

-- Location: FF_X67_Y29_N25
\led_flash_cnt[339][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[339][4]~31632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[339][4]~q\);

-- Location: LCCOMB_X67_Y29_N26
\led_flash_cnt[339][5]~31634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[339][5]~31634_combout\ = (\led_flash_cnt[339][5]~q\ & (\led_flash_cnt[339][4]~31633\ $ (GND))) # (!\led_flash_cnt[339][5]~q\ & (!\led_flash_cnt[339][4]~31633\ & VCC))
-- \led_flash_cnt[339][5]~31635\ = CARRY((\led_flash_cnt[339][5]~q\ & !\led_flash_cnt[339][4]~31633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[339][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[339][4]~31633\,
	combout => \led_flash_cnt[339][5]~31634_combout\,
	cout => \led_flash_cnt[339][5]~31635\);

-- Location: FF_X67_Y29_N27
\led_flash_cnt[339][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[339][5]~31634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[339][5]~q\);

-- Location: LCCOMB_X67_Y29_N28
\led_flash_cnt[339][6]~31636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[339][6]~31636_combout\ = (\led_flash_cnt[339][6]~q\ & (!\led_flash_cnt[339][5]~31635\)) # (!\led_flash_cnt[339][6]~q\ & ((\led_flash_cnt[339][5]~31635\) # (GND)))
-- \led_flash_cnt[339][6]~31637\ = CARRY((!\led_flash_cnt[339][5]~31635\) # (!\led_flash_cnt[339][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[339][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[339][5]~31635\,
	combout => \led_flash_cnt[339][6]~31636_combout\,
	cout => \led_flash_cnt[339][6]~31637\);

-- Location: FF_X67_Y29_N29
\led_flash_cnt[339][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[339][6]~31636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[339][6]~q\);

-- Location: LCCOMB_X67_Y29_N30
\led_flash_cnt[339][7]~31638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[339][7]~31638_combout\ = \led_flash_cnt[339][7]~q\ $ (!\led_flash_cnt[339][6]~31637\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[339][7]~q\,
	cin => \led_flash_cnt[339][6]~31637\,
	combout => \led_flash_cnt[339][7]~31638_combout\);

-- Location: FF_X67_Y29_N31
\led_flash_cnt[339][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[339][7]~31638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[339][7]~q\);

-- Location: LCCOMB_X67_Y29_N8
\WideAnd339~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd339~1_combout\ = (\led_flash_cnt[339][5]~q\ & \led_flash_cnt[339][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[339][5]~q\,
	datad => \led_flash_cnt[339][6]~q\,
	combout => \WideAnd339~1_combout\);

-- Location: LCCOMB_X67_Y29_N14
\WideAnd339~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd339~0_combout\ = (\led_flash_cnt[339][4]~q\ & (\led_flash_cnt[339][2]~q\ & (\led_flash_cnt[339][3]~q\ & \led_flash_cnt[339][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[339][4]~q\,
	datab => \led_flash_cnt[339][2]~q\,
	datac => \led_flash_cnt[339][3]~q\,
	datad => \led_flash_cnt[339][1]~q\,
	combout => \WideAnd339~0_combout\);

-- Location: LCCOMB_X67_Y29_N10
WideAnd339 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd339~combout\ = (\led_flash_cnt[339][7]~q\ & (\WideAnd339~1_combout\ & (\WideAnd339~0_combout\ & \led_flash_cnt[339][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[339][7]~q\,
	datab => \WideAnd339~1_combout\,
	datac => \WideAnd339~0_combout\,
	datad => \led_flash_cnt[339][0]~q\,
	combout => \WideAnd339~combout\);

-- Location: FF_X67_Y29_N11
\led_flash_cnt_ands[339]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd339~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(339));

-- Location: LCCOMB_X63_Y43_N30
\led_flash_cnt[338][0]~80978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[338][0]~80978_combout\ = !\led_flash_cnt[338][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[338][0]~q\,
	combout => \led_flash_cnt[338][0]~80978_combout\);

-- Location: FF_X63_Y43_N31
\led_flash_cnt[338][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[338][0]~80978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[338][0]~q\);

-- Location: LCCOMB_X63_Y47_N2
\led_flash_cnt[338][1]~31612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[338][1]~31612_combout\ = (\led_flash_cnt[338][0]~q\ & (\led_flash_cnt[338][1]~q\ $ (VCC))) # (!\led_flash_cnt[338][0]~q\ & (\led_flash_cnt[338][1]~q\ & VCC))
-- \led_flash_cnt[338][1]~31613\ = CARRY((\led_flash_cnt[338][0]~q\ & \led_flash_cnt[338][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[338][0]~q\,
	datab => \led_flash_cnt[338][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[338][1]~31612_combout\,
	cout => \led_flash_cnt[338][1]~31613\);

-- Location: FF_X63_Y47_N3
\led_flash_cnt[338][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[338][1]~31612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[338][1]~q\);

-- Location: LCCOMB_X63_Y47_N4
\led_flash_cnt[338][2]~31614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[338][2]~31614_combout\ = (\led_flash_cnt[338][2]~q\ & (!\led_flash_cnt[338][1]~31613\)) # (!\led_flash_cnt[338][2]~q\ & ((\led_flash_cnt[338][1]~31613\) # (GND)))
-- \led_flash_cnt[338][2]~31615\ = CARRY((!\led_flash_cnt[338][1]~31613\) # (!\led_flash_cnt[338][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[338][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[338][1]~31613\,
	combout => \led_flash_cnt[338][2]~31614_combout\,
	cout => \led_flash_cnt[338][2]~31615\);

-- Location: FF_X63_Y47_N5
\led_flash_cnt[338][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[338][2]~31614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[338][2]~q\);

-- Location: LCCOMB_X63_Y47_N6
\led_flash_cnt[338][3]~31616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[338][3]~31616_combout\ = (\led_flash_cnt[338][3]~q\ & (\led_flash_cnt[338][2]~31615\ $ (GND))) # (!\led_flash_cnt[338][3]~q\ & (!\led_flash_cnt[338][2]~31615\ & VCC))
-- \led_flash_cnt[338][3]~31617\ = CARRY((\led_flash_cnt[338][3]~q\ & !\led_flash_cnt[338][2]~31615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[338][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[338][2]~31615\,
	combout => \led_flash_cnt[338][3]~31616_combout\,
	cout => \led_flash_cnt[338][3]~31617\);

-- Location: FF_X63_Y47_N7
\led_flash_cnt[338][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[338][3]~31616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[338][3]~q\);

-- Location: LCCOMB_X63_Y47_N8
\led_flash_cnt[338][4]~31618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[338][4]~31618_combout\ = (\led_flash_cnt[338][4]~q\ & (!\led_flash_cnt[338][3]~31617\)) # (!\led_flash_cnt[338][4]~q\ & ((\led_flash_cnt[338][3]~31617\) # (GND)))
-- \led_flash_cnt[338][4]~31619\ = CARRY((!\led_flash_cnt[338][3]~31617\) # (!\led_flash_cnt[338][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[338][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[338][3]~31617\,
	combout => \led_flash_cnt[338][4]~31618_combout\,
	cout => \led_flash_cnt[338][4]~31619\);

-- Location: FF_X63_Y47_N9
\led_flash_cnt[338][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[338][4]~31618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[338][4]~q\);

-- Location: LCCOMB_X63_Y47_N10
\led_flash_cnt[338][5]~31620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[338][5]~31620_combout\ = (\led_flash_cnt[338][5]~q\ & (\led_flash_cnt[338][4]~31619\ $ (GND))) # (!\led_flash_cnt[338][5]~q\ & (!\led_flash_cnt[338][4]~31619\ & VCC))
-- \led_flash_cnt[338][5]~31621\ = CARRY((\led_flash_cnt[338][5]~q\ & !\led_flash_cnt[338][4]~31619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[338][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[338][4]~31619\,
	combout => \led_flash_cnt[338][5]~31620_combout\,
	cout => \led_flash_cnt[338][5]~31621\);

-- Location: FF_X63_Y47_N11
\led_flash_cnt[338][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[338][5]~31620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[338][5]~q\);

-- Location: LCCOMB_X63_Y47_N12
\led_flash_cnt[338][6]~31622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[338][6]~31622_combout\ = (\led_flash_cnt[338][6]~q\ & (!\led_flash_cnt[338][5]~31621\)) # (!\led_flash_cnt[338][6]~q\ & ((\led_flash_cnt[338][5]~31621\) # (GND)))
-- \led_flash_cnt[338][6]~31623\ = CARRY((!\led_flash_cnt[338][5]~31621\) # (!\led_flash_cnt[338][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[338][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[338][5]~31621\,
	combout => \led_flash_cnt[338][6]~31622_combout\,
	cout => \led_flash_cnt[338][6]~31623\);

-- Location: FF_X63_Y47_N13
\led_flash_cnt[338][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[338][6]~31622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[338][6]~q\);

-- Location: LCCOMB_X63_Y47_N14
\led_flash_cnt[338][7]~31624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[338][7]~31624_combout\ = \led_flash_cnt[338][7]~q\ $ (!\led_flash_cnt[338][6]~31623\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[338][7]~q\,
	cin => \led_flash_cnt[338][6]~31623\,
	combout => \led_flash_cnt[338][7]~31624_combout\);

-- Location: FF_X63_Y47_N15
\led_flash_cnt[338][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[338][7]~31624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[338][7]~q\);

-- Location: LCCOMB_X63_Y47_N0
\WideAnd338~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd338~0_combout\ = (\led_flash_cnt[338][3]~q\ & (\led_flash_cnt[338][4]~q\ & (\led_flash_cnt[338][2]~q\ & \led_flash_cnt[338][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[338][3]~q\,
	datab => \led_flash_cnt[338][4]~q\,
	datac => \led_flash_cnt[338][2]~q\,
	datad => \led_flash_cnt[338][1]~q\,
	combout => \WideAnd338~0_combout\);

-- Location: LCCOMB_X63_Y43_N28
\WideAnd338~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd338~1_combout\ = (\led_flash_cnt[338][6]~q\ & \led_flash_cnt[338][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[338][6]~q\,
	datad => \led_flash_cnt[338][5]~q\,
	combout => \WideAnd338~1_combout\);

-- Location: LCCOMB_X63_Y43_N24
WideAnd338 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd338~combout\ = (\led_flash_cnt[338][7]~q\ & (\WideAnd338~0_combout\ & (\led_flash_cnt[338][0]~q\ & \WideAnd338~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[338][7]~q\,
	datab => \WideAnd338~0_combout\,
	datac => \led_flash_cnt[338][0]~q\,
	datad => \WideAnd338~1_combout\,
	combout => \WideAnd338~combout\);

-- Location: FF_X63_Y43_N25
\led_flash_cnt_ands[338]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd338~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(338));

-- Location: LCCOMB_X74_Y27_N24
\led_flash_cnt[336][0]~80976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[336][0]~80976_combout\ = !\led_flash_cnt[336][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[336][0]~q\,
	combout => \led_flash_cnt[336][0]~80976_combout\);

-- Location: FF_X74_Y27_N25
\led_flash_cnt[336][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[336][0]~80976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[336][0]~q\);

-- Location: LCCOMB_X74_Y27_N6
\led_flash_cnt[336][1]~31584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[336][1]~31584_combout\ = (\led_flash_cnt[336][1]~q\ & (\led_flash_cnt[336][0]~q\ $ (VCC))) # (!\led_flash_cnt[336][1]~q\ & (\led_flash_cnt[336][0]~q\ & VCC))
-- \led_flash_cnt[336][1]~31585\ = CARRY((\led_flash_cnt[336][1]~q\ & \led_flash_cnt[336][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[336][1]~q\,
	datab => \led_flash_cnt[336][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[336][1]~31584_combout\,
	cout => \led_flash_cnt[336][1]~31585\);

-- Location: FF_X74_Y27_N7
\led_flash_cnt[336][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[336][1]~31584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[336][1]~q\);

-- Location: LCCOMB_X74_Y27_N8
\led_flash_cnt[336][2]~31586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[336][2]~31586_combout\ = (\led_flash_cnt[336][2]~q\ & (!\led_flash_cnt[336][1]~31585\)) # (!\led_flash_cnt[336][2]~q\ & ((\led_flash_cnt[336][1]~31585\) # (GND)))
-- \led_flash_cnt[336][2]~31587\ = CARRY((!\led_flash_cnt[336][1]~31585\) # (!\led_flash_cnt[336][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[336][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[336][1]~31585\,
	combout => \led_flash_cnt[336][2]~31586_combout\,
	cout => \led_flash_cnt[336][2]~31587\);

-- Location: FF_X74_Y27_N9
\led_flash_cnt[336][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[336][2]~31586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[336][2]~q\);

-- Location: LCCOMB_X74_Y27_N10
\led_flash_cnt[336][3]~31588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[336][3]~31588_combout\ = (\led_flash_cnt[336][3]~q\ & (\led_flash_cnt[336][2]~31587\ $ (GND))) # (!\led_flash_cnt[336][3]~q\ & (!\led_flash_cnt[336][2]~31587\ & VCC))
-- \led_flash_cnt[336][3]~31589\ = CARRY((\led_flash_cnt[336][3]~q\ & !\led_flash_cnt[336][2]~31587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[336][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[336][2]~31587\,
	combout => \led_flash_cnt[336][3]~31588_combout\,
	cout => \led_flash_cnt[336][3]~31589\);

-- Location: FF_X74_Y27_N11
\led_flash_cnt[336][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[336][3]~31588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[336][3]~q\);

-- Location: LCCOMB_X74_Y27_N12
\led_flash_cnt[336][4]~31590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[336][4]~31590_combout\ = (\led_flash_cnt[336][4]~q\ & (!\led_flash_cnt[336][3]~31589\)) # (!\led_flash_cnt[336][4]~q\ & ((\led_flash_cnt[336][3]~31589\) # (GND)))
-- \led_flash_cnt[336][4]~31591\ = CARRY((!\led_flash_cnt[336][3]~31589\) # (!\led_flash_cnt[336][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[336][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[336][3]~31589\,
	combout => \led_flash_cnt[336][4]~31590_combout\,
	cout => \led_flash_cnt[336][4]~31591\);

-- Location: FF_X74_Y27_N13
\led_flash_cnt[336][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[336][4]~31590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[336][4]~q\);

-- Location: LCCOMB_X74_Y27_N22
\WideAnd336~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd336~0_combout\ = (\led_flash_cnt[336][4]~q\ & (\led_flash_cnt[336][3]~q\ & (\led_flash_cnt[336][2]~q\ & \led_flash_cnt[336][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[336][4]~q\,
	datab => \led_flash_cnt[336][3]~q\,
	datac => \led_flash_cnt[336][2]~q\,
	datad => \led_flash_cnt[336][1]~q\,
	combout => \WideAnd336~0_combout\);

-- Location: LCCOMB_X74_Y27_N14
\led_flash_cnt[336][5]~31592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[336][5]~31592_combout\ = (\led_flash_cnt[336][5]~q\ & (\led_flash_cnt[336][4]~31591\ $ (GND))) # (!\led_flash_cnt[336][5]~q\ & (!\led_flash_cnt[336][4]~31591\ & VCC))
-- \led_flash_cnt[336][5]~31593\ = CARRY((\led_flash_cnt[336][5]~q\ & !\led_flash_cnt[336][4]~31591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[336][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[336][4]~31591\,
	combout => \led_flash_cnt[336][5]~31592_combout\,
	cout => \led_flash_cnt[336][5]~31593\);

-- Location: FF_X74_Y27_N15
\led_flash_cnt[336][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[336][5]~31592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[336][5]~q\);

-- Location: LCCOMB_X74_Y27_N16
\led_flash_cnt[336][6]~31594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[336][6]~31594_combout\ = (\led_flash_cnt[336][6]~q\ & (!\led_flash_cnt[336][5]~31593\)) # (!\led_flash_cnt[336][6]~q\ & ((\led_flash_cnt[336][5]~31593\) # (GND)))
-- \led_flash_cnt[336][6]~31595\ = CARRY((!\led_flash_cnt[336][5]~31593\) # (!\led_flash_cnt[336][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[336][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[336][5]~31593\,
	combout => \led_flash_cnt[336][6]~31594_combout\,
	cout => \led_flash_cnt[336][6]~31595\);

-- Location: FF_X74_Y27_N17
\led_flash_cnt[336][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[336][6]~31594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[336][6]~q\);

-- Location: LCCOMB_X74_Y27_N4
\WideAnd336~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd336~1_combout\ = (\led_flash_cnt[336][5]~q\ & \led_flash_cnt[336][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[336][5]~q\,
	datad => \led_flash_cnt[336][6]~q\,
	combout => \WideAnd336~1_combout\);

-- Location: LCCOMB_X74_Y27_N18
\led_flash_cnt[336][7]~31596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[336][7]~31596_combout\ = \led_flash_cnt[336][6]~31595\ $ (!\led_flash_cnt[336][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[336][7]~q\,
	cin => \led_flash_cnt[336][6]~31595\,
	combout => \led_flash_cnt[336][7]~31596_combout\);

-- Location: FF_X74_Y27_N19
\led_flash_cnt[336][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[336][7]~31596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[336][7]~q\);

-- Location: LCCOMB_X74_Y27_N0
WideAnd336 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd336~combout\ = (\WideAnd336~0_combout\ & (\led_flash_cnt[336][0]~q\ & (\WideAnd336~1_combout\ & \led_flash_cnt[336][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd336~0_combout\,
	datab => \led_flash_cnt[336][0]~q\,
	datac => \WideAnd336~1_combout\,
	datad => \led_flash_cnt[336][7]~q\,
	combout => \WideAnd336~combout\);

-- Location: FF_X74_Y27_N1
\led_flash_cnt_ands[336]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd336~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(336));

-- Location: LCCOMB_X74_Y29_N30
\WideAnd3882~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3882~0_combout\ = (led_flash_cnt_ands(337) & (led_flash_cnt_ands(339) & (led_flash_cnt_ands(338) & led_flash_cnt_ands(336))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(337),
	datab => led_flash_cnt_ands(339),
	datac => led_flash_cnt_ands(338),
	datad => led_flash_cnt_ands(336),
	combout => \WideAnd3882~0_combout\);

-- Location: LCCOMB_X74_Y32_N6
\led_flash_cnt[343][0]~80983\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[343][0]~80983_combout\ = !\led_flash_cnt[343][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[343][0]~q\,
	combout => \led_flash_cnt[343][0]~80983_combout\);

-- Location: FF_X74_Y32_N7
\led_flash_cnt[343][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[343][0]~80983_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[343][0]~q\);

-- Location: LCCOMB_X75_Y32_N0
\led_flash_cnt[343][1]~31682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[343][1]~31682_combout\ = (\led_flash_cnt[343][0]~q\ & (\led_flash_cnt[343][1]~q\ $ (VCC))) # (!\led_flash_cnt[343][0]~q\ & (\led_flash_cnt[343][1]~q\ & VCC))
-- \led_flash_cnt[343][1]~31683\ = CARRY((\led_flash_cnt[343][0]~q\ & \led_flash_cnt[343][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[343][0]~q\,
	datab => \led_flash_cnt[343][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[343][1]~31682_combout\,
	cout => \led_flash_cnt[343][1]~31683\);

-- Location: FF_X75_Y32_N1
\led_flash_cnt[343][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[343][1]~31682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[343][1]~q\);

-- Location: LCCOMB_X75_Y32_N2
\led_flash_cnt[343][2]~31684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[343][2]~31684_combout\ = (\led_flash_cnt[343][2]~q\ & (!\led_flash_cnt[343][1]~31683\)) # (!\led_flash_cnt[343][2]~q\ & ((\led_flash_cnt[343][1]~31683\) # (GND)))
-- \led_flash_cnt[343][2]~31685\ = CARRY((!\led_flash_cnt[343][1]~31683\) # (!\led_flash_cnt[343][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[343][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[343][1]~31683\,
	combout => \led_flash_cnt[343][2]~31684_combout\,
	cout => \led_flash_cnt[343][2]~31685\);

-- Location: FF_X75_Y32_N3
\led_flash_cnt[343][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[343][2]~31684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[343][2]~q\);

-- Location: LCCOMB_X75_Y32_N4
\led_flash_cnt[343][3]~31686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[343][3]~31686_combout\ = (\led_flash_cnt[343][3]~q\ & (\led_flash_cnt[343][2]~31685\ $ (GND))) # (!\led_flash_cnt[343][3]~q\ & (!\led_flash_cnt[343][2]~31685\ & VCC))
-- \led_flash_cnt[343][3]~31687\ = CARRY((\led_flash_cnt[343][3]~q\ & !\led_flash_cnt[343][2]~31685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[343][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[343][2]~31685\,
	combout => \led_flash_cnt[343][3]~31686_combout\,
	cout => \led_flash_cnt[343][3]~31687\);

-- Location: FF_X75_Y32_N5
\led_flash_cnt[343][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[343][3]~31686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[343][3]~q\);

-- Location: LCCOMB_X75_Y32_N6
\led_flash_cnt[343][4]~31688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[343][4]~31688_combout\ = (\led_flash_cnt[343][4]~q\ & (!\led_flash_cnt[343][3]~31687\)) # (!\led_flash_cnt[343][4]~q\ & ((\led_flash_cnt[343][3]~31687\) # (GND)))
-- \led_flash_cnt[343][4]~31689\ = CARRY((!\led_flash_cnt[343][3]~31687\) # (!\led_flash_cnt[343][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[343][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[343][3]~31687\,
	combout => \led_flash_cnt[343][4]~31688_combout\,
	cout => \led_flash_cnt[343][4]~31689\);

-- Location: FF_X75_Y32_N7
\led_flash_cnt[343][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[343][4]~31688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[343][4]~q\);

-- Location: LCCOMB_X75_Y32_N8
\led_flash_cnt[343][5]~31690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[343][5]~31690_combout\ = (\led_flash_cnt[343][5]~q\ & (\led_flash_cnt[343][4]~31689\ $ (GND))) # (!\led_flash_cnt[343][5]~q\ & (!\led_flash_cnt[343][4]~31689\ & VCC))
-- \led_flash_cnt[343][5]~31691\ = CARRY((\led_flash_cnt[343][5]~q\ & !\led_flash_cnt[343][4]~31689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[343][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[343][4]~31689\,
	combout => \led_flash_cnt[343][5]~31690_combout\,
	cout => \led_flash_cnt[343][5]~31691\);

-- Location: FF_X75_Y32_N9
\led_flash_cnt[343][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[343][5]~31690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[343][5]~q\);

-- Location: LCCOMB_X75_Y32_N10
\led_flash_cnt[343][6]~31692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[343][6]~31692_combout\ = (\led_flash_cnt[343][6]~q\ & (!\led_flash_cnt[343][5]~31691\)) # (!\led_flash_cnt[343][6]~q\ & ((\led_flash_cnt[343][5]~31691\) # (GND)))
-- \led_flash_cnt[343][6]~31693\ = CARRY((!\led_flash_cnt[343][5]~31691\) # (!\led_flash_cnt[343][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[343][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[343][5]~31691\,
	combout => \led_flash_cnt[343][6]~31692_combout\,
	cout => \led_flash_cnt[343][6]~31693\);

-- Location: FF_X75_Y32_N11
\led_flash_cnt[343][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[343][6]~31692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[343][6]~q\);

-- Location: LCCOMB_X74_Y32_N10
\WideAnd343~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd343~1_combout\ = (\led_flash_cnt[343][6]~q\ & \led_flash_cnt[343][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[343][6]~q\,
	datac => \led_flash_cnt[343][5]~q\,
	combout => \WideAnd343~1_combout\);

-- Location: LCCOMB_X75_Y32_N14
\WideAnd343~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd343~0_combout\ = (\led_flash_cnt[343][4]~q\ & (\led_flash_cnt[343][1]~q\ & (\led_flash_cnt[343][3]~q\ & \led_flash_cnt[343][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[343][4]~q\,
	datab => \led_flash_cnt[343][1]~q\,
	datac => \led_flash_cnt[343][3]~q\,
	datad => \led_flash_cnt[343][2]~q\,
	combout => \WideAnd343~0_combout\);

-- Location: LCCOMB_X75_Y32_N12
\led_flash_cnt[343][7]~31694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[343][7]~31694_combout\ = \led_flash_cnt[343][6]~31693\ $ (!\led_flash_cnt[343][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[343][7]~q\,
	cin => \led_flash_cnt[343][6]~31693\,
	combout => \led_flash_cnt[343][7]~31694_combout\);

-- Location: FF_X75_Y32_N13
\led_flash_cnt[343][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[343][7]~31694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[343][7]~q\);

-- Location: LCCOMB_X74_Y32_N14
WideAnd343 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd343~combout\ = (\WideAnd343~1_combout\ & (\WideAnd343~0_combout\ & (\led_flash_cnt[343][7]~q\ & \led_flash_cnt[343][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd343~1_combout\,
	datab => \WideAnd343~0_combout\,
	datac => \led_flash_cnt[343][7]~q\,
	datad => \led_flash_cnt[343][0]~q\,
	combout => \WideAnd343~combout\);

-- Location: FF_X74_Y32_N15
\led_flash_cnt_ands[343]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd343~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(343));

-- Location: LCCOMB_X58_Y32_N18
\led_flash_cnt[341][0]~80981\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[341][0]~80981_combout\ = !\led_flash_cnt[341][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[341][0]~q\,
	combout => \led_flash_cnt[341][0]~80981_combout\);

-- Location: FF_X58_Y32_N19
\led_flash_cnt[341][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[341][0]~80981_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[341][0]~q\);

-- Location: LCCOMB_X58_Y32_N0
\led_flash_cnt[341][1]~31654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[341][1]~31654_combout\ = (\led_flash_cnt[341][0]~q\ & (\led_flash_cnt[341][1]~q\ $ (VCC))) # (!\led_flash_cnt[341][0]~q\ & (\led_flash_cnt[341][1]~q\ & VCC))
-- \led_flash_cnt[341][1]~31655\ = CARRY((\led_flash_cnt[341][0]~q\ & \led_flash_cnt[341][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[341][0]~q\,
	datab => \led_flash_cnt[341][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[341][1]~31654_combout\,
	cout => \led_flash_cnt[341][1]~31655\);

-- Location: FF_X58_Y32_N1
\led_flash_cnt[341][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[341][1]~31654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[341][1]~q\);

-- Location: LCCOMB_X58_Y32_N2
\led_flash_cnt[341][2]~31656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[341][2]~31656_combout\ = (\led_flash_cnt[341][2]~q\ & (!\led_flash_cnt[341][1]~31655\)) # (!\led_flash_cnt[341][2]~q\ & ((\led_flash_cnt[341][1]~31655\) # (GND)))
-- \led_flash_cnt[341][2]~31657\ = CARRY((!\led_flash_cnt[341][1]~31655\) # (!\led_flash_cnt[341][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[341][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[341][1]~31655\,
	combout => \led_flash_cnt[341][2]~31656_combout\,
	cout => \led_flash_cnt[341][2]~31657\);

-- Location: FF_X58_Y32_N3
\led_flash_cnt[341][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[341][2]~31656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[341][2]~q\);

-- Location: LCCOMB_X58_Y32_N4
\led_flash_cnt[341][3]~31658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[341][3]~31658_combout\ = (\led_flash_cnt[341][3]~q\ & (\led_flash_cnt[341][2]~31657\ $ (GND))) # (!\led_flash_cnt[341][3]~q\ & (!\led_flash_cnt[341][2]~31657\ & VCC))
-- \led_flash_cnt[341][3]~31659\ = CARRY((\led_flash_cnt[341][3]~q\ & !\led_flash_cnt[341][2]~31657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[341][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[341][2]~31657\,
	combout => \led_flash_cnt[341][3]~31658_combout\,
	cout => \led_flash_cnt[341][3]~31659\);

-- Location: FF_X58_Y32_N5
\led_flash_cnt[341][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[341][3]~31658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[341][3]~q\);

-- Location: LCCOMB_X58_Y32_N6
\led_flash_cnt[341][4]~31660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[341][4]~31660_combout\ = (\led_flash_cnt[341][4]~q\ & (!\led_flash_cnt[341][3]~31659\)) # (!\led_flash_cnt[341][4]~q\ & ((\led_flash_cnt[341][3]~31659\) # (GND)))
-- \led_flash_cnt[341][4]~31661\ = CARRY((!\led_flash_cnt[341][3]~31659\) # (!\led_flash_cnt[341][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[341][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[341][3]~31659\,
	combout => \led_flash_cnt[341][4]~31660_combout\,
	cout => \led_flash_cnt[341][4]~31661\);

-- Location: FF_X58_Y32_N7
\led_flash_cnt[341][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[341][4]~31660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[341][4]~q\);

-- Location: LCCOMB_X58_Y32_N30
\WideAnd341~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd341~0_combout\ = (\led_flash_cnt[341][4]~q\ & (\led_flash_cnt[341][1]~q\ & (\led_flash_cnt[341][3]~q\ & \led_flash_cnt[341][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[341][4]~q\,
	datab => \led_flash_cnt[341][1]~q\,
	datac => \led_flash_cnt[341][3]~q\,
	datad => \led_flash_cnt[341][2]~q\,
	combout => \WideAnd341~0_combout\);

-- Location: LCCOMB_X58_Y32_N8
\led_flash_cnt[341][5]~31662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[341][5]~31662_combout\ = (\led_flash_cnt[341][5]~q\ & (\led_flash_cnt[341][4]~31661\ $ (GND))) # (!\led_flash_cnt[341][5]~q\ & (!\led_flash_cnt[341][4]~31661\ & VCC))
-- \led_flash_cnt[341][5]~31663\ = CARRY((\led_flash_cnt[341][5]~q\ & !\led_flash_cnt[341][4]~31661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[341][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[341][4]~31661\,
	combout => \led_flash_cnt[341][5]~31662_combout\,
	cout => \led_flash_cnt[341][5]~31663\);

-- Location: FF_X58_Y32_N9
\led_flash_cnt[341][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[341][5]~31662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[341][5]~q\);

-- Location: LCCOMB_X58_Y32_N10
\led_flash_cnt[341][6]~31664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[341][6]~31664_combout\ = (\led_flash_cnt[341][6]~q\ & (!\led_flash_cnt[341][5]~31663\)) # (!\led_flash_cnt[341][6]~q\ & ((\led_flash_cnt[341][5]~31663\) # (GND)))
-- \led_flash_cnt[341][6]~31665\ = CARRY((!\led_flash_cnt[341][5]~31663\) # (!\led_flash_cnt[341][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[341][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[341][5]~31663\,
	combout => \led_flash_cnt[341][6]~31664_combout\,
	cout => \led_flash_cnt[341][6]~31665\);

-- Location: FF_X58_Y32_N11
\led_flash_cnt[341][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[341][6]~31664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[341][6]~q\);

-- Location: LCCOMB_X58_Y32_N26
\WideAnd341~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd341~1_combout\ = (\led_flash_cnt[341][5]~q\ & \led_flash_cnt[341][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[341][5]~q\,
	datad => \led_flash_cnt[341][6]~q\,
	combout => \WideAnd341~1_combout\);

-- Location: LCCOMB_X58_Y32_N12
\led_flash_cnt[341][7]~31666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[341][7]~31666_combout\ = \led_flash_cnt[341][6]~31665\ $ (!\led_flash_cnt[341][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[341][7]~q\,
	cin => \led_flash_cnt[341][6]~31665\,
	combout => \led_flash_cnt[341][7]~31666_combout\);

-- Location: FF_X58_Y32_N13
\led_flash_cnt[341][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[341][7]~31666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[341][7]~q\);

-- Location: LCCOMB_X58_Y32_N14
WideAnd341 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd341~combout\ = (\WideAnd341~0_combout\ & (\led_flash_cnt[341][0]~q\ & (\WideAnd341~1_combout\ & \led_flash_cnt[341][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd341~0_combout\,
	datab => \led_flash_cnt[341][0]~q\,
	datac => \WideAnd341~1_combout\,
	datad => \led_flash_cnt[341][7]~q\,
	combout => \WideAnd341~combout\);

-- Location: FF_X58_Y32_N15
\led_flash_cnt_ands[341]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd341~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(341));

-- Location: LCCOMB_X59_Y32_N4
\led_flash_cnt[340][0]~80980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[340][0]~80980_combout\ = !\led_flash_cnt[340][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[340][0]~q\,
	combout => \led_flash_cnt[340][0]~80980_combout\);

-- Location: FF_X59_Y32_N5
\led_flash_cnt[340][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[340][0]~80980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[340][0]~q\);

-- Location: LCCOMB_X59_Y32_N10
\led_flash_cnt[340][1]~31640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[340][1]~31640_combout\ = (\led_flash_cnt[340][1]~q\ & (\led_flash_cnt[340][0]~q\ $ (VCC))) # (!\led_flash_cnt[340][1]~q\ & (\led_flash_cnt[340][0]~q\ & VCC))
-- \led_flash_cnt[340][1]~31641\ = CARRY((\led_flash_cnt[340][1]~q\ & \led_flash_cnt[340][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[340][1]~q\,
	datab => \led_flash_cnt[340][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[340][1]~31640_combout\,
	cout => \led_flash_cnt[340][1]~31641\);

-- Location: FF_X59_Y32_N11
\led_flash_cnt[340][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[340][1]~31640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[340][1]~q\);

-- Location: LCCOMB_X59_Y32_N12
\led_flash_cnt[340][2]~31642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[340][2]~31642_combout\ = (\led_flash_cnt[340][2]~q\ & (!\led_flash_cnt[340][1]~31641\)) # (!\led_flash_cnt[340][2]~q\ & ((\led_flash_cnt[340][1]~31641\) # (GND)))
-- \led_flash_cnt[340][2]~31643\ = CARRY((!\led_flash_cnt[340][1]~31641\) # (!\led_flash_cnt[340][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[340][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[340][1]~31641\,
	combout => \led_flash_cnt[340][2]~31642_combout\,
	cout => \led_flash_cnt[340][2]~31643\);

-- Location: FF_X59_Y32_N13
\led_flash_cnt[340][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[340][2]~31642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[340][2]~q\);

-- Location: LCCOMB_X59_Y32_N14
\led_flash_cnt[340][3]~31644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[340][3]~31644_combout\ = (\led_flash_cnt[340][3]~q\ & (\led_flash_cnt[340][2]~31643\ $ (GND))) # (!\led_flash_cnt[340][3]~q\ & (!\led_flash_cnt[340][2]~31643\ & VCC))
-- \led_flash_cnt[340][3]~31645\ = CARRY((\led_flash_cnt[340][3]~q\ & !\led_flash_cnt[340][2]~31643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[340][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[340][2]~31643\,
	combout => \led_flash_cnt[340][3]~31644_combout\,
	cout => \led_flash_cnt[340][3]~31645\);

-- Location: FF_X59_Y32_N15
\led_flash_cnt[340][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[340][3]~31644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[340][3]~q\);

-- Location: LCCOMB_X59_Y32_N16
\led_flash_cnt[340][4]~31646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[340][4]~31646_combout\ = (\led_flash_cnt[340][4]~q\ & (!\led_flash_cnt[340][3]~31645\)) # (!\led_flash_cnt[340][4]~q\ & ((\led_flash_cnt[340][3]~31645\) # (GND)))
-- \led_flash_cnt[340][4]~31647\ = CARRY((!\led_flash_cnt[340][3]~31645\) # (!\led_flash_cnt[340][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[340][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[340][3]~31645\,
	combout => \led_flash_cnt[340][4]~31646_combout\,
	cout => \led_flash_cnt[340][4]~31647\);

-- Location: FF_X59_Y32_N17
\led_flash_cnt[340][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[340][4]~31646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[340][4]~q\);

-- Location: LCCOMB_X59_Y32_N18
\led_flash_cnt[340][5]~31648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[340][5]~31648_combout\ = (\led_flash_cnt[340][5]~q\ & (\led_flash_cnt[340][4]~31647\ $ (GND))) # (!\led_flash_cnt[340][5]~q\ & (!\led_flash_cnt[340][4]~31647\ & VCC))
-- \led_flash_cnt[340][5]~31649\ = CARRY((\led_flash_cnt[340][5]~q\ & !\led_flash_cnt[340][4]~31647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[340][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[340][4]~31647\,
	combout => \led_flash_cnt[340][5]~31648_combout\,
	cout => \led_flash_cnt[340][5]~31649\);

-- Location: FF_X59_Y32_N19
\led_flash_cnt[340][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[340][5]~31648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[340][5]~q\);

-- Location: LCCOMB_X59_Y32_N20
\led_flash_cnt[340][6]~31650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[340][6]~31650_combout\ = (\led_flash_cnt[340][6]~q\ & (!\led_flash_cnt[340][5]~31649\)) # (!\led_flash_cnt[340][6]~q\ & ((\led_flash_cnt[340][5]~31649\) # (GND)))
-- \led_flash_cnt[340][6]~31651\ = CARRY((!\led_flash_cnt[340][5]~31649\) # (!\led_flash_cnt[340][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[340][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[340][5]~31649\,
	combout => \led_flash_cnt[340][6]~31650_combout\,
	cout => \led_flash_cnt[340][6]~31651\);

-- Location: FF_X59_Y32_N21
\led_flash_cnt[340][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[340][6]~31650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[340][6]~q\);

-- Location: LCCOMB_X59_Y32_N22
\led_flash_cnt[340][7]~31652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[340][7]~31652_combout\ = \led_flash_cnt[340][7]~q\ $ (!\led_flash_cnt[340][6]~31651\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[340][7]~q\,
	cin => \led_flash_cnt[340][6]~31651\,
	combout => \led_flash_cnt[340][7]~31652_combout\);

-- Location: FF_X59_Y32_N23
\led_flash_cnt[340][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[340][7]~31652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[340][7]~q\);

-- Location: LCCOMB_X59_Y32_N8
\WideAnd340~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd340~0_combout\ = (\led_flash_cnt[340][2]~q\ & (\led_flash_cnt[340][4]~q\ & (\led_flash_cnt[340][3]~q\ & \led_flash_cnt[340][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[340][2]~q\,
	datab => \led_flash_cnt[340][4]~q\,
	datac => \led_flash_cnt[340][3]~q\,
	datad => \led_flash_cnt[340][1]~q\,
	combout => \WideAnd340~0_combout\);

-- Location: LCCOMB_X59_Y32_N2
\WideAnd340~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd340~1_combout\ = (\led_flash_cnt[340][6]~q\ & \led_flash_cnt[340][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[340][6]~q\,
	datad => \led_flash_cnt[340][5]~q\,
	combout => \WideAnd340~1_combout\);

-- Location: LCCOMB_X59_Y32_N24
WideAnd340 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd340~combout\ = (\led_flash_cnt[340][7]~q\ & (\led_flash_cnt[340][0]~q\ & (\WideAnd340~0_combout\ & \WideAnd340~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[340][7]~q\,
	datab => \led_flash_cnt[340][0]~q\,
	datac => \WideAnd340~0_combout\,
	datad => \WideAnd340~1_combout\,
	combout => \WideAnd340~combout\);

-- Location: FF_X59_Y32_N25
\led_flash_cnt_ands[340]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd340~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(340));

-- Location: LCCOMB_X59_Y32_N26
\WideAnd3882~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3882~1_combout\ = (led_flash_cnt_ands(341) & led_flash_cnt_ands(340))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(341),
	datad => led_flash_cnt_ands(340),
	combout => \WideAnd3882~1_combout\);

-- Location: LCCOMB_X75_Y36_N28
\led_flash_cnt[342][0]~80982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[342][0]~80982_combout\ = !\led_flash_cnt[342][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[342][0]~q\,
	combout => \led_flash_cnt[342][0]~80982_combout\);

-- Location: FF_X75_Y36_N29
\led_flash_cnt[342][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[342][0]~80982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[342][0]~q\);

-- Location: LCCOMB_X76_Y36_N16
\led_flash_cnt[342][1]~31668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[342][1]~31668_combout\ = (\led_flash_cnt[342][0]~q\ & (\led_flash_cnt[342][1]~q\ $ (VCC))) # (!\led_flash_cnt[342][0]~q\ & (\led_flash_cnt[342][1]~q\ & VCC))
-- \led_flash_cnt[342][1]~31669\ = CARRY((\led_flash_cnt[342][0]~q\ & \led_flash_cnt[342][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[342][0]~q\,
	datab => \led_flash_cnt[342][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[342][1]~31668_combout\,
	cout => \led_flash_cnt[342][1]~31669\);

-- Location: FF_X76_Y36_N17
\led_flash_cnt[342][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[342][1]~31668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[342][1]~q\);

-- Location: LCCOMB_X76_Y36_N18
\led_flash_cnt[342][2]~31670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[342][2]~31670_combout\ = (\led_flash_cnt[342][2]~q\ & (!\led_flash_cnt[342][1]~31669\)) # (!\led_flash_cnt[342][2]~q\ & ((\led_flash_cnt[342][1]~31669\) # (GND)))
-- \led_flash_cnt[342][2]~31671\ = CARRY((!\led_flash_cnt[342][1]~31669\) # (!\led_flash_cnt[342][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[342][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[342][1]~31669\,
	combout => \led_flash_cnt[342][2]~31670_combout\,
	cout => \led_flash_cnt[342][2]~31671\);

-- Location: FF_X76_Y36_N19
\led_flash_cnt[342][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[342][2]~31670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[342][2]~q\);

-- Location: LCCOMB_X76_Y36_N20
\led_flash_cnt[342][3]~31672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[342][3]~31672_combout\ = (\led_flash_cnt[342][3]~q\ & (\led_flash_cnt[342][2]~31671\ $ (GND))) # (!\led_flash_cnt[342][3]~q\ & (!\led_flash_cnt[342][2]~31671\ & VCC))
-- \led_flash_cnt[342][3]~31673\ = CARRY((\led_flash_cnt[342][3]~q\ & !\led_flash_cnt[342][2]~31671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[342][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[342][2]~31671\,
	combout => \led_flash_cnt[342][3]~31672_combout\,
	cout => \led_flash_cnt[342][3]~31673\);

-- Location: FF_X76_Y36_N21
\led_flash_cnt[342][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[342][3]~31672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[342][3]~q\);

-- Location: LCCOMB_X76_Y36_N22
\led_flash_cnt[342][4]~31674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[342][4]~31674_combout\ = (\led_flash_cnt[342][4]~q\ & (!\led_flash_cnt[342][3]~31673\)) # (!\led_flash_cnt[342][4]~q\ & ((\led_flash_cnt[342][3]~31673\) # (GND)))
-- \led_flash_cnt[342][4]~31675\ = CARRY((!\led_flash_cnt[342][3]~31673\) # (!\led_flash_cnt[342][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[342][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[342][3]~31673\,
	combout => \led_flash_cnt[342][4]~31674_combout\,
	cout => \led_flash_cnt[342][4]~31675\);

-- Location: FF_X76_Y36_N23
\led_flash_cnt[342][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[342][4]~31674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[342][4]~q\);

-- Location: LCCOMB_X76_Y36_N30
\WideAnd342~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd342~0_combout\ = (\led_flash_cnt[342][2]~q\ & (\led_flash_cnt[342][1]~q\ & (\led_flash_cnt[342][4]~q\ & \led_flash_cnt[342][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[342][2]~q\,
	datab => \led_flash_cnt[342][1]~q\,
	datac => \led_flash_cnt[342][4]~q\,
	datad => \led_flash_cnt[342][3]~q\,
	combout => \WideAnd342~0_combout\);

-- Location: LCCOMB_X76_Y36_N24
\led_flash_cnt[342][5]~31676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[342][5]~31676_combout\ = (\led_flash_cnt[342][5]~q\ & (\led_flash_cnt[342][4]~31675\ $ (GND))) # (!\led_flash_cnt[342][5]~q\ & (!\led_flash_cnt[342][4]~31675\ & VCC))
-- \led_flash_cnt[342][5]~31677\ = CARRY((\led_flash_cnt[342][5]~q\ & !\led_flash_cnt[342][4]~31675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[342][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[342][4]~31675\,
	combout => \led_flash_cnt[342][5]~31676_combout\,
	cout => \led_flash_cnt[342][5]~31677\);

-- Location: FF_X76_Y36_N25
\led_flash_cnt[342][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[342][5]~31676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[342][5]~q\);

-- Location: LCCOMB_X76_Y36_N26
\led_flash_cnt[342][6]~31678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[342][6]~31678_combout\ = (\led_flash_cnt[342][6]~q\ & (!\led_flash_cnt[342][5]~31677\)) # (!\led_flash_cnt[342][6]~q\ & ((\led_flash_cnt[342][5]~31677\) # (GND)))
-- \led_flash_cnt[342][6]~31679\ = CARRY((!\led_flash_cnt[342][5]~31677\) # (!\led_flash_cnt[342][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[342][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[342][5]~31677\,
	combout => \led_flash_cnt[342][6]~31678_combout\,
	cout => \led_flash_cnt[342][6]~31679\);

-- Location: FF_X76_Y36_N27
\led_flash_cnt[342][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[342][6]~31678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[342][6]~q\);

-- Location: LCCOMB_X75_Y36_N30
\WideAnd342~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd342~1_combout\ = (\led_flash_cnt[342][6]~q\ & \led_flash_cnt[342][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[342][6]~q\,
	datad => \led_flash_cnt[342][5]~q\,
	combout => \WideAnd342~1_combout\);

-- Location: LCCOMB_X76_Y36_N28
\led_flash_cnt[342][7]~31680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[342][7]~31680_combout\ = \led_flash_cnt[342][6]~31679\ $ (!\led_flash_cnt[342][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[342][7]~q\,
	cin => \led_flash_cnt[342][6]~31679\,
	combout => \led_flash_cnt[342][7]~31680_combout\);

-- Location: FF_X76_Y36_N29
\led_flash_cnt[342][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[342][7]~31680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[342][7]~q\);

-- Location: LCCOMB_X75_Y36_N6
WideAnd342 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd342~combout\ = (\WideAnd342~0_combout\ & (\led_flash_cnt[342][0]~q\ & (\WideAnd342~1_combout\ & \led_flash_cnt[342][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd342~0_combout\,
	datab => \led_flash_cnt[342][0]~q\,
	datac => \WideAnd342~1_combout\,
	datad => \led_flash_cnt[342][7]~q\,
	combout => \WideAnd342~combout\);

-- Location: FF_X75_Y36_N7
\led_flash_cnt_ands[342]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd342~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(342));

-- Location: LCCOMB_X74_Y32_N30
WideAnd3882 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3882~combout\ = (\WideAnd3882~0_combout\ & (led_flash_cnt_ands(343) & (\WideAnd3882~1_combout\ & led_flash_cnt_ands(342))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3882~0_combout\,
	datab => led_flash_cnt_ands(343),
	datac => \WideAnd3882~1_combout\,
	datad => led_flash_cnt_ands(342),
	combout => \WideAnd3882~combout\);

-- Location: FF_X74_Y32_N31
\led_flash_cnt_ands_1[42]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3882~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(42));

-- Location: LCCOMB_X56_Y2_N22
\led_flash_cnt[335][0]~80975\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[335][0]~80975_combout\ = !\led_flash_cnt[335][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[335][0]~q\,
	combout => \led_flash_cnt[335][0]~80975_combout\);

-- Location: FF_X56_Y2_N23
\led_flash_cnt[335][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[335][0]~80975_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[335][0]~q\);

-- Location: LCCOMB_X56_Y2_N4
\led_flash_cnt[335][1]~31570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[335][1]~31570_combout\ = (\led_flash_cnt[335][0]~q\ & (\led_flash_cnt[335][1]~q\ $ (VCC))) # (!\led_flash_cnt[335][0]~q\ & (\led_flash_cnt[335][1]~q\ & VCC))
-- \led_flash_cnt[335][1]~31571\ = CARRY((\led_flash_cnt[335][0]~q\ & \led_flash_cnt[335][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[335][0]~q\,
	datab => \led_flash_cnt[335][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[335][1]~31570_combout\,
	cout => \led_flash_cnt[335][1]~31571\);

-- Location: FF_X56_Y2_N5
\led_flash_cnt[335][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[335][1]~31570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[335][1]~q\);

-- Location: LCCOMB_X56_Y2_N6
\led_flash_cnt[335][2]~31572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[335][2]~31572_combout\ = (\led_flash_cnt[335][2]~q\ & (!\led_flash_cnt[335][1]~31571\)) # (!\led_flash_cnt[335][2]~q\ & ((\led_flash_cnt[335][1]~31571\) # (GND)))
-- \led_flash_cnt[335][2]~31573\ = CARRY((!\led_flash_cnt[335][1]~31571\) # (!\led_flash_cnt[335][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[335][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[335][1]~31571\,
	combout => \led_flash_cnt[335][2]~31572_combout\,
	cout => \led_flash_cnt[335][2]~31573\);

-- Location: FF_X56_Y2_N7
\led_flash_cnt[335][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[335][2]~31572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[335][2]~q\);

-- Location: LCCOMB_X56_Y2_N8
\led_flash_cnt[335][3]~31574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[335][3]~31574_combout\ = (\led_flash_cnt[335][3]~q\ & (\led_flash_cnt[335][2]~31573\ $ (GND))) # (!\led_flash_cnt[335][3]~q\ & (!\led_flash_cnt[335][2]~31573\ & VCC))
-- \led_flash_cnt[335][3]~31575\ = CARRY((\led_flash_cnt[335][3]~q\ & !\led_flash_cnt[335][2]~31573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[335][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[335][2]~31573\,
	combout => \led_flash_cnt[335][3]~31574_combout\,
	cout => \led_flash_cnt[335][3]~31575\);

-- Location: FF_X56_Y2_N9
\led_flash_cnt[335][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[335][3]~31574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[335][3]~q\);

-- Location: LCCOMB_X56_Y2_N10
\led_flash_cnt[335][4]~31576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[335][4]~31576_combout\ = (\led_flash_cnt[335][4]~q\ & (!\led_flash_cnt[335][3]~31575\)) # (!\led_flash_cnt[335][4]~q\ & ((\led_flash_cnt[335][3]~31575\) # (GND)))
-- \led_flash_cnt[335][4]~31577\ = CARRY((!\led_flash_cnt[335][3]~31575\) # (!\led_flash_cnt[335][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[335][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[335][3]~31575\,
	combout => \led_flash_cnt[335][4]~31576_combout\,
	cout => \led_flash_cnt[335][4]~31577\);

-- Location: FF_X56_Y2_N11
\led_flash_cnt[335][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[335][4]~31576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[335][4]~q\);

-- Location: LCCOMB_X56_Y2_N12
\led_flash_cnt[335][5]~31578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[335][5]~31578_combout\ = (\led_flash_cnt[335][5]~q\ & (\led_flash_cnt[335][4]~31577\ $ (GND))) # (!\led_flash_cnt[335][5]~q\ & (!\led_flash_cnt[335][4]~31577\ & VCC))
-- \led_flash_cnt[335][5]~31579\ = CARRY((\led_flash_cnt[335][5]~q\ & !\led_flash_cnt[335][4]~31577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[335][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[335][4]~31577\,
	combout => \led_flash_cnt[335][5]~31578_combout\,
	cout => \led_flash_cnt[335][5]~31579\);

-- Location: FF_X56_Y2_N13
\led_flash_cnt[335][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[335][5]~31578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[335][5]~q\);

-- Location: LCCOMB_X56_Y2_N14
\led_flash_cnt[335][6]~31580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[335][6]~31580_combout\ = (\led_flash_cnt[335][6]~q\ & (!\led_flash_cnt[335][5]~31579\)) # (!\led_flash_cnt[335][6]~q\ & ((\led_flash_cnt[335][5]~31579\) # (GND)))
-- \led_flash_cnt[335][6]~31581\ = CARRY((!\led_flash_cnt[335][5]~31579\) # (!\led_flash_cnt[335][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[335][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[335][5]~31579\,
	combout => \led_flash_cnt[335][6]~31580_combout\,
	cout => \led_flash_cnt[335][6]~31581\);

-- Location: FF_X56_Y2_N15
\led_flash_cnt[335][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[335][6]~31580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[335][6]~q\);

-- Location: LCCOMB_X56_Y2_N16
\led_flash_cnt[335][7]~31582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[335][7]~31582_combout\ = \led_flash_cnt[335][6]~31581\ $ (!\led_flash_cnt[335][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[335][7]~q\,
	cin => \led_flash_cnt[335][6]~31581\,
	combout => \led_flash_cnt[335][7]~31582_combout\);

-- Location: FF_X56_Y2_N17
\led_flash_cnt[335][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[335][7]~31582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[335][7]~q\);

-- Location: LCCOMB_X56_Y2_N26
\WideAnd335~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd335~1_combout\ = (\led_flash_cnt[335][6]~q\ & \led_flash_cnt[335][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[335][6]~q\,
	datad => \led_flash_cnt[335][5]~q\,
	combout => \WideAnd335~1_combout\);

-- Location: LCCOMB_X56_Y2_N18
\WideAnd335~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd335~0_combout\ = (\led_flash_cnt[335][4]~q\ & (\led_flash_cnt[335][3]~q\ & (\led_flash_cnt[335][1]~q\ & \led_flash_cnt[335][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[335][4]~q\,
	datab => \led_flash_cnt[335][3]~q\,
	datac => \led_flash_cnt[335][1]~q\,
	datad => \led_flash_cnt[335][2]~q\,
	combout => \WideAnd335~0_combout\);

-- Location: LCCOMB_X56_Y2_N2
WideAnd335 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd335~combout\ = (\led_flash_cnt[335][0]~q\ & (\led_flash_cnt[335][7]~q\ & (\WideAnd335~1_combout\ & \WideAnd335~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[335][0]~q\,
	datab => \led_flash_cnt[335][7]~q\,
	datac => \WideAnd335~1_combout\,
	datad => \WideAnd335~0_combout\,
	combout => \WideAnd335~combout\);

-- Location: FF_X56_Y2_N3
\led_flash_cnt_ands[335]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd335~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(335));

-- Location: LCCOMB_X55_Y2_N4
\led_flash_cnt[332][0]~80972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[332][0]~80972_combout\ = !\led_flash_cnt[332][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[332][0]~q\,
	combout => \led_flash_cnt[332][0]~80972_combout\);

-- Location: FF_X55_Y2_N5
\led_flash_cnt[332][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[332][0]~80972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[332][0]~q\);

-- Location: LCCOMB_X55_Y2_N10
\led_flash_cnt[332][1]~31528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[332][1]~31528_combout\ = (\led_flash_cnt[332][1]~q\ & (\led_flash_cnt[332][0]~q\ $ (VCC))) # (!\led_flash_cnt[332][1]~q\ & (\led_flash_cnt[332][0]~q\ & VCC))
-- \led_flash_cnt[332][1]~31529\ = CARRY((\led_flash_cnt[332][1]~q\ & \led_flash_cnt[332][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[332][1]~q\,
	datab => \led_flash_cnt[332][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[332][1]~31528_combout\,
	cout => \led_flash_cnt[332][1]~31529\);

-- Location: FF_X55_Y2_N11
\led_flash_cnt[332][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[332][1]~31528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[332][1]~q\);

-- Location: LCCOMB_X55_Y2_N12
\led_flash_cnt[332][2]~31530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[332][2]~31530_combout\ = (\led_flash_cnt[332][2]~q\ & (!\led_flash_cnt[332][1]~31529\)) # (!\led_flash_cnt[332][2]~q\ & ((\led_flash_cnt[332][1]~31529\) # (GND)))
-- \led_flash_cnt[332][2]~31531\ = CARRY((!\led_flash_cnt[332][1]~31529\) # (!\led_flash_cnt[332][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[332][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[332][1]~31529\,
	combout => \led_flash_cnt[332][2]~31530_combout\,
	cout => \led_flash_cnt[332][2]~31531\);

-- Location: FF_X55_Y2_N13
\led_flash_cnt[332][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[332][2]~31530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[332][2]~q\);

-- Location: LCCOMB_X55_Y2_N14
\led_flash_cnt[332][3]~31532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[332][3]~31532_combout\ = (\led_flash_cnt[332][3]~q\ & (\led_flash_cnt[332][2]~31531\ $ (GND))) # (!\led_flash_cnt[332][3]~q\ & (!\led_flash_cnt[332][2]~31531\ & VCC))
-- \led_flash_cnt[332][3]~31533\ = CARRY((\led_flash_cnt[332][3]~q\ & !\led_flash_cnt[332][2]~31531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[332][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[332][2]~31531\,
	combout => \led_flash_cnt[332][3]~31532_combout\,
	cout => \led_flash_cnt[332][3]~31533\);

-- Location: FF_X55_Y2_N15
\led_flash_cnt[332][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[332][3]~31532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[332][3]~q\);

-- Location: LCCOMB_X55_Y2_N16
\led_flash_cnt[332][4]~31534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[332][4]~31534_combout\ = (\led_flash_cnt[332][4]~q\ & (!\led_flash_cnt[332][3]~31533\)) # (!\led_flash_cnt[332][4]~q\ & ((\led_flash_cnt[332][3]~31533\) # (GND)))
-- \led_flash_cnt[332][4]~31535\ = CARRY((!\led_flash_cnt[332][3]~31533\) # (!\led_flash_cnt[332][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[332][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[332][3]~31533\,
	combout => \led_flash_cnt[332][4]~31534_combout\,
	cout => \led_flash_cnt[332][4]~31535\);

-- Location: FF_X55_Y2_N17
\led_flash_cnt[332][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[332][4]~31534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[332][4]~q\);

-- Location: LCCOMB_X55_Y2_N18
\led_flash_cnt[332][5]~31536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[332][5]~31536_combout\ = (\led_flash_cnt[332][5]~q\ & (\led_flash_cnt[332][4]~31535\ $ (GND))) # (!\led_flash_cnt[332][5]~q\ & (!\led_flash_cnt[332][4]~31535\ & VCC))
-- \led_flash_cnt[332][5]~31537\ = CARRY((\led_flash_cnt[332][5]~q\ & !\led_flash_cnt[332][4]~31535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[332][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[332][4]~31535\,
	combout => \led_flash_cnt[332][5]~31536_combout\,
	cout => \led_flash_cnt[332][5]~31537\);

-- Location: FF_X55_Y2_N19
\led_flash_cnt[332][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[332][5]~31536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[332][5]~q\);

-- Location: LCCOMB_X55_Y2_N20
\led_flash_cnt[332][6]~31538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[332][6]~31538_combout\ = (\led_flash_cnt[332][6]~q\ & (!\led_flash_cnt[332][5]~31537\)) # (!\led_flash_cnt[332][6]~q\ & ((\led_flash_cnt[332][5]~31537\) # (GND)))
-- \led_flash_cnt[332][6]~31539\ = CARRY((!\led_flash_cnt[332][5]~31537\) # (!\led_flash_cnt[332][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[332][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[332][5]~31537\,
	combout => \led_flash_cnt[332][6]~31538_combout\,
	cout => \led_flash_cnt[332][6]~31539\);

-- Location: FF_X55_Y2_N21
\led_flash_cnt[332][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[332][6]~31538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[332][6]~q\);

-- Location: LCCOMB_X55_Y2_N26
\WideAnd332~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd332~1_combout\ = (\led_flash_cnt[332][6]~q\ & \led_flash_cnt[332][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[332][6]~q\,
	datad => \led_flash_cnt[332][5]~q\,
	combout => \WideAnd332~1_combout\);

-- Location: LCCOMB_X55_Y2_N22
\led_flash_cnt[332][7]~31540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[332][7]~31540_combout\ = \led_flash_cnt[332][7]~q\ $ (!\led_flash_cnt[332][6]~31539\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[332][7]~q\,
	cin => \led_flash_cnt[332][6]~31539\,
	combout => \led_flash_cnt[332][7]~31540_combout\);

-- Location: FF_X55_Y2_N23
\led_flash_cnt[332][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[332][7]~31540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[332][7]~q\);

-- Location: LCCOMB_X55_Y2_N24
\WideAnd332~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd332~0_combout\ = (\led_flash_cnt[332][2]~q\ & (\led_flash_cnt[332][4]~q\ & (\led_flash_cnt[332][3]~q\ & \led_flash_cnt[332][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[332][2]~q\,
	datab => \led_flash_cnt[332][4]~q\,
	datac => \led_flash_cnt[332][3]~q\,
	datad => \led_flash_cnt[332][1]~q\,
	combout => \WideAnd332~0_combout\);

-- Location: LCCOMB_X55_Y2_N8
WideAnd332 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd332~combout\ = (\WideAnd332~1_combout\ & (\led_flash_cnt[332][0]~q\ & (\led_flash_cnt[332][7]~q\ & \WideAnd332~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd332~1_combout\,
	datab => \led_flash_cnt[332][0]~q\,
	datac => \led_flash_cnt[332][7]~q\,
	datad => \WideAnd332~0_combout\,
	combout => \WideAnd332~combout\);

-- Location: FF_X55_Y2_N9
\led_flash_cnt_ands[332]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd332~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(332));

-- Location: LCCOMB_X59_Y2_N18
\led_flash_cnt[333][0]~80973\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[333][0]~80973_combout\ = !\led_flash_cnt[333][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[333][0]~q\,
	combout => \led_flash_cnt[333][0]~80973_combout\);

-- Location: FF_X59_Y2_N19
\led_flash_cnt[333][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[333][0]~80973_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[333][0]~q\);

-- Location: LCCOMB_X59_Y2_N0
\led_flash_cnt[333][1]~31542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[333][1]~31542_combout\ = (\led_flash_cnt[333][1]~q\ & (\led_flash_cnt[333][0]~q\ $ (VCC))) # (!\led_flash_cnt[333][1]~q\ & (\led_flash_cnt[333][0]~q\ & VCC))
-- \led_flash_cnt[333][1]~31543\ = CARRY((\led_flash_cnt[333][1]~q\ & \led_flash_cnt[333][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[333][1]~q\,
	datab => \led_flash_cnt[333][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[333][1]~31542_combout\,
	cout => \led_flash_cnt[333][1]~31543\);

-- Location: FF_X59_Y2_N1
\led_flash_cnt[333][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[333][1]~31542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[333][1]~q\);

-- Location: LCCOMB_X59_Y2_N2
\led_flash_cnt[333][2]~31544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[333][2]~31544_combout\ = (\led_flash_cnt[333][2]~q\ & (!\led_flash_cnt[333][1]~31543\)) # (!\led_flash_cnt[333][2]~q\ & ((\led_flash_cnt[333][1]~31543\) # (GND)))
-- \led_flash_cnt[333][2]~31545\ = CARRY((!\led_flash_cnt[333][1]~31543\) # (!\led_flash_cnt[333][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[333][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[333][1]~31543\,
	combout => \led_flash_cnt[333][2]~31544_combout\,
	cout => \led_flash_cnt[333][2]~31545\);

-- Location: FF_X59_Y2_N3
\led_flash_cnt[333][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[333][2]~31544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[333][2]~q\);

-- Location: LCCOMB_X59_Y2_N4
\led_flash_cnt[333][3]~31546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[333][3]~31546_combout\ = (\led_flash_cnt[333][3]~q\ & (\led_flash_cnt[333][2]~31545\ $ (GND))) # (!\led_flash_cnt[333][3]~q\ & (!\led_flash_cnt[333][2]~31545\ & VCC))
-- \led_flash_cnt[333][3]~31547\ = CARRY((\led_flash_cnt[333][3]~q\ & !\led_flash_cnt[333][2]~31545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[333][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[333][2]~31545\,
	combout => \led_flash_cnt[333][3]~31546_combout\,
	cout => \led_flash_cnt[333][3]~31547\);

-- Location: FF_X59_Y2_N5
\led_flash_cnt[333][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[333][3]~31546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[333][3]~q\);

-- Location: LCCOMB_X59_Y2_N6
\led_flash_cnt[333][4]~31548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[333][4]~31548_combout\ = (\led_flash_cnt[333][4]~q\ & (!\led_flash_cnt[333][3]~31547\)) # (!\led_flash_cnt[333][4]~q\ & ((\led_flash_cnt[333][3]~31547\) # (GND)))
-- \led_flash_cnt[333][4]~31549\ = CARRY((!\led_flash_cnt[333][3]~31547\) # (!\led_flash_cnt[333][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[333][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[333][3]~31547\,
	combout => \led_flash_cnt[333][4]~31548_combout\,
	cout => \led_flash_cnt[333][4]~31549\);

-- Location: FF_X59_Y2_N7
\led_flash_cnt[333][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[333][4]~31548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[333][4]~q\);

-- Location: LCCOMB_X59_Y2_N26
\WideAnd333~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd333~0_combout\ = (\led_flash_cnt[333][4]~q\ & (\led_flash_cnt[333][1]~q\ & (\led_flash_cnt[333][3]~q\ & \led_flash_cnt[333][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[333][4]~q\,
	datab => \led_flash_cnt[333][1]~q\,
	datac => \led_flash_cnt[333][3]~q\,
	datad => \led_flash_cnt[333][2]~q\,
	combout => \WideAnd333~0_combout\);

-- Location: LCCOMB_X59_Y2_N8
\led_flash_cnt[333][5]~31550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[333][5]~31550_combout\ = (\led_flash_cnt[333][5]~q\ & (\led_flash_cnt[333][4]~31549\ $ (GND))) # (!\led_flash_cnt[333][5]~q\ & (!\led_flash_cnt[333][4]~31549\ & VCC))
-- \led_flash_cnt[333][5]~31551\ = CARRY((\led_flash_cnt[333][5]~q\ & !\led_flash_cnt[333][4]~31549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[333][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[333][4]~31549\,
	combout => \led_flash_cnt[333][5]~31550_combout\,
	cout => \led_flash_cnt[333][5]~31551\);

-- Location: FF_X59_Y2_N9
\led_flash_cnt[333][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[333][5]~31550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[333][5]~q\);

-- Location: LCCOMB_X59_Y2_N10
\led_flash_cnt[333][6]~31552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[333][6]~31552_combout\ = (\led_flash_cnt[333][6]~q\ & (!\led_flash_cnt[333][5]~31551\)) # (!\led_flash_cnt[333][6]~q\ & ((\led_flash_cnt[333][5]~31551\) # (GND)))
-- \led_flash_cnt[333][6]~31553\ = CARRY((!\led_flash_cnt[333][5]~31551\) # (!\led_flash_cnt[333][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[333][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[333][5]~31551\,
	combout => \led_flash_cnt[333][6]~31552_combout\,
	cout => \led_flash_cnt[333][6]~31553\);

-- Location: FF_X59_Y2_N11
\led_flash_cnt[333][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[333][6]~31552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[333][6]~q\);

-- Location: LCCOMB_X59_Y2_N22
\WideAnd333~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd333~1_combout\ = (\led_flash_cnt[333][5]~q\ & \led_flash_cnt[333][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[333][5]~q\,
	datad => \led_flash_cnt[333][6]~q\,
	combout => \WideAnd333~1_combout\);

-- Location: LCCOMB_X59_Y2_N12
\led_flash_cnt[333][7]~31554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[333][7]~31554_combout\ = \led_flash_cnt[333][6]~31553\ $ (!\led_flash_cnt[333][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[333][7]~q\,
	cin => \led_flash_cnt[333][6]~31553\,
	combout => \led_flash_cnt[333][7]~31554_combout\);

-- Location: FF_X59_Y2_N13
\led_flash_cnt[333][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[333][7]~31554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[333][7]~q\);

-- Location: LCCOMB_X59_Y2_N24
WideAnd333 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd333~combout\ = (\WideAnd333~0_combout\ & (\led_flash_cnt[333][0]~q\ & (\WideAnd333~1_combout\ & \led_flash_cnt[333][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd333~0_combout\,
	datab => \led_flash_cnt[333][0]~q\,
	datac => \WideAnd333~1_combout\,
	datad => \led_flash_cnt[333][7]~q\,
	combout => \WideAnd333~combout\);

-- Location: FF_X59_Y2_N25
\led_flash_cnt_ands[333]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd333~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(333));

-- Location: LCCOMB_X55_Y2_N28
\WideAnd3881~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3881~1_combout\ = (led_flash_cnt_ands(332) & led_flash_cnt_ands(333))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(332),
	datad => led_flash_cnt_ands(333),
	combout => \WideAnd3881~1_combout\);

-- Location: LCCOMB_X56_Y6_N4
\led_flash_cnt[334][0]~80974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[334][0]~80974_combout\ = !\led_flash_cnt[334][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[334][0]~q\,
	combout => \led_flash_cnt[334][0]~80974_combout\);

-- Location: FF_X56_Y6_N5
\led_flash_cnt[334][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[334][0]~80974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[334][0]~q\);

-- Location: LCCOMB_X56_Y6_N10
\led_flash_cnt[334][1]~31556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[334][1]~31556_combout\ = (\led_flash_cnt[334][1]~q\ & (\led_flash_cnt[334][0]~q\ $ (VCC))) # (!\led_flash_cnt[334][1]~q\ & (\led_flash_cnt[334][0]~q\ & VCC))
-- \led_flash_cnt[334][1]~31557\ = CARRY((\led_flash_cnt[334][1]~q\ & \led_flash_cnt[334][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[334][1]~q\,
	datab => \led_flash_cnt[334][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[334][1]~31556_combout\,
	cout => \led_flash_cnt[334][1]~31557\);

-- Location: FF_X56_Y6_N11
\led_flash_cnt[334][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[334][1]~31556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[334][1]~q\);

-- Location: LCCOMB_X56_Y6_N12
\led_flash_cnt[334][2]~31558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[334][2]~31558_combout\ = (\led_flash_cnt[334][2]~q\ & (!\led_flash_cnt[334][1]~31557\)) # (!\led_flash_cnt[334][2]~q\ & ((\led_flash_cnt[334][1]~31557\) # (GND)))
-- \led_flash_cnt[334][2]~31559\ = CARRY((!\led_flash_cnt[334][1]~31557\) # (!\led_flash_cnt[334][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[334][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[334][1]~31557\,
	combout => \led_flash_cnt[334][2]~31558_combout\,
	cout => \led_flash_cnt[334][2]~31559\);

-- Location: FF_X56_Y6_N13
\led_flash_cnt[334][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[334][2]~31558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[334][2]~q\);

-- Location: LCCOMB_X56_Y6_N14
\led_flash_cnt[334][3]~31560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[334][3]~31560_combout\ = (\led_flash_cnt[334][3]~q\ & (\led_flash_cnt[334][2]~31559\ $ (GND))) # (!\led_flash_cnt[334][3]~q\ & (!\led_flash_cnt[334][2]~31559\ & VCC))
-- \led_flash_cnt[334][3]~31561\ = CARRY((\led_flash_cnt[334][3]~q\ & !\led_flash_cnt[334][2]~31559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[334][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[334][2]~31559\,
	combout => \led_flash_cnt[334][3]~31560_combout\,
	cout => \led_flash_cnt[334][3]~31561\);

-- Location: FF_X56_Y6_N15
\led_flash_cnt[334][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[334][3]~31560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[334][3]~q\);

-- Location: LCCOMB_X56_Y6_N16
\led_flash_cnt[334][4]~31562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[334][4]~31562_combout\ = (\led_flash_cnt[334][4]~q\ & (!\led_flash_cnt[334][3]~31561\)) # (!\led_flash_cnt[334][4]~q\ & ((\led_flash_cnt[334][3]~31561\) # (GND)))
-- \led_flash_cnt[334][4]~31563\ = CARRY((!\led_flash_cnt[334][3]~31561\) # (!\led_flash_cnt[334][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[334][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[334][3]~31561\,
	combout => \led_flash_cnt[334][4]~31562_combout\,
	cout => \led_flash_cnt[334][4]~31563\);

-- Location: FF_X56_Y6_N17
\led_flash_cnt[334][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[334][4]~31562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[334][4]~q\);

-- Location: LCCOMB_X56_Y6_N18
\led_flash_cnt[334][5]~31564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[334][5]~31564_combout\ = (\led_flash_cnt[334][5]~q\ & (\led_flash_cnt[334][4]~31563\ $ (GND))) # (!\led_flash_cnt[334][5]~q\ & (!\led_flash_cnt[334][4]~31563\ & VCC))
-- \led_flash_cnt[334][5]~31565\ = CARRY((\led_flash_cnt[334][5]~q\ & !\led_flash_cnt[334][4]~31563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[334][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[334][4]~31563\,
	combout => \led_flash_cnt[334][5]~31564_combout\,
	cout => \led_flash_cnt[334][5]~31565\);

-- Location: FF_X56_Y6_N19
\led_flash_cnt[334][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[334][5]~31564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[334][5]~q\);

-- Location: LCCOMB_X56_Y6_N20
\led_flash_cnt[334][6]~31566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[334][6]~31566_combout\ = (\led_flash_cnt[334][6]~q\ & (!\led_flash_cnt[334][5]~31565\)) # (!\led_flash_cnt[334][6]~q\ & ((\led_flash_cnt[334][5]~31565\) # (GND)))
-- \led_flash_cnt[334][6]~31567\ = CARRY((!\led_flash_cnt[334][5]~31565\) # (!\led_flash_cnt[334][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[334][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[334][5]~31565\,
	combout => \led_flash_cnt[334][6]~31566_combout\,
	cout => \led_flash_cnt[334][6]~31567\);

-- Location: FF_X56_Y6_N21
\led_flash_cnt[334][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[334][6]~31566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[334][6]~q\);

-- Location: LCCOMB_X56_Y6_N26
\WideAnd334~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd334~1_combout\ = (\led_flash_cnt[334][6]~q\ & \led_flash_cnt[334][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[334][6]~q\,
	datad => \led_flash_cnt[334][5]~q\,
	combout => \WideAnd334~1_combout\);

-- Location: LCCOMB_X56_Y6_N22
\led_flash_cnt[334][7]~31568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[334][7]~31568_combout\ = \led_flash_cnt[334][7]~q\ $ (!\led_flash_cnt[334][6]~31567\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[334][7]~q\,
	cin => \led_flash_cnt[334][6]~31567\,
	combout => \led_flash_cnt[334][7]~31568_combout\);

-- Location: FF_X56_Y6_N23
\led_flash_cnt[334][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[334][7]~31568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[334][7]~q\);

-- Location: LCCOMB_X56_Y6_N24
\WideAnd334~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd334~0_combout\ = (\led_flash_cnt[334][2]~q\ & (\led_flash_cnt[334][4]~q\ & (\led_flash_cnt[334][3]~q\ & \led_flash_cnt[334][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[334][2]~q\,
	datab => \led_flash_cnt[334][4]~q\,
	datac => \led_flash_cnt[334][3]~q\,
	datad => \led_flash_cnt[334][1]~q\,
	combout => \WideAnd334~0_combout\);

-- Location: LCCOMB_X56_Y6_N8
WideAnd334 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd334~combout\ = (\WideAnd334~1_combout\ & (\led_flash_cnt[334][0]~q\ & (\led_flash_cnt[334][7]~q\ & \WideAnd334~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd334~1_combout\,
	datab => \led_flash_cnt[334][0]~q\,
	datac => \led_flash_cnt[334][7]~q\,
	datad => \WideAnd334~0_combout\,
	combout => \WideAnd334~combout\);

-- Location: FF_X56_Y6_N9
\led_flash_cnt_ands[334]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd334~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(334));

-- Location: LCCOMB_X55_Y1_N24
\led_flash_cnt[328][0]~80968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[328][0]~80968_combout\ = !\led_flash_cnt[328][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[328][0]~q\,
	combout => \led_flash_cnt[328][0]~80968_combout\);

-- Location: FF_X55_Y1_N25
\led_flash_cnt[328][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[328][0]~80968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[328][0]~q\);

-- Location: LCCOMB_X55_Y1_N6
\led_flash_cnt[328][1]~31472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[328][1]~31472_combout\ = (\led_flash_cnt[328][1]~q\ & (\led_flash_cnt[328][0]~q\ $ (VCC))) # (!\led_flash_cnt[328][1]~q\ & (\led_flash_cnt[328][0]~q\ & VCC))
-- \led_flash_cnt[328][1]~31473\ = CARRY((\led_flash_cnt[328][1]~q\ & \led_flash_cnt[328][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[328][1]~q\,
	datab => \led_flash_cnt[328][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[328][1]~31472_combout\,
	cout => \led_flash_cnt[328][1]~31473\);

-- Location: FF_X55_Y1_N7
\led_flash_cnt[328][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[328][1]~31472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[328][1]~q\);

-- Location: LCCOMB_X55_Y1_N8
\led_flash_cnt[328][2]~31474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[328][2]~31474_combout\ = (\led_flash_cnt[328][2]~q\ & (!\led_flash_cnt[328][1]~31473\)) # (!\led_flash_cnt[328][2]~q\ & ((\led_flash_cnt[328][1]~31473\) # (GND)))
-- \led_flash_cnt[328][2]~31475\ = CARRY((!\led_flash_cnt[328][1]~31473\) # (!\led_flash_cnt[328][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[328][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[328][1]~31473\,
	combout => \led_flash_cnt[328][2]~31474_combout\,
	cout => \led_flash_cnt[328][2]~31475\);

-- Location: FF_X55_Y1_N9
\led_flash_cnt[328][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[328][2]~31474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[328][2]~q\);

-- Location: LCCOMB_X55_Y1_N10
\led_flash_cnt[328][3]~31476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[328][3]~31476_combout\ = (\led_flash_cnt[328][3]~q\ & (\led_flash_cnt[328][2]~31475\ $ (GND))) # (!\led_flash_cnt[328][3]~q\ & (!\led_flash_cnt[328][2]~31475\ & VCC))
-- \led_flash_cnt[328][3]~31477\ = CARRY((\led_flash_cnt[328][3]~q\ & !\led_flash_cnt[328][2]~31475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[328][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[328][2]~31475\,
	combout => \led_flash_cnt[328][3]~31476_combout\,
	cout => \led_flash_cnt[328][3]~31477\);

-- Location: FF_X55_Y1_N11
\led_flash_cnt[328][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[328][3]~31476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[328][3]~q\);

-- Location: LCCOMB_X55_Y1_N12
\led_flash_cnt[328][4]~31478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[328][4]~31478_combout\ = (\led_flash_cnt[328][4]~q\ & (!\led_flash_cnt[328][3]~31477\)) # (!\led_flash_cnt[328][4]~q\ & ((\led_flash_cnt[328][3]~31477\) # (GND)))
-- \led_flash_cnt[328][4]~31479\ = CARRY((!\led_flash_cnt[328][3]~31477\) # (!\led_flash_cnt[328][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[328][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[328][3]~31477\,
	combout => \led_flash_cnt[328][4]~31478_combout\,
	cout => \led_flash_cnt[328][4]~31479\);

-- Location: FF_X55_Y1_N13
\led_flash_cnt[328][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[328][4]~31478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[328][4]~q\);

-- Location: LCCOMB_X55_Y1_N26
\WideAnd328~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd328~0_combout\ = (\led_flash_cnt[328][3]~q\ & (\led_flash_cnt[328][4]~q\ & (\led_flash_cnt[328][2]~q\ & \led_flash_cnt[328][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[328][3]~q\,
	datab => \led_flash_cnt[328][4]~q\,
	datac => \led_flash_cnt[328][2]~q\,
	datad => \led_flash_cnt[328][1]~q\,
	combout => \WideAnd328~0_combout\);

-- Location: LCCOMB_X55_Y1_N14
\led_flash_cnt[328][5]~31480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[328][5]~31480_combout\ = (\led_flash_cnt[328][5]~q\ & (\led_flash_cnt[328][4]~31479\ $ (GND))) # (!\led_flash_cnt[328][5]~q\ & (!\led_flash_cnt[328][4]~31479\ & VCC))
-- \led_flash_cnt[328][5]~31481\ = CARRY((\led_flash_cnt[328][5]~q\ & !\led_flash_cnt[328][4]~31479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[328][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[328][4]~31479\,
	combout => \led_flash_cnt[328][5]~31480_combout\,
	cout => \led_flash_cnt[328][5]~31481\);

-- Location: FF_X55_Y1_N15
\led_flash_cnt[328][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[328][5]~31480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[328][5]~q\);

-- Location: LCCOMB_X55_Y1_N16
\led_flash_cnt[328][6]~31482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[328][6]~31482_combout\ = (\led_flash_cnt[328][6]~q\ & (!\led_flash_cnt[328][5]~31481\)) # (!\led_flash_cnt[328][6]~q\ & ((\led_flash_cnt[328][5]~31481\) # (GND)))
-- \led_flash_cnt[328][6]~31483\ = CARRY((!\led_flash_cnt[328][5]~31481\) # (!\led_flash_cnt[328][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[328][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[328][5]~31481\,
	combout => \led_flash_cnt[328][6]~31482_combout\,
	cout => \led_flash_cnt[328][6]~31483\);

-- Location: FF_X55_Y1_N17
\led_flash_cnt[328][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[328][6]~31482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[328][6]~q\);

-- Location: LCCOMB_X55_Y1_N18
\led_flash_cnt[328][7]~31484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[328][7]~31484_combout\ = \led_flash_cnt[328][6]~31483\ $ (!\led_flash_cnt[328][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[328][7]~q\,
	cin => \led_flash_cnt[328][6]~31483\,
	combout => \led_flash_cnt[328][7]~31484_combout\);

-- Location: FF_X55_Y1_N19
\led_flash_cnt[328][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[328][7]~31484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[328][7]~q\);

-- Location: LCCOMB_X55_Y1_N4
\WideAnd328~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd328~1_combout\ = (\led_flash_cnt[328][5]~q\ & \led_flash_cnt[328][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[328][5]~q\,
	datad => \led_flash_cnt[328][6]~q\,
	combout => \WideAnd328~1_combout\);

-- Location: LCCOMB_X55_Y1_N22
WideAnd328 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd328~combout\ = (\WideAnd328~0_combout\ & (\led_flash_cnt[328][7]~q\ & (\WideAnd328~1_combout\ & \led_flash_cnt[328][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd328~0_combout\,
	datab => \led_flash_cnt[328][7]~q\,
	datac => \WideAnd328~1_combout\,
	datad => \led_flash_cnt[328][0]~q\,
	combout => \WideAnd328~combout\);

-- Location: FF_X55_Y1_N23
\led_flash_cnt_ands[328]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd328~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(328));

-- Location: LCCOMB_X51_Y1_N30
\led_flash_cnt[331][0]~80971\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[331][0]~80971_combout\ = !\led_flash_cnt[331][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[331][0]~q\,
	combout => \led_flash_cnt[331][0]~80971_combout\);

-- Location: FF_X51_Y1_N31
\led_flash_cnt[331][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[331][0]~80971_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[331][0]~q\);

-- Location: LCCOMB_X51_Y1_N4
\led_flash_cnt[331][1]~31514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[331][1]~31514_combout\ = (\led_flash_cnt[331][0]~q\ & (\led_flash_cnt[331][1]~q\ $ (VCC))) # (!\led_flash_cnt[331][0]~q\ & (\led_flash_cnt[331][1]~q\ & VCC))
-- \led_flash_cnt[331][1]~31515\ = CARRY((\led_flash_cnt[331][0]~q\ & \led_flash_cnt[331][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[331][0]~q\,
	datab => \led_flash_cnt[331][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[331][1]~31514_combout\,
	cout => \led_flash_cnt[331][1]~31515\);

-- Location: FF_X51_Y1_N5
\led_flash_cnt[331][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[331][1]~31514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[331][1]~q\);

-- Location: LCCOMB_X51_Y1_N6
\led_flash_cnt[331][2]~31516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[331][2]~31516_combout\ = (\led_flash_cnt[331][2]~q\ & (!\led_flash_cnt[331][1]~31515\)) # (!\led_flash_cnt[331][2]~q\ & ((\led_flash_cnt[331][1]~31515\) # (GND)))
-- \led_flash_cnt[331][2]~31517\ = CARRY((!\led_flash_cnt[331][1]~31515\) # (!\led_flash_cnt[331][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[331][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[331][1]~31515\,
	combout => \led_flash_cnt[331][2]~31516_combout\,
	cout => \led_flash_cnt[331][2]~31517\);

-- Location: FF_X51_Y1_N7
\led_flash_cnt[331][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[331][2]~31516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[331][2]~q\);

-- Location: LCCOMB_X51_Y1_N8
\led_flash_cnt[331][3]~31518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[331][3]~31518_combout\ = (\led_flash_cnt[331][3]~q\ & (\led_flash_cnt[331][2]~31517\ $ (GND))) # (!\led_flash_cnt[331][3]~q\ & (!\led_flash_cnt[331][2]~31517\ & VCC))
-- \led_flash_cnt[331][3]~31519\ = CARRY((\led_flash_cnt[331][3]~q\ & !\led_flash_cnt[331][2]~31517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[331][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[331][2]~31517\,
	combout => \led_flash_cnt[331][3]~31518_combout\,
	cout => \led_flash_cnt[331][3]~31519\);

-- Location: FF_X51_Y1_N9
\led_flash_cnt[331][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[331][3]~31518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[331][3]~q\);

-- Location: LCCOMB_X51_Y1_N10
\led_flash_cnt[331][4]~31520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[331][4]~31520_combout\ = (\led_flash_cnt[331][4]~q\ & (!\led_flash_cnt[331][3]~31519\)) # (!\led_flash_cnt[331][4]~q\ & ((\led_flash_cnt[331][3]~31519\) # (GND)))
-- \led_flash_cnt[331][4]~31521\ = CARRY((!\led_flash_cnt[331][3]~31519\) # (!\led_flash_cnt[331][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[331][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[331][3]~31519\,
	combout => \led_flash_cnt[331][4]~31520_combout\,
	cout => \led_flash_cnt[331][4]~31521\);

-- Location: FF_X51_Y1_N11
\led_flash_cnt[331][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[331][4]~31520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[331][4]~q\);

-- Location: LCCOMB_X51_Y1_N12
\led_flash_cnt[331][5]~31522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[331][5]~31522_combout\ = (\led_flash_cnt[331][5]~q\ & (\led_flash_cnt[331][4]~31521\ $ (GND))) # (!\led_flash_cnt[331][5]~q\ & (!\led_flash_cnt[331][4]~31521\ & VCC))
-- \led_flash_cnt[331][5]~31523\ = CARRY((\led_flash_cnt[331][5]~q\ & !\led_flash_cnt[331][4]~31521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[331][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[331][4]~31521\,
	combout => \led_flash_cnt[331][5]~31522_combout\,
	cout => \led_flash_cnt[331][5]~31523\);

-- Location: FF_X51_Y1_N13
\led_flash_cnt[331][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[331][5]~31522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[331][5]~q\);

-- Location: LCCOMB_X51_Y1_N14
\led_flash_cnt[331][6]~31524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[331][6]~31524_combout\ = (\led_flash_cnt[331][6]~q\ & (!\led_flash_cnt[331][5]~31523\)) # (!\led_flash_cnt[331][6]~q\ & ((\led_flash_cnt[331][5]~31523\) # (GND)))
-- \led_flash_cnt[331][6]~31525\ = CARRY((!\led_flash_cnt[331][5]~31523\) # (!\led_flash_cnt[331][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[331][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[331][5]~31523\,
	combout => \led_flash_cnt[331][6]~31524_combout\,
	cout => \led_flash_cnt[331][6]~31525\);

-- Location: FF_X51_Y1_N15
\led_flash_cnt[331][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[331][6]~31524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[331][6]~q\);

-- Location: LCCOMB_X51_Y1_N16
\led_flash_cnt[331][7]~31526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[331][7]~31526_combout\ = \led_flash_cnt[331][6]~31525\ $ (!\led_flash_cnt[331][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[331][7]~q\,
	cin => \led_flash_cnt[331][6]~31525\,
	combout => \led_flash_cnt[331][7]~31526_combout\);

-- Location: FF_X51_Y1_N17
\led_flash_cnt[331][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[331][7]~31526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[331][7]~q\);

-- Location: LCCOMB_X51_Y1_N22
\WideAnd331~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd331~1_combout\ = (\led_flash_cnt[331][6]~q\ & \led_flash_cnt[331][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[331][6]~q\,
	datad => \led_flash_cnt[331][5]~q\,
	combout => \WideAnd331~1_combout\);

-- Location: LCCOMB_X51_Y1_N18
\WideAnd331~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd331~0_combout\ = (\led_flash_cnt[331][4]~q\ & (\led_flash_cnt[331][1]~q\ & (\led_flash_cnt[331][3]~q\ & \led_flash_cnt[331][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[331][4]~q\,
	datab => \led_flash_cnt[331][1]~q\,
	datac => \led_flash_cnt[331][3]~q\,
	datad => \led_flash_cnt[331][2]~q\,
	combout => \WideAnd331~0_combout\);

-- Location: LCCOMB_X51_Y1_N28
WideAnd331 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd331~combout\ = (\led_flash_cnt[331][0]~q\ & (\led_flash_cnt[331][7]~q\ & (\WideAnd331~1_combout\ & \WideAnd331~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[331][0]~q\,
	datab => \led_flash_cnt[331][7]~q\,
	datac => \WideAnd331~1_combout\,
	datad => \WideAnd331~0_combout\,
	combout => \WideAnd331~combout\);

-- Location: FF_X51_Y1_N29
\led_flash_cnt_ands[331]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd331~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(331));

-- Location: LCCOMB_X47_Y1_N18
\led_flash_cnt[330][0]~80970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[330][0]~80970_combout\ = !\led_flash_cnt[330][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[330][0]~q\,
	combout => \led_flash_cnt[330][0]~80970_combout\);

-- Location: FF_X47_Y1_N19
\led_flash_cnt[330][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[330][0]~80970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[330][0]~q\);

-- Location: LCCOMB_X47_Y1_N0
\led_flash_cnt[330][1]~31500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[330][1]~31500_combout\ = (\led_flash_cnt[330][1]~q\ & (\led_flash_cnt[330][0]~q\ $ (VCC))) # (!\led_flash_cnt[330][1]~q\ & (\led_flash_cnt[330][0]~q\ & VCC))
-- \led_flash_cnt[330][1]~31501\ = CARRY((\led_flash_cnt[330][1]~q\ & \led_flash_cnt[330][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[330][1]~q\,
	datab => \led_flash_cnt[330][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[330][1]~31500_combout\,
	cout => \led_flash_cnt[330][1]~31501\);

-- Location: FF_X47_Y1_N1
\led_flash_cnt[330][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[330][1]~31500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[330][1]~q\);

-- Location: LCCOMB_X47_Y1_N2
\led_flash_cnt[330][2]~31502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[330][2]~31502_combout\ = (\led_flash_cnt[330][2]~q\ & (!\led_flash_cnt[330][1]~31501\)) # (!\led_flash_cnt[330][2]~q\ & ((\led_flash_cnt[330][1]~31501\) # (GND)))
-- \led_flash_cnt[330][2]~31503\ = CARRY((!\led_flash_cnt[330][1]~31501\) # (!\led_flash_cnt[330][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[330][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[330][1]~31501\,
	combout => \led_flash_cnt[330][2]~31502_combout\,
	cout => \led_flash_cnt[330][2]~31503\);

-- Location: FF_X47_Y1_N3
\led_flash_cnt[330][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[330][2]~31502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[330][2]~q\);

-- Location: LCCOMB_X47_Y1_N4
\led_flash_cnt[330][3]~31504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[330][3]~31504_combout\ = (\led_flash_cnt[330][3]~q\ & (\led_flash_cnt[330][2]~31503\ $ (GND))) # (!\led_flash_cnt[330][3]~q\ & (!\led_flash_cnt[330][2]~31503\ & VCC))
-- \led_flash_cnt[330][3]~31505\ = CARRY((\led_flash_cnt[330][3]~q\ & !\led_flash_cnt[330][2]~31503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[330][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[330][2]~31503\,
	combout => \led_flash_cnt[330][3]~31504_combout\,
	cout => \led_flash_cnt[330][3]~31505\);

-- Location: FF_X47_Y1_N5
\led_flash_cnt[330][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[330][3]~31504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[330][3]~q\);

-- Location: LCCOMB_X47_Y1_N6
\led_flash_cnt[330][4]~31506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[330][4]~31506_combout\ = (\led_flash_cnt[330][4]~q\ & (!\led_flash_cnt[330][3]~31505\)) # (!\led_flash_cnt[330][4]~q\ & ((\led_flash_cnt[330][3]~31505\) # (GND)))
-- \led_flash_cnt[330][4]~31507\ = CARRY((!\led_flash_cnt[330][3]~31505\) # (!\led_flash_cnt[330][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[330][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[330][3]~31505\,
	combout => \led_flash_cnt[330][4]~31506_combout\,
	cout => \led_flash_cnt[330][4]~31507\);

-- Location: FF_X47_Y1_N7
\led_flash_cnt[330][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[330][4]~31506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[330][4]~q\);

-- Location: LCCOMB_X47_Y1_N8
\led_flash_cnt[330][5]~31508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[330][5]~31508_combout\ = (\led_flash_cnt[330][5]~q\ & (\led_flash_cnt[330][4]~31507\ $ (GND))) # (!\led_flash_cnt[330][5]~q\ & (!\led_flash_cnt[330][4]~31507\ & VCC))
-- \led_flash_cnt[330][5]~31509\ = CARRY((\led_flash_cnt[330][5]~q\ & !\led_flash_cnt[330][4]~31507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[330][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[330][4]~31507\,
	combout => \led_flash_cnt[330][5]~31508_combout\,
	cout => \led_flash_cnt[330][5]~31509\);

-- Location: FF_X47_Y1_N9
\led_flash_cnt[330][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[330][5]~31508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[330][5]~q\);

-- Location: LCCOMB_X47_Y1_N10
\led_flash_cnt[330][6]~31510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[330][6]~31510_combout\ = (\led_flash_cnt[330][6]~q\ & (!\led_flash_cnt[330][5]~31509\)) # (!\led_flash_cnt[330][6]~q\ & ((\led_flash_cnt[330][5]~31509\) # (GND)))
-- \led_flash_cnt[330][6]~31511\ = CARRY((!\led_flash_cnt[330][5]~31509\) # (!\led_flash_cnt[330][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[330][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[330][5]~31509\,
	combout => \led_flash_cnt[330][6]~31510_combout\,
	cout => \led_flash_cnt[330][6]~31511\);

-- Location: FF_X47_Y1_N11
\led_flash_cnt[330][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[330][6]~31510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[330][6]~q\);

-- Location: LCCOMB_X47_Y1_N12
\led_flash_cnt[330][7]~31512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[330][7]~31512_combout\ = \led_flash_cnt[330][6]~31511\ $ (!\led_flash_cnt[330][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[330][7]~q\,
	cin => \led_flash_cnt[330][6]~31511\,
	combout => \led_flash_cnt[330][7]~31512_combout\);

-- Location: FF_X47_Y1_N13
\led_flash_cnt[330][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[330][7]~31512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[330][7]~q\);

-- Location: LCCOMB_X47_Y1_N28
\WideAnd330~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd330~0_combout\ = (\led_flash_cnt[330][4]~q\ & (\led_flash_cnt[330][1]~q\ & (\led_flash_cnt[330][3]~q\ & \led_flash_cnt[330][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[330][4]~q\,
	datab => \led_flash_cnt[330][1]~q\,
	datac => \led_flash_cnt[330][3]~q\,
	datad => \led_flash_cnt[330][2]~q\,
	combout => \WideAnd330~0_combout\);

-- Location: LCCOMB_X47_Y1_N26
\WideAnd330~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd330~1_combout\ = (\led_flash_cnt[330][5]~q\ & \led_flash_cnt[330][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[330][5]~q\,
	datad => \led_flash_cnt[330][6]~q\,
	combout => \WideAnd330~1_combout\);

-- Location: LCCOMB_X47_Y1_N24
WideAnd330 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd330~combout\ = (\led_flash_cnt[330][7]~q\ & (\WideAnd330~0_combout\ & (\WideAnd330~1_combout\ & \led_flash_cnt[330][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[330][7]~q\,
	datab => \WideAnd330~0_combout\,
	datac => \WideAnd330~1_combout\,
	datad => \led_flash_cnt[330][0]~q\,
	combout => \WideAnd330~combout\);

-- Location: FF_X47_Y1_N25
\led_flash_cnt_ands[330]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd330~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(330));

-- Location: LCCOMB_X51_Y1_N2
\led_flash_cnt[329][0]~80969\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[329][0]~80969_combout\ = !\led_flash_cnt[329][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[329][0]~q\,
	combout => \led_flash_cnt[329][0]~80969_combout\);

-- Location: FF_X51_Y1_N3
\led_flash_cnt[329][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[329][0]~80969_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[329][0]~q\);

-- Location: LCCOMB_X50_Y1_N16
\led_flash_cnt[329][1]~31486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[329][1]~31486_combout\ = (\led_flash_cnt[329][0]~q\ & (\led_flash_cnt[329][1]~q\ $ (VCC))) # (!\led_flash_cnt[329][0]~q\ & (\led_flash_cnt[329][1]~q\ & VCC))
-- \led_flash_cnt[329][1]~31487\ = CARRY((\led_flash_cnt[329][0]~q\ & \led_flash_cnt[329][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[329][0]~q\,
	datab => \led_flash_cnt[329][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[329][1]~31486_combout\,
	cout => \led_flash_cnt[329][1]~31487\);

-- Location: FF_X50_Y1_N17
\led_flash_cnt[329][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[329][1]~31486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[329][1]~q\);

-- Location: LCCOMB_X50_Y1_N18
\led_flash_cnt[329][2]~31488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[329][2]~31488_combout\ = (\led_flash_cnt[329][2]~q\ & (!\led_flash_cnt[329][1]~31487\)) # (!\led_flash_cnt[329][2]~q\ & ((\led_flash_cnt[329][1]~31487\) # (GND)))
-- \led_flash_cnt[329][2]~31489\ = CARRY((!\led_flash_cnt[329][1]~31487\) # (!\led_flash_cnt[329][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[329][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[329][1]~31487\,
	combout => \led_flash_cnt[329][2]~31488_combout\,
	cout => \led_flash_cnt[329][2]~31489\);

-- Location: FF_X50_Y1_N19
\led_flash_cnt[329][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[329][2]~31488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[329][2]~q\);

-- Location: LCCOMB_X50_Y1_N20
\led_flash_cnt[329][3]~31490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[329][3]~31490_combout\ = (\led_flash_cnt[329][3]~q\ & (\led_flash_cnt[329][2]~31489\ $ (GND))) # (!\led_flash_cnt[329][3]~q\ & (!\led_flash_cnt[329][2]~31489\ & VCC))
-- \led_flash_cnt[329][3]~31491\ = CARRY((\led_flash_cnt[329][3]~q\ & !\led_flash_cnt[329][2]~31489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[329][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[329][2]~31489\,
	combout => \led_flash_cnt[329][3]~31490_combout\,
	cout => \led_flash_cnt[329][3]~31491\);

-- Location: FF_X50_Y1_N21
\led_flash_cnt[329][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[329][3]~31490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[329][3]~q\);

-- Location: LCCOMB_X50_Y1_N22
\led_flash_cnt[329][4]~31492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[329][4]~31492_combout\ = (\led_flash_cnt[329][4]~q\ & (!\led_flash_cnt[329][3]~31491\)) # (!\led_flash_cnt[329][4]~q\ & ((\led_flash_cnt[329][3]~31491\) # (GND)))
-- \led_flash_cnt[329][4]~31493\ = CARRY((!\led_flash_cnt[329][3]~31491\) # (!\led_flash_cnt[329][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[329][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[329][3]~31491\,
	combout => \led_flash_cnt[329][4]~31492_combout\,
	cout => \led_flash_cnt[329][4]~31493\);

-- Location: FF_X50_Y1_N23
\led_flash_cnt[329][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[329][4]~31492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[329][4]~q\);

-- Location: LCCOMB_X50_Y1_N0
\WideAnd329~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd329~0_combout\ = (\led_flash_cnt[329][3]~q\ & (\led_flash_cnt[329][2]~q\ & (\led_flash_cnt[329][4]~q\ & \led_flash_cnt[329][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[329][3]~q\,
	datab => \led_flash_cnt[329][2]~q\,
	datac => \led_flash_cnt[329][4]~q\,
	datad => \led_flash_cnt[329][1]~q\,
	combout => \WideAnd329~0_combout\);

-- Location: LCCOMB_X50_Y1_N24
\led_flash_cnt[329][5]~31494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[329][5]~31494_combout\ = (\led_flash_cnt[329][5]~q\ & (\led_flash_cnt[329][4]~31493\ $ (GND))) # (!\led_flash_cnt[329][5]~q\ & (!\led_flash_cnt[329][4]~31493\ & VCC))
-- \led_flash_cnt[329][5]~31495\ = CARRY((\led_flash_cnt[329][5]~q\ & !\led_flash_cnt[329][4]~31493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[329][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[329][4]~31493\,
	combout => \led_flash_cnt[329][5]~31494_combout\,
	cout => \led_flash_cnt[329][5]~31495\);

-- Location: FF_X50_Y1_N25
\led_flash_cnt[329][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[329][5]~31494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[329][5]~q\);

-- Location: LCCOMB_X50_Y1_N26
\led_flash_cnt[329][6]~31496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[329][6]~31496_combout\ = (\led_flash_cnt[329][6]~q\ & (!\led_flash_cnt[329][5]~31495\)) # (!\led_flash_cnt[329][6]~q\ & ((\led_flash_cnt[329][5]~31495\) # (GND)))
-- \led_flash_cnt[329][6]~31497\ = CARRY((!\led_flash_cnt[329][5]~31495\) # (!\led_flash_cnt[329][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[329][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[329][5]~31495\,
	combout => \led_flash_cnt[329][6]~31496_combout\,
	cout => \led_flash_cnt[329][6]~31497\);

-- Location: FF_X50_Y1_N27
\led_flash_cnt[329][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[329][6]~31496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[329][6]~q\);

-- Location: LCCOMB_X50_Y1_N28
\led_flash_cnt[329][7]~31498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[329][7]~31498_combout\ = \led_flash_cnt[329][6]~31497\ $ (!\led_flash_cnt[329][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[329][7]~q\,
	cin => \led_flash_cnt[329][6]~31497\,
	combout => \led_flash_cnt[329][7]~31498_combout\);

-- Location: FF_X50_Y1_N29
\led_flash_cnt[329][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[329][7]~31498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[329][7]~q\);

-- Location: LCCOMB_X51_Y1_N26
\WideAnd329~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd329~1_combout\ = (\led_flash_cnt[329][6]~q\ & \led_flash_cnt[329][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[329][6]~q\,
	datad => \led_flash_cnt[329][5]~q\,
	combout => \WideAnd329~1_combout\);

-- Location: LCCOMB_X51_Y1_N24
WideAnd329 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd329~combout\ = (\WideAnd329~0_combout\ & (\led_flash_cnt[329][7]~q\ & (\WideAnd329~1_combout\ & \led_flash_cnt[329][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd329~0_combout\,
	datab => \led_flash_cnt[329][7]~q\,
	datac => \WideAnd329~1_combout\,
	datad => \led_flash_cnt[329][0]~q\,
	combout => \WideAnd329~combout\);

-- Location: FF_X51_Y1_N25
\led_flash_cnt_ands[329]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd329~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(329));

-- Location: LCCOMB_X51_Y1_N0
\WideAnd3881~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3881~0_combout\ = (led_flash_cnt_ands(328) & (led_flash_cnt_ands(331) & (led_flash_cnt_ands(330) & led_flash_cnt_ands(329))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(328),
	datab => led_flash_cnt_ands(331),
	datac => led_flash_cnt_ands(330),
	datad => led_flash_cnt_ands(329),
	combout => \WideAnd3881~0_combout\);

-- Location: LCCOMB_X55_Y2_N0
WideAnd3881 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3881~combout\ = (led_flash_cnt_ands(335) & (\WideAnd3881~1_combout\ & (led_flash_cnt_ands(334) & \WideAnd3881~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(335),
	datab => \WideAnd3881~1_combout\,
	datac => led_flash_cnt_ands(334),
	datad => \WideAnd3881~0_combout\,
	combout => \WideAnd3881~combout\);

-- Location: FF_X55_Y2_N1
\led_flash_cnt_ands_1[41]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3881~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(41));

-- Location: LCCOMB_X62_Y11_N2
\WideAnd4325~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4325~0_combout\ = (led_flash_cnt_ands_1(40) & (led_flash_cnt_ands_1(43) & (led_flash_cnt_ands_1(42) & led_flash_cnt_ands_1(41))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(40),
	datab => led_flash_cnt_ands_1(43),
	datac => led_flash_cnt_ands_1(42),
	datad => led_flash_cnt_ands_1(41),
	combout => \WideAnd4325~0_combout\);

-- Location: LCCOMB_X77_Y45_N4
\led_flash_cnt[381][0]~81021\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[381][0]~81021_combout\ = !\led_flash_cnt[381][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[381][0]~q\,
	combout => \led_flash_cnt[381][0]~81021_combout\);

-- Location: FF_X77_Y45_N5
\led_flash_cnt[381][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[381][0]~81021_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[381][0]~q\);

-- Location: LCCOMB_X77_Y45_N10
\led_flash_cnt[381][1]~32214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[381][1]~32214_combout\ = (\led_flash_cnt[381][1]~q\ & (\led_flash_cnt[381][0]~q\ $ (VCC))) # (!\led_flash_cnt[381][1]~q\ & (\led_flash_cnt[381][0]~q\ & VCC))
-- \led_flash_cnt[381][1]~32215\ = CARRY((\led_flash_cnt[381][1]~q\ & \led_flash_cnt[381][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[381][1]~q\,
	datab => \led_flash_cnt[381][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[381][1]~32214_combout\,
	cout => \led_flash_cnt[381][1]~32215\);

-- Location: FF_X77_Y45_N11
\led_flash_cnt[381][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[381][1]~32214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[381][1]~q\);

-- Location: LCCOMB_X77_Y45_N12
\led_flash_cnt[381][2]~32216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[381][2]~32216_combout\ = (\led_flash_cnt[381][2]~q\ & (!\led_flash_cnt[381][1]~32215\)) # (!\led_flash_cnt[381][2]~q\ & ((\led_flash_cnt[381][1]~32215\) # (GND)))
-- \led_flash_cnt[381][2]~32217\ = CARRY((!\led_flash_cnt[381][1]~32215\) # (!\led_flash_cnt[381][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[381][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[381][1]~32215\,
	combout => \led_flash_cnt[381][2]~32216_combout\,
	cout => \led_flash_cnt[381][2]~32217\);

-- Location: FF_X77_Y45_N13
\led_flash_cnt[381][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[381][2]~32216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[381][2]~q\);

-- Location: LCCOMB_X77_Y45_N14
\led_flash_cnt[381][3]~32218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[381][3]~32218_combout\ = (\led_flash_cnt[381][3]~q\ & (\led_flash_cnt[381][2]~32217\ $ (GND))) # (!\led_flash_cnt[381][3]~q\ & (!\led_flash_cnt[381][2]~32217\ & VCC))
-- \led_flash_cnt[381][3]~32219\ = CARRY((\led_flash_cnt[381][3]~q\ & !\led_flash_cnt[381][2]~32217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[381][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[381][2]~32217\,
	combout => \led_flash_cnt[381][3]~32218_combout\,
	cout => \led_flash_cnt[381][3]~32219\);

-- Location: FF_X77_Y45_N15
\led_flash_cnt[381][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[381][3]~32218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[381][3]~q\);

-- Location: LCCOMB_X77_Y45_N16
\led_flash_cnt[381][4]~32220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[381][4]~32220_combout\ = (\led_flash_cnt[381][4]~q\ & (!\led_flash_cnt[381][3]~32219\)) # (!\led_flash_cnt[381][4]~q\ & ((\led_flash_cnt[381][3]~32219\) # (GND)))
-- \led_flash_cnt[381][4]~32221\ = CARRY((!\led_flash_cnt[381][3]~32219\) # (!\led_flash_cnt[381][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[381][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[381][3]~32219\,
	combout => \led_flash_cnt[381][4]~32220_combout\,
	cout => \led_flash_cnt[381][4]~32221\);

-- Location: FF_X77_Y45_N17
\led_flash_cnt[381][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[381][4]~32220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[381][4]~q\);

-- Location: LCCOMB_X77_Y45_N18
\led_flash_cnt[381][5]~32222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[381][5]~32222_combout\ = (\led_flash_cnt[381][5]~q\ & (\led_flash_cnt[381][4]~32221\ $ (GND))) # (!\led_flash_cnt[381][5]~q\ & (!\led_flash_cnt[381][4]~32221\ & VCC))
-- \led_flash_cnt[381][5]~32223\ = CARRY((\led_flash_cnt[381][5]~q\ & !\led_flash_cnt[381][4]~32221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[381][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[381][4]~32221\,
	combout => \led_flash_cnt[381][5]~32222_combout\,
	cout => \led_flash_cnt[381][5]~32223\);

-- Location: FF_X77_Y45_N19
\led_flash_cnt[381][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[381][5]~32222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[381][5]~q\);

-- Location: LCCOMB_X77_Y45_N20
\led_flash_cnt[381][6]~32224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[381][6]~32224_combout\ = (\led_flash_cnt[381][6]~q\ & (!\led_flash_cnt[381][5]~32223\)) # (!\led_flash_cnt[381][6]~q\ & ((\led_flash_cnt[381][5]~32223\) # (GND)))
-- \led_flash_cnt[381][6]~32225\ = CARRY((!\led_flash_cnt[381][5]~32223\) # (!\led_flash_cnt[381][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[381][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[381][5]~32223\,
	combout => \led_flash_cnt[381][6]~32224_combout\,
	cout => \led_flash_cnt[381][6]~32225\);

-- Location: FF_X77_Y45_N21
\led_flash_cnt[381][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[381][6]~32224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[381][6]~q\);

-- Location: LCCOMB_X77_Y45_N26
\WideAnd381~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd381~1_combout\ = (\led_flash_cnt[381][6]~q\ & \led_flash_cnt[381][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[381][6]~q\,
	datad => \led_flash_cnt[381][5]~q\,
	combout => \WideAnd381~1_combout\);

-- Location: LCCOMB_X77_Y45_N22
\led_flash_cnt[381][7]~32226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[381][7]~32226_combout\ = \led_flash_cnt[381][7]~q\ $ (!\led_flash_cnt[381][6]~32225\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[381][7]~q\,
	cin => \led_flash_cnt[381][6]~32225\,
	combout => \led_flash_cnt[381][7]~32226_combout\);

-- Location: FF_X77_Y45_N23
\led_flash_cnt[381][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[381][7]~32226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[381][7]~q\);

-- Location: LCCOMB_X77_Y45_N24
\WideAnd381~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd381~0_combout\ = (\led_flash_cnt[381][2]~q\ & (\led_flash_cnt[381][4]~q\ & (\led_flash_cnt[381][3]~q\ & \led_flash_cnt[381][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[381][2]~q\,
	datab => \led_flash_cnt[381][4]~q\,
	datac => \led_flash_cnt[381][3]~q\,
	datad => \led_flash_cnt[381][1]~q\,
	combout => \WideAnd381~0_combout\);

-- Location: LCCOMB_X77_Y45_N30
WideAnd381 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd381~combout\ = (\WideAnd381~1_combout\ & (\led_flash_cnt[381][0]~q\ & (\led_flash_cnt[381][7]~q\ & \WideAnd381~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd381~1_combout\,
	datab => \led_flash_cnt[381][0]~q\,
	datac => \led_flash_cnt[381][7]~q\,
	datad => \WideAnd381~0_combout\,
	combout => \WideAnd381~combout\);

-- Location: FF_X77_Y45_N31
\led_flash_cnt_ands[381]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd381~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(381));

-- Location: LCCOMB_X71_Y41_N28
\led_flash_cnt[380][0]~81020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[380][0]~81020_combout\ = !\led_flash_cnt[380][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[380][0]~q\,
	combout => \led_flash_cnt[380][0]~81020_combout\);

-- Location: FF_X71_Y41_N29
\led_flash_cnt[380][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[380][0]~81020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[380][0]~q\);

-- Location: LCCOMB_X71_Y41_N12
\led_flash_cnt[380][1]~32200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[380][1]~32200_combout\ = (\led_flash_cnt[380][1]~q\ & (\led_flash_cnt[380][0]~q\ $ (VCC))) # (!\led_flash_cnt[380][1]~q\ & (\led_flash_cnt[380][0]~q\ & VCC))
-- \led_flash_cnt[380][1]~32201\ = CARRY((\led_flash_cnt[380][1]~q\ & \led_flash_cnt[380][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[380][1]~q\,
	datab => \led_flash_cnt[380][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[380][1]~32200_combout\,
	cout => \led_flash_cnt[380][1]~32201\);

-- Location: FF_X71_Y41_N13
\led_flash_cnt[380][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[380][1]~32200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[380][1]~q\);

-- Location: LCCOMB_X71_Y41_N14
\led_flash_cnt[380][2]~32202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[380][2]~32202_combout\ = (\led_flash_cnt[380][2]~q\ & (!\led_flash_cnt[380][1]~32201\)) # (!\led_flash_cnt[380][2]~q\ & ((\led_flash_cnt[380][1]~32201\) # (GND)))
-- \led_flash_cnt[380][2]~32203\ = CARRY((!\led_flash_cnt[380][1]~32201\) # (!\led_flash_cnt[380][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[380][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[380][1]~32201\,
	combout => \led_flash_cnt[380][2]~32202_combout\,
	cout => \led_flash_cnt[380][2]~32203\);

-- Location: FF_X71_Y41_N15
\led_flash_cnt[380][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[380][2]~32202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[380][2]~q\);

-- Location: LCCOMB_X71_Y41_N16
\led_flash_cnt[380][3]~32204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[380][3]~32204_combout\ = (\led_flash_cnt[380][3]~q\ & (\led_flash_cnt[380][2]~32203\ $ (GND))) # (!\led_flash_cnt[380][3]~q\ & (!\led_flash_cnt[380][2]~32203\ & VCC))
-- \led_flash_cnt[380][3]~32205\ = CARRY((\led_flash_cnt[380][3]~q\ & !\led_flash_cnt[380][2]~32203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[380][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[380][2]~32203\,
	combout => \led_flash_cnt[380][3]~32204_combout\,
	cout => \led_flash_cnt[380][3]~32205\);

-- Location: FF_X71_Y41_N17
\led_flash_cnt[380][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[380][3]~32204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[380][3]~q\);

-- Location: LCCOMB_X71_Y41_N18
\led_flash_cnt[380][4]~32206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[380][4]~32206_combout\ = (\led_flash_cnt[380][4]~q\ & (!\led_flash_cnt[380][3]~32205\)) # (!\led_flash_cnt[380][4]~q\ & ((\led_flash_cnt[380][3]~32205\) # (GND)))
-- \led_flash_cnt[380][4]~32207\ = CARRY((!\led_flash_cnt[380][3]~32205\) # (!\led_flash_cnt[380][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[380][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[380][3]~32205\,
	combout => \led_flash_cnt[380][4]~32206_combout\,
	cout => \led_flash_cnt[380][4]~32207\);

-- Location: FF_X71_Y41_N19
\led_flash_cnt[380][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[380][4]~32206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[380][4]~q\);

-- Location: LCCOMB_X71_Y41_N26
\WideAnd380~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd380~0_combout\ = (\led_flash_cnt[380][4]~q\ & (\led_flash_cnt[380][3]~q\ & (\led_flash_cnt[380][2]~q\ & \led_flash_cnt[380][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[380][4]~q\,
	datab => \led_flash_cnt[380][3]~q\,
	datac => \led_flash_cnt[380][2]~q\,
	datad => \led_flash_cnt[380][1]~q\,
	combout => \WideAnd380~0_combout\);

-- Location: LCCOMB_X71_Y41_N20
\led_flash_cnt[380][5]~32208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[380][5]~32208_combout\ = (\led_flash_cnt[380][5]~q\ & (\led_flash_cnt[380][4]~32207\ $ (GND))) # (!\led_flash_cnt[380][5]~q\ & (!\led_flash_cnt[380][4]~32207\ & VCC))
-- \led_flash_cnt[380][5]~32209\ = CARRY((\led_flash_cnt[380][5]~q\ & !\led_flash_cnt[380][4]~32207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[380][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[380][4]~32207\,
	combout => \led_flash_cnt[380][5]~32208_combout\,
	cout => \led_flash_cnt[380][5]~32209\);

-- Location: FF_X71_Y41_N21
\led_flash_cnt[380][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[380][5]~32208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[380][5]~q\);

-- Location: LCCOMB_X71_Y41_N22
\led_flash_cnt[380][6]~32210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[380][6]~32210_combout\ = (\led_flash_cnt[380][6]~q\ & (!\led_flash_cnt[380][5]~32209\)) # (!\led_flash_cnt[380][6]~q\ & ((\led_flash_cnt[380][5]~32209\) # (GND)))
-- \led_flash_cnt[380][6]~32211\ = CARRY((!\led_flash_cnt[380][5]~32209\) # (!\led_flash_cnt[380][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[380][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[380][5]~32209\,
	combout => \led_flash_cnt[380][6]~32210_combout\,
	cout => \led_flash_cnt[380][6]~32211\);

-- Location: FF_X71_Y41_N23
\led_flash_cnt[380][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[380][6]~32210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[380][6]~q\);

-- Location: LCCOMB_X71_Y41_N24
\led_flash_cnt[380][7]~32212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[380][7]~32212_combout\ = \led_flash_cnt[380][6]~32211\ $ (!\led_flash_cnt[380][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[380][7]~q\,
	cin => \led_flash_cnt[380][6]~32211\,
	combout => \led_flash_cnt[380][7]~32212_combout\);

-- Location: FF_X71_Y41_N25
\led_flash_cnt[380][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[380][7]~32212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[380][7]~q\);

-- Location: LCCOMB_X71_Y41_N4
\WideAnd380~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd380~1_combout\ = (\led_flash_cnt[380][6]~q\ & \led_flash_cnt[380][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[380][6]~q\,
	datad => \led_flash_cnt[380][5]~q\,
	combout => \WideAnd380~1_combout\);

-- Location: LCCOMB_X71_Y41_N10
WideAnd380 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd380~combout\ = (\WideAnd380~0_combout\ & (\led_flash_cnt[380][7]~q\ & (\WideAnd380~1_combout\ & \led_flash_cnt[380][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd380~0_combout\,
	datab => \led_flash_cnt[380][7]~q\,
	datac => \WideAnd380~1_combout\,
	datad => \led_flash_cnt[380][0]~q\,
	combout => \WideAnd380~combout\);

-- Location: FF_X71_Y41_N11
\led_flash_cnt_ands[380]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd380~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(380));

-- Location: LCCOMB_X71_Y41_N8
\WideAnd3887~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3887~1_combout\ = (led_flash_cnt_ands(381) & led_flash_cnt_ands(380))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(381),
	datad => led_flash_cnt_ands(380),
	combout => \WideAnd3887~1_combout\);

-- Location: LCCOMB_X63_Y31_N18
\led_flash_cnt[383][0]~81023\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[383][0]~81023_combout\ = !\led_flash_cnt[383][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[383][0]~q\,
	combout => \led_flash_cnt[383][0]~81023_combout\);

-- Location: FF_X63_Y31_N19
\led_flash_cnt[383][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[383][0]~81023_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[383][0]~q\);

-- Location: LCCOMB_X63_Y31_N2
\led_flash_cnt[383][1]~32242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[383][1]~32242_combout\ = (\led_flash_cnt[383][1]~q\ & (\led_flash_cnt[383][0]~q\ $ (VCC))) # (!\led_flash_cnt[383][1]~q\ & (\led_flash_cnt[383][0]~q\ & VCC))
-- \led_flash_cnt[383][1]~32243\ = CARRY((\led_flash_cnt[383][1]~q\ & \led_flash_cnt[383][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[383][1]~q\,
	datab => \led_flash_cnt[383][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[383][1]~32242_combout\,
	cout => \led_flash_cnt[383][1]~32243\);

-- Location: FF_X63_Y31_N3
\led_flash_cnt[383][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[383][1]~32242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[383][1]~q\);

-- Location: LCCOMB_X63_Y31_N4
\led_flash_cnt[383][2]~32244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[383][2]~32244_combout\ = (\led_flash_cnt[383][2]~q\ & (!\led_flash_cnt[383][1]~32243\)) # (!\led_flash_cnt[383][2]~q\ & ((\led_flash_cnt[383][1]~32243\) # (GND)))
-- \led_flash_cnt[383][2]~32245\ = CARRY((!\led_flash_cnt[383][1]~32243\) # (!\led_flash_cnt[383][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[383][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[383][1]~32243\,
	combout => \led_flash_cnt[383][2]~32244_combout\,
	cout => \led_flash_cnt[383][2]~32245\);

-- Location: FF_X63_Y31_N5
\led_flash_cnt[383][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[383][2]~32244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[383][2]~q\);

-- Location: LCCOMB_X63_Y31_N6
\led_flash_cnt[383][3]~32246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[383][3]~32246_combout\ = (\led_flash_cnt[383][3]~q\ & (\led_flash_cnt[383][2]~32245\ $ (GND))) # (!\led_flash_cnt[383][3]~q\ & (!\led_flash_cnt[383][2]~32245\ & VCC))
-- \led_flash_cnt[383][3]~32247\ = CARRY((\led_flash_cnt[383][3]~q\ & !\led_flash_cnt[383][2]~32245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[383][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[383][2]~32245\,
	combout => \led_flash_cnt[383][3]~32246_combout\,
	cout => \led_flash_cnt[383][3]~32247\);

-- Location: FF_X63_Y31_N7
\led_flash_cnt[383][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[383][3]~32246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[383][3]~q\);

-- Location: LCCOMB_X63_Y31_N8
\led_flash_cnt[383][4]~32248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[383][4]~32248_combout\ = (\led_flash_cnt[383][4]~q\ & (!\led_flash_cnt[383][3]~32247\)) # (!\led_flash_cnt[383][4]~q\ & ((\led_flash_cnt[383][3]~32247\) # (GND)))
-- \led_flash_cnt[383][4]~32249\ = CARRY((!\led_flash_cnt[383][3]~32247\) # (!\led_flash_cnt[383][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[383][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[383][3]~32247\,
	combout => \led_flash_cnt[383][4]~32248_combout\,
	cout => \led_flash_cnt[383][4]~32249\);

-- Location: FF_X63_Y31_N9
\led_flash_cnt[383][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[383][4]~32248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[383][4]~q\);

-- Location: LCCOMB_X63_Y31_N10
\led_flash_cnt[383][5]~32250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[383][5]~32250_combout\ = (\led_flash_cnt[383][5]~q\ & (\led_flash_cnt[383][4]~32249\ $ (GND))) # (!\led_flash_cnt[383][5]~q\ & (!\led_flash_cnt[383][4]~32249\ & VCC))
-- \led_flash_cnt[383][5]~32251\ = CARRY((\led_flash_cnt[383][5]~q\ & !\led_flash_cnt[383][4]~32249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[383][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[383][4]~32249\,
	combout => \led_flash_cnt[383][5]~32250_combout\,
	cout => \led_flash_cnt[383][5]~32251\);

-- Location: FF_X63_Y31_N11
\led_flash_cnt[383][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[383][5]~32250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[383][5]~q\);

-- Location: LCCOMB_X63_Y31_N12
\led_flash_cnt[383][6]~32252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[383][6]~32252_combout\ = (\led_flash_cnt[383][6]~q\ & (!\led_flash_cnt[383][5]~32251\)) # (!\led_flash_cnt[383][6]~q\ & ((\led_flash_cnt[383][5]~32251\) # (GND)))
-- \led_flash_cnt[383][6]~32253\ = CARRY((!\led_flash_cnt[383][5]~32251\) # (!\led_flash_cnt[383][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[383][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[383][5]~32251\,
	combout => \led_flash_cnt[383][6]~32252_combout\,
	cout => \led_flash_cnt[383][6]~32253\);

-- Location: FF_X63_Y31_N13
\led_flash_cnt[383][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[383][6]~32252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[383][6]~q\);

-- Location: LCCOMB_X63_Y31_N22
\WideAnd383~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd383~1_combout\ = (\led_flash_cnt[383][6]~q\ & \led_flash_cnt[383][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[383][6]~q\,
	datad => \led_flash_cnt[383][5]~q\,
	combout => \WideAnd383~1_combout\);

-- Location: LCCOMB_X63_Y31_N14
\led_flash_cnt[383][7]~32254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[383][7]~32254_combout\ = \led_flash_cnt[383][7]~q\ $ (!\led_flash_cnt[383][6]~32253\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[383][7]~q\,
	cin => \led_flash_cnt[383][6]~32253\,
	combout => \led_flash_cnt[383][7]~32254_combout\);

-- Location: FF_X63_Y31_N15
\led_flash_cnt[383][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[383][7]~32254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[383][7]~q\);

-- Location: LCCOMB_X63_Y31_N26
\WideAnd383~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd383~0_combout\ = (\led_flash_cnt[383][1]~q\ & (\led_flash_cnt[383][4]~q\ & (\led_flash_cnt[383][2]~q\ & \led_flash_cnt[383][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[383][1]~q\,
	datab => \led_flash_cnt[383][4]~q\,
	datac => \led_flash_cnt[383][2]~q\,
	datad => \led_flash_cnt[383][3]~q\,
	combout => \WideAnd383~0_combout\);

-- Location: LCCOMB_X63_Y31_N24
WideAnd383 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd383~combout\ = (\WideAnd383~1_combout\ & (\led_flash_cnt[383][7]~q\ & (\WideAnd383~0_combout\ & \led_flash_cnt[383][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd383~1_combout\,
	datab => \led_flash_cnt[383][7]~q\,
	datac => \WideAnd383~0_combout\,
	datad => \led_flash_cnt[383][0]~q\,
	combout => \WideAnd383~combout\);

-- Location: FF_X63_Y31_N25
\led_flash_cnt_ands[383]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd383~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(383));

-- Location: LCCOMB_X63_Y27_N4
\led_flash_cnt[382][0]~81022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[382][0]~81022_combout\ = !\led_flash_cnt[382][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[382][0]~q\,
	combout => \led_flash_cnt[382][0]~81022_combout\);

-- Location: FF_X63_Y27_N5
\led_flash_cnt[382][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[382][0]~81022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[382][0]~q\);

-- Location: LCCOMB_X63_Y27_N10
\led_flash_cnt[382][1]~32228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[382][1]~32228_combout\ = (\led_flash_cnt[382][1]~q\ & (\led_flash_cnt[382][0]~q\ $ (VCC))) # (!\led_flash_cnt[382][1]~q\ & (\led_flash_cnt[382][0]~q\ & VCC))
-- \led_flash_cnt[382][1]~32229\ = CARRY((\led_flash_cnt[382][1]~q\ & \led_flash_cnt[382][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[382][1]~q\,
	datab => \led_flash_cnt[382][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[382][1]~32228_combout\,
	cout => \led_flash_cnt[382][1]~32229\);

-- Location: FF_X63_Y27_N11
\led_flash_cnt[382][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[382][1]~32228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[382][1]~q\);

-- Location: LCCOMB_X63_Y27_N12
\led_flash_cnt[382][2]~32230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[382][2]~32230_combout\ = (\led_flash_cnt[382][2]~q\ & (!\led_flash_cnt[382][1]~32229\)) # (!\led_flash_cnt[382][2]~q\ & ((\led_flash_cnt[382][1]~32229\) # (GND)))
-- \led_flash_cnt[382][2]~32231\ = CARRY((!\led_flash_cnt[382][1]~32229\) # (!\led_flash_cnt[382][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[382][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[382][1]~32229\,
	combout => \led_flash_cnt[382][2]~32230_combout\,
	cout => \led_flash_cnt[382][2]~32231\);

-- Location: FF_X63_Y27_N13
\led_flash_cnt[382][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[382][2]~32230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[382][2]~q\);

-- Location: LCCOMB_X63_Y27_N14
\led_flash_cnt[382][3]~32232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[382][3]~32232_combout\ = (\led_flash_cnt[382][3]~q\ & (\led_flash_cnt[382][2]~32231\ $ (GND))) # (!\led_flash_cnt[382][3]~q\ & (!\led_flash_cnt[382][2]~32231\ & VCC))
-- \led_flash_cnt[382][3]~32233\ = CARRY((\led_flash_cnt[382][3]~q\ & !\led_flash_cnt[382][2]~32231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[382][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[382][2]~32231\,
	combout => \led_flash_cnt[382][3]~32232_combout\,
	cout => \led_flash_cnt[382][3]~32233\);

-- Location: FF_X63_Y27_N15
\led_flash_cnt[382][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[382][3]~32232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[382][3]~q\);

-- Location: LCCOMB_X63_Y27_N16
\led_flash_cnt[382][4]~32234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[382][4]~32234_combout\ = (\led_flash_cnt[382][4]~q\ & (!\led_flash_cnt[382][3]~32233\)) # (!\led_flash_cnt[382][4]~q\ & ((\led_flash_cnt[382][3]~32233\) # (GND)))
-- \led_flash_cnt[382][4]~32235\ = CARRY((!\led_flash_cnt[382][3]~32233\) # (!\led_flash_cnt[382][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[382][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[382][3]~32233\,
	combout => \led_flash_cnt[382][4]~32234_combout\,
	cout => \led_flash_cnt[382][4]~32235\);

-- Location: FF_X63_Y27_N17
\led_flash_cnt[382][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[382][4]~32234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[382][4]~q\);

-- Location: LCCOMB_X63_Y27_N18
\led_flash_cnt[382][5]~32236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[382][5]~32236_combout\ = (\led_flash_cnt[382][5]~q\ & (\led_flash_cnt[382][4]~32235\ $ (GND))) # (!\led_flash_cnt[382][5]~q\ & (!\led_flash_cnt[382][4]~32235\ & VCC))
-- \led_flash_cnt[382][5]~32237\ = CARRY((\led_flash_cnt[382][5]~q\ & !\led_flash_cnt[382][4]~32235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[382][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[382][4]~32235\,
	combout => \led_flash_cnt[382][5]~32236_combout\,
	cout => \led_flash_cnt[382][5]~32237\);

-- Location: FF_X63_Y27_N19
\led_flash_cnt[382][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[382][5]~32236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[382][5]~q\);

-- Location: LCCOMB_X63_Y27_N20
\led_flash_cnt[382][6]~32238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[382][6]~32238_combout\ = (\led_flash_cnt[382][6]~q\ & (!\led_flash_cnt[382][5]~32237\)) # (!\led_flash_cnt[382][6]~q\ & ((\led_flash_cnt[382][5]~32237\) # (GND)))
-- \led_flash_cnt[382][6]~32239\ = CARRY((!\led_flash_cnt[382][5]~32237\) # (!\led_flash_cnt[382][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[382][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[382][5]~32237\,
	combout => \led_flash_cnt[382][6]~32238_combout\,
	cout => \led_flash_cnt[382][6]~32239\);

-- Location: FF_X63_Y27_N21
\led_flash_cnt[382][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[382][6]~32238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[382][6]~q\);

-- Location: LCCOMB_X63_Y27_N26
\WideAnd382~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd382~1_combout\ = (\led_flash_cnt[382][6]~q\ & \led_flash_cnt[382][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[382][6]~q\,
	datad => \led_flash_cnt[382][5]~q\,
	combout => \WideAnd382~1_combout\);

-- Location: LCCOMB_X63_Y27_N22
\led_flash_cnt[382][7]~32240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[382][7]~32240_combout\ = \led_flash_cnt[382][7]~q\ $ (!\led_flash_cnt[382][6]~32239\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[382][7]~q\,
	cin => \led_flash_cnt[382][6]~32239\,
	combout => \led_flash_cnt[382][7]~32240_combout\);

-- Location: FF_X63_Y27_N23
\led_flash_cnt[382][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[382][7]~32240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[382][7]~q\);

-- Location: LCCOMB_X63_Y27_N24
\WideAnd382~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd382~0_combout\ = (\led_flash_cnt[382][2]~q\ & (\led_flash_cnt[382][4]~q\ & (\led_flash_cnt[382][3]~q\ & \led_flash_cnt[382][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[382][2]~q\,
	datab => \led_flash_cnt[382][4]~q\,
	datac => \led_flash_cnt[382][3]~q\,
	datad => \led_flash_cnt[382][1]~q\,
	combout => \WideAnd382~0_combout\);

-- Location: LCCOMB_X63_Y27_N8
WideAnd382 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd382~combout\ = (\WideAnd382~1_combout\ & (\led_flash_cnt[382][0]~q\ & (\led_flash_cnt[382][7]~q\ & \WideAnd382~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd382~1_combout\,
	datab => \led_flash_cnt[382][0]~q\,
	datac => \led_flash_cnt[382][7]~q\,
	datad => \WideAnd382~0_combout\,
	combout => \WideAnd382~combout\);

-- Location: FF_X63_Y27_N9
\led_flash_cnt_ands[382]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd382~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(382));

-- Location: LCCOMB_X32_Y31_N30
\led_flash_cnt[378][0]~81018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[378][0]~81018_combout\ = !\led_flash_cnt[378][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[378][0]~q\,
	combout => \led_flash_cnt[378][0]~81018_combout\);

-- Location: FF_X32_Y31_N31
\led_flash_cnt[378][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[378][0]~81018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[378][0]~q\);

-- Location: LCCOMB_X32_Y31_N4
\led_flash_cnt[378][1]~32172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[378][1]~32172_combout\ = (\led_flash_cnt[378][0]~q\ & (\led_flash_cnt[378][1]~q\ $ (VCC))) # (!\led_flash_cnt[378][0]~q\ & (\led_flash_cnt[378][1]~q\ & VCC))
-- \led_flash_cnt[378][1]~32173\ = CARRY((\led_flash_cnt[378][0]~q\ & \led_flash_cnt[378][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[378][0]~q\,
	datab => \led_flash_cnt[378][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[378][1]~32172_combout\,
	cout => \led_flash_cnt[378][1]~32173\);

-- Location: FF_X32_Y31_N5
\led_flash_cnt[378][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[378][1]~32172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[378][1]~q\);

-- Location: LCCOMB_X32_Y31_N6
\led_flash_cnt[378][2]~32174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[378][2]~32174_combout\ = (\led_flash_cnt[378][2]~q\ & (!\led_flash_cnt[378][1]~32173\)) # (!\led_flash_cnt[378][2]~q\ & ((\led_flash_cnt[378][1]~32173\) # (GND)))
-- \led_flash_cnt[378][2]~32175\ = CARRY((!\led_flash_cnt[378][1]~32173\) # (!\led_flash_cnt[378][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[378][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[378][1]~32173\,
	combout => \led_flash_cnt[378][2]~32174_combout\,
	cout => \led_flash_cnt[378][2]~32175\);

-- Location: FF_X32_Y31_N7
\led_flash_cnt[378][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[378][2]~32174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[378][2]~q\);

-- Location: LCCOMB_X32_Y31_N8
\led_flash_cnt[378][3]~32176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[378][3]~32176_combout\ = (\led_flash_cnt[378][3]~q\ & (\led_flash_cnt[378][2]~32175\ $ (GND))) # (!\led_flash_cnt[378][3]~q\ & (!\led_flash_cnt[378][2]~32175\ & VCC))
-- \led_flash_cnt[378][3]~32177\ = CARRY((\led_flash_cnt[378][3]~q\ & !\led_flash_cnt[378][2]~32175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[378][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[378][2]~32175\,
	combout => \led_flash_cnt[378][3]~32176_combout\,
	cout => \led_flash_cnt[378][3]~32177\);

-- Location: FF_X32_Y31_N9
\led_flash_cnt[378][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[378][3]~32176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[378][3]~q\);

-- Location: LCCOMB_X32_Y31_N10
\led_flash_cnt[378][4]~32178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[378][4]~32178_combout\ = (\led_flash_cnt[378][4]~q\ & (!\led_flash_cnt[378][3]~32177\)) # (!\led_flash_cnt[378][4]~q\ & ((\led_flash_cnt[378][3]~32177\) # (GND)))
-- \led_flash_cnt[378][4]~32179\ = CARRY((!\led_flash_cnt[378][3]~32177\) # (!\led_flash_cnt[378][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[378][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[378][3]~32177\,
	combout => \led_flash_cnt[378][4]~32178_combout\,
	cout => \led_flash_cnt[378][4]~32179\);

-- Location: FF_X32_Y31_N11
\led_flash_cnt[378][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[378][4]~32178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[378][4]~q\);

-- Location: LCCOMB_X32_Y31_N12
\led_flash_cnt[378][5]~32180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[378][5]~32180_combout\ = (\led_flash_cnt[378][5]~q\ & (\led_flash_cnt[378][4]~32179\ $ (GND))) # (!\led_flash_cnt[378][5]~q\ & (!\led_flash_cnt[378][4]~32179\ & VCC))
-- \led_flash_cnt[378][5]~32181\ = CARRY((\led_flash_cnt[378][5]~q\ & !\led_flash_cnt[378][4]~32179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[378][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[378][4]~32179\,
	combout => \led_flash_cnt[378][5]~32180_combout\,
	cout => \led_flash_cnt[378][5]~32181\);

-- Location: FF_X32_Y31_N13
\led_flash_cnt[378][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[378][5]~32180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[378][5]~q\);

-- Location: LCCOMB_X32_Y31_N14
\led_flash_cnt[378][6]~32182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[378][6]~32182_combout\ = (\led_flash_cnt[378][6]~q\ & (!\led_flash_cnt[378][5]~32181\)) # (!\led_flash_cnt[378][6]~q\ & ((\led_flash_cnt[378][5]~32181\) # (GND)))
-- \led_flash_cnt[378][6]~32183\ = CARRY((!\led_flash_cnt[378][5]~32181\) # (!\led_flash_cnt[378][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[378][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[378][5]~32181\,
	combout => \led_flash_cnt[378][6]~32182_combout\,
	cout => \led_flash_cnt[378][6]~32183\);

-- Location: FF_X32_Y31_N15
\led_flash_cnt[378][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[378][6]~32182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[378][6]~q\);

-- Location: LCCOMB_X32_Y31_N16
\led_flash_cnt[378][7]~32184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[378][7]~32184_combout\ = \led_flash_cnt[378][6]~32183\ $ (!\led_flash_cnt[378][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[378][7]~q\,
	cin => \led_flash_cnt[378][6]~32183\,
	combout => \led_flash_cnt[378][7]~32184_combout\);

-- Location: FF_X32_Y31_N17
\led_flash_cnt[378][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[378][7]~32184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[378][7]~q\);

-- Location: LCCOMB_X32_Y31_N26
\WideAnd378~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd378~1_combout\ = (\led_flash_cnt[378][6]~q\ & \led_flash_cnt[378][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[378][6]~q\,
	datad => \led_flash_cnt[378][5]~q\,
	combout => \WideAnd378~1_combout\);

-- Location: LCCOMB_X32_Y31_N18
\WideAnd378~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd378~0_combout\ = (\led_flash_cnt[378][4]~q\ & (\led_flash_cnt[378][1]~q\ & (\led_flash_cnt[378][3]~q\ & \led_flash_cnt[378][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[378][4]~q\,
	datab => \led_flash_cnt[378][1]~q\,
	datac => \led_flash_cnt[378][3]~q\,
	datad => \led_flash_cnt[378][2]~q\,
	combout => \WideAnd378~0_combout\);

-- Location: LCCOMB_X32_Y31_N22
WideAnd378 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd378~combout\ = (\led_flash_cnt[378][0]~q\ & (\led_flash_cnt[378][7]~q\ & (\WideAnd378~1_combout\ & \WideAnd378~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[378][0]~q\,
	datab => \led_flash_cnt[378][7]~q\,
	datac => \WideAnd378~1_combout\,
	datad => \WideAnd378~0_combout\,
	combout => \WideAnd378~combout\);

-- Location: FF_X32_Y31_N23
\led_flash_cnt_ands[378]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd378~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(378));

-- Location: LCCOMB_X32_Y31_N2
\led_flash_cnt[377][0]~81017\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[377][0]~81017_combout\ = !\led_flash_cnt[377][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[377][0]~q\,
	combout => \led_flash_cnt[377][0]~81017_combout\);

-- Location: FF_X32_Y31_N3
\led_flash_cnt[377][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[377][0]~81017_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[377][0]~q\);

-- Location: LCCOMB_X32_Y29_N16
\led_flash_cnt[377][1]~32158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[377][1]~32158_combout\ = (\led_flash_cnt[377][0]~q\ & (\led_flash_cnt[377][1]~q\ $ (VCC))) # (!\led_flash_cnt[377][0]~q\ & (\led_flash_cnt[377][1]~q\ & VCC))
-- \led_flash_cnt[377][1]~32159\ = CARRY((\led_flash_cnt[377][0]~q\ & \led_flash_cnt[377][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[377][0]~q\,
	datab => \led_flash_cnt[377][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[377][1]~32158_combout\,
	cout => \led_flash_cnt[377][1]~32159\);

-- Location: FF_X32_Y29_N17
\led_flash_cnt[377][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[377][1]~32158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[377][1]~q\);

-- Location: LCCOMB_X32_Y29_N18
\led_flash_cnt[377][2]~32160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[377][2]~32160_combout\ = (\led_flash_cnt[377][2]~q\ & (!\led_flash_cnt[377][1]~32159\)) # (!\led_flash_cnt[377][2]~q\ & ((\led_flash_cnt[377][1]~32159\) # (GND)))
-- \led_flash_cnt[377][2]~32161\ = CARRY((!\led_flash_cnt[377][1]~32159\) # (!\led_flash_cnt[377][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[377][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[377][1]~32159\,
	combout => \led_flash_cnt[377][2]~32160_combout\,
	cout => \led_flash_cnt[377][2]~32161\);

-- Location: FF_X32_Y29_N19
\led_flash_cnt[377][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[377][2]~32160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[377][2]~q\);

-- Location: LCCOMB_X32_Y29_N20
\led_flash_cnt[377][3]~32162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[377][3]~32162_combout\ = (\led_flash_cnt[377][3]~q\ & (\led_flash_cnt[377][2]~32161\ $ (GND))) # (!\led_flash_cnt[377][3]~q\ & (!\led_flash_cnt[377][2]~32161\ & VCC))
-- \led_flash_cnt[377][3]~32163\ = CARRY((\led_flash_cnt[377][3]~q\ & !\led_flash_cnt[377][2]~32161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[377][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[377][2]~32161\,
	combout => \led_flash_cnt[377][3]~32162_combout\,
	cout => \led_flash_cnt[377][3]~32163\);

-- Location: FF_X32_Y29_N21
\led_flash_cnt[377][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[377][3]~32162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[377][3]~q\);

-- Location: LCCOMB_X32_Y29_N22
\led_flash_cnt[377][4]~32164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[377][4]~32164_combout\ = (\led_flash_cnt[377][4]~q\ & (!\led_flash_cnt[377][3]~32163\)) # (!\led_flash_cnt[377][4]~q\ & ((\led_flash_cnt[377][3]~32163\) # (GND)))
-- \led_flash_cnt[377][4]~32165\ = CARRY((!\led_flash_cnt[377][3]~32163\) # (!\led_flash_cnt[377][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[377][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[377][3]~32163\,
	combout => \led_flash_cnt[377][4]~32164_combout\,
	cout => \led_flash_cnt[377][4]~32165\);

-- Location: FF_X32_Y29_N23
\led_flash_cnt[377][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[377][4]~32164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[377][4]~q\);

-- Location: LCCOMB_X32_Y29_N24
\led_flash_cnt[377][5]~32166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[377][5]~32166_combout\ = (\led_flash_cnt[377][5]~q\ & (\led_flash_cnt[377][4]~32165\ $ (GND))) # (!\led_flash_cnt[377][5]~q\ & (!\led_flash_cnt[377][4]~32165\ & VCC))
-- \led_flash_cnt[377][5]~32167\ = CARRY((\led_flash_cnt[377][5]~q\ & !\led_flash_cnt[377][4]~32165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[377][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[377][4]~32165\,
	combout => \led_flash_cnt[377][5]~32166_combout\,
	cout => \led_flash_cnt[377][5]~32167\);

-- Location: FF_X32_Y29_N25
\led_flash_cnt[377][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[377][5]~32166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[377][5]~q\);

-- Location: LCCOMB_X32_Y29_N26
\led_flash_cnt[377][6]~32168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[377][6]~32168_combout\ = (\led_flash_cnt[377][6]~q\ & (!\led_flash_cnt[377][5]~32167\)) # (!\led_flash_cnt[377][6]~q\ & ((\led_flash_cnt[377][5]~32167\) # (GND)))
-- \led_flash_cnt[377][6]~32169\ = CARRY((!\led_flash_cnt[377][5]~32167\) # (!\led_flash_cnt[377][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[377][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[377][5]~32167\,
	combout => \led_flash_cnt[377][6]~32168_combout\,
	cout => \led_flash_cnt[377][6]~32169\);

-- Location: FF_X32_Y29_N27
\led_flash_cnt[377][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[377][6]~32168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[377][6]~q\);

-- Location: LCCOMB_X32_Y29_N28
\led_flash_cnt[377][7]~32170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[377][7]~32170_combout\ = \led_flash_cnt[377][6]~32169\ $ (!\led_flash_cnt[377][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[377][7]~q\,
	cin => \led_flash_cnt[377][6]~32169\,
	combout => \led_flash_cnt[377][7]~32170_combout\);

-- Location: FF_X32_Y29_N29
\led_flash_cnt[377][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[377][7]~32170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[377][7]~q\);

-- Location: LCCOMB_X32_Y31_N28
\WideAnd377~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd377~1_combout\ = (\led_flash_cnt[377][5]~q\ & \led_flash_cnt[377][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[377][5]~q\,
	datad => \led_flash_cnt[377][6]~q\,
	combout => \WideAnd377~1_combout\);

-- Location: LCCOMB_X32_Y29_N30
\WideAnd377~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd377~0_combout\ = (\led_flash_cnt[377][3]~q\ & (\led_flash_cnt[377][2]~q\ & (\led_flash_cnt[377][4]~q\ & \led_flash_cnt[377][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[377][3]~q\,
	datab => \led_flash_cnt[377][2]~q\,
	datac => \led_flash_cnt[377][4]~q\,
	datad => \led_flash_cnt[377][1]~q\,
	combout => \WideAnd377~0_combout\);

-- Location: LCCOMB_X32_Y31_N24
WideAnd377 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd377~combout\ = (\led_flash_cnt[377][7]~q\ & (\WideAnd377~1_combout\ & (\WideAnd377~0_combout\ & \led_flash_cnt[377][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[377][7]~q\,
	datab => \WideAnd377~1_combout\,
	datac => \WideAnd377~0_combout\,
	datad => \led_flash_cnt[377][0]~q\,
	combout => \WideAnd377~combout\);

-- Location: FF_X32_Y31_N25
\led_flash_cnt_ands[377]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd377~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(377));

-- Location: LCCOMB_X1_Y37_N10
\led_flash_cnt[379][0]~81019\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[379][0]~81019_combout\ = !\led_flash_cnt[379][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[379][0]~q\,
	combout => \led_flash_cnt[379][0]~81019_combout\);

-- Location: FF_X1_Y37_N11
\led_flash_cnt[379][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[379][0]~81019_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[379][0]~q\);

-- Location: LCCOMB_X1_Y37_N18
\led_flash_cnt[379][1]~32186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[379][1]~32186_combout\ = (\led_flash_cnt[379][0]~q\ & (\led_flash_cnt[379][1]~q\ $ (VCC))) # (!\led_flash_cnt[379][0]~q\ & (\led_flash_cnt[379][1]~q\ & VCC))
-- \led_flash_cnt[379][1]~32187\ = CARRY((\led_flash_cnt[379][0]~q\ & \led_flash_cnt[379][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[379][0]~q\,
	datab => \led_flash_cnt[379][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[379][1]~32186_combout\,
	cout => \led_flash_cnt[379][1]~32187\);

-- Location: FF_X1_Y37_N19
\led_flash_cnt[379][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[379][1]~32186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[379][1]~q\);

-- Location: LCCOMB_X1_Y37_N20
\led_flash_cnt[379][2]~32188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[379][2]~32188_combout\ = (\led_flash_cnt[379][2]~q\ & (!\led_flash_cnt[379][1]~32187\)) # (!\led_flash_cnt[379][2]~q\ & ((\led_flash_cnt[379][1]~32187\) # (GND)))
-- \led_flash_cnt[379][2]~32189\ = CARRY((!\led_flash_cnt[379][1]~32187\) # (!\led_flash_cnt[379][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[379][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[379][1]~32187\,
	combout => \led_flash_cnt[379][2]~32188_combout\,
	cout => \led_flash_cnt[379][2]~32189\);

-- Location: FF_X1_Y37_N21
\led_flash_cnt[379][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[379][2]~32188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[379][2]~q\);

-- Location: LCCOMB_X1_Y37_N22
\led_flash_cnt[379][3]~32190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[379][3]~32190_combout\ = (\led_flash_cnt[379][3]~q\ & (\led_flash_cnt[379][2]~32189\ $ (GND))) # (!\led_flash_cnt[379][3]~q\ & (!\led_flash_cnt[379][2]~32189\ & VCC))
-- \led_flash_cnt[379][3]~32191\ = CARRY((\led_flash_cnt[379][3]~q\ & !\led_flash_cnt[379][2]~32189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[379][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[379][2]~32189\,
	combout => \led_flash_cnt[379][3]~32190_combout\,
	cout => \led_flash_cnt[379][3]~32191\);

-- Location: FF_X1_Y37_N23
\led_flash_cnt[379][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[379][3]~32190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[379][3]~q\);

-- Location: LCCOMB_X1_Y37_N24
\led_flash_cnt[379][4]~32192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[379][4]~32192_combout\ = (\led_flash_cnt[379][4]~q\ & (!\led_flash_cnt[379][3]~32191\)) # (!\led_flash_cnt[379][4]~q\ & ((\led_flash_cnt[379][3]~32191\) # (GND)))
-- \led_flash_cnt[379][4]~32193\ = CARRY((!\led_flash_cnt[379][3]~32191\) # (!\led_flash_cnt[379][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[379][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[379][3]~32191\,
	combout => \led_flash_cnt[379][4]~32192_combout\,
	cout => \led_flash_cnt[379][4]~32193\);

-- Location: FF_X1_Y37_N25
\led_flash_cnt[379][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[379][4]~32192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[379][4]~q\);

-- Location: LCCOMB_X1_Y37_N26
\led_flash_cnt[379][5]~32194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[379][5]~32194_combout\ = (\led_flash_cnt[379][5]~q\ & (\led_flash_cnt[379][4]~32193\ $ (GND))) # (!\led_flash_cnt[379][5]~q\ & (!\led_flash_cnt[379][4]~32193\ & VCC))
-- \led_flash_cnt[379][5]~32195\ = CARRY((\led_flash_cnt[379][5]~q\ & !\led_flash_cnt[379][4]~32193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[379][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[379][4]~32193\,
	combout => \led_flash_cnt[379][5]~32194_combout\,
	cout => \led_flash_cnt[379][5]~32195\);

-- Location: FF_X1_Y37_N27
\led_flash_cnt[379][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[379][5]~32194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[379][5]~q\);

-- Location: LCCOMB_X1_Y37_N28
\led_flash_cnt[379][6]~32196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[379][6]~32196_combout\ = (\led_flash_cnt[379][6]~q\ & (!\led_flash_cnt[379][5]~32195\)) # (!\led_flash_cnt[379][6]~q\ & ((\led_flash_cnt[379][5]~32195\) # (GND)))
-- \led_flash_cnt[379][6]~32197\ = CARRY((!\led_flash_cnt[379][5]~32195\) # (!\led_flash_cnt[379][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[379][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[379][5]~32195\,
	combout => \led_flash_cnt[379][6]~32196_combout\,
	cout => \led_flash_cnt[379][6]~32197\);

-- Location: FF_X1_Y37_N29
\led_flash_cnt[379][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[379][6]~32196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[379][6]~q\);

-- Location: LCCOMB_X1_Y37_N8
\WideAnd379~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd379~1_combout\ = (\led_flash_cnt[379][5]~q\ & \led_flash_cnt[379][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[379][5]~q\,
	datad => \led_flash_cnt[379][6]~q\,
	combout => \WideAnd379~1_combout\);

-- Location: LCCOMB_X1_Y37_N30
\led_flash_cnt[379][7]~32198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[379][7]~32198_combout\ = \led_flash_cnt[379][7]~q\ $ (!\led_flash_cnt[379][6]~32197\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[379][7]~q\,
	cin => \led_flash_cnt[379][6]~32197\,
	combout => \led_flash_cnt[379][7]~32198_combout\);

-- Location: FF_X1_Y37_N31
\led_flash_cnt[379][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[379][7]~32198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[379][7]~q\);

-- Location: LCCOMB_X1_Y37_N12
\WideAnd379~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd379~0_combout\ = (\led_flash_cnt[379][2]~q\ & (\led_flash_cnt[379][1]~q\ & (\led_flash_cnt[379][3]~q\ & \led_flash_cnt[379][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[379][2]~q\,
	datab => \led_flash_cnt[379][1]~q\,
	datac => \led_flash_cnt[379][3]~q\,
	datad => \led_flash_cnt[379][4]~q\,
	combout => \WideAnd379~0_combout\);

-- Location: LCCOMB_X1_Y37_N4
WideAnd379 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd379~combout\ = (\led_flash_cnt[379][0]~q\ & (\WideAnd379~1_combout\ & (\led_flash_cnt[379][7]~q\ & \WideAnd379~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[379][0]~q\,
	datab => \WideAnd379~1_combout\,
	datac => \led_flash_cnt[379][7]~q\,
	datad => \WideAnd379~0_combout\,
	combout => \WideAnd379~combout\);

-- Location: FF_X1_Y37_N5
\led_flash_cnt_ands[379]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd379~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(379));

-- Location: LCCOMB_X63_Y39_N26
\led_flash_cnt[376][0]~81016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[376][0]~81016_combout\ = !\led_flash_cnt[376][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[376][0]~q\,
	combout => \led_flash_cnt[376][0]~81016_combout\);

-- Location: FF_X63_Y39_N27
\led_flash_cnt[376][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[376][0]~81016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[376][0]~q\);

-- Location: LCCOMB_X63_Y39_N8
\led_flash_cnt[376][1]~32144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[376][1]~32144_combout\ = (\led_flash_cnt[376][0]~q\ & (\led_flash_cnt[376][1]~q\ $ (VCC))) # (!\led_flash_cnt[376][0]~q\ & (\led_flash_cnt[376][1]~q\ & VCC))
-- \led_flash_cnt[376][1]~32145\ = CARRY((\led_flash_cnt[376][0]~q\ & \led_flash_cnt[376][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[376][0]~q\,
	datab => \led_flash_cnt[376][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[376][1]~32144_combout\,
	cout => \led_flash_cnt[376][1]~32145\);

-- Location: FF_X63_Y39_N9
\led_flash_cnt[376][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[376][1]~32144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[376][1]~q\);

-- Location: LCCOMB_X63_Y39_N10
\led_flash_cnt[376][2]~32146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[376][2]~32146_combout\ = (\led_flash_cnt[376][2]~q\ & (!\led_flash_cnt[376][1]~32145\)) # (!\led_flash_cnt[376][2]~q\ & ((\led_flash_cnt[376][1]~32145\) # (GND)))
-- \led_flash_cnt[376][2]~32147\ = CARRY((!\led_flash_cnt[376][1]~32145\) # (!\led_flash_cnt[376][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[376][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[376][1]~32145\,
	combout => \led_flash_cnt[376][2]~32146_combout\,
	cout => \led_flash_cnt[376][2]~32147\);

-- Location: FF_X63_Y39_N11
\led_flash_cnt[376][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[376][2]~32146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[376][2]~q\);

-- Location: LCCOMB_X63_Y39_N12
\led_flash_cnt[376][3]~32148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[376][3]~32148_combout\ = (\led_flash_cnt[376][3]~q\ & (\led_flash_cnt[376][2]~32147\ $ (GND))) # (!\led_flash_cnt[376][3]~q\ & (!\led_flash_cnt[376][2]~32147\ & VCC))
-- \led_flash_cnt[376][3]~32149\ = CARRY((\led_flash_cnt[376][3]~q\ & !\led_flash_cnt[376][2]~32147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[376][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[376][2]~32147\,
	combout => \led_flash_cnt[376][3]~32148_combout\,
	cout => \led_flash_cnt[376][3]~32149\);

-- Location: FF_X63_Y39_N13
\led_flash_cnt[376][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[376][3]~32148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[376][3]~q\);

-- Location: LCCOMB_X63_Y39_N14
\led_flash_cnt[376][4]~32150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[376][4]~32150_combout\ = (\led_flash_cnt[376][4]~q\ & (!\led_flash_cnt[376][3]~32149\)) # (!\led_flash_cnt[376][4]~q\ & ((\led_flash_cnt[376][3]~32149\) # (GND)))
-- \led_flash_cnt[376][4]~32151\ = CARRY((!\led_flash_cnt[376][3]~32149\) # (!\led_flash_cnt[376][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[376][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[376][3]~32149\,
	combout => \led_flash_cnt[376][4]~32150_combout\,
	cout => \led_flash_cnt[376][4]~32151\);

-- Location: FF_X63_Y39_N15
\led_flash_cnt[376][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[376][4]~32150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[376][4]~q\);

-- Location: LCCOMB_X63_Y39_N16
\led_flash_cnt[376][5]~32152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[376][5]~32152_combout\ = (\led_flash_cnt[376][5]~q\ & (\led_flash_cnt[376][4]~32151\ $ (GND))) # (!\led_flash_cnt[376][5]~q\ & (!\led_flash_cnt[376][4]~32151\ & VCC))
-- \led_flash_cnt[376][5]~32153\ = CARRY((\led_flash_cnt[376][5]~q\ & !\led_flash_cnt[376][4]~32151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[376][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[376][4]~32151\,
	combout => \led_flash_cnt[376][5]~32152_combout\,
	cout => \led_flash_cnt[376][5]~32153\);

-- Location: FF_X63_Y39_N17
\led_flash_cnt[376][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[376][5]~32152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[376][5]~q\);

-- Location: LCCOMB_X63_Y39_N18
\led_flash_cnt[376][6]~32154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[376][6]~32154_combout\ = (\led_flash_cnt[376][6]~q\ & (!\led_flash_cnt[376][5]~32153\)) # (!\led_flash_cnt[376][6]~q\ & ((\led_flash_cnt[376][5]~32153\) # (GND)))
-- \led_flash_cnt[376][6]~32155\ = CARRY((!\led_flash_cnt[376][5]~32153\) # (!\led_flash_cnt[376][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[376][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[376][5]~32153\,
	combout => \led_flash_cnt[376][6]~32154_combout\,
	cout => \led_flash_cnt[376][6]~32155\);

-- Location: FF_X63_Y39_N19
\led_flash_cnt[376][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[376][6]~32154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[376][6]~q\);

-- Location: LCCOMB_X63_Y39_N20
\led_flash_cnt[376][7]~32156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[376][7]~32156_combout\ = \led_flash_cnt[376][6]~32155\ $ (!\led_flash_cnt[376][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[376][7]~q\,
	cin => \led_flash_cnt[376][6]~32155\,
	combout => \led_flash_cnt[376][7]~32156_combout\);

-- Location: FF_X63_Y39_N21
\led_flash_cnt[376][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[376][7]~32156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[376][7]~q\);

-- Location: LCCOMB_X63_Y39_N4
\WideAnd376~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd376~1_combout\ = (\led_flash_cnt[376][6]~q\ & \led_flash_cnt[376][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[376][6]~q\,
	datad => \led_flash_cnt[376][5]~q\,
	combout => \WideAnd376~1_combout\);

-- Location: LCCOMB_X63_Y39_N28
\WideAnd376~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd376~0_combout\ = (\led_flash_cnt[376][3]~q\ & (\led_flash_cnt[376][4]~q\ & (\led_flash_cnt[376][1]~q\ & \led_flash_cnt[376][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[376][3]~q\,
	datab => \led_flash_cnt[376][4]~q\,
	datac => \led_flash_cnt[376][1]~q\,
	datad => \led_flash_cnt[376][2]~q\,
	combout => \WideAnd376~0_combout\);

-- Location: LCCOMB_X63_Y39_N22
WideAnd376 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd376~combout\ = (\led_flash_cnt[376][0]~q\ & (\led_flash_cnt[376][7]~q\ & (\WideAnd376~1_combout\ & \WideAnd376~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[376][0]~q\,
	datab => \led_flash_cnt[376][7]~q\,
	datac => \WideAnd376~1_combout\,
	datad => \WideAnd376~0_combout\,
	combout => \WideAnd376~combout\);

-- Location: FF_X63_Y39_N23
\led_flash_cnt_ands[376]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd376~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(376));

-- Location: LCCOMB_X32_Y31_N20
\WideAnd3887~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3887~0_combout\ = (led_flash_cnt_ands(378) & (led_flash_cnt_ands(377) & (led_flash_cnt_ands(379) & led_flash_cnt_ands(376))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(378),
	datab => led_flash_cnt_ands(377),
	datac => led_flash_cnt_ands(379),
	datad => led_flash_cnt_ands(376),
	combout => \WideAnd3887~0_combout\);

-- Location: LCCOMB_X63_Y31_N28
WideAnd3887 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3887~combout\ = (\WideAnd3887~1_combout\ & (led_flash_cnt_ands(383) & (led_flash_cnt_ands(382) & \WideAnd3887~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3887~1_combout\,
	datab => led_flash_cnt_ands(383),
	datac => led_flash_cnt_ands(382),
	datad => \WideAnd3887~0_combout\,
	combout => \WideAnd3887~combout\);

-- Location: FF_X63_Y31_N29
\led_flash_cnt_ands_1[47]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3887~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(47));

-- Location: LCCOMB_X62_Y31_N22
WideAnd4325 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4325~combout\ = (led_flash_cnt_ands_1(46) & (\WideAnd4325~1_combout\ & (\WideAnd4325~0_combout\ & led_flash_cnt_ands_1(47))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(46),
	datab => \WideAnd4325~1_combout\,
	datac => \WideAnd4325~0_combout\,
	datad => led_flash_cnt_ands_1(47),
	combout => \WideAnd4325~combout\);

-- Location: FF_X62_Y31_N23
\led_flash_cnt_ands_2[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4325~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(5));

-- Location: LCCOMB_X72_Y23_N2
\led_flash_cnt[319][0]~80959\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[319][0]~80959_combout\ = !\led_flash_cnt[319][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[319][0]~q\,
	combout => \led_flash_cnt[319][0]~80959_combout\);

-- Location: FF_X72_Y23_N3
\led_flash_cnt[319][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[319][0]~80959_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[319][0]~q\);

-- Location: LCCOMB_X71_Y23_N2
\led_flash_cnt[319][1]~31346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[319][1]~31346_combout\ = (\led_flash_cnt[319][0]~q\ & (\led_flash_cnt[319][1]~q\ $ (VCC))) # (!\led_flash_cnt[319][0]~q\ & (\led_flash_cnt[319][1]~q\ & VCC))
-- \led_flash_cnt[319][1]~31347\ = CARRY((\led_flash_cnt[319][0]~q\ & \led_flash_cnt[319][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[319][0]~q\,
	datab => \led_flash_cnt[319][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[319][1]~31346_combout\,
	cout => \led_flash_cnt[319][1]~31347\);

-- Location: FF_X71_Y23_N3
\led_flash_cnt[319][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[319][1]~31346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[319][1]~q\);

-- Location: LCCOMB_X71_Y23_N4
\led_flash_cnt[319][2]~31348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[319][2]~31348_combout\ = (\led_flash_cnt[319][2]~q\ & (!\led_flash_cnt[319][1]~31347\)) # (!\led_flash_cnt[319][2]~q\ & ((\led_flash_cnt[319][1]~31347\) # (GND)))
-- \led_flash_cnt[319][2]~31349\ = CARRY((!\led_flash_cnt[319][1]~31347\) # (!\led_flash_cnt[319][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[319][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[319][1]~31347\,
	combout => \led_flash_cnt[319][2]~31348_combout\,
	cout => \led_flash_cnt[319][2]~31349\);

-- Location: FF_X71_Y23_N5
\led_flash_cnt[319][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[319][2]~31348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[319][2]~q\);

-- Location: LCCOMB_X71_Y23_N6
\led_flash_cnt[319][3]~31350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[319][3]~31350_combout\ = (\led_flash_cnt[319][3]~q\ & (\led_flash_cnt[319][2]~31349\ $ (GND))) # (!\led_flash_cnt[319][3]~q\ & (!\led_flash_cnt[319][2]~31349\ & VCC))
-- \led_flash_cnt[319][3]~31351\ = CARRY((\led_flash_cnt[319][3]~q\ & !\led_flash_cnt[319][2]~31349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[319][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[319][2]~31349\,
	combout => \led_flash_cnt[319][3]~31350_combout\,
	cout => \led_flash_cnt[319][3]~31351\);

-- Location: FF_X71_Y23_N7
\led_flash_cnt[319][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[319][3]~31350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[319][3]~q\);

-- Location: LCCOMB_X71_Y23_N8
\led_flash_cnt[319][4]~31352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[319][4]~31352_combout\ = (\led_flash_cnt[319][4]~q\ & (!\led_flash_cnt[319][3]~31351\)) # (!\led_flash_cnt[319][4]~q\ & ((\led_flash_cnt[319][3]~31351\) # (GND)))
-- \led_flash_cnt[319][4]~31353\ = CARRY((!\led_flash_cnt[319][3]~31351\) # (!\led_flash_cnt[319][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[319][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[319][3]~31351\,
	combout => \led_flash_cnt[319][4]~31352_combout\,
	cout => \led_flash_cnt[319][4]~31353\);

-- Location: FF_X71_Y23_N9
\led_flash_cnt[319][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[319][4]~31352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[319][4]~q\);

-- Location: LCCOMB_X71_Y23_N10
\led_flash_cnt[319][5]~31354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[319][5]~31354_combout\ = (\led_flash_cnt[319][5]~q\ & (\led_flash_cnt[319][4]~31353\ $ (GND))) # (!\led_flash_cnt[319][5]~q\ & (!\led_flash_cnt[319][4]~31353\ & VCC))
-- \led_flash_cnt[319][5]~31355\ = CARRY((\led_flash_cnt[319][5]~q\ & !\led_flash_cnt[319][4]~31353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[319][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[319][4]~31353\,
	combout => \led_flash_cnt[319][5]~31354_combout\,
	cout => \led_flash_cnt[319][5]~31355\);

-- Location: FF_X71_Y23_N11
\led_flash_cnt[319][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[319][5]~31354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[319][5]~q\);

-- Location: LCCOMB_X71_Y23_N12
\led_flash_cnt[319][6]~31356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[319][6]~31356_combout\ = (\led_flash_cnt[319][6]~q\ & (!\led_flash_cnt[319][5]~31355\)) # (!\led_flash_cnt[319][6]~q\ & ((\led_flash_cnt[319][5]~31355\) # (GND)))
-- \led_flash_cnt[319][6]~31357\ = CARRY((!\led_flash_cnt[319][5]~31355\) # (!\led_flash_cnt[319][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[319][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[319][5]~31355\,
	combout => \led_flash_cnt[319][6]~31356_combout\,
	cout => \led_flash_cnt[319][6]~31357\);

-- Location: FF_X71_Y23_N13
\led_flash_cnt[319][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[319][6]~31356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[319][6]~q\);

-- Location: LCCOMB_X71_Y23_N14
\led_flash_cnt[319][7]~31358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[319][7]~31358_combout\ = \led_flash_cnt[319][7]~q\ $ (!\led_flash_cnt[319][6]~31357\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[319][7]~q\,
	cin => \led_flash_cnt[319][6]~31357\,
	combout => \led_flash_cnt[319][7]~31358_combout\);

-- Location: FF_X71_Y23_N15
\led_flash_cnt[319][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[319][7]~31358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[319][7]~q\);

-- Location: LCCOMB_X72_Y23_N16
\WideAnd319~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd319~1_combout\ = (\led_flash_cnt[319][6]~q\ & \led_flash_cnt[319][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[319][6]~q\,
	datad => \led_flash_cnt[319][5]~q\,
	combout => \WideAnd319~1_combout\);

-- Location: LCCOMB_X71_Y23_N0
\WideAnd319~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd319~0_combout\ = (\led_flash_cnt[319][3]~q\ & (\led_flash_cnt[319][4]~q\ & (\led_flash_cnt[319][2]~q\ & \led_flash_cnt[319][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[319][3]~q\,
	datab => \led_flash_cnt[319][4]~q\,
	datac => \led_flash_cnt[319][2]~q\,
	datad => \led_flash_cnt[319][1]~q\,
	combout => \WideAnd319~0_combout\);

-- Location: LCCOMB_X72_Y23_N6
WideAnd319 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd319~combout\ = (\led_flash_cnt[319][7]~q\ & (\WideAnd319~1_combout\ & (\WideAnd319~0_combout\ & \led_flash_cnt[319][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[319][7]~q\,
	datab => \WideAnd319~1_combout\,
	datac => \WideAnd319~0_combout\,
	datad => \led_flash_cnt[319][0]~q\,
	combout => \WideAnd319~combout\);

-- Location: FF_X72_Y23_N7
\led_flash_cnt_ands[319]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd319~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(319));

-- Location: LCCOMB_X76_Y25_N10
\led_flash_cnt[317][0]~80957\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[317][0]~80957_combout\ = !\led_flash_cnt[317][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[317][0]~q\,
	combout => \led_flash_cnt[317][0]~80957_combout\);

-- Location: FF_X76_Y25_N11
\led_flash_cnt[317][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[317][0]~80957_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[317][0]~q\);

-- Location: LCCOMB_X76_Y25_N14
\led_flash_cnt[317][1]~31318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[317][1]~31318_combout\ = (\led_flash_cnt[317][0]~q\ & (\led_flash_cnt[317][1]~q\ $ (VCC))) # (!\led_flash_cnt[317][0]~q\ & (\led_flash_cnt[317][1]~q\ & VCC))
-- \led_flash_cnt[317][1]~31319\ = CARRY((\led_flash_cnt[317][0]~q\ & \led_flash_cnt[317][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[317][0]~q\,
	datab => \led_flash_cnt[317][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[317][1]~31318_combout\,
	cout => \led_flash_cnt[317][1]~31319\);

-- Location: FF_X76_Y25_N15
\led_flash_cnt[317][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[317][1]~31318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[317][1]~q\);

-- Location: LCCOMB_X76_Y25_N16
\led_flash_cnt[317][2]~31320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[317][2]~31320_combout\ = (\led_flash_cnt[317][2]~q\ & (!\led_flash_cnt[317][1]~31319\)) # (!\led_flash_cnt[317][2]~q\ & ((\led_flash_cnt[317][1]~31319\) # (GND)))
-- \led_flash_cnt[317][2]~31321\ = CARRY((!\led_flash_cnt[317][1]~31319\) # (!\led_flash_cnt[317][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[317][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[317][1]~31319\,
	combout => \led_flash_cnt[317][2]~31320_combout\,
	cout => \led_flash_cnt[317][2]~31321\);

-- Location: FF_X76_Y25_N17
\led_flash_cnt[317][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[317][2]~31320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[317][2]~q\);

-- Location: LCCOMB_X76_Y25_N18
\led_flash_cnt[317][3]~31322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[317][3]~31322_combout\ = (\led_flash_cnt[317][3]~q\ & (\led_flash_cnt[317][2]~31321\ $ (GND))) # (!\led_flash_cnt[317][3]~q\ & (!\led_flash_cnt[317][2]~31321\ & VCC))
-- \led_flash_cnt[317][3]~31323\ = CARRY((\led_flash_cnt[317][3]~q\ & !\led_flash_cnt[317][2]~31321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[317][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[317][2]~31321\,
	combout => \led_flash_cnt[317][3]~31322_combout\,
	cout => \led_flash_cnt[317][3]~31323\);

-- Location: FF_X76_Y25_N19
\led_flash_cnt[317][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[317][3]~31322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[317][3]~q\);

-- Location: LCCOMB_X76_Y25_N20
\led_flash_cnt[317][4]~31324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[317][4]~31324_combout\ = (\led_flash_cnt[317][4]~q\ & (!\led_flash_cnt[317][3]~31323\)) # (!\led_flash_cnt[317][4]~q\ & ((\led_flash_cnt[317][3]~31323\) # (GND)))
-- \led_flash_cnt[317][4]~31325\ = CARRY((!\led_flash_cnt[317][3]~31323\) # (!\led_flash_cnt[317][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[317][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[317][3]~31323\,
	combout => \led_flash_cnt[317][4]~31324_combout\,
	cout => \led_flash_cnt[317][4]~31325\);

-- Location: FF_X76_Y25_N21
\led_flash_cnt[317][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[317][4]~31324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[317][4]~q\);

-- Location: LCCOMB_X76_Y25_N22
\led_flash_cnt[317][5]~31326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[317][5]~31326_combout\ = (\led_flash_cnt[317][5]~q\ & (\led_flash_cnt[317][4]~31325\ $ (GND))) # (!\led_flash_cnt[317][5]~q\ & (!\led_flash_cnt[317][4]~31325\ & VCC))
-- \led_flash_cnt[317][5]~31327\ = CARRY((\led_flash_cnt[317][5]~q\ & !\led_flash_cnt[317][4]~31325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[317][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[317][4]~31325\,
	combout => \led_flash_cnt[317][5]~31326_combout\,
	cout => \led_flash_cnt[317][5]~31327\);

-- Location: FF_X76_Y25_N23
\led_flash_cnt[317][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[317][5]~31326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[317][5]~q\);

-- Location: LCCOMB_X76_Y25_N24
\led_flash_cnt[317][6]~31328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[317][6]~31328_combout\ = (\led_flash_cnt[317][6]~q\ & (!\led_flash_cnt[317][5]~31327\)) # (!\led_flash_cnt[317][6]~q\ & ((\led_flash_cnt[317][5]~31327\) # (GND)))
-- \led_flash_cnt[317][6]~31329\ = CARRY((!\led_flash_cnt[317][5]~31327\) # (!\led_flash_cnt[317][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[317][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[317][5]~31327\,
	combout => \led_flash_cnt[317][6]~31328_combout\,
	cout => \led_flash_cnt[317][6]~31329\);

-- Location: FF_X76_Y25_N25
\led_flash_cnt[317][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[317][6]~31328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[317][6]~q\);

-- Location: LCCOMB_X76_Y25_N6
\WideAnd317~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd317~1_combout\ = (\led_flash_cnt[317][5]~q\ & \led_flash_cnt[317][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[317][5]~q\,
	datad => \led_flash_cnt[317][6]~q\,
	combout => \WideAnd317~1_combout\);

-- Location: LCCOMB_X76_Y25_N28
\WideAnd317~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd317~0_combout\ = (\led_flash_cnt[317][3]~q\ & (\led_flash_cnt[317][4]~q\ & (\led_flash_cnt[317][1]~q\ & \led_flash_cnt[317][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[317][3]~q\,
	datab => \led_flash_cnt[317][4]~q\,
	datac => \led_flash_cnt[317][1]~q\,
	datad => \led_flash_cnt[317][2]~q\,
	combout => \WideAnd317~0_combout\);

-- Location: LCCOMB_X76_Y25_N26
\led_flash_cnt[317][7]~31330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[317][7]~31330_combout\ = \led_flash_cnt[317][7]~q\ $ (!\led_flash_cnt[317][6]~31329\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[317][7]~q\,
	cin => \led_flash_cnt[317][6]~31329\,
	combout => \led_flash_cnt[317][7]~31330_combout\);

-- Location: FF_X76_Y25_N27
\led_flash_cnt[317][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[317][7]~31330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[317][7]~q\);

-- Location: LCCOMB_X76_Y25_N4
WideAnd317 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd317~combout\ = (\WideAnd317~1_combout\ & (\WideAnd317~0_combout\ & (\led_flash_cnt[317][7]~q\ & \led_flash_cnt[317][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd317~1_combout\,
	datab => \WideAnd317~0_combout\,
	datac => \led_flash_cnt[317][7]~q\,
	datad => \led_flash_cnt[317][0]~q\,
	combout => \WideAnd317~combout\);

-- Location: FF_X76_Y25_N5
\led_flash_cnt_ands[317]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd317~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(317));

-- Location: LCCOMB_X76_Y25_N2
\led_flash_cnt[316][0]~80956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[316][0]~80956_combout\ = !\led_flash_cnt[316][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[316][0]~q\,
	combout => \led_flash_cnt[316][0]~80956_combout\);

-- Location: FF_X76_Y25_N3
\led_flash_cnt[316][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[316][0]~80956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[316][0]~q\);

-- Location: LCCOMB_X75_Y25_N0
\led_flash_cnt[316][1]~31304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[316][1]~31304_combout\ = (\led_flash_cnt[316][0]~q\ & (\led_flash_cnt[316][1]~q\ $ (VCC))) # (!\led_flash_cnt[316][0]~q\ & (\led_flash_cnt[316][1]~q\ & VCC))
-- \led_flash_cnt[316][1]~31305\ = CARRY((\led_flash_cnt[316][0]~q\ & \led_flash_cnt[316][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[316][0]~q\,
	datab => \led_flash_cnt[316][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[316][1]~31304_combout\,
	cout => \led_flash_cnt[316][1]~31305\);

-- Location: FF_X75_Y25_N1
\led_flash_cnt[316][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[316][1]~31304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[316][1]~q\);

-- Location: LCCOMB_X75_Y25_N2
\led_flash_cnt[316][2]~31306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[316][2]~31306_combout\ = (\led_flash_cnt[316][2]~q\ & (!\led_flash_cnt[316][1]~31305\)) # (!\led_flash_cnt[316][2]~q\ & ((\led_flash_cnt[316][1]~31305\) # (GND)))
-- \led_flash_cnt[316][2]~31307\ = CARRY((!\led_flash_cnt[316][1]~31305\) # (!\led_flash_cnt[316][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[316][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[316][1]~31305\,
	combout => \led_flash_cnt[316][2]~31306_combout\,
	cout => \led_flash_cnt[316][2]~31307\);

-- Location: FF_X75_Y25_N3
\led_flash_cnt[316][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[316][2]~31306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[316][2]~q\);

-- Location: LCCOMB_X75_Y25_N4
\led_flash_cnt[316][3]~31308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[316][3]~31308_combout\ = (\led_flash_cnt[316][3]~q\ & (\led_flash_cnt[316][2]~31307\ $ (GND))) # (!\led_flash_cnt[316][3]~q\ & (!\led_flash_cnt[316][2]~31307\ & VCC))
-- \led_flash_cnt[316][3]~31309\ = CARRY((\led_flash_cnt[316][3]~q\ & !\led_flash_cnt[316][2]~31307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[316][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[316][2]~31307\,
	combout => \led_flash_cnt[316][3]~31308_combout\,
	cout => \led_flash_cnt[316][3]~31309\);

-- Location: FF_X75_Y25_N5
\led_flash_cnt[316][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[316][3]~31308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[316][3]~q\);

-- Location: LCCOMB_X75_Y25_N6
\led_flash_cnt[316][4]~31310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[316][4]~31310_combout\ = (\led_flash_cnt[316][4]~q\ & (!\led_flash_cnt[316][3]~31309\)) # (!\led_flash_cnt[316][4]~q\ & ((\led_flash_cnt[316][3]~31309\) # (GND)))
-- \led_flash_cnt[316][4]~31311\ = CARRY((!\led_flash_cnt[316][3]~31309\) # (!\led_flash_cnt[316][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[316][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[316][3]~31309\,
	combout => \led_flash_cnt[316][4]~31310_combout\,
	cout => \led_flash_cnt[316][4]~31311\);

-- Location: FF_X75_Y25_N7
\led_flash_cnt[316][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[316][4]~31310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[316][4]~q\);

-- Location: LCCOMB_X75_Y25_N8
\led_flash_cnt[316][5]~31312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[316][5]~31312_combout\ = (\led_flash_cnt[316][5]~q\ & (\led_flash_cnt[316][4]~31311\ $ (GND))) # (!\led_flash_cnt[316][5]~q\ & (!\led_flash_cnt[316][4]~31311\ & VCC))
-- \led_flash_cnt[316][5]~31313\ = CARRY((\led_flash_cnt[316][5]~q\ & !\led_flash_cnt[316][4]~31311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[316][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[316][4]~31311\,
	combout => \led_flash_cnt[316][5]~31312_combout\,
	cout => \led_flash_cnt[316][5]~31313\);

-- Location: FF_X75_Y25_N9
\led_flash_cnt[316][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[316][5]~31312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[316][5]~q\);

-- Location: LCCOMB_X75_Y25_N10
\led_flash_cnt[316][6]~31314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[316][6]~31314_combout\ = (\led_flash_cnt[316][6]~q\ & (!\led_flash_cnt[316][5]~31313\)) # (!\led_flash_cnt[316][6]~q\ & ((\led_flash_cnt[316][5]~31313\) # (GND)))
-- \led_flash_cnt[316][6]~31315\ = CARRY((!\led_flash_cnt[316][5]~31313\) # (!\led_flash_cnt[316][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[316][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[316][5]~31313\,
	combout => \led_flash_cnt[316][6]~31314_combout\,
	cout => \led_flash_cnt[316][6]~31315\);

-- Location: FF_X75_Y25_N11
\led_flash_cnt[316][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[316][6]~31314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[316][6]~q\);

-- Location: LCCOMB_X75_Y25_N12
\led_flash_cnt[316][7]~31316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[316][7]~31316_combout\ = \led_flash_cnt[316][6]~31315\ $ (!\led_flash_cnt[316][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[316][7]~q\,
	cin => \led_flash_cnt[316][6]~31315\,
	combout => \led_flash_cnt[316][7]~31316_combout\);

-- Location: FF_X75_Y25_N13
\led_flash_cnt[316][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[316][7]~31316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[316][7]~q\);

-- Location: LCCOMB_X75_Y25_N30
\WideAnd316~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd316~0_combout\ = (\led_flash_cnt[316][4]~q\ & (\led_flash_cnt[316][1]~q\ & (\led_flash_cnt[316][3]~q\ & \led_flash_cnt[316][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[316][4]~q\,
	datab => \led_flash_cnt[316][1]~q\,
	datac => \led_flash_cnt[316][3]~q\,
	datad => \led_flash_cnt[316][2]~q\,
	combout => \WideAnd316~0_combout\);

-- Location: LCCOMB_X76_Y25_N30
\WideAnd316~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd316~1_combout\ = (\led_flash_cnt[316][6]~q\ & \led_flash_cnt[316][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[316][6]~q\,
	datad => \led_flash_cnt[316][5]~q\,
	combout => \WideAnd316~1_combout\);

-- Location: LCCOMB_X76_Y25_N12
WideAnd316 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd316~combout\ = (\led_flash_cnt[316][7]~q\ & (\WideAnd316~0_combout\ & (\WideAnd316~1_combout\ & \led_flash_cnt[316][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[316][7]~q\,
	datab => \WideAnd316~0_combout\,
	datac => \WideAnd316~1_combout\,
	datad => \led_flash_cnt[316][0]~q\,
	combout => \WideAnd316~combout\);

-- Location: FF_X76_Y25_N13
\led_flash_cnt_ands[316]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd316~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(316));

-- Location: LCCOMB_X76_Y25_N8
\WideAnd3879~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3879~1_combout\ = (led_flash_cnt_ands(317) & led_flash_cnt_ands(316))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(317),
	datad => led_flash_cnt_ands(316),
	combout => \WideAnd3879~1_combout\);

-- Location: LCCOMB_X71_Y24_N26
\led_flash_cnt[313][0]~80953\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[313][0]~80953_combout\ = !\led_flash_cnt[313][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[313][0]~q\,
	combout => \led_flash_cnt[313][0]~80953_combout\);

-- Location: FF_X71_Y24_N27
\led_flash_cnt[313][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[313][0]~80953_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[313][0]~q\);

-- Location: LCCOMB_X71_Y24_N8
\led_flash_cnt[313][1]~31262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[313][1]~31262_combout\ = (\led_flash_cnt[313][0]~q\ & (\led_flash_cnt[313][1]~q\ $ (VCC))) # (!\led_flash_cnt[313][0]~q\ & (\led_flash_cnt[313][1]~q\ & VCC))
-- \led_flash_cnt[313][1]~31263\ = CARRY((\led_flash_cnt[313][0]~q\ & \led_flash_cnt[313][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[313][0]~q\,
	datab => \led_flash_cnt[313][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[313][1]~31262_combout\,
	cout => \led_flash_cnt[313][1]~31263\);

-- Location: FF_X71_Y24_N9
\led_flash_cnt[313][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[313][1]~31262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[313][1]~q\);

-- Location: LCCOMB_X71_Y24_N10
\led_flash_cnt[313][2]~31264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[313][2]~31264_combout\ = (\led_flash_cnt[313][2]~q\ & (!\led_flash_cnt[313][1]~31263\)) # (!\led_flash_cnt[313][2]~q\ & ((\led_flash_cnt[313][1]~31263\) # (GND)))
-- \led_flash_cnt[313][2]~31265\ = CARRY((!\led_flash_cnt[313][1]~31263\) # (!\led_flash_cnt[313][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[313][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[313][1]~31263\,
	combout => \led_flash_cnt[313][2]~31264_combout\,
	cout => \led_flash_cnt[313][2]~31265\);

-- Location: FF_X71_Y24_N11
\led_flash_cnt[313][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[313][2]~31264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[313][2]~q\);

-- Location: LCCOMB_X71_Y24_N12
\led_flash_cnt[313][3]~31266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[313][3]~31266_combout\ = (\led_flash_cnt[313][3]~q\ & (\led_flash_cnt[313][2]~31265\ $ (GND))) # (!\led_flash_cnt[313][3]~q\ & (!\led_flash_cnt[313][2]~31265\ & VCC))
-- \led_flash_cnt[313][3]~31267\ = CARRY((\led_flash_cnt[313][3]~q\ & !\led_flash_cnt[313][2]~31265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[313][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[313][2]~31265\,
	combout => \led_flash_cnt[313][3]~31266_combout\,
	cout => \led_flash_cnt[313][3]~31267\);

-- Location: FF_X71_Y24_N13
\led_flash_cnt[313][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[313][3]~31266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[313][3]~q\);

-- Location: LCCOMB_X71_Y24_N14
\led_flash_cnt[313][4]~31268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[313][4]~31268_combout\ = (\led_flash_cnt[313][4]~q\ & (!\led_flash_cnt[313][3]~31267\)) # (!\led_flash_cnt[313][4]~q\ & ((\led_flash_cnt[313][3]~31267\) # (GND)))
-- \led_flash_cnt[313][4]~31269\ = CARRY((!\led_flash_cnt[313][3]~31267\) # (!\led_flash_cnt[313][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[313][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[313][3]~31267\,
	combout => \led_flash_cnt[313][4]~31268_combout\,
	cout => \led_flash_cnt[313][4]~31269\);

-- Location: FF_X71_Y24_N15
\led_flash_cnt[313][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[313][4]~31268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[313][4]~q\);

-- Location: LCCOMB_X71_Y24_N16
\led_flash_cnt[313][5]~31270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[313][5]~31270_combout\ = (\led_flash_cnt[313][5]~q\ & (\led_flash_cnt[313][4]~31269\ $ (GND))) # (!\led_flash_cnt[313][5]~q\ & (!\led_flash_cnt[313][4]~31269\ & VCC))
-- \led_flash_cnt[313][5]~31271\ = CARRY((\led_flash_cnt[313][5]~q\ & !\led_flash_cnt[313][4]~31269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[313][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[313][4]~31269\,
	combout => \led_flash_cnt[313][5]~31270_combout\,
	cout => \led_flash_cnt[313][5]~31271\);

-- Location: FF_X71_Y24_N17
\led_flash_cnt[313][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[313][5]~31270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[313][5]~q\);

-- Location: LCCOMB_X71_Y24_N18
\led_flash_cnt[313][6]~31272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[313][6]~31272_combout\ = (\led_flash_cnt[313][6]~q\ & (!\led_flash_cnt[313][5]~31271\)) # (!\led_flash_cnt[313][6]~q\ & ((\led_flash_cnt[313][5]~31271\) # (GND)))
-- \led_flash_cnt[313][6]~31273\ = CARRY((!\led_flash_cnt[313][5]~31271\) # (!\led_flash_cnt[313][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[313][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[313][5]~31271\,
	combout => \led_flash_cnt[313][6]~31272_combout\,
	cout => \led_flash_cnt[313][6]~31273\);

-- Location: FF_X71_Y24_N19
\led_flash_cnt[313][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[313][6]~31272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[313][6]~q\);

-- Location: LCCOMB_X71_Y24_N20
\led_flash_cnt[313][7]~31274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[313][7]~31274_combout\ = \led_flash_cnt[313][6]~31273\ $ (!\led_flash_cnt[313][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[313][7]~q\,
	cin => \led_flash_cnt[313][6]~31273\,
	combout => \led_flash_cnt[313][7]~31274_combout\);

-- Location: FF_X71_Y24_N21
\led_flash_cnt[313][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[313][7]~31274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[313][7]~q\);

-- Location: LCCOMB_X71_Y24_N4
\WideAnd313~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd313~1_combout\ = (\led_flash_cnt[313][6]~q\ & \led_flash_cnt[313][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[313][6]~q\,
	datad => \led_flash_cnt[313][5]~q\,
	combout => \WideAnd313~1_combout\);

-- Location: LCCOMB_X71_Y24_N24
\WideAnd313~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd313~0_combout\ = (\led_flash_cnt[313][3]~q\ & (\led_flash_cnt[313][1]~q\ & (\led_flash_cnt[313][4]~q\ & \led_flash_cnt[313][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[313][3]~q\,
	datab => \led_flash_cnt[313][1]~q\,
	datac => \led_flash_cnt[313][4]~q\,
	datad => \led_flash_cnt[313][2]~q\,
	combout => \WideAnd313~0_combout\);

-- Location: LCCOMB_X71_Y24_N22
WideAnd313 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd313~combout\ = (\led_flash_cnt[313][0]~q\ & (\led_flash_cnt[313][7]~q\ & (\WideAnd313~1_combout\ & \WideAnd313~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[313][0]~q\,
	datab => \led_flash_cnt[313][7]~q\,
	datac => \WideAnd313~1_combout\,
	datad => \WideAnd313~0_combout\,
	combout => \WideAnd313~combout\);

-- Location: FF_X71_Y24_N23
\led_flash_cnt_ands[313]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd313~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(313));

-- Location: LCCOMB_X71_Y24_N2
\led_flash_cnt[312][0]~80952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[312][0]~80952_combout\ = !\led_flash_cnt[312][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[312][0]~q\,
	combout => \led_flash_cnt[312][0]~80952_combout\);

-- Location: FF_X71_Y24_N3
\led_flash_cnt[312][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[312][0]~80952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[312][0]~q\);

-- Location: LCCOMB_X70_Y24_N16
\led_flash_cnt[312][1]~31248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[312][1]~31248_combout\ = (\led_flash_cnt[312][0]~q\ & (\led_flash_cnt[312][1]~q\ $ (VCC))) # (!\led_flash_cnt[312][0]~q\ & (\led_flash_cnt[312][1]~q\ & VCC))
-- \led_flash_cnt[312][1]~31249\ = CARRY((\led_flash_cnt[312][0]~q\ & \led_flash_cnt[312][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[312][0]~q\,
	datab => \led_flash_cnt[312][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[312][1]~31248_combout\,
	cout => \led_flash_cnt[312][1]~31249\);

-- Location: FF_X70_Y24_N17
\led_flash_cnt[312][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[312][1]~31248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[312][1]~q\);

-- Location: LCCOMB_X70_Y24_N18
\led_flash_cnt[312][2]~31250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[312][2]~31250_combout\ = (\led_flash_cnt[312][2]~q\ & (!\led_flash_cnt[312][1]~31249\)) # (!\led_flash_cnt[312][2]~q\ & ((\led_flash_cnt[312][1]~31249\) # (GND)))
-- \led_flash_cnt[312][2]~31251\ = CARRY((!\led_flash_cnt[312][1]~31249\) # (!\led_flash_cnt[312][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[312][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[312][1]~31249\,
	combout => \led_flash_cnt[312][2]~31250_combout\,
	cout => \led_flash_cnt[312][2]~31251\);

-- Location: FF_X70_Y24_N19
\led_flash_cnt[312][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[312][2]~31250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[312][2]~q\);

-- Location: LCCOMB_X70_Y24_N20
\led_flash_cnt[312][3]~31252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[312][3]~31252_combout\ = (\led_flash_cnt[312][3]~q\ & (\led_flash_cnt[312][2]~31251\ $ (GND))) # (!\led_flash_cnt[312][3]~q\ & (!\led_flash_cnt[312][2]~31251\ & VCC))
-- \led_flash_cnt[312][3]~31253\ = CARRY((\led_flash_cnt[312][3]~q\ & !\led_flash_cnt[312][2]~31251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[312][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[312][2]~31251\,
	combout => \led_flash_cnt[312][3]~31252_combout\,
	cout => \led_flash_cnt[312][3]~31253\);

-- Location: FF_X70_Y24_N21
\led_flash_cnt[312][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[312][3]~31252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[312][3]~q\);

-- Location: LCCOMB_X70_Y24_N22
\led_flash_cnt[312][4]~31254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[312][4]~31254_combout\ = (\led_flash_cnt[312][4]~q\ & (!\led_flash_cnt[312][3]~31253\)) # (!\led_flash_cnt[312][4]~q\ & ((\led_flash_cnt[312][3]~31253\) # (GND)))
-- \led_flash_cnt[312][4]~31255\ = CARRY((!\led_flash_cnt[312][3]~31253\) # (!\led_flash_cnt[312][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[312][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[312][3]~31253\,
	combout => \led_flash_cnt[312][4]~31254_combout\,
	cout => \led_flash_cnt[312][4]~31255\);

-- Location: FF_X70_Y24_N23
\led_flash_cnt[312][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[312][4]~31254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[312][4]~q\);

-- Location: LCCOMB_X70_Y24_N24
\led_flash_cnt[312][5]~31256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[312][5]~31256_combout\ = (\led_flash_cnt[312][5]~q\ & (\led_flash_cnt[312][4]~31255\ $ (GND))) # (!\led_flash_cnt[312][5]~q\ & (!\led_flash_cnt[312][4]~31255\ & VCC))
-- \led_flash_cnt[312][5]~31257\ = CARRY((\led_flash_cnt[312][5]~q\ & !\led_flash_cnt[312][4]~31255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[312][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[312][4]~31255\,
	combout => \led_flash_cnt[312][5]~31256_combout\,
	cout => \led_flash_cnt[312][5]~31257\);

-- Location: FF_X70_Y24_N25
\led_flash_cnt[312][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[312][5]~31256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[312][5]~q\);

-- Location: LCCOMB_X70_Y24_N26
\led_flash_cnt[312][6]~31258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[312][6]~31258_combout\ = (\led_flash_cnt[312][6]~q\ & (!\led_flash_cnt[312][5]~31257\)) # (!\led_flash_cnt[312][6]~q\ & ((\led_flash_cnt[312][5]~31257\) # (GND)))
-- \led_flash_cnt[312][6]~31259\ = CARRY((!\led_flash_cnt[312][5]~31257\) # (!\led_flash_cnt[312][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[312][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[312][5]~31257\,
	combout => \led_flash_cnt[312][6]~31258_combout\,
	cout => \led_flash_cnt[312][6]~31259\);

-- Location: FF_X70_Y24_N27
\led_flash_cnt[312][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[312][6]~31258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[312][6]~q\);

-- Location: LCCOMB_X71_Y24_N30
\WideAnd312~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd312~1_combout\ = (\led_flash_cnt[312][6]~q\ & \led_flash_cnt[312][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[312][6]~q\,
	datad => \led_flash_cnt[312][5]~q\,
	combout => \WideAnd312~1_combout\);

-- Location: LCCOMB_X70_Y24_N28
\led_flash_cnt[312][7]~31260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[312][7]~31260_combout\ = \led_flash_cnt[312][6]~31259\ $ (!\led_flash_cnt[312][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[312][7]~q\,
	cin => \led_flash_cnt[312][6]~31259\,
	combout => \led_flash_cnt[312][7]~31260_combout\);

-- Location: FF_X70_Y24_N29
\led_flash_cnt[312][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[312][7]~31260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[312][7]~q\);

-- Location: LCCOMB_X70_Y24_N0
\WideAnd312~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd312~0_combout\ = (\led_flash_cnt[312][2]~q\ & (\led_flash_cnt[312][3]~q\ & (\led_flash_cnt[312][4]~q\ & \led_flash_cnt[312][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[312][2]~q\,
	datab => \led_flash_cnt[312][3]~q\,
	datac => \led_flash_cnt[312][4]~q\,
	datad => \led_flash_cnt[312][1]~q\,
	combout => \WideAnd312~0_combout\);

-- Location: LCCOMB_X71_Y24_N28
WideAnd312 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd312~combout\ = (\WideAnd312~1_combout\ & (\led_flash_cnt[312][7]~q\ & (\WideAnd312~0_combout\ & \led_flash_cnt[312][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd312~1_combout\,
	datab => \led_flash_cnt[312][7]~q\,
	datac => \WideAnd312~0_combout\,
	datad => \led_flash_cnt[312][0]~q\,
	combout => \WideAnd312~combout\);

-- Location: FF_X71_Y24_N29
\led_flash_cnt_ands[312]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd312~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(312));

-- Location: LCCOMB_X67_Y25_N30
\led_flash_cnt[315][0]~80955\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[315][0]~80955_combout\ = !\led_flash_cnt[315][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[315][0]~q\,
	combout => \led_flash_cnt[315][0]~80955_combout\);

-- Location: FF_X67_Y25_N31
\led_flash_cnt[315][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[315][0]~80955_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[315][0]~q\);

-- Location: LCCOMB_X67_Y24_N18
\led_flash_cnt[315][1]~31290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[315][1]~31290_combout\ = (\led_flash_cnt[315][0]~q\ & (\led_flash_cnt[315][1]~q\ $ (VCC))) # (!\led_flash_cnt[315][0]~q\ & (\led_flash_cnt[315][1]~q\ & VCC))
-- \led_flash_cnt[315][1]~31291\ = CARRY((\led_flash_cnt[315][0]~q\ & \led_flash_cnt[315][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[315][0]~q\,
	datab => \led_flash_cnt[315][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[315][1]~31290_combout\,
	cout => \led_flash_cnt[315][1]~31291\);

-- Location: FF_X67_Y24_N19
\led_flash_cnt[315][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[315][1]~31290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[315][1]~q\);

-- Location: LCCOMB_X67_Y24_N20
\led_flash_cnt[315][2]~31292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[315][2]~31292_combout\ = (\led_flash_cnt[315][2]~q\ & (!\led_flash_cnt[315][1]~31291\)) # (!\led_flash_cnt[315][2]~q\ & ((\led_flash_cnt[315][1]~31291\) # (GND)))
-- \led_flash_cnt[315][2]~31293\ = CARRY((!\led_flash_cnt[315][1]~31291\) # (!\led_flash_cnt[315][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[315][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[315][1]~31291\,
	combout => \led_flash_cnt[315][2]~31292_combout\,
	cout => \led_flash_cnt[315][2]~31293\);

-- Location: FF_X67_Y24_N21
\led_flash_cnt[315][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[315][2]~31292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[315][2]~q\);

-- Location: LCCOMB_X67_Y24_N22
\led_flash_cnt[315][3]~31294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[315][3]~31294_combout\ = (\led_flash_cnt[315][3]~q\ & (\led_flash_cnt[315][2]~31293\ $ (GND))) # (!\led_flash_cnt[315][3]~q\ & (!\led_flash_cnt[315][2]~31293\ & VCC))
-- \led_flash_cnt[315][3]~31295\ = CARRY((\led_flash_cnt[315][3]~q\ & !\led_flash_cnt[315][2]~31293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[315][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[315][2]~31293\,
	combout => \led_flash_cnt[315][3]~31294_combout\,
	cout => \led_flash_cnt[315][3]~31295\);

-- Location: FF_X67_Y24_N23
\led_flash_cnt[315][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[315][3]~31294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[315][3]~q\);

-- Location: LCCOMB_X67_Y24_N24
\led_flash_cnt[315][4]~31296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[315][4]~31296_combout\ = (\led_flash_cnt[315][4]~q\ & (!\led_flash_cnt[315][3]~31295\)) # (!\led_flash_cnt[315][4]~q\ & ((\led_flash_cnt[315][3]~31295\) # (GND)))
-- \led_flash_cnt[315][4]~31297\ = CARRY((!\led_flash_cnt[315][3]~31295\) # (!\led_flash_cnt[315][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[315][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[315][3]~31295\,
	combout => \led_flash_cnt[315][4]~31296_combout\,
	cout => \led_flash_cnt[315][4]~31297\);

-- Location: FF_X67_Y24_N25
\led_flash_cnt[315][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[315][4]~31296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[315][4]~q\);

-- Location: LCCOMB_X67_Y24_N26
\led_flash_cnt[315][5]~31298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[315][5]~31298_combout\ = (\led_flash_cnt[315][5]~q\ & (\led_flash_cnt[315][4]~31297\ $ (GND))) # (!\led_flash_cnt[315][5]~q\ & (!\led_flash_cnt[315][4]~31297\ & VCC))
-- \led_flash_cnt[315][5]~31299\ = CARRY((\led_flash_cnt[315][5]~q\ & !\led_flash_cnt[315][4]~31297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[315][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[315][4]~31297\,
	combout => \led_flash_cnt[315][5]~31298_combout\,
	cout => \led_flash_cnt[315][5]~31299\);

-- Location: FF_X67_Y24_N27
\led_flash_cnt[315][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[315][5]~31298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[315][5]~q\);

-- Location: LCCOMB_X67_Y24_N28
\led_flash_cnt[315][6]~31300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[315][6]~31300_combout\ = (\led_flash_cnt[315][6]~q\ & (!\led_flash_cnt[315][5]~31299\)) # (!\led_flash_cnt[315][6]~q\ & ((\led_flash_cnt[315][5]~31299\) # (GND)))
-- \led_flash_cnt[315][6]~31301\ = CARRY((!\led_flash_cnt[315][5]~31299\) # (!\led_flash_cnt[315][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[315][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[315][5]~31299\,
	combout => \led_flash_cnt[315][6]~31300_combout\,
	cout => \led_flash_cnt[315][6]~31301\);

-- Location: FF_X67_Y24_N29
\led_flash_cnt[315][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[315][6]~31300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[315][6]~q\);

-- Location: LCCOMB_X69_Y24_N10
\WideAnd315~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd315~1_combout\ = (\led_flash_cnt[315][6]~q\ & \led_flash_cnt[315][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[315][6]~q\,
	datad => \led_flash_cnt[315][5]~q\,
	combout => \WideAnd315~1_combout\);

-- Location: LCCOMB_X67_Y24_N30
\led_flash_cnt[315][7]~31302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[315][7]~31302_combout\ = \led_flash_cnt[315][7]~q\ $ (!\led_flash_cnt[315][6]~31301\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[315][7]~q\,
	cin => \led_flash_cnt[315][6]~31301\,
	combout => \led_flash_cnt[315][7]~31302_combout\);

-- Location: FF_X67_Y24_N31
\led_flash_cnt[315][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[315][7]~31302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[315][7]~q\);

-- Location: LCCOMB_X67_Y24_N16
\WideAnd315~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd315~0_combout\ = (\led_flash_cnt[315][4]~q\ & (\led_flash_cnt[315][2]~q\ & (\led_flash_cnt[315][3]~q\ & \led_flash_cnt[315][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[315][4]~q\,
	datab => \led_flash_cnt[315][2]~q\,
	datac => \led_flash_cnt[315][3]~q\,
	datad => \led_flash_cnt[315][1]~q\,
	combout => \WideAnd315~0_combout\);

-- Location: LCCOMB_X67_Y24_N14
WideAnd315 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd315~combout\ = (\led_flash_cnt[315][0]~q\ & (\WideAnd315~1_combout\ & (\led_flash_cnt[315][7]~q\ & \WideAnd315~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[315][0]~q\,
	datab => \WideAnd315~1_combout\,
	datac => \led_flash_cnt[315][7]~q\,
	datad => \WideAnd315~0_combout\,
	combout => \WideAnd315~combout\);

-- Location: FF_X67_Y24_N15
\led_flash_cnt_ands[315]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd315~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(315));

-- Location: LCCOMB_X71_Y27_N28
\led_flash_cnt[314][0]~80954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[314][0]~80954_combout\ = !\led_flash_cnt[314][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[314][0]~q\,
	combout => \led_flash_cnt[314][0]~80954_combout\);

-- Location: FF_X71_Y27_N29
\led_flash_cnt[314][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[314][0]~80954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[314][0]~q\);

-- Location: LCCOMB_X70_Y27_N18
\led_flash_cnt[314][1]~31276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[314][1]~31276_combout\ = (\led_flash_cnt[314][0]~q\ & (\led_flash_cnt[314][1]~q\ $ (VCC))) # (!\led_flash_cnt[314][0]~q\ & (\led_flash_cnt[314][1]~q\ & VCC))
-- \led_flash_cnt[314][1]~31277\ = CARRY((\led_flash_cnt[314][0]~q\ & \led_flash_cnt[314][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[314][0]~q\,
	datab => \led_flash_cnt[314][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[314][1]~31276_combout\,
	cout => \led_flash_cnt[314][1]~31277\);

-- Location: FF_X70_Y27_N19
\led_flash_cnt[314][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[314][1]~31276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[314][1]~q\);

-- Location: LCCOMB_X70_Y27_N20
\led_flash_cnt[314][2]~31278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[314][2]~31278_combout\ = (\led_flash_cnt[314][2]~q\ & (!\led_flash_cnt[314][1]~31277\)) # (!\led_flash_cnt[314][2]~q\ & ((\led_flash_cnt[314][1]~31277\) # (GND)))
-- \led_flash_cnt[314][2]~31279\ = CARRY((!\led_flash_cnt[314][1]~31277\) # (!\led_flash_cnt[314][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[314][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[314][1]~31277\,
	combout => \led_flash_cnt[314][2]~31278_combout\,
	cout => \led_flash_cnt[314][2]~31279\);

-- Location: FF_X70_Y27_N21
\led_flash_cnt[314][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[314][2]~31278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[314][2]~q\);

-- Location: LCCOMB_X70_Y27_N22
\led_flash_cnt[314][3]~31280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[314][3]~31280_combout\ = (\led_flash_cnt[314][3]~q\ & (\led_flash_cnt[314][2]~31279\ $ (GND))) # (!\led_flash_cnt[314][3]~q\ & (!\led_flash_cnt[314][2]~31279\ & VCC))
-- \led_flash_cnt[314][3]~31281\ = CARRY((\led_flash_cnt[314][3]~q\ & !\led_flash_cnt[314][2]~31279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[314][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[314][2]~31279\,
	combout => \led_flash_cnt[314][3]~31280_combout\,
	cout => \led_flash_cnt[314][3]~31281\);

-- Location: FF_X70_Y27_N23
\led_flash_cnt[314][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[314][3]~31280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[314][3]~q\);

-- Location: LCCOMB_X70_Y27_N24
\led_flash_cnt[314][4]~31282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[314][4]~31282_combout\ = (\led_flash_cnt[314][4]~q\ & (!\led_flash_cnt[314][3]~31281\)) # (!\led_flash_cnt[314][4]~q\ & ((\led_flash_cnt[314][3]~31281\) # (GND)))
-- \led_flash_cnt[314][4]~31283\ = CARRY((!\led_flash_cnt[314][3]~31281\) # (!\led_flash_cnt[314][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[314][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[314][3]~31281\,
	combout => \led_flash_cnt[314][4]~31282_combout\,
	cout => \led_flash_cnt[314][4]~31283\);

-- Location: FF_X70_Y27_N25
\led_flash_cnt[314][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[314][4]~31282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[314][4]~q\);

-- Location: LCCOMB_X70_Y27_N2
\WideAnd314~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd314~0_combout\ = (\led_flash_cnt[314][2]~q\ & (\led_flash_cnt[314][1]~q\ & (\led_flash_cnt[314][3]~q\ & \led_flash_cnt[314][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[314][2]~q\,
	datab => \led_flash_cnt[314][1]~q\,
	datac => \led_flash_cnt[314][3]~q\,
	datad => \led_flash_cnt[314][4]~q\,
	combout => \WideAnd314~0_combout\);

-- Location: LCCOMB_X70_Y27_N26
\led_flash_cnt[314][5]~31284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[314][5]~31284_combout\ = (\led_flash_cnt[314][5]~q\ & (\led_flash_cnt[314][4]~31283\ $ (GND))) # (!\led_flash_cnt[314][5]~q\ & (!\led_flash_cnt[314][4]~31283\ & VCC))
-- \led_flash_cnt[314][5]~31285\ = CARRY((\led_flash_cnt[314][5]~q\ & !\led_flash_cnt[314][4]~31283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[314][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[314][4]~31283\,
	combout => \led_flash_cnt[314][5]~31284_combout\,
	cout => \led_flash_cnt[314][5]~31285\);

-- Location: FF_X70_Y27_N27
\led_flash_cnt[314][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[314][5]~31284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[314][5]~q\);

-- Location: LCCOMB_X70_Y27_N28
\led_flash_cnt[314][6]~31286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[314][6]~31286_combout\ = (\led_flash_cnt[314][6]~q\ & (!\led_flash_cnt[314][5]~31285\)) # (!\led_flash_cnt[314][6]~q\ & ((\led_flash_cnt[314][5]~31285\) # (GND)))
-- \led_flash_cnt[314][6]~31287\ = CARRY((!\led_flash_cnt[314][5]~31285\) # (!\led_flash_cnt[314][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[314][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[314][5]~31285\,
	combout => \led_flash_cnt[314][6]~31286_combout\,
	cout => \led_flash_cnt[314][6]~31287\);

-- Location: FF_X70_Y27_N29
\led_flash_cnt[314][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[314][6]~31286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[314][6]~q\);

-- Location: LCCOMB_X70_Y27_N30
\led_flash_cnt[314][7]~31288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[314][7]~31288_combout\ = \led_flash_cnt[314][7]~q\ $ (!\led_flash_cnt[314][6]~31287\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[314][7]~q\,
	cin => \led_flash_cnt[314][6]~31287\,
	combout => \led_flash_cnt[314][7]~31288_combout\);

-- Location: FF_X70_Y27_N31
\led_flash_cnt[314][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[314][7]~31288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[314][7]~q\);

-- Location: LCCOMB_X71_Y27_N22
\WideAnd314~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd314~1_combout\ = (\led_flash_cnt[314][5]~q\ & \led_flash_cnt[314][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[314][5]~q\,
	datad => \led_flash_cnt[314][6]~q\,
	combout => \WideAnd314~1_combout\);

-- Location: LCCOMB_X71_Y27_N16
WideAnd314 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd314~combout\ = (\WideAnd314~0_combout\ & (\led_flash_cnt[314][7]~q\ & (\WideAnd314~1_combout\ & \led_flash_cnt[314][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd314~0_combout\,
	datab => \led_flash_cnt[314][7]~q\,
	datac => \WideAnd314~1_combout\,
	datad => \led_flash_cnt[314][0]~q\,
	combout => \WideAnd314~combout\);

-- Location: FF_X71_Y27_N17
\led_flash_cnt_ands[314]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd314~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(314));

-- Location: LCCOMB_X71_Y24_N6
\WideAnd3879~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3879~0_combout\ = (led_flash_cnt_ands(313) & (led_flash_cnt_ands(312) & (led_flash_cnt_ands(315) & led_flash_cnt_ands(314))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(313),
	datab => led_flash_cnt_ands(312),
	datac => led_flash_cnt_ands(315),
	datad => led_flash_cnt_ands(314),
	combout => \WideAnd3879~0_combout\);

-- Location: LCCOMB_X72_Y23_N12
\led_flash_cnt[318][0]~80958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[318][0]~80958_combout\ = !\led_flash_cnt[318][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[318][0]~q\,
	combout => \led_flash_cnt[318][0]~80958_combout\);

-- Location: FF_X72_Y23_N13
\led_flash_cnt[318][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[318][0]~80958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[318][0]~q\);

-- Location: LCCOMB_X72_Y23_N18
\led_flash_cnt[318][1]~31332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[318][1]~31332_combout\ = (\led_flash_cnt[318][0]~q\ & (\led_flash_cnt[318][1]~q\ $ (VCC))) # (!\led_flash_cnt[318][0]~q\ & (\led_flash_cnt[318][1]~q\ & VCC))
-- \led_flash_cnt[318][1]~31333\ = CARRY((\led_flash_cnt[318][0]~q\ & \led_flash_cnt[318][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[318][0]~q\,
	datab => \led_flash_cnt[318][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[318][1]~31332_combout\,
	cout => \led_flash_cnt[318][1]~31333\);

-- Location: FF_X72_Y23_N19
\led_flash_cnt[318][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[318][1]~31332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[318][1]~q\);

-- Location: LCCOMB_X72_Y23_N20
\led_flash_cnt[318][2]~31334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[318][2]~31334_combout\ = (\led_flash_cnt[318][2]~q\ & (!\led_flash_cnt[318][1]~31333\)) # (!\led_flash_cnt[318][2]~q\ & ((\led_flash_cnt[318][1]~31333\) # (GND)))
-- \led_flash_cnt[318][2]~31335\ = CARRY((!\led_flash_cnt[318][1]~31333\) # (!\led_flash_cnt[318][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[318][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[318][1]~31333\,
	combout => \led_flash_cnt[318][2]~31334_combout\,
	cout => \led_flash_cnt[318][2]~31335\);

-- Location: FF_X72_Y23_N21
\led_flash_cnt[318][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[318][2]~31334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[318][2]~q\);

-- Location: LCCOMB_X72_Y23_N22
\led_flash_cnt[318][3]~31336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[318][3]~31336_combout\ = (\led_flash_cnt[318][3]~q\ & (\led_flash_cnt[318][2]~31335\ $ (GND))) # (!\led_flash_cnt[318][3]~q\ & (!\led_flash_cnt[318][2]~31335\ & VCC))
-- \led_flash_cnt[318][3]~31337\ = CARRY((\led_flash_cnt[318][3]~q\ & !\led_flash_cnt[318][2]~31335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[318][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[318][2]~31335\,
	combout => \led_flash_cnt[318][3]~31336_combout\,
	cout => \led_flash_cnt[318][3]~31337\);

-- Location: FF_X72_Y23_N23
\led_flash_cnt[318][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[318][3]~31336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[318][3]~q\);

-- Location: LCCOMB_X72_Y23_N24
\led_flash_cnt[318][4]~31338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[318][4]~31338_combout\ = (\led_flash_cnt[318][4]~q\ & (!\led_flash_cnt[318][3]~31337\)) # (!\led_flash_cnt[318][4]~q\ & ((\led_flash_cnt[318][3]~31337\) # (GND)))
-- \led_flash_cnt[318][4]~31339\ = CARRY((!\led_flash_cnt[318][3]~31337\) # (!\led_flash_cnt[318][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[318][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[318][3]~31337\,
	combout => \led_flash_cnt[318][4]~31338_combout\,
	cout => \led_flash_cnt[318][4]~31339\);

-- Location: FF_X72_Y23_N25
\led_flash_cnt[318][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[318][4]~31338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[318][4]~q\);

-- Location: LCCOMB_X72_Y23_N26
\led_flash_cnt[318][5]~31340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[318][5]~31340_combout\ = (\led_flash_cnt[318][5]~q\ & (\led_flash_cnt[318][4]~31339\ $ (GND))) # (!\led_flash_cnt[318][5]~q\ & (!\led_flash_cnt[318][4]~31339\ & VCC))
-- \led_flash_cnt[318][5]~31341\ = CARRY((\led_flash_cnt[318][5]~q\ & !\led_flash_cnt[318][4]~31339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[318][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[318][4]~31339\,
	combout => \led_flash_cnt[318][5]~31340_combout\,
	cout => \led_flash_cnt[318][5]~31341\);

-- Location: FF_X72_Y23_N27
\led_flash_cnt[318][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[318][5]~31340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[318][5]~q\);

-- Location: LCCOMB_X72_Y23_N28
\led_flash_cnt[318][6]~31342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[318][6]~31342_combout\ = (\led_flash_cnt[318][6]~q\ & (!\led_flash_cnt[318][5]~31341\)) # (!\led_flash_cnt[318][6]~q\ & ((\led_flash_cnt[318][5]~31341\) # (GND)))
-- \led_flash_cnt[318][6]~31343\ = CARRY((!\led_flash_cnt[318][5]~31341\) # (!\led_flash_cnt[318][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[318][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[318][5]~31341\,
	combout => \led_flash_cnt[318][6]~31342_combout\,
	cout => \led_flash_cnt[318][6]~31343\);

-- Location: FF_X72_Y23_N29
\led_flash_cnt[318][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[318][6]~31342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[318][6]~q\);

-- Location: LCCOMB_X72_Y23_N10
\WideAnd318~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd318~1_combout\ = (\led_flash_cnt[318][5]~q\ & \led_flash_cnt[318][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[318][5]~q\,
	datad => \led_flash_cnt[318][6]~q\,
	combout => \WideAnd318~1_combout\);

-- Location: LCCOMB_X72_Y23_N14
\WideAnd318~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd318~0_combout\ = (\led_flash_cnt[318][1]~q\ & (\led_flash_cnt[318][2]~q\ & (\led_flash_cnt[318][3]~q\ & \led_flash_cnt[318][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[318][1]~q\,
	datab => \led_flash_cnt[318][2]~q\,
	datac => \led_flash_cnt[318][3]~q\,
	datad => \led_flash_cnt[318][4]~q\,
	combout => \WideAnd318~0_combout\);

-- Location: LCCOMB_X72_Y23_N30
\led_flash_cnt[318][7]~31344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[318][7]~31344_combout\ = \led_flash_cnt[318][7]~q\ $ (!\led_flash_cnt[318][6]~31343\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[318][7]~q\,
	cin => \led_flash_cnt[318][6]~31343\,
	combout => \led_flash_cnt[318][7]~31344_combout\);

-- Location: FF_X72_Y23_N31
\led_flash_cnt[318][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[318][7]~31344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[318][7]~q\);

-- Location: LCCOMB_X72_Y23_N0
WideAnd318 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd318~combout\ = (\WideAnd318~1_combout\ & (\WideAnd318~0_combout\ & (\led_flash_cnt[318][7]~q\ & \led_flash_cnt[318][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd318~1_combout\,
	datab => \WideAnd318~0_combout\,
	datac => \led_flash_cnt[318][7]~q\,
	datad => \led_flash_cnt[318][0]~q\,
	combout => \WideAnd318~combout\);

-- Location: FF_X72_Y23_N1
\led_flash_cnt_ands[318]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd318~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(318));

-- Location: LCCOMB_X72_Y23_N8
WideAnd3879 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3879~combout\ = (led_flash_cnt_ands(319) & (\WideAnd3879~1_combout\ & (\WideAnd3879~0_combout\ & led_flash_cnt_ands(318))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(319),
	datab => \WideAnd3879~1_combout\,
	datac => \WideAnd3879~0_combout\,
	datad => led_flash_cnt_ands(318),
	combout => \WideAnd3879~combout\);

-- Location: FF_X72_Y23_N9
\led_flash_cnt_ands_1[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3879~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(39));

-- Location: LCCOMB_X57_Y18_N28
\led_flash_cnt[278][0]~80918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[278][0]~80918_combout\ = !\led_flash_cnt[278][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[278][0]~q\,
	combout => \led_flash_cnt[278][0]~80918_combout\);

-- Location: FF_X57_Y18_N29
\led_flash_cnt[278][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[278][0]~80918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[278][0]~q\);

-- Location: LCCOMB_X57_Y18_N6
\led_flash_cnt[278][1]~30772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[278][1]~30772_combout\ = (\led_flash_cnt[278][1]~q\ & (\led_flash_cnt[278][0]~q\ $ (VCC))) # (!\led_flash_cnt[278][1]~q\ & (\led_flash_cnt[278][0]~q\ & VCC))
-- \led_flash_cnt[278][1]~30773\ = CARRY((\led_flash_cnt[278][1]~q\ & \led_flash_cnt[278][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[278][1]~q\,
	datab => \led_flash_cnt[278][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[278][1]~30772_combout\,
	cout => \led_flash_cnt[278][1]~30773\);

-- Location: FF_X57_Y18_N7
\led_flash_cnt[278][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[278][1]~30772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[278][1]~q\);

-- Location: LCCOMB_X57_Y18_N8
\led_flash_cnt[278][2]~30774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[278][2]~30774_combout\ = (\led_flash_cnt[278][2]~q\ & (!\led_flash_cnt[278][1]~30773\)) # (!\led_flash_cnt[278][2]~q\ & ((\led_flash_cnt[278][1]~30773\) # (GND)))
-- \led_flash_cnt[278][2]~30775\ = CARRY((!\led_flash_cnt[278][1]~30773\) # (!\led_flash_cnt[278][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[278][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[278][1]~30773\,
	combout => \led_flash_cnt[278][2]~30774_combout\,
	cout => \led_flash_cnt[278][2]~30775\);

-- Location: FF_X57_Y18_N9
\led_flash_cnt[278][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[278][2]~30774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[278][2]~q\);

-- Location: LCCOMB_X57_Y18_N10
\led_flash_cnt[278][3]~30776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[278][3]~30776_combout\ = (\led_flash_cnt[278][3]~q\ & (\led_flash_cnt[278][2]~30775\ $ (GND))) # (!\led_flash_cnt[278][3]~q\ & (!\led_flash_cnt[278][2]~30775\ & VCC))
-- \led_flash_cnt[278][3]~30777\ = CARRY((\led_flash_cnt[278][3]~q\ & !\led_flash_cnt[278][2]~30775\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[278][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[278][2]~30775\,
	combout => \led_flash_cnt[278][3]~30776_combout\,
	cout => \led_flash_cnt[278][3]~30777\);

-- Location: FF_X57_Y18_N11
\led_flash_cnt[278][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[278][3]~30776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[278][3]~q\);

-- Location: LCCOMB_X57_Y18_N12
\led_flash_cnt[278][4]~30778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[278][4]~30778_combout\ = (\led_flash_cnt[278][4]~q\ & (!\led_flash_cnt[278][3]~30777\)) # (!\led_flash_cnt[278][4]~q\ & ((\led_flash_cnt[278][3]~30777\) # (GND)))
-- \led_flash_cnt[278][4]~30779\ = CARRY((!\led_flash_cnt[278][3]~30777\) # (!\led_flash_cnt[278][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[278][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[278][3]~30777\,
	combout => \led_flash_cnt[278][4]~30778_combout\,
	cout => \led_flash_cnt[278][4]~30779\);

-- Location: FF_X57_Y18_N13
\led_flash_cnt[278][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[278][4]~30778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[278][4]~q\);

-- Location: LCCOMB_X57_Y18_N22
\WideAnd278~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd278~0_combout\ = (\led_flash_cnt[278][4]~q\ & (\led_flash_cnt[278][3]~q\ & (\led_flash_cnt[278][2]~q\ & \led_flash_cnt[278][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[278][4]~q\,
	datab => \led_flash_cnt[278][3]~q\,
	datac => \led_flash_cnt[278][2]~q\,
	datad => \led_flash_cnt[278][1]~q\,
	combout => \WideAnd278~0_combout\);

-- Location: LCCOMB_X57_Y18_N14
\led_flash_cnt[278][5]~30780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[278][5]~30780_combout\ = (\led_flash_cnt[278][5]~q\ & (\led_flash_cnt[278][4]~30779\ $ (GND))) # (!\led_flash_cnt[278][5]~q\ & (!\led_flash_cnt[278][4]~30779\ & VCC))
-- \led_flash_cnt[278][5]~30781\ = CARRY((\led_flash_cnt[278][5]~q\ & !\led_flash_cnt[278][4]~30779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[278][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[278][4]~30779\,
	combout => \led_flash_cnt[278][5]~30780_combout\,
	cout => \led_flash_cnt[278][5]~30781\);

-- Location: FF_X57_Y18_N15
\led_flash_cnt[278][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[278][5]~30780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[278][5]~q\);

-- Location: LCCOMB_X57_Y18_N16
\led_flash_cnt[278][6]~30782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[278][6]~30782_combout\ = (\led_flash_cnt[278][6]~q\ & (!\led_flash_cnt[278][5]~30781\)) # (!\led_flash_cnt[278][6]~q\ & ((\led_flash_cnt[278][5]~30781\) # (GND)))
-- \led_flash_cnt[278][6]~30783\ = CARRY((!\led_flash_cnt[278][5]~30781\) # (!\led_flash_cnt[278][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[278][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[278][5]~30781\,
	combout => \led_flash_cnt[278][6]~30782_combout\,
	cout => \led_flash_cnt[278][6]~30783\);

-- Location: FF_X57_Y18_N17
\led_flash_cnt[278][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[278][6]~30782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[278][6]~q\);

-- Location: LCCOMB_X57_Y18_N18
\led_flash_cnt[278][7]~30784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[278][7]~30784_combout\ = \led_flash_cnt[278][6]~30783\ $ (!\led_flash_cnt[278][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[278][7]~q\,
	cin => \led_flash_cnt[278][6]~30783\,
	combout => \led_flash_cnt[278][7]~30784_combout\);

-- Location: FF_X57_Y18_N19
\led_flash_cnt[278][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[278][7]~30784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[278][7]~q\);

-- Location: LCCOMB_X57_Y18_N30
\WideAnd278~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd278~1_combout\ = (\led_flash_cnt[278][5]~q\ & \led_flash_cnt[278][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[278][5]~q\,
	datad => \led_flash_cnt[278][6]~q\,
	combout => \WideAnd278~1_combout\);

-- Location: LCCOMB_X57_Y18_N4
WideAnd278 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd278~combout\ = (\WideAnd278~0_combout\ & (\led_flash_cnt[278][7]~q\ & (\WideAnd278~1_combout\ & \led_flash_cnt[278][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd278~0_combout\,
	datab => \led_flash_cnt[278][7]~q\,
	datac => \WideAnd278~1_combout\,
	datad => \led_flash_cnt[278][0]~q\,
	combout => \WideAnd278~combout\);

-- Location: FF_X57_Y18_N5
\led_flash_cnt_ands[278]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd278~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(278));

-- Location: LCCOMB_X65_Y40_N30
\led_flash_cnt[275][0]~80915\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[275][0]~80915_combout\ = !\led_flash_cnt[275][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[275][0]~q\,
	combout => \led_flash_cnt[275][0]~80915_combout\);

-- Location: FF_X65_Y40_N31
\led_flash_cnt[275][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[275][0]~80915_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[275][0]~q\);

-- Location: LCCOMB_X65_Y40_N16
\led_flash_cnt[275][1]~30730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[275][1]~30730_combout\ = (\led_flash_cnt[275][0]~q\ & (\led_flash_cnt[275][1]~q\ $ (VCC))) # (!\led_flash_cnt[275][0]~q\ & (\led_flash_cnt[275][1]~q\ & VCC))
-- \led_flash_cnt[275][1]~30731\ = CARRY((\led_flash_cnt[275][0]~q\ & \led_flash_cnt[275][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[275][0]~q\,
	datab => \led_flash_cnt[275][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[275][1]~30730_combout\,
	cout => \led_flash_cnt[275][1]~30731\);

-- Location: FF_X65_Y40_N17
\led_flash_cnt[275][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[275][1]~30730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[275][1]~q\);

-- Location: LCCOMB_X65_Y40_N18
\led_flash_cnt[275][2]~30732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[275][2]~30732_combout\ = (\led_flash_cnt[275][2]~q\ & (!\led_flash_cnt[275][1]~30731\)) # (!\led_flash_cnt[275][2]~q\ & ((\led_flash_cnt[275][1]~30731\) # (GND)))
-- \led_flash_cnt[275][2]~30733\ = CARRY((!\led_flash_cnt[275][1]~30731\) # (!\led_flash_cnt[275][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[275][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[275][1]~30731\,
	combout => \led_flash_cnt[275][2]~30732_combout\,
	cout => \led_flash_cnt[275][2]~30733\);

-- Location: FF_X65_Y40_N19
\led_flash_cnt[275][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[275][2]~30732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[275][2]~q\);

-- Location: LCCOMB_X65_Y40_N20
\led_flash_cnt[275][3]~30734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[275][3]~30734_combout\ = (\led_flash_cnt[275][3]~q\ & (\led_flash_cnt[275][2]~30733\ $ (GND))) # (!\led_flash_cnt[275][3]~q\ & (!\led_flash_cnt[275][2]~30733\ & VCC))
-- \led_flash_cnt[275][3]~30735\ = CARRY((\led_flash_cnt[275][3]~q\ & !\led_flash_cnt[275][2]~30733\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[275][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[275][2]~30733\,
	combout => \led_flash_cnt[275][3]~30734_combout\,
	cout => \led_flash_cnt[275][3]~30735\);

-- Location: FF_X65_Y40_N21
\led_flash_cnt[275][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[275][3]~30734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[275][3]~q\);

-- Location: LCCOMB_X65_Y40_N22
\led_flash_cnt[275][4]~30736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[275][4]~30736_combout\ = (\led_flash_cnt[275][4]~q\ & (!\led_flash_cnt[275][3]~30735\)) # (!\led_flash_cnt[275][4]~q\ & ((\led_flash_cnt[275][3]~30735\) # (GND)))
-- \led_flash_cnt[275][4]~30737\ = CARRY((!\led_flash_cnt[275][3]~30735\) # (!\led_flash_cnt[275][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[275][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[275][3]~30735\,
	combout => \led_flash_cnt[275][4]~30736_combout\,
	cout => \led_flash_cnt[275][4]~30737\);

-- Location: FF_X65_Y40_N23
\led_flash_cnt[275][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[275][4]~30736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[275][4]~q\);

-- Location: LCCOMB_X65_Y40_N24
\led_flash_cnt[275][5]~30738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[275][5]~30738_combout\ = (\led_flash_cnt[275][5]~q\ & (\led_flash_cnt[275][4]~30737\ $ (GND))) # (!\led_flash_cnt[275][5]~q\ & (!\led_flash_cnt[275][4]~30737\ & VCC))
-- \led_flash_cnt[275][5]~30739\ = CARRY((\led_flash_cnt[275][5]~q\ & !\led_flash_cnt[275][4]~30737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[275][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[275][4]~30737\,
	combout => \led_flash_cnt[275][5]~30738_combout\,
	cout => \led_flash_cnt[275][5]~30739\);

-- Location: FF_X65_Y40_N25
\led_flash_cnt[275][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[275][5]~30738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[275][5]~q\);

-- Location: LCCOMB_X65_Y40_N26
\led_flash_cnt[275][6]~30740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[275][6]~30740_combout\ = (\led_flash_cnt[275][6]~q\ & (!\led_flash_cnt[275][5]~30739\)) # (!\led_flash_cnt[275][6]~q\ & ((\led_flash_cnt[275][5]~30739\) # (GND)))
-- \led_flash_cnt[275][6]~30741\ = CARRY((!\led_flash_cnt[275][5]~30739\) # (!\led_flash_cnt[275][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[275][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[275][5]~30739\,
	combout => \led_flash_cnt[275][6]~30740_combout\,
	cout => \led_flash_cnt[275][6]~30741\);

-- Location: FF_X65_Y40_N27
\led_flash_cnt[275][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[275][6]~30740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[275][6]~q\);

-- Location: LCCOMB_X65_Y40_N28
\led_flash_cnt[275][7]~30742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[275][7]~30742_combout\ = \led_flash_cnt[275][6]~30741\ $ (!\led_flash_cnt[275][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[275][7]~q\,
	cin => \led_flash_cnt[275][6]~30741\,
	combout => \led_flash_cnt[275][7]~30742_combout\);

-- Location: FF_X65_Y40_N29
\led_flash_cnt[275][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[275][7]~30742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[275][7]~q\);

-- Location: LCCOMB_X65_Y40_N4
\WideAnd275~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd275~1_combout\ = (\led_flash_cnt[275][6]~q\ & \led_flash_cnt[275][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[275][6]~q\,
	datad => \led_flash_cnt[275][5]~q\,
	combout => \WideAnd275~1_combout\);

-- Location: LCCOMB_X65_Y40_N12
\WideAnd275~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd275~0_combout\ = (\led_flash_cnt[275][3]~q\ & (\led_flash_cnt[275][2]~q\ & (\led_flash_cnt[275][4]~q\ & \led_flash_cnt[275][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[275][3]~q\,
	datab => \led_flash_cnt[275][2]~q\,
	datac => \led_flash_cnt[275][4]~q\,
	datad => \led_flash_cnt[275][1]~q\,
	combout => \WideAnd275~0_combout\);

-- Location: LCCOMB_X65_Y40_N0
WideAnd275 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd275~combout\ = (\led_flash_cnt[275][0]~q\ & (\led_flash_cnt[275][7]~q\ & (\WideAnd275~1_combout\ & \WideAnd275~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[275][0]~q\,
	datab => \led_flash_cnt[275][7]~q\,
	datac => \WideAnd275~1_combout\,
	datad => \WideAnd275~0_combout\,
	combout => \WideAnd275~combout\);

-- Location: FF_X65_Y40_N1
\led_flash_cnt_ands[275]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd275~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(275));

-- Location: LCCOMB_X61_Y41_N18
\led_flash_cnt[274][0]~80914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[274][0]~80914_combout\ = !\led_flash_cnt[274][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[274][0]~q\,
	combout => \led_flash_cnt[274][0]~80914_combout\);

-- Location: FF_X61_Y41_N19
\led_flash_cnt[274][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[274][0]~80914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[274][0]~q\);

-- Location: LCCOMB_X61_Y41_N0
\led_flash_cnt[274][1]~30716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[274][1]~30716_combout\ = (\led_flash_cnt[274][1]~q\ & (\led_flash_cnt[274][0]~q\ $ (VCC))) # (!\led_flash_cnt[274][1]~q\ & (\led_flash_cnt[274][0]~q\ & VCC))
-- \led_flash_cnt[274][1]~30717\ = CARRY((\led_flash_cnt[274][1]~q\ & \led_flash_cnt[274][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[274][1]~q\,
	datab => \led_flash_cnt[274][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[274][1]~30716_combout\,
	cout => \led_flash_cnt[274][1]~30717\);

-- Location: FF_X61_Y41_N1
\led_flash_cnt[274][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[274][1]~30716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[274][1]~q\);

-- Location: LCCOMB_X61_Y41_N2
\led_flash_cnt[274][2]~30718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[274][2]~30718_combout\ = (\led_flash_cnt[274][2]~q\ & (!\led_flash_cnt[274][1]~30717\)) # (!\led_flash_cnt[274][2]~q\ & ((\led_flash_cnt[274][1]~30717\) # (GND)))
-- \led_flash_cnt[274][2]~30719\ = CARRY((!\led_flash_cnt[274][1]~30717\) # (!\led_flash_cnt[274][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[274][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[274][1]~30717\,
	combout => \led_flash_cnt[274][2]~30718_combout\,
	cout => \led_flash_cnt[274][2]~30719\);

-- Location: FF_X61_Y41_N3
\led_flash_cnt[274][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[274][2]~30718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[274][2]~q\);

-- Location: LCCOMB_X61_Y41_N4
\led_flash_cnt[274][3]~30720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[274][3]~30720_combout\ = (\led_flash_cnt[274][3]~q\ & (\led_flash_cnt[274][2]~30719\ $ (GND))) # (!\led_flash_cnt[274][3]~q\ & (!\led_flash_cnt[274][2]~30719\ & VCC))
-- \led_flash_cnt[274][3]~30721\ = CARRY((\led_flash_cnt[274][3]~q\ & !\led_flash_cnt[274][2]~30719\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[274][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[274][2]~30719\,
	combout => \led_flash_cnt[274][3]~30720_combout\,
	cout => \led_flash_cnt[274][3]~30721\);

-- Location: FF_X61_Y41_N5
\led_flash_cnt[274][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[274][3]~30720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[274][3]~q\);

-- Location: LCCOMB_X61_Y41_N6
\led_flash_cnt[274][4]~30722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[274][4]~30722_combout\ = (\led_flash_cnt[274][4]~q\ & (!\led_flash_cnt[274][3]~30721\)) # (!\led_flash_cnt[274][4]~q\ & ((\led_flash_cnt[274][3]~30721\) # (GND)))
-- \led_flash_cnt[274][4]~30723\ = CARRY((!\led_flash_cnt[274][3]~30721\) # (!\led_flash_cnt[274][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[274][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[274][3]~30721\,
	combout => \led_flash_cnt[274][4]~30722_combout\,
	cout => \led_flash_cnt[274][4]~30723\);

-- Location: FF_X61_Y41_N7
\led_flash_cnt[274][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[274][4]~30722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[274][4]~q\);

-- Location: LCCOMB_X61_Y41_N22
\WideAnd274~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd274~0_combout\ = (\led_flash_cnt[274][4]~q\ & (\led_flash_cnt[274][1]~q\ & (\led_flash_cnt[274][3]~q\ & \led_flash_cnt[274][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[274][4]~q\,
	datab => \led_flash_cnt[274][1]~q\,
	datac => \led_flash_cnt[274][3]~q\,
	datad => \led_flash_cnt[274][2]~q\,
	combout => \WideAnd274~0_combout\);

-- Location: LCCOMB_X61_Y41_N8
\led_flash_cnt[274][5]~30724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[274][5]~30724_combout\ = (\led_flash_cnt[274][5]~q\ & (\led_flash_cnt[274][4]~30723\ $ (GND))) # (!\led_flash_cnt[274][5]~q\ & (!\led_flash_cnt[274][4]~30723\ & VCC))
-- \led_flash_cnt[274][5]~30725\ = CARRY((\led_flash_cnt[274][5]~q\ & !\led_flash_cnt[274][4]~30723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[274][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[274][4]~30723\,
	combout => \led_flash_cnt[274][5]~30724_combout\,
	cout => \led_flash_cnt[274][5]~30725\);

-- Location: FF_X61_Y41_N9
\led_flash_cnt[274][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[274][5]~30724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[274][5]~q\);

-- Location: LCCOMB_X61_Y41_N10
\led_flash_cnt[274][6]~30726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[274][6]~30726_combout\ = (\led_flash_cnt[274][6]~q\ & (!\led_flash_cnt[274][5]~30725\)) # (!\led_flash_cnt[274][6]~q\ & ((\led_flash_cnt[274][5]~30725\) # (GND)))
-- \led_flash_cnt[274][6]~30727\ = CARRY((!\led_flash_cnt[274][5]~30725\) # (!\led_flash_cnt[274][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[274][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[274][5]~30725\,
	combout => \led_flash_cnt[274][6]~30726_combout\,
	cout => \led_flash_cnt[274][6]~30727\);

-- Location: FF_X61_Y41_N11
\led_flash_cnt[274][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[274][6]~30726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[274][6]~q\);

-- Location: LCCOMB_X61_Y41_N14
\WideAnd274~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd274~1_combout\ = (\led_flash_cnt[274][5]~q\ & \led_flash_cnt[274][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[274][5]~q\,
	datad => \led_flash_cnt[274][6]~q\,
	combout => \WideAnd274~1_combout\);

-- Location: LCCOMB_X61_Y41_N12
\led_flash_cnt[274][7]~30728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[274][7]~30728_combout\ = \led_flash_cnt[274][6]~30727\ $ (!\led_flash_cnt[274][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[274][7]~q\,
	cin => \led_flash_cnt[274][6]~30727\,
	combout => \led_flash_cnt[274][7]~30728_combout\);

-- Location: FF_X61_Y41_N13
\led_flash_cnt[274][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[274][7]~30728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[274][7]~q\);

-- Location: LCCOMB_X61_Y41_N16
WideAnd274 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd274~combout\ = (\WideAnd274~0_combout\ & (\led_flash_cnt[274][0]~q\ & (\WideAnd274~1_combout\ & \led_flash_cnt[274][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd274~0_combout\,
	datab => \led_flash_cnt[274][0]~q\,
	datac => \WideAnd274~1_combout\,
	datad => \led_flash_cnt[274][7]~q\,
	combout => \WideAnd274~combout\);

-- Location: FF_X61_Y41_N17
\led_flash_cnt_ands[274]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd274~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(274));

-- Location: LCCOMB_X55_Y38_N10
\led_flash_cnt[273][0]~80913\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[273][0]~80913_combout\ = !\led_flash_cnt[273][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[273][0]~q\,
	combout => \led_flash_cnt[273][0]~80913_combout\);

-- Location: FF_X55_Y38_N11
\led_flash_cnt[273][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[273][0]~80913_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[273][0]~q\);

-- Location: LCCOMB_X55_Y38_N14
\led_flash_cnt[273][1]~30702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[273][1]~30702_combout\ = (\led_flash_cnt[273][0]~q\ & (\led_flash_cnt[273][1]~q\ $ (VCC))) # (!\led_flash_cnt[273][0]~q\ & (\led_flash_cnt[273][1]~q\ & VCC))
-- \led_flash_cnt[273][1]~30703\ = CARRY((\led_flash_cnt[273][0]~q\ & \led_flash_cnt[273][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[273][0]~q\,
	datab => \led_flash_cnt[273][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[273][1]~30702_combout\,
	cout => \led_flash_cnt[273][1]~30703\);

-- Location: FF_X55_Y38_N15
\led_flash_cnt[273][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[273][1]~30702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[273][1]~q\);

-- Location: LCCOMB_X55_Y38_N16
\led_flash_cnt[273][2]~30704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[273][2]~30704_combout\ = (\led_flash_cnt[273][2]~q\ & (!\led_flash_cnt[273][1]~30703\)) # (!\led_flash_cnt[273][2]~q\ & ((\led_flash_cnt[273][1]~30703\) # (GND)))
-- \led_flash_cnt[273][2]~30705\ = CARRY((!\led_flash_cnt[273][1]~30703\) # (!\led_flash_cnt[273][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[273][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[273][1]~30703\,
	combout => \led_flash_cnt[273][2]~30704_combout\,
	cout => \led_flash_cnt[273][2]~30705\);

-- Location: FF_X55_Y38_N17
\led_flash_cnt[273][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[273][2]~30704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[273][2]~q\);

-- Location: LCCOMB_X55_Y38_N18
\led_flash_cnt[273][3]~30706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[273][3]~30706_combout\ = (\led_flash_cnt[273][3]~q\ & (\led_flash_cnt[273][2]~30705\ $ (GND))) # (!\led_flash_cnt[273][3]~q\ & (!\led_flash_cnt[273][2]~30705\ & VCC))
-- \led_flash_cnt[273][3]~30707\ = CARRY((\led_flash_cnt[273][3]~q\ & !\led_flash_cnt[273][2]~30705\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[273][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[273][2]~30705\,
	combout => \led_flash_cnt[273][3]~30706_combout\,
	cout => \led_flash_cnt[273][3]~30707\);

-- Location: FF_X55_Y38_N19
\led_flash_cnt[273][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[273][3]~30706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[273][3]~q\);

-- Location: LCCOMB_X55_Y38_N20
\led_flash_cnt[273][4]~30708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[273][4]~30708_combout\ = (\led_flash_cnt[273][4]~q\ & (!\led_flash_cnt[273][3]~30707\)) # (!\led_flash_cnt[273][4]~q\ & ((\led_flash_cnt[273][3]~30707\) # (GND)))
-- \led_flash_cnt[273][4]~30709\ = CARRY((!\led_flash_cnt[273][3]~30707\) # (!\led_flash_cnt[273][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[273][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[273][3]~30707\,
	combout => \led_flash_cnt[273][4]~30708_combout\,
	cout => \led_flash_cnt[273][4]~30709\);

-- Location: FF_X55_Y38_N21
\led_flash_cnt[273][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[273][4]~30708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[273][4]~q\);

-- Location: LCCOMB_X55_Y38_N22
\led_flash_cnt[273][5]~30710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[273][5]~30710_combout\ = (\led_flash_cnt[273][5]~q\ & (\led_flash_cnt[273][4]~30709\ $ (GND))) # (!\led_flash_cnt[273][5]~q\ & (!\led_flash_cnt[273][4]~30709\ & VCC))
-- \led_flash_cnt[273][5]~30711\ = CARRY((\led_flash_cnt[273][5]~q\ & !\led_flash_cnt[273][4]~30709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[273][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[273][4]~30709\,
	combout => \led_flash_cnt[273][5]~30710_combout\,
	cout => \led_flash_cnt[273][5]~30711\);

-- Location: FF_X55_Y38_N23
\led_flash_cnt[273][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[273][5]~30710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[273][5]~q\);

-- Location: LCCOMB_X55_Y38_N24
\led_flash_cnt[273][6]~30712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[273][6]~30712_combout\ = (\led_flash_cnt[273][6]~q\ & (!\led_flash_cnt[273][5]~30711\)) # (!\led_flash_cnt[273][6]~q\ & ((\led_flash_cnt[273][5]~30711\) # (GND)))
-- \led_flash_cnt[273][6]~30713\ = CARRY((!\led_flash_cnt[273][5]~30711\) # (!\led_flash_cnt[273][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[273][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[273][5]~30711\,
	combout => \led_flash_cnt[273][6]~30712_combout\,
	cout => \led_flash_cnt[273][6]~30713\);

-- Location: FF_X55_Y38_N25
\led_flash_cnt[273][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[273][6]~30712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[273][6]~q\);

-- Location: LCCOMB_X55_Y38_N30
\WideAnd273~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd273~1_combout\ = (\led_flash_cnt[273][5]~q\ & \led_flash_cnt[273][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[273][5]~q\,
	datad => \led_flash_cnt[273][6]~q\,
	combout => \WideAnd273~1_combout\);

-- Location: LCCOMB_X55_Y38_N28
\WideAnd273~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd273~0_combout\ = (\led_flash_cnt[273][3]~q\ & (\led_flash_cnt[273][4]~q\ & (\led_flash_cnt[273][1]~q\ & \led_flash_cnt[273][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[273][3]~q\,
	datab => \led_flash_cnt[273][4]~q\,
	datac => \led_flash_cnt[273][1]~q\,
	datad => \led_flash_cnt[273][2]~q\,
	combout => \WideAnd273~0_combout\);

-- Location: LCCOMB_X55_Y38_N26
\led_flash_cnt[273][7]~30714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[273][7]~30714_combout\ = \led_flash_cnt[273][7]~q\ $ (!\led_flash_cnt[273][6]~30713\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[273][7]~q\,
	cin => \led_flash_cnt[273][6]~30713\,
	combout => \led_flash_cnt[273][7]~30714_combout\);

-- Location: FF_X55_Y38_N27
\led_flash_cnt[273][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[273][7]~30714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[273][7]~q\);

-- Location: LCCOMB_X55_Y38_N4
WideAnd273 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd273~combout\ = (\WideAnd273~1_combout\ & (\WideAnd273~0_combout\ & (\led_flash_cnt[273][7]~q\ & \led_flash_cnt[273][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd273~1_combout\,
	datab => \WideAnd273~0_combout\,
	datac => \led_flash_cnt[273][7]~q\,
	datad => \led_flash_cnt[273][0]~q\,
	combout => \WideAnd273~combout\);

-- Location: FF_X55_Y38_N5
\led_flash_cnt_ands[273]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd273~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(273));

-- Location: LCCOMB_X61_Y41_N24
\led_flash_cnt[272][0]~80912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[272][0]~80912_combout\ = !\led_flash_cnt[272][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[272][0]~q\,
	combout => \led_flash_cnt[272][0]~80912_combout\);

-- Location: FF_X61_Y41_N25
\led_flash_cnt[272][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[272][0]~80912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[272][0]~q\);

-- Location: LCCOMB_X62_Y41_N18
\led_flash_cnt[272][1]~30688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[272][1]~30688_combout\ = (\led_flash_cnt[272][0]~q\ & (\led_flash_cnt[272][1]~q\ $ (VCC))) # (!\led_flash_cnt[272][0]~q\ & (\led_flash_cnt[272][1]~q\ & VCC))
-- \led_flash_cnt[272][1]~30689\ = CARRY((\led_flash_cnt[272][0]~q\ & \led_flash_cnt[272][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[272][0]~q\,
	datab => \led_flash_cnt[272][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[272][1]~30688_combout\,
	cout => \led_flash_cnt[272][1]~30689\);

-- Location: FF_X62_Y41_N19
\led_flash_cnt[272][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[272][1]~30688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[272][1]~q\);

-- Location: LCCOMB_X62_Y41_N20
\led_flash_cnt[272][2]~30690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[272][2]~30690_combout\ = (\led_flash_cnt[272][2]~q\ & (!\led_flash_cnt[272][1]~30689\)) # (!\led_flash_cnt[272][2]~q\ & ((\led_flash_cnt[272][1]~30689\) # (GND)))
-- \led_flash_cnt[272][2]~30691\ = CARRY((!\led_flash_cnt[272][1]~30689\) # (!\led_flash_cnt[272][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[272][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[272][1]~30689\,
	combout => \led_flash_cnt[272][2]~30690_combout\,
	cout => \led_flash_cnt[272][2]~30691\);

-- Location: FF_X62_Y41_N21
\led_flash_cnt[272][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[272][2]~30690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[272][2]~q\);

-- Location: LCCOMB_X62_Y41_N22
\led_flash_cnt[272][3]~30692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[272][3]~30692_combout\ = (\led_flash_cnt[272][3]~q\ & (\led_flash_cnt[272][2]~30691\ $ (GND))) # (!\led_flash_cnt[272][3]~q\ & (!\led_flash_cnt[272][2]~30691\ & VCC))
-- \led_flash_cnt[272][3]~30693\ = CARRY((\led_flash_cnt[272][3]~q\ & !\led_flash_cnt[272][2]~30691\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[272][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[272][2]~30691\,
	combout => \led_flash_cnt[272][3]~30692_combout\,
	cout => \led_flash_cnt[272][3]~30693\);

-- Location: FF_X62_Y41_N23
\led_flash_cnt[272][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[272][3]~30692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[272][3]~q\);

-- Location: LCCOMB_X62_Y41_N24
\led_flash_cnt[272][4]~30694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[272][4]~30694_combout\ = (\led_flash_cnt[272][4]~q\ & (!\led_flash_cnt[272][3]~30693\)) # (!\led_flash_cnt[272][4]~q\ & ((\led_flash_cnt[272][3]~30693\) # (GND)))
-- \led_flash_cnt[272][4]~30695\ = CARRY((!\led_flash_cnt[272][3]~30693\) # (!\led_flash_cnt[272][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[272][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[272][3]~30693\,
	combout => \led_flash_cnt[272][4]~30694_combout\,
	cout => \led_flash_cnt[272][4]~30695\);

-- Location: FF_X62_Y41_N25
\led_flash_cnt[272][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[272][4]~30694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[272][4]~q\);

-- Location: LCCOMB_X62_Y41_N26
\led_flash_cnt[272][5]~30696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[272][5]~30696_combout\ = (\led_flash_cnt[272][5]~q\ & (\led_flash_cnt[272][4]~30695\ $ (GND))) # (!\led_flash_cnt[272][5]~q\ & (!\led_flash_cnt[272][4]~30695\ & VCC))
-- \led_flash_cnt[272][5]~30697\ = CARRY((\led_flash_cnt[272][5]~q\ & !\led_flash_cnt[272][4]~30695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[272][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[272][4]~30695\,
	combout => \led_flash_cnt[272][5]~30696_combout\,
	cout => \led_flash_cnt[272][5]~30697\);

-- Location: FF_X62_Y41_N27
\led_flash_cnt[272][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[272][5]~30696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[272][5]~q\);

-- Location: LCCOMB_X62_Y41_N28
\led_flash_cnt[272][6]~30698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[272][6]~30698_combout\ = (\led_flash_cnt[272][6]~q\ & (!\led_flash_cnt[272][5]~30697\)) # (!\led_flash_cnt[272][6]~q\ & ((\led_flash_cnt[272][5]~30697\) # (GND)))
-- \led_flash_cnt[272][6]~30699\ = CARRY((!\led_flash_cnt[272][5]~30697\) # (!\led_flash_cnt[272][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[272][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[272][5]~30697\,
	combout => \led_flash_cnt[272][6]~30698_combout\,
	cout => \led_flash_cnt[272][6]~30699\);

-- Location: FF_X62_Y41_N29
\led_flash_cnt[272][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[272][6]~30698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[272][6]~q\);

-- Location: LCCOMB_X61_Y41_N26
\WideAnd272~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd272~1_combout\ = (\led_flash_cnt[272][5]~q\ & \led_flash_cnt[272][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[272][5]~q\,
	datad => \led_flash_cnt[272][6]~q\,
	combout => \WideAnd272~1_combout\);

-- Location: LCCOMB_X62_Y41_N30
\led_flash_cnt[272][7]~30700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[272][7]~30700_combout\ = \led_flash_cnt[272][7]~q\ $ (!\led_flash_cnt[272][6]~30699\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[272][7]~q\,
	cin => \led_flash_cnt[272][6]~30699\,
	combout => \led_flash_cnt[272][7]~30700_combout\);

-- Location: FF_X62_Y41_N31
\led_flash_cnt[272][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[272][7]~30700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[272][7]~q\);

-- Location: LCCOMB_X62_Y41_N16
\WideAnd272~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd272~0_combout\ = (\led_flash_cnt[272][4]~q\ & (\led_flash_cnt[272][2]~q\ & (\led_flash_cnt[272][3]~q\ & \led_flash_cnt[272][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[272][4]~q\,
	datab => \led_flash_cnt[272][2]~q\,
	datac => \led_flash_cnt[272][3]~q\,
	datad => \led_flash_cnt[272][1]~q\,
	combout => \WideAnd272~0_combout\);

-- Location: LCCOMB_X61_Y41_N20
WideAnd272 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd272~combout\ = (\WideAnd272~1_combout\ & (\led_flash_cnt[272][0]~q\ & (\led_flash_cnt[272][7]~q\ & \WideAnd272~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd272~1_combout\,
	datab => \led_flash_cnt[272][0]~q\,
	datac => \led_flash_cnt[272][7]~q\,
	datad => \WideAnd272~0_combout\,
	combout => \WideAnd272~combout\);

-- Location: FF_X61_Y41_N21
\led_flash_cnt_ands[272]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd272~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(272));

-- Location: LCCOMB_X61_Y41_N30
\WideAnd3874~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3874~0_combout\ = (led_flash_cnt_ands(275) & (led_flash_cnt_ands(274) & (led_flash_cnt_ands(273) & led_flash_cnt_ands(272))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(275),
	datab => led_flash_cnt_ands(274),
	datac => led_flash_cnt_ands(273),
	datad => led_flash_cnt_ands(272),
	combout => \WideAnd3874~0_combout\);

-- Location: LCCOMB_X57_Y18_N26
\led_flash_cnt[279][0]~80919\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[279][0]~80919_combout\ = !\led_flash_cnt[279][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[279][0]~q\,
	combout => \led_flash_cnt[279][0]~80919_combout\);

-- Location: FF_X57_Y18_N27
\led_flash_cnt[279][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[279][0]~80919_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[279][0]~q\);

-- Location: LCCOMB_X57_Y16_N16
\led_flash_cnt[279][1]~30786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[279][1]~30786_combout\ = (\led_flash_cnt[279][0]~q\ & (\led_flash_cnt[279][1]~q\ $ (VCC))) # (!\led_flash_cnt[279][0]~q\ & (\led_flash_cnt[279][1]~q\ & VCC))
-- \led_flash_cnt[279][1]~30787\ = CARRY((\led_flash_cnt[279][0]~q\ & \led_flash_cnt[279][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[279][0]~q\,
	datab => \led_flash_cnt[279][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[279][1]~30786_combout\,
	cout => \led_flash_cnt[279][1]~30787\);

-- Location: FF_X57_Y16_N17
\led_flash_cnt[279][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[279][1]~30786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[279][1]~q\);

-- Location: LCCOMB_X57_Y16_N18
\led_flash_cnt[279][2]~30788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[279][2]~30788_combout\ = (\led_flash_cnt[279][2]~q\ & (!\led_flash_cnt[279][1]~30787\)) # (!\led_flash_cnt[279][2]~q\ & ((\led_flash_cnt[279][1]~30787\) # (GND)))
-- \led_flash_cnt[279][2]~30789\ = CARRY((!\led_flash_cnt[279][1]~30787\) # (!\led_flash_cnt[279][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[279][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[279][1]~30787\,
	combout => \led_flash_cnt[279][2]~30788_combout\,
	cout => \led_flash_cnt[279][2]~30789\);

-- Location: FF_X57_Y16_N19
\led_flash_cnt[279][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[279][2]~30788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[279][2]~q\);

-- Location: LCCOMB_X57_Y16_N20
\led_flash_cnt[279][3]~30790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[279][3]~30790_combout\ = (\led_flash_cnt[279][3]~q\ & (\led_flash_cnt[279][2]~30789\ $ (GND))) # (!\led_flash_cnt[279][3]~q\ & (!\led_flash_cnt[279][2]~30789\ & VCC))
-- \led_flash_cnt[279][3]~30791\ = CARRY((\led_flash_cnt[279][3]~q\ & !\led_flash_cnt[279][2]~30789\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[279][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[279][2]~30789\,
	combout => \led_flash_cnt[279][3]~30790_combout\,
	cout => \led_flash_cnt[279][3]~30791\);

-- Location: FF_X57_Y16_N21
\led_flash_cnt[279][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[279][3]~30790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[279][3]~q\);

-- Location: LCCOMB_X57_Y16_N22
\led_flash_cnt[279][4]~30792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[279][4]~30792_combout\ = (\led_flash_cnt[279][4]~q\ & (!\led_flash_cnt[279][3]~30791\)) # (!\led_flash_cnt[279][4]~q\ & ((\led_flash_cnt[279][3]~30791\) # (GND)))
-- \led_flash_cnt[279][4]~30793\ = CARRY((!\led_flash_cnt[279][3]~30791\) # (!\led_flash_cnt[279][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[279][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[279][3]~30791\,
	combout => \led_flash_cnt[279][4]~30792_combout\,
	cout => \led_flash_cnt[279][4]~30793\);

-- Location: FF_X57_Y16_N23
\led_flash_cnt[279][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[279][4]~30792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[279][4]~q\);

-- Location: LCCOMB_X57_Y16_N24
\led_flash_cnt[279][5]~30794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[279][5]~30794_combout\ = (\led_flash_cnt[279][5]~q\ & (\led_flash_cnt[279][4]~30793\ $ (GND))) # (!\led_flash_cnt[279][5]~q\ & (!\led_flash_cnt[279][4]~30793\ & VCC))
-- \led_flash_cnt[279][5]~30795\ = CARRY((\led_flash_cnt[279][5]~q\ & !\led_flash_cnt[279][4]~30793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[279][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[279][4]~30793\,
	combout => \led_flash_cnt[279][5]~30794_combout\,
	cout => \led_flash_cnt[279][5]~30795\);

-- Location: FF_X57_Y16_N25
\led_flash_cnt[279][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[279][5]~30794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[279][5]~q\);

-- Location: LCCOMB_X57_Y16_N26
\led_flash_cnt[279][6]~30796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[279][6]~30796_combout\ = (\led_flash_cnt[279][6]~q\ & (!\led_flash_cnt[279][5]~30795\)) # (!\led_flash_cnt[279][6]~q\ & ((\led_flash_cnt[279][5]~30795\) # (GND)))
-- \led_flash_cnt[279][6]~30797\ = CARRY((!\led_flash_cnt[279][5]~30795\) # (!\led_flash_cnt[279][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[279][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[279][5]~30795\,
	combout => \led_flash_cnt[279][6]~30796_combout\,
	cout => \led_flash_cnt[279][6]~30797\);

-- Location: FF_X57_Y16_N27
\led_flash_cnt[279][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[279][6]~30796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[279][6]~q\);

-- Location: LCCOMB_X57_Y16_N28
\led_flash_cnt[279][7]~30798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[279][7]~30798_combout\ = \led_flash_cnt[279][6]~30797\ $ (!\led_flash_cnt[279][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[279][7]~q\,
	cin => \led_flash_cnt[279][6]~30797\,
	combout => \led_flash_cnt[279][7]~30798_combout\);

-- Location: FF_X57_Y16_N29
\led_flash_cnt[279][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[279][7]~30798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[279][7]~q\);

-- Location: LCCOMB_X57_Y16_N14
\WideAnd279~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd279~0_combout\ = (\led_flash_cnt[279][1]~q\ & (\led_flash_cnt[279][3]~q\ & (\led_flash_cnt[279][4]~q\ & \led_flash_cnt[279][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[279][1]~q\,
	datab => \led_flash_cnt[279][3]~q\,
	datac => \led_flash_cnt[279][4]~q\,
	datad => \led_flash_cnt[279][2]~q\,
	combout => \WideAnd279~0_combout\);

-- Location: LCCOMB_X57_Y16_N30
\WideAnd279~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd279~1_combout\ = (\led_flash_cnt[279][6]~q\ & \led_flash_cnt[279][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[279][6]~q\,
	datad => \led_flash_cnt[279][5]~q\,
	combout => \WideAnd279~1_combout\);

-- Location: LCCOMB_X57_Y20_N28
WideAnd279 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd279~combout\ = (\led_flash_cnt[279][7]~q\ & (\led_flash_cnt[279][0]~q\ & (\WideAnd279~0_combout\ & \WideAnd279~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[279][7]~q\,
	datab => \led_flash_cnt[279][0]~q\,
	datac => \WideAnd279~0_combout\,
	datad => \WideAnd279~1_combout\,
	combout => \WideAnd279~combout\);

-- Location: FF_X57_Y20_N29
\led_flash_cnt_ands[279]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd279~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(279));

-- Location: LCCOMB_X20_Y28_N2
\led_flash_cnt[277][0]~80917\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[277][0]~80917_combout\ = !\led_flash_cnt[277][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[277][0]~q\,
	combout => \led_flash_cnt[277][0]~80917_combout\);

-- Location: FF_X20_Y28_N3
\led_flash_cnt[277][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[277][0]~80917_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[277][0]~q\);

-- Location: LCCOMB_X19_Y28_N2
\led_flash_cnt[277][1]~30758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[277][1]~30758_combout\ = (\led_flash_cnt[277][0]~q\ & (\led_flash_cnt[277][1]~q\ $ (VCC))) # (!\led_flash_cnt[277][0]~q\ & (\led_flash_cnt[277][1]~q\ & VCC))
-- \led_flash_cnt[277][1]~30759\ = CARRY((\led_flash_cnt[277][0]~q\ & \led_flash_cnt[277][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[277][0]~q\,
	datab => \led_flash_cnt[277][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[277][1]~30758_combout\,
	cout => \led_flash_cnt[277][1]~30759\);

-- Location: FF_X19_Y28_N3
\led_flash_cnt[277][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[277][1]~30758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[277][1]~q\);

-- Location: LCCOMB_X19_Y28_N4
\led_flash_cnt[277][2]~30760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[277][2]~30760_combout\ = (\led_flash_cnt[277][2]~q\ & (!\led_flash_cnt[277][1]~30759\)) # (!\led_flash_cnt[277][2]~q\ & ((\led_flash_cnt[277][1]~30759\) # (GND)))
-- \led_flash_cnt[277][2]~30761\ = CARRY((!\led_flash_cnt[277][1]~30759\) # (!\led_flash_cnt[277][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[277][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[277][1]~30759\,
	combout => \led_flash_cnt[277][2]~30760_combout\,
	cout => \led_flash_cnt[277][2]~30761\);

-- Location: FF_X19_Y28_N5
\led_flash_cnt[277][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[277][2]~30760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[277][2]~q\);

-- Location: LCCOMB_X19_Y28_N6
\led_flash_cnt[277][3]~30762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[277][3]~30762_combout\ = (\led_flash_cnt[277][3]~q\ & (\led_flash_cnt[277][2]~30761\ $ (GND))) # (!\led_flash_cnt[277][3]~q\ & (!\led_flash_cnt[277][2]~30761\ & VCC))
-- \led_flash_cnt[277][3]~30763\ = CARRY((\led_flash_cnt[277][3]~q\ & !\led_flash_cnt[277][2]~30761\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[277][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[277][2]~30761\,
	combout => \led_flash_cnt[277][3]~30762_combout\,
	cout => \led_flash_cnt[277][3]~30763\);

-- Location: FF_X19_Y28_N7
\led_flash_cnt[277][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[277][3]~30762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[277][3]~q\);

-- Location: LCCOMB_X19_Y28_N8
\led_flash_cnt[277][4]~30764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[277][4]~30764_combout\ = (\led_flash_cnt[277][4]~q\ & (!\led_flash_cnt[277][3]~30763\)) # (!\led_flash_cnt[277][4]~q\ & ((\led_flash_cnt[277][3]~30763\) # (GND)))
-- \led_flash_cnt[277][4]~30765\ = CARRY((!\led_flash_cnt[277][3]~30763\) # (!\led_flash_cnt[277][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[277][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[277][3]~30763\,
	combout => \led_flash_cnt[277][4]~30764_combout\,
	cout => \led_flash_cnt[277][4]~30765\);

-- Location: FF_X19_Y28_N9
\led_flash_cnt[277][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[277][4]~30764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[277][4]~q\);

-- Location: LCCOMB_X19_Y28_N10
\led_flash_cnt[277][5]~30766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[277][5]~30766_combout\ = (\led_flash_cnt[277][5]~q\ & (\led_flash_cnt[277][4]~30765\ $ (GND))) # (!\led_flash_cnt[277][5]~q\ & (!\led_flash_cnt[277][4]~30765\ & VCC))
-- \led_flash_cnt[277][5]~30767\ = CARRY((\led_flash_cnt[277][5]~q\ & !\led_flash_cnt[277][4]~30765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[277][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[277][4]~30765\,
	combout => \led_flash_cnt[277][5]~30766_combout\,
	cout => \led_flash_cnt[277][5]~30767\);

-- Location: FF_X19_Y28_N11
\led_flash_cnt[277][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[277][5]~30766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[277][5]~q\);

-- Location: LCCOMB_X19_Y28_N12
\led_flash_cnt[277][6]~30768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[277][6]~30768_combout\ = (\led_flash_cnt[277][6]~q\ & (!\led_flash_cnt[277][5]~30767\)) # (!\led_flash_cnt[277][6]~q\ & ((\led_flash_cnt[277][5]~30767\) # (GND)))
-- \led_flash_cnt[277][6]~30769\ = CARRY((!\led_flash_cnt[277][5]~30767\) # (!\led_flash_cnt[277][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[277][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[277][5]~30767\,
	combout => \led_flash_cnt[277][6]~30768_combout\,
	cout => \led_flash_cnt[277][6]~30769\);

-- Location: FF_X19_Y28_N13
\led_flash_cnt[277][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[277][6]~30768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[277][6]~q\);

-- Location: LCCOMB_X19_Y28_N14
\led_flash_cnt[277][7]~30770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[277][7]~30770_combout\ = \led_flash_cnt[277][7]~q\ $ (!\led_flash_cnt[277][6]~30769\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[277][7]~q\,
	cin => \led_flash_cnt[277][6]~30769\,
	combout => \led_flash_cnt[277][7]~30770_combout\);

-- Location: FF_X19_Y28_N15
\led_flash_cnt[277][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[277][7]~30770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[277][7]~q\);

-- Location: LCCOMB_X19_Y28_N30
\WideAnd277~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd277~0_combout\ = (\led_flash_cnt[277][3]~q\ & (\led_flash_cnt[277][4]~q\ & (\led_flash_cnt[277][2]~q\ & \led_flash_cnt[277][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[277][3]~q\,
	datab => \led_flash_cnt[277][4]~q\,
	datac => \led_flash_cnt[277][2]~q\,
	datad => \led_flash_cnt[277][1]~q\,
	combout => \WideAnd277~0_combout\);

-- Location: LCCOMB_X20_Y28_N22
\WideAnd277~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd277~1_combout\ = (\led_flash_cnt[277][6]~q\ & \led_flash_cnt[277][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[277][6]~q\,
	datad => \led_flash_cnt[277][5]~q\,
	combout => \WideAnd277~1_combout\);

-- Location: LCCOMB_X20_Y28_N30
WideAnd277 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd277~combout\ = (\led_flash_cnt[277][7]~q\ & (\WideAnd277~0_combout\ & (\WideAnd277~1_combout\ & \led_flash_cnt[277][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[277][7]~q\,
	datab => \WideAnd277~0_combout\,
	datac => \WideAnd277~1_combout\,
	datad => \led_flash_cnt[277][0]~q\,
	combout => \WideAnd277~combout\);

-- Location: FF_X20_Y28_N31
\led_flash_cnt_ands[277]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd277~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(277));

-- Location: LCCOMB_X20_Y28_N26
\led_flash_cnt[276][0]~80916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[276][0]~80916_combout\ = !\led_flash_cnt[276][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[276][0]~q\,
	combout => \led_flash_cnt[276][0]~80916_combout\);

-- Location: FF_X20_Y28_N27
\led_flash_cnt[276][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[276][0]~80916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[276][0]~q\);

-- Location: LCCOMB_X20_Y28_N8
\led_flash_cnt[276][1]~30744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[276][1]~30744_combout\ = (\led_flash_cnt[276][0]~q\ & (\led_flash_cnt[276][1]~q\ $ (VCC))) # (!\led_flash_cnt[276][0]~q\ & (\led_flash_cnt[276][1]~q\ & VCC))
-- \led_flash_cnt[276][1]~30745\ = CARRY((\led_flash_cnt[276][0]~q\ & \led_flash_cnt[276][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[276][0]~q\,
	datab => \led_flash_cnt[276][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[276][1]~30744_combout\,
	cout => \led_flash_cnt[276][1]~30745\);

-- Location: FF_X20_Y28_N9
\led_flash_cnt[276][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[276][1]~30744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[276][1]~q\);

-- Location: LCCOMB_X20_Y28_N10
\led_flash_cnt[276][2]~30746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[276][2]~30746_combout\ = (\led_flash_cnt[276][2]~q\ & (!\led_flash_cnt[276][1]~30745\)) # (!\led_flash_cnt[276][2]~q\ & ((\led_flash_cnt[276][1]~30745\) # (GND)))
-- \led_flash_cnt[276][2]~30747\ = CARRY((!\led_flash_cnt[276][1]~30745\) # (!\led_flash_cnt[276][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[276][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[276][1]~30745\,
	combout => \led_flash_cnt[276][2]~30746_combout\,
	cout => \led_flash_cnt[276][2]~30747\);

-- Location: FF_X20_Y28_N11
\led_flash_cnt[276][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[276][2]~30746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[276][2]~q\);

-- Location: LCCOMB_X20_Y28_N12
\led_flash_cnt[276][3]~30748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[276][3]~30748_combout\ = (\led_flash_cnt[276][3]~q\ & (\led_flash_cnt[276][2]~30747\ $ (GND))) # (!\led_flash_cnt[276][3]~q\ & (!\led_flash_cnt[276][2]~30747\ & VCC))
-- \led_flash_cnt[276][3]~30749\ = CARRY((\led_flash_cnt[276][3]~q\ & !\led_flash_cnt[276][2]~30747\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[276][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[276][2]~30747\,
	combout => \led_flash_cnt[276][3]~30748_combout\,
	cout => \led_flash_cnt[276][3]~30749\);

-- Location: FF_X20_Y28_N13
\led_flash_cnt[276][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[276][3]~30748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[276][3]~q\);

-- Location: LCCOMB_X20_Y28_N14
\led_flash_cnt[276][4]~30750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[276][4]~30750_combout\ = (\led_flash_cnt[276][4]~q\ & (!\led_flash_cnt[276][3]~30749\)) # (!\led_flash_cnt[276][4]~q\ & ((\led_flash_cnt[276][3]~30749\) # (GND)))
-- \led_flash_cnt[276][4]~30751\ = CARRY((!\led_flash_cnt[276][3]~30749\) # (!\led_flash_cnt[276][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[276][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[276][3]~30749\,
	combout => \led_flash_cnt[276][4]~30750_combout\,
	cout => \led_flash_cnt[276][4]~30751\);

-- Location: FF_X20_Y28_N15
\led_flash_cnt[276][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[276][4]~30750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[276][4]~q\);

-- Location: LCCOMB_X20_Y28_N28
\WideAnd276~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd276~0_combout\ = (\led_flash_cnt[276][3]~q\ & (\led_flash_cnt[276][1]~q\ & (\led_flash_cnt[276][4]~q\ & \led_flash_cnt[276][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[276][3]~q\,
	datab => \led_flash_cnt[276][1]~q\,
	datac => \led_flash_cnt[276][4]~q\,
	datad => \led_flash_cnt[276][2]~q\,
	combout => \WideAnd276~0_combout\);

-- Location: LCCOMB_X20_Y28_N16
\led_flash_cnt[276][5]~30752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[276][5]~30752_combout\ = (\led_flash_cnt[276][5]~q\ & (\led_flash_cnt[276][4]~30751\ $ (GND))) # (!\led_flash_cnt[276][5]~q\ & (!\led_flash_cnt[276][4]~30751\ & VCC))
-- \led_flash_cnt[276][5]~30753\ = CARRY((\led_flash_cnt[276][5]~q\ & !\led_flash_cnt[276][4]~30751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[276][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[276][4]~30751\,
	combout => \led_flash_cnt[276][5]~30752_combout\,
	cout => \led_flash_cnt[276][5]~30753\);

-- Location: FF_X20_Y28_N17
\led_flash_cnt[276][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[276][5]~30752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[276][5]~q\);

-- Location: LCCOMB_X20_Y28_N18
\led_flash_cnt[276][6]~30754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[276][6]~30754_combout\ = (\led_flash_cnt[276][6]~q\ & (!\led_flash_cnt[276][5]~30753\)) # (!\led_flash_cnt[276][6]~q\ & ((\led_flash_cnt[276][5]~30753\) # (GND)))
-- \led_flash_cnt[276][6]~30755\ = CARRY((!\led_flash_cnt[276][5]~30753\) # (!\led_flash_cnt[276][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[276][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[276][5]~30753\,
	combout => \led_flash_cnt[276][6]~30754_combout\,
	cout => \led_flash_cnt[276][6]~30755\);

-- Location: FF_X20_Y28_N19
\led_flash_cnt[276][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[276][6]~30754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[276][6]~q\);

-- Location: LCCOMB_X20_Y28_N4
\WideAnd276~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd276~1_combout\ = (\led_flash_cnt[276][5]~q\ & \led_flash_cnt[276][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[276][5]~q\,
	datad => \led_flash_cnt[276][6]~q\,
	combout => \WideAnd276~1_combout\);

-- Location: LCCOMB_X20_Y28_N20
\led_flash_cnt[276][7]~30756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[276][7]~30756_combout\ = \led_flash_cnt[276][6]~30755\ $ (!\led_flash_cnt[276][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[276][7]~q\,
	cin => \led_flash_cnt[276][6]~30755\,
	combout => \led_flash_cnt[276][7]~30756_combout\);

-- Location: FF_X20_Y28_N21
\led_flash_cnt[276][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[276][7]~30756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[276][7]~q\);

-- Location: LCCOMB_X20_Y28_N6
WideAnd276 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd276~combout\ = (\led_flash_cnt[276][0]~q\ & (\WideAnd276~0_combout\ & (\WideAnd276~1_combout\ & \led_flash_cnt[276][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[276][0]~q\,
	datab => \WideAnd276~0_combout\,
	datac => \WideAnd276~1_combout\,
	datad => \led_flash_cnt[276][7]~q\,
	combout => \WideAnd276~combout\);

-- Location: FF_X20_Y28_N7
\led_flash_cnt_ands[276]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd276~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(276));

-- Location: LCCOMB_X20_Y28_N24
\WideAnd3874~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3874~1_combout\ = (led_flash_cnt_ands(277) & led_flash_cnt_ands(276))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(277),
	datad => led_flash_cnt_ands(276),
	combout => \WideAnd3874~1_combout\);

-- Location: LCCOMB_X57_Y28_N28
WideAnd3874 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3874~combout\ = (led_flash_cnt_ands(278) & (\WideAnd3874~0_combout\ & (led_flash_cnt_ands(279) & \WideAnd3874~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(278),
	datab => \WideAnd3874~0_combout\,
	datac => led_flash_cnt_ands(279),
	datad => \WideAnd3874~1_combout\,
	combout => \WideAnd3874~combout\);

-- Location: FF_X57_Y28_N29
\led_flash_cnt_ands_1[34]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3874~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(34));

-- Location: LCCOMB_X51_Y49_N28
\led_flash_cnt[263][0]~80903\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[263][0]~80903_combout\ = !\led_flash_cnt[263][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[263][0]~q\,
	combout => \led_flash_cnt[263][0]~80903_combout\);

-- Location: FF_X51_Y49_N29
\led_flash_cnt[263][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[263][0]~80903_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[263][0]~q\);

-- Location: LCCOMB_X51_Y49_N12
\led_flash_cnt[263][1]~30562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[263][1]~30562_combout\ = (\led_flash_cnt[263][1]~q\ & (\led_flash_cnt[263][0]~q\ $ (VCC))) # (!\led_flash_cnt[263][1]~q\ & (\led_flash_cnt[263][0]~q\ & VCC))
-- \led_flash_cnt[263][1]~30563\ = CARRY((\led_flash_cnt[263][1]~q\ & \led_flash_cnt[263][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[263][1]~q\,
	datab => \led_flash_cnt[263][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[263][1]~30562_combout\,
	cout => \led_flash_cnt[263][1]~30563\);

-- Location: FF_X51_Y49_N13
\led_flash_cnt[263][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[263][1]~30562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[263][1]~q\);

-- Location: LCCOMB_X51_Y49_N14
\led_flash_cnt[263][2]~30564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[263][2]~30564_combout\ = (\led_flash_cnt[263][2]~q\ & (!\led_flash_cnt[263][1]~30563\)) # (!\led_flash_cnt[263][2]~q\ & ((\led_flash_cnt[263][1]~30563\) # (GND)))
-- \led_flash_cnt[263][2]~30565\ = CARRY((!\led_flash_cnt[263][1]~30563\) # (!\led_flash_cnt[263][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[263][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[263][1]~30563\,
	combout => \led_flash_cnt[263][2]~30564_combout\,
	cout => \led_flash_cnt[263][2]~30565\);

-- Location: FF_X51_Y49_N15
\led_flash_cnt[263][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[263][2]~30564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[263][2]~q\);

-- Location: LCCOMB_X51_Y49_N16
\led_flash_cnt[263][3]~30566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[263][3]~30566_combout\ = (\led_flash_cnt[263][3]~q\ & (\led_flash_cnt[263][2]~30565\ $ (GND))) # (!\led_flash_cnt[263][3]~q\ & (!\led_flash_cnt[263][2]~30565\ & VCC))
-- \led_flash_cnt[263][3]~30567\ = CARRY((\led_flash_cnt[263][3]~q\ & !\led_flash_cnt[263][2]~30565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[263][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[263][2]~30565\,
	combout => \led_flash_cnt[263][3]~30566_combout\,
	cout => \led_flash_cnt[263][3]~30567\);

-- Location: FF_X51_Y49_N17
\led_flash_cnt[263][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[263][3]~30566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[263][3]~q\);

-- Location: LCCOMB_X51_Y49_N18
\led_flash_cnt[263][4]~30568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[263][4]~30568_combout\ = (\led_flash_cnt[263][4]~q\ & (!\led_flash_cnt[263][3]~30567\)) # (!\led_flash_cnt[263][4]~q\ & ((\led_flash_cnt[263][3]~30567\) # (GND)))
-- \led_flash_cnt[263][4]~30569\ = CARRY((!\led_flash_cnt[263][3]~30567\) # (!\led_flash_cnt[263][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[263][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[263][3]~30567\,
	combout => \led_flash_cnt[263][4]~30568_combout\,
	cout => \led_flash_cnt[263][4]~30569\);

-- Location: FF_X51_Y49_N19
\led_flash_cnt[263][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[263][4]~30568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[263][4]~q\);

-- Location: LCCOMB_X51_Y49_N30
\WideAnd263~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd263~0_combout\ = (\led_flash_cnt[263][1]~q\ & (\led_flash_cnt[263][4]~q\ & (\led_flash_cnt[263][2]~q\ & \led_flash_cnt[263][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[263][1]~q\,
	datab => \led_flash_cnt[263][4]~q\,
	datac => \led_flash_cnt[263][2]~q\,
	datad => \led_flash_cnt[263][3]~q\,
	combout => \WideAnd263~0_combout\);

-- Location: LCCOMB_X51_Y49_N20
\led_flash_cnt[263][5]~30570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[263][5]~30570_combout\ = (\led_flash_cnt[263][5]~q\ & (\led_flash_cnt[263][4]~30569\ $ (GND))) # (!\led_flash_cnt[263][5]~q\ & (!\led_flash_cnt[263][4]~30569\ & VCC))
-- \led_flash_cnt[263][5]~30571\ = CARRY((\led_flash_cnt[263][5]~q\ & !\led_flash_cnt[263][4]~30569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[263][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[263][4]~30569\,
	combout => \led_flash_cnt[263][5]~30570_combout\,
	cout => \led_flash_cnt[263][5]~30571\);

-- Location: FF_X51_Y49_N21
\led_flash_cnt[263][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[263][5]~30570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[263][5]~q\);

-- Location: LCCOMB_X51_Y49_N22
\led_flash_cnt[263][6]~30572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[263][6]~30572_combout\ = (\led_flash_cnt[263][6]~q\ & (!\led_flash_cnt[263][5]~30571\)) # (!\led_flash_cnt[263][6]~q\ & ((\led_flash_cnt[263][5]~30571\) # (GND)))
-- \led_flash_cnt[263][6]~30573\ = CARRY((!\led_flash_cnt[263][5]~30571\) # (!\led_flash_cnt[263][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[263][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[263][5]~30571\,
	combout => \led_flash_cnt[263][6]~30572_combout\,
	cout => \led_flash_cnt[263][6]~30573\);

-- Location: FF_X51_Y49_N23
\led_flash_cnt[263][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[263][6]~30572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[263][6]~q\);

-- Location: LCCOMB_X51_Y49_N24
\led_flash_cnt[263][7]~30574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[263][7]~30574_combout\ = \led_flash_cnt[263][6]~30573\ $ (!\led_flash_cnt[263][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[263][7]~q\,
	cin => \led_flash_cnt[263][6]~30573\,
	combout => \led_flash_cnt[263][7]~30574_combout\);

-- Location: FF_X51_Y49_N25
\led_flash_cnt[263][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[263][7]~30574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[263][7]~q\);

-- Location: LCCOMB_X51_Y49_N4
\WideAnd263~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd263~1_combout\ = (\led_flash_cnt[263][6]~q\ & \led_flash_cnt[263][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[263][6]~q\,
	datad => \led_flash_cnt[263][5]~q\,
	combout => \WideAnd263~1_combout\);

-- Location: LCCOMB_X51_Y49_N8
WideAnd263 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd263~combout\ = (\WideAnd263~0_combout\ & (\led_flash_cnt[263][7]~q\ & (\WideAnd263~1_combout\ & \led_flash_cnt[263][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd263~0_combout\,
	datab => \led_flash_cnt[263][7]~q\,
	datac => \WideAnd263~1_combout\,
	datad => \led_flash_cnt[263][0]~q\,
	combout => \WideAnd263~combout\);

-- Location: FF_X51_Y49_N9
\led_flash_cnt_ands[263]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd263~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(263));

-- Location: LCCOMB_X51_Y49_N6
\led_flash_cnt[262][0]~80902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[262][0]~80902_combout\ = !\led_flash_cnt[262][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[262][0]~q\,
	combout => \led_flash_cnt[262][0]~80902_combout\);

-- Location: FF_X51_Y49_N7
\led_flash_cnt[262][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[262][0]~80902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[262][0]~q\);

-- Location: LCCOMB_X52_Y49_N0
\led_flash_cnt[262][1]~30548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[262][1]~30548_combout\ = (\led_flash_cnt[262][0]~q\ & (\led_flash_cnt[262][1]~q\ $ (VCC))) # (!\led_flash_cnt[262][0]~q\ & (\led_flash_cnt[262][1]~q\ & VCC))
-- \led_flash_cnt[262][1]~30549\ = CARRY((\led_flash_cnt[262][0]~q\ & \led_flash_cnt[262][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[262][0]~q\,
	datab => \led_flash_cnt[262][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[262][1]~30548_combout\,
	cout => \led_flash_cnt[262][1]~30549\);

-- Location: FF_X52_Y49_N1
\led_flash_cnt[262][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[262][1]~30548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[262][1]~q\);

-- Location: LCCOMB_X52_Y49_N2
\led_flash_cnt[262][2]~30550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[262][2]~30550_combout\ = (\led_flash_cnt[262][2]~q\ & (!\led_flash_cnt[262][1]~30549\)) # (!\led_flash_cnt[262][2]~q\ & ((\led_flash_cnt[262][1]~30549\) # (GND)))
-- \led_flash_cnt[262][2]~30551\ = CARRY((!\led_flash_cnt[262][1]~30549\) # (!\led_flash_cnt[262][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[262][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[262][1]~30549\,
	combout => \led_flash_cnt[262][2]~30550_combout\,
	cout => \led_flash_cnt[262][2]~30551\);

-- Location: FF_X52_Y49_N3
\led_flash_cnt[262][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[262][2]~30550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[262][2]~q\);

-- Location: LCCOMB_X52_Y49_N4
\led_flash_cnt[262][3]~30552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[262][3]~30552_combout\ = (\led_flash_cnt[262][3]~q\ & (\led_flash_cnt[262][2]~30551\ $ (GND))) # (!\led_flash_cnt[262][3]~q\ & (!\led_flash_cnt[262][2]~30551\ & VCC))
-- \led_flash_cnt[262][3]~30553\ = CARRY((\led_flash_cnt[262][3]~q\ & !\led_flash_cnt[262][2]~30551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[262][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[262][2]~30551\,
	combout => \led_flash_cnt[262][3]~30552_combout\,
	cout => \led_flash_cnt[262][3]~30553\);

-- Location: FF_X52_Y49_N5
\led_flash_cnt[262][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[262][3]~30552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[262][3]~q\);

-- Location: LCCOMB_X52_Y49_N6
\led_flash_cnt[262][4]~30554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[262][4]~30554_combout\ = (\led_flash_cnt[262][4]~q\ & (!\led_flash_cnt[262][3]~30553\)) # (!\led_flash_cnt[262][4]~q\ & ((\led_flash_cnt[262][3]~30553\) # (GND)))
-- \led_flash_cnt[262][4]~30555\ = CARRY((!\led_flash_cnt[262][3]~30553\) # (!\led_flash_cnt[262][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[262][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[262][3]~30553\,
	combout => \led_flash_cnt[262][4]~30554_combout\,
	cout => \led_flash_cnt[262][4]~30555\);

-- Location: FF_X52_Y49_N7
\led_flash_cnt[262][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[262][4]~30554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[262][4]~q\);

-- Location: LCCOMB_X52_Y49_N8
\led_flash_cnt[262][5]~30556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[262][5]~30556_combout\ = (\led_flash_cnt[262][5]~q\ & (\led_flash_cnt[262][4]~30555\ $ (GND))) # (!\led_flash_cnt[262][5]~q\ & (!\led_flash_cnt[262][4]~30555\ & VCC))
-- \led_flash_cnt[262][5]~30557\ = CARRY((\led_flash_cnt[262][5]~q\ & !\led_flash_cnt[262][4]~30555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[262][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[262][4]~30555\,
	combout => \led_flash_cnt[262][5]~30556_combout\,
	cout => \led_flash_cnt[262][5]~30557\);

-- Location: FF_X52_Y49_N9
\led_flash_cnt[262][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[262][5]~30556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[262][5]~q\);

-- Location: LCCOMB_X52_Y49_N10
\led_flash_cnt[262][6]~30558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[262][6]~30558_combout\ = (\led_flash_cnt[262][6]~q\ & (!\led_flash_cnt[262][5]~30557\)) # (!\led_flash_cnt[262][6]~q\ & ((\led_flash_cnt[262][5]~30557\) # (GND)))
-- \led_flash_cnt[262][6]~30559\ = CARRY((!\led_flash_cnt[262][5]~30557\) # (!\led_flash_cnt[262][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[262][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[262][5]~30557\,
	combout => \led_flash_cnt[262][6]~30558_combout\,
	cout => \led_flash_cnt[262][6]~30559\);

-- Location: FF_X52_Y49_N11
\led_flash_cnt[262][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[262][6]~30558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[262][6]~q\);

-- Location: LCCOMB_X51_Y49_N10
\WideAnd262~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd262~1_combout\ = (\led_flash_cnt[262][6]~q\ & \led_flash_cnt[262][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[262][6]~q\,
	datac => \led_flash_cnt[262][5]~q\,
	combout => \WideAnd262~1_combout\);

-- Location: LCCOMB_X52_Y49_N12
\led_flash_cnt[262][7]~30560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[262][7]~30560_combout\ = \led_flash_cnt[262][6]~30559\ $ (!\led_flash_cnt[262][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[262][7]~q\,
	cin => \led_flash_cnt[262][6]~30559\,
	combout => \led_flash_cnt[262][7]~30560_combout\);

-- Location: FF_X52_Y49_N13
\led_flash_cnt[262][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[262][7]~30560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[262][7]~q\);

-- Location: LCCOMB_X52_Y49_N30
\WideAnd262~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd262~0_combout\ = (\led_flash_cnt[262][4]~q\ & (\led_flash_cnt[262][1]~q\ & (\led_flash_cnt[262][3]~q\ & \led_flash_cnt[262][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[262][4]~q\,
	datab => \led_flash_cnt[262][1]~q\,
	datac => \led_flash_cnt[262][3]~q\,
	datad => \led_flash_cnt[262][2]~q\,
	combout => \WideAnd262~0_combout\);

-- Location: LCCOMB_X51_Y49_N2
WideAnd262 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd262~combout\ = (\WideAnd262~1_combout\ & (\led_flash_cnt[262][7]~q\ & (\WideAnd262~0_combout\ & \led_flash_cnt[262][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd262~1_combout\,
	datab => \led_flash_cnt[262][7]~q\,
	datac => \WideAnd262~0_combout\,
	datad => \led_flash_cnt[262][0]~q\,
	combout => \WideAnd262~combout\);

-- Location: FF_X51_Y49_N3
\led_flash_cnt_ands[262]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd262~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(262));

-- Location: LCCOMB_X65_Y41_N2
\led_flash_cnt[256][0]~80896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[256][0]~80896_combout\ = !\led_flash_cnt[256][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[256][0]~q\,
	combout => \led_flash_cnt[256][0]~80896_combout\);

-- Location: FF_X65_Y41_N3
\led_flash_cnt[256][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[256][0]~80896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[256][0]~q\);

-- Location: LCCOMB_X64_Y41_N0
\led_flash_cnt[256][1]~30464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[256][1]~30464_combout\ = (\led_flash_cnt[256][0]~q\ & (\led_flash_cnt[256][1]~q\ $ (VCC))) # (!\led_flash_cnt[256][0]~q\ & (\led_flash_cnt[256][1]~q\ & VCC))
-- \led_flash_cnt[256][1]~30465\ = CARRY((\led_flash_cnt[256][0]~q\ & \led_flash_cnt[256][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[256][0]~q\,
	datab => \led_flash_cnt[256][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[256][1]~30464_combout\,
	cout => \led_flash_cnt[256][1]~30465\);

-- Location: FF_X64_Y41_N1
\led_flash_cnt[256][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[256][1]~30464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[256][1]~q\);

-- Location: LCCOMB_X64_Y41_N2
\led_flash_cnt[256][2]~30466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[256][2]~30466_combout\ = (\led_flash_cnt[256][2]~q\ & (!\led_flash_cnt[256][1]~30465\)) # (!\led_flash_cnt[256][2]~q\ & ((\led_flash_cnt[256][1]~30465\) # (GND)))
-- \led_flash_cnt[256][2]~30467\ = CARRY((!\led_flash_cnt[256][1]~30465\) # (!\led_flash_cnt[256][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[256][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[256][1]~30465\,
	combout => \led_flash_cnt[256][2]~30466_combout\,
	cout => \led_flash_cnt[256][2]~30467\);

-- Location: FF_X64_Y41_N3
\led_flash_cnt[256][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[256][2]~30466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[256][2]~q\);

-- Location: LCCOMB_X64_Y41_N4
\led_flash_cnt[256][3]~30468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[256][3]~30468_combout\ = (\led_flash_cnt[256][3]~q\ & (\led_flash_cnt[256][2]~30467\ $ (GND))) # (!\led_flash_cnt[256][3]~q\ & (!\led_flash_cnt[256][2]~30467\ & VCC))
-- \led_flash_cnt[256][3]~30469\ = CARRY((\led_flash_cnt[256][3]~q\ & !\led_flash_cnt[256][2]~30467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[256][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[256][2]~30467\,
	combout => \led_flash_cnt[256][3]~30468_combout\,
	cout => \led_flash_cnt[256][3]~30469\);

-- Location: FF_X64_Y41_N5
\led_flash_cnt[256][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[256][3]~30468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[256][3]~q\);

-- Location: LCCOMB_X64_Y41_N6
\led_flash_cnt[256][4]~30470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[256][4]~30470_combout\ = (\led_flash_cnt[256][4]~q\ & (!\led_flash_cnt[256][3]~30469\)) # (!\led_flash_cnt[256][4]~q\ & ((\led_flash_cnt[256][3]~30469\) # (GND)))
-- \led_flash_cnt[256][4]~30471\ = CARRY((!\led_flash_cnt[256][3]~30469\) # (!\led_flash_cnt[256][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[256][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[256][3]~30469\,
	combout => \led_flash_cnt[256][4]~30470_combout\,
	cout => \led_flash_cnt[256][4]~30471\);

-- Location: FF_X64_Y41_N7
\led_flash_cnt[256][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[256][4]~30470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[256][4]~q\);

-- Location: LCCOMB_X64_Y41_N8
\led_flash_cnt[256][5]~30472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[256][5]~30472_combout\ = (\led_flash_cnt[256][5]~q\ & (\led_flash_cnt[256][4]~30471\ $ (GND))) # (!\led_flash_cnt[256][5]~q\ & (!\led_flash_cnt[256][4]~30471\ & VCC))
-- \led_flash_cnt[256][5]~30473\ = CARRY((\led_flash_cnt[256][5]~q\ & !\led_flash_cnt[256][4]~30471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[256][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[256][4]~30471\,
	combout => \led_flash_cnt[256][5]~30472_combout\,
	cout => \led_flash_cnt[256][5]~30473\);

-- Location: FF_X64_Y41_N9
\led_flash_cnt[256][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[256][5]~30472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[256][5]~q\);

-- Location: LCCOMB_X64_Y41_N10
\led_flash_cnt[256][6]~30474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[256][6]~30474_combout\ = (\led_flash_cnt[256][6]~q\ & (!\led_flash_cnt[256][5]~30473\)) # (!\led_flash_cnt[256][6]~q\ & ((\led_flash_cnt[256][5]~30473\) # (GND)))
-- \led_flash_cnt[256][6]~30475\ = CARRY((!\led_flash_cnt[256][5]~30473\) # (!\led_flash_cnt[256][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[256][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[256][5]~30473\,
	combout => \led_flash_cnt[256][6]~30474_combout\,
	cout => \led_flash_cnt[256][6]~30475\);

-- Location: FF_X64_Y41_N11
\led_flash_cnt[256][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[256][6]~30474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[256][6]~q\);

-- Location: LCCOMB_X64_Y41_N12
\led_flash_cnt[256][7]~30476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[256][7]~30476_combout\ = \led_flash_cnt[256][6]~30475\ $ (!\led_flash_cnt[256][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[256][7]~q\,
	cin => \led_flash_cnt[256][6]~30475\,
	combout => \led_flash_cnt[256][7]~30476_combout\);

-- Location: FF_X64_Y41_N13
\led_flash_cnt[256][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[256][7]~30476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[256][7]~q\);

-- Location: LCCOMB_X65_Y41_N24
\WideAnd256~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd256~1_combout\ = (\led_flash_cnt[256][6]~q\ & \led_flash_cnt[256][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[256][6]~q\,
	datad => \led_flash_cnt[256][5]~q\,
	combout => \WideAnd256~1_combout\);

-- Location: LCCOMB_X64_Y41_N14
\WideAnd256~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd256~0_combout\ = (\led_flash_cnt[256][4]~q\ & (\led_flash_cnt[256][1]~q\ & (\led_flash_cnt[256][3]~q\ & \led_flash_cnt[256][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[256][4]~q\,
	datab => \led_flash_cnt[256][1]~q\,
	datac => \led_flash_cnt[256][3]~q\,
	datad => \led_flash_cnt[256][2]~q\,
	combout => \WideAnd256~0_combout\);

-- Location: LCCOMB_X65_Y41_N0
WideAnd256 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd256~combout\ = (\led_flash_cnt[256][7]~q\ & (\WideAnd256~1_combout\ & (\led_flash_cnt[256][0]~q\ & \WideAnd256~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[256][7]~q\,
	datab => \WideAnd256~1_combout\,
	datac => \led_flash_cnt[256][0]~q\,
	datad => \WideAnd256~0_combout\,
	combout => \WideAnd256~combout\);

-- Location: FF_X65_Y41_N1
\led_flash_cnt_ands[256]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd256~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(256));

-- Location: LCCOMB_X54_Y42_N8
\led_flash_cnt[257][0]~80897\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[257][0]~80897_combout\ = !\led_flash_cnt[257][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[257][0]~q\,
	combout => \led_flash_cnt[257][0]~80897_combout\);

-- Location: FF_X54_Y42_N9
\led_flash_cnt[257][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[257][0]~80897_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[257][0]~q\);

-- Location: LCCOMB_X54_Y42_N18
\led_flash_cnt[257][1]~30478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[257][1]~30478_combout\ = (\led_flash_cnt[257][1]~q\ & (\led_flash_cnt[257][0]~q\ $ (VCC))) # (!\led_flash_cnt[257][1]~q\ & (\led_flash_cnt[257][0]~q\ & VCC))
-- \led_flash_cnt[257][1]~30479\ = CARRY((\led_flash_cnt[257][1]~q\ & \led_flash_cnt[257][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[257][1]~q\,
	datab => \led_flash_cnt[257][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[257][1]~30478_combout\,
	cout => \led_flash_cnt[257][1]~30479\);

-- Location: FF_X54_Y42_N19
\led_flash_cnt[257][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[257][1]~30478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[257][1]~q\);

-- Location: LCCOMB_X54_Y42_N20
\led_flash_cnt[257][2]~30480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[257][2]~30480_combout\ = (\led_flash_cnt[257][2]~q\ & (!\led_flash_cnt[257][1]~30479\)) # (!\led_flash_cnt[257][2]~q\ & ((\led_flash_cnt[257][1]~30479\) # (GND)))
-- \led_flash_cnt[257][2]~30481\ = CARRY((!\led_flash_cnt[257][1]~30479\) # (!\led_flash_cnt[257][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[257][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[257][1]~30479\,
	combout => \led_flash_cnt[257][2]~30480_combout\,
	cout => \led_flash_cnt[257][2]~30481\);

-- Location: FF_X54_Y42_N21
\led_flash_cnt[257][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[257][2]~30480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[257][2]~q\);

-- Location: LCCOMB_X54_Y42_N22
\led_flash_cnt[257][3]~30482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[257][3]~30482_combout\ = (\led_flash_cnt[257][3]~q\ & (\led_flash_cnt[257][2]~30481\ $ (GND))) # (!\led_flash_cnt[257][3]~q\ & (!\led_flash_cnt[257][2]~30481\ & VCC))
-- \led_flash_cnt[257][3]~30483\ = CARRY((\led_flash_cnt[257][3]~q\ & !\led_flash_cnt[257][2]~30481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[257][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[257][2]~30481\,
	combout => \led_flash_cnt[257][3]~30482_combout\,
	cout => \led_flash_cnt[257][3]~30483\);

-- Location: FF_X54_Y42_N23
\led_flash_cnt[257][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[257][3]~30482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[257][3]~q\);

-- Location: LCCOMB_X54_Y42_N24
\led_flash_cnt[257][4]~30484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[257][4]~30484_combout\ = (\led_flash_cnt[257][4]~q\ & (!\led_flash_cnt[257][3]~30483\)) # (!\led_flash_cnt[257][4]~q\ & ((\led_flash_cnt[257][3]~30483\) # (GND)))
-- \led_flash_cnt[257][4]~30485\ = CARRY((!\led_flash_cnt[257][3]~30483\) # (!\led_flash_cnt[257][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[257][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[257][3]~30483\,
	combout => \led_flash_cnt[257][4]~30484_combout\,
	cout => \led_flash_cnt[257][4]~30485\);

-- Location: FF_X54_Y42_N25
\led_flash_cnt[257][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[257][4]~30484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[257][4]~q\);

-- Location: LCCOMB_X54_Y42_N26
\led_flash_cnt[257][5]~30486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[257][5]~30486_combout\ = (\led_flash_cnt[257][5]~q\ & (\led_flash_cnt[257][4]~30485\ $ (GND))) # (!\led_flash_cnt[257][5]~q\ & (!\led_flash_cnt[257][4]~30485\ & VCC))
-- \led_flash_cnt[257][5]~30487\ = CARRY((\led_flash_cnt[257][5]~q\ & !\led_flash_cnt[257][4]~30485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[257][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[257][4]~30485\,
	combout => \led_flash_cnt[257][5]~30486_combout\,
	cout => \led_flash_cnt[257][5]~30487\);

-- Location: FF_X54_Y42_N27
\led_flash_cnt[257][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[257][5]~30486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[257][5]~q\);

-- Location: LCCOMB_X54_Y42_N28
\led_flash_cnt[257][6]~30488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[257][6]~30488_combout\ = (\led_flash_cnt[257][6]~q\ & (!\led_flash_cnt[257][5]~30487\)) # (!\led_flash_cnt[257][6]~q\ & ((\led_flash_cnt[257][5]~30487\) # (GND)))
-- \led_flash_cnt[257][6]~30489\ = CARRY((!\led_flash_cnt[257][5]~30487\) # (!\led_flash_cnt[257][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[257][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[257][5]~30487\,
	combout => \led_flash_cnt[257][6]~30488_combout\,
	cout => \led_flash_cnt[257][6]~30489\);

-- Location: FF_X54_Y42_N29
\led_flash_cnt[257][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[257][6]~30488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[257][6]~q\);

-- Location: LCCOMB_X54_Y42_N30
\led_flash_cnt[257][7]~30490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[257][7]~30490_combout\ = \led_flash_cnt[257][7]~q\ $ (!\led_flash_cnt[257][6]~30489\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[257][7]~q\,
	cin => \led_flash_cnt[257][6]~30489\,
	combout => \led_flash_cnt[257][7]~30490_combout\);

-- Location: FF_X54_Y42_N31
\led_flash_cnt[257][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[257][7]~30490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[257][7]~q\);

-- Location: LCCOMB_X54_Y42_N4
\WideAnd257~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd257~1_combout\ = (\led_flash_cnt[257][5]~q\ & \led_flash_cnt[257][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[257][5]~q\,
	datad => \led_flash_cnt[257][6]~q\,
	combout => \WideAnd257~1_combout\);

-- Location: LCCOMB_X54_Y42_N12
\WideAnd257~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd257~0_combout\ = (\led_flash_cnt[257][1]~q\ & (\led_flash_cnt[257][4]~q\ & (\led_flash_cnt[257][3]~q\ & \led_flash_cnt[257][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[257][1]~q\,
	datab => \led_flash_cnt[257][4]~q\,
	datac => \led_flash_cnt[257][3]~q\,
	datad => \led_flash_cnt[257][2]~q\,
	combout => \WideAnd257~0_combout\);

-- Location: LCCOMB_X54_Y42_N2
WideAnd257 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd257~combout\ = (\led_flash_cnt[257][7]~q\ & (\WideAnd257~1_combout\ & (\led_flash_cnt[257][0]~q\ & \WideAnd257~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[257][7]~q\,
	datab => \WideAnd257~1_combout\,
	datac => \led_flash_cnt[257][0]~q\,
	datad => \WideAnd257~0_combout\,
	combout => \WideAnd257~combout\);

-- Location: FF_X54_Y42_N3
\led_flash_cnt_ands[257]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd257~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(257));

-- Location: LCCOMB_X55_Y43_N14
\led_flash_cnt[258][0]~80898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[258][0]~80898_combout\ = !\led_flash_cnt[258][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[258][0]~q\,
	combout => \led_flash_cnt[258][0]~80898_combout\);

-- Location: FF_X55_Y43_N15
\led_flash_cnt[258][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[258][0]~80898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[258][0]~q\);

-- Location: LCCOMB_X55_Y42_N16
\led_flash_cnt[258][1]~30492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[258][1]~30492_combout\ = (\led_flash_cnt[258][0]~q\ & (\led_flash_cnt[258][1]~q\ $ (VCC))) # (!\led_flash_cnt[258][0]~q\ & (\led_flash_cnt[258][1]~q\ & VCC))
-- \led_flash_cnt[258][1]~30493\ = CARRY((\led_flash_cnt[258][0]~q\ & \led_flash_cnt[258][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[258][0]~q\,
	datab => \led_flash_cnt[258][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[258][1]~30492_combout\,
	cout => \led_flash_cnt[258][1]~30493\);

-- Location: FF_X55_Y42_N17
\led_flash_cnt[258][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[258][1]~30492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[258][1]~q\);

-- Location: LCCOMB_X55_Y42_N18
\led_flash_cnt[258][2]~30494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[258][2]~30494_combout\ = (\led_flash_cnt[258][2]~q\ & (!\led_flash_cnt[258][1]~30493\)) # (!\led_flash_cnt[258][2]~q\ & ((\led_flash_cnt[258][1]~30493\) # (GND)))
-- \led_flash_cnt[258][2]~30495\ = CARRY((!\led_flash_cnt[258][1]~30493\) # (!\led_flash_cnt[258][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[258][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[258][1]~30493\,
	combout => \led_flash_cnt[258][2]~30494_combout\,
	cout => \led_flash_cnt[258][2]~30495\);

-- Location: FF_X55_Y42_N19
\led_flash_cnt[258][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[258][2]~30494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[258][2]~q\);

-- Location: LCCOMB_X55_Y42_N20
\led_flash_cnt[258][3]~30496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[258][3]~30496_combout\ = (\led_flash_cnt[258][3]~q\ & (\led_flash_cnt[258][2]~30495\ $ (GND))) # (!\led_flash_cnt[258][3]~q\ & (!\led_flash_cnt[258][2]~30495\ & VCC))
-- \led_flash_cnt[258][3]~30497\ = CARRY((\led_flash_cnt[258][3]~q\ & !\led_flash_cnt[258][2]~30495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[258][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[258][2]~30495\,
	combout => \led_flash_cnt[258][3]~30496_combout\,
	cout => \led_flash_cnt[258][3]~30497\);

-- Location: FF_X55_Y42_N21
\led_flash_cnt[258][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[258][3]~30496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[258][3]~q\);

-- Location: LCCOMB_X55_Y42_N22
\led_flash_cnt[258][4]~30498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[258][4]~30498_combout\ = (\led_flash_cnt[258][4]~q\ & (!\led_flash_cnt[258][3]~30497\)) # (!\led_flash_cnt[258][4]~q\ & ((\led_flash_cnt[258][3]~30497\) # (GND)))
-- \led_flash_cnt[258][4]~30499\ = CARRY((!\led_flash_cnt[258][3]~30497\) # (!\led_flash_cnt[258][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[258][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[258][3]~30497\,
	combout => \led_flash_cnt[258][4]~30498_combout\,
	cout => \led_flash_cnt[258][4]~30499\);

-- Location: FF_X55_Y42_N23
\led_flash_cnt[258][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[258][4]~30498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[258][4]~q\);

-- Location: LCCOMB_X54_Y42_N16
\WideAnd258~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd258~0_combout\ = (\led_flash_cnt[258][4]~q\ & (\led_flash_cnt[258][2]~q\ & (\led_flash_cnt[258][3]~q\ & \led_flash_cnt[258][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[258][4]~q\,
	datab => \led_flash_cnt[258][2]~q\,
	datac => \led_flash_cnt[258][3]~q\,
	datad => \led_flash_cnt[258][1]~q\,
	combout => \WideAnd258~0_combout\);

-- Location: LCCOMB_X55_Y42_N24
\led_flash_cnt[258][5]~30500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[258][5]~30500_combout\ = (\led_flash_cnt[258][5]~q\ & (\led_flash_cnt[258][4]~30499\ $ (GND))) # (!\led_flash_cnt[258][5]~q\ & (!\led_flash_cnt[258][4]~30499\ & VCC))
-- \led_flash_cnt[258][5]~30501\ = CARRY((\led_flash_cnt[258][5]~q\ & !\led_flash_cnt[258][4]~30499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[258][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[258][4]~30499\,
	combout => \led_flash_cnt[258][5]~30500_combout\,
	cout => \led_flash_cnt[258][5]~30501\);

-- Location: FF_X55_Y42_N25
\led_flash_cnt[258][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[258][5]~30500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[258][5]~q\);

-- Location: LCCOMB_X55_Y42_N26
\led_flash_cnt[258][6]~30502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[258][6]~30502_combout\ = (\led_flash_cnt[258][6]~q\ & (!\led_flash_cnt[258][5]~30501\)) # (!\led_flash_cnt[258][6]~q\ & ((\led_flash_cnt[258][5]~30501\) # (GND)))
-- \led_flash_cnt[258][6]~30503\ = CARRY((!\led_flash_cnt[258][5]~30501\) # (!\led_flash_cnt[258][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[258][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[258][5]~30501\,
	combout => \led_flash_cnt[258][6]~30502_combout\,
	cout => \led_flash_cnt[258][6]~30503\);

-- Location: FF_X55_Y42_N27
\led_flash_cnt[258][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[258][6]~30502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[258][6]~q\);

-- Location: LCCOMB_X55_Y42_N28
\led_flash_cnt[258][7]~30504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[258][7]~30504_combout\ = \led_flash_cnt[258][6]~30503\ $ (!\led_flash_cnt[258][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[258][7]~q\,
	cin => \led_flash_cnt[258][6]~30503\,
	combout => \led_flash_cnt[258][7]~30504_combout\);

-- Location: FF_X55_Y42_N29
\led_flash_cnt[258][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[258][7]~30504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[258][7]~q\);

-- Location: LCCOMB_X56_Y42_N28
\WideAnd258~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd258~1_combout\ = (\led_flash_cnt[258][6]~q\ & \led_flash_cnt[258][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[258][6]~q\,
	datad => \led_flash_cnt[258][5]~q\,
	combout => \WideAnd258~1_combout\);

-- Location: LCCOMB_X55_Y42_N30
WideAnd258 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd258~combout\ = (\WideAnd258~0_combout\ & (\led_flash_cnt[258][7]~q\ & (\led_flash_cnt[258][0]~q\ & \WideAnd258~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd258~0_combout\,
	datab => \led_flash_cnt[258][7]~q\,
	datac => \led_flash_cnt[258][0]~q\,
	datad => \WideAnd258~1_combout\,
	combout => \WideAnd258~combout\);

-- Location: FF_X55_Y42_N31
\led_flash_cnt_ands[258]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd258~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(258));

-- Location: LCCOMB_X54_Y42_N0
\led_flash_cnt[259][0]~80899\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[259][0]~80899_combout\ = !\led_flash_cnt[259][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[259][0]~q\,
	combout => \led_flash_cnt[259][0]~80899_combout\);

-- Location: FF_X54_Y42_N1
\led_flash_cnt[259][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[259][0]~80899_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[259][0]~q\);

-- Location: LCCOMB_X54_Y43_N2
\led_flash_cnt[259][1]~30506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[259][1]~30506_combout\ = (\led_flash_cnt[259][0]~q\ & (\led_flash_cnt[259][1]~q\ $ (VCC))) # (!\led_flash_cnt[259][0]~q\ & (\led_flash_cnt[259][1]~q\ & VCC))
-- \led_flash_cnt[259][1]~30507\ = CARRY((\led_flash_cnt[259][0]~q\ & \led_flash_cnt[259][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[259][0]~q\,
	datab => \led_flash_cnt[259][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[259][1]~30506_combout\,
	cout => \led_flash_cnt[259][1]~30507\);

-- Location: FF_X54_Y43_N3
\led_flash_cnt[259][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[259][1]~30506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[259][1]~q\);

-- Location: LCCOMB_X54_Y43_N4
\led_flash_cnt[259][2]~30508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[259][2]~30508_combout\ = (\led_flash_cnt[259][2]~q\ & (!\led_flash_cnt[259][1]~30507\)) # (!\led_flash_cnt[259][2]~q\ & ((\led_flash_cnt[259][1]~30507\) # (GND)))
-- \led_flash_cnt[259][2]~30509\ = CARRY((!\led_flash_cnt[259][1]~30507\) # (!\led_flash_cnt[259][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[259][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[259][1]~30507\,
	combout => \led_flash_cnt[259][2]~30508_combout\,
	cout => \led_flash_cnt[259][2]~30509\);

-- Location: FF_X54_Y43_N5
\led_flash_cnt[259][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[259][2]~30508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[259][2]~q\);

-- Location: LCCOMB_X54_Y43_N6
\led_flash_cnt[259][3]~30510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[259][3]~30510_combout\ = (\led_flash_cnt[259][3]~q\ & (\led_flash_cnt[259][2]~30509\ $ (GND))) # (!\led_flash_cnt[259][3]~q\ & (!\led_flash_cnt[259][2]~30509\ & VCC))
-- \led_flash_cnt[259][3]~30511\ = CARRY((\led_flash_cnt[259][3]~q\ & !\led_flash_cnt[259][2]~30509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[259][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[259][2]~30509\,
	combout => \led_flash_cnt[259][3]~30510_combout\,
	cout => \led_flash_cnt[259][3]~30511\);

-- Location: FF_X54_Y43_N7
\led_flash_cnt[259][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[259][3]~30510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[259][3]~q\);

-- Location: LCCOMB_X54_Y43_N8
\led_flash_cnt[259][4]~30512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[259][4]~30512_combout\ = (\led_flash_cnt[259][4]~q\ & (!\led_flash_cnt[259][3]~30511\)) # (!\led_flash_cnt[259][4]~q\ & ((\led_flash_cnt[259][3]~30511\) # (GND)))
-- \led_flash_cnt[259][4]~30513\ = CARRY((!\led_flash_cnt[259][3]~30511\) # (!\led_flash_cnt[259][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[259][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[259][3]~30511\,
	combout => \led_flash_cnt[259][4]~30512_combout\,
	cout => \led_flash_cnt[259][4]~30513\);

-- Location: FF_X54_Y43_N9
\led_flash_cnt[259][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[259][4]~30512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[259][4]~q\);

-- Location: LCCOMB_X54_Y43_N10
\led_flash_cnt[259][5]~30514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[259][5]~30514_combout\ = (\led_flash_cnt[259][5]~q\ & (\led_flash_cnt[259][4]~30513\ $ (GND))) # (!\led_flash_cnt[259][5]~q\ & (!\led_flash_cnt[259][4]~30513\ & VCC))
-- \led_flash_cnt[259][5]~30515\ = CARRY((\led_flash_cnt[259][5]~q\ & !\led_flash_cnt[259][4]~30513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[259][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[259][4]~30513\,
	combout => \led_flash_cnt[259][5]~30514_combout\,
	cout => \led_flash_cnt[259][5]~30515\);

-- Location: FF_X54_Y43_N11
\led_flash_cnt[259][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[259][5]~30514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[259][5]~q\);

-- Location: LCCOMB_X54_Y43_N12
\led_flash_cnt[259][6]~30516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[259][6]~30516_combout\ = (\led_flash_cnt[259][6]~q\ & (!\led_flash_cnt[259][5]~30515\)) # (!\led_flash_cnt[259][6]~q\ & ((\led_flash_cnt[259][5]~30515\) # (GND)))
-- \led_flash_cnt[259][6]~30517\ = CARRY((!\led_flash_cnt[259][5]~30515\) # (!\led_flash_cnt[259][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[259][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[259][5]~30515\,
	combout => \led_flash_cnt[259][6]~30516_combout\,
	cout => \led_flash_cnt[259][6]~30517\);

-- Location: FF_X54_Y43_N13
\led_flash_cnt[259][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[259][6]~30516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[259][6]~q\);

-- Location: LCCOMB_X54_Y42_N10
\WideAnd259~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd259~1_combout\ = (\led_flash_cnt[259][6]~q\ & \led_flash_cnt[259][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[259][6]~q\,
	datad => \led_flash_cnt[259][5]~q\,
	combout => \WideAnd259~1_combout\);

-- Location: LCCOMB_X54_Y43_N30
\WideAnd259~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd259~0_combout\ = (\led_flash_cnt[259][3]~q\ & (\led_flash_cnt[259][4]~q\ & (\led_flash_cnt[259][2]~q\ & \led_flash_cnt[259][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[259][3]~q\,
	datab => \led_flash_cnt[259][4]~q\,
	datac => \led_flash_cnt[259][2]~q\,
	datad => \led_flash_cnt[259][1]~q\,
	combout => \WideAnd259~0_combout\);

-- Location: LCCOMB_X54_Y43_N14
\led_flash_cnt[259][7]~30518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[259][7]~30518_combout\ = \led_flash_cnt[259][7]~q\ $ (!\led_flash_cnt[259][6]~30517\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[259][7]~q\,
	cin => \led_flash_cnt[259][6]~30517\,
	combout => \led_flash_cnt[259][7]~30518_combout\);

-- Location: FF_X54_Y43_N15
\led_flash_cnt[259][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[259][7]~30518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[259][7]~q\);

-- Location: LCCOMB_X54_Y42_N6
WideAnd259 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd259~combout\ = (\WideAnd259~1_combout\ & (\led_flash_cnt[259][0]~q\ & (\WideAnd259~0_combout\ & \led_flash_cnt[259][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd259~1_combout\,
	datab => \led_flash_cnt[259][0]~q\,
	datac => \WideAnd259~0_combout\,
	datad => \led_flash_cnt[259][7]~q\,
	combout => \WideAnd259~combout\);

-- Location: FF_X54_Y42_N7
\led_flash_cnt_ands[259]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd259~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(259));

-- Location: LCCOMB_X54_Y42_N14
\WideAnd3872~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3872~0_combout\ = (led_flash_cnt_ands(256) & (led_flash_cnt_ands(257) & (led_flash_cnt_ands(258) & led_flash_cnt_ands(259))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(256),
	datab => led_flash_cnt_ands(257),
	datac => led_flash_cnt_ands(258),
	datad => led_flash_cnt_ands(259),
	combout => \WideAnd3872~0_combout\);

-- Location: LCCOMB_X70_Y41_N30
\led_flash_cnt[261][0]~80901\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[261][0]~80901_combout\ = !\led_flash_cnt[261][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[261][0]~q\,
	combout => \led_flash_cnt[261][0]~80901_combout\);

-- Location: FF_X70_Y41_N31
\led_flash_cnt[261][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[261][0]~80901_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[261][0]~q\);

-- Location: LCCOMB_X70_Y43_N16
\led_flash_cnt[261][1]~30534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[261][1]~30534_combout\ = (\led_flash_cnt[261][0]~q\ & (\led_flash_cnt[261][1]~q\ $ (VCC))) # (!\led_flash_cnt[261][0]~q\ & (\led_flash_cnt[261][1]~q\ & VCC))
-- \led_flash_cnt[261][1]~30535\ = CARRY((\led_flash_cnt[261][0]~q\ & \led_flash_cnt[261][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[261][0]~q\,
	datab => \led_flash_cnt[261][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[261][1]~30534_combout\,
	cout => \led_flash_cnt[261][1]~30535\);

-- Location: FF_X70_Y43_N17
\led_flash_cnt[261][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[261][1]~30534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[261][1]~q\);

-- Location: LCCOMB_X70_Y43_N18
\led_flash_cnt[261][2]~30536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[261][2]~30536_combout\ = (\led_flash_cnt[261][2]~q\ & (!\led_flash_cnt[261][1]~30535\)) # (!\led_flash_cnt[261][2]~q\ & ((\led_flash_cnt[261][1]~30535\) # (GND)))
-- \led_flash_cnt[261][2]~30537\ = CARRY((!\led_flash_cnt[261][1]~30535\) # (!\led_flash_cnt[261][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[261][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[261][1]~30535\,
	combout => \led_flash_cnt[261][2]~30536_combout\,
	cout => \led_flash_cnt[261][2]~30537\);

-- Location: FF_X70_Y43_N19
\led_flash_cnt[261][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[261][2]~30536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[261][2]~q\);

-- Location: LCCOMB_X70_Y43_N20
\led_flash_cnt[261][3]~30538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[261][3]~30538_combout\ = (\led_flash_cnt[261][3]~q\ & (\led_flash_cnt[261][2]~30537\ $ (GND))) # (!\led_flash_cnt[261][3]~q\ & (!\led_flash_cnt[261][2]~30537\ & VCC))
-- \led_flash_cnt[261][3]~30539\ = CARRY((\led_flash_cnt[261][3]~q\ & !\led_flash_cnt[261][2]~30537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[261][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[261][2]~30537\,
	combout => \led_flash_cnt[261][3]~30538_combout\,
	cout => \led_flash_cnt[261][3]~30539\);

-- Location: FF_X70_Y43_N21
\led_flash_cnt[261][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[261][3]~30538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[261][3]~q\);

-- Location: LCCOMB_X70_Y43_N22
\led_flash_cnt[261][4]~30540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[261][4]~30540_combout\ = (\led_flash_cnt[261][4]~q\ & (!\led_flash_cnt[261][3]~30539\)) # (!\led_flash_cnt[261][4]~q\ & ((\led_flash_cnt[261][3]~30539\) # (GND)))
-- \led_flash_cnt[261][4]~30541\ = CARRY((!\led_flash_cnt[261][3]~30539\) # (!\led_flash_cnt[261][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[261][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[261][3]~30539\,
	combout => \led_flash_cnt[261][4]~30540_combout\,
	cout => \led_flash_cnt[261][4]~30541\);

-- Location: FF_X70_Y43_N23
\led_flash_cnt[261][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[261][4]~30540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[261][4]~q\);

-- Location: LCCOMB_X70_Y43_N0
\WideAnd261~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd261~0_combout\ = (\led_flash_cnt[261][2]~q\ & (\led_flash_cnt[261][3]~q\ & (\led_flash_cnt[261][4]~q\ & \led_flash_cnt[261][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[261][2]~q\,
	datab => \led_flash_cnt[261][3]~q\,
	datac => \led_flash_cnt[261][4]~q\,
	datad => \led_flash_cnt[261][1]~q\,
	combout => \WideAnd261~0_combout\);

-- Location: LCCOMB_X70_Y43_N24
\led_flash_cnt[261][5]~30542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[261][5]~30542_combout\ = (\led_flash_cnt[261][5]~q\ & (\led_flash_cnt[261][4]~30541\ $ (GND))) # (!\led_flash_cnt[261][5]~q\ & (!\led_flash_cnt[261][4]~30541\ & VCC))
-- \led_flash_cnt[261][5]~30543\ = CARRY((\led_flash_cnt[261][5]~q\ & !\led_flash_cnt[261][4]~30541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[261][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[261][4]~30541\,
	combout => \led_flash_cnt[261][5]~30542_combout\,
	cout => \led_flash_cnt[261][5]~30543\);

-- Location: FF_X70_Y43_N25
\led_flash_cnt[261][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[261][5]~30542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[261][5]~q\);

-- Location: LCCOMB_X70_Y43_N26
\led_flash_cnt[261][6]~30544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[261][6]~30544_combout\ = (\led_flash_cnt[261][6]~q\ & (!\led_flash_cnt[261][5]~30543\)) # (!\led_flash_cnt[261][6]~q\ & ((\led_flash_cnt[261][5]~30543\) # (GND)))
-- \led_flash_cnt[261][6]~30545\ = CARRY((!\led_flash_cnt[261][5]~30543\) # (!\led_flash_cnt[261][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[261][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[261][5]~30543\,
	combout => \led_flash_cnt[261][6]~30544_combout\,
	cout => \led_flash_cnt[261][6]~30545\);

-- Location: FF_X70_Y43_N27
\led_flash_cnt[261][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[261][6]~30544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[261][6]~q\);

-- Location: LCCOMB_X70_Y43_N28
\led_flash_cnt[261][7]~30546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[261][7]~30546_combout\ = \led_flash_cnt[261][6]~30545\ $ (!\led_flash_cnt[261][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[261][7]~q\,
	cin => \led_flash_cnt[261][6]~30545\,
	combout => \led_flash_cnt[261][7]~30546_combout\);

-- Location: FF_X70_Y43_N29
\led_flash_cnt[261][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[261][7]~30546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[261][7]~q\);

-- Location: LCCOMB_X70_Y41_N2
\WideAnd261~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd261~1_combout\ = (\led_flash_cnt[261][6]~q\ & \led_flash_cnt[261][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[261][6]~q\,
	datad => \led_flash_cnt[261][5]~q\,
	combout => \WideAnd261~1_combout\);

-- Location: LCCOMB_X70_Y41_N4
WideAnd261 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd261~combout\ = (\WideAnd261~0_combout\ & (\led_flash_cnt[261][7]~q\ & (\led_flash_cnt[261][0]~q\ & \WideAnd261~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd261~0_combout\,
	datab => \led_flash_cnt[261][7]~q\,
	datac => \led_flash_cnt[261][0]~q\,
	datad => \WideAnd261~1_combout\,
	combout => \WideAnd261~combout\);

-- Location: FF_X70_Y41_N5
\led_flash_cnt_ands[261]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd261~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(261));

-- Location: LCCOMB_X58_Y41_N2
\led_flash_cnt[260][0]~80900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[260][0]~80900_combout\ = !\led_flash_cnt[260][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[260][0]~q\,
	combout => \led_flash_cnt[260][0]~80900_combout\);

-- Location: FF_X58_Y41_N3
\led_flash_cnt[260][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[260][0]~80900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[260][0]~q\);

-- Location: LCCOMB_X59_Y41_N18
\led_flash_cnt[260][1]~30520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[260][1]~30520_combout\ = (\led_flash_cnt[260][0]~q\ & (\led_flash_cnt[260][1]~q\ $ (VCC))) # (!\led_flash_cnt[260][0]~q\ & (\led_flash_cnt[260][1]~q\ & VCC))
-- \led_flash_cnt[260][1]~30521\ = CARRY((\led_flash_cnt[260][0]~q\ & \led_flash_cnt[260][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[260][0]~q\,
	datab => \led_flash_cnt[260][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[260][1]~30520_combout\,
	cout => \led_flash_cnt[260][1]~30521\);

-- Location: FF_X59_Y41_N19
\led_flash_cnt[260][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[260][1]~30520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[260][1]~q\);

-- Location: LCCOMB_X59_Y41_N20
\led_flash_cnt[260][2]~30522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[260][2]~30522_combout\ = (\led_flash_cnt[260][2]~q\ & (!\led_flash_cnt[260][1]~30521\)) # (!\led_flash_cnt[260][2]~q\ & ((\led_flash_cnt[260][1]~30521\) # (GND)))
-- \led_flash_cnt[260][2]~30523\ = CARRY((!\led_flash_cnt[260][1]~30521\) # (!\led_flash_cnt[260][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[260][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[260][1]~30521\,
	combout => \led_flash_cnt[260][2]~30522_combout\,
	cout => \led_flash_cnt[260][2]~30523\);

-- Location: FF_X59_Y41_N21
\led_flash_cnt[260][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[260][2]~30522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[260][2]~q\);

-- Location: LCCOMB_X59_Y41_N22
\led_flash_cnt[260][3]~30524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[260][3]~30524_combout\ = (\led_flash_cnt[260][3]~q\ & (\led_flash_cnt[260][2]~30523\ $ (GND))) # (!\led_flash_cnt[260][3]~q\ & (!\led_flash_cnt[260][2]~30523\ & VCC))
-- \led_flash_cnt[260][3]~30525\ = CARRY((\led_flash_cnt[260][3]~q\ & !\led_flash_cnt[260][2]~30523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[260][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[260][2]~30523\,
	combout => \led_flash_cnt[260][3]~30524_combout\,
	cout => \led_flash_cnt[260][3]~30525\);

-- Location: FF_X59_Y41_N23
\led_flash_cnt[260][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[260][3]~30524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[260][3]~q\);

-- Location: LCCOMB_X59_Y41_N24
\led_flash_cnt[260][4]~30526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[260][4]~30526_combout\ = (\led_flash_cnt[260][4]~q\ & (!\led_flash_cnt[260][3]~30525\)) # (!\led_flash_cnt[260][4]~q\ & ((\led_flash_cnt[260][3]~30525\) # (GND)))
-- \led_flash_cnt[260][4]~30527\ = CARRY((!\led_flash_cnt[260][3]~30525\) # (!\led_flash_cnt[260][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[260][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[260][3]~30525\,
	combout => \led_flash_cnt[260][4]~30526_combout\,
	cout => \led_flash_cnt[260][4]~30527\);

-- Location: FF_X59_Y41_N25
\led_flash_cnt[260][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[260][4]~30526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[260][4]~q\);

-- Location: LCCOMB_X59_Y41_N26
\led_flash_cnt[260][5]~30528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[260][5]~30528_combout\ = (\led_flash_cnt[260][5]~q\ & (\led_flash_cnt[260][4]~30527\ $ (GND))) # (!\led_flash_cnt[260][5]~q\ & (!\led_flash_cnt[260][4]~30527\ & VCC))
-- \led_flash_cnt[260][5]~30529\ = CARRY((\led_flash_cnt[260][5]~q\ & !\led_flash_cnt[260][4]~30527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[260][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[260][4]~30527\,
	combout => \led_flash_cnt[260][5]~30528_combout\,
	cout => \led_flash_cnt[260][5]~30529\);

-- Location: FF_X59_Y41_N27
\led_flash_cnt[260][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[260][5]~30528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[260][5]~q\);

-- Location: LCCOMB_X59_Y41_N28
\led_flash_cnt[260][6]~30530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[260][6]~30530_combout\ = (\led_flash_cnt[260][6]~q\ & (!\led_flash_cnt[260][5]~30529\)) # (!\led_flash_cnt[260][6]~q\ & ((\led_flash_cnt[260][5]~30529\) # (GND)))
-- \led_flash_cnt[260][6]~30531\ = CARRY((!\led_flash_cnt[260][5]~30529\) # (!\led_flash_cnt[260][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[260][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[260][5]~30529\,
	combout => \led_flash_cnt[260][6]~30530_combout\,
	cout => \led_flash_cnt[260][6]~30531\);

-- Location: FF_X59_Y41_N29
\led_flash_cnt[260][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[260][6]~30530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[260][6]~q\);

-- Location: LCCOMB_X59_Y41_N30
\led_flash_cnt[260][7]~30532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[260][7]~30532_combout\ = \led_flash_cnt[260][7]~q\ $ (!\led_flash_cnt[260][6]~30531\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[260][7]~q\,
	cin => \led_flash_cnt[260][6]~30531\,
	combout => \led_flash_cnt[260][7]~30532_combout\);

-- Location: FF_X59_Y41_N31
\led_flash_cnt[260][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[260][7]~30532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[260][7]~q\);

-- Location: LCCOMB_X59_Y41_N0
\WideAnd260~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd260~0_combout\ = (\led_flash_cnt[260][4]~q\ & (\led_flash_cnt[260][2]~q\ & (\led_flash_cnt[260][3]~q\ & \led_flash_cnt[260][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[260][4]~q\,
	datab => \led_flash_cnt[260][2]~q\,
	datac => \led_flash_cnt[260][3]~q\,
	datad => \led_flash_cnt[260][1]~q\,
	combout => \WideAnd260~0_combout\);

-- Location: LCCOMB_X58_Y41_N6
\WideAnd260~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd260~1_combout\ = (\led_flash_cnt[260][6]~q\ & \led_flash_cnt[260][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[260][6]~q\,
	datad => \led_flash_cnt[260][5]~q\,
	combout => \WideAnd260~1_combout\);

-- Location: LCCOMB_X58_Y41_N12
WideAnd260 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd260~combout\ = (\led_flash_cnt[260][7]~q\ & (\led_flash_cnt[260][0]~q\ & (\WideAnd260~0_combout\ & \WideAnd260~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[260][7]~q\,
	datab => \led_flash_cnt[260][0]~q\,
	datac => \WideAnd260~0_combout\,
	datad => \WideAnd260~1_combout\,
	combout => \WideAnd260~combout\);

-- Location: FF_X58_Y41_N13
\led_flash_cnt_ands[260]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd260~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(260));

-- Location: LCCOMB_X58_Y41_N4
\WideAnd3872~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3872~1_combout\ = (led_flash_cnt_ands(261) & led_flash_cnt_ands(260))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(261),
	datad => led_flash_cnt_ands(260),
	combout => \WideAnd3872~1_combout\);

-- Location: LCCOMB_X54_Y41_N18
WideAnd3872 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3872~combout\ = (led_flash_cnt_ands(263) & (led_flash_cnt_ands(262) & (\WideAnd3872~0_combout\ & \WideAnd3872~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(263),
	datab => led_flash_cnt_ands(262),
	datac => \WideAnd3872~0_combout\,
	datad => \WideAnd3872~1_combout\,
	combout => \WideAnd3872~combout\);

-- Location: FF_X54_Y41_N19
\led_flash_cnt_ands_1[32]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3872~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(32));

-- Location: LCCOMB_X4_Y38_N28
\led_flash_cnt[270][0]~80910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[270][0]~80910_combout\ = !\led_flash_cnt[270][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[270][0]~q\,
	combout => \led_flash_cnt[270][0]~80910_combout\);

-- Location: FF_X4_Y38_N29
\led_flash_cnt[270][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[270][0]~80910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[270][0]~q\);

-- Location: LCCOMB_X3_Y38_N18
\led_flash_cnt[270][1]~30660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[270][1]~30660_combout\ = (\led_flash_cnt[270][1]~q\ & (\led_flash_cnt[270][0]~q\ $ (VCC))) # (!\led_flash_cnt[270][1]~q\ & (\led_flash_cnt[270][0]~q\ & VCC))
-- \led_flash_cnt[270][1]~30661\ = CARRY((\led_flash_cnt[270][1]~q\ & \led_flash_cnt[270][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[270][1]~q\,
	datab => \led_flash_cnt[270][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[270][1]~30660_combout\,
	cout => \led_flash_cnt[270][1]~30661\);

-- Location: FF_X3_Y38_N19
\led_flash_cnt[270][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[270][1]~30660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[270][1]~q\);

-- Location: LCCOMB_X3_Y38_N20
\led_flash_cnt[270][2]~30662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[270][2]~30662_combout\ = (\led_flash_cnt[270][2]~q\ & (!\led_flash_cnt[270][1]~30661\)) # (!\led_flash_cnt[270][2]~q\ & ((\led_flash_cnt[270][1]~30661\) # (GND)))
-- \led_flash_cnt[270][2]~30663\ = CARRY((!\led_flash_cnt[270][1]~30661\) # (!\led_flash_cnt[270][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[270][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[270][1]~30661\,
	combout => \led_flash_cnt[270][2]~30662_combout\,
	cout => \led_flash_cnt[270][2]~30663\);

-- Location: FF_X3_Y38_N21
\led_flash_cnt[270][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[270][2]~30662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[270][2]~q\);

-- Location: LCCOMB_X3_Y38_N22
\led_flash_cnt[270][3]~30664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[270][3]~30664_combout\ = (\led_flash_cnt[270][3]~q\ & (\led_flash_cnt[270][2]~30663\ $ (GND))) # (!\led_flash_cnt[270][3]~q\ & (!\led_flash_cnt[270][2]~30663\ & VCC))
-- \led_flash_cnt[270][3]~30665\ = CARRY((\led_flash_cnt[270][3]~q\ & !\led_flash_cnt[270][2]~30663\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[270][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[270][2]~30663\,
	combout => \led_flash_cnt[270][3]~30664_combout\,
	cout => \led_flash_cnt[270][3]~30665\);

-- Location: FF_X3_Y38_N23
\led_flash_cnt[270][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[270][3]~30664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[270][3]~q\);

-- Location: LCCOMB_X3_Y38_N24
\led_flash_cnt[270][4]~30666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[270][4]~30666_combout\ = (\led_flash_cnt[270][4]~q\ & (!\led_flash_cnt[270][3]~30665\)) # (!\led_flash_cnt[270][4]~q\ & ((\led_flash_cnt[270][3]~30665\) # (GND)))
-- \led_flash_cnt[270][4]~30667\ = CARRY((!\led_flash_cnt[270][3]~30665\) # (!\led_flash_cnt[270][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[270][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[270][3]~30665\,
	combout => \led_flash_cnt[270][4]~30666_combout\,
	cout => \led_flash_cnt[270][4]~30667\);

-- Location: FF_X3_Y38_N25
\led_flash_cnt[270][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[270][4]~30666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[270][4]~q\);

-- Location: LCCOMB_X3_Y38_N26
\led_flash_cnt[270][5]~30668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[270][5]~30668_combout\ = (\led_flash_cnt[270][5]~q\ & (\led_flash_cnt[270][4]~30667\ $ (GND))) # (!\led_flash_cnt[270][5]~q\ & (!\led_flash_cnt[270][4]~30667\ & VCC))
-- \led_flash_cnt[270][5]~30669\ = CARRY((\led_flash_cnt[270][5]~q\ & !\led_flash_cnt[270][4]~30667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[270][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[270][4]~30667\,
	combout => \led_flash_cnt[270][5]~30668_combout\,
	cout => \led_flash_cnt[270][5]~30669\);

-- Location: FF_X3_Y38_N27
\led_flash_cnt[270][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[270][5]~30668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[270][5]~q\);

-- Location: LCCOMB_X3_Y38_N28
\led_flash_cnt[270][6]~30670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[270][6]~30670_combout\ = (\led_flash_cnt[270][6]~q\ & (!\led_flash_cnt[270][5]~30669\)) # (!\led_flash_cnt[270][6]~q\ & ((\led_flash_cnt[270][5]~30669\) # (GND)))
-- \led_flash_cnt[270][6]~30671\ = CARRY((!\led_flash_cnt[270][5]~30669\) # (!\led_flash_cnt[270][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[270][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[270][5]~30669\,
	combout => \led_flash_cnt[270][6]~30670_combout\,
	cout => \led_flash_cnt[270][6]~30671\);

-- Location: FF_X3_Y38_N29
\led_flash_cnt[270][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[270][6]~30670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[270][6]~q\);

-- Location: LCCOMB_X4_Y38_N22
\WideAnd270~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd270~1_combout\ = (\led_flash_cnt[270][5]~q\ & \led_flash_cnt[270][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[270][5]~q\,
	datad => \led_flash_cnt[270][6]~q\,
	combout => \WideAnd270~1_combout\);

-- Location: LCCOMB_X3_Y38_N30
\led_flash_cnt[270][7]~30672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[270][7]~30672_combout\ = \led_flash_cnt[270][7]~q\ $ (!\led_flash_cnt[270][6]~30671\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[270][7]~q\,
	cin => \led_flash_cnt[270][6]~30671\,
	combout => \led_flash_cnt[270][7]~30672_combout\);

-- Location: FF_X3_Y38_N31
\led_flash_cnt[270][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[270][7]~30672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[270][7]~q\);

-- Location: LCCOMB_X3_Y38_N16
\WideAnd270~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd270~0_combout\ = (\led_flash_cnt[270][1]~q\ & (\led_flash_cnt[270][4]~q\ & (\led_flash_cnt[270][3]~q\ & \led_flash_cnt[270][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[270][1]~q\,
	datab => \led_flash_cnt[270][4]~q\,
	datac => \led_flash_cnt[270][3]~q\,
	datad => \led_flash_cnt[270][2]~q\,
	combout => \WideAnd270~0_combout\);

-- Location: LCCOMB_X4_Y38_N20
WideAnd270 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd270~combout\ = (\WideAnd270~1_combout\ & (\led_flash_cnt[270][7]~q\ & (\WideAnd270~0_combout\ & \led_flash_cnt[270][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd270~1_combout\,
	datab => \led_flash_cnt[270][7]~q\,
	datac => \WideAnd270~0_combout\,
	datad => \led_flash_cnt[270][0]~q\,
	combout => \WideAnd270~combout\);

-- Location: FF_X4_Y38_N21
\led_flash_cnt_ands[270]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd270~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(270));

-- Location: LCCOMB_X9_Y38_N26
\led_flash_cnt[271][0]~80911\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[271][0]~80911_combout\ = !\led_flash_cnt[271][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[271][0]~q\,
	combout => \led_flash_cnt[271][0]~80911_combout\);

-- Location: FF_X9_Y38_N27
\led_flash_cnt[271][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[271][0]~80911_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[271][0]~q\);

-- Location: LCCOMB_X10_Y38_N14
\led_flash_cnt[271][1]~30674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[271][1]~30674_combout\ = (\led_flash_cnt[271][0]~q\ & (\led_flash_cnt[271][1]~q\ $ (VCC))) # (!\led_flash_cnt[271][0]~q\ & (\led_flash_cnt[271][1]~q\ & VCC))
-- \led_flash_cnt[271][1]~30675\ = CARRY((\led_flash_cnt[271][0]~q\ & \led_flash_cnt[271][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[271][0]~q\,
	datab => \led_flash_cnt[271][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[271][1]~30674_combout\,
	cout => \led_flash_cnt[271][1]~30675\);

-- Location: FF_X10_Y38_N15
\led_flash_cnt[271][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[271][1]~30674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[271][1]~q\);

-- Location: LCCOMB_X10_Y38_N16
\led_flash_cnt[271][2]~30676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[271][2]~30676_combout\ = (\led_flash_cnt[271][2]~q\ & (!\led_flash_cnt[271][1]~30675\)) # (!\led_flash_cnt[271][2]~q\ & ((\led_flash_cnt[271][1]~30675\) # (GND)))
-- \led_flash_cnt[271][2]~30677\ = CARRY((!\led_flash_cnt[271][1]~30675\) # (!\led_flash_cnt[271][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[271][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[271][1]~30675\,
	combout => \led_flash_cnt[271][2]~30676_combout\,
	cout => \led_flash_cnt[271][2]~30677\);

-- Location: FF_X10_Y38_N17
\led_flash_cnt[271][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[271][2]~30676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[271][2]~q\);

-- Location: LCCOMB_X10_Y38_N18
\led_flash_cnt[271][3]~30678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[271][3]~30678_combout\ = (\led_flash_cnt[271][3]~q\ & (\led_flash_cnt[271][2]~30677\ $ (GND))) # (!\led_flash_cnt[271][3]~q\ & (!\led_flash_cnt[271][2]~30677\ & VCC))
-- \led_flash_cnt[271][3]~30679\ = CARRY((\led_flash_cnt[271][3]~q\ & !\led_flash_cnt[271][2]~30677\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[271][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[271][2]~30677\,
	combout => \led_flash_cnt[271][3]~30678_combout\,
	cout => \led_flash_cnt[271][3]~30679\);

-- Location: FF_X10_Y38_N19
\led_flash_cnt[271][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[271][3]~30678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[271][3]~q\);

-- Location: LCCOMB_X10_Y38_N20
\led_flash_cnt[271][4]~30680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[271][4]~30680_combout\ = (\led_flash_cnt[271][4]~q\ & (!\led_flash_cnt[271][3]~30679\)) # (!\led_flash_cnt[271][4]~q\ & ((\led_flash_cnt[271][3]~30679\) # (GND)))
-- \led_flash_cnt[271][4]~30681\ = CARRY((!\led_flash_cnt[271][3]~30679\) # (!\led_flash_cnt[271][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[271][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[271][3]~30679\,
	combout => \led_flash_cnt[271][4]~30680_combout\,
	cout => \led_flash_cnt[271][4]~30681\);

-- Location: FF_X10_Y38_N21
\led_flash_cnt[271][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[271][4]~30680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[271][4]~q\);

-- Location: LCCOMB_X10_Y38_N22
\led_flash_cnt[271][5]~30682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[271][5]~30682_combout\ = (\led_flash_cnt[271][5]~q\ & (\led_flash_cnt[271][4]~30681\ $ (GND))) # (!\led_flash_cnt[271][5]~q\ & (!\led_flash_cnt[271][4]~30681\ & VCC))
-- \led_flash_cnt[271][5]~30683\ = CARRY((\led_flash_cnt[271][5]~q\ & !\led_flash_cnt[271][4]~30681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[271][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[271][4]~30681\,
	combout => \led_flash_cnt[271][5]~30682_combout\,
	cout => \led_flash_cnt[271][5]~30683\);

-- Location: FF_X10_Y38_N23
\led_flash_cnt[271][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[271][5]~30682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[271][5]~q\);

-- Location: LCCOMB_X10_Y38_N24
\led_flash_cnt[271][6]~30684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[271][6]~30684_combout\ = (\led_flash_cnt[271][6]~q\ & (!\led_flash_cnt[271][5]~30683\)) # (!\led_flash_cnt[271][6]~q\ & ((\led_flash_cnt[271][5]~30683\) # (GND)))
-- \led_flash_cnt[271][6]~30685\ = CARRY((!\led_flash_cnt[271][5]~30683\) # (!\led_flash_cnt[271][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[271][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[271][5]~30683\,
	combout => \led_flash_cnt[271][6]~30684_combout\,
	cout => \led_flash_cnt[271][6]~30685\);

-- Location: FF_X10_Y38_N25
\led_flash_cnt[271][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[271][6]~30684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[271][6]~q\);

-- Location: LCCOMB_X10_Y38_N26
\led_flash_cnt[271][7]~30686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[271][7]~30686_combout\ = \led_flash_cnt[271][7]~q\ $ (!\led_flash_cnt[271][6]~30685\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[271][7]~q\,
	cin => \led_flash_cnt[271][6]~30685\,
	combout => \led_flash_cnt[271][7]~30686_combout\);

-- Location: FF_X10_Y38_N27
\led_flash_cnt[271][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[271][7]~30686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[271][7]~q\);

-- Location: LCCOMB_X9_Y38_N14
\WideAnd271~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd271~1_combout\ = (\led_flash_cnt[271][6]~q\ & \led_flash_cnt[271][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[271][6]~q\,
	datad => \led_flash_cnt[271][5]~q\,
	combout => \WideAnd271~1_combout\);

-- Location: LCCOMB_X10_Y38_N28
\WideAnd271~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd271~0_combout\ = (\led_flash_cnt[271][2]~q\ & (\led_flash_cnt[271][4]~q\ & (\led_flash_cnt[271][1]~q\ & \led_flash_cnt[271][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[271][2]~q\,
	datab => \led_flash_cnt[271][4]~q\,
	datac => \led_flash_cnt[271][1]~q\,
	datad => \led_flash_cnt[271][3]~q\,
	combout => \WideAnd271~0_combout\);

-- Location: LCCOMB_X9_Y38_N16
WideAnd271 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd271~combout\ = (\led_flash_cnt[271][0]~q\ & (\led_flash_cnt[271][7]~q\ & (\WideAnd271~1_combout\ & \WideAnd271~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[271][0]~q\,
	datab => \led_flash_cnt[271][7]~q\,
	datac => \WideAnd271~1_combout\,
	datad => \WideAnd271~0_combout\,
	combout => \WideAnd271~combout\);

-- Location: FF_X9_Y38_N17
\led_flash_cnt_ands[271]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd271~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(271));

-- Location: LCCOMB_X58_Y21_N4
\led_flash_cnt[265][0]~80905\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[265][0]~80905_combout\ = !\led_flash_cnt[265][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[265][0]~q\,
	combout => \led_flash_cnt[265][0]~80905_combout\);

-- Location: FF_X58_Y21_N5
\led_flash_cnt[265][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[265][0]~80905_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[265][0]~q\);

-- Location: LCCOMB_X59_Y21_N18
\led_flash_cnt[265][1]~30590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[265][1]~30590_combout\ = (\led_flash_cnt[265][1]~q\ & (\led_flash_cnt[265][0]~q\ $ (VCC))) # (!\led_flash_cnt[265][1]~q\ & (\led_flash_cnt[265][0]~q\ & VCC))
-- \led_flash_cnt[265][1]~30591\ = CARRY((\led_flash_cnt[265][1]~q\ & \led_flash_cnt[265][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[265][1]~q\,
	datab => \led_flash_cnt[265][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[265][1]~30590_combout\,
	cout => \led_flash_cnt[265][1]~30591\);

-- Location: FF_X59_Y21_N19
\led_flash_cnt[265][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[265][1]~30590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[265][1]~q\);

-- Location: LCCOMB_X59_Y21_N20
\led_flash_cnt[265][2]~30592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[265][2]~30592_combout\ = (\led_flash_cnt[265][2]~q\ & (!\led_flash_cnt[265][1]~30591\)) # (!\led_flash_cnt[265][2]~q\ & ((\led_flash_cnt[265][1]~30591\) # (GND)))
-- \led_flash_cnt[265][2]~30593\ = CARRY((!\led_flash_cnt[265][1]~30591\) # (!\led_flash_cnt[265][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[265][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[265][1]~30591\,
	combout => \led_flash_cnt[265][2]~30592_combout\,
	cout => \led_flash_cnt[265][2]~30593\);

-- Location: FF_X59_Y21_N21
\led_flash_cnt[265][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[265][2]~30592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[265][2]~q\);

-- Location: LCCOMB_X59_Y21_N22
\led_flash_cnt[265][3]~30594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[265][3]~30594_combout\ = (\led_flash_cnt[265][3]~q\ & (\led_flash_cnt[265][2]~30593\ $ (GND))) # (!\led_flash_cnt[265][3]~q\ & (!\led_flash_cnt[265][2]~30593\ & VCC))
-- \led_flash_cnt[265][3]~30595\ = CARRY((\led_flash_cnt[265][3]~q\ & !\led_flash_cnt[265][2]~30593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[265][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[265][2]~30593\,
	combout => \led_flash_cnt[265][3]~30594_combout\,
	cout => \led_flash_cnt[265][3]~30595\);

-- Location: FF_X59_Y21_N23
\led_flash_cnt[265][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[265][3]~30594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[265][3]~q\);

-- Location: LCCOMB_X59_Y21_N24
\led_flash_cnt[265][4]~30596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[265][4]~30596_combout\ = (\led_flash_cnt[265][4]~q\ & (!\led_flash_cnt[265][3]~30595\)) # (!\led_flash_cnt[265][4]~q\ & ((\led_flash_cnt[265][3]~30595\) # (GND)))
-- \led_flash_cnt[265][4]~30597\ = CARRY((!\led_flash_cnt[265][3]~30595\) # (!\led_flash_cnt[265][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[265][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[265][3]~30595\,
	combout => \led_flash_cnt[265][4]~30596_combout\,
	cout => \led_flash_cnt[265][4]~30597\);

-- Location: FF_X59_Y21_N25
\led_flash_cnt[265][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[265][4]~30596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[265][4]~q\);

-- Location: LCCOMB_X59_Y21_N26
\led_flash_cnt[265][5]~30598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[265][5]~30598_combout\ = (\led_flash_cnt[265][5]~q\ & (\led_flash_cnt[265][4]~30597\ $ (GND))) # (!\led_flash_cnt[265][5]~q\ & (!\led_flash_cnt[265][4]~30597\ & VCC))
-- \led_flash_cnt[265][5]~30599\ = CARRY((\led_flash_cnt[265][5]~q\ & !\led_flash_cnt[265][4]~30597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[265][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[265][4]~30597\,
	combout => \led_flash_cnt[265][5]~30598_combout\,
	cout => \led_flash_cnt[265][5]~30599\);

-- Location: FF_X59_Y21_N27
\led_flash_cnt[265][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[265][5]~30598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[265][5]~q\);

-- Location: LCCOMB_X59_Y21_N28
\led_flash_cnt[265][6]~30600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[265][6]~30600_combout\ = (\led_flash_cnt[265][6]~q\ & (!\led_flash_cnt[265][5]~30599\)) # (!\led_flash_cnt[265][6]~q\ & ((\led_flash_cnt[265][5]~30599\) # (GND)))
-- \led_flash_cnt[265][6]~30601\ = CARRY((!\led_flash_cnt[265][5]~30599\) # (!\led_flash_cnt[265][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[265][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[265][5]~30599\,
	combout => \led_flash_cnt[265][6]~30600_combout\,
	cout => \led_flash_cnt[265][6]~30601\);

-- Location: FF_X59_Y21_N29
\led_flash_cnt[265][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[265][6]~30600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[265][6]~q\);

-- Location: LCCOMB_X59_Y21_N30
\led_flash_cnt[265][7]~30602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[265][7]~30602_combout\ = \led_flash_cnt[265][7]~q\ $ (!\led_flash_cnt[265][6]~30601\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[265][7]~q\,
	cin => \led_flash_cnt[265][6]~30601\,
	combout => \led_flash_cnt[265][7]~30602_combout\);

-- Location: FF_X59_Y21_N31
\led_flash_cnt[265][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[265][7]~30602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[265][7]~q\);

-- Location: LCCOMB_X58_Y21_N28
\WideAnd265~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd265~1_combout\ = (\led_flash_cnt[265][6]~q\ & \led_flash_cnt[265][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[265][6]~q\,
	datad => \led_flash_cnt[265][5]~q\,
	combout => \WideAnd265~1_combout\);

-- Location: LCCOMB_X60_Y21_N28
\WideAnd265~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd265~0_combout\ = (\led_flash_cnt[265][4]~q\ & (\led_flash_cnt[265][1]~q\ & (\led_flash_cnt[265][2]~q\ & \led_flash_cnt[265][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[265][4]~q\,
	datab => \led_flash_cnt[265][1]~q\,
	datac => \led_flash_cnt[265][2]~q\,
	datad => \led_flash_cnt[265][3]~q\,
	combout => \WideAnd265~0_combout\);

-- Location: LCCOMB_X59_Y21_N16
WideAnd265 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd265~combout\ = (\led_flash_cnt[265][7]~q\ & (\WideAnd265~1_combout\ & (\led_flash_cnt[265][0]~q\ & \WideAnd265~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[265][7]~q\,
	datab => \WideAnd265~1_combout\,
	datac => \led_flash_cnt[265][0]~q\,
	datad => \WideAnd265~0_combout\,
	combout => \WideAnd265~combout\);

-- Location: FF_X59_Y21_N17
\led_flash_cnt_ands[265]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd265~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(265));

-- Location: LCCOMB_X63_Y24_N6
\led_flash_cnt[267][0]~80907\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[267][0]~80907_combout\ = !\led_flash_cnt[267][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[267][0]~q\,
	combout => \led_flash_cnt[267][0]~80907_combout\);

-- Location: FF_X63_Y24_N7
\led_flash_cnt[267][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[267][0]~80907_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[267][0]~q\);

-- Location: LCCOMB_X64_Y24_N0
\led_flash_cnt[267][1]~30618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[267][1]~30618_combout\ = (\led_flash_cnt[267][0]~q\ & (\led_flash_cnt[267][1]~q\ $ (VCC))) # (!\led_flash_cnt[267][0]~q\ & (\led_flash_cnt[267][1]~q\ & VCC))
-- \led_flash_cnt[267][1]~30619\ = CARRY((\led_flash_cnt[267][0]~q\ & \led_flash_cnt[267][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[267][0]~q\,
	datab => \led_flash_cnt[267][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[267][1]~30618_combout\,
	cout => \led_flash_cnt[267][1]~30619\);

-- Location: FF_X64_Y24_N1
\led_flash_cnt[267][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[267][1]~30618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[267][1]~q\);

-- Location: LCCOMB_X64_Y24_N2
\led_flash_cnt[267][2]~30620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[267][2]~30620_combout\ = (\led_flash_cnt[267][2]~q\ & (!\led_flash_cnt[267][1]~30619\)) # (!\led_flash_cnt[267][2]~q\ & ((\led_flash_cnt[267][1]~30619\) # (GND)))
-- \led_flash_cnt[267][2]~30621\ = CARRY((!\led_flash_cnt[267][1]~30619\) # (!\led_flash_cnt[267][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[267][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[267][1]~30619\,
	combout => \led_flash_cnt[267][2]~30620_combout\,
	cout => \led_flash_cnt[267][2]~30621\);

-- Location: FF_X64_Y24_N3
\led_flash_cnt[267][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[267][2]~30620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[267][2]~q\);

-- Location: LCCOMB_X64_Y24_N4
\led_flash_cnt[267][3]~30622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[267][3]~30622_combout\ = (\led_flash_cnt[267][3]~q\ & (\led_flash_cnt[267][2]~30621\ $ (GND))) # (!\led_flash_cnt[267][3]~q\ & (!\led_flash_cnt[267][2]~30621\ & VCC))
-- \led_flash_cnt[267][3]~30623\ = CARRY((\led_flash_cnt[267][3]~q\ & !\led_flash_cnt[267][2]~30621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[267][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[267][2]~30621\,
	combout => \led_flash_cnt[267][3]~30622_combout\,
	cout => \led_flash_cnt[267][3]~30623\);

-- Location: FF_X64_Y24_N5
\led_flash_cnt[267][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[267][3]~30622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[267][3]~q\);

-- Location: LCCOMB_X64_Y24_N6
\led_flash_cnt[267][4]~30624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[267][4]~30624_combout\ = (\led_flash_cnt[267][4]~q\ & (!\led_flash_cnt[267][3]~30623\)) # (!\led_flash_cnt[267][4]~q\ & ((\led_flash_cnt[267][3]~30623\) # (GND)))
-- \led_flash_cnt[267][4]~30625\ = CARRY((!\led_flash_cnt[267][3]~30623\) # (!\led_flash_cnt[267][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[267][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[267][3]~30623\,
	combout => \led_flash_cnt[267][4]~30624_combout\,
	cout => \led_flash_cnt[267][4]~30625\);

-- Location: FF_X64_Y24_N7
\led_flash_cnt[267][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[267][4]~30624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[267][4]~q\);

-- Location: LCCOMB_X64_Y24_N8
\led_flash_cnt[267][5]~30626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[267][5]~30626_combout\ = (\led_flash_cnt[267][5]~q\ & (\led_flash_cnt[267][4]~30625\ $ (GND))) # (!\led_flash_cnt[267][5]~q\ & (!\led_flash_cnt[267][4]~30625\ & VCC))
-- \led_flash_cnt[267][5]~30627\ = CARRY((\led_flash_cnt[267][5]~q\ & !\led_flash_cnt[267][4]~30625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[267][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[267][4]~30625\,
	combout => \led_flash_cnt[267][5]~30626_combout\,
	cout => \led_flash_cnt[267][5]~30627\);

-- Location: FF_X64_Y24_N9
\led_flash_cnt[267][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[267][5]~30626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[267][5]~q\);

-- Location: LCCOMB_X64_Y24_N10
\led_flash_cnt[267][6]~30628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[267][6]~30628_combout\ = (\led_flash_cnt[267][6]~q\ & (!\led_flash_cnt[267][5]~30627\)) # (!\led_flash_cnt[267][6]~q\ & ((\led_flash_cnt[267][5]~30627\) # (GND)))
-- \led_flash_cnt[267][6]~30629\ = CARRY((!\led_flash_cnt[267][5]~30627\) # (!\led_flash_cnt[267][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[267][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[267][5]~30627\,
	combout => \led_flash_cnt[267][6]~30628_combout\,
	cout => \led_flash_cnt[267][6]~30629\);

-- Location: FF_X64_Y24_N11
\led_flash_cnt[267][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[267][6]~30628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[267][6]~q\);

-- Location: LCCOMB_X63_Y24_N30
\WideAnd267~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd267~1_combout\ = (\led_flash_cnt[267][6]~q\ & \led_flash_cnt[267][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[267][6]~q\,
	datac => \led_flash_cnt[267][5]~q\,
	combout => \WideAnd267~1_combout\);

-- Location: LCCOMB_X64_Y24_N28
\WideAnd267~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd267~0_combout\ = (\led_flash_cnt[267][4]~q\ & (\led_flash_cnt[267][1]~q\ & (\led_flash_cnt[267][3]~q\ & \led_flash_cnt[267][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[267][4]~q\,
	datab => \led_flash_cnt[267][1]~q\,
	datac => \led_flash_cnt[267][3]~q\,
	datad => \led_flash_cnt[267][2]~q\,
	combout => \WideAnd267~0_combout\);

-- Location: LCCOMB_X64_Y24_N12
\led_flash_cnt[267][7]~30630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[267][7]~30630_combout\ = \led_flash_cnt[267][6]~30629\ $ (!\led_flash_cnt[267][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[267][7]~q\,
	cin => \led_flash_cnt[267][6]~30629\,
	combout => \led_flash_cnt[267][7]~30630_combout\);

-- Location: FF_X64_Y24_N13
\led_flash_cnt[267][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[267][7]~30630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[267][7]~q\);

-- Location: LCCOMB_X63_Y24_N28
WideAnd267 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd267~combout\ = (\WideAnd267~1_combout\ & (\WideAnd267~0_combout\ & (\led_flash_cnt[267][7]~q\ & \led_flash_cnt[267][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd267~1_combout\,
	datab => \WideAnd267~0_combout\,
	datac => \led_flash_cnt[267][7]~q\,
	datad => \led_flash_cnt[267][0]~q\,
	combout => \WideAnd267~combout\);

-- Location: FF_X63_Y24_N29
\led_flash_cnt_ands[267]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd267~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(267));

-- Location: LCCOMB_X74_Y20_N6
\led_flash_cnt[264][0]~80904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[264][0]~80904_combout\ = !\led_flash_cnt[264][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[264][0]~q\,
	combout => \led_flash_cnt[264][0]~80904_combout\);

-- Location: FF_X74_Y20_N7
\led_flash_cnt[264][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[264][0]~80904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[264][0]~q\);

-- Location: LCCOMB_X75_Y20_N4
\led_flash_cnt[264][1]~30576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[264][1]~30576_combout\ = (\led_flash_cnt[264][0]~q\ & (\led_flash_cnt[264][1]~q\ $ (VCC))) # (!\led_flash_cnt[264][0]~q\ & (\led_flash_cnt[264][1]~q\ & VCC))
-- \led_flash_cnt[264][1]~30577\ = CARRY((\led_flash_cnt[264][0]~q\ & \led_flash_cnt[264][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[264][0]~q\,
	datab => \led_flash_cnt[264][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[264][1]~30576_combout\,
	cout => \led_flash_cnt[264][1]~30577\);

-- Location: FF_X75_Y20_N5
\led_flash_cnt[264][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[264][1]~30576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[264][1]~q\);

-- Location: LCCOMB_X75_Y20_N6
\led_flash_cnt[264][2]~30578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[264][2]~30578_combout\ = (\led_flash_cnt[264][2]~q\ & (!\led_flash_cnt[264][1]~30577\)) # (!\led_flash_cnt[264][2]~q\ & ((\led_flash_cnt[264][1]~30577\) # (GND)))
-- \led_flash_cnt[264][2]~30579\ = CARRY((!\led_flash_cnt[264][1]~30577\) # (!\led_flash_cnt[264][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[264][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[264][1]~30577\,
	combout => \led_flash_cnt[264][2]~30578_combout\,
	cout => \led_flash_cnt[264][2]~30579\);

-- Location: FF_X75_Y20_N7
\led_flash_cnt[264][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[264][2]~30578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[264][2]~q\);

-- Location: LCCOMB_X75_Y20_N8
\led_flash_cnt[264][3]~30580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[264][3]~30580_combout\ = (\led_flash_cnt[264][3]~q\ & (\led_flash_cnt[264][2]~30579\ $ (GND))) # (!\led_flash_cnt[264][3]~q\ & (!\led_flash_cnt[264][2]~30579\ & VCC))
-- \led_flash_cnt[264][3]~30581\ = CARRY((\led_flash_cnt[264][3]~q\ & !\led_flash_cnt[264][2]~30579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[264][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[264][2]~30579\,
	combout => \led_flash_cnt[264][3]~30580_combout\,
	cout => \led_flash_cnt[264][3]~30581\);

-- Location: FF_X75_Y20_N9
\led_flash_cnt[264][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[264][3]~30580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[264][3]~q\);

-- Location: LCCOMB_X75_Y20_N10
\led_flash_cnt[264][4]~30582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[264][4]~30582_combout\ = (\led_flash_cnt[264][4]~q\ & (!\led_flash_cnt[264][3]~30581\)) # (!\led_flash_cnt[264][4]~q\ & ((\led_flash_cnt[264][3]~30581\) # (GND)))
-- \led_flash_cnt[264][4]~30583\ = CARRY((!\led_flash_cnt[264][3]~30581\) # (!\led_flash_cnt[264][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[264][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[264][3]~30581\,
	combout => \led_flash_cnt[264][4]~30582_combout\,
	cout => \led_flash_cnt[264][4]~30583\);

-- Location: FF_X75_Y20_N11
\led_flash_cnt[264][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[264][4]~30582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[264][4]~q\);

-- Location: LCCOMB_X75_Y20_N12
\led_flash_cnt[264][5]~30584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[264][5]~30584_combout\ = (\led_flash_cnt[264][5]~q\ & (\led_flash_cnt[264][4]~30583\ $ (GND))) # (!\led_flash_cnt[264][5]~q\ & (!\led_flash_cnt[264][4]~30583\ & VCC))
-- \led_flash_cnt[264][5]~30585\ = CARRY((\led_flash_cnt[264][5]~q\ & !\led_flash_cnt[264][4]~30583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[264][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[264][4]~30583\,
	combout => \led_flash_cnt[264][5]~30584_combout\,
	cout => \led_flash_cnt[264][5]~30585\);

-- Location: FF_X75_Y20_N13
\led_flash_cnt[264][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[264][5]~30584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[264][5]~q\);

-- Location: LCCOMB_X75_Y20_N14
\led_flash_cnt[264][6]~30586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[264][6]~30586_combout\ = (\led_flash_cnt[264][6]~q\ & (!\led_flash_cnt[264][5]~30585\)) # (!\led_flash_cnt[264][6]~q\ & ((\led_flash_cnt[264][5]~30585\) # (GND)))
-- \led_flash_cnt[264][6]~30587\ = CARRY((!\led_flash_cnt[264][5]~30585\) # (!\led_flash_cnt[264][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[264][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[264][5]~30585\,
	combout => \led_flash_cnt[264][6]~30586_combout\,
	cout => \led_flash_cnt[264][6]~30587\);

-- Location: FF_X75_Y20_N15
\led_flash_cnt[264][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[264][6]~30586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[264][6]~q\);

-- Location: LCCOMB_X75_Y20_N16
\led_flash_cnt[264][7]~30588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[264][7]~30588_combout\ = \led_flash_cnt[264][6]~30587\ $ (!\led_flash_cnt[264][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[264][7]~q\,
	cin => \led_flash_cnt[264][6]~30587\,
	combout => \led_flash_cnt[264][7]~30588_combout\);

-- Location: FF_X75_Y20_N17
\led_flash_cnt[264][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[264][7]~30588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[264][7]~q\);

-- Location: LCCOMB_X74_Y20_N14
\WideAnd264~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd264~1_combout\ = (\led_flash_cnt[264][6]~q\ & \led_flash_cnt[264][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[264][6]~q\,
	datac => \led_flash_cnt[264][5]~q\,
	combout => \WideAnd264~1_combout\);

-- Location: LCCOMB_X75_Y20_N2
\WideAnd264~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd264~0_combout\ = (\led_flash_cnt[264][4]~q\ & (\led_flash_cnt[264][3]~q\ & (\led_flash_cnt[264][1]~q\ & \led_flash_cnt[264][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[264][4]~q\,
	datab => \led_flash_cnt[264][3]~q\,
	datac => \led_flash_cnt[264][1]~q\,
	datad => \led_flash_cnt[264][2]~q\,
	combout => \WideAnd264~0_combout\);

-- Location: LCCOMB_X74_Y20_N10
WideAnd264 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd264~combout\ = (\led_flash_cnt[264][0]~q\ & (\led_flash_cnt[264][7]~q\ & (\WideAnd264~1_combout\ & \WideAnd264~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[264][0]~q\,
	datab => \led_flash_cnt[264][7]~q\,
	datac => \WideAnd264~1_combout\,
	datad => \WideAnd264~0_combout\,
	combout => \WideAnd264~combout\);

-- Location: FF_X74_Y20_N11
\led_flash_cnt_ands[264]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd264~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(264));

-- Location: LCCOMB_X63_Y24_N4
\led_flash_cnt[266][0]~80906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[266][0]~80906_combout\ = !\led_flash_cnt[266][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[266][0]~q\,
	combout => \led_flash_cnt[266][0]~80906_combout\);

-- Location: FF_X63_Y24_N5
\led_flash_cnt[266][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[266][0]~80906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[266][0]~q\);

-- Location: LCCOMB_X63_Y24_N10
\led_flash_cnt[266][1]~30604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[266][1]~30604_combout\ = (\led_flash_cnt[266][1]~q\ & (\led_flash_cnt[266][0]~q\ $ (VCC))) # (!\led_flash_cnt[266][1]~q\ & (\led_flash_cnt[266][0]~q\ & VCC))
-- \led_flash_cnt[266][1]~30605\ = CARRY((\led_flash_cnt[266][1]~q\ & \led_flash_cnt[266][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[266][1]~q\,
	datab => \led_flash_cnt[266][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[266][1]~30604_combout\,
	cout => \led_flash_cnt[266][1]~30605\);

-- Location: FF_X63_Y24_N11
\led_flash_cnt[266][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[266][1]~30604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[266][1]~q\);

-- Location: LCCOMB_X63_Y24_N12
\led_flash_cnt[266][2]~30606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[266][2]~30606_combout\ = (\led_flash_cnt[266][2]~q\ & (!\led_flash_cnt[266][1]~30605\)) # (!\led_flash_cnt[266][2]~q\ & ((\led_flash_cnt[266][1]~30605\) # (GND)))
-- \led_flash_cnt[266][2]~30607\ = CARRY((!\led_flash_cnt[266][1]~30605\) # (!\led_flash_cnt[266][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[266][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[266][1]~30605\,
	combout => \led_flash_cnt[266][2]~30606_combout\,
	cout => \led_flash_cnt[266][2]~30607\);

-- Location: FF_X63_Y24_N13
\led_flash_cnt[266][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[266][2]~30606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[266][2]~q\);

-- Location: LCCOMB_X63_Y24_N14
\led_flash_cnt[266][3]~30608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[266][3]~30608_combout\ = (\led_flash_cnt[266][3]~q\ & (\led_flash_cnt[266][2]~30607\ $ (GND))) # (!\led_flash_cnt[266][3]~q\ & (!\led_flash_cnt[266][2]~30607\ & VCC))
-- \led_flash_cnt[266][3]~30609\ = CARRY((\led_flash_cnt[266][3]~q\ & !\led_flash_cnt[266][2]~30607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[266][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[266][2]~30607\,
	combout => \led_flash_cnt[266][3]~30608_combout\,
	cout => \led_flash_cnt[266][3]~30609\);

-- Location: FF_X63_Y24_N15
\led_flash_cnt[266][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[266][3]~30608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[266][3]~q\);

-- Location: LCCOMB_X63_Y24_N16
\led_flash_cnt[266][4]~30610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[266][4]~30610_combout\ = (\led_flash_cnt[266][4]~q\ & (!\led_flash_cnt[266][3]~30609\)) # (!\led_flash_cnt[266][4]~q\ & ((\led_flash_cnt[266][3]~30609\) # (GND)))
-- \led_flash_cnt[266][4]~30611\ = CARRY((!\led_flash_cnt[266][3]~30609\) # (!\led_flash_cnt[266][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[266][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[266][3]~30609\,
	combout => \led_flash_cnt[266][4]~30610_combout\,
	cout => \led_flash_cnt[266][4]~30611\);

-- Location: FF_X63_Y24_N17
\led_flash_cnt[266][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[266][4]~30610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[266][4]~q\);

-- Location: LCCOMB_X63_Y24_N18
\led_flash_cnt[266][5]~30612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[266][5]~30612_combout\ = (\led_flash_cnt[266][5]~q\ & (\led_flash_cnt[266][4]~30611\ $ (GND))) # (!\led_flash_cnt[266][5]~q\ & (!\led_flash_cnt[266][4]~30611\ & VCC))
-- \led_flash_cnt[266][5]~30613\ = CARRY((\led_flash_cnt[266][5]~q\ & !\led_flash_cnt[266][4]~30611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[266][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[266][4]~30611\,
	combout => \led_flash_cnt[266][5]~30612_combout\,
	cout => \led_flash_cnt[266][5]~30613\);

-- Location: FF_X63_Y24_N19
\led_flash_cnt[266][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[266][5]~30612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[266][5]~q\);

-- Location: LCCOMB_X63_Y24_N20
\led_flash_cnt[266][6]~30614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[266][6]~30614_combout\ = (\led_flash_cnt[266][6]~q\ & (!\led_flash_cnt[266][5]~30613\)) # (!\led_flash_cnt[266][6]~q\ & ((\led_flash_cnt[266][5]~30613\) # (GND)))
-- \led_flash_cnt[266][6]~30615\ = CARRY((!\led_flash_cnt[266][5]~30613\) # (!\led_flash_cnt[266][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[266][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[266][5]~30613\,
	combout => \led_flash_cnt[266][6]~30614_combout\,
	cout => \led_flash_cnt[266][6]~30615\);

-- Location: FF_X63_Y24_N21
\led_flash_cnt[266][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[266][6]~30614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[266][6]~q\);

-- Location: LCCOMB_X63_Y24_N22
\led_flash_cnt[266][7]~30616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[266][7]~30616_combout\ = \led_flash_cnt[266][7]~q\ $ (!\led_flash_cnt[266][6]~30615\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[266][7]~q\,
	cin => \led_flash_cnt[266][6]~30615\,
	combout => \led_flash_cnt[266][7]~30616_combout\);

-- Location: FF_X63_Y24_N23
\led_flash_cnt[266][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[266][7]~30616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[266][7]~q\);

-- Location: LCCOMB_X63_Y24_N8
\WideAnd266~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd266~0_combout\ = (\led_flash_cnt[266][2]~q\ & (\led_flash_cnt[266][4]~q\ & (\led_flash_cnt[266][3]~q\ & \led_flash_cnt[266][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[266][2]~q\,
	datab => \led_flash_cnt[266][4]~q\,
	datac => \led_flash_cnt[266][3]~q\,
	datad => \led_flash_cnt[266][1]~q\,
	combout => \WideAnd266~0_combout\);

-- Location: LCCOMB_X63_Y24_N24
\WideAnd266~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd266~1_combout\ = (\led_flash_cnt[266][6]~q\ & \led_flash_cnt[266][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[266][6]~q\,
	datad => \led_flash_cnt[266][5]~q\,
	combout => \WideAnd266~1_combout\);

-- Location: LCCOMB_X63_Y24_N2
WideAnd266 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd266~combout\ = (\led_flash_cnt[266][7]~q\ & (\led_flash_cnt[266][0]~q\ & (\WideAnd266~0_combout\ & \WideAnd266~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[266][7]~q\,
	datab => \led_flash_cnt[266][0]~q\,
	datac => \WideAnd266~0_combout\,
	datad => \WideAnd266~1_combout\,
	combout => \WideAnd266~combout\);

-- Location: FF_X63_Y24_N3
\led_flash_cnt_ands[266]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd266~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(266));

-- Location: LCCOMB_X63_Y24_N26
\WideAnd3873~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3873~0_combout\ = (led_flash_cnt_ands(265) & (led_flash_cnt_ands(267) & (led_flash_cnt_ands(264) & led_flash_cnt_ands(266))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(265),
	datab => led_flash_cnt_ands(267),
	datac => led_flash_cnt_ands(264),
	datad => led_flash_cnt_ands(266),
	combout => \WideAnd3873~0_combout\);

-- Location: LCCOMB_X8_Y38_N22
\led_flash_cnt[269][0]~80909\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[269][0]~80909_combout\ = !\led_flash_cnt[269][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[269][0]~q\,
	combout => \led_flash_cnt[269][0]~80909_combout\);

-- Location: FF_X8_Y38_N23
\led_flash_cnt[269][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[269][0]~80909_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[269][0]~q\);

-- Location: LCCOMB_X8_Y38_N2
\led_flash_cnt[269][1]~30646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[269][1]~30646_combout\ = (\led_flash_cnt[269][0]~q\ & (\led_flash_cnt[269][1]~q\ $ (VCC))) # (!\led_flash_cnt[269][0]~q\ & (\led_flash_cnt[269][1]~q\ & VCC))
-- \led_flash_cnt[269][1]~30647\ = CARRY((\led_flash_cnt[269][0]~q\ & \led_flash_cnt[269][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[269][0]~q\,
	datab => \led_flash_cnt[269][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[269][1]~30646_combout\,
	cout => \led_flash_cnt[269][1]~30647\);

-- Location: FF_X8_Y38_N3
\led_flash_cnt[269][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[269][1]~30646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[269][1]~q\);

-- Location: LCCOMB_X8_Y38_N4
\led_flash_cnt[269][2]~30648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[269][2]~30648_combout\ = (\led_flash_cnt[269][2]~q\ & (!\led_flash_cnt[269][1]~30647\)) # (!\led_flash_cnt[269][2]~q\ & ((\led_flash_cnt[269][1]~30647\) # (GND)))
-- \led_flash_cnt[269][2]~30649\ = CARRY((!\led_flash_cnt[269][1]~30647\) # (!\led_flash_cnt[269][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[269][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[269][1]~30647\,
	combout => \led_flash_cnt[269][2]~30648_combout\,
	cout => \led_flash_cnt[269][2]~30649\);

-- Location: FF_X8_Y38_N5
\led_flash_cnt[269][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[269][2]~30648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[269][2]~q\);

-- Location: LCCOMB_X8_Y38_N6
\led_flash_cnt[269][3]~30650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[269][3]~30650_combout\ = (\led_flash_cnt[269][3]~q\ & (\led_flash_cnt[269][2]~30649\ $ (GND))) # (!\led_flash_cnt[269][3]~q\ & (!\led_flash_cnt[269][2]~30649\ & VCC))
-- \led_flash_cnt[269][3]~30651\ = CARRY((\led_flash_cnt[269][3]~q\ & !\led_flash_cnt[269][2]~30649\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[269][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[269][2]~30649\,
	combout => \led_flash_cnt[269][3]~30650_combout\,
	cout => \led_flash_cnt[269][3]~30651\);

-- Location: FF_X8_Y38_N7
\led_flash_cnt[269][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[269][3]~30650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[269][3]~q\);

-- Location: LCCOMB_X8_Y38_N8
\led_flash_cnt[269][4]~30652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[269][4]~30652_combout\ = (\led_flash_cnt[269][4]~q\ & (!\led_flash_cnt[269][3]~30651\)) # (!\led_flash_cnt[269][4]~q\ & ((\led_flash_cnt[269][3]~30651\) # (GND)))
-- \led_flash_cnt[269][4]~30653\ = CARRY((!\led_flash_cnt[269][3]~30651\) # (!\led_flash_cnt[269][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[269][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[269][3]~30651\,
	combout => \led_flash_cnt[269][4]~30652_combout\,
	cout => \led_flash_cnt[269][4]~30653\);

-- Location: FF_X8_Y38_N9
\led_flash_cnt[269][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[269][4]~30652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[269][4]~q\);

-- Location: LCCOMB_X8_Y38_N24
\WideAnd269~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd269~0_combout\ = (\led_flash_cnt[269][3]~q\ & (\led_flash_cnt[269][2]~q\ & (\led_flash_cnt[269][4]~q\ & \led_flash_cnt[269][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[269][3]~q\,
	datab => \led_flash_cnt[269][2]~q\,
	datac => \led_flash_cnt[269][4]~q\,
	datad => \led_flash_cnt[269][1]~q\,
	combout => \WideAnd269~0_combout\);

-- Location: LCCOMB_X8_Y38_N10
\led_flash_cnt[269][5]~30654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[269][5]~30654_combout\ = (\led_flash_cnt[269][5]~q\ & (\led_flash_cnt[269][4]~30653\ $ (GND))) # (!\led_flash_cnt[269][5]~q\ & (!\led_flash_cnt[269][4]~30653\ & VCC))
-- \led_flash_cnt[269][5]~30655\ = CARRY((\led_flash_cnt[269][5]~q\ & !\led_flash_cnt[269][4]~30653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[269][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[269][4]~30653\,
	combout => \led_flash_cnt[269][5]~30654_combout\,
	cout => \led_flash_cnt[269][5]~30655\);

-- Location: FF_X8_Y38_N11
\led_flash_cnt[269][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[269][5]~30654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[269][5]~q\);

-- Location: LCCOMB_X8_Y38_N12
\led_flash_cnt[269][6]~30656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[269][6]~30656_combout\ = (\led_flash_cnt[269][6]~q\ & (!\led_flash_cnt[269][5]~30655\)) # (!\led_flash_cnt[269][6]~q\ & ((\led_flash_cnt[269][5]~30655\) # (GND)))
-- \led_flash_cnt[269][6]~30657\ = CARRY((!\led_flash_cnt[269][5]~30655\) # (!\led_flash_cnt[269][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[269][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[269][5]~30655\,
	combout => \led_flash_cnt[269][6]~30656_combout\,
	cout => \led_flash_cnt[269][6]~30657\);

-- Location: FF_X8_Y38_N13
\led_flash_cnt[269][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[269][6]~30656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[269][6]~q\);

-- Location: LCCOMB_X8_Y38_N14
\led_flash_cnt[269][7]~30658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[269][7]~30658_combout\ = \led_flash_cnt[269][7]~q\ $ (!\led_flash_cnt[269][6]~30657\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[269][7]~q\,
	cin => \led_flash_cnt[269][6]~30657\,
	combout => \led_flash_cnt[269][7]~30658_combout\);

-- Location: FF_X8_Y38_N15
\led_flash_cnt[269][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[269][7]~30658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[269][7]~q\);

-- Location: LCCOMB_X8_Y38_N18
\WideAnd269~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd269~1_combout\ = (\led_flash_cnt[269][6]~q\ & \led_flash_cnt[269][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[269][6]~q\,
	datad => \led_flash_cnt[269][5]~q\,
	combout => \WideAnd269~1_combout\);

-- Location: LCCOMB_X8_Y38_N26
WideAnd269 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd269~combout\ = (\led_flash_cnt[269][0]~q\ & (\WideAnd269~0_combout\ & (\led_flash_cnt[269][7]~q\ & \WideAnd269~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[269][0]~q\,
	datab => \WideAnd269~0_combout\,
	datac => \led_flash_cnt[269][7]~q\,
	datad => \WideAnd269~1_combout\,
	combout => \WideAnd269~combout\);

-- Location: FF_X8_Y38_N27
\led_flash_cnt_ands[269]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd269~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(269));

-- Location: LCCOMB_X9_Y38_N22
\led_flash_cnt[268][0]~80908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[268][0]~80908_combout\ = !\led_flash_cnt[268][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[268][0]~q\,
	combout => \led_flash_cnt[268][0]~80908_combout\);

-- Location: FF_X9_Y38_N23
\led_flash_cnt[268][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[268][0]~80908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[268][0]~q\);

-- Location: LCCOMB_X9_Y38_N0
\led_flash_cnt[268][1]~30632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[268][1]~30632_combout\ = (\led_flash_cnt[268][0]~q\ & (\led_flash_cnt[268][1]~q\ $ (VCC))) # (!\led_flash_cnt[268][0]~q\ & (\led_flash_cnt[268][1]~q\ & VCC))
-- \led_flash_cnt[268][1]~30633\ = CARRY((\led_flash_cnt[268][0]~q\ & \led_flash_cnt[268][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[268][0]~q\,
	datab => \led_flash_cnt[268][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[268][1]~30632_combout\,
	cout => \led_flash_cnt[268][1]~30633\);

-- Location: FF_X9_Y38_N1
\led_flash_cnt[268][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[268][1]~30632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[268][1]~q\);

-- Location: LCCOMB_X9_Y38_N2
\led_flash_cnt[268][2]~30634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[268][2]~30634_combout\ = (\led_flash_cnt[268][2]~q\ & (!\led_flash_cnt[268][1]~30633\)) # (!\led_flash_cnt[268][2]~q\ & ((\led_flash_cnt[268][1]~30633\) # (GND)))
-- \led_flash_cnt[268][2]~30635\ = CARRY((!\led_flash_cnt[268][1]~30633\) # (!\led_flash_cnt[268][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[268][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[268][1]~30633\,
	combout => \led_flash_cnt[268][2]~30634_combout\,
	cout => \led_flash_cnt[268][2]~30635\);

-- Location: FF_X9_Y38_N3
\led_flash_cnt[268][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[268][2]~30634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[268][2]~q\);

-- Location: LCCOMB_X9_Y38_N4
\led_flash_cnt[268][3]~30636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[268][3]~30636_combout\ = (\led_flash_cnt[268][3]~q\ & (\led_flash_cnt[268][2]~30635\ $ (GND))) # (!\led_flash_cnt[268][3]~q\ & (!\led_flash_cnt[268][2]~30635\ & VCC))
-- \led_flash_cnt[268][3]~30637\ = CARRY((\led_flash_cnt[268][3]~q\ & !\led_flash_cnt[268][2]~30635\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[268][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[268][2]~30635\,
	combout => \led_flash_cnt[268][3]~30636_combout\,
	cout => \led_flash_cnt[268][3]~30637\);

-- Location: FF_X9_Y38_N5
\led_flash_cnt[268][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[268][3]~30636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[268][3]~q\);

-- Location: LCCOMB_X9_Y38_N6
\led_flash_cnt[268][4]~30638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[268][4]~30638_combout\ = (\led_flash_cnt[268][4]~q\ & (!\led_flash_cnt[268][3]~30637\)) # (!\led_flash_cnt[268][4]~q\ & ((\led_flash_cnt[268][3]~30637\) # (GND)))
-- \led_flash_cnt[268][4]~30639\ = CARRY((!\led_flash_cnt[268][3]~30637\) # (!\led_flash_cnt[268][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[268][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[268][3]~30637\,
	combout => \led_flash_cnt[268][4]~30638_combout\,
	cout => \led_flash_cnt[268][4]~30639\);

-- Location: FF_X9_Y38_N7
\led_flash_cnt[268][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[268][4]~30638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[268][4]~q\);

-- Location: LCCOMB_X9_Y38_N8
\led_flash_cnt[268][5]~30640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[268][5]~30640_combout\ = (\led_flash_cnt[268][5]~q\ & (\led_flash_cnt[268][4]~30639\ $ (GND))) # (!\led_flash_cnt[268][5]~q\ & (!\led_flash_cnt[268][4]~30639\ & VCC))
-- \led_flash_cnt[268][5]~30641\ = CARRY((\led_flash_cnt[268][5]~q\ & !\led_flash_cnt[268][4]~30639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[268][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[268][4]~30639\,
	combout => \led_flash_cnt[268][5]~30640_combout\,
	cout => \led_flash_cnt[268][5]~30641\);

-- Location: FF_X9_Y38_N9
\led_flash_cnt[268][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[268][5]~30640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[268][5]~q\);

-- Location: LCCOMB_X9_Y38_N10
\led_flash_cnt[268][6]~30642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[268][6]~30642_combout\ = (\led_flash_cnt[268][6]~q\ & (!\led_flash_cnt[268][5]~30641\)) # (!\led_flash_cnt[268][6]~q\ & ((\led_flash_cnt[268][5]~30641\) # (GND)))
-- \led_flash_cnt[268][6]~30643\ = CARRY((!\led_flash_cnt[268][5]~30641\) # (!\led_flash_cnt[268][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[268][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[268][5]~30641\,
	combout => \led_flash_cnt[268][6]~30642_combout\,
	cout => \led_flash_cnt[268][6]~30643\);

-- Location: FF_X9_Y38_N11
\led_flash_cnt[268][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[268][6]~30642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[268][6]~q\);

-- Location: LCCOMB_X9_Y38_N12
\led_flash_cnt[268][7]~30644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[268][7]~30644_combout\ = \led_flash_cnt[268][6]~30643\ $ (!\led_flash_cnt[268][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[268][7]~q\,
	cin => \led_flash_cnt[268][6]~30643\,
	combout => \led_flash_cnt[268][7]~30644_combout\);

-- Location: FF_X9_Y38_N13
\led_flash_cnt[268][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[268][7]~30644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[268][7]~q\);

-- Location: LCCOMB_X9_Y38_N28
\WideAnd268~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd268~0_combout\ = (\led_flash_cnt[268][4]~q\ & (\led_flash_cnt[268][1]~q\ & (\led_flash_cnt[268][3]~q\ & \led_flash_cnt[268][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[268][4]~q\,
	datab => \led_flash_cnt[268][1]~q\,
	datac => \led_flash_cnt[268][3]~q\,
	datad => \led_flash_cnt[268][2]~q\,
	combout => \WideAnd268~0_combout\);

-- Location: LCCOMB_X9_Y38_N24
\WideAnd268~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd268~1_combout\ = (\led_flash_cnt[268][5]~q\ & \led_flash_cnt[268][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[268][5]~q\,
	datad => \led_flash_cnt[268][6]~q\,
	combout => \WideAnd268~1_combout\);

-- Location: LCCOMB_X9_Y38_N18
WideAnd268 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd268~combout\ = (\led_flash_cnt[268][7]~q\ & (\WideAnd268~0_combout\ & (\led_flash_cnt[268][0]~q\ & \WideAnd268~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[268][7]~q\,
	datab => \WideAnd268~0_combout\,
	datac => \led_flash_cnt[268][0]~q\,
	datad => \WideAnd268~1_combout\,
	combout => \WideAnd268~combout\);

-- Location: FF_X9_Y38_N19
\led_flash_cnt_ands[268]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd268~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(268));

-- Location: LCCOMB_X9_Y38_N20
\WideAnd3873~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3873~1_combout\ = (led_flash_cnt_ands(269) & led_flash_cnt_ands(268))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(269),
	datad => led_flash_cnt_ands(268),
	combout => \WideAnd3873~1_combout\);

-- Location: LCCOMB_X9_Y38_N30
WideAnd3873 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3873~combout\ = (led_flash_cnt_ands(270) & (led_flash_cnt_ands(271) & (\WideAnd3873~0_combout\ & \WideAnd3873~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(270),
	datab => led_flash_cnt_ands(271),
	datac => \WideAnd3873~0_combout\,
	datad => \WideAnd3873~1_combout\,
	combout => \WideAnd3873~combout\);

-- Location: FF_X9_Y38_N31
\led_flash_cnt_ands_1[33]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3873~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(33));

-- Location: LCCOMB_X1_Y34_N22
\led_flash_cnt[282][0]~80922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[282][0]~80922_combout\ = !\led_flash_cnt[282][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[282][0]~q\,
	combout => \led_flash_cnt[282][0]~80922_combout\);

-- Location: FF_X1_Y34_N23
\led_flash_cnt[282][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[282][0]~80922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[282][0]~q\);

-- Location: LCCOMB_X1_Y34_N0
\led_flash_cnt[282][1]~30828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[282][1]~30828_combout\ = (\led_flash_cnt[282][0]~q\ & (\led_flash_cnt[282][1]~q\ $ (VCC))) # (!\led_flash_cnt[282][0]~q\ & (\led_flash_cnt[282][1]~q\ & VCC))
-- \led_flash_cnt[282][1]~30829\ = CARRY((\led_flash_cnt[282][0]~q\ & \led_flash_cnt[282][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[282][0]~q\,
	datab => \led_flash_cnt[282][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[282][1]~30828_combout\,
	cout => \led_flash_cnt[282][1]~30829\);

-- Location: FF_X1_Y34_N1
\led_flash_cnt[282][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[282][1]~30828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[282][1]~q\);

-- Location: LCCOMB_X1_Y34_N2
\led_flash_cnt[282][2]~30830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[282][2]~30830_combout\ = (\led_flash_cnt[282][2]~q\ & (!\led_flash_cnt[282][1]~30829\)) # (!\led_flash_cnt[282][2]~q\ & ((\led_flash_cnt[282][1]~30829\) # (GND)))
-- \led_flash_cnt[282][2]~30831\ = CARRY((!\led_flash_cnt[282][1]~30829\) # (!\led_flash_cnt[282][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[282][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[282][1]~30829\,
	combout => \led_flash_cnt[282][2]~30830_combout\,
	cout => \led_flash_cnt[282][2]~30831\);

-- Location: FF_X1_Y34_N3
\led_flash_cnt[282][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[282][2]~30830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[282][2]~q\);

-- Location: LCCOMB_X1_Y34_N4
\led_flash_cnt[282][3]~30832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[282][3]~30832_combout\ = (\led_flash_cnt[282][3]~q\ & (\led_flash_cnt[282][2]~30831\ $ (GND))) # (!\led_flash_cnt[282][3]~q\ & (!\led_flash_cnt[282][2]~30831\ & VCC))
-- \led_flash_cnt[282][3]~30833\ = CARRY((\led_flash_cnt[282][3]~q\ & !\led_flash_cnt[282][2]~30831\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[282][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[282][2]~30831\,
	combout => \led_flash_cnt[282][3]~30832_combout\,
	cout => \led_flash_cnt[282][3]~30833\);

-- Location: FF_X1_Y34_N5
\led_flash_cnt[282][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[282][3]~30832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[282][3]~q\);

-- Location: LCCOMB_X1_Y34_N6
\led_flash_cnt[282][4]~30834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[282][4]~30834_combout\ = (\led_flash_cnt[282][4]~q\ & (!\led_flash_cnt[282][3]~30833\)) # (!\led_flash_cnt[282][4]~q\ & ((\led_flash_cnt[282][3]~30833\) # (GND)))
-- \led_flash_cnt[282][4]~30835\ = CARRY((!\led_flash_cnt[282][3]~30833\) # (!\led_flash_cnt[282][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[282][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[282][3]~30833\,
	combout => \led_flash_cnt[282][4]~30834_combout\,
	cout => \led_flash_cnt[282][4]~30835\);

-- Location: FF_X1_Y34_N7
\led_flash_cnt[282][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[282][4]~30834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[282][4]~q\);

-- Location: LCCOMB_X1_Y34_N8
\led_flash_cnt[282][5]~30836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[282][5]~30836_combout\ = (\led_flash_cnt[282][5]~q\ & (\led_flash_cnt[282][4]~30835\ $ (GND))) # (!\led_flash_cnt[282][5]~q\ & (!\led_flash_cnt[282][4]~30835\ & VCC))
-- \led_flash_cnt[282][5]~30837\ = CARRY((\led_flash_cnt[282][5]~q\ & !\led_flash_cnt[282][4]~30835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[282][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[282][4]~30835\,
	combout => \led_flash_cnt[282][5]~30836_combout\,
	cout => \led_flash_cnt[282][5]~30837\);

-- Location: FF_X1_Y34_N9
\led_flash_cnt[282][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[282][5]~30836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[282][5]~q\);

-- Location: LCCOMB_X1_Y34_N10
\led_flash_cnt[282][6]~30838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[282][6]~30838_combout\ = (\led_flash_cnt[282][6]~q\ & (!\led_flash_cnt[282][5]~30837\)) # (!\led_flash_cnt[282][6]~q\ & ((\led_flash_cnt[282][5]~30837\) # (GND)))
-- \led_flash_cnt[282][6]~30839\ = CARRY((!\led_flash_cnt[282][5]~30837\) # (!\led_flash_cnt[282][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[282][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[282][5]~30837\,
	combout => \led_flash_cnt[282][6]~30838_combout\,
	cout => \led_flash_cnt[282][6]~30839\);

-- Location: FF_X1_Y34_N11
\led_flash_cnt[282][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[282][6]~30838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[282][6]~q\);

-- Location: LCCOMB_X1_Y34_N12
\led_flash_cnt[282][7]~30840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[282][7]~30840_combout\ = \led_flash_cnt[282][6]~30839\ $ (!\led_flash_cnt[282][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[282][7]~q\,
	cin => \led_flash_cnt[282][6]~30839\,
	combout => \led_flash_cnt[282][7]~30840_combout\);

-- Location: FF_X1_Y34_N13
\led_flash_cnt[282][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[282][7]~30840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[282][7]~q\);

-- Location: LCCOMB_X1_Y34_N24
\WideAnd282~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd282~0_combout\ = (\led_flash_cnt[282][4]~q\ & (\led_flash_cnt[282][1]~q\ & (\led_flash_cnt[282][3]~q\ & \led_flash_cnt[282][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[282][4]~q\,
	datab => \led_flash_cnt[282][1]~q\,
	datac => \led_flash_cnt[282][3]~q\,
	datad => \led_flash_cnt[282][2]~q\,
	combout => \WideAnd282~0_combout\);

-- Location: LCCOMB_X1_Y34_N18
\WideAnd282~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd282~1_combout\ = (\led_flash_cnt[282][5]~q\ & \led_flash_cnt[282][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[282][5]~q\,
	datad => \led_flash_cnt[282][6]~q\,
	combout => \WideAnd282~1_combout\);

-- Location: LCCOMB_X1_Y34_N26
WideAnd282 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd282~combout\ = (\led_flash_cnt[282][7]~q\ & (\WideAnd282~0_combout\ & (\led_flash_cnt[282][0]~q\ & \WideAnd282~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[282][7]~q\,
	datab => \WideAnd282~0_combout\,
	datac => \led_flash_cnt[282][0]~q\,
	datad => \WideAnd282~1_combout\,
	combout => \WideAnd282~combout\);

-- Location: FF_X1_Y34_N27
\led_flash_cnt_ands[282]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd282~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(282));

-- Location: LCCOMB_X1_Y33_N4
\led_flash_cnt[283][0]~80923\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[283][0]~80923_combout\ = !\led_flash_cnt[283][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[283][0]~q\,
	combout => \led_flash_cnt[283][0]~80923_combout\);

-- Location: FF_X1_Y33_N5
\led_flash_cnt[283][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[283][0]~80923_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[283][0]~q\);

-- Location: LCCOMB_X1_Y33_N10
\led_flash_cnt[283][1]~30842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[283][1]~30842_combout\ = (\led_flash_cnt[283][1]~q\ & (\led_flash_cnt[283][0]~q\ $ (VCC))) # (!\led_flash_cnt[283][1]~q\ & (\led_flash_cnt[283][0]~q\ & VCC))
-- \led_flash_cnt[283][1]~30843\ = CARRY((\led_flash_cnt[283][1]~q\ & \led_flash_cnt[283][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[283][1]~q\,
	datab => \led_flash_cnt[283][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[283][1]~30842_combout\,
	cout => \led_flash_cnt[283][1]~30843\);

-- Location: FF_X1_Y33_N11
\led_flash_cnt[283][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[283][1]~30842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[283][1]~q\);

-- Location: LCCOMB_X1_Y33_N12
\led_flash_cnt[283][2]~30844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[283][2]~30844_combout\ = (\led_flash_cnt[283][2]~q\ & (!\led_flash_cnt[283][1]~30843\)) # (!\led_flash_cnt[283][2]~q\ & ((\led_flash_cnt[283][1]~30843\) # (GND)))
-- \led_flash_cnt[283][2]~30845\ = CARRY((!\led_flash_cnt[283][1]~30843\) # (!\led_flash_cnt[283][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[283][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[283][1]~30843\,
	combout => \led_flash_cnt[283][2]~30844_combout\,
	cout => \led_flash_cnt[283][2]~30845\);

-- Location: FF_X1_Y33_N13
\led_flash_cnt[283][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[283][2]~30844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[283][2]~q\);

-- Location: LCCOMB_X1_Y33_N14
\led_flash_cnt[283][3]~30846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[283][3]~30846_combout\ = (\led_flash_cnt[283][3]~q\ & (\led_flash_cnt[283][2]~30845\ $ (GND))) # (!\led_flash_cnt[283][3]~q\ & (!\led_flash_cnt[283][2]~30845\ & VCC))
-- \led_flash_cnt[283][3]~30847\ = CARRY((\led_flash_cnt[283][3]~q\ & !\led_flash_cnt[283][2]~30845\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[283][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[283][2]~30845\,
	combout => \led_flash_cnt[283][3]~30846_combout\,
	cout => \led_flash_cnt[283][3]~30847\);

-- Location: FF_X1_Y33_N15
\led_flash_cnt[283][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[283][3]~30846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[283][3]~q\);

-- Location: LCCOMB_X1_Y33_N16
\led_flash_cnt[283][4]~30848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[283][4]~30848_combout\ = (\led_flash_cnt[283][4]~q\ & (!\led_flash_cnt[283][3]~30847\)) # (!\led_flash_cnt[283][4]~q\ & ((\led_flash_cnt[283][3]~30847\) # (GND)))
-- \led_flash_cnt[283][4]~30849\ = CARRY((!\led_flash_cnt[283][3]~30847\) # (!\led_flash_cnt[283][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[283][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[283][3]~30847\,
	combout => \led_flash_cnt[283][4]~30848_combout\,
	cout => \led_flash_cnt[283][4]~30849\);

-- Location: FF_X1_Y33_N17
\led_flash_cnt[283][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[283][4]~30848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[283][4]~q\);

-- Location: LCCOMB_X1_Y33_N18
\led_flash_cnt[283][5]~30850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[283][5]~30850_combout\ = (\led_flash_cnt[283][5]~q\ & (\led_flash_cnt[283][4]~30849\ $ (GND))) # (!\led_flash_cnt[283][5]~q\ & (!\led_flash_cnt[283][4]~30849\ & VCC))
-- \led_flash_cnt[283][5]~30851\ = CARRY((\led_flash_cnt[283][5]~q\ & !\led_flash_cnt[283][4]~30849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[283][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[283][4]~30849\,
	combout => \led_flash_cnt[283][5]~30850_combout\,
	cout => \led_flash_cnt[283][5]~30851\);

-- Location: FF_X1_Y33_N19
\led_flash_cnt[283][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[283][5]~30850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[283][5]~q\);

-- Location: LCCOMB_X1_Y33_N20
\led_flash_cnt[283][6]~30852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[283][6]~30852_combout\ = (\led_flash_cnt[283][6]~q\ & (!\led_flash_cnt[283][5]~30851\)) # (!\led_flash_cnt[283][6]~q\ & ((\led_flash_cnt[283][5]~30851\) # (GND)))
-- \led_flash_cnt[283][6]~30853\ = CARRY((!\led_flash_cnt[283][5]~30851\) # (!\led_flash_cnt[283][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[283][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[283][5]~30851\,
	combout => \led_flash_cnt[283][6]~30852_combout\,
	cout => \led_flash_cnt[283][6]~30853\);

-- Location: FF_X1_Y33_N21
\led_flash_cnt[283][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[283][6]~30852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[283][6]~q\);

-- Location: LCCOMB_X1_Y33_N26
\WideAnd283~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd283~1_combout\ = (\led_flash_cnt[283][6]~q\ & \led_flash_cnt[283][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[283][6]~q\,
	datad => \led_flash_cnt[283][5]~q\,
	combout => \WideAnd283~1_combout\);

-- Location: LCCOMB_X1_Y33_N22
\led_flash_cnt[283][7]~30854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[283][7]~30854_combout\ = \led_flash_cnt[283][7]~q\ $ (!\led_flash_cnt[283][6]~30853\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[283][7]~q\,
	cin => \led_flash_cnt[283][6]~30853\,
	combout => \led_flash_cnt[283][7]~30854_combout\);

-- Location: FF_X1_Y33_N23
\led_flash_cnt[283][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[283][7]~30854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[283][7]~q\);

-- Location: LCCOMB_X1_Y33_N24
\WideAnd283~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd283~0_combout\ = (\led_flash_cnt[283][1]~q\ & (\led_flash_cnt[283][4]~q\ & (\led_flash_cnt[283][3]~q\ & \led_flash_cnt[283][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[283][1]~q\,
	datab => \led_flash_cnt[283][4]~q\,
	datac => \led_flash_cnt[283][3]~q\,
	datad => \led_flash_cnt[283][2]~q\,
	combout => \WideAnd283~0_combout\);

-- Location: LCCOMB_X1_Y33_N0
WideAnd283 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd283~combout\ = (\WideAnd283~1_combout\ & (\led_flash_cnt[283][0]~q\ & (\led_flash_cnt[283][7]~q\ & \WideAnd283~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd283~1_combout\,
	datab => \led_flash_cnt[283][0]~q\,
	datac => \led_flash_cnt[283][7]~q\,
	datad => \WideAnd283~0_combout\,
	combout => \WideAnd283~combout\);

-- Location: FF_X1_Y33_N1
\led_flash_cnt_ands[283]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd283~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(283));

-- Location: LCCOMB_X1_Y35_N4
\led_flash_cnt[280][0]~80920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[280][0]~80920_combout\ = !\led_flash_cnt[280][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[280][0]~q\,
	combout => \led_flash_cnt[280][0]~80920_combout\);

-- Location: FF_X1_Y35_N5
\led_flash_cnt[280][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[280][0]~80920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[280][0]~q\);

-- Location: LCCOMB_X1_Y35_N12
\led_flash_cnt[280][1]~30800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[280][1]~30800_combout\ = (\led_flash_cnt[280][1]~q\ & (\led_flash_cnt[280][0]~q\ $ (VCC))) # (!\led_flash_cnt[280][1]~q\ & (\led_flash_cnt[280][0]~q\ & VCC))
-- \led_flash_cnt[280][1]~30801\ = CARRY((\led_flash_cnt[280][1]~q\ & \led_flash_cnt[280][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[280][1]~q\,
	datab => \led_flash_cnt[280][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[280][1]~30800_combout\,
	cout => \led_flash_cnt[280][1]~30801\);

-- Location: FF_X1_Y35_N13
\led_flash_cnt[280][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[280][1]~30800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[280][1]~q\);

-- Location: LCCOMB_X1_Y35_N14
\led_flash_cnt[280][2]~30802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[280][2]~30802_combout\ = (\led_flash_cnt[280][2]~q\ & (!\led_flash_cnt[280][1]~30801\)) # (!\led_flash_cnt[280][2]~q\ & ((\led_flash_cnt[280][1]~30801\) # (GND)))
-- \led_flash_cnt[280][2]~30803\ = CARRY((!\led_flash_cnt[280][1]~30801\) # (!\led_flash_cnt[280][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[280][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[280][1]~30801\,
	combout => \led_flash_cnt[280][2]~30802_combout\,
	cout => \led_flash_cnt[280][2]~30803\);

-- Location: FF_X1_Y35_N15
\led_flash_cnt[280][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[280][2]~30802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[280][2]~q\);

-- Location: LCCOMB_X1_Y35_N16
\led_flash_cnt[280][3]~30804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[280][3]~30804_combout\ = (\led_flash_cnt[280][3]~q\ & (\led_flash_cnt[280][2]~30803\ $ (GND))) # (!\led_flash_cnt[280][3]~q\ & (!\led_flash_cnt[280][2]~30803\ & VCC))
-- \led_flash_cnt[280][3]~30805\ = CARRY((\led_flash_cnt[280][3]~q\ & !\led_flash_cnt[280][2]~30803\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[280][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[280][2]~30803\,
	combout => \led_flash_cnt[280][3]~30804_combout\,
	cout => \led_flash_cnt[280][3]~30805\);

-- Location: FF_X1_Y35_N17
\led_flash_cnt[280][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[280][3]~30804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[280][3]~q\);

-- Location: LCCOMB_X1_Y35_N18
\led_flash_cnt[280][4]~30806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[280][4]~30806_combout\ = (\led_flash_cnt[280][4]~q\ & (!\led_flash_cnt[280][3]~30805\)) # (!\led_flash_cnt[280][4]~q\ & ((\led_flash_cnt[280][3]~30805\) # (GND)))
-- \led_flash_cnt[280][4]~30807\ = CARRY((!\led_flash_cnt[280][3]~30805\) # (!\led_flash_cnt[280][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[280][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[280][3]~30805\,
	combout => \led_flash_cnt[280][4]~30806_combout\,
	cout => \led_flash_cnt[280][4]~30807\);

-- Location: FF_X1_Y35_N19
\led_flash_cnt[280][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[280][4]~30806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[280][4]~q\);

-- Location: LCCOMB_X1_Y35_N26
\WideAnd280~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd280~0_combout\ = (\led_flash_cnt[280][4]~q\ & (\led_flash_cnt[280][3]~q\ & (\led_flash_cnt[280][2]~q\ & \led_flash_cnt[280][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[280][4]~q\,
	datab => \led_flash_cnt[280][3]~q\,
	datac => \led_flash_cnt[280][2]~q\,
	datad => \led_flash_cnt[280][1]~q\,
	combout => \WideAnd280~0_combout\);

-- Location: LCCOMB_X1_Y35_N20
\led_flash_cnt[280][5]~30808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[280][5]~30808_combout\ = (\led_flash_cnt[280][5]~q\ & (\led_flash_cnt[280][4]~30807\ $ (GND))) # (!\led_flash_cnt[280][5]~q\ & (!\led_flash_cnt[280][4]~30807\ & VCC))
-- \led_flash_cnt[280][5]~30809\ = CARRY((\led_flash_cnt[280][5]~q\ & !\led_flash_cnt[280][4]~30807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[280][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[280][4]~30807\,
	combout => \led_flash_cnt[280][5]~30808_combout\,
	cout => \led_flash_cnt[280][5]~30809\);

-- Location: FF_X1_Y35_N21
\led_flash_cnt[280][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[280][5]~30808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[280][5]~q\);

-- Location: LCCOMB_X1_Y35_N22
\led_flash_cnt[280][6]~30810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[280][6]~30810_combout\ = (\led_flash_cnt[280][6]~q\ & (!\led_flash_cnt[280][5]~30809\)) # (!\led_flash_cnt[280][6]~q\ & ((\led_flash_cnt[280][5]~30809\) # (GND)))
-- \led_flash_cnt[280][6]~30811\ = CARRY((!\led_flash_cnt[280][5]~30809\) # (!\led_flash_cnt[280][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[280][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[280][5]~30809\,
	combout => \led_flash_cnt[280][6]~30810_combout\,
	cout => \led_flash_cnt[280][6]~30811\);

-- Location: FF_X1_Y35_N23
\led_flash_cnt[280][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[280][6]~30810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[280][6]~q\);

-- Location: LCCOMB_X1_Y35_N24
\led_flash_cnt[280][7]~30812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[280][7]~30812_combout\ = \led_flash_cnt[280][6]~30811\ $ (!\led_flash_cnt[280][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[280][7]~q\,
	cin => \led_flash_cnt[280][6]~30811\,
	combout => \led_flash_cnt[280][7]~30812_combout\);

-- Location: FF_X1_Y35_N25
\led_flash_cnt[280][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[280][7]~30812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[280][7]~q\);

-- Location: LCCOMB_X1_Y35_N28
\WideAnd280~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd280~1_combout\ = (\led_flash_cnt[280][6]~q\ & \led_flash_cnt[280][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[280][6]~q\,
	datad => \led_flash_cnt[280][5]~q\,
	combout => \WideAnd280~1_combout\);

-- Location: LCCOMB_X1_Y35_N30
WideAnd280 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd280~combout\ = (\WideAnd280~0_combout\ & (\led_flash_cnt[280][7]~q\ & (\led_flash_cnt[280][0]~q\ & \WideAnd280~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd280~0_combout\,
	datab => \led_flash_cnt[280][7]~q\,
	datac => \led_flash_cnt[280][0]~q\,
	datad => \WideAnd280~1_combout\,
	combout => \WideAnd280~combout\);

-- Location: FF_X1_Y35_N31
\led_flash_cnt_ands[280]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd280~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(280));

-- Location: LCCOMB_X2_Y34_N24
\led_flash_cnt[281][0]~80921\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[281][0]~80921_combout\ = !\led_flash_cnt[281][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[281][0]~q\,
	combout => \led_flash_cnt[281][0]~80921_combout\);

-- Location: FF_X2_Y34_N25
\led_flash_cnt[281][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[281][0]~80921_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[281][0]~q\);

-- Location: LCCOMB_X2_Y34_N0
\led_flash_cnt[281][1]~30814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[281][1]~30814_combout\ = (\led_flash_cnt[281][1]~q\ & (\led_flash_cnt[281][0]~q\ $ (VCC))) # (!\led_flash_cnt[281][1]~q\ & (\led_flash_cnt[281][0]~q\ & VCC))
-- \led_flash_cnt[281][1]~30815\ = CARRY((\led_flash_cnt[281][1]~q\ & \led_flash_cnt[281][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[281][1]~q\,
	datab => \led_flash_cnt[281][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[281][1]~30814_combout\,
	cout => \led_flash_cnt[281][1]~30815\);

-- Location: FF_X2_Y34_N1
\led_flash_cnt[281][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[281][1]~30814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[281][1]~q\);

-- Location: LCCOMB_X2_Y34_N2
\led_flash_cnt[281][2]~30816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[281][2]~30816_combout\ = (\led_flash_cnt[281][2]~q\ & (!\led_flash_cnt[281][1]~30815\)) # (!\led_flash_cnt[281][2]~q\ & ((\led_flash_cnt[281][1]~30815\) # (GND)))
-- \led_flash_cnt[281][2]~30817\ = CARRY((!\led_flash_cnt[281][1]~30815\) # (!\led_flash_cnt[281][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[281][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[281][1]~30815\,
	combout => \led_flash_cnt[281][2]~30816_combout\,
	cout => \led_flash_cnt[281][2]~30817\);

-- Location: FF_X2_Y34_N3
\led_flash_cnt[281][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[281][2]~30816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[281][2]~q\);

-- Location: LCCOMB_X2_Y34_N4
\led_flash_cnt[281][3]~30818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[281][3]~30818_combout\ = (\led_flash_cnt[281][3]~q\ & (\led_flash_cnt[281][2]~30817\ $ (GND))) # (!\led_flash_cnt[281][3]~q\ & (!\led_flash_cnt[281][2]~30817\ & VCC))
-- \led_flash_cnt[281][3]~30819\ = CARRY((\led_flash_cnt[281][3]~q\ & !\led_flash_cnt[281][2]~30817\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[281][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[281][2]~30817\,
	combout => \led_flash_cnt[281][3]~30818_combout\,
	cout => \led_flash_cnt[281][3]~30819\);

-- Location: FF_X2_Y34_N5
\led_flash_cnt[281][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[281][3]~30818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[281][3]~q\);

-- Location: LCCOMB_X2_Y34_N6
\led_flash_cnt[281][4]~30820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[281][4]~30820_combout\ = (\led_flash_cnt[281][4]~q\ & (!\led_flash_cnt[281][3]~30819\)) # (!\led_flash_cnt[281][4]~q\ & ((\led_flash_cnt[281][3]~30819\) # (GND)))
-- \led_flash_cnt[281][4]~30821\ = CARRY((!\led_flash_cnt[281][3]~30819\) # (!\led_flash_cnt[281][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[281][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[281][3]~30819\,
	combout => \led_flash_cnt[281][4]~30820_combout\,
	cout => \led_flash_cnt[281][4]~30821\);

-- Location: FF_X2_Y34_N7
\led_flash_cnt[281][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[281][4]~30820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[281][4]~q\);

-- Location: LCCOMB_X2_Y34_N8
\led_flash_cnt[281][5]~30822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[281][5]~30822_combout\ = (\led_flash_cnt[281][5]~q\ & (\led_flash_cnt[281][4]~30821\ $ (GND))) # (!\led_flash_cnt[281][5]~q\ & (!\led_flash_cnt[281][4]~30821\ & VCC))
-- \led_flash_cnt[281][5]~30823\ = CARRY((\led_flash_cnt[281][5]~q\ & !\led_flash_cnt[281][4]~30821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[281][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[281][4]~30821\,
	combout => \led_flash_cnt[281][5]~30822_combout\,
	cout => \led_flash_cnt[281][5]~30823\);

-- Location: FF_X2_Y34_N9
\led_flash_cnt[281][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[281][5]~30822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[281][5]~q\);

-- Location: LCCOMB_X2_Y34_N10
\led_flash_cnt[281][6]~30824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[281][6]~30824_combout\ = (\led_flash_cnt[281][6]~q\ & (!\led_flash_cnt[281][5]~30823\)) # (!\led_flash_cnt[281][6]~q\ & ((\led_flash_cnt[281][5]~30823\) # (GND)))
-- \led_flash_cnt[281][6]~30825\ = CARRY((!\led_flash_cnt[281][5]~30823\) # (!\led_flash_cnt[281][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[281][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[281][5]~30823\,
	combout => \led_flash_cnt[281][6]~30824_combout\,
	cout => \led_flash_cnt[281][6]~30825\);

-- Location: FF_X2_Y34_N11
\led_flash_cnt[281][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[281][6]~30824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[281][6]~q\);

-- Location: LCCOMB_X2_Y34_N12
\led_flash_cnt[281][7]~30826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[281][7]~30826_combout\ = \led_flash_cnt[281][6]~30825\ $ (!\led_flash_cnt[281][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[281][7]~q\,
	cin => \led_flash_cnt[281][6]~30825\,
	combout => \led_flash_cnt[281][7]~30826_combout\);

-- Location: FF_X2_Y34_N13
\led_flash_cnt[281][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[281][7]~30826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[281][7]~q\);

-- Location: LCCOMB_X2_Y34_N26
\WideAnd281~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd281~0_combout\ = (\led_flash_cnt[281][4]~q\ & (\led_flash_cnt[281][2]~q\ & (\led_flash_cnt[281][3]~q\ & \led_flash_cnt[281][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[281][4]~q\,
	datab => \led_flash_cnt[281][2]~q\,
	datac => \led_flash_cnt[281][3]~q\,
	datad => \led_flash_cnt[281][1]~q\,
	combout => \WideAnd281~0_combout\);

-- Location: LCCOMB_X2_Y34_N18
\WideAnd281~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd281~1_combout\ = (\led_flash_cnt[281][5]~q\ & \led_flash_cnt[281][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[281][5]~q\,
	datad => \led_flash_cnt[281][6]~q\,
	combout => \WideAnd281~1_combout\);

-- Location: LCCOMB_X2_Y34_N28
WideAnd281 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd281~combout\ = (\led_flash_cnt[281][7]~q\ & (\led_flash_cnt[281][0]~q\ & (\WideAnd281~0_combout\ & \WideAnd281~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[281][7]~q\,
	datab => \led_flash_cnt[281][0]~q\,
	datac => \WideAnd281~0_combout\,
	datad => \WideAnd281~1_combout\,
	combout => \WideAnd281~combout\);

-- Location: FF_X2_Y34_N29
\led_flash_cnt_ands[281]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd281~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(281));

-- Location: LCCOMB_X1_Y34_N14
\WideAnd3875~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3875~0_combout\ = (led_flash_cnt_ands(282) & (led_flash_cnt_ands(283) & (led_flash_cnt_ands(280) & led_flash_cnt_ands(281))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(282),
	datab => led_flash_cnt_ands(283),
	datac => led_flash_cnt_ands(280),
	datad => led_flash_cnt_ands(281),
	combout => \WideAnd3875~0_combout\);

-- Location: LCCOMB_X2_Y38_N6
\led_flash_cnt[285][0]~80925\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[285][0]~80925_combout\ = !\led_flash_cnt[285][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[285][0]~q\,
	combout => \led_flash_cnt[285][0]~80925_combout\);

-- Location: FF_X2_Y38_N7
\led_flash_cnt[285][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[285][0]~80925_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[285][0]~q\);

-- Location: LCCOMB_X3_Y38_N2
\led_flash_cnt[285][1]~30870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[285][1]~30870_combout\ = (\led_flash_cnt[285][0]~q\ & (\led_flash_cnt[285][1]~q\ $ (VCC))) # (!\led_flash_cnt[285][0]~q\ & (\led_flash_cnt[285][1]~q\ & VCC))
-- \led_flash_cnt[285][1]~30871\ = CARRY((\led_flash_cnt[285][0]~q\ & \led_flash_cnt[285][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[285][0]~q\,
	datab => \led_flash_cnt[285][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[285][1]~30870_combout\,
	cout => \led_flash_cnt[285][1]~30871\);

-- Location: FF_X3_Y38_N3
\led_flash_cnt[285][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[285][1]~30870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[285][1]~q\);

-- Location: LCCOMB_X3_Y38_N4
\led_flash_cnt[285][2]~30872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[285][2]~30872_combout\ = (\led_flash_cnt[285][2]~q\ & (!\led_flash_cnt[285][1]~30871\)) # (!\led_flash_cnt[285][2]~q\ & ((\led_flash_cnt[285][1]~30871\) # (GND)))
-- \led_flash_cnt[285][2]~30873\ = CARRY((!\led_flash_cnt[285][1]~30871\) # (!\led_flash_cnt[285][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[285][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[285][1]~30871\,
	combout => \led_flash_cnt[285][2]~30872_combout\,
	cout => \led_flash_cnt[285][2]~30873\);

-- Location: FF_X3_Y38_N5
\led_flash_cnt[285][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[285][2]~30872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[285][2]~q\);

-- Location: LCCOMB_X3_Y38_N6
\led_flash_cnt[285][3]~30874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[285][3]~30874_combout\ = (\led_flash_cnt[285][3]~q\ & (\led_flash_cnt[285][2]~30873\ $ (GND))) # (!\led_flash_cnt[285][3]~q\ & (!\led_flash_cnt[285][2]~30873\ & VCC))
-- \led_flash_cnt[285][3]~30875\ = CARRY((\led_flash_cnt[285][3]~q\ & !\led_flash_cnt[285][2]~30873\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[285][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[285][2]~30873\,
	combout => \led_flash_cnt[285][3]~30874_combout\,
	cout => \led_flash_cnt[285][3]~30875\);

-- Location: FF_X3_Y38_N7
\led_flash_cnt[285][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[285][3]~30874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[285][3]~q\);

-- Location: LCCOMB_X3_Y38_N8
\led_flash_cnt[285][4]~30876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[285][4]~30876_combout\ = (\led_flash_cnt[285][4]~q\ & (!\led_flash_cnt[285][3]~30875\)) # (!\led_flash_cnt[285][4]~q\ & ((\led_flash_cnt[285][3]~30875\) # (GND)))
-- \led_flash_cnt[285][4]~30877\ = CARRY((!\led_flash_cnt[285][3]~30875\) # (!\led_flash_cnt[285][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[285][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[285][3]~30875\,
	combout => \led_flash_cnt[285][4]~30876_combout\,
	cout => \led_flash_cnt[285][4]~30877\);

-- Location: FF_X3_Y38_N9
\led_flash_cnt[285][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[285][4]~30876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[285][4]~q\);

-- Location: LCCOMB_X3_Y38_N10
\led_flash_cnt[285][5]~30878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[285][5]~30878_combout\ = (\led_flash_cnt[285][5]~q\ & (\led_flash_cnt[285][4]~30877\ $ (GND))) # (!\led_flash_cnt[285][5]~q\ & (!\led_flash_cnt[285][4]~30877\ & VCC))
-- \led_flash_cnt[285][5]~30879\ = CARRY((\led_flash_cnt[285][5]~q\ & !\led_flash_cnt[285][4]~30877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[285][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[285][4]~30877\,
	combout => \led_flash_cnt[285][5]~30878_combout\,
	cout => \led_flash_cnt[285][5]~30879\);

-- Location: FF_X3_Y38_N11
\led_flash_cnt[285][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[285][5]~30878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[285][5]~q\);

-- Location: LCCOMB_X3_Y38_N12
\led_flash_cnt[285][6]~30880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[285][6]~30880_combout\ = (\led_flash_cnt[285][6]~q\ & (!\led_flash_cnt[285][5]~30879\)) # (!\led_flash_cnt[285][6]~q\ & ((\led_flash_cnt[285][5]~30879\) # (GND)))
-- \led_flash_cnt[285][6]~30881\ = CARRY((!\led_flash_cnt[285][5]~30879\) # (!\led_flash_cnt[285][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[285][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[285][5]~30879\,
	combout => \led_flash_cnt[285][6]~30880_combout\,
	cout => \led_flash_cnt[285][6]~30881\);

-- Location: FF_X3_Y38_N13
\led_flash_cnt[285][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[285][6]~30880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[285][6]~q\);

-- Location: LCCOMB_X2_Y38_N26
\WideAnd285~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd285~1_combout\ = (\led_flash_cnt[285][6]~q\ & \led_flash_cnt[285][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[285][6]~q\,
	datac => \led_flash_cnt[285][5]~q\,
	combout => \WideAnd285~1_combout\);

-- Location: LCCOMB_X3_Y38_N0
\WideAnd285~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd285~0_combout\ = (\led_flash_cnt[285][3]~q\ & (\led_flash_cnt[285][2]~q\ & (\led_flash_cnt[285][4]~q\ & \led_flash_cnt[285][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[285][3]~q\,
	datab => \led_flash_cnt[285][2]~q\,
	datac => \led_flash_cnt[285][4]~q\,
	datad => \led_flash_cnt[285][1]~q\,
	combout => \WideAnd285~0_combout\);

-- Location: LCCOMB_X3_Y38_N14
\led_flash_cnt[285][7]~30882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[285][7]~30882_combout\ = \led_flash_cnt[285][7]~q\ $ (!\led_flash_cnt[285][6]~30881\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[285][7]~q\,
	cin => \led_flash_cnt[285][6]~30881\,
	combout => \led_flash_cnt[285][7]~30882_combout\);

-- Location: FF_X3_Y38_N15
\led_flash_cnt[285][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[285][7]~30882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[285][7]~q\);

-- Location: LCCOMB_X2_Y38_N4
WideAnd285 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd285~combout\ = (\WideAnd285~1_combout\ & (\WideAnd285~0_combout\ & (\led_flash_cnt[285][7]~q\ & \led_flash_cnt[285][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd285~1_combout\,
	datab => \WideAnd285~0_combout\,
	datac => \led_flash_cnt[285][7]~q\,
	datad => \led_flash_cnt[285][0]~q\,
	combout => \WideAnd285~combout\);

-- Location: FF_X2_Y38_N5
\led_flash_cnt_ands[285]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd285~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(285));

-- Location: LCCOMB_X2_Y38_N22
\led_flash_cnt[284][0]~80924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[284][0]~80924_combout\ = !\led_flash_cnt[284][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[284][0]~q\,
	combout => \led_flash_cnt[284][0]~80924_combout\);

-- Location: FF_X2_Y38_N23
\led_flash_cnt[284][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[284][0]~80924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[284][0]~q\);

-- Location: LCCOMB_X2_Y38_N8
\led_flash_cnt[284][1]~30856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[284][1]~30856_combout\ = (\led_flash_cnt[284][0]~q\ & (\led_flash_cnt[284][1]~q\ $ (VCC))) # (!\led_flash_cnt[284][0]~q\ & (\led_flash_cnt[284][1]~q\ & VCC))
-- \led_flash_cnt[284][1]~30857\ = CARRY((\led_flash_cnt[284][0]~q\ & \led_flash_cnt[284][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[284][0]~q\,
	datab => \led_flash_cnt[284][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[284][1]~30856_combout\,
	cout => \led_flash_cnt[284][1]~30857\);

-- Location: FF_X2_Y38_N9
\led_flash_cnt[284][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[284][1]~30856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[284][1]~q\);

-- Location: LCCOMB_X2_Y38_N10
\led_flash_cnt[284][2]~30858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[284][2]~30858_combout\ = (\led_flash_cnt[284][2]~q\ & (!\led_flash_cnt[284][1]~30857\)) # (!\led_flash_cnt[284][2]~q\ & ((\led_flash_cnt[284][1]~30857\) # (GND)))
-- \led_flash_cnt[284][2]~30859\ = CARRY((!\led_flash_cnt[284][1]~30857\) # (!\led_flash_cnt[284][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[284][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[284][1]~30857\,
	combout => \led_flash_cnt[284][2]~30858_combout\,
	cout => \led_flash_cnt[284][2]~30859\);

-- Location: FF_X2_Y38_N11
\led_flash_cnt[284][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[284][2]~30858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[284][2]~q\);

-- Location: LCCOMB_X2_Y38_N12
\led_flash_cnt[284][3]~30860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[284][3]~30860_combout\ = (\led_flash_cnt[284][3]~q\ & (\led_flash_cnt[284][2]~30859\ $ (GND))) # (!\led_flash_cnt[284][3]~q\ & (!\led_flash_cnt[284][2]~30859\ & VCC))
-- \led_flash_cnt[284][3]~30861\ = CARRY((\led_flash_cnt[284][3]~q\ & !\led_flash_cnt[284][2]~30859\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[284][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[284][2]~30859\,
	combout => \led_flash_cnt[284][3]~30860_combout\,
	cout => \led_flash_cnt[284][3]~30861\);

-- Location: FF_X2_Y38_N13
\led_flash_cnt[284][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[284][3]~30860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[284][3]~q\);

-- Location: LCCOMB_X2_Y38_N14
\led_flash_cnt[284][4]~30862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[284][4]~30862_combout\ = (\led_flash_cnt[284][4]~q\ & (!\led_flash_cnt[284][3]~30861\)) # (!\led_flash_cnt[284][4]~q\ & ((\led_flash_cnt[284][3]~30861\) # (GND)))
-- \led_flash_cnt[284][4]~30863\ = CARRY((!\led_flash_cnt[284][3]~30861\) # (!\led_flash_cnt[284][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[284][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[284][3]~30861\,
	combout => \led_flash_cnt[284][4]~30862_combout\,
	cout => \led_flash_cnt[284][4]~30863\);

-- Location: FF_X2_Y38_N15
\led_flash_cnt[284][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[284][4]~30862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[284][4]~q\);

-- Location: LCCOMB_X2_Y38_N16
\led_flash_cnt[284][5]~30864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[284][5]~30864_combout\ = (\led_flash_cnt[284][5]~q\ & (\led_flash_cnt[284][4]~30863\ $ (GND))) # (!\led_flash_cnt[284][5]~q\ & (!\led_flash_cnt[284][4]~30863\ & VCC))
-- \led_flash_cnt[284][5]~30865\ = CARRY((\led_flash_cnt[284][5]~q\ & !\led_flash_cnt[284][4]~30863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[284][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[284][4]~30863\,
	combout => \led_flash_cnt[284][5]~30864_combout\,
	cout => \led_flash_cnt[284][5]~30865\);

-- Location: FF_X2_Y38_N17
\led_flash_cnt[284][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[284][5]~30864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[284][5]~q\);

-- Location: LCCOMB_X2_Y38_N18
\led_flash_cnt[284][6]~30866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[284][6]~30866_combout\ = (\led_flash_cnt[284][6]~q\ & (!\led_flash_cnt[284][5]~30865\)) # (!\led_flash_cnt[284][6]~q\ & ((\led_flash_cnt[284][5]~30865\) # (GND)))
-- \led_flash_cnt[284][6]~30867\ = CARRY((!\led_flash_cnt[284][5]~30865\) # (!\led_flash_cnt[284][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[284][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[284][5]~30865\,
	combout => \led_flash_cnt[284][6]~30866_combout\,
	cout => \led_flash_cnt[284][6]~30867\);

-- Location: FF_X2_Y38_N19
\led_flash_cnt[284][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[284][6]~30866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[284][6]~q\);

-- Location: LCCOMB_X2_Y38_N20
\led_flash_cnt[284][7]~30868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[284][7]~30868_combout\ = \led_flash_cnt[284][6]~30867\ $ (!\led_flash_cnt[284][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[284][7]~q\,
	cin => \led_flash_cnt[284][6]~30867\,
	combout => \led_flash_cnt[284][7]~30868_combout\);

-- Location: FF_X2_Y38_N21
\led_flash_cnt[284][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[284][7]~30868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[284][7]~q\);

-- Location: LCCOMB_X2_Y38_N30
\WideAnd284~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd284~0_combout\ = (\led_flash_cnt[284][2]~q\ & (\led_flash_cnt[284][1]~q\ & (\led_flash_cnt[284][4]~q\ & \led_flash_cnt[284][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[284][2]~q\,
	datab => \led_flash_cnt[284][1]~q\,
	datac => \led_flash_cnt[284][4]~q\,
	datad => \led_flash_cnt[284][3]~q\,
	combout => \WideAnd284~0_combout\);

-- Location: LCCOMB_X2_Y38_N2
\WideAnd284~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd284~1_combout\ = (\led_flash_cnt[284][6]~q\ & \led_flash_cnt[284][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[284][6]~q\,
	datad => \led_flash_cnt[284][5]~q\,
	combout => \WideAnd284~1_combout\);

-- Location: LCCOMB_X2_Y38_N0
WideAnd284 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd284~combout\ = (\led_flash_cnt[284][0]~q\ & (\led_flash_cnt[284][7]~q\ & (\WideAnd284~0_combout\ & \WideAnd284~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[284][0]~q\,
	datab => \led_flash_cnt[284][7]~q\,
	datac => \WideAnd284~0_combout\,
	datad => \WideAnd284~1_combout\,
	combout => \WideAnd284~combout\);

-- Location: FF_X2_Y38_N1
\led_flash_cnt_ands[284]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd284~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(284));

-- Location: LCCOMB_X2_Y38_N28
\WideAnd3875~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3875~1_combout\ = (led_flash_cnt_ands(285) & led_flash_cnt_ands(284))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(285),
	datad => led_flash_cnt_ands(284),
	combout => \WideAnd3875~1_combout\);

-- Location: LCCOMB_X6_Y17_N18
\led_flash_cnt[287][0]~80927\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[287][0]~80927_combout\ = !\led_flash_cnt[287][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[287][0]~q\,
	combout => \led_flash_cnt[287][0]~80927_combout\);

-- Location: FF_X6_Y17_N19
\led_flash_cnt[287][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[287][0]~80927_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[287][0]~q\);

-- Location: LCCOMB_X3_Y17_N0
\led_flash_cnt[287][1]~30898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[287][1]~30898_combout\ = (\led_flash_cnt[287][0]~q\ & (\led_flash_cnt[287][1]~q\ $ (VCC))) # (!\led_flash_cnt[287][0]~q\ & (\led_flash_cnt[287][1]~q\ & VCC))
-- \led_flash_cnt[287][1]~30899\ = CARRY((\led_flash_cnt[287][0]~q\ & \led_flash_cnt[287][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[287][0]~q\,
	datab => \led_flash_cnt[287][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[287][1]~30898_combout\,
	cout => \led_flash_cnt[287][1]~30899\);

-- Location: FF_X3_Y17_N1
\led_flash_cnt[287][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[287][1]~30898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[287][1]~q\);

-- Location: LCCOMB_X3_Y17_N2
\led_flash_cnt[287][2]~30900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[287][2]~30900_combout\ = (\led_flash_cnt[287][2]~q\ & (!\led_flash_cnt[287][1]~30899\)) # (!\led_flash_cnt[287][2]~q\ & ((\led_flash_cnt[287][1]~30899\) # (GND)))
-- \led_flash_cnt[287][2]~30901\ = CARRY((!\led_flash_cnt[287][1]~30899\) # (!\led_flash_cnt[287][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[287][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[287][1]~30899\,
	combout => \led_flash_cnt[287][2]~30900_combout\,
	cout => \led_flash_cnt[287][2]~30901\);

-- Location: FF_X3_Y17_N3
\led_flash_cnt[287][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[287][2]~30900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[287][2]~q\);

-- Location: LCCOMB_X3_Y17_N4
\led_flash_cnt[287][3]~30902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[287][3]~30902_combout\ = (\led_flash_cnt[287][3]~q\ & (\led_flash_cnt[287][2]~30901\ $ (GND))) # (!\led_flash_cnt[287][3]~q\ & (!\led_flash_cnt[287][2]~30901\ & VCC))
-- \led_flash_cnt[287][3]~30903\ = CARRY((\led_flash_cnt[287][3]~q\ & !\led_flash_cnt[287][2]~30901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[287][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[287][2]~30901\,
	combout => \led_flash_cnt[287][3]~30902_combout\,
	cout => \led_flash_cnt[287][3]~30903\);

-- Location: FF_X3_Y17_N5
\led_flash_cnt[287][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[287][3]~30902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[287][3]~q\);

-- Location: LCCOMB_X3_Y17_N6
\led_flash_cnt[287][4]~30904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[287][4]~30904_combout\ = (\led_flash_cnt[287][4]~q\ & (!\led_flash_cnt[287][3]~30903\)) # (!\led_flash_cnt[287][4]~q\ & ((\led_flash_cnt[287][3]~30903\) # (GND)))
-- \led_flash_cnt[287][4]~30905\ = CARRY((!\led_flash_cnt[287][3]~30903\) # (!\led_flash_cnt[287][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[287][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[287][3]~30903\,
	combout => \led_flash_cnt[287][4]~30904_combout\,
	cout => \led_flash_cnt[287][4]~30905\);

-- Location: FF_X3_Y17_N7
\led_flash_cnt[287][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[287][4]~30904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[287][4]~q\);

-- Location: LCCOMB_X3_Y17_N8
\led_flash_cnt[287][5]~30906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[287][5]~30906_combout\ = (\led_flash_cnt[287][5]~q\ & (\led_flash_cnt[287][4]~30905\ $ (GND))) # (!\led_flash_cnt[287][5]~q\ & (!\led_flash_cnt[287][4]~30905\ & VCC))
-- \led_flash_cnt[287][5]~30907\ = CARRY((\led_flash_cnt[287][5]~q\ & !\led_flash_cnt[287][4]~30905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[287][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[287][4]~30905\,
	combout => \led_flash_cnt[287][5]~30906_combout\,
	cout => \led_flash_cnt[287][5]~30907\);

-- Location: FF_X3_Y17_N9
\led_flash_cnt[287][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[287][5]~30906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[287][5]~q\);

-- Location: LCCOMB_X3_Y17_N10
\led_flash_cnt[287][6]~30908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[287][6]~30908_combout\ = (\led_flash_cnt[287][6]~q\ & (!\led_flash_cnt[287][5]~30907\)) # (!\led_flash_cnt[287][6]~q\ & ((\led_flash_cnt[287][5]~30907\) # (GND)))
-- \led_flash_cnt[287][6]~30909\ = CARRY((!\led_flash_cnt[287][5]~30907\) # (!\led_flash_cnt[287][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[287][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[287][5]~30907\,
	combout => \led_flash_cnt[287][6]~30908_combout\,
	cout => \led_flash_cnt[287][6]~30909\);

-- Location: FF_X3_Y17_N11
\led_flash_cnt[287][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[287][6]~30908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[287][6]~q\);

-- Location: LCCOMB_X2_Y17_N6
\WideAnd287~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd287~1_combout\ = (\led_flash_cnt[287][5]~q\ & \led_flash_cnt[287][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[287][5]~q\,
	datac => \led_flash_cnt[287][6]~q\,
	combout => \WideAnd287~1_combout\);

-- Location: LCCOMB_X3_Y17_N12
\led_flash_cnt[287][7]~30910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[287][7]~30910_combout\ = \led_flash_cnt[287][6]~30909\ $ (!\led_flash_cnt[287][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[287][7]~q\,
	cin => \led_flash_cnt[287][6]~30909\,
	combout => \led_flash_cnt[287][7]~30910_combout\);

-- Location: FF_X3_Y17_N13
\led_flash_cnt[287][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[287][7]~30910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[287][7]~q\);

-- Location: LCCOMB_X3_Y17_N30
\WideAnd287~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd287~0_combout\ = (\led_flash_cnt[287][4]~q\ & (\led_flash_cnt[287][1]~q\ & (\led_flash_cnt[287][3]~q\ & \led_flash_cnt[287][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[287][4]~q\,
	datab => \led_flash_cnt[287][1]~q\,
	datac => \led_flash_cnt[287][3]~q\,
	datad => \led_flash_cnt[287][2]~q\,
	combout => \WideAnd287~0_combout\);

-- Location: LCCOMB_X2_Y17_N0
WideAnd287 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd287~combout\ = (\WideAnd287~1_combout\ & (\led_flash_cnt[287][7]~q\ & (\WideAnd287~0_combout\ & \led_flash_cnt[287][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd287~1_combout\,
	datab => \led_flash_cnt[287][7]~q\,
	datac => \WideAnd287~0_combout\,
	datad => \led_flash_cnt[287][0]~q\,
	combout => \WideAnd287~combout\);

-- Location: FF_X2_Y17_N1
\led_flash_cnt_ands[287]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd287~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(287));

-- Location: LCCOMB_X1_Y35_N6
\led_flash_cnt[286][0]~80926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[286][0]~80926_combout\ = !\led_flash_cnt[286][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[286][0]~q\,
	combout => \led_flash_cnt[286][0]~80926_combout\);

-- Location: FF_X1_Y35_N7
\led_flash_cnt[286][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[286][0]~80926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[286][0]~q\);

-- Location: LCCOMB_X2_Y35_N2
\led_flash_cnt[286][1]~30884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[286][1]~30884_combout\ = (\led_flash_cnt[286][0]~q\ & (\led_flash_cnt[286][1]~q\ $ (VCC))) # (!\led_flash_cnt[286][0]~q\ & (\led_flash_cnt[286][1]~q\ & VCC))
-- \led_flash_cnt[286][1]~30885\ = CARRY((\led_flash_cnt[286][0]~q\ & \led_flash_cnt[286][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[286][0]~q\,
	datab => \led_flash_cnt[286][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[286][1]~30884_combout\,
	cout => \led_flash_cnt[286][1]~30885\);

-- Location: FF_X2_Y35_N3
\led_flash_cnt[286][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[286][1]~30884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[286][1]~q\);

-- Location: LCCOMB_X2_Y35_N4
\led_flash_cnt[286][2]~30886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[286][2]~30886_combout\ = (\led_flash_cnt[286][2]~q\ & (!\led_flash_cnt[286][1]~30885\)) # (!\led_flash_cnt[286][2]~q\ & ((\led_flash_cnt[286][1]~30885\) # (GND)))
-- \led_flash_cnt[286][2]~30887\ = CARRY((!\led_flash_cnt[286][1]~30885\) # (!\led_flash_cnt[286][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[286][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[286][1]~30885\,
	combout => \led_flash_cnt[286][2]~30886_combout\,
	cout => \led_flash_cnt[286][2]~30887\);

-- Location: FF_X2_Y35_N5
\led_flash_cnt[286][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[286][2]~30886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[286][2]~q\);

-- Location: LCCOMB_X2_Y35_N6
\led_flash_cnt[286][3]~30888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[286][3]~30888_combout\ = (\led_flash_cnt[286][3]~q\ & (\led_flash_cnt[286][2]~30887\ $ (GND))) # (!\led_flash_cnt[286][3]~q\ & (!\led_flash_cnt[286][2]~30887\ & VCC))
-- \led_flash_cnt[286][3]~30889\ = CARRY((\led_flash_cnt[286][3]~q\ & !\led_flash_cnt[286][2]~30887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[286][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[286][2]~30887\,
	combout => \led_flash_cnt[286][3]~30888_combout\,
	cout => \led_flash_cnt[286][3]~30889\);

-- Location: FF_X2_Y35_N7
\led_flash_cnt[286][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[286][3]~30888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[286][3]~q\);

-- Location: LCCOMB_X2_Y35_N8
\led_flash_cnt[286][4]~30890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[286][4]~30890_combout\ = (\led_flash_cnt[286][4]~q\ & (!\led_flash_cnt[286][3]~30889\)) # (!\led_flash_cnt[286][4]~q\ & ((\led_flash_cnt[286][3]~30889\) # (GND)))
-- \led_flash_cnt[286][4]~30891\ = CARRY((!\led_flash_cnt[286][3]~30889\) # (!\led_flash_cnt[286][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[286][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[286][3]~30889\,
	combout => \led_flash_cnt[286][4]~30890_combout\,
	cout => \led_flash_cnt[286][4]~30891\);

-- Location: FF_X2_Y35_N9
\led_flash_cnt[286][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[286][4]~30890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[286][4]~q\);

-- Location: LCCOMB_X2_Y35_N10
\led_flash_cnt[286][5]~30892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[286][5]~30892_combout\ = (\led_flash_cnt[286][5]~q\ & (\led_flash_cnt[286][4]~30891\ $ (GND))) # (!\led_flash_cnt[286][5]~q\ & (!\led_flash_cnt[286][4]~30891\ & VCC))
-- \led_flash_cnt[286][5]~30893\ = CARRY((\led_flash_cnt[286][5]~q\ & !\led_flash_cnt[286][4]~30891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[286][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[286][4]~30891\,
	combout => \led_flash_cnt[286][5]~30892_combout\,
	cout => \led_flash_cnt[286][5]~30893\);

-- Location: FF_X2_Y35_N11
\led_flash_cnt[286][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[286][5]~30892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[286][5]~q\);

-- Location: LCCOMB_X2_Y35_N12
\led_flash_cnt[286][6]~30894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[286][6]~30894_combout\ = (\led_flash_cnt[286][6]~q\ & (!\led_flash_cnt[286][5]~30893\)) # (!\led_flash_cnt[286][6]~q\ & ((\led_flash_cnt[286][5]~30893\) # (GND)))
-- \led_flash_cnt[286][6]~30895\ = CARRY((!\led_flash_cnt[286][5]~30893\) # (!\led_flash_cnt[286][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[286][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[286][5]~30893\,
	combout => \led_flash_cnt[286][6]~30894_combout\,
	cout => \led_flash_cnt[286][6]~30895\);

-- Location: FF_X2_Y35_N13
\led_flash_cnt[286][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[286][6]~30894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[286][6]~q\);

-- Location: LCCOMB_X1_Y35_N10
\WideAnd286~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd286~1_combout\ = (\led_flash_cnt[286][5]~q\ & \led_flash_cnt[286][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[286][5]~q\,
	datac => \led_flash_cnt[286][6]~q\,
	combout => \WideAnd286~1_combout\);

-- Location: LCCOMB_X2_Y35_N14
\led_flash_cnt[286][7]~30896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[286][7]~30896_combout\ = \led_flash_cnt[286][7]~q\ $ (!\led_flash_cnt[286][6]~30895\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[286][7]~q\,
	cin => \led_flash_cnt[286][6]~30895\,
	combout => \led_flash_cnt[286][7]~30896_combout\);

-- Location: FF_X2_Y35_N15
\led_flash_cnt[286][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[286][7]~30896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[286][7]~q\);

-- Location: LCCOMB_X2_Y35_N30
\WideAnd286~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd286~0_combout\ = (\led_flash_cnt[286][3]~q\ & (\led_flash_cnt[286][4]~q\ & (\led_flash_cnt[286][2]~q\ & \led_flash_cnt[286][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[286][3]~q\,
	datab => \led_flash_cnt[286][4]~q\,
	datac => \led_flash_cnt[286][2]~q\,
	datad => \led_flash_cnt[286][1]~q\,
	combout => \WideAnd286~0_combout\);

-- Location: LCCOMB_X1_Y35_N8
WideAnd286 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd286~combout\ = (\WideAnd286~1_combout\ & (\led_flash_cnt[286][7]~q\ & (\WideAnd286~0_combout\ & \led_flash_cnt[286][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd286~1_combout\,
	datab => \led_flash_cnt[286][7]~q\,
	datac => \WideAnd286~0_combout\,
	datad => \led_flash_cnt[286][0]~q\,
	combout => \WideAnd286~combout\);

-- Location: FF_X1_Y35_N9
\led_flash_cnt_ands[286]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd286~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(286));

-- Location: LCCOMB_X2_Y38_N24
WideAnd3875 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3875~combout\ = (\WideAnd3875~0_combout\ & (\WideAnd3875~1_combout\ & (led_flash_cnt_ands(287) & led_flash_cnt_ands(286))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3875~0_combout\,
	datab => \WideAnd3875~1_combout\,
	datac => led_flash_cnt_ands(287),
	datad => led_flash_cnt_ands(286),
	combout => \WideAnd3875~combout\);

-- Location: FF_X2_Y38_N25
\led_flash_cnt_ands_1[35]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3875~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(35));

-- Location: LCCOMB_X55_Y38_N8
\WideAnd4324~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4324~0_combout\ = (led_flash_cnt_ands_1(34) & (led_flash_cnt_ands_1(32) & (led_flash_cnt_ands_1(33) & led_flash_cnt_ands_1(35))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(34),
	datab => led_flash_cnt_ands_1(32),
	datac => led_flash_cnt_ands_1(33),
	datad => led_flash_cnt_ands_1(35),
	combout => \WideAnd4324~0_combout\);

-- Location: LCCOMB_X24_Y35_N6
\led_flash_cnt[302][0]~80942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[302][0]~80942_combout\ = !\led_flash_cnt[302][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[302][0]~q\,
	combout => \led_flash_cnt[302][0]~80942_combout\);

-- Location: FF_X24_Y35_N7
\led_flash_cnt[302][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[302][0]~80942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[302][0]~q\);

-- Location: LCCOMB_X23_Y35_N18
\led_flash_cnt[302][1]~31108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[302][1]~31108_combout\ = (\led_flash_cnt[302][0]~q\ & (\led_flash_cnt[302][1]~q\ $ (VCC))) # (!\led_flash_cnt[302][0]~q\ & (\led_flash_cnt[302][1]~q\ & VCC))
-- \led_flash_cnt[302][1]~31109\ = CARRY((\led_flash_cnt[302][0]~q\ & \led_flash_cnt[302][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[302][0]~q\,
	datab => \led_flash_cnt[302][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[302][1]~31108_combout\,
	cout => \led_flash_cnt[302][1]~31109\);

-- Location: FF_X23_Y35_N19
\led_flash_cnt[302][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[302][1]~31108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[302][1]~q\);

-- Location: LCCOMB_X23_Y35_N20
\led_flash_cnt[302][2]~31110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[302][2]~31110_combout\ = (\led_flash_cnt[302][2]~q\ & (!\led_flash_cnt[302][1]~31109\)) # (!\led_flash_cnt[302][2]~q\ & ((\led_flash_cnt[302][1]~31109\) # (GND)))
-- \led_flash_cnt[302][2]~31111\ = CARRY((!\led_flash_cnt[302][1]~31109\) # (!\led_flash_cnt[302][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[302][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[302][1]~31109\,
	combout => \led_flash_cnt[302][2]~31110_combout\,
	cout => \led_flash_cnt[302][2]~31111\);

-- Location: FF_X23_Y35_N21
\led_flash_cnt[302][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[302][2]~31110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[302][2]~q\);

-- Location: LCCOMB_X23_Y35_N22
\led_flash_cnt[302][3]~31112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[302][3]~31112_combout\ = (\led_flash_cnt[302][3]~q\ & (\led_flash_cnt[302][2]~31111\ $ (GND))) # (!\led_flash_cnt[302][3]~q\ & (!\led_flash_cnt[302][2]~31111\ & VCC))
-- \led_flash_cnt[302][3]~31113\ = CARRY((\led_flash_cnt[302][3]~q\ & !\led_flash_cnt[302][2]~31111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[302][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[302][2]~31111\,
	combout => \led_flash_cnt[302][3]~31112_combout\,
	cout => \led_flash_cnt[302][3]~31113\);

-- Location: FF_X23_Y35_N23
\led_flash_cnt[302][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[302][3]~31112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[302][3]~q\);

-- Location: LCCOMB_X23_Y35_N24
\led_flash_cnt[302][4]~31114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[302][4]~31114_combout\ = (\led_flash_cnt[302][4]~q\ & (!\led_flash_cnt[302][3]~31113\)) # (!\led_flash_cnt[302][4]~q\ & ((\led_flash_cnt[302][3]~31113\) # (GND)))
-- \led_flash_cnt[302][4]~31115\ = CARRY((!\led_flash_cnt[302][3]~31113\) # (!\led_flash_cnt[302][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[302][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[302][3]~31113\,
	combout => \led_flash_cnt[302][4]~31114_combout\,
	cout => \led_flash_cnt[302][4]~31115\);

-- Location: FF_X23_Y35_N25
\led_flash_cnt[302][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[302][4]~31114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[302][4]~q\);

-- Location: LCCOMB_X23_Y35_N0
\WideAnd302~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd302~0_combout\ = (\led_flash_cnt[302][4]~q\ & (\led_flash_cnt[302][2]~q\ & (\led_flash_cnt[302][3]~q\ & \led_flash_cnt[302][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[302][4]~q\,
	datab => \led_flash_cnt[302][2]~q\,
	datac => \led_flash_cnt[302][3]~q\,
	datad => \led_flash_cnt[302][1]~q\,
	combout => \WideAnd302~0_combout\);

-- Location: LCCOMB_X23_Y35_N26
\led_flash_cnt[302][5]~31116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[302][5]~31116_combout\ = (\led_flash_cnt[302][5]~q\ & (\led_flash_cnt[302][4]~31115\ $ (GND))) # (!\led_flash_cnt[302][5]~q\ & (!\led_flash_cnt[302][4]~31115\ & VCC))
-- \led_flash_cnt[302][5]~31117\ = CARRY((\led_flash_cnt[302][5]~q\ & !\led_flash_cnt[302][4]~31115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[302][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[302][4]~31115\,
	combout => \led_flash_cnt[302][5]~31116_combout\,
	cout => \led_flash_cnt[302][5]~31117\);

-- Location: FF_X23_Y35_N27
\led_flash_cnt[302][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[302][5]~31116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[302][5]~q\);

-- Location: LCCOMB_X23_Y35_N28
\led_flash_cnt[302][6]~31118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[302][6]~31118_combout\ = (\led_flash_cnt[302][6]~q\ & (!\led_flash_cnt[302][5]~31117\)) # (!\led_flash_cnt[302][6]~q\ & ((\led_flash_cnt[302][5]~31117\) # (GND)))
-- \led_flash_cnt[302][6]~31119\ = CARRY((!\led_flash_cnt[302][5]~31117\) # (!\led_flash_cnt[302][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[302][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[302][5]~31117\,
	combout => \led_flash_cnt[302][6]~31118_combout\,
	cout => \led_flash_cnt[302][6]~31119\);

-- Location: FF_X23_Y35_N29
\led_flash_cnt[302][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[302][6]~31118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[302][6]~q\);

-- Location: LCCOMB_X23_Y35_N30
\led_flash_cnt[302][7]~31120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[302][7]~31120_combout\ = \led_flash_cnt[302][7]~q\ $ (!\led_flash_cnt[302][6]~31119\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[302][7]~q\,
	cin => \led_flash_cnt[302][6]~31119\,
	combout => \led_flash_cnt[302][7]~31120_combout\);

-- Location: FF_X23_Y35_N31
\led_flash_cnt[302][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[302][7]~31120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[302][7]~q\);

-- Location: LCCOMB_X24_Y35_N8
\WideAnd302~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd302~1_combout\ = (\led_flash_cnt[302][5]~q\ & \led_flash_cnt[302][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[302][5]~q\,
	datad => \led_flash_cnt[302][6]~q\,
	combout => \WideAnd302~1_combout\);

-- Location: LCCOMB_X24_Y35_N10
WideAnd302 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd302~combout\ = (\WideAnd302~0_combout\ & (\led_flash_cnt[302][7]~q\ & (\WideAnd302~1_combout\ & \led_flash_cnt[302][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd302~0_combout\,
	datab => \led_flash_cnt[302][7]~q\,
	datac => \WideAnd302~1_combout\,
	datad => \led_flash_cnt[302][0]~q\,
	combout => \WideAnd302~combout\);

-- Location: FF_X24_Y35_N11
\led_flash_cnt_ands[302]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd302~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(302));

-- Location: LCCOMB_X24_Y35_N12
\led_flash_cnt[303][0]~80943\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[303][0]~80943_combout\ = !\led_flash_cnt[303][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[303][0]~q\,
	combout => \led_flash_cnt[303][0]~80943_combout\);

-- Location: FF_X24_Y35_N13
\led_flash_cnt[303][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[303][0]~80943_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[303][0]~q\);

-- Location: LCCOMB_X24_Y35_N14
\led_flash_cnt[303][1]~31122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[303][1]~31122_combout\ = (\led_flash_cnt[303][0]~q\ & (\led_flash_cnt[303][1]~q\ $ (VCC))) # (!\led_flash_cnt[303][0]~q\ & (\led_flash_cnt[303][1]~q\ & VCC))
-- \led_flash_cnt[303][1]~31123\ = CARRY((\led_flash_cnt[303][0]~q\ & \led_flash_cnt[303][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[303][0]~q\,
	datab => \led_flash_cnt[303][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[303][1]~31122_combout\,
	cout => \led_flash_cnt[303][1]~31123\);

-- Location: FF_X24_Y35_N15
\led_flash_cnt[303][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[303][1]~31122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[303][1]~q\);

-- Location: LCCOMB_X24_Y35_N16
\led_flash_cnt[303][2]~31124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[303][2]~31124_combout\ = (\led_flash_cnt[303][2]~q\ & (!\led_flash_cnt[303][1]~31123\)) # (!\led_flash_cnt[303][2]~q\ & ((\led_flash_cnt[303][1]~31123\) # (GND)))
-- \led_flash_cnt[303][2]~31125\ = CARRY((!\led_flash_cnt[303][1]~31123\) # (!\led_flash_cnt[303][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[303][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[303][1]~31123\,
	combout => \led_flash_cnt[303][2]~31124_combout\,
	cout => \led_flash_cnt[303][2]~31125\);

-- Location: FF_X24_Y35_N17
\led_flash_cnt[303][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[303][2]~31124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[303][2]~q\);

-- Location: LCCOMB_X24_Y35_N18
\led_flash_cnt[303][3]~31126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[303][3]~31126_combout\ = (\led_flash_cnt[303][3]~q\ & (\led_flash_cnt[303][2]~31125\ $ (GND))) # (!\led_flash_cnt[303][3]~q\ & (!\led_flash_cnt[303][2]~31125\ & VCC))
-- \led_flash_cnt[303][3]~31127\ = CARRY((\led_flash_cnt[303][3]~q\ & !\led_flash_cnt[303][2]~31125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[303][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[303][2]~31125\,
	combout => \led_flash_cnt[303][3]~31126_combout\,
	cout => \led_flash_cnt[303][3]~31127\);

-- Location: FF_X24_Y35_N19
\led_flash_cnt[303][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[303][3]~31126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[303][3]~q\);

-- Location: LCCOMB_X24_Y35_N20
\led_flash_cnt[303][4]~31128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[303][4]~31128_combout\ = (\led_flash_cnt[303][4]~q\ & (!\led_flash_cnt[303][3]~31127\)) # (!\led_flash_cnt[303][4]~q\ & ((\led_flash_cnt[303][3]~31127\) # (GND)))
-- \led_flash_cnt[303][4]~31129\ = CARRY((!\led_flash_cnt[303][3]~31127\) # (!\led_flash_cnt[303][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[303][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[303][3]~31127\,
	combout => \led_flash_cnt[303][4]~31128_combout\,
	cout => \led_flash_cnt[303][4]~31129\);

-- Location: FF_X24_Y35_N21
\led_flash_cnt[303][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[303][4]~31128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[303][4]~q\);

-- Location: LCCOMB_X24_Y35_N22
\led_flash_cnt[303][5]~31130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[303][5]~31130_combout\ = (\led_flash_cnt[303][5]~q\ & (\led_flash_cnt[303][4]~31129\ $ (GND))) # (!\led_flash_cnt[303][5]~q\ & (!\led_flash_cnt[303][4]~31129\ & VCC))
-- \led_flash_cnt[303][5]~31131\ = CARRY((\led_flash_cnt[303][5]~q\ & !\led_flash_cnt[303][4]~31129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[303][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[303][4]~31129\,
	combout => \led_flash_cnt[303][5]~31130_combout\,
	cout => \led_flash_cnt[303][5]~31131\);

-- Location: FF_X24_Y35_N23
\led_flash_cnt[303][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[303][5]~31130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[303][5]~q\);

-- Location: LCCOMB_X24_Y35_N24
\led_flash_cnt[303][6]~31132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[303][6]~31132_combout\ = (\led_flash_cnt[303][6]~q\ & (!\led_flash_cnt[303][5]~31131\)) # (!\led_flash_cnt[303][6]~q\ & ((\led_flash_cnt[303][5]~31131\) # (GND)))
-- \led_flash_cnt[303][6]~31133\ = CARRY((!\led_flash_cnt[303][5]~31131\) # (!\led_flash_cnt[303][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[303][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[303][5]~31131\,
	combout => \led_flash_cnt[303][6]~31132_combout\,
	cout => \led_flash_cnt[303][6]~31133\);

-- Location: FF_X24_Y35_N25
\led_flash_cnt[303][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[303][6]~31132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[303][6]~q\);

-- Location: LCCOMB_X24_Y35_N30
\WideAnd303~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd303~1_combout\ = (\led_flash_cnt[303][5]~q\ & \led_flash_cnt[303][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[303][5]~q\,
	datad => \led_flash_cnt[303][6]~q\,
	combout => \WideAnd303~1_combout\);

-- Location: LCCOMB_X24_Y35_N28
\WideAnd303~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd303~0_combout\ = (\led_flash_cnt[303][3]~q\ & (\led_flash_cnt[303][4]~q\ & (\led_flash_cnt[303][1]~q\ & \led_flash_cnt[303][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[303][3]~q\,
	datab => \led_flash_cnt[303][4]~q\,
	datac => \led_flash_cnt[303][1]~q\,
	datad => \led_flash_cnt[303][2]~q\,
	combout => \WideAnd303~0_combout\);

-- Location: LCCOMB_X24_Y35_N26
\led_flash_cnt[303][7]~31134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[303][7]~31134_combout\ = \led_flash_cnt[303][7]~q\ $ (!\led_flash_cnt[303][6]~31133\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[303][7]~q\,
	cin => \led_flash_cnt[303][6]~31133\,
	combout => \led_flash_cnt[303][7]~31134_combout\);

-- Location: FF_X24_Y35_N27
\led_flash_cnt[303][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[303][7]~31134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[303][7]~q\);

-- Location: LCCOMB_X24_Y35_N4
WideAnd303 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd303~combout\ = (\WideAnd303~1_combout\ & (\WideAnd303~0_combout\ & (\led_flash_cnt[303][7]~q\ & \led_flash_cnt[303][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd303~1_combout\,
	datab => \WideAnd303~0_combout\,
	datac => \led_flash_cnt[303][7]~q\,
	datad => \led_flash_cnt[303][0]~q\,
	combout => \WideAnd303~combout\);

-- Location: FF_X24_Y35_N5
\led_flash_cnt_ands[303]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd303~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(303));

-- Location: LCCOMB_X4_Y28_N2
\led_flash_cnt[301][0]~80941\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[301][0]~80941_combout\ = !\led_flash_cnt[301][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[301][0]~q\,
	combout => \led_flash_cnt[301][0]~80941_combout\);

-- Location: FF_X4_Y28_N3
\led_flash_cnt[301][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[301][0]~80941_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[301][0]~q\);

-- Location: LCCOMB_X3_Y28_N18
\led_flash_cnt[301][1]~31094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[301][1]~31094_combout\ = (\led_flash_cnt[301][0]~q\ & (\led_flash_cnt[301][1]~q\ $ (VCC))) # (!\led_flash_cnt[301][0]~q\ & (\led_flash_cnt[301][1]~q\ & VCC))
-- \led_flash_cnt[301][1]~31095\ = CARRY((\led_flash_cnt[301][0]~q\ & \led_flash_cnt[301][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[301][0]~q\,
	datab => \led_flash_cnt[301][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[301][1]~31094_combout\,
	cout => \led_flash_cnt[301][1]~31095\);

-- Location: FF_X3_Y28_N19
\led_flash_cnt[301][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[301][1]~31094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[301][1]~q\);

-- Location: LCCOMB_X3_Y28_N20
\led_flash_cnt[301][2]~31096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[301][2]~31096_combout\ = (\led_flash_cnt[301][2]~q\ & (!\led_flash_cnt[301][1]~31095\)) # (!\led_flash_cnt[301][2]~q\ & ((\led_flash_cnt[301][1]~31095\) # (GND)))
-- \led_flash_cnt[301][2]~31097\ = CARRY((!\led_flash_cnt[301][1]~31095\) # (!\led_flash_cnt[301][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[301][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[301][1]~31095\,
	combout => \led_flash_cnt[301][2]~31096_combout\,
	cout => \led_flash_cnt[301][2]~31097\);

-- Location: FF_X3_Y28_N21
\led_flash_cnt[301][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[301][2]~31096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[301][2]~q\);

-- Location: LCCOMB_X3_Y28_N22
\led_flash_cnt[301][3]~31098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[301][3]~31098_combout\ = (\led_flash_cnt[301][3]~q\ & (\led_flash_cnt[301][2]~31097\ $ (GND))) # (!\led_flash_cnt[301][3]~q\ & (!\led_flash_cnt[301][2]~31097\ & VCC))
-- \led_flash_cnt[301][3]~31099\ = CARRY((\led_flash_cnt[301][3]~q\ & !\led_flash_cnt[301][2]~31097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[301][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[301][2]~31097\,
	combout => \led_flash_cnt[301][3]~31098_combout\,
	cout => \led_flash_cnt[301][3]~31099\);

-- Location: FF_X3_Y28_N23
\led_flash_cnt[301][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[301][3]~31098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[301][3]~q\);

-- Location: LCCOMB_X3_Y28_N24
\led_flash_cnt[301][4]~31100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[301][4]~31100_combout\ = (\led_flash_cnt[301][4]~q\ & (!\led_flash_cnt[301][3]~31099\)) # (!\led_flash_cnt[301][4]~q\ & ((\led_flash_cnt[301][3]~31099\) # (GND)))
-- \led_flash_cnt[301][4]~31101\ = CARRY((!\led_flash_cnt[301][3]~31099\) # (!\led_flash_cnt[301][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[301][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[301][3]~31099\,
	combout => \led_flash_cnt[301][4]~31100_combout\,
	cout => \led_flash_cnt[301][4]~31101\);

-- Location: FF_X3_Y28_N25
\led_flash_cnt[301][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[301][4]~31100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[301][4]~q\);

-- Location: LCCOMB_X3_Y28_N26
\led_flash_cnt[301][5]~31102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[301][5]~31102_combout\ = (\led_flash_cnt[301][5]~q\ & (\led_flash_cnt[301][4]~31101\ $ (GND))) # (!\led_flash_cnt[301][5]~q\ & (!\led_flash_cnt[301][4]~31101\ & VCC))
-- \led_flash_cnt[301][5]~31103\ = CARRY((\led_flash_cnt[301][5]~q\ & !\led_flash_cnt[301][4]~31101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[301][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[301][4]~31101\,
	combout => \led_flash_cnt[301][5]~31102_combout\,
	cout => \led_flash_cnt[301][5]~31103\);

-- Location: FF_X3_Y28_N27
\led_flash_cnt[301][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[301][5]~31102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[301][5]~q\);

-- Location: LCCOMB_X3_Y28_N28
\led_flash_cnt[301][6]~31104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[301][6]~31104_combout\ = (\led_flash_cnt[301][6]~q\ & (!\led_flash_cnt[301][5]~31103\)) # (!\led_flash_cnt[301][6]~q\ & ((\led_flash_cnt[301][5]~31103\) # (GND)))
-- \led_flash_cnt[301][6]~31105\ = CARRY((!\led_flash_cnt[301][5]~31103\) # (!\led_flash_cnt[301][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[301][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[301][5]~31103\,
	combout => \led_flash_cnt[301][6]~31104_combout\,
	cout => \led_flash_cnt[301][6]~31105\);

-- Location: FF_X3_Y28_N29
\led_flash_cnt[301][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[301][6]~31104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[301][6]~q\);

-- Location: LCCOMB_X4_Y28_N6
\WideAnd301~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd301~1_combout\ = (\led_flash_cnt[301][5]~q\ & \led_flash_cnt[301][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[301][5]~q\,
	datad => \led_flash_cnt[301][6]~q\,
	combout => \WideAnd301~1_combout\);

-- Location: LCCOMB_X3_Y28_N30
\led_flash_cnt[301][7]~31106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[301][7]~31106_combout\ = \led_flash_cnt[301][7]~q\ $ (!\led_flash_cnt[301][6]~31105\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[301][7]~q\,
	cin => \led_flash_cnt[301][6]~31105\,
	combout => \led_flash_cnt[301][7]~31106_combout\);

-- Location: FF_X3_Y28_N31
\led_flash_cnt[301][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[301][7]~31106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[301][7]~q\);

-- Location: LCCOMB_X3_Y28_N0
\WideAnd301~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd301~0_combout\ = (\led_flash_cnt[301][1]~q\ & (\led_flash_cnt[301][2]~q\ & (\led_flash_cnt[301][3]~q\ & \led_flash_cnt[301][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[301][1]~q\,
	datab => \led_flash_cnt[301][2]~q\,
	datac => \led_flash_cnt[301][3]~q\,
	datad => \led_flash_cnt[301][4]~q\,
	combout => \WideAnd301~0_combout\);

-- Location: LCCOMB_X4_Y28_N0
WideAnd301 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd301~combout\ = (\WideAnd301~1_combout\ & (\led_flash_cnt[301][7]~q\ & (\WideAnd301~0_combout\ & \led_flash_cnt[301][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd301~1_combout\,
	datab => \led_flash_cnt[301][7]~q\,
	datac => \WideAnd301~0_combout\,
	datad => \led_flash_cnt[301][0]~q\,
	combout => \WideAnd301~combout\);

-- Location: FF_X4_Y28_N1
\led_flash_cnt_ands[301]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd301~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(301));

-- Location: LCCOMB_X10_Y29_N14
\led_flash_cnt[300][0]~80940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[300][0]~80940_combout\ = !\led_flash_cnt[300][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[300][0]~q\,
	combout => \led_flash_cnt[300][0]~80940_combout\);

-- Location: FF_X10_Y29_N15
\led_flash_cnt[300][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[300][0]~80940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[300][0]~q\);

-- Location: LCCOMB_X11_Y29_N0
\led_flash_cnt[300][1]~31080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[300][1]~31080_combout\ = (\led_flash_cnt[300][0]~q\ & (\led_flash_cnt[300][1]~q\ $ (VCC))) # (!\led_flash_cnt[300][0]~q\ & (\led_flash_cnt[300][1]~q\ & VCC))
-- \led_flash_cnt[300][1]~31081\ = CARRY((\led_flash_cnt[300][0]~q\ & \led_flash_cnt[300][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[300][0]~q\,
	datab => \led_flash_cnt[300][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[300][1]~31080_combout\,
	cout => \led_flash_cnt[300][1]~31081\);

-- Location: FF_X11_Y29_N1
\led_flash_cnt[300][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[300][1]~31080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[300][1]~q\);

-- Location: LCCOMB_X11_Y29_N2
\led_flash_cnt[300][2]~31082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[300][2]~31082_combout\ = (\led_flash_cnt[300][2]~q\ & (!\led_flash_cnt[300][1]~31081\)) # (!\led_flash_cnt[300][2]~q\ & ((\led_flash_cnt[300][1]~31081\) # (GND)))
-- \led_flash_cnt[300][2]~31083\ = CARRY((!\led_flash_cnt[300][1]~31081\) # (!\led_flash_cnt[300][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[300][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[300][1]~31081\,
	combout => \led_flash_cnt[300][2]~31082_combout\,
	cout => \led_flash_cnt[300][2]~31083\);

-- Location: FF_X11_Y29_N3
\led_flash_cnt[300][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[300][2]~31082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[300][2]~q\);

-- Location: LCCOMB_X11_Y29_N4
\led_flash_cnt[300][3]~31084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[300][3]~31084_combout\ = (\led_flash_cnt[300][3]~q\ & (\led_flash_cnt[300][2]~31083\ $ (GND))) # (!\led_flash_cnt[300][3]~q\ & (!\led_flash_cnt[300][2]~31083\ & VCC))
-- \led_flash_cnt[300][3]~31085\ = CARRY((\led_flash_cnt[300][3]~q\ & !\led_flash_cnt[300][2]~31083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[300][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[300][2]~31083\,
	combout => \led_flash_cnt[300][3]~31084_combout\,
	cout => \led_flash_cnt[300][3]~31085\);

-- Location: FF_X11_Y29_N5
\led_flash_cnt[300][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[300][3]~31084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[300][3]~q\);

-- Location: LCCOMB_X11_Y29_N6
\led_flash_cnt[300][4]~31086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[300][4]~31086_combout\ = (\led_flash_cnt[300][4]~q\ & (!\led_flash_cnt[300][3]~31085\)) # (!\led_flash_cnt[300][4]~q\ & ((\led_flash_cnt[300][3]~31085\) # (GND)))
-- \led_flash_cnt[300][4]~31087\ = CARRY((!\led_flash_cnt[300][3]~31085\) # (!\led_flash_cnt[300][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[300][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[300][3]~31085\,
	combout => \led_flash_cnt[300][4]~31086_combout\,
	cout => \led_flash_cnt[300][4]~31087\);

-- Location: FF_X11_Y29_N7
\led_flash_cnt[300][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[300][4]~31086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[300][4]~q\);

-- Location: LCCOMB_X11_Y29_N8
\led_flash_cnt[300][5]~31088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[300][5]~31088_combout\ = (\led_flash_cnt[300][5]~q\ & (\led_flash_cnt[300][4]~31087\ $ (GND))) # (!\led_flash_cnt[300][5]~q\ & (!\led_flash_cnt[300][4]~31087\ & VCC))
-- \led_flash_cnt[300][5]~31089\ = CARRY((\led_flash_cnt[300][5]~q\ & !\led_flash_cnt[300][4]~31087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[300][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[300][4]~31087\,
	combout => \led_flash_cnt[300][5]~31088_combout\,
	cout => \led_flash_cnt[300][5]~31089\);

-- Location: FF_X11_Y29_N9
\led_flash_cnt[300][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[300][5]~31088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[300][5]~q\);

-- Location: LCCOMB_X11_Y29_N10
\led_flash_cnt[300][6]~31090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[300][6]~31090_combout\ = (\led_flash_cnt[300][6]~q\ & (!\led_flash_cnt[300][5]~31089\)) # (!\led_flash_cnt[300][6]~q\ & ((\led_flash_cnt[300][5]~31089\) # (GND)))
-- \led_flash_cnt[300][6]~31091\ = CARRY((!\led_flash_cnt[300][5]~31089\) # (!\led_flash_cnt[300][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[300][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[300][5]~31089\,
	combout => \led_flash_cnt[300][6]~31090_combout\,
	cout => \led_flash_cnt[300][6]~31091\);

-- Location: FF_X11_Y29_N11
\led_flash_cnt[300][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[300][6]~31090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[300][6]~q\);

-- Location: LCCOMB_X10_Y29_N4
\WideAnd300~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd300~1_combout\ = (\led_flash_cnt[300][6]~q\ & \led_flash_cnt[300][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[300][6]~q\,
	datac => \led_flash_cnt[300][5]~q\,
	combout => \WideAnd300~1_combout\);

-- Location: LCCOMB_X10_Y29_N16
\WideAnd300~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd300~0_combout\ = (\led_flash_cnt[300][4]~q\ & (\led_flash_cnt[300][2]~q\ & (\led_flash_cnt[300][1]~q\ & \led_flash_cnt[300][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[300][4]~q\,
	datab => \led_flash_cnt[300][2]~q\,
	datac => \led_flash_cnt[300][1]~q\,
	datad => \led_flash_cnt[300][3]~q\,
	combout => \WideAnd300~0_combout\);

-- Location: LCCOMB_X11_Y29_N12
\led_flash_cnt[300][7]~31092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[300][7]~31092_combout\ = \led_flash_cnt[300][6]~31091\ $ (!\led_flash_cnt[300][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[300][7]~q\,
	cin => \led_flash_cnt[300][6]~31091\,
	combout => \led_flash_cnt[300][7]~31092_combout\);

-- Location: FF_X11_Y29_N13
\led_flash_cnt[300][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[300][7]~31092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[300][7]~q\);

-- Location: LCCOMB_X11_Y29_N30
WideAnd300 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd300~combout\ = (\led_flash_cnt[300][0]~q\ & (\WideAnd300~1_combout\ & (\WideAnd300~0_combout\ & \led_flash_cnt[300][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[300][0]~q\,
	datab => \WideAnd300~1_combout\,
	datac => \WideAnd300~0_combout\,
	datad => \led_flash_cnt[300][7]~q\,
	combout => \WideAnd300~combout\);

-- Location: FF_X11_Y29_N31
\led_flash_cnt_ands[300]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd300~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(300));

-- Location: LCCOMB_X12_Y29_N8
\WideAnd3877~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3877~1_combout\ = (led_flash_cnt_ands(301) & led_flash_cnt_ands(300))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(301),
	datad => led_flash_cnt_ands(300),
	combout => \WideAnd3877~1_combout\);

-- Location: LCCOMB_X56_Y50_N10
\led_flash_cnt[298][0]~80938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[298][0]~80938_combout\ = !\led_flash_cnt[298][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[298][0]~q\,
	combout => \led_flash_cnt[298][0]~80938_combout\);

-- Location: FF_X56_Y50_N11
\led_flash_cnt[298][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[298][0]~80938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[298][0]~q\);

-- Location: LCCOMB_X56_Y50_N14
\led_flash_cnt[298][1]~31052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[298][1]~31052_combout\ = (\led_flash_cnt[298][0]~q\ & (\led_flash_cnt[298][1]~q\ $ (VCC))) # (!\led_flash_cnt[298][0]~q\ & (\led_flash_cnt[298][1]~q\ & VCC))
-- \led_flash_cnt[298][1]~31053\ = CARRY((\led_flash_cnt[298][0]~q\ & \led_flash_cnt[298][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[298][0]~q\,
	datab => \led_flash_cnt[298][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[298][1]~31052_combout\,
	cout => \led_flash_cnt[298][1]~31053\);

-- Location: FF_X56_Y50_N15
\led_flash_cnt[298][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[298][1]~31052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[298][1]~q\);

-- Location: LCCOMB_X56_Y50_N16
\led_flash_cnt[298][2]~31054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[298][2]~31054_combout\ = (\led_flash_cnt[298][2]~q\ & (!\led_flash_cnt[298][1]~31053\)) # (!\led_flash_cnt[298][2]~q\ & ((\led_flash_cnt[298][1]~31053\) # (GND)))
-- \led_flash_cnt[298][2]~31055\ = CARRY((!\led_flash_cnt[298][1]~31053\) # (!\led_flash_cnt[298][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[298][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[298][1]~31053\,
	combout => \led_flash_cnt[298][2]~31054_combout\,
	cout => \led_flash_cnt[298][2]~31055\);

-- Location: FF_X56_Y50_N17
\led_flash_cnt[298][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[298][2]~31054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[298][2]~q\);

-- Location: LCCOMB_X56_Y50_N18
\led_flash_cnt[298][3]~31056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[298][3]~31056_combout\ = (\led_flash_cnt[298][3]~q\ & (\led_flash_cnt[298][2]~31055\ $ (GND))) # (!\led_flash_cnt[298][3]~q\ & (!\led_flash_cnt[298][2]~31055\ & VCC))
-- \led_flash_cnt[298][3]~31057\ = CARRY((\led_flash_cnt[298][3]~q\ & !\led_flash_cnt[298][2]~31055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[298][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[298][2]~31055\,
	combout => \led_flash_cnt[298][3]~31056_combout\,
	cout => \led_flash_cnt[298][3]~31057\);

-- Location: FF_X56_Y50_N19
\led_flash_cnt[298][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[298][3]~31056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[298][3]~q\);

-- Location: LCCOMB_X56_Y50_N20
\led_flash_cnt[298][4]~31058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[298][4]~31058_combout\ = (\led_flash_cnt[298][4]~q\ & (!\led_flash_cnt[298][3]~31057\)) # (!\led_flash_cnt[298][4]~q\ & ((\led_flash_cnt[298][3]~31057\) # (GND)))
-- \led_flash_cnt[298][4]~31059\ = CARRY((!\led_flash_cnt[298][3]~31057\) # (!\led_flash_cnt[298][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[298][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[298][3]~31057\,
	combout => \led_flash_cnt[298][4]~31058_combout\,
	cout => \led_flash_cnt[298][4]~31059\);

-- Location: FF_X56_Y50_N21
\led_flash_cnt[298][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[298][4]~31058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[298][4]~q\);

-- Location: LCCOMB_X56_Y50_N22
\led_flash_cnt[298][5]~31060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[298][5]~31060_combout\ = (\led_flash_cnt[298][5]~q\ & (\led_flash_cnt[298][4]~31059\ $ (GND))) # (!\led_flash_cnt[298][5]~q\ & (!\led_flash_cnt[298][4]~31059\ & VCC))
-- \led_flash_cnt[298][5]~31061\ = CARRY((\led_flash_cnt[298][5]~q\ & !\led_flash_cnt[298][4]~31059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[298][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[298][4]~31059\,
	combout => \led_flash_cnt[298][5]~31060_combout\,
	cout => \led_flash_cnt[298][5]~31061\);

-- Location: FF_X56_Y50_N23
\led_flash_cnt[298][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[298][5]~31060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[298][5]~q\);

-- Location: LCCOMB_X56_Y50_N24
\led_flash_cnt[298][6]~31062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[298][6]~31062_combout\ = (\led_flash_cnt[298][6]~q\ & (!\led_flash_cnt[298][5]~31061\)) # (!\led_flash_cnt[298][6]~q\ & ((\led_flash_cnt[298][5]~31061\) # (GND)))
-- \led_flash_cnt[298][6]~31063\ = CARRY((!\led_flash_cnt[298][5]~31061\) # (!\led_flash_cnt[298][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[298][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[298][5]~31061\,
	combout => \led_flash_cnt[298][6]~31062_combout\,
	cout => \led_flash_cnt[298][6]~31063\);

-- Location: FF_X56_Y50_N25
\led_flash_cnt[298][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[298][6]~31062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[298][6]~q\);

-- Location: LCCOMB_X56_Y50_N28
\WideAnd298~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd298~1_combout\ = (\led_flash_cnt[298][5]~q\ & \led_flash_cnt[298][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[298][5]~q\,
	datad => \led_flash_cnt[298][6]~q\,
	combout => \WideAnd298~1_combout\);

-- Location: LCCOMB_X56_Y50_N26
\led_flash_cnt[298][7]~31064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[298][7]~31064_combout\ = \led_flash_cnt[298][7]~q\ $ (!\led_flash_cnt[298][6]~31063\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[298][7]~q\,
	cin => \led_flash_cnt[298][6]~31063\,
	combout => \led_flash_cnt[298][7]~31064_combout\);

-- Location: FF_X56_Y50_N27
\led_flash_cnt[298][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[298][7]~31064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[298][7]~q\);

-- Location: LCCOMB_X56_Y50_N12
\WideAnd298~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd298~0_combout\ = (\led_flash_cnt[298][3]~q\ & (\led_flash_cnt[298][2]~q\ & (\led_flash_cnt[298][1]~q\ & \led_flash_cnt[298][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[298][3]~q\,
	datab => \led_flash_cnt[298][2]~q\,
	datac => \led_flash_cnt[298][1]~q\,
	datad => \led_flash_cnt[298][4]~q\,
	combout => \WideAnd298~0_combout\);

-- Location: LCCOMB_X56_Y50_N2
WideAnd298 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd298~combout\ = (\led_flash_cnt[298][0]~q\ & (\WideAnd298~1_combout\ & (\led_flash_cnt[298][7]~q\ & \WideAnd298~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[298][0]~q\,
	datab => \WideAnd298~1_combout\,
	datac => \led_flash_cnt[298][7]~q\,
	datad => \WideAnd298~0_combout\,
	combout => \WideAnd298~combout\);

-- Location: FF_X56_Y50_N3
\led_flash_cnt_ands[298]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd298~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(298));

-- Location: LCCOMB_X56_Y53_N22
\led_flash_cnt[299][0]~80939\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[299][0]~80939_combout\ = !\led_flash_cnt[299][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[299][0]~q\,
	combout => \led_flash_cnt[299][0]~80939_combout\);

-- Location: FF_X56_Y53_N23
\led_flash_cnt[299][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[299][0]~80939_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[299][0]~q\);

-- Location: LCCOMB_X56_Y53_N4
\led_flash_cnt[299][1]~31066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[299][1]~31066_combout\ = (\led_flash_cnt[299][0]~q\ & (\led_flash_cnt[299][1]~q\ $ (VCC))) # (!\led_flash_cnt[299][0]~q\ & (\led_flash_cnt[299][1]~q\ & VCC))
-- \led_flash_cnt[299][1]~31067\ = CARRY((\led_flash_cnt[299][0]~q\ & \led_flash_cnt[299][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[299][0]~q\,
	datab => \led_flash_cnt[299][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[299][1]~31066_combout\,
	cout => \led_flash_cnt[299][1]~31067\);

-- Location: FF_X56_Y53_N5
\led_flash_cnt[299][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[299][1]~31066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[299][1]~q\);

-- Location: LCCOMB_X56_Y53_N6
\led_flash_cnt[299][2]~31068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[299][2]~31068_combout\ = (\led_flash_cnt[299][2]~q\ & (!\led_flash_cnt[299][1]~31067\)) # (!\led_flash_cnt[299][2]~q\ & ((\led_flash_cnt[299][1]~31067\) # (GND)))
-- \led_flash_cnt[299][2]~31069\ = CARRY((!\led_flash_cnt[299][1]~31067\) # (!\led_flash_cnt[299][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[299][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[299][1]~31067\,
	combout => \led_flash_cnt[299][2]~31068_combout\,
	cout => \led_flash_cnt[299][2]~31069\);

-- Location: FF_X56_Y53_N7
\led_flash_cnt[299][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[299][2]~31068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[299][2]~q\);

-- Location: LCCOMB_X56_Y53_N8
\led_flash_cnt[299][3]~31070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[299][3]~31070_combout\ = (\led_flash_cnt[299][3]~q\ & (\led_flash_cnt[299][2]~31069\ $ (GND))) # (!\led_flash_cnt[299][3]~q\ & (!\led_flash_cnt[299][2]~31069\ & VCC))
-- \led_flash_cnt[299][3]~31071\ = CARRY((\led_flash_cnt[299][3]~q\ & !\led_flash_cnt[299][2]~31069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[299][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[299][2]~31069\,
	combout => \led_flash_cnt[299][3]~31070_combout\,
	cout => \led_flash_cnt[299][3]~31071\);

-- Location: FF_X56_Y53_N9
\led_flash_cnt[299][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[299][3]~31070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[299][3]~q\);

-- Location: LCCOMB_X56_Y53_N10
\led_flash_cnt[299][4]~31072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[299][4]~31072_combout\ = (\led_flash_cnt[299][4]~q\ & (!\led_flash_cnt[299][3]~31071\)) # (!\led_flash_cnt[299][4]~q\ & ((\led_flash_cnt[299][3]~31071\) # (GND)))
-- \led_flash_cnt[299][4]~31073\ = CARRY((!\led_flash_cnt[299][3]~31071\) # (!\led_flash_cnt[299][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[299][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[299][3]~31071\,
	combout => \led_flash_cnt[299][4]~31072_combout\,
	cout => \led_flash_cnt[299][4]~31073\);

-- Location: FF_X56_Y53_N11
\led_flash_cnt[299][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[299][4]~31072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[299][4]~q\);

-- Location: LCCOMB_X56_Y53_N12
\led_flash_cnt[299][5]~31074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[299][5]~31074_combout\ = (\led_flash_cnt[299][5]~q\ & (\led_flash_cnt[299][4]~31073\ $ (GND))) # (!\led_flash_cnt[299][5]~q\ & (!\led_flash_cnt[299][4]~31073\ & VCC))
-- \led_flash_cnt[299][5]~31075\ = CARRY((\led_flash_cnt[299][5]~q\ & !\led_flash_cnt[299][4]~31073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[299][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[299][4]~31073\,
	combout => \led_flash_cnt[299][5]~31074_combout\,
	cout => \led_flash_cnt[299][5]~31075\);

-- Location: FF_X56_Y53_N13
\led_flash_cnt[299][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[299][5]~31074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[299][5]~q\);

-- Location: LCCOMB_X56_Y53_N14
\led_flash_cnt[299][6]~31076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[299][6]~31076_combout\ = (\led_flash_cnt[299][6]~q\ & (!\led_flash_cnt[299][5]~31075\)) # (!\led_flash_cnt[299][6]~q\ & ((\led_flash_cnt[299][5]~31075\) # (GND)))
-- \led_flash_cnt[299][6]~31077\ = CARRY((!\led_flash_cnt[299][5]~31075\) # (!\led_flash_cnt[299][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[299][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[299][5]~31075\,
	combout => \led_flash_cnt[299][6]~31076_combout\,
	cout => \led_flash_cnt[299][6]~31077\);

-- Location: FF_X56_Y53_N15
\led_flash_cnt[299][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[299][6]~31076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[299][6]~q\);

-- Location: LCCOMB_X56_Y53_N16
\led_flash_cnt[299][7]~31078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[299][7]~31078_combout\ = \led_flash_cnt[299][6]~31077\ $ (!\led_flash_cnt[299][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[299][7]~q\,
	cin => \led_flash_cnt[299][6]~31077\,
	combout => \led_flash_cnt[299][7]~31078_combout\);

-- Location: FF_X56_Y53_N17
\led_flash_cnt[299][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[299][7]~31078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[299][7]~q\);

-- Location: LCCOMB_X56_Y53_N30
\WideAnd299~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd299~1_combout\ = (\led_flash_cnt[299][6]~q\ & \led_flash_cnt[299][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[299][6]~q\,
	datad => \led_flash_cnt[299][5]~q\,
	combout => \WideAnd299~1_combout\);

-- Location: LCCOMB_X56_Y53_N18
\WideAnd299~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd299~0_combout\ = (\led_flash_cnt[299][4]~q\ & (\led_flash_cnt[299][1]~q\ & (\led_flash_cnt[299][3]~q\ & \led_flash_cnt[299][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[299][4]~q\,
	datab => \led_flash_cnt[299][1]~q\,
	datac => \led_flash_cnt[299][3]~q\,
	datad => \led_flash_cnt[299][2]~q\,
	combout => \WideAnd299~0_combout\);

-- Location: LCCOMB_X56_Y53_N24
WideAnd299 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd299~combout\ = (\led_flash_cnt[299][0]~q\ & (\led_flash_cnt[299][7]~q\ & (\WideAnd299~1_combout\ & \WideAnd299~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[299][0]~q\,
	datab => \led_flash_cnt[299][7]~q\,
	datac => \WideAnd299~1_combout\,
	datad => \WideAnd299~0_combout\,
	combout => \WideAnd299~combout\);

-- Location: FF_X56_Y53_N25
\led_flash_cnt_ands[299]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd299~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(299));

-- Location: LCCOMB_X54_Y51_N12
\led_flash_cnt[297][0]~80937\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[297][0]~80937_combout\ = !\led_flash_cnt[297][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[297][0]~q\,
	combout => \led_flash_cnt[297][0]~80937_combout\);

-- Location: FF_X54_Y51_N13
\led_flash_cnt[297][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[297][0]~80937_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[297][0]~q\);

-- Location: LCCOMB_X54_Y51_N18
\led_flash_cnt[297][1]~31038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[297][1]~31038_combout\ = (\led_flash_cnt[297][0]~q\ & (\led_flash_cnt[297][1]~q\ $ (VCC))) # (!\led_flash_cnt[297][0]~q\ & (\led_flash_cnt[297][1]~q\ & VCC))
-- \led_flash_cnt[297][1]~31039\ = CARRY((\led_flash_cnt[297][0]~q\ & \led_flash_cnt[297][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[297][0]~q\,
	datab => \led_flash_cnt[297][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[297][1]~31038_combout\,
	cout => \led_flash_cnt[297][1]~31039\);

-- Location: FF_X54_Y51_N19
\led_flash_cnt[297][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[297][1]~31038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[297][1]~q\);

-- Location: LCCOMB_X54_Y51_N20
\led_flash_cnt[297][2]~31040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[297][2]~31040_combout\ = (\led_flash_cnt[297][2]~q\ & (!\led_flash_cnt[297][1]~31039\)) # (!\led_flash_cnt[297][2]~q\ & ((\led_flash_cnt[297][1]~31039\) # (GND)))
-- \led_flash_cnt[297][2]~31041\ = CARRY((!\led_flash_cnt[297][1]~31039\) # (!\led_flash_cnt[297][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[297][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[297][1]~31039\,
	combout => \led_flash_cnt[297][2]~31040_combout\,
	cout => \led_flash_cnt[297][2]~31041\);

-- Location: FF_X54_Y51_N21
\led_flash_cnt[297][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[297][2]~31040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[297][2]~q\);

-- Location: LCCOMB_X54_Y51_N22
\led_flash_cnt[297][3]~31042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[297][3]~31042_combout\ = (\led_flash_cnt[297][3]~q\ & (\led_flash_cnt[297][2]~31041\ $ (GND))) # (!\led_flash_cnt[297][3]~q\ & (!\led_flash_cnt[297][2]~31041\ & VCC))
-- \led_flash_cnt[297][3]~31043\ = CARRY((\led_flash_cnt[297][3]~q\ & !\led_flash_cnt[297][2]~31041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[297][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[297][2]~31041\,
	combout => \led_flash_cnt[297][3]~31042_combout\,
	cout => \led_flash_cnt[297][3]~31043\);

-- Location: FF_X54_Y51_N23
\led_flash_cnt[297][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[297][3]~31042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[297][3]~q\);

-- Location: LCCOMB_X54_Y51_N24
\led_flash_cnt[297][4]~31044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[297][4]~31044_combout\ = (\led_flash_cnt[297][4]~q\ & (!\led_flash_cnt[297][3]~31043\)) # (!\led_flash_cnt[297][4]~q\ & ((\led_flash_cnt[297][3]~31043\) # (GND)))
-- \led_flash_cnt[297][4]~31045\ = CARRY((!\led_flash_cnt[297][3]~31043\) # (!\led_flash_cnt[297][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[297][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[297][3]~31043\,
	combout => \led_flash_cnt[297][4]~31044_combout\,
	cout => \led_flash_cnt[297][4]~31045\);

-- Location: FF_X54_Y51_N25
\led_flash_cnt[297][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[297][4]~31044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[297][4]~q\);

-- Location: LCCOMB_X54_Y51_N26
\led_flash_cnt[297][5]~31046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[297][5]~31046_combout\ = (\led_flash_cnt[297][5]~q\ & (\led_flash_cnt[297][4]~31045\ $ (GND))) # (!\led_flash_cnt[297][5]~q\ & (!\led_flash_cnt[297][4]~31045\ & VCC))
-- \led_flash_cnt[297][5]~31047\ = CARRY((\led_flash_cnt[297][5]~q\ & !\led_flash_cnt[297][4]~31045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[297][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[297][4]~31045\,
	combout => \led_flash_cnt[297][5]~31046_combout\,
	cout => \led_flash_cnt[297][5]~31047\);

-- Location: FF_X54_Y51_N27
\led_flash_cnt[297][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[297][5]~31046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[297][5]~q\);

-- Location: LCCOMB_X54_Y51_N28
\led_flash_cnt[297][6]~31048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[297][6]~31048_combout\ = (\led_flash_cnt[297][6]~q\ & (!\led_flash_cnt[297][5]~31047\)) # (!\led_flash_cnt[297][6]~q\ & ((\led_flash_cnt[297][5]~31047\) # (GND)))
-- \led_flash_cnt[297][6]~31049\ = CARRY((!\led_flash_cnt[297][5]~31047\) # (!\led_flash_cnt[297][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[297][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[297][5]~31047\,
	combout => \led_flash_cnt[297][6]~31048_combout\,
	cout => \led_flash_cnt[297][6]~31049\);

-- Location: FF_X54_Y51_N29
\led_flash_cnt[297][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[297][6]~31048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[297][6]~q\);

-- Location: LCCOMB_X54_Y51_N30
\led_flash_cnt[297][7]~31050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[297][7]~31050_combout\ = \led_flash_cnt[297][7]~q\ $ (!\led_flash_cnt[297][6]~31049\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[297][7]~q\,
	cin => \led_flash_cnt[297][6]~31049\,
	combout => \led_flash_cnt[297][7]~31050_combout\);

-- Location: FF_X54_Y51_N31
\led_flash_cnt[297][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[297][7]~31050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[297][7]~q\);

-- Location: LCCOMB_X54_Y51_N0
\WideAnd297~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd297~1_combout\ = (\led_flash_cnt[297][5]~q\ & \led_flash_cnt[297][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[297][5]~q\,
	datad => \led_flash_cnt[297][6]~q\,
	combout => \WideAnd297~1_combout\);

-- Location: LCCOMB_X54_Y51_N8
\WideAnd297~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd297~0_combout\ = (\led_flash_cnt[297][1]~q\ & (\led_flash_cnt[297][2]~q\ & (\led_flash_cnt[297][3]~q\ & \led_flash_cnt[297][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[297][1]~q\,
	datab => \led_flash_cnt[297][2]~q\,
	datac => \led_flash_cnt[297][3]~q\,
	datad => \led_flash_cnt[297][4]~q\,
	combout => \WideAnd297~0_combout\);

-- Location: LCCOMB_X54_Y51_N10
WideAnd297 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd297~combout\ = (\led_flash_cnt[297][7]~q\ & (\WideAnd297~1_combout\ & (\WideAnd297~0_combout\ & \led_flash_cnt[297][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[297][7]~q\,
	datab => \WideAnd297~1_combout\,
	datac => \WideAnd297~0_combout\,
	datad => \led_flash_cnt[297][0]~q\,
	combout => \WideAnd297~combout\);

-- Location: FF_X54_Y51_N11
\led_flash_cnt_ands[297]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd297~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(297));

-- Location: LCCOMB_X56_Y53_N20
\led_flash_cnt[296][0]~80936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[296][0]~80936_combout\ = !\led_flash_cnt[296][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[296][0]~q\,
	combout => \led_flash_cnt[296][0]~80936_combout\);

-- Location: FF_X56_Y53_N21
\led_flash_cnt[296][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[296][0]~80936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[296][0]~q\);

-- Location: LCCOMB_X57_Y53_N18
\led_flash_cnt[296][1]~31024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[296][1]~31024_combout\ = (\led_flash_cnt[296][0]~q\ & (\led_flash_cnt[296][1]~q\ $ (VCC))) # (!\led_flash_cnt[296][0]~q\ & (\led_flash_cnt[296][1]~q\ & VCC))
-- \led_flash_cnt[296][1]~31025\ = CARRY((\led_flash_cnt[296][0]~q\ & \led_flash_cnt[296][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[296][0]~q\,
	datab => \led_flash_cnt[296][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[296][1]~31024_combout\,
	cout => \led_flash_cnt[296][1]~31025\);

-- Location: FF_X57_Y53_N19
\led_flash_cnt[296][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[296][1]~31024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[296][1]~q\);

-- Location: LCCOMB_X57_Y53_N20
\led_flash_cnt[296][2]~31026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[296][2]~31026_combout\ = (\led_flash_cnt[296][2]~q\ & (!\led_flash_cnt[296][1]~31025\)) # (!\led_flash_cnt[296][2]~q\ & ((\led_flash_cnt[296][1]~31025\) # (GND)))
-- \led_flash_cnt[296][2]~31027\ = CARRY((!\led_flash_cnt[296][1]~31025\) # (!\led_flash_cnt[296][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[296][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[296][1]~31025\,
	combout => \led_flash_cnt[296][2]~31026_combout\,
	cout => \led_flash_cnt[296][2]~31027\);

-- Location: FF_X57_Y53_N21
\led_flash_cnt[296][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[296][2]~31026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[296][2]~q\);

-- Location: LCCOMB_X57_Y53_N22
\led_flash_cnt[296][3]~31028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[296][3]~31028_combout\ = (\led_flash_cnt[296][3]~q\ & (\led_flash_cnt[296][2]~31027\ $ (GND))) # (!\led_flash_cnt[296][3]~q\ & (!\led_flash_cnt[296][2]~31027\ & VCC))
-- \led_flash_cnt[296][3]~31029\ = CARRY((\led_flash_cnt[296][3]~q\ & !\led_flash_cnt[296][2]~31027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[296][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[296][2]~31027\,
	combout => \led_flash_cnt[296][3]~31028_combout\,
	cout => \led_flash_cnt[296][3]~31029\);

-- Location: FF_X57_Y53_N23
\led_flash_cnt[296][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[296][3]~31028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[296][3]~q\);

-- Location: LCCOMB_X57_Y53_N24
\led_flash_cnt[296][4]~31030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[296][4]~31030_combout\ = (\led_flash_cnt[296][4]~q\ & (!\led_flash_cnt[296][3]~31029\)) # (!\led_flash_cnt[296][4]~q\ & ((\led_flash_cnt[296][3]~31029\) # (GND)))
-- \led_flash_cnt[296][4]~31031\ = CARRY((!\led_flash_cnt[296][3]~31029\) # (!\led_flash_cnt[296][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[296][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[296][3]~31029\,
	combout => \led_flash_cnt[296][4]~31030_combout\,
	cout => \led_flash_cnt[296][4]~31031\);

-- Location: FF_X57_Y53_N25
\led_flash_cnt[296][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[296][4]~31030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[296][4]~q\);

-- Location: LCCOMB_X57_Y53_N26
\led_flash_cnt[296][5]~31032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[296][5]~31032_combout\ = (\led_flash_cnt[296][5]~q\ & (\led_flash_cnt[296][4]~31031\ $ (GND))) # (!\led_flash_cnt[296][5]~q\ & (!\led_flash_cnt[296][4]~31031\ & VCC))
-- \led_flash_cnt[296][5]~31033\ = CARRY((\led_flash_cnt[296][5]~q\ & !\led_flash_cnt[296][4]~31031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[296][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[296][4]~31031\,
	combout => \led_flash_cnt[296][5]~31032_combout\,
	cout => \led_flash_cnt[296][5]~31033\);

-- Location: FF_X57_Y53_N27
\led_flash_cnt[296][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[296][5]~31032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[296][5]~q\);

-- Location: LCCOMB_X57_Y53_N28
\led_flash_cnt[296][6]~31034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[296][6]~31034_combout\ = (\led_flash_cnt[296][6]~q\ & (!\led_flash_cnt[296][5]~31033\)) # (!\led_flash_cnt[296][6]~q\ & ((\led_flash_cnt[296][5]~31033\) # (GND)))
-- \led_flash_cnt[296][6]~31035\ = CARRY((!\led_flash_cnt[296][5]~31033\) # (!\led_flash_cnt[296][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[296][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[296][5]~31033\,
	combout => \led_flash_cnt[296][6]~31034_combout\,
	cout => \led_flash_cnt[296][6]~31035\);

-- Location: FF_X57_Y53_N29
\led_flash_cnt[296][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[296][6]~31034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[296][6]~q\);

-- Location: LCCOMB_X56_Y53_N26
\WideAnd296~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd296~1_combout\ = (\led_flash_cnt[296][6]~q\ & \led_flash_cnt[296][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[296][6]~q\,
	datad => \led_flash_cnt[296][5]~q\,
	combout => \WideAnd296~1_combout\);

-- Location: LCCOMB_X57_Y53_N30
\led_flash_cnt[296][7]~31036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[296][7]~31036_combout\ = \led_flash_cnt[296][7]~q\ $ (!\led_flash_cnt[296][6]~31035\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[296][7]~q\,
	cin => \led_flash_cnt[296][6]~31035\,
	combout => \led_flash_cnt[296][7]~31036_combout\);

-- Location: FF_X57_Y53_N31
\led_flash_cnt[296][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[296][7]~31036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[296][7]~q\);

-- Location: LCCOMB_X57_Y53_N16
\WideAnd296~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd296~0_combout\ = (\led_flash_cnt[296][1]~q\ & (\led_flash_cnt[296][2]~q\ & (\led_flash_cnt[296][3]~q\ & \led_flash_cnt[296][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[296][1]~q\,
	datab => \led_flash_cnt[296][2]~q\,
	datac => \led_flash_cnt[296][3]~q\,
	datad => \led_flash_cnt[296][4]~q\,
	combout => \WideAnd296~0_combout\);

-- Location: LCCOMB_X56_Y53_N28
WideAnd296 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd296~combout\ = (\WideAnd296~1_combout\ & (\led_flash_cnt[296][0]~q\ & (\led_flash_cnt[296][7]~q\ & \WideAnd296~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd296~1_combout\,
	datab => \led_flash_cnt[296][0]~q\,
	datac => \led_flash_cnt[296][7]~q\,
	datad => \WideAnd296~0_combout\,
	combout => \WideAnd296~combout\);

-- Location: FF_X56_Y53_N29
\led_flash_cnt_ands[296]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd296~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(296));

-- Location: LCCOMB_X55_Y53_N20
\WideAnd3877~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3877~0_combout\ = (led_flash_cnt_ands(298) & (led_flash_cnt_ands(299) & (led_flash_cnt_ands(297) & led_flash_cnt_ands(296))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(298),
	datab => led_flash_cnt_ands(299),
	datac => led_flash_cnt_ands(297),
	datad => led_flash_cnt_ands(296),
	combout => \WideAnd3877~0_combout\);

-- Location: LCCOMB_X24_Y35_N2
WideAnd3877 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3877~combout\ = (led_flash_cnt_ands(302) & (led_flash_cnt_ands(303) & (\WideAnd3877~1_combout\ & \WideAnd3877~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(302),
	datab => led_flash_cnt_ands(303),
	datac => \WideAnd3877~1_combout\,
	datad => \WideAnd3877~0_combout\,
	combout => \WideAnd3877~combout\);

-- Location: FF_X24_Y35_N3
\led_flash_cnt_ands_1[37]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3877~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(37));

-- Location: LCCOMB_X54_Y35_N6
\led_flash_cnt[294][0]~80934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[294][0]~80934_combout\ = !\led_flash_cnt[294][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[294][0]~q\,
	combout => \led_flash_cnt[294][0]~80934_combout\);

-- Location: FF_X54_Y35_N7
\led_flash_cnt[294][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[294][0]~80934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[294][0]~q\);

-- Location: LCCOMB_X54_Y31_N16
\led_flash_cnt[294][1]~30996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[294][1]~30996_combout\ = (\led_flash_cnt[294][0]~q\ & (\led_flash_cnt[294][1]~q\ $ (VCC))) # (!\led_flash_cnt[294][0]~q\ & (\led_flash_cnt[294][1]~q\ & VCC))
-- \led_flash_cnt[294][1]~30997\ = CARRY((\led_flash_cnt[294][0]~q\ & \led_flash_cnt[294][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[294][0]~q\,
	datab => \led_flash_cnt[294][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[294][1]~30996_combout\,
	cout => \led_flash_cnt[294][1]~30997\);

-- Location: FF_X54_Y31_N17
\led_flash_cnt[294][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[294][1]~30996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[294][1]~q\);

-- Location: LCCOMB_X54_Y31_N18
\led_flash_cnt[294][2]~30998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[294][2]~30998_combout\ = (\led_flash_cnt[294][2]~q\ & (!\led_flash_cnt[294][1]~30997\)) # (!\led_flash_cnt[294][2]~q\ & ((\led_flash_cnt[294][1]~30997\) # (GND)))
-- \led_flash_cnt[294][2]~30999\ = CARRY((!\led_flash_cnt[294][1]~30997\) # (!\led_flash_cnt[294][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[294][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[294][1]~30997\,
	combout => \led_flash_cnt[294][2]~30998_combout\,
	cout => \led_flash_cnt[294][2]~30999\);

-- Location: FF_X54_Y31_N19
\led_flash_cnt[294][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[294][2]~30998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[294][2]~q\);

-- Location: LCCOMB_X54_Y31_N20
\led_flash_cnt[294][3]~31000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[294][3]~31000_combout\ = (\led_flash_cnt[294][3]~q\ & (\led_flash_cnt[294][2]~30999\ $ (GND))) # (!\led_flash_cnt[294][3]~q\ & (!\led_flash_cnt[294][2]~30999\ & VCC))
-- \led_flash_cnt[294][3]~31001\ = CARRY((\led_flash_cnt[294][3]~q\ & !\led_flash_cnt[294][2]~30999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[294][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[294][2]~30999\,
	combout => \led_flash_cnt[294][3]~31000_combout\,
	cout => \led_flash_cnt[294][3]~31001\);

-- Location: FF_X54_Y31_N21
\led_flash_cnt[294][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[294][3]~31000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[294][3]~q\);

-- Location: LCCOMB_X54_Y31_N22
\led_flash_cnt[294][4]~31002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[294][4]~31002_combout\ = (\led_flash_cnt[294][4]~q\ & (!\led_flash_cnt[294][3]~31001\)) # (!\led_flash_cnt[294][4]~q\ & ((\led_flash_cnt[294][3]~31001\) # (GND)))
-- \led_flash_cnt[294][4]~31003\ = CARRY((!\led_flash_cnt[294][3]~31001\) # (!\led_flash_cnt[294][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[294][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[294][3]~31001\,
	combout => \led_flash_cnt[294][4]~31002_combout\,
	cout => \led_flash_cnt[294][4]~31003\);

-- Location: FF_X54_Y31_N23
\led_flash_cnt[294][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[294][4]~31002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[294][4]~q\);

-- Location: LCCOMB_X54_Y31_N0
\WideAnd294~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd294~0_combout\ = (\led_flash_cnt[294][1]~q\ & (\led_flash_cnt[294][3]~q\ & (\led_flash_cnt[294][4]~q\ & \led_flash_cnt[294][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[294][1]~q\,
	datab => \led_flash_cnt[294][3]~q\,
	datac => \led_flash_cnt[294][4]~q\,
	datad => \led_flash_cnt[294][2]~q\,
	combout => \WideAnd294~0_combout\);

-- Location: LCCOMB_X54_Y31_N24
\led_flash_cnt[294][5]~31004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[294][5]~31004_combout\ = (\led_flash_cnt[294][5]~q\ & (\led_flash_cnt[294][4]~31003\ $ (GND))) # (!\led_flash_cnt[294][5]~q\ & (!\led_flash_cnt[294][4]~31003\ & VCC))
-- \led_flash_cnt[294][5]~31005\ = CARRY((\led_flash_cnt[294][5]~q\ & !\led_flash_cnt[294][4]~31003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[294][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[294][4]~31003\,
	combout => \led_flash_cnt[294][5]~31004_combout\,
	cout => \led_flash_cnt[294][5]~31005\);

-- Location: FF_X54_Y31_N25
\led_flash_cnt[294][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[294][5]~31004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[294][5]~q\);

-- Location: LCCOMB_X54_Y31_N26
\led_flash_cnt[294][6]~31006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[294][6]~31006_combout\ = (\led_flash_cnt[294][6]~q\ & (!\led_flash_cnt[294][5]~31005\)) # (!\led_flash_cnt[294][6]~q\ & ((\led_flash_cnt[294][5]~31005\) # (GND)))
-- \led_flash_cnt[294][6]~31007\ = CARRY((!\led_flash_cnt[294][5]~31005\) # (!\led_flash_cnt[294][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[294][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[294][5]~31005\,
	combout => \led_flash_cnt[294][6]~31006_combout\,
	cout => \led_flash_cnt[294][6]~31007\);

-- Location: FF_X54_Y31_N27
\led_flash_cnt[294][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[294][6]~31006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[294][6]~q\);

-- Location: LCCOMB_X54_Y31_N28
\led_flash_cnt[294][7]~31008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[294][7]~31008_combout\ = \led_flash_cnt[294][6]~31007\ $ (!\led_flash_cnt[294][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[294][7]~q\,
	cin => \led_flash_cnt[294][6]~31007\,
	combout => \led_flash_cnt[294][7]~31008_combout\);

-- Location: FF_X54_Y31_N29
\led_flash_cnt[294][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[294][7]~31008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[294][7]~q\);

-- Location: LCCOMB_X54_Y35_N0
\WideAnd294~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd294~1_combout\ = (\led_flash_cnt[294][6]~q\ & \led_flash_cnt[294][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[294][6]~q\,
	datad => \led_flash_cnt[294][5]~q\,
	combout => \WideAnd294~1_combout\);

-- Location: LCCOMB_X54_Y35_N26
WideAnd294 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd294~combout\ = (\led_flash_cnt[294][0]~q\ & (\WideAnd294~0_combout\ & (\led_flash_cnt[294][7]~q\ & \WideAnd294~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[294][0]~q\,
	datab => \WideAnd294~0_combout\,
	datac => \led_flash_cnt[294][7]~q\,
	datad => \WideAnd294~1_combout\,
	combout => \WideAnd294~combout\);

-- Location: FF_X54_Y35_N27
\led_flash_cnt_ands[294]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd294~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(294));

-- Location: LCCOMB_X54_Y35_N4
\led_flash_cnt[295][0]~80935\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[295][0]~80935_combout\ = !\led_flash_cnt[295][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[295][0]~q\,
	combout => \led_flash_cnt[295][0]~80935_combout\);

-- Location: FF_X54_Y35_N5
\led_flash_cnt[295][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[295][0]~80935_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[295][0]~q\);

-- Location: LCCOMB_X54_Y35_N10
\led_flash_cnt[295][1]~31010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[295][1]~31010_combout\ = (\led_flash_cnt[295][1]~q\ & (\led_flash_cnt[295][0]~q\ $ (VCC))) # (!\led_flash_cnt[295][1]~q\ & (\led_flash_cnt[295][0]~q\ & VCC))
-- \led_flash_cnt[295][1]~31011\ = CARRY((\led_flash_cnt[295][1]~q\ & \led_flash_cnt[295][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[295][1]~q\,
	datab => \led_flash_cnt[295][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[295][1]~31010_combout\,
	cout => \led_flash_cnt[295][1]~31011\);

-- Location: FF_X54_Y35_N11
\led_flash_cnt[295][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[295][1]~31010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[295][1]~q\);

-- Location: LCCOMB_X54_Y35_N12
\led_flash_cnt[295][2]~31012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[295][2]~31012_combout\ = (\led_flash_cnt[295][2]~q\ & (!\led_flash_cnt[295][1]~31011\)) # (!\led_flash_cnt[295][2]~q\ & ((\led_flash_cnt[295][1]~31011\) # (GND)))
-- \led_flash_cnt[295][2]~31013\ = CARRY((!\led_flash_cnt[295][1]~31011\) # (!\led_flash_cnt[295][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[295][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[295][1]~31011\,
	combout => \led_flash_cnt[295][2]~31012_combout\,
	cout => \led_flash_cnt[295][2]~31013\);

-- Location: FF_X54_Y35_N13
\led_flash_cnt[295][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[295][2]~31012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[295][2]~q\);

-- Location: LCCOMB_X54_Y35_N14
\led_flash_cnt[295][3]~31014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[295][3]~31014_combout\ = (\led_flash_cnt[295][3]~q\ & (\led_flash_cnt[295][2]~31013\ $ (GND))) # (!\led_flash_cnt[295][3]~q\ & (!\led_flash_cnt[295][2]~31013\ & VCC))
-- \led_flash_cnt[295][3]~31015\ = CARRY((\led_flash_cnt[295][3]~q\ & !\led_flash_cnt[295][2]~31013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[295][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[295][2]~31013\,
	combout => \led_flash_cnt[295][3]~31014_combout\,
	cout => \led_flash_cnt[295][3]~31015\);

-- Location: FF_X54_Y35_N15
\led_flash_cnt[295][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[295][3]~31014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[295][3]~q\);

-- Location: LCCOMB_X54_Y35_N16
\led_flash_cnt[295][4]~31016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[295][4]~31016_combout\ = (\led_flash_cnt[295][4]~q\ & (!\led_flash_cnt[295][3]~31015\)) # (!\led_flash_cnt[295][4]~q\ & ((\led_flash_cnt[295][3]~31015\) # (GND)))
-- \led_flash_cnt[295][4]~31017\ = CARRY((!\led_flash_cnt[295][3]~31015\) # (!\led_flash_cnt[295][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[295][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[295][3]~31015\,
	combout => \led_flash_cnt[295][4]~31016_combout\,
	cout => \led_flash_cnt[295][4]~31017\);

-- Location: FF_X54_Y35_N17
\led_flash_cnt[295][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[295][4]~31016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[295][4]~q\);

-- Location: LCCOMB_X54_Y35_N18
\led_flash_cnt[295][5]~31018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[295][5]~31018_combout\ = (\led_flash_cnt[295][5]~q\ & (\led_flash_cnt[295][4]~31017\ $ (GND))) # (!\led_flash_cnt[295][5]~q\ & (!\led_flash_cnt[295][4]~31017\ & VCC))
-- \led_flash_cnt[295][5]~31019\ = CARRY((\led_flash_cnt[295][5]~q\ & !\led_flash_cnt[295][4]~31017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[295][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[295][4]~31017\,
	combout => \led_flash_cnt[295][5]~31018_combout\,
	cout => \led_flash_cnt[295][5]~31019\);

-- Location: FF_X54_Y35_N19
\led_flash_cnt[295][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[295][5]~31018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[295][5]~q\);

-- Location: LCCOMB_X54_Y35_N20
\led_flash_cnt[295][6]~31020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[295][6]~31020_combout\ = (\led_flash_cnt[295][6]~q\ & (!\led_flash_cnt[295][5]~31019\)) # (!\led_flash_cnt[295][6]~q\ & ((\led_flash_cnt[295][5]~31019\) # (GND)))
-- \led_flash_cnt[295][6]~31021\ = CARRY((!\led_flash_cnt[295][5]~31019\) # (!\led_flash_cnt[295][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[295][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[295][5]~31019\,
	combout => \led_flash_cnt[295][6]~31020_combout\,
	cout => \led_flash_cnt[295][6]~31021\);

-- Location: FF_X54_Y35_N21
\led_flash_cnt[295][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[295][6]~31020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[295][6]~q\);

-- Location: LCCOMB_X54_Y35_N22
\led_flash_cnt[295][7]~31022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[295][7]~31022_combout\ = \led_flash_cnt[295][7]~q\ $ (!\led_flash_cnt[295][6]~31021\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[295][7]~q\,
	cin => \led_flash_cnt[295][6]~31021\,
	combout => \led_flash_cnt[295][7]~31022_combout\);

-- Location: FF_X54_Y35_N23
\led_flash_cnt[295][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[295][7]~31022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[295][7]~q\);

-- Location: LCCOMB_X54_Y35_N28
\WideAnd295~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd295~0_combout\ = (\led_flash_cnt[295][1]~q\ & (\led_flash_cnt[295][4]~q\ & (\led_flash_cnt[295][3]~q\ & \led_flash_cnt[295][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[295][1]~q\,
	datab => \led_flash_cnt[295][4]~q\,
	datac => \led_flash_cnt[295][3]~q\,
	datad => \led_flash_cnt[295][2]~q\,
	combout => \WideAnd295~0_combout\);

-- Location: LCCOMB_X54_Y35_N24
\WideAnd295~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd295~1_combout\ = (\led_flash_cnt[295][5]~q\ & \led_flash_cnt[295][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[295][5]~q\,
	datad => \led_flash_cnt[295][6]~q\,
	combout => \WideAnd295~1_combout\);

-- Location: LCCOMB_X54_Y35_N8
WideAnd295 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd295~combout\ = (\led_flash_cnt[295][7]~q\ & (\WideAnd295~0_combout\ & (\led_flash_cnt[295][0]~q\ & \WideAnd295~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[295][7]~q\,
	datab => \WideAnd295~0_combout\,
	datac => \led_flash_cnt[295][0]~q\,
	datad => \WideAnd295~1_combout\,
	combout => \WideAnd295~combout\);

-- Location: FF_X54_Y35_N9
\led_flash_cnt_ands[295]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd295~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(295));

-- Location: LCCOMB_X62_Y39_N6
\led_flash_cnt[292][0]~80932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[292][0]~80932_combout\ = !\led_flash_cnt[292][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[292][0]~q\,
	combout => \led_flash_cnt[292][0]~80932_combout\);

-- Location: FF_X62_Y39_N7
\led_flash_cnt[292][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[292][0]~80932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[292][0]~q\);

-- Location: LCCOMB_X61_Y39_N16
\led_flash_cnt[292][1]~30968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[292][1]~30968_combout\ = (\led_flash_cnt[292][0]~q\ & (\led_flash_cnt[292][1]~q\ $ (VCC))) # (!\led_flash_cnt[292][0]~q\ & (\led_flash_cnt[292][1]~q\ & VCC))
-- \led_flash_cnt[292][1]~30969\ = CARRY((\led_flash_cnt[292][0]~q\ & \led_flash_cnt[292][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[292][0]~q\,
	datab => \led_flash_cnt[292][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[292][1]~30968_combout\,
	cout => \led_flash_cnt[292][1]~30969\);

-- Location: FF_X61_Y39_N17
\led_flash_cnt[292][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[292][1]~30968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[292][1]~q\);

-- Location: LCCOMB_X61_Y39_N18
\led_flash_cnt[292][2]~30970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[292][2]~30970_combout\ = (\led_flash_cnt[292][2]~q\ & (!\led_flash_cnt[292][1]~30969\)) # (!\led_flash_cnt[292][2]~q\ & ((\led_flash_cnt[292][1]~30969\) # (GND)))
-- \led_flash_cnt[292][2]~30971\ = CARRY((!\led_flash_cnt[292][1]~30969\) # (!\led_flash_cnt[292][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[292][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[292][1]~30969\,
	combout => \led_flash_cnt[292][2]~30970_combout\,
	cout => \led_flash_cnt[292][2]~30971\);

-- Location: FF_X61_Y39_N19
\led_flash_cnt[292][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[292][2]~30970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[292][2]~q\);

-- Location: LCCOMB_X61_Y39_N20
\led_flash_cnt[292][3]~30972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[292][3]~30972_combout\ = (\led_flash_cnt[292][3]~q\ & (\led_flash_cnt[292][2]~30971\ $ (GND))) # (!\led_flash_cnt[292][3]~q\ & (!\led_flash_cnt[292][2]~30971\ & VCC))
-- \led_flash_cnt[292][3]~30973\ = CARRY((\led_flash_cnt[292][3]~q\ & !\led_flash_cnt[292][2]~30971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[292][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[292][2]~30971\,
	combout => \led_flash_cnt[292][3]~30972_combout\,
	cout => \led_flash_cnt[292][3]~30973\);

-- Location: FF_X61_Y39_N21
\led_flash_cnt[292][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[292][3]~30972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[292][3]~q\);

-- Location: LCCOMB_X61_Y39_N22
\led_flash_cnt[292][4]~30974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[292][4]~30974_combout\ = (\led_flash_cnt[292][4]~q\ & (!\led_flash_cnt[292][3]~30973\)) # (!\led_flash_cnt[292][4]~q\ & ((\led_flash_cnt[292][3]~30973\) # (GND)))
-- \led_flash_cnt[292][4]~30975\ = CARRY((!\led_flash_cnt[292][3]~30973\) # (!\led_flash_cnt[292][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[292][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[292][3]~30973\,
	combout => \led_flash_cnt[292][4]~30974_combout\,
	cout => \led_flash_cnt[292][4]~30975\);

-- Location: FF_X61_Y39_N23
\led_flash_cnt[292][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[292][4]~30974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[292][4]~q\);

-- Location: LCCOMB_X61_Y39_N14
\WideAnd292~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd292~0_combout\ = (\led_flash_cnt[292][2]~q\ & (\led_flash_cnt[292][1]~q\ & (\led_flash_cnt[292][4]~q\ & \led_flash_cnt[292][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[292][2]~q\,
	datab => \led_flash_cnt[292][1]~q\,
	datac => \led_flash_cnt[292][4]~q\,
	datad => \led_flash_cnt[292][3]~q\,
	combout => \WideAnd292~0_combout\);

-- Location: LCCOMB_X61_Y39_N24
\led_flash_cnt[292][5]~30976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[292][5]~30976_combout\ = (\led_flash_cnt[292][5]~q\ & (\led_flash_cnt[292][4]~30975\ $ (GND))) # (!\led_flash_cnt[292][5]~q\ & (!\led_flash_cnt[292][4]~30975\ & VCC))
-- \led_flash_cnt[292][5]~30977\ = CARRY((\led_flash_cnt[292][5]~q\ & !\led_flash_cnt[292][4]~30975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[292][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[292][4]~30975\,
	combout => \led_flash_cnt[292][5]~30976_combout\,
	cout => \led_flash_cnt[292][5]~30977\);

-- Location: FF_X61_Y39_N25
\led_flash_cnt[292][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[292][5]~30976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[292][5]~q\);

-- Location: LCCOMB_X61_Y39_N26
\led_flash_cnt[292][6]~30978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[292][6]~30978_combout\ = (\led_flash_cnt[292][6]~q\ & (!\led_flash_cnt[292][5]~30977\)) # (!\led_flash_cnt[292][6]~q\ & ((\led_flash_cnt[292][5]~30977\) # (GND)))
-- \led_flash_cnt[292][6]~30979\ = CARRY((!\led_flash_cnt[292][5]~30977\) # (!\led_flash_cnt[292][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[292][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[292][5]~30977\,
	combout => \led_flash_cnt[292][6]~30978_combout\,
	cout => \led_flash_cnt[292][6]~30979\);

-- Location: FF_X61_Y39_N27
\led_flash_cnt[292][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[292][6]~30978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[292][6]~q\);

-- Location: LCCOMB_X61_Y39_N28
\led_flash_cnt[292][7]~30980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[292][7]~30980_combout\ = \led_flash_cnt[292][6]~30979\ $ (!\led_flash_cnt[292][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[292][7]~q\,
	cin => \led_flash_cnt[292][6]~30979\,
	combout => \led_flash_cnt[292][7]~30980_combout\);

-- Location: FF_X61_Y39_N29
\led_flash_cnt[292][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[292][7]~30980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[292][7]~q\);

-- Location: LCCOMB_X62_Y39_N30
\WideAnd292~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd292~1_combout\ = (\led_flash_cnt[292][6]~q\ & \led_flash_cnt[292][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[292][6]~q\,
	datad => \led_flash_cnt[292][5]~q\,
	combout => \WideAnd292~1_combout\);

-- Location: LCCOMB_X62_Y39_N26
WideAnd292 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd292~combout\ = (\WideAnd292~0_combout\ & (\led_flash_cnt[292][7]~q\ & (\WideAnd292~1_combout\ & \led_flash_cnt[292][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd292~0_combout\,
	datab => \led_flash_cnt[292][7]~q\,
	datac => \WideAnd292~1_combout\,
	datad => \led_flash_cnt[292][0]~q\,
	combout => \WideAnd292~combout\);

-- Location: FF_X62_Y39_N27
\led_flash_cnt_ands[292]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd292~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(292));

-- Location: LCCOMB_X66_Y35_N2
\led_flash_cnt[293][0]~80933\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[293][0]~80933_combout\ = !\led_flash_cnt[293][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[293][0]~q\,
	combout => \led_flash_cnt[293][0]~80933_combout\);

-- Location: FF_X66_Y35_N3
\led_flash_cnt[293][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[293][0]~80933_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[293][0]~q\);

-- Location: LCCOMB_X63_Y35_N4
\led_flash_cnt[293][1]~30982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[293][1]~30982_combout\ = (\led_flash_cnt[293][0]~q\ & (\led_flash_cnt[293][1]~q\ $ (VCC))) # (!\led_flash_cnt[293][0]~q\ & (\led_flash_cnt[293][1]~q\ & VCC))
-- \led_flash_cnt[293][1]~30983\ = CARRY((\led_flash_cnt[293][0]~q\ & \led_flash_cnt[293][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[293][0]~q\,
	datab => \led_flash_cnt[293][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[293][1]~30982_combout\,
	cout => \led_flash_cnt[293][1]~30983\);

-- Location: FF_X63_Y35_N5
\led_flash_cnt[293][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[293][1]~30982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[293][1]~q\);

-- Location: LCCOMB_X63_Y35_N6
\led_flash_cnt[293][2]~30984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[293][2]~30984_combout\ = (\led_flash_cnt[293][2]~q\ & (!\led_flash_cnt[293][1]~30983\)) # (!\led_flash_cnt[293][2]~q\ & ((\led_flash_cnt[293][1]~30983\) # (GND)))
-- \led_flash_cnt[293][2]~30985\ = CARRY((!\led_flash_cnt[293][1]~30983\) # (!\led_flash_cnt[293][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[293][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[293][1]~30983\,
	combout => \led_flash_cnt[293][2]~30984_combout\,
	cout => \led_flash_cnt[293][2]~30985\);

-- Location: FF_X63_Y35_N7
\led_flash_cnt[293][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[293][2]~30984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[293][2]~q\);

-- Location: LCCOMB_X63_Y35_N8
\led_flash_cnt[293][3]~30986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[293][3]~30986_combout\ = (\led_flash_cnt[293][3]~q\ & (\led_flash_cnt[293][2]~30985\ $ (GND))) # (!\led_flash_cnt[293][3]~q\ & (!\led_flash_cnt[293][2]~30985\ & VCC))
-- \led_flash_cnt[293][3]~30987\ = CARRY((\led_flash_cnt[293][3]~q\ & !\led_flash_cnt[293][2]~30985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[293][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[293][2]~30985\,
	combout => \led_flash_cnt[293][3]~30986_combout\,
	cout => \led_flash_cnt[293][3]~30987\);

-- Location: FF_X63_Y35_N9
\led_flash_cnt[293][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[293][3]~30986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[293][3]~q\);

-- Location: LCCOMB_X63_Y35_N10
\led_flash_cnt[293][4]~30988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[293][4]~30988_combout\ = (\led_flash_cnt[293][4]~q\ & (!\led_flash_cnt[293][3]~30987\)) # (!\led_flash_cnt[293][4]~q\ & ((\led_flash_cnt[293][3]~30987\) # (GND)))
-- \led_flash_cnt[293][4]~30989\ = CARRY((!\led_flash_cnt[293][3]~30987\) # (!\led_flash_cnt[293][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[293][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[293][3]~30987\,
	combout => \led_flash_cnt[293][4]~30988_combout\,
	cout => \led_flash_cnt[293][4]~30989\);

-- Location: FF_X63_Y35_N11
\led_flash_cnt[293][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[293][4]~30988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[293][4]~q\);

-- Location: LCCOMB_X63_Y35_N2
\WideAnd293~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd293~0_combout\ = (\led_flash_cnt[293][4]~q\ & (\led_flash_cnt[293][3]~q\ & (\led_flash_cnt[293][1]~q\ & \led_flash_cnt[293][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[293][4]~q\,
	datab => \led_flash_cnt[293][3]~q\,
	datac => \led_flash_cnt[293][1]~q\,
	datad => \led_flash_cnt[293][2]~q\,
	combout => \WideAnd293~0_combout\);

-- Location: LCCOMB_X63_Y35_N12
\led_flash_cnt[293][5]~30990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[293][5]~30990_combout\ = (\led_flash_cnt[293][5]~q\ & (\led_flash_cnt[293][4]~30989\ $ (GND))) # (!\led_flash_cnt[293][5]~q\ & (!\led_flash_cnt[293][4]~30989\ & VCC))
-- \led_flash_cnt[293][5]~30991\ = CARRY((\led_flash_cnt[293][5]~q\ & !\led_flash_cnt[293][4]~30989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[293][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[293][4]~30989\,
	combout => \led_flash_cnt[293][5]~30990_combout\,
	cout => \led_flash_cnt[293][5]~30991\);

-- Location: FF_X63_Y35_N13
\led_flash_cnt[293][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[293][5]~30990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[293][5]~q\);

-- Location: LCCOMB_X63_Y35_N14
\led_flash_cnt[293][6]~30992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[293][6]~30992_combout\ = (\led_flash_cnt[293][6]~q\ & (!\led_flash_cnt[293][5]~30991\)) # (!\led_flash_cnt[293][6]~q\ & ((\led_flash_cnt[293][5]~30991\) # (GND)))
-- \led_flash_cnt[293][6]~30993\ = CARRY((!\led_flash_cnt[293][5]~30991\) # (!\led_flash_cnt[293][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[293][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[293][5]~30991\,
	combout => \led_flash_cnt[293][6]~30992_combout\,
	cout => \led_flash_cnt[293][6]~30993\);

-- Location: FF_X63_Y35_N15
\led_flash_cnt[293][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[293][6]~30992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[293][6]~q\);

-- Location: LCCOMB_X64_Y35_N30
\WideAnd293~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd293~1_combout\ = (\led_flash_cnt[293][6]~q\ & \led_flash_cnt[293][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[293][6]~q\,
	datad => \led_flash_cnt[293][5]~q\,
	combout => \WideAnd293~1_combout\);

-- Location: LCCOMB_X63_Y35_N16
\led_flash_cnt[293][7]~30994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[293][7]~30994_combout\ = \led_flash_cnt[293][6]~30993\ $ (!\led_flash_cnt[293][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[293][7]~q\,
	cin => \led_flash_cnt[293][6]~30993\,
	combout => \led_flash_cnt[293][7]~30994_combout\);

-- Location: FF_X63_Y35_N17
\led_flash_cnt[293][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[293][7]~30994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[293][7]~q\);

-- Location: LCCOMB_X63_Y35_N0
WideAnd293 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd293~combout\ = (\led_flash_cnt[293][0]~q\ & (\WideAnd293~0_combout\ & (\WideAnd293~1_combout\ & \led_flash_cnt[293][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[293][0]~q\,
	datab => \WideAnd293~0_combout\,
	datac => \WideAnd293~1_combout\,
	datad => \led_flash_cnt[293][7]~q\,
	combout => \WideAnd293~combout\);

-- Location: FF_X63_Y35_N1
\led_flash_cnt_ands[293]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd293~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(293));

-- Location: LCCOMB_X62_Y39_N24
\WideAnd3876~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3876~1_combout\ = (led_flash_cnt_ands(292) & led_flash_cnt_ands(293))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(292),
	datad => led_flash_cnt_ands(293),
	combout => \WideAnd3876~1_combout\);

-- Location: LCCOMB_X62_Y44_N2
\led_flash_cnt[289][0]~80929\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[289][0]~80929_combout\ = !\led_flash_cnt[289][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[289][0]~q\,
	combout => \led_flash_cnt[289][0]~80929_combout\);

-- Location: FF_X62_Y44_N3
\led_flash_cnt[289][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[289][0]~80929_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[289][0]~q\);

-- Location: LCCOMB_X62_Y44_N12
\led_flash_cnt[289][1]~30926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[289][1]~30926_combout\ = (\led_flash_cnt[289][1]~q\ & (\led_flash_cnt[289][0]~q\ $ (VCC))) # (!\led_flash_cnt[289][1]~q\ & (\led_flash_cnt[289][0]~q\ & VCC))
-- \led_flash_cnt[289][1]~30927\ = CARRY((\led_flash_cnt[289][1]~q\ & \led_flash_cnt[289][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[289][1]~q\,
	datab => \led_flash_cnt[289][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[289][1]~30926_combout\,
	cout => \led_flash_cnt[289][1]~30927\);

-- Location: FF_X62_Y44_N13
\led_flash_cnt[289][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[289][1]~30926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[289][1]~q\);

-- Location: LCCOMB_X62_Y44_N14
\led_flash_cnt[289][2]~30928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[289][2]~30928_combout\ = (\led_flash_cnt[289][2]~q\ & (!\led_flash_cnt[289][1]~30927\)) # (!\led_flash_cnt[289][2]~q\ & ((\led_flash_cnt[289][1]~30927\) # (GND)))
-- \led_flash_cnt[289][2]~30929\ = CARRY((!\led_flash_cnt[289][1]~30927\) # (!\led_flash_cnt[289][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[289][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[289][1]~30927\,
	combout => \led_flash_cnt[289][2]~30928_combout\,
	cout => \led_flash_cnt[289][2]~30929\);

-- Location: FF_X62_Y44_N15
\led_flash_cnt[289][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[289][2]~30928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[289][2]~q\);

-- Location: LCCOMB_X62_Y44_N16
\led_flash_cnt[289][3]~30930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[289][3]~30930_combout\ = (\led_flash_cnt[289][3]~q\ & (\led_flash_cnt[289][2]~30929\ $ (GND))) # (!\led_flash_cnt[289][3]~q\ & (!\led_flash_cnt[289][2]~30929\ & VCC))
-- \led_flash_cnt[289][3]~30931\ = CARRY((\led_flash_cnt[289][3]~q\ & !\led_flash_cnt[289][2]~30929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[289][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[289][2]~30929\,
	combout => \led_flash_cnt[289][3]~30930_combout\,
	cout => \led_flash_cnt[289][3]~30931\);

-- Location: FF_X62_Y44_N17
\led_flash_cnt[289][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[289][3]~30930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[289][3]~q\);

-- Location: LCCOMB_X62_Y44_N18
\led_flash_cnt[289][4]~30932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[289][4]~30932_combout\ = (\led_flash_cnt[289][4]~q\ & (!\led_flash_cnt[289][3]~30931\)) # (!\led_flash_cnt[289][4]~q\ & ((\led_flash_cnt[289][3]~30931\) # (GND)))
-- \led_flash_cnt[289][4]~30933\ = CARRY((!\led_flash_cnt[289][3]~30931\) # (!\led_flash_cnt[289][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[289][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[289][3]~30931\,
	combout => \led_flash_cnt[289][4]~30932_combout\,
	cout => \led_flash_cnt[289][4]~30933\);

-- Location: FF_X62_Y44_N19
\led_flash_cnt[289][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[289][4]~30932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[289][4]~q\);

-- Location: LCCOMB_X62_Y44_N10
\WideAnd289~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd289~0_combout\ = (\led_flash_cnt[289][1]~q\ & (\led_flash_cnt[289][4]~q\ & (\led_flash_cnt[289][2]~q\ & \led_flash_cnt[289][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[289][1]~q\,
	datab => \led_flash_cnt[289][4]~q\,
	datac => \led_flash_cnt[289][2]~q\,
	datad => \led_flash_cnt[289][3]~q\,
	combout => \WideAnd289~0_combout\);

-- Location: LCCOMB_X62_Y44_N20
\led_flash_cnt[289][5]~30934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[289][5]~30934_combout\ = (\led_flash_cnt[289][5]~q\ & (\led_flash_cnt[289][4]~30933\ $ (GND))) # (!\led_flash_cnt[289][5]~q\ & (!\led_flash_cnt[289][4]~30933\ & VCC))
-- \led_flash_cnt[289][5]~30935\ = CARRY((\led_flash_cnt[289][5]~q\ & !\led_flash_cnt[289][4]~30933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[289][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[289][4]~30933\,
	combout => \led_flash_cnt[289][5]~30934_combout\,
	cout => \led_flash_cnt[289][5]~30935\);

-- Location: FF_X62_Y44_N21
\led_flash_cnt[289][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[289][5]~30934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[289][5]~q\);

-- Location: LCCOMB_X62_Y44_N22
\led_flash_cnt[289][6]~30936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[289][6]~30936_combout\ = (\led_flash_cnt[289][6]~q\ & (!\led_flash_cnt[289][5]~30935\)) # (!\led_flash_cnt[289][6]~q\ & ((\led_flash_cnt[289][5]~30935\) # (GND)))
-- \led_flash_cnt[289][6]~30937\ = CARRY((!\led_flash_cnt[289][5]~30935\) # (!\led_flash_cnt[289][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[289][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[289][5]~30935\,
	combout => \led_flash_cnt[289][6]~30936_combout\,
	cout => \led_flash_cnt[289][6]~30937\);

-- Location: FF_X62_Y44_N23
\led_flash_cnt[289][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[289][6]~30936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[289][6]~q\);

-- Location: LCCOMB_X62_Y44_N24
\led_flash_cnt[289][7]~30938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[289][7]~30938_combout\ = \led_flash_cnt[289][6]~30937\ $ (!\led_flash_cnt[289][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[289][7]~q\,
	cin => \led_flash_cnt[289][6]~30937\,
	combout => \led_flash_cnt[289][7]~30938_combout\);

-- Location: FF_X62_Y44_N25
\led_flash_cnt[289][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[289][7]~30938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[289][7]~q\);

-- Location: LCCOMB_X62_Y44_N4
\WideAnd289~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd289~1_combout\ = (\led_flash_cnt[289][6]~q\ & \led_flash_cnt[289][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[289][6]~q\,
	datad => \led_flash_cnt[289][5]~q\,
	combout => \WideAnd289~1_combout\);

-- Location: LCCOMB_X62_Y44_N26
WideAnd289 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd289~combout\ = (\WideAnd289~0_combout\ & (\led_flash_cnt[289][7]~q\ & (\WideAnd289~1_combout\ & \led_flash_cnt[289][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd289~0_combout\,
	datab => \led_flash_cnt[289][7]~q\,
	datac => \WideAnd289~1_combout\,
	datad => \led_flash_cnt[289][0]~q\,
	combout => \WideAnd289~combout\);

-- Location: FF_X62_Y44_N27
\led_flash_cnt_ands[289]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd289~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(289));

-- Location: LCCOMB_X62_Y44_N6
\led_flash_cnt[290][0]~80930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[290][0]~80930_combout\ = !\led_flash_cnt[290][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[290][0]~q\,
	combout => \led_flash_cnt[290][0]~80930_combout\);

-- Location: FF_X62_Y44_N7
\led_flash_cnt[290][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[290][0]~80930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[290][0]~q\);

-- Location: LCCOMB_X63_Y44_N0
\led_flash_cnt[290][1]~30940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[290][1]~30940_combout\ = (\led_flash_cnt[290][0]~q\ & (\led_flash_cnt[290][1]~q\ $ (VCC))) # (!\led_flash_cnt[290][0]~q\ & (\led_flash_cnt[290][1]~q\ & VCC))
-- \led_flash_cnt[290][1]~30941\ = CARRY((\led_flash_cnt[290][0]~q\ & \led_flash_cnt[290][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[290][0]~q\,
	datab => \led_flash_cnt[290][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[290][1]~30940_combout\,
	cout => \led_flash_cnt[290][1]~30941\);

-- Location: FF_X63_Y44_N1
\led_flash_cnt[290][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[290][1]~30940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[290][1]~q\);

-- Location: LCCOMB_X63_Y44_N2
\led_flash_cnt[290][2]~30942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[290][2]~30942_combout\ = (\led_flash_cnt[290][2]~q\ & (!\led_flash_cnt[290][1]~30941\)) # (!\led_flash_cnt[290][2]~q\ & ((\led_flash_cnt[290][1]~30941\) # (GND)))
-- \led_flash_cnt[290][2]~30943\ = CARRY((!\led_flash_cnt[290][1]~30941\) # (!\led_flash_cnt[290][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[290][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[290][1]~30941\,
	combout => \led_flash_cnt[290][2]~30942_combout\,
	cout => \led_flash_cnt[290][2]~30943\);

-- Location: FF_X63_Y44_N3
\led_flash_cnt[290][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[290][2]~30942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[290][2]~q\);

-- Location: LCCOMB_X63_Y44_N4
\led_flash_cnt[290][3]~30944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[290][3]~30944_combout\ = (\led_flash_cnt[290][3]~q\ & (\led_flash_cnt[290][2]~30943\ $ (GND))) # (!\led_flash_cnt[290][3]~q\ & (!\led_flash_cnt[290][2]~30943\ & VCC))
-- \led_flash_cnt[290][3]~30945\ = CARRY((\led_flash_cnt[290][3]~q\ & !\led_flash_cnt[290][2]~30943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[290][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[290][2]~30943\,
	combout => \led_flash_cnt[290][3]~30944_combout\,
	cout => \led_flash_cnt[290][3]~30945\);

-- Location: FF_X63_Y44_N5
\led_flash_cnt[290][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[290][3]~30944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[290][3]~q\);

-- Location: LCCOMB_X63_Y44_N6
\led_flash_cnt[290][4]~30946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[290][4]~30946_combout\ = (\led_flash_cnt[290][4]~q\ & (!\led_flash_cnt[290][3]~30945\)) # (!\led_flash_cnt[290][4]~q\ & ((\led_flash_cnt[290][3]~30945\) # (GND)))
-- \led_flash_cnt[290][4]~30947\ = CARRY((!\led_flash_cnt[290][3]~30945\) # (!\led_flash_cnt[290][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[290][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[290][3]~30945\,
	combout => \led_flash_cnt[290][4]~30946_combout\,
	cout => \led_flash_cnt[290][4]~30947\);

-- Location: FF_X63_Y44_N7
\led_flash_cnt[290][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[290][4]~30946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[290][4]~q\);

-- Location: LCCOMB_X63_Y44_N8
\led_flash_cnt[290][5]~30948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[290][5]~30948_combout\ = (\led_flash_cnt[290][5]~q\ & (\led_flash_cnt[290][4]~30947\ $ (GND))) # (!\led_flash_cnt[290][5]~q\ & (!\led_flash_cnt[290][4]~30947\ & VCC))
-- \led_flash_cnt[290][5]~30949\ = CARRY((\led_flash_cnt[290][5]~q\ & !\led_flash_cnt[290][4]~30947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[290][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[290][4]~30947\,
	combout => \led_flash_cnt[290][5]~30948_combout\,
	cout => \led_flash_cnt[290][5]~30949\);

-- Location: FF_X63_Y44_N9
\led_flash_cnt[290][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[290][5]~30948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[290][5]~q\);

-- Location: LCCOMB_X63_Y44_N10
\led_flash_cnt[290][6]~30950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[290][6]~30950_combout\ = (\led_flash_cnt[290][6]~q\ & (!\led_flash_cnt[290][5]~30949\)) # (!\led_flash_cnt[290][6]~q\ & ((\led_flash_cnt[290][5]~30949\) # (GND)))
-- \led_flash_cnt[290][6]~30951\ = CARRY((!\led_flash_cnt[290][5]~30949\) # (!\led_flash_cnt[290][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[290][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[290][5]~30949\,
	combout => \led_flash_cnt[290][6]~30950_combout\,
	cout => \led_flash_cnt[290][6]~30951\);

-- Location: FF_X63_Y44_N11
\led_flash_cnt[290][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[290][6]~30950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[290][6]~q\);

-- Location: LCCOMB_X63_Y44_N12
\led_flash_cnt[290][7]~30952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[290][7]~30952_combout\ = \led_flash_cnt[290][6]~30951\ $ (!\led_flash_cnt[290][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[290][7]~q\,
	cin => \led_flash_cnt[290][6]~30951\,
	combout => \led_flash_cnt[290][7]~30952_combout\);

-- Location: FF_X63_Y44_N13
\led_flash_cnt[290][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[290][7]~30952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[290][7]~q\);

-- Location: LCCOMB_X63_Y44_N30
\WideAnd290~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd290~0_combout\ = (\led_flash_cnt[290][4]~q\ & (\led_flash_cnt[290][1]~q\ & (\led_flash_cnt[290][3]~q\ & \led_flash_cnt[290][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[290][4]~q\,
	datab => \led_flash_cnt[290][1]~q\,
	datac => \led_flash_cnt[290][3]~q\,
	datad => \led_flash_cnt[290][2]~q\,
	combout => \WideAnd290~0_combout\);

-- Location: LCCOMB_X62_Y44_N28
\WideAnd290~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd290~1_combout\ = (\led_flash_cnt[290][6]~q\ & \led_flash_cnt[290][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[290][6]~q\,
	datac => \led_flash_cnt[290][5]~q\,
	combout => \WideAnd290~1_combout\);

-- Location: LCCOMB_X62_Y44_N8
WideAnd290 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd290~combout\ = (\led_flash_cnt[290][0]~q\ & (\led_flash_cnt[290][7]~q\ & (\WideAnd290~0_combout\ & \WideAnd290~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[290][0]~q\,
	datab => \led_flash_cnt[290][7]~q\,
	datac => \WideAnd290~0_combout\,
	datad => \WideAnd290~1_combout\,
	combout => \WideAnd290~combout\);

-- Location: FF_X62_Y44_N9
\led_flash_cnt_ands[290]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd290~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(290));

-- Location: LCCOMB_X59_Y40_N6
\led_flash_cnt[291][0]~80931\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[291][0]~80931_combout\ = !\led_flash_cnt[291][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[291][0]~q\,
	combout => \led_flash_cnt[291][0]~80931_combout\);

-- Location: FF_X59_Y40_N7
\led_flash_cnt[291][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[291][0]~80931_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[291][0]~q\);

-- Location: LCCOMB_X60_Y40_N16
\led_flash_cnt[291][1]~30954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[291][1]~30954_combout\ = (\led_flash_cnt[291][0]~q\ & (\led_flash_cnt[291][1]~q\ $ (VCC))) # (!\led_flash_cnt[291][0]~q\ & (\led_flash_cnt[291][1]~q\ & VCC))
-- \led_flash_cnt[291][1]~30955\ = CARRY((\led_flash_cnt[291][0]~q\ & \led_flash_cnt[291][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[291][0]~q\,
	datab => \led_flash_cnt[291][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[291][1]~30954_combout\,
	cout => \led_flash_cnt[291][1]~30955\);

-- Location: FF_X60_Y40_N17
\led_flash_cnt[291][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[291][1]~30954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[291][1]~q\);

-- Location: LCCOMB_X60_Y40_N18
\led_flash_cnt[291][2]~30956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[291][2]~30956_combout\ = (\led_flash_cnt[291][2]~q\ & (!\led_flash_cnt[291][1]~30955\)) # (!\led_flash_cnt[291][2]~q\ & ((\led_flash_cnt[291][1]~30955\) # (GND)))
-- \led_flash_cnt[291][2]~30957\ = CARRY((!\led_flash_cnt[291][1]~30955\) # (!\led_flash_cnt[291][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[291][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[291][1]~30955\,
	combout => \led_flash_cnt[291][2]~30956_combout\,
	cout => \led_flash_cnt[291][2]~30957\);

-- Location: FF_X60_Y40_N19
\led_flash_cnt[291][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[291][2]~30956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[291][2]~q\);

-- Location: LCCOMB_X60_Y40_N20
\led_flash_cnt[291][3]~30958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[291][3]~30958_combout\ = (\led_flash_cnt[291][3]~q\ & (\led_flash_cnt[291][2]~30957\ $ (GND))) # (!\led_flash_cnt[291][3]~q\ & (!\led_flash_cnt[291][2]~30957\ & VCC))
-- \led_flash_cnt[291][3]~30959\ = CARRY((\led_flash_cnt[291][3]~q\ & !\led_flash_cnt[291][2]~30957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[291][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[291][2]~30957\,
	combout => \led_flash_cnt[291][3]~30958_combout\,
	cout => \led_flash_cnt[291][3]~30959\);

-- Location: FF_X60_Y40_N21
\led_flash_cnt[291][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[291][3]~30958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[291][3]~q\);

-- Location: LCCOMB_X60_Y40_N22
\led_flash_cnt[291][4]~30960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[291][4]~30960_combout\ = (\led_flash_cnt[291][4]~q\ & (!\led_flash_cnt[291][3]~30959\)) # (!\led_flash_cnt[291][4]~q\ & ((\led_flash_cnt[291][3]~30959\) # (GND)))
-- \led_flash_cnt[291][4]~30961\ = CARRY((!\led_flash_cnt[291][3]~30959\) # (!\led_flash_cnt[291][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[291][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[291][3]~30959\,
	combout => \led_flash_cnt[291][4]~30960_combout\,
	cout => \led_flash_cnt[291][4]~30961\);

-- Location: FF_X60_Y40_N23
\led_flash_cnt[291][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[291][4]~30960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[291][4]~q\);

-- Location: LCCOMB_X60_Y40_N0
\WideAnd291~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd291~0_combout\ = (\led_flash_cnt[291][3]~q\ & (\led_flash_cnt[291][2]~q\ & (\led_flash_cnt[291][4]~q\ & \led_flash_cnt[291][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[291][3]~q\,
	datab => \led_flash_cnt[291][2]~q\,
	datac => \led_flash_cnt[291][4]~q\,
	datad => \led_flash_cnt[291][1]~q\,
	combout => \WideAnd291~0_combout\);

-- Location: LCCOMB_X60_Y40_N24
\led_flash_cnt[291][5]~30962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[291][5]~30962_combout\ = (\led_flash_cnt[291][5]~q\ & (\led_flash_cnt[291][4]~30961\ $ (GND))) # (!\led_flash_cnt[291][5]~q\ & (!\led_flash_cnt[291][4]~30961\ & VCC))
-- \led_flash_cnt[291][5]~30963\ = CARRY((\led_flash_cnt[291][5]~q\ & !\led_flash_cnt[291][4]~30961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[291][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[291][4]~30961\,
	combout => \led_flash_cnt[291][5]~30962_combout\,
	cout => \led_flash_cnt[291][5]~30963\);

-- Location: FF_X60_Y40_N25
\led_flash_cnt[291][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[291][5]~30962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[291][5]~q\);

-- Location: LCCOMB_X60_Y40_N26
\led_flash_cnt[291][6]~30964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[291][6]~30964_combout\ = (\led_flash_cnt[291][6]~q\ & (!\led_flash_cnt[291][5]~30963\)) # (!\led_flash_cnt[291][6]~q\ & ((\led_flash_cnt[291][5]~30963\) # (GND)))
-- \led_flash_cnt[291][6]~30965\ = CARRY((!\led_flash_cnt[291][5]~30963\) # (!\led_flash_cnt[291][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[291][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[291][5]~30963\,
	combout => \led_flash_cnt[291][6]~30964_combout\,
	cout => \led_flash_cnt[291][6]~30965\);

-- Location: FF_X60_Y40_N27
\led_flash_cnt[291][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[291][6]~30964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[291][6]~q\);

-- Location: LCCOMB_X59_Y40_N14
\WideAnd291~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd291~1_combout\ = (\led_flash_cnt[291][6]~q\ & \led_flash_cnt[291][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[291][6]~q\,
	datad => \led_flash_cnt[291][5]~q\,
	combout => \WideAnd291~1_combout\);

-- Location: LCCOMB_X60_Y40_N28
\led_flash_cnt[291][7]~30966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[291][7]~30966_combout\ = \led_flash_cnt[291][6]~30965\ $ (!\led_flash_cnt[291][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[291][7]~q\,
	cin => \led_flash_cnt[291][6]~30965\,
	combout => \led_flash_cnt[291][7]~30966_combout\);

-- Location: FF_X60_Y40_N29
\led_flash_cnt[291][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[291][7]~30966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[291][7]~q\);

-- Location: LCCOMB_X59_Y40_N30
WideAnd291 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd291~combout\ = (\led_flash_cnt[291][0]~q\ & (\WideAnd291~0_combout\ & (\WideAnd291~1_combout\ & \led_flash_cnt[291][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[291][0]~q\,
	datab => \WideAnd291~0_combout\,
	datac => \WideAnd291~1_combout\,
	datad => \led_flash_cnt[291][7]~q\,
	combout => \WideAnd291~combout\);

-- Location: FF_X59_Y40_N31
\led_flash_cnt_ands[291]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd291~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(291));

-- Location: LCCOMB_X66_Y43_N2
\led_flash_cnt[288][0]~80928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[288][0]~80928_combout\ = !\led_flash_cnt[288][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[288][0]~q\,
	combout => \led_flash_cnt[288][0]~80928_combout\);

-- Location: FF_X66_Y43_N3
\led_flash_cnt[288][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[288][0]~80928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[288][0]~q\);

-- Location: LCCOMB_X65_Y43_N2
\led_flash_cnt[288][1]~30912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[288][1]~30912_combout\ = (\led_flash_cnt[288][0]~q\ & (\led_flash_cnt[288][1]~q\ $ (VCC))) # (!\led_flash_cnt[288][0]~q\ & (\led_flash_cnt[288][1]~q\ & VCC))
-- \led_flash_cnt[288][1]~30913\ = CARRY((\led_flash_cnt[288][0]~q\ & \led_flash_cnt[288][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[288][0]~q\,
	datab => \led_flash_cnt[288][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[288][1]~30912_combout\,
	cout => \led_flash_cnt[288][1]~30913\);

-- Location: FF_X65_Y43_N3
\led_flash_cnt[288][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[288][1]~30912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[288][1]~q\);

-- Location: LCCOMB_X65_Y43_N4
\led_flash_cnt[288][2]~30914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[288][2]~30914_combout\ = (\led_flash_cnt[288][2]~q\ & (!\led_flash_cnt[288][1]~30913\)) # (!\led_flash_cnt[288][2]~q\ & ((\led_flash_cnt[288][1]~30913\) # (GND)))
-- \led_flash_cnt[288][2]~30915\ = CARRY((!\led_flash_cnt[288][1]~30913\) # (!\led_flash_cnt[288][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[288][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[288][1]~30913\,
	combout => \led_flash_cnt[288][2]~30914_combout\,
	cout => \led_flash_cnt[288][2]~30915\);

-- Location: FF_X65_Y43_N5
\led_flash_cnt[288][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[288][2]~30914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[288][2]~q\);

-- Location: LCCOMB_X65_Y43_N6
\led_flash_cnt[288][3]~30916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[288][3]~30916_combout\ = (\led_flash_cnt[288][3]~q\ & (\led_flash_cnt[288][2]~30915\ $ (GND))) # (!\led_flash_cnt[288][3]~q\ & (!\led_flash_cnt[288][2]~30915\ & VCC))
-- \led_flash_cnt[288][3]~30917\ = CARRY((\led_flash_cnt[288][3]~q\ & !\led_flash_cnt[288][2]~30915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[288][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[288][2]~30915\,
	combout => \led_flash_cnt[288][3]~30916_combout\,
	cout => \led_flash_cnt[288][3]~30917\);

-- Location: FF_X65_Y43_N7
\led_flash_cnt[288][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[288][3]~30916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[288][3]~q\);

-- Location: LCCOMB_X65_Y43_N8
\led_flash_cnt[288][4]~30918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[288][4]~30918_combout\ = (\led_flash_cnt[288][4]~q\ & (!\led_flash_cnt[288][3]~30917\)) # (!\led_flash_cnt[288][4]~q\ & ((\led_flash_cnt[288][3]~30917\) # (GND)))
-- \led_flash_cnt[288][4]~30919\ = CARRY((!\led_flash_cnt[288][3]~30917\) # (!\led_flash_cnt[288][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[288][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[288][3]~30917\,
	combout => \led_flash_cnt[288][4]~30918_combout\,
	cout => \led_flash_cnt[288][4]~30919\);

-- Location: FF_X65_Y43_N9
\led_flash_cnt[288][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[288][4]~30918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[288][4]~q\);

-- Location: LCCOMB_X65_Y43_N10
\led_flash_cnt[288][5]~30920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[288][5]~30920_combout\ = (\led_flash_cnt[288][5]~q\ & (\led_flash_cnt[288][4]~30919\ $ (GND))) # (!\led_flash_cnt[288][5]~q\ & (!\led_flash_cnt[288][4]~30919\ & VCC))
-- \led_flash_cnt[288][5]~30921\ = CARRY((\led_flash_cnt[288][5]~q\ & !\led_flash_cnt[288][4]~30919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[288][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[288][4]~30919\,
	combout => \led_flash_cnt[288][5]~30920_combout\,
	cout => \led_flash_cnt[288][5]~30921\);

-- Location: FF_X65_Y43_N11
\led_flash_cnt[288][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[288][5]~30920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[288][5]~q\);

-- Location: LCCOMB_X65_Y43_N12
\led_flash_cnt[288][6]~30922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[288][6]~30922_combout\ = (\led_flash_cnt[288][6]~q\ & (!\led_flash_cnt[288][5]~30921\)) # (!\led_flash_cnt[288][6]~q\ & ((\led_flash_cnt[288][5]~30921\) # (GND)))
-- \led_flash_cnt[288][6]~30923\ = CARRY((!\led_flash_cnt[288][5]~30921\) # (!\led_flash_cnt[288][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[288][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[288][5]~30921\,
	combout => \led_flash_cnt[288][6]~30922_combout\,
	cout => \led_flash_cnt[288][6]~30923\);

-- Location: FF_X65_Y43_N13
\led_flash_cnt[288][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[288][6]~30922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[288][6]~q\);

-- Location: LCCOMB_X65_Y43_N14
\led_flash_cnt[288][7]~30924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[288][7]~30924_combout\ = \led_flash_cnt[288][7]~q\ $ (!\led_flash_cnt[288][6]~30923\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[288][7]~q\,
	cin => \led_flash_cnt[288][6]~30923\,
	combout => \led_flash_cnt[288][7]~30924_combout\);

-- Location: FF_X65_Y43_N15
\led_flash_cnt[288][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[288][7]~30924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[288][7]~q\);

-- Location: LCCOMB_X66_Y43_N28
\WideAnd288~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd288~1_combout\ = (\led_flash_cnt[288][6]~q\ & \led_flash_cnt[288][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[288][6]~q\,
	datad => \led_flash_cnt[288][5]~q\,
	combout => \WideAnd288~1_combout\);

-- Location: LCCOMB_X65_Y43_N0
\WideAnd288~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd288~0_combout\ = (\led_flash_cnt[288][3]~q\ & (\led_flash_cnt[288][4]~q\ & (\led_flash_cnt[288][2]~q\ & \led_flash_cnt[288][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[288][3]~q\,
	datab => \led_flash_cnt[288][4]~q\,
	datac => \led_flash_cnt[288][2]~q\,
	datad => \led_flash_cnt[288][1]~q\,
	combout => \WideAnd288~0_combout\);

-- Location: LCCOMB_X66_Y43_N0
WideAnd288 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd288~combout\ = (\led_flash_cnt[288][7]~q\ & (\WideAnd288~1_combout\ & (\WideAnd288~0_combout\ & \led_flash_cnt[288][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[288][7]~q\,
	datab => \WideAnd288~1_combout\,
	datac => \WideAnd288~0_combout\,
	datad => \led_flash_cnt[288][0]~q\,
	combout => \WideAnd288~combout\);

-- Location: FF_X66_Y43_N1
\led_flash_cnt_ands[288]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd288~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(288));

-- Location: LCCOMB_X62_Y44_N30
\WideAnd3876~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3876~0_combout\ = (led_flash_cnt_ands(289) & (led_flash_cnt_ands(290) & (led_flash_cnt_ands(291) & led_flash_cnt_ands(288))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(289),
	datab => led_flash_cnt_ands(290),
	datac => led_flash_cnt_ands(291),
	datad => led_flash_cnt_ands(288),
	combout => \WideAnd3876~0_combout\);

-- Location: LCCOMB_X54_Y35_N2
WideAnd3876 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3876~combout\ = (led_flash_cnt_ands(294) & (led_flash_cnt_ands(295) & (\WideAnd3876~1_combout\ & \WideAnd3876~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(294),
	datab => led_flash_cnt_ands(295),
	datac => \WideAnd3876~1_combout\,
	datad => \WideAnd3876~0_combout\,
	combout => \WideAnd3876~combout\);

-- Location: FF_X54_Y35_N3
\led_flash_cnt_ands_1[36]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3876~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(36));

-- Location: LCCOMB_X54_Y35_N30
\WideAnd4324~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4324~1_combout\ = (led_flash_cnt_ands_1(37) & led_flash_cnt_ands_1(36))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(37),
	datad => led_flash_cnt_ands_1(36),
	combout => \WideAnd4324~1_combout\);

-- Location: LCCOMB_X63_Y48_N2
\led_flash_cnt[310][0]~80950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[310][0]~80950_combout\ = !\led_flash_cnt[310][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[310][0]~q\,
	combout => \led_flash_cnt[310][0]~80950_combout\);

-- Location: FF_X63_Y48_N3
\led_flash_cnt[310][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[310][0]~80950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[310][0]~q\);

-- Location: LCCOMB_X62_Y48_N16
\led_flash_cnt[310][1]~31220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[310][1]~31220_combout\ = (\led_flash_cnt[310][0]~q\ & (\led_flash_cnt[310][1]~q\ $ (VCC))) # (!\led_flash_cnt[310][0]~q\ & (\led_flash_cnt[310][1]~q\ & VCC))
-- \led_flash_cnt[310][1]~31221\ = CARRY((\led_flash_cnt[310][0]~q\ & \led_flash_cnt[310][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[310][0]~q\,
	datab => \led_flash_cnt[310][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[310][1]~31220_combout\,
	cout => \led_flash_cnt[310][1]~31221\);

-- Location: FF_X62_Y48_N17
\led_flash_cnt[310][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[310][1]~31220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[310][1]~q\);

-- Location: LCCOMB_X62_Y48_N18
\led_flash_cnt[310][2]~31222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[310][2]~31222_combout\ = (\led_flash_cnt[310][2]~q\ & (!\led_flash_cnt[310][1]~31221\)) # (!\led_flash_cnt[310][2]~q\ & ((\led_flash_cnt[310][1]~31221\) # (GND)))
-- \led_flash_cnt[310][2]~31223\ = CARRY((!\led_flash_cnt[310][1]~31221\) # (!\led_flash_cnt[310][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[310][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[310][1]~31221\,
	combout => \led_flash_cnt[310][2]~31222_combout\,
	cout => \led_flash_cnt[310][2]~31223\);

-- Location: FF_X62_Y48_N19
\led_flash_cnt[310][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[310][2]~31222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[310][2]~q\);

-- Location: LCCOMB_X62_Y48_N20
\led_flash_cnt[310][3]~31224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[310][3]~31224_combout\ = (\led_flash_cnt[310][3]~q\ & (\led_flash_cnt[310][2]~31223\ $ (GND))) # (!\led_flash_cnt[310][3]~q\ & (!\led_flash_cnt[310][2]~31223\ & VCC))
-- \led_flash_cnt[310][3]~31225\ = CARRY((\led_flash_cnt[310][3]~q\ & !\led_flash_cnt[310][2]~31223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[310][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[310][2]~31223\,
	combout => \led_flash_cnt[310][3]~31224_combout\,
	cout => \led_flash_cnt[310][3]~31225\);

-- Location: FF_X62_Y48_N21
\led_flash_cnt[310][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[310][3]~31224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[310][3]~q\);

-- Location: LCCOMB_X62_Y48_N22
\led_flash_cnt[310][4]~31226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[310][4]~31226_combout\ = (\led_flash_cnt[310][4]~q\ & (!\led_flash_cnt[310][3]~31225\)) # (!\led_flash_cnt[310][4]~q\ & ((\led_flash_cnt[310][3]~31225\) # (GND)))
-- \led_flash_cnt[310][4]~31227\ = CARRY((!\led_flash_cnt[310][3]~31225\) # (!\led_flash_cnt[310][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[310][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[310][3]~31225\,
	combout => \led_flash_cnt[310][4]~31226_combout\,
	cout => \led_flash_cnt[310][4]~31227\);

-- Location: FF_X62_Y48_N23
\led_flash_cnt[310][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[310][4]~31226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[310][4]~q\);

-- Location: LCCOMB_X62_Y48_N24
\led_flash_cnt[310][5]~31228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[310][5]~31228_combout\ = (\led_flash_cnt[310][5]~q\ & (\led_flash_cnt[310][4]~31227\ $ (GND))) # (!\led_flash_cnt[310][5]~q\ & (!\led_flash_cnt[310][4]~31227\ & VCC))
-- \led_flash_cnt[310][5]~31229\ = CARRY((\led_flash_cnt[310][5]~q\ & !\led_flash_cnt[310][4]~31227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[310][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[310][4]~31227\,
	combout => \led_flash_cnt[310][5]~31228_combout\,
	cout => \led_flash_cnt[310][5]~31229\);

-- Location: FF_X62_Y48_N25
\led_flash_cnt[310][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[310][5]~31228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[310][5]~q\);

-- Location: LCCOMB_X62_Y48_N26
\led_flash_cnt[310][6]~31230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[310][6]~31230_combout\ = (\led_flash_cnt[310][6]~q\ & (!\led_flash_cnt[310][5]~31229\)) # (!\led_flash_cnt[310][6]~q\ & ((\led_flash_cnt[310][5]~31229\) # (GND)))
-- \led_flash_cnt[310][6]~31231\ = CARRY((!\led_flash_cnt[310][5]~31229\) # (!\led_flash_cnt[310][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[310][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[310][5]~31229\,
	combout => \led_flash_cnt[310][6]~31230_combout\,
	cout => \led_flash_cnt[310][6]~31231\);

-- Location: FF_X62_Y48_N27
\led_flash_cnt[310][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[310][6]~31230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[310][6]~q\);

-- Location: LCCOMB_X63_Y48_N10
\WideAnd310~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd310~1_combout\ = (\led_flash_cnt[310][6]~q\ & \led_flash_cnt[310][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[310][6]~q\,
	datad => \led_flash_cnt[310][5]~q\,
	combout => \WideAnd310~1_combout\);

-- Location: LCCOMB_X62_Y48_N28
\led_flash_cnt[310][7]~31232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[310][7]~31232_combout\ = \led_flash_cnt[310][6]~31231\ $ (!\led_flash_cnt[310][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[310][7]~q\,
	cin => \led_flash_cnt[310][6]~31231\,
	combout => \led_flash_cnt[310][7]~31232_combout\);

-- Location: FF_X62_Y48_N29
\led_flash_cnt[310][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[310][7]~31232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[310][7]~q\);

-- Location: LCCOMB_X62_Y48_N0
\WideAnd310~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd310~0_combout\ = (\led_flash_cnt[310][3]~q\ & (\led_flash_cnt[310][2]~q\ & (\led_flash_cnt[310][4]~q\ & \led_flash_cnt[310][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[310][3]~q\,
	datab => \led_flash_cnt[310][2]~q\,
	datac => \led_flash_cnt[310][4]~q\,
	datad => \led_flash_cnt[310][1]~q\,
	combout => \WideAnd310~0_combout\);

-- Location: LCCOMB_X63_Y48_N14
WideAnd310 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd310~combout\ = (\WideAnd310~1_combout\ & (\led_flash_cnt[310][7]~q\ & (\WideAnd310~0_combout\ & \led_flash_cnt[310][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd310~1_combout\,
	datab => \led_flash_cnt[310][7]~q\,
	datac => \WideAnd310~0_combout\,
	datad => \led_flash_cnt[310][0]~q\,
	combout => \WideAnd310~combout\);

-- Location: FF_X63_Y48_N15
\led_flash_cnt_ands[310]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd310~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(310));

-- Location: LCCOMB_X56_Y30_N2
\led_flash_cnt[309][0]~80949\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[309][0]~80949_combout\ = !\led_flash_cnt[309][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[309][0]~q\,
	combout => \led_flash_cnt[309][0]~80949_combout\);

-- Location: FF_X56_Y30_N3
\led_flash_cnt[309][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[309][0]~80949_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[309][0]~q\);

-- Location: LCCOMB_X57_Y30_N0
\led_flash_cnt[309][1]~31206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[309][1]~31206_combout\ = (\led_flash_cnt[309][0]~q\ & (\led_flash_cnt[309][1]~q\ $ (VCC))) # (!\led_flash_cnt[309][0]~q\ & (\led_flash_cnt[309][1]~q\ & VCC))
-- \led_flash_cnt[309][1]~31207\ = CARRY((\led_flash_cnt[309][0]~q\ & \led_flash_cnt[309][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[309][0]~q\,
	datab => \led_flash_cnt[309][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[309][1]~31206_combout\,
	cout => \led_flash_cnt[309][1]~31207\);

-- Location: FF_X57_Y30_N1
\led_flash_cnt[309][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[309][1]~31206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[309][1]~q\);

-- Location: LCCOMB_X57_Y30_N2
\led_flash_cnt[309][2]~31208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[309][2]~31208_combout\ = (\led_flash_cnt[309][2]~q\ & (!\led_flash_cnt[309][1]~31207\)) # (!\led_flash_cnt[309][2]~q\ & ((\led_flash_cnt[309][1]~31207\) # (GND)))
-- \led_flash_cnt[309][2]~31209\ = CARRY((!\led_flash_cnt[309][1]~31207\) # (!\led_flash_cnt[309][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[309][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[309][1]~31207\,
	combout => \led_flash_cnt[309][2]~31208_combout\,
	cout => \led_flash_cnt[309][2]~31209\);

-- Location: FF_X57_Y30_N3
\led_flash_cnt[309][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[309][2]~31208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[309][2]~q\);

-- Location: LCCOMB_X57_Y30_N4
\led_flash_cnt[309][3]~31210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[309][3]~31210_combout\ = (\led_flash_cnt[309][3]~q\ & (\led_flash_cnt[309][2]~31209\ $ (GND))) # (!\led_flash_cnt[309][3]~q\ & (!\led_flash_cnt[309][2]~31209\ & VCC))
-- \led_flash_cnt[309][3]~31211\ = CARRY((\led_flash_cnt[309][3]~q\ & !\led_flash_cnt[309][2]~31209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[309][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[309][2]~31209\,
	combout => \led_flash_cnt[309][3]~31210_combout\,
	cout => \led_flash_cnt[309][3]~31211\);

-- Location: FF_X57_Y30_N5
\led_flash_cnt[309][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[309][3]~31210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[309][3]~q\);

-- Location: LCCOMB_X57_Y30_N6
\led_flash_cnt[309][4]~31212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[309][4]~31212_combout\ = (\led_flash_cnt[309][4]~q\ & (!\led_flash_cnt[309][3]~31211\)) # (!\led_flash_cnt[309][4]~q\ & ((\led_flash_cnt[309][3]~31211\) # (GND)))
-- \led_flash_cnt[309][4]~31213\ = CARRY((!\led_flash_cnt[309][3]~31211\) # (!\led_flash_cnt[309][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[309][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[309][3]~31211\,
	combout => \led_flash_cnt[309][4]~31212_combout\,
	cout => \led_flash_cnt[309][4]~31213\);

-- Location: FF_X57_Y30_N7
\led_flash_cnt[309][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[309][4]~31212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[309][4]~q\);

-- Location: LCCOMB_X57_Y30_N8
\led_flash_cnt[309][5]~31214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[309][5]~31214_combout\ = (\led_flash_cnt[309][5]~q\ & (\led_flash_cnt[309][4]~31213\ $ (GND))) # (!\led_flash_cnt[309][5]~q\ & (!\led_flash_cnt[309][4]~31213\ & VCC))
-- \led_flash_cnt[309][5]~31215\ = CARRY((\led_flash_cnt[309][5]~q\ & !\led_flash_cnt[309][4]~31213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[309][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[309][4]~31213\,
	combout => \led_flash_cnt[309][5]~31214_combout\,
	cout => \led_flash_cnt[309][5]~31215\);

-- Location: FF_X57_Y30_N9
\led_flash_cnt[309][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[309][5]~31214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[309][5]~q\);

-- Location: LCCOMB_X57_Y30_N10
\led_flash_cnt[309][6]~31216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[309][6]~31216_combout\ = (\led_flash_cnt[309][6]~q\ & (!\led_flash_cnt[309][5]~31215\)) # (!\led_flash_cnt[309][6]~q\ & ((\led_flash_cnt[309][5]~31215\) # (GND)))
-- \led_flash_cnt[309][6]~31217\ = CARRY((!\led_flash_cnt[309][5]~31215\) # (!\led_flash_cnt[309][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[309][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[309][5]~31215\,
	combout => \led_flash_cnt[309][6]~31216_combout\,
	cout => \led_flash_cnt[309][6]~31217\);

-- Location: FF_X57_Y30_N11
\led_flash_cnt[309][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[309][6]~31216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[309][6]~q\);

-- Location: LCCOMB_X56_Y30_N6
\WideAnd309~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd309~1_combout\ = (\led_flash_cnt[309][6]~q\ & \led_flash_cnt[309][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[309][6]~q\,
	datac => \led_flash_cnt[309][5]~q\,
	combout => \WideAnd309~1_combout\);

-- Location: LCCOMB_X57_Y30_N12
\led_flash_cnt[309][7]~31218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[309][7]~31218_combout\ = \led_flash_cnt[309][6]~31217\ $ (!\led_flash_cnt[309][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[309][7]~q\,
	cin => \led_flash_cnt[309][6]~31217\,
	combout => \led_flash_cnt[309][7]~31218_combout\);

-- Location: FF_X57_Y30_N13
\led_flash_cnt[309][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[309][7]~31218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[309][7]~q\);

-- Location: LCCOMB_X57_Y30_N28
\WideAnd309~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd309~0_combout\ = (\led_flash_cnt[309][4]~q\ & (\led_flash_cnt[309][1]~q\ & (\led_flash_cnt[309][3]~q\ & \led_flash_cnt[309][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[309][4]~q\,
	datab => \led_flash_cnt[309][1]~q\,
	datac => \led_flash_cnt[309][3]~q\,
	datad => \led_flash_cnt[309][2]~q\,
	combout => \WideAnd309~0_combout\);

-- Location: LCCOMB_X56_Y30_N4
WideAnd309 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd309~combout\ = (\WideAnd309~1_combout\ & (\led_flash_cnt[309][0]~q\ & (\led_flash_cnt[309][7]~q\ & \WideAnd309~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd309~1_combout\,
	datab => \led_flash_cnt[309][0]~q\,
	datac => \led_flash_cnt[309][7]~q\,
	datad => \WideAnd309~0_combout\,
	combout => \WideAnd309~combout\);

-- Location: FF_X56_Y30_N5
\led_flash_cnt_ands[309]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd309~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(309));

-- Location: LCCOMB_X56_Y30_N30
\led_flash_cnt[308][0]~80948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[308][0]~80948_combout\ = !\led_flash_cnt[308][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[308][0]~q\,
	combout => \led_flash_cnt[308][0]~80948_combout\);

-- Location: FF_X56_Y30_N31
\led_flash_cnt[308][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[308][0]~80948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[308][0]~q\);

-- Location: LCCOMB_X56_Y30_N14
\led_flash_cnt[308][1]~31192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[308][1]~31192_combout\ = (\led_flash_cnt[308][0]~q\ & (\led_flash_cnt[308][1]~q\ $ (VCC))) # (!\led_flash_cnt[308][0]~q\ & (\led_flash_cnt[308][1]~q\ & VCC))
-- \led_flash_cnt[308][1]~31193\ = CARRY((\led_flash_cnt[308][0]~q\ & \led_flash_cnt[308][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[308][0]~q\,
	datab => \led_flash_cnt[308][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[308][1]~31192_combout\,
	cout => \led_flash_cnt[308][1]~31193\);

-- Location: FF_X56_Y30_N15
\led_flash_cnt[308][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[308][1]~31192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[308][1]~q\);

-- Location: LCCOMB_X56_Y30_N16
\led_flash_cnt[308][2]~31194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[308][2]~31194_combout\ = (\led_flash_cnt[308][2]~q\ & (!\led_flash_cnt[308][1]~31193\)) # (!\led_flash_cnt[308][2]~q\ & ((\led_flash_cnt[308][1]~31193\) # (GND)))
-- \led_flash_cnt[308][2]~31195\ = CARRY((!\led_flash_cnt[308][1]~31193\) # (!\led_flash_cnt[308][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[308][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[308][1]~31193\,
	combout => \led_flash_cnt[308][2]~31194_combout\,
	cout => \led_flash_cnt[308][2]~31195\);

-- Location: FF_X56_Y30_N17
\led_flash_cnt[308][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[308][2]~31194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[308][2]~q\);

-- Location: LCCOMB_X56_Y30_N18
\led_flash_cnt[308][3]~31196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[308][3]~31196_combout\ = (\led_flash_cnt[308][3]~q\ & (\led_flash_cnt[308][2]~31195\ $ (GND))) # (!\led_flash_cnt[308][3]~q\ & (!\led_flash_cnt[308][2]~31195\ & VCC))
-- \led_flash_cnt[308][3]~31197\ = CARRY((\led_flash_cnt[308][3]~q\ & !\led_flash_cnt[308][2]~31195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[308][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[308][2]~31195\,
	combout => \led_flash_cnt[308][3]~31196_combout\,
	cout => \led_flash_cnt[308][3]~31197\);

-- Location: FF_X56_Y30_N19
\led_flash_cnt[308][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[308][3]~31196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[308][3]~q\);

-- Location: LCCOMB_X56_Y30_N20
\led_flash_cnt[308][4]~31198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[308][4]~31198_combout\ = (\led_flash_cnt[308][4]~q\ & (!\led_flash_cnt[308][3]~31197\)) # (!\led_flash_cnt[308][4]~q\ & ((\led_flash_cnt[308][3]~31197\) # (GND)))
-- \led_flash_cnt[308][4]~31199\ = CARRY((!\led_flash_cnt[308][3]~31197\) # (!\led_flash_cnt[308][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[308][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[308][3]~31197\,
	combout => \led_flash_cnt[308][4]~31198_combout\,
	cout => \led_flash_cnt[308][4]~31199\);

-- Location: FF_X56_Y30_N21
\led_flash_cnt[308][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[308][4]~31198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[308][4]~q\);

-- Location: LCCOMB_X56_Y30_N22
\led_flash_cnt[308][5]~31200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[308][5]~31200_combout\ = (\led_flash_cnt[308][5]~q\ & (\led_flash_cnt[308][4]~31199\ $ (GND))) # (!\led_flash_cnt[308][5]~q\ & (!\led_flash_cnt[308][4]~31199\ & VCC))
-- \led_flash_cnt[308][5]~31201\ = CARRY((\led_flash_cnt[308][5]~q\ & !\led_flash_cnt[308][4]~31199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[308][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[308][4]~31199\,
	combout => \led_flash_cnt[308][5]~31200_combout\,
	cout => \led_flash_cnt[308][5]~31201\);

-- Location: FF_X56_Y30_N23
\led_flash_cnt[308][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[308][5]~31200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[308][5]~q\);

-- Location: LCCOMB_X56_Y30_N24
\led_flash_cnt[308][6]~31202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[308][6]~31202_combout\ = (\led_flash_cnt[308][6]~q\ & (!\led_flash_cnt[308][5]~31201\)) # (!\led_flash_cnt[308][6]~q\ & ((\led_flash_cnt[308][5]~31201\) # (GND)))
-- \led_flash_cnt[308][6]~31203\ = CARRY((!\led_flash_cnt[308][5]~31201\) # (!\led_flash_cnt[308][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[308][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[308][5]~31201\,
	combout => \led_flash_cnt[308][6]~31202_combout\,
	cout => \led_flash_cnt[308][6]~31203\);

-- Location: FF_X56_Y30_N25
\led_flash_cnt[308][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[308][6]~31202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[308][6]~q\);

-- Location: LCCOMB_X56_Y30_N26
\led_flash_cnt[308][7]~31204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[308][7]~31204_combout\ = \led_flash_cnt[308][7]~q\ $ (!\led_flash_cnt[308][6]~31203\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[308][7]~q\,
	cin => \led_flash_cnt[308][6]~31203\,
	combout => \led_flash_cnt[308][7]~31204_combout\);

-- Location: FF_X56_Y30_N27
\led_flash_cnt[308][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[308][7]~31204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[308][7]~q\);

-- Location: LCCOMB_X56_Y30_N8
\WideAnd308~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd308~0_combout\ = (\led_flash_cnt[308][3]~q\ & (\led_flash_cnt[308][4]~q\ & (\led_flash_cnt[308][1]~q\ & \led_flash_cnt[308][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[308][3]~q\,
	datab => \led_flash_cnt[308][4]~q\,
	datac => \led_flash_cnt[308][1]~q\,
	datad => \led_flash_cnt[308][2]~q\,
	combout => \WideAnd308~0_combout\);

-- Location: LCCOMB_X56_Y30_N10
\WideAnd308~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd308~1_combout\ = (\led_flash_cnt[308][5]~q\ & \led_flash_cnt[308][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[308][5]~q\,
	datad => \led_flash_cnt[308][6]~q\,
	combout => \WideAnd308~1_combout\);

-- Location: LCCOMB_X56_Y30_N12
WideAnd308 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd308~combout\ = (\led_flash_cnt[308][7]~q\ & (\WideAnd308~0_combout\ & (\led_flash_cnt[308][0]~q\ & \WideAnd308~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[308][7]~q\,
	datab => \WideAnd308~0_combout\,
	datac => \led_flash_cnt[308][0]~q\,
	datad => \WideAnd308~1_combout\,
	combout => \WideAnd308~combout\);

-- Location: FF_X56_Y30_N13
\led_flash_cnt_ands[308]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd308~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(308));

-- Location: LCCOMB_X56_Y30_N28
\WideAnd3878~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3878~1_combout\ = (led_flash_cnt_ands(309) & led_flash_cnt_ands(308))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(309),
	datad => led_flash_cnt_ands(308),
	combout => \WideAnd3878~1_combout\);

-- Location: LCCOMB_X8_Y7_N2
\led_flash_cnt[306][0]~80946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[306][0]~80946_combout\ = !\led_flash_cnt[306][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[306][0]~q\,
	combout => \led_flash_cnt[306][0]~80946_combout\);

-- Location: FF_X8_Y7_N3
\led_flash_cnt[306][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[306][0]~80946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[306][0]~q\);

-- Location: LCCOMB_X7_Y7_N16
\led_flash_cnt[306][1]~31164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[306][1]~31164_combout\ = (\led_flash_cnt[306][0]~q\ & (\led_flash_cnt[306][1]~q\ $ (VCC))) # (!\led_flash_cnt[306][0]~q\ & (\led_flash_cnt[306][1]~q\ & VCC))
-- \led_flash_cnt[306][1]~31165\ = CARRY((\led_flash_cnt[306][0]~q\ & \led_flash_cnt[306][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[306][0]~q\,
	datab => \led_flash_cnt[306][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[306][1]~31164_combout\,
	cout => \led_flash_cnt[306][1]~31165\);

-- Location: FF_X7_Y7_N17
\led_flash_cnt[306][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[306][1]~31164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[306][1]~q\);

-- Location: LCCOMB_X7_Y7_N18
\led_flash_cnt[306][2]~31166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[306][2]~31166_combout\ = (\led_flash_cnt[306][2]~q\ & (!\led_flash_cnt[306][1]~31165\)) # (!\led_flash_cnt[306][2]~q\ & ((\led_flash_cnt[306][1]~31165\) # (GND)))
-- \led_flash_cnt[306][2]~31167\ = CARRY((!\led_flash_cnt[306][1]~31165\) # (!\led_flash_cnt[306][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[306][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[306][1]~31165\,
	combout => \led_flash_cnt[306][2]~31166_combout\,
	cout => \led_flash_cnt[306][2]~31167\);

-- Location: FF_X7_Y7_N19
\led_flash_cnt[306][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[306][2]~31166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[306][2]~q\);

-- Location: LCCOMB_X7_Y7_N20
\led_flash_cnt[306][3]~31168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[306][3]~31168_combout\ = (\led_flash_cnt[306][3]~q\ & (\led_flash_cnt[306][2]~31167\ $ (GND))) # (!\led_flash_cnt[306][3]~q\ & (!\led_flash_cnt[306][2]~31167\ & VCC))
-- \led_flash_cnt[306][3]~31169\ = CARRY((\led_flash_cnt[306][3]~q\ & !\led_flash_cnt[306][2]~31167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[306][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[306][2]~31167\,
	combout => \led_flash_cnt[306][3]~31168_combout\,
	cout => \led_flash_cnt[306][3]~31169\);

-- Location: FF_X7_Y7_N21
\led_flash_cnt[306][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[306][3]~31168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[306][3]~q\);

-- Location: LCCOMB_X7_Y7_N22
\led_flash_cnt[306][4]~31170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[306][4]~31170_combout\ = (\led_flash_cnt[306][4]~q\ & (!\led_flash_cnt[306][3]~31169\)) # (!\led_flash_cnt[306][4]~q\ & ((\led_flash_cnt[306][3]~31169\) # (GND)))
-- \led_flash_cnt[306][4]~31171\ = CARRY((!\led_flash_cnt[306][3]~31169\) # (!\led_flash_cnt[306][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[306][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[306][3]~31169\,
	combout => \led_flash_cnt[306][4]~31170_combout\,
	cout => \led_flash_cnt[306][4]~31171\);

-- Location: FF_X7_Y7_N23
\led_flash_cnt[306][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[306][4]~31170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[306][4]~q\);

-- Location: LCCOMB_X7_Y7_N24
\led_flash_cnt[306][5]~31172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[306][5]~31172_combout\ = (\led_flash_cnt[306][5]~q\ & (\led_flash_cnt[306][4]~31171\ $ (GND))) # (!\led_flash_cnt[306][5]~q\ & (!\led_flash_cnt[306][4]~31171\ & VCC))
-- \led_flash_cnt[306][5]~31173\ = CARRY((\led_flash_cnt[306][5]~q\ & !\led_flash_cnt[306][4]~31171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[306][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[306][4]~31171\,
	combout => \led_flash_cnt[306][5]~31172_combout\,
	cout => \led_flash_cnt[306][5]~31173\);

-- Location: FF_X7_Y7_N25
\led_flash_cnt[306][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[306][5]~31172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[306][5]~q\);

-- Location: LCCOMB_X7_Y7_N26
\led_flash_cnt[306][6]~31174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[306][6]~31174_combout\ = (\led_flash_cnt[306][6]~q\ & (!\led_flash_cnt[306][5]~31173\)) # (!\led_flash_cnt[306][6]~q\ & ((\led_flash_cnt[306][5]~31173\) # (GND)))
-- \led_flash_cnt[306][6]~31175\ = CARRY((!\led_flash_cnt[306][5]~31173\) # (!\led_flash_cnt[306][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[306][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[306][5]~31173\,
	combout => \led_flash_cnt[306][6]~31174_combout\,
	cout => \led_flash_cnt[306][6]~31175\);

-- Location: FF_X7_Y7_N27
\led_flash_cnt[306][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[306][6]~31174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[306][6]~q\);

-- Location: LCCOMB_X7_Y7_N28
\led_flash_cnt[306][7]~31176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[306][7]~31176_combout\ = \led_flash_cnt[306][6]~31175\ $ (!\led_flash_cnt[306][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[306][7]~q\,
	cin => \led_flash_cnt[306][6]~31175\,
	combout => \led_flash_cnt[306][7]~31176_combout\);

-- Location: FF_X7_Y7_N29
\led_flash_cnt[306][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[306][7]~31176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[306][7]~q\);

-- Location: LCCOMB_X8_Y7_N28
\WideAnd306~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd306~1_combout\ = (\led_flash_cnt[306][6]~q\ & \led_flash_cnt[306][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[306][6]~q\,
	datad => \led_flash_cnt[306][5]~q\,
	combout => \WideAnd306~1_combout\);

-- Location: LCCOMB_X7_Y7_N0
\WideAnd306~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd306~0_combout\ = (\led_flash_cnt[306][3]~q\ & (\led_flash_cnt[306][2]~q\ & (\led_flash_cnt[306][4]~q\ & \led_flash_cnt[306][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[306][3]~q\,
	datab => \led_flash_cnt[306][2]~q\,
	datac => \led_flash_cnt[306][4]~q\,
	datad => \led_flash_cnt[306][1]~q\,
	combout => \WideAnd306~0_combout\);

-- Location: LCCOMB_X8_Y7_N30
WideAnd306 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd306~combout\ = (\led_flash_cnt[306][7]~q\ & (\WideAnd306~1_combout\ & (\WideAnd306~0_combout\ & \led_flash_cnt[306][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[306][7]~q\,
	datab => \WideAnd306~1_combout\,
	datac => \WideAnd306~0_combout\,
	datad => \led_flash_cnt[306][0]~q\,
	combout => \WideAnd306~combout\);

-- Location: FF_X8_Y7_N31
\led_flash_cnt_ands[306]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd306~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(306));

-- Location: LCCOMB_X13_Y37_N6
\led_flash_cnt[305][0]~80945\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[305][0]~80945_combout\ = !\led_flash_cnt[305][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[305][0]~q\,
	combout => \led_flash_cnt[305][0]~80945_combout\);

-- Location: FF_X13_Y37_N7
\led_flash_cnt[305][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[305][0]~80945_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[305][0]~q\);

-- Location: LCCOMB_X14_Y37_N0
\led_flash_cnt[305][1]~31150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[305][1]~31150_combout\ = (\led_flash_cnt[305][0]~q\ & (\led_flash_cnt[305][1]~q\ $ (VCC))) # (!\led_flash_cnt[305][0]~q\ & (\led_flash_cnt[305][1]~q\ & VCC))
-- \led_flash_cnt[305][1]~31151\ = CARRY((\led_flash_cnt[305][0]~q\ & \led_flash_cnt[305][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[305][0]~q\,
	datab => \led_flash_cnt[305][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[305][1]~31150_combout\,
	cout => \led_flash_cnt[305][1]~31151\);

-- Location: FF_X14_Y37_N1
\led_flash_cnt[305][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[305][1]~31150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[305][1]~q\);

-- Location: LCCOMB_X14_Y37_N2
\led_flash_cnt[305][2]~31152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[305][2]~31152_combout\ = (\led_flash_cnt[305][2]~q\ & (!\led_flash_cnt[305][1]~31151\)) # (!\led_flash_cnt[305][2]~q\ & ((\led_flash_cnt[305][1]~31151\) # (GND)))
-- \led_flash_cnt[305][2]~31153\ = CARRY((!\led_flash_cnt[305][1]~31151\) # (!\led_flash_cnt[305][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[305][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[305][1]~31151\,
	combout => \led_flash_cnt[305][2]~31152_combout\,
	cout => \led_flash_cnt[305][2]~31153\);

-- Location: FF_X14_Y37_N3
\led_flash_cnt[305][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[305][2]~31152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[305][2]~q\);

-- Location: LCCOMB_X14_Y37_N4
\led_flash_cnt[305][3]~31154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[305][3]~31154_combout\ = (\led_flash_cnt[305][3]~q\ & (\led_flash_cnt[305][2]~31153\ $ (GND))) # (!\led_flash_cnt[305][3]~q\ & (!\led_flash_cnt[305][2]~31153\ & VCC))
-- \led_flash_cnt[305][3]~31155\ = CARRY((\led_flash_cnt[305][3]~q\ & !\led_flash_cnt[305][2]~31153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[305][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[305][2]~31153\,
	combout => \led_flash_cnt[305][3]~31154_combout\,
	cout => \led_flash_cnt[305][3]~31155\);

-- Location: FF_X14_Y37_N5
\led_flash_cnt[305][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[305][3]~31154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[305][3]~q\);

-- Location: LCCOMB_X14_Y37_N6
\led_flash_cnt[305][4]~31156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[305][4]~31156_combout\ = (\led_flash_cnt[305][4]~q\ & (!\led_flash_cnt[305][3]~31155\)) # (!\led_flash_cnt[305][4]~q\ & ((\led_flash_cnt[305][3]~31155\) # (GND)))
-- \led_flash_cnt[305][4]~31157\ = CARRY((!\led_flash_cnt[305][3]~31155\) # (!\led_flash_cnt[305][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[305][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[305][3]~31155\,
	combout => \led_flash_cnt[305][4]~31156_combout\,
	cout => \led_flash_cnt[305][4]~31157\);

-- Location: FF_X14_Y37_N7
\led_flash_cnt[305][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[305][4]~31156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[305][4]~q\);

-- Location: LCCOMB_X14_Y37_N8
\led_flash_cnt[305][5]~31158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[305][5]~31158_combout\ = (\led_flash_cnt[305][5]~q\ & (\led_flash_cnt[305][4]~31157\ $ (GND))) # (!\led_flash_cnt[305][5]~q\ & (!\led_flash_cnt[305][4]~31157\ & VCC))
-- \led_flash_cnt[305][5]~31159\ = CARRY((\led_flash_cnt[305][5]~q\ & !\led_flash_cnt[305][4]~31157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[305][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[305][4]~31157\,
	combout => \led_flash_cnt[305][5]~31158_combout\,
	cout => \led_flash_cnt[305][5]~31159\);

-- Location: FF_X14_Y37_N9
\led_flash_cnt[305][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[305][5]~31158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[305][5]~q\);

-- Location: LCCOMB_X14_Y37_N10
\led_flash_cnt[305][6]~31160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[305][6]~31160_combout\ = (\led_flash_cnt[305][6]~q\ & (!\led_flash_cnt[305][5]~31159\)) # (!\led_flash_cnt[305][6]~q\ & ((\led_flash_cnt[305][5]~31159\) # (GND)))
-- \led_flash_cnt[305][6]~31161\ = CARRY((!\led_flash_cnt[305][5]~31159\) # (!\led_flash_cnt[305][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[305][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[305][5]~31159\,
	combout => \led_flash_cnt[305][6]~31160_combout\,
	cout => \led_flash_cnt[305][6]~31161\);

-- Location: FF_X14_Y37_N11
\led_flash_cnt[305][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[305][6]~31160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[305][6]~q\);

-- Location: LCCOMB_X13_Y37_N26
\WideAnd305~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd305~1_combout\ = (\led_flash_cnt[305][5]~q\ & \led_flash_cnt[305][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[305][5]~q\,
	datac => \led_flash_cnt[305][6]~q\,
	combout => \WideAnd305~1_combout\);

-- Location: LCCOMB_X14_Y37_N16
\WideAnd305~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd305~0_combout\ = (\led_flash_cnt[305][4]~q\ & (\led_flash_cnt[305][2]~q\ & (\led_flash_cnt[305][3]~q\ & \led_flash_cnt[305][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[305][4]~q\,
	datab => \led_flash_cnt[305][2]~q\,
	datac => \led_flash_cnt[305][3]~q\,
	datad => \led_flash_cnt[305][1]~q\,
	combout => \WideAnd305~0_combout\);

-- Location: LCCOMB_X14_Y37_N12
\led_flash_cnt[305][7]~31162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[305][7]~31162_combout\ = \led_flash_cnt[305][6]~31161\ $ (!\led_flash_cnt[305][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[305][7]~q\,
	cin => \led_flash_cnt[305][6]~31161\,
	combout => \led_flash_cnt[305][7]~31162_combout\);

-- Location: FF_X14_Y37_N13
\led_flash_cnt[305][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[305][7]~31162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[305][7]~q\);

-- Location: LCCOMB_X13_Y37_N28
WideAnd305 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd305~combout\ = (\WideAnd305~1_combout\ & (\WideAnd305~0_combout\ & (\led_flash_cnt[305][7]~q\ & \led_flash_cnt[305][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd305~1_combout\,
	datab => \WideAnd305~0_combout\,
	datac => \led_flash_cnt[305][7]~q\,
	datad => \led_flash_cnt[305][0]~q\,
	combout => \WideAnd305~combout\);

-- Location: FF_X13_Y37_N29
\led_flash_cnt_ands[305]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd305~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(305));

-- Location: LCCOMB_X54_Y51_N14
\led_flash_cnt[304][0]~80944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[304][0]~80944_combout\ = !\led_flash_cnt[304][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[304][0]~q\,
	combout => \led_flash_cnt[304][0]~80944_combout\);

-- Location: FF_X54_Y51_N15
\led_flash_cnt[304][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[304][0]~80944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[304][0]~q\);

-- Location: LCCOMB_X55_Y51_N0
\led_flash_cnt[304][1]~31136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[304][1]~31136_combout\ = (\led_flash_cnt[304][0]~q\ & (\led_flash_cnt[304][1]~q\ $ (VCC))) # (!\led_flash_cnt[304][0]~q\ & (\led_flash_cnt[304][1]~q\ & VCC))
-- \led_flash_cnt[304][1]~31137\ = CARRY((\led_flash_cnt[304][0]~q\ & \led_flash_cnt[304][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[304][0]~q\,
	datab => \led_flash_cnt[304][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[304][1]~31136_combout\,
	cout => \led_flash_cnt[304][1]~31137\);

-- Location: FF_X55_Y51_N1
\led_flash_cnt[304][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[304][1]~31136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[304][1]~q\);

-- Location: LCCOMB_X55_Y51_N2
\led_flash_cnt[304][2]~31138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[304][2]~31138_combout\ = (\led_flash_cnt[304][2]~q\ & (!\led_flash_cnt[304][1]~31137\)) # (!\led_flash_cnt[304][2]~q\ & ((\led_flash_cnt[304][1]~31137\) # (GND)))
-- \led_flash_cnt[304][2]~31139\ = CARRY((!\led_flash_cnt[304][1]~31137\) # (!\led_flash_cnt[304][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[304][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[304][1]~31137\,
	combout => \led_flash_cnt[304][2]~31138_combout\,
	cout => \led_flash_cnt[304][2]~31139\);

-- Location: FF_X55_Y51_N3
\led_flash_cnt[304][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[304][2]~31138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[304][2]~q\);

-- Location: LCCOMB_X55_Y51_N4
\led_flash_cnt[304][3]~31140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[304][3]~31140_combout\ = (\led_flash_cnt[304][3]~q\ & (\led_flash_cnt[304][2]~31139\ $ (GND))) # (!\led_flash_cnt[304][3]~q\ & (!\led_flash_cnt[304][2]~31139\ & VCC))
-- \led_flash_cnt[304][3]~31141\ = CARRY((\led_flash_cnt[304][3]~q\ & !\led_flash_cnt[304][2]~31139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[304][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[304][2]~31139\,
	combout => \led_flash_cnt[304][3]~31140_combout\,
	cout => \led_flash_cnt[304][3]~31141\);

-- Location: FF_X55_Y51_N5
\led_flash_cnt[304][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[304][3]~31140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[304][3]~q\);

-- Location: LCCOMB_X55_Y51_N6
\led_flash_cnt[304][4]~31142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[304][4]~31142_combout\ = (\led_flash_cnt[304][4]~q\ & (!\led_flash_cnt[304][3]~31141\)) # (!\led_flash_cnt[304][4]~q\ & ((\led_flash_cnt[304][3]~31141\) # (GND)))
-- \led_flash_cnt[304][4]~31143\ = CARRY((!\led_flash_cnt[304][3]~31141\) # (!\led_flash_cnt[304][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[304][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[304][3]~31141\,
	combout => \led_flash_cnt[304][4]~31142_combout\,
	cout => \led_flash_cnt[304][4]~31143\);

-- Location: FF_X55_Y51_N7
\led_flash_cnt[304][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[304][4]~31142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[304][4]~q\);

-- Location: LCCOMB_X55_Y51_N8
\led_flash_cnt[304][5]~31144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[304][5]~31144_combout\ = (\led_flash_cnt[304][5]~q\ & (\led_flash_cnt[304][4]~31143\ $ (GND))) # (!\led_flash_cnt[304][5]~q\ & (!\led_flash_cnt[304][4]~31143\ & VCC))
-- \led_flash_cnt[304][5]~31145\ = CARRY((\led_flash_cnt[304][5]~q\ & !\led_flash_cnt[304][4]~31143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[304][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[304][4]~31143\,
	combout => \led_flash_cnt[304][5]~31144_combout\,
	cout => \led_flash_cnt[304][5]~31145\);

-- Location: FF_X55_Y51_N9
\led_flash_cnt[304][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[304][5]~31144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[304][5]~q\);

-- Location: LCCOMB_X55_Y51_N10
\led_flash_cnt[304][6]~31146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[304][6]~31146_combout\ = (\led_flash_cnt[304][6]~q\ & (!\led_flash_cnt[304][5]~31145\)) # (!\led_flash_cnt[304][6]~q\ & ((\led_flash_cnt[304][5]~31145\) # (GND)))
-- \led_flash_cnt[304][6]~31147\ = CARRY((!\led_flash_cnt[304][5]~31145\) # (!\led_flash_cnt[304][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[304][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[304][5]~31145\,
	combout => \led_flash_cnt[304][6]~31146_combout\,
	cout => \led_flash_cnt[304][6]~31147\);

-- Location: FF_X55_Y51_N11
\led_flash_cnt[304][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[304][6]~31146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[304][6]~q\);

-- Location: LCCOMB_X54_Y51_N6
\WideAnd304~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd304~1_combout\ = (\led_flash_cnt[304][6]~q\ & \led_flash_cnt[304][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[304][6]~q\,
	datac => \led_flash_cnt[304][5]~q\,
	combout => \WideAnd304~1_combout\);

-- Location: LCCOMB_X55_Y51_N12
\led_flash_cnt[304][7]~31148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[304][7]~31148_combout\ = \led_flash_cnt[304][6]~31147\ $ (!\led_flash_cnt[304][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[304][7]~q\,
	cin => \led_flash_cnt[304][6]~31147\,
	combout => \led_flash_cnt[304][7]~31148_combout\);

-- Location: FF_X55_Y51_N13
\led_flash_cnt[304][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[304][7]~31148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[304][7]~q\);

-- Location: LCCOMB_X55_Y51_N28
\WideAnd304~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd304~0_combout\ = (\led_flash_cnt[304][4]~q\ & (\led_flash_cnt[304][1]~q\ & (\led_flash_cnt[304][3]~q\ & \led_flash_cnt[304][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[304][4]~q\,
	datab => \led_flash_cnt[304][1]~q\,
	datac => \led_flash_cnt[304][3]~q\,
	datad => \led_flash_cnt[304][2]~q\,
	combout => \WideAnd304~0_combout\);

-- Location: LCCOMB_X54_Y51_N4
WideAnd304 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd304~combout\ = (\WideAnd304~1_combout\ & (\led_flash_cnt[304][0]~q\ & (\led_flash_cnt[304][7]~q\ & \WideAnd304~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd304~1_combout\,
	datab => \led_flash_cnt[304][0]~q\,
	datac => \led_flash_cnt[304][7]~q\,
	datad => \WideAnd304~0_combout\,
	combout => \WideAnd304~combout\);

-- Location: FF_X54_Y51_N5
\led_flash_cnt_ands[304]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd304~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(304));

-- Location: LCCOMB_X13_Y37_N4
\led_flash_cnt[307][0]~80947\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[307][0]~80947_combout\ = !\led_flash_cnt[307][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[307][0]~q\,
	combout => \led_flash_cnt[307][0]~80947_combout\);

-- Location: FF_X13_Y37_N5
\led_flash_cnt[307][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[307][0]~80947_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[307][0]~q\);

-- Location: LCCOMB_X13_Y37_N10
\led_flash_cnt[307][1]~31178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[307][1]~31178_combout\ = (\led_flash_cnt[307][1]~q\ & (\led_flash_cnt[307][0]~q\ $ (VCC))) # (!\led_flash_cnt[307][1]~q\ & (\led_flash_cnt[307][0]~q\ & VCC))
-- \led_flash_cnt[307][1]~31179\ = CARRY((\led_flash_cnt[307][1]~q\ & \led_flash_cnt[307][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[307][1]~q\,
	datab => \led_flash_cnt[307][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[307][1]~31178_combout\,
	cout => \led_flash_cnt[307][1]~31179\);

-- Location: FF_X13_Y37_N11
\led_flash_cnt[307][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[307][1]~31178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[307][1]~q\);

-- Location: LCCOMB_X13_Y37_N12
\led_flash_cnt[307][2]~31180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[307][2]~31180_combout\ = (\led_flash_cnt[307][2]~q\ & (!\led_flash_cnt[307][1]~31179\)) # (!\led_flash_cnt[307][2]~q\ & ((\led_flash_cnt[307][1]~31179\) # (GND)))
-- \led_flash_cnt[307][2]~31181\ = CARRY((!\led_flash_cnt[307][1]~31179\) # (!\led_flash_cnt[307][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[307][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[307][1]~31179\,
	combout => \led_flash_cnt[307][2]~31180_combout\,
	cout => \led_flash_cnt[307][2]~31181\);

-- Location: FF_X13_Y37_N13
\led_flash_cnt[307][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[307][2]~31180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[307][2]~q\);

-- Location: LCCOMB_X13_Y37_N14
\led_flash_cnt[307][3]~31182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[307][3]~31182_combout\ = (\led_flash_cnt[307][3]~q\ & (\led_flash_cnt[307][2]~31181\ $ (GND))) # (!\led_flash_cnt[307][3]~q\ & (!\led_flash_cnt[307][2]~31181\ & VCC))
-- \led_flash_cnt[307][3]~31183\ = CARRY((\led_flash_cnt[307][3]~q\ & !\led_flash_cnt[307][2]~31181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[307][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[307][2]~31181\,
	combout => \led_flash_cnt[307][3]~31182_combout\,
	cout => \led_flash_cnt[307][3]~31183\);

-- Location: FF_X13_Y37_N15
\led_flash_cnt[307][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[307][3]~31182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[307][3]~q\);

-- Location: LCCOMB_X13_Y37_N16
\led_flash_cnt[307][4]~31184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[307][4]~31184_combout\ = (\led_flash_cnt[307][4]~q\ & (!\led_flash_cnt[307][3]~31183\)) # (!\led_flash_cnt[307][4]~q\ & ((\led_flash_cnt[307][3]~31183\) # (GND)))
-- \led_flash_cnt[307][4]~31185\ = CARRY((!\led_flash_cnt[307][3]~31183\) # (!\led_flash_cnt[307][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[307][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[307][3]~31183\,
	combout => \led_flash_cnt[307][4]~31184_combout\,
	cout => \led_flash_cnt[307][4]~31185\);

-- Location: FF_X13_Y37_N17
\led_flash_cnt[307][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[307][4]~31184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[307][4]~q\);

-- Location: LCCOMB_X13_Y37_N18
\led_flash_cnt[307][5]~31186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[307][5]~31186_combout\ = (\led_flash_cnt[307][5]~q\ & (\led_flash_cnt[307][4]~31185\ $ (GND))) # (!\led_flash_cnt[307][5]~q\ & (!\led_flash_cnt[307][4]~31185\ & VCC))
-- \led_flash_cnt[307][5]~31187\ = CARRY((\led_flash_cnt[307][5]~q\ & !\led_flash_cnt[307][4]~31185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[307][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[307][4]~31185\,
	combout => \led_flash_cnt[307][5]~31186_combout\,
	cout => \led_flash_cnt[307][5]~31187\);

-- Location: FF_X13_Y37_N19
\led_flash_cnt[307][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[307][5]~31186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[307][5]~q\);

-- Location: LCCOMB_X13_Y37_N20
\led_flash_cnt[307][6]~31188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[307][6]~31188_combout\ = (\led_flash_cnt[307][6]~q\ & (!\led_flash_cnt[307][5]~31187\)) # (!\led_flash_cnt[307][6]~q\ & ((\led_flash_cnt[307][5]~31187\) # (GND)))
-- \led_flash_cnt[307][6]~31189\ = CARRY((!\led_flash_cnt[307][5]~31187\) # (!\led_flash_cnt[307][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[307][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[307][5]~31187\,
	combout => \led_flash_cnt[307][6]~31188_combout\,
	cout => \led_flash_cnt[307][6]~31189\);

-- Location: FF_X13_Y37_N21
\led_flash_cnt[307][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[307][6]~31188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[307][6]~q\);

-- Location: LCCOMB_X13_Y37_N30
\WideAnd307~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd307~1_combout\ = (\led_flash_cnt[307][6]~q\ & \led_flash_cnt[307][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[307][6]~q\,
	datac => \led_flash_cnt[307][5]~q\,
	combout => \WideAnd307~1_combout\);

-- Location: LCCOMB_X13_Y37_N22
\led_flash_cnt[307][7]~31190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[307][7]~31190_combout\ = \led_flash_cnt[307][7]~q\ $ (!\led_flash_cnt[307][6]~31189\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[307][7]~q\,
	cin => \led_flash_cnt[307][6]~31189\,
	combout => \led_flash_cnt[307][7]~31190_combout\);

-- Location: FF_X13_Y37_N23
\led_flash_cnt[307][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[307][7]~31190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[307][7]~q\);

-- Location: LCCOMB_X13_Y37_N24
\WideAnd307~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd307~0_combout\ = (\led_flash_cnt[307][1]~q\ & (\led_flash_cnt[307][4]~q\ & (\led_flash_cnt[307][3]~q\ & \led_flash_cnt[307][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[307][1]~q\,
	datab => \led_flash_cnt[307][4]~q\,
	datac => \led_flash_cnt[307][3]~q\,
	datad => \led_flash_cnt[307][2]~q\,
	combout => \WideAnd307~0_combout\);

-- Location: LCCOMB_X13_Y37_N2
WideAnd307 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd307~combout\ = (\WideAnd307~1_combout\ & (\led_flash_cnt[307][0]~q\ & (\led_flash_cnt[307][7]~q\ & \WideAnd307~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd307~1_combout\,
	datab => \led_flash_cnt[307][0]~q\,
	datac => \led_flash_cnt[307][7]~q\,
	datad => \WideAnd307~0_combout\,
	combout => \WideAnd307~combout\);

-- Location: FF_X13_Y37_N3
\led_flash_cnt_ands[307]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd307~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(307));

-- Location: LCCOMB_X13_Y37_N8
\WideAnd3878~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3878~0_combout\ = (led_flash_cnt_ands(306) & (led_flash_cnt_ands(305) & (led_flash_cnt_ands(304) & led_flash_cnt_ands(307))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(306),
	datab => led_flash_cnt_ands(305),
	datac => led_flash_cnt_ands(304),
	datad => led_flash_cnt_ands(307),
	combout => \WideAnd3878~0_combout\);

-- Location: LCCOMB_X55_Y50_N2
\led_flash_cnt[311][0]~80951\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[311][0]~80951_combout\ = !\led_flash_cnt[311][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[311][0]~q\,
	combout => \led_flash_cnt[311][0]~80951_combout\);

-- Location: FF_X55_Y50_N3
\led_flash_cnt[311][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[311][0]~80951_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[311][0]~q\);

-- Location: LCCOMB_X54_Y50_N18
\led_flash_cnt[311][1]~31234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[311][1]~31234_combout\ = (\led_flash_cnt[311][0]~q\ & (\led_flash_cnt[311][1]~q\ $ (VCC))) # (!\led_flash_cnt[311][0]~q\ & (\led_flash_cnt[311][1]~q\ & VCC))
-- \led_flash_cnt[311][1]~31235\ = CARRY((\led_flash_cnt[311][0]~q\ & \led_flash_cnt[311][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[311][0]~q\,
	datab => \led_flash_cnt[311][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[311][1]~31234_combout\,
	cout => \led_flash_cnt[311][1]~31235\);

-- Location: FF_X54_Y50_N19
\led_flash_cnt[311][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[311][1]~31234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[311][1]~q\);

-- Location: LCCOMB_X54_Y50_N20
\led_flash_cnt[311][2]~31236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[311][2]~31236_combout\ = (\led_flash_cnt[311][2]~q\ & (!\led_flash_cnt[311][1]~31235\)) # (!\led_flash_cnt[311][2]~q\ & ((\led_flash_cnt[311][1]~31235\) # (GND)))
-- \led_flash_cnt[311][2]~31237\ = CARRY((!\led_flash_cnt[311][1]~31235\) # (!\led_flash_cnt[311][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[311][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[311][1]~31235\,
	combout => \led_flash_cnt[311][2]~31236_combout\,
	cout => \led_flash_cnt[311][2]~31237\);

-- Location: FF_X54_Y50_N21
\led_flash_cnt[311][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[311][2]~31236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[311][2]~q\);

-- Location: LCCOMB_X54_Y50_N22
\led_flash_cnt[311][3]~31238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[311][3]~31238_combout\ = (\led_flash_cnt[311][3]~q\ & (\led_flash_cnt[311][2]~31237\ $ (GND))) # (!\led_flash_cnt[311][3]~q\ & (!\led_flash_cnt[311][2]~31237\ & VCC))
-- \led_flash_cnt[311][3]~31239\ = CARRY((\led_flash_cnt[311][3]~q\ & !\led_flash_cnt[311][2]~31237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[311][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[311][2]~31237\,
	combout => \led_flash_cnt[311][3]~31238_combout\,
	cout => \led_flash_cnt[311][3]~31239\);

-- Location: FF_X54_Y50_N23
\led_flash_cnt[311][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[311][3]~31238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[311][3]~q\);

-- Location: LCCOMB_X54_Y50_N24
\led_flash_cnt[311][4]~31240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[311][4]~31240_combout\ = (\led_flash_cnt[311][4]~q\ & (!\led_flash_cnt[311][3]~31239\)) # (!\led_flash_cnt[311][4]~q\ & ((\led_flash_cnt[311][3]~31239\) # (GND)))
-- \led_flash_cnt[311][4]~31241\ = CARRY((!\led_flash_cnt[311][3]~31239\) # (!\led_flash_cnt[311][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[311][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[311][3]~31239\,
	combout => \led_flash_cnt[311][4]~31240_combout\,
	cout => \led_flash_cnt[311][4]~31241\);

-- Location: FF_X54_Y50_N25
\led_flash_cnt[311][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[311][4]~31240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[311][4]~q\);

-- Location: LCCOMB_X54_Y50_N26
\led_flash_cnt[311][5]~31242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[311][5]~31242_combout\ = (\led_flash_cnt[311][5]~q\ & (\led_flash_cnt[311][4]~31241\ $ (GND))) # (!\led_flash_cnt[311][5]~q\ & (!\led_flash_cnt[311][4]~31241\ & VCC))
-- \led_flash_cnt[311][5]~31243\ = CARRY((\led_flash_cnt[311][5]~q\ & !\led_flash_cnt[311][4]~31241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[311][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[311][4]~31241\,
	combout => \led_flash_cnt[311][5]~31242_combout\,
	cout => \led_flash_cnt[311][5]~31243\);

-- Location: FF_X54_Y50_N27
\led_flash_cnt[311][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[311][5]~31242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[311][5]~q\);

-- Location: LCCOMB_X54_Y50_N28
\led_flash_cnt[311][6]~31244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[311][6]~31244_combout\ = (\led_flash_cnt[311][6]~q\ & (!\led_flash_cnt[311][5]~31243\)) # (!\led_flash_cnt[311][6]~q\ & ((\led_flash_cnt[311][5]~31243\) # (GND)))
-- \led_flash_cnt[311][6]~31245\ = CARRY((!\led_flash_cnt[311][5]~31243\) # (!\led_flash_cnt[311][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[311][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[311][5]~31243\,
	combout => \led_flash_cnt[311][6]~31244_combout\,
	cout => \led_flash_cnt[311][6]~31245\);

-- Location: FF_X54_Y50_N29
\led_flash_cnt[311][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[311][6]~31244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[311][6]~q\);

-- Location: LCCOMB_X55_Y50_N10
\WideAnd311~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd311~1_combout\ = (\led_flash_cnt[311][5]~q\ & \led_flash_cnt[311][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[311][5]~q\,
	datad => \led_flash_cnt[311][6]~q\,
	combout => \WideAnd311~1_combout\);

-- Location: LCCOMB_X54_Y50_N30
\led_flash_cnt[311][7]~31246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[311][7]~31246_combout\ = \led_flash_cnt[311][7]~q\ $ (!\led_flash_cnt[311][6]~31245\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[311][7]~q\,
	cin => \led_flash_cnt[311][6]~31245\,
	combout => \led_flash_cnt[311][7]~31246_combout\);

-- Location: FF_X54_Y50_N31
\led_flash_cnt[311][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[311][7]~31246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[311][7]~q\);

-- Location: LCCOMB_X54_Y50_N16
\WideAnd311~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd311~0_combout\ = (\led_flash_cnt[311][1]~q\ & (\led_flash_cnt[311][2]~q\ & (\led_flash_cnt[311][3]~q\ & \led_flash_cnt[311][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[311][1]~q\,
	datab => \led_flash_cnt[311][2]~q\,
	datac => \led_flash_cnt[311][3]~q\,
	datad => \led_flash_cnt[311][4]~q\,
	combout => \WideAnd311~0_combout\);

-- Location: LCCOMB_X55_Y50_N8
WideAnd311 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd311~combout\ = (\WideAnd311~1_combout\ & (\led_flash_cnt[311][7]~q\ & (\WideAnd311~0_combout\ & \led_flash_cnt[311][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd311~1_combout\,
	datab => \led_flash_cnt[311][7]~q\,
	datac => \WideAnd311~0_combout\,
	datad => \led_flash_cnt[311][0]~q\,
	combout => \WideAnd311~combout\);

-- Location: FF_X55_Y50_N9
\led_flash_cnt_ands[311]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd311~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(311));

-- Location: LCCOMB_X55_Y46_N8
WideAnd3878 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3878~combout\ = (led_flash_cnt_ands(310) & (\WideAnd3878~1_combout\ & (\WideAnd3878~0_combout\ & led_flash_cnt_ands(311))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(310),
	datab => \WideAnd3878~1_combout\,
	datac => \WideAnd3878~0_combout\,
	datad => led_flash_cnt_ands(311),
	combout => \WideAnd3878~combout\);

-- Location: FF_X55_Y46_N9
\led_flash_cnt_ands_1[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3878~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(38));

-- Location: LCCOMB_X55_Y38_N12
WideAnd4324 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4324~combout\ = (led_flash_cnt_ands_1(39) & (\WideAnd4324~0_combout\ & (\WideAnd4324~1_combout\ & led_flash_cnt_ands_1(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(39),
	datab => \WideAnd4324~0_combout\,
	datac => \WideAnd4324~1_combout\,
	datad => led_flash_cnt_ands_1(38),
	combout => \WideAnd4324~combout\);

-- Location: FF_X55_Y38_N13
\led_flash_cnt_ands_2[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4324~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(4));

-- Location: LCCOMB_X56_Y38_N8
\WideAnd4380~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~1_combout\ = (led_flash_cnt_ands_2(7) & (led_flash_cnt_ands_2(6) & (led_flash_cnt_ands_2(5) & led_flash_cnt_ands_2(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(7),
	datab => led_flash_cnt_ands_2(6),
	datac => led_flash_cnt_ands_2(5),
	datad => led_flash_cnt_ands_2(4),
	combout => \WideAnd4380~1_combout\);

-- Location: LCCOMB_X13_Y18_N4
\led_flash_cnt[126][0]~80766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[126][0]~80766_combout\ = !\led_flash_cnt[126][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[126][0]~q\,
	combout => \led_flash_cnt[126][0]~80766_combout\);

-- Location: FF_X13_Y18_N5
\led_flash_cnt[126][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[126][0]~80766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[126][0]~q\);

-- Location: LCCOMB_X13_Y18_N18
\led_flash_cnt[126][1]~28644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[126][1]~28644_combout\ = (\led_flash_cnt[126][1]~q\ & (\led_flash_cnt[126][0]~q\ $ (VCC))) # (!\led_flash_cnt[126][1]~q\ & (\led_flash_cnt[126][0]~q\ & VCC))
-- \led_flash_cnt[126][1]~28645\ = CARRY((\led_flash_cnt[126][1]~q\ & \led_flash_cnt[126][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[126][1]~q\,
	datab => \led_flash_cnt[126][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[126][1]~28644_combout\,
	cout => \led_flash_cnt[126][1]~28645\);

-- Location: FF_X13_Y18_N19
\led_flash_cnt[126][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[126][1]~28644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[126][1]~q\);

-- Location: LCCOMB_X13_Y18_N20
\led_flash_cnt[126][2]~28646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[126][2]~28646_combout\ = (\led_flash_cnt[126][2]~q\ & (!\led_flash_cnt[126][1]~28645\)) # (!\led_flash_cnt[126][2]~q\ & ((\led_flash_cnt[126][1]~28645\) # (GND)))
-- \led_flash_cnt[126][2]~28647\ = CARRY((!\led_flash_cnt[126][1]~28645\) # (!\led_flash_cnt[126][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[126][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[126][1]~28645\,
	combout => \led_flash_cnt[126][2]~28646_combout\,
	cout => \led_flash_cnt[126][2]~28647\);

-- Location: FF_X13_Y18_N21
\led_flash_cnt[126][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[126][2]~28646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[126][2]~q\);

-- Location: LCCOMB_X13_Y18_N22
\led_flash_cnt[126][3]~28648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[126][3]~28648_combout\ = (\led_flash_cnt[126][3]~q\ & (\led_flash_cnt[126][2]~28647\ $ (GND))) # (!\led_flash_cnt[126][3]~q\ & (!\led_flash_cnt[126][2]~28647\ & VCC))
-- \led_flash_cnt[126][3]~28649\ = CARRY((\led_flash_cnt[126][3]~q\ & !\led_flash_cnt[126][2]~28647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[126][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[126][2]~28647\,
	combout => \led_flash_cnt[126][3]~28648_combout\,
	cout => \led_flash_cnt[126][3]~28649\);

-- Location: FF_X13_Y18_N23
\led_flash_cnt[126][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[126][3]~28648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[126][3]~q\);

-- Location: LCCOMB_X13_Y18_N24
\led_flash_cnt[126][4]~28650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[126][4]~28650_combout\ = (\led_flash_cnt[126][4]~q\ & (!\led_flash_cnt[126][3]~28649\)) # (!\led_flash_cnt[126][4]~q\ & ((\led_flash_cnt[126][3]~28649\) # (GND)))
-- \led_flash_cnt[126][4]~28651\ = CARRY((!\led_flash_cnt[126][3]~28649\) # (!\led_flash_cnt[126][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[126][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[126][3]~28649\,
	combout => \led_flash_cnt[126][4]~28650_combout\,
	cout => \led_flash_cnt[126][4]~28651\);

-- Location: FF_X13_Y18_N25
\led_flash_cnt[126][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[126][4]~28650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[126][4]~q\);

-- Location: LCCOMB_X13_Y18_N26
\led_flash_cnt[126][5]~28652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[126][5]~28652_combout\ = (\led_flash_cnt[126][5]~q\ & (\led_flash_cnt[126][4]~28651\ $ (GND))) # (!\led_flash_cnt[126][5]~q\ & (!\led_flash_cnt[126][4]~28651\ & VCC))
-- \led_flash_cnt[126][5]~28653\ = CARRY((\led_flash_cnt[126][5]~q\ & !\led_flash_cnt[126][4]~28651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[126][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[126][4]~28651\,
	combout => \led_flash_cnt[126][5]~28652_combout\,
	cout => \led_flash_cnt[126][5]~28653\);

-- Location: FF_X13_Y18_N27
\led_flash_cnt[126][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[126][5]~28652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[126][5]~q\);

-- Location: LCCOMB_X13_Y18_N28
\led_flash_cnt[126][6]~28654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[126][6]~28654_combout\ = (\led_flash_cnt[126][6]~q\ & (!\led_flash_cnt[126][5]~28653\)) # (!\led_flash_cnt[126][6]~q\ & ((\led_flash_cnt[126][5]~28653\) # (GND)))
-- \led_flash_cnt[126][6]~28655\ = CARRY((!\led_flash_cnt[126][5]~28653\) # (!\led_flash_cnt[126][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[126][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[126][5]~28653\,
	combout => \led_flash_cnt[126][6]~28654_combout\,
	cout => \led_flash_cnt[126][6]~28655\);

-- Location: FF_X13_Y18_N29
\led_flash_cnt[126][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[126][6]~28654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[126][6]~q\);

-- Location: LCCOMB_X13_Y18_N30
\led_flash_cnt[126][7]~28656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[126][7]~28656_combout\ = \led_flash_cnt[126][7]~q\ $ (!\led_flash_cnt[126][6]~28655\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[126][7]~q\,
	cin => \led_flash_cnt[126][6]~28655\,
	combout => \led_flash_cnt[126][7]~28656_combout\);

-- Location: FF_X13_Y18_N31
\led_flash_cnt[126][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[126][7]~28656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[126][7]~q\);

-- Location: LCCOMB_X13_Y18_N8
\WideAnd126~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd126~1_combout\ = (\led_flash_cnt[126][5]~q\ & \led_flash_cnt[126][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[126][5]~q\,
	datad => \led_flash_cnt[126][6]~q\,
	combout => \WideAnd126~1_combout\);

-- Location: LCCOMB_X13_Y18_N12
\WideAnd126~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd126~0_combout\ = (\led_flash_cnt[126][1]~q\ & (\led_flash_cnt[126][2]~q\ & (\led_flash_cnt[126][3]~q\ & \led_flash_cnt[126][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[126][1]~q\,
	datab => \led_flash_cnt[126][2]~q\,
	datac => \led_flash_cnt[126][3]~q\,
	datad => \led_flash_cnt[126][4]~q\,
	combout => \WideAnd126~0_combout\);

-- Location: LCCOMB_X13_Y18_N6
WideAnd126 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd126~combout\ = (\led_flash_cnt[126][7]~q\ & (\WideAnd126~1_combout\ & (\led_flash_cnt[126][0]~q\ & \WideAnd126~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[126][7]~q\,
	datab => \WideAnd126~1_combout\,
	datac => \led_flash_cnt[126][0]~q\,
	datad => \WideAnd126~0_combout\,
	combout => \WideAnd126~combout\);

-- Location: FF_X13_Y18_N7
\led_flash_cnt_ands[126]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd126~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(126));

-- Location: LCCOMB_X13_Y18_N2
\led_flash_cnt[127][0]~80767\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[127][0]~80767_combout\ = !\led_flash_cnt[127][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[127][0]~q\,
	combout => \led_flash_cnt[127][0]~80767_combout\);

-- Location: FF_X13_Y18_N3
\led_flash_cnt[127][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[127][0]~80767_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[127][0]~q\);

-- Location: LCCOMB_X12_Y18_N0
\led_flash_cnt[127][1]~28658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[127][1]~28658_combout\ = (\led_flash_cnt[127][0]~q\ & (\led_flash_cnt[127][1]~q\ $ (VCC))) # (!\led_flash_cnt[127][0]~q\ & (\led_flash_cnt[127][1]~q\ & VCC))
-- \led_flash_cnt[127][1]~28659\ = CARRY((\led_flash_cnt[127][0]~q\ & \led_flash_cnt[127][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[127][0]~q\,
	datab => \led_flash_cnt[127][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[127][1]~28658_combout\,
	cout => \led_flash_cnt[127][1]~28659\);

-- Location: FF_X12_Y18_N1
\led_flash_cnt[127][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[127][1]~28658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[127][1]~q\);

-- Location: LCCOMB_X12_Y18_N2
\led_flash_cnt[127][2]~28660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[127][2]~28660_combout\ = (\led_flash_cnt[127][2]~q\ & (!\led_flash_cnt[127][1]~28659\)) # (!\led_flash_cnt[127][2]~q\ & ((\led_flash_cnt[127][1]~28659\) # (GND)))
-- \led_flash_cnt[127][2]~28661\ = CARRY((!\led_flash_cnt[127][1]~28659\) # (!\led_flash_cnt[127][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[127][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[127][1]~28659\,
	combout => \led_flash_cnt[127][2]~28660_combout\,
	cout => \led_flash_cnt[127][2]~28661\);

-- Location: FF_X12_Y18_N3
\led_flash_cnt[127][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[127][2]~28660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[127][2]~q\);

-- Location: LCCOMB_X12_Y18_N4
\led_flash_cnt[127][3]~28662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[127][3]~28662_combout\ = (\led_flash_cnt[127][3]~q\ & (\led_flash_cnt[127][2]~28661\ $ (GND))) # (!\led_flash_cnt[127][3]~q\ & (!\led_flash_cnt[127][2]~28661\ & VCC))
-- \led_flash_cnt[127][3]~28663\ = CARRY((\led_flash_cnt[127][3]~q\ & !\led_flash_cnt[127][2]~28661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[127][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[127][2]~28661\,
	combout => \led_flash_cnt[127][3]~28662_combout\,
	cout => \led_flash_cnt[127][3]~28663\);

-- Location: FF_X12_Y18_N5
\led_flash_cnt[127][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[127][3]~28662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[127][3]~q\);

-- Location: LCCOMB_X12_Y18_N6
\led_flash_cnt[127][4]~28664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[127][4]~28664_combout\ = (\led_flash_cnt[127][4]~q\ & (!\led_flash_cnt[127][3]~28663\)) # (!\led_flash_cnt[127][4]~q\ & ((\led_flash_cnt[127][3]~28663\) # (GND)))
-- \led_flash_cnt[127][4]~28665\ = CARRY((!\led_flash_cnt[127][3]~28663\) # (!\led_flash_cnt[127][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[127][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[127][3]~28663\,
	combout => \led_flash_cnt[127][4]~28664_combout\,
	cout => \led_flash_cnt[127][4]~28665\);

-- Location: FF_X12_Y18_N7
\led_flash_cnt[127][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[127][4]~28664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[127][4]~q\);

-- Location: LCCOMB_X12_Y18_N8
\led_flash_cnt[127][5]~28666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[127][5]~28666_combout\ = (\led_flash_cnt[127][5]~q\ & (\led_flash_cnt[127][4]~28665\ $ (GND))) # (!\led_flash_cnt[127][5]~q\ & (!\led_flash_cnt[127][4]~28665\ & VCC))
-- \led_flash_cnt[127][5]~28667\ = CARRY((\led_flash_cnt[127][5]~q\ & !\led_flash_cnt[127][4]~28665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[127][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[127][4]~28665\,
	combout => \led_flash_cnt[127][5]~28666_combout\,
	cout => \led_flash_cnt[127][5]~28667\);

-- Location: FF_X12_Y18_N9
\led_flash_cnt[127][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[127][5]~28666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[127][5]~q\);

-- Location: LCCOMB_X12_Y18_N10
\led_flash_cnt[127][6]~28668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[127][6]~28668_combout\ = (\led_flash_cnt[127][6]~q\ & (!\led_flash_cnt[127][5]~28667\)) # (!\led_flash_cnt[127][6]~q\ & ((\led_flash_cnt[127][5]~28667\) # (GND)))
-- \led_flash_cnt[127][6]~28669\ = CARRY((!\led_flash_cnt[127][5]~28667\) # (!\led_flash_cnt[127][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[127][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[127][5]~28667\,
	combout => \led_flash_cnt[127][6]~28668_combout\,
	cout => \led_flash_cnt[127][6]~28669\);

-- Location: FF_X12_Y18_N11
\led_flash_cnt[127][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[127][6]~28668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[127][6]~q\);

-- Location: LCCOMB_X12_Y18_N12
\led_flash_cnt[127][7]~28670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[127][7]~28670_combout\ = \led_flash_cnt[127][6]~28669\ $ (!\led_flash_cnt[127][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[127][7]~q\,
	cin => \led_flash_cnt[127][6]~28669\,
	combout => \led_flash_cnt[127][7]~28670_combout\);

-- Location: FF_X12_Y18_N13
\led_flash_cnt[127][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[127][7]~28670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[127][7]~q\);

-- Location: LCCOMB_X13_Y18_N14
\WideAnd127~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd127~1_combout\ = (\led_flash_cnt[127][5]~q\ & \led_flash_cnt[127][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[127][5]~q\,
	datad => \led_flash_cnt[127][6]~q\,
	combout => \WideAnd127~1_combout\);

-- Location: LCCOMB_X12_Y18_N30
\WideAnd127~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd127~0_combout\ = (\led_flash_cnt[127][4]~q\ & (\led_flash_cnt[127][1]~q\ & (\led_flash_cnt[127][3]~q\ & \led_flash_cnt[127][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[127][4]~q\,
	datab => \led_flash_cnt[127][1]~q\,
	datac => \led_flash_cnt[127][3]~q\,
	datad => \led_flash_cnt[127][2]~q\,
	combout => \WideAnd127~0_combout\);

-- Location: LCCOMB_X13_Y18_N16
WideAnd127 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd127~combout\ = (\led_flash_cnt[127][7]~q\ & (\WideAnd127~1_combout\ & (\led_flash_cnt[127][0]~q\ & \WideAnd127~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[127][7]~q\,
	datab => \WideAnd127~1_combout\,
	datac => \led_flash_cnt[127][0]~q\,
	datad => \WideAnd127~0_combout\,
	combout => \WideAnd127~combout\);

-- Location: FF_X13_Y18_N17
\led_flash_cnt_ands[127]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd127~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(127));

-- Location: LCCOMB_X67_Y18_N28
\led_flash_cnt[125][0]~80765\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[125][0]~80765_combout\ = !\led_flash_cnt[125][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[125][0]~q\,
	combout => \led_flash_cnt[125][0]~80765_combout\);

-- Location: FF_X67_Y18_N29
\led_flash_cnt[125][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[125][0]~80765_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[125][0]~q\);

-- Location: LCCOMB_X66_Y18_N0
\led_flash_cnt[125][1]~28630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[125][1]~28630_combout\ = (\led_flash_cnt[125][0]~q\ & (\led_flash_cnt[125][1]~q\ $ (VCC))) # (!\led_flash_cnt[125][0]~q\ & (\led_flash_cnt[125][1]~q\ & VCC))
-- \led_flash_cnt[125][1]~28631\ = CARRY((\led_flash_cnt[125][0]~q\ & \led_flash_cnt[125][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[125][0]~q\,
	datab => \led_flash_cnt[125][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[125][1]~28630_combout\,
	cout => \led_flash_cnt[125][1]~28631\);

-- Location: FF_X66_Y18_N1
\led_flash_cnt[125][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[125][1]~28630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[125][1]~q\);

-- Location: LCCOMB_X66_Y18_N2
\led_flash_cnt[125][2]~28632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[125][2]~28632_combout\ = (\led_flash_cnt[125][2]~q\ & (!\led_flash_cnt[125][1]~28631\)) # (!\led_flash_cnt[125][2]~q\ & ((\led_flash_cnt[125][1]~28631\) # (GND)))
-- \led_flash_cnt[125][2]~28633\ = CARRY((!\led_flash_cnt[125][1]~28631\) # (!\led_flash_cnt[125][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[125][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[125][1]~28631\,
	combout => \led_flash_cnt[125][2]~28632_combout\,
	cout => \led_flash_cnt[125][2]~28633\);

-- Location: FF_X66_Y18_N3
\led_flash_cnt[125][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[125][2]~28632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[125][2]~q\);

-- Location: LCCOMB_X66_Y18_N4
\led_flash_cnt[125][3]~28634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[125][3]~28634_combout\ = (\led_flash_cnt[125][3]~q\ & (\led_flash_cnt[125][2]~28633\ $ (GND))) # (!\led_flash_cnt[125][3]~q\ & (!\led_flash_cnt[125][2]~28633\ & VCC))
-- \led_flash_cnt[125][3]~28635\ = CARRY((\led_flash_cnt[125][3]~q\ & !\led_flash_cnt[125][2]~28633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[125][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[125][2]~28633\,
	combout => \led_flash_cnt[125][3]~28634_combout\,
	cout => \led_flash_cnt[125][3]~28635\);

-- Location: FF_X66_Y18_N5
\led_flash_cnt[125][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[125][3]~28634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[125][3]~q\);

-- Location: LCCOMB_X66_Y18_N6
\led_flash_cnt[125][4]~28636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[125][4]~28636_combout\ = (\led_flash_cnt[125][4]~q\ & (!\led_flash_cnt[125][3]~28635\)) # (!\led_flash_cnt[125][4]~q\ & ((\led_flash_cnt[125][3]~28635\) # (GND)))
-- \led_flash_cnt[125][4]~28637\ = CARRY((!\led_flash_cnt[125][3]~28635\) # (!\led_flash_cnt[125][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[125][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[125][3]~28635\,
	combout => \led_flash_cnt[125][4]~28636_combout\,
	cout => \led_flash_cnt[125][4]~28637\);

-- Location: FF_X66_Y18_N7
\led_flash_cnt[125][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[125][4]~28636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[125][4]~q\);

-- Location: LCCOMB_X66_Y18_N8
\led_flash_cnt[125][5]~28638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[125][5]~28638_combout\ = (\led_flash_cnt[125][5]~q\ & (\led_flash_cnt[125][4]~28637\ $ (GND))) # (!\led_flash_cnt[125][5]~q\ & (!\led_flash_cnt[125][4]~28637\ & VCC))
-- \led_flash_cnt[125][5]~28639\ = CARRY((\led_flash_cnt[125][5]~q\ & !\led_flash_cnt[125][4]~28637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[125][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[125][4]~28637\,
	combout => \led_flash_cnt[125][5]~28638_combout\,
	cout => \led_flash_cnt[125][5]~28639\);

-- Location: FF_X66_Y18_N9
\led_flash_cnt[125][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[125][5]~28638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[125][5]~q\);

-- Location: LCCOMB_X66_Y18_N10
\led_flash_cnt[125][6]~28640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[125][6]~28640_combout\ = (\led_flash_cnt[125][6]~q\ & (!\led_flash_cnt[125][5]~28639\)) # (!\led_flash_cnt[125][6]~q\ & ((\led_flash_cnt[125][5]~28639\) # (GND)))
-- \led_flash_cnt[125][6]~28641\ = CARRY((!\led_flash_cnt[125][5]~28639\) # (!\led_flash_cnt[125][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[125][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[125][5]~28639\,
	combout => \led_flash_cnt[125][6]~28640_combout\,
	cout => \led_flash_cnt[125][6]~28641\);

-- Location: FF_X66_Y18_N11
\led_flash_cnt[125][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[125][6]~28640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[125][6]~q\);

-- Location: LCCOMB_X66_Y18_N12
\led_flash_cnt[125][7]~28642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[125][7]~28642_combout\ = \led_flash_cnt[125][6]~28641\ $ (!\led_flash_cnt[125][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[125][7]~q\,
	cin => \led_flash_cnt[125][6]~28641\,
	combout => \led_flash_cnt[125][7]~28642_combout\);

-- Location: FF_X66_Y18_N13
\led_flash_cnt[125][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[125][7]~28642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[125][7]~q\);

-- Location: LCCOMB_X66_Y18_N30
\WideAnd125~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd125~0_combout\ = (\led_flash_cnt[125][4]~q\ & (\led_flash_cnt[125][1]~q\ & (\led_flash_cnt[125][3]~q\ & \led_flash_cnt[125][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[125][4]~q\,
	datab => \led_flash_cnt[125][1]~q\,
	datac => \led_flash_cnt[125][3]~q\,
	datad => \led_flash_cnt[125][2]~q\,
	combout => \WideAnd125~0_combout\);

-- Location: LCCOMB_X67_Y18_N22
\WideAnd125~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd125~1_combout\ = (\led_flash_cnt[125][6]~q\ & \led_flash_cnt[125][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[125][6]~q\,
	datad => \led_flash_cnt[125][5]~q\,
	combout => \WideAnd125~1_combout\);

-- Location: LCCOMB_X67_Y18_N30
WideAnd125 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd125~combout\ = (\led_flash_cnt[125][7]~q\ & (\WideAnd125~0_combout\ & (\WideAnd125~1_combout\ & \led_flash_cnt[125][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[125][7]~q\,
	datab => \WideAnd125~0_combout\,
	datac => \WideAnd125~1_combout\,
	datad => \led_flash_cnt[125][0]~q\,
	combout => \WideAnd125~combout\);

-- Location: FF_X67_Y18_N31
\led_flash_cnt_ands[125]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd125~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(125));

-- Location: LCCOMB_X67_Y18_N18
\led_flash_cnt[124][0]~80764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[124][0]~80764_combout\ = !\led_flash_cnt[124][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[124][0]~q\,
	combout => \led_flash_cnt[124][0]~80764_combout\);

-- Location: FF_X67_Y18_N19
\led_flash_cnt[124][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[124][0]~80764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[124][0]~q\);

-- Location: LCCOMB_X67_Y18_N0
\led_flash_cnt[124][1]~28616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[124][1]~28616_combout\ = (\led_flash_cnt[124][1]~q\ & (\led_flash_cnt[124][0]~q\ $ (VCC))) # (!\led_flash_cnt[124][1]~q\ & (\led_flash_cnt[124][0]~q\ & VCC))
-- \led_flash_cnt[124][1]~28617\ = CARRY((\led_flash_cnt[124][1]~q\ & \led_flash_cnt[124][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[124][1]~q\,
	datab => \led_flash_cnt[124][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[124][1]~28616_combout\,
	cout => \led_flash_cnt[124][1]~28617\);

-- Location: FF_X67_Y18_N1
\led_flash_cnt[124][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[124][1]~28616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[124][1]~q\);

-- Location: LCCOMB_X67_Y18_N2
\led_flash_cnt[124][2]~28618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[124][2]~28618_combout\ = (\led_flash_cnt[124][2]~q\ & (!\led_flash_cnt[124][1]~28617\)) # (!\led_flash_cnt[124][2]~q\ & ((\led_flash_cnt[124][1]~28617\) # (GND)))
-- \led_flash_cnt[124][2]~28619\ = CARRY((!\led_flash_cnt[124][1]~28617\) # (!\led_flash_cnt[124][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[124][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[124][1]~28617\,
	combout => \led_flash_cnt[124][2]~28618_combout\,
	cout => \led_flash_cnt[124][2]~28619\);

-- Location: FF_X67_Y18_N3
\led_flash_cnt[124][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[124][2]~28618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[124][2]~q\);

-- Location: LCCOMB_X67_Y18_N4
\led_flash_cnt[124][3]~28620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[124][3]~28620_combout\ = (\led_flash_cnt[124][3]~q\ & (\led_flash_cnt[124][2]~28619\ $ (GND))) # (!\led_flash_cnt[124][3]~q\ & (!\led_flash_cnt[124][2]~28619\ & VCC))
-- \led_flash_cnt[124][3]~28621\ = CARRY((\led_flash_cnt[124][3]~q\ & !\led_flash_cnt[124][2]~28619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[124][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[124][2]~28619\,
	combout => \led_flash_cnt[124][3]~28620_combout\,
	cout => \led_flash_cnt[124][3]~28621\);

-- Location: FF_X67_Y18_N5
\led_flash_cnt[124][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[124][3]~28620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[124][3]~q\);

-- Location: LCCOMB_X67_Y18_N6
\led_flash_cnt[124][4]~28622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[124][4]~28622_combout\ = (\led_flash_cnt[124][4]~q\ & (!\led_flash_cnt[124][3]~28621\)) # (!\led_flash_cnt[124][4]~q\ & ((\led_flash_cnt[124][3]~28621\) # (GND)))
-- \led_flash_cnt[124][4]~28623\ = CARRY((!\led_flash_cnt[124][3]~28621\) # (!\led_flash_cnt[124][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[124][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[124][3]~28621\,
	combout => \led_flash_cnt[124][4]~28622_combout\,
	cout => \led_flash_cnt[124][4]~28623\);

-- Location: FF_X67_Y18_N7
\led_flash_cnt[124][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[124][4]~28622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[124][4]~q\);

-- Location: LCCOMB_X67_Y18_N8
\led_flash_cnt[124][5]~28624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[124][5]~28624_combout\ = (\led_flash_cnt[124][5]~q\ & (\led_flash_cnt[124][4]~28623\ $ (GND))) # (!\led_flash_cnt[124][5]~q\ & (!\led_flash_cnt[124][4]~28623\ & VCC))
-- \led_flash_cnt[124][5]~28625\ = CARRY((\led_flash_cnt[124][5]~q\ & !\led_flash_cnt[124][4]~28623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[124][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[124][4]~28623\,
	combout => \led_flash_cnt[124][5]~28624_combout\,
	cout => \led_flash_cnt[124][5]~28625\);

-- Location: FF_X67_Y18_N9
\led_flash_cnt[124][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[124][5]~28624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[124][5]~q\);

-- Location: LCCOMB_X67_Y18_N10
\led_flash_cnt[124][6]~28626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[124][6]~28626_combout\ = (\led_flash_cnt[124][6]~q\ & (!\led_flash_cnt[124][5]~28625\)) # (!\led_flash_cnt[124][6]~q\ & ((\led_flash_cnt[124][5]~28625\) # (GND)))
-- \led_flash_cnt[124][6]~28627\ = CARRY((!\led_flash_cnt[124][5]~28625\) # (!\led_flash_cnt[124][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[124][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[124][5]~28625\,
	combout => \led_flash_cnt[124][6]~28626_combout\,
	cout => \led_flash_cnt[124][6]~28627\);

-- Location: FF_X67_Y18_N11
\led_flash_cnt[124][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[124][6]~28626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[124][6]~q\);

-- Location: LCCOMB_X67_Y18_N12
\led_flash_cnt[124][7]~28628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[124][7]~28628_combout\ = \led_flash_cnt[124][6]~28627\ $ (!\led_flash_cnt[124][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[124][7]~q\,
	cin => \led_flash_cnt[124][6]~28627\,
	combout => \led_flash_cnt[124][7]~28628_combout\);

-- Location: FF_X67_Y18_N13
\led_flash_cnt[124][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[124][7]~28628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[124][7]~q\);

-- Location: LCCOMB_X67_Y18_N24
\WideAnd124~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd124~0_combout\ = (\led_flash_cnt[124][4]~q\ & (\led_flash_cnt[124][1]~q\ & (\led_flash_cnt[124][3]~q\ & \led_flash_cnt[124][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[124][4]~q\,
	datab => \led_flash_cnt[124][1]~q\,
	datac => \led_flash_cnt[124][3]~q\,
	datad => \led_flash_cnt[124][2]~q\,
	combout => \WideAnd124~0_combout\);

-- Location: LCCOMB_X67_Y18_N26
\WideAnd124~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd124~1_combout\ = (\led_flash_cnt[124][5]~q\ & \led_flash_cnt[124][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[124][5]~q\,
	datad => \led_flash_cnt[124][6]~q\,
	combout => \WideAnd124~1_combout\);

-- Location: LCCOMB_X67_Y18_N16
WideAnd124 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd124~combout\ = (\led_flash_cnt[124][7]~q\ & (\WideAnd124~0_combout\ & (\WideAnd124~1_combout\ & \led_flash_cnt[124][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[124][7]~q\,
	datab => \WideAnd124~0_combout\,
	datac => \WideAnd124~1_combout\,
	datad => \led_flash_cnt[124][0]~q\,
	combout => \WideAnd124~combout\);

-- Location: FF_X67_Y18_N17
\led_flash_cnt_ands[124]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd124~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(124));

-- Location: LCCOMB_X67_Y18_N20
\WideAnd3855~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3855~1_combout\ = (led_flash_cnt_ands(125) & led_flash_cnt_ands(124))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(125),
	datad => led_flash_cnt_ands(124),
	combout => \WideAnd3855~1_combout\);

-- Location: LCCOMB_X6_Y6_N4
\led_flash_cnt[122][0]~80762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[122][0]~80762_combout\ = !\led_flash_cnt[122][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[122][0]~q\,
	combout => \led_flash_cnt[122][0]~80762_combout\);

-- Location: FF_X6_Y6_N5
\led_flash_cnt[122][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[122][0]~80762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[122][0]~q\);

-- Location: LCCOMB_X6_Y6_N10
\led_flash_cnt[122][1]~28588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[122][1]~28588_combout\ = (\led_flash_cnt[122][1]~q\ & (\led_flash_cnt[122][0]~q\ $ (VCC))) # (!\led_flash_cnt[122][1]~q\ & (\led_flash_cnt[122][0]~q\ & VCC))
-- \led_flash_cnt[122][1]~28589\ = CARRY((\led_flash_cnt[122][1]~q\ & \led_flash_cnt[122][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[122][1]~q\,
	datab => \led_flash_cnt[122][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[122][1]~28588_combout\,
	cout => \led_flash_cnt[122][1]~28589\);

-- Location: FF_X6_Y6_N11
\led_flash_cnt[122][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[122][1]~28588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[122][1]~q\);

-- Location: LCCOMB_X6_Y6_N12
\led_flash_cnt[122][2]~28590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[122][2]~28590_combout\ = (\led_flash_cnt[122][2]~q\ & (!\led_flash_cnt[122][1]~28589\)) # (!\led_flash_cnt[122][2]~q\ & ((\led_flash_cnt[122][1]~28589\) # (GND)))
-- \led_flash_cnt[122][2]~28591\ = CARRY((!\led_flash_cnt[122][1]~28589\) # (!\led_flash_cnt[122][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[122][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[122][1]~28589\,
	combout => \led_flash_cnt[122][2]~28590_combout\,
	cout => \led_flash_cnt[122][2]~28591\);

-- Location: FF_X6_Y6_N13
\led_flash_cnt[122][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[122][2]~28590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[122][2]~q\);

-- Location: LCCOMB_X6_Y6_N14
\led_flash_cnt[122][3]~28592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[122][3]~28592_combout\ = (\led_flash_cnt[122][3]~q\ & (\led_flash_cnt[122][2]~28591\ $ (GND))) # (!\led_flash_cnt[122][3]~q\ & (!\led_flash_cnt[122][2]~28591\ & VCC))
-- \led_flash_cnt[122][3]~28593\ = CARRY((\led_flash_cnt[122][3]~q\ & !\led_flash_cnt[122][2]~28591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[122][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[122][2]~28591\,
	combout => \led_flash_cnt[122][3]~28592_combout\,
	cout => \led_flash_cnt[122][3]~28593\);

-- Location: FF_X6_Y6_N15
\led_flash_cnt[122][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[122][3]~28592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[122][3]~q\);

-- Location: LCCOMB_X6_Y6_N16
\led_flash_cnt[122][4]~28594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[122][4]~28594_combout\ = (\led_flash_cnt[122][4]~q\ & (!\led_flash_cnt[122][3]~28593\)) # (!\led_flash_cnt[122][4]~q\ & ((\led_flash_cnt[122][3]~28593\) # (GND)))
-- \led_flash_cnt[122][4]~28595\ = CARRY((!\led_flash_cnt[122][3]~28593\) # (!\led_flash_cnt[122][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[122][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[122][3]~28593\,
	combout => \led_flash_cnt[122][4]~28594_combout\,
	cout => \led_flash_cnt[122][4]~28595\);

-- Location: FF_X6_Y6_N17
\led_flash_cnt[122][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[122][4]~28594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[122][4]~q\);

-- Location: LCCOMB_X6_Y6_N26
\WideAnd122~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd122~0_combout\ = (\led_flash_cnt[122][1]~q\ & (\led_flash_cnt[122][4]~q\ & (\led_flash_cnt[122][3]~q\ & \led_flash_cnt[122][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[122][1]~q\,
	datab => \led_flash_cnt[122][4]~q\,
	datac => \led_flash_cnt[122][3]~q\,
	datad => \led_flash_cnt[122][2]~q\,
	combout => \WideAnd122~0_combout\);

-- Location: LCCOMB_X6_Y6_N18
\led_flash_cnt[122][5]~28596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[122][5]~28596_combout\ = (\led_flash_cnt[122][5]~q\ & (\led_flash_cnt[122][4]~28595\ $ (GND))) # (!\led_flash_cnt[122][5]~q\ & (!\led_flash_cnt[122][4]~28595\ & VCC))
-- \led_flash_cnt[122][5]~28597\ = CARRY((\led_flash_cnt[122][5]~q\ & !\led_flash_cnt[122][4]~28595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[122][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[122][4]~28595\,
	combout => \led_flash_cnt[122][5]~28596_combout\,
	cout => \led_flash_cnt[122][5]~28597\);

-- Location: FF_X6_Y6_N19
\led_flash_cnt[122][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[122][5]~28596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[122][5]~q\);

-- Location: LCCOMB_X6_Y6_N20
\led_flash_cnt[122][6]~28598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[122][6]~28598_combout\ = (\led_flash_cnt[122][6]~q\ & (!\led_flash_cnt[122][5]~28597\)) # (!\led_flash_cnt[122][6]~q\ & ((\led_flash_cnt[122][5]~28597\) # (GND)))
-- \led_flash_cnt[122][6]~28599\ = CARRY((!\led_flash_cnt[122][5]~28597\) # (!\led_flash_cnt[122][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[122][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[122][5]~28597\,
	combout => \led_flash_cnt[122][6]~28598_combout\,
	cout => \led_flash_cnt[122][6]~28599\);

-- Location: FF_X6_Y6_N21
\led_flash_cnt[122][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[122][6]~28598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[122][6]~q\);

-- Location: LCCOMB_X6_Y6_N22
\led_flash_cnt[122][7]~28600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[122][7]~28600_combout\ = \led_flash_cnt[122][7]~q\ $ (!\led_flash_cnt[122][6]~28599\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[122][7]~q\,
	cin => \led_flash_cnt[122][6]~28599\,
	combout => \led_flash_cnt[122][7]~28600_combout\);

-- Location: FF_X6_Y6_N23
\led_flash_cnt[122][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[122][7]~28600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[122][7]~q\);

-- Location: LCCOMB_X6_Y6_N24
\WideAnd122~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd122~1_combout\ = (\led_flash_cnt[122][5]~q\ & \led_flash_cnt[122][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[122][5]~q\,
	datad => \led_flash_cnt[122][6]~q\,
	combout => \WideAnd122~1_combout\);

-- Location: LCCOMB_X6_Y6_N8
WideAnd122 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd122~combout\ = (\WideAnd122~0_combout\ & (\led_flash_cnt[122][0]~q\ & (\led_flash_cnt[122][7]~q\ & \WideAnd122~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd122~0_combout\,
	datab => \led_flash_cnt[122][0]~q\,
	datac => \led_flash_cnt[122][7]~q\,
	datad => \WideAnd122~1_combout\,
	combout => \WideAnd122~combout\);

-- Location: FF_X6_Y6_N9
\led_flash_cnt_ands[122]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd122~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(122));

-- Location: LCCOMB_X7_Y6_N6
\led_flash_cnt[121][0]~80761\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[121][0]~80761_combout\ = !\led_flash_cnt[121][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[121][0]~q\,
	combout => \led_flash_cnt[121][0]~80761_combout\);

-- Location: FF_X7_Y6_N7
\led_flash_cnt[121][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[121][0]~80761_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[121][0]~q\);

-- Location: LCCOMB_X8_Y6_N2
\led_flash_cnt[121][1]~28574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[121][1]~28574_combout\ = (\led_flash_cnt[121][0]~q\ & (\led_flash_cnt[121][1]~q\ $ (VCC))) # (!\led_flash_cnt[121][0]~q\ & (\led_flash_cnt[121][1]~q\ & VCC))
-- \led_flash_cnt[121][1]~28575\ = CARRY((\led_flash_cnt[121][0]~q\ & \led_flash_cnt[121][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[121][0]~q\,
	datab => \led_flash_cnt[121][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[121][1]~28574_combout\,
	cout => \led_flash_cnt[121][1]~28575\);

-- Location: FF_X8_Y6_N3
\led_flash_cnt[121][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[121][1]~28574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[121][1]~q\);

-- Location: LCCOMB_X8_Y6_N4
\led_flash_cnt[121][2]~28576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[121][2]~28576_combout\ = (\led_flash_cnt[121][2]~q\ & (!\led_flash_cnt[121][1]~28575\)) # (!\led_flash_cnt[121][2]~q\ & ((\led_flash_cnt[121][1]~28575\) # (GND)))
-- \led_flash_cnt[121][2]~28577\ = CARRY((!\led_flash_cnt[121][1]~28575\) # (!\led_flash_cnt[121][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[121][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[121][1]~28575\,
	combout => \led_flash_cnt[121][2]~28576_combout\,
	cout => \led_flash_cnt[121][2]~28577\);

-- Location: FF_X8_Y6_N5
\led_flash_cnt[121][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[121][2]~28576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[121][2]~q\);

-- Location: LCCOMB_X8_Y6_N6
\led_flash_cnt[121][3]~28578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[121][3]~28578_combout\ = (\led_flash_cnt[121][3]~q\ & (\led_flash_cnt[121][2]~28577\ $ (GND))) # (!\led_flash_cnt[121][3]~q\ & (!\led_flash_cnt[121][2]~28577\ & VCC))
-- \led_flash_cnt[121][3]~28579\ = CARRY((\led_flash_cnt[121][3]~q\ & !\led_flash_cnt[121][2]~28577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[121][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[121][2]~28577\,
	combout => \led_flash_cnt[121][3]~28578_combout\,
	cout => \led_flash_cnt[121][3]~28579\);

-- Location: FF_X8_Y6_N7
\led_flash_cnt[121][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[121][3]~28578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[121][3]~q\);

-- Location: LCCOMB_X8_Y6_N8
\led_flash_cnt[121][4]~28580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[121][4]~28580_combout\ = (\led_flash_cnt[121][4]~q\ & (!\led_flash_cnt[121][3]~28579\)) # (!\led_flash_cnt[121][4]~q\ & ((\led_flash_cnt[121][3]~28579\) # (GND)))
-- \led_flash_cnt[121][4]~28581\ = CARRY((!\led_flash_cnt[121][3]~28579\) # (!\led_flash_cnt[121][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[121][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[121][3]~28579\,
	combout => \led_flash_cnt[121][4]~28580_combout\,
	cout => \led_flash_cnt[121][4]~28581\);

-- Location: FF_X8_Y6_N9
\led_flash_cnt[121][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[121][4]~28580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[121][4]~q\);

-- Location: LCCOMB_X8_Y6_N10
\led_flash_cnt[121][5]~28582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[121][5]~28582_combout\ = (\led_flash_cnt[121][5]~q\ & (\led_flash_cnt[121][4]~28581\ $ (GND))) # (!\led_flash_cnt[121][5]~q\ & (!\led_flash_cnt[121][4]~28581\ & VCC))
-- \led_flash_cnt[121][5]~28583\ = CARRY((\led_flash_cnt[121][5]~q\ & !\led_flash_cnt[121][4]~28581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[121][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[121][4]~28581\,
	combout => \led_flash_cnt[121][5]~28582_combout\,
	cout => \led_flash_cnt[121][5]~28583\);

-- Location: FF_X8_Y6_N11
\led_flash_cnt[121][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[121][5]~28582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[121][5]~q\);

-- Location: LCCOMB_X8_Y6_N12
\led_flash_cnt[121][6]~28584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[121][6]~28584_combout\ = (\led_flash_cnt[121][6]~q\ & (!\led_flash_cnt[121][5]~28583\)) # (!\led_flash_cnt[121][6]~q\ & ((\led_flash_cnt[121][5]~28583\) # (GND)))
-- \led_flash_cnt[121][6]~28585\ = CARRY((!\led_flash_cnt[121][5]~28583\) # (!\led_flash_cnt[121][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[121][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[121][5]~28583\,
	combout => \led_flash_cnt[121][6]~28584_combout\,
	cout => \led_flash_cnt[121][6]~28585\);

-- Location: FF_X8_Y6_N13
\led_flash_cnt[121][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[121][6]~28584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[121][6]~q\);

-- Location: LCCOMB_X7_Y6_N12
\WideAnd121~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd121~1_combout\ = (\led_flash_cnt[121][5]~q\ & \led_flash_cnt[121][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[121][5]~q\,
	datac => \led_flash_cnt[121][6]~q\,
	combout => \WideAnd121~1_combout\);

-- Location: LCCOMB_X8_Y6_N14
\led_flash_cnt[121][7]~28586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[121][7]~28586_combout\ = \led_flash_cnt[121][7]~q\ $ (!\led_flash_cnt[121][6]~28585\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[121][7]~q\,
	cin => \led_flash_cnt[121][6]~28585\,
	combout => \led_flash_cnt[121][7]~28586_combout\);

-- Location: FF_X8_Y6_N15
\led_flash_cnt[121][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[121][7]~28586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[121][7]~q\);

-- Location: LCCOMB_X8_Y6_N30
\WideAnd121~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd121~0_combout\ = (\led_flash_cnt[121][3]~q\ & (\led_flash_cnt[121][4]~q\ & (\led_flash_cnt[121][2]~q\ & \led_flash_cnt[121][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[121][3]~q\,
	datab => \led_flash_cnt[121][4]~q\,
	datac => \led_flash_cnt[121][2]~q\,
	datad => \led_flash_cnt[121][1]~q\,
	combout => \WideAnd121~0_combout\);

-- Location: LCCOMB_X7_Y6_N8
WideAnd121 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd121~combout\ = (\WideAnd121~1_combout\ & (\led_flash_cnt[121][7]~q\ & (\WideAnd121~0_combout\ & \led_flash_cnt[121][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd121~1_combout\,
	datab => \led_flash_cnt[121][7]~q\,
	datac => \WideAnd121~0_combout\,
	datad => \led_flash_cnt[121][0]~q\,
	combout => \WideAnd121~combout\);

-- Location: FF_X7_Y6_N9
\led_flash_cnt_ands[121]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd121~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(121));

-- Location: LCCOMB_X34_Y7_N0
\led_flash_cnt[120][0]~80760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[120][0]~80760_combout\ = !\led_flash_cnt[120][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[120][0]~q\,
	combout => \led_flash_cnt[120][0]~80760_combout\);

-- Location: FF_X34_Y7_N1
\led_flash_cnt[120][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[120][0]~80760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[120][0]~q\);

-- Location: LCCOMB_X34_Y8_N0
\led_flash_cnt[120][1]~28560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[120][1]~28560_combout\ = (\led_flash_cnt[120][0]~q\ & (\led_flash_cnt[120][1]~q\ $ (VCC))) # (!\led_flash_cnt[120][0]~q\ & (\led_flash_cnt[120][1]~q\ & VCC))
-- \led_flash_cnt[120][1]~28561\ = CARRY((\led_flash_cnt[120][0]~q\ & \led_flash_cnt[120][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[120][0]~q\,
	datab => \led_flash_cnt[120][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[120][1]~28560_combout\,
	cout => \led_flash_cnt[120][1]~28561\);

-- Location: FF_X34_Y8_N1
\led_flash_cnt[120][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[120][1]~28560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[120][1]~q\);

-- Location: LCCOMB_X34_Y8_N2
\led_flash_cnt[120][2]~28562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[120][2]~28562_combout\ = (\led_flash_cnt[120][2]~q\ & (!\led_flash_cnt[120][1]~28561\)) # (!\led_flash_cnt[120][2]~q\ & ((\led_flash_cnt[120][1]~28561\) # (GND)))
-- \led_flash_cnt[120][2]~28563\ = CARRY((!\led_flash_cnt[120][1]~28561\) # (!\led_flash_cnt[120][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[120][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[120][1]~28561\,
	combout => \led_flash_cnt[120][2]~28562_combout\,
	cout => \led_flash_cnt[120][2]~28563\);

-- Location: FF_X34_Y8_N3
\led_flash_cnt[120][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[120][2]~28562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[120][2]~q\);

-- Location: LCCOMB_X34_Y8_N4
\led_flash_cnt[120][3]~28564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[120][3]~28564_combout\ = (\led_flash_cnt[120][3]~q\ & (\led_flash_cnt[120][2]~28563\ $ (GND))) # (!\led_flash_cnt[120][3]~q\ & (!\led_flash_cnt[120][2]~28563\ & VCC))
-- \led_flash_cnt[120][3]~28565\ = CARRY((\led_flash_cnt[120][3]~q\ & !\led_flash_cnt[120][2]~28563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[120][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[120][2]~28563\,
	combout => \led_flash_cnt[120][3]~28564_combout\,
	cout => \led_flash_cnt[120][3]~28565\);

-- Location: FF_X34_Y8_N5
\led_flash_cnt[120][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[120][3]~28564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[120][3]~q\);

-- Location: LCCOMB_X34_Y8_N6
\led_flash_cnt[120][4]~28566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[120][4]~28566_combout\ = (\led_flash_cnt[120][4]~q\ & (!\led_flash_cnt[120][3]~28565\)) # (!\led_flash_cnt[120][4]~q\ & ((\led_flash_cnt[120][3]~28565\) # (GND)))
-- \led_flash_cnt[120][4]~28567\ = CARRY((!\led_flash_cnt[120][3]~28565\) # (!\led_flash_cnt[120][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[120][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[120][3]~28565\,
	combout => \led_flash_cnt[120][4]~28566_combout\,
	cout => \led_flash_cnt[120][4]~28567\);

-- Location: FF_X34_Y8_N7
\led_flash_cnt[120][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[120][4]~28566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[120][4]~q\);

-- Location: LCCOMB_X34_Y8_N8
\led_flash_cnt[120][5]~28568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[120][5]~28568_combout\ = (\led_flash_cnt[120][5]~q\ & (\led_flash_cnt[120][4]~28567\ $ (GND))) # (!\led_flash_cnt[120][5]~q\ & (!\led_flash_cnt[120][4]~28567\ & VCC))
-- \led_flash_cnt[120][5]~28569\ = CARRY((\led_flash_cnt[120][5]~q\ & !\led_flash_cnt[120][4]~28567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[120][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[120][4]~28567\,
	combout => \led_flash_cnt[120][5]~28568_combout\,
	cout => \led_flash_cnt[120][5]~28569\);

-- Location: FF_X34_Y8_N9
\led_flash_cnt[120][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[120][5]~28568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[120][5]~q\);

-- Location: LCCOMB_X34_Y8_N10
\led_flash_cnt[120][6]~28570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[120][6]~28570_combout\ = (\led_flash_cnt[120][6]~q\ & (!\led_flash_cnt[120][5]~28569\)) # (!\led_flash_cnt[120][6]~q\ & ((\led_flash_cnt[120][5]~28569\) # (GND)))
-- \led_flash_cnt[120][6]~28571\ = CARRY((!\led_flash_cnt[120][5]~28569\) # (!\led_flash_cnt[120][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[120][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[120][5]~28569\,
	combout => \led_flash_cnt[120][6]~28570_combout\,
	cout => \led_flash_cnt[120][6]~28571\);

-- Location: FF_X34_Y8_N11
\led_flash_cnt[120][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[120][6]~28570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[120][6]~q\);

-- Location: LCCOMB_X34_Y7_N10
\WideAnd120~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd120~1_combout\ = (\led_flash_cnt[120][6]~q\ & \led_flash_cnt[120][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[120][6]~q\,
	datad => \led_flash_cnt[120][5]~q\,
	combout => \WideAnd120~1_combout\);

-- Location: LCCOMB_X34_Y8_N12
\led_flash_cnt[120][7]~28572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[120][7]~28572_combout\ = \led_flash_cnt[120][6]~28571\ $ (!\led_flash_cnt[120][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[120][7]~q\,
	cin => \led_flash_cnt[120][6]~28571\,
	combout => \led_flash_cnt[120][7]~28572_combout\);

-- Location: FF_X34_Y8_N13
\led_flash_cnt[120][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[120][7]~28572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[120][7]~q\);

-- Location: LCCOMB_X34_Y8_N30
\WideAnd120~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd120~0_combout\ = (\led_flash_cnt[120][4]~q\ & (\led_flash_cnt[120][1]~q\ & (\led_flash_cnt[120][3]~q\ & \led_flash_cnt[120][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[120][4]~q\,
	datab => \led_flash_cnt[120][1]~q\,
	datac => \led_flash_cnt[120][3]~q\,
	datad => \led_flash_cnt[120][2]~q\,
	combout => \WideAnd120~0_combout\);

-- Location: LCCOMB_X34_Y7_N30
WideAnd120 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd120~combout\ = (\WideAnd120~1_combout\ & (\led_flash_cnt[120][7]~q\ & (\WideAnd120~0_combout\ & \led_flash_cnt[120][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd120~1_combout\,
	datab => \led_flash_cnt[120][7]~q\,
	datac => \WideAnd120~0_combout\,
	datad => \led_flash_cnt[120][0]~q\,
	combout => \WideAnd120~combout\);

-- Location: FF_X34_Y7_N31
\led_flash_cnt_ands[120]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd120~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(120));

-- Location: LCCOMB_X7_Y6_N10
\led_flash_cnt[123][0]~80763\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[123][0]~80763_combout\ = !\led_flash_cnt[123][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[123][0]~q\,
	combout => \led_flash_cnt[123][0]~80763_combout\);

-- Location: FF_X7_Y6_N11
\led_flash_cnt[123][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[123][0]~80763_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[123][0]~q\);

-- Location: LCCOMB_X7_Y6_N16
\led_flash_cnt[123][1]~28602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[123][1]~28602_combout\ = (\led_flash_cnt[123][0]~q\ & (\led_flash_cnt[123][1]~q\ $ (VCC))) # (!\led_flash_cnt[123][0]~q\ & (\led_flash_cnt[123][1]~q\ & VCC))
-- \led_flash_cnt[123][1]~28603\ = CARRY((\led_flash_cnt[123][0]~q\ & \led_flash_cnt[123][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[123][0]~q\,
	datab => \led_flash_cnt[123][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[123][1]~28602_combout\,
	cout => \led_flash_cnt[123][1]~28603\);

-- Location: FF_X7_Y6_N17
\led_flash_cnt[123][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[123][1]~28602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[123][1]~q\);

-- Location: LCCOMB_X7_Y6_N18
\led_flash_cnt[123][2]~28604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[123][2]~28604_combout\ = (\led_flash_cnt[123][2]~q\ & (!\led_flash_cnt[123][1]~28603\)) # (!\led_flash_cnt[123][2]~q\ & ((\led_flash_cnt[123][1]~28603\) # (GND)))
-- \led_flash_cnt[123][2]~28605\ = CARRY((!\led_flash_cnt[123][1]~28603\) # (!\led_flash_cnt[123][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[123][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[123][1]~28603\,
	combout => \led_flash_cnt[123][2]~28604_combout\,
	cout => \led_flash_cnt[123][2]~28605\);

-- Location: FF_X7_Y6_N19
\led_flash_cnt[123][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[123][2]~28604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[123][2]~q\);

-- Location: LCCOMB_X7_Y6_N20
\led_flash_cnt[123][3]~28606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[123][3]~28606_combout\ = (\led_flash_cnt[123][3]~q\ & (\led_flash_cnt[123][2]~28605\ $ (GND))) # (!\led_flash_cnt[123][3]~q\ & (!\led_flash_cnt[123][2]~28605\ & VCC))
-- \led_flash_cnt[123][3]~28607\ = CARRY((\led_flash_cnt[123][3]~q\ & !\led_flash_cnt[123][2]~28605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[123][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[123][2]~28605\,
	combout => \led_flash_cnt[123][3]~28606_combout\,
	cout => \led_flash_cnt[123][3]~28607\);

-- Location: FF_X7_Y6_N21
\led_flash_cnt[123][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[123][3]~28606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[123][3]~q\);

-- Location: LCCOMB_X7_Y6_N22
\led_flash_cnt[123][4]~28608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[123][4]~28608_combout\ = (\led_flash_cnt[123][4]~q\ & (!\led_flash_cnt[123][3]~28607\)) # (!\led_flash_cnt[123][4]~q\ & ((\led_flash_cnt[123][3]~28607\) # (GND)))
-- \led_flash_cnt[123][4]~28609\ = CARRY((!\led_flash_cnt[123][3]~28607\) # (!\led_flash_cnt[123][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[123][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[123][3]~28607\,
	combout => \led_flash_cnt[123][4]~28608_combout\,
	cout => \led_flash_cnt[123][4]~28609\);

-- Location: FF_X7_Y6_N23
\led_flash_cnt[123][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[123][4]~28608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[123][4]~q\);

-- Location: LCCOMB_X7_Y6_N24
\led_flash_cnt[123][5]~28610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[123][5]~28610_combout\ = (\led_flash_cnt[123][5]~q\ & (\led_flash_cnt[123][4]~28609\ $ (GND))) # (!\led_flash_cnt[123][5]~q\ & (!\led_flash_cnt[123][4]~28609\ & VCC))
-- \led_flash_cnt[123][5]~28611\ = CARRY((\led_flash_cnt[123][5]~q\ & !\led_flash_cnt[123][4]~28609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[123][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[123][4]~28609\,
	combout => \led_flash_cnt[123][5]~28610_combout\,
	cout => \led_flash_cnt[123][5]~28611\);

-- Location: FF_X7_Y6_N25
\led_flash_cnt[123][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[123][5]~28610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[123][5]~q\);

-- Location: LCCOMB_X7_Y6_N26
\led_flash_cnt[123][6]~28612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[123][6]~28612_combout\ = (\led_flash_cnt[123][6]~q\ & (!\led_flash_cnt[123][5]~28611\)) # (!\led_flash_cnt[123][6]~q\ & ((\led_flash_cnt[123][5]~28611\) # (GND)))
-- \led_flash_cnt[123][6]~28613\ = CARRY((!\led_flash_cnt[123][5]~28611\) # (!\led_flash_cnt[123][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[123][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[123][5]~28611\,
	combout => \led_flash_cnt[123][6]~28612_combout\,
	cout => \led_flash_cnt[123][6]~28613\);

-- Location: FF_X7_Y6_N27
\led_flash_cnt[123][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[123][6]~28612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[123][6]~q\);

-- Location: LCCOMB_X7_Y6_N28
\led_flash_cnt[123][7]~28614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[123][7]~28614_combout\ = \led_flash_cnt[123][6]~28613\ $ (!\led_flash_cnt[123][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[123][7]~q\,
	cin => \led_flash_cnt[123][6]~28613\,
	combout => \led_flash_cnt[123][7]~28614_combout\);

-- Location: FF_X7_Y6_N29
\led_flash_cnt[123][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[123][7]~28614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[123][7]~q\);

-- Location: LCCOMB_X7_Y6_N14
\WideAnd123~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd123~0_combout\ = (\led_flash_cnt[123][2]~q\ & (\led_flash_cnt[123][3]~q\ & (\led_flash_cnt[123][4]~q\ & \led_flash_cnt[123][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[123][2]~q\,
	datab => \led_flash_cnt[123][3]~q\,
	datac => \led_flash_cnt[123][4]~q\,
	datad => \led_flash_cnt[123][1]~q\,
	combout => \WideAnd123~0_combout\);

-- Location: LCCOMB_X7_Y6_N0
\WideAnd123~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd123~1_combout\ = (\led_flash_cnt[123][6]~q\ & \led_flash_cnt[123][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[123][6]~q\,
	datad => \led_flash_cnt[123][5]~q\,
	combout => \WideAnd123~1_combout\);

-- Location: LCCOMB_X7_Y6_N2
WideAnd123 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd123~combout\ = (\led_flash_cnt[123][0]~q\ & (\led_flash_cnt[123][7]~q\ & (\WideAnd123~0_combout\ & \WideAnd123~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[123][0]~q\,
	datab => \led_flash_cnt[123][7]~q\,
	datac => \WideAnd123~0_combout\,
	datad => \WideAnd123~1_combout\,
	combout => \WideAnd123~combout\);

-- Location: FF_X7_Y6_N3
\led_flash_cnt_ands[123]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd123~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(123));

-- Location: LCCOMB_X7_Y6_N30
\WideAnd3855~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3855~0_combout\ = (led_flash_cnt_ands(122) & (led_flash_cnt_ands(121) & (led_flash_cnt_ands(120) & led_flash_cnt_ands(123))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(122),
	datab => led_flash_cnt_ands(121),
	datac => led_flash_cnt_ands(120),
	datad => led_flash_cnt_ands(123),
	combout => \WideAnd3855~0_combout\);

-- Location: LCCOMB_X13_Y18_N10
WideAnd3855 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3855~combout\ = (led_flash_cnt_ands(126) & (led_flash_cnt_ands(127) & (\WideAnd3855~1_combout\ & \WideAnd3855~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(126),
	datab => led_flash_cnt_ands(127),
	datac => \WideAnd3855~1_combout\,
	datad => \WideAnd3855~0_combout\,
	combout => \WideAnd3855~combout\);

-- Location: FF_X13_Y18_N11
\led_flash_cnt_ands_1[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3855~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(15));

-- Location: LCCOMB_X57_Y13_N2
\led_flash_cnt[118][0]~80758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[118][0]~80758_combout\ = !\led_flash_cnt[118][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[118][0]~q\,
	combout => \led_flash_cnt[118][0]~80758_combout\);

-- Location: FF_X57_Y13_N3
\led_flash_cnt[118][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[118][0]~80758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[118][0]~q\);

-- Location: LCCOMB_X56_Y13_N0
\led_flash_cnt[118][1]~28532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[118][1]~28532_combout\ = (\led_flash_cnt[118][0]~q\ & (\led_flash_cnt[118][1]~q\ $ (VCC))) # (!\led_flash_cnt[118][0]~q\ & (\led_flash_cnt[118][1]~q\ & VCC))
-- \led_flash_cnt[118][1]~28533\ = CARRY((\led_flash_cnt[118][0]~q\ & \led_flash_cnt[118][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[118][0]~q\,
	datab => \led_flash_cnt[118][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[118][1]~28532_combout\,
	cout => \led_flash_cnt[118][1]~28533\);

-- Location: FF_X56_Y13_N1
\led_flash_cnt[118][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[118][1]~28532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[118][1]~q\);

-- Location: LCCOMB_X56_Y13_N2
\led_flash_cnt[118][2]~28534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[118][2]~28534_combout\ = (\led_flash_cnt[118][2]~q\ & (!\led_flash_cnt[118][1]~28533\)) # (!\led_flash_cnt[118][2]~q\ & ((\led_flash_cnt[118][1]~28533\) # (GND)))
-- \led_flash_cnt[118][2]~28535\ = CARRY((!\led_flash_cnt[118][1]~28533\) # (!\led_flash_cnt[118][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[118][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[118][1]~28533\,
	combout => \led_flash_cnt[118][2]~28534_combout\,
	cout => \led_flash_cnt[118][2]~28535\);

-- Location: FF_X56_Y13_N3
\led_flash_cnt[118][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[118][2]~28534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[118][2]~q\);

-- Location: LCCOMB_X56_Y13_N4
\led_flash_cnt[118][3]~28536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[118][3]~28536_combout\ = (\led_flash_cnt[118][3]~q\ & (\led_flash_cnt[118][2]~28535\ $ (GND))) # (!\led_flash_cnt[118][3]~q\ & (!\led_flash_cnt[118][2]~28535\ & VCC))
-- \led_flash_cnt[118][3]~28537\ = CARRY((\led_flash_cnt[118][3]~q\ & !\led_flash_cnt[118][2]~28535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[118][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[118][2]~28535\,
	combout => \led_flash_cnt[118][3]~28536_combout\,
	cout => \led_flash_cnt[118][3]~28537\);

-- Location: FF_X56_Y13_N5
\led_flash_cnt[118][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[118][3]~28536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[118][3]~q\);

-- Location: LCCOMB_X56_Y13_N6
\led_flash_cnt[118][4]~28538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[118][4]~28538_combout\ = (\led_flash_cnt[118][4]~q\ & (!\led_flash_cnt[118][3]~28537\)) # (!\led_flash_cnt[118][4]~q\ & ((\led_flash_cnt[118][3]~28537\) # (GND)))
-- \led_flash_cnt[118][4]~28539\ = CARRY((!\led_flash_cnt[118][3]~28537\) # (!\led_flash_cnt[118][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[118][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[118][3]~28537\,
	combout => \led_flash_cnt[118][4]~28538_combout\,
	cout => \led_flash_cnt[118][4]~28539\);

-- Location: FF_X56_Y13_N7
\led_flash_cnt[118][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[118][4]~28538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[118][4]~q\);

-- Location: LCCOMB_X56_Y13_N8
\led_flash_cnt[118][5]~28540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[118][5]~28540_combout\ = (\led_flash_cnt[118][5]~q\ & (\led_flash_cnt[118][4]~28539\ $ (GND))) # (!\led_flash_cnt[118][5]~q\ & (!\led_flash_cnt[118][4]~28539\ & VCC))
-- \led_flash_cnt[118][5]~28541\ = CARRY((\led_flash_cnt[118][5]~q\ & !\led_flash_cnt[118][4]~28539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[118][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[118][4]~28539\,
	combout => \led_flash_cnt[118][5]~28540_combout\,
	cout => \led_flash_cnt[118][5]~28541\);

-- Location: FF_X56_Y13_N9
\led_flash_cnt[118][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[118][5]~28540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[118][5]~q\);

-- Location: LCCOMB_X56_Y13_N10
\led_flash_cnt[118][6]~28542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[118][6]~28542_combout\ = (\led_flash_cnt[118][6]~q\ & (!\led_flash_cnt[118][5]~28541\)) # (!\led_flash_cnt[118][6]~q\ & ((\led_flash_cnt[118][5]~28541\) # (GND)))
-- \led_flash_cnt[118][6]~28543\ = CARRY((!\led_flash_cnt[118][5]~28541\) # (!\led_flash_cnt[118][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[118][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[118][5]~28541\,
	combout => \led_flash_cnt[118][6]~28542_combout\,
	cout => \led_flash_cnt[118][6]~28543\);

-- Location: FF_X56_Y13_N11
\led_flash_cnt[118][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[118][6]~28542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[118][6]~q\);

-- Location: LCCOMB_X56_Y13_N12
\led_flash_cnt[118][7]~28544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[118][7]~28544_combout\ = \led_flash_cnt[118][6]~28543\ $ (!\led_flash_cnt[118][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[118][7]~q\,
	cin => \led_flash_cnt[118][6]~28543\,
	combout => \led_flash_cnt[118][7]~28544_combout\);

-- Location: FF_X56_Y13_N13
\led_flash_cnt[118][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[118][7]~28544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[118][7]~q\);

-- Location: LCCOMB_X56_Y13_N28
\WideAnd118~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd118~0_combout\ = (\led_flash_cnt[118][4]~q\ & (\led_flash_cnt[118][1]~q\ & (\led_flash_cnt[118][3]~q\ & \led_flash_cnt[118][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[118][4]~q\,
	datab => \led_flash_cnt[118][1]~q\,
	datac => \led_flash_cnt[118][3]~q\,
	datad => \led_flash_cnt[118][2]~q\,
	combout => \WideAnd118~0_combout\);

-- Location: LCCOMB_X57_Y13_N24
\WideAnd118~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd118~1_combout\ = (\led_flash_cnt[118][6]~q\ & \led_flash_cnt[118][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[118][6]~q\,
	datad => \led_flash_cnt[118][5]~q\,
	combout => \WideAnd118~1_combout\);

-- Location: LCCOMB_X57_Y13_N22
WideAnd118 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd118~combout\ = (\led_flash_cnt[118][7]~q\ & (\WideAnd118~0_combout\ & (\led_flash_cnt[118][0]~q\ & \WideAnd118~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[118][7]~q\,
	datab => \WideAnd118~0_combout\,
	datac => \led_flash_cnt[118][0]~q\,
	datad => \WideAnd118~1_combout\,
	combout => \WideAnd118~combout\);

-- Location: FF_X57_Y13_N23
\led_flash_cnt_ands[118]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd118~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(118));

-- Location: LCCOMB_X57_Y12_N20
\led_flash_cnt[117][0]~80757\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[117][0]~80757_combout\ = !\led_flash_cnt[117][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[117][0]~q\,
	combout => \led_flash_cnt[117][0]~80757_combout\);

-- Location: FF_X57_Y12_N21
\led_flash_cnt[117][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[117][0]~80757_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[117][0]~q\);

-- Location: LCCOMB_X56_Y12_N2
\led_flash_cnt[117][1]~28518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[117][1]~28518_combout\ = (\led_flash_cnt[117][0]~q\ & (\led_flash_cnt[117][1]~q\ $ (VCC))) # (!\led_flash_cnt[117][0]~q\ & (\led_flash_cnt[117][1]~q\ & VCC))
-- \led_flash_cnt[117][1]~28519\ = CARRY((\led_flash_cnt[117][0]~q\ & \led_flash_cnt[117][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[117][0]~q\,
	datab => \led_flash_cnt[117][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[117][1]~28518_combout\,
	cout => \led_flash_cnt[117][1]~28519\);

-- Location: FF_X56_Y12_N3
\led_flash_cnt[117][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[117][1]~28518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[117][1]~q\);

-- Location: LCCOMB_X56_Y12_N4
\led_flash_cnt[117][2]~28520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[117][2]~28520_combout\ = (\led_flash_cnt[117][2]~q\ & (!\led_flash_cnt[117][1]~28519\)) # (!\led_flash_cnt[117][2]~q\ & ((\led_flash_cnt[117][1]~28519\) # (GND)))
-- \led_flash_cnt[117][2]~28521\ = CARRY((!\led_flash_cnt[117][1]~28519\) # (!\led_flash_cnt[117][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[117][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[117][1]~28519\,
	combout => \led_flash_cnt[117][2]~28520_combout\,
	cout => \led_flash_cnt[117][2]~28521\);

-- Location: FF_X56_Y12_N5
\led_flash_cnt[117][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[117][2]~28520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[117][2]~q\);

-- Location: LCCOMB_X56_Y12_N6
\led_flash_cnt[117][3]~28522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[117][3]~28522_combout\ = (\led_flash_cnt[117][3]~q\ & (\led_flash_cnt[117][2]~28521\ $ (GND))) # (!\led_flash_cnt[117][3]~q\ & (!\led_flash_cnt[117][2]~28521\ & VCC))
-- \led_flash_cnt[117][3]~28523\ = CARRY((\led_flash_cnt[117][3]~q\ & !\led_flash_cnt[117][2]~28521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[117][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[117][2]~28521\,
	combout => \led_flash_cnt[117][3]~28522_combout\,
	cout => \led_flash_cnt[117][3]~28523\);

-- Location: FF_X56_Y12_N7
\led_flash_cnt[117][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[117][3]~28522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[117][3]~q\);

-- Location: LCCOMB_X56_Y12_N8
\led_flash_cnt[117][4]~28524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[117][4]~28524_combout\ = (\led_flash_cnt[117][4]~q\ & (!\led_flash_cnt[117][3]~28523\)) # (!\led_flash_cnt[117][4]~q\ & ((\led_flash_cnt[117][3]~28523\) # (GND)))
-- \led_flash_cnt[117][4]~28525\ = CARRY((!\led_flash_cnt[117][3]~28523\) # (!\led_flash_cnt[117][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[117][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[117][3]~28523\,
	combout => \led_flash_cnt[117][4]~28524_combout\,
	cout => \led_flash_cnt[117][4]~28525\);

-- Location: FF_X56_Y12_N9
\led_flash_cnt[117][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[117][4]~28524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[117][4]~q\);

-- Location: LCCOMB_X56_Y12_N10
\led_flash_cnt[117][5]~28526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[117][5]~28526_combout\ = (\led_flash_cnt[117][5]~q\ & (\led_flash_cnt[117][4]~28525\ $ (GND))) # (!\led_flash_cnt[117][5]~q\ & (!\led_flash_cnt[117][4]~28525\ & VCC))
-- \led_flash_cnt[117][5]~28527\ = CARRY((\led_flash_cnt[117][5]~q\ & !\led_flash_cnt[117][4]~28525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[117][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[117][4]~28525\,
	combout => \led_flash_cnt[117][5]~28526_combout\,
	cout => \led_flash_cnt[117][5]~28527\);

-- Location: FF_X56_Y12_N11
\led_flash_cnt[117][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[117][5]~28526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[117][5]~q\);

-- Location: LCCOMB_X56_Y12_N12
\led_flash_cnt[117][6]~28528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[117][6]~28528_combout\ = (\led_flash_cnt[117][6]~q\ & (!\led_flash_cnt[117][5]~28527\)) # (!\led_flash_cnt[117][6]~q\ & ((\led_flash_cnt[117][5]~28527\) # (GND)))
-- \led_flash_cnt[117][6]~28529\ = CARRY((!\led_flash_cnt[117][5]~28527\) # (!\led_flash_cnt[117][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[117][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[117][5]~28527\,
	combout => \led_flash_cnt[117][6]~28528_combout\,
	cout => \led_flash_cnt[117][6]~28529\);

-- Location: FF_X56_Y12_N13
\led_flash_cnt[117][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[117][6]~28528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[117][6]~q\);

-- Location: LCCOMB_X56_Y12_N14
\led_flash_cnt[117][7]~28530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[117][7]~28530_combout\ = \led_flash_cnt[117][7]~q\ $ (!\led_flash_cnt[117][6]~28529\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[117][7]~q\,
	cin => \led_flash_cnt[117][6]~28529\,
	combout => \led_flash_cnt[117][7]~28530_combout\);

-- Location: FF_X56_Y12_N15
\led_flash_cnt[117][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[117][7]~28530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[117][7]~q\);

-- Location: LCCOMB_X56_Y12_N0
\WideAnd117~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd117~0_combout\ = (\led_flash_cnt[117][3]~q\ & (\led_flash_cnt[117][4]~q\ & (\led_flash_cnt[117][2]~q\ & \led_flash_cnt[117][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[117][3]~q\,
	datab => \led_flash_cnt[117][4]~q\,
	datac => \led_flash_cnt[117][2]~q\,
	datad => \led_flash_cnt[117][1]~q\,
	combout => \WideAnd117~0_combout\);

-- Location: LCCOMB_X57_Y12_N16
\WideAnd117~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd117~1_combout\ = (\led_flash_cnt[117][6]~q\ & \led_flash_cnt[117][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[117][6]~q\,
	datad => \led_flash_cnt[117][5]~q\,
	combout => \WideAnd117~1_combout\);

-- Location: LCCOMB_X57_Y12_N30
WideAnd117 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd117~combout\ = (\led_flash_cnt[117][7]~q\ & (\led_flash_cnt[117][0]~q\ & (\WideAnd117~0_combout\ & \WideAnd117~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[117][7]~q\,
	datab => \led_flash_cnt[117][0]~q\,
	datac => \WideAnd117~0_combout\,
	datad => \WideAnd117~1_combout\,
	combout => \WideAnd117~combout\);

-- Location: FF_X57_Y12_N31
\led_flash_cnt_ands[117]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd117~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(117));

-- Location: LCCOMB_X57_Y12_N18
\led_flash_cnt[116][0]~80756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[116][0]~80756_combout\ = !\led_flash_cnt[116][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[116][0]~q\,
	combout => \led_flash_cnt[116][0]~80756_combout\);

-- Location: FF_X57_Y12_N19
\led_flash_cnt[116][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[116][0]~80756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[116][0]~q\);

-- Location: LCCOMB_X57_Y12_N0
\led_flash_cnt[116][1]~28504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[116][1]~28504_combout\ = (\led_flash_cnt[116][0]~q\ & (\led_flash_cnt[116][1]~q\ $ (VCC))) # (!\led_flash_cnt[116][0]~q\ & (\led_flash_cnt[116][1]~q\ & VCC))
-- \led_flash_cnt[116][1]~28505\ = CARRY((\led_flash_cnt[116][0]~q\ & \led_flash_cnt[116][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[116][0]~q\,
	datab => \led_flash_cnt[116][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[116][1]~28504_combout\,
	cout => \led_flash_cnt[116][1]~28505\);

-- Location: FF_X57_Y12_N1
\led_flash_cnt[116][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[116][1]~28504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[116][1]~q\);

-- Location: LCCOMB_X57_Y12_N2
\led_flash_cnt[116][2]~28506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[116][2]~28506_combout\ = (\led_flash_cnt[116][2]~q\ & (!\led_flash_cnt[116][1]~28505\)) # (!\led_flash_cnt[116][2]~q\ & ((\led_flash_cnt[116][1]~28505\) # (GND)))
-- \led_flash_cnt[116][2]~28507\ = CARRY((!\led_flash_cnt[116][1]~28505\) # (!\led_flash_cnt[116][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[116][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[116][1]~28505\,
	combout => \led_flash_cnt[116][2]~28506_combout\,
	cout => \led_flash_cnt[116][2]~28507\);

-- Location: FF_X57_Y12_N3
\led_flash_cnt[116][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[116][2]~28506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[116][2]~q\);

-- Location: LCCOMB_X57_Y12_N4
\led_flash_cnt[116][3]~28508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[116][3]~28508_combout\ = (\led_flash_cnt[116][3]~q\ & (\led_flash_cnt[116][2]~28507\ $ (GND))) # (!\led_flash_cnt[116][3]~q\ & (!\led_flash_cnt[116][2]~28507\ & VCC))
-- \led_flash_cnt[116][3]~28509\ = CARRY((\led_flash_cnt[116][3]~q\ & !\led_flash_cnt[116][2]~28507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[116][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[116][2]~28507\,
	combout => \led_flash_cnt[116][3]~28508_combout\,
	cout => \led_flash_cnt[116][3]~28509\);

-- Location: FF_X57_Y12_N5
\led_flash_cnt[116][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[116][3]~28508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[116][3]~q\);

-- Location: LCCOMB_X57_Y12_N6
\led_flash_cnt[116][4]~28510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[116][4]~28510_combout\ = (\led_flash_cnt[116][4]~q\ & (!\led_flash_cnt[116][3]~28509\)) # (!\led_flash_cnt[116][4]~q\ & ((\led_flash_cnt[116][3]~28509\) # (GND)))
-- \led_flash_cnt[116][4]~28511\ = CARRY((!\led_flash_cnt[116][3]~28509\) # (!\led_flash_cnt[116][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[116][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[116][3]~28509\,
	combout => \led_flash_cnt[116][4]~28510_combout\,
	cout => \led_flash_cnt[116][4]~28511\);

-- Location: FF_X57_Y12_N7
\led_flash_cnt[116][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[116][4]~28510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[116][4]~q\);

-- Location: LCCOMB_X57_Y12_N26
\WideAnd116~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd116~0_combout\ = (\led_flash_cnt[116][4]~q\ & (\led_flash_cnt[116][1]~q\ & (\led_flash_cnt[116][3]~q\ & \led_flash_cnt[116][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[116][4]~q\,
	datab => \led_flash_cnt[116][1]~q\,
	datac => \led_flash_cnt[116][3]~q\,
	datad => \led_flash_cnt[116][2]~q\,
	combout => \WideAnd116~0_combout\);

-- Location: LCCOMB_X57_Y12_N8
\led_flash_cnt[116][5]~28512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[116][5]~28512_combout\ = (\led_flash_cnt[116][5]~q\ & (\led_flash_cnt[116][4]~28511\ $ (GND))) # (!\led_flash_cnt[116][5]~q\ & (!\led_flash_cnt[116][4]~28511\ & VCC))
-- \led_flash_cnt[116][5]~28513\ = CARRY((\led_flash_cnt[116][5]~q\ & !\led_flash_cnt[116][4]~28511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[116][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[116][4]~28511\,
	combout => \led_flash_cnt[116][5]~28512_combout\,
	cout => \led_flash_cnt[116][5]~28513\);

-- Location: FF_X57_Y12_N9
\led_flash_cnt[116][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[116][5]~28512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[116][5]~q\);

-- Location: LCCOMB_X57_Y12_N10
\led_flash_cnt[116][6]~28514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[116][6]~28514_combout\ = (\led_flash_cnt[116][6]~q\ & (!\led_flash_cnt[116][5]~28513\)) # (!\led_flash_cnt[116][6]~q\ & ((\led_flash_cnt[116][5]~28513\) # (GND)))
-- \led_flash_cnt[116][6]~28515\ = CARRY((!\led_flash_cnt[116][5]~28513\) # (!\led_flash_cnt[116][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[116][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[116][5]~28513\,
	combout => \led_flash_cnt[116][6]~28514_combout\,
	cout => \led_flash_cnt[116][6]~28515\);

-- Location: FF_X57_Y12_N11
\led_flash_cnt[116][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[116][6]~28514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[116][6]~q\);

-- Location: LCCOMB_X57_Y12_N22
\WideAnd116~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd116~1_combout\ = (\led_flash_cnt[116][5]~q\ & \led_flash_cnt[116][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[116][5]~q\,
	datad => \led_flash_cnt[116][6]~q\,
	combout => \WideAnd116~1_combout\);

-- Location: LCCOMB_X57_Y12_N12
\led_flash_cnt[116][7]~28516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[116][7]~28516_combout\ = \led_flash_cnt[116][6]~28515\ $ (!\led_flash_cnt[116][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[116][7]~q\,
	cin => \led_flash_cnt[116][6]~28515\,
	combout => \led_flash_cnt[116][7]~28516_combout\);

-- Location: FF_X57_Y12_N13
\led_flash_cnt[116][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[116][7]~28516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[116][7]~q\);

-- Location: LCCOMB_X57_Y12_N24
WideAnd116 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd116~combout\ = (\WideAnd116~0_combout\ & (\led_flash_cnt[116][0]~q\ & (\WideAnd116~1_combout\ & \led_flash_cnt[116][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd116~0_combout\,
	datab => \led_flash_cnt[116][0]~q\,
	datac => \WideAnd116~1_combout\,
	datad => \led_flash_cnt[116][7]~q\,
	combout => \WideAnd116~combout\);

-- Location: FF_X57_Y12_N25
\led_flash_cnt_ands[116]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd116~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(116));

-- Location: LCCOMB_X57_Y12_N28
\WideAnd3854~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3854~1_combout\ = (led_flash_cnt_ands(117) & led_flash_cnt_ands(116))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(117),
	datad => led_flash_cnt_ands(116),
	combout => \WideAnd3854~1_combout\);

-- Location: LCCOMB_X56_Y7_N28
\led_flash_cnt[115][0]~80755\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[115][0]~80755_combout\ = !\led_flash_cnt[115][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[115][0]~q\,
	combout => \led_flash_cnt[115][0]~80755_combout\);

-- Location: FF_X56_Y7_N29
\led_flash_cnt[115][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[115][0]~80755_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[115][0]~q\);

-- Location: LCCOMB_X56_Y7_N6
\led_flash_cnt[115][1]~28490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[115][1]~28490_combout\ = (\led_flash_cnt[115][1]~q\ & (\led_flash_cnt[115][0]~q\ $ (VCC))) # (!\led_flash_cnt[115][1]~q\ & (\led_flash_cnt[115][0]~q\ & VCC))
-- \led_flash_cnt[115][1]~28491\ = CARRY((\led_flash_cnt[115][1]~q\ & \led_flash_cnt[115][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[115][1]~q\,
	datab => \led_flash_cnt[115][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[115][1]~28490_combout\,
	cout => \led_flash_cnt[115][1]~28491\);

-- Location: FF_X56_Y7_N7
\led_flash_cnt[115][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[115][1]~28490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[115][1]~q\);

-- Location: LCCOMB_X56_Y7_N8
\led_flash_cnt[115][2]~28492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[115][2]~28492_combout\ = (\led_flash_cnt[115][2]~q\ & (!\led_flash_cnt[115][1]~28491\)) # (!\led_flash_cnt[115][2]~q\ & ((\led_flash_cnt[115][1]~28491\) # (GND)))
-- \led_flash_cnt[115][2]~28493\ = CARRY((!\led_flash_cnt[115][1]~28491\) # (!\led_flash_cnt[115][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[115][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[115][1]~28491\,
	combout => \led_flash_cnt[115][2]~28492_combout\,
	cout => \led_flash_cnt[115][2]~28493\);

-- Location: FF_X56_Y7_N9
\led_flash_cnt[115][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[115][2]~28492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[115][2]~q\);

-- Location: LCCOMB_X56_Y7_N10
\led_flash_cnt[115][3]~28494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[115][3]~28494_combout\ = (\led_flash_cnt[115][3]~q\ & (\led_flash_cnt[115][2]~28493\ $ (GND))) # (!\led_flash_cnt[115][3]~q\ & (!\led_flash_cnt[115][2]~28493\ & VCC))
-- \led_flash_cnt[115][3]~28495\ = CARRY((\led_flash_cnt[115][3]~q\ & !\led_flash_cnt[115][2]~28493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[115][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[115][2]~28493\,
	combout => \led_flash_cnt[115][3]~28494_combout\,
	cout => \led_flash_cnt[115][3]~28495\);

-- Location: FF_X56_Y7_N11
\led_flash_cnt[115][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[115][3]~28494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[115][3]~q\);

-- Location: LCCOMB_X56_Y7_N12
\led_flash_cnt[115][4]~28496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[115][4]~28496_combout\ = (\led_flash_cnt[115][4]~q\ & (!\led_flash_cnt[115][3]~28495\)) # (!\led_flash_cnt[115][4]~q\ & ((\led_flash_cnt[115][3]~28495\) # (GND)))
-- \led_flash_cnt[115][4]~28497\ = CARRY((!\led_flash_cnt[115][3]~28495\) # (!\led_flash_cnt[115][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[115][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[115][3]~28495\,
	combout => \led_flash_cnt[115][4]~28496_combout\,
	cout => \led_flash_cnt[115][4]~28497\);

-- Location: FF_X56_Y7_N13
\led_flash_cnt[115][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[115][4]~28496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[115][4]~q\);

-- Location: LCCOMB_X56_Y7_N14
\led_flash_cnt[115][5]~28498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[115][5]~28498_combout\ = (\led_flash_cnt[115][5]~q\ & (\led_flash_cnt[115][4]~28497\ $ (GND))) # (!\led_flash_cnt[115][5]~q\ & (!\led_flash_cnt[115][4]~28497\ & VCC))
-- \led_flash_cnt[115][5]~28499\ = CARRY((\led_flash_cnt[115][5]~q\ & !\led_flash_cnt[115][4]~28497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[115][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[115][4]~28497\,
	combout => \led_flash_cnt[115][5]~28498_combout\,
	cout => \led_flash_cnt[115][5]~28499\);

-- Location: FF_X56_Y7_N15
\led_flash_cnt[115][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[115][5]~28498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[115][5]~q\);

-- Location: LCCOMB_X56_Y7_N16
\led_flash_cnt[115][6]~28500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[115][6]~28500_combout\ = (\led_flash_cnt[115][6]~q\ & (!\led_flash_cnt[115][5]~28499\)) # (!\led_flash_cnt[115][6]~q\ & ((\led_flash_cnt[115][5]~28499\) # (GND)))
-- \led_flash_cnt[115][6]~28501\ = CARRY((!\led_flash_cnt[115][5]~28499\) # (!\led_flash_cnt[115][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[115][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[115][5]~28499\,
	combout => \led_flash_cnt[115][6]~28500_combout\,
	cout => \led_flash_cnt[115][6]~28501\);

-- Location: FF_X56_Y7_N17
\led_flash_cnt[115][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[115][6]~28500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[115][6]~q\);

-- Location: LCCOMB_X56_Y7_N18
\led_flash_cnt[115][7]~28502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[115][7]~28502_combout\ = \led_flash_cnt[115][7]~q\ $ (!\led_flash_cnt[115][6]~28501\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[115][7]~q\,
	cin => \led_flash_cnt[115][6]~28501\,
	combout => \led_flash_cnt[115][7]~28502_combout\);

-- Location: FF_X56_Y7_N19
\led_flash_cnt[115][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[115][7]~28502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[115][7]~q\);

-- Location: LCCOMB_X56_Y7_N24
\WideAnd115~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd115~0_combout\ = (\led_flash_cnt[115][4]~q\ & (\led_flash_cnt[115][1]~q\ & (\led_flash_cnt[115][2]~q\ & \led_flash_cnt[115][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[115][4]~q\,
	datab => \led_flash_cnt[115][1]~q\,
	datac => \led_flash_cnt[115][2]~q\,
	datad => \led_flash_cnt[115][3]~q\,
	combout => \WideAnd115~0_combout\);

-- Location: LCCOMB_X56_Y7_N22
\WideAnd115~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd115~1_combout\ = (\led_flash_cnt[115][5]~q\ & \led_flash_cnt[115][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[115][5]~q\,
	datad => \led_flash_cnt[115][6]~q\,
	combout => \WideAnd115~1_combout\);

-- Location: LCCOMB_X56_Y7_N30
WideAnd115 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd115~combout\ = (\led_flash_cnt[115][7]~q\ & (\WideAnd115~0_combout\ & (\WideAnd115~1_combout\ & \led_flash_cnt[115][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[115][7]~q\,
	datab => \WideAnd115~0_combout\,
	datac => \WideAnd115~1_combout\,
	datad => \led_flash_cnt[115][0]~q\,
	combout => \WideAnd115~combout\);

-- Location: FF_X56_Y7_N31
\led_flash_cnt_ands[115]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd115~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(115));

-- Location: LCCOMB_X56_Y7_N2
\led_flash_cnt[114][0]~80754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[114][0]~80754_combout\ = !\led_flash_cnt[114][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[114][0]~q\,
	combout => \led_flash_cnt[114][0]~80754_combout\);

-- Location: FF_X56_Y7_N3
\led_flash_cnt[114][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[114][0]~80754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[114][0]~q\);

-- Location: LCCOMB_X55_Y7_N14
\led_flash_cnt[114][1]~28476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[114][1]~28476_combout\ = (\led_flash_cnt[114][0]~q\ & (\led_flash_cnt[114][1]~q\ $ (VCC))) # (!\led_flash_cnt[114][0]~q\ & (\led_flash_cnt[114][1]~q\ & VCC))
-- \led_flash_cnt[114][1]~28477\ = CARRY((\led_flash_cnt[114][0]~q\ & \led_flash_cnt[114][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[114][0]~q\,
	datab => \led_flash_cnt[114][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[114][1]~28476_combout\,
	cout => \led_flash_cnt[114][1]~28477\);

-- Location: FF_X55_Y7_N15
\led_flash_cnt[114][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[114][1]~28476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[114][1]~q\);

-- Location: LCCOMB_X55_Y7_N16
\led_flash_cnt[114][2]~28478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[114][2]~28478_combout\ = (\led_flash_cnt[114][2]~q\ & (!\led_flash_cnt[114][1]~28477\)) # (!\led_flash_cnt[114][2]~q\ & ((\led_flash_cnt[114][1]~28477\) # (GND)))
-- \led_flash_cnt[114][2]~28479\ = CARRY((!\led_flash_cnt[114][1]~28477\) # (!\led_flash_cnt[114][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[114][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[114][1]~28477\,
	combout => \led_flash_cnt[114][2]~28478_combout\,
	cout => \led_flash_cnt[114][2]~28479\);

-- Location: FF_X55_Y7_N17
\led_flash_cnt[114][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[114][2]~28478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[114][2]~q\);

-- Location: LCCOMB_X55_Y7_N18
\led_flash_cnt[114][3]~28480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[114][3]~28480_combout\ = (\led_flash_cnt[114][3]~q\ & (\led_flash_cnt[114][2]~28479\ $ (GND))) # (!\led_flash_cnt[114][3]~q\ & (!\led_flash_cnt[114][2]~28479\ & VCC))
-- \led_flash_cnt[114][3]~28481\ = CARRY((\led_flash_cnt[114][3]~q\ & !\led_flash_cnt[114][2]~28479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[114][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[114][2]~28479\,
	combout => \led_flash_cnt[114][3]~28480_combout\,
	cout => \led_flash_cnt[114][3]~28481\);

-- Location: FF_X55_Y7_N19
\led_flash_cnt[114][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[114][3]~28480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[114][3]~q\);

-- Location: LCCOMB_X55_Y7_N20
\led_flash_cnt[114][4]~28482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[114][4]~28482_combout\ = (\led_flash_cnt[114][4]~q\ & (!\led_flash_cnt[114][3]~28481\)) # (!\led_flash_cnt[114][4]~q\ & ((\led_flash_cnt[114][3]~28481\) # (GND)))
-- \led_flash_cnt[114][4]~28483\ = CARRY((!\led_flash_cnt[114][3]~28481\) # (!\led_flash_cnt[114][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[114][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[114][3]~28481\,
	combout => \led_flash_cnt[114][4]~28482_combout\,
	cout => \led_flash_cnt[114][4]~28483\);

-- Location: FF_X55_Y7_N21
\led_flash_cnt[114][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[114][4]~28482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[114][4]~q\);

-- Location: LCCOMB_X55_Y7_N22
\led_flash_cnt[114][5]~28484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[114][5]~28484_combout\ = (\led_flash_cnt[114][5]~q\ & (\led_flash_cnt[114][4]~28483\ $ (GND))) # (!\led_flash_cnt[114][5]~q\ & (!\led_flash_cnt[114][4]~28483\ & VCC))
-- \led_flash_cnt[114][5]~28485\ = CARRY((\led_flash_cnt[114][5]~q\ & !\led_flash_cnt[114][4]~28483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[114][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[114][4]~28483\,
	combout => \led_flash_cnt[114][5]~28484_combout\,
	cout => \led_flash_cnt[114][5]~28485\);

-- Location: FF_X55_Y7_N23
\led_flash_cnt[114][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[114][5]~28484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[114][5]~q\);

-- Location: LCCOMB_X55_Y7_N24
\led_flash_cnt[114][6]~28486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[114][6]~28486_combout\ = (\led_flash_cnt[114][6]~q\ & (!\led_flash_cnt[114][5]~28485\)) # (!\led_flash_cnt[114][6]~q\ & ((\led_flash_cnt[114][5]~28485\) # (GND)))
-- \led_flash_cnt[114][6]~28487\ = CARRY((!\led_flash_cnt[114][5]~28485\) # (!\led_flash_cnt[114][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[114][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[114][5]~28485\,
	combout => \led_flash_cnt[114][6]~28486_combout\,
	cout => \led_flash_cnt[114][6]~28487\);

-- Location: FF_X55_Y7_N25
\led_flash_cnt[114][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[114][6]~28486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[114][6]~q\);

-- Location: LCCOMB_X55_Y7_N30
\WideAnd114~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd114~1_combout\ = (\led_flash_cnt[114][5]~q\ & \led_flash_cnt[114][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[114][5]~q\,
	datad => \led_flash_cnt[114][6]~q\,
	combout => \WideAnd114~1_combout\);

-- Location: LCCOMB_X55_Y7_N26
\led_flash_cnt[114][7]~28488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[114][7]~28488_combout\ = \led_flash_cnt[114][7]~q\ $ (!\led_flash_cnt[114][6]~28487\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[114][7]~q\,
	cin => \led_flash_cnt[114][6]~28487\,
	combout => \led_flash_cnt[114][7]~28488_combout\);

-- Location: FF_X55_Y7_N27
\led_flash_cnt[114][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[114][7]~28488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[114][7]~q\);

-- Location: LCCOMB_X55_Y7_N28
\WideAnd114~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd114~0_combout\ = (\led_flash_cnt[114][3]~q\ & (\led_flash_cnt[114][4]~q\ & (\led_flash_cnt[114][1]~q\ & \led_flash_cnt[114][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[114][3]~q\,
	datab => \led_flash_cnt[114][4]~q\,
	datac => \led_flash_cnt[114][1]~q\,
	datad => \led_flash_cnt[114][2]~q\,
	combout => \WideAnd114~0_combout\);

-- Location: LCCOMB_X56_Y7_N0
WideAnd114 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd114~combout\ = (\led_flash_cnt[114][0]~q\ & (\WideAnd114~1_combout\ & (\led_flash_cnt[114][7]~q\ & \WideAnd114~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[114][0]~q\,
	datab => \WideAnd114~1_combout\,
	datac => \led_flash_cnt[114][7]~q\,
	datad => \WideAnd114~0_combout\,
	combout => \WideAnd114~combout\);

-- Location: FF_X56_Y7_N1
\led_flash_cnt_ands[114]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd114~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(114));

-- Location: LCCOMB_X52_Y15_N28
\led_flash_cnt[113][0]~80753\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[113][0]~80753_combout\ = !\led_flash_cnt[113][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[113][0]~q\,
	combout => \led_flash_cnt[113][0]~80753_combout\);

-- Location: FF_X52_Y15_N29
\led_flash_cnt[113][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[113][0]~80753_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[113][0]~q\);

-- Location: LCCOMB_X52_Y16_N4
\led_flash_cnt[113][1]~28462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[113][1]~28462_combout\ = (\led_flash_cnt[113][0]~q\ & (\led_flash_cnt[113][1]~q\ $ (VCC))) # (!\led_flash_cnt[113][0]~q\ & (\led_flash_cnt[113][1]~q\ & VCC))
-- \led_flash_cnt[113][1]~28463\ = CARRY((\led_flash_cnt[113][0]~q\ & \led_flash_cnt[113][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[113][0]~q\,
	datab => \led_flash_cnt[113][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[113][1]~28462_combout\,
	cout => \led_flash_cnt[113][1]~28463\);

-- Location: FF_X52_Y16_N5
\led_flash_cnt[113][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[113][1]~28462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[113][1]~q\);

-- Location: LCCOMB_X52_Y16_N6
\led_flash_cnt[113][2]~28464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[113][2]~28464_combout\ = (\led_flash_cnt[113][2]~q\ & (!\led_flash_cnt[113][1]~28463\)) # (!\led_flash_cnt[113][2]~q\ & ((\led_flash_cnt[113][1]~28463\) # (GND)))
-- \led_flash_cnt[113][2]~28465\ = CARRY((!\led_flash_cnt[113][1]~28463\) # (!\led_flash_cnt[113][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[113][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[113][1]~28463\,
	combout => \led_flash_cnt[113][2]~28464_combout\,
	cout => \led_flash_cnt[113][2]~28465\);

-- Location: FF_X52_Y16_N7
\led_flash_cnt[113][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[113][2]~28464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[113][2]~q\);

-- Location: LCCOMB_X52_Y16_N8
\led_flash_cnt[113][3]~28466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[113][3]~28466_combout\ = (\led_flash_cnt[113][3]~q\ & (\led_flash_cnt[113][2]~28465\ $ (GND))) # (!\led_flash_cnt[113][3]~q\ & (!\led_flash_cnt[113][2]~28465\ & VCC))
-- \led_flash_cnt[113][3]~28467\ = CARRY((\led_flash_cnt[113][3]~q\ & !\led_flash_cnt[113][2]~28465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[113][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[113][2]~28465\,
	combout => \led_flash_cnt[113][3]~28466_combout\,
	cout => \led_flash_cnt[113][3]~28467\);

-- Location: FF_X52_Y16_N9
\led_flash_cnt[113][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[113][3]~28466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[113][3]~q\);

-- Location: LCCOMB_X52_Y16_N10
\led_flash_cnt[113][4]~28468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[113][4]~28468_combout\ = (\led_flash_cnt[113][4]~q\ & (!\led_flash_cnt[113][3]~28467\)) # (!\led_flash_cnt[113][4]~q\ & ((\led_flash_cnt[113][3]~28467\) # (GND)))
-- \led_flash_cnt[113][4]~28469\ = CARRY((!\led_flash_cnt[113][3]~28467\) # (!\led_flash_cnt[113][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[113][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[113][3]~28467\,
	combout => \led_flash_cnt[113][4]~28468_combout\,
	cout => \led_flash_cnt[113][4]~28469\);

-- Location: FF_X52_Y16_N11
\led_flash_cnt[113][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[113][4]~28468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[113][4]~q\);

-- Location: LCCOMB_X52_Y16_N0
\WideAnd113~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd113~0_combout\ = (\led_flash_cnt[113][4]~q\ & (\led_flash_cnt[113][3]~q\ & (\led_flash_cnt[113][1]~q\ & \led_flash_cnt[113][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[113][4]~q\,
	datab => \led_flash_cnt[113][3]~q\,
	datac => \led_flash_cnt[113][1]~q\,
	datad => \led_flash_cnt[113][2]~q\,
	combout => \WideAnd113~0_combout\);

-- Location: LCCOMB_X52_Y16_N12
\led_flash_cnt[113][5]~28470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[113][5]~28470_combout\ = (\led_flash_cnt[113][5]~q\ & (\led_flash_cnt[113][4]~28469\ $ (GND))) # (!\led_flash_cnt[113][5]~q\ & (!\led_flash_cnt[113][4]~28469\ & VCC))
-- \led_flash_cnt[113][5]~28471\ = CARRY((\led_flash_cnt[113][5]~q\ & !\led_flash_cnt[113][4]~28469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[113][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[113][4]~28469\,
	combout => \led_flash_cnt[113][5]~28470_combout\,
	cout => \led_flash_cnt[113][5]~28471\);

-- Location: FF_X52_Y16_N13
\led_flash_cnt[113][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[113][5]~28470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[113][5]~q\);

-- Location: LCCOMB_X52_Y16_N14
\led_flash_cnt[113][6]~28472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[113][6]~28472_combout\ = (\led_flash_cnt[113][6]~q\ & (!\led_flash_cnt[113][5]~28471\)) # (!\led_flash_cnt[113][6]~q\ & ((\led_flash_cnt[113][5]~28471\) # (GND)))
-- \led_flash_cnt[113][6]~28473\ = CARRY((!\led_flash_cnt[113][5]~28471\) # (!\led_flash_cnt[113][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[113][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[113][5]~28471\,
	combout => \led_flash_cnt[113][6]~28472_combout\,
	cout => \led_flash_cnt[113][6]~28473\);

-- Location: FF_X52_Y16_N15
\led_flash_cnt[113][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[113][6]~28472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[113][6]~q\);

-- Location: LCCOMB_X52_Y15_N18
\WideAnd113~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd113~1_combout\ = (\led_flash_cnt[113][5]~q\ & \led_flash_cnt[113][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[113][5]~q\,
	datad => \led_flash_cnt[113][6]~q\,
	combout => \WideAnd113~1_combout\);

-- Location: LCCOMB_X52_Y16_N16
\led_flash_cnt[113][7]~28474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[113][7]~28474_combout\ = \led_flash_cnt[113][6]~28473\ $ (!\led_flash_cnt[113][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[113][7]~q\,
	cin => \led_flash_cnt[113][6]~28473\,
	combout => \led_flash_cnt[113][7]~28474_combout\);

-- Location: FF_X52_Y16_N17
\led_flash_cnt[113][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[113][7]~28474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[113][7]~q\);

-- Location: LCCOMB_X52_Y15_N24
WideAnd113 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd113~combout\ = (\WideAnd113~0_combout\ & (\WideAnd113~1_combout\ & (\led_flash_cnt[113][7]~q\ & \led_flash_cnt[113][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd113~0_combout\,
	datab => \WideAnd113~1_combout\,
	datac => \led_flash_cnt[113][7]~q\,
	datad => \led_flash_cnt[113][0]~q\,
	combout => \WideAnd113~combout\);

-- Location: FF_X52_Y15_N25
\led_flash_cnt_ands[113]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd113~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(113));

-- Location: LCCOMB_X57_Y8_N30
\led_flash_cnt[112][0]~80752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[112][0]~80752_combout\ = !\led_flash_cnt[112][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[112][0]~q\,
	combout => \led_flash_cnt[112][0]~80752_combout\);

-- Location: FF_X57_Y8_N31
\led_flash_cnt[112][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[112][0]~80752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[112][0]~q\);

-- Location: LCCOMB_X57_Y7_N14
\led_flash_cnt[112][1]~28448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[112][1]~28448_combout\ = (\led_flash_cnt[112][0]~q\ & (\led_flash_cnt[112][1]~q\ $ (VCC))) # (!\led_flash_cnt[112][0]~q\ & (\led_flash_cnt[112][1]~q\ & VCC))
-- \led_flash_cnt[112][1]~28449\ = CARRY((\led_flash_cnt[112][0]~q\ & \led_flash_cnt[112][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[112][0]~q\,
	datab => \led_flash_cnt[112][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[112][1]~28448_combout\,
	cout => \led_flash_cnt[112][1]~28449\);

-- Location: FF_X57_Y7_N15
\led_flash_cnt[112][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[112][1]~28448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[112][1]~q\);

-- Location: LCCOMB_X57_Y7_N16
\led_flash_cnt[112][2]~28450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[112][2]~28450_combout\ = (\led_flash_cnt[112][2]~q\ & (!\led_flash_cnt[112][1]~28449\)) # (!\led_flash_cnt[112][2]~q\ & ((\led_flash_cnt[112][1]~28449\) # (GND)))
-- \led_flash_cnt[112][2]~28451\ = CARRY((!\led_flash_cnt[112][1]~28449\) # (!\led_flash_cnt[112][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[112][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[112][1]~28449\,
	combout => \led_flash_cnt[112][2]~28450_combout\,
	cout => \led_flash_cnt[112][2]~28451\);

-- Location: FF_X57_Y7_N17
\led_flash_cnt[112][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[112][2]~28450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[112][2]~q\);

-- Location: LCCOMB_X57_Y7_N18
\led_flash_cnt[112][3]~28452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[112][3]~28452_combout\ = (\led_flash_cnt[112][3]~q\ & (\led_flash_cnt[112][2]~28451\ $ (GND))) # (!\led_flash_cnt[112][3]~q\ & (!\led_flash_cnt[112][2]~28451\ & VCC))
-- \led_flash_cnt[112][3]~28453\ = CARRY((\led_flash_cnt[112][3]~q\ & !\led_flash_cnt[112][2]~28451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[112][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[112][2]~28451\,
	combout => \led_flash_cnt[112][3]~28452_combout\,
	cout => \led_flash_cnt[112][3]~28453\);

-- Location: FF_X57_Y7_N19
\led_flash_cnt[112][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[112][3]~28452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[112][3]~q\);

-- Location: LCCOMB_X57_Y7_N20
\led_flash_cnt[112][4]~28454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[112][4]~28454_combout\ = (\led_flash_cnt[112][4]~q\ & (!\led_flash_cnt[112][3]~28453\)) # (!\led_flash_cnt[112][4]~q\ & ((\led_flash_cnt[112][3]~28453\) # (GND)))
-- \led_flash_cnt[112][4]~28455\ = CARRY((!\led_flash_cnt[112][3]~28453\) # (!\led_flash_cnt[112][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[112][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[112][3]~28453\,
	combout => \led_flash_cnt[112][4]~28454_combout\,
	cout => \led_flash_cnt[112][4]~28455\);

-- Location: FF_X57_Y7_N21
\led_flash_cnt[112][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[112][4]~28454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[112][4]~q\);

-- Location: LCCOMB_X57_Y7_N22
\led_flash_cnt[112][5]~28456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[112][5]~28456_combout\ = (\led_flash_cnt[112][5]~q\ & (\led_flash_cnt[112][4]~28455\ $ (GND))) # (!\led_flash_cnt[112][5]~q\ & (!\led_flash_cnt[112][4]~28455\ & VCC))
-- \led_flash_cnt[112][5]~28457\ = CARRY((\led_flash_cnt[112][5]~q\ & !\led_flash_cnt[112][4]~28455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[112][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[112][4]~28455\,
	combout => \led_flash_cnt[112][5]~28456_combout\,
	cout => \led_flash_cnt[112][5]~28457\);

-- Location: FF_X57_Y7_N23
\led_flash_cnt[112][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[112][5]~28456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[112][5]~q\);

-- Location: LCCOMB_X57_Y7_N24
\led_flash_cnt[112][6]~28458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[112][6]~28458_combout\ = (\led_flash_cnt[112][6]~q\ & (!\led_flash_cnt[112][5]~28457\)) # (!\led_flash_cnt[112][6]~q\ & ((\led_flash_cnt[112][5]~28457\) # (GND)))
-- \led_flash_cnt[112][6]~28459\ = CARRY((!\led_flash_cnt[112][5]~28457\) # (!\led_flash_cnt[112][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[112][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[112][5]~28457\,
	combout => \led_flash_cnt[112][6]~28458_combout\,
	cout => \led_flash_cnt[112][6]~28459\);

-- Location: FF_X57_Y7_N25
\led_flash_cnt[112][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[112][6]~28458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[112][6]~q\);

-- Location: LCCOMB_X56_Y7_N26
\WideAnd112~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd112~1_combout\ = (\led_flash_cnt[112][6]~q\ & \led_flash_cnt[112][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[112][6]~q\,
	datad => \led_flash_cnt[112][5]~q\,
	combout => \WideAnd112~1_combout\);

-- Location: LCCOMB_X57_Y7_N26
\led_flash_cnt[112][7]~28460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[112][7]~28460_combout\ = \led_flash_cnt[112][7]~q\ $ (!\led_flash_cnt[112][6]~28459\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[112][7]~q\,
	cin => \led_flash_cnt[112][6]~28459\,
	combout => \led_flash_cnt[112][7]~28460_combout\);

-- Location: FF_X57_Y7_N27
\led_flash_cnt[112][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[112][7]~28460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[112][7]~q\);

-- Location: LCCOMB_X57_Y7_N28
\WideAnd112~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd112~0_combout\ = (\led_flash_cnt[112][2]~q\ & (\led_flash_cnt[112][4]~q\ & (\led_flash_cnt[112][1]~q\ & \led_flash_cnt[112][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[112][2]~q\,
	datab => \led_flash_cnt[112][4]~q\,
	datac => \led_flash_cnt[112][1]~q\,
	datad => \led_flash_cnt[112][3]~q\,
	combout => \WideAnd112~0_combout\);

-- Location: LCCOMB_X56_Y7_N20
WideAnd112 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd112~combout\ = (\WideAnd112~1_combout\ & (\led_flash_cnt[112][7]~q\ & (\led_flash_cnt[112][0]~q\ & \WideAnd112~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd112~1_combout\,
	datab => \led_flash_cnt[112][7]~q\,
	datac => \led_flash_cnt[112][0]~q\,
	datad => \WideAnd112~0_combout\,
	combout => \WideAnd112~combout\);

-- Location: FF_X56_Y7_N21
\led_flash_cnt_ands[112]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd112~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(112));

-- Location: LCCOMB_X56_Y7_N4
\WideAnd3854~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3854~0_combout\ = (led_flash_cnt_ands(115) & (led_flash_cnt_ands(114) & (led_flash_cnt_ands(113) & led_flash_cnt_ands(112))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(115),
	datab => led_flash_cnt_ands(114),
	datac => led_flash_cnt_ands(113),
	datad => led_flash_cnt_ands(112),
	combout => \WideAnd3854~0_combout\);

-- Location: LCCOMB_X57_Y13_N18
\led_flash_cnt[119][0]~80759\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[119][0]~80759_combout\ = !\led_flash_cnt[119][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[119][0]~q\,
	combout => \led_flash_cnt[119][0]~80759_combout\);

-- Location: FF_X57_Y13_N19
\led_flash_cnt[119][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[119][0]~80759_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[119][0]~q\);

-- Location: LCCOMB_X57_Y13_N4
\led_flash_cnt[119][1]~28546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[119][1]~28546_combout\ = (\led_flash_cnt[119][1]~q\ & (\led_flash_cnt[119][0]~q\ $ (VCC))) # (!\led_flash_cnt[119][1]~q\ & (\led_flash_cnt[119][0]~q\ & VCC))
-- \led_flash_cnt[119][1]~28547\ = CARRY((\led_flash_cnt[119][1]~q\ & \led_flash_cnt[119][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[119][1]~q\,
	datab => \led_flash_cnt[119][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[119][1]~28546_combout\,
	cout => \led_flash_cnt[119][1]~28547\);

-- Location: FF_X57_Y13_N5
\led_flash_cnt[119][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[119][1]~28546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[119][1]~q\);

-- Location: LCCOMB_X57_Y13_N6
\led_flash_cnt[119][2]~28548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[119][2]~28548_combout\ = (\led_flash_cnt[119][2]~q\ & (!\led_flash_cnt[119][1]~28547\)) # (!\led_flash_cnt[119][2]~q\ & ((\led_flash_cnt[119][1]~28547\) # (GND)))
-- \led_flash_cnt[119][2]~28549\ = CARRY((!\led_flash_cnt[119][1]~28547\) # (!\led_flash_cnt[119][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[119][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[119][1]~28547\,
	combout => \led_flash_cnt[119][2]~28548_combout\,
	cout => \led_flash_cnt[119][2]~28549\);

-- Location: FF_X57_Y13_N7
\led_flash_cnt[119][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[119][2]~28548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[119][2]~q\);

-- Location: LCCOMB_X57_Y13_N8
\led_flash_cnt[119][3]~28550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[119][3]~28550_combout\ = (\led_flash_cnt[119][3]~q\ & (\led_flash_cnt[119][2]~28549\ $ (GND))) # (!\led_flash_cnt[119][3]~q\ & (!\led_flash_cnt[119][2]~28549\ & VCC))
-- \led_flash_cnt[119][3]~28551\ = CARRY((\led_flash_cnt[119][3]~q\ & !\led_flash_cnt[119][2]~28549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[119][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[119][2]~28549\,
	combout => \led_flash_cnt[119][3]~28550_combout\,
	cout => \led_flash_cnt[119][3]~28551\);

-- Location: FF_X57_Y13_N9
\led_flash_cnt[119][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[119][3]~28550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[119][3]~q\);

-- Location: LCCOMB_X57_Y13_N10
\led_flash_cnt[119][4]~28552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[119][4]~28552_combout\ = (\led_flash_cnt[119][4]~q\ & (!\led_flash_cnt[119][3]~28551\)) # (!\led_flash_cnt[119][4]~q\ & ((\led_flash_cnt[119][3]~28551\) # (GND)))
-- \led_flash_cnt[119][4]~28553\ = CARRY((!\led_flash_cnt[119][3]~28551\) # (!\led_flash_cnt[119][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[119][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[119][3]~28551\,
	combout => \led_flash_cnt[119][4]~28552_combout\,
	cout => \led_flash_cnt[119][4]~28553\);

-- Location: FF_X57_Y13_N11
\led_flash_cnt[119][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[119][4]~28552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[119][4]~q\);

-- Location: LCCOMB_X57_Y13_N30
\WideAnd119~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd119~0_combout\ = (\led_flash_cnt[119][4]~q\ & (\led_flash_cnt[119][1]~q\ & (\led_flash_cnt[119][3]~q\ & \led_flash_cnt[119][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[119][4]~q\,
	datab => \led_flash_cnt[119][1]~q\,
	datac => \led_flash_cnt[119][3]~q\,
	datad => \led_flash_cnt[119][2]~q\,
	combout => \WideAnd119~0_combout\);

-- Location: LCCOMB_X57_Y13_N12
\led_flash_cnt[119][5]~28554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[119][5]~28554_combout\ = (\led_flash_cnt[119][5]~q\ & (\led_flash_cnt[119][4]~28553\ $ (GND))) # (!\led_flash_cnt[119][5]~q\ & (!\led_flash_cnt[119][4]~28553\ & VCC))
-- \led_flash_cnt[119][5]~28555\ = CARRY((\led_flash_cnt[119][5]~q\ & !\led_flash_cnt[119][4]~28553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[119][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[119][4]~28553\,
	combout => \led_flash_cnt[119][5]~28554_combout\,
	cout => \led_flash_cnt[119][5]~28555\);

-- Location: FF_X57_Y13_N13
\led_flash_cnt[119][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[119][5]~28554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[119][5]~q\);

-- Location: LCCOMB_X57_Y13_N14
\led_flash_cnt[119][6]~28556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[119][6]~28556_combout\ = (\led_flash_cnt[119][6]~q\ & (!\led_flash_cnt[119][5]~28555\)) # (!\led_flash_cnt[119][6]~q\ & ((\led_flash_cnt[119][5]~28555\) # (GND)))
-- \led_flash_cnt[119][6]~28557\ = CARRY((!\led_flash_cnt[119][5]~28555\) # (!\led_flash_cnt[119][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[119][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[119][5]~28555\,
	combout => \led_flash_cnt[119][6]~28556_combout\,
	cout => \led_flash_cnt[119][6]~28557\);

-- Location: FF_X57_Y13_N15
\led_flash_cnt[119][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[119][6]~28556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[119][6]~q\);

-- Location: LCCOMB_X57_Y13_N16
\led_flash_cnt[119][7]~28558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[119][7]~28558_combout\ = \led_flash_cnt[119][6]~28557\ $ (!\led_flash_cnt[119][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[119][7]~q\,
	cin => \led_flash_cnt[119][6]~28557\,
	combout => \led_flash_cnt[119][7]~28558_combout\);

-- Location: FF_X57_Y13_N17
\led_flash_cnt[119][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[119][7]~28558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[119][7]~q\);

-- Location: LCCOMB_X57_Y13_N26
\WideAnd119~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd119~1_combout\ = (\led_flash_cnt[119][6]~q\ & \led_flash_cnt[119][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[119][6]~q\,
	datad => \led_flash_cnt[119][5]~q\,
	combout => \WideAnd119~1_combout\);

-- Location: LCCOMB_X57_Y13_N28
WideAnd119 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd119~combout\ = (\WideAnd119~0_combout\ & (\led_flash_cnt[119][7]~q\ & (\WideAnd119~1_combout\ & \led_flash_cnt[119][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd119~0_combout\,
	datab => \led_flash_cnt[119][7]~q\,
	datac => \WideAnd119~1_combout\,
	datad => \led_flash_cnt[119][0]~q\,
	combout => \WideAnd119~combout\);

-- Location: FF_X57_Y13_N29
\led_flash_cnt_ands[119]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd119~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(119));

-- Location: LCCOMB_X57_Y13_N0
WideAnd3854 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3854~combout\ = (led_flash_cnt_ands(118) & (\WideAnd3854~1_combout\ & (\WideAnd3854~0_combout\ & led_flash_cnt_ands(119))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(118),
	datab => \WideAnd3854~1_combout\,
	datac => \WideAnd3854~0_combout\,
	datad => led_flash_cnt_ands(119),
	combout => \WideAnd3854~combout\);

-- Location: FF_X57_Y13_N1
\led_flash_cnt_ands_1[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3854~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(14));

-- Location: LCCOMB_X56_Y9_N2
\led_flash_cnt[78][0]~80718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[78][0]~80718_combout\ = !\led_flash_cnt[78][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[78][0]~q\,
	combout => \led_flash_cnt[78][0]~80718_combout\);

-- Location: FF_X56_Y9_N3
\led_flash_cnt[78][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[78][0]~80718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[78][0]~q\);

-- Location: LCCOMB_X55_Y9_N0
\led_flash_cnt[78][1]~27972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[78][1]~27972_combout\ = (\led_flash_cnt[78][0]~q\ & (\led_flash_cnt[78][1]~q\ $ (VCC))) # (!\led_flash_cnt[78][0]~q\ & (\led_flash_cnt[78][1]~q\ & VCC))
-- \led_flash_cnt[78][1]~27973\ = CARRY((\led_flash_cnt[78][0]~q\ & \led_flash_cnt[78][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[78][0]~q\,
	datab => \led_flash_cnt[78][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[78][1]~27972_combout\,
	cout => \led_flash_cnt[78][1]~27973\);

-- Location: FF_X55_Y9_N1
\led_flash_cnt[78][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[78][1]~27972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[78][1]~q\);

-- Location: LCCOMB_X55_Y9_N2
\led_flash_cnt[78][2]~27974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[78][2]~27974_combout\ = (\led_flash_cnt[78][2]~q\ & (!\led_flash_cnt[78][1]~27973\)) # (!\led_flash_cnt[78][2]~q\ & ((\led_flash_cnt[78][1]~27973\) # (GND)))
-- \led_flash_cnt[78][2]~27975\ = CARRY((!\led_flash_cnt[78][1]~27973\) # (!\led_flash_cnt[78][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[78][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[78][1]~27973\,
	combout => \led_flash_cnt[78][2]~27974_combout\,
	cout => \led_flash_cnt[78][2]~27975\);

-- Location: FF_X55_Y9_N3
\led_flash_cnt[78][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[78][2]~27974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[78][2]~q\);

-- Location: LCCOMB_X55_Y9_N4
\led_flash_cnt[78][3]~27976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[78][3]~27976_combout\ = (\led_flash_cnt[78][3]~q\ & (\led_flash_cnt[78][2]~27975\ $ (GND))) # (!\led_flash_cnt[78][3]~q\ & (!\led_flash_cnt[78][2]~27975\ & VCC))
-- \led_flash_cnt[78][3]~27977\ = CARRY((\led_flash_cnt[78][3]~q\ & !\led_flash_cnt[78][2]~27975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[78][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[78][2]~27975\,
	combout => \led_flash_cnt[78][3]~27976_combout\,
	cout => \led_flash_cnt[78][3]~27977\);

-- Location: FF_X55_Y9_N5
\led_flash_cnt[78][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[78][3]~27976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[78][3]~q\);

-- Location: LCCOMB_X55_Y9_N6
\led_flash_cnt[78][4]~27978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[78][4]~27978_combout\ = (\led_flash_cnt[78][4]~q\ & (!\led_flash_cnt[78][3]~27977\)) # (!\led_flash_cnt[78][4]~q\ & ((\led_flash_cnt[78][3]~27977\) # (GND)))
-- \led_flash_cnt[78][4]~27979\ = CARRY((!\led_flash_cnt[78][3]~27977\) # (!\led_flash_cnt[78][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[78][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[78][3]~27977\,
	combout => \led_flash_cnt[78][4]~27978_combout\,
	cout => \led_flash_cnt[78][4]~27979\);

-- Location: FF_X55_Y9_N7
\led_flash_cnt[78][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[78][4]~27978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[78][4]~q\);

-- Location: LCCOMB_X55_Y9_N8
\led_flash_cnt[78][5]~27980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[78][5]~27980_combout\ = (\led_flash_cnt[78][5]~q\ & (\led_flash_cnt[78][4]~27979\ $ (GND))) # (!\led_flash_cnt[78][5]~q\ & (!\led_flash_cnt[78][4]~27979\ & VCC))
-- \led_flash_cnt[78][5]~27981\ = CARRY((\led_flash_cnt[78][5]~q\ & !\led_flash_cnt[78][4]~27979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[78][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[78][4]~27979\,
	combout => \led_flash_cnt[78][5]~27980_combout\,
	cout => \led_flash_cnt[78][5]~27981\);

-- Location: FF_X55_Y9_N9
\led_flash_cnt[78][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[78][5]~27980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[78][5]~q\);

-- Location: LCCOMB_X55_Y9_N10
\led_flash_cnt[78][6]~27982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[78][6]~27982_combout\ = (\led_flash_cnt[78][6]~q\ & (!\led_flash_cnt[78][5]~27981\)) # (!\led_flash_cnt[78][6]~q\ & ((\led_flash_cnt[78][5]~27981\) # (GND)))
-- \led_flash_cnt[78][6]~27983\ = CARRY((!\led_flash_cnt[78][5]~27981\) # (!\led_flash_cnt[78][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[78][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[78][5]~27981\,
	combout => \led_flash_cnt[78][6]~27982_combout\,
	cout => \led_flash_cnt[78][6]~27983\);

-- Location: FF_X55_Y9_N11
\led_flash_cnt[78][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[78][6]~27982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[78][6]~q\);

-- Location: LCCOMB_X55_Y9_N12
\led_flash_cnt[78][7]~27984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[78][7]~27984_combout\ = \led_flash_cnt[78][6]~27983\ $ (!\led_flash_cnt[78][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[78][7]~q\,
	cin => \led_flash_cnt[78][6]~27983\,
	combout => \led_flash_cnt[78][7]~27984_combout\);

-- Location: FF_X55_Y9_N13
\led_flash_cnt[78][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[78][7]~27984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[78][7]~q\);

-- Location: LCCOMB_X56_Y9_N30
\WideAnd78~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd78~1_combout\ = (\led_flash_cnt[78][6]~q\ & \led_flash_cnt[78][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[78][6]~q\,
	datad => \led_flash_cnt[78][5]~q\,
	combout => \WideAnd78~1_combout\);

-- Location: LCCOMB_X55_Y9_N14
\WideAnd78~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd78~0_combout\ = (\led_flash_cnt[78][4]~q\ & (\led_flash_cnt[78][1]~q\ & (\led_flash_cnt[78][3]~q\ & \led_flash_cnt[78][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[78][4]~q\,
	datab => \led_flash_cnt[78][1]~q\,
	datac => \led_flash_cnt[78][3]~q\,
	datad => \led_flash_cnt[78][2]~q\,
	combout => \WideAnd78~0_combout\);

-- Location: LCCOMB_X56_Y9_N28
WideAnd78 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd78~combout\ = (\led_flash_cnt[78][7]~q\ & (\led_flash_cnt[78][0]~q\ & (\WideAnd78~1_combout\ & \WideAnd78~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[78][7]~q\,
	datab => \led_flash_cnt[78][0]~q\,
	datac => \WideAnd78~1_combout\,
	datad => \WideAnd78~0_combout\,
	combout => \WideAnd78~combout\);

-- Location: FF_X56_Y9_N29
\led_flash_cnt_ands[78]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd78~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(78));

-- Location: LCCOMB_X56_Y9_N26
\led_flash_cnt[79][0]~80719\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[79][0]~80719_combout\ = !\led_flash_cnt[79][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[79][0]~q\,
	combout => \led_flash_cnt[79][0]~80719_combout\);

-- Location: FF_X56_Y9_N27
\led_flash_cnt[79][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[79][0]~80719_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[79][0]~q\);

-- Location: LCCOMB_X56_Y9_N4
\led_flash_cnt[79][1]~27986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[79][1]~27986_combout\ = (\led_flash_cnt[79][0]~q\ & (\led_flash_cnt[79][1]~q\ $ (VCC))) # (!\led_flash_cnt[79][0]~q\ & (\led_flash_cnt[79][1]~q\ & VCC))
-- \led_flash_cnt[79][1]~27987\ = CARRY((\led_flash_cnt[79][0]~q\ & \led_flash_cnt[79][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[79][0]~q\,
	datab => \led_flash_cnt[79][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[79][1]~27986_combout\,
	cout => \led_flash_cnt[79][1]~27987\);

-- Location: FF_X56_Y9_N5
\led_flash_cnt[79][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[79][1]~27986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[79][1]~q\);

-- Location: LCCOMB_X56_Y9_N6
\led_flash_cnt[79][2]~27988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[79][2]~27988_combout\ = (\led_flash_cnt[79][2]~q\ & (!\led_flash_cnt[79][1]~27987\)) # (!\led_flash_cnt[79][2]~q\ & ((\led_flash_cnt[79][1]~27987\) # (GND)))
-- \led_flash_cnt[79][2]~27989\ = CARRY((!\led_flash_cnt[79][1]~27987\) # (!\led_flash_cnt[79][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[79][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[79][1]~27987\,
	combout => \led_flash_cnt[79][2]~27988_combout\,
	cout => \led_flash_cnt[79][2]~27989\);

-- Location: FF_X56_Y9_N7
\led_flash_cnt[79][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[79][2]~27988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[79][2]~q\);

-- Location: LCCOMB_X56_Y9_N8
\led_flash_cnt[79][3]~27990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[79][3]~27990_combout\ = (\led_flash_cnt[79][3]~q\ & (\led_flash_cnt[79][2]~27989\ $ (GND))) # (!\led_flash_cnt[79][3]~q\ & (!\led_flash_cnt[79][2]~27989\ & VCC))
-- \led_flash_cnt[79][3]~27991\ = CARRY((\led_flash_cnt[79][3]~q\ & !\led_flash_cnt[79][2]~27989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[79][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[79][2]~27989\,
	combout => \led_flash_cnt[79][3]~27990_combout\,
	cout => \led_flash_cnt[79][3]~27991\);

-- Location: FF_X56_Y9_N9
\led_flash_cnt[79][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[79][3]~27990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[79][3]~q\);

-- Location: LCCOMB_X56_Y9_N10
\led_flash_cnt[79][4]~27992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[79][4]~27992_combout\ = (\led_flash_cnt[79][4]~q\ & (!\led_flash_cnt[79][3]~27991\)) # (!\led_flash_cnt[79][4]~q\ & ((\led_flash_cnt[79][3]~27991\) # (GND)))
-- \led_flash_cnt[79][4]~27993\ = CARRY((!\led_flash_cnt[79][3]~27991\) # (!\led_flash_cnt[79][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[79][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[79][3]~27991\,
	combout => \led_flash_cnt[79][4]~27992_combout\,
	cout => \led_flash_cnt[79][4]~27993\);

-- Location: FF_X56_Y9_N11
\led_flash_cnt[79][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[79][4]~27992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[79][4]~q\);

-- Location: LCCOMB_X56_Y9_N12
\led_flash_cnt[79][5]~27994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[79][5]~27994_combout\ = (\led_flash_cnt[79][5]~q\ & (\led_flash_cnt[79][4]~27993\ $ (GND))) # (!\led_flash_cnt[79][5]~q\ & (!\led_flash_cnt[79][4]~27993\ & VCC))
-- \led_flash_cnt[79][5]~27995\ = CARRY((\led_flash_cnt[79][5]~q\ & !\led_flash_cnt[79][4]~27993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[79][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[79][4]~27993\,
	combout => \led_flash_cnt[79][5]~27994_combout\,
	cout => \led_flash_cnt[79][5]~27995\);

-- Location: FF_X56_Y9_N13
\led_flash_cnt[79][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[79][5]~27994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[79][5]~q\);

-- Location: LCCOMB_X56_Y9_N14
\led_flash_cnt[79][6]~27996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[79][6]~27996_combout\ = (\led_flash_cnt[79][6]~q\ & (!\led_flash_cnt[79][5]~27995\)) # (!\led_flash_cnt[79][6]~q\ & ((\led_flash_cnt[79][5]~27995\) # (GND)))
-- \led_flash_cnt[79][6]~27997\ = CARRY((!\led_flash_cnt[79][5]~27995\) # (!\led_flash_cnt[79][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[79][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[79][5]~27995\,
	combout => \led_flash_cnt[79][6]~27996_combout\,
	cout => \led_flash_cnt[79][6]~27997\);

-- Location: FF_X56_Y9_N15
\led_flash_cnt[79][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[79][6]~27996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[79][6]~q\);

-- Location: LCCOMB_X56_Y9_N16
\led_flash_cnt[79][7]~27998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[79][7]~27998_combout\ = \led_flash_cnt[79][6]~27997\ $ (!\led_flash_cnt[79][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[79][7]~q\,
	cin => \led_flash_cnt[79][6]~27997\,
	combout => \led_flash_cnt[79][7]~27998_combout\);

-- Location: FF_X56_Y9_N17
\led_flash_cnt[79][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[79][7]~27998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[79][7]~q\);

-- Location: LCCOMB_X56_Y9_N22
\WideAnd79~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd79~1_combout\ = (\led_flash_cnt[79][6]~q\ & \led_flash_cnt[79][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[79][6]~q\,
	datad => \led_flash_cnt[79][5]~q\,
	combout => \WideAnd79~1_combout\);

-- Location: LCCOMB_X56_Y9_N18
\WideAnd79~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd79~0_combout\ = (\led_flash_cnt[79][4]~q\ & (\led_flash_cnt[79][1]~q\ & (\led_flash_cnt[79][3]~q\ & \led_flash_cnt[79][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[79][4]~q\,
	datab => \led_flash_cnt[79][1]~q\,
	datac => \led_flash_cnt[79][3]~q\,
	datad => \led_flash_cnt[79][2]~q\,
	combout => \WideAnd79~0_combout\);

-- Location: LCCOMB_X56_Y9_N24
WideAnd79 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd79~combout\ = (\led_flash_cnt[79][0]~q\ & (\led_flash_cnt[79][7]~q\ & (\WideAnd79~1_combout\ & \WideAnd79~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[79][0]~q\,
	datab => \led_flash_cnt[79][7]~q\,
	datac => \WideAnd79~1_combout\,
	datad => \WideAnd79~0_combout\,
	combout => \WideAnd79~combout\);

-- Location: FF_X56_Y9_N25
\led_flash_cnt_ands[79]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd79~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(79));

-- Location: LCCOMB_X12_Y28_N20
\led_flash_cnt[77][0]~80717\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[77][0]~80717_combout\ = !\led_flash_cnt[77][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[77][0]~q\,
	combout => \led_flash_cnt[77][0]~80717_combout\);

-- Location: FF_X12_Y28_N21
\led_flash_cnt[77][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[77][0]~80717_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[77][0]~q\);

-- Location: LCCOMB_X11_Y28_N0
\led_flash_cnt[77][1]~27958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[77][1]~27958_combout\ = (\led_flash_cnt[77][0]~q\ & (\led_flash_cnt[77][1]~q\ $ (VCC))) # (!\led_flash_cnt[77][0]~q\ & (\led_flash_cnt[77][1]~q\ & VCC))
-- \led_flash_cnt[77][1]~27959\ = CARRY((\led_flash_cnt[77][0]~q\ & \led_flash_cnt[77][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[77][0]~q\,
	datab => \led_flash_cnt[77][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[77][1]~27958_combout\,
	cout => \led_flash_cnt[77][1]~27959\);

-- Location: FF_X11_Y28_N1
\led_flash_cnt[77][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[77][1]~27958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[77][1]~q\);

-- Location: LCCOMB_X11_Y28_N2
\led_flash_cnt[77][2]~27960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[77][2]~27960_combout\ = (\led_flash_cnt[77][2]~q\ & (!\led_flash_cnt[77][1]~27959\)) # (!\led_flash_cnt[77][2]~q\ & ((\led_flash_cnt[77][1]~27959\) # (GND)))
-- \led_flash_cnt[77][2]~27961\ = CARRY((!\led_flash_cnt[77][1]~27959\) # (!\led_flash_cnt[77][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[77][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[77][1]~27959\,
	combout => \led_flash_cnt[77][2]~27960_combout\,
	cout => \led_flash_cnt[77][2]~27961\);

-- Location: FF_X11_Y28_N3
\led_flash_cnt[77][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[77][2]~27960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[77][2]~q\);

-- Location: LCCOMB_X11_Y28_N4
\led_flash_cnt[77][3]~27962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[77][3]~27962_combout\ = (\led_flash_cnt[77][3]~q\ & (\led_flash_cnt[77][2]~27961\ $ (GND))) # (!\led_flash_cnt[77][3]~q\ & (!\led_flash_cnt[77][2]~27961\ & VCC))
-- \led_flash_cnt[77][3]~27963\ = CARRY((\led_flash_cnt[77][3]~q\ & !\led_flash_cnt[77][2]~27961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[77][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[77][2]~27961\,
	combout => \led_flash_cnt[77][3]~27962_combout\,
	cout => \led_flash_cnt[77][3]~27963\);

-- Location: FF_X11_Y28_N5
\led_flash_cnt[77][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[77][3]~27962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[77][3]~q\);

-- Location: LCCOMB_X11_Y28_N6
\led_flash_cnt[77][4]~27964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[77][4]~27964_combout\ = (\led_flash_cnt[77][4]~q\ & (!\led_flash_cnt[77][3]~27963\)) # (!\led_flash_cnt[77][4]~q\ & ((\led_flash_cnt[77][3]~27963\) # (GND)))
-- \led_flash_cnt[77][4]~27965\ = CARRY((!\led_flash_cnt[77][3]~27963\) # (!\led_flash_cnt[77][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[77][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[77][3]~27963\,
	combout => \led_flash_cnt[77][4]~27964_combout\,
	cout => \led_flash_cnt[77][4]~27965\);

-- Location: FF_X11_Y28_N7
\led_flash_cnt[77][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[77][4]~27964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[77][4]~q\);

-- Location: LCCOMB_X11_Y28_N8
\led_flash_cnt[77][5]~27966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[77][5]~27966_combout\ = (\led_flash_cnt[77][5]~q\ & (\led_flash_cnt[77][4]~27965\ $ (GND))) # (!\led_flash_cnt[77][5]~q\ & (!\led_flash_cnt[77][4]~27965\ & VCC))
-- \led_flash_cnt[77][5]~27967\ = CARRY((\led_flash_cnt[77][5]~q\ & !\led_flash_cnt[77][4]~27965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[77][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[77][4]~27965\,
	combout => \led_flash_cnt[77][5]~27966_combout\,
	cout => \led_flash_cnt[77][5]~27967\);

-- Location: FF_X11_Y28_N9
\led_flash_cnt[77][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[77][5]~27966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[77][5]~q\);

-- Location: LCCOMB_X11_Y28_N10
\led_flash_cnt[77][6]~27968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[77][6]~27968_combout\ = (\led_flash_cnt[77][6]~q\ & (!\led_flash_cnt[77][5]~27967\)) # (!\led_flash_cnt[77][6]~q\ & ((\led_flash_cnt[77][5]~27967\) # (GND)))
-- \led_flash_cnt[77][6]~27969\ = CARRY((!\led_flash_cnt[77][5]~27967\) # (!\led_flash_cnt[77][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[77][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[77][5]~27967\,
	combout => \led_flash_cnt[77][6]~27968_combout\,
	cout => \led_flash_cnt[77][6]~27969\);

-- Location: FF_X11_Y28_N11
\led_flash_cnt[77][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[77][6]~27968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[77][6]~q\);

-- Location: LCCOMB_X11_Y28_N12
\led_flash_cnt[77][7]~27970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[77][7]~27970_combout\ = \led_flash_cnt[77][6]~27969\ $ (!\led_flash_cnt[77][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[77][7]~q\,
	cin => \led_flash_cnt[77][6]~27969\,
	combout => \led_flash_cnt[77][7]~27970_combout\);

-- Location: FF_X11_Y28_N13
\led_flash_cnt[77][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[77][7]~27970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[77][7]~q\);

-- Location: LCCOMB_X12_Y28_N28
\WideAnd77~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd77~1_combout\ = (\led_flash_cnt[77][5]~q\ & \led_flash_cnt[77][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[77][5]~q\,
	datad => \led_flash_cnt[77][6]~q\,
	combout => \WideAnd77~1_combout\);

-- Location: LCCOMB_X11_Y28_N14
\WideAnd77~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd77~0_combout\ = (\led_flash_cnt[77][4]~q\ & (\led_flash_cnt[77][1]~q\ & (\led_flash_cnt[77][3]~q\ & \led_flash_cnt[77][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[77][4]~q\,
	datab => \led_flash_cnt[77][1]~q\,
	datac => \led_flash_cnt[77][3]~q\,
	datad => \led_flash_cnt[77][2]~q\,
	combout => \WideAnd77~0_combout\);

-- Location: LCCOMB_X12_Y28_N30
WideAnd77 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd77~combout\ = (\led_flash_cnt[77][7]~q\ & (\WideAnd77~1_combout\ & (\led_flash_cnt[77][0]~q\ & \WideAnd77~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[77][7]~q\,
	datab => \WideAnd77~1_combout\,
	datac => \led_flash_cnt[77][0]~q\,
	datad => \WideAnd77~0_combout\,
	combout => \WideAnd77~combout\);

-- Location: FF_X12_Y28_N31
\led_flash_cnt_ands[77]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd77~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(77));

-- Location: LCCOMB_X9_Y27_N2
\led_flash_cnt[76][0]~80716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[76][0]~80716_combout\ = !\led_flash_cnt[76][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[76][0]~q\,
	combout => \led_flash_cnt[76][0]~80716_combout\);

-- Location: FF_X9_Y27_N3
\led_flash_cnt[76][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[76][0]~80716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[76][0]~q\);

-- Location: LCCOMB_X8_Y27_N16
\led_flash_cnt[76][1]~27944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[76][1]~27944_combout\ = (\led_flash_cnt[76][0]~q\ & (\led_flash_cnt[76][1]~q\ $ (VCC))) # (!\led_flash_cnt[76][0]~q\ & (\led_flash_cnt[76][1]~q\ & VCC))
-- \led_flash_cnt[76][1]~27945\ = CARRY((\led_flash_cnt[76][0]~q\ & \led_flash_cnt[76][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[76][0]~q\,
	datab => \led_flash_cnt[76][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[76][1]~27944_combout\,
	cout => \led_flash_cnt[76][1]~27945\);

-- Location: FF_X8_Y27_N17
\led_flash_cnt[76][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[76][1]~27944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[76][1]~q\);

-- Location: LCCOMB_X8_Y27_N18
\led_flash_cnt[76][2]~27946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[76][2]~27946_combout\ = (\led_flash_cnt[76][2]~q\ & (!\led_flash_cnt[76][1]~27945\)) # (!\led_flash_cnt[76][2]~q\ & ((\led_flash_cnt[76][1]~27945\) # (GND)))
-- \led_flash_cnt[76][2]~27947\ = CARRY((!\led_flash_cnt[76][1]~27945\) # (!\led_flash_cnt[76][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[76][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[76][1]~27945\,
	combout => \led_flash_cnt[76][2]~27946_combout\,
	cout => \led_flash_cnt[76][2]~27947\);

-- Location: FF_X8_Y27_N19
\led_flash_cnt[76][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[76][2]~27946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[76][2]~q\);

-- Location: LCCOMB_X8_Y27_N20
\led_flash_cnt[76][3]~27948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[76][3]~27948_combout\ = (\led_flash_cnt[76][3]~q\ & (\led_flash_cnt[76][2]~27947\ $ (GND))) # (!\led_flash_cnt[76][3]~q\ & (!\led_flash_cnt[76][2]~27947\ & VCC))
-- \led_flash_cnt[76][3]~27949\ = CARRY((\led_flash_cnt[76][3]~q\ & !\led_flash_cnt[76][2]~27947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[76][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[76][2]~27947\,
	combout => \led_flash_cnt[76][3]~27948_combout\,
	cout => \led_flash_cnt[76][3]~27949\);

-- Location: FF_X8_Y27_N21
\led_flash_cnt[76][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[76][3]~27948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[76][3]~q\);

-- Location: LCCOMB_X8_Y27_N22
\led_flash_cnt[76][4]~27950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[76][4]~27950_combout\ = (\led_flash_cnt[76][4]~q\ & (!\led_flash_cnt[76][3]~27949\)) # (!\led_flash_cnt[76][4]~q\ & ((\led_flash_cnt[76][3]~27949\) # (GND)))
-- \led_flash_cnt[76][4]~27951\ = CARRY((!\led_flash_cnt[76][3]~27949\) # (!\led_flash_cnt[76][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[76][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[76][3]~27949\,
	combout => \led_flash_cnt[76][4]~27950_combout\,
	cout => \led_flash_cnt[76][4]~27951\);

-- Location: FF_X8_Y27_N23
\led_flash_cnt[76][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[76][4]~27950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[76][4]~q\);

-- Location: LCCOMB_X8_Y27_N24
\led_flash_cnt[76][5]~27952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[76][5]~27952_combout\ = (\led_flash_cnt[76][5]~q\ & (\led_flash_cnt[76][4]~27951\ $ (GND))) # (!\led_flash_cnt[76][5]~q\ & (!\led_flash_cnt[76][4]~27951\ & VCC))
-- \led_flash_cnt[76][5]~27953\ = CARRY((\led_flash_cnt[76][5]~q\ & !\led_flash_cnt[76][4]~27951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[76][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[76][4]~27951\,
	combout => \led_flash_cnt[76][5]~27952_combout\,
	cout => \led_flash_cnt[76][5]~27953\);

-- Location: FF_X8_Y27_N25
\led_flash_cnt[76][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[76][5]~27952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[76][5]~q\);

-- Location: LCCOMB_X8_Y27_N26
\led_flash_cnt[76][6]~27954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[76][6]~27954_combout\ = (\led_flash_cnt[76][6]~q\ & (!\led_flash_cnt[76][5]~27953\)) # (!\led_flash_cnt[76][6]~q\ & ((\led_flash_cnt[76][5]~27953\) # (GND)))
-- \led_flash_cnt[76][6]~27955\ = CARRY((!\led_flash_cnt[76][5]~27953\) # (!\led_flash_cnt[76][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[76][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[76][5]~27953\,
	combout => \led_flash_cnt[76][6]~27954_combout\,
	cout => \led_flash_cnt[76][6]~27955\);

-- Location: FF_X8_Y27_N27
\led_flash_cnt[76][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[76][6]~27954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[76][6]~q\);

-- Location: LCCOMB_X9_Y27_N10
\WideAnd76~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd76~1_combout\ = (\led_flash_cnt[76][6]~q\ & \led_flash_cnt[76][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[76][6]~q\,
	datad => \led_flash_cnt[76][5]~q\,
	combout => \WideAnd76~1_combout\);

-- Location: LCCOMB_X8_Y27_N28
\led_flash_cnt[76][7]~27956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[76][7]~27956_combout\ = \led_flash_cnt[76][6]~27955\ $ (!\led_flash_cnt[76][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[76][7]~q\,
	cin => \led_flash_cnt[76][6]~27955\,
	combout => \led_flash_cnt[76][7]~27956_combout\);

-- Location: FF_X8_Y27_N29
\led_flash_cnt[76][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[76][7]~27956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[76][7]~q\);

-- Location: LCCOMB_X8_Y27_N30
\WideAnd76~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd76~0_combout\ = (\led_flash_cnt[76][2]~q\ & (\led_flash_cnt[76][1]~q\ & (\led_flash_cnt[76][4]~q\ & \led_flash_cnt[76][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[76][2]~q\,
	datab => \led_flash_cnt[76][1]~q\,
	datac => \led_flash_cnt[76][4]~q\,
	datad => \led_flash_cnt[76][3]~q\,
	combout => \WideAnd76~0_combout\);

-- Location: LCCOMB_X9_Y27_N4
WideAnd76 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd76~combout\ = (\WideAnd76~1_combout\ & (\led_flash_cnt[76][7]~q\ & (\led_flash_cnt[76][0]~q\ & \WideAnd76~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd76~1_combout\,
	datab => \led_flash_cnt[76][7]~q\,
	datac => \led_flash_cnt[76][0]~q\,
	datad => \WideAnd76~0_combout\,
	combout => \WideAnd76~combout\);

-- Location: FF_X9_Y27_N5
\led_flash_cnt_ands[76]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd76~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(76));

-- Location: LCCOMB_X12_Y27_N28
\WideAnd3849~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3849~1_combout\ = (led_flash_cnt_ands(77) & led_flash_cnt_ands(76))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(77),
	datad => led_flash_cnt_ands(76),
	combout => \WideAnd3849~1_combout\);

-- Location: LCCOMB_X51_Y12_N16
\led_flash_cnt[74][0]~80714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[74][0]~80714_combout\ = !\led_flash_cnt[74][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[74][0]~q\,
	combout => \led_flash_cnt[74][0]~80714_combout\);

-- Location: FF_X51_Y12_N17
\led_flash_cnt[74][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[74][0]~80714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[74][0]~q\);

-- Location: LCCOMB_X51_Y12_N2
\led_flash_cnt[74][1]~27916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[74][1]~27916_combout\ = (\led_flash_cnt[74][1]~q\ & (\led_flash_cnt[74][0]~q\ $ (VCC))) # (!\led_flash_cnt[74][1]~q\ & (\led_flash_cnt[74][0]~q\ & VCC))
-- \led_flash_cnt[74][1]~27917\ = CARRY((\led_flash_cnt[74][1]~q\ & \led_flash_cnt[74][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[74][1]~q\,
	datab => \led_flash_cnt[74][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[74][1]~27916_combout\,
	cout => \led_flash_cnt[74][1]~27917\);

-- Location: FF_X51_Y12_N3
\led_flash_cnt[74][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[74][1]~27916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[74][1]~q\);

-- Location: LCCOMB_X51_Y12_N4
\led_flash_cnt[74][2]~27918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[74][2]~27918_combout\ = (\led_flash_cnt[74][2]~q\ & (!\led_flash_cnt[74][1]~27917\)) # (!\led_flash_cnt[74][2]~q\ & ((\led_flash_cnt[74][1]~27917\) # (GND)))
-- \led_flash_cnt[74][2]~27919\ = CARRY((!\led_flash_cnt[74][1]~27917\) # (!\led_flash_cnt[74][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[74][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[74][1]~27917\,
	combout => \led_flash_cnt[74][2]~27918_combout\,
	cout => \led_flash_cnt[74][2]~27919\);

-- Location: FF_X51_Y12_N5
\led_flash_cnt[74][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[74][2]~27918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[74][2]~q\);

-- Location: LCCOMB_X51_Y12_N6
\led_flash_cnt[74][3]~27920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[74][3]~27920_combout\ = (\led_flash_cnt[74][3]~q\ & (\led_flash_cnt[74][2]~27919\ $ (GND))) # (!\led_flash_cnt[74][3]~q\ & (!\led_flash_cnt[74][2]~27919\ & VCC))
-- \led_flash_cnt[74][3]~27921\ = CARRY((\led_flash_cnt[74][3]~q\ & !\led_flash_cnt[74][2]~27919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[74][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[74][2]~27919\,
	combout => \led_flash_cnt[74][3]~27920_combout\,
	cout => \led_flash_cnt[74][3]~27921\);

-- Location: FF_X51_Y12_N7
\led_flash_cnt[74][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[74][3]~27920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[74][3]~q\);

-- Location: LCCOMB_X51_Y12_N8
\led_flash_cnt[74][4]~27922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[74][4]~27922_combout\ = (\led_flash_cnt[74][4]~q\ & (!\led_flash_cnt[74][3]~27921\)) # (!\led_flash_cnt[74][4]~q\ & ((\led_flash_cnt[74][3]~27921\) # (GND)))
-- \led_flash_cnt[74][4]~27923\ = CARRY((!\led_flash_cnt[74][3]~27921\) # (!\led_flash_cnt[74][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[74][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[74][3]~27921\,
	combout => \led_flash_cnt[74][4]~27922_combout\,
	cout => \led_flash_cnt[74][4]~27923\);

-- Location: FF_X51_Y12_N9
\led_flash_cnt[74][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[74][4]~27922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[74][4]~q\);

-- Location: LCCOMB_X51_Y12_N10
\led_flash_cnt[74][5]~27924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[74][5]~27924_combout\ = (\led_flash_cnt[74][5]~q\ & (\led_flash_cnt[74][4]~27923\ $ (GND))) # (!\led_flash_cnt[74][5]~q\ & (!\led_flash_cnt[74][4]~27923\ & VCC))
-- \led_flash_cnt[74][5]~27925\ = CARRY((\led_flash_cnt[74][5]~q\ & !\led_flash_cnt[74][4]~27923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[74][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[74][4]~27923\,
	combout => \led_flash_cnt[74][5]~27924_combout\,
	cout => \led_flash_cnt[74][5]~27925\);

-- Location: FF_X51_Y12_N11
\led_flash_cnt[74][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[74][5]~27924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[74][5]~q\);

-- Location: LCCOMB_X51_Y12_N12
\led_flash_cnt[74][6]~27926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[74][6]~27926_combout\ = (\led_flash_cnt[74][6]~q\ & (!\led_flash_cnt[74][5]~27925\)) # (!\led_flash_cnt[74][6]~q\ & ((\led_flash_cnt[74][5]~27925\) # (GND)))
-- \led_flash_cnt[74][6]~27927\ = CARRY((!\led_flash_cnt[74][5]~27925\) # (!\led_flash_cnt[74][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[74][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[74][5]~27925\,
	combout => \led_flash_cnt[74][6]~27926_combout\,
	cout => \led_flash_cnt[74][6]~27927\);

-- Location: FF_X51_Y12_N13
\led_flash_cnt[74][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[74][6]~27926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[74][6]~q\);

-- Location: LCCOMB_X51_Y12_N22
\WideAnd74~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd74~1_combout\ = (\led_flash_cnt[74][6]~q\ & \led_flash_cnt[74][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[74][6]~q\,
	datad => \led_flash_cnt[74][5]~q\,
	combout => \WideAnd74~1_combout\);

-- Location: LCCOMB_X51_Y12_N24
\WideAnd74~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd74~0_combout\ = (\led_flash_cnt[74][1]~q\ & (\led_flash_cnt[74][4]~q\ & (\led_flash_cnt[74][2]~q\ & \led_flash_cnt[74][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[74][1]~q\,
	datab => \led_flash_cnt[74][4]~q\,
	datac => \led_flash_cnt[74][2]~q\,
	datad => \led_flash_cnt[74][3]~q\,
	combout => \WideAnd74~0_combout\);

-- Location: LCCOMB_X51_Y12_N14
\led_flash_cnt[74][7]~27928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[74][7]~27928_combout\ = \led_flash_cnt[74][7]~q\ $ (!\led_flash_cnt[74][6]~27927\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[74][7]~q\,
	cin => \led_flash_cnt[74][6]~27927\,
	combout => \led_flash_cnt[74][7]~27928_combout\);

-- Location: FF_X51_Y12_N15
\led_flash_cnt[74][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[74][7]~27928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[74][7]~q\);

-- Location: LCCOMB_X51_Y12_N26
WideAnd74 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd74~combout\ = (\WideAnd74~1_combout\ & (\WideAnd74~0_combout\ & (\led_flash_cnt[74][7]~q\ & \led_flash_cnt[74][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd74~1_combout\,
	datab => \WideAnd74~0_combout\,
	datac => \led_flash_cnt[74][7]~q\,
	datad => \led_flash_cnt[74][0]~q\,
	combout => \WideAnd74~combout\);

-- Location: FF_X51_Y12_N27
\led_flash_cnt_ands[74]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd74~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(74));

-- Location: LCCOMB_X51_Y12_N28
\led_flash_cnt[72][0]~80712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[72][0]~80712_combout\ = !\led_flash_cnt[72][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[72][0]~q\,
	combout => \led_flash_cnt[72][0]~80712_combout\);

-- Location: FF_X51_Y12_N29
\led_flash_cnt[72][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[72][0]~80712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[72][0]~q\);

-- Location: LCCOMB_X50_Y12_N18
\led_flash_cnt[72][1]~27888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[72][1]~27888_combout\ = (\led_flash_cnt[72][1]~q\ & (\led_flash_cnt[72][0]~q\ $ (VCC))) # (!\led_flash_cnt[72][1]~q\ & (\led_flash_cnt[72][0]~q\ & VCC))
-- \led_flash_cnt[72][1]~27889\ = CARRY((\led_flash_cnt[72][1]~q\ & \led_flash_cnt[72][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[72][1]~q\,
	datab => \led_flash_cnt[72][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[72][1]~27888_combout\,
	cout => \led_flash_cnt[72][1]~27889\);

-- Location: FF_X50_Y12_N19
\led_flash_cnt[72][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[72][1]~27888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[72][1]~q\);

-- Location: LCCOMB_X50_Y12_N20
\led_flash_cnt[72][2]~27890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[72][2]~27890_combout\ = (\led_flash_cnt[72][2]~q\ & (!\led_flash_cnt[72][1]~27889\)) # (!\led_flash_cnt[72][2]~q\ & ((\led_flash_cnt[72][1]~27889\) # (GND)))
-- \led_flash_cnt[72][2]~27891\ = CARRY((!\led_flash_cnt[72][1]~27889\) # (!\led_flash_cnt[72][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[72][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[72][1]~27889\,
	combout => \led_flash_cnt[72][2]~27890_combout\,
	cout => \led_flash_cnt[72][2]~27891\);

-- Location: FF_X50_Y12_N21
\led_flash_cnt[72][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[72][2]~27890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[72][2]~q\);

-- Location: LCCOMB_X50_Y12_N22
\led_flash_cnt[72][3]~27892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[72][3]~27892_combout\ = (\led_flash_cnt[72][3]~q\ & (\led_flash_cnt[72][2]~27891\ $ (GND))) # (!\led_flash_cnt[72][3]~q\ & (!\led_flash_cnt[72][2]~27891\ & VCC))
-- \led_flash_cnt[72][3]~27893\ = CARRY((\led_flash_cnt[72][3]~q\ & !\led_flash_cnt[72][2]~27891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[72][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[72][2]~27891\,
	combout => \led_flash_cnt[72][3]~27892_combout\,
	cout => \led_flash_cnt[72][3]~27893\);

-- Location: FF_X50_Y12_N23
\led_flash_cnt[72][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[72][3]~27892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[72][3]~q\);

-- Location: LCCOMB_X50_Y12_N24
\led_flash_cnt[72][4]~27894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[72][4]~27894_combout\ = (\led_flash_cnt[72][4]~q\ & (!\led_flash_cnt[72][3]~27893\)) # (!\led_flash_cnt[72][4]~q\ & ((\led_flash_cnt[72][3]~27893\) # (GND)))
-- \led_flash_cnt[72][4]~27895\ = CARRY((!\led_flash_cnt[72][3]~27893\) # (!\led_flash_cnt[72][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[72][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[72][3]~27893\,
	combout => \led_flash_cnt[72][4]~27894_combout\,
	cout => \led_flash_cnt[72][4]~27895\);

-- Location: FF_X50_Y12_N25
\led_flash_cnt[72][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[72][4]~27894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[72][4]~q\);

-- Location: LCCOMB_X50_Y12_N14
\WideAnd72~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd72~0_combout\ = (\led_flash_cnt[72][1]~q\ & (\led_flash_cnt[72][2]~q\ & (\led_flash_cnt[72][3]~q\ & \led_flash_cnt[72][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[72][1]~q\,
	datab => \led_flash_cnt[72][2]~q\,
	datac => \led_flash_cnt[72][3]~q\,
	datad => \led_flash_cnt[72][4]~q\,
	combout => \WideAnd72~0_combout\);

-- Location: LCCOMB_X50_Y12_N26
\led_flash_cnt[72][5]~27896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[72][5]~27896_combout\ = (\led_flash_cnt[72][5]~q\ & (\led_flash_cnt[72][4]~27895\ $ (GND))) # (!\led_flash_cnt[72][5]~q\ & (!\led_flash_cnt[72][4]~27895\ & VCC))
-- \led_flash_cnt[72][5]~27897\ = CARRY((\led_flash_cnt[72][5]~q\ & !\led_flash_cnt[72][4]~27895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[72][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[72][4]~27895\,
	combout => \led_flash_cnt[72][5]~27896_combout\,
	cout => \led_flash_cnt[72][5]~27897\);

-- Location: FF_X50_Y12_N27
\led_flash_cnt[72][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[72][5]~27896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[72][5]~q\);

-- Location: LCCOMB_X50_Y12_N28
\led_flash_cnt[72][6]~27898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[72][6]~27898_combout\ = (\led_flash_cnt[72][6]~q\ & (!\led_flash_cnt[72][5]~27897\)) # (!\led_flash_cnt[72][6]~q\ & ((\led_flash_cnt[72][5]~27897\) # (GND)))
-- \led_flash_cnt[72][6]~27899\ = CARRY((!\led_flash_cnt[72][5]~27897\) # (!\led_flash_cnt[72][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[72][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[72][5]~27897\,
	combout => \led_flash_cnt[72][6]~27898_combout\,
	cout => \led_flash_cnt[72][6]~27899\);

-- Location: FF_X50_Y12_N29
\led_flash_cnt[72][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[72][6]~27898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[72][6]~q\);

-- Location: LCCOMB_X50_Y12_N30
\led_flash_cnt[72][7]~27900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[72][7]~27900_combout\ = \led_flash_cnt[72][7]~q\ $ (!\led_flash_cnt[72][6]~27899\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[72][7]~q\,
	cin => \led_flash_cnt[72][6]~27899\,
	combout => \led_flash_cnt[72][7]~27900_combout\);

-- Location: FF_X50_Y12_N31
\led_flash_cnt[72][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[72][7]~27900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[72][7]~q\);

-- Location: LCCOMB_X51_Y12_N30
\WideAnd72~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd72~1_combout\ = (\led_flash_cnt[72][5]~q\ & \led_flash_cnt[72][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[72][5]~q\,
	datad => \led_flash_cnt[72][6]~q\,
	combout => \WideAnd72~1_combout\);

-- Location: LCCOMB_X51_Y12_N20
WideAnd72 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd72~combout\ = (\WideAnd72~0_combout\ & (\led_flash_cnt[72][7]~q\ & (\WideAnd72~1_combout\ & \led_flash_cnt[72][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd72~0_combout\,
	datab => \led_flash_cnt[72][7]~q\,
	datac => \WideAnd72~1_combout\,
	datad => \led_flash_cnt[72][0]~q\,
	combout => \WideAnd72~combout\);

-- Location: FF_X51_Y12_N21
\led_flash_cnt_ands[72]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd72~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(72));

-- Location: LCCOMB_X50_Y4_N6
\led_flash_cnt[73][0]~80713\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[73][0]~80713_combout\ = !\led_flash_cnt[73][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[73][0]~q\,
	combout => \led_flash_cnt[73][0]~80713_combout\);

-- Location: FF_X50_Y4_N7
\led_flash_cnt[73][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[73][0]~80713_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[73][0]~q\);

-- Location: LCCOMB_X51_Y4_N0
\led_flash_cnt[73][1]~27902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[73][1]~27902_combout\ = (\led_flash_cnt[73][0]~q\ & (\led_flash_cnt[73][1]~q\ $ (VCC))) # (!\led_flash_cnt[73][0]~q\ & (\led_flash_cnt[73][1]~q\ & VCC))
-- \led_flash_cnt[73][1]~27903\ = CARRY((\led_flash_cnt[73][0]~q\ & \led_flash_cnt[73][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[73][0]~q\,
	datab => \led_flash_cnt[73][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[73][1]~27902_combout\,
	cout => \led_flash_cnt[73][1]~27903\);

-- Location: FF_X51_Y4_N1
\led_flash_cnt[73][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[73][1]~27902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[73][1]~q\);

-- Location: LCCOMB_X51_Y4_N2
\led_flash_cnt[73][2]~27904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[73][2]~27904_combout\ = (\led_flash_cnt[73][2]~q\ & (!\led_flash_cnt[73][1]~27903\)) # (!\led_flash_cnt[73][2]~q\ & ((\led_flash_cnt[73][1]~27903\) # (GND)))
-- \led_flash_cnt[73][2]~27905\ = CARRY((!\led_flash_cnt[73][1]~27903\) # (!\led_flash_cnt[73][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[73][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[73][1]~27903\,
	combout => \led_flash_cnt[73][2]~27904_combout\,
	cout => \led_flash_cnt[73][2]~27905\);

-- Location: FF_X51_Y4_N3
\led_flash_cnt[73][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[73][2]~27904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[73][2]~q\);

-- Location: LCCOMB_X51_Y4_N4
\led_flash_cnt[73][3]~27906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[73][3]~27906_combout\ = (\led_flash_cnt[73][3]~q\ & (\led_flash_cnt[73][2]~27905\ $ (GND))) # (!\led_flash_cnt[73][3]~q\ & (!\led_flash_cnt[73][2]~27905\ & VCC))
-- \led_flash_cnt[73][3]~27907\ = CARRY((\led_flash_cnt[73][3]~q\ & !\led_flash_cnt[73][2]~27905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[73][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[73][2]~27905\,
	combout => \led_flash_cnt[73][3]~27906_combout\,
	cout => \led_flash_cnt[73][3]~27907\);

-- Location: FF_X51_Y4_N5
\led_flash_cnt[73][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[73][3]~27906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[73][3]~q\);

-- Location: LCCOMB_X51_Y4_N6
\led_flash_cnt[73][4]~27908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[73][4]~27908_combout\ = (\led_flash_cnt[73][4]~q\ & (!\led_flash_cnt[73][3]~27907\)) # (!\led_flash_cnt[73][4]~q\ & ((\led_flash_cnt[73][3]~27907\) # (GND)))
-- \led_flash_cnt[73][4]~27909\ = CARRY((!\led_flash_cnt[73][3]~27907\) # (!\led_flash_cnt[73][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[73][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[73][3]~27907\,
	combout => \led_flash_cnt[73][4]~27908_combout\,
	cout => \led_flash_cnt[73][4]~27909\);

-- Location: FF_X51_Y4_N7
\led_flash_cnt[73][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[73][4]~27908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[73][4]~q\);

-- Location: LCCOMB_X51_Y4_N8
\led_flash_cnt[73][5]~27910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[73][5]~27910_combout\ = (\led_flash_cnt[73][5]~q\ & (\led_flash_cnt[73][4]~27909\ $ (GND))) # (!\led_flash_cnt[73][5]~q\ & (!\led_flash_cnt[73][4]~27909\ & VCC))
-- \led_flash_cnt[73][5]~27911\ = CARRY((\led_flash_cnt[73][5]~q\ & !\led_flash_cnt[73][4]~27909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[73][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[73][4]~27909\,
	combout => \led_flash_cnt[73][5]~27910_combout\,
	cout => \led_flash_cnt[73][5]~27911\);

-- Location: FF_X51_Y4_N9
\led_flash_cnt[73][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[73][5]~27910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[73][5]~q\);

-- Location: LCCOMB_X51_Y4_N10
\led_flash_cnt[73][6]~27912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[73][6]~27912_combout\ = (\led_flash_cnt[73][6]~q\ & (!\led_flash_cnt[73][5]~27911\)) # (!\led_flash_cnt[73][6]~q\ & ((\led_flash_cnt[73][5]~27911\) # (GND)))
-- \led_flash_cnt[73][6]~27913\ = CARRY((!\led_flash_cnt[73][5]~27911\) # (!\led_flash_cnt[73][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[73][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[73][5]~27911\,
	combout => \led_flash_cnt[73][6]~27912_combout\,
	cout => \led_flash_cnt[73][6]~27913\);

-- Location: FF_X51_Y4_N11
\led_flash_cnt[73][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[73][6]~27912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[73][6]~q\);

-- Location: LCCOMB_X50_Y4_N28
\WideAnd73~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd73~1_combout\ = (\led_flash_cnt[73][6]~q\ & \led_flash_cnt[73][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[73][6]~q\,
	datac => \led_flash_cnt[73][5]~q\,
	combout => \WideAnd73~1_combout\);

-- Location: LCCOMB_X51_Y4_N12
\led_flash_cnt[73][7]~27914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[73][7]~27914_combout\ = \led_flash_cnt[73][6]~27913\ $ (!\led_flash_cnt[73][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[73][7]~q\,
	cin => \led_flash_cnt[73][6]~27913\,
	combout => \led_flash_cnt[73][7]~27914_combout\);

-- Location: FF_X51_Y4_N13
\led_flash_cnt[73][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[73][7]~27914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[73][7]~q\);

-- Location: LCCOMB_X51_Y4_N16
\WideAnd73~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd73~0_combout\ = (\led_flash_cnt[73][4]~q\ & (\led_flash_cnt[73][1]~q\ & (\led_flash_cnt[73][3]~q\ & \led_flash_cnt[73][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[73][4]~q\,
	datab => \led_flash_cnt[73][1]~q\,
	datac => \led_flash_cnt[73][3]~q\,
	datad => \led_flash_cnt[73][2]~q\,
	combout => \WideAnd73~0_combout\);

-- Location: LCCOMB_X50_Y4_N10
WideAnd73 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd73~combout\ = (\led_flash_cnt[73][0]~q\ & (\WideAnd73~1_combout\ & (\led_flash_cnt[73][7]~q\ & \WideAnd73~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[73][0]~q\,
	datab => \WideAnd73~1_combout\,
	datac => \led_flash_cnt[73][7]~q\,
	datad => \WideAnd73~0_combout\,
	combout => \WideAnd73~combout\);

-- Location: FF_X50_Y4_N11
\led_flash_cnt_ands[73]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd73~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(73));

-- Location: LCCOMB_X51_Y18_N28
\led_flash_cnt[75][0]~80715\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[75][0]~80715_combout\ = !\led_flash_cnt[75][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[75][0]~q\,
	combout => \led_flash_cnt[75][0]~80715_combout\);

-- Location: FF_X51_Y18_N29
\led_flash_cnt[75][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[75][0]~80715_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[75][0]~q\);

-- Location: LCCOMB_X51_Y14_N2
\led_flash_cnt[75][1]~27930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[75][1]~27930_combout\ = (\led_flash_cnt[75][0]~q\ & (\led_flash_cnt[75][1]~q\ $ (VCC))) # (!\led_flash_cnt[75][0]~q\ & (\led_flash_cnt[75][1]~q\ & VCC))
-- \led_flash_cnt[75][1]~27931\ = CARRY((\led_flash_cnt[75][0]~q\ & \led_flash_cnt[75][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[75][0]~q\,
	datab => \led_flash_cnt[75][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[75][1]~27930_combout\,
	cout => \led_flash_cnt[75][1]~27931\);

-- Location: FF_X51_Y14_N3
\led_flash_cnt[75][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[75][1]~27930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[75][1]~q\);

-- Location: LCCOMB_X51_Y14_N4
\led_flash_cnt[75][2]~27932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[75][2]~27932_combout\ = (\led_flash_cnt[75][2]~q\ & (!\led_flash_cnt[75][1]~27931\)) # (!\led_flash_cnt[75][2]~q\ & ((\led_flash_cnt[75][1]~27931\) # (GND)))
-- \led_flash_cnt[75][2]~27933\ = CARRY((!\led_flash_cnt[75][1]~27931\) # (!\led_flash_cnt[75][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[75][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[75][1]~27931\,
	combout => \led_flash_cnt[75][2]~27932_combout\,
	cout => \led_flash_cnt[75][2]~27933\);

-- Location: FF_X51_Y14_N5
\led_flash_cnt[75][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[75][2]~27932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[75][2]~q\);

-- Location: LCCOMB_X51_Y14_N6
\led_flash_cnt[75][3]~27934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[75][3]~27934_combout\ = (\led_flash_cnt[75][3]~q\ & (\led_flash_cnt[75][2]~27933\ $ (GND))) # (!\led_flash_cnt[75][3]~q\ & (!\led_flash_cnt[75][2]~27933\ & VCC))
-- \led_flash_cnt[75][3]~27935\ = CARRY((\led_flash_cnt[75][3]~q\ & !\led_flash_cnt[75][2]~27933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[75][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[75][2]~27933\,
	combout => \led_flash_cnt[75][3]~27934_combout\,
	cout => \led_flash_cnt[75][3]~27935\);

-- Location: FF_X51_Y14_N7
\led_flash_cnt[75][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[75][3]~27934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[75][3]~q\);

-- Location: LCCOMB_X51_Y14_N8
\led_flash_cnt[75][4]~27936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[75][4]~27936_combout\ = (\led_flash_cnt[75][4]~q\ & (!\led_flash_cnt[75][3]~27935\)) # (!\led_flash_cnt[75][4]~q\ & ((\led_flash_cnt[75][3]~27935\) # (GND)))
-- \led_flash_cnt[75][4]~27937\ = CARRY((!\led_flash_cnt[75][3]~27935\) # (!\led_flash_cnt[75][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[75][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[75][3]~27935\,
	combout => \led_flash_cnt[75][4]~27936_combout\,
	cout => \led_flash_cnt[75][4]~27937\);

-- Location: FF_X51_Y14_N9
\led_flash_cnt[75][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[75][4]~27936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[75][4]~q\);

-- Location: LCCOMB_X51_Y14_N30
\WideAnd75~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd75~0_combout\ = (\led_flash_cnt[75][3]~q\ & (\led_flash_cnt[75][4]~q\ & (\led_flash_cnt[75][2]~q\ & \led_flash_cnt[75][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[75][3]~q\,
	datab => \led_flash_cnt[75][4]~q\,
	datac => \led_flash_cnt[75][2]~q\,
	datad => \led_flash_cnt[75][1]~q\,
	combout => \WideAnd75~0_combout\);

-- Location: LCCOMB_X51_Y14_N10
\led_flash_cnt[75][5]~27938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[75][5]~27938_combout\ = (\led_flash_cnt[75][5]~q\ & (\led_flash_cnt[75][4]~27937\ $ (GND))) # (!\led_flash_cnt[75][5]~q\ & (!\led_flash_cnt[75][4]~27937\ & VCC))
-- \led_flash_cnt[75][5]~27939\ = CARRY((\led_flash_cnt[75][5]~q\ & !\led_flash_cnt[75][4]~27937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[75][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[75][4]~27937\,
	combout => \led_flash_cnt[75][5]~27938_combout\,
	cout => \led_flash_cnt[75][5]~27939\);

-- Location: FF_X51_Y14_N11
\led_flash_cnt[75][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[75][5]~27938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[75][5]~q\);

-- Location: LCCOMB_X51_Y14_N12
\led_flash_cnt[75][6]~27940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[75][6]~27940_combout\ = (\led_flash_cnt[75][6]~q\ & (!\led_flash_cnt[75][5]~27939\)) # (!\led_flash_cnt[75][6]~q\ & ((\led_flash_cnt[75][5]~27939\) # (GND)))
-- \led_flash_cnt[75][6]~27941\ = CARRY((!\led_flash_cnt[75][5]~27939\) # (!\led_flash_cnt[75][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[75][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[75][5]~27939\,
	combout => \led_flash_cnt[75][6]~27940_combout\,
	cout => \led_flash_cnt[75][6]~27941\);

-- Location: FF_X51_Y14_N13
\led_flash_cnt[75][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[75][6]~27940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[75][6]~q\);

-- Location: LCCOMB_X51_Y14_N14
\led_flash_cnt[75][7]~27942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[75][7]~27942_combout\ = \led_flash_cnt[75][7]~q\ $ (!\led_flash_cnt[75][6]~27941\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[75][7]~q\,
	cin => \led_flash_cnt[75][6]~27941\,
	combout => \led_flash_cnt[75][7]~27942_combout\);

-- Location: FF_X51_Y14_N15
\led_flash_cnt[75][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[75][7]~27942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[75][7]~q\);

-- Location: LCCOMB_X51_Y12_N0
\WideAnd75~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd75~1_combout\ = (\led_flash_cnt[75][6]~q\ & \led_flash_cnt[75][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[75][6]~q\,
	datad => \led_flash_cnt[75][5]~q\,
	combout => \WideAnd75~1_combout\);

-- Location: LCCOMB_X51_Y14_N0
WideAnd75 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd75~combout\ = (\WideAnd75~0_combout\ & (\led_flash_cnt[75][7]~q\ & (\led_flash_cnt[75][0]~q\ & \WideAnd75~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd75~0_combout\,
	datab => \led_flash_cnt[75][7]~q\,
	datac => \led_flash_cnt[75][0]~q\,
	datad => \WideAnd75~1_combout\,
	combout => \WideAnd75~combout\);

-- Location: FF_X51_Y14_N1
\led_flash_cnt_ands[75]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd75~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(75));

-- Location: LCCOMB_X51_Y12_N18
\WideAnd3849~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3849~0_combout\ = (led_flash_cnt_ands(74) & (led_flash_cnt_ands(72) & (led_flash_cnt_ands(73) & led_flash_cnt_ands(75))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(74),
	datab => led_flash_cnt_ands(72),
	datac => led_flash_cnt_ands(73),
	datad => led_flash_cnt_ands(75),
	combout => \WideAnd3849~0_combout\);

-- Location: LCCOMB_X52_Y12_N4
WideAnd3849 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3849~combout\ = (led_flash_cnt_ands(78) & (led_flash_cnt_ands(79) & (\WideAnd3849~1_combout\ & \WideAnd3849~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(78),
	datab => led_flash_cnt_ands(79),
	datac => \WideAnd3849~1_combout\,
	datad => \WideAnd3849~0_combout\,
	combout => \WideAnd3849~combout\);

-- Location: FF_X52_Y12_N5
\led_flash_cnt_ands_1[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3849~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(9));

-- Location: LCCOMB_X64_Y13_N2
\led_flash_cnt[70][0]~80710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[70][0]~80710_combout\ = !\led_flash_cnt[70][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[70][0]~q\,
	combout => \led_flash_cnt[70][0]~80710_combout\);

-- Location: FF_X64_Y13_N3
\led_flash_cnt[70][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[70][0]~80710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[70][0]~q\);

-- Location: LCCOMB_X63_Y13_N0
\led_flash_cnt[70][1]~27860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[70][1]~27860_combout\ = (\led_flash_cnt[70][0]~q\ & (\led_flash_cnt[70][1]~q\ $ (VCC))) # (!\led_flash_cnt[70][0]~q\ & (\led_flash_cnt[70][1]~q\ & VCC))
-- \led_flash_cnt[70][1]~27861\ = CARRY((\led_flash_cnt[70][0]~q\ & \led_flash_cnt[70][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[70][0]~q\,
	datab => \led_flash_cnt[70][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[70][1]~27860_combout\,
	cout => \led_flash_cnt[70][1]~27861\);

-- Location: FF_X63_Y13_N1
\led_flash_cnt[70][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[70][1]~27860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[70][1]~q\);

-- Location: LCCOMB_X63_Y13_N2
\led_flash_cnt[70][2]~27862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[70][2]~27862_combout\ = (\led_flash_cnt[70][2]~q\ & (!\led_flash_cnt[70][1]~27861\)) # (!\led_flash_cnt[70][2]~q\ & ((\led_flash_cnt[70][1]~27861\) # (GND)))
-- \led_flash_cnt[70][2]~27863\ = CARRY((!\led_flash_cnt[70][1]~27861\) # (!\led_flash_cnt[70][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[70][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[70][1]~27861\,
	combout => \led_flash_cnt[70][2]~27862_combout\,
	cout => \led_flash_cnt[70][2]~27863\);

-- Location: FF_X63_Y13_N3
\led_flash_cnt[70][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[70][2]~27862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[70][2]~q\);

-- Location: LCCOMB_X63_Y13_N4
\led_flash_cnt[70][3]~27864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[70][3]~27864_combout\ = (\led_flash_cnt[70][3]~q\ & (\led_flash_cnt[70][2]~27863\ $ (GND))) # (!\led_flash_cnt[70][3]~q\ & (!\led_flash_cnt[70][2]~27863\ & VCC))
-- \led_flash_cnt[70][3]~27865\ = CARRY((\led_flash_cnt[70][3]~q\ & !\led_flash_cnt[70][2]~27863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[70][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[70][2]~27863\,
	combout => \led_flash_cnt[70][3]~27864_combout\,
	cout => \led_flash_cnt[70][3]~27865\);

-- Location: FF_X63_Y13_N5
\led_flash_cnt[70][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[70][3]~27864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[70][3]~q\);

-- Location: LCCOMB_X63_Y13_N6
\led_flash_cnt[70][4]~27866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[70][4]~27866_combout\ = (\led_flash_cnt[70][4]~q\ & (!\led_flash_cnt[70][3]~27865\)) # (!\led_flash_cnt[70][4]~q\ & ((\led_flash_cnt[70][3]~27865\) # (GND)))
-- \led_flash_cnt[70][4]~27867\ = CARRY((!\led_flash_cnt[70][3]~27865\) # (!\led_flash_cnt[70][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[70][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[70][3]~27865\,
	combout => \led_flash_cnt[70][4]~27866_combout\,
	cout => \led_flash_cnt[70][4]~27867\);

-- Location: FF_X63_Y13_N7
\led_flash_cnt[70][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[70][4]~27866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[70][4]~q\);

-- Location: LCCOMB_X63_Y13_N8
\led_flash_cnt[70][5]~27868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[70][5]~27868_combout\ = (\led_flash_cnt[70][5]~q\ & (\led_flash_cnt[70][4]~27867\ $ (GND))) # (!\led_flash_cnt[70][5]~q\ & (!\led_flash_cnt[70][4]~27867\ & VCC))
-- \led_flash_cnt[70][5]~27869\ = CARRY((\led_flash_cnt[70][5]~q\ & !\led_flash_cnt[70][4]~27867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[70][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[70][4]~27867\,
	combout => \led_flash_cnt[70][5]~27868_combout\,
	cout => \led_flash_cnt[70][5]~27869\);

-- Location: FF_X63_Y13_N9
\led_flash_cnt[70][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[70][5]~27868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[70][5]~q\);

-- Location: LCCOMB_X63_Y13_N10
\led_flash_cnt[70][6]~27870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[70][6]~27870_combout\ = (\led_flash_cnt[70][6]~q\ & (!\led_flash_cnt[70][5]~27869\)) # (!\led_flash_cnt[70][6]~q\ & ((\led_flash_cnt[70][5]~27869\) # (GND)))
-- \led_flash_cnt[70][6]~27871\ = CARRY((!\led_flash_cnt[70][5]~27869\) # (!\led_flash_cnt[70][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[70][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[70][5]~27869\,
	combout => \led_flash_cnt[70][6]~27870_combout\,
	cout => \led_flash_cnt[70][6]~27871\);

-- Location: FF_X63_Y13_N11
\led_flash_cnt[70][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[70][6]~27870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[70][6]~q\);

-- Location: LCCOMB_X63_Y13_N12
\led_flash_cnt[70][7]~27872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[70][7]~27872_combout\ = \led_flash_cnt[70][6]~27871\ $ (!\led_flash_cnt[70][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[70][7]~q\,
	cin => \led_flash_cnt[70][6]~27871\,
	combout => \led_flash_cnt[70][7]~27872_combout\);

-- Location: FF_X63_Y13_N13
\led_flash_cnt[70][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[70][7]~27872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[70][7]~q\);

-- Location: LCCOMB_X64_Y13_N20
\WideAnd70~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd70~0_combout\ = (\led_flash_cnt[70][1]~q\ & (\led_flash_cnt[70][4]~q\ & (\led_flash_cnt[70][3]~q\ & \led_flash_cnt[70][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[70][1]~q\,
	datab => \led_flash_cnt[70][4]~q\,
	datac => \led_flash_cnt[70][3]~q\,
	datad => \led_flash_cnt[70][2]~q\,
	combout => \WideAnd70~0_combout\);

-- Location: LCCOMB_X64_Y13_N22
\WideAnd70~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd70~1_combout\ = (\led_flash_cnt[70][6]~q\ & \led_flash_cnt[70][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[70][6]~q\,
	datad => \led_flash_cnt[70][5]~q\,
	combout => \WideAnd70~1_combout\);

-- Location: LCCOMB_X64_Y13_N10
WideAnd70 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd70~combout\ = (\led_flash_cnt[70][7]~q\ & (\WideAnd70~0_combout\ & (\WideAnd70~1_combout\ & \led_flash_cnt[70][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[70][7]~q\,
	datab => \WideAnd70~0_combout\,
	datac => \WideAnd70~1_combout\,
	datad => \led_flash_cnt[70][0]~q\,
	combout => \WideAnd70~combout\);

-- Location: FF_X64_Y13_N11
\led_flash_cnt_ands[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd70~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(70));

-- Location: LCCOMB_X62_Y13_N16
\led_flash_cnt[68][0]~80708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[68][0]~80708_combout\ = !\led_flash_cnt[68][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[68][0]~q\,
	combout => \led_flash_cnt[68][0]~80708_combout\);

-- Location: FF_X62_Y13_N17
\led_flash_cnt[68][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[68][0]~80708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[68][0]~q\);

-- Location: LCCOMB_X61_Y13_N18
\led_flash_cnt[68][1]~27832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[68][1]~27832_combout\ = (\led_flash_cnt[68][1]~q\ & (\led_flash_cnt[68][0]~q\ $ (VCC))) # (!\led_flash_cnt[68][1]~q\ & (\led_flash_cnt[68][0]~q\ & VCC))
-- \led_flash_cnt[68][1]~27833\ = CARRY((\led_flash_cnt[68][1]~q\ & \led_flash_cnt[68][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[68][1]~q\,
	datab => \led_flash_cnt[68][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[68][1]~27832_combout\,
	cout => \led_flash_cnt[68][1]~27833\);

-- Location: FF_X61_Y13_N19
\led_flash_cnt[68][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[68][1]~27832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[68][1]~q\);

-- Location: LCCOMB_X61_Y13_N20
\led_flash_cnt[68][2]~27834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[68][2]~27834_combout\ = (\led_flash_cnt[68][2]~q\ & (!\led_flash_cnt[68][1]~27833\)) # (!\led_flash_cnt[68][2]~q\ & ((\led_flash_cnt[68][1]~27833\) # (GND)))
-- \led_flash_cnt[68][2]~27835\ = CARRY((!\led_flash_cnt[68][1]~27833\) # (!\led_flash_cnt[68][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[68][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[68][1]~27833\,
	combout => \led_flash_cnt[68][2]~27834_combout\,
	cout => \led_flash_cnt[68][2]~27835\);

-- Location: FF_X61_Y13_N21
\led_flash_cnt[68][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[68][2]~27834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[68][2]~q\);

-- Location: LCCOMB_X61_Y13_N22
\led_flash_cnt[68][3]~27836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[68][3]~27836_combout\ = (\led_flash_cnt[68][3]~q\ & (\led_flash_cnt[68][2]~27835\ $ (GND))) # (!\led_flash_cnt[68][3]~q\ & (!\led_flash_cnt[68][2]~27835\ & VCC))
-- \led_flash_cnt[68][3]~27837\ = CARRY((\led_flash_cnt[68][3]~q\ & !\led_flash_cnt[68][2]~27835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[68][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[68][2]~27835\,
	combout => \led_flash_cnt[68][3]~27836_combout\,
	cout => \led_flash_cnt[68][3]~27837\);

-- Location: FF_X61_Y13_N23
\led_flash_cnt[68][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[68][3]~27836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[68][3]~q\);

-- Location: LCCOMB_X61_Y13_N24
\led_flash_cnt[68][4]~27838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[68][4]~27838_combout\ = (\led_flash_cnt[68][4]~q\ & (!\led_flash_cnt[68][3]~27837\)) # (!\led_flash_cnt[68][4]~q\ & ((\led_flash_cnt[68][3]~27837\) # (GND)))
-- \led_flash_cnt[68][4]~27839\ = CARRY((!\led_flash_cnt[68][3]~27837\) # (!\led_flash_cnt[68][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[68][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[68][3]~27837\,
	combout => \led_flash_cnt[68][4]~27838_combout\,
	cout => \led_flash_cnt[68][4]~27839\);

-- Location: FF_X61_Y13_N25
\led_flash_cnt[68][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[68][4]~27838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[68][4]~q\);

-- Location: LCCOMB_X61_Y13_N26
\led_flash_cnt[68][5]~27840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[68][5]~27840_combout\ = (\led_flash_cnt[68][5]~q\ & (\led_flash_cnt[68][4]~27839\ $ (GND))) # (!\led_flash_cnt[68][5]~q\ & (!\led_flash_cnt[68][4]~27839\ & VCC))
-- \led_flash_cnt[68][5]~27841\ = CARRY((\led_flash_cnt[68][5]~q\ & !\led_flash_cnt[68][4]~27839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[68][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[68][4]~27839\,
	combout => \led_flash_cnt[68][5]~27840_combout\,
	cout => \led_flash_cnt[68][5]~27841\);

-- Location: FF_X61_Y13_N27
\led_flash_cnt[68][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[68][5]~27840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[68][5]~q\);

-- Location: LCCOMB_X61_Y13_N28
\led_flash_cnt[68][6]~27842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[68][6]~27842_combout\ = (\led_flash_cnt[68][6]~q\ & (!\led_flash_cnt[68][5]~27841\)) # (!\led_flash_cnt[68][6]~q\ & ((\led_flash_cnt[68][5]~27841\) # (GND)))
-- \led_flash_cnt[68][6]~27843\ = CARRY((!\led_flash_cnt[68][5]~27841\) # (!\led_flash_cnt[68][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[68][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[68][5]~27841\,
	combout => \led_flash_cnt[68][6]~27842_combout\,
	cout => \led_flash_cnt[68][6]~27843\);

-- Location: FF_X61_Y13_N29
\led_flash_cnt[68][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[68][6]~27842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[68][6]~q\);

-- Location: LCCOMB_X62_Y13_N26
\WideAnd68~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd68~1_combout\ = (\led_flash_cnt[68][5]~q\ & \led_flash_cnt[68][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[68][5]~q\,
	datad => \led_flash_cnt[68][6]~q\,
	combout => \WideAnd68~1_combout\);

-- Location: LCCOMB_X61_Y13_N30
\led_flash_cnt[68][7]~27844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[68][7]~27844_combout\ = \led_flash_cnt[68][7]~q\ $ (!\led_flash_cnt[68][6]~27843\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[68][7]~q\,
	cin => \led_flash_cnt[68][6]~27843\,
	combout => \led_flash_cnt[68][7]~27844_combout\);

-- Location: FF_X61_Y13_N31
\led_flash_cnt[68][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[68][7]~27844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[68][7]~q\);

-- Location: LCCOMB_X61_Y13_N0
\WideAnd68~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd68~0_combout\ = (\led_flash_cnt[68][1]~q\ & (\led_flash_cnt[68][2]~q\ & (\led_flash_cnt[68][3]~q\ & \led_flash_cnt[68][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[68][1]~q\,
	datab => \led_flash_cnt[68][2]~q\,
	datac => \led_flash_cnt[68][3]~q\,
	datad => \led_flash_cnt[68][4]~q\,
	combout => \WideAnd68~0_combout\);

-- Location: LCCOMB_X62_Y13_N20
WideAnd68 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd68~combout\ = (\WideAnd68~1_combout\ & (\led_flash_cnt[68][7]~q\ & (\WideAnd68~0_combout\ & \led_flash_cnt[68][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd68~1_combout\,
	datab => \led_flash_cnt[68][7]~q\,
	datac => \WideAnd68~0_combout\,
	datad => \led_flash_cnt[68][0]~q\,
	combout => \WideAnd68~combout\);

-- Location: FF_X62_Y13_N21
\led_flash_cnt_ands[68]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd68~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(68));

-- Location: LCCOMB_X64_Y13_N6
\led_flash_cnt[69][0]~80709\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[69][0]~80709_combout\ = !\led_flash_cnt[69][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[69][0]~q\,
	combout => \led_flash_cnt[69][0]~80709_combout\);

-- Location: FF_X64_Y13_N7
\led_flash_cnt[69][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[69][0]~80709_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[69][0]~q\);

-- Location: LCCOMB_X65_Y13_N4
\led_flash_cnt[69][1]~27846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[69][1]~27846_combout\ = (\led_flash_cnt[69][0]~q\ & (\led_flash_cnt[69][1]~q\ $ (VCC))) # (!\led_flash_cnt[69][0]~q\ & (\led_flash_cnt[69][1]~q\ & VCC))
-- \led_flash_cnt[69][1]~27847\ = CARRY((\led_flash_cnt[69][0]~q\ & \led_flash_cnt[69][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[69][0]~q\,
	datab => \led_flash_cnt[69][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[69][1]~27846_combout\,
	cout => \led_flash_cnt[69][1]~27847\);

-- Location: FF_X65_Y13_N5
\led_flash_cnt[69][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[69][1]~27846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[69][1]~q\);

-- Location: LCCOMB_X65_Y13_N6
\led_flash_cnt[69][2]~27848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[69][2]~27848_combout\ = (\led_flash_cnt[69][2]~q\ & (!\led_flash_cnt[69][1]~27847\)) # (!\led_flash_cnt[69][2]~q\ & ((\led_flash_cnt[69][1]~27847\) # (GND)))
-- \led_flash_cnt[69][2]~27849\ = CARRY((!\led_flash_cnt[69][1]~27847\) # (!\led_flash_cnt[69][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[69][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[69][1]~27847\,
	combout => \led_flash_cnt[69][2]~27848_combout\,
	cout => \led_flash_cnt[69][2]~27849\);

-- Location: FF_X65_Y13_N7
\led_flash_cnt[69][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[69][2]~27848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[69][2]~q\);

-- Location: LCCOMB_X65_Y13_N8
\led_flash_cnt[69][3]~27850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[69][3]~27850_combout\ = (\led_flash_cnt[69][3]~q\ & (\led_flash_cnt[69][2]~27849\ $ (GND))) # (!\led_flash_cnt[69][3]~q\ & (!\led_flash_cnt[69][2]~27849\ & VCC))
-- \led_flash_cnt[69][3]~27851\ = CARRY((\led_flash_cnt[69][3]~q\ & !\led_flash_cnt[69][2]~27849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[69][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[69][2]~27849\,
	combout => \led_flash_cnt[69][3]~27850_combout\,
	cout => \led_flash_cnt[69][3]~27851\);

-- Location: FF_X65_Y13_N9
\led_flash_cnt[69][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[69][3]~27850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[69][3]~q\);

-- Location: LCCOMB_X65_Y13_N10
\led_flash_cnt[69][4]~27852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[69][4]~27852_combout\ = (\led_flash_cnt[69][4]~q\ & (!\led_flash_cnt[69][3]~27851\)) # (!\led_flash_cnt[69][4]~q\ & ((\led_flash_cnt[69][3]~27851\) # (GND)))
-- \led_flash_cnt[69][4]~27853\ = CARRY((!\led_flash_cnt[69][3]~27851\) # (!\led_flash_cnt[69][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[69][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[69][3]~27851\,
	combout => \led_flash_cnt[69][4]~27852_combout\,
	cout => \led_flash_cnt[69][4]~27853\);

-- Location: FF_X65_Y13_N11
\led_flash_cnt[69][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[69][4]~27852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[69][4]~q\);

-- Location: LCCOMB_X65_Y13_N12
\led_flash_cnt[69][5]~27854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[69][5]~27854_combout\ = (\led_flash_cnt[69][5]~q\ & (\led_flash_cnt[69][4]~27853\ $ (GND))) # (!\led_flash_cnt[69][5]~q\ & (!\led_flash_cnt[69][4]~27853\ & VCC))
-- \led_flash_cnt[69][5]~27855\ = CARRY((\led_flash_cnt[69][5]~q\ & !\led_flash_cnt[69][4]~27853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[69][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[69][4]~27853\,
	combout => \led_flash_cnt[69][5]~27854_combout\,
	cout => \led_flash_cnt[69][5]~27855\);

-- Location: FF_X65_Y13_N13
\led_flash_cnt[69][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[69][5]~27854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[69][5]~q\);

-- Location: LCCOMB_X65_Y13_N14
\led_flash_cnt[69][6]~27856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[69][6]~27856_combout\ = (\led_flash_cnt[69][6]~q\ & (!\led_flash_cnt[69][5]~27855\)) # (!\led_flash_cnt[69][6]~q\ & ((\led_flash_cnt[69][5]~27855\) # (GND)))
-- \led_flash_cnt[69][6]~27857\ = CARRY((!\led_flash_cnt[69][5]~27855\) # (!\led_flash_cnt[69][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[69][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[69][5]~27855\,
	combout => \led_flash_cnt[69][6]~27856_combout\,
	cout => \led_flash_cnt[69][6]~27857\);

-- Location: FF_X65_Y13_N15
\led_flash_cnt[69][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[69][6]~27856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[69][6]~q\);

-- Location: LCCOMB_X65_Y13_N16
\led_flash_cnt[69][7]~27858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[69][7]~27858_combout\ = \led_flash_cnt[69][6]~27857\ $ (!\led_flash_cnt[69][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[69][7]~q\,
	cin => \led_flash_cnt[69][6]~27857\,
	combout => \led_flash_cnt[69][7]~27858_combout\);

-- Location: FF_X65_Y13_N17
\led_flash_cnt[69][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[69][7]~27858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[69][7]~q\);

-- Location: LCCOMB_X64_Y13_N26
\WideAnd69~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd69~1_combout\ = (\led_flash_cnt[69][5]~q\ & \led_flash_cnt[69][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[69][5]~q\,
	datac => \led_flash_cnt[69][6]~q\,
	combout => \WideAnd69~1_combout\);

-- Location: LCCOMB_X65_Y13_N2
\WideAnd69~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd69~0_combout\ = (\led_flash_cnt[69][4]~q\ & (\led_flash_cnt[69][3]~q\ & (\led_flash_cnt[69][1]~q\ & \led_flash_cnt[69][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[69][4]~q\,
	datab => \led_flash_cnt[69][3]~q\,
	datac => \led_flash_cnt[69][1]~q\,
	datad => \led_flash_cnt[69][2]~q\,
	combout => \WideAnd69~0_combout\);

-- Location: LCCOMB_X64_Y13_N18
WideAnd69 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd69~combout\ = (\led_flash_cnt[69][0]~q\ & (\led_flash_cnt[69][7]~q\ & (\WideAnd69~1_combout\ & \WideAnd69~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[69][0]~q\,
	datab => \led_flash_cnt[69][7]~q\,
	datac => \WideAnd69~1_combout\,
	datad => \WideAnd69~0_combout\,
	combout => \WideAnd69~combout\);

-- Location: FF_X64_Y13_N19
\led_flash_cnt_ands[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd69~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(69));

-- Location: LCCOMB_X64_Y13_N24
\WideAnd3848~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3848~1_combout\ = (led_flash_cnt_ands(68) & led_flash_cnt_ands(69))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(68),
	datad => led_flash_cnt_ands(69),
	combout => \WideAnd3848~1_combout\);

-- Location: LCCOMB_X66_Y2_N2
\led_flash_cnt[66][0]~80706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[66][0]~80706_combout\ = !\led_flash_cnt[66][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[66][0]~q\,
	combout => \led_flash_cnt[66][0]~80706_combout\);

-- Location: FF_X66_Y2_N3
\led_flash_cnt[66][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[66][0]~80706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[66][0]~q\);

-- Location: LCCOMB_X65_Y2_N16
\led_flash_cnt[66][1]~27804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[66][1]~27804_combout\ = (\led_flash_cnt[66][0]~q\ & (\led_flash_cnt[66][1]~q\ $ (VCC))) # (!\led_flash_cnt[66][0]~q\ & (\led_flash_cnt[66][1]~q\ & VCC))
-- \led_flash_cnt[66][1]~27805\ = CARRY((\led_flash_cnt[66][0]~q\ & \led_flash_cnt[66][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[66][0]~q\,
	datab => \led_flash_cnt[66][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[66][1]~27804_combout\,
	cout => \led_flash_cnt[66][1]~27805\);

-- Location: FF_X65_Y2_N17
\led_flash_cnt[66][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[66][1]~27804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[66][1]~q\);

-- Location: LCCOMB_X65_Y2_N18
\led_flash_cnt[66][2]~27806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[66][2]~27806_combout\ = (\led_flash_cnt[66][2]~q\ & (!\led_flash_cnt[66][1]~27805\)) # (!\led_flash_cnt[66][2]~q\ & ((\led_flash_cnt[66][1]~27805\) # (GND)))
-- \led_flash_cnt[66][2]~27807\ = CARRY((!\led_flash_cnt[66][1]~27805\) # (!\led_flash_cnt[66][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[66][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[66][1]~27805\,
	combout => \led_flash_cnt[66][2]~27806_combout\,
	cout => \led_flash_cnt[66][2]~27807\);

-- Location: FF_X65_Y2_N19
\led_flash_cnt[66][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[66][2]~27806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[66][2]~q\);

-- Location: LCCOMB_X65_Y2_N20
\led_flash_cnt[66][3]~27808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[66][3]~27808_combout\ = (\led_flash_cnt[66][3]~q\ & (\led_flash_cnt[66][2]~27807\ $ (GND))) # (!\led_flash_cnt[66][3]~q\ & (!\led_flash_cnt[66][2]~27807\ & VCC))
-- \led_flash_cnt[66][3]~27809\ = CARRY((\led_flash_cnt[66][3]~q\ & !\led_flash_cnt[66][2]~27807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[66][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[66][2]~27807\,
	combout => \led_flash_cnt[66][3]~27808_combout\,
	cout => \led_flash_cnt[66][3]~27809\);

-- Location: FF_X65_Y2_N21
\led_flash_cnt[66][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[66][3]~27808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[66][3]~q\);

-- Location: LCCOMB_X65_Y2_N22
\led_flash_cnt[66][4]~27810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[66][4]~27810_combout\ = (\led_flash_cnt[66][4]~q\ & (!\led_flash_cnt[66][3]~27809\)) # (!\led_flash_cnt[66][4]~q\ & ((\led_flash_cnt[66][3]~27809\) # (GND)))
-- \led_flash_cnt[66][4]~27811\ = CARRY((!\led_flash_cnt[66][3]~27809\) # (!\led_flash_cnt[66][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[66][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[66][3]~27809\,
	combout => \led_flash_cnt[66][4]~27810_combout\,
	cout => \led_flash_cnt[66][4]~27811\);

-- Location: FF_X65_Y2_N23
\led_flash_cnt[66][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[66][4]~27810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[66][4]~q\);

-- Location: LCCOMB_X65_Y2_N14
\WideAnd66~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd66~0_combout\ = (\led_flash_cnt[66][3]~q\ & (\led_flash_cnt[66][1]~q\ & (\led_flash_cnt[66][4]~q\ & \led_flash_cnt[66][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[66][3]~q\,
	datab => \led_flash_cnt[66][1]~q\,
	datac => \led_flash_cnt[66][4]~q\,
	datad => \led_flash_cnt[66][2]~q\,
	combout => \WideAnd66~0_combout\);

-- Location: LCCOMB_X65_Y2_N24
\led_flash_cnt[66][5]~27812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[66][5]~27812_combout\ = (\led_flash_cnt[66][5]~q\ & (\led_flash_cnt[66][4]~27811\ $ (GND))) # (!\led_flash_cnt[66][5]~q\ & (!\led_flash_cnt[66][4]~27811\ & VCC))
-- \led_flash_cnt[66][5]~27813\ = CARRY((\led_flash_cnt[66][5]~q\ & !\led_flash_cnt[66][4]~27811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[66][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[66][4]~27811\,
	combout => \led_flash_cnt[66][5]~27812_combout\,
	cout => \led_flash_cnt[66][5]~27813\);

-- Location: FF_X65_Y2_N25
\led_flash_cnt[66][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[66][5]~27812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[66][5]~q\);

-- Location: LCCOMB_X65_Y2_N26
\led_flash_cnt[66][6]~27814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[66][6]~27814_combout\ = (\led_flash_cnt[66][6]~q\ & (!\led_flash_cnt[66][5]~27813\)) # (!\led_flash_cnt[66][6]~q\ & ((\led_flash_cnt[66][5]~27813\) # (GND)))
-- \led_flash_cnt[66][6]~27815\ = CARRY((!\led_flash_cnt[66][5]~27813\) # (!\led_flash_cnt[66][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[66][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[66][5]~27813\,
	combout => \led_flash_cnt[66][6]~27814_combout\,
	cout => \led_flash_cnt[66][6]~27815\);

-- Location: FF_X65_Y2_N27
\led_flash_cnt[66][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[66][6]~27814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[66][6]~q\);

-- Location: LCCOMB_X65_Y2_N28
\led_flash_cnt[66][7]~27816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[66][7]~27816_combout\ = \led_flash_cnt[66][6]~27815\ $ (!\led_flash_cnt[66][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[66][7]~q\,
	cin => \led_flash_cnt[66][6]~27815\,
	combout => \led_flash_cnt[66][7]~27816_combout\);

-- Location: FF_X65_Y2_N29
\led_flash_cnt[66][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[66][7]~27816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[66][7]~q\);

-- Location: LCCOMB_X66_Y2_N4
\WideAnd66~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd66~1_combout\ = (\led_flash_cnt[66][6]~q\ & \led_flash_cnt[66][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[66][6]~q\,
	datad => \led_flash_cnt[66][5]~q\,
	combout => \WideAnd66~1_combout\);

-- Location: LCCOMB_X66_Y2_N14
WideAnd66 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd66~combout\ = (\WideAnd66~0_combout\ & (\led_flash_cnt[66][7]~q\ & (\WideAnd66~1_combout\ & \led_flash_cnt[66][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd66~0_combout\,
	datab => \led_flash_cnt[66][7]~q\,
	datac => \WideAnd66~1_combout\,
	datad => \led_flash_cnt[66][0]~q\,
	combout => \WideAnd66~combout\);

-- Location: FF_X66_Y2_N15
\led_flash_cnt_ands[66]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd66~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(66));

-- Location: LCCOMB_X72_Y4_N6
\led_flash_cnt[67][0]~80707\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[67][0]~80707_combout\ = !\led_flash_cnt[67][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[67][0]~q\,
	combout => \led_flash_cnt[67][0]~80707_combout\);

-- Location: FF_X72_Y4_N7
\led_flash_cnt[67][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[67][0]~80707_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[67][0]~q\);

-- Location: LCCOMB_X72_Y4_N8
\led_flash_cnt[67][1]~27818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[67][1]~27818_combout\ = (\led_flash_cnt[67][0]~q\ & (\led_flash_cnt[67][1]~q\ $ (VCC))) # (!\led_flash_cnt[67][0]~q\ & (\led_flash_cnt[67][1]~q\ & VCC))
-- \led_flash_cnt[67][1]~27819\ = CARRY((\led_flash_cnt[67][0]~q\ & \led_flash_cnt[67][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[67][0]~q\,
	datab => \led_flash_cnt[67][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[67][1]~27818_combout\,
	cout => \led_flash_cnt[67][1]~27819\);

-- Location: FF_X72_Y4_N9
\led_flash_cnt[67][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[67][1]~27818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[67][1]~q\);

-- Location: LCCOMB_X72_Y4_N10
\led_flash_cnt[67][2]~27820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[67][2]~27820_combout\ = (\led_flash_cnt[67][2]~q\ & (!\led_flash_cnt[67][1]~27819\)) # (!\led_flash_cnt[67][2]~q\ & ((\led_flash_cnt[67][1]~27819\) # (GND)))
-- \led_flash_cnt[67][2]~27821\ = CARRY((!\led_flash_cnt[67][1]~27819\) # (!\led_flash_cnt[67][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[67][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[67][1]~27819\,
	combout => \led_flash_cnt[67][2]~27820_combout\,
	cout => \led_flash_cnt[67][2]~27821\);

-- Location: FF_X72_Y4_N11
\led_flash_cnt[67][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[67][2]~27820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[67][2]~q\);

-- Location: LCCOMB_X72_Y4_N12
\led_flash_cnt[67][3]~27822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[67][3]~27822_combout\ = (\led_flash_cnt[67][3]~q\ & (\led_flash_cnt[67][2]~27821\ $ (GND))) # (!\led_flash_cnt[67][3]~q\ & (!\led_flash_cnt[67][2]~27821\ & VCC))
-- \led_flash_cnt[67][3]~27823\ = CARRY((\led_flash_cnt[67][3]~q\ & !\led_flash_cnt[67][2]~27821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[67][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[67][2]~27821\,
	combout => \led_flash_cnt[67][3]~27822_combout\,
	cout => \led_flash_cnt[67][3]~27823\);

-- Location: FF_X72_Y4_N13
\led_flash_cnt[67][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[67][3]~27822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[67][3]~q\);

-- Location: LCCOMB_X72_Y4_N14
\led_flash_cnt[67][4]~27824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[67][4]~27824_combout\ = (\led_flash_cnt[67][4]~q\ & (!\led_flash_cnt[67][3]~27823\)) # (!\led_flash_cnt[67][4]~q\ & ((\led_flash_cnt[67][3]~27823\) # (GND)))
-- \led_flash_cnt[67][4]~27825\ = CARRY((!\led_flash_cnt[67][3]~27823\) # (!\led_flash_cnt[67][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[67][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[67][3]~27823\,
	combout => \led_flash_cnt[67][4]~27824_combout\,
	cout => \led_flash_cnt[67][4]~27825\);

-- Location: FF_X72_Y4_N15
\led_flash_cnt[67][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[67][4]~27824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[67][4]~q\);

-- Location: LCCOMB_X72_Y4_N16
\led_flash_cnt[67][5]~27826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[67][5]~27826_combout\ = (\led_flash_cnt[67][5]~q\ & (\led_flash_cnt[67][4]~27825\ $ (GND))) # (!\led_flash_cnt[67][5]~q\ & (!\led_flash_cnt[67][4]~27825\ & VCC))
-- \led_flash_cnt[67][5]~27827\ = CARRY((\led_flash_cnt[67][5]~q\ & !\led_flash_cnt[67][4]~27825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[67][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[67][4]~27825\,
	combout => \led_flash_cnt[67][5]~27826_combout\,
	cout => \led_flash_cnt[67][5]~27827\);

-- Location: FF_X72_Y4_N17
\led_flash_cnt[67][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[67][5]~27826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[67][5]~q\);

-- Location: LCCOMB_X72_Y4_N18
\led_flash_cnt[67][6]~27828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[67][6]~27828_combout\ = (\led_flash_cnt[67][6]~q\ & (!\led_flash_cnt[67][5]~27827\)) # (!\led_flash_cnt[67][6]~q\ & ((\led_flash_cnt[67][5]~27827\) # (GND)))
-- \led_flash_cnt[67][6]~27829\ = CARRY((!\led_flash_cnt[67][5]~27827\) # (!\led_flash_cnt[67][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[67][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[67][5]~27827\,
	combout => \led_flash_cnt[67][6]~27828_combout\,
	cout => \led_flash_cnt[67][6]~27829\);

-- Location: FF_X72_Y4_N19
\led_flash_cnt[67][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[67][6]~27828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[67][6]~q\);

-- Location: LCCOMB_X72_Y4_N20
\led_flash_cnt[67][7]~27830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[67][7]~27830_combout\ = \led_flash_cnt[67][6]~27829\ $ (!\led_flash_cnt[67][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[67][7]~q\,
	cin => \led_flash_cnt[67][6]~27829\,
	combout => \led_flash_cnt[67][7]~27830_combout\);

-- Location: FF_X72_Y4_N21
\led_flash_cnt[67][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[67][7]~27830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[67][7]~q\);

-- Location: LCCOMB_X72_Y4_N22
\WideAnd67~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd67~1_combout\ = (\led_flash_cnt[67][6]~q\ & \led_flash_cnt[67][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[67][6]~q\,
	datad => \led_flash_cnt[67][5]~q\,
	combout => \WideAnd67~1_combout\);

-- Location: LCCOMB_X72_Y4_N24
\WideAnd67~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd67~0_combout\ = (\led_flash_cnt[67][3]~q\ & (\led_flash_cnt[67][4]~q\ & (\led_flash_cnt[67][1]~q\ & \led_flash_cnt[67][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[67][3]~q\,
	datab => \led_flash_cnt[67][4]~q\,
	datac => \led_flash_cnt[67][1]~q\,
	datad => \led_flash_cnt[67][2]~q\,
	combout => \WideAnd67~0_combout\);

-- Location: LCCOMB_X72_Y4_N26
WideAnd67 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd67~combout\ = (\led_flash_cnt[67][0]~q\ & (\led_flash_cnt[67][7]~q\ & (\WideAnd67~1_combout\ & \WideAnd67~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[67][0]~q\,
	datab => \led_flash_cnt[67][7]~q\,
	datac => \WideAnd67~1_combout\,
	datad => \WideAnd67~0_combout\,
	combout => \WideAnd67~combout\);

-- Location: FF_X72_Y4_N27
\led_flash_cnt_ands[67]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd67~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(67));

-- Location: LCCOMB_X72_Y4_N2
\led_flash_cnt[65][0]~80705\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[65][0]~80705_combout\ = !\led_flash_cnt[65][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[65][0]~q\,
	combout => \led_flash_cnt[65][0]~80705_combout\);

-- Location: FF_X72_Y4_N3
\led_flash_cnt[65][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[65][0]~80705_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[65][0]~q\);

-- Location: LCCOMB_X71_Y4_N18
\led_flash_cnt[65][1]~27790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[65][1]~27790_combout\ = (\led_flash_cnt[65][0]~q\ & (\led_flash_cnt[65][1]~q\ $ (VCC))) # (!\led_flash_cnt[65][0]~q\ & (\led_flash_cnt[65][1]~q\ & VCC))
-- \led_flash_cnt[65][1]~27791\ = CARRY((\led_flash_cnt[65][0]~q\ & \led_flash_cnt[65][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[65][0]~q\,
	datab => \led_flash_cnt[65][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[65][1]~27790_combout\,
	cout => \led_flash_cnt[65][1]~27791\);

-- Location: FF_X71_Y4_N19
\led_flash_cnt[65][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[65][1]~27790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[65][1]~q\);

-- Location: LCCOMB_X71_Y4_N20
\led_flash_cnt[65][2]~27792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[65][2]~27792_combout\ = (\led_flash_cnt[65][2]~q\ & (!\led_flash_cnt[65][1]~27791\)) # (!\led_flash_cnt[65][2]~q\ & ((\led_flash_cnt[65][1]~27791\) # (GND)))
-- \led_flash_cnt[65][2]~27793\ = CARRY((!\led_flash_cnt[65][1]~27791\) # (!\led_flash_cnt[65][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[65][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[65][1]~27791\,
	combout => \led_flash_cnt[65][2]~27792_combout\,
	cout => \led_flash_cnt[65][2]~27793\);

-- Location: FF_X71_Y4_N21
\led_flash_cnt[65][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[65][2]~27792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[65][2]~q\);

-- Location: LCCOMB_X71_Y4_N22
\led_flash_cnt[65][3]~27794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[65][3]~27794_combout\ = (\led_flash_cnt[65][3]~q\ & (\led_flash_cnt[65][2]~27793\ $ (GND))) # (!\led_flash_cnt[65][3]~q\ & (!\led_flash_cnt[65][2]~27793\ & VCC))
-- \led_flash_cnt[65][3]~27795\ = CARRY((\led_flash_cnt[65][3]~q\ & !\led_flash_cnt[65][2]~27793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[65][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[65][2]~27793\,
	combout => \led_flash_cnt[65][3]~27794_combout\,
	cout => \led_flash_cnt[65][3]~27795\);

-- Location: FF_X71_Y4_N23
\led_flash_cnt[65][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[65][3]~27794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[65][3]~q\);

-- Location: LCCOMB_X71_Y4_N24
\led_flash_cnt[65][4]~27796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[65][4]~27796_combout\ = (\led_flash_cnt[65][4]~q\ & (!\led_flash_cnt[65][3]~27795\)) # (!\led_flash_cnt[65][4]~q\ & ((\led_flash_cnt[65][3]~27795\) # (GND)))
-- \led_flash_cnt[65][4]~27797\ = CARRY((!\led_flash_cnt[65][3]~27795\) # (!\led_flash_cnt[65][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[65][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[65][3]~27795\,
	combout => \led_flash_cnt[65][4]~27796_combout\,
	cout => \led_flash_cnt[65][4]~27797\);

-- Location: FF_X71_Y4_N25
\led_flash_cnt[65][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[65][4]~27796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[65][4]~q\);

-- Location: LCCOMB_X71_Y4_N26
\led_flash_cnt[65][5]~27798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[65][5]~27798_combout\ = (\led_flash_cnt[65][5]~q\ & (\led_flash_cnt[65][4]~27797\ $ (GND))) # (!\led_flash_cnt[65][5]~q\ & (!\led_flash_cnt[65][4]~27797\ & VCC))
-- \led_flash_cnt[65][5]~27799\ = CARRY((\led_flash_cnt[65][5]~q\ & !\led_flash_cnt[65][4]~27797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[65][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[65][4]~27797\,
	combout => \led_flash_cnt[65][5]~27798_combout\,
	cout => \led_flash_cnt[65][5]~27799\);

-- Location: FF_X71_Y4_N27
\led_flash_cnt[65][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[65][5]~27798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[65][5]~q\);

-- Location: LCCOMB_X71_Y4_N28
\led_flash_cnt[65][6]~27800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[65][6]~27800_combout\ = (\led_flash_cnt[65][6]~q\ & (!\led_flash_cnt[65][5]~27799\)) # (!\led_flash_cnt[65][6]~q\ & ((\led_flash_cnt[65][5]~27799\) # (GND)))
-- \led_flash_cnt[65][6]~27801\ = CARRY((!\led_flash_cnt[65][5]~27799\) # (!\led_flash_cnt[65][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[65][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[65][5]~27799\,
	combout => \led_flash_cnt[65][6]~27800_combout\,
	cout => \led_flash_cnt[65][6]~27801\);

-- Location: FF_X71_Y4_N29
\led_flash_cnt[65][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[65][6]~27800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[65][6]~q\);

-- Location: LCCOMB_X71_Y4_N0
\WideAnd65~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd65~0_combout\ = (\led_flash_cnt[65][2]~q\ & (\led_flash_cnt[65][4]~q\ & (\led_flash_cnt[65][6]~q\ & \led_flash_cnt[65][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[65][2]~q\,
	datab => \led_flash_cnt[65][4]~q\,
	datac => \led_flash_cnt[65][6]~q\,
	datad => \led_flash_cnt[65][1]~q\,
	combout => \WideAnd65~0_combout\);

-- Location: LCCOMB_X71_Y4_N30
\led_flash_cnt[65][7]~27802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[65][7]~27802_combout\ = \led_flash_cnt[65][7]~q\ $ (!\led_flash_cnt[65][6]~27801\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[65][7]~q\,
	cin => \led_flash_cnt[65][6]~27801\,
	combout => \led_flash_cnt[65][7]~27802_combout\);

-- Location: FF_X71_Y4_N31
\led_flash_cnt[65][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[65][7]~27802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[65][7]~q\);

-- Location: LCCOMB_X72_Y4_N28
\WideAnd65~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd65~1_combout\ = (\led_flash_cnt[65][5]~q\ & \led_flash_cnt[65][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[65][5]~q\,
	datad => \led_flash_cnt[65][0]~q\,
	combout => \WideAnd65~1_combout\);

-- Location: LCCOMB_X71_Y4_N16
WideAnd65 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd65~combout\ = (\led_flash_cnt[65][3]~q\ & (\WideAnd65~0_combout\ & (\led_flash_cnt[65][7]~q\ & \WideAnd65~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[65][3]~q\,
	datab => \WideAnd65~0_combout\,
	datac => \led_flash_cnt[65][7]~q\,
	datad => \WideAnd65~1_combout\,
	combout => \WideAnd65~combout\);

-- Location: FF_X71_Y4_N17
\led_flash_cnt_ands[65]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd65~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(65));

-- Location: LCCOMB_X66_Y2_N10
\led_flash_cnt[64][0]~80704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[64][0]~80704_combout\ = !\led_flash_cnt[64][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[64][0]~q\,
	combout => \led_flash_cnt[64][0]~80704_combout\);

-- Location: FF_X66_Y2_N11
\led_flash_cnt[64][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[64][0]~80704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[64][0]~q\);

-- Location: LCCOMB_X66_Y2_N16
\led_flash_cnt[64][1]~27776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[64][1]~27776_combout\ = (\led_flash_cnt[64][0]~q\ & (\led_flash_cnt[64][1]~q\ $ (VCC))) # (!\led_flash_cnt[64][0]~q\ & (\led_flash_cnt[64][1]~q\ & VCC))
-- \led_flash_cnt[64][1]~27777\ = CARRY((\led_flash_cnt[64][0]~q\ & \led_flash_cnt[64][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[64][0]~q\,
	datab => \led_flash_cnt[64][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[64][1]~27776_combout\,
	cout => \led_flash_cnt[64][1]~27777\);

-- Location: FF_X66_Y2_N17
\led_flash_cnt[64][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[64][1]~27776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[64][1]~q\);

-- Location: LCCOMB_X66_Y2_N18
\led_flash_cnt[64][2]~27778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[64][2]~27778_combout\ = (\led_flash_cnt[64][2]~q\ & (!\led_flash_cnt[64][1]~27777\)) # (!\led_flash_cnt[64][2]~q\ & ((\led_flash_cnt[64][1]~27777\) # (GND)))
-- \led_flash_cnt[64][2]~27779\ = CARRY((!\led_flash_cnt[64][1]~27777\) # (!\led_flash_cnt[64][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[64][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[64][1]~27777\,
	combout => \led_flash_cnt[64][2]~27778_combout\,
	cout => \led_flash_cnt[64][2]~27779\);

-- Location: FF_X66_Y2_N19
\led_flash_cnt[64][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[64][2]~27778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[64][2]~q\);

-- Location: LCCOMB_X66_Y2_N20
\led_flash_cnt[64][3]~27780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[64][3]~27780_combout\ = (\led_flash_cnt[64][3]~q\ & (\led_flash_cnt[64][2]~27779\ $ (GND))) # (!\led_flash_cnt[64][3]~q\ & (!\led_flash_cnt[64][2]~27779\ & VCC))
-- \led_flash_cnt[64][3]~27781\ = CARRY((\led_flash_cnt[64][3]~q\ & !\led_flash_cnt[64][2]~27779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[64][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[64][2]~27779\,
	combout => \led_flash_cnt[64][3]~27780_combout\,
	cout => \led_flash_cnt[64][3]~27781\);

-- Location: FF_X66_Y2_N21
\led_flash_cnt[64][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[64][3]~27780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[64][3]~q\);

-- Location: LCCOMB_X66_Y2_N22
\led_flash_cnt[64][4]~27782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[64][4]~27782_combout\ = (\led_flash_cnt[64][4]~q\ & (!\led_flash_cnt[64][3]~27781\)) # (!\led_flash_cnt[64][4]~q\ & ((\led_flash_cnt[64][3]~27781\) # (GND)))
-- \led_flash_cnt[64][4]~27783\ = CARRY((!\led_flash_cnt[64][3]~27781\) # (!\led_flash_cnt[64][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[64][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[64][3]~27781\,
	combout => \led_flash_cnt[64][4]~27782_combout\,
	cout => \led_flash_cnt[64][4]~27783\);

-- Location: FF_X66_Y2_N23
\led_flash_cnt[64][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[64][4]~27782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[64][4]~q\);

-- Location: LCCOMB_X66_Y2_N24
\led_flash_cnt[64][5]~27784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[64][5]~27784_combout\ = (\led_flash_cnt[64][5]~q\ & (\led_flash_cnt[64][4]~27783\ $ (GND))) # (!\led_flash_cnt[64][5]~q\ & (!\led_flash_cnt[64][4]~27783\ & VCC))
-- \led_flash_cnt[64][5]~27785\ = CARRY((\led_flash_cnt[64][5]~q\ & !\led_flash_cnt[64][4]~27783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[64][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[64][4]~27783\,
	combout => \led_flash_cnt[64][5]~27784_combout\,
	cout => \led_flash_cnt[64][5]~27785\);

-- Location: FF_X66_Y2_N25
\led_flash_cnt[64][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[64][5]~27784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[64][5]~q\);

-- Location: LCCOMB_X66_Y2_N26
\led_flash_cnt[64][6]~27786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[64][6]~27786_combout\ = (\led_flash_cnt[64][6]~q\ & (!\led_flash_cnt[64][5]~27785\)) # (!\led_flash_cnt[64][6]~q\ & ((\led_flash_cnt[64][5]~27785\) # (GND)))
-- \led_flash_cnt[64][6]~27787\ = CARRY((!\led_flash_cnt[64][5]~27785\) # (!\led_flash_cnt[64][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[64][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[64][5]~27785\,
	combout => \led_flash_cnt[64][6]~27786_combout\,
	cout => \led_flash_cnt[64][6]~27787\);

-- Location: FF_X66_Y2_N27
\led_flash_cnt[64][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[64][6]~27786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[64][6]~q\);

-- Location: LCCOMB_X66_Y2_N28
\led_flash_cnt[64][7]~27788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[64][7]~27788_combout\ = \led_flash_cnt[64][6]~27787\ $ (!\led_flash_cnt[64][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[64][7]~q\,
	cin => \led_flash_cnt[64][6]~27787\,
	combout => \led_flash_cnt[64][7]~27788_combout\);

-- Location: FF_X66_Y2_N29
\led_flash_cnt[64][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[64][7]~27788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[64][7]~q\);

-- Location: LCCOMB_X66_Y2_N8
\WideAnd64~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd64~1_combout\ = (\led_flash_cnt[64][6]~q\ & \led_flash_cnt[64][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[64][6]~q\,
	datad => \led_flash_cnt[64][5]~q\,
	combout => \WideAnd64~1_combout\);

-- Location: LCCOMB_X66_Y2_N12
\WideAnd64~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd64~0_combout\ = (\led_flash_cnt[64][3]~q\ & (\led_flash_cnt[64][2]~q\ & (\led_flash_cnt[64][4]~q\ & \led_flash_cnt[64][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[64][3]~q\,
	datab => \led_flash_cnt[64][2]~q\,
	datac => \led_flash_cnt[64][4]~q\,
	datad => \led_flash_cnt[64][1]~q\,
	combout => \WideAnd64~0_combout\);

-- Location: LCCOMB_X66_Y2_N30
WideAnd64 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd64~combout\ = (\led_flash_cnt[64][0]~q\ & (\led_flash_cnt[64][7]~q\ & (\WideAnd64~1_combout\ & \WideAnd64~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[64][0]~q\,
	datab => \led_flash_cnt[64][7]~q\,
	datac => \WideAnd64~1_combout\,
	datad => \WideAnd64~0_combout\,
	combout => \WideAnd64~combout\);

-- Location: FF_X66_Y2_N31
\led_flash_cnt_ands[64]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd64~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(64));

-- Location: LCCOMB_X67_Y2_N30
\WideAnd3848~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3848~0_combout\ = (led_flash_cnt_ands(66) & (led_flash_cnt_ands(67) & (led_flash_cnt_ands(65) & led_flash_cnt_ands(64))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(66),
	datab => led_flash_cnt_ands(67),
	datac => led_flash_cnt_ands(65),
	datad => led_flash_cnt_ands(64),
	combout => \WideAnd3848~0_combout\);

-- Location: LCCOMB_X64_Y13_N4
\led_flash_cnt[71][0]~80711\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[71][0]~80711_combout\ = !\led_flash_cnt[71][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[71][0]~q\,
	combout => \led_flash_cnt[71][0]~80711_combout\);

-- Location: FF_X64_Y13_N5
\led_flash_cnt[71][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[71][0]~80711_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[71][0]~q\);

-- Location: LCCOMB_X64_Y10_N2
\led_flash_cnt[71][1]~27874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[71][1]~27874_combout\ = (\led_flash_cnt[71][0]~q\ & (\led_flash_cnt[71][1]~q\ $ (VCC))) # (!\led_flash_cnt[71][0]~q\ & (\led_flash_cnt[71][1]~q\ & VCC))
-- \led_flash_cnt[71][1]~27875\ = CARRY((\led_flash_cnt[71][0]~q\ & \led_flash_cnt[71][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[71][0]~q\,
	datab => \led_flash_cnt[71][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[71][1]~27874_combout\,
	cout => \led_flash_cnt[71][1]~27875\);

-- Location: FF_X64_Y10_N3
\led_flash_cnt[71][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[71][1]~27874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[71][1]~q\);

-- Location: LCCOMB_X64_Y10_N4
\led_flash_cnt[71][2]~27876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[71][2]~27876_combout\ = (\led_flash_cnt[71][2]~q\ & (!\led_flash_cnt[71][1]~27875\)) # (!\led_flash_cnt[71][2]~q\ & ((\led_flash_cnt[71][1]~27875\) # (GND)))
-- \led_flash_cnt[71][2]~27877\ = CARRY((!\led_flash_cnt[71][1]~27875\) # (!\led_flash_cnt[71][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[71][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[71][1]~27875\,
	combout => \led_flash_cnt[71][2]~27876_combout\,
	cout => \led_flash_cnt[71][2]~27877\);

-- Location: FF_X64_Y10_N5
\led_flash_cnt[71][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[71][2]~27876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[71][2]~q\);

-- Location: LCCOMB_X64_Y10_N6
\led_flash_cnt[71][3]~27878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[71][3]~27878_combout\ = (\led_flash_cnt[71][3]~q\ & (\led_flash_cnt[71][2]~27877\ $ (GND))) # (!\led_flash_cnt[71][3]~q\ & (!\led_flash_cnt[71][2]~27877\ & VCC))
-- \led_flash_cnt[71][3]~27879\ = CARRY((\led_flash_cnt[71][3]~q\ & !\led_flash_cnt[71][2]~27877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[71][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[71][2]~27877\,
	combout => \led_flash_cnt[71][3]~27878_combout\,
	cout => \led_flash_cnt[71][3]~27879\);

-- Location: FF_X64_Y10_N7
\led_flash_cnt[71][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[71][3]~27878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[71][3]~q\);

-- Location: LCCOMB_X64_Y10_N8
\led_flash_cnt[71][4]~27880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[71][4]~27880_combout\ = (\led_flash_cnt[71][4]~q\ & (!\led_flash_cnt[71][3]~27879\)) # (!\led_flash_cnt[71][4]~q\ & ((\led_flash_cnt[71][3]~27879\) # (GND)))
-- \led_flash_cnt[71][4]~27881\ = CARRY((!\led_flash_cnt[71][3]~27879\) # (!\led_flash_cnt[71][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[71][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[71][3]~27879\,
	combout => \led_flash_cnt[71][4]~27880_combout\,
	cout => \led_flash_cnt[71][4]~27881\);

-- Location: FF_X64_Y10_N9
\led_flash_cnt[71][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[71][4]~27880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[71][4]~q\);

-- Location: LCCOMB_X64_Y10_N10
\led_flash_cnt[71][5]~27882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[71][5]~27882_combout\ = (\led_flash_cnt[71][5]~q\ & (\led_flash_cnt[71][4]~27881\ $ (GND))) # (!\led_flash_cnt[71][5]~q\ & (!\led_flash_cnt[71][4]~27881\ & VCC))
-- \led_flash_cnt[71][5]~27883\ = CARRY((\led_flash_cnt[71][5]~q\ & !\led_flash_cnt[71][4]~27881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[71][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[71][4]~27881\,
	combout => \led_flash_cnt[71][5]~27882_combout\,
	cout => \led_flash_cnt[71][5]~27883\);

-- Location: FF_X64_Y10_N11
\led_flash_cnt[71][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[71][5]~27882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[71][5]~q\);

-- Location: LCCOMB_X64_Y10_N12
\led_flash_cnt[71][6]~27884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[71][6]~27884_combout\ = (\led_flash_cnt[71][6]~q\ & (!\led_flash_cnt[71][5]~27883\)) # (!\led_flash_cnt[71][6]~q\ & ((\led_flash_cnt[71][5]~27883\) # (GND)))
-- \led_flash_cnt[71][6]~27885\ = CARRY((!\led_flash_cnt[71][5]~27883\) # (!\led_flash_cnt[71][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[71][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[71][5]~27883\,
	combout => \led_flash_cnt[71][6]~27884_combout\,
	cout => \led_flash_cnt[71][6]~27885\);

-- Location: FF_X64_Y10_N13
\led_flash_cnt[71][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[71][6]~27884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[71][6]~q\);

-- Location: LCCOMB_X64_Y10_N14
\led_flash_cnt[71][7]~27886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[71][7]~27886_combout\ = \led_flash_cnt[71][7]~q\ $ (!\led_flash_cnt[71][6]~27885\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[71][7]~q\,
	cin => \led_flash_cnt[71][6]~27885\,
	combout => \led_flash_cnt[71][7]~27886_combout\);

-- Location: FF_X64_Y10_N15
\led_flash_cnt[71][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[71][7]~27886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[71][7]~q\);

-- Location: LCCOMB_X64_Y10_N30
\WideAnd71~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd71~0_combout\ = (\led_flash_cnt[71][3]~q\ & (\led_flash_cnt[71][4]~q\ & (\led_flash_cnt[71][2]~q\ & \led_flash_cnt[71][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[71][3]~q\,
	datab => \led_flash_cnt[71][4]~q\,
	datac => \led_flash_cnt[71][2]~q\,
	datad => \led_flash_cnt[71][1]~q\,
	combout => \WideAnd71~0_combout\);

-- Location: LCCOMB_X64_Y13_N16
\WideAnd71~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd71~1_combout\ = (\led_flash_cnt[71][6]~q\ & \led_flash_cnt[71][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[71][6]~q\,
	datac => \led_flash_cnt[71][5]~q\,
	combout => \WideAnd71~1_combout\);

-- Location: LCCOMB_X64_Y13_N28
WideAnd71 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd71~combout\ = (\led_flash_cnt[71][7]~q\ & (\led_flash_cnt[71][0]~q\ & (\WideAnd71~0_combout\ & \WideAnd71~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[71][7]~q\,
	datab => \led_flash_cnt[71][0]~q\,
	datac => \WideAnd71~0_combout\,
	datad => \WideAnd71~1_combout\,
	combout => \WideAnd71~combout\);

-- Location: FF_X64_Y13_N29
\led_flash_cnt_ands[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd71~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(71));

-- Location: LCCOMB_X64_Y13_N12
WideAnd3848 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3848~combout\ = (led_flash_cnt_ands(70) & (\WideAnd3848~1_combout\ & (\WideAnd3848~0_combout\ & led_flash_cnt_ands(71))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(70),
	datab => \WideAnd3848~1_combout\,
	datac => \WideAnd3848~0_combout\,
	datad => led_flash_cnt_ands(71),
	combout => \WideAnd3848~combout\);

-- Location: FF_X64_Y13_N13
\led_flash_cnt_ands_1[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3848~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(8));

-- Location: LCCOMB_X24_Y30_N6
\led_flash_cnt[92][0]~80732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[92][0]~80732_combout\ = !\led_flash_cnt[92][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[92][0]~q\,
	combout => \led_flash_cnt[92][0]~80732_combout\);

-- Location: FF_X24_Y30_N7
\led_flash_cnt[92][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[92][0]~80732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[92][0]~q\);

-- Location: LCCOMB_X23_Y30_N0
\led_flash_cnt[92][1]~28168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[92][1]~28168_combout\ = (\led_flash_cnt[92][0]~q\ & (\led_flash_cnt[92][1]~q\ $ (VCC))) # (!\led_flash_cnt[92][0]~q\ & (\led_flash_cnt[92][1]~q\ & VCC))
-- \led_flash_cnt[92][1]~28169\ = CARRY((\led_flash_cnt[92][0]~q\ & \led_flash_cnt[92][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[92][0]~q\,
	datab => \led_flash_cnt[92][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[92][1]~28168_combout\,
	cout => \led_flash_cnt[92][1]~28169\);

-- Location: FF_X23_Y30_N1
\led_flash_cnt[92][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[92][1]~28168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[92][1]~q\);

-- Location: LCCOMB_X23_Y30_N2
\led_flash_cnt[92][2]~28170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[92][2]~28170_combout\ = (\led_flash_cnt[92][2]~q\ & (!\led_flash_cnt[92][1]~28169\)) # (!\led_flash_cnt[92][2]~q\ & ((\led_flash_cnt[92][1]~28169\) # (GND)))
-- \led_flash_cnt[92][2]~28171\ = CARRY((!\led_flash_cnt[92][1]~28169\) # (!\led_flash_cnt[92][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[92][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[92][1]~28169\,
	combout => \led_flash_cnt[92][2]~28170_combout\,
	cout => \led_flash_cnt[92][2]~28171\);

-- Location: FF_X23_Y30_N3
\led_flash_cnt[92][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[92][2]~28170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[92][2]~q\);

-- Location: LCCOMB_X23_Y30_N4
\led_flash_cnt[92][3]~28172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[92][3]~28172_combout\ = (\led_flash_cnt[92][3]~q\ & (\led_flash_cnt[92][2]~28171\ $ (GND))) # (!\led_flash_cnt[92][3]~q\ & (!\led_flash_cnt[92][2]~28171\ & VCC))
-- \led_flash_cnt[92][3]~28173\ = CARRY((\led_flash_cnt[92][3]~q\ & !\led_flash_cnt[92][2]~28171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[92][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[92][2]~28171\,
	combout => \led_flash_cnt[92][3]~28172_combout\,
	cout => \led_flash_cnt[92][3]~28173\);

-- Location: FF_X23_Y30_N5
\led_flash_cnt[92][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[92][3]~28172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[92][3]~q\);

-- Location: LCCOMB_X23_Y30_N6
\led_flash_cnt[92][4]~28174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[92][4]~28174_combout\ = (\led_flash_cnt[92][4]~q\ & (!\led_flash_cnt[92][3]~28173\)) # (!\led_flash_cnt[92][4]~q\ & ((\led_flash_cnt[92][3]~28173\) # (GND)))
-- \led_flash_cnt[92][4]~28175\ = CARRY((!\led_flash_cnt[92][3]~28173\) # (!\led_flash_cnt[92][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[92][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[92][3]~28173\,
	combout => \led_flash_cnt[92][4]~28174_combout\,
	cout => \led_flash_cnt[92][4]~28175\);

-- Location: FF_X23_Y30_N7
\led_flash_cnt[92][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[92][4]~28174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[92][4]~q\);

-- Location: LCCOMB_X23_Y30_N8
\led_flash_cnt[92][5]~28176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[92][5]~28176_combout\ = (\led_flash_cnt[92][5]~q\ & (\led_flash_cnt[92][4]~28175\ $ (GND))) # (!\led_flash_cnt[92][5]~q\ & (!\led_flash_cnt[92][4]~28175\ & VCC))
-- \led_flash_cnt[92][5]~28177\ = CARRY((\led_flash_cnt[92][5]~q\ & !\led_flash_cnt[92][4]~28175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[92][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[92][4]~28175\,
	combout => \led_flash_cnt[92][5]~28176_combout\,
	cout => \led_flash_cnt[92][5]~28177\);

-- Location: FF_X23_Y30_N9
\led_flash_cnt[92][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[92][5]~28176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[92][5]~q\);

-- Location: LCCOMB_X23_Y30_N10
\led_flash_cnt[92][6]~28178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[92][6]~28178_combout\ = (\led_flash_cnt[92][6]~q\ & (!\led_flash_cnt[92][5]~28177\)) # (!\led_flash_cnt[92][6]~q\ & ((\led_flash_cnt[92][5]~28177\) # (GND)))
-- \led_flash_cnt[92][6]~28179\ = CARRY((!\led_flash_cnt[92][5]~28177\) # (!\led_flash_cnt[92][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[92][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[92][5]~28177\,
	combout => \led_flash_cnt[92][6]~28178_combout\,
	cout => \led_flash_cnt[92][6]~28179\);

-- Location: FF_X23_Y30_N11
\led_flash_cnt[92][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[92][6]~28178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[92][6]~q\);

-- Location: LCCOMB_X23_Y30_N12
\led_flash_cnt[92][7]~28180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[92][7]~28180_combout\ = \led_flash_cnt[92][6]~28179\ $ (!\led_flash_cnt[92][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[92][7]~q\,
	cin => \led_flash_cnt[92][6]~28179\,
	combout => \led_flash_cnt[92][7]~28180_combout\);

-- Location: FF_X23_Y30_N13
\led_flash_cnt[92][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[92][7]~28180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[92][7]~q\);

-- Location: LCCOMB_X24_Y30_N4
\WideAnd92~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd92~1_combout\ = (\led_flash_cnt[92][6]~q\ & \led_flash_cnt[92][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[92][6]~q\,
	datad => \led_flash_cnt[92][5]~q\,
	combout => \WideAnd92~1_combout\);

-- Location: LCCOMB_X23_Y30_N14
\WideAnd92~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd92~0_combout\ = (\led_flash_cnt[92][4]~q\ & (\led_flash_cnt[92][1]~q\ & (\led_flash_cnt[92][3]~q\ & \led_flash_cnt[92][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[92][4]~q\,
	datab => \led_flash_cnt[92][1]~q\,
	datac => \led_flash_cnt[92][3]~q\,
	datad => \led_flash_cnt[92][2]~q\,
	combout => \WideAnd92~0_combout\);

-- Location: LCCOMB_X24_Y30_N26
WideAnd92 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd92~combout\ = (\led_flash_cnt[92][7]~q\ & (\led_flash_cnt[92][0]~q\ & (\WideAnd92~1_combout\ & \WideAnd92~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[92][7]~q\,
	datab => \led_flash_cnt[92][0]~q\,
	datac => \WideAnd92~1_combout\,
	datad => \WideAnd92~0_combout\,
	combout => \WideAnd92~combout\);

-- Location: FF_X24_Y30_N27
\led_flash_cnt_ands[92]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd92~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(92));

-- Location: LCCOMB_X24_Y36_N6
\led_flash_cnt[93][0]~80733\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[93][0]~80733_combout\ = !\led_flash_cnt[93][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[93][0]~q\,
	combout => \led_flash_cnt[93][0]~80733_combout\);

-- Location: FF_X24_Y36_N7
\led_flash_cnt[93][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[93][0]~80733_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[93][0]~q\);

-- Location: LCCOMB_X23_Y36_N18
\led_flash_cnt[93][1]~28182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[93][1]~28182_combout\ = (\led_flash_cnt[93][0]~q\ & (\led_flash_cnt[93][1]~q\ $ (VCC))) # (!\led_flash_cnt[93][0]~q\ & (\led_flash_cnt[93][1]~q\ & VCC))
-- \led_flash_cnt[93][1]~28183\ = CARRY((\led_flash_cnt[93][0]~q\ & \led_flash_cnt[93][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[93][0]~q\,
	datab => \led_flash_cnt[93][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[93][1]~28182_combout\,
	cout => \led_flash_cnt[93][1]~28183\);

-- Location: FF_X23_Y36_N19
\led_flash_cnt[93][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[93][1]~28182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[93][1]~q\);

-- Location: LCCOMB_X23_Y36_N20
\led_flash_cnt[93][2]~28184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[93][2]~28184_combout\ = (\led_flash_cnt[93][2]~q\ & (!\led_flash_cnt[93][1]~28183\)) # (!\led_flash_cnt[93][2]~q\ & ((\led_flash_cnt[93][1]~28183\) # (GND)))
-- \led_flash_cnt[93][2]~28185\ = CARRY((!\led_flash_cnt[93][1]~28183\) # (!\led_flash_cnt[93][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[93][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[93][1]~28183\,
	combout => \led_flash_cnt[93][2]~28184_combout\,
	cout => \led_flash_cnt[93][2]~28185\);

-- Location: FF_X23_Y36_N21
\led_flash_cnt[93][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[93][2]~28184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[93][2]~q\);

-- Location: LCCOMB_X23_Y36_N22
\led_flash_cnt[93][3]~28186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[93][3]~28186_combout\ = (\led_flash_cnt[93][3]~q\ & (\led_flash_cnt[93][2]~28185\ $ (GND))) # (!\led_flash_cnt[93][3]~q\ & (!\led_flash_cnt[93][2]~28185\ & VCC))
-- \led_flash_cnt[93][3]~28187\ = CARRY((\led_flash_cnt[93][3]~q\ & !\led_flash_cnt[93][2]~28185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[93][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[93][2]~28185\,
	combout => \led_flash_cnt[93][3]~28186_combout\,
	cout => \led_flash_cnt[93][3]~28187\);

-- Location: FF_X23_Y36_N23
\led_flash_cnt[93][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[93][3]~28186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[93][3]~q\);

-- Location: LCCOMB_X23_Y36_N24
\led_flash_cnt[93][4]~28188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[93][4]~28188_combout\ = (\led_flash_cnt[93][4]~q\ & (!\led_flash_cnt[93][3]~28187\)) # (!\led_flash_cnt[93][4]~q\ & ((\led_flash_cnt[93][3]~28187\) # (GND)))
-- \led_flash_cnt[93][4]~28189\ = CARRY((!\led_flash_cnt[93][3]~28187\) # (!\led_flash_cnt[93][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[93][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[93][3]~28187\,
	combout => \led_flash_cnt[93][4]~28188_combout\,
	cout => \led_flash_cnt[93][4]~28189\);

-- Location: FF_X23_Y36_N25
\led_flash_cnt[93][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[93][4]~28188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[93][4]~q\);

-- Location: LCCOMB_X23_Y36_N2
\WideAnd93~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd93~0_combout\ = (\led_flash_cnt[93][4]~q\ & (\led_flash_cnt[93][2]~q\ & (\led_flash_cnt[93][3]~q\ & \led_flash_cnt[93][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[93][4]~q\,
	datab => \led_flash_cnt[93][2]~q\,
	datac => \led_flash_cnt[93][3]~q\,
	datad => \led_flash_cnt[93][1]~q\,
	combout => \WideAnd93~0_combout\);

-- Location: LCCOMB_X23_Y36_N26
\led_flash_cnt[93][5]~28190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[93][5]~28190_combout\ = (\led_flash_cnt[93][5]~q\ & (\led_flash_cnt[93][4]~28189\ $ (GND))) # (!\led_flash_cnt[93][5]~q\ & (!\led_flash_cnt[93][4]~28189\ & VCC))
-- \led_flash_cnt[93][5]~28191\ = CARRY((\led_flash_cnt[93][5]~q\ & !\led_flash_cnt[93][4]~28189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[93][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[93][4]~28189\,
	combout => \led_flash_cnt[93][5]~28190_combout\,
	cout => \led_flash_cnt[93][5]~28191\);

-- Location: FF_X23_Y36_N27
\led_flash_cnt[93][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[93][5]~28190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[93][5]~q\);

-- Location: LCCOMB_X23_Y36_N28
\led_flash_cnt[93][6]~28192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[93][6]~28192_combout\ = (\led_flash_cnt[93][6]~q\ & (!\led_flash_cnt[93][5]~28191\)) # (!\led_flash_cnt[93][6]~q\ & ((\led_flash_cnt[93][5]~28191\) # (GND)))
-- \led_flash_cnt[93][6]~28193\ = CARRY((!\led_flash_cnt[93][5]~28191\) # (!\led_flash_cnt[93][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[93][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[93][5]~28191\,
	combout => \led_flash_cnt[93][6]~28192_combout\,
	cout => \led_flash_cnt[93][6]~28193\);

-- Location: FF_X23_Y36_N29
\led_flash_cnt[93][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[93][6]~28192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[93][6]~q\);

-- Location: LCCOMB_X23_Y36_N30
\led_flash_cnt[93][7]~28194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[93][7]~28194_combout\ = \led_flash_cnt[93][7]~q\ $ (!\led_flash_cnt[93][6]~28193\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[93][7]~q\,
	cin => \led_flash_cnt[93][6]~28193\,
	combout => \led_flash_cnt[93][7]~28194_combout\);

-- Location: FF_X23_Y36_N31
\led_flash_cnt[93][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[93][7]~28194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[93][7]~q\);

-- Location: LCCOMB_X24_Y36_N4
\WideAnd93~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd93~1_combout\ = (\led_flash_cnt[93][5]~q\ & \led_flash_cnt[93][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[93][5]~q\,
	datad => \led_flash_cnt[93][6]~q\,
	combout => \WideAnd93~1_combout\);

-- Location: LCCOMB_X24_Y36_N24
WideAnd93 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd93~combout\ = (\WideAnd93~0_combout\ & (\led_flash_cnt[93][7]~q\ & (\WideAnd93~1_combout\ & \led_flash_cnt[93][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd93~0_combout\,
	datab => \led_flash_cnt[93][7]~q\,
	datac => \WideAnd93~1_combout\,
	datad => \led_flash_cnt[93][0]~q\,
	combout => \WideAnd93~combout\);

-- Location: FF_X24_Y36_N25
\led_flash_cnt_ands[93]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd93~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(93));

-- Location: LCCOMB_X24_Y30_N28
\WideAnd3851~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3851~1_combout\ = (led_flash_cnt_ands(92) & led_flash_cnt_ands(93))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(92),
	datad => led_flash_cnt_ands(93),
	combout => \WideAnd3851~1_combout\);

-- Location: LCCOMB_X18_Y28_N28
\led_flash_cnt[95][0]~80735\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[95][0]~80735_combout\ = !\led_flash_cnt[95][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[95][0]~q\,
	combout => \led_flash_cnt[95][0]~80735_combout\);

-- Location: FF_X18_Y28_N29
\led_flash_cnt[95][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[95][0]~80735_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[95][0]~q\);

-- Location: LCCOMB_X19_Y28_N16
\led_flash_cnt[95][1]~28210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[95][1]~28210_combout\ = (\led_flash_cnt[95][0]~q\ & (\led_flash_cnt[95][1]~q\ $ (VCC))) # (!\led_flash_cnt[95][0]~q\ & (\led_flash_cnt[95][1]~q\ & VCC))
-- \led_flash_cnt[95][1]~28211\ = CARRY((\led_flash_cnt[95][0]~q\ & \led_flash_cnt[95][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[95][0]~q\,
	datab => \led_flash_cnt[95][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[95][1]~28210_combout\,
	cout => \led_flash_cnt[95][1]~28211\);

-- Location: FF_X19_Y28_N17
\led_flash_cnt[95][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[95][1]~28210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[95][1]~q\);

-- Location: LCCOMB_X19_Y28_N18
\led_flash_cnt[95][2]~28212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[95][2]~28212_combout\ = (\led_flash_cnt[95][2]~q\ & (!\led_flash_cnt[95][1]~28211\)) # (!\led_flash_cnt[95][2]~q\ & ((\led_flash_cnt[95][1]~28211\) # (GND)))
-- \led_flash_cnt[95][2]~28213\ = CARRY((!\led_flash_cnt[95][1]~28211\) # (!\led_flash_cnt[95][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[95][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[95][1]~28211\,
	combout => \led_flash_cnt[95][2]~28212_combout\,
	cout => \led_flash_cnt[95][2]~28213\);

-- Location: FF_X19_Y28_N19
\led_flash_cnt[95][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[95][2]~28212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[95][2]~q\);

-- Location: LCCOMB_X19_Y28_N20
\led_flash_cnt[95][3]~28214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[95][3]~28214_combout\ = (\led_flash_cnt[95][3]~q\ & (\led_flash_cnt[95][2]~28213\ $ (GND))) # (!\led_flash_cnt[95][3]~q\ & (!\led_flash_cnt[95][2]~28213\ & VCC))
-- \led_flash_cnt[95][3]~28215\ = CARRY((\led_flash_cnt[95][3]~q\ & !\led_flash_cnt[95][2]~28213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[95][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[95][2]~28213\,
	combout => \led_flash_cnt[95][3]~28214_combout\,
	cout => \led_flash_cnt[95][3]~28215\);

-- Location: FF_X19_Y28_N21
\led_flash_cnt[95][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[95][3]~28214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[95][3]~q\);

-- Location: LCCOMB_X19_Y28_N22
\led_flash_cnt[95][4]~28216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[95][4]~28216_combout\ = (\led_flash_cnt[95][4]~q\ & (!\led_flash_cnt[95][3]~28215\)) # (!\led_flash_cnt[95][4]~q\ & ((\led_flash_cnt[95][3]~28215\) # (GND)))
-- \led_flash_cnt[95][4]~28217\ = CARRY((!\led_flash_cnt[95][3]~28215\) # (!\led_flash_cnt[95][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[95][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[95][3]~28215\,
	combout => \led_flash_cnt[95][4]~28216_combout\,
	cout => \led_flash_cnt[95][4]~28217\);

-- Location: FF_X19_Y28_N23
\led_flash_cnt[95][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[95][4]~28216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[95][4]~q\);

-- Location: LCCOMB_X19_Y28_N24
\led_flash_cnt[95][5]~28218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[95][5]~28218_combout\ = (\led_flash_cnt[95][5]~q\ & (\led_flash_cnt[95][4]~28217\ $ (GND))) # (!\led_flash_cnt[95][5]~q\ & (!\led_flash_cnt[95][4]~28217\ & VCC))
-- \led_flash_cnt[95][5]~28219\ = CARRY((\led_flash_cnt[95][5]~q\ & !\led_flash_cnt[95][4]~28217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[95][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[95][4]~28217\,
	combout => \led_flash_cnt[95][5]~28218_combout\,
	cout => \led_flash_cnt[95][5]~28219\);

-- Location: FF_X19_Y28_N25
\led_flash_cnt[95][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[95][5]~28218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[95][5]~q\);

-- Location: LCCOMB_X19_Y28_N26
\led_flash_cnt[95][6]~28220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[95][6]~28220_combout\ = (\led_flash_cnt[95][6]~q\ & (!\led_flash_cnt[95][5]~28219\)) # (!\led_flash_cnt[95][6]~q\ & ((\led_flash_cnt[95][5]~28219\) # (GND)))
-- \led_flash_cnt[95][6]~28221\ = CARRY((!\led_flash_cnt[95][5]~28219\) # (!\led_flash_cnt[95][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[95][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[95][5]~28219\,
	combout => \led_flash_cnt[95][6]~28220_combout\,
	cout => \led_flash_cnt[95][6]~28221\);

-- Location: FF_X19_Y28_N27
\led_flash_cnt[95][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[95][6]~28220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[95][6]~q\);

-- Location: LCCOMB_X19_Y28_N28
\led_flash_cnt[95][7]~28222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[95][7]~28222_combout\ = \led_flash_cnt[95][6]~28221\ $ (!\led_flash_cnt[95][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[95][7]~q\,
	cin => \led_flash_cnt[95][6]~28221\,
	combout => \led_flash_cnt[95][7]~28222_combout\);

-- Location: FF_X19_Y28_N29
\led_flash_cnt[95][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[95][7]~28222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[95][7]~q\);

-- Location: LCCOMB_X19_Y28_N0
\WideAnd95~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd95~0_combout\ = (\led_flash_cnt[95][2]~q\ & (\led_flash_cnt[95][3]~q\ & (\led_flash_cnt[95][4]~q\ & \led_flash_cnt[95][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[95][2]~q\,
	datab => \led_flash_cnt[95][3]~q\,
	datac => \led_flash_cnt[95][4]~q\,
	datad => \led_flash_cnt[95][1]~q\,
	combout => \WideAnd95~0_combout\);

-- Location: LCCOMB_X18_Y28_N22
\WideAnd95~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd95~1_combout\ = (\led_flash_cnt[95][6]~q\ & \led_flash_cnt[95][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[95][6]~q\,
	datad => \led_flash_cnt[95][5]~q\,
	combout => \WideAnd95~1_combout\);

-- Location: LCCOMB_X18_Y28_N14
WideAnd95 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd95~combout\ = (\led_flash_cnt[95][7]~q\ & (\WideAnd95~0_combout\ & (\WideAnd95~1_combout\ & \led_flash_cnt[95][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[95][7]~q\,
	datab => \WideAnd95~0_combout\,
	datac => \WideAnd95~1_combout\,
	datad => \led_flash_cnt[95][0]~q\,
	combout => \WideAnd95~combout\);

-- Location: FF_X18_Y28_N15
\led_flash_cnt_ands[95]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd95~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(95));

-- Location: LCCOMB_X1_Y27_N8
\led_flash_cnt[91][0]~80731\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[91][0]~80731_combout\ = !\led_flash_cnt[91][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[91][0]~q\,
	combout => \led_flash_cnt[91][0]~80731_combout\);

-- Location: FF_X1_Y27_N9
\led_flash_cnt[91][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[91][0]~80731_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[91][0]~q\);

-- Location: LCCOMB_X1_Y27_N10
\led_flash_cnt[91][1]~28154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[91][1]~28154_combout\ = (\led_flash_cnt[91][1]~q\ & (\led_flash_cnt[91][0]~q\ $ (VCC))) # (!\led_flash_cnt[91][1]~q\ & (\led_flash_cnt[91][0]~q\ & VCC))
-- \led_flash_cnt[91][1]~28155\ = CARRY((\led_flash_cnt[91][1]~q\ & \led_flash_cnt[91][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[91][1]~q\,
	datab => \led_flash_cnt[91][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[91][1]~28154_combout\,
	cout => \led_flash_cnt[91][1]~28155\);

-- Location: FF_X1_Y27_N11
\led_flash_cnt[91][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[91][1]~28154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[91][1]~q\);

-- Location: LCCOMB_X1_Y27_N12
\led_flash_cnt[91][2]~28156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[91][2]~28156_combout\ = (\led_flash_cnt[91][2]~q\ & (!\led_flash_cnt[91][1]~28155\)) # (!\led_flash_cnt[91][2]~q\ & ((\led_flash_cnt[91][1]~28155\) # (GND)))
-- \led_flash_cnt[91][2]~28157\ = CARRY((!\led_flash_cnt[91][1]~28155\) # (!\led_flash_cnt[91][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[91][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[91][1]~28155\,
	combout => \led_flash_cnt[91][2]~28156_combout\,
	cout => \led_flash_cnt[91][2]~28157\);

-- Location: FF_X1_Y27_N13
\led_flash_cnt[91][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[91][2]~28156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[91][2]~q\);

-- Location: LCCOMB_X1_Y27_N14
\led_flash_cnt[91][3]~28158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[91][3]~28158_combout\ = (\led_flash_cnt[91][3]~q\ & (\led_flash_cnt[91][2]~28157\ $ (GND))) # (!\led_flash_cnt[91][3]~q\ & (!\led_flash_cnt[91][2]~28157\ & VCC))
-- \led_flash_cnt[91][3]~28159\ = CARRY((\led_flash_cnt[91][3]~q\ & !\led_flash_cnt[91][2]~28157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[91][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[91][2]~28157\,
	combout => \led_flash_cnt[91][3]~28158_combout\,
	cout => \led_flash_cnt[91][3]~28159\);

-- Location: FF_X1_Y27_N15
\led_flash_cnt[91][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[91][3]~28158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[91][3]~q\);

-- Location: LCCOMB_X1_Y27_N16
\led_flash_cnt[91][4]~28160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[91][4]~28160_combout\ = (\led_flash_cnt[91][4]~q\ & (!\led_flash_cnt[91][3]~28159\)) # (!\led_flash_cnt[91][4]~q\ & ((\led_flash_cnt[91][3]~28159\) # (GND)))
-- \led_flash_cnt[91][4]~28161\ = CARRY((!\led_flash_cnt[91][3]~28159\) # (!\led_flash_cnt[91][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[91][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[91][3]~28159\,
	combout => \led_flash_cnt[91][4]~28160_combout\,
	cout => \led_flash_cnt[91][4]~28161\);

-- Location: FF_X1_Y27_N17
\led_flash_cnt[91][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[91][4]~28160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[91][4]~q\);

-- Location: LCCOMB_X1_Y27_N18
\led_flash_cnt[91][5]~28162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[91][5]~28162_combout\ = (\led_flash_cnt[91][5]~q\ & (\led_flash_cnt[91][4]~28161\ $ (GND))) # (!\led_flash_cnt[91][5]~q\ & (!\led_flash_cnt[91][4]~28161\ & VCC))
-- \led_flash_cnt[91][5]~28163\ = CARRY((\led_flash_cnt[91][5]~q\ & !\led_flash_cnt[91][4]~28161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[91][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[91][4]~28161\,
	combout => \led_flash_cnt[91][5]~28162_combout\,
	cout => \led_flash_cnt[91][5]~28163\);

-- Location: FF_X1_Y27_N19
\led_flash_cnt[91][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[91][5]~28162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[91][5]~q\);

-- Location: LCCOMB_X1_Y27_N20
\led_flash_cnt[91][6]~28164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[91][6]~28164_combout\ = (\led_flash_cnt[91][6]~q\ & (!\led_flash_cnt[91][5]~28163\)) # (!\led_flash_cnt[91][6]~q\ & ((\led_flash_cnt[91][5]~28163\) # (GND)))
-- \led_flash_cnt[91][6]~28165\ = CARRY((!\led_flash_cnt[91][5]~28163\) # (!\led_flash_cnt[91][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[91][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[91][5]~28163\,
	combout => \led_flash_cnt[91][6]~28164_combout\,
	cout => \led_flash_cnt[91][6]~28165\);

-- Location: FF_X1_Y27_N21
\led_flash_cnt[91][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[91][6]~28164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[91][6]~q\);

-- Location: LCCOMB_X1_Y27_N22
\led_flash_cnt[91][7]~28166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[91][7]~28166_combout\ = \led_flash_cnt[91][7]~q\ $ (!\led_flash_cnt[91][6]~28165\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[91][7]~q\,
	cin => \led_flash_cnt[91][6]~28165\,
	combout => \led_flash_cnt[91][7]~28166_combout\);

-- Location: FF_X1_Y27_N23
\led_flash_cnt[91][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[91][7]~28166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[91][7]~q\);

-- Location: LCCOMB_X1_Y27_N24
\WideAnd91~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd91~1_combout\ = (\led_flash_cnt[91][5]~q\ & \led_flash_cnt[91][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[91][5]~q\,
	datad => \led_flash_cnt[91][6]~q\,
	combout => \WideAnd91~1_combout\);

-- Location: LCCOMB_X1_Y27_N2
\WideAnd91~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd91~0_combout\ = (\led_flash_cnt[91][2]~q\ & (\led_flash_cnt[91][4]~q\ & (\led_flash_cnt[91][3]~q\ & \led_flash_cnt[91][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[91][2]~q\,
	datab => \led_flash_cnt[91][4]~q\,
	datac => \led_flash_cnt[91][3]~q\,
	datad => \led_flash_cnt[91][1]~q\,
	combout => \WideAnd91~0_combout\);

-- Location: LCCOMB_X1_Y27_N6
WideAnd91 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd91~combout\ = (\led_flash_cnt[91][7]~q\ & (\WideAnd91~1_combout\ & (\led_flash_cnt[91][0]~q\ & \WideAnd91~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[91][7]~q\,
	datab => \WideAnd91~1_combout\,
	datac => \led_flash_cnt[91][0]~q\,
	datad => \WideAnd91~0_combout\,
	combout => \WideAnd91~combout\);

-- Location: FF_X1_Y27_N7
\led_flash_cnt_ands[91]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd91~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(91));

-- Location: LCCOMB_X1_Y26_N6
\led_flash_cnt[90][0]~80730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[90][0]~80730_combout\ = !\led_flash_cnt[90][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[90][0]~q\,
	combout => \led_flash_cnt[90][0]~80730_combout\);

-- Location: FF_X1_Y26_N7
\led_flash_cnt[90][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[90][0]~80730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[90][0]~q\);

-- Location: LCCOMB_X2_Y26_N18
\led_flash_cnt[90][1]~28140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[90][1]~28140_combout\ = (\led_flash_cnt[90][0]~q\ & (\led_flash_cnt[90][1]~q\ $ (VCC))) # (!\led_flash_cnt[90][0]~q\ & (\led_flash_cnt[90][1]~q\ & VCC))
-- \led_flash_cnt[90][1]~28141\ = CARRY((\led_flash_cnt[90][0]~q\ & \led_flash_cnt[90][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[90][0]~q\,
	datab => \led_flash_cnt[90][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[90][1]~28140_combout\,
	cout => \led_flash_cnt[90][1]~28141\);

-- Location: FF_X2_Y26_N19
\led_flash_cnt[90][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[90][1]~28140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[90][1]~q\);

-- Location: LCCOMB_X2_Y26_N20
\led_flash_cnt[90][2]~28142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[90][2]~28142_combout\ = (\led_flash_cnt[90][2]~q\ & (!\led_flash_cnt[90][1]~28141\)) # (!\led_flash_cnt[90][2]~q\ & ((\led_flash_cnt[90][1]~28141\) # (GND)))
-- \led_flash_cnt[90][2]~28143\ = CARRY((!\led_flash_cnt[90][1]~28141\) # (!\led_flash_cnt[90][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[90][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[90][1]~28141\,
	combout => \led_flash_cnt[90][2]~28142_combout\,
	cout => \led_flash_cnt[90][2]~28143\);

-- Location: FF_X2_Y26_N21
\led_flash_cnt[90][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[90][2]~28142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[90][2]~q\);

-- Location: LCCOMB_X2_Y26_N22
\led_flash_cnt[90][3]~28144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[90][3]~28144_combout\ = (\led_flash_cnt[90][3]~q\ & (\led_flash_cnt[90][2]~28143\ $ (GND))) # (!\led_flash_cnt[90][3]~q\ & (!\led_flash_cnt[90][2]~28143\ & VCC))
-- \led_flash_cnt[90][3]~28145\ = CARRY((\led_flash_cnt[90][3]~q\ & !\led_flash_cnt[90][2]~28143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[90][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[90][2]~28143\,
	combout => \led_flash_cnt[90][3]~28144_combout\,
	cout => \led_flash_cnt[90][3]~28145\);

-- Location: FF_X2_Y26_N23
\led_flash_cnt[90][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[90][3]~28144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[90][3]~q\);

-- Location: LCCOMB_X2_Y26_N24
\led_flash_cnt[90][4]~28146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[90][4]~28146_combout\ = (\led_flash_cnt[90][4]~q\ & (!\led_flash_cnt[90][3]~28145\)) # (!\led_flash_cnt[90][4]~q\ & ((\led_flash_cnt[90][3]~28145\) # (GND)))
-- \led_flash_cnt[90][4]~28147\ = CARRY((!\led_flash_cnt[90][3]~28145\) # (!\led_flash_cnt[90][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[90][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[90][3]~28145\,
	combout => \led_flash_cnt[90][4]~28146_combout\,
	cout => \led_flash_cnt[90][4]~28147\);

-- Location: FF_X2_Y26_N25
\led_flash_cnt[90][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[90][4]~28146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[90][4]~q\);

-- Location: LCCOMB_X2_Y26_N26
\led_flash_cnt[90][5]~28148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[90][5]~28148_combout\ = (\led_flash_cnt[90][5]~q\ & (\led_flash_cnt[90][4]~28147\ $ (GND))) # (!\led_flash_cnt[90][5]~q\ & (!\led_flash_cnt[90][4]~28147\ & VCC))
-- \led_flash_cnt[90][5]~28149\ = CARRY((\led_flash_cnt[90][5]~q\ & !\led_flash_cnt[90][4]~28147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[90][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[90][4]~28147\,
	combout => \led_flash_cnt[90][5]~28148_combout\,
	cout => \led_flash_cnt[90][5]~28149\);

-- Location: FF_X2_Y26_N27
\led_flash_cnt[90][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[90][5]~28148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[90][5]~q\);

-- Location: LCCOMB_X2_Y26_N28
\led_flash_cnt[90][6]~28150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[90][6]~28150_combout\ = (\led_flash_cnt[90][6]~q\ & (!\led_flash_cnt[90][5]~28149\)) # (!\led_flash_cnt[90][6]~q\ & ((\led_flash_cnt[90][5]~28149\) # (GND)))
-- \led_flash_cnt[90][6]~28151\ = CARRY((!\led_flash_cnt[90][5]~28149\) # (!\led_flash_cnt[90][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[90][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[90][5]~28149\,
	combout => \led_flash_cnt[90][6]~28150_combout\,
	cout => \led_flash_cnt[90][6]~28151\);

-- Location: FF_X2_Y26_N29
\led_flash_cnt[90][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[90][6]~28150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[90][6]~q\);

-- Location: LCCOMB_X1_Y26_N22
\WideAnd90~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd90~1_combout\ = (\led_flash_cnt[90][6]~q\ & \led_flash_cnt[90][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[90][6]~q\,
	datad => \led_flash_cnt[90][5]~q\,
	combout => \WideAnd90~1_combout\);

-- Location: LCCOMB_X1_Y26_N4
\WideAnd90~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd90~0_combout\ = (\led_flash_cnt[90][4]~q\ & (\led_flash_cnt[90][3]~q\ & (\led_flash_cnt[90][2]~q\ & \led_flash_cnt[90][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[90][4]~q\,
	datab => \led_flash_cnt[90][3]~q\,
	datac => \led_flash_cnt[90][2]~q\,
	datad => \led_flash_cnt[90][1]~q\,
	combout => \WideAnd90~0_combout\);

-- Location: LCCOMB_X2_Y26_N30
\led_flash_cnt[90][7]~28152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[90][7]~28152_combout\ = \led_flash_cnt[90][7]~q\ $ (!\led_flash_cnt[90][6]~28151\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[90][7]~q\,
	cin => \led_flash_cnt[90][6]~28151\,
	combout => \led_flash_cnt[90][7]~28152_combout\);

-- Location: FF_X2_Y26_N31
\led_flash_cnt[90][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[90][7]~28152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[90][7]~q\);

-- Location: LCCOMB_X1_Y26_N0
WideAnd90 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd90~combout\ = (\WideAnd90~1_combout\ & (\WideAnd90~0_combout\ & (\led_flash_cnt[90][7]~q\ & \led_flash_cnt[90][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd90~1_combout\,
	datab => \WideAnd90~0_combout\,
	datac => \led_flash_cnt[90][7]~q\,
	datad => \led_flash_cnt[90][0]~q\,
	combout => \WideAnd90~combout\);

-- Location: FF_X1_Y26_N1
\led_flash_cnt_ands[90]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd90~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(90));

-- Location: LCCOMB_X3_Y27_N6
\led_flash_cnt[89][0]~80729\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[89][0]~80729_combout\ = !\led_flash_cnt[89][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[89][0]~q\,
	combout => \led_flash_cnt[89][0]~80729_combout\);

-- Location: FF_X3_Y27_N7
\led_flash_cnt[89][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[89][0]~80729_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[89][0]~q\);

-- Location: LCCOMB_X2_Y27_N0
\led_flash_cnt[89][1]~28126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[89][1]~28126_combout\ = (\led_flash_cnt[89][0]~q\ & (\led_flash_cnt[89][1]~q\ $ (VCC))) # (!\led_flash_cnt[89][0]~q\ & (\led_flash_cnt[89][1]~q\ & VCC))
-- \led_flash_cnt[89][1]~28127\ = CARRY((\led_flash_cnt[89][0]~q\ & \led_flash_cnt[89][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[89][0]~q\,
	datab => \led_flash_cnt[89][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[89][1]~28126_combout\,
	cout => \led_flash_cnt[89][1]~28127\);

-- Location: FF_X2_Y27_N1
\led_flash_cnt[89][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[89][1]~28126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[89][1]~q\);

-- Location: LCCOMB_X2_Y27_N2
\led_flash_cnt[89][2]~28128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[89][2]~28128_combout\ = (\led_flash_cnt[89][2]~q\ & (!\led_flash_cnt[89][1]~28127\)) # (!\led_flash_cnt[89][2]~q\ & ((\led_flash_cnt[89][1]~28127\) # (GND)))
-- \led_flash_cnt[89][2]~28129\ = CARRY((!\led_flash_cnt[89][1]~28127\) # (!\led_flash_cnt[89][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[89][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[89][1]~28127\,
	combout => \led_flash_cnt[89][2]~28128_combout\,
	cout => \led_flash_cnt[89][2]~28129\);

-- Location: FF_X2_Y27_N3
\led_flash_cnt[89][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[89][2]~28128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[89][2]~q\);

-- Location: LCCOMB_X2_Y27_N4
\led_flash_cnt[89][3]~28130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[89][3]~28130_combout\ = (\led_flash_cnt[89][3]~q\ & (\led_flash_cnt[89][2]~28129\ $ (GND))) # (!\led_flash_cnt[89][3]~q\ & (!\led_flash_cnt[89][2]~28129\ & VCC))
-- \led_flash_cnt[89][3]~28131\ = CARRY((\led_flash_cnt[89][3]~q\ & !\led_flash_cnt[89][2]~28129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[89][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[89][2]~28129\,
	combout => \led_flash_cnt[89][3]~28130_combout\,
	cout => \led_flash_cnt[89][3]~28131\);

-- Location: FF_X2_Y27_N5
\led_flash_cnt[89][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[89][3]~28130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[89][3]~q\);

-- Location: LCCOMB_X2_Y27_N6
\led_flash_cnt[89][4]~28132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[89][4]~28132_combout\ = (\led_flash_cnt[89][4]~q\ & (!\led_flash_cnt[89][3]~28131\)) # (!\led_flash_cnt[89][4]~q\ & ((\led_flash_cnt[89][3]~28131\) # (GND)))
-- \led_flash_cnt[89][4]~28133\ = CARRY((!\led_flash_cnt[89][3]~28131\) # (!\led_flash_cnt[89][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[89][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[89][3]~28131\,
	combout => \led_flash_cnt[89][4]~28132_combout\,
	cout => \led_flash_cnt[89][4]~28133\);

-- Location: FF_X2_Y27_N7
\led_flash_cnt[89][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[89][4]~28132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[89][4]~q\);

-- Location: LCCOMB_X2_Y27_N8
\led_flash_cnt[89][5]~28134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[89][5]~28134_combout\ = (\led_flash_cnt[89][5]~q\ & (\led_flash_cnt[89][4]~28133\ $ (GND))) # (!\led_flash_cnt[89][5]~q\ & (!\led_flash_cnt[89][4]~28133\ & VCC))
-- \led_flash_cnt[89][5]~28135\ = CARRY((\led_flash_cnt[89][5]~q\ & !\led_flash_cnt[89][4]~28133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[89][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[89][4]~28133\,
	combout => \led_flash_cnt[89][5]~28134_combout\,
	cout => \led_flash_cnt[89][5]~28135\);

-- Location: FF_X2_Y27_N9
\led_flash_cnt[89][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[89][5]~28134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[89][5]~q\);

-- Location: LCCOMB_X2_Y27_N10
\led_flash_cnt[89][6]~28136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[89][6]~28136_combout\ = (\led_flash_cnt[89][6]~q\ & (!\led_flash_cnt[89][5]~28135\)) # (!\led_flash_cnt[89][6]~q\ & ((\led_flash_cnt[89][5]~28135\) # (GND)))
-- \led_flash_cnt[89][6]~28137\ = CARRY((!\led_flash_cnt[89][5]~28135\) # (!\led_flash_cnt[89][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[89][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[89][5]~28135\,
	combout => \led_flash_cnt[89][6]~28136_combout\,
	cout => \led_flash_cnt[89][6]~28137\);

-- Location: FF_X2_Y27_N11
\led_flash_cnt[89][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[89][6]~28136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[89][6]~q\);

-- Location: LCCOMB_X1_Y27_N26
\WideAnd89~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd89~1_combout\ = (\led_flash_cnt[89][5]~q\ & \led_flash_cnt[89][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[89][5]~q\,
	datac => \led_flash_cnt[89][6]~q\,
	combout => \WideAnd89~1_combout\);

-- Location: LCCOMB_X2_Y27_N12
\led_flash_cnt[89][7]~28138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[89][7]~28138_combout\ = \led_flash_cnt[89][6]~28137\ $ (!\led_flash_cnt[89][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[89][7]~q\,
	cin => \led_flash_cnt[89][6]~28137\,
	combout => \led_flash_cnt[89][7]~28138_combout\);

-- Location: FF_X2_Y27_N13
\led_flash_cnt[89][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[89][7]~28138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[89][7]~q\);

-- Location: LCCOMB_X2_Y27_N30
\WideAnd89~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd89~0_combout\ = (\led_flash_cnt[89][4]~q\ & (\led_flash_cnt[89][2]~q\ & (\led_flash_cnt[89][3]~q\ & \led_flash_cnt[89][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[89][4]~q\,
	datab => \led_flash_cnt[89][2]~q\,
	datac => \led_flash_cnt[89][3]~q\,
	datad => \led_flash_cnt[89][1]~q\,
	combout => \WideAnd89~0_combout\);

-- Location: LCCOMB_X1_Y27_N4
WideAnd89 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd89~combout\ = (\WideAnd89~1_combout\ & (\led_flash_cnt[89][7]~q\ & (\WideAnd89~0_combout\ & \led_flash_cnt[89][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd89~1_combout\,
	datab => \led_flash_cnt[89][7]~q\,
	datac => \WideAnd89~0_combout\,
	datad => \led_flash_cnt[89][0]~q\,
	combout => \WideAnd89~combout\);

-- Location: FF_X1_Y27_N5
\led_flash_cnt_ands[89]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd89~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(89));

-- Location: LCCOMB_X1_Y31_N10
\led_flash_cnt[88][0]~80728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[88][0]~80728_combout\ = !\led_flash_cnt[88][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[88][0]~q\,
	combout => \led_flash_cnt[88][0]~80728_combout\);

-- Location: FF_X1_Y31_N11
\led_flash_cnt[88][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[88][0]~80728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[88][0]~q\);

-- Location: LCCOMB_X1_Y31_N12
\led_flash_cnt[88][1]~28112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[88][1]~28112_combout\ = (\led_flash_cnt[88][0]~q\ & (\led_flash_cnt[88][1]~q\ $ (VCC))) # (!\led_flash_cnt[88][0]~q\ & (\led_flash_cnt[88][1]~q\ & VCC))
-- \led_flash_cnt[88][1]~28113\ = CARRY((\led_flash_cnt[88][0]~q\ & \led_flash_cnt[88][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[88][0]~q\,
	datab => \led_flash_cnt[88][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[88][1]~28112_combout\,
	cout => \led_flash_cnt[88][1]~28113\);

-- Location: FF_X1_Y31_N13
\led_flash_cnt[88][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[88][1]~28112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[88][1]~q\);

-- Location: LCCOMB_X1_Y31_N14
\led_flash_cnt[88][2]~28114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[88][2]~28114_combout\ = (\led_flash_cnt[88][2]~q\ & (!\led_flash_cnt[88][1]~28113\)) # (!\led_flash_cnt[88][2]~q\ & ((\led_flash_cnt[88][1]~28113\) # (GND)))
-- \led_flash_cnt[88][2]~28115\ = CARRY((!\led_flash_cnt[88][1]~28113\) # (!\led_flash_cnt[88][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[88][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[88][1]~28113\,
	combout => \led_flash_cnt[88][2]~28114_combout\,
	cout => \led_flash_cnt[88][2]~28115\);

-- Location: FF_X1_Y31_N15
\led_flash_cnt[88][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[88][2]~28114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[88][2]~q\);

-- Location: LCCOMB_X1_Y31_N16
\led_flash_cnt[88][3]~28116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[88][3]~28116_combout\ = (\led_flash_cnt[88][3]~q\ & (\led_flash_cnt[88][2]~28115\ $ (GND))) # (!\led_flash_cnt[88][3]~q\ & (!\led_flash_cnt[88][2]~28115\ & VCC))
-- \led_flash_cnt[88][3]~28117\ = CARRY((\led_flash_cnt[88][3]~q\ & !\led_flash_cnt[88][2]~28115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[88][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[88][2]~28115\,
	combout => \led_flash_cnt[88][3]~28116_combout\,
	cout => \led_flash_cnt[88][3]~28117\);

-- Location: FF_X1_Y31_N17
\led_flash_cnt[88][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[88][3]~28116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[88][3]~q\);

-- Location: LCCOMB_X1_Y31_N18
\led_flash_cnt[88][4]~28118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[88][4]~28118_combout\ = (\led_flash_cnt[88][4]~q\ & (!\led_flash_cnt[88][3]~28117\)) # (!\led_flash_cnt[88][4]~q\ & ((\led_flash_cnt[88][3]~28117\) # (GND)))
-- \led_flash_cnt[88][4]~28119\ = CARRY((!\led_flash_cnt[88][3]~28117\) # (!\led_flash_cnt[88][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[88][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[88][3]~28117\,
	combout => \led_flash_cnt[88][4]~28118_combout\,
	cout => \led_flash_cnt[88][4]~28119\);

-- Location: FF_X1_Y31_N19
\led_flash_cnt[88][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[88][4]~28118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[88][4]~q\);

-- Location: LCCOMB_X1_Y31_N26
\WideAnd88~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd88~0_combout\ = (\led_flash_cnt[88][1]~q\ & (\led_flash_cnt[88][3]~q\ & (\led_flash_cnt[88][2]~q\ & \led_flash_cnt[88][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[88][1]~q\,
	datab => \led_flash_cnt[88][3]~q\,
	datac => \led_flash_cnt[88][2]~q\,
	datad => \led_flash_cnt[88][4]~q\,
	combout => \WideAnd88~0_combout\);

-- Location: LCCOMB_X1_Y31_N20
\led_flash_cnt[88][5]~28120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[88][5]~28120_combout\ = (\led_flash_cnt[88][5]~q\ & (\led_flash_cnt[88][4]~28119\ $ (GND))) # (!\led_flash_cnt[88][5]~q\ & (!\led_flash_cnt[88][4]~28119\ & VCC))
-- \led_flash_cnt[88][5]~28121\ = CARRY((\led_flash_cnt[88][5]~q\ & !\led_flash_cnt[88][4]~28119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[88][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[88][4]~28119\,
	combout => \led_flash_cnt[88][5]~28120_combout\,
	cout => \led_flash_cnt[88][5]~28121\);

-- Location: FF_X1_Y31_N21
\led_flash_cnt[88][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[88][5]~28120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[88][5]~q\);

-- Location: LCCOMB_X1_Y31_N22
\led_flash_cnt[88][6]~28122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[88][6]~28122_combout\ = (\led_flash_cnt[88][6]~q\ & (!\led_flash_cnt[88][5]~28121\)) # (!\led_flash_cnt[88][6]~q\ & ((\led_flash_cnt[88][5]~28121\) # (GND)))
-- \led_flash_cnt[88][6]~28123\ = CARRY((!\led_flash_cnt[88][5]~28121\) # (!\led_flash_cnt[88][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[88][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[88][5]~28121\,
	combout => \led_flash_cnt[88][6]~28122_combout\,
	cout => \led_flash_cnt[88][6]~28123\);

-- Location: FF_X1_Y31_N23
\led_flash_cnt[88][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[88][6]~28122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[88][6]~q\);

-- Location: LCCOMB_X1_Y31_N24
\led_flash_cnt[88][7]~28124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[88][7]~28124_combout\ = \led_flash_cnt[88][6]~28123\ $ (!\led_flash_cnt[88][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[88][7]~q\,
	cin => \led_flash_cnt[88][6]~28123\,
	combout => \led_flash_cnt[88][7]~28124_combout\);

-- Location: FF_X1_Y31_N25
\led_flash_cnt[88][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[88][7]~28124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[88][7]~q\);

-- Location: LCCOMB_X1_Y31_N4
\WideAnd88~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd88~1_combout\ = (\led_flash_cnt[88][6]~q\ & \led_flash_cnt[88][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[88][6]~q\,
	datad => \led_flash_cnt[88][7]~q\,
	combout => \WideAnd88~1_combout\);

-- Location: LCCOMB_X1_Y31_N8
WideAnd88 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd88~combout\ = (\WideAnd88~0_combout\ & (\led_flash_cnt[88][5]~q\ & (\WideAnd88~1_combout\ & \led_flash_cnt[88][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd88~0_combout\,
	datab => \led_flash_cnt[88][5]~q\,
	datac => \WideAnd88~1_combout\,
	datad => \led_flash_cnt[88][0]~q\,
	combout => \WideAnd88~combout\);

-- Location: FF_X1_Y31_N9
\led_flash_cnt_ands[88]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd88~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(88));

-- Location: LCCOMB_X1_Y27_N28
\WideAnd3851~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3851~0_combout\ = (led_flash_cnt_ands(91) & (led_flash_cnt_ands(90) & (led_flash_cnt_ands(89) & led_flash_cnt_ands(88))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(91),
	datab => led_flash_cnt_ands(90),
	datac => led_flash_cnt_ands(89),
	datad => led_flash_cnt_ands(88),
	combout => \WideAnd3851~0_combout\);

-- Location: LCCOMB_X18_Y28_N18
\led_flash_cnt[94][0]~80734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[94][0]~80734_combout\ = !\led_flash_cnt[94][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[94][0]~q\,
	combout => \led_flash_cnt[94][0]~80734_combout\);

-- Location: FF_X18_Y28_N19
\led_flash_cnt[94][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[94][0]~80734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[94][0]~q\);

-- Location: LCCOMB_X18_Y28_N0
\led_flash_cnt[94][1]~28196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[94][1]~28196_combout\ = (\led_flash_cnt[94][1]~q\ & (\led_flash_cnt[94][0]~q\ $ (VCC))) # (!\led_flash_cnt[94][1]~q\ & (\led_flash_cnt[94][0]~q\ & VCC))
-- \led_flash_cnt[94][1]~28197\ = CARRY((\led_flash_cnt[94][1]~q\ & \led_flash_cnt[94][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[94][1]~q\,
	datab => \led_flash_cnt[94][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[94][1]~28196_combout\,
	cout => \led_flash_cnt[94][1]~28197\);

-- Location: FF_X18_Y28_N1
\led_flash_cnt[94][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[94][1]~28196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[94][1]~q\);

-- Location: LCCOMB_X18_Y28_N2
\led_flash_cnt[94][2]~28198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[94][2]~28198_combout\ = (\led_flash_cnt[94][2]~q\ & (!\led_flash_cnt[94][1]~28197\)) # (!\led_flash_cnt[94][2]~q\ & ((\led_flash_cnt[94][1]~28197\) # (GND)))
-- \led_flash_cnt[94][2]~28199\ = CARRY((!\led_flash_cnt[94][1]~28197\) # (!\led_flash_cnt[94][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[94][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[94][1]~28197\,
	combout => \led_flash_cnt[94][2]~28198_combout\,
	cout => \led_flash_cnt[94][2]~28199\);

-- Location: FF_X18_Y28_N3
\led_flash_cnt[94][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[94][2]~28198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[94][2]~q\);

-- Location: LCCOMB_X18_Y28_N4
\led_flash_cnt[94][3]~28200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[94][3]~28200_combout\ = (\led_flash_cnt[94][3]~q\ & (\led_flash_cnt[94][2]~28199\ $ (GND))) # (!\led_flash_cnt[94][3]~q\ & (!\led_flash_cnt[94][2]~28199\ & VCC))
-- \led_flash_cnt[94][3]~28201\ = CARRY((\led_flash_cnt[94][3]~q\ & !\led_flash_cnt[94][2]~28199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[94][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[94][2]~28199\,
	combout => \led_flash_cnt[94][3]~28200_combout\,
	cout => \led_flash_cnt[94][3]~28201\);

-- Location: FF_X18_Y28_N5
\led_flash_cnt[94][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[94][3]~28200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[94][3]~q\);

-- Location: LCCOMB_X18_Y28_N6
\led_flash_cnt[94][4]~28202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[94][4]~28202_combout\ = (\led_flash_cnt[94][4]~q\ & (!\led_flash_cnt[94][3]~28201\)) # (!\led_flash_cnt[94][4]~q\ & ((\led_flash_cnt[94][3]~28201\) # (GND)))
-- \led_flash_cnt[94][4]~28203\ = CARRY((!\led_flash_cnt[94][3]~28201\) # (!\led_flash_cnt[94][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[94][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[94][3]~28201\,
	combout => \led_flash_cnt[94][4]~28202_combout\,
	cout => \led_flash_cnt[94][4]~28203\);

-- Location: FF_X18_Y28_N7
\led_flash_cnt[94][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[94][4]~28202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[94][4]~q\);

-- Location: LCCOMB_X18_Y28_N8
\led_flash_cnt[94][5]~28204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[94][5]~28204_combout\ = (\led_flash_cnt[94][5]~q\ & (\led_flash_cnt[94][4]~28203\ $ (GND))) # (!\led_flash_cnt[94][5]~q\ & (!\led_flash_cnt[94][4]~28203\ & VCC))
-- \led_flash_cnt[94][5]~28205\ = CARRY((\led_flash_cnt[94][5]~q\ & !\led_flash_cnt[94][4]~28203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[94][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[94][4]~28203\,
	combout => \led_flash_cnt[94][5]~28204_combout\,
	cout => \led_flash_cnt[94][5]~28205\);

-- Location: FF_X18_Y28_N9
\led_flash_cnt[94][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[94][5]~28204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[94][5]~q\);

-- Location: LCCOMB_X18_Y28_N10
\led_flash_cnt[94][6]~28206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[94][6]~28206_combout\ = (\led_flash_cnt[94][6]~q\ & (!\led_flash_cnt[94][5]~28205\)) # (!\led_flash_cnt[94][6]~q\ & ((\led_flash_cnt[94][5]~28205\) # (GND)))
-- \led_flash_cnt[94][6]~28207\ = CARRY((!\led_flash_cnt[94][5]~28205\) # (!\led_flash_cnt[94][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[94][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[94][5]~28205\,
	combout => \led_flash_cnt[94][6]~28206_combout\,
	cout => \led_flash_cnt[94][6]~28207\);

-- Location: FF_X18_Y28_N11
\led_flash_cnt[94][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[94][6]~28206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[94][6]~q\);

-- Location: LCCOMB_X18_Y28_N12
\led_flash_cnt[94][7]~28208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[94][7]~28208_combout\ = \led_flash_cnt[94][6]~28207\ $ (!\led_flash_cnt[94][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[94][7]~q\,
	cin => \led_flash_cnt[94][6]~28207\,
	combout => \led_flash_cnt[94][7]~28208_combout\);

-- Location: FF_X18_Y28_N13
\led_flash_cnt[94][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[94][7]~28208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[94][7]~q\);

-- Location: LCCOMB_X18_Y28_N24
\WideAnd94~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd94~0_combout\ = (\led_flash_cnt[94][4]~q\ & (\led_flash_cnt[94][2]~q\ & (\led_flash_cnt[94][3]~q\ & \led_flash_cnt[94][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[94][4]~q\,
	datab => \led_flash_cnt[94][2]~q\,
	datac => \led_flash_cnt[94][3]~q\,
	datad => \led_flash_cnt[94][1]~q\,
	combout => \WideAnd94~0_combout\);

-- Location: LCCOMB_X18_Y28_N26
\WideAnd94~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd94~1_combout\ = (\led_flash_cnt[94][5]~q\ & \led_flash_cnt[94][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[94][5]~q\,
	datad => \led_flash_cnt[94][6]~q\,
	combout => \WideAnd94~1_combout\);

-- Location: LCCOMB_X18_Y28_N16
WideAnd94 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd94~combout\ = (\led_flash_cnt[94][7]~q\ & (\WideAnd94~0_combout\ & (\WideAnd94~1_combout\ & \led_flash_cnt[94][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[94][7]~q\,
	datab => \WideAnd94~0_combout\,
	datac => \WideAnd94~1_combout\,
	datad => \led_flash_cnt[94][0]~q\,
	combout => \WideAnd94~combout\);

-- Location: FF_X18_Y28_N17
\led_flash_cnt_ands[94]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd94~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(94));

-- Location: LCCOMB_X18_Y28_N30
WideAnd3851 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3851~combout\ = (\WideAnd3851~1_combout\ & (led_flash_cnt_ands(95) & (\WideAnd3851~0_combout\ & led_flash_cnt_ands(94))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3851~1_combout\,
	datab => led_flash_cnt_ands(95),
	datac => \WideAnd3851~0_combout\,
	datad => led_flash_cnt_ands(94),
	combout => \WideAnd3851~combout\);

-- Location: FF_X18_Y28_N31
\led_flash_cnt_ands_1[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3851~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(11));

-- Location: LCCOMB_X4_Y19_N2
\led_flash_cnt[87][0]~80727\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[87][0]~80727_combout\ = !\led_flash_cnt[87][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[87][0]~q\,
	combout => \led_flash_cnt[87][0]~80727_combout\);

-- Location: FF_X4_Y19_N3
\led_flash_cnt[87][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[87][0]~80727_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[87][0]~q\);

-- Location: LCCOMB_X3_Y19_N18
\led_flash_cnt[87][1]~28098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[87][1]~28098_combout\ = (\led_flash_cnt[87][0]~q\ & (\led_flash_cnt[87][1]~q\ $ (VCC))) # (!\led_flash_cnt[87][0]~q\ & (\led_flash_cnt[87][1]~q\ & VCC))
-- \led_flash_cnt[87][1]~28099\ = CARRY((\led_flash_cnt[87][0]~q\ & \led_flash_cnt[87][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[87][0]~q\,
	datab => \led_flash_cnt[87][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[87][1]~28098_combout\,
	cout => \led_flash_cnt[87][1]~28099\);

-- Location: FF_X3_Y19_N19
\led_flash_cnt[87][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[87][1]~28098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[87][1]~q\);

-- Location: LCCOMB_X3_Y19_N20
\led_flash_cnt[87][2]~28100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[87][2]~28100_combout\ = (\led_flash_cnt[87][2]~q\ & (!\led_flash_cnt[87][1]~28099\)) # (!\led_flash_cnt[87][2]~q\ & ((\led_flash_cnt[87][1]~28099\) # (GND)))
-- \led_flash_cnt[87][2]~28101\ = CARRY((!\led_flash_cnt[87][1]~28099\) # (!\led_flash_cnt[87][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[87][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[87][1]~28099\,
	combout => \led_flash_cnt[87][2]~28100_combout\,
	cout => \led_flash_cnt[87][2]~28101\);

-- Location: FF_X3_Y19_N21
\led_flash_cnt[87][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[87][2]~28100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[87][2]~q\);

-- Location: LCCOMB_X3_Y19_N22
\led_flash_cnt[87][3]~28102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[87][3]~28102_combout\ = (\led_flash_cnt[87][3]~q\ & (\led_flash_cnt[87][2]~28101\ $ (GND))) # (!\led_flash_cnt[87][3]~q\ & (!\led_flash_cnt[87][2]~28101\ & VCC))
-- \led_flash_cnt[87][3]~28103\ = CARRY((\led_flash_cnt[87][3]~q\ & !\led_flash_cnt[87][2]~28101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[87][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[87][2]~28101\,
	combout => \led_flash_cnt[87][3]~28102_combout\,
	cout => \led_flash_cnt[87][3]~28103\);

-- Location: FF_X3_Y19_N23
\led_flash_cnt[87][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[87][3]~28102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[87][3]~q\);

-- Location: LCCOMB_X3_Y19_N24
\led_flash_cnt[87][4]~28104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[87][4]~28104_combout\ = (\led_flash_cnt[87][4]~q\ & (!\led_flash_cnt[87][3]~28103\)) # (!\led_flash_cnt[87][4]~q\ & ((\led_flash_cnt[87][3]~28103\) # (GND)))
-- \led_flash_cnt[87][4]~28105\ = CARRY((!\led_flash_cnt[87][3]~28103\) # (!\led_flash_cnt[87][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[87][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[87][3]~28103\,
	combout => \led_flash_cnt[87][4]~28104_combout\,
	cout => \led_flash_cnt[87][4]~28105\);

-- Location: FF_X3_Y19_N25
\led_flash_cnt[87][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[87][4]~28104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[87][4]~q\);

-- Location: LCCOMB_X3_Y19_N0
\WideAnd87~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd87~0_combout\ = (\led_flash_cnt[87][4]~q\ & (\led_flash_cnt[87][2]~q\ & (\led_flash_cnt[87][3]~q\ & \led_flash_cnt[87][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[87][4]~q\,
	datab => \led_flash_cnt[87][2]~q\,
	datac => \led_flash_cnt[87][3]~q\,
	datad => \led_flash_cnt[87][1]~q\,
	combout => \WideAnd87~0_combout\);

-- Location: LCCOMB_X3_Y19_N26
\led_flash_cnt[87][5]~28106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[87][5]~28106_combout\ = (\led_flash_cnt[87][5]~q\ & (\led_flash_cnt[87][4]~28105\ $ (GND))) # (!\led_flash_cnt[87][5]~q\ & (!\led_flash_cnt[87][4]~28105\ & VCC))
-- \led_flash_cnt[87][5]~28107\ = CARRY((\led_flash_cnt[87][5]~q\ & !\led_flash_cnt[87][4]~28105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[87][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[87][4]~28105\,
	combout => \led_flash_cnt[87][5]~28106_combout\,
	cout => \led_flash_cnt[87][5]~28107\);

-- Location: FF_X3_Y19_N27
\led_flash_cnt[87][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[87][5]~28106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[87][5]~q\);

-- Location: LCCOMB_X3_Y19_N28
\led_flash_cnt[87][6]~28108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[87][6]~28108_combout\ = (\led_flash_cnt[87][6]~q\ & (!\led_flash_cnt[87][5]~28107\)) # (!\led_flash_cnt[87][6]~q\ & ((\led_flash_cnt[87][5]~28107\) # (GND)))
-- \led_flash_cnt[87][6]~28109\ = CARRY((!\led_flash_cnt[87][5]~28107\) # (!\led_flash_cnt[87][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[87][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[87][5]~28107\,
	combout => \led_flash_cnt[87][6]~28108_combout\,
	cout => \led_flash_cnt[87][6]~28109\);

-- Location: FF_X3_Y19_N29
\led_flash_cnt[87][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[87][6]~28108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[87][6]~q\);

-- Location: LCCOMB_X3_Y19_N30
\led_flash_cnt[87][7]~28110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[87][7]~28110_combout\ = \led_flash_cnt[87][7]~q\ $ (!\led_flash_cnt[87][6]~28109\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[87][7]~q\,
	cin => \led_flash_cnt[87][6]~28109\,
	combout => \led_flash_cnt[87][7]~28110_combout\);

-- Location: FF_X3_Y19_N31
\led_flash_cnt[87][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[87][7]~28110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[87][7]~q\);

-- Location: LCCOMB_X4_Y19_N4
\WideAnd87~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd87~1_combout\ = (\led_flash_cnt[87][5]~q\ & \led_flash_cnt[87][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[87][5]~q\,
	datad => \led_flash_cnt[87][6]~q\,
	combout => \WideAnd87~1_combout\);

-- Location: LCCOMB_X4_Y19_N6
WideAnd87 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd87~combout\ = (\WideAnd87~0_combout\ & (\led_flash_cnt[87][7]~q\ & (\WideAnd87~1_combout\ & \led_flash_cnt[87][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd87~0_combout\,
	datab => \led_flash_cnt[87][7]~q\,
	datac => \WideAnd87~1_combout\,
	datad => \led_flash_cnt[87][0]~q\,
	combout => \WideAnd87~combout\);

-- Location: FF_X4_Y19_N7
\led_flash_cnt_ands[87]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd87~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(87));

-- Location: LCCOMB_X30_Y3_N14
\led_flash_cnt[85][0]~80725\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[85][0]~80725_combout\ = !\led_flash_cnt[85][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[85][0]~q\,
	combout => \led_flash_cnt[85][0]~80725_combout\);

-- Location: FF_X30_Y3_N15
\led_flash_cnt[85][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[85][0]~80725_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[85][0]~q\);

-- Location: LCCOMB_X31_Y3_N18
\led_flash_cnt[85][1]~28070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[85][1]~28070_combout\ = (\led_flash_cnt[85][0]~q\ & (\led_flash_cnt[85][1]~q\ $ (VCC))) # (!\led_flash_cnt[85][0]~q\ & (\led_flash_cnt[85][1]~q\ & VCC))
-- \led_flash_cnt[85][1]~28071\ = CARRY((\led_flash_cnt[85][0]~q\ & \led_flash_cnt[85][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[85][0]~q\,
	datab => \led_flash_cnt[85][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[85][1]~28070_combout\,
	cout => \led_flash_cnt[85][1]~28071\);

-- Location: FF_X31_Y3_N19
\led_flash_cnt[85][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[85][1]~28070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[85][1]~q\);

-- Location: LCCOMB_X31_Y3_N20
\led_flash_cnt[85][2]~28072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[85][2]~28072_combout\ = (\led_flash_cnt[85][2]~q\ & (!\led_flash_cnt[85][1]~28071\)) # (!\led_flash_cnt[85][2]~q\ & ((\led_flash_cnt[85][1]~28071\) # (GND)))
-- \led_flash_cnt[85][2]~28073\ = CARRY((!\led_flash_cnt[85][1]~28071\) # (!\led_flash_cnt[85][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[85][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[85][1]~28071\,
	combout => \led_flash_cnt[85][2]~28072_combout\,
	cout => \led_flash_cnt[85][2]~28073\);

-- Location: FF_X31_Y3_N21
\led_flash_cnt[85][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[85][2]~28072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[85][2]~q\);

-- Location: LCCOMB_X31_Y3_N22
\led_flash_cnt[85][3]~28074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[85][3]~28074_combout\ = (\led_flash_cnt[85][3]~q\ & (\led_flash_cnt[85][2]~28073\ $ (GND))) # (!\led_flash_cnt[85][3]~q\ & (!\led_flash_cnt[85][2]~28073\ & VCC))
-- \led_flash_cnt[85][3]~28075\ = CARRY((\led_flash_cnt[85][3]~q\ & !\led_flash_cnt[85][2]~28073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[85][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[85][2]~28073\,
	combout => \led_flash_cnt[85][3]~28074_combout\,
	cout => \led_flash_cnt[85][3]~28075\);

-- Location: FF_X31_Y3_N23
\led_flash_cnt[85][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[85][3]~28074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[85][3]~q\);

-- Location: LCCOMB_X31_Y3_N24
\led_flash_cnt[85][4]~28076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[85][4]~28076_combout\ = (\led_flash_cnt[85][4]~q\ & (!\led_flash_cnt[85][3]~28075\)) # (!\led_flash_cnt[85][4]~q\ & ((\led_flash_cnt[85][3]~28075\) # (GND)))
-- \led_flash_cnt[85][4]~28077\ = CARRY((!\led_flash_cnt[85][3]~28075\) # (!\led_flash_cnt[85][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[85][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[85][3]~28075\,
	combout => \led_flash_cnt[85][4]~28076_combout\,
	cout => \led_flash_cnt[85][4]~28077\);

-- Location: FF_X31_Y3_N25
\led_flash_cnt[85][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[85][4]~28076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[85][4]~q\);

-- Location: LCCOMB_X31_Y3_N26
\led_flash_cnt[85][5]~28078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[85][5]~28078_combout\ = (\led_flash_cnt[85][5]~q\ & (\led_flash_cnt[85][4]~28077\ $ (GND))) # (!\led_flash_cnt[85][5]~q\ & (!\led_flash_cnt[85][4]~28077\ & VCC))
-- \led_flash_cnt[85][5]~28079\ = CARRY((\led_flash_cnt[85][5]~q\ & !\led_flash_cnt[85][4]~28077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[85][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[85][4]~28077\,
	combout => \led_flash_cnt[85][5]~28078_combout\,
	cout => \led_flash_cnt[85][5]~28079\);

-- Location: FF_X31_Y3_N27
\led_flash_cnt[85][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[85][5]~28078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[85][5]~q\);

-- Location: LCCOMB_X31_Y3_N28
\led_flash_cnt[85][6]~28080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[85][6]~28080_combout\ = (\led_flash_cnt[85][6]~q\ & (!\led_flash_cnt[85][5]~28079\)) # (!\led_flash_cnt[85][6]~q\ & ((\led_flash_cnt[85][5]~28079\) # (GND)))
-- \led_flash_cnt[85][6]~28081\ = CARRY((!\led_flash_cnt[85][5]~28079\) # (!\led_flash_cnt[85][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[85][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[85][5]~28079\,
	combout => \led_flash_cnt[85][6]~28080_combout\,
	cout => \led_flash_cnt[85][6]~28081\);

-- Location: FF_X31_Y3_N29
\led_flash_cnt[85][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[85][6]~28080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[85][6]~q\);

-- Location: LCCOMB_X31_Y3_N30
\led_flash_cnt[85][7]~28082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[85][7]~28082_combout\ = \led_flash_cnt[85][7]~q\ $ (!\led_flash_cnt[85][6]~28081\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[85][7]~q\,
	cin => \led_flash_cnt[85][6]~28081\,
	combout => \led_flash_cnt[85][7]~28082_combout\);

-- Location: FF_X31_Y3_N31
\led_flash_cnt[85][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[85][7]~28082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[85][7]~q\);

-- Location: LCCOMB_X31_Y3_N0
\WideAnd85~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd85~0_combout\ = (\led_flash_cnt[85][4]~q\ & (\led_flash_cnt[85][1]~q\ & (\led_flash_cnt[85][3]~q\ & \led_flash_cnt[85][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[85][4]~q\,
	datab => \led_flash_cnt[85][1]~q\,
	datac => \led_flash_cnt[85][3]~q\,
	datad => \led_flash_cnt[85][2]~q\,
	combout => \WideAnd85~0_combout\);

-- Location: LCCOMB_X30_Y3_N12
\WideAnd85~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd85~1_combout\ = (\led_flash_cnt[85][6]~q\ & \led_flash_cnt[85][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[85][6]~q\,
	datad => \led_flash_cnt[85][5]~q\,
	combout => \WideAnd85~1_combout\);

-- Location: LCCOMB_X30_Y3_N30
WideAnd85 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd85~combout\ = (\led_flash_cnt[85][7]~q\ & (\led_flash_cnt[85][0]~q\ & (\WideAnd85~0_combout\ & \WideAnd85~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[85][7]~q\,
	datab => \led_flash_cnt[85][0]~q\,
	datac => \WideAnd85~0_combout\,
	datad => \WideAnd85~1_combout\,
	combout => \WideAnd85~combout\);

-- Location: FF_X30_Y3_N31
\led_flash_cnt_ands[85]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd85~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(85));

-- Location: LCCOMB_X4_Y18_N16
\led_flash_cnt[84][0]~80724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[84][0]~80724_combout\ = !\led_flash_cnt[84][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[84][0]~q\,
	combout => \led_flash_cnt[84][0]~80724_combout\);

-- Location: FF_X4_Y18_N17
\led_flash_cnt[84][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[84][0]~80724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[84][0]~q\);

-- Location: LCCOMB_X3_Y18_N2
\led_flash_cnt[84][1]~28056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[84][1]~28056_combout\ = (\led_flash_cnt[84][0]~q\ & (\led_flash_cnt[84][1]~q\ $ (VCC))) # (!\led_flash_cnt[84][0]~q\ & (\led_flash_cnt[84][1]~q\ & VCC))
-- \led_flash_cnt[84][1]~28057\ = CARRY((\led_flash_cnt[84][0]~q\ & \led_flash_cnt[84][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[84][0]~q\,
	datab => \led_flash_cnt[84][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[84][1]~28056_combout\,
	cout => \led_flash_cnt[84][1]~28057\);

-- Location: FF_X3_Y18_N3
\led_flash_cnt[84][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[84][1]~28056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[84][1]~q\);

-- Location: LCCOMB_X3_Y18_N4
\led_flash_cnt[84][2]~28058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[84][2]~28058_combout\ = (\led_flash_cnt[84][2]~q\ & (!\led_flash_cnt[84][1]~28057\)) # (!\led_flash_cnt[84][2]~q\ & ((\led_flash_cnt[84][1]~28057\) # (GND)))
-- \led_flash_cnt[84][2]~28059\ = CARRY((!\led_flash_cnt[84][1]~28057\) # (!\led_flash_cnt[84][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[84][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[84][1]~28057\,
	combout => \led_flash_cnt[84][2]~28058_combout\,
	cout => \led_flash_cnt[84][2]~28059\);

-- Location: FF_X3_Y18_N5
\led_flash_cnt[84][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[84][2]~28058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[84][2]~q\);

-- Location: LCCOMB_X3_Y18_N6
\led_flash_cnt[84][3]~28060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[84][3]~28060_combout\ = (\led_flash_cnt[84][3]~q\ & (\led_flash_cnt[84][2]~28059\ $ (GND))) # (!\led_flash_cnt[84][3]~q\ & (!\led_flash_cnt[84][2]~28059\ & VCC))
-- \led_flash_cnt[84][3]~28061\ = CARRY((\led_flash_cnt[84][3]~q\ & !\led_flash_cnt[84][2]~28059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[84][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[84][2]~28059\,
	combout => \led_flash_cnt[84][3]~28060_combout\,
	cout => \led_flash_cnt[84][3]~28061\);

-- Location: FF_X3_Y18_N7
\led_flash_cnt[84][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[84][3]~28060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[84][3]~q\);

-- Location: LCCOMB_X3_Y18_N8
\led_flash_cnt[84][4]~28062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[84][4]~28062_combout\ = (\led_flash_cnt[84][4]~q\ & (!\led_flash_cnt[84][3]~28061\)) # (!\led_flash_cnt[84][4]~q\ & ((\led_flash_cnt[84][3]~28061\) # (GND)))
-- \led_flash_cnt[84][4]~28063\ = CARRY((!\led_flash_cnt[84][3]~28061\) # (!\led_flash_cnt[84][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[84][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[84][3]~28061\,
	combout => \led_flash_cnt[84][4]~28062_combout\,
	cout => \led_flash_cnt[84][4]~28063\);

-- Location: FF_X3_Y18_N9
\led_flash_cnt[84][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[84][4]~28062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[84][4]~q\);

-- Location: LCCOMB_X3_Y18_N10
\led_flash_cnt[84][5]~28064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[84][5]~28064_combout\ = (\led_flash_cnt[84][5]~q\ & (\led_flash_cnt[84][4]~28063\ $ (GND))) # (!\led_flash_cnt[84][5]~q\ & (!\led_flash_cnt[84][4]~28063\ & VCC))
-- \led_flash_cnt[84][5]~28065\ = CARRY((\led_flash_cnt[84][5]~q\ & !\led_flash_cnt[84][4]~28063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[84][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[84][4]~28063\,
	combout => \led_flash_cnt[84][5]~28064_combout\,
	cout => \led_flash_cnt[84][5]~28065\);

-- Location: FF_X3_Y18_N11
\led_flash_cnt[84][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[84][5]~28064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[84][5]~q\);

-- Location: LCCOMB_X3_Y18_N12
\led_flash_cnt[84][6]~28066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[84][6]~28066_combout\ = (\led_flash_cnt[84][6]~q\ & (!\led_flash_cnt[84][5]~28065\)) # (!\led_flash_cnt[84][6]~q\ & ((\led_flash_cnt[84][5]~28065\) # (GND)))
-- \led_flash_cnt[84][6]~28067\ = CARRY((!\led_flash_cnt[84][5]~28065\) # (!\led_flash_cnt[84][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[84][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[84][5]~28065\,
	combout => \led_flash_cnt[84][6]~28066_combout\,
	cout => \led_flash_cnt[84][6]~28067\);

-- Location: FF_X3_Y18_N13
\led_flash_cnt[84][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[84][6]~28066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[84][6]~q\);

-- Location: LCCOMB_X3_Y18_N14
\led_flash_cnt[84][7]~28068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[84][7]~28068_combout\ = \led_flash_cnt[84][7]~q\ $ (!\led_flash_cnt[84][6]~28067\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[84][7]~q\,
	cin => \led_flash_cnt[84][6]~28067\,
	combout => \led_flash_cnt[84][7]~28068_combout\);

-- Location: FF_X3_Y18_N15
\led_flash_cnt[84][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[84][7]~28068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[84][7]~q\);

-- Location: LCCOMB_X4_Y18_N18
\WideAnd84~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd84~1_combout\ = (\led_flash_cnt[84][5]~q\ & \led_flash_cnt[84][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[84][5]~q\,
	datad => \led_flash_cnt[84][6]~q\,
	combout => \WideAnd84~1_combout\);

-- Location: LCCOMB_X3_Y18_N16
\WideAnd84~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd84~0_combout\ = (\led_flash_cnt[84][3]~q\ & (\led_flash_cnt[84][4]~q\ & (\led_flash_cnt[84][2]~q\ & \led_flash_cnt[84][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[84][3]~q\,
	datab => \led_flash_cnt[84][4]~q\,
	datac => \led_flash_cnt[84][2]~q\,
	datad => \led_flash_cnt[84][1]~q\,
	combout => \WideAnd84~0_combout\);

-- Location: LCCOMB_X4_Y18_N28
WideAnd84 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd84~combout\ = (\led_flash_cnt[84][7]~q\ & (\WideAnd84~1_combout\ & (\WideAnd84~0_combout\ & \led_flash_cnt[84][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[84][7]~q\,
	datab => \WideAnd84~1_combout\,
	datac => \WideAnd84~0_combout\,
	datad => \led_flash_cnt[84][0]~q\,
	combout => \WideAnd84~combout\);

-- Location: FF_X4_Y18_N29
\led_flash_cnt_ands[84]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd84~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(84));

-- Location: LCCOMB_X4_Y18_N0
\WideAnd3850~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3850~1_combout\ = (led_flash_cnt_ands(85) & led_flash_cnt_ands(84))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(85),
	datad => led_flash_cnt_ands(84),
	combout => \WideAnd3850~1_combout\);

-- Location: LCCOMB_X8_Y25_N2
\led_flash_cnt[86][0]~80726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[86][0]~80726_combout\ = !\led_flash_cnt[86][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[86][0]~q\,
	combout => \led_flash_cnt[86][0]~80726_combout\);

-- Location: FF_X8_Y25_N3
\led_flash_cnt[86][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[86][0]~80726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[86][0]~q\);

-- Location: LCCOMB_X7_Y25_N0
\led_flash_cnt[86][1]~28084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[86][1]~28084_combout\ = (\led_flash_cnt[86][0]~q\ & (\led_flash_cnt[86][1]~q\ $ (VCC))) # (!\led_flash_cnt[86][0]~q\ & (\led_flash_cnt[86][1]~q\ & VCC))
-- \led_flash_cnt[86][1]~28085\ = CARRY((\led_flash_cnt[86][0]~q\ & \led_flash_cnt[86][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[86][0]~q\,
	datab => \led_flash_cnt[86][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[86][1]~28084_combout\,
	cout => \led_flash_cnt[86][1]~28085\);

-- Location: FF_X7_Y25_N1
\led_flash_cnt[86][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[86][1]~28084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[86][1]~q\);

-- Location: LCCOMB_X7_Y25_N2
\led_flash_cnt[86][2]~28086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[86][2]~28086_combout\ = (\led_flash_cnt[86][2]~q\ & (!\led_flash_cnt[86][1]~28085\)) # (!\led_flash_cnt[86][2]~q\ & ((\led_flash_cnt[86][1]~28085\) # (GND)))
-- \led_flash_cnt[86][2]~28087\ = CARRY((!\led_flash_cnt[86][1]~28085\) # (!\led_flash_cnt[86][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[86][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[86][1]~28085\,
	combout => \led_flash_cnt[86][2]~28086_combout\,
	cout => \led_flash_cnt[86][2]~28087\);

-- Location: FF_X7_Y25_N3
\led_flash_cnt[86][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[86][2]~28086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[86][2]~q\);

-- Location: LCCOMB_X7_Y25_N4
\led_flash_cnt[86][3]~28088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[86][3]~28088_combout\ = (\led_flash_cnt[86][3]~q\ & (\led_flash_cnt[86][2]~28087\ $ (GND))) # (!\led_flash_cnt[86][3]~q\ & (!\led_flash_cnt[86][2]~28087\ & VCC))
-- \led_flash_cnt[86][3]~28089\ = CARRY((\led_flash_cnt[86][3]~q\ & !\led_flash_cnt[86][2]~28087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[86][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[86][2]~28087\,
	combout => \led_flash_cnt[86][3]~28088_combout\,
	cout => \led_flash_cnt[86][3]~28089\);

-- Location: FF_X7_Y25_N5
\led_flash_cnt[86][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[86][3]~28088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[86][3]~q\);

-- Location: LCCOMB_X7_Y25_N6
\led_flash_cnt[86][4]~28090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[86][4]~28090_combout\ = (\led_flash_cnt[86][4]~q\ & (!\led_flash_cnt[86][3]~28089\)) # (!\led_flash_cnt[86][4]~q\ & ((\led_flash_cnt[86][3]~28089\) # (GND)))
-- \led_flash_cnt[86][4]~28091\ = CARRY((!\led_flash_cnt[86][3]~28089\) # (!\led_flash_cnt[86][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[86][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[86][3]~28089\,
	combout => \led_flash_cnt[86][4]~28090_combout\,
	cout => \led_flash_cnt[86][4]~28091\);

-- Location: FF_X7_Y25_N7
\led_flash_cnt[86][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[86][4]~28090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[86][4]~q\);

-- Location: LCCOMB_X7_Y25_N8
\led_flash_cnt[86][5]~28092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[86][5]~28092_combout\ = (\led_flash_cnt[86][5]~q\ & (\led_flash_cnt[86][4]~28091\ $ (GND))) # (!\led_flash_cnt[86][5]~q\ & (!\led_flash_cnt[86][4]~28091\ & VCC))
-- \led_flash_cnt[86][5]~28093\ = CARRY((\led_flash_cnt[86][5]~q\ & !\led_flash_cnt[86][4]~28091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[86][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[86][4]~28091\,
	combout => \led_flash_cnt[86][5]~28092_combout\,
	cout => \led_flash_cnt[86][5]~28093\);

-- Location: FF_X7_Y25_N9
\led_flash_cnt[86][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[86][5]~28092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[86][5]~q\);

-- Location: LCCOMB_X7_Y25_N10
\led_flash_cnt[86][6]~28094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[86][6]~28094_combout\ = (\led_flash_cnt[86][6]~q\ & (!\led_flash_cnt[86][5]~28093\)) # (!\led_flash_cnt[86][6]~q\ & ((\led_flash_cnt[86][5]~28093\) # (GND)))
-- \led_flash_cnt[86][6]~28095\ = CARRY((!\led_flash_cnt[86][5]~28093\) # (!\led_flash_cnt[86][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[86][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[86][5]~28093\,
	combout => \led_flash_cnt[86][6]~28094_combout\,
	cout => \led_flash_cnt[86][6]~28095\);

-- Location: FF_X7_Y25_N11
\led_flash_cnt[86][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[86][6]~28094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[86][6]~q\);

-- Location: LCCOMB_X7_Y25_N12
\led_flash_cnt[86][7]~28096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[86][7]~28096_combout\ = \led_flash_cnt[86][6]~28095\ $ (!\led_flash_cnt[86][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[86][7]~q\,
	cin => \led_flash_cnt[86][6]~28095\,
	combout => \led_flash_cnt[86][7]~28096_combout\);

-- Location: FF_X7_Y25_N13
\led_flash_cnt[86][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[86][7]~28096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[86][7]~q\);

-- Location: LCCOMB_X7_Y25_N16
\WideAnd86~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd86~0_combout\ = (\led_flash_cnt[86][4]~q\ & (\led_flash_cnt[86][1]~q\ & (\led_flash_cnt[86][3]~q\ & \led_flash_cnt[86][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[86][4]~q\,
	datab => \led_flash_cnt[86][1]~q\,
	datac => \led_flash_cnt[86][3]~q\,
	datad => \led_flash_cnt[86][2]~q\,
	combout => \WideAnd86~0_combout\);

-- Location: LCCOMB_X8_Y25_N28
\WideAnd86~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd86~1_combout\ = (\led_flash_cnt[86][6]~q\ & \led_flash_cnt[86][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[86][6]~q\,
	datad => \led_flash_cnt[86][5]~q\,
	combout => \WideAnd86~1_combout\);

-- Location: LCCOMB_X8_Y25_N20
WideAnd86 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd86~combout\ = (\led_flash_cnt[86][7]~q\ & (\led_flash_cnt[86][0]~q\ & (\WideAnd86~0_combout\ & \WideAnd86~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[86][7]~q\,
	datab => \led_flash_cnt[86][0]~q\,
	datac => \WideAnd86~0_combout\,
	datad => \WideAnd86~1_combout\,
	combout => \WideAnd86~combout\);

-- Location: FF_X8_Y25_N21
\led_flash_cnt_ands[86]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd86~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(86));

-- Location: LCCOMB_X1_Y16_N4
\led_flash_cnt[81][0]~80721\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[81][0]~80721_combout\ = !\led_flash_cnt[81][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[81][0]~q\,
	combout => \led_flash_cnt[81][0]~80721_combout\);

-- Location: FF_X1_Y16_N5
\led_flash_cnt[81][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[81][0]~80721_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[81][0]~q\);

-- Location: LCCOMB_X1_Y16_N18
\led_flash_cnt[81][1]~28014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[81][1]~28014_combout\ = (\led_flash_cnt[81][1]~q\ & (\led_flash_cnt[81][0]~q\ $ (VCC))) # (!\led_flash_cnt[81][1]~q\ & (\led_flash_cnt[81][0]~q\ & VCC))
-- \led_flash_cnt[81][1]~28015\ = CARRY((\led_flash_cnt[81][1]~q\ & \led_flash_cnt[81][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[81][1]~q\,
	datab => \led_flash_cnt[81][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[81][1]~28014_combout\,
	cout => \led_flash_cnt[81][1]~28015\);

-- Location: FF_X1_Y16_N19
\led_flash_cnt[81][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[81][1]~28014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[81][1]~q\);

-- Location: LCCOMB_X1_Y16_N20
\led_flash_cnt[81][2]~28016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[81][2]~28016_combout\ = (\led_flash_cnt[81][2]~q\ & (!\led_flash_cnt[81][1]~28015\)) # (!\led_flash_cnt[81][2]~q\ & ((\led_flash_cnt[81][1]~28015\) # (GND)))
-- \led_flash_cnt[81][2]~28017\ = CARRY((!\led_flash_cnt[81][1]~28015\) # (!\led_flash_cnt[81][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[81][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[81][1]~28015\,
	combout => \led_flash_cnt[81][2]~28016_combout\,
	cout => \led_flash_cnt[81][2]~28017\);

-- Location: FF_X1_Y16_N21
\led_flash_cnt[81][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[81][2]~28016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[81][2]~q\);

-- Location: LCCOMB_X1_Y16_N22
\led_flash_cnt[81][3]~28018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[81][3]~28018_combout\ = (\led_flash_cnt[81][3]~q\ & (\led_flash_cnt[81][2]~28017\ $ (GND))) # (!\led_flash_cnt[81][3]~q\ & (!\led_flash_cnt[81][2]~28017\ & VCC))
-- \led_flash_cnt[81][3]~28019\ = CARRY((\led_flash_cnt[81][3]~q\ & !\led_flash_cnt[81][2]~28017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[81][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[81][2]~28017\,
	combout => \led_flash_cnt[81][3]~28018_combout\,
	cout => \led_flash_cnt[81][3]~28019\);

-- Location: FF_X1_Y16_N23
\led_flash_cnt[81][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[81][3]~28018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[81][3]~q\);

-- Location: LCCOMB_X1_Y16_N24
\led_flash_cnt[81][4]~28020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[81][4]~28020_combout\ = (\led_flash_cnt[81][4]~q\ & (!\led_flash_cnt[81][3]~28019\)) # (!\led_flash_cnt[81][4]~q\ & ((\led_flash_cnt[81][3]~28019\) # (GND)))
-- \led_flash_cnt[81][4]~28021\ = CARRY((!\led_flash_cnt[81][3]~28019\) # (!\led_flash_cnt[81][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[81][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[81][3]~28019\,
	combout => \led_flash_cnt[81][4]~28020_combout\,
	cout => \led_flash_cnt[81][4]~28021\);

-- Location: FF_X1_Y16_N25
\led_flash_cnt[81][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[81][4]~28020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[81][4]~q\);

-- Location: LCCOMB_X1_Y16_N26
\led_flash_cnt[81][5]~28022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[81][5]~28022_combout\ = (\led_flash_cnt[81][5]~q\ & (\led_flash_cnt[81][4]~28021\ $ (GND))) # (!\led_flash_cnt[81][5]~q\ & (!\led_flash_cnt[81][4]~28021\ & VCC))
-- \led_flash_cnt[81][5]~28023\ = CARRY((\led_flash_cnt[81][5]~q\ & !\led_flash_cnt[81][4]~28021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[81][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[81][4]~28021\,
	combout => \led_flash_cnt[81][5]~28022_combout\,
	cout => \led_flash_cnt[81][5]~28023\);

-- Location: FF_X1_Y16_N27
\led_flash_cnt[81][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[81][5]~28022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[81][5]~q\);

-- Location: LCCOMB_X1_Y16_N28
\led_flash_cnt[81][6]~28024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[81][6]~28024_combout\ = (\led_flash_cnt[81][6]~q\ & (!\led_flash_cnt[81][5]~28023\)) # (!\led_flash_cnt[81][6]~q\ & ((\led_flash_cnt[81][5]~28023\) # (GND)))
-- \led_flash_cnt[81][6]~28025\ = CARRY((!\led_flash_cnt[81][5]~28023\) # (!\led_flash_cnt[81][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[81][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[81][5]~28023\,
	combout => \led_flash_cnt[81][6]~28024_combout\,
	cout => \led_flash_cnt[81][6]~28025\);

-- Location: FF_X1_Y16_N29
\led_flash_cnt[81][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[81][6]~28024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[81][6]~q\);

-- Location: LCCOMB_X1_Y16_N30
\led_flash_cnt[81][7]~28026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[81][7]~28026_combout\ = \led_flash_cnt[81][7]~q\ $ (!\led_flash_cnt[81][6]~28025\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[81][7]~q\,
	cin => \led_flash_cnt[81][6]~28025\,
	combout => \led_flash_cnt[81][7]~28026_combout\);

-- Location: FF_X1_Y16_N31
\led_flash_cnt[81][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[81][7]~28026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[81][7]~q\);

-- Location: LCCOMB_X1_Y16_N14
\WideAnd81~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd81~0_combout\ = (\led_flash_cnt[81][1]~q\ & (\led_flash_cnt[81][2]~q\ & (\led_flash_cnt[81][3]~q\ & \led_flash_cnt[81][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[81][1]~q\,
	datab => \led_flash_cnt[81][2]~q\,
	datac => \led_flash_cnt[81][3]~q\,
	datad => \led_flash_cnt[81][4]~q\,
	combout => \WideAnd81~0_combout\);

-- Location: LCCOMB_X1_Y16_N12
\WideAnd81~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd81~1_combout\ = (\led_flash_cnt[81][5]~q\ & \led_flash_cnt[81][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[81][5]~q\,
	datad => \led_flash_cnt[81][6]~q\,
	combout => \WideAnd81~1_combout\);

-- Location: LCCOMB_X1_Y16_N10
WideAnd81 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd81~combout\ = (\led_flash_cnt[81][7]~q\ & (\led_flash_cnt[81][0]~q\ & (\WideAnd81~0_combout\ & \WideAnd81~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[81][7]~q\,
	datab => \led_flash_cnt[81][0]~q\,
	datac => \WideAnd81~0_combout\,
	datad => \WideAnd81~1_combout\,
	combout => \WideAnd81~combout\);

-- Location: FF_X1_Y16_N11
\led_flash_cnt_ands[81]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd81~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(81));

-- Location: LCCOMB_X1_Y16_N6
\led_flash_cnt[82][0]~80722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[82][0]~80722_combout\ = !\led_flash_cnt[82][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[82][0]~q\,
	combout => \led_flash_cnt[82][0]~80722_combout\);

-- Location: FF_X1_Y16_N7
\led_flash_cnt[82][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[82][0]~80722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[82][0]~q\);

-- Location: LCCOMB_X1_Y20_N18
\led_flash_cnt[82][1]~28028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[82][1]~28028_combout\ = (\led_flash_cnt[82][0]~q\ & (\led_flash_cnt[82][1]~q\ $ (VCC))) # (!\led_flash_cnt[82][0]~q\ & (\led_flash_cnt[82][1]~q\ & VCC))
-- \led_flash_cnt[82][1]~28029\ = CARRY((\led_flash_cnt[82][0]~q\ & \led_flash_cnt[82][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[82][0]~q\,
	datab => \led_flash_cnt[82][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[82][1]~28028_combout\,
	cout => \led_flash_cnt[82][1]~28029\);

-- Location: FF_X1_Y20_N19
\led_flash_cnt[82][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[82][1]~28028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[82][1]~q\);

-- Location: LCCOMB_X1_Y20_N20
\led_flash_cnt[82][2]~28030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[82][2]~28030_combout\ = (\led_flash_cnt[82][2]~q\ & (!\led_flash_cnt[82][1]~28029\)) # (!\led_flash_cnt[82][2]~q\ & ((\led_flash_cnt[82][1]~28029\) # (GND)))
-- \led_flash_cnt[82][2]~28031\ = CARRY((!\led_flash_cnt[82][1]~28029\) # (!\led_flash_cnt[82][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[82][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[82][1]~28029\,
	combout => \led_flash_cnt[82][2]~28030_combout\,
	cout => \led_flash_cnt[82][2]~28031\);

-- Location: FF_X1_Y20_N21
\led_flash_cnt[82][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[82][2]~28030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[82][2]~q\);

-- Location: LCCOMB_X1_Y20_N22
\led_flash_cnt[82][3]~28032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[82][3]~28032_combout\ = (\led_flash_cnt[82][3]~q\ & (\led_flash_cnt[82][2]~28031\ $ (GND))) # (!\led_flash_cnt[82][3]~q\ & (!\led_flash_cnt[82][2]~28031\ & VCC))
-- \led_flash_cnt[82][3]~28033\ = CARRY((\led_flash_cnt[82][3]~q\ & !\led_flash_cnt[82][2]~28031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[82][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[82][2]~28031\,
	combout => \led_flash_cnt[82][3]~28032_combout\,
	cout => \led_flash_cnt[82][3]~28033\);

-- Location: FF_X1_Y20_N23
\led_flash_cnt[82][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[82][3]~28032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[82][3]~q\);

-- Location: LCCOMB_X1_Y20_N24
\led_flash_cnt[82][4]~28034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[82][4]~28034_combout\ = (\led_flash_cnt[82][4]~q\ & (!\led_flash_cnt[82][3]~28033\)) # (!\led_flash_cnt[82][4]~q\ & ((\led_flash_cnt[82][3]~28033\) # (GND)))
-- \led_flash_cnt[82][4]~28035\ = CARRY((!\led_flash_cnt[82][3]~28033\) # (!\led_flash_cnt[82][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[82][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[82][3]~28033\,
	combout => \led_flash_cnt[82][4]~28034_combout\,
	cout => \led_flash_cnt[82][4]~28035\);

-- Location: FF_X1_Y20_N25
\led_flash_cnt[82][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[82][4]~28034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[82][4]~q\);

-- Location: LCCOMB_X1_Y20_N16
\WideAnd82~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd82~0_combout\ = (\led_flash_cnt[82][2]~q\ & (\led_flash_cnt[82][4]~q\ & (\led_flash_cnt[82][3]~q\ & \led_flash_cnt[82][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[82][2]~q\,
	datab => \led_flash_cnt[82][4]~q\,
	datac => \led_flash_cnt[82][3]~q\,
	datad => \led_flash_cnt[82][1]~q\,
	combout => \WideAnd82~0_combout\);

-- Location: LCCOMB_X1_Y20_N26
\led_flash_cnt[82][5]~28036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[82][5]~28036_combout\ = (\led_flash_cnt[82][5]~q\ & (\led_flash_cnt[82][4]~28035\ $ (GND))) # (!\led_flash_cnt[82][5]~q\ & (!\led_flash_cnt[82][4]~28035\ & VCC))
-- \led_flash_cnt[82][5]~28037\ = CARRY((\led_flash_cnt[82][5]~q\ & !\led_flash_cnt[82][4]~28035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[82][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[82][4]~28035\,
	combout => \led_flash_cnt[82][5]~28036_combout\,
	cout => \led_flash_cnt[82][5]~28037\);

-- Location: FF_X1_Y20_N27
\led_flash_cnt[82][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[82][5]~28036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[82][5]~q\);

-- Location: LCCOMB_X1_Y20_N28
\led_flash_cnt[82][6]~28038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[82][6]~28038_combout\ = (\led_flash_cnt[82][6]~q\ & (!\led_flash_cnt[82][5]~28037\)) # (!\led_flash_cnt[82][6]~q\ & ((\led_flash_cnt[82][5]~28037\) # (GND)))
-- \led_flash_cnt[82][6]~28039\ = CARRY((!\led_flash_cnt[82][5]~28037\) # (!\led_flash_cnt[82][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[82][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[82][5]~28037\,
	combout => \led_flash_cnt[82][6]~28038_combout\,
	cout => \led_flash_cnt[82][6]~28039\);

-- Location: FF_X1_Y20_N29
\led_flash_cnt[82][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[82][6]~28038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[82][6]~q\);

-- Location: LCCOMB_X1_Y20_N30
\led_flash_cnt[82][7]~28040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[82][7]~28040_combout\ = \led_flash_cnt[82][7]~q\ $ (!\led_flash_cnt[82][6]~28039\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[82][7]~q\,
	cin => \led_flash_cnt[82][6]~28039\,
	combout => \led_flash_cnt[82][7]~28040_combout\);

-- Location: FF_X1_Y20_N31
\led_flash_cnt[82][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[82][7]~28040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[82][7]~q\);

-- Location: LCCOMB_X1_Y16_N2
\WideAnd82~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd82~1_combout\ = (\led_flash_cnt[82][6]~q\ & \led_flash_cnt[82][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[82][6]~q\,
	datad => \led_flash_cnt[82][5]~q\,
	combout => \WideAnd82~1_combout\);

-- Location: LCCOMB_X1_Y16_N16
WideAnd82 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd82~combout\ = (\led_flash_cnt[82][0]~q\ & (\WideAnd82~0_combout\ & (\led_flash_cnt[82][7]~q\ & \WideAnd82~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[82][0]~q\,
	datab => \WideAnd82~0_combout\,
	datac => \led_flash_cnt[82][7]~q\,
	datad => \WideAnd82~1_combout\,
	combout => \WideAnd82~combout\);

-- Location: FF_X1_Y16_N17
\led_flash_cnt_ands[82]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd82~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(82));

-- Location: LCCOMB_X2_Y1_N30
\led_flash_cnt[83][0]~80723\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[83][0]~80723_combout\ = !\led_flash_cnt[83][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[83][0]~q\,
	combout => \led_flash_cnt[83][0]~80723_combout\);

-- Location: FF_X2_Y1_N31
\led_flash_cnt[83][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[83][0]~80723_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[83][0]~q\);

-- Location: LCCOMB_X4_Y1_N16
\led_flash_cnt[83][1]~28042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[83][1]~28042_combout\ = (\led_flash_cnt[83][0]~q\ & (\led_flash_cnt[83][1]~q\ $ (VCC))) # (!\led_flash_cnt[83][0]~q\ & (\led_flash_cnt[83][1]~q\ & VCC))
-- \led_flash_cnt[83][1]~28043\ = CARRY((\led_flash_cnt[83][0]~q\ & \led_flash_cnt[83][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[83][0]~q\,
	datab => \led_flash_cnt[83][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[83][1]~28042_combout\,
	cout => \led_flash_cnt[83][1]~28043\);

-- Location: FF_X4_Y1_N17
\led_flash_cnt[83][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[83][1]~28042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[83][1]~q\);

-- Location: LCCOMB_X4_Y1_N18
\led_flash_cnt[83][2]~28044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[83][2]~28044_combout\ = (\led_flash_cnt[83][2]~q\ & (!\led_flash_cnt[83][1]~28043\)) # (!\led_flash_cnt[83][2]~q\ & ((\led_flash_cnt[83][1]~28043\) # (GND)))
-- \led_flash_cnt[83][2]~28045\ = CARRY((!\led_flash_cnt[83][1]~28043\) # (!\led_flash_cnt[83][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[83][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[83][1]~28043\,
	combout => \led_flash_cnt[83][2]~28044_combout\,
	cout => \led_flash_cnt[83][2]~28045\);

-- Location: FF_X4_Y1_N19
\led_flash_cnt[83][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[83][2]~28044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[83][2]~q\);

-- Location: LCCOMB_X4_Y1_N20
\led_flash_cnt[83][3]~28046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[83][3]~28046_combout\ = (\led_flash_cnt[83][3]~q\ & (\led_flash_cnt[83][2]~28045\ $ (GND))) # (!\led_flash_cnt[83][3]~q\ & (!\led_flash_cnt[83][2]~28045\ & VCC))
-- \led_flash_cnt[83][3]~28047\ = CARRY((\led_flash_cnt[83][3]~q\ & !\led_flash_cnt[83][2]~28045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[83][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[83][2]~28045\,
	combout => \led_flash_cnt[83][3]~28046_combout\,
	cout => \led_flash_cnt[83][3]~28047\);

-- Location: FF_X4_Y1_N21
\led_flash_cnt[83][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[83][3]~28046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[83][3]~q\);

-- Location: LCCOMB_X4_Y1_N22
\led_flash_cnt[83][4]~28048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[83][4]~28048_combout\ = (\led_flash_cnt[83][4]~q\ & (!\led_flash_cnt[83][3]~28047\)) # (!\led_flash_cnt[83][4]~q\ & ((\led_flash_cnt[83][3]~28047\) # (GND)))
-- \led_flash_cnt[83][4]~28049\ = CARRY((!\led_flash_cnt[83][3]~28047\) # (!\led_flash_cnt[83][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[83][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[83][3]~28047\,
	combout => \led_flash_cnt[83][4]~28048_combout\,
	cout => \led_flash_cnt[83][4]~28049\);

-- Location: FF_X4_Y1_N23
\led_flash_cnt[83][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[83][4]~28048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[83][4]~q\);

-- Location: LCCOMB_X4_Y1_N30
\WideAnd83~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd83~0_combout\ = (\led_flash_cnt[83][3]~q\ & (\led_flash_cnt[83][2]~q\ & (\led_flash_cnt[83][4]~q\ & \led_flash_cnt[83][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[83][3]~q\,
	datab => \led_flash_cnt[83][2]~q\,
	datac => \led_flash_cnt[83][4]~q\,
	datad => \led_flash_cnt[83][1]~q\,
	combout => \WideAnd83~0_combout\);

-- Location: LCCOMB_X4_Y1_N24
\led_flash_cnt[83][5]~28050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[83][5]~28050_combout\ = (\led_flash_cnt[83][5]~q\ & (\led_flash_cnt[83][4]~28049\ $ (GND))) # (!\led_flash_cnt[83][5]~q\ & (!\led_flash_cnt[83][4]~28049\ & VCC))
-- \led_flash_cnt[83][5]~28051\ = CARRY((\led_flash_cnt[83][5]~q\ & !\led_flash_cnt[83][4]~28049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[83][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[83][4]~28049\,
	combout => \led_flash_cnt[83][5]~28050_combout\,
	cout => \led_flash_cnt[83][5]~28051\);

-- Location: FF_X4_Y1_N25
\led_flash_cnt[83][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[83][5]~28050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[83][5]~q\);

-- Location: LCCOMB_X4_Y1_N26
\led_flash_cnt[83][6]~28052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[83][6]~28052_combout\ = (\led_flash_cnt[83][6]~q\ & (!\led_flash_cnt[83][5]~28051\)) # (!\led_flash_cnt[83][6]~q\ & ((\led_flash_cnt[83][5]~28051\) # (GND)))
-- \led_flash_cnt[83][6]~28053\ = CARRY((!\led_flash_cnt[83][5]~28051\) # (!\led_flash_cnt[83][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[83][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[83][5]~28051\,
	combout => \led_flash_cnt[83][6]~28052_combout\,
	cout => \led_flash_cnt[83][6]~28053\);

-- Location: FF_X4_Y1_N27
\led_flash_cnt[83][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[83][6]~28052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[83][6]~q\);

-- Location: LCCOMB_X3_Y1_N30
\WideAnd83~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd83~1_combout\ = (\led_flash_cnt[83][5]~q\ & \led_flash_cnt[83][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[83][5]~q\,
	datad => \led_flash_cnt[83][6]~q\,
	combout => \WideAnd83~1_combout\);

-- Location: LCCOMB_X4_Y1_N28
\led_flash_cnt[83][7]~28054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[83][7]~28054_combout\ = \led_flash_cnt[83][6]~28053\ $ (!\led_flash_cnt[83][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[83][7]~q\,
	cin => \led_flash_cnt[83][6]~28053\,
	combout => \led_flash_cnt[83][7]~28054_combout\);

-- Location: FF_X4_Y1_N29
\led_flash_cnt[83][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[83][7]~28054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[83][7]~q\);

-- Location: LCCOMB_X3_Y1_N4
WideAnd83 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd83~combout\ = (\WideAnd83~0_combout\ & (\led_flash_cnt[83][0]~q\ & (\WideAnd83~1_combout\ & \led_flash_cnt[83][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd83~0_combout\,
	datab => \led_flash_cnt[83][0]~q\,
	datac => \WideAnd83~1_combout\,
	datad => \led_flash_cnt[83][7]~q\,
	combout => \WideAnd83~combout\);

-- Location: FF_X3_Y1_N5
\led_flash_cnt_ands[83]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd83~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(83));

-- Location: LCCOMB_X50_Y4_N12
\led_flash_cnt[80][0]~80720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[80][0]~80720_combout\ = !\led_flash_cnt[80][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[80][0]~q\,
	combout => \led_flash_cnt[80][0]~80720_combout\);

-- Location: FF_X50_Y4_N13
\led_flash_cnt[80][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[80][0]~80720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[80][0]~q\);

-- Location: LCCOMB_X50_Y4_N14
\led_flash_cnt[80][1]~28000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[80][1]~28000_combout\ = (\led_flash_cnt[80][0]~q\ & (\led_flash_cnt[80][1]~q\ $ (VCC))) # (!\led_flash_cnt[80][0]~q\ & (\led_flash_cnt[80][1]~q\ & VCC))
-- \led_flash_cnt[80][1]~28001\ = CARRY((\led_flash_cnt[80][0]~q\ & \led_flash_cnt[80][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[80][0]~q\,
	datab => \led_flash_cnt[80][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[80][1]~28000_combout\,
	cout => \led_flash_cnt[80][1]~28001\);

-- Location: FF_X50_Y4_N15
\led_flash_cnt[80][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[80][1]~28000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[80][1]~q\);

-- Location: LCCOMB_X50_Y4_N16
\led_flash_cnt[80][2]~28002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[80][2]~28002_combout\ = (\led_flash_cnt[80][2]~q\ & (!\led_flash_cnt[80][1]~28001\)) # (!\led_flash_cnt[80][2]~q\ & ((\led_flash_cnt[80][1]~28001\) # (GND)))
-- \led_flash_cnt[80][2]~28003\ = CARRY((!\led_flash_cnt[80][1]~28001\) # (!\led_flash_cnt[80][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[80][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[80][1]~28001\,
	combout => \led_flash_cnt[80][2]~28002_combout\,
	cout => \led_flash_cnt[80][2]~28003\);

-- Location: FF_X50_Y4_N17
\led_flash_cnt[80][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[80][2]~28002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[80][2]~q\);

-- Location: LCCOMB_X50_Y4_N18
\led_flash_cnt[80][3]~28004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[80][3]~28004_combout\ = (\led_flash_cnt[80][3]~q\ & (\led_flash_cnt[80][2]~28003\ $ (GND))) # (!\led_flash_cnt[80][3]~q\ & (!\led_flash_cnt[80][2]~28003\ & VCC))
-- \led_flash_cnt[80][3]~28005\ = CARRY((\led_flash_cnt[80][3]~q\ & !\led_flash_cnt[80][2]~28003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[80][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[80][2]~28003\,
	combout => \led_flash_cnt[80][3]~28004_combout\,
	cout => \led_flash_cnt[80][3]~28005\);

-- Location: FF_X50_Y4_N19
\led_flash_cnt[80][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[80][3]~28004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[80][3]~q\);

-- Location: LCCOMB_X50_Y4_N20
\led_flash_cnt[80][4]~28006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[80][4]~28006_combout\ = (\led_flash_cnt[80][4]~q\ & (!\led_flash_cnt[80][3]~28005\)) # (!\led_flash_cnt[80][4]~q\ & ((\led_flash_cnt[80][3]~28005\) # (GND)))
-- \led_flash_cnt[80][4]~28007\ = CARRY((!\led_flash_cnt[80][3]~28005\) # (!\led_flash_cnt[80][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[80][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[80][3]~28005\,
	combout => \led_flash_cnt[80][4]~28006_combout\,
	cout => \led_flash_cnt[80][4]~28007\);

-- Location: FF_X50_Y4_N21
\led_flash_cnt[80][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[80][4]~28006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[80][4]~q\);

-- Location: LCCOMB_X50_Y4_N22
\led_flash_cnt[80][5]~28008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[80][5]~28008_combout\ = (\led_flash_cnt[80][5]~q\ & (\led_flash_cnt[80][4]~28007\ $ (GND))) # (!\led_flash_cnt[80][5]~q\ & (!\led_flash_cnt[80][4]~28007\ & VCC))
-- \led_flash_cnt[80][5]~28009\ = CARRY((\led_flash_cnt[80][5]~q\ & !\led_flash_cnt[80][4]~28007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[80][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[80][4]~28007\,
	combout => \led_flash_cnt[80][5]~28008_combout\,
	cout => \led_flash_cnt[80][5]~28009\);

-- Location: FF_X50_Y4_N23
\led_flash_cnt[80][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[80][5]~28008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[80][5]~q\);

-- Location: LCCOMB_X50_Y4_N24
\led_flash_cnt[80][6]~28010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[80][6]~28010_combout\ = (\led_flash_cnt[80][6]~q\ & (!\led_flash_cnt[80][5]~28009\)) # (!\led_flash_cnt[80][6]~q\ & ((\led_flash_cnt[80][5]~28009\) # (GND)))
-- \led_flash_cnt[80][6]~28011\ = CARRY((!\led_flash_cnt[80][5]~28009\) # (!\led_flash_cnt[80][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[80][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[80][5]~28009\,
	combout => \led_flash_cnt[80][6]~28010_combout\,
	cout => \led_flash_cnt[80][6]~28011\);

-- Location: FF_X50_Y4_N25
\led_flash_cnt[80][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[80][6]~28010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[80][6]~q\);

-- Location: LCCOMB_X50_Y4_N30
\WideAnd80~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd80~1_combout\ = (\led_flash_cnt[80][5]~q\ & \led_flash_cnt[80][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[80][5]~q\,
	datad => \led_flash_cnt[80][6]~q\,
	combout => \WideAnd80~1_combout\);

-- Location: LCCOMB_X50_Y4_N4
\WideAnd80~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd80~0_combout\ = (\led_flash_cnt[80][4]~q\ & (\led_flash_cnt[80][3]~q\ & (\led_flash_cnt[80][1]~q\ & \led_flash_cnt[80][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[80][4]~q\,
	datab => \led_flash_cnt[80][3]~q\,
	datac => \led_flash_cnt[80][1]~q\,
	datad => \led_flash_cnt[80][2]~q\,
	combout => \WideAnd80~0_combout\);

-- Location: LCCOMB_X50_Y4_N26
\led_flash_cnt[80][7]~28012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[80][7]~28012_combout\ = \led_flash_cnt[80][7]~q\ $ (!\led_flash_cnt[80][6]~28011\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[80][7]~q\,
	cin => \led_flash_cnt[80][6]~28011\,
	combout => \led_flash_cnt[80][7]~28012_combout\);

-- Location: FF_X50_Y4_N27
\led_flash_cnt[80][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[80][7]~28012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[80][7]~q\);

-- Location: LCCOMB_X50_Y4_N2
WideAnd80 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd80~combout\ = (\WideAnd80~1_combout\ & (\WideAnd80~0_combout\ & (\led_flash_cnt[80][7]~q\ & \led_flash_cnt[80][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd80~1_combout\,
	datab => \WideAnd80~0_combout\,
	datac => \led_flash_cnt[80][7]~q\,
	datad => \led_flash_cnt[80][0]~q\,
	combout => \WideAnd80~combout\);

-- Location: FF_X50_Y4_N3
\led_flash_cnt_ands[80]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd80~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(80));

-- Location: LCCOMB_X1_Y16_N8
\WideAnd3850~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3850~0_combout\ = (led_flash_cnt_ands(81) & (led_flash_cnt_ands(82) & (led_flash_cnt_ands(83) & led_flash_cnt_ands(80))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(81),
	datab => led_flash_cnt_ands(82),
	datac => led_flash_cnt_ands(83),
	datad => led_flash_cnt_ands(80),
	combout => \WideAnd3850~0_combout\);

-- Location: LCCOMB_X4_Y19_N8
WideAnd3850 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3850~combout\ = (led_flash_cnt_ands(87) & (\WideAnd3850~1_combout\ & (led_flash_cnt_ands(86) & \WideAnd3850~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(87),
	datab => \WideAnd3850~1_combout\,
	datac => led_flash_cnt_ands(86),
	datad => \WideAnd3850~0_combout\,
	combout => \WideAnd3850~combout\);

-- Location: FF_X4_Y19_N9
\led_flash_cnt_ands_1[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3850~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(10));

-- Location: LCCOMB_X52_Y19_N30
\WideAnd4321~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4321~0_combout\ = (led_flash_cnt_ands_1(9) & (led_flash_cnt_ands_1(8) & (led_flash_cnt_ands_1(11) & led_flash_cnt_ands_1(10))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(9),
	datab => led_flash_cnt_ands_1(8),
	datac => led_flash_cnt_ands_1(11),
	datad => led_flash_cnt_ands_1(10),
	combout => \WideAnd4321~0_combout\);

-- Location: LCCOMB_X17_Y16_N0
\led_flash_cnt[110][0]~80750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[110][0]~80750_combout\ = !\led_flash_cnt[110][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[110][0]~q\,
	combout => \led_flash_cnt[110][0]~80750_combout\);

-- Location: FF_X17_Y16_N1
\led_flash_cnt[110][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[110][0]~80750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[110][0]~q\);

-- Location: LCCOMB_X21_Y16_N2
\led_flash_cnt[110][1]~28420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[110][1]~28420_combout\ = (\led_flash_cnt[110][0]~q\ & (\led_flash_cnt[110][1]~q\ $ (VCC))) # (!\led_flash_cnt[110][0]~q\ & (\led_flash_cnt[110][1]~q\ & VCC))
-- \led_flash_cnt[110][1]~28421\ = CARRY((\led_flash_cnt[110][0]~q\ & \led_flash_cnt[110][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[110][0]~q\,
	datab => \led_flash_cnt[110][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[110][1]~28420_combout\,
	cout => \led_flash_cnt[110][1]~28421\);

-- Location: FF_X21_Y16_N3
\led_flash_cnt[110][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[110][1]~28420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[110][1]~q\);

-- Location: LCCOMB_X21_Y16_N4
\led_flash_cnt[110][2]~28422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[110][2]~28422_combout\ = (\led_flash_cnt[110][2]~q\ & (!\led_flash_cnt[110][1]~28421\)) # (!\led_flash_cnt[110][2]~q\ & ((\led_flash_cnt[110][1]~28421\) # (GND)))
-- \led_flash_cnt[110][2]~28423\ = CARRY((!\led_flash_cnt[110][1]~28421\) # (!\led_flash_cnt[110][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[110][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[110][1]~28421\,
	combout => \led_flash_cnt[110][2]~28422_combout\,
	cout => \led_flash_cnt[110][2]~28423\);

-- Location: FF_X21_Y16_N5
\led_flash_cnt[110][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[110][2]~28422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[110][2]~q\);

-- Location: LCCOMB_X21_Y16_N6
\led_flash_cnt[110][3]~28424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[110][3]~28424_combout\ = (\led_flash_cnt[110][3]~q\ & (\led_flash_cnt[110][2]~28423\ $ (GND))) # (!\led_flash_cnt[110][3]~q\ & (!\led_flash_cnt[110][2]~28423\ & VCC))
-- \led_flash_cnt[110][3]~28425\ = CARRY((\led_flash_cnt[110][3]~q\ & !\led_flash_cnt[110][2]~28423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[110][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[110][2]~28423\,
	combout => \led_flash_cnt[110][3]~28424_combout\,
	cout => \led_flash_cnt[110][3]~28425\);

-- Location: FF_X21_Y16_N7
\led_flash_cnt[110][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[110][3]~28424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[110][3]~q\);

-- Location: LCCOMB_X21_Y16_N8
\led_flash_cnt[110][4]~28426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[110][4]~28426_combout\ = (\led_flash_cnt[110][4]~q\ & (!\led_flash_cnt[110][3]~28425\)) # (!\led_flash_cnt[110][4]~q\ & ((\led_flash_cnt[110][3]~28425\) # (GND)))
-- \led_flash_cnt[110][4]~28427\ = CARRY((!\led_flash_cnt[110][3]~28425\) # (!\led_flash_cnt[110][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[110][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[110][3]~28425\,
	combout => \led_flash_cnt[110][4]~28426_combout\,
	cout => \led_flash_cnt[110][4]~28427\);

-- Location: FF_X21_Y16_N9
\led_flash_cnt[110][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[110][4]~28426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[110][4]~q\);

-- Location: LCCOMB_X21_Y16_N10
\led_flash_cnt[110][5]~28428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[110][5]~28428_combout\ = (\led_flash_cnt[110][5]~q\ & (\led_flash_cnt[110][4]~28427\ $ (GND))) # (!\led_flash_cnt[110][5]~q\ & (!\led_flash_cnt[110][4]~28427\ & VCC))
-- \led_flash_cnt[110][5]~28429\ = CARRY((\led_flash_cnt[110][5]~q\ & !\led_flash_cnt[110][4]~28427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[110][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[110][4]~28427\,
	combout => \led_flash_cnt[110][5]~28428_combout\,
	cout => \led_flash_cnt[110][5]~28429\);

-- Location: FF_X21_Y16_N11
\led_flash_cnt[110][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[110][5]~28428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[110][5]~q\);

-- Location: LCCOMB_X21_Y16_N12
\led_flash_cnt[110][6]~28430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[110][6]~28430_combout\ = (\led_flash_cnt[110][6]~q\ & (!\led_flash_cnt[110][5]~28429\)) # (!\led_flash_cnt[110][6]~q\ & ((\led_flash_cnt[110][5]~28429\) # (GND)))
-- \led_flash_cnt[110][6]~28431\ = CARRY((!\led_flash_cnt[110][5]~28429\) # (!\led_flash_cnt[110][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[110][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[110][5]~28429\,
	combout => \led_flash_cnt[110][6]~28430_combout\,
	cout => \led_flash_cnt[110][6]~28431\);

-- Location: FF_X21_Y16_N13
\led_flash_cnt[110][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[110][6]~28430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[110][6]~q\);

-- Location: LCCOMB_X20_Y16_N22
\WideAnd110~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd110~1_combout\ = (\led_flash_cnt[110][6]~q\ & \led_flash_cnt[110][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[110][6]~q\,
	datac => \led_flash_cnt[110][5]~q\,
	combout => \WideAnd110~1_combout\);

-- Location: LCCOMB_X21_Y16_N14
\led_flash_cnt[110][7]~28432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[110][7]~28432_combout\ = \led_flash_cnt[110][7]~q\ $ (!\led_flash_cnt[110][6]~28431\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[110][7]~q\,
	cin => \led_flash_cnt[110][6]~28431\,
	combout => \led_flash_cnt[110][7]~28432_combout\);

-- Location: FF_X21_Y16_N15
\led_flash_cnt[110][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[110][7]~28432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[110][7]~q\);

-- Location: LCCOMB_X21_Y16_N0
\WideAnd110~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd110~0_combout\ = (\led_flash_cnt[110][3]~q\ & (\led_flash_cnt[110][2]~q\ & (\led_flash_cnt[110][4]~q\ & \led_flash_cnt[110][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[110][3]~q\,
	datab => \led_flash_cnt[110][2]~q\,
	datac => \led_flash_cnt[110][4]~q\,
	datad => \led_flash_cnt[110][1]~q\,
	combout => \WideAnd110~0_combout\);

-- Location: LCCOMB_X21_Y16_N30
WideAnd110 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd110~combout\ = (\led_flash_cnt[110][0]~q\ & (\WideAnd110~1_combout\ & (\led_flash_cnt[110][7]~q\ & \WideAnd110~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[110][0]~q\,
	datab => \WideAnd110~1_combout\,
	datac => \led_flash_cnt[110][7]~q\,
	datad => \WideAnd110~0_combout\,
	combout => \WideAnd110~combout\);

-- Location: FF_X21_Y16_N31
\led_flash_cnt_ands[110]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd110~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(110));

-- Location: LCCOMB_X11_Y23_N6
\led_flash_cnt[109][0]~80749\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[109][0]~80749_combout\ = !\led_flash_cnt[109][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[109][0]~q\,
	combout => \led_flash_cnt[109][0]~80749_combout\);

-- Location: FF_X11_Y23_N7
\led_flash_cnt[109][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[109][0]~80749_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[109][0]~q\);

-- Location: LCCOMB_X12_Y23_N14
\led_flash_cnt[109][1]~28406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[109][1]~28406_combout\ = (\led_flash_cnt[109][1]~q\ & (\led_flash_cnt[109][0]~q\ $ (VCC))) # (!\led_flash_cnt[109][1]~q\ & (\led_flash_cnt[109][0]~q\ & VCC))
-- \led_flash_cnt[109][1]~28407\ = CARRY((\led_flash_cnt[109][1]~q\ & \led_flash_cnt[109][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[109][1]~q\,
	datab => \led_flash_cnt[109][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[109][1]~28406_combout\,
	cout => \led_flash_cnt[109][1]~28407\);

-- Location: FF_X12_Y23_N15
\led_flash_cnt[109][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[109][1]~28406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[109][1]~q\);

-- Location: LCCOMB_X12_Y23_N16
\led_flash_cnt[109][2]~28408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[109][2]~28408_combout\ = (\led_flash_cnt[109][2]~q\ & (!\led_flash_cnt[109][1]~28407\)) # (!\led_flash_cnt[109][2]~q\ & ((\led_flash_cnt[109][1]~28407\) # (GND)))
-- \led_flash_cnt[109][2]~28409\ = CARRY((!\led_flash_cnt[109][1]~28407\) # (!\led_flash_cnt[109][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[109][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[109][1]~28407\,
	combout => \led_flash_cnt[109][2]~28408_combout\,
	cout => \led_flash_cnt[109][2]~28409\);

-- Location: FF_X12_Y23_N17
\led_flash_cnt[109][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[109][2]~28408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[109][2]~q\);

-- Location: LCCOMB_X12_Y23_N18
\led_flash_cnt[109][3]~28410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[109][3]~28410_combout\ = (\led_flash_cnt[109][3]~q\ & (\led_flash_cnt[109][2]~28409\ $ (GND))) # (!\led_flash_cnt[109][3]~q\ & (!\led_flash_cnt[109][2]~28409\ & VCC))
-- \led_flash_cnt[109][3]~28411\ = CARRY((\led_flash_cnt[109][3]~q\ & !\led_flash_cnt[109][2]~28409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[109][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[109][2]~28409\,
	combout => \led_flash_cnt[109][3]~28410_combout\,
	cout => \led_flash_cnt[109][3]~28411\);

-- Location: FF_X12_Y23_N19
\led_flash_cnt[109][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[109][3]~28410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[109][3]~q\);

-- Location: LCCOMB_X12_Y23_N20
\led_flash_cnt[109][4]~28412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[109][4]~28412_combout\ = (\led_flash_cnt[109][4]~q\ & (!\led_flash_cnt[109][3]~28411\)) # (!\led_flash_cnt[109][4]~q\ & ((\led_flash_cnt[109][3]~28411\) # (GND)))
-- \led_flash_cnt[109][4]~28413\ = CARRY((!\led_flash_cnt[109][3]~28411\) # (!\led_flash_cnt[109][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[109][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[109][3]~28411\,
	combout => \led_flash_cnt[109][4]~28412_combout\,
	cout => \led_flash_cnt[109][4]~28413\);

-- Location: FF_X12_Y23_N21
\led_flash_cnt[109][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[109][4]~28412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[109][4]~q\);

-- Location: LCCOMB_X12_Y23_N22
\led_flash_cnt[109][5]~28414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[109][5]~28414_combout\ = (\led_flash_cnt[109][5]~q\ & (\led_flash_cnt[109][4]~28413\ $ (GND))) # (!\led_flash_cnt[109][5]~q\ & (!\led_flash_cnt[109][4]~28413\ & VCC))
-- \led_flash_cnt[109][5]~28415\ = CARRY((\led_flash_cnt[109][5]~q\ & !\led_flash_cnt[109][4]~28413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[109][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[109][4]~28413\,
	combout => \led_flash_cnt[109][5]~28414_combout\,
	cout => \led_flash_cnt[109][5]~28415\);

-- Location: FF_X12_Y23_N23
\led_flash_cnt[109][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[109][5]~28414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[109][5]~q\);

-- Location: LCCOMB_X12_Y23_N24
\led_flash_cnt[109][6]~28416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[109][6]~28416_combout\ = (\led_flash_cnt[109][6]~q\ & (!\led_flash_cnt[109][5]~28415\)) # (!\led_flash_cnt[109][6]~q\ & ((\led_flash_cnt[109][5]~28415\) # (GND)))
-- \led_flash_cnt[109][6]~28417\ = CARRY((!\led_flash_cnt[109][5]~28415\) # (!\led_flash_cnt[109][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[109][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[109][5]~28415\,
	combout => \led_flash_cnt[109][6]~28416_combout\,
	cout => \led_flash_cnt[109][6]~28417\);

-- Location: FF_X12_Y23_N25
\led_flash_cnt[109][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[109][6]~28416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[109][6]~q\);

-- Location: LCCOMB_X12_Y23_N26
\led_flash_cnt[109][7]~28418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[109][7]~28418_combout\ = \led_flash_cnt[109][7]~q\ $ (!\led_flash_cnt[109][6]~28417\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[109][7]~q\,
	cin => \led_flash_cnt[109][6]~28417\,
	combout => \led_flash_cnt[109][7]~28418_combout\);

-- Location: FF_X12_Y23_N27
\led_flash_cnt[109][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[109][7]~28418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[109][7]~q\);

-- Location: LCCOMB_X11_Y23_N30
\WideAnd109~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd109~1_combout\ = (\led_flash_cnt[109][0]~q\ & \led_flash_cnt[109][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[109][0]~q\,
	datad => \led_flash_cnt[109][7]~q\,
	combout => \WideAnd109~1_combout\);

-- Location: LCCOMB_X12_Y23_N28
\WideAnd109~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd109~0_combout\ = (\led_flash_cnt[109][2]~q\ & (\led_flash_cnt[109][4]~q\ & (\led_flash_cnt[109][5]~q\ & \led_flash_cnt[109][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[109][2]~q\,
	datab => \led_flash_cnt[109][4]~q\,
	datac => \led_flash_cnt[109][5]~q\,
	datad => \led_flash_cnt[109][6]~q\,
	combout => \WideAnd109~0_combout\);

-- Location: LCCOMB_X11_Y23_N4
WideAnd109 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd109~combout\ = (\WideAnd109~1_combout\ & (\led_flash_cnt[109][3]~q\ & (\led_flash_cnt[109][1]~q\ & \WideAnd109~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd109~1_combout\,
	datab => \led_flash_cnt[109][3]~q\,
	datac => \led_flash_cnt[109][1]~q\,
	datad => \WideAnd109~0_combout\,
	combout => \WideAnd109~combout\);

-- Location: FF_X11_Y23_N5
\led_flash_cnt_ands[109]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd109~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(109));

-- Location: LCCOMB_X11_Y23_N2
\led_flash_cnt[108][0]~80748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[108][0]~80748_combout\ = !\led_flash_cnt[108][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[108][0]~q\,
	combout => \led_flash_cnt[108][0]~80748_combout\);

-- Location: FF_X11_Y23_N3
\led_flash_cnt[108][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[108][0]~80748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[108][0]~q\);

-- Location: LCCOMB_X11_Y23_N12
\led_flash_cnt[108][1]~28392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[108][1]~28392_combout\ = (\led_flash_cnt[108][1]~q\ & (\led_flash_cnt[108][0]~q\ $ (VCC))) # (!\led_flash_cnt[108][1]~q\ & (\led_flash_cnt[108][0]~q\ & VCC))
-- \led_flash_cnt[108][1]~28393\ = CARRY((\led_flash_cnt[108][1]~q\ & \led_flash_cnt[108][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[108][1]~q\,
	datab => \led_flash_cnt[108][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[108][1]~28392_combout\,
	cout => \led_flash_cnt[108][1]~28393\);

-- Location: FF_X11_Y23_N13
\led_flash_cnt[108][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[108][1]~28392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[108][1]~q\);

-- Location: LCCOMB_X11_Y23_N14
\led_flash_cnt[108][2]~28394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[108][2]~28394_combout\ = (\led_flash_cnt[108][2]~q\ & (!\led_flash_cnt[108][1]~28393\)) # (!\led_flash_cnt[108][2]~q\ & ((\led_flash_cnt[108][1]~28393\) # (GND)))
-- \led_flash_cnt[108][2]~28395\ = CARRY((!\led_flash_cnt[108][1]~28393\) # (!\led_flash_cnt[108][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[108][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[108][1]~28393\,
	combout => \led_flash_cnt[108][2]~28394_combout\,
	cout => \led_flash_cnt[108][2]~28395\);

-- Location: FF_X11_Y23_N15
\led_flash_cnt[108][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[108][2]~28394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[108][2]~q\);

-- Location: LCCOMB_X11_Y23_N16
\led_flash_cnt[108][3]~28396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[108][3]~28396_combout\ = (\led_flash_cnt[108][3]~q\ & (\led_flash_cnt[108][2]~28395\ $ (GND))) # (!\led_flash_cnt[108][3]~q\ & (!\led_flash_cnt[108][2]~28395\ & VCC))
-- \led_flash_cnt[108][3]~28397\ = CARRY((\led_flash_cnt[108][3]~q\ & !\led_flash_cnt[108][2]~28395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[108][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[108][2]~28395\,
	combout => \led_flash_cnt[108][3]~28396_combout\,
	cout => \led_flash_cnt[108][3]~28397\);

-- Location: FF_X11_Y23_N17
\led_flash_cnt[108][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[108][3]~28396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[108][3]~q\);

-- Location: LCCOMB_X11_Y23_N18
\led_flash_cnt[108][4]~28398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[108][4]~28398_combout\ = (\led_flash_cnt[108][4]~q\ & (!\led_flash_cnt[108][3]~28397\)) # (!\led_flash_cnt[108][4]~q\ & ((\led_flash_cnt[108][3]~28397\) # (GND)))
-- \led_flash_cnt[108][4]~28399\ = CARRY((!\led_flash_cnt[108][3]~28397\) # (!\led_flash_cnt[108][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[108][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[108][3]~28397\,
	combout => \led_flash_cnt[108][4]~28398_combout\,
	cout => \led_flash_cnt[108][4]~28399\);

-- Location: FF_X11_Y23_N19
\led_flash_cnt[108][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[108][4]~28398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[108][4]~q\);

-- Location: LCCOMB_X11_Y23_N20
\led_flash_cnt[108][5]~28400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[108][5]~28400_combout\ = (\led_flash_cnt[108][5]~q\ & (\led_flash_cnt[108][4]~28399\ $ (GND))) # (!\led_flash_cnt[108][5]~q\ & (!\led_flash_cnt[108][4]~28399\ & VCC))
-- \led_flash_cnt[108][5]~28401\ = CARRY((\led_flash_cnt[108][5]~q\ & !\led_flash_cnt[108][4]~28399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[108][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[108][4]~28399\,
	combout => \led_flash_cnt[108][5]~28400_combout\,
	cout => \led_flash_cnt[108][5]~28401\);

-- Location: FF_X11_Y23_N21
\led_flash_cnt[108][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[108][5]~28400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[108][5]~q\);

-- Location: LCCOMB_X11_Y23_N22
\led_flash_cnt[108][6]~28402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[108][6]~28402_combout\ = (\led_flash_cnt[108][6]~q\ & (!\led_flash_cnt[108][5]~28401\)) # (!\led_flash_cnt[108][6]~q\ & ((\led_flash_cnt[108][5]~28401\) # (GND)))
-- \led_flash_cnt[108][6]~28403\ = CARRY((!\led_flash_cnt[108][5]~28401\) # (!\led_flash_cnt[108][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[108][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[108][5]~28401\,
	combout => \led_flash_cnt[108][6]~28402_combout\,
	cout => \led_flash_cnt[108][6]~28403\);

-- Location: FF_X11_Y23_N23
\led_flash_cnt[108][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[108][6]~28402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[108][6]~q\);

-- Location: LCCOMB_X11_Y23_N26
\WideAnd108~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd108~1_combout\ = (\led_flash_cnt[108][6]~q\ & \led_flash_cnt[108][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[108][6]~q\,
	datad => \led_flash_cnt[108][5]~q\,
	combout => \WideAnd108~1_combout\);

-- Location: LCCOMB_X11_Y23_N8
\WideAnd108~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd108~0_combout\ = (\led_flash_cnt[108][1]~q\ & (\led_flash_cnt[108][3]~q\ & (\led_flash_cnt[108][2]~q\ & \led_flash_cnt[108][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[108][1]~q\,
	datab => \led_flash_cnt[108][3]~q\,
	datac => \led_flash_cnt[108][2]~q\,
	datad => \led_flash_cnt[108][4]~q\,
	combout => \WideAnd108~0_combout\);

-- Location: LCCOMB_X11_Y23_N24
\led_flash_cnt[108][7]~28404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[108][7]~28404_combout\ = \led_flash_cnt[108][6]~28403\ $ (!\led_flash_cnt[108][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[108][7]~q\,
	cin => \led_flash_cnt[108][6]~28403\,
	combout => \led_flash_cnt[108][7]~28404_combout\);

-- Location: FF_X11_Y23_N25
\led_flash_cnt[108][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[108][7]~28404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[108][7]~q\);

-- Location: LCCOMB_X11_Y23_N28
WideAnd108 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd108~combout\ = (\WideAnd108~1_combout\ & (\led_flash_cnt[108][0]~q\ & (\WideAnd108~0_combout\ & \led_flash_cnt[108][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd108~1_combout\,
	datab => \led_flash_cnt[108][0]~q\,
	datac => \WideAnd108~0_combout\,
	datad => \led_flash_cnt[108][7]~q\,
	combout => \WideAnd108~combout\);

-- Location: FF_X11_Y23_N29
\led_flash_cnt_ands[108]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd108~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(108));

-- Location: LCCOMB_X11_Y23_N10
\WideAnd3853~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3853~1_combout\ = (led_flash_cnt_ands(109) & led_flash_cnt_ands(108))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(109),
	datad => led_flash_cnt_ands(108),
	combout => \WideAnd3853~1_combout\);

-- Location: LCCOMB_X1_Y29_N26
\led_flash_cnt[104][0]~80744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[104][0]~80744_combout\ = !\led_flash_cnt[104][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[104][0]~q\,
	combout => \led_flash_cnt[104][0]~80744_combout\);

-- Location: FF_X1_Y29_N27
\led_flash_cnt[104][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[104][0]~80744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[104][0]~q\);

-- Location: LCCOMB_X1_Y29_N2
\led_flash_cnt[104][1]~28336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[104][1]~28336_combout\ = (\led_flash_cnt[104][0]~q\ & (\led_flash_cnt[104][1]~q\ $ (VCC))) # (!\led_flash_cnt[104][0]~q\ & (\led_flash_cnt[104][1]~q\ & VCC))
-- \led_flash_cnt[104][1]~28337\ = CARRY((\led_flash_cnt[104][0]~q\ & \led_flash_cnt[104][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[104][0]~q\,
	datab => \led_flash_cnt[104][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[104][1]~28336_combout\,
	cout => \led_flash_cnt[104][1]~28337\);

-- Location: FF_X1_Y29_N3
\led_flash_cnt[104][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[104][1]~28336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[104][1]~q\);

-- Location: LCCOMB_X1_Y29_N4
\led_flash_cnt[104][2]~28338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[104][2]~28338_combout\ = (\led_flash_cnt[104][2]~q\ & (!\led_flash_cnt[104][1]~28337\)) # (!\led_flash_cnt[104][2]~q\ & ((\led_flash_cnt[104][1]~28337\) # (GND)))
-- \led_flash_cnt[104][2]~28339\ = CARRY((!\led_flash_cnt[104][1]~28337\) # (!\led_flash_cnt[104][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[104][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[104][1]~28337\,
	combout => \led_flash_cnt[104][2]~28338_combout\,
	cout => \led_flash_cnt[104][2]~28339\);

-- Location: FF_X1_Y29_N5
\led_flash_cnt[104][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[104][2]~28338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[104][2]~q\);

-- Location: LCCOMB_X1_Y29_N6
\led_flash_cnt[104][3]~28340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[104][3]~28340_combout\ = (\led_flash_cnt[104][3]~q\ & (\led_flash_cnt[104][2]~28339\ $ (GND))) # (!\led_flash_cnt[104][3]~q\ & (!\led_flash_cnt[104][2]~28339\ & VCC))
-- \led_flash_cnt[104][3]~28341\ = CARRY((\led_flash_cnt[104][3]~q\ & !\led_flash_cnt[104][2]~28339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[104][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[104][2]~28339\,
	combout => \led_flash_cnt[104][3]~28340_combout\,
	cout => \led_flash_cnt[104][3]~28341\);

-- Location: FF_X1_Y29_N7
\led_flash_cnt[104][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[104][3]~28340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[104][3]~q\);

-- Location: LCCOMB_X1_Y29_N8
\led_flash_cnt[104][4]~28342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[104][4]~28342_combout\ = (\led_flash_cnt[104][4]~q\ & (!\led_flash_cnt[104][3]~28341\)) # (!\led_flash_cnt[104][4]~q\ & ((\led_flash_cnt[104][3]~28341\) # (GND)))
-- \led_flash_cnt[104][4]~28343\ = CARRY((!\led_flash_cnt[104][3]~28341\) # (!\led_flash_cnt[104][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[104][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[104][3]~28341\,
	combout => \led_flash_cnt[104][4]~28342_combout\,
	cout => \led_flash_cnt[104][4]~28343\);

-- Location: FF_X1_Y29_N9
\led_flash_cnt[104][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[104][4]~28342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[104][4]~q\);

-- Location: LCCOMB_X1_Y29_N10
\led_flash_cnt[104][5]~28344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[104][5]~28344_combout\ = (\led_flash_cnt[104][5]~q\ & (\led_flash_cnt[104][4]~28343\ $ (GND))) # (!\led_flash_cnt[104][5]~q\ & (!\led_flash_cnt[104][4]~28343\ & VCC))
-- \led_flash_cnt[104][5]~28345\ = CARRY((\led_flash_cnt[104][5]~q\ & !\led_flash_cnt[104][4]~28343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[104][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[104][4]~28343\,
	combout => \led_flash_cnt[104][5]~28344_combout\,
	cout => \led_flash_cnt[104][5]~28345\);

-- Location: FF_X1_Y29_N11
\led_flash_cnt[104][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[104][5]~28344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[104][5]~q\);

-- Location: LCCOMB_X1_Y29_N12
\led_flash_cnt[104][6]~28346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[104][6]~28346_combout\ = (\led_flash_cnt[104][6]~q\ & (!\led_flash_cnt[104][5]~28345\)) # (!\led_flash_cnt[104][6]~q\ & ((\led_flash_cnt[104][5]~28345\) # (GND)))
-- \led_flash_cnt[104][6]~28347\ = CARRY((!\led_flash_cnt[104][5]~28345\) # (!\led_flash_cnt[104][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[104][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[104][5]~28345\,
	combout => \led_flash_cnt[104][6]~28346_combout\,
	cout => \led_flash_cnt[104][6]~28347\);

-- Location: FF_X1_Y29_N13
\led_flash_cnt[104][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[104][6]~28346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[104][6]~q\);

-- Location: LCCOMB_X1_Y29_N22
\WideAnd104~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd104~1_combout\ = (\led_flash_cnt[104][5]~q\ & \led_flash_cnt[104][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[104][5]~q\,
	datad => \led_flash_cnt[104][6]~q\,
	combout => \WideAnd104~1_combout\);

-- Location: LCCOMB_X1_Y29_N14
\led_flash_cnt[104][7]~28348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[104][7]~28348_combout\ = \led_flash_cnt[104][7]~q\ $ (!\led_flash_cnt[104][6]~28347\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[104][7]~q\,
	cin => \led_flash_cnt[104][6]~28347\,
	combout => \led_flash_cnt[104][7]~28348_combout\);

-- Location: FF_X1_Y29_N15
\led_flash_cnt[104][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[104][7]~28348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[104][7]~q\);

-- Location: LCCOMB_X1_Y29_N18
\WideAnd104~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd104~0_combout\ = (\led_flash_cnt[104][3]~q\ & (\led_flash_cnt[104][2]~q\ & (\led_flash_cnt[104][4]~q\ & \led_flash_cnt[104][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[104][3]~q\,
	datab => \led_flash_cnt[104][2]~q\,
	datac => \led_flash_cnt[104][4]~q\,
	datad => \led_flash_cnt[104][1]~q\,
	combout => \WideAnd104~0_combout\);

-- Location: LCCOMB_X1_Y29_N28
WideAnd104 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd104~combout\ = (\WideAnd104~1_combout\ & (\led_flash_cnt[104][7]~q\ & (\led_flash_cnt[104][0]~q\ & \WideAnd104~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd104~1_combout\,
	datab => \led_flash_cnt[104][7]~q\,
	datac => \led_flash_cnt[104][0]~q\,
	datad => \WideAnd104~0_combout\,
	combout => \WideAnd104~combout\);

-- Location: FF_X1_Y29_N29
\led_flash_cnt_ands[104]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd104~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(104));

-- Location: LCCOMB_X6_Y26_N6
\led_flash_cnt[105][0]~80745\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[105][0]~80745_combout\ = !\led_flash_cnt[105][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[105][0]~q\,
	combout => \led_flash_cnt[105][0]~80745_combout\);

-- Location: FF_X6_Y26_N7
\led_flash_cnt[105][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[105][0]~80745_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[105][0]~q\);

-- Location: LCCOMB_X6_Y26_N8
\led_flash_cnt[105][1]~28350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[105][1]~28350_combout\ = (\led_flash_cnt[105][0]~q\ & (\led_flash_cnt[105][1]~q\ $ (VCC))) # (!\led_flash_cnt[105][0]~q\ & (\led_flash_cnt[105][1]~q\ & VCC))
-- \led_flash_cnt[105][1]~28351\ = CARRY((\led_flash_cnt[105][0]~q\ & \led_flash_cnt[105][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[105][0]~q\,
	datab => \led_flash_cnt[105][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[105][1]~28350_combout\,
	cout => \led_flash_cnt[105][1]~28351\);

-- Location: FF_X6_Y26_N9
\led_flash_cnt[105][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[105][1]~28350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[105][1]~q\);

-- Location: LCCOMB_X6_Y26_N10
\led_flash_cnt[105][2]~28352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[105][2]~28352_combout\ = (\led_flash_cnt[105][2]~q\ & (!\led_flash_cnt[105][1]~28351\)) # (!\led_flash_cnt[105][2]~q\ & ((\led_flash_cnt[105][1]~28351\) # (GND)))
-- \led_flash_cnt[105][2]~28353\ = CARRY((!\led_flash_cnt[105][1]~28351\) # (!\led_flash_cnt[105][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[105][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[105][1]~28351\,
	combout => \led_flash_cnt[105][2]~28352_combout\,
	cout => \led_flash_cnt[105][2]~28353\);

-- Location: FF_X6_Y26_N11
\led_flash_cnt[105][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[105][2]~28352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[105][2]~q\);

-- Location: LCCOMB_X6_Y26_N12
\led_flash_cnt[105][3]~28354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[105][3]~28354_combout\ = (\led_flash_cnt[105][3]~q\ & (\led_flash_cnt[105][2]~28353\ $ (GND))) # (!\led_flash_cnt[105][3]~q\ & (!\led_flash_cnt[105][2]~28353\ & VCC))
-- \led_flash_cnt[105][3]~28355\ = CARRY((\led_flash_cnt[105][3]~q\ & !\led_flash_cnt[105][2]~28353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[105][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[105][2]~28353\,
	combout => \led_flash_cnt[105][3]~28354_combout\,
	cout => \led_flash_cnt[105][3]~28355\);

-- Location: FF_X6_Y26_N13
\led_flash_cnt[105][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[105][3]~28354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[105][3]~q\);

-- Location: LCCOMB_X6_Y26_N14
\led_flash_cnt[105][4]~28356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[105][4]~28356_combout\ = (\led_flash_cnt[105][4]~q\ & (!\led_flash_cnt[105][3]~28355\)) # (!\led_flash_cnt[105][4]~q\ & ((\led_flash_cnt[105][3]~28355\) # (GND)))
-- \led_flash_cnt[105][4]~28357\ = CARRY((!\led_flash_cnt[105][3]~28355\) # (!\led_flash_cnt[105][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[105][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[105][3]~28355\,
	combout => \led_flash_cnt[105][4]~28356_combout\,
	cout => \led_flash_cnt[105][4]~28357\);

-- Location: FF_X6_Y26_N15
\led_flash_cnt[105][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[105][4]~28356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[105][4]~q\);

-- Location: LCCOMB_X6_Y26_N16
\led_flash_cnt[105][5]~28358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[105][5]~28358_combout\ = (\led_flash_cnt[105][5]~q\ & (\led_flash_cnt[105][4]~28357\ $ (GND))) # (!\led_flash_cnt[105][5]~q\ & (!\led_flash_cnt[105][4]~28357\ & VCC))
-- \led_flash_cnt[105][5]~28359\ = CARRY((\led_flash_cnt[105][5]~q\ & !\led_flash_cnt[105][4]~28357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[105][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[105][4]~28357\,
	combout => \led_flash_cnt[105][5]~28358_combout\,
	cout => \led_flash_cnt[105][5]~28359\);

-- Location: FF_X6_Y26_N17
\led_flash_cnt[105][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[105][5]~28358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[105][5]~q\);

-- Location: LCCOMB_X6_Y26_N18
\led_flash_cnt[105][6]~28360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[105][6]~28360_combout\ = (\led_flash_cnt[105][6]~q\ & (!\led_flash_cnt[105][5]~28359\)) # (!\led_flash_cnt[105][6]~q\ & ((\led_flash_cnt[105][5]~28359\) # (GND)))
-- \led_flash_cnt[105][6]~28361\ = CARRY((!\led_flash_cnt[105][5]~28359\) # (!\led_flash_cnt[105][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[105][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[105][5]~28359\,
	combout => \led_flash_cnt[105][6]~28360_combout\,
	cout => \led_flash_cnt[105][6]~28361\);

-- Location: FF_X6_Y26_N19
\led_flash_cnt[105][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[105][6]~28360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[105][6]~q\);

-- Location: LCCOMB_X6_Y26_N22
\WideAnd105~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd105~1_combout\ = (\led_flash_cnt[105][5]~q\ & \led_flash_cnt[105][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[105][5]~q\,
	datad => \led_flash_cnt[105][6]~q\,
	combout => \WideAnd105~1_combout\);

-- Location: LCCOMB_X6_Y26_N20
\led_flash_cnt[105][7]~28362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[105][7]~28362_combout\ = \led_flash_cnt[105][6]~28361\ $ (!\led_flash_cnt[105][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[105][7]~q\,
	cin => \led_flash_cnt[105][6]~28361\,
	combout => \led_flash_cnt[105][7]~28362_combout\);

-- Location: FF_X6_Y26_N21
\led_flash_cnt[105][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[105][7]~28362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[105][7]~q\);

-- Location: LCCOMB_X6_Y26_N30
\WideAnd105~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd105~0_combout\ = (\led_flash_cnt[105][3]~q\ & (\led_flash_cnt[105][1]~q\ & (\led_flash_cnt[105][4]~q\ & \led_flash_cnt[105][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[105][3]~q\,
	datab => \led_flash_cnt[105][1]~q\,
	datac => \led_flash_cnt[105][4]~q\,
	datad => \led_flash_cnt[105][2]~q\,
	combout => \WideAnd105~0_combout\);

-- Location: LCCOMB_X6_Y26_N0
WideAnd105 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd105~combout\ = (\WideAnd105~1_combout\ & (\led_flash_cnt[105][7]~q\ & (\WideAnd105~0_combout\ & \led_flash_cnt[105][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd105~1_combout\,
	datab => \led_flash_cnt[105][7]~q\,
	datac => \WideAnd105~0_combout\,
	datad => \led_flash_cnt[105][0]~q\,
	combout => \WideAnd105~combout\);

-- Location: FF_X6_Y26_N1
\led_flash_cnt_ands[105]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd105~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(105));

-- Location: LCCOMB_X9_Y25_N0
\led_flash_cnt[106][0]~80746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[106][0]~80746_combout\ = !\led_flash_cnt[106][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[106][0]~q\,
	combout => \led_flash_cnt[106][0]~80746_combout\);

-- Location: FF_X9_Y25_N1
\led_flash_cnt[106][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[106][0]~80746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[106][0]~q\);

-- Location: LCCOMB_X3_Y26_N4
\led_flash_cnt[106][1]~28364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[106][1]~28364_combout\ = (\led_flash_cnt[106][0]~q\ & (\led_flash_cnt[106][1]~q\ $ (VCC))) # (!\led_flash_cnt[106][0]~q\ & (\led_flash_cnt[106][1]~q\ & VCC))
-- \led_flash_cnt[106][1]~28365\ = CARRY((\led_flash_cnt[106][0]~q\ & \led_flash_cnt[106][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[106][0]~q\,
	datab => \led_flash_cnt[106][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[106][1]~28364_combout\,
	cout => \led_flash_cnt[106][1]~28365\);

-- Location: FF_X3_Y26_N5
\led_flash_cnt[106][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[106][1]~28364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[106][1]~q\);

-- Location: LCCOMB_X3_Y26_N6
\led_flash_cnt[106][2]~28366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[106][2]~28366_combout\ = (\led_flash_cnt[106][2]~q\ & (!\led_flash_cnt[106][1]~28365\)) # (!\led_flash_cnt[106][2]~q\ & ((\led_flash_cnt[106][1]~28365\) # (GND)))
-- \led_flash_cnt[106][2]~28367\ = CARRY((!\led_flash_cnt[106][1]~28365\) # (!\led_flash_cnt[106][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[106][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[106][1]~28365\,
	combout => \led_flash_cnt[106][2]~28366_combout\,
	cout => \led_flash_cnt[106][2]~28367\);

-- Location: FF_X3_Y26_N7
\led_flash_cnt[106][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[106][2]~28366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[106][2]~q\);

-- Location: LCCOMB_X3_Y26_N8
\led_flash_cnt[106][3]~28368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[106][3]~28368_combout\ = (\led_flash_cnt[106][3]~q\ & (\led_flash_cnt[106][2]~28367\ $ (GND))) # (!\led_flash_cnt[106][3]~q\ & (!\led_flash_cnt[106][2]~28367\ & VCC))
-- \led_flash_cnt[106][3]~28369\ = CARRY((\led_flash_cnt[106][3]~q\ & !\led_flash_cnt[106][2]~28367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[106][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[106][2]~28367\,
	combout => \led_flash_cnt[106][3]~28368_combout\,
	cout => \led_flash_cnt[106][3]~28369\);

-- Location: FF_X3_Y26_N9
\led_flash_cnt[106][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[106][3]~28368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[106][3]~q\);

-- Location: LCCOMB_X3_Y26_N10
\led_flash_cnt[106][4]~28370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[106][4]~28370_combout\ = (\led_flash_cnt[106][4]~q\ & (!\led_flash_cnt[106][3]~28369\)) # (!\led_flash_cnt[106][4]~q\ & ((\led_flash_cnt[106][3]~28369\) # (GND)))
-- \led_flash_cnt[106][4]~28371\ = CARRY((!\led_flash_cnt[106][3]~28369\) # (!\led_flash_cnt[106][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[106][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[106][3]~28369\,
	combout => \led_flash_cnt[106][4]~28370_combout\,
	cout => \led_flash_cnt[106][4]~28371\);

-- Location: FF_X3_Y26_N11
\led_flash_cnt[106][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[106][4]~28370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[106][4]~q\);

-- Location: LCCOMB_X3_Y26_N0
\WideAnd106~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd106~0_combout\ = (\led_flash_cnt[106][4]~q\ & (\led_flash_cnt[106][3]~q\ & (\led_flash_cnt[106][1]~q\ & \led_flash_cnt[106][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[106][4]~q\,
	datab => \led_flash_cnt[106][3]~q\,
	datac => \led_flash_cnt[106][1]~q\,
	datad => \led_flash_cnt[106][2]~q\,
	combout => \WideAnd106~0_combout\);

-- Location: LCCOMB_X3_Y26_N12
\led_flash_cnt[106][5]~28372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[106][5]~28372_combout\ = (\led_flash_cnt[106][5]~q\ & (\led_flash_cnt[106][4]~28371\ $ (GND))) # (!\led_flash_cnt[106][5]~q\ & (!\led_flash_cnt[106][4]~28371\ & VCC))
-- \led_flash_cnt[106][5]~28373\ = CARRY((\led_flash_cnt[106][5]~q\ & !\led_flash_cnt[106][4]~28371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[106][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[106][4]~28371\,
	combout => \led_flash_cnt[106][5]~28372_combout\,
	cout => \led_flash_cnt[106][5]~28373\);

-- Location: FF_X3_Y26_N13
\led_flash_cnt[106][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[106][5]~28372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[106][5]~q\);

-- Location: LCCOMB_X3_Y26_N14
\led_flash_cnt[106][6]~28374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[106][6]~28374_combout\ = (\led_flash_cnt[106][6]~q\ & (!\led_flash_cnt[106][5]~28373\)) # (!\led_flash_cnt[106][6]~q\ & ((\led_flash_cnt[106][5]~28373\) # (GND)))
-- \led_flash_cnt[106][6]~28375\ = CARRY((!\led_flash_cnt[106][5]~28373\) # (!\led_flash_cnt[106][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[106][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[106][5]~28373\,
	combout => \led_flash_cnt[106][6]~28374_combout\,
	cout => \led_flash_cnt[106][6]~28375\);

-- Location: FF_X3_Y26_N15
\led_flash_cnt[106][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[106][6]~28374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[106][6]~q\);

-- Location: LCCOMB_X3_Y26_N16
\led_flash_cnt[106][7]~28376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[106][7]~28376_combout\ = \led_flash_cnt[106][6]~28375\ $ (!\led_flash_cnt[106][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[106][7]~q\,
	cin => \led_flash_cnt[106][6]~28375\,
	combout => \led_flash_cnt[106][7]~28376_combout\);

-- Location: FF_X3_Y26_N17
\led_flash_cnt[106][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[106][7]~28376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[106][7]~q\);

-- Location: LCCOMB_X4_Y26_N28
\WideAnd106~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd106~1_combout\ = (\led_flash_cnt[106][6]~q\ & \led_flash_cnt[106][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[106][6]~q\,
	datad => \led_flash_cnt[106][5]~q\,
	combout => \WideAnd106~1_combout\);

-- Location: LCCOMB_X3_Y26_N2
WideAnd106 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd106~combout\ = (\WideAnd106~0_combout\ & (\led_flash_cnt[106][7]~q\ & (\led_flash_cnt[106][0]~q\ & \WideAnd106~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd106~0_combout\,
	datab => \led_flash_cnt[106][7]~q\,
	datac => \led_flash_cnt[106][0]~q\,
	datad => \WideAnd106~1_combout\,
	combout => \WideAnd106~combout\);

-- Location: FF_X3_Y26_N3
\led_flash_cnt_ands[106]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd106~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(106));

-- Location: LCCOMB_X6_Y26_N2
\led_flash_cnt[107][0]~80747\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[107][0]~80747_combout\ = !\led_flash_cnt[107][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[107][0]~q\,
	combout => \led_flash_cnt[107][0]~80747_combout\);

-- Location: FF_X6_Y26_N3
\led_flash_cnt[107][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[107][0]~80747_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[107][0]~q\);

-- Location: LCCOMB_X7_Y26_N18
\led_flash_cnt[107][1]~28378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[107][1]~28378_combout\ = (\led_flash_cnt[107][0]~q\ & (\led_flash_cnt[107][1]~q\ $ (VCC))) # (!\led_flash_cnt[107][0]~q\ & (\led_flash_cnt[107][1]~q\ & VCC))
-- \led_flash_cnt[107][1]~28379\ = CARRY((\led_flash_cnt[107][0]~q\ & \led_flash_cnt[107][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[107][0]~q\,
	datab => \led_flash_cnt[107][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[107][1]~28378_combout\,
	cout => \led_flash_cnt[107][1]~28379\);

-- Location: FF_X7_Y26_N19
\led_flash_cnt[107][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[107][1]~28378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[107][1]~q\);

-- Location: LCCOMB_X7_Y26_N20
\led_flash_cnt[107][2]~28380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[107][2]~28380_combout\ = (\led_flash_cnt[107][2]~q\ & (!\led_flash_cnt[107][1]~28379\)) # (!\led_flash_cnt[107][2]~q\ & ((\led_flash_cnt[107][1]~28379\) # (GND)))
-- \led_flash_cnt[107][2]~28381\ = CARRY((!\led_flash_cnt[107][1]~28379\) # (!\led_flash_cnt[107][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[107][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[107][1]~28379\,
	combout => \led_flash_cnt[107][2]~28380_combout\,
	cout => \led_flash_cnt[107][2]~28381\);

-- Location: FF_X7_Y26_N21
\led_flash_cnt[107][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[107][2]~28380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[107][2]~q\);

-- Location: LCCOMB_X7_Y26_N22
\led_flash_cnt[107][3]~28382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[107][3]~28382_combout\ = (\led_flash_cnt[107][3]~q\ & (\led_flash_cnt[107][2]~28381\ $ (GND))) # (!\led_flash_cnt[107][3]~q\ & (!\led_flash_cnt[107][2]~28381\ & VCC))
-- \led_flash_cnt[107][3]~28383\ = CARRY((\led_flash_cnt[107][3]~q\ & !\led_flash_cnt[107][2]~28381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[107][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[107][2]~28381\,
	combout => \led_flash_cnt[107][3]~28382_combout\,
	cout => \led_flash_cnt[107][3]~28383\);

-- Location: FF_X7_Y26_N23
\led_flash_cnt[107][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[107][3]~28382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[107][3]~q\);

-- Location: LCCOMB_X7_Y26_N24
\led_flash_cnt[107][4]~28384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[107][4]~28384_combout\ = (\led_flash_cnt[107][4]~q\ & (!\led_flash_cnt[107][3]~28383\)) # (!\led_flash_cnt[107][4]~q\ & ((\led_flash_cnt[107][3]~28383\) # (GND)))
-- \led_flash_cnt[107][4]~28385\ = CARRY((!\led_flash_cnt[107][3]~28383\) # (!\led_flash_cnt[107][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[107][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[107][3]~28383\,
	combout => \led_flash_cnt[107][4]~28384_combout\,
	cout => \led_flash_cnt[107][4]~28385\);

-- Location: FF_X7_Y26_N25
\led_flash_cnt[107][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[107][4]~28384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[107][4]~q\);

-- Location: LCCOMB_X7_Y26_N26
\led_flash_cnt[107][5]~28386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[107][5]~28386_combout\ = (\led_flash_cnt[107][5]~q\ & (\led_flash_cnt[107][4]~28385\ $ (GND))) # (!\led_flash_cnt[107][5]~q\ & (!\led_flash_cnt[107][4]~28385\ & VCC))
-- \led_flash_cnt[107][5]~28387\ = CARRY((\led_flash_cnt[107][5]~q\ & !\led_flash_cnt[107][4]~28385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[107][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[107][4]~28385\,
	combout => \led_flash_cnt[107][5]~28386_combout\,
	cout => \led_flash_cnt[107][5]~28387\);

-- Location: FF_X7_Y26_N27
\led_flash_cnt[107][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[107][5]~28386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[107][5]~q\);

-- Location: LCCOMB_X7_Y26_N28
\led_flash_cnt[107][6]~28388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[107][6]~28388_combout\ = (\led_flash_cnt[107][6]~q\ & (!\led_flash_cnt[107][5]~28387\)) # (!\led_flash_cnt[107][6]~q\ & ((\led_flash_cnt[107][5]~28387\) # (GND)))
-- \led_flash_cnt[107][6]~28389\ = CARRY((!\led_flash_cnt[107][5]~28387\) # (!\led_flash_cnt[107][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[107][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[107][5]~28387\,
	combout => \led_flash_cnt[107][6]~28388_combout\,
	cout => \led_flash_cnt[107][6]~28389\);

-- Location: FF_X7_Y26_N29
\led_flash_cnt[107][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[107][6]~28388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[107][6]~q\);

-- Location: LCCOMB_X6_Y26_N26
\WideAnd107~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd107~1_combout\ = (\led_flash_cnt[107][5]~q\ & \led_flash_cnt[107][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[107][5]~q\,
	datad => \led_flash_cnt[107][6]~q\,
	combout => \WideAnd107~1_combout\);

-- Location: LCCOMB_X7_Y26_N30
\led_flash_cnt[107][7]~28390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[107][7]~28390_combout\ = \led_flash_cnt[107][7]~q\ $ (!\led_flash_cnt[107][6]~28389\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[107][7]~q\,
	cin => \led_flash_cnt[107][6]~28389\,
	combout => \led_flash_cnt[107][7]~28390_combout\);

-- Location: FF_X7_Y26_N31
\led_flash_cnt[107][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[107][7]~28390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[107][7]~q\);

-- Location: LCCOMB_X7_Y26_N16
\WideAnd107~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd107~0_combout\ = (\led_flash_cnt[107][1]~q\ & (\led_flash_cnt[107][4]~q\ & (\led_flash_cnt[107][3]~q\ & \led_flash_cnt[107][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[107][1]~q\,
	datab => \led_flash_cnt[107][4]~q\,
	datac => \led_flash_cnt[107][3]~q\,
	datad => \led_flash_cnt[107][2]~q\,
	combout => \WideAnd107~0_combout\);

-- Location: LCCOMB_X6_Y26_N24
WideAnd107 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd107~combout\ = (\WideAnd107~1_combout\ & (\led_flash_cnt[107][0]~q\ & (\led_flash_cnt[107][7]~q\ & \WideAnd107~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd107~1_combout\,
	datab => \led_flash_cnt[107][0]~q\,
	datac => \led_flash_cnt[107][7]~q\,
	datad => \WideAnd107~0_combout\,
	combout => \WideAnd107~combout\);

-- Location: FF_X6_Y26_N25
\led_flash_cnt_ands[107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd107~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(107));

-- Location: LCCOMB_X6_Y26_N4
\WideAnd3853~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3853~0_combout\ = (led_flash_cnt_ands(104) & (led_flash_cnt_ands(105) & (led_flash_cnt_ands(106) & led_flash_cnt_ands(107))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(104),
	datab => led_flash_cnt_ands(105),
	datac => led_flash_cnt_ands(106),
	datad => led_flash_cnt_ands(107),
	combout => \WideAnd3853~0_combout\);

-- Location: LCCOMB_X21_Y20_N30
\led_flash_cnt[111][0]~80751\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[111][0]~80751_combout\ = !\led_flash_cnt[111][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[111][0]~q\,
	combout => \led_flash_cnt[111][0]~80751_combout\);

-- Location: FF_X21_Y20_N31
\led_flash_cnt[111][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[111][0]~80751_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[111][0]~q\);

-- Location: LCCOMB_X21_Y20_N8
\led_flash_cnt[111][1]~28434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[111][1]~28434_combout\ = (\led_flash_cnt[111][0]~q\ & (\led_flash_cnt[111][1]~q\ $ (VCC))) # (!\led_flash_cnt[111][0]~q\ & (\led_flash_cnt[111][1]~q\ & VCC))
-- \led_flash_cnt[111][1]~28435\ = CARRY((\led_flash_cnt[111][0]~q\ & \led_flash_cnt[111][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[111][0]~q\,
	datab => \led_flash_cnt[111][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[111][1]~28434_combout\,
	cout => \led_flash_cnt[111][1]~28435\);

-- Location: FF_X21_Y20_N9
\led_flash_cnt[111][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[111][1]~28434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[111][1]~q\);

-- Location: LCCOMB_X21_Y20_N10
\led_flash_cnt[111][2]~28436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[111][2]~28436_combout\ = (\led_flash_cnt[111][2]~q\ & (!\led_flash_cnt[111][1]~28435\)) # (!\led_flash_cnt[111][2]~q\ & ((\led_flash_cnt[111][1]~28435\) # (GND)))
-- \led_flash_cnt[111][2]~28437\ = CARRY((!\led_flash_cnt[111][1]~28435\) # (!\led_flash_cnt[111][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[111][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[111][1]~28435\,
	combout => \led_flash_cnt[111][2]~28436_combout\,
	cout => \led_flash_cnt[111][2]~28437\);

-- Location: FF_X21_Y20_N11
\led_flash_cnt[111][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[111][2]~28436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[111][2]~q\);

-- Location: LCCOMB_X21_Y20_N12
\led_flash_cnt[111][3]~28438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[111][3]~28438_combout\ = (\led_flash_cnt[111][3]~q\ & (\led_flash_cnt[111][2]~28437\ $ (GND))) # (!\led_flash_cnt[111][3]~q\ & (!\led_flash_cnt[111][2]~28437\ & VCC))
-- \led_flash_cnt[111][3]~28439\ = CARRY((\led_flash_cnt[111][3]~q\ & !\led_flash_cnt[111][2]~28437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[111][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[111][2]~28437\,
	combout => \led_flash_cnt[111][3]~28438_combout\,
	cout => \led_flash_cnt[111][3]~28439\);

-- Location: FF_X21_Y20_N13
\led_flash_cnt[111][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[111][3]~28438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[111][3]~q\);

-- Location: LCCOMB_X21_Y20_N14
\led_flash_cnt[111][4]~28440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[111][4]~28440_combout\ = (\led_flash_cnt[111][4]~q\ & (!\led_flash_cnt[111][3]~28439\)) # (!\led_flash_cnt[111][4]~q\ & ((\led_flash_cnt[111][3]~28439\) # (GND)))
-- \led_flash_cnt[111][4]~28441\ = CARRY((!\led_flash_cnt[111][3]~28439\) # (!\led_flash_cnt[111][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[111][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[111][3]~28439\,
	combout => \led_flash_cnt[111][4]~28440_combout\,
	cout => \led_flash_cnt[111][4]~28441\);

-- Location: FF_X21_Y20_N15
\led_flash_cnt[111][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[111][4]~28440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[111][4]~q\);

-- Location: LCCOMB_X21_Y20_N16
\led_flash_cnt[111][5]~28442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[111][5]~28442_combout\ = (\led_flash_cnt[111][5]~q\ & (\led_flash_cnt[111][4]~28441\ $ (GND))) # (!\led_flash_cnt[111][5]~q\ & (!\led_flash_cnt[111][4]~28441\ & VCC))
-- \led_flash_cnt[111][5]~28443\ = CARRY((\led_flash_cnt[111][5]~q\ & !\led_flash_cnt[111][4]~28441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[111][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[111][4]~28441\,
	combout => \led_flash_cnt[111][5]~28442_combout\,
	cout => \led_flash_cnt[111][5]~28443\);

-- Location: FF_X21_Y20_N17
\led_flash_cnt[111][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[111][5]~28442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[111][5]~q\);

-- Location: LCCOMB_X21_Y20_N18
\led_flash_cnt[111][6]~28444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[111][6]~28444_combout\ = (\led_flash_cnt[111][6]~q\ & (!\led_flash_cnt[111][5]~28443\)) # (!\led_flash_cnt[111][6]~q\ & ((\led_flash_cnt[111][5]~28443\) # (GND)))
-- \led_flash_cnt[111][6]~28445\ = CARRY((!\led_flash_cnt[111][5]~28443\) # (!\led_flash_cnt[111][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[111][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[111][5]~28443\,
	combout => \led_flash_cnt[111][6]~28444_combout\,
	cout => \led_flash_cnt[111][6]~28445\);

-- Location: FF_X21_Y20_N19
\led_flash_cnt[111][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[111][6]~28444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[111][6]~q\);

-- Location: LCCOMB_X21_Y20_N26
\WideAnd111~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd111~1_combout\ = (\led_flash_cnt[111][5]~q\ & \led_flash_cnt[111][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[111][5]~q\,
	datad => \led_flash_cnt[111][6]~q\,
	combout => \WideAnd111~1_combout\);

-- Location: LCCOMB_X21_Y20_N20
\led_flash_cnt[111][7]~28446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[111][7]~28446_combout\ = \led_flash_cnt[111][6]~28445\ $ (!\led_flash_cnt[111][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[111][7]~q\,
	cin => \led_flash_cnt[111][6]~28445\,
	combout => \led_flash_cnt[111][7]~28446_combout\);

-- Location: FF_X21_Y20_N21
\led_flash_cnt[111][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[111][7]~28446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[111][7]~q\);

-- Location: LCCOMB_X21_Y20_N0
\WideAnd111~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd111~0_combout\ = (\led_flash_cnt[111][2]~q\ & (\led_flash_cnt[111][1]~q\ & (\led_flash_cnt[111][4]~q\ & \led_flash_cnt[111][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[111][2]~q\,
	datab => \led_flash_cnt[111][1]~q\,
	datac => \led_flash_cnt[111][4]~q\,
	datad => \led_flash_cnt[111][3]~q\,
	combout => \WideAnd111~0_combout\);

-- Location: LCCOMB_X21_Y20_N28
WideAnd111 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd111~combout\ = (\WideAnd111~1_combout\ & (\led_flash_cnt[111][7]~q\ & (\led_flash_cnt[111][0]~q\ & \WideAnd111~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd111~1_combout\,
	datab => \led_flash_cnt[111][7]~q\,
	datac => \led_flash_cnt[111][0]~q\,
	datad => \WideAnd111~0_combout\,
	combout => \WideAnd111~combout\);

-- Location: FF_X21_Y20_N29
\led_flash_cnt_ands[111]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd111~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(111));

-- Location: LCCOMB_X21_Y20_N22
WideAnd3853 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3853~combout\ = (led_flash_cnt_ands(110) & (\WideAnd3853~1_combout\ & (\WideAnd3853~0_combout\ & led_flash_cnt_ands(111))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(110),
	datab => \WideAnd3853~1_combout\,
	datac => \WideAnd3853~0_combout\,
	datad => led_flash_cnt_ands(111),
	combout => \WideAnd3853~combout\);

-- Location: FF_X21_Y20_N23
\led_flash_cnt_ands_1[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3853~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(13));

-- Location: LCCOMB_X51_Y18_N30
\led_flash_cnt[102][0]~80742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[102][0]~80742_combout\ = !\led_flash_cnt[102][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[102][0]~q\,
	combout => \led_flash_cnt[102][0]~80742_combout\);

-- Location: FF_X51_Y18_N31
\led_flash_cnt[102][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[102][0]~80742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[102][0]~q\);

-- Location: LCCOMB_X50_Y17_N0
\led_flash_cnt[102][1]~28308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[102][1]~28308_combout\ = (\led_flash_cnt[102][0]~q\ & (\led_flash_cnt[102][1]~q\ $ (VCC))) # (!\led_flash_cnt[102][0]~q\ & (\led_flash_cnt[102][1]~q\ & VCC))
-- \led_flash_cnt[102][1]~28309\ = CARRY((\led_flash_cnt[102][0]~q\ & \led_flash_cnt[102][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[102][0]~q\,
	datab => \led_flash_cnt[102][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[102][1]~28308_combout\,
	cout => \led_flash_cnt[102][1]~28309\);

-- Location: FF_X50_Y17_N1
\led_flash_cnt[102][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[102][1]~28308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[102][1]~q\);

-- Location: LCCOMB_X50_Y17_N2
\led_flash_cnt[102][2]~28310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[102][2]~28310_combout\ = (\led_flash_cnt[102][2]~q\ & (!\led_flash_cnt[102][1]~28309\)) # (!\led_flash_cnt[102][2]~q\ & ((\led_flash_cnt[102][1]~28309\) # (GND)))
-- \led_flash_cnt[102][2]~28311\ = CARRY((!\led_flash_cnt[102][1]~28309\) # (!\led_flash_cnt[102][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[102][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[102][1]~28309\,
	combout => \led_flash_cnt[102][2]~28310_combout\,
	cout => \led_flash_cnt[102][2]~28311\);

-- Location: FF_X50_Y17_N3
\led_flash_cnt[102][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[102][2]~28310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[102][2]~q\);

-- Location: LCCOMB_X50_Y17_N4
\led_flash_cnt[102][3]~28312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[102][3]~28312_combout\ = (\led_flash_cnt[102][3]~q\ & (\led_flash_cnt[102][2]~28311\ $ (GND))) # (!\led_flash_cnt[102][3]~q\ & (!\led_flash_cnt[102][2]~28311\ & VCC))
-- \led_flash_cnt[102][3]~28313\ = CARRY((\led_flash_cnt[102][3]~q\ & !\led_flash_cnt[102][2]~28311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[102][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[102][2]~28311\,
	combout => \led_flash_cnt[102][3]~28312_combout\,
	cout => \led_flash_cnt[102][3]~28313\);

-- Location: FF_X50_Y17_N5
\led_flash_cnt[102][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[102][3]~28312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[102][3]~q\);

-- Location: LCCOMB_X50_Y17_N6
\led_flash_cnt[102][4]~28314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[102][4]~28314_combout\ = (\led_flash_cnt[102][4]~q\ & (!\led_flash_cnt[102][3]~28313\)) # (!\led_flash_cnt[102][4]~q\ & ((\led_flash_cnt[102][3]~28313\) # (GND)))
-- \led_flash_cnt[102][4]~28315\ = CARRY((!\led_flash_cnt[102][3]~28313\) # (!\led_flash_cnt[102][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[102][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[102][3]~28313\,
	combout => \led_flash_cnt[102][4]~28314_combout\,
	cout => \led_flash_cnt[102][4]~28315\);

-- Location: FF_X50_Y17_N7
\led_flash_cnt[102][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[102][4]~28314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[102][4]~q\);

-- Location: LCCOMB_X50_Y17_N8
\led_flash_cnt[102][5]~28316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[102][5]~28316_combout\ = (\led_flash_cnt[102][5]~q\ & (\led_flash_cnt[102][4]~28315\ $ (GND))) # (!\led_flash_cnt[102][5]~q\ & (!\led_flash_cnt[102][4]~28315\ & VCC))
-- \led_flash_cnt[102][5]~28317\ = CARRY((\led_flash_cnt[102][5]~q\ & !\led_flash_cnt[102][4]~28315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[102][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[102][4]~28315\,
	combout => \led_flash_cnt[102][5]~28316_combout\,
	cout => \led_flash_cnt[102][5]~28317\);

-- Location: FF_X50_Y17_N9
\led_flash_cnt[102][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[102][5]~28316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[102][5]~q\);

-- Location: LCCOMB_X50_Y17_N10
\led_flash_cnt[102][6]~28318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[102][6]~28318_combout\ = (\led_flash_cnt[102][6]~q\ & (!\led_flash_cnt[102][5]~28317\)) # (!\led_flash_cnt[102][6]~q\ & ((\led_flash_cnt[102][5]~28317\) # (GND)))
-- \led_flash_cnt[102][6]~28319\ = CARRY((!\led_flash_cnt[102][5]~28317\) # (!\led_flash_cnt[102][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[102][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[102][5]~28317\,
	combout => \led_flash_cnt[102][6]~28318_combout\,
	cout => \led_flash_cnt[102][6]~28319\);

-- Location: FF_X50_Y17_N11
\led_flash_cnt[102][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[102][6]~28318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[102][6]~q\);

-- Location: LCCOMB_X50_Y17_N14
\WideAnd102~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd102~1_combout\ = (\led_flash_cnt[102][5]~q\ & \led_flash_cnt[102][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[102][5]~q\,
	datad => \led_flash_cnt[102][6]~q\,
	combout => \WideAnd102~1_combout\);

-- Location: LCCOMB_X50_Y17_N12
\led_flash_cnt[102][7]~28320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[102][7]~28320_combout\ = \led_flash_cnt[102][6]~28319\ $ (!\led_flash_cnt[102][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[102][7]~q\,
	cin => \led_flash_cnt[102][6]~28319\,
	combout => \led_flash_cnt[102][7]~28320_combout\);

-- Location: FF_X50_Y17_N13
\led_flash_cnt[102][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[102][7]~28320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[102][7]~q\);

-- Location: LCCOMB_X50_Y17_N30
\WideAnd102~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd102~0_combout\ = (\led_flash_cnt[102][4]~q\ & (\led_flash_cnt[102][1]~q\ & (\led_flash_cnt[102][3]~q\ & \led_flash_cnt[102][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[102][4]~q\,
	datab => \led_flash_cnt[102][1]~q\,
	datac => \led_flash_cnt[102][3]~q\,
	datad => \led_flash_cnt[102][2]~q\,
	combout => \WideAnd102~0_combout\);

-- Location: LCCOMB_X50_Y18_N8
WideAnd102 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd102~combout\ = (\WideAnd102~1_combout\ & (\led_flash_cnt[102][7]~q\ & (\led_flash_cnt[102][0]~q\ & \WideAnd102~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd102~1_combout\,
	datab => \led_flash_cnt[102][7]~q\,
	datac => \led_flash_cnt[102][0]~q\,
	datad => \WideAnd102~0_combout\,
	combout => \WideAnd102~combout\);

-- Location: FF_X50_Y18_N9
\led_flash_cnt_ands[102]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd102~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(102));

-- Location: LCCOMB_X54_Y21_N30
\led_flash_cnt[101][0]~80741\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[101][0]~80741_combout\ = !\led_flash_cnt[101][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[101][0]~q\,
	combout => \led_flash_cnt[101][0]~80741_combout\);

-- Location: FF_X54_Y21_N31
\led_flash_cnt[101][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[101][0]~80741_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[101][0]~q\);

-- Location: LCCOMB_X54_Y21_N8
\led_flash_cnt[101][1]~28294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[101][1]~28294_combout\ = (\led_flash_cnt[101][0]~q\ & (\led_flash_cnt[101][1]~q\ $ (VCC))) # (!\led_flash_cnt[101][0]~q\ & (\led_flash_cnt[101][1]~q\ & VCC))
-- \led_flash_cnt[101][1]~28295\ = CARRY((\led_flash_cnt[101][0]~q\ & \led_flash_cnt[101][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[101][0]~q\,
	datab => \led_flash_cnt[101][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[101][1]~28294_combout\,
	cout => \led_flash_cnt[101][1]~28295\);

-- Location: FF_X54_Y21_N9
\led_flash_cnt[101][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[101][1]~28294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[101][1]~q\);

-- Location: LCCOMB_X54_Y21_N10
\led_flash_cnt[101][2]~28296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[101][2]~28296_combout\ = (\led_flash_cnt[101][2]~q\ & (!\led_flash_cnt[101][1]~28295\)) # (!\led_flash_cnt[101][2]~q\ & ((\led_flash_cnt[101][1]~28295\) # (GND)))
-- \led_flash_cnt[101][2]~28297\ = CARRY((!\led_flash_cnt[101][1]~28295\) # (!\led_flash_cnt[101][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[101][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[101][1]~28295\,
	combout => \led_flash_cnt[101][2]~28296_combout\,
	cout => \led_flash_cnt[101][2]~28297\);

-- Location: FF_X54_Y21_N11
\led_flash_cnt[101][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[101][2]~28296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[101][2]~q\);

-- Location: LCCOMB_X54_Y21_N12
\led_flash_cnt[101][3]~28298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[101][3]~28298_combout\ = (\led_flash_cnt[101][3]~q\ & (\led_flash_cnt[101][2]~28297\ $ (GND))) # (!\led_flash_cnt[101][3]~q\ & (!\led_flash_cnt[101][2]~28297\ & VCC))
-- \led_flash_cnt[101][3]~28299\ = CARRY((\led_flash_cnt[101][3]~q\ & !\led_flash_cnt[101][2]~28297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[101][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[101][2]~28297\,
	combout => \led_flash_cnt[101][3]~28298_combout\,
	cout => \led_flash_cnt[101][3]~28299\);

-- Location: FF_X54_Y21_N13
\led_flash_cnt[101][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[101][3]~28298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[101][3]~q\);

-- Location: LCCOMB_X54_Y21_N14
\led_flash_cnt[101][4]~28300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[101][4]~28300_combout\ = (\led_flash_cnt[101][4]~q\ & (!\led_flash_cnt[101][3]~28299\)) # (!\led_flash_cnt[101][4]~q\ & ((\led_flash_cnt[101][3]~28299\) # (GND)))
-- \led_flash_cnt[101][4]~28301\ = CARRY((!\led_flash_cnt[101][3]~28299\) # (!\led_flash_cnt[101][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[101][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[101][3]~28299\,
	combout => \led_flash_cnt[101][4]~28300_combout\,
	cout => \led_flash_cnt[101][4]~28301\);

-- Location: FF_X54_Y21_N15
\led_flash_cnt[101][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[101][4]~28300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[101][4]~q\);

-- Location: LCCOMB_X54_Y21_N16
\led_flash_cnt[101][5]~28302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[101][5]~28302_combout\ = (\led_flash_cnt[101][5]~q\ & (\led_flash_cnt[101][4]~28301\ $ (GND))) # (!\led_flash_cnt[101][5]~q\ & (!\led_flash_cnt[101][4]~28301\ & VCC))
-- \led_flash_cnt[101][5]~28303\ = CARRY((\led_flash_cnt[101][5]~q\ & !\led_flash_cnt[101][4]~28301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[101][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[101][4]~28301\,
	combout => \led_flash_cnt[101][5]~28302_combout\,
	cout => \led_flash_cnt[101][5]~28303\);

-- Location: FF_X54_Y21_N17
\led_flash_cnt[101][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[101][5]~28302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[101][5]~q\);

-- Location: LCCOMB_X54_Y21_N18
\led_flash_cnt[101][6]~28304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[101][6]~28304_combout\ = (\led_flash_cnt[101][6]~q\ & (!\led_flash_cnt[101][5]~28303\)) # (!\led_flash_cnt[101][6]~q\ & ((\led_flash_cnt[101][5]~28303\) # (GND)))
-- \led_flash_cnt[101][6]~28305\ = CARRY((!\led_flash_cnt[101][5]~28303\) # (!\led_flash_cnt[101][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[101][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[101][5]~28303\,
	combout => \led_flash_cnt[101][6]~28304_combout\,
	cout => \led_flash_cnt[101][6]~28305\);

-- Location: FF_X54_Y21_N19
\led_flash_cnt[101][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[101][6]~28304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[101][6]~q\);

-- Location: LCCOMB_X54_Y21_N20
\led_flash_cnt[101][7]~28306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[101][7]~28306_combout\ = \led_flash_cnt[101][6]~28305\ $ (!\led_flash_cnt[101][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[101][7]~q\,
	cin => \led_flash_cnt[101][6]~28305\,
	combout => \led_flash_cnt[101][7]~28306_combout\);

-- Location: FF_X54_Y21_N21
\led_flash_cnt[101][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[101][7]~28306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[101][7]~q\);

-- Location: LCCOMB_X54_Y21_N22
\WideAnd101~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd101~1_combout\ = (\led_flash_cnt[101][5]~q\ & \led_flash_cnt[101][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[101][5]~q\,
	datad => \led_flash_cnt[101][6]~q\,
	combout => \WideAnd101~1_combout\);

-- Location: LCCOMB_X54_Y21_N2
\WideAnd101~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd101~0_combout\ = (\led_flash_cnt[101][3]~q\ & (\led_flash_cnt[101][1]~q\ & (\led_flash_cnt[101][4]~q\ & \led_flash_cnt[101][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[101][3]~q\,
	datab => \led_flash_cnt[101][1]~q\,
	datac => \led_flash_cnt[101][4]~q\,
	datad => \led_flash_cnt[101][2]~q\,
	combout => \WideAnd101~0_combout\);

-- Location: LCCOMB_X54_Y21_N4
WideAnd101 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd101~combout\ = (\led_flash_cnt[101][0]~q\ & (\led_flash_cnt[101][7]~q\ & (\WideAnd101~1_combout\ & \WideAnd101~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[101][0]~q\,
	datab => \led_flash_cnt[101][7]~q\,
	datac => \WideAnd101~1_combout\,
	datad => \WideAnd101~0_combout\,
	combout => \WideAnd101~combout\);

-- Location: FF_X54_Y21_N5
\led_flash_cnt_ands[101]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd101~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(101));

-- Location: LCCOMB_X54_Y21_N6
\led_flash_cnt[100][0]~80740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[100][0]~80740_combout\ = !\led_flash_cnt[100][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[100][0]~q\,
	combout => \led_flash_cnt[100][0]~80740_combout\);

-- Location: FF_X54_Y21_N7
\led_flash_cnt[100][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[100][0]~80740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[100][0]~q\);

-- Location: LCCOMB_X55_Y21_N4
\led_flash_cnt[100][1]~28280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[100][1]~28280_combout\ = (\led_flash_cnt[100][0]~q\ & (\led_flash_cnt[100][1]~q\ $ (VCC))) # (!\led_flash_cnt[100][0]~q\ & (\led_flash_cnt[100][1]~q\ & VCC))
-- \led_flash_cnt[100][1]~28281\ = CARRY((\led_flash_cnt[100][0]~q\ & \led_flash_cnt[100][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[100][0]~q\,
	datab => \led_flash_cnt[100][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[100][1]~28280_combout\,
	cout => \led_flash_cnt[100][1]~28281\);

-- Location: FF_X55_Y21_N5
\led_flash_cnt[100][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[100][1]~28280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[100][1]~q\);

-- Location: LCCOMB_X55_Y21_N6
\led_flash_cnt[100][2]~28282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[100][2]~28282_combout\ = (\led_flash_cnt[100][2]~q\ & (!\led_flash_cnt[100][1]~28281\)) # (!\led_flash_cnt[100][2]~q\ & ((\led_flash_cnt[100][1]~28281\) # (GND)))
-- \led_flash_cnt[100][2]~28283\ = CARRY((!\led_flash_cnt[100][1]~28281\) # (!\led_flash_cnt[100][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[100][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[100][1]~28281\,
	combout => \led_flash_cnt[100][2]~28282_combout\,
	cout => \led_flash_cnt[100][2]~28283\);

-- Location: FF_X55_Y21_N7
\led_flash_cnt[100][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[100][2]~28282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[100][2]~q\);

-- Location: LCCOMB_X55_Y21_N8
\led_flash_cnt[100][3]~28284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[100][3]~28284_combout\ = (\led_flash_cnt[100][3]~q\ & (\led_flash_cnt[100][2]~28283\ $ (GND))) # (!\led_flash_cnt[100][3]~q\ & (!\led_flash_cnt[100][2]~28283\ & VCC))
-- \led_flash_cnt[100][3]~28285\ = CARRY((\led_flash_cnt[100][3]~q\ & !\led_flash_cnt[100][2]~28283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[100][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[100][2]~28283\,
	combout => \led_flash_cnt[100][3]~28284_combout\,
	cout => \led_flash_cnt[100][3]~28285\);

-- Location: FF_X55_Y21_N9
\led_flash_cnt[100][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[100][3]~28284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[100][3]~q\);

-- Location: LCCOMB_X55_Y21_N10
\led_flash_cnt[100][4]~28286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[100][4]~28286_combout\ = (\led_flash_cnt[100][4]~q\ & (!\led_flash_cnt[100][3]~28285\)) # (!\led_flash_cnt[100][4]~q\ & ((\led_flash_cnt[100][3]~28285\) # (GND)))
-- \led_flash_cnt[100][4]~28287\ = CARRY((!\led_flash_cnt[100][3]~28285\) # (!\led_flash_cnt[100][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[100][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[100][3]~28285\,
	combout => \led_flash_cnt[100][4]~28286_combout\,
	cout => \led_flash_cnt[100][4]~28287\);

-- Location: FF_X55_Y21_N11
\led_flash_cnt[100][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[100][4]~28286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[100][4]~q\);

-- Location: LCCOMB_X55_Y21_N12
\led_flash_cnt[100][5]~28288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[100][5]~28288_combout\ = (\led_flash_cnt[100][5]~q\ & (\led_flash_cnt[100][4]~28287\ $ (GND))) # (!\led_flash_cnt[100][5]~q\ & (!\led_flash_cnt[100][4]~28287\ & VCC))
-- \led_flash_cnt[100][5]~28289\ = CARRY((\led_flash_cnt[100][5]~q\ & !\led_flash_cnt[100][4]~28287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[100][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[100][4]~28287\,
	combout => \led_flash_cnt[100][5]~28288_combout\,
	cout => \led_flash_cnt[100][5]~28289\);

-- Location: FF_X55_Y21_N13
\led_flash_cnt[100][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[100][5]~28288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[100][5]~q\);

-- Location: LCCOMB_X55_Y21_N14
\led_flash_cnt[100][6]~28290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[100][6]~28290_combout\ = (\led_flash_cnt[100][6]~q\ & (!\led_flash_cnt[100][5]~28289\)) # (!\led_flash_cnt[100][6]~q\ & ((\led_flash_cnt[100][5]~28289\) # (GND)))
-- \led_flash_cnt[100][6]~28291\ = CARRY((!\led_flash_cnt[100][5]~28289\) # (!\led_flash_cnt[100][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[100][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[100][5]~28289\,
	combout => \led_flash_cnt[100][6]~28290_combout\,
	cout => \led_flash_cnt[100][6]~28291\);

-- Location: FF_X55_Y21_N15
\led_flash_cnt[100][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[100][6]~28290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[100][6]~q\);

-- Location: LCCOMB_X55_Y21_N16
\led_flash_cnt[100][7]~28292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[100][7]~28292_combout\ = \led_flash_cnt[100][6]~28291\ $ (!\led_flash_cnt[100][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[100][7]~q\,
	cin => \led_flash_cnt[100][6]~28291\,
	combout => \led_flash_cnt[100][7]~28292_combout\);

-- Location: FF_X55_Y21_N17
\led_flash_cnt[100][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[100][7]~28292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[100][7]~q\);

-- Location: LCCOMB_X54_Y21_N26
\WideAnd100~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd100~1_combout\ = (\led_flash_cnt[100][6]~q\ & \led_flash_cnt[100][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[100][6]~q\,
	datac => \led_flash_cnt[100][5]~q\,
	combout => \WideAnd100~1_combout\);

-- Location: LCCOMB_X55_Y21_N2
\WideAnd100~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd100~0_combout\ = (\led_flash_cnt[100][2]~q\ & (\led_flash_cnt[100][3]~q\ & (\led_flash_cnt[100][1]~q\ & \led_flash_cnt[100][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[100][2]~q\,
	datab => \led_flash_cnt[100][3]~q\,
	datac => \led_flash_cnt[100][1]~q\,
	datad => \led_flash_cnt[100][4]~q\,
	combout => \WideAnd100~0_combout\);

-- Location: LCCOMB_X54_Y21_N28
WideAnd100 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd100~combout\ = (\led_flash_cnt[100][0]~q\ & (\led_flash_cnt[100][7]~q\ & (\WideAnd100~1_combout\ & \WideAnd100~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[100][0]~q\,
	datab => \led_flash_cnt[100][7]~q\,
	datac => \WideAnd100~1_combout\,
	datad => \WideAnd100~0_combout\,
	combout => \WideAnd100~combout\);

-- Location: FF_X54_Y21_N29
\led_flash_cnt_ands[100]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd100~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(100));

-- Location: LCCOMB_X54_Y21_N24
\WideAnd3852~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3852~1_combout\ = (led_flash_cnt_ands(101) & led_flash_cnt_ands(100))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(101),
	datad => led_flash_cnt_ands(100),
	combout => \WideAnd3852~1_combout\);

-- Location: LCCOMB_X47_Y15_N0
\led_flash_cnt[97][0]~80737\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[97][0]~80737_combout\ = !\led_flash_cnt[97][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[97][0]~q\,
	combout => \led_flash_cnt[97][0]~80737_combout\);

-- Location: FF_X47_Y15_N1
\led_flash_cnt[97][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[97][0]~80737_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[97][0]~q\);

-- Location: LCCOMB_X47_Y16_N16
\led_flash_cnt[97][1]~28238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[97][1]~28238_combout\ = (\led_flash_cnt[97][0]~q\ & (\led_flash_cnt[97][1]~q\ $ (VCC))) # (!\led_flash_cnt[97][0]~q\ & (\led_flash_cnt[97][1]~q\ & VCC))
-- \led_flash_cnt[97][1]~28239\ = CARRY((\led_flash_cnt[97][0]~q\ & \led_flash_cnt[97][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[97][0]~q\,
	datab => \led_flash_cnt[97][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[97][1]~28238_combout\,
	cout => \led_flash_cnt[97][1]~28239\);

-- Location: FF_X47_Y16_N17
\led_flash_cnt[97][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[97][1]~28238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[97][1]~q\);

-- Location: LCCOMB_X47_Y16_N18
\led_flash_cnt[97][2]~28240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[97][2]~28240_combout\ = (\led_flash_cnt[97][2]~q\ & (!\led_flash_cnt[97][1]~28239\)) # (!\led_flash_cnt[97][2]~q\ & ((\led_flash_cnt[97][1]~28239\) # (GND)))
-- \led_flash_cnt[97][2]~28241\ = CARRY((!\led_flash_cnt[97][1]~28239\) # (!\led_flash_cnt[97][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[97][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[97][1]~28239\,
	combout => \led_flash_cnt[97][2]~28240_combout\,
	cout => \led_flash_cnt[97][2]~28241\);

-- Location: FF_X47_Y16_N19
\led_flash_cnt[97][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[97][2]~28240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[97][2]~q\);

-- Location: LCCOMB_X47_Y16_N20
\led_flash_cnt[97][3]~28242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[97][3]~28242_combout\ = (\led_flash_cnt[97][3]~q\ & (\led_flash_cnt[97][2]~28241\ $ (GND))) # (!\led_flash_cnt[97][3]~q\ & (!\led_flash_cnt[97][2]~28241\ & VCC))
-- \led_flash_cnt[97][3]~28243\ = CARRY((\led_flash_cnt[97][3]~q\ & !\led_flash_cnt[97][2]~28241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[97][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[97][2]~28241\,
	combout => \led_flash_cnt[97][3]~28242_combout\,
	cout => \led_flash_cnt[97][3]~28243\);

-- Location: FF_X47_Y16_N21
\led_flash_cnt[97][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[97][3]~28242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[97][3]~q\);

-- Location: LCCOMB_X47_Y16_N22
\led_flash_cnt[97][4]~28244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[97][4]~28244_combout\ = (\led_flash_cnt[97][4]~q\ & (!\led_flash_cnt[97][3]~28243\)) # (!\led_flash_cnt[97][4]~q\ & ((\led_flash_cnt[97][3]~28243\) # (GND)))
-- \led_flash_cnt[97][4]~28245\ = CARRY((!\led_flash_cnt[97][3]~28243\) # (!\led_flash_cnt[97][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[97][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[97][3]~28243\,
	combout => \led_flash_cnt[97][4]~28244_combout\,
	cout => \led_flash_cnt[97][4]~28245\);

-- Location: FF_X47_Y16_N23
\led_flash_cnt[97][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[97][4]~28244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[97][4]~q\);

-- Location: LCCOMB_X47_Y16_N24
\led_flash_cnt[97][5]~28246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[97][5]~28246_combout\ = (\led_flash_cnt[97][5]~q\ & (\led_flash_cnt[97][4]~28245\ $ (GND))) # (!\led_flash_cnt[97][5]~q\ & (!\led_flash_cnt[97][4]~28245\ & VCC))
-- \led_flash_cnt[97][5]~28247\ = CARRY((\led_flash_cnt[97][5]~q\ & !\led_flash_cnt[97][4]~28245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[97][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[97][4]~28245\,
	combout => \led_flash_cnt[97][5]~28246_combout\,
	cout => \led_flash_cnt[97][5]~28247\);

-- Location: FF_X47_Y16_N25
\led_flash_cnt[97][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[97][5]~28246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[97][5]~q\);

-- Location: LCCOMB_X47_Y16_N26
\led_flash_cnt[97][6]~28248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[97][6]~28248_combout\ = (\led_flash_cnt[97][6]~q\ & (!\led_flash_cnt[97][5]~28247\)) # (!\led_flash_cnt[97][6]~q\ & ((\led_flash_cnt[97][5]~28247\) # (GND)))
-- \led_flash_cnt[97][6]~28249\ = CARRY((!\led_flash_cnt[97][5]~28247\) # (!\led_flash_cnt[97][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[97][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[97][5]~28247\,
	combout => \led_flash_cnt[97][6]~28248_combout\,
	cout => \led_flash_cnt[97][6]~28249\);

-- Location: FF_X47_Y16_N27
\led_flash_cnt[97][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[97][6]~28248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[97][6]~q\);

-- Location: LCCOMB_X47_Y16_N14
\WideAnd97~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd97~1_combout\ = (\led_flash_cnt[97][6]~q\ & \led_flash_cnt[97][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[97][6]~q\,
	datad => \led_flash_cnt[97][5]~q\,
	combout => \WideAnd97~1_combout\);

-- Location: LCCOMB_X47_Y16_N30
\WideAnd97~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd97~0_combout\ = (\led_flash_cnt[97][3]~q\ & (\led_flash_cnt[97][2]~q\ & (\led_flash_cnt[97][4]~q\ & \led_flash_cnt[97][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[97][3]~q\,
	datab => \led_flash_cnt[97][2]~q\,
	datac => \led_flash_cnt[97][4]~q\,
	datad => \led_flash_cnt[97][1]~q\,
	combout => \WideAnd97~0_combout\);

-- Location: LCCOMB_X47_Y16_N28
\led_flash_cnt[97][7]~28250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[97][7]~28250_combout\ = \led_flash_cnt[97][6]~28249\ $ (!\led_flash_cnt[97][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[97][7]~q\,
	cin => \led_flash_cnt[97][6]~28249\,
	combout => \led_flash_cnt[97][7]~28250_combout\);

-- Location: FF_X47_Y16_N29
\led_flash_cnt[97][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[97][7]~28250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[97][7]~q\);

-- Location: LCCOMB_X47_Y15_N6
WideAnd97 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd97~combout\ = (\WideAnd97~1_combout\ & (\led_flash_cnt[97][0]~q\ & (\WideAnd97~0_combout\ & \led_flash_cnt[97][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd97~1_combout\,
	datab => \led_flash_cnt[97][0]~q\,
	datac => \WideAnd97~0_combout\,
	datad => \led_flash_cnt[97][7]~q\,
	combout => \WideAnd97~combout\);

-- Location: FF_X47_Y15_N7
\led_flash_cnt_ands[97]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd97~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(97));

-- Location: LCCOMB_X43_Y10_N24
\led_flash_cnt[99][0]~80739\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[99][0]~80739_combout\ = !\led_flash_cnt[99][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[99][0]~q\,
	combout => \led_flash_cnt[99][0]~80739_combout\);

-- Location: FF_X43_Y10_N25
\led_flash_cnt[99][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[99][0]~80739_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[99][0]~q\);

-- Location: LCCOMB_X44_Y10_N2
\led_flash_cnt[99][1]~28266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[99][1]~28266_combout\ = (\led_flash_cnt[99][0]~q\ & (\led_flash_cnt[99][1]~q\ $ (VCC))) # (!\led_flash_cnt[99][0]~q\ & (\led_flash_cnt[99][1]~q\ & VCC))
-- \led_flash_cnt[99][1]~28267\ = CARRY((\led_flash_cnt[99][0]~q\ & \led_flash_cnt[99][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[99][0]~q\,
	datab => \led_flash_cnt[99][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[99][1]~28266_combout\,
	cout => \led_flash_cnt[99][1]~28267\);

-- Location: FF_X44_Y10_N3
\led_flash_cnt[99][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[99][1]~28266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[99][1]~q\);

-- Location: LCCOMB_X44_Y10_N4
\led_flash_cnt[99][2]~28268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[99][2]~28268_combout\ = (\led_flash_cnt[99][2]~q\ & (!\led_flash_cnt[99][1]~28267\)) # (!\led_flash_cnt[99][2]~q\ & ((\led_flash_cnt[99][1]~28267\) # (GND)))
-- \led_flash_cnt[99][2]~28269\ = CARRY((!\led_flash_cnt[99][1]~28267\) # (!\led_flash_cnt[99][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[99][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[99][1]~28267\,
	combout => \led_flash_cnt[99][2]~28268_combout\,
	cout => \led_flash_cnt[99][2]~28269\);

-- Location: FF_X44_Y10_N5
\led_flash_cnt[99][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[99][2]~28268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[99][2]~q\);

-- Location: LCCOMB_X44_Y10_N6
\led_flash_cnt[99][3]~28270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[99][3]~28270_combout\ = (\led_flash_cnt[99][3]~q\ & (\led_flash_cnt[99][2]~28269\ $ (GND))) # (!\led_flash_cnt[99][3]~q\ & (!\led_flash_cnt[99][2]~28269\ & VCC))
-- \led_flash_cnt[99][3]~28271\ = CARRY((\led_flash_cnt[99][3]~q\ & !\led_flash_cnt[99][2]~28269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[99][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[99][2]~28269\,
	combout => \led_flash_cnt[99][3]~28270_combout\,
	cout => \led_flash_cnt[99][3]~28271\);

-- Location: FF_X44_Y10_N7
\led_flash_cnt[99][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[99][3]~28270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[99][3]~q\);

-- Location: LCCOMB_X44_Y10_N8
\led_flash_cnt[99][4]~28272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[99][4]~28272_combout\ = (\led_flash_cnt[99][4]~q\ & (!\led_flash_cnt[99][3]~28271\)) # (!\led_flash_cnt[99][4]~q\ & ((\led_flash_cnt[99][3]~28271\) # (GND)))
-- \led_flash_cnt[99][4]~28273\ = CARRY((!\led_flash_cnt[99][3]~28271\) # (!\led_flash_cnt[99][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[99][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[99][3]~28271\,
	combout => \led_flash_cnt[99][4]~28272_combout\,
	cout => \led_flash_cnt[99][4]~28273\);

-- Location: FF_X44_Y10_N9
\led_flash_cnt[99][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[99][4]~28272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[99][4]~q\);

-- Location: LCCOMB_X44_Y10_N10
\led_flash_cnt[99][5]~28274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[99][5]~28274_combout\ = (\led_flash_cnt[99][5]~q\ & (\led_flash_cnt[99][4]~28273\ $ (GND))) # (!\led_flash_cnt[99][5]~q\ & (!\led_flash_cnt[99][4]~28273\ & VCC))
-- \led_flash_cnt[99][5]~28275\ = CARRY((\led_flash_cnt[99][5]~q\ & !\led_flash_cnt[99][4]~28273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[99][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[99][4]~28273\,
	combout => \led_flash_cnt[99][5]~28274_combout\,
	cout => \led_flash_cnt[99][5]~28275\);

-- Location: FF_X44_Y10_N11
\led_flash_cnt[99][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[99][5]~28274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[99][5]~q\);

-- Location: LCCOMB_X44_Y10_N12
\led_flash_cnt[99][6]~28276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[99][6]~28276_combout\ = (\led_flash_cnt[99][6]~q\ & (!\led_flash_cnt[99][5]~28275\)) # (!\led_flash_cnt[99][6]~q\ & ((\led_flash_cnt[99][5]~28275\) # (GND)))
-- \led_flash_cnt[99][6]~28277\ = CARRY((!\led_flash_cnt[99][5]~28275\) # (!\led_flash_cnt[99][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[99][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[99][5]~28275\,
	combout => \led_flash_cnt[99][6]~28276_combout\,
	cout => \led_flash_cnt[99][6]~28277\);

-- Location: FF_X44_Y10_N13
\led_flash_cnt[99][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[99][6]~28276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[99][6]~q\);

-- Location: LCCOMB_X43_Y10_N22
\WideAnd99~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd99~1_combout\ = (\led_flash_cnt[99][5]~q\ & \led_flash_cnt[99][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[99][5]~q\,
	datac => \led_flash_cnt[99][6]~q\,
	combout => \WideAnd99~1_combout\);

-- Location: LCCOMB_X44_Y10_N14
\led_flash_cnt[99][7]~28278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[99][7]~28278_combout\ = \led_flash_cnt[99][7]~q\ $ (!\led_flash_cnt[99][6]~28277\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[99][7]~q\,
	cin => \led_flash_cnt[99][6]~28277\,
	combout => \led_flash_cnt[99][7]~28278_combout\);

-- Location: FF_X44_Y10_N15
\led_flash_cnt[99][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[99][7]~28278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[99][7]~q\);

-- Location: LCCOMB_X44_Y10_N16
\WideAnd99~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd99~0_combout\ = (\led_flash_cnt[99][3]~q\ & (\led_flash_cnt[99][4]~q\ & (\led_flash_cnt[99][2]~q\ & \led_flash_cnt[99][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[99][3]~q\,
	datab => \led_flash_cnt[99][4]~q\,
	datac => \led_flash_cnt[99][2]~q\,
	datad => \led_flash_cnt[99][1]~q\,
	combout => \WideAnd99~0_combout\);

-- Location: LCCOMB_X43_Y10_N6
WideAnd99 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd99~combout\ = (\WideAnd99~1_combout\ & (\led_flash_cnt[99][0]~q\ & (\led_flash_cnt[99][7]~q\ & \WideAnd99~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd99~1_combout\,
	datab => \led_flash_cnt[99][0]~q\,
	datac => \led_flash_cnt[99][7]~q\,
	datad => \WideAnd99~0_combout\,
	combout => \WideAnd99~combout\);

-- Location: FF_X43_Y10_N7
\led_flash_cnt_ands[99]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd99~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(99));

-- Location: LCCOMB_X4_Y15_N2
\led_flash_cnt[96][0]~80736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[96][0]~80736_combout\ = !\led_flash_cnt[96][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[96][0]~q\,
	combout => \led_flash_cnt[96][0]~80736_combout\);

-- Location: FF_X4_Y15_N3
\led_flash_cnt[96][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[96][0]~80736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[96][0]~q\);

-- Location: LCCOMB_X3_Y15_N0
\led_flash_cnt[96][1]~28224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[96][1]~28224_combout\ = (\led_flash_cnt[96][0]~q\ & (\led_flash_cnt[96][1]~q\ $ (VCC))) # (!\led_flash_cnt[96][0]~q\ & (\led_flash_cnt[96][1]~q\ & VCC))
-- \led_flash_cnt[96][1]~28225\ = CARRY((\led_flash_cnt[96][0]~q\ & \led_flash_cnt[96][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[96][0]~q\,
	datab => \led_flash_cnt[96][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[96][1]~28224_combout\,
	cout => \led_flash_cnt[96][1]~28225\);

-- Location: FF_X3_Y15_N1
\led_flash_cnt[96][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[96][1]~28224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[96][1]~q\);

-- Location: LCCOMB_X3_Y15_N2
\led_flash_cnt[96][2]~28226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[96][2]~28226_combout\ = (\led_flash_cnt[96][2]~q\ & (!\led_flash_cnt[96][1]~28225\)) # (!\led_flash_cnt[96][2]~q\ & ((\led_flash_cnt[96][1]~28225\) # (GND)))
-- \led_flash_cnt[96][2]~28227\ = CARRY((!\led_flash_cnt[96][1]~28225\) # (!\led_flash_cnt[96][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[96][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[96][1]~28225\,
	combout => \led_flash_cnt[96][2]~28226_combout\,
	cout => \led_flash_cnt[96][2]~28227\);

-- Location: FF_X3_Y15_N3
\led_flash_cnt[96][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[96][2]~28226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[96][2]~q\);

-- Location: LCCOMB_X3_Y15_N4
\led_flash_cnt[96][3]~28228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[96][3]~28228_combout\ = (\led_flash_cnt[96][3]~q\ & (\led_flash_cnt[96][2]~28227\ $ (GND))) # (!\led_flash_cnt[96][3]~q\ & (!\led_flash_cnt[96][2]~28227\ & VCC))
-- \led_flash_cnt[96][3]~28229\ = CARRY((\led_flash_cnt[96][3]~q\ & !\led_flash_cnt[96][2]~28227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[96][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[96][2]~28227\,
	combout => \led_flash_cnt[96][3]~28228_combout\,
	cout => \led_flash_cnt[96][3]~28229\);

-- Location: FF_X3_Y15_N5
\led_flash_cnt[96][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[96][3]~28228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[96][3]~q\);

-- Location: LCCOMB_X3_Y15_N6
\led_flash_cnt[96][4]~28230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[96][4]~28230_combout\ = (\led_flash_cnt[96][4]~q\ & (!\led_flash_cnt[96][3]~28229\)) # (!\led_flash_cnt[96][4]~q\ & ((\led_flash_cnt[96][3]~28229\) # (GND)))
-- \led_flash_cnt[96][4]~28231\ = CARRY((!\led_flash_cnt[96][3]~28229\) # (!\led_flash_cnt[96][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[96][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[96][3]~28229\,
	combout => \led_flash_cnt[96][4]~28230_combout\,
	cout => \led_flash_cnt[96][4]~28231\);

-- Location: FF_X3_Y15_N7
\led_flash_cnt[96][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[96][4]~28230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[96][4]~q\);

-- Location: LCCOMB_X3_Y15_N8
\led_flash_cnt[96][5]~28232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[96][5]~28232_combout\ = (\led_flash_cnt[96][5]~q\ & (\led_flash_cnt[96][4]~28231\ $ (GND))) # (!\led_flash_cnt[96][5]~q\ & (!\led_flash_cnt[96][4]~28231\ & VCC))
-- \led_flash_cnt[96][5]~28233\ = CARRY((\led_flash_cnt[96][5]~q\ & !\led_flash_cnt[96][4]~28231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[96][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[96][4]~28231\,
	combout => \led_flash_cnt[96][5]~28232_combout\,
	cout => \led_flash_cnt[96][5]~28233\);

-- Location: FF_X3_Y15_N9
\led_flash_cnt[96][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[96][5]~28232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[96][5]~q\);

-- Location: LCCOMB_X3_Y15_N10
\led_flash_cnt[96][6]~28234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[96][6]~28234_combout\ = (\led_flash_cnt[96][6]~q\ & (!\led_flash_cnt[96][5]~28233\)) # (!\led_flash_cnt[96][6]~q\ & ((\led_flash_cnt[96][5]~28233\) # (GND)))
-- \led_flash_cnt[96][6]~28235\ = CARRY((!\led_flash_cnt[96][5]~28233\) # (!\led_flash_cnt[96][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[96][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[96][5]~28233\,
	combout => \led_flash_cnt[96][6]~28234_combout\,
	cout => \led_flash_cnt[96][6]~28235\);

-- Location: FF_X3_Y15_N11
\led_flash_cnt[96][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[96][6]~28234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[96][6]~q\);

-- Location: LCCOMB_X3_Y15_N12
\led_flash_cnt[96][7]~28236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[96][7]~28236_combout\ = \led_flash_cnt[96][6]~28235\ $ (!\led_flash_cnt[96][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[96][7]~q\,
	cin => \led_flash_cnt[96][6]~28235\,
	combout => \led_flash_cnt[96][7]~28236_combout\);

-- Location: FF_X3_Y15_N13
\led_flash_cnt[96][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[96][7]~28236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[96][7]~q\);

-- Location: LCCOMB_X4_Y15_N28
\WideAnd96~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd96~1_combout\ = (\led_flash_cnt[96][6]~q\ & \led_flash_cnt[96][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[96][6]~q\,
	datad => \led_flash_cnt[96][5]~q\,
	combout => \WideAnd96~1_combout\);

-- Location: LCCOMB_X3_Y15_N16
\WideAnd96~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd96~0_combout\ = (\led_flash_cnt[96][4]~q\ & (\led_flash_cnt[96][2]~q\ & (\led_flash_cnt[96][3]~q\ & \led_flash_cnt[96][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[96][4]~q\,
	datab => \led_flash_cnt[96][2]~q\,
	datac => \led_flash_cnt[96][3]~q\,
	datad => \led_flash_cnt[96][1]~q\,
	combout => \WideAnd96~0_combout\);

-- Location: LCCOMB_X4_Y15_N24
WideAnd96 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd96~combout\ = (\led_flash_cnt[96][7]~q\ & (\WideAnd96~1_combout\ & (\WideAnd96~0_combout\ & \led_flash_cnt[96][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[96][7]~q\,
	datab => \WideAnd96~1_combout\,
	datac => \WideAnd96~0_combout\,
	datad => \led_flash_cnt[96][0]~q\,
	combout => \WideAnd96~combout\);

-- Location: FF_X4_Y15_N25
\led_flash_cnt_ands[96]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd96~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(96));

-- Location: LCCOMB_X13_Y22_N26
\led_flash_cnt[98][0]~80738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[98][0]~80738_combout\ = !\led_flash_cnt[98][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[98][0]~q\,
	combout => \led_flash_cnt[98][0]~80738_combout\);

-- Location: FF_X13_Y22_N27
\led_flash_cnt[98][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[98][0]~80738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[98][0]~q\);

-- Location: LCCOMB_X14_Y22_N18
\led_flash_cnt[98][1]~28252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[98][1]~28252_combout\ = (\led_flash_cnt[98][0]~q\ & (\led_flash_cnt[98][1]~q\ $ (VCC))) # (!\led_flash_cnt[98][0]~q\ & (\led_flash_cnt[98][1]~q\ & VCC))
-- \led_flash_cnt[98][1]~28253\ = CARRY((\led_flash_cnt[98][0]~q\ & \led_flash_cnt[98][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[98][0]~q\,
	datab => \led_flash_cnt[98][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[98][1]~28252_combout\,
	cout => \led_flash_cnt[98][1]~28253\);

-- Location: FF_X14_Y22_N19
\led_flash_cnt[98][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[98][1]~28252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[98][1]~q\);

-- Location: LCCOMB_X14_Y22_N20
\led_flash_cnt[98][2]~28254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[98][2]~28254_combout\ = (\led_flash_cnt[98][2]~q\ & (!\led_flash_cnt[98][1]~28253\)) # (!\led_flash_cnt[98][2]~q\ & ((\led_flash_cnt[98][1]~28253\) # (GND)))
-- \led_flash_cnt[98][2]~28255\ = CARRY((!\led_flash_cnt[98][1]~28253\) # (!\led_flash_cnt[98][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[98][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[98][1]~28253\,
	combout => \led_flash_cnt[98][2]~28254_combout\,
	cout => \led_flash_cnt[98][2]~28255\);

-- Location: FF_X14_Y22_N21
\led_flash_cnt[98][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[98][2]~28254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[98][2]~q\);

-- Location: LCCOMB_X14_Y22_N22
\led_flash_cnt[98][3]~28256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[98][3]~28256_combout\ = (\led_flash_cnt[98][3]~q\ & (\led_flash_cnt[98][2]~28255\ $ (GND))) # (!\led_flash_cnt[98][3]~q\ & (!\led_flash_cnt[98][2]~28255\ & VCC))
-- \led_flash_cnt[98][3]~28257\ = CARRY((\led_flash_cnt[98][3]~q\ & !\led_flash_cnt[98][2]~28255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[98][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[98][2]~28255\,
	combout => \led_flash_cnt[98][3]~28256_combout\,
	cout => \led_flash_cnt[98][3]~28257\);

-- Location: FF_X14_Y22_N23
\led_flash_cnt[98][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[98][3]~28256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[98][3]~q\);

-- Location: LCCOMB_X14_Y22_N24
\led_flash_cnt[98][4]~28258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[98][4]~28258_combout\ = (\led_flash_cnt[98][4]~q\ & (!\led_flash_cnt[98][3]~28257\)) # (!\led_flash_cnt[98][4]~q\ & ((\led_flash_cnt[98][3]~28257\) # (GND)))
-- \led_flash_cnt[98][4]~28259\ = CARRY((!\led_flash_cnt[98][3]~28257\) # (!\led_flash_cnt[98][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[98][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[98][3]~28257\,
	combout => \led_flash_cnt[98][4]~28258_combout\,
	cout => \led_flash_cnt[98][4]~28259\);

-- Location: FF_X14_Y22_N25
\led_flash_cnt[98][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[98][4]~28258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[98][4]~q\);

-- Location: LCCOMB_X14_Y22_N14
\WideAnd98~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd98~0_combout\ = (\led_flash_cnt[98][4]~q\ & (\led_flash_cnt[98][2]~q\ & (\led_flash_cnt[98][3]~q\ & \led_flash_cnt[98][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[98][4]~q\,
	datab => \led_flash_cnt[98][2]~q\,
	datac => \led_flash_cnt[98][3]~q\,
	datad => \led_flash_cnt[98][1]~q\,
	combout => \WideAnd98~0_combout\);

-- Location: LCCOMB_X14_Y22_N26
\led_flash_cnt[98][5]~28260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[98][5]~28260_combout\ = (\led_flash_cnt[98][5]~q\ & (\led_flash_cnt[98][4]~28259\ $ (GND))) # (!\led_flash_cnt[98][5]~q\ & (!\led_flash_cnt[98][4]~28259\ & VCC))
-- \led_flash_cnt[98][5]~28261\ = CARRY((\led_flash_cnt[98][5]~q\ & !\led_flash_cnt[98][4]~28259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[98][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[98][4]~28259\,
	combout => \led_flash_cnt[98][5]~28260_combout\,
	cout => \led_flash_cnt[98][5]~28261\);

-- Location: FF_X14_Y22_N27
\led_flash_cnt[98][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[98][5]~28260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[98][5]~q\);

-- Location: LCCOMB_X14_Y22_N28
\led_flash_cnt[98][6]~28262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[98][6]~28262_combout\ = (\led_flash_cnt[98][6]~q\ & (!\led_flash_cnt[98][5]~28261\)) # (!\led_flash_cnt[98][6]~q\ & ((\led_flash_cnt[98][5]~28261\) # (GND)))
-- \led_flash_cnt[98][6]~28263\ = CARRY((!\led_flash_cnt[98][5]~28261\) # (!\led_flash_cnt[98][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[98][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[98][5]~28261\,
	combout => \led_flash_cnt[98][6]~28262_combout\,
	cout => \led_flash_cnt[98][6]~28263\);

-- Location: FF_X14_Y22_N29
\led_flash_cnt[98][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[98][6]~28262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[98][6]~q\);

-- Location: LCCOMB_X14_Y22_N30
\led_flash_cnt[98][7]~28264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[98][7]~28264_combout\ = \led_flash_cnt[98][7]~q\ $ (!\led_flash_cnt[98][6]~28263\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[98][7]~q\,
	cin => \led_flash_cnt[98][6]~28263\,
	combout => \led_flash_cnt[98][7]~28264_combout\);

-- Location: FF_X14_Y22_N31
\led_flash_cnt[98][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[98][7]~28264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[98][7]~q\);

-- Location: LCCOMB_X13_Y22_N6
\WideAnd98~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd98~1_combout\ = (\led_flash_cnt[98][6]~q\ & \led_flash_cnt[98][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[98][6]~q\,
	datad => \led_flash_cnt[98][5]~q\,
	combout => \WideAnd98~1_combout\);

-- Location: LCCOMB_X13_Y22_N2
WideAnd98 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd98~combout\ = (\led_flash_cnt[98][0]~q\ & (\WideAnd98~0_combout\ & (\led_flash_cnt[98][7]~q\ & \WideAnd98~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[98][0]~q\,
	datab => \WideAnd98~0_combout\,
	datac => \led_flash_cnt[98][7]~q\,
	datad => \WideAnd98~1_combout\,
	combout => \WideAnd98~combout\);

-- Location: FF_X13_Y22_N3
\led_flash_cnt_ands[98]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd98~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(98));

-- Location: LCCOMB_X47_Y15_N22
\WideAnd3852~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3852~0_combout\ = (led_flash_cnt_ands(97) & (led_flash_cnt_ands(99) & (led_flash_cnt_ands(96) & led_flash_cnt_ands(98))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(97),
	datab => led_flash_cnt_ands(99),
	datac => led_flash_cnt_ands(96),
	datad => led_flash_cnt_ands(98),
	combout => \WideAnd3852~0_combout\);

-- Location: LCCOMB_X51_Y18_N6
\led_flash_cnt[103][0]~80743\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[103][0]~80743_combout\ = !\led_flash_cnt[103][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[103][0]~q\,
	combout => \led_flash_cnt[103][0]~80743_combout\);

-- Location: FF_X51_Y18_N7
\led_flash_cnt[103][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[103][0]~80743_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[103][0]~q\);

-- Location: LCCOMB_X51_Y18_N8
\led_flash_cnt[103][1]~28322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[103][1]~28322_combout\ = (\led_flash_cnt[103][0]~q\ & (\led_flash_cnt[103][1]~q\ $ (VCC))) # (!\led_flash_cnt[103][0]~q\ & (\led_flash_cnt[103][1]~q\ & VCC))
-- \led_flash_cnt[103][1]~28323\ = CARRY((\led_flash_cnt[103][0]~q\ & \led_flash_cnt[103][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[103][0]~q\,
	datab => \led_flash_cnt[103][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[103][1]~28322_combout\,
	cout => \led_flash_cnt[103][1]~28323\);

-- Location: FF_X51_Y18_N9
\led_flash_cnt[103][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[103][1]~28322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[103][1]~q\);

-- Location: LCCOMB_X51_Y18_N10
\led_flash_cnt[103][2]~28324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[103][2]~28324_combout\ = (\led_flash_cnt[103][2]~q\ & (!\led_flash_cnt[103][1]~28323\)) # (!\led_flash_cnt[103][2]~q\ & ((\led_flash_cnt[103][1]~28323\) # (GND)))
-- \led_flash_cnt[103][2]~28325\ = CARRY((!\led_flash_cnt[103][1]~28323\) # (!\led_flash_cnt[103][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[103][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[103][1]~28323\,
	combout => \led_flash_cnt[103][2]~28324_combout\,
	cout => \led_flash_cnt[103][2]~28325\);

-- Location: FF_X51_Y18_N11
\led_flash_cnt[103][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[103][2]~28324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[103][2]~q\);

-- Location: LCCOMB_X51_Y18_N12
\led_flash_cnt[103][3]~28326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[103][3]~28326_combout\ = (\led_flash_cnt[103][3]~q\ & (\led_flash_cnt[103][2]~28325\ $ (GND))) # (!\led_flash_cnt[103][3]~q\ & (!\led_flash_cnt[103][2]~28325\ & VCC))
-- \led_flash_cnt[103][3]~28327\ = CARRY((\led_flash_cnt[103][3]~q\ & !\led_flash_cnt[103][2]~28325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[103][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[103][2]~28325\,
	combout => \led_flash_cnt[103][3]~28326_combout\,
	cout => \led_flash_cnt[103][3]~28327\);

-- Location: FF_X51_Y18_N13
\led_flash_cnt[103][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[103][3]~28326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[103][3]~q\);

-- Location: LCCOMB_X51_Y18_N14
\led_flash_cnt[103][4]~28328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[103][4]~28328_combout\ = (\led_flash_cnt[103][4]~q\ & (!\led_flash_cnt[103][3]~28327\)) # (!\led_flash_cnt[103][4]~q\ & ((\led_flash_cnt[103][3]~28327\) # (GND)))
-- \led_flash_cnt[103][4]~28329\ = CARRY((!\led_flash_cnt[103][3]~28327\) # (!\led_flash_cnt[103][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[103][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[103][3]~28327\,
	combout => \led_flash_cnt[103][4]~28328_combout\,
	cout => \led_flash_cnt[103][4]~28329\);

-- Location: FF_X51_Y18_N15
\led_flash_cnt[103][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[103][4]~28328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[103][4]~q\);

-- Location: LCCOMB_X51_Y18_N16
\led_flash_cnt[103][5]~28330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[103][5]~28330_combout\ = (\led_flash_cnt[103][5]~q\ & (\led_flash_cnt[103][4]~28329\ $ (GND))) # (!\led_flash_cnt[103][5]~q\ & (!\led_flash_cnt[103][4]~28329\ & VCC))
-- \led_flash_cnt[103][5]~28331\ = CARRY((\led_flash_cnt[103][5]~q\ & !\led_flash_cnt[103][4]~28329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[103][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[103][4]~28329\,
	combout => \led_flash_cnt[103][5]~28330_combout\,
	cout => \led_flash_cnt[103][5]~28331\);

-- Location: FF_X51_Y18_N17
\led_flash_cnt[103][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[103][5]~28330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[103][5]~q\);

-- Location: LCCOMB_X51_Y18_N18
\led_flash_cnt[103][6]~28332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[103][6]~28332_combout\ = (\led_flash_cnt[103][6]~q\ & (!\led_flash_cnt[103][5]~28331\)) # (!\led_flash_cnt[103][6]~q\ & ((\led_flash_cnt[103][5]~28331\) # (GND)))
-- \led_flash_cnt[103][6]~28333\ = CARRY((!\led_flash_cnt[103][5]~28331\) # (!\led_flash_cnt[103][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[103][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[103][5]~28331\,
	combout => \led_flash_cnt[103][6]~28332_combout\,
	cout => \led_flash_cnt[103][6]~28333\);

-- Location: FF_X51_Y18_N19
\led_flash_cnt[103][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[103][6]~28332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[103][6]~q\);

-- Location: LCCOMB_X51_Y18_N20
\led_flash_cnt[103][7]~28334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[103][7]~28334_combout\ = \led_flash_cnt[103][6]~28333\ $ (!\led_flash_cnt[103][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[103][7]~q\,
	cin => \led_flash_cnt[103][6]~28333\,
	combout => \led_flash_cnt[103][7]~28334_combout\);

-- Location: FF_X51_Y18_N21
\led_flash_cnt[103][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[103][7]~28334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[103][7]~q\);

-- Location: LCCOMB_X51_Y18_N22
\WideAnd103~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd103~1_combout\ = (\led_flash_cnt[103][5]~q\ & \led_flash_cnt[103][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[103][5]~q\,
	datac => \led_flash_cnt[103][6]~q\,
	combout => \WideAnd103~1_combout\);

-- Location: LCCOMB_X51_Y18_N24
\WideAnd103~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd103~0_combout\ = (\led_flash_cnt[103][3]~q\ & (\led_flash_cnt[103][1]~q\ & (\led_flash_cnt[103][4]~q\ & \led_flash_cnt[103][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[103][3]~q\,
	datab => \led_flash_cnt[103][1]~q\,
	datac => \led_flash_cnt[103][4]~q\,
	datad => \led_flash_cnt[103][2]~q\,
	combout => \WideAnd103~0_combout\);

-- Location: LCCOMB_X51_Y18_N0
WideAnd103 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd103~combout\ = (\led_flash_cnt[103][0]~q\ & (\led_flash_cnt[103][7]~q\ & (\WideAnd103~1_combout\ & \WideAnd103~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[103][0]~q\,
	datab => \led_flash_cnt[103][7]~q\,
	datac => \WideAnd103~1_combout\,
	datad => \WideAnd103~0_combout\,
	combout => \WideAnd103~combout\);

-- Location: FF_X51_Y18_N1
\led_flash_cnt_ands[103]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd103~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(103));

-- Location: LCCOMB_X51_Y18_N26
WideAnd3852 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3852~combout\ = (led_flash_cnt_ands(102) & (\WideAnd3852~1_combout\ & (\WideAnd3852~0_combout\ & led_flash_cnt_ands(103))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(102),
	datab => \WideAnd3852~1_combout\,
	datac => \WideAnd3852~0_combout\,
	datad => led_flash_cnt_ands(103),
	combout => \WideAnd3852~combout\);

-- Location: FF_X51_Y18_N27
\led_flash_cnt_ands_1[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3852~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(12));

-- Location: LCCOMB_X51_Y18_N2
\WideAnd4321~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4321~1_combout\ = (led_flash_cnt_ands_1(13) & led_flash_cnt_ands_1(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands_1(13),
	datac => led_flash_cnt_ands_1(12),
	combout => \WideAnd4321~1_combout\);

-- Location: LCCOMB_X52_Y18_N28
WideAnd4321 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4321~combout\ = (led_flash_cnt_ands_1(15) & (led_flash_cnt_ands_1(14) & (\WideAnd4321~0_combout\ & \WideAnd4321~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(15),
	datab => led_flash_cnt_ands_1(14),
	datac => \WideAnd4321~0_combout\,
	datad => \WideAnd4321~1_combout\,
	combout => \WideAnd4321~combout\);

-- Location: FF_X52_Y18_N29
\led_flash_cnt_ands_2[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4321~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(1));

-- Location: LCCOMB_X57_Y39_N2
\led_flash_cnt[249][0]~80892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[249][0]~80892_combout\ = !\led_flash_cnt[249][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[249][0]~q\,
	combout => \led_flash_cnt[249][0]~80892_combout\);

-- Location: FF_X57_Y39_N3
\led_flash_cnt[249][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[249][0]~80892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[249][0]~q\);

-- Location: LCCOMB_X57_Y38_N4
\led_flash_cnt[249][1]~30408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[249][1]~30408_combout\ = (\led_flash_cnt[249][0]~q\ & (\led_flash_cnt[249][1]~q\ $ (VCC))) # (!\led_flash_cnt[249][0]~q\ & (\led_flash_cnt[249][1]~q\ & VCC))
-- \led_flash_cnt[249][1]~30409\ = CARRY((\led_flash_cnt[249][0]~q\ & \led_flash_cnt[249][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[249][0]~q\,
	datab => \led_flash_cnt[249][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[249][1]~30408_combout\,
	cout => \led_flash_cnt[249][1]~30409\);

-- Location: FF_X57_Y38_N5
\led_flash_cnt[249][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[249][1]~30408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[249][1]~q\);

-- Location: LCCOMB_X57_Y38_N6
\led_flash_cnt[249][2]~30410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[249][2]~30410_combout\ = (\led_flash_cnt[249][2]~q\ & (!\led_flash_cnt[249][1]~30409\)) # (!\led_flash_cnt[249][2]~q\ & ((\led_flash_cnt[249][1]~30409\) # (GND)))
-- \led_flash_cnt[249][2]~30411\ = CARRY((!\led_flash_cnt[249][1]~30409\) # (!\led_flash_cnt[249][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[249][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[249][1]~30409\,
	combout => \led_flash_cnt[249][2]~30410_combout\,
	cout => \led_flash_cnt[249][2]~30411\);

-- Location: FF_X57_Y38_N7
\led_flash_cnt[249][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[249][2]~30410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[249][2]~q\);

-- Location: LCCOMB_X57_Y38_N8
\led_flash_cnt[249][3]~30412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[249][3]~30412_combout\ = (\led_flash_cnt[249][3]~q\ & (\led_flash_cnt[249][2]~30411\ $ (GND))) # (!\led_flash_cnt[249][3]~q\ & (!\led_flash_cnt[249][2]~30411\ & VCC))
-- \led_flash_cnt[249][3]~30413\ = CARRY((\led_flash_cnt[249][3]~q\ & !\led_flash_cnt[249][2]~30411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[249][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[249][2]~30411\,
	combout => \led_flash_cnt[249][3]~30412_combout\,
	cout => \led_flash_cnt[249][3]~30413\);

-- Location: FF_X57_Y38_N9
\led_flash_cnt[249][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[249][3]~30412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[249][3]~q\);

-- Location: LCCOMB_X57_Y38_N10
\led_flash_cnt[249][4]~30414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[249][4]~30414_combout\ = (\led_flash_cnt[249][4]~q\ & (!\led_flash_cnt[249][3]~30413\)) # (!\led_flash_cnt[249][4]~q\ & ((\led_flash_cnt[249][3]~30413\) # (GND)))
-- \led_flash_cnt[249][4]~30415\ = CARRY((!\led_flash_cnt[249][3]~30413\) # (!\led_flash_cnt[249][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[249][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[249][3]~30413\,
	combout => \led_flash_cnt[249][4]~30414_combout\,
	cout => \led_flash_cnt[249][4]~30415\);

-- Location: FF_X57_Y38_N11
\led_flash_cnt[249][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[249][4]~30414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[249][4]~q\);

-- Location: LCCOMB_X57_Y38_N2
\WideAnd249~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd249~0_combout\ = (\led_flash_cnt[249][4]~q\ & (\led_flash_cnt[249][3]~q\ & (\led_flash_cnt[249][1]~q\ & \led_flash_cnt[249][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[249][4]~q\,
	datab => \led_flash_cnt[249][3]~q\,
	datac => \led_flash_cnt[249][1]~q\,
	datad => \led_flash_cnt[249][2]~q\,
	combout => \WideAnd249~0_combout\);

-- Location: LCCOMB_X57_Y38_N12
\led_flash_cnt[249][5]~30416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[249][5]~30416_combout\ = (\led_flash_cnt[249][5]~q\ & (\led_flash_cnt[249][4]~30415\ $ (GND))) # (!\led_flash_cnt[249][5]~q\ & (!\led_flash_cnt[249][4]~30415\ & VCC))
-- \led_flash_cnt[249][5]~30417\ = CARRY((\led_flash_cnt[249][5]~q\ & !\led_flash_cnt[249][4]~30415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[249][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[249][4]~30415\,
	combout => \led_flash_cnt[249][5]~30416_combout\,
	cout => \led_flash_cnt[249][5]~30417\);

-- Location: FF_X57_Y38_N13
\led_flash_cnt[249][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[249][5]~30416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[249][5]~q\);

-- Location: LCCOMB_X57_Y38_N14
\led_flash_cnt[249][6]~30418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[249][6]~30418_combout\ = (\led_flash_cnt[249][6]~q\ & (!\led_flash_cnt[249][5]~30417\)) # (!\led_flash_cnt[249][6]~q\ & ((\led_flash_cnt[249][5]~30417\) # (GND)))
-- \led_flash_cnt[249][6]~30419\ = CARRY((!\led_flash_cnt[249][5]~30417\) # (!\led_flash_cnt[249][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[249][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[249][5]~30417\,
	combout => \led_flash_cnt[249][6]~30418_combout\,
	cout => \led_flash_cnt[249][6]~30419\);

-- Location: FF_X57_Y38_N15
\led_flash_cnt[249][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[249][6]~30418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[249][6]~q\);

-- Location: LCCOMB_X57_Y38_N16
\led_flash_cnt[249][7]~30420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[249][7]~30420_combout\ = \led_flash_cnt[249][6]~30419\ $ (!\led_flash_cnt[249][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[249][7]~q\,
	cin => \led_flash_cnt[249][6]~30419\,
	combout => \led_flash_cnt[249][7]~30420_combout\);

-- Location: FF_X57_Y38_N17
\led_flash_cnt[249][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[249][7]~30420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[249][7]~q\);

-- Location: LCCOMB_X57_Y39_N4
\WideAnd249~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd249~1_combout\ = (\led_flash_cnt[249][5]~q\ & \led_flash_cnt[249][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[249][5]~q\,
	datad => \led_flash_cnt[249][6]~q\,
	combout => \WideAnd249~1_combout\);

-- Location: LCCOMB_X57_Y39_N26
WideAnd249 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd249~combout\ = (\WideAnd249~0_combout\ & (\led_flash_cnt[249][7]~q\ & (\WideAnd249~1_combout\ & \led_flash_cnt[249][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd249~0_combout\,
	datab => \led_flash_cnt[249][7]~q\,
	datac => \WideAnd249~1_combout\,
	datad => \led_flash_cnt[249][0]~q\,
	combout => \WideAnd249~combout\);

-- Location: FF_X57_Y39_N27
\led_flash_cnt_ands[249]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd249~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(249));

-- Location: LCCOMB_X60_Y39_N24
\led_flash_cnt[252][0]~80891\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[252][0]~80891_combout\ = !\led_flash_cnt[252][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[252][0]~q\,
	combout => \led_flash_cnt[252][0]~80891_combout\);

-- Location: FF_X60_Y39_N25
\led_flash_cnt[252][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[252][0]~80891_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[252][0]~q\);

-- Location: LCCOMB_X58_Y39_N2
\led_flash_cnt[252][1]~30394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[252][1]~30394_combout\ = (\led_flash_cnt[252][0]~q\ & (\led_flash_cnt[252][1]~q\ $ (VCC))) # (!\led_flash_cnt[252][0]~q\ & (\led_flash_cnt[252][1]~q\ & VCC))
-- \led_flash_cnt[252][1]~30395\ = CARRY((\led_flash_cnt[252][0]~q\ & \led_flash_cnt[252][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[252][0]~q\,
	datab => \led_flash_cnt[252][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[252][1]~30394_combout\,
	cout => \led_flash_cnt[252][1]~30395\);

-- Location: FF_X58_Y39_N3
\led_flash_cnt[252][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[252][1]~30394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[252][1]~q\);

-- Location: LCCOMB_X58_Y39_N4
\led_flash_cnt[252][2]~30396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[252][2]~30396_combout\ = (\led_flash_cnt[252][2]~q\ & (!\led_flash_cnt[252][1]~30395\)) # (!\led_flash_cnt[252][2]~q\ & ((\led_flash_cnt[252][1]~30395\) # (GND)))
-- \led_flash_cnt[252][2]~30397\ = CARRY((!\led_flash_cnt[252][1]~30395\) # (!\led_flash_cnt[252][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[252][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[252][1]~30395\,
	combout => \led_flash_cnt[252][2]~30396_combout\,
	cout => \led_flash_cnt[252][2]~30397\);

-- Location: FF_X58_Y39_N5
\led_flash_cnt[252][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[252][2]~30396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[252][2]~q\);

-- Location: LCCOMB_X58_Y39_N6
\led_flash_cnt[252][3]~30398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[252][3]~30398_combout\ = (\led_flash_cnt[252][3]~q\ & (\led_flash_cnt[252][2]~30397\ $ (GND))) # (!\led_flash_cnt[252][3]~q\ & (!\led_flash_cnt[252][2]~30397\ & VCC))
-- \led_flash_cnt[252][3]~30399\ = CARRY((\led_flash_cnt[252][3]~q\ & !\led_flash_cnt[252][2]~30397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[252][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[252][2]~30397\,
	combout => \led_flash_cnt[252][3]~30398_combout\,
	cout => \led_flash_cnt[252][3]~30399\);

-- Location: FF_X58_Y39_N7
\led_flash_cnt[252][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[252][3]~30398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[252][3]~q\);

-- Location: LCCOMB_X58_Y39_N8
\led_flash_cnt[252][4]~30400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[252][4]~30400_combout\ = (\led_flash_cnt[252][4]~q\ & (!\led_flash_cnt[252][3]~30399\)) # (!\led_flash_cnt[252][4]~q\ & ((\led_flash_cnt[252][3]~30399\) # (GND)))
-- \led_flash_cnt[252][4]~30401\ = CARRY((!\led_flash_cnt[252][3]~30399\) # (!\led_flash_cnt[252][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[252][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[252][3]~30399\,
	combout => \led_flash_cnt[252][4]~30400_combout\,
	cout => \led_flash_cnt[252][4]~30401\);

-- Location: FF_X58_Y39_N9
\led_flash_cnt[252][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[252][4]~30400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[252][4]~q\);

-- Location: LCCOMB_X58_Y39_N10
\led_flash_cnt[252][5]~30402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[252][5]~30402_combout\ = (\led_flash_cnt[252][5]~q\ & (\led_flash_cnt[252][4]~30401\ $ (GND))) # (!\led_flash_cnt[252][5]~q\ & (!\led_flash_cnt[252][4]~30401\ & VCC))
-- \led_flash_cnt[252][5]~30403\ = CARRY((\led_flash_cnt[252][5]~q\ & !\led_flash_cnt[252][4]~30401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[252][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[252][4]~30401\,
	combout => \led_flash_cnt[252][5]~30402_combout\,
	cout => \led_flash_cnt[252][5]~30403\);

-- Location: FF_X58_Y39_N11
\led_flash_cnt[252][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[252][5]~30402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[252][5]~q\);

-- Location: LCCOMB_X58_Y39_N12
\led_flash_cnt[252][6]~30404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[252][6]~30404_combout\ = (\led_flash_cnt[252][6]~q\ & (!\led_flash_cnt[252][5]~30403\)) # (!\led_flash_cnt[252][6]~q\ & ((\led_flash_cnt[252][5]~30403\) # (GND)))
-- \led_flash_cnt[252][6]~30405\ = CARRY((!\led_flash_cnt[252][5]~30403\) # (!\led_flash_cnt[252][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[252][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[252][5]~30403\,
	combout => \led_flash_cnt[252][6]~30404_combout\,
	cout => \led_flash_cnt[252][6]~30405\);

-- Location: FF_X58_Y39_N13
\led_flash_cnt[252][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[252][6]~30404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[252][6]~q\);

-- Location: LCCOMB_X57_Y39_N28
\WideAnd252~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd252~1_combout\ = (\led_flash_cnt[252][5]~q\ & \led_flash_cnt[252][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[252][5]~q\,
	datac => \led_flash_cnt[252][6]~q\,
	combout => \WideAnd252~1_combout\);

-- Location: LCCOMB_X58_Y39_N14
\led_flash_cnt[252][7]~30406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[252][7]~30406_combout\ = \led_flash_cnt[252][7]~q\ $ (!\led_flash_cnt[252][6]~30405\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[252][7]~q\,
	cin => \led_flash_cnt[252][6]~30405\,
	combout => \led_flash_cnt[252][7]~30406_combout\);

-- Location: FF_X58_Y39_N15
\led_flash_cnt[252][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[252][7]~30406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[252][7]~q\);

-- Location: LCCOMB_X58_Y39_N16
\WideAnd252~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd252~0_combout\ = (\led_flash_cnt[252][3]~q\ & (\led_flash_cnt[252][4]~q\ & (\led_flash_cnt[252][2]~q\ & \led_flash_cnt[252][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[252][3]~q\,
	datab => \led_flash_cnt[252][4]~q\,
	datac => \led_flash_cnt[252][2]~q\,
	datad => \led_flash_cnt[252][1]~q\,
	combout => \WideAnd252~0_combout\);

-- Location: LCCOMB_X57_Y39_N0
WideAnd252 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd252~combout\ = (\led_flash_cnt[252][0]~q\ & (\WideAnd252~1_combout\ & (\led_flash_cnt[252][7]~q\ & \WideAnd252~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[252][0]~q\,
	datab => \WideAnd252~1_combout\,
	datac => \led_flash_cnt[252][7]~q\,
	datad => \WideAnd252~0_combout\,
	combout => \WideAnd252~combout\);

-- Location: FF_X57_Y39_N1
\led_flash_cnt_ands[252]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd252~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(252));

-- Location: LCCOMB_X59_Y39_N30
\led_flash_cnt[251][0]~80893\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[251][0]~80893_combout\ = !\led_flash_cnt[251][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[251][0]~q\,
	combout => \led_flash_cnt[251][0]~80893_combout\);

-- Location: FF_X59_Y39_N31
\led_flash_cnt[251][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[251][0]~80893_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[251][0]~q\);

-- Location: LCCOMB_X57_Y39_N6
\led_flash_cnt[251][1]~30422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[251][1]~30422_combout\ = (\led_flash_cnt[251][1]~q\ & (\led_flash_cnt[251][0]~q\ $ (VCC))) # (!\led_flash_cnt[251][1]~q\ & (\led_flash_cnt[251][0]~q\ & VCC))
-- \led_flash_cnt[251][1]~30423\ = CARRY((\led_flash_cnt[251][1]~q\ & \led_flash_cnt[251][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[251][1]~q\,
	datab => \led_flash_cnt[251][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[251][1]~30422_combout\,
	cout => \led_flash_cnt[251][1]~30423\);

-- Location: FF_X57_Y39_N7
\led_flash_cnt[251][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[251][1]~30422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[251][1]~q\);

-- Location: LCCOMB_X57_Y39_N8
\led_flash_cnt[251][2]~30424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[251][2]~30424_combout\ = (\led_flash_cnt[251][2]~q\ & (!\led_flash_cnt[251][1]~30423\)) # (!\led_flash_cnt[251][2]~q\ & ((\led_flash_cnt[251][1]~30423\) # (GND)))
-- \led_flash_cnt[251][2]~30425\ = CARRY((!\led_flash_cnt[251][1]~30423\) # (!\led_flash_cnt[251][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[251][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[251][1]~30423\,
	combout => \led_flash_cnt[251][2]~30424_combout\,
	cout => \led_flash_cnt[251][2]~30425\);

-- Location: FF_X57_Y39_N9
\led_flash_cnt[251][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[251][2]~30424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[251][2]~q\);

-- Location: LCCOMB_X57_Y39_N10
\led_flash_cnt[251][3]~30426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[251][3]~30426_combout\ = (\led_flash_cnt[251][3]~q\ & (\led_flash_cnt[251][2]~30425\ $ (GND))) # (!\led_flash_cnt[251][3]~q\ & (!\led_flash_cnt[251][2]~30425\ & VCC))
-- \led_flash_cnt[251][3]~30427\ = CARRY((\led_flash_cnt[251][3]~q\ & !\led_flash_cnt[251][2]~30425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[251][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[251][2]~30425\,
	combout => \led_flash_cnt[251][3]~30426_combout\,
	cout => \led_flash_cnt[251][3]~30427\);

-- Location: FF_X57_Y39_N11
\led_flash_cnt[251][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[251][3]~30426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[251][3]~q\);

-- Location: LCCOMB_X57_Y39_N12
\led_flash_cnt[251][4]~30428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[251][4]~30428_combout\ = (\led_flash_cnt[251][4]~q\ & (!\led_flash_cnt[251][3]~30427\)) # (!\led_flash_cnt[251][4]~q\ & ((\led_flash_cnt[251][3]~30427\) # (GND)))
-- \led_flash_cnt[251][4]~30429\ = CARRY((!\led_flash_cnt[251][3]~30427\) # (!\led_flash_cnt[251][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[251][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[251][3]~30427\,
	combout => \led_flash_cnt[251][4]~30428_combout\,
	cout => \led_flash_cnt[251][4]~30429\);

-- Location: FF_X57_Y39_N13
\led_flash_cnt[251][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[251][4]~30428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[251][4]~q\);

-- Location: LCCOMB_X57_Y39_N14
\led_flash_cnt[251][5]~30430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[251][5]~30430_combout\ = (\led_flash_cnt[251][5]~q\ & (\led_flash_cnt[251][4]~30429\ $ (GND))) # (!\led_flash_cnt[251][5]~q\ & (!\led_flash_cnt[251][4]~30429\ & VCC))
-- \led_flash_cnt[251][5]~30431\ = CARRY((\led_flash_cnt[251][5]~q\ & !\led_flash_cnt[251][4]~30429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[251][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[251][4]~30429\,
	combout => \led_flash_cnt[251][5]~30430_combout\,
	cout => \led_flash_cnt[251][5]~30431\);

-- Location: FF_X57_Y39_N15
\led_flash_cnt[251][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[251][5]~30430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[251][5]~q\);

-- Location: LCCOMB_X57_Y39_N16
\led_flash_cnt[251][6]~30432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[251][6]~30432_combout\ = (\led_flash_cnt[251][6]~q\ & (!\led_flash_cnt[251][5]~30431\)) # (!\led_flash_cnt[251][6]~q\ & ((\led_flash_cnt[251][5]~30431\) # (GND)))
-- \led_flash_cnt[251][6]~30433\ = CARRY((!\led_flash_cnt[251][5]~30431\) # (!\led_flash_cnt[251][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[251][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[251][5]~30431\,
	combout => \led_flash_cnt[251][6]~30432_combout\,
	cout => \led_flash_cnt[251][6]~30433\);

-- Location: FF_X57_Y39_N17
\led_flash_cnt[251][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[251][6]~30432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[251][6]~q\);

-- Location: LCCOMB_X57_Y39_N18
\led_flash_cnt[251][7]~30434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[251][7]~30434_combout\ = \led_flash_cnt[251][6]~30433\ $ (!\led_flash_cnt[251][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[251][7]~q\,
	cin => \led_flash_cnt[251][6]~30433\,
	combout => \led_flash_cnt[251][7]~30434_combout\);

-- Location: FF_X57_Y39_N19
\led_flash_cnt[251][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[251][7]~30434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[251][7]~q\);

-- Location: LCCOMB_X57_Y39_N22
\WideAnd251~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd251~1_combout\ = (\led_flash_cnt[251][0]~q\ & \led_flash_cnt[251][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[251][0]~q\,
	datad => \led_flash_cnt[251][7]~q\,
	combout => \WideAnd251~1_combout\);

-- Location: LCCOMB_X57_Y39_N20
\WideAnd251~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd251~0_combout\ = (\led_flash_cnt[251][4]~q\ & (\led_flash_cnt[251][1]~q\ & (\led_flash_cnt[251][2]~q\ & \led_flash_cnt[251][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[251][4]~q\,
	datab => \led_flash_cnt[251][1]~q\,
	datac => \led_flash_cnt[251][2]~q\,
	datad => \led_flash_cnt[251][3]~q\,
	combout => \WideAnd251~0_combout\);

-- Location: LCCOMB_X57_Y39_N30
WideAnd251 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd251~combout\ = (\WideAnd251~1_combout\ & (\WideAnd251~0_combout\ & (\led_flash_cnt[251][5]~q\ & \led_flash_cnt[251][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd251~1_combout\,
	datab => \WideAnd251~0_combout\,
	datac => \led_flash_cnt[251][5]~q\,
	datad => \led_flash_cnt[251][6]~q\,
	combout => \WideAnd251~combout\);

-- Location: FF_X57_Y39_N31
\led_flash_cnt_ands[251]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd251~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(251));

-- Location: LCCOMB_X58_Y38_N26
\led_flash_cnt[255][0]~80890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[255][0]~80890_combout\ = !\led_flash_cnt[255][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[255][0]~q\,
	combout => \led_flash_cnt[255][0]~80890_combout\);

-- Location: FF_X58_Y38_N27
\led_flash_cnt[255][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[255][0]~80890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[255][0]~q\);

-- Location: LCCOMB_X59_Y38_N18
\led_flash_cnt[255][1]~30380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[255][1]~30380_combout\ = (\led_flash_cnt[255][0]~q\ & (\led_flash_cnt[255][1]~q\ $ (VCC))) # (!\led_flash_cnt[255][0]~q\ & (\led_flash_cnt[255][1]~q\ & VCC))
-- \led_flash_cnt[255][1]~30381\ = CARRY((\led_flash_cnt[255][0]~q\ & \led_flash_cnt[255][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[255][0]~q\,
	datab => \led_flash_cnt[255][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[255][1]~30380_combout\,
	cout => \led_flash_cnt[255][1]~30381\);

-- Location: FF_X59_Y38_N19
\led_flash_cnt[255][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[255][1]~30380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[255][1]~q\);

-- Location: LCCOMB_X59_Y38_N20
\led_flash_cnt[255][2]~30382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[255][2]~30382_combout\ = (\led_flash_cnt[255][2]~q\ & (!\led_flash_cnt[255][1]~30381\)) # (!\led_flash_cnt[255][2]~q\ & ((\led_flash_cnt[255][1]~30381\) # (GND)))
-- \led_flash_cnt[255][2]~30383\ = CARRY((!\led_flash_cnt[255][1]~30381\) # (!\led_flash_cnt[255][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[255][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[255][1]~30381\,
	combout => \led_flash_cnt[255][2]~30382_combout\,
	cout => \led_flash_cnt[255][2]~30383\);

-- Location: FF_X59_Y38_N21
\led_flash_cnt[255][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[255][2]~30382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[255][2]~q\);

-- Location: LCCOMB_X59_Y38_N22
\led_flash_cnt[255][3]~30384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[255][3]~30384_combout\ = (\led_flash_cnt[255][3]~q\ & (\led_flash_cnt[255][2]~30383\ $ (GND))) # (!\led_flash_cnt[255][3]~q\ & (!\led_flash_cnt[255][2]~30383\ & VCC))
-- \led_flash_cnt[255][3]~30385\ = CARRY((\led_flash_cnt[255][3]~q\ & !\led_flash_cnt[255][2]~30383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[255][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[255][2]~30383\,
	combout => \led_flash_cnt[255][3]~30384_combout\,
	cout => \led_flash_cnt[255][3]~30385\);

-- Location: FF_X59_Y38_N23
\led_flash_cnt[255][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[255][3]~30384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[255][3]~q\);

-- Location: LCCOMB_X59_Y38_N24
\led_flash_cnt[255][4]~30386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[255][4]~30386_combout\ = (\led_flash_cnt[255][4]~q\ & (!\led_flash_cnt[255][3]~30385\)) # (!\led_flash_cnt[255][4]~q\ & ((\led_flash_cnt[255][3]~30385\) # (GND)))
-- \led_flash_cnt[255][4]~30387\ = CARRY((!\led_flash_cnt[255][3]~30385\) # (!\led_flash_cnt[255][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[255][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[255][3]~30385\,
	combout => \led_flash_cnt[255][4]~30386_combout\,
	cout => \led_flash_cnt[255][4]~30387\);

-- Location: FF_X59_Y38_N25
\led_flash_cnt[255][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[255][4]~30386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[255][4]~q\);

-- Location: LCCOMB_X59_Y38_N26
\led_flash_cnt[255][5]~30388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[255][5]~30388_combout\ = (\led_flash_cnt[255][5]~q\ & (\led_flash_cnt[255][4]~30387\ $ (GND))) # (!\led_flash_cnt[255][5]~q\ & (!\led_flash_cnt[255][4]~30387\ & VCC))
-- \led_flash_cnt[255][5]~30389\ = CARRY((\led_flash_cnt[255][5]~q\ & !\led_flash_cnt[255][4]~30387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[255][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[255][4]~30387\,
	combout => \led_flash_cnt[255][5]~30388_combout\,
	cout => \led_flash_cnt[255][5]~30389\);

-- Location: FF_X59_Y38_N27
\led_flash_cnt[255][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[255][5]~30388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[255][5]~q\);

-- Location: LCCOMB_X59_Y38_N28
\led_flash_cnt[255][6]~30390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[255][6]~30390_combout\ = (\led_flash_cnt[255][6]~q\ & (!\led_flash_cnt[255][5]~30389\)) # (!\led_flash_cnt[255][6]~q\ & ((\led_flash_cnt[255][5]~30389\) # (GND)))
-- \led_flash_cnt[255][6]~30391\ = CARRY((!\led_flash_cnt[255][5]~30389\) # (!\led_flash_cnt[255][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[255][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[255][5]~30389\,
	combout => \led_flash_cnt[255][6]~30390_combout\,
	cout => \led_flash_cnt[255][6]~30391\);

-- Location: FF_X59_Y38_N29
\led_flash_cnt[255][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[255][6]~30390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[255][6]~q\);

-- Location: LCCOMB_X58_Y38_N20
\WideAnd255~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd255~1_combout\ = (\led_flash_cnt[255][6]~q\ & \led_flash_cnt[255][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[255][6]~q\,
	datad => \led_flash_cnt[255][5]~q\,
	combout => \WideAnd255~1_combout\);

-- Location: LCCOMB_X59_Y38_N30
\led_flash_cnt[255][7]~30392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[255][7]~30392_combout\ = \led_flash_cnt[255][7]~q\ $ (!\led_flash_cnt[255][6]~30391\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[255][7]~q\,
	cin => \led_flash_cnt[255][6]~30391\,
	combout => \led_flash_cnt[255][7]~30392_combout\);

-- Location: FF_X59_Y38_N31
\led_flash_cnt[255][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[255][7]~30392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[255][7]~q\);

-- Location: LCCOMB_X59_Y38_N2
\WideAnd255~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd255~0_combout\ = (\led_flash_cnt[255][4]~q\ & (\led_flash_cnt[255][2]~q\ & (\led_flash_cnt[255][3]~q\ & \led_flash_cnt[255][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[255][4]~q\,
	datab => \led_flash_cnt[255][2]~q\,
	datac => \led_flash_cnt[255][3]~q\,
	datad => \led_flash_cnt[255][1]~q\,
	combout => \WideAnd255~0_combout\);

-- Location: LCCOMB_X58_Y38_N18
WideAnd255 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd255~combout\ = (\led_flash_cnt[255][0]~q\ & (\WideAnd255~1_combout\ & (\led_flash_cnt[255][7]~q\ & \WideAnd255~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[255][0]~q\,
	datab => \WideAnd255~1_combout\,
	datac => \led_flash_cnt[255][7]~q\,
	datad => \WideAnd255~0_combout\,
	combout => \WideAnd255~combout\);

-- Location: FF_X58_Y38_N19
\led_flash_cnt_ands[255]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd255~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(255));

-- Location: LCCOMB_X57_Y39_N24
\WideAnd3871~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3871~0_combout\ = (led_flash_cnt_ands(249) & (led_flash_cnt_ands(252) & (led_flash_cnt_ands(251) & led_flash_cnt_ands(255))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(249),
	datab => led_flash_cnt_ands(252),
	datac => led_flash_cnt_ands(251),
	datad => led_flash_cnt_ands(255),
	combout => \WideAnd3871~0_combout\);

-- Location: LCCOMB_X64_Y37_N28
\led_flash_cnt[250][0]~80889\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[250][0]~80889_combout\ = !\led_flash_cnt[250][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[250][0]~q\,
	combout => \led_flash_cnt[250][0]~80889_combout\);

-- Location: FF_X64_Y37_N29
\led_flash_cnt[250][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[250][0]~80889_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[250][0]~q\);

-- Location: LCCOMB_X64_Y37_N4
\led_flash_cnt[250][1]~30366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[250][1]~30366_combout\ = (\led_flash_cnt[250][1]~q\ & (\led_flash_cnt[250][0]~q\ $ (VCC))) # (!\led_flash_cnt[250][1]~q\ & (\led_flash_cnt[250][0]~q\ & VCC))
-- \led_flash_cnt[250][1]~30367\ = CARRY((\led_flash_cnt[250][1]~q\ & \led_flash_cnt[250][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[250][1]~q\,
	datab => \led_flash_cnt[250][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[250][1]~30366_combout\,
	cout => \led_flash_cnt[250][1]~30367\);

-- Location: FF_X64_Y37_N5
\led_flash_cnt[250][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[250][1]~30366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[250][1]~q\);

-- Location: LCCOMB_X64_Y37_N6
\led_flash_cnt[250][2]~30368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[250][2]~30368_combout\ = (\led_flash_cnt[250][2]~q\ & (!\led_flash_cnt[250][1]~30367\)) # (!\led_flash_cnt[250][2]~q\ & ((\led_flash_cnt[250][1]~30367\) # (GND)))
-- \led_flash_cnt[250][2]~30369\ = CARRY((!\led_flash_cnt[250][1]~30367\) # (!\led_flash_cnt[250][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[250][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[250][1]~30367\,
	combout => \led_flash_cnt[250][2]~30368_combout\,
	cout => \led_flash_cnt[250][2]~30369\);

-- Location: FF_X64_Y37_N7
\led_flash_cnt[250][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[250][2]~30368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[250][2]~q\);

-- Location: LCCOMB_X64_Y37_N8
\led_flash_cnt[250][3]~30370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[250][3]~30370_combout\ = (\led_flash_cnt[250][3]~q\ & (\led_flash_cnt[250][2]~30369\ $ (GND))) # (!\led_flash_cnt[250][3]~q\ & (!\led_flash_cnt[250][2]~30369\ & VCC))
-- \led_flash_cnt[250][3]~30371\ = CARRY((\led_flash_cnt[250][3]~q\ & !\led_flash_cnt[250][2]~30369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[250][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[250][2]~30369\,
	combout => \led_flash_cnt[250][3]~30370_combout\,
	cout => \led_flash_cnt[250][3]~30371\);

-- Location: FF_X64_Y37_N9
\led_flash_cnt[250][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[250][3]~30370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[250][3]~q\);

-- Location: LCCOMB_X64_Y37_N10
\led_flash_cnt[250][4]~30372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[250][4]~30372_combout\ = (\led_flash_cnt[250][4]~q\ & (!\led_flash_cnt[250][3]~30371\)) # (!\led_flash_cnt[250][4]~q\ & ((\led_flash_cnt[250][3]~30371\) # (GND)))
-- \led_flash_cnt[250][4]~30373\ = CARRY((!\led_flash_cnt[250][3]~30371\) # (!\led_flash_cnt[250][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[250][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[250][3]~30371\,
	combout => \led_flash_cnt[250][4]~30372_combout\,
	cout => \led_flash_cnt[250][4]~30373\);

-- Location: FF_X64_Y37_N11
\led_flash_cnt[250][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[250][4]~30372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[250][4]~q\);

-- Location: LCCOMB_X64_Y37_N26
\WideAnd250~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd250~0_combout\ = (\led_flash_cnt[250][4]~q\ & (\led_flash_cnt[250][1]~q\ & (\led_flash_cnt[250][3]~q\ & \led_flash_cnt[250][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[250][4]~q\,
	datab => \led_flash_cnt[250][1]~q\,
	datac => \led_flash_cnt[250][3]~q\,
	datad => \led_flash_cnt[250][2]~q\,
	combout => \WideAnd250~0_combout\);

-- Location: LCCOMB_X64_Y37_N12
\led_flash_cnt[250][5]~30374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[250][5]~30374_combout\ = (\led_flash_cnt[250][5]~q\ & (\led_flash_cnt[250][4]~30373\ $ (GND))) # (!\led_flash_cnt[250][5]~q\ & (!\led_flash_cnt[250][4]~30373\ & VCC))
-- \led_flash_cnt[250][5]~30375\ = CARRY((\led_flash_cnt[250][5]~q\ & !\led_flash_cnt[250][4]~30373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[250][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[250][4]~30373\,
	combout => \led_flash_cnt[250][5]~30374_combout\,
	cout => \led_flash_cnt[250][5]~30375\);

-- Location: FF_X64_Y37_N13
\led_flash_cnt[250][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[250][5]~30374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[250][5]~q\);

-- Location: LCCOMB_X64_Y37_N14
\led_flash_cnt[250][6]~30376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[250][6]~30376_combout\ = (\led_flash_cnt[250][6]~q\ & (!\led_flash_cnt[250][5]~30375\)) # (!\led_flash_cnt[250][6]~q\ & ((\led_flash_cnt[250][5]~30375\) # (GND)))
-- \led_flash_cnt[250][6]~30377\ = CARRY((!\led_flash_cnt[250][5]~30375\) # (!\led_flash_cnt[250][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[250][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[250][5]~30375\,
	combout => \led_flash_cnt[250][6]~30376_combout\,
	cout => \led_flash_cnt[250][6]~30377\);

-- Location: FF_X64_Y37_N15
\led_flash_cnt[250][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[250][6]~30376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[250][6]~q\);

-- Location: LCCOMB_X64_Y37_N16
\led_flash_cnt[250][7]~30378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[250][7]~30378_combout\ = \led_flash_cnt[250][6]~30377\ $ (!\led_flash_cnt[250][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[250][7]~q\,
	cin => \led_flash_cnt[250][6]~30377\,
	combout => \led_flash_cnt[250][7]~30378_combout\);

-- Location: FF_X64_Y37_N17
\led_flash_cnt[250][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[250][7]~30378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[250][7]~q\);

-- Location: LCCOMB_X64_Y37_N30
\WideAnd250~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd250~1_combout\ = (\led_flash_cnt[250][6]~q\ & \led_flash_cnt[250][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[250][6]~q\,
	datad => \led_flash_cnt[250][5]~q\,
	combout => \WideAnd250~1_combout\);

-- Location: LCCOMB_X64_Y37_N24
WideAnd250 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd250~combout\ = (\WideAnd250~0_combout\ & (\led_flash_cnt[250][7]~q\ & (\WideAnd250~1_combout\ & \led_flash_cnt[250][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd250~0_combout\,
	datab => \led_flash_cnt[250][7]~q\,
	datac => \WideAnd250~1_combout\,
	datad => \led_flash_cnt[250][0]~q\,
	combout => \WideAnd250~combout\);

-- Location: FF_X64_Y37_N25
\led_flash_cnt_ands[250]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd250~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(250));

-- Location: LCCOMB_X63_Y38_N20
\led_flash_cnt[254][0]~80894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[254][0]~80894_combout\ = !\led_flash_cnt[254][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[254][0]~q\,
	combout => \led_flash_cnt[254][0]~80894_combout\);

-- Location: FF_X63_Y38_N21
\led_flash_cnt[254][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[254][0]~80894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[254][0]~q\);

-- Location: LCCOMB_X62_Y38_N14
\led_flash_cnt[254][1]~30436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[254][1]~30436_combout\ = (\led_flash_cnt[254][0]~q\ & (\led_flash_cnt[254][1]~q\ $ (VCC))) # (!\led_flash_cnt[254][0]~q\ & (\led_flash_cnt[254][1]~q\ & VCC))
-- \led_flash_cnt[254][1]~30437\ = CARRY((\led_flash_cnt[254][0]~q\ & \led_flash_cnt[254][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[254][0]~q\,
	datab => \led_flash_cnt[254][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[254][1]~30436_combout\,
	cout => \led_flash_cnt[254][1]~30437\);

-- Location: FF_X62_Y38_N15
\led_flash_cnt[254][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[254][1]~30436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[254][1]~q\);

-- Location: LCCOMB_X62_Y38_N16
\led_flash_cnt[254][2]~30438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[254][2]~30438_combout\ = (\led_flash_cnt[254][2]~q\ & (!\led_flash_cnt[254][1]~30437\)) # (!\led_flash_cnt[254][2]~q\ & ((\led_flash_cnt[254][1]~30437\) # (GND)))
-- \led_flash_cnt[254][2]~30439\ = CARRY((!\led_flash_cnt[254][1]~30437\) # (!\led_flash_cnt[254][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[254][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[254][1]~30437\,
	combout => \led_flash_cnt[254][2]~30438_combout\,
	cout => \led_flash_cnt[254][2]~30439\);

-- Location: FF_X62_Y38_N17
\led_flash_cnt[254][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[254][2]~30438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[254][2]~q\);

-- Location: LCCOMB_X62_Y38_N18
\led_flash_cnt[254][3]~30440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[254][3]~30440_combout\ = (\led_flash_cnt[254][3]~q\ & (\led_flash_cnt[254][2]~30439\ $ (GND))) # (!\led_flash_cnt[254][3]~q\ & (!\led_flash_cnt[254][2]~30439\ & VCC))
-- \led_flash_cnt[254][3]~30441\ = CARRY((\led_flash_cnt[254][3]~q\ & !\led_flash_cnt[254][2]~30439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[254][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[254][2]~30439\,
	combout => \led_flash_cnt[254][3]~30440_combout\,
	cout => \led_flash_cnt[254][3]~30441\);

-- Location: FF_X62_Y38_N19
\led_flash_cnt[254][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[254][3]~30440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[254][3]~q\);

-- Location: LCCOMB_X62_Y38_N20
\led_flash_cnt[254][4]~30442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[254][4]~30442_combout\ = (\led_flash_cnt[254][4]~q\ & (!\led_flash_cnt[254][3]~30441\)) # (!\led_flash_cnt[254][4]~q\ & ((\led_flash_cnt[254][3]~30441\) # (GND)))
-- \led_flash_cnt[254][4]~30443\ = CARRY((!\led_flash_cnt[254][3]~30441\) # (!\led_flash_cnt[254][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[254][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[254][3]~30441\,
	combout => \led_flash_cnt[254][4]~30442_combout\,
	cout => \led_flash_cnt[254][4]~30443\);

-- Location: FF_X62_Y38_N21
\led_flash_cnt[254][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[254][4]~30442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[254][4]~q\);

-- Location: LCCOMB_X62_Y38_N22
\led_flash_cnt[254][5]~30444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[254][5]~30444_combout\ = (\led_flash_cnt[254][5]~q\ & (\led_flash_cnt[254][4]~30443\ $ (GND))) # (!\led_flash_cnt[254][5]~q\ & (!\led_flash_cnt[254][4]~30443\ & VCC))
-- \led_flash_cnt[254][5]~30445\ = CARRY((\led_flash_cnt[254][5]~q\ & !\led_flash_cnt[254][4]~30443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[254][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[254][4]~30443\,
	combout => \led_flash_cnt[254][5]~30444_combout\,
	cout => \led_flash_cnt[254][5]~30445\);

-- Location: FF_X62_Y38_N23
\led_flash_cnt[254][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[254][5]~30444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[254][5]~q\);

-- Location: LCCOMB_X62_Y38_N24
\led_flash_cnt[254][6]~30446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[254][6]~30446_combout\ = (\led_flash_cnt[254][6]~q\ & (!\led_flash_cnt[254][5]~30445\)) # (!\led_flash_cnt[254][6]~q\ & ((\led_flash_cnt[254][5]~30445\) # (GND)))
-- \led_flash_cnt[254][6]~30447\ = CARRY((!\led_flash_cnt[254][5]~30445\) # (!\led_flash_cnt[254][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[254][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[254][5]~30445\,
	combout => \led_flash_cnt[254][6]~30446_combout\,
	cout => \led_flash_cnt[254][6]~30447\);

-- Location: FF_X62_Y38_N25
\led_flash_cnt[254][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[254][6]~30446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[254][6]~q\);

-- Location: LCCOMB_X63_Y38_N26
\WideAnd254~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd254~1_combout\ = (\led_flash_cnt[254][5]~q\ & \led_flash_cnt[254][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[254][5]~q\,
	datad => \led_flash_cnt[254][6]~q\,
	combout => \WideAnd254~1_combout\);

-- Location: LCCOMB_X62_Y38_N30
\WideAnd254~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd254~0_combout\ = (\led_flash_cnt[254][2]~q\ & (\led_flash_cnt[254][4]~q\ & (\led_flash_cnt[254][1]~q\ & \led_flash_cnt[254][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[254][2]~q\,
	datab => \led_flash_cnt[254][4]~q\,
	datac => \led_flash_cnt[254][1]~q\,
	datad => \led_flash_cnt[254][3]~q\,
	combout => \WideAnd254~0_combout\);

-- Location: LCCOMB_X62_Y38_N26
\led_flash_cnt[254][7]~30448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[254][7]~30448_combout\ = \led_flash_cnt[254][7]~q\ $ (!\led_flash_cnt[254][6]~30447\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[254][7]~q\,
	cin => \led_flash_cnt[254][6]~30447\,
	combout => \led_flash_cnt[254][7]~30448_combout\);

-- Location: FF_X62_Y38_N27
\led_flash_cnt[254][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[254][7]~30448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[254][7]~q\);

-- Location: LCCOMB_X63_Y38_N16
WideAnd254 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd254~combout\ = (\WideAnd254~1_combout\ & (\WideAnd254~0_combout\ & (\led_flash_cnt[254][7]~q\ & \led_flash_cnt[254][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd254~1_combout\,
	datab => \WideAnd254~0_combout\,
	datac => \led_flash_cnt[254][7]~q\,
	datad => \led_flash_cnt[254][0]~q\,
	combout => \WideAnd254~combout\);

-- Location: FF_X63_Y38_N17
\led_flash_cnt_ands[254]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd254~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(254));

-- Location: LCCOMB_X65_Y38_N24
\led_flash_cnt[248][0]~80895\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[248][0]~80895_combout\ = !\led_flash_cnt[248][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[248][0]~q\,
	combout => \led_flash_cnt[248][0]~80895_combout\);

-- Location: FF_X65_Y38_N25
\led_flash_cnt[248][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[248][0]~80895_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[248][0]~q\);

-- Location: LCCOMB_X65_Y38_N6
\led_flash_cnt[248][1]~30450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[248][1]~30450_combout\ = (\led_flash_cnt[248][1]~q\ & (\led_flash_cnt[248][0]~q\ $ (VCC))) # (!\led_flash_cnt[248][1]~q\ & (\led_flash_cnt[248][0]~q\ & VCC))
-- \led_flash_cnt[248][1]~30451\ = CARRY((\led_flash_cnt[248][1]~q\ & \led_flash_cnt[248][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[248][1]~q\,
	datab => \led_flash_cnt[248][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[248][1]~30450_combout\,
	cout => \led_flash_cnt[248][1]~30451\);

-- Location: FF_X65_Y38_N7
\led_flash_cnt[248][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[248][1]~30450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[248][1]~q\);

-- Location: LCCOMB_X65_Y38_N8
\led_flash_cnt[248][2]~30452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[248][2]~30452_combout\ = (\led_flash_cnt[248][2]~q\ & (!\led_flash_cnt[248][1]~30451\)) # (!\led_flash_cnt[248][2]~q\ & ((\led_flash_cnt[248][1]~30451\) # (GND)))
-- \led_flash_cnt[248][2]~30453\ = CARRY((!\led_flash_cnt[248][1]~30451\) # (!\led_flash_cnt[248][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[248][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[248][1]~30451\,
	combout => \led_flash_cnt[248][2]~30452_combout\,
	cout => \led_flash_cnt[248][2]~30453\);

-- Location: FF_X65_Y38_N9
\led_flash_cnt[248][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[248][2]~30452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[248][2]~q\);

-- Location: LCCOMB_X65_Y38_N10
\led_flash_cnt[248][3]~30454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[248][3]~30454_combout\ = (\led_flash_cnt[248][3]~q\ & (\led_flash_cnt[248][2]~30453\ $ (GND))) # (!\led_flash_cnt[248][3]~q\ & (!\led_flash_cnt[248][2]~30453\ & VCC))
-- \led_flash_cnt[248][3]~30455\ = CARRY((\led_flash_cnt[248][3]~q\ & !\led_flash_cnt[248][2]~30453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[248][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[248][2]~30453\,
	combout => \led_flash_cnt[248][3]~30454_combout\,
	cout => \led_flash_cnt[248][3]~30455\);

-- Location: FF_X65_Y38_N11
\led_flash_cnt[248][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[248][3]~30454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[248][3]~q\);

-- Location: LCCOMB_X65_Y38_N12
\led_flash_cnt[248][4]~30456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[248][4]~30456_combout\ = (\led_flash_cnt[248][4]~q\ & (!\led_flash_cnt[248][3]~30455\)) # (!\led_flash_cnt[248][4]~q\ & ((\led_flash_cnt[248][3]~30455\) # (GND)))
-- \led_flash_cnt[248][4]~30457\ = CARRY((!\led_flash_cnt[248][3]~30455\) # (!\led_flash_cnt[248][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[248][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[248][3]~30455\,
	combout => \led_flash_cnt[248][4]~30456_combout\,
	cout => \led_flash_cnt[248][4]~30457\);

-- Location: FF_X65_Y38_N13
\led_flash_cnt[248][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[248][4]~30456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[248][4]~q\);

-- Location: LCCOMB_X65_Y38_N14
\led_flash_cnt[248][5]~30458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[248][5]~30458_combout\ = (\led_flash_cnt[248][5]~q\ & (\led_flash_cnt[248][4]~30457\ $ (GND))) # (!\led_flash_cnt[248][5]~q\ & (!\led_flash_cnt[248][4]~30457\ & VCC))
-- \led_flash_cnt[248][5]~30459\ = CARRY((\led_flash_cnt[248][5]~q\ & !\led_flash_cnt[248][4]~30457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[248][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[248][4]~30457\,
	combout => \led_flash_cnt[248][5]~30458_combout\,
	cout => \led_flash_cnt[248][5]~30459\);

-- Location: FF_X65_Y38_N15
\led_flash_cnt[248][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[248][5]~30458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[248][5]~q\);

-- Location: LCCOMB_X65_Y38_N16
\led_flash_cnt[248][6]~30460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[248][6]~30460_combout\ = (\led_flash_cnt[248][6]~q\ & (!\led_flash_cnt[248][5]~30459\)) # (!\led_flash_cnt[248][6]~q\ & ((\led_flash_cnt[248][5]~30459\) # (GND)))
-- \led_flash_cnt[248][6]~30461\ = CARRY((!\led_flash_cnt[248][5]~30459\) # (!\led_flash_cnt[248][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[248][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[248][5]~30459\,
	combout => \led_flash_cnt[248][6]~30460_combout\,
	cout => \led_flash_cnt[248][6]~30461\);

-- Location: FF_X65_Y38_N17
\led_flash_cnt[248][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[248][6]~30460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[248][6]~q\);

-- Location: LCCOMB_X65_Y38_N22
\WideAnd248~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd248~1_combout\ = (\led_flash_cnt[248][5]~q\ & \led_flash_cnt[248][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[248][5]~q\,
	datad => \led_flash_cnt[248][6]~q\,
	combout => \WideAnd248~1_combout\);

-- Location: LCCOMB_X65_Y38_N30
\WideAnd248~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd248~0_combout\ = (\led_flash_cnt[248][3]~q\ & (\led_flash_cnt[248][4]~q\ & (\led_flash_cnt[248][2]~q\ & \led_flash_cnt[248][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[248][3]~q\,
	datab => \led_flash_cnt[248][4]~q\,
	datac => \led_flash_cnt[248][2]~q\,
	datad => \led_flash_cnt[248][1]~q\,
	combout => \WideAnd248~0_combout\);

-- Location: LCCOMB_X65_Y38_N18
\led_flash_cnt[248][7]~30462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[248][7]~30462_combout\ = \led_flash_cnt[248][6]~30461\ $ (!\led_flash_cnt[248][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[248][7]~q\,
	cin => \led_flash_cnt[248][6]~30461\,
	combout => \led_flash_cnt[248][7]~30462_combout\);

-- Location: FF_X65_Y38_N19
\led_flash_cnt[248][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[248][7]~30462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[248][7]~q\);

-- Location: LCCOMB_X65_Y38_N28
WideAnd248 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd248~combout\ = (\WideAnd248~1_combout\ & (\led_flash_cnt[248][0]~q\ & (\WideAnd248~0_combout\ & \led_flash_cnt[248][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd248~1_combout\,
	datab => \led_flash_cnt[248][0]~q\,
	datac => \WideAnd248~0_combout\,
	datad => \led_flash_cnt[248][7]~q\,
	combout => \WideAnd248~combout\);

-- Location: FF_X65_Y38_N29
\led_flash_cnt_ands[248]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd248~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(248));

-- Location: LCCOMB_X64_Y38_N2
\WideAnd3871~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3871~1_combout\ = (led_flash_cnt_ands(254) & led_flash_cnt_ands(248))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(254),
	datad => led_flash_cnt_ands(248),
	combout => \WideAnd3871~1_combout\);

-- Location: LCCOMB_X64_Y37_N0
\led_flash_cnt[253][0]~80888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[253][0]~80888_combout\ = !\led_flash_cnt[253][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[253][0]~q\,
	combout => \led_flash_cnt[253][0]~80888_combout\);

-- Location: FF_X64_Y37_N1
\led_flash_cnt[253][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[253][0]~80888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[253][0]~q\);

-- Location: LCCOMB_X64_Y38_N4
\led_flash_cnt[253][1]~30352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[253][1]~30352_combout\ = (\led_flash_cnt[253][0]~q\ & (\led_flash_cnt[253][1]~q\ $ (VCC))) # (!\led_flash_cnt[253][0]~q\ & (\led_flash_cnt[253][1]~q\ & VCC))
-- \led_flash_cnt[253][1]~30353\ = CARRY((\led_flash_cnt[253][0]~q\ & \led_flash_cnt[253][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[253][0]~q\,
	datab => \led_flash_cnt[253][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[253][1]~30352_combout\,
	cout => \led_flash_cnt[253][1]~30353\);

-- Location: FF_X64_Y38_N5
\led_flash_cnt[253][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[253][1]~30352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[253][1]~q\);

-- Location: LCCOMB_X64_Y38_N6
\led_flash_cnt[253][2]~30354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[253][2]~30354_combout\ = (\led_flash_cnt[253][2]~q\ & (!\led_flash_cnt[253][1]~30353\)) # (!\led_flash_cnt[253][2]~q\ & ((\led_flash_cnt[253][1]~30353\) # (GND)))
-- \led_flash_cnt[253][2]~30355\ = CARRY((!\led_flash_cnt[253][1]~30353\) # (!\led_flash_cnt[253][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[253][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[253][1]~30353\,
	combout => \led_flash_cnt[253][2]~30354_combout\,
	cout => \led_flash_cnt[253][2]~30355\);

-- Location: FF_X64_Y38_N7
\led_flash_cnt[253][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[253][2]~30354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[253][2]~q\);

-- Location: LCCOMB_X64_Y38_N8
\led_flash_cnt[253][3]~30356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[253][3]~30356_combout\ = (\led_flash_cnt[253][3]~q\ & (\led_flash_cnt[253][2]~30355\ $ (GND))) # (!\led_flash_cnt[253][3]~q\ & (!\led_flash_cnt[253][2]~30355\ & VCC))
-- \led_flash_cnt[253][3]~30357\ = CARRY((\led_flash_cnt[253][3]~q\ & !\led_flash_cnt[253][2]~30355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[253][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[253][2]~30355\,
	combout => \led_flash_cnt[253][3]~30356_combout\,
	cout => \led_flash_cnt[253][3]~30357\);

-- Location: FF_X64_Y38_N9
\led_flash_cnt[253][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[253][3]~30356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[253][3]~q\);

-- Location: LCCOMB_X64_Y38_N10
\led_flash_cnt[253][4]~30358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[253][4]~30358_combout\ = (\led_flash_cnt[253][4]~q\ & (!\led_flash_cnt[253][3]~30357\)) # (!\led_flash_cnt[253][4]~q\ & ((\led_flash_cnt[253][3]~30357\) # (GND)))
-- \led_flash_cnt[253][4]~30359\ = CARRY((!\led_flash_cnt[253][3]~30357\) # (!\led_flash_cnt[253][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[253][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[253][3]~30357\,
	combout => \led_flash_cnt[253][4]~30358_combout\,
	cout => \led_flash_cnt[253][4]~30359\);

-- Location: FF_X64_Y38_N11
\led_flash_cnt[253][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[253][4]~30358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[253][4]~q\);

-- Location: LCCOMB_X64_Y38_N12
\led_flash_cnt[253][5]~30360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[253][5]~30360_combout\ = (\led_flash_cnt[253][5]~q\ & (\led_flash_cnt[253][4]~30359\ $ (GND))) # (!\led_flash_cnt[253][5]~q\ & (!\led_flash_cnt[253][4]~30359\ & VCC))
-- \led_flash_cnt[253][5]~30361\ = CARRY((\led_flash_cnt[253][5]~q\ & !\led_flash_cnt[253][4]~30359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[253][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[253][4]~30359\,
	combout => \led_flash_cnt[253][5]~30360_combout\,
	cout => \led_flash_cnt[253][5]~30361\);

-- Location: FF_X64_Y38_N13
\led_flash_cnt[253][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[253][5]~30360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[253][5]~q\);

-- Location: LCCOMB_X64_Y38_N14
\led_flash_cnt[253][6]~30362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[253][6]~30362_combout\ = (\led_flash_cnt[253][6]~q\ & (!\led_flash_cnt[253][5]~30361\)) # (!\led_flash_cnt[253][6]~q\ & ((\led_flash_cnt[253][5]~30361\) # (GND)))
-- \led_flash_cnt[253][6]~30363\ = CARRY((!\led_flash_cnt[253][5]~30361\) # (!\led_flash_cnt[253][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[253][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[253][5]~30361\,
	combout => \led_flash_cnt[253][6]~30362_combout\,
	cout => \led_flash_cnt[253][6]~30363\);

-- Location: FF_X64_Y38_N15
\led_flash_cnt[253][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[253][6]~30362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[253][6]~q\);

-- Location: LCCOMB_X64_Y37_N22
\WideAnd253~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd253~1_combout\ = (\led_flash_cnt[253][5]~q\ & \led_flash_cnt[253][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[253][5]~q\,
	datad => \led_flash_cnt[253][6]~q\,
	combout => \WideAnd253~1_combout\);

-- Location: LCCOMB_X64_Y38_N0
\WideAnd253~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd253~0_combout\ = (\led_flash_cnt[253][2]~q\ & (\led_flash_cnt[253][3]~q\ & (\led_flash_cnt[253][1]~q\ & \led_flash_cnt[253][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[253][2]~q\,
	datab => \led_flash_cnt[253][3]~q\,
	datac => \led_flash_cnt[253][1]~q\,
	datad => \led_flash_cnt[253][4]~q\,
	combout => \WideAnd253~0_combout\);

-- Location: LCCOMB_X64_Y38_N16
\led_flash_cnt[253][7]~30364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[253][7]~30364_combout\ = \led_flash_cnt[253][6]~30363\ $ (!\led_flash_cnt[253][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[253][7]~q\,
	cin => \led_flash_cnt[253][6]~30363\,
	combout => \led_flash_cnt[253][7]~30364_combout\);

-- Location: FF_X64_Y38_N17
\led_flash_cnt[253][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[253][7]~30364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[253][7]~q\);

-- Location: LCCOMB_X64_Y37_N18
WideAnd253 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd253~combout\ = (\WideAnd253~1_combout\ & (\WideAnd253~0_combout\ & (\led_flash_cnt[253][7]~q\ & \led_flash_cnt[253][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd253~1_combout\,
	datab => \WideAnd253~0_combout\,
	datac => \led_flash_cnt[253][7]~q\,
	datad => \led_flash_cnt[253][0]~q\,
	combout => \WideAnd253~combout\);

-- Location: FF_X64_Y37_N19
\led_flash_cnt_ands[253]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd253~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(253));

-- Location: LCCOMB_X64_Y37_N20
WideAnd3871 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3871~combout\ = (\WideAnd3871~0_combout\ & (led_flash_cnt_ands(250) & (\WideAnd3871~1_combout\ & led_flash_cnt_ands(253))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3871~0_combout\,
	datab => led_flash_cnt_ands(250),
	datac => \WideAnd3871~1_combout\,
	datad => led_flash_cnt_ands(253),
	combout => \WideAnd3871~combout\);

-- Location: FF_X64_Y37_N21
\led_flash_cnt_ands_1[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3871~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(31));

-- Location: LCCOMB_X55_Y19_N2
\led_flash_cnt[230][0]~80870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[230][0]~80870_combout\ = !\led_flash_cnt[230][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[230][0]~q\,
	combout => \led_flash_cnt[230][0]~80870_combout\);

-- Location: FF_X55_Y19_N3
\led_flash_cnt[230][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[230][0]~80870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[230][0]~q\);

-- Location: LCCOMB_X56_Y19_N0
\led_flash_cnt[230][1]~30100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[230][1]~30100_combout\ = (\led_flash_cnt[230][0]~q\ & (\led_flash_cnt[230][1]~q\ $ (VCC))) # (!\led_flash_cnt[230][0]~q\ & (\led_flash_cnt[230][1]~q\ & VCC))
-- \led_flash_cnt[230][1]~30101\ = CARRY((\led_flash_cnt[230][0]~q\ & \led_flash_cnt[230][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[230][0]~q\,
	datab => \led_flash_cnt[230][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[230][1]~30100_combout\,
	cout => \led_flash_cnt[230][1]~30101\);

-- Location: FF_X56_Y19_N1
\led_flash_cnt[230][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[230][1]~30100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[230][1]~q\);

-- Location: LCCOMB_X56_Y19_N2
\led_flash_cnt[230][2]~30102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[230][2]~30102_combout\ = (\led_flash_cnt[230][2]~q\ & (!\led_flash_cnt[230][1]~30101\)) # (!\led_flash_cnt[230][2]~q\ & ((\led_flash_cnt[230][1]~30101\) # (GND)))
-- \led_flash_cnt[230][2]~30103\ = CARRY((!\led_flash_cnt[230][1]~30101\) # (!\led_flash_cnt[230][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[230][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[230][1]~30101\,
	combout => \led_flash_cnt[230][2]~30102_combout\,
	cout => \led_flash_cnt[230][2]~30103\);

-- Location: FF_X56_Y19_N3
\led_flash_cnt[230][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[230][2]~30102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[230][2]~q\);

-- Location: LCCOMB_X56_Y19_N4
\led_flash_cnt[230][3]~30104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[230][3]~30104_combout\ = (\led_flash_cnt[230][3]~q\ & (\led_flash_cnt[230][2]~30103\ $ (GND))) # (!\led_flash_cnt[230][3]~q\ & (!\led_flash_cnt[230][2]~30103\ & VCC))
-- \led_flash_cnt[230][3]~30105\ = CARRY((\led_flash_cnt[230][3]~q\ & !\led_flash_cnt[230][2]~30103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[230][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[230][2]~30103\,
	combout => \led_flash_cnt[230][3]~30104_combout\,
	cout => \led_flash_cnt[230][3]~30105\);

-- Location: FF_X56_Y19_N5
\led_flash_cnt[230][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[230][3]~30104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[230][3]~q\);

-- Location: LCCOMB_X56_Y19_N6
\led_flash_cnt[230][4]~30106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[230][4]~30106_combout\ = (\led_flash_cnt[230][4]~q\ & (!\led_flash_cnt[230][3]~30105\)) # (!\led_flash_cnt[230][4]~q\ & ((\led_flash_cnt[230][3]~30105\) # (GND)))
-- \led_flash_cnt[230][4]~30107\ = CARRY((!\led_flash_cnt[230][3]~30105\) # (!\led_flash_cnt[230][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[230][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[230][3]~30105\,
	combout => \led_flash_cnt[230][4]~30106_combout\,
	cout => \led_flash_cnt[230][4]~30107\);

-- Location: FF_X56_Y19_N7
\led_flash_cnt[230][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[230][4]~30106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[230][4]~q\);

-- Location: LCCOMB_X56_Y19_N30
\WideAnd230~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd230~0_combout\ = (\led_flash_cnt[230][4]~q\ & (\led_flash_cnt[230][1]~q\ & (\led_flash_cnt[230][3]~q\ & \led_flash_cnt[230][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[230][4]~q\,
	datab => \led_flash_cnt[230][1]~q\,
	datac => \led_flash_cnt[230][3]~q\,
	datad => \led_flash_cnt[230][2]~q\,
	combout => \WideAnd230~0_combout\);

-- Location: LCCOMB_X56_Y19_N8
\led_flash_cnt[230][5]~30108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[230][5]~30108_combout\ = (\led_flash_cnt[230][5]~q\ & (\led_flash_cnt[230][4]~30107\ $ (GND))) # (!\led_flash_cnt[230][5]~q\ & (!\led_flash_cnt[230][4]~30107\ & VCC))
-- \led_flash_cnt[230][5]~30109\ = CARRY((\led_flash_cnt[230][5]~q\ & !\led_flash_cnt[230][4]~30107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[230][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[230][4]~30107\,
	combout => \led_flash_cnt[230][5]~30108_combout\,
	cout => \led_flash_cnt[230][5]~30109\);

-- Location: FF_X56_Y19_N9
\led_flash_cnt[230][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[230][5]~30108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[230][5]~q\);

-- Location: LCCOMB_X56_Y19_N10
\led_flash_cnt[230][6]~30110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[230][6]~30110_combout\ = (\led_flash_cnt[230][6]~q\ & (!\led_flash_cnt[230][5]~30109\)) # (!\led_flash_cnt[230][6]~q\ & ((\led_flash_cnt[230][5]~30109\) # (GND)))
-- \led_flash_cnt[230][6]~30111\ = CARRY((!\led_flash_cnt[230][5]~30109\) # (!\led_flash_cnt[230][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[230][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[230][5]~30109\,
	combout => \led_flash_cnt[230][6]~30110_combout\,
	cout => \led_flash_cnt[230][6]~30111\);

-- Location: FF_X56_Y19_N11
\led_flash_cnt[230][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[230][6]~30110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[230][6]~q\);

-- Location: LCCOMB_X56_Y19_N12
\led_flash_cnt[230][7]~30112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[230][7]~30112_combout\ = \led_flash_cnt[230][6]~30111\ $ (!\led_flash_cnt[230][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[230][7]~q\,
	cin => \led_flash_cnt[230][6]~30111\,
	combout => \led_flash_cnt[230][7]~30112_combout\);

-- Location: FF_X56_Y19_N13
\led_flash_cnt[230][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[230][7]~30112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[230][7]~q\);

-- Location: LCCOMB_X55_Y19_N10
\WideAnd230~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd230~1_combout\ = (\led_flash_cnt[230][5]~q\ & \led_flash_cnt[230][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[230][5]~q\,
	datac => \led_flash_cnt[230][6]~q\,
	combout => \WideAnd230~1_combout\);

-- Location: LCCOMB_X55_Y19_N6
WideAnd230 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd230~combout\ = (\WideAnd230~0_combout\ & (\led_flash_cnt[230][0]~q\ & (\led_flash_cnt[230][7]~q\ & \WideAnd230~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd230~0_combout\,
	datab => \led_flash_cnt[230][0]~q\,
	datac => \led_flash_cnt[230][7]~q\,
	datad => \WideAnd230~1_combout\,
	combout => \WideAnd230~combout\);

-- Location: FF_X55_Y19_N7
\led_flash_cnt_ands[230]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd230~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(230));

-- Location: LCCOMB_X50_Y13_N28
\led_flash_cnt[231][0]~80871\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[231][0]~80871_combout\ = !\led_flash_cnt[231][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[231][0]~q\,
	combout => \led_flash_cnt[231][0]~80871_combout\);

-- Location: FF_X50_Y13_N29
\led_flash_cnt[231][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[231][0]~80871_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[231][0]~q\);

-- Location: LCCOMB_X51_Y13_N18
\led_flash_cnt[231][1]~30114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[231][1]~30114_combout\ = (\led_flash_cnt[231][0]~q\ & (\led_flash_cnt[231][1]~q\ $ (VCC))) # (!\led_flash_cnt[231][0]~q\ & (\led_flash_cnt[231][1]~q\ & VCC))
-- \led_flash_cnt[231][1]~30115\ = CARRY((\led_flash_cnt[231][0]~q\ & \led_flash_cnt[231][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[231][0]~q\,
	datab => \led_flash_cnt[231][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[231][1]~30114_combout\,
	cout => \led_flash_cnt[231][1]~30115\);

-- Location: FF_X51_Y13_N19
\led_flash_cnt[231][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[231][1]~30114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[231][1]~q\);

-- Location: LCCOMB_X51_Y13_N20
\led_flash_cnt[231][2]~30116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[231][2]~30116_combout\ = (\led_flash_cnt[231][2]~q\ & (!\led_flash_cnt[231][1]~30115\)) # (!\led_flash_cnt[231][2]~q\ & ((\led_flash_cnt[231][1]~30115\) # (GND)))
-- \led_flash_cnt[231][2]~30117\ = CARRY((!\led_flash_cnt[231][1]~30115\) # (!\led_flash_cnt[231][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[231][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[231][1]~30115\,
	combout => \led_flash_cnt[231][2]~30116_combout\,
	cout => \led_flash_cnt[231][2]~30117\);

-- Location: FF_X51_Y13_N21
\led_flash_cnt[231][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[231][2]~30116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[231][2]~q\);

-- Location: LCCOMB_X51_Y13_N22
\led_flash_cnt[231][3]~30118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[231][3]~30118_combout\ = (\led_flash_cnt[231][3]~q\ & (\led_flash_cnt[231][2]~30117\ $ (GND))) # (!\led_flash_cnt[231][3]~q\ & (!\led_flash_cnt[231][2]~30117\ & VCC))
-- \led_flash_cnt[231][3]~30119\ = CARRY((\led_flash_cnt[231][3]~q\ & !\led_flash_cnt[231][2]~30117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[231][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[231][2]~30117\,
	combout => \led_flash_cnt[231][3]~30118_combout\,
	cout => \led_flash_cnt[231][3]~30119\);

-- Location: FF_X51_Y13_N23
\led_flash_cnt[231][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[231][3]~30118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[231][3]~q\);

-- Location: LCCOMB_X51_Y13_N24
\led_flash_cnt[231][4]~30120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[231][4]~30120_combout\ = (\led_flash_cnt[231][4]~q\ & (!\led_flash_cnt[231][3]~30119\)) # (!\led_flash_cnt[231][4]~q\ & ((\led_flash_cnt[231][3]~30119\) # (GND)))
-- \led_flash_cnt[231][4]~30121\ = CARRY((!\led_flash_cnt[231][3]~30119\) # (!\led_flash_cnt[231][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[231][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[231][3]~30119\,
	combout => \led_flash_cnt[231][4]~30120_combout\,
	cout => \led_flash_cnt[231][4]~30121\);

-- Location: FF_X51_Y13_N25
\led_flash_cnt[231][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[231][4]~30120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[231][4]~q\);

-- Location: LCCOMB_X51_Y13_N26
\led_flash_cnt[231][5]~30122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[231][5]~30122_combout\ = (\led_flash_cnt[231][5]~q\ & (\led_flash_cnt[231][4]~30121\ $ (GND))) # (!\led_flash_cnt[231][5]~q\ & (!\led_flash_cnt[231][4]~30121\ & VCC))
-- \led_flash_cnt[231][5]~30123\ = CARRY((\led_flash_cnt[231][5]~q\ & !\led_flash_cnt[231][4]~30121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[231][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[231][4]~30121\,
	combout => \led_flash_cnt[231][5]~30122_combout\,
	cout => \led_flash_cnt[231][5]~30123\);

-- Location: FF_X51_Y13_N27
\led_flash_cnt[231][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[231][5]~30122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[231][5]~q\);

-- Location: LCCOMB_X51_Y13_N28
\led_flash_cnt[231][6]~30124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[231][6]~30124_combout\ = (\led_flash_cnt[231][6]~q\ & (!\led_flash_cnt[231][5]~30123\)) # (!\led_flash_cnt[231][6]~q\ & ((\led_flash_cnt[231][5]~30123\) # (GND)))
-- \led_flash_cnt[231][6]~30125\ = CARRY((!\led_flash_cnt[231][5]~30123\) # (!\led_flash_cnt[231][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[231][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[231][5]~30123\,
	combout => \led_flash_cnt[231][6]~30124_combout\,
	cout => \led_flash_cnt[231][6]~30125\);

-- Location: FF_X51_Y13_N29
\led_flash_cnt[231][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[231][6]~30124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[231][6]~q\);

-- Location: LCCOMB_X51_Y13_N30
\led_flash_cnt[231][7]~30126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[231][7]~30126_combout\ = \led_flash_cnt[231][6]~30125\ $ (!\led_flash_cnt[231][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[231][7]~q\,
	cin => \led_flash_cnt[231][6]~30125\,
	combout => \led_flash_cnt[231][7]~30126_combout\);

-- Location: FF_X51_Y13_N31
\led_flash_cnt[231][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[231][7]~30126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[231][7]~q\);

-- Location: LCCOMB_X51_Y13_N0
\WideAnd231~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd231~0_combout\ = (\led_flash_cnt[231][3]~q\ & (\led_flash_cnt[231][6]~q\ & (\led_flash_cnt[231][5]~q\ & \led_flash_cnt[231][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[231][3]~q\,
	datab => \led_flash_cnt[231][6]~q\,
	datac => \led_flash_cnt[231][5]~q\,
	datad => \led_flash_cnt[231][7]~q\,
	combout => \WideAnd231~0_combout\);

-- Location: LCCOMB_X50_Y13_N4
\WideAnd231~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd231~1_combout\ = (\led_flash_cnt[231][0]~q\ & \led_flash_cnt[231][1]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[231][0]~q\,
	datad => \led_flash_cnt[231][1]~q\,
	combout => \WideAnd231~1_combout\);

-- Location: LCCOMB_X51_Y13_N2
WideAnd231 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd231~combout\ = (\WideAnd231~0_combout\ & (\led_flash_cnt[231][4]~q\ & (\WideAnd231~1_combout\ & \led_flash_cnt[231][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd231~0_combout\,
	datab => \led_flash_cnt[231][4]~q\,
	datac => \WideAnd231~1_combout\,
	datad => \led_flash_cnt[231][2]~q\,
	combout => \WideAnd231~combout\);

-- Location: FF_X51_Y13_N3
\led_flash_cnt_ands[231]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd231~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(231));

-- Location: LCCOMB_X54_Y52_N6
\led_flash_cnt[228][0]~80868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[228][0]~80868_combout\ = !\led_flash_cnt[228][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[228][0]~q\,
	combout => \led_flash_cnt[228][0]~80868_combout\);

-- Location: FF_X54_Y52_N7
\led_flash_cnt[228][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[228][0]~80868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[228][0]~q\);

-- Location: LCCOMB_X55_Y52_N18
\led_flash_cnt[228][1]~30072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[228][1]~30072_combout\ = (\led_flash_cnt[228][0]~q\ & (\led_flash_cnt[228][1]~q\ $ (VCC))) # (!\led_flash_cnt[228][0]~q\ & (\led_flash_cnt[228][1]~q\ & VCC))
-- \led_flash_cnt[228][1]~30073\ = CARRY((\led_flash_cnt[228][0]~q\ & \led_flash_cnt[228][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[228][0]~q\,
	datab => \led_flash_cnt[228][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[228][1]~30072_combout\,
	cout => \led_flash_cnt[228][1]~30073\);

-- Location: FF_X55_Y52_N19
\led_flash_cnt[228][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[228][1]~30072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[228][1]~q\);

-- Location: LCCOMB_X55_Y52_N20
\led_flash_cnt[228][2]~30074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[228][2]~30074_combout\ = (\led_flash_cnt[228][2]~q\ & (!\led_flash_cnt[228][1]~30073\)) # (!\led_flash_cnt[228][2]~q\ & ((\led_flash_cnt[228][1]~30073\) # (GND)))
-- \led_flash_cnt[228][2]~30075\ = CARRY((!\led_flash_cnt[228][1]~30073\) # (!\led_flash_cnt[228][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[228][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[228][1]~30073\,
	combout => \led_flash_cnt[228][2]~30074_combout\,
	cout => \led_flash_cnt[228][2]~30075\);

-- Location: FF_X55_Y52_N21
\led_flash_cnt[228][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[228][2]~30074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[228][2]~q\);

-- Location: LCCOMB_X55_Y52_N22
\led_flash_cnt[228][3]~30076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[228][3]~30076_combout\ = (\led_flash_cnt[228][3]~q\ & (\led_flash_cnt[228][2]~30075\ $ (GND))) # (!\led_flash_cnt[228][3]~q\ & (!\led_flash_cnt[228][2]~30075\ & VCC))
-- \led_flash_cnt[228][3]~30077\ = CARRY((\led_flash_cnt[228][3]~q\ & !\led_flash_cnt[228][2]~30075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[228][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[228][2]~30075\,
	combout => \led_flash_cnt[228][3]~30076_combout\,
	cout => \led_flash_cnt[228][3]~30077\);

-- Location: FF_X55_Y52_N23
\led_flash_cnt[228][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[228][3]~30076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[228][3]~q\);

-- Location: LCCOMB_X55_Y52_N24
\led_flash_cnt[228][4]~30078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[228][4]~30078_combout\ = (\led_flash_cnt[228][4]~q\ & (!\led_flash_cnt[228][3]~30077\)) # (!\led_flash_cnt[228][4]~q\ & ((\led_flash_cnt[228][3]~30077\) # (GND)))
-- \led_flash_cnt[228][4]~30079\ = CARRY((!\led_flash_cnt[228][3]~30077\) # (!\led_flash_cnt[228][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[228][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[228][3]~30077\,
	combout => \led_flash_cnt[228][4]~30078_combout\,
	cout => \led_flash_cnt[228][4]~30079\);

-- Location: FF_X55_Y52_N25
\led_flash_cnt[228][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[228][4]~30078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[228][4]~q\);

-- Location: LCCOMB_X55_Y52_N26
\led_flash_cnt[228][5]~30080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[228][5]~30080_combout\ = (\led_flash_cnt[228][5]~q\ & (\led_flash_cnt[228][4]~30079\ $ (GND))) # (!\led_flash_cnt[228][5]~q\ & (!\led_flash_cnt[228][4]~30079\ & VCC))
-- \led_flash_cnt[228][5]~30081\ = CARRY((\led_flash_cnt[228][5]~q\ & !\led_flash_cnt[228][4]~30079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[228][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[228][4]~30079\,
	combout => \led_flash_cnt[228][5]~30080_combout\,
	cout => \led_flash_cnt[228][5]~30081\);

-- Location: FF_X55_Y52_N27
\led_flash_cnt[228][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[228][5]~30080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[228][5]~q\);

-- Location: LCCOMB_X55_Y52_N28
\led_flash_cnt[228][6]~30082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[228][6]~30082_combout\ = (\led_flash_cnt[228][6]~q\ & (!\led_flash_cnt[228][5]~30081\)) # (!\led_flash_cnt[228][6]~q\ & ((\led_flash_cnt[228][5]~30081\) # (GND)))
-- \led_flash_cnt[228][6]~30083\ = CARRY((!\led_flash_cnt[228][5]~30081\) # (!\led_flash_cnt[228][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[228][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[228][5]~30081\,
	combout => \led_flash_cnt[228][6]~30082_combout\,
	cout => \led_flash_cnt[228][6]~30083\);

-- Location: FF_X55_Y52_N29
\led_flash_cnt[228][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[228][6]~30082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[228][6]~q\);

-- Location: LCCOMB_X54_Y52_N26
\WideAnd228~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd228~1_combout\ = (\led_flash_cnt[228][5]~q\ & \led_flash_cnt[228][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[228][5]~q\,
	datad => \led_flash_cnt[228][6]~q\,
	combout => \WideAnd228~1_combout\);

-- Location: LCCOMB_X55_Y52_N0
\WideAnd228~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd228~0_combout\ = (\led_flash_cnt[228][4]~q\ & (\led_flash_cnt[228][2]~q\ & (\led_flash_cnt[228][3]~q\ & \led_flash_cnt[228][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[228][4]~q\,
	datab => \led_flash_cnt[228][2]~q\,
	datac => \led_flash_cnt[228][3]~q\,
	datad => \led_flash_cnt[228][1]~q\,
	combout => \WideAnd228~0_combout\);

-- Location: LCCOMB_X55_Y52_N30
\led_flash_cnt[228][7]~30084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[228][7]~30084_combout\ = \led_flash_cnt[228][7]~q\ $ (!\led_flash_cnt[228][6]~30083\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[228][7]~q\,
	cin => \led_flash_cnt[228][6]~30083\,
	combout => \led_flash_cnt[228][7]~30084_combout\);

-- Location: FF_X55_Y52_N31
\led_flash_cnt[228][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[228][7]~30084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[228][7]~q\);

-- Location: LCCOMB_X54_Y52_N30
WideAnd228 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd228~combout\ = (\WideAnd228~1_combout\ & (\WideAnd228~0_combout\ & (\led_flash_cnt[228][7]~q\ & \led_flash_cnt[228][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd228~1_combout\,
	datab => \WideAnd228~0_combout\,
	datac => \led_flash_cnt[228][7]~q\,
	datad => \led_flash_cnt[228][0]~q\,
	combout => \WideAnd228~combout\);

-- Location: FF_X54_Y52_N31
\led_flash_cnt_ands[228]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd228~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(228));

-- Location: LCCOMB_X62_Y51_N6
\led_flash_cnt[229][0]~80869\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[229][0]~80869_combout\ = !\led_flash_cnt[229][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[229][0]~q\,
	combout => \led_flash_cnt[229][0]~80869_combout\);

-- Location: FF_X62_Y51_N7
\led_flash_cnt[229][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[229][0]~80869_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[229][0]~q\);

-- Location: LCCOMB_X63_Y51_N2
\led_flash_cnt[229][1]~30086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[229][1]~30086_combout\ = (\led_flash_cnt[229][0]~q\ & (\led_flash_cnt[229][1]~q\ $ (VCC))) # (!\led_flash_cnt[229][0]~q\ & (\led_flash_cnt[229][1]~q\ & VCC))
-- \led_flash_cnt[229][1]~30087\ = CARRY((\led_flash_cnt[229][0]~q\ & \led_flash_cnt[229][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[229][0]~q\,
	datab => \led_flash_cnt[229][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[229][1]~30086_combout\,
	cout => \led_flash_cnt[229][1]~30087\);

-- Location: FF_X63_Y51_N3
\led_flash_cnt[229][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[229][1]~30086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[229][1]~q\);

-- Location: LCCOMB_X63_Y51_N4
\led_flash_cnt[229][2]~30088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[229][2]~30088_combout\ = (\led_flash_cnt[229][2]~q\ & (!\led_flash_cnt[229][1]~30087\)) # (!\led_flash_cnt[229][2]~q\ & ((\led_flash_cnt[229][1]~30087\) # (GND)))
-- \led_flash_cnt[229][2]~30089\ = CARRY((!\led_flash_cnt[229][1]~30087\) # (!\led_flash_cnt[229][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[229][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[229][1]~30087\,
	combout => \led_flash_cnt[229][2]~30088_combout\,
	cout => \led_flash_cnt[229][2]~30089\);

-- Location: FF_X63_Y51_N5
\led_flash_cnt[229][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[229][2]~30088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[229][2]~q\);

-- Location: LCCOMB_X63_Y51_N6
\led_flash_cnt[229][3]~30090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[229][3]~30090_combout\ = (\led_flash_cnt[229][3]~q\ & (\led_flash_cnt[229][2]~30089\ $ (GND))) # (!\led_flash_cnt[229][3]~q\ & (!\led_flash_cnt[229][2]~30089\ & VCC))
-- \led_flash_cnt[229][3]~30091\ = CARRY((\led_flash_cnt[229][3]~q\ & !\led_flash_cnt[229][2]~30089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[229][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[229][2]~30089\,
	combout => \led_flash_cnt[229][3]~30090_combout\,
	cout => \led_flash_cnt[229][3]~30091\);

-- Location: FF_X63_Y51_N7
\led_flash_cnt[229][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[229][3]~30090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[229][3]~q\);

-- Location: LCCOMB_X63_Y51_N8
\led_flash_cnt[229][4]~30092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[229][4]~30092_combout\ = (\led_flash_cnt[229][4]~q\ & (!\led_flash_cnt[229][3]~30091\)) # (!\led_flash_cnt[229][4]~q\ & ((\led_flash_cnt[229][3]~30091\) # (GND)))
-- \led_flash_cnt[229][4]~30093\ = CARRY((!\led_flash_cnt[229][3]~30091\) # (!\led_flash_cnt[229][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[229][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[229][3]~30091\,
	combout => \led_flash_cnt[229][4]~30092_combout\,
	cout => \led_flash_cnt[229][4]~30093\);

-- Location: FF_X63_Y51_N9
\led_flash_cnt[229][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[229][4]~30092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[229][4]~q\);

-- Location: LCCOMB_X63_Y51_N10
\led_flash_cnt[229][5]~30094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[229][5]~30094_combout\ = (\led_flash_cnt[229][5]~q\ & (\led_flash_cnt[229][4]~30093\ $ (GND))) # (!\led_flash_cnt[229][5]~q\ & (!\led_flash_cnt[229][4]~30093\ & VCC))
-- \led_flash_cnt[229][5]~30095\ = CARRY((\led_flash_cnt[229][5]~q\ & !\led_flash_cnt[229][4]~30093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[229][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[229][4]~30093\,
	combout => \led_flash_cnt[229][5]~30094_combout\,
	cout => \led_flash_cnt[229][5]~30095\);

-- Location: FF_X63_Y51_N11
\led_flash_cnt[229][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[229][5]~30094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[229][5]~q\);

-- Location: LCCOMB_X63_Y51_N12
\led_flash_cnt[229][6]~30096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[229][6]~30096_combout\ = (\led_flash_cnt[229][6]~q\ & (!\led_flash_cnt[229][5]~30095\)) # (!\led_flash_cnt[229][6]~q\ & ((\led_flash_cnt[229][5]~30095\) # (GND)))
-- \led_flash_cnt[229][6]~30097\ = CARRY((!\led_flash_cnt[229][5]~30095\) # (!\led_flash_cnt[229][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[229][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[229][5]~30095\,
	combout => \led_flash_cnt[229][6]~30096_combout\,
	cout => \led_flash_cnt[229][6]~30097\);

-- Location: FF_X63_Y51_N13
\led_flash_cnt[229][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[229][6]~30096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[229][6]~q\);

-- Location: LCCOMB_X62_Y51_N10
\WideAnd229~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd229~1_combout\ = (\led_flash_cnt[229][6]~q\ & \led_flash_cnt[229][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[229][6]~q\,
	datac => \led_flash_cnt[229][5]~q\,
	combout => \WideAnd229~1_combout\);

-- Location: LCCOMB_X63_Y51_N14
\led_flash_cnt[229][7]~30098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[229][7]~30098_combout\ = \led_flash_cnt[229][7]~q\ $ (!\led_flash_cnt[229][6]~30097\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[229][7]~q\,
	cin => \led_flash_cnt[229][6]~30097\,
	combout => \led_flash_cnt[229][7]~30098_combout\);

-- Location: FF_X63_Y51_N15
\led_flash_cnt[229][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[229][7]~30098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[229][7]~q\);

-- Location: LCCOMB_X63_Y51_N30
\WideAnd229~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd229~0_combout\ = (\led_flash_cnt[229][3]~q\ & (\led_flash_cnt[229][2]~q\ & (\led_flash_cnt[229][4]~q\ & \led_flash_cnt[229][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[229][3]~q\,
	datab => \led_flash_cnt[229][2]~q\,
	datac => \led_flash_cnt[229][4]~q\,
	datad => \led_flash_cnt[229][1]~q\,
	combout => \WideAnd229~0_combout\);

-- Location: LCCOMB_X62_Y51_N28
WideAnd229 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd229~combout\ = (\WideAnd229~1_combout\ & (\led_flash_cnt[229][7]~q\ & (\WideAnd229~0_combout\ & \led_flash_cnt[229][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd229~1_combout\,
	datab => \led_flash_cnt[229][7]~q\,
	datac => \WideAnd229~0_combout\,
	datad => \led_flash_cnt[229][0]~q\,
	combout => \WideAnd229~combout\);

-- Location: FF_X62_Y51_N29
\led_flash_cnt_ands[229]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd229~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(229));

-- Location: LCCOMB_X54_Y51_N16
\WideAnd3868~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3868~1_combout\ = (led_flash_cnt_ands(228) & led_flash_cnt_ands(229))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(228),
	datad => led_flash_cnt_ands(229),
	combout => \WideAnd3868~1_combout\);

-- Location: LCCOMB_X51_Y15_N30
\led_flash_cnt[225][0]~80865\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[225][0]~80865_combout\ = !\led_flash_cnt[225][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[225][0]~q\,
	combout => \led_flash_cnt[225][0]~80865_combout\);

-- Location: FF_X51_Y15_N31
\led_flash_cnt[225][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[225][0]~80865_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[225][0]~q\);

-- Location: LCCOMB_X51_Y15_N14
\led_flash_cnt[225][1]~30030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[225][1]~30030_combout\ = (\led_flash_cnt[225][0]~q\ & (\led_flash_cnt[225][1]~q\ $ (VCC))) # (!\led_flash_cnt[225][0]~q\ & (\led_flash_cnt[225][1]~q\ & VCC))
-- \led_flash_cnt[225][1]~30031\ = CARRY((\led_flash_cnt[225][0]~q\ & \led_flash_cnt[225][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[225][0]~q\,
	datab => \led_flash_cnt[225][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[225][1]~30030_combout\,
	cout => \led_flash_cnt[225][1]~30031\);

-- Location: FF_X51_Y15_N15
\led_flash_cnt[225][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[225][1]~30030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[225][1]~q\);

-- Location: LCCOMB_X51_Y15_N16
\led_flash_cnt[225][2]~30032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[225][2]~30032_combout\ = (\led_flash_cnt[225][2]~q\ & (!\led_flash_cnt[225][1]~30031\)) # (!\led_flash_cnt[225][2]~q\ & ((\led_flash_cnt[225][1]~30031\) # (GND)))
-- \led_flash_cnt[225][2]~30033\ = CARRY((!\led_flash_cnt[225][1]~30031\) # (!\led_flash_cnt[225][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[225][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[225][1]~30031\,
	combout => \led_flash_cnt[225][2]~30032_combout\,
	cout => \led_flash_cnt[225][2]~30033\);

-- Location: FF_X51_Y15_N17
\led_flash_cnt[225][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[225][2]~30032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[225][2]~q\);

-- Location: LCCOMB_X51_Y15_N18
\led_flash_cnt[225][3]~30034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[225][3]~30034_combout\ = (\led_flash_cnt[225][3]~q\ & (\led_flash_cnt[225][2]~30033\ $ (GND))) # (!\led_flash_cnt[225][3]~q\ & (!\led_flash_cnt[225][2]~30033\ & VCC))
-- \led_flash_cnt[225][3]~30035\ = CARRY((\led_flash_cnt[225][3]~q\ & !\led_flash_cnt[225][2]~30033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[225][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[225][2]~30033\,
	combout => \led_flash_cnt[225][3]~30034_combout\,
	cout => \led_flash_cnt[225][3]~30035\);

-- Location: FF_X51_Y15_N19
\led_flash_cnt[225][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[225][3]~30034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[225][3]~q\);

-- Location: LCCOMB_X51_Y15_N20
\led_flash_cnt[225][4]~30036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[225][4]~30036_combout\ = (\led_flash_cnt[225][4]~q\ & (!\led_flash_cnt[225][3]~30035\)) # (!\led_flash_cnt[225][4]~q\ & ((\led_flash_cnt[225][3]~30035\) # (GND)))
-- \led_flash_cnt[225][4]~30037\ = CARRY((!\led_flash_cnt[225][3]~30035\) # (!\led_flash_cnt[225][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[225][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[225][3]~30035\,
	combout => \led_flash_cnt[225][4]~30036_combout\,
	cout => \led_flash_cnt[225][4]~30037\);

-- Location: FF_X51_Y15_N21
\led_flash_cnt[225][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[225][4]~30036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[225][4]~q\);

-- Location: LCCOMB_X51_Y15_N22
\led_flash_cnt[225][5]~30038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[225][5]~30038_combout\ = (\led_flash_cnt[225][5]~q\ & (\led_flash_cnt[225][4]~30037\ $ (GND))) # (!\led_flash_cnt[225][5]~q\ & (!\led_flash_cnt[225][4]~30037\ & VCC))
-- \led_flash_cnt[225][5]~30039\ = CARRY((\led_flash_cnt[225][5]~q\ & !\led_flash_cnt[225][4]~30037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[225][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[225][4]~30037\,
	combout => \led_flash_cnt[225][5]~30038_combout\,
	cout => \led_flash_cnt[225][5]~30039\);

-- Location: FF_X51_Y15_N23
\led_flash_cnt[225][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[225][5]~30038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[225][5]~q\);

-- Location: LCCOMB_X51_Y15_N24
\led_flash_cnt[225][6]~30040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[225][6]~30040_combout\ = (\led_flash_cnt[225][6]~q\ & (!\led_flash_cnt[225][5]~30039\)) # (!\led_flash_cnt[225][6]~q\ & ((\led_flash_cnt[225][5]~30039\) # (GND)))
-- \led_flash_cnt[225][6]~30041\ = CARRY((!\led_flash_cnt[225][5]~30039\) # (!\led_flash_cnt[225][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[225][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[225][5]~30039\,
	combout => \led_flash_cnt[225][6]~30040_combout\,
	cout => \led_flash_cnt[225][6]~30041\);

-- Location: FF_X51_Y15_N25
\led_flash_cnt[225][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[225][6]~30040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[225][6]~q\);

-- Location: LCCOMB_X51_Y15_N26
\led_flash_cnt[225][7]~30042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[225][7]~30042_combout\ = \led_flash_cnt[225][7]~q\ $ (!\led_flash_cnt[225][6]~30041\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[225][7]~q\,
	cin => \led_flash_cnt[225][6]~30041\,
	combout => \led_flash_cnt[225][7]~30042_combout\);

-- Location: FF_X51_Y15_N27
\led_flash_cnt[225][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[225][7]~30042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[225][7]~q\);

-- Location: LCCOMB_X51_Y15_N4
\WideAnd225~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd225~0_combout\ = (\led_flash_cnt[225][4]~q\ & (\led_flash_cnt[225][3]~q\ & (\led_flash_cnt[225][1]~q\ & \led_flash_cnt[225][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[225][4]~q\,
	datab => \led_flash_cnt[225][3]~q\,
	datac => \led_flash_cnt[225][1]~q\,
	datad => \led_flash_cnt[225][2]~q\,
	combout => \WideAnd225~0_combout\);

-- Location: LCCOMB_X51_Y15_N28
\WideAnd225~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd225~1_combout\ = (\led_flash_cnt[225][5]~q\ & \led_flash_cnt[225][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[225][5]~q\,
	datad => \led_flash_cnt[225][6]~q\,
	combout => \WideAnd225~1_combout\);

-- Location: LCCOMB_X51_Y15_N10
WideAnd225 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd225~combout\ = (\led_flash_cnt[225][7]~q\ & (\WideAnd225~0_combout\ & (\led_flash_cnt[225][0]~q\ & \WideAnd225~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[225][7]~q\,
	datab => \WideAnd225~0_combout\,
	datac => \led_flash_cnt[225][0]~q\,
	datad => \WideAnd225~1_combout\,
	combout => \WideAnd225~combout\);

-- Location: FF_X51_Y15_N11
\led_flash_cnt_ands[225]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd225~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(225));

-- Location: LCCOMB_X50_Y13_N20
\led_flash_cnt[227][0]~80867\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[227][0]~80867_combout\ = !\led_flash_cnt[227][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[227][0]~q\,
	combout => \led_flash_cnt[227][0]~80867_combout\);

-- Location: FF_X50_Y13_N21
\led_flash_cnt[227][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[227][0]~80867_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[227][0]~q\);

-- Location: LCCOMB_X50_Y13_N6
\led_flash_cnt[227][1]~30058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[227][1]~30058_combout\ = (\led_flash_cnt[227][1]~q\ & (\led_flash_cnt[227][0]~q\ $ (VCC))) # (!\led_flash_cnt[227][1]~q\ & (\led_flash_cnt[227][0]~q\ & VCC))
-- \led_flash_cnt[227][1]~30059\ = CARRY((\led_flash_cnt[227][1]~q\ & \led_flash_cnt[227][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[227][1]~q\,
	datab => \led_flash_cnt[227][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[227][1]~30058_combout\,
	cout => \led_flash_cnt[227][1]~30059\);

-- Location: FF_X50_Y13_N7
\led_flash_cnt[227][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[227][1]~30058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[227][1]~q\);

-- Location: LCCOMB_X50_Y13_N8
\led_flash_cnt[227][2]~30060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[227][2]~30060_combout\ = (\led_flash_cnt[227][2]~q\ & (!\led_flash_cnt[227][1]~30059\)) # (!\led_flash_cnt[227][2]~q\ & ((\led_flash_cnt[227][1]~30059\) # (GND)))
-- \led_flash_cnt[227][2]~30061\ = CARRY((!\led_flash_cnt[227][1]~30059\) # (!\led_flash_cnt[227][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[227][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[227][1]~30059\,
	combout => \led_flash_cnt[227][2]~30060_combout\,
	cout => \led_flash_cnt[227][2]~30061\);

-- Location: FF_X50_Y13_N9
\led_flash_cnt[227][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[227][2]~30060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[227][2]~q\);

-- Location: LCCOMB_X50_Y13_N10
\led_flash_cnt[227][3]~30062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[227][3]~30062_combout\ = (\led_flash_cnt[227][3]~q\ & (\led_flash_cnt[227][2]~30061\ $ (GND))) # (!\led_flash_cnt[227][3]~q\ & (!\led_flash_cnt[227][2]~30061\ & VCC))
-- \led_flash_cnt[227][3]~30063\ = CARRY((\led_flash_cnt[227][3]~q\ & !\led_flash_cnt[227][2]~30061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[227][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[227][2]~30061\,
	combout => \led_flash_cnt[227][3]~30062_combout\,
	cout => \led_flash_cnt[227][3]~30063\);

-- Location: FF_X50_Y13_N11
\led_flash_cnt[227][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[227][3]~30062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[227][3]~q\);

-- Location: LCCOMB_X50_Y13_N12
\led_flash_cnt[227][4]~30064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[227][4]~30064_combout\ = (\led_flash_cnt[227][4]~q\ & (!\led_flash_cnt[227][3]~30063\)) # (!\led_flash_cnt[227][4]~q\ & ((\led_flash_cnt[227][3]~30063\) # (GND)))
-- \led_flash_cnt[227][4]~30065\ = CARRY((!\led_flash_cnt[227][3]~30063\) # (!\led_flash_cnt[227][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[227][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[227][3]~30063\,
	combout => \led_flash_cnt[227][4]~30064_combout\,
	cout => \led_flash_cnt[227][4]~30065\);

-- Location: FF_X50_Y13_N13
\led_flash_cnt[227][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[227][4]~30064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[227][4]~q\);

-- Location: LCCOMB_X50_Y13_N22
\WideAnd227~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd227~0_combout\ = (\led_flash_cnt[227][3]~q\ & (\led_flash_cnt[227][4]~q\ & (\led_flash_cnt[227][2]~q\ & \led_flash_cnt[227][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[227][3]~q\,
	datab => \led_flash_cnt[227][4]~q\,
	datac => \led_flash_cnt[227][2]~q\,
	datad => \led_flash_cnt[227][1]~q\,
	combout => \WideAnd227~0_combout\);

-- Location: LCCOMB_X50_Y13_N14
\led_flash_cnt[227][5]~30066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[227][5]~30066_combout\ = (\led_flash_cnt[227][5]~q\ & (\led_flash_cnt[227][4]~30065\ $ (GND))) # (!\led_flash_cnt[227][5]~q\ & (!\led_flash_cnt[227][4]~30065\ & VCC))
-- \led_flash_cnt[227][5]~30067\ = CARRY((\led_flash_cnt[227][5]~q\ & !\led_flash_cnt[227][4]~30065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[227][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[227][4]~30065\,
	combout => \led_flash_cnt[227][5]~30066_combout\,
	cout => \led_flash_cnt[227][5]~30067\);

-- Location: FF_X50_Y13_N15
\led_flash_cnt[227][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[227][5]~30066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[227][5]~q\);

-- Location: LCCOMB_X50_Y13_N16
\led_flash_cnt[227][6]~30068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[227][6]~30068_combout\ = (\led_flash_cnt[227][6]~q\ & (!\led_flash_cnt[227][5]~30067\)) # (!\led_flash_cnt[227][6]~q\ & ((\led_flash_cnt[227][5]~30067\) # (GND)))
-- \led_flash_cnt[227][6]~30069\ = CARRY((!\led_flash_cnt[227][5]~30067\) # (!\led_flash_cnt[227][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[227][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[227][5]~30067\,
	combout => \led_flash_cnt[227][6]~30068_combout\,
	cout => \led_flash_cnt[227][6]~30069\);

-- Location: FF_X50_Y13_N17
\led_flash_cnt[227][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[227][6]~30068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[227][6]~q\);

-- Location: LCCOMB_X50_Y13_N18
\led_flash_cnt[227][7]~30070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[227][7]~30070_combout\ = \led_flash_cnt[227][6]~30069\ $ (!\led_flash_cnt[227][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[227][7]~q\,
	cin => \led_flash_cnt[227][6]~30069\,
	combout => \led_flash_cnt[227][7]~30070_combout\);

-- Location: FF_X50_Y13_N19
\led_flash_cnt[227][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[227][7]~30070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[227][7]~q\);

-- Location: LCCOMB_X50_Y13_N30
\WideAnd227~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd227~1_combout\ = (\led_flash_cnt[227][5]~q\ & \led_flash_cnt[227][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[227][5]~q\,
	datad => \led_flash_cnt[227][6]~q\,
	combout => \WideAnd227~1_combout\);

-- Location: LCCOMB_X50_Y13_N26
WideAnd227 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd227~combout\ = (\WideAnd227~0_combout\ & (\led_flash_cnt[227][7]~q\ & (\WideAnd227~1_combout\ & \led_flash_cnt[227][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd227~0_combout\,
	datab => \led_flash_cnt[227][7]~q\,
	datac => \WideAnd227~1_combout\,
	datad => \led_flash_cnt[227][0]~q\,
	combout => \WideAnd227~combout\);

-- Location: FF_X50_Y13_N27
\led_flash_cnt_ands[227]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd227~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(227));

-- Location: LCCOMB_X43_Y1_N2
\led_flash_cnt[226][0]~80866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[226][0]~80866_combout\ = !\led_flash_cnt[226][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[226][0]~q\,
	combout => \led_flash_cnt[226][0]~80866_combout\);

-- Location: FF_X43_Y1_N3
\led_flash_cnt[226][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[226][0]~80866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[226][0]~q\);

-- Location: LCCOMB_X42_Y1_N0
\led_flash_cnt[226][1]~30044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[226][1]~30044_combout\ = (\led_flash_cnt[226][0]~q\ & (\led_flash_cnt[226][1]~q\ $ (VCC))) # (!\led_flash_cnt[226][0]~q\ & (\led_flash_cnt[226][1]~q\ & VCC))
-- \led_flash_cnt[226][1]~30045\ = CARRY((\led_flash_cnt[226][0]~q\ & \led_flash_cnt[226][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[226][0]~q\,
	datab => \led_flash_cnt[226][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[226][1]~30044_combout\,
	cout => \led_flash_cnt[226][1]~30045\);

-- Location: FF_X42_Y1_N1
\led_flash_cnt[226][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[226][1]~30044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[226][1]~q\);

-- Location: LCCOMB_X42_Y1_N2
\led_flash_cnt[226][2]~30046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[226][2]~30046_combout\ = (\led_flash_cnt[226][2]~q\ & (!\led_flash_cnt[226][1]~30045\)) # (!\led_flash_cnt[226][2]~q\ & ((\led_flash_cnt[226][1]~30045\) # (GND)))
-- \led_flash_cnt[226][2]~30047\ = CARRY((!\led_flash_cnt[226][1]~30045\) # (!\led_flash_cnt[226][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[226][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[226][1]~30045\,
	combout => \led_flash_cnt[226][2]~30046_combout\,
	cout => \led_flash_cnt[226][2]~30047\);

-- Location: FF_X42_Y1_N3
\led_flash_cnt[226][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[226][2]~30046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[226][2]~q\);

-- Location: LCCOMB_X42_Y1_N4
\led_flash_cnt[226][3]~30048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[226][3]~30048_combout\ = (\led_flash_cnt[226][3]~q\ & (\led_flash_cnt[226][2]~30047\ $ (GND))) # (!\led_flash_cnt[226][3]~q\ & (!\led_flash_cnt[226][2]~30047\ & VCC))
-- \led_flash_cnt[226][3]~30049\ = CARRY((\led_flash_cnt[226][3]~q\ & !\led_flash_cnt[226][2]~30047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[226][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[226][2]~30047\,
	combout => \led_flash_cnt[226][3]~30048_combout\,
	cout => \led_flash_cnt[226][3]~30049\);

-- Location: FF_X42_Y1_N5
\led_flash_cnt[226][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[226][3]~30048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[226][3]~q\);

-- Location: LCCOMB_X42_Y1_N6
\led_flash_cnt[226][4]~30050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[226][4]~30050_combout\ = (\led_flash_cnt[226][4]~q\ & (!\led_flash_cnt[226][3]~30049\)) # (!\led_flash_cnt[226][4]~q\ & ((\led_flash_cnt[226][3]~30049\) # (GND)))
-- \led_flash_cnt[226][4]~30051\ = CARRY((!\led_flash_cnt[226][3]~30049\) # (!\led_flash_cnt[226][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[226][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[226][3]~30049\,
	combout => \led_flash_cnt[226][4]~30050_combout\,
	cout => \led_flash_cnt[226][4]~30051\);

-- Location: FF_X42_Y1_N7
\led_flash_cnt[226][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[226][4]~30050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[226][4]~q\);

-- Location: LCCOMB_X42_Y1_N8
\led_flash_cnt[226][5]~30052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[226][5]~30052_combout\ = (\led_flash_cnt[226][5]~q\ & (\led_flash_cnt[226][4]~30051\ $ (GND))) # (!\led_flash_cnt[226][5]~q\ & (!\led_flash_cnt[226][4]~30051\ & VCC))
-- \led_flash_cnt[226][5]~30053\ = CARRY((\led_flash_cnt[226][5]~q\ & !\led_flash_cnt[226][4]~30051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[226][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[226][4]~30051\,
	combout => \led_flash_cnt[226][5]~30052_combout\,
	cout => \led_flash_cnt[226][5]~30053\);

-- Location: FF_X42_Y1_N9
\led_flash_cnt[226][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[226][5]~30052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[226][5]~q\);

-- Location: LCCOMB_X42_Y1_N10
\led_flash_cnt[226][6]~30054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[226][6]~30054_combout\ = (\led_flash_cnt[226][6]~q\ & (!\led_flash_cnt[226][5]~30053\)) # (!\led_flash_cnt[226][6]~q\ & ((\led_flash_cnt[226][5]~30053\) # (GND)))
-- \led_flash_cnt[226][6]~30055\ = CARRY((!\led_flash_cnt[226][5]~30053\) # (!\led_flash_cnt[226][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[226][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[226][5]~30053\,
	combout => \led_flash_cnt[226][6]~30054_combout\,
	cout => \led_flash_cnt[226][6]~30055\);

-- Location: FF_X42_Y1_N11
\led_flash_cnt[226][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[226][6]~30054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[226][6]~q\);

-- Location: LCCOMB_X42_Y1_N12
\led_flash_cnt[226][7]~30056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[226][7]~30056_combout\ = \led_flash_cnt[226][6]~30055\ $ (!\led_flash_cnt[226][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[226][7]~q\,
	cin => \led_flash_cnt[226][6]~30055\,
	combout => \led_flash_cnt[226][7]~30056_combout\);

-- Location: FF_X42_Y1_N13
\led_flash_cnt[226][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[226][7]~30056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[226][7]~q\);

-- Location: LCCOMB_X43_Y1_N8
\WideAnd226~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd226~1_combout\ = (\led_flash_cnt[226][6]~q\ & \led_flash_cnt[226][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[226][6]~q\,
	datad => \led_flash_cnt[226][5]~q\,
	combout => \WideAnd226~1_combout\);

-- Location: LCCOMB_X42_Y1_N14
\WideAnd226~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd226~0_combout\ = (\led_flash_cnt[226][4]~q\ & (\led_flash_cnt[226][2]~q\ & (\led_flash_cnt[226][3]~q\ & \led_flash_cnt[226][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[226][4]~q\,
	datab => \led_flash_cnt[226][2]~q\,
	datac => \led_flash_cnt[226][3]~q\,
	datad => \led_flash_cnt[226][1]~q\,
	combout => \WideAnd226~0_combout\);

-- Location: LCCOMB_X43_Y1_N30
WideAnd226 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd226~combout\ = (\led_flash_cnt[226][7]~q\ & (\led_flash_cnt[226][0]~q\ & (\WideAnd226~1_combout\ & \WideAnd226~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[226][7]~q\,
	datab => \led_flash_cnt[226][0]~q\,
	datac => \WideAnd226~1_combout\,
	datad => \WideAnd226~0_combout\,
	combout => \WideAnd226~combout\);

-- Location: FF_X43_Y1_N31
\led_flash_cnt_ands[226]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd226~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(226));

-- Location: LCCOMB_X51_Y15_N2
\led_flash_cnt[224][0]~80864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[224][0]~80864_combout\ = !\led_flash_cnt[224][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[224][0]~q\,
	combout => \led_flash_cnt[224][0]~80864_combout\);

-- Location: FF_X51_Y15_N3
\led_flash_cnt[224][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[224][0]~80864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[224][0]~q\);

-- Location: LCCOMB_X50_Y15_N4
\led_flash_cnt[224][1]~30016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[224][1]~30016_combout\ = (\led_flash_cnt[224][0]~q\ & (\led_flash_cnt[224][1]~q\ $ (VCC))) # (!\led_flash_cnt[224][0]~q\ & (\led_flash_cnt[224][1]~q\ & VCC))
-- \led_flash_cnt[224][1]~30017\ = CARRY((\led_flash_cnt[224][0]~q\ & \led_flash_cnt[224][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[224][0]~q\,
	datab => \led_flash_cnt[224][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[224][1]~30016_combout\,
	cout => \led_flash_cnt[224][1]~30017\);

-- Location: FF_X50_Y15_N5
\led_flash_cnt[224][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[224][1]~30016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[224][1]~q\);

-- Location: LCCOMB_X50_Y15_N6
\led_flash_cnt[224][2]~30018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[224][2]~30018_combout\ = (\led_flash_cnt[224][2]~q\ & (!\led_flash_cnt[224][1]~30017\)) # (!\led_flash_cnt[224][2]~q\ & ((\led_flash_cnt[224][1]~30017\) # (GND)))
-- \led_flash_cnt[224][2]~30019\ = CARRY((!\led_flash_cnt[224][1]~30017\) # (!\led_flash_cnt[224][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[224][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[224][1]~30017\,
	combout => \led_flash_cnt[224][2]~30018_combout\,
	cout => \led_flash_cnt[224][2]~30019\);

-- Location: FF_X50_Y15_N7
\led_flash_cnt[224][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[224][2]~30018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[224][2]~q\);

-- Location: LCCOMB_X50_Y15_N8
\led_flash_cnt[224][3]~30020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[224][3]~30020_combout\ = (\led_flash_cnt[224][3]~q\ & (\led_flash_cnt[224][2]~30019\ $ (GND))) # (!\led_flash_cnt[224][3]~q\ & (!\led_flash_cnt[224][2]~30019\ & VCC))
-- \led_flash_cnt[224][3]~30021\ = CARRY((\led_flash_cnt[224][3]~q\ & !\led_flash_cnt[224][2]~30019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[224][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[224][2]~30019\,
	combout => \led_flash_cnt[224][3]~30020_combout\,
	cout => \led_flash_cnt[224][3]~30021\);

-- Location: FF_X50_Y15_N9
\led_flash_cnt[224][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[224][3]~30020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[224][3]~q\);

-- Location: LCCOMB_X50_Y15_N10
\led_flash_cnt[224][4]~30022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[224][4]~30022_combout\ = (\led_flash_cnt[224][4]~q\ & (!\led_flash_cnt[224][3]~30021\)) # (!\led_flash_cnt[224][4]~q\ & ((\led_flash_cnt[224][3]~30021\) # (GND)))
-- \led_flash_cnt[224][4]~30023\ = CARRY((!\led_flash_cnt[224][3]~30021\) # (!\led_flash_cnt[224][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[224][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[224][3]~30021\,
	combout => \led_flash_cnt[224][4]~30022_combout\,
	cout => \led_flash_cnt[224][4]~30023\);

-- Location: FF_X50_Y15_N11
\led_flash_cnt[224][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[224][4]~30022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[224][4]~q\);

-- Location: LCCOMB_X50_Y15_N2
\WideAnd224~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd224~0_combout\ = (\led_flash_cnt[224][4]~q\ & (\led_flash_cnt[224][3]~q\ & (\led_flash_cnt[224][1]~q\ & \led_flash_cnt[224][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[224][4]~q\,
	datab => \led_flash_cnt[224][3]~q\,
	datac => \led_flash_cnt[224][1]~q\,
	datad => \led_flash_cnt[224][2]~q\,
	combout => \WideAnd224~0_combout\);

-- Location: LCCOMB_X50_Y15_N12
\led_flash_cnt[224][5]~30024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[224][5]~30024_combout\ = (\led_flash_cnt[224][5]~q\ & (\led_flash_cnt[224][4]~30023\ $ (GND))) # (!\led_flash_cnt[224][5]~q\ & (!\led_flash_cnt[224][4]~30023\ & VCC))
-- \led_flash_cnt[224][5]~30025\ = CARRY((\led_flash_cnt[224][5]~q\ & !\led_flash_cnt[224][4]~30023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[224][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[224][4]~30023\,
	combout => \led_flash_cnt[224][5]~30024_combout\,
	cout => \led_flash_cnt[224][5]~30025\);

-- Location: FF_X50_Y15_N13
\led_flash_cnt[224][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[224][5]~30024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[224][5]~q\);

-- Location: LCCOMB_X50_Y15_N14
\led_flash_cnt[224][6]~30026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[224][6]~30026_combout\ = (\led_flash_cnt[224][6]~q\ & (!\led_flash_cnt[224][5]~30025\)) # (!\led_flash_cnt[224][6]~q\ & ((\led_flash_cnt[224][5]~30025\) # (GND)))
-- \led_flash_cnt[224][6]~30027\ = CARRY((!\led_flash_cnt[224][5]~30025\) # (!\led_flash_cnt[224][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[224][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[224][5]~30025\,
	combout => \led_flash_cnt[224][6]~30026_combout\,
	cout => \led_flash_cnt[224][6]~30027\);

-- Location: FF_X50_Y15_N15
\led_flash_cnt[224][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[224][6]~30026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[224][6]~q\);

-- Location: LCCOMB_X51_Y15_N8
\WideAnd224~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd224~1_combout\ = (\led_flash_cnt[224][6]~q\ & \led_flash_cnt[224][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[224][6]~q\,
	datad => \led_flash_cnt[224][5]~q\,
	combout => \WideAnd224~1_combout\);

-- Location: LCCOMB_X50_Y15_N16
\led_flash_cnt[224][7]~30028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[224][7]~30028_combout\ = \led_flash_cnt[224][6]~30027\ $ (!\led_flash_cnt[224][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[224][7]~q\,
	cin => \led_flash_cnt[224][6]~30027\,
	combout => \led_flash_cnt[224][7]~30028_combout\);

-- Location: FF_X50_Y15_N17
\led_flash_cnt[224][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[224][7]~30028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[224][7]~q\);

-- Location: LCCOMB_X51_Y15_N0
WideAnd224 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd224~combout\ = (\WideAnd224~0_combout\ & (\WideAnd224~1_combout\ & (\led_flash_cnt[224][7]~q\ & \led_flash_cnt[224][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd224~0_combout\,
	datab => \WideAnd224~1_combout\,
	datac => \led_flash_cnt[224][7]~q\,
	datad => \led_flash_cnt[224][0]~q\,
	combout => \WideAnd224~combout\);

-- Location: FF_X51_Y15_N1
\led_flash_cnt_ands[224]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd224~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(224));

-- Location: LCCOMB_X51_Y15_N12
\WideAnd3868~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3868~0_combout\ = (led_flash_cnt_ands(225) & (led_flash_cnt_ands(227) & (led_flash_cnt_ands(226) & led_flash_cnt_ands(224))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(225),
	datab => led_flash_cnt_ands(227),
	datac => led_flash_cnt_ands(226),
	datad => led_flash_cnt_ands(224),
	combout => \WideAnd3868~0_combout\);

-- Location: LCCOMB_X55_Y19_N8
WideAnd3868 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3868~combout\ = (led_flash_cnt_ands(230) & (led_flash_cnt_ands(231) & (\WideAnd3868~1_combout\ & \WideAnd3868~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(230),
	datab => led_flash_cnt_ands(231),
	datac => \WideAnd3868~1_combout\,
	datad => \WideAnd3868~0_combout\,
	combout => \WideAnd3868~combout\);

-- Location: FF_X55_Y19_N9
\led_flash_cnt_ands_1[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3868~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(28));

-- Location: LCCOMB_X63_Y19_N26
\led_flash_cnt[239][0]~80879\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[239][0]~80879_combout\ = !\led_flash_cnt[239][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[239][0]~q\,
	combout => \led_flash_cnt[239][0]~80879_combout\);

-- Location: FF_X63_Y19_N27
\led_flash_cnt[239][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[239][0]~80879_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[239][0]~q\);

-- Location: LCCOMB_X63_Y19_N8
\led_flash_cnt[239][1]~30226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[239][1]~30226_combout\ = (\led_flash_cnt[239][0]~q\ & (\led_flash_cnt[239][1]~q\ $ (VCC))) # (!\led_flash_cnt[239][0]~q\ & (\led_flash_cnt[239][1]~q\ & VCC))
-- \led_flash_cnt[239][1]~30227\ = CARRY((\led_flash_cnt[239][0]~q\ & \led_flash_cnt[239][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[239][0]~q\,
	datab => \led_flash_cnt[239][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[239][1]~30226_combout\,
	cout => \led_flash_cnt[239][1]~30227\);

-- Location: FF_X63_Y19_N9
\led_flash_cnt[239][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[239][1]~30226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[239][1]~q\);

-- Location: LCCOMB_X63_Y19_N10
\led_flash_cnt[239][2]~30228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[239][2]~30228_combout\ = (\led_flash_cnt[239][2]~q\ & (!\led_flash_cnt[239][1]~30227\)) # (!\led_flash_cnt[239][2]~q\ & ((\led_flash_cnt[239][1]~30227\) # (GND)))
-- \led_flash_cnt[239][2]~30229\ = CARRY((!\led_flash_cnt[239][1]~30227\) # (!\led_flash_cnt[239][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[239][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[239][1]~30227\,
	combout => \led_flash_cnt[239][2]~30228_combout\,
	cout => \led_flash_cnt[239][2]~30229\);

-- Location: FF_X63_Y19_N11
\led_flash_cnt[239][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[239][2]~30228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[239][2]~q\);

-- Location: LCCOMB_X63_Y19_N12
\led_flash_cnt[239][3]~30230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[239][3]~30230_combout\ = (\led_flash_cnt[239][3]~q\ & (\led_flash_cnt[239][2]~30229\ $ (GND))) # (!\led_flash_cnt[239][3]~q\ & (!\led_flash_cnt[239][2]~30229\ & VCC))
-- \led_flash_cnt[239][3]~30231\ = CARRY((\led_flash_cnt[239][3]~q\ & !\led_flash_cnt[239][2]~30229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[239][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[239][2]~30229\,
	combout => \led_flash_cnt[239][3]~30230_combout\,
	cout => \led_flash_cnt[239][3]~30231\);

-- Location: FF_X63_Y19_N13
\led_flash_cnt[239][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[239][3]~30230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[239][3]~q\);

-- Location: LCCOMB_X63_Y19_N14
\led_flash_cnt[239][4]~30232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[239][4]~30232_combout\ = (\led_flash_cnt[239][4]~q\ & (!\led_flash_cnt[239][3]~30231\)) # (!\led_flash_cnt[239][4]~q\ & ((\led_flash_cnt[239][3]~30231\) # (GND)))
-- \led_flash_cnt[239][4]~30233\ = CARRY((!\led_flash_cnt[239][3]~30231\) # (!\led_flash_cnt[239][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[239][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[239][3]~30231\,
	combout => \led_flash_cnt[239][4]~30232_combout\,
	cout => \led_flash_cnt[239][4]~30233\);

-- Location: FF_X63_Y19_N15
\led_flash_cnt[239][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[239][4]~30232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[239][4]~q\);

-- Location: LCCOMB_X63_Y19_N22
\WideAnd239~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd239~0_combout\ = (\led_flash_cnt[239][3]~q\ & (\led_flash_cnt[239][1]~q\ & (\led_flash_cnt[239][4]~q\ & \led_flash_cnt[239][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[239][3]~q\,
	datab => \led_flash_cnt[239][1]~q\,
	datac => \led_flash_cnt[239][4]~q\,
	datad => \led_flash_cnt[239][2]~q\,
	combout => \WideAnd239~0_combout\);

-- Location: LCCOMB_X63_Y19_N16
\led_flash_cnt[239][5]~30234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[239][5]~30234_combout\ = (\led_flash_cnt[239][5]~q\ & (\led_flash_cnt[239][4]~30233\ $ (GND))) # (!\led_flash_cnt[239][5]~q\ & (!\led_flash_cnt[239][4]~30233\ & VCC))
-- \led_flash_cnt[239][5]~30235\ = CARRY((\led_flash_cnt[239][5]~q\ & !\led_flash_cnt[239][4]~30233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[239][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[239][4]~30233\,
	combout => \led_flash_cnt[239][5]~30234_combout\,
	cout => \led_flash_cnt[239][5]~30235\);

-- Location: FF_X63_Y19_N17
\led_flash_cnt[239][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[239][5]~30234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[239][5]~q\);

-- Location: LCCOMB_X63_Y19_N18
\led_flash_cnt[239][6]~30236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[239][6]~30236_combout\ = (\led_flash_cnt[239][6]~q\ & (!\led_flash_cnt[239][5]~30235\)) # (!\led_flash_cnt[239][6]~q\ & ((\led_flash_cnt[239][5]~30235\) # (GND)))
-- \led_flash_cnt[239][6]~30237\ = CARRY((!\led_flash_cnt[239][5]~30235\) # (!\led_flash_cnt[239][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[239][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[239][5]~30235\,
	combout => \led_flash_cnt[239][6]~30236_combout\,
	cout => \led_flash_cnt[239][6]~30237\);

-- Location: FF_X63_Y19_N19
\led_flash_cnt[239][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[239][6]~30236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[239][6]~q\);

-- Location: LCCOMB_X63_Y19_N20
\led_flash_cnt[239][7]~30238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[239][7]~30238_combout\ = \led_flash_cnt[239][6]~30237\ $ (!\led_flash_cnt[239][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[239][7]~q\,
	cin => \led_flash_cnt[239][6]~30237\,
	combout => \led_flash_cnt[239][7]~30238_combout\);

-- Location: FF_X63_Y19_N21
\led_flash_cnt[239][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[239][7]~30238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[239][7]~q\);

-- Location: LCCOMB_X63_Y19_N0
\WideAnd239~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd239~1_combout\ = (\led_flash_cnt[239][6]~q\ & \led_flash_cnt[239][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[239][6]~q\,
	datad => \led_flash_cnt[239][5]~q\,
	combout => \WideAnd239~1_combout\);

-- Location: LCCOMB_X63_Y19_N30
WideAnd239 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd239~combout\ = (\WideAnd239~0_combout\ & (\led_flash_cnt[239][7]~q\ & (\led_flash_cnt[239][0]~q\ & \WideAnd239~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd239~0_combout\,
	datab => \led_flash_cnt[239][7]~q\,
	datac => \led_flash_cnt[239][0]~q\,
	datad => \WideAnd239~1_combout\,
	combout => \WideAnd239~combout\);

-- Location: FF_X63_Y19_N31
\led_flash_cnt_ands[239]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd239~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(239));

-- Location: LCCOMB_X63_Y20_N4
\led_flash_cnt[238][0]~80878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[238][0]~80878_combout\ = !\led_flash_cnt[238][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[238][0]~q\,
	combout => \led_flash_cnt[238][0]~80878_combout\);

-- Location: FF_X63_Y20_N5
\led_flash_cnt[238][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[238][0]~80878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[238][0]~q\);

-- Location: LCCOMB_X63_Y20_N10
\led_flash_cnt[238][1]~30212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[238][1]~30212_combout\ = (\led_flash_cnt[238][1]~q\ & (\led_flash_cnt[238][0]~q\ $ (VCC))) # (!\led_flash_cnt[238][1]~q\ & (\led_flash_cnt[238][0]~q\ & VCC))
-- \led_flash_cnt[238][1]~30213\ = CARRY((\led_flash_cnt[238][1]~q\ & \led_flash_cnt[238][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[238][1]~q\,
	datab => \led_flash_cnt[238][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[238][1]~30212_combout\,
	cout => \led_flash_cnt[238][1]~30213\);

-- Location: FF_X63_Y20_N11
\led_flash_cnt[238][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[238][1]~30212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[238][1]~q\);

-- Location: LCCOMB_X63_Y20_N12
\led_flash_cnt[238][2]~30214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[238][2]~30214_combout\ = (\led_flash_cnt[238][2]~q\ & (!\led_flash_cnt[238][1]~30213\)) # (!\led_flash_cnt[238][2]~q\ & ((\led_flash_cnt[238][1]~30213\) # (GND)))
-- \led_flash_cnt[238][2]~30215\ = CARRY((!\led_flash_cnt[238][1]~30213\) # (!\led_flash_cnt[238][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[238][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[238][1]~30213\,
	combout => \led_flash_cnt[238][2]~30214_combout\,
	cout => \led_flash_cnt[238][2]~30215\);

-- Location: FF_X63_Y20_N13
\led_flash_cnt[238][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[238][2]~30214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[238][2]~q\);

-- Location: LCCOMB_X63_Y20_N14
\led_flash_cnt[238][3]~30216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[238][3]~30216_combout\ = (\led_flash_cnt[238][3]~q\ & (\led_flash_cnt[238][2]~30215\ $ (GND))) # (!\led_flash_cnt[238][3]~q\ & (!\led_flash_cnt[238][2]~30215\ & VCC))
-- \led_flash_cnt[238][3]~30217\ = CARRY((\led_flash_cnt[238][3]~q\ & !\led_flash_cnt[238][2]~30215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[238][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[238][2]~30215\,
	combout => \led_flash_cnt[238][3]~30216_combout\,
	cout => \led_flash_cnt[238][3]~30217\);

-- Location: FF_X63_Y20_N15
\led_flash_cnt[238][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[238][3]~30216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[238][3]~q\);

-- Location: LCCOMB_X63_Y20_N16
\led_flash_cnt[238][4]~30218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[238][4]~30218_combout\ = (\led_flash_cnt[238][4]~q\ & (!\led_flash_cnt[238][3]~30217\)) # (!\led_flash_cnt[238][4]~q\ & ((\led_flash_cnt[238][3]~30217\) # (GND)))
-- \led_flash_cnt[238][4]~30219\ = CARRY((!\led_flash_cnt[238][3]~30217\) # (!\led_flash_cnt[238][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[238][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[238][3]~30217\,
	combout => \led_flash_cnt[238][4]~30218_combout\,
	cout => \led_flash_cnt[238][4]~30219\);

-- Location: FF_X63_Y20_N17
\led_flash_cnt[238][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[238][4]~30218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[238][4]~q\);

-- Location: LCCOMB_X63_Y20_N18
\led_flash_cnt[238][5]~30220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[238][5]~30220_combout\ = (\led_flash_cnt[238][5]~q\ & (\led_flash_cnt[238][4]~30219\ $ (GND))) # (!\led_flash_cnt[238][5]~q\ & (!\led_flash_cnt[238][4]~30219\ & VCC))
-- \led_flash_cnt[238][5]~30221\ = CARRY((\led_flash_cnt[238][5]~q\ & !\led_flash_cnt[238][4]~30219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[238][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[238][4]~30219\,
	combout => \led_flash_cnt[238][5]~30220_combout\,
	cout => \led_flash_cnt[238][5]~30221\);

-- Location: FF_X63_Y20_N19
\led_flash_cnt[238][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[238][5]~30220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[238][5]~q\);

-- Location: LCCOMB_X63_Y20_N20
\led_flash_cnt[238][6]~30222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[238][6]~30222_combout\ = (\led_flash_cnt[238][6]~q\ & (!\led_flash_cnt[238][5]~30221\)) # (!\led_flash_cnt[238][6]~q\ & ((\led_flash_cnt[238][5]~30221\) # (GND)))
-- \led_flash_cnt[238][6]~30223\ = CARRY((!\led_flash_cnt[238][5]~30221\) # (!\led_flash_cnt[238][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[238][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[238][5]~30221\,
	combout => \led_flash_cnt[238][6]~30222_combout\,
	cout => \led_flash_cnt[238][6]~30223\);

-- Location: FF_X63_Y20_N21
\led_flash_cnt[238][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[238][6]~30222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[238][6]~q\);

-- Location: LCCOMB_X63_Y20_N26
\WideAnd238~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd238~1_combout\ = (\led_flash_cnt[238][6]~q\ & \led_flash_cnt[238][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[238][6]~q\,
	datad => \led_flash_cnt[238][5]~q\,
	combout => \WideAnd238~1_combout\);

-- Location: LCCOMB_X63_Y20_N22
\led_flash_cnt[238][7]~30224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[238][7]~30224_combout\ = \led_flash_cnt[238][7]~q\ $ (!\led_flash_cnt[238][6]~30223\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[238][7]~q\,
	cin => \led_flash_cnt[238][6]~30223\,
	combout => \led_flash_cnt[238][7]~30224_combout\);

-- Location: FF_X63_Y20_N23
\led_flash_cnt[238][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[238][7]~30224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[238][7]~q\);

-- Location: LCCOMB_X63_Y20_N24
\WideAnd238~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd238~0_combout\ = (\led_flash_cnt[238][2]~q\ & (\led_flash_cnt[238][4]~q\ & (\led_flash_cnt[238][3]~q\ & \led_flash_cnt[238][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[238][2]~q\,
	datab => \led_flash_cnt[238][4]~q\,
	datac => \led_flash_cnt[238][3]~q\,
	datad => \led_flash_cnt[238][1]~q\,
	combout => \WideAnd238~0_combout\);

-- Location: LCCOMB_X63_Y20_N8
WideAnd238 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd238~combout\ = (\WideAnd238~1_combout\ & (\led_flash_cnt[238][0]~q\ & (\led_flash_cnt[238][7]~q\ & \WideAnd238~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd238~1_combout\,
	datab => \led_flash_cnt[238][0]~q\,
	datac => \led_flash_cnt[238][7]~q\,
	datad => \WideAnd238~0_combout\,
	combout => \WideAnd238~combout\);

-- Location: FF_X63_Y20_N9
\led_flash_cnt_ands[238]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd238~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(238));

-- Location: LCCOMB_X76_Y15_N4
\led_flash_cnt[236][0]~80876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[236][0]~80876_combout\ = !\led_flash_cnt[236][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[236][0]~q\,
	combout => \led_flash_cnt[236][0]~80876_combout\);

-- Location: FF_X76_Y15_N5
\led_flash_cnt[236][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[236][0]~80876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[236][0]~q\);

-- Location: LCCOMB_X76_Y15_N10
\led_flash_cnt[236][1]~30184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[236][1]~30184_combout\ = (\led_flash_cnt[236][1]~q\ & (\led_flash_cnt[236][0]~q\ $ (VCC))) # (!\led_flash_cnt[236][1]~q\ & (\led_flash_cnt[236][0]~q\ & VCC))
-- \led_flash_cnt[236][1]~30185\ = CARRY((\led_flash_cnt[236][1]~q\ & \led_flash_cnt[236][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[236][1]~q\,
	datab => \led_flash_cnt[236][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[236][1]~30184_combout\,
	cout => \led_flash_cnt[236][1]~30185\);

-- Location: FF_X76_Y15_N11
\led_flash_cnt[236][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[236][1]~30184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[236][1]~q\);

-- Location: LCCOMB_X76_Y15_N12
\led_flash_cnt[236][2]~30186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[236][2]~30186_combout\ = (\led_flash_cnt[236][2]~q\ & (!\led_flash_cnt[236][1]~30185\)) # (!\led_flash_cnt[236][2]~q\ & ((\led_flash_cnt[236][1]~30185\) # (GND)))
-- \led_flash_cnt[236][2]~30187\ = CARRY((!\led_flash_cnt[236][1]~30185\) # (!\led_flash_cnt[236][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[236][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[236][1]~30185\,
	combout => \led_flash_cnt[236][2]~30186_combout\,
	cout => \led_flash_cnt[236][2]~30187\);

-- Location: FF_X76_Y15_N13
\led_flash_cnt[236][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[236][2]~30186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[236][2]~q\);

-- Location: LCCOMB_X76_Y15_N14
\led_flash_cnt[236][3]~30188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[236][3]~30188_combout\ = (\led_flash_cnt[236][3]~q\ & (\led_flash_cnt[236][2]~30187\ $ (GND))) # (!\led_flash_cnt[236][3]~q\ & (!\led_flash_cnt[236][2]~30187\ & VCC))
-- \led_flash_cnt[236][3]~30189\ = CARRY((\led_flash_cnt[236][3]~q\ & !\led_flash_cnt[236][2]~30187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[236][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[236][2]~30187\,
	combout => \led_flash_cnt[236][3]~30188_combout\,
	cout => \led_flash_cnt[236][3]~30189\);

-- Location: FF_X76_Y15_N15
\led_flash_cnt[236][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[236][3]~30188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[236][3]~q\);

-- Location: LCCOMB_X76_Y15_N16
\led_flash_cnt[236][4]~30190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[236][4]~30190_combout\ = (\led_flash_cnt[236][4]~q\ & (!\led_flash_cnt[236][3]~30189\)) # (!\led_flash_cnt[236][4]~q\ & ((\led_flash_cnt[236][3]~30189\) # (GND)))
-- \led_flash_cnt[236][4]~30191\ = CARRY((!\led_flash_cnt[236][3]~30189\) # (!\led_flash_cnt[236][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[236][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[236][3]~30189\,
	combout => \led_flash_cnt[236][4]~30190_combout\,
	cout => \led_flash_cnt[236][4]~30191\);

-- Location: FF_X76_Y15_N17
\led_flash_cnt[236][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[236][4]~30190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[236][4]~q\);

-- Location: LCCOMB_X76_Y15_N18
\led_flash_cnt[236][5]~30192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[236][5]~30192_combout\ = (\led_flash_cnt[236][5]~q\ & (\led_flash_cnt[236][4]~30191\ $ (GND))) # (!\led_flash_cnt[236][5]~q\ & (!\led_flash_cnt[236][4]~30191\ & VCC))
-- \led_flash_cnt[236][5]~30193\ = CARRY((\led_flash_cnt[236][5]~q\ & !\led_flash_cnt[236][4]~30191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[236][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[236][4]~30191\,
	combout => \led_flash_cnt[236][5]~30192_combout\,
	cout => \led_flash_cnt[236][5]~30193\);

-- Location: FF_X76_Y15_N19
\led_flash_cnt[236][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[236][5]~30192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[236][5]~q\);

-- Location: LCCOMB_X76_Y15_N20
\led_flash_cnt[236][6]~30194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[236][6]~30194_combout\ = (\led_flash_cnt[236][6]~q\ & (!\led_flash_cnt[236][5]~30193\)) # (!\led_flash_cnt[236][6]~q\ & ((\led_flash_cnt[236][5]~30193\) # (GND)))
-- \led_flash_cnt[236][6]~30195\ = CARRY((!\led_flash_cnt[236][5]~30193\) # (!\led_flash_cnt[236][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[236][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[236][5]~30193\,
	combout => \led_flash_cnt[236][6]~30194_combout\,
	cout => \led_flash_cnt[236][6]~30195\);

-- Location: FF_X76_Y15_N21
\led_flash_cnt[236][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[236][6]~30194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[236][6]~q\);

-- Location: LCCOMB_X76_Y15_N26
\WideAnd236~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd236~1_combout\ = (\led_flash_cnt[236][6]~q\ & \led_flash_cnt[236][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[236][6]~q\,
	datad => \led_flash_cnt[236][5]~q\,
	combout => \WideAnd236~1_combout\);

-- Location: LCCOMB_X76_Y15_N22
\led_flash_cnt[236][7]~30196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[236][7]~30196_combout\ = \led_flash_cnt[236][7]~q\ $ (!\led_flash_cnt[236][6]~30195\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[236][7]~q\,
	cin => \led_flash_cnt[236][6]~30195\,
	combout => \led_flash_cnt[236][7]~30196_combout\);

-- Location: FF_X76_Y15_N23
\led_flash_cnt[236][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[236][7]~30196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[236][7]~q\);

-- Location: LCCOMB_X76_Y15_N24
\WideAnd236~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd236~0_combout\ = (\led_flash_cnt[236][2]~q\ & (\led_flash_cnt[236][4]~q\ & (\led_flash_cnt[236][3]~q\ & \led_flash_cnt[236][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[236][2]~q\,
	datab => \led_flash_cnt[236][4]~q\,
	datac => \led_flash_cnt[236][3]~q\,
	datad => \led_flash_cnt[236][1]~q\,
	combout => \WideAnd236~0_combout\);

-- Location: LCCOMB_X76_Y15_N8
WideAnd236 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd236~combout\ = (\WideAnd236~1_combout\ & (\led_flash_cnt[236][0]~q\ & (\led_flash_cnt[236][7]~q\ & \WideAnd236~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd236~1_combout\,
	datab => \led_flash_cnt[236][0]~q\,
	datac => \led_flash_cnt[236][7]~q\,
	datad => \WideAnd236~0_combout\,
	combout => \WideAnd236~combout\);

-- Location: FF_X76_Y15_N9
\led_flash_cnt_ands[236]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd236~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(236));

-- Location: LCCOMB_X77_Y15_N10
\led_flash_cnt[237][0]~80877\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[237][0]~80877_combout\ = !\led_flash_cnt[237][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[237][0]~q\,
	combout => \led_flash_cnt[237][0]~80877_combout\);

-- Location: FF_X77_Y15_N11
\led_flash_cnt[237][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[237][0]~80877_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[237][0]~q\);

-- Location: LCCOMB_X77_Y15_N12
\led_flash_cnt[237][1]~30198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[237][1]~30198_combout\ = (\led_flash_cnt[237][1]~q\ & (\led_flash_cnt[237][0]~q\ $ (VCC))) # (!\led_flash_cnt[237][1]~q\ & (\led_flash_cnt[237][0]~q\ & VCC))
-- \led_flash_cnt[237][1]~30199\ = CARRY((\led_flash_cnt[237][1]~q\ & \led_flash_cnt[237][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[237][1]~q\,
	datab => \led_flash_cnt[237][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[237][1]~30198_combout\,
	cout => \led_flash_cnt[237][1]~30199\);

-- Location: FF_X77_Y15_N13
\led_flash_cnt[237][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[237][1]~30198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[237][1]~q\);

-- Location: LCCOMB_X77_Y15_N14
\led_flash_cnt[237][2]~30200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[237][2]~30200_combout\ = (\led_flash_cnt[237][2]~q\ & (!\led_flash_cnt[237][1]~30199\)) # (!\led_flash_cnt[237][2]~q\ & ((\led_flash_cnt[237][1]~30199\) # (GND)))
-- \led_flash_cnt[237][2]~30201\ = CARRY((!\led_flash_cnt[237][1]~30199\) # (!\led_flash_cnt[237][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[237][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[237][1]~30199\,
	combout => \led_flash_cnt[237][2]~30200_combout\,
	cout => \led_flash_cnt[237][2]~30201\);

-- Location: FF_X77_Y15_N15
\led_flash_cnt[237][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[237][2]~30200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[237][2]~q\);

-- Location: LCCOMB_X77_Y15_N16
\led_flash_cnt[237][3]~30202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[237][3]~30202_combout\ = (\led_flash_cnt[237][3]~q\ & (\led_flash_cnt[237][2]~30201\ $ (GND))) # (!\led_flash_cnt[237][3]~q\ & (!\led_flash_cnt[237][2]~30201\ & VCC))
-- \led_flash_cnt[237][3]~30203\ = CARRY((\led_flash_cnt[237][3]~q\ & !\led_flash_cnt[237][2]~30201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[237][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[237][2]~30201\,
	combout => \led_flash_cnt[237][3]~30202_combout\,
	cout => \led_flash_cnt[237][3]~30203\);

-- Location: FF_X77_Y15_N17
\led_flash_cnt[237][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[237][3]~30202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[237][3]~q\);

-- Location: LCCOMB_X77_Y15_N18
\led_flash_cnt[237][4]~30204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[237][4]~30204_combout\ = (\led_flash_cnt[237][4]~q\ & (!\led_flash_cnt[237][3]~30203\)) # (!\led_flash_cnt[237][4]~q\ & ((\led_flash_cnt[237][3]~30203\) # (GND)))
-- \led_flash_cnt[237][4]~30205\ = CARRY((!\led_flash_cnt[237][3]~30203\) # (!\led_flash_cnt[237][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[237][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[237][3]~30203\,
	combout => \led_flash_cnt[237][4]~30204_combout\,
	cout => \led_flash_cnt[237][4]~30205\);

-- Location: FF_X77_Y15_N19
\led_flash_cnt[237][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[237][4]~30204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[237][4]~q\);

-- Location: LCCOMB_X77_Y15_N20
\led_flash_cnt[237][5]~30206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[237][5]~30206_combout\ = (\led_flash_cnt[237][5]~q\ & (\led_flash_cnt[237][4]~30205\ $ (GND))) # (!\led_flash_cnt[237][5]~q\ & (!\led_flash_cnt[237][4]~30205\ & VCC))
-- \led_flash_cnt[237][5]~30207\ = CARRY((\led_flash_cnt[237][5]~q\ & !\led_flash_cnt[237][4]~30205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[237][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[237][4]~30205\,
	combout => \led_flash_cnt[237][5]~30206_combout\,
	cout => \led_flash_cnt[237][5]~30207\);

-- Location: FF_X77_Y15_N21
\led_flash_cnt[237][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[237][5]~30206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[237][5]~q\);

-- Location: LCCOMB_X77_Y15_N22
\led_flash_cnt[237][6]~30208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[237][6]~30208_combout\ = (\led_flash_cnt[237][6]~q\ & (!\led_flash_cnt[237][5]~30207\)) # (!\led_flash_cnt[237][6]~q\ & ((\led_flash_cnt[237][5]~30207\) # (GND)))
-- \led_flash_cnt[237][6]~30209\ = CARRY((!\led_flash_cnt[237][5]~30207\) # (!\led_flash_cnt[237][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[237][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[237][5]~30207\,
	combout => \led_flash_cnt[237][6]~30208_combout\,
	cout => \led_flash_cnt[237][6]~30209\);

-- Location: FF_X77_Y15_N23
\led_flash_cnt[237][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[237][6]~30208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[237][6]~q\);

-- Location: LCCOMB_X77_Y15_N24
\led_flash_cnt[237][7]~30210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[237][7]~30210_combout\ = \led_flash_cnt[237][6]~30209\ $ (!\led_flash_cnt[237][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[237][7]~q\,
	cin => \led_flash_cnt[237][6]~30209\,
	combout => \led_flash_cnt[237][7]~30210_combout\);

-- Location: FF_X77_Y15_N25
\led_flash_cnt[237][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[237][7]~30210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[237][7]~q\);

-- Location: LCCOMB_X77_Y15_N26
\WideAnd237~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd237~0_combout\ = (\led_flash_cnt[237][1]~q\ & (\led_flash_cnt[237][4]~q\ & (\led_flash_cnt[237][2]~q\ & \led_flash_cnt[237][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[237][1]~q\,
	datab => \led_flash_cnt[237][4]~q\,
	datac => \led_flash_cnt[237][2]~q\,
	datad => \led_flash_cnt[237][3]~q\,
	combout => \WideAnd237~0_combout\);

-- Location: LCCOMB_X77_Y15_N0
\WideAnd237~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd237~1_combout\ = (\led_flash_cnt[237][6]~q\ & \led_flash_cnt[237][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[237][6]~q\,
	datad => \led_flash_cnt[237][5]~q\,
	combout => \WideAnd237~1_combout\);

-- Location: LCCOMB_X77_Y15_N28
WideAnd237 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd237~combout\ = (\led_flash_cnt[237][0]~q\ & (\led_flash_cnt[237][7]~q\ & (\WideAnd237~0_combout\ & \WideAnd237~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[237][0]~q\,
	datab => \led_flash_cnt[237][7]~q\,
	datac => \WideAnd237~0_combout\,
	datad => \WideAnd237~1_combout\,
	combout => \WideAnd237~combout\);

-- Location: FF_X77_Y15_N29
\led_flash_cnt_ands[237]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd237~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(237));

-- Location: LCCOMB_X76_Y15_N0
\WideAnd3869~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3869~1_combout\ = (led_flash_cnt_ands(236) & led_flash_cnt_ands(237))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(236),
	datad => led_flash_cnt_ands(237),
	combout => \WideAnd3869~1_combout\);

-- Location: LCCOMB_X11_Y1_N10
\led_flash_cnt[233][0]~80873\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[233][0]~80873_combout\ = !\led_flash_cnt[233][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[233][0]~q\,
	combout => \led_flash_cnt[233][0]~80873_combout\);

-- Location: FF_X11_Y1_N11
\led_flash_cnt[233][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[233][0]~80873_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[233][0]~q\);

-- Location: LCCOMB_X11_Y1_N16
\led_flash_cnt[233][1]~30142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[233][1]~30142_combout\ = (\led_flash_cnt[233][0]~q\ & (\led_flash_cnt[233][1]~q\ $ (VCC))) # (!\led_flash_cnt[233][0]~q\ & (\led_flash_cnt[233][1]~q\ & VCC))
-- \led_flash_cnt[233][1]~30143\ = CARRY((\led_flash_cnt[233][0]~q\ & \led_flash_cnt[233][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[233][0]~q\,
	datab => \led_flash_cnt[233][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[233][1]~30142_combout\,
	cout => \led_flash_cnt[233][1]~30143\);

-- Location: FF_X11_Y1_N17
\led_flash_cnt[233][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[233][1]~30142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[233][1]~q\);

-- Location: LCCOMB_X11_Y1_N18
\led_flash_cnt[233][2]~30144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[233][2]~30144_combout\ = (\led_flash_cnt[233][2]~q\ & (!\led_flash_cnt[233][1]~30143\)) # (!\led_flash_cnt[233][2]~q\ & ((\led_flash_cnt[233][1]~30143\) # (GND)))
-- \led_flash_cnt[233][2]~30145\ = CARRY((!\led_flash_cnt[233][1]~30143\) # (!\led_flash_cnt[233][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[233][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[233][1]~30143\,
	combout => \led_flash_cnt[233][2]~30144_combout\,
	cout => \led_flash_cnt[233][2]~30145\);

-- Location: FF_X11_Y1_N19
\led_flash_cnt[233][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[233][2]~30144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[233][2]~q\);

-- Location: LCCOMB_X11_Y1_N20
\led_flash_cnt[233][3]~30146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[233][3]~30146_combout\ = (\led_flash_cnt[233][3]~q\ & (\led_flash_cnt[233][2]~30145\ $ (GND))) # (!\led_flash_cnt[233][3]~q\ & (!\led_flash_cnt[233][2]~30145\ & VCC))
-- \led_flash_cnt[233][3]~30147\ = CARRY((\led_flash_cnt[233][3]~q\ & !\led_flash_cnt[233][2]~30145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[233][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[233][2]~30145\,
	combout => \led_flash_cnt[233][3]~30146_combout\,
	cout => \led_flash_cnt[233][3]~30147\);

-- Location: FF_X11_Y1_N21
\led_flash_cnt[233][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[233][3]~30146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[233][3]~q\);

-- Location: LCCOMB_X11_Y1_N22
\led_flash_cnt[233][4]~30148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[233][4]~30148_combout\ = (\led_flash_cnt[233][4]~q\ & (!\led_flash_cnt[233][3]~30147\)) # (!\led_flash_cnt[233][4]~q\ & ((\led_flash_cnt[233][3]~30147\) # (GND)))
-- \led_flash_cnt[233][4]~30149\ = CARRY((!\led_flash_cnt[233][3]~30147\) # (!\led_flash_cnt[233][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[233][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[233][3]~30147\,
	combout => \led_flash_cnt[233][4]~30148_combout\,
	cout => \led_flash_cnt[233][4]~30149\);

-- Location: FF_X11_Y1_N23
\led_flash_cnt[233][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[233][4]~30148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[233][4]~q\);

-- Location: LCCOMB_X11_Y1_N24
\led_flash_cnt[233][5]~30150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[233][5]~30150_combout\ = (\led_flash_cnt[233][5]~q\ & (\led_flash_cnt[233][4]~30149\ $ (GND))) # (!\led_flash_cnt[233][5]~q\ & (!\led_flash_cnt[233][4]~30149\ & VCC))
-- \led_flash_cnt[233][5]~30151\ = CARRY((\led_flash_cnt[233][5]~q\ & !\led_flash_cnt[233][4]~30149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[233][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[233][4]~30149\,
	combout => \led_flash_cnt[233][5]~30150_combout\,
	cout => \led_flash_cnt[233][5]~30151\);

-- Location: FF_X11_Y1_N25
\led_flash_cnt[233][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[233][5]~30150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[233][5]~q\);

-- Location: LCCOMB_X11_Y1_N26
\led_flash_cnt[233][6]~30152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[233][6]~30152_combout\ = (\led_flash_cnt[233][6]~q\ & (!\led_flash_cnt[233][5]~30151\)) # (!\led_flash_cnt[233][6]~q\ & ((\led_flash_cnt[233][5]~30151\) # (GND)))
-- \led_flash_cnt[233][6]~30153\ = CARRY((!\led_flash_cnt[233][5]~30151\) # (!\led_flash_cnt[233][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[233][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[233][5]~30151\,
	combout => \led_flash_cnt[233][6]~30152_combout\,
	cout => \led_flash_cnt[233][6]~30153\);

-- Location: FF_X11_Y1_N27
\led_flash_cnt[233][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[233][6]~30152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[233][6]~q\);

-- Location: LCCOMB_X11_Y1_N28
\led_flash_cnt[233][7]~30154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[233][7]~30154_combout\ = \led_flash_cnt[233][6]~30153\ $ (!\led_flash_cnt[233][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[233][7]~q\,
	cin => \led_flash_cnt[233][6]~30153\,
	combout => \led_flash_cnt[233][7]~30154_combout\);

-- Location: FF_X11_Y1_N29
\led_flash_cnt[233][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[233][7]~30154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[233][7]~q\);

-- Location: LCCOMB_X11_Y1_N4
\WideAnd233~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd233~0_combout\ = (\led_flash_cnt[233][2]~q\ & (\led_flash_cnt[233][3]~q\ & (\led_flash_cnt[233][4]~q\ & \led_flash_cnt[233][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[233][2]~q\,
	datab => \led_flash_cnt[233][3]~q\,
	datac => \led_flash_cnt[233][4]~q\,
	datad => \led_flash_cnt[233][1]~q\,
	combout => \WideAnd233~0_combout\);

-- Location: LCCOMB_X11_Y1_N12
\WideAnd233~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd233~1_combout\ = (\led_flash_cnt[233][6]~q\ & \led_flash_cnt[233][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[233][6]~q\,
	datad => \led_flash_cnt[233][5]~q\,
	combout => \WideAnd233~1_combout\);

-- Location: LCCOMB_X11_Y1_N14
WideAnd233 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd233~combout\ = (\led_flash_cnt[233][0]~q\ & (\led_flash_cnt[233][7]~q\ & (\WideAnd233~0_combout\ & \WideAnd233~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[233][0]~q\,
	datab => \led_flash_cnt[233][7]~q\,
	datac => \WideAnd233~0_combout\,
	datad => \WideAnd233~1_combout\,
	combout => \WideAnd233~combout\);

-- Location: FF_X11_Y1_N15
\led_flash_cnt_ands[233]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd233~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(233));

-- Location: LCCOMB_X12_Y1_N30
\led_flash_cnt[234][0]~80874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[234][0]~80874_combout\ = !\led_flash_cnt[234][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[234][0]~q\,
	combout => \led_flash_cnt[234][0]~80874_combout\);

-- Location: FF_X12_Y1_N31
\led_flash_cnt[234][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[234][0]~80874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[234][0]~q\);

-- Location: LCCOMB_X12_Y1_N8
\led_flash_cnt[234][1]~30156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[234][1]~30156_combout\ = (\led_flash_cnt[234][0]~q\ & (\led_flash_cnt[234][1]~q\ $ (VCC))) # (!\led_flash_cnt[234][0]~q\ & (\led_flash_cnt[234][1]~q\ & VCC))
-- \led_flash_cnt[234][1]~30157\ = CARRY((\led_flash_cnt[234][0]~q\ & \led_flash_cnt[234][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[234][0]~q\,
	datab => \led_flash_cnt[234][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[234][1]~30156_combout\,
	cout => \led_flash_cnt[234][1]~30157\);

-- Location: FF_X12_Y1_N9
\led_flash_cnt[234][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[234][1]~30156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[234][1]~q\);

-- Location: LCCOMB_X12_Y1_N10
\led_flash_cnt[234][2]~30158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[234][2]~30158_combout\ = (\led_flash_cnt[234][2]~q\ & (!\led_flash_cnt[234][1]~30157\)) # (!\led_flash_cnt[234][2]~q\ & ((\led_flash_cnt[234][1]~30157\) # (GND)))
-- \led_flash_cnt[234][2]~30159\ = CARRY((!\led_flash_cnt[234][1]~30157\) # (!\led_flash_cnt[234][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[234][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[234][1]~30157\,
	combout => \led_flash_cnt[234][2]~30158_combout\,
	cout => \led_flash_cnt[234][2]~30159\);

-- Location: FF_X12_Y1_N11
\led_flash_cnt[234][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[234][2]~30158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[234][2]~q\);

-- Location: LCCOMB_X12_Y1_N12
\led_flash_cnt[234][3]~30160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[234][3]~30160_combout\ = (\led_flash_cnt[234][3]~q\ & (\led_flash_cnt[234][2]~30159\ $ (GND))) # (!\led_flash_cnt[234][3]~q\ & (!\led_flash_cnt[234][2]~30159\ & VCC))
-- \led_flash_cnt[234][3]~30161\ = CARRY((\led_flash_cnt[234][3]~q\ & !\led_flash_cnt[234][2]~30159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[234][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[234][2]~30159\,
	combout => \led_flash_cnt[234][3]~30160_combout\,
	cout => \led_flash_cnt[234][3]~30161\);

-- Location: FF_X12_Y1_N13
\led_flash_cnt[234][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[234][3]~30160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[234][3]~q\);

-- Location: LCCOMB_X12_Y1_N14
\led_flash_cnt[234][4]~30162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[234][4]~30162_combout\ = (\led_flash_cnt[234][4]~q\ & (!\led_flash_cnt[234][3]~30161\)) # (!\led_flash_cnt[234][4]~q\ & ((\led_flash_cnt[234][3]~30161\) # (GND)))
-- \led_flash_cnt[234][4]~30163\ = CARRY((!\led_flash_cnt[234][3]~30161\) # (!\led_flash_cnt[234][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[234][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[234][3]~30161\,
	combout => \led_flash_cnt[234][4]~30162_combout\,
	cout => \led_flash_cnt[234][4]~30163\);

-- Location: FF_X12_Y1_N15
\led_flash_cnt[234][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[234][4]~30162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[234][4]~q\);

-- Location: LCCOMB_X12_Y1_N26
\WideAnd234~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd234~0_combout\ = (\led_flash_cnt[234][2]~q\ & (\led_flash_cnt[234][4]~q\ & (\led_flash_cnt[234][1]~q\ & \led_flash_cnt[234][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[234][2]~q\,
	datab => \led_flash_cnt[234][4]~q\,
	datac => \led_flash_cnt[234][1]~q\,
	datad => \led_flash_cnt[234][3]~q\,
	combout => \WideAnd234~0_combout\);

-- Location: LCCOMB_X12_Y1_N16
\led_flash_cnt[234][5]~30164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[234][5]~30164_combout\ = (\led_flash_cnt[234][5]~q\ & (\led_flash_cnt[234][4]~30163\ $ (GND))) # (!\led_flash_cnt[234][5]~q\ & (!\led_flash_cnt[234][4]~30163\ & VCC))
-- \led_flash_cnt[234][5]~30165\ = CARRY((\led_flash_cnt[234][5]~q\ & !\led_flash_cnt[234][4]~30163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[234][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[234][4]~30163\,
	combout => \led_flash_cnt[234][5]~30164_combout\,
	cout => \led_flash_cnt[234][5]~30165\);

-- Location: FF_X12_Y1_N17
\led_flash_cnt[234][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[234][5]~30164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[234][5]~q\);

-- Location: LCCOMB_X12_Y1_N18
\led_flash_cnt[234][6]~30166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[234][6]~30166_combout\ = (\led_flash_cnt[234][6]~q\ & (!\led_flash_cnt[234][5]~30165\)) # (!\led_flash_cnt[234][6]~q\ & ((\led_flash_cnt[234][5]~30165\) # (GND)))
-- \led_flash_cnt[234][6]~30167\ = CARRY((!\led_flash_cnt[234][5]~30165\) # (!\led_flash_cnt[234][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[234][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[234][5]~30165\,
	combout => \led_flash_cnt[234][6]~30166_combout\,
	cout => \led_flash_cnt[234][6]~30167\);

-- Location: FF_X12_Y1_N19
\led_flash_cnt[234][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[234][6]~30166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[234][6]~q\);

-- Location: LCCOMB_X12_Y1_N20
\led_flash_cnt[234][7]~30168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[234][7]~30168_combout\ = \led_flash_cnt[234][6]~30167\ $ (!\led_flash_cnt[234][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[234][7]~q\,
	cin => \led_flash_cnt[234][6]~30167\,
	combout => \led_flash_cnt[234][7]~30168_combout\);

-- Location: FF_X12_Y1_N21
\led_flash_cnt[234][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[234][7]~30168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[234][7]~q\);

-- Location: LCCOMB_X12_Y1_N2
\WideAnd234~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd234~1_combout\ = (\led_flash_cnt[234][6]~q\ & \led_flash_cnt[234][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[234][6]~q\,
	datad => \led_flash_cnt[234][5]~q\,
	combout => \WideAnd234~1_combout\);

-- Location: LCCOMB_X12_Y1_N24
WideAnd234 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd234~combout\ = (\WideAnd234~0_combout\ & (\led_flash_cnt[234][7]~q\ & (\led_flash_cnt[234][0]~q\ & \WideAnd234~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd234~0_combout\,
	datab => \led_flash_cnt[234][7]~q\,
	datac => \led_flash_cnt[234][0]~q\,
	datad => \WideAnd234~1_combout\,
	combout => \WideAnd234~combout\);

-- Location: FF_X12_Y1_N25
\led_flash_cnt_ands[234]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd234~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(234));

-- Location: LCCOMB_X12_Y1_N0
\led_flash_cnt[232][0]~80872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[232][0]~80872_combout\ = !\led_flash_cnt[232][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[232][0]~q\,
	combout => \led_flash_cnt[232][0]~80872_combout\);

-- Location: FF_X12_Y1_N1
\led_flash_cnt[232][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[232][0]~80872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[232][0]~q\);

-- Location: LCCOMB_X13_Y1_N4
\led_flash_cnt[232][1]~30128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[232][1]~30128_combout\ = (\led_flash_cnt[232][0]~q\ & (\led_flash_cnt[232][1]~q\ $ (VCC))) # (!\led_flash_cnt[232][0]~q\ & (\led_flash_cnt[232][1]~q\ & VCC))
-- \led_flash_cnt[232][1]~30129\ = CARRY((\led_flash_cnt[232][0]~q\ & \led_flash_cnt[232][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[232][0]~q\,
	datab => \led_flash_cnt[232][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[232][1]~30128_combout\,
	cout => \led_flash_cnt[232][1]~30129\);

-- Location: FF_X13_Y1_N5
\led_flash_cnt[232][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[232][1]~30128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[232][1]~q\);

-- Location: LCCOMB_X13_Y1_N6
\led_flash_cnt[232][2]~30130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[232][2]~30130_combout\ = (\led_flash_cnt[232][2]~q\ & (!\led_flash_cnt[232][1]~30129\)) # (!\led_flash_cnt[232][2]~q\ & ((\led_flash_cnt[232][1]~30129\) # (GND)))
-- \led_flash_cnt[232][2]~30131\ = CARRY((!\led_flash_cnt[232][1]~30129\) # (!\led_flash_cnt[232][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[232][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[232][1]~30129\,
	combout => \led_flash_cnt[232][2]~30130_combout\,
	cout => \led_flash_cnt[232][2]~30131\);

-- Location: FF_X13_Y1_N7
\led_flash_cnt[232][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[232][2]~30130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[232][2]~q\);

-- Location: LCCOMB_X13_Y1_N8
\led_flash_cnt[232][3]~30132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[232][3]~30132_combout\ = (\led_flash_cnt[232][3]~q\ & (\led_flash_cnt[232][2]~30131\ $ (GND))) # (!\led_flash_cnt[232][3]~q\ & (!\led_flash_cnt[232][2]~30131\ & VCC))
-- \led_flash_cnt[232][3]~30133\ = CARRY((\led_flash_cnt[232][3]~q\ & !\led_flash_cnt[232][2]~30131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[232][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[232][2]~30131\,
	combout => \led_flash_cnt[232][3]~30132_combout\,
	cout => \led_flash_cnt[232][3]~30133\);

-- Location: FF_X13_Y1_N9
\led_flash_cnt[232][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[232][3]~30132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[232][3]~q\);

-- Location: LCCOMB_X13_Y1_N10
\led_flash_cnt[232][4]~30134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[232][4]~30134_combout\ = (\led_flash_cnt[232][4]~q\ & (!\led_flash_cnt[232][3]~30133\)) # (!\led_flash_cnt[232][4]~q\ & ((\led_flash_cnt[232][3]~30133\) # (GND)))
-- \led_flash_cnt[232][4]~30135\ = CARRY((!\led_flash_cnt[232][3]~30133\) # (!\led_flash_cnt[232][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[232][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[232][3]~30133\,
	combout => \led_flash_cnt[232][4]~30134_combout\,
	cout => \led_flash_cnt[232][4]~30135\);

-- Location: FF_X13_Y1_N11
\led_flash_cnt[232][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[232][4]~30134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[232][4]~q\);

-- Location: LCCOMB_X13_Y1_N2
\WideAnd232~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd232~0_combout\ = (\led_flash_cnt[232][4]~q\ & (\led_flash_cnt[232][1]~q\ & (\led_flash_cnt[232][3]~q\ & \led_flash_cnt[232][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[232][4]~q\,
	datab => \led_flash_cnt[232][1]~q\,
	datac => \led_flash_cnt[232][3]~q\,
	datad => \led_flash_cnt[232][2]~q\,
	combout => \WideAnd232~0_combout\);

-- Location: LCCOMB_X13_Y1_N12
\led_flash_cnt[232][5]~30136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[232][5]~30136_combout\ = (\led_flash_cnt[232][5]~q\ & (\led_flash_cnt[232][4]~30135\ $ (GND))) # (!\led_flash_cnt[232][5]~q\ & (!\led_flash_cnt[232][4]~30135\ & VCC))
-- \led_flash_cnt[232][5]~30137\ = CARRY((\led_flash_cnt[232][5]~q\ & !\led_flash_cnt[232][4]~30135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[232][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[232][4]~30135\,
	combout => \led_flash_cnt[232][5]~30136_combout\,
	cout => \led_flash_cnt[232][5]~30137\);

-- Location: FF_X13_Y1_N13
\led_flash_cnt[232][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[232][5]~30136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[232][5]~q\);

-- Location: LCCOMB_X13_Y1_N14
\led_flash_cnt[232][6]~30138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[232][6]~30138_combout\ = (\led_flash_cnt[232][6]~q\ & (!\led_flash_cnt[232][5]~30137\)) # (!\led_flash_cnt[232][6]~q\ & ((\led_flash_cnt[232][5]~30137\) # (GND)))
-- \led_flash_cnt[232][6]~30139\ = CARRY((!\led_flash_cnt[232][5]~30137\) # (!\led_flash_cnt[232][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[232][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[232][5]~30137\,
	combout => \led_flash_cnt[232][6]~30138_combout\,
	cout => \led_flash_cnt[232][6]~30139\);

-- Location: FF_X13_Y1_N15
\led_flash_cnt[232][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[232][6]~30138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[232][6]~q\);

-- Location: LCCOMB_X13_Y1_N16
\led_flash_cnt[232][7]~30140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[232][7]~30140_combout\ = \led_flash_cnt[232][6]~30139\ $ (!\led_flash_cnt[232][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[232][7]~q\,
	cin => \led_flash_cnt[232][6]~30139\,
	combout => \led_flash_cnt[232][7]~30140_combout\);

-- Location: FF_X13_Y1_N17
\led_flash_cnt[232][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[232][7]~30140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[232][7]~q\);

-- Location: LCCOMB_X12_Y1_N4
\WideAnd232~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd232~1_combout\ = (\led_flash_cnt[232][5]~q\ & \led_flash_cnt[232][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[232][5]~q\,
	datac => \led_flash_cnt[232][6]~q\,
	combout => \WideAnd232~1_combout\);

-- Location: LCCOMB_X12_Y1_N22
WideAnd232 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd232~combout\ = (\WideAnd232~0_combout\ & (\led_flash_cnt[232][7]~q\ & (\WideAnd232~1_combout\ & \led_flash_cnt[232][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd232~0_combout\,
	datab => \led_flash_cnt[232][7]~q\,
	datac => \WideAnd232~1_combout\,
	datad => \led_flash_cnt[232][0]~q\,
	combout => \WideAnd232~combout\);

-- Location: FF_X12_Y1_N23
\led_flash_cnt_ands[232]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd232~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(232));

-- Location: LCCOMB_X55_Y19_N12
\led_flash_cnt[235][0]~80875\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[235][0]~80875_combout\ = !\led_flash_cnt[235][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[235][0]~q\,
	combout => \led_flash_cnt[235][0]~80875_combout\);

-- Location: FF_X55_Y19_N13
\led_flash_cnt[235][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[235][0]~80875_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[235][0]~q\);

-- Location: LCCOMB_X55_Y19_N16
\led_flash_cnt[235][1]~30170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[235][1]~30170_combout\ = (\led_flash_cnt[235][0]~q\ & (\led_flash_cnt[235][1]~q\ $ (VCC))) # (!\led_flash_cnt[235][0]~q\ & (\led_flash_cnt[235][1]~q\ & VCC))
-- \led_flash_cnt[235][1]~30171\ = CARRY((\led_flash_cnt[235][0]~q\ & \led_flash_cnt[235][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[235][0]~q\,
	datab => \led_flash_cnt[235][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[235][1]~30170_combout\,
	cout => \led_flash_cnt[235][1]~30171\);

-- Location: FF_X55_Y19_N17
\led_flash_cnt[235][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[235][1]~30170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[235][1]~q\);

-- Location: LCCOMB_X55_Y19_N18
\led_flash_cnt[235][2]~30172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[235][2]~30172_combout\ = (\led_flash_cnt[235][2]~q\ & (!\led_flash_cnt[235][1]~30171\)) # (!\led_flash_cnt[235][2]~q\ & ((\led_flash_cnt[235][1]~30171\) # (GND)))
-- \led_flash_cnt[235][2]~30173\ = CARRY((!\led_flash_cnt[235][1]~30171\) # (!\led_flash_cnt[235][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[235][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[235][1]~30171\,
	combout => \led_flash_cnt[235][2]~30172_combout\,
	cout => \led_flash_cnt[235][2]~30173\);

-- Location: FF_X55_Y19_N19
\led_flash_cnt[235][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[235][2]~30172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[235][2]~q\);

-- Location: LCCOMB_X55_Y19_N20
\led_flash_cnt[235][3]~30174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[235][3]~30174_combout\ = (\led_flash_cnt[235][3]~q\ & (\led_flash_cnt[235][2]~30173\ $ (GND))) # (!\led_flash_cnt[235][3]~q\ & (!\led_flash_cnt[235][2]~30173\ & VCC))
-- \led_flash_cnt[235][3]~30175\ = CARRY((\led_flash_cnt[235][3]~q\ & !\led_flash_cnt[235][2]~30173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[235][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[235][2]~30173\,
	combout => \led_flash_cnt[235][3]~30174_combout\,
	cout => \led_flash_cnt[235][3]~30175\);

-- Location: FF_X55_Y19_N21
\led_flash_cnt[235][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[235][3]~30174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[235][3]~q\);

-- Location: LCCOMB_X55_Y19_N22
\led_flash_cnt[235][4]~30176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[235][4]~30176_combout\ = (\led_flash_cnt[235][4]~q\ & (!\led_flash_cnt[235][3]~30175\)) # (!\led_flash_cnt[235][4]~q\ & ((\led_flash_cnt[235][3]~30175\) # (GND)))
-- \led_flash_cnt[235][4]~30177\ = CARRY((!\led_flash_cnt[235][3]~30175\) # (!\led_flash_cnt[235][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[235][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[235][3]~30175\,
	combout => \led_flash_cnt[235][4]~30176_combout\,
	cout => \led_flash_cnt[235][4]~30177\);

-- Location: FF_X55_Y19_N23
\led_flash_cnt[235][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[235][4]~30176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[235][4]~q\);

-- Location: LCCOMB_X55_Y19_N24
\led_flash_cnt[235][5]~30178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[235][5]~30178_combout\ = (\led_flash_cnt[235][5]~q\ & (\led_flash_cnt[235][4]~30177\ $ (GND))) # (!\led_flash_cnt[235][5]~q\ & (!\led_flash_cnt[235][4]~30177\ & VCC))
-- \led_flash_cnt[235][5]~30179\ = CARRY((\led_flash_cnt[235][5]~q\ & !\led_flash_cnt[235][4]~30177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[235][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[235][4]~30177\,
	combout => \led_flash_cnt[235][5]~30178_combout\,
	cout => \led_flash_cnt[235][5]~30179\);

-- Location: FF_X55_Y19_N25
\led_flash_cnt[235][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[235][5]~30178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[235][5]~q\);

-- Location: LCCOMB_X55_Y19_N26
\led_flash_cnt[235][6]~30180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[235][6]~30180_combout\ = (\led_flash_cnt[235][6]~q\ & (!\led_flash_cnt[235][5]~30179\)) # (!\led_flash_cnt[235][6]~q\ & ((\led_flash_cnt[235][5]~30179\) # (GND)))
-- \led_flash_cnt[235][6]~30181\ = CARRY((!\led_flash_cnt[235][5]~30179\) # (!\led_flash_cnt[235][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[235][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[235][5]~30179\,
	combout => \led_flash_cnt[235][6]~30180_combout\,
	cout => \led_flash_cnt[235][6]~30181\);

-- Location: FF_X55_Y19_N27
\led_flash_cnt[235][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[235][6]~30180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[235][6]~q\);

-- Location: LCCOMB_X55_Y19_N28
\led_flash_cnt[235][7]~30182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[235][7]~30182_combout\ = \led_flash_cnt[235][6]~30181\ $ (!\led_flash_cnt[235][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[235][7]~q\,
	cin => \led_flash_cnt[235][6]~30181\,
	combout => \led_flash_cnt[235][7]~30182_combout\);

-- Location: FF_X55_Y19_N29
\led_flash_cnt[235][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[235][7]~30182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[235][7]~q\);

-- Location: LCCOMB_X55_Y19_N30
\WideAnd235~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd235~0_combout\ = (\led_flash_cnt[235][3]~q\ & (\led_flash_cnt[235][2]~q\ & (\led_flash_cnt[235][4]~q\ & \led_flash_cnt[235][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[235][3]~q\,
	datab => \led_flash_cnt[235][2]~q\,
	datac => \led_flash_cnt[235][4]~q\,
	datad => \led_flash_cnt[235][1]~q\,
	combout => \WideAnd235~0_combout\);

-- Location: LCCOMB_X55_Y19_N0
\WideAnd235~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd235~1_combout\ = (\led_flash_cnt[235][6]~q\ & \led_flash_cnt[235][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[235][6]~q\,
	datad => \led_flash_cnt[235][5]~q\,
	combout => \WideAnd235~1_combout\);

-- Location: LCCOMB_X55_Y19_N14
WideAnd235 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd235~combout\ = (\led_flash_cnt[235][0]~q\ & (\led_flash_cnt[235][7]~q\ & (\WideAnd235~0_combout\ & \WideAnd235~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[235][0]~q\,
	datab => \led_flash_cnt[235][7]~q\,
	datac => \WideAnd235~0_combout\,
	datad => \WideAnd235~1_combout\,
	combout => \WideAnd235~combout\);

-- Location: FF_X55_Y19_N15
\led_flash_cnt_ands[235]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd235~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(235));

-- Location: LCCOMB_X12_Y1_N6
\WideAnd3869~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3869~0_combout\ = (led_flash_cnt_ands(233) & (led_flash_cnt_ands(234) & (led_flash_cnt_ands(232) & led_flash_cnt_ands(235))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(233),
	datab => led_flash_cnt_ands(234),
	datac => led_flash_cnt_ands(232),
	datad => led_flash_cnt_ands(235),
	combout => \WideAnd3869~0_combout\);

-- Location: LCCOMB_X63_Y19_N6
WideAnd3869 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3869~combout\ = (led_flash_cnt_ands(239) & (led_flash_cnt_ands(238) & (\WideAnd3869~1_combout\ & \WideAnd3869~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(239),
	datab => led_flash_cnt_ands(238),
	datac => \WideAnd3869~1_combout\,
	datad => \WideAnd3869~0_combout\,
	combout => \WideAnd3869~combout\);

-- Location: FF_X63_Y19_N7
\led_flash_cnt_ands_1[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3869~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(29));

-- Location: LCCOMB_X63_Y19_N24
\WideAnd4323~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4323~1_combout\ = (led_flash_cnt_ands_1(28) & led_flash_cnt_ands_1(29))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(28),
	datad => led_flash_cnt_ands_1(29),
	combout => \WideAnd4323~1_combout\);

-- Location: LCCOMB_X66_Y45_N12
\led_flash_cnt[247][0]~80887\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[247][0]~80887_combout\ = !\led_flash_cnt[247][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[247][0]~q\,
	combout => \led_flash_cnt[247][0]~80887_combout\);

-- Location: FF_X66_Y45_N13
\led_flash_cnt[247][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[247][0]~80887_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[247][0]~q\);

-- Location: LCCOMB_X66_Y45_N18
\led_flash_cnt[247][1]~30338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[247][1]~30338_combout\ = (\led_flash_cnt[247][0]~q\ & (\led_flash_cnt[247][1]~q\ $ (VCC))) # (!\led_flash_cnt[247][0]~q\ & (\led_flash_cnt[247][1]~q\ & VCC))
-- \led_flash_cnt[247][1]~30339\ = CARRY((\led_flash_cnt[247][0]~q\ & \led_flash_cnt[247][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[247][0]~q\,
	datab => \led_flash_cnt[247][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[247][1]~30338_combout\,
	cout => \led_flash_cnt[247][1]~30339\);

-- Location: FF_X66_Y45_N19
\led_flash_cnt[247][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[247][1]~30338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[247][1]~q\);

-- Location: LCCOMB_X66_Y45_N20
\led_flash_cnt[247][2]~30340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[247][2]~30340_combout\ = (\led_flash_cnt[247][2]~q\ & (!\led_flash_cnt[247][1]~30339\)) # (!\led_flash_cnt[247][2]~q\ & ((\led_flash_cnt[247][1]~30339\) # (GND)))
-- \led_flash_cnt[247][2]~30341\ = CARRY((!\led_flash_cnt[247][1]~30339\) # (!\led_flash_cnt[247][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[247][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[247][1]~30339\,
	combout => \led_flash_cnt[247][2]~30340_combout\,
	cout => \led_flash_cnt[247][2]~30341\);

-- Location: FF_X66_Y45_N21
\led_flash_cnt[247][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[247][2]~30340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[247][2]~q\);

-- Location: LCCOMB_X66_Y45_N22
\led_flash_cnt[247][3]~30342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[247][3]~30342_combout\ = (\led_flash_cnt[247][3]~q\ & (\led_flash_cnt[247][2]~30341\ $ (GND))) # (!\led_flash_cnt[247][3]~q\ & (!\led_flash_cnt[247][2]~30341\ & VCC))
-- \led_flash_cnt[247][3]~30343\ = CARRY((\led_flash_cnt[247][3]~q\ & !\led_flash_cnt[247][2]~30341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[247][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[247][2]~30341\,
	combout => \led_flash_cnt[247][3]~30342_combout\,
	cout => \led_flash_cnt[247][3]~30343\);

-- Location: FF_X66_Y45_N23
\led_flash_cnt[247][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[247][3]~30342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[247][3]~q\);

-- Location: LCCOMB_X66_Y45_N24
\led_flash_cnt[247][4]~30344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[247][4]~30344_combout\ = (\led_flash_cnt[247][4]~q\ & (!\led_flash_cnt[247][3]~30343\)) # (!\led_flash_cnt[247][4]~q\ & ((\led_flash_cnt[247][3]~30343\) # (GND)))
-- \led_flash_cnt[247][4]~30345\ = CARRY((!\led_flash_cnt[247][3]~30343\) # (!\led_flash_cnt[247][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[247][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[247][3]~30343\,
	combout => \led_flash_cnt[247][4]~30344_combout\,
	cout => \led_flash_cnt[247][4]~30345\);

-- Location: FF_X66_Y45_N25
\led_flash_cnt[247][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[247][4]~30344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[247][4]~q\);

-- Location: LCCOMB_X66_Y45_N26
\led_flash_cnt[247][5]~30346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[247][5]~30346_combout\ = (\led_flash_cnt[247][5]~q\ & (\led_flash_cnt[247][4]~30345\ $ (GND))) # (!\led_flash_cnt[247][5]~q\ & (!\led_flash_cnt[247][4]~30345\ & VCC))
-- \led_flash_cnt[247][5]~30347\ = CARRY((\led_flash_cnt[247][5]~q\ & !\led_flash_cnt[247][4]~30345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[247][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[247][4]~30345\,
	combout => \led_flash_cnt[247][5]~30346_combout\,
	cout => \led_flash_cnt[247][5]~30347\);

-- Location: FF_X66_Y45_N27
\led_flash_cnt[247][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[247][5]~30346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[247][5]~q\);

-- Location: LCCOMB_X66_Y45_N28
\led_flash_cnt[247][6]~30348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[247][6]~30348_combout\ = (\led_flash_cnt[247][6]~q\ & (!\led_flash_cnt[247][5]~30347\)) # (!\led_flash_cnt[247][6]~q\ & ((\led_flash_cnt[247][5]~30347\) # (GND)))
-- \led_flash_cnt[247][6]~30349\ = CARRY((!\led_flash_cnt[247][5]~30347\) # (!\led_flash_cnt[247][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[247][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[247][5]~30347\,
	combout => \led_flash_cnt[247][6]~30348_combout\,
	cout => \led_flash_cnt[247][6]~30349\);

-- Location: FF_X66_Y45_N29
\led_flash_cnt[247][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[247][6]~30348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[247][6]~q\);

-- Location: LCCOMB_X66_Y45_N10
\WideAnd247~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd247~1_combout\ = (\led_flash_cnt[247][5]~q\ & \led_flash_cnt[247][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[247][5]~q\,
	datad => \led_flash_cnt[247][6]~q\,
	combout => \WideAnd247~1_combout\);

-- Location: LCCOMB_X66_Y45_N4
\WideAnd247~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd247~0_combout\ = (\led_flash_cnt[247][4]~q\ & (\led_flash_cnt[247][2]~q\ & (\led_flash_cnt[247][3]~q\ & \led_flash_cnt[247][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[247][4]~q\,
	datab => \led_flash_cnt[247][2]~q\,
	datac => \led_flash_cnt[247][3]~q\,
	datad => \led_flash_cnt[247][1]~q\,
	combout => \WideAnd247~0_combout\);

-- Location: LCCOMB_X66_Y45_N30
\led_flash_cnt[247][7]~30350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[247][7]~30350_combout\ = \led_flash_cnt[247][7]~q\ $ (!\led_flash_cnt[247][6]~30349\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[247][7]~q\,
	cin => \led_flash_cnt[247][6]~30349\,
	combout => \led_flash_cnt[247][7]~30350_combout\);

-- Location: FF_X66_Y45_N31
\led_flash_cnt[247][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[247][7]~30350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[247][7]~q\);

-- Location: LCCOMB_X66_Y45_N14
WideAnd247 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd247~combout\ = (\WideAnd247~1_combout\ & (\WideAnd247~0_combout\ & (\led_flash_cnt[247][7]~q\ & \led_flash_cnt[247][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd247~1_combout\,
	datab => \WideAnd247~0_combout\,
	datac => \led_flash_cnt[247][7]~q\,
	datad => \led_flash_cnt[247][0]~q\,
	combout => \WideAnd247~combout\);

-- Location: FF_X66_Y45_N15
\led_flash_cnt_ands[247]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd247~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(247));

-- Location: LCCOMB_X66_Y42_N18
\led_flash_cnt[245][0]~80885\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[245][0]~80885_combout\ = !\led_flash_cnt[245][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[245][0]~q\,
	combout => \led_flash_cnt[245][0]~80885_combout\);

-- Location: FF_X66_Y42_N19
\led_flash_cnt[245][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[245][0]~80885_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[245][0]~q\);

-- Location: LCCOMB_X66_Y42_N2
\led_flash_cnt[245][1]~30310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[245][1]~30310_combout\ = (\led_flash_cnt[245][0]~q\ & (\led_flash_cnt[245][1]~q\ $ (VCC))) # (!\led_flash_cnt[245][0]~q\ & (\led_flash_cnt[245][1]~q\ & VCC))
-- \led_flash_cnt[245][1]~30311\ = CARRY((\led_flash_cnt[245][0]~q\ & \led_flash_cnt[245][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[245][0]~q\,
	datab => \led_flash_cnt[245][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[245][1]~30310_combout\,
	cout => \led_flash_cnt[245][1]~30311\);

-- Location: FF_X66_Y42_N3
\led_flash_cnt[245][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[245][1]~30310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[245][1]~q\);

-- Location: LCCOMB_X66_Y42_N4
\led_flash_cnt[245][2]~30312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[245][2]~30312_combout\ = (\led_flash_cnt[245][2]~q\ & (!\led_flash_cnt[245][1]~30311\)) # (!\led_flash_cnt[245][2]~q\ & ((\led_flash_cnt[245][1]~30311\) # (GND)))
-- \led_flash_cnt[245][2]~30313\ = CARRY((!\led_flash_cnt[245][1]~30311\) # (!\led_flash_cnt[245][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[245][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[245][1]~30311\,
	combout => \led_flash_cnt[245][2]~30312_combout\,
	cout => \led_flash_cnt[245][2]~30313\);

-- Location: FF_X66_Y42_N5
\led_flash_cnt[245][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[245][2]~30312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[245][2]~q\);

-- Location: LCCOMB_X66_Y42_N6
\led_flash_cnt[245][3]~30314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[245][3]~30314_combout\ = (\led_flash_cnt[245][3]~q\ & (\led_flash_cnt[245][2]~30313\ $ (GND))) # (!\led_flash_cnt[245][3]~q\ & (!\led_flash_cnt[245][2]~30313\ & VCC))
-- \led_flash_cnt[245][3]~30315\ = CARRY((\led_flash_cnt[245][3]~q\ & !\led_flash_cnt[245][2]~30313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[245][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[245][2]~30313\,
	combout => \led_flash_cnt[245][3]~30314_combout\,
	cout => \led_flash_cnt[245][3]~30315\);

-- Location: FF_X66_Y42_N7
\led_flash_cnt[245][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[245][3]~30314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[245][3]~q\);

-- Location: LCCOMB_X66_Y42_N8
\led_flash_cnt[245][4]~30316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[245][4]~30316_combout\ = (\led_flash_cnt[245][4]~q\ & (!\led_flash_cnt[245][3]~30315\)) # (!\led_flash_cnt[245][4]~q\ & ((\led_flash_cnt[245][3]~30315\) # (GND)))
-- \led_flash_cnt[245][4]~30317\ = CARRY((!\led_flash_cnt[245][3]~30315\) # (!\led_flash_cnt[245][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[245][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[245][3]~30315\,
	combout => \led_flash_cnt[245][4]~30316_combout\,
	cout => \led_flash_cnt[245][4]~30317\);

-- Location: FF_X66_Y42_N9
\led_flash_cnt[245][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[245][4]~30316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[245][4]~q\);

-- Location: LCCOMB_X66_Y42_N10
\led_flash_cnt[245][5]~30318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[245][5]~30318_combout\ = (\led_flash_cnt[245][5]~q\ & (\led_flash_cnt[245][4]~30317\ $ (GND))) # (!\led_flash_cnt[245][5]~q\ & (!\led_flash_cnt[245][4]~30317\ & VCC))
-- \led_flash_cnt[245][5]~30319\ = CARRY((\led_flash_cnt[245][5]~q\ & !\led_flash_cnt[245][4]~30317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[245][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[245][4]~30317\,
	combout => \led_flash_cnt[245][5]~30318_combout\,
	cout => \led_flash_cnt[245][5]~30319\);

-- Location: FF_X66_Y42_N11
\led_flash_cnt[245][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[245][5]~30318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[245][5]~q\);

-- Location: LCCOMB_X66_Y42_N12
\led_flash_cnt[245][6]~30320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[245][6]~30320_combout\ = (\led_flash_cnt[245][6]~q\ & (!\led_flash_cnt[245][5]~30319\)) # (!\led_flash_cnt[245][6]~q\ & ((\led_flash_cnt[245][5]~30319\) # (GND)))
-- \led_flash_cnt[245][6]~30321\ = CARRY((!\led_flash_cnt[245][5]~30319\) # (!\led_flash_cnt[245][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[245][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[245][5]~30319\,
	combout => \led_flash_cnt[245][6]~30320_combout\,
	cout => \led_flash_cnt[245][6]~30321\);

-- Location: FF_X66_Y42_N13
\led_flash_cnt[245][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[245][6]~30320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[245][6]~q\);

-- Location: LCCOMB_X66_Y42_N26
\WideAnd245~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd245~1_combout\ = (\led_flash_cnt[245][6]~q\ & \led_flash_cnt[245][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[245][6]~q\,
	datad => \led_flash_cnt[245][5]~q\,
	combout => \WideAnd245~1_combout\);

-- Location: LCCOMB_X66_Y42_N20
\WideAnd245~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd245~0_combout\ = (\led_flash_cnt[245][3]~q\ & (\led_flash_cnt[245][4]~q\ & (\led_flash_cnt[245][2]~q\ & \led_flash_cnt[245][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[245][3]~q\,
	datab => \led_flash_cnt[245][4]~q\,
	datac => \led_flash_cnt[245][2]~q\,
	datad => \led_flash_cnt[245][1]~q\,
	combout => \WideAnd245~0_combout\);

-- Location: LCCOMB_X66_Y42_N14
\led_flash_cnt[245][7]~30322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[245][7]~30322_combout\ = \led_flash_cnt[245][7]~q\ $ (!\led_flash_cnt[245][6]~30321\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[245][7]~q\,
	cin => \led_flash_cnt[245][6]~30321\,
	combout => \led_flash_cnt[245][7]~30322_combout\);

-- Location: FF_X66_Y42_N15
\led_flash_cnt[245][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[245][7]~30322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[245][7]~q\);

-- Location: LCCOMB_X66_Y42_N30
WideAnd245 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd245~combout\ = (\WideAnd245~1_combout\ & (\WideAnd245~0_combout\ & (\led_flash_cnt[245][7]~q\ & \led_flash_cnt[245][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd245~1_combout\,
	datab => \WideAnd245~0_combout\,
	datac => \led_flash_cnt[245][7]~q\,
	datad => \led_flash_cnt[245][0]~q\,
	combout => \WideAnd245~combout\);

-- Location: FF_X66_Y42_N31
\led_flash_cnt_ands[245]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd245~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(245));

-- Location: LCCOMB_X66_Y42_N28
\led_flash_cnt[244][0]~80884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[244][0]~80884_combout\ = !\led_flash_cnt[244][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[244][0]~q\,
	combout => \led_flash_cnt[244][0]~80884_combout\);

-- Location: FF_X66_Y42_N29
\led_flash_cnt[244][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[244][0]~80884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[244][0]~q\);

-- Location: LCCOMB_X65_Y42_N18
\led_flash_cnt[244][1]~30296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[244][1]~30296_combout\ = (\led_flash_cnt[244][1]~q\ & (\led_flash_cnt[244][0]~q\ $ (VCC))) # (!\led_flash_cnt[244][1]~q\ & (\led_flash_cnt[244][0]~q\ & VCC))
-- \led_flash_cnt[244][1]~30297\ = CARRY((\led_flash_cnt[244][1]~q\ & \led_flash_cnt[244][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[244][1]~q\,
	datab => \led_flash_cnt[244][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[244][1]~30296_combout\,
	cout => \led_flash_cnt[244][1]~30297\);

-- Location: FF_X65_Y42_N19
\led_flash_cnt[244][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[244][1]~30296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[244][1]~q\);

-- Location: LCCOMB_X65_Y42_N20
\led_flash_cnt[244][2]~30298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[244][2]~30298_combout\ = (\led_flash_cnt[244][2]~q\ & (!\led_flash_cnt[244][1]~30297\)) # (!\led_flash_cnt[244][2]~q\ & ((\led_flash_cnt[244][1]~30297\) # (GND)))
-- \led_flash_cnt[244][2]~30299\ = CARRY((!\led_flash_cnt[244][1]~30297\) # (!\led_flash_cnt[244][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[244][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[244][1]~30297\,
	combout => \led_flash_cnt[244][2]~30298_combout\,
	cout => \led_flash_cnt[244][2]~30299\);

-- Location: FF_X65_Y42_N21
\led_flash_cnt[244][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[244][2]~30298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[244][2]~q\);

-- Location: LCCOMB_X65_Y42_N22
\led_flash_cnt[244][3]~30300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[244][3]~30300_combout\ = (\led_flash_cnt[244][3]~q\ & (\led_flash_cnt[244][2]~30299\ $ (GND))) # (!\led_flash_cnt[244][3]~q\ & (!\led_flash_cnt[244][2]~30299\ & VCC))
-- \led_flash_cnt[244][3]~30301\ = CARRY((\led_flash_cnt[244][3]~q\ & !\led_flash_cnt[244][2]~30299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[244][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[244][2]~30299\,
	combout => \led_flash_cnt[244][3]~30300_combout\,
	cout => \led_flash_cnt[244][3]~30301\);

-- Location: FF_X65_Y42_N23
\led_flash_cnt[244][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[244][3]~30300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[244][3]~q\);

-- Location: LCCOMB_X65_Y42_N24
\led_flash_cnt[244][4]~30302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[244][4]~30302_combout\ = (\led_flash_cnt[244][4]~q\ & (!\led_flash_cnt[244][3]~30301\)) # (!\led_flash_cnt[244][4]~q\ & ((\led_flash_cnt[244][3]~30301\) # (GND)))
-- \led_flash_cnt[244][4]~30303\ = CARRY((!\led_flash_cnt[244][3]~30301\) # (!\led_flash_cnt[244][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[244][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[244][3]~30301\,
	combout => \led_flash_cnt[244][4]~30302_combout\,
	cout => \led_flash_cnt[244][4]~30303\);

-- Location: FF_X65_Y42_N25
\led_flash_cnt[244][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[244][4]~30302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[244][4]~q\);

-- Location: LCCOMB_X65_Y42_N26
\led_flash_cnt[244][5]~30304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[244][5]~30304_combout\ = (\led_flash_cnt[244][5]~q\ & (\led_flash_cnt[244][4]~30303\ $ (GND))) # (!\led_flash_cnt[244][5]~q\ & (!\led_flash_cnt[244][4]~30303\ & VCC))
-- \led_flash_cnt[244][5]~30305\ = CARRY((\led_flash_cnt[244][5]~q\ & !\led_flash_cnt[244][4]~30303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[244][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[244][4]~30303\,
	combout => \led_flash_cnt[244][5]~30304_combout\,
	cout => \led_flash_cnt[244][5]~30305\);

-- Location: FF_X65_Y42_N27
\led_flash_cnt[244][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[244][5]~30304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[244][5]~q\);

-- Location: LCCOMB_X65_Y42_N28
\led_flash_cnt[244][6]~30306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[244][6]~30306_combout\ = (\led_flash_cnt[244][6]~q\ & (!\led_flash_cnt[244][5]~30305\)) # (!\led_flash_cnt[244][6]~q\ & ((\led_flash_cnt[244][5]~30305\) # (GND)))
-- \led_flash_cnt[244][6]~30307\ = CARRY((!\led_flash_cnt[244][5]~30305\) # (!\led_flash_cnt[244][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[244][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[244][5]~30305\,
	combout => \led_flash_cnt[244][6]~30306_combout\,
	cout => \led_flash_cnt[244][6]~30307\);

-- Location: FF_X65_Y42_N29
\led_flash_cnt[244][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[244][6]~30306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[244][6]~q\);

-- Location: LCCOMB_X66_Y42_N22
\WideAnd244~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd244~1_combout\ = (\led_flash_cnt[244][5]~q\ & \led_flash_cnt[244][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[244][5]~q\,
	datad => \led_flash_cnt[244][6]~q\,
	combout => \WideAnd244~1_combout\);

-- Location: LCCOMB_X65_Y42_N30
\led_flash_cnt[244][7]~30308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[244][7]~30308_combout\ = \led_flash_cnt[244][7]~q\ $ (!\led_flash_cnt[244][6]~30307\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[244][7]~q\,
	cin => \led_flash_cnt[244][6]~30307\,
	combout => \led_flash_cnt[244][7]~30308_combout\);

-- Location: FF_X65_Y42_N31
\led_flash_cnt[244][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[244][7]~30308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[244][7]~q\);

-- Location: LCCOMB_X65_Y42_N2
\WideAnd244~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd244~0_combout\ = (\led_flash_cnt[244][1]~q\ & (\led_flash_cnt[244][2]~q\ & (\led_flash_cnt[244][3]~q\ & \led_flash_cnt[244][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[244][1]~q\,
	datab => \led_flash_cnt[244][2]~q\,
	datac => \led_flash_cnt[244][3]~q\,
	datad => \led_flash_cnt[244][4]~q\,
	combout => \WideAnd244~0_combout\);

-- Location: LCCOMB_X66_Y42_N0
WideAnd244 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd244~combout\ = (\WideAnd244~1_combout\ & (\led_flash_cnt[244][7]~q\ & (\led_flash_cnt[244][0]~q\ & \WideAnd244~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd244~1_combout\,
	datab => \led_flash_cnt[244][7]~q\,
	datac => \led_flash_cnt[244][0]~q\,
	datad => \WideAnd244~0_combout\,
	combout => \WideAnd244~combout\);

-- Location: FF_X66_Y42_N1
\led_flash_cnt_ands[244]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd244~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(244));

-- Location: LCCOMB_X66_Y42_N16
\WideAnd3870~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3870~1_combout\ = (led_flash_cnt_ands(245) & led_flash_cnt_ands(244))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(245),
	datad => led_flash_cnt_ands(244),
	combout => \WideAnd3870~1_combout\);

-- Location: LCCOMB_X60_Y42_N26
\led_flash_cnt[241][0]~80881\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[241][0]~80881_combout\ = !\led_flash_cnt[241][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[241][0]~q\,
	combout => \led_flash_cnt[241][0]~80881_combout\);

-- Location: FF_X60_Y42_N27
\led_flash_cnt[241][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[241][0]~80881_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[241][0]~q\);

-- Location: LCCOMB_X60_Y42_N4
\led_flash_cnt[241][1]~30254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[241][1]~30254_combout\ = (\led_flash_cnt[241][0]~q\ & (\led_flash_cnt[241][1]~q\ $ (VCC))) # (!\led_flash_cnt[241][0]~q\ & (\led_flash_cnt[241][1]~q\ & VCC))
-- \led_flash_cnt[241][1]~30255\ = CARRY((\led_flash_cnt[241][0]~q\ & \led_flash_cnt[241][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[241][0]~q\,
	datab => \led_flash_cnt[241][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[241][1]~30254_combout\,
	cout => \led_flash_cnt[241][1]~30255\);

-- Location: FF_X60_Y42_N5
\led_flash_cnt[241][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[241][1]~30254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[241][1]~q\);

-- Location: LCCOMB_X60_Y42_N6
\led_flash_cnt[241][2]~30256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[241][2]~30256_combout\ = (\led_flash_cnt[241][2]~q\ & (!\led_flash_cnt[241][1]~30255\)) # (!\led_flash_cnt[241][2]~q\ & ((\led_flash_cnt[241][1]~30255\) # (GND)))
-- \led_flash_cnt[241][2]~30257\ = CARRY((!\led_flash_cnt[241][1]~30255\) # (!\led_flash_cnt[241][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[241][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[241][1]~30255\,
	combout => \led_flash_cnt[241][2]~30256_combout\,
	cout => \led_flash_cnt[241][2]~30257\);

-- Location: FF_X60_Y42_N7
\led_flash_cnt[241][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[241][2]~30256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[241][2]~q\);

-- Location: LCCOMB_X60_Y42_N8
\led_flash_cnt[241][3]~30258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[241][3]~30258_combout\ = (\led_flash_cnt[241][3]~q\ & (\led_flash_cnt[241][2]~30257\ $ (GND))) # (!\led_flash_cnt[241][3]~q\ & (!\led_flash_cnt[241][2]~30257\ & VCC))
-- \led_flash_cnt[241][3]~30259\ = CARRY((\led_flash_cnt[241][3]~q\ & !\led_flash_cnt[241][2]~30257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[241][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[241][2]~30257\,
	combout => \led_flash_cnt[241][3]~30258_combout\,
	cout => \led_flash_cnt[241][3]~30259\);

-- Location: FF_X60_Y42_N9
\led_flash_cnt[241][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[241][3]~30258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[241][3]~q\);

-- Location: LCCOMB_X60_Y42_N10
\led_flash_cnt[241][4]~30260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[241][4]~30260_combout\ = (\led_flash_cnt[241][4]~q\ & (!\led_flash_cnt[241][3]~30259\)) # (!\led_flash_cnt[241][4]~q\ & ((\led_flash_cnt[241][3]~30259\) # (GND)))
-- \led_flash_cnt[241][4]~30261\ = CARRY((!\led_flash_cnt[241][3]~30259\) # (!\led_flash_cnt[241][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[241][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[241][3]~30259\,
	combout => \led_flash_cnt[241][4]~30260_combout\,
	cout => \led_flash_cnt[241][4]~30261\);

-- Location: FF_X60_Y42_N11
\led_flash_cnt[241][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[241][4]~30260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[241][4]~q\);

-- Location: LCCOMB_X60_Y42_N20
\WideAnd241~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd241~0_combout\ = (\led_flash_cnt[241][4]~q\ & (\led_flash_cnt[241][1]~q\ & (\led_flash_cnt[241][3]~q\ & \led_flash_cnt[241][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[241][4]~q\,
	datab => \led_flash_cnt[241][1]~q\,
	datac => \led_flash_cnt[241][3]~q\,
	datad => \led_flash_cnt[241][2]~q\,
	combout => \WideAnd241~0_combout\);

-- Location: LCCOMB_X60_Y42_N12
\led_flash_cnt[241][5]~30262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[241][5]~30262_combout\ = (\led_flash_cnt[241][5]~q\ & (\led_flash_cnt[241][4]~30261\ $ (GND))) # (!\led_flash_cnt[241][5]~q\ & (!\led_flash_cnt[241][4]~30261\ & VCC))
-- \led_flash_cnt[241][5]~30263\ = CARRY((\led_flash_cnt[241][5]~q\ & !\led_flash_cnt[241][4]~30261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[241][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[241][4]~30261\,
	combout => \led_flash_cnt[241][5]~30262_combout\,
	cout => \led_flash_cnt[241][5]~30263\);

-- Location: FF_X60_Y42_N13
\led_flash_cnt[241][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[241][5]~30262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[241][5]~q\);

-- Location: LCCOMB_X60_Y42_N14
\led_flash_cnt[241][6]~30264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[241][6]~30264_combout\ = (\led_flash_cnt[241][6]~q\ & (!\led_flash_cnt[241][5]~30263\)) # (!\led_flash_cnt[241][6]~q\ & ((\led_flash_cnt[241][5]~30263\) # (GND)))
-- \led_flash_cnt[241][6]~30265\ = CARRY((!\led_flash_cnt[241][5]~30263\) # (!\led_flash_cnt[241][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[241][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[241][5]~30263\,
	combout => \led_flash_cnt[241][6]~30264_combout\,
	cout => \led_flash_cnt[241][6]~30265\);

-- Location: FF_X60_Y42_N15
\led_flash_cnt[241][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[241][6]~30264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[241][6]~q\);

-- Location: LCCOMB_X60_Y42_N22
\WideAnd241~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd241~1_combout\ = (\led_flash_cnt[241][6]~q\ & \led_flash_cnt[241][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[241][6]~q\,
	datad => \led_flash_cnt[241][5]~q\,
	combout => \WideAnd241~1_combout\);

-- Location: LCCOMB_X60_Y42_N16
\led_flash_cnt[241][7]~30266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[241][7]~30266_combout\ = \led_flash_cnt[241][6]~30265\ $ (!\led_flash_cnt[241][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[241][7]~q\,
	cin => \led_flash_cnt[241][6]~30265\,
	combout => \led_flash_cnt[241][7]~30266_combout\);

-- Location: FF_X60_Y42_N17
\led_flash_cnt[241][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[241][7]~30266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[241][7]~q\);

-- Location: LCCOMB_X60_Y42_N0
WideAnd241 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd241~combout\ = (\led_flash_cnt[241][0]~q\ & (\WideAnd241~0_combout\ & (\WideAnd241~1_combout\ & \led_flash_cnt[241][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[241][0]~q\,
	datab => \WideAnd241~0_combout\,
	datac => \WideAnd241~1_combout\,
	datad => \led_flash_cnt[241][7]~q\,
	combout => \WideAnd241~combout\);

-- Location: FF_X60_Y42_N1
\led_flash_cnt_ands[241]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd241~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(241));

-- Location: LCCOMB_X65_Y52_N18
\led_flash_cnt[242][0]~80882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[242][0]~80882_combout\ = !\led_flash_cnt[242][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[242][0]~q\,
	combout => \led_flash_cnt[242][0]~80882_combout\);

-- Location: FF_X65_Y52_N19
\led_flash_cnt[242][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[242][0]~80882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[242][0]~q\);

-- Location: LCCOMB_X64_Y52_N2
\led_flash_cnt[242][1]~30268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[242][1]~30268_combout\ = (\led_flash_cnt[242][0]~q\ & (\led_flash_cnt[242][1]~q\ $ (VCC))) # (!\led_flash_cnt[242][0]~q\ & (\led_flash_cnt[242][1]~q\ & VCC))
-- \led_flash_cnt[242][1]~30269\ = CARRY((\led_flash_cnt[242][0]~q\ & \led_flash_cnt[242][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[242][0]~q\,
	datab => \led_flash_cnt[242][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[242][1]~30268_combout\,
	cout => \led_flash_cnt[242][1]~30269\);

-- Location: FF_X64_Y52_N3
\led_flash_cnt[242][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[242][1]~30268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[242][1]~q\);

-- Location: LCCOMB_X64_Y52_N4
\led_flash_cnt[242][2]~30270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[242][2]~30270_combout\ = (\led_flash_cnt[242][2]~q\ & (!\led_flash_cnt[242][1]~30269\)) # (!\led_flash_cnt[242][2]~q\ & ((\led_flash_cnt[242][1]~30269\) # (GND)))
-- \led_flash_cnt[242][2]~30271\ = CARRY((!\led_flash_cnt[242][1]~30269\) # (!\led_flash_cnt[242][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[242][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[242][1]~30269\,
	combout => \led_flash_cnt[242][2]~30270_combout\,
	cout => \led_flash_cnt[242][2]~30271\);

-- Location: FF_X64_Y52_N5
\led_flash_cnt[242][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[242][2]~30270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[242][2]~q\);

-- Location: LCCOMB_X64_Y52_N6
\led_flash_cnt[242][3]~30272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[242][3]~30272_combout\ = (\led_flash_cnt[242][3]~q\ & (\led_flash_cnt[242][2]~30271\ $ (GND))) # (!\led_flash_cnt[242][3]~q\ & (!\led_flash_cnt[242][2]~30271\ & VCC))
-- \led_flash_cnt[242][3]~30273\ = CARRY((\led_flash_cnt[242][3]~q\ & !\led_flash_cnt[242][2]~30271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[242][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[242][2]~30271\,
	combout => \led_flash_cnt[242][3]~30272_combout\,
	cout => \led_flash_cnt[242][3]~30273\);

-- Location: FF_X64_Y52_N7
\led_flash_cnt[242][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[242][3]~30272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[242][3]~q\);

-- Location: LCCOMB_X64_Y52_N8
\led_flash_cnt[242][4]~30274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[242][4]~30274_combout\ = (\led_flash_cnt[242][4]~q\ & (!\led_flash_cnt[242][3]~30273\)) # (!\led_flash_cnt[242][4]~q\ & ((\led_flash_cnt[242][3]~30273\) # (GND)))
-- \led_flash_cnt[242][4]~30275\ = CARRY((!\led_flash_cnt[242][3]~30273\) # (!\led_flash_cnt[242][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[242][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[242][3]~30273\,
	combout => \led_flash_cnt[242][4]~30274_combout\,
	cout => \led_flash_cnt[242][4]~30275\);

-- Location: FF_X64_Y52_N9
\led_flash_cnt[242][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[242][4]~30274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[242][4]~q\);

-- Location: LCCOMB_X64_Y52_N10
\led_flash_cnt[242][5]~30276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[242][5]~30276_combout\ = (\led_flash_cnt[242][5]~q\ & (\led_flash_cnt[242][4]~30275\ $ (GND))) # (!\led_flash_cnt[242][5]~q\ & (!\led_flash_cnt[242][4]~30275\ & VCC))
-- \led_flash_cnt[242][5]~30277\ = CARRY((\led_flash_cnt[242][5]~q\ & !\led_flash_cnt[242][4]~30275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[242][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[242][4]~30275\,
	combout => \led_flash_cnt[242][5]~30276_combout\,
	cout => \led_flash_cnt[242][5]~30277\);

-- Location: FF_X64_Y52_N11
\led_flash_cnt[242][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[242][5]~30276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[242][5]~q\);

-- Location: LCCOMB_X64_Y52_N12
\led_flash_cnt[242][6]~30278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[242][6]~30278_combout\ = (\led_flash_cnt[242][6]~q\ & (!\led_flash_cnt[242][5]~30277\)) # (!\led_flash_cnt[242][6]~q\ & ((\led_flash_cnt[242][5]~30277\) # (GND)))
-- \led_flash_cnt[242][6]~30279\ = CARRY((!\led_flash_cnt[242][5]~30277\) # (!\led_flash_cnt[242][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[242][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[242][5]~30277\,
	combout => \led_flash_cnt[242][6]~30278_combout\,
	cout => \led_flash_cnt[242][6]~30279\);

-- Location: FF_X64_Y52_N13
\led_flash_cnt[242][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[242][6]~30278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[242][6]~q\);

-- Location: LCCOMB_X64_Y52_N14
\led_flash_cnt[242][7]~30280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[242][7]~30280_combout\ = \led_flash_cnt[242][7]~q\ $ (!\led_flash_cnt[242][6]~30279\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[242][7]~q\,
	cin => \led_flash_cnt[242][6]~30279\,
	combout => \led_flash_cnt[242][7]~30280_combout\);

-- Location: FF_X64_Y52_N15
\led_flash_cnt[242][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[242][7]~30280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[242][7]~q\);

-- Location: LCCOMB_X65_Y52_N28
\WideAnd242~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd242~1_combout\ = (\led_flash_cnt[242][6]~q\ & \led_flash_cnt[242][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[242][6]~q\,
	datad => \led_flash_cnt[242][5]~q\,
	combout => \WideAnd242~1_combout\);

-- Location: LCCOMB_X64_Y52_N0
\WideAnd242~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd242~0_combout\ = (\led_flash_cnt[242][3]~q\ & (\led_flash_cnt[242][2]~q\ & (\led_flash_cnt[242][4]~q\ & \led_flash_cnt[242][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[242][3]~q\,
	datab => \led_flash_cnt[242][2]~q\,
	datac => \led_flash_cnt[242][4]~q\,
	datad => \led_flash_cnt[242][1]~q\,
	combout => \WideAnd242~0_combout\);

-- Location: LCCOMB_X65_Y52_N30
WideAnd242 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd242~combout\ = (\led_flash_cnt[242][7]~q\ & (\WideAnd242~1_combout\ & (\WideAnd242~0_combout\ & \led_flash_cnt[242][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[242][7]~q\,
	datab => \WideAnd242~1_combout\,
	datac => \WideAnd242~0_combout\,
	datad => \led_flash_cnt[242][0]~q\,
	combout => \WideAnd242~combout\);

-- Location: FF_X65_Y52_N31
\led_flash_cnt_ands[242]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd242~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(242));

-- Location: LCCOMB_X67_Y43_N2
\led_flash_cnt[243][0]~80883\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[243][0]~80883_combout\ = !\led_flash_cnt[243][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[243][0]~q\,
	combout => \led_flash_cnt[243][0]~80883_combout\);

-- Location: FF_X67_Y43_N3
\led_flash_cnt[243][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[243][0]~80883_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[243][0]~q\);

-- Location: LCCOMB_X71_Y43_N14
\led_flash_cnt[243][1]~30282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[243][1]~30282_combout\ = (\led_flash_cnt[243][0]~q\ & (\led_flash_cnt[243][1]~q\ $ (VCC))) # (!\led_flash_cnt[243][0]~q\ & (\led_flash_cnt[243][1]~q\ & VCC))
-- \led_flash_cnt[243][1]~30283\ = CARRY((\led_flash_cnt[243][0]~q\ & \led_flash_cnt[243][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[243][0]~q\,
	datab => \led_flash_cnt[243][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[243][1]~30282_combout\,
	cout => \led_flash_cnt[243][1]~30283\);

-- Location: FF_X71_Y43_N15
\led_flash_cnt[243][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[243][1]~30282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[243][1]~q\);

-- Location: LCCOMB_X71_Y43_N16
\led_flash_cnt[243][2]~30284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[243][2]~30284_combout\ = (\led_flash_cnt[243][2]~q\ & (!\led_flash_cnt[243][1]~30283\)) # (!\led_flash_cnt[243][2]~q\ & ((\led_flash_cnt[243][1]~30283\) # (GND)))
-- \led_flash_cnt[243][2]~30285\ = CARRY((!\led_flash_cnt[243][1]~30283\) # (!\led_flash_cnt[243][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[243][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[243][1]~30283\,
	combout => \led_flash_cnt[243][2]~30284_combout\,
	cout => \led_flash_cnt[243][2]~30285\);

-- Location: FF_X71_Y43_N17
\led_flash_cnt[243][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[243][2]~30284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[243][2]~q\);

-- Location: LCCOMB_X71_Y43_N18
\led_flash_cnt[243][3]~30286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[243][3]~30286_combout\ = (\led_flash_cnt[243][3]~q\ & (\led_flash_cnt[243][2]~30285\ $ (GND))) # (!\led_flash_cnt[243][3]~q\ & (!\led_flash_cnt[243][2]~30285\ & VCC))
-- \led_flash_cnt[243][3]~30287\ = CARRY((\led_flash_cnt[243][3]~q\ & !\led_flash_cnt[243][2]~30285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[243][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[243][2]~30285\,
	combout => \led_flash_cnt[243][3]~30286_combout\,
	cout => \led_flash_cnt[243][3]~30287\);

-- Location: FF_X71_Y43_N19
\led_flash_cnt[243][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[243][3]~30286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[243][3]~q\);

-- Location: LCCOMB_X71_Y43_N20
\led_flash_cnt[243][4]~30288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[243][4]~30288_combout\ = (\led_flash_cnt[243][4]~q\ & (!\led_flash_cnt[243][3]~30287\)) # (!\led_flash_cnt[243][4]~q\ & ((\led_flash_cnt[243][3]~30287\) # (GND)))
-- \led_flash_cnt[243][4]~30289\ = CARRY((!\led_flash_cnt[243][3]~30287\) # (!\led_flash_cnt[243][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[243][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[243][3]~30287\,
	combout => \led_flash_cnt[243][4]~30288_combout\,
	cout => \led_flash_cnt[243][4]~30289\);

-- Location: FF_X71_Y43_N21
\led_flash_cnt[243][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[243][4]~30288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[243][4]~q\);

-- Location: LCCOMB_X71_Y43_N28
\WideAnd243~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd243~0_combout\ = (\led_flash_cnt[243][4]~q\ & (\led_flash_cnt[243][3]~q\ & (\led_flash_cnt[243][1]~q\ & \led_flash_cnt[243][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[243][4]~q\,
	datab => \led_flash_cnt[243][3]~q\,
	datac => \led_flash_cnt[243][1]~q\,
	datad => \led_flash_cnt[243][2]~q\,
	combout => \WideAnd243~0_combout\);

-- Location: LCCOMB_X71_Y43_N22
\led_flash_cnt[243][5]~30290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[243][5]~30290_combout\ = (\led_flash_cnt[243][5]~q\ & (\led_flash_cnt[243][4]~30289\ $ (GND))) # (!\led_flash_cnt[243][5]~q\ & (!\led_flash_cnt[243][4]~30289\ & VCC))
-- \led_flash_cnt[243][5]~30291\ = CARRY((\led_flash_cnt[243][5]~q\ & !\led_flash_cnt[243][4]~30289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[243][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[243][4]~30289\,
	combout => \led_flash_cnt[243][5]~30290_combout\,
	cout => \led_flash_cnt[243][5]~30291\);

-- Location: FF_X71_Y43_N23
\led_flash_cnt[243][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[243][5]~30290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[243][5]~q\);

-- Location: LCCOMB_X71_Y43_N24
\led_flash_cnt[243][6]~30292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[243][6]~30292_combout\ = (\led_flash_cnt[243][6]~q\ & (!\led_flash_cnt[243][5]~30291\)) # (!\led_flash_cnt[243][6]~q\ & ((\led_flash_cnt[243][5]~30291\) # (GND)))
-- \led_flash_cnt[243][6]~30293\ = CARRY((!\led_flash_cnt[243][5]~30291\) # (!\led_flash_cnt[243][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[243][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[243][5]~30291\,
	combout => \led_flash_cnt[243][6]~30292_combout\,
	cout => \led_flash_cnt[243][6]~30293\);

-- Location: FF_X71_Y43_N25
\led_flash_cnt[243][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[243][6]~30292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[243][6]~q\);

-- Location: LCCOMB_X71_Y43_N26
\led_flash_cnt[243][7]~30294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[243][7]~30294_combout\ = \led_flash_cnt[243][7]~q\ $ (!\led_flash_cnt[243][6]~30293\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[243][7]~q\,
	cin => \led_flash_cnt[243][6]~30293\,
	combout => \led_flash_cnt[243][7]~30294_combout\);

-- Location: FF_X71_Y43_N27
\led_flash_cnt[243][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[243][7]~30294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[243][7]~q\);

-- Location: LCCOMB_X67_Y43_N10
\WideAnd243~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd243~1_combout\ = (\led_flash_cnt[243][6]~q\ & \led_flash_cnt[243][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[243][6]~q\,
	datad => \led_flash_cnt[243][5]~q\,
	combout => \WideAnd243~1_combout\);

-- Location: LCCOMB_X67_Y43_N30
WideAnd243 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd243~combout\ = (\WideAnd243~0_combout\ & (\led_flash_cnt[243][0]~q\ & (\led_flash_cnt[243][7]~q\ & \WideAnd243~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd243~0_combout\,
	datab => \led_flash_cnt[243][0]~q\,
	datac => \led_flash_cnt[243][7]~q\,
	datad => \WideAnd243~1_combout\,
	combout => \WideAnd243~combout\);

-- Location: FF_X67_Y43_N31
\led_flash_cnt_ands[243]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd243~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(243));

-- Location: LCCOMB_X67_Y43_N8
\led_flash_cnt[240][0]~80880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[240][0]~80880_combout\ = !\led_flash_cnt[240][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[240][0]~q\,
	combout => \led_flash_cnt[240][0]~80880_combout\);

-- Location: FF_X67_Y43_N9
\led_flash_cnt[240][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[240][0]~80880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[240][0]~q\);

-- Location: LCCOMB_X67_Y43_N12
\led_flash_cnt[240][1]~30240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[240][1]~30240_combout\ = (\led_flash_cnt[240][1]~q\ & (\led_flash_cnt[240][0]~q\ $ (VCC))) # (!\led_flash_cnt[240][1]~q\ & (\led_flash_cnt[240][0]~q\ & VCC))
-- \led_flash_cnt[240][1]~30241\ = CARRY((\led_flash_cnt[240][1]~q\ & \led_flash_cnt[240][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[240][1]~q\,
	datab => \led_flash_cnt[240][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[240][1]~30240_combout\,
	cout => \led_flash_cnt[240][1]~30241\);

-- Location: FF_X67_Y43_N13
\led_flash_cnt[240][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[240][1]~30240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[240][1]~q\);

-- Location: LCCOMB_X67_Y43_N14
\led_flash_cnt[240][2]~30242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[240][2]~30242_combout\ = (\led_flash_cnt[240][2]~q\ & (!\led_flash_cnt[240][1]~30241\)) # (!\led_flash_cnt[240][2]~q\ & ((\led_flash_cnt[240][1]~30241\) # (GND)))
-- \led_flash_cnt[240][2]~30243\ = CARRY((!\led_flash_cnt[240][1]~30241\) # (!\led_flash_cnt[240][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[240][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[240][1]~30241\,
	combout => \led_flash_cnt[240][2]~30242_combout\,
	cout => \led_flash_cnt[240][2]~30243\);

-- Location: FF_X67_Y43_N15
\led_flash_cnt[240][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[240][2]~30242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[240][2]~q\);

-- Location: LCCOMB_X67_Y43_N16
\led_flash_cnt[240][3]~30244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[240][3]~30244_combout\ = (\led_flash_cnt[240][3]~q\ & (\led_flash_cnt[240][2]~30243\ $ (GND))) # (!\led_flash_cnt[240][3]~q\ & (!\led_flash_cnt[240][2]~30243\ & VCC))
-- \led_flash_cnt[240][3]~30245\ = CARRY((\led_flash_cnt[240][3]~q\ & !\led_flash_cnt[240][2]~30243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[240][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[240][2]~30243\,
	combout => \led_flash_cnt[240][3]~30244_combout\,
	cout => \led_flash_cnt[240][3]~30245\);

-- Location: FF_X67_Y43_N17
\led_flash_cnt[240][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[240][3]~30244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[240][3]~q\);

-- Location: LCCOMB_X67_Y43_N18
\led_flash_cnt[240][4]~30246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[240][4]~30246_combout\ = (\led_flash_cnt[240][4]~q\ & (!\led_flash_cnt[240][3]~30245\)) # (!\led_flash_cnt[240][4]~q\ & ((\led_flash_cnt[240][3]~30245\) # (GND)))
-- \led_flash_cnt[240][4]~30247\ = CARRY((!\led_flash_cnt[240][3]~30245\) # (!\led_flash_cnt[240][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[240][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[240][3]~30245\,
	combout => \led_flash_cnt[240][4]~30246_combout\,
	cout => \led_flash_cnt[240][4]~30247\);

-- Location: FF_X67_Y43_N19
\led_flash_cnt[240][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[240][4]~30246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[240][4]~q\);

-- Location: LCCOMB_X67_Y43_N26
\WideAnd240~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd240~0_combout\ = (\led_flash_cnt[240][1]~q\ & (\led_flash_cnt[240][4]~q\ & (\led_flash_cnt[240][2]~q\ & \led_flash_cnt[240][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[240][1]~q\,
	datab => \led_flash_cnt[240][4]~q\,
	datac => \led_flash_cnt[240][2]~q\,
	datad => \led_flash_cnt[240][3]~q\,
	combout => \WideAnd240~0_combout\);

-- Location: LCCOMB_X67_Y43_N20
\led_flash_cnt[240][5]~30248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[240][5]~30248_combout\ = (\led_flash_cnt[240][5]~q\ & (\led_flash_cnt[240][4]~30247\ $ (GND))) # (!\led_flash_cnt[240][5]~q\ & (!\led_flash_cnt[240][4]~30247\ & VCC))
-- \led_flash_cnt[240][5]~30249\ = CARRY((\led_flash_cnt[240][5]~q\ & !\led_flash_cnt[240][4]~30247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[240][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[240][4]~30247\,
	combout => \led_flash_cnt[240][5]~30248_combout\,
	cout => \led_flash_cnt[240][5]~30249\);

-- Location: FF_X67_Y43_N21
\led_flash_cnt[240][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[240][5]~30248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[240][5]~q\);

-- Location: LCCOMB_X67_Y43_N22
\led_flash_cnt[240][6]~30250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[240][6]~30250_combout\ = (\led_flash_cnt[240][6]~q\ & (!\led_flash_cnt[240][5]~30249\)) # (!\led_flash_cnt[240][6]~q\ & ((\led_flash_cnt[240][5]~30249\) # (GND)))
-- \led_flash_cnt[240][6]~30251\ = CARRY((!\led_flash_cnt[240][5]~30249\) # (!\led_flash_cnt[240][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[240][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[240][5]~30249\,
	combout => \led_flash_cnt[240][6]~30250_combout\,
	cout => \led_flash_cnt[240][6]~30251\);

-- Location: FF_X67_Y43_N23
\led_flash_cnt[240][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[240][6]~30250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[240][6]~q\);

-- Location: LCCOMB_X67_Y43_N24
\led_flash_cnt[240][7]~30252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[240][7]~30252_combout\ = \led_flash_cnt[240][6]~30251\ $ (!\led_flash_cnt[240][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[240][7]~q\,
	cin => \led_flash_cnt[240][6]~30251\,
	combout => \led_flash_cnt[240][7]~30252_combout\);

-- Location: FF_X67_Y43_N25
\led_flash_cnt[240][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[240][7]~30252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[240][7]~q\);

-- Location: LCCOMB_X67_Y43_N0
\WideAnd240~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd240~1_combout\ = (\led_flash_cnt[240][6]~q\ & \led_flash_cnt[240][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[240][6]~q\,
	datad => \led_flash_cnt[240][5]~q\,
	combout => \WideAnd240~1_combout\);

-- Location: LCCOMB_X67_Y43_N28
WideAnd240 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd240~combout\ = (\WideAnd240~0_combout\ & (\led_flash_cnt[240][7]~q\ & (\led_flash_cnt[240][0]~q\ & \WideAnd240~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd240~0_combout\,
	datab => \led_flash_cnt[240][7]~q\,
	datac => \led_flash_cnt[240][0]~q\,
	datad => \WideAnd240~1_combout\,
	combout => \WideAnd240~combout\);

-- Location: FF_X67_Y43_N29
\led_flash_cnt_ands[240]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd240~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(240));

-- Location: LCCOMB_X66_Y43_N30
\WideAnd3870~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3870~0_combout\ = (led_flash_cnt_ands(241) & (led_flash_cnt_ands(242) & (led_flash_cnt_ands(243) & led_flash_cnt_ands(240))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(241),
	datab => led_flash_cnt_ands(242),
	datac => led_flash_cnt_ands(243),
	datad => led_flash_cnt_ands(240),
	combout => \WideAnd3870~0_combout\);

-- Location: LCCOMB_X66_Y45_N2
\led_flash_cnt[246][0]~80886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[246][0]~80886_combout\ = !\led_flash_cnt[246][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[246][0]~q\,
	combout => \led_flash_cnt[246][0]~80886_combout\);

-- Location: FF_X66_Y45_N3
\led_flash_cnt[246][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[246][0]~80886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[246][0]~q\);

-- Location: LCCOMB_X65_Y45_N18
\led_flash_cnt[246][1]~30324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[246][1]~30324_combout\ = (\led_flash_cnt[246][0]~q\ & (\led_flash_cnt[246][1]~q\ $ (VCC))) # (!\led_flash_cnt[246][0]~q\ & (\led_flash_cnt[246][1]~q\ & VCC))
-- \led_flash_cnt[246][1]~30325\ = CARRY((\led_flash_cnt[246][0]~q\ & \led_flash_cnt[246][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[246][0]~q\,
	datab => \led_flash_cnt[246][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[246][1]~30324_combout\,
	cout => \led_flash_cnt[246][1]~30325\);

-- Location: FF_X65_Y45_N19
\led_flash_cnt[246][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[246][1]~30324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[246][1]~q\);

-- Location: LCCOMB_X65_Y45_N20
\led_flash_cnt[246][2]~30326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[246][2]~30326_combout\ = (\led_flash_cnt[246][2]~q\ & (!\led_flash_cnt[246][1]~30325\)) # (!\led_flash_cnt[246][2]~q\ & ((\led_flash_cnt[246][1]~30325\) # (GND)))
-- \led_flash_cnt[246][2]~30327\ = CARRY((!\led_flash_cnt[246][1]~30325\) # (!\led_flash_cnt[246][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[246][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[246][1]~30325\,
	combout => \led_flash_cnt[246][2]~30326_combout\,
	cout => \led_flash_cnt[246][2]~30327\);

-- Location: FF_X65_Y45_N21
\led_flash_cnt[246][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[246][2]~30326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[246][2]~q\);

-- Location: LCCOMB_X65_Y45_N22
\led_flash_cnt[246][3]~30328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[246][3]~30328_combout\ = (\led_flash_cnt[246][3]~q\ & (\led_flash_cnt[246][2]~30327\ $ (GND))) # (!\led_flash_cnt[246][3]~q\ & (!\led_flash_cnt[246][2]~30327\ & VCC))
-- \led_flash_cnt[246][3]~30329\ = CARRY((\led_flash_cnt[246][3]~q\ & !\led_flash_cnt[246][2]~30327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[246][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[246][2]~30327\,
	combout => \led_flash_cnt[246][3]~30328_combout\,
	cout => \led_flash_cnt[246][3]~30329\);

-- Location: FF_X65_Y45_N23
\led_flash_cnt[246][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[246][3]~30328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[246][3]~q\);

-- Location: LCCOMB_X65_Y45_N24
\led_flash_cnt[246][4]~30330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[246][4]~30330_combout\ = (\led_flash_cnt[246][4]~q\ & (!\led_flash_cnt[246][3]~30329\)) # (!\led_flash_cnt[246][4]~q\ & ((\led_flash_cnt[246][3]~30329\) # (GND)))
-- \led_flash_cnt[246][4]~30331\ = CARRY((!\led_flash_cnt[246][3]~30329\) # (!\led_flash_cnt[246][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[246][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[246][3]~30329\,
	combout => \led_flash_cnt[246][4]~30330_combout\,
	cout => \led_flash_cnt[246][4]~30331\);

-- Location: FF_X65_Y45_N25
\led_flash_cnt[246][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[246][4]~30330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[246][4]~q\);

-- Location: LCCOMB_X65_Y45_N0
\WideAnd246~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd246~0_combout\ = (\led_flash_cnt[246][4]~q\ & (\led_flash_cnt[246][2]~q\ & (\led_flash_cnt[246][3]~q\ & \led_flash_cnt[246][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[246][4]~q\,
	datab => \led_flash_cnt[246][2]~q\,
	datac => \led_flash_cnt[246][3]~q\,
	datad => \led_flash_cnt[246][1]~q\,
	combout => \WideAnd246~0_combout\);

-- Location: LCCOMB_X65_Y45_N26
\led_flash_cnt[246][5]~30332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[246][5]~30332_combout\ = (\led_flash_cnt[246][5]~q\ & (\led_flash_cnt[246][4]~30331\ $ (GND))) # (!\led_flash_cnt[246][5]~q\ & (!\led_flash_cnt[246][4]~30331\ & VCC))
-- \led_flash_cnt[246][5]~30333\ = CARRY((\led_flash_cnt[246][5]~q\ & !\led_flash_cnt[246][4]~30331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[246][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[246][4]~30331\,
	combout => \led_flash_cnt[246][5]~30332_combout\,
	cout => \led_flash_cnt[246][5]~30333\);

-- Location: FF_X65_Y45_N27
\led_flash_cnt[246][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[246][5]~30332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[246][5]~q\);

-- Location: LCCOMB_X65_Y45_N28
\led_flash_cnt[246][6]~30334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[246][6]~30334_combout\ = (\led_flash_cnt[246][6]~q\ & (!\led_flash_cnt[246][5]~30333\)) # (!\led_flash_cnt[246][6]~q\ & ((\led_flash_cnt[246][5]~30333\) # (GND)))
-- \led_flash_cnt[246][6]~30335\ = CARRY((!\led_flash_cnt[246][5]~30333\) # (!\led_flash_cnt[246][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[246][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[246][5]~30333\,
	combout => \led_flash_cnt[246][6]~30334_combout\,
	cout => \led_flash_cnt[246][6]~30335\);

-- Location: FF_X65_Y45_N29
\led_flash_cnt[246][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[246][6]~30334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[246][6]~q\);

-- Location: LCCOMB_X65_Y45_N30
\led_flash_cnt[246][7]~30336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[246][7]~30336_combout\ = \led_flash_cnt[246][7]~q\ $ (!\led_flash_cnt[246][6]~30335\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[246][7]~q\,
	cin => \led_flash_cnt[246][6]~30335\,
	combout => \led_flash_cnt[246][7]~30336_combout\);

-- Location: FF_X65_Y45_N31
\led_flash_cnt[246][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[246][7]~30336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[246][7]~q\);

-- Location: LCCOMB_X66_Y45_N8
\WideAnd246~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd246~1_combout\ = (\led_flash_cnt[246][5]~q\ & \led_flash_cnt[246][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[246][5]~q\,
	datad => \led_flash_cnt[246][6]~q\,
	combout => \WideAnd246~1_combout\);

-- Location: LCCOMB_X66_Y45_N16
WideAnd246 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd246~combout\ = (\WideAnd246~0_combout\ & (\led_flash_cnt[246][7]~q\ & (\WideAnd246~1_combout\ & \led_flash_cnt[246][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd246~0_combout\,
	datab => \led_flash_cnt[246][7]~q\,
	datac => \WideAnd246~1_combout\,
	datad => \led_flash_cnt[246][0]~q\,
	combout => \WideAnd246~combout\);

-- Location: FF_X66_Y45_N17
\led_flash_cnt_ands[246]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd246~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(246));

-- Location: LCCOMB_X66_Y42_N24
WideAnd3870 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3870~combout\ = (led_flash_cnt_ands(247) & (\WideAnd3870~1_combout\ & (\WideAnd3870~0_combout\ & led_flash_cnt_ands(246))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(247),
	datab => \WideAnd3870~1_combout\,
	datac => \WideAnd3870~0_combout\,
	datad => led_flash_cnt_ands(246),
	combout => \WideAnd3870~combout\);

-- Location: FF_X66_Y42_N25
\led_flash_cnt_ands_1[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3870~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(30));

-- Location: LCCOMB_X65_Y17_N12
\led_flash_cnt[199][0]~80839\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[199][0]~80839_combout\ = !\led_flash_cnt[199][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[199][0]~q\,
	combout => \led_flash_cnt[199][0]~80839_combout\);

-- Location: FF_X65_Y17_N13
\led_flash_cnt[199][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[199][0]~80839_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[199][0]~q\);

-- Location: LCCOMB_X65_Y17_N16
\led_flash_cnt[199][1]~29666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[199][1]~29666_combout\ = (\led_flash_cnt[199][0]~q\ & (\led_flash_cnt[199][1]~q\ $ (VCC))) # (!\led_flash_cnt[199][0]~q\ & (\led_flash_cnt[199][1]~q\ & VCC))
-- \led_flash_cnt[199][1]~29667\ = CARRY((\led_flash_cnt[199][0]~q\ & \led_flash_cnt[199][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[199][0]~q\,
	datab => \led_flash_cnt[199][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[199][1]~29666_combout\,
	cout => \led_flash_cnt[199][1]~29667\);

-- Location: FF_X65_Y17_N17
\led_flash_cnt[199][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[199][1]~29666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[199][1]~q\);

-- Location: LCCOMB_X65_Y17_N18
\led_flash_cnt[199][2]~29668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[199][2]~29668_combout\ = (\led_flash_cnt[199][2]~q\ & (!\led_flash_cnt[199][1]~29667\)) # (!\led_flash_cnt[199][2]~q\ & ((\led_flash_cnt[199][1]~29667\) # (GND)))
-- \led_flash_cnt[199][2]~29669\ = CARRY((!\led_flash_cnt[199][1]~29667\) # (!\led_flash_cnt[199][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[199][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[199][1]~29667\,
	combout => \led_flash_cnt[199][2]~29668_combout\,
	cout => \led_flash_cnt[199][2]~29669\);

-- Location: FF_X65_Y17_N19
\led_flash_cnt[199][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[199][2]~29668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[199][2]~q\);

-- Location: LCCOMB_X65_Y17_N20
\led_flash_cnt[199][3]~29670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[199][3]~29670_combout\ = (\led_flash_cnt[199][3]~q\ & (\led_flash_cnt[199][2]~29669\ $ (GND))) # (!\led_flash_cnt[199][3]~q\ & (!\led_flash_cnt[199][2]~29669\ & VCC))
-- \led_flash_cnt[199][3]~29671\ = CARRY((\led_flash_cnt[199][3]~q\ & !\led_flash_cnt[199][2]~29669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[199][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[199][2]~29669\,
	combout => \led_flash_cnt[199][3]~29670_combout\,
	cout => \led_flash_cnt[199][3]~29671\);

-- Location: FF_X65_Y17_N21
\led_flash_cnt[199][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[199][3]~29670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[199][3]~q\);

-- Location: LCCOMB_X65_Y17_N22
\led_flash_cnt[199][4]~29672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[199][4]~29672_combout\ = (\led_flash_cnt[199][4]~q\ & (!\led_flash_cnt[199][3]~29671\)) # (!\led_flash_cnt[199][4]~q\ & ((\led_flash_cnt[199][3]~29671\) # (GND)))
-- \led_flash_cnt[199][4]~29673\ = CARRY((!\led_flash_cnt[199][3]~29671\) # (!\led_flash_cnt[199][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[199][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[199][3]~29671\,
	combout => \led_flash_cnt[199][4]~29672_combout\,
	cout => \led_flash_cnt[199][4]~29673\);

-- Location: FF_X65_Y17_N23
\led_flash_cnt[199][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[199][4]~29672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[199][4]~q\);

-- Location: LCCOMB_X65_Y17_N24
\led_flash_cnt[199][5]~29674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[199][5]~29674_combout\ = (\led_flash_cnt[199][5]~q\ & (\led_flash_cnt[199][4]~29673\ $ (GND))) # (!\led_flash_cnt[199][5]~q\ & (!\led_flash_cnt[199][4]~29673\ & VCC))
-- \led_flash_cnt[199][5]~29675\ = CARRY((\led_flash_cnt[199][5]~q\ & !\led_flash_cnt[199][4]~29673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[199][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[199][4]~29673\,
	combout => \led_flash_cnt[199][5]~29674_combout\,
	cout => \led_flash_cnt[199][5]~29675\);

-- Location: FF_X65_Y17_N25
\led_flash_cnt[199][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[199][5]~29674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[199][5]~q\);

-- Location: LCCOMB_X65_Y17_N26
\led_flash_cnt[199][6]~29676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[199][6]~29676_combout\ = (\led_flash_cnt[199][6]~q\ & (!\led_flash_cnt[199][5]~29675\)) # (!\led_flash_cnt[199][6]~q\ & ((\led_flash_cnt[199][5]~29675\) # (GND)))
-- \led_flash_cnt[199][6]~29677\ = CARRY((!\led_flash_cnt[199][5]~29675\) # (!\led_flash_cnt[199][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[199][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[199][5]~29675\,
	combout => \led_flash_cnt[199][6]~29676_combout\,
	cout => \led_flash_cnt[199][6]~29677\);

-- Location: FF_X65_Y17_N27
\led_flash_cnt[199][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[199][6]~29676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[199][6]~q\);

-- Location: LCCOMB_X65_Y17_N28
\led_flash_cnt[199][7]~29678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[199][7]~29678_combout\ = \led_flash_cnt[199][6]~29677\ $ (!\led_flash_cnt[199][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[199][7]~q\,
	cin => \led_flash_cnt[199][6]~29677\,
	combout => \led_flash_cnt[199][7]~29678_combout\);

-- Location: FF_X65_Y17_N29
\led_flash_cnt[199][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[199][7]~29678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[199][7]~q\);

-- Location: LCCOMB_X65_Y17_N30
\WideAnd199~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd199~0_combout\ = (\led_flash_cnt[199][3]~q\ & (\led_flash_cnt[199][2]~q\ & (\led_flash_cnt[199][4]~q\ & \led_flash_cnt[199][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[199][3]~q\,
	datab => \led_flash_cnt[199][2]~q\,
	datac => \led_flash_cnt[199][4]~q\,
	datad => \led_flash_cnt[199][1]~q\,
	combout => \WideAnd199~0_combout\);

-- Location: LCCOMB_X65_Y17_N0
\WideAnd199~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd199~1_combout\ = (\led_flash_cnt[199][6]~q\ & \led_flash_cnt[199][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[199][6]~q\,
	datad => \led_flash_cnt[199][5]~q\,
	combout => \WideAnd199~1_combout\);

-- Location: LCCOMB_X65_Y17_N14
WideAnd199 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd199~combout\ = (\led_flash_cnt[199][0]~q\ & (\led_flash_cnt[199][7]~q\ & (\WideAnd199~0_combout\ & \WideAnd199~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[199][0]~q\,
	datab => \led_flash_cnt[199][7]~q\,
	datac => \WideAnd199~0_combout\,
	datad => \WideAnd199~1_combout\,
	combout => \WideAnd199~combout\);

-- Location: FF_X65_Y17_N15
\led_flash_cnt_ands[199]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd199~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(199));

-- Location: LCCOMB_X72_Y15_N26
\led_flash_cnt[194][0]~80834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[194][0]~80834_combout\ = !\led_flash_cnt[194][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[194][0]~q\,
	combout => \led_flash_cnt[194][0]~80834_combout\);

-- Location: FF_X72_Y15_N27
\led_flash_cnt[194][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[194][0]~80834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[194][0]~q\);

-- Location: LCCOMB_X72_Y15_N8
\led_flash_cnt[194][1]~29596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[194][1]~29596_combout\ = (\led_flash_cnt[194][0]~q\ & (\led_flash_cnt[194][1]~q\ $ (VCC))) # (!\led_flash_cnt[194][0]~q\ & (\led_flash_cnt[194][1]~q\ & VCC))
-- \led_flash_cnt[194][1]~29597\ = CARRY((\led_flash_cnt[194][0]~q\ & \led_flash_cnt[194][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[194][0]~q\,
	datab => \led_flash_cnt[194][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[194][1]~29596_combout\,
	cout => \led_flash_cnt[194][1]~29597\);

-- Location: FF_X72_Y15_N9
\led_flash_cnt[194][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[194][1]~29596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[194][1]~q\);

-- Location: LCCOMB_X72_Y15_N10
\led_flash_cnt[194][2]~29598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[194][2]~29598_combout\ = (\led_flash_cnt[194][2]~q\ & (!\led_flash_cnt[194][1]~29597\)) # (!\led_flash_cnt[194][2]~q\ & ((\led_flash_cnt[194][1]~29597\) # (GND)))
-- \led_flash_cnt[194][2]~29599\ = CARRY((!\led_flash_cnt[194][1]~29597\) # (!\led_flash_cnt[194][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[194][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[194][1]~29597\,
	combout => \led_flash_cnt[194][2]~29598_combout\,
	cout => \led_flash_cnt[194][2]~29599\);

-- Location: FF_X72_Y15_N11
\led_flash_cnt[194][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[194][2]~29598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[194][2]~q\);

-- Location: LCCOMB_X72_Y15_N12
\led_flash_cnt[194][3]~29600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[194][3]~29600_combout\ = (\led_flash_cnt[194][3]~q\ & (\led_flash_cnt[194][2]~29599\ $ (GND))) # (!\led_flash_cnt[194][3]~q\ & (!\led_flash_cnt[194][2]~29599\ & VCC))
-- \led_flash_cnt[194][3]~29601\ = CARRY((\led_flash_cnt[194][3]~q\ & !\led_flash_cnt[194][2]~29599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[194][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[194][2]~29599\,
	combout => \led_flash_cnt[194][3]~29600_combout\,
	cout => \led_flash_cnt[194][3]~29601\);

-- Location: FF_X72_Y15_N13
\led_flash_cnt[194][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[194][3]~29600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[194][3]~q\);

-- Location: LCCOMB_X72_Y15_N14
\led_flash_cnt[194][4]~29602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[194][4]~29602_combout\ = (\led_flash_cnt[194][4]~q\ & (!\led_flash_cnt[194][3]~29601\)) # (!\led_flash_cnt[194][4]~q\ & ((\led_flash_cnt[194][3]~29601\) # (GND)))
-- \led_flash_cnt[194][4]~29603\ = CARRY((!\led_flash_cnt[194][3]~29601\) # (!\led_flash_cnt[194][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[194][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[194][3]~29601\,
	combout => \led_flash_cnt[194][4]~29602_combout\,
	cout => \led_flash_cnt[194][4]~29603\);

-- Location: FF_X72_Y15_N15
\led_flash_cnt[194][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[194][4]~29602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[194][4]~q\);

-- Location: LCCOMB_X72_Y15_N16
\led_flash_cnt[194][5]~29604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[194][5]~29604_combout\ = (\led_flash_cnt[194][5]~q\ & (\led_flash_cnt[194][4]~29603\ $ (GND))) # (!\led_flash_cnt[194][5]~q\ & (!\led_flash_cnt[194][4]~29603\ & VCC))
-- \led_flash_cnt[194][5]~29605\ = CARRY((\led_flash_cnt[194][5]~q\ & !\led_flash_cnt[194][4]~29603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[194][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[194][4]~29603\,
	combout => \led_flash_cnt[194][5]~29604_combout\,
	cout => \led_flash_cnt[194][5]~29605\);

-- Location: FF_X72_Y15_N17
\led_flash_cnt[194][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[194][5]~29604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[194][5]~q\);

-- Location: LCCOMB_X72_Y15_N18
\led_flash_cnt[194][6]~29606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[194][6]~29606_combout\ = (\led_flash_cnt[194][6]~q\ & (!\led_flash_cnt[194][5]~29605\)) # (!\led_flash_cnt[194][6]~q\ & ((\led_flash_cnt[194][5]~29605\) # (GND)))
-- \led_flash_cnt[194][6]~29607\ = CARRY((!\led_flash_cnt[194][5]~29605\) # (!\led_flash_cnt[194][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[194][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[194][5]~29605\,
	combout => \led_flash_cnt[194][6]~29606_combout\,
	cout => \led_flash_cnt[194][6]~29607\);

-- Location: FF_X72_Y15_N19
\led_flash_cnt[194][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[194][6]~29606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[194][6]~q\);

-- Location: LCCOMB_X72_Y15_N20
\led_flash_cnt[194][7]~29608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[194][7]~29608_combout\ = \led_flash_cnt[194][6]~29607\ $ (!\led_flash_cnt[194][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[194][7]~q\,
	cin => \led_flash_cnt[194][6]~29607\,
	combout => \led_flash_cnt[194][7]~29608_combout\);

-- Location: FF_X72_Y15_N21
\led_flash_cnt[194][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[194][7]~29608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[194][7]~q\);

-- Location: LCCOMB_X72_Y15_N4
\WideAnd194~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd194~1_combout\ = (\led_flash_cnt[194][6]~q\ & \led_flash_cnt[194][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[194][6]~q\,
	datad => \led_flash_cnt[194][5]~q\,
	combout => \WideAnd194~1_combout\);

-- Location: LCCOMB_X72_Y15_N24
\WideAnd194~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd194~0_combout\ = (\led_flash_cnt[194][3]~q\ & (\led_flash_cnt[194][1]~q\ & (\led_flash_cnt[194][4]~q\ & \led_flash_cnt[194][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[194][3]~q\,
	datab => \led_flash_cnt[194][1]~q\,
	datac => \led_flash_cnt[194][4]~q\,
	datad => \led_flash_cnt[194][2]~q\,
	combout => \WideAnd194~0_combout\);

-- Location: LCCOMB_X72_Y15_N6
WideAnd194 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd194~combout\ = (\led_flash_cnt[194][0]~q\ & (\led_flash_cnt[194][7]~q\ & (\WideAnd194~1_combout\ & \WideAnd194~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[194][0]~q\,
	datab => \led_flash_cnt[194][7]~q\,
	datac => \WideAnd194~1_combout\,
	datad => \WideAnd194~0_combout\,
	combout => \WideAnd194~combout\);

-- Location: FF_X72_Y15_N7
\led_flash_cnt_ands[194]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd194~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(194));

-- Location: LCCOMB_X72_Y15_N28
\led_flash_cnt[193][0]~80833\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[193][0]~80833_combout\ = !\led_flash_cnt[193][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[193][0]~q\,
	combout => \led_flash_cnt[193][0]~80833_combout\);

-- Location: FF_X72_Y15_N29
\led_flash_cnt[193][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[193][0]~80833_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[193][0]~q\);

-- Location: LCCOMB_X74_Y15_N2
\led_flash_cnt[193][1]~29582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[193][1]~29582_combout\ = (\led_flash_cnt[193][0]~q\ & (\led_flash_cnt[193][1]~q\ $ (VCC))) # (!\led_flash_cnt[193][0]~q\ & (\led_flash_cnt[193][1]~q\ & VCC))
-- \led_flash_cnt[193][1]~29583\ = CARRY((\led_flash_cnt[193][0]~q\ & \led_flash_cnt[193][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[193][0]~q\,
	datab => \led_flash_cnt[193][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[193][1]~29582_combout\,
	cout => \led_flash_cnt[193][1]~29583\);

-- Location: FF_X74_Y15_N3
\led_flash_cnt[193][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[193][1]~29582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[193][1]~q\);

-- Location: LCCOMB_X74_Y15_N4
\led_flash_cnt[193][2]~29584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[193][2]~29584_combout\ = (\led_flash_cnt[193][2]~q\ & (!\led_flash_cnt[193][1]~29583\)) # (!\led_flash_cnt[193][2]~q\ & ((\led_flash_cnt[193][1]~29583\) # (GND)))
-- \led_flash_cnt[193][2]~29585\ = CARRY((!\led_flash_cnt[193][1]~29583\) # (!\led_flash_cnt[193][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[193][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[193][1]~29583\,
	combout => \led_flash_cnt[193][2]~29584_combout\,
	cout => \led_flash_cnt[193][2]~29585\);

-- Location: FF_X74_Y15_N5
\led_flash_cnt[193][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[193][2]~29584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[193][2]~q\);

-- Location: LCCOMB_X74_Y15_N6
\led_flash_cnt[193][3]~29586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[193][3]~29586_combout\ = (\led_flash_cnt[193][3]~q\ & (\led_flash_cnt[193][2]~29585\ $ (GND))) # (!\led_flash_cnt[193][3]~q\ & (!\led_flash_cnt[193][2]~29585\ & VCC))
-- \led_flash_cnt[193][3]~29587\ = CARRY((\led_flash_cnt[193][3]~q\ & !\led_flash_cnt[193][2]~29585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[193][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[193][2]~29585\,
	combout => \led_flash_cnt[193][3]~29586_combout\,
	cout => \led_flash_cnt[193][3]~29587\);

-- Location: FF_X74_Y15_N7
\led_flash_cnt[193][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[193][3]~29586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[193][3]~q\);

-- Location: LCCOMB_X74_Y15_N8
\led_flash_cnt[193][4]~29588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[193][4]~29588_combout\ = (\led_flash_cnt[193][4]~q\ & (!\led_flash_cnt[193][3]~29587\)) # (!\led_flash_cnt[193][4]~q\ & ((\led_flash_cnt[193][3]~29587\) # (GND)))
-- \led_flash_cnt[193][4]~29589\ = CARRY((!\led_flash_cnt[193][3]~29587\) # (!\led_flash_cnt[193][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[193][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[193][3]~29587\,
	combout => \led_flash_cnt[193][4]~29588_combout\,
	cout => \led_flash_cnt[193][4]~29589\);

-- Location: FF_X74_Y15_N9
\led_flash_cnt[193][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[193][4]~29588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[193][4]~q\);

-- Location: LCCOMB_X74_Y15_N30
\WideAnd193~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd193~0_combout\ = (\led_flash_cnt[193][3]~q\ & (\led_flash_cnt[193][4]~q\ & (\led_flash_cnt[193][2]~q\ & \led_flash_cnt[193][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[193][3]~q\,
	datab => \led_flash_cnt[193][4]~q\,
	datac => \led_flash_cnt[193][2]~q\,
	datad => \led_flash_cnt[193][1]~q\,
	combout => \WideAnd193~0_combout\);

-- Location: LCCOMB_X74_Y15_N10
\led_flash_cnt[193][5]~29590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[193][5]~29590_combout\ = (\led_flash_cnt[193][5]~q\ & (\led_flash_cnt[193][4]~29589\ $ (GND))) # (!\led_flash_cnt[193][5]~q\ & (!\led_flash_cnt[193][4]~29589\ & VCC))
-- \led_flash_cnt[193][5]~29591\ = CARRY((\led_flash_cnt[193][5]~q\ & !\led_flash_cnt[193][4]~29589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[193][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[193][4]~29589\,
	combout => \led_flash_cnt[193][5]~29590_combout\,
	cout => \led_flash_cnt[193][5]~29591\);

-- Location: FF_X74_Y15_N11
\led_flash_cnt[193][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[193][5]~29590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[193][5]~q\);

-- Location: LCCOMB_X74_Y15_N12
\led_flash_cnt[193][6]~29592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[193][6]~29592_combout\ = (\led_flash_cnt[193][6]~q\ & (!\led_flash_cnt[193][5]~29591\)) # (!\led_flash_cnt[193][6]~q\ & ((\led_flash_cnt[193][5]~29591\) # (GND)))
-- \led_flash_cnt[193][6]~29593\ = CARRY((!\led_flash_cnt[193][5]~29591\) # (!\led_flash_cnt[193][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[193][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[193][5]~29591\,
	combout => \led_flash_cnt[193][6]~29592_combout\,
	cout => \led_flash_cnt[193][6]~29593\);

-- Location: FF_X74_Y15_N13
\led_flash_cnt[193][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[193][6]~29592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[193][6]~q\);

-- Location: LCCOMB_X72_Y15_N30
\WideAnd193~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd193~1_combout\ = (\led_flash_cnt[193][5]~q\ & \led_flash_cnt[193][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[193][5]~q\,
	datad => \led_flash_cnt[193][6]~q\,
	combout => \WideAnd193~1_combout\);

-- Location: LCCOMB_X74_Y15_N14
\led_flash_cnt[193][7]~29594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[193][7]~29594_combout\ = \led_flash_cnt[193][7]~q\ $ (!\led_flash_cnt[193][6]~29593\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[193][7]~q\,
	cin => \led_flash_cnt[193][6]~29593\,
	combout => \led_flash_cnt[193][7]~29594_combout\);

-- Location: FF_X74_Y15_N15
\led_flash_cnt[193][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[193][7]~29594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[193][7]~q\);

-- Location: LCCOMB_X72_Y15_N2
WideAnd193 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd193~combout\ = (\WideAnd193~0_combout\ & (\led_flash_cnt[193][0]~q\ & (\WideAnd193~1_combout\ & \led_flash_cnt[193][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd193~0_combout\,
	datab => \led_flash_cnt[193][0]~q\,
	datac => \WideAnd193~1_combout\,
	datad => \led_flash_cnt[193][7]~q\,
	combout => \WideAnd193~combout\);

-- Location: FF_X72_Y15_N3
\led_flash_cnt_ands[193]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd193~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(193));

-- Location: LCCOMB_X66_Y20_N10
\led_flash_cnt[192][0]~80832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[192][0]~80832_combout\ = !\led_flash_cnt[192][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[192][0]~q\,
	combout => \led_flash_cnt[192][0]~80832_combout\);

-- Location: FF_X66_Y20_N11
\led_flash_cnt[192][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[192][0]~80832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[192][0]~q\);

-- Location: LCCOMB_X66_Y20_N12
\led_flash_cnt[192][1]~29568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[192][1]~29568_combout\ = (\led_flash_cnt[192][0]~q\ & (\led_flash_cnt[192][1]~q\ $ (VCC))) # (!\led_flash_cnt[192][0]~q\ & (\led_flash_cnt[192][1]~q\ & VCC))
-- \led_flash_cnt[192][1]~29569\ = CARRY((\led_flash_cnt[192][0]~q\ & \led_flash_cnt[192][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[192][0]~q\,
	datab => \led_flash_cnt[192][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[192][1]~29568_combout\,
	cout => \led_flash_cnt[192][1]~29569\);

-- Location: FF_X66_Y20_N13
\led_flash_cnt[192][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[192][1]~29568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[192][1]~q\);

-- Location: LCCOMB_X66_Y20_N14
\led_flash_cnt[192][2]~29570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[192][2]~29570_combout\ = (\led_flash_cnt[192][2]~q\ & (!\led_flash_cnt[192][1]~29569\)) # (!\led_flash_cnt[192][2]~q\ & ((\led_flash_cnt[192][1]~29569\) # (GND)))
-- \led_flash_cnt[192][2]~29571\ = CARRY((!\led_flash_cnt[192][1]~29569\) # (!\led_flash_cnt[192][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[192][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[192][1]~29569\,
	combout => \led_flash_cnt[192][2]~29570_combout\,
	cout => \led_flash_cnt[192][2]~29571\);

-- Location: FF_X66_Y20_N15
\led_flash_cnt[192][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[192][2]~29570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[192][2]~q\);

-- Location: LCCOMB_X66_Y20_N16
\led_flash_cnt[192][3]~29572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[192][3]~29572_combout\ = (\led_flash_cnt[192][3]~q\ & (\led_flash_cnt[192][2]~29571\ $ (GND))) # (!\led_flash_cnt[192][3]~q\ & (!\led_flash_cnt[192][2]~29571\ & VCC))
-- \led_flash_cnt[192][3]~29573\ = CARRY((\led_flash_cnt[192][3]~q\ & !\led_flash_cnt[192][2]~29571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[192][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[192][2]~29571\,
	combout => \led_flash_cnt[192][3]~29572_combout\,
	cout => \led_flash_cnt[192][3]~29573\);

-- Location: FF_X66_Y20_N17
\led_flash_cnt[192][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[192][3]~29572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[192][3]~q\);

-- Location: LCCOMB_X66_Y20_N18
\led_flash_cnt[192][4]~29574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[192][4]~29574_combout\ = (\led_flash_cnt[192][4]~q\ & (!\led_flash_cnt[192][3]~29573\)) # (!\led_flash_cnt[192][4]~q\ & ((\led_flash_cnt[192][3]~29573\) # (GND)))
-- \led_flash_cnt[192][4]~29575\ = CARRY((!\led_flash_cnt[192][3]~29573\) # (!\led_flash_cnt[192][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[192][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[192][3]~29573\,
	combout => \led_flash_cnt[192][4]~29574_combout\,
	cout => \led_flash_cnt[192][4]~29575\);

-- Location: FF_X66_Y20_N19
\led_flash_cnt[192][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[192][4]~29574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[192][4]~q\);

-- Location: LCCOMB_X66_Y20_N20
\led_flash_cnt[192][5]~29576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[192][5]~29576_combout\ = (\led_flash_cnt[192][5]~q\ & (\led_flash_cnt[192][4]~29575\ $ (GND))) # (!\led_flash_cnt[192][5]~q\ & (!\led_flash_cnt[192][4]~29575\ & VCC))
-- \led_flash_cnt[192][5]~29577\ = CARRY((\led_flash_cnt[192][5]~q\ & !\led_flash_cnt[192][4]~29575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[192][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[192][4]~29575\,
	combout => \led_flash_cnt[192][5]~29576_combout\,
	cout => \led_flash_cnt[192][5]~29577\);

-- Location: FF_X66_Y20_N21
\led_flash_cnt[192][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[192][5]~29576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[192][5]~q\);

-- Location: LCCOMB_X66_Y20_N22
\led_flash_cnt[192][6]~29578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[192][6]~29578_combout\ = (\led_flash_cnt[192][6]~q\ & (!\led_flash_cnt[192][5]~29577\)) # (!\led_flash_cnt[192][6]~q\ & ((\led_flash_cnt[192][5]~29577\) # (GND)))
-- \led_flash_cnt[192][6]~29579\ = CARRY((!\led_flash_cnt[192][5]~29577\) # (!\led_flash_cnt[192][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[192][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[192][5]~29577\,
	combout => \led_flash_cnt[192][6]~29578_combout\,
	cout => \led_flash_cnt[192][6]~29579\);

-- Location: FF_X66_Y20_N23
\led_flash_cnt[192][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[192][6]~29578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[192][6]~q\);

-- Location: LCCOMB_X66_Y20_N24
\led_flash_cnt[192][7]~29580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[192][7]~29580_combout\ = \led_flash_cnt[192][6]~29579\ $ (!\led_flash_cnt[192][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[192][7]~q\,
	cin => \led_flash_cnt[192][6]~29579\,
	combout => \led_flash_cnt[192][7]~29580_combout\);

-- Location: FF_X66_Y20_N25
\led_flash_cnt[192][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[192][7]~29580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[192][7]~q\);

-- Location: LCCOMB_X66_Y20_N26
\WideAnd192~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd192~0_combout\ = (\led_flash_cnt[192][1]~q\ & (\led_flash_cnt[192][4]~q\ & (\led_flash_cnt[192][2]~q\ & \led_flash_cnt[192][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[192][1]~q\,
	datab => \led_flash_cnt[192][4]~q\,
	datac => \led_flash_cnt[192][2]~q\,
	datad => \led_flash_cnt[192][3]~q\,
	combout => \WideAnd192~0_combout\);

-- Location: LCCOMB_X66_Y20_N2
\WideAnd192~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd192~1_combout\ = (\led_flash_cnt[192][6]~q\ & \led_flash_cnt[192][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[192][6]~q\,
	datad => \led_flash_cnt[192][5]~q\,
	combout => \WideAnd192~1_combout\);

-- Location: LCCOMB_X66_Y20_N0
WideAnd192 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd192~combout\ = (\led_flash_cnt[192][0]~q\ & (\led_flash_cnt[192][7]~q\ & (\WideAnd192~0_combout\ & \WideAnd192~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[192][0]~q\,
	datab => \led_flash_cnt[192][7]~q\,
	datac => \WideAnd192~0_combout\,
	datad => \WideAnd192~1_combout\,
	combout => \WideAnd192~combout\);

-- Location: FF_X66_Y20_N1
\led_flash_cnt_ands[192]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd192~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(192));

-- Location: LCCOMB_X77_Y19_N2
\led_flash_cnt[195][0]~80835\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[195][0]~80835_combout\ = !\led_flash_cnt[195][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[195][0]~q\,
	combout => \led_flash_cnt[195][0]~80835_combout\);

-- Location: FF_X77_Y19_N3
\led_flash_cnt[195][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[195][0]~80835_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[195][0]~q\);

-- Location: LCCOMB_X77_Y22_N4
\led_flash_cnt[195][1]~29610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[195][1]~29610_combout\ = (\led_flash_cnt[195][0]~q\ & (\led_flash_cnt[195][1]~q\ $ (VCC))) # (!\led_flash_cnt[195][0]~q\ & (\led_flash_cnt[195][1]~q\ & VCC))
-- \led_flash_cnt[195][1]~29611\ = CARRY((\led_flash_cnt[195][0]~q\ & \led_flash_cnt[195][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[195][0]~q\,
	datab => \led_flash_cnt[195][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[195][1]~29610_combout\,
	cout => \led_flash_cnt[195][1]~29611\);

-- Location: FF_X77_Y22_N5
\led_flash_cnt[195][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[195][1]~29610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[195][1]~q\);

-- Location: LCCOMB_X77_Y22_N6
\led_flash_cnt[195][2]~29612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[195][2]~29612_combout\ = (\led_flash_cnt[195][2]~q\ & (!\led_flash_cnt[195][1]~29611\)) # (!\led_flash_cnt[195][2]~q\ & ((\led_flash_cnt[195][1]~29611\) # (GND)))
-- \led_flash_cnt[195][2]~29613\ = CARRY((!\led_flash_cnt[195][1]~29611\) # (!\led_flash_cnt[195][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[195][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[195][1]~29611\,
	combout => \led_flash_cnt[195][2]~29612_combout\,
	cout => \led_flash_cnt[195][2]~29613\);

-- Location: FF_X77_Y22_N7
\led_flash_cnt[195][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[195][2]~29612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[195][2]~q\);

-- Location: LCCOMB_X77_Y22_N8
\led_flash_cnt[195][3]~29614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[195][3]~29614_combout\ = (\led_flash_cnt[195][3]~q\ & (\led_flash_cnt[195][2]~29613\ $ (GND))) # (!\led_flash_cnt[195][3]~q\ & (!\led_flash_cnt[195][2]~29613\ & VCC))
-- \led_flash_cnt[195][3]~29615\ = CARRY((\led_flash_cnt[195][3]~q\ & !\led_flash_cnt[195][2]~29613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[195][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[195][2]~29613\,
	combout => \led_flash_cnt[195][3]~29614_combout\,
	cout => \led_flash_cnt[195][3]~29615\);

-- Location: FF_X77_Y22_N9
\led_flash_cnt[195][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[195][3]~29614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[195][3]~q\);

-- Location: LCCOMB_X77_Y22_N10
\led_flash_cnt[195][4]~29616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[195][4]~29616_combout\ = (\led_flash_cnt[195][4]~q\ & (!\led_flash_cnt[195][3]~29615\)) # (!\led_flash_cnt[195][4]~q\ & ((\led_flash_cnt[195][3]~29615\) # (GND)))
-- \led_flash_cnt[195][4]~29617\ = CARRY((!\led_flash_cnt[195][3]~29615\) # (!\led_flash_cnt[195][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[195][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[195][3]~29615\,
	combout => \led_flash_cnt[195][4]~29616_combout\,
	cout => \led_flash_cnt[195][4]~29617\);

-- Location: FF_X77_Y22_N11
\led_flash_cnt[195][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[195][4]~29616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[195][4]~q\);

-- Location: LCCOMB_X77_Y22_N12
\led_flash_cnt[195][5]~29618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[195][5]~29618_combout\ = (\led_flash_cnt[195][5]~q\ & (\led_flash_cnt[195][4]~29617\ $ (GND))) # (!\led_flash_cnt[195][5]~q\ & (!\led_flash_cnt[195][4]~29617\ & VCC))
-- \led_flash_cnt[195][5]~29619\ = CARRY((\led_flash_cnt[195][5]~q\ & !\led_flash_cnt[195][4]~29617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[195][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[195][4]~29617\,
	combout => \led_flash_cnt[195][5]~29618_combout\,
	cout => \led_flash_cnt[195][5]~29619\);

-- Location: FF_X77_Y22_N13
\led_flash_cnt[195][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[195][5]~29618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[195][5]~q\);

-- Location: LCCOMB_X77_Y22_N14
\led_flash_cnt[195][6]~29620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[195][6]~29620_combout\ = (\led_flash_cnt[195][6]~q\ & (!\led_flash_cnt[195][5]~29619\)) # (!\led_flash_cnt[195][6]~q\ & ((\led_flash_cnt[195][5]~29619\) # (GND)))
-- \led_flash_cnt[195][6]~29621\ = CARRY((!\led_flash_cnt[195][5]~29619\) # (!\led_flash_cnt[195][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[195][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[195][5]~29619\,
	combout => \led_flash_cnt[195][6]~29620_combout\,
	cout => \led_flash_cnt[195][6]~29621\);

-- Location: FF_X77_Y22_N15
\led_flash_cnt[195][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[195][6]~29620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[195][6]~q\);

-- Location: LCCOMB_X77_Y22_N16
\led_flash_cnt[195][7]~29622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[195][7]~29622_combout\ = \led_flash_cnt[195][6]~29621\ $ (!\led_flash_cnt[195][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[195][7]~q\,
	cin => \led_flash_cnt[195][6]~29621\,
	combout => \led_flash_cnt[195][7]~29622_combout\);

-- Location: FF_X77_Y22_N17
\led_flash_cnt[195][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[195][7]~29622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[195][7]~q\);

-- Location: LCCOMB_X77_Y22_N2
\WideAnd195~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd195~0_combout\ = (\led_flash_cnt[195][2]~q\ & (\led_flash_cnt[195][3]~q\ & (\led_flash_cnt[195][1]~q\ & \led_flash_cnt[195][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[195][2]~q\,
	datab => \led_flash_cnt[195][3]~q\,
	datac => \led_flash_cnt[195][1]~q\,
	datad => \led_flash_cnt[195][4]~q\,
	combout => \WideAnd195~0_combout\);

-- Location: LCCOMB_X77_Y19_N6
\WideAnd195~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd195~1_combout\ = (\led_flash_cnt[195][6]~q\ & \led_flash_cnt[195][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[195][6]~q\,
	datad => \led_flash_cnt[195][5]~q\,
	combout => \WideAnd195~1_combout\);

-- Location: LCCOMB_X77_Y19_N8
WideAnd195 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd195~combout\ = (\led_flash_cnt[195][7]~q\ & (\led_flash_cnt[195][0]~q\ & (\WideAnd195~0_combout\ & \WideAnd195~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[195][7]~q\,
	datab => \led_flash_cnt[195][0]~q\,
	datac => \WideAnd195~0_combout\,
	datad => \WideAnd195~1_combout\,
	combout => \WideAnd195~combout\);

-- Location: FF_X77_Y19_N9
\led_flash_cnt_ands[195]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd195~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(195));

-- Location: LCCOMB_X72_Y15_N22
\WideAnd3864~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3864~0_combout\ = (led_flash_cnt_ands(194) & (led_flash_cnt_ands(193) & (led_flash_cnt_ands(192) & led_flash_cnt_ands(195))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(194),
	datab => led_flash_cnt_ands(193),
	datac => led_flash_cnt_ands(192),
	datad => led_flash_cnt_ands(195),
	combout => \WideAnd3864~0_combout\);

-- Location: LCCOMB_X66_Y9_N8
\led_flash_cnt[198][0]~80838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[198][0]~80838_combout\ = !\led_flash_cnt[198][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[198][0]~q\,
	combout => \led_flash_cnt[198][0]~80838_combout\);

-- Location: FF_X66_Y9_N9
\led_flash_cnt[198][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[198][0]~80838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[198][0]~q\);

-- Location: LCCOMB_X66_Y9_N10
\led_flash_cnt[198][1]~29652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[198][1]~29652_combout\ = (\led_flash_cnt[198][1]~q\ & (\led_flash_cnt[198][0]~q\ $ (VCC))) # (!\led_flash_cnt[198][1]~q\ & (\led_flash_cnt[198][0]~q\ & VCC))
-- \led_flash_cnt[198][1]~29653\ = CARRY((\led_flash_cnt[198][1]~q\ & \led_flash_cnt[198][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[198][1]~q\,
	datab => \led_flash_cnt[198][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[198][1]~29652_combout\,
	cout => \led_flash_cnt[198][1]~29653\);

-- Location: FF_X66_Y9_N11
\led_flash_cnt[198][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[198][1]~29652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[198][1]~q\);

-- Location: LCCOMB_X66_Y9_N12
\led_flash_cnt[198][2]~29654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[198][2]~29654_combout\ = (\led_flash_cnt[198][2]~q\ & (!\led_flash_cnt[198][1]~29653\)) # (!\led_flash_cnt[198][2]~q\ & ((\led_flash_cnt[198][1]~29653\) # (GND)))
-- \led_flash_cnt[198][2]~29655\ = CARRY((!\led_flash_cnt[198][1]~29653\) # (!\led_flash_cnt[198][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[198][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[198][1]~29653\,
	combout => \led_flash_cnt[198][2]~29654_combout\,
	cout => \led_flash_cnt[198][2]~29655\);

-- Location: FF_X66_Y9_N13
\led_flash_cnt[198][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[198][2]~29654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[198][2]~q\);

-- Location: LCCOMB_X66_Y9_N14
\led_flash_cnt[198][3]~29656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[198][3]~29656_combout\ = (\led_flash_cnt[198][3]~q\ & (\led_flash_cnt[198][2]~29655\ $ (GND))) # (!\led_flash_cnt[198][3]~q\ & (!\led_flash_cnt[198][2]~29655\ & VCC))
-- \led_flash_cnt[198][3]~29657\ = CARRY((\led_flash_cnt[198][3]~q\ & !\led_flash_cnt[198][2]~29655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[198][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[198][2]~29655\,
	combout => \led_flash_cnt[198][3]~29656_combout\,
	cout => \led_flash_cnt[198][3]~29657\);

-- Location: FF_X66_Y9_N15
\led_flash_cnt[198][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[198][3]~29656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[198][3]~q\);

-- Location: LCCOMB_X66_Y9_N16
\led_flash_cnt[198][4]~29658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[198][4]~29658_combout\ = (\led_flash_cnt[198][4]~q\ & (!\led_flash_cnt[198][3]~29657\)) # (!\led_flash_cnt[198][4]~q\ & ((\led_flash_cnt[198][3]~29657\) # (GND)))
-- \led_flash_cnt[198][4]~29659\ = CARRY((!\led_flash_cnt[198][3]~29657\) # (!\led_flash_cnt[198][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[198][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[198][3]~29657\,
	combout => \led_flash_cnt[198][4]~29658_combout\,
	cout => \led_flash_cnt[198][4]~29659\);

-- Location: FF_X66_Y9_N17
\led_flash_cnt[198][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[198][4]~29658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[198][4]~q\);

-- Location: LCCOMB_X66_Y9_N18
\led_flash_cnt[198][5]~29660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[198][5]~29660_combout\ = (\led_flash_cnt[198][5]~q\ & (\led_flash_cnt[198][4]~29659\ $ (GND))) # (!\led_flash_cnt[198][5]~q\ & (!\led_flash_cnt[198][4]~29659\ & VCC))
-- \led_flash_cnt[198][5]~29661\ = CARRY((\led_flash_cnt[198][5]~q\ & !\led_flash_cnt[198][4]~29659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[198][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[198][4]~29659\,
	combout => \led_flash_cnt[198][5]~29660_combout\,
	cout => \led_flash_cnt[198][5]~29661\);

-- Location: FF_X66_Y9_N19
\led_flash_cnt[198][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[198][5]~29660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[198][5]~q\);

-- Location: LCCOMB_X66_Y9_N20
\led_flash_cnt[198][6]~29662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[198][6]~29662_combout\ = (\led_flash_cnt[198][6]~q\ & (!\led_flash_cnt[198][5]~29661\)) # (!\led_flash_cnt[198][6]~q\ & ((\led_flash_cnt[198][5]~29661\) # (GND)))
-- \led_flash_cnt[198][6]~29663\ = CARRY((!\led_flash_cnt[198][5]~29661\) # (!\led_flash_cnt[198][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[198][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[198][5]~29661\,
	combout => \led_flash_cnt[198][6]~29662_combout\,
	cout => \led_flash_cnt[198][6]~29663\);

-- Location: FF_X66_Y9_N21
\led_flash_cnt[198][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[198][6]~29662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[198][6]~q\);

-- Location: LCCOMB_X66_Y9_N26
\WideAnd198~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd198~1_combout\ = (\led_flash_cnt[198][6]~q\ & \led_flash_cnt[198][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[198][6]~q\,
	datad => \led_flash_cnt[198][5]~q\,
	combout => \WideAnd198~1_combout\);

-- Location: LCCOMB_X66_Y9_N22
\led_flash_cnt[198][7]~29664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[198][7]~29664_combout\ = \led_flash_cnt[198][7]~q\ $ (!\led_flash_cnt[198][6]~29663\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[198][7]~q\,
	cin => \led_flash_cnt[198][6]~29663\,
	combout => \led_flash_cnt[198][7]~29664_combout\);

-- Location: FF_X66_Y9_N23
\led_flash_cnt[198][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[198][7]~29664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[198][7]~q\);

-- Location: LCCOMB_X66_Y9_N24
\WideAnd198~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd198~0_combout\ = (\led_flash_cnt[198][2]~q\ & (\led_flash_cnt[198][4]~q\ & (\led_flash_cnt[198][3]~q\ & \led_flash_cnt[198][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[198][2]~q\,
	datab => \led_flash_cnt[198][4]~q\,
	datac => \led_flash_cnt[198][3]~q\,
	datad => \led_flash_cnt[198][1]~q\,
	combout => \WideAnd198~0_combout\);

-- Location: LCCOMB_X66_Y9_N4
WideAnd198 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd198~combout\ = (\WideAnd198~1_combout\ & (\led_flash_cnt[198][0]~q\ & (\led_flash_cnt[198][7]~q\ & \WideAnd198~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd198~1_combout\,
	datab => \led_flash_cnt[198][0]~q\,
	datac => \led_flash_cnt[198][7]~q\,
	datad => \WideAnd198~0_combout\,
	combout => \WideAnd198~combout\);

-- Location: FF_X66_Y9_N5
\led_flash_cnt_ands[198]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd198~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(198));

-- Location: LCCOMB_X66_Y27_N0
\led_flash_cnt[197][0]~80837\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[197][0]~80837_combout\ = !\led_flash_cnt[197][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[197][0]~q\,
	combout => \led_flash_cnt[197][0]~80837_combout\);

-- Location: FF_X66_Y27_N1
\led_flash_cnt[197][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[197][0]~80837_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[197][0]~q\);

-- Location: LCCOMB_X66_Y28_N18
\led_flash_cnt[197][1]~29638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[197][1]~29638_combout\ = (\led_flash_cnt[197][0]~q\ & (\led_flash_cnt[197][1]~q\ $ (VCC))) # (!\led_flash_cnt[197][0]~q\ & (\led_flash_cnt[197][1]~q\ & VCC))
-- \led_flash_cnt[197][1]~29639\ = CARRY((\led_flash_cnt[197][0]~q\ & \led_flash_cnt[197][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[197][0]~q\,
	datab => \led_flash_cnt[197][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[197][1]~29638_combout\,
	cout => \led_flash_cnt[197][1]~29639\);

-- Location: FF_X66_Y28_N19
\led_flash_cnt[197][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[197][1]~29638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[197][1]~q\);

-- Location: LCCOMB_X66_Y28_N20
\led_flash_cnt[197][2]~29640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[197][2]~29640_combout\ = (\led_flash_cnt[197][2]~q\ & (!\led_flash_cnt[197][1]~29639\)) # (!\led_flash_cnt[197][2]~q\ & ((\led_flash_cnt[197][1]~29639\) # (GND)))
-- \led_flash_cnt[197][2]~29641\ = CARRY((!\led_flash_cnt[197][1]~29639\) # (!\led_flash_cnt[197][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[197][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[197][1]~29639\,
	combout => \led_flash_cnt[197][2]~29640_combout\,
	cout => \led_flash_cnt[197][2]~29641\);

-- Location: FF_X66_Y28_N21
\led_flash_cnt[197][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[197][2]~29640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[197][2]~q\);

-- Location: LCCOMB_X66_Y28_N22
\led_flash_cnt[197][3]~29642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[197][3]~29642_combout\ = (\led_flash_cnt[197][3]~q\ & (\led_flash_cnt[197][2]~29641\ $ (GND))) # (!\led_flash_cnt[197][3]~q\ & (!\led_flash_cnt[197][2]~29641\ & VCC))
-- \led_flash_cnt[197][3]~29643\ = CARRY((\led_flash_cnt[197][3]~q\ & !\led_flash_cnt[197][2]~29641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[197][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[197][2]~29641\,
	combout => \led_flash_cnt[197][3]~29642_combout\,
	cout => \led_flash_cnt[197][3]~29643\);

-- Location: FF_X66_Y28_N23
\led_flash_cnt[197][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[197][3]~29642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[197][3]~q\);

-- Location: LCCOMB_X66_Y28_N24
\led_flash_cnt[197][4]~29644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[197][4]~29644_combout\ = (\led_flash_cnt[197][4]~q\ & (!\led_flash_cnt[197][3]~29643\)) # (!\led_flash_cnt[197][4]~q\ & ((\led_flash_cnt[197][3]~29643\) # (GND)))
-- \led_flash_cnt[197][4]~29645\ = CARRY((!\led_flash_cnt[197][3]~29643\) # (!\led_flash_cnt[197][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[197][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[197][3]~29643\,
	combout => \led_flash_cnt[197][4]~29644_combout\,
	cout => \led_flash_cnt[197][4]~29645\);

-- Location: FF_X66_Y28_N25
\led_flash_cnt[197][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[197][4]~29644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[197][4]~q\);

-- Location: LCCOMB_X66_Y28_N26
\led_flash_cnt[197][5]~29646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[197][5]~29646_combout\ = (\led_flash_cnt[197][5]~q\ & (\led_flash_cnt[197][4]~29645\ $ (GND))) # (!\led_flash_cnt[197][5]~q\ & (!\led_flash_cnt[197][4]~29645\ & VCC))
-- \led_flash_cnt[197][5]~29647\ = CARRY((\led_flash_cnt[197][5]~q\ & !\led_flash_cnt[197][4]~29645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[197][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[197][4]~29645\,
	combout => \led_flash_cnt[197][5]~29646_combout\,
	cout => \led_flash_cnt[197][5]~29647\);

-- Location: FF_X66_Y28_N27
\led_flash_cnt[197][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[197][5]~29646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[197][5]~q\);

-- Location: LCCOMB_X66_Y28_N28
\led_flash_cnt[197][6]~29648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[197][6]~29648_combout\ = (\led_flash_cnt[197][6]~q\ & (!\led_flash_cnt[197][5]~29647\)) # (!\led_flash_cnt[197][6]~q\ & ((\led_flash_cnt[197][5]~29647\) # (GND)))
-- \led_flash_cnt[197][6]~29649\ = CARRY((!\led_flash_cnt[197][5]~29647\) # (!\led_flash_cnt[197][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[197][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[197][5]~29647\,
	combout => \led_flash_cnt[197][6]~29648_combout\,
	cout => \led_flash_cnt[197][6]~29649\);

-- Location: FF_X66_Y28_N29
\led_flash_cnt[197][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[197][6]~29648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[197][6]~q\);

-- Location: LCCOMB_X66_Y28_N30
\led_flash_cnt[197][7]~29650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[197][7]~29650_combout\ = \led_flash_cnt[197][7]~q\ $ (!\led_flash_cnt[197][6]~29649\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[197][7]~q\,
	cin => \led_flash_cnt[197][6]~29649\,
	combout => \led_flash_cnt[197][7]~29650_combout\);

-- Location: FF_X66_Y28_N31
\led_flash_cnt[197][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[197][7]~29650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[197][7]~q\);

-- Location: LCCOMB_X66_Y28_N14
\WideAnd197~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd197~1_combout\ = (\led_flash_cnt[197][5]~q\ & \led_flash_cnt[197][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[197][5]~q\,
	datad => \led_flash_cnt[197][6]~q\,
	combout => \WideAnd197~1_combout\);

-- Location: LCCOMB_X66_Y28_N16
\WideAnd197~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd197~0_combout\ = (\led_flash_cnt[197][4]~q\ & (\led_flash_cnt[197][2]~q\ & (\led_flash_cnt[197][3]~q\ & \led_flash_cnt[197][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[197][4]~q\,
	datab => \led_flash_cnt[197][2]~q\,
	datac => \led_flash_cnt[197][3]~q\,
	datad => \led_flash_cnt[197][1]~q\,
	combout => \WideAnd197~0_combout\);

-- Location: LCCOMB_X66_Y27_N28
WideAnd197 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd197~combout\ = (\led_flash_cnt[197][7]~q\ & (\WideAnd197~1_combout\ & (\WideAnd197~0_combout\ & \led_flash_cnt[197][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[197][7]~q\,
	datab => \WideAnd197~1_combout\,
	datac => \WideAnd197~0_combout\,
	datad => \led_flash_cnt[197][0]~q\,
	combout => \WideAnd197~combout\);

-- Location: FF_X66_Y27_N29
\led_flash_cnt_ands[197]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd197~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(197));

-- Location: LCCOMB_X69_Y17_N30
\led_flash_cnt[196][0]~80836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[196][0]~80836_combout\ = !\led_flash_cnt[196][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[196][0]~q\,
	combout => \led_flash_cnt[196][0]~80836_combout\);

-- Location: FF_X69_Y17_N31
\led_flash_cnt[196][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[196][0]~80836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[196][0]~q\);

-- Location: LCCOMB_X69_Y16_N2
\led_flash_cnt[196][1]~29624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[196][1]~29624_combout\ = (\led_flash_cnt[196][0]~q\ & (\led_flash_cnt[196][1]~q\ $ (VCC))) # (!\led_flash_cnt[196][0]~q\ & (\led_flash_cnt[196][1]~q\ & VCC))
-- \led_flash_cnt[196][1]~29625\ = CARRY((\led_flash_cnt[196][0]~q\ & \led_flash_cnt[196][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[196][0]~q\,
	datab => \led_flash_cnt[196][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[196][1]~29624_combout\,
	cout => \led_flash_cnt[196][1]~29625\);

-- Location: FF_X69_Y16_N3
\led_flash_cnt[196][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[196][1]~29624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[196][1]~q\);

-- Location: LCCOMB_X69_Y16_N4
\led_flash_cnt[196][2]~29626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[196][2]~29626_combout\ = (\led_flash_cnt[196][2]~q\ & (!\led_flash_cnt[196][1]~29625\)) # (!\led_flash_cnt[196][2]~q\ & ((\led_flash_cnt[196][1]~29625\) # (GND)))
-- \led_flash_cnt[196][2]~29627\ = CARRY((!\led_flash_cnt[196][1]~29625\) # (!\led_flash_cnt[196][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[196][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[196][1]~29625\,
	combout => \led_flash_cnt[196][2]~29626_combout\,
	cout => \led_flash_cnt[196][2]~29627\);

-- Location: FF_X69_Y16_N5
\led_flash_cnt[196][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[196][2]~29626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[196][2]~q\);

-- Location: LCCOMB_X69_Y16_N6
\led_flash_cnt[196][3]~29628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[196][3]~29628_combout\ = (\led_flash_cnt[196][3]~q\ & (\led_flash_cnt[196][2]~29627\ $ (GND))) # (!\led_flash_cnt[196][3]~q\ & (!\led_flash_cnt[196][2]~29627\ & VCC))
-- \led_flash_cnt[196][3]~29629\ = CARRY((\led_flash_cnt[196][3]~q\ & !\led_flash_cnt[196][2]~29627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[196][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[196][2]~29627\,
	combout => \led_flash_cnt[196][3]~29628_combout\,
	cout => \led_flash_cnt[196][3]~29629\);

-- Location: FF_X69_Y16_N7
\led_flash_cnt[196][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[196][3]~29628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[196][3]~q\);

-- Location: LCCOMB_X69_Y16_N8
\led_flash_cnt[196][4]~29630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[196][4]~29630_combout\ = (\led_flash_cnt[196][4]~q\ & (!\led_flash_cnt[196][3]~29629\)) # (!\led_flash_cnt[196][4]~q\ & ((\led_flash_cnt[196][3]~29629\) # (GND)))
-- \led_flash_cnt[196][4]~29631\ = CARRY((!\led_flash_cnt[196][3]~29629\) # (!\led_flash_cnt[196][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[196][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[196][3]~29629\,
	combout => \led_flash_cnt[196][4]~29630_combout\,
	cout => \led_flash_cnt[196][4]~29631\);

-- Location: FF_X69_Y16_N9
\led_flash_cnt[196][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[196][4]~29630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[196][4]~q\);

-- Location: LCCOMB_X69_Y16_N10
\led_flash_cnt[196][5]~29632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[196][5]~29632_combout\ = (\led_flash_cnt[196][5]~q\ & (\led_flash_cnt[196][4]~29631\ $ (GND))) # (!\led_flash_cnt[196][5]~q\ & (!\led_flash_cnt[196][4]~29631\ & VCC))
-- \led_flash_cnt[196][5]~29633\ = CARRY((\led_flash_cnt[196][5]~q\ & !\led_flash_cnt[196][4]~29631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[196][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[196][4]~29631\,
	combout => \led_flash_cnt[196][5]~29632_combout\,
	cout => \led_flash_cnt[196][5]~29633\);

-- Location: FF_X69_Y16_N11
\led_flash_cnt[196][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[196][5]~29632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[196][5]~q\);

-- Location: LCCOMB_X69_Y16_N12
\led_flash_cnt[196][6]~29634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[196][6]~29634_combout\ = (\led_flash_cnt[196][6]~q\ & (!\led_flash_cnt[196][5]~29633\)) # (!\led_flash_cnt[196][6]~q\ & ((\led_flash_cnt[196][5]~29633\) # (GND)))
-- \led_flash_cnt[196][6]~29635\ = CARRY((!\led_flash_cnt[196][5]~29633\) # (!\led_flash_cnt[196][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[196][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[196][5]~29633\,
	combout => \led_flash_cnt[196][6]~29634_combout\,
	cout => \led_flash_cnt[196][6]~29635\);

-- Location: FF_X69_Y16_N13
\led_flash_cnt[196][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[196][6]~29634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[196][6]~q\);

-- Location: LCCOMB_X69_Y16_N14
\led_flash_cnt[196][7]~29636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[196][7]~29636_combout\ = \led_flash_cnt[196][7]~q\ $ (!\led_flash_cnt[196][6]~29635\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[196][7]~q\,
	cin => \led_flash_cnt[196][6]~29635\,
	combout => \led_flash_cnt[196][7]~29636_combout\);

-- Location: FF_X69_Y16_N15
\led_flash_cnt[196][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[196][7]~29636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[196][7]~q\);

-- Location: LCCOMB_X69_Y16_N0
\WideAnd196~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd196~0_combout\ = (\led_flash_cnt[196][3]~q\ & (\led_flash_cnt[196][4]~q\ & (\led_flash_cnt[196][2]~q\ & \led_flash_cnt[196][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[196][3]~q\,
	datab => \led_flash_cnt[196][4]~q\,
	datac => \led_flash_cnt[196][2]~q\,
	datad => \led_flash_cnt[196][1]~q\,
	combout => \WideAnd196~0_combout\);

-- Location: LCCOMB_X69_Y16_N16
\WideAnd196~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd196~1_combout\ = (\led_flash_cnt[196][6]~q\ & \led_flash_cnt[196][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[196][6]~q\,
	datad => \led_flash_cnt[196][5]~q\,
	combout => \WideAnd196~1_combout\);

-- Location: LCCOMB_X69_Y17_N14
WideAnd196 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd196~combout\ = (\led_flash_cnt[196][7]~q\ & (\WideAnd196~0_combout\ & (\led_flash_cnt[196][0]~q\ & \WideAnd196~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[196][7]~q\,
	datab => \WideAnd196~0_combout\,
	datac => \led_flash_cnt[196][0]~q\,
	datad => \WideAnd196~1_combout\,
	combout => \WideAnd196~combout\);

-- Location: FF_X69_Y17_N15
\led_flash_cnt_ands[196]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd196~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(196));

-- Location: LCCOMB_X66_Y17_N28
\WideAnd3864~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3864~1_combout\ = (led_flash_cnt_ands(197) & led_flash_cnt_ands(196))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(197),
	datad => led_flash_cnt_ands(196),
	combout => \WideAnd3864~1_combout\);

-- Location: LCCOMB_X66_Y17_N2
WideAnd3864 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3864~combout\ = (led_flash_cnt_ands(199) & (\WideAnd3864~0_combout\ & (led_flash_cnt_ands(198) & \WideAnd3864~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(199),
	datab => \WideAnd3864~0_combout\,
	datac => led_flash_cnt_ands(198),
	datad => \WideAnd3864~1_combout\,
	combout => \WideAnd3864~combout\);

-- Location: FF_X66_Y17_N3
\led_flash_cnt_ands_1[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3864~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(24));

-- Location: LCCOMB_X51_Y8_N0
\led_flash_cnt[223][0]~80863\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[223][0]~80863_combout\ = !\led_flash_cnt[223][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[223][0]~q\,
	combout => \led_flash_cnt[223][0]~80863_combout\);

-- Location: FF_X51_Y8_N1
\led_flash_cnt[223][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[223][0]~80863_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[223][0]~q\);

-- Location: LCCOMB_X51_Y9_N16
\led_flash_cnt[223][1]~30002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[223][1]~30002_combout\ = (\led_flash_cnt[223][1]~q\ & (\led_flash_cnt[223][0]~q\ $ (VCC))) # (!\led_flash_cnt[223][1]~q\ & (\led_flash_cnt[223][0]~q\ & VCC))
-- \led_flash_cnt[223][1]~30003\ = CARRY((\led_flash_cnt[223][1]~q\ & \led_flash_cnt[223][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[223][1]~q\,
	datab => \led_flash_cnt[223][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[223][1]~30002_combout\,
	cout => \led_flash_cnt[223][1]~30003\);

-- Location: FF_X51_Y9_N17
\led_flash_cnt[223][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[223][1]~30002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[223][1]~q\);

-- Location: LCCOMB_X51_Y9_N18
\led_flash_cnt[223][2]~30004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[223][2]~30004_combout\ = (\led_flash_cnt[223][2]~q\ & (!\led_flash_cnt[223][1]~30003\)) # (!\led_flash_cnt[223][2]~q\ & ((\led_flash_cnt[223][1]~30003\) # (GND)))
-- \led_flash_cnt[223][2]~30005\ = CARRY((!\led_flash_cnt[223][1]~30003\) # (!\led_flash_cnt[223][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[223][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[223][1]~30003\,
	combout => \led_flash_cnt[223][2]~30004_combout\,
	cout => \led_flash_cnt[223][2]~30005\);

-- Location: FF_X51_Y9_N19
\led_flash_cnt[223][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[223][2]~30004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[223][2]~q\);

-- Location: LCCOMB_X51_Y9_N20
\led_flash_cnt[223][3]~30006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[223][3]~30006_combout\ = (\led_flash_cnt[223][3]~q\ & (\led_flash_cnt[223][2]~30005\ $ (GND))) # (!\led_flash_cnt[223][3]~q\ & (!\led_flash_cnt[223][2]~30005\ & VCC))
-- \led_flash_cnt[223][3]~30007\ = CARRY((\led_flash_cnt[223][3]~q\ & !\led_flash_cnt[223][2]~30005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[223][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[223][2]~30005\,
	combout => \led_flash_cnt[223][3]~30006_combout\,
	cout => \led_flash_cnt[223][3]~30007\);

-- Location: FF_X51_Y9_N21
\led_flash_cnt[223][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[223][3]~30006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[223][3]~q\);

-- Location: LCCOMB_X51_Y9_N22
\led_flash_cnt[223][4]~30008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[223][4]~30008_combout\ = (\led_flash_cnt[223][4]~q\ & (!\led_flash_cnt[223][3]~30007\)) # (!\led_flash_cnt[223][4]~q\ & ((\led_flash_cnt[223][3]~30007\) # (GND)))
-- \led_flash_cnt[223][4]~30009\ = CARRY((!\led_flash_cnt[223][3]~30007\) # (!\led_flash_cnt[223][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[223][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[223][3]~30007\,
	combout => \led_flash_cnt[223][4]~30008_combout\,
	cout => \led_flash_cnt[223][4]~30009\);

-- Location: FF_X51_Y9_N23
\led_flash_cnt[223][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[223][4]~30008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[223][4]~q\);

-- Location: LCCOMB_X51_Y9_N24
\led_flash_cnt[223][5]~30010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[223][5]~30010_combout\ = (\led_flash_cnt[223][5]~q\ & (\led_flash_cnt[223][4]~30009\ $ (GND))) # (!\led_flash_cnt[223][5]~q\ & (!\led_flash_cnt[223][4]~30009\ & VCC))
-- \led_flash_cnt[223][5]~30011\ = CARRY((\led_flash_cnt[223][5]~q\ & !\led_flash_cnt[223][4]~30009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[223][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[223][4]~30009\,
	combout => \led_flash_cnt[223][5]~30010_combout\,
	cout => \led_flash_cnt[223][5]~30011\);

-- Location: FF_X51_Y9_N25
\led_flash_cnt[223][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[223][5]~30010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[223][5]~q\);

-- Location: LCCOMB_X51_Y9_N26
\led_flash_cnt[223][6]~30012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[223][6]~30012_combout\ = (\led_flash_cnt[223][6]~q\ & (!\led_flash_cnt[223][5]~30011\)) # (!\led_flash_cnt[223][6]~q\ & ((\led_flash_cnt[223][5]~30011\) # (GND)))
-- \led_flash_cnt[223][6]~30013\ = CARRY((!\led_flash_cnt[223][5]~30011\) # (!\led_flash_cnt[223][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[223][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[223][5]~30011\,
	combout => \led_flash_cnt[223][6]~30012_combout\,
	cout => \led_flash_cnt[223][6]~30013\);

-- Location: FF_X51_Y9_N27
\led_flash_cnt[223][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[223][6]~30012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[223][6]~q\);

-- Location: LCCOMB_X50_Y9_N0
\WideAnd223~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd223~1_combout\ = (\led_flash_cnt[223][6]~q\ & \led_flash_cnt[223][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[223][6]~q\,
	datad => \led_flash_cnt[223][5]~q\,
	combout => \WideAnd223~1_combout\);

-- Location: LCCOMB_X51_Y9_N14
\WideAnd223~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd223~0_combout\ = (\led_flash_cnt[223][1]~q\ & (\led_flash_cnt[223][3]~q\ & (\led_flash_cnt[223][4]~q\ & \led_flash_cnt[223][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[223][1]~q\,
	datab => \led_flash_cnt[223][3]~q\,
	datac => \led_flash_cnt[223][4]~q\,
	datad => \led_flash_cnt[223][2]~q\,
	combout => \WideAnd223~0_combout\);

-- Location: LCCOMB_X51_Y9_N28
\led_flash_cnt[223][7]~30014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[223][7]~30014_combout\ = \led_flash_cnt[223][6]~30013\ $ (!\led_flash_cnt[223][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[223][7]~q\,
	cin => \led_flash_cnt[223][6]~30013\,
	combout => \led_flash_cnt[223][7]~30014_combout\);

-- Location: FF_X51_Y9_N29
\led_flash_cnt[223][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[223][7]~30014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[223][7]~q\);

-- Location: LCCOMB_X51_Y9_N30
WideAnd223 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd223~combout\ = (\WideAnd223~1_combout\ & (\led_flash_cnt[223][0]~q\ & (\WideAnd223~0_combout\ & \led_flash_cnt[223][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd223~1_combout\,
	datab => \led_flash_cnt[223][0]~q\,
	datac => \WideAnd223~0_combout\,
	datad => \led_flash_cnt[223][7]~q\,
	combout => \WideAnd223~combout\);

-- Location: FF_X51_Y9_N31
\led_flash_cnt_ands[223]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd223~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(223));

-- Location: LCCOMB_X70_Y34_N2
\led_flash_cnt[222][0]~80862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[222][0]~80862_combout\ = !\led_flash_cnt[222][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[222][0]~q\,
	combout => \led_flash_cnt[222][0]~80862_combout\);

-- Location: FF_X70_Y34_N3
\led_flash_cnt[222][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[222][0]~80862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[222][0]~q\);

-- Location: LCCOMB_X71_Y34_N16
\led_flash_cnt[222][1]~29988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[222][1]~29988_combout\ = (\led_flash_cnt[222][0]~q\ & (\led_flash_cnt[222][1]~q\ $ (VCC))) # (!\led_flash_cnt[222][0]~q\ & (\led_flash_cnt[222][1]~q\ & VCC))
-- \led_flash_cnt[222][1]~29989\ = CARRY((\led_flash_cnt[222][0]~q\ & \led_flash_cnt[222][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[222][0]~q\,
	datab => \led_flash_cnt[222][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[222][1]~29988_combout\,
	cout => \led_flash_cnt[222][1]~29989\);

-- Location: FF_X71_Y34_N17
\led_flash_cnt[222][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[222][1]~29988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[222][1]~q\);

-- Location: LCCOMB_X71_Y34_N18
\led_flash_cnt[222][2]~29990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[222][2]~29990_combout\ = (\led_flash_cnt[222][2]~q\ & (!\led_flash_cnt[222][1]~29989\)) # (!\led_flash_cnt[222][2]~q\ & ((\led_flash_cnt[222][1]~29989\) # (GND)))
-- \led_flash_cnt[222][2]~29991\ = CARRY((!\led_flash_cnt[222][1]~29989\) # (!\led_flash_cnt[222][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[222][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[222][1]~29989\,
	combout => \led_flash_cnt[222][2]~29990_combout\,
	cout => \led_flash_cnt[222][2]~29991\);

-- Location: FF_X71_Y34_N19
\led_flash_cnt[222][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[222][2]~29990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[222][2]~q\);

-- Location: LCCOMB_X71_Y34_N20
\led_flash_cnt[222][3]~29992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[222][3]~29992_combout\ = (\led_flash_cnt[222][3]~q\ & (\led_flash_cnt[222][2]~29991\ $ (GND))) # (!\led_flash_cnt[222][3]~q\ & (!\led_flash_cnt[222][2]~29991\ & VCC))
-- \led_flash_cnt[222][3]~29993\ = CARRY((\led_flash_cnt[222][3]~q\ & !\led_flash_cnt[222][2]~29991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[222][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[222][2]~29991\,
	combout => \led_flash_cnt[222][3]~29992_combout\,
	cout => \led_flash_cnt[222][3]~29993\);

-- Location: FF_X71_Y34_N21
\led_flash_cnt[222][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[222][3]~29992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[222][3]~q\);

-- Location: LCCOMB_X71_Y34_N22
\led_flash_cnt[222][4]~29994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[222][4]~29994_combout\ = (\led_flash_cnt[222][4]~q\ & (!\led_flash_cnt[222][3]~29993\)) # (!\led_flash_cnt[222][4]~q\ & ((\led_flash_cnt[222][3]~29993\) # (GND)))
-- \led_flash_cnt[222][4]~29995\ = CARRY((!\led_flash_cnt[222][3]~29993\) # (!\led_flash_cnt[222][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[222][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[222][3]~29993\,
	combout => \led_flash_cnt[222][4]~29994_combout\,
	cout => \led_flash_cnt[222][4]~29995\);

-- Location: FF_X71_Y34_N23
\led_flash_cnt[222][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[222][4]~29994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[222][4]~q\);

-- Location: LCCOMB_X71_Y34_N30
\WideAnd222~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd222~0_combout\ = (\led_flash_cnt[222][2]~q\ & (\led_flash_cnt[222][3]~q\ & (\led_flash_cnt[222][4]~q\ & \led_flash_cnt[222][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[222][2]~q\,
	datab => \led_flash_cnt[222][3]~q\,
	datac => \led_flash_cnt[222][4]~q\,
	datad => \led_flash_cnt[222][1]~q\,
	combout => \WideAnd222~0_combout\);

-- Location: LCCOMB_X71_Y34_N24
\led_flash_cnt[222][5]~29996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[222][5]~29996_combout\ = (\led_flash_cnt[222][5]~q\ & (\led_flash_cnt[222][4]~29995\ $ (GND))) # (!\led_flash_cnt[222][5]~q\ & (!\led_flash_cnt[222][4]~29995\ & VCC))
-- \led_flash_cnt[222][5]~29997\ = CARRY((\led_flash_cnt[222][5]~q\ & !\led_flash_cnt[222][4]~29995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[222][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[222][4]~29995\,
	combout => \led_flash_cnt[222][5]~29996_combout\,
	cout => \led_flash_cnt[222][5]~29997\);

-- Location: FF_X71_Y34_N25
\led_flash_cnt[222][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[222][5]~29996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[222][5]~q\);

-- Location: LCCOMB_X71_Y34_N26
\led_flash_cnt[222][6]~29998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[222][6]~29998_combout\ = (\led_flash_cnt[222][6]~q\ & (!\led_flash_cnt[222][5]~29997\)) # (!\led_flash_cnt[222][6]~q\ & ((\led_flash_cnt[222][5]~29997\) # (GND)))
-- \led_flash_cnt[222][6]~29999\ = CARRY((!\led_flash_cnt[222][5]~29997\) # (!\led_flash_cnt[222][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[222][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[222][5]~29997\,
	combout => \led_flash_cnt[222][6]~29998_combout\,
	cout => \led_flash_cnt[222][6]~29999\);

-- Location: FF_X71_Y34_N27
\led_flash_cnt[222][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[222][6]~29998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[222][6]~q\);

-- Location: LCCOMB_X70_Y34_N4
\WideAnd222~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd222~1_combout\ = (\led_flash_cnt[222][6]~q\ & \led_flash_cnt[222][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[222][6]~q\,
	datad => \led_flash_cnt[222][5]~q\,
	combout => \WideAnd222~1_combout\);

-- Location: LCCOMB_X71_Y34_N28
\led_flash_cnt[222][7]~30000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[222][7]~30000_combout\ = \led_flash_cnt[222][6]~29999\ $ (!\led_flash_cnt[222][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[222][7]~q\,
	cin => \led_flash_cnt[222][6]~29999\,
	combout => \led_flash_cnt[222][7]~30000_combout\);

-- Location: FF_X71_Y34_N29
\led_flash_cnt[222][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[222][7]~30000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[222][7]~q\);

-- Location: LCCOMB_X70_Y34_N30
WideAnd222 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd222~combout\ = (\WideAnd222~0_combout\ & (\led_flash_cnt[222][0]~q\ & (\WideAnd222~1_combout\ & \led_flash_cnt[222][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd222~0_combout\,
	datab => \led_flash_cnt[222][0]~q\,
	datac => \WideAnd222~1_combout\,
	datad => \led_flash_cnt[222][7]~q\,
	combout => \WideAnd222~combout\);

-- Location: FF_X70_Y34_N31
\led_flash_cnt_ands[222]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd222~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(222));

-- Location: LCCOMB_X65_Y53_N6
\led_flash_cnt[216][0]~80856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[216][0]~80856_combout\ = !\led_flash_cnt[216][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[216][0]~q\,
	combout => \led_flash_cnt[216][0]~80856_combout\);

-- Location: FF_X65_Y53_N7
\led_flash_cnt[216][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[216][0]~80856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[216][0]~q\);

-- Location: LCCOMB_X66_Y53_N18
\led_flash_cnt[216][1]~29904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[216][1]~29904_combout\ = (\led_flash_cnt[216][0]~q\ & (\led_flash_cnt[216][1]~q\ $ (VCC))) # (!\led_flash_cnt[216][0]~q\ & (\led_flash_cnt[216][1]~q\ & VCC))
-- \led_flash_cnt[216][1]~29905\ = CARRY((\led_flash_cnt[216][0]~q\ & \led_flash_cnt[216][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[216][0]~q\,
	datab => \led_flash_cnt[216][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[216][1]~29904_combout\,
	cout => \led_flash_cnt[216][1]~29905\);

-- Location: FF_X66_Y53_N19
\led_flash_cnt[216][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[216][1]~29904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[216][1]~q\);

-- Location: LCCOMB_X66_Y53_N20
\led_flash_cnt[216][2]~29906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[216][2]~29906_combout\ = (\led_flash_cnt[216][2]~q\ & (!\led_flash_cnt[216][1]~29905\)) # (!\led_flash_cnt[216][2]~q\ & ((\led_flash_cnt[216][1]~29905\) # (GND)))
-- \led_flash_cnt[216][2]~29907\ = CARRY((!\led_flash_cnt[216][1]~29905\) # (!\led_flash_cnt[216][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[216][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[216][1]~29905\,
	combout => \led_flash_cnt[216][2]~29906_combout\,
	cout => \led_flash_cnt[216][2]~29907\);

-- Location: FF_X66_Y53_N21
\led_flash_cnt[216][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[216][2]~29906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[216][2]~q\);

-- Location: LCCOMB_X66_Y53_N22
\led_flash_cnt[216][3]~29908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[216][3]~29908_combout\ = (\led_flash_cnt[216][3]~q\ & (\led_flash_cnt[216][2]~29907\ $ (GND))) # (!\led_flash_cnt[216][3]~q\ & (!\led_flash_cnt[216][2]~29907\ & VCC))
-- \led_flash_cnt[216][3]~29909\ = CARRY((\led_flash_cnt[216][3]~q\ & !\led_flash_cnt[216][2]~29907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[216][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[216][2]~29907\,
	combout => \led_flash_cnt[216][3]~29908_combout\,
	cout => \led_flash_cnt[216][3]~29909\);

-- Location: FF_X66_Y53_N23
\led_flash_cnt[216][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[216][3]~29908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[216][3]~q\);

-- Location: LCCOMB_X66_Y53_N24
\led_flash_cnt[216][4]~29910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[216][4]~29910_combout\ = (\led_flash_cnt[216][4]~q\ & (!\led_flash_cnt[216][3]~29909\)) # (!\led_flash_cnt[216][4]~q\ & ((\led_flash_cnt[216][3]~29909\) # (GND)))
-- \led_flash_cnt[216][4]~29911\ = CARRY((!\led_flash_cnt[216][3]~29909\) # (!\led_flash_cnt[216][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[216][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[216][3]~29909\,
	combout => \led_flash_cnt[216][4]~29910_combout\,
	cout => \led_flash_cnt[216][4]~29911\);

-- Location: FF_X66_Y53_N25
\led_flash_cnt[216][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[216][4]~29910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[216][4]~q\);

-- Location: LCCOMB_X66_Y53_N26
\led_flash_cnt[216][5]~29912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[216][5]~29912_combout\ = (\led_flash_cnt[216][5]~q\ & (\led_flash_cnt[216][4]~29911\ $ (GND))) # (!\led_flash_cnt[216][5]~q\ & (!\led_flash_cnt[216][4]~29911\ & VCC))
-- \led_flash_cnt[216][5]~29913\ = CARRY((\led_flash_cnt[216][5]~q\ & !\led_flash_cnt[216][4]~29911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[216][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[216][4]~29911\,
	combout => \led_flash_cnt[216][5]~29912_combout\,
	cout => \led_flash_cnt[216][5]~29913\);

-- Location: FF_X66_Y53_N27
\led_flash_cnt[216][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[216][5]~29912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[216][5]~q\);

-- Location: LCCOMB_X66_Y53_N28
\led_flash_cnt[216][6]~29914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[216][6]~29914_combout\ = (\led_flash_cnt[216][6]~q\ & (!\led_flash_cnt[216][5]~29913\)) # (!\led_flash_cnt[216][6]~q\ & ((\led_flash_cnt[216][5]~29913\) # (GND)))
-- \led_flash_cnt[216][6]~29915\ = CARRY((!\led_flash_cnt[216][5]~29913\) # (!\led_flash_cnt[216][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[216][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[216][5]~29913\,
	combout => \led_flash_cnt[216][6]~29914_combout\,
	cout => \led_flash_cnt[216][6]~29915\);

-- Location: FF_X66_Y53_N29
\led_flash_cnt[216][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[216][6]~29914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[216][6]~q\);

-- Location: LCCOMB_X65_Y53_N10
\WideAnd216~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd216~1_combout\ = (\led_flash_cnt[216][6]~q\ & \led_flash_cnt[216][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[216][6]~q\,
	datad => \led_flash_cnt[216][5]~q\,
	combout => \WideAnd216~1_combout\);

-- Location: LCCOMB_X66_Y53_N0
\WideAnd216~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd216~0_combout\ = (\led_flash_cnt[216][1]~q\ & (\led_flash_cnt[216][4]~q\ & (\led_flash_cnt[216][3]~q\ & \led_flash_cnt[216][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[216][1]~q\,
	datab => \led_flash_cnt[216][4]~q\,
	datac => \led_flash_cnt[216][3]~q\,
	datad => \led_flash_cnt[216][2]~q\,
	combout => \WideAnd216~0_combout\);

-- Location: LCCOMB_X66_Y53_N30
\led_flash_cnt[216][7]~29916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[216][7]~29916_combout\ = \led_flash_cnt[216][7]~q\ $ (!\led_flash_cnt[216][6]~29915\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[216][7]~q\,
	cin => \led_flash_cnt[216][6]~29915\,
	combout => \led_flash_cnt[216][7]~29916_combout\);

-- Location: FF_X66_Y53_N31
\led_flash_cnt[216][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[216][7]~29916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[216][7]~q\);

-- Location: LCCOMB_X65_Y53_N26
WideAnd216 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd216~combout\ = (\WideAnd216~1_combout\ & (\WideAnd216~0_combout\ & (\led_flash_cnt[216][7]~q\ & \led_flash_cnt[216][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd216~1_combout\,
	datab => \WideAnd216~0_combout\,
	datac => \led_flash_cnt[216][7]~q\,
	datad => \led_flash_cnt[216][0]~q\,
	combout => \WideAnd216~combout\);

-- Location: FF_X65_Y53_N27
\led_flash_cnt_ands[216]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd216~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(216));

-- Location: LCCOMB_X55_Y53_N30
\led_flash_cnt[218][0]~80858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[218][0]~80858_combout\ = !\led_flash_cnt[218][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[218][0]~q\,
	combout => \led_flash_cnt[218][0]~80858_combout\);

-- Location: FF_X55_Y53_N31
\led_flash_cnt[218][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[218][0]~80858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[218][0]~q\);

-- Location: LCCOMB_X55_Y53_N4
\led_flash_cnt[218][1]~29932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[218][1]~29932_combout\ = (\led_flash_cnt[218][0]~q\ & (\led_flash_cnt[218][1]~q\ $ (VCC))) # (!\led_flash_cnt[218][0]~q\ & (\led_flash_cnt[218][1]~q\ & VCC))
-- \led_flash_cnt[218][1]~29933\ = CARRY((\led_flash_cnt[218][0]~q\ & \led_flash_cnt[218][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[218][0]~q\,
	datab => \led_flash_cnt[218][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[218][1]~29932_combout\,
	cout => \led_flash_cnt[218][1]~29933\);

-- Location: FF_X55_Y53_N5
\led_flash_cnt[218][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[218][1]~29932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[218][1]~q\);

-- Location: LCCOMB_X55_Y53_N6
\led_flash_cnt[218][2]~29934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[218][2]~29934_combout\ = (\led_flash_cnt[218][2]~q\ & (!\led_flash_cnt[218][1]~29933\)) # (!\led_flash_cnt[218][2]~q\ & ((\led_flash_cnt[218][1]~29933\) # (GND)))
-- \led_flash_cnt[218][2]~29935\ = CARRY((!\led_flash_cnt[218][1]~29933\) # (!\led_flash_cnt[218][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[218][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[218][1]~29933\,
	combout => \led_flash_cnt[218][2]~29934_combout\,
	cout => \led_flash_cnt[218][2]~29935\);

-- Location: FF_X55_Y53_N7
\led_flash_cnt[218][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[218][2]~29934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[218][2]~q\);

-- Location: LCCOMB_X55_Y53_N8
\led_flash_cnt[218][3]~29936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[218][3]~29936_combout\ = (\led_flash_cnt[218][3]~q\ & (\led_flash_cnt[218][2]~29935\ $ (GND))) # (!\led_flash_cnt[218][3]~q\ & (!\led_flash_cnt[218][2]~29935\ & VCC))
-- \led_flash_cnt[218][3]~29937\ = CARRY((\led_flash_cnt[218][3]~q\ & !\led_flash_cnt[218][2]~29935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[218][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[218][2]~29935\,
	combout => \led_flash_cnt[218][3]~29936_combout\,
	cout => \led_flash_cnt[218][3]~29937\);

-- Location: FF_X55_Y53_N9
\led_flash_cnt[218][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[218][3]~29936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[218][3]~q\);

-- Location: LCCOMB_X55_Y53_N10
\led_flash_cnt[218][4]~29938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[218][4]~29938_combout\ = (\led_flash_cnt[218][4]~q\ & (!\led_flash_cnt[218][3]~29937\)) # (!\led_flash_cnt[218][4]~q\ & ((\led_flash_cnt[218][3]~29937\) # (GND)))
-- \led_flash_cnt[218][4]~29939\ = CARRY((!\led_flash_cnt[218][3]~29937\) # (!\led_flash_cnt[218][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[218][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[218][3]~29937\,
	combout => \led_flash_cnt[218][4]~29938_combout\,
	cout => \led_flash_cnt[218][4]~29939\);

-- Location: FF_X55_Y53_N11
\led_flash_cnt[218][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[218][4]~29938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[218][4]~q\);

-- Location: LCCOMB_X55_Y53_N12
\led_flash_cnt[218][5]~29940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[218][5]~29940_combout\ = (\led_flash_cnt[218][5]~q\ & (\led_flash_cnt[218][4]~29939\ $ (GND))) # (!\led_flash_cnt[218][5]~q\ & (!\led_flash_cnt[218][4]~29939\ & VCC))
-- \led_flash_cnt[218][5]~29941\ = CARRY((\led_flash_cnt[218][5]~q\ & !\led_flash_cnt[218][4]~29939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[218][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[218][4]~29939\,
	combout => \led_flash_cnt[218][5]~29940_combout\,
	cout => \led_flash_cnt[218][5]~29941\);

-- Location: FF_X55_Y53_N13
\led_flash_cnt[218][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[218][5]~29940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[218][5]~q\);

-- Location: LCCOMB_X55_Y53_N14
\led_flash_cnt[218][6]~29942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[218][6]~29942_combout\ = (\led_flash_cnt[218][6]~q\ & (!\led_flash_cnt[218][5]~29941\)) # (!\led_flash_cnt[218][6]~q\ & ((\led_flash_cnt[218][5]~29941\) # (GND)))
-- \led_flash_cnt[218][6]~29943\ = CARRY((!\led_flash_cnt[218][5]~29941\) # (!\led_flash_cnt[218][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[218][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[218][5]~29941\,
	combout => \led_flash_cnt[218][6]~29942_combout\,
	cout => \led_flash_cnt[218][6]~29943\);

-- Location: FF_X55_Y53_N15
\led_flash_cnt[218][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[218][6]~29942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[218][6]~q\);

-- Location: LCCOMB_X55_Y53_N16
\led_flash_cnt[218][7]~29944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[218][7]~29944_combout\ = \led_flash_cnt[218][6]~29943\ $ (!\led_flash_cnt[218][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[218][7]~q\,
	cin => \led_flash_cnt[218][6]~29943\,
	combout => \led_flash_cnt[218][7]~29944_combout\);

-- Location: FF_X55_Y53_N17
\led_flash_cnt[218][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[218][7]~29944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[218][7]~q\);

-- Location: LCCOMB_X55_Y53_N22
\WideAnd218~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd218~1_combout\ = (\led_flash_cnt[218][6]~q\ & \led_flash_cnt[218][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[218][6]~q\,
	datad => \led_flash_cnt[218][5]~q\,
	combout => \WideAnd218~1_combout\);

-- Location: LCCOMB_X55_Y53_N18
\WideAnd218~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd218~0_combout\ = (\led_flash_cnt[218][4]~q\ & (\led_flash_cnt[218][1]~q\ & (\led_flash_cnt[218][3]~q\ & \led_flash_cnt[218][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[218][4]~q\,
	datab => \led_flash_cnt[218][1]~q\,
	datac => \led_flash_cnt[218][3]~q\,
	datad => \led_flash_cnt[218][2]~q\,
	combout => \WideAnd218~0_combout\);

-- Location: LCCOMB_X55_Y53_N24
WideAnd218 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd218~combout\ = (\led_flash_cnt[218][0]~q\ & (\led_flash_cnt[218][7]~q\ & (\WideAnd218~1_combout\ & \WideAnd218~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[218][0]~q\,
	datab => \led_flash_cnt[218][7]~q\,
	datac => \WideAnd218~1_combout\,
	datad => \WideAnd218~0_combout\,
	combout => \WideAnd218~combout\);

-- Location: FF_X55_Y53_N25
\led_flash_cnt_ands[218]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd218~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(218));

-- Location: LCCOMB_X17_Y38_N6
\led_flash_cnt[217][0]~80857\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[217][0]~80857_combout\ = !\led_flash_cnt[217][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[217][0]~q\,
	combout => \led_flash_cnt[217][0]~80857_combout\);

-- Location: FF_X17_Y38_N7
\led_flash_cnt[217][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[217][0]~80857_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[217][0]~q\);

-- Location: LCCOMB_X16_Y38_N16
\led_flash_cnt[217][1]~29918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[217][1]~29918_combout\ = (\led_flash_cnt[217][0]~q\ & (\led_flash_cnt[217][1]~q\ $ (VCC))) # (!\led_flash_cnt[217][0]~q\ & (\led_flash_cnt[217][1]~q\ & VCC))
-- \led_flash_cnt[217][1]~29919\ = CARRY((\led_flash_cnt[217][0]~q\ & \led_flash_cnt[217][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[217][0]~q\,
	datab => \led_flash_cnt[217][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[217][1]~29918_combout\,
	cout => \led_flash_cnt[217][1]~29919\);

-- Location: FF_X16_Y38_N17
\led_flash_cnt[217][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[217][1]~29918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[217][1]~q\);

-- Location: LCCOMB_X16_Y38_N18
\led_flash_cnt[217][2]~29920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[217][2]~29920_combout\ = (\led_flash_cnt[217][2]~q\ & (!\led_flash_cnt[217][1]~29919\)) # (!\led_flash_cnt[217][2]~q\ & ((\led_flash_cnt[217][1]~29919\) # (GND)))
-- \led_flash_cnt[217][2]~29921\ = CARRY((!\led_flash_cnt[217][1]~29919\) # (!\led_flash_cnt[217][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[217][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[217][1]~29919\,
	combout => \led_flash_cnt[217][2]~29920_combout\,
	cout => \led_flash_cnt[217][2]~29921\);

-- Location: FF_X16_Y38_N19
\led_flash_cnt[217][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[217][2]~29920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[217][2]~q\);

-- Location: LCCOMB_X16_Y38_N20
\led_flash_cnt[217][3]~29922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[217][3]~29922_combout\ = (\led_flash_cnt[217][3]~q\ & (\led_flash_cnt[217][2]~29921\ $ (GND))) # (!\led_flash_cnt[217][3]~q\ & (!\led_flash_cnt[217][2]~29921\ & VCC))
-- \led_flash_cnt[217][3]~29923\ = CARRY((\led_flash_cnt[217][3]~q\ & !\led_flash_cnt[217][2]~29921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[217][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[217][2]~29921\,
	combout => \led_flash_cnt[217][3]~29922_combout\,
	cout => \led_flash_cnt[217][3]~29923\);

-- Location: FF_X16_Y38_N21
\led_flash_cnt[217][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[217][3]~29922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[217][3]~q\);

-- Location: LCCOMB_X16_Y38_N22
\led_flash_cnt[217][4]~29924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[217][4]~29924_combout\ = (\led_flash_cnt[217][4]~q\ & (!\led_flash_cnt[217][3]~29923\)) # (!\led_flash_cnt[217][4]~q\ & ((\led_flash_cnt[217][3]~29923\) # (GND)))
-- \led_flash_cnt[217][4]~29925\ = CARRY((!\led_flash_cnt[217][3]~29923\) # (!\led_flash_cnt[217][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[217][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[217][3]~29923\,
	combout => \led_flash_cnt[217][4]~29924_combout\,
	cout => \led_flash_cnt[217][4]~29925\);

-- Location: FF_X16_Y38_N23
\led_flash_cnt[217][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[217][4]~29924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[217][4]~q\);

-- Location: LCCOMB_X16_Y38_N14
\WideAnd217~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd217~0_combout\ = (\led_flash_cnt[217][1]~q\ & (\led_flash_cnt[217][3]~q\ & (\led_flash_cnt[217][4]~q\ & \led_flash_cnt[217][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[217][1]~q\,
	datab => \led_flash_cnt[217][3]~q\,
	datac => \led_flash_cnt[217][4]~q\,
	datad => \led_flash_cnt[217][2]~q\,
	combout => \WideAnd217~0_combout\);

-- Location: LCCOMB_X16_Y38_N24
\led_flash_cnt[217][5]~29926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[217][5]~29926_combout\ = (\led_flash_cnt[217][5]~q\ & (\led_flash_cnt[217][4]~29925\ $ (GND))) # (!\led_flash_cnt[217][5]~q\ & (!\led_flash_cnt[217][4]~29925\ & VCC))
-- \led_flash_cnt[217][5]~29927\ = CARRY((\led_flash_cnt[217][5]~q\ & !\led_flash_cnt[217][4]~29925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[217][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[217][4]~29925\,
	combout => \led_flash_cnt[217][5]~29926_combout\,
	cout => \led_flash_cnt[217][5]~29927\);

-- Location: FF_X16_Y38_N25
\led_flash_cnt[217][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[217][5]~29926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[217][5]~q\);

-- Location: LCCOMB_X16_Y38_N26
\led_flash_cnt[217][6]~29928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[217][6]~29928_combout\ = (\led_flash_cnt[217][6]~q\ & (!\led_flash_cnt[217][5]~29927\)) # (!\led_flash_cnt[217][6]~q\ & ((\led_flash_cnt[217][5]~29927\) # (GND)))
-- \led_flash_cnt[217][6]~29929\ = CARRY((!\led_flash_cnt[217][5]~29927\) # (!\led_flash_cnt[217][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[217][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[217][5]~29927\,
	combout => \led_flash_cnt[217][6]~29928_combout\,
	cout => \led_flash_cnt[217][6]~29929\);

-- Location: FF_X16_Y38_N27
\led_flash_cnt[217][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[217][6]~29928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[217][6]~q\);

-- Location: LCCOMB_X16_Y38_N28
\led_flash_cnt[217][7]~29930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[217][7]~29930_combout\ = \led_flash_cnt[217][6]~29929\ $ (!\led_flash_cnt[217][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[217][7]~q\,
	cin => \led_flash_cnt[217][6]~29929\,
	combout => \led_flash_cnt[217][7]~29930_combout\);

-- Location: FF_X16_Y38_N29
\led_flash_cnt[217][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[217][7]~29930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[217][7]~q\);

-- Location: LCCOMB_X17_Y38_N4
\WideAnd217~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd217~1_combout\ = (\led_flash_cnt[217][6]~q\ & \led_flash_cnt[217][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[217][6]~q\,
	datad => \led_flash_cnt[217][5]~q\,
	combout => \WideAnd217~1_combout\);

-- Location: LCCOMB_X17_Y38_N20
WideAnd217 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd217~combout\ = (\WideAnd217~0_combout\ & (\led_flash_cnt[217][7]~q\ & (\WideAnd217~1_combout\ & \led_flash_cnt[217][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd217~0_combout\,
	datab => \led_flash_cnt[217][7]~q\,
	datac => \WideAnd217~1_combout\,
	datad => \led_flash_cnt[217][0]~q\,
	combout => \WideAnd217~combout\);

-- Location: FF_X17_Y38_N21
\led_flash_cnt_ands[217]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd217~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(217));

-- Location: LCCOMB_X55_Y53_N2
\led_flash_cnt[219][0]~80859\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[219][0]~80859_combout\ = !\led_flash_cnt[219][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[219][0]~q\,
	combout => \led_flash_cnt[219][0]~80859_combout\);

-- Location: FF_X55_Y53_N3
\led_flash_cnt[219][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[219][0]~80859_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[219][0]~q\);

-- Location: LCCOMB_X54_Y53_N18
\led_flash_cnt[219][1]~29946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[219][1]~29946_combout\ = (\led_flash_cnt[219][0]~q\ & (\led_flash_cnt[219][1]~q\ $ (VCC))) # (!\led_flash_cnt[219][0]~q\ & (\led_flash_cnt[219][1]~q\ & VCC))
-- \led_flash_cnt[219][1]~29947\ = CARRY((\led_flash_cnt[219][0]~q\ & \led_flash_cnt[219][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[219][0]~q\,
	datab => \led_flash_cnt[219][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[219][1]~29946_combout\,
	cout => \led_flash_cnt[219][1]~29947\);

-- Location: FF_X54_Y53_N19
\led_flash_cnt[219][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[219][1]~29946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[219][1]~q\);

-- Location: LCCOMB_X54_Y53_N20
\led_flash_cnt[219][2]~29948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[219][2]~29948_combout\ = (\led_flash_cnt[219][2]~q\ & (!\led_flash_cnt[219][1]~29947\)) # (!\led_flash_cnt[219][2]~q\ & ((\led_flash_cnt[219][1]~29947\) # (GND)))
-- \led_flash_cnt[219][2]~29949\ = CARRY((!\led_flash_cnt[219][1]~29947\) # (!\led_flash_cnt[219][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[219][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[219][1]~29947\,
	combout => \led_flash_cnt[219][2]~29948_combout\,
	cout => \led_flash_cnt[219][2]~29949\);

-- Location: FF_X54_Y53_N21
\led_flash_cnt[219][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[219][2]~29948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[219][2]~q\);

-- Location: LCCOMB_X54_Y53_N22
\led_flash_cnt[219][3]~29950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[219][3]~29950_combout\ = (\led_flash_cnt[219][3]~q\ & (\led_flash_cnt[219][2]~29949\ $ (GND))) # (!\led_flash_cnt[219][3]~q\ & (!\led_flash_cnt[219][2]~29949\ & VCC))
-- \led_flash_cnt[219][3]~29951\ = CARRY((\led_flash_cnt[219][3]~q\ & !\led_flash_cnt[219][2]~29949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[219][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[219][2]~29949\,
	combout => \led_flash_cnt[219][3]~29950_combout\,
	cout => \led_flash_cnt[219][3]~29951\);

-- Location: FF_X54_Y53_N23
\led_flash_cnt[219][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[219][3]~29950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[219][3]~q\);

-- Location: LCCOMB_X54_Y53_N24
\led_flash_cnt[219][4]~29952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[219][4]~29952_combout\ = (\led_flash_cnt[219][4]~q\ & (!\led_flash_cnt[219][3]~29951\)) # (!\led_flash_cnt[219][4]~q\ & ((\led_flash_cnt[219][3]~29951\) # (GND)))
-- \led_flash_cnt[219][4]~29953\ = CARRY((!\led_flash_cnt[219][3]~29951\) # (!\led_flash_cnt[219][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[219][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[219][3]~29951\,
	combout => \led_flash_cnt[219][4]~29952_combout\,
	cout => \led_flash_cnt[219][4]~29953\);

-- Location: FF_X54_Y53_N25
\led_flash_cnt[219][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[219][4]~29952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[219][4]~q\);

-- Location: LCCOMB_X54_Y53_N26
\led_flash_cnt[219][5]~29954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[219][5]~29954_combout\ = (\led_flash_cnt[219][5]~q\ & (\led_flash_cnt[219][4]~29953\ $ (GND))) # (!\led_flash_cnt[219][5]~q\ & (!\led_flash_cnt[219][4]~29953\ & VCC))
-- \led_flash_cnt[219][5]~29955\ = CARRY((\led_flash_cnt[219][5]~q\ & !\led_flash_cnt[219][4]~29953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[219][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[219][4]~29953\,
	combout => \led_flash_cnt[219][5]~29954_combout\,
	cout => \led_flash_cnt[219][5]~29955\);

-- Location: FF_X54_Y53_N27
\led_flash_cnt[219][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[219][5]~29954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[219][5]~q\);

-- Location: LCCOMB_X54_Y53_N28
\led_flash_cnt[219][6]~29956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[219][6]~29956_combout\ = (\led_flash_cnt[219][6]~q\ & (!\led_flash_cnt[219][5]~29955\)) # (!\led_flash_cnt[219][6]~q\ & ((\led_flash_cnt[219][5]~29955\) # (GND)))
-- \led_flash_cnt[219][6]~29957\ = CARRY((!\led_flash_cnt[219][5]~29955\) # (!\led_flash_cnt[219][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[219][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[219][5]~29955\,
	combout => \led_flash_cnt[219][6]~29956_combout\,
	cout => \led_flash_cnt[219][6]~29957\);

-- Location: FF_X54_Y53_N29
\led_flash_cnt[219][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[219][6]~29956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[219][6]~q\);

-- Location: LCCOMB_X55_Y53_N26
\WideAnd219~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd219~1_combout\ = (\led_flash_cnt[219][5]~q\ & \led_flash_cnt[219][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[219][5]~q\,
	datad => \led_flash_cnt[219][6]~q\,
	combout => \WideAnd219~1_combout\);

-- Location: LCCOMB_X54_Y53_N30
\led_flash_cnt[219][7]~29958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[219][7]~29958_combout\ = \led_flash_cnt[219][7]~q\ $ (!\led_flash_cnt[219][6]~29957\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[219][7]~q\,
	cin => \led_flash_cnt[219][6]~29957\,
	combout => \led_flash_cnt[219][7]~29958_combout\);

-- Location: FF_X54_Y53_N31
\led_flash_cnt[219][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[219][7]~29958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[219][7]~q\);

-- Location: LCCOMB_X54_Y53_N16
\WideAnd219~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd219~0_combout\ = (\led_flash_cnt[219][4]~q\ & (\led_flash_cnt[219][2]~q\ & (\led_flash_cnt[219][3]~q\ & \led_flash_cnt[219][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[219][4]~q\,
	datab => \led_flash_cnt[219][2]~q\,
	datac => \led_flash_cnt[219][3]~q\,
	datad => \led_flash_cnt[219][1]~q\,
	combout => \WideAnd219~0_combout\);

-- Location: LCCOMB_X55_Y53_N0
WideAnd219 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd219~combout\ = (\WideAnd219~1_combout\ & (\led_flash_cnt[219][7]~q\ & (\WideAnd219~0_combout\ & \led_flash_cnt[219][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd219~1_combout\,
	datab => \led_flash_cnt[219][7]~q\,
	datac => \WideAnd219~0_combout\,
	datad => \led_flash_cnt[219][0]~q\,
	combout => \WideAnd219~combout\);

-- Location: FF_X55_Y53_N1
\led_flash_cnt_ands[219]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd219~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(219));

-- Location: LCCOMB_X55_Y53_N28
\WideAnd3867~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3867~0_combout\ = (led_flash_cnt_ands(216) & (led_flash_cnt_ands(218) & (led_flash_cnt_ands(217) & led_flash_cnt_ands(219))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(216),
	datab => led_flash_cnt_ands(218),
	datac => led_flash_cnt_ands(217),
	datad => led_flash_cnt_ands(219),
	combout => \WideAnd3867~0_combout\);

-- Location: LCCOMB_X61_Y36_N26
\led_flash_cnt[221][0]~80861\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[221][0]~80861_combout\ = !\led_flash_cnt[221][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[221][0]~q\,
	combout => \led_flash_cnt[221][0]~80861_combout\);

-- Location: FF_X61_Y36_N27
\led_flash_cnt[221][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[221][0]~80861_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[221][0]~q\);

-- Location: LCCOMB_X62_Y36_N2
\led_flash_cnt[221][1]~29974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[221][1]~29974_combout\ = (\led_flash_cnt[221][0]~q\ & (\led_flash_cnt[221][1]~q\ $ (VCC))) # (!\led_flash_cnt[221][0]~q\ & (\led_flash_cnt[221][1]~q\ & VCC))
-- \led_flash_cnt[221][1]~29975\ = CARRY((\led_flash_cnt[221][0]~q\ & \led_flash_cnt[221][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[221][0]~q\,
	datab => \led_flash_cnt[221][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[221][1]~29974_combout\,
	cout => \led_flash_cnt[221][1]~29975\);

-- Location: FF_X62_Y36_N3
\led_flash_cnt[221][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[221][1]~29974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[221][1]~q\);

-- Location: LCCOMB_X62_Y36_N4
\led_flash_cnt[221][2]~29976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[221][2]~29976_combout\ = (\led_flash_cnt[221][2]~q\ & (!\led_flash_cnt[221][1]~29975\)) # (!\led_flash_cnt[221][2]~q\ & ((\led_flash_cnt[221][1]~29975\) # (GND)))
-- \led_flash_cnt[221][2]~29977\ = CARRY((!\led_flash_cnt[221][1]~29975\) # (!\led_flash_cnt[221][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[221][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[221][1]~29975\,
	combout => \led_flash_cnt[221][2]~29976_combout\,
	cout => \led_flash_cnt[221][2]~29977\);

-- Location: FF_X62_Y36_N5
\led_flash_cnt[221][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[221][2]~29976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[221][2]~q\);

-- Location: LCCOMB_X62_Y36_N6
\led_flash_cnt[221][3]~29978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[221][3]~29978_combout\ = (\led_flash_cnt[221][3]~q\ & (\led_flash_cnt[221][2]~29977\ $ (GND))) # (!\led_flash_cnt[221][3]~q\ & (!\led_flash_cnt[221][2]~29977\ & VCC))
-- \led_flash_cnt[221][3]~29979\ = CARRY((\led_flash_cnt[221][3]~q\ & !\led_flash_cnt[221][2]~29977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[221][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[221][2]~29977\,
	combout => \led_flash_cnt[221][3]~29978_combout\,
	cout => \led_flash_cnt[221][3]~29979\);

-- Location: FF_X62_Y36_N7
\led_flash_cnt[221][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[221][3]~29978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[221][3]~q\);

-- Location: LCCOMB_X62_Y36_N8
\led_flash_cnt[221][4]~29980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[221][4]~29980_combout\ = (\led_flash_cnt[221][4]~q\ & (!\led_flash_cnt[221][3]~29979\)) # (!\led_flash_cnt[221][4]~q\ & ((\led_flash_cnt[221][3]~29979\) # (GND)))
-- \led_flash_cnt[221][4]~29981\ = CARRY((!\led_flash_cnt[221][3]~29979\) # (!\led_flash_cnt[221][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[221][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[221][3]~29979\,
	combout => \led_flash_cnt[221][4]~29980_combout\,
	cout => \led_flash_cnt[221][4]~29981\);

-- Location: FF_X62_Y36_N9
\led_flash_cnt[221][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[221][4]~29980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[221][4]~q\);

-- Location: LCCOMB_X62_Y36_N0
\WideAnd221~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd221~0_combout\ = (\led_flash_cnt[221][3]~q\ & (\led_flash_cnt[221][4]~q\ & (\led_flash_cnt[221][2]~q\ & \led_flash_cnt[221][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[221][3]~q\,
	datab => \led_flash_cnt[221][4]~q\,
	datac => \led_flash_cnt[221][2]~q\,
	datad => \led_flash_cnt[221][1]~q\,
	combout => \WideAnd221~0_combout\);

-- Location: LCCOMB_X62_Y36_N10
\led_flash_cnt[221][5]~29982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[221][5]~29982_combout\ = (\led_flash_cnt[221][5]~q\ & (\led_flash_cnt[221][4]~29981\ $ (GND))) # (!\led_flash_cnt[221][5]~q\ & (!\led_flash_cnt[221][4]~29981\ & VCC))
-- \led_flash_cnt[221][5]~29983\ = CARRY((\led_flash_cnt[221][5]~q\ & !\led_flash_cnt[221][4]~29981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[221][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[221][4]~29981\,
	combout => \led_flash_cnt[221][5]~29982_combout\,
	cout => \led_flash_cnt[221][5]~29983\);

-- Location: FF_X62_Y36_N11
\led_flash_cnt[221][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[221][5]~29982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[221][5]~q\);

-- Location: LCCOMB_X62_Y36_N12
\led_flash_cnt[221][6]~29984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[221][6]~29984_combout\ = (\led_flash_cnt[221][6]~q\ & (!\led_flash_cnt[221][5]~29983\)) # (!\led_flash_cnt[221][6]~q\ & ((\led_flash_cnt[221][5]~29983\) # (GND)))
-- \led_flash_cnt[221][6]~29985\ = CARRY((!\led_flash_cnt[221][5]~29983\) # (!\led_flash_cnt[221][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[221][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[221][5]~29983\,
	combout => \led_flash_cnt[221][6]~29984_combout\,
	cout => \led_flash_cnt[221][6]~29985\);

-- Location: FF_X62_Y36_N13
\led_flash_cnt[221][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[221][6]~29984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[221][6]~q\);

-- Location: LCCOMB_X62_Y36_N14
\led_flash_cnt[221][7]~29986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[221][7]~29986_combout\ = \led_flash_cnt[221][7]~q\ $ (!\led_flash_cnt[221][6]~29985\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[221][7]~q\,
	cin => \led_flash_cnt[221][6]~29985\,
	combout => \led_flash_cnt[221][7]~29986_combout\);

-- Location: FF_X62_Y36_N15
\led_flash_cnt[221][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[221][7]~29986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[221][7]~q\);

-- Location: LCCOMB_X61_Y36_N6
\WideAnd221~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd221~1_combout\ = (\led_flash_cnt[221][6]~q\ & \led_flash_cnt[221][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[221][6]~q\,
	datac => \led_flash_cnt[221][5]~q\,
	combout => \WideAnd221~1_combout\);

-- Location: LCCOMB_X61_Y36_N4
WideAnd221 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd221~combout\ = (\led_flash_cnt[221][0]~q\ & (\WideAnd221~0_combout\ & (\led_flash_cnt[221][7]~q\ & \WideAnd221~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[221][0]~q\,
	datab => \WideAnd221~0_combout\,
	datac => \led_flash_cnt[221][7]~q\,
	datad => \WideAnd221~1_combout\,
	combout => \WideAnd221~combout\);

-- Location: FF_X61_Y36_N5
\led_flash_cnt_ands[221]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd221~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(221));

-- Location: LCCOMB_X61_Y36_N30
\led_flash_cnt[220][0]~80860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[220][0]~80860_combout\ = !\led_flash_cnt[220][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[220][0]~q\,
	combout => \led_flash_cnt[220][0]~80860_combout\);

-- Location: FF_X61_Y36_N31
\led_flash_cnt[220][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[220][0]~80860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[220][0]~q\);

-- Location: LCCOMB_X61_Y36_N8
\led_flash_cnt[220][1]~29960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[220][1]~29960_combout\ = (\led_flash_cnt[220][0]~q\ & (\led_flash_cnt[220][1]~q\ $ (VCC))) # (!\led_flash_cnt[220][0]~q\ & (\led_flash_cnt[220][1]~q\ & VCC))
-- \led_flash_cnt[220][1]~29961\ = CARRY((\led_flash_cnt[220][0]~q\ & \led_flash_cnt[220][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[220][0]~q\,
	datab => \led_flash_cnt[220][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[220][1]~29960_combout\,
	cout => \led_flash_cnt[220][1]~29961\);

-- Location: FF_X61_Y36_N9
\led_flash_cnt[220][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[220][1]~29960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[220][1]~q\);

-- Location: LCCOMB_X61_Y36_N10
\led_flash_cnt[220][2]~29962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[220][2]~29962_combout\ = (\led_flash_cnt[220][2]~q\ & (!\led_flash_cnt[220][1]~29961\)) # (!\led_flash_cnt[220][2]~q\ & ((\led_flash_cnt[220][1]~29961\) # (GND)))
-- \led_flash_cnt[220][2]~29963\ = CARRY((!\led_flash_cnt[220][1]~29961\) # (!\led_flash_cnt[220][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[220][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[220][1]~29961\,
	combout => \led_flash_cnt[220][2]~29962_combout\,
	cout => \led_flash_cnt[220][2]~29963\);

-- Location: FF_X61_Y36_N11
\led_flash_cnt[220][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[220][2]~29962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[220][2]~q\);

-- Location: LCCOMB_X61_Y36_N12
\led_flash_cnt[220][3]~29964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[220][3]~29964_combout\ = (\led_flash_cnt[220][3]~q\ & (\led_flash_cnt[220][2]~29963\ $ (GND))) # (!\led_flash_cnt[220][3]~q\ & (!\led_flash_cnt[220][2]~29963\ & VCC))
-- \led_flash_cnt[220][3]~29965\ = CARRY((\led_flash_cnt[220][3]~q\ & !\led_flash_cnt[220][2]~29963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[220][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[220][2]~29963\,
	combout => \led_flash_cnt[220][3]~29964_combout\,
	cout => \led_flash_cnt[220][3]~29965\);

-- Location: FF_X61_Y36_N13
\led_flash_cnt[220][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[220][3]~29964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[220][3]~q\);

-- Location: LCCOMB_X61_Y36_N14
\led_flash_cnt[220][4]~29966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[220][4]~29966_combout\ = (\led_flash_cnt[220][4]~q\ & (!\led_flash_cnt[220][3]~29965\)) # (!\led_flash_cnt[220][4]~q\ & ((\led_flash_cnt[220][3]~29965\) # (GND)))
-- \led_flash_cnt[220][4]~29967\ = CARRY((!\led_flash_cnt[220][3]~29965\) # (!\led_flash_cnt[220][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[220][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[220][3]~29965\,
	combout => \led_flash_cnt[220][4]~29966_combout\,
	cout => \led_flash_cnt[220][4]~29967\);

-- Location: FF_X61_Y36_N15
\led_flash_cnt[220][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[220][4]~29966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[220][4]~q\);

-- Location: LCCOMB_X61_Y36_N16
\led_flash_cnt[220][5]~29968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[220][5]~29968_combout\ = (\led_flash_cnt[220][5]~q\ & (\led_flash_cnt[220][4]~29967\ $ (GND))) # (!\led_flash_cnt[220][5]~q\ & (!\led_flash_cnt[220][4]~29967\ & VCC))
-- \led_flash_cnt[220][5]~29969\ = CARRY((\led_flash_cnt[220][5]~q\ & !\led_flash_cnt[220][4]~29967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[220][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[220][4]~29967\,
	combout => \led_flash_cnt[220][5]~29968_combout\,
	cout => \led_flash_cnt[220][5]~29969\);

-- Location: FF_X61_Y36_N17
\led_flash_cnt[220][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[220][5]~29968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[220][5]~q\);

-- Location: LCCOMB_X61_Y36_N18
\led_flash_cnt[220][6]~29970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[220][6]~29970_combout\ = (\led_flash_cnt[220][6]~q\ & (!\led_flash_cnt[220][5]~29969\)) # (!\led_flash_cnt[220][6]~q\ & ((\led_flash_cnt[220][5]~29969\) # (GND)))
-- \led_flash_cnt[220][6]~29971\ = CARRY((!\led_flash_cnt[220][5]~29969\) # (!\led_flash_cnt[220][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[220][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[220][5]~29969\,
	combout => \led_flash_cnt[220][6]~29970_combout\,
	cout => \led_flash_cnt[220][6]~29971\);

-- Location: FF_X61_Y36_N19
\led_flash_cnt[220][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[220][6]~29970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[220][6]~q\);

-- Location: LCCOMB_X61_Y36_N20
\led_flash_cnt[220][7]~29972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[220][7]~29972_combout\ = \led_flash_cnt[220][6]~29971\ $ (!\led_flash_cnt[220][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[220][7]~q\,
	cin => \led_flash_cnt[220][6]~29971\,
	combout => \led_flash_cnt[220][7]~29972_combout\);

-- Location: FF_X61_Y36_N21
\led_flash_cnt[220][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[220][7]~29972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[220][7]~q\);

-- Location: LCCOMB_X61_Y36_N22
\WideAnd220~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd220~1_combout\ = (\led_flash_cnt[220][6]~q\ & \led_flash_cnt[220][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[220][6]~q\,
	datad => \led_flash_cnt[220][5]~q\,
	combout => \WideAnd220~1_combout\);

-- Location: LCCOMB_X61_Y36_N28
\WideAnd220~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd220~0_combout\ = (\led_flash_cnt[220][2]~q\ & (\led_flash_cnt[220][4]~q\ & (\led_flash_cnt[220][1]~q\ & \led_flash_cnt[220][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[220][2]~q\,
	datab => \led_flash_cnt[220][4]~q\,
	datac => \led_flash_cnt[220][1]~q\,
	datad => \led_flash_cnt[220][3]~q\,
	combout => \WideAnd220~0_combout\);

-- Location: LCCOMB_X61_Y36_N2
WideAnd220 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd220~combout\ = (\led_flash_cnt[220][0]~q\ & (\led_flash_cnt[220][7]~q\ & (\WideAnd220~1_combout\ & \WideAnd220~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[220][0]~q\,
	datab => \led_flash_cnt[220][7]~q\,
	datac => \WideAnd220~1_combout\,
	datad => \WideAnd220~0_combout\,
	combout => \WideAnd220~combout\);

-- Location: FF_X61_Y36_N3
\led_flash_cnt_ands[220]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd220~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(220));

-- Location: LCCOMB_X61_Y36_N24
\WideAnd3867~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3867~1_combout\ = (led_flash_cnt_ands(221) & led_flash_cnt_ands(220))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(221),
	datad => led_flash_cnt_ands(220),
	combout => \WideAnd3867~1_combout\);

-- Location: LCCOMB_X62_Y33_N8
WideAnd3867 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3867~combout\ = (led_flash_cnt_ands(223) & (led_flash_cnt_ands(222) & (\WideAnd3867~0_combout\ & \WideAnd3867~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(223),
	datab => led_flash_cnt_ands(222),
	datac => \WideAnd3867~0_combout\,
	datad => \WideAnd3867~1_combout\,
	combout => \WideAnd3867~combout\);

-- Location: FF_X62_Y33_N9
\led_flash_cnt_ands_1[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3867~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(27));

-- Location: LCCOMB_X64_Y32_N6
\led_flash_cnt[215][0]~80855\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[215][0]~80855_combout\ = !\led_flash_cnt[215][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[215][0]~q\,
	combout => \led_flash_cnt[215][0]~80855_combout\);

-- Location: FF_X64_Y32_N7
\led_flash_cnt[215][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[215][0]~80855_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[215][0]~q\);

-- Location: LCCOMB_X65_Y32_N0
\led_flash_cnt[215][1]~29890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[215][1]~29890_combout\ = (\led_flash_cnt[215][0]~q\ & (\led_flash_cnt[215][1]~q\ $ (VCC))) # (!\led_flash_cnt[215][0]~q\ & (\led_flash_cnt[215][1]~q\ & VCC))
-- \led_flash_cnt[215][1]~29891\ = CARRY((\led_flash_cnt[215][0]~q\ & \led_flash_cnt[215][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[215][0]~q\,
	datab => \led_flash_cnt[215][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[215][1]~29890_combout\,
	cout => \led_flash_cnt[215][1]~29891\);

-- Location: FF_X65_Y32_N1
\led_flash_cnt[215][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[215][1]~29890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[215][1]~q\);

-- Location: LCCOMB_X65_Y32_N2
\led_flash_cnt[215][2]~29892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[215][2]~29892_combout\ = (\led_flash_cnt[215][2]~q\ & (!\led_flash_cnt[215][1]~29891\)) # (!\led_flash_cnt[215][2]~q\ & ((\led_flash_cnt[215][1]~29891\) # (GND)))
-- \led_flash_cnt[215][2]~29893\ = CARRY((!\led_flash_cnt[215][1]~29891\) # (!\led_flash_cnt[215][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[215][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[215][1]~29891\,
	combout => \led_flash_cnt[215][2]~29892_combout\,
	cout => \led_flash_cnt[215][2]~29893\);

-- Location: FF_X65_Y32_N3
\led_flash_cnt[215][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[215][2]~29892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[215][2]~q\);

-- Location: LCCOMB_X65_Y32_N4
\led_flash_cnt[215][3]~29894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[215][3]~29894_combout\ = (\led_flash_cnt[215][3]~q\ & (\led_flash_cnt[215][2]~29893\ $ (GND))) # (!\led_flash_cnt[215][3]~q\ & (!\led_flash_cnt[215][2]~29893\ & VCC))
-- \led_flash_cnt[215][3]~29895\ = CARRY((\led_flash_cnt[215][3]~q\ & !\led_flash_cnt[215][2]~29893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[215][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[215][2]~29893\,
	combout => \led_flash_cnt[215][3]~29894_combout\,
	cout => \led_flash_cnt[215][3]~29895\);

-- Location: FF_X65_Y32_N5
\led_flash_cnt[215][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[215][3]~29894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[215][3]~q\);

-- Location: LCCOMB_X65_Y32_N6
\led_flash_cnt[215][4]~29896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[215][4]~29896_combout\ = (\led_flash_cnt[215][4]~q\ & (!\led_flash_cnt[215][3]~29895\)) # (!\led_flash_cnt[215][4]~q\ & ((\led_flash_cnt[215][3]~29895\) # (GND)))
-- \led_flash_cnt[215][4]~29897\ = CARRY((!\led_flash_cnt[215][3]~29895\) # (!\led_flash_cnt[215][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[215][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[215][3]~29895\,
	combout => \led_flash_cnt[215][4]~29896_combout\,
	cout => \led_flash_cnt[215][4]~29897\);

-- Location: FF_X65_Y32_N7
\led_flash_cnt[215][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[215][4]~29896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[215][4]~q\);

-- Location: LCCOMB_X65_Y32_N8
\led_flash_cnt[215][5]~29898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[215][5]~29898_combout\ = (\led_flash_cnt[215][5]~q\ & (\led_flash_cnt[215][4]~29897\ $ (GND))) # (!\led_flash_cnt[215][5]~q\ & (!\led_flash_cnt[215][4]~29897\ & VCC))
-- \led_flash_cnt[215][5]~29899\ = CARRY((\led_flash_cnt[215][5]~q\ & !\led_flash_cnt[215][4]~29897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[215][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[215][4]~29897\,
	combout => \led_flash_cnt[215][5]~29898_combout\,
	cout => \led_flash_cnt[215][5]~29899\);

-- Location: FF_X65_Y32_N9
\led_flash_cnt[215][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[215][5]~29898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[215][5]~q\);

-- Location: LCCOMB_X65_Y32_N10
\led_flash_cnt[215][6]~29900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[215][6]~29900_combout\ = (\led_flash_cnt[215][6]~q\ & (!\led_flash_cnt[215][5]~29899\)) # (!\led_flash_cnt[215][6]~q\ & ((\led_flash_cnt[215][5]~29899\) # (GND)))
-- \led_flash_cnt[215][6]~29901\ = CARRY((!\led_flash_cnt[215][5]~29899\) # (!\led_flash_cnt[215][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[215][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[215][5]~29899\,
	combout => \led_flash_cnt[215][6]~29900_combout\,
	cout => \led_flash_cnt[215][6]~29901\);

-- Location: FF_X65_Y32_N11
\led_flash_cnt[215][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[215][6]~29900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[215][6]~q\);

-- Location: LCCOMB_X64_Y32_N10
\WideAnd215~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd215~1_combout\ = (\led_flash_cnt[215][5]~q\ & \led_flash_cnt[215][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[215][5]~q\,
	datac => \led_flash_cnt[215][6]~q\,
	combout => \WideAnd215~1_combout\);

-- Location: LCCOMB_X65_Y32_N14
\WideAnd215~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd215~0_combout\ = (\led_flash_cnt[215][4]~q\ & (\led_flash_cnt[215][1]~q\ & (\led_flash_cnt[215][3]~q\ & \led_flash_cnt[215][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[215][4]~q\,
	datab => \led_flash_cnt[215][1]~q\,
	datac => \led_flash_cnt[215][3]~q\,
	datad => \led_flash_cnt[215][2]~q\,
	combout => \WideAnd215~0_combout\);

-- Location: LCCOMB_X65_Y32_N12
\led_flash_cnt[215][7]~29902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[215][7]~29902_combout\ = \led_flash_cnt[215][6]~29901\ $ (!\led_flash_cnt[215][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[215][7]~q\,
	cin => \led_flash_cnt[215][6]~29901\,
	combout => \led_flash_cnt[215][7]~29902_combout\);

-- Location: FF_X65_Y32_N13
\led_flash_cnt[215][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[215][7]~29902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[215][7]~q\);

-- Location: LCCOMB_X64_Y32_N22
WideAnd215 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd215~combout\ = (\WideAnd215~1_combout\ & (\WideAnd215~0_combout\ & (\led_flash_cnt[215][7]~q\ & \led_flash_cnt[215][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd215~1_combout\,
	datab => \WideAnd215~0_combout\,
	datac => \led_flash_cnt[215][7]~q\,
	datad => \led_flash_cnt[215][0]~q\,
	combout => \WideAnd215~combout\);

-- Location: FF_X64_Y32_N23
\led_flash_cnt_ands[215]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd215~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(215));

-- Location: LCCOMB_X77_Y26_N12
\led_flash_cnt[213][0]~80853\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[213][0]~80853_combout\ = !\led_flash_cnt[213][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[213][0]~q\,
	combout => \led_flash_cnt[213][0]~80853_combout\);

-- Location: FF_X77_Y26_N13
\led_flash_cnt[213][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[213][0]~80853_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[213][0]~q\);

-- Location: LCCOMB_X77_Y26_N18
\led_flash_cnt[213][1]~29862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[213][1]~29862_combout\ = (\led_flash_cnt[213][0]~q\ & (\led_flash_cnt[213][1]~q\ $ (VCC))) # (!\led_flash_cnt[213][0]~q\ & (\led_flash_cnt[213][1]~q\ & VCC))
-- \led_flash_cnt[213][1]~29863\ = CARRY((\led_flash_cnt[213][0]~q\ & \led_flash_cnt[213][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[213][0]~q\,
	datab => \led_flash_cnt[213][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[213][1]~29862_combout\,
	cout => \led_flash_cnt[213][1]~29863\);

-- Location: FF_X77_Y26_N19
\led_flash_cnt[213][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[213][1]~29862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[213][1]~q\);

-- Location: LCCOMB_X77_Y26_N20
\led_flash_cnt[213][2]~29864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[213][2]~29864_combout\ = (\led_flash_cnt[213][2]~q\ & (!\led_flash_cnt[213][1]~29863\)) # (!\led_flash_cnt[213][2]~q\ & ((\led_flash_cnt[213][1]~29863\) # (GND)))
-- \led_flash_cnt[213][2]~29865\ = CARRY((!\led_flash_cnt[213][1]~29863\) # (!\led_flash_cnt[213][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[213][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[213][1]~29863\,
	combout => \led_flash_cnt[213][2]~29864_combout\,
	cout => \led_flash_cnt[213][2]~29865\);

-- Location: FF_X77_Y26_N21
\led_flash_cnt[213][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[213][2]~29864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[213][2]~q\);

-- Location: LCCOMB_X77_Y26_N22
\led_flash_cnt[213][3]~29866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[213][3]~29866_combout\ = (\led_flash_cnt[213][3]~q\ & (\led_flash_cnt[213][2]~29865\ $ (GND))) # (!\led_flash_cnt[213][3]~q\ & (!\led_flash_cnt[213][2]~29865\ & VCC))
-- \led_flash_cnt[213][3]~29867\ = CARRY((\led_flash_cnt[213][3]~q\ & !\led_flash_cnt[213][2]~29865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[213][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[213][2]~29865\,
	combout => \led_flash_cnt[213][3]~29866_combout\,
	cout => \led_flash_cnt[213][3]~29867\);

-- Location: FF_X77_Y26_N23
\led_flash_cnt[213][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[213][3]~29866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[213][3]~q\);

-- Location: LCCOMB_X77_Y26_N24
\led_flash_cnt[213][4]~29868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[213][4]~29868_combout\ = (\led_flash_cnt[213][4]~q\ & (!\led_flash_cnt[213][3]~29867\)) # (!\led_flash_cnt[213][4]~q\ & ((\led_flash_cnt[213][3]~29867\) # (GND)))
-- \led_flash_cnt[213][4]~29869\ = CARRY((!\led_flash_cnt[213][3]~29867\) # (!\led_flash_cnt[213][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[213][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[213][3]~29867\,
	combout => \led_flash_cnt[213][4]~29868_combout\,
	cout => \led_flash_cnt[213][4]~29869\);

-- Location: FF_X77_Y26_N25
\led_flash_cnt[213][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[213][4]~29868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[213][4]~q\);

-- Location: LCCOMB_X77_Y26_N26
\led_flash_cnt[213][5]~29870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[213][5]~29870_combout\ = (\led_flash_cnt[213][5]~q\ & (\led_flash_cnt[213][4]~29869\ $ (GND))) # (!\led_flash_cnt[213][5]~q\ & (!\led_flash_cnt[213][4]~29869\ & VCC))
-- \led_flash_cnt[213][5]~29871\ = CARRY((\led_flash_cnt[213][5]~q\ & !\led_flash_cnt[213][4]~29869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[213][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[213][4]~29869\,
	combout => \led_flash_cnt[213][5]~29870_combout\,
	cout => \led_flash_cnt[213][5]~29871\);

-- Location: FF_X77_Y26_N27
\led_flash_cnt[213][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[213][5]~29870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[213][5]~q\);

-- Location: LCCOMB_X77_Y26_N28
\led_flash_cnt[213][6]~29872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[213][6]~29872_combout\ = (\led_flash_cnt[213][6]~q\ & (!\led_flash_cnt[213][5]~29871\)) # (!\led_flash_cnt[213][6]~q\ & ((\led_flash_cnt[213][5]~29871\) # (GND)))
-- \led_flash_cnt[213][6]~29873\ = CARRY((!\led_flash_cnt[213][5]~29871\) # (!\led_flash_cnt[213][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[213][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[213][5]~29871\,
	combout => \led_flash_cnt[213][6]~29872_combout\,
	cout => \led_flash_cnt[213][6]~29873\);

-- Location: FF_X77_Y26_N29
\led_flash_cnt[213][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[213][6]~29872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[213][6]~q\);

-- Location: LCCOMB_X77_Y26_N10
\WideAnd213~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd213~1_combout\ = (\led_flash_cnt[213][5]~q\ & \led_flash_cnt[213][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[213][5]~q\,
	datad => \led_flash_cnt[213][6]~q\,
	combout => \WideAnd213~1_combout\);

-- Location: LCCOMB_X77_Y26_N8
\WideAnd213~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd213~0_combout\ = (\led_flash_cnt[213][4]~q\ & (\led_flash_cnt[213][2]~q\ & (\led_flash_cnt[213][3]~q\ & \led_flash_cnt[213][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[213][4]~q\,
	datab => \led_flash_cnt[213][2]~q\,
	datac => \led_flash_cnt[213][3]~q\,
	datad => \led_flash_cnt[213][1]~q\,
	combout => \WideAnd213~0_combout\);

-- Location: LCCOMB_X77_Y26_N30
\led_flash_cnt[213][7]~29874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[213][7]~29874_combout\ = \led_flash_cnt[213][7]~q\ $ (!\led_flash_cnt[213][6]~29873\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[213][7]~q\,
	cin => \led_flash_cnt[213][6]~29873\,
	combout => \led_flash_cnt[213][7]~29874_combout\);

-- Location: FF_X77_Y26_N31
\led_flash_cnt[213][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[213][7]~29874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[213][7]~q\);

-- Location: LCCOMB_X77_Y26_N14
WideAnd213 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd213~combout\ = (\WideAnd213~1_combout\ & (\WideAnd213~0_combout\ & (\led_flash_cnt[213][7]~q\ & \led_flash_cnt[213][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd213~1_combout\,
	datab => \WideAnd213~0_combout\,
	datac => \led_flash_cnt[213][7]~q\,
	datad => \led_flash_cnt[213][0]~q\,
	combout => \WideAnd213~combout\);

-- Location: FF_X77_Y26_N15
\led_flash_cnt_ands[213]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd213~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(213));

-- Location: LCCOMB_X77_Y26_N2
\led_flash_cnt[212][0]~80852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[212][0]~80852_combout\ = !\led_flash_cnt[212][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[212][0]~q\,
	combout => \led_flash_cnt[212][0]~80852_combout\);

-- Location: FF_X77_Y26_N3
\led_flash_cnt[212][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[212][0]~80852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[212][0]~q\);

-- Location: LCCOMB_X76_Y26_N16
\led_flash_cnt[212][1]~29848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[212][1]~29848_combout\ = (\led_flash_cnt[212][0]~q\ & (\led_flash_cnt[212][1]~q\ $ (VCC))) # (!\led_flash_cnt[212][0]~q\ & (\led_flash_cnt[212][1]~q\ & VCC))
-- \led_flash_cnt[212][1]~29849\ = CARRY((\led_flash_cnt[212][0]~q\ & \led_flash_cnt[212][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[212][0]~q\,
	datab => \led_flash_cnt[212][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[212][1]~29848_combout\,
	cout => \led_flash_cnt[212][1]~29849\);

-- Location: FF_X76_Y26_N17
\led_flash_cnt[212][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[212][1]~29848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[212][1]~q\);

-- Location: LCCOMB_X76_Y26_N18
\led_flash_cnt[212][2]~29850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[212][2]~29850_combout\ = (\led_flash_cnt[212][2]~q\ & (!\led_flash_cnt[212][1]~29849\)) # (!\led_flash_cnt[212][2]~q\ & ((\led_flash_cnt[212][1]~29849\) # (GND)))
-- \led_flash_cnt[212][2]~29851\ = CARRY((!\led_flash_cnt[212][1]~29849\) # (!\led_flash_cnt[212][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[212][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[212][1]~29849\,
	combout => \led_flash_cnt[212][2]~29850_combout\,
	cout => \led_flash_cnt[212][2]~29851\);

-- Location: FF_X76_Y26_N19
\led_flash_cnt[212][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[212][2]~29850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[212][2]~q\);

-- Location: LCCOMB_X76_Y26_N20
\led_flash_cnt[212][3]~29852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[212][3]~29852_combout\ = (\led_flash_cnt[212][3]~q\ & (\led_flash_cnt[212][2]~29851\ $ (GND))) # (!\led_flash_cnt[212][3]~q\ & (!\led_flash_cnt[212][2]~29851\ & VCC))
-- \led_flash_cnt[212][3]~29853\ = CARRY((\led_flash_cnt[212][3]~q\ & !\led_flash_cnt[212][2]~29851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[212][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[212][2]~29851\,
	combout => \led_flash_cnt[212][3]~29852_combout\,
	cout => \led_flash_cnt[212][3]~29853\);

-- Location: FF_X76_Y26_N21
\led_flash_cnt[212][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[212][3]~29852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[212][3]~q\);

-- Location: LCCOMB_X76_Y26_N22
\led_flash_cnt[212][4]~29854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[212][4]~29854_combout\ = (\led_flash_cnt[212][4]~q\ & (!\led_flash_cnt[212][3]~29853\)) # (!\led_flash_cnt[212][4]~q\ & ((\led_flash_cnt[212][3]~29853\) # (GND)))
-- \led_flash_cnt[212][4]~29855\ = CARRY((!\led_flash_cnt[212][3]~29853\) # (!\led_flash_cnt[212][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[212][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[212][3]~29853\,
	combout => \led_flash_cnt[212][4]~29854_combout\,
	cout => \led_flash_cnt[212][4]~29855\);

-- Location: FF_X76_Y26_N23
\led_flash_cnt[212][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[212][4]~29854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[212][4]~q\);

-- Location: LCCOMB_X76_Y26_N24
\led_flash_cnt[212][5]~29856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[212][5]~29856_combout\ = (\led_flash_cnt[212][5]~q\ & (\led_flash_cnt[212][4]~29855\ $ (GND))) # (!\led_flash_cnt[212][5]~q\ & (!\led_flash_cnt[212][4]~29855\ & VCC))
-- \led_flash_cnt[212][5]~29857\ = CARRY((\led_flash_cnt[212][5]~q\ & !\led_flash_cnt[212][4]~29855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[212][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[212][4]~29855\,
	combout => \led_flash_cnt[212][5]~29856_combout\,
	cout => \led_flash_cnt[212][5]~29857\);

-- Location: FF_X76_Y26_N25
\led_flash_cnt[212][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[212][5]~29856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[212][5]~q\);

-- Location: LCCOMB_X76_Y26_N26
\led_flash_cnt[212][6]~29858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[212][6]~29858_combout\ = (\led_flash_cnt[212][6]~q\ & (!\led_flash_cnt[212][5]~29857\)) # (!\led_flash_cnt[212][6]~q\ & ((\led_flash_cnt[212][5]~29857\) # (GND)))
-- \led_flash_cnt[212][6]~29859\ = CARRY((!\led_flash_cnt[212][5]~29857\) # (!\led_flash_cnt[212][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[212][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[212][5]~29857\,
	combout => \led_flash_cnt[212][6]~29858_combout\,
	cout => \led_flash_cnt[212][6]~29859\);

-- Location: FF_X76_Y26_N27
\led_flash_cnt[212][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[212][6]~29858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[212][6]~q\);

-- Location: LCCOMB_X77_Y26_N6
\WideAnd212~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd212~1_combout\ = (\led_flash_cnt[212][6]~q\ & \led_flash_cnt[212][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[212][6]~q\,
	datad => \led_flash_cnt[212][5]~q\,
	combout => \WideAnd212~1_combout\);

-- Location: LCCOMB_X76_Y26_N28
\led_flash_cnt[212][7]~29860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[212][7]~29860_combout\ = \led_flash_cnt[212][6]~29859\ $ (!\led_flash_cnt[212][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[212][7]~q\,
	cin => \led_flash_cnt[212][6]~29859\,
	combout => \led_flash_cnt[212][7]~29860_combout\);

-- Location: FF_X76_Y26_N29
\led_flash_cnt[212][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[212][7]~29860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[212][7]~q\);

-- Location: LCCOMB_X76_Y26_N30
\WideAnd212~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd212~0_combout\ = (\led_flash_cnt[212][3]~q\ & (\led_flash_cnt[212][2]~q\ & (\led_flash_cnt[212][4]~q\ & \led_flash_cnt[212][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[212][3]~q\,
	datab => \led_flash_cnt[212][2]~q\,
	datac => \led_flash_cnt[212][4]~q\,
	datad => \led_flash_cnt[212][1]~q\,
	combout => \WideAnd212~0_combout\);

-- Location: LCCOMB_X77_Y26_N0
WideAnd212 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd212~combout\ = (\WideAnd212~1_combout\ & (\led_flash_cnt[212][7]~q\ & (\led_flash_cnt[212][0]~q\ & \WideAnd212~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd212~1_combout\,
	datab => \led_flash_cnt[212][7]~q\,
	datac => \led_flash_cnt[212][0]~q\,
	datad => \WideAnd212~0_combout\,
	combout => \WideAnd212~combout\);

-- Location: FF_X77_Y26_N1
\led_flash_cnt_ands[212]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd212~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(212));

-- Location: LCCOMB_X77_Y26_N16
\WideAnd3866~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3866~1_combout\ = (led_flash_cnt_ands(213) & led_flash_cnt_ands(212))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(213),
	datad => led_flash_cnt_ands(212),
	combout => \WideAnd3866~1_combout\);

-- Location: LCCOMB_X54_Y48_N20
\led_flash_cnt[214][0]~80854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[214][0]~80854_combout\ = !\led_flash_cnt[214][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[214][0]~q\,
	combout => \led_flash_cnt[214][0]~80854_combout\);

-- Location: FF_X54_Y48_N21
\led_flash_cnt[214][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[214][0]~80854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[214][0]~q\);

-- Location: LCCOMB_X54_Y48_N6
\led_flash_cnt[214][1]~29876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[214][1]~29876_combout\ = (\led_flash_cnt[214][1]~q\ & (\led_flash_cnt[214][0]~q\ $ (VCC))) # (!\led_flash_cnt[214][1]~q\ & (\led_flash_cnt[214][0]~q\ & VCC))
-- \led_flash_cnt[214][1]~29877\ = CARRY((\led_flash_cnt[214][1]~q\ & \led_flash_cnt[214][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[214][1]~q\,
	datab => \led_flash_cnt[214][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[214][1]~29876_combout\,
	cout => \led_flash_cnt[214][1]~29877\);

-- Location: FF_X54_Y48_N7
\led_flash_cnt[214][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[214][1]~29876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[214][1]~q\);

-- Location: LCCOMB_X54_Y48_N8
\led_flash_cnt[214][2]~29878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[214][2]~29878_combout\ = (\led_flash_cnt[214][2]~q\ & (!\led_flash_cnt[214][1]~29877\)) # (!\led_flash_cnt[214][2]~q\ & ((\led_flash_cnt[214][1]~29877\) # (GND)))
-- \led_flash_cnt[214][2]~29879\ = CARRY((!\led_flash_cnt[214][1]~29877\) # (!\led_flash_cnt[214][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[214][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[214][1]~29877\,
	combout => \led_flash_cnt[214][2]~29878_combout\,
	cout => \led_flash_cnt[214][2]~29879\);

-- Location: FF_X54_Y48_N9
\led_flash_cnt[214][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[214][2]~29878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[214][2]~q\);

-- Location: LCCOMB_X54_Y48_N10
\led_flash_cnt[214][3]~29880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[214][3]~29880_combout\ = (\led_flash_cnt[214][3]~q\ & (\led_flash_cnt[214][2]~29879\ $ (GND))) # (!\led_flash_cnt[214][3]~q\ & (!\led_flash_cnt[214][2]~29879\ & VCC))
-- \led_flash_cnt[214][3]~29881\ = CARRY((\led_flash_cnt[214][3]~q\ & !\led_flash_cnt[214][2]~29879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[214][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[214][2]~29879\,
	combout => \led_flash_cnt[214][3]~29880_combout\,
	cout => \led_flash_cnt[214][3]~29881\);

-- Location: FF_X54_Y48_N11
\led_flash_cnt[214][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[214][3]~29880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[214][3]~q\);

-- Location: LCCOMB_X54_Y48_N12
\led_flash_cnt[214][4]~29882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[214][4]~29882_combout\ = (\led_flash_cnt[214][4]~q\ & (!\led_flash_cnt[214][3]~29881\)) # (!\led_flash_cnt[214][4]~q\ & ((\led_flash_cnt[214][3]~29881\) # (GND)))
-- \led_flash_cnt[214][4]~29883\ = CARRY((!\led_flash_cnt[214][3]~29881\) # (!\led_flash_cnt[214][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[214][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[214][3]~29881\,
	combout => \led_flash_cnt[214][4]~29882_combout\,
	cout => \led_flash_cnt[214][4]~29883\);

-- Location: FF_X54_Y48_N13
\led_flash_cnt[214][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[214][4]~29882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[214][4]~q\);

-- Location: LCCOMB_X54_Y48_N14
\led_flash_cnt[214][5]~29884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[214][5]~29884_combout\ = (\led_flash_cnt[214][5]~q\ & (\led_flash_cnt[214][4]~29883\ $ (GND))) # (!\led_flash_cnt[214][5]~q\ & (!\led_flash_cnt[214][4]~29883\ & VCC))
-- \led_flash_cnt[214][5]~29885\ = CARRY((\led_flash_cnt[214][5]~q\ & !\led_flash_cnt[214][4]~29883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[214][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[214][4]~29883\,
	combout => \led_flash_cnt[214][5]~29884_combout\,
	cout => \led_flash_cnt[214][5]~29885\);

-- Location: FF_X54_Y48_N15
\led_flash_cnt[214][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[214][5]~29884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[214][5]~q\);

-- Location: LCCOMB_X54_Y48_N16
\led_flash_cnt[214][6]~29886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[214][6]~29886_combout\ = (\led_flash_cnt[214][6]~q\ & (!\led_flash_cnt[214][5]~29885\)) # (!\led_flash_cnt[214][6]~q\ & ((\led_flash_cnt[214][5]~29885\) # (GND)))
-- \led_flash_cnt[214][6]~29887\ = CARRY((!\led_flash_cnt[214][5]~29885\) # (!\led_flash_cnt[214][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[214][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[214][5]~29885\,
	combout => \led_flash_cnt[214][6]~29886_combout\,
	cout => \led_flash_cnt[214][6]~29887\);

-- Location: FF_X54_Y48_N17
\led_flash_cnt[214][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[214][6]~29886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[214][6]~q\);

-- Location: LCCOMB_X54_Y48_N26
\WideAnd214~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd214~1_combout\ = (\led_flash_cnt[214][5]~q\ & \led_flash_cnt[214][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[214][5]~q\,
	datad => \led_flash_cnt[214][6]~q\,
	combout => \WideAnd214~1_combout\);

-- Location: LCCOMB_X54_Y48_N18
\led_flash_cnt[214][7]~29888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[214][7]~29888_combout\ = \led_flash_cnt[214][7]~q\ $ (!\led_flash_cnt[214][6]~29887\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[214][7]~q\,
	cin => \led_flash_cnt[214][6]~29887\,
	combout => \led_flash_cnt[214][7]~29888_combout\);

-- Location: FF_X54_Y48_N19
\led_flash_cnt[214][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[214][7]~29888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[214][7]~q\);

-- Location: LCCOMB_X54_Y48_N24
\WideAnd214~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd214~0_combout\ = (\led_flash_cnt[214][4]~q\ & (\led_flash_cnt[214][1]~q\ & (\led_flash_cnt[214][2]~q\ & \led_flash_cnt[214][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[214][4]~q\,
	datab => \led_flash_cnt[214][1]~q\,
	datac => \led_flash_cnt[214][2]~q\,
	datad => \led_flash_cnt[214][3]~q\,
	combout => \WideAnd214~0_combout\);

-- Location: LCCOMB_X54_Y48_N4
WideAnd214 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd214~combout\ = (\WideAnd214~1_combout\ & (\led_flash_cnt[214][0]~q\ & (\led_flash_cnt[214][7]~q\ & \WideAnd214~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd214~1_combout\,
	datab => \led_flash_cnt[214][0]~q\,
	datac => \led_flash_cnt[214][7]~q\,
	datad => \WideAnd214~0_combout\,
	combout => \WideAnd214~combout\);

-- Location: FF_X54_Y48_N5
\led_flash_cnt_ands[214]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd214~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(214));

-- Location: LCCOMB_X64_Y29_N30
\led_flash_cnt[210][0]~80850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[210][0]~80850_combout\ = !\led_flash_cnt[210][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[210][0]~q\,
	combout => \led_flash_cnt[210][0]~80850_combout\);

-- Location: FF_X64_Y29_N31
\led_flash_cnt[210][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[210][0]~80850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[210][0]~q\);

-- Location: LCCOMB_X64_Y28_N18
\led_flash_cnt[210][1]~29820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[210][1]~29820_combout\ = (\led_flash_cnt[210][0]~q\ & (\led_flash_cnt[210][1]~q\ $ (VCC))) # (!\led_flash_cnt[210][0]~q\ & (\led_flash_cnt[210][1]~q\ & VCC))
-- \led_flash_cnt[210][1]~29821\ = CARRY((\led_flash_cnt[210][0]~q\ & \led_flash_cnt[210][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[210][0]~q\,
	datab => \led_flash_cnt[210][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[210][1]~29820_combout\,
	cout => \led_flash_cnt[210][1]~29821\);

-- Location: FF_X64_Y28_N19
\led_flash_cnt[210][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[210][1]~29820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[210][1]~q\);

-- Location: LCCOMB_X64_Y28_N20
\led_flash_cnt[210][2]~29822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[210][2]~29822_combout\ = (\led_flash_cnt[210][2]~q\ & (!\led_flash_cnt[210][1]~29821\)) # (!\led_flash_cnt[210][2]~q\ & ((\led_flash_cnt[210][1]~29821\) # (GND)))
-- \led_flash_cnt[210][2]~29823\ = CARRY((!\led_flash_cnt[210][1]~29821\) # (!\led_flash_cnt[210][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[210][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[210][1]~29821\,
	combout => \led_flash_cnt[210][2]~29822_combout\,
	cout => \led_flash_cnt[210][2]~29823\);

-- Location: FF_X64_Y28_N21
\led_flash_cnt[210][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[210][2]~29822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[210][2]~q\);

-- Location: LCCOMB_X64_Y28_N22
\led_flash_cnt[210][3]~29824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[210][3]~29824_combout\ = (\led_flash_cnt[210][3]~q\ & (\led_flash_cnt[210][2]~29823\ $ (GND))) # (!\led_flash_cnt[210][3]~q\ & (!\led_flash_cnt[210][2]~29823\ & VCC))
-- \led_flash_cnt[210][3]~29825\ = CARRY((\led_flash_cnt[210][3]~q\ & !\led_flash_cnt[210][2]~29823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[210][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[210][2]~29823\,
	combout => \led_flash_cnt[210][3]~29824_combout\,
	cout => \led_flash_cnt[210][3]~29825\);

-- Location: FF_X64_Y28_N23
\led_flash_cnt[210][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[210][3]~29824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[210][3]~q\);

-- Location: LCCOMB_X64_Y28_N24
\led_flash_cnt[210][4]~29826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[210][4]~29826_combout\ = (\led_flash_cnt[210][4]~q\ & (!\led_flash_cnt[210][3]~29825\)) # (!\led_flash_cnt[210][4]~q\ & ((\led_flash_cnt[210][3]~29825\) # (GND)))
-- \led_flash_cnt[210][4]~29827\ = CARRY((!\led_flash_cnt[210][3]~29825\) # (!\led_flash_cnt[210][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[210][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[210][3]~29825\,
	combout => \led_flash_cnt[210][4]~29826_combout\,
	cout => \led_flash_cnt[210][4]~29827\);

-- Location: FF_X64_Y28_N25
\led_flash_cnt[210][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[210][4]~29826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[210][4]~q\);

-- Location: LCCOMB_X64_Y28_N26
\led_flash_cnt[210][5]~29828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[210][5]~29828_combout\ = (\led_flash_cnt[210][5]~q\ & (\led_flash_cnt[210][4]~29827\ $ (GND))) # (!\led_flash_cnt[210][5]~q\ & (!\led_flash_cnt[210][4]~29827\ & VCC))
-- \led_flash_cnt[210][5]~29829\ = CARRY((\led_flash_cnt[210][5]~q\ & !\led_flash_cnt[210][4]~29827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[210][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[210][4]~29827\,
	combout => \led_flash_cnt[210][5]~29828_combout\,
	cout => \led_flash_cnt[210][5]~29829\);

-- Location: FF_X64_Y28_N27
\led_flash_cnt[210][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[210][5]~29828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[210][5]~q\);

-- Location: LCCOMB_X64_Y28_N28
\led_flash_cnt[210][6]~29830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[210][6]~29830_combout\ = (\led_flash_cnt[210][6]~q\ & (!\led_flash_cnt[210][5]~29829\)) # (!\led_flash_cnt[210][6]~q\ & ((\led_flash_cnt[210][5]~29829\) # (GND)))
-- \led_flash_cnt[210][6]~29831\ = CARRY((!\led_flash_cnt[210][5]~29829\) # (!\led_flash_cnt[210][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[210][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[210][5]~29829\,
	combout => \led_flash_cnt[210][6]~29830_combout\,
	cout => \led_flash_cnt[210][6]~29831\);

-- Location: FF_X64_Y28_N29
\led_flash_cnt[210][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[210][6]~29830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[210][6]~q\);

-- Location: LCCOMB_X64_Y28_N16
\WideAnd210~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd210~1_combout\ = (\led_flash_cnt[210][5]~q\ & \led_flash_cnt[210][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[210][5]~q\,
	datad => \led_flash_cnt[210][6]~q\,
	combout => \WideAnd210~1_combout\);

-- Location: LCCOMB_X64_Y28_N30
\led_flash_cnt[210][7]~29832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[210][7]~29832_combout\ = \led_flash_cnt[210][7]~q\ $ (!\led_flash_cnt[210][6]~29831\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[210][7]~q\,
	cin => \led_flash_cnt[210][6]~29831\,
	combout => \led_flash_cnt[210][7]~29832_combout\);

-- Location: FF_X64_Y28_N31
\led_flash_cnt[210][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[210][7]~29832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[210][7]~q\);

-- Location: LCCOMB_X64_Y28_N0
\WideAnd210~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd210~0_combout\ = (\led_flash_cnt[210][4]~q\ & (\led_flash_cnt[210][2]~q\ & (\led_flash_cnt[210][3]~q\ & \led_flash_cnt[210][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[210][4]~q\,
	datab => \led_flash_cnt[210][2]~q\,
	datac => \led_flash_cnt[210][3]~q\,
	datad => \led_flash_cnt[210][1]~q\,
	combout => \WideAnd210~0_combout\);

-- Location: LCCOMB_X64_Y29_N4
WideAnd210 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd210~combout\ = (\led_flash_cnt[210][0]~q\ & (\WideAnd210~1_combout\ & (\led_flash_cnt[210][7]~q\ & \WideAnd210~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[210][0]~q\,
	datab => \WideAnd210~1_combout\,
	datac => \led_flash_cnt[210][7]~q\,
	datad => \WideAnd210~0_combout\,
	combout => \WideAnd210~combout\);

-- Location: FF_X64_Y29_N5
\led_flash_cnt_ands[210]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd210~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(210));

-- Location: LCCOMB_X66_Y32_N6
\led_flash_cnt[209][0]~80849\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[209][0]~80849_combout\ = !\led_flash_cnt[209][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[209][0]~q\,
	combout => \led_flash_cnt[209][0]~80849_combout\);

-- Location: FF_X66_Y32_N7
\led_flash_cnt[209][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[209][0]~80849_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[209][0]~q\);

-- Location: LCCOMB_X69_Y32_N14
\led_flash_cnt[209][1]~29806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[209][1]~29806_combout\ = (\led_flash_cnt[209][0]~q\ & (\led_flash_cnt[209][1]~q\ $ (VCC))) # (!\led_flash_cnt[209][0]~q\ & (\led_flash_cnt[209][1]~q\ & VCC))
-- \led_flash_cnt[209][1]~29807\ = CARRY((\led_flash_cnt[209][0]~q\ & \led_flash_cnt[209][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[209][0]~q\,
	datab => \led_flash_cnt[209][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[209][1]~29806_combout\,
	cout => \led_flash_cnt[209][1]~29807\);

-- Location: FF_X69_Y32_N15
\led_flash_cnt[209][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[209][1]~29806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[209][1]~q\);

-- Location: LCCOMB_X69_Y32_N16
\led_flash_cnt[209][2]~29808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[209][2]~29808_combout\ = (\led_flash_cnt[209][2]~q\ & (!\led_flash_cnt[209][1]~29807\)) # (!\led_flash_cnt[209][2]~q\ & ((\led_flash_cnt[209][1]~29807\) # (GND)))
-- \led_flash_cnt[209][2]~29809\ = CARRY((!\led_flash_cnt[209][1]~29807\) # (!\led_flash_cnt[209][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[209][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[209][1]~29807\,
	combout => \led_flash_cnt[209][2]~29808_combout\,
	cout => \led_flash_cnt[209][2]~29809\);

-- Location: FF_X69_Y32_N17
\led_flash_cnt[209][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[209][2]~29808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[209][2]~q\);

-- Location: LCCOMB_X69_Y32_N18
\led_flash_cnt[209][3]~29810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[209][3]~29810_combout\ = (\led_flash_cnt[209][3]~q\ & (\led_flash_cnt[209][2]~29809\ $ (GND))) # (!\led_flash_cnt[209][3]~q\ & (!\led_flash_cnt[209][2]~29809\ & VCC))
-- \led_flash_cnt[209][3]~29811\ = CARRY((\led_flash_cnt[209][3]~q\ & !\led_flash_cnt[209][2]~29809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[209][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[209][2]~29809\,
	combout => \led_flash_cnt[209][3]~29810_combout\,
	cout => \led_flash_cnt[209][3]~29811\);

-- Location: FF_X69_Y32_N19
\led_flash_cnt[209][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[209][3]~29810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[209][3]~q\);

-- Location: LCCOMB_X69_Y32_N20
\led_flash_cnt[209][4]~29812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[209][4]~29812_combout\ = (\led_flash_cnt[209][4]~q\ & (!\led_flash_cnt[209][3]~29811\)) # (!\led_flash_cnt[209][4]~q\ & ((\led_flash_cnt[209][3]~29811\) # (GND)))
-- \led_flash_cnt[209][4]~29813\ = CARRY((!\led_flash_cnt[209][3]~29811\) # (!\led_flash_cnt[209][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[209][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[209][3]~29811\,
	combout => \led_flash_cnt[209][4]~29812_combout\,
	cout => \led_flash_cnt[209][4]~29813\);

-- Location: FF_X69_Y32_N21
\led_flash_cnt[209][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[209][4]~29812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[209][4]~q\);

-- Location: LCCOMB_X69_Y32_N30
\WideAnd209~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd209~0_combout\ = (\led_flash_cnt[209][4]~q\ & (\led_flash_cnt[209][3]~q\ & (\led_flash_cnt[209][1]~q\ & \led_flash_cnt[209][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[209][4]~q\,
	datab => \led_flash_cnt[209][3]~q\,
	datac => \led_flash_cnt[209][1]~q\,
	datad => \led_flash_cnt[209][2]~q\,
	combout => \WideAnd209~0_combout\);

-- Location: LCCOMB_X69_Y32_N22
\led_flash_cnt[209][5]~29814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[209][5]~29814_combout\ = (\led_flash_cnt[209][5]~q\ & (\led_flash_cnt[209][4]~29813\ $ (GND))) # (!\led_flash_cnt[209][5]~q\ & (!\led_flash_cnt[209][4]~29813\ & VCC))
-- \led_flash_cnt[209][5]~29815\ = CARRY((\led_flash_cnt[209][5]~q\ & !\led_flash_cnt[209][4]~29813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[209][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[209][4]~29813\,
	combout => \led_flash_cnt[209][5]~29814_combout\,
	cout => \led_flash_cnt[209][5]~29815\);

-- Location: FF_X69_Y32_N23
\led_flash_cnt[209][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[209][5]~29814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[209][5]~q\);

-- Location: LCCOMB_X69_Y32_N24
\led_flash_cnt[209][6]~29816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[209][6]~29816_combout\ = (\led_flash_cnt[209][6]~q\ & (!\led_flash_cnt[209][5]~29815\)) # (!\led_flash_cnt[209][6]~q\ & ((\led_flash_cnt[209][5]~29815\) # (GND)))
-- \led_flash_cnt[209][6]~29817\ = CARRY((!\led_flash_cnt[209][5]~29815\) # (!\led_flash_cnt[209][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[209][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[209][5]~29815\,
	combout => \led_flash_cnt[209][6]~29816_combout\,
	cout => \led_flash_cnt[209][6]~29817\);

-- Location: FF_X69_Y32_N25
\led_flash_cnt[209][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[209][6]~29816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[209][6]~q\);

-- Location: LCCOMB_X70_Y32_N26
\WideAnd209~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd209~1_combout\ = (\led_flash_cnt[209][5]~q\ & \led_flash_cnt[209][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[209][5]~q\,
	datad => \led_flash_cnt[209][6]~q\,
	combout => \WideAnd209~1_combout\);

-- Location: LCCOMB_X69_Y32_N26
\led_flash_cnt[209][7]~29818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[209][7]~29818_combout\ = \led_flash_cnt[209][7]~q\ $ (!\led_flash_cnt[209][6]~29817\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[209][7]~q\,
	cin => \led_flash_cnt[209][6]~29817\,
	combout => \led_flash_cnt[209][7]~29818_combout\);

-- Location: FF_X69_Y32_N27
\led_flash_cnt[209][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[209][7]~29818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[209][7]~q\);

-- Location: LCCOMB_X69_Y32_N28
WideAnd209 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd209~combout\ = (\WideAnd209~0_combout\ & (\WideAnd209~1_combout\ & (\led_flash_cnt[209][7]~q\ & \led_flash_cnt[209][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd209~0_combout\,
	datab => \WideAnd209~1_combout\,
	datac => \led_flash_cnt[209][7]~q\,
	datad => \led_flash_cnt[209][0]~q\,
	combout => \WideAnd209~combout\);

-- Location: FF_X69_Y32_N29
\led_flash_cnt_ands[209]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd209~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(209));

-- Location: LCCOMB_X64_Y32_N0
\led_flash_cnt[208][0]~80848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[208][0]~80848_combout\ = !\led_flash_cnt[208][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[208][0]~q\,
	combout => \led_flash_cnt[208][0]~80848_combout\);

-- Location: FF_X64_Y32_N1
\led_flash_cnt[208][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[208][0]~80848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[208][0]~q\);

-- Location: LCCOMB_X64_Y33_N4
\led_flash_cnt[208][1]~29792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[208][1]~29792_combout\ = (\led_flash_cnt[208][0]~q\ & (\led_flash_cnt[208][1]~q\ $ (VCC))) # (!\led_flash_cnt[208][0]~q\ & (\led_flash_cnt[208][1]~q\ & VCC))
-- \led_flash_cnt[208][1]~29793\ = CARRY((\led_flash_cnt[208][0]~q\ & \led_flash_cnt[208][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[208][0]~q\,
	datab => \led_flash_cnt[208][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[208][1]~29792_combout\,
	cout => \led_flash_cnt[208][1]~29793\);

-- Location: FF_X64_Y33_N5
\led_flash_cnt[208][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[208][1]~29792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[208][1]~q\);

-- Location: LCCOMB_X64_Y33_N6
\led_flash_cnt[208][2]~29794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[208][2]~29794_combout\ = (\led_flash_cnt[208][2]~q\ & (!\led_flash_cnt[208][1]~29793\)) # (!\led_flash_cnt[208][2]~q\ & ((\led_flash_cnt[208][1]~29793\) # (GND)))
-- \led_flash_cnt[208][2]~29795\ = CARRY((!\led_flash_cnt[208][1]~29793\) # (!\led_flash_cnt[208][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[208][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[208][1]~29793\,
	combout => \led_flash_cnt[208][2]~29794_combout\,
	cout => \led_flash_cnt[208][2]~29795\);

-- Location: FF_X64_Y33_N7
\led_flash_cnt[208][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[208][2]~29794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[208][2]~q\);

-- Location: LCCOMB_X64_Y33_N8
\led_flash_cnt[208][3]~29796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[208][3]~29796_combout\ = (\led_flash_cnt[208][3]~q\ & (\led_flash_cnt[208][2]~29795\ $ (GND))) # (!\led_flash_cnt[208][3]~q\ & (!\led_flash_cnt[208][2]~29795\ & VCC))
-- \led_flash_cnt[208][3]~29797\ = CARRY((\led_flash_cnt[208][3]~q\ & !\led_flash_cnt[208][2]~29795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[208][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[208][2]~29795\,
	combout => \led_flash_cnt[208][3]~29796_combout\,
	cout => \led_flash_cnt[208][3]~29797\);

-- Location: FF_X64_Y33_N9
\led_flash_cnt[208][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[208][3]~29796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[208][3]~q\);

-- Location: LCCOMB_X64_Y33_N10
\led_flash_cnt[208][4]~29798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[208][4]~29798_combout\ = (\led_flash_cnt[208][4]~q\ & (!\led_flash_cnt[208][3]~29797\)) # (!\led_flash_cnt[208][4]~q\ & ((\led_flash_cnt[208][3]~29797\) # (GND)))
-- \led_flash_cnt[208][4]~29799\ = CARRY((!\led_flash_cnt[208][3]~29797\) # (!\led_flash_cnt[208][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[208][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[208][3]~29797\,
	combout => \led_flash_cnt[208][4]~29798_combout\,
	cout => \led_flash_cnt[208][4]~29799\);

-- Location: FF_X64_Y33_N11
\led_flash_cnt[208][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[208][4]~29798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[208][4]~q\);

-- Location: LCCOMB_X63_Y33_N14
\WideAnd208~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd208~0_combout\ = (\led_flash_cnt[208][1]~q\ & (\led_flash_cnt[208][4]~q\ & (\led_flash_cnt[208][3]~q\ & \led_flash_cnt[208][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[208][1]~q\,
	datab => \led_flash_cnt[208][4]~q\,
	datac => \led_flash_cnt[208][3]~q\,
	datad => \led_flash_cnt[208][2]~q\,
	combout => \WideAnd208~0_combout\);

-- Location: LCCOMB_X64_Y33_N12
\led_flash_cnt[208][5]~29800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[208][5]~29800_combout\ = (\led_flash_cnt[208][5]~q\ & (\led_flash_cnt[208][4]~29799\ $ (GND))) # (!\led_flash_cnt[208][5]~q\ & (!\led_flash_cnt[208][4]~29799\ & VCC))
-- \led_flash_cnt[208][5]~29801\ = CARRY((\led_flash_cnt[208][5]~q\ & !\led_flash_cnt[208][4]~29799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[208][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[208][4]~29799\,
	combout => \led_flash_cnt[208][5]~29800_combout\,
	cout => \led_flash_cnt[208][5]~29801\);

-- Location: FF_X64_Y33_N13
\led_flash_cnt[208][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[208][5]~29800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[208][5]~q\);

-- Location: LCCOMB_X64_Y33_N14
\led_flash_cnt[208][6]~29802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[208][6]~29802_combout\ = (\led_flash_cnt[208][6]~q\ & (!\led_flash_cnt[208][5]~29801\)) # (!\led_flash_cnt[208][6]~q\ & ((\led_flash_cnt[208][5]~29801\) # (GND)))
-- \led_flash_cnt[208][6]~29803\ = CARRY((!\led_flash_cnt[208][5]~29801\) # (!\led_flash_cnt[208][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[208][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[208][5]~29801\,
	combout => \led_flash_cnt[208][6]~29802_combout\,
	cout => \led_flash_cnt[208][6]~29803\);

-- Location: FF_X64_Y33_N15
\led_flash_cnt[208][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[208][6]~29802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[208][6]~q\);

-- Location: LCCOMB_X63_Y33_N28
\WideAnd208~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd208~1_combout\ = (\led_flash_cnt[208][6]~q\ & \led_flash_cnt[208][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[208][6]~q\,
	datac => \led_flash_cnt[208][5]~q\,
	combout => \WideAnd208~1_combout\);

-- Location: LCCOMB_X64_Y33_N16
\led_flash_cnt[208][7]~29804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[208][7]~29804_combout\ = \led_flash_cnt[208][6]~29803\ $ (!\led_flash_cnt[208][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[208][7]~q\,
	cin => \led_flash_cnt[208][6]~29803\,
	combout => \led_flash_cnt[208][7]~29804_combout\);

-- Location: FF_X64_Y33_N17
\led_flash_cnt[208][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[208][7]~29804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[208][7]~q\);

-- Location: LCCOMB_X64_Y33_N2
WideAnd208 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd208~combout\ = (\WideAnd208~0_combout\ & (\WideAnd208~1_combout\ & (\led_flash_cnt[208][0]~q\ & \led_flash_cnt[208][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd208~0_combout\,
	datab => \WideAnd208~1_combout\,
	datac => \led_flash_cnt[208][0]~q\,
	datad => \led_flash_cnt[208][7]~q\,
	combout => \WideAnd208~combout\);

-- Location: FF_X64_Y33_N3
\led_flash_cnt_ands[208]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd208~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(208));

-- Location: LCCOMB_X64_Y32_N2
\led_flash_cnt[211][0]~80851\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[211][0]~80851_combout\ = !\led_flash_cnt[211][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[211][0]~q\,
	combout => \led_flash_cnt[211][0]~80851_combout\);

-- Location: FF_X64_Y32_N3
\led_flash_cnt[211][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[211][0]~80851_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[211][0]~q\);

-- Location: LCCOMB_X63_Y32_N2
\led_flash_cnt[211][1]~29834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[211][1]~29834_combout\ = (\led_flash_cnt[211][0]~q\ & (\led_flash_cnt[211][1]~q\ $ (VCC))) # (!\led_flash_cnt[211][0]~q\ & (\led_flash_cnt[211][1]~q\ & VCC))
-- \led_flash_cnt[211][1]~29835\ = CARRY((\led_flash_cnt[211][0]~q\ & \led_flash_cnt[211][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[211][0]~q\,
	datab => \led_flash_cnt[211][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[211][1]~29834_combout\,
	cout => \led_flash_cnt[211][1]~29835\);

-- Location: FF_X63_Y32_N3
\led_flash_cnt[211][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[211][1]~29834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[211][1]~q\);

-- Location: LCCOMB_X63_Y32_N4
\led_flash_cnt[211][2]~29836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[211][2]~29836_combout\ = (\led_flash_cnt[211][2]~q\ & (!\led_flash_cnt[211][1]~29835\)) # (!\led_flash_cnt[211][2]~q\ & ((\led_flash_cnt[211][1]~29835\) # (GND)))
-- \led_flash_cnt[211][2]~29837\ = CARRY((!\led_flash_cnt[211][1]~29835\) # (!\led_flash_cnt[211][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[211][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[211][1]~29835\,
	combout => \led_flash_cnt[211][2]~29836_combout\,
	cout => \led_flash_cnt[211][2]~29837\);

-- Location: FF_X63_Y32_N5
\led_flash_cnt[211][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[211][2]~29836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[211][2]~q\);

-- Location: LCCOMB_X63_Y32_N6
\led_flash_cnt[211][3]~29838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[211][3]~29838_combout\ = (\led_flash_cnt[211][3]~q\ & (\led_flash_cnt[211][2]~29837\ $ (GND))) # (!\led_flash_cnt[211][3]~q\ & (!\led_flash_cnt[211][2]~29837\ & VCC))
-- \led_flash_cnt[211][3]~29839\ = CARRY((\led_flash_cnt[211][3]~q\ & !\led_flash_cnt[211][2]~29837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[211][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[211][2]~29837\,
	combout => \led_flash_cnt[211][3]~29838_combout\,
	cout => \led_flash_cnt[211][3]~29839\);

-- Location: FF_X63_Y32_N7
\led_flash_cnt[211][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[211][3]~29838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[211][3]~q\);

-- Location: LCCOMB_X63_Y32_N8
\led_flash_cnt[211][4]~29840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[211][4]~29840_combout\ = (\led_flash_cnt[211][4]~q\ & (!\led_flash_cnt[211][3]~29839\)) # (!\led_flash_cnt[211][4]~q\ & ((\led_flash_cnt[211][3]~29839\) # (GND)))
-- \led_flash_cnt[211][4]~29841\ = CARRY((!\led_flash_cnt[211][3]~29839\) # (!\led_flash_cnt[211][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[211][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[211][3]~29839\,
	combout => \led_flash_cnt[211][4]~29840_combout\,
	cout => \led_flash_cnt[211][4]~29841\);

-- Location: FF_X63_Y32_N9
\led_flash_cnt[211][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[211][4]~29840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[211][4]~q\);

-- Location: LCCOMB_X63_Y32_N10
\led_flash_cnt[211][5]~29842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[211][5]~29842_combout\ = (\led_flash_cnt[211][5]~q\ & (\led_flash_cnt[211][4]~29841\ $ (GND))) # (!\led_flash_cnt[211][5]~q\ & (!\led_flash_cnt[211][4]~29841\ & VCC))
-- \led_flash_cnt[211][5]~29843\ = CARRY((\led_flash_cnt[211][5]~q\ & !\led_flash_cnt[211][4]~29841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[211][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[211][4]~29841\,
	combout => \led_flash_cnt[211][5]~29842_combout\,
	cout => \led_flash_cnt[211][5]~29843\);

-- Location: FF_X63_Y32_N11
\led_flash_cnt[211][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[211][5]~29842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[211][5]~q\);

-- Location: LCCOMB_X63_Y32_N12
\led_flash_cnt[211][6]~29844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[211][6]~29844_combout\ = (\led_flash_cnt[211][6]~q\ & (!\led_flash_cnt[211][5]~29843\)) # (!\led_flash_cnt[211][6]~q\ & ((\led_flash_cnt[211][5]~29843\) # (GND)))
-- \led_flash_cnt[211][6]~29845\ = CARRY((!\led_flash_cnt[211][5]~29843\) # (!\led_flash_cnt[211][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[211][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[211][5]~29843\,
	combout => \led_flash_cnt[211][6]~29844_combout\,
	cout => \led_flash_cnt[211][6]~29845\);

-- Location: FF_X63_Y32_N13
\led_flash_cnt[211][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[211][6]~29844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[211][6]~q\);

-- Location: LCCOMB_X63_Y32_N14
\led_flash_cnt[211][7]~29846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[211][7]~29846_combout\ = \led_flash_cnt[211][7]~q\ $ (!\led_flash_cnt[211][6]~29845\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[211][7]~q\,
	cin => \led_flash_cnt[211][6]~29845\,
	combout => \led_flash_cnt[211][7]~29846_combout\);

-- Location: FF_X63_Y32_N15
\led_flash_cnt[211][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[211][7]~29846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[211][7]~q\);

-- Location: LCCOMB_X64_Y32_N26
\WideAnd211~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd211~1_combout\ = (\led_flash_cnt[211][6]~q\ & \led_flash_cnt[211][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[211][6]~q\,
	datad => \led_flash_cnt[211][5]~q\,
	combout => \WideAnd211~1_combout\);

-- Location: LCCOMB_X64_Y32_N24
\WideAnd211~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd211~0_combout\ = (\led_flash_cnt[211][1]~q\ & (\led_flash_cnt[211][3]~q\ & (\led_flash_cnt[211][2]~q\ & \led_flash_cnt[211][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[211][1]~q\,
	datab => \led_flash_cnt[211][3]~q\,
	datac => \led_flash_cnt[211][2]~q\,
	datad => \led_flash_cnt[211][4]~q\,
	combout => \WideAnd211~0_combout\);

-- Location: LCCOMB_X64_Y32_N12
WideAnd211 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd211~combout\ = (\led_flash_cnt[211][7]~q\ & (\led_flash_cnt[211][0]~q\ & (\WideAnd211~1_combout\ & \WideAnd211~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[211][7]~q\,
	datab => \led_flash_cnt[211][0]~q\,
	datac => \WideAnd211~1_combout\,
	datad => \WideAnd211~0_combout\,
	combout => \WideAnd211~combout\);

-- Location: FF_X64_Y32_N13
\led_flash_cnt_ands[211]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd211~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(211));

-- Location: LCCOMB_X64_Y32_N18
\WideAnd3866~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3866~0_combout\ = (led_flash_cnt_ands(210) & (led_flash_cnt_ands(209) & (led_flash_cnt_ands(208) & led_flash_cnt_ands(211))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(210),
	datab => led_flash_cnt_ands(209),
	datac => led_flash_cnt_ands(208),
	datad => led_flash_cnt_ands(211),
	combout => \WideAnd3866~0_combout\);

-- Location: LCCOMB_X64_Y32_N20
WideAnd3866 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3866~combout\ = (led_flash_cnt_ands(215) & (\WideAnd3866~1_combout\ & (led_flash_cnt_ands(214) & \WideAnd3866~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(215),
	datab => \WideAnd3866~1_combout\,
	datac => led_flash_cnt_ands(214),
	datad => \WideAnd3866~0_combout\,
	combout => \WideAnd3866~combout\);

-- Location: FF_X64_Y32_N21
\led_flash_cnt_ands_1[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3866~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(26));

-- Location: LCCOMB_X61_Y19_N2
\led_flash_cnt[207][0]~80847\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[207][0]~80847_combout\ = !\led_flash_cnt[207][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[207][0]~q\,
	combout => \led_flash_cnt[207][0]~80847_combout\);

-- Location: FF_X61_Y19_N3
\led_flash_cnt[207][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[207][0]~80847_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[207][0]~q\);

-- Location: LCCOMB_X60_Y19_N0
\led_flash_cnt[207][1]~29778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[207][1]~29778_combout\ = (\led_flash_cnt[207][0]~q\ & (\led_flash_cnt[207][1]~q\ $ (VCC))) # (!\led_flash_cnt[207][0]~q\ & (\led_flash_cnt[207][1]~q\ & VCC))
-- \led_flash_cnt[207][1]~29779\ = CARRY((\led_flash_cnt[207][0]~q\ & \led_flash_cnt[207][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[207][0]~q\,
	datab => \led_flash_cnt[207][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[207][1]~29778_combout\,
	cout => \led_flash_cnt[207][1]~29779\);

-- Location: FF_X60_Y19_N1
\led_flash_cnt[207][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[207][1]~29778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[207][1]~q\);

-- Location: LCCOMB_X60_Y19_N2
\led_flash_cnt[207][2]~29780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[207][2]~29780_combout\ = (\led_flash_cnt[207][2]~q\ & (!\led_flash_cnt[207][1]~29779\)) # (!\led_flash_cnt[207][2]~q\ & ((\led_flash_cnt[207][1]~29779\) # (GND)))
-- \led_flash_cnt[207][2]~29781\ = CARRY((!\led_flash_cnt[207][1]~29779\) # (!\led_flash_cnt[207][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[207][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[207][1]~29779\,
	combout => \led_flash_cnt[207][2]~29780_combout\,
	cout => \led_flash_cnt[207][2]~29781\);

-- Location: FF_X60_Y19_N3
\led_flash_cnt[207][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[207][2]~29780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[207][2]~q\);

-- Location: LCCOMB_X60_Y19_N4
\led_flash_cnt[207][3]~29782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[207][3]~29782_combout\ = (\led_flash_cnt[207][3]~q\ & (\led_flash_cnt[207][2]~29781\ $ (GND))) # (!\led_flash_cnt[207][3]~q\ & (!\led_flash_cnt[207][2]~29781\ & VCC))
-- \led_flash_cnt[207][3]~29783\ = CARRY((\led_flash_cnt[207][3]~q\ & !\led_flash_cnt[207][2]~29781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[207][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[207][2]~29781\,
	combout => \led_flash_cnt[207][3]~29782_combout\,
	cout => \led_flash_cnt[207][3]~29783\);

-- Location: FF_X60_Y19_N5
\led_flash_cnt[207][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[207][3]~29782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[207][3]~q\);

-- Location: LCCOMB_X60_Y19_N6
\led_flash_cnt[207][4]~29784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[207][4]~29784_combout\ = (\led_flash_cnt[207][4]~q\ & (!\led_flash_cnt[207][3]~29783\)) # (!\led_flash_cnt[207][4]~q\ & ((\led_flash_cnt[207][3]~29783\) # (GND)))
-- \led_flash_cnt[207][4]~29785\ = CARRY((!\led_flash_cnt[207][3]~29783\) # (!\led_flash_cnt[207][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[207][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[207][3]~29783\,
	combout => \led_flash_cnt[207][4]~29784_combout\,
	cout => \led_flash_cnt[207][4]~29785\);

-- Location: FF_X60_Y19_N7
\led_flash_cnt[207][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[207][4]~29784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[207][4]~q\);

-- Location: LCCOMB_X60_Y19_N14
\WideAnd207~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd207~0_combout\ = (\led_flash_cnt[207][4]~q\ & (\led_flash_cnt[207][1]~q\ & (\led_flash_cnt[207][3]~q\ & \led_flash_cnt[207][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[207][4]~q\,
	datab => \led_flash_cnt[207][1]~q\,
	datac => \led_flash_cnt[207][3]~q\,
	datad => \led_flash_cnt[207][2]~q\,
	combout => \WideAnd207~0_combout\);

-- Location: LCCOMB_X60_Y19_N8
\led_flash_cnt[207][5]~29786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[207][5]~29786_combout\ = (\led_flash_cnt[207][5]~q\ & (\led_flash_cnt[207][4]~29785\ $ (GND))) # (!\led_flash_cnt[207][5]~q\ & (!\led_flash_cnt[207][4]~29785\ & VCC))
-- \led_flash_cnt[207][5]~29787\ = CARRY((\led_flash_cnt[207][5]~q\ & !\led_flash_cnt[207][4]~29785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[207][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[207][4]~29785\,
	combout => \led_flash_cnt[207][5]~29786_combout\,
	cout => \led_flash_cnt[207][5]~29787\);

-- Location: FF_X60_Y19_N9
\led_flash_cnt[207][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[207][5]~29786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[207][5]~q\);

-- Location: LCCOMB_X60_Y19_N10
\led_flash_cnt[207][6]~29788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[207][6]~29788_combout\ = (\led_flash_cnt[207][6]~q\ & (!\led_flash_cnt[207][5]~29787\)) # (!\led_flash_cnt[207][6]~q\ & ((\led_flash_cnt[207][5]~29787\) # (GND)))
-- \led_flash_cnt[207][6]~29789\ = CARRY((!\led_flash_cnt[207][5]~29787\) # (!\led_flash_cnt[207][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[207][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[207][5]~29787\,
	combout => \led_flash_cnt[207][6]~29788_combout\,
	cout => \led_flash_cnt[207][6]~29789\);

-- Location: FF_X60_Y19_N11
\led_flash_cnt[207][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[207][6]~29788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[207][6]~q\);

-- Location: LCCOMB_X61_Y19_N4
\WideAnd207~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd207~1_combout\ = (\led_flash_cnt[207][6]~q\ & \led_flash_cnt[207][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[207][6]~q\,
	datad => \led_flash_cnt[207][5]~q\,
	combout => \WideAnd207~1_combout\);

-- Location: LCCOMB_X60_Y19_N12
\led_flash_cnt[207][7]~29790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[207][7]~29790_combout\ = \led_flash_cnt[207][6]~29789\ $ (!\led_flash_cnt[207][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[207][7]~q\,
	cin => \led_flash_cnt[207][6]~29789\,
	combout => \led_flash_cnt[207][7]~29790_combout\);

-- Location: FF_X60_Y19_N13
\led_flash_cnt[207][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[207][7]~29790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[207][7]~q\);

-- Location: LCCOMB_X61_Y19_N0
WideAnd207 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd207~combout\ = (\WideAnd207~0_combout\ & (\led_flash_cnt[207][0]~q\ & (\WideAnd207~1_combout\ & \led_flash_cnt[207][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd207~0_combout\,
	datab => \led_flash_cnt[207][0]~q\,
	datac => \WideAnd207~1_combout\,
	datad => \led_flash_cnt[207][7]~q\,
	combout => \WideAnd207~combout\);

-- Location: FF_X61_Y19_N1
\led_flash_cnt_ands[207]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd207~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(207));

-- Location: LCCOMB_X54_Y48_N28
\led_flash_cnt[206][0]~80846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[206][0]~80846_combout\ = !\led_flash_cnt[206][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[206][0]~q\,
	combout => \led_flash_cnt[206][0]~80846_combout\);

-- Location: FF_X54_Y48_N29
\led_flash_cnt[206][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[206][0]~80846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[206][0]~q\);

-- Location: LCCOMB_X55_Y48_N2
\led_flash_cnt[206][1]~29764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[206][1]~29764_combout\ = (\led_flash_cnt[206][0]~q\ & (\led_flash_cnt[206][1]~q\ $ (VCC))) # (!\led_flash_cnt[206][0]~q\ & (\led_flash_cnt[206][1]~q\ & VCC))
-- \led_flash_cnt[206][1]~29765\ = CARRY((\led_flash_cnt[206][0]~q\ & \led_flash_cnt[206][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[206][0]~q\,
	datab => \led_flash_cnt[206][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[206][1]~29764_combout\,
	cout => \led_flash_cnt[206][1]~29765\);

-- Location: FF_X55_Y48_N3
\led_flash_cnt[206][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[206][1]~29764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[206][1]~q\);

-- Location: LCCOMB_X55_Y48_N4
\led_flash_cnt[206][2]~29766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[206][2]~29766_combout\ = (\led_flash_cnt[206][2]~q\ & (!\led_flash_cnt[206][1]~29765\)) # (!\led_flash_cnt[206][2]~q\ & ((\led_flash_cnt[206][1]~29765\) # (GND)))
-- \led_flash_cnt[206][2]~29767\ = CARRY((!\led_flash_cnt[206][1]~29765\) # (!\led_flash_cnt[206][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[206][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[206][1]~29765\,
	combout => \led_flash_cnt[206][2]~29766_combout\,
	cout => \led_flash_cnt[206][2]~29767\);

-- Location: FF_X55_Y48_N5
\led_flash_cnt[206][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[206][2]~29766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[206][2]~q\);

-- Location: LCCOMB_X55_Y48_N6
\led_flash_cnt[206][3]~29768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[206][3]~29768_combout\ = (\led_flash_cnt[206][3]~q\ & (\led_flash_cnt[206][2]~29767\ $ (GND))) # (!\led_flash_cnt[206][3]~q\ & (!\led_flash_cnt[206][2]~29767\ & VCC))
-- \led_flash_cnt[206][3]~29769\ = CARRY((\led_flash_cnt[206][3]~q\ & !\led_flash_cnt[206][2]~29767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[206][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[206][2]~29767\,
	combout => \led_flash_cnt[206][3]~29768_combout\,
	cout => \led_flash_cnt[206][3]~29769\);

-- Location: FF_X55_Y48_N7
\led_flash_cnt[206][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[206][3]~29768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[206][3]~q\);

-- Location: LCCOMB_X55_Y48_N8
\led_flash_cnt[206][4]~29770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[206][4]~29770_combout\ = (\led_flash_cnt[206][4]~q\ & (!\led_flash_cnt[206][3]~29769\)) # (!\led_flash_cnt[206][4]~q\ & ((\led_flash_cnt[206][3]~29769\) # (GND)))
-- \led_flash_cnt[206][4]~29771\ = CARRY((!\led_flash_cnt[206][3]~29769\) # (!\led_flash_cnt[206][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[206][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[206][3]~29769\,
	combout => \led_flash_cnt[206][4]~29770_combout\,
	cout => \led_flash_cnt[206][4]~29771\);

-- Location: FF_X55_Y48_N9
\led_flash_cnt[206][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[206][4]~29770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[206][4]~q\);

-- Location: LCCOMB_X55_Y48_N30
\WideAnd206~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd206~0_combout\ = (\led_flash_cnt[206][3]~q\ & (\led_flash_cnt[206][4]~q\ & (\led_flash_cnt[206][2]~q\ & \led_flash_cnt[206][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[206][3]~q\,
	datab => \led_flash_cnt[206][4]~q\,
	datac => \led_flash_cnt[206][2]~q\,
	datad => \led_flash_cnt[206][1]~q\,
	combout => \WideAnd206~0_combout\);

-- Location: LCCOMB_X55_Y48_N10
\led_flash_cnt[206][5]~29772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[206][5]~29772_combout\ = (\led_flash_cnt[206][5]~q\ & (\led_flash_cnt[206][4]~29771\ $ (GND))) # (!\led_flash_cnt[206][5]~q\ & (!\led_flash_cnt[206][4]~29771\ & VCC))
-- \led_flash_cnt[206][5]~29773\ = CARRY((\led_flash_cnt[206][5]~q\ & !\led_flash_cnt[206][4]~29771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[206][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[206][4]~29771\,
	combout => \led_flash_cnt[206][5]~29772_combout\,
	cout => \led_flash_cnt[206][5]~29773\);

-- Location: FF_X55_Y48_N11
\led_flash_cnt[206][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[206][5]~29772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[206][5]~q\);

-- Location: LCCOMB_X55_Y48_N12
\led_flash_cnt[206][6]~29774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[206][6]~29774_combout\ = (\led_flash_cnt[206][6]~q\ & (!\led_flash_cnt[206][5]~29773\)) # (!\led_flash_cnt[206][6]~q\ & ((\led_flash_cnt[206][5]~29773\) # (GND)))
-- \led_flash_cnt[206][6]~29775\ = CARRY((!\led_flash_cnt[206][5]~29773\) # (!\led_flash_cnt[206][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[206][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[206][5]~29773\,
	combout => \led_flash_cnt[206][6]~29774_combout\,
	cout => \led_flash_cnt[206][6]~29775\);

-- Location: FF_X55_Y48_N13
\led_flash_cnt[206][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[206][6]~29774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[206][6]~q\);

-- Location: LCCOMB_X55_Y48_N14
\led_flash_cnt[206][7]~29776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[206][7]~29776_combout\ = \led_flash_cnt[206][7]~q\ $ (!\led_flash_cnt[206][6]~29775\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[206][7]~q\,
	cin => \led_flash_cnt[206][6]~29775\,
	combout => \led_flash_cnt[206][7]~29776_combout\);

-- Location: FF_X55_Y48_N15
\led_flash_cnt[206][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[206][7]~29776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[206][7]~q\);

-- Location: LCCOMB_X54_Y48_N0
\WideAnd206~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd206~1_combout\ = (\led_flash_cnt[206][6]~q\ & \led_flash_cnt[206][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[206][6]~q\,
	datac => \led_flash_cnt[206][5]~q\,
	combout => \WideAnd206~1_combout\);

-- Location: LCCOMB_X54_Y48_N30
WideAnd206 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd206~combout\ = (\WideAnd206~0_combout\ & (\led_flash_cnt[206][0]~q\ & (\led_flash_cnt[206][7]~q\ & \WideAnd206~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd206~0_combout\,
	datab => \led_flash_cnt[206][0]~q\,
	datac => \led_flash_cnt[206][7]~q\,
	datad => \WideAnd206~1_combout\,
	combout => \WideAnd206~combout\);

-- Location: FF_X54_Y48_N31
\led_flash_cnt_ands[206]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd206~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(206));

-- Location: LCCOMB_X64_Y34_N18
\led_flash_cnt[205][0]~80845\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[205][0]~80845_combout\ = !\led_flash_cnt[205][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[205][0]~q\,
	combout => \led_flash_cnt[205][0]~80845_combout\);

-- Location: FF_X64_Y34_N19
\led_flash_cnt[205][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[205][0]~80845_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[205][0]~q\);

-- Location: LCCOMB_X64_Y34_N2
\led_flash_cnt[205][1]~29750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[205][1]~29750_combout\ = (\led_flash_cnt[205][1]~q\ & (\led_flash_cnt[205][0]~q\ $ (VCC))) # (!\led_flash_cnt[205][1]~q\ & (\led_flash_cnt[205][0]~q\ & VCC))
-- \led_flash_cnt[205][1]~29751\ = CARRY((\led_flash_cnt[205][1]~q\ & \led_flash_cnt[205][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[205][1]~q\,
	datab => \led_flash_cnt[205][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[205][1]~29750_combout\,
	cout => \led_flash_cnt[205][1]~29751\);

-- Location: FF_X64_Y34_N3
\led_flash_cnt[205][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[205][1]~29750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[205][1]~q\);

-- Location: LCCOMB_X64_Y34_N4
\led_flash_cnt[205][2]~29752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[205][2]~29752_combout\ = (\led_flash_cnt[205][2]~q\ & (!\led_flash_cnt[205][1]~29751\)) # (!\led_flash_cnt[205][2]~q\ & ((\led_flash_cnt[205][1]~29751\) # (GND)))
-- \led_flash_cnt[205][2]~29753\ = CARRY((!\led_flash_cnt[205][1]~29751\) # (!\led_flash_cnt[205][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[205][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[205][1]~29751\,
	combout => \led_flash_cnt[205][2]~29752_combout\,
	cout => \led_flash_cnt[205][2]~29753\);

-- Location: FF_X64_Y34_N5
\led_flash_cnt[205][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[205][2]~29752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[205][2]~q\);

-- Location: LCCOMB_X64_Y34_N6
\led_flash_cnt[205][3]~29754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[205][3]~29754_combout\ = (\led_flash_cnt[205][3]~q\ & (\led_flash_cnt[205][2]~29753\ $ (GND))) # (!\led_flash_cnt[205][3]~q\ & (!\led_flash_cnt[205][2]~29753\ & VCC))
-- \led_flash_cnt[205][3]~29755\ = CARRY((\led_flash_cnt[205][3]~q\ & !\led_flash_cnt[205][2]~29753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[205][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[205][2]~29753\,
	combout => \led_flash_cnt[205][3]~29754_combout\,
	cout => \led_flash_cnt[205][3]~29755\);

-- Location: FF_X64_Y34_N7
\led_flash_cnt[205][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[205][3]~29754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[205][3]~q\);

-- Location: LCCOMB_X64_Y34_N8
\led_flash_cnt[205][4]~29756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[205][4]~29756_combout\ = (\led_flash_cnt[205][4]~q\ & (!\led_flash_cnt[205][3]~29755\)) # (!\led_flash_cnt[205][4]~q\ & ((\led_flash_cnt[205][3]~29755\) # (GND)))
-- \led_flash_cnt[205][4]~29757\ = CARRY((!\led_flash_cnt[205][3]~29755\) # (!\led_flash_cnt[205][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[205][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[205][3]~29755\,
	combout => \led_flash_cnt[205][4]~29756_combout\,
	cout => \led_flash_cnt[205][4]~29757\);

-- Location: FF_X64_Y34_N9
\led_flash_cnt[205][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[205][4]~29756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[205][4]~q\);

-- Location: LCCOMB_X64_Y34_N10
\led_flash_cnt[205][5]~29758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[205][5]~29758_combout\ = (\led_flash_cnt[205][5]~q\ & (\led_flash_cnt[205][4]~29757\ $ (GND))) # (!\led_flash_cnt[205][5]~q\ & (!\led_flash_cnt[205][4]~29757\ & VCC))
-- \led_flash_cnt[205][5]~29759\ = CARRY((\led_flash_cnt[205][5]~q\ & !\led_flash_cnt[205][4]~29757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[205][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[205][4]~29757\,
	combout => \led_flash_cnt[205][5]~29758_combout\,
	cout => \led_flash_cnt[205][5]~29759\);

-- Location: FF_X64_Y34_N11
\led_flash_cnt[205][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[205][5]~29758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[205][5]~q\);

-- Location: LCCOMB_X64_Y34_N12
\led_flash_cnt[205][6]~29760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[205][6]~29760_combout\ = (\led_flash_cnt[205][6]~q\ & (!\led_flash_cnt[205][5]~29759\)) # (!\led_flash_cnt[205][6]~q\ & ((\led_flash_cnt[205][5]~29759\) # (GND)))
-- \led_flash_cnt[205][6]~29761\ = CARRY((!\led_flash_cnt[205][5]~29759\) # (!\led_flash_cnt[205][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[205][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[205][5]~29759\,
	combout => \led_flash_cnt[205][6]~29760_combout\,
	cout => \led_flash_cnt[205][6]~29761\);

-- Location: FF_X64_Y34_N13
\led_flash_cnt[205][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[205][6]~29760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[205][6]~q\);

-- Location: LCCOMB_X64_Y34_N26
\WideAnd205~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd205~1_combout\ = (\led_flash_cnt[205][5]~q\ & \led_flash_cnt[205][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[205][5]~q\,
	datad => \led_flash_cnt[205][6]~q\,
	combout => \WideAnd205~1_combout\);

-- Location: LCCOMB_X64_Y34_N24
\WideAnd205~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd205~0_combout\ = (\led_flash_cnt[205][1]~q\ & (\led_flash_cnt[205][4]~q\ & (\led_flash_cnt[205][2]~q\ & \led_flash_cnt[205][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[205][1]~q\,
	datab => \led_flash_cnt[205][4]~q\,
	datac => \led_flash_cnt[205][2]~q\,
	datad => \led_flash_cnt[205][3]~q\,
	combout => \WideAnd205~0_combout\);

-- Location: LCCOMB_X64_Y34_N14
\led_flash_cnt[205][7]~29762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[205][7]~29762_combout\ = \led_flash_cnt[205][7]~q\ $ (!\led_flash_cnt[205][6]~29761\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[205][7]~q\,
	cin => \led_flash_cnt[205][6]~29761\,
	combout => \led_flash_cnt[205][7]~29762_combout\);

-- Location: FF_X64_Y34_N15
\led_flash_cnt[205][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[205][7]~29762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[205][7]~q\);

-- Location: LCCOMB_X64_Y34_N30
WideAnd205 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd205~combout\ = (\WideAnd205~1_combout\ & (\WideAnd205~0_combout\ & (\led_flash_cnt[205][7]~q\ & \led_flash_cnt[205][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd205~1_combout\,
	datab => \WideAnd205~0_combout\,
	datac => \led_flash_cnt[205][7]~q\,
	datad => \led_flash_cnt[205][0]~q\,
	combout => \WideAnd205~combout\);

-- Location: FF_X64_Y34_N31
\led_flash_cnt_ands[205]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd205~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(205));

-- Location: LCCOMB_X64_Y34_N28
\led_flash_cnt[204][0]~80844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[204][0]~80844_combout\ = !\led_flash_cnt[204][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[204][0]~q\,
	combout => \led_flash_cnt[204][0]~80844_combout\);

-- Location: FF_X64_Y34_N29
\led_flash_cnt[204][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[204][0]~80844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[204][0]~q\);

-- Location: LCCOMB_X63_Y34_N18
\led_flash_cnt[204][1]~29736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[204][1]~29736_combout\ = (\led_flash_cnt[204][1]~q\ & (\led_flash_cnt[204][0]~q\ $ (VCC))) # (!\led_flash_cnt[204][1]~q\ & (\led_flash_cnt[204][0]~q\ & VCC))
-- \led_flash_cnt[204][1]~29737\ = CARRY((\led_flash_cnt[204][1]~q\ & \led_flash_cnt[204][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[204][1]~q\,
	datab => \led_flash_cnt[204][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[204][1]~29736_combout\,
	cout => \led_flash_cnt[204][1]~29737\);

-- Location: FF_X63_Y34_N19
\led_flash_cnt[204][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[204][1]~29736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[204][1]~q\);

-- Location: LCCOMB_X63_Y34_N20
\led_flash_cnt[204][2]~29738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[204][2]~29738_combout\ = (\led_flash_cnt[204][2]~q\ & (!\led_flash_cnt[204][1]~29737\)) # (!\led_flash_cnt[204][2]~q\ & ((\led_flash_cnt[204][1]~29737\) # (GND)))
-- \led_flash_cnt[204][2]~29739\ = CARRY((!\led_flash_cnt[204][1]~29737\) # (!\led_flash_cnt[204][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[204][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[204][1]~29737\,
	combout => \led_flash_cnt[204][2]~29738_combout\,
	cout => \led_flash_cnt[204][2]~29739\);

-- Location: FF_X63_Y34_N21
\led_flash_cnt[204][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[204][2]~29738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[204][2]~q\);

-- Location: LCCOMB_X63_Y34_N22
\led_flash_cnt[204][3]~29740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[204][3]~29740_combout\ = (\led_flash_cnt[204][3]~q\ & (\led_flash_cnt[204][2]~29739\ $ (GND))) # (!\led_flash_cnt[204][3]~q\ & (!\led_flash_cnt[204][2]~29739\ & VCC))
-- \led_flash_cnt[204][3]~29741\ = CARRY((\led_flash_cnt[204][3]~q\ & !\led_flash_cnt[204][2]~29739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[204][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[204][2]~29739\,
	combout => \led_flash_cnt[204][3]~29740_combout\,
	cout => \led_flash_cnt[204][3]~29741\);

-- Location: FF_X63_Y34_N23
\led_flash_cnt[204][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[204][3]~29740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[204][3]~q\);

-- Location: LCCOMB_X63_Y34_N24
\led_flash_cnt[204][4]~29742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[204][4]~29742_combout\ = (\led_flash_cnt[204][4]~q\ & (!\led_flash_cnt[204][3]~29741\)) # (!\led_flash_cnt[204][4]~q\ & ((\led_flash_cnt[204][3]~29741\) # (GND)))
-- \led_flash_cnt[204][4]~29743\ = CARRY((!\led_flash_cnt[204][3]~29741\) # (!\led_flash_cnt[204][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[204][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[204][3]~29741\,
	combout => \led_flash_cnt[204][4]~29742_combout\,
	cout => \led_flash_cnt[204][4]~29743\);

-- Location: FF_X63_Y34_N25
\led_flash_cnt[204][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[204][4]~29742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[204][4]~q\);

-- Location: LCCOMB_X63_Y34_N26
\led_flash_cnt[204][5]~29744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[204][5]~29744_combout\ = (\led_flash_cnt[204][5]~q\ & (\led_flash_cnt[204][4]~29743\ $ (GND))) # (!\led_flash_cnt[204][5]~q\ & (!\led_flash_cnt[204][4]~29743\ & VCC))
-- \led_flash_cnt[204][5]~29745\ = CARRY((\led_flash_cnt[204][5]~q\ & !\led_flash_cnt[204][4]~29743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[204][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[204][4]~29743\,
	combout => \led_flash_cnt[204][5]~29744_combout\,
	cout => \led_flash_cnt[204][5]~29745\);

-- Location: FF_X63_Y34_N27
\led_flash_cnt[204][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[204][5]~29744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[204][5]~q\);

-- Location: LCCOMB_X63_Y34_N28
\led_flash_cnt[204][6]~29746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[204][6]~29746_combout\ = (\led_flash_cnt[204][6]~q\ & (!\led_flash_cnt[204][5]~29745\)) # (!\led_flash_cnt[204][6]~q\ & ((\led_flash_cnt[204][5]~29745\) # (GND)))
-- \led_flash_cnt[204][6]~29747\ = CARRY((!\led_flash_cnt[204][5]~29745\) # (!\led_flash_cnt[204][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[204][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[204][5]~29745\,
	combout => \led_flash_cnt[204][6]~29746_combout\,
	cout => \led_flash_cnt[204][6]~29747\);

-- Location: FF_X63_Y34_N29
\led_flash_cnt[204][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[204][6]~29746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[204][6]~q\);

-- Location: LCCOMB_X63_Y34_N30
\led_flash_cnt[204][7]~29748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[204][7]~29748_combout\ = \led_flash_cnt[204][7]~q\ $ (!\led_flash_cnt[204][6]~29747\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[204][7]~q\,
	cin => \led_flash_cnt[204][6]~29747\,
	combout => \led_flash_cnt[204][7]~29748_combout\);

-- Location: FF_X63_Y34_N31
\led_flash_cnt[204][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[204][7]~29748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[204][7]~q\);

-- Location: LCCOMB_X64_Y34_N22
\WideAnd204~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd204~1_combout\ = (\led_flash_cnt[204][5]~q\ & \led_flash_cnt[204][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[204][5]~q\,
	datad => \led_flash_cnt[204][6]~q\,
	combout => \WideAnd204~1_combout\);

-- Location: LCCOMB_X64_Y34_N20
\WideAnd204~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd204~0_combout\ = (\led_flash_cnt[204][3]~q\ & (\led_flash_cnt[204][4]~q\ & (\led_flash_cnt[204][1]~q\ & \led_flash_cnt[204][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[204][3]~q\,
	datab => \led_flash_cnt[204][4]~q\,
	datac => \led_flash_cnt[204][1]~q\,
	datad => \led_flash_cnt[204][2]~q\,
	combout => \WideAnd204~0_combout\);

-- Location: LCCOMB_X64_Y34_N16
WideAnd204 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd204~combout\ = (\led_flash_cnt[204][0]~q\ & (\led_flash_cnt[204][7]~q\ & (\WideAnd204~1_combout\ & \WideAnd204~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[204][0]~q\,
	datab => \led_flash_cnt[204][7]~q\,
	datac => \WideAnd204~1_combout\,
	datad => \WideAnd204~0_combout\,
	combout => \WideAnd204~combout\);

-- Location: FF_X64_Y34_N17
\led_flash_cnt_ands[204]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd204~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(204));

-- Location: LCCOMB_X64_Y34_N0
\WideAnd3865~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3865~1_combout\ = (led_flash_cnt_ands(205) & led_flash_cnt_ands(204))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(205),
	datad => led_flash_cnt_ands(204),
	combout => \WideAnd3865~1_combout\);

-- Location: LCCOMB_X64_Y15_N12
\led_flash_cnt[200][0]~80840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[200][0]~80840_combout\ = !\led_flash_cnt[200][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[200][0]~q\,
	combout => \led_flash_cnt[200][0]~80840_combout\);

-- Location: FF_X64_Y15_N13
\led_flash_cnt[200][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[200][0]~80840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[200][0]~q\);

-- Location: LCCOMB_X64_Y15_N14
\led_flash_cnt[200][1]~29680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[200][1]~29680_combout\ = (\led_flash_cnt[200][0]~q\ & (\led_flash_cnt[200][1]~q\ $ (VCC))) # (!\led_flash_cnt[200][0]~q\ & (\led_flash_cnt[200][1]~q\ & VCC))
-- \led_flash_cnt[200][1]~29681\ = CARRY((\led_flash_cnt[200][0]~q\ & \led_flash_cnt[200][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[200][0]~q\,
	datab => \led_flash_cnt[200][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[200][1]~29680_combout\,
	cout => \led_flash_cnt[200][1]~29681\);

-- Location: FF_X64_Y15_N15
\led_flash_cnt[200][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[200][1]~29680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[200][1]~q\);

-- Location: LCCOMB_X64_Y15_N16
\led_flash_cnt[200][2]~29682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[200][2]~29682_combout\ = (\led_flash_cnt[200][2]~q\ & (!\led_flash_cnt[200][1]~29681\)) # (!\led_flash_cnt[200][2]~q\ & ((\led_flash_cnt[200][1]~29681\) # (GND)))
-- \led_flash_cnt[200][2]~29683\ = CARRY((!\led_flash_cnt[200][1]~29681\) # (!\led_flash_cnt[200][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[200][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[200][1]~29681\,
	combout => \led_flash_cnt[200][2]~29682_combout\,
	cout => \led_flash_cnt[200][2]~29683\);

-- Location: FF_X64_Y15_N17
\led_flash_cnt[200][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[200][2]~29682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[200][2]~q\);

-- Location: LCCOMB_X64_Y15_N18
\led_flash_cnt[200][3]~29684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[200][3]~29684_combout\ = (\led_flash_cnt[200][3]~q\ & (\led_flash_cnt[200][2]~29683\ $ (GND))) # (!\led_flash_cnt[200][3]~q\ & (!\led_flash_cnt[200][2]~29683\ & VCC))
-- \led_flash_cnt[200][3]~29685\ = CARRY((\led_flash_cnt[200][3]~q\ & !\led_flash_cnt[200][2]~29683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[200][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[200][2]~29683\,
	combout => \led_flash_cnt[200][3]~29684_combout\,
	cout => \led_flash_cnt[200][3]~29685\);

-- Location: FF_X64_Y15_N19
\led_flash_cnt[200][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[200][3]~29684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[200][3]~q\);

-- Location: LCCOMB_X64_Y15_N20
\led_flash_cnt[200][4]~29686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[200][4]~29686_combout\ = (\led_flash_cnt[200][4]~q\ & (!\led_flash_cnt[200][3]~29685\)) # (!\led_flash_cnt[200][4]~q\ & ((\led_flash_cnt[200][3]~29685\) # (GND)))
-- \led_flash_cnt[200][4]~29687\ = CARRY((!\led_flash_cnt[200][3]~29685\) # (!\led_flash_cnt[200][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[200][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[200][3]~29685\,
	combout => \led_flash_cnt[200][4]~29686_combout\,
	cout => \led_flash_cnt[200][4]~29687\);

-- Location: FF_X64_Y15_N21
\led_flash_cnt[200][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[200][4]~29686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[200][4]~q\);

-- Location: LCCOMB_X64_Y15_N22
\led_flash_cnt[200][5]~29688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[200][5]~29688_combout\ = (\led_flash_cnt[200][5]~q\ & (\led_flash_cnt[200][4]~29687\ $ (GND))) # (!\led_flash_cnt[200][5]~q\ & (!\led_flash_cnt[200][4]~29687\ & VCC))
-- \led_flash_cnt[200][5]~29689\ = CARRY((\led_flash_cnt[200][5]~q\ & !\led_flash_cnt[200][4]~29687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[200][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[200][4]~29687\,
	combout => \led_flash_cnt[200][5]~29688_combout\,
	cout => \led_flash_cnt[200][5]~29689\);

-- Location: FF_X64_Y15_N23
\led_flash_cnt[200][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[200][5]~29688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[200][5]~q\);

-- Location: LCCOMB_X64_Y15_N24
\led_flash_cnt[200][6]~29690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[200][6]~29690_combout\ = (\led_flash_cnt[200][6]~q\ & (!\led_flash_cnt[200][5]~29689\)) # (!\led_flash_cnt[200][6]~q\ & ((\led_flash_cnt[200][5]~29689\) # (GND)))
-- \led_flash_cnt[200][6]~29691\ = CARRY((!\led_flash_cnt[200][5]~29689\) # (!\led_flash_cnt[200][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[200][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[200][5]~29689\,
	combout => \led_flash_cnt[200][6]~29690_combout\,
	cout => \led_flash_cnt[200][6]~29691\);

-- Location: FF_X64_Y15_N25
\led_flash_cnt[200][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[200][6]~29690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[200][6]~q\);

-- Location: LCCOMB_X64_Y15_N10
\WideAnd200~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd200~1_combout\ = (\led_flash_cnt[200][5]~q\ & \led_flash_cnt[200][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[200][5]~q\,
	datad => \led_flash_cnt[200][6]~q\,
	combout => \WideAnd200~1_combout\);

-- Location: LCCOMB_X64_Y15_N4
\WideAnd200~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd200~0_combout\ = (\led_flash_cnt[200][2]~q\ & (\led_flash_cnt[200][4]~q\ & (\led_flash_cnt[200][1]~q\ & \led_flash_cnt[200][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[200][2]~q\,
	datab => \led_flash_cnt[200][4]~q\,
	datac => \led_flash_cnt[200][1]~q\,
	datad => \led_flash_cnt[200][3]~q\,
	combout => \WideAnd200~0_combout\);

-- Location: LCCOMB_X64_Y15_N26
\led_flash_cnt[200][7]~29692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[200][7]~29692_combout\ = \led_flash_cnt[200][7]~q\ $ (!\led_flash_cnt[200][6]~29691\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[200][7]~q\,
	cin => \led_flash_cnt[200][6]~29691\,
	combout => \led_flash_cnt[200][7]~29692_combout\);

-- Location: FF_X64_Y15_N27
\led_flash_cnt[200][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[200][7]~29692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[200][7]~q\);

-- Location: LCCOMB_X64_Y15_N28
WideAnd200 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd200~combout\ = (\WideAnd200~1_combout\ & (\WideAnd200~0_combout\ & (\led_flash_cnt[200][7]~q\ & \led_flash_cnt[200][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd200~1_combout\,
	datab => \WideAnd200~0_combout\,
	datac => \led_flash_cnt[200][7]~q\,
	datad => \led_flash_cnt[200][0]~q\,
	combout => \WideAnd200~combout\);

-- Location: FF_X64_Y15_N29
\led_flash_cnt_ands[200]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd200~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(200));

-- Location: LCCOMB_X69_Y19_N12
\led_flash_cnt[203][0]~80843\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[203][0]~80843_combout\ = !\led_flash_cnt[203][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[203][0]~q\,
	combout => \led_flash_cnt[203][0]~80843_combout\);

-- Location: FF_X69_Y19_N13
\led_flash_cnt[203][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[203][0]~80843_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[203][0]~q\);

-- Location: LCCOMB_X69_Y19_N16
\led_flash_cnt[203][1]~29722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[203][1]~29722_combout\ = (\led_flash_cnt[203][0]~q\ & (\led_flash_cnt[203][1]~q\ $ (VCC))) # (!\led_flash_cnt[203][0]~q\ & (\led_flash_cnt[203][1]~q\ & VCC))
-- \led_flash_cnt[203][1]~29723\ = CARRY((\led_flash_cnt[203][0]~q\ & \led_flash_cnt[203][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[203][0]~q\,
	datab => \led_flash_cnt[203][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[203][1]~29722_combout\,
	cout => \led_flash_cnt[203][1]~29723\);

-- Location: FF_X69_Y19_N17
\led_flash_cnt[203][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[203][1]~29722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[203][1]~q\);

-- Location: LCCOMB_X69_Y19_N18
\led_flash_cnt[203][2]~29724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[203][2]~29724_combout\ = (\led_flash_cnt[203][2]~q\ & (!\led_flash_cnt[203][1]~29723\)) # (!\led_flash_cnt[203][2]~q\ & ((\led_flash_cnt[203][1]~29723\) # (GND)))
-- \led_flash_cnt[203][2]~29725\ = CARRY((!\led_flash_cnt[203][1]~29723\) # (!\led_flash_cnt[203][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[203][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[203][1]~29723\,
	combout => \led_flash_cnt[203][2]~29724_combout\,
	cout => \led_flash_cnt[203][2]~29725\);

-- Location: FF_X69_Y19_N19
\led_flash_cnt[203][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[203][2]~29724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[203][2]~q\);

-- Location: LCCOMB_X69_Y19_N20
\led_flash_cnt[203][3]~29726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[203][3]~29726_combout\ = (\led_flash_cnt[203][3]~q\ & (\led_flash_cnt[203][2]~29725\ $ (GND))) # (!\led_flash_cnt[203][3]~q\ & (!\led_flash_cnt[203][2]~29725\ & VCC))
-- \led_flash_cnt[203][3]~29727\ = CARRY((\led_flash_cnt[203][3]~q\ & !\led_flash_cnt[203][2]~29725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[203][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[203][2]~29725\,
	combout => \led_flash_cnt[203][3]~29726_combout\,
	cout => \led_flash_cnt[203][3]~29727\);

-- Location: FF_X69_Y19_N21
\led_flash_cnt[203][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[203][3]~29726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[203][3]~q\);

-- Location: LCCOMB_X69_Y19_N22
\led_flash_cnt[203][4]~29728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[203][4]~29728_combout\ = (\led_flash_cnt[203][4]~q\ & (!\led_flash_cnt[203][3]~29727\)) # (!\led_flash_cnt[203][4]~q\ & ((\led_flash_cnt[203][3]~29727\) # (GND)))
-- \led_flash_cnt[203][4]~29729\ = CARRY((!\led_flash_cnt[203][3]~29727\) # (!\led_flash_cnt[203][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[203][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[203][3]~29727\,
	combout => \led_flash_cnt[203][4]~29728_combout\,
	cout => \led_flash_cnt[203][4]~29729\);

-- Location: FF_X69_Y19_N23
\led_flash_cnt[203][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[203][4]~29728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[203][4]~q\);

-- Location: LCCOMB_X69_Y19_N24
\led_flash_cnt[203][5]~29730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[203][5]~29730_combout\ = (\led_flash_cnt[203][5]~q\ & (\led_flash_cnt[203][4]~29729\ $ (GND))) # (!\led_flash_cnt[203][5]~q\ & (!\led_flash_cnt[203][4]~29729\ & VCC))
-- \led_flash_cnt[203][5]~29731\ = CARRY((\led_flash_cnt[203][5]~q\ & !\led_flash_cnt[203][4]~29729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[203][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[203][4]~29729\,
	combout => \led_flash_cnt[203][5]~29730_combout\,
	cout => \led_flash_cnt[203][5]~29731\);

-- Location: FF_X69_Y19_N25
\led_flash_cnt[203][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[203][5]~29730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[203][5]~q\);

-- Location: LCCOMB_X69_Y19_N26
\led_flash_cnt[203][6]~29732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[203][6]~29732_combout\ = (\led_flash_cnt[203][6]~q\ & (!\led_flash_cnt[203][5]~29731\)) # (!\led_flash_cnt[203][6]~q\ & ((\led_flash_cnt[203][5]~29731\) # (GND)))
-- \led_flash_cnt[203][6]~29733\ = CARRY((!\led_flash_cnt[203][5]~29731\) # (!\led_flash_cnt[203][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[203][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[203][5]~29731\,
	combout => \led_flash_cnt[203][6]~29732_combout\,
	cout => \led_flash_cnt[203][6]~29733\);

-- Location: FF_X69_Y19_N27
\led_flash_cnt[203][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[203][6]~29732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[203][6]~q\);

-- Location: LCCOMB_X69_Y19_N28
\led_flash_cnt[203][7]~29734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[203][7]~29734_combout\ = \led_flash_cnt[203][6]~29733\ $ (!\led_flash_cnt[203][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[203][7]~q\,
	cin => \led_flash_cnt[203][6]~29733\,
	combout => \led_flash_cnt[203][7]~29734_combout\);

-- Location: FF_X69_Y19_N29
\led_flash_cnt[203][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[203][7]~29734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[203][7]~q\);

-- Location: LCCOMB_X69_Y19_N4
\WideAnd203~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd203~1_combout\ = (\led_flash_cnt[203][6]~q\ & \led_flash_cnt[203][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[203][6]~q\,
	datad => \led_flash_cnt[203][5]~q\,
	combout => \WideAnd203~1_combout\);

-- Location: LCCOMB_X69_Y19_N0
\WideAnd203~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd203~0_combout\ = (\led_flash_cnt[203][3]~q\ & (\led_flash_cnt[203][2]~q\ & (\led_flash_cnt[203][4]~q\ & \led_flash_cnt[203][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[203][3]~q\,
	datab => \led_flash_cnt[203][2]~q\,
	datac => \led_flash_cnt[203][4]~q\,
	datad => \led_flash_cnt[203][1]~q\,
	combout => \WideAnd203~0_combout\);

-- Location: LCCOMB_X69_Y19_N10
WideAnd203 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd203~combout\ = (\led_flash_cnt[203][0]~q\ & (\led_flash_cnt[203][7]~q\ & (\WideAnd203~1_combout\ & \WideAnd203~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[203][0]~q\,
	datab => \led_flash_cnt[203][7]~q\,
	datac => \WideAnd203~1_combout\,
	datad => \WideAnd203~0_combout\,
	combout => \WideAnd203~combout\);

-- Location: FF_X69_Y19_N11
\led_flash_cnt_ands[203]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd203~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(203));

-- Location: LCCOMB_X60_Y16_N12
\led_flash_cnt[202][0]~80842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[202][0]~80842_combout\ = !\led_flash_cnt[202][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[202][0]~q\,
	combout => \led_flash_cnt[202][0]~80842_combout\);

-- Location: FF_X60_Y16_N13
\led_flash_cnt[202][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[202][0]~80842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[202][0]~q\);

-- Location: LCCOMB_X60_Y16_N16
\led_flash_cnt[202][1]~29708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[202][1]~29708_combout\ = (\led_flash_cnt[202][0]~q\ & (\led_flash_cnt[202][1]~q\ $ (VCC))) # (!\led_flash_cnt[202][0]~q\ & (\led_flash_cnt[202][1]~q\ & VCC))
-- \led_flash_cnt[202][1]~29709\ = CARRY((\led_flash_cnt[202][0]~q\ & \led_flash_cnt[202][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[202][0]~q\,
	datab => \led_flash_cnt[202][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[202][1]~29708_combout\,
	cout => \led_flash_cnt[202][1]~29709\);

-- Location: FF_X60_Y16_N17
\led_flash_cnt[202][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[202][1]~29708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[202][1]~q\);

-- Location: LCCOMB_X60_Y16_N18
\led_flash_cnt[202][2]~29710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[202][2]~29710_combout\ = (\led_flash_cnt[202][2]~q\ & (!\led_flash_cnt[202][1]~29709\)) # (!\led_flash_cnt[202][2]~q\ & ((\led_flash_cnt[202][1]~29709\) # (GND)))
-- \led_flash_cnt[202][2]~29711\ = CARRY((!\led_flash_cnt[202][1]~29709\) # (!\led_flash_cnt[202][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[202][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[202][1]~29709\,
	combout => \led_flash_cnt[202][2]~29710_combout\,
	cout => \led_flash_cnt[202][2]~29711\);

-- Location: FF_X60_Y16_N19
\led_flash_cnt[202][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[202][2]~29710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[202][2]~q\);

-- Location: LCCOMB_X60_Y16_N20
\led_flash_cnt[202][3]~29712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[202][3]~29712_combout\ = (\led_flash_cnt[202][3]~q\ & (\led_flash_cnt[202][2]~29711\ $ (GND))) # (!\led_flash_cnt[202][3]~q\ & (!\led_flash_cnt[202][2]~29711\ & VCC))
-- \led_flash_cnt[202][3]~29713\ = CARRY((\led_flash_cnt[202][3]~q\ & !\led_flash_cnt[202][2]~29711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[202][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[202][2]~29711\,
	combout => \led_flash_cnt[202][3]~29712_combout\,
	cout => \led_flash_cnt[202][3]~29713\);

-- Location: FF_X60_Y16_N21
\led_flash_cnt[202][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[202][3]~29712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[202][3]~q\);

-- Location: LCCOMB_X60_Y16_N22
\led_flash_cnt[202][4]~29714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[202][4]~29714_combout\ = (\led_flash_cnt[202][4]~q\ & (!\led_flash_cnt[202][3]~29713\)) # (!\led_flash_cnt[202][4]~q\ & ((\led_flash_cnt[202][3]~29713\) # (GND)))
-- \led_flash_cnt[202][4]~29715\ = CARRY((!\led_flash_cnt[202][3]~29713\) # (!\led_flash_cnt[202][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[202][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[202][3]~29713\,
	combout => \led_flash_cnt[202][4]~29714_combout\,
	cout => \led_flash_cnt[202][4]~29715\);

-- Location: FF_X60_Y16_N23
\led_flash_cnt[202][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[202][4]~29714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[202][4]~q\);

-- Location: LCCOMB_X60_Y16_N24
\led_flash_cnt[202][5]~29716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[202][5]~29716_combout\ = (\led_flash_cnt[202][5]~q\ & (\led_flash_cnt[202][4]~29715\ $ (GND))) # (!\led_flash_cnt[202][5]~q\ & (!\led_flash_cnt[202][4]~29715\ & VCC))
-- \led_flash_cnt[202][5]~29717\ = CARRY((\led_flash_cnt[202][5]~q\ & !\led_flash_cnt[202][4]~29715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[202][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[202][4]~29715\,
	combout => \led_flash_cnt[202][5]~29716_combout\,
	cout => \led_flash_cnt[202][5]~29717\);

-- Location: FF_X60_Y16_N25
\led_flash_cnt[202][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[202][5]~29716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[202][5]~q\);

-- Location: LCCOMB_X60_Y16_N26
\led_flash_cnt[202][6]~29718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[202][6]~29718_combout\ = (\led_flash_cnt[202][6]~q\ & (!\led_flash_cnt[202][5]~29717\)) # (!\led_flash_cnt[202][6]~q\ & ((\led_flash_cnt[202][5]~29717\) # (GND)))
-- \led_flash_cnt[202][6]~29719\ = CARRY((!\led_flash_cnt[202][5]~29717\) # (!\led_flash_cnt[202][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[202][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[202][5]~29717\,
	combout => \led_flash_cnt[202][6]~29718_combout\,
	cout => \led_flash_cnt[202][6]~29719\);

-- Location: FF_X60_Y16_N27
\led_flash_cnt[202][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[202][6]~29718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[202][6]~q\);

-- Location: LCCOMB_X60_Y16_N28
\led_flash_cnt[202][7]~29720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[202][7]~29720_combout\ = \led_flash_cnt[202][6]~29719\ $ (!\led_flash_cnt[202][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[202][7]~q\,
	cin => \led_flash_cnt[202][6]~29719\,
	combout => \led_flash_cnt[202][7]~29720_combout\);

-- Location: FF_X60_Y16_N29
\led_flash_cnt[202][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[202][7]~29720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[202][7]~q\);

-- Location: LCCOMB_X60_Y16_N14
\WideAnd202~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd202~0_combout\ = (\led_flash_cnt[202][2]~q\ & (\led_flash_cnt[202][3]~q\ & (\led_flash_cnt[202][4]~q\ & \led_flash_cnt[202][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[202][2]~q\,
	datab => \led_flash_cnt[202][3]~q\,
	datac => \led_flash_cnt[202][4]~q\,
	datad => \led_flash_cnt[202][1]~q\,
	combout => \WideAnd202~0_combout\);

-- Location: LCCOMB_X60_Y16_N0
\WideAnd202~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd202~1_combout\ = (\led_flash_cnt[202][6]~q\ & \led_flash_cnt[202][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[202][6]~q\,
	datad => \led_flash_cnt[202][5]~q\,
	combout => \WideAnd202~1_combout\);

-- Location: LCCOMB_X60_Y16_N10
WideAnd202 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd202~combout\ = (\led_flash_cnt[202][0]~q\ & (\led_flash_cnt[202][7]~q\ & (\WideAnd202~0_combout\ & \WideAnd202~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[202][0]~q\,
	datab => \led_flash_cnt[202][7]~q\,
	datac => \WideAnd202~0_combout\,
	datad => \WideAnd202~1_combout\,
	combout => \WideAnd202~combout\);

-- Location: FF_X60_Y16_N11
\led_flash_cnt_ands[202]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd202~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(202));

-- Location: LCCOMB_X61_Y19_N22
\led_flash_cnt[201][0]~80841\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[201][0]~80841_combout\ = !\led_flash_cnt[201][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[201][0]~q\,
	combout => \led_flash_cnt[201][0]~80841_combout\);

-- Location: FF_X61_Y19_N23
\led_flash_cnt[201][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[201][0]~80841_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[201][0]~q\);

-- Location: LCCOMB_X61_Y19_N8
\led_flash_cnt[201][1]~29694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[201][1]~29694_combout\ = (\led_flash_cnt[201][0]~q\ & (\led_flash_cnt[201][1]~q\ $ (VCC))) # (!\led_flash_cnt[201][0]~q\ & (\led_flash_cnt[201][1]~q\ & VCC))
-- \led_flash_cnt[201][1]~29695\ = CARRY((\led_flash_cnt[201][0]~q\ & \led_flash_cnt[201][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[201][0]~q\,
	datab => \led_flash_cnt[201][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[201][1]~29694_combout\,
	cout => \led_flash_cnt[201][1]~29695\);

-- Location: FF_X61_Y19_N9
\led_flash_cnt[201][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[201][1]~29694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[201][1]~q\);

-- Location: LCCOMB_X61_Y19_N10
\led_flash_cnt[201][2]~29696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[201][2]~29696_combout\ = (\led_flash_cnt[201][2]~q\ & (!\led_flash_cnt[201][1]~29695\)) # (!\led_flash_cnt[201][2]~q\ & ((\led_flash_cnt[201][1]~29695\) # (GND)))
-- \led_flash_cnt[201][2]~29697\ = CARRY((!\led_flash_cnt[201][1]~29695\) # (!\led_flash_cnt[201][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[201][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[201][1]~29695\,
	combout => \led_flash_cnt[201][2]~29696_combout\,
	cout => \led_flash_cnt[201][2]~29697\);

-- Location: FF_X61_Y19_N11
\led_flash_cnt[201][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[201][2]~29696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[201][2]~q\);

-- Location: LCCOMB_X61_Y19_N12
\led_flash_cnt[201][3]~29698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[201][3]~29698_combout\ = (\led_flash_cnt[201][3]~q\ & (\led_flash_cnt[201][2]~29697\ $ (GND))) # (!\led_flash_cnt[201][3]~q\ & (!\led_flash_cnt[201][2]~29697\ & VCC))
-- \led_flash_cnt[201][3]~29699\ = CARRY((\led_flash_cnt[201][3]~q\ & !\led_flash_cnt[201][2]~29697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[201][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[201][2]~29697\,
	combout => \led_flash_cnt[201][3]~29698_combout\,
	cout => \led_flash_cnt[201][3]~29699\);

-- Location: FF_X61_Y19_N13
\led_flash_cnt[201][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[201][3]~29698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[201][3]~q\);

-- Location: LCCOMB_X61_Y19_N14
\led_flash_cnt[201][4]~29700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[201][4]~29700_combout\ = (\led_flash_cnt[201][4]~q\ & (!\led_flash_cnt[201][3]~29699\)) # (!\led_flash_cnt[201][4]~q\ & ((\led_flash_cnt[201][3]~29699\) # (GND)))
-- \led_flash_cnt[201][4]~29701\ = CARRY((!\led_flash_cnt[201][3]~29699\) # (!\led_flash_cnt[201][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[201][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[201][3]~29699\,
	combout => \led_flash_cnt[201][4]~29700_combout\,
	cout => \led_flash_cnt[201][4]~29701\);

-- Location: FF_X61_Y19_N15
\led_flash_cnt[201][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[201][4]~29700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[201][4]~q\);

-- Location: LCCOMB_X61_Y19_N16
\led_flash_cnt[201][5]~29702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[201][5]~29702_combout\ = (\led_flash_cnt[201][5]~q\ & (\led_flash_cnt[201][4]~29701\ $ (GND))) # (!\led_flash_cnt[201][5]~q\ & (!\led_flash_cnt[201][4]~29701\ & VCC))
-- \led_flash_cnt[201][5]~29703\ = CARRY((\led_flash_cnt[201][5]~q\ & !\led_flash_cnt[201][4]~29701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[201][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[201][4]~29701\,
	combout => \led_flash_cnt[201][5]~29702_combout\,
	cout => \led_flash_cnt[201][5]~29703\);

-- Location: FF_X61_Y19_N17
\led_flash_cnt[201][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[201][5]~29702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[201][5]~q\);

-- Location: LCCOMB_X61_Y19_N18
\led_flash_cnt[201][6]~29704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[201][6]~29704_combout\ = (\led_flash_cnt[201][6]~q\ & (!\led_flash_cnt[201][5]~29703\)) # (!\led_flash_cnt[201][6]~q\ & ((\led_flash_cnt[201][5]~29703\) # (GND)))
-- \led_flash_cnt[201][6]~29705\ = CARRY((!\led_flash_cnt[201][5]~29703\) # (!\led_flash_cnt[201][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[201][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[201][5]~29703\,
	combout => \led_flash_cnt[201][6]~29704_combout\,
	cout => \led_flash_cnt[201][6]~29705\);

-- Location: FF_X61_Y19_N19
\led_flash_cnt[201][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[201][6]~29704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[201][6]~q\);

-- Location: LCCOMB_X61_Y19_N20
\led_flash_cnt[201][7]~29706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[201][7]~29706_combout\ = \led_flash_cnt[201][6]~29705\ $ (!\led_flash_cnt[201][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[201][7]~q\,
	cin => \led_flash_cnt[201][6]~29705\,
	combout => \led_flash_cnt[201][7]~29706_combout\);

-- Location: FF_X61_Y19_N21
\led_flash_cnt[201][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[201][7]~29706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[201][7]~q\);

-- Location: LCCOMB_X61_Y19_N26
\WideAnd201~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd201~1_combout\ = (\led_flash_cnt[201][6]~q\ & \led_flash_cnt[201][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[201][6]~q\,
	datad => \led_flash_cnt[201][5]~q\,
	combout => \WideAnd201~1_combout\);

-- Location: LCCOMB_X61_Y19_N28
\WideAnd201~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd201~0_combout\ = (\led_flash_cnt[201][3]~q\ & (\led_flash_cnt[201][1]~q\ & (\led_flash_cnt[201][4]~q\ & \led_flash_cnt[201][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[201][3]~q\,
	datab => \led_flash_cnt[201][1]~q\,
	datac => \led_flash_cnt[201][4]~q\,
	datad => \led_flash_cnt[201][2]~q\,
	combout => \WideAnd201~0_combout\);

-- Location: LCCOMB_X61_Y19_N6
WideAnd201 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd201~combout\ = (\led_flash_cnt[201][0]~q\ & (\led_flash_cnt[201][7]~q\ & (\WideAnd201~1_combout\ & \WideAnd201~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[201][0]~q\,
	datab => \led_flash_cnt[201][7]~q\,
	datac => \WideAnd201~1_combout\,
	datad => \WideAnd201~0_combout\,
	combout => \WideAnd201~combout\);

-- Location: FF_X61_Y19_N7
\led_flash_cnt_ands[201]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd201~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(201));

-- Location: LCCOMB_X61_Y19_N24
\WideAnd3865~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3865~0_combout\ = (led_flash_cnt_ands(200) & (led_flash_cnt_ands(203) & (led_flash_cnt_ands(202) & led_flash_cnt_ands(201))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(200),
	datab => led_flash_cnt_ands(203),
	datac => led_flash_cnt_ands(202),
	datad => led_flash_cnt_ands(201),
	combout => \WideAnd3865~0_combout\);

-- Location: LCCOMB_X62_Y19_N18
WideAnd3865 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3865~combout\ = (led_flash_cnt_ands(207) & (led_flash_cnt_ands(206) & (\WideAnd3865~1_combout\ & \WideAnd3865~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(207),
	datab => led_flash_cnt_ands(206),
	datac => \WideAnd3865~1_combout\,
	datad => \WideAnd3865~0_combout\,
	combout => \WideAnd3865~combout\);

-- Location: FF_X62_Y19_N19
\led_flash_cnt_ands_1[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3865~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(25));

-- Location: LCCOMB_X63_Y19_N28
\WideAnd4323~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4323~0_combout\ = (led_flash_cnt_ands_1(24) & (led_flash_cnt_ands_1(27) & (led_flash_cnt_ands_1(26) & led_flash_cnt_ands_1(25))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(24),
	datab => led_flash_cnt_ands_1(27),
	datac => led_flash_cnt_ands_1(26),
	datad => led_flash_cnt_ands_1(25),
	combout => \WideAnd4323~0_combout\);

-- Location: LCCOMB_X63_Y19_N2
WideAnd4323 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4323~combout\ = (led_flash_cnt_ands_1(31) & (\WideAnd4323~1_combout\ & (led_flash_cnt_ands_1(30) & \WideAnd4323~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(31),
	datab => \WideAnd4323~1_combout\,
	datac => led_flash_cnt_ands_1(30),
	datad => \WideAnd4323~0_combout\,
	combout => \WideAnd4323~combout\);

-- Location: FF_X63_Y19_N3
\led_flash_cnt_ands_2[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4323~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(3));

-- Location: LCCOMB_X3_Y31_N10
\led_flash_cnt[6][0]~80646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[6][0]~80646_combout\ = !\led_flash_cnt[6][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[6][0]~q\,
	combout => \led_flash_cnt[6][0]~80646_combout\);

-- Location: FF_X3_Y31_N11
\led_flash_cnt[6][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[6][0]~80646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[6][0]~q\);

-- Location: LCCOMB_X4_Y31_N0
\led_flash_cnt[6][1]~26964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[6][1]~26964_combout\ = (\led_flash_cnt[6][0]~q\ & (\led_flash_cnt[6][1]~q\ $ (VCC))) # (!\led_flash_cnt[6][0]~q\ & (\led_flash_cnt[6][1]~q\ & VCC))
-- \led_flash_cnt[6][1]~26965\ = CARRY((\led_flash_cnt[6][0]~q\ & \led_flash_cnt[6][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[6][0]~q\,
	datab => \led_flash_cnt[6][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[6][1]~26964_combout\,
	cout => \led_flash_cnt[6][1]~26965\);

-- Location: FF_X4_Y31_N1
\led_flash_cnt[6][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[6][1]~26964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[6][1]~q\);

-- Location: LCCOMB_X4_Y31_N2
\led_flash_cnt[6][2]~26966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[6][2]~26966_combout\ = (\led_flash_cnt[6][2]~q\ & (!\led_flash_cnt[6][1]~26965\)) # (!\led_flash_cnt[6][2]~q\ & ((\led_flash_cnt[6][1]~26965\) # (GND)))
-- \led_flash_cnt[6][2]~26967\ = CARRY((!\led_flash_cnt[6][1]~26965\) # (!\led_flash_cnt[6][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[6][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[6][1]~26965\,
	combout => \led_flash_cnt[6][2]~26966_combout\,
	cout => \led_flash_cnt[6][2]~26967\);

-- Location: FF_X4_Y31_N3
\led_flash_cnt[6][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[6][2]~26966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[6][2]~q\);

-- Location: LCCOMB_X4_Y31_N4
\led_flash_cnt[6][3]~26968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[6][3]~26968_combout\ = (\led_flash_cnt[6][3]~q\ & (\led_flash_cnt[6][2]~26967\ $ (GND))) # (!\led_flash_cnt[6][3]~q\ & (!\led_flash_cnt[6][2]~26967\ & VCC))
-- \led_flash_cnt[6][3]~26969\ = CARRY((\led_flash_cnt[6][3]~q\ & !\led_flash_cnt[6][2]~26967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[6][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[6][2]~26967\,
	combout => \led_flash_cnt[6][3]~26968_combout\,
	cout => \led_flash_cnt[6][3]~26969\);

-- Location: FF_X4_Y31_N5
\led_flash_cnt[6][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[6][3]~26968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[6][3]~q\);

-- Location: LCCOMB_X4_Y31_N6
\led_flash_cnt[6][4]~26970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[6][4]~26970_combout\ = (\led_flash_cnt[6][4]~q\ & (!\led_flash_cnt[6][3]~26969\)) # (!\led_flash_cnt[6][4]~q\ & ((\led_flash_cnt[6][3]~26969\) # (GND)))
-- \led_flash_cnt[6][4]~26971\ = CARRY((!\led_flash_cnt[6][3]~26969\) # (!\led_flash_cnt[6][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[6][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[6][3]~26969\,
	combout => \led_flash_cnt[6][4]~26970_combout\,
	cout => \led_flash_cnt[6][4]~26971\);

-- Location: FF_X4_Y31_N7
\led_flash_cnt[6][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[6][4]~26970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[6][4]~q\);

-- Location: LCCOMB_X4_Y31_N8
\led_flash_cnt[6][5]~26972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[6][5]~26972_combout\ = (\led_flash_cnt[6][5]~q\ & (\led_flash_cnt[6][4]~26971\ $ (GND))) # (!\led_flash_cnt[6][5]~q\ & (!\led_flash_cnt[6][4]~26971\ & VCC))
-- \led_flash_cnt[6][5]~26973\ = CARRY((\led_flash_cnt[6][5]~q\ & !\led_flash_cnt[6][4]~26971\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[6][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[6][4]~26971\,
	combout => \led_flash_cnt[6][5]~26972_combout\,
	cout => \led_flash_cnt[6][5]~26973\);

-- Location: FF_X4_Y31_N9
\led_flash_cnt[6][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[6][5]~26972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[6][5]~q\);

-- Location: LCCOMB_X4_Y31_N10
\led_flash_cnt[6][6]~26974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[6][6]~26974_combout\ = (\led_flash_cnt[6][6]~q\ & (!\led_flash_cnt[6][5]~26973\)) # (!\led_flash_cnt[6][6]~q\ & ((\led_flash_cnt[6][5]~26973\) # (GND)))
-- \led_flash_cnt[6][6]~26975\ = CARRY((!\led_flash_cnt[6][5]~26973\) # (!\led_flash_cnt[6][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[6][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[6][5]~26973\,
	combout => \led_flash_cnt[6][6]~26974_combout\,
	cout => \led_flash_cnt[6][6]~26975\);

-- Location: FF_X4_Y31_N11
\led_flash_cnt[6][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[6][6]~26974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[6][6]~q\);

-- Location: LCCOMB_X3_Y31_N26
\WideAnd6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd6~1_combout\ = (\led_flash_cnt[6][5]~q\ & \led_flash_cnt[6][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[6][5]~q\,
	datac => \led_flash_cnt[6][6]~q\,
	combout => \WideAnd6~1_combout\);

-- Location: LCCOMB_X4_Y31_N12
\led_flash_cnt[6][7]~26976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[6][7]~26976_combout\ = \led_flash_cnt[6][6]~26975\ $ (!\led_flash_cnt[6][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[6][7]~q\,
	cin => \led_flash_cnt[6][6]~26975\,
	combout => \led_flash_cnt[6][7]~26976_combout\);

-- Location: FF_X4_Y31_N13
\led_flash_cnt[6][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[6][7]~26976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[6][7]~q\);

-- Location: LCCOMB_X4_Y31_N30
\WideAnd6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd6~0_combout\ = (\led_flash_cnt[6][4]~q\ & (\led_flash_cnt[6][2]~q\ & (\led_flash_cnt[6][3]~q\ & \led_flash_cnt[6][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[6][4]~q\,
	datab => \led_flash_cnt[6][2]~q\,
	datac => \led_flash_cnt[6][3]~q\,
	datad => \led_flash_cnt[6][1]~q\,
	combout => \WideAnd6~0_combout\);

-- Location: LCCOMB_X3_Y31_N30
WideAnd6 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd6~combout\ = (\WideAnd6~1_combout\ & (\led_flash_cnt[6][7]~q\ & (\WideAnd6~0_combout\ & \led_flash_cnt[6][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd6~1_combout\,
	datab => \led_flash_cnt[6][7]~q\,
	datac => \WideAnd6~0_combout\,
	datad => \led_flash_cnt[6][0]~q\,
	combout => \WideAnd6~combout\);

-- Location: FF_X3_Y31_N31
\led_flash_cnt_ands[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd6~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(6));

-- Location: LCCOMB_X9_Y31_N2
\led_flash_cnt[4][0]~80644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[4][0]~80644_combout\ = !\led_flash_cnt[4][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[4][0]~q\,
	combout => \led_flash_cnt[4][0]~80644_combout\);

-- Location: FF_X9_Y31_N3
\led_flash_cnt[4][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[4][0]~80644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[4][0]~q\);

-- Location: LCCOMB_X8_Y31_N0
\led_flash_cnt[4][1]~26936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[4][1]~26936_combout\ = (\led_flash_cnt[4][0]~q\ & (\led_flash_cnt[4][1]~q\ $ (VCC))) # (!\led_flash_cnt[4][0]~q\ & (\led_flash_cnt[4][1]~q\ & VCC))
-- \led_flash_cnt[4][1]~26937\ = CARRY((\led_flash_cnt[4][0]~q\ & \led_flash_cnt[4][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[4][0]~q\,
	datab => \led_flash_cnt[4][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[4][1]~26936_combout\,
	cout => \led_flash_cnt[4][1]~26937\);

-- Location: FF_X8_Y31_N1
\led_flash_cnt[4][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[4][1]~26936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[4][1]~q\);

-- Location: LCCOMB_X8_Y31_N2
\led_flash_cnt[4][2]~26938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[4][2]~26938_combout\ = (\led_flash_cnt[4][2]~q\ & (!\led_flash_cnt[4][1]~26937\)) # (!\led_flash_cnt[4][2]~q\ & ((\led_flash_cnt[4][1]~26937\) # (GND)))
-- \led_flash_cnt[4][2]~26939\ = CARRY((!\led_flash_cnt[4][1]~26937\) # (!\led_flash_cnt[4][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[4][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[4][1]~26937\,
	combout => \led_flash_cnt[4][2]~26938_combout\,
	cout => \led_flash_cnt[4][2]~26939\);

-- Location: FF_X8_Y31_N3
\led_flash_cnt[4][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[4][2]~26938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[4][2]~q\);

-- Location: LCCOMB_X8_Y31_N4
\led_flash_cnt[4][3]~26940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[4][3]~26940_combout\ = (\led_flash_cnt[4][3]~q\ & (\led_flash_cnt[4][2]~26939\ $ (GND))) # (!\led_flash_cnt[4][3]~q\ & (!\led_flash_cnt[4][2]~26939\ & VCC))
-- \led_flash_cnt[4][3]~26941\ = CARRY((\led_flash_cnt[4][3]~q\ & !\led_flash_cnt[4][2]~26939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[4][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[4][2]~26939\,
	combout => \led_flash_cnt[4][3]~26940_combout\,
	cout => \led_flash_cnt[4][3]~26941\);

-- Location: FF_X8_Y31_N5
\led_flash_cnt[4][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[4][3]~26940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[4][3]~q\);

-- Location: LCCOMB_X8_Y31_N6
\led_flash_cnt[4][4]~26942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[4][4]~26942_combout\ = (\led_flash_cnt[4][4]~q\ & (!\led_flash_cnt[4][3]~26941\)) # (!\led_flash_cnt[4][4]~q\ & ((\led_flash_cnt[4][3]~26941\) # (GND)))
-- \led_flash_cnt[4][4]~26943\ = CARRY((!\led_flash_cnt[4][3]~26941\) # (!\led_flash_cnt[4][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[4][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[4][3]~26941\,
	combout => \led_flash_cnt[4][4]~26942_combout\,
	cout => \led_flash_cnt[4][4]~26943\);

-- Location: FF_X8_Y31_N7
\led_flash_cnt[4][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[4][4]~26942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[4][4]~q\);

-- Location: LCCOMB_X8_Y31_N8
\led_flash_cnt[4][5]~26944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[4][5]~26944_combout\ = (\led_flash_cnt[4][5]~q\ & (\led_flash_cnt[4][4]~26943\ $ (GND))) # (!\led_flash_cnt[4][5]~q\ & (!\led_flash_cnt[4][4]~26943\ & VCC))
-- \led_flash_cnt[4][5]~26945\ = CARRY((\led_flash_cnt[4][5]~q\ & !\led_flash_cnt[4][4]~26943\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[4][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[4][4]~26943\,
	combout => \led_flash_cnt[4][5]~26944_combout\,
	cout => \led_flash_cnt[4][5]~26945\);

-- Location: FF_X8_Y31_N9
\led_flash_cnt[4][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[4][5]~26944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[4][5]~q\);

-- Location: LCCOMB_X8_Y31_N10
\led_flash_cnt[4][6]~26946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[4][6]~26946_combout\ = (\led_flash_cnt[4][6]~q\ & (!\led_flash_cnt[4][5]~26945\)) # (!\led_flash_cnt[4][6]~q\ & ((\led_flash_cnt[4][5]~26945\) # (GND)))
-- \led_flash_cnt[4][6]~26947\ = CARRY((!\led_flash_cnt[4][5]~26945\) # (!\led_flash_cnt[4][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[4][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[4][5]~26945\,
	combout => \led_flash_cnt[4][6]~26946_combout\,
	cout => \led_flash_cnt[4][6]~26947\);

-- Location: FF_X8_Y31_N11
\led_flash_cnt[4][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[4][6]~26946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[4][6]~q\);

-- Location: LCCOMB_X8_Y31_N12
\led_flash_cnt[4][7]~26948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[4][7]~26948_combout\ = \led_flash_cnt[4][6]~26947\ $ (!\led_flash_cnt[4][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[4][7]~q\,
	cin => \led_flash_cnt[4][6]~26947\,
	combout => \led_flash_cnt[4][7]~26948_combout\);

-- Location: FF_X8_Y31_N13
\led_flash_cnt[4][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[4][7]~26948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[4][7]~q\);

-- Location: LCCOMB_X8_Y31_N28
\WideAnd4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4~0_combout\ = (\led_flash_cnt[4][4]~q\ & (\led_flash_cnt[4][2]~q\ & (\led_flash_cnt[4][3]~q\ & \led_flash_cnt[4][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[4][4]~q\,
	datab => \led_flash_cnt[4][2]~q\,
	datac => \led_flash_cnt[4][3]~q\,
	datad => \led_flash_cnt[4][1]~q\,
	combout => \WideAnd4~0_combout\);

-- Location: LCCOMB_X9_Y31_N18
\WideAnd4~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4~1_combout\ = (\led_flash_cnt[4][6]~q\ & \led_flash_cnt[4][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[4][6]~q\,
	datad => \led_flash_cnt[4][5]~q\,
	combout => \WideAnd4~1_combout\);

-- Location: LCCOMB_X9_Y31_N12
WideAnd4 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4~combout\ = (\led_flash_cnt[4][7]~q\ & (\WideAnd4~0_combout\ & (\led_flash_cnt[4][0]~q\ & \WideAnd4~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[4][7]~q\,
	datab => \WideAnd4~0_combout\,
	datac => \led_flash_cnt[4][0]~q\,
	datad => \WideAnd4~1_combout\,
	combout => \WideAnd4~combout\);

-- Location: FF_X9_Y31_N13
\led_flash_cnt_ands[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(4));

-- Location: LCCOMB_X14_Y31_N6
\led_flash_cnt[5][0]~80645\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[5][0]~80645_combout\ = !\led_flash_cnt[5][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[5][0]~q\,
	combout => \led_flash_cnt[5][0]~80645_combout\);

-- Location: FF_X14_Y31_N7
\led_flash_cnt[5][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[5][0]~80645_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[5][0]~q\);

-- Location: LCCOMB_X13_Y31_N14
\led_flash_cnt[5][1]~26950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[5][1]~26950_combout\ = (\led_flash_cnt[5][0]~q\ & (\led_flash_cnt[5][1]~q\ $ (VCC))) # (!\led_flash_cnt[5][0]~q\ & (\led_flash_cnt[5][1]~q\ & VCC))
-- \led_flash_cnt[5][1]~26951\ = CARRY((\led_flash_cnt[5][0]~q\ & \led_flash_cnt[5][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[5][0]~q\,
	datab => \led_flash_cnt[5][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[5][1]~26950_combout\,
	cout => \led_flash_cnt[5][1]~26951\);

-- Location: FF_X13_Y31_N15
\led_flash_cnt[5][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[5][1]~26950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[5][1]~q\);

-- Location: LCCOMB_X13_Y31_N16
\led_flash_cnt[5][2]~26952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[5][2]~26952_combout\ = (\led_flash_cnt[5][2]~q\ & (!\led_flash_cnt[5][1]~26951\)) # (!\led_flash_cnt[5][2]~q\ & ((\led_flash_cnt[5][1]~26951\) # (GND)))
-- \led_flash_cnt[5][2]~26953\ = CARRY((!\led_flash_cnt[5][1]~26951\) # (!\led_flash_cnt[5][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[5][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[5][1]~26951\,
	combout => \led_flash_cnt[5][2]~26952_combout\,
	cout => \led_flash_cnt[5][2]~26953\);

-- Location: FF_X13_Y31_N17
\led_flash_cnt[5][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[5][2]~26952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[5][2]~q\);

-- Location: LCCOMB_X13_Y31_N18
\led_flash_cnt[5][3]~26954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[5][3]~26954_combout\ = (\led_flash_cnt[5][3]~q\ & (\led_flash_cnt[5][2]~26953\ $ (GND))) # (!\led_flash_cnt[5][3]~q\ & (!\led_flash_cnt[5][2]~26953\ & VCC))
-- \led_flash_cnt[5][3]~26955\ = CARRY((\led_flash_cnt[5][3]~q\ & !\led_flash_cnt[5][2]~26953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[5][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[5][2]~26953\,
	combout => \led_flash_cnt[5][3]~26954_combout\,
	cout => \led_flash_cnt[5][3]~26955\);

-- Location: FF_X13_Y31_N19
\led_flash_cnt[5][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[5][3]~26954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[5][3]~q\);

-- Location: LCCOMB_X13_Y31_N20
\led_flash_cnt[5][4]~26956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[5][4]~26956_combout\ = (\led_flash_cnt[5][4]~q\ & (!\led_flash_cnt[5][3]~26955\)) # (!\led_flash_cnt[5][4]~q\ & ((\led_flash_cnt[5][3]~26955\) # (GND)))
-- \led_flash_cnt[5][4]~26957\ = CARRY((!\led_flash_cnt[5][3]~26955\) # (!\led_flash_cnt[5][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[5][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[5][3]~26955\,
	combout => \led_flash_cnt[5][4]~26956_combout\,
	cout => \led_flash_cnt[5][4]~26957\);

-- Location: FF_X13_Y31_N21
\led_flash_cnt[5][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[5][4]~26956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[5][4]~q\);

-- Location: LCCOMB_X13_Y31_N22
\led_flash_cnt[5][5]~26958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[5][5]~26958_combout\ = (\led_flash_cnt[5][5]~q\ & (\led_flash_cnt[5][4]~26957\ $ (GND))) # (!\led_flash_cnt[5][5]~q\ & (!\led_flash_cnt[5][4]~26957\ & VCC))
-- \led_flash_cnt[5][5]~26959\ = CARRY((\led_flash_cnt[5][5]~q\ & !\led_flash_cnt[5][4]~26957\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[5][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[5][4]~26957\,
	combout => \led_flash_cnt[5][5]~26958_combout\,
	cout => \led_flash_cnt[5][5]~26959\);

-- Location: FF_X13_Y31_N23
\led_flash_cnt[5][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[5][5]~26958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[5][5]~q\);

-- Location: LCCOMB_X13_Y31_N24
\led_flash_cnt[5][6]~26960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[5][6]~26960_combout\ = (\led_flash_cnt[5][6]~q\ & (!\led_flash_cnt[5][5]~26959\)) # (!\led_flash_cnt[5][6]~q\ & ((\led_flash_cnt[5][5]~26959\) # (GND)))
-- \led_flash_cnt[5][6]~26961\ = CARRY((!\led_flash_cnt[5][5]~26959\) # (!\led_flash_cnt[5][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[5][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[5][5]~26959\,
	combout => \led_flash_cnt[5][6]~26960_combout\,
	cout => \led_flash_cnt[5][6]~26961\);

-- Location: FF_X13_Y31_N25
\led_flash_cnt[5][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[5][6]~26960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[5][6]~q\);

-- Location: LCCOMB_X12_Y31_N14
\WideAnd5~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd5~1_combout\ = (\led_flash_cnt[5][6]~q\ & \led_flash_cnt[5][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[5][6]~q\,
	datad => \led_flash_cnt[5][5]~q\,
	combout => \WideAnd5~1_combout\);

-- Location: LCCOMB_X12_Y31_N20
\WideAnd5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd5~0_combout\ = (\led_flash_cnt[5][4]~q\ & (\led_flash_cnt[5][2]~q\ & (\led_flash_cnt[5][1]~q\ & \led_flash_cnt[5][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[5][4]~q\,
	datab => \led_flash_cnt[5][2]~q\,
	datac => \led_flash_cnt[5][1]~q\,
	datad => \led_flash_cnt[5][3]~q\,
	combout => \WideAnd5~0_combout\);

-- Location: LCCOMB_X13_Y31_N26
\led_flash_cnt[5][7]~26962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[5][7]~26962_combout\ = \led_flash_cnt[5][7]~q\ $ (!\led_flash_cnt[5][6]~26961\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[5][7]~q\,
	cin => \led_flash_cnt[5][6]~26961\,
	combout => \led_flash_cnt[5][7]~26962_combout\);

-- Location: FF_X13_Y31_N27
\led_flash_cnt[5][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[5][7]~26962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[5][7]~q\);

-- Location: LCCOMB_X13_Y31_N30
WideAnd5 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd5~combout\ = (\WideAnd5~1_combout\ & (\WideAnd5~0_combout\ & (\led_flash_cnt[5][7]~q\ & \led_flash_cnt[5][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd5~1_combout\,
	datab => \WideAnd5~0_combout\,
	datac => \led_flash_cnt[5][7]~q\,
	datad => \led_flash_cnt[5][0]~q\,
	combout => \WideAnd5~combout\);

-- Location: FF_X13_Y31_N31
\led_flash_cnt_ands[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd5~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(5));

-- Location: LCCOMB_X9_Y31_N20
\WideAnd3840~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3840~1_combout\ = (led_flash_cnt_ands(4) & led_flash_cnt_ands(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(4),
	datac => led_flash_cnt_ands(5),
	combout => \WideAnd3840~1_combout\);

-- Location: LCCOMB_X11_Y33_N28
\led_flash_cnt[7][0]~80647\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[7][0]~80647_combout\ = !\led_flash_cnt[7][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[7][0]~q\,
	combout => \led_flash_cnt[7][0]~80647_combout\);

-- Location: FF_X11_Y33_N29
\led_flash_cnt[7][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[7][0]~80647_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[7][0]~q\);

-- Location: LCCOMB_X9_Y33_N0
\led_flash_cnt[7][1]~26978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[7][1]~26978_combout\ = (\led_flash_cnt[7][0]~q\ & (\led_flash_cnt[7][1]~q\ $ (VCC))) # (!\led_flash_cnt[7][0]~q\ & (\led_flash_cnt[7][1]~q\ & VCC))
-- \led_flash_cnt[7][1]~26979\ = CARRY((\led_flash_cnt[7][0]~q\ & \led_flash_cnt[7][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[7][0]~q\,
	datab => \led_flash_cnt[7][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[7][1]~26978_combout\,
	cout => \led_flash_cnt[7][1]~26979\);

-- Location: FF_X9_Y33_N1
\led_flash_cnt[7][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[7][1]~26978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[7][1]~q\);

-- Location: LCCOMB_X9_Y33_N2
\led_flash_cnt[7][2]~26980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[7][2]~26980_combout\ = (\led_flash_cnt[7][2]~q\ & (!\led_flash_cnt[7][1]~26979\)) # (!\led_flash_cnt[7][2]~q\ & ((\led_flash_cnt[7][1]~26979\) # (GND)))
-- \led_flash_cnt[7][2]~26981\ = CARRY((!\led_flash_cnt[7][1]~26979\) # (!\led_flash_cnt[7][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[7][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[7][1]~26979\,
	combout => \led_flash_cnt[7][2]~26980_combout\,
	cout => \led_flash_cnt[7][2]~26981\);

-- Location: FF_X9_Y33_N3
\led_flash_cnt[7][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[7][2]~26980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[7][2]~q\);

-- Location: LCCOMB_X9_Y33_N4
\led_flash_cnt[7][3]~26982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[7][3]~26982_combout\ = (\led_flash_cnt[7][3]~q\ & (\led_flash_cnt[7][2]~26981\ $ (GND))) # (!\led_flash_cnt[7][3]~q\ & (!\led_flash_cnt[7][2]~26981\ & VCC))
-- \led_flash_cnt[7][3]~26983\ = CARRY((\led_flash_cnt[7][3]~q\ & !\led_flash_cnt[7][2]~26981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[7][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[7][2]~26981\,
	combout => \led_flash_cnt[7][3]~26982_combout\,
	cout => \led_flash_cnt[7][3]~26983\);

-- Location: FF_X9_Y33_N5
\led_flash_cnt[7][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[7][3]~26982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[7][3]~q\);

-- Location: LCCOMB_X9_Y33_N6
\led_flash_cnt[7][4]~26984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[7][4]~26984_combout\ = (\led_flash_cnt[7][4]~q\ & (!\led_flash_cnt[7][3]~26983\)) # (!\led_flash_cnt[7][4]~q\ & ((\led_flash_cnt[7][3]~26983\) # (GND)))
-- \led_flash_cnt[7][4]~26985\ = CARRY((!\led_flash_cnt[7][3]~26983\) # (!\led_flash_cnt[7][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[7][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[7][3]~26983\,
	combout => \led_flash_cnt[7][4]~26984_combout\,
	cout => \led_flash_cnt[7][4]~26985\);

-- Location: FF_X9_Y33_N7
\led_flash_cnt[7][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[7][4]~26984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[7][4]~q\);

-- Location: LCCOMB_X9_Y33_N8
\led_flash_cnt[7][5]~26986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[7][5]~26986_combout\ = (\led_flash_cnt[7][5]~q\ & (\led_flash_cnt[7][4]~26985\ $ (GND))) # (!\led_flash_cnt[7][5]~q\ & (!\led_flash_cnt[7][4]~26985\ & VCC))
-- \led_flash_cnt[7][5]~26987\ = CARRY((\led_flash_cnt[7][5]~q\ & !\led_flash_cnt[7][4]~26985\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[7][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[7][4]~26985\,
	combout => \led_flash_cnt[7][5]~26986_combout\,
	cout => \led_flash_cnt[7][5]~26987\);

-- Location: FF_X9_Y33_N9
\led_flash_cnt[7][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[7][5]~26986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[7][5]~q\);

-- Location: LCCOMB_X9_Y33_N10
\led_flash_cnt[7][6]~26988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[7][6]~26988_combout\ = (\led_flash_cnt[7][6]~q\ & (!\led_flash_cnt[7][5]~26987\)) # (!\led_flash_cnt[7][6]~q\ & ((\led_flash_cnt[7][5]~26987\) # (GND)))
-- \led_flash_cnt[7][6]~26989\ = CARRY((!\led_flash_cnt[7][5]~26987\) # (!\led_flash_cnt[7][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[7][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[7][5]~26987\,
	combout => \led_flash_cnt[7][6]~26988_combout\,
	cout => \led_flash_cnt[7][6]~26989\);

-- Location: FF_X9_Y33_N11
\led_flash_cnt[7][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[7][6]~26988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[7][6]~q\);

-- Location: LCCOMB_X8_Y33_N10
\WideAnd7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd7~1_combout\ = (\led_flash_cnt[7][6]~q\ & \led_flash_cnt[7][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[7][6]~q\,
	datac => \led_flash_cnt[7][5]~q\,
	combout => \WideAnd7~1_combout\);

-- Location: LCCOMB_X9_Y33_N12
\led_flash_cnt[7][7]~26990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[7][7]~26990_combout\ = \led_flash_cnt[7][6]~26989\ $ (!\led_flash_cnt[7][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[7][7]~q\,
	cin => \led_flash_cnt[7][6]~26989\,
	combout => \led_flash_cnt[7][7]~26990_combout\);

-- Location: FF_X9_Y33_N13
\led_flash_cnt[7][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[7][7]~26990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[7][7]~q\);

-- Location: LCCOMB_X9_Y33_N30
\WideAnd7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd7~0_combout\ = (\led_flash_cnt[7][4]~q\ & (\led_flash_cnt[7][1]~q\ & (\led_flash_cnt[7][3]~q\ & \led_flash_cnt[7][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[7][4]~q\,
	datab => \led_flash_cnt[7][1]~q\,
	datac => \led_flash_cnt[7][3]~q\,
	datad => \led_flash_cnt[7][2]~q\,
	combout => \WideAnd7~0_combout\);

-- Location: LCCOMB_X8_Y33_N8
WideAnd7 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd7~combout\ = (\WideAnd7~1_combout\ & (\led_flash_cnt[7][7]~q\ & (\WideAnd7~0_combout\ & \led_flash_cnt[7][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd7~1_combout\,
	datab => \led_flash_cnt[7][7]~q\,
	datac => \WideAnd7~0_combout\,
	datad => \led_flash_cnt[7][0]~q\,
	combout => \WideAnd7~combout\);

-- Location: FF_X8_Y33_N9
\led_flash_cnt_ands[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd7~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(7));

-- Location: LCCOMB_X44_Y39_N14
\led_flash_cnt[3][0]~80643\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3][0]~80643_combout\ = !\led_flash_cnt[3][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[3][0]~q\,
	combout => \led_flash_cnt[3][0]~80643_combout\);

-- Location: FF_X44_Y39_N15
\led_flash_cnt[3][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3][0]~80643_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3][0]~q\);

-- Location: LCCOMB_X45_Y39_N0
\led_flash_cnt[3][1]~26922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3][1]~26922_combout\ = (\led_flash_cnt[3][0]~q\ & (\led_flash_cnt[3][1]~q\ $ (VCC))) # (!\led_flash_cnt[3][0]~q\ & (\led_flash_cnt[3][1]~q\ & VCC))
-- \led_flash_cnt[3][1]~26923\ = CARRY((\led_flash_cnt[3][0]~q\ & \led_flash_cnt[3][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3][0]~q\,
	datab => \led_flash_cnt[3][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[3][1]~26922_combout\,
	cout => \led_flash_cnt[3][1]~26923\);

-- Location: FF_X45_Y39_N1
\led_flash_cnt[3][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3][1]~26922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3][1]~q\);

-- Location: LCCOMB_X45_Y39_N2
\led_flash_cnt[3][2]~26924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3][2]~26924_combout\ = (\led_flash_cnt[3][2]~q\ & (!\led_flash_cnt[3][1]~26923\)) # (!\led_flash_cnt[3][2]~q\ & ((\led_flash_cnt[3][1]~26923\) # (GND)))
-- \led_flash_cnt[3][2]~26925\ = CARRY((!\led_flash_cnt[3][1]~26923\) # (!\led_flash_cnt[3][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3][1]~26923\,
	combout => \led_flash_cnt[3][2]~26924_combout\,
	cout => \led_flash_cnt[3][2]~26925\);

-- Location: FF_X45_Y39_N3
\led_flash_cnt[3][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3][2]~26924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3][2]~q\);

-- Location: LCCOMB_X45_Y39_N4
\led_flash_cnt[3][3]~26926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3][3]~26926_combout\ = (\led_flash_cnt[3][3]~q\ & (\led_flash_cnt[3][2]~26925\ $ (GND))) # (!\led_flash_cnt[3][3]~q\ & (!\led_flash_cnt[3][2]~26925\ & VCC))
-- \led_flash_cnt[3][3]~26927\ = CARRY((\led_flash_cnt[3][3]~q\ & !\led_flash_cnt[3][2]~26925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3][2]~26925\,
	combout => \led_flash_cnt[3][3]~26926_combout\,
	cout => \led_flash_cnt[3][3]~26927\);

-- Location: FF_X45_Y39_N5
\led_flash_cnt[3][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3][3]~26926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3][3]~q\);

-- Location: LCCOMB_X45_Y39_N6
\led_flash_cnt[3][4]~26928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3][4]~26928_combout\ = (\led_flash_cnt[3][4]~q\ & (!\led_flash_cnt[3][3]~26927\)) # (!\led_flash_cnt[3][4]~q\ & ((\led_flash_cnt[3][3]~26927\) # (GND)))
-- \led_flash_cnt[3][4]~26929\ = CARRY((!\led_flash_cnt[3][3]~26927\) # (!\led_flash_cnt[3][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3][3]~26927\,
	combout => \led_flash_cnt[3][4]~26928_combout\,
	cout => \led_flash_cnt[3][4]~26929\);

-- Location: FF_X45_Y39_N7
\led_flash_cnt[3][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3][4]~26928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3][4]~q\);

-- Location: LCCOMB_X45_Y39_N8
\led_flash_cnt[3][5]~26930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3][5]~26930_combout\ = (\led_flash_cnt[3][5]~q\ & (\led_flash_cnt[3][4]~26929\ $ (GND))) # (!\led_flash_cnt[3][5]~q\ & (!\led_flash_cnt[3][4]~26929\ & VCC))
-- \led_flash_cnt[3][5]~26931\ = CARRY((\led_flash_cnt[3][5]~q\ & !\led_flash_cnt[3][4]~26929\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3][4]~26929\,
	combout => \led_flash_cnt[3][5]~26930_combout\,
	cout => \led_flash_cnt[3][5]~26931\);

-- Location: FF_X45_Y39_N9
\led_flash_cnt[3][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3][5]~26930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3][5]~q\);

-- Location: LCCOMB_X45_Y39_N10
\led_flash_cnt[3][6]~26932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3][6]~26932_combout\ = (\led_flash_cnt[3][6]~q\ & (!\led_flash_cnt[3][5]~26931\)) # (!\led_flash_cnt[3][6]~q\ & ((\led_flash_cnt[3][5]~26931\) # (GND)))
-- \led_flash_cnt[3][6]~26933\ = CARRY((!\led_flash_cnt[3][5]~26931\) # (!\led_flash_cnt[3][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[3][5]~26931\,
	combout => \led_flash_cnt[3][6]~26932_combout\,
	cout => \led_flash_cnt[3][6]~26933\);

-- Location: FF_X45_Y39_N11
\led_flash_cnt[3][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3][6]~26932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3][6]~q\);

-- Location: LCCOMB_X44_Y39_N10
\WideAnd3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3~1_combout\ = (\led_flash_cnt[3][6]~q\ & \led_flash_cnt[3][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[3][6]~q\,
	datac => \led_flash_cnt[3][5]~q\,
	combout => \WideAnd3~1_combout\);

-- Location: LCCOMB_X45_Y39_N28
\WideAnd3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3~0_combout\ = (\led_flash_cnt[3][4]~q\ & (\led_flash_cnt[3][1]~q\ & (\led_flash_cnt[3][3]~q\ & \led_flash_cnt[3][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[3][4]~q\,
	datab => \led_flash_cnt[3][1]~q\,
	datac => \led_flash_cnt[3][3]~q\,
	datad => \led_flash_cnt[3][2]~q\,
	combout => \WideAnd3~0_combout\);

-- Location: LCCOMB_X45_Y39_N12
\led_flash_cnt[3][7]~26934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[3][7]~26934_combout\ = \led_flash_cnt[3][6]~26933\ $ (!\led_flash_cnt[3][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[3][7]~q\,
	cin => \led_flash_cnt[3][6]~26933\,
	combout => \led_flash_cnt[3][7]~26934_combout\);

-- Location: FF_X45_Y39_N13
\led_flash_cnt[3][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[3][7]~26934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[3][7]~q\);

-- Location: LCCOMB_X44_Y39_N6
WideAnd3 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3~combout\ = (\WideAnd3~1_combout\ & (\WideAnd3~0_combout\ & (\led_flash_cnt[3][0]~q\ & \led_flash_cnt[3][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3~1_combout\,
	datab => \WideAnd3~0_combout\,
	datac => \led_flash_cnt[3][0]~q\,
	datad => \led_flash_cnt[3][7]~q\,
	combout => \WideAnd3~combout\);

-- Location: FF_X44_Y39_N7
\led_flash_cnt_ands[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(3));

-- Location: LCCOMB_X43_Y35_N28
\led_flash_cnt[1][0]~80641\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1][0]~80641_combout\ = !\led_flash_cnt[1][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[1][0]~q\,
	combout => \led_flash_cnt[1][0]~80641_combout\);

-- Location: FF_X43_Y35_N29
\led_flash_cnt[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1][0]~80641_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1][0]~q\);

-- Location: LCCOMB_X44_Y35_N18
\led_flash_cnt[1][1]~26894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1][1]~26894_combout\ = (\led_flash_cnt[1][0]~q\ & (\led_flash_cnt[1][1]~q\ $ (VCC))) # (!\led_flash_cnt[1][0]~q\ & (\led_flash_cnt[1][1]~q\ & VCC))
-- \led_flash_cnt[1][1]~26895\ = CARRY((\led_flash_cnt[1][0]~q\ & \led_flash_cnt[1][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1][0]~q\,
	datab => \led_flash_cnt[1][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[1][1]~26894_combout\,
	cout => \led_flash_cnt[1][1]~26895\);

-- Location: FF_X44_Y35_N19
\led_flash_cnt[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1][1]~26894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1][1]~q\);

-- Location: LCCOMB_X44_Y35_N20
\led_flash_cnt[1][2]~26896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1][2]~26896_combout\ = (\led_flash_cnt[1][2]~q\ & (!\led_flash_cnt[1][1]~26895\)) # (!\led_flash_cnt[1][2]~q\ & ((\led_flash_cnt[1][1]~26895\) # (GND)))
-- \led_flash_cnt[1][2]~26897\ = CARRY((!\led_flash_cnt[1][1]~26895\) # (!\led_flash_cnt[1][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1][1]~26895\,
	combout => \led_flash_cnt[1][2]~26896_combout\,
	cout => \led_flash_cnt[1][2]~26897\);

-- Location: FF_X44_Y35_N21
\led_flash_cnt[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1][2]~26896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1][2]~q\);

-- Location: LCCOMB_X44_Y35_N22
\led_flash_cnt[1][3]~26898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1][3]~26898_combout\ = (\led_flash_cnt[1][3]~q\ & (\led_flash_cnt[1][2]~26897\ $ (GND))) # (!\led_flash_cnt[1][3]~q\ & (!\led_flash_cnt[1][2]~26897\ & VCC))
-- \led_flash_cnt[1][3]~26899\ = CARRY((\led_flash_cnt[1][3]~q\ & !\led_flash_cnt[1][2]~26897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1][2]~26897\,
	combout => \led_flash_cnt[1][3]~26898_combout\,
	cout => \led_flash_cnt[1][3]~26899\);

-- Location: FF_X44_Y35_N23
\led_flash_cnt[1][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1][3]~26898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1][3]~q\);

-- Location: LCCOMB_X44_Y35_N24
\led_flash_cnt[1][4]~26900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1][4]~26900_combout\ = (\led_flash_cnt[1][4]~q\ & (!\led_flash_cnt[1][3]~26899\)) # (!\led_flash_cnt[1][4]~q\ & ((\led_flash_cnt[1][3]~26899\) # (GND)))
-- \led_flash_cnt[1][4]~26901\ = CARRY((!\led_flash_cnt[1][3]~26899\) # (!\led_flash_cnt[1][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1][3]~26899\,
	combout => \led_flash_cnt[1][4]~26900_combout\,
	cout => \led_flash_cnt[1][4]~26901\);

-- Location: FF_X44_Y35_N25
\led_flash_cnt[1][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1][4]~26900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1][4]~q\);

-- Location: LCCOMB_X44_Y35_N26
\led_flash_cnt[1][5]~26902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1][5]~26902_combout\ = (\led_flash_cnt[1][5]~q\ & (\led_flash_cnt[1][4]~26901\ $ (GND))) # (!\led_flash_cnt[1][5]~q\ & (!\led_flash_cnt[1][4]~26901\ & VCC))
-- \led_flash_cnt[1][5]~26903\ = CARRY((\led_flash_cnt[1][5]~q\ & !\led_flash_cnt[1][4]~26901\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1][4]~26901\,
	combout => \led_flash_cnt[1][5]~26902_combout\,
	cout => \led_flash_cnt[1][5]~26903\);

-- Location: FF_X44_Y35_N27
\led_flash_cnt[1][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1][5]~26902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1][5]~q\);

-- Location: LCCOMB_X44_Y35_N28
\led_flash_cnt[1][6]~26904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1][6]~26904_combout\ = (\led_flash_cnt[1][6]~q\ & (!\led_flash_cnt[1][5]~26903\)) # (!\led_flash_cnt[1][6]~q\ & ((\led_flash_cnt[1][5]~26903\) # (GND)))
-- \led_flash_cnt[1][6]~26905\ = CARRY((!\led_flash_cnt[1][5]~26903\) # (!\led_flash_cnt[1][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[1][5]~26903\,
	combout => \led_flash_cnt[1][6]~26904_combout\,
	cout => \led_flash_cnt[1][6]~26905\);

-- Location: FF_X44_Y35_N29
\led_flash_cnt[1][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1][6]~26904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1][6]~q\);

-- Location: LCCOMB_X43_Y35_N26
\WideAnd1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1~1_combout\ = (\led_flash_cnt[1][6]~q\ & \led_flash_cnt[1][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[1][6]~q\,
	datad => \led_flash_cnt[1][5]~q\,
	combout => \WideAnd1~1_combout\);

-- Location: LCCOMB_X44_Y35_N0
\WideAnd1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1~0_combout\ = (\led_flash_cnt[1][2]~q\ & (\led_flash_cnt[1][4]~q\ & (\led_flash_cnt[1][3]~q\ & \led_flash_cnt[1][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1][2]~q\,
	datab => \led_flash_cnt[1][4]~q\,
	datac => \led_flash_cnt[1][3]~q\,
	datad => \led_flash_cnt[1][1]~q\,
	combout => \WideAnd1~0_combout\);

-- Location: LCCOMB_X44_Y35_N30
\led_flash_cnt[1][7]~26906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[1][7]~26906_combout\ = \led_flash_cnt[1][7]~q\ $ (!\led_flash_cnt[1][6]~26905\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[1][7]~q\,
	cin => \led_flash_cnt[1][6]~26905\,
	combout => \led_flash_cnt[1][7]~26906_combout\);

-- Location: FF_X44_Y35_N31
\led_flash_cnt[1][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[1][7]~26906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[1][7]~q\);

-- Location: LCCOMB_X43_Y35_N2
WideAnd1 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd1~combout\ = (\WideAnd1~1_combout\ & (\WideAnd1~0_combout\ & (\led_flash_cnt[1][7]~q\ & \led_flash_cnt[1][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd1~1_combout\,
	datab => \WideAnd1~0_combout\,
	datac => \led_flash_cnt[1][7]~q\,
	datad => \led_flash_cnt[1][0]~q\,
	combout => \WideAnd1~combout\);

-- Location: FF_X43_Y35_N3
\led_flash_cnt_ands[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd1~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(1));

-- Location: LCCOMB_X16_Y35_N14
\led_flash_cnt[0][0]~80640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[0][0]~80640_combout\ = !\led_flash_cnt[0][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[0][0]~q\,
	combout => \led_flash_cnt[0][0]~80640_combout\);

-- Location: FF_X16_Y35_N15
\led_flash_cnt[0][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[0][0]~80640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[0][0]~q\);

-- Location: LCCOMB_X17_Y35_N0
\led_flash_cnt[0][1]~26880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[0][1]~26880_combout\ = (\led_flash_cnt[0][0]~q\ & (\led_flash_cnt[0][1]~q\ $ (VCC))) # (!\led_flash_cnt[0][0]~q\ & (\led_flash_cnt[0][1]~q\ & VCC))
-- \led_flash_cnt[0][1]~26881\ = CARRY((\led_flash_cnt[0][0]~q\ & \led_flash_cnt[0][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[0][0]~q\,
	datab => \led_flash_cnt[0][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[0][1]~26880_combout\,
	cout => \led_flash_cnt[0][1]~26881\);

-- Location: FF_X17_Y35_N1
\led_flash_cnt[0][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[0][1]~26880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[0][1]~q\);

-- Location: LCCOMB_X17_Y35_N2
\led_flash_cnt[0][2]~26882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[0][2]~26882_combout\ = (\led_flash_cnt[0][2]~q\ & (!\led_flash_cnt[0][1]~26881\)) # (!\led_flash_cnt[0][2]~q\ & ((\led_flash_cnt[0][1]~26881\) # (GND)))
-- \led_flash_cnt[0][2]~26883\ = CARRY((!\led_flash_cnt[0][1]~26881\) # (!\led_flash_cnt[0][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[0][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[0][1]~26881\,
	combout => \led_flash_cnt[0][2]~26882_combout\,
	cout => \led_flash_cnt[0][2]~26883\);

-- Location: FF_X17_Y35_N3
\led_flash_cnt[0][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[0][2]~26882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[0][2]~q\);

-- Location: LCCOMB_X17_Y35_N4
\led_flash_cnt[0][3]~26884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[0][3]~26884_combout\ = (\led_flash_cnt[0][3]~q\ & (\led_flash_cnt[0][2]~26883\ $ (GND))) # (!\led_flash_cnt[0][3]~q\ & (!\led_flash_cnt[0][2]~26883\ & VCC))
-- \led_flash_cnt[0][3]~26885\ = CARRY((\led_flash_cnt[0][3]~q\ & !\led_flash_cnt[0][2]~26883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[0][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[0][2]~26883\,
	combout => \led_flash_cnt[0][3]~26884_combout\,
	cout => \led_flash_cnt[0][3]~26885\);

-- Location: FF_X17_Y35_N5
\led_flash_cnt[0][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[0][3]~26884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[0][3]~q\);

-- Location: LCCOMB_X17_Y35_N6
\led_flash_cnt[0][4]~26886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[0][4]~26886_combout\ = (\led_flash_cnt[0][4]~q\ & (!\led_flash_cnt[0][3]~26885\)) # (!\led_flash_cnt[0][4]~q\ & ((\led_flash_cnt[0][3]~26885\) # (GND)))
-- \led_flash_cnt[0][4]~26887\ = CARRY((!\led_flash_cnt[0][3]~26885\) # (!\led_flash_cnt[0][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[0][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[0][3]~26885\,
	combout => \led_flash_cnt[0][4]~26886_combout\,
	cout => \led_flash_cnt[0][4]~26887\);

-- Location: FF_X17_Y35_N7
\led_flash_cnt[0][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[0][4]~26886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[0][4]~q\);

-- Location: LCCOMB_X17_Y35_N8
\led_flash_cnt[0][5]~26888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[0][5]~26888_combout\ = (\led_flash_cnt[0][5]~q\ & (\led_flash_cnt[0][4]~26887\ $ (GND))) # (!\led_flash_cnt[0][5]~q\ & (!\led_flash_cnt[0][4]~26887\ & VCC))
-- \led_flash_cnt[0][5]~26889\ = CARRY((\led_flash_cnt[0][5]~q\ & !\led_flash_cnt[0][4]~26887\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[0][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[0][4]~26887\,
	combout => \led_flash_cnt[0][5]~26888_combout\,
	cout => \led_flash_cnt[0][5]~26889\);

-- Location: FF_X17_Y35_N9
\led_flash_cnt[0][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[0][5]~26888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[0][5]~q\);

-- Location: LCCOMB_X17_Y35_N10
\led_flash_cnt[0][6]~26890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[0][6]~26890_combout\ = (\led_flash_cnt[0][6]~q\ & (!\led_flash_cnt[0][5]~26889\)) # (!\led_flash_cnt[0][6]~q\ & ((\led_flash_cnt[0][5]~26889\) # (GND)))
-- \led_flash_cnt[0][6]~26891\ = CARRY((!\led_flash_cnt[0][5]~26889\) # (!\led_flash_cnt[0][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[0][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[0][5]~26889\,
	combout => \led_flash_cnt[0][6]~26890_combout\,
	cout => \led_flash_cnt[0][6]~26891\);

-- Location: FF_X17_Y35_N11
\led_flash_cnt[0][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[0][6]~26890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[0][6]~q\);

-- Location: LCCOMB_X16_Y35_N10
\WideAnd0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd0~1_combout\ = (\led_flash_cnt[0][6]~q\ & \led_flash_cnt[0][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[0][6]~q\,
	datac => \led_flash_cnt[0][5]~q\,
	combout => \WideAnd0~1_combout\);

-- Location: LCCOMB_X17_Y35_N12
\led_flash_cnt[0][7]~26892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[0][7]~26892_combout\ = \led_flash_cnt[0][6]~26891\ $ (!\led_flash_cnt[0][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[0][7]~q\,
	cin => \led_flash_cnt[0][6]~26891\,
	combout => \led_flash_cnt[0][7]~26892_combout\);

-- Location: FF_X17_Y35_N13
\led_flash_cnt[0][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[0][7]~26892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[0][7]~q\);

-- Location: LCCOMB_X17_Y35_N30
\WideAnd0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd0~0_combout\ = (\led_flash_cnt[0][4]~q\ & (\led_flash_cnt[0][1]~q\ & (\led_flash_cnt[0][3]~q\ & \led_flash_cnt[0][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[0][4]~q\,
	datab => \led_flash_cnt[0][1]~q\,
	datac => \led_flash_cnt[0][3]~q\,
	datad => \led_flash_cnt[0][2]~q\,
	combout => \WideAnd0~0_combout\);

-- Location: LCCOMB_X16_Y35_N8
WideAnd0 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd0~combout\ = (\WideAnd0~1_combout\ & (\led_flash_cnt[0][7]~q\ & (\WideAnd0~0_combout\ & \led_flash_cnt[0][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd0~1_combout\,
	datab => \led_flash_cnt[0][7]~q\,
	datac => \WideAnd0~0_combout\,
	datad => \led_flash_cnt[0][0]~q\,
	combout => \WideAnd0~combout\);

-- Location: FF_X16_Y35_N9
\led_flash_cnt_ands[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd0~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(0));

-- Location: LCCOMB_X43_Y35_N20
\led_flash_cnt[2][0]~80642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2][0]~80642_combout\ = !\led_flash_cnt[2][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2][0]~q\,
	combout => \led_flash_cnt[2][0]~80642_combout\);

-- Location: FF_X43_Y35_N21
\led_flash_cnt[2][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2][0]~80642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2][0]~q\);

-- Location: LCCOMB_X43_Y35_N6
\led_flash_cnt[2][1]~26908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2][1]~26908_combout\ = (\led_flash_cnt[2][1]~q\ & (\led_flash_cnt[2][0]~q\ $ (VCC))) # (!\led_flash_cnt[2][1]~q\ & (\led_flash_cnt[2][0]~q\ & VCC))
-- \led_flash_cnt[2][1]~26909\ = CARRY((\led_flash_cnt[2][1]~q\ & \led_flash_cnt[2][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2][1]~q\,
	datab => \led_flash_cnt[2][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[2][1]~26908_combout\,
	cout => \led_flash_cnt[2][1]~26909\);

-- Location: FF_X43_Y35_N7
\led_flash_cnt[2][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2][1]~26908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2][1]~q\);

-- Location: LCCOMB_X43_Y35_N8
\led_flash_cnt[2][2]~26910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2][2]~26910_combout\ = (\led_flash_cnt[2][2]~q\ & (!\led_flash_cnt[2][1]~26909\)) # (!\led_flash_cnt[2][2]~q\ & ((\led_flash_cnt[2][1]~26909\) # (GND)))
-- \led_flash_cnt[2][2]~26911\ = CARRY((!\led_flash_cnt[2][1]~26909\) # (!\led_flash_cnt[2][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2][1]~26909\,
	combout => \led_flash_cnt[2][2]~26910_combout\,
	cout => \led_flash_cnt[2][2]~26911\);

-- Location: FF_X43_Y35_N9
\led_flash_cnt[2][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2][2]~26910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2][2]~q\);

-- Location: LCCOMB_X43_Y35_N10
\led_flash_cnt[2][3]~26912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2][3]~26912_combout\ = (\led_flash_cnt[2][3]~q\ & (\led_flash_cnt[2][2]~26911\ $ (GND))) # (!\led_flash_cnt[2][3]~q\ & (!\led_flash_cnt[2][2]~26911\ & VCC))
-- \led_flash_cnt[2][3]~26913\ = CARRY((\led_flash_cnt[2][3]~q\ & !\led_flash_cnt[2][2]~26911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2][2]~26911\,
	combout => \led_flash_cnt[2][3]~26912_combout\,
	cout => \led_flash_cnt[2][3]~26913\);

-- Location: FF_X43_Y35_N11
\led_flash_cnt[2][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2][3]~26912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2][3]~q\);

-- Location: LCCOMB_X43_Y35_N12
\led_flash_cnt[2][4]~26914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2][4]~26914_combout\ = (\led_flash_cnt[2][4]~q\ & (!\led_flash_cnt[2][3]~26913\)) # (!\led_flash_cnt[2][4]~q\ & ((\led_flash_cnt[2][3]~26913\) # (GND)))
-- \led_flash_cnt[2][4]~26915\ = CARRY((!\led_flash_cnt[2][3]~26913\) # (!\led_flash_cnt[2][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2][3]~26913\,
	combout => \led_flash_cnt[2][4]~26914_combout\,
	cout => \led_flash_cnt[2][4]~26915\);

-- Location: FF_X43_Y35_N13
\led_flash_cnt[2][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2][4]~26914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2][4]~q\);

-- Location: LCCOMB_X43_Y35_N30
\WideAnd2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2~0_combout\ = (\led_flash_cnt[2][4]~q\ & (\led_flash_cnt[2][1]~q\ & (\led_flash_cnt[2][2]~q\ & \led_flash_cnt[2][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[2][4]~q\,
	datab => \led_flash_cnt[2][1]~q\,
	datac => \led_flash_cnt[2][2]~q\,
	datad => \led_flash_cnt[2][3]~q\,
	combout => \WideAnd2~0_combout\);

-- Location: LCCOMB_X43_Y35_N14
\led_flash_cnt[2][5]~26916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2][5]~26916_combout\ = (\led_flash_cnt[2][5]~q\ & (\led_flash_cnt[2][4]~26915\ $ (GND))) # (!\led_flash_cnt[2][5]~q\ & (!\led_flash_cnt[2][4]~26915\ & VCC))
-- \led_flash_cnt[2][5]~26917\ = CARRY((\led_flash_cnt[2][5]~q\ & !\led_flash_cnt[2][4]~26915\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2][4]~26915\,
	combout => \led_flash_cnt[2][5]~26916_combout\,
	cout => \led_flash_cnt[2][5]~26917\);

-- Location: FF_X43_Y35_N15
\led_flash_cnt[2][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2][5]~26916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2][5]~q\);

-- Location: LCCOMB_X43_Y35_N16
\led_flash_cnt[2][6]~26918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2][6]~26918_combout\ = (\led_flash_cnt[2][6]~q\ & (!\led_flash_cnt[2][5]~26917\)) # (!\led_flash_cnt[2][6]~q\ & ((\led_flash_cnt[2][5]~26917\) # (GND)))
-- \led_flash_cnt[2][6]~26919\ = CARRY((!\led_flash_cnt[2][5]~26917\) # (!\led_flash_cnt[2][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[2][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[2][5]~26917\,
	combout => \led_flash_cnt[2][6]~26918_combout\,
	cout => \led_flash_cnt[2][6]~26919\);

-- Location: FF_X43_Y35_N17
\led_flash_cnt[2][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2][6]~26918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2][6]~q\);

-- Location: LCCOMB_X43_Y35_N22
\WideAnd2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2~1_combout\ = (\led_flash_cnt[2][5]~q\ & \led_flash_cnt[2][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[2][5]~q\,
	datad => \led_flash_cnt[2][6]~q\,
	combout => \WideAnd2~1_combout\);

-- Location: LCCOMB_X43_Y35_N18
\led_flash_cnt[2][7]~26920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[2][7]~26920_combout\ = \led_flash_cnt[2][6]~26919\ $ (!\led_flash_cnt[2][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[2][7]~q\,
	cin => \led_flash_cnt[2][6]~26919\,
	combout => \led_flash_cnt[2][7]~26920_combout\);

-- Location: FF_X43_Y35_N19
\led_flash_cnt[2][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[2][7]~26920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[2][7]~q\);

-- Location: LCCOMB_X43_Y35_N0
WideAnd2 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd2~combout\ = (\WideAnd2~0_combout\ & (\led_flash_cnt[2][0]~q\ & (\WideAnd2~1_combout\ & \led_flash_cnt[2][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd2~0_combout\,
	datab => \led_flash_cnt[2][0]~q\,
	datac => \WideAnd2~1_combout\,
	datad => \led_flash_cnt[2][7]~q\,
	combout => \WideAnd2~combout\);

-- Location: FF_X43_Y35_N1
\led_flash_cnt_ands[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd2~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(2));

-- Location: LCCOMB_X43_Y35_N4
\WideAnd3840~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3840~0_combout\ = (led_flash_cnt_ands(3) & (led_flash_cnt_ands(1) & (led_flash_cnt_ands(0) & led_flash_cnt_ands(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(3),
	datab => led_flash_cnt_ands(1),
	datac => led_flash_cnt_ands(0),
	datad => led_flash_cnt_ands(2),
	combout => \WideAnd3840~0_combout\);

-- Location: LCCOMB_X9_Y31_N30
WideAnd3840 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3840~combout\ = (led_flash_cnt_ands(6) & (\WideAnd3840~1_combout\ & (led_flash_cnt_ands(7) & \WideAnd3840~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(6),
	datab => \WideAnd3840~1_combout\,
	datac => led_flash_cnt_ands(7),
	datad => \WideAnd3840~0_combout\,
	combout => \WideAnd3840~combout\);

-- Location: FF_X9_Y31_N31
\led_flash_cnt_ands_1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3840~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(0));

-- Location: LCCOMB_X4_Y2_N22
\led_flash_cnt[20][0]~80660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[20][0]~80660_combout\ = !\led_flash_cnt[20][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[20][0]~q\,
	combout => \led_flash_cnt[20][0]~80660_combout\);

-- Location: FF_X4_Y2_N23
\led_flash_cnt[20][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[20][0]~80660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[20][0]~q\);

-- Location: LCCOMB_X4_Y2_N0
\led_flash_cnt[20][1]~27160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[20][1]~27160_combout\ = (\led_flash_cnt[20][0]~q\ & (\led_flash_cnt[20][1]~q\ $ (VCC))) # (!\led_flash_cnt[20][0]~q\ & (\led_flash_cnt[20][1]~q\ & VCC))
-- \led_flash_cnt[20][1]~27161\ = CARRY((\led_flash_cnt[20][0]~q\ & \led_flash_cnt[20][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[20][0]~q\,
	datab => \led_flash_cnt[20][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[20][1]~27160_combout\,
	cout => \led_flash_cnt[20][1]~27161\);

-- Location: FF_X4_Y2_N1
\led_flash_cnt[20][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[20][1]~27160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[20][1]~q\);

-- Location: LCCOMB_X4_Y2_N2
\led_flash_cnt[20][2]~27162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[20][2]~27162_combout\ = (\led_flash_cnt[20][2]~q\ & (!\led_flash_cnt[20][1]~27161\)) # (!\led_flash_cnt[20][2]~q\ & ((\led_flash_cnt[20][1]~27161\) # (GND)))
-- \led_flash_cnt[20][2]~27163\ = CARRY((!\led_flash_cnt[20][1]~27161\) # (!\led_flash_cnt[20][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[20][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[20][1]~27161\,
	combout => \led_flash_cnt[20][2]~27162_combout\,
	cout => \led_flash_cnt[20][2]~27163\);

-- Location: FF_X4_Y2_N3
\led_flash_cnt[20][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[20][2]~27162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[20][2]~q\);

-- Location: LCCOMB_X4_Y2_N4
\led_flash_cnt[20][3]~27164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[20][3]~27164_combout\ = (\led_flash_cnt[20][3]~q\ & (\led_flash_cnt[20][2]~27163\ $ (GND))) # (!\led_flash_cnt[20][3]~q\ & (!\led_flash_cnt[20][2]~27163\ & VCC))
-- \led_flash_cnt[20][3]~27165\ = CARRY((\led_flash_cnt[20][3]~q\ & !\led_flash_cnt[20][2]~27163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[20][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[20][2]~27163\,
	combout => \led_flash_cnt[20][3]~27164_combout\,
	cout => \led_flash_cnt[20][3]~27165\);

-- Location: FF_X4_Y2_N5
\led_flash_cnt[20][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[20][3]~27164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[20][3]~q\);

-- Location: LCCOMB_X4_Y2_N6
\led_flash_cnt[20][4]~27166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[20][4]~27166_combout\ = (\led_flash_cnt[20][4]~q\ & (!\led_flash_cnt[20][3]~27165\)) # (!\led_flash_cnt[20][4]~q\ & ((\led_flash_cnt[20][3]~27165\) # (GND)))
-- \led_flash_cnt[20][4]~27167\ = CARRY((!\led_flash_cnt[20][3]~27165\) # (!\led_flash_cnt[20][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[20][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[20][3]~27165\,
	combout => \led_flash_cnt[20][4]~27166_combout\,
	cout => \led_flash_cnt[20][4]~27167\);

-- Location: FF_X4_Y2_N7
\led_flash_cnt[20][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[20][4]~27166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[20][4]~q\);

-- Location: LCCOMB_X4_Y2_N8
\led_flash_cnt[20][5]~27168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[20][5]~27168_combout\ = (\led_flash_cnt[20][5]~q\ & (\led_flash_cnt[20][4]~27167\ $ (GND))) # (!\led_flash_cnt[20][5]~q\ & (!\led_flash_cnt[20][4]~27167\ & VCC))
-- \led_flash_cnt[20][5]~27169\ = CARRY((\led_flash_cnt[20][5]~q\ & !\led_flash_cnt[20][4]~27167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[20][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[20][4]~27167\,
	combout => \led_flash_cnt[20][5]~27168_combout\,
	cout => \led_flash_cnt[20][5]~27169\);

-- Location: FF_X4_Y2_N9
\led_flash_cnt[20][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[20][5]~27168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[20][5]~q\);

-- Location: LCCOMB_X4_Y2_N10
\led_flash_cnt[20][6]~27170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[20][6]~27170_combout\ = (\led_flash_cnt[20][6]~q\ & (!\led_flash_cnt[20][5]~27169\)) # (!\led_flash_cnt[20][6]~q\ & ((\led_flash_cnt[20][5]~27169\) # (GND)))
-- \led_flash_cnt[20][6]~27171\ = CARRY((!\led_flash_cnt[20][5]~27169\) # (!\led_flash_cnt[20][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[20][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[20][5]~27169\,
	combout => \led_flash_cnt[20][6]~27170_combout\,
	cout => \led_flash_cnt[20][6]~27171\);

-- Location: FF_X4_Y2_N11
\led_flash_cnt[20][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[20][6]~27170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[20][6]~q\);

-- Location: LCCOMB_X4_Y2_N12
\led_flash_cnt[20][7]~27172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[20][7]~27172_combout\ = \led_flash_cnt[20][6]~27171\ $ (!\led_flash_cnt[20][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[20][7]~q\,
	cin => \led_flash_cnt[20][6]~27171\,
	combout => \led_flash_cnt[20][7]~27172_combout\);

-- Location: FF_X4_Y2_N13
\led_flash_cnt[20][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[20][7]~27172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[20][7]~q\);

-- Location: LCCOMB_X4_Y2_N14
\WideAnd20~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd20~0_combout\ = (\led_flash_cnt[20][4]~q\ & (\led_flash_cnt[20][1]~q\ & (\led_flash_cnt[20][3]~q\ & \led_flash_cnt[20][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[20][4]~q\,
	datab => \led_flash_cnt[20][1]~q\,
	datac => \led_flash_cnt[20][3]~q\,
	datad => \led_flash_cnt[20][2]~q\,
	combout => \WideAnd20~0_combout\);

-- Location: LCCOMB_X4_Y2_N20
\WideAnd20~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd20~1_combout\ = (\led_flash_cnt[20][5]~q\ & \led_flash_cnt[20][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[20][5]~q\,
	datad => \led_flash_cnt[20][6]~q\,
	combout => \WideAnd20~1_combout\);

-- Location: LCCOMB_X4_Y2_N30
WideAnd20 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd20~combout\ = (\led_flash_cnt[20][7]~q\ & (\WideAnd20~0_combout\ & (\led_flash_cnt[20][0]~q\ & \WideAnd20~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[20][7]~q\,
	datab => \WideAnd20~0_combout\,
	datac => \led_flash_cnt[20][0]~q\,
	datad => \WideAnd20~1_combout\,
	combout => \WideAnd20~combout\);

-- Location: FF_X4_Y2_N31
\led_flash_cnt_ands[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd20~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(20));

-- Location: LCCOMB_X4_Y2_N26
\led_flash_cnt[21][0]~80661\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[21][0]~80661_combout\ = !\led_flash_cnt[21][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[21][0]~q\,
	combout => \led_flash_cnt[21][0]~80661_combout\);

-- Location: FF_X4_Y2_N27
\led_flash_cnt[21][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[21][0]~80661_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[21][0]~q\);

-- Location: LCCOMB_X3_Y2_N0
\led_flash_cnt[21][1]~27174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[21][1]~27174_combout\ = (\led_flash_cnt[21][0]~q\ & (\led_flash_cnt[21][1]~q\ $ (VCC))) # (!\led_flash_cnt[21][0]~q\ & (\led_flash_cnt[21][1]~q\ & VCC))
-- \led_flash_cnt[21][1]~27175\ = CARRY((\led_flash_cnt[21][0]~q\ & \led_flash_cnt[21][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[21][0]~q\,
	datab => \led_flash_cnt[21][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[21][1]~27174_combout\,
	cout => \led_flash_cnt[21][1]~27175\);

-- Location: FF_X3_Y2_N1
\led_flash_cnt[21][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[21][1]~27174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[21][1]~q\);

-- Location: LCCOMB_X3_Y2_N2
\led_flash_cnt[21][2]~27176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[21][2]~27176_combout\ = (\led_flash_cnt[21][2]~q\ & (!\led_flash_cnt[21][1]~27175\)) # (!\led_flash_cnt[21][2]~q\ & ((\led_flash_cnt[21][1]~27175\) # (GND)))
-- \led_flash_cnt[21][2]~27177\ = CARRY((!\led_flash_cnt[21][1]~27175\) # (!\led_flash_cnt[21][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[21][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[21][1]~27175\,
	combout => \led_flash_cnt[21][2]~27176_combout\,
	cout => \led_flash_cnt[21][2]~27177\);

-- Location: FF_X3_Y2_N3
\led_flash_cnt[21][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[21][2]~27176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[21][2]~q\);

-- Location: LCCOMB_X3_Y2_N4
\led_flash_cnt[21][3]~27178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[21][3]~27178_combout\ = (\led_flash_cnt[21][3]~q\ & (\led_flash_cnt[21][2]~27177\ $ (GND))) # (!\led_flash_cnt[21][3]~q\ & (!\led_flash_cnt[21][2]~27177\ & VCC))
-- \led_flash_cnt[21][3]~27179\ = CARRY((\led_flash_cnt[21][3]~q\ & !\led_flash_cnt[21][2]~27177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[21][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[21][2]~27177\,
	combout => \led_flash_cnt[21][3]~27178_combout\,
	cout => \led_flash_cnt[21][3]~27179\);

-- Location: FF_X3_Y2_N5
\led_flash_cnt[21][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[21][3]~27178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[21][3]~q\);

-- Location: LCCOMB_X3_Y2_N6
\led_flash_cnt[21][4]~27180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[21][4]~27180_combout\ = (\led_flash_cnt[21][4]~q\ & (!\led_flash_cnt[21][3]~27179\)) # (!\led_flash_cnt[21][4]~q\ & ((\led_flash_cnt[21][3]~27179\) # (GND)))
-- \led_flash_cnt[21][4]~27181\ = CARRY((!\led_flash_cnt[21][3]~27179\) # (!\led_flash_cnt[21][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[21][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[21][3]~27179\,
	combout => \led_flash_cnt[21][4]~27180_combout\,
	cout => \led_flash_cnt[21][4]~27181\);

-- Location: FF_X3_Y2_N7
\led_flash_cnt[21][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[21][4]~27180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[21][4]~q\);

-- Location: LCCOMB_X3_Y2_N8
\led_flash_cnt[21][5]~27182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[21][5]~27182_combout\ = (\led_flash_cnt[21][5]~q\ & (\led_flash_cnt[21][4]~27181\ $ (GND))) # (!\led_flash_cnt[21][5]~q\ & (!\led_flash_cnt[21][4]~27181\ & VCC))
-- \led_flash_cnt[21][5]~27183\ = CARRY((\led_flash_cnt[21][5]~q\ & !\led_flash_cnt[21][4]~27181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[21][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[21][4]~27181\,
	combout => \led_flash_cnt[21][5]~27182_combout\,
	cout => \led_flash_cnt[21][5]~27183\);

-- Location: FF_X3_Y2_N9
\led_flash_cnt[21][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[21][5]~27182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[21][5]~q\);

-- Location: LCCOMB_X3_Y2_N10
\led_flash_cnt[21][6]~27184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[21][6]~27184_combout\ = (\led_flash_cnt[21][6]~q\ & (!\led_flash_cnt[21][5]~27183\)) # (!\led_flash_cnt[21][6]~q\ & ((\led_flash_cnt[21][5]~27183\) # (GND)))
-- \led_flash_cnt[21][6]~27185\ = CARRY((!\led_flash_cnt[21][5]~27183\) # (!\led_flash_cnt[21][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[21][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[21][5]~27183\,
	combout => \led_flash_cnt[21][6]~27184_combout\,
	cout => \led_flash_cnt[21][6]~27185\);

-- Location: FF_X3_Y2_N11
\led_flash_cnt[21][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[21][6]~27184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[21][6]~q\);

-- Location: LCCOMB_X3_Y2_N12
\led_flash_cnt[21][7]~27186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[21][7]~27186_combout\ = \led_flash_cnt[21][6]~27185\ $ (!\led_flash_cnt[21][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[21][7]~q\,
	cin => \led_flash_cnt[21][6]~27185\,
	combout => \led_flash_cnt[21][7]~27186_combout\);

-- Location: FF_X3_Y2_N13
\led_flash_cnt[21][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[21][7]~27186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[21][7]~q\);

-- Location: LCCOMB_X4_Y2_N18
\WideAnd21~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd21~1_combout\ = (\led_flash_cnt[21][5]~q\ & \led_flash_cnt[21][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[21][5]~q\,
	datad => \led_flash_cnt[21][6]~q\,
	combout => \WideAnd21~1_combout\);

-- Location: LCCOMB_X3_Y2_N14
\WideAnd21~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd21~0_combout\ = (\led_flash_cnt[21][4]~q\ & (\led_flash_cnt[21][2]~q\ & (\led_flash_cnt[21][3]~q\ & \led_flash_cnt[21][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[21][4]~q\,
	datab => \led_flash_cnt[21][2]~q\,
	datac => \led_flash_cnt[21][3]~q\,
	datad => \led_flash_cnt[21][1]~q\,
	combout => \WideAnd21~0_combout\);

-- Location: LCCOMB_X4_Y2_N28
WideAnd21 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd21~combout\ = (\led_flash_cnt[21][7]~q\ & (\WideAnd21~1_combout\ & (\led_flash_cnt[21][0]~q\ & \WideAnd21~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[21][7]~q\,
	datab => \WideAnd21~1_combout\,
	datac => \led_flash_cnt[21][0]~q\,
	datad => \WideAnd21~0_combout\,
	combout => \WideAnd21~combout\);

-- Location: FF_X4_Y2_N29
\led_flash_cnt_ands[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd21~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(21));

-- Location: LCCOMB_X4_Y2_N24
\WideAnd3842~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3842~1_combout\ = (led_flash_cnt_ands(20) & led_flash_cnt_ands(21))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(20),
	datad => led_flash_cnt_ands(21),
	combout => \WideAnd3842~1_combout\);

-- Location: LCCOMB_X4_Y21_N30
\led_flash_cnt[22][0]~80662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[22][0]~80662_combout\ = !\led_flash_cnt[22][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[22][0]~q\,
	combout => \led_flash_cnt[22][0]~80662_combout\);

-- Location: FF_X4_Y21_N31
\led_flash_cnt[22][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[22][0]~80662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[22][0]~q\);

-- Location: LCCOMB_X4_Y21_N16
\led_flash_cnt[22][1]~27188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[22][1]~27188_combout\ = (\led_flash_cnt[22][0]~q\ & (\led_flash_cnt[22][1]~q\ $ (VCC))) # (!\led_flash_cnt[22][0]~q\ & (\led_flash_cnt[22][1]~q\ & VCC))
-- \led_flash_cnt[22][1]~27189\ = CARRY((\led_flash_cnt[22][0]~q\ & \led_flash_cnt[22][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[22][0]~q\,
	datab => \led_flash_cnt[22][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[22][1]~27188_combout\,
	cout => \led_flash_cnt[22][1]~27189\);

-- Location: FF_X4_Y21_N17
\led_flash_cnt[22][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[22][1]~27188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[22][1]~q\);

-- Location: LCCOMB_X4_Y21_N18
\led_flash_cnt[22][2]~27190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[22][2]~27190_combout\ = (\led_flash_cnt[22][2]~q\ & (!\led_flash_cnt[22][1]~27189\)) # (!\led_flash_cnt[22][2]~q\ & ((\led_flash_cnt[22][1]~27189\) # (GND)))
-- \led_flash_cnt[22][2]~27191\ = CARRY((!\led_flash_cnt[22][1]~27189\) # (!\led_flash_cnt[22][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[22][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[22][1]~27189\,
	combout => \led_flash_cnt[22][2]~27190_combout\,
	cout => \led_flash_cnt[22][2]~27191\);

-- Location: FF_X4_Y21_N19
\led_flash_cnt[22][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[22][2]~27190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[22][2]~q\);

-- Location: LCCOMB_X4_Y21_N20
\led_flash_cnt[22][3]~27192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[22][3]~27192_combout\ = (\led_flash_cnt[22][3]~q\ & (\led_flash_cnt[22][2]~27191\ $ (GND))) # (!\led_flash_cnt[22][3]~q\ & (!\led_flash_cnt[22][2]~27191\ & VCC))
-- \led_flash_cnt[22][3]~27193\ = CARRY((\led_flash_cnt[22][3]~q\ & !\led_flash_cnt[22][2]~27191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[22][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[22][2]~27191\,
	combout => \led_flash_cnt[22][3]~27192_combout\,
	cout => \led_flash_cnt[22][3]~27193\);

-- Location: FF_X4_Y21_N21
\led_flash_cnt[22][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[22][3]~27192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[22][3]~q\);

-- Location: LCCOMB_X4_Y21_N22
\led_flash_cnt[22][4]~27194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[22][4]~27194_combout\ = (\led_flash_cnt[22][4]~q\ & (!\led_flash_cnt[22][3]~27193\)) # (!\led_flash_cnt[22][4]~q\ & ((\led_flash_cnt[22][3]~27193\) # (GND)))
-- \led_flash_cnt[22][4]~27195\ = CARRY((!\led_flash_cnt[22][3]~27193\) # (!\led_flash_cnt[22][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[22][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[22][3]~27193\,
	combout => \led_flash_cnt[22][4]~27194_combout\,
	cout => \led_flash_cnt[22][4]~27195\);

-- Location: FF_X4_Y21_N23
\led_flash_cnt[22][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[22][4]~27194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[22][4]~q\);

-- Location: LCCOMB_X4_Y21_N24
\led_flash_cnt[22][5]~27196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[22][5]~27196_combout\ = (\led_flash_cnt[22][5]~q\ & (\led_flash_cnt[22][4]~27195\ $ (GND))) # (!\led_flash_cnt[22][5]~q\ & (!\led_flash_cnt[22][4]~27195\ & VCC))
-- \led_flash_cnt[22][5]~27197\ = CARRY((\led_flash_cnt[22][5]~q\ & !\led_flash_cnt[22][4]~27195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[22][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[22][4]~27195\,
	combout => \led_flash_cnt[22][5]~27196_combout\,
	cout => \led_flash_cnt[22][5]~27197\);

-- Location: FF_X4_Y21_N25
\led_flash_cnt[22][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[22][5]~27196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[22][5]~q\);

-- Location: LCCOMB_X4_Y21_N26
\led_flash_cnt[22][6]~27198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[22][6]~27198_combout\ = (\led_flash_cnt[22][6]~q\ & (!\led_flash_cnt[22][5]~27197\)) # (!\led_flash_cnt[22][6]~q\ & ((\led_flash_cnt[22][5]~27197\) # (GND)))
-- \led_flash_cnt[22][6]~27199\ = CARRY((!\led_flash_cnt[22][5]~27197\) # (!\led_flash_cnt[22][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[22][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[22][5]~27197\,
	combout => \led_flash_cnt[22][6]~27198_combout\,
	cout => \led_flash_cnt[22][6]~27199\);

-- Location: FF_X4_Y21_N27
\led_flash_cnt[22][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[22][6]~27198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[22][6]~q\);

-- Location: LCCOMB_X4_Y21_N28
\led_flash_cnt[22][7]~27200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[22][7]~27200_combout\ = \led_flash_cnt[22][6]~27199\ $ (!\led_flash_cnt[22][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[22][7]~q\,
	cin => \led_flash_cnt[22][6]~27199\,
	combout => \led_flash_cnt[22][7]~27200_combout\);

-- Location: FF_X4_Y21_N29
\led_flash_cnt[22][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[22][7]~27200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[22][7]~q\);

-- Location: LCCOMB_X4_Y21_N8
\WideAnd22~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd22~0_combout\ = (\led_flash_cnt[22][3]~q\ & (\led_flash_cnt[22][1]~q\ & (\led_flash_cnt[22][4]~q\ & \led_flash_cnt[22][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[22][3]~q\,
	datab => \led_flash_cnt[22][1]~q\,
	datac => \led_flash_cnt[22][4]~q\,
	datad => \led_flash_cnt[22][2]~q\,
	combout => \WideAnd22~0_combout\);

-- Location: LCCOMB_X4_Y21_N12
\WideAnd22~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd22~1_combout\ = (\led_flash_cnt[22][6]~q\ & \led_flash_cnt[22][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[22][6]~q\,
	datad => \led_flash_cnt[22][5]~q\,
	combout => \WideAnd22~1_combout\);

-- Location: LCCOMB_X4_Y21_N6
WideAnd22 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd22~combout\ = (\led_flash_cnt[22][0]~q\ & (\led_flash_cnt[22][7]~q\ & (\WideAnd22~0_combout\ & \WideAnd22~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[22][0]~q\,
	datab => \led_flash_cnt[22][7]~q\,
	datac => \WideAnd22~0_combout\,
	datad => \WideAnd22~1_combout\,
	combout => \WideAnd22~combout\);

-- Location: FF_X4_Y21_N7
\led_flash_cnt_ands[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd22~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(22));

-- Location: LCCOMB_X14_Y26_N28
\led_flash_cnt[23][0]~80663\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[23][0]~80663_combout\ = !\led_flash_cnt[23][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[23][0]~q\,
	combout => \led_flash_cnt[23][0]~80663_combout\);

-- Location: FF_X14_Y26_N29
\led_flash_cnt[23][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[23][0]~80663_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[23][0]~q\);

-- Location: LCCOMB_X14_Y26_N6
\led_flash_cnt[23][1]~27202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[23][1]~27202_combout\ = (\led_flash_cnt[23][1]~q\ & (\led_flash_cnt[23][0]~q\ $ (VCC))) # (!\led_flash_cnt[23][1]~q\ & (\led_flash_cnt[23][0]~q\ & VCC))
-- \led_flash_cnt[23][1]~27203\ = CARRY((\led_flash_cnt[23][1]~q\ & \led_flash_cnt[23][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[23][1]~q\,
	datab => \led_flash_cnt[23][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[23][1]~27202_combout\,
	cout => \led_flash_cnt[23][1]~27203\);

-- Location: FF_X14_Y26_N7
\led_flash_cnt[23][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[23][1]~27202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[23][1]~q\);

-- Location: LCCOMB_X14_Y26_N8
\led_flash_cnt[23][2]~27204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[23][2]~27204_combout\ = (\led_flash_cnt[23][2]~q\ & (!\led_flash_cnt[23][1]~27203\)) # (!\led_flash_cnt[23][2]~q\ & ((\led_flash_cnt[23][1]~27203\) # (GND)))
-- \led_flash_cnt[23][2]~27205\ = CARRY((!\led_flash_cnt[23][1]~27203\) # (!\led_flash_cnt[23][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[23][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[23][1]~27203\,
	combout => \led_flash_cnt[23][2]~27204_combout\,
	cout => \led_flash_cnt[23][2]~27205\);

-- Location: FF_X14_Y26_N9
\led_flash_cnt[23][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[23][2]~27204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[23][2]~q\);

-- Location: LCCOMB_X14_Y26_N10
\led_flash_cnt[23][3]~27206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[23][3]~27206_combout\ = (\led_flash_cnt[23][3]~q\ & (\led_flash_cnt[23][2]~27205\ $ (GND))) # (!\led_flash_cnt[23][3]~q\ & (!\led_flash_cnt[23][2]~27205\ & VCC))
-- \led_flash_cnt[23][3]~27207\ = CARRY((\led_flash_cnt[23][3]~q\ & !\led_flash_cnt[23][2]~27205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[23][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[23][2]~27205\,
	combout => \led_flash_cnt[23][3]~27206_combout\,
	cout => \led_flash_cnt[23][3]~27207\);

-- Location: FF_X14_Y26_N11
\led_flash_cnt[23][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[23][3]~27206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[23][3]~q\);

-- Location: LCCOMB_X14_Y26_N12
\led_flash_cnt[23][4]~27208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[23][4]~27208_combout\ = (\led_flash_cnt[23][4]~q\ & (!\led_flash_cnt[23][3]~27207\)) # (!\led_flash_cnt[23][4]~q\ & ((\led_flash_cnt[23][3]~27207\) # (GND)))
-- \led_flash_cnt[23][4]~27209\ = CARRY((!\led_flash_cnt[23][3]~27207\) # (!\led_flash_cnt[23][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[23][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[23][3]~27207\,
	combout => \led_flash_cnt[23][4]~27208_combout\,
	cout => \led_flash_cnt[23][4]~27209\);

-- Location: FF_X14_Y26_N13
\led_flash_cnt[23][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[23][4]~27208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[23][4]~q\);

-- Location: LCCOMB_X14_Y26_N14
\led_flash_cnt[23][5]~27210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[23][5]~27210_combout\ = (\led_flash_cnt[23][5]~q\ & (\led_flash_cnt[23][4]~27209\ $ (GND))) # (!\led_flash_cnt[23][5]~q\ & (!\led_flash_cnt[23][4]~27209\ & VCC))
-- \led_flash_cnt[23][5]~27211\ = CARRY((\led_flash_cnt[23][5]~q\ & !\led_flash_cnt[23][4]~27209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[23][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[23][4]~27209\,
	combout => \led_flash_cnt[23][5]~27210_combout\,
	cout => \led_flash_cnt[23][5]~27211\);

-- Location: FF_X14_Y26_N15
\led_flash_cnt[23][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[23][5]~27210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[23][5]~q\);

-- Location: LCCOMB_X14_Y26_N16
\led_flash_cnt[23][6]~27212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[23][6]~27212_combout\ = (\led_flash_cnt[23][6]~q\ & (!\led_flash_cnt[23][5]~27211\)) # (!\led_flash_cnt[23][6]~q\ & ((\led_flash_cnt[23][5]~27211\) # (GND)))
-- \led_flash_cnt[23][6]~27213\ = CARRY((!\led_flash_cnt[23][5]~27211\) # (!\led_flash_cnt[23][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[23][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[23][5]~27211\,
	combout => \led_flash_cnt[23][6]~27212_combout\,
	cout => \led_flash_cnt[23][6]~27213\);

-- Location: FF_X14_Y26_N17
\led_flash_cnt[23][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[23][6]~27212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[23][6]~q\);

-- Location: LCCOMB_X14_Y26_N22
\WideAnd23~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd23~1_combout\ = (\led_flash_cnt[23][5]~q\ & \led_flash_cnt[23][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[23][5]~q\,
	datad => \led_flash_cnt[23][6]~q\,
	combout => \WideAnd23~1_combout\);

-- Location: LCCOMB_X14_Y26_N30
\WideAnd23~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd23~0_combout\ = (\led_flash_cnt[23][4]~q\ & (\led_flash_cnt[23][1]~q\ & (\led_flash_cnt[23][2]~q\ & \led_flash_cnt[23][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[23][4]~q\,
	datab => \led_flash_cnt[23][1]~q\,
	datac => \led_flash_cnt[23][2]~q\,
	datad => \led_flash_cnt[23][3]~q\,
	combout => \WideAnd23~0_combout\);

-- Location: LCCOMB_X14_Y26_N18
\led_flash_cnt[23][7]~27214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[23][7]~27214_combout\ = \led_flash_cnt[23][6]~27213\ $ (!\led_flash_cnt[23][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[23][7]~q\,
	cin => \led_flash_cnt[23][6]~27213\,
	combout => \led_flash_cnt[23][7]~27214_combout\);

-- Location: FF_X14_Y26_N19
\led_flash_cnt[23][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[23][7]~27214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[23][7]~q\);

-- Location: LCCOMB_X14_Y26_N2
WideAnd23 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd23~combout\ = (\WideAnd23~1_combout\ & (\led_flash_cnt[23][0]~q\ & (\WideAnd23~0_combout\ & \led_flash_cnt[23][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd23~1_combout\,
	datab => \led_flash_cnt[23][0]~q\,
	datac => \WideAnd23~0_combout\,
	datad => \led_flash_cnt[23][7]~q\,
	combout => \WideAnd23~combout\);

-- Location: FF_X14_Y26_N3
\led_flash_cnt_ands[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd23~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(23));

-- Location: LCCOMB_X16_Y14_N20
\led_flash_cnt[18][0]~80658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[18][0]~80658_combout\ = !\led_flash_cnt[18][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[18][0]~q\,
	combout => \led_flash_cnt[18][0]~80658_combout\);

-- Location: FF_X16_Y14_N21
\led_flash_cnt[18][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[18][0]~80658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[18][0]~q\);

-- Location: LCCOMB_X17_Y14_N2
\led_flash_cnt[18][1]~27132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[18][1]~27132_combout\ = (\led_flash_cnt[18][0]~q\ & (\led_flash_cnt[18][1]~q\ $ (VCC))) # (!\led_flash_cnt[18][0]~q\ & (\led_flash_cnt[18][1]~q\ & VCC))
-- \led_flash_cnt[18][1]~27133\ = CARRY((\led_flash_cnt[18][0]~q\ & \led_flash_cnt[18][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[18][0]~q\,
	datab => \led_flash_cnt[18][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[18][1]~27132_combout\,
	cout => \led_flash_cnt[18][1]~27133\);

-- Location: FF_X17_Y14_N3
\led_flash_cnt[18][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[18][1]~27132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[18][1]~q\);

-- Location: LCCOMB_X17_Y14_N4
\led_flash_cnt[18][2]~27134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[18][2]~27134_combout\ = (\led_flash_cnt[18][2]~q\ & (!\led_flash_cnt[18][1]~27133\)) # (!\led_flash_cnt[18][2]~q\ & ((\led_flash_cnt[18][1]~27133\) # (GND)))
-- \led_flash_cnt[18][2]~27135\ = CARRY((!\led_flash_cnt[18][1]~27133\) # (!\led_flash_cnt[18][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[18][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[18][1]~27133\,
	combout => \led_flash_cnt[18][2]~27134_combout\,
	cout => \led_flash_cnt[18][2]~27135\);

-- Location: FF_X17_Y14_N5
\led_flash_cnt[18][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[18][2]~27134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[18][2]~q\);

-- Location: LCCOMB_X17_Y14_N6
\led_flash_cnt[18][3]~27136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[18][3]~27136_combout\ = (\led_flash_cnt[18][3]~q\ & (\led_flash_cnt[18][2]~27135\ $ (GND))) # (!\led_flash_cnt[18][3]~q\ & (!\led_flash_cnt[18][2]~27135\ & VCC))
-- \led_flash_cnt[18][3]~27137\ = CARRY((\led_flash_cnt[18][3]~q\ & !\led_flash_cnt[18][2]~27135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[18][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[18][2]~27135\,
	combout => \led_flash_cnt[18][3]~27136_combout\,
	cout => \led_flash_cnt[18][3]~27137\);

-- Location: FF_X17_Y14_N7
\led_flash_cnt[18][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[18][3]~27136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[18][3]~q\);

-- Location: LCCOMB_X17_Y14_N8
\led_flash_cnt[18][4]~27138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[18][4]~27138_combout\ = (\led_flash_cnt[18][4]~q\ & (!\led_flash_cnt[18][3]~27137\)) # (!\led_flash_cnt[18][4]~q\ & ((\led_flash_cnt[18][3]~27137\) # (GND)))
-- \led_flash_cnt[18][4]~27139\ = CARRY((!\led_flash_cnt[18][3]~27137\) # (!\led_flash_cnt[18][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[18][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[18][3]~27137\,
	combout => \led_flash_cnt[18][4]~27138_combout\,
	cout => \led_flash_cnt[18][4]~27139\);

-- Location: FF_X17_Y14_N9
\led_flash_cnt[18][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[18][4]~27138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[18][4]~q\);

-- Location: LCCOMB_X17_Y14_N10
\led_flash_cnt[18][5]~27140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[18][5]~27140_combout\ = (\led_flash_cnt[18][5]~q\ & (\led_flash_cnt[18][4]~27139\ $ (GND))) # (!\led_flash_cnt[18][5]~q\ & (!\led_flash_cnt[18][4]~27139\ & VCC))
-- \led_flash_cnt[18][5]~27141\ = CARRY((\led_flash_cnt[18][5]~q\ & !\led_flash_cnt[18][4]~27139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[18][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[18][4]~27139\,
	combout => \led_flash_cnt[18][5]~27140_combout\,
	cout => \led_flash_cnt[18][5]~27141\);

-- Location: FF_X17_Y14_N11
\led_flash_cnt[18][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[18][5]~27140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[18][5]~q\);

-- Location: LCCOMB_X17_Y14_N12
\led_flash_cnt[18][6]~27142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[18][6]~27142_combout\ = (\led_flash_cnt[18][6]~q\ & (!\led_flash_cnt[18][5]~27141\)) # (!\led_flash_cnt[18][6]~q\ & ((\led_flash_cnt[18][5]~27141\) # (GND)))
-- \led_flash_cnt[18][6]~27143\ = CARRY((!\led_flash_cnt[18][5]~27141\) # (!\led_flash_cnt[18][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[18][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[18][5]~27141\,
	combout => \led_flash_cnt[18][6]~27142_combout\,
	cout => \led_flash_cnt[18][6]~27143\);

-- Location: FF_X17_Y14_N13
\led_flash_cnt[18][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[18][6]~27142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[18][6]~q\);

-- Location: LCCOMB_X16_Y14_N26
\WideAnd18~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd18~1_combout\ = (\led_flash_cnt[18][5]~q\ & \led_flash_cnt[18][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[18][5]~q\,
	datac => \led_flash_cnt[18][6]~q\,
	combout => \WideAnd18~1_combout\);

-- Location: LCCOMB_X17_Y14_N14
\led_flash_cnt[18][7]~27144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[18][7]~27144_combout\ = \led_flash_cnt[18][7]~q\ $ (!\led_flash_cnt[18][6]~27143\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[18][7]~q\,
	cin => \led_flash_cnt[18][6]~27143\,
	combout => \led_flash_cnt[18][7]~27144_combout\);

-- Location: FF_X17_Y14_N15
\led_flash_cnt[18][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[18][7]~27144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[18][7]~q\);

-- Location: LCCOMB_X17_Y14_N16
\WideAnd18~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd18~0_combout\ = (\led_flash_cnt[18][3]~q\ & (\led_flash_cnt[18][4]~q\ & (\led_flash_cnt[18][2]~q\ & \led_flash_cnt[18][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[18][3]~q\,
	datab => \led_flash_cnt[18][4]~q\,
	datac => \led_flash_cnt[18][2]~q\,
	datad => \led_flash_cnt[18][1]~q\,
	combout => \WideAnd18~0_combout\);

-- Location: LCCOMB_X16_Y14_N0
WideAnd18 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd18~combout\ = (\WideAnd18~1_combout\ & (\led_flash_cnt[18][0]~q\ & (\led_flash_cnt[18][7]~q\ & \WideAnd18~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd18~1_combout\,
	datab => \led_flash_cnt[18][0]~q\,
	datac => \led_flash_cnt[18][7]~q\,
	datad => \WideAnd18~0_combout\,
	combout => \WideAnd18~combout\);

-- Location: FF_X16_Y14_N1
\led_flash_cnt_ands[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd18~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(18));

-- Location: LCCOMB_X3_Y5_N2
\led_flash_cnt[19][0]~80659\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[19][0]~80659_combout\ = !\led_flash_cnt[19][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[19][0]~q\,
	combout => \led_flash_cnt[19][0]~80659_combout\);

-- Location: FF_X3_Y5_N3
\led_flash_cnt[19][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[19][0]~80659_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[19][0]~q\);

-- Location: LCCOMB_X2_Y5_N0
\led_flash_cnt[19][1]~27146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[19][1]~27146_combout\ = (\led_flash_cnt[19][0]~q\ & (\led_flash_cnt[19][1]~q\ $ (VCC))) # (!\led_flash_cnt[19][0]~q\ & (\led_flash_cnt[19][1]~q\ & VCC))
-- \led_flash_cnt[19][1]~27147\ = CARRY((\led_flash_cnt[19][0]~q\ & \led_flash_cnt[19][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[19][0]~q\,
	datab => \led_flash_cnt[19][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[19][1]~27146_combout\,
	cout => \led_flash_cnt[19][1]~27147\);

-- Location: FF_X2_Y5_N1
\led_flash_cnt[19][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[19][1]~27146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[19][1]~q\);

-- Location: LCCOMB_X2_Y5_N2
\led_flash_cnt[19][2]~27148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[19][2]~27148_combout\ = (\led_flash_cnt[19][2]~q\ & (!\led_flash_cnt[19][1]~27147\)) # (!\led_flash_cnt[19][2]~q\ & ((\led_flash_cnt[19][1]~27147\) # (GND)))
-- \led_flash_cnt[19][2]~27149\ = CARRY((!\led_flash_cnt[19][1]~27147\) # (!\led_flash_cnt[19][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[19][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[19][1]~27147\,
	combout => \led_flash_cnt[19][2]~27148_combout\,
	cout => \led_flash_cnt[19][2]~27149\);

-- Location: FF_X2_Y5_N3
\led_flash_cnt[19][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[19][2]~27148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[19][2]~q\);

-- Location: LCCOMB_X2_Y5_N4
\led_flash_cnt[19][3]~27150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[19][3]~27150_combout\ = (\led_flash_cnt[19][3]~q\ & (\led_flash_cnt[19][2]~27149\ $ (GND))) # (!\led_flash_cnt[19][3]~q\ & (!\led_flash_cnt[19][2]~27149\ & VCC))
-- \led_flash_cnt[19][3]~27151\ = CARRY((\led_flash_cnt[19][3]~q\ & !\led_flash_cnt[19][2]~27149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[19][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[19][2]~27149\,
	combout => \led_flash_cnt[19][3]~27150_combout\,
	cout => \led_flash_cnt[19][3]~27151\);

-- Location: FF_X2_Y5_N5
\led_flash_cnt[19][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[19][3]~27150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[19][3]~q\);

-- Location: LCCOMB_X2_Y5_N6
\led_flash_cnt[19][4]~27152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[19][4]~27152_combout\ = (\led_flash_cnt[19][4]~q\ & (!\led_flash_cnt[19][3]~27151\)) # (!\led_flash_cnt[19][4]~q\ & ((\led_flash_cnt[19][3]~27151\) # (GND)))
-- \led_flash_cnt[19][4]~27153\ = CARRY((!\led_flash_cnt[19][3]~27151\) # (!\led_flash_cnt[19][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[19][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[19][3]~27151\,
	combout => \led_flash_cnt[19][4]~27152_combout\,
	cout => \led_flash_cnt[19][4]~27153\);

-- Location: FF_X2_Y5_N7
\led_flash_cnt[19][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[19][4]~27152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[19][4]~q\);

-- Location: LCCOMB_X2_Y5_N8
\led_flash_cnt[19][5]~27154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[19][5]~27154_combout\ = (\led_flash_cnt[19][5]~q\ & (\led_flash_cnt[19][4]~27153\ $ (GND))) # (!\led_flash_cnt[19][5]~q\ & (!\led_flash_cnt[19][4]~27153\ & VCC))
-- \led_flash_cnt[19][5]~27155\ = CARRY((\led_flash_cnt[19][5]~q\ & !\led_flash_cnt[19][4]~27153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[19][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[19][4]~27153\,
	combout => \led_flash_cnt[19][5]~27154_combout\,
	cout => \led_flash_cnt[19][5]~27155\);

-- Location: FF_X2_Y5_N9
\led_flash_cnt[19][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[19][5]~27154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[19][5]~q\);

-- Location: LCCOMB_X2_Y5_N10
\led_flash_cnt[19][6]~27156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[19][6]~27156_combout\ = (\led_flash_cnt[19][6]~q\ & (!\led_flash_cnt[19][5]~27155\)) # (!\led_flash_cnt[19][6]~q\ & ((\led_flash_cnt[19][5]~27155\) # (GND)))
-- \led_flash_cnt[19][6]~27157\ = CARRY((!\led_flash_cnt[19][5]~27155\) # (!\led_flash_cnt[19][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[19][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[19][5]~27155\,
	combout => \led_flash_cnt[19][6]~27156_combout\,
	cout => \led_flash_cnt[19][6]~27157\);

-- Location: FF_X2_Y5_N11
\led_flash_cnt[19][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[19][6]~27156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[19][6]~q\);

-- Location: LCCOMB_X2_Y5_N12
\led_flash_cnt[19][7]~27158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[19][7]~27158_combout\ = \led_flash_cnt[19][6]~27157\ $ (!\led_flash_cnt[19][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[19][7]~q\,
	cin => \led_flash_cnt[19][6]~27157\,
	combout => \led_flash_cnt[19][7]~27158_combout\);

-- Location: FF_X2_Y5_N13
\led_flash_cnt[19][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[19][7]~27158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[19][7]~q\);

-- Location: LCCOMB_X2_Y5_N28
\WideAnd19~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd19~0_combout\ = (\led_flash_cnt[19][4]~q\ & (\led_flash_cnt[19][2]~q\ & (\led_flash_cnt[19][3]~q\ & \led_flash_cnt[19][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[19][4]~q\,
	datab => \led_flash_cnt[19][2]~q\,
	datac => \led_flash_cnt[19][3]~q\,
	datad => \led_flash_cnt[19][1]~q\,
	combout => \WideAnd19~0_combout\);

-- Location: LCCOMB_X3_Y5_N28
\WideAnd19~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd19~1_combout\ = (\led_flash_cnt[19][5]~q\ & \led_flash_cnt[19][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[19][5]~q\,
	datad => \led_flash_cnt[19][6]~q\,
	combout => \WideAnd19~1_combout\);

-- Location: LCCOMB_X3_Y5_N22
WideAnd19 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd19~combout\ = (\led_flash_cnt[19][7]~q\ & (\WideAnd19~0_combout\ & (\led_flash_cnt[19][0]~q\ & \WideAnd19~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[19][7]~q\,
	datab => \WideAnd19~0_combout\,
	datac => \led_flash_cnt[19][0]~q\,
	datad => \WideAnd19~1_combout\,
	combout => \WideAnd19~combout\);

-- Location: FF_X3_Y5_N23
\led_flash_cnt_ands[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd19~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(19));

-- Location: LCCOMB_X4_Y21_N2
\led_flash_cnt[16][0]~80656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[16][0]~80656_combout\ = !\led_flash_cnt[16][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[16][0]~q\,
	combout => \led_flash_cnt[16][0]~80656_combout\);

-- Location: FF_X4_Y21_N3
\led_flash_cnt[16][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[16][0]~80656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[16][0]~q\);

-- Location: LCCOMB_X3_Y21_N18
\led_flash_cnt[16][1]~27104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[16][1]~27104_combout\ = (\led_flash_cnt[16][0]~q\ & (\led_flash_cnt[16][1]~q\ $ (VCC))) # (!\led_flash_cnt[16][0]~q\ & (\led_flash_cnt[16][1]~q\ & VCC))
-- \led_flash_cnt[16][1]~27105\ = CARRY((\led_flash_cnt[16][0]~q\ & \led_flash_cnt[16][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[16][0]~q\,
	datab => \led_flash_cnt[16][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[16][1]~27104_combout\,
	cout => \led_flash_cnt[16][1]~27105\);

-- Location: FF_X3_Y21_N19
\led_flash_cnt[16][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[16][1]~27104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[16][1]~q\);

-- Location: LCCOMB_X3_Y21_N20
\led_flash_cnt[16][2]~27106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[16][2]~27106_combout\ = (\led_flash_cnt[16][2]~q\ & (!\led_flash_cnt[16][1]~27105\)) # (!\led_flash_cnt[16][2]~q\ & ((\led_flash_cnt[16][1]~27105\) # (GND)))
-- \led_flash_cnt[16][2]~27107\ = CARRY((!\led_flash_cnt[16][1]~27105\) # (!\led_flash_cnt[16][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[16][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[16][1]~27105\,
	combout => \led_flash_cnt[16][2]~27106_combout\,
	cout => \led_flash_cnt[16][2]~27107\);

-- Location: FF_X3_Y21_N21
\led_flash_cnt[16][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[16][2]~27106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[16][2]~q\);

-- Location: LCCOMB_X3_Y21_N22
\led_flash_cnt[16][3]~27108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[16][3]~27108_combout\ = (\led_flash_cnt[16][3]~q\ & (\led_flash_cnt[16][2]~27107\ $ (GND))) # (!\led_flash_cnt[16][3]~q\ & (!\led_flash_cnt[16][2]~27107\ & VCC))
-- \led_flash_cnt[16][3]~27109\ = CARRY((\led_flash_cnt[16][3]~q\ & !\led_flash_cnt[16][2]~27107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[16][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[16][2]~27107\,
	combout => \led_flash_cnt[16][3]~27108_combout\,
	cout => \led_flash_cnt[16][3]~27109\);

-- Location: FF_X3_Y21_N23
\led_flash_cnt[16][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[16][3]~27108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[16][3]~q\);

-- Location: LCCOMB_X3_Y21_N24
\led_flash_cnt[16][4]~27110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[16][4]~27110_combout\ = (\led_flash_cnt[16][4]~q\ & (!\led_flash_cnt[16][3]~27109\)) # (!\led_flash_cnt[16][4]~q\ & ((\led_flash_cnt[16][3]~27109\) # (GND)))
-- \led_flash_cnt[16][4]~27111\ = CARRY((!\led_flash_cnt[16][3]~27109\) # (!\led_flash_cnt[16][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[16][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[16][3]~27109\,
	combout => \led_flash_cnt[16][4]~27110_combout\,
	cout => \led_flash_cnt[16][4]~27111\);

-- Location: FF_X3_Y21_N25
\led_flash_cnt[16][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[16][4]~27110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[16][4]~q\);

-- Location: LCCOMB_X3_Y21_N26
\led_flash_cnt[16][5]~27112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[16][5]~27112_combout\ = (\led_flash_cnt[16][5]~q\ & (\led_flash_cnt[16][4]~27111\ $ (GND))) # (!\led_flash_cnt[16][5]~q\ & (!\led_flash_cnt[16][4]~27111\ & VCC))
-- \led_flash_cnt[16][5]~27113\ = CARRY((\led_flash_cnt[16][5]~q\ & !\led_flash_cnt[16][4]~27111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[16][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[16][4]~27111\,
	combout => \led_flash_cnt[16][5]~27112_combout\,
	cout => \led_flash_cnt[16][5]~27113\);

-- Location: FF_X3_Y21_N27
\led_flash_cnt[16][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[16][5]~27112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[16][5]~q\);

-- Location: LCCOMB_X3_Y21_N28
\led_flash_cnt[16][6]~27114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[16][6]~27114_combout\ = (\led_flash_cnt[16][6]~q\ & (!\led_flash_cnt[16][5]~27113\)) # (!\led_flash_cnt[16][6]~q\ & ((\led_flash_cnt[16][5]~27113\) # (GND)))
-- \led_flash_cnt[16][6]~27115\ = CARRY((!\led_flash_cnt[16][5]~27113\) # (!\led_flash_cnt[16][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[16][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[16][5]~27113\,
	combout => \led_flash_cnt[16][6]~27114_combout\,
	cout => \led_flash_cnt[16][6]~27115\);

-- Location: FF_X3_Y21_N29
\led_flash_cnt[16][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[16][6]~27114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[16][6]~q\);

-- Location: LCCOMB_X4_Y21_N10
\WideAnd16~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd16~1_combout\ = (\led_flash_cnt[16][5]~q\ & \led_flash_cnt[16][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[16][5]~q\,
	datad => \led_flash_cnt[16][6]~q\,
	combout => \WideAnd16~1_combout\);

-- Location: LCCOMB_X3_Y21_N30
\led_flash_cnt[16][7]~27116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[16][7]~27116_combout\ = \led_flash_cnt[16][7]~q\ $ (!\led_flash_cnt[16][6]~27115\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[16][7]~q\,
	cin => \led_flash_cnt[16][6]~27115\,
	combout => \led_flash_cnt[16][7]~27116_combout\);

-- Location: FF_X3_Y21_N31
\led_flash_cnt[16][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[16][7]~27116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[16][7]~q\);

-- Location: LCCOMB_X3_Y21_N0
\WideAnd16~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd16~0_combout\ = (\led_flash_cnt[16][2]~q\ & (\led_flash_cnt[16][4]~q\ & (\led_flash_cnt[16][3]~q\ & \led_flash_cnt[16][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[16][2]~q\,
	datab => \led_flash_cnt[16][4]~q\,
	datac => \led_flash_cnt[16][3]~q\,
	datad => \led_flash_cnt[16][1]~q\,
	combout => \WideAnd16~0_combout\);

-- Location: LCCOMB_X4_Y21_N14
WideAnd16 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd16~combout\ = (\WideAnd16~1_combout\ & (\led_flash_cnt[16][7]~q\ & (\WideAnd16~0_combout\ & \led_flash_cnt[16][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd16~1_combout\,
	datab => \led_flash_cnt[16][7]~q\,
	datac => \WideAnd16~0_combout\,
	datad => \led_flash_cnt[16][0]~q\,
	combout => \WideAnd16~combout\);

-- Location: FF_X4_Y21_N15
\led_flash_cnt_ands[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd16~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(16));

-- Location: LCCOMB_X23_Y29_N0
\led_flash_cnt[17][0]~80657\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[17][0]~80657_combout\ = !\led_flash_cnt[17][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[17][0]~q\,
	combout => \led_flash_cnt[17][0]~80657_combout\);

-- Location: FF_X23_Y29_N1
\led_flash_cnt[17][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[17][0]~80657_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[17][0]~q\);

-- Location: LCCOMB_X22_Y33_N0
\led_flash_cnt[17][1]~27118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[17][1]~27118_combout\ = (\led_flash_cnt[17][1]~q\ & (\led_flash_cnt[17][0]~q\ $ (VCC))) # (!\led_flash_cnt[17][1]~q\ & (\led_flash_cnt[17][0]~q\ & VCC))
-- \led_flash_cnt[17][1]~27119\ = CARRY((\led_flash_cnt[17][1]~q\ & \led_flash_cnt[17][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[17][1]~q\,
	datab => \led_flash_cnt[17][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[17][1]~27118_combout\,
	cout => \led_flash_cnt[17][1]~27119\);

-- Location: FF_X22_Y33_N1
\led_flash_cnt[17][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[17][1]~27118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[17][1]~q\);

-- Location: LCCOMB_X22_Y33_N2
\led_flash_cnt[17][2]~27120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[17][2]~27120_combout\ = (\led_flash_cnt[17][2]~q\ & (!\led_flash_cnt[17][1]~27119\)) # (!\led_flash_cnt[17][2]~q\ & ((\led_flash_cnt[17][1]~27119\) # (GND)))
-- \led_flash_cnt[17][2]~27121\ = CARRY((!\led_flash_cnt[17][1]~27119\) # (!\led_flash_cnt[17][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[17][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[17][1]~27119\,
	combout => \led_flash_cnt[17][2]~27120_combout\,
	cout => \led_flash_cnt[17][2]~27121\);

-- Location: FF_X22_Y33_N3
\led_flash_cnt[17][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[17][2]~27120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[17][2]~q\);

-- Location: LCCOMB_X22_Y33_N4
\led_flash_cnt[17][3]~27122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[17][3]~27122_combout\ = (\led_flash_cnt[17][3]~q\ & (\led_flash_cnt[17][2]~27121\ $ (GND))) # (!\led_flash_cnt[17][3]~q\ & (!\led_flash_cnt[17][2]~27121\ & VCC))
-- \led_flash_cnt[17][3]~27123\ = CARRY((\led_flash_cnt[17][3]~q\ & !\led_flash_cnt[17][2]~27121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[17][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[17][2]~27121\,
	combout => \led_flash_cnt[17][3]~27122_combout\,
	cout => \led_flash_cnt[17][3]~27123\);

-- Location: FF_X22_Y33_N5
\led_flash_cnt[17][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[17][3]~27122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[17][3]~q\);

-- Location: LCCOMB_X22_Y33_N6
\led_flash_cnt[17][4]~27124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[17][4]~27124_combout\ = (\led_flash_cnt[17][4]~q\ & (!\led_flash_cnt[17][3]~27123\)) # (!\led_flash_cnt[17][4]~q\ & ((\led_flash_cnt[17][3]~27123\) # (GND)))
-- \led_flash_cnt[17][4]~27125\ = CARRY((!\led_flash_cnt[17][3]~27123\) # (!\led_flash_cnt[17][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[17][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[17][3]~27123\,
	combout => \led_flash_cnt[17][4]~27124_combout\,
	cout => \led_flash_cnt[17][4]~27125\);

-- Location: FF_X22_Y33_N7
\led_flash_cnt[17][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[17][4]~27124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[17][4]~q\);

-- Location: LCCOMB_X22_Y33_N8
\led_flash_cnt[17][5]~27126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[17][5]~27126_combout\ = (\led_flash_cnt[17][5]~q\ & (\led_flash_cnt[17][4]~27125\ $ (GND))) # (!\led_flash_cnt[17][5]~q\ & (!\led_flash_cnt[17][4]~27125\ & VCC))
-- \led_flash_cnt[17][5]~27127\ = CARRY((\led_flash_cnt[17][5]~q\ & !\led_flash_cnt[17][4]~27125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[17][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[17][4]~27125\,
	combout => \led_flash_cnt[17][5]~27126_combout\,
	cout => \led_flash_cnt[17][5]~27127\);

-- Location: FF_X22_Y33_N9
\led_flash_cnt[17][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[17][5]~27126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[17][5]~q\);

-- Location: LCCOMB_X22_Y33_N10
\led_flash_cnt[17][6]~27128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[17][6]~27128_combout\ = (\led_flash_cnt[17][6]~q\ & (!\led_flash_cnt[17][5]~27127\)) # (!\led_flash_cnt[17][6]~q\ & ((\led_flash_cnt[17][5]~27127\) # (GND)))
-- \led_flash_cnt[17][6]~27129\ = CARRY((!\led_flash_cnt[17][5]~27127\) # (!\led_flash_cnt[17][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[17][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[17][5]~27127\,
	combout => \led_flash_cnt[17][6]~27128_combout\,
	cout => \led_flash_cnt[17][6]~27129\);

-- Location: FF_X22_Y33_N11
\led_flash_cnt[17][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[17][6]~27128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[17][6]~q\);

-- Location: LCCOMB_X22_Y33_N12
\led_flash_cnt[17][7]~27130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[17][7]~27130_combout\ = \led_flash_cnt[17][6]~27129\ $ (!\led_flash_cnt[17][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[17][7]~q\,
	cin => \led_flash_cnt[17][6]~27129\,
	combout => \led_flash_cnt[17][7]~27130_combout\);

-- Location: FF_X22_Y33_N13
\led_flash_cnt[17][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[17][7]~27130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[17][7]~q\);

-- Location: LCCOMB_X23_Y33_N8
\WideAnd17~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd17~0_combout\ = (\led_flash_cnt[17][1]~q\ & (\led_flash_cnt[17][3]~q\ & (\led_flash_cnt[17][4]~q\ & \led_flash_cnt[17][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[17][1]~q\,
	datab => \led_flash_cnt[17][3]~q\,
	datac => \led_flash_cnt[17][4]~q\,
	datad => \led_flash_cnt[17][2]~q\,
	combout => \WideAnd17~0_combout\);

-- Location: LCCOMB_X23_Y33_N6
\WideAnd17~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd17~1_combout\ = (\led_flash_cnt[17][5]~q\ & \led_flash_cnt[17][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[17][5]~q\,
	datad => \led_flash_cnt[17][6]~q\,
	combout => \WideAnd17~1_combout\);

-- Location: LCCOMB_X22_Y33_N30
WideAnd17 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd17~combout\ = (\led_flash_cnt[17][7]~q\ & (\led_flash_cnt[17][0]~q\ & (\WideAnd17~0_combout\ & \WideAnd17~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[17][7]~q\,
	datab => \led_flash_cnt[17][0]~q\,
	datac => \WideAnd17~0_combout\,
	datad => \WideAnd17~1_combout\,
	combout => \WideAnd17~combout\);

-- Location: FF_X22_Y33_N31
\led_flash_cnt_ands[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd17~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(17));

-- Location: LCCOMB_X4_Y21_N0
\WideAnd3842~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3842~0_combout\ = (led_flash_cnt_ands(18) & (led_flash_cnt_ands(19) & (led_flash_cnt_ands(16) & led_flash_cnt_ands(17))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(18),
	datab => led_flash_cnt_ands(19),
	datac => led_flash_cnt_ands(16),
	datad => led_flash_cnt_ands(17),
	combout => \WideAnd3842~0_combout\);

-- Location: LCCOMB_X4_Y22_N24
WideAnd3842 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3842~combout\ = (\WideAnd3842~1_combout\ & (led_flash_cnt_ands(22) & (led_flash_cnt_ands(23) & \WideAnd3842~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3842~1_combout\,
	datab => led_flash_cnt_ands(22),
	datac => led_flash_cnt_ands(23),
	datad => \WideAnd3842~0_combout\,
	combout => \WideAnd3842~combout\);

-- Location: FF_X4_Y22_N25
\led_flash_cnt_ands_1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3842~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(2));

-- Location: LCCOMB_X62_Y32_N22
\led_flash_cnt[30][0]~80670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[30][0]~80670_combout\ = !\led_flash_cnt[30][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[30][0]~q\,
	combout => \led_flash_cnt[30][0]~80670_combout\);

-- Location: FF_X62_Y32_N23
\led_flash_cnt[30][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[30][0]~80670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[30][0]~q\);

-- Location: LCCOMB_X62_Y32_N4
\led_flash_cnt[30][1]~27300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[30][1]~27300_combout\ = (\led_flash_cnt[30][0]~q\ & (\led_flash_cnt[30][1]~q\ $ (VCC))) # (!\led_flash_cnt[30][0]~q\ & (\led_flash_cnt[30][1]~q\ & VCC))
-- \led_flash_cnt[30][1]~27301\ = CARRY((\led_flash_cnt[30][0]~q\ & \led_flash_cnt[30][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[30][0]~q\,
	datab => \led_flash_cnt[30][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[30][1]~27300_combout\,
	cout => \led_flash_cnt[30][1]~27301\);

-- Location: FF_X62_Y32_N5
\led_flash_cnt[30][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[30][1]~27300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[30][1]~q\);

-- Location: LCCOMB_X62_Y32_N6
\led_flash_cnt[30][2]~27302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[30][2]~27302_combout\ = (\led_flash_cnt[30][2]~q\ & (!\led_flash_cnt[30][1]~27301\)) # (!\led_flash_cnt[30][2]~q\ & ((\led_flash_cnt[30][1]~27301\) # (GND)))
-- \led_flash_cnt[30][2]~27303\ = CARRY((!\led_flash_cnt[30][1]~27301\) # (!\led_flash_cnt[30][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[30][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[30][1]~27301\,
	combout => \led_flash_cnt[30][2]~27302_combout\,
	cout => \led_flash_cnt[30][2]~27303\);

-- Location: FF_X62_Y32_N7
\led_flash_cnt[30][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[30][2]~27302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[30][2]~q\);

-- Location: LCCOMB_X62_Y32_N8
\led_flash_cnt[30][3]~27304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[30][3]~27304_combout\ = (\led_flash_cnt[30][3]~q\ & (\led_flash_cnt[30][2]~27303\ $ (GND))) # (!\led_flash_cnt[30][3]~q\ & (!\led_flash_cnt[30][2]~27303\ & VCC))
-- \led_flash_cnt[30][3]~27305\ = CARRY((\led_flash_cnt[30][3]~q\ & !\led_flash_cnt[30][2]~27303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[30][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[30][2]~27303\,
	combout => \led_flash_cnt[30][3]~27304_combout\,
	cout => \led_flash_cnt[30][3]~27305\);

-- Location: FF_X62_Y32_N9
\led_flash_cnt[30][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[30][3]~27304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[30][3]~q\);

-- Location: LCCOMB_X62_Y32_N10
\led_flash_cnt[30][4]~27306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[30][4]~27306_combout\ = (\led_flash_cnt[30][4]~q\ & (!\led_flash_cnt[30][3]~27305\)) # (!\led_flash_cnt[30][4]~q\ & ((\led_flash_cnt[30][3]~27305\) # (GND)))
-- \led_flash_cnt[30][4]~27307\ = CARRY((!\led_flash_cnt[30][3]~27305\) # (!\led_flash_cnt[30][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[30][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[30][3]~27305\,
	combout => \led_flash_cnt[30][4]~27306_combout\,
	cout => \led_flash_cnt[30][4]~27307\);

-- Location: FF_X62_Y32_N11
\led_flash_cnt[30][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[30][4]~27306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[30][4]~q\);

-- Location: LCCOMB_X62_Y32_N12
\led_flash_cnt[30][5]~27308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[30][5]~27308_combout\ = (\led_flash_cnt[30][5]~q\ & (\led_flash_cnt[30][4]~27307\ $ (GND))) # (!\led_flash_cnt[30][5]~q\ & (!\led_flash_cnt[30][4]~27307\ & VCC))
-- \led_flash_cnt[30][5]~27309\ = CARRY((\led_flash_cnt[30][5]~q\ & !\led_flash_cnt[30][4]~27307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[30][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[30][4]~27307\,
	combout => \led_flash_cnt[30][5]~27308_combout\,
	cout => \led_flash_cnt[30][5]~27309\);

-- Location: FF_X62_Y32_N13
\led_flash_cnt[30][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[30][5]~27308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[30][5]~q\);

-- Location: LCCOMB_X62_Y32_N14
\led_flash_cnt[30][6]~27310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[30][6]~27310_combout\ = (\led_flash_cnt[30][6]~q\ & (!\led_flash_cnt[30][5]~27309\)) # (!\led_flash_cnt[30][6]~q\ & ((\led_flash_cnt[30][5]~27309\) # (GND)))
-- \led_flash_cnt[30][6]~27311\ = CARRY((!\led_flash_cnt[30][5]~27309\) # (!\led_flash_cnt[30][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[30][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[30][5]~27309\,
	combout => \led_flash_cnt[30][6]~27310_combout\,
	cout => \led_flash_cnt[30][6]~27311\);

-- Location: FF_X62_Y32_N15
\led_flash_cnt[30][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[30][6]~27310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[30][6]~q\);

-- Location: LCCOMB_X62_Y32_N16
\led_flash_cnt[30][7]~27312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[30][7]~27312_combout\ = \led_flash_cnt[30][6]~27311\ $ (!\led_flash_cnt[30][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[30][7]~q\,
	cin => \led_flash_cnt[30][6]~27311\,
	combout => \led_flash_cnt[30][7]~27312_combout\);

-- Location: FF_X62_Y32_N17
\led_flash_cnt[30][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[30][7]~27312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[30][7]~q\);

-- Location: LCCOMB_X62_Y32_N24
\WideAnd30~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd30~1_combout\ = (\led_flash_cnt[30][6]~q\ & \led_flash_cnt[30][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[30][6]~q\,
	datad => \led_flash_cnt[30][5]~q\,
	combout => \WideAnd30~1_combout\);

-- Location: LCCOMB_X62_Y32_N18
\WideAnd30~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd30~0_combout\ = (\led_flash_cnt[30][4]~q\ & (\led_flash_cnt[30][1]~q\ & (\led_flash_cnt[30][3]~q\ & \led_flash_cnt[30][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[30][4]~q\,
	datab => \led_flash_cnt[30][1]~q\,
	datac => \led_flash_cnt[30][3]~q\,
	datad => \led_flash_cnt[30][2]~q\,
	combout => \WideAnd30~0_combout\);

-- Location: LCCOMB_X62_Y32_N20
WideAnd30 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd30~combout\ = (\led_flash_cnt[30][0]~q\ & (\led_flash_cnt[30][7]~q\ & (\WideAnd30~1_combout\ & \WideAnd30~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[30][0]~q\,
	datab => \led_flash_cnt[30][7]~q\,
	datac => \WideAnd30~1_combout\,
	datad => \WideAnd30~0_combout\,
	combout => \WideAnd30~combout\);

-- Location: FF_X62_Y32_N21
\led_flash_cnt_ands[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd30~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(30));

-- Location: LCCOMB_X3_Y10_N28
\led_flash_cnt[29][0]~80669\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[29][0]~80669_combout\ = !\led_flash_cnt[29][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[29][0]~q\,
	combout => \led_flash_cnt[29][0]~80669_combout\);

-- Location: FF_X3_Y10_N29
\led_flash_cnt[29][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[29][0]~80669_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[29][0]~q\);

-- Location: LCCOMB_X2_Y10_N16
\led_flash_cnt[29][1]~27286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[29][1]~27286_combout\ = (\led_flash_cnt[29][0]~q\ & (\led_flash_cnt[29][1]~q\ $ (VCC))) # (!\led_flash_cnt[29][0]~q\ & (\led_flash_cnt[29][1]~q\ & VCC))
-- \led_flash_cnt[29][1]~27287\ = CARRY((\led_flash_cnt[29][0]~q\ & \led_flash_cnt[29][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[29][0]~q\,
	datab => \led_flash_cnt[29][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[29][1]~27286_combout\,
	cout => \led_flash_cnt[29][1]~27287\);

-- Location: FF_X2_Y10_N17
\led_flash_cnt[29][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[29][1]~27286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[29][1]~q\);

-- Location: LCCOMB_X2_Y10_N18
\led_flash_cnt[29][2]~27288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[29][2]~27288_combout\ = (\led_flash_cnt[29][2]~q\ & (!\led_flash_cnt[29][1]~27287\)) # (!\led_flash_cnt[29][2]~q\ & ((\led_flash_cnt[29][1]~27287\) # (GND)))
-- \led_flash_cnt[29][2]~27289\ = CARRY((!\led_flash_cnt[29][1]~27287\) # (!\led_flash_cnt[29][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[29][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[29][1]~27287\,
	combout => \led_flash_cnt[29][2]~27288_combout\,
	cout => \led_flash_cnt[29][2]~27289\);

-- Location: FF_X2_Y10_N19
\led_flash_cnt[29][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[29][2]~27288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[29][2]~q\);

-- Location: LCCOMB_X2_Y10_N20
\led_flash_cnt[29][3]~27290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[29][3]~27290_combout\ = (\led_flash_cnt[29][3]~q\ & (\led_flash_cnt[29][2]~27289\ $ (GND))) # (!\led_flash_cnt[29][3]~q\ & (!\led_flash_cnt[29][2]~27289\ & VCC))
-- \led_flash_cnt[29][3]~27291\ = CARRY((\led_flash_cnt[29][3]~q\ & !\led_flash_cnt[29][2]~27289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[29][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[29][2]~27289\,
	combout => \led_flash_cnt[29][3]~27290_combout\,
	cout => \led_flash_cnt[29][3]~27291\);

-- Location: FF_X2_Y10_N21
\led_flash_cnt[29][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[29][3]~27290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[29][3]~q\);

-- Location: LCCOMB_X2_Y10_N22
\led_flash_cnt[29][4]~27292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[29][4]~27292_combout\ = (\led_flash_cnt[29][4]~q\ & (!\led_flash_cnt[29][3]~27291\)) # (!\led_flash_cnt[29][4]~q\ & ((\led_flash_cnt[29][3]~27291\) # (GND)))
-- \led_flash_cnt[29][4]~27293\ = CARRY((!\led_flash_cnt[29][3]~27291\) # (!\led_flash_cnt[29][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[29][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[29][3]~27291\,
	combout => \led_flash_cnt[29][4]~27292_combout\,
	cout => \led_flash_cnt[29][4]~27293\);

-- Location: FF_X2_Y10_N23
\led_flash_cnt[29][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[29][4]~27292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[29][4]~q\);

-- Location: LCCOMB_X2_Y10_N14
\WideAnd29~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd29~0_combout\ = (\led_flash_cnt[29][2]~q\ & (\led_flash_cnt[29][1]~q\ & (\led_flash_cnt[29][4]~q\ & \led_flash_cnt[29][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[29][2]~q\,
	datab => \led_flash_cnt[29][1]~q\,
	datac => \led_flash_cnt[29][4]~q\,
	datad => \led_flash_cnt[29][3]~q\,
	combout => \WideAnd29~0_combout\);

-- Location: LCCOMB_X2_Y10_N24
\led_flash_cnt[29][5]~27294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[29][5]~27294_combout\ = (\led_flash_cnt[29][5]~q\ & (\led_flash_cnt[29][4]~27293\ $ (GND))) # (!\led_flash_cnt[29][5]~q\ & (!\led_flash_cnt[29][4]~27293\ & VCC))
-- \led_flash_cnt[29][5]~27295\ = CARRY((\led_flash_cnt[29][5]~q\ & !\led_flash_cnt[29][4]~27293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[29][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[29][4]~27293\,
	combout => \led_flash_cnt[29][5]~27294_combout\,
	cout => \led_flash_cnt[29][5]~27295\);

-- Location: FF_X2_Y10_N25
\led_flash_cnt[29][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[29][5]~27294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[29][5]~q\);

-- Location: LCCOMB_X2_Y10_N26
\led_flash_cnt[29][6]~27296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[29][6]~27296_combout\ = (\led_flash_cnt[29][6]~q\ & (!\led_flash_cnt[29][5]~27295\)) # (!\led_flash_cnt[29][6]~q\ & ((\led_flash_cnt[29][5]~27295\) # (GND)))
-- \led_flash_cnt[29][6]~27297\ = CARRY((!\led_flash_cnt[29][5]~27295\) # (!\led_flash_cnt[29][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[29][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[29][5]~27295\,
	combout => \led_flash_cnt[29][6]~27296_combout\,
	cout => \led_flash_cnt[29][6]~27297\);

-- Location: FF_X2_Y10_N27
\led_flash_cnt[29][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[29][6]~27296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[29][6]~q\);

-- Location: LCCOMB_X2_Y10_N28
\led_flash_cnt[29][7]~27298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[29][7]~27298_combout\ = \led_flash_cnt[29][6]~27297\ $ (!\led_flash_cnt[29][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[29][7]~q\,
	cin => \led_flash_cnt[29][6]~27297\,
	combout => \led_flash_cnt[29][7]~27298_combout\);

-- Location: FF_X2_Y10_N29
\led_flash_cnt[29][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[29][7]~27298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[29][7]~q\);

-- Location: LCCOMB_X3_Y10_N30
\WideAnd29~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd29~1_combout\ = (\led_flash_cnt[29][6]~q\ & \led_flash_cnt[29][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[29][6]~q\,
	datad => \led_flash_cnt[29][5]~q\,
	combout => \WideAnd29~1_combout\);

-- Location: LCCOMB_X3_Y10_N20
WideAnd29 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd29~combout\ = (\WideAnd29~0_combout\ & (\led_flash_cnt[29][7]~q\ & (\WideAnd29~1_combout\ & \led_flash_cnt[29][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd29~0_combout\,
	datab => \led_flash_cnt[29][7]~q\,
	datac => \WideAnd29~1_combout\,
	datad => \led_flash_cnt[29][0]~q\,
	combout => \WideAnd29~combout\);

-- Location: FF_X3_Y10_N21
\led_flash_cnt_ands[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd29~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(29));

-- Location: LCCOMB_X65_Y17_N2
\led_flash_cnt[28][0]~80668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[28][0]~80668_combout\ = !\led_flash_cnt[28][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[28][0]~q\,
	combout => \led_flash_cnt[28][0]~80668_combout\);

-- Location: FF_X65_Y17_N3
\led_flash_cnt[28][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[28][0]~80668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[28][0]~q\);

-- Location: LCCOMB_X64_Y17_N2
\led_flash_cnt[28][1]~27272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[28][1]~27272_combout\ = (\led_flash_cnt[28][0]~q\ & (\led_flash_cnt[28][1]~q\ $ (VCC))) # (!\led_flash_cnt[28][0]~q\ & (\led_flash_cnt[28][1]~q\ & VCC))
-- \led_flash_cnt[28][1]~27273\ = CARRY((\led_flash_cnt[28][0]~q\ & \led_flash_cnt[28][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[28][0]~q\,
	datab => \led_flash_cnt[28][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[28][1]~27272_combout\,
	cout => \led_flash_cnt[28][1]~27273\);

-- Location: FF_X64_Y17_N3
\led_flash_cnt[28][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[28][1]~27272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[28][1]~q\);

-- Location: LCCOMB_X64_Y17_N4
\led_flash_cnt[28][2]~27274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[28][2]~27274_combout\ = (\led_flash_cnt[28][2]~q\ & (!\led_flash_cnt[28][1]~27273\)) # (!\led_flash_cnt[28][2]~q\ & ((\led_flash_cnt[28][1]~27273\) # (GND)))
-- \led_flash_cnt[28][2]~27275\ = CARRY((!\led_flash_cnt[28][1]~27273\) # (!\led_flash_cnt[28][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[28][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[28][1]~27273\,
	combout => \led_flash_cnt[28][2]~27274_combout\,
	cout => \led_flash_cnt[28][2]~27275\);

-- Location: FF_X64_Y17_N5
\led_flash_cnt[28][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[28][2]~27274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[28][2]~q\);

-- Location: LCCOMB_X64_Y17_N6
\led_flash_cnt[28][3]~27276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[28][3]~27276_combout\ = (\led_flash_cnt[28][3]~q\ & (\led_flash_cnt[28][2]~27275\ $ (GND))) # (!\led_flash_cnt[28][3]~q\ & (!\led_flash_cnt[28][2]~27275\ & VCC))
-- \led_flash_cnt[28][3]~27277\ = CARRY((\led_flash_cnt[28][3]~q\ & !\led_flash_cnt[28][2]~27275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[28][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[28][2]~27275\,
	combout => \led_flash_cnt[28][3]~27276_combout\,
	cout => \led_flash_cnt[28][3]~27277\);

-- Location: FF_X64_Y17_N7
\led_flash_cnt[28][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[28][3]~27276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[28][3]~q\);

-- Location: LCCOMB_X64_Y17_N8
\led_flash_cnt[28][4]~27278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[28][4]~27278_combout\ = (\led_flash_cnt[28][4]~q\ & (!\led_flash_cnt[28][3]~27277\)) # (!\led_flash_cnt[28][4]~q\ & ((\led_flash_cnt[28][3]~27277\) # (GND)))
-- \led_flash_cnt[28][4]~27279\ = CARRY((!\led_flash_cnt[28][3]~27277\) # (!\led_flash_cnt[28][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[28][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[28][3]~27277\,
	combout => \led_flash_cnt[28][4]~27278_combout\,
	cout => \led_flash_cnt[28][4]~27279\);

-- Location: FF_X64_Y17_N9
\led_flash_cnt[28][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[28][4]~27278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[28][4]~q\);

-- Location: LCCOMB_X64_Y17_N10
\led_flash_cnt[28][5]~27280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[28][5]~27280_combout\ = (\led_flash_cnt[28][5]~q\ & (\led_flash_cnt[28][4]~27279\ $ (GND))) # (!\led_flash_cnt[28][5]~q\ & (!\led_flash_cnt[28][4]~27279\ & VCC))
-- \led_flash_cnt[28][5]~27281\ = CARRY((\led_flash_cnt[28][5]~q\ & !\led_flash_cnt[28][4]~27279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[28][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[28][4]~27279\,
	combout => \led_flash_cnt[28][5]~27280_combout\,
	cout => \led_flash_cnt[28][5]~27281\);

-- Location: FF_X64_Y17_N11
\led_flash_cnt[28][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[28][5]~27280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[28][5]~q\);

-- Location: LCCOMB_X64_Y17_N12
\led_flash_cnt[28][6]~27282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[28][6]~27282_combout\ = (\led_flash_cnt[28][6]~q\ & (!\led_flash_cnt[28][5]~27281\)) # (!\led_flash_cnt[28][6]~q\ & ((\led_flash_cnt[28][5]~27281\) # (GND)))
-- \led_flash_cnt[28][6]~27283\ = CARRY((!\led_flash_cnt[28][5]~27281\) # (!\led_flash_cnt[28][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[28][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[28][5]~27281\,
	combout => \led_flash_cnt[28][6]~27282_combout\,
	cout => \led_flash_cnt[28][6]~27283\);

-- Location: FF_X64_Y17_N13
\led_flash_cnt[28][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[28][6]~27282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[28][6]~q\);

-- Location: LCCOMB_X64_Y17_N14
\led_flash_cnt[28][7]~27284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[28][7]~27284_combout\ = \led_flash_cnt[28][7]~q\ $ (!\led_flash_cnt[28][6]~27283\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[28][7]~q\,
	cin => \led_flash_cnt[28][6]~27283\,
	combout => \led_flash_cnt[28][7]~27284_combout\);

-- Location: FF_X64_Y17_N15
\led_flash_cnt[28][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[28][7]~27284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[28][7]~q\);

-- Location: LCCOMB_X64_Y17_N16
\WideAnd28~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd28~0_combout\ = (\led_flash_cnt[28][3]~q\ & (\led_flash_cnt[28][4]~q\ & (\led_flash_cnt[28][2]~q\ & \led_flash_cnt[28][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[28][3]~q\,
	datab => \led_flash_cnt[28][4]~q\,
	datac => \led_flash_cnt[28][2]~q\,
	datad => \led_flash_cnt[28][1]~q\,
	combout => \WideAnd28~0_combout\);

-- Location: LCCOMB_X65_Y17_N10
\WideAnd28~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd28~1_combout\ = (\led_flash_cnt[28][6]~q\ & \led_flash_cnt[28][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[28][6]~q\,
	datad => \led_flash_cnt[28][5]~q\,
	combout => \WideAnd28~1_combout\);

-- Location: LCCOMB_X65_Y17_N6
WideAnd28 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd28~combout\ = (\led_flash_cnt[28][7]~q\ & (\led_flash_cnt[28][0]~q\ & (\WideAnd28~0_combout\ & \WideAnd28~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[28][7]~q\,
	datab => \led_flash_cnt[28][0]~q\,
	datac => \WideAnd28~0_combout\,
	datad => \WideAnd28~1_combout\,
	combout => \WideAnd28~combout\);

-- Location: FF_X65_Y17_N7
\led_flash_cnt_ands[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd28~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(28));

-- Location: LCCOMB_X64_Y14_N26
\WideAnd3843~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3843~1_combout\ = (led_flash_cnt_ands(29) & led_flash_cnt_ands(28))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(29),
	datad => led_flash_cnt_ands(28),
	combout => \WideAnd3843~1_combout\);

-- Location: LCCOMB_X43_Y25_N18
\led_flash_cnt[27][0]~80667\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[27][0]~80667_combout\ = !\led_flash_cnt[27][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[27][0]~q\,
	combout => \led_flash_cnt[27][0]~80667_combout\);

-- Location: FF_X43_Y25_N19
\led_flash_cnt[27][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[27][0]~80667_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[27][0]~q\);

-- Location: LCCOMB_X42_Y25_N0
\led_flash_cnt[27][1]~27258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[27][1]~27258_combout\ = (\led_flash_cnt[27][0]~q\ & (\led_flash_cnt[27][1]~q\ $ (VCC))) # (!\led_flash_cnt[27][0]~q\ & (\led_flash_cnt[27][1]~q\ & VCC))
-- \led_flash_cnt[27][1]~27259\ = CARRY((\led_flash_cnt[27][0]~q\ & \led_flash_cnt[27][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[27][0]~q\,
	datab => \led_flash_cnt[27][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[27][1]~27258_combout\,
	cout => \led_flash_cnt[27][1]~27259\);

-- Location: FF_X42_Y25_N1
\led_flash_cnt[27][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[27][1]~27258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[27][1]~q\);

-- Location: LCCOMB_X42_Y25_N2
\led_flash_cnt[27][2]~27260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[27][2]~27260_combout\ = (\led_flash_cnt[27][2]~q\ & (!\led_flash_cnt[27][1]~27259\)) # (!\led_flash_cnt[27][2]~q\ & ((\led_flash_cnt[27][1]~27259\) # (GND)))
-- \led_flash_cnt[27][2]~27261\ = CARRY((!\led_flash_cnt[27][1]~27259\) # (!\led_flash_cnt[27][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[27][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[27][1]~27259\,
	combout => \led_flash_cnt[27][2]~27260_combout\,
	cout => \led_flash_cnt[27][2]~27261\);

-- Location: FF_X42_Y25_N3
\led_flash_cnt[27][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[27][2]~27260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[27][2]~q\);

-- Location: LCCOMB_X42_Y25_N4
\led_flash_cnt[27][3]~27262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[27][3]~27262_combout\ = (\led_flash_cnt[27][3]~q\ & (\led_flash_cnt[27][2]~27261\ $ (GND))) # (!\led_flash_cnt[27][3]~q\ & (!\led_flash_cnt[27][2]~27261\ & VCC))
-- \led_flash_cnt[27][3]~27263\ = CARRY((\led_flash_cnt[27][3]~q\ & !\led_flash_cnt[27][2]~27261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[27][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[27][2]~27261\,
	combout => \led_flash_cnt[27][3]~27262_combout\,
	cout => \led_flash_cnt[27][3]~27263\);

-- Location: FF_X42_Y25_N5
\led_flash_cnt[27][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[27][3]~27262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[27][3]~q\);

-- Location: LCCOMB_X42_Y25_N6
\led_flash_cnt[27][4]~27264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[27][4]~27264_combout\ = (\led_flash_cnt[27][4]~q\ & (!\led_flash_cnt[27][3]~27263\)) # (!\led_flash_cnt[27][4]~q\ & ((\led_flash_cnt[27][3]~27263\) # (GND)))
-- \led_flash_cnt[27][4]~27265\ = CARRY((!\led_flash_cnt[27][3]~27263\) # (!\led_flash_cnt[27][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[27][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[27][3]~27263\,
	combout => \led_flash_cnt[27][4]~27264_combout\,
	cout => \led_flash_cnt[27][4]~27265\);

-- Location: FF_X42_Y25_N7
\led_flash_cnt[27][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[27][4]~27264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[27][4]~q\);

-- Location: LCCOMB_X42_Y25_N8
\led_flash_cnt[27][5]~27266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[27][5]~27266_combout\ = (\led_flash_cnt[27][5]~q\ & (\led_flash_cnt[27][4]~27265\ $ (GND))) # (!\led_flash_cnt[27][5]~q\ & (!\led_flash_cnt[27][4]~27265\ & VCC))
-- \led_flash_cnt[27][5]~27267\ = CARRY((\led_flash_cnt[27][5]~q\ & !\led_flash_cnt[27][4]~27265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[27][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[27][4]~27265\,
	combout => \led_flash_cnt[27][5]~27266_combout\,
	cout => \led_flash_cnt[27][5]~27267\);

-- Location: FF_X42_Y25_N9
\led_flash_cnt[27][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[27][5]~27266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[27][5]~q\);

-- Location: LCCOMB_X42_Y25_N10
\led_flash_cnt[27][6]~27268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[27][6]~27268_combout\ = (\led_flash_cnt[27][6]~q\ & (!\led_flash_cnt[27][5]~27267\)) # (!\led_flash_cnt[27][6]~q\ & ((\led_flash_cnt[27][5]~27267\) # (GND)))
-- \led_flash_cnt[27][6]~27269\ = CARRY((!\led_flash_cnt[27][5]~27267\) # (!\led_flash_cnt[27][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[27][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[27][5]~27267\,
	combout => \led_flash_cnt[27][6]~27268_combout\,
	cout => \led_flash_cnt[27][6]~27269\);

-- Location: FF_X42_Y25_N11
\led_flash_cnt[27][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[27][6]~27268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[27][6]~q\);

-- Location: LCCOMB_X42_Y25_N12
\led_flash_cnt[27][7]~27270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[27][7]~27270_combout\ = \led_flash_cnt[27][6]~27269\ $ (!\led_flash_cnt[27][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[27][7]~q\,
	cin => \led_flash_cnt[27][6]~27269\,
	combout => \led_flash_cnt[27][7]~27270_combout\);

-- Location: FF_X42_Y25_N13
\led_flash_cnt[27][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[27][7]~27270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[27][7]~q\);

-- Location: LCCOMB_X42_Y25_N28
\WideAnd27~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd27~0_combout\ = (\led_flash_cnt[27][4]~q\ & (\led_flash_cnt[27][1]~q\ & (\led_flash_cnt[27][3]~q\ & \led_flash_cnt[27][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[27][4]~q\,
	datab => \led_flash_cnt[27][1]~q\,
	datac => \led_flash_cnt[27][3]~q\,
	datad => \led_flash_cnt[27][2]~q\,
	combout => \WideAnd27~0_combout\);

-- Location: LCCOMB_X43_Y25_N14
\WideAnd27~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd27~1_combout\ = (\led_flash_cnt[27][6]~q\ & \led_flash_cnt[27][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[27][6]~q\,
	datad => \led_flash_cnt[27][5]~q\,
	combout => \WideAnd27~1_combout\);

-- Location: LCCOMB_X43_Y25_N22
WideAnd27 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd27~combout\ = (\led_flash_cnt[27][7]~q\ & (\WideAnd27~0_combout\ & (\WideAnd27~1_combout\ & \led_flash_cnt[27][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[27][7]~q\,
	datab => \WideAnd27~0_combout\,
	datac => \WideAnd27~1_combout\,
	datad => \led_flash_cnt[27][0]~q\,
	combout => \WideAnd27~combout\);

-- Location: FF_X43_Y25_N23
\led_flash_cnt_ands[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd27~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(27));

-- Location: LCCOMB_X44_Y24_N26
\led_flash_cnt[26][0]~80666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[26][0]~80666_combout\ = !\led_flash_cnt[26][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[26][0]~q\,
	combout => \led_flash_cnt[26][0]~80666_combout\);

-- Location: FF_X44_Y24_N27
\led_flash_cnt[26][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[26][0]~80666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[26][0]~q\);

-- Location: LCCOMB_X44_Y25_N2
\led_flash_cnt[26][1]~27244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[26][1]~27244_combout\ = (\led_flash_cnt[26][0]~q\ & (\led_flash_cnt[26][1]~q\ $ (VCC))) # (!\led_flash_cnt[26][0]~q\ & (\led_flash_cnt[26][1]~q\ & VCC))
-- \led_flash_cnt[26][1]~27245\ = CARRY((\led_flash_cnt[26][0]~q\ & \led_flash_cnt[26][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[26][0]~q\,
	datab => \led_flash_cnt[26][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[26][1]~27244_combout\,
	cout => \led_flash_cnt[26][1]~27245\);

-- Location: FF_X44_Y25_N3
\led_flash_cnt[26][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[26][1]~27244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[26][1]~q\);

-- Location: LCCOMB_X44_Y25_N4
\led_flash_cnt[26][2]~27246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[26][2]~27246_combout\ = (\led_flash_cnt[26][2]~q\ & (!\led_flash_cnt[26][1]~27245\)) # (!\led_flash_cnt[26][2]~q\ & ((\led_flash_cnt[26][1]~27245\) # (GND)))
-- \led_flash_cnt[26][2]~27247\ = CARRY((!\led_flash_cnt[26][1]~27245\) # (!\led_flash_cnt[26][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[26][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[26][1]~27245\,
	combout => \led_flash_cnt[26][2]~27246_combout\,
	cout => \led_flash_cnt[26][2]~27247\);

-- Location: FF_X44_Y25_N5
\led_flash_cnt[26][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[26][2]~27246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[26][2]~q\);

-- Location: LCCOMB_X44_Y25_N6
\led_flash_cnt[26][3]~27248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[26][3]~27248_combout\ = (\led_flash_cnt[26][3]~q\ & (\led_flash_cnt[26][2]~27247\ $ (GND))) # (!\led_flash_cnt[26][3]~q\ & (!\led_flash_cnt[26][2]~27247\ & VCC))
-- \led_flash_cnt[26][3]~27249\ = CARRY((\led_flash_cnt[26][3]~q\ & !\led_flash_cnt[26][2]~27247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[26][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[26][2]~27247\,
	combout => \led_flash_cnt[26][3]~27248_combout\,
	cout => \led_flash_cnt[26][3]~27249\);

-- Location: FF_X44_Y25_N7
\led_flash_cnt[26][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[26][3]~27248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[26][3]~q\);

-- Location: LCCOMB_X44_Y25_N8
\led_flash_cnt[26][4]~27250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[26][4]~27250_combout\ = (\led_flash_cnt[26][4]~q\ & (!\led_flash_cnt[26][3]~27249\)) # (!\led_flash_cnt[26][4]~q\ & ((\led_flash_cnt[26][3]~27249\) # (GND)))
-- \led_flash_cnt[26][4]~27251\ = CARRY((!\led_flash_cnt[26][3]~27249\) # (!\led_flash_cnt[26][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[26][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[26][3]~27249\,
	combout => \led_flash_cnt[26][4]~27250_combout\,
	cout => \led_flash_cnt[26][4]~27251\);

-- Location: FF_X44_Y25_N9
\led_flash_cnt[26][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[26][4]~27250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[26][4]~q\);

-- Location: LCCOMB_X44_Y25_N10
\led_flash_cnt[26][5]~27252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[26][5]~27252_combout\ = (\led_flash_cnt[26][5]~q\ & (\led_flash_cnt[26][4]~27251\ $ (GND))) # (!\led_flash_cnt[26][5]~q\ & (!\led_flash_cnt[26][4]~27251\ & VCC))
-- \led_flash_cnt[26][5]~27253\ = CARRY((\led_flash_cnt[26][5]~q\ & !\led_flash_cnt[26][4]~27251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[26][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[26][4]~27251\,
	combout => \led_flash_cnt[26][5]~27252_combout\,
	cout => \led_flash_cnt[26][5]~27253\);

-- Location: FF_X44_Y25_N11
\led_flash_cnt[26][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[26][5]~27252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[26][5]~q\);

-- Location: LCCOMB_X44_Y25_N12
\led_flash_cnt[26][6]~27254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[26][6]~27254_combout\ = (\led_flash_cnt[26][6]~q\ & (!\led_flash_cnt[26][5]~27253\)) # (!\led_flash_cnt[26][6]~q\ & ((\led_flash_cnt[26][5]~27253\) # (GND)))
-- \led_flash_cnt[26][6]~27255\ = CARRY((!\led_flash_cnt[26][5]~27253\) # (!\led_flash_cnt[26][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[26][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[26][5]~27253\,
	combout => \led_flash_cnt[26][6]~27254_combout\,
	cout => \led_flash_cnt[26][6]~27255\);

-- Location: FF_X44_Y25_N13
\led_flash_cnt[26][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[26][6]~27254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[26][6]~q\);

-- Location: LCCOMB_X43_Y25_N26
\WideAnd26~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd26~1_combout\ = (\led_flash_cnt[26][6]~q\ & \led_flash_cnt[26][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[26][6]~q\,
	datac => \led_flash_cnt[26][5]~q\,
	combout => \WideAnd26~1_combout\);

-- Location: LCCOMB_X44_Y25_N14
\led_flash_cnt[26][7]~27256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[26][7]~27256_combout\ = \led_flash_cnt[26][7]~q\ $ (!\led_flash_cnt[26][6]~27255\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[26][7]~q\,
	cin => \led_flash_cnt[26][6]~27255\,
	combout => \led_flash_cnt[26][7]~27256_combout\);

-- Location: FF_X44_Y25_N15
\led_flash_cnt[26][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[26][7]~27256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[26][7]~q\);

-- Location: LCCOMB_X44_Y25_N30
\WideAnd26~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd26~0_combout\ = (\led_flash_cnt[26][3]~q\ & (\led_flash_cnt[26][4]~q\ & (\led_flash_cnt[26][2]~q\ & \led_flash_cnt[26][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[26][3]~q\,
	datab => \led_flash_cnt[26][4]~q\,
	datac => \led_flash_cnt[26][2]~q\,
	datad => \led_flash_cnt[26][1]~q\,
	combout => \WideAnd26~0_combout\);

-- Location: LCCOMB_X43_Y25_N20
WideAnd26 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd26~combout\ = (\WideAnd26~1_combout\ & (\led_flash_cnt[26][7]~q\ & (\WideAnd26~0_combout\ & \led_flash_cnt[26][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd26~1_combout\,
	datab => \led_flash_cnt[26][7]~q\,
	datac => \WideAnd26~0_combout\,
	datad => \led_flash_cnt[26][0]~q\,
	combout => \WideAnd26~combout\);

-- Location: FF_X43_Y25_N21
\led_flash_cnt_ands[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd26~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(26));

-- Location: LCCOMB_X38_Y17_N12
\led_flash_cnt[24][0]~80664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[24][0]~80664_combout\ = !\led_flash_cnt[24][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[24][0]~q\,
	combout => \led_flash_cnt[24][0]~80664_combout\);

-- Location: FF_X38_Y17_N13
\led_flash_cnt[24][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[24][0]~80664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[24][0]~q\);

-- Location: LCCOMB_X38_Y17_N14
\led_flash_cnt[24][1]~27216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[24][1]~27216_combout\ = (\led_flash_cnt[24][0]~q\ & (\led_flash_cnt[24][1]~q\ $ (VCC))) # (!\led_flash_cnt[24][0]~q\ & (\led_flash_cnt[24][1]~q\ & VCC))
-- \led_flash_cnt[24][1]~27217\ = CARRY((\led_flash_cnt[24][0]~q\ & \led_flash_cnt[24][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[24][0]~q\,
	datab => \led_flash_cnt[24][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[24][1]~27216_combout\,
	cout => \led_flash_cnt[24][1]~27217\);

-- Location: FF_X38_Y17_N15
\led_flash_cnt[24][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[24][1]~27216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[24][1]~q\);

-- Location: LCCOMB_X38_Y17_N16
\led_flash_cnt[24][2]~27218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[24][2]~27218_combout\ = (\led_flash_cnt[24][2]~q\ & (!\led_flash_cnt[24][1]~27217\)) # (!\led_flash_cnt[24][2]~q\ & ((\led_flash_cnt[24][1]~27217\) # (GND)))
-- \led_flash_cnt[24][2]~27219\ = CARRY((!\led_flash_cnt[24][1]~27217\) # (!\led_flash_cnt[24][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[24][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[24][1]~27217\,
	combout => \led_flash_cnt[24][2]~27218_combout\,
	cout => \led_flash_cnt[24][2]~27219\);

-- Location: FF_X38_Y17_N17
\led_flash_cnt[24][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[24][2]~27218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[24][2]~q\);

-- Location: LCCOMB_X38_Y17_N18
\led_flash_cnt[24][3]~27220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[24][3]~27220_combout\ = (\led_flash_cnt[24][3]~q\ & (\led_flash_cnt[24][2]~27219\ $ (GND))) # (!\led_flash_cnt[24][3]~q\ & (!\led_flash_cnt[24][2]~27219\ & VCC))
-- \led_flash_cnt[24][3]~27221\ = CARRY((\led_flash_cnt[24][3]~q\ & !\led_flash_cnt[24][2]~27219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[24][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[24][2]~27219\,
	combout => \led_flash_cnt[24][3]~27220_combout\,
	cout => \led_flash_cnt[24][3]~27221\);

-- Location: FF_X38_Y17_N19
\led_flash_cnt[24][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[24][3]~27220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[24][3]~q\);

-- Location: LCCOMB_X38_Y17_N20
\led_flash_cnt[24][4]~27222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[24][4]~27222_combout\ = (\led_flash_cnt[24][4]~q\ & (!\led_flash_cnt[24][3]~27221\)) # (!\led_flash_cnt[24][4]~q\ & ((\led_flash_cnt[24][3]~27221\) # (GND)))
-- \led_flash_cnt[24][4]~27223\ = CARRY((!\led_flash_cnt[24][3]~27221\) # (!\led_flash_cnt[24][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[24][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[24][3]~27221\,
	combout => \led_flash_cnt[24][4]~27222_combout\,
	cout => \led_flash_cnt[24][4]~27223\);

-- Location: FF_X38_Y17_N21
\led_flash_cnt[24][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[24][4]~27222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[24][4]~q\);

-- Location: LCCOMB_X38_Y17_N22
\led_flash_cnt[24][5]~27224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[24][5]~27224_combout\ = (\led_flash_cnt[24][5]~q\ & (\led_flash_cnt[24][4]~27223\ $ (GND))) # (!\led_flash_cnt[24][5]~q\ & (!\led_flash_cnt[24][4]~27223\ & VCC))
-- \led_flash_cnt[24][5]~27225\ = CARRY((\led_flash_cnt[24][5]~q\ & !\led_flash_cnt[24][4]~27223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[24][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[24][4]~27223\,
	combout => \led_flash_cnt[24][5]~27224_combout\,
	cout => \led_flash_cnt[24][5]~27225\);

-- Location: FF_X38_Y17_N23
\led_flash_cnt[24][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[24][5]~27224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[24][5]~q\);

-- Location: LCCOMB_X38_Y17_N24
\led_flash_cnt[24][6]~27226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[24][6]~27226_combout\ = (\led_flash_cnt[24][6]~q\ & (!\led_flash_cnt[24][5]~27225\)) # (!\led_flash_cnt[24][6]~q\ & ((\led_flash_cnt[24][5]~27225\) # (GND)))
-- \led_flash_cnt[24][6]~27227\ = CARRY((!\led_flash_cnt[24][5]~27225\) # (!\led_flash_cnt[24][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[24][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[24][5]~27225\,
	combout => \led_flash_cnt[24][6]~27226_combout\,
	cout => \led_flash_cnt[24][6]~27227\);

-- Location: FF_X38_Y17_N25
\led_flash_cnt[24][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[24][6]~27226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[24][6]~q\);

-- Location: LCCOMB_X38_Y17_N10
\WideAnd24~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd24~1_combout\ = (\led_flash_cnt[24][5]~q\ & \led_flash_cnt[24][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[24][5]~q\,
	datad => \led_flash_cnt[24][6]~q\,
	combout => \WideAnd24~1_combout\);

-- Location: LCCOMB_X38_Y17_N0
\WideAnd24~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd24~0_combout\ = (\led_flash_cnt[24][3]~q\ & (\led_flash_cnt[24][4]~q\ & (\led_flash_cnt[24][1]~q\ & \led_flash_cnt[24][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[24][3]~q\,
	datab => \led_flash_cnt[24][4]~q\,
	datac => \led_flash_cnt[24][1]~q\,
	datad => \led_flash_cnt[24][2]~q\,
	combout => \WideAnd24~0_combout\);

-- Location: LCCOMB_X38_Y17_N26
\led_flash_cnt[24][7]~27228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[24][7]~27228_combout\ = \led_flash_cnt[24][7]~q\ $ (!\led_flash_cnt[24][6]~27227\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[24][7]~q\,
	cin => \led_flash_cnt[24][6]~27227\,
	combout => \led_flash_cnt[24][7]~27228_combout\);

-- Location: FF_X38_Y17_N27
\led_flash_cnt[24][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[24][7]~27228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[24][7]~q\);

-- Location: LCCOMB_X38_Y17_N4
WideAnd24 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd24~combout\ = (\WideAnd24~1_combout\ & (\WideAnd24~0_combout\ & (\led_flash_cnt[24][7]~q\ & \led_flash_cnt[24][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd24~1_combout\,
	datab => \WideAnd24~0_combout\,
	datac => \led_flash_cnt[24][7]~q\,
	datad => \led_flash_cnt[24][0]~q\,
	combout => \WideAnd24~combout\);

-- Location: FF_X38_Y17_N5
\led_flash_cnt_ands[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd24~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(24));

-- Location: LCCOMB_X42_Y24_N0
\led_flash_cnt[25][0]~80665\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[25][0]~80665_combout\ = !\led_flash_cnt[25][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[25][0]~q\,
	combout => \led_flash_cnt[25][0]~80665_combout\);

-- Location: FF_X42_Y24_N1
\led_flash_cnt[25][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[25][0]~80665_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[25][0]~q\);

-- Location: LCCOMB_X43_Y25_N0
\led_flash_cnt[25][1]~27230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[25][1]~27230_combout\ = (\led_flash_cnt[25][0]~q\ & (\led_flash_cnt[25][1]~q\ $ (VCC))) # (!\led_flash_cnt[25][0]~q\ & (\led_flash_cnt[25][1]~q\ & VCC))
-- \led_flash_cnt[25][1]~27231\ = CARRY((\led_flash_cnt[25][0]~q\ & \led_flash_cnt[25][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[25][0]~q\,
	datab => \led_flash_cnt[25][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[25][1]~27230_combout\,
	cout => \led_flash_cnt[25][1]~27231\);

-- Location: FF_X43_Y25_N1
\led_flash_cnt[25][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[25][1]~27230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[25][1]~q\);

-- Location: LCCOMB_X43_Y25_N2
\led_flash_cnt[25][2]~27232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[25][2]~27232_combout\ = (\led_flash_cnt[25][2]~q\ & (!\led_flash_cnt[25][1]~27231\)) # (!\led_flash_cnt[25][2]~q\ & ((\led_flash_cnt[25][1]~27231\) # (GND)))
-- \led_flash_cnt[25][2]~27233\ = CARRY((!\led_flash_cnt[25][1]~27231\) # (!\led_flash_cnt[25][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[25][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[25][1]~27231\,
	combout => \led_flash_cnt[25][2]~27232_combout\,
	cout => \led_flash_cnt[25][2]~27233\);

-- Location: FF_X43_Y25_N3
\led_flash_cnt[25][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[25][2]~27232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[25][2]~q\);

-- Location: LCCOMB_X43_Y25_N4
\led_flash_cnt[25][3]~27234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[25][3]~27234_combout\ = (\led_flash_cnt[25][3]~q\ & (\led_flash_cnt[25][2]~27233\ $ (GND))) # (!\led_flash_cnt[25][3]~q\ & (!\led_flash_cnt[25][2]~27233\ & VCC))
-- \led_flash_cnt[25][3]~27235\ = CARRY((\led_flash_cnt[25][3]~q\ & !\led_flash_cnt[25][2]~27233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[25][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[25][2]~27233\,
	combout => \led_flash_cnt[25][3]~27234_combout\,
	cout => \led_flash_cnt[25][3]~27235\);

-- Location: FF_X43_Y25_N5
\led_flash_cnt[25][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[25][3]~27234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[25][3]~q\);

-- Location: LCCOMB_X43_Y25_N6
\led_flash_cnt[25][4]~27236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[25][4]~27236_combout\ = (\led_flash_cnt[25][4]~q\ & (!\led_flash_cnt[25][3]~27235\)) # (!\led_flash_cnt[25][4]~q\ & ((\led_flash_cnt[25][3]~27235\) # (GND)))
-- \led_flash_cnt[25][4]~27237\ = CARRY((!\led_flash_cnt[25][3]~27235\) # (!\led_flash_cnt[25][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[25][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[25][3]~27235\,
	combout => \led_flash_cnt[25][4]~27236_combout\,
	cout => \led_flash_cnt[25][4]~27237\);

-- Location: FF_X43_Y25_N7
\led_flash_cnt[25][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[25][4]~27236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[25][4]~q\);

-- Location: LCCOMB_X43_Y25_N8
\led_flash_cnt[25][5]~27238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[25][5]~27238_combout\ = (\led_flash_cnt[25][5]~q\ & (\led_flash_cnt[25][4]~27237\ $ (GND))) # (!\led_flash_cnt[25][5]~q\ & (!\led_flash_cnt[25][4]~27237\ & VCC))
-- \led_flash_cnt[25][5]~27239\ = CARRY((\led_flash_cnt[25][5]~q\ & !\led_flash_cnt[25][4]~27237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[25][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[25][4]~27237\,
	combout => \led_flash_cnt[25][5]~27238_combout\,
	cout => \led_flash_cnt[25][5]~27239\);

-- Location: FF_X43_Y25_N9
\led_flash_cnt[25][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[25][5]~27238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[25][5]~q\);

-- Location: LCCOMB_X43_Y25_N10
\led_flash_cnt[25][6]~27240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[25][6]~27240_combout\ = (\led_flash_cnt[25][6]~q\ & (!\led_flash_cnt[25][5]~27239\)) # (!\led_flash_cnt[25][6]~q\ & ((\led_flash_cnt[25][5]~27239\) # (GND)))
-- \led_flash_cnt[25][6]~27241\ = CARRY((!\led_flash_cnt[25][5]~27239\) # (!\led_flash_cnt[25][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[25][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[25][5]~27239\,
	combout => \led_flash_cnt[25][6]~27240_combout\,
	cout => \led_flash_cnt[25][6]~27241\);

-- Location: FF_X43_Y25_N11
\led_flash_cnt[25][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[25][6]~27240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[25][6]~q\);

-- Location: LCCOMB_X43_Y25_N30
\WideAnd25~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd25~1_combout\ = (\led_flash_cnt[25][5]~q\ & \led_flash_cnt[25][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[25][5]~q\,
	datad => \led_flash_cnt[25][6]~q\,
	combout => \WideAnd25~1_combout\);

-- Location: LCCOMB_X43_Y25_N16
\WideAnd25~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd25~0_combout\ = (\led_flash_cnt[25][4]~q\ & (\led_flash_cnt[25][1]~q\ & (\led_flash_cnt[25][3]~q\ & \led_flash_cnt[25][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[25][4]~q\,
	datab => \led_flash_cnt[25][1]~q\,
	datac => \led_flash_cnt[25][3]~q\,
	datad => \led_flash_cnt[25][2]~q\,
	combout => \WideAnd25~0_combout\);

-- Location: LCCOMB_X43_Y25_N12
\led_flash_cnt[25][7]~27242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[25][7]~27242_combout\ = \led_flash_cnt[25][6]~27241\ $ (!\led_flash_cnt[25][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[25][7]~q\,
	cin => \led_flash_cnt[25][6]~27241\,
	combout => \led_flash_cnt[25][7]~27242_combout\);

-- Location: FF_X43_Y25_N13
\led_flash_cnt[25][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[25][7]~27242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[25][7]~q\);

-- Location: LCCOMB_X43_Y25_N24
WideAnd25 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd25~combout\ = (\WideAnd25~1_combout\ & (\WideAnd25~0_combout\ & (\led_flash_cnt[25][0]~q\ & \led_flash_cnt[25][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd25~1_combout\,
	datab => \WideAnd25~0_combout\,
	datac => \led_flash_cnt[25][0]~q\,
	datad => \led_flash_cnt[25][7]~q\,
	combout => \WideAnd25~combout\);

-- Location: FF_X43_Y25_N25
\led_flash_cnt_ands[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd25~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(25));

-- Location: LCCOMB_X43_Y25_N28
\WideAnd3843~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3843~0_combout\ = (led_flash_cnt_ands(27) & (led_flash_cnt_ands(26) & (led_flash_cnt_ands(24) & led_flash_cnt_ands(25))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(27),
	datab => led_flash_cnt_ands(26),
	datac => led_flash_cnt_ands(24),
	datad => led_flash_cnt_ands(25),
	combout => \WideAnd3843~0_combout\);

-- Location: LCCOMB_X66_Y30_N30
\led_flash_cnt[31][0]~80671\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[31][0]~80671_combout\ = !\led_flash_cnt[31][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[31][0]~q\,
	combout => \led_flash_cnt[31][0]~80671_combout\);

-- Location: FF_X66_Y30_N31
\led_flash_cnt[31][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[31][0]~80671_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[31][0]~q\);

-- Location: LCCOMB_X65_Y30_N0
\led_flash_cnt[31][1]~27314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[31][1]~27314_combout\ = (\led_flash_cnt[31][0]~q\ & (\led_flash_cnt[31][1]~q\ $ (VCC))) # (!\led_flash_cnt[31][0]~q\ & (\led_flash_cnt[31][1]~q\ & VCC))
-- \led_flash_cnt[31][1]~27315\ = CARRY((\led_flash_cnt[31][0]~q\ & \led_flash_cnt[31][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[31][0]~q\,
	datab => \led_flash_cnt[31][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[31][1]~27314_combout\,
	cout => \led_flash_cnt[31][1]~27315\);

-- Location: FF_X65_Y30_N1
\led_flash_cnt[31][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[31][1]~27314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[31][1]~q\);

-- Location: LCCOMB_X65_Y30_N2
\led_flash_cnt[31][2]~27316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[31][2]~27316_combout\ = (\led_flash_cnt[31][2]~q\ & (!\led_flash_cnt[31][1]~27315\)) # (!\led_flash_cnt[31][2]~q\ & ((\led_flash_cnt[31][1]~27315\) # (GND)))
-- \led_flash_cnt[31][2]~27317\ = CARRY((!\led_flash_cnt[31][1]~27315\) # (!\led_flash_cnt[31][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[31][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[31][1]~27315\,
	combout => \led_flash_cnt[31][2]~27316_combout\,
	cout => \led_flash_cnt[31][2]~27317\);

-- Location: FF_X65_Y30_N3
\led_flash_cnt[31][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[31][2]~27316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[31][2]~q\);

-- Location: LCCOMB_X65_Y30_N4
\led_flash_cnt[31][3]~27318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[31][3]~27318_combout\ = (\led_flash_cnt[31][3]~q\ & (\led_flash_cnt[31][2]~27317\ $ (GND))) # (!\led_flash_cnt[31][3]~q\ & (!\led_flash_cnt[31][2]~27317\ & VCC))
-- \led_flash_cnt[31][3]~27319\ = CARRY((\led_flash_cnt[31][3]~q\ & !\led_flash_cnt[31][2]~27317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[31][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[31][2]~27317\,
	combout => \led_flash_cnt[31][3]~27318_combout\,
	cout => \led_flash_cnt[31][3]~27319\);

-- Location: FF_X65_Y30_N5
\led_flash_cnt[31][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[31][3]~27318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[31][3]~q\);

-- Location: LCCOMB_X65_Y30_N6
\led_flash_cnt[31][4]~27320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[31][4]~27320_combout\ = (\led_flash_cnt[31][4]~q\ & (!\led_flash_cnt[31][3]~27319\)) # (!\led_flash_cnt[31][4]~q\ & ((\led_flash_cnt[31][3]~27319\) # (GND)))
-- \led_flash_cnt[31][4]~27321\ = CARRY((!\led_flash_cnt[31][3]~27319\) # (!\led_flash_cnt[31][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[31][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[31][3]~27319\,
	combout => \led_flash_cnt[31][4]~27320_combout\,
	cout => \led_flash_cnt[31][4]~27321\);

-- Location: FF_X65_Y30_N7
\led_flash_cnt[31][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[31][4]~27320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[31][4]~q\);

-- Location: LCCOMB_X65_Y30_N8
\led_flash_cnt[31][5]~27322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[31][5]~27322_combout\ = (\led_flash_cnt[31][5]~q\ & (\led_flash_cnt[31][4]~27321\ $ (GND))) # (!\led_flash_cnt[31][5]~q\ & (!\led_flash_cnt[31][4]~27321\ & VCC))
-- \led_flash_cnt[31][5]~27323\ = CARRY((\led_flash_cnt[31][5]~q\ & !\led_flash_cnt[31][4]~27321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[31][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[31][4]~27321\,
	combout => \led_flash_cnt[31][5]~27322_combout\,
	cout => \led_flash_cnt[31][5]~27323\);

-- Location: FF_X65_Y30_N9
\led_flash_cnt[31][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[31][5]~27322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[31][5]~q\);

-- Location: LCCOMB_X65_Y30_N10
\led_flash_cnt[31][6]~27324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[31][6]~27324_combout\ = (\led_flash_cnt[31][6]~q\ & (!\led_flash_cnt[31][5]~27323\)) # (!\led_flash_cnt[31][6]~q\ & ((\led_flash_cnt[31][5]~27323\) # (GND)))
-- \led_flash_cnt[31][6]~27325\ = CARRY((!\led_flash_cnt[31][5]~27323\) # (!\led_flash_cnt[31][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[31][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[31][5]~27323\,
	combout => \led_flash_cnt[31][6]~27324_combout\,
	cout => \led_flash_cnt[31][6]~27325\);

-- Location: FF_X65_Y30_N11
\led_flash_cnt[31][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[31][6]~27324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[31][6]~q\);

-- Location: LCCOMB_X65_Y30_N12
\led_flash_cnt[31][7]~27326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[31][7]~27326_combout\ = \led_flash_cnt[31][6]~27325\ $ (!\led_flash_cnt[31][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[31][7]~q\,
	cin => \led_flash_cnt[31][6]~27325\,
	combout => \led_flash_cnt[31][7]~27326_combout\);

-- Location: FF_X65_Y30_N13
\led_flash_cnt[31][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[31][7]~27326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[31][7]~q\);

-- Location: LCCOMB_X66_Y30_N26
\WideAnd31~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd31~1_combout\ = (\led_flash_cnt[31][6]~q\ & \led_flash_cnt[31][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[31][6]~q\,
	datad => \led_flash_cnt[31][5]~q\,
	combout => \WideAnd31~1_combout\);

-- Location: LCCOMB_X65_Y30_N14
\WideAnd31~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd31~0_combout\ = (\led_flash_cnt[31][4]~q\ & (\led_flash_cnt[31][1]~q\ & (\led_flash_cnt[31][3]~q\ & \led_flash_cnt[31][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[31][4]~q\,
	datab => \led_flash_cnt[31][1]~q\,
	datac => \led_flash_cnt[31][3]~q\,
	datad => \led_flash_cnt[31][2]~q\,
	combout => \WideAnd31~0_combout\);

-- Location: LCCOMB_X66_Y30_N28
WideAnd31 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd31~combout\ = (\led_flash_cnt[31][7]~q\ & (\led_flash_cnt[31][0]~q\ & (\WideAnd31~1_combout\ & \WideAnd31~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[31][7]~q\,
	datab => \led_flash_cnt[31][0]~q\,
	datac => \WideAnd31~1_combout\,
	datad => \WideAnd31~0_combout\,
	combout => \WideAnd31~combout\);

-- Location: FF_X66_Y30_N29
\led_flash_cnt_ands[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd31~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(31));

-- Location: LCCOMB_X63_Y30_N22
WideAnd3843 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3843~combout\ = (led_flash_cnt_ands(30) & (\WideAnd3843~1_combout\ & (\WideAnd3843~0_combout\ & led_flash_cnt_ands(31))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(30),
	datab => \WideAnd3843~1_combout\,
	datac => \WideAnd3843~0_combout\,
	datad => led_flash_cnt_ands(31),
	combout => \WideAnd3843~combout\);

-- Location: FF_X63_Y30_N23
\led_flash_cnt_ands_1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3843~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(3));

-- Location: LCCOMB_X15_Y21_N2
\led_flash_cnt[14][0]~80654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[14][0]~80654_combout\ = !\led_flash_cnt[14][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[14][0]~q\,
	combout => \led_flash_cnt[14][0]~80654_combout\);

-- Location: FF_X15_Y21_N3
\led_flash_cnt[14][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[14][0]~80654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[14][0]~q\);

-- Location: LCCOMB_X16_Y21_N18
\led_flash_cnt[14][1]~27076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[14][1]~27076_combout\ = (\led_flash_cnt[14][0]~q\ & (\led_flash_cnt[14][1]~q\ $ (VCC))) # (!\led_flash_cnt[14][0]~q\ & (\led_flash_cnt[14][1]~q\ & VCC))
-- \led_flash_cnt[14][1]~27077\ = CARRY((\led_flash_cnt[14][0]~q\ & \led_flash_cnt[14][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[14][0]~q\,
	datab => \led_flash_cnt[14][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[14][1]~27076_combout\,
	cout => \led_flash_cnt[14][1]~27077\);

-- Location: FF_X16_Y21_N19
\led_flash_cnt[14][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[14][1]~27076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[14][1]~q\);

-- Location: LCCOMB_X16_Y21_N20
\led_flash_cnt[14][2]~27078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[14][2]~27078_combout\ = (\led_flash_cnt[14][2]~q\ & (!\led_flash_cnt[14][1]~27077\)) # (!\led_flash_cnt[14][2]~q\ & ((\led_flash_cnt[14][1]~27077\) # (GND)))
-- \led_flash_cnt[14][2]~27079\ = CARRY((!\led_flash_cnt[14][1]~27077\) # (!\led_flash_cnt[14][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[14][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[14][1]~27077\,
	combout => \led_flash_cnt[14][2]~27078_combout\,
	cout => \led_flash_cnt[14][2]~27079\);

-- Location: FF_X16_Y21_N21
\led_flash_cnt[14][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[14][2]~27078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[14][2]~q\);

-- Location: LCCOMB_X16_Y21_N22
\led_flash_cnt[14][3]~27080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[14][3]~27080_combout\ = (\led_flash_cnt[14][3]~q\ & (\led_flash_cnt[14][2]~27079\ $ (GND))) # (!\led_flash_cnt[14][3]~q\ & (!\led_flash_cnt[14][2]~27079\ & VCC))
-- \led_flash_cnt[14][3]~27081\ = CARRY((\led_flash_cnt[14][3]~q\ & !\led_flash_cnt[14][2]~27079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[14][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[14][2]~27079\,
	combout => \led_flash_cnt[14][3]~27080_combout\,
	cout => \led_flash_cnt[14][3]~27081\);

-- Location: FF_X16_Y21_N23
\led_flash_cnt[14][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[14][3]~27080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[14][3]~q\);

-- Location: LCCOMB_X16_Y21_N24
\led_flash_cnt[14][4]~27082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[14][4]~27082_combout\ = (\led_flash_cnt[14][4]~q\ & (!\led_flash_cnt[14][3]~27081\)) # (!\led_flash_cnt[14][4]~q\ & ((\led_flash_cnt[14][3]~27081\) # (GND)))
-- \led_flash_cnt[14][4]~27083\ = CARRY((!\led_flash_cnt[14][3]~27081\) # (!\led_flash_cnt[14][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[14][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[14][3]~27081\,
	combout => \led_flash_cnt[14][4]~27082_combout\,
	cout => \led_flash_cnt[14][4]~27083\);

-- Location: FF_X16_Y21_N25
\led_flash_cnt[14][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[14][4]~27082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[14][4]~q\);

-- Location: LCCOMB_X16_Y21_N26
\led_flash_cnt[14][5]~27084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[14][5]~27084_combout\ = (\led_flash_cnt[14][5]~q\ & (\led_flash_cnt[14][4]~27083\ $ (GND))) # (!\led_flash_cnt[14][5]~q\ & (!\led_flash_cnt[14][4]~27083\ & VCC))
-- \led_flash_cnt[14][5]~27085\ = CARRY((\led_flash_cnt[14][5]~q\ & !\led_flash_cnt[14][4]~27083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[14][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[14][4]~27083\,
	combout => \led_flash_cnt[14][5]~27084_combout\,
	cout => \led_flash_cnt[14][5]~27085\);

-- Location: FF_X16_Y21_N27
\led_flash_cnt[14][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[14][5]~27084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[14][5]~q\);

-- Location: LCCOMB_X16_Y21_N28
\led_flash_cnt[14][6]~27086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[14][6]~27086_combout\ = (\led_flash_cnt[14][6]~q\ & (!\led_flash_cnt[14][5]~27085\)) # (!\led_flash_cnt[14][6]~q\ & ((\led_flash_cnt[14][5]~27085\) # (GND)))
-- \led_flash_cnt[14][6]~27087\ = CARRY((!\led_flash_cnt[14][5]~27085\) # (!\led_flash_cnt[14][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[14][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[14][5]~27085\,
	combout => \led_flash_cnt[14][6]~27086_combout\,
	cout => \led_flash_cnt[14][6]~27087\);

-- Location: FF_X16_Y21_N29
\led_flash_cnt[14][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[14][6]~27086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[14][6]~q\);

-- Location: LCCOMB_X16_Y21_N30
\led_flash_cnt[14][7]~27088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[14][7]~27088_combout\ = \led_flash_cnt[14][7]~q\ $ (!\led_flash_cnt[14][6]~27087\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[14][7]~q\,
	cin => \led_flash_cnt[14][6]~27087\,
	combout => \led_flash_cnt[14][7]~27088_combout\);

-- Location: FF_X16_Y21_N31
\led_flash_cnt[14][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[14][7]~27088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[14][7]~q\);

-- Location: LCCOMB_X15_Y21_N4
\WideAnd14~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd14~1_combout\ = (\led_flash_cnt[14][5]~q\ & \led_flash_cnt[14][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[14][5]~q\,
	datad => \led_flash_cnt[14][6]~q\,
	combout => \WideAnd14~1_combout\);

-- Location: LCCOMB_X16_Y21_N14
\WideAnd14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd14~0_combout\ = (\led_flash_cnt[14][1]~q\ & (\led_flash_cnt[14][4]~q\ & (\led_flash_cnt[14][3]~q\ & \led_flash_cnt[14][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[14][1]~q\,
	datab => \led_flash_cnt[14][4]~q\,
	datac => \led_flash_cnt[14][3]~q\,
	datad => \led_flash_cnt[14][2]~q\,
	combout => \WideAnd14~0_combout\);

-- Location: LCCOMB_X15_Y21_N0
WideAnd14 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd14~combout\ = (\led_flash_cnt[14][7]~q\ & (\WideAnd14~1_combout\ & (\WideAnd14~0_combout\ & \led_flash_cnt[14][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[14][7]~q\,
	datab => \WideAnd14~1_combout\,
	datac => \WideAnd14~0_combout\,
	datad => \led_flash_cnt[14][0]~q\,
	combout => \WideAnd14~combout\);

-- Location: FF_X15_Y21_N1
\led_flash_cnt_ands[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd14~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(14));

-- Location: LCCOMB_X47_Y30_N0
\led_flash_cnt[15][0]~80655\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[15][0]~80655_combout\ = !\led_flash_cnt[15][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[15][0]~q\,
	combout => \led_flash_cnt[15][0]~80655_combout\);

-- Location: FF_X47_Y30_N1
\led_flash_cnt[15][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[15][0]~80655_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[15][0]~q\);

-- Location: LCCOMB_X47_Y31_N18
\led_flash_cnt[15][1]~27090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[15][1]~27090_combout\ = (\led_flash_cnt[15][0]~q\ & (\led_flash_cnt[15][1]~q\ $ (VCC))) # (!\led_flash_cnt[15][0]~q\ & (\led_flash_cnt[15][1]~q\ & VCC))
-- \led_flash_cnt[15][1]~27091\ = CARRY((\led_flash_cnt[15][0]~q\ & \led_flash_cnt[15][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[15][0]~q\,
	datab => \led_flash_cnt[15][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[15][1]~27090_combout\,
	cout => \led_flash_cnt[15][1]~27091\);

-- Location: FF_X47_Y31_N19
\led_flash_cnt[15][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[15][1]~27090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[15][1]~q\);

-- Location: LCCOMB_X47_Y31_N20
\led_flash_cnt[15][2]~27092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[15][2]~27092_combout\ = (\led_flash_cnt[15][2]~q\ & (!\led_flash_cnt[15][1]~27091\)) # (!\led_flash_cnt[15][2]~q\ & ((\led_flash_cnt[15][1]~27091\) # (GND)))
-- \led_flash_cnt[15][2]~27093\ = CARRY((!\led_flash_cnt[15][1]~27091\) # (!\led_flash_cnt[15][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[15][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[15][1]~27091\,
	combout => \led_flash_cnt[15][2]~27092_combout\,
	cout => \led_flash_cnt[15][2]~27093\);

-- Location: FF_X47_Y31_N21
\led_flash_cnt[15][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[15][2]~27092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[15][2]~q\);

-- Location: LCCOMB_X47_Y31_N22
\led_flash_cnt[15][3]~27094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[15][3]~27094_combout\ = (\led_flash_cnt[15][3]~q\ & (\led_flash_cnt[15][2]~27093\ $ (GND))) # (!\led_flash_cnt[15][3]~q\ & (!\led_flash_cnt[15][2]~27093\ & VCC))
-- \led_flash_cnt[15][3]~27095\ = CARRY((\led_flash_cnt[15][3]~q\ & !\led_flash_cnt[15][2]~27093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[15][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[15][2]~27093\,
	combout => \led_flash_cnt[15][3]~27094_combout\,
	cout => \led_flash_cnt[15][3]~27095\);

-- Location: FF_X47_Y31_N23
\led_flash_cnt[15][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[15][3]~27094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[15][3]~q\);

-- Location: LCCOMB_X47_Y31_N24
\led_flash_cnt[15][4]~27096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[15][4]~27096_combout\ = (\led_flash_cnt[15][4]~q\ & (!\led_flash_cnt[15][3]~27095\)) # (!\led_flash_cnt[15][4]~q\ & ((\led_flash_cnt[15][3]~27095\) # (GND)))
-- \led_flash_cnt[15][4]~27097\ = CARRY((!\led_flash_cnt[15][3]~27095\) # (!\led_flash_cnt[15][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[15][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[15][3]~27095\,
	combout => \led_flash_cnt[15][4]~27096_combout\,
	cout => \led_flash_cnt[15][4]~27097\);

-- Location: FF_X47_Y31_N25
\led_flash_cnt[15][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[15][4]~27096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[15][4]~q\);

-- Location: LCCOMB_X47_Y31_N26
\led_flash_cnt[15][5]~27098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[15][5]~27098_combout\ = (\led_flash_cnt[15][5]~q\ & (\led_flash_cnt[15][4]~27097\ $ (GND))) # (!\led_flash_cnt[15][5]~q\ & (!\led_flash_cnt[15][4]~27097\ & VCC))
-- \led_flash_cnt[15][5]~27099\ = CARRY((\led_flash_cnt[15][5]~q\ & !\led_flash_cnt[15][4]~27097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[15][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[15][4]~27097\,
	combout => \led_flash_cnt[15][5]~27098_combout\,
	cout => \led_flash_cnt[15][5]~27099\);

-- Location: FF_X47_Y31_N27
\led_flash_cnt[15][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[15][5]~27098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[15][5]~q\);

-- Location: LCCOMB_X47_Y31_N28
\led_flash_cnt[15][6]~27100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[15][6]~27100_combout\ = (\led_flash_cnt[15][6]~q\ & (!\led_flash_cnt[15][5]~27099\)) # (!\led_flash_cnt[15][6]~q\ & ((\led_flash_cnt[15][5]~27099\) # (GND)))
-- \led_flash_cnt[15][6]~27101\ = CARRY((!\led_flash_cnt[15][5]~27099\) # (!\led_flash_cnt[15][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[15][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[15][5]~27099\,
	combout => \led_flash_cnt[15][6]~27100_combout\,
	cout => \led_flash_cnt[15][6]~27101\);

-- Location: FF_X47_Y31_N29
\led_flash_cnt[15][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[15][6]~27100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[15][6]~q\);

-- Location: LCCOMB_X47_Y30_N10
\WideAnd15~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd15~1_combout\ = (\led_flash_cnt[15][6]~q\ & \led_flash_cnt[15][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[15][6]~q\,
	datad => \led_flash_cnt[15][5]~q\,
	combout => \WideAnd15~1_combout\);

-- Location: LCCOMB_X47_Y31_N14
\WideAnd15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd15~0_combout\ = (\led_flash_cnt[15][4]~q\ & (\led_flash_cnt[15][2]~q\ & (\led_flash_cnt[15][3]~q\ & \led_flash_cnt[15][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[15][4]~q\,
	datab => \led_flash_cnt[15][2]~q\,
	datac => \led_flash_cnt[15][3]~q\,
	datad => \led_flash_cnt[15][1]~q\,
	combout => \WideAnd15~0_combout\);

-- Location: LCCOMB_X47_Y31_N30
\led_flash_cnt[15][7]~27102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[15][7]~27102_combout\ = \led_flash_cnt[15][7]~q\ $ (!\led_flash_cnt[15][6]~27101\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[15][7]~q\,
	cin => \led_flash_cnt[15][6]~27101\,
	combout => \led_flash_cnt[15][7]~27102_combout\);

-- Location: FF_X47_Y31_N31
\led_flash_cnt[15][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[15][7]~27102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[15][7]~q\);

-- Location: LCCOMB_X47_Y30_N30
WideAnd15 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd15~combout\ = (\WideAnd15~1_combout\ & (\WideAnd15~0_combout\ & (\led_flash_cnt[15][7]~q\ & \led_flash_cnt[15][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd15~1_combout\,
	datab => \WideAnd15~0_combout\,
	datac => \led_flash_cnt[15][7]~q\,
	datad => \led_flash_cnt[15][0]~q\,
	combout => \WideAnd15~combout\);

-- Location: FF_X47_Y30_N31
\led_flash_cnt_ands[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd15~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(15));

-- Location: LCCOMB_X15_Y29_N6
\led_flash_cnt[13][0]~80653\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[13][0]~80653_combout\ = !\led_flash_cnt[13][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[13][0]~q\,
	combout => \led_flash_cnt[13][0]~80653_combout\);

-- Location: FF_X15_Y29_N7
\led_flash_cnt[13][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[13][0]~80653_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[13][0]~q\);

-- Location: LCCOMB_X16_Y29_N2
\led_flash_cnt[13][1]~27062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[13][1]~27062_combout\ = (\led_flash_cnt[13][0]~q\ & (\led_flash_cnt[13][1]~q\ $ (VCC))) # (!\led_flash_cnt[13][0]~q\ & (\led_flash_cnt[13][1]~q\ & VCC))
-- \led_flash_cnt[13][1]~27063\ = CARRY((\led_flash_cnt[13][0]~q\ & \led_flash_cnt[13][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[13][0]~q\,
	datab => \led_flash_cnt[13][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[13][1]~27062_combout\,
	cout => \led_flash_cnt[13][1]~27063\);

-- Location: FF_X16_Y29_N3
\led_flash_cnt[13][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[13][1]~27062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[13][1]~q\);

-- Location: LCCOMB_X16_Y29_N4
\led_flash_cnt[13][2]~27064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[13][2]~27064_combout\ = (\led_flash_cnt[13][2]~q\ & (!\led_flash_cnt[13][1]~27063\)) # (!\led_flash_cnt[13][2]~q\ & ((\led_flash_cnt[13][1]~27063\) # (GND)))
-- \led_flash_cnt[13][2]~27065\ = CARRY((!\led_flash_cnt[13][1]~27063\) # (!\led_flash_cnt[13][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[13][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[13][1]~27063\,
	combout => \led_flash_cnt[13][2]~27064_combout\,
	cout => \led_flash_cnt[13][2]~27065\);

-- Location: FF_X16_Y29_N5
\led_flash_cnt[13][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[13][2]~27064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[13][2]~q\);

-- Location: LCCOMB_X16_Y29_N6
\led_flash_cnt[13][3]~27066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[13][3]~27066_combout\ = (\led_flash_cnt[13][3]~q\ & (\led_flash_cnt[13][2]~27065\ $ (GND))) # (!\led_flash_cnt[13][3]~q\ & (!\led_flash_cnt[13][2]~27065\ & VCC))
-- \led_flash_cnt[13][3]~27067\ = CARRY((\led_flash_cnt[13][3]~q\ & !\led_flash_cnt[13][2]~27065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[13][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[13][2]~27065\,
	combout => \led_flash_cnt[13][3]~27066_combout\,
	cout => \led_flash_cnt[13][3]~27067\);

-- Location: FF_X16_Y29_N7
\led_flash_cnt[13][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[13][3]~27066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[13][3]~q\);

-- Location: LCCOMB_X16_Y29_N8
\led_flash_cnt[13][4]~27068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[13][4]~27068_combout\ = (\led_flash_cnt[13][4]~q\ & (!\led_flash_cnt[13][3]~27067\)) # (!\led_flash_cnt[13][4]~q\ & ((\led_flash_cnt[13][3]~27067\) # (GND)))
-- \led_flash_cnt[13][4]~27069\ = CARRY((!\led_flash_cnt[13][3]~27067\) # (!\led_flash_cnt[13][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[13][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[13][3]~27067\,
	combout => \led_flash_cnt[13][4]~27068_combout\,
	cout => \led_flash_cnt[13][4]~27069\);

-- Location: FF_X16_Y29_N9
\led_flash_cnt[13][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[13][4]~27068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[13][4]~q\);

-- Location: LCCOMB_X16_Y29_N10
\led_flash_cnt[13][5]~27070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[13][5]~27070_combout\ = (\led_flash_cnt[13][5]~q\ & (\led_flash_cnt[13][4]~27069\ $ (GND))) # (!\led_flash_cnt[13][5]~q\ & (!\led_flash_cnt[13][4]~27069\ & VCC))
-- \led_flash_cnt[13][5]~27071\ = CARRY((\led_flash_cnt[13][5]~q\ & !\led_flash_cnt[13][4]~27069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[13][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[13][4]~27069\,
	combout => \led_flash_cnt[13][5]~27070_combout\,
	cout => \led_flash_cnt[13][5]~27071\);

-- Location: FF_X16_Y29_N11
\led_flash_cnt[13][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[13][5]~27070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[13][5]~q\);

-- Location: LCCOMB_X16_Y29_N12
\led_flash_cnt[13][6]~27072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[13][6]~27072_combout\ = (\led_flash_cnt[13][6]~q\ & (!\led_flash_cnt[13][5]~27071\)) # (!\led_flash_cnt[13][6]~q\ & ((\led_flash_cnt[13][5]~27071\) # (GND)))
-- \led_flash_cnt[13][6]~27073\ = CARRY((!\led_flash_cnt[13][5]~27071\) # (!\led_flash_cnt[13][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[13][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[13][5]~27071\,
	combout => \led_flash_cnt[13][6]~27072_combout\,
	cout => \led_flash_cnt[13][6]~27073\);

-- Location: FF_X16_Y29_N13
\led_flash_cnt[13][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[13][6]~27072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[13][6]~q\);

-- Location: LCCOMB_X15_Y29_N12
\WideAnd13~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd13~1_combout\ = (\led_flash_cnt[13][5]~q\ & \led_flash_cnt[13][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[13][5]~q\,
	datad => \led_flash_cnt[13][6]~q\,
	combout => \WideAnd13~1_combout\);

-- Location: LCCOMB_X16_Y29_N14
\led_flash_cnt[13][7]~27074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[13][7]~27074_combout\ = \led_flash_cnt[13][7]~q\ $ (!\led_flash_cnt[13][6]~27073\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[13][7]~q\,
	cin => \led_flash_cnt[13][6]~27073\,
	combout => \led_flash_cnt[13][7]~27074_combout\);

-- Location: FF_X16_Y29_N15
\led_flash_cnt[13][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[13][7]~27074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[13][7]~q\);

-- Location: LCCOMB_X16_Y29_N30
\WideAnd13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd13~0_combout\ = (\led_flash_cnt[13][3]~q\ & (\led_flash_cnt[13][4]~q\ & (\led_flash_cnt[13][2]~q\ & \led_flash_cnt[13][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[13][3]~q\,
	datab => \led_flash_cnt[13][4]~q\,
	datac => \led_flash_cnt[13][2]~q\,
	datad => \led_flash_cnt[13][1]~q\,
	combout => \WideAnd13~0_combout\);

-- Location: LCCOMB_X15_Y29_N8
WideAnd13 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd13~combout\ = (\WideAnd13~1_combout\ & (\led_flash_cnt[13][7]~q\ & (\WideAnd13~0_combout\ & \led_flash_cnt[13][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd13~1_combout\,
	datab => \led_flash_cnt[13][7]~q\,
	datac => \WideAnd13~0_combout\,
	datad => \led_flash_cnt[13][0]~q\,
	combout => \WideAnd13~combout\);

-- Location: FF_X15_Y29_N9
\led_flash_cnt_ands[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd13~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(13));

-- Location: LCCOMB_X15_Y29_N30
\led_flash_cnt[12][0]~80652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[12][0]~80652_combout\ = !\led_flash_cnt[12][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[12][0]~q\,
	combout => \led_flash_cnt[12][0]~80652_combout\);

-- Location: FF_X15_Y29_N31
\led_flash_cnt[12][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[12][0]~80652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[12][0]~q\);

-- Location: LCCOMB_X15_Y29_N16
\led_flash_cnt[12][1]~27048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[12][1]~27048_combout\ = (\led_flash_cnt[12][0]~q\ & (\led_flash_cnt[12][1]~q\ $ (VCC))) # (!\led_flash_cnt[12][0]~q\ & (\led_flash_cnt[12][1]~q\ & VCC))
-- \led_flash_cnt[12][1]~27049\ = CARRY((\led_flash_cnt[12][0]~q\ & \led_flash_cnt[12][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[12][0]~q\,
	datab => \led_flash_cnt[12][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[12][1]~27048_combout\,
	cout => \led_flash_cnt[12][1]~27049\);

-- Location: FF_X15_Y29_N17
\led_flash_cnt[12][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[12][1]~27048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[12][1]~q\);

-- Location: LCCOMB_X15_Y29_N18
\led_flash_cnt[12][2]~27050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[12][2]~27050_combout\ = (\led_flash_cnt[12][2]~q\ & (!\led_flash_cnt[12][1]~27049\)) # (!\led_flash_cnt[12][2]~q\ & ((\led_flash_cnt[12][1]~27049\) # (GND)))
-- \led_flash_cnt[12][2]~27051\ = CARRY((!\led_flash_cnt[12][1]~27049\) # (!\led_flash_cnt[12][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[12][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[12][1]~27049\,
	combout => \led_flash_cnt[12][2]~27050_combout\,
	cout => \led_flash_cnt[12][2]~27051\);

-- Location: FF_X15_Y29_N19
\led_flash_cnt[12][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[12][2]~27050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[12][2]~q\);

-- Location: LCCOMB_X15_Y29_N20
\led_flash_cnt[12][3]~27052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[12][3]~27052_combout\ = (\led_flash_cnt[12][3]~q\ & (\led_flash_cnt[12][2]~27051\ $ (GND))) # (!\led_flash_cnt[12][3]~q\ & (!\led_flash_cnt[12][2]~27051\ & VCC))
-- \led_flash_cnt[12][3]~27053\ = CARRY((\led_flash_cnt[12][3]~q\ & !\led_flash_cnt[12][2]~27051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[12][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[12][2]~27051\,
	combout => \led_flash_cnt[12][3]~27052_combout\,
	cout => \led_flash_cnt[12][3]~27053\);

-- Location: FF_X15_Y29_N21
\led_flash_cnt[12][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[12][3]~27052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[12][3]~q\);

-- Location: LCCOMB_X15_Y29_N22
\led_flash_cnt[12][4]~27054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[12][4]~27054_combout\ = (\led_flash_cnt[12][4]~q\ & (!\led_flash_cnt[12][3]~27053\)) # (!\led_flash_cnt[12][4]~q\ & ((\led_flash_cnt[12][3]~27053\) # (GND)))
-- \led_flash_cnt[12][4]~27055\ = CARRY((!\led_flash_cnt[12][3]~27053\) # (!\led_flash_cnt[12][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[12][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[12][3]~27053\,
	combout => \led_flash_cnt[12][4]~27054_combout\,
	cout => \led_flash_cnt[12][4]~27055\);

-- Location: FF_X15_Y29_N23
\led_flash_cnt[12][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[12][4]~27054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[12][4]~q\);

-- Location: LCCOMB_X15_Y29_N24
\led_flash_cnt[12][5]~27056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[12][5]~27056_combout\ = (\led_flash_cnt[12][5]~q\ & (\led_flash_cnt[12][4]~27055\ $ (GND))) # (!\led_flash_cnt[12][5]~q\ & (!\led_flash_cnt[12][4]~27055\ & VCC))
-- \led_flash_cnt[12][5]~27057\ = CARRY((\led_flash_cnt[12][5]~q\ & !\led_flash_cnt[12][4]~27055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[12][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[12][4]~27055\,
	combout => \led_flash_cnt[12][5]~27056_combout\,
	cout => \led_flash_cnt[12][5]~27057\);

-- Location: FF_X15_Y29_N25
\led_flash_cnt[12][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[12][5]~27056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[12][5]~q\);

-- Location: LCCOMB_X15_Y29_N26
\led_flash_cnt[12][6]~27058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[12][6]~27058_combout\ = (\led_flash_cnt[12][6]~q\ & (!\led_flash_cnt[12][5]~27057\)) # (!\led_flash_cnt[12][6]~q\ & ((\led_flash_cnt[12][5]~27057\) # (GND)))
-- \led_flash_cnt[12][6]~27059\ = CARRY((!\led_flash_cnt[12][5]~27057\) # (!\led_flash_cnt[12][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[12][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[12][5]~27057\,
	combout => \led_flash_cnt[12][6]~27058_combout\,
	cout => \led_flash_cnt[12][6]~27059\);

-- Location: FF_X15_Y29_N27
\led_flash_cnt[12][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[12][6]~27058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[12][6]~q\);

-- Location: LCCOMB_X15_Y29_N10
\WideAnd12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd12~1_combout\ = (\led_flash_cnt[12][6]~q\ & \led_flash_cnt[12][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[12][6]~q\,
	datad => \led_flash_cnt[12][5]~q\,
	combout => \WideAnd12~1_combout\);

-- Location: LCCOMB_X15_Y29_N4
\WideAnd12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd12~0_combout\ = (\led_flash_cnt[12][2]~q\ & (\led_flash_cnt[12][1]~q\ & (\led_flash_cnt[12][4]~q\ & \led_flash_cnt[12][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[12][2]~q\,
	datab => \led_flash_cnt[12][1]~q\,
	datac => \led_flash_cnt[12][4]~q\,
	datad => \led_flash_cnt[12][3]~q\,
	combout => \WideAnd12~0_combout\);

-- Location: LCCOMB_X15_Y29_N28
\led_flash_cnt[12][7]~27060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[12][7]~27060_combout\ = \led_flash_cnt[12][6]~27059\ $ (!\led_flash_cnt[12][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[12][7]~q\,
	cin => \led_flash_cnt[12][6]~27059\,
	combout => \led_flash_cnt[12][7]~27060_combout\);

-- Location: FF_X15_Y29_N29
\led_flash_cnt[12][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[12][7]~27060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[12][7]~q\);

-- Location: LCCOMB_X15_Y29_N2
WideAnd12 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd12~combout\ = (\WideAnd12~1_combout\ & (\WideAnd12~0_combout\ & (\led_flash_cnt[12][0]~q\ & \led_flash_cnt[12][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd12~1_combout\,
	datab => \WideAnd12~0_combout\,
	datac => \led_flash_cnt[12][0]~q\,
	datad => \led_flash_cnt[12][7]~q\,
	combout => \WideAnd12~combout\);

-- Location: FF_X15_Y29_N3
\led_flash_cnt_ands[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd12~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(12));

-- Location: LCCOMB_X15_Y29_N14
\WideAnd3841~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3841~1_combout\ = (led_flash_cnt_ands(13) & led_flash_cnt_ands(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(13),
	datad => led_flash_cnt_ands(12),
	combout => \WideAnd3841~1_combout\);

-- Location: LCCOMB_X44_Y19_N2
\led_flash_cnt[8][0]~80648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[8][0]~80648_combout\ = !\led_flash_cnt[8][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[8][0]~q\,
	combout => \led_flash_cnt[8][0]~80648_combout\);

-- Location: FF_X44_Y19_N3
\led_flash_cnt[8][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[8][0]~80648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[8][0]~q\);

-- Location: LCCOMB_X44_Y19_N12
\led_flash_cnt[8][1]~26992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[8][1]~26992_combout\ = (\led_flash_cnt[8][1]~q\ & (\led_flash_cnt[8][0]~q\ $ (VCC))) # (!\led_flash_cnt[8][1]~q\ & (\led_flash_cnt[8][0]~q\ & VCC))
-- \led_flash_cnt[8][1]~26993\ = CARRY((\led_flash_cnt[8][1]~q\ & \led_flash_cnt[8][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[8][1]~q\,
	datab => \led_flash_cnt[8][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[8][1]~26992_combout\,
	cout => \led_flash_cnt[8][1]~26993\);

-- Location: FF_X44_Y19_N13
\led_flash_cnt[8][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[8][1]~26992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[8][1]~q\);

-- Location: LCCOMB_X44_Y19_N14
\led_flash_cnt[8][2]~26994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[8][2]~26994_combout\ = (\led_flash_cnt[8][2]~q\ & (!\led_flash_cnt[8][1]~26993\)) # (!\led_flash_cnt[8][2]~q\ & ((\led_flash_cnt[8][1]~26993\) # (GND)))
-- \led_flash_cnt[8][2]~26995\ = CARRY((!\led_flash_cnt[8][1]~26993\) # (!\led_flash_cnt[8][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[8][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[8][1]~26993\,
	combout => \led_flash_cnt[8][2]~26994_combout\,
	cout => \led_flash_cnt[8][2]~26995\);

-- Location: FF_X44_Y19_N15
\led_flash_cnt[8][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[8][2]~26994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[8][2]~q\);

-- Location: LCCOMB_X44_Y19_N16
\led_flash_cnt[8][3]~26996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[8][3]~26996_combout\ = (\led_flash_cnt[8][3]~q\ & (\led_flash_cnt[8][2]~26995\ $ (GND))) # (!\led_flash_cnt[8][3]~q\ & (!\led_flash_cnt[8][2]~26995\ & VCC))
-- \led_flash_cnt[8][3]~26997\ = CARRY((\led_flash_cnt[8][3]~q\ & !\led_flash_cnt[8][2]~26995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[8][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[8][2]~26995\,
	combout => \led_flash_cnt[8][3]~26996_combout\,
	cout => \led_flash_cnt[8][3]~26997\);

-- Location: FF_X44_Y19_N17
\led_flash_cnt[8][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[8][3]~26996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[8][3]~q\);

-- Location: LCCOMB_X44_Y19_N18
\led_flash_cnt[8][4]~26998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[8][4]~26998_combout\ = (\led_flash_cnt[8][4]~q\ & (!\led_flash_cnt[8][3]~26997\)) # (!\led_flash_cnt[8][4]~q\ & ((\led_flash_cnt[8][3]~26997\) # (GND)))
-- \led_flash_cnt[8][4]~26999\ = CARRY((!\led_flash_cnt[8][3]~26997\) # (!\led_flash_cnt[8][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[8][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[8][3]~26997\,
	combout => \led_flash_cnt[8][4]~26998_combout\,
	cout => \led_flash_cnt[8][4]~26999\);

-- Location: FF_X44_Y19_N19
\led_flash_cnt[8][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[8][4]~26998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[8][4]~q\);

-- Location: LCCOMB_X44_Y19_N10
\WideAnd8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd8~0_combout\ = (\led_flash_cnt[8][1]~q\ & (\led_flash_cnt[8][4]~q\ & (\led_flash_cnt[8][2]~q\ & \led_flash_cnt[8][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[8][1]~q\,
	datab => \led_flash_cnt[8][4]~q\,
	datac => \led_flash_cnt[8][2]~q\,
	datad => \led_flash_cnt[8][3]~q\,
	combout => \WideAnd8~0_combout\);

-- Location: LCCOMB_X44_Y19_N20
\led_flash_cnt[8][5]~27000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[8][5]~27000_combout\ = (\led_flash_cnt[8][5]~q\ & (\led_flash_cnt[8][4]~26999\ $ (GND))) # (!\led_flash_cnt[8][5]~q\ & (!\led_flash_cnt[8][4]~26999\ & VCC))
-- \led_flash_cnt[8][5]~27001\ = CARRY((\led_flash_cnt[8][5]~q\ & !\led_flash_cnt[8][4]~26999\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[8][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[8][4]~26999\,
	combout => \led_flash_cnt[8][5]~27000_combout\,
	cout => \led_flash_cnt[8][5]~27001\);

-- Location: FF_X44_Y19_N21
\led_flash_cnt[8][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[8][5]~27000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[8][5]~q\);

-- Location: LCCOMB_X44_Y19_N22
\led_flash_cnt[8][6]~27002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[8][6]~27002_combout\ = (\led_flash_cnt[8][6]~q\ & (!\led_flash_cnt[8][5]~27001\)) # (!\led_flash_cnt[8][6]~q\ & ((\led_flash_cnt[8][5]~27001\) # (GND)))
-- \led_flash_cnt[8][6]~27003\ = CARRY((!\led_flash_cnt[8][5]~27001\) # (!\led_flash_cnt[8][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[8][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[8][5]~27001\,
	combout => \led_flash_cnt[8][6]~27002_combout\,
	cout => \led_flash_cnt[8][6]~27003\);

-- Location: FF_X44_Y19_N23
\led_flash_cnt[8][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[8][6]~27002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[8][6]~q\);

-- Location: LCCOMB_X44_Y19_N8
\WideAnd8~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd8~1_combout\ = (\led_flash_cnt[8][6]~q\ & \led_flash_cnt[8][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[8][6]~q\,
	datad => \led_flash_cnt[8][5]~q\,
	combout => \WideAnd8~1_combout\);

-- Location: LCCOMB_X44_Y19_N24
\led_flash_cnt[8][7]~27004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[8][7]~27004_combout\ = \led_flash_cnt[8][6]~27003\ $ (!\led_flash_cnt[8][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[8][7]~q\,
	cin => \led_flash_cnt[8][6]~27003\,
	combout => \led_flash_cnt[8][7]~27004_combout\);

-- Location: FF_X44_Y19_N25
\led_flash_cnt[8][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[8][7]~27004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[8][7]~q\);

-- Location: LCCOMB_X44_Y19_N28
WideAnd8 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd8~combout\ = (\WideAnd8~0_combout\ & (\led_flash_cnt[8][0]~q\ & (\WideAnd8~1_combout\ & \led_flash_cnt[8][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd8~0_combout\,
	datab => \led_flash_cnt[8][0]~q\,
	datac => \WideAnd8~1_combout\,
	datad => \led_flash_cnt[8][7]~q\,
	combout => \WideAnd8~combout\);

-- Location: FF_X44_Y19_N29
\led_flash_cnt_ands[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd8~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(8));

-- Location: LCCOMB_X20_Y1_N12
\led_flash_cnt[10][0]~80650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[10][0]~80650_combout\ = !\led_flash_cnt[10][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[10][0]~q\,
	combout => \led_flash_cnt[10][0]~80650_combout\);

-- Location: FF_X20_Y1_N13
\led_flash_cnt[10][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[10][0]~80650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[10][0]~q\);

-- Location: LCCOMB_X20_Y1_N14
\led_flash_cnt[10][1]~27020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[10][1]~27020_combout\ = (\led_flash_cnt[10][0]~q\ & (\led_flash_cnt[10][1]~q\ $ (VCC))) # (!\led_flash_cnt[10][0]~q\ & (\led_flash_cnt[10][1]~q\ & VCC))
-- \led_flash_cnt[10][1]~27021\ = CARRY((\led_flash_cnt[10][0]~q\ & \led_flash_cnt[10][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[10][0]~q\,
	datab => \led_flash_cnt[10][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[10][1]~27020_combout\,
	cout => \led_flash_cnt[10][1]~27021\);

-- Location: FF_X20_Y1_N15
\led_flash_cnt[10][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[10][1]~27020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[10][1]~q\);

-- Location: LCCOMB_X20_Y1_N16
\led_flash_cnt[10][2]~27022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[10][2]~27022_combout\ = (\led_flash_cnt[10][2]~q\ & (!\led_flash_cnt[10][1]~27021\)) # (!\led_flash_cnt[10][2]~q\ & ((\led_flash_cnt[10][1]~27021\) # (GND)))
-- \led_flash_cnt[10][2]~27023\ = CARRY((!\led_flash_cnt[10][1]~27021\) # (!\led_flash_cnt[10][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[10][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[10][1]~27021\,
	combout => \led_flash_cnt[10][2]~27022_combout\,
	cout => \led_flash_cnt[10][2]~27023\);

-- Location: FF_X20_Y1_N17
\led_flash_cnt[10][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[10][2]~27022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[10][2]~q\);

-- Location: LCCOMB_X20_Y1_N18
\led_flash_cnt[10][3]~27024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[10][3]~27024_combout\ = (\led_flash_cnt[10][3]~q\ & (\led_flash_cnt[10][2]~27023\ $ (GND))) # (!\led_flash_cnt[10][3]~q\ & (!\led_flash_cnt[10][2]~27023\ & VCC))
-- \led_flash_cnt[10][3]~27025\ = CARRY((\led_flash_cnt[10][3]~q\ & !\led_flash_cnt[10][2]~27023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[10][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[10][2]~27023\,
	combout => \led_flash_cnt[10][3]~27024_combout\,
	cout => \led_flash_cnt[10][3]~27025\);

-- Location: FF_X20_Y1_N19
\led_flash_cnt[10][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[10][3]~27024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[10][3]~q\);

-- Location: LCCOMB_X20_Y1_N20
\led_flash_cnt[10][4]~27026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[10][4]~27026_combout\ = (\led_flash_cnt[10][4]~q\ & (!\led_flash_cnt[10][3]~27025\)) # (!\led_flash_cnt[10][4]~q\ & ((\led_flash_cnt[10][3]~27025\) # (GND)))
-- \led_flash_cnt[10][4]~27027\ = CARRY((!\led_flash_cnt[10][3]~27025\) # (!\led_flash_cnt[10][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[10][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[10][3]~27025\,
	combout => \led_flash_cnt[10][4]~27026_combout\,
	cout => \led_flash_cnt[10][4]~27027\);

-- Location: FF_X20_Y1_N21
\led_flash_cnt[10][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[10][4]~27026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[10][4]~q\);

-- Location: LCCOMB_X20_Y1_N22
\led_flash_cnt[10][5]~27028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[10][5]~27028_combout\ = (\led_flash_cnt[10][5]~q\ & (\led_flash_cnt[10][4]~27027\ $ (GND))) # (!\led_flash_cnt[10][5]~q\ & (!\led_flash_cnt[10][4]~27027\ & VCC))
-- \led_flash_cnt[10][5]~27029\ = CARRY((\led_flash_cnt[10][5]~q\ & !\led_flash_cnt[10][4]~27027\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[10][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[10][4]~27027\,
	combout => \led_flash_cnt[10][5]~27028_combout\,
	cout => \led_flash_cnt[10][5]~27029\);

-- Location: FF_X20_Y1_N23
\led_flash_cnt[10][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[10][5]~27028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[10][5]~q\);

-- Location: LCCOMB_X20_Y1_N24
\led_flash_cnt[10][6]~27030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[10][6]~27030_combout\ = (\led_flash_cnt[10][6]~q\ & (!\led_flash_cnt[10][5]~27029\)) # (!\led_flash_cnt[10][6]~q\ & ((\led_flash_cnt[10][5]~27029\) # (GND)))
-- \led_flash_cnt[10][6]~27031\ = CARRY((!\led_flash_cnt[10][5]~27029\) # (!\led_flash_cnt[10][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[10][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[10][5]~27029\,
	combout => \led_flash_cnt[10][6]~27030_combout\,
	cout => \led_flash_cnt[10][6]~27031\);

-- Location: FF_X20_Y1_N25
\led_flash_cnt[10][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[10][6]~27030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[10][6]~q\);

-- Location: LCCOMB_X20_Y1_N26
\led_flash_cnt[10][7]~27032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[10][7]~27032_combout\ = \led_flash_cnt[10][7]~q\ $ (!\led_flash_cnt[10][6]~27031\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[10][7]~q\,
	cin => \led_flash_cnt[10][6]~27031\,
	combout => \led_flash_cnt[10][7]~27032_combout\);

-- Location: FF_X20_Y1_N27
\led_flash_cnt[10][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[10][7]~27032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[10][7]~q\);

-- Location: LCCOMB_X20_Y1_N28
\WideAnd10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd10~1_combout\ = (\led_flash_cnt[10][5]~q\ & \led_flash_cnt[10][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[10][5]~q\,
	datad => \led_flash_cnt[10][6]~q\,
	combout => \WideAnd10~1_combout\);

-- Location: LCCOMB_X20_Y1_N4
\WideAnd10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd10~0_combout\ = (\led_flash_cnt[10][3]~q\ & (\led_flash_cnt[10][2]~q\ & (\led_flash_cnt[10][1]~q\ & \led_flash_cnt[10][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[10][3]~q\,
	datab => \led_flash_cnt[10][2]~q\,
	datac => \led_flash_cnt[10][1]~q\,
	datad => \led_flash_cnt[10][4]~q\,
	combout => \WideAnd10~0_combout\);

-- Location: LCCOMB_X20_Y1_N10
WideAnd10 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd10~combout\ = (\led_flash_cnt[10][7]~q\ & (\WideAnd10~1_combout\ & (\WideAnd10~0_combout\ & \led_flash_cnt[10][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[10][7]~q\,
	datab => \WideAnd10~1_combout\,
	datac => \WideAnd10~0_combout\,
	datad => \led_flash_cnt[10][0]~q\,
	combout => \WideAnd10~combout\);

-- Location: FF_X20_Y1_N11
\led_flash_cnt_ands[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd10~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(10));

-- Location: LCCOMB_X22_Y20_N0
\led_flash_cnt[11][0]~80651\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[11][0]~80651_combout\ = !\led_flash_cnt[11][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[11][0]~q\,
	combout => \led_flash_cnt[11][0]~80651_combout\);

-- Location: FF_X22_Y20_N1
\led_flash_cnt[11][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[11][0]~80651_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[11][0]~q\);

-- Location: LCCOMB_X20_Y20_N18
\led_flash_cnt[11][1]~27034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[11][1]~27034_combout\ = (\led_flash_cnt[11][0]~q\ & (\led_flash_cnt[11][1]~q\ $ (VCC))) # (!\led_flash_cnt[11][0]~q\ & (\led_flash_cnt[11][1]~q\ & VCC))
-- \led_flash_cnt[11][1]~27035\ = CARRY((\led_flash_cnt[11][0]~q\ & \led_flash_cnt[11][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[11][0]~q\,
	datab => \led_flash_cnt[11][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[11][1]~27034_combout\,
	cout => \led_flash_cnt[11][1]~27035\);

-- Location: FF_X20_Y20_N19
\led_flash_cnt[11][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[11][1]~27034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[11][1]~q\);

-- Location: LCCOMB_X20_Y20_N20
\led_flash_cnt[11][2]~27036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[11][2]~27036_combout\ = (\led_flash_cnt[11][2]~q\ & (!\led_flash_cnt[11][1]~27035\)) # (!\led_flash_cnt[11][2]~q\ & ((\led_flash_cnt[11][1]~27035\) # (GND)))
-- \led_flash_cnt[11][2]~27037\ = CARRY((!\led_flash_cnt[11][1]~27035\) # (!\led_flash_cnt[11][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[11][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[11][1]~27035\,
	combout => \led_flash_cnt[11][2]~27036_combout\,
	cout => \led_flash_cnt[11][2]~27037\);

-- Location: FF_X20_Y20_N21
\led_flash_cnt[11][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[11][2]~27036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[11][2]~q\);

-- Location: LCCOMB_X20_Y20_N22
\led_flash_cnt[11][3]~27038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[11][3]~27038_combout\ = (\led_flash_cnt[11][3]~q\ & (\led_flash_cnt[11][2]~27037\ $ (GND))) # (!\led_flash_cnt[11][3]~q\ & (!\led_flash_cnt[11][2]~27037\ & VCC))
-- \led_flash_cnt[11][3]~27039\ = CARRY((\led_flash_cnt[11][3]~q\ & !\led_flash_cnt[11][2]~27037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[11][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[11][2]~27037\,
	combout => \led_flash_cnt[11][3]~27038_combout\,
	cout => \led_flash_cnt[11][3]~27039\);

-- Location: FF_X20_Y20_N23
\led_flash_cnt[11][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[11][3]~27038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[11][3]~q\);

-- Location: LCCOMB_X20_Y20_N24
\led_flash_cnt[11][4]~27040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[11][4]~27040_combout\ = (\led_flash_cnt[11][4]~q\ & (!\led_flash_cnt[11][3]~27039\)) # (!\led_flash_cnt[11][4]~q\ & ((\led_flash_cnt[11][3]~27039\) # (GND)))
-- \led_flash_cnt[11][4]~27041\ = CARRY((!\led_flash_cnt[11][3]~27039\) # (!\led_flash_cnt[11][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[11][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[11][3]~27039\,
	combout => \led_flash_cnt[11][4]~27040_combout\,
	cout => \led_flash_cnt[11][4]~27041\);

-- Location: FF_X20_Y20_N25
\led_flash_cnt[11][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[11][4]~27040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[11][4]~q\);

-- Location: LCCOMB_X20_Y20_N16
\WideAnd11~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd11~0_combout\ = (\led_flash_cnt[11][1]~q\ & (\led_flash_cnt[11][4]~q\ & (\led_flash_cnt[11][3]~q\ & \led_flash_cnt[11][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[11][1]~q\,
	datab => \led_flash_cnt[11][4]~q\,
	datac => \led_flash_cnt[11][3]~q\,
	datad => \led_flash_cnt[11][2]~q\,
	combout => \WideAnd11~0_combout\);

-- Location: LCCOMB_X20_Y20_N26
\led_flash_cnt[11][5]~27042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[11][5]~27042_combout\ = (\led_flash_cnt[11][5]~q\ & (\led_flash_cnt[11][4]~27041\ $ (GND))) # (!\led_flash_cnt[11][5]~q\ & (!\led_flash_cnt[11][4]~27041\ & VCC))
-- \led_flash_cnt[11][5]~27043\ = CARRY((\led_flash_cnt[11][5]~q\ & !\led_flash_cnt[11][4]~27041\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[11][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[11][4]~27041\,
	combout => \led_flash_cnt[11][5]~27042_combout\,
	cout => \led_flash_cnt[11][5]~27043\);

-- Location: FF_X20_Y20_N27
\led_flash_cnt[11][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[11][5]~27042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[11][5]~q\);

-- Location: LCCOMB_X20_Y20_N28
\led_flash_cnt[11][6]~27044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[11][6]~27044_combout\ = (\led_flash_cnt[11][6]~q\ & (!\led_flash_cnt[11][5]~27043\)) # (!\led_flash_cnt[11][6]~q\ & ((\led_flash_cnt[11][5]~27043\) # (GND)))
-- \led_flash_cnt[11][6]~27045\ = CARRY((!\led_flash_cnt[11][5]~27043\) # (!\led_flash_cnt[11][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[11][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[11][5]~27043\,
	combout => \led_flash_cnt[11][6]~27044_combout\,
	cout => \led_flash_cnt[11][6]~27045\);

-- Location: FF_X20_Y20_N29
\led_flash_cnt[11][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[11][6]~27044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[11][6]~q\);

-- Location: LCCOMB_X20_Y20_N30
\led_flash_cnt[11][7]~27046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[11][7]~27046_combout\ = \led_flash_cnt[11][7]~q\ $ (!\led_flash_cnt[11][6]~27045\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[11][7]~q\,
	cin => \led_flash_cnt[11][6]~27045\,
	combout => \led_flash_cnt[11][7]~27046_combout\);

-- Location: FF_X20_Y20_N31
\led_flash_cnt[11][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[11][7]~27046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[11][7]~q\);

-- Location: LCCOMB_X21_Y20_N24
\WideAnd11~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd11~1_combout\ = (\led_flash_cnt[11][5]~q\ & \led_flash_cnt[11][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[11][5]~q\,
	datad => \led_flash_cnt[11][6]~q\,
	combout => \WideAnd11~1_combout\);

-- Location: LCCOMB_X21_Y20_N4
WideAnd11 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd11~combout\ = (\WideAnd11~0_combout\ & (\led_flash_cnt[11][7]~q\ & (\led_flash_cnt[11][0]~q\ & \WideAnd11~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd11~0_combout\,
	datab => \led_flash_cnt[11][7]~q\,
	datac => \led_flash_cnt[11][0]~q\,
	datad => \WideAnd11~1_combout\,
	combout => \WideAnd11~combout\);

-- Location: FF_X21_Y20_N5
\led_flash_cnt_ands[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd11~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(11));

-- Location: LCCOMB_X20_Y21_N26
\led_flash_cnt[9][0]~80649\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[9][0]~80649_combout\ = !\led_flash_cnt[9][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[9][0]~q\,
	combout => \led_flash_cnt[9][0]~80649_combout\);

-- Location: FF_X20_Y21_N27
\led_flash_cnt[9][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[9][0]~80649_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[9][0]~q\);

-- Location: LCCOMB_X20_Y21_N8
\led_flash_cnt[9][1]~27006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[9][1]~27006_combout\ = (\led_flash_cnt[9][0]~q\ & (\led_flash_cnt[9][1]~q\ $ (VCC))) # (!\led_flash_cnt[9][0]~q\ & (\led_flash_cnt[9][1]~q\ & VCC))
-- \led_flash_cnt[9][1]~27007\ = CARRY((\led_flash_cnt[9][0]~q\ & \led_flash_cnt[9][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[9][0]~q\,
	datab => \led_flash_cnt[9][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[9][1]~27006_combout\,
	cout => \led_flash_cnt[9][1]~27007\);

-- Location: FF_X20_Y21_N9
\led_flash_cnt[9][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[9][1]~27006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[9][1]~q\);

-- Location: LCCOMB_X20_Y21_N10
\led_flash_cnt[9][2]~27008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[9][2]~27008_combout\ = (\led_flash_cnt[9][2]~q\ & (!\led_flash_cnt[9][1]~27007\)) # (!\led_flash_cnt[9][2]~q\ & ((\led_flash_cnt[9][1]~27007\) # (GND)))
-- \led_flash_cnt[9][2]~27009\ = CARRY((!\led_flash_cnt[9][1]~27007\) # (!\led_flash_cnt[9][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[9][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[9][1]~27007\,
	combout => \led_flash_cnt[9][2]~27008_combout\,
	cout => \led_flash_cnt[9][2]~27009\);

-- Location: FF_X20_Y21_N11
\led_flash_cnt[9][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[9][2]~27008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[9][2]~q\);

-- Location: LCCOMB_X20_Y21_N12
\led_flash_cnt[9][3]~27010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[9][3]~27010_combout\ = (\led_flash_cnt[9][3]~q\ & (\led_flash_cnt[9][2]~27009\ $ (GND))) # (!\led_flash_cnt[9][3]~q\ & (!\led_flash_cnt[9][2]~27009\ & VCC))
-- \led_flash_cnt[9][3]~27011\ = CARRY((\led_flash_cnt[9][3]~q\ & !\led_flash_cnt[9][2]~27009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[9][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[9][2]~27009\,
	combout => \led_flash_cnt[9][3]~27010_combout\,
	cout => \led_flash_cnt[9][3]~27011\);

-- Location: FF_X20_Y21_N13
\led_flash_cnt[9][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[9][3]~27010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[9][3]~q\);

-- Location: LCCOMB_X20_Y21_N14
\led_flash_cnt[9][4]~27012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[9][4]~27012_combout\ = (\led_flash_cnt[9][4]~q\ & (!\led_flash_cnt[9][3]~27011\)) # (!\led_flash_cnt[9][4]~q\ & ((\led_flash_cnt[9][3]~27011\) # (GND)))
-- \led_flash_cnt[9][4]~27013\ = CARRY((!\led_flash_cnt[9][3]~27011\) # (!\led_flash_cnt[9][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[9][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[9][3]~27011\,
	combout => \led_flash_cnt[9][4]~27012_combout\,
	cout => \led_flash_cnt[9][4]~27013\);

-- Location: FF_X20_Y21_N15
\led_flash_cnt[9][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[9][4]~27012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[9][4]~q\);

-- Location: LCCOMB_X20_Y21_N24
\WideAnd9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd9~0_combout\ = (\led_flash_cnt[9][3]~q\ & (\led_flash_cnt[9][4]~q\ & (\led_flash_cnt[9][1]~q\ & \led_flash_cnt[9][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[9][3]~q\,
	datab => \led_flash_cnt[9][4]~q\,
	datac => \led_flash_cnt[9][1]~q\,
	datad => \led_flash_cnt[9][2]~q\,
	combout => \WideAnd9~0_combout\);

-- Location: LCCOMB_X20_Y21_N16
\led_flash_cnt[9][5]~27014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[9][5]~27014_combout\ = (\led_flash_cnt[9][5]~q\ & (\led_flash_cnt[9][4]~27013\ $ (GND))) # (!\led_flash_cnt[9][5]~q\ & (!\led_flash_cnt[9][4]~27013\ & VCC))
-- \led_flash_cnt[9][5]~27015\ = CARRY((\led_flash_cnt[9][5]~q\ & !\led_flash_cnt[9][4]~27013\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[9][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[9][4]~27013\,
	combout => \led_flash_cnt[9][5]~27014_combout\,
	cout => \led_flash_cnt[9][5]~27015\);

-- Location: FF_X20_Y21_N17
\led_flash_cnt[9][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[9][5]~27014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[9][5]~q\);

-- Location: LCCOMB_X20_Y21_N18
\led_flash_cnt[9][6]~27016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[9][6]~27016_combout\ = (\led_flash_cnt[9][6]~q\ & (!\led_flash_cnt[9][5]~27015\)) # (!\led_flash_cnt[9][6]~q\ & ((\led_flash_cnt[9][5]~27015\) # (GND)))
-- \led_flash_cnt[9][6]~27017\ = CARRY((!\led_flash_cnt[9][5]~27015\) # (!\led_flash_cnt[9][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[9][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[9][5]~27015\,
	combout => \led_flash_cnt[9][6]~27016_combout\,
	cout => \led_flash_cnt[9][6]~27017\);

-- Location: FF_X20_Y21_N19
\led_flash_cnt[9][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[9][6]~27016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[9][6]~q\);

-- Location: LCCOMB_X20_Y21_N4
\WideAnd9~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd9~1_combout\ = (\led_flash_cnt[9][6]~q\ & \led_flash_cnt[9][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[9][6]~q\,
	datad => \led_flash_cnt[9][5]~q\,
	combout => \WideAnd9~1_combout\);

-- Location: LCCOMB_X20_Y21_N20
\led_flash_cnt[9][7]~27018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[9][7]~27018_combout\ = \led_flash_cnt[9][6]~27017\ $ (!\led_flash_cnt[9][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[9][7]~q\,
	cin => \led_flash_cnt[9][6]~27017\,
	combout => \led_flash_cnt[9][7]~27018_combout\);

-- Location: FF_X20_Y21_N21
\led_flash_cnt[9][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[9][7]~27018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[9][7]~q\);

-- Location: LCCOMB_X20_Y21_N28
WideAnd9 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd9~combout\ = (\led_flash_cnt[9][0]~q\ & (\WideAnd9~0_combout\ & (\WideAnd9~1_combout\ & \led_flash_cnt[9][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[9][0]~q\,
	datab => \WideAnd9~0_combout\,
	datac => \WideAnd9~1_combout\,
	datad => \led_flash_cnt[9][7]~q\,
	combout => \WideAnd9~combout\);

-- Location: FF_X20_Y21_N29
\led_flash_cnt_ands[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd9~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(9));

-- Location: LCCOMB_X20_Y21_N22
\WideAnd3841~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3841~0_combout\ = (led_flash_cnt_ands(8) & (led_flash_cnt_ands(10) & (led_flash_cnt_ands(11) & led_flash_cnt_ands(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(8),
	datab => led_flash_cnt_ands(10),
	datac => led_flash_cnt_ands(11),
	datad => led_flash_cnt_ands(9),
	combout => \WideAnd3841~0_combout\);

-- Location: LCCOMB_X15_Y29_N0
WideAnd3841 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3841~combout\ = (led_flash_cnt_ands(14) & (led_flash_cnt_ands(15) & (\WideAnd3841~1_combout\ & \WideAnd3841~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(14),
	datab => led_flash_cnt_ands(15),
	datac => \WideAnd3841~1_combout\,
	datad => \WideAnd3841~0_combout\,
	combout => \WideAnd3841~combout\);

-- Location: FF_X15_Y29_N1
\led_flash_cnt_ands_1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3841~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(1));

-- Location: LCCOMB_X15_Y30_N2
\WideAnd4320~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4320~0_combout\ = (led_flash_cnt_ands_1(0) & (led_flash_cnt_ands_1(2) & (led_flash_cnt_ands_1(3) & led_flash_cnt_ands_1(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(0),
	datab => led_flash_cnt_ands_1(2),
	datac => led_flash_cnt_ands_1(3),
	datad => led_flash_cnt_ands_1(1),
	combout => \WideAnd4320~0_combout\);

-- Location: LCCOMB_X54_Y17_N24
\led_flash_cnt[37][0]~80677\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[37][0]~80677_combout\ = !\led_flash_cnt[37][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[37][0]~q\,
	combout => \led_flash_cnt[37][0]~80677_combout\);

-- Location: FF_X54_Y17_N25
\led_flash_cnt[37][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[37][0]~80677_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[37][0]~q\);

-- Location: LCCOMB_X52_Y17_N16
\led_flash_cnt[37][1]~27398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[37][1]~27398_combout\ = (\led_flash_cnt[37][0]~q\ & (\led_flash_cnt[37][1]~q\ $ (VCC))) # (!\led_flash_cnt[37][0]~q\ & (\led_flash_cnt[37][1]~q\ & VCC))
-- \led_flash_cnt[37][1]~27399\ = CARRY((\led_flash_cnt[37][0]~q\ & \led_flash_cnt[37][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[37][0]~q\,
	datab => \led_flash_cnt[37][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[37][1]~27398_combout\,
	cout => \led_flash_cnt[37][1]~27399\);

-- Location: FF_X52_Y17_N17
\led_flash_cnt[37][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[37][1]~27398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[37][1]~q\);

-- Location: LCCOMB_X52_Y17_N18
\led_flash_cnt[37][2]~27400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[37][2]~27400_combout\ = (\led_flash_cnt[37][2]~q\ & (!\led_flash_cnt[37][1]~27399\)) # (!\led_flash_cnt[37][2]~q\ & ((\led_flash_cnt[37][1]~27399\) # (GND)))
-- \led_flash_cnt[37][2]~27401\ = CARRY((!\led_flash_cnt[37][1]~27399\) # (!\led_flash_cnt[37][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[37][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[37][1]~27399\,
	combout => \led_flash_cnt[37][2]~27400_combout\,
	cout => \led_flash_cnt[37][2]~27401\);

-- Location: FF_X52_Y17_N19
\led_flash_cnt[37][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[37][2]~27400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[37][2]~q\);

-- Location: LCCOMB_X52_Y17_N20
\led_flash_cnt[37][3]~27402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[37][3]~27402_combout\ = (\led_flash_cnt[37][3]~q\ & (\led_flash_cnt[37][2]~27401\ $ (GND))) # (!\led_flash_cnt[37][3]~q\ & (!\led_flash_cnt[37][2]~27401\ & VCC))
-- \led_flash_cnt[37][3]~27403\ = CARRY((\led_flash_cnt[37][3]~q\ & !\led_flash_cnt[37][2]~27401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[37][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[37][2]~27401\,
	combout => \led_flash_cnt[37][3]~27402_combout\,
	cout => \led_flash_cnt[37][3]~27403\);

-- Location: FF_X52_Y17_N21
\led_flash_cnt[37][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[37][3]~27402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[37][3]~q\);

-- Location: LCCOMB_X52_Y17_N22
\led_flash_cnt[37][4]~27404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[37][4]~27404_combout\ = (\led_flash_cnt[37][4]~q\ & (!\led_flash_cnt[37][3]~27403\)) # (!\led_flash_cnt[37][4]~q\ & ((\led_flash_cnt[37][3]~27403\) # (GND)))
-- \led_flash_cnt[37][4]~27405\ = CARRY((!\led_flash_cnt[37][3]~27403\) # (!\led_flash_cnt[37][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[37][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[37][3]~27403\,
	combout => \led_flash_cnt[37][4]~27404_combout\,
	cout => \led_flash_cnt[37][4]~27405\);

-- Location: FF_X52_Y17_N23
\led_flash_cnt[37][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[37][4]~27404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[37][4]~q\);

-- Location: LCCOMB_X52_Y17_N24
\led_flash_cnt[37][5]~27406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[37][5]~27406_combout\ = (\led_flash_cnt[37][5]~q\ & (\led_flash_cnt[37][4]~27405\ $ (GND))) # (!\led_flash_cnt[37][5]~q\ & (!\led_flash_cnt[37][4]~27405\ & VCC))
-- \led_flash_cnt[37][5]~27407\ = CARRY((\led_flash_cnt[37][5]~q\ & !\led_flash_cnt[37][4]~27405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[37][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[37][4]~27405\,
	combout => \led_flash_cnt[37][5]~27406_combout\,
	cout => \led_flash_cnt[37][5]~27407\);

-- Location: FF_X52_Y17_N25
\led_flash_cnt[37][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[37][5]~27406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[37][5]~q\);

-- Location: LCCOMB_X52_Y17_N26
\led_flash_cnt[37][6]~27408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[37][6]~27408_combout\ = (\led_flash_cnt[37][6]~q\ & (!\led_flash_cnt[37][5]~27407\)) # (!\led_flash_cnt[37][6]~q\ & ((\led_flash_cnt[37][5]~27407\) # (GND)))
-- \led_flash_cnt[37][6]~27409\ = CARRY((!\led_flash_cnt[37][5]~27407\) # (!\led_flash_cnt[37][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[37][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[37][5]~27407\,
	combout => \led_flash_cnt[37][6]~27408_combout\,
	cout => \led_flash_cnt[37][6]~27409\);

-- Location: FF_X52_Y17_N27
\led_flash_cnt[37][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[37][6]~27408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[37][6]~q\);

-- Location: LCCOMB_X51_Y17_N16
\WideAnd37~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd37~1_combout\ = (\led_flash_cnt[37][6]~q\ & \led_flash_cnt[37][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[37][6]~q\,
	datad => \led_flash_cnt[37][5]~q\,
	combout => \WideAnd37~1_combout\);

-- Location: LCCOMB_X52_Y17_N28
\led_flash_cnt[37][7]~27410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[37][7]~27410_combout\ = \led_flash_cnt[37][6]~27409\ $ (!\led_flash_cnt[37][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[37][7]~q\,
	cin => \led_flash_cnt[37][6]~27409\,
	combout => \led_flash_cnt[37][7]~27410_combout\);

-- Location: FF_X52_Y17_N29
\led_flash_cnt[37][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[37][7]~27410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[37][7]~q\);

-- Location: LCCOMB_X52_Y17_N0
\WideAnd37~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd37~0_combout\ = (\led_flash_cnt[37][2]~q\ & (\led_flash_cnt[37][3]~q\ & (\led_flash_cnt[37][4]~q\ & \led_flash_cnt[37][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[37][2]~q\,
	datab => \led_flash_cnt[37][3]~q\,
	datac => \led_flash_cnt[37][4]~q\,
	datad => \led_flash_cnt[37][1]~q\,
	combout => \WideAnd37~0_combout\);

-- Location: LCCOMB_X52_Y17_N30
WideAnd37 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd37~combout\ = (\WideAnd37~1_combout\ & (\led_flash_cnt[37][7]~q\ & (\led_flash_cnt[37][0]~q\ & \WideAnd37~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd37~1_combout\,
	datab => \led_flash_cnt[37][7]~q\,
	datac => \led_flash_cnt[37][0]~q\,
	datad => \WideAnd37~0_combout\,
	combout => \WideAnd37~combout\);

-- Location: FF_X52_Y17_N31
\led_flash_cnt_ands[37]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd37~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(37));

-- Location: LCCOMB_X56_Y17_N6
\led_flash_cnt[36][0]~80676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[36][0]~80676_combout\ = !\led_flash_cnt[36][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[36][0]~q\,
	combout => \led_flash_cnt[36][0]~80676_combout\);

-- Location: FF_X56_Y17_N7
\led_flash_cnt[36][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[36][0]~80676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[36][0]~q\);

-- Location: LCCOMB_X57_Y17_N18
\led_flash_cnt[36][1]~27384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[36][1]~27384_combout\ = (\led_flash_cnt[36][0]~q\ & (\led_flash_cnt[36][1]~q\ $ (VCC))) # (!\led_flash_cnt[36][0]~q\ & (\led_flash_cnt[36][1]~q\ & VCC))
-- \led_flash_cnt[36][1]~27385\ = CARRY((\led_flash_cnt[36][0]~q\ & \led_flash_cnt[36][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[36][0]~q\,
	datab => \led_flash_cnt[36][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[36][1]~27384_combout\,
	cout => \led_flash_cnt[36][1]~27385\);

-- Location: FF_X57_Y17_N19
\led_flash_cnt[36][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[36][1]~27384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[36][1]~q\);

-- Location: LCCOMB_X57_Y17_N20
\led_flash_cnt[36][2]~27386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[36][2]~27386_combout\ = (\led_flash_cnt[36][2]~q\ & (!\led_flash_cnt[36][1]~27385\)) # (!\led_flash_cnt[36][2]~q\ & ((\led_flash_cnt[36][1]~27385\) # (GND)))
-- \led_flash_cnt[36][2]~27387\ = CARRY((!\led_flash_cnt[36][1]~27385\) # (!\led_flash_cnt[36][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[36][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[36][1]~27385\,
	combout => \led_flash_cnt[36][2]~27386_combout\,
	cout => \led_flash_cnt[36][2]~27387\);

-- Location: FF_X57_Y17_N21
\led_flash_cnt[36][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[36][2]~27386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[36][2]~q\);

-- Location: LCCOMB_X57_Y17_N22
\led_flash_cnt[36][3]~27388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[36][3]~27388_combout\ = (\led_flash_cnt[36][3]~q\ & (\led_flash_cnt[36][2]~27387\ $ (GND))) # (!\led_flash_cnt[36][3]~q\ & (!\led_flash_cnt[36][2]~27387\ & VCC))
-- \led_flash_cnt[36][3]~27389\ = CARRY((\led_flash_cnt[36][3]~q\ & !\led_flash_cnt[36][2]~27387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[36][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[36][2]~27387\,
	combout => \led_flash_cnt[36][3]~27388_combout\,
	cout => \led_flash_cnt[36][3]~27389\);

-- Location: FF_X57_Y17_N23
\led_flash_cnt[36][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[36][3]~27388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[36][3]~q\);

-- Location: LCCOMB_X57_Y17_N24
\led_flash_cnt[36][4]~27390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[36][4]~27390_combout\ = (\led_flash_cnt[36][4]~q\ & (!\led_flash_cnt[36][3]~27389\)) # (!\led_flash_cnt[36][4]~q\ & ((\led_flash_cnt[36][3]~27389\) # (GND)))
-- \led_flash_cnt[36][4]~27391\ = CARRY((!\led_flash_cnt[36][3]~27389\) # (!\led_flash_cnt[36][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[36][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[36][3]~27389\,
	combout => \led_flash_cnt[36][4]~27390_combout\,
	cout => \led_flash_cnt[36][4]~27391\);

-- Location: FF_X57_Y17_N25
\led_flash_cnt[36][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[36][4]~27390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[36][4]~q\);

-- Location: LCCOMB_X57_Y17_N26
\led_flash_cnt[36][5]~27392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[36][5]~27392_combout\ = (\led_flash_cnt[36][5]~q\ & (\led_flash_cnt[36][4]~27391\ $ (GND))) # (!\led_flash_cnt[36][5]~q\ & (!\led_flash_cnt[36][4]~27391\ & VCC))
-- \led_flash_cnt[36][5]~27393\ = CARRY((\led_flash_cnt[36][5]~q\ & !\led_flash_cnt[36][4]~27391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[36][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[36][4]~27391\,
	combout => \led_flash_cnt[36][5]~27392_combout\,
	cout => \led_flash_cnt[36][5]~27393\);

-- Location: FF_X57_Y17_N27
\led_flash_cnt[36][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[36][5]~27392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[36][5]~q\);

-- Location: LCCOMB_X57_Y17_N28
\led_flash_cnt[36][6]~27394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[36][6]~27394_combout\ = (\led_flash_cnt[36][6]~q\ & (!\led_flash_cnt[36][5]~27393\)) # (!\led_flash_cnt[36][6]~q\ & ((\led_flash_cnt[36][5]~27393\) # (GND)))
-- \led_flash_cnt[36][6]~27395\ = CARRY((!\led_flash_cnt[36][5]~27393\) # (!\led_flash_cnt[36][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[36][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[36][5]~27393\,
	combout => \led_flash_cnt[36][6]~27394_combout\,
	cout => \led_flash_cnt[36][6]~27395\);

-- Location: FF_X57_Y17_N29
\led_flash_cnt[36][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[36][6]~27394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[36][6]~q\);

-- Location: LCCOMB_X56_Y17_N30
\WideAnd36~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd36~1_combout\ = (\led_flash_cnt[36][6]~q\ & \led_flash_cnt[36][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[36][6]~q\,
	datad => \led_flash_cnt[36][5]~q\,
	combout => \WideAnd36~1_combout\);

-- Location: LCCOMB_X57_Y17_N16
\WideAnd36~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd36~0_combout\ = (\led_flash_cnt[36][4]~q\ & (\led_flash_cnt[36][2]~q\ & (\led_flash_cnt[36][3]~q\ & \led_flash_cnt[36][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[36][4]~q\,
	datab => \led_flash_cnt[36][2]~q\,
	datac => \led_flash_cnt[36][3]~q\,
	datad => \led_flash_cnt[36][1]~q\,
	combout => \WideAnd36~0_combout\);

-- Location: LCCOMB_X57_Y17_N30
\led_flash_cnt[36][7]~27396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[36][7]~27396_combout\ = \led_flash_cnt[36][7]~q\ $ (!\led_flash_cnt[36][6]~27395\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[36][7]~q\,
	cin => \led_flash_cnt[36][6]~27395\,
	combout => \led_flash_cnt[36][7]~27396_combout\);

-- Location: FF_X57_Y17_N31
\led_flash_cnt[36][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[36][7]~27396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[36][7]~q\);

-- Location: LCCOMB_X56_Y17_N28
WideAnd36 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd36~combout\ = (\WideAnd36~1_combout\ & (\WideAnd36~0_combout\ & (\led_flash_cnt[36][7]~q\ & \led_flash_cnt[36][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd36~1_combout\,
	datab => \WideAnd36~0_combout\,
	datac => \led_flash_cnt[36][7]~q\,
	datad => \led_flash_cnt[36][0]~q\,
	combout => \WideAnd36~combout\);

-- Location: FF_X56_Y17_N29
\led_flash_cnt_ands[36]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd36~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(36));

-- Location: LCCOMB_X55_Y17_N6
\WideAnd3844~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3844~1_combout\ = (led_flash_cnt_ands(37) & led_flash_cnt_ands(36))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(37),
	datad => led_flash_cnt_ands(36),
	combout => \WideAnd3844~1_combout\);

-- Location: LCCOMB_X26_Y33_N6
\led_flash_cnt[39][0]~80679\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[39][0]~80679_combout\ = !\led_flash_cnt[39][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[39][0]~q\,
	combout => \led_flash_cnt[39][0]~80679_combout\);

-- Location: FF_X26_Y33_N7
\led_flash_cnt[39][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[39][0]~80679_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[39][0]~q\);

-- Location: LCCOMB_X27_Y33_N0
\led_flash_cnt[39][1]~27426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[39][1]~27426_combout\ = (\led_flash_cnt[39][0]~q\ & (\led_flash_cnt[39][1]~q\ $ (VCC))) # (!\led_flash_cnt[39][0]~q\ & (\led_flash_cnt[39][1]~q\ & VCC))
-- \led_flash_cnt[39][1]~27427\ = CARRY((\led_flash_cnt[39][0]~q\ & \led_flash_cnt[39][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[39][0]~q\,
	datab => \led_flash_cnt[39][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[39][1]~27426_combout\,
	cout => \led_flash_cnt[39][1]~27427\);

-- Location: FF_X27_Y33_N1
\led_flash_cnt[39][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[39][1]~27426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[39][1]~q\);

-- Location: LCCOMB_X27_Y33_N2
\led_flash_cnt[39][2]~27428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[39][2]~27428_combout\ = (\led_flash_cnt[39][2]~q\ & (!\led_flash_cnt[39][1]~27427\)) # (!\led_flash_cnt[39][2]~q\ & ((\led_flash_cnt[39][1]~27427\) # (GND)))
-- \led_flash_cnt[39][2]~27429\ = CARRY((!\led_flash_cnt[39][1]~27427\) # (!\led_flash_cnt[39][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[39][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[39][1]~27427\,
	combout => \led_flash_cnt[39][2]~27428_combout\,
	cout => \led_flash_cnt[39][2]~27429\);

-- Location: FF_X27_Y33_N3
\led_flash_cnt[39][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[39][2]~27428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[39][2]~q\);

-- Location: LCCOMB_X27_Y33_N4
\led_flash_cnt[39][3]~27430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[39][3]~27430_combout\ = (\led_flash_cnt[39][3]~q\ & (\led_flash_cnt[39][2]~27429\ $ (GND))) # (!\led_flash_cnt[39][3]~q\ & (!\led_flash_cnt[39][2]~27429\ & VCC))
-- \led_flash_cnt[39][3]~27431\ = CARRY((\led_flash_cnt[39][3]~q\ & !\led_flash_cnt[39][2]~27429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[39][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[39][2]~27429\,
	combout => \led_flash_cnt[39][3]~27430_combout\,
	cout => \led_flash_cnt[39][3]~27431\);

-- Location: FF_X27_Y33_N5
\led_flash_cnt[39][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[39][3]~27430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[39][3]~q\);

-- Location: LCCOMB_X27_Y33_N6
\led_flash_cnt[39][4]~27432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[39][4]~27432_combout\ = (\led_flash_cnt[39][4]~q\ & (!\led_flash_cnt[39][3]~27431\)) # (!\led_flash_cnt[39][4]~q\ & ((\led_flash_cnt[39][3]~27431\) # (GND)))
-- \led_flash_cnt[39][4]~27433\ = CARRY((!\led_flash_cnt[39][3]~27431\) # (!\led_flash_cnt[39][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[39][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[39][3]~27431\,
	combout => \led_flash_cnt[39][4]~27432_combout\,
	cout => \led_flash_cnt[39][4]~27433\);

-- Location: FF_X27_Y33_N7
\led_flash_cnt[39][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[39][4]~27432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[39][4]~q\);

-- Location: LCCOMB_X27_Y33_N8
\led_flash_cnt[39][5]~27434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[39][5]~27434_combout\ = (\led_flash_cnt[39][5]~q\ & (\led_flash_cnt[39][4]~27433\ $ (GND))) # (!\led_flash_cnt[39][5]~q\ & (!\led_flash_cnt[39][4]~27433\ & VCC))
-- \led_flash_cnt[39][5]~27435\ = CARRY((\led_flash_cnt[39][5]~q\ & !\led_flash_cnt[39][4]~27433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[39][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[39][4]~27433\,
	combout => \led_flash_cnt[39][5]~27434_combout\,
	cout => \led_flash_cnt[39][5]~27435\);

-- Location: FF_X27_Y33_N9
\led_flash_cnt[39][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[39][5]~27434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[39][5]~q\);

-- Location: LCCOMB_X27_Y33_N10
\led_flash_cnt[39][6]~27436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[39][6]~27436_combout\ = (\led_flash_cnt[39][6]~q\ & (!\led_flash_cnt[39][5]~27435\)) # (!\led_flash_cnt[39][6]~q\ & ((\led_flash_cnt[39][5]~27435\) # (GND)))
-- \led_flash_cnt[39][6]~27437\ = CARRY((!\led_flash_cnt[39][5]~27435\) # (!\led_flash_cnt[39][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[39][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[39][5]~27435\,
	combout => \led_flash_cnt[39][6]~27436_combout\,
	cout => \led_flash_cnt[39][6]~27437\);

-- Location: FF_X27_Y33_N11
\led_flash_cnt[39][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[39][6]~27436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[39][6]~q\);

-- Location: LCCOMB_X26_Y33_N26
\WideAnd39~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd39~1_combout\ = (\led_flash_cnt[39][6]~q\ & \led_flash_cnt[39][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[39][6]~q\,
	datac => \led_flash_cnt[39][5]~q\,
	combout => \WideAnd39~1_combout\);

-- Location: LCCOMB_X27_Y33_N12
\led_flash_cnt[39][7]~27438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[39][7]~27438_combout\ = \led_flash_cnt[39][6]~27437\ $ (!\led_flash_cnt[39][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[39][7]~q\,
	cin => \led_flash_cnt[39][6]~27437\,
	combout => \led_flash_cnt[39][7]~27438_combout\);

-- Location: FF_X27_Y33_N13
\led_flash_cnt[39][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[39][7]~27438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[39][7]~q\);

-- Location: LCCOMB_X27_Y33_N30
\WideAnd39~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd39~0_combout\ = (\led_flash_cnt[39][4]~q\ & (\led_flash_cnt[39][1]~q\ & (\led_flash_cnt[39][3]~q\ & \led_flash_cnt[39][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[39][4]~q\,
	datab => \led_flash_cnt[39][1]~q\,
	datac => \led_flash_cnt[39][3]~q\,
	datad => \led_flash_cnt[39][2]~q\,
	combout => \WideAnd39~0_combout\);

-- Location: LCCOMB_X26_Y33_N28
WideAnd39 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd39~combout\ = (\WideAnd39~1_combout\ & (\led_flash_cnt[39][7]~q\ & (\WideAnd39~0_combout\ & \led_flash_cnt[39][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd39~1_combout\,
	datab => \led_flash_cnt[39][7]~q\,
	datac => \WideAnd39~0_combout\,
	datad => \led_flash_cnt[39][0]~q\,
	combout => \WideAnd39~combout\);

-- Location: FF_X26_Y33_N29
\led_flash_cnt_ands[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd39~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(39));

-- Location: LCCOMB_X6_Y30_N24
\led_flash_cnt[34][0]~80674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[34][0]~80674_combout\ = !\led_flash_cnt[34][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[34][0]~q\,
	combout => \led_flash_cnt[34][0]~80674_combout\);

-- Location: FF_X6_Y30_N25
\led_flash_cnt[34][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[34][0]~80674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[34][0]~q\);

-- Location: LCCOMB_X4_Y30_N18
\led_flash_cnt[34][1]~27356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[34][1]~27356_combout\ = (\led_flash_cnt[34][0]~q\ & (\led_flash_cnt[34][1]~q\ $ (VCC))) # (!\led_flash_cnt[34][0]~q\ & (\led_flash_cnt[34][1]~q\ & VCC))
-- \led_flash_cnt[34][1]~27357\ = CARRY((\led_flash_cnt[34][0]~q\ & \led_flash_cnt[34][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[34][0]~q\,
	datab => \led_flash_cnt[34][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[34][1]~27356_combout\,
	cout => \led_flash_cnt[34][1]~27357\);

-- Location: FF_X4_Y30_N19
\led_flash_cnt[34][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[34][1]~27356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[34][1]~q\);

-- Location: LCCOMB_X4_Y30_N20
\led_flash_cnt[34][2]~27358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[34][2]~27358_combout\ = (\led_flash_cnt[34][2]~q\ & (!\led_flash_cnt[34][1]~27357\)) # (!\led_flash_cnt[34][2]~q\ & ((\led_flash_cnt[34][1]~27357\) # (GND)))
-- \led_flash_cnt[34][2]~27359\ = CARRY((!\led_flash_cnt[34][1]~27357\) # (!\led_flash_cnt[34][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[34][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[34][1]~27357\,
	combout => \led_flash_cnt[34][2]~27358_combout\,
	cout => \led_flash_cnt[34][2]~27359\);

-- Location: FF_X4_Y30_N21
\led_flash_cnt[34][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[34][2]~27358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[34][2]~q\);

-- Location: LCCOMB_X4_Y30_N22
\led_flash_cnt[34][3]~27360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[34][3]~27360_combout\ = (\led_flash_cnt[34][3]~q\ & (\led_flash_cnt[34][2]~27359\ $ (GND))) # (!\led_flash_cnt[34][3]~q\ & (!\led_flash_cnt[34][2]~27359\ & VCC))
-- \led_flash_cnt[34][3]~27361\ = CARRY((\led_flash_cnt[34][3]~q\ & !\led_flash_cnt[34][2]~27359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[34][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[34][2]~27359\,
	combout => \led_flash_cnt[34][3]~27360_combout\,
	cout => \led_flash_cnt[34][3]~27361\);

-- Location: FF_X4_Y30_N23
\led_flash_cnt[34][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[34][3]~27360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[34][3]~q\);

-- Location: LCCOMB_X4_Y30_N24
\led_flash_cnt[34][4]~27362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[34][4]~27362_combout\ = (\led_flash_cnt[34][4]~q\ & (!\led_flash_cnt[34][3]~27361\)) # (!\led_flash_cnt[34][4]~q\ & ((\led_flash_cnt[34][3]~27361\) # (GND)))
-- \led_flash_cnt[34][4]~27363\ = CARRY((!\led_flash_cnt[34][3]~27361\) # (!\led_flash_cnt[34][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[34][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[34][3]~27361\,
	combout => \led_flash_cnt[34][4]~27362_combout\,
	cout => \led_flash_cnt[34][4]~27363\);

-- Location: FF_X4_Y30_N25
\led_flash_cnt[34][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[34][4]~27362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[34][4]~q\);

-- Location: LCCOMB_X4_Y30_N26
\led_flash_cnt[34][5]~27364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[34][5]~27364_combout\ = (\led_flash_cnt[34][5]~q\ & (\led_flash_cnt[34][4]~27363\ $ (GND))) # (!\led_flash_cnt[34][5]~q\ & (!\led_flash_cnt[34][4]~27363\ & VCC))
-- \led_flash_cnt[34][5]~27365\ = CARRY((\led_flash_cnt[34][5]~q\ & !\led_flash_cnt[34][4]~27363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[34][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[34][4]~27363\,
	combout => \led_flash_cnt[34][5]~27364_combout\,
	cout => \led_flash_cnt[34][5]~27365\);

-- Location: FF_X4_Y30_N27
\led_flash_cnt[34][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[34][5]~27364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[34][5]~q\);

-- Location: LCCOMB_X4_Y30_N28
\led_flash_cnt[34][6]~27366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[34][6]~27366_combout\ = (\led_flash_cnt[34][6]~q\ & (!\led_flash_cnt[34][5]~27365\)) # (!\led_flash_cnt[34][6]~q\ & ((\led_flash_cnt[34][5]~27365\) # (GND)))
-- \led_flash_cnt[34][6]~27367\ = CARRY((!\led_flash_cnt[34][5]~27365\) # (!\led_flash_cnt[34][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[34][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[34][5]~27365\,
	combout => \led_flash_cnt[34][6]~27366_combout\,
	cout => \led_flash_cnt[34][6]~27367\);

-- Location: FF_X4_Y30_N29
\led_flash_cnt[34][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[34][6]~27366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[34][6]~q\);

-- Location: LCCOMB_X3_Y30_N6
\WideAnd34~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd34~1_combout\ = (\led_flash_cnt[34][6]~q\ & \led_flash_cnt[34][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[34][6]~q\,
	datad => \led_flash_cnt[34][5]~q\,
	combout => \WideAnd34~1_combout\);

-- Location: LCCOMB_X4_Y30_N16
\WideAnd34~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd34~0_combout\ = (\led_flash_cnt[34][1]~q\ & (\led_flash_cnt[34][4]~q\ & (\led_flash_cnt[34][3]~q\ & \led_flash_cnt[34][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[34][1]~q\,
	datab => \led_flash_cnt[34][4]~q\,
	datac => \led_flash_cnt[34][3]~q\,
	datad => \led_flash_cnt[34][2]~q\,
	combout => \WideAnd34~0_combout\);

-- Location: LCCOMB_X4_Y30_N30
\led_flash_cnt[34][7]~27368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[34][7]~27368_combout\ = \led_flash_cnt[34][7]~q\ $ (!\led_flash_cnt[34][6]~27367\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[34][7]~q\,
	cin => \led_flash_cnt[34][6]~27367\,
	combout => \led_flash_cnt[34][7]~27368_combout\);

-- Location: FF_X4_Y30_N31
\led_flash_cnt[34][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[34][7]~27368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[34][7]~q\);

-- Location: LCCOMB_X3_Y30_N8
WideAnd34 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd34~combout\ = (\WideAnd34~1_combout\ & (\WideAnd34~0_combout\ & (\led_flash_cnt[34][7]~q\ & \led_flash_cnt[34][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd34~1_combout\,
	datab => \WideAnd34~0_combout\,
	datac => \led_flash_cnt[34][7]~q\,
	datad => \led_flash_cnt[34][0]~q\,
	combout => \WideAnd34~combout\);

-- Location: FF_X3_Y30_N9
\led_flash_cnt_ands[34]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd34~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(34));

-- Location: LCCOMB_X10_Y26_N2
\led_flash_cnt[33][0]~80673\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[33][0]~80673_combout\ = !\led_flash_cnt[33][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[33][0]~q\,
	combout => \led_flash_cnt[33][0]~80673_combout\);

-- Location: FF_X10_Y26_N3
\led_flash_cnt[33][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[33][0]~80673_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[33][0]~q\);

-- Location: LCCOMB_X9_Y26_N18
\led_flash_cnt[33][1]~27342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[33][1]~27342_combout\ = (\led_flash_cnt[33][0]~q\ & (\led_flash_cnt[33][1]~q\ $ (VCC))) # (!\led_flash_cnt[33][0]~q\ & (\led_flash_cnt[33][1]~q\ & VCC))
-- \led_flash_cnt[33][1]~27343\ = CARRY((\led_flash_cnt[33][0]~q\ & \led_flash_cnt[33][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[33][0]~q\,
	datab => \led_flash_cnt[33][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[33][1]~27342_combout\,
	cout => \led_flash_cnt[33][1]~27343\);

-- Location: FF_X9_Y26_N19
\led_flash_cnt[33][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[33][1]~27342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[33][1]~q\);

-- Location: LCCOMB_X9_Y26_N20
\led_flash_cnt[33][2]~27344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[33][2]~27344_combout\ = (\led_flash_cnt[33][2]~q\ & (!\led_flash_cnt[33][1]~27343\)) # (!\led_flash_cnt[33][2]~q\ & ((\led_flash_cnt[33][1]~27343\) # (GND)))
-- \led_flash_cnt[33][2]~27345\ = CARRY((!\led_flash_cnt[33][1]~27343\) # (!\led_flash_cnt[33][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[33][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[33][1]~27343\,
	combout => \led_flash_cnt[33][2]~27344_combout\,
	cout => \led_flash_cnt[33][2]~27345\);

-- Location: FF_X9_Y26_N21
\led_flash_cnt[33][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[33][2]~27344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[33][2]~q\);

-- Location: LCCOMB_X9_Y26_N22
\led_flash_cnt[33][3]~27346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[33][3]~27346_combout\ = (\led_flash_cnt[33][3]~q\ & (\led_flash_cnt[33][2]~27345\ $ (GND))) # (!\led_flash_cnt[33][3]~q\ & (!\led_flash_cnt[33][2]~27345\ & VCC))
-- \led_flash_cnt[33][3]~27347\ = CARRY((\led_flash_cnt[33][3]~q\ & !\led_flash_cnt[33][2]~27345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[33][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[33][2]~27345\,
	combout => \led_flash_cnt[33][3]~27346_combout\,
	cout => \led_flash_cnt[33][3]~27347\);

-- Location: FF_X9_Y26_N23
\led_flash_cnt[33][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[33][3]~27346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[33][3]~q\);

-- Location: LCCOMB_X9_Y26_N24
\led_flash_cnt[33][4]~27348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[33][4]~27348_combout\ = (\led_flash_cnt[33][4]~q\ & (!\led_flash_cnt[33][3]~27347\)) # (!\led_flash_cnt[33][4]~q\ & ((\led_flash_cnt[33][3]~27347\) # (GND)))
-- \led_flash_cnt[33][4]~27349\ = CARRY((!\led_flash_cnt[33][3]~27347\) # (!\led_flash_cnt[33][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[33][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[33][3]~27347\,
	combout => \led_flash_cnt[33][4]~27348_combout\,
	cout => \led_flash_cnt[33][4]~27349\);

-- Location: FF_X9_Y26_N25
\led_flash_cnt[33][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[33][4]~27348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[33][4]~q\);

-- Location: LCCOMB_X9_Y26_N2
\WideAnd33~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd33~0_combout\ = (\led_flash_cnt[33][1]~q\ & (\led_flash_cnt[33][2]~q\ & (\led_flash_cnt[33][3]~q\ & \led_flash_cnt[33][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[33][1]~q\,
	datab => \led_flash_cnt[33][2]~q\,
	datac => \led_flash_cnt[33][3]~q\,
	datad => \led_flash_cnt[33][4]~q\,
	combout => \WideAnd33~0_combout\);

-- Location: LCCOMB_X9_Y26_N26
\led_flash_cnt[33][5]~27350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[33][5]~27350_combout\ = (\led_flash_cnt[33][5]~q\ & (\led_flash_cnt[33][4]~27349\ $ (GND))) # (!\led_flash_cnt[33][5]~q\ & (!\led_flash_cnt[33][4]~27349\ & VCC))
-- \led_flash_cnt[33][5]~27351\ = CARRY((\led_flash_cnt[33][5]~q\ & !\led_flash_cnt[33][4]~27349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[33][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[33][4]~27349\,
	combout => \led_flash_cnt[33][5]~27350_combout\,
	cout => \led_flash_cnt[33][5]~27351\);

-- Location: FF_X9_Y26_N27
\led_flash_cnt[33][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[33][5]~27350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[33][5]~q\);

-- Location: LCCOMB_X9_Y26_N28
\led_flash_cnt[33][6]~27352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[33][6]~27352_combout\ = (\led_flash_cnt[33][6]~q\ & (!\led_flash_cnt[33][5]~27351\)) # (!\led_flash_cnt[33][6]~q\ & ((\led_flash_cnt[33][5]~27351\) # (GND)))
-- \led_flash_cnt[33][6]~27353\ = CARRY((!\led_flash_cnt[33][5]~27351\) # (!\led_flash_cnt[33][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[33][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[33][5]~27351\,
	combout => \led_flash_cnt[33][6]~27352_combout\,
	cout => \led_flash_cnt[33][6]~27353\);

-- Location: FF_X9_Y26_N29
\led_flash_cnt[33][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[33][6]~27352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[33][6]~q\);

-- Location: LCCOMB_X9_Y26_N30
\led_flash_cnt[33][7]~27354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[33][7]~27354_combout\ = \led_flash_cnt[33][7]~q\ $ (!\led_flash_cnt[33][6]~27353\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[33][7]~q\,
	cin => \led_flash_cnt[33][6]~27353\,
	combout => \led_flash_cnt[33][7]~27354_combout\);

-- Location: FF_X9_Y26_N31
\led_flash_cnt[33][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[33][7]~27354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[33][7]~q\);

-- Location: LCCOMB_X10_Y26_N28
\WideAnd33~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd33~1_combout\ = (\led_flash_cnt[33][5]~q\ & \led_flash_cnt[33][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[33][5]~q\,
	datad => \led_flash_cnt[33][6]~q\,
	combout => \WideAnd33~1_combout\);

-- Location: LCCOMB_X10_Y26_N22
WideAnd33 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd33~combout\ = (\WideAnd33~0_combout\ & (\led_flash_cnt[33][7]~q\ & (\led_flash_cnt[33][0]~q\ & \WideAnd33~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd33~0_combout\,
	datab => \led_flash_cnt[33][7]~q\,
	datac => \led_flash_cnt[33][0]~q\,
	datad => \WideAnd33~1_combout\,
	combout => \WideAnd33~combout\);

-- Location: FF_X10_Y26_N23
\led_flash_cnt_ands[33]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd33~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(33));

-- Location: LCCOMB_X6_Y36_N24
\led_flash_cnt[32][0]~80672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[32][0]~80672_combout\ = !\led_flash_cnt[32][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[32][0]~q\,
	combout => \led_flash_cnt[32][0]~80672_combout\);

-- Location: FF_X6_Y36_N25
\led_flash_cnt[32][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[32][0]~80672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[32][0]~q\);

-- Location: LCCOMB_X7_Y36_N18
\led_flash_cnt[32][1]~27328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[32][1]~27328_combout\ = (\led_flash_cnt[32][0]~q\ & (\led_flash_cnt[32][1]~q\ $ (VCC))) # (!\led_flash_cnt[32][0]~q\ & (\led_flash_cnt[32][1]~q\ & VCC))
-- \led_flash_cnt[32][1]~27329\ = CARRY((\led_flash_cnt[32][0]~q\ & \led_flash_cnt[32][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[32][0]~q\,
	datab => \led_flash_cnt[32][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[32][1]~27328_combout\,
	cout => \led_flash_cnt[32][1]~27329\);

-- Location: FF_X7_Y36_N19
\led_flash_cnt[32][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[32][1]~27328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[32][1]~q\);

-- Location: LCCOMB_X7_Y36_N20
\led_flash_cnt[32][2]~27330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[32][2]~27330_combout\ = (\led_flash_cnt[32][2]~q\ & (!\led_flash_cnt[32][1]~27329\)) # (!\led_flash_cnt[32][2]~q\ & ((\led_flash_cnt[32][1]~27329\) # (GND)))
-- \led_flash_cnt[32][2]~27331\ = CARRY((!\led_flash_cnt[32][1]~27329\) # (!\led_flash_cnt[32][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[32][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[32][1]~27329\,
	combout => \led_flash_cnt[32][2]~27330_combout\,
	cout => \led_flash_cnt[32][2]~27331\);

-- Location: FF_X7_Y36_N21
\led_flash_cnt[32][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[32][2]~27330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[32][2]~q\);

-- Location: LCCOMB_X7_Y36_N22
\led_flash_cnt[32][3]~27332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[32][3]~27332_combout\ = (\led_flash_cnt[32][3]~q\ & (\led_flash_cnt[32][2]~27331\ $ (GND))) # (!\led_flash_cnt[32][3]~q\ & (!\led_flash_cnt[32][2]~27331\ & VCC))
-- \led_flash_cnt[32][3]~27333\ = CARRY((\led_flash_cnt[32][3]~q\ & !\led_flash_cnt[32][2]~27331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[32][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[32][2]~27331\,
	combout => \led_flash_cnt[32][3]~27332_combout\,
	cout => \led_flash_cnt[32][3]~27333\);

-- Location: FF_X7_Y36_N23
\led_flash_cnt[32][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[32][3]~27332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[32][3]~q\);

-- Location: LCCOMB_X7_Y36_N24
\led_flash_cnt[32][4]~27334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[32][4]~27334_combout\ = (\led_flash_cnt[32][4]~q\ & (!\led_flash_cnt[32][3]~27333\)) # (!\led_flash_cnt[32][4]~q\ & ((\led_flash_cnt[32][3]~27333\) # (GND)))
-- \led_flash_cnt[32][4]~27335\ = CARRY((!\led_flash_cnt[32][3]~27333\) # (!\led_flash_cnt[32][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[32][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[32][3]~27333\,
	combout => \led_flash_cnt[32][4]~27334_combout\,
	cout => \led_flash_cnt[32][4]~27335\);

-- Location: FF_X7_Y36_N25
\led_flash_cnt[32][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[32][4]~27334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[32][4]~q\);

-- Location: LCCOMB_X7_Y36_N26
\led_flash_cnt[32][5]~27336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[32][5]~27336_combout\ = (\led_flash_cnt[32][5]~q\ & (\led_flash_cnt[32][4]~27335\ $ (GND))) # (!\led_flash_cnt[32][5]~q\ & (!\led_flash_cnt[32][4]~27335\ & VCC))
-- \led_flash_cnt[32][5]~27337\ = CARRY((\led_flash_cnt[32][5]~q\ & !\led_flash_cnt[32][4]~27335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[32][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[32][4]~27335\,
	combout => \led_flash_cnt[32][5]~27336_combout\,
	cout => \led_flash_cnt[32][5]~27337\);

-- Location: FF_X7_Y36_N27
\led_flash_cnt[32][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[32][5]~27336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[32][5]~q\);

-- Location: LCCOMB_X7_Y36_N28
\led_flash_cnt[32][6]~27338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[32][6]~27338_combout\ = (\led_flash_cnt[32][6]~q\ & (!\led_flash_cnt[32][5]~27337\)) # (!\led_flash_cnt[32][6]~q\ & ((\led_flash_cnt[32][5]~27337\) # (GND)))
-- \led_flash_cnt[32][6]~27339\ = CARRY((!\led_flash_cnt[32][5]~27337\) # (!\led_flash_cnt[32][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[32][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[32][5]~27337\,
	combout => \led_flash_cnt[32][6]~27338_combout\,
	cout => \led_flash_cnt[32][6]~27339\);

-- Location: FF_X7_Y36_N29
\led_flash_cnt[32][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[32][6]~27338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[32][6]~q\);

-- Location: LCCOMB_X7_Y36_N30
\led_flash_cnt[32][7]~27340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[32][7]~27340_combout\ = \led_flash_cnt[32][7]~q\ $ (!\led_flash_cnt[32][6]~27339\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[32][7]~q\,
	cin => \led_flash_cnt[32][6]~27339\,
	combout => \led_flash_cnt[32][7]~27340_combout\);

-- Location: FF_X7_Y36_N31
\led_flash_cnt[32][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[32][7]~27340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[32][7]~q\);

-- Location: LCCOMB_X7_Y36_N0
\WideAnd32~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd32~0_combout\ = (\led_flash_cnt[32][2]~q\ & (\led_flash_cnt[32][4]~q\ & (\led_flash_cnt[32][3]~q\ & \led_flash_cnt[32][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[32][2]~q\,
	datab => \led_flash_cnt[32][4]~q\,
	datac => \led_flash_cnt[32][3]~q\,
	datad => \led_flash_cnt[32][1]~q\,
	combout => \WideAnd32~0_combout\);

-- Location: LCCOMB_X6_Y36_N20
\WideAnd32~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd32~1_combout\ = (\led_flash_cnt[32][5]~q\ & \led_flash_cnt[32][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[32][5]~q\,
	datad => \led_flash_cnt[32][6]~q\,
	combout => \WideAnd32~1_combout\);

-- Location: LCCOMB_X6_Y36_N26
WideAnd32 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd32~combout\ = (\led_flash_cnt[32][7]~q\ & (\led_flash_cnt[32][0]~q\ & (\WideAnd32~0_combout\ & \WideAnd32~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[32][7]~q\,
	datab => \led_flash_cnt[32][0]~q\,
	datac => \WideAnd32~0_combout\,
	datad => \WideAnd32~1_combout\,
	combout => \WideAnd32~combout\);

-- Location: FF_X6_Y36_N27
\led_flash_cnt_ands[32]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd32~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(32));

-- Location: LCCOMB_X6_Y30_N18
\led_flash_cnt[35][0]~80675\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[35][0]~80675_combout\ = !\led_flash_cnt[35][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[35][0]~q\,
	combout => \led_flash_cnt[35][0]~80675_combout\);

-- Location: FF_X6_Y30_N19
\led_flash_cnt[35][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[35][0]~80675_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[35][0]~q\);

-- Location: LCCOMB_X6_Y30_N2
\led_flash_cnt[35][1]~27370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[35][1]~27370_combout\ = (\led_flash_cnt[35][1]~q\ & (\led_flash_cnt[35][0]~q\ $ (VCC))) # (!\led_flash_cnt[35][1]~q\ & (\led_flash_cnt[35][0]~q\ & VCC))
-- \led_flash_cnt[35][1]~27371\ = CARRY((\led_flash_cnt[35][1]~q\ & \led_flash_cnt[35][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[35][1]~q\,
	datab => \led_flash_cnt[35][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[35][1]~27370_combout\,
	cout => \led_flash_cnt[35][1]~27371\);

-- Location: FF_X6_Y30_N3
\led_flash_cnt[35][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[35][1]~27370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[35][1]~q\);

-- Location: LCCOMB_X6_Y30_N4
\led_flash_cnt[35][2]~27372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[35][2]~27372_combout\ = (\led_flash_cnt[35][2]~q\ & (!\led_flash_cnt[35][1]~27371\)) # (!\led_flash_cnt[35][2]~q\ & ((\led_flash_cnt[35][1]~27371\) # (GND)))
-- \led_flash_cnt[35][2]~27373\ = CARRY((!\led_flash_cnt[35][1]~27371\) # (!\led_flash_cnt[35][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[35][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[35][1]~27371\,
	combout => \led_flash_cnt[35][2]~27372_combout\,
	cout => \led_flash_cnt[35][2]~27373\);

-- Location: FF_X6_Y30_N5
\led_flash_cnt[35][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[35][2]~27372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[35][2]~q\);

-- Location: LCCOMB_X6_Y30_N6
\led_flash_cnt[35][3]~27374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[35][3]~27374_combout\ = (\led_flash_cnt[35][3]~q\ & (\led_flash_cnt[35][2]~27373\ $ (GND))) # (!\led_flash_cnt[35][3]~q\ & (!\led_flash_cnt[35][2]~27373\ & VCC))
-- \led_flash_cnt[35][3]~27375\ = CARRY((\led_flash_cnt[35][3]~q\ & !\led_flash_cnt[35][2]~27373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[35][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[35][2]~27373\,
	combout => \led_flash_cnt[35][3]~27374_combout\,
	cout => \led_flash_cnt[35][3]~27375\);

-- Location: FF_X6_Y30_N7
\led_flash_cnt[35][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[35][3]~27374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[35][3]~q\);

-- Location: LCCOMB_X6_Y30_N8
\led_flash_cnt[35][4]~27376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[35][4]~27376_combout\ = (\led_flash_cnt[35][4]~q\ & (!\led_flash_cnt[35][3]~27375\)) # (!\led_flash_cnt[35][4]~q\ & ((\led_flash_cnt[35][3]~27375\) # (GND)))
-- \led_flash_cnt[35][4]~27377\ = CARRY((!\led_flash_cnt[35][3]~27375\) # (!\led_flash_cnt[35][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[35][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[35][3]~27375\,
	combout => \led_flash_cnt[35][4]~27376_combout\,
	cout => \led_flash_cnt[35][4]~27377\);

-- Location: FF_X6_Y30_N9
\led_flash_cnt[35][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[35][4]~27376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[35][4]~q\);

-- Location: LCCOMB_X6_Y30_N22
\WideAnd35~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd35~0_combout\ = (\led_flash_cnt[35][3]~q\ & (\led_flash_cnt[35][2]~q\ & (\led_flash_cnt[35][4]~q\ & \led_flash_cnt[35][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[35][3]~q\,
	datab => \led_flash_cnt[35][2]~q\,
	datac => \led_flash_cnt[35][4]~q\,
	datad => \led_flash_cnt[35][1]~q\,
	combout => \WideAnd35~0_combout\);

-- Location: LCCOMB_X6_Y30_N10
\led_flash_cnt[35][5]~27378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[35][5]~27378_combout\ = (\led_flash_cnt[35][5]~q\ & (\led_flash_cnt[35][4]~27377\ $ (GND))) # (!\led_flash_cnt[35][5]~q\ & (!\led_flash_cnt[35][4]~27377\ & VCC))
-- \led_flash_cnt[35][5]~27379\ = CARRY((\led_flash_cnt[35][5]~q\ & !\led_flash_cnt[35][4]~27377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[35][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[35][4]~27377\,
	combout => \led_flash_cnt[35][5]~27378_combout\,
	cout => \led_flash_cnt[35][5]~27379\);

-- Location: FF_X6_Y30_N11
\led_flash_cnt[35][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[35][5]~27378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[35][5]~q\);

-- Location: LCCOMB_X6_Y30_N12
\led_flash_cnt[35][6]~27380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[35][6]~27380_combout\ = (\led_flash_cnt[35][6]~q\ & (!\led_flash_cnt[35][5]~27379\)) # (!\led_flash_cnt[35][6]~q\ & ((\led_flash_cnt[35][5]~27379\) # (GND)))
-- \led_flash_cnt[35][6]~27381\ = CARRY((!\led_flash_cnt[35][5]~27379\) # (!\led_flash_cnt[35][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[35][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[35][5]~27379\,
	combout => \led_flash_cnt[35][6]~27380_combout\,
	cout => \led_flash_cnt[35][6]~27381\);

-- Location: FF_X6_Y30_N13
\led_flash_cnt[35][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[35][6]~27380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[35][6]~q\);

-- Location: LCCOMB_X6_Y30_N20
\WideAnd35~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd35~1_combout\ = (\led_flash_cnt[35][5]~q\ & \led_flash_cnt[35][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[35][5]~q\,
	datad => \led_flash_cnt[35][6]~q\,
	combout => \WideAnd35~1_combout\);

-- Location: LCCOMB_X6_Y30_N14
\led_flash_cnt[35][7]~27382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[35][7]~27382_combout\ = \led_flash_cnt[35][7]~q\ $ (!\led_flash_cnt[35][6]~27381\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[35][7]~q\,
	cin => \led_flash_cnt[35][6]~27381\,
	combout => \led_flash_cnt[35][7]~27382_combout\);

-- Location: FF_X6_Y30_N15
\led_flash_cnt[35][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[35][7]~27382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[35][7]~q\);

-- Location: LCCOMB_X6_Y30_N28
WideAnd35 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd35~combout\ = (\WideAnd35~0_combout\ & (\WideAnd35~1_combout\ & (\led_flash_cnt[35][7]~q\ & \led_flash_cnt[35][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd35~0_combout\,
	datab => \WideAnd35~1_combout\,
	datac => \led_flash_cnt[35][7]~q\,
	datad => \led_flash_cnt[35][0]~q\,
	combout => \WideAnd35~combout\);

-- Location: FF_X6_Y30_N29
\led_flash_cnt_ands[35]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd35~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(35));

-- Location: LCCOMB_X6_Y30_N26
\WideAnd3844~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3844~0_combout\ = (led_flash_cnt_ands(34) & (led_flash_cnt_ands(33) & (led_flash_cnt_ands(32) & led_flash_cnt_ands(35))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(34),
	datab => led_flash_cnt_ands(33),
	datac => led_flash_cnt_ands(32),
	datad => led_flash_cnt_ands(35),
	combout => \WideAnd3844~0_combout\);

-- Location: LCCOMB_X26_Y33_N2
\led_flash_cnt[38][0]~80678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[38][0]~80678_combout\ = !\led_flash_cnt[38][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[38][0]~q\,
	combout => \led_flash_cnt[38][0]~80678_combout\);

-- Location: FF_X26_Y33_N3
\led_flash_cnt[38][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[38][0]~80678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[38][0]~q\);

-- Location: LCCOMB_X26_Y33_N10
\led_flash_cnt[38][1]~27412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[38][1]~27412_combout\ = (\led_flash_cnt[38][1]~q\ & (\led_flash_cnt[38][0]~q\ $ (VCC))) # (!\led_flash_cnt[38][1]~q\ & (\led_flash_cnt[38][0]~q\ & VCC))
-- \led_flash_cnt[38][1]~27413\ = CARRY((\led_flash_cnt[38][1]~q\ & \led_flash_cnt[38][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[38][1]~q\,
	datab => \led_flash_cnt[38][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[38][1]~27412_combout\,
	cout => \led_flash_cnt[38][1]~27413\);

-- Location: FF_X26_Y33_N11
\led_flash_cnt[38][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[38][1]~27412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[38][1]~q\);

-- Location: LCCOMB_X26_Y33_N12
\led_flash_cnt[38][2]~27414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[38][2]~27414_combout\ = (\led_flash_cnt[38][2]~q\ & (!\led_flash_cnt[38][1]~27413\)) # (!\led_flash_cnt[38][2]~q\ & ((\led_flash_cnt[38][1]~27413\) # (GND)))
-- \led_flash_cnt[38][2]~27415\ = CARRY((!\led_flash_cnt[38][1]~27413\) # (!\led_flash_cnt[38][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[38][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[38][1]~27413\,
	combout => \led_flash_cnt[38][2]~27414_combout\,
	cout => \led_flash_cnt[38][2]~27415\);

-- Location: FF_X26_Y33_N13
\led_flash_cnt[38][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[38][2]~27414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[38][2]~q\);

-- Location: LCCOMB_X26_Y33_N14
\led_flash_cnt[38][3]~27416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[38][3]~27416_combout\ = (\led_flash_cnt[38][3]~q\ & (\led_flash_cnt[38][2]~27415\ $ (GND))) # (!\led_flash_cnt[38][3]~q\ & (!\led_flash_cnt[38][2]~27415\ & VCC))
-- \led_flash_cnt[38][3]~27417\ = CARRY((\led_flash_cnt[38][3]~q\ & !\led_flash_cnt[38][2]~27415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[38][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[38][2]~27415\,
	combout => \led_flash_cnt[38][3]~27416_combout\,
	cout => \led_flash_cnt[38][3]~27417\);

-- Location: FF_X26_Y33_N15
\led_flash_cnt[38][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[38][3]~27416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[38][3]~q\);

-- Location: LCCOMB_X26_Y33_N16
\led_flash_cnt[38][4]~27418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[38][4]~27418_combout\ = (\led_flash_cnt[38][4]~q\ & (!\led_flash_cnt[38][3]~27417\)) # (!\led_flash_cnt[38][4]~q\ & ((\led_flash_cnt[38][3]~27417\) # (GND)))
-- \led_flash_cnt[38][4]~27419\ = CARRY((!\led_flash_cnt[38][3]~27417\) # (!\led_flash_cnt[38][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[38][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[38][3]~27417\,
	combout => \led_flash_cnt[38][4]~27418_combout\,
	cout => \led_flash_cnt[38][4]~27419\);

-- Location: FF_X26_Y33_N17
\led_flash_cnt[38][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[38][4]~27418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[38][4]~q\);

-- Location: LCCOMB_X26_Y33_N18
\led_flash_cnt[38][5]~27420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[38][5]~27420_combout\ = (\led_flash_cnt[38][5]~q\ & (\led_flash_cnt[38][4]~27419\ $ (GND))) # (!\led_flash_cnt[38][5]~q\ & (!\led_flash_cnt[38][4]~27419\ & VCC))
-- \led_flash_cnt[38][5]~27421\ = CARRY((\led_flash_cnt[38][5]~q\ & !\led_flash_cnt[38][4]~27419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[38][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[38][4]~27419\,
	combout => \led_flash_cnt[38][5]~27420_combout\,
	cout => \led_flash_cnt[38][5]~27421\);

-- Location: FF_X26_Y33_N19
\led_flash_cnt[38][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[38][5]~27420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[38][5]~q\);

-- Location: LCCOMB_X26_Y33_N20
\led_flash_cnt[38][6]~27422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[38][6]~27422_combout\ = (\led_flash_cnt[38][6]~q\ & (!\led_flash_cnt[38][5]~27421\)) # (!\led_flash_cnt[38][6]~q\ & ((\led_flash_cnt[38][5]~27421\) # (GND)))
-- \led_flash_cnt[38][6]~27423\ = CARRY((!\led_flash_cnt[38][5]~27421\) # (!\led_flash_cnt[38][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[38][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[38][5]~27421\,
	combout => \led_flash_cnt[38][6]~27422_combout\,
	cout => \led_flash_cnt[38][6]~27423\);

-- Location: FF_X26_Y33_N21
\led_flash_cnt[38][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[38][6]~27422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[38][6]~q\);

-- Location: LCCOMB_X26_Y33_N30
\WideAnd38~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd38~1_combout\ = (\led_flash_cnt[38][5]~q\ & \led_flash_cnt[38][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[38][5]~q\,
	datad => \led_flash_cnt[38][6]~q\,
	combout => \WideAnd38~1_combout\);

-- Location: LCCOMB_X26_Y33_N22
\led_flash_cnt[38][7]~27424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[38][7]~27424_combout\ = \led_flash_cnt[38][7]~q\ $ (!\led_flash_cnt[38][6]~27423\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[38][7]~q\,
	cin => \led_flash_cnt[38][6]~27423\,
	combout => \led_flash_cnt[38][7]~27424_combout\);

-- Location: FF_X26_Y33_N23
\led_flash_cnt[38][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[38][7]~27424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[38][7]~q\);

-- Location: LCCOMB_X26_Y33_N24
\WideAnd38~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd38~0_combout\ = (\led_flash_cnt[38][1]~q\ & (\led_flash_cnt[38][4]~q\ & (\led_flash_cnt[38][3]~q\ & \led_flash_cnt[38][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[38][1]~q\,
	datab => \led_flash_cnt[38][4]~q\,
	datac => \led_flash_cnt[38][3]~q\,
	datad => \led_flash_cnt[38][2]~q\,
	combout => \WideAnd38~0_combout\);

-- Location: LCCOMB_X26_Y33_N0
WideAnd38 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd38~combout\ = (\WideAnd38~1_combout\ & (\led_flash_cnt[38][0]~q\ & (\led_flash_cnt[38][7]~q\ & \WideAnd38~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd38~1_combout\,
	datab => \led_flash_cnt[38][0]~q\,
	datac => \led_flash_cnt[38][7]~q\,
	datad => \WideAnd38~0_combout\,
	combout => \WideAnd38~combout\);

-- Location: FF_X26_Y33_N1
\led_flash_cnt_ands[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd38~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(38));

-- Location: LCCOMB_X26_Y33_N8
WideAnd3844 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3844~combout\ = (\WideAnd3844~1_combout\ & (led_flash_cnt_ands(39) & (\WideAnd3844~0_combout\ & led_flash_cnt_ands(38))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3844~1_combout\,
	datab => led_flash_cnt_ands(39),
	datac => \WideAnd3844~0_combout\,
	datad => led_flash_cnt_ands(38),
	combout => \WideAnd3844~combout\);

-- Location: FF_X26_Y33_N9
\led_flash_cnt_ands_1[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3844~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(4));

-- Location: LCCOMB_X26_Y24_N14
\led_flash_cnt[45][0]~80685\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[45][0]~80685_combout\ = !\led_flash_cnt[45][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[45][0]~q\,
	combout => \led_flash_cnt[45][0]~80685_combout\);

-- Location: FF_X26_Y24_N15
\led_flash_cnt[45][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[45][0]~80685_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[45][0]~q\);

-- Location: LCCOMB_X27_Y24_N2
\led_flash_cnt[45][1]~27510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[45][1]~27510_combout\ = (\led_flash_cnt[45][0]~q\ & (\led_flash_cnt[45][1]~q\ $ (VCC))) # (!\led_flash_cnt[45][0]~q\ & (\led_flash_cnt[45][1]~q\ & VCC))
-- \led_flash_cnt[45][1]~27511\ = CARRY((\led_flash_cnt[45][0]~q\ & \led_flash_cnt[45][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[45][0]~q\,
	datab => \led_flash_cnt[45][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[45][1]~27510_combout\,
	cout => \led_flash_cnt[45][1]~27511\);

-- Location: FF_X27_Y24_N3
\led_flash_cnt[45][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[45][1]~27510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[45][1]~q\);

-- Location: LCCOMB_X27_Y24_N4
\led_flash_cnt[45][2]~27512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[45][2]~27512_combout\ = (\led_flash_cnt[45][2]~q\ & (!\led_flash_cnt[45][1]~27511\)) # (!\led_flash_cnt[45][2]~q\ & ((\led_flash_cnt[45][1]~27511\) # (GND)))
-- \led_flash_cnt[45][2]~27513\ = CARRY((!\led_flash_cnt[45][1]~27511\) # (!\led_flash_cnt[45][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[45][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[45][1]~27511\,
	combout => \led_flash_cnt[45][2]~27512_combout\,
	cout => \led_flash_cnt[45][2]~27513\);

-- Location: FF_X27_Y24_N5
\led_flash_cnt[45][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[45][2]~27512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[45][2]~q\);

-- Location: LCCOMB_X27_Y24_N6
\led_flash_cnt[45][3]~27514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[45][3]~27514_combout\ = (\led_flash_cnt[45][3]~q\ & (\led_flash_cnt[45][2]~27513\ $ (GND))) # (!\led_flash_cnt[45][3]~q\ & (!\led_flash_cnt[45][2]~27513\ & VCC))
-- \led_flash_cnt[45][3]~27515\ = CARRY((\led_flash_cnt[45][3]~q\ & !\led_flash_cnt[45][2]~27513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[45][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[45][2]~27513\,
	combout => \led_flash_cnt[45][3]~27514_combout\,
	cout => \led_flash_cnt[45][3]~27515\);

-- Location: FF_X27_Y24_N7
\led_flash_cnt[45][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[45][3]~27514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[45][3]~q\);

-- Location: LCCOMB_X27_Y24_N8
\led_flash_cnt[45][4]~27516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[45][4]~27516_combout\ = (\led_flash_cnt[45][4]~q\ & (!\led_flash_cnt[45][3]~27515\)) # (!\led_flash_cnt[45][4]~q\ & ((\led_flash_cnt[45][3]~27515\) # (GND)))
-- \led_flash_cnt[45][4]~27517\ = CARRY((!\led_flash_cnt[45][3]~27515\) # (!\led_flash_cnt[45][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[45][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[45][3]~27515\,
	combout => \led_flash_cnt[45][4]~27516_combout\,
	cout => \led_flash_cnt[45][4]~27517\);

-- Location: FF_X27_Y24_N9
\led_flash_cnt[45][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[45][4]~27516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[45][4]~q\);

-- Location: LCCOMB_X27_Y24_N10
\led_flash_cnt[45][5]~27518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[45][5]~27518_combout\ = (\led_flash_cnt[45][5]~q\ & (\led_flash_cnt[45][4]~27517\ $ (GND))) # (!\led_flash_cnt[45][5]~q\ & (!\led_flash_cnt[45][4]~27517\ & VCC))
-- \led_flash_cnt[45][5]~27519\ = CARRY((\led_flash_cnt[45][5]~q\ & !\led_flash_cnt[45][4]~27517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[45][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[45][4]~27517\,
	combout => \led_flash_cnt[45][5]~27518_combout\,
	cout => \led_flash_cnt[45][5]~27519\);

-- Location: FF_X27_Y24_N11
\led_flash_cnt[45][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[45][5]~27518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[45][5]~q\);

-- Location: LCCOMB_X27_Y24_N12
\led_flash_cnt[45][6]~27520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[45][6]~27520_combout\ = (\led_flash_cnt[45][6]~q\ & (!\led_flash_cnt[45][5]~27519\)) # (!\led_flash_cnt[45][6]~q\ & ((\led_flash_cnt[45][5]~27519\) # (GND)))
-- \led_flash_cnt[45][6]~27521\ = CARRY((!\led_flash_cnt[45][5]~27519\) # (!\led_flash_cnt[45][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[45][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[45][5]~27519\,
	combout => \led_flash_cnt[45][6]~27520_combout\,
	cout => \led_flash_cnt[45][6]~27521\);

-- Location: FF_X27_Y24_N13
\led_flash_cnt[45][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[45][6]~27520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[45][6]~q\);

-- Location: LCCOMB_X26_Y24_N20
\WideAnd45~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd45~1_combout\ = (\led_flash_cnt[45][6]~q\ & \led_flash_cnt[45][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[45][6]~q\,
	datac => \led_flash_cnt[45][5]~q\,
	combout => \WideAnd45~1_combout\);

-- Location: LCCOMB_X27_Y24_N14
\led_flash_cnt[45][7]~27522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[45][7]~27522_combout\ = \led_flash_cnt[45][7]~q\ $ (!\led_flash_cnt[45][6]~27521\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[45][7]~q\,
	cin => \led_flash_cnt[45][6]~27521\,
	combout => \led_flash_cnt[45][7]~27522_combout\);

-- Location: FF_X27_Y24_N15
\led_flash_cnt[45][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[45][7]~27522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[45][7]~q\);

-- Location: LCCOMB_X27_Y24_N30
\WideAnd45~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd45~0_combout\ = (\led_flash_cnt[45][3]~q\ & (\led_flash_cnt[45][4]~q\ & (\led_flash_cnt[45][2]~q\ & \led_flash_cnt[45][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[45][3]~q\,
	datab => \led_flash_cnt[45][4]~q\,
	datac => \led_flash_cnt[45][2]~q\,
	datad => \led_flash_cnt[45][1]~q\,
	combout => \WideAnd45~0_combout\);

-- Location: LCCOMB_X26_Y24_N30
WideAnd45 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd45~combout\ = (\WideAnd45~1_combout\ & (\led_flash_cnt[45][7]~q\ & (\WideAnd45~0_combout\ & \led_flash_cnt[45][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd45~1_combout\,
	datab => \led_flash_cnt[45][7]~q\,
	datac => \WideAnd45~0_combout\,
	datad => \led_flash_cnt[45][0]~q\,
	combout => \WideAnd45~combout\);

-- Location: FF_X26_Y24_N31
\led_flash_cnt_ands[45]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd45~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(45));

-- Location: LCCOMB_X26_Y24_N26
\led_flash_cnt[44][0]~80684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[44][0]~80684_combout\ = !\led_flash_cnt[44][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[44][0]~q\,
	combout => \led_flash_cnt[44][0]~80684_combout\);

-- Location: FF_X26_Y24_N27
\led_flash_cnt[44][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[44][0]~80684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[44][0]~q\);

-- Location: LCCOMB_X26_Y24_N0
\led_flash_cnt[44][1]~27496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[44][1]~27496_combout\ = (\led_flash_cnt[44][0]~q\ & (\led_flash_cnt[44][1]~q\ $ (VCC))) # (!\led_flash_cnt[44][0]~q\ & (\led_flash_cnt[44][1]~q\ & VCC))
-- \led_flash_cnt[44][1]~27497\ = CARRY((\led_flash_cnt[44][0]~q\ & \led_flash_cnt[44][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[44][0]~q\,
	datab => \led_flash_cnt[44][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[44][1]~27496_combout\,
	cout => \led_flash_cnt[44][1]~27497\);

-- Location: FF_X26_Y24_N1
\led_flash_cnt[44][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[44][1]~27496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[44][1]~q\);

-- Location: LCCOMB_X26_Y24_N2
\led_flash_cnt[44][2]~27498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[44][2]~27498_combout\ = (\led_flash_cnt[44][2]~q\ & (!\led_flash_cnt[44][1]~27497\)) # (!\led_flash_cnt[44][2]~q\ & ((\led_flash_cnt[44][1]~27497\) # (GND)))
-- \led_flash_cnt[44][2]~27499\ = CARRY((!\led_flash_cnt[44][1]~27497\) # (!\led_flash_cnt[44][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[44][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[44][1]~27497\,
	combout => \led_flash_cnt[44][2]~27498_combout\,
	cout => \led_flash_cnt[44][2]~27499\);

-- Location: FF_X26_Y24_N3
\led_flash_cnt[44][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[44][2]~27498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[44][2]~q\);

-- Location: LCCOMB_X26_Y24_N4
\led_flash_cnt[44][3]~27500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[44][3]~27500_combout\ = (\led_flash_cnt[44][3]~q\ & (\led_flash_cnt[44][2]~27499\ $ (GND))) # (!\led_flash_cnt[44][3]~q\ & (!\led_flash_cnt[44][2]~27499\ & VCC))
-- \led_flash_cnt[44][3]~27501\ = CARRY((\led_flash_cnt[44][3]~q\ & !\led_flash_cnt[44][2]~27499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[44][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[44][2]~27499\,
	combout => \led_flash_cnt[44][3]~27500_combout\,
	cout => \led_flash_cnt[44][3]~27501\);

-- Location: FF_X26_Y24_N5
\led_flash_cnt[44][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[44][3]~27500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[44][3]~q\);

-- Location: LCCOMB_X26_Y24_N6
\led_flash_cnt[44][4]~27502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[44][4]~27502_combout\ = (\led_flash_cnt[44][4]~q\ & (!\led_flash_cnt[44][3]~27501\)) # (!\led_flash_cnt[44][4]~q\ & ((\led_flash_cnt[44][3]~27501\) # (GND)))
-- \led_flash_cnt[44][4]~27503\ = CARRY((!\led_flash_cnt[44][3]~27501\) # (!\led_flash_cnt[44][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[44][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[44][3]~27501\,
	combout => \led_flash_cnt[44][4]~27502_combout\,
	cout => \led_flash_cnt[44][4]~27503\);

-- Location: FF_X26_Y24_N7
\led_flash_cnt[44][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[44][4]~27502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[44][4]~q\);

-- Location: LCCOMB_X26_Y24_N8
\led_flash_cnt[44][5]~27504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[44][5]~27504_combout\ = (\led_flash_cnt[44][5]~q\ & (\led_flash_cnt[44][4]~27503\ $ (GND))) # (!\led_flash_cnt[44][5]~q\ & (!\led_flash_cnt[44][4]~27503\ & VCC))
-- \led_flash_cnt[44][5]~27505\ = CARRY((\led_flash_cnt[44][5]~q\ & !\led_flash_cnt[44][4]~27503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[44][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[44][4]~27503\,
	combout => \led_flash_cnt[44][5]~27504_combout\,
	cout => \led_flash_cnt[44][5]~27505\);

-- Location: FF_X26_Y24_N9
\led_flash_cnt[44][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[44][5]~27504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[44][5]~q\);

-- Location: LCCOMB_X26_Y24_N10
\led_flash_cnt[44][6]~27506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[44][6]~27506_combout\ = (\led_flash_cnt[44][6]~q\ & (!\led_flash_cnt[44][5]~27505\)) # (!\led_flash_cnt[44][6]~q\ & ((\led_flash_cnt[44][5]~27505\) # (GND)))
-- \led_flash_cnt[44][6]~27507\ = CARRY((!\led_flash_cnt[44][5]~27505\) # (!\led_flash_cnt[44][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[44][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[44][5]~27505\,
	combout => \led_flash_cnt[44][6]~27506_combout\,
	cout => \led_flash_cnt[44][6]~27507\);

-- Location: FF_X26_Y24_N11
\led_flash_cnt[44][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[44][6]~27506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[44][6]~q\);

-- Location: LCCOMB_X26_Y24_N22
\WideAnd44~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd44~1_combout\ = (\led_flash_cnt[44][6]~q\ & \led_flash_cnt[44][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[44][6]~q\,
	datad => \led_flash_cnt[44][5]~q\,
	combout => \WideAnd44~1_combout\);

-- Location: LCCOMB_X26_Y24_N28
\WideAnd44~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd44~0_combout\ = (\led_flash_cnt[44][4]~q\ & (\led_flash_cnt[44][3]~q\ & (\led_flash_cnt[44][2]~q\ & \led_flash_cnt[44][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[44][4]~q\,
	datab => \led_flash_cnt[44][3]~q\,
	datac => \led_flash_cnt[44][2]~q\,
	datad => \led_flash_cnt[44][1]~q\,
	combout => \WideAnd44~0_combout\);

-- Location: LCCOMB_X26_Y24_N12
\led_flash_cnt[44][7]~27508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[44][7]~27508_combout\ = \led_flash_cnt[44][6]~27507\ $ (!\led_flash_cnt[44][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[44][7]~q\,
	cin => \led_flash_cnt[44][6]~27507\,
	combout => \led_flash_cnt[44][7]~27508_combout\);

-- Location: FF_X26_Y24_N13
\led_flash_cnt[44][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[44][7]~27508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[44][7]~q\);

-- Location: LCCOMB_X26_Y24_N18
WideAnd44 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd44~combout\ = (\WideAnd44~1_combout\ & (\WideAnd44~0_combout\ & (\led_flash_cnt[44][0]~q\ & \led_flash_cnt[44][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd44~1_combout\,
	datab => \WideAnd44~0_combout\,
	datac => \led_flash_cnt[44][0]~q\,
	datad => \led_flash_cnt[44][7]~q\,
	combout => \WideAnd44~combout\);

-- Location: FF_X26_Y24_N19
\led_flash_cnt_ands[44]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd44~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(44));

-- Location: LCCOMB_X26_Y24_N24
\WideAnd3845~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3845~1_combout\ = (led_flash_cnt_ands(45) & led_flash_cnt_ands(44))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(45),
	datad => led_flash_cnt_ands(44),
	combout => \WideAnd3845~1_combout\);

-- Location: LCCOMB_X1_Y32_N6
\led_flash_cnt[40][0]~80680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[40][0]~80680_combout\ = !\led_flash_cnt[40][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[40][0]~q\,
	combout => \led_flash_cnt[40][0]~80680_combout\);

-- Location: FF_X1_Y32_N7
\led_flash_cnt[40][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[40][0]~80680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[40][0]~q\);

-- Location: LCCOMB_X2_Y32_N4
\led_flash_cnt[40][1]~27440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[40][1]~27440_combout\ = (\led_flash_cnt[40][0]~q\ & (\led_flash_cnt[40][1]~q\ $ (VCC))) # (!\led_flash_cnt[40][0]~q\ & (\led_flash_cnt[40][1]~q\ & VCC))
-- \led_flash_cnt[40][1]~27441\ = CARRY((\led_flash_cnt[40][0]~q\ & \led_flash_cnt[40][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[40][0]~q\,
	datab => \led_flash_cnt[40][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[40][1]~27440_combout\,
	cout => \led_flash_cnt[40][1]~27441\);

-- Location: FF_X2_Y32_N5
\led_flash_cnt[40][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[40][1]~27440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[40][1]~q\);

-- Location: LCCOMB_X2_Y32_N6
\led_flash_cnt[40][2]~27442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[40][2]~27442_combout\ = (\led_flash_cnt[40][2]~q\ & (!\led_flash_cnt[40][1]~27441\)) # (!\led_flash_cnt[40][2]~q\ & ((\led_flash_cnt[40][1]~27441\) # (GND)))
-- \led_flash_cnt[40][2]~27443\ = CARRY((!\led_flash_cnt[40][1]~27441\) # (!\led_flash_cnt[40][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[40][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[40][1]~27441\,
	combout => \led_flash_cnt[40][2]~27442_combout\,
	cout => \led_flash_cnt[40][2]~27443\);

-- Location: FF_X2_Y32_N7
\led_flash_cnt[40][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[40][2]~27442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[40][2]~q\);

-- Location: LCCOMB_X2_Y32_N8
\led_flash_cnt[40][3]~27444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[40][3]~27444_combout\ = (\led_flash_cnt[40][3]~q\ & (\led_flash_cnt[40][2]~27443\ $ (GND))) # (!\led_flash_cnt[40][3]~q\ & (!\led_flash_cnt[40][2]~27443\ & VCC))
-- \led_flash_cnt[40][3]~27445\ = CARRY((\led_flash_cnt[40][3]~q\ & !\led_flash_cnt[40][2]~27443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[40][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[40][2]~27443\,
	combout => \led_flash_cnt[40][3]~27444_combout\,
	cout => \led_flash_cnt[40][3]~27445\);

-- Location: FF_X2_Y32_N9
\led_flash_cnt[40][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[40][3]~27444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[40][3]~q\);

-- Location: LCCOMB_X2_Y32_N10
\led_flash_cnt[40][4]~27446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[40][4]~27446_combout\ = (\led_flash_cnt[40][4]~q\ & (!\led_flash_cnt[40][3]~27445\)) # (!\led_flash_cnt[40][4]~q\ & ((\led_flash_cnt[40][3]~27445\) # (GND)))
-- \led_flash_cnt[40][4]~27447\ = CARRY((!\led_flash_cnt[40][3]~27445\) # (!\led_flash_cnt[40][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[40][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[40][3]~27445\,
	combout => \led_flash_cnt[40][4]~27446_combout\,
	cout => \led_flash_cnt[40][4]~27447\);

-- Location: FF_X2_Y32_N11
\led_flash_cnt[40][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[40][4]~27446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[40][4]~q\);

-- Location: LCCOMB_X2_Y32_N12
\led_flash_cnt[40][5]~27448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[40][5]~27448_combout\ = (\led_flash_cnt[40][5]~q\ & (\led_flash_cnt[40][4]~27447\ $ (GND))) # (!\led_flash_cnt[40][5]~q\ & (!\led_flash_cnt[40][4]~27447\ & VCC))
-- \led_flash_cnt[40][5]~27449\ = CARRY((\led_flash_cnt[40][5]~q\ & !\led_flash_cnt[40][4]~27447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[40][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[40][4]~27447\,
	combout => \led_flash_cnt[40][5]~27448_combout\,
	cout => \led_flash_cnt[40][5]~27449\);

-- Location: FF_X2_Y32_N13
\led_flash_cnt[40][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[40][5]~27448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[40][5]~q\);

-- Location: LCCOMB_X2_Y32_N14
\led_flash_cnt[40][6]~27450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[40][6]~27450_combout\ = (\led_flash_cnt[40][6]~q\ & (!\led_flash_cnt[40][5]~27449\)) # (!\led_flash_cnt[40][6]~q\ & ((\led_flash_cnt[40][5]~27449\) # (GND)))
-- \led_flash_cnt[40][6]~27451\ = CARRY((!\led_flash_cnt[40][5]~27449\) # (!\led_flash_cnt[40][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[40][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[40][5]~27449\,
	combout => \led_flash_cnt[40][6]~27450_combout\,
	cout => \led_flash_cnt[40][6]~27451\);

-- Location: FF_X2_Y32_N15
\led_flash_cnt[40][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[40][6]~27450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[40][6]~q\);

-- Location: LCCOMB_X2_Y32_N16
\led_flash_cnt[40][7]~27452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[40][7]~27452_combout\ = \led_flash_cnt[40][6]~27451\ $ (!\led_flash_cnt[40][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[40][7]~q\,
	cin => \led_flash_cnt[40][6]~27451\,
	combout => \led_flash_cnt[40][7]~27452_combout\);

-- Location: FF_X2_Y32_N17
\led_flash_cnt[40][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[40][7]~27452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[40][7]~q\);

-- Location: LCCOMB_X1_Y32_N26
\WideAnd40~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd40~1_combout\ = (\led_flash_cnt[40][6]~q\ & \led_flash_cnt[40][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[40][6]~q\,
	datac => \led_flash_cnt[40][5]~q\,
	combout => \WideAnd40~1_combout\);

-- Location: LCCOMB_X2_Y32_N2
\WideAnd40~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd40~0_combout\ = (\led_flash_cnt[40][2]~q\ & (\led_flash_cnt[40][3]~q\ & (\led_flash_cnt[40][1]~q\ & \led_flash_cnt[40][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[40][2]~q\,
	datab => \led_flash_cnt[40][3]~q\,
	datac => \led_flash_cnt[40][1]~q\,
	datad => \led_flash_cnt[40][4]~q\,
	combout => \WideAnd40~0_combout\);

-- Location: LCCOMB_X1_Y32_N28
WideAnd40 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd40~combout\ = (\led_flash_cnt[40][0]~q\ & (\led_flash_cnt[40][7]~q\ & (\WideAnd40~1_combout\ & \WideAnd40~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[40][0]~q\,
	datab => \led_flash_cnt[40][7]~q\,
	datac => \WideAnd40~1_combout\,
	datad => \WideAnd40~0_combout\,
	combout => \WideAnd40~combout\);

-- Location: FF_X1_Y32_N29
\led_flash_cnt_ands[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd40~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(40));

-- Location: LCCOMB_X1_Y30_N12
\led_flash_cnt[43][0]~80683\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[43][0]~80683_combout\ = !\led_flash_cnt[43][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[43][0]~q\,
	combout => \led_flash_cnt[43][0]~80683_combout\);

-- Location: FF_X1_Y30_N13
\led_flash_cnt[43][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[43][0]~80683_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[43][0]~q\);

-- Location: LCCOMB_X1_Y30_N16
\led_flash_cnt[43][1]~27482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[43][1]~27482_combout\ = (\led_flash_cnt[43][0]~q\ & (\led_flash_cnt[43][1]~q\ $ (VCC))) # (!\led_flash_cnt[43][0]~q\ & (\led_flash_cnt[43][1]~q\ & VCC))
-- \led_flash_cnt[43][1]~27483\ = CARRY((\led_flash_cnt[43][0]~q\ & \led_flash_cnt[43][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[43][0]~q\,
	datab => \led_flash_cnt[43][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[43][1]~27482_combout\,
	cout => \led_flash_cnt[43][1]~27483\);

-- Location: FF_X1_Y30_N17
\led_flash_cnt[43][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[43][1]~27482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[43][1]~q\);

-- Location: LCCOMB_X1_Y30_N18
\led_flash_cnt[43][2]~27484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[43][2]~27484_combout\ = (\led_flash_cnt[43][2]~q\ & (!\led_flash_cnt[43][1]~27483\)) # (!\led_flash_cnt[43][2]~q\ & ((\led_flash_cnt[43][1]~27483\) # (GND)))
-- \led_flash_cnt[43][2]~27485\ = CARRY((!\led_flash_cnt[43][1]~27483\) # (!\led_flash_cnt[43][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[43][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[43][1]~27483\,
	combout => \led_flash_cnt[43][2]~27484_combout\,
	cout => \led_flash_cnt[43][2]~27485\);

-- Location: FF_X1_Y30_N19
\led_flash_cnt[43][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[43][2]~27484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[43][2]~q\);

-- Location: LCCOMB_X1_Y30_N20
\led_flash_cnt[43][3]~27486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[43][3]~27486_combout\ = (\led_flash_cnt[43][3]~q\ & (\led_flash_cnt[43][2]~27485\ $ (GND))) # (!\led_flash_cnt[43][3]~q\ & (!\led_flash_cnt[43][2]~27485\ & VCC))
-- \led_flash_cnt[43][3]~27487\ = CARRY((\led_flash_cnt[43][3]~q\ & !\led_flash_cnt[43][2]~27485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[43][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[43][2]~27485\,
	combout => \led_flash_cnt[43][3]~27486_combout\,
	cout => \led_flash_cnt[43][3]~27487\);

-- Location: FF_X1_Y30_N21
\led_flash_cnt[43][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[43][3]~27486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[43][3]~q\);

-- Location: LCCOMB_X1_Y30_N22
\led_flash_cnt[43][4]~27488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[43][4]~27488_combout\ = (\led_flash_cnt[43][4]~q\ & (!\led_flash_cnt[43][3]~27487\)) # (!\led_flash_cnt[43][4]~q\ & ((\led_flash_cnt[43][3]~27487\) # (GND)))
-- \led_flash_cnt[43][4]~27489\ = CARRY((!\led_flash_cnt[43][3]~27487\) # (!\led_flash_cnt[43][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[43][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[43][3]~27487\,
	combout => \led_flash_cnt[43][4]~27488_combout\,
	cout => \led_flash_cnt[43][4]~27489\);

-- Location: FF_X1_Y30_N23
\led_flash_cnt[43][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[43][4]~27488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[43][4]~q\);

-- Location: LCCOMB_X1_Y30_N24
\led_flash_cnt[43][5]~27490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[43][5]~27490_combout\ = (\led_flash_cnt[43][5]~q\ & (\led_flash_cnt[43][4]~27489\ $ (GND))) # (!\led_flash_cnt[43][5]~q\ & (!\led_flash_cnt[43][4]~27489\ & VCC))
-- \led_flash_cnt[43][5]~27491\ = CARRY((\led_flash_cnt[43][5]~q\ & !\led_flash_cnt[43][4]~27489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[43][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[43][4]~27489\,
	combout => \led_flash_cnt[43][5]~27490_combout\,
	cout => \led_flash_cnt[43][5]~27491\);

-- Location: FF_X1_Y30_N25
\led_flash_cnt[43][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[43][5]~27490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[43][5]~q\);

-- Location: LCCOMB_X1_Y30_N26
\led_flash_cnt[43][6]~27492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[43][6]~27492_combout\ = (\led_flash_cnt[43][6]~q\ & (!\led_flash_cnt[43][5]~27491\)) # (!\led_flash_cnt[43][6]~q\ & ((\led_flash_cnt[43][5]~27491\) # (GND)))
-- \led_flash_cnt[43][6]~27493\ = CARRY((!\led_flash_cnt[43][5]~27491\) # (!\led_flash_cnt[43][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[43][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[43][5]~27491\,
	combout => \led_flash_cnt[43][6]~27492_combout\,
	cout => \led_flash_cnt[43][6]~27493\);

-- Location: FF_X1_Y30_N27
\led_flash_cnt[43][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[43][6]~27492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[43][6]~q\);

-- Location: LCCOMB_X1_Y30_N4
\WideAnd43~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd43~1_combout\ = (\led_flash_cnt[43][6]~q\ & \led_flash_cnt[43][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[43][6]~q\,
	datad => \led_flash_cnt[43][5]~q\,
	combout => \WideAnd43~1_combout\);

-- Location: LCCOMB_X1_Y30_N14
\WideAnd43~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd43~0_combout\ = (\led_flash_cnt[43][2]~q\ & (\led_flash_cnt[43][3]~q\ & (\led_flash_cnt[43][4]~q\ & \led_flash_cnt[43][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[43][2]~q\,
	datab => \led_flash_cnt[43][3]~q\,
	datac => \led_flash_cnt[43][4]~q\,
	datad => \led_flash_cnt[43][1]~q\,
	combout => \WideAnd43~0_combout\);

-- Location: LCCOMB_X1_Y30_N28
\led_flash_cnt[43][7]~27494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[43][7]~27494_combout\ = \led_flash_cnt[43][6]~27493\ $ (!\led_flash_cnt[43][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[43][7]~q\,
	cin => \led_flash_cnt[43][6]~27493\,
	combout => \led_flash_cnt[43][7]~27494_combout\);

-- Location: FF_X1_Y30_N29
\led_flash_cnt[43][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[43][7]~27494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[43][7]~q\);

-- Location: LCCOMB_X1_Y30_N2
WideAnd43 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd43~combout\ = (\led_flash_cnt[43][0]~q\ & (\WideAnd43~1_combout\ & (\WideAnd43~0_combout\ & \led_flash_cnt[43][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[43][0]~q\,
	datab => \WideAnd43~1_combout\,
	datac => \WideAnd43~0_combout\,
	datad => \led_flash_cnt[43][7]~q\,
	combout => \WideAnd43~combout\);

-- Location: FF_X1_Y30_N3
\led_flash_cnt_ands[43]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd43~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(43));

-- Location: LCCOMB_X1_Y30_N6
\led_flash_cnt[42][0]~80682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[42][0]~80682_combout\ = !\led_flash_cnt[42][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[42][0]~q\,
	combout => \led_flash_cnt[42][0]~80682_combout\);

-- Location: FF_X1_Y30_N7
\led_flash_cnt[42][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[42][0]~80682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[42][0]~q\);

-- Location: LCCOMB_X2_Y30_N18
\led_flash_cnt[42][1]~27468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[42][1]~27468_combout\ = (\led_flash_cnt[42][0]~q\ & (\led_flash_cnt[42][1]~q\ $ (VCC))) # (!\led_flash_cnt[42][0]~q\ & (\led_flash_cnt[42][1]~q\ & VCC))
-- \led_flash_cnt[42][1]~27469\ = CARRY((\led_flash_cnt[42][0]~q\ & \led_flash_cnt[42][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[42][0]~q\,
	datab => \led_flash_cnt[42][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[42][1]~27468_combout\,
	cout => \led_flash_cnt[42][1]~27469\);

-- Location: FF_X2_Y30_N19
\led_flash_cnt[42][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[42][1]~27468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[42][1]~q\);

-- Location: LCCOMB_X2_Y30_N20
\led_flash_cnt[42][2]~27470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[42][2]~27470_combout\ = (\led_flash_cnt[42][2]~q\ & (!\led_flash_cnt[42][1]~27469\)) # (!\led_flash_cnt[42][2]~q\ & ((\led_flash_cnt[42][1]~27469\) # (GND)))
-- \led_flash_cnt[42][2]~27471\ = CARRY((!\led_flash_cnt[42][1]~27469\) # (!\led_flash_cnt[42][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[42][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[42][1]~27469\,
	combout => \led_flash_cnt[42][2]~27470_combout\,
	cout => \led_flash_cnt[42][2]~27471\);

-- Location: FF_X2_Y30_N21
\led_flash_cnt[42][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[42][2]~27470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[42][2]~q\);

-- Location: LCCOMB_X2_Y30_N22
\led_flash_cnt[42][3]~27472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[42][3]~27472_combout\ = (\led_flash_cnt[42][3]~q\ & (\led_flash_cnt[42][2]~27471\ $ (GND))) # (!\led_flash_cnt[42][3]~q\ & (!\led_flash_cnt[42][2]~27471\ & VCC))
-- \led_flash_cnt[42][3]~27473\ = CARRY((\led_flash_cnt[42][3]~q\ & !\led_flash_cnt[42][2]~27471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[42][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[42][2]~27471\,
	combout => \led_flash_cnt[42][3]~27472_combout\,
	cout => \led_flash_cnt[42][3]~27473\);

-- Location: FF_X2_Y30_N23
\led_flash_cnt[42][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[42][3]~27472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[42][3]~q\);

-- Location: LCCOMB_X2_Y30_N24
\led_flash_cnt[42][4]~27474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[42][4]~27474_combout\ = (\led_flash_cnt[42][4]~q\ & (!\led_flash_cnt[42][3]~27473\)) # (!\led_flash_cnt[42][4]~q\ & ((\led_flash_cnt[42][3]~27473\) # (GND)))
-- \led_flash_cnt[42][4]~27475\ = CARRY((!\led_flash_cnt[42][3]~27473\) # (!\led_flash_cnt[42][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[42][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[42][3]~27473\,
	combout => \led_flash_cnt[42][4]~27474_combout\,
	cout => \led_flash_cnt[42][4]~27475\);

-- Location: FF_X2_Y30_N25
\led_flash_cnt[42][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[42][4]~27474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[42][4]~q\);

-- Location: LCCOMB_X2_Y30_N26
\led_flash_cnt[42][5]~27476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[42][5]~27476_combout\ = (\led_flash_cnt[42][5]~q\ & (\led_flash_cnt[42][4]~27475\ $ (GND))) # (!\led_flash_cnt[42][5]~q\ & (!\led_flash_cnt[42][4]~27475\ & VCC))
-- \led_flash_cnt[42][5]~27477\ = CARRY((\led_flash_cnt[42][5]~q\ & !\led_flash_cnt[42][4]~27475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[42][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[42][4]~27475\,
	combout => \led_flash_cnt[42][5]~27476_combout\,
	cout => \led_flash_cnt[42][5]~27477\);

-- Location: FF_X2_Y30_N27
\led_flash_cnt[42][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[42][5]~27476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[42][5]~q\);

-- Location: LCCOMB_X2_Y30_N28
\led_flash_cnt[42][6]~27478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[42][6]~27478_combout\ = (\led_flash_cnt[42][6]~q\ & (!\led_flash_cnt[42][5]~27477\)) # (!\led_flash_cnt[42][6]~q\ & ((\led_flash_cnt[42][5]~27477\) # (GND)))
-- \led_flash_cnt[42][6]~27479\ = CARRY((!\led_flash_cnt[42][5]~27477\) # (!\led_flash_cnt[42][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[42][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[42][5]~27477\,
	combout => \led_flash_cnt[42][6]~27478_combout\,
	cout => \led_flash_cnt[42][6]~27479\);

-- Location: FF_X2_Y30_N29
\led_flash_cnt[42][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[42][6]~27478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[42][6]~q\);

-- Location: LCCOMB_X1_Y30_N10
\WideAnd42~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd42~1_combout\ = (\led_flash_cnt[42][5]~q\ & \led_flash_cnt[42][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[42][5]~q\,
	datad => \led_flash_cnt[42][6]~q\,
	combout => \WideAnd42~1_combout\);

-- Location: LCCOMB_X2_Y30_N14
\WideAnd42~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd42~0_combout\ = (\led_flash_cnt[42][4]~q\ & (\led_flash_cnt[42][1]~q\ & (\led_flash_cnt[42][3]~q\ & \led_flash_cnt[42][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[42][4]~q\,
	datab => \led_flash_cnt[42][1]~q\,
	datac => \led_flash_cnt[42][3]~q\,
	datad => \led_flash_cnt[42][2]~q\,
	combout => \WideAnd42~0_combout\);

-- Location: LCCOMB_X2_Y30_N30
\led_flash_cnt[42][7]~27480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[42][7]~27480_combout\ = \led_flash_cnt[42][7]~q\ $ (!\led_flash_cnt[42][6]~27479\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[42][7]~q\,
	cin => \led_flash_cnt[42][6]~27479\,
	combout => \led_flash_cnt[42][7]~27480_combout\);

-- Location: FF_X2_Y30_N31
\led_flash_cnt[42][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[42][7]~27480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[42][7]~q\);

-- Location: LCCOMB_X1_Y30_N8
WideAnd42 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd42~combout\ = (\WideAnd42~1_combout\ & (\WideAnd42~0_combout\ & (\led_flash_cnt[42][7]~q\ & \led_flash_cnt[42][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd42~1_combout\,
	datab => \WideAnd42~0_combout\,
	datac => \led_flash_cnt[42][7]~q\,
	datad => \led_flash_cnt[42][0]~q\,
	combout => \WideAnd42~combout\);

-- Location: FF_X1_Y30_N9
\led_flash_cnt_ands[42]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd42~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(42));

-- Location: LCCOMB_X4_Y29_N2
\led_flash_cnt[41][0]~80681\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[41][0]~80681_combout\ = !\led_flash_cnt[41][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[41][0]~q\,
	combout => \led_flash_cnt[41][0]~80681_combout\);

-- Location: FF_X4_Y29_N3
\led_flash_cnt[41][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[41][0]~80681_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[41][0]~q\);

-- Location: LCCOMB_X3_Y29_N14
\led_flash_cnt[41][1]~27454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[41][1]~27454_combout\ = (\led_flash_cnt[41][0]~q\ & (\led_flash_cnt[41][1]~q\ $ (VCC))) # (!\led_flash_cnt[41][0]~q\ & (\led_flash_cnt[41][1]~q\ & VCC))
-- \led_flash_cnt[41][1]~27455\ = CARRY((\led_flash_cnt[41][0]~q\ & \led_flash_cnt[41][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[41][0]~q\,
	datab => \led_flash_cnt[41][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[41][1]~27454_combout\,
	cout => \led_flash_cnt[41][1]~27455\);

-- Location: FF_X3_Y29_N15
\led_flash_cnt[41][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[41][1]~27454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[41][1]~q\);

-- Location: LCCOMB_X3_Y29_N16
\led_flash_cnt[41][2]~27456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[41][2]~27456_combout\ = (\led_flash_cnt[41][2]~q\ & (!\led_flash_cnt[41][1]~27455\)) # (!\led_flash_cnt[41][2]~q\ & ((\led_flash_cnt[41][1]~27455\) # (GND)))
-- \led_flash_cnt[41][2]~27457\ = CARRY((!\led_flash_cnt[41][1]~27455\) # (!\led_flash_cnt[41][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[41][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[41][1]~27455\,
	combout => \led_flash_cnt[41][2]~27456_combout\,
	cout => \led_flash_cnt[41][2]~27457\);

-- Location: FF_X3_Y29_N17
\led_flash_cnt[41][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[41][2]~27456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[41][2]~q\);

-- Location: LCCOMB_X3_Y29_N18
\led_flash_cnt[41][3]~27458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[41][3]~27458_combout\ = (\led_flash_cnt[41][3]~q\ & (\led_flash_cnt[41][2]~27457\ $ (GND))) # (!\led_flash_cnt[41][3]~q\ & (!\led_flash_cnt[41][2]~27457\ & VCC))
-- \led_flash_cnt[41][3]~27459\ = CARRY((\led_flash_cnt[41][3]~q\ & !\led_flash_cnt[41][2]~27457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[41][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[41][2]~27457\,
	combout => \led_flash_cnt[41][3]~27458_combout\,
	cout => \led_flash_cnt[41][3]~27459\);

-- Location: FF_X3_Y29_N19
\led_flash_cnt[41][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[41][3]~27458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[41][3]~q\);

-- Location: LCCOMB_X3_Y29_N20
\led_flash_cnt[41][4]~27460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[41][4]~27460_combout\ = (\led_flash_cnt[41][4]~q\ & (!\led_flash_cnt[41][3]~27459\)) # (!\led_flash_cnt[41][4]~q\ & ((\led_flash_cnt[41][3]~27459\) # (GND)))
-- \led_flash_cnt[41][4]~27461\ = CARRY((!\led_flash_cnt[41][3]~27459\) # (!\led_flash_cnt[41][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[41][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[41][3]~27459\,
	combout => \led_flash_cnt[41][4]~27460_combout\,
	cout => \led_flash_cnt[41][4]~27461\);

-- Location: FF_X3_Y29_N21
\led_flash_cnt[41][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[41][4]~27460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[41][4]~q\);

-- Location: LCCOMB_X3_Y29_N30
\WideAnd41~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd41~0_combout\ = (\led_flash_cnt[41][3]~q\ & (\led_flash_cnt[41][2]~q\ & (\led_flash_cnt[41][1]~q\ & \led_flash_cnt[41][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[41][3]~q\,
	datab => \led_flash_cnt[41][2]~q\,
	datac => \led_flash_cnt[41][1]~q\,
	datad => \led_flash_cnt[41][4]~q\,
	combout => \WideAnd41~0_combout\);

-- Location: LCCOMB_X3_Y29_N22
\led_flash_cnt[41][5]~27462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[41][5]~27462_combout\ = (\led_flash_cnt[41][5]~q\ & (\led_flash_cnt[41][4]~27461\ $ (GND))) # (!\led_flash_cnt[41][5]~q\ & (!\led_flash_cnt[41][4]~27461\ & VCC))
-- \led_flash_cnt[41][5]~27463\ = CARRY((\led_flash_cnt[41][5]~q\ & !\led_flash_cnt[41][4]~27461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[41][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[41][4]~27461\,
	combout => \led_flash_cnt[41][5]~27462_combout\,
	cout => \led_flash_cnt[41][5]~27463\);

-- Location: FF_X3_Y29_N23
\led_flash_cnt[41][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[41][5]~27462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[41][5]~q\);

-- Location: LCCOMB_X3_Y29_N24
\led_flash_cnt[41][6]~27464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[41][6]~27464_combout\ = (\led_flash_cnt[41][6]~q\ & (!\led_flash_cnt[41][5]~27463\)) # (!\led_flash_cnt[41][6]~q\ & ((\led_flash_cnt[41][5]~27463\) # (GND)))
-- \led_flash_cnt[41][6]~27465\ = CARRY((!\led_flash_cnt[41][5]~27463\) # (!\led_flash_cnt[41][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[41][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[41][5]~27463\,
	combout => \led_flash_cnt[41][6]~27464_combout\,
	cout => \led_flash_cnt[41][6]~27465\);

-- Location: FF_X3_Y29_N25
\led_flash_cnt[41][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[41][6]~27464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[41][6]~q\);

-- Location: LCCOMB_X3_Y29_N26
\led_flash_cnt[41][7]~27466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[41][7]~27466_combout\ = \led_flash_cnt[41][7]~q\ $ (!\led_flash_cnt[41][6]~27465\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[41][7]~q\,
	cin => \led_flash_cnt[41][6]~27465\,
	combout => \led_flash_cnt[41][7]~27466_combout\);

-- Location: FF_X3_Y29_N27
\led_flash_cnt[41][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[41][7]~27466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[41][7]~q\);

-- Location: LCCOMB_X4_Y29_N24
\WideAnd41~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd41~1_combout\ = (\led_flash_cnt[41][5]~q\ & \led_flash_cnt[41][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[41][5]~q\,
	datad => \led_flash_cnt[41][6]~q\,
	combout => \WideAnd41~1_combout\);

-- Location: LCCOMB_X4_Y29_N0
WideAnd41 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd41~combout\ = (\led_flash_cnt[41][0]~q\ & (\WideAnd41~0_combout\ & (\led_flash_cnt[41][7]~q\ & \WideAnd41~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[41][0]~q\,
	datab => \WideAnd41~0_combout\,
	datac => \led_flash_cnt[41][7]~q\,
	datad => \WideAnd41~1_combout\,
	combout => \WideAnd41~combout\);

-- Location: FF_X4_Y29_N1
\led_flash_cnt_ands[41]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd41~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(41));

-- Location: LCCOMB_X1_Y30_N30
\WideAnd3845~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3845~0_combout\ = (led_flash_cnt_ands(40) & (led_flash_cnt_ands(43) & (led_flash_cnt_ands(42) & led_flash_cnt_ands(41))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(40),
	datab => led_flash_cnt_ands(43),
	datac => led_flash_cnt_ands(42),
	datad => led_flash_cnt_ands(41),
	combout => \WideAnd3845~0_combout\);

-- Location: LCCOMB_X31_Y29_N6
\led_flash_cnt[46][0]~80686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[46][0]~80686_combout\ = !\led_flash_cnt[46][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[46][0]~q\,
	combout => \led_flash_cnt[46][0]~80686_combout\);

-- Location: FF_X31_Y29_N7
\led_flash_cnt[46][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[46][0]~80686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[46][0]~q\);

-- Location: LCCOMB_X32_Y29_N2
\led_flash_cnt[46][1]~27524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[46][1]~27524_combout\ = (\led_flash_cnt[46][0]~q\ & (\led_flash_cnt[46][1]~q\ $ (VCC))) # (!\led_flash_cnt[46][0]~q\ & (\led_flash_cnt[46][1]~q\ & VCC))
-- \led_flash_cnt[46][1]~27525\ = CARRY((\led_flash_cnt[46][0]~q\ & \led_flash_cnt[46][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[46][0]~q\,
	datab => \led_flash_cnt[46][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[46][1]~27524_combout\,
	cout => \led_flash_cnt[46][1]~27525\);

-- Location: FF_X32_Y29_N3
\led_flash_cnt[46][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[46][1]~27524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[46][1]~q\);

-- Location: LCCOMB_X32_Y29_N4
\led_flash_cnt[46][2]~27526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[46][2]~27526_combout\ = (\led_flash_cnt[46][2]~q\ & (!\led_flash_cnt[46][1]~27525\)) # (!\led_flash_cnt[46][2]~q\ & ((\led_flash_cnt[46][1]~27525\) # (GND)))
-- \led_flash_cnt[46][2]~27527\ = CARRY((!\led_flash_cnt[46][1]~27525\) # (!\led_flash_cnt[46][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[46][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[46][1]~27525\,
	combout => \led_flash_cnt[46][2]~27526_combout\,
	cout => \led_flash_cnt[46][2]~27527\);

-- Location: FF_X32_Y29_N5
\led_flash_cnt[46][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[46][2]~27526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[46][2]~q\);

-- Location: LCCOMB_X32_Y29_N6
\led_flash_cnt[46][3]~27528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[46][3]~27528_combout\ = (\led_flash_cnt[46][3]~q\ & (\led_flash_cnt[46][2]~27527\ $ (GND))) # (!\led_flash_cnt[46][3]~q\ & (!\led_flash_cnt[46][2]~27527\ & VCC))
-- \led_flash_cnt[46][3]~27529\ = CARRY((\led_flash_cnt[46][3]~q\ & !\led_flash_cnt[46][2]~27527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[46][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[46][2]~27527\,
	combout => \led_flash_cnt[46][3]~27528_combout\,
	cout => \led_flash_cnt[46][3]~27529\);

-- Location: FF_X32_Y29_N7
\led_flash_cnt[46][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[46][3]~27528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[46][3]~q\);

-- Location: LCCOMB_X32_Y29_N8
\led_flash_cnt[46][4]~27530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[46][4]~27530_combout\ = (\led_flash_cnt[46][4]~q\ & (!\led_flash_cnt[46][3]~27529\)) # (!\led_flash_cnt[46][4]~q\ & ((\led_flash_cnt[46][3]~27529\) # (GND)))
-- \led_flash_cnt[46][4]~27531\ = CARRY((!\led_flash_cnt[46][3]~27529\) # (!\led_flash_cnt[46][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[46][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[46][3]~27529\,
	combout => \led_flash_cnt[46][4]~27530_combout\,
	cout => \led_flash_cnt[46][4]~27531\);

-- Location: FF_X32_Y29_N9
\led_flash_cnt[46][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[46][4]~27530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[46][4]~q\);

-- Location: LCCOMB_X32_Y29_N10
\led_flash_cnt[46][5]~27532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[46][5]~27532_combout\ = (\led_flash_cnt[46][5]~q\ & (\led_flash_cnt[46][4]~27531\ $ (GND))) # (!\led_flash_cnt[46][5]~q\ & (!\led_flash_cnt[46][4]~27531\ & VCC))
-- \led_flash_cnt[46][5]~27533\ = CARRY((\led_flash_cnt[46][5]~q\ & !\led_flash_cnt[46][4]~27531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[46][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[46][4]~27531\,
	combout => \led_flash_cnt[46][5]~27532_combout\,
	cout => \led_flash_cnt[46][5]~27533\);

-- Location: FF_X32_Y29_N11
\led_flash_cnt[46][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[46][5]~27532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[46][5]~q\);

-- Location: LCCOMB_X32_Y29_N12
\led_flash_cnt[46][6]~27534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[46][6]~27534_combout\ = (\led_flash_cnt[46][6]~q\ & (!\led_flash_cnt[46][5]~27533\)) # (!\led_flash_cnt[46][6]~q\ & ((\led_flash_cnt[46][5]~27533\) # (GND)))
-- \led_flash_cnt[46][6]~27535\ = CARRY((!\led_flash_cnt[46][5]~27533\) # (!\led_flash_cnt[46][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[46][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[46][5]~27533\,
	combout => \led_flash_cnt[46][6]~27534_combout\,
	cout => \led_flash_cnt[46][6]~27535\);

-- Location: FF_X32_Y29_N13
\led_flash_cnt[46][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[46][6]~27534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[46][6]~q\);

-- Location: LCCOMB_X32_Y29_N14
\led_flash_cnt[46][7]~27536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[46][7]~27536_combout\ = \led_flash_cnt[46][7]~q\ $ (!\led_flash_cnt[46][6]~27535\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[46][7]~q\,
	cin => \led_flash_cnt[46][6]~27535\,
	combout => \led_flash_cnt[46][7]~27536_combout\);

-- Location: FF_X32_Y29_N15
\led_flash_cnt[46][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[46][7]~27536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[46][7]~q\);

-- Location: LCCOMB_X32_Y29_N0
\WideAnd46~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd46~0_combout\ = (\led_flash_cnt[46][3]~q\ & (\led_flash_cnt[46][4]~q\ & (\led_flash_cnt[46][2]~q\ & \led_flash_cnt[46][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[46][3]~q\,
	datab => \led_flash_cnt[46][4]~q\,
	datac => \led_flash_cnt[46][2]~q\,
	datad => \led_flash_cnt[46][1]~q\,
	combout => \WideAnd46~0_combout\);

-- Location: LCCOMB_X31_Y29_N28
\WideAnd46~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd46~1_combout\ = (\led_flash_cnt[46][6]~q\ & \led_flash_cnt[46][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[46][6]~q\,
	datac => \led_flash_cnt[46][5]~q\,
	combout => \WideAnd46~1_combout\);

-- Location: LCCOMB_X31_Y29_N26
WideAnd46 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd46~combout\ = (\led_flash_cnt[46][0]~q\ & (\led_flash_cnt[46][7]~q\ & (\WideAnd46~0_combout\ & \WideAnd46~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[46][0]~q\,
	datab => \led_flash_cnt[46][7]~q\,
	datac => \WideAnd46~0_combout\,
	datad => \WideAnd46~1_combout\,
	combout => \WideAnd46~combout\);

-- Location: FF_X31_Y29_N27
\led_flash_cnt_ands[46]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd46~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(46));

-- Location: LCCOMB_X52_Y15_N20
\led_flash_cnt[47][0]~80687\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[47][0]~80687_combout\ = !\led_flash_cnt[47][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[47][0]~q\,
	combout => \led_flash_cnt[47][0]~80687_combout\);

-- Location: FF_X52_Y15_N21
\led_flash_cnt[47][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[47][0]~80687_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[47][0]~q\);

-- Location: LCCOMB_X54_Y15_N0
\led_flash_cnt[47][1]~27538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[47][1]~27538_combout\ = (\led_flash_cnt[47][0]~q\ & (\led_flash_cnt[47][1]~q\ $ (VCC))) # (!\led_flash_cnt[47][0]~q\ & (\led_flash_cnt[47][1]~q\ & VCC))
-- \led_flash_cnt[47][1]~27539\ = CARRY((\led_flash_cnt[47][0]~q\ & \led_flash_cnt[47][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[47][0]~q\,
	datab => \led_flash_cnt[47][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[47][1]~27538_combout\,
	cout => \led_flash_cnt[47][1]~27539\);

-- Location: FF_X54_Y15_N1
\led_flash_cnt[47][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[47][1]~27538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[47][1]~q\);

-- Location: LCCOMB_X54_Y15_N2
\led_flash_cnt[47][2]~27540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[47][2]~27540_combout\ = (\led_flash_cnt[47][2]~q\ & (!\led_flash_cnt[47][1]~27539\)) # (!\led_flash_cnt[47][2]~q\ & ((\led_flash_cnt[47][1]~27539\) # (GND)))
-- \led_flash_cnt[47][2]~27541\ = CARRY((!\led_flash_cnt[47][1]~27539\) # (!\led_flash_cnt[47][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[47][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[47][1]~27539\,
	combout => \led_flash_cnt[47][2]~27540_combout\,
	cout => \led_flash_cnt[47][2]~27541\);

-- Location: FF_X54_Y15_N3
\led_flash_cnt[47][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[47][2]~27540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[47][2]~q\);

-- Location: LCCOMB_X54_Y15_N4
\led_flash_cnt[47][3]~27542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[47][3]~27542_combout\ = (\led_flash_cnt[47][3]~q\ & (\led_flash_cnt[47][2]~27541\ $ (GND))) # (!\led_flash_cnt[47][3]~q\ & (!\led_flash_cnt[47][2]~27541\ & VCC))
-- \led_flash_cnt[47][3]~27543\ = CARRY((\led_flash_cnt[47][3]~q\ & !\led_flash_cnt[47][2]~27541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[47][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[47][2]~27541\,
	combout => \led_flash_cnt[47][3]~27542_combout\,
	cout => \led_flash_cnt[47][3]~27543\);

-- Location: FF_X54_Y15_N5
\led_flash_cnt[47][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[47][3]~27542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[47][3]~q\);

-- Location: LCCOMB_X54_Y15_N6
\led_flash_cnt[47][4]~27544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[47][4]~27544_combout\ = (\led_flash_cnt[47][4]~q\ & (!\led_flash_cnt[47][3]~27543\)) # (!\led_flash_cnt[47][4]~q\ & ((\led_flash_cnt[47][3]~27543\) # (GND)))
-- \led_flash_cnt[47][4]~27545\ = CARRY((!\led_flash_cnt[47][3]~27543\) # (!\led_flash_cnt[47][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[47][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[47][3]~27543\,
	combout => \led_flash_cnt[47][4]~27544_combout\,
	cout => \led_flash_cnt[47][4]~27545\);

-- Location: FF_X54_Y15_N7
\led_flash_cnt[47][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[47][4]~27544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[47][4]~q\);

-- Location: LCCOMB_X54_Y15_N28
\WideAnd47~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd47~0_combout\ = (\led_flash_cnt[47][4]~q\ & (\led_flash_cnt[47][1]~q\ & (\led_flash_cnt[47][3]~q\ & \led_flash_cnt[47][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[47][4]~q\,
	datab => \led_flash_cnt[47][1]~q\,
	datac => \led_flash_cnt[47][3]~q\,
	datad => \led_flash_cnt[47][2]~q\,
	combout => \WideAnd47~0_combout\);

-- Location: LCCOMB_X54_Y15_N8
\led_flash_cnt[47][5]~27546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[47][5]~27546_combout\ = (\led_flash_cnt[47][5]~q\ & (\led_flash_cnt[47][4]~27545\ $ (GND))) # (!\led_flash_cnt[47][5]~q\ & (!\led_flash_cnt[47][4]~27545\ & VCC))
-- \led_flash_cnt[47][5]~27547\ = CARRY((\led_flash_cnt[47][5]~q\ & !\led_flash_cnt[47][4]~27545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[47][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[47][4]~27545\,
	combout => \led_flash_cnt[47][5]~27546_combout\,
	cout => \led_flash_cnt[47][5]~27547\);

-- Location: FF_X54_Y15_N9
\led_flash_cnt[47][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[47][5]~27546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[47][5]~q\);

-- Location: LCCOMB_X54_Y15_N10
\led_flash_cnt[47][6]~27548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[47][6]~27548_combout\ = (\led_flash_cnt[47][6]~q\ & (!\led_flash_cnt[47][5]~27547\)) # (!\led_flash_cnt[47][6]~q\ & ((\led_flash_cnt[47][5]~27547\) # (GND)))
-- \led_flash_cnt[47][6]~27549\ = CARRY((!\led_flash_cnt[47][5]~27547\) # (!\led_flash_cnt[47][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[47][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[47][5]~27547\,
	combout => \led_flash_cnt[47][6]~27548_combout\,
	cout => \led_flash_cnt[47][6]~27549\);

-- Location: FF_X54_Y15_N11
\led_flash_cnt[47][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[47][6]~27548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[47][6]~q\);

-- Location: LCCOMB_X51_Y15_N6
\WideAnd47~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd47~1_combout\ = (\led_flash_cnt[47][5]~q\ & \led_flash_cnt[47][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[47][5]~q\,
	datad => \led_flash_cnt[47][6]~q\,
	combout => \WideAnd47~1_combout\);

-- Location: LCCOMB_X54_Y15_N12
\led_flash_cnt[47][7]~27550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[47][7]~27550_combout\ = \led_flash_cnt[47][6]~27549\ $ (!\led_flash_cnt[47][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[47][7]~q\,
	cin => \led_flash_cnt[47][6]~27549\,
	combout => \led_flash_cnt[47][7]~27550_combout\);

-- Location: FF_X54_Y15_N13
\led_flash_cnt[47][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[47][7]~27550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[47][7]~q\);

-- Location: LCCOMB_X52_Y15_N14
WideAnd47 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd47~combout\ = (\WideAnd47~0_combout\ & (\led_flash_cnt[47][0]~q\ & (\WideAnd47~1_combout\ & \led_flash_cnt[47][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd47~0_combout\,
	datab => \led_flash_cnt[47][0]~q\,
	datac => \WideAnd47~1_combout\,
	datad => \led_flash_cnt[47][7]~q\,
	combout => \WideAnd47~combout\);

-- Location: FF_X51_Y15_N7
\led_flash_cnt_ands[47]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd47~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(47));

-- Location: LCCOMB_X27_Y27_N2
WideAnd3845 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3845~combout\ = (\WideAnd3845~1_combout\ & (\WideAnd3845~0_combout\ & (led_flash_cnt_ands(46) & led_flash_cnt_ands(47))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3845~1_combout\,
	datab => \WideAnd3845~0_combout\,
	datac => led_flash_cnt_ands(46),
	datad => led_flash_cnt_ands(47),
	combout => \WideAnd3845~combout\);

-- Location: FF_X27_Y27_N3
\led_flash_cnt_ands_1[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3845~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(5));

-- Location: LCCOMB_X27_Y30_N0
\WideAnd4320~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4320~1_combout\ = (led_flash_cnt_ands_1(4) & led_flash_cnt_ands_1(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(4),
	datad => led_flash_cnt_ands_1(5),
	combout => \WideAnd4320~1_combout\);

-- Location: LCCOMB_X9_Y30_N24
\led_flash_cnt[55][0]~80695\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[55][0]~80695_combout\ = !\led_flash_cnt[55][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[55][0]~q\,
	combout => \led_flash_cnt[55][0]~80695_combout\);

-- Location: FF_X9_Y30_N25
\led_flash_cnt[55][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[55][0]~80695_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[55][0]~q\);

-- Location: LCCOMB_X8_Y30_N0
\led_flash_cnt[55][1]~27650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[55][1]~27650_combout\ = (\led_flash_cnt[55][0]~q\ & (\led_flash_cnt[55][1]~q\ $ (VCC))) # (!\led_flash_cnt[55][0]~q\ & (\led_flash_cnt[55][1]~q\ & VCC))
-- \led_flash_cnt[55][1]~27651\ = CARRY((\led_flash_cnt[55][0]~q\ & \led_flash_cnt[55][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[55][0]~q\,
	datab => \led_flash_cnt[55][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[55][1]~27650_combout\,
	cout => \led_flash_cnt[55][1]~27651\);

-- Location: FF_X8_Y30_N1
\led_flash_cnt[55][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[55][1]~27650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[55][1]~q\);

-- Location: LCCOMB_X8_Y30_N2
\led_flash_cnt[55][2]~27652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[55][2]~27652_combout\ = (\led_flash_cnt[55][2]~q\ & (!\led_flash_cnt[55][1]~27651\)) # (!\led_flash_cnt[55][2]~q\ & ((\led_flash_cnt[55][1]~27651\) # (GND)))
-- \led_flash_cnt[55][2]~27653\ = CARRY((!\led_flash_cnt[55][1]~27651\) # (!\led_flash_cnt[55][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[55][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[55][1]~27651\,
	combout => \led_flash_cnt[55][2]~27652_combout\,
	cout => \led_flash_cnt[55][2]~27653\);

-- Location: FF_X8_Y30_N3
\led_flash_cnt[55][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[55][2]~27652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[55][2]~q\);

-- Location: LCCOMB_X8_Y30_N4
\led_flash_cnt[55][3]~27654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[55][3]~27654_combout\ = (\led_flash_cnt[55][3]~q\ & (\led_flash_cnt[55][2]~27653\ $ (GND))) # (!\led_flash_cnt[55][3]~q\ & (!\led_flash_cnt[55][2]~27653\ & VCC))
-- \led_flash_cnt[55][3]~27655\ = CARRY((\led_flash_cnt[55][3]~q\ & !\led_flash_cnt[55][2]~27653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[55][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[55][2]~27653\,
	combout => \led_flash_cnt[55][3]~27654_combout\,
	cout => \led_flash_cnt[55][3]~27655\);

-- Location: FF_X8_Y30_N5
\led_flash_cnt[55][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[55][3]~27654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[55][3]~q\);

-- Location: LCCOMB_X8_Y30_N6
\led_flash_cnt[55][4]~27656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[55][4]~27656_combout\ = (\led_flash_cnt[55][4]~q\ & (!\led_flash_cnt[55][3]~27655\)) # (!\led_flash_cnt[55][4]~q\ & ((\led_flash_cnt[55][3]~27655\) # (GND)))
-- \led_flash_cnt[55][4]~27657\ = CARRY((!\led_flash_cnt[55][3]~27655\) # (!\led_flash_cnt[55][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[55][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[55][3]~27655\,
	combout => \led_flash_cnt[55][4]~27656_combout\,
	cout => \led_flash_cnt[55][4]~27657\);

-- Location: FF_X8_Y30_N7
\led_flash_cnt[55][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[55][4]~27656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[55][4]~q\);

-- Location: LCCOMB_X8_Y30_N8
\led_flash_cnt[55][5]~27658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[55][5]~27658_combout\ = (\led_flash_cnt[55][5]~q\ & (\led_flash_cnt[55][4]~27657\ $ (GND))) # (!\led_flash_cnt[55][5]~q\ & (!\led_flash_cnt[55][4]~27657\ & VCC))
-- \led_flash_cnt[55][5]~27659\ = CARRY((\led_flash_cnt[55][5]~q\ & !\led_flash_cnt[55][4]~27657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[55][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[55][4]~27657\,
	combout => \led_flash_cnt[55][5]~27658_combout\,
	cout => \led_flash_cnt[55][5]~27659\);

-- Location: FF_X8_Y30_N9
\led_flash_cnt[55][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[55][5]~27658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[55][5]~q\);

-- Location: LCCOMB_X8_Y30_N10
\led_flash_cnt[55][6]~27660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[55][6]~27660_combout\ = (\led_flash_cnt[55][6]~q\ & (!\led_flash_cnt[55][5]~27659\)) # (!\led_flash_cnt[55][6]~q\ & ((\led_flash_cnt[55][5]~27659\) # (GND)))
-- \led_flash_cnt[55][6]~27661\ = CARRY((!\led_flash_cnt[55][5]~27659\) # (!\led_flash_cnt[55][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[55][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[55][5]~27659\,
	combout => \led_flash_cnt[55][6]~27660_combout\,
	cout => \led_flash_cnt[55][6]~27661\);

-- Location: FF_X8_Y30_N11
\led_flash_cnt[55][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[55][6]~27660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[55][6]~q\);

-- Location: LCCOMB_X8_Y30_N12
\led_flash_cnt[55][7]~27662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[55][7]~27662_combout\ = \led_flash_cnt[55][6]~27661\ $ (!\led_flash_cnt[55][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[55][7]~q\,
	cin => \led_flash_cnt[55][6]~27661\,
	combout => \led_flash_cnt[55][7]~27662_combout\);

-- Location: FF_X8_Y30_N13
\led_flash_cnt[55][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[55][7]~27662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[55][7]~q\);

-- Location: LCCOMB_X8_Y30_N28
\WideAnd55~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd55~0_combout\ = (\led_flash_cnt[55][4]~q\ & (\led_flash_cnt[55][1]~q\ & (\led_flash_cnt[55][3]~q\ & \led_flash_cnt[55][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[55][4]~q\,
	datab => \led_flash_cnt[55][1]~q\,
	datac => \led_flash_cnt[55][3]~q\,
	datad => \led_flash_cnt[55][2]~q\,
	combout => \WideAnd55~0_combout\);

-- Location: LCCOMB_X9_Y30_N26
\WideAnd55~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd55~1_combout\ = (\led_flash_cnt[55][5]~q\ & \led_flash_cnt[55][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[55][5]~q\,
	datad => \led_flash_cnt[55][6]~q\,
	combout => \WideAnd55~1_combout\);

-- Location: LCCOMB_X9_Y30_N30
WideAnd55 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd55~combout\ = (\led_flash_cnt[55][7]~q\ & (\WideAnd55~0_combout\ & (\WideAnd55~1_combout\ & \led_flash_cnt[55][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[55][7]~q\,
	datab => \WideAnd55~0_combout\,
	datac => \WideAnd55~1_combout\,
	datad => \led_flash_cnt[55][0]~q\,
	combout => \WideAnd55~combout\);

-- Location: FF_X9_Y30_N31
\led_flash_cnt_ands[55]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd55~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(55));

-- Location: LCCOMB_X9_Y37_N12
\led_flash_cnt[52][0]~80692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[52][0]~80692_combout\ = !\led_flash_cnt[52][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[52][0]~q\,
	combout => \led_flash_cnt[52][0]~80692_combout\);

-- Location: FF_X9_Y37_N13
\led_flash_cnt[52][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[52][0]~80692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[52][0]~q\);

-- Location: LCCOMB_X9_Y37_N18
\led_flash_cnt[52][1]~27608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[52][1]~27608_combout\ = (\led_flash_cnt[52][0]~q\ & (\led_flash_cnt[52][1]~q\ $ (VCC))) # (!\led_flash_cnt[52][0]~q\ & (\led_flash_cnt[52][1]~q\ & VCC))
-- \led_flash_cnt[52][1]~27609\ = CARRY((\led_flash_cnt[52][0]~q\ & \led_flash_cnt[52][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[52][0]~q\,
	datab => \led_flash_cnt[52][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[52][1]~27608_combout\,
	cout => \led_flash_cnt[52][1]~27609\);

-- Location: FF_X9_Y37_N19
\led_flash_cnt[52][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[52][1]~27608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[52][1]~q\);

-- Location: LCCOMB_X9_Y37_N20
\led_flash_cnt[52][2]~27610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[52][2]~27610_combout\ = (\led_flash_cnt[52][2]~q\ & (!\led_flash_cnt[52][1]~27609\)) # (!\led_flash_cnt[52][2]~q\ & ((\led_flash_cnt[52][1]~27609\) # (GND)))
-- \led_flash_cnt[52][2]~27611\ = CARRY((!\led_flash_cnt[52][1]~27609\) # (!\led_flash_cnt[52][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[52][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[52][1]~27609\,
	combout => \led_flash_cnt[52][2]~27610_combout\,
	cout => \led_flash_cnt[52][2]~27611\);

-- Location: FF_X9_Y37_N21
\led_flash_cnt[52][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[52][2]~27610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[52][2]~q\);

-- Location: LCCOMB_X9_Y37_N22
\led_flash_cnt[52][3]~27612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[52][3]~27612_combout\ = (\led_flash_cnt[52][3]~q\ & (\led_flash_cnt[52][2]~27611\ $ (GND))) # (!\led_flash_cnt[52][3]~q\ & (!\led_flash_cnt[52][2]~27611\ & VCC))
-- \led_flash_cnt[52][3]~27613\ = CARRY((\led_flash_cnt[52][3]~q\ & !\led_flash_cnt[52][2]~27611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[52][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[52][2]~27611\,
	combout => \led_flash_cnt[52][3]~27612_combout\,
	cout => \led_flash_cnt[52][3]~27613\);

-- Location: FF_X9_Y37_N23
\led_flash_cnt[52][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[52][3]~27612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[52][3]~q\);

-- Location: LCCOMB_X9_Y37_N24
\led_flash_cnt[52][4]~27614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[52][4]~27614_combout\ = (\led_flash_cnt[52][4]~q\ & (!\led_flash_cnt[52][3]~27613\)) # (!\led_flash_cnt[52][4]~q\ & ((\led_flash_cnt[52][3]~27613\) # (GND)))
-- \led_flash_cnt[52][4]~27615\ = CARRY((!\led_flash_cnt[52][3]~27613\) # (!\led_flash_cnt[52][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[52][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[52][3]~27613\,
	combout => \led_flash_cnt[52][4]~27614_combout\,
	cout => \led_flash_cnt[52][4]~27615\);

-- Location: FF_X9_Y37_N25
\led_flash_cnt[52][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[52][4]~27614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[52][4]~q\);

-- Location: LCCOMB_X9_Y37_N26
\led_flash_cnt[52][5]~27616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[52][5]~27616_combout\ = (\led_flash_cnt[52][5]~q\ & (\led_flash_cnt[52][4]~27615\ $ (GND))) # (!\led_flash_cnt[52][5]~q\ & (!\led_flash_cnt[52][4]~27615\ & VCC))
-- \led_flash_cnt[52][5]~27617\ = CARRY((\led_flash_cnt[52][5]~q\ & !\led_flash_cnt[52][4]~27615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[52][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[52][4]~27615\,
	combout => \led_flash_cnt[52][5]~27616_combout\,
	cout => \led_flash_cnt[52][5]~27617\);

-- Location: FF_X9_Y37_N27
\led_flash_cnt[52][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[52][5]~27616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[52][5]~q\);

-- Location: LCCOMB_X9_Y37_N28
\led_flash_cnt[52][6]~27618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[52][6]~27618_combout\ = (\led_flash_cnt[52][6]~q\ & (!\led_flash_cnt[52][5]~27617\)) # (!\led_flash_cnt[52][6]~q\ & ((\led_flash_cnt[52][5]~27617\) # (GND)))
-- \led_flash_cnt[52][6]~27619\ = CARRY((!\led_flash_cnt[52][5]~27617\) # (!\led_flash_cnt[52][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[52][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[52][5]~27617\,
	combout => \led_flash_cnt[52][6]~27618_combout\,
	cout => \led_flash_cnt[52][6]~27619\);

-- Location: FF_X9_Y37_N29
\led_flash_cnt[52][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[52][6]~27618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[52][6]~q\);

-- Location: LCCOMB_X9_Y37_N6
\WideAnd52~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd52~1_combout\ = (\led_flash_cnt[52][5]~q\ & \led_flash_cnt[52][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[52][5]~q\,
	datad => \led_flash_cnt[52][6]~q\,
	combout => \WideAnd52~1_combout\);

-- Location: LCCOMB_X9_Y37_N8
\WideAnd52~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd52~0_combout\ = (\led_flash_cnt[52][4]~q\ & (\led_flash_cnt[52][1]~q\ & (\led_flash_cnt[52][3]~q\ & \led_flash_cnt[52][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[52][4]~q\,
	datab => \led_flash_cnt[52][1]~q\,
	datac => \led_flash_cnt[52][3]~q\,
	datad => \led_flash_cnt[52][2]~q\,
	combout => \WideAnd52~0_combout\);

-- Location: LCCOMB_X9_Y37_N30
\led_flash_cnt[52][7]~27620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[52][7]~27620_combout\ = \led_flash_cnt[52][7]~q\ $ (!\led_flash_cnt[52][6]~27619\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[52][7]~q\,
	cin => \led_flash_cnt[52][6]~27619\,
	combout => \led_flash_cnt[52][7]~27620_combout\);

-- Location: FF_X9_Y37_N31
\led_flash_cnt[52][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[52][7]~27620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[52][7]~q\);

-- Location: LCCOMB_X9_Y37_N4
WideAnd52 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd52~combout\ = (\WideAnd52~1_combout\ & (\WideAnd52~0_combout\ & (\led_flash_cnt[52][7]~q\ & \led_flash_cnt[52][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd52~1_combout\,
	datab => \WideAnd52~0_combout\,
	datac => \led_flash_cnt[52][7]~q\,
	datad => \led_flash_cnt[52][0]~q\,
	combout => \WideAnd52~combout\);

-- Location: FF_X9_Y37_N5
\led_flash_cnt_ands[52]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd52~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(52));

-- Location: LCCOMB_X9_Y37_N2
\led_flash_cnt[53][0]~80693\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[53][0]~80693_combout\ = !\led_flash_cnt[53][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[53][0]~q\,
	combout => \led_flash_cnt[53][0]~80693_combout\);

-- Location: FF_X9_Y37_N3
\led_flash_cnt[53][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[53][0]~80693_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[53][0]~q\);

-- Location: LCCOMB_X8_Y37_N14
\led_flash_cnt[53][1]~27622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[53][1]~27622_combout\ = (\led_flash_cnt[53][0]~q\ & (\led_flash_cnt[53][1]~q\ $ (VCC))) # (!\led_flash_cnt[53][0]~q\ & (\led_flash_cnt[53][1]~q\ & VCC))
-- \led_flash_cnt[53][1]~27623\ = CARRY((\led_flash_cnt[53][0]~q\ & \led_flash_cnt[53][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[53][0]~q\,
	datab => \led_flash_cnt[53][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[53][1]~27622_combout\,
	cout => \led_flash_cnt[53][1]~27623\);

-- Location: FF_X8_Y37_N15
\led_flash_cnt[53][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[53][1]~27622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[53][1]~q\);

-- Location: LCCOMB_X8_Y37_N16
\led_flash_cnt[53][2]~27624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[53][2]~27624_combout\ = (\led_flash_cnt[53][2]~q\ & (!\led_flash_cnt[53][1]~27623\)) # (!\led_flash_cnt[53][2]~q\ & ((\led_flash_cnt[53][1]~27623\) # (GND)))
-- \led_flash_cnt[53][2]~27625\ = CARRY((!\led_flash_cnt[53][1]~27623\) # (!\led_flash_cnt[53][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[53][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[53][1]~27623\,
	combout => \led_flash_cnt[53][2]~27624_combout\,
	cout => \led_flash_cnt[53][2]~27625\);

-- Location: FF_X8_Y37_N17
\led_flash_cnt[53][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[53][2]~27624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[53][2]~q\);

-- Location: LCCOMB_X8_Y37_N18
\led_flash_cnt[53][3]~27626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[53][3]~27626_combout\ = (\led_flash_cnt[53][3]~q\ & (\led_flash_cnt[53][2]~27625\ $ (GND))) # (!\led_flash_cnt[53][3]~q\ & (!\led_flash_cnt[53][2]~27625\ & VCC))
-- \led_flash_cnt[53][3]~27627\ = CARRY((\led_flash_cnt[53][3]~q\ & !\led_flash_cnt[53][2]~27625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[53][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[53][2]~27625\,
	combout => \led_flash_cnt[53][3]~27626_combout\,
	cout => \led_flash_cnt[53][3]~27627\);

-- Location: FF_X8_Y37_N19
\led_flash_cnt[53][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[53][3]~27626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[53][3]~q\);

-- Location: LCCOMB_X8_Y37_N20
\led_flash_cnt[53][4]~27628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[53][4]~27628_combout\ = (\led_flash_cnt[53][4]~q\ & (!\led_flash_cnt[53][3]~27627\)) # (!\led_flash_cnt[53][4]~q\ & ((\led_flash_cnt[53][3]~27627\) # (GND)))
-- \led_flash_cnt[53][4]~27629\ = CARRY((!\led_flash_cnt[53][3]~27627\) # (!\led_flash_cnt[53][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[53][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[53][3]~27627\,
	combout => \led_flash_cnt[53][4]~27628_combout\,
	cout => \led_flash_cnt[53][4]~27629\);

-- Location: FF_X8_Y37_N21
\led_flash_cnt[53][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[53][4]~27628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[53][4]~q\);

-- Location: LCCOMB_X8_Y37_N22
\led_flash_cnt[53][5]~27630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[53][5]~27630_combout\ = (\led_flash_cnt[53][5]~q\ & (\led_flash_cnt[53][4]~27629\ $ (GND))) # (!\led_flash_cnt[53][5]~q\ & (!\led_flash_cnt[53][4]~27629\ & VCC))
-- \led_flash_cnt[53][5]~27631\ = CARRY((\led_flash_cnt[53][5]~q\ & !\led_flash_cnt[53][4]~27629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[53][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[53][4]~27629\,
	combout => \led_flash_cnt[53][5]~27630_combout\,
	cout => \led_flash_cnt[53][5]~27631\);

-- Location: FF_X8_Y37_N23
\led_flash_cnt[53][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[53][5]~27630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[53][5]~q\);

-- Location: LCCOMB_X8_Y37_N24
\led_flash_cnt[53][6]~27632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[53][6]~27632_combout\ = (\led_flash_cnt[53][6]~q\ & (!\led_flash_cnt[53][5]~27631\)) # (!\led_flash_cnt[53][6]~q\ & ((\led_flash_cnt[53][5]~27631\) # (GND)))
-- \led_flash_cnt[53][6]~27633\ = CARRY((!\led_flash_cnt[53][5]~27631\) # (!\led_flash_cnt[53][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[53][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[53][5]~27631\,
	combout => \led_flash_cnt[53][6]~27632_combout\,
	cout => \led_flash_cnt[53][6]~27633\);

-- Location: FF_X8_Y37_N25
\led_flash_cnt[53][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[53][6]~27632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[53][6]~q\);

-- Location: LCCOMB_X8_Y37_N26
\led_flash_cnt[53][7]~27634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[53][7]~27634_combout\ = \led_flash_cnt[53][7]~q\ $ (!\led_flash_cnt[53][6]~27633\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[53][7]~q\,
	cin => \led_flash_cnt[53][6]~27633\,
	combout => \led_flash_cnt[53][7]~27634_combout\);

-- Location: FF_X8_Y37_N27
\led_flash_cnt[53][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[53][7]~27634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[53][7]~q\);

-- Location: LCCOMB_X8_Y37_N28
\WideAnd53~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd53~0_combout\ = (\led_flash_cnt[53][4]~q\ & (\led_flash_cnt[53][3]~q\ & (\led_flash_cnt[53][1]~q\ & \led_flash_cnt[53][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[53][4]~q\,
	datab => \led_flash_cnt[53][3]~q\,
	datac => \led_flash_cnt[53][1]~q\,
	datad => \led_flash_cnt[53][2]~q\,
	combout => \WideAnd53~0_combout\);

-- Location: LCCOMB_X9_Y37_N14
\WideAnd53~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd53~1_combout\ = (\led_flash_cnt[53][6]~q\ & \led_flash_cnt[53][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[53][6]~q\,
	datad => \led_flash_cnt[53][5]~q\,
	combout => \WideAnd53~1_combout\);

-- Location: LCCOMB_X9_Y37_N16
WideAnd53 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd53~combout\ = (\led_flash_cnt[53][7]~q\ & (\WideAnd53~0_combout\ & (\WideAnd53~1_combout\ & \led_flash_cnt[53][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[53][7]~q\,
	datab => \WideAnd53~0_combout\,
	datac => \WideAnd53~1_combout\,
	datad => \led_flash_cnt[53][0]~q\,
	combout => \WideAnd53~combout\);

-- Location: FF_X9_Y37_N17
\led_flash_cnt_ands[53]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd53~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(53));

-- Location: LCCOMB_X9_Y37_N10
\WideAnd3846~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3846~1_combout\ = (led_flash_cnt_ands(52) & led_flash_cnt_ands(53))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(52),
	datad => led_flash_cnt_ands(53),
	combout => \WideAnd3846~1_combout\);

-- Location: LCCOMB_X8_Y33_N2
\led_flash_cnt[54][0]~80694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[54][0]~80694_combout\ = !\led_flash_cnt[54][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[54][0]~q\,
	combout => \led_flash_cnt[54][0]~80694_combout\);

-- Location: FF_X8_Y33_N3
\led_flash_cnt[54][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[54][0]~80694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[54][0]~q\);

-- Location: LCCOMB_X7_Y33_N4
\led_flash_cnt[54][1]~27636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[54][1]~27636_combout\ = (\led_flash_cnt[54][0]~q\ & (\led_flash_cnt[54][1]~q\ $ (VCC))) # (!\led_flash_cnt[54][0]~q\ & (\led_flash_cnt[54][1]~q\ & VCC))
-- \led_flash_cnt[54][1]~27637\ = CARRY((\led_flash_cnt[54][0]~q\ & \led_flash_cnt[54][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[54][0]~q\,
	datab => \led_flash_cnt[54][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[54][1]~27636_combout\,
	cout => \led_flash_cnt[54][1]~27637\);

-- Location: FF_X7_Y33_N5
\led_flash_cnt[54][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[54][1]~27636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[54][1]~q\);

-- Location: LCCOMB_X7_Y33_N6
\led_flash_cnt[54][2]~27638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[54][2]~27638_combout\ = (\led_flash_cnt[54][2]~q\ & (!\led_flash_cnt[54][1]~27637\)) # (!\led_flash_cnt[54][2]~q\ & ((\led_flash_cnt[54][1]~27637\) # (GND)))
-- \led_flash_cnt[54][2]~27639\ = CARRY((!\led_flash_cnt[54][1]~27637\) # (!\led_flash_cnt[54][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[54][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[54][1]~27637\,
	combout => \led_flash_cnt[54][2]~27638_combout\,
	cout => \led_flash_cnt[54][2]~27639\);

-- Location: FF_X7_Y33_N7
\led_flash_cnt[54][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[54][2]~27638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[54][2]~q\);

-- Location: LCCOMB_X7_Y33_N8
\led_flash_cnt[54][3]~27640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[54][3]~27640_combout\ = (\led_flash_cnt[54][3]~q\ & (\led_flash_cnt[54][2]~27639\ $ (GND))) # (!\led_flash_cnt[54][3]~q\ & (!\led_flash_cnt[54][2]~27639\ & VCC))
-- \led_flash_cnt[54][3]~27641\ = CARRY((\led_flash_cnt[54][3]~q\ & !\led_flash_cnt[54][2]~27639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[54][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[54][2]~27639\,
	combout => \led_flash_cnt[54][3]~27640_combout\,
	cout => \led_flash_cnt[54][3]~27641\);

-- Location: FF_X7_Y33_N9
\led_flash_cnt[54][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[54][3]~27640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[54][3]~q\);

-- Location: LCCOMB_X7_Y33_N10
\led_flash_cnt[54][4]~27642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[54][4]~27642_combout\ = (\led_flash_cnt[54][4]~q\ & (!\led_flash_cnt[54][3]~27641\)) # (!\led_flash_cnt[54][4]~q\ & ((\led_flash_cnt[54][3]~27641\) # (GND)))
-- \led_flash_cnt[54][4]~27643\ = CARRY((!\led_flash_cnt[54][3]~27641\) # (!\led_flash_cnt[54][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[54][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[54][3]~27641\,
	combout => \led_flash_cnt[54][4]~27642_combout\,
	cout => \led_flash_cnt[54][4]~27643\);

-- Location: FF_X7_Y33_N11
\led_flash_cnt[54][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[54][4]~27642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[54][4]~q\);

-- Location: LCCOMB_X7_Y33_N2
\WideAnd54~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd54~0_combout\ = (\led_flash_cnt[54][4]~q\ & (\led_flash_cnt[54][1]~q\ & (\led_flash_cnt[54][3]~q\ & \led_flash_cnt[54][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[54][4]~q\,
	datab => \led_flash_cnt[54][1]~q\,
	datac => \led_flash_cnt[54][3]~q\,
	datad => \led_flash_cnt[54][2]~q\,
	combout => \WideAnd54~0_combout\);

-- Location: LCCOMB_X7_Y33_N12
\led_flash_cnt[54][5]~27644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[54][5]~27644_combout\ = (\led_flash_cnt[54][5]~q\ & (\led_flash_cnt[54][4]~27643\ $ (GND))) # (!\led_flash_cnt[54][5]~q\ & (!\led_flash_cnt[54][4]~27643\ & VCC))
-- \led_flash_cnt[54][5]~27645\ = CARRY((\led_flash_cnt[54][5]~q\ & !\led_flash_cnt[54][4]~27643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[54][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[54][4]~27643\,
	combout => \led_flash_cnt[54][5]~27644_combout\,
	cout => \led_flash_cnt[54][5]~27645\);

-- Location: FF_X7_Y33_N13
\led_flash_cnt[54][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[54][5]~27644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[54][5]~q\);

-- Location: LCCOMB_X7_Y33_N14
\led_flash_cnt[54][6]~27646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[54][6]~27646_combout\ = (\led_flash_cnt[54][6]~q\ & (!\led_flash_cnt[54][5]~27645\)) # (!\led_flash_cnt[54][6]~q\ & ((\led_flash_cnt[54][5]~27645\) # (GND)))
-- \led_flash_cnt[54][6]~27647\ = CARRY((!\led_flash_cnt[54][5]~27645\) # (!\led_flash_cnt[54][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[54][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[54][5]~27645\,
	combout => \led_flash_cnt[54][6]~27646_combout\,
	cout => \led_flash_cnt[54][6]~27647\);

-- Location: FF_X7_Y33_N15
\led_flash_cnt[54][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[54][6]~27646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[54][6]~q\);

-- Location: LCCOMB_X8_Y33_N0
\WideAnd54~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd54~1_combout\ = (\led_flash_cnt[54][5]~q\ & \led_flash_cnt[54][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[54][5]~q\,
	datad => \led_flash_cnt[54][6]~q\,
	combout => \WideAnd54~1_combout\);

-- Location: LCCOMB_X7_Y33_N16
\led_flash_cnt[54][7]~27648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[54][7]~27648_combout\ = \led_flash_cnt[54][6]~27647\ $ (!\led_flash_cnt[54][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[54][7]~q\,
	cin => \led_flash_cnt[54][6]~27647\,
	combout => \led_flash_cnt[54][7]~27648_combout\);

-- Location: FF_X7_Y33_N17
\led_flash_cnt[54][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[54][7]~27648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[54][7]~q\);

-- Location: LCCOMB_X8_Y33_N6
WideAnd54 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd54~combout\ = (\WideAnd54~0_combout\ & (\WideAnd54~1_combout\ & (\led_flash_cnt[54][7]~q\ & \led_flash_cnt[54][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd54~0_combout\,
	datab => \WideAnd54~1_combout\,
	datac => \led_flash_cnt[54][7]~q\,
	datad => \led_flash_cnt[54][0]~q\,
	combout => \WideAnd54~combout\);

-- Location: FF_X8_Y33_N7
\led_flash_cnt_ands[54]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd54~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(54));

-- Location: LCCOMB_X1_Y24_N6
\led_flash_cnt[48][0]~80688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[48][0]~80688_combout\ = !\led_flash_cnt[48][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[48][0]~q\,
	combout => \led_flash_cnt[48][0]~80688_combout\);

-- Location: FF_X1_Y24_N7
\led_flash_cnt[48][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[48][0]~80688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[48][0]~q\);

-- Location: LCCOMB_X2_Y24_N14
\led_flash_cnt[48][1]~27552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[48][1]~27552_combout\ = (\led_flash_cnt[48][0]~q\ & (\led_flash_cnt[48][1]~q\ $ (VCC))) # (!\led_flash_cnt[48][0]~q\ & (\led_flash_cnt[48][1]~q\ & VCC))
-- \led_flash_cnt[48][1]~27553\ = CARRY((\led_flash_cnt[48][0]~q\ & \led_flash_cnt[48][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[48][0]~q\,
	datab => \led_flash_cnt[48][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[48][1]~27552_combout\,
	cout => \led_flash_cnt[48][1]~27553\);

-- Location: FF_X2_Y24_N15
\led_flash_cnt[48][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[48][1]~27552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[48][1]~q\);

-- Location: LCCOMB_X2_Y24_N16
\led_flash_cnt[48][2]~27554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[48][2]~27554_combout\ = (\led_flash_cnt[48][2]~q\ & (!\led_flash_cnt[48][1]~27553\)) # (!\led_flash_cnt[48][2]~q\ & ((\led_flash_cnt[48][1]~27553\) # (GND)))
-- \led_flash_cnt[48][2]~27555\ = CARRY((!\led_flash_cnt[48][1]~27553\) # (!\led_flash_cnt[48][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[48][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[48][1]~27553\,
	combout => \led_flash_cnt[48][2]~27554_combout\,
	cout => \led_flash_cnt[48][2]~27555\);

-- Location: FF_X2_Y24_N17
\led_flash_cnt[48][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[48][2]~27554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[48][2]~q\);

-- Location: LCCOMB_X2_Y24_N18
\led_flash_cnt[48][3]~27556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[48][3]~27556_combout\ = (\led_flash_cnt[48][3]~q\ & (\led_flash_cnt[48][2]~27555\ $ (GND))) # (!\led_flash_cnt[48][3]~q\ & (!\led_flash_cnt[48][2]~27555\ & VCC))
-- \led_flash_cnt[48][3]~27557\ = CARRY((\led_flash_cnt[48][3]~q\ & !\led_flash_cnt[48][2]~27555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[48][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[48][2]~27555\,
	combout => \led_flash_cnt[48][3]~27556_combout\,
	cout => \led_flash_cnt[48][3]~27557\);

-- Location: FF_X2_Y24_N19
\led_flash_cnt[48][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[48][3]~27556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[48][3]~q\);

-- Location: LCCOMB_X2_Y24_N20
\led_flash_cnt[48][4]~27558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[48][4]~27558_combout\ = (\led_flash_cnt[48][4]~q\ & (!\led_flash_cnt[48][3]~27557\)) # (!\led_flash_cnt[48][4]~q\ & ((\led_flash_cnt[48][3]~27557\) # (GND)))
-- \led_flash_cnt[48][4]~27559\ = CARRY((!\led_flash_cnt[48][3]~27557\) # (!\led_flash_cnt[48][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[48][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[48][3]~27557\,
	combout => \led_flash_cnt[48][4]~27558_combout\,
	cout => \led_flash_cnt[48][4]~27559\);

-- Location: FF_X2_Y24_N21
\led_flash_cnt[48][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[48][4]~27558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[48][4]~q\);

-- Location: LCCOMB_X2_Y24_N22
\led_flash_cnt[48][5]~27560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[48][5]~27560_combout\ = (\led_flash_cnt[48][5]~q\ & (\led_flash_cnt[48][4]~27559\ $ (GND))) # (!\led_flash_cnt[48][5]~q\ & (!\led_flash_cnt[48][4]~27559\ & VCC))
-- \led_flash_cnt[48][5]~27561\ = CARRY((\led_flash_cnt[48][5]~q\ & !\led_flash_cnt[48][4]~27559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[48][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[48][4]~27559\,
	combout => \led_flash_cnt[48][5]~27560_combout\,
	cout => \led_flash_cnt[48][5]~27561\);

-- Location: FF_X2_Y24_N23
\led_flash_cnt[48][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[48][5]~27560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[48][5]~q\);

-- Location: LCCOMB_X2_Y24_N24
\led_flash_cnt[48][6]~27562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[48][6]~27562_combout\ = (\led_flash_cnt[48][6]~q\ & (!\led_flash_cnt[48][5]~27561\)) # (!\led_flash_cnt[48][6]~q\ & ((\led_flash_cnt[48][5]~27561\) # (GND)))
-- \led_flash_cnt[48][6]~27563\ = CARRY((!\led_flash_cnt[48][5]~27561\) # (!\led_flash_cnt[48][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[48][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[48][5]~27561\,
	combout => \led_flash_cnt[48][6]~27562_combout\,
	cout => \led_flash_cnt[48][6]~27563\);

-- Location: FF_X2_Y24_N25
\led_flash_cnt[48][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[48][6]~27562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[48][6]~q\);

-- Location: LCCOMB_X2_Y24_N26
\led_flash_cnt[48][7]~27564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[48][7]~27564_combout\ = \led_flash_cnt[48][7]~q\ $ (!\led_flash_cnt[48][6]~27563\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[48][7]~q\,
	cin => \led_flash_cnt[48][6]~27563\,
	combout => \led_flash_cnt[48][7]~27564_combout\);

-- Location: FF_X2_Y24_N27
\led_flash_cnt[48][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[48][7]~27564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[48][7]~q\);

-- Location: LCCOMB_X2_Y24_N30
\WideAnd48~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd48~0_combout\ = (\led_flash_cnt[48][4]~q\ & (\led_flash_cnt[48][3]~q\ & (\led_flash_cnt[48][1]~q\ & \led_flash_cnt[48][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[48][4]~q\,
	datab => \led_flash_cnt[48][3]~q\,
	datac => \led_flash_cnt[48][1]~q\,
	datad => \led_flash_cnt[48][2]~q\,
	combout => \WideAnd48~0_combout\);

-- Location: LCCOMB_X2_Y24_N28
\WideAnd48~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd48~1_combout\ = (\led_flash_cnt[48][5]~q\ & \led_flash_cnt[48][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[48][5]~q\,
	datad => \led_flash_cnt[48][6]~q\,
	combout => \WideAnd48~1_combout\);

-- Location: LCCOMB_X1_Y24_N30
WideAnd48 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd48~combout\ = (\led_flash_cnt[48][0]~q\ & (\led_flash_cnt[48][7]~q\ & (\WideAnd48~0_combout\ & \WideAnd48~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[48][0]~q\,
	datab => \led_flash_cnt[48][7]~q\,
	datac => \WideAnd48~0_combout\,
	datad => \WideAnd48~1_combout\,
	combout => \WideAnd48~combout\);

-- Location: FF_X1_Y24_N31
\led_flash_cnt_ands[48]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd48~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(48));

-- Location: LCCOMB_X1_Y23_N18
\led_flash_cnt[49][0]~80689\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[49][0]~80689_combout\ = !\led_flash_cnt[49][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[49][0]~q\,
	combout => \led_flash_cnt[49][0]~80689_combout\);

-- Location: FF_X1_Y23_N19
\led_flash_cnt[49][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[49][0]~80689_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[49][0]~q\);

-- Location: LCCOMB_X2_Y23_N18
\led_flash_cnt[49][1]~27566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[49][1]~27566_combout\ = (\led_flash_cnt[49][0]~q\ & (\led_flash_cnt[49][1]~q\ $ (VCC))) # (!\led_flash_cnt[49][0]~q\ & (\led_flash_cnt[49][1]~q\ & VCC))
-- \led_flash_cnt[49][1]~27567\ = CARRY((\led_flash_cnt[49][0]~q\ & \led_flash_cnt[49][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[49][0]~q\,
	datab => \led_flash_cnt[49][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[49][1]~27566_combout\,
	cout => \led_flash_cnt[49][1]~27567\);

-- Location: FF_X2_Y23_N19
\led_flash_cnt[49][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[49][1]~27566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[49][1]~q\);

-- Location: LCCOMB_X2_Y23_N20
\led_flash_cnt[49][2]~27568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[49][2]~27568_combout\ = (\led_flash_cnt[49][2]~q\ & (!\led_flash_cnt[49][1]~27567\)) # (!\led_flash_cnt[49][2]~q\ & ((\led_flash_cnt[49][1]~27567\) # (GND)))
-- \led_flash_cnt[49][2]~27569\ = CARRY((!\led_flash_cnt[49][1]~27567\) # (!\led_flash_cnt[49][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[49][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[49][1]~27567\,
	combout => \led_flash_cnt[49][2]~27568_combout\,
	cout => \led_flash_cnt[49][2]~27569\);

-- Location: FF_X2_Y23_N21
\led_flash_cnt[49][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[49][2]~27568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[49][2]~q\);

-- Location: LCCOMB_X2_Y23_N22
\led_flash_cnt[49][3]~27570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[49][3]~27570_combout\ = (\led_flash_cnt[49][3]~q\ & (\led_flash_cnt[49][2]~27569\ $ (GND))) # (!\led_flash_cnt[49][3]~q\ & (!\led_flash_cnt[49][2]~27569\ & VCC))
-- \led_flash_cnt[49][3]~27571\ = CARRY((\led_flash_cnt[49][3]~q\ & !\led_flash_cnt[49][2]~27569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[49][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[49][2]~27569\,
	combout => \led_flash_cnt[49][3]~27570_combout\,
	cout => \led_flash_cnt[49][3]~27571\);

-- Location: FF_X2_Y23_N23
\led_flash_cnt[49][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[49][3]~27570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[49][3]~q\);

-- Location: LCCOMB_X2_Y23_N24
\led_flash_cnt[49][4]~27572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[49][4]~27572_combout\ = (\led_flash_cnt[49][4]~q\ & (!\led_flash_cnt[49][3]~27571\)) # (!\led_flash_cnt[49][4]~q\ & ((\led_flash_cnt[49][3]~27571\) # (GND)))
-- \led_flash_cnt[49][4]~27573\ = CARRY((!\led_flash_cnt[49][3]~27571\) # (!\led_flash_cnt[49][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[49][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[49][3]~27571\,
	combout => \led_flash_cnt[49][4]~27572_combout\,
	cout => \led_flash_cnt[49][4]~27573\);

-- Location: FF_X2_Y23_N25
\led_flash_cnt[49][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[49][4]~27572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[49][4]~q\);

-- Location: LCCOMB_X2_Y23_N26
\led_flash_cnt[49][5]~27574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[49][5]~27574_combout\ = (\led_flash_cnt[49][5]~q\ & (\led_flash_cnt[49][4]~27573\ $ (GND))) # (!\led_flash_cnt[49][5]~q\ & (!\led_flash_cnt[49][4]~27573\ & VCC))
-- \led_flash_cnt[49][5]~27575\ = CARRY((\led_flash_cnt[49][5]~q\ & !\led_flash_cnt[49][4]~27573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[49][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[49][4]~27573\,
	combout => \led_flash_cnt[49][5]~27574_combout\,
	cout => \led_flash_cnt[49][5]~27575\);

-- Location: FF_X2_Y23_N27
\led_flash_cnt[49][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[49][5]~27574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[49][5]~q\);

-- Location: LCCOMB_X2_Y23_N28
\led_flash_cnt[49][6]~27576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[49][6]~27576_combout\ = (\led_flash_cnt[49][6]~q\ & (!\led_flash_cnt[49][5]~27575\)) # (!\led_flash_cnt[49][6]~q\ & ((\led_flash_cnt[49][5]~27575\) # (GND)))
-- \led_flash_cnt[49][6]~27577\ = CARRY((!\led_flash_cnt[49][5]~27575\) # (!\led_flash_cnt[49][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[49][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[49][5]~27575\,
	combout => \led_flash_cnt[49][6]~27576_combout\,
	cout => \led_flash_cnt[49][6]~27577\);

-- Location: FF_X2_Y23_N29
\led_flash_cnt[49][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[49][6]~27576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[49][6]~q\);

-- Location: LCCOMB_X1_Y23_N26
\WideAnd49~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd49~1_combout\ = (\led_flash_cnt[49][5]~q\ & \led_flash_cnt[49][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[49][5]~q\,
	datad => \led_flash_cnt[49][6]~q\,
	combout => \WideAnd49~1_combout\);

-- Location: LCCOMB_X2_Y23_N30
\led_flash_cnt[49][7]~27578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[49][7]~27578_combout\ = \led_flash_cnt[49][7]~q\ $ (!\led_flash_cnt[49][6]~27577\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[49][7]~q\,
	cin => \led_flash_cnt[49][6]~27577\,
	combout => \led_flash_cnt[49][7]~27578_combout\);

-- Location: FF_X2_Y23_N31
\led_flash_cnt[49][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[49][7]~27578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[49][7]~q\);

-- Location: LCCOMB_X2_Y23_N16
\WideAnd49~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd49~0_combout\ = (\led_flash_cnt[49][2]~q\ & (\led_flash_cnt[49][4]~q\ & (\led_flash_cnt[49][3]~q\ & \led_flash_cnt[49][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[49][2]~q\,
	datab => \led_flash_cnt[49][4]~q\,
	datac => \led_flash_cnt[49][3]~q\,
	datad => \led_flash_cnt[49][1]~q\,
	combout => \WideAnd49~0_combout\);

-- Location: LCCOMB_X1_Y23_N0
WideAnd49 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd49~combout\ = (\WideAnd49~1_combout\ & (\led_flash_cnt[49][0]~q\ & (\led_flash_cnt[49][7]~q\ & \WideAnd49~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd49~1_combout\,
	datab => \led_flash_cnt[49][0]~q\,
	datac => \led_flash_cnt[49][7]~q\,
	datad => \WideAnd49~0_combout\,
	combout => \WideAnd49~combout\);

-- Location: FF_X1_Y23_N1
\led_flash_cnt_ands[49]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd49~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(49));

-- Location: LCCOMB_X27_Y30_N8
\led_flash_cnt[51][0]~80691\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[51][0]~80691_combout\ = !\led_flash_cnt[51][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[51][0]~q\,
	combout => \led_flash_cnt[51][0]~80691_combout\);

-- Location: FF_X27_Y30_N9
\led_flash_cnt[51][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[51][0]~80691_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[51][0]~q\);

-- Location: LCCOMB_X29_Y30_N18
\led_flash_cnt[51][1]~27594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[51][1]~27594_combout\ = (\led_flash_cnt[51][0]~q\ & (\led_flash_cnt[51][1]~q\ $ (VCC))) # (!\led_flash_cnt[51][0]~q\ & (\led_flash_cnt[51][1]~q\ & VCC))
-- \led_flash_cnt[51][1]~27595\ = CARRY((\led_flash_cnt[51][0]~q\ & \led_flash_cnt[51][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[51][0]~q\,
	datab => \led_flash_cnt[51][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[51][1]~27594_combout\,
	cout => \led_flash_cnt[51][1]~27595\);

-- Location: FF_X29_Y30_N19
\led_flash_cnt[51][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[51][1]~27594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[51][1]~q\);

-- Location: LCCOMB_X29_Y30_N20
\led_flash_cnt[51][2]~27596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[51][2]~27596_combout\ = (\led_flash_cnt[51][2]~q\ & (!\led_flash_cnt[51][1]~27595\)) # (!\led_flash_cnt[51][2]~q\ & ((\led_flash_cnt[51][1]~27595\) # (GND)))
-- \led_flash_cnt[51][2]~27597\ = CARRY((!\led_flash_cnt[51][1]~27595\) # (!\led_flash_cnt[51][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[51][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[51][1]~27595\,
	combout => \led_flash_cnt[51][2]~27596_combout\,
	cout => \led_flash_cnt[51][2]~27597\);

-- Location: FF_X29_Y30_N21
\led_flash_cnt[51][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[51][2]~27596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[51][2]~q\);

-- Location: LCCOMB_X29_Y30_N22
\led_flash_cnt[51][3]~27598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[51][3]~27598_combout\ = (\led_flash_cnt[51][3]~q\ & (\led_flash_cnt[51][2]~27597\ $ (GND))) # (!\led_flash_cnt[51][3]~q\ & (!\led_flash_cnt[51][2]~27597\ & VCC))
-- \led_flash_cnt[51][3]~27599\ = CARRY((\led_flash_cnt[51][3]~q\ & !\led_flash_cnt[51][2]~27597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[51][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[51][2]~27597\,
	combout => \led_flash_cnt[51][3]~27598_combout\,
	cout => \led_flash_cnt[51][3]~27599\);

-- Location: FF_X29_Y30_N23
\led_flash_cnt[51][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[51][3]~27598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[51][3]~q\);

-- Location: LCCOMB_X29_Y30_N24
\led_flash_cnt[51][4]~27600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[51][4]~27600_combout\ = (\led_flash_cnt[51][4]~q\ & (!\led_flash_cnt[51][3]~27599\)) # (!\led_flash_cnt[51][4]~q\ & ((\led_flash_cnt[51][3]~27599\) # (GND)))
-- \led_flash_cnt[51][4]~27601\ = CARRY((!\led_flash_cnt[51][3]~27599\) # (!\led_flash_cnt[51][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[51][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[51][3]~27599\,
	combout => \led_flash_cnt[51][4]~27600_combout\,
	cout => \led_flash_cnt[51][4]~27601\);

-- Location: FF_X29_Y30_N25
\led_flash_cnt[51][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[51][4]~27600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[51][4]~q\);

-- Location: LCCOMB_X29_Y30_N26
\led_flash_cnt[51][5]~27602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[51][5]~27602_combout\ = (\led_flash_cnt[51][5]~q\ & (\led_flash_cnt[51][4]~27601\ $ (GND))) # (!\led_flash_cnt[51][5]~q\ & (!\led_flash_cnt[51][4]~27601\ & VCC))
-- \led_flash_cnt[51][5]~27603\ = CARRY((\led_flash_cnt[51][5]~q\ & !\led_flash_cnt[51][4]~27601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[51][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[51][4]~27601\,
	combout => \led_flash_cnt[51][5]~27602_combout\,
	cout => \led_flash_cnt[51][5]~27603\);

-- Location: FF_X29_Y30_N27
\led_flash_cnt[51][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[51][5]~27602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[51][5]~q\);

-- Location: LCCOMB_X29_Y30_N28
\led_flash_cnt[51][6]~27604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[51][6]~27604_combout\ = (\led_flash_cnt[51][6]~q\ & (!\led_flash_cnt[51][5]~27603\)) # (!\led_flash_cnt[51][6]~q\ & ((\led_flash_cnt[51][5]~27603\) # (GND)))
-- \led_flash_cnt[51][6]~27605\ = CARRY((!\led_flash_cnt[51][5]~27603\) # (!\led_flash_cnt[51][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[51][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[51][5]~27603\,
	combout => \led_flash_cnt[51][6]~27604_combout\,
	cout => \led_flash_cnt[51][6]~27605\);

-- Location: FF_X29_Y30_N29
\led_flash_cnt[51][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[51][6]~27604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[51][6]~q\);

-- Location: LCCOMB_X29_Y30_N30
\led_flash_cnt[51][7]~27606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[51][7]~27606_combout\ = \led_flash_cnt[51][7]~q\ $ (!\led_flash_cnt[51][6]~27605\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[51][7]~q\,
	cin => \led_flash_cnt[51][6]~27605\,
	combout => \led_flash_cnt[51][7]~27606_combout\);

-- Location: FF_X29_Y30_N31
\led_flash_cnt[51][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[51][7]~27606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[51][7]~q\);

-- Location: LCCOMB_X29_Y30_N0
\WideAnd51~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd51~0_combout\ = (\led_flash_cnt[51][2]~q\ & (\led_flash_cnt[51][1]~q\ & (\led_flash_cnt[51][3]~q\ & \led_flash_cnt[51][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[51][2]~q\,
	datab => \led_flash_cnt[51][1]~q\,
	datac => \led_flash_cnt[51][3]~q\,
	datad => \led_flash_cnt[51][4]~q\,
	combout => \WideAnd51~0_combout\);

-- Location: LCCOMB_X27_Y30_N24
\WideAnd51~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd51~1_combout\ = (\led_flash_cnt[51][6]~q\ & \led_flash_cnt[51][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[51][6]~q\,
	datad => \led_flash_cnt[51][5]~q\,
	combout => \WideAnd51~1_combout\);

-- Location: LCCOMB_X27_Y30_N30
WideAnd51 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd51~combout\ = (\led_flash_cnt[51][7]~q\ & (\WideAnd51~0_combout\ & (\led_flash_cnt[51][0]~q\ & \WideAnd51~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[51][7]~q\,
	datab => \WideAnd51~0_combout\,
	datac => \led_flash_cnt[51][0]~q\,
	datad => \WideAnd51~1_combout\,
	combout => \WideAnd51~combout\);

-- Location: FF_X27_Y30_N31
\led_flash_cnt_ands[51]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd51~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(51));

-- Location: LCCOMB_X1_Y24_N12
\led_flash_cnt[50][0]~80690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[50][0]~80690_combout\ = !\led_flash_cnt[50][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[50][0]~q\,
	combout => \led_flash_cnt[50][0]~80690_combout\);

-- Location: FF_X1_Y24_N13
\led_flash_cnt[50][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[50][0]~80690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[50][0]~q\);

-- Location: LCCOMB_X1_Y24_N14
\led_flash_cnt[50][1]~27580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[50][1]~27580_combout\ = (\led_flash_cnt[50][0]~q\ & (\led_flash_cnt[50][1]~q\ $ (VCC))) # (!\led_flash_cnt[50][0]~q\ & (\led_flash_cnt[50][1]~q\ & VCC))
-- \led_flash_cnt[50][1]~27581\ = CARRY((\led_flash_cnt[50][0]~q\ & \led_flash_cnt[50][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[50][0]~q\,
	datab => \led_flash_cnt[50][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[50][1]~27580_combout\,
	cout => \led_flash_cnt[50][1]~27581\);

-- Location: FF_X1_Y24_N15
\led_flash_cnt[50][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[50][1]~27580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[50][1]~q\);

-- Location: LCCOMB_X1_Y24_N16
\led_flash_cnt[50][2]~27582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[50][2]~27582_combout\ = (\led_flash_cnt[50][2]~q\ & (!\led_flash_cnt[50][1]~27581\)) # (!\led_flash_cnt[50][2]~q\ & ((\led_flash_cnt[50][1]~27581\) # (GND)))
-- \led_flash_cnt[50][2]~27583\ = CARRY((!\led_flash_cnt[50][1]~27581\) # (!\led_flash_cnt[50][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[50][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[50][1]~27581\,
	combout => \led_flash_cnt[50][2]~27582_combout\,
	cout => \led_flash_cnt[50][2]~27583\);

-- Location: FF_X1_Y24_N17
\led_flash_cnt[50][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[50][2]~27582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[50][2]~q\);

-- Location: LCCOMB_X1_Y24_N18
\led_flash_cnt[50][3]~27584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[50][3]~27584_combout\ = (\led_flash_cnt[50][3]~q\ & (\led_flash_cnt[50][2]~27583\ $ (GND))) # (!\led_flash_cnt[50][3]~q\ & (!\led_flash_cnt[50][2]~27583\ & VCC))
-- \led_flash_cnt[50][3]~27585\ = CARRY((\led_flash_cnt[50][3]~q\ & !\led_flash_cnt[50][2]~27583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[50][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[50][2]~27583\,
	combout => \led_flash_cnt[50][3]~27584_combout\,
	cout => \led_flash_cnt[50][3]~27585\);

-- Location: FF_X1_Y24_N19
\led_flash_cnt[50][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[50][3]~27584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[50][3]~q\);

-- Location: LCCOMB_X1_Y24_N20
\led_flash_cnt[50][4]~27586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[50][4]~27586_combout\ = (\led_flash_cnt[50][4]~q\ & (!\led_flash_cnt[50][3]~27585\)) # (!\led_flash_cnt[50][4]~q\ & ((\led_flash_cnt[50][3]~27585\) # (GND)))
-- \led_flash_cnt[50][4]~27587\ = CARRY((!\led_flash_cnt[50][3]~27585\) # (!\led_flash_cnt[50][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[50][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[50][3]~27585\,
	combout => \led_flash_cnt[50][4]~27586_combout\,
	cout => \led_flash_cnt[50][4]~27587\);

-- Location: FF_X1_Y24_N21
\led_flash_cnt[50][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[50][4]~27586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[50][4]~q\);

-- Location: LCCOMB_X1_Y24_N4
\WideAnd50~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd50~0_combout\ = (\led_flash_cnt[50][4]~q\ & (\led_flash_cnt[50][2]~q\ & (\led_flash_cnt[50][1]~q\ & \led_flash_cnt[50][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[50][4]~q\,
	datab => \led_flash_cnt[50][2]~q\,
	datac => \led_flash_cnt[50][1]~q\,
	datad => \led_flash_cnt[50][3]~q\,
	combout => \WideAnd50~0_combout\);

-- Location: LCCOMB_X1_Y24_N22
\led_flash_cnt[50][5]~27588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[50][5]~27588_combout\ = (\led_flash_cnt[50][5]~q\ & (\led_flash_cnt[50][4]~27587\ $ (GND))) # (!\led_flash_cnt[50][5]~q\ & (!\led_flash_cnt[50][4]~27587\ & VCC))
-- \led_flash_cnt[50][5]~27589\ = CARRY((\led_flash_cnt[50][5]~q\ & !\led_flash_cnt[50][4]~27587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[50][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[50][4]~27587\,
	combout => \led_flash_cnt[50][5]~27588_combout\,
	cout => \led_flash_cnt[50][5]~27589\);

-- Location: FF_X1_Y24_N23
\led_flash_cnt[50][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[50][5]~27588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[50][5]~q\);

-- Location: LCCOMB_X1_Y24_N24
\led_flash_cnt[50][6]~27590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[50][6]~27590_combout\ = (\led_flash_cnt[50][6]~q\ & (!\led_flash_cnt[50][5]~27589\)) # (!\led_flash_cnt[50][6]~q\ & ((\led_flash_cnt[50][5]~27589\) # (GND)))
-- \led_flash_cnt[50][6]~27591\ = CARRY((!\led_flash_cnt[50][5]~27589\) # (!\led_flash_cnt[50][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[50][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[50][5]~27589\,
	combout => \led_flash_cnt[50][6]~27590_combout\,
	cout => \led_flash_cnt[50][6]~27591\);

-- Location: FF_X1_Y24_N25
\led_flash_cnt[50][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[50][6]~27590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[50][6]~q\);

-- Location: LCCOMB_X1_Y24_N26
\led_flash_cnt[50][7]~27592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[50][7]~27592_combout\ = \led_flash_cnt[50][7]~q\ $ (!\led_flash_cnt[50][6]~27591\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[50][7]~q\,
	cin => \led_flash_cnt[50][6]~27591\,
	combout => \led_flash_cnt[50][7]~27592_combout\);

-- Location: FF_X1_Y24_N27
\led_flash_cnt[50][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[50][7]~27592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[50][7]~q\);

-- Location: LCCOMB_X1_Y24_N0
\WideAnd50~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd50~1_combout\ = (\led_flash_cnt[50][5]~q\ & \led_flash_cnt[50][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[50][5]~q\,
	datad => \led_flash_cnt[50][6]~q\,
	combout => \WideAnd50~1_combout\);

-- Location: LCCOMB_X1_Y24_N28
WideAnd50 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd50~combout\ = (\led_flash_cnt[50][0]~q\ & (\WideAnd50~0_combout\ & (\led_flash_cnt[50][7]~q\ & \WideAnd50~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[50][0]~q\,
	datab => \WideAnd50~0_combout\,
	datac => \led_flash_cnt[50][7]~q\,
	datad => \WideAnd50~1_combout\,
	combout => \WideAnd50~combout\);

-- Location: FF_X1_Y24_N29
\led_flash_cnt_ands[50]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd50~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(50));

-- Location: LCCOMB_X1_Y24_N10
\WideAnd3846~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3846~0_combout\ = (led_flash_cnt_ands(48) & (led_flash_cnt_ands(49) & (led_flash_cnt_ands(51) & led_flash_cnt_ands(50))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(48),
	datab => led_flash_cnt_ands(49),
	datac => led_flash_cnt_ands(51),
	datad => led_flash_cnt_ands(50),
	combout => \WideAnd3846~0_combout\);

-- Location: LCCOMB_X9_Y30_N20
WideAnd3846 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3846~combout\ = (led_flash_cnt_ands(55) & (\WideAnd3846~1_combout\ & (led_flash_cnt_ands(54) & \WideAnd3846~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(55),
	datab => \WideAnd3846~1_combout\,
	datac => led_flash_cnt_ands(54),
	datad => \WideAnd3846~0_combout\,
	combout => \WideAnd3846~combout\);

-- Location: FF_X9_Y30_N21
\led_flash_cnt_ands_1[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3846~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(6));

-- Location: LCCOMB_X65_Y14_N24
\led_flash_cnt[56][0]~80696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[56][0]~80696_combout\ = !\led_flash_cnt[56][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[56][0]~q\,
	combout => \led_flash_cnt[56][0]~80696_combout\);

-- Location: FF_X65_Y14_N25
\led_flash_cnt[56][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[56][0]~80696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[56][0]~q\);

-- Location: LCCOMB_X66_Y14_N2
\led_flash_cnt[56][1]~27664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[56][1]~27664_combout\ = (\led_flash_cnt[56][0]~q\ & (\led_flash_cnt[56][1]~q\ $ (VCC))) # (!\led_flash_cnt[56][0]~q\ & (\led_flash_cnt[56][1]~q\ & VCC))
-- \led_flash_cnt[56][1]~27665\ = CARRY((\led_flash_cnt[56][0]~q\ & \led_flash_cnt[56][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[56][0]~q\,
	datab => \led_flash_cnt[56][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[56][1]~27664_combout\,
	cout => \led_flash_cnt[56][1]~27665\);

-- Location: FF_X66_Y14_N3
\led_flash_cnt[56][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[56][1]~27664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[56][1]~q\);

-- Location: LCCOMB_X66_Y14_N4
\led_flash_cnt[56][2]~27666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[56][2]~27666_combout\ = (\led_flash_cnt[56][2]~q\ & (!\led_flash_cnt[56][1]~27665\)) # (!\led_flash_cnt[56][2]~q\ & ((\led_flash_cnt[56][1]~27665\) # (GND)))
-- \led_flash_cnt[56][2]~27667\ = CARRY((!\led_flash_cnt[56][1]~27665\) # (!\led_flash_cnt[56][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[56][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[56][1]~27665\,
	combout => \led_flash_cnt[56][2]~27666_combout\,
	cout => \led_flash_cnt[56][2]~27667\);

-- Location: FF_X66_Y14_N5
\led_flash_cnt[56][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[56][2]~27666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[56][2]~q\);

-- Location: LCCOMB_X66_Y14_N6
\led_flash_cnt[56][3]~27668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[56][3]~27668_combout\ = (\led_flash_cnt[56][3]~q\ & (\led_flash_cnt[56][2]~27667\ $ (GND))) # (!\led_flash_cnt[56][3]~q\ & (!\led_flash_cnt[56][2]~27667\ & VCC))
-- \led_flash_cnt[56][3]~27669\ = CARRY((\led_flash_cnt[56][3]~q\ & !\led_flash_cnt[56][2]~27667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[56][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[56][2]~27667\,
	combout => \led_flash_cnt[56][3]~27668_combout\,
	cout => \led_flash_cnt[56][3]~27669\);

-- Location: FF_X66_Y14_N7
\led_flash_cnt[56][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[56][3]~27668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[56][3]~q\);

-- Location: LCCOMB_X66_Y14_N8
\led_flash_cnt[56][4]~27670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[56][4]~27670_combout\ = (\led_flash_cnt[56][4]~q\ & (!\led_flash_cnt[56][3]~27669\)) # (!\led_flash_cnt[56][4]~q\ & ((\led_flash_cnt[56][3]~27669\) # (GND)))
-- \led_flash_cnt[56][4]~27671\ = CARRY((!\led_flash_cnt[56][3]~27669\) # (!\led_flash_cnt[56][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[56][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[56][3]~27669\,
	combout => \led_flash_cnt[56][4]~27670_combout\,
	cout => \led_flash_cnt[56][4]~27671\);

-- Location: FF_X66_Y14_N9
\led_flash_cnt[56][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[56][4]~27670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[56][4]~q\);

-- Location: LCCOMB_X66_Y14_N30
\WideAnd56~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd56~0_combout\ = (\led_flash_cnt[56][3]~q\ & (\led_flash_cnt[56][4]~q\ & (\led_flash_cnt[56][2]~q\ & \led_flash_cnt[56][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[56][3]~q\,
	datab => \led_flash_cnt[56][4]~q\,
	datac => \led_flash_cnt[56][2]~q\,
	datad => \led_flash_cnt[56][1]~q\,
	combout => \WideAnd56~0_combout\);

-- Location: LCCOMB_X66_Y14_N10
\led_flash_cnt[56][5]~27672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[56][5]~27672_combout\ = (\led_flash_cnt[56][5]~q\ & (\led_flash_cnt[56][4]~27671\ $ (GND))) # (!\led_flash_cnt[56][5]~q\ & (!\led_flash_cnt[56][4]~27671\ & VCC))
-- \led_flash_cnt[56][5]~27673\ = CARRY((\led_flash_cnt[56][5]~q\ & !\led_flash_cnt[56][4]~27671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[56][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[56][4]~27671\,
	combout => \led_flash_cnt[56][5]~27672_combout\,
	cout => \led_flash_cnt[56][5]~27673\);

-- Location: FF_X66_Y14_N11
\led_flash_cnt[56][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[56][5]~27672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[56][5]~q\);

-- Location: LCCOMB_X66_Y14_N12
\led_flash_cnt[56][6]~27674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[56][6]~27674_combout\ = (\led_flash_cnt[56][6]~q\ & (!\led_flash_cnt[56][5]~27673\)) # (!\led_flash_cnt[56][6]~q\ & ((\led_flash_cnt[56][5]~27673\) # (GND)))
-- \led_flash_cnt[56][6]~27675\ = CARRY((!\led_flash_cnt[56][5]~27673\) # (!\led_flash_cnt[56][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[56][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[56][5]~27673\,
	combout => \led_flash_cnt[56][6]~27674_combout\,
	cout => \led_flash_cnt[56][6]~27675\);

-- Location: FF_X66_Y14_N13
\led_flash_cnt[56][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[56][6]~27674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[56][6]~q\);

-- Location: LCCOMB_X65_Y14_N20
\WideAnd56~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd56~1_combout\ = (\led_flash_cnt[56][6]~q\ & \led_flash_cnt[56][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[56][6]~q\,
	datac => \led_flash_cnt[56][5]~q\,
	combout => \WideAnd56~1_combout\);

-- Location: LCCOMB_X66_Y14_N14
\led_flash_cnt[56][7]~27676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[56][7]~27676_combout\ = \led_flash_cnt[56][7]~q\ $ (!\led_flash_cnt[56][6]~27675\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[56][7]~q\,
	cin => \led_flash_cnt[56][6]~27675\,
	combout => \led_flash_cnt[56][7]~27676_combout\);

-- Location: FF_X66_Y14_N15
\led_flash_cnt[56][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[56][7]~27676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[56][7]~q\);

-- Location: LCCOMB_X65_Y14_N30
WideAnd56 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd56~combout\ = (\WideAnd56~0_combout\ & (\WideAnd56~1_combout\ & (\led_flash_cnt[56][7]~q\ & \led_flash_cnt[56][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd56~0_combout\,
	datab => \WideAnd56~1_combout\,
	datac => \led_flash_cnt[56][7]~q\,
	datad => \led_flash_cnt[56][0]~q\,
	combout => \WideAnd56~combout\);

-- Location: FF_X65_Y14_N31
\led_flash_cnt_ands[56]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd56~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(56));

-- Location: LCCOMB_X57_Y8_N6
\led_flash_cnt[58][0]~80698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[58][0]~80698_combout\ = !\led_flash_cnt[58][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[58][0]~q\,
	combout => \led_flash_cnt[58][0]~80698_combout\);

-- Location: FF_X57_Y8_N7
\led_flash_cnt[58][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[58][0]~80698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[58][0]~q\);

-- Location: LCCOMB_X58_Y8_N18
\led_flash_cnt[58][1]~27692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[58][1]~27692_combout\ = (\led_flash_cnt[58][0]~q\ & (\led_flash_cnt[58][1]~q\ $ (VCC))) # (!\led_flash_cnt[58][0]~q\ & (\led_flash_cnt[58][1]~q\ & VCC))
-- \led_flash_cnt[58][1]~27693\ = CARRY((\led_flash_cnt[58][0]~q\ & \led_flash_cnt[58][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[58][0]~q\,
	datab => \led_flash_cnt[58][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[58][1]~27692_combout\,
	cout => \led_flash_cnt[58][1]~27693\);

-- Location: FF_X58_Y8_N19
\led_flash_cnt[58][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[58][1]~27692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[58][1]~q\);

-- Location: LCCOMB_X58_Y8_N20
\led_flash_cnt[58][2]~27694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[58][2]~27694_combout\ = (\led_flash_cnt[58][2]~q\ & (!\led_flash_cnt[58][1]~27693\)) # (!\led_flash_cnt[58][2]~q\ & ((\led_flash_cnt[58][1]~27693\) # (GND)))
-- \led_flash_cnt[58][2]~27695\ = CARRY((!\led_flash_cnt[58][1]~27693\) # (!\led_flash_cnt[58][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[58][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[58][1]~27693\,
	combout => \led_flash_cnt[58][2]~27694_combout\,
	cout => \led_flash_cnt[58][2]~27695\);

-- Location: FF_X58_Y8_N21
\led_flash_cnt[58][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[58][2]~27694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[58][2]~q\);

-- Location: LCCOMB_X58_Y8_N22
\led_flash_cnt[58][3]~27696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[58][3]~27696_combout\ = (\led_flash_cnt[58][3]~q\ & (\led_flash_cnt[58][2]~27695\ $ (GND))) # (!\led_flash_cnt[58][3]~q\ & (!\led_flash_cnt[58][2]~27695\ & VCC))
-- \led_flash_cnt[58][3]~27697\ = CARRY((\led_flash_cnt[58][3]~q\ & !\led_flash_cnt[58][2]~27695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[58][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[58][2]~27695\,
	combout => \led_flash_cnt[58][3]~27696_combout\,
	cout => \led_flash_cnt[58][3]~27697\);

-- Location: FF_X58_Y8_N23
\led_flash_cnt[58][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[58][3]~27696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[58][3]~q\);

-- Location: LCCOMB_X58_Y8_N24
\led_flash_cnt[58][4]~27698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[58][4]~27698_combout\ = (\led_flash_cnt[58][4]~q\ & (!\led_flash_cnt[58][3]~27697\)) # (!\led_flash_cnt[58][4]~q\ & ((\led_flash_cnt[58][3]~27697\) # (GND)))
-- \led_flash_cnt[58][4]~27699\ = CARRY((!\led_flash_cnt[58][3]~27697\) # (!\led_flash_cnt[58][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[58][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[58][3]~27697\,
	combout => \led_flash_cnt[58][4]~27698_combout\,
	cout => \led_flash_cnt[58][4]~27699\);

-- Location: FF_X58_Y8_N25
\led_flash_cnt[58][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[58][4]~27698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[58][4]~q\);

-- Location: LCCOMB_X58_Y8_N26
\led_flash_cnt[58][5]~27700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[58][5]~27700_combout\ = (\led_flash_cnt[58][5]~q\ & (\led_flash_cnt[58][4]~27699\ $ (GND))) # (!\led_flash_cnt[58][5]~q\ & (!\led_flash_cnt[58][4]~27699\ & VCC))
-- \led_flash_cnt[58][5]~27701\ = CARRY((\led_flash_cnt[58][5]~q\ & !\led_flash_cnt[58][4]~27699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[58][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[58][4]~27699\,
	combout => \led_flash_cnt[58][5]~27700_combout\,
	cout => \led_flash_cnt[58][5]~27701\);

-- Location: FF_X58_Y8_N27
\led_flash_cnt[58][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[58][5]~27700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[58][5]~q\);

-- Location: LCCOMB_X58_Y8_N28
\led_flash_cnt[58][6]~27702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[58][6]~27702_combout\ = (\led_flash_cnt[58][6]~q\ & (!\led_flash_cnt[58][5]~27701\)) # (!\led_flash_cnt[58][6]~q\ & ((\led_flash_cnt[58][5]~27701\) # (GND)))
-- \led_flash_cnt[58][6]~27703\ = CARRY((!\led_flash_cnt[58][5]~27701\) # (!\led_flash_cnt[58][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[58][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[58][5]~27701\,
	combout => \led_flash_cnt[58][6]~27702_combout\,
	cout => \led_flash_cnt[58][6]~27703\);

-- Location: FF_X58_Y8_N29
\led_flash_cnt[58][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[58][6]~27702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[58][6]~q\);

-- Location: LCCOMB_X57_Y8_N10
\WideAnd58~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd58~1_combout\ = (\led_flash_cnt[58][6]~q\ & \led_flash_cnt[58][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[58][6]~q\,
	datad => \led_flash_cnt[58][5]~q\,
	combout => \WideAnd58~1_combout\);

-- Location: LCCOMB_X58_Y8_N16
\WideAnd58~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd58~0_combout\ = (\led_flash_cnt[58][1]~q\ & (\led_flash_cnt[58][2]~q\ & (\led_flash_cnt[58][3]~q\ & \led_flash_cnt[58][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[58][1]~q\,
	datab => \led_flash_cnt[58][2]~q\,
	datac => \led_flash_cnt[58][3]~q\,
	datad => \led_flash_cnt[58][4]~q\,
	combout => \WideAnd58~0_combout\);

-- Location: LCCOMB_X58_Y8_N30
\led_flash_cnt[58][7]~27704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[58][7]~27704_combout\ = \led_flash_cnt[58][7]~q\ $ (!\led_flash_cnt[58][6]~27703\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[58][7]~q\,
	cin => \led_flash_cnt[58][6]~27703\,
	combout => \led_flash_cnt[58][7]~27704_combout\);

-- Location: FF_X58_Y8_N31
\led_flash_cnt[58][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[58][7]~27704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[58][7]~q\);

-- Location: LCCOMB_X57_Y8_N0
WideAnd58 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd58~combout\ = (\WideAnd58~1_combout\ & (\WideAnd58~0_combout\ & (\led_flash_cnt[58][7]~q\ & \led_flash_cnt[58][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd58~1_combout\,
	datab => \WideAnd58~0_combout\,
	datac => \led_flash_cnt[58][7]~q\,
	datad => \led_flash_cnt[58][0]~q\,
	combout => \WideAnd58~combout\);

-- Location: FF_X57_Y8_N1
\led_flash_cnt_ands[58]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd58~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(58));

-- Location: LCCOMB_X66_Y3_N0
\led_flash_cnt[59][0]~80699\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[59][0]~80699_combout\ = !\led_flash_cnt[59][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[59][0]~q\,
	combout => \led_flash_cnt[59][0]~80699_combout\);

-- Location: FF_X66_Y3_N1
\led_flash_cnt[59][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[59][0]~80699_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[59][0]~q\);

-- Location: LCCOMB_X69_Y3_N2
\led_flash_cnt[59][1]~27706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[59][1]~27706_combout\ = (\led_flash_cnt[59][0]~q\ & (\led_flash_cnt[59][1]~q\ $ (VCC))) # (!\led_flash_cnt[59][0]~q\ & (\led_flash_cnt[59][1]~q\ & VCC))
-- \led_flash_cnt[59][1]~27707\ = CARRY((\led_flash_cnt[59][0]~q\ & \led_flash_cnt[59][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[59][0]~q\,
	datab => \led_flash_cnt[59][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[59][1]~27706_combout\,
	cout => \led_flash_cnt[59][1]~27707\);

-- Location: FF_X69_Y3_N3
\led_flash_cnt[59][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[59][1]~27706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[59][1]~q\);

-- Location: LCCOMB_X69_Y3_N4
\led_flash_cnt[59][2]~27708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[59][2]~27708_combout\ = (\led_flash_cnt[59][2]~q\ & (!\led_flash_cnt[59][1]~27707\)) # (!\led_flash_cnt[59][2]~q\ & ((\led_flash_cnt[59][1]~27707\) # (GND)))
-- \led_flash_cnt[59][2]~27709\ = CARRY((!\led_flash_cnt[59][1]~27707\) # (!\led_flash_cnt[59][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[59][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[59][1]~27707\,
	combout => \led_flash_cnt[59][2]~27708_combout\,
	cout => \led_flash_cnt[59][2]~27709\);

-- Location: FF_X69_Y3_N5
\led_flash_cnt[59][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[59][2]~27708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[59][2]~q\);

-- Location: LCCOMB_X69_Y3_N6
\led_flash_cnt[59][3]~27710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[59][3]~27710_combout\ = (\led_flash_cnt[59][3]~q\ & (\led_flash_cnt[59][2]~27709\ $ (GND))) # (!\led_flash_cnt[59][3]~q\ & (!\led_flash_cnt[59][2]~27709\ & VCC))
-- \led_flash_cnt[59][3]~27711\ = CARRY((\led_flash_cnt[59][3]~q\ & !\led_flash_cnt[59][2]~27709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[59][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[59][2]~27709\,
	combout => \led_flash_cnt[59][3]~27710_combout\,
	cout => \led_flash_cnt[59][3]~27711\);

-- Location: FF_X69_Y3_N7
\led_flash_cnt[59][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[59][3]~27710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[59][3]~q\);

-- Location: LCCOMB_X69_Y3_N8
\led_flash_cnt[59][4]~27712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[59][4]~27712_combout\ = (\led_flash_cnt[59][4]~q\ & (!\led_flash_cnt[59][3]~27711\)) # (!\led_flash_cnt[59][4]~q\ & ((\led_flash_cnt[59][3]~27711\) # (GND)))
-- \led_flash_cnt[59][4]~27713\ = CARRY((!\led_flash_cnt[59][3]~27711\) # (!\led_flash_cnt[59][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[59][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[59][3]~27711\,
	combout => \led_flash_cnt[59][4]~27712_combout\,
	cout => \led_flash_cnt[59][4]~27713\);

-- Location: FF_X69_Y3_N9
\led_flash_cnt[59][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[59][4]~27712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[59][4]~q\);

-- Location: LCCOMB_X69_Y3_N10
\led_flash_cnt[59][5]~27714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[59][5]~27714_combout\ = (\led_flash_cnt[59][5]~q\ & (\led_flash_cnt[59][4]~27713\ $ (GND))) # (!\led_flash_cnt[59][5]~q\ & (!\led_flash_cnt[59][4]~27713\ & VCC))
-- \led_flash_cnt[59][5]~27715\ = CARRY((\led_flash_cnt[59][5]~q\ & !\led_flash_cnt[59][4]~27713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[59][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[59][4]~27713\,
	combout => \led_flash_cnt[59][5]~27714_combout\,
	cout => \led_flash_cnt[59][5]~27715\);

-- Location: FF_X69_Y3_N11
\led_flash_cnt[59][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[59][5]~27714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[59][5]~q\);

-- Location: LCCOMB_X69_Y3_N12
\led_flash_cnt[59][6]~27716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[59][6]~27716_combout\ = (\led_flash_cnt[59][6]~q\ & (!\led_flash_cnt[59][5]~27715\)) # (!\led_flash_cnt[59][6]~q\ & ((\led_flash_cnt[59][5]~27715\) # (GND)))
-- \led_flash_cnt[59][6]~27717\ = CARRY((!\led_flash_cnt[59][5]~27715\) # (!\led_flash_cnt[59][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[59][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[59][5]~27715\,
	combout => \led_flash_cnt[59][6]~27716_combout\,
	cout => \led_flash_cnt[59][6]~27717\);

-- Location: FF_X69_Y3_N13
\led_flash_cnt[59][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[59][6]~27716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[59][6]~q\);

-- Location: LCCOMB_X69_Y3_N20
\WideAnd59~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd59~1_combout\ = (\led_flash_cnt[59][6]~q\ & \led_flash_cnt[59][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[59][6]~q\,
	datad => \led_flash_cnt[59][5]~q\,
	combout => \WideAnd59~1_combout\);

-- Location: LCCOMB_X69_Y3_N14
\led_flash_cnt[59][7]~27718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[59][7]~27718_combout\ = \led_flash_cnt[59][7]~q\ $ (!\led_flash_cnt[59][6]~27717\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[59][7]~q\,
	cin => \led_flash_cnt[59][6]~27717\,
	combout => \led_flash_cnt[59][7]~27718_combout\);

-- Location: FF_X69_Y3_N15
\led_flash_cnt[59][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[59][7]~27718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[59][7]~q\);

-- Location: LCCOMB_X69_Y3_N0
\WideAnd59~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd59~0_combout\ = (\led_flash_cnt[59][3]~q\ & (\led_flash_cnt[59][4]~q\ & (\led_flash_cnt[59][2]~q\ & \led_flash_cnt[59][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[59][3]~q\,
	datab => \led_flash_cnt[59][4]~q\,
	datac => \led_flash_cnt[59][2]~q\,
	datad => \led_flash_cnt[59][1]~q\,
	combout => \WideAnd59~0_combout\);

-- Location: LCCOMB_X69_Y3_N22
WideAnd59 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd59~combout\ = (\led_flash_cnt[59][0]~q\ & (\WideAnd59~1_combout\ & (\led_flash_cnt[59][7]~q\ & \WideAnd59~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[59][0]~q\,
	datab => \WideAnd59~1_combout\,
	datac => \led_flash_cnt[59][7]~q\,
	datad => \WideAnd59~0_combout\,
	combout => \WideAnd59~combout\);

-- Location: FF_X69_Y3_N23
\led_flash_cnt_ands[59]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd59~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(59));

-- Location: LCCOMB_X69_Y3_N26
\led_flash_cnt[57][0]~80697\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[57][0]~80697_combout\ = !\led_flash_cnt[57][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[57][0]~q\,
	combout => \led_flash_cnt[57][0]~80697_combout\);

-- Location: FF_X69_Y3_N27
\led_flash_cnt[57][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[57][0]~80697_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[57][0]~q\);

-- Location: LCCOMB_X70_Y3_N18
\led_flash_cnt[57][1]~27678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[57][1]~27678_combout\ = (\led_flash_cnt[57][0]~q\ & (\led_flash_cnt[57][1]~q\ $ (VCC))) # (!\led_flash_cnt[57][0]~q\ & (\led_flash_cnt[57][1]~q\ & VCC))
-- \led_flash_cnt[57][1]~27679\ = CARRY((\led_flash_cnt[57][0]~q\ & \led_flash_cnt[57][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[57][0]~q\,
	datab => \led_flash_cnt[57][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[57][1]~27678_combout\,
	cout => \led_flash_cnt[57][1]~27679\);

-- Location: FF_X70_Y3_N19
\led_flash_cnt[57][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[57][1]~27678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[57][1]~q\);

-- Location: LCCOMB_X70_Y3_N20
\led_flash_cnt[57][2]~27680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[57][2]~27680_combout\ = (\led_flash_cnt[57][2]~q\ & (!\led_flash_cnt[57][1]~27679\)) # (!\led_flash_cnt[57][2]~q\ & ((\led_flash_cnt[57][1]~27679\) # (GND)))
-- \led_flash_cnt[57][2]~27681\ = CARRY((!\led_flash_cnt[57][1]~27679\) # (!\led_flash_cnt[57][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[57][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[57][1]~27679\,
	combout => \led_flash_cnt[57][2]~27680_combout\,
	cout => \led_flash_cnt[57][2]~27681\);

-- Location: FF_X70_Y3_N21
\led_flash_cnt[57][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[57][2]~27680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[57][2]~q\);

-- Location: LCCOMB_X70_Y3_N22
\led_flash_cnt[57][3]~27682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[57][3]~27682_combout\ = (\led_flash_cnt[57][3]~q\ & (\led_flash_cnt[57][2]~27681\ $ (GND))) # (!\led_flash_cnt[57][3]~q\ & (!\led_flash_cnt[57][2]~27681\ & VCC))
-- \led_flash_cnt[57][3]~27683\ = CARRY((\led_flash_cnt[57][3]~q\ & !\led_flash_cnt[57][2]~27681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[57][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[57][2]~27681\,
	combout => \led_flash_cnt[57][3]~27682_combout\,
	cout => \led_flash_cnt[57][3]~27683\);

-- Location: FF_X70_Y3_N23
\led_flash_cnt[57][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[57][3]~27682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[57][3]~q\);

-- Location: LCCOMB_X70_Y3_N24
\led_flash_cnt[57][4]~27684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[57][4]~27684_combout\ = (\led_flash_cnt[57][4]~q\ & (!\led_flash_cnt[57][3]~27683\)) # (!\led_flash_cnt[57][4]~q\ & ((\led_flash_cnt[57][3]~27683\) # (GND)))
-- \led_flash_cnt[57][4]~27685\ = CARRY((!\led_flash_cnt[57][3]~27683\) # (!\led_flash_cnt[57][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[57][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[57][3]~27683\,
	combout => \led_flash_cnt[57][4]~27684_combout\,
	cout => \led_flash_cnt[57][4]~27685\);

-- Location: FF_X70_Y3_N25
\led_flash_cnt[57][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[57][4]~27684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[57][4]~q\);

-- Location: LCCOMB_X70_Y3_N0
\WideAnd57~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd57~0_combout\ = (\led_flash_cnt[57][4]~q\ & (\led_flash_cnt[57][2]~q\ & (\led_flash_cnt[57][3]~q\ & \led_flash_cnt[57][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[57][4]~q\,
	datab => \led_flash_cnt[57][2]~q\,
	datac => \led_flash_cnt[57][3]~q\,
	datad => \led_flash_cnt[57][1]~q\,
	combout => \WideAnd57~0_combout\);

-- Location: LCCOMB_X70_Y3_N26
\led_flash_cnt[57][5]~27686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[57][5]~27686_combout\ = (\led_flash_cnt[57][5]~q\ & (\led_flash_cnt[57][4]~27685\ $ (GND))) # (!\led_flash_cnt[57][5]~q\ & (!\led_flash_cnt[57][4]~27685\ & VCC))
-- \led_flash_cnt[57][5]~27687\ = CARRY((\led_flash_cnt[57][5]~q\ & !\led_flash_cnt[57][4]~27685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[57][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[57][4]~27685\,
	combout => \led_flash_cnt[57][5]~27686_combout\,
	cout => \led_flash_cnt[57][5]~27687\);

-- Location: FF_X70_Y3_N27
\led_flash_cnt[57][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[57][5]~27686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[57][5]~q\);

-- Location: LCCOMB_X70_Y3_N28
\led_flash_cnt[57][6]~27688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[57][6]~27688_combout\ = (\led_flash_cnt[57][6]~q\ & (!\led_flash_cnt[57][5]~27687\)) # (!\led_flash_cnt[57][6]~q\ & ((\led_flash_cnt[57][5]~27687\) # (GND)))
-- \led_flash_cnt[57][6]~27689\ = CARRY((!\led_flash_cnt[57][5]~27687\) # (!\led_flash_cnt[57][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[57][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[57][5]~27687\,
	combout => \led_flash_cnt[57][6]~27688_combout\,
	cout => \led_flash_cnt[57][6]~27689\);

-- Location: FF_X70_Y3_N29
\led_flash_cnt[57][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[57][6]~27688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[57][6]~q\);

-- Location: LCCOMB_X70_Y3_N30
\led_flash_cnt[57][7]~27690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[57][7]~27690_combout\ = \led_flash_cnt[57][7]~q\ $ (!\led_flash_cnt[57][6]~27689\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[57][7]~q\,
	cin => \led_flash_cnt[57][6]~27689\,
	combout => \led_flash_cnt[57][7]~27690_combout\);

-- Location: FF_X70_Y3_N31
\led_flash_cnt[57][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[57][7]~27690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[57][7]~q\);

-- Location: LCCOMB_X69_Y3_N28
\WideAnd57~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd57~1_combout\ = (\led_flash_cnt[57][5]~q\ & \led_flash_cnt[57][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[57][5]~q\,
	datad => \led_flash_cnt[57][6]~q\,
	combout => \WideAnd57~1_combout\);

-- Location: LCCOMB_X69_Y3_N24
WideAnd57 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd57~combout\ = (\led_flash_cnt[57][0]~q\ & (\WideAnd57~0_combout\ & (\led_flash_cnt[57][7]~q\ & \WideAnd57~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[57][0]~q\,
	datab => \WideAnd57~0_combout\,
	datac => \led_flash_cnt[57][7]~q\,
	datad => \WideAnd57~1_combout\,
	combout => \WideAnd57~combout\);

-- Location: FF_X69_Y3_N25
\led_flash_cnt_ands[57]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd57~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(57));

-- Location: LCCOMB_X65_Y3_N28
\WideAnd3847~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3847~0_combout\ = (led_flash_cnt_ands(56) & (led_flash_cnt_ands(58) & (led_flash_cnt_ands(59) & led_flash_cnt_ands(57))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(56),
	datab => led_flash_cnt_ands(58),
	datac => led_flash_cnt_ands(59),
	datad => led_flash_cnt_ands(57),
	combout => \WideAnd3847~0_combout\);

-- Location: LCCOMB_X58_Y3_N2
\led_flash_cnt[63][0]~80703\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[63][0]~80703_combout\ = !\led_flash_cnt[63][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[63][0]~q\,
	combout => \led_flash_cnt[63][0]~80703_combout\);

-- Location: FF_X58_Y3_N3
\led_flash_cnt[63][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[63][0]~80703_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[63][0]~q\);

-- Location: LCCOMB_X57_Y3_N18
\led_flash_cnt[63][1]~27762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[63][1]~27762_combout\ = (\led_flash_cnt[63][0]~q\ & (\led_flash_cnt[63][1]~q\ $ (VCC))) # (!\led_flash_cnt[63][0]~q\ & (\led_flash_cnt[63][1]~q\ & VCC))
-- \led_flash_cnt[63][1]~27763\ = CARRY((\led_flash_cnt[63][0]~q\ & \led_flash_cnt[63][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[63][0]~q\,
	datab => \led_flash_cnt[63][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[63][1]~27762_combout\,
	cout => \led_flash_cnt[63][1]~27763\);

-- Location: FF_X57_Y3_N19
\led_flash_cnt[63][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[63][1]~27762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[63][1]~q\);

-- Location: LCCOMB_X57_Y3_N20
\led_flash_cnt[63][2]~27764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[63][2]~27764_combout\ = (\led_flash_cnt[63][2]~q\ & (!\led_flash_cnt[63][1]~27763\)) # (!\led_flash_cnt[63][2]~q\ & ((\led_flash_cnt[63][1]~27763\) # (GND)))
-- \led_flash_cnt[63][2]~27765\ = CARRY((!\led_flash_cnt[63][1]~27763\) # (!\led_flash_cnt[63][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[63][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[63][1]~27763\,
	combout => \led_flash_cnt[63][2]~27764_combout\,
	cout => \led_flash_cnt[63][2]~27765\);

-- Location: FF_X57_Y3_N21
\led_flash_cnt[63][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[63][2]~27764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[63][2]~q\);

-- Location: LCCOMB_X57_Y3_N22
\led_flash_cnt[63][3]~27766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[63][3]~27766_combout\ = (\led_flash_cnt[63][3]~q\ & (\led_flash_cnt[63][2]~27765\ $ (GND))) # (!\led_flash_cnt[63][3]~q\ & (!\led_flash_cnt[63][2]~27765\ & VCC))
-- \led_flash_cnt[63][3]~27767\ = CARRY((\led_flash_cnt[63][3]~q\ & !\led_flash_cnt[63][2]~27765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[63][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[63][2]~27765\,
	combout => \led_flash_cnt[63][3]~27766_combout\,
	cout => \led_flash_cnt[63][3]~27767\);

-- Location: FF_X57_Y3_N23
\led_flash_cnt[63][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[63][3]~27766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[63][3]~q\);

-- Location: LCCOMB_X57_Y3_N24
\led_flash_cnt[63][4]~27768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[63][4]~27768_combout\ = (\led_flash_cnt[63][4]~q\ & (!\led_flash_cnt[63][3]~27767\)) # (!\led_flash_cnt[63][4]~q\ & ((\led_flash_cnt[63][3]~27767\) # (GND)))
-- \led_flash_cnt[63][4]~27769\ = CARRY((!\led_flash_cnt[63][3]~27767\) # (!\led_flash_cnt[63][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[63][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[63][3]~27767\,
	combout => \led_flash_cnt[63][4]~27768_combout\,
	cout => \led_flash_cnt[63][4]~27769\);

-- Location: FF_X57_Y3_N25
\led_flash_cnt[63][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[63][4]~27768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[63][4]~q\);

-- Location: LCCOMB_X57_Y3_N26
\led_flash_cnt[63][5]~27770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[63][5]~27770_combout\ = (\led_flash_cnt[63][5]~q\ & (\led_flash_cnt[63][4]~27769\ $ (GND))) # (!\led_flash_cnt[63][5]~q\ & (!\led_flash_cnt[63][4]~27769\ & VCC))
-- \led_flash_cnt[63][5]~27771\ = CARRY((\led_flash_cnt[63][5]~q\ & !\led_flash_cnt[63][4]~27769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[63][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[63][4]~27769\,
	combout => \led_flash_cnt[63][5]~27770_combout\,
	cout => \led_flash_cnt[63][5]~27771\);

-- Location: FF_X57_Y3_N27
\led_flash_cnt[63][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[63][5]~27770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[63][5]~q\);

-- Location: LCCOMB_X57_Y3_N28
\led_flash_cnt[63][6]~27772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[63][6]~27772_combout\ = (\led_flash_cnt[63][6]~q\ & (!\led_flash_cnt[63][5]~27771\)) # (!\led_flash_cnt[63][6]~q\ & ((\led_flash_cnt[63][5]~27771\) # (GND)))
-- \led_flash_cnt[63][6]~27773\ = CARRY((!\led_flash_cnt[63][5]~27771\) # (!\led_flash_cnt[63][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[63][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[63][5]~27771\,
	combout => \led_flash_cnt[63][6]~27772_combout\,
	cout => \led_flash_cnt[63][6]~27773\);

-- Location: FF_X57_Y3_N29
\led_flash_cnt[63][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[63][6]~27772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[63][6]~q\);

-- Location: LCCOMB_X58_Y3_N10
\WideAnd63~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd63~1_combout\ = (\led_flash_cnt[63][5]~q\ & \led_flash_cnt[63][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[63][5]~q\,
	datad => \led_flash_cnt[63][6]~q\,
	combout => \WideAnd63~1_combout\);

-- Location: LCCOMB_X57_Y3_N30
\led_flash_cnt[63][7]~27774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[63][7]~27774_combout\ = \led_flash_cnt[63][7]~q\ $ (!\led_flash_cnt[63][6]~27773\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[63][7]~q\,
	cin => \led_flash_cnt[63][6]~27773\,
	combout => \led_flash_cnt[63][7]~27774_combout\);

-- Location: FF_X57_Y3_N31
\led_flash_cnt[63][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[63][7]~27774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[63][7]~q\);

-- Location: LCCOMB_X57_Y3_N0
\WideAnd63~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd63~0_combout\ = (\led_flash_cnt[63][4]~q\ & (\led_flash_cnt[63][2]~q\ & (\led_flash_cnt[63][3]~q\ & \led_flash_cnt[63][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[63][4]~q\,
	datab => \led_flash_cnt[63][2]~q\,
	datac => \led_flash_cnt[63][3]~q\,
	datad => \led_flash_cnt[63][1]~q\,
	combout => \WideAnd63~0_combout\);

-- Location: LCCOMB_X58_Y3_N4
WideAnd63 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd63~combout\ = (\WideAnd63~1_combout\ & (\led_flash_cnt[63][7]~q\ & (\WideAnd63~0_combout\ & \led_flash_cnt[63][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd63~1_combout\,
	datab => \led_flash_cnt[63][7]~q\,
	datac => \WideAnd63~0_combout\,
	datad => \led_flash_cnt[63][0]~q\,
	combout => \WideAnd63~combout\);

-- Location: FF_X58_Y3_N5
\led_flash_cnt_ands[63]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd63~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(63));

-- Location: LCCOMB_X17_Y13_N2
\led_flash_cnt[61][0]~80701\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[61][0]~80701_combout\ = !\led_flash_cnt[61][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[61][0]~q\,
	combout => \led_flash_cnt[61][0]~80701_combout\);

-- Location: FF_X17_Y13_N3
\led_flash_cnt[61][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[61][0]~80701_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[61][0]~q\);

-- Location: LCCOMB_X16_Y13_N2
\led_flash_cnt[61][1]~27734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[61][1]~27734_combout\ = (\led_flash_cnt[61][0]~q\ & (\led_flash_cnt[61][1]~q\ $ (VCC))) # (!\led_flash_cnt[61][0]~q\ & (\led_flash_cnt[61][1]~q\ & VCC))
-- \led_flash_cnt[61][1]~27735\ = CARRY((\led_flash_cnt[61][0]~q\ & \led_flash_cnt[61][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[61][0]~q\,
	datab => \led_flash_cnt[61][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[61][1]~27734_combout\,
	cout => \led_flash_cnt[61][1]~27735\);

-- Location: FF_X16_Y13_N3
\led_flash_cnt[61][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[61][1]~27734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[61][1]~q\);

-- Location: LCCOMB_X16_Y13_N4
\led_flash_cnt[61][2]~27736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[61][2]~27736_combout\ = (\led_flash_cnt[61][2]~q\ & (!\led_flash_cnt[61][1]~27735\)) # (!\led_flash_cnt[61][2]~q\ & ((\led_flash_cnt[61][1]~27735\) # (GND)))
-- \led_flash_cnt[61][2]~27737\ = CARRY((!\led_flash_cnt[61][1]~27735\) # (!\led_flash_cnt[61][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[61][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[61][1]~27735\,
	combout => \led_flash_cnt[61][2]~27736_combout\,
	cout => \led_flash_cnt[61][2]~27737\);

-- Location: FF_X16_Y13_N5
\led_flash_cnt[61][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[61][2]~27736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[61][2]~q\);

-- Location: LCCOMB_X16_Y13_N6
\led_flash_cnt[61][3]~27738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[61][3]~27738_combout\ = (\led_flash_cnt[61][3]~q\ & (\led_flash_cnt[61][2]~27737\ $ (GND))) # (!\led_flash_cnt[61][3]~q\ & (!\led_flash_cnt[61][2]~27737\ & VCC))
-- \led_flash_cnt[61][3]~27739\ = CARRY((\led_flash_cnt[61][3]~q\ & !\led_flash_cnt[61][2]~27737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[61][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[61][2]~27737\,
	combout => \led_flash_cnt[61][3]~27738_combout\,
	cout => \led_flash_cnt[61][3]~27739\);

-- Location: FF_X16_Y13_N7
\led_flash_cnt[61][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[61][3]~27738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[61][3]~q\);

-- Location: LCCOMB_X16_Y13_N8
\led_flash_cnt[61][4]~27740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[61][4]~27740_combout\ = (\led_flash_cnt[61][4]~q\ & (!\led_flash_cnt[61][3]~27739\)) # (!\led_flash_cnt[61][4]~q\ & ((\led_flash_cnt[61][3]~27739\) # (GND)))
-- \led_flash_cnt[61][4]~27741\ = CARRY((!\led_flash_cnt[61][3]~27739\) # (!\led_flash_cnt[61][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[61][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[61][3]~27739\,
	combout => \led_flash_cnt[61][4]~27740_combout\,
	cout => \led_flash_cnt[61][4]~27741\);

-- Location: FF_X16_Y13_N9
\led_flash_cnt[61][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[61][4]~27740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[61][4]~q\);

-- Location: LCCOMB_X16_Y13_N10
\led_flash_cnt[61][5]~27742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[61][5]~27742_combout\ = (\led_flash_cnt[61][5]~q\ & (\led_flash_cnt[61][4]~27741\ $ (GND))) # (!\led_flash_cnt[61][5]~q\ & (!\led_flash_cnt[61][4]~27741\ & VCC))
-- \led_flash_cnt[61][5]~27743\ = CARRY((\led_flash_cnt[61][5]~q\ & !\led_flash_cnt[61][4]~27741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[61][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[61][4]~27741\,
	combout => \led_flash_cnt[61][5]~27742_combout\,
	cout => \led_flash_cnt[61][5]~27743\);

-- Location: FF_X16_Y13_N11
\led_flash_cnt[61][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[61][5]~27742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[61][5]~q\);

-- Location: LCCOMB_X16_Y13_N12
\led_flash_cnt[61][6]~27744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[61][6]~27744_combout\ = (\led_flash_cnt[61][6]~q\ & (!\led_flash_cnt[61][5]~27743\)) # (!\led_flash_cnt[61][6]~q\ & ((\led_flash_cnt[61][5]~27743\) # (GND)))
-- \led_flash_cnt[61][6]~27745\ = CARRY((!\led_flash_cnt[61][5]~27743\) # (!\led_flash_cnt[61][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[61][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[61][5]~27743\,
	combout => \led_flash_cnt[61][6]~27744_combout\,
	cout => \led_flash_cnt[61][6]~27745\);

-- Location: FF_X16_Y13_N13
\led_flash_cnt[61][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[61][6]~27744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[61][6]~q\);

-- Location: LCCOMB_X16_Y13_N14
\led_flash_cnt[61][7]~27746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[61][7]~27746_combout\ = \led_flash_cnt[61][7]~q\ $ (!\led_flash_cnt[61][6]~27745\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[61][7]~q\,
	cin => \led_flash_cnt[61][6]~27745\,
	combout => \led_flash_cnt[61][7]~27746_combout\);

-- Location: FF_X16_Y13_N15
\led_flash_cnt[61][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[61][7]~27746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[61][7]~q\);

-- Location: LCCOMB_X17_Y13_N28
\WideAnd61~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd61~1_combout\ = (\led_flash_cnt[61][6]~q\ & \led_flash_cnt[61][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[61][6]~q\,
	datad => \led_flash_cnt[61][5]~q\,
	combout => \WideAnd61~1_combout\);

-- Location: LCCOMB_X16_Y13_N0
\WideAnd61~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd61~0_combout\ = (\led_flash_cnt[61][3]~q\ & (\led_flash_cnt[61][2]~q\ & (\led_flash_cnt[61][4]~q\ & \led_flash_cnt[61][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[61][3]~q\,
	datab => \led_flash_cnt[61][2]~q\,
	datac => \led_flash_cnt[61][4]~q\,
	datad => \led_flash_cnt[61][1]~q\,
	combout => \WideAnd61~0_combout\);

-- Location: LCCOMB_X17_Y13_N4
WideAnd61 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd61~combout\ = (\led_flash_cnt[61][7]~q\ & (\WideAnd61~1_combout\ & (\WideAnd61~0_combout\ & \led_flash_cnt[61][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[61][7]~q\,
	datab => \WideAnd61~1_combout\,
	datac => \WideAnd61~0_combout\,
	datad => \led_flash_cnt[61][0]~q\,
	combout => \WideAnd61~combout\);

-- Location: FF_X17_Y13_N5
\led_flash_cnt_ands[61]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd61~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(61));

-- Location: LCCOMB_X17_Y13_N0
\led_flash_cnt[60][0]~80700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[60][0]~80700_combout\ = !\led_flash_cnt[60][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[60][0]~q\,
	combout => \led_flash_cnt[60][0]~80700_combout\);

-- Location: FF_X17_Y13_N1
\led_flash_cnt[60][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[60][0]~80700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[60][0]~q\);

-- Location: LCCOMB_X17_Y13_N6
\led_flash_cnt[60][1]~27720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[60][1]~27720_combout\ = (\led_flash_cnt[60][1]~q\ & (\led_flash_cnt[60][0]~q\ $ (VCC))) # (!\led_flash_cnt[60][1]~q\ & (\led_flash_cnt[60][0]~q\ & VCC))
-- \led_flash_cnt[60][1]~27721\ = CARRY((\led_flash_cnt[60][1]~q\ & \led_flash_cnt[60][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[60][1]~q\,
	datab => \led_flash_cnt[60][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[60][1]~27720_combout\,
	cout => \led_flash_cnt[60][1]~27721\);

-- Location: FF_X17_Y13_N7
\led_flash_cnt[60][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[60][1]~27720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[60][1]~q\);

-- Location: LCCOMB_X17_Y13_N8
\led_flash_cnt[60][2]~27722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[60][2]~27722_combout\ = (\led_flash_cnt[60][2]~q\ & (!\led_flash_cnt[60][1]~27721\)) # (!\led_flash_cnt[60][2]~q\ & ((\led_flash_cnt[60][1]~27721\) # (GND)))
-- \led_flash_cnt[60][2]~27723\ = CARRY((!\led_flash_cnt[60][1]~27721\) # (!\led_flash_cnt[60][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[60][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[60][1]~27721\,
	combout => \led_flash_cnt[60][2]~27722_combout\,
	cout => \led_flash_cnt[60][2]~27723\);

-- Location: FF_X17_Y13_N9
\led_flash_cnt[60][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[60][2]~27722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[60][2]~q\);

-- Location: LCCOMB_X17_Y13_N10
\led_flash_cnt[60][3]~27724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[60][3]~27724_combout\ = (\led_flash_cnt[60][3]~q\ & (\led_flash_cnt[60][2]~27723\ $ (GND))) # (!\led_flash_cnt[60][3]~q\ & (!\led_flash_cnt[60][2]~27723\ & VCC))
-- \led_flash_cnt[60][3]~27725\ = CARRY((\led_flash_cnt[60][3]~q\ & !\led_flash_cnt[60][2]~27723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[60][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[60][2]~27723\,
	combout => \led_flash_cnt[60][3]~27724_combout\,
	cout => \led_flash_cnt[60][3]~27725\);

-- Location: FF_X17_Y13_N11
\led_flash_cnt[60][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[60][3]~27724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[60][3]~q\);

-- Location: LCCOMB_X17_Y13_N12
\led_flash_cnt[60][4]~27726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[60][4]~27726_combout\ = (\led_flash_cnt[60][4]~q\ & (!\led_flash_cnt[60][3]~27725\)) # (!\led_flash_cnt[60][4]~q\ & ((\led_flash_cnt[60][3]~27725\) # (GND)))
-- \led_flash_cnt[60][4]~27727\ = CARRY((!\led_flash_cnt[60][3]~27725\) # (!\led_flash_cnt[60][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[60][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[60][3]~27725\,
	combout => \led_flash_cnt[60][4]~27726_combout\,
	cout => \led_flash_cnt[60][4]~27727\);

-- Location: FF_X17_Y13_N13
\led_flash_cnt[60][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[60][4]~27726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[60][4]~q\);

-- Location: LCCOMB_X17_Y13_N22
\WideAnd60~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd60~0_combout\ = (\led_flash_cnt[60][1]~q\ & (\led_flash_cnt[60][3]~q\ & (\led_flash_cnt[60][2]~q\ & \led_flash_cnt[60][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[60][1]~q\,
	datab => \led_flash_cnt[60][3]~q\,
	datac => \led_flash_cnt[60][2]~q\,
	datad => \led_flash_cnt[60][4]~q\,
	combout => \WideAnd60~0_combout\);

-- Location: LCCOMB_X17_Y13_N14
\led_flash_cnt[60][5]~27728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[60][5]~27728_combout\ = (\led_flash_cnt[60][5]~q\ & (\led_flash_cnt[60][4]~27727\ $ (GND))) # (!\led_flash_cnt[60][5]~q\ & (!\led_flash_cnt[60][4]~27727\ & VCC))
-- \led_flash_cnt[60][5]~27729\ = CARRY((\led_flash_cnt[60][5]~q\ & !\led_flash_cnt[60][4]~27727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[60][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[60][4]~27727\,
	combout => \led_flash_cnt[60][5]~27728_combout\,
	cout => \led_flash_cnt[60][5]~27729\);

-- Location: FF_X17_Y13_N15
\led_flash_cnt[60][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[60][5]~27728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[60][5]~q\);

-- Location: LCCOMB_X17_Y13_N16
\led_flash_cnt[60][6]~27730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[60][6]~27730_combout\ = (\led_flash_cnt[60][6]~q\ & (!\led_flash_cnt[60][5]~27729\)) # (!\led_flash_cnt[60][6]~q\ & ((\led_flash_cnt[60][5]~27729\) # (GND)))
-- \led_flash_cnt[60][6]~27731\ = CARRY((!\led_flash_cnt[60][5]~27729\) # (!\led_flash_cnt[60][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[60][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[60][5]~27729\,
	combout => \led_flash_cnt[60][6]~27730_combout\,
	cout => \led_flash_cnt[60][6]~27731\);

-- Location: FF_X17_Y13_N17
\led_flash_cnt[60][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[60][6]~27730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[60][6]~q\);

-- Location: LCCOMB_X17_Y13_N30
\WideAnd60~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd60~1_combout\ = (\led_flash_cnt[60][5]~q\ & \led_flash_cnt[60][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[60][5]~q\,
	datad => \led_flash_cnt[60][6]~q\,
	combout => \WideAnd60~1_combout\);

-- Location: LCCOMB_X17_Y13_N18
\led_flash_cnt[60][7]~27732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[60][7]~27732_combout\ = \led_flash_cnt[60][6]~27731\ $ (!\led_flash_cnt[60][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[60][7]~q\,
	cin => \led_flash_cnt[60][6]~27731\,
	combout => \led_flash_cnt[60][7]~27732_combout\);

-- Location: FF_X17_Y13_N19
\led_flash_cnt[60][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[60][7]~27732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[60][7]~q\);

-- Location: LCCOMB_X17_Y13_N24
WideAnd60 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd60~combout\ = (\WideAnd60~0_combout\ & (\led_flash_cnt[60][0]~q\ & (\WideAnd60~1_combout\ & \led_flash_cnt[60][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd60~0_combout\,
	datab => \led_flash_cnt[60][0]~q\,
	datac => \WideAnd60~1_combout\,
	datad => \led_flash_cnt[60][7]~q\,
	combout => \WideAnd60~combout\);

-- Location: FF_X17_Y13_N25
\led_flash_cnt_ands[60]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd60~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(60));

-- Location: LCCOMB_X17_Y13_N20
\WideAnd3847~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3847~1_combout\ = (led_flash_cnt_ands(61) & led_flash_cnt_ands(60))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(61),
	datad => led_flash_cnt_ands(60),
	combout => \WideAnd3847~1_combout\);

-- Location: LCCOMB_X58_Y3_N26
\led_flash_cnt[62][0]~80702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[62][0]~80702_combout\ = !\led_flash_cnt[62][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[62][0]~q\,
	combout => \led_flash_cnt[62][0]~80702_combout\);

-- Location: FF_X58_Y3_N27
\led_flash_cnt[62][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[62][0]~80702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[62][0]~q\);

-- Location: LCCOMB_X58_Y3_N12
\led_flash_cnt[62][1]~27748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[62][1]~27748_combout\ = (\led_flash_cnt[62][1]~q\ & (\led_flash_cnt[62][0]~q\ $ (VCC))) # (!\led_flash_cnt[62][1]~q\ & (\led_flash_cnt[62][0]~q\ & VCC))
-- \led_flash_cnt[62][1]~27749\ = CARRY((\led_flash_cnt[62][1]~q\ & \led_flash_cnt[62][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[62][1]~q\,
	datab => \led_flash_cnt[62][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[62][1]~27748_combout\,
	cout => \led_flash_cnt[62][1]~27749\);

-- Location: FF_X58_Y3_N13
\led_flash_cnt[62][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[62][1]~27748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[62][1]~q\);

-- Location: LCCOMB_X58_Y3_N14
\led_flash_cnt[62][2]~27750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[62][2]~27750_combout\ = (\led_flash_cnt[62][2]~q\ & (!\led_flash_cnt[62][1]~27749\)) # (!\led_flash_cnt[62][2]~q\ & ((\led_flash_cnt[62][1]~27749\) # (GND)))
-- \led_flash_cnt[62][2]~27751\ = CARRY((!\led_flash_cnt[62][1]~27749\) # (!\led_flash_cnt[62][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[62][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[62][1]~27749\,
	combout => \led_flash_cnt[62][2]~27750_combout\,
	cout => \led_flash_cnt[62][2]~27751\);

-- Location: FF_X58_Y3_N15
\led_flash_cnt[62][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[62][2]~27750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[62][2]~q\);

-- Location: LCCOMB_X58_Y3_N16
\led_flash_cnt[62][3]~27752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[62][3]~27752_combout\ = (\led_flash_cnt[62][3]~q\ & (\led_flash_cnt[62][2]~27751\ $ (GND))) # (!\led_flash_cnt[62][3]~q\ & (!\led_flash_cnt[62][2]~27751\ & VCC))
-- \led_flash_cnt[62][3]~27753\ = CARRY((\led_flash_cnt[62][3]~q\ & !\led_flash_cnt[62][2]~27751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[62][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[62][2]~27751\,
	combout => \led_flash_cnt[62][3]~27752_combout\,
	cout => \led_flash_cnt[62][3]~27753\);

-- Location: FF_X58_Y3_N17
\led_flash_cnt[62][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[62][3]~27752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[62][3]~q\);

-- Location: LCCOMB_X58_Y3_N18
\led_flash_cnt[62][4]~27754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[62][4]~27754_combout\ = (\led_flash_cnt[62][4]~q\ & (!\led_flash_cnt[62][3]~27753\)) # (!\led_flash_cnt[62][4]~q\ & ((\led_flash_cnt[62][3]~27753\) # (GND)))
-- \led_flash_cnt[62][4]~27755\ = CARRY((!\led_flash_cnt[62][3]~27753\) # (!\led_flash_cnt[62][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[62][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[62][3]~27753\,
	combout => \led_flash_cnt[62][4]~27754_combout\,
	cout => \led_flash_cnt[62][4]~27755\);

-- Location: FF_X58_Y3_N19
\led_flash_cnt[62][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[62][4]~27754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[62][4]~q\);

-- Location: LCCOMB_X58_Y3_N20
\led_flash_cnt[62][5]~27756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[62][5]~27756_combout\ = (\led_flash_cnt[62][5]~q\ & (\led_flash_cnt[62][4]~27755\ $ (GND))) # (!\led_flash_cnt[62][5]~q\ & (!\led_flash_cnt[62][4]~27755\ & VCC))
-- \led_flash_cnt[62][5]~27757\ = CARRY((\led_flash_cnt[62][5]~q\ & !\led_flash_cnt[62][4]~27755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[62][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[62][4]~27755\,
	combout => \led_flash_cnt[62][5]~27756_combout\,
	cout => \led_flash_cnt[62][5]~27757\);

-- Location: FF_X58_Y3_N21
\led_flash_cnt[62][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[62][5]~27756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[62][5]~q\);

-- Location: LCCOMB_X58_Y3_N22
\led_flash_cnt[62][6]~27758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[62][6]~27758_combout\ = (\led_flash_cnt[62][6]~q\ & (!\led_flash_cnt[62][5]~27757\)) # (!\led_flash_cnt[62][6]~q\ & ((\led_flash_cnt[62][5]~27757\) # (GND)))
-- \led_flash_cnt[62][6]~27759\ = CARRY((!\led_flash_cnt[62][5]~27757\) # (!\led_flash_cnt[62][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[62][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[62][5]~27757\,
	combout => \led_flash_cnt[62][6]~27758_combout\,
	cout => \led_flash_cnt[62][6]~27759\);

-- Location: FF_X58_Y3_N23
\led_flash_cnt[62][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[62][6]~27758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[62][6]~q\);

-- Location: LCCOMB_X58_Y3_N24
\led_flash_cnt[62][7]~27760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[62][7]~27760_combout\ = \led_flash_cnt[62][6]~27759\ $ (!\led_flash_cnt[62][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[62][7]~q\,
	cin => \led_flash_cnt[62][6]~27759\,
	combout => \led_flash_cnt[62][7]~27760_combout\);

-- Location: FF_X58_Y3_N25
\led_flash_cnt[62][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[62][7]~27760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[62][7]~q\);

-- Location: LCCOMB_X58_Y3_N30
\WideAnd62~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd62~0_combout\ = (\led_flash_cnt[62][1]~q\ & (\led_flash_cnt[62][4]~q\ & (\led_flash_cnt[62][2]~q\ & \led_flash_cnt[62][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[62][1]~q\,
	datab => \led_flash_cnt[62][4]~q\,
	datac => \led_flash_cnt[62][2]~q\,
	datad => \led_flash_cnt[62][3]~q\,
	combout => \WideAnd62~0_combout\);

-- Location: LCCOMB_X58_Y3_N28
\WideAnd62~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd62~1_combout\ = (\led_flash_cnt[62][6]~q\ & \led_flash_cnt[62][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[62][6]~q\,
	datad => \led_flash_cnt[62][5]~q\,
	combout => \WideAnd62~1_combout\);

-- Location: LCCOMB_X58_Y3_N6
WideAnd62 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd62~combout\ = (\led_flash_cnt[62][0]~q\ & (\led_flash_cnt[62][7]~q\ & (\WideAnd62~0_combout\ & \WideAnd62~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[62][0]~q\,
	datab => \led_flash_cnt[62][7]~q\,
	datac => \WideAnd62~0_combout\,
	datad => \WideAnd62~1_combout\,
	combout => \WideAnd62~combout\);

-- Location: FF_X58_Y3_N7
\led_flash_cnt_ands[62]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd62~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(62));

-- Location: LCCOMB_X58_Y3_N8
WideAnd3847 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3847~combout\ = (\WideAnd3847~0_combout\ & (led_flash_cnt_ands(63) & (\WideAnd3847~1_combout\ & led_flash_cnt_ands(62))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3847~0_combout\,
	datab => led_flash_cnt_ands(63),
	datac => \WideAnd3847~1_combout\,
	datad => led_flash_cnt_ands(62),
	combout => \WideAnd3847~combout\);

-- Location: FF_X58_Y3_N9
\led_flash_cnt_ands_1[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3847~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(7));

-- Location: LCCOMB_X27_Y30_N2
WideAnd4320 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4320~combout\ = (\WideAnd4320~0_combout\ & (\WideAnd4320~1_combout\ & (led_flash_cnt_ands_1(6) & led_flash_cnt_ands_1(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4320~0_combout\,
	datab => \WideAnd4320~1_combout\,
	datac => led_flash_cnt_ands_1(6),
	datad => led_flash_cnt_ands_1(7),
	combout => \WideAnd4320~combout\);

-- Location: FF_X27_Y30_N3
\led_flash_cnt_ands_2[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4320~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(0));

-- Location: LCCOMB_X52_Y5_N2
\led_flash_cnt[132][0]~80772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[132][0]~80772_combout\ = !\led_flash_cnt[132][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[132][0]~q\,
	combout => \led_flash_cnt[132][0]~80772_combout\);

-- Location: FF_X52_Y5_N3
\led_flash_cnt[132][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[132][0]~80772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[132][0]~q\);

-- Location: LCCOMB_X51_Y5_N18
\led_flash_cnt[132][1]~28728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[132][1]~28728_combout\ = (\led_flash_cnt[132][0]~q\ & (\led_flash_cnt[132][1]~q\ $ (VCC))) # (!\led_flash_cnt[132][0]~q\ & (\led_flash_cnt[132][1]~q\ & VCC))
-- \led_flash_cnt[132][1]~28729\ = CARRY((\led_flash_cnt[132][0]~q\ & \led_flash_cnt[132][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[132][0]~q\,
	datab => \led_flash_cnt[132][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[132][1]~28728_combout\,
	cout => \led_flash_cnt[132][1]~28729\);

-- Location: FF_X51_Y5_N19
\led_flash_cnt[132][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[132][1]~28728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[132][1]~q\);

-- Location: LCCOMB_X51_Y5_N20
\led_flash_cnt[132][2]~28730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[132][2]~28730_combout\ = (\led_flash_cnt[132][2]~q\ & (!\led_flash_cnt[132][1]~28729\)) # (!\led_flash_cnt[132][2]~q\ & ((\led_flash_cnt[132][1]~28729\) # (GND)))
-- \led_flash_cnt[132][2]~28731\ = CARRY((!\led_flash_cnt[132][1]~28729\) # (!\led_flash_cnt[132][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[132][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[132][1]~28729\,
	combout => \led_flash_cnt[132][2]~28730_combout\,
	cout => \led_flash_cnt[132][2]~28731\);

-- Location: FF_X51_Y5_N21
\led_flash_cnt[132][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[132][2]~28730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[132][2]~q\);

-- Location: LCCOMB_X51_Y5_N22
\led_flash_cnt[132][3]~28732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[132][3]~28732_combout\ = (\led_flash_cnt[132][3]~q\ & (\led_flash_cnt[132][2]~28731\ $ (GND))) # (!\led_flash_cnt[132][3]~q\ & (!\led_flash_cnt[132][2]~28731\ & VCC))
-- \led_flash_cnt[132][3]~28733\ = CARRY((\led_flash_cnt[132][3]~q\ & !\led_flash_cnt[132][2]~28731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[132][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[132][2]~28731\,
	combout => \led_flash_cnt[132][3]~28732_combout\,
	cout => \led_flash_cnt[132][3]~28733\);

-- Location: FF_X51_Y5_N23
\led_flash_cnt[132][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[132][3]~28732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[132][3]~q\);

-- Location: LCCOMB_X51_Y5_N24
\led_flash_cnt[132][4]~28734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[132][4]~28734_combout\ = (\led_flash_cnt[132][4]~q\ & (!\led_flash_cnt[132][3]~28733\)) # (!\led_flash_cnt[132][4]~q\ & ((\led_flash_cnt[132][3]~28733\) # (GND)))
-- \led_flash_cnt[132][4]~28735\ = CARRY((!\led_flash_cnt[132][3]~28733\) # (!\led_flash_cnt[132][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[132][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[132][3]~28733\,
	combout => \led_flash_cnt[132][4]~28734_combout\,
	cout => \led_flash_cnt[132][4]~28735\);

-- Location: FF_X51_Y5_N25
\led_flash_cnt[132][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[132][4]~28734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[132][4]~q\);

-- Location: LCCOMB_X51_Y5_N26
\led_flash_cnt[132][5]~28736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[132][5]~28736_combout\ = (\led_flash_cnt[132][5]~q\ & (\led_flash_cnt[132][4]~28735\ $ (GND))) # (!\led_flash_cnt[132][5]~q\ & (!\led_flash_cnt[132][4]~28735\ & VCC))
-- \led_flash_cnt[132][5]~28737\ = CARRY((\led_flash_cnt[132][5]~q\ & !\led_flash_cnt[132][4]~28735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[132][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[132][4]~28735\,
	combout => \led_flash_cnt[132][5]~28736_combout\,
	cout => \led_flash_cnt[132][5]~28737\);

-- Location: FF_X51_Y5_N27
\led_flash_cnt[132][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[132][5]~28736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[132][5]~q\);

-- Location: LCCOMB_X51_Y5_N28
\led_flash_cnt[132][6]~28738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[132][6]~28738_combout\ = (\led_flash_cnt[132][6]~q\ & (!\led_flash_cnt[132][5]~28737\)) # (!\led_flash_cnt[132][6]~q\ & ((\led_flash_cnt[132][5]~28737\) # (GND)))
-- \led_flash_cnt[132][6]~28739\ = CARRY((!\led_flash_cnt[132][5]~28737\) # (!\led_flash_cnt[132][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[132][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[132][5]~28737\,
	combout => \led_flash_cnt[132][6]~28738_combout\,
	cout => \led_flash_cnt[132][6]~28739\);

-- Location: FF_X51_Y5_N29
\led_flash_cnt[132][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[132][6]~28738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[132][6]~q\);

-- Location: LCCOMB_X51_Y5_N30
\led_flash_cnt[132][7]~28740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[132][7]~28740_combout\ = \led_flash_cnt[132][7]~q\ $ (!\led_flash_cnt[132][6]~28739\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[132][7]~q\,
	cin => \led_flash_cnt[132][6]~28739\,
	combout => \led_flash_cnt[132][7]~28740_combout\);

-- Location: FF_X51_Y5_N31
\led_flash_cnt[132][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[132][7]~28740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[132][7]~q\);

-- Location: LCCOMB_X51_Y5_N16
\WideAnd132~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd132~0_combout\ = (\led_flash_cnt[132][1]~q\ & (\led_flash_cnt[132][2]~q\ & (\led_flash_cnt[132][3]~q\ & \led_flash_cnt[132][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[132][1]~q\,
	datab => \led_flash_cnt[132][2]~q\,
	datac => \led_flash_cnt[132][3]~q\,
	datad => \led_flash_cnt[132][4]~q\,
	combout => \WideAnd132~0_combout\);

-- Location: LCCOMB_X52_Y5_N24
\WideAnd132~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd132~1_combout\ = (\led_flash_cnt[132][5]~q\ & \led_flash_cnt[132][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[132][5]~q\,
	datad => \led_flash_cnt[132][6]~q\,
	combout => \WideAnd132~1_combout\);

-- Location: LCCOMB_X52_Y5_N4
WideAnd132 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd132~combout\ = (\led_flash_cnt[132][0]~q\ & (\led_flash_cnt[132][7]~q\ & (\WideAnd132~0_combout\ & \WideAnd132~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[132][0]~q\,
	datab => \led_flash_cnt[132][7]~q\,
	datac => \WideAnd132~0_combout\,
	datad => \WideAnd132~1_combout\,
	combout => \WideAnd132~combout\);

-- Location: FF_X52_Y5_N5
\led_flash_cnt_ands[132]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd132~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(132));

-- Location: LCCOMB_X58_Y5_N18
\led_flash_cnt[133][0]~80773\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[133][0]~80773_combout\ = !\led_flash_cnt[133][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[133][0]~q\,
	combout => \led_flash_cnt[133][0]~80773_combout\);

-- Location: FF_X58_Y5_N19
\led_flash_cnt[133][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[133][0]~80773_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[133][0]~q\);

-- Location: LCCOMB_X58_Y5_N2
\led_flash_cnt[133][1]~28742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[133][1]~28742_combout\ = (\led_flash_cnt[133][1]~q\ & (\led_flash_cnt[133][0]~q\ $ (VCC))) # (!\led_flash_cnt[133][1]~q\ & (\led_flash_cnt[133][0]~q\ & VCC))
-- \led_flash_cnt[133][1]~28743\ = CARRY((\led_flash_cnt[133][1]~q\ & \led_flash_cnt[133][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[133][1]~q\,
	datab => \led_flash_cnt[133][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[133][1]~28742_combout\,
	cout => \led_flash_cnt[133][1]~28743\);

-- Location: FF_X58_Y5_N3
\led_flash_cnt[133][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[133][1]~28742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[133][1]~q\);

-- Location: LCCOMB_X58_Y5_N4
\led_flash_cnt[133][2]~28744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[133][2]~28744_combout\ = (\led_flash_cnt[133][2]~q\ & (!\led_flash_cnt[133][1]~28743\)) # (!\led_flash_cnt[133][2]~q\ & ((\led_flash_cnt[133][1]~28743\) # (GND)))
-- \led_flash_cnt[133][2]~28745\ = CARRY((!\led_flash_cnt[133][1]~28743\) # (!\led_flash_cnt[133][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[133][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[133][1]~28743\,
	combout => \led_flash_cnt[133][2]~28744_combout\,
	cout => \led_flash_cnt[133][2]~28745\);

-- Location: FF_X58_Y5_N5
\led_flash_cnt[133][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[133][2]~28744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[133][2]~q\);

-- Location: LCCOMB_X58_Y5_N6
\led_flash_cnt[133][3]~28746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[133][3]~28746_combout\ = (\led_flash_cnt[133][3]~q\ & (\led_flash_cnt[133][2]~28745\ $ (GND))) # (!\led_flash_cnt[133][3]~q\ & (!\led_flash_cnt[133][2]~28745\ & VCC))
-- \led_flash_cnt[133][3]~28747\ = CARRY((\led_flash_cnt[133][3]~q\ & !\led_flash_cnt[133][2]~28745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[133][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[133][2]~28745\,
	combout => \led_flash_cnt[133][3]~28746_combout\,
	cout => \led_flash_cnt[133][3]~28747\);

-- Location: FF_X58_Y5_N7
\led_flash_cnt[133][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[133][3]~28746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[133][3]~q\);

-- Location: LCCOMB_X58_Y5_N8
\led_flash_cnt[133][4]~28748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[133][4]~28748_combout\ = (\led_flash_cnt[133][4]~q\ & (!\led_flash_cnt[133][3]~28747\)) # (!\led_flash_cnt[133][4]~q\ & ((\led_flash_cnt[133][3]~28747\) # (GND)))
-- \led_flash_cnt[133][4]~28749\ = CARRY((!\led_flash_cnt[133][3]~28747\) # (!\led_flash_cnt[133][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[133][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[133][3]~28747\,
	combout => \led_flash_cnt[133][4]~28748_combout\,
	cout => \led_flash_cnt[133][4]~28749\);

-- Location: FF_X58_Y5_N9
\led_flash_cnt[133][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[133][4]~28748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[133][4]~q\);

-- Location: LCCOMB_X58_Y5_N22
\WideAnd133~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd133~0_combout\ = (\led_flash_cnt[133][1]~q\ & (\led_flash_cnt[133][4]~q\ & (\led_flash_cnt[133][2]~q\ & \led_flash_cnt[133][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[133][1]~q\,
	datab => \led_flash_cnt[133][4]~q\,
	datac => \led_flash_cnt[133][2]~q\,
	datad => \led_flash_cnt[133][3]~q\,
	combout => \WideAnd133~0_combout\);

-- Location: LCCOMB_X58_Y5_N10
\led_flash_cnt[133][5]~28750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[133][5]~28750_combout\ = (\led_flash_cnt[133][5]~q\ & (\led_flash_cnt[133][4]~28749\ $ (GND))) # (!\led_flash_cnt[133][5]~q\ & (!\led_flash_cnt[133][4]~28749\ & VCC))
-- \led_flash_cnt[133][5]~28751\ = CARRY((\led_flash_cnt[133][5]~q\ & !\led_flash_cnt[133][4]~28749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[133][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[133][4]~28749\,
	combout => \led_flash_cnt[133][5]~28750_combout\,
	cout => \led_flash_cnt[133][5]~28751\);

-- Location: FF_X58_Y5_N11
\led_flash_cnt[133][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[133][5]~28750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[133][5]~q\);

-- Location: LCCOMB_X58_Y5_N12
\led_flash_cnt[133][6]~28752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[133][6]~28752_combout\ = (\led_flash_cnt[133][6]~q\ & (!\led_flash_cnt[133][5]~28751\)) # (!\led_flash_cnt[133][6]~q\ & ((\led_flash_cnt[133][5]~28751\) # (GND)))
-- \led_flash_cnt[133][6]~28753\ = CARRY((!\led_flash_cnt[133][5]~28751\) # (!\led_flash_cnt[133][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[133][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[133][5]~28751\,
	combout => \led_flash_cnt[133][6]~28752_combout\,
	cout => \led_flash_cnt[133][6]~28753\);

-- Location: FF_X58_Y5_N13
\led_flash_cnt[133][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[133][6]~28752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[133][6]~q\);

-- Location: LCCOMB_X58_Y5_N24
\WideAnd133~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd133~1_combout\ = (\led_flash_cnt[133][6]~q\ & \led_flash_cnt[133][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[133][6]~q\,
	datad => \led_flash_cnt[133][5]~q\,
	combout => \WideAnd133~1_combout\);

-- Location: LCCOMB_X58_Y5_N14
\led_flash_cnt[133][7]~28754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[133][7]~28754_combout\ = \led_flash_cnt[133][7]~q\ $ (!\led_flash_cnt[133][6]~28753\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[133][7]~q\,
	cin => \led_flash_cnt[133][6]~28753\,
	combout => \led_flash_cnt[133][7]~28754_combout\);

-- Location: FF_X58_Y5_N15
\led_flash_cnt[133][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[133][7]~28754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[133][7]~q\);

-- Location: LCCOMB_X58_Y5_N16
WideAnd133 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd133~combout\ = (\WideAnd133~0_combout\ & (\WideAnd133~1_combout\ & (\led_flash_cnt[133][7]~q\ & \led_flash_cnt[133][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd133~0_combout\,
	datab => \WideAnd133~1_combout\,
	datac => \led_flash_cnt[133][7]~q\,
	datad => \led_flash_cnt[133][0]~q\,
	combout => \WideAnd133~combout\);

-- Location: FF_X58_Y5_N17
\led_flash_cnt_ands[133]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd133~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(133));

-- Location: LCCOMB_X58_Y5_N30
\WideAnd3856~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3856~1_combout\ = (led_flash_cnt_ands(132) & led_flash_cnt_ands(133))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(132),
	datad => led_flash_cnt_ands(133),
	combout => \WideAnd3856~1_combout\);

-- Location: LCCOMB_X58_Y5_N28
\led_flash_cnt[135][0]~80775\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[135][0]~80775_combout\ = !\led_flash_cnt[135][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[135][0]~q\,
	combout => \led_flash_cnt[135][0]~80775_combout\);

-- Location: FF_X58_Y5_N29
\led_flash_cnt[135][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[135][0]~80775_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[135][0]~q\);

-- Location: LCCOMB_X57_Y5_N2
\led_flash_cnt[135][1]~28770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[135][1]~28770_combout\ = (\led_flash_cnt[135][0]~q\ & (\led_flash_cnt[135][1]~q\ $ (VCC))) # (!\led_flash_cnt[135][0]~q\ & (\led_flash_cnt[135][1]~q\ & VCC))
-- \led_flash_cnt[135][1]~28771\ = CARRY((\led_flash_cnt[135][0]~q\ & \led_flash_cnt[135][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[135][0]~q\,
	datab => \led_flash_cnt[135][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[135][1]~28770_combout\,
	cout => \led_flash_cnt[135][1]~28771\);

-- Location: FF_X57_Y5_N3
\led_flash_cnt[135][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[135][1]~28770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[135][1]~q\);

-- Location: LCCOMB_X57_Y5_N4
\led_flash_cnt[135][2]~28772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[135][2]~28772_combout\ = (\led_flash_cnt[135][2]~q\ & (!\led_flash_cnt[135][1]~28771\)) # (!\led_flash_cnt[135][2]~q\ & ((\led_flash_cnt[135][1]~28771\) # (GND)))
-- \led_flash_cnt[135][2]~28773\ = CARRY((!\led_flash_cnt[135][1]~28771\) # (!\led_flash_cnt[135][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[135][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[135][1]~28771\,
	combout => \led_flash_cnt[135][2]~28772_combout\,
	cout => \led_flash_cnt[135][2]~28773\);

-- Location: FF_X57_Y5_N5
\led_flash_cnt[135][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[135][2]~28772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[135][2]~q\);

-- Location: LCCOMB_X57_Y5_N6
\led_flash_cnt[135][3]~28774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[135][3]~28774_combout\ = (\led_flash_cnt[135][3]~q\ & (\led_flash_cnt[135][2]~28773\ $ (GND))) # (!\led_flash_cnt[135][3]~q\ & (!\led_flash_cnt[135][2]~28773\ & VCC))
-- \led_flash_cnt[135][3]~28775\ = CARRY((\led_flash_cnt[135][3]~q\ & !\led_flash_cnt[135][2]~28773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[135][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[135][2]~28773\,
	combout => \led_flash_cnt[135][3]~28774_combout\,
	cout => \led_flash_cnt[135][3]~28775\);

-- Location: FF_X57_Y5_N7
\led_flash_cnt[135][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[135][3]~28774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[135][3]~q\);

-- Location: LCCOMB_X57_Y5_N8
\led_flash_cnt[135][4]~28776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[135][4]~28776_combout\ = (\led_flash_cnt[135][4]~q\ & (!\led_flash_cnt[135][3]~28775\)) # (!\led_flash_cnt[135][4]~q\ & ((\led_flash_cnt[135][3]~28775\) # (GND)))
-- \led_flash_cnt[135][4]~28777\ = CARRY((!\led_flash_cnt[135][3]~28775\) # (!\led_flash_cnt[135][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[135][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[135][3]~28775\,
	combout => \led_flash_cnt[135][4]~28776_combout\,
	cout => \led_flash_cnt[135][4]~28777\);

-- Location: FF_X57_Y5_N9
\led_flash_cnt[135][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[135][4]~28776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[135][4]~q\);

-- Location: LCCOMB_X57_Y5_N10
\led_flash_cnt[135][5]~28778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[135][5]~28778_combout\ = (\led_flash_cnt[135][5]~q\ & (\led_flash_cnt[135][4]~28777\ $ (GND))) # (!\led_flash_cnt[135][5]~q\ & (!\led_flash_cnt[135][4]~28777\ & VCC))
-- \led_flash_cnt[135][5]~28779\ = CARRY((\led_flash_cnt[135][5]~q\ & !\led_flash_cnt[135][4]~28777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[135][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[135][4]~28777\,
	combout => \led_flash_cnt[135][5]~28778_combout\,
	cout => \led_flash_cnt[135][5]~28779\);

-- Location: FF_X57_Y5_N11
\led_flash_cnt[135][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[135][5]~28778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[135][5]~q\);

-- Location: LCCOMB_X57_Y5_N12
\led_flash_cnt[135][6]~28780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[135][6]~28780_combout\ = (\led_flash_cnt[135][6]~q\ & (!\led_flash_cnt[135][5]~28779\)) # (!\led_flash_cnt[135][6]~q\ & ((\led_flash_cnt[135][5]~28779\) # (GND)))
-- \led_flash_cnt[135][6]~28781\ = CARRY((!\led_flash_cnt[135][5]~28779\) # (!\led_flash_cnt[135][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[135][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[135][5]~28779\,
	combout => \led_flash_cnt[135][6]~28780_combout\,
	cout => \led_flash_cnt[135][6]~28781\);

-- Location: FF_X57_Y5_N13
\led_flash_cnt[135][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[135][6]~28780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[135][6]~q\);

-- Location: LCCOMB_X57_Y5_N14
\led_flash_cnt[135][7]~28782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[135][7]~28782_combout\ = \led_flash_cnt[135][7]~q\ $ (!\led_flash_cnt[135][6]~28781\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[135][7]~q\,
	cin => \led_flash_cnt[135][6]~28781\,
	combout => \led_flash_cnt[135][7]~28782_combout\);

-- Location: FF_X57_Y5_N15
\led_flash_cnt[135][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[135][7]~28782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[135][7]~q\);

-- Location: LCCOMB_X57_Y5_N30
\WideAnd135~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd135~0_combout\ = (\led_flash_cnt[135][3]~q\ & (\led_flash_cnt[135][4]~q\ & (\led_flash_cnt[135][2]~q\ & \led_flash_cnt[135][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[135][3]~q\,
	datab => \led_flash_cnt[135][4]~q\,
	datac => \led_flash_cnt[135][2]~q\,
	datad => \led_flash_cnt[135][1]~q\,
	combout => \WideAnd135~0_combout\);

-- Location: LCCOMB_X58_Y5_N26
\WideAnd135~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd135~1_combout\ = (\led_flash_cnt[135][6]~q\ & \led_flash_cnt[135][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[135][6]~q\,
	datad => \led_flash_cnt[135][5]~q\,
	combout => \WideAnd135~1_combout\);

-- Location: LCCOMB_X58_Y5_N20
WideAnd135 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd135~combout\ = (\led_flash_cnt[135][7]~q\ & (\WideAnd135~0_combout\ & (\WideAnd135~1_combout\ & \led_flash_cnt[135][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[135][7]~q\,
	datab => \WideAnd135~0_combout\,
	datac => \WideAnd135~1_combout\,
	datad => \led_flash_cnt[135][0]~q\,
	combout => \WideAnd135~combout\);

-- Location: FF_X58_Y5_N21
\led_flash_cnt_ands[135]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd135~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(135));

-- Location: LCCOMB_X62_Y9_N30
\led_flash_cnt[130][0]~80770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[130][0]~80770_combout\ = !\led_flash_cnt[130][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[130][0]~q\,
	combout => \led_flash_cnt[130][0]~80770_combout\);

-- Location: FF_X62_Y9_N31
\led_flash_cnt[130][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[130][0]~80770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[130][0]~q\);

-- Location: LCCOMB_X61_Y11_N14
\led_flash_cnt[130][1]~28700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[130][1]~28700_combout\ = (\led_flash_cnt[130][0]~q\ & (\led_flash_cnt[130][1]~q\ $ (VCC))) # (!\led_flash_cnt[130][0]~q\ & (\led_flash_cnt[130][1]~q\ & VCC))
-- \led_flash_cnt[130][1]~28701\ = CARRY((\led_flash_cnt[130][0]~q\ & \led_flash_cnt[130][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[130][0]~q\,
	datab => \led_flash_cnt[130][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[130][1]~28700_combout\,
	cout => \led_flash_cnt[130][1]~28701\);

-- Location: FF_X61_Y11_N15
\led_flash_cnt[130][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[130][1]~28700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[130][1]~q\);

-- Location: LCCOMB_X61_Y11_N16
\led_flash_cnt[130][2]~28702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[130][2]~28702_combout\ = (\led_flash_cnt[130][2]~q\ & (!\led_flash_cnt[130][1]~28701\)) # (!\led_flash_cnt[130][2]~q\ & ((\led_flash_cnt[130][1]~28701\) # (GND)))
-- \led_flash_cnt[130][2]~28703\ = CARRY((!\led_flash_cnt[130][1]~28701\) # (!\led_flash_cnt[130][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[130][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[130][1]~28701\,
	combout => \led_flash_cnt[130][2]~28702_combout\,
	cout => \led_flash_cnt[130][2]~28703\);

-- Location: FF_X61_Y11_N17
\led_flash_cnt[130][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[130][2]~28702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[130][2]~q\);

-- Location: LCCOMB_X61_Y11_N18
\led_flash_cnt[130][3]~28704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[130][3]~28704_combout\ = (\led_flash_cnt[130][3]~q\ & (\led_flash_cnt[130][2]~28703\ $ (GND))) # (!\led_flash_cnt[130][3]~q\ & (!\led_flash_cnt[130][2]~28703\ & VCC))
-- \led_flash_cnt[130][3]~28705\ = CARRY((\led_flash_cnt[130][3]~q\ & !\led_flash_cnt[130][2]~28703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[130][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[130][2]~28703\,
	combout => \led_flash_cnt[130][3]~28704_combout\,
	cout => \led_flash_cnt[130][3]~28705\);

-- Location: FF_X61_Y11_N19
\led_flash_cnt[130][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[130][3]~28704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[130][3]~q\);

-- Location: LCCOMB_X61_Y11_N20
\led_flash_cnt[130][4]~28706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[130][4]~28706_combout\ = (\led_flash_cnt[130][4]~q\ & (!\led_flash_cnt[130][3]~28705\)) # (!\led_flash_cnt[130][4]~q\ & ((\led_flash_cnt[130][3]~28705\) # (GND)))
-- \led_flash_cnt[130][4]~28707\ = CARRY((!\led_flash_cnt[130][3]~28705\) # (!\led_flash_cnt[130][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[130][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[130][3]~28705\,
	combout => \led_flash_cnt[130][4]~28706_combout\,
	cout => \led_flash_cnt[130][4]~28707\);

-- Location: FF_X61_Y11_N21
\led_flash_cnt[130][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[130][4]~28706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[130][4]~q\);

-- Location: LCCOMB_X61_Y11_N22
\led_flash_cnt[130][5]~28708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[130][5]~28708_combout\ = (\led_flash_cnt[130][5]~q\ & (\led_flash_cnt[130][4]~28707\ $ (GND))) # (!\led_flash_cnt[130][5]~q\ & (!\led_flash_cnt[130][4]~28707\ & VCC))
-- \led_flash_cnt[130][5]~28709\ = CARRY((\led_flash_cnt[130][5]~q\ & !\led_flash_cnt[130][4]~28707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[130][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[130][4]~28707\,
	combout => \led_flash_cnt[130][5]~28708_combout\,
	cout => \led_flash_cnt[130][5]~28709\);

-- Location: FF_X61_Y11_N23
\led_flash_cnt[130][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[130][5]~28708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[130][5]~q\);

-- Location: LCCOMB_X61_Y11_N24
\led_flash_cnt[130][6]~28710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[130][6]~28710_combout\ = (\led_flash_cnt[130][6]~q\ & (!\led_flash_cnt[130][5]~28709\)) # (!\led_flash_cnt[130][6]~q\ & ((\led_flash_cnt[130][5]~28709\) # (GND)))
-- \led_flash_cnt[130][6]~28711\ = CARRY((!\led_flash_cnt[130][5]~28709\) # (!\led_flash_cnt[130][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[130][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[130][5]~28709\,
	combout => \led_flash_cnt[130][6]~28710_combout\,
	cout => \led_flash_cnt[130][6]~28711\);

-- Location: FF_X61_Y11_N25
\led_flash_cnt[130][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[130][6]~28710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[130][6]~q\);

-- Location: LCCOMB_X61_Y11_N26
\led_flash_cnt[130][7]~28712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[130][7]~28712_combout\ = \led_flash_cnt[130][7]~q\ $ (!\led_flash_cnt[130][6]~28711\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[130][7]~q\,
	cin => \led_flash_cnt[130][6]~28711\,
	combout => \led_flash_cnt[130][7]~28712_combout\);

-- Location: FF_X61_Y11_N27
\led_flash_cnt[130][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[130][7]~28712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[130][7]~q\);

-- Location: LCCOMB_X62_Y9_N28
\WideAnd130~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd130~1_combout\ = (\led_flash_cnt[130][6]~q\ & \led_flash_cnt[130][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[130][6]~q\,
	datac => \led_flash_cnt[130][5]~q\,
	combout => \WideAnd130~1_combout\);

-- Location: LCCOMB_X61_Y11_N30
\WideAnd130~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd130~0_combout\ = (\led_flash_cnt[130][4]~q\ & (\led_flash_cnt[130][3]~q\ & (\led_flash_cnt[130][1]~q\ & \led_flash_cnt[130][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[130][4]~q\,
	datab => \led_flash_cnt[130][3]~q\,
	datac => \led_flash_cnt[130][1]~q\,
	datad => \led_flash_cnt[130][2]~q\,
	combout => \WideAnd130~0_combout\);

-- Location: LCCOMB_X62_Y9_N10
WideAnd130 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd130~combout\ = (\led_flash_cnt[130][7]~q\ & (\WideAnd130~1_combout\ & (\led_flash_cnt[130][0]~q\ & \WideAnd130~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[130][7]~q\,
	datab => \WideAnd130~1_combout\,
	datac => \led_flash_cnt[130][0]~q\,
	datad => \WideAnd130~0_combout\,
	combout => \WideAnd130~combout\);

-- Location: FF_X62_Y9_N11
\led_flash_cnt_ands[130]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd130~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(130));

-- Location: LCCOMB_X62_Y9_N22
\led_flash_cnt[129][0]~80769\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[129][0]~80769_combout\ = !\led_flash_cnt[129][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[129][0]~q\,
	combout => \led_flash_cnt[129][0]~80769_combout\);

-- Location: FF_X62_Y9_N23
\led_flash_cnt[129][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[129][0]~80769_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[129][0]~q\);

-- Location: LCCOMB_X62_Y7_N16
\led_flash_cnt[129][1]~28686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[129][1]~28686_combout\ = (\led_flash_cnt[129][0]~q\ & (\led_flash_cnt[129][1]~q\ $ (VCC))) # (!\led_flash_cnt[129][0]~q\ & (\led_flash_cnt[129][1]~q\ & VCC))
-- \led_flash_cnt[129][1]~28687\ = CARRY((\led_flash_cnt[129][0]~q\ & \led_flash_cnt[129][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[129][0]~q\,
	datab => \led_flash_cnt[129][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[129][1]~28686_combout\,
	cout => \led_flash_cnt[129][1]~28687\);

-- Location: FF_X62_Y7_N17
\led_flash_cnt[129][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[129][1]~28686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[129][1]~q\);

-- Location: LCCOMB_X62_Y7_N18
\led_flash_cnt[129][2]~28688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[129][2]~28688_combout\ = (\led_flash_cnt[129][2]~q\ & (!\led_flash_cnt[129][1]~28687\)) # (!\led_flash_cnt[129][2]~q\ & ((\led_flash_cnt[129][1]~28687\) # (GND)))
-- \led_flash_cnt[129][2]~28689\ = CARRY((!\led_flash_cnt[129][1]~28687\) # (!\led_flash_cnt[129][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[129][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[129][1]~28687\,
	combout => \led_flash_cnt[129][2]~28688_combout\,
	cout => \led_flash_cnt[129][2]~28689\);

-- Location: FF_X62_Y7_N19
\led_flash_cnt[129][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[129][2]~28688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[129][2]~q\);

-- Location: LCCOMB_X62_Y7_N20
\led_flash_cnt[129][3]~28690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[129][3]~28690_combout\ = (\led_flash_cnt[129][3]~q\ & (\led_flash_cnt[129][2]~28689\ $ (GND))) # (!\led_flash_cnt[129][3]~q\ & (!\led_flash_cnt[129][2]~28689\ & VCC))
-- \led_flash_cnt[129][3]~28691\ = CARRY((\led_flash_cnt[129][3]~q\ & !\led_flash_cnt[129][2]~28689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[129][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[129][2]~28689\,
	combout => \led_flash_cnt[129][3]~28690_combout\,
	cout => \led_flash_cnt[129][3]~28691\);

-- Location: FF_X62_Y7_N21
\led_flash_cnt[129][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[129][3]~28690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[129][3]~q\);

-- Location: LCCOMB_X62_Y7_N22
\led_flash_cnt[129][4]~28692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[129][4]~28692_combout\ = (\led_flash_cnt[129][4]~q\ & (!\led_flash_cnt[129][3]~28691\)) # (!\led_flash_cnt[129][4]~q\ & ((\led_flash_cnt[129][3]~28691\) # (GND)))
-- \led_flash_cnt[129][4]~28693\ = CARRY((!\led_flash_cnt[129][3]~28691\) # (!\led_flash_cnt[129][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[129][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[129][3]~28691\,
	combout => \led_flash_cnt[129][4]~28692_combout\,
	cout => \led_flash_cnt[129][4]~28693\);

-- Location: FF_X62_Y7_N23
\led_flash_cnt[129][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[129][4]~28692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[129][4]~q\);

-- Location: LCCOMB_X62_Y7_N24
\led_flash_cnt[129][5]~28694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[129][5]~28694_combout\ = (\led_flash_cnt[129][5]~q\ & (\led_flash_cnt[129][4]~28693\ $ (GND))) # (!\led_flash_cnt[129][5]~q\ & (!\led_flash_cnt[129][4]~28693\ & VCC))
-- \led_flash_cnt[129][5]~28695\ = CARRY((\led_flash_cnt[129][5]~q\ & !\led_flash_cnt[129][4]~28693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[129][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[129][4]~28693\,
	combout => \led_flash_cnt[129][5]~28694_combout\,
	cout => \led_flash_cnt[129][5]~28695\);

-- Location: FF_X62_Y7_N25
\led_flash_cnt[129][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[129][5]~28694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[129][5]~q\);

-- Location: LCCOMB_X62_Y7_N26
\led_flash_cnt[129][6]~28696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[129][6]~28696_combout\ = (\led_flash_cnt[129][6]~q\ & (!\led_flash_cnt[129][5]~28695\)) # (!\led_flash_cnt[129][6]~q\ & ((\led_flash_cnt[129][5]~28695\) # (GND)))
-- \led_flash_cnt[129][6]~28697\ = CARRY((!\led_flash_cnt[129][5]~28695\) # (!\led_flash_cnt[129][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[129][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[129][5]~28695\,
	combout => \led_flash_cnt[129][6]~28696_combout\,
	cout => \led_flash_cnt[129][6]~28697\);

-- Location: FF_X62_Y7_N27
\led_flash_cnt[129][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[129][6]~28696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[129][6]~q\);

-- Location: LCCOMB_X62_Y7_N28
\led_flash_cnt[129][7]~28698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[129][7]~28698_combout\ = \led_flash_cnt[129][6]~28697\ $ (!\led_flash_cnt[129][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[129][7]~q\,
	cin => \led_flash_cnt[129][6]~28697\,
	combout => \led_flash_cnt[129][7]~28698_combout\);

-- Location: FF_X62_Y7_N29
\led_flash_cnt[129][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[129][7]~28698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[129][7]~q\);

-- Location: LCCOMB_X62_Y7_N30
\WideAnd129~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd129~0_combout\ = (\led_flash_cnt[129][3]~q\ & (\led_flash_cnt[129][2]~q\ & (\led_flash_cnt[129][4]~q\ & \led_flash_cnt[129][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[129][3]~q\,
	datab => \led_flash_cnt[129][2]~q\,
	datac => \led_flash_cnt[129][4]~q\,
	datad => \led_flash_cnt[129][1]~q\,
	combout => \WideAnd129~0_combout\);

-- Location: LCCOMB_X62_Y9_N20
\WideAnd129~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd129~1_combout\ = (\led_flash_cnt[129][6]~q\ & \led_flash_cnt[129][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[129][6]~q\,
	datac => \led_flash_cnt[129][5]~q\,
	combout => \WideAnd129~1_combout\);

-- Location: LCCOMB_X62_Y9_N24
WideAnd129 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd129~combout\ = (\led_flash_cnt[129][7]~q\ & (\WideAnd129~0_combout\ & (\led_flash_cnt[129][0]~q\ & \WideAnd129~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[129][7]~q\,
	datab => \WideAnd129~0_combout\,
	datac => \led_flash_cnt[129][0]~q\,
	datad => \WideAnd129~1_combout\,
	combout => \WideAnd129~combout\);

-- Location: FF_X62_Y9_N25
\led_flash_cnt_ands[129]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd129~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(129));

-- Location: LCCOMB_X62_Y9_N6
\led_flash_cnt[131][0]~80771\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[131][0]~80771_combout\ = !\led_flash_cnt[131][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[131][0]~q\,
	combout => \led_flash_cnt[131][0]~80771_combout\);

-- Location: FF_X62_Y9_N7
\led_flash_cnt[131][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[131][0]~80771_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[131][0]~q\);

-- Location: LCCOMB_X63_Y9_N14
\led_flash_cnt[131][1]~28714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[131][1]~28714_combout\ = (\led_flash_cnt[131][0]~q\ & (\led_flash_cnt[131][1]~q\ $ (VCC))) # (!\led_flash_cnt[131][0]~q\ & (\led_flash_cnt[131][1]~q\ & VCC))
-- \led_flash_cnt[131][1]~28715\ = CARRY((\led_flash_cnt[131][0]~q\ & \led_flash_cnt[131][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[131][0]~q\,
	datab => \led_flash_cnt[131][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[131][1]~28714_combout\,
	cout => \led_flash_cnt[131][1]~28715\);

-- Location: FF_X63_Y9_N15
\led_flash_cnt[131][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[131][1]~28714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[131][1]~q\);

-- Location: LCCOMB_X63_Y9_N16
\led_flash_cnt[131][2]~28716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[131][2]~28716_combout\ = (\led_flash_cnt[131][2]~q\ & (!\led_flash_cnt[131][1]~28715\)) # (!\led_flash_cnt[131][2]~q\ & ((\led_flash_cnt[131][1]~28715\) # (GND)))
-- \led_flash_cnt[131][2]~28717\ = CARRY((!\led_flash_cnt[131][1]~28715\) # (!\led_flash_cnt[131][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[131][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[131][1]~28715\,
	combout => \led_flash_cnt[131][2]~28716_combout\,
	cout => \led_flash_cnt[131][2]~28717\);

-- Location: FF_X63_Y9_N17
\led_flash_cnt[131][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[131][2]~28716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[131][2]~q\);

-- Location: LCCOMB_X63_Y9_N18
\led_flash_cnt[131][3]~28718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[131][3]~28718_combout\ = (\led_flash_cnt[131][3]~q\ & (\led_flash_cnt[131][2]~28717\ $ (GND))) # (!\led_flash_cnt[131][3]~q\ & (!\led_flash_cnt[131][2]~28717\ & VCC))
-- \led_flash_cnt[131][3]~28719\ = CARRY((\led_flash_cnt[131][3]~q\ & !\led_flash_cnt[131][2]~28717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[131][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[131][2]~28717\,
	combout => \led_flash_cnt[131][3]~28718_combout\,
	cout => \led_flash_cnt[131][3]~28719\);

-- Location: FF_X63_Y9_N19
\led_flash_cnt[131][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[131][3]~28718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[131][3]~q\);

-- Location: LCCOMB_X63_Y9_N20
\led_flash_cnt[131][4]~28720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[131][4]~28720_combout\ = (\led_flash_cnt[131][4]~q\ & (!\led_flash_cnt[131][3]~28719\)) # (!\led_flash_cnt[131][4]~q\ & ((\led_flash_cnt[131][3]~28719\) # (GND)))
-- \led_flash_cnt[131][4]~28721\ = CARRY((!\led_flash_cnt[131][3]~28719\) # (!\led_flash_cnt[131][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[131][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[131][3]~28719\,
	combout => \led_flash_cnt[131][4]~28720_combout\,
	cout => \led_flash_cnt[131][4]~28721\);

-- Location: FF_X63_Y9_N21
\led_flash_cnt[131][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[131][4]~28720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[131][4]~q\);

-- Location: LCCOMB_X63_Y9_N28
\WideAnd131~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd131~0_combout\ = (\led_flash_cnt[131][4]~q\ & (\led_flash_cnt[131][3]~q\ & (\led_flash_cnt[131][1]~q\ & \led_flash_cnt[131][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[131][4]~q\,
	datab => \led_flash_cnt[131][3]~q\,
	datac => \led_flash_cnt[131][1]~q\,
	datad => \led_flash_cnt[131][2]~q\,
	combout => \WideAnd131~0_combout\);

-- Location: LCCOMB_X63_Y9_N22
\led_flash_cnt[131][5]~28722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[131][5]~28722_combout\ = (\led_flash_cnt[131][5]~q\ & (\led_flash_cnt[131][4]~28721\ $ (GND))) # (!\led_flash_cnt[131][5]~q\ & (!\led_flash_cnt[131][4]~28721\ & VCC))
-- \led_flash_cnt[131][5]~28723\ = CARRY((\led_flash_cnt[131][5]~q\ & !\led_flash_cnt[131][4]~28721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[131][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[131][4]~28721\,
	combout => \led_flash_cnt[131][5]~28722_combout\,
	cout => \led_flash_cnt[131][5]~28723\);

-- Location: FF_X63_Y9_N23
\led_flash_cnt[131][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[131][5]~28722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[131][5]~q\);

-- Location: LCCOMB_X63_Y9_N24
\led_flash_cnt[131][6]~28724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[131][6]~28724_combout\ = (\led_flash_cnt[131][6]~q\ & (!\led_flash_cnt[131][5]~28723\)) # (!\led_flash_cnt[131][6]~q\ & ((\led_flash_cnt[131][5]~28723\) # (GND)))
-- \led_flash_cnt[131][6]~28725\ = CARRY((!\led_flash_cnt[131][5]~28723\) # (!\led_flash_cnt[131][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[131][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[131][5]~28723\,
	combout => \led_flash_cnt[131][6]~28724_combout\,
	cout => \led_flash_cnt[131][6]~28725\);

-- Location: FF_X63_Y9_N25
\led_flash_cnt[131][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[131][6]~28724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[131][6]~q\);

-- Location: LCCOMB_X62_Y9_N4
\WideAnd131~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd131~1_combout\ = (\led_flash_cnt[131][6]~q\ & \led_flash_cnt[131][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[131][6]~q\,
	datad => \led_flash_cnt[131][5]~q\,
	combout => \WideAnd131~1_combout\);

-- Location: LCCOMB_X63_Y9_N26
\led_flash_cnt[131][7]~28726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[131][7]~28726_combout\ = \led_flash_cnt[131][7]~q\ $ (!\led_flash_cnt[131][6]~28725\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[131][7]~q\,
	cin => \led_flash_cnt[131][6]~28725\,
	combout => \led_flash_cnt[131][7]~28726_combout\);

-- Location: FF_X63_Y9_N27
\led_flash_cnt[131][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[131][7]~28726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[131][7]~q\);

-- Location: LCCOMB_X62_Y9_N26
WideAnd131 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd131~combout\ = (\led_flash_cnt[131][0]~q\ & (\WideAnd131~0_combout\ & (\WideAnd131~1_combout\ & \led_flash_cnt[131][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[131][0]~q\,
	datab => \WideAnd131~0_combout\,
	datac => \WideAnd131~1_combout\,
	datad => \led_flash_cnt[131][7]~q\,
	combout => \WideAnd131~combout\);

-- Location: FF_X62_Y9_N27
\led_flash_cnt_ands[131]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd131~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(131));

-- Location: LCCOMB_X62_Y9_N16
\led_flash_cnt[128][0]~80768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[128][0]~80768_combout\ = !\led_flash_cnt[128][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[128][0]~q\,
	combout => \led_flash_cnt[128][0]~80768_combout\);

-- Location: FF_X62_Y9_N17
\led_flash_cnt[128][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[128][0]~80768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[128][0]~q\);

-- Location: LCCOMB_X61_Y9_N18
\led_flash_cnt[128][1]~28672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[128][1]~28672_combout\ = (\led_flash_cnt[128][1]~q\ & (\led_flash_cnt[128][0]~q\ $ (VCC))) # (!\led_flash_cnt[128][1]~q\ & (\led_flash_cnt[128][0]~q\ & VCC))
-- \led_flash_cnt[128][1]~28673\ = CARRY((\led_flash_cnt[128][1]~q\ & \led_flash_cnt[128][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[128][1]~q\,
	datab => \led_flash_cnt[128][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[128][1]~28672_combout\,
	cout => \led_flash_cnt[128][1]~28673\);

-- Location: FF_X61_Y9_N19
\led_flash_cnt[128][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[128][1]~28672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[128][1]~q\);

-- Location: LCCOMB_X61_Y9_N20
\led_flash_cnt[128][2]~28674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[128][2]~28674_combout\ = (\led_flash_cnt[128][2]~q\ & (!\led_flash_cnt[128][1]~28673\)) # (!\led_flash_cnt[128][2]~q\ & ((\led_flash_cnt[128][1]~28673\) # (GND)))
-- \led_flash_cnt[128][2]~28675\ = CARRY((!\led_flash_cnt[128][1]~28673\) # (!\led_flash_cnt[128][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[128][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[128][1]~28673\,
	combout => \led_flash_cnt[128][2]~28674_combout\,
	cout => \led_flash_cnt[128][2]~28675\);

-- Location: FF_X61_Y9_N21
\led_flash_cnt[128][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[128][2]~28674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[128][2]~q\);

-- Location: LCCOMB_X61_Y9_N22
\led_flash_cnt[128][3]~28676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[128][3]~28676_combout\ = (\led_flash_cnt[128][3]~q\ & (\led_flash_cnt[128][2]~28675\ $ (GND))) # (!\led_flash_cnt[128][3]~q\ & (!\led_flash_cnt[128][2]~28675\ & VCC))
-- \led_flash_cnt[128][3]~28677\ = CARRY((\led_flash_cnt[128][3]~q\ & !\led_flash_cnt[128][2]~28675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[128][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[128][2]~28675\,
	combout => \led_flash_cnt[128][3]~28676_combout\,
	cout => \led_flash_cnt[128][3]~28677\);

-- Location: FF_X61_Y9_N23
\led_flash_cnt[128][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[128][3]~28676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[128][3]~q\);

-- Location: LCCOMB_X61_Y9_N24
\led_flash_cnt[128][4]~28678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[128][4]~28678_combout\ = (\led_flash_cnt[128][4]~q\ & (!\led_flash_cnt[128][3]~28677\)) # (!\led_flash_cnt[128][4]~q\ & ((\led_flash_cnt[128][3]~28677\) # (GND)))
-- \led_flash_cnt[128][4]~28679\ = CARRY((!\led_flash_cnt[128][3]~28677\) # (!\led_flash_cnt[128][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[128][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[128][3]~28677\,
	combout => \led_flash_cnt[128][4]~28678_combout\,
	cout => \led_flash_cnt[128][4]~28679\);

-- Location: FF_X61_Y9_N25
\led_flash_cnt[128][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[128][4]~28678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[128][4]~q\);

-- Location: LCCOMB_X61_Y9_N26
\led_flash_cnt[128][5]~28680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[128][5]~28680_combout\ = (\led_flash_cnt[128][5]~q\ & (\led_flash_cnt[128][4]~28679\ $ (GND))) # (!\led_flash_cnt[128][5]~q\ & (!\led_flash_cnt[128][4]~28679\ & VCC))
-- \led_flash_cnt[128][5]~28681\ = CARRY((\led_flash_cnt[128][5]~q\ & !\led_flash_cnt[128][4]~28679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[128][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[128][4]~28679\,
	combout => \led_flash_cnt[128][5]~28680_combout\,
	cout => \led_flash_cnt[128][5]~28681\);

-- Location: FF_X61_Y9_N27
\led_flash_cnt[128][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[128][5]~28680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[128][5]~q\);

-- Location: LCCOMB_X61_Y9_N28
\led_flash_cnt[128][6]~28682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[128][6]~28682_combout\ = (\led_flash_cnt[128][6]~q\ & (!\led_flash_cnt[128][5]~28681\)) # (!\led_flash_cnt[128][6]~q\ & ((\led_flash_cnt[128][5]~28681\) # (GND)))
-- \led_flash_cnt[128][6]~28683\ = CARRY((!\led_flash_cnt[128][5]~28681\) # (!\led_flash_cnt[128][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[128][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[128][5]~28681\,
	combout => \led_flash_cnt[128][6]~28682_combout\,
	cout => \led_flash_cnt[128][6]~28683\);

-- Location: FF_X61_Y9_N29
\led_flash_cnt[128][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[128][6]~28682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[128][6]~q\);

-- Location: LCCOMB_X62_Y9_N12
\WideAnd128~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd128~1_combout\ = (\led_flash_cnt[128][5]~q\ & \led_flash_cnt[128][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[128][5]~q\,
	datad => \led_flash_cnt[128][6]~q\,
	combout => \WideAnd128~1_combout\);

-- Location: LCCOMB_X61_Y9_N30
\led_flash_cnt[128][7]~28684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[128][7]~28684_combout\ = \led_flash_cnt[128][7]~q\ $ (!\led_flash_cnt[128][6]~28683\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[128][7]~q\,
	cin => \led_flash_cnt[128][6]~28683\,
	combout => \led_flash_cnt[128][7]~28684_combout\);

-- Location: FF_X61_Y9_N31
\led_flash_cnt[128][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[128][7]~28684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[128][7]~q\);

-- Location: LCCOMB_X61_Y9_N0
\WideAnd128~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd128~0_combout\ = (\led_flash_cnt[128][1]~q\ & (\led_flash_cnt[128][2]~q\ & (\led_flash_cnt[128][3]~q\ & \led_flash_cnt[128][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[128][1]~q\,
	datab => \led_flash_cnt[128][2]~q\,
	datac => \led_flash_cnt[128][3]~q\,
	datad => \led_flash_cnt[128][4]~q\,
	combout => \WideAnd128~0_combout\);

-- Location: LCCOMB_X62_Y9_N18
WideAnd128 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd128~combout\ = (\WideAnd128~1_combout\ & (\led_flash_cnt[128][7]~q\ & (\WideAnd128~0_combout\ & \led_flash_cnt[128][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd128~1_combout\,
	datab => \led_flash_cnt[128][7]~q\,
	datac => \WideAnd128~0_combout\,
	datad => \led_flash_cnt[128][0]~q\,
	combout => \WideAnd128~combout\);

-- Location: FF_X62_Y9_N19
\led_flash_cnt_ands[128]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd128~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(128));

-- Location: LCCOMB_X62_Y9_N8
\WideAnd3856~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3856~0_combout\ = (led_flash_cnt_ands(130) & (led_flash_cnt_ands(129) & (led_flash_cnt_ands(131) & led_flash_cnt_ands(128))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(130),
	datab => led_flash_cnt_ands(129),
	datac => led_flash_cnt_ands(131),
	datad => led_flash_cnt_ands(128),
	combout => \WideAnd3856~0_combout\);

-- Location: LCCOMB_X58_Y16_N2
\led_flash_cnt[134][0]~80774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[134][0]~80774_combout\ = !\led_flash_cnt[134][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[134][0]~q\,
	combout => \led_flash_cnt[134][0]~80774_combout\);

-- Location: FF_X58_Y16_N3
\led_flash_cnt[134][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[134][0]~80774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[134][0]~q\);

-- Location: LCCOMB_X57_Y16_N0
\led_flash_cnt[134][1]~28756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[134][1]~28756_combout\ = (\led_flash_cnt[134][0]~q\ & (\led_flash_cnt[134][1]~q\ $ (VCC))) # (!\led_flash_cnt[134][0]~q\ & (\led_flash_cnt[134][1]~q\ & VCC))
-- \led_flash_cnt[134][1]~28757\ = CARRY((\led_flash_cnt[134][0]~q\ & \led_flash_cnt[134][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[134][0]~q\,
	datab => \led_flash_cnt[134][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[134][1]~28756_combout\,
	cout => \led_flash_cnt[134][1]~28757\);

-- Location: FF_X57_Y16_N1
\led_flash_cnt[134][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[134][1]~28756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[134][1]~q\);

-- Location: LCCOMB_X57_Y16_N2
\led_flash_cnt[134][2]~28758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[134][2]~28758_combout\ = (\led_flash_cnt[134][2]~q\ & (!\led_flash_cnt[134][1]~28757\)) # (!\led_flash_cnt[134][2]~q\ & ((\led_flash_cnt[134][1]~28757\) # (GND)))
-- \led_flash_cnt[134][2]~28759\ = CARRY((!\led_flash_cnt[134][1]~28757\) # (!\led_flash_cnt[134][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[134][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[134][1]~28757\,
	combout => \led_flash_cnt[134][2]~28758_combout\,
	cout => \led_flash_cnt[134][2]~28759\);

-- Location: FF_X57_Y16_N3
\led_flash_cnt[134][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[134][2]~28758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[134][2]~q\);

-- Location: LCCOMB_X57_Y16_N4
\led_flash_cnt[134][3]~28760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[134][3]~28760_combout\ = (\led_flash_cnt[134][3]~q\ & (\led_flash_cnt[134][2]~28759\ $ (GND))) # (!\led_flash_cnt[134][3]~q\ & (!\led_flash_cnt[134][2]~28759\ & VCC))
-- \led_flash_cnt[134][3]~28761\ = CARRY((\led_flash_cnt[134][3]~q\ & !\led_flash_cnt[134][2]~28759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[134][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[134][2]~28759\,
	combout => \led_flash_cnt[134][3]~28760_combout\,
	cout => \led_flash_cnt[134][3]~28761\);

-- Location: FF_X57_Y16_N5
\led_flash_cnt[134][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[134][3]~28760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[134][3]~q\);

-- Location: LCCOMB_X57_Y16_N6
\led_flash_cnt[134][4]~28762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[134][4]~28762_combout\ = (\led_flash_cnt[134][4]~q\ & (!\led_flash_cnt[134][3]~28761\)) # (!\led_flash_cnt[134][4]~q\ & ((\led_flash_cnt[134][3]~28761\) # (GND)))
-- \led_flash_cnt[134][4]~28763\ = CARRY((!\led_flash_cnt[134][3]~28761\) # (!\led_flash_cnt[134][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[134][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[134][3]~28761\,
	combout => \led_flash_cnt[134][4]~28762_combout\,
	cout => \led_flash_cnt[134][4]~28763\);

-- Location: FF_X57_Y16_N7
\led_flash_cnt[134][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[134][4]~28762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[134][4]~q\);

-- Location: LCCOMB_X57_Y16_N8
\led_flash_cnt[134][5]~28764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[134][5]~28764_combout\ = (\led_flash_cnt[134][5]~q\ & (\led_flash_cnt[134][4]~28763\ $ (GND))) # (!\led_flash_cnt[134][5]~q\ & (!\led_flash_cnt[134][4]~28763\ & VCC))
-- \led_flash_cnt[134][5]~28765\ = CARRY((\led_flash_cnt[134][5]~q\ & !\led_flash_cnt[134][4]~28763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[134][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[134][4]~28763\,
	combout => \led_flash_cnt[134][5]~28764_combout\,
	cout => \led_flash_cnt[134][5]~28765\);

-- Location: FF_X57_Y16_N9
\led_flash_cnt[134][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[134][5]~28764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[134][5]~q\);

-- Location: LCCOMB_X57_Y16_N10
\led_flash_cnt[134][6]~28766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[134][6]~28766_combout\ = (\led_flash_cnt[134][6]~q\ & (!\led_flash_cnt[134][5]~28765\)) # (!\led_flash_cnt[134][6]~q\ & ((\led_flash_cnt[134][5]~28765\) # (GND)))
-- \led_flash_cnt[134][6]~28767\ = CARRY((!\led_flash_cnt[134][5]~28765\) # (!\led_flash_cnt[134][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[134][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[134][5]~28765\,
	combout => \led_flash_cnt[134][6]~28766_combout\,
	cout => \led_flash_cnt[134][6]~28767\);

-- Location: FF_X57_Y16_N11
\led_flash_cnt[134][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[134][6]~28766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[134][6]~q\);

-- Location: LCCOMB_X57_Y16_N12
\led_flash_cnt[134][7]~28768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[134][7]~28768_combout\ = \led_flash_cnt[134][6]~28767\ $ (!\led_flash_cnt[134][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[134][7]~q\,
	cin => \led_flash_cnt[134][6]~28767\,
	combout => \led_flash_cnt[134][7]~28768_combout\);

-- Location: FF_X57_Y16_N13
\led_flash_cnt[134][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[134][7]~28768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[134][7]~q\);

-- Location: LCCOMB_X58_Y16_N8
\WideAnd134~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd134~0_combout\ = (\led_flash_cnt[134][1]~q\ & (\led_flash_cnt[134][4]~q\ & (\led_flash_cnt[134][3]~q\ & \led_flash_cnt[134][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[134][1]~q\,
	datab => \led_flash_cnt[134][4]~q\,
	datac => \led_flash_cnt[134][3]~q\,
	datad => \led_flash_cnt[134][2]~q\,
	combout => \WideAnd134~0_combout\);

-- Location: LCCOMB_X58_Y16_N4
\WideAnd134~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd134~1_combout\ = (\led_flash_cnt[134][5]~q\ & \led_flash_cnt[134][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[134][5]~q\,
	datad => \led_flash_cnt[134][6]~q\,
	combout => \WideAnd134~1_combout\);

-- Location: LCCOMB_X58_Y16_N6
WideAnd134 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd134~combout\ = (\led_flash_cnt[134][7]~q\ & (\WideAnd134~0_combout\ & (\WideAnd134~1_combout\ & \led_flash_cnt[134][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[134][7]~q\,
	datab => \WideAnd134~0_combout\,
	datac => \WideAnd134~1_combout\,
	datad => \led_flash_cnt[134][0]~q\,
	combout => \WideAnd134~combout\);

-- Location: FF_X58_Y16_N7
\led_flash_cnt_ands[134]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd134~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(134));

-- Location: LCCOMB_X58_Y9_N0
WideAnd3856 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3856~combout\ = (\WideAnd3856~1_combout\ & (led_flash_cnt_ands(135) & (\WideAnd3856~0_combout\ & led_flash_cnt_ands(134))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3856~1_combout\,
	datab => led_flash_cnt_ands(135),
	datac => \WideAnd3856~0_combout\,
	datad => led_flash_cnt_ands(134),
	combout => \WideAnd3856~combout\);

-- Location: FF_X58_Y9_N1
\led_flash_cnt_ands_1[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3856~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(16));

-- Location: LCCOMB_X4_Y7_N2
\led_flash_cnt[140][0]~80780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[140][0]~80780_combout\ = !\led_flash_cnt[140][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[140][0]~q\,
	combout => \led_flash_cnt[140][0]~80780_combout\);

-- Location: FF_X4_Y7_N3
\led_flash_cnt[140][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[140][0]~80780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[140][0]~q\);

-- Location: LCCOMB_X3_Y7_N16
\led_flash_cnt[140][1]~28840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[140][1]~28840_combout\ = (\led_flash_cnt[140][0]~q\ & (\led_flash_cnt[140][1]~q\ $ (VCC))) # (!\led_flash_cnt[140][0]~q\ & (\led_flash_cnt[140][1]~q\ & VCC))
-- \led_flash_cnt[140][1]~28841\ = CARRY((\led_flash_cnt[140][0]~q\ & \led_flash_cnt[140][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[140][0]~q\,
	datab => \led_flash_cnt[140][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[140][1]~28840_combout\,
	cout => \led_flash_cnt[140][1]~28841\);

-- Location: FF_X3_Y7_N17
\led_flash_cnt[140][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[140][1]~28840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[140][1]~q\);

-- Location: LCCOMB_X3_Y7_N18
\led_flash_cnt[140][2]~28842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[140][2]~28842_combout\ = (\led_flash_cnt[140][2]~q\ & (!\led_flash_cnt[140][1]~28841\)) # (!\led_flash_cnt[140][2]~q\ & ((\led_flash_cnt[140][1]~28841\) # (GND)))
-- \led_flash_cnt[140][2]~28843\ = CARRY((!\led_flash_cnt[140][1]~28841\) # (!\led_flash_cnt[140][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[140][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[140][1]~28841\,
	combout => \led_flash_cnt[140][2]~28842_combout\,
	cout => \led_flash_cnt[140][2]~28843\);

-- Location: FF_X3_Y7_N19
\led_flash_cnt[140][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[140][2]~28842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[140][2]~q\);

-- Location: LCCOMB_X3_Y7_N20
\led_flash_cnt[140][3]~28844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[140][3]~28844_combout\ = (\led_flash_cnt[140][3]~q\ & (\led_flash_cnt[140][2]~28843\ $ (GND))) # (!\led_flash_cnt[140][3]~q\ & (!\led_flash_cnt[140][2]~28843\ & VCC))
-- \led_flash_cnt[140][3]~28845\ = CARRY((\led_flash_cnt[140][3]~q\ & !\led_flash_cnt[140][2]~28843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[140][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[140][2]~28843\,
	combout => \led_flash_cnt[140][3]~28844_combout\,
	cout => \led_flash_cnt[140][3]~28845\);

-- Location: FF_X3_Y7_N21
\led_flash_cnt[140][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[140][3]~28844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[140][3]~q\);

-- Location: LCCOMB_X3_Y7_N22
\led_flash_cnt[140][4]~28846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[140][4]~28846_combout\ = (\led_flash_cnt[140][4]~q\ & (!\led_flash_cnt[140][3]~28845\)) # (!\led_flash_cnt[140][4]~q\ & ((\led_flash_cnt[140][3]~28845\) # (GND)))
-- \led_flash_cnt[140][4]~28847\ = CARRY((!\led_flash_cnt[140][3]~28845\) # (!\led_flash_cnt[140][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[140][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[140][3]~28845\,
	combout => \led_flash_cnt[140][4]~28846_combout\,
	cout => \led_flash_cnt[140][4]~28847\);

-- Location: FF_X3_Y7_N23
\led_flash_cnt[140][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[140][4]~28846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[140][4]~q\);

-- Location: LCCOMB_X3_Y7_N14
\WideAnd140~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd140~0_combout\ = (\led_flash_cnt[140][2]~q\ & (\led_flash_cnt[140][3]~q\ & (\led_flash_cnt[140][4]~q\ & \led_flash_cnt[140][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[140][2]~q\,
	datab => \led_flash_cnt[140][3]~q\,
	datac => \led_flash_cnt[140][4]~q\,
	datad => \led_flash_cnt[140][1]~q\,
	combout => \WideAnd140~0_combout\);

-- Location: LCCOMB_X3_Y7_N24
\led_flash_cnt[140][5]~28848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[140][5]~28848_combout\ = (\led_flash_cnt[140][5]~q\ & (\led_flash_cnt[140][4]~28847\ $ (GND))) # (!\led_flash_cnt[140][5]~q\ & (!\led_flash_cnt[140][4]~28847\ & VCC))
-- \led_flash_cnt[140][5]~28849\ = CARRY((\led_flash_cnt[140][5]~q\ & !\led_flash_cnt[140][4]~28847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[140][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[140][4]~28847\,
	combout => \led_flash_cnt[140][5]~28848_combout\,
	cout => \led_flash_cnt[140][5]~28849\);

-- Location: FF_X3_Y7_N25
\led_flash_cnt[140][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[140][5]~28848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[140][5]~q\);

-- Location: LCCOMB_X3_Y7_N26
\led_flash_cnt[140][6]~28850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[140][6]~28850_combout\ = (\led_flash_cnt[140][6]~q\ & (!\led_flash_cnt[140][5]~28849\)) # (!\led_flash_cnt[140][6]~q\ & ((\led_flash_cnt[140][5]~28849\) # (GND)))
-- \led_flash_cnt[140][6]~28851\ = CARRY((!\led_flash_cnt[140][5]~28849\) # (!\led_flash_cnt[140][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[140][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[140][5]~28849\,
	combout => \led_flash_cnt[140][6]~28850_combout\,
	cout => \led_flash_cnt[140][6]~28851\);

-- Location: FF_X3_Y7_N27
\led_flash_cnt[140][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[140][6]~28850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[140][6]~q\);

-- Location: LCCOMB_X3_Y7_N28
\led_flash_cnt[140][7]~28852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[140][7]~28852_combout\ = \led_flash_cnt[140][6]~28851\ $ (!\led_flash_cnt[140][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[140][7]~q\,
	cin => \led_flash_cnt[140][6]~28851\,
	combout => \led_flash_cnt[140][7]~28852_combout\);

-- Location: FF_X3_Y7_N29
\led_flash_cnt[140][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[140][7]~28852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[140][7]~q\);

-- Location: LCCOMB_X4_Y7_N22
\WideAnd140~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd140~1_combout\ = (\led_flash_cnt[140][6]~q\ & \led_flash_cnt[140][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[140][6]~q\,
	datad => \led_flash_cnt[140][5]~q\,
	combout => \WideAnd140~1_combout\);

-- Location: LCCOMB_X4_Y7_N30
WideAnd140 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd140~combout\ = (\WideAnd140~0_combout\ & (\led_flash_cnt[140][7]~q\ & (\WideAnd140~1_combout\ & \led_flash_cnt[140][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd140~0_combout\,
	datab => \led_flash_cnt[140][7]~q\,
	datac => \WideAnd140~1_combout\,
	datad => \led_flash_cnt[140][0]~q\,
	combout => \WideAnd140~combout\);

-- Location: FF_X4_Y7_N31
\led_flash_cnt_ands[140]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd140~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(140));

-- Location: LCCOMB_X57_Y11_N22
\led_flash_cnt[141][0]~80781\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[141][0]~80781_combout\ = !\led_flash_cnt[141][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[141][0]~q\,
	combout => \led_flash_cnt[141][0]~80781_combout\);

-- Location: FF_X57_Y11_N23
\led_flash_cnt[141][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[141][0]~80781_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[141][0]~q\);

-- Location: LCCOMB_X57_Y11_N8
\led_flash_cnt[141][1]~28854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[141][1]~28854_combout\ = (\led_flash_cnt[141][0]~q\ & (\led_flash_cnt[141][1]~q\ $ (VCC))) # (!\led_flash_cnt[141][0]~q\ & (\led_flash_cnt[141][1]~q\ & VCC))
-- \led_flash_cnt[141][1]~28855\ = CARRY((\led_flash_cnt[141][0]~q\ & \led_flash_cnt[141][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[141][0]~q\,
	datab => \led_flash_cnt[141][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[141][1]~28854_combout\,
	cout => \led_flash_cnt[141][1]~28855\);

-- Location: FF_X57_Y11_N9
\led_flash_cnt[141][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[141][1]~28854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[141][1]~q\);

-- Location: LCCOMB_X57_Y11_N10
\led_flash_cnt[141][2]~28856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[141][2]~28856_combout\ = (\led_flash_cnt[141][2]~q\ & (!\led_flash_cnt[141][1]~28855\)) # (!\led_flash_cnt[141][2]~q\ & ((\led_flash_cnt[141][1]~28855\) # (GND)))
-- \led_flash_cnt[141][2]~28857\ = CARRY((!\led_flash_cnt[141][1]~28855\) # (!\led_flash_cnt[141][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[141][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[141][1]~28855\,
	combout => \led_flash_cnt[141][2]~28856_combout\,
	cout => \led_flash_cnt[141][2]~28857\);

-- Location: FF_X57_Y11_N11
\led_flash_cnt[141][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[141][2]~28856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[141][2]~q\);

-- Location: LCCOMB_X57_Y11_N12
\led_flash_cnt[141][3]~28858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[141][3]~28858_combout\ = (\led_flash_cnt[141][3]~q\ & (\led_flash_cnt[141][2]~28857\ $ (GND))) # (!\led_flash_cnt[141][3]~q\ & (!\led_flash_cnt[141][2]~28857\ & VCC))
-- \led_flash_cnt[141][3]~28859\ = CARRY((\led_flash_cnt[141][3]~q\ & !\led_flash_cnt[141][2]~28857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[141][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[141][2]~28857\,
	combout => \led_flash_cnt[141][3]~28858_combout\,
	cout => \led_flash_cnt[141][3]~28859\);

-- Location: FF_X57_Y11_N13
\led_flash_cnt[141][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[141][3]~28858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[141][3]~q\);

-- Location: LCCOMB_X57_Y11_N14
\led_flash_cnt[141][4]~28860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[141][4]~28860_combout\ = (\led_flash_cnt[141][4]~q\ & (!\led_flash_cnt[141][3]~28859\)) # (!\led_flash_cnt[141][4]~q\ & ((\led_flash_cnt[141][3]~28859\) # (GND)))
-- \led_flash_cnt[141][4]~28861\ = CARRY((!\led_flash_cnt[141][3]~28859\) # (!\led_flash_cnt[141][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[141][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[141][3]~28859\,
	combout => \led_flash_cnt[141][4]~28860_combout\,
	cout => \led_flash_cnt[141][4]~28861\);

-- Location: FF_X57_Y11_N15
\led_flash_cnt[141][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[141][4]~28860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[141][4]~q\);

-- Location: LCCOMB_X57_Y11_N16
\led_flash_cnt[141][5]~28862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[141][5]~28862_combout\ = (\led_flash_cnt[141][5]~q\ & (\led_flash_cnt[141][4]~28861\ $ (GND))) # (!\led_flash_cnt[141][5]~q\ & (!\led_flash_cnt[141][4]~28861\ & VCC))
-- \led_flash_cnt[141][5]~28863\ = CARRY((\led_flash_cnt[141][5]~q\ & !\led_flash_cnt[141][4]~28861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[141][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[141][4]~28861\,
	combout => \led_flash_cnt[141][5]~28862_combout\,
	cout => \led_flash_cnt[141][5]~28863\);

-- Location: FF_X57_Y11_N17
\led_flash_cnt[141][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[141][5]~28862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[141][5]~q\);

-- Location: LCCOMB_X57_Y11_N18
\led_flash_cnt[141][6]~28864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[141][6]~28864_combout\ = (\led_flash_cnt[141][6]~q\ & (!\led_flash_cnt[141][5]~28863\)) # (!\led_flash_cnt[141][6]~q\ & ((\led_flash_cnt[141][5]~28863\) # (GND)))
-- \led_flash_cnt[141][6]~28865\ = CARRY((!\led_flash_cnt[141][5]~28863\) # (!\led_flash_cnt[141][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[141][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[141][5]~28863\,
	combout => \led_flash_cnt[141][6]~28864_combout\,
	cout => \led_flash_cnt[141][6]~28865\);

-- Location: FF_X57_Y11_N19
\led_flash_cnt[141][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[141][6]~28864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[141][6]~q\);

-- Location: LCCOMB_X57_Y11_N20
\led_flash_cnt[141][7]~28866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[141][7]~28866_combout\ = \led_flash_cnt[141][6]~28865\ $ (!\led_flash_cnt[141][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[141][7]~q\,
	cin => \led_flash_cnt[141][6]~28865\,
	combout => \led_flash_cnt[141][7]~28866_combout\);

-- Location: FF_X57_Y11_N21
\led_flash_cnt[141][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[141][7]~28866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[141][7]~q\);

-- Location: LCCOMB_X57_Y11_N4
\WideAnd141~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd141~1_combout\ = (\led_flash_cnt[141][6]~q\ & \led_flash_cnt[141][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[141][6]~q\,
	datad => \led_flash_cnt[141][5]~q\,
	combout => \WideAnd141~1_combout\);

-- Location: LCCOMB_X57_Y11_N2
\WideAnd141~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd141~0_combout\ = (\led_flash_cnt[141][3]~q\ & (\led_flash_cnt[141][1]~q\ & (\led_flash_cnt[141][4]~q\ & \led_flash_cnt[141][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[141][3]~q\,
	datab => \led_flash_cnt[141][1]~q\,
	datac => \led_flash_cnt[141][4]~q\,
	datad => \led_flash_cnt[141][2]~q\,
	combout => \WideAnd141~0_combout\);

-- Location: LCCOMB_X57_Y11_N24
WideAnd141 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd141~combout\ = (\led_flash_cnt[141][0]~q\ & (\led_flash_cnt[141][7]~q\ & (\WideAnd141~1_combout\ & \WideAnd141~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[141][0]~q\,
	datab => \led_flash_cnt[141][7]~q\,
	datac => \WideAnd141~1_combout\,
	datad => \WideAnd141~0_combout\,
	combout => \WideAnd141~combout\);

-- Location: FF_X57_Y11_N25
\led_flash_cnt_ands[141]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd141~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(141));

-- Location: LCCOMB_X56_Y11_N14
\WideAnd3857~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3857~1_combout\ = (led_flash_cnt_ands(140) & led_flash_cnt_ands(141))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(140),
	datad => led_flash_cnt_ands(141),
	combout => \WideAnd3857~1_combout\);

-- Location: LCCOMB_X59_Y17_N6
\led_flash_cnt[139][0]~80779\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[139][0]~80779_combout\ = !\led_flash_cnt[139][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[139][0]~q\,
	combout => \led_flash_cnt[139][0]~80779_combout\);

-- Location: FF_X59_Y17_N7
\led_flash_cnt[139][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[139][0]~80779_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[139][0]~q\);

-- Location: LCCOMB_X60_Y17_N16
\led_flash_cnt[139][1]~28826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[139][1]~28826_combout\ = (\led_flash_cnt[139][0]~q\ & (\led_flash_cnt[139][1]~q\ $ (VCC))) # (!\led_flash_cnt[139][0]~q\ & (\led_flash_cnt[139][1]~q\ & VCC))
-- \led_flash_cnt[139][1]~28827\ = CARRY((\led_flash_cnt[139][0]~q\ & \led_flash_cnt[139][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[139][0]~q\,
	datab => \led_flash_cnt[139][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[139][1]~28826_combout\,
	cout => \led_flash_cnt[139][1]~28827\);

-- Location: FF_X60_Y17_N17
\led_flash_cnt[139][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[139][1]~28826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[139][1]~q\);

-- Location: LCCOMB_X60_Y17_N18
\led_flash_cnt[139][2]~28828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[139][2]~28828_combout\ = (\led_flash_cnt[139][2]~q\ & (!\led_flash_cnt[139][1]~28827\)) # (!\led_flash_cnt[139][2]~q\ & ((\led_flash_cnt[139][1]~28827\) # (GND)))
-- \led_flash_cnt[139][2]~28829\ = CARRY((!\led_flash_cnt[139][1]~28827\) # (!\led_flash_cnt[139][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[139][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[139][1]~28827\,
	combout => \led_flash_cnt[139][2]~28828_combout\,
	cout => \led_flash_cnt[139][2]~28829\);

-- Location: FF_X60_Y17_N19
\led_flash_cnt[139][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[139][2]~28828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[139][2]~q\);

-- Location: LCCOMB_X60_Y17_N20
\led_flash_cnt[139][3]~28830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[139][3]~28830_combout\ = (\led_flash_cnt[139][3]~q\ & (\led_flash_cnt[139][2]~28829\ $ (GND))) # (!\led_flash_cnt[139][3]~q\ & (!\led_flash_cnt[139][2]~28829\ & VCC))
-- \led_flash_cnt[139][3]~28831\ = CARRY((\led_flash_cnt[139][3]~q\ & !\led_flash_cnt[139][2]~28829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[139][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[139][2]~28829\,
	combout => \led_flash_cnt[139][3]~28830_combout\,
	cout => \led_flash_cnt[139][3]~28831\);

-- Location: FF_X60_Y17_N21
\led_flash_cnt[139][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[139][3]~28830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[139][3]~q\);

-- Location: LCCOMB_X60_Y17_N22
\led_flash_cnt[139][4]~28832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[139][4]~28832_combout\ = (\led_flash_cnt[139][4]~q\ & (!\led_flash_cnt[139][3]~28831\)) # (!\led_flash_cnt[139][4]~q\ & ((\led_flash_cnt[139][3]~28831\) # (GND)))
-- \led_flash_cnt[139][4]~28833\ = CARRY((!\led_flash_cnt[139][3]~28831\) # (!\led_flash_cnt[139][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[139][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[139][3]~28831\,
	combout => \led_flash_cnt[139][4]~28832_combout\,
	cout => \led_flash_cnt[139][4]~28833\);

-- Location: FF_X60_Y17_N23
\led_flash_cnt[139][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[139][4]~28832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[139][4]~q\);

-- Location: LCCOMB_X60_Y17_N24
\led_flash_cnt[139][5]~28834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[139][5]~28834_combout\ = (\led_flash_cnt[139][5]~q\ & (\led_flash_cnt[139][4]~28833\ $ (GND))) # (!\led_flash_cnt[139][5]~q\ & (!\led_flash_cnt[139][4]~28833\ & VCC))
-- \led_flash_cnt[139][5]~28835\ = CARRY((\led_flash_cnt[139][5]~q\ & !\led_flash_cnt[139][4]~28833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[139][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[139][4]~28833\,
	combout => \led_flash_cnt[139][5]~28834_combout\,
	cout => \led_flash_cnt[139][5]~28835\);

-- Location: FF_X60_Y17_N25
\led_flash_cnt[139][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[139][5]~28834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[139][5]~q\);

-- Location: LCCOMB_X60_Y17_N26
\led_flash_cnt[139][6]~28836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[139][6]~28836_combout\ = (\led_flash_cnt[139][6]~q\ & (!\led_flash_cnt[139][5]~28835\)) # (!\led_flash_cnt[139][6]~q\ & ((\led_flash_cnt[139][5]~28835\) # (GND)))
-- \led_flash_cnt[139][6]~28837\ = CARRY((!\led_flash_cnt[139][5]~28835\) # (!\led_flash_cnt[139][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[139][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[139][5]~28835\,
	combout => \led_flash_cnt[139][6]~28836_combout\,
	cout => \led_flash_cnt[139][6]~28837\);

-- Location: FF_X60_Y17_N27
\led_flash_cnt[139][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[139][6]~28836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[139][6]~q\);

-- Location: LCCOMB_X60_Y17_N28
\led_flash_cnt[139][7]~28838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[139][7]~28838_combout\ = \led_flash_cnt[139][6]~28837\ $ (!\led_flash_cnt[139][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[139][7]~q\,
	cin => \led_flash_cnt[139][6]~28837\,
	combout => \led_flash_cnt[139][7]~28838_combout\);

-- Location: FF_X60_Y17_N29
\led_flash_cnt[139][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[139][7]~28838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[139][7]~q\);

-- Location: LCCOMB_X60_Y17_N14
\WideAnd139~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd139~0_combout\ = (\led_flash_cnt[139][3]~q\ & (\led_flash_cnt[139][2]~q\ & (\led_flash_cnt[139][4]~q\ & \led_flash_cnt[139][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[139][3]~q\,
	datab => \led_flash_cnt[139][2]~q\,
	datac => \led_flash_cnt[139][4]~q\,
	datad => \led_flash_cnt[139][1]~q\,
	combout => \WideAnd139~0_combout\);

-- Location: LCCOMB_X59_Y17_N24
\WideAnd139~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd139~1_combout\ = (\led_flash_cnt[139][6]~q\ & \led_flash_cnt[139][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[139][6]~q\,
	datad => \led_flash_cnt[139][5]~q\,
	combout => \WideAnd139~1_combout\);

-- Location: LCCOMB_X59_Y17_N30
WideAnd139 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd139~combout\ = (\led_flash_cnt[139][0]~q\ & (\led_flash_cnt[139][7]~q\ & (\WideAnd139~0_combout\ & \WideAnd139~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[139][0]~q\,
	datab => \led_flash_cnt[139][7]~q\,
	datac => \WideAnd139~0_combout\,
	datad => \WideAnd139~1_combout\,
	combout => \WideAnd139~combout\);

-- Location: FF_X59_Y17_N31
\led_flash_cnt_ands[139]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd139~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(139));

-- Location: LCCOMB_X60_Y8_N24
\led_flash_cnt[136][0]~80776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[136][0]~80776_combout\ = !\led_flash_cnt[136][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[136][0]~q\,
	combout => \led_flash_cnt[136][0]~80776_combout\);

-- Location: FF_X60_Y8_N25
\led_flash_cnt[136][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[136][0]~80776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[136][0]~q\);

-- Location: LCCOMB_X61_Y8_N16
\led_flash_cnt[136][1]~28784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[136][1]~28784_combout\ = (\led_flash_cnt[136][0]~q\ & (\led_flash_cnt[136][1]~q\ $ (VCC))) # (!\led_flash_cnt[136][0]~q\ & (\led_flash_cnt[136][1]~q\ & VCC))
-- \led_flash_cnt[136][1]~28785\ = CARRY((\led_flash_cnt[136][0]~q\ & \led_flash_cnt[136][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[136][0]~q\,
	datab => \led_flash_cnt[136][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[136][1]~28784_combout\,
	cout => \led_flash_cnt[136][1]~28785\);

-- Location: FF_X61_Y8_N17
\led_flash_cnt[136][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[136][1]~28784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[136][1]~q\);

-- Location: LCCOMB_X61_Y8_N18
\led_flash_cnt[136][2]~28786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[136][2]~28786_combout\ = (\led_flash_cnt[136][2]~q\ & (!\led_flash_cnt[136][1]~28785\)) # (!\led_flash_cnt[136][2]~q\ & ((\led_flash_cnt[136][1]~28785\) # (GND)))
-- \led_flash_cnt[136][2]~28787\ = CARRY((!\led_flash_cnt[136][1]~28785\) # (!\led_flash_cnt[136][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[136][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[136][1]~28785\,
	combout => \led_flash_cnt[136][2]~28786_combout\,
	cout => \led_flash_cnt[136][2]~28787\);

-- Location: FF_X61_Y8_N19
\led_flash_cnt[136][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[136][2]~28786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[136][2]~q\);

-- Location: LCCOMB_X61_Y8_N20
\led_flash_cnt[136][3]~28788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[136][3]~28788_combout\ = (\led_flash_cnt[136][3]~q\ & (\led_flash_cnt[136][2]~28787\ $ (GND))) # (!\led_flash_cnt[136][3]~q\ & (!\led_flash_cnt[136][2]~28787\ & VCC))
-- \led_flash_cnt[136][3]~28789\ = CARRY((\led_flash_cnt[136][3]~q\ & !\led_flash_cnt[136][2]~28787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[136][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[136][2]~28787\,
	combout => \led_flash_cnt[136][3]~28788_combout\,
	cout => \led_flash_cnt[136][3]~28789\);

-- Location: FF_X61_Y8_N21
\led_flash_cnt[136][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[136][3]~28788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[136][3]~q\);

-- Location: LCCOMB_X61_Y8_N22
\led_flash_cnt[136][4]~28790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[136][4]~28790_combout\ = (\led_flash_cnt[136][4]~q\ & (!\led_flash_cnt[136][3]~28789\)) # (!\led_flash_cnt[136][4]~q\ & ((\led_flash_cnt[136][3]~28789\) # (GND)))
-- \led_flash_cnt[136][4]~28791\ = CARRY((!\led_flash_cnt[136][3]~28789\) # (!\led_flash_cnt[136][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[136][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[136][3]~28789\,
	combout => \led_flash_cnt[136][4]~28790_combout\,
	cout => \led_flash_cnt[136][4]~28791\);

-- Location: FF_X61_Y8_N23
\led_flash_cnt[136][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[136][4]~28790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[136][4]~q\);

-- Location: LCCOMB_X61_Y8_N30
\WideAnd136~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd136~0_combout\ = (\led_flash_cnt[136][3]~q\ & (\led_flash_cnt[136][2]~q\ & (\led_flash_cnt[136][4]~q\ & \led_flash_cnt[136][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[136][3]~q\,
	datab => \led_flash_cnt[136][2]~q\,
	datac => \led_flash_cnt[136][4]~q\,
	datad => \led_flash_cnt[136][1]~q\,
	combout => \WideAnd136~0_combout\);

-- Location: LCCOMB_X61_Y8_N24
\led_flash_cnt[136][5]~28792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[136][5]~28792_combout\ = (\led_flash_cnt[136][5]~q\ & (\led_flash_cnt[136][4]~28791\ $ (GND))) # (!\led_flash_cnt[136][5]~q\ & (!\led_flash_cnt[136][4]~28791\ & VCC))
-- \led_flash_cnt[136][5]~28793\ = CARRY((\led_flash_cnt[136][5]~q\ & !\led_flash_cnt[136][4]~28791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[136][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[136][4]~28791\,
	combout => \led_flash_cnt[136][5]~28792_combout\,
	cout => \led_flash_cnt[136][5]~28793\);

-- Location: FF_X61_Y8_N25
\led_flash_cnt[136][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[136][5]~28792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[136][5]~q\);

-- Location: LCCOMB_X61_Y8_N26
\led_flash_cnt[136][6]~28794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[136][6]~28794_combout\ = (\led_flash_cnt[136][6]~q\ & (!\led_flash_cnt[136][5]~28793\)) # (!\led_flash_cnt[136][6]~q\ & ((\led_flash_cnt[136][5]~28793\) # (GND)))
-- \led_flash_cnt[136][6]~28795\ = CARRY((!\led_flash_cnt[136][5]~28793\) # (!\led_flash_cnt[136][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[136][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[136][5]~28793\,
	combout => \led_flash_cnt[136][6]~28794_combout\,
	cout => \led_flash_cnt[136][6]~28795\);

-- Location: FF_X61_Y8_N27
\led_flash_cnt[136][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[136][6]~28794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[136][6]~q\);

-- Location: LCCOMB_X60_Y8_N22
\WideAnd136~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd136~1_combout\ = (\led_flash_cnt[136][6]~q\ & \led_flash_cnt[136][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[136][6]~q\,
	datad => \led_flash_cnt[136][5]~q\,
	combout => \WideAnd136~1_combout\);

-- Location: LCCOMB_X61_Y8_N28
\led_flash_cnt[136][7]~28796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[136][7]~28796_combout\ = \led_flash_cnt[136][6]~28795\ $ (!\led_flash_cnt[136][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[136][7]~q\,
	cin => \led_flash_cnt[136][6]~28795\,
	combout => \led_flash_cnt[136][7]~28796_combout\);

-- Location: FF_X61_Y8_N29
\led_flash_cnt[136][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[136][7]~28796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[136][7]~q\);

-- Location: LCCOMB_X60_Y8_N28
WideAnd136 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd136~combout\ = (\WideAnd136~0_combout\ & (\led_flash_cnt[136][0]~q\ & (\WideAnd136~1_combout\ & \led_flash_cnt[136][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd136~0_combout\,
	datab => \led_flash_cnt[136][0]~q\,
	datac => \WideAnd136~1_combout\,
	datad => \led_flash_cnt[136][7]~q\,
	combout => \WideAnd136~combout\);

-- Location: FF_X60_Y8_N29
\led_flash_cnt_ands[136]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd136~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(136));

-- Location: LCCOMB_X57_Y14_N24
\led_flash_cnt[138][0]~80778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[138][0]~80778_combout\ = !\led_flash_cnt[138][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[138][0]~q\,
	combout => \led_flash_cnt[138][0]~80778_combout\);

-- Location: FF_X57_Y14_N25
\led_flash_cnt[138][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[138][0]~80778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[138][0]~q\);

-- Location: LCCOMB_X58_Y14_N18
\led_flash_cnt[138][1]~28812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[138][1]~28812_combout\ = (\led_flash_cnt[138][0]~q\ & (\led_flash_cnt[138][1]~q\ $ (VCC))) # (!\led_flash_cnt[138][0]~q\ & (\led_flash_cnt[138][1]~q\ & VCC))
-- \led_flash_cnt[138][1]~28813\ = CARRY((\led_flash_cnt[138][0]~q\ & \led_flash_cnt[138][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[138][0]~q\,
	datab => \led_flash_cnt[138][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[138][1]~28812_combout\,
	cout => \led_flash_cnt[138][1]~28813\);

-- Location: FF_X58_Y14_N19
\led_flash_cnt[138][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[138][1]~28812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[138][1]~q\);

-- Location: LCCOMB_X58_Y14_N20
\led_flash_cnt[138][2]~28814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[138][2]~28814_combout\ = (\led_flash_cnt[138][2]~q\ & (!\led_flash_cnt[138][1]~28813\)) # (!\led_flash_cnt[138][2]~q\ & ((\led_flash_cnt[138][1]~28813\) # (GND)))
-- \led_flash_cnt[138][2]~28815\ = CARRY((!\led_flash_cnt[138][1]~28813\) # (!\led_flash_cnt[138][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[138][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[138][1]~28813\,
	combout => \led_flash_cnt[138][2]~28814_combout\,
	cout => \led_flash_cnt[138][2]~28815\);

-- Location: FF_X58_Y14_N21
\led_flash_cnt[138][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[138][2]~28814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[138][2]~q\);

-- Location: LCCOMB_X58_Y14_N22
\led_flash_cnt[138][3]~28816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[138][3]~28816_combout\ = (\led_flash_cnt[138][3]~q\ & (\led_flash_cnt[138][2]~28815\ $ (GND))) # (!\led_flash_cnt[138][3]~q\ & (!\led_flash_cnt[138][2]~28815\ & VCC))
-- \led_flash_cnt[138][3]~28817\ = CARRY((\led_flash_cnt[138][3]~q\ & !\led_flash_cnt[138][2]~28815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[138][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[138][2]~28815\,
	combout => \led_flash_cnt[138][3]~28816_combout\,
	cout => \led_flash_cnt[138][3]~28817\);

-- Location: FF_X58_Y14_N23
\led_flash_cnt[138][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[138][3]~28816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[138][3]~q\);

-- Location: LCCOMB_X58_Y14_N24
\led_flash_cnt[138][4]~28818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[138][4]~28818_combout\ = (\led_flash_cnt[138][4]~q\ & (!\led_flash_cnt[138][3]~28817\)) # (!\led_flash_cnt[138][4]~q\ & ((\led_flash_cnt[138][3]~28817\) # (GND)))
-- \led_flash_cnt[138][4]~28819\ = CARRY((!\led_flash_cnt[138][3]~28817\) # (!\led_flash_cnt[138][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[138][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[138][3]~28817\,
	combout => \led_flash_cnt[138][4]~28818_combout\,
	cout => \led_flash_cnt[138][4]~28819\);

-- Location: FF_X58_Y14_N25
\led_flash_cnt[138][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[138][4]~28818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[138][4]~q\);

-- Location: LCCOMB_X58_Y14_N26
\led_flash_cnt[138][5]~28820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[138][5]~28820_combout\ = (\led_flash_cnt[138][5]~q\ & (\led_flash_cnt[138][4]~28819\ $ (GND))) # (!\led_flash_cnt[138][5]~q\ & (!\led_flash_cnt[138][4]~28819\ & VCC))
-- \led_flash_cnt[138][5]~28821\ = CARRY((\led_flash_cnt[138][5]~q\ & !\led_flash_cnt[138][4]~28819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[138][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[138][4]~28819\,
	combout => \led_flash_cnt[138][5]~28820_combout\,
	cout => \led_flash_cnt[138][5]~28821\);

-- Location: FF_X58_Y14_N27
\led_flash_cnt[138][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[138][5]~28820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[138][5]~q\);

-- Location: LCCOMB_X58_Y14_N28
\led_flash_cnt[138][6]~28822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[138][6]~28822_combout\ = (\led_flash_cnt[138][6]~q\ & (!\led_flash_cnt[138][5]~28821\)) # (!\led_flash_cnt[138][6]~q\ & ((\led_flash_cnt[138][5]~28821\) # (GND)))
-- \led_flash_cnt[138][6]~28823\ = CARRY((!\led_flash_cnt[138][5]~28821\) # (!\led_flash_cnt[138][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[138][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[138][5]~28821\,
	combout => \led_flash_cnt[138][6]~28822_combout\,
	cout => \led_flash_cnt[138][6]~28823\);

-- Location: FF_X58_Y14_N29
\led_flash_cnt[138][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[138][6]~28822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[138][6]~q\);

-- Location: LCCOMB_X57_Y14_N26
\WideAnd138~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd138~1_combout\ = (\led_flash_cnt[138][6]~q\ & \led_flash_cnt[138][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[138][6]~q\,
	datad => \led_flash_cnt[138][5]~q\,
	combout => \WideAnd138~1_combout\);

-- Location: LCCOMB_X58_Y14_N30
\led_flash_cnt[138][7]~28824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[138][7]~28824_combout\ = \led_flash_cnt[138][7]~q\ $ (!\led_flash_cnt[138][6]~28823\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[138][7]~q\,
	cin => \led_flash_cnt[138][6]~28823\,
	combout => \led_flash_cnt[138][7]~28824_combout\);

-- Location: FF_X58_Y14_N31
\led_flash_cnt[138][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[138][7]~28824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[138][7]~q\);

-- Location: LCCOMB_X58_Y14_N16
\WideAnd138~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd138~0_combout\ = (\led_flash_cnt[138][1]~q\ & (\led_flash_cnt[138][2]~q\ & (\led_flash_cnt[138][3]~q\ & \led_flash_cnt[138][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[138][1]~q\,
	datab => \led_flash_cnt[138][2]~q\,
	datac => \led_flash_cnt[138][3]~q\,
	datad => \led_flash_cnt[138][4]~q\,
	combout => \WideAnd138~0_combout\);

-- Location: LCCOMB_X57_Y14_N28
WideAnd138 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd138~combout\ = (\WideAnd138~1_combout\ & (\led_flash_cnt[138][0]~q\ & (\led_flash_cnt[138][7]~q\ & \WideAnd138~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd138~1_combout\,
	datab => \led_flash_cnt[138][0]~q\,
	datac => \led_flash_cnt[138][7]~q\,
	datad => \WideAnd138~0_combout\,
	combout => \WideAnd138~combout\);

-- Location: FF_X57_Y14_N29
\led_flash_cnt_ands[138]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd138~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(138));

-- Location: LCCOMB_X9_Y8_N26
\led_flash_cnt[137][0]~80777\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[137][0]~80777_combout\ = !\led_flash_cnt[137][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[137][0]~q\,
	combout => \led_flash_cnt[137][0]~80777_combout\);

-- Location: FF_X9_Y8_N27
\led_flash_cnt[137][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[137][0]~80777_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[137][0]~q\);

-- Location: LCCOMB_X6_Y8_N0
\led_flash_cnt[137][1]~28798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[137][1]~28798_combout\ = (\led_flash_cnt[137][0]~q\ & (\led_flash_cnt[137][1]~q\ $ (VCC))) # (!\led_flash_cnt[137][0]~q\ & (\led_flash_cnt[137][1]~q\ & VCC))
-- \led_flash_cnt[137][1]~28799\ = CARRY((\led_flash_cnt[137][0]~q\ & \led_flash_cnt[137][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[137][0]~q\,
	datab => \led_flash_cnt[137][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[137][1]~28798_combout\,
	cout => \led_flash_cnt[137][1]~28799\);

-- Location: FF_X6_Y8_N1
\led_flash_cnt[137][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[137][1]~28798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[137][1]~q\);

-- Location: LCCOMB_X6_Y8_N2
\led_flash_cnt[137][2]~28800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[137][2]~28800_combout\ = (\led_flash_cnt[137][2]~q\ & (!\led_flash_cnt[137][1]~28799\)) # (!\led_flash_cnt[137][2]~q\ & ((\led_flash_cnt[137][1]~28799\) # (GND)))
-- \led_flash_cnt[137][2]~28801\ = CARRY((!\led_flash_cnt[137][1]~28799\) # (!\led_flash_cnt[137][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[137][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[137][1]~28799\,
	combout => \led_flash_cnt[137][2]~28800_combout\,
	cout => \led_flash_cnt[137][2]~28801\);

-- Location: FF_X6_Y8_N3
\led_flash_cnt[137][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[137][2]~28800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[137][2]~q\);

-- Location: LCCOMB_X6_Y8_N4
\led_flash_cnt[137][3]~28802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[137][3]~28802_combout\ = (\led_flash_cnt[137][3]~q\ & (\led_flash_cnt[137][2]~28801\ $ (GND))) # (!\led_flash_cnt[137][3]~q\ & (!\led_flash_cnt[137][2]~28801\ & VCC))
-- \led_flash_cnt[137][3]~28803\ = CARRY((\led_flash_cnt[137][3]~q\ & !\led_flash_cnt[137][2]~28801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[137][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[137][2]~28801\,
	combout => \led_flash_cnt[137][3]~28802_combout\,
	cout => \led_flash_cnt[137][3]~28803\);

-- Location: FF_X6_Y8_N5
\led_flash_cnt[137][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[137][3]~28802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[137][3]~q\);

-- Location: LCCOMB_X6_Y8_N6
\led_flash_cnt[137][4]~28804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[137][4]~28804_combout\ = (\led_flash_cnt[137][4]~q\ & (!\led_flash_cnt[137][3]~28803\)) # (!\led_flash_cnt[137][4]~q\ & ((\led_flash_cnt[137][3]~28803\) # (GND)))
-- \led_flash_cnt[137][4]~28805\ = CARRY((!\led_flash_cnt[137][3]~28803\) # (!\led_flash_cnt[137][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[137][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[137][3]~28803\,
	combout => \led_flash_cnt[137][4]~28804_combout\,
	cout => \led_flash_cnt[137][4]~28805\);

-- Location: FF_X6_Y8_N7
\led_flash_cnt[137][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[137][4]~28804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[137][4]~q\);

-- Location: LCCOMB_X6_Y8_N28
\WideAnd137~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd137~0_combout\ = (\led_flash_cnt[137][4]~q\ & (\led_flash_cnt[137][1]~q\ & (\led_flash_cnt[137][3]~q\ & \led_flash_cnt[137][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[137][4]~q\,
	datab => \led_flash_cnt[137][1]~q\,
	datac => \led_flash_cnt[137][3]~q\,
	datad => \led_flash_cnt[137][2]~q\,
	combout => \WideAnd137~0_combout\);

-- Location: LCCOMB_X6_Y8_N8
\led_flash_cnt[137][5]~28806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[137][5]~28806_combout\ = (\led_flash_cnt[137][5]~q\ & (\led_flash_cnt[137][4]~28805\ $ (GND))) # (!\led_flash_cnt[137][5]~q\ & (!\led_flash_cnt[137][4]~28805\ & VCC))
-- \led_flash_cnt[137][5]~28807\ = CARRY((\led_flash_cnt[137][5]~q\ & !\led_flash_cnt[137][4]~28805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[137][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[137][4]~28805\,
	combout => \led_flash_cnt[137][5]~28806_combout\,
	cout => \led_flash_cnt[137][5]~28807\);

-- Location: FF_X6_Y8_N9
\led_flash_cnt[137][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[137][5]~28806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[137][5]~q\);

-- Location: LCCOMB_X6_Y8_N10
\led_flash_cnt[137][6]~28808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[137][6]~28808_combout\ = (\led_flash_cnt[137][6]~q\ & (!\led_flash_cnt[137][5]~28807\)) # (!\led_flash_cnt[137][6]~q\ & ((\led_flash_cnt[137][5]~28807\) # (GND)))
-- \led_flash_cnt[137][6]~28809\ = CARRY((!\led_flash_cnt[137][5]~28807\) # (!\led_flash_cnt[137][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[137][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[137][5]~28807\,
	combout => \led_flash_cnt[137][6]~28808_combout\,
	cout => \led_flash_cnt[137][6]~28809\);

-- Location: FF_X6_Y8_N11
\led_flash_cnt[137][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[137][6]~28808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[137][6]~q\);

-- Location: LCCOMB_X6_Y8_N12
\led_flash_cnt[137][7]~28810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[137][7]~28810_combout\ = \led_flash_cnt[137][6]~28809\ $ (!\led_flash_cnt[137][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[137][7]~q\,
	cin => \led_flash_cnt[137][6]~28809\,
	combout => \led_flash_cnt[137][7]~28810_combout\);

-- Location: FF_X6_Y8_N13
\led_flash_cnt[137][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[137][7]~28810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[137][7]~q\);

-- Location: LCCOMB_X9_Y8_N2
\WideAnd137~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd137~1_combout\ = (\led_flash_cnt[137][6]~q\ & \led_flash_cnt[137][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[137][6]~q\,
	datad => \led_flash_cnt[137][5]~q\,
	combout => \WideAnd137~1_combout\);

-- Location: LCCOMB_X9_Y8_N30
WideAnd137 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd137~combout\ = (\WideAnd137~0_combout\ & (\led_flash_cnt[137][0]~q\ & (\led_flash_cnt[137][7]~q\ & \WideAnd137~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd137~0_combout\,
	datab => \led_flash_cnt[137][0]~q\,
	datac => \led_flash_cnt[137][7]~q\,
	datad => \WideAnd137~1_combout\,
	combout => \WideAnd137~combout\);

-- Location: FF_X9_Y8_N31
\led_flash_cnt_ands[137]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd137~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(137));

-- Location: LCCOMB_X57_Y8_N14
\WideAnd3857~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3857~0_combout\ = (led_flash_cnt_ands(139) & (led_flash_cnt_ands(136) & (led_flash_cnt_ands(138) & led_flash_cnt_ands(137))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(139),
	datab => led_flash_cnt_ands(136),
	datac => led_flash_cnt_ands(138),
	datad => led_flash_cnt_ands(137),
	combout => \WideAnd3857~0_combout\);

-- Location: LCCOMB_X65_Y15_N30
\led_flash_cnt[142][0]~80782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[142][0]~80782_combout\ = !\led_flash_cnt[142][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[142][0]~q\,
	combout => \led_flash_cnt[142][0]~80782_combout\);

-- Location: FF_X65_Y15_N31
\led_flash_cnt[142][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[142][0]~80782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[142][0]~q\);

-- Location: LCCOMB_X66_Y15_N16
\led_flash_cnt[142][1]~28868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[142][1]~28868_combout\ = (\led_flash_cnt[142][0]~q\ & (\led_flash_cnt[142][1]~q\ $ (VCC))) # (!\led_flash_cnt[142][0]~q\ & (\led_flash_cnt[142][1]~q\ & VCC))
-- \led_flash_cnt[142][1]~28869\ = CARRY((\led_flash_cnt[142][0]~q\ & \led_flash_cnt[142][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[142][0]~q\,
	datab => \led_flash_cnt[142][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[142][1]~28868_combout\,
	cout => \led_flash_cnt[142][1]~28869\);

-- Location: FF_X66_Y15_N17
\led_flash_cnt[142][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[142][1]~28868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[142][1]~q\);

-- Location: LCCOMB_X66_Y15_N18
\led_flash_cnt[142][2]~28870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[142][2]~28870_combout\ = (\led_flash_cnt[142][2]~q\ & (!\led_flash_cnt[142][1]~28869\)) # (!\led_flash_cnt[142][2]~q\ & ((\led_flash_cnt[142][1]~28869\) # (GND)))
-- \led_flash_cnt[142][2]~28871\ = CARRY((!\led_flash_cnt[142][1]~28869\) # (!\led_flash_cnt[142][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[142][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[142][1]~28869\,
	combout => \led_flash_cnt[142][2]~28870_combout\,
	cout => \led_flash_cnt[142][2]~28871\);

-- Location: FF_X66_Y15_N19
\led_flash_cnt[142][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[142][2]~28870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[142][2]~q\);

-- Location: LCCOMB_X66_Y15_N20
\led_flash_cnt[142][3]~28872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[142][3]~28872_combout\ = (\led_flash_cnt[142][3]~q\ & (\led_flash_cnt[142][2]~28871\ $ (GND))) # (!\led_flash_cnt[142][3]~q\ & (!\led_flash_cnt[142][2]~28871\ & VCC))
-- \led_flash_cnt[142][3]~28873\ = CARRY((\led_flash_cnt[142][3]~q\ & !\led_flash_cnt[142][2]~28871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[142][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[142][2]~28871\,
	combout => \led_flash_cnt[142][3]~28872_combout\,
	cout => \led_flash_cnt[142][3]~28873\);

-- Location: FF_X66_Y15_N21
\led_flash_cnt[142][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[142][3]~28872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[142][3]~q\);

-- Location: LCCOMB_X66_Y15_N22
\led_flash_cnt[142][4]~28874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[142][4]~28874_combout\ = (\led_flash_cnt[142][4]~q\ & (!\led_flash_cnt[142][3]~28873\)) # (!\led_flash_cnt[142][4]~q\ & ((\led_flash_cnt[142][3]~28873\) # (GND)))
-- \led_flash_cnt[142][4]~28875\ = CARRY((!\led_flash_cnt[142][3]~28873\) # (!\led_flash_cnt[142][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[142][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[142][3]~28873\,
	combout => \led_flash_cnt[142][4]~28874_combout\,
	cout => \led_flash_cnt[142][4]~28875\);

-- Location: FF_X66_Y15_N23
\led_flash_cnt[142][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[142][4]~28874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[142][4]~q\);

-- Location: LCCOMB_X66_Y15_N0
\WideAnd142~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd142~0_combout\ = (\led_flash_cnt[142][2]~q\ & (\led_flash_cnt[142][3]~q\ & (\led_flash_cnt[142][4]~q\ & \led_flash_cnt[142][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[142][2]~q\,
	datab => \led_flash_cnt[142][3]~q\,
	datac => \led_flash_cnt[142][4]~q\,
	datad => \led_flash_cnt[142][1]~q\,
	combout => \WideAnd142~0_combout\);

-- Location: LCCOMB_X66_Y15_N24
\led_flash_cnt[142][5]~28876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[142][5]~28876_combout\ = (\led_flash_cnt[142][5]~q\ & (\led_flash_cnt[142][4]~28875\ $ (GND))) # (!\led_flash_cnt[142][5]~q\ & (!\led_flash_cnt[142][4]~28875\ & VCC))
-- \led_flash_cnt[142][5]~28877\ = CARRY((\led_flash_cnt[142][5]~q\ & !\led_flash_cnt[142][4]~28875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[142][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[142][4]~28875\,
	combout => \led_flash_cnt[142][5]~28876_combout\,
	cout => \led_flash_cnt[142][5]~28877\);

-- Location: FF_X66_Y15_N25
\led_flash_cnt[142][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[142][5]~28876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[142][5]~q\);

-- Location: LCCOMB_X66_Y15_N26
\led_flash_cnt[142][6]~28878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[142][6]~28878_combout\ = (\led_flash_cnt[142][6]~q\ & (!\led_flash_cnt[142][5]~28877\)) # (!\led_flash_cnt[142][6]~q\ & ((\led_flash_cnt[142][5]~28877\) # (GND)))
-- \led_flash_cnt[142][6]~28879\ = CARRY((!\led_flash_cnt[142][5]~28877\) # (!\led_flash_cnt[142][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[142][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[142][5]~28877\,
	combout => \led_flash_cnt[142][6]~28878_combout\,
	cout => \led_flash_cnt[142][6]~28879\);

-- Location: FF_X66_Y15_N27
\led_flash_cnt[142][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[142][6]~28878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[142][6]~q\);

-- Location: LCCOMB_X65_Y15_N22
\WideAnd142~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd142~1_combout\ = (\led_flash_cnt[142][6]~q\ & \led_flash_cnt[142][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[142][6]~q\,
	datad => \led_flash_cnt[142][5]~q\,
	combout => \WideAnd142~1_combout\);

-- Location: LCCOMB_X66_Y15_N28
\led_flash_cnt[142][7]~28880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[142][7]~28880_combout\ = \led_flash_cnt[142][6]~28879\ $ (!\led_flash_cnt[142][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[142][7]~q\,
	cin => \led_flash_cnt[142][6]~28879\,
	combout => \led_flash_cnt[142][7]~28880_combout\);

-- Location: FF_X66_Y15_N29
\led_flash_cnt[142][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[142][7]~28880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[142][7]~q\);

-- Location: LCCOMB_X65_Y15_N20
WideAnd142 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd142~combout\ = (\led_flash_cnt[142][0]~q\ & (\WideAnd142~0_combout\ & (\WideAnd142~1_combout\ & \led_flash_cnt[142][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[142][0]~q\,
	datab => \WideAnd142~0_combout\,
	datac => \WideAnd142~1_combout\,
	datad => \led_flash_cnt[142][7]~q\,
	combout => \WideAnd142~combout\);

-- Location: FF_X65_Y15_N21
\led_flash_cnt_ands[142]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd142~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(142));

-- Location: LCCOMB_X57_Y11_N6
\led_flash_cnt[143][0]~80783\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[143][0]~80783_combout\ = !\led_flash_cnt[143][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[143][0]~q\,
	combout => \led_flash_cnt[143][0]~80783_combout\);

-- Location: FF_X57_Y11_N7
\led_flash_cnt[143][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[143][0]~80783_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[143][0]~q\);

-- Location: LCCOMB_X58_Y11_N18
\led_flash_cnt[143][1]~28882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[143][1]~28882_combout\ = (\led_flash_cnt[143][0]~q\ & (\led_flash_cnt[143][1]~q\ $ (VCC))) # (!\led_flash_cnt[143][0]~q\ & (\led_flash_cnt[143][1]~q\ & VCC))
-- \led_flash_cnt[143][1]~28883\ = CARRY((\led_flash_cnt[143][0]~q\ & \led_flash_cnt[143][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[143][0]~q\,
	datab => \led_flash_cnt[143][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[143][1]~28882_combout\,
	cout => \led_flash_cnt[143][1]~28883\);

-- Location: FF_X58_Y11_N19
\led_flash_cnt[143][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[143][1]~28882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[143][1]~q\);

-- Location: LCCOMB_X58_Y11_N20
\led_flash_cnt[143][2]~28884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[143][2]~28884_combout\ = (\led_flash_cnt[143][2]~q\ & (!\led_flash_cnt[143][1]~28883\)) # (!\led_flash_cnt[143][2]~q\ & ((\led_flash_cnt[143][1]~28883\) # (GND)))
-- \led_flash_cnt[143][2]~28885\ = CARRY((!\led_flash_cnt[143][1]~28883\) # (!\led_flash_cnt[143][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[143][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[143][1]~28883\,
	combout => \led_flash_cnt[143][2]~28884_combout\,
	cout => \led_flash_cnt[143][2]~28885\);

-- Location: FF_X58_Y11_N21
\led_flash_cnt[143][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[143][2]~28884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[143][2]~q\);

-- Location: LCCOMB_X58_Y11_N22
\led_flash_cnt[143][3]~28886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[143][3]~28886_combout\ = (\led_flash_cnt[143][3]~q\ & (\led_flash_cnt[143][2]~28885\ $ (GND))) # (!\led_flash_cnt[143][3]~q\ & (!\led_flash_cnt[143][2]~28885\ & VCC))
-- \led_flash_cnt[143][3]~28887\ = CARRY((\led_flash_cnt[143][3]~q\ & !\led_flash_cnt[143][2]~28885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[143][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[143][2]~28885\,
	combout => \led_flash_cnt[143][3]~28886_combout\,
	cout => \led_flash_cnt[143][3]~28887\);

-- Location: FF_X58_Y11_N23
\led_flash_cnt[143][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[143][3]~28886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[143][3]~q\);

-- Location: LCCOMB_X58_Y11_N24
\led_flash_cnt[143][4]~28888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[143][4]~28888_combout\ = (\led_flash_cnt[143][4]~q\ & (!\led_flash_cnt[143][3]~28887\)) # (!\led_flash_cnt[143][4]~q\ & ((\led_flash_cnt[143][3]~28887\) # (GND)))
-- \led_flash_cnt[143][4]~28889\ = CARRY((!\led_flash_cnt[143][3]~28887\) # (!\led_flash_cnt[143][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[143][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[143][3]~28887\,
	combout => \led_flash_cnt[143][4]~28888_combout\,
	cout => \led_flash_cnt[143][4]~28889\);

-- Location: FF_X58_Y11_N25
\led_flash_cnt[143][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[143][4]~28888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[143][4]~q\);

-- Location: LCCOMB_X58_Y11_N26
\led_flash_cnt[143][5]~28890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[143][5]~28890_combout\ = (\led_flash_cnt[143][5]~q\ & (\led_flash_cnt[143][4]~28889\ $ (GND))) # (!\led_flash_cnt[143][5]~q\ & (!\led_flash_cnt[143][4]~28889\ & VCC))
-- \led_flash_cnt[143][5]~28891\ = CARRY((\led_flash_cnt[143][5]~q\ & !\led_flash_cnt[143][4]~28889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[143][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[143][4]~28889\,
	combout => \led_flash_cnt[143][5]~28890_combout\,
	cout => \led_flash_cnt[143][5]~28891\);

-- Location: FF_X58_Y11_N27
\led_flash_cnt[143][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[143][5]~28890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[143][5]~q\);

-- Location: LCCOMB_X58_Y11_N28
\led_flash_cnt[143][6]~28892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[143][6]~28892_combout\ = (\led_flash_cnt[143][6]~q\ & (!\led_flash_cnt[143][5]~28891\)) # (!\led_flash_cnt[143][6]~q\ & ((\led_flash_cnt[143][5]~28891\) # (GND)))
-- \led_flash_cnt[143][6]~28893\ = CARRY((!\led_flash_cnt[143][5]~28891\) # (!\led_flash_cnt[143][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[143][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[143][5]~28891\,
	combout => \led_flash_cnt[143][6]~28892_combout\,
	cout => \led_flash_cnt[143][6]~28893\);

-- Location: FF_X58_Y11_N29
\led_flash_cnt[143][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[143][6]~28892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[143][6]~q\);

-- Location: LCCOMB_X57_Y11_N30
\WideAnd143~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd143~1_combout\ = (\led_flash_cnt[143][6]~q\ & \led_flash_cnt[143][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[143][6]~q\,
	datad => \led_flash_cnt[143][5]~q\,
	combout => \WideAnd143~1_combout\);

-- Location: LCCOMB_X58_Y11_N16
\WideAnd143~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd143~0_combout\ = (\led_flash_cnt[143][4]~q\ & (\led_flash_cnt[143][2]~q\ & (\led_flash_cnt[143][3]~q\ & \led_flash_cnt[143][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[143][4]~q\,
	datab => \led_flash_cnt[143][2]~q\,
	datac => \led_flash_cnt[143][3]~q\,
	datad => \led_flash_cnt[143][1]~q\,
	combout => \WideAnd143~0_combout\);

-- Location: LCCOMB_X58_Y11_N30
\led_flash_cnt[143][7]~28894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[143][7]~28894_combout\ = \led_flash_cnt[143][7]~q\ $ (!\led_flash_cnt[143][6]~28893\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[143][7]~q\,
	cin => \led_flash_cnt[143][6]~28893\,
	combout => \led_flash_cnt[143][7]~28894_combout\);

-- Location: FF_X58_Y11_N31
\led_flash_cnt[143][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[143][7]~28894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[143][7]~q\);

-- Location: LCCOMB_X57_Y11_N0
WideAnd143 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd143~combout\ = (\WideAnd143~1_combout\ & (\WideAnd143~0_combout\ & (\led_flash_cnt[143][7]~q\ & \led_flash_cnt[143][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd143~1_combout\,
	datab => \WideAnd143~0_combout\,
	datac => \led_flash_cnt[143][7]~q\,
	datad => \led_flash_cnt[143][0]~q\,
	combout => \WideAnd143~combout\);

-- Location: FF_X57_Y11_N1
\led_flash_cnt_ands[143]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd143~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(143));

-- Location: LCCOMB_X57_Y11_N28
WideAnd3857 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3857~combout\ = (\WideAnd3857~1_combout\ & (\WideAnd3857~0_combout\ & (led_flash_cnt_ands(142) & led_flash_cnt_ands(143))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3857~1_combout\,
	datab => \WideAnd3857~0_combout\,
	datac => led_flash_cnt_ands(142),
	datad => led_flash_cnt_ands(143),
	combout => \WideAnd3857~combout\);

-- Location: FF_X57_Y11_N29
\led_flash_cnt_ands_1[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3857~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(17));

-- Location: LCCOMB_X60_Y15_N28
\led_flash_cnt[158][0]~80798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[158][0]~80798_combout\ = !\led_flash_cnt[158][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[158][0]~q\,
	combout => \led_flash_cnt[158][0]~80798_combout\);

-- Location: FF_X60_Y15_N29
\led_flash_cnt[158][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[158][0]~80798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[158][0]~q\);

-- Location: LCCOMB_X59_Y15_N2
\led_flash_cnt[158][1]~29092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[158][1]~29092_combout\ = (\led_flash_cnt[158][0]~q\ & (\led_flash_cnt[158][1]~q\ $ (VCC))) # (!\led_flash_cnt[158][0]~q\ & (\led_flash_cnt[158][1]~q\ & VCC))
-- \led_flash_cnt[158][1]~29093\ = CARRY((\led_flash_cnt[158][0]~q\ & \led_flash_cnt[158][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[158][0]~q\,
	datab => \led_flash_cnt[158][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[158][1]~29092_combout\,
	cout => \led_flash_cnt[158][1]~29093\);

-- Location: FF_X59_Y15_N3
\led_flash_cnt[158][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[158][1]~29092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[158][1]~q\);

-- Location: LCCOMB_X59_Y15_N4
\led_flash_cnt[158][2]~29094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[158][2]~29094_combout\ = (\led_flash_cnt[158][2]~q\ & (!\led_flash_cnt[158][1]~29093\)) # (!\led_flash_cnt[158][2]~q\ & ((\led_flash_cnt[158][1]~29093\) # (GND)))
-- \led_flash_cnt[158][2]~29095\ = CARRY((!\led_flash_cnt[158][1]~29093\) # (!\led_flash_cnt[158][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[158][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[158][1]~29093\,
	combout => \led_flash_cnt[158][2]~29094_combout\,
	cout => \led_flash_cnt[158][2]~29095\);

-- Location: FF_X59_Y15_N5
\led_flash_cnt[158][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[158][2]~29094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[158][2]~q\);

-- Location: LCCOMB_X59_Y15_N6
\led_flash_cnt[158][3]~29096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[158][3]~29096_combout\ = (\led_flash_cnt[158][3]~q\ & (\led_flash_cnt[158][2]~29095\ $ (GND))) # (!\led_flash_cnt[158][3]~q\ & (!\led_flash_cnt[158][2]~29095\ & VCC))
-- \led_flash_cnt[158][3]~29097\ = CARRY((\led_flash_cnt[158][3]~q\ & !\led_flash_cnt[158][2]~29095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[158][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[158][2]~29095\,
	combout => \led_flash_cnt[158][3]~29096_combout\,
	cout => \led_flash_cnt[158][3]~29097\);

-- Location: FF_X59_Y15_N7
\led_flash_cnt[158][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[158][3]~29096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[158][3]~q\);

-- Location: LCCOMB_X59_Y15_N8
\led_flash_cnt[158][4]~29098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[158][4]~29098_combout\ = (\led_flash_cnt[158][4]~q\ & (!\led_flash_cnt[158][3]~29097\)) # (!\led_flash_cnt[158][4]~q\ & ((\led_flash_cnt[158][3]~29097\) # (GND)))
-- \led_flash_cnt[158][4]~29099\ = CARRY((!\led_flash_cnt[158][3]~29097\) # (!\led_flash_cnt[158][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[158][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[158][3]~29097\,
	combout => \led_flash_cnt[158][4]~29098_combout\,
	cout => \led_flash_cnt[158][4]~29099\);

-- Location: FF_X59_Y15_N9
\led_flash_cnt[158][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[158][4]~29098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[158][4]~q\);

-- Location: LCCOMB_X59_Y15_N10
\led_flash_cnt[158][5]~29100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[158][5]~29100_combout\ = (\led_flash_cnt[158][5]~q\ & (\led_flash_cnt[158][4]~29099\ $ (GND))) # (!\led_flash_cnt[158][5]~q\ & (!\led_flash_cnt[158][4]~29099\ & VCC))
-- \led_flash_cnt[158][5]~29101\ = CARRY((\led_flash_cnt[158][5]~q\ & !\led_flash_cnt[158][4]~29099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[158][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[158][4]~29099\,
	combout => \led_flash_cnt[158][5]~29100_combout\,
	cout => \led_flash_cnt[158][5]~29101\);

-- Location: FF_X59_Y15_N11
\led_flash_cnt[158][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[158][5]~29100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[158][5]~q\);

-- Location: LCCOMB_X59_Y15_N12
\led_flash_cnt[158][6]~29102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[158][6]~29102_combout\ = (\led_flash_cnt[158][6]~q\ & (!\led_flash_cnt[158][5]~29101\)) # (!\led_flash_cnt[158][6]~q\ & ((\led_flash_cnt[158][5]~29101\) # (GND)))
-- \led_flash_cnt[158][6]~29103\ = CARRY((!\led_flash_cnt[158][5]~29101\) # (!\led_flash_cnt[158][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[158][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[158][5]~29101\,
	combout => \led_flash_cnt[158][6]~29102_combout\,
	cout => \led_flash_cnt[158][6]~29103\);

-- Location: FF_X59_Y15_N13
\led_flash_cnt[158][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[158][6]~29102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[158][6]~q\);

-- Location: LCCOMB_X59_Y15_N14
\led_flash_cnt[158][7]~29104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[158][7]~29104_combout\ = \led_flash_cnt[158][7]~q\ $ (!\led_flash_cnt[158][6]~29103\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[158][7]~q\,
	cin => \led_flash_cnt[158][6]~29103\,
	combout => \led_flash_cnt[158][7]~29104_combout\);

-- Location: FF_X59_Y15_N15
\led_flash_cnt[158][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[158][7]~29104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[158][7]~q\);

-- Location: LCCOMB_X60_Y15_N0
\WideAnd158~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd158~1_combout\ = (\led_flash_cnt[158][6]~q\ & \led_flash_cnt[158][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[158][6]~q\,
	datad => \led_flash_cnt[158][5]~q\,
	combout => \WideAnd158~1_combout\);

-- Location: LCCOMB_X59_Y15_N0
\WideAnd158~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd158~0_combout\ = (\led_flash_cnt[158][3]~q\ & (\led_flash_cnt[158][4]~q\ & (\led_flash_cnt[158][2]~q\ & \led_flash_cnt[158][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[158][3]~q\,
	datab => \led_flash_cnt[158][4]~q\,
	datac => \led_flash_cnt[158][2]~q\,
	datad => \led_flash_cnt[158][1]~q\,
	combout => \WideAnd158~0_combout\);

-- Location: LCCOMB_X60_Y15_N22
WideAnd158 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd158~combout\ = (\led_flash_cnt[158][7]~q\ & (\WideAnd158~1_combout\ & (\WideAnd158~0_combout\ & \led_flash_cnt[158][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[158][7]~q\,
	datab => \WideAnd158~1_combout\,
	datac => \WideAnd158~0_combout\,
	datad => \led_flash_cnt[158][0]~q\,
	combout => \WideAnd158~combout\);

-- Location: FF_X60_Y15_N23
\led_flash_cnt_ands[158]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd158~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(158));

-- Location: LCCOMB_X52_Y2_N20
\led_flash_cnt[153][0]~80793\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[153][0]~80793_combout\ = !\led_flash_cnt[153][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[153][0]~q\,
	combout => \led_flash_cnt[153][0]~80793_combout\);

-- Location: FF_X52_Y2_N21
\led_flash_cnt[153][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[153][0]~80793_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[153][0]~q\);

-- Location: LCCOMB_X52_Y2_N0
\led_flash_cnt[153][1]~29022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[153][1]~29022_combout\ = (\led_flash_cnt[153][1]~q\ & (\led_flash_cnt[153][0]~q\ $ (VCC))) # (!\led_flash_cnt[153][1]~q\ & (\led_flash_cnt[153][0]~q\ & VCC))
-- \led_flash_cnt[153][1]~29023\ = CARRY((\led_flash_cnt[153][1]~q\ & \led_flash_cnt[153][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[153][1]~q\,
	datab => \led_flash_cnt[153][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[153][1]~29022_combout\,
	cout => \led_flash_cnt[153][1]~29023\);

-- Location: FF_X52_Y2_N1
\led_flash_cnt[153][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[153][1]~29022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[153][1]~q\);

-- Location: LCCOMB_X52_Y2_N2
\led_flash_cnt[153][2]~29024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[153][2]~29024_combout\ = (\led_flash_cnt[153][2]~q\ & (!\led_flash_cnt[153][1]~29023\)) # (!\led_flash_cnt[153][2]~q\ & ((\led_flash_cnt[153][1]~29023\) # (GND)))
-- \led_flash_cnt[153][2]~29025\ = CARRY((!\led_flash_cnt[153][1]~29023\) # (!\led_flash_cnt[153][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[153][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[153][1]~29023\,
	combout => \led_flash_cnt[153][2]~29024_combout\,
	cout => \led_flash_cnt[153][2]~29025\);

-- Location: FF_X52_Y2_N3
\led_flash_cnt[153][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[153][2]~29024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[153][2]~q\);

-- Location: LCCOMB_X52_Y2_N4
\led_flash_cnt[153][3]~29026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[153][3]~29026_combout\ = (\led_flash_cnt[153][3]~q\ & (\led_flash_cnt[153][2]~29025\ $ (GND))) # (!\led_flash_cnt[153][3]~q\ & (!\led_flash_cnt[153][2]~29025\ & VCC))
-- \led_flash_cnt[153][3]~29027\ = CARRY((\led_flash_cnt[153][3]~q\ & !\led_flash_cnt[153][2]~29025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[153][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[153][2]~29025\,
	combout => \led_flash_cnt[153][3]~29026_combout\,
	cout => \led_flash_cnt[153][3]~29027\);

-- Location: FF_X52_Y2_N5
\led_flash_cnt[153][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[153][3]~29026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[153][3]~q\);

-- Location: LCCOMB_X52_Y2_N6
\led_flash_cnt[153][4]~29028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[153][4]~29028_combout\ = (\led_flash_cnt[153][4]~q\ & (!\led_flash_cnt[153][3]~29027\)) # (!\led_flash_cnt[153][4]~q\ & ((\led_flash_cnt[153][3]~29027\) # (GND)))
-- \led_flash_cnt[153][4]~29029\ = CARRY((!\led_flash_cnt[153][3]~29027\) # (!\led_flash_cnt[153][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[153][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[153][3]~29027\,
	combout => \led_flash_cnt[153][4]~29028_combout\,
	cout => \led_flash_cnt[153][4]~29029\);

-- Location: FF_X52_Y2_N7
\led_flash_cnt[153][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[153][4]~29028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[153][4]~q\);

-- Location: LCCOMB_X52_Y2_N26
\WideAnd153~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd153~0_combout\ = (\led_flash_cnt[153][4]~q\ & (\led_flash_cnt[153][1]~q\ & (\led_flash_cnt[153][3]~q\ & \led_flash_cnt[153][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[153][4]~q\,
	datab => \led_flash_cnt[153][1]~q\,
	datac => \led_flash_cnt[153][3]~q\,
	datad => \led_flash_cnt[153][2]~q\,
	combout => \WideAnd153~0_combout\);

-- Location: LCCOMB_X52_Y2_N8
\led_flash_cnt[153][5]~29030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[153][5]~29030_combout\ = (\led_flash_cnt[153][5]~q\ & (\led_flash_cnt[153][4]~29029\ $ (GND))) # (!\led_flash_cnt[153][5]~q\ & (!\led_flash_cnt[153][4]~29029\ & VCC))
-- \led_flash_cnt[153][5]~29031\ = CARRY((\led_flash_cnt[153][5]~q\ & !\led_flash_cnt[153][4]~29029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[153][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[153][4]~29029\,
	combout => \led_flash_cnt[153][5]~29030_combout\,
	cout => \led_flash_cnt[153][5]~29031\);

-- Location: FF_X52_Y2_N9
\led_flash_cnt[153][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[153][5]~29030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[153][5]~q\);

-- Location: LCCOMB_X52_Y2_N10
\led_flash_cnt[153][6]~29032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[153][6]~29032_combout\ = (\led_flash_cnt[153][6]~q\ & (!\led_flash_cnt[153][5]~29031\)) # (!\led_flash_cnt[153][6]~q\ & ((\led_flash_cnt[153][5]~29031\) # (GND)))
-- \led_flash_cnt[153][6]~29033\ = CARRY((!\led_flash_cnt[153][5]~29031\) # (!\led_flash_cnt[153][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[153][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[153][5]~29031\,
	combout => \led_flash_cnt[153][6]~29032_combout\,
	cout => \led_flash_cnt[153][6]~29033\);

-- Location: FF_X52_Y2_N11
\led_flash_cnt[153][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[153][6]~29032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[153][6]~q\);

-- Location: LCCOMB_X52_Y2_N22
\WideAnd153~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd153~1_combout\ = (\led_flash_cnt[153][5]~q\ & \led_flash_cnt[153][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[153][5]~q\,
	datad => \led_flash_cnt[153][6]~q\,
	combout => \WideAnd153~1_combout\);

-- Location: LCCOMB_X52_Y2_N12
\led_flash_cnt[153][7]~29034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[153][7]~29034_combout\ = \led_flash_cnt[153][6]~29033\ $ (!\led_flash_cnt[153][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[153][7]~q\,
	cin => \led_flash_cnt[153][6]~29033\,
	combout => \led_flash_cnt[153][7]~29034_combout\);

-- Location: FF_X52_Y2_N13
\led_flash_cnt[153][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[153][7]~29034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[153][7]~q\);

-- Location: LCCOMB_X52_Y2_N28
WideAnd153 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd153~combout\ = (\WideAnd153~0_combout\ & (\led_flash_cnt[153][0]~q\ & (\WideAnd153~1_combout\ & \led_flash_cnt[153][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd153~0_combout\,
	datab => \led_flash_cnt[153][0]~q\,
	datac => \WideAnd153~1_combout\,
	datad => \led_flash_cnt[153][7]~q\,
	combout => \WideAnd153~combout\);

-- Location: FF_X52_Y2_N29
\led_flash_cnt_ands[153]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd153~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(153));

-- Location: LCCOMB_X52_Y2_N18
\led_flash_cnt[155][0]~80795\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[155][0]~80795_combout\ = !\led_flash_cnt[155][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[155][0]~q\,
	combout => \led_flash_cnt[155][0]~80795_combout\);

-- Location: FF_X52_Y2_N19
\led_flash_cnt[155][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[155][0]~80795_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[155][0]~q\);

-- Location: LCCOMB_X51_Y2_N14
\led_flash_cnt[155][1]~29050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[155][1]~29050_combout\ = (\led_flash_cnt[155][0]~q\ & (\led_flash_cnt[155][1]~q\ $ (VCC))) # (!\led_flash_cnt[155][0]~q\ & (\led_flash_cnt[155][1]~q\ & VCC))
-- \led_flash_cnt[155][1]~29051\ = CARRY((\led_flash_cnt[155][0]~q\ & \led_flash_cnt[155][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[155][0]~q\,
	datab => \led_flash_cnt[155][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[155][1]~29050_combout\,
	cout => \led_flash_cnt[155][1]~29051\);

-- Location: FF_X51_Y2_N15
\led_flash_cnt[155][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[155][1]~29050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[155][1]~q\);

-- Location: LCCOMB_X51_Y2_N16
\led_flash_cnt[155][2]~29052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[155][2]~29052_combout\ = (\led_flash_cnt[155][2]~q\ & (!\led_flash_cnt[155][1]~29051\)) # (!\led_flash_cnt[155][2]~q\ & ((\led_flash_cnt[155][1]~29051\) # (GND)))
-- \led_flash_cnt[155][2]~29053\ = CARRY((!\led_flash_cnt[155][1]~29051\) # (!\led_flash_cnt[155][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[155][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[155][1]~29051\,
	combout => \led_flash_cnt[155][2]~29052_combout\,
	cout => \led_flash_cnt[155][2]~29053\);

-- Location: FF_X51_Y2_N17
\led_flash_cnt[155][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[155][2]~29052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[155][2]~q\);

-- Location: LCCOMB_X51_Y2_N18
\led_flash_cnt[155][3]~29054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[155][3]~29054_combout\ = (\led_flash_cnt[155][3]~q\ & (\led_flash_cnt[155][2]~29053\ $ (GND))) # (!\led_flash_cnt[155][3]~q\ & (!\led_flash_cnt[155][2]~29053\ & VCC))
-- \led_flash_cnt[155][3]~29055\ = CARRY((\led_flash_cnt[155][3]~q\ & !\led_flash_cnt[155][2]~29053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[155][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[155][2]~29053\,
	combout => \led_flash_cnt[155][3]~29054_combout\,
	cout => \led_flash_cnt[155][3]~29055\);

-- Location: FF_X51_Y2_N19
\led_flash_cnt[155][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[155][3]~29054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[155][3]~q\);

-- Location: LCCOMB_X51_Y2_N20
\led_flash_cnt[155][4]~29056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[155][4]~29056_combout\ = (\led_flash_cnt[155][4]~q\ & (!\led_flash_cnt[155][3]~29055\)) # (!\led_flash_cnt[155][4]~q\ & ((\led_flash_cnt[155][3]~29055\) # (GND)))
-- \led_flash_cnt[155][4]~29057\ = CARRY((!\led_flash_cnt[155][3]~29055\) # (!\led_flash_cnt[155][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[155][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[155][3]~29055\,
	combout => \led_flash_cnt[155][4]~29056_combout\,
	cout => \led_flash_cnt[155][4]~29057\);

-- Location: FF_X51_Y2_N21
\led_flash_cnt[155][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[155][4]~29056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[155][4]~q\);

-- Location: LCCOMB_X51_Y2_N22
\led_flash_cnt[155][5]~29058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[155][5]~29058_combout\ = (\led_flash_cnt[155][5]~q\ & (\led_flash_cnt[155][4]~29057\ $ (GND))) # (!\led_flash_cnt[155][5]~q\ & (!\led_flash_cnt[155][4]~29057\ & VCC))
-- \led_flash_cnt[155][5]~29059\ = CARRY((\led_flash_cnt[155][5]~q\ & !\led_flash_cnt[155][4]~29057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[155][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[155][4]~29057\,
	combout => \led_flash_cnt[155][5]~29058_combout\,
	cout => \led_flash_cnt[155][5]~29059\);

-- Location: FF_X51_Y2_N23
\led_flash_cnt[155][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[155][5]~29058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[155][5]~q\);

-- Location: LCCOMB_X51_Y2_N24
\led_flash_cnt[155][6]~29060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[155][6]~29060_combout\ = (\led_flash_cnt[155][6]~q\ & (!\led_flash_cnt[155][5]~29059\)) # (!\led_flash_cnt[155][6]~q\ & ((\led_flash_cnt[155][5]~29059\) # (GND)))
-- \led_flash_cnt[155][6]~29061\ = CARRY((!\led_flash_cnt[155][5]~29059\) # (!\led_flash_cnt[155][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[155][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[155][5]~29059\,
	combout => \led_flash_cnt[155][6]~29060_combout\,
	cout => \led_flash_cnt[155][6]~29061\);

-- Location: FF_X51_Y2_N25
\led_flash_cnt[155][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[155][6]~29060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[155][6]~q\);

-- Location: LCCOMB_X52_Y2_N30
\WideAnd155~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd155~1_combout\ = (\led_flash_cnt[155][6]~q\ & \led_flash_cnt[155][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[155][6]~q\,
	datad => \led_flash_cnt[155][5]~q\,
	combout => \WideAnd155~1_combout\);

-- Location: LCCOMB_X51_Y2_N30
\WideAnd155~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd155~0_combout\ = (\led_flash_cnt[155][2]~q\ & (\led_flash_cnt[155][3]~q\ & (\led_flash_cnt[155][1]~q\ & \led_flash_cnt[155][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[155][2]~q\,
	datab => \led_flash_cnt[155][3]~q\,
	datac => \led_flash_cnt[155][1]~q\,
	datad => \led_flash_cnt[155][4]~q\,
	combout => \WideAnd155~0_combout\);

-- Location: LCCOMB_X51_Y2_N26
\led_flash_cnt[155][7]~29062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[155][7]~29062_combout\ = \led_flash_cnt[155][7]~q\ $ (!\led_flash_cnt[155][6]~29061\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[155][7]~q\,
	cin => \led_flash_cnt[155][6]~29061\,
	combout => \led_flash_cnt[155][7]~29062_combout\);

-- Location: FF_X51_Y2_N27
\led_flash_cnt[155][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[155][7]~29062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[155][7]~q\);

-- Location: LCCOMB_X52_Y2_N24
WideAnd155 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd155~combout\ = (\WideAnd155~1_combout\ & (\WideAnd155~0_combout\ & (\led_flash_cnt[155][7]~q\ & \led_flash_cnt[155][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd155~1_combout\,
	datab => \WideAnd155~0_combout\,
	datac => \led_flash_cnt[155][7]~q\,
	datad => \led_flash_cnt[155][0]~q\,
	combout => \WideAnd155~combout\);

-- Location: FF_X52_Y2_N25
\led_flash_cnt_ands[155]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd155~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(155));

-- Location: LCCOMB_X57_Y6_N24
\led_flash_cnt[152][0]~80792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[152][0]~80792_combout\ = !\led_flash_cnt[152][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[152][0]~q\,
	combout => \led_flash_cnt[152][0]~80792_combout\);

-- Location: FF_X57_Y6_N25
\led_flash_cnt[152][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[152][0]~80792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[152][0]~q\);

-- Location: LCCOMB_X57_Y6_N10
\led_flash_cnt[152][1]~29008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[152][1]~29008_combout\ = (\led_flash_cnt[152][1]~q\ & (\led_flash_cnt[152][0]~q\ $ (VCC))) # (!\led_flash_cnt[152][1]~q\ & (\led_flash_cnt[152][0]~q\ & VCC))
-- \led_flash_cnt[152][1]~29009\ = CARRY((\led_flash_cnt[152][1]~q\ & \led_flash_cnt[152][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[152][1]~q\,
	datab => \led_flash_cnt[152][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[152][1]~29008_combout\,
	cout => \led_flash_cnt[152][1]~29009\);

-- Location: FF_X57_Y6_N11
\led_flash_cnt[152][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[152][1]~29008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[152][1]~q\);

-- Location: LCCOMB_X57_Y6_N12
\led_flash_cnt[152][2]~29010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[152][2]~29010_combout\ = (\led_flash_cnt[152][2]~q\ & (!\led_flash_cnt[152][1]~29009\)) # (!\led_flash_cnt[152][2]~q\ & ((\led_flash_cnt[152][1]~29009\) # (GND)))
-- \led_flash_cnt[152][2]~29011\ = CARRY((!\led_flash_cnt[152][1]~29009\) # (!\led_flash_cnt[152][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[152][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[152][1]~29009\,
	combout => \led_flash_cnt[152][2]~29010_combout\,
	cout => \led_flash_cnt[152][2]~29011\);

-- Location: FF_X57_Y6_N13
\led_flash_cnt[152][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[152][2]~29010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[152][2]~q\);

-- Location: LCCOMB_X57_Y6_N14
\led_flash_cnt[152][3]~29012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[152][3]~29012_combout\ = (\led_flash_cnt[152][3]~q\ & (\led_flash_cnt[152][2]~29011\ $ (GND))) # (!\led_flash_cnt[152][3]~q\ & (!\led_flash_cnt[152][2]~29011\ & VCC))
-- \led_flash_cnt[152][3]~29013\ = CARRY((\led_flash_cnt[152][3]~q\ & !\led_flash_cnt[152][2]~29011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[152][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[152][2]~29011\,
	combout => \led_flash_cnt[152][3]~29012_combout\,
	cout => \led_flash_cnt[152][3]~29013\);

-- Location: FF_X57_Y6_N15
\led_flash_cnt[152][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[152][3]~29012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[152][3]~q\);

-- Location: LCCOMB_X57_Y6_N16
\led_flash_cnt[152][4]~29014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[152][4]~29014_combout\ = (\led_flash_cnt[152][4]~q\ & (!\led_flash_cnt[152][3]~29013\)) # (!\led_flash_cnt[152][4]~q\ & ((\led_flash_cnt[152][3]~29013\) # (GND)))
-- \led_flash_cnt[152][4]~29015\ = CARRY((!\led_flash_cnt[152][3]~29013\) # (!\led_flash_cnt[152][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[152][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[152][3]~29013\,
	combout => \led_flash_cnt[152][4]~29014_combout\,
	cout => \led_flash_cnt[152][4]~29015\);

-- Location: FF_X57_Y6_N17
\led_flash_cnt[152][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[152][4]~29014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[152][4]~q\);

-- Location: LCCOMB_X57_Y6_N18
\led_flash_cnt[152][5]~29016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[152][5]~29016_combout\ = (\led_flash_cnt[152][5]~q\ & (\led_flash_cnt[152][4]~29015\ $ (GND))) # (!\led_flash_cnt[152][5]~q\ & (!\led_flash_cnt[152][4]~29015\ & VCC))
-- \led_flash_cnt[152][5]~29017\ = CARRY((\led_flash_cnt[152][5]~q\ & !\led_flash_cnt[152][4]~29015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[152][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[152][4]~29015\,
	combout => \led_flash_cnt[152][5]~29016_combout\,
	cout => \led_flash_cnt[152][5]~29017\);

-- Location: FF_X57_Y6_N19
\led_flash_cnt[152][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[152][5]~29016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[152][5]~q\);

-- Location: LCCOMB_X57_Y6_N20
\led_flash_cnt[152][6]~29018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[152][6]~29018_combout\ = (\led_flash_cnt[152][6]~q\ & (!\led_flash_cnt[152][5]~29017\)) # (!\led_flash_cnt[152][6]~q\ & ((\led_flash_cnt[152][5]~29017\) # (GND)))
-- \led_flash_cnt[152][6]~29019\ = CARRY((!\led_flash_cnt[152][5]~29017\) # (!\led_flash_cnt[152][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[152][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[152][5]~29017\,
	combout => \led_flash_cnt[152][6]~29018_combout\,
	cout => \led_flash_cnt[152][6]~29019\);

-- Location: FF_X57_Y6_N21
\led_flash_cnt[152][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[152][6]~29018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[152][6]~q\);

-- Location: LCCOMB_X57_Y6_N26
\WideAnd152~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd152~1_combout\ = (\led_flash_cnt[152][6]~q\ & \led_flash_cnt[152][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[152][6]~q\,
	datad => \led_flash_cnt[152][5]~q\,
	combout => \WideAnd152~1_combout\);

-- Location: LCCOMB_X57_Y6_N22
\led_flash_cnt[152][7]~29020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[152][7]~29020_combout\ = \led_flash_cnt[152][7]~q\ $ (!\led_flash_cnt[152][6]~29019\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[152][7]~q\,
	cin => \led_flash_cnt[152][6]~29019\,
	combout => \led_flash_cnt[152][7]~29020_combout\);

-- Location: FF_X57_Y6_N23
\led_flash_cnt[152][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[152][7]~29020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[152][7]~q\);

-- Location: LCCOMB_X57_Y6_N28
\WideAnd152~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd152~0_combout\ = (\led_flash_cnt[152][2]~q\ & (\led_flash_cnt[152][4]~q\ & (\led_flash_cnt[152][3]~q\ & \led_flash_cnt[152][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[152][2]~q\,
	datab => \led_flash_cnt[152][4]~q\,
	datac => \led_flash_cnt[152][3]~q\,
	datad => \led_flash_cnt[152][1]~q\,
	combout => \WideAnd152~0_combout\);

-- Location: LCCOMB_X57_Y6_N30
WideAnd152 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd152~combout\ = (\WideAnd152~1_combout\ & (\led_flash_cnt[152][0]~q\ & (\led_flash_cnt[152][7]~q\ & \WideAnd152~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd152~1_combout\,
	datab => \led_flash_cnt[152][0]~q\,
	datac => \led_flash_cnt[152][7]~q\,
	datad => \WideAnd152~0_combout\,
	combout => \WideAnd152~combout\);

-- Location: FF_X57_Y6_N31
\led_flash_cnt_ands[152]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd152~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(152));

-- Location: LCCOMB_X52_Y5_N8
\led_flash_cnt[154][0]~80794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[154][0]~80794_combout\ = !\led_flash_cnt[154][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[154][0]~q\,
	combout => \led_flash_cnt[154][0]~80794_combout\);

-- Location: FF_X52_Y5_N9
\led_flash_cnt[154][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[154][0]~80794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[154][0]~q\);

-- Location: LCCOMB_X52_Y5_N10
\led_flash_cnt[154][1]~29036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[154][1]~29036_combout\ = (\led_flash_cnt[154][1]~q\ & (\led_flash_cnt[154][0]~q\ $ (VCC))) # (!\led_flash_cnt[154][1]~q\ & (\led_flash_cnt[154][0]~q\ & VCC))
-- \led_flash_cnt[154][1]~29037\ = CARRY((\led_flash_cnt[154][1]~q\ & \led_flash_cnt[154][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[154][1]~q\,
	datab => \led_flash_cnt[154][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[154][1]~29036_combout\,
	cout => \led_flash_cnt[154][1]~29037\);

-- Location: FF_X52_Y5_N11
\led_flash_cnt[154][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[154][1]~29036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[154][1]~q\);

-- Location: LCCOMB_X52_Y5_N12
\led_flash_cnt[154][2]~29038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[154][2]~29038_combout\ = (\led_flash_cnt[154][2]~q\ & (!\led_flash_cnt[154][1]~29037\)) # (!\led_flash_cnt[154][2]~q\ & ((\led_flash_cnt[154][1]~29037\) # (GND)))
-- \led_flash_cnt[154][2]~29039\ = CARRY((!\led_flash_cnt[154][1]~29037\) # (!\led_flash_cnt[154][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[154][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[154][1]~29037\,
	combout => \led_flash_cnt[154][2]~29038_combout\,
	cout => \led_flash_cnt[154][2]~29039\);

-- Location: FF_X52_Y5_N13
\led_flash_cnt[154][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[154][2]~29038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[154][2]~q\);

-- Location: LCCOMB_X52_Y5_N14
\led_flash_cnt[154][3]~29040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[154][3]~29040_combout\ = (\led_flash_cnt[154][3]~q\ & (\led_flash_cnt[154][2]~29039\ $ (GND))) # (!\led_flash_cnt[154][3]~q\ & (!\led_flash_cnt[154][2]~29039\ & VCC))
-- \led_flash_cnt[154][3]~29041\ = CARRY((\led_flash_cnt[154][3]~q\ & !\led_flash_cnt[154][2]~29039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[154][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[154][2]~29039\,
	combout => \led_flash_cnt[154][3]~29040_combout\,
	cout => \led_flash_cnt[154][3]~29041\);

-- Location: FF_X52_Y5_N15
\led_flash_cnt[154][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[154][3]~29040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[154][3]~q\);

-- Location: LCCOMB_X52_Y5_N16
\led_flash_cnt[154][4]~29042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[154][4]~29042_combout\ = (\led_flash_cnt[154][4]~q\ & (!\led_flash_cnt[154][3]~29041\)) # (!\led_flash_cnt[154][4]~q\ & ((\led_flash_cnt[154][3]~29041\) # (GND)))
-- \led_flash_cnt[154][4]~29043\ = CARRY((!\led_flash_cnt[154][3]~29041\) # (!\led_flash_cnt[154][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[154][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[154][3]~29041\,
	combout => \led_flash_cnt[154][4]~29042_combout\,
	cout => \led_flash_cnt[154][4]~29043\);

-- Location: FF_X52_Y5_N17
\led_flash_cnt[154][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[154][4]~29042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[154][4]~q\);

-- Location: LCCOMB_X52_Y5_N18
\led_flash_cnt[154][5]~29044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[154][5]~29044_combout\ = (\led_flash_cnt[154][5]~q\ & (\led_flash_cnt[154][4]~29043\ $ (GND))) # (!\led_flash_cnt[154][5]~q\ & (!\led_flash_cnt[154][4]~29043\ & VCC))
-- \led_flash_cnt[154][5]~29045\ = CARRY((\led_flash_cnt[154][5]~q\ & !\led_flash_cnt[154][4]~29043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[154][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[154][4]~29043\,
	combout => \led_flash_cnt[154][5]~29044_combout\,
	cout => \led_flash_cnt[154][5]~29045\);

-- Location: FF_X52_Y5_N19
\led_flash_cnt[154][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[154][5]~29044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[154][5]~q\);

-- Location: LCCOMB_X52_Y5_N20
\led_flash_cnt[154][6]~29046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[154][6]~29046_combout\ = (\led_flash_cnt[154][6]~q\ & (!\led_flash_cnt[154][5]~29045\)) # (!\led_flash_cnt[154][6]~q\ & ((\led_flash_cnt[154][5]~29045\) # (GND)))
-- \led_flash_cnt[154][6]~29047\ = CARRY((!\led_flash_cnt[154][5]~29045\) # (!\led_flash_cnt[154][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[154][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[154][5]~29045\,
	combout => \led_flash_cnt[154][6]~29046_combout\,
	cout => \led_flash_cnt[154][6]~29047\);

-- Location: FF_X52_Y5_N21
\led_flash_cnt[154][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[154][6]~29046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[154][6]~q\);

-- Location: LCCOMB_X52_Y5_N26
\WideAnd154~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd154~1_combout\ = (\led_flash_cnt[154][6]~q\ & \led_flash_cnt[154][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[154][6]~q\,
	datad => \led_flash_cnt[154][5]~q\,
	combout => \WideAnd154~1_combout\);

-- Location: LCCOMB_X52_Y5_N22
\led_flash_cnt[154][7]~29048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[154][7]~29048_combout\ = \led_flash_cnt[154][7]~q\ $ (!\led_flash_cnt[154][6]~29047\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[154][7]~q\,
	cin => \led_flash_cnt[154][6]~29047\,
	combout => \led_flash_cnt[154][7]~29048_combout\);

-- Location: FF_X52_Y5_N23
\led_flash_cnt[154][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[154][7]~29048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[154][7]~q\);

-- Location: LCCOMB_X52_Y5_N28
\WideAnd154~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd154~0_combout\ = (\led_flash_cnt[154][1]~q\ & (\led_flash_cnt[154][4]~q\ & (\led_flash_cnt[154][3]~q\ & \led_flash_cnt[154][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[154][1]~q\,
	datab => \led_flash_cnt[154][4]~q\,
	datac => \led_flash_cnt[154][3]~q\,
	datad => \led_flash_cnt[154][2]~q\,
	combout => \WideAnd154~0_combout\);

-- Location: LCCOMB_X52_Y5_N6
WideAnd154 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd154~combout\ = (\WideAnd154~1_combout\ & (\led_flash_cnt[154][0]~q\ & (\led_flash_cnt[154][7]~q\ & \WideAnd154~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd154~1_combout\,
	datab => \led_flash_cnt[154][0]~q\,
	datac => \led_flash_cnt[154][7]~q\,
	datad => \WideAnd154~0_combout\,
	combout => \WideAnd154~combout\);

-- Location: FF_X52_Y5_N7
\led_flash_cnt_ands[154]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd154~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(154));

-- Location: LCCOMB_X52_Y5_N30
\WideAnd3859~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3859~0_combout\ = (led_flash_cnt_ands(153) & (led_flash_cnt_ands(155) & (led_flash_cnt_ands(152) & led_flash_cnt_ands(154))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(153),
	datab => led_flash_cnt_ands(155),
	datac => led_flash_cnt_ands(152),
	datad => led_flash_cnt_ands(154),
	combout => \WideAnd3859~0_combout\);

-- Location: LCCOMB_X64_Y3_N2
\led_flash_cnt[157][0]~80797\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[157][0]~80797_combout\ = !\led_flash_cnt[157][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[157][0]~q\,
	combout => \led_flash_cnt[157][0]~80797_combout\);

-- Location: FF_X64_Y3_N3
\led_flash_cnt[157][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[157][0]~80797_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[157][0]~q\);

-- Location: LCCOMB_X63_Y3_N0
\led_flash_cnt[157][1]~29078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[157][1]~29078_combout\ = (\led_flash_cnt[157][0]~q\ & (\led_flash_cnt[157][1]~q\ $ (VCC))) # (!\led_flash_cnt[157][0]~q\ & (\led_flash_cnt[157][1]~q\ & VCC))
-- \led_flash_cnt[157][1]~29079\ = CARRY((\led_flash_cnt[157][0]~q\ & \led_flash_cnt[157][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[157][0]~q\,
	datab => \led_flash_cnt[157][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[157][1]~29078_combout\,
	cout => \led_flash_cnt[157][1]~29079\);

-- Location: FF_X63_Y3_N1
\led_flash_cnt[157][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[157][1]~29078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[157][1]~q\);

-- Location: LCCOMB_X63_Y3_N2
\led_flash_cnt[157][2]~29080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[157][2]~29080_combout\ = (\led_flash_cnt[157][2]~q\ & (!\led_flash_cnt[157][1]~29079\)) # (!\led_flash_cnt[157][2]~q\ & ((\led_flash_cnt[157][1]~29079\) # (GND)))
-- \led_flash_cnt[157][2]~29081\ = CARRY((!\led_flash_cnt[157][1]~29079\) # (!\led_flash_cnt[157][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[157][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[157][1]~29079\,
	combout => \led_flash_cnt[157][2]~29080_combout\,
	cout => \led_flash_cnt[157][2]~29081\);

-- Location: FF_X63_Y3_N3
\led_flash_cnt[157][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[157][2]~29080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[157][2]~q\);

-- Location: LCCOMB_X63_Y3_N4
\led_flash_cnt[157][3]~29082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[157][3]~29082_combout\ = (\led_flash_cnt[157][3]~q\ & (\led_flash_cnt[157][2]~29081\ $ (GND))) # (!\led_flash_cnt[157][3]~q\ & (!\led_flash_cnt[157][2]~29081\ & VCC))
-- \led_flash_cnt[157][3]~29083\ = CARRY((\led_flash_cnt[157][3]~q\ & !\led_flash_cnt[157][2]~29081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[157][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[157][2]~29081\,
	combout => \led_flash_cnt[157][3]~29082_combout\,
	cout => \led_flash_cnt[157][3]~29083\);

-- Location: FF_X63_Y3_N5
\led_flash_cnt[157][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[157][3]~29082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[157][3]~q\);

-- Location: LCCOMB_X63_Y3_N6
\led_flash_cnt[157][4]~29084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[157][4]~29084_combout\ = (\led_flash_cnt[157][4]~q\ & (!\led_flash_cnt[157][3]~29083\)) # (!\led_flash_cnt[157][4]~q\ & ((\led_flash_cnt[157][3]~29083\) # (GND)))
-- \led_flash_cnt[157][4]~29085\ = CARRY((!\led_flash_cnt[157][3]~29083\) # (!\led_flash_cnt[157][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[157][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[157][3]~29083\,
	combout => \led_flash_cnt[157][4]~29084_combout\,
	cout => \led_flash_cnt[157][4]~29085\);

-- Location: FF_X63_Y3_N7
\led_flash_cnt[157][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[157][4]~29084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[157][4]~q\);

-- Location: LCCOMB_X63_Y3_N8
\led_flash_cnt[157][5]~29086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[157][5]~29086_combout\ = (\led_flash_cnt[157][5]~q\ & (\led_flash_cnt[157][4]~29085\ $ (GND))) # (!\led_flash_cnt[157][5]~q\ & (!\led_flash_cnt[157][4]~29085\ & VCC))
-- \led_flash_cnt[157][5]~29087\ = CARRY((\led_flash_cnt[157][5]~q\ & !\led_flash_cnt[157][4]~29085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[157][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[157][4]~29085\,
	combout => \led_flash_cnt[157][5]~29086_combout\,
	cout => \led_flash_cnt[157][5]~29087\);

-- Location: FF_X63_Y3_N9
\led_flash_cnt[157][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[157][5]~29086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[157][5]~q\);

-- Location: LCCOMB_X63_Y3_N10
\led_flash_cnt[157][6]~29088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[157][6]~29088_combout\ = (\led_flash_cnt[157][6]~q\ & (!\led_flash_cnt[157][5]~29087\)) # (!\led_flash_cnt[157][6]~q\ & ((\led_flash_cnt[157][5]~29087\) # (GND)))
-- \led_flash_cnt[157][6]~29089\ = CARRY((!\led_flash_cnt[157][5]~29087\) # (!\led_flash_cnt[157][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[157][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[157][5]~29087\,
	combout => \led_flash_cnt[157][6]~29088_combout\,
	cout => \led_flash_cnt[157][6]~29089\);

-- Location: FF_X63_Y3_N11
\led_flash_cnt[157][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[157][6]~29088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[157][6]~q\);

-- Location: LCCOMB_X63_Y3_N12
\led_flash_cnt[157][7]~29090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[157][7]~29090_combout\ = \led_flash_cnt[157][6]~29089\ $ (!\led_flash_cnt[157][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[157][7]~q\,
	cin => \led_flash_cnt[157][6]~29089\,
	combout => \led_flash_cnt[157][7]~29090_combout\);

-- Location: FF_X63_Y3_N13
\led_flash_cnt[157][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[157][7]~29090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[157][7]~q\);

-- Location: LCCOMB_X64_Y3_N26
\WideAnd157~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd157~1_combout\ = (\led_flash_cnt[157][6]~q\ & \led_flash_cnt[157][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[157][6]~q\,
	datad => \led_flash_cnt[157][5]~q\,
	combout => \WideAnd157~1_combout\);

-- Location: LCCOMB_X63_Y3_N14
\WideAnd157~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd157~0_combout\ = (\led_flash_cnt[157][4]~q\ & (\led_flash_cnt[157][1]~q\ & (\led_flash_cnt[157][3]~q\ & \led_flash_cnt[157][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[157][4]~q\,
	datab => \led_flash_cnt[157][1]~q\,
	datac => \led_flash_cnt[157][3]~q\,
	datad => \led_flash_cnt[157][2]~q\,
	combout => \WideAnd157~0_combout\);

-- Location: LCCOMB_X64_Y3_N22
WideAnd157 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd157~combout\ = (\led_flash_cnt[157][7]~q\ & (\led_flash_cnt[157][0]~q\ & (\WideAnd157~1_combout\ & \WideAnd157~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[157][7]~q\,
	datab => \led_flash_cnt[157][0]~q\,
	datac => \WideAnd157~1_combout\,
	datad => \WideAnd157~0_combout\,
	combout => \WideAnd157~combout\);

-- Location: FF_X64_Y3_N23
\led_flash_cnt_ands[157]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd157~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(157));

-- Location: LCCOMB_X63_Y12_N6
\led_flash_cnt[156][0]~80796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[156][0]~80796_combout\ = !\led_flash_cnt[156][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[156][0]~q\,
	combout => \led_flash_cnt[156][0]~80796_combout\);

-- Location: FF_X63_Y12_N7
\led_flash_cnt[156][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[156][0]~80796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[156][0]~q\);

-- Location: LCCOMB_X64_Y12_N4
\led_flash_cnt[156][1]~29064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[156][1]~29064_combout\ = (\led_flash_cnt[156][0]~q\ & (\led_flash_cnt[156][1]~q\ $ (VCC))) # (!\led_flash_cnt[156][0]~q\ & (\led_flash_cnt[156][1]~q\ & VCC))
-- \led_flash_cnt[156][1]~29065\ = CARRY((\led_flash_cnt[156][0]~q\ & \led_flash_cnt[156][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[156][0]~q\,
	datab => \led_flash_cnt[156][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[156][1]~29064_combout\,
	cout => \led_flash_cnt[156][1]~29065\);

-- Location: FF_X64_Y12_N5
\led_flash_cnt[156][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[156][1]~29064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[156][1]~q\);

-- Location: LCCOMB_X64_Y12_N6
\led_flash_cnt[156][2]~29066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[156][2]~29066_combout\ = (\led_flash_cnt[156][2]~q\ & (!\led_flash_cnt[156][1]~29065\)) # (!\led_flash_cnt[156][2]~q\ & ((\led_flash_cnt[156][1]~29065\) # (GND)))
-- \led_flash_cnt[156][2]~29067\ = CARRY((!\led_flash_cnt[156][1]~29065\) # (!\led_flash_cnt[156][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[156][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[156][1]~29065\,
	combout => \led_flash_cnt[156][2]~29066_combout\,
	cout => \led_flash_cnt[156][2]~29067\);

-- Location: FF_X64_Y12_N7
\led_flash_cnt[156][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[156][2]~29066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[156][2]~q\);

-- Location: LCCOMB_X64_Y12_N8
\led_flash_cnt[156][3]~29068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[156][3]~29068_combout\ = (\led_flash_cnt[156][3]~q\ & (\led_flash_cnt[156][2]~29067\ $ (GND))) # (!\led_flash_cnt[156][3]~q\ & (!\led_flash_cnt[156][2]~29067\ & VCC))
-- \led_flash_cnt[156][3]~29069\ = CARRY((\led_flash_cnt[156][3]~q\ & !\led_flash_cnt[156][2]~29067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[156][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[156][2]~29067\,
	combout => \led_flash_cnt[156][3]~29068_combout\,
	cout => \led_flash_cnt[156][3]~29069\);

-- Location: FF_X64_Y12_N9
\led_flash_cnt[156][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[156][3]~29068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[156][3]~q\);

-- Location: LCCOMB_X64_Y12_N10
\led_flash_cnt[156][4]~29070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[156][4]~29070_combout\ = (\led_flash_cnt[156][4]~q\ & (!\led_flash_cnt[156][3]~29069\)) # (!\led_flash_cnt[156][4]~q\ & ((\led_flash_cnt[156][3]~29069\) # (GND)))
-- \led_flash_cnt[156][4]~29071\ = CARRY((!\led_flash_cnt[156][3]~29069\) # (!\led_flash_cnt[156][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[156][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[156][3]~29069\,
	combout => \led_flash_cnt[156][4]~29070_combout\,
	cout => \led_flash_cnt[156][4]~29071\);

-- Location: FF_X64_Y12_N11
\led_flash_cnt[156][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[156][4]~29070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[156][4]~q\);

-- Location: LCCOMB_X64_Y12_N12
\led_flash_cnt[156][5]~29072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[156][5]~29072_combout\ = (\led_flash_cnt[156][5]~q\ & (\led_flash_cnt[156][4]~29071\ $ (GND))) # (!\led_flash_cnt[156][5]~q\ & (!\led_flash_cnt[156][4]~29071\ & VCC))
-- \led_flash_cnt[156][5]~29073\ = CARRY((\led_flash_cnt[156][5]~q\ & !\led_flash_cnt[156][4]~29071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[156][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[156][4]~29071\,
	combout => \led_flash_cnt[156][5]~29072_combout\,
	cout => \led_flash_cnt[156][5]~29073\);

-- Location: FF_X64_Y12_N13
\led_flash_cnt[156][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[156][5]~29072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[156][5]~q\);

-- Location: LCCOMB_X64_Y12_N14
\led_flash_cnt[156][6]~29074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[156][6]~29074_combout\ = (\led_flash_cnt[156][6]~q\ & (!\led_flash_cnt[156][5]~29073\)) # (!\led_flash_cnt[156][6]~q\ & ((\led_flash_cnt[156][5]~29073\) # (GND)))
-- \led_flash_cnt[156][6]~29075\ = CARRY((!\led_flash_cnt[156][5]~29073\) # (!\led_flash_cnt[156][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[156][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[156][5]~29073\,
	combout => \led_flash_cnt[156][6]~29074_combout\,
	cout => \led_flash_cnt[156][6]~29075\);

-- Location: FF_X64_Y12_N15
\led_flash_cnt[156][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[156][6]~29074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[156][6]~q\);

-- Location: LCCOMB_X64_Y12_N16
\led_flash_cnt[156][7]~29076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[156][7]~29076_combout\ = \led_flash_cnt[156][6]~29075\ $ (!\led_flash_cnt[156][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[156][7]~q\,
	cin => \led_flash_cnt[156][6]~29075\,
	combout => \led_flash_cnt[156][7]~29076_combout\);

-- Location: FF_X64_Y12_N17
\led_flash_cnt[156][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[156][7]~29076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[156][7]~q\);

-- Location: LCCOMB_X63_Y12_N4
\WideAnd156~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd156~1_combout\ = (\led_flash_cnt[156][6]~q\ & \led_flash_cnt[156][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[156][6]~q\,
	datac => \led_flash_cnt[156][5]~q\,
	combout => \WideAnd156~1_combout\);

-- Location: LCCOMB_X64_Y12_N2
\WideAnd156~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd156~0_combout\ = (\led_flash_cnt[156][4]~q\ & (\led_flash_cnt[156][3]~q\ & (\led_flash_cnt[156][1]~q\ & \led_flash_cnt[156][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[156][4]~q\,
	datab => \led_flash_cnt[156][3]~q\,
	datac => \led_flash_cnt[156][1]~q\,
	datad => \led_flash_cnt[156][2]~q\,
	combout => \WideAnd156~0_combout\);

-- Location: LCCOMB_X63_Y12_N14
WideAnd156 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd156~combout\ = (\led_flash_cnt[156][0]~q\ & (\led_flash_cnt[156][7]~q\ & (\WideAnd156~1_combout\ & \WideAnd156~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[156][0]~q\,
	datab => \led_flash_cnt[156][7]~q\,
	datac => \WideAnd156~1_combout\,
	datad => \WideAnd156~0_combout\,
	combout => \WideAnd156~combout\);

-- Location: FF_X63_Y12_N15
\led_flash_cnt_ands[156]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd156~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(156));

-- Location: LCCOMB_X64_Y11_N30
\WideAnd3859~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3859~1_combout\ = (led_flash_cnt_ands(157) & led_flash_cnt_ands(156))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(157),
	datad => led_flash_cnt_ands(156),
	combout => \WideAnd3859~1_combout\);

-- Location: LCCOMB_X61_Y15_N2
\led_flash_cnt[159][0]~80799\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[159][0]~80799_combout\ = !\led_flash_cnt[159][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[159][0]~q\,
	combout => \led_flash_cnt[159][0]~80799_combout\);

-- Location: FF_X61_Y15_N3
\led_flash_cnt[159][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[159][0]~80799_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[159][0]~q\);

-- Location: LCCOMB_X62_Y15_N4
\led_flash_cnt[159][1]~29106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[159][1]~29106_combout\ = (\led_flash_cnt[159][0]~q\ & (\led_flash_cnt[159][1]~q\ $ (VCC))) # (!\led_flash_cnt[159][0]~q\ & (\led_flash_cnt[159][1]~q\ & VCC))
-- \led_flash_cnt[159][1]~29107\ = CARRY((\led_flash_cnt[159][0]~q\ & \led_flash_cnt[159][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[159][0]~q\,
	datab => \led_flash_cnt[159][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[159][1]~29106_combout\,
	cout => \led_flash_cnt[159][1]~29107\);

-- Location: FF_X62_Y15_N5
\led_flash_cnt[159][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[159][1]~29106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[159][1]~q\);

-- Location: LCCOMB_X62_Y15_N6
\led_flash_cnt[159][2]~29108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[159][2]~29108_combout\ = (\led_flash_cnt[159][2]~q\ & (!\led_flash_cnt[159][1]~29107\)) # (!\led_flash_cnt[159][2]~q\ & ((\led_flash_cnt[159][1]~29107\) # (GND)))
-- \led_flash_cnt[159][2]~29109\ = CARRY((!\led_flash_cnt[159][1]~29107\) # (!\led_flash_cnt[159][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[159][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[159][1]~29107\,
	combout => \led_flash_cnt[159][2]~29108_combout\,
	cout => \led_flash_cnt[159][2]~29109\);

-- Location: FF_X62_Y15_N7
\led_flash_cnt[159][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[159][2]~29108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[159][2]~q\);

-- Location: LCCOMB_X62_Y15_N8
\led_flash_cnt[159][3]~29110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[159][3]~29110_combout\ = (\led_flash_cnt[159][3]~q\ & (\led_flash_cnt[159][2]~29109\ $ (GND))) # (!\led_flash_cnt[159][3]~q\ & (!\led_flash_cnt[159][2]~29109\ & VCC))
-- \led_flash_cnt[159][3]~29111\ = CARRY((\led_flash_cnt[159][3]~q\ & !\led_flash_cnt[159][2]~29109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[159][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[159][2]~29109\,
	combout => \led_flash_cnt[159][3]~29110_combout\,
	cout => \led_flash_cnt[159][3]~29111\);

-- Location: FF_X62_Y15_N9
\led_flash_cnt[159][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[159][3]~29110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[159][3]~q\);

-- Location: LCCOMB_X62_Y15_N10
\led_flash_cnt[159][4]~29112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[159][4]~29112_combout\ = (\led_flash_cnt[159][4]~q\ & (!\led_flash_cnt[159][3]~29111\)) # (!\led_flash_cnt[159][4]~q\ & ((\led_flash_cnt[159][3]~29111\) # (GND)))
-- \led_flash_cnt[159][4]~29113\ = CARRY((!\led_flash_cnt[159][3]~29111\) # (!\led_flash_cnt[159][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[159][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[159][3]~29111\,
	combout => \led_flash_cnt[159][4]~29112_combout\,
	cout => \led_flash_cnt[159][4]~29113\);

-- Location: FF_X62_Y15_N11
\led_flash_cnt[159][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[159][4]~29112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[159][4]~q\);

-- Location: LCCOMB_X62_Y15_N2
\WideAnd159~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd159~0_combout\ = (\led_flash_cnt[159][4]~q\ & (\led_flash_cnt[159][3]~q\ & (\led_flash_cnt[159][1]~q\ & \led_flash_cnt[159][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[159][4]~q\,
	datab => \led_flash_cnt[159][3]~q\,
	datac => \led_flash_cnt[159][1]~q\,
	datad => \led_flash_cnt[159][2]~q\,
	combout => \WideAnd159~0_combout\);

-- Location: LCCOMB_X62_Y15_N12
\led_flash_cnt[159][5]~29114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[159][5]~29114_combout\ = (\led_flash_cnt[159][5]~q\ & (\led_flash_cnt[159][4]~29113\ $ (GND))) # (!\led_flash_cnt[159][5]~q\ & (!\led_flash_cnt[159][4]~29113\ & VCC))
-- \led_flash_cnt[159][5]~29115\ = CARRY((\led_flash_cnt[159][5]~q\ & !\led_flash_cnt[159][4]~29113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[159][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[159][4]~29113\,
	combout => \led_flash_cnt[159][5]~29114_combout\,
	cout => \led_flash_cnt[159][5]~29115\);

-- Location: FF_X62_Y15_N13
\led_flash_cnt[159][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[159][5]~29114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[159][5]~q\);

-- Location: LCCOMB_X62_Y15_N14
\led_flash_cnt[159][6]~29116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[159][6]~29116_combout\ = (\led_flash_cnt[159][6]~q\ & (!\led_flash_cnt[159][5]~29115\)) # (!\led_flash_cnt[159][6]~q\ & ((\led_flash_cnt[159][5]~29115\) # (GND)))
-- \led_flash_cnt[159][6]~29117\ = CARRY((!\led_flash_cnt[159][5]~29115\) # (!\led_flash_cnt[159][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[159][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[159][5]~29115\,
	combout => \led_flash_cnt[159][6]~29116_combout\,
	cout => \led_flash_cnt[159][6]~29117\);

-- Location: FF_X62_Y15_N15
\led_flash_cnt[159][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[159][6]~29116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[159][6]~q\);

-- Location: LCCOMB_X61_Y15_N8
\WideAnd159~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd159~1_combout\ = (\led_flash_cnt[159][6]~q\ & \led_flash_cnt[159][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[159][6]~q\,
	datac => \led_flash_cnt[159][5]~q\,
	combout => \WideAnd159~1_combout\);

-- Location: LCCOMB_X62_Y15_N16
\led_flash_cnt[159][7]~29118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[159][7]~29118_combout\ = \led_flash_cnt[159][6]~29117\ $ (!\led_flash_cnt[159][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[159][7]~q\,
	cin => \led_flash_cnt[159][6]~29117\,
	combout => \led_flash_cnt[159][7]~29118_combout\);

-- Location: FF_X62_Y15_N17
\led_flash_cnt[159][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[159][7]~29118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[159][7]~q\);

-- Location: LCCOMB_X61_Y15_N28
WideAnd159 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd159~combout\ = (\WideAnd159~0_combout\ & (\led_flash_cnt[159][0]~q\ & (\WideAnd159~1_combout\ & \led_flash_cnt[159][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd159~0_combout\,
	datab => \led_flash_cnt[159][0]~q\,
	datac => \WideAnd159~1_combout\,
	datad => \led_flash_cnt[159][7]~q\,
	combout => \WideAnd159~combout\);

-- Location: FF_X61_Y15_N29
\led_flash_cnt_ands[159]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd159~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(159));

-- Location: LCCOMB_X60_Y11_N4
WideAnd3859 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3859~combout\ = (led_flash_cnt_ands(158) & (\WideAnd3859~0_combout\ & (\WideAnd3859~1_combout\ & led_flash_cnt_ands(159))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(158),
	datab => \WideAnd3859~0_combout\,
	datac => \WideAnd3859~1_combout\,
	datad => led_flash_cnt_ands(159),
	combout => \WideAnd3859~combout\);

-- Location: FF_X60_Y11_N5
\led_flash_cnt_ands_1[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3859~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(19));

-- Location: LCCOMB_X58_Y12_N2
\led_flash_cnt[148][0]~80788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[148][0]~80788_combout\ = !\led_flash_cnt[148][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[148][0]~q\,
	combout => \led_flash_cnt[148][0]~80788_combout\);

-- Location: FF_X58_Y12_N3
\led_flash_cnt[148][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[148][0]~80788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[148][0]~q\);

-- Location: LCCOMB_X59_Y12_N2
\led_flash_cnt[148][1]~28952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[148][1]~28952_combout\ = (\led_flash_cnt[148][0]~q\ & (\led_flash_cnt[148][1]~q\ $ (VCC))) # (!\led_flash_cnt[148][0]~q\ & (\led_flash_cnt[148][1]~q\ & VCC))
-- \led_flash_cnt[148][1]~28953\ = CARRY((\led_flash_cnt[148][0]~q\ & \led_flash_cnt[148][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[148][0]~q\,
	datab => \led_flash_cnt[148][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[148][1]~28952_combout\,
	cout => \led_flash_cnt[148][1]~28953\);

-- Location: FF_X59_Y12_N3
\led_flash_cnt[148][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[148][1]~28952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[148][1]~q\);

-- Location: LCCOMB_X59_Y12_N4
\led_flash_cnt[148][2]~28954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[148][2]~28954_combout\ = (\led_flash_cnt[148][2]~q\ & (!\led_flash_cnt[148][1]~28953\)) # (!\led_flash_cnt[148][2]~q\ & ((\led_flash_cnt[148][1]~28953\) # (GND)))
-- \led_flash_cnt[148][2]~28955\ = CARRY((!\led_flash_cnt[148][1]~28953\) # (!\led_flash_cnt[148][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[148][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[148][1]~28953\,
	combout => \led_flash_cnt[148][2]~28954_combout\,
	cout => \led_flash_cnt[148][2]~28955\);

-- Location: FF_X59_Y12_N5
\led_flash_cnt[148][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[148][2]~28954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[148][2]~q\);

-- Location: LCCOMB_X59_Y12_N6
\led_flash_cnt[148][3]~28956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[148][3]~28956_combout\ = (\led_flash_cnt[148][3]~q\ & (\led_flash_cnt[148][2]~28955\ $ (GND))) # (!\led_flash_cnt[148][3]~q\ & (!\led_flash_cnt[148][2]~28955\ & VCC))
-- \led_flash_cnt[148][3]~28957\ = CARRY((\led_flash_cnt[148][3]~q\ & !\led_flash_cnt[148][2]~28955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[148][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[148][2]~28955\,
	combout => \led_flash_cnt[148][3]~28956_combout\,
	cout => \led_flash_cnt[148][3]~28957\);

-- Location: FF_X59_Y12_N7
\led_flash_cnt[148][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[148][3]~28956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[148][3]~q\);

-- Location: LCCOMB_X59_Y12_N8
\led_flash_cnt[148][4]~28958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[148][4]~28958_combout\ = (\led_flash_cnt[148][4]~q\ & (!\led_flash_cnt[148][3]~28957\)) # (!\led_flash_cnt[148][4]~q\ & ((\led_flash_cnt[148][3]~28957\) # (GND)))
-- \led_flash_cnt[148][4]~28959\ = CARRY((!\led_flash_cnt[148][3]~28957\) # (!\led_flash_cnt[148][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[148][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[148][3]~28957\,
	combout => \led_flash_cnt[148][4]~28958_combout\,
	cout => \led_flash_cnt[148][4]~28959\);

-- Location: FF_X59_Y12_N9
\led_flash_cnt[148][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[148][4]~28958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[148][4]~q\);

-- Location: LCCOMB_X59_Y12_N10
\led_flash_cnt[148][5]~28960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[148][5]~28960_combout\ = (\led_flash_cnt[148][5]~q\ & (\led_flash_cnt[148][4]~28959\ $ (GND))) # (!\led_flash_cnt[148][5]~q\ & (!\led_flash_cnt[148][4]~28959\ & VCC))
-- \led_flash_cnt[148][5]~28961\ = CARRY((\led_flash_cnt[148][5]~q\ & !\led_flash_cnt[148][4]~28959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[148][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[148][4]~28959\,
	combout => \led_flash_cnt[148][5]~28960_combout\,
	cout => \led_flash_cnt[148][5]~28961\);

-- Location: FF_X59_Y12_N11
\led_flash_cnt[148][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[148][5]~28960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[148][5]~q\);

-- Location: LCCOMB_X59_Y12_N12
\led_flash_cnt[148][6]~28962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[148][6]~28962_combout\ = (\led_flash_cnt[148][6]~q\ & (!\led_flash_cnt[148][5]~28961\)) # (!\led_flash_cnt[148][6]~q\ & ((\led_flash_cnt[148][5]~28961\) # (GND)))
-- \led_flash_cnt[148][6]~28963\ = CARRY((!\led_flash_cnt[148][5]~28961\) # (!\led_flash_cnt[148][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[148][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[148][5]~28961\,
	combout => \led_flash_cnt[148][6]~28962_combout\,
	cout => \led_flash_cnt[148][6]~28963\);

-- Location: FF_X59_Y12_N13
\led_flash_cnt[148][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[148][6]~28962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[148][6]~q\);

-- Location: LCCOMB_X58_Y12_N6
\WideAnd148~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd148~1_combout\ = (\led_flash_cnt[148][5]~q\ & \led_flash_cnt[148][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[148][5]~q\,
	datac => \led_flash_cnt[148][6]~q\,
	combout => \WideAnd148~1_combout\);

-- Location: LCCOMB_X59_Y12_N14
\led_flash_cnt[148][7]~28964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[148][7]~28964_combout\ = \led_flash_cnt[148][7]~q\ $ (!\led_flash_cnt[148][6]~28963\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[148][7]~q\,
	cin => \led_flash_cnt[148][6]~28963\,
	combout => \led_flash_cnt[148][7]~28964_combout\);

-- Location: FF_X59_Y12_N15
\led_flash_cnt[148][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[148][7]~28964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[148][7]~q\);

-- Location: LCCOMB_X59_Y12_N0
\WideAnd148~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd148~0_combout\ = (\led_flash_cnt[148][3]~q\ & (\led_flash_cnt[148][4]~q\ & (\led_flash_cnt[148][2]~q\ & \led_flash_cnt[148][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[148][3]~q\,
	datab => \led_flash_cnt[148][4]~q\,
	datac => \led_flash_cnt[148][2]~q\,
	datad => \led_flash_cnt[148][1]~q\,
	combout => \WideAnd148~0_combout\);

-- Location: LCCOMB_X58_Y12_N4
WideAnd148 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd148~combout\ = (\WideAnd148~1_combout\ & (\led_flash_cnt[148][7]~q\ & (\WideAnd148~0_combout\ & \led_flash_cnt[148][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd148~1_combout\,
	datab => \led_flash_cnt[148][7]~q\,
	datac => \WideAnd148~0_combout\,
	datad => \led_flash_cnt[148][0]~q\,
	combout => \WideAnd148~combout\);

-- Location: FF_X58_Y12_N5
\led_flash_cnt_ands[148]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd148~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(148));

-- Location: LCCOMB_X57_Y10_N6
\led_flash_cnt[149][0]~80789\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[149][0]~80789_combout\ = !\led_flash_cnt[149][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[149][0]~q\,
	combout => \led_flash_cnt[149][0]~80789_combout\);

-- Location: FF_X57_Y10_N7
\led_flash_cnt[149][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[149][0]~80789_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[149][0]~q\);

-- Location: LCCOMB_X58_Y10_N18
\led_flash_cnt[149][1]~28966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[149][1]~28966_combout\ = (\led_flash_cnt[149][0]~q\ & (\led_flash_cnt[149][1]~q\ $ (VCC))) # (!\led_flash_cnt[149][0]~q\ & (\led_flash_cnt[149][1]~q\ & VCC))
-- \led_flash_cnt[149][1]~28967\ = CARRY((\led_flash_cnt[149][0]~q\ & \led_flash_cnt[149][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[149][0]~q\,
	datab => \led_flash_cnt[149][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[149][1]~28966_combout\,
	cout => \led_flash_cnt[149][1]~28967\);

-- Location: FF_X58_Y10_N19
\led_flash_cnt[149][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[149][1]~28966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[149][1]~q\);

-- Location: LCCOMB_X58_Y10_N20
\led_flash_cnt[149][2]~28968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[149][2]~28968_combout\ = (\led_flash_cnt[149][2]~q\ & (!\led_flash_cnt[149][1]~28967\)) # (!\led_flash_cnt[149][2]~q\ & ((\led_flash_cnt[149][1]~28967\) # (GND)))
-- \led_flash_cnt[149][2]~28969\ = CARRY((!\led_flash_cnt[149][1]~28967\) # (!\led_flash_cnt[149][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[149][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[149][1]~28967\,
	combout => \led_flash_cnt[149][2]~28968_combout\,
	cout => \led_flash_cnt[149][2]~28969\);

-- Location: FF_X58_Y10_N21
\led_flash_cnt[149][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[149][2]~28968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[149][2]~q\);

-- Location: LCCOMB_X58_Y10_N22
\led_flash_cnt[149][3]~28970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[149][3]~28970_combout\ = (\led_flash_cnt[149][3]~q\ & (\led_flash_cnt[149][2]~28969\ $ (GND))) # (!\led_flash_cnt[149][3]~q\ & (!\led_flash_cnt[149][2]~28969\ & VCC))
-- \led_flash_cnt[149][3]~28971\ = CARRY((\led_flash_cnt[149][3]~q\ & !\led_flash_cnt[149][2]~28969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[149][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[149][2]~28969\,
	combout => \led_flash_cnt[149][3]~28970_combout\,
	cout => \led_flash_cnt[149][3]~28971\);

-- Location: FF_X58_Y10_N23
\led_flash_cnt[149][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[149][3]~28970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[149][3]~q\);

-- Location: LCCOMB_X58_Y10_N24
\led_flash_cnt[149][4]~28972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[149][4]~28972_combout\ = (\led_flash_cnt[149][4]~q\ & (!\led_flash_cnt[149][3]~28971\)) # (!\led_flash_cnt[149][4]~q\ & ((\led_flash_cnt[149][3]~28971\) # (GND)))
-- \led_flash_cnt[149][4]~28973\ = CARRY((!\led_flash_cnt[149][3]~28971\) # (!\led_flash_cnt[149][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[149][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[149][3]~28971\,
	combout => \led_flash_cnt[149][4]~28972_combout\,
	cout => \led_flash_cnt[149][4]~28973\);

-- Location: FF_X58_Y10_N25
\led_flash_cnt[149][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[149][4]~28972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[149][4]~q\);

-- Location: LCCOMB_X58_Y10_N26
\led_flash_cnt[149][5]~28974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[149][5]~28974_combout\ = (\led_flash_cnt[149][5]~q\ & (\led_flash_cnt[149][4]~28973\ $ (GND))) # (!\led_flash_cnt[149][5]~q\ & (!\led_flash_cnt[149][4]~28973\ & VCC))
-- \led_flash_cnt[149][5]~28975\ = CARRY((\led_flash_cnt[149][5]~q\ & !\led_flash_cnt[149][4]~28973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[149][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[149][4]~28973\,
	combout => \led_flash_cnt[149][5]~28974_combout\,
	cout => \led_flash_cnt[149][5]~28975\);

-- Location: FF_X58_Y10_N27
\led_flash_cnt[149][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[149][5]~28974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[149][5]~q\);

-- Location: LCCOMB_X58_Y10_N28
\led_flash_cnt[149][6]~28976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[149][6]~28976_combout\ = (\led_flash_cnt[149][6]~q\ & (!\led_flash_cnt[149][5]~28975\)) # (!\led_flash_cnt[149][6]~q\ & ((\led_flash_cnt[149][5]~28975\) # (GND)))
-- \led_flash_cnt[149][6]~28977\ = CARRY((!\led_flash_cnt[149][5]~28975\) # (!\led_flash_cnt[149][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[149][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[149][5]~28975\,
	combout => \led_flash_cnt[149][6]~28976_combout\,
	cout => \led_flash_cnt[149][6]~28977\);

-- Location: FF_X58_Y10_N29
\led_flash_cnt[149][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[149][6]~28976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[149][6]~q\);

-- Location: LCCOMB_X57_Y10_N14
\WideAnd149~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd149~1_combout\ = (\led_flash_cnt[149][6]~q\ & \led_flash_cnt[149][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[149][6]~q\,
	datad => \led_flash_cnt[149][5]~q\,
	combout => \WideAnd149~1_combout\);

-- Location: LCCOMB_X58_Y10_N30
\led_flash_cnt[149][7]~28978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[149][7]~28978_combout\ = \led_flash_cnt[149][7]~q\ $ (!\led_flash_cnt[149][6]~28977\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[149][7]~q\,
	cin => \led_flash_cnt[149][6]~28977\,
	combout => \led_flash_cnt[149][7]~28978_combout\);

-- Location: FF_X58_Y10_N31
\led_flash_cnt[149][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[149][7]~28978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[149][7]~q\);

-- Location: LCCOMB_X58_Y10_N16
\WideAnd149~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd149~0_combout\ = (\led_flash_cnt[149][4]~q\ & (\led_flash_cnt[149][2]~q\ & (\led_flash_cnt[149][3]~q\ & \led_flash_cnt[149][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[149][4]~q\,
	datab => \led_flash_cnt[149][2]~q\,
	datac => \led_flash_cnt[149][3]~q\,
	datad => \led_flash_cnt[149][1]~q\,
	combout => \WideAnd149~0_combout\);

-- Location: LCCOMB_X57_Y10_N2
WideAnd149 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd149~combout\ = (\led_flash_cnt[149][0]~q\ & (\WideAnd149~1_combout\ & (\led_flash_cnt[149][7]~q\ & \WideAnd149~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[149][0]~q\,
	datab => \WideAnd149~1_combout\,
	datac => \led_flash_cnt[149][7]~q\,
	datad => \WideAnd149~0_combout\,
	combout => \WideAnd149~combout\);

-- Location: FF_X57_Y10_N3
\led_flash_cnt_ands[149]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd149~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(149));

-- Location: LCCOMB_X57_Y10_N4
\WideAnd3858~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3858~1_combout\ = (led_flash_cnt_ands(148) & led_flash_cnt_ands(149))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(148),
	datad => led_flash_cnt_ands(149),
	combout => \WideAnd3858~1_combout\);

-- Location: LCCOMB_X57_Y9_N16
\led_flash_cnt[151][0]~80791\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[151][0]~80791_combout\ = !\led_flash_cnt[151][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[151][0]~q\,
	combout => \led_flash_cnt[151][0]~80791_combout\);

-- Location: FF_X57_Y9_N17
\led_flash_cnt[151][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[151][0]~80791_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[151][0]~q\);

-- Location: LCCOMB_X58_Y9_N18
\led_flash_cnt[151][1]~28994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[151][1]~28994_combout\ = (\led_flash_cnt[151][0]~q\ & (\led_flash_cnt[151][1]~q\ $ (VCC))) # (!\led_flash_cnt[151][0]~q\ & (\led_flash_cnt[151][1]~q\ & VCC))
-- \led_flash_cnt[151][1]~28995\ = CARRY((\led_flash_cnt[151][0]~q\ & \led_flash_cnt[151][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[151][0]~q\,
	datab => \led_flash_cnt[151][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[151][1]~28994_combout\,
	cout => \led_flash_cnt[151][1]~28995\);

-- Location: FF_X58_Y9_N19
\led_flash_cnt[151][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[151][1]~28994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[151][1]~q\);

-- Location: LCCOMB_X58_Y9_N20
\led_flash_cnt[151][2]~28996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[151][2]~28996_combout\ = (\led_flash_cnt[151][2]~q\ & (!\led_flash_cnt[151][1]~28995\)) # (!\led_flash_cnt[151][2]~q\ & ((\led_flash_cnt[151][1]~28995\) # (GND)))
-- \led_flash_cnt[151][2]~28997\ = CARRY((!\led_flash_cnt[151][1]~28995\) # (!\led_flash_cnt[151][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[151][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[151][1]~28995\,
	combout => \led_flash_cnt[151][2]~28996_combout\,
	cout => \led_flash_cnt[151][2]~28997\);

-- Location: FF_X58_Y9_N21
\led_flash_cnt[151][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[151][2]~28996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[151][2]~q\);

-- Location: LCCOMB_X58_Y9_N22
\led_flash_cnt[151][3]~28998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[151][3]~28998_combout\ = (\led_flash_cnt[151][3]~q\ & (\led_flash_cnt[151][2]~28997\ $ (GND))) # (!\led_flash_cnt[151][3]~q\ & (!\led_flash_cnt[151][2]~28997\ & VCC))
-- \led_flash_cnt[151][3]~28999\ = CARRY((\led_flash_cnt[151][3]~q\ & !\led_flash_cnt[151][2]~28997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[151][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[151][2]~28997\,
	combout => \led_flash_cnt[151][3]~28998_combout\,
	cout => \led_flash_cnt[151][3]~28999\);

-- Location: FF_X58_Y9_N23
\led_flash_cnt[151][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[151][3]~28998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[151][3]~q\);

-- Location: LCCOMB_X58_Y9_N24
\led_flash_cnt[151][4]~29000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[151][4]~29000_combout\ = (\led_flash_cnt[151][4]~q\ & (!\led_flash_cnt[151][3]~28999\)) # (!\led_flash_cnt[151][4]~q\ & ((\led_flash_cnt[151][3]~28999\) # (GND)))
-- \led_flash_cnt[151][4]~29001\ = CARRY((!\led_flash_cnt[151][3]~28999\) # (!\led_flash_cnt[151][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[151][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[151][3]~28999\,
	combout => \led_flash_cnt[151][4]~29000_combout\,
	cout => \led_flash_cnt[151][4]~29001\);

-- Location: FF_X58_Y9_N25
\led_flash_cnt[151][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[151][4]~29000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[151][4]~q\);

-- Location: LCCOMB_X58_Y9_N26
\led_flash_cnt[151][5]~29002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[151][5]~29002_combout\ = (\led_flash_cnt[151][5]~q\ & (\led_flash_cnt[151][4]~29001\ $ (GND))) # (!\led_flash_cnt[151][5]~q\ & (!\led_flash_cnt[151][4]~29001\ & VCC))
-- \led_flash_cnt[151][5]~29003\ = CARRY((\led_flash_cnt[151][5]~q\ & !\led_flash_cnt[151][4]~29001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[151][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[151][4]~29001\,
	combout => \led_flash_cnt[151][5]~29002_combout\,
	cout => \led_flash_cnt[151][5]~29003\);

-- Location: FF_X58_Y9_N27
\led_flash_cnt[151][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[151][5]~29002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[151][5]~q\);

-- Location: LCCOMB_X58_Y9_N28
\led_flash_cnt[151][6]~29004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[151][6]~29004_combout\ = (\led_flash_cnt[151][6]~q\ & (!\led_flash_cnt[151][5]~29003\)) # (!\led_flash_cnt[151][6]~q\ & ((\led_flash_cnt[151][5]~29003\) # (GND)))
-- \led_flash_cnt[151][6]~29005\ = CARRY((!\led_flash_cnt[151][5]~29003\) # (!\led_flash_cnt[151][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[151][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[151][5]~29003\,
	combout => \led_flash_cnt[151][6]~29004_combout\,
	cout => \led_flash_cnt[151][6]~29005\);

-- Location: FF_X58_Y9_N29
\led_flash_cnt[151][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[151][6]~29004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[151][6]~q\);

-- Location: LCCOMB_X57_Y9_N10
\WideAnd151~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd151~1_combout\ = (\led_flash_cnt[151][6]~q\ & \led_flash_cnt[151][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[151][6]~q\,
	datad => \led_flash_cnt[151][5]~q\,
	combout => \WideAnd151~1_combout\);

-- Location: LCCOMB_X58_Y9_N30
\led_flash_cnt[151][7]~29006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[151][7]~29006_combout\ = \led_flash_cnt[151][7]~q\ $ (!\led_flash_cnt[151][6]~29005\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[151][7]~q\,
	cin => \led_flash_cnt[151][6]~29005\,
	combout => \led_flash_cnt[151][7]~29006_combout\);

-- Location: FF_X58_Y9_N31
\led_flash_cnt[151][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[151][7]~29006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[151][7]~q\);

-- Location: LCCOMB_X58_Y9_N16
\WideAnd151~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd151~0_combout\ = (\led_flash_cnt[151][4]~q\ & (\led_flash_cnt[151][2]~q\ & (\led_flash_cnt[151][3]~q\ & \led_flash_cnt[151][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[151][4]~q\,
	datab => \led_flash_cnt[151][2]~q\,
	datac => \led_flash_cnt[151][3]~q\,
	datad => \led_flash_cnt[151][1]~q\,
	combout => \WideAnd151~0_combout\);

-- Location: LCCOMB_X57_Y9_N4
WideAnd151 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd151~combout\ = (\WideAnd151~1_combout\ & (\led_flash_cnt[151][0]~q\ & (\led_flash_cnt[151][7]~q\ & \WideAnd151~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd151~1_combout\,
	datab => \led_flash_cnt[151][0]~q\,
	datac => \led_flash_cnt[151][7]~q\,
	datad => \WideAnd151~0_combout\,
	combout => \WideAnd151~combout\);

-- Location: FF_X57_Y9_N5
\led_flash_cnt_ands[151]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd151~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(151));

-- Location: LCCOMB_X55_Y10_N24
\led_flash_cnt[150][0]~80790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[150][0]~80790_combout\ = !\led_flash_cnt[150][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[150][0]~q\,
	combout => \led_flash_cnt[150][0]~80790_combout\);

-- Location: FF_X55_Y10_N25
\led_flash_cnt[150][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[150][0]~80790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[150][0]~q\);

-- Location: LCCOMB_X52_Y10_N18
\led_flash_cnt[150][1]~28980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[150][1]~28980_combout\ = (\led_flash_cnt[150][0]~q\ & (\led_flash_cnt[150][1]~q\ $ (VCC))) # (!\led_flash_cnt[150][0]~q\ & (\led_flash_cnt[150][1]~q\ & VCC))
-- \led_flash_cnt[150][1]~28981\ = CARRY((\led_flash_cnt[150][0]~q\ & \led_flash_cnt[150][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[150][0]~q\,
	datab => \led_flash_cnt[150][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[150][1]~28980_combout\,
	cout => \led_flash_cnt[150][1]~28981\);

-- Location: FF_X52_Y10_N19
\led_flash_cnt[150][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[150][1]~28980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[150][1]~q\);

-- Location: LCCOMB_X52_Y10_N20
\led_flash_cnt[150][2]~28982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[150][2]~28982_combout\ = (\led_flash_cnt[150][2]~q\ & (!\led_flash_cnt[150][1]~28981\)) # (!\led_flash_cnt[150][2]~q\ & ((\led_flash_cnt[150][1]~28981\) # (GND)))
-- \led_flash_cnt[150][2]~28983\ = CARRY((!\led_flash_cnt[150][1]~28981\) # (!\led_flash_cnt[150][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[150][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[150][1]~28981\,
	combout => \led_flash_cnt[150][2]~28982_combout\,
	cout => \led_flash_cnt[150][2]~28983\);

-- Location: FF_X52_Y10_N21
\led_flash_cnt[150][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[150][2]~28982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[150][2]~q\);

-- Location: LCCOMB_X52_Y10_N22
\led_flash_cnt[150][3]~28984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[150][3]~28984_combout\ = (\led_flash_cnt[150][3]~q\ & (\led_flash_cnt[150][2]~28983\ $ (GND))) # (!\led_flash_cnt[150][3]~q\ & (!\led_flash_cnt[150][2]~28983\ & VCC))
-- \led_flash_cnt[150][3]~28985\ = CARRY((\led_flash_cnt[150][3]~q\ & !\led_flash_cnt[150][2]~28983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[150][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[150][2]~28983\,
	combout => \led_flash_cnt[150][3]~28984_combout\,
	cout => \led_flash_cnt[150][3]~28985\);

-- Location: FF_X52_Y10_N23
\led_flash_cnt[150][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[150][3]~28984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[150][3]~q\);

-- Location: LCCOMB_X52_Y10_N24
\led_flash_cnt[150][4]~28986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[150][4]~28986_combout\ = (\led_flash_cnt[150][4]~q\ & (!\led_flash_cnt[150][3]~28985\)) # (!\led_flash_cnt[150][4]~q\ & ((\led_flash_cnt[150][3]~28985\) # (GND)))
-- \led_flash_cnt[150][4]~28987\ = CARRY((!\led_flash_cnt[150][3]~28985\) # (!\led_flash_cnt[150][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[150][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[150][3]~28985\,
	combout => \led_flash_cnt[150][4]~28986_combout\,
	cout => \led_flash_cnt[150][4]~28987\);

-- Location: FF_X52_Y10_N25
\led_flash_cnt[150][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[150][4]~28986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[150][4]~q\);

-- Location: LCCOMB_X52_Y10_N26
\led_flash_cnt[150][5]~28988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[150][5]~28988_combout\ = (\led_flash_cnt[150][5]~q\ & (\led_flash_cnt[150][4]~28987\ $ (GND))) # (!\led_flash_cnt[150][5]~q\ & (!\led_flash_cnt[150][4]~28987\ & VCC))
-- \led_flash_cnt[150][5]~28989\ = CARRY((\led_flash_cnt[150][5]~q\ & !\led_flash_cnt[150][4]~28987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[150][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[150][4]~28987\,
	combout => \led_flash_cnt[150][5]~28988_combout\,
	cout => \led_flash_cnt[150][5]~28989\);

-- Location: FF_X52_Y10_N27
\led_flash_cnt[150][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[150][5]~28988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[150][5]~q\);

-- Location: LCCOMB_X52_Y10_N28
\led_flash_cnt[150][6]~28990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[150][6]~28990_combout\ = (\led_flash_cnt[150][6]~q\ & (!\led_flash_cnt[150][5]~28989\)) # (!\led_flash_cnt[150][6]~q\ & ((\led_flash_cnt[150][5]~28989\) # (GND)))
-- \led_flash_cnt[150][6]~28991\ = CARRY((!\led_flash_cnt[150][5]~28989\) # (!\led_flash_cnt[150][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[150][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[150][5]~28989\,
	combout => \led_flash_cnt[150][6]~28990_combout\,
	cout => \led_flash_cnt[150][6]~28991\);

-- Location: FF_X52_Y10_N29
\led_flash_cnt[150][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[150][6]~28990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[150][6]~q\);

-- Location: LCCOMB_X52_Y10_N30
\led_flash_cnt[150][7]~28992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[150][7]~28992_combout\ = \led_flash_cnt[150][7]~q\ $ (!\led_flash_cnt[150][6]~28991\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[150][7]~q\,
	cin => \led_flash_cnt[150][6]~28991\,
	combout => \led_flash_cnt[150][7]~28992_combout\);

-- Location: FF_X52_Y10_N31
\led_flash_cnt[150][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[150][7]~28992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[150][7]~q\);

-- Location: LCCOMB_X51_Y10_N4
\WideAnd150~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd150~1_combout\ = (\led_flash_cnt[150][6]~q\ & \led_flash_cnt[150][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[150][6]~q\,
	datad => \led_flash_cnt[150][5]~q\,
	combout => \WideAnd150~1_combout\);

-- Location: LCCOMB_X52_Y10_N16
\WideAnd150~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd150~0_combout\ = (\led_flash_cnt[150][1]~q\ & (\led_flash_cnt[150][2]~q\ & (\led_flash_cnt[150][3]~q\ & \led_flash_cnt[150][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[150][1]~q\,
	datab => \led_flash_cnt[150][2]~q\,
	datac => \led_flash_cnt[150][3]~q\,
	datad => \led_flash_cnt[150][4]~q\,
	combout => \WideAnd150~0_combout\);

-- Location: LCCOMB_X55_Y10_N26
WideAnd150 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd150~combout\ = (\led_flash_cnt[150][7]~q\ & (\WideAnd150~1_combout\ & (\WideAnd150~0_combout\ & \led_flash_cnt[150][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[150][7]~q\,
	datab => \WideAnd150~1_combout\,
	datac => \WideAnd150~0_combout\,
	datad => \led_flash_cnt[150][0]~q\,
	combout => \WideAnd150~combout\);

-- Location: FF_X55_Y10_N27
\led_flash_cnt_ands[150]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd150~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(150));

-- Location: LCCOMB_X57_Y9_N12
\led_flash_cnt[145][0]~80785\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[145][0]~80785_combout\ = !\led_flash_cnt[145][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[145][0]~q\,
	combout => \led_flash_cnt[145][0]~80785_combout\);

-- Location: FF_X57_Y9_N13
\led_flash_cnt[145][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[145][0]~80785_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[145][0]~q\);

-- Location: LCCOMB_X57_Y9_N18
\led_flash_cnt[145][1]~28910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[145][1]~28910_combout\ = (\led_flash_cnt[145][0]~q\ & (\led_flash_cnt[145][1]~q\ $ (VCC))) # (!\led_flash_cnt[145][0]~q\ & (\led_flash_cnt[145][1]~q\ & VCC))
-- \led_flash_cnt[145][1]~28911\ = CARRY((\led_flash_cnt[145][0]~q\ & \led_flash_cnt[145][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[145][0]~q\,
	datab => \led_flash_cnt[145][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[145][1]~28910_combout\,
	cout => \led_flash_cnt[145][1]~28911\);

-- Location: FF_X57_Y9_N19
\led_flash_cnt[145][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[145][1]~28910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[145][1]~q\);

-- Location: LCCOMB_X57_Y9_N20
\led_flash_cnt[145][2]~28912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[145][2]~28912_combout\ = (\led_flash_cnt[145][2]~q\ & (!\led_flash_cnt[145][1]~28911\)) # (!\led_flash_cnt[145][2]~q\ & ((\led_flash_cnt[145][1]~28911\) # (GND)))
-- \led_flash_cnt[145][2]~28913\ = CARRY((!\led_flash_cnt[145][1]~28911\) # (!\led_flash_cnt[145][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[145][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[145][1]~28911\,
	combout => \led_flash_cnt[145][2]~28912_combout\,
	cout => \led_flash_cnt[145][2]~28913\);

-- Location: FF_X57_Y9_N21
\led_flash_cnt[145][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[145][2]~28912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[145][2]~q\);

-- Location: LCCOMB_X57_Y9_N22
\led_flash_cnt[145][3]~28914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[145][3]~28914_combout\ = (\led_flash_cnt[145][3]~q\ & (\led_flash_cnt[145][2]~28913\ $ (GND))) # (!\led_flash_cnt[145][3]~q\ & (!\led_flash_cnt[145][2]~28913\ & VCC))
-- \led_flash_cnt[145][3]~28915\ = CARRY((\led_flash_cnt[145][3]~q\ & !\led_flash_cnt[145][2]~28913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[145][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[145][2]~28913\,
	combout => \led_flash_cnt[145][3]~28914_combout\,
	cout => \led_flash_cnt[145][3]~28915\);

-- Location: FF_X57_Y9_N23
\led_flash_cnt[145][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[145][3]~28914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[145][3]~q\);

-- Location: LCCOMB_X57_Y9_N24
\led_flash_cnt[145][4]~28916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[145][4]~28916_combout\ = (\led_flash_cnt[145][4]~q\ & (!\led_flash_cnt[145][3]~28915\)) # (!\led_flash_cnt[145][4]~q\ & ((\led_flash_cnt[145][3]~28915\) # (GND)))
-- \led_flash_cnt[145][4]~28917\ = CARRY((!\led_flash_cnt[145][3]~28915\) # (!\led_flash_cnt[145][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[145][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[145][3]~28915\,
	combout => \led_flash_cnt[145][4]~28916_combout\,
	cout => \led_flash_cnt[145][4]~28917\);

-- Location: FF_X57_Y9_N25
\led_flash_cnt[145][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[145][4]~28916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[145][4]~q\);

-- Location: LCCOMB_X57_Y9_N26
\led_flash_cnt[145][5]~28918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[145][5]~28918_combout\ = (\led_flash_cnt[145][5]~q\ & (\led_flash_cnt[145][4]~28917\ $ (GND))) # (!\led_flash_cnt[145][5]~q\ & (!\led_flash_cnt[145][4]~28917\ & VCC))
-- \led_flash_cnt[145][5]~28919\ = CARRY((\led_flash_cnt[145][5]~q\ & !\led_flash_cnt[145][4]~28917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[145][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[145][4]~28917\,
	combout => \led_flash_cnt[145][5]~28918_combout\,
	cout => \led_flash_cnt[145][5]~28919\);

-- Location: FF_X57_Y9_N27
\led_flash_cnt[145][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[145][5]~28918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[145][5]~q\);

-- Location: LCCOMB_X57_Y9_N28
\led_flash_cnt[145][6]~28920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[145][6]~28920_combout\ = (\led_flash_cnt[145][6]~q\ & (!\led_flash_cnt[145][5]~28919\)) # (!\led_flash_cnt[145][6]~q\ & ((\led_flash_cnt[145][5]~28919\) # (GND)))
-- \led_flash_cnt[145][6]~28921\ = CARRY((!\led_flash_cnt[145][5]~28919\) # (!\led_flash_cnt[145][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[145][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[145][5]~28919\,
	combout => \led_flash_cnt[145][6]~28920_combout\,
	cout => \led_flash_cnt[145][6]~28921\);

-- Location: FF_X57_Y9_N29
\led_flash_cnt[145][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[145][6]~28920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[145][6]~q\);

-- Location: LCCOMB_X57_Y9_N30
\led_flash_cnt[145][7]~28922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[145][7]~28922_combout\ = \led_flash_cnt[145][7]~q\ $ (!\led_flash_cnt[145][6]~28921\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[145][7]~q\,
	cin => \led_flash_cnt[145][6]~28921\,
	combout => \led_flash_cnt[145][7]~28922_combout\);

-- Location: FF_X57_Y9_N31
\led_flash_cnt[145][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[145][7]~28922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[145][7]~q\);

-- Location: LCCOMB_X57_Y9_N2
\WideAnd145~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd145~1_combout\ = (\led_flash_cnt[145][5]~q\ & \led_flash_cnt[145][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[145][5]~q\,
	datad => \led_flash_cnt[145][6]~q\,
	combout => \WideAnd145~1_combout\);

-- Location: LCCOMB_X57_Y9_N14
\WideAnd145~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd145~0_combout\ = (\led_flash_cnt[145][4]~q\ & (\led_flash_cnt[145][2]~q\ & (\led_flash_cnt[145][3]~q\ & \led_flash_cnt[145][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[145][4]~q\,
	datab => \led_flash_cnt[145][2]~q\,
	datac => \led_flash_cnt[145][3]~q\,
	datad => \led_flash_cnt[145][1]~q\,
	combout => \WideAnd145~0_combout\);

-- Location: LCCOMB_X57_Y9_N0
WideAnd145 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd145~combout\ = (\led_flash_cnt[145][7]~q\ & (\WideAnd145~1_combout\ & (\WideAnd145~0_combout\ & \led_flash_cnt[145][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[145][7]~q\,
	datab => \WideAnd145~1_combout\,
	datac => \WideAnd145~0_combout\,
	datad => \led_flash_cnt[145][0]~q\,
	combout => \WideAnd145~combout\);

-- Location: FF_X57_Y9_N1
\led_flash_cnt_ands[145]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd145~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(145));

-- Location: LCCOMB_X52_Y14_N6
\led_flash_cnt[146][0]~80786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[146][0]~80786_combout\ = !\led_flash_cnt[146][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[146][0]~q\,
	combout => \led_flash_cnt[146][0]~80786_combout\);

-- Location: FF_X52_Y14_N7
\led_flash_cnt[146][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[146][0]~80786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[146][0]~q\);

-- Location: LCCOMB_X52_Y14_N8
\led_flash_cnt[146][1]~28924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[146][1]~28924_combout\ = (\led_flash_cnt[146][0]~q\ & (\led_flash_cnt[146][1]~q\ $ (VCC))) # (!\led_flash_cnt[146][0]~q\ & (\led_flash_cnt[146][1]~q\ & VCC))
-- \led_flash_cnt[146][1]~28925\ = CARRY((\led_flash_cnt[146][0]~q\ & \led_flash_cnt[146][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[146][0]~q\,
	datab => \led_flash_cnt[146][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[146][1]~28924_combout\,
	cout => \led_flash_cnt[146][1]~28925\);

-- Location: FF_X52_Y14_N9
\led_flash_cnt[146][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[146][1]~28924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[146][1]~q\);

-- Location: LCCOMB_X52_Y14_N10
\led_flash_cnt[146][2]~28926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[146][2]~28926_combout\ = (\led_flash_cnt[146][2]~q\ & (!\led_flash_cnt[146][1]~28925\)) # (!\led_flash_cnt[146][2]~q\ & ((\led_flash_cnt[146][1]~28925\) # (GND)))
-- \led_flash_cnt[146][2]~28927\ = CARRY((!\led_flash_cnt[146][1]~28925\) # (!\led_flash_cnt[146][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[146][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[146][1]~28925\,
	combout => \led_flash_cnt[146][2]~28926_combout\,
	cout => \led_flash_cnt[146][2]~28927\);

-- Location: FF_X52_Y14_N11
\led_flash_cnt[146][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[146][2]~28926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[146][2]~q\);

-- Location: LCCOMB_X52_Y14_N12
\led_flash_cnt[146][3]~28928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[146][3]~28928_combout\ = (\led_flash_cnt[146][3]~q\ & (\led_flash_cnt[146][2]~28927\ $ (GND))) # (!\led_flash_cnt[146][3]~q\ & (!\led_flash_cnt[146][2]~28927\ & VCC))
-- \led_flash_cnt[146][3]~28929\ = CARRY((\led_flash_cnt[146][3]~q\ & !\led_flash_cnt[146][2]~28927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[146][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[146][2]~28927\,
	combout => \led_flash_cnt[146][3]~28928_combout\,
	cout => \led_flash_cnt[146][3]~28929\);

-- Location: FF_X52_Y14_N13
\led_flash_cnt[146][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[146][3]~28928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[146][3]~q\);

-- Location: LCCOMB_X52_Y14_N14
\led_flash_cnt[146][4]~28930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[146][4]~28930_combout\ = (\led_flash_cnt[146][4]~q\ & (!\led_flash_cnt[146][3]~28929\)) # (!\led_flash_cnt[146][4]~q\ & ((\led_flash_cnt[146][3]~28929\) # (GND)))
-- \led_flash_cnt[146][4]~28931\ = CARRY((!\led_flash_cnt[146][3]~28929\) # (!\led_flash_cnt[146][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[146][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[146][3]~28929\,
	combout => \led_flash_cnt[146][4]~28930_combout\,
	cout => \led_flash_cnt[146][4]~28931\);

-- Location: FF_X52_Y14_N15
\led_flash_cnt[146][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[146][4]~28930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[146][4]~q\);

-- Location: LCCOMB_X52_Y14_N16
\led_flash_cnt[146][5]~28932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[146][5]~28932_combout\ = (\led_flash_cnt[146][5]~q\ & (\led_flash_cnt[146][4]~28931\ $ (GND))) # (!\led_flash_cnt[146][5]~q\ & (!\led_flash_cnt[146][4]~28931\ & VCC))
-- \led_flash_cnt[146][5]~28933\ = CARRY((\led_flash_cnt[146][5]~q\ & !\led_flash_cnt[146][4]~28931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[146][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[146][4]~28931\,
	combout => \led_flash_cnt[146][5]~28932_combout\,
	cout => \led_flash_cnt[146][5]~28933\);

-- Location: FF_X52_Y14_N17
\led_flash_cnt[146][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[146][5]~28932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[146][5]~q\);

-- Location: LCCOMB_X52_Y14_N18
\led_flash_cnt[146][6]~28934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[146][6]~28934_combout\ = (\led_flash_cnt[146][6]~q\ & (!\led_flash_cnt[146][5]~28933\)) # (!\led_flash_cnt[146][6]~q\ & ((\led_flash_cnt[146][5]~28933\) # (GND)))
-- \led_flash_cnt[146][6]~28935\ = CARRY((!\led_flash_cnt[146][5]~28933\) # (!\led_flash_cnt[146][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[146][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[146][5]~28933\,
	combout => \led_flash_cnt[146][6]~28934_combout\,
	cout => \led_flash_cnt[146][6]~28935\);

-- Location: FF_X52_Y14_N19
\led_flash_cnt[146][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[146][6]~28934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[146][6]~q\);

-- Location: LCCOMB_X52_Y14_N4
\WideAnd146~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd146~1_combout\ = (\led_flash_cnt[146][6]~q\ & \led_flash_cnt[146][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[146][6]~q\,
	datad => \led_flash_cnt[146][5]~q\,
	combout => \WideAnd146~1_combout\);

-- Location: LCCOMB_X52_Y14_N22
\WideAnd146~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd146~0_combout\ = (\led_flash_cnt[146][3]~q\ & (\led_flash_cnt[146][1]~q\ & (\led_flash_cnt[146][4]~q\ & \led_flash_cnt[146][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[146][3]~q\,
	datab => \led_flash_cnt[146][1]~q\,
	datac => \led_flash_cnt[146][4]~q\,
	datad => \led_flash_cnt[146][2]~q\,
	combout => \WideAnd146~0_combout\);

-- Location: LCCOMB_X52_Y14_N20
\led_flash_cnt[146][7]~28936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[146][7]~28936_combout\ = \led_flash_cnt[146][6]~28935\ $ (!\led_flash_cnt[146][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[146][7]~q\,
	cin => \led_flash_cnt[146][6]~28935\,
	combout => \led_flash_cnt[146][7]~28936_combout\);

-- Location: FF_X52_Y14_N21
\led_flash_cnt[146][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[146][7]~28936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[146][7]~q\);

-- Location: LCCOMB_X52_Y14_N0
WideAnd146 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd146~combout\ = (\led_flash_cnt[146][0]~q\ & (\WideAnd146~1_combout\ & (\WideAnd146~0_combout\ & \led_flash_cnt[146][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[146][0]~q\,
	datab => \WideAnd146~1_combout\,
	datac => \WideAnd146~0_combout\,
	datad => \led_flash_cnt[146][7]~q\,
	combout => \WideAnd146~combout\);

-- Location: FF_X52_Y14_N1
\led_flash_cnt_ands[146]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd146~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(146));

-- Location: LCCOMB_X25_Y23_N22
\led_flash_cnt[147][0]~80787\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[147][0]~80787_combout\ = !\led_flash_cnt[147][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[147][0]~q\,
	combout => \led_flash_cnt[147][0]~80787_combout\);

-- Location: FF_X25_Y23_N23
\led_flash_cnt[147][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[147][0]~80787_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[147][0]~q\);

-- Location: LCCOMB_X25_Y23_N2
\led_flash_cnt[147][1]~28938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[147][1]~28938_combout\ = (\led_flash_cnt[147][0]~q\ & (\led_flash_cnt[147][1]~q\ $ (VCC))) # (!\led_flash_cnt[147][0]~q\ & (\led_flash_cnt[147][1]~q\ & VCC))
-- \led_flash_cnt[147][1]~28939\ = CARRY((\led_flash_cnt[147][0]~q\ & \led_flash_cnt[147][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[147][0]~q\,
	datab => \led_flash_cnt[147][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[147][1]~28938_combout\,
	cout => \led_flash_cnt[147][1]~28939\);

-- Location: FF_X25_Y23_N3
\led_flash_cnt[147][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[147][1]~28938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[147][1]~q\);

-- Location: LCCOMB_X25_Y23_N4
\led_flash_cnt[147][2]~28940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[147][2]~28940_combout\ = (\led_flash_cnt[147][2]~q\ & (!\led_flash_cnt[147][1]~28939\)) # (!\led_flash_cnt[147][2]~q\ & ((\led_flash_cnt[147][1]~28939\) # (GND)))
-- \led_flash_cnt[147][2]~28941\ = CARRY((!\led_flash_cnt[147][1]~28939\) # (!\led_flash_cnt[147][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[147][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[147][1]~28939\,
	combout => \led_flash_cnt[147][2]~28940_combout\,
	cout => \led_flash_cnt[147][2]~28941\);

-- Location: FF_X25_Y23_N5
\led_flash_cnt[147][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[147][2]~28940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[147][2]~q\);

-- Location: LCCOMB_X25_Y23_N6
\led_flash_cnt[147][3]~28942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[147][3]~28942_combout\ = (\led_flash_cnt[147][3]~q\ & (\led_flash_cnt[147][2]~28941\ $ (GND))) # (!\led_flash_cnt[147][3]~q\ & (!\led_flash_cnt[147][2]~28941\ & VCC))
-- \led_flash_cnt[147][3]~28943\ = CARRY((\led_flash_cnt[147][3]~q\ & !\led_flash_cnt[147][2]~28941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[147][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[147][2]~28941\,
	combout => \led_flash_cnt[147][3]~28942_combout\,
	cout => \led_flash_cnt[147][3]~28943\);

-- Location: FF_X25_Y23_N7
\led_flash_cnt[147][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[147][3]~28942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[147][3]~q\);

-- Location: LCCOMB_X25_Y23_N8
\led_flash_cnt[147][4]~28944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[147][4]~28944_combout\ = (\led_flash_cnt[147][4]~q\ & (!\led_flash_cnt[147][3]~28943\)) # (!\led_flash_cnt[147][4]~q\ & ((\led_flash_cnt[147][3]~28943\) # (GND)))
-- \led_flash_cnt[147][4]~28945\ = CARRY((!\led_flash_cnt[147][3]~28943\) # (!\led_flash_cnt[147][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[147][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[147][3]~28943\,
	combout => \led_flash_cnt[147][4]~28944_combout\,
	cout => \led_flash_cnt[147][4]~28945\);

-- Location: FF_X25_Y23_N9
\led_flash_cnt[147][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[147][4]~28944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[147][4]~q\);

-- Location: LCCOMB_X25_Y23_N10
\led_flash_cnt[147][5]~28946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[147][5]~28946_combout\ = (\led_flash_cnt[147][5]~q\ & (\led_flash_cnt[147][4]~28945\ $ (GND))) # (!\led_flash_cnt[147][5]~q\ & (!\led_flash_cnt[147][4]~28945\ & VCC))
-- \led_flash_cnt[147][5]~28947\ = CARRY((\led_flash_cnt[147][5]~q\ & !\led_flash_cnt[147][4]~28945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[147][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[147][4]~28945\,
	combout => \led_flash_cnt[147][5]~28946_combout\,
	cout => \led_flash_cnt[147][5]~28947\);

-- Location: FF_X25_Y23_N11
\led_flash_cnt[147][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[147][5]~28946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[147][5]~q\);

-- Location: LCCOMB_X25_Y23_N12
\led_flash_cnt[147][6]~28948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[147][6]~28948_combout\ = (\led_flash_cnt[147][6]~q\ & (!\led_flash_cnt[147][5]~28947\)) # (!\led_flash_cnt[147][6]~q\ & ((\led_flash_cnt[147][5]~28947\) # (GND)))
-- \led_flash_cnt[147][6]~28949\ = CARRY((!\led_flash_cnt[147][5]~28947\) # (!\led_flash_cnt[147][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[147][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[147][5]~28947\,
	combout => \led_flash_cnt[147][6]~28948_combout\,
	cout => \led_flash_cnt[147][6]~28949\);

-- Location: FF_X25_Y23_N13
\led_flash_cnt[147][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[147][6]~28948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[147][6]~q\);

-- Location: LCCOMB_X25_Y23_N26
\WideAnd147~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd147~1_combout\ = (\led_flash_cnt[147][5]~q\ & \led_flash_cnt[147][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[147][5]~q\,
	datad => \led_flash_cnt[147][6]~q\,
	combout => \WideAnd147~1_combout\);

-- Location: LCCOMB_X25_Y23_N14
\led_flash_cnt[147][7]~28950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[147][7]~28950_combout\ = \led_flash_cnt[147][7]~q\ $ (!\led_flash_cnt[147][6]~28949\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[147][7]~q\,
	cin => \led_flash_cnt[147][6]~28949\,
	combout => \led_flash_cnt[147][7]~28950_combout\);

-- Location: FF_X25_Y23_N15
\led_flash_cnt[147][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[147][7]~28950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[147][7]~q\);

-- Location: LCCOMB_X25_Y23_N28
\WideAnd147~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd147~0_combout\ = (\led_flash_cnt[147][3]~q\ & (\led_flash_cnt[147][2]~q\ & (\led_flash_cnt[147][4]~q\ & \led_flash_cnt[147][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[147][3]~q\,
	datab => \led_flash_cnt[147][2]~q\,
	datac => \led_flash_cnt[147][4]~q\,
	datad => \led_flash_cnt[147][1]~q\,
	combout => \WideAnd147~0_combout\);

-- Location: LCCOMB_X25_Y23_N30
WideAnd147 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd147~combout\ = (\WideAnd147~1_combout\ & (\led_flash_cnt[147][7]~q\ & (\led_flash_cnt[147][0]~q\ & \WideAnd147~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd147~1_combout\,
	datab => \led_flash_cnt[147][7]~q\,
	datac => \led_flash_cnt[147][0]~q\,
	datad => \WideAnd147~0_combout\,
	combout => \WideAnd147~combout\);

-- Location: FF_X25_Y23_N31
\led_flash_cnt_ands[147]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd147~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(147));

-- Location: LCCOMB_X52_Y14_N2
\led_flash_cnt[144][0]~80784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[144][0]~80784_combout\ = !\led_flash_cnt[144][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[144][0]~q\,
	combout => \led_flash_cnt[144][0]~80784_combout\);

-- Location: FF_X52_Y14_N3
\led_flash_cnt[144][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[144][0]~80784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[144][0]~q\);

-- Location: LCCOMB_X51_Y14_N16
\led_flash_cnt[144][1]~28896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[144][1]~28896_combout\ = (\led_flash_cnt[144][0]~q\ & (\led_flash_cnt[144][1]~q\ $ (VCC))) # (!\led_flash_cnt[144][0]~q\ & (\led_flash_cnt[144][1]~q\ & VCC))
-- \led_flash_cnt[144][1]~28897\ = CARRY((\led_flash_cnt[144][0]~q\ & \led_flash_cnt[144][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[144][0]~q\,
	datab => \led_flash_cnt[144][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[144][1]~28896_combout\,
	cout => \led_flash_cnt[144][1]~28897\);

-- Location: FF_X51_Y14_N17
\led_flash_cnt[144][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[144][1]~28896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[144][1]~q\);

-- Location: LCCOMB_X51_Y14_N18
\led_flash_cnt[144][2]~28898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[144][2]~28898_combout\ = (\led_flash_cnt[144][2]~q\ & (!\led_flash_cnt[144][1]~28897\)) # (!\led_flash_cnt[144][2]~q\ & ((\led_flash_cnt[144][1]~28897\) # (GND)))
-- \led_flash_cnt[144][2]~28899\ = CARRY((!\led_flash_cnt[144][1]~28897\) # (!\led_flash_cnt[144][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[144][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[144][1]~28897\,
	combout => \led_flash_cnt[144][2]~28898_combout\,
	cout => \led_flash_cnt[144][2]~28899\);

-- Location: FF_X51_Y14_N19
\led_flash_cnt[144][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[144][2]~28898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[144][2]~q\);

-- Location: LCCOMB_X51_Y14_N20
\led_flash_cnt[144][3]~28900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[144][3]~28900_combout\ = (\led_flash_cnt[144][3]~q\ & (\led_flash_cnt[144][2]~28899\ $ (GND))) # (!\led_flash_cnt[144][3]~q\ & (!\led_flash_cnt[144][2]~28899\ & VCC))
-- \led_flash_cnt[144][3]~28901\ = CARRY((\led_flash_cnt[144][3]~q\ & !\led_flash_cnt[144][2]~28899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[144][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[144][2]~28899\,
	combout => \led_flash_cnt[144][3]~28900_combout\,
	cout => \led_flash_cnt[144][3]~28901\);

-- Location: FF_X51_Y14_N21
\led_flash_cnt[144][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[144][3]~28900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[144][3]~q\);

-- Location: LCCOMB_X51_Y14_N22
\led_flash_cnt[144][4]~28902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[144][4]~28902_combout\ = (\led_flash_cnt[144][4]~q\ & (!\led_flash_cnt[144][3]~28901\)) # (!\led_flash_cnt[144][4]~q\ & ((\led_flash_cnt[144][3]~28901\) # (GND)))
-- \led_flash_cnt[144][4]~28903\ = CARRY((!\led_flash_cnt[144][3]~28901\) # (!\led_flash_cnt[144][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[144][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[144][3]~28901\,
	combout => \led_flash_cnt[144][4]~28902_combout\,
	cout => \led_flash_cnt[144][4]~28903\);

-- Location: FF_X51_Y14_N23
\led_flash_cnt[144][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[144][4]~28902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[144][4]~q\);

-- Location: LCCOMB_X52_Y14_N26
\WideAnd144~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd144~0_combout\ = (\led_flash_cnt[144][4]~q\ & (\led_flash_cnt[144][3]~q\ & (\led_flash_cnt[144][1]~q\ & \led_flash_cnt[144][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[144][4]~q\,
	datab => \led_flash_cnt[144][3]~q\,
	datac => \led_flash_cnt[144][1]~q\,
	datad => \led_flash_cnt[144][2]~q\,
	combout => \WideAnd144~0_combout\);

-- Location: LCCOMB_X51_Y14_N24
\led_flash_cnt[144][5]~28904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[144][5]~28904_combout\ = (\led_flash_cnt[144][5]~q\ & (\led_flash_cnt[144][4]~28903\ $ (GND))) # (!\led_flash_cnt[144][5]~q\ & (!\led_flash_cnt[144][4]~28903\ & VCC))
-- \led_flash_cnt[144][5]~28905\ = CARRY((\led_flash_cnt[144][5]~q\ & !\led_flash_cnt[144][4]~28903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[144][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[144][4]~28903\,
	combout => \led_flash_cnt[144][5]~28904_combout\,
	cout => \led_flash_cnt[144][5]~28905\);

-- Location: FF_X51_Y14_N25
\led_flash_cnt[144][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[144][5]~28904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[144][5]~q\);

-- Location: LCCOMB_X51_Y14_N26
\led_flash_cnt[144][6]~28906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[144][6]~28906_combout\ = (\led_flash_cnt[144][6]~q\ & (!\led_flash_cnt[144][5]~28905\)) # (!\led_flash_cnt[144][6]~q\ & ((\led_flash_cnt[144][5]~28905\) # (GND)))
-- \led_flash_cnt[144][6]~28907\ = CARRY((!\led_flash_cnt[144][5]~28905\) # (!\led_flash_cnt[144][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[144][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[144][5]~28905\,
	combout => \led_flash_cnt[144][6]~28906_combout\,
	cout => \led_flash_cnt[144][6]~28907\);

-- Location: FF_X51_Y14_N27
\led_flash_cnt[144][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[144][6]~28906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[144][6]~q\);

-- Location: LCCOMB_X51_Y14_N28
\led_flash_cnt[144][7]~28908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[144][7]~28908_combout\ = \led_flash_cnt[144][6]~28907\ $ (!\led_flash_cnt[144][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[144][7]~q\,
	cin => \led_flash_cnt[144][6]~28907\,
	combout => \led_flash_cnt[144][7]~28908_combout\);

-- Location: FF_X51_Y14_N29
\led_flash_cnt[144][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[144][7]~28908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[144][7]~q\);

-- Location: LCCOMB_X52_Y14_N30
\WideAnd144~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd144~1_combout\ = (\led_flash_cnt[144][6]~q\ & \led_flash_cnt[144][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[144][6]~q\,
	datad => \led_flash_cnt[144][5]~q\,
	combout => \WideAnd144~1_combout\);

-- Location: LCCOMB_X52_Y14_N28
WideAnd144 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd144~combout\ = (\WideAnd144~0_combout\ & (\led_flash_cnt[144][7]~q\ & (\WideAnd144~1_combout\ & \led_flash_cnt[144][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd144~0_combout\,
	datab => \led_flash_cnt[144][7]~q\,
	datac => \WideAnd144~1_combout\,
	datad => \led_flash_cnt[144][0]~q\,
	combout => \WideAnd144~combout\);

-- Location: FF_X52_Y14_N29
\led_flash_cnt_ands[144]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd144~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(144));

-- Location: LCCOMB_X52_Y14_N24
\WideAnd3858~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3858~0_combout\ = (led_flash_cnt_ands(145) & (led_flash_cnt_ands(146) & (led_flash_cnt_ands(147) & led_flash_cnt_ands(144))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(145),
	datab => led_flash_cnt_ands(146),
	datac => led_flash_cnt_ands(147),
	datad => led_flash_cnt_ands(144),
	combout => \WideAnd3858~0_combout\);

-- Location: LCCOMB_X56_Y10_N24
WideAnd3858 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3858~combout\ = (\WideAnd3858~1_combout\ & (led_flash_cnt_ands(151) & (led_flash_cnt_ands(150) & \WideAnd3858~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3858~1_combout\,
	datab => led_flash_cnt_ands(151),
	datac => led_flash_cnt_ands(150),
	datad => \WideAnd3858~0_combout\,
	combout => \WideAnd3858~combout\);

-- Location: FF_X56_Y10_N25
\led_flash_cnt_ands_1[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3858~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(18));

-- Location: LCCOMB_X57_Y11_N26
\WideAnd4322~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4322~0_combout\ = (led_flash_cnt_ands_1(16) & (led_flash_cnt_ands_1(17) & (led_flash_cnt_ands_1(19) & led_flash_cnt_ands_1(18))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(16),
	datab => led_flash_cnt_ands_1(17),
	datac => led_flash_cnt_ands_1(19),
	datad => led_flash_cnt_ands_1(18),
	combout => \WideAnd4322~0_combout\);

-- Location: LCCOMB_X77_Y21_N2
\led_flash_cnt[180][0]~80820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[180][0]~80820_combout\ = !\led_flash_cnt[180][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[180][0]~q\,
	combout => \led_flash_cnt[180][0]~80820_combout\);

-- Location: FF_X77_Y21_N3
\led_flash_cnt[180][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[180][0]~80820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[180][0]~q\);

-- Location: LCCOMB_X76_Y21_N0
\led_flash_cnt[180][1]~29400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[180][1]~29400_combout\ = (\led_flash_cnt[180][0]~q\ & (\led_flash_cnt[180][1]~q\ $ (VCC))) # (!\led_flash_cnt[180][0]~q\ & (\led_flash_cnt[180][1]~q\ & VCC))
-- \led_flash_cnt[180][1]~29401\ = CARRY((\led_flash_cnt[180][0]~q\ & \led_flash_cnt[180][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[180][0]~q\,
	datab => \led_flash_cnt[180][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[180][1]~29400_combout\,
	cout => \led_flash_cnt[180][1]~29401\);

-- Location: FF_X76_Y21_N1
\led_flash_cnt[180][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[180][1]~29400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[180][1]~q\);

-- Location: LCCOMB_X76_Y21_N2
\led_flash_cnt[180][2]~29402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[180][2]~29402_combout\ = (\led_flash_cnt[180][2]~q\ & (!\led_flash_cnt[180][1]~29401\)) # (!\led_flash_cnt[180][2]~q\ & ((\led_flash_cnt[180][1]~29401\) # (GND)))
-- \led_flash_cnt[180][2]~29403\ = CARRY((!\led_flash_cnt[180][1]~29401\) # (!\led_flash_cnt[180][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[180][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[180][1]~29401\,
	combout => \led_flash_cnt[180][2]~29402_combout\,
	cout => \led_flash_cnt[180][2]~29403\);

-- Location: FF_X76_Y21_N3
\led_flash_cnt[180][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[180][2]~29402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[180][2]~q\);

-- Location: LCCOMB_X76_Y21_N4
\led_flash_cnt[180][3]~29404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[180][3]~29404_combout\ = (\led_flash_cnt[180][3]~q\ & (\led_flash_cnt[180][2]~29403\ $ (GND))) # (!\led_flash_cnt[180][3]~q\ & (!\led_flash_cnt[180][2]~29403\ & VCC))
-- \led_flash_cnt[180][3]~29405\ = CARRY((\led_flash_cnt[180][3]~q\ & !\led_flash_cnt[180][2]~29403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[180][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[180][2]~29403\,
	combout => \led_flash_cnt[180][3]~29404_combout\,
	cout => \led_flash_cnt[180][3]~29405\);

-- Location: FF_X76_Y21_N5
\led_flash_cnt[180][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[180][3]~29404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[180][3]~q\);

-- Location: LCCOMB_X76_Y21_N6
\led_flash_cnt[180][4]~29406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[180][4]~29406_combout\ = (\led_flash_cnt[180][4]~q\ & (!\led_flash_cnt[180][3]~29405\)) # (!\led_flash_cnt[180][4]~q\ & ((\led_flash_cnt[180][3]~29405\) # (GND)))
-- \led_flash_cnt[180][4]~29407\ = CARRY((!\led_flash_cnt[180][3]~29405\) # (!\led_flash_cnt[180][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[180][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[180][3]~29405\,
	combout => \led_flash_cnt[180][4]~29406_combout\,
	cout => \led_flash_cnt[180][4]~29407\);

-- Location: FF_X76_Y21_N7
\led_flash_cnt[180][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[180][4]~29406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[180][4]~q\);

-- Location: LCCOMB_X76_Y21_N8
\led_flash_cnt[180][5]~29408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[180][5]~29408_combout\ = (\led_flash_cnt[180][5]~q\ & (\led_flash_cnt[180][4]~29407\ $ (GND))) # (!\led_flash_cnt[180][5]~q\ & (!\led_flash_cnt[180][4]~29407\ & VCC))
-- \led_flash_cnt[180][5]~29409\ = CARRY((\led_flash_cnt[180][5]~q\ & !\led_flash_cnt[180][4]~29407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[180][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[180][4]~29407\,
	combout => \led_flash_cnt[180][5]~29408_combout\,
	cout => \led_flash_cnt[180][5]~29409\);

-- Location: FF_X76_Y21_N9
\led_flash_cnt[180][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[180][5]~29408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[180][5]~q\);

-- Location: LCCOMB_X76_Y21_N10
\led_flash_cnt[180][6]~29410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[180][6]~29410_combout\ = (\led_flash_cnt[180][6]~q\ & (!\led_flash_cnt[180][5]~29409\)) # (!\led_flash_cnt[180][6]~q\ & ((\led_flash_cnt[180][5]~29409\) # (GND)))
-- \led_flash_cnt[180][6]~29411\ = CARRY((!\led_flash_cnt[180][5]~29409\) # (!\led_flash_cnt[180][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[180][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[180][5]~29409\,
	combout => \led_flash_cnt[180][6]~29410_combout\,
	cout => \led_flash_cnt[180][6]~29411\);

-- Location: FF_X76_Y21_N11
\led_flash_cnt[180][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[180][6]~29410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[180][6]~q\);

-- Location: LCCOMB_X76_Y21_N12
\led_flash_cnt[180][7]~29412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[180][7]~29412_combout\ = \led_flash_cnt[180][6]~29411\ $ (!\led_flash_cnt[180][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[180][7]~q\,
	cin => \led_flash_cnt[180][6]~29411\,
	combout => \led_flash_cnt[180][7]~29412_combout\);

-- Location: FF_X76_Y21_N13
\led_flash_cnt[180][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[180][7]~29412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[180][7]~q\);

-- Location: LCCOMB_X77_Y21_N24
\WideAnd180~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd180~1_combout\ = (\led_flash_cnt[180][5]~q\ & \led_flash_cnt[180][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[180][5]~q\,
	datad => \led_flash_cnt[180][6]~q\,
	combout => \WideAnd180~1_combout\);

-- Location: LCCOMB_X76_Y21_N14
\WideAnd180~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd180~0_combout\ = (\led_flash_cnt[180][4]~q\ & (\led_flash_cnt[180][1]~q\ & (\led_flash_cnt[180][3]~q\ & \led_flash_cnt[180][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[180][4]~q\,
	datab => \led_flash_cnt[180][1]~q\,
	datac => \led_flash_cnt[180][3]~q\,
	datad => \led_flash_cnt[180][2]~q\,
	combout => \WideAnd180~0_combout\);

-- Location: LCCOMB_X77_Y21_N4
WideAnd180 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd180~combout\ = (\led_flash_cnt[180][7]~q\ & (\WideAnd180~1_combout\ & (\led_flash_cnt[180][0]~q\ & \WideAnd180~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[180][7]~q\,
	datab => \WideAnd180~1_combout\,
	datac => \led_flash_cnt[180][0]~q\,
	datad => \WideAnd180~0_combout\,
	combout => \WideAnd180~combout\);

-- Location: FF_X77_Y21_N5
\led_flash_cnt_ands[180]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd180~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(180));

-- Location: LCCOMB_X77_Y21_N28
\led_flash_cnt[181][0]~80821\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[181][0]~80821_combout\ = !\led_flash_cnt[181][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[181][0]~q\,
	combout => \led_flash_cnt[181][0]~80821_combout\);

-- Location: FF_X77_Y21_N29
\led_flash_cnt[181][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[181][0]~80821_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[181][0]~q\);

-- Location: LCCOMB_X77_Y21_N6
\led_flash_cnt[181][1]~29414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[181][1]~29414_combout\ = (\led_flash_cnt[181][1]~q\ & (\led_flash_cnt[181][0]~q\ $ (VCC))) # (!\led_flash_cnt[181][1]~q\ & (\led_flash_cnt[181][0]~q\ & VCC))
-- \led_flash_cnt[181][1]~29415\ = CARRY((\led_flash_cnt[181][1]~q\ & \led_flash_cnt[181][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[181][1]~q\,
	datab => \led_flash_cnt[181][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[181][1]~29414_combout\,
	cout => \led_flash_cnt[181][1]~29415\);

-- Location: FF_X77_Y21_N7
\led_flash_cnt[181][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[181][1]~29414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[181][1]~q\);

-- Location: LCCOMB_X77_Y21_N8
\led_flash_cnt[181][2]~29416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[181][2]~29416_combout\ = (\led_flash_cnt[181][2]~q\ & (!\led_flash_cnt[181][1]~29415\)) # (!\led_flash_cnt[181][2]~q\ & ((\led_flash_cnt[181][1]~29415\) # (GND)))
-- \led_flash_cnt[181][2]~29417\ = CARRY((!\led_flash_cnt[181][1]~29415\) # (!\led_flash_cnt[181][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[181][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[181][1]~29415\,
	combout => \led_flash_cnt[181][2]~29416_combout\,
	cout => \led_flash_cnt[181][2]~29417\);

-- Location: FF_X77_Y21_N9
\led_flash_cnt[181][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[181][2]~29416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[181][2]~q\);

-- Location: LCCOMB_X77_Y21_N10
\led_flash_cnt[181][3]~29418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[181][3]~29418_combout\ = (\led_flash_cnt[181][3]~q\ & (\led_flash_cnt[181][2]~29417\ $ (GND))) # (!\led_flash_cnt[181][3]~q\ & (!\led_flash_cnt[181][2]~29417\ & VCC))
-- \led_flash_cnt[181][3]~29419\ = CARRY((\led_flash_cnt[181][3]~q\ & !\led_flash_cnt[181][2]~29417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[181][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[181][2]~29417\,
	combout => \led_flash_cnt[181][3]~29418_combout\,
	cout => \led_flash_cnt[181][3]~29419\);

-- Location: FF_X77_Y21_N11
\led_flash_cnt[181][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[181][3]~29418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[181][3]~q\);

-- Location: LCCOMB_X77_Y21_N12
\led_flash_cnt[181][4]~29420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[181][4]~29420_combout\ = (\led_flash_cnt[181][4]~q\ & (!\led_flash_cnt[181][3]~29419\)) # (!\led_flash_cnt[181][4]~q\ & ((\led_flash_cnt[181][3]~29419\) # (GND)))
-- \led_flash_cnt[181][4]~29421\ = CARRY((!\led_flash_cnt[181][3]~29419\) # (!\led_flash_cnt[181][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[181][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[181][3]~29419\,
	combout => \led_flash_cnt[181][4]~29420_combout\,
	cout => \led_flash_cnt[181][4]~29421\);

-- Location: FF_X77_Y21_N13
\led_flash_cnt[181][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[181][4]~29420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[181][4]~q\);

-- Location: LCCOMB_X77_Y21_N14
\led_flash_cnt[181][5]~29422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[181][5]~29422_combout\ = (\led_flash_cnt[181][5]~q\ & (\led_flash_cnt[181][4]~29421\ $ (GND))) # (!\led_flash_cnt[181][5]~q\ & (!\led_flash_cnt[181][4]~29421\ & VCC))
-- \led_flash_cnt[181][5]~29423\ = CARRY((\led_flash_cnt[181][5]~q\ & !\led_flash_cnt[181][4]~29421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[181][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[181][4]~29421\,
	combout => \led_flash_cnt[181][5]~29422_combout\,
	cout => \led_flash_cnt[181][5]~29423\);

-- Location: FF_X77_Y21_N15
\led_flash_cnt[181][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[181][5]~29422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[181][5]~q\);

-- Location: LCCOMB_X77_Y21_N16
\led_flash_cnt[181][6]~29424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[181][6]~29424_combout\ = (\led_flash_cnt[181][6]~q\ & (!\led_flash_cnt[181][5]~29423\)) # (!\led_flash_cnt[181][6]~q\ & ((\led_flash_cnt[181][5]~29423\) # (GND)))
-- \led_flash_cnt[181][6]~29425\ = CARRY((!\led_flash_cnt[181][5]~29423\) # (!\led_flash_cnt[181][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[181][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[181][5]~29423\,
	combout => \led_flash_cnt[181][6]~29424_combout\,
	cout => \led_flash_cnt[181][6]~29425\);

-- Location: FF_X77_Y21_N17
\led_flash_cnt[181][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[181][6]~29424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[181][6]~q\);

-- Location: LCCOMB_X77_Y21_N26
\WideAnd181~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd181~1_combout\ = (\led_flash_cnt[181][5]~q\ & \led_flash_cnt[181][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[181][5]~q\,
	datad => \led_flash_cnt[181][6]~q\,
	combout => \WideAnd181~1_combout\);

-- Location: LCCOMB_X77_Y21_N18
\led_flash_cnt[181][7]~29426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[181][7]~29426_combout\ = \led_flash_cnt[181][6]~29425\ $ (!\led_flash_cnt[181][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[181][7]~q\,
	cin => \led_flash_cnt[181][6]~29425\,
	combout => \led_flash_cnt[181][7]~29426_combout\);

-- Location: FF_X77_Y21_N19
\led_flash_cnt[181][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[181][7]~29426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[181][7]~q\);

-- Location: LCCOMB_X77_Y21_N22
\WideAnd181~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd181~0_combout\ = (\led_flash_cnt[181][4]~q\ & (\led_flash_cnt[181][1]~q\ & (\led_flash_cnt[181][2]~q\ & \led_flash_cnt[181][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[181][4]~q\,
	datab => \led_flash_cnt[181][1]~q\,
	datac => \led_flash_cnt[181][2]~q\,
	datad => \led_flash_cnt[181][3]~q\,
	combout => \WideAnd181~0_combout\);

-- Location: LCCOMB_X77_Y21_N20
WideAnd181 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd181~combout\ = (\WideAnd181~1_combout\ & (\led_flash_cnt[181][7]~q\ & (\WideAnd181~0_combout\ & \led_flash_cnt[181][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd181~1_combout\,
	datab => \led_flash_cnt[181][7]~q\,
	datac => \WideAnd181~0_combout\,
	datad => \led_flash_cnt[181][0]~q\,
	combout => \WideAnd181~combout\);

-- Location: FF_X77_Y21_N21
\led_flash_cnt_ands[181]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd181~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(181));

-- Location: LCCOMB_X77_Y21_N30
\WideAnd3862~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3862~1_combout\ = (led_flash_cnt_ands(180) & led_flash_cnt_ands(181))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(180),
	datad => led_flash_cnt_ands(181),
	combout => \WideAnd3862~1_combout\);

-- Location: LCCOMB_X70_Y44_N18
\led_flash_cnt[183][0]~80823\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[183][0]~80823_combout\ = !\led_flash_cnt[183][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[183][0]~q\,
	combout => \led_flash_cnt[183][0]~80823_combout\);

-- Location: FF_X70_Y44_N19
\led_flash_cnt[183][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[183][0]~80823_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[183][0]~q\);

-- Location: LCCOMB_X71_Y44_N2
\led_flash_cnt[183][1]~29442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[183][1]~29442_combout\ = (\led_flash_cnt[183][0]~q\ & (\led_flash_cnt[183][1]~q\ $ (VCC))) # (!\led_flash_cnt[183][0]~q\ & (\led_flash_cnt[183][1]~q\ & VCC))
-- \led_flash_cnt[183][1]~29443\ = CARRY((\led_flash_cnt[183][0]~q\ & \led_flash_cnt[183][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[183][0]~q\,
	datab => \led_flash_cnt[183][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[183][1]~29442_combout\,
	cout => \led_flash_cnt[183][1]~29443\);

-- Location: FF_X71_Y44_N3
\led_flash_cnt[183][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[183][1]~29442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[183][1]~q\);

-- Location: LCCOMB_X71_Y44_N4
\led_flash_cnt[183][2]~29444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[183][2]~29444_combout\ = (\led_flash_cnt[183][2]~q\ & (!\led_flash_cnt[183][1]~29443\)) # (!\led_flash_cnt[183][2]~q\ & ((\led_flash_cnt[183][1]~29443\) # (GND)))
-- \led_flash_cnt[183][2]~29445\ = CARRY((!\led_flash_cnt[183][1]~29443\) # (!\led_flash_cnt[183][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[183][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[183][1]~29443\,
	combout => \led_flash_cnt[183][2]~29444_combout\,
	cout => \led_flash_cnt[183][2]~29445\);

-- Location: FF_X71_Y44_N5
\led_flash_cnt[183][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[183][2]~29444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[183][2]~q\);

-- Location: LCCOMB_X71_Y44_N6
\led_flash_cnt[183][3]~29446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[183][3]~29446_combout\ = (\led_flash_cnt[183][3]~q\ & (\led_flash_cnt[183][2]~29445\ $ (GND))) # (!\led_flash_cnt[183][3]~q\ & (!\led_flash_cnt[183][2]~29445\ & VCC))
-- \led_flash_cnt[183][3]~29447\ = CARRY((\led_flash_cnt[183][3]~q\ & !\led_flash_cnt[183][2]~29445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[183][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[183][2]~29445\,
	combout => \led_flash_cnt[183][3]~29446_combout\,
	cout => \led_flash_cnt[183][3]~29447\);

-- Location: FF_X71_Y44_N7
\led_flash_cnt[183][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[183][3]~29446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[183][3]~q\);

-- Location: LCCOMB_X71_Y44_N8
\led_flash_cnt[183][4]~29448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[183][4]~29448_combout\ = (\led_flash_cnt[183][4]~q\ & (!\led_flash_cnt[183][3]~29447\)) # (!\led_flash_cnt[183][4]~q\ & ((\led_flash_cnt[183][3]~29447\) # (GND)))
-- \led_flash_cnt[183][4]~29449\ = CARRY((!\led_flash_cnt[183][3]~29447\) # (!\led_flash_cnt[183][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[183][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[183][3]~29447\,
	combout => \led_flash_cnt[183][4]~29448_combout\,
	cout => \led_flash_cnt[183][4]~29449\);

-- Location: FF_X71_Y44_N9
\led_flash_cnt[183][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[183][4]~29448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[183][4]~q\);

-- Location: LCCOMB_X71_Y44_N10
\led_flash_cnt[183][5]~29450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[183][5]~29450_combout\ = (\led_flash_cnt[183][5]~q\ & (\led_flash_cnt[183][4]~29449\ $ (GND))) # (!\led_flash_cnt[183][5]~q\ & (!\led_flash_cnt[183][4]~29449\ & VCC))
-- \led_flash_cnt[183][5]~29451\ = CARRY((\led_flash_cnt[183][5]~q\ & !\led_flash_cnt[183][4]~29449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[183][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[183][4]~29449\,
	combout => \led_flash_cnt[183][5]~29450_combout\,
	cout => \led_flash_cnt[183][5]~29451\);

-- Location: FF_X71_Y44_N11
\led_flash_cnt[183][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[183][5]~29450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[183][5]~q\);

-- Location: LCCOMB_X71_Y44_N12
\led_flash_cnt[183][6]~29452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[183][6]~29452_combout\ = (\led_flash_cnt[183][6]~q\ & (!\led_flash_cnt[183][5]~29451\)) # (!\led_flash_cnt[183][6]~q\ & ((\led_flash_cnt[183][5]~29451\) # (GND)))
-- \led_flash_cnt[183][6]~29453\ = CARRY((!\led_flash_cnt[183][5]~29451\) # (!\led_flash_cnt[183][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[183][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[183][5]~29451\,
	combout => \led_flash_cnt[183][6]~29452_combout\,
	cout => \led_flash_cnt[183][6]~29453\);

-- Location: FF_X71_Y44_N13
\led_flash_cnt[183][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[183][6]~29452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[183][6]~q\);

-- Location: LCCOMB_X70_Y44_N30
\WideAnd183~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd183~1_combout\ = (\led_flash_cnt[183][6]~q\ & \led_flash_cnt[183][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[183][6]~q\,
	datac => \led_flash_cnt[183][5]~q\,
	combout => \WideAnd183~1_combout\);

-- Location: LCCOMB_X71_Y44_N14
\led_flash_cnt[183][7]~29454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[183][7]~29454_combout\ = \led_flash_cnt[183][7]~q\ $ (!\led_flash_cnt[183][6]~29453\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[183][7]~q\,
	cin => \led_flash_cnt[183][6]~29453\,
	combout => \led_flash_cnt[183][7]~29454_combout\);

-- Location: FF_X71_Y44_N15
\led_flash_cnt[183][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[183][7]~29454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[183][7]~q\);

-- Location: LCCOMB_X71_Y44_N0
\WideAnd183~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd183~0_combout\ = (\led_flash_cnt[183][3]~q\ & (\led_flash_cnt[183][4]~q\ & (\led_flash_cnt[183][2]~q\ & \led_flash_cnt[183][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[183][3]~q\,
	datab => \led_flash_cnt[183][4]~q\,
	datac => \led_flash_cnt[183][2]~q\,
	datad => \led_flash_cnt[183][1]~q\,
	combout => \WideAnd183~0_combout\);

-- Location: LCCOMB_X70_Y44_N26
WideAnd183 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd183~combout\ = (\WideAnd183~1_combout\ & (\led_flash_cnt[183][7]~q\ & (\WideAnd183~0_combout\ & \led_flash_cnt[183][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd183~1_combout\,
	datab => \led_flash_cnt[183][7]~q\,
	datac => \WideAnd183~0_combout\,
	datad => \led_flash_cnt[183][0]~q\,
	combout => \WideAnd183~combout\);

-- Location: FF_X70_Y44_N27
\led_flash_cnt_ands[183]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd183~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(183));

-- Location: LCCOMB_X69_Y20_N24
\led_flash_cnt[176][0]~80816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[176][0]~80816_combout\ = !\led_flash_cnt[176][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[176][0]~q\,
	combout => \led_flash_cnt[176][0]~80816_combout\);

-- Location: FF_X69_Y20_N25
\led_flash_cnt[176][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[176][0]~80816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[176][0]~q\);

-- Location: LCCOMB_X70_Y20_N18
\led_flash_cnt[176][1]~29344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[176][1]~29344_combout\ = (\led_flash_cnt[176][0]~q\ & (\led_flash_cnt[176][1]~q\ $ (VCC))) # (!\led_flash_cnt[176][0]~q\ & (\led_flash_cnt[176][1]~q\ & VCC))
-- \led_flash_cnt[176][1]~29345\ = CARRY((\led_flash_cnt[176][0]~q\ & \led_flash_cnt[176][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[176][0]~q\,
	datab => \led_flash_cnt[176][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[176][1]~29344_combout\,
	cout => \led_flash_cnt[176][1]~29345\);

-- Location: FF_X70_Y20_N19
\led_flash_cnt[176][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[176][1]~29344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[176][1]~q\);

-- Location: LCCOMB_X70_Y20_N20
\led_flash_cnt[176][2]~29346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[176][2]~29346_combout\ = (\led_flash_cnt[176][2]~q\ & (!\led_flash_cnt[176][1]~29345\)) # (!\led_flash_cnt[176][2]~q\ & ((\led_flash_cnt[176][1]~29345\) # (GND)))
-- \led_flash_cnt[176][2]~29347\ = CARRY((!\led_flash_cnt[176][1]~29345\) # (!\led_flash_cnt[176][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[176][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[176][1]~29345\,
	combout => \led_flash_cnt[176][2]~29346_combout\,
	cout => \led_flash_cnt[176][2]~29347\);

-- Location: FF_X70_Y20_N21
\led_flash_cnt[176][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[176][2]~29346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[176][2]~q\);

-- Location: LCCOMB_X70_Y20_N22
\led_flash_cnt[176][3]~29348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[176][3]~29348_combout\ = (\led_flash_cnt[176][3]~q\ & (\led_flash_cnt[176][2]~29347\ $ (GND))) # (!\led_flash_cnt[176][3]~q\ & (!\led_flash_cnt[176][2]~29347\ & VCC))
-- \led_flash_cnt[176][3]~29349\ = CARRY((\led_flash_cnt[176][3]~q\ & !\led_flash_cnt[176][2]~29347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[176][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[176][2]~29347\,
	combout => \led_flash_cnt[176][3]~29348_combout\,
	cout => \led_flash_cnt[176][3]~29349\);

-- Location: FF_X70_Y20_N23
\led_flash_cnt[176][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[176][3]~29348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[176][3]~q\);

-- Location: LCCOMB_X70_Y20_N24
\led_flash_cnt[176][4]~29350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[176][4]~29350_combout\ = (\led_flash_cnt[176][4]~q\ & (!\led_flash_cnt[176][3]~29349\)) # (!\led_flash_cnt[176][4]~q\ & ((\led_flash_cnt[176][3]~29349\) # (GND)))
-- \led_flash_cnt[176][4]~29351\ = CARRY((!\led_flash_cnt[176][3]~29349\) # (!\led_flash_cnt[176][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[176][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[176][3]~29349\,
	combout => \led_flash_cnt[176][4]~29350_combout\,
	cout => \led_flash_cnt[176][4]~29351\);

-- Location: FF_X70_Y20_N25
\led_flash_cnt[176][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[176][4]~29350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[176][4]~q\);

-- Location: LCCOMB_X70_Y20_N26
\led_flash_cnt[176][5]~29352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[176][5]~29352_combout\ = (\led_flash_cnt[176][5]~q\ & (\led_flash_cnt[176][4]~29351\ $ (GND))) # (!\led_flash_cnt[176][5]~q\ & (!\led_flash_cnt[176][4]~29351\ & VCC))
-- \led_flash_cnt[176][5]~29353\ = CARRY((\led_flash_cnt[176][5]~q\ & !\led_flash_cnt[176][4]~29351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[176][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[176][4]~29351\,
	combout => \led_flash_cnt[176][5]~29352_combout\,
	cout => \led_flash_cnt[176][5]~29353\);

-- Location: FF_X70_Y20_N27
\led_flash_cnt[176][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[176][5]~29352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[176][5]~q\);

-- Location: LCCOMB_X70_Y20_N28
\led_flash_cnt[176][6]~29354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[176][6]~29354_combout\ = (\led_flash_cnt[176][6]~q\ & (!\led_flash_cnt[176][5]~29353\)) # (!\led_flash_cnt[176][6]~q\ & ((\led_flash_cnt[176][5]~29353\) # (GND)))
-- \led_flash_cnt[176][6]~29355\ = CARRY((!\led_flash_cnt[176][5]~29353\) # (!\led_flash_cnt[176][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[176][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[176][5]~29353\,
	combout => \led_flash_cnt[176][6]~29354_combout\,
	cout => \led_flash_cnt[176][6]~29355\);

-- Location: FF_X70_Y20_N29
\led_flash_cnt[176][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[176][6]~29354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[176][6]~q\);

-- Location: LCCOMB_X69_Y20_N30
\WideAnd176~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd176~1_combout\ = (\led_flash_cnt[176][6]~q\ & \led_flash_cnt[176][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[176][6]~q\,
	datad => \led_flash_cnt[176][5]~q\,
	combout => \WideAnd176~1_combout\);

-- Location: LCCOMB_X70_Y20_N30
\led_flash_cnt[176][7]~29356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[176][7]~29356_combout\ = \led_flash_cnt[176][7]~q\ $ (!\led_flash_cnt[176][6]~29355\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[176][7]~q\,
	cin => \led_flash_cnt[176][6]~29355\,
	combout => \led_flash_cnt[176][7]~29356_combout\);

-- Location: FF_X70_Y20_N31
\led_flash_cnt[176][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[176][7]~29356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[176][7]~q\);

-- Location: LCCOMB_X70_Y20_N16
\WideAnd176~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd176~0_combout\ = (\led_flash_cnt[176][2]~q\ & (\led_flash_cnt[176][4]~q\ & (\led_flash_cnt[176][3]~q\ & \led_flash_cnt[176][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[176][2]~q\,
	datab => \led_flash_cnt[176][4]~q\,
	datac => \led_flash_cnt[176][3]~q\,
	datad => \led_flash_cnt[176][1]~q\,
	combout => \WideAnd176~0_combout\);

-- Location: LCCOMB_X69_Y20_N28
WideAnd176 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd176~combout\ = (\WideAnd176~1_combout\ & (\led_flash_cnt[176][0]~q\ & (\led_flash_cnt[176][7]~q\ & \WideAnd176~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd176~1_combout\,
	datab => \led_flash_cnt[176][0]~q\,
	datac => \led_flash_cnt[176][7]~q\,
	datad => \WideAnd176~0_combout\,
	combout => \WideAnd176~combout\);

-- Location: FF_X69_Y20_N29
\led_flash_cnt_ands[176]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd176~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(176));

-- Location: LCCOMB_X69_Y28_N12
\led_flash_cnt[179][0]~80819\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[179][0]~80819_combout\ = !\led_flash_cnt[179][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[179][0]~q\,
	combout => \led_flash_cnt[179][0]~80819_combout\);

-- Location: FF_X69_Y28_N13
\led_flash_cnt[179][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[179][0]~80819_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[179][0]~q\);

-- Location: LCCOMB_X70_Y28_N4
\led_flash_cnt[179][1]~29386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[179][1]~29386_combout\ = (\led_flash_cnt[179][0]~q\ & (\led_flash_cnt[179][1]~q\ $ (VCC))) # (!\led_flash_cnt[179][0]~q\ & (\led_flash_cnt[179][1]~q\ & VCC))
-- \led_flash_cnt[179][1]~29387\ = CARRY((\led_flash_cnt[179][0]~q\ & \led_flash_cnt[179][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[179][0]~q\,
	datab => \led_flash_cnt[179][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[179][1]~29386_combout\,
	cout => \led_flash_cnt[179][1]~29387\);

-- Location: FF_X70_Y28_N5
\led_flash_cnt[179][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[179][1]~29386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[179][1]~q\);

-- Location: LCCOMB_X70_Y28_N6
\led_flash_cnt[179][2]~29388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[179][2]~29388_combout\ = (\led_flash_cnt[179][2]~q\ & (!\led_flash_cnt[179][1]~29387\)) # (!\led_flash_cnt[179][2]~q\ & ((\led_flash_cnt[179][1]~29387\) # (GND)))
-- \led_flash_cnt[179][2]~29389\ = CARRY((!\led_flash_cnt[179][1]~29387\) # (!\led_flash_cnt[179][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[179][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[179][1]~29387\,
	combout => \led_flash_cnt[179][2]~29388_combout\,
	cout => \led_flash_cnt[179][2]~29389\);

-- Location: FF_X70_Y28_N7
\led_flash_cnt[179][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[179][2]~29388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[179][2]~q\);

-- Location: LCCOMB_X70_Y28_N8
\led_flash_cnt[179][3]~29390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[179][3]~29390_combout\ = (\led_flash_cnt[179][3]~q\ & (\led_flash_cnt[179][2]~29389\ $ (GND))) # (!\led_flash_cnt[179][3]~q\ & (!\led_flash_cnt[179][2]~29389\ & VCC))
-- \led_flash_cnt[179][3]~29391\ = CARRY((\led_flash_cnt[179][3]~q\ & !\led_flash_cnt[179][2]~29389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[179][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[179][2]~29389\,
	combout => \led_flash_cnt[179][3]~29390_combout\,
	cout => \led_flash_cnt[179][3]~29391\);

-- Location: FF_X70_Y28_N9
\led_flash_cnt[179][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[179][3]~29390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[179][3]~q\);

-- Location: LCCOMB_X70_Y28_N10
\led_flash_cnt[179][4]~29392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[179][4]~29392_combout\ = (\led_flash_cnt[179][4]~q\ & (!\led_flash_cnt[179][3]~29391\)) # (!\led_flash_cnt[179][4]~q\ & ((\led_flash_cnt[179][3]~29391\) # (GND)))
-- \led_flash_cnt[179][4]~29393\ = CARRY((!\led_flash_cnt[179][3]~29391\) # (!\led_flash_cnt[179][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[179][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[179][3]~29391\,
	combout => \led_flash_cnt[179][4]~29392_combout\,
	cout => \led_flash_cnt[179][4]~29393\);

-- Location: FF_X70_Y28_N11
\led_flash_cnt[179][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[179][4]~29392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[179][4]~q\);

-- Location: LCCOMB_X70_Y28_N12
\led_flash_cnt[179][5]~29394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[179][5]~29394_combout\ = (\led_flash_cnt[179][5]~q\ & (\led_flash_cnt[179][4]~29393\ $ (GND))) # (!\led_flash_cnt[179][5]~q\ & (!\led_flash_cnt[179][4]~29393\ & VCC))
-- \led_flash_cnt[179][5]~29395\ = CARRY((\led_flash_cnt[179][5]~q\ & !\led_flash_cnt[179][4]~29393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[179][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[179][4]~29393\,
	combout => \led_flash_cnt[179][5]~29394_combout\,
	cout => \led_flash_cnt[179][5]~29395\);

-- Location: FF_X70_Y28_N13
\led_flash_cnt[179][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[179][5]~29394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[179][5]~q\);

-- Location: LCCOMB_X70_Y28_N14
\led_flash_cnt[179][6]~29396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[179][6]~29396_combout\ = (\led_flash_cnt[179][6]~q\ & (!\led_flash_cnt[179][5]~29395\)) # (!\led_flash_cnt[179][6]~q\ & ((\led_flash_cnt[179][5]~29395\) # (GND)))
-- \led_flash_cnt[179][6]~29397\ = CARRY((!\led_flash_cnt[179][5]~29395\) # (!\led_flash_cnt[179][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[179][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[179][5]~29395\,
	combout => \led_flash_cnt[179][6]~29396_combout\,
	cout => \led_flash_cnt[179][6]~29397\);

-- Location: FF_X70_Y28_N15
\led_flash_cnt[179][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[179][6]~29396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[179][6]~q\);

-- Location: LCCOMB_X70_Y28_N16
\led_flash_cnt[179][7]~29398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[179][7]~29398_combout\ = \led_flash_cnt[179][6]~29397\ $ (!\led_flash_cnt[179][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[179][7]~q\,
	cin => \led_flash_cnt[179][6]~29397\,
	combout => \led_flash_cnt[179][7]~29398_combout\);

-- Location: FF_X70_Y28_N17
\led_flash_cnt[179][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[179][7]~29398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[179][7]~q\);

-- Location: LCCOMB_X69_Y28_N8
\WideAnd179~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd179~1_combout\ = (\led_flash_cnt[179][6]~q\ & \led_flash_cnt[179][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[179][6]~q\,
	datac => \led_flash_cnt[179][5]~q\,
	combout => \WideAnd179~1_combout\);

-- Location: LCCOMB_X70_Y28_N2
\WideAnd179~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd179~0_combout\ = (\led_flash_cnt[179][4]~q\ & (\led_flash_cnt[179][1]~q\ & (\led_flash_cnt[179][3]~q\ & \led_flash_cnt[179][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[179][4]~q\,
	datab => \led_flash_cnt[179][1]~q\,
	datac => \led_flash_cnt[179][3]~q\,
	datad => \led_flash_cnt[179][2]~q\,
	combout => \WideAnd179~0_combout\);

-- Location: LCCOMB_X69_Y28_N28
WideAnd179 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd179~combout\ = (\led_flash_cnt[179][0]~q\ & (\led_flash_cnt[179][7]~q\ & (\WideAnd179~1_combout\ & \WideAnd179~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[179][0]~q\,
	datab => \led_flash_cnt[179][7]~q\,
	datac => \WideAnd179~1_combout\,
	datad => \WideAnd179~0_combout\,
	combout => \WideAnd179~combout\);

-- Location: FF_X69_Y28_N29
\led_flash_cnt_ands[179]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd179~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(179));

-- Location: LCCOMB_X56_Y32_N18
\led_flash_cnt[177][0]~80817\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[177][0]~80817_combout\ = !\led_flash_cnt[177][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[177][0]~q\,
	combout => \led_flash_cnt[177][0]~80817_combout\);

-- Location: FF_X56_Y32_N19
\led_flash_cnt[177][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[177][0]~80817_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[177][0]~q\);

-- Location: LCCOMB_X56_Y32_N0
\led_flash_cnt[177][1]~29358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[177][1]~29358_combout\ = (\led_flash_cnt[177][0]~q\ & (\led_flash_cnt[177][1]~q\ $ (VCC))) # (!\led_flash_cnt[177][0]~q\ & (\led_flash_cnt[177][1]~q\ & VCC))
-- \led_flash_cnt[177][1]~29359\ = CARRY((\led_flash_cnt[177][0]~q\ & \led_flash_cnt[177][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[177][0]~q\,
	datab => \led_flash_cnt[177][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[177][1]~29358_combout\,
	cout => \led_flash_cnt[177][1]~29359\);

-- Location: FF_X56_Y32_N1
\led_flash_cnt[177][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[177][1]~29358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[177][1]~q\);

-- Location: LCCOMB_X56_Y32_N2
\led_flash_cnt[177][2]~29360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[177][2]~29360_combout\ = (\led_flash_cnt[177][2]~q\ & (!\led_flash_cnt[177][1]~29359\)) # (!\led_flash_cnt[177][2]~q\ & ((\led_flash_cnt[177][1]~29359\) # (GND)))
-- \led_flash_cnt[177][2]~29361\ = CARRY((!\led_flash_cnt[177][1]~29359\) # (!\led_flash_cnt[177][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[177][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[177][1]~29359\,
	combout => \led_flash_cnt[177][2]~29360_combout\,
	cout => \led_flash_cnt[177][2]~29361\);

-- Location: FF_X56_Y32_N3
\led_flash_cnt[177][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[177][2]~29360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[177][2]~q\);

-- Location: LCCOMB_X56_Y32_N4
\led_flash_cnt[177][3]~29362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[177][3]~29362_combout\ = (\led_flash_cnt[177][3]~q\ & (\led_flash_cnt[177][2]~29361\ $ (GND))) # (!\led_flash_cnt[177][3]~q\ & (!\led_flash_cnt[177][2]~29361\ & VCC))
-- \led_flash_cnt[177][3]~29363\ = CARRY((\led_flash_cnt[177][3]~q\ & !\led_flash_cnt[177][2]~29361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[177][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[177][2]~29361\,
	combout => \led_flash_cnt[177][3]~29362_combout\,
	cout => \led_flash_cnt[177][3]~29363\);

-- Location: FF_X56_Y32_N5
\led_flash_cnt[177][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[177][3]~29362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[177][3]~q\);

-- Location: LCCOMB_X56_Y32_N6
\led_flash_cnt[177][4]~29364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[177][4]~29364_combout\ = (\led_flash_cnt[177][4]~q\ & (!\led_flash_cnt[177][3]~29363\)) # (!\led_flash_cnt[177][4]~q\ & ((\led_flash_cnt[177][3]~29363\) # (GND)))
-- \led_flash_cnt[177][4]~29365\ = CARRY((!\led_flash_cnt[177][3]~29363\) # (!\led_flash_cnt[177][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[177][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[177][3]~29363\,
	combout => \led_flash_cnt[177][4]~29364_combout\,
	cout => \led_flash_cnt[177][4]~29365\);

-- Location: FF_X56_Y32_N7
\led_flash_cnt[177][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[177][4]~29364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[177][4]~q\);

-- Location: LCCOMB_X56_Y32_N26
\WideAnd177~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd177~0_combout\ = (\led_flash_cnt[177][4]~q\ & (\led_flash_cnt[177][1]~q\ & (\led_flash_cnt[177][3]~q\ & \led_flash_cnt[177][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[177][4]~q\,
	datab => \led_flash_cnt[177][1]~q\,
	datac => \led_flash_cnt[177][3]~q\,
	datad => \led_flash_cnt[177][2]~q\,
	combout => \WideAnd177~0_combout\);

-- Location: LCCOMB_X56_Y32_N8
\led_flash_cnt[177][5]~29366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[177][5]~29366_combout\ = (\led_flash_cnt[177][5]~q\ & (\led_flash_cnt[177][4]~29365\ $ (GND))) # (!\led_flash_cnt[177][5]~q\ & (!\led_flash_cnt[177][4]~29365\ & VCC))
-- \led_flash_cnt[177][5]~29367\ = CARRY((\led_flash_cnt[177][5]~q\ & !\led_flash_cnt[177][4]~29365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[177][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[177][4]~29365\,
	combout => \led_flash_cnt[177][5]~29366_combout\,
	cout => \led_flash_cnt[177][5]~29367\);

-- Location: FF_X56_Y32_N9
\led_flash_cnt[177][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[177][5]~29366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[177][5]~q\);

-- Location: LCCOMB_X56_Y32_N10
\led_flash_cnt[177][6]~29368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[177][6]~29368_combout\ = (\led_flash_cnt[177][6]~q\ & (!\led_flash_cnt[177][5]~29367\)) # (!\led_flash_cnt[177][6]~q\ & ((\led_flash_cnt[177][5]~29367\) # (GND)))
-- \led_flash_cnt[177][6]~29369\ = CARRY((!\led_flash_cnt[177][5]~29367\) # (!\led_flash_cnt[177][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[177][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[177][5]~29367\,
	combout => \led_flash_cnt[177][6]~29368_combout\,
	cout => \led_flash_cnt[177][6]~29369\);

-- Location: FF_X56_Y32_N11
\led_flash_cnt[177][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[177][6]~29368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[177][6]~q\);

-- Location: LCCOMB_X56_Y32_N22
\WideAnd177~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd177~1_combout\ = (\led_flash_cnt[177][5]~q\ & \led_flash_cnt[177][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[177][5]~q\,
	datad => \led_flash_cnt[177][6]~q\,
	combout => \WideAnd177~1_combout\);

-- Location: LCCOMB_X56_Y32_N12
\led_flash_cnt[177][7]~29370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[177][7]~29370_combout\ = \led_flash_cnt[177][6]~29369\ $ (!\led_flash_cnt[177][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[177][7]~q\,
	cin => \led_flash_cnt[177][6]~29369\,
	combout => \led_flash_cnt[177][7]~29370_combout\);

-- Location: FF_X56_Y32_N13
\led_flash_cnt[177][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[177][7]~29370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[177][7]~q\);

-- Location: LCCOMB_X56_Y32_N28
WideAnd177 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd177~combout\ = (\WideAnd177~0_combout\ & (\led_flash_cnt[177][0]~q\ & (\WideAnd177~1_combout\ & \led_flash_cnt[177][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd177~0_combout\,
	datab => \led_flash_cnt[177][0]~q\,
	datac => \WideAnd177~1_combout\,
	datad => \led_flash_cnt[177][7]~q\,
	combout => \WideAnd177~combout\);

-- Location: FF_X56_Y32_N29
\led_flash_cnt_ands[177]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd177~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(177));

-- Location: LCCOMB_X69_Y28_N10
\led_flash_cnt[178][0]~80818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[178][0]~80818_combout\ = !\led_flash_cnt[178][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[178][0]~q\,
	combout => \led_flash_cnt[178][0]~80818_combout\);

-- Location: FF_X69_Y28_N11
\led_flash_cnt[178][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[178][0]~80818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[178][0]~q\);

-- Location: LCCOMB_X69_Y28_N14
\led_flash_cnt[178][1]~29372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[178][1]~29372_combout\ = (\led_flash_cnt[178][0]~q\ & (\led_flash_cnt[178][1]~q\ $ (VCC))) # (!\led_flash_cnt[178][0]~q\ & (\led_flash_cnt[178][1]~q\ & VCC))
-- \led_flash_cnt[178][1]~29373\ = CARRY((\led_flash_cnt[178][0]~q\ & \led_flash_cnt[178][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[178][0]~q\,
	datab => \led_flash_cnt[178][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[178][1]~29372_combout\,
	cout => \led_flash_cnt[178][1]~29373\);

-- Location: FF_X69_Y28_N15
\led_flash_cnt[178][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[178][1]~29372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[178][1]~q\);

-- Location: LCCOMB_X69_Y28_N16
\led_flash_cnt[178][2]~29374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[178][2]~29374_combout\ = (\led_flash_cnt[178][2]~q\ & (!\led_flash_cnt[178][1]~29373\)) # (!\led_flash_cnt[178][2]~q\ & ((\led_flash_cnt[178][1]~29373\) # (GND)))
-- \led_flash_cnt[178][2]~29375\ = CARRY((!\led_flash_cnt[178][1]~29373\) # (!\led_flash_cnt[178][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[178][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[178][1]~29373\,
	combout => \led_flash_cnt[178][2]~29374_combout\,
	cout => \led_flash_cnt[178][2]~29375\);

-- Location: FF_X69_Y28_N17
\led_flash_cnt[178][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[178][2]~29374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[178][2]~q\);

-- Location: LCCOMB_X69_Y28_N18
\led_flash_cnt[178][3]~29376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[178][3]~29376_combout\ = (\led_flash_cnt[178][3]~q\ & (\led_flash_cnt[178][2]~29375\ $ (GND))) # (!\led_flash_cnt[178][3]~q\ & (!\led_flash_cnt[178][2]~29375\ & VCC))
-- \led_flash_cnt[178][3]~29377\ = CARRY((\led_flash_cnt[178][3]~q\ & !\led_flash_cnt[178][2]~29375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[178][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[178][2]~29375\,
	combout => \led_flash_cnt[178][3]~29376_combout\,
	cout => \led_flash_cnt[178][3]~29377\);

-- Location: FF_X69_Y28_N19
\led_flash_cnt[178][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[178][3]~29376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[178][3]~q\);

-- Location: LCCOMB_X69_Y28_N20
\led_flash_cnt[178][4]~29378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[178][4]~29378_combout\ = (\led_flash_cnt[178][4]~q\ & (!\led_flash_cnt[178][3]~29377\)) # (!\led_flash_cnt[178][4]~q\ & ((\led_flash_cnt[178][3]~29377\) # (GND)))
-- \led_flash_cnt[178][4]~29379\ = CARRY((!\led_flash_cnt[178][3]~29377\) # (!\led_flash_cnt[178][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[178][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[178][3]~29377\,
	combout => \led_flash_cnt[178][4]~29378_combout\,
	cout => \led_flash_cnt[178][4]~29379\);

-- Location: FF_X69_Y28_N21
\led_flash_cnt[178][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[178][4]~29378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[178][4]~q\);

-- Location: LCCOMB_X69_Y28_N22
\led_flash_cnt[178][5]~29380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[178][5]~29380_combout\ = (\led_flash_cnt[178][5]~q\ & (\led_flash_cnt[178][4]~29379\ $ (GND))) # (!\led_flash_cnt[178][5]~q\ & (!\led_flash_cnt[178][4]~29379\ & VCC))
-- \led_flash_cnt[178][5]~29381\ = CARRY((\led_flash_cnt[178][5]~q\ & !\led_flash_cnt[178][4]~29379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[178][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[178][4]~29379\,
	combout => \led_flash_cnt[178][5]~29380_combout\,
	cout => \led_flash_cnt[178][5]~29381\);

-- Location: FF_X69_Y28_N23
\led_flash_cnt[178][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[178][5]~29380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[178][5]~q\);

-- Location: LCCOMB_X69_Y28_N24
\led_flash_cnt[178][6]~29382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[178][6]~29382_combout\ = (\led_flash_cnt[178][6]~q\ & (!\led_flash_cnt[178][5]~29381\)) # (!\led_flash_cnt[178][6]~q\ & ((\led_flash_cnt[178][5]~29381\) # (GND)))
-- \led_flash_cnt[178][6]~29383\ = CARRY((!\led_flash_cnt[178][5]~29381\) # (!\led_flash_cnt[178][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[178][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[178][5]~29381\,
	combout => \led_flash_cnt[178][6]~29382_combout\,
	cout => \led_flash_cnt[178][6]~29383\);

-- Location: FF_X69_Y28_N25
\led_flash_cnt[178][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[178][6]~29382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[178][6]~q\);

-- Location: LCCOMB_X69_Y28_N6
\WideAnd178~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd178~1_combout\ = (\led_flash_cnt[178][5]~q\ & \led_flash_cnt[178][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[178][5]~q\,
	datad => \led_flash_cnt[178][6]~q\,
	combout => \WideAnd178~1_combout\);

-- Location: LCCOMB_X69_Y28_N2
\WideAnd178~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd178~0_combout\ = (\led_flash_cnt[178][3]~q\ & (\led_flash_cnt[178][4]~q\ & (\led_flash_cnt[178][1]~q\ & \led_flash_cnt[178][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[178][3]~q\,
	datab => \led_flash_cnt[178][4]~q\,
	datac => \led_flash_cnt[178][1]~q\,
	datad => \led_flash_cnt[178][2]~q\,
	combout => \WideAnd178~0_combout\);

-- Location: LCCOMB_X69_Y28_N26
\led_flash_cnt[178][7]~29384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[178][7]~29384_combout\ = \led_flash_cnt[178][7]~q\ $ (!\led_flash_cnt[178][6]~29383\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[178][7]~q\,
	cin => \led_flash_cnt[178][6]~29383\,
	combout => \led_flash_cnt[178][7]~29384_combout\);

-- Location: FF_X69_Y28_N27
\led_flash_cnt[178][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[178][7]~29384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[178][7]~q\);

-- Location: LCCOMB_X69_Y28_N0
WideAnd178 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd178~combout\ = (\WideAnd178~1_combout\ & (\WideAnd178~0_combout\ & (\led_flash_cnt[178][7]~q\ & \led_flash_cnt[178][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd178~1_combout\,
	datab => \WideAnd178~0_combout\,
	datac => \led_flash_cnt[178][7]~q\,
	datad => \led_flash_cnt[178][0]~q\,
	combout => \WideAnd178~combout\);

-- Location: FF_X69_Y28_N1
\led_flash_cnt_ands[178]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd178~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(178));

-- Location: LCCOMB_X69_Y28_N4
\WideAnd3862~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3862~0_combout\ = (led_flash_cnt_ands(176) & (led_flash_cnt_ands(179) & (led_flash_cnt_ands(177) & led_flash_cnt_ands(178))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(176),
	datab => led_flash_cnt_ands(179),
	datac => led_flash_cnt_ands(177),
	datad => led_flash_cnt_ands(178),
	combout => \WideAnd3862~0_combout\);

-- Location: LCCOMB_X70_Y44_N22
\led_flash_cnt[182][0]~80822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[182][0]~80822_combout\ = !\led_flash_cnt[182][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[182][0]~q\,
	combout => \led_flash_cnt[182][0]~80822_combout\);

-- Location: FF_X70_Y44_N23
\led_flash_cnt[182][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[182][0]~80822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[182][0]~q\);

-- Location: LCCOMB_X70_Y44_N0
\led_flash_cnt[182][1]~29428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[182][1]~29428_combout\ = (\led_flash_cnt[182][0]~q\ & (\led_flash_cnt[182][1]~q\ $ (VCC))) # (!\led_flash_cnt[182][0]~q\ & (\led_flash_cnt[182][1]~q\ & VCC))
-- \led_flash_cnt[182][1]~29429\ = CARRY((\led_flash_cnt[182][0]~q\ & \led_flash_cnt[182][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[182][0]~q\,
	datab => \led_flash_cnt[182][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[182][1]~29428_combout\,
	cout => \led_flash_cnt[182][1]~29429\);

-- Location: FF_X70_Y44_N1
\led_flash_cnt[182][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[182][1]~29428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[182][1]~q\);

-- Location: LCCOMB_X70_Y44_N2
\led_flash_cnt[182][2]~29430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[182][2]~29430_combout\ = (\led_flash_cnt[182][2]~q\ & (!\led_flash_cnt[182][1]~29429\)) # (!\led_flash_cnt[182][2]~q\ & ((\led_flash_cnt[182][1]~29429\) # (GND)))
-- \led_flash_cnt[182][2]~29431\ = CARRY((!\led_flash_cnt[182][1]~29429\) # (!\led_flash_cnt[182][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[182][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[182][1]~29429\,
	combout => \led_flash_cnt[182][2]~29430_combout\,
	cout => \led_flash_cnt[182][2]~29431\);

-- Location: FF_X70_Y44_N3
\led_flash_cnt[182][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[182][2]~29430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[182][2]~q\);

-- Location: LCCOMB_X70_Y44_N4
\led_flash_cnt[182][3]~29432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[182][3]~29432_combout\ = (\led_flash_cnt[182][3]~q\ & (\led_flash_cnt[182][2]~29431\ $ (GND))) # (!\led_flash_cnt[182][3]~q\ & (!\led_flash_cnt[182][2]~29431\ & VCC))
-- \led_flash_cnt[182][3]~29433\ = CARRY((\led_flash_cnt[182][3]~q\ & !\led_flash_cnt[182][2]~29431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[182][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[182][2]~29431\,
	combout => \led_flash_cnt[182][3]~29432_combout\,
	cout => \led_flash_cnt[182][3]~29433\);

-- Location: FF_X70_Y44_N5
\led_flash_cnt[182][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[182][3]~29432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[182][3]~q\);

-- Location: LCCOMB_X70_Y44_N6
\led_flash_cnt[182][4]~29434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[182][4]~29434_combout\ = (\led_flash_cnt[182][4]~q\ & (!\led_flash_cnt[182][3]~29433\)) # (!\led_flash_cnt[182][4]~q\ & ((\led_flash_cnt[182][3]~29433\) # (GND)))
-- \led_flash_cnt[182][4]~29435\ = CARRY((!\led_flash_cnt[182][3]~29433\) # (!\led_flash_cnt[182][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[182][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[182][3]~29433\,
	combout => \led_flash_cnt[182][4]~29434_combout\,
	cout => \led_flash_cnt[182][4]~29435\);

-- Location: FF_X70_Y44_N7
\led_flash_cnt[182][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[182][4]~29434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[182][4]~q\);

-- Location: LCCOMB_X70_Y44_N8
\led_flash_cnt[182][5]~29436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[182][5]~29436_combout\ = (\led_flash_cnt[182][5]~q\ & (\led_flash_cnt[182][4]~29435\ $ (GND))) # (!\led_flash_cnt[182][5]~q\ & (!\led_flash_cnt[182][4]~29435\ & VCC))
-- \led_flash_cnt[182][5]~29437\ = CARRY((\led_flash_cnt[182][5]~q\ & !\led_flash_cnt[182][4]~29435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[182][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[182][4]~29435\,
	combout => \led_flash_cnt[182][5]~29436_combout\,
	cout => \led_flash_cnt[182][5]~29437\);

-- Location: FF_X70_Y44_N9
\led_flash_cnt[182][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[182][5]~29436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[182][5]~q\);

-- Location: LCCOMB_X70_Y44_N10
\led_flash_cnt[182][6]~29438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[182][6]~29438_combout\ = (\led_flash_cnt[182][6]~q\ & (!\led_flash_cnt[182][5]~29437\)) # (!\led_flash_cnt[182][6]~q\ & ((\led_flash_cnt[182][5]~29437\) # (GND)))
-- \led_flash_cnt[182][6]~29439\ = CARRY((!\led_flash_cnt[182][5]~29437\) # (!\led_flash_cnt[182][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[182][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[182][5]~29437\,
	combout => \led_flash_cnt[182][6]~29438_combout\,
	cout => \led_flash_cnt[182][6]~29439\);

-- Location: FF_X70_Y44_N11
\led_flash_cnt[182][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[182][6]~29438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[182][6]~q\);

-- Location: LCCOMB_X70_Y44_N12
\led_flash_cnt[182][7]~29440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[182][7]~29440_combout\ = \led_flash_cnt[182][6]~29439\ $ (!\led_flash_cnt[182][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[182][7]~q\,
	cin => \led_flash_cnt[182][6]~29439\,
	combout => \led_flash_cnt[182][7]~29440_combout\);

-- Location: FF_X70_Y44_N13
\led_flash_cnt[182][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[182][7]~29440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[182][7]~q\);

-- Location: LCCOMB_X70_Y44_N24
\WideAnd182~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd182~0_combout\ = (\led_flash_cnt[182][4]~q\ & (\led_flash_cnt[182][1]~q\ & (\led_flash_cnt[182][3]~q\ & \led_flash_cnt[182][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[182][4]~q\,
	datab => \led_flash_cnt[182][1]~q\,
	datac => \led_flash_cnt[182][3]~q\,
	datad => \led_flash_cnt[182][2]~q\,
	combout => \WideAnd182~0_combout\);

-- Location: LCCOMB_X70_Y44_N20
\WideAnd182~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd182~1_combout\ = (\led_flash_cnt[182][5]~q\ & \led_flash_cnt[182][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[182][5]~q\,
	datad => \led_flash_cnt[182][6]~q\,
	combout => \WideAnd182~1_combout\);

-- Location: LCCOMB_X70_Y44_N28
WideAnd182 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd182~combout\ = (\led_flash_cnt[182][7]~q\ & (\WideAnd182~0_combout\ & (\led_flash_cnt[182][0]~q\ & \WideAnd182~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[182][7]~q\,
	datab => \WideAnd182~0_combout\,
	datac => \led_flash_cnt[182][0]~q\,
	datad => \WideAnd182~1_combout\,
	combout => \WideAnd182~combout\);

-- Location: FF_X70_Y44_N29
\led_flash_cnt_ands[182]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd182~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(182));

-- Location: LCCOMB_X69_Y28_N30
WideAnd3862 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3862~combout\ = (\WideAnd3862~1_combout\ & (led_flash_cnt_ands(183) & (\WideAnd3862~0_combout\ & led_flash_cnt_ands(182))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3862~1_combout\,
	datab => led_flash_cnt_ands(183),
	datac => \WideAnd3862~0_combout\,
	datad => led_flash_cnt_ands(182),
	combout => \WideAnd3862~combout\);

-- Location: FF_X69_Y28_N31
\led_flash_cnt_ands_1[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3862~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(22));

-- Location: LCCOMB_X47_Y53_N2
\led_flash_cnt[184][0]~80824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[184][0]~80824_combout\ = !\led_flash_cnt[184][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[184][0]~q\,
	combout => \led_flash_cnt[184][0]~80824_combout\);

-- Location: FF_X47_Y53_N3
\led_flash_cnt[184][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[184][0]~80824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[184][0]~q\);

-- Location: LCCOMB_X46_Y53_N16
\led_flash_cnt[184][1]~29456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[184][1]~29456_combout\ = (\led_flash_cnt[184][0]~q\ & (\led_flash_cnt[184][1]~q\ $ (VCC))) # (!\led_flash_cnt[184][0]~q\ & (\led_flash_cnt[184][1]~q\ & VCC))
-- \led_flash_cnt[184][1]~29457\ = CARRY((\led_flash_cnt[184][0]~q\ & \led_flash_cnt[184][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[184][0]~q\,
	datab => \led_flash_cnt[184][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[184][1]~29456_combout\,
	cout => \led_flash_cnt[184][1]~29457\);

-- Location: FF_X46_Y53_N17
\led_flash_cnt[184][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[184][1]~29456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[184][1]~q\);

-- Location: LCCOMB_X46_Y53_N18
\led_flash_cnt[184][2]~29458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[184][2]~29458_combout\ = (\led_flash_cnt[184][2]~q\ & (!\led_flash_cnt[184][1]~29457\)) # (!\led_flash_cnt[184][2]~q\ & ((\led_flash_cnt[184][1]~29457\) # (GND)))
-- \led_flash_cnt[184][2]~29459\ = CARRY((!\led_flash_cnt[184][1]~29457\) # (!\led_flash_cnt[184][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[184][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[184][1]~29457\,
	combout => \led_flash_cnt[184][2]~29458_combout\,
	cout => \led_flash_cnt[184][2]~29459\);

-- Location: FF_X46_Y53_N19
\led_flash_cnt[184][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[184][2]~29458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[184][2]~q\);

-- Location: LCCOMB_X46_Y53_N20
\led_flash_cnt[184][3]~29460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[184][3]~29460_combout\ = (\led_flash_cnt[184][3]~q\ & (\led_flash_cnt[184][2]~29459\ $ (GND))) # (!\led_flash_cnt[184][3]~q\ & (!\led_flash_cnt[184][2]~29459\ & VCC))
-- \led_flash_cnt[184][3]~29461\ = CARRY((\led_flash_cnt[184][3]~q\ & !\led_flash_cnt[184][2]~29459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[184][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[184][2]~29459\,
	combout => \led_flash_cnt[184][3]~29460_combout\,
	cout => \led_flash_cnt[184][3]~29461\);

-- Location: FF_X46_Y53_N21
\led_flash_cnt[184][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[184][3]~29460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[184][3]~q\);

-- Location: LCCOMB_X46_Y53_N22
\led_flash_cnt[184][4]~29462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[184][4]~29462_combout\ = (\led_flash_cnt[184][4]~q\ & (!\led_flash_cnt[184][3]~29461\)) # (!\led_flash_cnt[184][4]~q\ & ((\led_flash_cnt[184][3]~29461\) # (GND)))
-- \led_flash_cnt[184][4]~29463\ = CARRY((!\led_flash_cnt[184][3]~29461\) # (!\led_flash_cnt[184][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[184][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[184][3]~29461\,
	combout => \led_flash_cnt[184][4]~29462_combout\,
	cout => \led_flash_cnt[184][4]~29463\);

-- Location: FF_X46_Y53_N23
\led_flash_cnt[184][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[184][4]~29462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[184][4]~q\);

-- Location: LCCOMB_X46_Y53_N24
\led_flash_cnt[184][5]~29464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[184][5]~29464_combout\ = (\led_flash_cnt[184][5]~q\ & (\led_flash_cnt[184][4]~29463\ $ (GND))) # (!\led_flash_cnt[184][5]~q\ & (!\led_flash_cnt[184][4]~29463\ & VCC))
-- \led_flash_cnt[184][5]~29465\ = CARRY((\led_flash_cnt[184][5]~q\ & !\led_flash_cnt[184][4]~29463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[184][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[184][4]~29463\,
	combout => \led_flash_cnt[184][5]~29464_combout\,
	cout => \led_flash_cnt[184][5]~29465\);

-- Location: FF_X46_Y53_N25
\led_flash_cnt[184][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[184][5]~29464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[184][5]~q\);

-- Location: LCCOMB_X46_Y53_N26
\led_flash_cnt[184][6]~29466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[184][6]~29466_combout\ = (\led_flash_cnt[184][6]~q\ & (!\led_flash_cnt[184][5]~29465\)) # (!\led_flash_cnt[184][6]~q\ & ((\led_flash_cnt[184][5]~29465\) # (GND)))
-- \led_flash_cnt[184][6]~29467\ = CARRY((!\led_flash_cnt[184][5]~29465\) # (!\led_flash_cnt[184][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[184][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[184][5]~29465\,
	combout => \led_flash_cnt[184][6]~29466_combout\,
	cout => \led_flash_cnt[184][6]~29467\);

-- Location: FF_X46_Y53_N27
\led_flash_cnt[184][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[184][6]~29466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[184][6]~q\);

-- Location: LCCOMB_X47_Y53_N30
\WideAnd184~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd184~1_combout\ = (\led_flash_cnt[184][6]~q\ & \led_flash_cnt[184][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[184][6]~q\,
	datad => \led_flash_cnt[184][5]~q\,
	combout => \WideAnd184~1_combout\);

-- Location: LCCOMB_X46_Y53_N28
\led_flash_cnt[184][7]~29468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[184][7]~29468_combout\ = \led_flash_cnt[184][6]~29467\ $ (!\led_flash_cnt[184][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[184][7]~q\,
	cin => \led_flash_cnt[184][6]~29467\,
	combout => \led_flash_cnt[184][7]~29468_combout\);

-- Location: FF_X46_Y53_N29
\led_flash_cnt[184][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[184][7]~29468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[184][7]~q\);

-- Location: LCCOMB_X46_Y53_N30
\WideAnd184~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd184~0_combout\ = (\led_flash_cnt[184][3]~q\ & (\led_flash_cnt[184][2]~q\ & (\led_flash_cnt[184][4]~q\ & \led_flash_cnt[184][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[184][3]~q\,
	datab => \led_flash_cnt[184][2]~q\,
	datac => \led_flash_cnt[184][4]~q\,
	datad => \led_flash_cnt[184][1]~q\,
	combout => \WideAnd184~0_combout\);

-- Location: LCCOMB_X47_Y53_N26
WideAnd184 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd184~combout\ = (\WideAnd184~1_combout\ & (\led_flash_cnt[184][7]~q\ & (\led_flash_cnt[184][0]~q\ & \WideAnd184~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd184~1_combout\,
	datab => \led_flash_cnt[184][7]~q\,
	datac => \led_flash_cnt[184][0]~q\,
	datad => \WideAnd184~0_combout\,
	combout => \WideAnd184~combout\);

-- Location: FF_X47_Y53_N27
\led_flash_cnt_ands[184]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd184~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(184));

-- Location: LCCOMB_X66_Y49_N30
\led_flash_cnt[186][0]~80826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[186][0]~80826_combout\ = !\led_flash_cnt[186][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[186][0]~q\,
	combout => \led_flash_cnt[186][0]~80826_combout\);

-- Location: FF_X66_Y49_N31
\led_flash_cnt[186][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[186][0]~80826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[186][0]~q\);

-- Location: LCCOMB_X69_Y49_N18
\led_flash_cnt[186][1]~29484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[186][1]~29484_combout\ = (\led_flash_cnt[186][0]~q\ & (\led_flash_cnt[186][1]~q\ $ (VCC))) # (!\led_flash_cnt[186][0]~q\ & (\led_flash_cnt[186][1]~q\ & VCC))
-- \led_flash_cnt[186][1]~29485\ = CARRY((\led_flash_cnt[186][0]~q\ & \led_flash_cnt[186][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[186][0]~q\,
	datab => \led_flash_cnt[186][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[186][1]~29484_combout\,
	cout => \led_flash_cnt[186][1]~29485\);

-- Location: FF_X69_Y49_N19
\led_flash_cnt[186][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[186][1]~29484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[186][1]~q\);

-- Location: LCCOMB_X69_Y49_N20
\led_flash_cnt[186][2]~29486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[186][2]~29486_combout\ = (\led_flash_cnt[186][2]~q\ & (!\led_flash_cnt[186][1]~29485\)) # (!\led_flash_cnt[186][2]~q\ & ((\led_flash_cnt[186][1]~29485\) # (GND)))
-- \led_flash_cnt[186][2]~29487\ = CARRY((!\led_flash_cnt[186][1]~29485\) # (!\led_flash_cnt[186][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[186][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[186][1]~29485\,
	combout => \led_flash_cnt[186][2]~29486_combout\,
	cout => \led_flash_cnt[186][2]~29487\);

-- Location: FF_X69_Y49_N21
\led_flash_cnt[186][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[186][2]~29486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[186][2]~q\);

-- Location: LCCOMB_X69_Y49_N22
\led_flash_cnt[186][3]~29488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[186][3]~29488_combout\ = (\led_flash_cnt[186][3]~q\ & (\led_flash_cnt[186][2]~29487\ $ (GND))) # (!\led_flash_cnt[186][3]~q\ & (!\led_flash_cnt[186][2]~29487\ & VCC))
-- \led_flash_cnt[186][3]~29489\ = CARRY((\led_flash_cnt[186][3]~q\ & !\led_flash_cnt[186][2]~29487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[186][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[186][2]~29487\,
	combout => \led_flash_cnt[186][3]~29488_combout\,
	cout => \led_flash_cnt[186][3]~29489\);

-- Location: FF_X69_Y49_N23
\led_flash_cnt[186][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[186][3]~29488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[186][3]~q\);

-- Location: LCCOMB_X69_Y49_N24
\led_flash_cnt[186][4]~29490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[186][4]~29490_combout\ = (\led_flash_cnt[186][4]~q\ & (!\led_flash_cnt[186][3]~29489\)) # (!\led_flash_cnt[186][4]~q\ & ((\led_flash_cnt[186][3]~29489\) # (GND)))
-- \led_flash_cnt[186][4]~29491\ = CARRY((!\led_flash_cnt[186][3]~29489\) # (!\led_flash_cnt[186][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[186][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[186][3]~29489\,
	combout => \led_flash_cnt[186][4]~29490_combout\,
	cout => \led_flash_cnt[186][4]~29491\);

-- Location: FF_X69_Y49_N25
\led_flash_cnt[186][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[186][4]~29490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[186][4]~q\);

-- Location: LCCOMB_X69_Y49_N26
\led_flash_cnt[186][5]~29492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[186][5]~29492_combout\ = (\led_flash_cnt[186][5]~q\ & (\led_flash_cnt[186][4]~29491\ $ (GND))) # (!\led_flash_cnt[186][5]~q\ & (!\led_flash_cnt[186][4]~29491\ & VCC))
-- \led_flash_cnt[186][5]~29493\ = CARRY((\led_flash_cnt[186][5]~q\ & !\led_flash_cnt[186][4]~29491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[186][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[186][4]~29491\,
	combout => \led_flash_cnt[186][5]~29492_combout\,
	cout => \led_flash_cnt[186][5]~29493\);

-- Location: FF_X69_Y49_N27
\led_flash_cnt[186][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[186][5]~29492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[186][5]~q\);

-- Location: LCCOMB_X69_Y49_N28
\led_flash_cnt[186][6]~29494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[186][6]~29494_combout\ = (\led_flash_cnt[186][6]~q\ & (!\led_flash_cnt[186][5]~29493\)) # (!\led_flash_cnt[186][6]~q\ & ((\led_flash_cnt[186][5]~29493\) # (GND)))
-- \led_flash_cnt[186][6]~29495\ = CARRY((!\led_flash_cnt[186][5]~29493\) # (!\led_flash_cnt[186][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[186][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[186][5]~29493\,
	combout => \led_flash_cnt[186][6]~29494_combout\,
	cout => \led_flash_cnt[186][6]~29495\);

-- Location: FF_X69_Y49_N29
\led_flash_cnt[186][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[186][6]~29494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[186][6]~q\);

-- Location: LCCOMB_X69_Y49_N30
\led_flash_cnt[186][7]~29496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[186][7]~29496_combout\ = \led_flash_cnt[186][7]~q\ $ (!\led_flash_cnt[186][6]~29495\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[186][7]~q\,
	cin => \led_flash_cnt[186][6]~29495\,
	combout => \led_flash_cnt[186][7]~29496_combout\);

-- Location: FF_X69_Y49_N31
\led_flash_cnt[186][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[186][7]~29496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[186][7]~q\);

-- Location: LCCOMB_X69_Y49_N2
\WideAnd186~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd186~0_combout\ = (\led_flash_cnt[186][4]~q\ & (\led_flash_cnt[186][2]~q\ & (\led_flash_cnt[186][3]~q\ & \led_flash_cnt[186][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[186][4]~q\,
	datab => \led_flash_cnt[186][2]~q\,
	datac => \led_flash_cnt[186][3]~q\,
	datad => \led_flash_cnt[186][1]~q\,
	combout => \WideAnd186~0_combout\);

-- Location: LCCOMB_X66_Y49_N4
\WideAnd186~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd186~1_combout\ = (\led_flash_cnt[186][6]~q\ & \led_flash_cnt[186][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[186][6]~q\,
	datac => \led_flash_cnt[186][5]~q\,
	combout => \WideAnd186~1_combout\);

-- Location: LCCOMB_X66_Y49_N28
WideAnd186 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd186~combout\ = (\led_flash_cnt[186][7]~q\ & (\WideAnd186~0_combout\ & (\WideAnd186~1_combout\ & \led_flash_cnt[186][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[186][7]~q\,
	datab => \WideAnd186~0_combout\,
	datac => \WideAnd186~1_combout\,
	datad => \led_flash_cnt[186][0]~q\,
	combout => \WideAnd186~combout\);

-- Location: FF_X66_Y49_N29
\led_flash_cnt_ands[186]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd186~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(186));

-- Location: LCCOMB_X62_Y50_N16
\led_flash_cnt[187][0]~80827\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[187][0]~80827_combout\ = !\led_flash_cnt[187][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[187][0]~q\,
	combout => \led_flash_cnt[187][0]~80827_combout\);

-- Location: FF_X62_Y50_N17
\led_flash_cnt[187][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[187][0]~80827_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[187][0]~q\);

-- Location: LCCOMB_X61_Y50_N4
\led_flash_cnt[187][1]~29498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[187][1]~29498_combout\ = (\led_flash_cnt[187][0]~q\ & (\led_flash_cnt[187][1]~q\ $ (VCC))) # (!\led_flash_cnt[187][0]~q\ & (\led_flash_cnt[187][1]~q\ & VCC))
-- \led_flash_cnt[187][1]~29499\ = CARRY((\led_flash_cnt[187][0]~q\ & \led_flash_cnt[187][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[187][0]~q\,
	datab => \led_flash_cnt[187][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[187][1]~29498_combout\,
	cout => \led_flash_cnt[187][1]~29499\);

-- Location: FF_X61_Y50_N5
\led_flash_cnt[187][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[187][1]~29498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[187][1]~q\);

-- Location: LCCOMB_X61_Y50_N6
\led_flash_cnt[187][2]~29500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[187][2]~29500_combout\ = (\led_flash_cnt[187][2]~q\ & (!\led_flash_cnt[187][1]~29499\)) # (!\led_flash_cnt[187][2]~q\ & ((\led_flash_cnt[187][1]~29499\) # (GND)))
-- \led_flash_cnt[187][2]~29501\ = CARRY((!\led_flash_cnt[187][1]~29499\) # (!\led_flash_cnt[187][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[187][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[187][1]~29499\,
	combout => \led_flash_cnt[187][2]~29500_combout\,
	cout => \led_flash_cnt[187][2]~29501\);

-- Location: FF_X61_Y50_N7
\led_flash_cnt[187][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[187][2]~29500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[187][2]~q\);

-- Location: LCCOMB_X61_Y50_N8
\led_flash_cnt[187][3]~29502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[187][3]~29502_combout\ = (\led_flash_cnt[187][3]~q\ & (\led_flash_cnt[187][2]~29501\ $ (GND))) # (!\led_flash_cnt[187][3]~q\ & (!\led_flash_cnt[187][2]~29501\ & VCC))
-- \led_flash_cnt[187][3]~29503\ = CARRY((\led_flash_cnt[187][3]~q\ & !\led_flash_cnt[187][2]~29501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[187][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[187][2]~29501\,
	combout => \led_flash_cnt[187][3]~29502_combout\,
	cout => \led_flash_cnt[187][3]~29503\);

-- Location: FF_X61_Y50_N9
\led_flash_cnt[187][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[187][3]~29502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[187][3]~q\);

-- Location: LCCOMB_X61_Y50_N10
\led_flash_cnt[187][4]~29504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[187][4]~29504_combout\ = (\led_flash_cnt[187][4]~q\ & (!\led_flash_cnt[187][3]~29503\)) # (!\led_flash_cnt[187][4]~q\ & ((\led_flash_cnt[187][3]~29503\) # (GND)))
-- \led_flash_cnt[187][4]~29505\ = CARRY((!\led_flash_cnt[187][3]~29503\) # (!\led_flash_cnt[187][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[187][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[187][3]~29503\,
	combout => \led_flash_cnt[187][4]~29504_combout\,
	cout => \led_flash_cnt[187][4]~29505\);

-- Location: FF_X61_Y50_N11
\led_flash_cnt[187][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[187][4]~29504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[187][4]~q\);

-- Location: LCCOMB_X61_Y50_N0
\WideAnd187~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd187~0_combout\ = (\led_flash_cnt[187][4]~q\ & (\led_flash_cnt[187][3]~q\ & (\led_flash_cnt[187][1]~q\ & \led_flash_cnt[187][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[187][4]~q\,
	datab => \led_flash_cnt[187][3]~q\,
	datac => \led_flash_cnt[187][1]~q\,
	datad => \led_flash_cnt[187][2]~q\,
	combout => \WideAnd187~0_combout\);

-- Location: LCCOMB_X61_Y50_N12
\led_flash_cnt[187][5]~29506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[187][5]~29506_combout\ = (\led_flash_cnt[187][5]~q\ & (\led_flash_cnt[187][4]~29505\ $ (GND))) # (!\led_flash_cnt[187][5]~q\ & (!\led_flash_cnt[187][4]~29505\ & VCC))
-- \led_flash_cnt[187][5]~29507\ = CARRY((\led_flash_cnt[187][5]~q\ & !\led_flash_cnt[187][4]~29505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[187][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[187][4]~29505\,
	combout => \led_flash_cnt[187][5]~29506_combout\,
	cout => \led_flash_cnt[187][5]~29507\);

-- Location: FF_X61_Y50_N13
\led_flash_cnt[187][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[187][5]~29506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[187][5]~q\);

-- Location: LCCOMB_X61_Y50_N14
\led_flash_cnt[187][6]~29508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[187][6]~29508_combout\ = (\led_flash_cnt[187][6]~q\ & (!\led_flash_cnt[187][5]~29507\)) # (!\led_flash_cnt[187][6]~q\ & ((\led_flash_cnt[187][5]~29507\) # (GND)))
-- \led_flash_cnt[187][6]~29509\ = CARRY((!\led_flash_cnt[187][5]~29507\) # (!\led_flash_cnt[187][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[187][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[187][5]~29507\,
	combout => \led_flash_cnt[187][6]~29508_combout\,
	cout => \led_flash_cnt[187][6]~29509\);

-- Location: FF_X61_Y50_N15
\led_flash_cnt[187][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[187][6]~29508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[187][6]~q\);

-- Location: LCCOMB_X62_Y50_N4
\WideAnd187~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd187~1_combout\ = (\led_flash_cnt[187][6]~q\ & \led_flash_cnt[187][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[187][6]~q\,
	datad => \led_flash_cnt[187][5]~q\,
	combout => \WideAnd187~1_combout\);

-- Location: LCCOMB_X61_Y50_N16
\led_flash_cnt[187][7]~29510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[187][7]~29510_combout\ = \led_flash_cnt[187][6]~29509\ $ (!\led_flash_cnt[187][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[187][7]~q\,
	cin => \led_flash_cnt[187][6]~29509\,
	combout => \led_flash_cnt[187][7]~29510_combout\);

-- Location: FF_X61_Y50_N17
\led_flash_cnt[187][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[187][7]~29510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[187][7]~q\);

-- Location: LCCOMB_X62_Y50_N0
WideAnd187 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd187~combout\ = (\WideAnd187~0_combout\ & (\WideAnd187~1_combout\ & (\led_flash_cnt[187][7]~q\ & \led_flash_cnt[187][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd187~0_combout\,
	datab => \WideAnd187~1_combout\,
	datac => \led_flash_cnt[187][7]~q\,
	datad => \led_flash_cnt[187][0]~q\,
	combout => \WideAnd187~combout\);

-- Location: FF_X62_Y50_N1
\led_flash_cnt_ands[187]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd187~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(187));

-- Location: LCCOMB_X66_Y52_N28
\led_flash_cnt[185][0]~80825\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[185][0]~80825_combout\ = !\led_flash_cnt[185][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[185][0]~q\,
	combout => \led_flash_cnt[185][0]~80825_combout\);

-- Location: FF_X66_Y52_N29
\led_flash_cnt[185][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[185][0]~80825_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[185][0]~q\);

-- Location: LCCOMB_X69_Y52_N14
\led_flash_cnt[185][1]~29470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[185][1]~29470_combout\ = (\led_flash_cnt[185][0]~q\ & (\led_flash_cnt[185][1]~q\ $ (VCC))) # (!\led_flash_cnt[185][0]~q\ & (\led_flash_cnt[185][1]~q\ & VCC))
-- \led_flash_cnt[185][1]~29471\ = CARRY((\led_flash_cnt[185][0]~q\ & \led_flash_cnt[185][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[185][0]~q\,
	datab => \led_flash_cnt[185][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[185][1]~29470_combout\,
	cout => \led_flash_cnt[185][1]~29471\);

-- Location: FF_X69_Y52_N15
\led_flash_cnt[185][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[185][1]~29470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[185][1]~q\);

-- Location: LCCOMB_X69_Y52_N16
\led_flash_cnt[185][2]~29472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[185][2]~29472_combout\ = (\led_flash_cnt[185][2]~q\ & (!\led_flash_cnt[185][1]~29471\)) # (!\led_flash_cnt[185][2]~q\ & ((\led_flash_cnt[185][1]~29471\) # (GND)))
-- \led_flash_cnt[185][2]~29473\ = CARRY((!\led_flash_cnt[185][1]~29471\) # (!\led_flash_cnt[185][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[185][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[185][1]~29471\,
	combout => \led_flash_cnt[185][2]~29472_combout\,
	cout => \led_flash_cnt[185][2]~29473\);

-- Location: FF_X69_Y52_N17
\led_flash_cnt[185][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[185][2]~29472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[185][2]~q\);

-- Location: LCCOMB_X69_Y52_N18
\led_flash_cnt[185][3]~29474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[185][3]~29474_combout\ = (\led_flash_cnt[185][3]~q\ & (\led_flash_cnt[185][2]~29473\ $ (GND))) # (!\led_flash_cnt[185][3]~q\ & (!\led_flash_cnt[185][2]~29473\ & VCC))
-- \led_flash_cnt[185][3]~29475\ = CARRY((\led_flash_cnt[185][3]~q\ & !\led_flash_cnt[185][2]~29473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[185][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[185][2]~29473\,
	combout => \led_flash_cnt[185][3]~29474_combout\,
	cout => \led_flash_cnt[185][3]~29475\);

-- Location: FF_X69_Y52_N19
\led_flash_cnt[185][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[185][3]~29474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[185][3]~q\);

-- Location: LCCOMB_X69_Y52_N20
\led_flash_cnt[185][4]~29476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[185][4]~29476_combout\ = (\led_flash_cnt[185][4]~q\ & (!\led_flash_cnt[185][3]~29475\)) # (!\led_flash_cnt[185][4]~q\ & ((\led_flash_cnt[185][3]~29475\) # (GND)))
-- \led_flash_cnt[185][4]~29477\ = CARRY((!\led_flash_cnt[185][3]~29475\) # (!\led_flash_cnt[185][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[185][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[185][3]~29475\,
	combout => \led_flash_cnt[185][4]~29476_combout\,
	cout => \led_flash_cnt[185][4]~29477\);

-- Location: FF_X69_Y52_N21
\led_flash_cnt[185][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[185][4]~29476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[185][4]~q\);

-- Location: LCCOMB_X69_Y52_N22
\led_flash_cnt[185][5]~29478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[185][5]~29478_combout\ = (\led_flash_cnt[185][5]~q\ & (\led_flash_cnt[185][4]~29477\ $ (GND))) # (!\led_flash_cnt[185][5]~q\ & (!\led_flash_cnt[185][4]~29477\ & VCC))
-- \led_flash_cnt[185][5]~29479\ = CARRY((\led_flash_cnt[185][5]~q\ & !\led_flash_cnt[185][4]~29477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[185][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[185][4]~29477\,
	combout => \led_flash_cnt[185][5]~29478_combout\,
	cout => \led_flash_cnt[185][5]~29479\);

-- Location: FF_X69_Y52_N23
\led_flash_cnt[185][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[185][5]~29478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[185][5]~q\);

-- Location: LCCOMB_X69_Y52_N24
\led_flash_cnt[185][6]~29480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[185][6]~29480_combout\ = (\led_flash_cnt[185][6]~q\ & (!\led_flash_cnt[185][5]~29479\)) # (!\led_flash_cnt[185][6]~q\ & ((\led_flash_cnt[185][5]~29479\) # (GND)))
-- \led_flash_cnt[185][6]~29481\ = CARRY((!\led_flash_cnt[185][5]~29479\) # (!\led_flash_cnt[185][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[185][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[185][5]~29479\,
	combout => \led_flash_cnt[185][6]~29480_combout\,
	cout => \led_flash_cnt[185][6]~29481\);

-- Location: FF_X69_Y52_N25
\led_flash_cnt[185][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[185][6]~29480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[185][6]~q\);

-- Location: LCCOMB_X69_Y52_N26
\led_flash_cnt[185][7]~29482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[185][7]~29482_combout\ = \led_flash_cnt[185][7]~q\ $ (!\led_flash_cnt[185][6]~29481\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[185][7]~q\,
	cin => \led_flash_cnt[185][6]~29481\,
	combout => \led_flash_cnt[185][7]~29482_combout\);

-- Location: FF_X69_Y52_N27
\led_flash_cnt[185][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[185][7]~29482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[185][7]~q\);

-- Location: LCCOMB_X69_Y52_N30
\WideAnd185~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd185~0_combout\ = (\led_flash_cnt[185][2]~q\ & (\led_flash_cnt[185][4]~q\ & (\led_flash_cnt[185][1]~q\ & \led_flash_cnt[185][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[185][2]~q\,
	datab => \led_flash_cnt[185][4]~q\,
	datac => \led_flash_cnt[185][1]~q\,
	datad => \led_flash_cnt[185][3]~q\,
	combout => \WideAnd185~0_combout\);

-- Location: LCCOMB_X66_Y52_N10
\WideAnd185~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd185~1_combout\ = (\led_flash_cnt[185][0]~q\ & \led_flash_cnt[185][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[185][0]~q\,
	datad => \led_flash_cnt[185][5]~q\,
	combout => \WideAnd185~1_combout\);

-- Location: LCCOMB_X66_Y52_N0
WideAnd185 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd185~combout\ = (\led_flash_cnt[185][6]~q\ & (\led_flash_cnt[185][7]~q\ & (\WideAnd185~0_combout\ & \WideAnd185~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[185][6]~q\,
	datab => \led_flash_cnt[185][7]~q\,
	datac => \WideAnd185~0_combout\,
	datad => \WideAnd185~1_combout\,
	combout => \WideAnd185~combout\);

-- Location: FF_X66_Y52_N1
\led_flash_cnt_ands[185]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd185~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(185));

-- Location: LCCOMB_X62_Y53_N20
\WideAnd3863~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3863~0_combout\ = (led_flash_cnt_ands(184) & (led_flash_cnt_ands(186) & (led_flash_cnt_ands(187) & led_flash_cnt_ands(185))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(184),
	datab => led_flash_cnt_ands(186),
	datac => led_flash_cnt_ands(187),
	datad => led_flash_cnt_ands(185),
	combout => \WideAnd3863~0_combout\);

-- Location: LCCOMB_X62_Y49_N4
\led_flash_cnt[191][0]~80831\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[191][0]~80831_combout\ = !\led_flash_cnt[191][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[191][0]~q\,
	combout => \led_flash_cnt[191][0]~80831_combout\);

-- Location: FF_X62_Y49_N5
\led_flash_cnt[191][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[191][0]~80831_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[191][0]~q\);

-- Location: LCCOMB_X61_Y49_N18
\led_flash_cnt[191][1]~29554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[191][1]~29554_combout\ = (\led_flash_cnt[191][0]~q\ & (\led_flash_cnt[191][1]~q\ $ (VCC))) # (!\led_flash_cnt[191][0]~q\ & (\led_flash_cnt[191][1]~q\ & VCC))
-- \led_flash_cnt[191][1]~29555\ = CARRY((\led_flash_cnt[191][0]~q\ & \led_flash_cnt[191][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[191][0]~q\,
	datab => \led_flash_cnt[191][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[191][1]~29554_combout\,
	cout => \led_flash_cnt[191][1]~29555\);

-- Location: FF_X61_Y49_N19
\led_flash_cnt[191][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[191][1]~29554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[191][1]~q\);

-- Location: LCCOMB_X61_Y49_N20
\led_flash_cnt[191][2]~29556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[191][2]~29556_combout\ = (\led_flash_cnt[191][2]~q\ & (!\led_flash_cnt[191][1]~29555\)) # (!\led_flash_cnt[191][2]~q\ & ((\led_flash_cnt[191][1]~29555\) # (GND)))
-- \led_flash_cnt[191][2]~29557\ = CARRY((!\led_flash_cnt[191][1]~29555\) # (!\led_flash_cnt[191][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[191][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[191][1]~29555\,
	combout => \led_flash_cnt[191][2]~29556_combout\,
	cout => \led_flash_cnt[191][2]~29557\);

-- Location: FF_X61_Y49_N21
\led_flash_cnt[191][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[191][2]~29556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[191][2]~q\);

-- Location: LCCOMB_X61_Y49_N22
\led_flash_cnt[191][3]~29558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[191][3]~29558_combout\ = (\led_flash_cnt[191][3]~q\ & (\led_flash_cnt[191][2]~29557\ $ (GND))) # (!\led_flash_cnt[191][3]~q\ & (!\led_flash_cnt[191][2]~29557\ & VCC))
-- \led_flash_cnt[191][3]~29559\ = CARRY((\led_flash_cnt[191][3]~q\ & !\led_flash_cnt[191][2]~29557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[191][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[191][2]~29557\,
	combout => \led_flash_cnt[191][3]~29558_combout\,
	cout => \led_flash_cnt[191][3]~29559\);

-- Location: FF_X61_Y49_N23
\led_flash_cnt[191][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[191][3]~29558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[191][3]~q\);

-- Location: LCCOMB_X61_Y49_N24
\led_flash_cnt[191][4]~29560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[191][4]~29560_combout\ = (\led_flash_cnt[191][4]~q\ & (!\led_flash_cnt[191][3]~29559\)) # (!\led_flash_cnt[191][4]~q\ & ((\led_flash_cnt[191][3]~29559\) # (GND)))
-- \led_flash_cnt[191][4]~29561\ = CARRY((!\led_flash_cnt[191][3]~29559\) # (!\led_flash_cnt[191][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[191][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[191][3]~29559\,
	combout => \led_flash_cnt[191][4]~29560_combout\,
	cout => \led_flash_cnt[191][4]~29561\);

-- Location: FF_X61_Y49_N25
\led_flash_cnt[191][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[191][4]~29560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[191][4]~q\);

-- Location: LCCOMB_X62_Y49_N10
\WideAnd191~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd191~0_combout\ = (\led_flash_cnt[191][2]~q\ & (\led_flash_cnt[191][3]~q\ & (\led_flash_cnt[191][4]~q\ & \led_flash_cnt[191][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[191][2]~q\,
	datab => \led_flash_cnt[191][3]~q\,
	datac => \led_flash_cnt[191][4]~q\,
	datad => \led_flash_cnt[191][1]~q\,
	combout => \WideAnd191~0_combout\);

-- Location: LCCOMB_X61_Y49_N26
\led_flash_cnt[191][5]~29562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[191][5]~29562_combout\ = (\led_flash_cnt[191][5]~q\ & (\led_flash_cnt[191][4]~29561\ $ (GND))) # (!\led_flash_cnt[191][5]~q\ & (!\led_flash_cnt[191][4]~29561\ & VCC))
-- \led_flash_cnt[191][5]~29563\ = CARRY((\led_flash_cnt[191][5]~q\ & !\led_flash_cnt[191][4]~29561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[191][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[191][4]~29561\,
	combout => \led_flash_cnt[191][5]~29562_combout\,
	cout => \led_flash_cnt[191][5]~29563\);

-- Location: FF_X61_Y49_N27
\led_flash_cnt[191][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[191][5]~29562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[191][5]~q\);

-- Location: LCCOMB_X61_Y49_N28
\led_flash_cnt[191][6]~29564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[191][6]~29564_combout\ = (\led_flash_cnt[191][6]~q\ & (!\led_flash_cnt[191][5]~29563\)) # (!\led_flash_cnt[191][6]~q\ & ((\led_flash_cnt[191][5]~29563\) # (GND)))
-- \led_flash_cnt[191][6]~29565\ = CARRY((!\led_flash_cnt[191][5]~29563\) # (!\led_flash_cnt[191][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[191][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[191][5]~29563\,
	combout => \led_flash_cnt[191][6]~29564_combout\,
	cout => \led_flash_cnt[191][6]~29565\);

-- Location: FF_X61_Y49_N29
\led_flash_cnt[191][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[191][6]~29564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[191][6]~q\);

-- Location: LCCOMB_X61_Y49_N30
\led_flash_cnt[191][7]~29566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[191][7]~29566_combout\ = \led_flash_cnt[191][7]~q\ $ (!\led_flash_cnt[191][6]~29565\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[191][7]~q\,
	cin => \led_flash_cnt[191][6]~29565\,
	combout => \led_flash_cnt[191][7]~29566_combout\);

-- Location: FF_X61_Y49_N31
\led_flash_cnt[191][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[191][7]~29566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[191][7]~q\);

-- Location: LCCOMB_X62_Y49_N2
\WideAnd191~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd191~1_combout\ = (\led_flash_cnt[191][5]~q\ & \led_flash_cnt[191][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[191][5]~q\,
	datad => \led_flash_cnt[191][6]~q\,
	combout => \WideAnd191~1_combout\);

-- Location: LCCOMB_X62_Y49_N8
WideAnd191 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd191~combout\ = (\WideAnd191~0_combout\ & (\led_flash_cnt[191][7]~q\ & (\led_flash_cnt[191][0]~q\ & \WideAnd191~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd191~0_combout\,
	datab => \led_flash_cnt[191][7]~q\,
	datac => \led_flash_cnt[191][0]~q\,
	datad => \WideAnd191~1_combout\,
	combout => \WideAnd191~combout\);

-- Location: FF_X62_Y49_N9
\led_flash_cnt_ands[191]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd191~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(191));

-- Location: LCCOMB_X60_Y37_N6
\led_flash_cnt[190][0]~80830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[190][0]~80830_combout\ = !\led_flash_cnt[190][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[190][0]~q\,
	combout => \led_flash_cnt[190][0]~80830_combout\);

-- Location: FF_X60_Y37_N7
\led_flash_cnt[190][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[190][0]~80830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[190][0]~q\);

-- Location: LCCOMB_X61_Y37_N0
\led_flash_cnt[190][1]~29540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[190][1]~29540_combout\ = (\led_flash_cnt[190][0]~q\ & (\led_flash_cnt[190][1]~q\ $ (VCC))) # (!\led_flash_cnt[190][0]~q\ & (\led_flash_cnt[190][1]~q\ & VCC))
-- \led_flash_cnt[190][1]~29541\ = CARRY((\led_flash_cnt[190][0]~q\ & \led_flash_cnt[190][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[190][0]~q\,
	datab => \led_flash_cnt[190][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[190][1]~29540_combout\,
	cout => \led_flash_cnt[190][1]~29541\);

-- Location: FF_X61_Y37_N1
\led_flash_cnt[190][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[190][1]~29540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[190][1]~q\);

-- Location: LCCOMB_X61_Y37_N2
\led_flash_cnt[190][2]~29542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[190][2]~29542_combout\ = (\led_flash_cnt[190][2]~q\ & (!\led_flash_cnt[190][1]~29541\)) # (!\led_flash_cnt[190][2]~q\ & ((\led_flash_cnt[190][1]~29541\) # (GND)))
-- \led_flash_cnt[190][2]~29543\ = CARRY((!\led_flash_cnt[190][1]~29541\) # (!\led_flash_cnt[190][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[190][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[190][1]~29541\,
	combout => \led_flash_cnt[190][2]~29542_combout\,
	cout => \led_flash_cnt[190][2]~29543\);

-- Location: FF_X61_Y37_N3
\led_flash_cnt[190][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[190][2]~29542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[190][2]~q\);

-- Location: LCCOMB_X61_Y37_N4
\led_flash_cnt[190][3]~29544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[190][3]~29544_combout\ = (\led_flash_cnt[190][3]~q\ & (\led_flash_cnt[190][2]~29543\ $ (GND))) # (!\led_flash_cnt[190][3]~q\ & (!\led_flash_cnt[190][2]~29543\ & VCC))
-- \led_flash_cnt[190][3]~29545\ = CARRY((\led_flash_cnt[190][3]~q\ & !\led_flash_cnt[190][2]~29543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[190][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[190][2]~29543\,
	combout => \led_flash_cnt[190][3]~29544_combout\,
	cout => \led_flash_cnt[190][3]~29545\);

-- Location: FF_X61_Y37_N5
\led_flash_cnt[190][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[190][3]~29544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[190][3]~q\);

-- Location: LCCOMB_X61_Y37_N6
\led_flash_cnt[190][4]~29546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[190][4]~29546_combout\ = (\led_flash_cnt[190][4]~q\ & (!\led_flash_cnt[190][3]~29545\)) # (!\led_flash_cnt[190][4]~q\ & ((\led_flash_cnt[190][3]~29545\) # (GND)))
-- \led_flash_cnt[190][4]~29547\ = CARRY((!\led_flash_cnt[190][3]~29545\) # (!\led_flash_cnt[190][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[190][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[190][3]~29545\,
	combout => \led_flash_cnt[190][4]~29546_combout\,
	cout => \led_flash_cnt[190][4]~29547\);

-- Location: FF_X61_Y37_N7
\led_flash_cnt[190][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[190][4]~29546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[190][4]~q\);

-- Location: LCCOMB_X61_Y37_N8
\led_flash_cnt[190][5]~29548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[190][5]~29548_combout\ = (\led_flash_cnt[190][5]~q\ & (\led_flash_cnt[190][4]~29547\ $ (GND))) # (!\led_flash_cnt[190][5]~q\ & (!\led_flash_cnt[190][4]~29547\ & VCC))
-- \led_flash_cnt[190][5]~29549\ = CARRY((\led_flash_cnt[190][5]~q\ & !\led_flash_cnt[190][4]~29547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[190][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[190][4]~29547\,
	combout => \led_flash_cnt[190][5]~29548_combout\,
	cout => \led_flash_cnt[190][5]~29549\);

-- Location: FF_X61_Y37_N9
\led_flash_cnt[190][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[190][5]~29548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[190][5]~q\);

-- Location: LCCOMB_X61_Y37_N10
\led_flash_cnt[190][6]~29550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[190][6]~29550_combout\ = (\led_flash_cnt[190][6]~q\ & (!\led_flash_cnt[190][5]~29549\)) # (!\led_flash_cnt[190][6]~q\ & ((\led_flash_cnt[190][5]~29549\) # (GND)))
-- \led_flash_cnt[190][6]~29551\ = CARRY((!\led_flash_cnt[190][5]~29549\) # (!\led_flash_cnt[190][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[190][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[190][5]~29549\,
	combout => \led_flash_cnt[190][6]~29550_combout\,
	cout => \led_flash_cnt[190][6]~29551\);

-- Location: FF_X61_Y37_N11
\led_flash_cnt[190][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[190][6]~29550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[190][6]~q\);

-- Location: LCCOMB_X60_Y37_N24
\WideAnd190~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd190~1_combout\ = (\led_flash_cnt[190][5]~q\ & \led_flash_cnt[190][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[190][5]~q\,
	datac => \led_flash_cnt[190][6]~q\,
	combout => \WideAnd190~1_combout\);

-- Location: LCCOMB_X61_Y37_N12
\led_flash_cnt[190][7]~29552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[190][7]~29552_combout\ = \led_flash_cnt[190][6]~29551\ $ (!\led_flash_cnt[190][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[190][7]~q\,
	cin => \led_flash_cnt[190][6]~29551\,
	combout => \led_flash_cnt[190][7]~29552_combout\);

-- Location: FF_X61_Y37_N13
\led_flash_cnt[190][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[190][7]~29552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[190][7]~q\);

-- Location: LCCOMB_X61_Y37_N16
\WideAnd190~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd190~0_combout\ = (\led_flash_cnt[190][4]~q\ & (\led_flash_cnt[190][1]~q\ & (\led_flash_cnt[190][3]~q\ & \led_flash_cnt[190][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[190][4]~q\,
	datab => \led_flash_cnt[190][1]~q\,
	datac => \led_flash_cnt[190][3]~q\,
	datad => \led_flash_cnt[190][2]~q\,
	combout => \WideAnd190~0_combout\);

-- Location: LCCOMB_X60_Y37_N26
WideAnd190 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd190~combout\ = (\led_flash_cnt[190][0]~q\ & (\WideAnd190~1_combout\ & (\led_flash_cnt[190][7]~q\ & \WideAnd190~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[190][0]~q\,
	datab => \WideAnd190~1_combout\,
	datac => \led_flash_cnt[190][7]~q\,
	datad => \WideAnd190~0_combout\,
	combout => \WideAnd190~combout\);

-- Location: FF_X60_Y37_N27
\led_flash_cnt_ands[190]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd190~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(190));

-- Location: LCCOMB_X66_Y47_N0
\led_flash_cnt[188][0]~80828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[188][0]~80828_combout\ = !\led_flash_cnt[188][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[188][0]~q\,
	combout => \led_flash_cnt[188][0]~80828_combout\);

-- Location: FF_X66_Y47_N1
\led_flash_cnt[188][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[188][0]~80828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[188][0]~q\);

-- Location: LCCOMB_X69_Y47_N0
\led_flash_cnt[188][1]~29512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[188][1]~29512_combout\ = (\led_flash_cnt[188][0]~q\ & (\led_flash_cnt[188][1]~q\ $ (VCC))) # (!\led_flash_cnt[188][0]~q\ & (\led_flash_cnt[188][1]~q\ & VCC))
-- \led_flash_cnt[188][1]~29513\ = CARRY((\led_flash_cnt[188][0]~q\ & \led_flash_cnt[188][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[188][0]~q\,
	datab => \led_flash_cnt[188][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[188][1]~29512_combout\,
	cout => \led_flash_cnt[188][1]~29513\);

-- Location: FF_X69_Y47_N1
\led_flash_cnt[188][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[188][1]~29512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[188][1]~q\);

-- Location: LCCOMB_X69_Y47_N2
\led_flash_cnt[188][2]~29514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[188][2]~29514_combout\ = (\led_flash_cnt[188][2]~q\ & (!\led_flash_cnt[188][1]~29513\)) # (!\led_flash_cnt[188][2]~q\ & ((\led_flash_cnt[188][1]~29513\) # (GND)))
-- \led_flash_cnt[188][2]~29515\ = CARRY((!\led_flash_cnt[188][1]~29513\) # (!\led_flash_cnt[188][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[188][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[188][1]~29513\,
	combout => \led_flash_cnt[188][2]~29514_combout\,
	cout => \led_flash_cnt[188][2]~29515\);

-- Location: FF_X69_Y47_N3
\led_flash_cnt[188][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[188][2]~29514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[188][2]~q\);

-- Location: LCCOMB_X69_Y47_N4
\led_flash_cnt[188][3]~29516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[188][3]~29516_combout\ = (\led_flash_cnt[188][3]~q\ & (\led_flash_cnt[188][2]~29515\ $ (GND))) # (!\led_flash_cnt[188][3]~q\ & (!\led_flash_cnt[188][2]~29515\ & VCC))
-- \led_flash_cnt[188][3]~29517\ = CARRY((\led_flash_cnt[188][3]~q\ & !\led_flash_cnt[188][2]~29515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[188][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[188][2]~29515\,
	combout => \led_flash_cnt[188][3]~29516_combout\,
	cout => \led_flash_cnt[188][3]~29517\);

-- Location: FF_X69_Y47_N5
\led_flash_cnt[188][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[188][3]~29516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[188][3]~q\);

-- Location: LCCOMB_X69_Y47_N6
\led_flash_cnt[188][4]~29518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[188][4]~29518_combout\ = (\led_flash_cnt[188][4]~q\ & (!\led_flash_cnt[188][3]~29517\)) # (!\led_flash_cnt[188][4]~q\ & ((\led_flash_cnt[188][3]~29517\) # (GND)))
-- \led_flash_cnt[188][4]~29519\ = CARRY((!\led_flash_cnt[188][3]~29517\) # (!\led_flash_cnt[188][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[188][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[188][3]~29517\,
	combout => \led_flash_cnt[188][4]~29518_combout\,
	cout => \led_flash_cnt[188][4]~29519\);

-- Location: FF_X69_Y47_N7
\led_flash_cnt[188][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[188][4]~29518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[188][4]~q\);

-- Location: LCCOMB_X69_Y47_N8
\led_flash_cnt[188][5]~29520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[188][5]~29520_combout\ = (\led_flash_cnt[188][5]~q\ & (\led_flash_cnt[188][4]~29519\ $ (GND))) # (!\led_flash_cnt[188][5]~q\ & (!\led_flash_cnt[188][4]~29519\ & VCC))
-- \led_flash_cnt[188][5]~29521\ = CARRY((\led_flash_cnt[188][5]~q\ & !\led_flash_cnt[188][4]~29519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[188][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[188][4]~29519\,
	combout => \led_flash_cnt[188][5]~29520_combout\,
	cout => \led_flash_cnt[188][5]~29521\);

-- Location: FF_X69_Y47_N9
\led_flash_cnt[188][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[188][5]~29520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[188][5]~q\);

-- Location: LCCOMB_X69_Y47_N10
\led_flash_cnt[188][6]~29522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[188][6]~29522_combout\ = (\led_flash_cnt[188][6]~q\ & (!\led_flash_cnt[188][5]~29521\)) # (!\led_flash_cnt[188][6]~q\ & ((\led_flash_cnt[188][5]~29521\) # (GND)))
-- \led_flash_cnt[188][6]~29523\ = CARRY((!\led_flash_cnt[188][5]~29521\) # (!\led_flash_cnt[188][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[188][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[188][5]~29521\,
	combout => \led_flash_cnt[188][6]~29522_combout\,
	cout => \led_flash_cnt[188][6]~29523\);

-- Location: FF_X69_Y47_N11
\led_flash_cnt[188][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[188][6]~29522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[188][6]~q\);

-- Location: LCCOMB_X69_Y47_N12
\led_flash_cnt[188][7]~29524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[188][7]~29524_combout\ = \led_flash_cnt[188][6]~29523\ $ (!\led_flash_cnt[188][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[188][7]~q\,
	cin => \led_flash_cnt[188][6]~29523\,
	combout => \led_flash_cnt[188][7]~29524_combout\);

-- Location: FF_X69_Y47_N13
\led_flash_cnt[188][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[188][7]~29524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[188][7]~q\);

-- Location: LCCOMB_X69_Y47_N16
\WideAnd188~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd188~0_combout\ = (\led_flash_cnt[188][4]~q\ & (\led_flash_cnt[188][1]~q\ & (\led_flash_cnt[188][3]~q\ & \led_flash_cnt[188][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[188][4]~q\,
	datab => \led_flash_cnt[188][1]~q\,
	datac => \led_flash_cnt[188][3]~q\,
	datad => \led_flash_cnt[188][2]~q\,
	combout => \WideAnd188~0_combout\);

-- Location: LCCOMB_X66_Y47_N10
\WideAnd188~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd188~1_combout\ = (\led_flash_cnt[188][5]~q\ & \led_flash_cnt[188][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[188][5]~q\,
	datad => \led_flash_cnt[188][6]~q\,
	combout => \WideAnd188~1_combout\);

-- Location: LCCOMB_X66_Y47_N30
WideAnd188 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd188~combout\ = (\led_flash_cnt[188][7]~q\ & (\led_flash_cnt[188][0]~q\ & (\WideAnd188~0_combout\ & \WideAnd188~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[188][7]~q\,
	datab => \led_flash_cnt[188][0]~q\,
	datac => \WideAnd188~0_combout\,
	datad => \WideAnd188~1_combout\,
	combout => \WideAnd188~combout\);

-- Location: FF_X66_Y47_N31
\led_flash_cnt_ands[188]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd188~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(188));

-- Location: LCCOMB_X62_Y49_N0
\led_flash_cnt[189][0]~80829\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[189][0]~80829_combout\ = !\led_flash_cnt[189][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[189][0]~q\,
	combout => \led_flash_cnt[189][0]~80829_combout\);

-- Location: FF_X62_Y49_N1
\led_flash_cnt[189][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[189][0]~80829_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[189][0]~q\);

-- Location: LCCOMB_X62_Y49_N12
\led_flash_cnt[189][1]~29526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[189][1]~29526_combout\ = (\led_flash_cnt[189][1]~q\ & (\led_flash_cnt[189][0]~q\ $ (VCC))) # (!\led_flash_cnt[189][1]~q\ & (\led_flash_cnt[189][0]~q\ & VCC))
-- \led_flash_cnt[189][1]~29527\ = CARRY((\led_flash_cnt[189][1]~q\ & \led_flash_cnt[189][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[189][1]~q\,
	datab => \led_flash_cnt[189][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[189][1]~29526_combout\,
	cout => \led_flash_cnt[189][1]~29527\);

-- Location: FF_X62_Y49_N13
\led_flash_cnt[189][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[189][1]~29526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[189][1]~q\);

-- Location: LCCOMB_X62_Y49_N14
\led_flash_cnt[189][2]~29528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[189][2]~29528_combout\ = (\led_flash_cnt[189][2]~q\ & (!\led_flash_cnt[189][1]~29527\)) # (!\led_flash_cnt[189][2]~q\ & ((\led_flash_cnt[189][1]~29527\) # (GND)))
-- \led_flash_cnt[189][2]~29529\ = CARRY((!\led_flash_cnt[189][1]~29527\) # (!\led_flash_cnt[189][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[189][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[189][1]~29527\,
	combout => \led_flash_cnt[189][2]~29528_combout\,
	cout => \led_flash_cnt[189][2]~29529\);

-- Location: FF_X62_Y49_N15
\led_flash_cnt[189][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[189][2]~29528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[189][2]~q\);

-- Location: LCCOMB_X62_Y49_N16
\led_flash_cnt[189][3]~29530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[189][3]~29530_combout\ = (\led_flash_cnt[189][3]~q\ & (\led_flash_cnt[189][2]~29529\ $ (GND))) # (!\led_flash_cnt[189][3]~q\ & (!\led_flash_cnt[189][2]~29529\ & VCC))
-- \led_flash_cnt[189][3]~29531\ = CARRY((\led_flash_cnt[189][3]~q\ & !\led_flash_cnt[189][2]~29529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[189][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[189][2]~29529\,
	combout => \led_flash_cnt[189][3]~29530_combout\,
	cout => \led_flash_cnt[189][3]~29531\);

-- Location: FF_X62_Y49_N17
\led_flash_cnt[189][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[189][3]~29530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[189][3]~q\);

-- Location: LCCOMB_X62_Y49_N18
\led_flash_cnt[189][4]~29532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[189][4]~29532_combout\ = (\led_flash_cnt[189][4]~q\ & (!\led_flash_cnt[189][3]~29531\)) # (!\led_flash_cnt[189][4]~q\ & ((\led_flash_cnt[189][3]~29531\) # (GND)))
-- \led_flash_cnt[189][4]~29533\ = CARRY((!\led_flash_cnt[189][3]~29531\) # (!\led_flash_cnt[189][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[189][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[189][3]~29531\,
	combout => \led_flash_cnt[189][4]~29532_combout\,
	cout => \led_flash_cnt[189][4]~29533\);

-- Location: FF_X62_Y49_N19
\led_flash_cnt[189][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[189][4]~29532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[189][4]~q\);

-- Location: LCCOMB_X62_Y49_N6
\WideAnd189~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd189~0_combout\ = (\led_flash_cnt[189][1]~q\ & (\led_flash_cnt[189][3]~q\ & (\led_flash_cnt[189][2]~q\ & \led_flash_cnt[189][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[189][1]~q\,
	datab => \led_flash_cnt[189][3]~q\,
	datac => \led_flash_cnt[189][2]~q\,
	datad => \led_flash_cnt[189][4]~q\,
	combout => \WideAnd189~0_combout\);

-- Location: LCCOMB_X62_Y49_N20
\led_flash_cnt[189][5]~29534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[189][5]~29534_combout\ = (\led_flash_cnt[189][5]~q\ & (\led_flash_cnt[189][4]~29533\ $ (GND))) # (!\led_flash_cnt[189][5]~q\ & (!\led_flash_cnt[189][4]~29533\ & VCC))
-- \led_flash_cnt[189][5]~29535\ = CARRY((\led_flash_cnt[189][5]~q\ & !\led_flash_cnt[189][4]~29533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[189][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[189][4]~29533\,
	combout => \led_flash_cnt[189][5]~29534_combout\,
	cout => \led_flash_cnt[189][5]~29535\);

-- Location: FF_X62_Y49_N21
\led_flash_cnt[189][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[189][5]~29534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[189][5]~q\);

-- Location: LCCOMB_X62_Y49_N22
\led_flash_cnt[189][6]~29536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[189][6]~29536_combout\ = (\led_flash_cnt[189][6]~q\ & (!\led_flash_cnt[189][5]~29535\)) # (!\led_flash_cnt[189][6]~q\ & ((\led_flash_cnt[189][5]~29535\) # (GND)))
-- \led_flash_cnt[189][6]~29537\ = CARRY((!\led_flash_cnt[189][5]~29535\) # (!\led_flash_cnt[189][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[189][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[189][5]~29535\,
	combout => \led_flash_cnt[189][6]~29536_combout\,
	cout => \led_flash_cnt[189][6]~29537\);

-- Location: FF_X62_Y49_N23
\led_flash_cnt[189][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[189][6]~29536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[189][6]~q\);

-- Location: LCCOMB_X62_Y49_N24
\led_flash_cnt[189][7]~29538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[189][7]~29538_combout\ = \led_flash_cnt[189][6]~29537\ $ (!\led_flash_cnt[189][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[189][7]~q\,
	cin => \led_flash_cnt[189][6]~29537\,
	combout => \led_flash_cnt[189][7]~29538_combout\);

-- Location: FF_X62_Y49_N25
\led_flash_cnt[189][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[189][7]~29538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[189][7]~q\);

-- Location: LCCOMB_X62_Y49_N30
\WideAnd189~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd189~1_combout\ = (\led_flash_cnt[189][6]~q\ & \led_flash_cnt[189][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[189][6]~q\,
	datad => \led_flash_cnt[189][5]~q\,
	combout => \WideAnd189~1_combout\);

-- Location: LCCOMB_X62_Y49_N28
WideAnd189 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd189~combout\ = (\WideAnd189~0_combout\ & (\led_flash_cnt[189][7]~q\ & (\WideAnd189~1_combout\ & \led_flash_cnt[189][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd189~0_combout\,
	datab => \led_flash_cnt[189][7]~q\,
	datac => \WideAnd189~1_combout\,
	datad => \led_flash_cnt[189][0]~q\,
	combout => \WideAnd189~combout\);

-- Location: FF_X62_Y49_N29
\led_flash_cnt_ands[189]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd189~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(189));

-- Location: LCCOMB_X62_Y49_N26
\WideAnd3863~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3863~1_combout\ = (led_flash_cnt_ands(188) & led_flash_cnt_ands(189))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(188),
	datad => led_flash_cnt_ands(189),
	combout => \WideAnd3863~1_combout\);

-- Location: LCCOMB_X61_Y49_N0
WideAnd3863 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3863~combout\ = (\WideAnd3863~0_combout\ & (led_flash_cnt_ands(191) & (led_flash_cnt_ands(190) & \WideAnd3863~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3863~0_combout\,
	datab => led_flash_cnt_ands(191),
	datac => led_flash_cnt_ands(190),
	datad => \WideAnd3863~1_combout\,
	combout => \WideAnd3863~combout\);

-- Location: FF_X61_Y49_N1
\led_flash_cnt_ands_1[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3863~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(23));

-- Location: LCCOMB_X64_Y19_N12
\led_flash_cnt[174][0]~80814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[174][0]~80814_combout\ = !\led_flash_cnt[174][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[174][0]~q\,
	combout => \led_flash_cnt[174][0]~80814_combout\);

-- Location: FF_X64_Y19_N13
\led_flash_cnt[174][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[174][0]~80814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[174][0]~q\);

-- Location: LCCOMB_X64_Y19_N14
\led_flash_cnt[174][1]~29316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[174][1]~29316_combout\ = (\led_flash_cnt[174][0]~q\ & (\led_flash_cnt[174][1]~q\ $ (VCC))) # (!\led_flash_cnt[174][0]~q\ & (\led_flash_cnt[174][1]~q\ & VCC))
-- \led_flash_cnt[174][1]~29317\ = CARRY((\led_flash_cnt[174][0]~q\ & \led_flash_cnt[174][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[174][0]~q\,
	datab => \led_flash_cnt[174][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[174][1]~29316_combout\,
	cout => \led_flash_cnt[174][1]~29317\);

-- Location: FF_X64_Y19_N15
\led_flash_cnt[174][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[174][1]~29316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[174][1]~q\);

-- Location: LCCOMB_X64_Y19_N16
\led_flash_cnt[174][2]~29318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[174][2]~29318_combout\ = (\led_flash_cnt[174][2]~q\ & (!\led_flash_cnt[174][1]~29317\)) # (!\led_flash_cnt[174][2]~q\ & ((\led_flash_cnt[174][1]~29317\) # (GND)))
-- \led_flash_cnt[174][2]~29319\ = CARRY((!\led_flash_cnt[174][1]~29317\) # (!\led_flash_cnt[174][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[174][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[174][1]~29317\,
	combout => \led_flash_cnt[174][2]~29318_combout\,
	cout => \led_flash_cnt[174][2]~29319\);

-- Location: FF_X64_Y19_N17
\led_flash_cnt[174][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[174][2]~29318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[174][2]~q\);

-- Location: LCCOMB_X64_Y19_N18
\led_flash_cnt[174][3]~29320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[174][3]~29320_combout\ = (\led_flash_cnt[174][3]~q\ & (\led_flash_cnt[174][2]~29319\ $ (GND))) # (!\led_flash_cnt[174][3]~q\ & (!\led_flash_cnt[174][2]~29319\ & VCC))
-- \led_flash_cnt[174][3]~29321\ = CARRY((\led_flash_cnt[174][3]~q\ & !\led_flash_cnt[174][2]~29319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[174][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[174][2]~29319\,
	combout => \led_flash_cnt[174][3]~29320_combout\,
	cout => \led_flash_cnt[174][3]~29321\);

-- Location: FF_X64_Y19_N19
\led_flash_cnt[174][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[174][3]~29320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[174][3]~q\);

-- Location: LCCOMB_X64_Y19_N20
\led_flash_cnt[174][4]~29322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[174][4]~29322_combout\ = (\led_flash_cnt[174][4]~q\ & (!\led_flash_cnt[174][3]~29321\)) # (!\led_flash_cnt[174][4]~q\ & ((\led_flash_cnt[174][3]~29321\) # (GND)))
-- \led_flash_cnt[174][4]~29323\ = CARRY((!\led_flash_cnt[174][3]~29321\) # (!\led_flash_cnt[174][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[174][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[174][3]~29321\,
	combout => \led_flash_cnt[174][4]~29322_combout\,
	cout => \led_flash_cnt[174][4]~29323\);

-- Location: FF_X64_Y19_N21
\led_flash_cnt[174][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[174][4]~29322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[174][4]~q\);

-- Location: LCCOMB_X64_Y19_N22
\led_flash_cnt[174][5]~29324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[174][5]~29324_combout\ = (\led_flash_cnt[174][5]~q\ & (\led_flash_cnt[174][4]~29323\ $ (GND))) # (!\led_flash_cnt[174][5]~q\ & (!\led_flash_cnt[174][4]~29323\ & VCC))
-- \led_flash_cnt[174][5]~29325\ = CARRY((\led_flash_cnt[174][5]~q\ & !\led_flash_cnt[174][4]~29323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[174][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[174][4]~29323\,
	combout => \led_flash_cnt[174][5]~29324_combout\,
	cout => \led_flash_cnt[174][5]~29325\);

-- Location: FF_X64_Y19_N23
\led_flash_cnt[174][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[174][5]~29324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[174][5]~q\);

-- Location: LCCOMB_X64_Y19_N24
\led_flash_cnt[174][6]~29326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[174][6]~29326_combout\ = (\led_flash_cnt[174][6]~q\ & (!\led_flash_cnt[174][5]~29325\)) # (!\led_flash_cnt[174][6]~q\ & ((\led_flash_cnt[174][5]~29325\) # (GND)))
-- \led_flash_cnt[174][6]~29327\ = CARRY((!\led_flash_cnt[174][5]~29325\) # (!\led_flash_cnt[174][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[174][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[174][5]~29325\,
	combout => \led_flash_cnt[174][6]~29326_combout\,
	cout => \led_flash_cnt[174][6]~29327\);

-- Location: FF_X64_Y19_N25
\led_flash_cnt[174][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[174][6]~29326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[174][6]~q\);

-- Location: LCCOMB_X64_Y19_N30
\WideAnd174~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd174~1_combout\ = (\led_flash_cnt[174][5]~q\ & \led_flash_cnt[174][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[174][5]~q\,
	datad => \led_flash_cnt[174][6]~q\,
	combout => \WideAnd174~1_combout\);

-- Location: LCCOMB_X64_Y19_N8
\WideAnd174~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd174~0_combout\ = (\led_flash_cnt[174][4]~q\ & (\led_flash_cnt[174][3]~q\ & (\led_flash_cnt[174][1]~q\ & \led_flash_cnt[174][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[174][4]~q\,
	datab => \led_flash_cnt[174][3]~q\,
	datac => \led_flash_cnt[174][1]~q\,
	datad => \led_flash_cnt[174][2]~q\,
	combout => \WideAnd174~0_combout\);

-- Location: LCCOMB_X64_Y19_N26
\led_flash_cnt[174][7]~29328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[174][7]~29328_combout\ = \led_flash_cnt[174][7]~q\ $ (!\led_flash_cnt[174][6]~29327\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[174][7]~q\,
	cin => \led_flash_cnt[174][6]~29327\,
	combout => \led_flash_cnt[174][7]~29328_combout\);

-- Location: FF_X64_Y19_N27
\led_flash_cnt[174][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[174][7]~29328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[174][7]~q\);

-- Location: LCCOMB_X64_Y19_N4
WideAnd174 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd174~combout\ = (\WideAnd174~1_combout\ & (\WideAnd174~0_combout\ & (\led_flash_cnt[174][7]~q\ & \led_flash_cnt[174][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd174~1_combout\,
	datab => \WideAnd174~0_combout\,
	datac => \led_flash_cnt[174][7]~q\,
	datad => \led_flash_cnt[174][0]~q\,
	combout => \WideAnd174~combout\);

-- Location: FF_X64_Y19_N5
\led_flash_cnt_ands[174]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd174~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(174));

-- Location: LCCOMB_X64_Y19_N6
\led_flash_cnt[175][0]~80815\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[175][0]~80815_combout\ = !\led_flash_cnt[175][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[175][0]~q\,
	combout => \led_flash_cnt[175][0]~80815_combout\);

-- Location: FF_X64_Y19_N7
\led_flash_cnt[175][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[175][0]~80815_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[175][0]~q\);

-- Location: LCCOMB_X65_Y19_N0
\led_flash_cnt[175][1]~29330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[175][1]~29330_combout\ = (\led_flash_cnt[175][0]~q\ & (\led_flash_cnt[175][1]~q\ $ (VCC))) # (!\led_flash_cnt[175][0]~q\ & (\led_flash_cnt[175][1]~q\ & VCC))
-- \led_flash_cnt[175][1]~29331\ = CARRY((\led_flash_cnt[175][0]~q\ & \led_flash_cnt[175][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[175][0]~q\,
	datab => \led_flash_cnt[175][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[175][1]~29330_combout\,
	cout => \led_flash_cnt[175][1]~29331\);

-- Location: FF_X65_Y19_N1
\led_flash_cnt[175][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[175][1]~29330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[175][1]~q\);

-- Location: LCCOMB_X65_Y19_N2
\led_flash_cnt[175][2]~29332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[175][2]~29332_combout\ = (\led_flash_cnt[175][2]~q\ & (!\led_flash_cnt[175][1]~29331\)) # (!\led_flash_cnt[175][2]~q\ & ((\led_flash_cnt[175][1]~29331\) # (GND)))
-- \led_flash_cnt[175][2]~29333\ = CARRY((!\led_flash_cnt[175][1]~29331\) # (!\led_flash_cnt[175][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[175][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[175][1]~29331\,
	combout => \led_flash_cnt[175][2]~29332_combout\,
	cout => \led_flash_cnt[175][2]~29333\);

-- Location: FF_X65_Y19_N3
\led_flash_cnt[175][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[175][2]~29332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[175][2]~q\);

-- Location: LCCOMB_X65_Y19_N4
\led_flash_cnt[175][3]~29334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[175][3]~29334_combout\ = (\led_flash_cnt[175][3]~q\ & (\led_flash_cnt[175][2]~29333\ $ (GND))) # (!\led_flash_cnt[175][3]~q\ & (!\led_flash_cnt[175][2]~29333\ & VCC))
-- \led_flash_cnt[175][3]~29335\ = CARRY((\led_flash_cnt[175][3]~q\ & !\led_flash_cnt[175][2]~29333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[175][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[175][2]~29333\,
	combout => \led_flash_cnt[175][3]~29334_combout\,
	cout => \led_flash_cnt[175][3]~29335\);

-- Location: FF_X65_Y19_N5
\led_flash_cnt[175][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[175][3]~29334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[175][3]~q\);

-- Location: LCCOMB_X65_Y19_N6
\led_flash_cnt[175][4]~29336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[175][4]~29336_combout\ = (\led_flash_cnt[175][4]~q\ & (!\led_flash_cnt[175][3]~29335\)) # (!\led_flash_cnt[175][4]~q\ & ((\led_flash_cnt[175][3]~29335\) # (GND)))
-- \led_flash_cnt[175][4]~29337\ = CARRY((!\led_flash_cnt[175][3]~29335\) # (!\led_flash_cnt[175][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[175][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[175][3]~29335\,
	combout => \led_flash_cnt[175][4]~29336_combout\,
	cout => \led_flash_cnt[175][4]~29337\);

-- Location: FF_X65_Y19_N7
\led_flash_cnt[175][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[175][4]~29336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[175][4]~q\);

-- Location: LCCOMB_X65_Y19_N8
\led_flash_cnt[175][5]~29338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[175][5]~29338_combout\ = (\led_flash_cnt[175][5]~q\ & (\led_flash_cnt[175][4]~29337\ $ (GND))) # (!\led_flash_cnt[175][5]~q\ & (!\led_flash_cnt[175][4]~29337\ & VCC))
-- \led_flash_cnt[175][5]~29339\ = CARRY((\led_flash_cnt[175][5]~q\ & !\led_flash_cnt[175][4]~29337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[175][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[175][4]~29337\,
	combout => \led_flash_cnt[175][5]~29338_combout\,
	cout => \led_flash_cnt[175][5]~29339\);

-- Location: FF_X65_Y19_N9
\led_flash_cnt[175][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[175][5]~29338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[175][5]~q\);

-- Location: LCCOMB_X65_Y19_N10
\led_flash_cnt[175][6]~29340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[175][6]~29340_combout\ = (\led_flash_cnt[175][6]~q\ & (!\led_flash_cnt[175][5]~29339\)) # (!\led_flash_cnt[175][6]~q\ & ((\led_flash_cnt[175][5]~29339\) # (GND)))
-- \led_flash_cnt[175][6]~29341\ = CARRY((!\led_flash_cnt[175][5]~29339\) # (!\led_flash_cnt[175][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[175][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[175][5]~29339\,
	combout => \led_flash_cnt[175][6]~29340_combout\,
	cout => \led_flash_cnt[175][6]~29341\);

-- Location: FF_X65_Y19_N11
\led_flash_cnt[175][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[175][6]~29340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[175][6]~q\);

-- Location: LCCOMB_X64_Y19_N10
\WideAnd175~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd175~1_combout\ = (\led_flash_cnt[175][6]~q\ & \led_flash_cnt[175][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[175][6]~q\,
	datac => \led_flash_cnt[175][5]~q\,
	combout => \WideAnd175~1_combout\);

-- Location: LCCOMB_X65_Y19_N12
\led_flash_cnt[175][7]~29342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[175][7]~29342_combout\ = \led_flash_cnt[175][6]~29341\ $ (!\led_flash_cnt[175][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[175][7]~q\,
	cin => \led_flash_cnt[175][6]~29341\,
	combout => \led_flash_cnt[175][7]~29342_combout\);

-- Location: FF_X65_Y19_N13
\led_flash_cnt[175][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[175][7]~29342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[175][7]~q\);

-- Location: LCCOMB_X65_Y19_N30
\WideAnd175~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd175~0_combout\ = (\led_flash_cnt[175][4]~q\ & (\led_flash_cnt[175][1]~q\ & (\led_flash_cnt[175][3]~q\ & \led_flash_cnt[175][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[175][4]~q\,
	datab => \led_flash_cnt[175][1]~q\,
	datac => \led_flash_cnt[175][3]~q\,
	datad => \led_flash_cnt[175][2]~q\,
	combout => \WideAnd175~0_combout\);

-- Location: LCCOMB_X64_Y19_N28
WideAnd175 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd175~combout\ = (\WideAnd175~1_combout\ & (\led_flash_cnt[175][7]~q\ & (\WideAnd175~0_combout\ & \led_flash_cnt[175][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd175~1_combout\,
	datab => \led_flash_cnt[175][7]~q\,
	datac => \WideAnd175~0_combout\,
	datad => \led_flash_cnt[175][0]~q\,
	combout => \WideAnd175~combout\);

-- Location: FF_X64_Y19_N29
\led_flash_cnt_ands[175]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd175~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(175));

-- Location: LCCOMB_X4_Y4_N28
\led_flash_cnt[171][0]~80811\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[171][0]~80811_combout\ = !\led_flash_cnt[171][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[171][0]~q\,
	combout => \led_flash_cnt[171][0]~80811_combout\);

-- Location: FF_X4_Y4_N29
\led_flash_cnt[171][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[171][0]~80811_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[171][0]~q\);

-- Location: LCCOMB_X4_Y4_N12
\led_flash_cnt[171][1]~29274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[171][1]~29274_combout\ = (\led_flash_cnt[171][1]~q\ & (\led_flash_cnt[171][0]~q\ $ (VCC))) # (!\led_flash_cnt[171][1]~q\ & (\led_flash_cnt[171][0]~q\ & VCC))
-- \led_flash_cnt[171][1]~29275\ = CARRY((\led_flash_cnt[171][1]~q\ & \led_flash_cnt[171][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[171][1]~q\,
	datab => \led_flash_cnt[171][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[171][1]~29274_combout\,
	cout => \led_flash_cnt[171][1]~29275\);

-- Location: FF_X4_Y4_N13
\led_flash_cnt[171][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[171][1]~29274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[171][1]~q\);

-- Location: LCCOMB_X4_Y4_N14
\led_flash_cnt[171][2]~29276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[171][2]~29276_combout\ = (\led_flash_cnt[171][2]~q\ & (!\led_flash_cnt[171][1]~29275\)) # (!\led_flash_cnt[171][2]~q\ & ((\led_flash_cnt[171][1]~29275\) # (GND)))
-- \led_flash_cnt[171][2]~29277\ = CARRY((!\led_flash_cnt[171][1]~29275\) # (!\led_flash_cnt[171][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[171][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[171][1]~29275\,
	combout => \led_flash_cnt[171][2]~29276_combout\,
	cout => \led_flash_cnt[171][2]~29277\);

-- Location: FF_X4_Y4_N15
\led_flash_cnt[171][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[171][2]~29276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[171][2]~q\);

-- Location: LCCOMB_X4_Y4_N16
\led_flash_cnt[171][3]~29278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[171][3]~29278_combout\ = (\led_flash_cnt[171][3]~q\ & (\led_flash_cnt[171][2]~29277\ $ (GND))) # (!\led_flash_cnt[171][3]~q\ & (!\led_flash_cnt[171][2]~29277\ & VCC))
-- \led_flash_cnt[171][3]~29279\ = CARRY((\led_flash_cnt[171][3]~q\ & !\led_flash_cnt[171][2]~29277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[171][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[171][2]~29277\,
	combout => \led_flash_cnt[171][3]~29278_combout\,
	cout => \led_flash_cnt[171][3]~29279\);

-- Location: FF_X4_Y4_N17
\led_flash_cnt[171][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[171][3]~29278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[171][3]~q\);

-- Location: LCCOMB_X4_Y4_N18
\led_flash_cnt[171][4]~29280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[171][4]~29280_combout\ = (\led_flash_cnt[171][4]~q\ & (!\led_flash_cnt[171][3]~29279\)) # (!\led_flash_cnt[171][4]~q\ & ((\led_flash_cnt[171][3]~29279\) # (GND)))
-- \led_flash_cnt[171][4]~29281\ = CARRY((!\led_flash_cnt[171][3]~29279\) # (!\led_flash_cnt[171][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[171][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[171][3]~29279\,
	combout => \led_flash_cnt[171][4]~29280_combout\,
	cout => \led_flash_cnt[171][4]~29281\);

-- Location: FF_X4_Y4_N19
\led_flash_cnt[171][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[171][4]~29280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[171][4]~q\);

-- Location: LCCOMB_X4_Y4_N10
\WideAnd171~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd171~0_combout\ = (\led_flash_cnt[171][1]~q\ & (\led_flash_cnt[171][3]~q\ & (\led_flash_cnt[171][2]~q\ & \led_flash_cnt[171][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[171][1]~q\,
	datab => \led_flash_cnt[171][3]~q\,
	datac => \led_flash_cnt[171][2]~q\,
	datad => \led_flash_cnt[171][4]~q\,
	combout => \WideAnd171~0_combout\);

-- Location: LCCOMB_X4_Y4_N20
\led_flash_cnt[171][5]~29282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[171][5]~29282_combout\ = (\led_flash_cnt[171][5]~q\ & (\led_flash_cnt[171][4]~29281\ $ (GND))) # (!\led_flash_cnt[171][5]~q\ & (!\led_flash_cnt[171][4]~29281\ & VCC))
-- \led_flash_cnt[171][5]~29283\ = CARRY((\led_flash_cnt[171][5]~q\ & !\led_flash_cnt[171][4]~29281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[171][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[171][4]~29281\,
	combout => \led_flash_cnt[171][5]~29282_combout\,
	cout => \led_flash_cnt[171][5]~29283\);

-- Location: FF_X4_Y4_N21
\led_flash_cnt[171][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[171][5]~29282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[171][5]~q\);

-- Location: LCCOMB_X4_Y4_N22
\led_flash_cnt[171][6]~29284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[171][6]~29284_combout\ = (\led_flash_cnt[171][6]~q\ & (!\led_flash_cnt[171][5]~29283\)) # (!\led_flash_cnt[171][6]~q\ & ((\led_flash_cnt[171][5]~29283\) # (GND)))
-- \led_flash_cnt[171][6]~29285\ = CARRY((!\led_flash_cnt[171][5]~29283\) # (!\led_flash_cnt[171][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[171][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[171][5]~29283\,
	combout => \led_flash_cnt[171][6]~29284_combout\,
	cout => \led_flash_cnt[171][6]~29285\);

-- Location: FF_X4_Y4_N23
\led_flash_cnt[171][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[171][6]~29284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[171][6]~q\);

-- Location: LCCOMB_X4_Y4_N24
\led_flash_cnt[171][7]~29286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[171][7]~29286_combout\ = \led_flash_cnt[171][6]~29285\ $ (!\led_flash_cnt[171][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[171][7]~q\,
	cin => \led_flash_cnt[171][6]~29285\,
	combout => \led_flash_cnt[171][7]~29286_combout\);

-- Location: FF_X4_Y4_N25
\led_flash_cnt[171][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[171][7]~29286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[171][7]~q\);

-- Location: LCCOMB_X4_Y4_N26
\WideAnd171~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd171~1_combout\ = (\led_flash_cnt[171][6]~q\ & \led_flash_cnt[171][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[171][6]~q\,
	datad => \led_flash_cnt[171][5]~q\,
	combout => \WideAnd171~1_combout\);

-- Location: LCCOMB_X4_Y4_N4
WideAnd171 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd171~combout\ = (\WideAnd171~0_combout\ & (\led_flash_cnt[171][7]~q\ & (\WideAnd171~1_combout\ & \led_flash_cnt[171][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd171~0_combout\,
	datab => \led_flash_cnt[171][7]~q\,
	datac => \WideAnd171~1_combout\,
	datad => \led_flash_cnt[171][0]~q\,
	combout => \WideAnd171~combout\);

-- Location: FF_X4_Y4_N5
\led_flash_cnt_ands[171]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd171~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(171));

-- Location: LCCOMB_X10_Y31_N8
\led_flash_cnt[168][0]~80808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[168][0]~80808_combout\ = !\led_flash_cnt[168][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[168][0]~q\,
	combout => \led_flash_cnt[168][0]~80808_combout\);

-- Location: FF_X10_Y31_N9
\led_flash_cnt[168][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[168][0]~80808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[168][0]~q\);

-- Location: LCCOMB_X11_Y31_N2
\led_flash_cnt[168][1]~29232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[168][1]~29232_combout\ = (\led_flash_cnt[168][0]~q\ & (\led_flash_cnt[168][1]~q\ $ (VCC))) # (!\led_flash_cnt[168][0]~q\ & (\led_flash_cnt[168][1]~q\ & VCC))
-- \led_flash_cnt[168][1]~29233\ = CARRY((\led_flash_cnt[168][0]~q\ & \led_flash_cnt[168][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[168][0]~q\,
	datab => \led_flash_cnt[168][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[168][1]~29232_combout\,
	cout => \led_flash_cnt[168][1]~29233\);

-- Location: FF_X11_Y31_N3
\led_flash_cnt[168][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[168][1]~29232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[168][1]~q\);

-- Location: LCCOMB_X11_Y31_N4
\led_flash_cnt[168][2]~29234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[168][2]~29234_combout\ = (\led_flash_cnt[168][2]~q\ & (!\led_flash_cnt[168][1]~29233\)) # (!\led_flash_cnt[168][2]~q\ & ((\led_flash_cnt[168][1]~29233\) # (GND)))
-- \led_flash_cnt[168][2]~29235\ = CARRY((!\led_flash_cnt[168][1]~29233\) # (!\led_flash_cnt[168][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[168][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[168][1]~29233\,
	combout => \led_flash_cnt[168][2]~29234_combout\,
	cout => \led_flash_cnt[168][2]~29235\);

-- Location: FF_X11_Y31_N5
\led_flash_cnt[168][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[168][2]~29234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[168][2]~q\);

-- Location: LCCOMB_X11_Y31_N6
\led_flash_cnt[168][3]~29236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[168][3]~29236_combout\ = (\led_flash_cnt[168][3]~q\ & (\led_flash_cnt[168][2]~29235\ $ (GND))) # (!\led_flash_cnt[168][3]~q\ & (!\led_flash_cnt[168][2]~29235\ & VCC))
-- \led_flash_cnt[168][3]~29237\ = CARRY((\led_flash_cnt[168][3]~q\ & !\led_flash_cnt[168][2]~29235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[168][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[168][2]~29235\,
	combout => \led_flash_cnt[168][3]~29236_combout\,
	cout => \led_flash_cnt[168][3]~29237\);

-- Location: FF_X11_Y31_N7
\led_flash_cnt[168][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[168][3]~29236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[168][3]~q\);

-- Location: LCCOMB_X11_Y31_N8
\led_flash_cnt[168][4]~29238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[168][4]~29238_combout\ = (\led_flash_cnt[168][4]~q\ & (!\led_flash_cnt[168][3]~29237\)) # (!\led_flash_cnt[168][4]~q\ & ((\led_flash_cnt[168][3]~29237\) # (GND)))
-- \led_flash_cnt[168][4]~29239\ = CARRY((!\led_flash_cnt[168][3]~29237\) # (!\led_flash_cnt[168][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[168][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[168][3]~29237\,
	combout => \led_flash_cnt[168][4]~29238_combout\,
	cout => \led_flash_cnt[168][4]~29239\);

-- Location: FF_X11_Y31_N9
\led_flash_cnt[168][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[168][4]~29238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[168][4]~q\);

-- Location: LCCOMB_X11_Y31_N10
\led_flash_cnt[168][5]~29240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[168][5]~29240_combout\ = (\led_flash_cnt[168][5]~q\ & (\led_flash_cnt[168][4]~29239\ $ (GND))) # (!\led_flash_cnt[168][5]~q\ & (!\led_flash_cnt[168][4]~29239\ & VCC))
-- \led_flash_cnt[168][5]~29241\ = CARRY((\led_flash_cnt[168][5]~q\ & !\led_flash_cnt[168][4]~29239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[168][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[168][4]~29239\,
	combout => \led_flash_cnt[168][5]~29240_combout\,
	cout => \led_flash_cnt[168][5]~29241\);

-- Location: FF_X11_Y31_N11
\led_flash_cnt[168][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[168][5]~29240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[168][5]~q\);

-- Location: LCCOMB_X11_Y31_N12
\led_flash_cnt[168][6]~29242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[168][6]~29242_combout\ = (\led_flash_cnt[168][6]~q\ & (!\led_flash_cnt[168][5]~29241\)) # (!\led_flash_cnt[168][6]~q\ & ((\led_flash_cnt[168][5]~29241\) # (GND)))
-- \led_flash_cnt[168][6]~29243\ = CARRY((!\led_flash_cnt[168][5]~29241\) # (!\led_flash_cnt[168][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[168][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[168][5]~29241\,
	combout => \led_flash_cnt[168][6]~29242_combout\,
	cout => \led_flash_cnt[168][6]~29243\);

-- Location: FF_X11_Y31_N13
\led_flash_cnt[168][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[168][6]~29242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[168][6]~q\);

-- Location: LCCOMB_X10_Y31_N30
\WideAnd168~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd168~1_combout\ = (\led_flash_cnt[168][6]~q\ & \led_flash_cnt[168][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[168][6]~q\,
	datac => \led_flash_cnt[168][5]~q\,
	combout => \WideAnd168~1_combout\);

-- Location: LCCOMB_X11_Y31_N14
\led_flash_cnt[168][7]~29244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[168][7]~29244_combout\ = \led_flash_cnt[168][7]~q\ $ (!\led_flash_cnt[168][6]~29243\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[168][7]~q\,
	cin => \led_flash_cnt[168][6]~29243\,
	combout => \led_flash_cnt[168][7]~29244_combout\);

-- Location: FF_X11_Y31_N15
\led_flash_cnt[168][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[168][7]~29244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[168][7]~q\);

-- Location: LCCOMB_X11_Y31_N30
\WideAnd168~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd168~0_combout\ = (\led_flash_cnt[168][3]~q\ & (\led_flash_cnt[168][4]~q\ & (\led_flash_cnt[168][2]~q\ & \led_flash_cnt[168][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[168][3]~q\,
	datab => \led_flash_cnt[168][4]~q\,
	datac => \led_flash_cnt[168][2]~q\,
	datad => \led_flash_cnt[168][1]~q\,
	combout => \WideAnd168~0_combout\);

-- Location: LCCOMB_X10_Y31_N0
WideAnd168 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd168~combout\ = (\WideAnd168~1_combout\ & (\led_flash_cnt[168][7]~q\ & (\WideAnd168~0_combout\ & \led_flash_cnt[168][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd168~1_combout\,
	datab => \led_flash_cnt[168][7]~q\,
	datac => \WideAnd168~0_combout\,
	datad => \led_flash_cnt[168][0]~q\,
	combout => \WideAnd168~combout\);

-- Location: FF_X10_Y31_N1
\led_flash_cnt_ands[168]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd168~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(168));

-- Location: LCCOMB_X10_Y32_N28
\led_flash_cnt[169][0]~80809\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[169][0]~80809_combout\ = !\led_flash_cnt[169][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[169][0]~q\,
	combout => \led_flash_cnt[169][0]~80809_combout\);

-- Location: FF_X10_Y32_N29
\led_flash_cnt[169][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[169][0]~80809_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[169][0]~q\);

-- Location: LCCOMB_X9_Y32_N18
\led_flash_cnt[169][1]~29246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[169][1]~29246_combout\ = (\led_flash_cnt[169][1]~q\ & (\led_flash_cnt[169][0]~q\ $ (VCC))) # (!\led_flash_cnt[169][1]~q\ & (\led_flash_cnt[169][0]~q\ & VCC))
-- \led_flash_cnt[169][1]~29247\ = CARRY((\led_flash_cnt[169][1]~q\ & \led_flash_cnt[169][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[169][1]~q\,
	datab => \led_flash_cnt[169][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[169][1]~29246_combout\,
	cout => \led_flash_cnt[169][1]~29247\);

-- Location: FF_X9_Y32_N19
\led_flash_cnt[169][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[169][1]~29246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[169][1]~q\);

-- Location: LCCOMB_X9_Y32_N20
\led_flash_cnt[169][2]~29248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[169][2]~29248_combout\ = (\led_flash_cnt[169][2]~q\ & (!\led_flash_cnt[169][1]~29247\)) # (!\led_flash_cnt[169][2]~q\ & ((\led_flash_cnt[169][1]~29247\) # (GND)))
-- \led_flash_cnt[169][2]~29249\ = CARRY((!\led_flash_cnt[169][1]~29247\) # (!\led_flash_cnt[169][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[169][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[169][1]~29247\,
	combout => \led_flash_cnt[169][2]~29248_combout\,
	cout => \led_flash_cnt[169][2]~29249\);

-- Location: FF_X9_Y32_N21
\led_flash_cnt[169][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[169][2]~29248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[169][2]~q\);

-- Location: LCCOMB_X9_Y32_N22
\led_flash_cnt[169][3]~29250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[169][3]~29250_combout\ = (\led_flash_cnt[169][3]~q\ & (\led_flash_cnt[169][2]~29249\ $ (GND))) # (!\led_flash_cnt[169][3]~q\ & (!\led_flash_cnt[169][2]~29249\ & VCC))
-- \led_flash_cnt[169][3]~29251\ = CARRY((\led_flash_cnt[169][3]~q\ & !\led_flash_cnt[169][2]~29249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[169][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[169][2]~29249\,
	combout => \led_flash_cnt[169][3]~29250_combout\,
	cout => \led_flash_cnt[169][3]~29251\);

-- Location: FF_X9_Y32_N23
\led_flash_cnt[169][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[169][3]~29250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[169][3]~q\);

-- Location: LCCOMB_X9_Y32_N24
\led_flash_cnt[169][4]~29252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[169][4]~29252_combout\ = (\led_flash_cnt[169][4]~q\ & (!\led_flash_cnt[169][3]~29251\)) # (!\led_flash_cnt[169][4]~q\ & ((\led_flash_cnt[169][3]~29251\) # (GND)))
-- \led_flash_cnt[169][4]~29253\ = CARRY((!\led_flash_cnt[169][3]~29251\) # (!\led_flash_cnt[169][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[169][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[169][3]~29251\,
	combout => \led_flash_cnt[169][4]~29252_combout\,
	cout => \led_flash_cnt[169][4]~29253\);

-- Location: FF_X9_Y32_N25
\led_flash_cnt[169][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[169][4]~29252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[169][4]~q\);

-- Location: LCCOMB_X8_Y32_N14
\WideAnd169~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd169~0_combout\ = (\led_flash_cnt[169][1]~q\ & (\led_flash_cnt[169][4]~q\ & (\led_flash_cnt[169][2]~q\ & \led_flash_cnt[169][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[169][1]~q\,
	datab => \led_flash_cnt[169][4]~q\,
	datac => \led_flash_cnt[169][2]~q\,
	datad => \led_flash_cnt[169][3]~q\,
	combout => \WideAnd169~0_combout\);

-- Location: LCCOMB_X9_Y32_N26
\led_flash_cnt[169][5]~29254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[169][5]~29254_combout\ = (\led_flash_cnt[169][5]~q\ & (\led_flash_cnt[169][4]~29253\ $ (GND))) # (!\led_flash_cnt[169][5]~q\ & (!\led_flash_cnt[169][4]~29253\ & VCC))
-- \led_flash_cnt[169][5]~29255\ = CARRY((\led_flash_cnt[169][5]~q\ & !\led_flash_cnt[169][4]~29253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[169][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[169][4]~29253\,
	combout => \led_flash_cnt[169][5]~29254_combout\,
	cout => \led_flash_cnt[169][5]~29255\);

-- Location: FF_X9_Y32_N27
\led_flash_cnt[169][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[169][5]~29254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[169][5]~q\);

-- Location: LCCOMB_X9_Y32_N28
\led_flash_cnt[169][6]~29256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[169][6]~29256_combout\ = (\led_flash_cnt[169][6]~q\ & (!\led_flash_cnt[169][5]~29255\)) # (!\led_flash_cnt[169][6]~q\ & ((\led_flash_cnt[169][5]~29255\) # (GND)))
-- \led_flash_cnt[169][6]~29257\ = CARRY((!\led_flash_cnt[169][5]~29255\) # (!\led_flash_cnt[169][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[169][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[169][5]~29255\,
	combout => \led_flash_cnt[169][6]~29256_combout\,
	cout => \led_flash_cnt[169][6]~29257\);

-- Location: FF_X9_Y32_N29
\led_flash_cnt[169][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[169][6]~29256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[169][6]~q\);

-- Location: LCCOMB_X9_Y32_N16
\WideAnd169~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd169~1_combout\ = (\led_flash_cnt[169][5]~q\ & \led_flash_cnt[169][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[169][5]~q\,
	datad => \led_flash_cnt[169][6]~q\,
	combout => \WideAnd169~1_combout\);

-- Location: LCCOMB_X9_Y32_N30
\led_flash_cnt[169][7]~29258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[169][7]~29258_combout\ = \led_flash_cnt[169][7]~q\ $ (!\led_flash_cnt[169][6]~29257\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[169][7]~q\,
	cin => \led_flash_cnt[169][6]~29257\,
	combout => \led_flash_cnt[169][7]~29258_combout\);

-- Location: FF_X9_Y32_N31
\led_flash_cnt[169][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[169][7]~29258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[169][7]~q\);

-- Location: LCCOMB_X9_Y32_N14
WideAnd169 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd169~combout\ = (\WideAnd169~0_combout\ & (\WideAnd169~1_combout\ & (\led_flash_cnt[169][7]~q\ & \led_flash_cnt[169][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd169~0_combout\,
	datab => \WideAnd169~1_combout\,
	datac => \led_flash_cnt[169][7]~q\,
	datad => \led_flash_cnt[169][0]~q\,
	combout => \WideAnd169~combout\);

-- Location: FF_X9_Y32_N15
\led_flash_cnt_ands[169]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd169~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(169));

-- Location: LCCOMB_X10_Y31_N12
\led_flash_cnt[170][0]~80810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[170][0]~80810_combout\ = !\led_flash_cnt[170][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[170][0]~q\,
	combout => \led_flash_cnt[170][0]~80810_combout\);

-- Location: FF_X10_Y31_N13
\led_flash_cnt[170][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[170][0]~80810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[170][0]~q\);

-- Location: LCCOMB_X10_Y31_N14
\led_flash_cnt[170][1]~29260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[170][1]~29260_combout\ = (\led_flash_cnt[170][0]~q\ & (\led_flash_cnt[170][1]~q\ $ (VCC))) # (!\led_flash_cnt[170][0]~q\ & (\led_flash_cnt[170][1]~q\ & VCC))
-- \led_flash_cnt[170][1]~29261\ = CARRY((\led_flash_cnt[170][0]~q\ & \led_flash_cnt[170][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[170][0]~q\,
	datab => \led_flash_cnt[170][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[170][1]~29260_combout\,
	cout => \led_flash_cnt[170][1]~29261\);

-- Location: FF_X10_Y31_N15
\led_flash_cnt[170][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[170][1]~29260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[170][1]~q\);

-- Location: LCCOMB_X10_Y31_N16
\led_flash_cnt[170][2]~29262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[170][2]~29262_combout\ = (\led_flash_cnt[170][2]~q\ & (!\led_flash_cnt[170][1]~29261\)) # (!\led_flash_cnt[170][2]~q\ & ((\led_flash_cnt[170][1]~29261\) # (GND)))
-- \led_flash_cnt[170][2]~29263\ = CARRY((!\led_flash_cnt[170][1]~29261\) # (!\led_flash_cnt[170][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[170][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[170][1]~29261\,
	combout => \led_flash_cnt[170][2]~29262_combout\,
	cout => \led_flash_cnt[170][2]~29263\);

-- Location: FF_X10_Y31_N17
\led_flash_cnt[170][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[170][2]~29262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[170][2]~q\);

-- Location: LCCOMB_X10_Y31_N18
\led_flash_cnt[170][3]~29264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[170][3]~29264_combout\ = (\led_flash_cnt[170][3]~q\ & (\led_flash_cnt[170][2]~29263\ $ (GND))) # (!\led_flash_cnt[170][3]~q\ & (!\led_flash_cnt[170][2]~29263\ & VCC))
-- \led_flash_cnt[170][3]~29265\ = CARRY((\led_flash_cnt[170][3]~q\ & !\led_flash_cnt[170][2]~29263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[170][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[170][2]~29263\,
	combout => \led_flash_cnt[170][3]~29264_combout\,
	cout => \led_flash_cnt[170][3]~29265\);

-- Location: FF_X10_Y31_N19
\led_flash_cnt[170][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[170][3]~29264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[170][3]~q\);

-- Location: LCCOMB_X10_Y31_N20
\led_flash_cnt[170][4]~29266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[170][4]~29266_combout\ = (\led_flash_cnt[170][4]~q\ & (!\led_flash_cnt[170][3]~29265\)) # (!\led_flash_cnt[170][4]~q\ & ((\led_flash_cnt[170][3]~29265\) # (GND)))
-- \led_flash_cnt[170][4]~29267\ = CARRY((!\led_flash_cnt[170][3]~29265\) # (!\led_flash_cnt[170][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[170][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[170][3]~29265\,
	combout => \led_flash_cnt[170][4]~29266_combout\,
	cout => \led_flash_cnt[170][4]~29267\);

-- Location: FF_X10_Y31_N21
\led_flash_cnt[170][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[170][4]~29266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[170][4]~q\);

-- Location: LCCOMB_X10_Y31_N10
\WideAnd170~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd170~0_combout\ = (\led_flash_cnt[170][3]~q\ & (\led_flash_cnt[170][4]~q\ & (\led_flash_cnt[170][1]~q\ & \led_flash_cnt[170][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[170][3]~q\,
	datab => \led_flash_cnt[170][4]~q\,
	datac => \led_flash_cnt[170][1]~q\,
	datad => \led_flash_cnt[170][2]~q\,
	combout => \WideAnd170~0_combout\);

-- Location: LCCOMB_X10_Y31_N22
\led_flash_cnt[170][5]~29268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[170][5]~29268_combout\ = (\led_flash_cnt[170][5]~q\ & (\led_flash_cnt[170][4]~29267\ $ (GND))) # (!\led_flash_cnt[170][5]~q\ & (!\led_flash_cnt[170][4]~29267\ & VCC))
-- \led_flash_cnt[170][5]~29269\ = CARRY((\led_flash_cnt[170][5]~q\ & !\led_flash_cnt[170][4]~29267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[170][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[170][4]~29267\,
	combout => \led_flash_cnt[170][5]~29268_combout\,
	cout => \led_flash_cnt[170][5]~29269\);

-- Location: FF_X10_Y31_N23
\led_flash_cnt[170][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[170][5]~29268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[170][5]~q\);

-- Location: LCCOMB_X10_Y31_N24
\led_flash_cnt[170][6]~29270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[170][6]~29270_combout\ = (\led_flash_cnt[170][6]~q\ & (!\led_flash_cnt[170][5]~29269\)) # (!\led_flash_cnt[170][6]~q\ & ((\led_flash_cnt[170][5]~29269\) # (GND)))
-- \led_flash_cnt[170][6]~29271\ = CARRY((!\led_flash_cnt[170][5]~29269\) # (!\led_flash_cnt[170][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[170][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[170][5]~29269\,
	combout => \led_flash_cnt[170][6]~29270_combout\,
	cout => \led_flash_cnt[170][6]~29271\);

-- Location: FF_X10_Y31_N25
\led_flash_cnt[170][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[170][6]~29270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[170][6]~q\);

-- Location: LCCOMB_X10_Y31_N2
\WideAnd170~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd170~1_combout\ = (\led_flash_cnt[170][5]~q\ & \led_flash_cnt[170][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[170][5]~q\,
	datad => \led_flash_cnt[170][6]~q\,
	combout => \WideAnd170~1_combout\);

-- Location: LCCOMB_X10_Y31_N26
\led_flash_cnt[170][7]~29272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[170][7]~29272_combout\ = \led_flash_cnt[170][7]~q\ $ (!\led_flash_cnt[170][6]~29271\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[170][7]~q\,
	cin => \led_flash_cnt[170][6]~29271\,
	combout => \led_flash_cnt[170][7]~29272_combout\);

-- Location: FF_X10_Y31_N27
\led_flash_cnt[170][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[170][7]~29272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[170][7]~q\);

-- Location: LCCOMB_X10_Y31_N28
WideAnd170 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd170~combout\ = (\WideAnd170~0_combout\ & (\WideAnd170~1_combout\ & (\led_flash_cnt[170][7]~q\ & \led_flash_cnt[170][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd170~0_combout\,
	datab => \WideAnd170~1_combout\,
	datac => \led_flash_cnt[170][7]~q\,
	datad => \led_flash_cnt[170][0]~q\,
	combout => \WideAnd170~combout\);

-- Location: FF_X10_Y31_N29
\led_flash_cnt_ands[170]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd170~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(170));

-- Location: LCCOMB_X10_Y31_N6
\WideAnd3861~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3861~0_combout\ = (led_flash_cnt_ands(171) & (led_flash_cnt_ands(168) & (led_flash_cnt_ands(169) & led_flash_cnt_ands(170))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(171),
	datab => led_flash_cnt_ands(168),
	datac => led_flash_cnt_ands(169),
	datad => led_flash_cnt_ands(170),
	combout => \WideAnd3861~0_combout\);

-- Location: LCCOMB_X16_Y3_N28
\led_flash_cnt[172][0]~80812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[172][0]~80812_combout\ = !\led_flash_cnt[172][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[172][0]~q\,
	combout => \led_flash_cnt[172][0]~80812_combout\);

-- Location: FF_X16_Y3_N29
\led_flash_cnt[172][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[172][0]~80812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[172][0]~q\);

-- Location: LCCOMB_X16_Y3_N14
\led_flash_cnt[172][1]~29288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[172][1]~29288_combout\ = (\led_flash_cnt[172][0]~q\ & (\led_flash_cnt[172][1]~q\ $ (VCC))) # (!\led_flash_cnt[172][0]~q\ & (\led_flash_cnt[172][1]~q\ & VCC))
-- \led_flash_cnt[172][1]~29289\ = CARRY((\led_flash_cnt[172][0]~q\ & \led_flash_cnt[172][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[172][0]~q\,
	datab => \led_flash_cnt[172][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[172][1]~29288_combout\,
	cout => \led_flash_cnt[172][1]~29289\);

-- Location: FF_X16_Y3_N15
\led_flash_cnt[172][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[172][1]~29288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[172][1]~q\);

-- Location: LCCOMB_X16_Y3_N16
\led_flash_cnt[172][2]~29290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[172][2]~29290_combout\ = (\led_flash_cnt[172][2]~q\ & (!\led_flash_cnt[172][1]~29289\)) # (!\led_flash_cnt[172][2]~q\ & ((\led_flash_cnt[172][1]~29289\) # (GND)))
-- \led_flash_cnt[172][2]~29291\ = CARRY((!\led_flash_cnt[172][1]~29289\) # (!\led_flash_cnt[172][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[172][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[172][1]~29289\,
	combout => \led_flash_cnt[172][2]~29290_combout\,
	cout => \led_flash_cnt[172][2]~29291\);

-- Location: FF_X16_Y3_N17
\led_flash_cnt[172][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[172][2]~29290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[172][2]~q\);

-- Location: LCCOMB_X16_Y3_N18
\led_flash_cnt[172][3]~29292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[172][3]~29292_combout\ = (\led_flash_cnt[172][3]~q\ & (\led_flash_cnt[172][2]~29291\ $ (GND))) # (!\led_flash_cnt[172][3]~q\ & (!\led_flash_cnt[172][2]~29291\ & VCC))
-- \led_flash_cnt[172][3]~29293\ = CARRY((\led_flash_cnt[172][3]~q\ & !\led_flash_cnt[172][2]~29291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[172][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[172][2]~29291\,
	combout => \led_flash_cnt[172][3]~29292_combout\,
	cout => \led_flash_cnt[172][3]~29293\);

-- Location: FF_X16_Y3_N19
\led_flash_cnt[172][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[172][3]~29292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[172][3]~q\);

-- Location: LCCOMB_X16_Y3_N20
\led_flash_cnt[172][4]~29294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[172][4]~29294_combout\ = (\led_flash_cnt[172][4]~q\ & (!\led_flash_cnt[172][3]~29293\)) # (!\led_flash_cnt[172][4]~q\ & ((\led_flash_cnt[172][3]~29293\) # (GND)))
-- \led_flash_cnt[172][4]~29295\ = CARRY((!\led_flash_cnt[172][3]~29293\) # (!\led_flash_cnt[172][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[172][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[172][3]~29293\,
	combout => \led_flash_cnt[172][4]~29294_combout\,
	cout => \led_flash_cnt[172][4]~29295\);

-- Location: FF_X16_Y3_N21
\led_flash_cnt[172][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[172][4]~29294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[172][4]~q\);

-- Location: LCCOMB_X16_Y3_N22
\led_flash_cnt[172][5]~29296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[172][5]~29296_combout\ = (\led_flash_cnt[172][5]~q\ & (\led_flash_cnt[172][4]~29295\ $ (GND))) # (!\led_flash_cnt[172][5]~q\ & (!\led_flash_cnt[172][4]~29295\ & VCC))
-- \led_flash_cnt[172][5]~29297\ = CARRY((\led_flash_cnt[172][5]~q\ & !\led_flash_cnt[172][4]~29295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[172][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[172][4]~29295\,
	combout => \led_flash_cnt[172][5]~29296_combout\,
	cout => \led_flash_cnt[172][5]~29297\);

-- Location: FF_X16_Y3_N23
\led_flash_cnt[172][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[172][5]~29296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[172][5]~q\);

-- Location: LCCOMB_X16_Y3_N24
\led_flash_cnt[172][6]~29298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[172][6]~29298_combout\ = (\led_flash_cnt[172][6]~q\ & (!\led_flash_cnt[172][5]~29297\)) # (!\led_flash_cnt[172][6]~q\ & ((\led_flash_cnt[172][5]~29297\) # (GND)))
-- \led_flash_cnt[172][6]~29299\ = CARRY((!\led_flash_cnt[172][5]~29297\) # (!\led_flash_cnt[172][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[172][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[172][5]~29297\,
	combout => \led_flash_cnt[172][6]~29298_combout\,
	cout => \led_flash_cnt[172][6]~29299\);

-- Location: FF_X16_Y3_N25
\led_flash_cnt[172][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[172][6]~29298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[172][6]~q\);

-- Location: LCCOMB_X16_Y3_N10
\WideAnd172~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd172~1_combout\ = (\led_flash_cnt[172][5]~q\ & \led_flash_cnt[172][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[172][5]~q\,
	datad => \led_flash_cnt[172][6]~q\,
	combout => \WideAnd172~1_combout\);

-- Location: LCCOMB_X16_Y3_N4
\WideAnd172~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd172~0_combout\ = (\led_flash_cnt[172][3]~q\ & (\led_flash_cnt[172][4]~q\ & (\led_flash_cnt[172][1]~q\ & \led_flash_cnt[172][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[172][3]~q\,
	datab => \led_flash_cnt[172][4]~q\,
	datac => \led_flash_cnt[172][1]~q\,
	datad => \led_flash_cnt[172][2]~q\,
	combout => \WideAnd172~0_combout\);

-- Location: LCCOMB_X16_Y3_N26
\led_flash_cnt[172][7]~29300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[172][7]~29300_combout\ = \led_flash_cnt[172][7]~q\ $ (!\led_flash_cnt[172][6]~29299\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[172][7]~q\,
	cin => \led_flash_cnt[172][6]~29299\,
	combout => \led_flash_cnt[172][7]~29300_combout\);

-- Location: FF_X16_Y3_N27
\led_flash_cnt[172][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[172][7]~29300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[172][7]~q\);

-- Location: LCCOMB_X16_Y3_N30
WideAnd172 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd172~combout\ = (\WideAnd172~1_combout\ & (\WideAnd172~0_combout\ & (\led_flash_cnt[172][7]~q\ & \led_flash_cnt[172][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd172~1_combout\,
	datab => \WideAnd172~0_combout\,
	datac => \led_flash_cnt[172][7]~q\,
	datad => \led_flash_cnt[172][0]~q\,
	combout => \WideAnd172~combout\);

-- Location: FF_X16_Y3_N31
\led_flash_cnt_ands[172]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd172~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(172));

-- Location: LCCOMB_X61_Y3_N26
\led_flash_cnt[173][0]~80813\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[173][0]~80813_combout\ = !\led_flash_cnt[173][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[173][0]~q\,
	combout => \led_flash_cnt[173][0]~80813_combout\);

-- Location: FF_X61_Y3_N27
\led_flash_cnt[173][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[173][0]~80813_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[173][0]~q\);

-- Location: LCCOMB_X61_Y3_N4
\led_flash_cnt[173][1]~29302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[173][1]~29302_combout\ = (\led_flash_cnt[173][0]~q\ & (\led_flash_cnt[173][1]~q\ $ (VCC))) # (!\led_flash_cnt[173][0]~q\ & (\led_flash_cnt[173][1]~q\ & VCC))
-- \led_flash_cnt[173][1]~29303\ = CARRY((\led_flash_cnt[173][0]~q\ & \led_flash_cnt[173][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[173][0]~q\,
	datab => \led_flash_cnt[173][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[173][1]~29302_combout\,
	cout => \led_flash_cnt[173][1]~29303\);

-- Location: FF_X61_Y3_N5
\led_flash_cnt[173][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[173][1]~29302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[173][1]~q\);

-- Location: LCCOMB_X61_Y3_N6
\led_flash_cnt[173][2]~29304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[173][2]~29304_combout\ = (\led_flash_cnt[173][2]~q\ & (!\led_flash_cnt[173][1]~29303\)) # (!\led_flash_cnt[173][2]~q\ & ((\led_flash_cnt[173][1]~29303\) # (GND)))
-- \led_flash_cnt[173][2]~29305\ = CARRY((!\led_flash_cnt[173][1]~29303\) # (!\led_flash_cnt[173][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[173][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[173][1]~29303\,
	combout => \led_flash_cnt[173][2]~29304_combout\,
	cout => \led_flash_cnt[173][2]~29305\);

-- Location: FF_X61_Y3_N7
\led_flash_cnt[173][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[173][2]~29304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[173][2]~q\);

-- Location: LCCOMB_X61_Y3_N8
\led_flash_cnt[173][3]~29306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[173][3]~29306_combout\ = (\led_flash_cnt[173][3]~q\ & (\led_flash_cnt[173][2]~29305\ $ (GND))) # (!\led_flash_cnt[173][3]~q\ & (!\led_flash_cnt[173][2]~29305\ & VCC))
-- \led_flash_cnt[173][3]~29307\ = CARRY((\led_flash_cnt[173][3]~q\ & !\led_flash_cnt[173][2]~29305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[173][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[173][2]~29305\,
	combout => \led_flash_cnt[173][3]~29306_combout\,
	cout => \led_flash_cnt[173][3]~29307\);

-- Location: FF_X61_Y3_N9
\led_flash_cnt[173][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[173][3]~29306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[173][3]~q\);

-- Location: LCCOMB_X61_Y3_N10
\led_flash_cnt[173][4]~29308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[173][4]~29308_combout\ = (\led_flash_cnt[173][4]~q\ & (!\led_flash_cnt[173][3]~29307\)) # (!\led_flash_cnt[173][4]~q\ & ((\led_flash_cnt[173][3]~29307\) # (GND)))
-- \led_flash_cnt[173][4]~29309\ = CARRY((!\led_flash_cnt[173][3]~29307\) # (!\led_flash_cnt[173][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[173][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[173][3]~29307\,
	combout => \led_flash_cnt[173][4]~29308_combout\,
	cout => \led_flash_cnt[173][4]~29309\);

-- Location: FF_X61_Y3_N11
\led_flash_cnt[173][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[173][4]~29308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[173][4]~q\);

-- Location: LCCOMB_X61_Y3_N12
\led_flash_cnt[173][5]~29310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[173][5]~29310_combout\ = (\led_flash_cnt[173][5]~q\ & (\led_flash_cnt[173][4]~29309\ $ (GND))) # (!\led_flash_cnt[173][5]~q\ & (!\led_flash_cnt[173][4]~29309\ & VCC))
-- \led_flash_cnt[173][5]~29311\ = CARRY((\led_flash_cnt[173][5]~q\ & !\led_flash_cnt[173][4]~29309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[173][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[173][4]~29309\,
	combout => \led_flash_cnt[173][5]~29310_combout\,
	cout => \led_flash_cnt[173][5]~29311\);

-- Location: FF_X61_Y3_N13
\led_flash_cnt[173][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[173][5]~29310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[173][5]~q\);

-- Location: LCCOMB_X61_Y3_N14
\led_flash_cnt[173][6]~29312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[173][6]~29312_combout\ = (\led_flash_cnt[173][6]~q\ & (!\led_flash_cnt[173][5]~29311\)) # (!\led_flash_cnt[173][6]~q\ & ((\led_flash_cnt[173][5]~29311\) # (GND)))
-- \led_flash_cnt[173][6]~29313\ = CARRY((!\led_flash_cnt[173][5]~29311\) # (!\led_flash_cnt[173][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[173][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[173][5]~29311\,
	combout => \led_flash_cnt[173][6]~29312_combout\,
	cout => \led_flash_cnt[173][6]~29313\);

-- Location: FF_X61_Y3_N15
\led_flash_cnt[173][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[173][6]~29312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[173][6]~q\);

-- Location: LCCOMB_X61_Y3_N16
\led_flash_cnt[173][7]~29314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[173][7]~29314_combout\ = \led_flash_cnt[173][6]~29313\ $ (!\led_flash_cnt[173][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[173][7]~q\,
	cin => \led_flash_cnt[173][6]~29313\,
	combout => \led_flash_cnt[173][7]~29314_combout\);

-- Location: FF_X61_Y3_N17
\led_flash_cnt[173][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[173][7]~29314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[173][7]~q\);

-- Location: LCCOMB_X61_Y3_N22
\WideAnd173~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd173~1_combout\ = (\led_flash_cnt[173][6]~q\ & \led_flash_cnt[173][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[173][6]~q\,
	datad => \led_flash_cnt[173][5]~q\,
	combout => \WideAnd173~1_combout\);

-- Location: LCCOMB_X61_Y3_N18
\WideAnd173~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd173~0_combout\ = (\led_flash_cnt[173][4]~q\ & (\led_flash_cnt[173][1]~q\ & (\led_flash_cnt[173][3]~q\ & \led_flash_cnt[173][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[173][4]~q\,
	datab => \led_flash_cnt[173][1]~q\,
	datac => \led_flash_cnt[173][3]~q\,
	datad => \led_flash_cnt[173][2]~q\,
	combout => \WideAnd173~0_combout\);

-- Location: LCCOMB_X61_Y3_N28
WideAnd173 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd173~combout\ = (\led_flash_cnt[173][0]~q\ & (\led_flash_cnt[173][7]~q\ & (\WideAnd173~1_combout\ & \WideAnd173~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[173][0]~q\,
	datab => \led_flash_cnt[173][7]~q\,
	datac => \WideAnd173~1_combout\,
	datad => \WideAnd173~0_combout\,
	combout => \WideAnd173~combout\);

-- Location: FF_X61_Y3_N29
\led_flash_cnt_ands[173]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd173~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(173));

-- Location: LCCOMB_X61_Y3_N24
\WideAnd3861~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3861~1_combout\ = (led_flash_cnt_ands(172) & led_flash_cnt_ands(173))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(172),
	datad => led_flash_cnt_ands(173),
	combout => \WideAnd3861~1_combout\);

-- Location: LCCOMB_X61_Y19_N30
WideAnd3861 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3861~combout\ = (led_flash_cnt_ands(174) & (led_flash_cnt_ands(175) & (\WideAnd3861~0_combout\ & \WideAnd3861~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(174),
	datab => led_flash_cnt_ands(175),
	datac => \WideAnd3861~0_combout\,
	datad => \WideAnd3861~1_combout\,
	combout => \WideAnd3861~combout\);

-- Location: FF_X61_Y19_N31
\led_flash_cnt_ands_1[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3861~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(21));

-- Location: LCCOMB_X63_Y12_N10
\led_flash_cnt[162][0]~80801\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[162][0]~80801_combout\ = !\led_flash_cnt[162][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[162][0]~q\,
	combout => \led_flash_cnt[162][0]~80801_combout\);

-- Location: FF_X63_Y12_N11
\led_flash_cnt[162][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[162][0]~80801_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[162][0]~q\);

-- Location: LCCOMB_X63_Y12_N18
\led_flash_cnt[162][1]~29134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[162][1]~29134_combout\ = (\led_flash_cnt[162][0]~q\ & (\led_flash_cnt[162][1]~q\ $ (VCC))) # (!\led_flash_cnt[162][0]~q\ & (\led_flash_cnt[162][1]~q\ & VCC))
-- \led_flash_cnt[162][1]~29135\ = CARRY((\led_flash_cnt[162][0]~q\ & \led_flash_cnt[162][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[162][0]~q\,
	datab => \led_flash_cnt[162][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[162][1]~29134_combout\,
	cout => \led_flash_cnt[162][1]~29135\);

-- Location: FF_X63_Y12_N19
\led_flash_cnt[162][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[162][1]~29134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[162][1]~q\);

-- Location: LCCOMB_X63_Y12_N20
\led_flash_cnt[162][2]~29136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[162][2]~29136_combout\ = (\led_flash_cnt[162][2]~q\ & (!\led_flash_cnt[162][1]~29135\)) # (!\led_flash_cnt[162][2]~q\ & ((\led_flash_cnt[162][1]~29135\) # (GND)))
-- \led_flash_cnt[162][2]~29137\ = CARRY((!\led_flash_cnt[162][1]~29135\) # (!\led_flash_cnt[162][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[162][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[162][1]~29135\,
	combout => \led_flash_cnt[162][2]~29136_combout\,
	cout => \led_flash_cnt[162][2]~29137\);

-- Location: FF_X63_Y12_N21
\led_flash_cnt[162][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[162][2]~29136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[162][2]~q\);

-- Location: LCCOMB_X63_Y12_N22
\led_flash_cnt[162][3]~29138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[162][3]~29138_combout\ = (\led_flash_cnt[162][3]~q\ & (\led_flash_cnt[162][2]~29137\ $ (GND))) # (!\led_flash_cnt[162][3]~q\ & (!\led_flash_cnt[162][2]~29137\ & VCC))
-- \led_flash_cnt[162][3]~29139\ = CARRY((\led_flash_cnt[162][3]~q\ & !\led_flash_cnt[162][2]~29137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[162][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[162][2]~29137\,
	combout => \led_flash_cnt[162][3]~29138_combout\,
	cout => \led_flash_cnt[162][3]~29139\);

-- Location: FF_X63_Y12_N23
\led_flash_cnt[162][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[162][3]~29138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[162][3]~q\);

-- Location: LCCOMB_X63_Y12_N24
\led_flash_cnt[162][4]~29140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[162][4]~29140_combout\ = (\led_flash_cnt[162][4]~q\ & (!\led_flash_cnt[162][3]~29139\)) # (!\led_flash_cnt[162][4]~q\ & ((\led_flash_cnt[162][3]~29139\) # (GND)))
-- \led_flash_cnt[162][4]~29141\ = CARRY((!\led_flash_cnt[162][3]~29139\) # (!\led_flash_cnt[162][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[162][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[162][3]~29139\,
	combout => \led_flash_cnt[162][4]~29140_combout\,
	cout => \led_flash_cnt[162][4]~29141\);

-- Location: FF_X63_Y12_N25
\led_flash_cnt[162][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[162][4]~29140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[162][4]~q\);

-- Location: LCCOMB_X63_Y12_N26
\led_flash_cnt[162][5]~29142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[162][5]~29142_combout\ = (\led_flash_cnt[162][5]~q\ & (\led_flash_cnt[162][4]~29141\ $ (GND))) # (!\led_flash_cnt[162][5]~q\ & (!\led_flash_cnt[162][4]~29141\ & VCC))
-- \led_flash_cnt[162][5]~29143\ = CARRY((\led_flash_cnt[162][5]~q\ & !\led_flash_cnt[162][4]~29141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[162][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[162][4]~29141\,
	combout => \led_flash_cnt[162][5]~29142_combout\,
	cout => \led_flash_cnt[162][5]~29143\);

-- Location: FF_X63_Y12_N27
\led_flash_cnt[162][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[162][5]~29142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[162][5]~q\);

-- Location: LCCOMB_X63_Y12_N28
\led_flash_cnt[162][6]~29144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[162][6]~29144_combout\ = (\led_flash_cnt[162][6]~q\ & (!\led_flash_cnt[162][5]~29143\)) # (!\led_flash_cnt[162][6]~q\ & ((\led_flash_cnt[162][5]~29143\) # (GND)))
-- \led_flash_cnt[162][6]~29145\ = CARRY((!\led_flash_cnt[162][5]~29143\) # (!\led_flash_cnt[162][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[162][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[162][5]~29143\,
	combout => \led_flash_cnt[162][6]~29144_combout\,
	cout => \led_flash_cnt[162][6]~29145\);

-- Location: FF_X63_Y12_N29
\led_flash_cnt[162][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[162][6]~29144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[162][6]~q\);

-- Location: LCCOMB_X63_Y12_N30
\led_flash_cnt[162][7]~29146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[162][7]~29146_combout\ = \led_flash_cnt[162][7]~q\ $ (!\led_flash_cnt[162][6]~29145\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[162][7]~q\,
	cin => \led_flash_cnt[162][6]~29145\,
	combout => \led_flash_cnt[162][7]~29146_combout\);

-- Location: FF_X63_Y12_N31
\led_flash_cnt[162][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[162][7]~29146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[162][7]~q\);

-- Location: LCCOMB_X63_Y12_N16
\WideAnd162~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd162~0_combout\ = (\led_flash_cnt[162][4]~q\ & (\led_flash_cnt[162][2]~q\ & (\led_flash_cnt[162][3]~q\ & \led_flash_cnt[162][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[162][4]~q\,
	datab => \led_flash_cnt[162][2]~q\,
	datac => \led_flash_cnt[162][3]~q\,
	datad => \led_flash_cnt[162][1]~q\,
	combout => \WideAnd162~0_combout\);

-- Location: LCCOMB_X63_Y12_N8
\WideAnd162~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd162~1_combout\ = (\led_flash_cnt[162][5]~q\ & \led_flash_cnt[162][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[162][5]~q\,
	datad => \led_flash_cnt[162][0]~q\,
	combout => \WideAnd162~1_combout\);

-- Location: LCCOMB_X63_Y12_N2
WideAnd162 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd162~combout\ = (\led_flash_cnt[162][7]~q\ & (\WideAnd162~0_combout\ & (\WideAnd162~1_combout\ & \led_flash_cnt[162][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[162][7]~q\,
	datab => \WideAnd162~0_combout\,
	datac => \WideAnd162~1_combout\,
	datad => \led_flash_cnt[162][6]~q\,
	combout => \WideAnd162~combout\);

-- Location: FF_X63_Y12_N3
\led_flash_cnt_ands[162]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd162~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(162));

-- Location: LCCOMB_X57_Y14_N18
\led_flash_cnt[166][0]~80800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[166][0]~80800_combout\ = !\led_flash_cnt[166][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[166][0]~q\,
	combout => \led_flash_cnt[166][0]~80800_combout\);

-- Location: FF_X57_Y14_N19
\led_flash_cnt[166][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[166][0]~80800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[166][0]~q\);

-- Location: LCCOMB_X57_Y14_N0
\led_flash_cnt[166][1]~29120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[166][1]~29120_combout\ = (\led_flash_cnt[166][1]~q\ & (\led_flash_cnt[166][0]~q\ $ (VCC))) # (!\led_flash_cnt[166][1]~q\ & (\led_flash_cnt[166][0]~q\ & VCC))
-- \led_flash_cnt[166][1]~29121\ = CARRY((\led_flash_cnt[166][1]~q\ & \led_flash_cnt[166][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[166][1]~q\,
	datab => \led_flash_cnt[166][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[166][1]~29120_combout\,
	cout => \led_flash_cnt[166][1]~29121\);

-- Location: FF_X57_Y14_N1
\led_flash_cnt[166][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[166][1]~29120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[166][1]~q\);

-- Location: LCCOMB_X57_Y14_N2
\led_flash_cnt[166][2]~29122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[166][2]~29122_combout\ = (\led_flash_cnt[166][2]~q\ & (!\led_flash_cnt[166][1]~29121\)) # (!\led_flash_cnt[166][2]~q\ & ((\led_flash_cnt[166][1]~29121\) # (GND)))
-- \led_flash_cnt[166][2]~29123\ = CARRY((!\led_flash_cnt[166][1]~29121\) # (!\led_flash_cnt[166][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[166][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[166][1]~29121\,
	combout => \led_flash_cnt[166][2]~29122_combout\,
	cout => \led_flash_cnt[166][2]~29123\);

-- Location: FF_X57_Y14_N3
\led_flash_cnt[166][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[166][2]~29122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[166][2]~q\);

-- Location: LCCOMB_X57_Y14_N4
\led_flash_cnt[166][3]~29124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[166][3]~29124_combout\ = (\led_flash_cnt[166][3]~q\ & (\led_flash_cnt[166][2]~29123\ $ (GND))) # (!\led_flash_cnt[166][3]~q\ & (!\led_flash_cnt[166][2]~29123\ & VCC))
-- \led_flash_cnt[166][3]~29125\ = CARRY((\led_flash_cnt[166][3]~q\ & !\led_flash_cnt[166][2]~29123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[166][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[166][2]~29123\,
	combout => \led_flash_cnt[166][3]~29124_combout\,
	cout => \led_flash_cnt[166][3]~29125\);

-- Location: FF_X57_Y14_N5
\led_flash_cnt[166][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[166][3]~29124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[166][3]~q\);

-- Location: LCCOMB_X57_Y14_N6
\led_flash_cnt[166][4]~29126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[166][4]~29126_combout\ = (\led_flash_cnt[166][4]~q\ & (!\led_flash_cnt[166][3]~29125\)) # (!\led_flash_cnt[166][4]~q\ & ((\led_flash_cnt[166][3]~29125\) # (GND)))
-- \led_flash_cnt[166][4]~29127\ = CARRY((!\led_flash_cnt[166][3]~29125\) # (!\led_flash_cnt[166][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[166][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[166][3]~29125\,
	combout => \led_flash_cnt[166][4]~29126_combout\,
	cout => \led_flash_cnt[166][4]~29127\);

-- Location: FF_X57_Y14_N7
\led_flash_cnt[166][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[166][4]~29126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[166][4]~q\);

-- Location: LCCOMB_X57_Y14_N22
\WideAnd166~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd166~0_combout\ = (\led_flash_cnt[166][4]~q\ & (\led_flash_cnt[166][1]~q\ & (\led_flash_cnt[166][3]~q\ & \led_flash_cnt[166][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[166][4]~q\,
	datab => \led_flash_cnt[166][1]~q\,
	datac => \led_flash_cnt[166][3]~q\,
	datad => \led_flash_cnt[166][2]~q\,
	combout => \WideAnd166~0_combout\);

-- Location: LCCOMB_X57_Y14_N8
\led_flash_cnt[166][5]~29128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[166][5]~29128_combout\ = (\led_flash_cnt[166][5]~q\ & (\led_flash_cnt[166][4]~29127\ $ (GND))) # (!\led_flash_cnt[166][5]~q\ & (!\led_flash_cnt[166][4]~29127\ & VCC))
-- \led_flash_cnt[166][5]~29129\ = CARRY((\led_flash_cnt[166][5]~q\ & !\led_flash_cnt[166][4]~29127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[166][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[166][4]~29127\,
	combout => \led_flash_cnt[166][5]~29128_combout\,
	cout => \led_flash_cnt[166][5]~29129\);

-- Location: FF_X57_Y14_N9
\led_flash_cnt[166][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[166][5]~29128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[166][5]~q\);

-- Location: LCCOMB_X57_Y14_N10
\led_flash_cnt[166][6]~29130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[166][6]~29130_combout\ = (\led_flash_cnt[166][6]~q\ & (!\led_flash_cnt[166][5]~29129\)) # (!\led_flash_cnt[166][6]~q\ & ((\led_flash_cnt[166][5]~29129\) # (GND)))
-- \led_flash_cnt[166][6]~29131\ = CARRY((!\led_flash_cnt[166][5]~29129\) # (!\led_flash_cnt[166][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[166][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[166][5]~29129\,
	combout => \led_flash_cnt[166][6]~29130_combout\,
	cout => \led_flash_cnt[166][6]~29131\);

-- Location: FF_X57_Y14_N11
\led_flash_cnt[166][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[166][6]~29130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[166][6]~q\);

-- Location: LCCOMB_X57_Y14_N30
\WideAnd166~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd166~1_combout\ = (\led_flash_cnt[166][5]~q\ & \led_flash_cnt[166][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[166][5]~q\,
	datad => \led_flash_cnt[166][6]~q\,
	combout => \WideAnd166~1_combout\);

-- Location: LCCOMB_X57_Y14_N12
\led_flash_cnt[166][7]~29132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[166][7]~29132_combout\ = \led_flash_cnt[166][6]~29131\ $ (!\led_flash_cnt[166][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[166][7]~q\,
	cin => \led_flash_cnt[166][6]~29131\,
	combout => \led_flash_cnt[166][7]~29132_combout\);

-- Location: FF_X57_Y14_N13
\led_flash_cnt[166][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[166][7]~29132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[166][7]~q\);

-- Location: LCCOMB_X57_Y14_N20
WideAnd166 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd166~combout\ = (\WideAnd166~0_combout\ & (\led_flash_cnt[166][0]~q\ & (\WideAnd166~1_combout\ & \led_flash_cnt[166][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd166~0_combout\,
	datab => \led_flash_cnt[166][0]~q\,
	datac => \WideAnd166~1_combout\,
	datad => \led_flash_cnt[166][7]~q\,
	combout => \WideAnd166~combout\);

-- Location: FF_X57_Y14_N21
\led_flash_cnt_ands[166]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd166~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(166));

-- Location: LCCOMB_X17_Y28_N30
\led_flash_cnt[164][0]~80804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[164][0]~80804_combout\ = !\led_flash_cnt[164][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[164][0]~q\,
	combout => \led_flash_cnt[164][0]~80804_combout\);

-- Location: FF_X17_Y28_N31
\led_flash_cnt[164][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[164][0]~80804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[164][0]~q\);

-- Location: LCCOMB_X17_Y28_N16
\led_flash_cnt[164][1]~29176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[164][1]~29176_combout\ = (\led_flash_cnt[164][0]~q\ & (\led_flash_cnt[164][1]~q\ $ (VCC))) # (!\led_flash_cnt[164][0]~q\ & (\led_flash_cnt[164][1]~q\ & VCC))
-- \led_flash_cnt[164][1]~29177\ = CARRY((\led_flash_cnt[164][0]~q\ & \led_flash_cnt[164][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[164][0]~q\,
	datab => \led_flash_cnt[164][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[164][1]~29176_combout\,
	cout => \led_flash_cnt[164][1]~29177\);

-- Location: FF_X17_Y28_N17
\led_flash_cnt[164][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[164][1]~29176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[164][1]~q\);

-- Location: LCCOMB_X17_Y28_N18
\led_flash_cnt[164][2]~29178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[164][2]~29178_combout\ = (\led_flash_cnt[164][2]~q\ & (!\led_flash_cnt[164][1]~29177\)) # (!\led_flash_cnt[164][2]~q\ & ((\led_flash_cnt[164][1]~29177\) # (GND)))
-- \led_flash_cnt[164][2]~29179\ = CARRY((!\led_flash_cnt[164][1]~29177\) # (!\led_flash_cnt[164][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[164][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[164][1]~29177\,
	combout => \led_flash_cnt[164][2]~29178_combout\,
	cout => \led_flash_cnt[164][2]~29179\);

-- Location: FF_X17_Y28_N19
\led_flash_cnt[164][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[164][2]~29178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[164][2]~q\);

-- Location: LCCOMB_X17_Y28_N20
\led_flash_cnt[164][3]~29180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[164][3]~29180_combout\ = (\led_flash_cnt[164][3]~q\ & (\led_flash_cnt[164][2]~29179\ $ (GND))) # (!\led_flash_cnt[164][3]~q\ & (!\led_flash_cnt[164][2]~29179\ & VCC))
-- \led_flash_cnt[164][3]~29181\ = CARRY((\led_flash_cnt[164][3]~q\ & !\led_flash_cnt[164][2]~29179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[164][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[164][2]~29179\,
	combout => \led_flash_cnt[164][3]~29180_combout\,
	cout => \led_flash_cnt[164][3]~29181\);

-- Location: FF_X17_Y28_N21
\led_flash_cnt[164][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[164][3]~29180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[164][3]~q\);

-- Location: LCCOMB_X17_Y28_N22
\led_flash_cnt[164][4]~29182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[164][4]~29182_combout\ = (\led_flash_cnt[164][4]~q\ & (!\led_flash_cnt[164][3]~29181\)) # (!\led_flash_cnt[164][4]~q\ & ((\led_flash_cnt[164][3]~29181\) # (GND)))
-- \led_flash_cnt[164][4]~29183\ = CARRY((!\led_flash_cnt[164][3]~29181\) # (!\led_flash_cnt[164][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[164][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[164][3]~29181\,
	combout => \led_flash_cnt[164][4]~29182_combout\,
	cout => \led_flash_cnt[164][4]~29183\);

-- Location: FF_X17_Y28_N23
\led_flash_cnt[164][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[164][4]~29182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[164][4]~q\);

-- Location: LCCOMB_X17_Y28_N24
\led_flash_cnt[164][5]~29184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[164][5]~29184_combout\ = (\led_flash_cnt[164][5]~q\ & (\led_flash_cnt[164][4]~29183\ $ (GND))) # (!\led_flash_cnt[164][5]~q\ & (!\led_flash_cnt[164][4]~29183\ & VCC))
-- \led_flash_cnt[164][5]~29185\ = CARRY((\led_flash_cnt[164][5]~q\ & !\led_flash_cnt[164][4]~29183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[164][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[164][4]~29183\,
	combout => \led_flash_cnt[164][5]~29184_combout\,
	cout => \led_flash_cnt[164][5]~29185\);

-- Location: FF_X17_Y28_N25
\led_flash_cnt[164][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[164][5]~29184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[164][5]~q\);

-- Location: LCCOMB_X17_Y28_N26
\led_flash_cnt[164][6]~29186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[164][6]~29186_combout\ = (\led_flash_cnt[164][6]~q\ & (!\led_flash_cnt[164][5]~29185\)) # (!\led_flash_cnt[164][6]~q\ & ((\led_flash_cnt[164][5]~29185\) # (GND)))
-- \led_flash_cnt[164][6]~29187\ = CARRY((!\led_flash_cnt[164][5]~29185\) # (!\led_flash_cnt[164][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[164][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[164][5]~29185\,
	combout => \led_flash_cnt[164][6]~29186_combout\,
	cout => \led_flash_cnt[164][6]~29187\);

-- Location: FF_X17_Y28_N27
\led_flash_cnt[164][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[164][6]~29186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[164][6]~q\);

-- Location: LCCOMB_X17_Y28_N28
\led_flash_cnt[164][7]~29188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[164][7]~29188_combout\ = \led_flash_cnt[164][6]~29187\ $ (!\led_flash_cnt[164][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[164][7]~q\,
	cin => \led_flash_cnt[164][6]~29187\,
	combout => \led_flash_cnt[164][7]~29188_combout\);

-- Location: FF_X17_Y28_N29
\led_flash_cnt[164][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[164][7]~29188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[164][7]~q\);

-- Location: LCCOMB_X17_Y28_N8
\WideAnd164~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd164~0_combout\ = (\led_flash_cnt[164][2]~q\ & (\led_flash_cnt[164][1]~q\ & (\led_flash_cnt[164][4]~q\ & \led_flash_cnt[164][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[164][2]~q\,
	datab => \led_flash_cnt[164][1]~q\,
	datac => \led_flash_cnt[164][4]~q\,
	datad => \led_flash_cnt[164][3]~q\,
	combout => \WideAnd164~0_combout\);

-- Location: LCCOMB_X17_Y28_N10
\WideAnd164~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd164~1_combout\ = (\led_flash_cnt[164][6]~q\ & \led_flash_cnt[164][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[164][6]~q\,
	datad => \led_flash_cnt[164][5]~q\,
	combout => \WideAnd164~1_combout\);

-- Location: LCCOMB_X17_Y28_N6
WideAnd164 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd164~combout\ = (\led_flash_cnt[164][0]~q\ & (\led_flash_cnt[164][7]~q\ & (\WideAnd164~0_combout\ & \WideAnd164~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[164][0]~q\,
	datab => \led_flash_cnt[164][7]~q\,
	datac => \WideAnd164~0_combout\,
	datad => \WideAnd164~1_combout\,
	combout => \WideAnd164~combout\);

-- Location: FF_X17_Y28_N7
\led_flash_cnt_ands[164]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd164~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(164));

-- Location: LCCOMB_X17_Y28_N2
\led_flash_cnt[160][0]~80802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[160][0]~80802_combout\ = !\led_flash_cnt[160][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[160][0]~q\,
	combout => \led_flash_cnt[160][0]~80802_combout\);

-- Location: FF_X17_Y28_N3
\led_flash_cnt[160][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[160][0]~80802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[160][0]~q\);

-- Location: LCCOMB_X16_Y28_N14
\led_flash_cnt[160][1]~29148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[160][1]~29148_combout\ = (\led_flash_cnt[160][0]~q\ & (\led_flash_cnt[160][1]~q\ $ (VCC))) # (!\led_flash_cnt[160][0]~q\ & (\led_flash_cnt[160][1]~q\ & VCC))
-- \led_flash_cnt[160][1]~29149\ = CARRY((\led_flash_cnt[160][0]~q\ & \led_flash_cnt[160][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[160][0]~q\,
	datab => \led_flash_cnt[160][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[160][1]~29148_combout\,
	cout => \led_flash_cnt[160][1]~29149\);

-- Location: FF_X16_Y28_N15
\led_flash_cnt[160][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[160][1]~29148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[160][1]~q\);

-- Location: LCCOMB_X16_Y28_N16
\led_flash_cnt[160][2]~29150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[160][2]~29150_combout\ = (\led_flash_cnt[160][2]~q\ & (!\led_flash_cnt[160][1]~29149\)) # (!\led_flash_cnt[160][2]~q\ & ((\led_flash_cnt[160][1]~29149\) # (GND)))
-- \led_flash_cnt[160][2]~29151\ = CARRY((!\led_flash_cnt[160][1]~29149\) # (!\led_flash_cnt[160][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[160][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[160][1]~29149\,
	combout => \led_flash_cnt[160][2]~29150_combout\,
	cout => \led_flash_cnt[160][2]~29151\);

-- Location: FF_X16_Y28_N17
\led_flash_cnt[160][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[160][2]~29150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[160][2]~q\);

-- Location: LCCOMB_X16_Y28_N18
\led_flash_cnt[160][3]~29152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[160][3]~29152_combout\ = (\led_flash_cnt[160][3]~q\ & (\led_flash_cnt[160][2]~29151\ $ (GND))) # (!\led_flash_cnt[160][3]~q\ & (!\led_flash_cnt[160][2]~29151\ & VCC))
-- \led_flash_cnt[160][3]~29153\ = CARRY((\led_flash_cnt[160][3]~q\ & !\led_flash_cnt[160][2]~29151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[160][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[160][2]~29151\,
	combout => \led_flash_cnt[160][3]~29152_combout\,
	cout => \led_flash_cnt[160][3]~29153\);

-- Location: FF_X16_Y28_N19
\led_flash_cnt[160][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[160][3]~29152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[160][3]~q\);

-- Location: LCCOMB_X16_Y28_N20
\led_flash_cnt[160][4]~29154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[160][4]~29154_combout\ = (\led_flash_cnt[160][4]~q\ & (!\led_flash_cnt[160][3]~29153\)) # (!\led_flash_cnt[160][4]~q\ & ((\led_flash_cnt[160][3]~29153\) # (GND)))
-- \led_flash_cnt[160][4]~29155\ = CARRY((!\led_flash_cnt[160][3]~29153\) # (!\led_flash_cnt[160][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[160][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[160][3]~29153\,
	combout => \led_flash_cnt[160][4]~29154_combout\,
	cout => \led_flash_cnt[160][4]~29155\);

-- Location: FF_X16_Y28_N21
\led_flash_cnt[160][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[160][4]~29154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[160][4]~q\);

-- Location: LCCOMB_X16_Y28_N22
\led_flash_cnt[160][5]~29156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[160][5]~29156_combout\ = (\led_flash_cnt[160][5]~q\ & (\led_flash_cnt[160][4]~29155\ $ (GND))) # (!\led_flash_cnt[160][5]~q\ & (!\led_flash_cnt[160][4]~29155\ & VCC))
-- \led_flash_cnt[160][5]~29157\ = CARRY((\led_flash_cnt[160][5]~q\ & !\led_flash_cnt[160][4]~29155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[160][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[160][4]~29155\,
	combout => \led_flash_cnt[160][5]~29156_combout\,
	cout => \led_flash_cnt[160][5]~29157\);

-- Location: FF_X16_Y28_N23
\led_flash_cnt[160][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[160][5]~29156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[160][5]~q\);

-- Location: LCCOMB_X16_Y28_N24
\led_flash_cnt[160][6]~29158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[160][6]~29158_combout\ = (\led_flash_cnt[160][6]~q\ & (!\led_flash_cnt[160][5]~29157\)) # (!\led_flash_cnt[160][6]~q\ & ((\led_flash_cnt[160][5]~29157\) # (GND)))
-- \led_flash_cnt[160][6]~29159\ = CARRY((!\led_flash_cnt[160][5]~29157\) # (!\led_flash_cnt[160][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[160][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[160][5]~29157\,
	combout => \led_flash_cnt[160][6]~29158_combout\,
	cout => \led_flash_cnt[160][6]~29159\);

-- Location: FF_X16_Y28_N25
\led_flash_cnt[160][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[160][6]~29158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[160][6]~q\);

-- Location: LCCOMB_X16_Y28_N26
\led_flash_cnt[160][7]~29160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[160][7]~29160_combout\ = \led_flash_cnt[160][7]~q\ $ (!\led_flash_cnt[160][6]~29159\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[160][7]~q\,
	cin => \led_flash_cnt[160][6]~29159\,
	combout => \led_flash_cnt[160][7]~29160_combout\);

-- Location: FF_X16_Y28_N27
\led_flash_cnt[160][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[160][7]~29160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[160][7]~q\);

-- Location: LCCOMB_X16_Y28_N30
\WideAnd160~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd160~0_combout\ = (\led_flash_cnt[160][2]~q\ & (\led_flash_cnt[160][3]~q\ & (\led_flash_cnt[160][1]~q\ & \led_flash_cnt[160][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[160][2]~q\,
	datab => \led_flash_cnt[160][3]~q\,
	datac => \led_flash_cnt[160][1]~q\,
	datad => \led_flash_cnt[160][4]~q\,
	combout => \WideAnd160~0_combout\);

-- Location: LCCOMB_X17_Y28_N4
\WideAnd160~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd160~1_combout\ = (\led_flash_cnt[160][5]~q\ & \led_flash_cnt[160][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[160][5]~q\,
	datad => \led_flash_cnt[160][6]~q\,
	combout => \WideAnd160~1_combout\);

-- Location: LCCOMB_X17_Y28_N0
WideAnd160 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd160~combout\ = (\led_flash_cnt[160][7]~q\ & (\WideAnd160~0_combout\ & (\WideAnd160~1_combout\ & \led_flash_cnt[160][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[160][7]~q\,
	datab => \WideAnd160~0_combout\,
	datac => \WideAnd160~1_combout\,
	datad => \led_flash_cnt[160][0]~q\,
	combout => \WideAnd160~combout\);

-- Location: FF_X17_Y28_N1
\led_flash_cnt_ands[160]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd160~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(160));

-- Location: LCCOMB_X35_Y10_N24
\led_flash_cnt[163][0]~80803\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[163][0]~80803_combout\ = !\led_flash_cnt[163][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[163][0]~q\,
	combout => \led_flash_cnt[163][0]~80803_combout\);

-- Location: FF_X35_Y10_N25
\led_flash_cnt[163][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[163][0]~80803_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[163][0]~q\);

-- Location: LCCOMB_X34_Y10_N18
\led_flash_cnt[163][1]~29162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[163][1]~29162_combout\ = (\led_flash_cnt[163][0]~q\ & (\led_flash_cnt[163][1]~q\ $ (VCC))) # (!\led_flash_cnt[163][0]~q\ & (\led_flash_cnt[163][1]~q\ & VCC))
-- \led_flash_cnt[163][1]~29163\ = CARRY((\led_flash_cnt[163][0]~q\ & \led_flash_cnt[163][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[163][0]~q\,
	datab => \led_flash_cnt[163][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[163][1]~29162_combout\,
	cout => \led_flash_cnt[163][1]~29163\);

-- Location: FF_X34_Y10_N19
\led_flash_cnt[163][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[163][1]~29162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[163][1]~q\);

-- Location: LCCOMB_X34_Y10_N20
\led_flash_cnt[163][2]~29164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[163][2]~29164_combout\ = (\led_flash_cnt[163][2]~q\ & (!\led_flash_cnt[163][1]~29163\)) # (!\led_flash_cnt[163][2]~q\ & ((\led_flash_cnt[163][1]~29163\) # (GND)))
-- \led_flash_cnt[163][2]~29165\ = CARRY((!\led_flash_cnt[163][1]~29163\) # (!\led_flash_cnt[163][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[163][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[163][1]~29163\,
	combout => \led_flash_cnt[163][2]~29164_combout\,
	cout => \led_flash_cnt[163][2]~29165\);

-- Location: FF_X34_Y10_N21
\led_flash_cnt[163][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[163][2]~29164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[163][2]~q\);

-- Location: LCCOMB_X34_Y10_N22
\led_flash_cnt[163][3]~29166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[163][3]~29166_combout\ = (\led_flash_cnt[163][3]~q\ & (\led_flash_cnt[163][2]~29165\ $ (GND))) # (!\led_flash_cnt[163][3]~q\ & (!\led_flash_cnt[163][2]~29165\ & VCC))
-- \led_flash_cnt[163][3]~29167\ = CARRY((\led_flash_cnt[163][3]~q\ & !\led_flash_cnt[163][2]~29165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[163][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[163][2]~29165\,
	combout => \led_flash_cnt[163][3]~29166_combout\,
	cout => \led_flash_cnt[163][3]~29167\);

-- Location: FF_X34_Y10_N23
\led_flash_cnt[163][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[163][3]~29166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[163][3]~q\);

-- Location: LCCOMB_X34_Y10_N24
\led_flash_cnt[163][4]~29168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[163][4]~29168_combout\ = (\led_flash_cnt[163][4]~q\ & (!\led_flash_cnt[163][3]~29167\)) # (!\led_flash_cnt[163][4]~q\ & ((\led_flash_cnt[163][3]~29167\) # (GND)))
-- \led_flash_cnt[163][4]~29169\ = CARRY((!\led_flash_cnt[163][3]~29167\) # (!\led_flash_cnt[163][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[163][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[163][3]~29167\,
	combout => \led_flash_cnt[163][4]~29168_combout\,
	cout => \led_flash_cnt[163][4]~29169\);

-- Location: FF_X34_Y10_N25
\led_flash_cnt[163][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[163][4]~29168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[163][4]~q\);

-- Location: LCCOMB_X34_Y10_N14
\WideAnd163~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd163~0_combout\ = (\led_flash_cnt[163][4]~q\ & (\led_flash_cnt[163][1]~q\ & (\led_flash_cnt[163][3]~q\ & \led_flash_cnt[163][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[163][4]~q\,
	datab => \led_flash_cnt[163][1]~q\,
	datac => \led_flash_cnt[163][3]~q\,
	datad => \led_flash_cnt[163][2]~q\,
	combout => \WideAnd163~0_combout\);

-- Location: LCCOMB_X34_Y10_N26
\led_flash_cnt[163][5]~29170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[163][5]~29170_combout\ = (\led_flash_cnt[163][5]~q\ & (\led_flash_cnt[163][4]~29169\ $ (GND))) # (!\led_flash_cnt[163][5]~q\ & (!\led_flash_cnt[163][4]~29169\ & VCC))
-- \led_flash_cnt[163][5]~29171\ = CARRY((\led_flash_cnt[163][5]~q\ & !\led_flash_cnt[163][4]~29169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[163][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[163][4]~29169\,
	combout => \led_flash_cnt[163][5]~29170_combout\,
	cout => \led_flash_cnt[163][5]~29171\);

-- Location: FF_X34_Y10_N27
\led_flash_cnt[163][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[163][5]~29170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[163][5]~q\);

-- Location: LCCOMB_X34_Y10_N28
\led_flash_cnt[163][6]~29172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[163][6]~29172_combout\ = (\led_flash_cnt[163][6]~q\ & (!\led_flash_cnt[163][5]~29171\)) # (!\led_flash_cnt[163][6]~q\ & ((\led_flash_cnt[163][5]~29171\) # (GND)))
-- \led_flash_cnt[163][6]~29173\ = CARRY((!\led_flash_cnt[163][5]~29171\) # (!\led_flash_cnt[163][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[163][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[163][5]~29171\,
	combout => \led_flash_cnt[163][6]~29172_combout\,
	cout => \led_flash_cnt[163][6]~29173\);

-- Location: FF_X34_Y10_N29
\led_flash_cnt[163][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[163][6]~29172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[163][6]~q\);

-- Location: LCCOMB_X34_Y10_N30
\led_flash_cnt[163][7]~29174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[163][7]~29174_combout\ = \led_flash_cnt[163][7]~q\ $ (!\led_flash_cnt[163][6]~29173\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[163][7]~q\,
	cin => \led_flash_cnt[163][6]~29173\,
	combout => \led_flash_cnt[163][7]~29174_combout\);

-- Location: FF_X34_Y10_N31
\led_flash_cnt[163][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[163][7]~29174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[163][7]~q\);

-- Location: LCCOMB_X35_Y10_N22
\WideAnd163~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd163~1_combout\ = (\led_flash_cnt[163][5]~q\ & \led_flash_cnt[163][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[163][5]~q\,
	datad => \led_flash_cnt[163][6]~q\,
	combout => \WideAnd163~1_combout\);

-- Location: LCCOMB_X35_Y10_N28
WideAnd163 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd163~combout\ = (\WideAnd163~0_combout\ & (\led_flash_cnt[163][7]~q\ & (\WideAnd163~1_combout\ & \led_flash_cnt[163][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd163~0_combout\,
	datab => \led_flash_cnt[163][7]~q\,
	datac => \WideAnd163~1_combout\,
	datad => \led_flash_cnt[163][0]~q\,
	combout => \WideAnd163~combout\);

-- Location: FF_X35_Y10_N29
\led_flash_cnt_ands[163]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd163~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(163));

-- Location: LCCOMB_X16_Y3_N8
\led_flash_cnt[165][0]~80805\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[165][0]~80805_combout\ = !\led_flash_cnt[165][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[165][0]~q\,
	combout => \led_flash_cnt[165][0]~80805_combout\);

-- Location: FF_X16_Y3_N9
\led_flash_cnt[165][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[165][0]~80805_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[165][0]~q\);

-- Location: LCCOMB_X17_Y3_N2
\led_flash_cnt[165][1]~29190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[165][1]~29190_combout\ = (\led_flash_cnt[165][0]~q\ & (\led_flash_cnt[165][1]~q\ $ (VCC))) # (!\led_flash_cnt[165][0]~q\ & (\led_flash_cnt[165][1]~q\ & VCC))
-- \led_flash_cnt[165][1]~29191\ = CARRY((\led_flash_cnt[165][0]~q\ & \led_flash_cnt[165][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[165][0]~q\,
	datab => \led_flash_cnt[165][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[165][1]~29190_combout\,
	cout => \led_flash_cnt[165][1]~29191\);

-- Location: FF_X17_Y3_N3
\led_flash_cnt[165][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[165][1]~29190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[165][1]~q\);

-- Location: LCCOMB_X17_Y3_N4
\led_flash_cnt[165][2]~29192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[165][2]~29192_combout\ = (\led_flash_cnt[165][2]~q\ & (!\led_flash_cnt[165][1]~29191\)) # (!\led_flash_cnt[165][2]~q\ & ((\led_flash_cnt[165][1]~29191\) # (GND)))
-- \led_flash_cnt[165][2]~29193\ = CARRY((!\led_flash_cnt[165][1]~29191\) # (!\led_flash_cnt[165][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[165][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[165][1]~29191\,
	combout => \led_flash_cnt[165][2]~29192_combout\,
	cout => \led_flash_cnt[165][2]~29193\);

-- Location: FF_X17_Y3_N5
\led_flash_cnt[165][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[165][2]~29192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[165][2]~q\);

-- Location: LCCOMB_X17_Y3_N6
\led_flash_cnt[165][3]~29194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[165][3]~29194_combout\ = (\led_flash_cnt[165][3]~q\ & (\led_flash_cnt[165][2]~29193\ $ (GND))) # (!\led_flash_cnt[165][3]~q\ & (!\led_flash_cnt[165][2]~29193\ & VCC))
-- \led_flash_cnt[165][3]~29195\ = CARRY((\led_flash_cnt[165][3]~q\ & !\led_flash_cnt[165][2]~29193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[165][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[165][2]~29193\,
	combout => \led_flash_cnt[165][3]~29194_combout\,
	cout => \led_flash_cnt[165][3]~29195\);

-- Location: FF_X17_Y3_N7
\led_flash_cnt[165][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[165][3]~29194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[165][3]~q\);

-- Location: LCCOMB_X17_Y3_N8
\led_flash_cnt[165][4]~29196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[165][4]~29196_combout\ = (\led_flash_cnt[165][4]~q\ & (!\led_flash_cnt[165][3]~29195\)) # (!\led_flash_cnt[165][4]~q\ & ((\led_flash_cnt[165][3]~29195\) # (GND)))
-- \led_flash_cnt[165][4]~29197\ = CARRY((!\led_flash_cnt[165][3]~29195\) # (!\led_flash_cnt[165][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[165][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[165][3]~29195\,
	combout => \led_flash_cnt[165][4]~29196_combout\,
	cout => \led_flash_cnt[165][4]~29197\);

-- Location: FF_X17_Y3_N9
\led_flash_cnt[165][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[165][4]~29196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[165][4]~q\);

-- Location: LCCOMB_X17_Y3_N30
\WideAnd165~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd165~0_combout\ = (\led_flash_cnt[165][3]~q\ & (\led_flash_cnt[165][4]~q\ & (\led_flash_cnt[165][2]~q\ & \led_flash_cnt[165][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[165][3]~q\,
	datab => \led_flash_cnt[165][4]~q\,
	datac => \led_flash_cnt[165][2]~q\,
	datad => \led_flash_cnt[165][1]~q\,
	combout => \WideAnd165~0_combout\);

-- Location: LCCOMB_X17_Y3_N10
\led_flash_cnt[165][5]~29198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[165][5]~29198_combout\ = (\led_flash_cnt[165][5]~q\ & (\led_flash_cnt[165][4]~29197\ $ (GND))) # (!\led_flash_cnt[165][5]~q\ & (!\led_flash_cnt[165][4]~29197\ & VCC))
-- \led_flash_cnt[165][5]~29199\ = CARRY((\led_flash_cnt[165][5]~q\ & !\led_flash_cnt[165][4]~29197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[165][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[165][4]~29197\,
	combout => \led_flash_cnt[165][5]~29198_combout\,
	cout => \led_flash_cnt[165][5]~29199\);

-- Location: FF_X17_Y3_N11
\led_flash_cnt[165][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[165][5]~29198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[165][5]~q\);

-- Location: LCCOMB_X17_Y3_N12
\led_flash_cnt[165][6]~29200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[165][6]~29200_combout\ = (\led_flash_cnt[165][6]~q\ & (!\led_flash_cnt[165][5]~29199\)) # (!\led_flash_cnt[165][6]~q\ & ((\led_flash_cnt[165][5]~29199\) # (GND)))
-- \led_flash_cnt[165][6]~29201\ = CARRY((!\led_flash_cnt[165][5]~29199\) # (!\led_flash_cnt[165][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[165][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[165][5]~29199\,
	combout => \led_flash_cnt[165][6]~29200_combout\,
	cout => \led_flash_cnt[165][6]~29201\);

-- Location: FF_X17_Y3_N13
\led_flash_cnt[165][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[165][6]~29200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[165][6]~q\);

-- Location: LCCOMB_X17_Y3_N14
\led_flash_cnt[165][7]~29202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[165][7]~29202_combout\ = \led_flash_cnt[165][7]~q\ $ (!\led_flash_cnt[165][6]~29201\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[165][7]~q\,
	cin => \led_flash_cnt[165][6]~29201\,
	combout => \led_flash_cnt[165][7]~29202_combout\);

-- Location: FF_X17_Y3_N15
\led_flash_cnt[165][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[165][7]~29202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[165][7]~q\);

-- Location: LCCOMB_X16_Y3_N12
\WideAnd165~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd165~1_combout\ = (\led_flash_cnt[165][6]~q\ & \led_flash_cnt[165][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[165][6]~q\,
	datac => \led_flash_cnt[165][5]~q\,
	combout => \WideAnd165~1_combout\);

-- Location: LCCOMB_X16_Y3_N0
WideAnd165 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd165~combout\ = (\WideAnd165~0_combout\ & (\led_flash_cnt[165][0]~q\ & (\led_flash_cnt[165][7]~q\ & \WideAnd165~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd165~0_combout\,
	datab => \led_flash_cnt[165][0]~q\,
	datac => \led_flash_cnt[165][7]~q\,
	datad => \WideAnd165~1_combout\,
	combout => \WideAnd165~combout\);

-- Location: FF_X16_Y3_N1
\led_flash_cnt_ands[165]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd165~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(165));

-- Location: LCCOMB_X17_Y28_N14
\WideAnd3860~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3860~0_combout\ = (led_flash_cnt_ands(164) & (led_flash_cnt_ands(160) & (led_flash_cnt_ands(163) & led_flash_cnt_ands(165))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(164),
	datab => led_flash_cnt_ands(160),
	datac => led_flash_cnt_ands(163),
	datad => led_flash_cnt_ands(165),
	combout => \WideAnd3860~0_combout\);

-- Location: LCCOMB_X56_Y11_N2
\led_flash_cnt[161][0]~80807\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[161][0]~80807_combout\ = !\led_flash_cnt[161][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[161][0]~q\,
	combout => \led_flash_cnt[161][0]~80807_combout\);

-- Location: FF_X56_Y11_N3
\led_flash_cnt[161][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[161][0]~80807_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[161][0]~q\);

-- Location: LCCOMB_X55_Y11_N2
\led_flash_cnt[161][1]~29218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[161][1]~29218_combout\ = (\led_flash_cnt[161][0]~q\ & (\led_flash_cnt[161][1]~q\ $ (VCC))) # (!\led_flash_cnt[161][0]~q\ & (\led_flash_cnt[161][1]~q\ & VCC))
-- \led_flash_cnt[161][1]~29219\ = CARRY((\led_flash_cnt[161][0]~q\ & \led_flash_cnt[161][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[161][0]~q\,
	datab => \led_flash_cnt[161][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[161][1]~29218_combout\,
	cout => \led_flash_cnt[161][1]~29219\);

-- Location: FF_X55_Y11_N3
\led_flash_cnt[161][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[161][1]~29218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[161][1]~q\);

-- Location: LCCOMB_X55_Y11_N4
\led_flash_cnt[161][2]~29220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[161][2]~29220_combout\ = (\led_flash_cnt[161][2]~q\ & (!\led_flash_cnt[161][1]~29219\)) # (!\led_flash_cnt[161][2]~q\ & ((\led_flash_cnt[161][1]~29219\) # (GND)))
-- \led_flash_cnt[161][2]~29221\ = CARRY((!\led_flash_cnt[161][1]~29219\) # (!\led_flash_cnt[161][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[161][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[161][1]~29219\,
	combout => \led_flash_cnt[161][2]~29220_combout\,
	cout => \led_flash_cnt[161][2]~29221\);

-- Location: FF_X55_Y11_N5
\led_flash_cnt[161][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[161][2]~29220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[161][2]~q\);

-- Location: LCCOMB_X55_Y11_N6
\led_flash_cnt[161][3]~29222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[161][3]~29222_combout\ = (\led_flash_cnt[161][3]~q\ & (\led_flash_cnt[161][2]~29221\ $ (GND))) # (!\led_flash_cnt[161][3]~q\ & (!\led_flash_cnt[161][2]~29221\ & VCC))
-- \led_flash_cnt[161][3]~29223\ = CARRY((\led_flash_cnt[161][3]~q\ & !\led_flash_cnt[161][2]~29221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[161][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[161][2]~29221\,
	combout => \led_flash_cnt[161][3]~29222_combout\,
	cout => \led_flash_cnt[161][3]~29223\);

-- Location: FF_X55_Y11_N7
\led_flash_cnt[161][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[161][3]~29222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[161][3]~q\);

-- Location: LCCOMB_X55_Y11_N8
\led_flash_cnt[161][4]~29224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[161][4]~29224_combout\ = (\led_flash_cnt[161][4]~q\ & (!\led_flash_cnt[161][3]~29223\)) # (!\led_flash_cnt[161][4]~q\ & ((\led_flash_cnt[161][3]~29223\) # (GND)))
-- \led_flash_cnt[161][4]~29225\ = CARRY((!\led_flash_cnt[161][3]~29223\) # (!\led_flash_cnt[161][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[161][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[161][3]~29223\,
	combout => \led_flash_cnt[161][4]~29224_combout\,
	cout => \led_flash_cnt[161][4]~29225\);

-- Location: FF_X55_Y11_N9
\led_flash_cnt[161][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[161][4]~29224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[161][4]~q\);

-- Location: LCCOMB_X55_Y11_N10
\led_flash_cnt[161][5]~29226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[161][5]~29226_combout\ = (\led_flash_cnt[161][5]~q\ & (\led_flash_cnt[161][4]~29225\ $ (GND))) # (!\led_flash_cnt[161][5]~q\ & (!\led_flash_cnt[161][4]~29225\ & VCC))
-- \led_flash_cnt[161][5]~29227\ = CARRY((\led_flash_cnt[161][5]~q\ & !\led_flash_cnt[161][4]~29225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[161][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[161][4]~29225\,
	combout => \led_flash_cnt[161][5]~29226_combout\,
	cout => \led_flash_cnt[161][5]~29227\);

-- Location: FF_X55_Y11_N11
\led_flash_cnt[161][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[161][5]~29226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[161][5]~q\);

-- Location: LCCOMB_X55_Y11_N12
\led_flash_cnt[161][6]~29228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[161][6]~29228_combout\ = (\led_flash_cnt[161][6]~q\ & (!\led_flash_cnt[161][5]~29227\)) # (!\led_flash_cnt[161][6]~q\ & ((\led_flash_cnt[161][5]~29227\) # (GND)))
-- \led_flash_cnt[161][6]~29229\ = CARRY((!\led_flash_cnt[161][5]~29227\) # (!\led_flash_cnt[161][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[161][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[161][5]~29227\,
	combout => \led_flash_cnt[161][6]~29228_combout\,
	cout => \led_flash_cnt[161][6]~29229\);

-- Location: FF_X55_Y11_N13
\led_flash_cnt[161][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[161][6]~29228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[161][6]~q\);

-- Location: LCCOMB_X55_Y11_N14
\led_flash_cnt[161][7]~29230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[161][7]~29230_combout\ = \led_flash_cnt[161][7]~q\ $ (!\led_flash_cnt[161][6]~29229\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[161][7]~q\,
	cin => \led_flash_cnt[161][6]~29229\,
	combout => \led_flash_cnt[161][7]~29230_combout\);

-- Location: FF_X55_Y11_N15
\led_flash_cnt[161][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[161][7]~29230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[161][7]~q\);

-- Location: LCCOMB_X56_Y11_N0
\WideAnd161~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd161~1_combout\ = (\led_flash_cnt[161][6]~q\ & \led_flash_cnt[161][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[161][6]~q\,
	datad => \led_flash_cnt[161][5]~q\,
	combout => \WideAnd161~1_combout\);

-- Location: LCCOMB_X55_Y11_N0
\WideAnd161~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd161~0_combout\ = (\led_flash_cnt[161][3]~q\ & (\led_flash_cnt[161][4]~q\ & (\led_flash_cnt[161][2]~q\ & \led_flash_cnt[161][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[161][3]~q\,
	datab => \led_flash_cnt[161][4]~q\,
	datac => \led_flash_cnt[161][2]~q\,
	datad => \led_flash_cnt[161][1]~q\,
	combout => \WideAnd161~0_combout\);

-- Location: LCCOMB_X56_Y11_N30
WideAnd161 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd161~combout\ = (\led_flash_cnt[161][7]~q\ & (\WideAnd161~1_combout\ & (\WideAnd161~0_combout\ & \led_flash_cnt[161][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[161][7]~q\,
	datab => \WideAnd161~1_combout\,
	datac => \WideAnd161~0_combout\,
	datad => \led_flash_cnt[161][0]~q\,
	combout => \WideAnd161~combout\);

-- Location: FF_X56_Y11_N31
\led_flash_cnt_ands[161]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd161~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(161));

-- Location: LCCOMB_X56_Y11_N6
\led_flash_cnt[167][0]~80806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[167][0]~80806_combout\ = !\led_flash_cnt[167][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[167][0]~q\,
	combout => \led_flash_cnt[167][0]~80806_combout\);

-- Location: FF_X56_Y11_N7
\led_flash_cnt[167][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[167][0]~80806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[167][0]~q\);

-- Location: LCCOMB_X56_Y11_N16
\led_flash_cnt[167][1]~29204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[167][1]~29204_combout\ = (\led_flash_cnt[167][0]~q\ & (\led_flash_cnt[167][1]~q\ $ (VCC))) # (!\led_flash_cnt[167][0]~q\ & (\led_flash_cnt[167][1]~q\ & VCC))
-- \led_flash_cnt[167][1]~29205\ = CARRY((\led_flash_cnt[167][0]~q\ & \led_flash_cnt[167][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[167][0]~q\,
	datab => \led_flash_cnt[167][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[167][1]~29204_combout\,
	cout => \led_flash_cnt[167][1]~29205\);

-- Location: FF_X56_Y11_N17
\led_flash_cnt[167][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[167][1]~29204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[167][1]~q\);

-- Location: LCCOMB_X56_Y11_N18
\led_flash_cnt[167][2]~29206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[167][2]~29206_combout\ = (\led_flash_cnt[167][2]~q\ & (!\led_flash_cnt[167][1]~29205\)) # (!\led_flash_cnt[167][2]~q\ & ((\led_flash_cnt[167][1]~29205\) # (GND)))
-- \led_flash_cnt[167][2]~29207\ = CARRY((!\led_flash_cnt[167][1]~29205\) # (!\led_flash_cnt[167][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[167][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[167][1]~29205\,
	combout => \led_flash_cnt[167][2]~29206_combout\,
	cout => \led_flash_cnt[167][2]~29207\);

-- Location: FF_X56_Y11_N19
\led_flash_cnt[167][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[167][2]~29206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[167][2]~q\);

-- Location: LCCOMB_X56_Y11_N20
\led_flash_cnt[167][3]~29208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[167][3]~29208_combout\ = (\led_flash_cnt[167][3]~q\ & (\led_flash_cnt[167][2]~29207\ $ (GND))) # (!\led_flash_cnt[167][3]~q\ & (!\led_flash_cnt[167][2]~29207\ & VCC))
-- \led_flash_cnt[167][3]~29209\ = CARRY((\led_flash_cnt[167][3]~q\ & !\led_flash_cnt[167][2]~29207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[167][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[167][2]~29207\,
	combout => \led_flash_cnt[167][3]~29208_combout\,
	cout => \led_flash_cnt[167][3]~29209\);

-- Location: FF_X56_Y11_N21
\led_flash_cnt[167][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[167][3]~29208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[167][3]~q\);

-- Location: LCCOMB_X56_Y11_N22
\led_flash_cnt[167][4]~29210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[167][4]~29210_combout\ = (\led_flash_cnt[167][4]~q\ & (!\led_flash_cnt[167][3]~29209\)) # (!\led_flash_cnt[167][4]~q\ & ((\led_flash_cnt[167][3]~29209\) # (GND)))
-- \led_flash_cnt[167][4]~29211\ = CARRY((!\led_flash_cnt[167][3]~29209\) # (!\led_flash_cnt[167][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[167][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[167][3]~29209\,
	combout => \led_flash_cnt[167][4]~29210_combout\,
	cout => \led_flash_cnt[167][4]~29211\);

-- Location: FF_X56_Y11_N23
\led_flash_cnt[167][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[167][4]~29210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[167][4]~q\);

-- Location: LCCOMB_X56_Y11_N24
\led_flash_cnt[167][5]~29212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[167][5]~29212_combout\ = (\led_flash_cnt[167][5]~q\ & (\led_flash_cnt[167][4]~29211\ $ (GND))) # (!\led_flash_cnt[167][5]~q\ & (!\led_flash_cnt[167][4]~29211\ & VCC))
-- \led_flash_cnt[167][5]~29213\ = CARRY((\led_flash_cnt[167][5]~q\ & !\led_flash_cnt[167][4]~29211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[167][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[167][4]~29211\,
	combout => \led_flash_cnt[167][5]~29212_combout\,
	cout => \led_flash_cnt[167][5]~29213\);

-- Location: FF_X56_Y11_N25
\led_flash_cnt[167][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[167][5]~29212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[167][5]~q\);

-- Location: LCCOMB_X56_Y11_N26
\led_flash_cnt[167][6]~29214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[167][6]~29214_combout\ = (\led_flash_cnt[167][6]~q\ & (!\led_flash_cnt[167][5]~29213\)) # (!\led_flash_cnt[167][6]~q\ & ((\led_flash_cnt[167][5]~29213\) # (GND)))
-- \led_flash_cnt[167][6]~29215\ = CARRY((!\led_flash_cnt[167][5]~29213\) # (!\led_flash_cnt[167][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[167][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[167][5]~29213\,
	combout => \led_flash_cnt[167][6]~29214_combout\,
	cout => \led_flash_cnt[167][6]~29215\);

-- Location: FF_X56_Y11_N27
\led_flash_cnt[167][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[167][6]~29214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[167][6]~q\);

-- Location: LCCOMB_X56_Y11_N28
\led_flash_cnt[167][7]~29216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[167][7]~29216_combout\ = \led_flash_cnt[167][6]~29215\ $ (!\led_flash_cnt[167][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[167][7]~q\,
	cin => \led_flash_cnt[167][6]~29215\,
	combout => \led_flash_cnt[167][7]~29216_combout\);

-- Location: FF_X56_Y11_N29
\led_flash_cnt[167][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[167][7]~29216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[167][7]~q\);

-- Location: LCCOMB_X56_Y11_N4
\WideAnd167~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd167~1_combout\ = (\led_flash_cnt[167][6]~q\ & \led_flash_cnt[167][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[167][6]~q\,
	datad => \led_flash_cnt[167][5]~q\,
	combout => \WideAnd167~1_combout\);

-- Location: LCCOMB_X56_Y11_N12
\WideAnd167~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd167~0_combout\ = (\led_flash_cnt[167][3]~q\ & (\led_flash_cnt[167][2]~q\ & (\led_flash_cnt[167][4]~q\ & \led_flash_cnt[167][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[167][3]~q\,
	datab => \led_flash_cnt[167][2]~q\,
	datac => \led_flash_cnt[167][4]~q\,
	datad => \led_flash_cnt[167][1]~q\,
	combout => \WideAnd167~0_combout\);

-- Location: LCCOMB_X56_Y11_N10
WideAnd167 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd167~combout\ = (\led_flash_cnt[167][0]~q\ & (\led_flash_cnt[167][7]~q\ & (\WideAnd167~1_combout\ & \WideAnd167~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[167][0]~q\,
	datab => \led_flash_cnt[167][7]~q\,
	datac => \WideAnd167~1_combout\,
	datad => \WideAnd167~0_combout\,
	combout => \WideAnd167~combout\);

-- Location: FF_X56_Y11_N11
\led_flash_cnt_ands[167]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd167~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(167));

-- Location: LCCOMB_X56_Y11_N8
\WideAnd3860~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3860~1_combout\ = (led_flash_cnt_ands(161) & led_flash_cnt_ands(167))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(161),
	datad => led_flash_cnt_ands(167),
	combout => \WideAnd3860~1_combout\);

-- Location: LCCOMB_X57_Y14_N16
WideAnd3860 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3860~combout\ = (led_flash_cnt_ands(162) & (led_flash_cnt_ands(166) & (\WideAnd3860~0_combout\ & \WideAnd3860~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(162),
	datab => led_flash_cnt_ands(166),
	datac => \WideAnd3860~0_combout\,
	datad => \WideAnd3860~1_combout\,
	combout => \WideAnd3860~combout\);

-- Location: FF_X57_Y14_N17
\led_flash_cnt_ands_1[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3860~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(20));

-- Location: LCCOMB_X57_Y18_N20
\WideAnd4322~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4322~1_combout\ = (led_flash_cnt_ands_1(21) & led_flash_cnt_ands_1(20))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(21),
	datad => led_flash_cnt_ands_1(20),
	combout => \WideAnd4322~1_combout\);

-- Location: LCCOMB_X57_Y18_N24
WideAnd4322 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4322~combout\ = (\WideAnd4322~0_combout\ & (led_flash_cnt_ands_1(22) & (led_flash_cnt_ands_1(23) & \WideAnd4322~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4322~0_combout\,
	datab => led_flash_cnt_ands_1(22),
	datac => led_flash_cnt_ands_1(23),
	datad => \WideAnd4322~1_combout\,
	combout => \WideAnd4322~combout\);

-- Location: FF_X57_Y18_N25
\led_flash_cnt_ands_2[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4322~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(2));

-- Location: LCCOMB_X56_Y18_N10
\WideAnd4380~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~0_combout\ = (led_flash_cnt_ands_2(1) & (led_flash_cnt_ands_2(3) & (led_flash_cnt_ands_2(0) & led_flash_cnt_ands_2(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(1),
	datab => led_flash_cnt_ands_2(3),
	datac => led_flash_cnt_ands_2(0),
	datad => led_flash_cnt_ands_2(2),
	combout => \WideAnd4380~0_combout\);

-- Location: LCCOMB_X52_Y39_N30
\led_flash_cnt[573][0]~81213\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[573][0]~81213_combout\ = !\led_flash_cnt[573][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[573][0]~q\,
	combout => \led_flash_cnt[573][0]~81213_combout\);

-- Location: FF_X52_Y39_N31
\led_flash_cnt[573][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[573][0]~81213_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[573][0]~q\);

-- Location: LCCOMB_X55_Y39_N18
\led_flash_cnt[573][1]~34902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[573][1]~34902_combout\ = (\led_flash_cnt[573][0]~q\ & (\led_flash_cnt[573][1]~q\ $ (VCC))) # (!\led_flash_cnt[573][0]~q\ & (\led_flash_cnt[573][1]~q\ & VCC))
-- \led_flash_cnt[573][1]~34903\ = CARRY((\led_flash_cnt[573][0]~q\ & \led_flash_cnt[573][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[573][0]~q\,
	datab => \led_flash_cnt[573][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[573][1]~34902_combout\,
	cout => \led_flash_cnt[573][1]~34903\);

-- Location: FF_X55_Y39_N19
\led_flash_cnt[573][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[573][1]~34902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[573][1]~q\);

-- Location: LCCOMB_X55_Y39_N20
\led_flash_cnt[573][2]~34904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[573][2]~34904_combout\ = (\led_flash_cnt[573][2]~q\ & (!\led_flash_cnt[573][1]~34903\)) # (!\led_flash_cnt[573][2]~q\ & ((\led_flash_cnt[573][1]~34903\) # (GND)))
-- \led_flash_cnt[573][2]~34905\ = CARRY((!\led_flash_cnt[573][1]~34903\) # (!\led_flash_cnt[573][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[573][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[573][1]~34903\,
	combout => \led_flash_cnt[573][2]~34904_combout\,
	cout => \led_flash_cnt[573][2]~34905\);

-- Location: FF_X55_Y39_N21
\led_flash_cnt[573][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[573][2]~34904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[573][2]~q\);

-- Location: LCCOMB_X55_Y39_N22
\led_flash_cnt[573][3]~34906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[573][3]~34906_combout\ = (\led_flash_cnt[573][3]~q\ & (\led_flash_cnt[573][2]~34905\ $ (GND))) # (!\led_flash_cnt[573][3]~q\ & (!\led_flash_cnt[573][2]~34905\ & VCC))
-- \led_flash_cnt[573][3]~34907\ = CARRY((\led_flash_cnt[573][3]~q\ & !\led_flash_cnt[573][2]~34905\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[573][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[573][2]~34905\,
	combout => \led_flash_cnt[573][3]~34906_combout\,
	cout => \led_flash_cnt[573][3]~34907\);

-- Location: FF_X55_Y39_N23
\led_flash_cnt[573][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[573][3]~34906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[573][3]~q\);

-- Location: LCCOMB_X55_Y39_N24
\led_flash_cnt[573][4]~34908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[573][4]~34908_combout\ = (\led_flash_cnt[573][4]~q\ & (!\led_flash_cnt[573][3]~34907\)) # (!\led_flash_cnt[573][4]~q\ & ((\led_flash_cnt[573][3]~34907\) # (GND)))
-- \led_flash_cnt[573][4]~34909\ = CARRY((!\led_flash_cnt[573][3]~34907\) # (!\led_flash_cnt[573][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[573][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[573][3]~34907\,
	combout => \led_flash_cnt[573][4]~34908_combout\,
	cout => \led_flash_cnt[573][4]~34909\);

-- Location: FF_X55_Y39_N25
\led_flash_cnt[573][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[573][4]~34908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[573][4]~q\);

-- Location: LCCOMB_X55_Y39_N26
\led_flash_cnt[573][5]~34910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[573][5]~34910_combout\ = (\led_flash_cnt[573][5]~q\ & (\led_flash_cnt[573][4]~34909\ $ (GND))) # (!\led_flash_cnt[573][5]~q\ & (!\led_flash_cnt[573][4]~34909\ & VCC))
-- \led_flash_cnt[573][5]~34911\ = CARRY((\led_flash_cnt[573][5]~q\ & !\led_flash_cnt[573][4]~34909\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[573][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[573][4]~34909\,
	combout => \led_flash_cnt[573][5]~34910_combout\,
	cout => \led_flash_cnt[573][5]~34911\);

-- Location: FF_X55_Y39_N27
\led_flash_cnt[573][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[573][5]~34910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[573][5]~q\);

-- Location: LCCOMB_X55_Y39_N28
\led_flash_cnt[573][6]~34912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[573][6]~34912_combout\ = (\led_flash_cnt[573][6]~q\ & (!\led_flash_cnt[573][5]~34911\)) # (!\led_flash_cnt[573][6]~q\ & ((\led_flash_cnt[573][5]~34911\) # (GND)))
-- \led_flash_cnt[573][6]~34913\ = CARRY((!\led_flash_cnt[573][5]~34911\) # (!\led_flash_cnt[573][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[573][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[573][5]~34911\,
	combout => \led_flash_cnt[573][6]~34912_combout\,
	cout => \led_flash_cnt[573][6]~34913\);

-- Location: FF_X55_Y39_N29
\led_flash_cnt[573][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[573][6]~34912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[573][6]~q\);

-- Location: LCCOMB_X55_Y39_N30
\led_flash_cnt[573][7]~34914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[573][7]~34914_combout\ = \led_flash_cnt[573][7]~q\ $ (!\led_flash_cnt[573][6]~34913\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[573][7]~q\,
	cin => \led_flash_cnt[573][6]~34913\,
	combout => \led_flash_cnt[573][7]~34914_combout\);

-- Location: FF_X55_Y39_N31
\led_flash_cnt[573][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[573][7]~34914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[573][7]~q\);

-- Location: LCCOMB_X54_Y39_N28
\WideAnd573~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd573~1_combout\ = (\led_flash_cnt[573][6]~q\ & \led_flash_cnt[573][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[573][6]~q\,
	datad => \led_flash_cnt[573][5]~q\,
	combout => \WideAnd573~1_combout\);

-- Location: LCCOMB_X55_Y39_N2
\WideAnd573~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd573~0_combout\ = (\led_flash_cnt[573][4]~q\ & (\led_flash_cnt[573][2]~q\ & (\led_flash_cnt[573][3]~q\ & \led_flash_cnt[573][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[573][4]~q\,
	datab => \led_flash_cnt[573][2]~q\,
	datac => \led_flash_cnt[573][3]~q\,
	datad => \led_flash_cnt[573][1]~q\,
	combout => \WideAnd573~0_combout\);

-- Location: LCCOMB_X54_Y39_N30
WideAnd573 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd573~combout\ = (\led_flash_cnt[573][7]~q\ & (\WideAnd573~1_combout\ & (\led_flash_cnt[573][0]~q\ & \WideAnd573~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[573][7]~q\,
	datab => \WideAnd573~1_combout\,
	datac => \led_flash_cnt[573][0]~q\,
	datad => \WideAnd573~0_combout\,
	combout => \WideAnd573~combout\);

-- Location: FF_X54_Y39_N31
\led_flash_cnt_ands[573]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd573~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(573));

-- Location: LCCOMB_X54_Y39_N0
\led_flash_cnt[572][0]~81212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[572][0]~81212_combout\ = !\led_flash_cnt[572][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[572][0]~q\,
	combout => \led_flash_cnt[572][0]~81212_combout\);

-- Location: FF_X54_Y39_N1
\led_flash_cnt[572][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[572][0]~81212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[572][0]~q\);

-- Location: LCCOMB_X54_Y39_N12
\led_flash_cnt[572][1]~34888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[572][1]~34888_combout\ = (\led_flash_cnt[572][1]~q\ & (\led_flash_cnt[572][0]~q\ $ (VCC))) # (!\led_flash_cnt[572][1]~q\ & (\led_flash_cnt[572][0]~q\ & VCC))
-- \led_flash_cnt[572][1]~34889\ = CARRY((\led_flash_cnt[572][1]~q\ & \led_flash_cnt[572][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[572][1]~q\,
	datab => \led_flash_cnt[572][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[572][1]~34888_combout\,
	cout => \led_flash_cnt[572][1]~34889\);

-- Location: FF_X54_Y39_N13
\led_flash_cnt[572][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[572][1]~34888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[572][1]~q\);

-- Location: LCCOMB_X54_Y39_N14
\led_flash_cnt[572][2]~34890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[572][2]~34890_combout\ = (\led_flash_cnt[572][2]~q\ & (!\led_flash_cnt[572][1]~34889\)) # (!\led_flash_cnt[572][2]~q\ & ((\led_flash_cnt[572][1]~34889\) # (GND)))
-- \led_flash_cnt[572][2]~34891\ = CARRY((!\led_flash_cnt[572][1]~34889\) # (!\led_flash_cnt[572][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[572][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[572][1]~34889\,
	combout => \led_flash_cnt[572][2]~34890_combout\,
	cout => \led_flash_cnt[572][2]~34891\);

-- Location: FF_X54_Y39_N15
\led_flash_cnt[572][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[572][2]~34890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[572][2]~q\);

-- Location: LCCOMB_X54_Y39_N16
\led_flash_cnt[572][3]~34892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[572][3]~34892_combout\ = (\led_flash_cnt[572][3]~q\ & (\led_flash_cnt[572][2]~34891\ $ (GND))) # (!\led_flash_cnt[572][3]~q\ & (!\led_flash_cnt[572][2]~34891\ & VCC))
-- \led_flash_cnt[572][3]~34893\ = CARRY((\led_flash_cnt[572][3]~q\ & !\led_flash_cnt[572][2]~34891\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[572][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[572][2]~34891\,
	combout => \led_flash_cnt[572][3]~34892_combout\,
	cout => \led_flash_cnt[572][3]~34893\);

-- Location: FF_X54_Y39_N17
\led_flash_cnt[572][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[572][3]~34892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[572][3]~q\);

-- Location: LCCOMB_X54_Y39_N18
\led_flash_cnt[572][4]~34894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[572][4]~34894_combout\ = (\led_flash_cnt[572][4]~q\ & (!\led_flash_cnt[572][3]~34893\)) # (!\led_flash_cnt[572][4]~q\ & ((\led_flash_cnt[572][3]~34893\) # (GND)))
-- \led_flash_cnt[572][4]~34895\ = CARRY((!\led_flash_cnt[572][3]~34893\) # (!\led_flash_cnt[572][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[572][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[572][3]~34893\,
	combout => \led_flash_cnt[572][4]~34894_combout\,
	cout => \led_flash_cnt[572][4]~34895\);

-- Location: FF_X54_Y39_N19
\led_flash_cnt[572][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[572][4]~34894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[572][4]~q\);

-- Location: LCCOMB_X54_Y39_N20
\led_flash_cnt[572][5]~34896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[572][5]~34896_combout\ = (\led_flash_cnt[572][5]~q\ & (\led_flash_cnt[572][4]~34895\ $ (GND))) # (!\led_flash_cnt[572][5]~q\ & (!\led_flash_cnt[572][4]~34895\ & VCC))
-- \led_flash_cnt[572][5]~34897\ = CARRY((\led_flash_cnt[572][5]~q\ & !\led_flash_cnt[572][4]~34895\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[572][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[572][4]~34895\,
	combout => \led_flash_cnt[572][5]~34896_combout\,
	cout => \led_flash_cnt[572][5]~34897\);

-- Location: FF_X54_Y39_N21
\led_flash_cnt[572][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[572][5]~34896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[572][5]~q\);

-- Location: LCCOMB_X54_Y39_N22
\led_flash_cnt[572][6]~34898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[572][6]~34898_combout\ = (\led_flash_cnt[572][6]~q\ & (!\led_flash_cnt[572][5]~34897\)) # (!\led_flash_cnt[572][6]~q\ & ((\led_flash_cnt[572][5]~34897\) # (GND)))
-- \led_flash_cnt[572][6]~34899\ = CARRY((!\led_flash_cnt[572][5]~34897\) # (!\led_flash_cnt[572][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[572][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[572][5]~34897\,
	combout => \led_flash_cnt[572][6]~34898_combout\,
	cout => \led_flash_cnt[572][6]~34899\);

-- Location: FF_X54_Y39_N23
\led_flash_cnt[572][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[572][6]~34898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[572][6]~q\);

-- Location: LCCOMB_X54_Y39_N10
\WideAnd572~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd572~1_combout\ = (\led_flash_cnt[572][6]~q\ & \led_flash_cnt[572][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[572][6]~q\,
	datad => \led_flash_cnt[572][5]~q\,
	combout => \WideAnd572~1_combout\);

-- Location: LCCOMB_X54_Y39_N24
\led_flash_cnt[572][7]~34900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[572][7]~34900_combout\ = \led_flash_cnt[572][6]~34899\ $ (!\led_flash_cnt[572][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[572][7]~q\,
	cin => \led_flash_cnt[572][6]~34899\,
	combout => \led_flash_cnt[572][7]~34900_combout\);

-- Location: FF_X54_Y39_N25
\led_flash_cnt[572][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[572][7]~34900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[572][7]~q\);

-- Location: LCCOMB_X54_Y39_N4
\WideAnd572~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd572~0_combout\ = (\led_flash_cnt[572][4]~q\ & (\led_flash_cnt[572][3]~q\ & (\led_flash_cnt[572][2]~q\ & \led_flash_cnt[572][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[572][4]~q\,
	datab => \led_flash_cnt[572][3]~q\,
	datac => \led_flash_cnt[572][2]~q\,
	datad => \led_flash_cnt[572][1]~q\,
	combout => \WideAnd572~0_combout\);

-- Location: LCCOMB_X54_Y39_N2
WideAnd572 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd572~combout\ = (\WideAnd572~1_combout\ & (\led_flash_cnt[572][7]~q\ & (\WideAnd572~0_combout\ & \led_flash_cnt[572][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd572~1_combout\,
	datab => \led_flash_cnt[572][7]~q\,
	datac => \WideAnd572~0_combout\,
	datad => \led_flash_cnt[572][0]~q\,
	combout => \WideAnd572~combout\);

-- Location: FF_X54_Y39_N3
\led_flash_cnt_ands[572]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd572~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(572));

-- Location: LCCOMB_X54_Y39_N8
\WideAnd3911~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3911~1_combout\ = (led_flash_cnt_ands(573) & led_flash_cnt_ands(572))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(573),
	datad => led_flash_cnt_ands(572),
	combout => \WideAnd3911~1_combout\);

-- Location: LCCOMB_X58_Y34_N2
\led_flash_cnt[575][0]~81215\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[575][0]~81215_combout\ = !\led_flash_cnt[575][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[575][0]~q\,
	combout => \led_flash_cnt[575][0]~81215_combout\);

-- Location: FF_X58_Y34_N3
\led_flash_cnt[575][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[575][0]~81215_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[575][0]~q\);

-- Location: LCCOMB_X57_Y34_N0
\led_flash_cnt[575][1]~34930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[575][1]~34930_combout\ = (\led_flash_cnt[575][0]~q\ & (\led_flash_cnt[575][1]~q\ $ (VCC))) # (!\led_flash_cnt[575][0]~q\ & (\led_flash_cnt[575][1]~q\ & VCC))
-- \led_flash_cnt[575][1]~34931\ = CARRY((\led_flash_cnt[575][0]~q\ & \led_flash_cnt[575][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[575][0]~q\,
	datab => \led_flash_cnt[575][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[575][1]~34930_combout\,
	cout => \led_flash_cnt[575][1]~34931\);

-- Location: FF_X57_Y34_N1
\led_flash_cnt[575][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[575][1]~34930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[575][1]~q\);

-- Location: LCCOMB_X57_Y34_N2
\led_flash_cnt[575][2]~34932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[575][2]~34932_combout\ = (\led_flash_cnt[575][2]~q\ & (!\led_flash_cnt[575][1]~34931\)) # (!\led_flash_cnt[575][2]~q\ & ((\led_flash_cnt[575][1]~34931\) # (GND)))
-- \led_flash_cnt[575][2]~34933\ = CARRY((!\led_flash_cnt[575][1]~34931\) # (!\led_flash_cnt[575][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[575][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[575][1]~34931\,
	combout => \led_flash_cnt[575][2]~34932_combout\,
	cout => \led_flash_cnt[575][2]~34933\);

-- Location: FF_X57_Y34_N3
\led_flash_cnt[575][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[575][2]~34932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[575][2]~q\);

-- Location: LCCOMB_X57_Y34_N4
\led_flash_cnt[575][3]~34934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[575][3]~34934_combout\ = (\led_flash_cnt[575][3]~q\ & (\led_flash_cnt[575][2]~34933\ $ (GND))) # (!\led_flash_cnt[575][3]~q\ & (!\led_flash_cnt[575][2]~34933\ & VCC))
-- \led_flash_cnt[575][3]~34935\ = CARRY((\led_flash_cnt[575][3]~q\ & !\led_flash_cnt[575][2]~34933\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[575][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[575][2]~34933\,
	combout => \led_flash_cnt[575][3]~34934_combout\,
	cout => \led_flash_cnt[575][3]~34935\);

-- Location: FF_X57_Y34_N5
\led_flash_cnt[575][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[575][3]~34934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[575][3]~q\);

-- Location: LCCOMB_X57_Y34_N6
\led_flash_cnt[575][4]~34936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[575][4]~34936_combout\ = (\led_flash_cnt[575][4]~q\ & (!\led_flash_cnt[575][3]~34935\)) # (!\led_flash_cnt[575][4]~q\ & ((\led_flash_cnt[575][3]~34935\) # (GND)))
-- \led_flash_cnt[575][4]~34937\ = CARRY((!\led_flash_cnt[575][3]~34935\) # (!\led_flash_cnt[575][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[575][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[575][3]~34935\,
	combout => \led_flash_cnt[575][4]~34936_combout\,
	cout => \led_flash_cnt[575][4]~34937\);

-- Location: FF_X57_Y34_N7
\led_flash_cnt[575][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[575][4]~34936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[575][4]~q\);

-- Location: LCCOMB_X57_Y34_N8
\led_flash_cnt[575][5]~34938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[575][5]~34938_combout\ = (\led_flash_cnt[575][5]~q\ & (\led_flash_cnt[575][4]~34937\ $ (GND))) # (!\led_flash_cnt[575][5]~q\ & (!\led_flash_cnt[575][4]~34937\ & VCC))
-- \led_flash_cnt[575][5]~34939\ = CARRY((\led_flash_cnt[575][5]~q\ & !\led_flash_cnt[575][4]~34937\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[575][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[575][4]~34937\,
	combout => \led_flash_cnt[575][5]~34938_combout\,
	cout => \led_flash_cnt[575][5]~34939\);

-- Location: FF_X57_Y34_N9
\led_flash_cnt[575][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[575][5]~34938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[575][5]~q\);

-- Location: LCCOMB_X57_Y34_N10
\led_flash_cnt[575][6]~34940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[575][6]~34940_combout\ = (\led_flash_cnt[575][6]~q\ & (!\led_flash_cnt[575][5]~34939\)) # (!\led_flash_cnt[575][6]~q\ & ((\led_flash_cnt[575][5]~34939\) # (GND)))
-- \led_flash_cnt[575][6]~34941\ = CARRY((!\led_flash_cnt[575][5]~34939\) # (!\led_flash_cnt[575][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[575][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[575][5]~34939\,
	combout => \led_flash_cnt[575][6]~34940_combout\,
	cout => \led_flash_cnt[575][6]~34941\);

-- Location: FF_X57_Y34_N11
\led_flash_cnt[575][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[575][6]~34940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[575][6]~q\);

-- Location: LCCOMB_X57_Y34_N12
\led_flash_cnt[575][7]~34942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[575][7]~34942_combout\ = \led_flash_cnt[575][6]~34941\ $ (!\led_flash_cnt[575][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[575][7]~q\,
	cin => \led_flash_cnt[575][6]~34941\,
	combout => \led_flash_cnt[575][7]~34942_combout\);

-- Location: FF_X57_Y34_N13
\led_flash_cnt[575][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[575][7]~34942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[575][7]~q\);

-- Location: LCCOMB_X58_Y34_N8
\WideAnd575~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd575~1_combout\ = (\led_flash_cnt[575][6]~q\ & \led_flash_cnt[575][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[575][6]~q\,
	datad => \led_flash_cnt[575][5]~q\,
	combout => \WideAnd575~1_combout\);

-- Location: LCCOMB_X57_Y34_N30
\WideAnd575~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd575~0_combout\ = (\led_flash_cnt[575][4]~q\ & (\led_flash_cnt[575][1]~q\ & (\led_flash_cnt[575][3]~q\ & \led_flash_cnt[575][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[575][4]~q\,
	datab => \led_flash_cnt[575][1]~q\,
	datac => \led_flash_cnt[575][3]~q\,
	datad => \led_flash_cnt[575][2]~q\,
	combout => \WideAnd575~0_combout\);

-- Location: LCCOMB_X58_Y34_N4
WideAnd575 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd575~combout\ = (\led_flash_cnt[575][7]~q\ & (\WideAnd575~1_combout\ & (\led_flash_cnt[575][0]~q\ & \WideAnd575~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[575][7]~q\,
	datab => \WideAnd575~1_combout\,
	datac => \led_flash_cnt[575][0]~q\,
	datad => \WideAnd575~0_combout\,
	combout => \WideAnd575~combout\);

-- Location: FF_X58_Y34_N5
\led_flash_cnt_ands[575]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd575~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(575));

-- Location: LCCOMB_X42_Y32_N0
\led_flash_cnt[568][0]~81208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[568][0]~81208_combout\ = !\led_flash_cnt[568][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[568][0]~q\,
	combout => \led_flash_cnt[568][0]~81208_combout\);

-- Location: FF_X42_Y32_N1
\led_flash_cnt[568][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[568][0]~81208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[568][0]~q\);

-- Location: LCCOMB_X42_Y33_N18
\led_flash_cnt[568][1]~34832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[568][1]~34832_combout\ = (\led_flash_cnt[568][0]~q\ & (\led_flash_cnt[568][1]~q\ $ (VCC))) # (!\led_flash_cnt[568][0]~q\ & (\led_flash_cnt[568][1]~q\ & VCC))
-- \led_flash_cnt[568][1]~34833\ = CARRY((\led_flash_cnt[568][0]~q\ & \led_flash_cnt[568][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[568][0]~q\,
	datab => \led_flash_cnt[568][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[568][1]~34832_combout\,
	cout => \led_flash_cnt[568][1]~34833\);

-- Location: FF_X42_Y33_N19
\led_flash_cnt[568][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[568][1]~34832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[568][1]~q\);

-- Location: LCCOMB_X42_Y33_N20
\led_flash_cnt[568][2]~34834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[568][2]~34834_combout\ = (\led_flash_cnt[568][2]~q\ & (!\led_flash_cnt[568][1]~34833\)) # (!\led_flash_cnt[568][2]~q\ & ((\led_flash_cnt[568][1]~34833\) # (GND)))
-- \led_flash_cnt[568][2]~34835\ = CARRY((!\led_flash_cnt[568][1]~34833\) # (!\led_flash_cnt[568][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[568][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[568][1]~34833\,
	combout => \led_flash_cnt[568][2]~34834_combout\,
	cout => \led_flash_cnt[568][2]~34835\);

-- Location: FF_X42_Y33_N21
\led_flash_cnt[568][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[568][2]~34834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[568][2]~q\);

-- Location: LCCOMB_X42_Y33_N22
\led_flash_cnt[568][3]~34836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[568][3]~34836_combout\ = (\led_flash_cnt[568][3]~q\ & (\led_flash_cnt[568][2]~34835\ $ (GND))) # (!\led_flash_cnt[568][3]~q\ & (!\led_flash_cnt[568][2]~34835\ & VCC))
-- \led_flash_cnt[568][3]~34837\ = CARRY((\led_flash_cnt[568][3]~q\ & !\led_flash_cnt[568][2]~34835\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[568][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[568][2]~34835\,
	combout => \led_flash_cnt[568][3]~34836_combout\,
	cout => \led_flash_cnt[568][3]~34837\);

-- Location: FF_X42_Y33_N23
\led_flash_cnt[568][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[568][3]~34836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[568][3]~q\);

-- Location: LCCOMB_X42_Y33_N24
\led_flash_cnt[568][4]~34838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[568][4]~34838_combout\ = (\led_flash_cnt[568][4]~q\ & (!\led_flash_cnt[568][3]~34837\)) # (!\led_flash_cnt[568][4]~q\ & ((\led_flash_cnt[568][3]~34837\) # (GND)))
-- \led_flash_cnt[568][4]~34839\ = CARRY((!\led_flash_cnt[568][3]~34837\) # (!\led_flash_cnt[568][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[568][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[568][3]~34837\,
	combout => \led_flash_cnt[568][4]~34838_combout\,
	cout => \led_flash_cnt[568][4]~34839\);

-- Location: FF_X42_Y33_N25
\led_flash_cnt[568][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[568][4]~34838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[568][4]~q\);

-- Location: LCCOMB_X42_Y33_N26
\led_flash_cnt[568][5]~34840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[568][5]~34840_combout\ = (\led_flash_cnt[568][5]~q\ & (\led_flash_cnt[568][4]~34839\ $ (GND))) # (!\led_flash_cnt[568][5]~q\ & (!\led_flash_cnt[568][4]~34839\ & VCC))
-- \led_flash_cnt[568][5]~34841\ = CARRY((\led_flash_cnt[568][5]~q\ & !\led_flash_cnt[568][4]~34839\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[568][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[568][4]~34839\,
	combout => \led_flash_cnt[568][5]~34840_combout\,
	cout => \led_flash_cnt[568][5]~34841\);

-- Location: FF_X42_Y33_N27
\led_flash_cnt[568][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[568][5]~34840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[568][5]~q\);

-- Location: LCCOMB_X42_Y33_N28
\led_flash_cnt[568][6]~34842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[568][6]~34842_combout\ = (\led_flash_cnt[568][6]~q\ & (!\led_flash_cnt[568][5]~34841\)) # (!\led_flash_cnt[568][6]~q\ & ((\led_flash_cnt[568][5]~34841\) # (GND)))
-- \led_flash_cnt[568][6]~34843\ = CARRY((!\led_flash_cnt[568][5]~34841\) # (!\led_flash_cnt[568][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[568][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[568][5]~34841\,
	combout => \led_flash_cnt[568][6]~34842_combout\,
	cout => \led_flash_cnt[568][6]~34843\);

-- Location: FF_X42_Y33_N29
\led_flash_cnt[568][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[568][6]~34842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[568][6]~q\);

-- Location: LCCOMB_X43_Y33_N18
\WideAnd568~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd568~1_combout\ = (\led_flash_cnt[568][5]~q\ & \led_flash_cnt[568][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[568][5]~q\,
	datad => \led_flash_cnt[568][6]~q\,
	combout => \WideAnd568~1_combout\);

-- Location: LCCOMB_X42_Y33_N30
\led_flash_cnt[568][7]~34844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[568][7]~34844_combout\ = \led_flash_cnt[568][7]~q\ $ (!\led_flash_cnt[568][6]~34843\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[568][7]~q\,
	cin => \led_flash_cnt[568][6]~34843\,
	combout => \led_flash_cnt[568][7]~34844_combout\);

-- Location: FF_X42_Y33_N31
\led_flash_cnt[568][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[568][7]~34844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[568][7]~q\);

-- Location: LCCOMB_X42_Y33_N16
\WideAnd568~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd568~0_combout\ = (\led_flash_cnt[568][2]~q\ & (\led_flash_cnt[568][1]~q\ & (\led_flash_cnt[568][3]~q\ & \led_flash_cnt[568][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[568][2]~q\,
	datab => \led_flash_cnt[568][1]~q\,
	datac => \led_flash_cnt[568][3]~q\,
	datad => \led_flash_cnt[568][4]~q\,
	combout => \WideAnd568~0_combout\);

-- Location: LCCOMB_X42_Y33_N14
WideAnd568 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd568~combout\ = (\led_flash_cnt[568][0]~q\ & (\WideAnd568~1_combout\ & (\led_flash_cnt[568][7]~q\ & \WideAnd568~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[568][0]~q\,
	datab => \WideAnd568~1_combout\,
	datac => \led_flash_cnt[568][7]~q\,
	datad => \WideAnd568~0_combout\,
	combout => \WideAnd568~combout\);

-- Location: FF_X42_Y33_N15
\led_flash_cnt_ands[568]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd568~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(568));

-- Location: LCCOMB_X42_Y34_N20
\led_flash_cnt[571][0]~81211\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[571][0]~81211_combout\ = !\led_flash_cnt[571][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[571][0]~q\,
	combout => \led_flash_cnt[571][0]~81211_combout\);

-- Location: FF_X42_Y34_N21
\led_flash_cnt[571][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[571][0]~81211_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[571][0]~q\);

-- Location: LCCOMB_X41_Y34_N16
\led_flash_cnt[571][1]~34874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[571][1]~34874_combout\ = (\led_flash_cnt[571][0]~q\ & (\led_flash_cnt[571][1]~q\ $ (VCC))) # (!\led_flash_cnt[571][0]~q\ & (\led_flash_cnt[571][1]~q\ & VCC))
-- \led_flash_cnt[571][1]~34875\ = CARRY((\led_flash_cnt[571][0]~q\ & \led_flash_cnt[571][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[571][0]~q\,
	datab => \led_flash_cnt[571][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[571][1]~34874_combout\,
	cout => \led_flash_cnt[571][1]~34875\);

-- Location: FF_X41_Y34_N17
\led_flash_cnt[571][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[571][1]~34874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[571][1]~q\);

-- Location: LCCOMB_X41_Y34_N18
\led_flash_cnt[571][2]~34876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[571][2]~34876_combout\ = (\led_flash_cnt[571][2]~q\ & (!\led_flash_cnt[571][1]~34875\)) # (!\led_flash_cnt[571][2]~q\ & ((\led_flash_cnt[571][1]~34875\) # (GND)))
-- \led_flash_cnt[571][2]~34877\ = CARRY((!\led_flash_cnt[571][1]~34875\) # (!\led_flash_cnt[571][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[571][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[571][1]~34875\,
	combout => \led_flash_cnt[571][2]~34876_combout\,
	cout => \led_flash_cnt[571][2]~34877\);

-- Location: FF_X41_Y34_N19
\led_flash_cnt[571][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[571][2]~34876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[571][2]~q\);

-- Location: LCCOMB_X41_Y34_N20
\led_flash_cnt[571][3]~34878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[571][3]~34878_combout\ = (\led_flash_cnt[571][3]~q\ & (\led_flash_cnt[571][2]~34877\ $ (GND))) # (!\led_flash_cnt[571][3]~q\ & (!\led_flash_cnt[571][2]~34877\ & VCC))
-- \led_flash_cnt[571][3]~34879\ = CARRY((\led_flash_cnt[571][3]~q\ & !\led_flash_cnt[571][2]~34877\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[571][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[571][2]~34877\,
	combout => \led_flash_cnt[571][3]~34878_combout\,
	cout => \led_flash_cnt[571][3]~34879\);

-- Location: FF_X41_Y34_N21
\led_flash_cnt[571][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[571][3]~34878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[571][3]~q\);

-- Location: LCCOMB_X41_Y34_N22
\led_flash_cnt[571][4]~34880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[571][4]~34880_combout\ = (\led_flash_cnt[571][4]~q\ & (!\led_flash_cnt[571][3]~34879\)) # (!\led_flash_cnt[571][4]~q\ & ((\led_flash_cnt[571][3]~34879\) # (GND)))
-- \led_flash_cnt[571][4]~34881\ = CARRY((!\led_flash_cnt[571][3]~34879\) # (!\led_flash_cnt[571][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[571][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[571][3]~34879\,
	combout => \led_flash_cnt[571][4]~34880_combout\,
	cout => \led_flash_cnt[571][4]~34881\);

-- Location: FF_X41_Y34_N23
\led_flash_cnt[571][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[571][4]~34880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[571][4]~q\);

-- Location: LCCOMB_X41_Y34_N24
\led_flash_cnt[571][5]~34882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[571][5]~34882_combout\ = (\led_flash_cnt[571][5]~q\ & (\led_flash_cnt[571][4]~34881\ $ (GND))) # (!\led_flash_cnt[571][5]~q\ & (!\led_flash_cnt[571][4]~34881\ & VCC))
-- \led_flash_cnt[571][5]~34883\ = CARRY((\led_flash_cnt[571][5]~q\ & !\led_flash_cnt[571][4]~34881\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[571][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[571][4]~34881\,
	combout => \led_flash_cnt[571][5]~34882_combout\,
	cout => \led_flash_cnt[571][5]~34883\);

-- Location: FF_X41_Y34_N25
\led_flash_cnt[571][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[571][5]~34882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[571][5]~q\);

-- Location: LCCOMB_X41_Y34_N26
\led_flash_cnt[571][6]~34884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[571][6]~34884_combout\ = (\led_flash_cnt[571][6]~q\ & (!\led_flash_cnt[571][5]~34883\)) # (!\led_flash_cnt[571][6]~q\ & ((\led_flash_cnt[571][5]~34883\) # (GND)))
-- \led_flash_cnt[571][6]~34885\ = CARRY((!\led_flash_cnt[571][5]~34883\) # (!\led_flash_cnt[571][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[571][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[571][5]~34883\,
	combout => \led_flash_cnt[571][6]~34884_combout\,
	cout => \led_flash_cnt[571][6]~34885\);

-- Location: FF_X41_Y34_N27
\led_flash_cnt[571][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[571][6]~34884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[571][6]~q\);

-- Location: LCCOMB_X42_Y34_N22
\WideAnd571~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd571~1_combout\ = (\led_flash_cnt[571][6]~q\ & \led_flash_cnt[571][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[571][6]~q\,
	datad => \led_flash_cnt[571][5]~q\,
	combout => \WideAnd571~1_combout\);

-- Location: LCCOMB_X41_Y34_N28
\led_flash_cnt[571][7]~34886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[571][7]~34886_combout\ = \led_flash_cnt[571][6]~34885\ $ (!\led_flash_cnt[571][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[571][7]~q\,
	cin => \led_flash_cnt[571][6]~34885\,
	combout => \led_flash_cnt[571][7]~34886_combout\);

-- Location: FF_X41_Y34_N29
\led_flash_cnt[571][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[571][7]~34886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[571][7]~q\);

-- Location: LCCOMB_X41_Y34_N0
\WideAnd571~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd571~0_combout\ = (\led_flash_cnt[571][3]~q\ & (\led_flash_cnt[571][2]~q\ & (\led_flash_cnt[571][4]~q\ & \led_flash_cnt[571][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[571][3]~q\,
	datab => \led_flash_cnt[571][2]~q\,
	datac => \led_flash_cnt[571][4]~q\,
	datad => \led_flash_cnt[571][1]~q\,
	combout => \WideAnd571~0_combout\);

-- Location: LCCOMB_X42_Y34_N0
WideAnd571 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd571~combout\ = (\WideAnd571~1_combout\ & (\led_flash_cnt[571][7]~q\ & (\WideAnd571~0_combout\ & \led_flash_cnt[571][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd571~1_combout\,
	datab => \led_flash_cnt[571][7]~q\,
	datac => \WideAnd571~0_combout\,
	datad => \led_flash_cnt[571][0]~q\,
	combout => \WideAnd571~combout\);

-- Location: FF_X42_Y34_N1
\led_flash_cnt_ands[571]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd571~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(571));

-- Location: LCCOMB_X66_Y34_N2
\led_flash_cnt[570][0]~81210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[570][0]~81210_combout\ = !\led_flash_cnt[570][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[570][0]~q\,
	combout => \led_flash_cnt[570][0]~81210_combout\);

-- Location: FF_X66_Y34_N3
\led_flash_cnt[570][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[570][0]~81210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[570][0]~q\);

-- Location: LCCOMB_X66_Y37_N0
\led_flash_cnt[570][1]~34860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[570][1]~34860_combout\ = (\led_flash_cnt[570][0]~q\ & (\led_flash_cnt[570][1]~q\ $ (VCC))) # (!\led_flash_cnt[570][0]~q\ & (\led_flash_cnt[570][1]~q\ & VCC))
-- \led_flash_cnt[570][1]~34861\ = CARRY((\led_flash_cnt[570][0]~q\ & \led_flash_cnt[570][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[570][0]~q\,
	datab => \led_flash_cnt[570][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[570][1]~34860_combout\,
	cout => \led_flash_cnt[570][1]~34861\);

-- Location: FF_X66_Y37_N1
\led_flash_cnt[570][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[570][1]~34860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[570][1]~q\);

-- Location: LCCOMB_X66_Y37_N2
\led_flash_cnt[570][2]~34862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[570][2]~34862_combout\ = (\led_flash_cnt[570][2]~q\ & (!\led_flash_cnt[570][1]~34861\)) # (!\led_flash_cnt[570][2]~q\ & ((\led_flash_cnt[570][1]~34861\) # (GND)))
-- \led_flash_cnt[570][2]~34863\ = CARRY((!\led_flash_cnt[570][1]~34861\) # (!\led_flash_cnt[570][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[570][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[570][1]~34861\,
	combout => \led_flash_cnt[570][2]~34862_combout\,
	cout => \led_flash_cnt[570][2]~34863\);

-- Location: FF_X66_Y37_N3
\led_flash_cnt[570][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[570][2]~34862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[570][2]~q\);

-- Location: LCCOMB_X66_Y37_N4
\led_flash_cnt[570][3]~34864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[570][3]~34864_combout\ = (\led_flash_cnt[570][3]~q\ & (\led_flash_cnt[570][2]~34863\ $ (GND))) # (!\led_flash_cnt[570][3]~q\ & (!\led_flash_cnt[570][2]~34863\ & VCC))
-- \led_flash_cnt[570][3]~34865\ = CARRY((\led_flash_cnt[570][3]~q\ & !\led_flash_cnt[570][2]~34863\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[570][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[570][2]~34863\,
	combout => \led_flash_cnt[570][3]~34864_combout\,
	cout => \led_flash_cnt[570][3]~34865\);

-- Location: FF_X66_Y37_N5
\led_flash_cnt[570][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[570][3]~34864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[570][3]~q\);

-- Location: LCCOMB_X66_Y37_N6
\led_flash_cnt[570][4]~34866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[570][4]~34866_combout\ = (\led_flash_cnt[570][4]~q\ & (!\led_flash_cnt[570][3]~34865\)) # (!\led_flash_cnt[570][4]~q\ & ((\led_flash_cnt[570][3]~34865\) # (GND)))
-- \led_flash_cnt[570][4]~34867\ = CARRY((!\led_flash_cnt[570][3]~34865\) # (!\led_flash_cnt[570][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[570][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[570][3]~34865\,
	combout => \led_flash_cnt[570][4]~34866_combout\,
	cout => \led_flash_cnt[570][4]~34867\);

-- Location: FF_X66_Y37_N7
\led_flash_cnt[570][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[570][4]~34866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[570][4]~q\);

-- Location: LCCOMB_X66_Y37_N30
\WideAnd570~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd570~0_combout\ = (\led_flash_cnt[570][4]~q\ & (\led_flash_cnt[570][1]~q\ & (\led_flash_cnt[570][3]~q\ & \led_flash_cnt[570][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[570][4]~q\,
	datab => \led_flash_cnt[570][1]~q\,
	datac => \led_flash_cnt[570][3]~q\,
	datad => \led_flash_cnt[570][2]~q\,
	combout => \WideAnd570~0_combout\);

-- Location: LCCOMB_X66_Y37_N8
\led_flash_cnt[570][5]~34868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[570][5]~34868_combout\ = (\led_flash_cnt[570][5]~q\ & (\led_flash_cnt[570][4]~34867\ $ (GND))) # (!\led_flash_cnt[570][5]~q\ & (!\led_flash_cnt[570][4]~34867\ & VCC))
-- \led_flash_cnt[570][5]~34869\ = CARRY((\led_flash_cnt[570][5]~q\ & !\led_flash_cnt[570][4]~34867\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[570][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[570][4]~34867\,
	combout => \led_flash_cnt[570][5]~34868_combout\,
	cout => \led_flash_cnt[570][5]~34869\);

-- Location: FF_X66_Y37_N9
\led_flash_cnt[570][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[570][5]~34868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[570][5]~q\);

-- Location: LCCOMB_X66_Y37_N10
\led_flash_cnt[570][6]~34870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[570][6]~34870_combout\ = (\led_flash_cnt[570][6]~q\ & (!\led_flash_cnt[570][5]~34869\)) # (!\led_flash_cnt[570][6]~q\ & ((\led_flash_cnt[570][5]~34869\) # (GND)))
-- \led_flash_cnt[570][6]~34871\ = CARRY((!\led_flash_cnt[570][5]~34869\) # (!\led_flash_cnt[570][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[570][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[570][5]~34869\,
	combout => \led_flash_cnt[570][6]~34870_combout\,
	cout => \led_flash_cnt[570][6]~34871\);

-- Location: FF_X66_Y37_N11
\led_flash_cnt[570][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[570][6]~34870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[570][6]~q\);

-- Location: LCCOMB_X66_Y34_N22
\WideAnd570~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd570~1_combout\ = (\led_flash_cnt[570][5]~q\ & \led_flash_cnt[570][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[570][5]~q\,
	datac => \led_flash_cnt[570][6]~q\,
	combout => \WideAnd570~1_combout\);

-- Location: LCCOMB_X66_Y37_N12
\led_flash_cnt[570][7]~34872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[570][7]~34872_combout\ = \led_flash_cnt[570][6]~34871\ $ (!\led_flash_cnt[570][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[570][7]~q\,
	cin => \led_flash_cnt[570][6]~34871\,
	combout => \led_flash_cnt[570][7]~34872_combout\);

-- Location: FF_X66_Y37_N13
\led_flash_cnt[570][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[570][7]~34872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[570][7]~q\);

-- Location: LCCOMB_X66_Y34_N26
WideAnd570 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd570~combout\ = (\WideAnd570~0_combout\ & (\led_flash_cnt[570][0]~q\ & (\WideAnd570~1_combout\ & \led_flash_cnt[570][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd570~0_combout\,
	datab => \led_flash_cnt[570][0]~q\,
	datac => \WideAnd570~1_combout\,
	datad => \led_flash_cnt[570][7]~q\,
	combout => \WideAnd570~combout\);

-- Location: FF_X66_Y34_N27
\led_flash_cnt_ands[570]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd570~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(570));

-- Location: LCCOMB_X42_Y34_N18
\led_flash_cnt[569][0]~81209\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[569][0]~81209_combout\ = !\led_flash_cnt[569][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[569][0]~q\,
	combout => \led_flash_cnt[569][0]~81209_combout\);

-- Location: FF_X42_Y34_N19
\led_flash_cnt[569][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[569][0]~81209_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[569][0]~q\);

-- Location: LCCOMB_X42_Y34_N2
\led_flash_cnt[569][1]~34846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[569][1]~34846_combout\ = (\led_flash_cnt[569][1]~q\ & (\led_flash_cnt[569][0]~q\ $ (VCC))) # (!\led_flash_cnt[569][1]~q\ & (\led_flash_cnt[569][0]~q\ & VCC))
-- \led_flash_cnt[569][1]~34847\ = CARRY((\led_flash_cnt[569][1]~q\ & \led_flash_cnt[569][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[569][1]~q\,
	datab => \led_flash_cnt[569][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[569][1]~34846_combout\,
	cout => \led_flash_cnt[569][1]~34847\);

-- Location: FF_X42_Y34_N3
\led_flash_cnt[569][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[569][1]~34846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[569][1]~q\);

-- Location: LCCOMB_X42_Y34_N4
\led_flash_cnt[569][2]~34848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[569][2]~34848_combout\ = (\led_flash_cnt[569][2]~q\ & (!\led_flash_cnt[569][1]~34847\)) # (!\led_flash_cnt[569][2]~q\ & ((\led_flash_cnt[569][1]~34847\) # (GND)))
-- \led_flash_cnt[569][2]~34849\ = CARRY((!\led_flash_cnt[569][1]~34847\) # (!\led_flash_cnt[569][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[569][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[569][1]~34847\,
	combout => \led_flash_cnt[569][2]~34848_combout\,
	cout => \led_flash_cnt[569][2]~34849\);

-- Location: FF_X42_Y34_N5
\led_flash_cnt[569][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[569][2]~34848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[569][2]~q\);

-- Location: LCCOMB_X42_Y34_N6
\led_flash_cnt[569][3]~34850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[569][3]~34850_combout\ = (\led_flash_cnt[569][3]~q\ & (\led_flash_cnt[569][2]~34849\ $ (GND))) # (!\led_flash_cnt[569][3]~q\ & (!\led_flash_cnt[569][2]~34849\ & VCC))
-- \led_flash_cnt[569][3]~34851\ = CARRY((\led_flash_cnt[569][3]~q\ & !\led_flash_cnt[569][2]~34849\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[569][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[569][2]~34849\,
	combout => \led_flash_cnt[569][3]~34850_combout\,
	cout => \led_flash_cnt[569][3]~34851\);

-- Location: FF_X42_Y34_N7
\led_flash_cnt[569][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[569][3]~34850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[569][3]~q\);

-- Location: LCCOMB_X42_Y34_N8
\led_flash_cnt[569][4]~34852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[569][4]~34852_combout\ = (\led_flash_cnt[569][4]~q\ & (!\led_flash_cnt[569][3]~34851\)) # (!\led_flash_cnt[569][4]~q\ & ((\led_flash_cnt[569][3]~34851\) # (GND)))
-- \led_flash_cnt[569][4]~34853\ = CARRY((!\led_flash_cnt[569][3]~34851\) # (!\led_flash_cnt[569][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[569][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[569][3]~34851\,
	combout => \led_flash_cnt[569][4]~34852_combout\,
	cout => \led_flash_cnt[569][4]~34853\);

-- Location: FF_X42_Y34_N9
\led_flash_cnt[569][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[569][4]~34852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[569][4]~q\);

-- Location: LCCOMB_X42_Y34_N10
\led_flash_cnt[569][5]~34854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[569][5]~34854_combout\ = (\led_flash_cnt[569][5]~q\ & (\led_flash_cnt[569][4]~34853\ $ (GND))) # (!\led_flash_cnt[569][5]~q\ & (!\led_flash_cnt[569][4]~34853\ & VCC))
-- \led_flash_cnt[569][5]~34855\ = CARRY((\led_flash_cnt[569][5]~q\ & !\led_flash_cnt[569][4]~34853\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[569][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[569][4]~34853\,
	combout => \led_flash_cnt[569][5]~34854_combout\,
	cout => \led_flash_cnt[569][5]~34855\);

-- Location: FF_X42_Y34_N11
\led_flash_cnt[569][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[569][5]~34854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[569][5]~q\);

-- Location: LCCOMB_X42_Y34_N12
\led_flash_cnt[569][6]~34856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[569][6]~34856_combout\ = (\led_flash_cnt[569][6]~q\ & (!\led_flash_cnt[569][5]~34855\)) # (!\led_flash_cnt[569][6]~q\ & ((\led_flash_cnt[569][5]~34855\) # (GND)))
-- \led_flash_cnt[569][6]~34857\ = CARRY((!\led_flash_cnt[569][5]~34855\) # (!\led_flash_cnt[569][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[569][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[569][5]~34855\,
	combout => \led_flash_cnt[569][6]~34856_combout\,
	cout => \led_flash_cnt[569][6]~34857\);

-- Location: FF_X42_Y34_N13
\led_flash_cnt[569][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[569][6]~34856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[569][6]~q\);

-- Location: LCCOMB_X42_Y34_N26
\WideAnd569~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd569~1_combout\ = (\led_flash_cnt[569][6]~q\ & \led_flash_cnt[569][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[569][6]~q\,
	datad => \led_flash_cnt[569][5]~q\,
	combout => \WideAnd569~1_combout\);

-- Location: LCCOMB_X42_Y34_N28
\WideAnd569~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd569~0_combout\ = (\led_flash_cnt[569][1]~q\ & (\led_flash_cnt[569][4]~q\ & (\led_flash_cnt[569][2]~q\ & \led_flash_cnt[569][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[569][1]~q\,
	datab => \led_flash_cnt[569][4]~q\,
	datac => \led_flash_cnt[569][2]~q\,
	datad => \led_flash_cnt[569][3]~q\,
	combout => \WideAnd569~0_combout\);

-- Location: LCCOMB_X42_Y34_N14
\led_flash_cnt[569][7]~34858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[569][7]~34858_combout\ = \led_flash_cnt[569][7]~q\ $ (!\led_flash_cnt[569][6]~34857\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[569][7]~q\,
	cin => \led_flash_cnt[569][6]~34857\,
	combout => \led_flash_cnt[569][7]~34858_combout\);

-- Location: FF_X42_Y34_N15
\led_flash_cnt[569][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[569][7]~34858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[569][7]~q\);

-- Location: LCCOMB_X42_Y34_N16
WideAnd569 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd569~combout\ = (\WideAnd569~1_combout\ & (\WideAnd569~0_combout\ & (\led_flash_cnt[569][7]~q\ & \led_flash_cnt[569][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd569~1_combout\,
	datab => \WideAnd569~0_combout\,
	datac => \led_flash_cnt[569][7]~q\,
	datad => \led_flash_cnt[569][0]~q\,
	combout => \WideAnd569~combout\);

-- Location: FF_X42_Y34_N17
\led_flash_cnt_ands[569]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd569~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(569));

-- Location: LCCOMB_X42_Y34_N30
\WideAnd3911~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3911~0_combout\ = (led_flash_cnt_ands(568) & (led_flash_cnt_ands(571) & (led_flash_cnt_ands(570) & led_flash_cnt_ands(569))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(568),
	datab => led_flash_cnt_ands(571),
	datac => led_flash_cnt_ands(570),
	datad => led_flash_cnt_ands(569),
	combout => \WideAnd3911~0_combout\);

-- Location: LCCOMB_X58_Y34_N12
\led_flash_cnt[574][0]~81214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[574][0]~81214_combout\ = !\led_flash_cnt[574][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[574][0]~q\,
	combout => \led_flash_cnt[574][0]~81214_combout\);

-- Location: FF_X58_Y34_N13
\led_flash_cnt[574][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[574][0]~81214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[574][0]~q\);

-- Location: LCCOMB_X58_Y34_N18
\led_flash_cnt[574][1]~34916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[574][1]~34916_combout\ = (\led_flash_cnt[574][0]~q\ & (\led_flash_cnt[574][1]~q\ $ (VCC))) # (!\led_flash_cnt[574][0]~q\ & (\led_flash_cnt[574][1]~q\ & VCC))
-- \led_flash_cnt[574][1]~34917\ = CARRY((\led_flash_cnt[574][0]~q\ & \led_flash_cnt[574][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[574][0]~q\,
	datab => \led_flash_cnt[574][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[574][1]~34916_combout\,
	cout => \led_flash_cnt[574][1]~34917\);

-- Location: FF_X58_Y34_N19
\led_flash_cnt[574][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[574][1]~34916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[574][1]~q\);

-- Location: LCCOMB_X58_Y34_N20
\led_flash_cnt[574][2]~34918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[574][2]~34918_combout\ = (\led_flash_cnt[574][2]~q\ & (!\led_flash_cnt[574][1]~34917\)) # (!\led_flash_cnt[574][2]~q\ & ((\led_flash_cnt[574][1]~34917\) # (GND)))
-- \led_flash_cnt[574][2]~34919\ = CARRY((!\led_flash_cnt[574][1]~34917\) # (!\led_flash_cnt[574][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[574][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[574][1]~34917\,
	combout => \led_flash_cnt[574][2]~34918_combout\,
	cout => \led_flash_cnt[574][2]~34919\);

-- Location: FF_X58_Y34_N21
\led_flash_cnt[574][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[574][2]~34918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[574][2]~q\);

-- Location: LCCOMB_X58_Y34_N22
\led_flash_cnt[574][3]~34920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[574][3]~34920_combout\ = (\led_flash_cnt[574][3]~q\ & (\led_flash_cnt[574][2]~34919\ $ (GND))) # (!\led_flash_cnt[574][3]~q\ & (!\led_flash_cnt[574][2]~34919\ & VCC))
-- \led_flash_cnt[574][3]~34921\ = CARRY((\led_flash_cnt[574][3]~q\ & !\led_flash_cnt[574][2]~34919\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[574][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[574][2]~34919\,
	combout => \led_flash_cnt[574][3]~34920_combout\,
	cout => \led_flash_cnt[574][3]~34921\);

-- Location: FF_X58_Y34_N23
\led_flash_cnt[574][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[574][3]~34920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[574][3]~q\);

-- Location: LCCOMB_X58_Y34_N24
\led_flash_cnt[574][4]~34922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[574][4]~34922_combout\ = (\led_flash_cnt[574][4]~q\ & (!\led_flash_cnt[574][3]~34921\)) # (!\led_flash_cnt[574][4]~q\ & ((\led_flash_cnt[574][3]~34921\) # (GND)))
-- \led_flash_cnt[574][4]~34923\ = CARRY((!\led_flash_cnt[574][3]~34921\) # (!\led_flash_cnt[574][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[574][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[574][3]~34921\,
	combout => \led_flash_cnt[574][4]~34922_combout\,
	cout => \led_flash_cnt[574][4]~34923\);

-- Location: FF_X58_Y34_N25
\led_flash_cnt[574][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[574][4]~34922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[574][4]~q\);

-- Location: LCCOMB_X58_Y34_N26
\led_flash_cnt[574][5]~34924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[574][5]~34924_combout\ = (\led_flash_cnt[574][5]~q\ & (\led_flash_cnt[574][4]~34923\ $ (GND))) # (!\led_flash_cnt[574][5]~q\ & (!\led_flash_cnt[574][4]~34923\ & VCC))
-- \led_flash_cnt[574][5]~34925\ = CARRY((\led_flash_cnt[574][5]~q\ & !\led_flash_cnt[574][4]~34923\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[574][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[574][4]~34923\,
	combout => \led_flash_cnt[574][5]~34924_combout\,
	cout => \led_flash_cnt[574][5]~34925\);

-- Location: FF_X58_Y34_N27
\led_flash_cnt[574][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[574][5]~34924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[574][5]~q\);

-- Location: LCCOMB_X58_Y34_N28
\led_flash_cnt[574][6]~34926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[574][6]~34926_combout\ = (\led_flash_cnt[574][6]~q\ & (!\led_flash_cnt[574][5]~34925\)) # (!\led_flash_cnt[574][6]~q\ & ((\led_flash_cnt[574][5]~34925\) # (GND)))
-- \led_flash_cnt[574][6]~34927\ = CARRY((!\led_flash_cnt[574][5]~34925\) # (!\led_flash_cnt[574][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[574][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[574][5]~34925\,
	combout => \led_flash_cnt[574][6]~34926_combout\,
	cout => \led_flash_cnt[574][6]~34927\);

-- Location: FF_X58_Y34_N29
\led_flash_cnt[574][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[574][6]~34926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[574][6]~q\);

-- Location: LCCOMB_X58_Y34_N10
\WideAnd574~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd574~1_combout\ = (\led_flash_cnt[574][5]~q\ & \led_flash_cnt[574][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[574][5]~q\,
	datad => \led_flash_cnt[574][6]~q\,
	combout => \WideAnd574~1_combout\);

-- Location: LCCOMB_X58_Y34_N14
\WideAnd574~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd574~0_combout\ = (\led_flash_cnt[574][4]~q\ & (\led_flash_cnt[574][2]~q\ & (\led_flash_cnt[574][3]~q\ & \led_flash_cnt[574][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[574][4]~q\,
	datab => \led_flash_cnt[574][2]~q\,
	datac => \led_flash_cnt[574][3]~q\,
	datad => \led_flash_cnt[574][1]~q\,
	combout => \WideAnd574~0_combout\);

-- Location: LCCOMB_X58_Y34_N30
\led_flash_cnt[574][7]~34928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[574][7]~34928_combout\ = \led_flash_cnt[574][7]~q\ $ (!\led_flash_cnt[574][6]~34927\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[574][7]~q\,
	cin => \led_flash_cnt[574][6]~34927\,
	combout => \led_flash_cnt[574][7]~34928_combout\);

-- Location: FF_X58_Y34_N31
\led_flash_cnt[574][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[574][7]~34928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[574][7]~q\);

-- Location: LCCOMB_X58_Y34_N6
WideAnd574 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd574~combout\ = (\WideAnd574~1_combout\ & (\WideAnd574~0_combout\ & (\led_flash_cnt[574][7]~q\ & \led_flash_cnt[574][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd574~1_combout\,
	datab => \WideAnd574~0_combout\,
	datac => \led_flash_cnt[574][7]~q\,
	datad => \led_flash_cnt[574][0]~q\,
	combout => \WideAnd574~combout\);

-- Location: FF_X58_Y34_N7
\led_flash_cnt_ands[574]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd574~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(574));

-- Location: LCCOMB_X58_Y34_N16
WideAnd3911 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3911~combout\ = (\WideAnd3911~1_combout\ & (led_flash_cnt_ands(575) & (\WideAnd3911~0_combout\ & led_flash_cnt_ands(574))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3911~1_combout\,
	datab => led_flash_cnt_ands(575),
	datac => \WideAnd3911~0_combout\,
	datad => led_flash_cnt_ands(574),
	combout => \WideAnd3911~combout\);

-- Location: FF_X58_Y34_N17
\led_flash_cnt_ands_1[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3911~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(71));

-- Location: LCCOMB_X56_Y36_N30
\led_flash_cnt[567][0]~81207\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[567][0]~81207_combout\ = !\led_flash_cnt[567][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[567][0]~q\,
	combout => \led_flash_cnt[567][0]~81207_combout\);

-- Location: FF_X56_Y36_N31
\led_flash_cnt[567][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[567][0]~81207_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[567][0]~q\);

-- Location: LCCOMB_X56_Y35_N18
\led_flash_cnt[567][1]~34818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[567][1]~34818_combout\ = (\led_flash_cnt[567][0]~q\ & (\led_flash_cnt[567][1]~q\ $ (VCC))) # (!\led_flash_cnt[567][0]~q\ & (\led_flash_cnt[567][1]~q\ & VCC))
-- \led_flash_cnt[567][1]~34819\ = CARRY((\led_flash_cnt[567][0]~q\ & \led_flash_cnt[567][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[567][0]~q\,
	datab => \led_flash_cnt[567][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[567][1]~34818_combout\,
	cout => \led_flash_cnt[567][1]~34819\);

-- Location: FF_X56_Y35_N19
\led_flash_cnt[567][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[567][1]~34818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[567][1]~q\);

-- Location: LCCOMB_X56_Y35_N20
\led_flash_cnt[567][2]~34820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[567][2]~34820_combout\ = (\led_flash_cnt[567][2]~q\ & (!\led_flash_cnt[567][1]~34819\)) # (!\led_flash_cnt[567][2]~q\ & ((\led_flash_cnt[567][1]~34819\) # (GND)))
-- \led_flash_cnt[567][2]~34821\ = CARRY((!\led_flash_cnt[567][1]~34819\) # (!\led_flash_cnt[567][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[567][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[567][1]~34819\,
	combout => \led_flash_cnt[567][2]~34820_combout\,
	cout => \led_flash_cnt[567][2]~34821\);

-- Location: FF_X56_Y35_N21
\led_flash_cnt[567][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[567][2]~34820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[567][2]~q\);

-- Location: LCCOMB_X56_Y35_N22
\led_flash_cnt[567][3]~34822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[567][3]~34822_combout\ = (\led_flash_cnt[567][3]~q\ & (\led_flash_cnt[567][2]~34821\ $ (GND))) # (!\led_flash_cnt[567][3]~q\ & (!\led_flash_cnt[567][2]~34821\ & VCC))
-- \led_flash_cnt[567][3]~34823\ = CARRY((\led_flash_cnt[567][3]~q\ & !\led_flash_cnt[567][2]~34821\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[567][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[567][2]~34821\,
	combout => \led_flash_cnt[567][3]~34822_combout\,
	cout => \led_flash_cnt[567][3]~34823\);

-- Location: FF_X56_Y35_N23
\led_flash_cnt[567][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[567][3]~34822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[567][3]~q\);

-- Location: LCCOMB_X56_Y35_N24
\led_flash_cnt[567][4]~34824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[567][4]~34824_combout\ = (\led_flash_cnt[567][4]~q\ & (!\led_flash_cnt[567][3]~34823\)) # (!\led_flash_cnt[567][4]~q\ & ((\led_flash_cnt[567][3]~34823\) # (GND)))
-- \led_flash_cnt[567][4]~34825\ = CARRY((!\led_flash_cnt[567][3]~34823\) # (!\led_flash_cnt[567][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[567][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[567][3]~34823\,
	combout => \led_flash_cnt[567][4]~34824_combout\,
	cout => \led_flash_cnt[567][4]~34825\);

-- Location: FF_X56_Y35_N25
\led_flash_cnt[567][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[567][4]~34824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[567][4]~q\);

-- Location: LCCOMB_X56_Y35_N26
\led_flash_cnt[567][5]~34826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[567][5]~34826_combout\ = (\led_flash_cnt[567][5]~q\ & (\led_flash_cnt[567][4]~34825\ $ (GND))) # (!\led_flash_cnt[567][5]~q\ & (!\led_flash_cnt[567][4]~34825\ & VCC))
-- \led_flash_cnt[567][5]~34827\ = CARRY((\led_flash_cnt[567][5]~q\ & !\led_flash_cnt[567][4]~34825\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[567][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[567][4]~34825\,
	combout => \led_flash_cnt[567][5]~34826_combout\,
	cout => \led_flash_cnt[567][5]~34827\);

-- Location: FF_X56_Y35_N27
\led_flash_cnt[567][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[567][5]~34826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[567][5]~q\);

-- Location: LCCOMB_X56_Y35_N28
\led_flash_cnt[567][6]~34828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[567][6]~34828_combout\ = (\led_flash_cnt[567][6]~q\ & (!\led_flash_cnt[567][5]~34827\)) # (!\led_flash_cnt[567][6]~q\ & ((\led_flash_cnt[567][5]~34827\) # (GND)))
-- \led_flash_cnt[567][6]~34829\ = CARRY((!\led_flash_cnt[567][5]~34827\) # (!\led_flash_cnt[567][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[567][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[567][5]~34827\,
	combout => \led_flash_cnt[567][6]~34828_combout\,
	cout => \led_flash_cnt[567][6]~34829\);

-- Location: FF_X56_Y35_N29
\led_flash_cnt[567][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[567][6]~34828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[567][6]~q\);

-- Location: LCCOMB_X56_Y35_N30
\led_flash_cnt[567][7]~34830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[567][7]~34830_combout\ = \led_flash_cnt[567][7]~q\ $ (!\led_flash_cnt[567][6]~34829\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[567][7]~q\,
	cin => \led_flash_cnt[567][6]~34829\,
	combout => \led_flash_cnt[567][7]~34830_combout\);

-- Location: FF_X56_Y35_N31
\led_flash_cnt[567][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[567][7]~34830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[567][7]~q\);

-- Location: LCCOMB_X56_Y35_N0
\WideAnd567~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd567~0_combout\ = (\led_flash_cnt[567][2]~q\ & (\led_flash_cnt[567][4]~q\ & (\led_flash_cnt[567][3]~q\ & \led_flash_cnt[567][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[567][2]~q\,
	datab => \led_flash_cnt[567][4]~q\,
	datac => \led_flash_cnt[567][3]~q\,
	datad => \led_flash_cnt[567][1]~q\,
	combout => \WideAnd567~0_combout\);

-- Location: LCCOMB_X56_Y35_N2
\WideAnd567~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd567~1_combout\ = (\led_flash_cnt[567][5]~q\ & \led_flash_cnt[567][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[567][5]~q\,
	datad => \led_flash_cnt[567][6]~q\,
	combout => \WideAnd567~1_combout\);

-- Location: LCCOMB_X56_Y36_N10
WideAnd567 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd567~combout\ = (\led_flash_cnt[567][7]~q\ & (\WideAnd567~0_combout\ & (\led_flash_cnt[567][0]~q\ & \WideAnd567~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[567][7]~q\,
	datab => \WideAnd567~0_combout\,
	datac => \led_flash_cnt[567][0]~q\,
	datad => \WideAnd567~1_combout\,
	combout => \WideAnd567~combout\);

-- Location: FF_X56_Y36_N11
\led_flash_cnt_ands[567]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd567~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(567));

-- Location: LCCOMB_X44_Y36_N2
\led_flash_cnt[564][0]~81204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[564][0]~81204_combout\ = !\led_flash_cnt[564][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[564][0]~q\,
	combout => \led_flash_cnt[564][0]~81204_combout\);

-- Location: FF_X44_Y36_N3
\led_flash_cnt[564][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[564][0]~81204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[564][0]~q\);

-- Location: LCCOMB_X43_Y36_N2
\led_flash_cnt[564][1]~34776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[564][1]~34776_combout\ = (\led_flash_cnt[564][0]~q\ & (\led_flash_cnt[564][1]~q\ $ (VCC))) # (!\led_flash_cnt[564][0]~q\ & (\led_flash_cnt[564][1]~q\ & VCC))
-- \led_flash_cnt[564][1]~34777\ = CARRY((\led_flash_cnt[564][0]~q\ & \led_flash_cnt[564][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[564][0]~q\,
	datab => \led_flash_cnt[564][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[564][1]~34776_combout\,
	cout => \led_flash_cnt[564][1]~34777\);

-- Location: FF_X43_Y36_N3
\led_flash_cnt[564][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[564][1]~34776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[564][1]~q\);

-- Location: LCCOMB_X43_Y36_N4
\led_flash_cnt[564][2]~34778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[564][2]~34778_combout\ = (\led_flash_cnt[564][2]~q\ & (!\led_flash_cnt[564][1]~34777\)) # (!\led_flash_cnt[564][2]~q\ & ((\led_flash_cnt[564][1]~34777\) # (GND)))
-- \led_flash_cnt[564][2]~34779\ = CARRY((!\led_flash_cnt[564][1]~34777\) # (!\led_flash_cnt[564][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[564][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[564][1]~34777\,
	combout => \led_flash_cnt[564][2]~34778_combout\,
	cout => \led_flash_cnt[564][2]~34779\);

-- Location: FF_X43_Y36_N5
\led_flash_cnt[564][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[564][2]~34778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[564][2]~q\);

-- Location: LCCOMB_X43_Y36_N6
\led_flash_cnt[564][3]~34780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[564][3]~34780_combout\ = (\led_flash_cnt[564][3]~q\ & (\led_flash_cnt[564][2]~34779\ $ (GND))) # (!\led_flash_cnt[564][3]~q\ & (!\led_flash_cnt[564][2]~34779\ & VCC))
-- \led_flash_cnt[564][3]~34781\ = CARRY((\led_flash_cnt[564][3]~q\ & !\led_flash_cnt[564][2]~34779\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[564][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[564][2]~34779\,
	combout => \led_flash_cnt[564][3]~34780_combout\,
	cout => \led_flash_cnt[564][3]~34781\);

-- Location: FF_X43_Y36_N7
\led_flash_cnt[564][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[564][3]~34780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[564][3]~q\);

-- Location: LCCOMB_X43_Y36_N8
\led_flash_cnt[564][4]~34782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[564][4]~34782_combout\ = (\led_flash_cnt[564][4]~q\ & (!\led_flash_cnt[564][3]~34781\)) # (!\led_flash_cnt[564][4]~q\ & ((\led_flash_cnt[564][3]~34781\) # (GND)))
-- \led_flash_cnt[564][4]~34783\ = CARRY((!\led_flash_cnt[564][3]~34781\) # (!\led_flash_cnt[564][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[564][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[564][3]~34781\,
	combout => \led_flash_cnt[564][4]~34782_combout\,
	cout => \led_flash_cnt[564][4]~34783\);

-- Location: FF_X43_Y36_N9
\led_flash_cnt[564][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[564][4]~34782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[564][4]~q\);

-- Location: LCCOMB_X43_Y36_N10
\led_flash_cnt[564][5]~34784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[564][5]~34784_combout\ = (\led_flash_cnt[564][5]~q\ & (\led_flash_cnt[564][4]~34783\ $ (GND))) # (!\led_flash_cnt[564][5]~q\ & (!\led_flash_cnt[564][4]~34783\ & VCC))
-- \led_flash_cnt[564][5]~34785\ = CARRY((\led_flash_cnt[564][5]~q\ & !\led_flash_cnt[564][4]~34783\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[564][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[564][4]~34783\,
	combout => \led_flash_cnt[564][5]~34784_combout\,
	cout => \led_flash_cnt[564][5]~34785\);

-- Location: FF_X43_Y36_N11
\led_flash_cnt[564][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[564][5]~34784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[564][5]~q\);

-- Location: LCCOMB_X43_Y36_N12
\led_flash_cnt[564][6]~34786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[564][6]~34786_combout\ = (\led_flash_cnt[564][6]~q\ & (!\led_flash_cnt[564][5]~34785\)) # (!\led_flash_cnt[564][6]~q\ & ((\led_flash_cnt[564][5]~34785\) # (GND)))
-- \led_flash_cnt[564][6]~34787\ = CARRY((!\led_flash_cnt[564][5]~34785\) # (!\led_flash_cnt[564][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[564][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[564][5]~34785\,
	combout => \led_flash_cnt[564][6]~34786_combout\,
	cout => \led_flash_cnt[564][6]~34787\);

-- Location: FF_X43_Y36_N13
\led_flash_cnt[564][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[564][6]~34786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[564][6]~q\);

-- Location: LCCOMB_X43_Y36_N14
\led_flash_cnt[564][7]~34788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[564][7]~34788_combout\ = \led_flash_cnt[564][7]~q\ $ (!\led_flash_cnt[564][6]~34787\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[564][7]~q\,
	cin => \led_flash_cnt[564][6]~34787\,
	combout => \led_flash_cnt[564][7]~34788_combout\);

-- Location: FF_X43_Y36_N15
\led_flash_cnt[564][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[564][7]~34788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[564][7]~q\);

-- Location: LCCOMB_X44_Y36_N8
\WideAnd564~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd564~1_combout\ = (\led_flash_cnt[564][6]~q\ & \led_flash_cnt[564][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[564][6]~q\,
	datad => \led_flash_cnt[564][5]~q\,
	combout => \WideAnd564~1_combout\);

-- Location: LCCOMB_X43_Y36_N16
\WideAnd564~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd564~0_combout\ = (\led_flash_cnt[564][3]~q\ & (\led_flash_cnt[564][4]~q\ & (\led_flash_cnt[564][2]~q\ & \led_flash_cnt[564][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[564][3]~q\,
	datab => \led_flash_cnt[564][4]~q\,
	datac => \led_flash_cnt[564][2]~q\,
	datad => \led_flash_cnt[564][1]~q\,
	combout => \WideAnd564~0_combout\);

-- Location: LCCOMB_X44_Y36_N4
WideAnd564 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd564~combout\ = (\led_flash_cnt[564][7]~q\ & (\WideAnd564~1_combout\ & (\WideAnd564~0_combout\ & \led_flash_cnt[564][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[564][7]~q\,
	datab => \WideAnd564~1_combout\,
	datac => \WideAnd564~0_combout\,
	datad => \led_flash_cnt[564][0]~q\,
	combout => \WideAnd564~combout\);

-- Location: FF_X44_Y36_N5
\led_flash_cnt_ands[564]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd564~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(564));

-- Location: LCCOMB_X56_Y36_N2
\led_flash_cnt[565][0]~81205\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[565][0]~81205_combout\ = !\led_flash_cnt[565][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[565][0]~q\,
	combout => \led_flash_cnt[565][0]~81205_combout\);

-- Location: FF_X56_Y36_N3
\led_flash_cnt[565][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[565][0]~81205_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[565][0]~q\);

-- Location: LCCOMB_X55_Y36_N4
\led_flash_cnt[565][1]~34790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[565][1]~34790_combout\ = (\led_flash_cnt[565][0]~q\ & (\led_flash_cnt[565][1]~q\ $ (VCC))) # (!\led_flash_cnt[565][0]~q\ & (\led_flash_cnt[565][1]~q\ & VCC))
-- \led_flash_cnt[565][1]~34791\ = CARRY((\led_flash_cnt[565][0]~q\ & \led_flash_cnt[565][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[565][0]~q\,
	datab => \led_flash_cnt[565][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[565][1]~34790_combout\,
	cout => \led_flash_cnt[565][1]~34791\);

-- Location: FF_X55_Y36_N5
\led_flash_cnt[565][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[565][1]~34790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[565][1]~q\);

-- Location: LCCOMB_X55_Y36_N6
\led_flash_cnt[565][2]~34792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[565][2]~34792_combout\ = (\led_flash_cnt[565][2]~q\ & (!\led_flash_cnt[565][1]~34791\)) # (!\led_flash_cnt[565][2]~q\ & ((\led_flash_cnt[565][1]~34791\) # (GND)))
-- \led_flash_cnt[565][2]~34793\ = CARRY((!\led_flash_cnt[565][1]~34791\) # (!\led_flash_cnt[565][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[565][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[565][1]~34791\,
	combout => \led_flash_cnt[565][2]~34792_combout\,
	cout => \led_flash_cnt[565][2]~34793\);

-- Location: FF_X55_Y36_N7
\led_flash_cnt[565][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[565][2]~34792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[565][2]~q\);

-- Location: LCCOMB_X55_Y36_N8
\led_flash_cnt[565][3]~34794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[565][3]~34794_combout\ = (\led_flash_cnt[565][3]~q\ & (\led_flash_cnt[565][2]~34793\ $ (GND))) # (!\led_flash_cnt[565][3]~q\ & (!\led_flash_cnt[565][2]~34793\ & VCC))
-- \led_flash_cnt[565][3]~34795\ = CARRY((\led_flash_cnt[565][3]~q\ & !\led_flash_cnt[565][2]~34793\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[565][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[565][2]~34793\,
	combout => \led_flash_cnt[565][3]~34794_combout\,
	cout => \led_flash_cnt[565][3]~34795\);

-- Location: FF_X55_Y36_N9
\led_flash_cnt[565][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[565][3]~34794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[565][3]~q\);

-- Location: LCCOMB_X55_Y36_N10
\led_flash_cnt[565][4]~34796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[565][4]~34796_combout\ = (\led_flash_cnt[565][4]~q\ & (!\led_flash_cnt[565][3]~34795\)) # (!\led_flash_cnt[565][4]~q\ & ((\led_flash_cnt[565][3]~34795\) # (GND)))
-- \led_flash_cnt[565][4]~34797\ = CARRY((!\led_flash_cnt[565][3]~34795\) # (!\led_flash_cnt[565][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[565][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[565][3]~34795\,
	combout => \led_flash_cnt[565][4]~34796_combout\,
	cout => \led_flash_cnt[565][4]~34797\);

-- Location: FF_X55_Y36_N11
\led_flash_cnt[565][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[565][4]~34796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[565][4]~q\);

-- Location: LCCOMB_X55_Y36_N12
\led_flash_cnt[565][5]~34798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[565][5]~34798_combout\ = (\led_flash_cnt[565][5]~q\ & (\led_flash_cnt[565][4]~34797\ $ (GND))) # (!\led_flash_cnt[565][5]~q\ & (!\led_flash_cnt[565][4]~34797\ & VCC))
-- \led_flash_cnt[565][5]~34799\ = CARRY((\led_flash_cnt[565][5]~q\ & !\led_flash_cnt[565][4]~34797\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[565][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[565][4]~34797\,
	combout => \led_flash_cnt[565][5]~34798_combout\,
	cout => \led_flash_cnt[565][5]~34799\);

-- Location: FF_X55_Y36_N13
\led_flash_cnt[565][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[565][5]~34798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[565][5]~q\);

-- Location: LCCOMB_X55_Y36_N14
\led_flash_cnt[565][6]~34800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[565][6]~34800_combout\ = (\led_flash_cnt[565][6]~q\ & (!\led_flash_cnt[565][5]~34799\)) # (!\led_flash_cnt[565][6]~q\ & ((\led_flash_cnt[565][5]~34799\) # (GND)))
-- \led_flash_cnt[565][6]~34801\ = CARRY((!\led_flash_cnt[565][5]~34799\) # (!\led_flash_cnt[565][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[565][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[565][5]~34799\,
	combout => \led_flash_cnt[565][6]~34800_combout\,
	cout => \led_flash_cnt[565][6]~34801\);

-- Location: FF_X55_Y36_N15
\led_flash_cnt[565][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[565][6]~34800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[565][6]~q\);

-- Location: LCCOMB_X56_Y36_N26
\WideAnd565~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd565~1_combout\ = (\led_flash_cnt[565][6]~q\ & \led_flash_cnt[565][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[565][6]~q\,
	datad => \led_flash_cnt[565][5]~q\,
	combout => \WideAnd565~1_combout\);

-- Location: LCCOMB_X55_Y36_N16
\led_flash_cnt[565][7]~34802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[565][7]~34802_combout\ = \led_flash_cnt[565][6]~34801\ $ (!\led_flash_cnt[565][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[565][7]~q\,
	cin => \led_flash_cnt[565][6]~34801\,
	combout => \led_flash_cnt[565][7]~34802_combout\);

-- Location: FF_X55_Y36_N17
\led_flash_cnt[565][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[565][7]~34802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[565][7]~q\);

-- Location: LCCOMB_X55_Y36_N2
\WideAnd565~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd565~0_combout\ = (\led_flash_cnt[565][4]~q\ & (\led_flash_cnt[565][3]~q\ & (\led_flash_cnt[565][1]~q\ & \led_flash_cnt[565][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[565][4]~q\,
	datab => \led_flash_cnt[565][3]~q\,
	datac => \led_flash_cnt[565][1]~q\,
	datad => \led_flash_cnt[565][2]~q\,
	combout => \WideAnd565~0_combout\);

-- Location: LCCOMB_X56_Y36_N20
WideAnd565 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd565~combout\ = (\WideAnd565~1_combout\ & (\led_flash_cnt[565][0]~q\ & (\led_flash_cnt[565][7]~q\ & \WideAnd565~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd565~1_combout\,
	datab => \led_flash_cnt[565][0]~q\,
	datac => \led_flash_cnt[565][7]~q\,
	datad => \WideAnd565~0_combout\,
	combout => \WideAnd565~combout\);

-- Location: FF_X56_Y36_N21
\led_flash_cnt_ands[565]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd565~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(565));

-- Location: LCCOMB_X56_Y36_N28
\WideAnd3910~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3910~1_combout\ = (led_flash_cnt_ands(564) & led_flash_cnt_ands(565))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(564),
	datad => led_flash_cnt_ands(565),
	combout => \WideAnd3910~1_combout\);

-- Location: LCCOMB_X67_Y29_N2
\led_flash_cnt[566][0]~81206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[566][0]~81206_combout\ = !\led_flash_cnt[566][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[566][0]~q\,
	combout => \led_flash_cnt[566][0]~81206_combout\);

-- Location: FF_X67_Y29_N3
\led_flash_cnt[566][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[566][0]~81206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[566][0]~q\);

-- Location: LCCOMB_X66_Y29_N14
\led_flash_cnt[566][1]~34804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[566][1]~34804_combout\ = (\led_flash_cnt[566][0]~q\ & (\led_flash_cnt[566][1]~q\ $ (VCC))) # (!\led_flash_cnt[566][0]~q\ & (\led_flash_cnt[566][1]~q\ & VCC))
-- \led_flash_cnt[566][1]~34805\ = CARRY((\led_flash_cnt[566][0]~q\ & \led_flash_cnt[566][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[566][0]~q\,
	datab => \led_flash_cnt[566][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[566][1]~34804_combout\,
	cout => \led_flash_cnt[566][1]~34805\);

-- Location: FF_X66_Y29_N15
\led_flash_cnt[566][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[566][1]~34804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[566][1]~q\);

-- Location: LCCOMB_X66_Y29_N16
\led_flash_cnt[566][2]~34806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[566][2]~34806_combout\ = (\led_flash_cnt[566][2]~q\ & (!\led_flash_cnt[566][1]~34805\)) # (!\led_flash_cnt[566][2]~q\ & ((\led_flash_cnt[566][1]~34805\) # (GND)))
-- \led_flash_cnt[566][2]~34807\ = CARRY((!\led_flash_cnt[566][1]~34805\) # (!\led_flash_cnt[566][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[566][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[566][1]~34805\,
	combout => \led_flash_cnt[566][2]~34806_combout\,
	cout => \led_flash_cnt[566][2]~34807\);

-- Location: FF_X66_Y29_N17
\led_flash_cnt[566][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[566][2]~34806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[566][2]~q\);

-- Location: LCCOMB_X66_Y29_N18
\led_flash_cnt[566][3]~34808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[566][3]~34808_combout\ = (\led_flash_cnt[566][3]~q\ & (\led_flash_cnt[566][2]~34807\ $ (GND))) # (!\led_flash_cnt[566][3]~q\ & (!\led_flash_cnt[566][2]~34807\ & VCC))
-- \led_flash_cnt[566][3]~34809\ = CARRY((\led_flash_cnt[566][3]~q\ & !\led_flash_cnt[566][2]~34807\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[566][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[566][2]~34807\,
	combout => \led_flash_cnt[566][3]~34808_combout\,
	cout => \led_flash_cnt[566][3]~34809\);

-- Location: FF_X66_Y29_N19
\led_flash_cnt[566][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[566][3]~34808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[566][3]~q\);

-- Location: LCCOMB_X66_Y29_N20
\led_flash_cnt[566][4]~34810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[566][4]~34810_combout\ = (\led_flash_cnt[566][4]~q\ & (!\led_flash_cnt[566][3]~34809\)) # (!\led_flash_cnt[566][4]~q\ & ((\led_flash_cnt[566][3]~34809\) # (GND)))
-- \led_flash_cnt[566][4]~34811\ = CARRY((!\led_flash_cnt[566][3]~34809\) # (!\led_flash_cnt[566][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[566][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[566][3]~34809\,
	combout => \led_flash_cnt[566][4]~34810_combout\,
	cout => \led_flash_cnt[566][4]~34811\);

-- Location: FF_X66_Y29_N21
\led_flash_cnt[566][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[566][4]~34810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[566][4]~q\);

-- Location: LCCOMB_X66_Y29_N28
\WideAnd566~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd566~0_combout\ = (\led_flash_cnt[566][4]~q\ & (\led_flash_cnt[566][2]~q\ & (\led_flash_cnt[566][1]~q\ & \led_flash_cnt[566][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[566][4]~q\,
	datab => \led_flash_cnt[566][2]~q\,
	datac => \led_flash_cnt[566][1]~q\,
	datad => \led_flash_cnt[566][3]~q\,
	combout => \WideAnd566~0_combout\);

-- Location: LCCOMB_X66_Y29_N22
\led_flash_cnt[566][5]~34812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[566][5]~34812_combout\ = (\led_flash_cnt[566][5]~q\ & (\led_flash_cnt[566][4]~34811\ $ (GND))) # (!\led_flash_cnt[566][5]~q\ & (!\led_flash_cnt[566][4]~34811\ & VCC))
-- \led_flash_cnt[566][5]~34813\ = CARRY((\led_flash_cnt[566][5]~q\ & !\led_flash_cnt[566][4]~34811\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[566][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[566][4]~34811\,
	combout => \led_flash_cnt[566][5]~34812_combout\,
	cout => \led_flash_cnt[566][5]~34813\);

-- Location: FF_X66_Y29_N23
\led_flash_cnt[566][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[566][5]~34812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[566][5]~q\);

-- Location: LCCOMB_X66_Y29_N24
\led_flash_cnt[566][6]~34814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[566][6]~34814_combout\ = (\led_flash_cnt[566][6]~q\ & (!\led_flash_cnt[566][5]~34813\)) # (!\led_flash_cnt[566][6]~q\ & ((\led_flash_cnt[566][5]~34813\) # (GND)))
-- \led_flash_cnt[566][6]~34815\ = CARRY((!\led_flash_cnt[566][5]~34813\) # (!\led_flash_cnt[566][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[566][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[566][5]~34813\,
	combout => \led_flash_cnt[566][6]~34814_combout\,
	cout => \led_flash_cnt[566][6]~34815\);

-- Location: FF_X66_Y29_N25
\led_flash_cnt[566][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[566][6]~34814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[566][6]~q\);

-- Location: LCCOMB_X66_Y29_N26
\led_flash_cnt[566][7]~34816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[566][7]~34816_combout\ = \led_flash_cnt[566][7]~q\ $ (!\led_flash_cnt[566][6]~34815\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[566][7]~q\,
	cin => \led_flash_cnt[566][6]~34815\,
	combout => \led_flash_cnt[566][7]~34816_combout\);

-- Location: FF_X66_Y29_N27
\led_flash_cnt[566][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[566][7]~34816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[566][7]~q\);

-- Location: LCCOMB_X67_Y29_N16
\WideAnd566~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd566~1_combout\ = (\led_flash_cnt[566][6]~q\ & \led_flash_cnt[566][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[566][6]~q\,
	datad => \led_flash_cnt[566][5]~q\,
	combout => \WideAnd566~1_combout\);

-- Location: LCCOMB_X67_Y29_N0
WideAnd566 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd566~combout\ = (\led_flash_cnt[566][0]~q\ & (\WideAnd566~0_combout\ & (\led_flash_cnt[566][7]~q\ & \WideAnd566~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[566][0]~q\,
	datab => \WideAnd566~0_combout\,
	datac => \led_flash_cnt[566][7]~q\,
	datad => \WideAnd566~1_combout\,
	combout => \WideAnd566~combout\);

-- Location: FF_X67_Y29_N1
\led_flash_cnt_ands[566]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd566~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(566));

-- Location: LCCOMB_X56_Y36_N0
\led_flash_cnt[563][0]~81203\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[563][0]~81203_combout\ = !\led_flash_cnt[563][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[563][0]~q\,
	combout => \led_flash_cnt[563][0]~81203_combout\);

-- Location: FF_X56_Y36_N1
\led_flash_cnt[563][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[563][0]~81203_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[563][0]~q\);

-- Location: LCCOMB_X56_Y37_N2
\led_flash_cnt[563][1]~34762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[563][1]~34762_combout\ = (\led_flash_cnt[563][0]~q\ & (\led_flash_cnt[563][1]~q\ $ (VCC))) # (!\led_flash_cnt[563][0]~q\ & (\led_flash_cnt[563][1]~q\ & VCC))
-- \led_flash_cnt[563][1]~34763\ = CARRY((\led_flash_cnt[563][0]~q\ & \led_flash_cnt[563][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[563][0]~q\,
	datab => \led_flash_cnt[563][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[563][1]~34762_combout\,
	cout => \led_flash_cnt[563][1]~34763\);

-- Location: FF_X56_Y37_N3
\led_flash_cnt[563][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[563][1]~34762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[563][1]~q\);

-- Location: LCCOMB_X56_Y37_N4
\led_flash_cnt[563][2]~34764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[563][2]~34764_combout\ = (\led_flash_cnt[563][2]~q\ & (!\led_flash_cnt[563][1]~34763\)) # (!\led_flash_cnt[563][2]~q\ & ((\led_flash_cnt[563][1]~34763\) # (GND)))
-- \led_flash_cnt[563][2]~34765\ = CARRY((!\led_flash_cnt[563][1]~34763\) # (!\led_flash_cnt[563][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[563][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[563][1]~34763\,
	combout => \led_flash_cnt[563][2]~34764_combout\,
	cout => \led_flash_cnt[563][2]~34765\);

-- Location: FF_X56_Y37_N5
\led_flash_cnt[563][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[563][2]~34764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[563][2]~q\);

-- Location: LCCOMB_X56_Y37_N6
\led_flash_cnt[563][3]~34766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[563][3]~34766_combout\ = (\led_flash_cnt[563][3]~q\ & (\led_flash_cnt[563][2]~34765\ $ (GND))) # (!\led_flash_cnt[563][3]~q\ & (!\led_flash_cnt[563][2]~34765\ & VCC))
-- \led_flash_cnt[563][3]~34767\ = CARRY((\led_flash_cnt[563][3]~q\ & !\led_flash_cnt[563][2]~34765\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[563][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[563][2]~34765\,
	combout => \led_flash_cnt[563][3]~34766_combout\,
	cout => \led_flash_cnt[563][3]~34767\);

-- Location: FF_X56_Y37_N7
\led_flash_cnt[563][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[563][3]~34766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[563][3]~q\);

-- Location: LCCOMB_X56_Y37_N8
\led_flash_cnt[563][4]~34768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[563][4]~34768_combout\ = (\led_flash_cnt[563][4]~q\ & (!\led_flash_cnt[563][3]~34767\)) # (!\led_flash_cnt[563][4]~q\ & ((\led_flash_cnt[563][3]~34767\) # (GND)))
-- \led_flash_cnt[563][4]~34769\ = CARRY((!\led_flash_cnt[563][3]~34767\) # (!\led_flash_cnt[563][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[563][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[563][3]~34767\,
	combout => \led_flash_cnt[563][4]~34768_combout\,
	cout => \led_flash_cnt[563][4]~34769\);

-- Location: FF_X56_Y37_N9
\led_flash_cnt[563][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[563][4]~34768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[563][4]~q\);

-- Location: LCCOMB_X56_Y37_N10
\led_flash_cnt[563][5]~34770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[563][5]~34770_combout\ = (\led_flash_cnt[563][5]~q\ & (\led_flash_cnt[563][4]~34769\ $ (GND))) # (!\led_flash_cnt[563][5]~q\ & (!\led_flash_cnt[563][4]~34769\ & VCC))
-- \led_flash_cnt[563][5]~34771\ = CARRY((\led_flash_cnt[563][5]~q\ & !\led_flash_cnt[563][4]~34769\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[563][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[563][4]~34769\,
	combout => \led_flash_cnt[563][5]~34770_combout\,
	cout => \led_flash_cnt[563][5]~34771\);

-- Location: FF_X56_Y37_N11
\led_flash_cnt[563][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[563][5]~34770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[563][5]~q\);

-- Location: LCCOMB_X56_Y37_N12
\led_flash_cnt[563][6]~34772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[563][6]~34772_combout\ = (\led_flash_cnt[563][6]~q\ & (!\led_flash_cnt[563][5]~34771\)) # (!\led_flash_cnt[563][6]~q\ & ((\led_flash_cnt[563][5]~34771\) # (GND)))
-- \led_flash_cnt[563][6]~34773\ = CARRY((!\led_flash_cnt[563][5]~34771\) # (!\led_flash_cnt[563][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[563][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[563][5]~34771\,
	combout => \led_flash_cnt[563][6]~34772_combout\,
	cout => \led_flash_cnt[563][6]~34773\);

-- Location: FF_X56_Y37_N13
\led_flash_cnt[563][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[563][6]~34772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[563][6]~q\);

-- Location: LCCOMB_X56_Y37_N14
\led_flash_cnt[563][7]~34774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[563][7]~34774_combout\ = \led_flash_cnt[563][7]~q\ $ (!\led_flash_cnt[563][6]~34773\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[563][7]~q\,
	cin => \led_flash_cnt[563][6]~34773\,
	combout => \led_flash_cnt[563][7]~34774_combout\);

-- Location: FF_X56_Y37_N15
\led_flash_cnt[563][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[563][7]~34774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[563][7]~q\);

-- Location: LCCOMB_X56_Y37_N16
\WideAnd563~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd563~1_combout\ = (\led_flash_cnt[563][6]~q\ & \led_flash_cnt[563][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[563][6]~q\,
	datad => \led_flash_cnt[563][5]~q\,
	combout => \WideAnd563~1_combout\);

-- Location: LCCOMB_X56_Y37_N0
\WideAnd563~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd563~0_combout\ = (\led_flash_cnt[563][3]~q\ & (\led_flash_cnt[563][4]~q\ & (\led_flash_cnt[563][2]~q\ & \led_flash_cnt[563][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[563][3]~q\,
	datab => \led_flash_cnt[563][4]~q\,
	datac => \led_flash_cnt[563][2]~q\,
	datad => \led_flash_cnt[563][1]~q\,
	combout => \WideAnd563~0_combout\);

-- Location: LCCOMB_X56_Y36_N12
WideAnd563 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd563~combout\ = (\led_flash_cnt[563][7]~q\ & (\WideAnd563~1_combout\ & (\WideAnd563~0_combout\ & \led_flash_cnt[563][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[563][7]~q\,
	datab => \WideAnd563~1_combout\,
	datac => \WideAnd563~0_combout\,
	datad => \led_flash_cnt[563][0]~q\,
	combout => \WideAnd563~combout\);

-- Location: FF_X56_Y36_N13
\led_flash_cnt_ands[563]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd563~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(563));

-- Location: LCCOMB_X38_Y34_N30
\led_flash_cnt[562][0]~81202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[562][0]~81202_combout\ = !\led_flash_cnt[562][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[562][0]~q\,
	combout => \led_flash_cnt[562][0]~81202_combout\);

-- Location: FF_X38_Y34_N31
\led_flash_cnt[562][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[562][0]~81202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[562][0]~q\);

-- Location: LCCOMB_X30_Y36_N0
\led_flash_cnt[562][1]~34748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[562][1]~34748_combout\ = (\led_flash_cnt[562][0]~q\ & (\led_flash_cnt[562][1]~q\ $ (VCC))) # (!\led_flash_cnt[562][0]~q\ & (\led_flash_cnt[562][1]~q\ & VCC))
-- \led_flash_cnt[562][1]~34749\ = CARRY((\led_flash_cnt[562][0]~q\ & \led_flash_cnt[562][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[562][0]~q\,
	datab => \led_flash_cnt[562][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[562][1]~34748_combout\,
	cout => \led_flash_cnt[562][1]~34749\);

-- Location: FF_X30_Y36_N1
\led_flash_cnt[562][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[562][1]~34748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[562][1]~q\);

-- Location: LCCOMB_X30_Y36_N2
\led_flash_cnt[562][2]~34750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[562][2]~34750_combout\ = (\led_flash_cnt[562][2]~q\ & (!\led_flash_cnt[562][1]~34749\)) # (!\led_flash_cnt[562][2]~q\ & ((\led_flash_cnt[562][1]~34749\) # (GND)))
-- \led_flash_cnt[562][2]~34751\ = CARRY((!\led_flash_cnt[562][1]~34749\) # (!\led_flash_cnt[562][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[562][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[562][1]~34749\,
	combout => \led_flash_cnt[562][2]~34750_combout\,
	cout => \led_flash_cnt[562][2]~34751\);

-- Location: FF_X30_Y36_N3
\led_flash_cnt[562][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[562][2]~34750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[562][2]~q\);

-- Location: LCCOMB_X30_Y36_N4
\led_flash_cnt[562][3]~34752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[562][3]~34752_combout\ = (\led_flash_cnt[562][3]~q\ & (\led_flash_cnt[562][2]~34751\ $ (GND))) # (!\led_flash_cnt[562][3]~q\ & (!\led_flash_cnt[562][2]~34751\ & VCC))
-- \led_flash_cnt[562][3]~34753\ = CARRY((\led_flash_cnt[562][3]~q\ & !\led_flash_cnt[562][2]~34751\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[562][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[562][2]~34751\,
	combout => \led_flash_cnt[562][3]~34752_combout\,
	cout => \led_flash_cnt[562][3]~34753\);

-- Location: FF_X30_Y36_N5
\led_flash_cnt[562][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[562][3]~34752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[562][3]~q\);

-- Location: LCCOMB_X30_Y36_N6
\led_flash_cnt[562][4]~34754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[562][4]~34754_combout\ = (\led_flash_cnt[562][4]~q\ & (!\led_flash_cnt[562][3]~34753\)) # (!\led_flash_cnt[562][4]~q\ & ((\led_flash_cnt[562][3]~34753\) # (GND)))
-- \led_flash_cnt[562][4]~34755\ = CARRY((!\led_flash_cnt[562][3]~34753\) # (!\led_flash_cnt[562][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[562][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[562][3]~34753\,
	combout => \led_flash_cnt[562][4]~34754_combout\,
	cout => \led_flash_cnt[562][4]~34755\);

-- Location: FF_X30_Y36_N7
\led_flash_cnt[562][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[562][4]~34754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[562][4]~q\);

-- Location: LCCOMB_X30_Y36_N8
\led_flash_cnt[562][5]~34756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[562][5]~34756_combout\ = (\led_flash_cnt[562][5]~q\ & (\led_flash_cnt[562][4]~34755\ $ (GND))) # (!\led_flash_cnt[562][5]~q\ & (!\led_flash_cnt[562][4]~34755\ & VCC))
-- \led_flash_cnt[562][5]~34757\ = CARRY((\led_flash_cnt[562][5]~q\ & !\led_flash_cnt[562][4]~34755\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[562][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[562][4]~34755\,
	combout => \led_flash_cnt[562][5]~34756_combout\,
	cout => \led_flash_cnt[562][5]~34757\);

-- Location: FF_X30_Y36_N9
\led_flash_cnt[562][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[562][5]~34756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[562][5]~q\);

-- Location: LCCOMB_X30_Y36_N10
\led_flash_cnt[562][6]~34758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[562][6]~34758_combout\ = (\led_flash_cnt[562][6]~q\ & (!\led_flash_cnt[562][5]~34757\)) # (!\led_flash_cnt[562][6]~q\ & ((\led_flash_cnt[562][5]~34757\) # (GND)))
-- \led_flash_cnt[562][6]~34759\ = CARRY((!\led_flash_cnt[562][5]~34757\) # (!\led_flash_cnt[562][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[562][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[562][5]~34757\,
	combout => \led_flash_cnt[562][6]~34758_combout\,
	cout => \led_flash_cnt[562][6]~34759\);

-- Location: FF_X30_Y36_N11
\led_flash_cnt[562][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[562][6]~34758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[562][6]~q\);

-- Location: LCCOMB_X29_Y36_N18
\WideAnd562~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd562~1_combout\ = (\led_flash_cnt[562][5]~q\ & \led_flash_cnt[562][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[562][5]~q\,
	datac => \led_flash_cnt[562][6]~q\,
	combout => \WideAnd562~1_combout\);

-- Location: LCCOMB_X29_Y36_N26
\WideAnd562~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd562~0_combout\ = (\led_flash_cnt[562][4]~q\ & (\led_flash_cnt[562][3]~q\ & (\led_flash_cnt[562][1]~q\ & \led_flash_cnt[562][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[562][4]~q\,
	datab => \led_flash_cnt[562][3]~q\,
	datac => \led_flash_cnt[562][1]~q\,
	datad => \led_flash_cnt[562][2]~q\,
	combout => \WideAnd562~0_combout\);

-- Location: LCCOMB_X30_Y36_N12
\led_flash_cnt[562][7]~34760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[562][7]~34760_combout\ = \led_flash_cnt[562][6]~34759\ $ (!\led_flash_cnt[562][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[562][7]~q\,
	cin => \led_flash_cnt[562][6]~34759\,
	combout => \led_flash_cnt[562][7]~34760_combout\);

-- Location: FF_X30_Y36_N13
\led_flash_cnt[562][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[562][7]~34760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[562][7]~q\);

-- Location: LCCOMB_X30_Y36_N16
WideAnd562 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd562~combout\ = (\led_flash_cnt[562][0]~q\ & (\WideAnd562~1_combout\ & (\WideAnd562~0_combout\ & \led_flash_cnt[562][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[562][0]~q\,
	datab => \WideAnd562~1_combout\,
	datac => \WideAnd562~0_combout\,
	datad => \led_flash_cnt[562][7]~q\,
	combout => \WideAnd562~combout\);

-- Location: FF_X30_Y36_N17
\led_flash_cnt_ands[562]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd562~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(562));

-- Location: LCCOMB_X54_Y32_N6
\led_flash_cnt[560][0]~81200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[560][0]~81200_combout\ = !\led_flash_cnt[560][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[560][0]~q\,
	combout => \led_flash_cnt[560][0]~81200_combout\);

-- Location: FF_X54_Y32_N7
\led_flash_cnt[560][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[560][0]~81200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[560][0]~q\);

-- Location: LCCOMB_X55_Y32_N16
\led_flash_cnt[560][1]~34720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[560][1]~34720_combout\ = (\led_flash_cnt[560][1]~q\ & (\led_flash_cnt[560][0]~q\ $ (VCC))) # (!\led_flash_cnt[560][1]~q\ & (\led_flash_cnt[560][0]~q\ & VCC))
-- \led_flash_cnt[560][1]~34721\ = CARRY((\led_flash_cnt[560][1]~q\ & \led_flash_cnt[560][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[560][1]~q\,
	datab => \led_flash_cnt[560][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[560][1]~34720_combout\,
	cout => \led_flash_cnt[560][1]~34721\);

-- Location: FF_X55_Y32_N17
\led_flash_cnt[560][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[560][1]~34720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[560][1]~q\);

-- Location: LCCOMB_X55_Y32_N18
\led_flash_cnt[560][2]~34722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[560][2]~34722_combout\ = (\led_flash_cnt[560][2]~q\ & (!\led_flash_cnt[560][1]~34721\)) # (!\led_flash_cnt[560][2]~q\ & ((\led_flash_cnt[560][1]~34721\) # (GND)))
-- \led_flash_cnt[560][2]~34723\ = CARRY((!\led_flash_cnt[560][1]~34721\) # (!\led_flash_cnt[560][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[560][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[560][1]~34721\,
	combout => \led_flash_cnt[560][2]~34722_combout\,
	cout => \led_flash_cnt[560][2]~34723\);

-- Location: FF_X55_Y32_N19
\led_flash_cnt[560][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[560][2]~34722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[560][2]~q\);

-- Location: LCCOMB_X55_Y32_N20
\led_flash_cnt[560][3]~34724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[560][3]~34724_combout\ = (\led_flash_cnt[560][3]~q\ & (\led_flash_cnt[560][2]~34723\ $ (GND))) # (!\led_flash_cnt[560][3]~q\ & (!\led_flash_cnt[560][2]~34723\ & VCC))
-- \led_flash_cnt[560][3]~34725\ = CARRY((\led_flash_cnt[560][3]~q\ & !\led_flash_cnt[560][2]~34723\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[560][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[560][2]~34723\,
	combout => \led_flash_cnt[560][3]~34724_combout\,
	cout => \led_flash_cnt[560][3]~34725\);

-- Location: FF_X55_Y32_N21
\led_flash_cnt[560][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[560][3]~34724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[560][3]~q\);

-- Location: LCCOMB_X55_Y32_N22
\led_flash_cnt[560][4]~34726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[560][4]~34726_combout\ = (\led_flash_cnt[560][4]~q\ & (!\led_flash_cnt[560][3]~34725\)) # (!\led_flash_cnt[560][4]~q\ & ((\led_flash_cnt[560][3]~34725\) # (GND)))
-- \led_flash_cnt[560][4]~34727\ = CARRY((!\led_flash_cnt[560][3]~34725\) # (!\led_flash_cnt[560][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[560][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[560][3]~34725\,
	combout => \led_flash_cnt[560][4]~34726_combout\,
	cout => \led_flash_cnt[560][4]~34727\);

-- Location: FF_X55_Y32_N23
\led_flash_cnt[560][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[560][4]~34726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[560][4]~q\);

-- Location: LCCOMB_X54_Y32_N12
\WideAnd560~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd560~0_combout\ = (\led_flash_cnt[560][1]~q\ & (\led_flash_cnt[560][4]~q\ & (\led_flash_cnt[560][3]~q\ & \led_flash_cnt[560][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[560][1]~q\,
	datab => \led_flash_cnt[560][4]~q\,
	datac => \led_flash_cnt[560][3]~q\,
	datad => \led_flash_cnt[560][2]~q\,
	combout => \WideAnd560~0_combout\);

-- Location: LCCOMB_X55_Y32_N24
\led_flash_cnt[560][5]~34728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[560][5]~34728_combout\ = (\led_flash_cnt[560][5]~q\ & (\led_flash_cnt[560][4]~34727\ $ (GND))) # (!\led_flash_cnt[560][5]~q\ & (!\led_flash_cnt[560][4]~34727\ & VCC))
-- \led_flash_cnt[560][5]~34729\ = CARRY((\led_flash_cnt[560][5]~q\ & !\led_flash_cnt[560][4]~34727\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[560][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[560][4]~34727\,
	combout => \led_flash_cnt[560][5]~34728_combout\,
	cout => \led_flash_cnt[560][5]~34729\);

-- Location: FF_X55_Y32_N25
\led_flash_cnt[560][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[560][5]~34728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[560][5]~q\);

-- Location: LCCOMB_X55_Y32_N26
\led_flash_cnt[560][6]~34730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[560][6]~34730_combout\ = (\led_flash_cnt[560][6]~q\ & (!\led_flash_cnt[560][5]~34729\)) # (!\led_flash_cnt[560][6]~q\ & ((\led_flash_cnt[560][5]~34729\) # (GND)))
-- \led_flash_cnt[560][6]~34731\ = CARRY((!\led_flash_cnt[560][5]~34729\) # (!\led_flash_cnt[560][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[560][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[560][5]~34729\,
	combout => \led_flash_cnt[560][6]~34730_combout\,
	cout => \led_flash_cnt[560][6]~34731\);

-- Location: FF_X55_Y32_N27
\led_flash_cnt[560][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[560][6]~34730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[560][6]~q\);

-- Location: LCCOMB_X55_Y32_N28
\led_flash_cnt[560][7]~34732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[560][7]~34732_combout\ = \led_flash_cnt[560][6]~34731\ $ (!\led_flash_cnt[560][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[560][7]~q\,
	cin => \led_flash_cnt[560][6]~34731\,
	combout => \led_flash_cnt[560][7]~34732_combout\);

-- Location: FF_X55_Y32_N29
\led_flash_cnt[560][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[560][7]~34732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[560][7]~q\);

-- Location: LCCOMB_X54_Y32_N4
\WideAnd560~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd560~1_combout\ = (\led_flash_cnt[560][6]~q\ & \led_flash_cnt[560][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[560][6]~q\,
	datad => \led_flash_cnt[560][5]~q\,
	combout => \WideAnd560~1_combout\);

-- Location: LCCOMB_X54_Y32_N30
WideAnd560 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd560~combout\ = (\WideAnd560~0_combout\ & (\led_flash_cnt[560][7]~q\ & (\WideAnd560~1_combout\ & \led_flash_cnt[560][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd560~0_combout\,
	datab => \led_flash_cnt[560][7]~q\,
	datac => \WideAnd560~1_combout\,
	datad => \led_flash_cnt[560][0]~q\,
	combout => \WideAnd560~combout\);

-- Location: FF_X54_Y32_N31
\led_flash_cnt_ands[560]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd560~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(560));

-- Location: LCCOMB_X56_Y36_N6
\led_flash_cnt[561][0]~81201\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[561][0]~81201_combout\ = !\led_flash_cnt[561][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[561][0]~q\,
	combout => \led_flash_cnt[561][0]~81201_combout\);

-- Location: FF_X56_Y36_N7
\led_flash_cnt[561][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[561][0]~81201_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[561][0]~q\);

-- Location: LCCOMB_X57_Y36_N2
\led_flash_cnt[561][1]~34734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[561][1]~34734_combout\ = (\led_flash_cnt[561][0]~q\ & (\led_flash_cnt[561][1]~q\ $ (VCC))) # (!\led_flash_cnt[561][0]~q\ & (\led_flash_cnt[561][1]~q\ & VCC))
-- \led_flash_cnt[561][1]~34735\ = CARRY((\led_flash_cnt[561][0]~q\ & \led_flash_cnt[561][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[561][0]~q\,
	datab => \led_flash_cnt[561][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[561][1]~34734_combout\,
	cout => \led_flash_cnt[561][1]~34735\);

-- Location: FF_X57_Y36_N3
\led_flash_cnt[561][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[561][1]~34734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[561][1]~q\);

-- Location: LCCOMB_X57_Y36_N4
\led_flash_cnt[561][2]~34736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[561][2]~34736_combout\ = (\led_flash_cnt[561][2]~q\ & (!\led_flash_cnt[561][1]~34735\)) # (!\led_flash_cnt[561][2]~q\ & ((\led_flash_cnt[561][1]~34735\) # (GND)))
-- \led_flash_cnt[561][2]~34737\ = CARRY((!\led_flash_cnt[561][1]~34735\) # (!\led_flash_cnt[561][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[561][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[561][1]~34735\,
	combout => \led_flash_cnt[561][2]~34736_combout\,
	cout => \led_flash_cnt[561][2]~34737\);

-- Location: FF_X57_Y36_N5
\led_flash_cnt[561][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[561][2]~34736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[561][2]~q\);

-- Location: LCCOMB_X57_Y36_N6
\led_flash_cnt[561][3]~34738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[561][3]~34738_combout\ = (\led_flash_cnt[561][3]~q\ & (\led_flash_cnt[561][2]~34737\ $ (GND))) # (!\led_flash_cnt[561][3]~q\ & (!\led_flash_cnt[561][2]~34737\ & VCC))
-- \led_flash_cnt[561][3]~34739\ = CARRY((\led_flash_cnt[561][3]~q\ & !\led_flash_cnt[561][2]~34737\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[561][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[561][2]~34737\,
	combout => \led_flash_cnt[561][3]~34738_combout\,
	cout => \led_flash_cnt[561][3]~34739\);

-- Location: FF_X57_Y36_N7
\led_flash_cnt[561][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[561][3]~34738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[561][3]~q\);

-- Location: LCCOMB_X57_Y36_N8
\led_flash_cnt[561][4]~34740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[561][4]~34740_combout\ = (\led_flash_cnt[561][4]~q\ & (!\led_flash_cnt[561][3]~34739\)) # (!\led_flash_cnt[561][4]~q\ & ((\led_flash_cnt[561][3]~34739\) # (GND)))
-- \led_flash_cnt[561][4]~34741\ = CARRY((!\led_flash_cnt[561][3]~34739\) # (!\led_flash_cnt[561][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[561][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[561][3]~34739\,
	combout => \led_flash_cnt[561][4]~34740_combout\,
	cout => \led_flash_cnt[561][4]~34741\);

-- Location: FF_X57_Y36_N9
\led_flash_cnt[561][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[561][4]~34740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[561][4]~q\);

-- Location: LCCOMB_X57_Y36_N10
\led_flash_cnt[561][5]~34742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[561][5]~34742_combout\ = (\led_flash_cnt[561][5]~q\ & (\led_flash_cnt[561][4]~34741\ $ (GND))) # (!\led_flash_cnt[561][5]~q\ & (!\led_flash_cnt[561][4]~34741\ & VCC))
-- \led_flash_cnt[561][5]~34743\ = CARRY((\led_flash_cnt[561][5]~q\ & !\led_flash_cnt[561][4]~34741\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[561][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[561][4]~34741\,
	combout => \led_flash_cnt[561][5]~34742_combout\,
	cout => \led_flash_cnt[561][5]~34743\);

-- Location: FF_X57_Y36_N11
\led_flash_cnt[561][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[561][5]~34742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[561][5]~q\);

-- Location: LCCOMB_X57_Y36_N12
\led_flash_cnt[561][6]~34744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[561][6]~34744_combout\ = (\led_flash_cnt[561][6]~q\ & (!\led_flash_cnt[561][5]~34743\)) # (!\led_flash_cnt[561][6]~q\ & ((\led_flash_cnt[561][5]~34743\) # (GND)))
-- \led_flash_cnt[561][6]~34745\ = CARRY((!\led_flash_cnt[561][5]~34743\) # (!\led_flash_cnt[561][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[561][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[561][5]~34743\,
	combout => \led_flash_cnt[561][6]~34744_combout\,
	cout => \led_flash_cnt[561][6]~34745\);

-- Location: FF_X57_Y36_N13
\led_flash_cnt[561][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[561][6]~34744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[561][6]~q\);

-- Location: LCCOMB_X56_Y36_N22
\WideAnd561~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd561~1_combout\ = (\led_flash_cnt[561][6]~q\ & \led_flash_cnt[561][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[561][6]~q\,
	datac => \led_flash_cnt[561][5]~q\,
	combout => \WideAnd561~1_combout\);

-- Location: LCCOMB_X57_Y36_N0
\WideAnd561~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd561~0_combout\ = (\led_flash_cnt[561][3]~q\ & (\led_flash_cnt[561][4]~q\ & (\led_flash_cnt[561][2]~q\ & \led_flash_cnt[561][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[561][3]~q\,
	datab => \led_flash_cnt[561][4]~q\,
	datac => \led_flash_cnt[561][2]~q\,
	datad => \led_flash_cnt[561][1]~q\,
	combout => \WideAnd561~0_combout\);

-- Location: LCCOMB_X57_Y36_N14
\led_flash_cnt[561][7]~34746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[561][7]~34746_combout\ = \led_flash_cnt[561][7]~q\ $ (!\led_flash_cnt[561][6]~34745\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[561][7]~q\,
	cin => \led_flash_cnt[561][6]~34745\,
	combout => \led_flash_cnt[561][7]~34746_combout\);

-- Location: FF_X57_Y36_N15
\led_flash_cnt[561][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[561][7]~34746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[561][7]~q\);

-- Location: LCCOMB_X56_Y36_N24
WideAnd561 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd561~combout\ = (\WideAnd561~1_combout\ & (\WideAnd561~0_combout\ & (\led_flash_cnt[561][7]~q\ & \led_flash_cnt[561][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd561~1_combout\,
	datab => \WideAnd561~0_combout\,
	datac => \led_flash_cnt[561][7]~q\,
	datad => \led_flash_cnt[561][0]~q\,
	combout => \WideAnd561~combout\);

-- Location: FF_X56_Y36_N25
\led_flash_cnt_ands[561]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd561~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(561));

-- Location: LCCOMB_X56_Y36_N18
\WideAnd3910~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3910~0_combout\ = (led_flash_cnt_ands(563) & (led_flash_cnt_ands(562) & (led_flash_cnt_ands(560) & led_flash_cnt_ands(561))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(563),
	datab => led_flash_cnt_ands(562),
	datac => led_flash_cnt_ands(560),
	datad => led_flash_cnt_ands(561),
	combout => \WideAnd3910~0_combout\);

-- Location: LCCOMB_X56_Y36_N16
WideAnd3910 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3910~combout\ = (led_flash_cnt_ands(567) & (\WideAnd3910~1_combout\ & (led_flash_cnt_ands(566) & \WideAnd3910~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(567),
	datab => \WideAnd3910~1_combout\,
	datac => led_flash_cnt_ands(566),
	datad => \WideAnd3910~0_combout\,
	combout => \WideAnd3910~combout\);

-- Location: FF_X56_Y36_N17
\led_flash_cnt_ands_1[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3910~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(70));

-- Location: LCCOMB_X3_Y5_N26
\led_flash_cnt[516][0]~81156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[516][0]~81156_combout\ = !\led_flash_cnt[516][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[516][0]~q\,
	combout => \led_flash_cnt[516][0]~81156_combout\);

-- Location: FF_X3_Y5_N27
\led_flash_cnt[516][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[516][0]~81156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[516][0]~q\);

-- Location: LCCOMB_X3_Y5_N8
\led_flash_cnt[516][1]~34104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[516][1]~34104_combout\ = (\led_flash_cnt[516][0]~q\ & (\led_flash_cnt[516][1]~q\ $ (VCC))) # (!\led_flash_cnt[516][0]~q\ & (\led_flash_cnt[516][1]~q\ & VCC))
-- \led_flash_cnt[516][1]~34105\ = CARRY((\led_flash_cnt[516][0]~q\ & \led_flash_cnt[516][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[516][0]~q\,
	datab => \led_flash_cnt[516][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[516][1]~34104_combout\,
	cout => \led_flash_cnt[516][1]~34105\);

-- Location: FF_X3_Y5_N9
\led_flash_cnt[516][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[516][1]~34104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[516][1]~q\);

-- Location: LCCOMB_X3_Y5_N10
\led_flash_cnt[516][2]~34106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[516][2]~34106_combout\ = (\led_flash_cnt[516][2]~q\ & (!\led_flash_cnt[516][1]~34105\)) # (!\led_flash_cnt[516][2]~q\ & ((\led_flash_cnt[516][1]~34105\) # (GND)))
-- \led_flash_cnt[516][2]~34107\ = CARRY((!\led_flash_cnt[516][1]~34105\) # (!\led_flash_cnt[516][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[516][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[516][1]~34105\,
	combout => \led_flash_cnt[516][2]~34106_combout\,
	cout => \led_flash_cnt[516][2]~34107\);

-- Location: FF_X3_Y5_N11
\led_flash_cnt[516][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[516][2]~34106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[516][2]~q\);

-- Location: LCCOMB_X3_Y5_N12
\led_flash_cnt[516][3]~34108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[516][3]~34108_combout\ = (\led_flash_cnt[516][3]~q\ & (\led_flash_cnt[516][2]~34107\ $ (GND))) # (!\led_flash_cnt[516][3]~q\ & (!\led_flash_cnt[516][2]~34107\ & VCC))
-- \led_flash_cnt[516][3]~34109\ = CARRY((\led_flash_cnt[516][3]~q\ & !\led_flash_cnt[516][2]~34107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[516][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[516][2]~34107\,
	combout => \led_flash_cnt[516][3]~34108_combout\,
	cout => \led_flash_cnt[516][3]~34109\);

-- Location: FF_X3_Y5_N13
\led_flash_cnt[516][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[516][3]~34108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[516][3]~q\);

-- Location: LCCOMB_X3_Y5_N14
\led_flash_cnt[516][4]~34110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[516][4]~34110_combout\ = (\led_flash_cnt[516][4]~q\ & (!\led_flash_cnt[516][3]~34109\)) # (!\led_flash_cnt[516][4]~q\ & ((\led_flash_cnt[516][3]~34109\) # (GND)))
-- \led_flash_cnt[516][4]~34111\ = CARRY((!\led_flash_cnt[516][3]~34109\) # (!\led_flash_cnt[516][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[516][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[516][3]~34109\,
	combout => \led_flash_cnt[516][4]~34110_combout\,
	cout => \led_flash_cnt[516][4]~34111\);

-- Location: FF_X3_Y5_N15
\led_flash_cnt[516][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[516][4]~34110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[516][4]~q\);

-- Location: LCCOMB_X3_Y5_N16
\led_flash_cnt[516][5]~34112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[516][5]~34112_combout\ = (\led_flash_cnt[516][5]~q\ & (\led_flash_cnt[516][4]~34111\ $ (GND))) # (!\led_flash_cnt[516][5]~q\ & (!\led_flash_cnt[516][4]~34111\ & VCC))
-- \led_flash_cnt[516][5]~34113\ = CARRY((\led_flash_cnt[516][5]~q\ & !\led_flash_cnt[516][4]~34111\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[516][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[516][4]~34111\,
	combout => \led_flash_cnt[516][5]~34112_combout\,
	cout => \led_flash_cnt[516][5]~34113\);

-- Location: FF_X3_Y5_N17
\led_flash_cnt[516][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[516][5]~34112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[516][5]~q\);

-- Location: LCCOMB_X3_Y5_N18
\led_flash_cnt[516][6]~34114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[516][6]~34114_combout\ = (\led_flash_cnt[516][6]~q\ & (!\led_flash_cnt[516][5]~34113\)) # (!\led_flash_cnt[516][6]~q\ & ((\led_flash_cnt[516][5]~34113\) # (GND)))
-- \led_flash_cnt[516][6]~34115\ = CARRY((!\led_flash_cnt[516][5]~34113\) # (!\led_flash_cnt[516][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[516][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[516][5]~34113\,
	combout => \led_flash_cnt[516][6]~34114_combout\,
	cout => \led_flash_cnt[516][6]~34115\);

-- Location: FF_X3_Y5_N19
\led_flash_cnt[516][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[516][6]~34114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[516][6]~q\);

-- Location: LCCOMB_X3_Y5_N20
\led_flash_cnt[516][7]~34116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[516][7]~34116_combout\ = \led_flash_cnt[516][6]~34115\ $ (!\led_flash_cnt[516][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[516][7]~q\,
	cin => \led_flash_cnt[516][6]~34115\,
	combout => \led_flash_cnt[516][7]~34116_combout\);

-- Location: FF_X3_Y5_N21
\led_flash_cnt[516][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[516][7]~34116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[516][7]~q\);

-- Location: LCCOMB_X3_Y5_N30
\WideAnd516~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd516~1_combout\ = (\led_flash_cnt[516][5]~q\ & \led_flash_cnt[516][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[516][5]~q\,
	datad => \led_flash_cnt[516][6]~q\,
	combout => \WideAnd516~1_combout\);

-- Location: LCCOMB_X3_Y5_N24
\WideAnd516~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd516~0_combout\ = (\led_flash_cnt[516][3]~q\ & (\led_flash_cnt[516][4]~q\ & (\led_flash_cnt[516][1]~q\ & \led_flash_cnt[516][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[516][3]~q\,
	datab => \led_flash_cnt[516][4]~q\,
	datac => \led_flash_cnt[516][1]~q\,
	datad => \led_flash_cnt[516][2]~q\,
	combout => \WideAnd516~0_combout\);

-- Location: LCCOMB_X3_Y5_N4
WideAnd516 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd516~combout\ = (\led_flash_cnt[516][0]~q\ & (\led_flash_cnt[516][7]~q\ & (\WideAnd516~1_combout\ & \WideAnd516~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[516][0]~q\,
	datab => \led_flash_cnt[516][7]~q\,
	datac => \WideAnd516~1_combout\,
	datad => \WideAnd516~0_combout\,
	combout => \WideAnd516~combout\);

-- Location: FF_X3_Y5_N5
\led_flash_cnt_ands[516]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd516~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(516));

-- Location: LCCOMB_X55_Y5_N26
\led_flash_cnt[517][0]~81157\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[517][0]~81157_combout\ = !\led_flash_cnt[517][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[517][0]~q\,
	combout => \led_flash_cnt[517][0]~81157_combout\);

-- Location: FF_X55_Y5_N27
\led_flash_cnt[517][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[517][0]~81157_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[517][0]~q\);

-- Location: LCCOMB_X55_Y5_N4
\led_flash_cnt[517][1]~34118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[517][1]~34118_combout\ = (\led_flash_cnt[517][0]~q\ & (\led_flash_cnt[517][1]~q\ $ (VCC))) # (!\led_flash_cnt[517][0]~q\ & (\led_flash_cnt[517][1]~q\ & VCC))
-- \led_flash_cnt[517][1]~34119\ = CARRY((\led_flash_cnt[517][0]~q\ & \led_flash_cnt[517][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[517][0]~q\,
	datab => \led_flash_cnt[517][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[517][1]~34118_combout\,
	cout => \led_flash_cnt[517][1]~34119\);

-- Location: FF_X55_Y5_N5
\led_flash_cnt[517][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[517][1]~34118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[517][1]~q\);

-- Location: LCCOMB_X55_Y5_N6
\led_flash_cnt[517][2]~34120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[517][2]~34120_combout\ = (\led_flash_cnt[517][2]~q\ & (!\led_flash_cnt[517][1]~34119\)) # (!\led_flash_cnt[517][2]~q\ & ((\led_flash_cnt[517][1]~34119\) # (GND)))
-- \led_flash_cnt[517][2]~34121\ = CARRY((!\led_flash_cnt[517][1]~34119\) # (!\led_flash_cnt[517][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[517][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[517][1]~34119\,
	combout => \led_flash_cnt[517][2]~34120_combout\,
	cout => \led_flash_cnt[517][2]~34121\);

-- Location: FF_X55_Y5_N7
\led_flash_cnt[517][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[517][2]~34120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[517][2]~q\);

-- Location: LCCOMB_X55_Y5_N8
\led_flash_cnt[517][3]~34122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[517][3]~34122_combout\ = (\led_flash_cnt[517][3]~q\ & (\led_flash_cnt[517][2]~34121\ $ (GND))) # (!\led_flash_cnt[517][3]~q\ & (!\led_flash_cnt[517][2]~34121\ & VCC))
-- \led_flash_cnt[517][3]~34123\ = CARRY((\led_flash_cnt[517][3]~q\ & !\led_flash_cnt[517][2]~34121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[517][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[517][2]~34121\,
	combout => \led_flash_cnt[517][3]~34122_combout\,
	cout => \led_flash_cnt[517][3]~34123\);

-- Location: FF_X55_Y5_N9
\led_flash_cnt[517][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[517][3]~34122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[517][3]~q\);

-- Location: LCCOMB_X55_Y5_N10
\led_flash_cnt[517][4]~34124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[517][4]~34124_combout\ = (\led_flash_cnt[517][4]~q\ & (!\led_flash_cnt[517][3]~34123\)) # (!\led_flash_cnt[517][4]~q\ & ((\led_flash_cnt[517][3]~34123\) # (GND)))
-- \led_flash_cnt[517][4]~34125\ = CARRY((!\led_flash_cnt[517][3]~34123\) # (!\led_flash_cnt[517][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[517][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[517][3]~34123\,
	combout => \led_flash_cnt[517][4]~34124_combout\,
	cout => \led_flash_cnt[517][4]~34125\);

-- Location: FF_X55_Y5_N11
\led_flash_cnt[517][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[517][4]~34124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[517][4]~q\);

-- Location: LCCOMB_X55_Y5_N12
\led_flash_cnt[517][5]~34126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[517][5]~34126_combout\ = (\led_flash_cnt[517][5]~q\ & (\led_flash_cnt[517][4]~34125\ $ (GND))) # (!\led_flash_cnt[517][5]~q\ & (!\led_flash_cnt[517][4]~34125\ & VCC))
-- \led_flash_cnt[517][5]~34127\ = CARRY((\led_flash_cnt[517][5]~q\ & !\led_flash_cnt[517][4]~34125\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[517][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[517][4]~34125\,
	combout => \led_flash_cnt[517][5]~34126_combout\,
	cout => \led_flash_cnt[517][5]~34127\);

-- Location: FF_X55_Y5_N13
\led_flash_cnt[517][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[517][5]~34126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[517][5]~q\);

-- Location: LCCOMB_X55_Y5_N14
\led_flash_cnt[517][6]~34128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[517][6]~34128_combout\ = (\led_flash_cnt[517][6]~q\ & (!\led_flash_cnt[517][5]~34127\)) # (!\led_flash_cnt[517][6]~q\ & ((\led_flash_cnt[517][5]~34127\) # (GND)))
-- \led_flash_cnt[517][6]~34129\ = CARRY((!\led_flash_cnt[517][5]~34127\) # (!\led_flash_cnt[517][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[517][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[517][5]~34127\,
	combout => \led_flash_cnt[517][6]~34128_combout\,
	cout => \led_flash_cnt[517][6]~34129\);

-- Location: FF_X55_Y5_N15
\led_flash_cnt[517][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[517][6]~34128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[517][6]~q\);

-- Location: LCCOMB_X55_Y5_N16
\led_flash_cnt[517][7]~34130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[517][7]~34130_combout\ = \led_flash_cnt[517][6]~34129\ $ (!\led_flash_cnt[517][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[517][7]~q\,
	cin => \led_flash_cnt[517][6]~34129\,
	combout => \led_flash_cnt[517][7]~34130_combout\);

-- Location: FF_X55_Y5_N17
\led_flash_cnt[517][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[517][7]~34130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[517][7]~q\);

-- Location: LCCOMB_X55_Y5_N22
\WideAnd517~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd517~1_combout\ = (\led_flash_cnt[517][6]~q\ & \led_flash_cnt[517][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[517][6]~q\,
	datad => \led_flash_cnt[517][5]~q\,
	combout => \WideAnd517~1_combout\);

-- Location: LCCOMB_X55_Y5_N18
\WideAnd517~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd517~0_combout\ = (\led_flash_cnt[517][4]~q\ & (\led_flash_cnt[517][1]~q\ & (\led_flash_cnt[517][3]~q\ & \led_flash_cnt[517][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[517][4]~q\,
	datab => \led_flash_cnt[517][1]~q\,
	datac => \led_flash_cnt[517][3]~q\,
	datad => \led_flash_cnt[517][2]~q\,
	combout => \WideAnd517~0_combout\);

-- Location: LCCOMB_X55_Y5_N24
WideAnd517 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd517~combout\ = (\led_flash_cnt[517][0]~q\ & (\led_flash_cnt[517][7]~q\ & (\WideAnd517~1_combout\ & \WideAnd517~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[517][0]~q\,
	datab => \led_flash_cnt[517][7]~q\,
	datac => \WideAnd517~1_combout\,
	datad => \WideAnd517~0_combout\,
	combout => \WideAnd517~combout\);

-- Location: FF_X55_Y5_N25
\led_flash_cnt_ands[517]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd517~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(517));

-- Location: LCCOMB_X55_Y5_N28
\WideAnd3904~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3904~1_combout\ = (led_flash_cnt_ands(516) & led_flash_cnt_ands(517))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(516),
	datad => led_flash_cnt_ands(517),
	combout => \WideAnd3904~1_combout\);

-- Location: LCCOMB_X59_Y16_N12
\led_flash_cnt[519][0]~81159\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[519][0]~81159_combout\ = !\led_flash_cnt[519][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[519][0]~q\,
	combout => \led_flash_cnt[519][0]~81159_combout\);

-- Location: FF_X59_Y16_N13
\led_flash_cnt[519][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[519][0]~81159_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[519][0]~q\);

-- Location: LCCOMB_X59_Y16_N14
\led_flash_cnt[519][1]~34146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[519][1]~34146_combout\ = (\led_flash_cnt[519][0]~q\ & (\led_flash_cnt[519][1]~q\ $ (VCC))) # (!\led_flash_cnt[519][0]~q\ & (\led_flash_cnt[519][1]~q\ & VCC))
-- \led_flash_cnt[519][1]~34147\ = CARRY((\led_flash_cnt[519][0]~q\ & \led_flash_cnt[519][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[519][0]~q\,
	datab => \led_flash_cnt[519][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[519][1]~34146_combout\,
	cout => \led_flash_cnt[519][1]~34147\);

-- Location: FF_X59_Y16_N15
\led_flash_cnt[519][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[519][1]~34146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[519][1]~q\);

-- Location: LCCOMB_X59_Y16_N16
\led_flash_cnt[519][2]~34148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[519][2]~34148_combout\ = (\led_flash_cnt[519][2]~q\ & (!\led_flash_cnt[519][1]~34147\)) # (!\led_flash_cnt[519][2]~q\ & ((\led_flash_cnt[519][1]~34147\) # (GND)))
-- \led_flash_cnt[519][2]~34149\ = CARRY((!\led_flash_cnt[519][1]~34147\) # (!\led_flash_cnt[519][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[519][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[519][1]~34147\,
	combout => \led_flash_cnt[519][2]~34148_combout\,
	cout => \led_flash_cnt[519][2]~34149\);

-- Location: FF_X59_Y16_N17
\led_flash_cnt[519][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[519][2]~34148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[519][2]~q\);

-- Location: LCCOMB_X59_Y16_N18
\led_flash_cnt[519][3]~34150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[519][3]~34150_combout\ = (\led_flash_cnt[519][3]~q\ & (\led_flash_cnt[519][2]~34149\ $ (GND))) # (!\led_flash_cnt[519][3]~q\ & (!\led_flash_cnt[519][2]~34149\ & VCC))
-- \led_flash_cnt[519][3]~34151\ = CARRY((\led_flash_cnt[519][3]~q\ & !\led_flash_cnt[519][2]~34149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[519][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[519][2]~34149\,
	combout => \led_flash_cnt[519][3]~34150_combout\,
	cout => \led_flash_cnt[519][3]~34151\);

-- Location: FF_X59_Y16_N19
\led_flash_cnt[519][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[519][3]~34150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[519][3]~q\);

-- Location: LCCOMB_X59_Y16_N20
\led_flash_cnt[519][4]~34152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[519][4]~34152_combout\ = (\led_flash_cnt[519][4]~q\ & (!\led_flash_cnt[519][3]~34151\)) # (!\led_flash_cnt[519][4]~q\ & ((\led_flash_cnt[519][3]~34151\) # (GND)))
-- \led_flash_cnt[519][4]~34153\ = CARRY((!\led_flash_cnt[519][3]~34151\) # (!\led_flash_cnt[519][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[519][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[519][3]~34151\,
	combout => \led_flash_cnt[519][4]~34152_combout\,
	cout => \led_flash_cnt[519][4]~34153\);

-- Location: FF_X59_Y16_N21
\led_flash_cnt[519][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[519][4]~34152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[519][4]~q\);

-- Location: LCCOMB_X59_Y16_N22
\led_flash_cnt[519][5]~34154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[519][5]~34154_combout\ = (\led_flash_cnt[519][5]~q\ & (\led_flash_cnt[519][4]~34153\ $ (GND))) # (!\led_flash_cnt[519][5]~q\ & (!\led_flash_cnt[519][4]~34153\ & VCC))
-- \led_flash_cnt[519][5]~34155\ = CARRY((\led_flash_cnt[519][5]~q\ & !\led_flash_cnt[519][4]~34153\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[519][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[519][4]~34153\,
	combout => \led_flash_cnt[519][5]~34154_combout\,
	cout => \led_flash_cnt[519][5]~34155\);

-- Location: FF_X59_Y16_N23
\led_flash_cnt[519][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[519][5]~34154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[519][5]~q\);

-- Location: LCCOMB_X59_Y16_N24
\led_flash_cnt[519][6]~34156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[519][6]~34156_combout\ = (\led_flash_cnt[519][6]~q\ & (!\led_flash_cnt[519][5]~34155\)) # (!\led_flash_cnt[519][6]~q\ & ((\led_flash_cnt[519][5]~34155\) # (GND)))
-- \led_flash_cnt[519][6]~34157\ = CARRY((!\led_flash_cnt[519][5]~34155\) # (!\led_flash_cnt[519][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[519][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[519][5]~34155\,
	combout => \led_flash_cnt[519][6]~34156_combout\,
	cout => \led_flash_cnt[519][6]~34157\);

-- Location: FF_X59_Y16_N25
\led_flash_cnt[519][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[519][6]~34156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[519][6]~q\);

-- Location: LCCOMB_X59_Y16_N10
\WideAnd519~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd519~1_combout\ = (\led_flash_cnt[519][5]~q\ & \led_flash_cnt[519][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[519][5]~q\,
	datad => \led_flash_cnt[519][6]~q\,
	combout => \WideAnd519~1_combout\);

-- Location: LCCOMB_X59_Y16_N4
\WideAnd519~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd519~0_combout\ = (\led_flash_cnt[519][4]~q\ & (\led_flash_cnt[519][3]~q\ & (\led_flash_cnt[519][1]~q\ & \led_flash_cnt[519][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[519][4]~q\,
	datab => \led_flash_cnt[519][3]~q\,
	datac => \led_flash_cnt[519][1]~q\,
	datad => \led_flash_cnt[519][2]~q\,
	combout => \WideAnd519~0_combout\);

-- Location: LCCOMB_X59_Y16_N26
\led_flash_cnt[519][7]~34158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[519][7]~34158_combout\ = \led_flash_cnt[519][7]~q\ $ (!\led_flash_cnt[519][6]~34157\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[519][7]~q\,
	cin => \led_flash_cnt[519][6]~34157\,
	combout => \led_flash_cnt[519][7]~34158_combout\);

-- Location: FF_X59_Y16_N27
\led_flash_cnt[519][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[519][7]~34158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[519][7]~q\);

-- Location: LCCOMB_X59_Y16_N28
WideAnd519 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd519~combout\ = (\WideAnd519~1_combout\ & (\WideAnd519~0_combout\ & (\led_flash_cnt[519][7]~q\ & \led_flash_cnt[519][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd519~1_combout\,
	datab => \WideAnd519~0_combout\,
	datac => \led_flash_cnt[519][7]~q\,
	datad => \led_flash_cnt[519][0]~q\,
	combout => \WideAnd519~combout\);

-- Location: FF_X59_Y16_N29
\led_flash_cnt_ands[519]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd519~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(519));

-- Location: LCCOMB_X54_Y44_N4
\led_flash_cnt[513][0]~81153\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[513][0]~81153_combout\ = !\led_flash_cnt[513][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[513][0]~q\,
	combout => \led_flash_cnt[513][0]~81153_combout\);

-- Location: FF_X54_Y44_N5
\led_flash_cnt[513][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[513][0]~81153_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[513][0]~q\);

-- Location: LCCOMB_X54_Y44_N10
\led_flash_cnt[513][1]~34062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[513][1]~34062_combout\ = (\led_flash_cnt[513][1]~q\ & (\led_flash_cnt[513][0]~q\ $ (VCC))) # (!\led_flash_cnt[513][1]~q\ & (\led_flash_cnt[513][0]~q\ & VCC))
-- \led_flash_cnt[513][1]~34063\ = CARRY((\led_flash_cnt[513][1]~q\ & \led_flash_cnt[513][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[513][1]~q\,
	datab => \led_flash_cnt[513][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[513][1]~34062_combout\,
	cout => \led_flash_cnt[513][1]~34063\);

-- Location: FF_X54_Y44_N11
\led_flash_cnt[513][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[513][1]~34062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[513][1]~q\);

-- Location: LCCOMB_X54_Y44_N12
\led_flash_cnt[513][2]~34064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[513][2]~34064_combout\ = (\led_flash_cnt[513][2]~q\ & (!\led_flash_cnt[513][1]~34063\)) # (!\led_flash_cnt[513][2]~q\ & ((\led_flash_cnt[513][1]~34063\) # (GND)))
-- \led_flash_cnt[513][2]~34065\ = CARRY((!\led_flash_cnt[513][1]~34063\) # (!\led_flash_cnt[513][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[513][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[513][1]~34063\,
	combout => \led_flash_cnt[513][2]~34064_combout\,
	cout => \led_flash_cnt[513][2]~34065\);

-- Location: FF_X54_Y44_N13
\led_flash_cnt[513][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[513][2]~34064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[513][2]~q\);

-- Location: LCCOMB_X54_Y44_N14
\led_flash_cnt[513][3]~34066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[513][3]~34066_combout\ = (\led_flash_cnt[513][3]~q\ & (\led_flash_cnt[513][2]~34065\ $ (GND))) # (!\led_flash_cnt[513][3]~q\ & (!\led_flash_cnt[513][2]~34065\ & VCC))
-- \led_flash_cnt[513][3]~34067\ = CARRY((\led_flash_cnt[513][3]~q\ & !\led_flash_cnt[513][2]~34065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[513][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[513][2]~34065\,
	combout => \led_flash_cnt[513][3]~34066_combout\,
	cout => \led_flash_cnt[513][3]~34067\);

-- Location: FF_X54_Y44_N15
\led_flash_cnt[513][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[513][3]~34066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[513][3]~q\);

-- Location: LCCOMB_X54_Y44_N16
\led_flash_cnt[513][4]~34068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[513][4]~34068_combout\ = (\led_flash_cnt[513][4]~q\ & (!\led_flash_cnt[513][3]~34067\)) # (!\led_flash_cnt[513][4]~q\ & ((\led_flash_cnt[513][3]~34067\) # (GND)))
-- \led_flash_cnt[513][4]~34069\ = CARRY((!\led_flash_cnt[513][3]~34067\) # (!\led_flash_cnt[513][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[513][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[513][3]~34067\,
	combout => \led_flash_cnt[513][4]~34068_combout\,
	cout => \led_flash_cnt[513][4]~34069\);

-- Location: FF_X54_Y44_N17
\led_flash_cnt[513][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[513][4]~34068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[513][4]~q\);

-- Location: LCCOMB_X54_Y44_N18
\led_flash_cnt[513][5]~34070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[513][5]~34070_combout\ = (\led_flash_cnt[513][5]~q\ & (\led_flash_cnt[513][4]~34069\ $ (GND))) # (!\led_flash_cnt[513][5]~q\ & (!\led_flash_cnt[513][4]~34069\ & VCC))
-- \led_flash_cnt[513][5]~34071\ = CARRY((\led_flash_cnt[513][5]~q\ & !\led_flash_cnt[513][4]~34069\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[513][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[513][4]~34069\,
	combout => \led_flash_cnt[513][5]~34070_combout\,
	cout => \led_flash_cnt[513][5]~34071\);

-- Location: FF_X54_Y44_N19
\led_flash_cnt[513][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[513][5]~34070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[513][5]~q\);

-- Location: LCCOMB_X54_Y44_N20
\led_flash_cnt[513][6]~34072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[513][6]~34072_combout\ = (\led_flash_cnt[513][6]~q\ & (!\led_flash_cnt[513][5]~34071\)) # (!\led_flash_cnt[513][6]~q\ & ((\led_flash_cnt[513][5]~34071\) # (GND)))
-- \led_flash_cnt[513][6]~34073\ = CARRY((!\led_flash_cnt[513][5]~34071\) # (!\led_flash_cnt[513][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[513][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[513][5]~34071\,
	combout => \led_flash_cnt[513][6]~34072_combout\,
	cout => \led_flash_cnt[513][6]~34073\);

-- Location: FF_X54_Y44_N21
\led_flash_cnt[513][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[513][6]~34072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[513][6]~q\);

-- Location: LCCOMB_X54_Y44_N26
\WideAnd513~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd513~1_combout\ = (\led_flash_cnt[513][6]~q\ & \led_flash_cnt[513][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[513][6]~q\,
	datad => \led_flash_cnt[513][5]~q\,
	combout => \WideAnd513~1_combout\);

-- Location: LCCOMB_X54_Y44_N22
\led_flash_cnt[513][7]~34074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[513][7]~34074_combout\ = \led_flash_cnt[513][7]~q\ $ (!\led_flash_cnt[513][6]~34073\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[513][7]~q\,
	cin => \led_flash_cnt[513][6]~34073\,
	combout => \led_flash_cnt[513][7]~34074_combout\);

-- Location: FF_X54_Y44_N23
\led_flash_cnt[513][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[513][7]~34074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[513][7]~q\);

-- Location: LCCOMB_X54_Y44_N24
\WideAnd513~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd513~0_combout\ = (\led_flash_cnt[513][2]~q\ & (\led_flash_cnt[513][4]~q\ & (\led_flash_cnt[513][3]~q\ & \led_flash_cnt[513][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[513][2]~q\,
	datab => \led_flash_cnt[513][4]~q\,
	datac => \led_flash_cnt[513][3]~q\,
	datad => \led_flash_cnt[513][1]~q\,
	combout => \WideAnd513~0_combout\);

-- Location: LCCOMB_X54_Y44_N30
WideAnd513 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd513~combout\ = (\WideAnd513~1_combout\ & (\led_flash_cnt[513][0]~q\ & (\led_flash_cnt[513][7]~q\ & \WideAnd513~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd513~1_combout\,
	datab => \led_flash_cnt[513][0]~q\,
	datac => \led_flash_cnt[513][7]~q\,
	datad => \WideAnd513~0_combout\,
	combout => \WideAnd513~combout\);

-- Location: FF_X54_Y44_N31
\led_flash_cnt_ands[513]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd513~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(513));

-- Location: LCCOMB_X58_Y43_N2
\led_flash_cnt[515][0]~81155\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[515][0]~81155_combout\ = !\led_flash_cnt[515][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[515][0]~q\,
	combout => \led_flash_cnt[515][0]~81155_combout\);

-- Location: FF_X58_Y43_N3
\led_flash_cnt[515][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[515][0]~81155_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[515][0]~q\);

-- Location: LCCOMB_X57_Y43_N0
\led_flash_cnt[515][1]~34090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[515][1]~34090_combout\ = (\led_flash_cnt[515][0]~q\ & (\led_flash_cnt[515][1]~q\ $ (VCC))) # (!\led_flash_cnt[515][0]~q\ & (\led_flash_cnt[515][1]~q\ & VCC))
-- \led_flash_cnt[515][1]~34091\ = CARRY((\led_flash_cnt[515][0]~q\ & \led_flash_cnt[515][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[515][0]~q\,
	datab => \led_flash_cnt[515][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[515][1]~34090_combout\,
	cout => \led_flash_cnt[515][1]~34091\);

-- Location: FF_X57_Y43_N1
\led_flash_cnt[515][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[515][1]~34090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[515][1]~q\);

-- Location: LCCOMB_X57_Y43_N2
\led_flash_cnt[515][2]~34092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[515][2]~34092_combout\ = (\led_flash_cnt[515][2]~q\ & (!\led_flash_cnt[515][1]~34091\)) # (!\led_flash_cnt[515][2]~q\ & ((\led_flash_cnt[515][1]~34091\) # (GND)))
-- \led_flash_cnt[515][2]~34093\ = CARRY((!\led_flash_cnt[515][1]~34091\) # (!\led_flash_cnt[515][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[515][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[515][1]~34091\,
	combout => \led_flash_cnt[515][2]~34092_combout\,
	cout => \led_flash_cnt[515][2]~34093\);

-- Location: FF_X57_Y43_N3
\led_flash_cnt[515][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[515][2]~34092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[515][2]~q\);

-- Location: LCCOMB_X57_Y43_N4
\led_flash_cnt[515][3]~34094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[515][3]~34094_combout\ = (\led_flash_cnt[515][3]~q\ & (\led_flash_cnt[515][2]~34093\ $ (GND))) # (!\led_flash_cnt[515][3]~q\ & (!\led_flash_cnt[515][2]~34093\ & VCC))
-- \led_flash_cnt[515][3]~34095\ = CARRY((\led_flash_cnt[515][3]~q\ & !\led_flash_cnt[515][2]~34093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[515][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[515][2]~34093\,
	combout => \led_flash_cnt[515][3]~34094_combout\,
	cout => \led_flash_cnt[515][3]~34095\);

-- Location: FF_X57_Y43_N5
\led_flash_cnt[515][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[515][3]~34094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[515][3]~q\);

-- Location: LCCOMB_X57_Y43_N6
\led_flash_cnt[515][4]~34096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[515][4]~34096_combout\ = (\led_flash_cnt[515][4]~q\ & (!\led_flash_cnt[515][3]~34095\)) # (!\led_flash_cnt[515][4]~q\ & ((\led_flash_cnt[515][3]~34095\) # (GND)))
-- \led_flash_cnt[515][4]~34097\ = CARRY((!\led_flash_cnt[515][3]~34095\) # (!\led_flash_cnt[515][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[515][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[515][3]~34095\,
	combout => \led_flash_cnt[515][4]~34096_combout\,
	cout => \led_flash_cnt[515][4]~34097\);

-- Location: FF_X57_Y43_N7
\led_flash_cnt[515][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[515][4]~34096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[515][4]~q\);

-- Location: LCCOMB_X57_Y43_N8
\led_flash_cnt[515][5]~34098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[515][5]~34098_combout\ = (\led_flash_cnt[515][5]~q\ & (\led_flash_cnt[515][4]~34097\ $ (GND))) # (!\led_flash_cnt[515][5]~q\ & (!\led_flash_cnt[515][4]~34097\ & VCC))
-- \led_flash_cnt[515][5]~34099\ = CARRY((\led_flash_cnt[515][5]~q\ & !\led_flash_cnt[515][4]~34097\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[515][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[515][4]~34097\,
	combout => \led_flash_cnt[515][5]~34098_combout\,
	cout => \led_flash_cnt[515][5]~34099\);

-- Location: FF_X57_Y43_N9
\led_flash_cnt[515][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[515][5]~34098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[515][5]~q\);

-- Location: LCCOMB_X57_Y43_N10
\led_flash_cnt[515][6]~34100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[515][6]~34100_combout\ = (\led_flash_cnt[515][6]~q\ & (!\led_flash_cnt[515][5]~34099\)) # (!\led_flash_cnt[515][6]~q\ & ((\led_flash_cnt[515][5]~34099\) # (GND)))
-- \led_flash_cnt[515][6]~34101\ = CARRY((!\led_flash_cnt[515][5]~34099\) # (!\led_flash_cnt[515][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[515][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[515][5]~34099\,
	combout => \led_flash_cnt[515][6]~34100_combout\,
	cout => \led_flash_cnt[515][6]~34101\);

-- Location: FF_X57_Y43_N11
\led_flash_cnt[515][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[515][6]~34100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[515][6]~q\);

-- Location: LCCOMB_X57_Y43_N12
\led_flash_cnt[515][7]~34102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[515][7]~34102_combout\ = \led_flash_cnt[515][6]~34101\ $ (!\led_flash_cnt[515][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[515][7]~q\,
	cin => \led_flash_cnt[515][6]~34101\,
	combout => \led_flash_cnt[515][7]~34102_combout\);

-- Location: FF_X57_Y43_N13
\led_flash_cnt[515][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[515][7]~34102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[515][7]~q\);

-- Location: LCCOMB_X57_Y43_N30
\WideAnd515~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd515~0_combout\ = (\led_flash_cnt[515][4]~q\ & (\led_flash_cnt[515][1]~q\ & (\led_flash_cnt[515][3]~q\ & \led_flash_cnt[515][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[515][4]~q\,
	datab => \led_flash_cnt[515][1]~q\,
	datac => \led_flash_cnt[515][3]~q\,
	datad => \led_flash_cnt[515][2]~q\,
	combout => \WideAnd515~0_combout\);

-- Location: LCCOMB_X58_Y43_N4
\WideAnd515~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd515~1_combout\ = (\led_flash_cnt[515][6]~q\ & \led_flash_cnt[515][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[515][6]~q\,
	datad => \led_flash_cnt[515][5]~q\,
	combout => \WideAnd515~1_combout\);

-- Location: LCCOMB_X58_Y43_N28
WideAnd515 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd515~combout\ = (\led_flash_cnt[515][7]~q\ & (\WideAnd515~0_combout\ & (\WideAnd515~1_combout\ & \led_flash_cnt[515][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[515][7]~q\,
	datab => \WideAnd515~0_combout\,
	datac => \WideAnd515~1_combout\,
	datad => \led_flash_cnt[515][0]~q\,
	combout => \WideAnd515~combout\);

-- Location: FF_X58_Y43_N29
\led_flash_cnt_ands[515]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd515~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(515));

-- Location: LCCOMB_X52_Y40_N2
\led_flash_cnt[512][0]~81152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[512][0]~81152_combout\ = !\led_flash_cnt[512][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[512][0]~q\,
	combout => \led_flash_cnt[512][0]~81152_combout\);

-- Location: FF_X52_Y40_N3
\led_flash_cnt[512][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[512][0]~81152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[512][0]~q\);

-- Location: LCCOMB_X51_Y40_N0
\led_flash_cnt[512][1]~34048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[512][1]~34048_combout\ = (\led_flash_cnt[512][0]~q\ & (\led_flash_cnt[512][1]~q\ $ (VCC))) # (!\led_flash_cnt[512][0]~q\ & (\led_flash_cnt[512][1]~q\ & VCC))
-- \led_flash_cnt[512][1]~34049\ = CARRY((\led_flash_cnt[512][0]~q\ & \led_flash_cnt[512][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[512][0]~q\,
	datab => \led_flash_cnt[512][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[512][1]~34048_combout\,
	cout => \led_flash_cnt[512][1]~34049\);

-- Location: FF_X51_Y40_N1
\led_flash_cnt[512][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[512][1]~34048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[512][1]~q\);

-- Location: LCCOMB_X51_Y40_N2
\led_flash_cnt[512][2]~34050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[512][2]~34050_combout\ = (\led_flash_cnt[512][2]~q\ & (!\led_flash_cnt[512][1]~34049\)) # (!\led_flash_cnt[512][2]~q\ & ((\led_flash_cnt[512][1]~34049\) # (GND)))
-- \led_flash_cnt[512][2]~34051\ = CARRY((!\led_flash_cnt[512][1]~34049\) # (!\led_flash_cnt[512][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[512][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[512][1]~34049\,
	combout => \led_flash_cnt[512][2]~34050_combout\,
	cout => \led_flash_cnt[512][2]~34051\);

-- Location: FF_X51_Y40_N3
\led_flash_cnt[512][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[512][2]~34050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[512][2]~q\);

-- Location: LCCOMB_X51_Y40_N4
\led_flash_cnt[512][3]~34052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[512][3]~34052_combout\ = (\led_flash_cnt[512][3]~q\ & (\led_flash_cnt[512][2]~34051\ $ (GND))) # (!\led_flash_cnt[512][3]~q\ & (!\led_flash_cnt[512][2]~34051\ & VCC))
-- \led_flash_cnt[512][3]~34053\ = CARRY((\led_flash_cnt[512][3]~q\ & !\led_flash_cnt[512][2]~34051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[512][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[512][2]~34051\,
	combout => \led_flash_cnt[512][3]~34052_combout\,
	cout => \led_flash_cnt[512][3]~34053\);

-- Location: FF_X51_Y40_N5
\led_flash_cnt[512][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[512][3]~34052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[512][3]~q\);

-- Location: LCCOMB_X51_Y40_N6
\led_flash_cnt[512][4]~34054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[512][4]~34054_combout\ = (\led_flash_cnt[512][4]~q\ & (!\led_flash_cnt[512][3]~34053\)) # (!\led_flash_cnt[512][4]~q\ & ((\led_flash_cnt[512][3]~34053\) # (GND)))
-- \led_flash_cnt[512][4]~34055\ = CARRY((!\led_flash_cnt[512][3]~34053\) # (!\led_flash_cnt[512][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[512][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[512][3]~34053\,
	combout => \led_flash_cnt[512][4]~34054_combout\,
	cout => \led_flash_cnt[512][4]~34055\);

-- Location: FF_X51_Y40_N7
\led_flash_cnt[512][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[512][4]~34054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[512][4]~q\);

-- Location: LCCOMB_X51_Y40_N8
\led_flash_cnt[512][5]~34056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[512][5]~34056_combout\ = (\led_flash_cnt[512][5]~q\ & (\led_flash_cnt[512][4]~34055\ $ (GND))) # (!\led_flash_cnt[512][5]~q\ & (!\led_flash_cnt[512][4]~34055\ & VCC))
-- \led_flash_cnt[512][5]~34057\ = CARRY((\led_flash_cnt[512][5]~q\ & !\led_flash_cnt[512][4]~34055\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[512][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[512][4]~34055\,
	combout => \led_flash_cnt[512][5]~34056_combout\,
	cout => \led_flash_cnt[512][5]~34057\);

-- Location: FF_X51_Y40_N9
\led_flash_cnt[512][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[512][5]~34056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[512][5]~q\);

-- Location: LCCOMB_X51_Y40_N10
\led_flash_cnt[512][6]~34058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[512][6]~34058_combout\ = (\led_flash_cnt[512][6]~q\ & (!\led_flash_cnt[512][5]~34057\)) # (!\led_flash_cnt[512][6]~q\ & ((\led_flash_cnt[512][5]~34057\) # (GND)))
-- \led_flash_cnt[512][6]~34059\ = CARRY((!\led_flash_cnt[512][5]~34057\) # (!\led_flash_cnt[512][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[512][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[512][5]~34057\,
	combout => \led_flash_cnt[512][6]~34058_combout\,
	cout => \led_flash_cnt[512][6]~34059\);

-- Location: FF_X51_Y40_N11
\led_flash_cnt[512][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[512][6]~34058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[512][6]~q\);

-- Location: LCCOMB_X51_Y40_N12
\led_flash_cnt[512][7]~34060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[512][7]~34060_combout\ = \led_flash_cnt[512][6]~34059\ $ (!\led_flash_cnt[512][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[512][7]~q\,
	cin => \led_flash_cnt[512][6]~34059\,
	combout => \led_flash_cnt[512][7]~34060_combout\);

-- Location: FF_X51_Y40_N13
\led_flash_cnt[512][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[512][7]~34060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[512][7]~q\);

-- Location: LCCOMB_X52_Y40_N26
\WideAnd512~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd512~1_combout\ = (\led_flash_cnt[512][6]~q\ & \led_flash_cnt[512][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[512][6]~q\,
	datad => \led_flash_cnt[512][5]~q\,
	combout => \WideAnd512~1_combout\);

-- Location: LCCOMB_X51_Y40_N14
\WideAnd512~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd512~0_combout\ = (\led_flash_cnt[512][4]~q\ & (\led_flash_cnt[512][1]~q\ & (\led_flash_cnt[512][3]~q\ & \led_flash_cnt[512][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[512][4]~q\,
	datab => \led_flash_cnt[512][1]~q\,
	datac => \led_flash_cnt[512][3]~q\,
	datad => \led_flash_cnt[512][2]~q\,
	combout => \WideAnd512~0_combout\);

-- Location: LCCOMB_X52_Y40_N24
WideAnd512 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd512~combout\ = (\led_flash_cnt[512][7]~q\ & (\led_flash_cnt[512][0]~q\ & (\WideAnd512~1_combout\ & \WideAnd512~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[512][7]~q\,
	datab => \led_flash_cnt[512][0]~q\,
	datac => \WideAnd512~1_combout\,
	datad => \WideAnd512~0_combout\,
	combout => \WideAnd512~combout\);

-- Location: FF_X52_Y40_N25
\led_flash_cnt_ands[512]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd512~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(512));

-- Location: LCCOMB_X58_Y43_N26
\led_flash_cnt[514][0]~81154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[514][0]~81154_combout\ = !\led_flash_cnt[514][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[514][0]~q\,
	combout => \led_flash_cnt[514][0]~81154_combout\);

-- Location: FF_X58_Y43_N27
\led_flash_cnt[514][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[514][0]~81154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[514][0]~q\);

-- Location: LCCOMB_X58_Y43_N8
\led_flash_cnt[514][1]~34076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[514][1]~34076_combout\ = (\led_flash_cnt[514][0]~q\ & (\led_flash_cnt[514][1]~q\ $ (VCC))) # (!\led_flash_cnt[514][0]~q\ & (\led_flash_cnt[514][1]~q\ & VCC))
-- \led_flash_cnt[514][1]~34077\ = CARRY((\led_flash_cnt[514][0]~q\ & \led_flash_cnt[514][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[514][0]~q\,
	datab => \led_flash_cnt[514][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[514][1]~34076_combout\,
	cout => \led_flash_cnt[514][1]~34077\);

-- Location: FF_X58_Y43_N9
\led_flash_cnt[514][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[514][1]~34076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[514][1]~q\);

-- Location: LCCOMB_X58_Y43_N10
\led_flash_cnt[514][2]~34078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[514][2]~34078_combout\ = (\led_flash_cnt[514][2]~q\ & (!\led_flash_cnt[514][1]~34077\)) # (!\led_flash_cnt[514][2]~q\ & ((\led_flash_cnt[514][1]~34077\) # (GND)))
-- \led_flash_cnt[514][2]~34079\ = CARRY((!\led_flash_cnt[514][1]~34077\) # (!\led_flash_cnt[514][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[514][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[514][1]~34077\,
	combout => \led_flash_cnt[514][2]~34078_combout\,
	cout => \led_flash_cnt[514][2]~34079\);

-- Location: FF_X58_Y43_N11
\led_flash_cnt[514][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[514][2]~34078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[514][2]~q\);

-- Location: LCCOMB_X58_Y43_N12
\led_flash_cnt[514][3]~34080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[514][3]~34080_combout\ = (\led_flash_cnt[514][3]~q\ & (\led_flash_cnt[514][2]~34079\ $ (GND))) # (!\led_flash_cnt[514][3]~q\ & (!\led_flash_cnt[514][2]~34079\ & VCC))
-- \led_flash_cnt[514][3]~34081\ = CARRY((\led_flash_cnt[514][3]~q\ & !\led_flash_cnt[514][2]~34079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[514][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[514][2]~34079\,
	combout => \led_flash_cnt[514][3]~34080_combout\,
	cout => \led_flash_cnt[514][3]~34081\);

-- Location: FF_X58_Y43_N13
\led_flash_cnt[514][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[514][3]~34080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[514][3]~q\);

-- Location: LCCOMB_X58_Y43_N14
\led_flash_cnt[514][4]~34082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[514][4]~34082_combout\ = (\led_flash_cnt[514][4]~q\ & (!\led_flash_cnt[514][3]~34081\)) # (!\led_flash_cnt[514][4]~q\ & ((\led_flash_cnt[514][3]~34081\) # (GND)))
-- \led_flash_cnt[514][4]~34083\ = CARRY((!\led_flash_cnt[514][3]~34081\) # (!\led_flash_cnt[514][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[514][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[514][3]~34081\,
	combout => \led_flash_cnt[514][4]~34082_combout\,
	cout => \led_flash_cnt[514][4]~34083\);

-- Location: FF_X58_Y43_N15
\led_flash_cnt[514][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[514][4]~34082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[514][4]~q\);

-- Location: LCCOMB_X58_Y43_N16
\led_flash_cnt[514][5]~34084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[514][5]~34084_combout\ = (\led_flash_cnt[514][5]~q\ & (\led_flash_cnt[514][4]~34083\ $ (GND))) # (!\led_flash_cnt[514][5]~q\ & (!\led_flash_cnt[514][4]~34083\ & VCC))
-- \led_flash_cnt[514][5]~34085\ = CARRY((\led_flash_cnt[514][5]~q\ & !\led_flash_cnt[514][4]~34083\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[514][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[514][4]~34083\,
	combout => \led_flash_cnt[514][5]~34084_combout\,
	cout => \led_flash_cnt[514][5]~34085\);

-- Location: FF_X58_Y43_N17
\led_flash_cnt[514][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[514][5]~34084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[514][5]~q\);

-- Location: LCCOMB_X58_Y43_N18
\led_flash_cnt[514][6]~34086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[514][6]~34086_combout\ = (\led_flash_cnt[514][6]~q\ & (!\led_flash_cnt[514][5]~34085\)) # (!\led_flash_cnt[514][6]~q\ & ((\led_flash_cnt[514][5]~34085\) # (GND)))
-- \led_flash_cnt[514][6]~34087\ = CARRY((!\led_flash_cnt[514][5]~34085\) # (!\led_flash_cnt[514][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[514][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[514][5]~34085\,
	combout => \led_flash_cnt[514][6]~34086_combout\,
	cout => \led_flash_cnt[514][6]~34087\);

-- Location: FF_X58_Y43_N19
\led_flash_cnt[514][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[514][6]~34086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[514][6]~q\);

-- Location: LCCOMB_X58_Y43_N20
\led_flash_cnt[514][7]~34088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[514][7]~34088_combout\ = \led_flash_cnt[514][6]~34087\ $ (!\led_flash_cnt[514][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[514][7]~q\,
	cin => \led_flash_cnt[514][6]~34087\,
	combout => \led_flash_cnt[514][7]~34088_combout\);

-- Location: FF_X58_Y43_N21
\led_flash_cnt[514][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[514][7]~34088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[514][7]~q\);

-- Location: LCCOMB_X58_Y43_N30
\WideAnd514~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd514~1_combout\ = (\led_flash_cnt[514][6]~q\ & \led_flash_cnt[514][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[514][6]~q\,
	datad => \led_flash_cnt[514][5]~q\,
	combout => \WideAnd514~1_combout\);

-- Location: LCCOMB_X58_Y43_N24
\WideAnd514~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd514~0_combout\ = (\led_flash_cnt[514][3]~q\ & (\led_flash_cnt[514][4]~q\ & (\led_flash_cnt[514][1]~q\ & \led_flash_cnt[514][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[514][3]~q\,
	datab => \led_flash_cnt[514][4]~q\,
	datac => \led_flash_cnt[514][1]~q\,
	datad => \led_flash_cnt[514][2]~q\,
	combout => \WideAnd514~0_combout\);

-- Location: LCCOMB_X58_Y43_N6
WideAnd514 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd514~combout\ = (\led_flash_cnt[514][0]~q\ & (\led_flash_cnt[514][7]~q\ & (\WideAnd514~1_combout\ & \WideAnd514~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[514][0]~q\,
	datab => \led_flash_cnt[514][7]~q\,
	datac => \WideAnd514~1_combout\,
	datad => \WideAnd514~0_combout\,
	combout => \WideAnd514~combout\);

-- Location: FF_X58_Y43_N7
\led_flash_cnt_ands[514]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd514~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(514));

-- Location: LCCOMB_X58_Y43_N22
\WideAnd3904~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3904~0_combout\ = (led_flash_cnt_ands(513) & (led_flash_cnt_ands(515) & (led_flash_cnt_ands(512) & led_flash_cnt_ands(514))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(513),
	datab => led_flash_cnt_ands(515),
	datac => led_flash_cnt_ands(512),
	datad => led_flash_cnt_ands(514),
	combout => \WideAnd3904~0_combout\);

-- Location: LCCOMB_X58_Y19_N8
\led_flash_cnt[518][0]~81158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[518][0]~81158_combout\ = !\led_flash_cnt[518][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[518][0]~q\,
	combout => \led_flash_cnt[518][0]~81158_combout\);

-- Location: FF_X58_Y19_N9
\led_flash_cnt[518][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[518][0]~81158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[518][0]~q\);

-- Location: LCCOMB_X58_Y19_N12
\led_flash_cnt[518][1]~34132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[518][1]~34132_combout\ = (\led_flash_cnt[518][1]~q\ & (\led_flash_cnt[518][0]~q\ $ (VCC))) # (!\led_flash_cnt[518][1]~q\ & (\led_flash_cnt[518][0]~q\ & VCC))
-- \led_flash_cnt[518][1]~34133\ = CARRY((\led_flash_cnt[518][1]~q\ & \led_flash_cnt[518][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[518][1]~q\,
	datab => \led_flash_cnt[518][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[518][1]~34132_combout\,
	cout => \led_flash_cnt[518][1]~34133\);

-- Location: FF_X58_Y19_N13
\led_flash_cnt[518][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[518][1]~34132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[518][1]~q\);

-- Location: LCCOMB_X58_Y19_N14
\led_flash_cnt[518][2]~34134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[518][2]~34134_combout\ = (\led_flash_cnt[518][2]~q\ & (!\led_flash_cnt[518][1]~34133\)) # (!\led_flash_cnt[518][2]~q\ & ((\led_flash_cnt[518][1]~34133\) # (GND)))
-- \led_flash_cnt[518][2]~34135\ = CARRY((!\led_flash_cnt[518][1]~34133\) # (!\led_flash_cnt[518][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[518][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[518][1]~34133\,
	combout => \led_flash_cnt[518][2]~34134_combout\,
	cout => \led_flash_cnt[518][2]~34135\);

-- Location: FF_X58_Y19_N15
\led_flash_cnt[518][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[518][2]~34134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[518][2]~q\);

-- Location: LCCOMB_X58_Y19_N16
\led_flash_cnt[518][3]~34136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[518][3]~34136_combout\ = (\led_flash_cnt[518][3]~q\ & (\led_flash_cnt[518][2]~34135\ $ (GND))) # (!\led_flash_cnt[518][3]~q\ & (!\led_flash_cnt[518][2]~34135\ & VCC))
-- \led_flash_cnt[518][3]~34137\ = CARRY((\led_flash_cnt[518][3]~q\ & !\led_flash_cnt[518][2]~34135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[518][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[518][2]~34135\,
	combout => \led_flash_cnt[518][3]~34136_combout\,
	cout => \led_flash_cnt[518][3]~34137\);

-- Location: FF_X58_Y19_N17
\led_flash_cnt[518][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[518][3]~34136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[518][3]~q\);

-- Location: LCCOMB_X58_Y19_N18
\led_flash_cnt[518][4]~34138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[518][4]~34138_combout\ = (\led_flash_cnt[518][4]~q\ & (!\led_flash_cnt[518][3]~34137\)) # (!\led_flash_cnt[518][4]~q\ & ((\led_flash_cnt[518][3]~34137\) # (GND)))
-- \led_flash_cnt[518][4]~34139\ = CARRY((!\led_flash_cnt[518][3]~34137\) # (!\led_flash_cnt[518][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[518][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[518][3]~34137\,
	combout => \led_flash_cnt[518][4]~34138_combout\,
	cout => \led_flash_cnt[518][4]~34139\);

-- Location: FF_X58_Y19_N19
\led_flash_cnt[518][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[518][4]~34138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[518][4]~q\);

-- Location: LCCOMB_X58_Y19_N26
\WideAnd518~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd518~0_combout\ = (\led_flash_cnt[518][1]~q\ & (\led_flash_cnt[518][4]~q\ & (\led_flash_cnt[518][2]~q\ & \led_flash_cnt[518][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[518][1]~q\,
	datab => \led_flash_cnt[518][4]~q\,
	datac => \led_flash_cnt[518][2]~q\,
	datad => \led_flash_cnt[518][3]~q\,
	combout => \WideAnd518~0_combout\);

-- Location: LCCOMB_X58_Y19_N20
\led_flash_cnt[518][5]~34140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[518][5]~34140_combout\ = (\led_flash_cnt[518][5]~q\ & (\led_flash_cnt[518][4]~34139\ $ (GND))) # (!\led_flash_cnt[518][5]~q\ & (!\led_flash_cnt[518][4]~34139\ & VCC))
-- \led_flash_cnt[518][5]~34141\ = CARRY((\led_flash_cnt[518][5]~q\ & !\led_flash_cnt[518][4]~34139\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[518][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[518][4]~34139\,
	combout => \led_flash_cnt[518][5]~34140_combout\,
	cout => \led_flash_cnt[518][5]~34141\);

-- Location: FF_X58_Y19_N21
\led_flash_cnt[518][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[518][5]~34140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[518][5]~q\);

-- Location: LCCOMB_X58_Y19_N22
\led_flash_cnt[518][6]~34142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[518][6]~34142_combout\ = (\led_flash_cnt[518][6]~q\ & (!\led_flash_cnt[518][5]~34141\)) # (!\led_flash_cnt[518][6]~q\ & ((\led_flash_cnt[518][5]~34141\) # (GND)))
-- \led_flash_cnt[518][6]~34143\ = CARRY((!\led_flash_cnt[518][5]~34141\) # (!\led_flash_cnt[518][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[518][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[518][5]~34141\,
	combout => \led_flash_cnt[518][6]~34142_combout\,
	cout => \led_flash_cnt[518][6]~34143\);

-- Location: FF_X58_Y19_N23
\led_flash_cnt[518][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[518][6]~34142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[518][6]~q\);

-- Location: LCCOMB_X58_Y19_N24
\led_flash_cnt[518][7]~34144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[518][7]~34144_combout\ = \led_flash_cnt[518][6]~34143\ $ (!\led_flash_cnt[518][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[518][7]~q\,
	cin => \led_flash_cnt[518][6]~34143\,
	combout => \led_flash_cnt[518][7]~34144_combout\);

-- Location: FF_X58_Y19_N25
\led_flash_cnt[518][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[518][7]~34144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[518][7]~q\);

-- Location: LCCOMB_X58_Y19_N0
\WideAnd518~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd518~1_combout\ = (\led_flash_cnt[518][6]~q\ & \led_flash_cnt[518][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[518][6]~q\,
	datad => \led_flash_cnt[518][5]~q\,
	combout => \WideAnd518~1_combout\);

-- Location: LCCOMB_X58_Y19_N10
WideAnd518 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd518~combout\ = (\WideAnd518~0_combout\ & (\led_flash_cnt[518][7]~q\ & (\led_flash_cnt[518][0]~q\ & \WideAnd518~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd518~0_combout\,
	datab => \led_flash_cnt[518][7]~q\,
	datac => \led_flash_cnt[518][0]~q\,
	datad => \WideAnd518~1_combout\,
	combout => \WideAnd518~combout\);

-- Location: FF_X58_Y19_N11
\led_flash_cnt_ands[518]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd518~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(518));

-- Location: LCCOMB_X58_Y19_N28
WideAnd3904 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3904~combout\ = (\WideAnd3904~1_combout\ & (led_flash_cnt_ands(519) & (\WideAnd3904~0_combout\ & led_flash_cnt_ands(518))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3904~1_combout\,
	datab => led_flash_cnt_ands(519),
	datac => \WideAnd3904~0_combout\,
	datad => led_flash_cnt_ands(518),
	combout => \WideAnd3904~combout\);

-- Location: FF_X58_Y19_N29
\led_flash_cnt_ands_1[64]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3904~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(64));

-- Location: LCCOMB_X64_Y22_N30
\led_flash_cnt[534][0]~81174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[534][0]~81174_combout\ = !\led_flash_cnt[534][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[534][0]~q\,
	combout => \led_flash_cnt[534][0]~81174_combout\);

-- Location: FF_X64_Y22_N31
\led_flash_cnt[534][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[534][0]~81174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[534][0]~q\);

-- Location: LCCOMB_X64_Y22_N14
\led_flash_cnt[534][1]~34356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[534][1]~34356_combout\ = (\led_flash_cnt[534][0]~q\ & (\led_flash_cnt[534][1]~q\ $ (VCC))) # (!\led_flash_cnt[534][0]~q\ & (\led_flash_cnt[534][1]~q\ & VCC))
-- \led_flash_cnt[534][1]~34357\ = CARRY((\led_flash_cnt[534][0]~q\ & \led_flash_cnt[534][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[534][0]~q\,
	datab => \led_flash_cnt[534][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[534][1]~34356_combout\,
	cout => \led_flash_cnt[534][1]~34357\);

-- Location: FF_X64_Y22_N15
\led_flash_cnt[534][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[534][1]~34356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[534][1]~q\);

-- Location: LCCOMB_X64_Y22_N16
\led_flash_cnt[534][2]~34358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[534][2]~34358_combout\ = (\led_flash_cnt[534][2]~q\ & (!\led_flash_cnt[534][1]~34357\)) # (!\led_flash_cnt[534][2]~q\ & ((\led_flash_cnt[534][1]~34357\) # (GND)))
-- \led_flash_cnt[534][2]~34359\ = CARRY((!\led_flash_cnt[534][1]~34357\) # (!\led_flash_cnt[534][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[534][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[534][1]~34357\,
	combout => \led_flash_cnt[534][2]~34358_combout\,
	cout => \led_flash_cnt[534][2]~34359\);

-- Location: FF_X64_Y22_N17
\led_flash_cnt[534][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[534][2]~34358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[534][2]~q\);

-- Location: LCCOMB_X64_Y22_N18
\led_flash_cnt[534][3]~34360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[534][3]~34360_combout\ = (\led_flash_cnt[534][3]~q\ & (\led_flash_cnt[534][2]~34359\ $ (GND))) # (!\led_flash_cnt[534][3]~q\ & (!\led_flash_cnt[534][2]~34359\ & VCC))
-- \led_flash_cnt[534][3]~34361\ = CARRY((\led_flash_cnt[534][3]~q\ & !\led_flash_cnt[534][2]~34359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[534][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[534][2]~34359\,
	combout => \led_flash_cnt[534][3]~34360_combout\,
	cout => \led_flash_cnt[534][3]~34361\);

-- Location: FF_X64_Y22_N19
\led_flash_cnt[534][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[534][3]~34360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[534][3]~q\);

-- Location: LCCOMB_X64_Y22_N20
\led_flash_cnt[534][4]~34362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[534][4]~34362_combout\ = (\led_flash_cnt[534][4]~q\ & (!\led_flash_cnt[534][3]~34361\)) # (!\led_flash_cnt[534][4]~q\ & ((\led_flash_cnt[534][3]~34361\) # (GND)))
-- \led_flash_cnt[534][4]~34363\ = CARRY((!\led_flash_cnt[534][3]~34361\) # (!\led_flash_cnt[534][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[534][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[534][3]~34361\,
	combout => \led_flash_cnt[534][4]~34362_combout\,
	cout => \led_flash_cnt[534][4]~34363\);

-- Location: FF_X64_Y22_N21
\led_flash_cnt[534][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[534][4]~34362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[534][4]~q\);

-- Location: LCCOMB_X64_Y22_N22
\led_flash_cnt[534][5]~34364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[534][5]~34364_combout\ = (\led_flash_cnt[534][5]~q\ & (\led_flash_cnt[534][4]~34363\ $ (GND))) # (!\led_flash_cnt[534][5]~q\ & (!\led_flash_cnt[534][4]~34363\ & VCC))
-- \led_flash_cnt[534][5]~34365\ = CARRY((\led_flash_cnt[534][5]~q\ & !\led_flash_cnt[534][4]~34363\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[534][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[534][4]~34363\,
	combout => \led_flash_cnt[534][5]~34364_combout\,
	cout => \led_flash_cnt[534][5]~34365\);

-- Location: FF_X64_Y22_N23
\led_flash_cnt[534][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[534][5]~34364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[534][5]~q\);

-- Location: LCCOMB_X64_Y22_N24
\led_flash_cnt[534][6]~34366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[534][6]~34366_combout\ = (\led_flash_cnt[534][6]~q\ & (!\led_flash_cnt[534][5]~34365\)) # (!\led_flash_cnt[534][6]~q\ & ((\led_flash_cnt[534][5]~34365\) # (GND)))
-- \led_flash_cnt[534][6]~34367\ = CARRY((!\led_flash_cnt[534][5]~34365\) # (!\led_flash_cnt[534][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[534][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[534][5]~34365\,
	combout => \led_flash_cnt[534][6]~34366_combout\,
	cout => \led_flash_cnt[534][6]~34367\);

-- Location: FF_X64_Y22_N25
\led_flash_cnt[534][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[534][6]~34366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[534][6]~q\);

-- Location: LCCOMB_X64_Y22_N26
\led_flash_cnt[534][7]~34368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[534][7]~34368_combout\ = \led_flash_cnt[534][7]~q\ $ (!\led_flash_cnt[534][6]~34367\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[534][7]~q\,
	cin => \led_flash_cnt[534][6]~34367\,
	combout => \led_flash_cnt[534][7]~34368_combout\);

-- Location: FF_X64_Y22_N27
\led_flash_cnt[534][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[534][7]~34368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[534][7]~q\);

-- Location: LCCOMB_X64_Y22_N2
\WideAnd534~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd534~1_combout\ = (\led_flash_cnt[534][5]~q\ & \led_flash_cnt[534][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[534][5]~q\,
	datad => \led_flash_cnt[534][6]~q\,
	combout => \WideAnd534~1_combout\);

-- Location: LCCOMB_X64_Y22_N12
\WideAnd534~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd534~0_combout\ = (\led_flash_cnt[534][4]~q\ & (\led_flash_cnt[534][3]~q\ & (\led_flash_cnt[534][1]~q\ & \led_flash_cnt[534][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[534][4]~q\,
	datab => \led_flash_cnt[534][3]~q\,
	datac => \led_flash_cnt[534][1]~q\,
	datad => \led_flash_cnt[534][2]~q\,
	combout => \WideAnd534~0_combout\);

-- Location: LCCOMB_X64_Y22_N8
WideAnd534 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd534~combout\ = (\led_flash_cnt[534][7]~q\ & (\WideAnd534~1_combout\ & (\led_flash_cnt[534][0]~q\ & \WideAnd534~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[534][7]~q\,
	datab => \WideAnd534~1_combout\,
	datac => \led_flash_cnt[534][0]~q\,
	datad => \WideAnd534~0_combout\,
	combout => \WideAnd534~combout\);

-- Location: FF_X64_Y22_N9
\led_flash_cnt_ands[534]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd534~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(534));

-- Location: LCCOMB_X77_Y18_N12
\led_flash_cnt[530][0]~81170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[530][0]~81170_combout\ = !\led_flash_cnt[530][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[530][0]~q\,
	combout => \led_flash_cnt[530][0]~81170_combout\);

-- Location: FF_X77_Y18_N13
\led_flash_cnt[530][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[530][0]~81170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[530][0]~q\);

-- Location: LCCOMB_X77_Y18_N14
\led_flash_cnt[530][1]~34300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[530][1]~34300_combout\ = (\led_flash_cnt[530][0]~q\ & (\led_flash_cnt[530][1]~q\ $ (VCC))) # (!\led_flash_cnt[530][0]~q\ & (\led_flash_cnt[530][1]~q\ & VCC))
-- \led_flash_cnt[530][1]~34301\ = CARRY((\led_flash_cnt[530][0]~q\ & \led_flash_cnt[530][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[530][0]~q\,
	datab => \led_flash_cnt[530][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[530][1]~34300_combout\,
	cout => \led_flash_cnt[530][1]~34301\);

-- Location: FF_X77_Y18_N15
\led_flash_cnt[530][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[530][1]~34300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[530][1]~q\);

-- Location: LCCOMB_X77_Y18_N16
\led_flash_cnt[530][2]~34302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[530][2]~34302_combout\ = (\led_flash_cnt[530][2]~q\ & (!\led_flash_cnt[530][1]~34301\)) # (!\led_flash_cnt[530][2]~q\ & ((\led_flash_cnt[530][1]~34301\) # (GND)))
-- \led_flash_cnt[530][2]~34303\ = CARRY((!\led_flash_cnt[530][1]~34301\) # (!\led_flash_cnt[530][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[530][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[530][1]~34301\,
	combout => \led_flash_cnt[530][2]~34302_combout\,
	cout => \led_flash_cnt[530][2]~34303\);

-- Location: FF_X77_Y18_N17
\led_flash_cnt[530][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[530][2]~34302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[530][2]~q\);

-- Location: LCCOMB_X77_Y18_N18
\led_flash_cnt[530][3]~34304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[530][3]~34304_combout\ = (\led_flash_cnt[530][3]~q\ & (\led_flash_cnt[530][2]~34303\ $ (GND))) # (!\led_flash_cnt[530][3]~q\ & (!\led_flash_cnt[530][2]~34303\ & VCC))
-- \led_flash_cnt[530][3]~34305\ = CARRY((\led_flash_cnt[530][3]~q\ & !\led_flash_cnt[530][2]~34303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[530][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[530][2]~34303\,
	combout => \led_flash_cnt[530][3]~34304_combout\,
	cout => \led_flash_cnt[530][3]~34305\);

-- Location: FF_X77_Y18_N19
\led_flash_cnt[530][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[530][3]~34304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[530][3]~q\);

-- Location: LCCOMB_X77_Y18_N20
\led_flash_cnt[530][4]~34306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[530][4]~34306_combout\ = (\led_flash_cnt[530][4]~q\ & (!\led_flash_cnt[530][3]~34305\)) # (!\led_flash_cnt[530][4]~q\ & ((\led_flash_cnt[530][3]~34305\) # (GND)))
-- \led_flash_cnt[530][4]~34307\ = CARRY((!\led_flash_cnt[530][3]~34305\) # (!\led_flash_cnt[530][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[530][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[530][3]~34305\,
	combout => \led_flash_cnt[530][4]~34306_combout\,
	cout => \led_flash_cnt[530][4]~34307\);

-- Location: FF_X77_Y18_N21
\led_flash_cnt[530][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[530][4]~34306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[530][4]~q\);

-- Location: LCCOMB_X77_Y18_N22
\led_flash_cnt[530][5]~34308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[530][5]~34308_combout\ = (\led_flash_cnt[530][5]~q\ & (\led_flash_cnt[530][4]~34307\ $ (GND))) # (!\led_flash_cnt[530][5]~q\ & (!\led_flash_cnt[530][4]~34307\ & VCC))
-- \led_flash_cnt[530][5]~34309\ = CARRY((\led_flash_cnt[530][5]~q\ & !\led_flash_cnt[530][4]~34307\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[530][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[530][4]~34307\,
	combout => \led_flash_cnt[530][5]~34308_combout\,
	cout => \led_flash_cnt[530][5]~34309\);

-- Location: FF_X77_Y18_N23
\led_flash_cnt[530][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[530][5]~34308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[530][5]~q\);

-- Location: LCCOMB_X77_Y18_N24
\led_flash_cnt[530][6]~34310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[530][6]~34310_combout\ = (\led_flash_cnt[530][6]~q\ & (!\led_flash_cnt[530][5]~34309\)) # (!\led_flash_cnt[530][6]~q\ & ((\led_flash_cnt[530][5]~34309\) # (GND)))
-- \led_flash_cnt[530][6]~34311\ = CARRY((!\led_flash_cnt[530][5]~34309\) # (!\led_flash_cnt[530][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[530][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[530][5]~34309\,
	combout => \led_flash_cnt[530][6]~34310_combout\,
	cout => \led_flash_cnt[530][6]~34311\);

-- Location: FF_X77_Y18_N25
\led_flash_cnt[530][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[530][6]~34310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[530][6]~q\);

-- Location: LCCOMB_X77_Y18_N10
\WideAnd530~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd530~1_combout\ = (\led_flash_cnt[530][5]~q\ & \led_flash_cnt[530][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[530][5]~q\,
	datad => \led_flash_cnt[530][6]~q\,
	combout => \WideAnd530~1_combout\);

-- Location: LCCOMB_X77_Y18_N28
\WideAnd530~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd530~0_combout\ = (\led_flash_cnt[530][3]~q\ & (\led_flash_cnt[530][4]~q\ & (\led_flash_cnt[530][1]~q\ & \led_flash_cnt[530][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[530][3]~q\,
	datab => \led_flash_cnt[530][4]~q\,
	datac => \led_flash_cnt[530][1]~q\,
	datad => \led_flash_cnt[530][2]~q\,
	combout => \WideAnd530~0_combout\);

-- Location: LCCOMB_X77_Y18_N26
\led_flash_cnt[530][7]~34312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[530][7]~34312_combout\ = \led_flash_cnt[530][7]~q\ $ (!\led_flash_cnt[530][6]~34311\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[530][7]~q\,
	cin => \led_flash_cnt[530][6]~34311\,
	combout => \led_flash_cnt[530][7]~34312_combout\);

-- Location: FF_X77_Y18_N27
\led_flash_cnt[530][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[530][7]~34312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[530][7]~q\);

-- Location: LCCOMB_X77_Y18_N4
WideAnd530 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd530~combout\ = (\WideAnd530~1_combout\ & (\WideAnd530~0_combout\ & (\led_flash_cnt[530][7]~q\ & \led_flash_cnt[530][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd530~1_combout\,
	datab => \WideAnd530~0_combout\,
	datac => \led_flash_cnt[530][7]~q\,
	datad => \led_flash_cnt[530][0]~q\,
	combout => \WideAnd530~combout\);

-- Location: FF_X77_Y18_N5
\led_flash_cnt_ands[530]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd530~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(530));

-- Location: LCCOMB_X76_Y22_N6
\led_flash_cnt[529][0]~81169\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[529][0]~81169_combout\ = !\led_flash_cnt[529][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[529][0]~q\,
	combout => \led_flash_cnt[529][0]~81169_combout\);

-- Location: FF_X76_Y22_N7
\led_flash_cnt[529][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[529][0]~81169_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[529][0]~q\);

-- Location: LCCOMB_X77_Y22_N18
\led_flash_cnt[529][1]~34286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[529][1]~34286_combout\ = (\led_flash_cnt[529][0]~q\ & (\led_flash_cnt[529][1]~q\ $ (VCC))) # (!\led_flash_cnt[529][0]~q\ & (\led_flash_cnt[529][1]~q\ & VCC))
-- \led_flash_cnt[529][1]~34287\ = CARRY((\led_flash_cnt[529][0]~q\ & \led_flash_cnt[529][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[529][0]~q\,
	datab => \led_flash_cnt[529][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[529][1]~34286_combout\,
	cout => \led_flash_cnt[529][1]~34287\);

-- Location: FF_X77_Y22_N19
\led_flash_cnt[529][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[529][1]~34286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[529][1]~q\);

-- Location: LCCOMB_X77_Y22_N20
\led_flash_cnt[529][2]~34288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[529][2]~34288_combout\ = (\led_flash_cnt[529][2]~q\ & (!\led_flash_cnt[529][1]~34287\)) # (!\led_flash_cnt[529][2]~q\ & ((\led_flash_cnt[529][1]~34287\) # (GND)))
-- \led_flash_cnt[529][2]~34289\ = CARRY((!\led_flash_cnt[529][1]~34287\) # (!\led_flash_cnt[529][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[529][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[529][1]~34287\,
	combout => \led_flash_cnt[529][2]~34288_combout\,
	cout => \led_flash_cnt[529][2]~34289\);

-- Location: FF_X77_Y22_N21
\led_flash_cnt[529][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[529][2]~34288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[529][2]~q\);

-- Location: LCCOMB_X77_Y22_N22
\led_flash_cnt[529][3]~34290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[529][3]~34290_combout\ = (\led_flash_cnt[529][3]~q\ & (\led_flash_cnt[529][2]~34289\ $ (GND))) # (!\led_flash_cnt[529][3]~q\ & (!\led_flash_cnt[529][2]~34289\ & VCC))
-- \led_flash_cnt[529][3]~34291\ = CARRY((\led_flash_cnt[529][3]~q\ & !\led_flash_cnt[529][2]~34289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[529][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[529][2]~34289\,
	combout => \led_flash_cnt[529][3]~34290_combout\,
	cout => \led_flash_cnt[529][3]~34291\);

-- Location: FF_X77_Y22_N23
\led_flash_cnt[529][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[529][3]~34290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[529][3]~q\);

-- Location: LCCOMB_X77_Y22_N24
\led_flash_cnt[529][4]~34292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[529][4]~34292_combout\ = (\led_flash_cnt[529][4]~q\ & (!\led_flash_cnt[529][3]~34291\)) # (!\led_flash_cnt[529][4]~q\ & ((\led_flash_cnt[529][3]~34291\) # (GND)))
-- \led_flash_cnt[529][4]~34293\ = CARRY((!\led_flash_cnt[529][3]~34291\) # (!\led_flash_cnt[529][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[529][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[529][3]~34291\,
	combout => \led_flash_cnt[529][4]~34292_combout\,
	cout => \led_flash_cnt[529][4]~34293\);

-- Location: FF_X77_Y22_N25
\led_flash_cnt[529][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[529][4]~34292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[529][4]~q\);

-- Location: LCCOMB_X77_Y22_N26
\led_flash_cnt[529][5]~34294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[529][5]~34294_combout\ = (\led_flash_cnt[529][5]~q\ & (\led_flash_cnt[529][4]~34293\ $ (GND))) # (!\led_flash_cnt[529][5]~q\ & (!\led_flash_cnt[529][4]~34293\ & VCC))
-- \led_flash_cnt[529][5]~34295\ = CARRY((\led_flash_cnt[529][5]~q\ & !\led_flash_cnt[529][4]~34293\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[529][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[529][4]~34293\,
	combout => \led_flash_cnt[529][5]~34294_combout\,
	cout => \led_flash_cnt[529][5]~34295\);

-- Location: FF_X77_Y22_N27
\led_flash_cnt[529][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[529][5]~34294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[529][5]~q\);

-- Location: LCCOMB_X77_Y22_N28
\led_flash_cnt[529][6]~34296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[529][6]~34296_combout\ = (\led_flash_cnt[529][6]~q\ & (!\led_flash_cnt[529][5]~34295\)) # (!\led_flash_cnt[529][6]~q\ & ((\led_flash_cnt[529][5]~34295\) # (GND)))
-- \led_flash_cnt[529][6]~34297\ = CARRY((!\led_flash_cnt[529][5]~34295\) # (!\led_flash_cnt[529][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[529][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[529][5]~34295\,
	combout => \led_flash_cnt[529][6]~34296_combout\,
	cout => \led_flash_cnt[529][6]~34297\);

-- Location: FF_X77_Y22_N29
\led_flash_cnt[529][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[529][6]~34296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[529][6]~q\);

-- Location: LCCOMB_X76_Y22_N30
\WideAnd529~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd529~1_combout\ = (\led_flash_cnt[529][5]~q\ & \led_flash_cnt[529][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[529][5]~q\,
	datad => \led_flash_cnt[529][6]~q\,
	combout => \WideAnd529~1_combout\);

-- Location: LCCOMB_X77_Y22_N0
\WideAnd529~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd529~0_combout\ = (\led_flash_cnt[529][4]~q\ & (\led_flash_cnt[529][2]~q\ & (\led_flash_cnt[529][3]~q\ & \led_flash_cnt[529][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[529][4]~q\,
	datab => \led_flash_cnt[529][2]~q\,
	datac => \led_flash_cnt[529][3]~q\,
	datad => \led_flash_cnt[529][1]~q\,
	combout => \WideAnd529~0_combout\);

-- Location: LCCOMB_X77_Y22_N30
\led_flash_cnt[529][7]~34298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[529][7]~34298_combout\ = \led_flash_cnt[529][7]~q\ $ (!\led_flash_cnt[529][6]~34297\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[529][7]~q\,
	cin => \led_flash_cnt[529][6]~34297\,
	combout => \led_flash_cnt[529][7]~34298_combout\);

-- Location: FF_X77_Y22_N31
\led_flash_cnt[529][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[529][7]~34298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[529][7]~q\);

-- Location: LCCOMB_X76_Y22_N28
WideAnd529 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd529~combout\ = (\WideAnd529~1_combout\ & (\WideAnd529~0_combout\ & (\led_flash_cnt[529][7]~q\ & \led_flash_cnt[529][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd529~1_combout\,
	datab => \WideAnd529~0_combout\,
	datac => \led_flash_cnt[529][7]~q\,
	datad => \led_flash_cnt[529][0]~q\,
	combout => \WideAnd529~combout\);

-- Location: FF_X76_Y22_N29
\led_flash_cnt_ands[529]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd529~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(529));

-- Location: LCCOMB_X76_Y16_N8
\led_flash_cnt[528][0]~81168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[528][0]~81168_combout\ = !\led_flash_cnt[528][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[528][0]~q\,
	combout => \led_flash_cnt[528][0]~81168_combout\);

-- Location: FF_X76_Y16_N9
\led_flash_cnt[528][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[528][0]~81168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[528][0]~q\);

-- Location: LCCOMB_X76_Y16_N12
\led_flash_cnt[528][1]~34272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[528][1]~34272_combout\ = (\led_flash_cnt[528][1]~q\ & (\led_flash_cnt[528][0]~q\ $ (VCC))) # (!\led_flash_cnt[528][1]~q\ & (\led_flash_cnt[528][0]~q\ & VCC))
-- \led_flash_cnt[528][1]~34273\ = CARRY((\led_flash_cnt[528][1]~q\ & \led_flash_cnt[528][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[528][1]~q\,
	datab => \led_flash_cnt[528][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[528][1]~34272_combout\,
	cout => \led_flash_cnt[528][1]~34273\);

-- Location: FF_X76_Y16_N13
\led_flash_cnt[528][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[528][1]~34272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[528][1]~q\);

-- Location: LCCOMB_X76_Y16_N14
\led_flash_cnt[528][2]~34274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[528][2]~34274_combout\ = (\led_flash_cnt[528][2]~q\ & (!\led_flash_cnt[528][1]~34273\)) # (!\led_flash_cnt[528][2]~q\ & ((\led_flash_cnt[528][1]~34273\) # (GND)))
-- \led_flash_cnt[528][2]~34275\ = CARRY((!\led_flash_cnt[528][1]~34273\) # (!\led_flash_cnt[528][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[528][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[528][1]~34273\,
	combout => \led_flash_cnt[528][2]~34274_combout\,
	cout => \led_flash_cnt[528][2]~34275\);

-- Location: FF_X76_Y16_N15
\led_flash_cnt[528][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[528][2]~34274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[528][2]~q\);

-- Location: LCCOMB_X76_Y16_N16
\led_flash_cnt[528][3]~34276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[528][3]~34276_combout\ = (\led_flash_cnt[528][3]~q\ & (\led_flash_cnt[528][2]~34275\ $ (GND))) # (!\led_flash_cnt[528][3]~q\ & (!\led_flash_cnt[528][2]~34275\ & VCC))
-- \led_flash_cnt[528][3]~34277\ = CARRY((\led_flash_cnt[528][3]~q\ & !\led_flash_cnt[528][2]~34275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[528][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[528][2]~34275\,
	combout => \led_flash_cnt[528][3]~34276_combout\,
	cout => \led_flash_cnt[528][3]~34277\);

-- Location: FF_X76_Y16_N17
\led_flash_cnt[528][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[528][3]~34276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[528][3]~q\);

-- Location: LCCOMB_X76_Y16_N18
\led_flash_cnt[528][4]~34278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[528][4]~34278_combout\ = (\led_flash_cnt[528][4]~q\ & (!\led_flash_cnt[528][3]~34277\)) # (!\led_flash_cnt[528][4]~q\ & ((\led_flash_cnt[528][3]~34277\) # (GND)))
-- \led_flash_cnt[528][4]~34279\ = CARRY((!\led_flash_cnt[528][3]~34277\) # (!\led_flash_cnt[528][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[528][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[528][3]~34277\,
	combout => \led_flash_cnt[528][4]~34278_combout\,
	cout => \led_flash_cnt[528][4]~34279\);

-- Location: FF_X76_Y16_N19
\led_flash_cnt[528][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[528][4]~34278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[528][4]~q\);

-- Location: LCCOMB_X76_Y16_N20
\led_flash_cnt[528][5]~34280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[528][5]~34280_combout\ = (\led_flash_cnt[528][5]~q\ & (\led_flash_cnt[528][4]~34279\ $ (GND))) # (!\led_flash_cnt[528][5]~q\ & (!\led_flash_cnt[528][4]~34279\ & VCC))
-- \led_flash_cnt[528][5]~34281\ = CARRY((\led_flash_cnt[528][5]~q\ & !\led_flash_cnt[528][4]~34279\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[528][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[528][4]~34279\,
	combout => \led_flash_cnt[528][5]~34280_combout\,
	cout => \led_flash_cnt[528][5]~34281\);

-- Location: FF_X76_Y16_N21
\led_flash_cnt[528][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[528][5]~34280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[528][5]~q\);

-- Location: LCCOMB_X76_Y16_N22
\led_flash_cnt[528][6]~34282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[528][6]~34282_combout\ = (\led_flash_cnt[528][6]~q\ & (!\led_flash_cnt[528][5]~34281\)) # (!\led_flash_cnt[528][6]~q\ & ((\led_flash_cnt[528][5]~34281\) # (GND)))
-- \led_flash_cnt[528][6]~34283\ = CARRY((!\led_flash_cnt[528][5]~34281\) # (!\led_flash_cnt[528][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[528][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[528][5]~34281\,
	combout => \led_flash_cnt[528][6]~34282_combout\,
	cout => \led_flash_cnt[528][6]~34283\);

-- Location: FF_X76_Y16_N23
\led_flash_cnt[528][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[528][6]~34282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[528][6]~q\);

-- Location: LCCOMB_X76_Y16_N10
\WideAnd528~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd528~1_combout\ = (\led_flash_cnt[528][6]~q\ & \led_flash_cnt[528][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[528][6]~q\,
	datad => \led_flash_cnt[528][5]~q\,
	combout => \WideAnd528~1_combout\);

-- Location: LCCOMB_X76_Y16_N24
\led_flash_cnt[528][7]~34284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[528][7]~34284_combout\ = \led_flash_cnt[528][6]~34283\ $ (!\led_flash_cnt[528][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[528][7]~q\,
	cin => \led_flash_cnt[528][6]~34283\,
	combout => \led_flash_cnt[528][7]~34284_combout\);

-- Location: FF_X76_Y16_N25
\led_flash_cnt[528][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[528][7]~34284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[528][7]~q\);

-- Location: LCCOMB_X76_Y16_N0
\WideAnd528~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd528~0_combout\ = (\led_flash_cnt[528][1]~q\ & (\led_flash_cnt[528][4]~q\ & (\led_flash_cnt[528][2]~q\ & \led_flash_cnt[528][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[528][1]~q\,
	datab => \led_flash_cnt[528][4]~q\,
	datac => \led_flash_cnt[528][2]~q\,
	datad => \led_flash_cnt[528][3]~q\,
	combout => \WideAnd528~0_combout\);

-- Location: LCCOMB_X76_Y16_N26
WideAnd528 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd528~combout\ = (\WideAnd528~1_combout\ & (\led_flash_cnt[528][7]~q\ & (\led_flash_cnt[528][0]~q\ & \WideAnd528~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd528~1_combout\,
	datab => \led_flash_cnt[528][7]~q\,
	datac => \led_flash_cnt[528][0]~q\,
	datad => \WideAnd528~0_combout\,
	combout => \WideAnd528~combout\);

-- Location: FF_X76_Y16_N27
\led_flash_cnt_ands[528]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd528~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(528));

-- Location: LCCOMB_X76_Y22_N10
\led_flash_cnt[531][0]~81171\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[531][0]~81171_combout\ = !\led_flash_cnt[531][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[531][0]~q\,
	combout => \led_flash_cnt[531][0]~81171_combout\);

-- Location: FF_X76_Y22_N11
\led_flash_cnt[531][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[531][0]~81171_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[531][0]~q\);

-- Location: LCCOMB_X76_Y22_N14
\led_flash_cnt[531][1]~34314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[531][1]~34314_combout\ = (\led_flash_cnt[531][0]~q\ & (\led_flash_cnt[531][1]~q\ $ (VCC))) # (!\led_flash_cnt[531][0]~q\ & (\led_flash_cnt[531][1]~q\ & VCC))
-- \led_flash_cnt[531][1]~34315\ = CARRY((\led_flash_cnt[531][0]~q\ & \led_flash_cnt[531][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[531][0]~q\,
	datab => \led_flash_cnt[531][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[531][1]~34314_combout\,
	cout => \led_flash_cnt[531][1]~34315\);

-- Location: FF_X76_Y22_N15
\led_flash_cnt[531][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[531][1]~34314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[531][1]~q\);

-- Location: LCCOMB_X76_Y22_N16
\led_flash_cnt[531][2]~34316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[531][2]~34316_combout\ = (\led_flash_cnt[531][2]~q\ & (!\led_flash_cnt[531][1]~34315\)) # (!\led_flash_cnt[531][2]~q\ & ((\led_flash_cnt[531][1]~34315\) # (GND)))
-- \led_flash_cnt[531][2]~34317\ = CARRY((!\led_flash_cnt[531][1]~34315\) # (!\led_flash_cnt[531][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[531][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[531][1]~34315\,
	combout => \led_flash_cnt[531][2]~34316_combout\,
	cout => \led_flash_cnt[531][2]~34317\);

-- Location: FF_X76_Y22_N17
\led_flash_cnt[531][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[531][2]~34316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[531][2]~q\);

-- Location: LCCOMB_X76_Y22_N18
\led_flash_cnt[531][3]~34318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[531][3]~34318_combout\ = (\led_flash_cnt[531][3]~q\ & (\led_flash_cnt[531][2]~34317\ $ (GND))) # (!\led_flash_cnt[531][3]~q\ & (!\led_flash_cnt[531][2]~34317\ & VCC))
-- \led_flash_cnt[531][3]~34319\ = CARRY((\led_flash_cnt[531][3]~q\ & !\led_flash_cnt[531][2]~34317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[531][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[531][2]~34317\,
	combout => \led_flash_cnt[531][3]~34318_combout\,
	cout => \led_flash_cnt[531][3]~34319\);

-- Location: FF_X76_Y22_N19
\led_flash_cnt[531][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[531][3]~34318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[531][3]~q\);

-- Location: LCCOMB_X76_Y22_N20
\led_flash_cnt[531][4]~34320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[531][4]~34320_combout\ = (\led_flash_cnt[531][4]~q\ & (!\led_flash_cnt[531][3]~34319\)) # (!\led_flash_cnt[531][4]~q\ & ((\led_flash_cnt[531][3]~34319\) # (GND)))
-- \led_flash_cnt[531][4]~34321\ = CARRY((!\led_flash_cnt[531][3]~34319\) # (!\led_flash_cnt[531][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[531][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[531][3]~34319\,
	combout => \led_flash_cnt[531][4]~34320_combout\,
	cout => \led_flash_cnt[531][4]~34321\);

-- Location: FF_X76_Y22_N21
\led_flash_cnt[531][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[531][4]~34320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[531][4]~q\);

-- Location: LCCOMB_X76_Y22_N12
\WideAnd531~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd531~1_combout\ = (\led_flash_cnt[531][1]~q\ & \led_flash_cnt[531][4]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[531][1]~q\,
	datad => \led_flash_cnt[531][4]~q\,
	combout => \WideAnd531~1_combout\);

-- Location: LCCOMB_X76_Y22_N22
\led_flash_cnt[531][5]~34322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[531][5]~34322_combout\ = (\led_flash_cnt[531][5]~q\ & (\led_flash_cnt[531][4]~34321\ $ (GND))) # (!\led_flash_cnt[531][5]~q\ & (!\led_flash_cnt[531][4]~34321\ & VCC))
-- \led_flash_cnt[531][5]~34323\ = CARRY((\led_flash_cnt[531][5]~q\ & !\led_flash_cnt[531][4]~34321\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[531][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[531][4]~34321\,
	combout => \led_flash_cnt[531][5]~34322_combout\,
	cout => \led_flash_cnt[531][5]~34323\);

-- Location: FF_X76_Y22_N23
\led_flash_cnt[531][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[531][5]~34322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[531][5]~q\);

-- Location: LCCOMB_X76_Y22_N24
\led_flash_cnt[531][6]~34324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[531][6]~34324_combout\ = (\led_flash_cnt[531][6]~q\ & (!\led_flash_cnt[531][5]~34323\)) # (!\led_flash_cnt[531][6]~q\ & ((\led_flash_cnt[531][5]~34323\) # (GND)))
-- \led_flash_cnt[531][6]~34325\ = CARRY((!\led_flash_cnt[531][5]~34323\) # (!\led_flash_cnt[531][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[531][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[531][5]~34323\,
	combout => \led_flash_cnt[531][6]~34324_combout\,
	cout => \led_flash_cnt[531][6]~34325\);

-- Location: FF_X76_Y22_N25
\led_flash_cnt[531][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[531][6]~34324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[531][6]~q\);

-- Location: LCCOMB_X76_Y22_N4
\WideAnd531~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd531~0_combout\ = (\led_flash_cnt[531][0]~q\ & (\led_flash_cnt[531][3]~q\ & (\led_flash_cnt[531][5]~q\ & \led_flash_cnt[531][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[531][0]~q\,
	datab => \led_flash_cnt[531][3]~q\,
	datac => \led_flash_cnt[531][5]~q\,
	datad => \led_flash_cnt[531][6]~q\,
	combout => \WideAnd531~0_combout\);

-- Location: LCCOMB_X76_Y22_N26
\led_flash_cnt[531][7]~34326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[531][7]~34326_combout\ = \led_flash_cnt[531][7]~q\ $ (!\led_flash_cnt[531][6]~34325\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[531][7]~q\,
	cin => \led_flash_cnt[531][6]~34325\,
	combout => \led_flash_cnt[531][7]~34326_combout\);

-- Location: FF_X76_Y22_N27
\led_flash_cnt[531][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[531][7]~34326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[531][7]~q\);

-- Location: LCCOMB_X76_Y22_N0
WideAnd531 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd531~combout\ = (\WideAnd531~1_combout\ & (\WideAnd531~0_combout\ & (\led_flash_cnt[531][7]~q\ & \led_flash_cnt[531][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd531~1_combout\,
	datab => \WideAnd531~0_combout\,
	datac => \led_flash_cnt[531][7]~q\,
	datad => \led_flash_cnt[531][2]~q\,
	combout => \WideAnd531~combout\);

-- Location: FF_X76_Y22_N1
\led_flash_cnt_ands[531]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd531~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(531));

-- Location: LCCOMB_X76_Y22_N8
\WideAnd3906~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3906~0_combout\ = (led_flash_cnt_ands(530) & (led_flash_cnt_ands(529) & (led_flash_cnt_ands(528) & led_flash_cnt_ands(531))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(530),
	datab => led_flash_cnt_ands(529),
	datac => led_flash_cnt_ands(528),
	datad => led_flash_cnt_ands(531),
	combout => \WideAnd3906~0_combout\);

-- Location: LCCOMB_X69_Y22_N24
\led_flash_cnt[535][0]~81175\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[535][0]~81175_combout\ = !\led_flash_cnt[535][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[535][0]~q\,
	combout => \led_flash_cnt[535][0]~81175_combout\);

-- Location: FF_X69_Y22_N25
\led_flash_cnt[535][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[535][0]~81175_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[535][0]~q\);

-- Location: LCCOMB_X69_Y22_N8
\led_flash_cnt[535][1]~34370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[535][1]~34370_combout\ = (\led_flash_cnt[535][1]~q\ & (\led_flash_cnt[535][0]~q\ $ (VCC))) # (!\led_flash_cnt[535][1]~q\ & (\led_flash_cnt[535][0]~q\ & VCC))
-- \led_flash_cnt[535][1]~34371\ = CARRY((\led_flash_cnt[535][1]~q\ & \led_flash_cnt[535][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[535][1]~q\,
	datab => \led_flash_cnt[535][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[535][1]~34370_combout\,
	cout => \led_flash_cnt[535][1]~34371\);

-- Location: FF_X69_Y22_N9
\led_flash_cnt[535][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[535][1]~34370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[535][1]~q\);

-- Location: LCCOMB_X69_Y22_N10
\led_flash_cnt[535][2]~34372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[535][2]~34372_combout\ = (\led_flash_cnt[535][2]~q\ & (!\led_flash_cnt[535][1]~34371\)) # (!\led_flash_cnt[535][2]~q\ & ((\led_flash_cnt[535][1]~34371\) # (GND)))
-- \led_flash_cnt[535][2]~34373\ = CARRY((!\led_flash_cnt[535][1]~34371\) # (!\led_flash_cnt[535][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[535][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[535][1]~34371\,
	combout => \led_flash_cnt[535][2]~34372_combout\,
	cout => \led_flash_cnt[535][2]~34373\);

-- Location: FF_X69_Y22_N11
\led_flash_cnt[535][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[535][2]~34372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[535][2]~q\);

-- Location: LCCOMB_X69_Y22_N12
\led_flash_cnt[535][3]~34374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[535][3]~34374_combout\ = (\led_flash_cnt[535][3]~q\ & (\led_flash_cnt[535][2]~34373\ $ (GND))) # (!\led_flash_cnt[535][3]~q\ & (!\led_flash_cnt[535][2]~34373\ & VCC))
-- \led_flash_cnt[535][3]~34375\ = CARRY((\led_flash_cnt[535][3]~q\ & !\led_flash_cnt[535][2]~34373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[535][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[535][2]~34373\,
	combout => \led_flash_cnt[535][3]~34374_combout\,
	cout => \led_flash_cnt[535][3]~34375\);

-- Location: FF_X69_Y22_N13
\led_flash_cnt[535][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[535][3]~34374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[535][3]~q\);

-- Location: LCCOMB_X69_Y22_N14
\led_flash_cnt[535][4]~34376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[535][4]~34376_combout\ = (\led_flash_cnt[535][4]~q\ & (!\led_flash_cnt[535][3]~34375\)) # (!\led_flash_cnt[535][4]~q\ & ((\led_flash_cnt[535][3]~34375\) # (GND)))
-- \led_flash_cnt[535][4]~34377\ = CARRY((!\led_flash_cnt[535][3]~34375\) # (!\led_flash_cnt[535][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[535][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[535][3]~34375\,
	combout => \led_flash_cnt[535][4]~34376_combout\,
	cout => \led_flash_cnt[535][4]~34377\);

-- Location: FF_X69_Y22_N15
\led_flash_cnt[535][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[535][4]~34376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[535][4]~q\);

-- Location: LCCOMB_X69_Y22_N22
\WideAnd535~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd535~0_combout\ = (\led_flash_cnt[535][3]~q\ & (\led_flash_cnt[535][1]~q\ & (\led_flash_cnt[535][4]~q\ & \led_flash_cnt[535][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[535][3]~q\,
	datab => \led_flash_cnt[535][1]~q\,
	datac => \led_flash_cnt[535][4]~q\,
	datad => \led_flash_cnt[535][2]~q\,
	combout => \WideAnd535~0_combout\);

-- Location: LCCOMB_X69_Y22_N16
\led_flash_cnt[535][5]~34378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[535][5]~34378_combout\ = (\led_flash_cnt[535][5]~q\ & (\led_flash_cnt[535][4]~34377\ $ (GND))) # (!\led_flash_cnt[535][5]~q\ & (!\led_flash_cnt[535][4]~34377\ & VCC))
-- \led_flash_cnt[535][5]~34379\ = CARRY((\led_flash_cnt[535][5]~q\ & !\led_flash_cnt[535][4]~34377\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[535][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[535][4]~34377\,
	combout => \led_flash_cnt[535][5]~34378_combout\,
	cout => \led_flash_cnt[535][5]~34379\);

-- Location: FF_X69_Y22_N17
\led_flash_cnt[535][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[535][5]~34378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[535][5]~q\);

-- Location: LCCOMB_X69_Y22_N18
\led_flash_cnt[535][6]~34380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[535][6]~34380_combout\ = (\led_flash_cnt[535][6]~q\ & (!\led_flash_cnt[535][5]~34379\)) # (!\led_flash_cnt[535][6]~q\ & ((\led_flash_cnt[535][5]~34379\) # (GND)))
-- \led_flash_cnt[535][6]~34381\ = CARRY((!\led_flash_cnt[535][5]~34379\) # (!\led_flash_cnt[535][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[535][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[535][5]~34379\,
	combout => \led_flash_cnt[535][6]~34380_combout\,
	cout => \led_flash_cnt[535][6]~34381\);

-- Location: FF_X69_Y22_N19
\led_flash_cnt[535][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[535][6]~34380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[535][6]~q\);

-- Location: LCCOMB_X69_Y22_N20
\led_flash_cnt[535][7]~34382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[535][7]~34382_combout\ = \led_flash_cnt[535][6]~34381\ $ (!\led_flash_cnt[535][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[535][7]~q\,
	cin => \led_flash_cnt[535][6]~34381\,
	combout => \led_flash_cnt[535][7]~34382_combout\);

-- Location: FF_X69_Y22_N21
\led_flash_cnt[535][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[535][7]~34382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[535][7]~q\);

-- Location: LCCOMB_X69_Y22_N4
\WideAnd535~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd535~1_combout\ = (\led_flash_cnt[535][6]~q\ & \led_flash_cnt[535][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[535][6]~q\,
	datad => \led_flash_cnt[535][5]~q\,
	combout => \WideAnd535~1_combout\);

-- Location: LCCOMB_X69_Y22_N26
WideAnd535 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd535~combout\ = (\WideAnd535~0_combout\ & (\led_flash_cnt[535][7]~q\ & (\WideAnd535~1_combout\ & \led_flash_cnt[535][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd535~0_combout\,
	datab => \led_flash_cnt[535][7]~q\,
	datac => \WideAnd535~1_combout\,
	datad => \led_flash_cnt[535][0]~q\,
	combout => \WideAnd535~combout\);

-- Location: FF_X69_Y22_N27
\led_flash_cnt_ands[535]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd535~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(535));

-- Location: LCCOMB_X58_Y22_N30
\led_flash_cnt[532][0]~81172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[532][0]~81172_combout\ = !\led_flash_cnt[532][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[532][0]~q\,
	combout => \led_flash_cnt[532][0]~81172_combout\);

-- Location: FF_X58_Y22_N31
\led_flash_cnt[532][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[532][0]~81172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[532][0]~q\);

-- Location: LCCOMB_X58_Y22_N16
\led_flash_cnt[532][1]~34328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[532][1]~34328_combout\ = (\led_flash_cnt[532][0]~q\ & (\led_flash_cnt[532][1]~q\ $ (VCC))) # (!\led_flash_cnt[532][0]~q\ & (\led_flash_cnt[532][1]~q\ & VCC))
-- \led_flash_cnt[532][1]~34329\ = CARRY((\led_flash_cnt[532][0]~q\ & \led_flash_cnt[532][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[532][0]~q\,
	datab => \led_flash_cnt[532][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[532][1]~34328_combout\,
	cout => \led_flash_cnt[532][1]~34329\);

-- Location: FF_X58_Y22_N17
\led_flash_cnt[532][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[532][1]~34328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[532][1]~q\);

-- Location: LCCOMB_X58_Y22_N18
\led_flash_cnt[532][2]~34330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[532][2]~34330_combout\ = (\led_flash_cnt[532][2]~q\ & (!\led_flash_cnt[532][1]~34329\)) # (!\led_flash_cnt[532][2]~q\ & ((\led_flash_cnt[532][1]~34329\) # (GND)))
-- \led_flash_cnt[532][2]~34331\ = CARRY((!\led_flash_cnt[532][1]~34329\) # (!\led_flash_cnt[532][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[532][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[532][1]~34329\,
	combout => \led_flash_cnt[532][2]~34330_combout\,
	cout => \led_flash_cnt[532][2]~34331\);

-- Location: FF_X58_Y22_N19
\led_flash_cnt[532][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[532][2]~34330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[532][2]~q\);

-- Location: LCCOMB_X58_Y22_N20
\led_flash_cnt[532][3]~34332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[532][3]~34332_combout\ = (\led_flash_cnt[532][3]~q\ & (\led_flash_cnt[532][2]~34331\ $ (GND))) # (!\led_flash_cnt[532][3]~q\ & (!\led_flash_cnt[532][2]~34331\ & VCC))
-- \led_flash_cnt[532][3]~34333\ = CARRY((\led_flash_cnt[532][3]~q\ & !\led_flash_cnt[532][2]~34331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[532][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[532][2]~34331\,
	combout => \led_flash_cnt[532][3]~34332_combout\,
	cout => \led_flash_cnt[532][3]~34333\);

-- Location: FF_X58_Y22_N21
\led_flash_cnt[532][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[532][3]~34332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[532][3]~q\);

-- Location: LCCOMB_X58_Y22_N22
\led_flash_cnt[532][4]~34334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[532][4]~34334_combout\ = (\led_flash_cnt[532][4]~q\ & (!\led_flash_cnt[532][3]~34333\)) # (!\led_flash_cnt[532][4]~q\ & ((\led_flash_cnt[532][3]~34333\) # (GND)))
-- \led_flash_cnt[532][4]~34335\ = CARRY((!\led_flash_cnt[532][3]~34333\) # (!\led_flash_cnt[532][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[532][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[532][3]~34333\,
	combout => \led_flash_cnt[532][4]~34334_combout\,
	cout => \led_flash_cnt[532][4]~34335\);

-- Location: FF_X58_Y22_N23
\led_flash_cnt[532][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[532][4]~34334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[532][4]~q\);

-- Location: LCCOMB_X58_Y22_N24
\led_flash_cnt[532][5]~34336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[532][5]~34336_combout\ = (\led_flash_cnt[532][5]~q\ & (\led_flash_cnt[532][4]~34335\ $ (GND))) # (!\led_flash_cnt[532][5]~q\ & (!\led_flash_cnt[532][4]~34335\ & VCC))
-- \led_flash_cnt[532][5]~34337\ = CARRY((\led_flash_cnt[532][5]~q\ & !\led_flash_cnt[532][4]~34335\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[532][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[532][4]~34335\,
	combout => \led_flash_cnt[532][5]~34336_combout\,
	cout => \led_flash_cnt[532][5]~34337\);

-- Location: FF_X58_Y22_N25
\led_flash_cnt[532][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[532][5]~34336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[532][5]~q\);

-- Location: LCCOMB_X58_Y22_N26
\led_flash_cnt[532][6]~34338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[532][6]~34338_combout\ = (\led_flash_cnt[532][6]~q\ & (!\led_flash_cnt[532][5]~34337\)) # (!\led_flash_cnt[532][6]~q\ & ((\led_flash_cnt[532][5]~34337\) # (GND)))
-- \led_flash_cnt[532][6]~34339\ = CARRY((!\led_flash_cnt[532][5]~34337\) # (!\led_flash_cnt[532][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[532][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[532][5]~34337\,
	combout => \led_flash_cnt[532][6]~34338_combout\,
	cout => \led_flash_cnt[532][6]~34339\);

-- Location: FF_X58_Y22_N27
\led_flash_cnt[532][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[532][6]~34338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[532][6]~q\);

-- Location: LCCOMB_X58_Y22_N28
\led_flash_cnt[532][7]~34340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[532][7]~34340_combout\ = \led_flash_cnt[532][6]~34339\ $ (!\led_flash_cnt[532][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[532][7]~q\,
	cin => \led_flash_cnt[532][6]~34339\,
	combout => \led_flash_cnt[532][7]~34340_combout\);

-- Location: FF_X58_Y22_N29
\led_flash_cnt[532][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[532][7]~34340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[532][7]~q\);

-- Location: LCCOMB_X58_Y22_N4
\WideAnd532~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd532~1_combout\ = (\led_flash_cnt[532][6]~q\ & \led_flash_cnt[532][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[532][6]~q\,
	datad => \led_flash_cnt[532][5]~q\,
	combout => \WideAnd532~1_combout\);

-- Location: LCCOMB_X58_Y22_N12
\WideAnd532~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd532~0_combout\ = (\led_flash_cnt[532][3]~q\ & (\led_flash_cnt[532][2]~q\ & (\led_flash_cnt[532][4]~q\ & \led_flash_cnt[532][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[532][3]~q\,
	datab => \led_flash_cnt[532][2]~q\,
	datac => \led_flash_cnt[532][4]~q\,
	datad => \led_flash_cnt[532][1]~q\,
	combout => \WideAnd532~0_combout\);

-- Location: LCCOMB_X58_Y22_N8
WideAnd532 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd532~combout\ = (\led_flash_cnt[532][0]~q\ & (\led_flash_cnt[532][7]~q\ & (\WideAnd532~1_combout\ & \WideAnd532~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[532][0]~q\,
	datab => \led_flash_cnt[532][7]~q\,
	datac => \WideAnd532~1_combout\,
	datad => \WideAnd532~0_combout\,
	combout => \WideAnd532~combout\);

-- Location: FF_X58_Y22_N9
\led_flash_cnt_ands[532]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd532~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(532));

-- Location: LCCOMB_X64_Y18_N26
\led_flash_cnt[533][0]~81173\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[533][0]~81173_combout\ = !\led_flash_cnt[533][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[533][0]~q\,
	combout => \led_flash_cnt[533][0]~81173_combout\);

-- Location: FF_X64_Y18_N27
\led_flash_cnt[533][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[533][0]~81173_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[533][0]~q\);

-- Location: LCCOMB_X64_Y18_N8
\led_flash_cnt[533][1]~34342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[533][1]~34342_combout\ = (\led_flash_cnt[533][0]~q\ & (\led_flash_cnt[533][1]~q\ $ (VCC))) # (!\led_flash_cnt[533][0]~q\ & (\led_flash_cnt[533][1]~q\ & VCC))
-- \led_flash_cnt[533][1]~34343\ = CARRY((\led_flash_cnt[533][0]~q\ & \led_flash_cnt[533][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[533][0]~q\,
	datab => \led_flash_cnt[533][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[533][1]~34342_combout\,
	cout => \led_flash_cnt[533][1]~34343\);

-- Location: FF_X64_Y18_N9
\led_flash_cnt[533][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[533][1]~34342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[533][1]~q\);

-- Location: LCCOMB_X64_Y18_N10
\led_flash_cnt[533][2]~34344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[533][2]~34344_combout\ = (\led_flash_cnt[533][2]~q\ & (!\led_flash_cnt[533][1]~34343\)) # (!\led_flash_cnt[533][2]~q\ & ((\led_flash_cnt[533][1]~34343\) # (GND)))
-- \led_flash_cnt[533][2]~34345\ = CARRY((!\led_flash_cnt[533][1]~34343\) # (!\led_flash_cnt[533][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[533][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[533][1]~34343\,
	combout => \led_flash_cnt[533][2]~34344_combout\,
	cout => \led_flash_cnt[533][2]~34345\);

-- Location: FF_X64_Y18_N11
\led_flash_cnt[533][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[533][2]~34344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[533][2]~q\);

-- Location: LCCOMB_X64_Y18_N12
\led_flash_cnt[533][3]~34346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[533][3]~34346_combout\ = (\led_flash_cnt[533][3]~q\ & (\led_flash_cnt[533][2]~34345\ $ (GND))) # (!\led_flash_cnt[533][3]~q\ & (!\led_flash_cnt[533][2]~34345\ & VCC))
-- \led_flash_cnt[533][3]~34347\ = CARRY((\led_flash_cnt[533][3]~q\ & !\led_flash_cnt[533][2]~34345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[533][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[533][2]~34345\,
	combout => \led_flash_cnt[533][3]~34346_combout\,
	cout => \led_flash_cnt[533][3]~34347\);

-- Location: FF_X64_Y18_N13
\led_flash_cnt[533][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[533][3]~34346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[533][3]~q\);

-- Location: LCCOMB_X64_Y18_N14
\led_flash_cnt[533][4]~34348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[533][4]~34348_combout\ = (\led_flash_cnt[533][4]~q\ & (!\led_flash_cnt[533][3]~34347\)) # (!\led_flash_cnt[533][4]~q\ & ((\led_flash_cnt[533][3]~34347\) # (GND)))
-- \led_flash_cnt[533][4]~34349\ = CARRY((!\led_flash_cnt[533][3]~34347\) # (!\led_flash_cnt[533][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[533][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[533][3]~34347\,
	combout => \led_flash_cnt[533][4]~34348_combout\,
	cout => \led_flash_cnt[533][4]~34349\);

-- Location: FF_X64_Y18_N15
\led_flash_cnt[533][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[533][4]~34348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[533][4]~q\);

-- Location: LCCOMB_X64_Y18_N16
\led_flash_cnt[533][5]~34350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[533][5]~34350_combout\ = (\led_flash_cnt[533][5]~q\ & (\led_flash_cnt[533][4]~34349\ $ (GND))) # (!\led_flash_cnt[533][5]~q\ & (!\led_flash_cnt[533][4]~34349\ & VCC))
-- \led_flash_cnt[533][5]~34351\ = CARRY((\led_flash_cnt[533][5]~q\ & !\led_flash_cnt[533][4]~34349\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[533][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[533][4]~34349\,
	combout => \led_flash_cnt[533][5]~34350_combout\,
	cout => \led_flash_cnt[533][5]~34351\);

-- Location: FF_X64_Y18_N17
\led_flash_cnt[533][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[533][5]~34350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[533][5]~q\);

-- Location: LCCOMB_X64_Y18_N18
\led_flash_cnt[533][6]~34352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[533][6]~34352_combout\ = (\led_flash_cnt[533][6]~q\ & (!\led_flash_cnt[533][5]~34351\)) # (!\led_flash_cnt[533][6]~q\ & ((\led_flash_cnt[533][5]~34351\) # (GND)))
-- \led_flash_cnt[533][6]~34353\ = CARRY((!\led_flash_cnt[533][5]~34351\) # (!\led_flash_cnt[533][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[533][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[533][5]~34351\,
	combout => \led_flash_cnt[533][6]~34352_combout\,
	cout => \led_flash_cnt[533][6]~34353\);

-- Location: FF_X64_Y18_N19
\led_flash_cnt[533][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[533][6]~34352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[533][6]~q\);

-- Location: LCCOMB_X64_Y18_N20
\led_flash_cnt[533][7]~34354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[533][7]~34354_combout\ = \led_flash_cnt[533][6]~34353\ $ (!\led_flash_cnt[533][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[533][7]~q\,
	cin => \led_flash_cnt[533][6]~34353\,
	combout => \led_flash_cnt[533][7]~34354_combout\);

-- Location: FF_X64_Y18_N21
\led_flash_cnt[533][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[533][7]~34354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[533][7]~q\);

-- Location: LCCOMB_X64_Y18_N22
\WideAnd533~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd533~1_combout\ = (\led_flash_cnt[533][6]~q\ & \led_flash_cnt[533][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[533][6]~q\,
	datad => \led_flash_cnt[533][5]~q\,
	combout => \WideAnd533~1_combout\);

-- Location: LCCOMB_X64_Y18_N24
\WideAnd533~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd533~0_combout\ = (\led_flash_cnt[533][3]~q\ & (\led_flash_cnt[533][4]~q\ & (\led_flash_cnt[533][1]~q\ & \led_flash_cnt[533][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[533][3]~q\,
	datab => \led_flash_cnt[533][4]~q\,
	datac => \led_flash_cnt[533][1]~q\,
	datad => \led_flash_cnt[533][2]~q\,
	combout => \WideAnd533~0_combout\);

-- Location: LCCOMB_X64_Y18_N4
WideAnd533 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd533~combout\ = (\led_flash_cnt[533][0]~q\ & (\led_flash_cnt[533][7]~q\ & (\WideAnd533~1_combout\ & \WideAnd533~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[533][0]~q\,
	datab => \led_flash_cnt[533][7]~q\,
	datac => \WideAnd533~1_combout\,
	datad => \WideAnd533~0_combout\,
	combout => \WideAnd533~combout\);

-- Location: FF_X64_Y18_N5
\led_flash_cnt_ands[533]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd533~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(533));

-- Location: LCCOMB_X64_Y22_N10
\WideAnd3906~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3906~1_combout\ = (led_flash_cnt_ands(532) & led_flash_cnt_ands(533))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(532),
	datad => led_flash_cnt_ands(533),
	combout => \WideAnd3906~1_combout\);

-- Location: LCCOMB_X65_Y22_N16
WideAnd3906 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3906~combout\ = (led_flash_cnt_ands(534) & (\WideAnd3906~0_combout\ & (led_flash_cnt_ands(535) & \WideAnd3906~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(534),
	datab => \WideAnd3906~0_combout\,
	datac => led_flash_cnt_ands(535),
	datad => \WideAnd3906~1_combout\,
	combout => \WideAnd3906~combout\);

-- Location: FF_X65_Y22_N17
\led_flash_cnt_ands_1[66]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3906~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(66));

-- Location: LCCOMB_X66_Y41_N6
\led_flash_cnt[543][0]~81183\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[543][0]~81183_combout\ = !\led_flash_cnt[543][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[543][0]~q\,
	combout => \led_flash_cnt[543][0]~81183_combout\);

-- Location: FF_X66_Y41_N7
\led_flash_cnt[543][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[543][0]~81183_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[543][0]~q\);

-- Location: LCCOMB_X67_Y41_N18
\led_flash_cnt[543][1]~34482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[543][1]~34482_combout\ = (\led_flash_cnt[543][0]~q\ & (\led_flash_cnt[543][1]~q\ $ (VCC))) # (!\led_flash_cnt[543][0]~q\ & (\led_flash_cnt[543][1]~q\ & VCC))
-- \led_flash_cnt[543][1]~34483\ = CARRY((\led_flash_cnt[543][0]~q\ & \led_flash_cnt[543][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[543][0]~q\,
	datab => \led_flash_cnt[543][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[543][1]~34482_combout\,
	cout => \led_flash_cnt[543][1]~34483\);

-- Location: FF_X67_Y41_N19
\led_flash_cnt[543][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[543][1]~34482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[543][1]~q\);

-- Location: LCCOMB_X67_Y41_N20
\led_flash_cnt[543][2]~34484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[543][2]~34484_combout\ = (\led_flash_cnt[543][2]~q\ & (!\led_flash_cnt[543][1]~34483\)) # (!\led_flash_cnt[543][2]~q\ & ((\led_flash_cnt[543][1]~34483\) # (GND)))
-- \led_flash_cnt[543][2]~34485\ = CARRY((!\led_flash_cnt[543][1]~34483\) # (!\led_flash_cnt[543][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[543][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[543][1]~34483\,
	combout => \led_flash_cnt[543][2]~34484_combout\,
	cout => \led_flash_cnt[543][2]~34485\);

-- Location: FF_X67_Y41_N21
\led_flash_cnt[543][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[543][2]~34484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[543][2]~q\);

-- Location: LCCOMB_X67_Y41_N22
\led_flash_cnt[543][3]~34486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[543][3]~34486_combout\ = (\led_flash_cnt[543][3]~q\ & (\led_flash_cnt[543][2]~34485\ $ (GND))) # (!\led_flash_cnt[543][3]~q\ & (!\led_flash_cnt[543][2]~34485\ & VCC))
-- \led_flash_cnt[543][3]~34487\ = CARRY((\led_flash_cnt[543][3]~q\ & !\led_flash_cnt[543][2]~34485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[543][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[543][2]~34485\,
	combout => \led_flash_cnt[543][3]~34486_combout\,
	cout => \led_flash_cnt[543][3]~34487\);

-- Location: FF_X67_Y41_N23
\led_flash_cnt[543][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[543][3]~34486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[543][3]~q\);

-- Location: LCCOMB_X67_Y41_N24
\led_flash_cnt[543][4]~34488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[543][4]~34488_combout\ = (\led_flash_cnt[543][4]~q\ & (!\led_flash_cnt[543][3]~34487\)) # (!\led_flash_cnt[543][4]~q\ & ((\led_flash_cnt[543][3]~34487\) # (GND)))
-- \led_flash_cnt[543][4]~34489\ = CARRY((!\led_flash_cnt[543][3]~34487\) # (!\led_flash_cnt[543][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[543][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[543][3]~34487\,
	combout => \led_flash_cnt[543][4]~34488_combout\,
	cout => \led_flash_cnt[543][4]~34489\);

-- Location: FF_X67_Y41_N25
\led_flash_cnt[543][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[543][4]~34488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[543][4]~q\);

-- Location: LCCOMB_X67_Y41_N0
\WideAnd543~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd543~0_combout\ = (\led_flash_cnt[543][1]~q\ & (\led_flash_cnt[543][4]~q\ & (\led_flash_cnt[543][3]~q\ & \led_flash_cnt[543][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[543][1]~q\,
	datab => \led_flash_cnt[543][4]~q\,
	datac => \led_flash_cnt[543][3]~q\,
	datad => \led_flash_cnt[543][2]~q\,
	combout => \WideAnd543~0_combout\);

-- Location: LCCOMB_X67_Y41_N26
\led_flash_cnt[543][5]~34490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[543][5]~34490_combout\ = (\led_flash_cnt[543][5]~q\ & (\led_flash_cnt[543][4]~34489\ $ (GND))) # (!\led_flash_cnt[543][5]~q\ & (!\led_flash_cnt[543][4]~34489\ & VCC))
-- \led_flash_cnt[543][5]~34491\ = CARRY((\led_flash_cnt[543][5]~q\ & !\led_flash_cnt[543][4]~34489\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[543][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[543][4]~34489\,
	combout => \led_flash_cnt[543][5]~34490_combout\,
	cout => \led_flash_cnt[543][5]~34491\);

-- Location: FF_X67_Y41_N27
\led_flash_cnt[543][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[543][5]~34490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[543][5]~q\);

-- Location: LCCOMB_X67_Y41_N28
\led_flash_cnt[543][6]~34492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[543][6]~34492_combout\ = (\led_flash_cnt[543][6]~q\ & (!\led_flash_cnt[543][5]~34491\)) # (!\led_flash_cnt[543][6]~q\ & ((\led_flash_cnt[543][5]~34491\) # (GND)))
-- \led_flash_cnt[543][6]~34493\ = CARRY((!\led_flash_cnt[543][5]~34491\) # (!\led_flash_cnt[543][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[543][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[543][5]~34491\,
	combout => \led_flash_cnt[543][6]~34492_combout\,
	cout => \led_flash_cnt[543][6]~34493\);

-- Location: FF_X67_Y41_N29
\led_flash_cnt[543][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[543][6]~34492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[543][6]~q\);

-- Location: LCCOMB_X67_Y41_N30
\led_flash_cnt[543][7]~34494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[543][7]~34494_combout\ = \led_flash_cnt[543][7]~q\ $ (!\led_flash_cnt[543][6]~34493\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[543][7]~q\,
	cin => \led_flash_cnt[543][6]~34493\,
	combout => \led_flash_cnt[543][7]~34494_combout\);

-- Location: FF_X67_Y41_N31
\led_flash_cnt[543][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[543][7]~34494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[543][7]~q\);

-- Location: LCCOMB_X66_Y41_N28
\WideAnd543~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd543~1_combout\ = (\led_flash_cnt[543][6]~q\ & \led_flash_cnt[543][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[543][6]~q\,
	datad => \led_flash_cnt[543][5]~q\,
	combout => \WideAnd543~1_combout\);

-- Location: LCCOMB_X66_Y41_N10
WideAnd543 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd543~combout\ = (\led_flash_cnt[543][0]~q\ & (\WideAnd543~0_combout\ & (\led_flash_cnt[543][7]~q\ & \WideAnd543~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[543][0]~q\,
	datab => \WideAnd543~0_combout\,
	datac => \led_flash_cnt[543][7]~q\,
	datad => \WideAnd543~1_combout\,
	combout => \WideAnd543~combout\);

-- Location: FF_X66_Y41_N11
\led_flash_cnt_ands[543]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd543~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(543));

-- Location: LCCOMB_X72_Y51_N10
\led_flash_cnt[539][0]~81179\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[539][0]~81179_combout\ = !\led_flash_cnt[539][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[539][0]~q\,
	combout => \led_flash_cnt[539][0]~81179_combout\);

-- Location: FF_X72_Y51_N11
\led_flash_cnt[539][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[539][0]~81179_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[539][0]~q\);

-- Location: LCCOMB_X72_Y51_N12
\led_flash_cnt[539][1]~34426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[539][1]~34426_combout\ = (\led_flash_cnt[539][1]~q\ & (\led_flash_cnt[539][0]~q\ $ (VCC))) # (!\led_flash_cnt[539][1]~q\ & (\led_flash_cnt[539][0]~q\ & VCC))
-- \led_flash_cnt[539][1]~34427\ = CARRY((\led_flash_cnt[539][1]~q\ & \led_flash_cnt[539][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[539][1]~q\,
	datab => \led_flash_cnt[539][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[539][1]~34426_combout\,
	cout => \led_flash_cnt[539][1]~34427\);

-- Location: FF_X72_Y51_N13
\led_flash_cnt[539][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[539][1]~34426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[539][1]~q\);

-- Location: LCCOMB_X72_Y51_N14
\led_flash_cnt[539][2]~34428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[539][2]~34428_combout\ = (\led_flash_cnt[539][2]~q\ & (!\led_flash_cnt[539][1]~34427\)) # (!\led_flash_cnt[539][2]~q\ & ((\led_flash_cnt[539][1]~34427\) # (GND)))
-- \led_flash_cnt[539][2]~34429\ = CARRY((!\led_flash_cnt[539][1]~34427\) # (!\led_flash_cnt[539][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[539][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[539][1]~34427\,
	combout => \led_flash_cnt[539][2]~34428_combout\,
	cout => \led_flash_cnt[539][2]~34429\);

-- Location: FF_X72_Y51_N15
\led_flash_cnt[539][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[539][2]~34428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[539][2]~q\);

-- Location: LCCOMB_X72_Y51_N16
\led_flash_cnt[539][3]~34430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[539][3]~34430_combout\ = (\led_flash_cnt[539][3]~q\ & (\led_flash_cnt[539][2]~34429\ $ (GND))) # (!\led_flash_cnt[539][3]~q\ & (!\led_flash_cnt[539][2]~34429\ & VCC))
-- \led_flash_cnt[539][3]~34431\ = CARRY((\led_flash_cnt[539][3]~q\ & !\led_flash_cnt[539][2]~34429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[539][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[539][2]~34429\,
	combout => \led_flash_cnt[539][3]~34430_combout\,
	cout => \led_flash_cnt[539][3]~34431\);

-- Location: FF_X72_Y51_N17
\led_flash_cnt[539][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[539][3]~34430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[539][3]~q\);

-- Location: LCCOMB_X72_Y51_N18
\led_flash_cnt[539][4]~34432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[539][4]~34432_combout\ = (\led_flash_cnt[539][4]~q\ & (!\led_flash_cnt[539][3]~34431\)) # (!\led_flash_cnt[539][4]~q\ & ((\led_flash_cnt[539][3]~34431\) # (GND)))
-- \led_flash_cnt[539][4]~34433\ = CARRY((!\led_flash_cnt[539][3]~34431\) # (!\led_flash_cnt[539][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[539][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[539][3]~34431\,
	combout => \led_flash_cnt[539][4]~34432_combout\,
	cout => \led_flash_cnt[539][4]~34433\);

-- Location: FF_X72_Y51_N19
\led_flash_cnt[539][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[539][4]~34432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[539][4]~q\);

-- Location: LCCOMB_X72_Y51_N20
\led_flash_cnt[539][5]~34434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[539][5]~34434_combout\ = (\led_flash_cnt[539][5]~q\ & (\led_flash_cnt[539][4]~34433\ $ (GND))) # (!\led_flash_cnt[539][5]~q\ & (!\led_flash_cnt[539][4]~34433\ & VCC))
-- \led_flash_cnt[539][5]~34435\ = CARRY((\led_flash_cnt[539][5]~q\ & !\led_flash_cnt[539][4]~34433\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[539][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[539][4]~34433\,
	combout => \led_flash_cnt[539][5]~34434_combout\,
	cout => \led_flash_cnt[539][5]~34435\);

-- Location: FF_X72_Y51_N21
\led_flash_cnt[539][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[539][5]~34434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[539][5]~q\);

-- Location: LCCOMB_X72_Y51_N22
\led_flash_cnt[539][6]~34436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[539][6]~34436_combout\ = (\led_flash_cnt[539][6]~q\ & (!\led_flash_cnt[539][5]~34435\)) # (!\led_flash_cnt[539][6]~q\ & ((\led_flash_cnt[539][5]~34435\) # (GND)))
-- \led_flash_cnt[539][6]~34437\ = CARRY((!\led_flash_cnt[539][5]~34435\) # (!\led_flash_cnt[539][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[539][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[539][5]~34435\,
	combout => \led_flash_cnt[539][6]~34436_combout\,
	cout => \led_flash_cnt[539][6]~34437\);

-- Location: FF_X72_Y51_N23
\led_flash_cnt[539][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[539][6]~34436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[539][6]~q\);

-- Location: LCCOMB_X72_Y51_N8
\WideAnd539~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd539~1_combout\ = (\led_flash_cnt[539][6]~q\ & \led_flash_cnt[539][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[539][6]~q\,
	datad => \led_flash_cnt[539][5]~q\,
	combout => \WideAnd539~1_combout\);

-- Location: LCCOMB_X72_Y51_N26
\WideAnd539~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd539~0_combout\ = (\led_flash_cnt[539][1]~q\ & (\led_flash_cnt[539][4]~q\ & (\led_flash_cnt[539][2]~q\ & \led_flash_cnt[539][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[539][1]~q\,
	datab => \led_flash_cnt[539][4]~q\,
	datac => \led_flash_cnt[539][2]~q\,
	datad => \led_flash_cnt[539][3]~q\,
	combout => \WideAnd539~0_combout\);

-- Location: LCCOMB_X72_Y51_N24
\led_flash_cnt[539][7]~34438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[539][7]~34438_combout\ = \led_flash_cnt[539][6]~34437\ $ (!\led_flash_cnt[539][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[539][7]~q\,
	cin => \led_flash_cnt[539][6]~34437\,
	combout => \led_flash_cnt[539][7]~34438_combout\);

-- Location: FF_X72_Y51_N25
\led_flash_cnt[539][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[539][7]~34438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[539][7]~q\);

-- Location: LCCOMB_X72_Y51_N6
WideAnd539 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd539~combout\ = (\led_flash_cnt[539][0]~q\ & (\WideAnd539~1_combout\ & (\WideAnd539~0_combout\ & \led_flash_cnt[539][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[539][0]~q\,
	datab => \WideAnd539~1_combout\,
	datac => \WideAnd539~0_combout\,
	datad => \led_flash_cnt[539][7]~q\,
	combout => \WideAnd539~combout\);

-- Location: FF_X72_Y51_N7
\led_flash_cnt_ands[539]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd539~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(539));

-- Location: LCCOMB_X76_Y51_N18
\led_flash_cnt[536][0]~81176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[536][0]~81176_combout\ = !\led_flash_cnt[536][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[536][0]~q\,
	combout => \led_flash_cnt[536][0]~81176_combout\);

-- Location: FF_X76_Y51_N19
\led_flash_cnt[536][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[536][0]~81176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[536][0]~q\);

-- Location: LCCOMB_X76_Y51_N2
\led_flash_cnt[536][1]~34384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[536][1]~34384_combout\ = (\led_flash_cnt[536][1]~q\ & (\led_flash_cnt[536][0]~q\ $ (VCC))) # (!\led_flash_cnt[536][1]~q\ & (\led_flash_cnt[536][0]~q\ & VCC))
-- \led_flash_cnt[536][1]~34385\ = CARRY((\led_flash_cnt[536][1]~q\ & \led_flash_cnt[536][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[536][1]~q\,
	datab => \led_flash_cnt[536][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[536][1]~34384_combout\,
	cout => \led_flash_cnt[536][1]~34385\);

-- Location: FF_X76_Y51_N3
\led_flash_cnt[536][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[536][1]~34384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[536][1]~q\);

-- Location: LCCOMB_X76_Y51_N4
\led_flash_cnt[536][2]~34386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[536][2]~34386_combout\ = (\led_flash_cnt[536][2]~q\ & (!\led_flash_cnt[536][1]~34385\)) # (!\led_flash_cnt[536][2]~q\ & ((\led_flash_cnt[536][1]~34385\) # (GND)))
-- \led_flash_cnt[536][2]~34387\ = CARRY((!\led_flash_cnt[536][1]~34385\) # (!\led_flash_cnt[536][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[536][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[536][1]~34385\,
	combout => \led_flash_cnt[536][2]~34386_combout\,
	cout => \led_flash_cnt[536][2]~34387\);

-- Location: FF_X76_Y51_N5
\led_flash_cnt[536][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[536][2]~34386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[536][2]~q\);

-- Location: LCCOMB_X76_Y51_N6
\led_flash_cnt[536][3]~34388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[536][3]~34388_combout\ = (\led_flash_cnt[536][3]~q\ & (\led_flash_cnt[536][2]~34387\ $ (GND))) # (!\led_flash_cnt[536][3]~q\ & (!\led_flash_cnt[536][2]~34387\ & VCC))
-- \led_flash_cnt[536][3]~34389\ = CARRY((\led_flash_cnt[536][3]~q\ & !\led_flash_cnt[536][2]~34387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[536][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[536][2]~34387\,
	combout => \led_flash_cnt[536][3]~34388_combout\,
	cout => \led_flash_cnt[536][3]~34389\);

-- Location: FF_X76_Y51_N7
\led_flash_cnt[536][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[536][3]~34388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[536][3]~q\);

-- Location: LCCOMB_X76_Y51_N8
\led_flash_cnt[536][4]~34390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[536][4]~34390_combout\ = (\led_flash_cnt[536][4]~q\ & (!\led_flash_cnt[536][3]~34389\)) # (!\led_flash_cnt[536][4]~q\ & ((\led_flash_cnt[536][3]~34389\) # (GND)))
-- \led_flash_cnt[536][4]~34391\ = CARRY((!\led_flash_cnt[536][3]~34389\) # (!\led_flash_cnt[536][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[536][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[536][3]~34389\,
	combout => \led_flash_cnt[536][4]~34390_combout\,
	cout => \led_flash_cnt[536][4]~34391\);

-- Location: FF_X76_Y51_N9
\led_flash_cnt[536][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[536][4]~34390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[536][4]~q\);

-- Location: LCCOMB_X76_Y51_N26
\WideAnd536~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd536~0_combout\ = (\led_flash_cnt[536][3]~q\ & (\led_flash_cnt[536][4]~q\ & (\led_flash_cnt[536][2]~q\ & \led_flash_cnt[536][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[536][3]~q\,
	datab => \led_flash_cnt[536][4]~q\,
	datac => \led_flash_cnt[536][2]~q\,
	datad => \led_flash_cnt[536][1]~q\,
	combout => \WideAnd536~0_combout\);

-- Location: LCCOMB_X76_Y51_N10
\led_flash_cnt[536][5]~34392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[536][5]~34392_combout\ = (\led_flash_cnt[536][5]~q\ & (\led_flash_cnt[536][4]~34391\ $ (GND))) # (!\led_flash_cnt[536][5]~q\ & (!\led_flash_cnt[536][4]~34391\ & VCC))
-- \led_flash_cnt[536][5]~34393\ = CARRY((\led_flash_cnt[536][5]~q\ & !\led_flash_cnt[536][4]~34391\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[536][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[536][4]~34391\,
	combout => \led_flash_cnt[536][5]~34392_combout\,
	cout => \led_flash_cnt[536][5]~34393\);

-- Location: FF_X76_Y51_N11
\led_flash_cnt[536][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[536][5]~34392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[536][5]~q\);

-- Location: LCCOMB_X76_Y51_N12
\led_flash_cnt[536][6]~34394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[536][6]~34394_combout\ = (\led_flash_cnt[536][6]~q\ & (!\led_flash_cnt[536][5]~34393\)) # (!\led_flash_cnt[536][6]~q\ & ((\led_flash_cnt[536][5]~34393\) # (GND)))
-- \led_flash_cnt[536][6]~34395\ = CARRY((!\led_flash_cnt[536][5]~34393\) # (!\led_flash_cnt[536][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[536][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[536][5]~34393\,
	combout => \led_flash_cnt[536][6]~34394_combout\,
	cout => \led_flash_cnt[536][6]~34395\);

-- Location: FF_X76_Y51_N13
\led_flash_cnt[536][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[536][6]~34394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[536][6]~q\);

-- Location: LCCOMB_X76_Y51_N24
\WideAnd536~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd536~1_combout\ = (\led_flash_cnt[536][6]~q\ & \led_flash_cnt[536][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[536][6]~q\,
	datad => \led_flash_cnt[536][5]~q\,
	combout => \WideAnd536~1_combout\);

-- Location: LCCOMB_X76_Y51_N14
\led_flash_cnt[536][7]~34396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[536][7]~34396_combout\ = \led_flash_cnt[536][7]~q\ $ (!\led_flash_cnt[536][6]~34395\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[536][7]~q\,
	cin => \led_flash_cnt[536][6]~34395\,
	combout => \led_flash_cnt[536][7]~34396_combout\);

-- Location: FF_X76_Y51_N15
\led_flash_cnt[536][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[536][7]~34396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[536][7]~q\);

-- Location: LCCOMB_X76_Y51_N22
WideAnd536 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd536~combout\ = (\WideAnd536~0_combout\ & (\WideAnd536~1_combout\ & (\led_flash_cnt[536][7]~q\ & \led_flash_cnt[536][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd536~0_combout\,
	datab => \WideAnd536~1_combout\,
	datac => \led_flash_cnt[536][7]~q\,
	datad => \led_flash_cnt[536][0]~q\,
	combout => \WideAnd536~combout\);

-- Location: FF_X76_Y51_N23
\led_flash_cnt_ands[536]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd536~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(536));

-- Location: LCCOMB_X75_Y51_N30
\led_flash_cnt[538][0]~81178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[538][0]~81178_combout\ = !\led_flash_cnt[538][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[538][0]~q\,
	combout => \led_flash_cnt[538][0]~81178_combout\);

-- Location: FF_X75_Y51_N31
\led_flash_cnt[538][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[538][0]~81178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[538][0]~q\);

-- Location: LCCOMB_X75_Y51_N4
\led_flash_cnt[538][1]~34412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[538][1]~34412_combout\ = (\led_flash_cnt[538][0]~q\ & (\led_flash_cnt[538][1]~q\ $ (VCC))) # (!\led_flash_cnt[538][0]~q\ & (\led_flash_cnt[538][1]~q\ & VCC))
-- \led_flash_cnt[538][1]~34413\ = CARRY((\led_flash_cnt[538][0]~q\ & \led_flash_cnt[538][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[538][0]~q\,
	datab => \led_flash_cnt[538][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[538][1]~34412_combout\,
	cout => \led_flash_cnt[538][1]~34413\);

-- Location: FF_X75_Y51_N5
\led_flash_cnt[538][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[538][1]~34412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[538][1]~q\);

-- Location: LCCOMB_X75_Y51_N6
\led_flash_cnt[538][2]~34414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[538][2]~34414_combout\ = (\led_flash_cnt[538][2]~q\ & (!\led_flash_cnt[538][1]~34413\)) # (!\led_flash_cnt[538][2]~q\ & ((\led_flash_cnt[538][1]~34413\) # (GND)))
-- \led_flash_cnt[538][2]~34415\ = CARRY((!\led_flash_cnt[538][1]~34413\) # (!\led_flash_cnt[538][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[538][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[538][1]~34413\,
	combout => \led_flash_cnt[538][2]~34414_combout\,
	cout => \led_flash_cnt[538][2]~34415\);

-- Location: FF_X75_Y51_N7
\led_flash_cnt[538][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[538][2]~34414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[538][2]~q\);

-- Location: LCCOMB_X75_Y51_N8
\led_flash_cnt[538][3]~34416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[538][3]~34416_combout\ = (\led_flash_cnt[538][3]~q\ & (\led_flash_cnt[538][2]~34415\ $ (GND))) # (!\led_flash_cnt[538][3]~q\ & (!\led_flash_cnt[538][2]~34415\ & VCC))
-- \led_flash_cnt[538][3]~34417\ = CARRY((\led_flash_cnt[538][3]~q\ & !\led_flash_cnt[538][2]~34415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[538][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[538][2]~34415\,
	combout => \led_flash_cnt[538][3]~34416_combout\,
	cout => \led_flash_cnt[538][3]~34417\);

-- Location: FF_X75_Y51_N9
\led_flash_cnt[538][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[538][3]~34416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[538][3]~q\);

-- Location: LCCOMB_X75_Y51_N10
\led_flash_cnt[538][4]~34418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[538][4]~34418_combout\ = (\led_flash_cnt[538][4]~q\ & (!\led_flash_cnt[538][3]~34417\)) # (!\led_flash_cnt[538][4]~q\ & ((\led_flash_cnt[538][3]~34417\) # (GND)))
-- \led_flash_cnt[538][4]~34419\ = CARRY((!\led_flash_cnt[538][3]~34417\) # (!\led_flash_cnt[538][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[538][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[538][3]~34417\,
	combout => \led_flash_cnt[538][4]~34418_combout\,
	cout => \led_flash_cnt[538][4]~34419\);

-- Location: FF_X75_Y51_N11
\led_flash_cnt[538][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[538][4]~34418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[538][4]~q\);

-- Location: LCCOMB_X75_Y51_N12
\led_flash_cnt[538][5]~34420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[538][5]~34420_combout\ = (\led_flash_cnt[538][5]~q\ & (\led_flash_cnt[538][4]~34419\ $ (GND))) # (!\led_flash_cnt[538][5]~q\ & (!\led_flash_cnt[538][4]~34419\ & VCC))
-- \led_flash_cnt[538][5]~34421\ = CARRY((\led_flash_cnt[538][5]~q\ & !\led_flash_cnt[538][4]~34419\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[538][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[538][4]~34419\,
	combout => \led_flash_cnt[538][5]~34420_combout\,
	cout => \led_flash_cnt[538][5]~34421\);

-- Location: FF_X75_Y51_N13
\led_flash_cnt[538][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[538][5]~34420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[538][5]~q\);

-- Location: LCCOMB_X75_Y51_N14
\led_flash_cnt[538][6]~34422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[538][6]~34422_combout\ = (\led_flash_cnt[538][6]~q\ & (!\led_flash_cnt[538][5]~34421\)) # (!\led_flash_cnt[538][6]~q\ & ((\led_flash_cnt[538][5]~34421\) # (GND)))
-- \led_flash_cnt[538][6]~34423\ = CARRY((!\led_flash_cnt[538][5]~34421\) # (!\led_flash_cnt[538][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[538][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[538][5]~34421\,
	combout => \led_flash_cnt[538][6]~34422_combout\,
	cout => \led_flash_cnt[538][6]~34423\);

-- Location: FF_X75_Y51_N15
\led_flash_cnt[538][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[538][6]~34422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[538][6]~q\);

-- Location: LCCOMB_X75_Y51_N16
\led_flash_cnt[538][7]~34424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[538][7]~34424_combout\ = \led_flash_cnt[538][6]~34423\ $ (!\led_flash_cnt[538][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[538][7]~q\,
	cin => \led_flash_cnt[538][6]~34423\,
	combout => \led_flash_cnt[538][7]~34424_combout\);

-- Location: FF_X75_Y51_N17
\led_flash_cnt[538][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[538][7]~34424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[538][7]~q\);

-- Location: LCCOMB_X75_Y51_N22
\WideAnd538~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd538~1_combout\ = (\led_flash_cnt[538][6]~q\ & \led_flash_cnt[538][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[538][6]~q\,
	datad => \led_flash_cnt[538][5]~q\,
	combout => \WideAnd538~1_combout\);

-- Location: LCCOMB_X75_Y51_N18
\WideAnd538~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd538~0_combout\ = (\led_flash_cnt[538][4]~q\ & (\led_flash_cnt[538][3]~q\ & (\led_flash_cnt[538][1]~q\ & \led_flash_cnt[538][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[538][4]~q\,
	datab => \led_flash_cnt[538][3]~q\,
	datac => \led_flash_cnt[538][1]~q\,
	datad => \led_flash_cnt[538][2]~q\,
	combout => \WideAnd538~0_combout\);

-- Location: LCCOMB_X75_Y51_N26
WideAnd538 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd538~combout\ = (\led_flash_cnt[538][0]~q\ & (\led_flash_cnt[538][7]~q\ & (\WideAnd538~1_combout\ & \WideAnd538~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[538][0]~q\,
	datab => \led_flash_cnt[538][7]~q\,
	datac => \WideAnd538~1_combout\,
	datad => \WideAnd538~0_combout\,
	combout => \WideAnd538~combout\);

-- Location: FF_X75_Y51_N27
\led_flash_cnt_ands[538]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd538~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(538));

-- Location: LCCOMB_X72_Y51_N2
\led_flash_cnt[537][0]~81177\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[537][0]~81177_combout\ = !\led_flash_cnt[537][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[537][0]~q\,
	combout => \led_flash_cnt[537][0]~81177_combout\);

-- Location: FF_X72_Y51_N3
\led_flash_cnt[537][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[537][0]~81177_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[537][0]~q\);

-- Location: LCCOMB_X71_Y51_N2
\led_flash_cnt[537][1]~34398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[537][1]~34398_combout\ = (\led_flash_cnt[537][0]~q\ & (\led_flash_cnt[537][1]~q\ $ (VCC))) # (!\led_flash_cnt[537][0]~q\ & (\led_flash_cnt[537][1]~q\ & VCC))
-- \led_flash_cnt[537][1]~34399\ = CARRY((\led_flash_cnt[537][0]~q\ & \led_flash_cnt[537][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[537][0]~q\,
	datab => \led_flash_cnt[537][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[537][1]~34398_combout\,
	cout => \led_flash_cnt[537][1]~34399\);

-- Location: FF_X71_Y51_N3
\led_flash_cnt[537][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[537][1]~34398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[537][1]~q\);

-- Location: LCCOMB_X71_Y51_N4
\led_flash_cnt[537][2]~34400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[537][2]~34400_combout\ = (\led_flash_cnt[537][2]~q\ & (!\led_flash_cnt[537][1]~34399\)) # (!\led_flash_cnt[537][2]~q\ & ((\led_flash_cnt[537][1]~34399\) # (GND)))
-- \led_flash_cnt[537][2]~34401\ = CARRY((!\led_flash_cnt[537][1]~34399\) # (!\led_flash_cnt[537][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[537][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[537][1]~34399\,
	combout => \led_flash_cnt[537][2]~34400_combout\,
	cout => \led_flash_cnt[537][2]~34401\);

-- Location: FF_X71_Y51_N5
\led_flash_cnt[537][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[537][2]~34400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[537][2]~q\);

-- Location: LCCOMB_X71_Y51_N6
\led_flash_cnt[537][3]~34402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[537][3]~34402_combout\ = (\led_flash_cnt[537][3]~q\ & (\led_flash_cnt[537][2]~34401\ $ (GND))) # (!\led_flash_cnt[537][3]~q\ & (!\led_flash_cnt[537][2]~34401\ & VCC))
-- \led_flash_cnt[537][3]~34403\ = CARRY((\led_flash_cnt[537][3]~q\ & !\led_flash_cnt[537][2]~34401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[537][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[537][2]~34401\,
	combout => \led_flash_cnt[537][3]~34402_combout\,
	cout => \led_flash_cnt[537][3]~34403\);

-- Location: FF_X71_Y51_N7
\led_flash_cnt[537][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[537][3]~34402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[537][3]~q\);

-- Location: LCCOMB_X71_Y51_N8
\led_flash_cnt[537][4]~34404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[537][4]~34404_combout\ = (\led_flash_cnt[537][4]~q\ & (!\led_flash_cnt[537][3]~34403\)) # (!\led_flash_cnt[537][4]~q\ & ((\led_flash_cnt[537][3]~34403\) # (GND)))
-- \led_flash_cnt[537][4]~34405\ = CARRY((!\led_flash_cnt[537][3]~34403\) # (!\led_flash_cnt[537][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[537][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[537][3]~34403\,
	combout => \led_flash_cnt[537][4]~34404_combout\,
	cout => \led_flash_cnt[537][4]~34405\);

-- Location: FF_X71_Y51_N9
\led_flash_cnt[537][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[537][4]~34404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[537][4]~q\);

-- Location: LCCOMB_X71_Y51_N10
\led_flash_cnt[537][5]~34406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[537][5]~34406_combout\ = (\led_flash_cnt[537][5]~q\ & (\led_flash_cnt[537][4]~34405\ $ (GND))) # (!\led_flash_cnt[537][5]~q\ & (!\led_flash_cnt[537][4]~34405\ & VCC))
-- \led_flash_cnt[537][5]~34407\ = CARRY((\led_flash_cnt[537][5]~q\ & !\led_flash_cnt[537][4]~34405\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[537][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[537][4]~34405\,
	combout => \led_flash_cnt[537][5]~34406_combout\,
	cout => \led_flash_cnt[537][5]~34407\);

-- Location: FF_X71_Y51_N11
\led_flash_cnt[537][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[537][5]~34406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[537][5]~q\);

-- Location: LCCOMB_X71_Y51_N12
\led_flash_cnt[537][6]~34408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[537][6]~34408_combout\ = (\led_flash_cnt[537][6]~q\ & (!\led_flash_cnt[537][5]~34407\)) # (!\led_flash_cnt[537][6]~q\ & ((\led_flash_cnt[537][5]~34407\) # (GND)))
-- \led_flash_cnt[537][6]~34409\ = CARRY((!\led_flash_cnt[537][5]~34407\) # (!\led_flash_cnt[537][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[537][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[537][5]~34407\,
	combout => \led_flash_cnt[537][6]~34408_combout\,
	cout => \led_flash_cnt[537][6]~34409\);

-- Location: FF_X71_Y51_N13
\led_flash_cnt[537][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[537][6]~34408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[537][6]~q\);

-- Location: LCCOMB_X71_Y51_N14
\led_flash_cnt[537][7]~34410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[537][7]~34410_combout\ = \led_flash_cnt[537][7]~q\ $ (!\led_flash_cnt[537][6]~34409\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[537][7]~q\,
	cin => \led_flash_cnt[537][6]~34409\,
	combout => \led_flash_cnt[537][7]~34410_combout\);

-- Location: FF_X71_Y51_N15
\led_flash_cnt[537][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[537][7]~34410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[537][7]~q\);

-- Location: LCCOMB_X72_Y51_N28
\WideAnd537~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd537~1_combout\ = (\led_flash_cnt[537][6]~q\ & \led_flash_cnt[537][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[537][6]~q\,
	datad => \led_flash_cnt[537][5]~q\,
	combout => \WideAnd537~1_combout\);

-- Location: LCCOMB_X71_Y51_N16
\WideAnd537~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd537~0_combout\ = (\led_flash_cnt[537][3]~q\ & (\led_flash_cnt[537][4]~q\ & (\led_flash_cnt[537][2]~q\ & \led_flash_cnt[537][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[537][3]~q\,
	datab => \led_flash_cnt[537][4]~q\,
	datac => \led_flash_cnt[537][2]~q\,
	datad => \led_flash_cnt[537][1]~q\,
	combout => \WideAnd537~0_combout\);

-- Location: LCCOMB_X72_Y51_N0
WideAnd537 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd537~combout\ = (\led_flash_cnt[537][7]~q\ & (\WideAnd537~1_combout\ & (\WideAnd537~0_combout\ & \led_flash_cnt[537][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[537][7]~q\,
	datab => \WideAnd537~1_combout\,
	datac => \WideAnd537~0_combout\,
	datad => \led_flash_cnt[537][0]~q\,
	combout => \WideAnd537~combout\);

-- Location: FF_X72_Y51_N1
\led_flash_cnt_ands[537]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd537~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(537));

-- Location: LCCOMB_X72_Y51_N30
\WideAnd3907~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3907~0_combout\ = (led_flash_cnt_ands(539) & (led_flash_cnt_ands(536) & (led_flash_cnt_ands(538) & led_flash_cnt_ands(537))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(539),
	datab => led_flash_cnt_ands(536),
	datac => led_flash_cnt_ands(538),
	datad => led_flash_cnt_ands(537),
	combout => \WideAnd3907~0_combout\);

-- Location: LCCOMB_X76_Y38_N2
\led_flash_cnt[541][0]~81181\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[541][0]~81181_combout\ = !\led_flash_cnt[541][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[541][0]~q\,
	combout => \led_flash_cnt[541][0]~81181_combout\);

-- Location: FF_X76_Y38_N3
\led_flash_cnt[541][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[541][0]~81181_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[541][0]~q\);

-- Location: LCCOMB_X75_Y38_N0
\led_flash_cnt[541][1]~34454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[541][1]~34454_combout\ = (\led_flash_cnt[541][0]~q\ & (\led_flash_cnt[541][1]~q\ $ (VCC))) # (!\led_flash_cnt[541][0]~q\ & (\led_flash_cnt[541][1]~q\ & VCC))
-- \led_flash_cnt[541][1]~34455\ = CARRY((\led_flash_cnt[541][0]~q\ & \led_flash_cnt[541][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[541][0]~q\,
	datab => \led_flash_cnt[541][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[541][1]~34454_combout\,
	cout => \led_flash_cnt[541][1]~34455\);

-- Location: FF_X75_Y38_N1
\led_flash_cnt[541][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[541][1]~34454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[541][1]~q\);

-- Location: LCCOMB_X75_Y38_N2
\led_flash_cnt[541][2]~34456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[541][2]~34456_combout\ = (\led_flash_cnt[541][2]~q\ & (!\led_flash_cnt[541][1]~34455\)) # (!\led_flash_cnt[541][2]~q\ & ((\led_flash_cnt[541][1]~34455\) # (GND)))
-- \led_flash_cnt[541][2]~34457\ = CARRY((!\led_flash_cnt[541][1]~34455\) # (!\led_flash_cnt[541][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[541][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[541][1]~34455\,
	combout => \led_flash_cnt[541][2]~34456_combout\,
	cout => \led_flash_cnt[541][2]~34457\);

-- Location: FF_X75_Y38_N3
\led_flash_cnt[541][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[541][2]~34456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[541][2]~q\);

-- Location: LCCOMB_X75_Y38_N4
\led_flash_cnt[541][3]~34458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[541][3]~34458_combout\ = (\led_flash_cnt[541][3]~q\ & (\led_flash_cnt[541][2]~34457\ $ (GND))) # (!\led_flash_cnt[541][3]~q\ & (!\led_flash_cnt[541][2]~34457\ & VCC))
-- \led_flash_cnt[541][3]~34459\ = CARRY((\led_flash_cnt[541][3]~q\ & !\led_flash_cnt[541][2]~34457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[541][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[541][2]~34457\,
	combout => \led_flash_cnt[541][3]~34458_combout\,
	cout => \led_flash_cnt[541][3]~34459\);

-- Location: FF_X75_Y38_N5
\led_flash_cnt[541][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[541][3]~34458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[541][3]~q\);

-- Location: LCCOMB_X75_Y38_N6
\led_flash_cnt[541][4]~34460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[541][4]~34460_combout\ = (\led_flash_cnt[541][4]~q\ & (!\led_flash_cnt[541][3]~34459\)) # (!\led_flash_cnt[541][4]~q\ & ((\led_flash_cnt[541][3]~34459\) # (GND)))
-- \led_flash_cnt[541][4]~34461\ = CARRY((!\led_flash_cnt[541][3]~34459\) # (!\led_flash_cnt[541][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[541][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[541][3]~34459\,
	combout => \led_flash_cnt[541][4]~34460_combout\,
	cout => \led_flash_cnt[541][4]~34461\);

-- Location: FF_X75_Y38_N7
\led_flash_cnt[541][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[541][4]~34460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[541][4]~q\);

-- Location: LCCOMB_X75_Y38_N8
\led_flash_cnt[541][5]~34462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[541][5]~34462_combout\ = (\led_flash_cnt[541][5]~q\ & (\led_flash_cnt[541][4]~34461\ $ (GND))) # (!\led_flash_cnt[541][5]~q\ & (!\led_flash_cnt[541][4]~34461\ & VCC))
-- \led_flash_cnt[541][5]~34463\ = CARRY((\led_flash_cnt[541][5]~q\ & !\led_flash_cnt[541][4]~34461\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[541][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[541][4]~34461\,
	combout => \led_flash_cnt[541][5]~34462_combout\,
	cout => \led_flash_cnt[541][5]~34463\);

-- Location: FF_X75_Y38_N9
\led_flash_cnt[541][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[541][5]~34462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[541][5]~q\);

-- Location: LCCOMB_X75_Y38_N10
\led_flash_cnt[541][6]~34464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[541][6]~34464_combout\ = (\led_flash_cnt[541][6]~q\ & (!\led_flash_cnt[541][5]~34463\)) # (!\led_flash_cnt[541][6]~q\ & ((\led_flash_cnt[541][5]~34463\) # (GND)))
-- \led_flash_cnt[541][6]~34465\ = CARRY((!\led_flash_cnt[541][5]~34463\) # (!\led_flash_cnt[541][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[541][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[541][5]~34463\,
	combout => \led_flash_cnt[541][6]~34464_combout\,
	cout => \led_flash_cnt[541][6]~34465\);

-- Location: FF_X75_Y38_N11
\led_flash_cnt[541][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[541][6]~34464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[541][6]~q\);

-- Location: LCCOMB_X75_Y38_N12
\led_flash_cnt[541][7]~34466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[541][7]~34466_combout\ = \led_flash_cnt[541][6]~34465\ $ (!\led_flash_cnt[541][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[541][7]~q\,
	cin => \led_flash_cnt[541][6]~34465\,
	combout => \led_flash_cnt[541][7]~34466_combout\);

-- Location: FF_X75_Y38_N13
\led_flash_cnt[541][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[541][7]~34466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[541][7]~q\);

-- Location: LCCOMB_X75_Y38_N30
\WideAnd541~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd541~0_combout\ = (\led_flash_cnt[541][4]~q\ & (\led_flash_cnt[541][1]~q\ & (\led_flash_cnt[541][3]~q\ & \led_flash_cnt[541][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[541][4]~q\,
	datab => \led_flash_cnt[541][1]~q\,
	datac => \led_flash_cnt[541][3]~q\,
	datad => \led_flash_cnt[541][2]~q\,
	combout => \WideAnd541~0_combout\);

-- Location: LCCOMB_X76_Y38_N8
\WideAnd541~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd541~1_combout\ = (\led_flash_cnt[541][6]~q\ & \led_flash_cnt[541][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[541][6]~q\,
	datad => \led_flash_cnt[541][5]~q\,
	combout => \WideAnd541~1_combout\);

-- Location: LCCOMB_X76_Y38_N4
WideAnd541 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd541~combout\ = (\led_flash_cnt[541][7]~q\ & (\WideAnd541~0_combout\ & (\WideAnd541~1_combout\ & \led_flash_cnt[541][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[541][7]~q\,
	datab => \WideAnd541~0_combout\,
	datac => \WideAnd541~1_combout\,
	datad => \led_flash_cnt[541][0]~q\,
	combout => \WideAnd541~combout\);

-- Location: FF_X76_Y38_N5
\led_flash_cnt_ands[541]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd541~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(541));

-- Location: LCCOMB_X76_Y38_N6
\led_flash_cnt[540][0]~81180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[540][0]~81180_combout\ = !\led_flash_cnt[540][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[540][0]~q\,
	combout => \led_flash_cnt[540][0]~81180_combout\);

-- Location: FF_X76_Y38_N7
\led_flash_cnt[540][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[540][0]~81180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[540][0]~q\);

-- Location: LCCOMB_X76_Y38_N16
\led_flash_cnt[540][1]~34440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[540][1]~34440_combout\ = (\led_flash_cnt[540][0]~q\ & (\led_flash_cnt[540][1]~q\ $ (VCC))) # (!\led_flash_cnt[540][0]~q\ & (\led_flash_cnt[540][1]~q\ & VCC))
-- \led_flash_cnt[540][1]~34441\ = CARRY((\led_flash_cnt[540][0]~q\ & \led_flash_cnt[540][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[540][0]~q\,
	datab => \led_flash_cnt[540][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[540][1]~34440_combout\,
	cout => \led_flash_cnt[540][1]~34441\);

-- Location: FF_X76_Y38_N17
\led_flash_cnt[540][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[540][1]~34440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[540][1]~q\);

-- Location: LCCOMB_X76_Y38_N18
\led_flash_cnt[540][2]~34442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[540][2]~34442_combout\ = (\led_flash_cnt[540][2]~q\ & (!\led_flash_cnt[540][1]~34441\)) # (!\led_flash_cnt[540][2]~q\ & ((\led_flash_cnt[540][1]~34441\) # (GND)))
-- \led_flash_cnt[540][2]~34443\ = CARRY((!\led_flash_cnt[540][1]~34441\) # (!\led_flash_cnt[540][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[540][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[540][1]~34441\,
	combout => \led_flash_cnt[540][2]~34442_combout\,
	cout => \led_flash_cnt[540][2]~34443\);

-- Location: FF_X76_Y38_N19
\led_flash_cnt[540][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[540][2]~34442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[540][2]~q\);

-- Location: LCCOMB_X76_Y38_N20
\led_flash_cnt[540][3]~34444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[540][3]~34444_combout\ = (\led_flash_cnt[540][3]~q\ & (\led_flash_cnt[540][2]~34443\ $ (GND))) # (!\led_flash_cnt[540][3]~q\ & (!\led_flash_cnt[540][2]~34443\ & VCC))
-- \led_flash_cnt[540][3]~34445\ = CARRY((\led_flash_cnt[540][3]~q\ & !\led_flash_cnt[540][2]~34443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[540][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[540][2]~34443\,
	combout => \led_flash_cnt[540][3]~34444_combout\,
	cout => \led_flash_cnt[540][3]~34445\);

-- Location: FF_X76_Y38_N21
\led_flash_cnt[540][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[540][3]~34444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[540][3]~q\);

-- Location: LCCOMB_X76_Y38_N22
\led_flash_cnt[540][4]~34446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[540][4]~34446_combout\ = (\led_flash_cnt[540][4]~q\ & (!\led_flash_cnt[540][3]~34445\)) # (!\led_flash_cnt[540][4]~q\ & ((\led_flash_cnt[540][3]~34445\) # (GND)))
-- \led_flash_cnt[540][4]~34447\ = CARRY((!\led_flash_cnt[540][3]~34445\) # (!\led_flash_cnt[540][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[540][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[540][3]~34445\,
	combout => \led_flash_cnt[540][4]~34446_combout\,
	cout => \led_flash_cnt[540][4]~34447\);

-- Location: FF_X76_Y38_N23
\led_flash_cnt[540][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[540][4]~34446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[540][4]~q\);

-- Location: LCCOMB_X76_Y38_N24
\led_flash_cnt[540][5]~34448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[540][5]~34448_combout\ = (\led_flash_cnt[540][5]~q\ & (\led_flash_cnt[540][4]~34447\ $ (GND))) # (!\led_flash_cnt[540][5]~q\ & (!\led_flash_cnt[540][4]~34447\ & VCC))
-- \led_flash_cnt[540][5]~34449\ = CARRY((\led_flash_cnt[540][5]~q\ & !\led_flash_cnt[540][4]~34447\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[540][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[540][4]~34447\,
	combout => \led_flash_cnt[540][5]~34448_combout\,
	cout => \led_flash_cnt[540][5]~34449\);

-- Location: FF_X76_Y38_N25
\led_flash_cnt[540][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[540][5]~34448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[540][5]~q\);

-- Location: LCCOMB_X76_Y38_N26
\led_flash_cnt[540][6]~34450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[540][6]~34450_combout\ = (\led_flash_cnt[540][6]~q\ & (!\led_flash_cnt[540][5]~34449\)) # (!\led_flash_cnt[540][6]~q\ & ((\led_flash_cnt[540][5]~34449\) # (GND)))
-- \led_flash_cnt[540][6]~34451\ = CARRY((!\led_flash_cnt[540][5]~34449\) # (!\led_flash_cnt[540][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[540][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[540][5]~34449\,
	combout => \led_flash_cnt[540][6]~34450_combout\,
	cout => \led_flash_cnt[540][6]~34451\);

-- Location: FF_X76_Y38_N27
\led_flash_cnt[540][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[540][6]~34450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[540][6]~q\);

-- Location: LCCOMB_X76_Y38_N28
\led_flash_cnt[540][7]~34452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[540][7]~34452_combout\ = \led_flash_cnt[540][6]~34451\ $ (!\led_flash_cnt[540][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[540][7]~q\,
	cin => \led_flash_cnt[540][6]~34451\,
	combout => \led_flash_cnt[540][7]~34452_combout\);

-- Location: FF_X76_Y38_N29
\led_flash_cnt[540][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[540][7]~34452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[540][7]~q\);

-- Location: LCCOMB_X76_Y38_N30
\WideAnd540~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd540~1_combout\ = (\led_flash_cnt[540][6]~q\ & \led_flash_cnt[540][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[540][6]~q\,
	datad => \led_flash_cnt[540][5]~q\,
	combout => \WideAnd540~1_combout\);

-- Location: LCCOMB_X76_Y38_N12
\WideAnd540~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd540~0_combout\ = (\led_flash_cnt[540][3]~q\ & (\led_flash_cnt[540][2]~q\ & (\led_flash_cnt[540][4]~q\ & \led_flash_cnt[540][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[540][3]~q\,
	datab => \led_flash_cnt[540][2]~q\,
	datac => \led_flash_cnt[540][4]~q\,
	datad => \led_flash_cnt[540][1]~q\,
	combout => \WideAnd540~0_combout\);

-- Location: LCCOMB_X76_Y38_N10
WideAnd540 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd540~combout\ = (\led_flash_cnt[540][0]~q\ & (\led_flash_cnt[540][7]~q\ & (\WideAnd540~1_combout\ & \WideAnd540~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[540][0]~q\,
	datab => \led_flash_cnt[540][7]~q\,
	datac => \WideAnd540~1_combout\,
	datad => \WideAnd540~0_combout\,
	combout => \WideAnd540~combout\);

-- Location: FF_X76_Y38_N11
\led_flash_cnt_ands[540]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd540~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(540));

-- Location: LCCOMB_X76_Y38_N14
\WideAnd3907~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3907~1_combout\ = (led_flash_cnt_ands(541) & led_flash_cnt_ands(540))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(541),
	datad => led_flash_cnt_ands(540),
	combout => \WideAnd3907~1_combout\);

-- Location: LCCOMB_X66_Y41_N12
\led_flash_cnt[542][0]~81182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[542][0]~81182_combout\ = !\led_flash_cnt[542][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[542][0]~q\,
	combout => \led_flash_cnt[542][0]~81182_combout\);

-- Location: FF_X66_Y41_N13
\led_flash_cnt[542][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[542][0]~81182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[542][0]~q\);

-- Location: LCCOMB_X66_Y41_N14
\led_flash_cnt[542][1]~34468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[542][1]~34468_combout\ = (\led_flash_cnt[542][0]~q\ & (\led_flash_cnt[542][1]~q\ $ (VCC))) # (!\led_flash_cnt[542][0]~q\ & (\led_flash_cnt[542][1]~q\ & VCC))
-- \led_flash_cnt[542][1]~34469\ = CARRY((\led_flash_cnt[542][0]~q\ & \led_flash_cnt[542][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[542][0]~q\,
	datab => \led_flash_cnt[542][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[542][1]~34468_combout\,
	cout => \led_flash_cnt[542][1]~34469\);

-- Location: FF_X66_Y41_N15
\led_flash_cnt[542][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[542][1]~34468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[542][1]~q\);

-- Location: LCCOMB_X66_Y41_N16
\led_flash_cnt[542][2]~34470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[542][2]~34470_combout\ = (\led_flash_cnt[542][2]~q\ & (!\led_flash_cnt[542][1]~34469\)) # (!\led_flash_cnt[542][2]~q\ & ((\led_flash_cnt[542][1]~34469\) # (GND)))
-- \led_flash_cnt[542][2]~34471\ = CARRY((!\led_flash_cnt[542][1]~34469\) # (!\led_flash_cnt[542][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[542][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[542][1]~34469\,
	combout => \led_flash_cnt[542][2]~34470_combout\,
	cout => \led_flash_cnt[542][2]~34471\);

-- Location: FF_X66_Y41_N17
\led_flash_cnt[542][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[542][2]~34470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[542][2]~q\);

-- Location: LCCOMB_X66_Y41_N18
\led_flash_cnt[542][3]~34472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[542][3]~34472_combout\ = (\led_flash_cnt[542][3]~q\ & (\led_flash_cnt[542][2]~34471\ $ (GND))) # (!\led_flash_cnt[542][3]~q\ & (!\led_flash_cnt[542][2]~34471\ & VCC))
-- \led_flash_cnt[542][3]~34473\ = CARRY((\led_flash_cnt[542][3]~q\ & !\led_flash_cnt[542][2]~34471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[542][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[542][2]~34471\,
	combout => \led_flash_cnt[542][3]~34472_combout\,
	cout => \led_flash_cnt[542][3]~34473\);

-- Location: FF_X66_Y41_N19
\led_flash_cnt[542][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[542][3]~34472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[542][3]~q\);

-- Location: LCCOMB_X66_Y41_N20
\led_flash_cnt[542][4]~34474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[542][4]~34474_combout\ = (\led_flash_cnt[542][4]~q\ & (!\led_flash_cnt[542][3]~34473\)) # (!\led_flash_cnt[542][4]~q\ & ((\led_flash_cnt[542][3]~34473\) # (GND)))
-- \led_flash_cnt[542][4]~34475\ = CARRY((!\led_flash_cnt[542][3]~34473\) # (!\led_flash_cnt[542][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[542][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[542][3]~34473\,
	combout => \led_flash_cnt[542][4]~34474_combout\,
	cout => \led_flash_cnt[542][4]~34475\);

-- Location: FF_X66_Y41_N21
\led_flash_cnt[542][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[542][4]~34474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[542][4]~q\);

-- Location: LCCOMB_X66_Y41_N22
\led_flash_cnt[542][5]~34476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[542][5]~34476_combout\ = (\led_flash_cnt[542][5]~q\ & (\led_flash_cnt[542][4]~34475\ $ (GND))) # (!\led_flash_cnt[542][5]~q\ & (!\led_flash_cnt[542][4]~34475\ & VCC))
-- \led_flash_cnt[542][5]~34477\ = CARRY((\led_flash_cnt[542][5]~q\ & !\led_flash_cnt[542][4]~34475\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[542][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[542][4]~34475\,
	combout => \led_flash_cnt[542][5]~34476_combout\,
	cout => \led_flash_cnt[542][5]~34477\);

-- Location: FF_X66_Y41_N23
\led_flash_cnt[542][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[542][5]~34476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[542][5]~q\);

-- Location: LCCOMB_X66_Y41_N24
\led_flash_cnt[542][6]~34478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[542][6]~34478_combout\ = (\led_flash_cnt[542][6]~q\ & (!\led_flash_cnt[542][5]~34477\)) # (!\led_flash_cnt[542][6]~q\ & ((\led_flash_cnt[542][5]~34477\) # (GND)))
-- \led_flash_cnt[542][6]~34479\ = CARRY((!\led_flash_cnt[542][5]~34477\) # (!\led_flash_cnt[542][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[542][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[542][5]~34477\,
	combout => \led_flash_cnt[542][6]~34478_combout\,
	cout => \led_flash_cnt[542][6]~34479\);

-- Location: FF_X66_Y41_N25
\led_flash_cnt[542][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[542][6]~34478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[542][6]~q\);

-- Location: LCCOMB_X66_Y41_N26
\led_flash_cnt[542][7]~34480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[542][7]~34480_combout\ = \led_flash_cnt[542][7]~q\ $ (!\led_flash_cnt[542][6]~34479\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[542][7]~q\,
	cin => \led_flash_cnt[542][6]~34479\,
	combout => \led_flash_cnt[542][7]~34480_combout\);

-- Location: FF_X66_Y41_N27
\led_flash_cnt[542][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[542][7]~34480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[542][7]~q\);

-- Location: LCCOMB_X66_Y41_N4
\WideAnd542~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd542~1_combout\ = (\led_flash_cnt[542][5]~q\ & \led_flash_cnt[542][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[542][5]~q\,
	datad => \led_flash_cnt[542][6]~q\,
	combout => \WideAnd542~1_combout\);

-- Location: LCCOMB_X66_Y41_N8
\WideAnd542~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd542~0_combout\ = (\led_flash_cnt[542][4]~q\ & (\led_flash_cnt[542][3]~q\ & (\led_flash_cnt[542][1]~q\ & \led_flash_cnt[542][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[542][4]~q\,
	datab => \led_flash_cnt[542][3]~q\,
	datac => \led_flash_cnt[542][1]~q\,
	datad => \led_flash_cnt[542][2]~q\,
	combout => \WideAnd542~0_combout\);

-- Location: LCCOMB_X66_Y41_N2
WideAnd542 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd542~combout\ = (\led_flash_cnt[542][7]~q\ & (\WideAnd542~1_combout\ & (\WideAnd542~0_combout\ & \led_flash_cnt[542][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[542][7]~q\,
	datab => \WideAnd542~1_combout\,
	datac => \WideAnd542~0_combout\,
	datad => \led_flash_cnt[542][0]~q\,
	combout => \WideAnd542~combout\);

-- Location: FF_X66_Y41_N3
\led_flash_cnt_ands[542]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd542~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(542));

-- Location: LCCOMB_X66_Y41_N30
WideAnd3907 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3907~combout\ = (led_flash_cnt_ands(543) & (\WideAnd3907~0_combout\ & (\WideAnd3907~1_combout\ & led_flash_cnt_ands(542))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(543),
	datab => \WideAnd3907~0_combout\,
	datac => \WideAnd3907~1_combout\,
	datad => led_flash_cnt_ands(542),
	combout => \WideAnd3907~combout\);

-- Location: FF_X66_Y41_N31
\led_flash_cnt_ands_1[67]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3907~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(67));

-- Location: LCCOMB_X60_Y14_N28
\led_flash_cnt[527][0]~81167\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[527][0]~81167_combout\ = !\led_flash_cnt[527][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[527][0]~q\,
	combout => \led_flash_cnt[527][0]~81167_combout\);

-- Location: FF_X60_Y14_N29
\led_flash_cnt[527][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[527][0]~81167_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[527][0]~q\);

-- Location: LCCOMB_X61_Y14_N2
\led_flash_cnt[527][1]~34258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[527][1]~34258_combout\ = (\led_flash_cnt[527][0]~q\ & (\led_flash_cnt[527][1]~q\ $ (VCC))) # (!\led_flash_cnt[527][0]~q\ & (\led_flash_cnt[527][1]~q\ & VCC))
-- \led_flash_cnt[527][1]~34259\ = CARRY((\led_flash_cnt[527][0]~q\ & \led_flash_cnt[527][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[527][0]~q\,
	datab => \led_flash_cnt[527][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[527][1]~34258_combout\,
	cout => \led_flash_cnt[527][1]~34259\);

-- Location: FF_X61_Y14_N3
\led_flash_cnt[527][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[527][1]~34258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[527][1]~q\);

-- Location: LCCOMB_X61_Y14_N4
\led_flash_cnt[527][2]~34260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[527][2]~34260_combout\ = (\led_flash_cnt[527][2]~q\ & (!\led_flash_cnt[527][1]~34259\)) # (!\led_flash_cnt[527][2]~q\ & ((\led_flash_cnt[527][1]~34259\) # (GND)))
-- \led_flash_cnt[527][2]~34261\ = CARRY((!\led_flash_cnt[527][1]~34259\) # (!\led_flash_cnt[527][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[527][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[527][1]~34259\,
	combout => \led_flash_cnt[527][2]~34260_combout\,
	cout => \led_flash_cnt[527][2]~34261\);

-- Location: FF_X61_Y14_N5
\led_flash_cnt[527][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[527][2]~34260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[527][2]~q\);

-- Location: LCCOMB_X61_Y14_N6
\led_flash_cnt[527][3]~34262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[527][3]~34262_combout\ = (\led_flash_cnt[527][3]~q\ & (\led_flash_cnt[527][2]~34261\ $ (GND))) # (!\led_flash_cnt[527][3]~q\ & (!\led_flash_cnt[527][2]~34261\ & VCC))
-- \led_flash_cnt[527][3]~34263\ = CARRY((\led_flash_cnt[527][3]~q\ & !\led_flash_cnt[527][2]~34261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[527][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[527][2]~34261\,
	combout => \led_flash_cnt[527][3]~34262_combout\,
	cout => \led_flash_cnt[527][3]~34263\);

-- Location: FF_X61_Y14_N7
\led_flash_cnt[527][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[527][3]~34262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[527][3]~q\);

-- Location: LCCOMB_X61_Y14_N8
\led_flash_cnt[527][4]~34264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[527][4]~34264_combout\ = (\led_flash_cnt[527][4]~q\ & (!\led_flash_cnt[527][3]~34263\)) # (!\led_flash_cnt[527][4]~q\ & ((\led_flash_cnt[527][3]~34263\) # (GND)))
-- \led_flash_cnt[527][4]~34265\ = CARRY((!\led_flash_cnt[527][3]~34263\) # (!\led_flash_cnt[527][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[527][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[527][3]~34263\,
	combout => \led_flash_cnt[527][4]~34264_combout\,
	cout => \led_flash_cnt[527][4]~34265\);

-- Location: FF_X61_Y14_N9
\led_flash_cnt[527][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[527][4]~34264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[527][4]~q\);

-- Location: LCCOMB_X61_Y14_N10
\led_flash_cnt[527][5]~34266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[527][5]~34266_combout\ = (\led_flash_cnt[527][5]~q\ & (\led_flash_cnt[527][4]~34265\ $ (GND))) # (!\led_flash_cnt[527][5]~q\ & (!\led_flash_cnt[527][4]~34265\ & VCC))
-- \led_flash_cnt[527][5]~34267\ = CARRY((\led_flash_cnt[527][5]~q\ & !\led_flash_cnt[527][4]~34265\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[527][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[527][4]~34265\,
	combout => \led_flash_cnt[527][5]~34266_combout\,
	cout => \led_flash_cnt[527][5]~34267\);

-- Location: FF_X61_Y14_N11
\led_flash_cnt[527][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[527][5]~34266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[527][5]~q\);

-- Location: LCCOMB_X61_Y14_N12
\led_flash_cnt[527][6]~34268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[527][6]~34268_combout\ = (\led_flash_cnt[527][6]~q\ & (!\led_flash_cnt[527][5]~34267\)) # (!\led_flash_cnt[527][6]~q\ & ((\led_flash_cnt[527][5]~34267\) # (GND)))
-- \led_flash_cnt[527][6]~34269\ = CARRY((!\led_flash_cnt[527][5]~34267\) # (!\led_flash_cnt[527][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[527][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[527][5]~34267\,
	combout => \led_flash_cnt[527][6]~34268_combout\,
	cout => \led_flash_cnt[527][6]~34269\);

-- Location: FF_X61_Y14_N13
\led_flash_cnt[527][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[527][6]~34268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[527][6]~q\);

-- Location: LCCOMB_X60_Y14_N22
\WideAnd527~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd527~1_combout\ = (\led_flash_cnt[527][6]~q\ & \led_flash_cnt[527][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[527][6]~q\,
	datac => \led_flash_cnt[527][5]~q\,
	combout => \WideAnd527~1_combout\);

-- Location: LCCOMB_X61_Y14_N14
\led_flash_cnt[527][7]~34270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[527][7]~34270_combout\ = \led_flash_cnt[527][7]~q\ $ (!\led_flash_cnt[527][6]~34269\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[527][7]~q\,
	cin => \led_flash_cnt[527][6]~34269\,
	combout => \led_flash_cnt[527][7]~34270_combout\);

-- Location: FF_X61_Y14_N15
\led_flash_cnt[527][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[527][7]~34270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[527][7]~q\);

-- Location: LCCOMB_X61_Y14_N16
\WideAnd527~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd527~0_combout\ = (\led_flash_cnt[527][3]~q\ & (\led_flash_cnt[527][4]~q\ & (\led_flash_cnt[527][2]~q\ & \led_flash_cnt[527][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[527][3]~q\,
	datab => \led_flash_cnt[527][4]~q\,
	datac => \led_flash_cnt[527][2]~q\,
	datad => \led_flash_cnt[527][1]~q\,
	combout => \WideAnd527~0_combout\);

-- Location: LCCOMB_X60_Y14_N30
WideAnd527 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd527~combout\ = (\WideAnd527~1_combout\ & (\led_flash_cnt[527][0]~q\ & (\led_flash_cnt[527][7]~q\ & \WideAnd527~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd527~1_combout\,
	datab => \led_flash_cnt[527][0]~q\,
	datac => \led_flash_cnt[527][7]~q\,
	datad => \WideAnd527~0_combout\,
	combout => \WideAnd527~combout\);

-- Location: FF_X60_Y14_N31
\led_flash_cnt_ands[527]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd527~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(527));

-- Location: LCCOMB_X60_Y12_N28
\led_flash_cnt[525][0]~81165\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[525][0]~81165_combout\ = !\led_flash_cnt[525][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[525][0]~q\,
	combout => \led_flash_cnt[525][0]~81165_combout\);

-- Location: FF_X60_Y12_N29
\led_flash_cnt[525][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[525][0]~81165_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[525][0]~q\);

-- Location: LCCOMB_X59_Y12_N18
\led_flash_cnt[525][1]~34230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[525][1]~34230_combout\ = (\led_flash_cnt[525][1]~q\ & (\led_flash_cnt[525][0]~q\ $ (VCC))) # (!\led_flash_cnt[525][1]~q\ & (\led_flash_cnt[525][0]~q\ & VCC))
-- \led_flash_cnt[525][1]~34231\ = CARRY((\led_flash_cnt[525][1]~q\ & \led_flash_cnt[525][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[525][1]~q\,
	datab => \led_flash_cnt[525][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[525][1]~34230_combout\,
	cout => \led_flash_cnt[525][1]~34231\);

-- Location: FF_X59_Y12_N19
\led_flash_cnt[525][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[525][1]~34230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[525][1]~q\);

-- Location: LCCOMB_X59_Y12_N20
\led_flash_cnt[525][2]~34232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[525][2]~34232_combout\ = (\led_flash_cnt[525][2]~q\ & (!\led_flash_cnt[525][1]~34231\)) # (!\led_flash_cnt[525][2]~q\ & ((\led_flash_cnt[525][1]~34231\) # (GND)))
-- \led_flash_cnt[525][2]~34233\ = CARRY((!\led_flash_cnt[525][1]~34231\) # (!\led_flash_cnt[525][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[525][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[525][1]~34231\,
	combout => \led_flash_cnt[525][2]~34232_combout\,
	cout => \led_flash_cnt[525][2]~34233\);

-- Location: FF_X59_Y12_N21
\led_flash_cnt[525][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[525][2]~34232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[525][2]~q\);

-- Location: LCCOMB_X59_Y12_N22
\led_flash_cnt[525][3]~34234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[525][3]~34234_combout\ = (\led_flash_cnt[525][3]~q\ & (\led_flash_cnt[525][2]~34233\ $ (GND))) # (!\led_flash_cnt[525][3]~q\ & (!\led_flash_cnt[525][2]~34233\ & VCC))
-- \led_flash_cnt[525][3]~34235\ = CARRY((\led_flash_cnt[525][3]~q\ & !\led_flash_cnt[525][2]~34233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[525][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[525][2]~34233\,
	combout => \led_flash_cnt[525][3]~34234_combout\,
	cout => \led_flash_cnt[525][3]~34235\);

-- Location: FF_X59_Y12_N23
\led_flash_cnt[525][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[525][3]~34234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[525][3]~q\);

-- Location: LCCOMB_X59_Y12_N24
\led_flash_cnt[525][4]~34236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[525][4]~34236_combout\ = (\led_flash_cnt[525][4]~q\ & (!\led_flash_cnt[525][3]~34235\)) # (!\led_flash_cnt[525][4]~q\ & ((\led_flash_cnt[525][3]~34235\) # (GND)))
-- \led_flash_cnt[525][4]~34237\ = CARRY((!\led_flash_cnt[525][3]~34235\) # (!\led_flash_cnt[525][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[525][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[525][3]~34235\,
	combout => \led_flash_cnt[525][4]~34236_combout\,
	cout => \led_flash_cnt[525][4]~34237\);

-- Location: FF_X59_Y12_N25
\led_flash_cnt[525][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[525][4]~34236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[525][4]~q\);

-- Location: LCCOMB_X59_Y12_N26
\led_flash_cnt[525][5]~34238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[525][5]~34238_combout\ = (\led_flash_cnt[525][5]~q\ & (\led_flash_cnt[525][4]~34237\ $ (GND))) # (!\led_flash_cnt[525][5]~q\ & (!\led_flash_cnt[525][4]~34237\ & VCC))
-- \led_flash_cnt[525][5]~34239\ = CARRY((\led_flash_cnt[525][5]~q\ & !\led_flash_cnt[525][4]~34237\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[525][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[525][4]~34237\,
	combout => \led_flash_cnt[525][5]~34238_combout\,
	cout => \led_flash_cnt[525][5]~34239\);

-- Location: FF_X59_Y12_N27
\led_flash_cnt[525][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[525][5]~34238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[525][5]~q\);

-- Location: LCCOMB_X59_Y12_N28
\led_flash_cnt[525][6]~34240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[525][6]~34240_combout\ = (\led_flash_cnt[525][6]~q\ & (!\led_flash_cnt[525][5]~34239\)) # (!\led_flash_cnt[525][6]~q\ & ((\led_flash_cnt[525][5]~34239\) # (GND)))
-- \led_flash_cnt[525][6]~34241\ = CARRY((!\led_flash_cnt[525][5]~34239\) # (!\led_flash_cnt[525][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[525][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[525][5]~34239\,
	combout => \led_flash_cnt[525][6]~34240_combout\,
	cout => \led_flash_cnt[525][6]~34241\);

-- Location: FF_X59_Y12_N29
\led_flash_cnt[525][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[525][6]~34240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[525][6]~q\);

-- Location: LCCOMB_X59_Y12_N30
\led_flash_cnt[525][7]~34242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[525][7]~34242_combout\ = \led_flash_cnt[525][7]~q\ $ (!\led_flash_cnt[525][6]~34241\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[525][7]~q\,
	cin => \led_flash_cnt[525][6]~34241\,
	combout => \led_flash_cnt[525][7]~34242_combout\);

-- Location: FF_X59_Y12_N31
\led_flash_cnt[525][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[525][7]~34242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[525][7]~q\);

-- Location: LCCOMB_X60_Y12_N24
\WideAnd525~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd525~1_combout\ = (\led_flash_cnt[525][5]~q\ & \led_flash_cnt[525][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[525][5]~q\,
	datad => \led_flash_cnt[525][6]~q\,
	combout => \WideAnd525~1_combout\);

-- Location: LCCOMB_X59_Y12_N16
\WideAnd525~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd525~0_combout\ = (\led_flash_cnt[525][1]~q\ & (\led_flash_cnt[525][2]~q\ & (\led_flash_cnt[525][3]~q\ & \led_flash_cnt[525][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[525][1]~q\,
	datab => \led_flash_cnt[525][2]~q\,
	datac => \led_flash_cnt[525][3]~q\,
	datad => \led_flash_cnt[525][4]~q\,
	combout => \WideAnd525~0_combout\);

-- Location: LCCOMB_X60_Y12_N30
WideAnd525 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd525~combout\ = (\led_flash_cnt[525][7]~q\ & (\WideAnd525~1_combout\ & (\WideAnd525~0_combout\ & \led_flash_cnt[525][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[525][7]~q\,
	datab => \WideAnd525~1_combout\,
	datac => \WideAnd525~0_combout\,
	datad => \led_flash_cnt[525][0]~q\,
	combout => \WideAnd525~combout\);

-- Location: FF_X60_Y12_N31
\led_flash_cnt_ands[525]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd525~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(525));

-- Location: LCCOMB_X60_Y12_N22
\led_flash_cnt[524][0]~81164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[524][0]~81164_combout\ = !\led_flash_cnt[524][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[524][0]~q\,
	combout => \led_flash_cnt[524][0]~81164_combout\);

-- Location: FF_X60_Y12_N23
\led_flash_cnt[524][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[524][0]~81164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[524][0]~q\);

-- Location: LCCOMB_X60_Y12_N4
\led_flash_cnt[524][1]~34216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[524][1]~34216_combout\ = (\led_flash_cnt[524][0]~q\ & (\led_flash_cnt[524][1]~q\ $ (VCC))) # (!\led_flash_cnt[524][0]~q\ & (\led_flash_cnt[524][1]~q\ & VCC))
-- \led_flash_cnt[524][1]~34217\ = CARRY((\led_flash_cnt[524][0]~q\ & \led_flash_cnt[524][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[524][0]~q\,
	datab => \led_flash_cnt[524][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[524][1]~34216_combout\,
	cout => \led_flash_cnt[524][1]~34217\);

-- Location: FF_X60_Y12_N5
\led_flash_cnt[524][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[524][1]~34216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[524][1]~q\);

-- Location: LCCOMB_X60_Y12_N6
\led_flash_cnt[524][2]~34218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[524][2]~34218_combout\ = (\led_flash_cnt[524][2]~q\ & (!\led_flash_cnt[524][1]~34217\)) # (!\led_flash_cnt[524][2]~q\ & ((\led_flash_cnt[524][1]~34217\) # (GND)))
-- \led_flash_cnt[524][2]~34219\ = CARRY((!\led_flash_cnt[524][1]~34217\) # (!\led_flash_cnt[524][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[524][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[524][1]~34217\,
	combout => \led_flash_cnt[524][2]~34218_combout\,
	cout => \led_flash_cnt[524][2]~34219\);

-- Location: FF_X60_Y12_N7
\led_flash_cnt[524][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[524][2]~34218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[524][2]~q\);

-- Location: LCCOMB_X60_Y12_N8
\led_flash_cnt[524][3]~34220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[524][3]~34220_combout\ = (\led_flash_cnt[524][3]~q\ & (\led_flash_cnt[524][2]~34219\ $ (GND))) # (!\led_flash_cnt[524][3]~q\ & (!\led_flash_cnt[524][2]~34219\ & VCC))
-- \led_flash_cnt[524][3]~34221\ = CARRY((\led_flash_cnt[524][3]~q\ & !\led_flash_cnt[524][2]~34219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[524][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[524][2]~34219\,
	combout => \led_flash_cnt[524][3]~34220_combout\,
	cout => \led_flash_cnt[524][3]~34221\);

-- Location: FF_X60_Y12_N9
\led_flash_cnt[524][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[524][3]~34220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[524][3]~q\);

-- Location: LCCOMB_X60_Y12_N10
\led_flash_cnt[524][4]~34222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[524][4]~34222_combout\ = (\led_flash_cnt[524][4]~q\ & (!\led_flash_cnt[524][3]~34221\)) # (!\led_flash_cnt[524][4]~q\ & ((\led_flash_cnt[524][3]~34221\) # (GND)))
-- \led_flash_cnt[524][4]~34223\ = CARRY((!\led_flash_cnt[524][3]~34221\) # (!\led_flash_cnt[524][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[524][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[524][3]~34221\,
	combout => \led_flash_cnt[524][4]~34222_combout\,
	cout => \led_flash_cnt[524][4]~34223\);

-- Location: FF_X60_Y12_N11
\led_flash_cnt[524][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[524][4]~34222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[524][4]~q\);

-- Location: LCCOMB_X60_Y12_N12
\led_flash_cnt[524][5]~34224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[524][5]~34224_combout\ = (\led_flash_cnt[524][5]~q\ & (\led_flash_cnt[524][4]~34223\ $ (GND))) # (!\led_flash_cnt[524][5]~q\ & (!\led_flash_cnt[524][4]~34223\ & VCC))
-- \led_flash_cnt[524][5]~34225\ = CARRY((\led_flash_cnt[524][5]~q\ & !\led_flash_cnt[524][4]~34223\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[524][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[524][4]~34223\,
	combout => \led_flash_cnt[524][5]~34224_combout\,
	cout => \led_flash_cnt[524][5]~34225\);

-- Location: FF_X60_Y12_N13
\led_flash_cnt[524][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[524][5]~34224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[524][5]~q\);

-- Location: LCCOMB_X60_Y12_N14
\led_flash_cnt[524][6]~34226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[524][6]~34226_combout\ = (\led_flash_cnt[524][6]~q\ & (!\led_flash_cnt[524][5]~34225\)) # (!\led_flash_cnt[524][6]~q\ & ((\led_flash_cnt[524][5]~34225\) # (GND)))
-- \led_flash_cnt[524][6]~34227\ = CARRY((!\led_flash_cnt[524][5]~34225\) # (!\led_flash_cnt[524][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[524][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[524][5]~34225\,
	combout => \led_flash_cnt[524][6]~34226_combout\,
	cout => \led_flash_cnt[524][6]~34227\);

-- Location: FF_X60_Y12_N15
\led_flash_cnt[524][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[524][6]~34226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[524][6]~q\);

-- Location: LCCOMB_X60_Y12_N16
\led_flash_cnt[524][7]~34228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[524][7]~34228_combout\ = \led_flash_cnt[524][6]~34227\ $ (!\led_flash_cnt[524][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[524][7]~q\,
	cin => \led_flash_cnt[524][6]~34227\,
	combout => \led_flash_cnt[524][7]~34228_combout\);

-- Location: FF_X60_Y12_N17
\led_flash_cnt[524][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[524][7]~34228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[524][7]~q\);

-- Location: LCCOMB_X60_Y12_N26
\WideAnd524~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd524~1_combout\ = (\led_flash_cnt[524][6]~q\ & \led_flash_cnt[524][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[524][6]~q\,
	datad => \led_flash_cnt[524][5]~q\,
	combout => \WideAnd524~1_combout\);

-- Location: LCCOMB_X60_Y12_N18
\WideAnd524~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd524~0_combout\ = (\led_flash_cnt[524][4]~q\ & (\led_flash_cnt[524][1]~q\ & (\led_flash_cnt[524][3]~q\ & \led_flash_cnt[524][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[524][4]~q\,
	datab => \led_flash_cnt[524][1]~q\,
	datac => \led_flash_cnt[524][3]~q\,
	datad => \led_flash_cnt[524][2]~q\,
	combout => \WideAnd524~0_combout\);

-- Location: LCCOMB_X60_Y12_N20
WideAnd524 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd524~combout\ = (\led_flash_cnt[524][0]~q\ & (\led_flash_cnt[524][7]~q\ & (\WideAnd524~1_combout\ & \WideAnd524~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[524][0]~q\,
	datab => \led_flash_cnt[524][7]~q\,
	datac => \WideAnd524~1_combout\,
	datad => \WideAnd524~0_combout\,
	combout => \WideAnd524~combout\);

-- Location: FF_X60_Y12_N21
\led_flash_cnt_ands[524]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd524~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(524));

-- Location: LCCOMB_X60_Y12_N0
\WideAnd3905~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3905~1_combout\ = (led_flash_cnt_ands(525) & led_flash_cnt_ands(524))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(525),
	datad => led_flash_cnt_ands(524),
	combout => \WideAnd3905~1_combout\);

-- Location: LCCOMB_X36_Y4_N12
\led_flash_cnt[520][0]~81160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[520][0]~81160_combout\ = !\led_flash_cnt[520][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[520][0]~q\,
	combout => \led_flash_cnt[520][0]~81160_combout\);

-- Location: FF_X36_Y4_N13
\led_flash_cnt[520][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[520][0]~81160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[520][0]~q\);

-- Location: LCCOMB_X36_Y4_N16
\led_flash_cnt[520][1]~34160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[520][1]~34160_combout\ = (\led_flash_cnt[520][0]~q\ & (\led_flash_cnt[520][1]~q\ $ (VCC))) # (!\led_flash_cnt[520][0]~q\ & (\led_flash_cnt[520][1]~q\ & VCC))
-- \led_flash_cnt[520][1]~34161\ = CARRY((\led_flash_cnt[520][0]~q\ & \led_flash_cnt[520][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[520][0]~q\,
	datab => \led_flash_cnt[520][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[520][1]~34160_combout\,
	cout => \led_flash_cnt[520][1]~34161\);

-- Location: FF_X36_Y4_N17
\led_flash_cnt[520][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[520][1]~34160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[520][1]~q\);

-- Location: LCCOMB_X36_Y4_N18
\led_flash_cnt[520][2]~34162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[520][2]~34162_combout\ = (\led_flash_cnt[520][2]~q\ & (!\led_flash_cnt[520][1]~34161\)) # (!\led_flash_cnt[520][2]~q\ & ((\led_flash_cnt[520][1]~34161\) # (GND)))
-- \led_flash_cnt[520][2]~34163\ = CARRY((!\led_flash_cnt[520][1]~34161\) # (!\led_flash_cnt[520][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[520][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[520][1]~34161\,
	combout => \led_flash_cnt[520][2]~34162_combout\,
	cout => \led_flash_cnt[520][2]~34163\);

-- Location: FF_X36_Y4_N19
\led_flash_cnt[520][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[520][2]~34162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[520][2]~q\);

-- Location: LCCOMB_X36_Y4_N20
\led_flash_cnt[520][3]~34164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[520][3]~34164_combout\ = (\led_flash_cnt[520][3]~q\ & (\led_flash_cnt[520][2]~34163\ $ (GND))) # (!\led_flash_cnt[520][3]~q\ & (!\led_flash_cnt[520][2]~34163\ & VCC))
-- \led_flash_cnt[520][3]~34165\ = CARRY((\led_flash_cnt[520][3]~q\ & !\led_flash_cnt[520][2]~34163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[520][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[520][2]~34163\,
	combout => \led_flash_cnt[520][3]~34164_combout\,
	cout => \led_flash_cnt[520][3]~34165\);

-- Location: FF_X36_Y4_N21
\led_flash_cnt[520][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[520][3]~34164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[520][3]~q\);

-- Location: LCCOMB_X36_Y4_N22
\led_flash_cnt[520][4]~34166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[520][4]~34166_combout\ = (\led_flash_cnt[520][4]~q\ & (!\led_flash_cnt[520][3]~34165\)) # (!\led_flash_cnt[520][4]~q\ & ((\led_flash_cnt[520][3]~34165\) # (GND)))
-- \led_flash_cnt[520][4]~34167\ = CARRY((!\led_flash_cnt[520][3]~34165\) # (!\led_flash_cnt[520][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[520][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[520][3]~34165\,
	combout => \led_flash_cnt[520][4]~34166_combout\,
	cout => \led_flash_cnt[520][4]~34167\);

-- Location: FF_X36_Y4_N23
\led_flash_cnt[520][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[520][4]~34166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[520][4]~q\);

-- Location: LCCOMB_X36_Y4_N24
\led_flash_cnt[520][5]~34168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[520][5]~34168_combout\ = (\led_flash_cnt[520][5]~q\ & (\led_flash_cnt[520][4]~34167\ $ (GND))) # (!\led_flash_cnt[520][5]~q\ & (!\led_flash_cnt[520][4]~34167\ & VCC))
-- \led_flash_cnt[520][5]~34169\ = CARRY((\led_flash_cnt[520][5]~q\ & !\led_flash_cnt[520][4]~34167\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[520][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[520][4]~34167\,
	combout => \led_flash_cnt[520][5]~34168_combout\,
	cout => \led_flash_cnt[520][5]~34169\);

-- Location: FF_X36_Y4_N25
\led_flash_cnt[520][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[520][5]~34168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[520][5]~q\);

-- Location: LCCOMB_X36_Y4_N26
\led_flash_cnt[520][6]~34170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[520][6]~34170_combout\ = (\led_flash_cnt[520][6]~q\ & (!\led_flash_cnt[520][5]~34169\)) # (!\led_flash_cnt[520][6]~q\ & ((\led_flash_cnt[520][5]~34169\) # (GND)))
-- \led_flash_cnt[520][6]~34171\ = CARRY((!\led_flash_cnt[520][5]~34169\) # (!\led_flash_cnt[520][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[520][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[520][5]~34169\,
	combout => \led_flash_cnt[520][6]~34170_combout\,
	cout => \led_flash_cnt[520][6]~34171\);

-- Location: FF_X36_Y4_N27
\led_flash_cnt[520][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[520][6]~34170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[520][6]~q\);

-- Location: LCCOMB_X36_Y4_N28
\led_flash_cnt[520][7]~34172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[520][7]~34172_combout\ = \led_flash_cnt[520][6]~34171\ $ (!\led_flash_cnt[520][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[520][7]~q\,
	cin => \led_flash_cnt[520][6]~34171\,
	combout => \led_flash_cnt[520][7]~34172_combout\);

-- Location: FF_X36_Y4_N29
\led_flash_cnt[520][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[520][7]~34172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[520][7]~q\);

-- Location: LCCOMB_X36_Y4_N30
\WideAnd520~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd520~0_combout\ = (\led_flash_cnt[520][3]~q\ & (\led_flash_cnt[520][2]~q\ & (\led_flash_cnt[520][4]~q\ & \led_flash_cnt[520][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[520][3]~q\,
	datab => \led_flash_cnt[520][2]~q\,
	datac => \led_flash_cnt[520][4]~q\,
	datad => \led_flash_cnt[520][1]~q\,
	combout => \WideAnd520~0_combout\);

-- Location: LCCOMB_X36_Y4_N0
\WideAnd520~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd520~1_combout\ = (\led_flash_cnt[520][6]~q\ & \led_flash_cnt[520][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[520][6]~q\,
	datad => \led_flash_cnt[520][5]~q\,
	combout => \WideAnd520~1_combout\);

-- Location: LCCOMB_X36_Y4_N8
WideAnd520 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd520~combout\ = (\led_flash_cnt[520][0]~q\ & (\led_flash_cnt[520][7]~q\ & (\WideAnd520~0_combout\ & \WideAnd520~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[520][0]~q\,
	datab => \led_flash_cnt[520][7]~q\,
	datac => \WideAnd520~0_combout\,
	datad => \WideAnd520~1_combout\,
	combout => \WideAnd520~combout\);

-- Location: FF_X36_Y4_N9
\led_flash_cnt_ands[520]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd520~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(520));

-- Location: LCCOMB_X35_Y8_N18
\led_flash_cnt[523][0]~81163\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[523][0]~81163_combout\ = !\led_flash_cnt[523][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[523][0]~q\,
	combout => \led_flash_cnt[523][0]~81163_combout\);

-- Location: FF_X35_Y8_N19
\led_flash_cnt[523][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[523][0]~81163_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[523][0]~q\);

-- Location: LCCOMB_X35_Y8_N4
\led_flash_cnt[523][1]~34202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[523][1]~34202_combout\ = (\led_flash_cnt[523][1]~q\ & (\led_flash_cnt[523][0]~q\ $ (VCC))) # (!\led_flash_cnt[523][1]~q\ & (\led_flash_cnt[523][0]~q\ & VCC))
-- \led_flash_cnt[523][1]~34203\ = CARRY((\led_flash_cnt[523][1]~q\ & \led_flash_cnt[523][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[523][1]~q\,
	datab => \led_flash_cnt[523][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[523][1]~34202_combout\,
	cout => \led_flash_cnt[523][1]~34203\);

-- Location: FF_X35_Y8_N5
\led_flash_cnt[523][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[523][1]~34202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[523][1]~q\);

-- Location: LCCOMB_X35_Y8_N6
\led_flash_cnt[523][2]~34204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[523][2]~34204_combout\ = (\led_flash_cnt[523][2]~q\ & (!\led_flash_cnt[523][1]~34203\)) # (!\led_flash_cnt[523][2]~q\ & ((\led_flash_cnt[523][1]~34203\) # (GND)))
-- \led_flash_cnt[523][2]~34205\ = CARRY((!\led_flash_cnt[523][1]~34203\) # (!\led_flash_cnt[523][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[523][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[523][1]~34203\,
	combout => \led_flash_cnt[523][2]~34204_combout\,
	cout => \led_flash_cnt[523][2]~34205\);

-- Location: FF_X35_Y8_N7
\led_flash_cnt[523][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[523][2]~34204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[523][2]~q\);

-- Location: LCCOMB_X35_Y8_N8
\led_flash_cnt[523][3]~34206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[523][3]~34206_combout\ = (\led_flash_cnt[523][3]~q\ & (\led_flash_cnt[523][2]~34205\ $ (GND))) # (!\led_flash_cnt[523][3]~q\ & (!\led_flash_cnt[523][2]~34205\ & VCC))
-- \led_flash_cnt[523][3]~34207\ = CARRY((\led_flash_cnt[523][3]~q\ & !\led_flash_cnt[523][2]~34205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[523][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[523][2]~34205\,
	combout => \led_flash_cnt[523][3]~34206_combout\,
	cout => \led_flash_cnt[523][3]~34207\);

-- Location: FF_X35_Y8_N9
\led_flash_cnt[523][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[523][3]~34206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[523][3]~q\);

-- Location: LCCOMB_X35_Y8_N10
\led_flash_cnt[523][4]~34208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[523][4]~34208_combout\ = (\led_flash_cnt[523][4]~q\ & (!\led_flash_cnt[523][3]~34207\)) # (!\led_flash_cnt[523][4]~q\ & ((\led_flash_cnt[523][3]~34207\) # (GND)))
-- \led_flash_cnt[523][4]~34209\ = CARRY((!\led_flash_cnt[523][3]~34207\) # (!\led_flash_cnt[523][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[523][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[523][3]~34207\,
	combout => \led_flash_cnt[523][4]~34208_combout\,
	cout => \led_flash_cnt[523][4]~34209\);

-- Location: FF_X35_Y8_N11
\led_flash_cnt[523][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[523][4]~34208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[523][4]~q\);

-- Location: LCCOMB_X35_Y8_N12
\led_flash_cnt[523][5]~34210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[523][5]~34210_combout\ = (\led_flash_cnt[523][5]~q\ & (\led_flash_cnt[523][4]~34209\ $ (GND))) # (!\led_flash_cnt[523][5]~q\ & (!\led_flash_cnt[523][4]~34209\ & VCC))
-- \led_flash_cnt[523][5]~34211\ = CARRY((\led_flash_cnt[523][5]~q\ & !\led_flash_cnt[523][4]~34209\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[523][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[523][4]~34209\,
	combout => \led_flash_cnt[523][5]~34210_combout\,
	cout => \led_flash_cnt[523][5]~34211\);

-- Location: FF_X35_Y8_N13
\led_flash_cnt[523][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[523][5]~34210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[523][5]~q\);

-- Location: LCCOMB_X35_Y8_N14
\led_flash_cnt[523][6]~34212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[523][6]~34212_combout\ = (\led_flash_cnt[523][6]~q\ & (!\led_flash_cnt[523][5]~34211\)) # (!\led_flash_cnt[523][6]~q\ & ((\led_flash_cnt[523][5]~34211\) # (GND)))
-- \led_flash_cnt[523][6]~34213\ = CARRY((!\led_flash_cnt[523][5]~34211\) # (!\led_flash_cnt[523][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[523][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[523][5]~34211\,
	combout => \led_flash_cnt[523][6]~34212_combout\,
	cout => \led_flash_cnt[523][6]~34213\);

-- Location: FF_X35_Y8_N15
\led_flash_cnt[523][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[523][6]~34212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[523][6]~q\);

-- Location: LCCOMB_X35_Y8_N26
\WideAnd523~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd523~1_combout\ = (\led_flash_cnt[523][6]~q\ & \led_flash_cnt[523][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[523][6]~q\,
	datad => \led_flash_cnt[523][5]~q\,
	combout => \WideAnd523~1_combout\);

-- Location: LCCOMB_X35_Y8_N16
\led_flash_cnt[523][7]~34214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[523][7]~34214_combout\ = \led_flash_cnt[523][6]~34213\ $ (!\led_flash_cnt[523][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[523][7]~q\,
	cin => \led_flash_cnt[523][6]~34213\,
	combout => \led_flash_cnt[523][7]~34214_combout\);

-- Location: FF_X35_Y8_N17
\led_flash_cnt[523][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[523][7]~34214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[523][7]~q\);

-- Location: LCCOMB_X35_Y8_N22
\WideAnd523~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd523~0_combout\ = (\led_flash_cnt[523][4]~q\ & (\led_flash_cnt[523][1]~q\ & (\led_flash_cnt[523][3]~q\ & \led_flash_cnt[523][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[523][4]~q\,
	datab => \led_flash_cnt[523][1]~q\,
	datac => \led_flash_cnt[523][3]~q\,
	datad => \led_flash_cnt[523][2]~q\,
	combout => \WideAnd523~0_combout\);

-- Location: LCCOMB_X35_Y8_N28
WideAnd523 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd523~combout\ = (\WideAnd523~1_combout\ & (\led_flash_cnt[523][7]~q\ & (\WideAnd523~0_combout\ & \led_flash_cnt[523][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd523~1_combout\,
	datab => \led_flash_cnt[523][7]~q\,
	datac => \WideAnd523~0_combout\,
	datad => \led_flash_cnt[523][0]~q\,
	combout => \WideAnd523~combout\);

-- Location: FF_X35_Y8_N29
\led_flash_cnt_ands[523]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd523~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(523));

-- Location: LCCOMB_X29_Y2_N8
\led_flash_cnt[521][0]~81161\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[521][0]~81161_combout\ = !\led_flash_cnt[521][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[521][0]~q\,
	combout => \led_flash_cnt[521][0]~81161_combout\);

-- Location: FF_X29_Y2_N9
\led_flash_cnt[521][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[521][0]~81161_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[521][0]~q\);

-- Location: LCCOMB_X29_Y2_N12
\led_flash_cnt[521][1]~34174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[521][1]~34174_combout\ = (\led_flash_cnt[521][1]~q\ & (\led_flash_cnt[521][0]~q\ $ (VCC))) # (!\led_flash_cnt[521][1]~q\ & (\led_flash_cnt[521][0]~q\ & VCC))
-- \led_flash_cnt[521][1]~34175\ = CARRY((\led_flash_cnt[521][1]~q\ & \led_flash_cnt[521][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[521][1]~q\,
	datab => \led_flash_cnt[521][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[521][1]~34174_combout\,
	cout => \led_flash_cnt[521][1]~34175\);

-- Location: FF_X29_Y2_N13
\led_flash_cnt[521][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[521][1]~34174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[521][1]~q\);

-- Location: LCCOMB_X29_Y2_N14
\led_flash_cnt[521][2]~34176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[521][2]~34176_combout\ = (\led_flash_cnt[521][2]~q\ & (!\led_flash_cnt[521][1]~34175\)) # (!\led_flash_cnt[521][2]~q\ & ((\led_flash_cnt[521][1]~34175\) # (GND)))
-- \led_flash_cnt[521][2]~34177\ = CARRY((!\led_flash_cnt[521][1]~34175\) # (!\led_flash_cnt[521][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[521][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[521][1]~34175\,
	combout => \led_flash_cnt[521][2]~34176_combout\,
	cout => \led_flash_cnt[521][2]~34177\);

-- Location: FF_X29_Y2_N15
\led_flash_cnt[521][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[521][2]~34176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[521][2]~q\);

-- Location: LCCOMB_X29_Y2_N16
\led_flash_cnt[521][3]~34178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[521][3]~34178_combout\ = (\led_flash_cnt[521][3]~q\ & (\led_flash_cnt[521][2]~34177\ $ (GND))) # (!\led_flash_cnt[521][3]~q\ & (!\led_flash_cnt[521][2]~34177\ & VCC))
-- \led_flash_cnt[521][3]~34179\ = CARRY((\led_flash_cnt[521][3]~q\ & !\led_flash_cnt[521][2]~34177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[521][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[521][2]~34177\,
	combout => \led_flash_cnt[521][3]~34178_combout\,
	cout => \led_flash_cnt[521][3]~34179\);

-- Location: FF_X29_Y2_N17
\led_flash_cnt[521][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[521][3]~34178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[521][3]~q\);

-- Location: LCCOMB_X29_Y2_N18
\led_flash_cnt[521][4]~34180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[521][4]~34180_combout\ = (\led_flash_cnt[521][4]~q\ & (!\led_flash_cnt[521][3]~34179\)) # (!\led_flash_cnt[521][4]~q\ & ((\led_flash_cnt[521][3]~34179\) # (GND)))
-- \led_flash_cnt[521][4]~34181\ = CARRY((!\led_flash_cnt[521][3]~34179\) # (!\led_flash_cnt[521][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[521][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[521][3]~34179\,
	combout => \led_flash_cnt[521][4]~34180_combout\,
	cout => \led_flash_cnt[521][4]~34181\);

-- Location: FF_X29_Y2_N19
\led_flash_cnt[521][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[521][4]~34180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[521][4]~q\);

-- Location: LCCOMB_X29_Y2_N20
\led_flash_cnt[521][5]~34182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[521][5]~34182_combout\ = (\led_flash_cnt[521][5]~q\ & (\led_flash_cnt[521][4]~34181\ $ (GND))) # (!\led_flash_cnt[521][5]~q\ & (!\led_flash_cnt[521][4]~34181\ & VCC))
-- \led_flash_cnt[521][5]~34183\ = CARRY((\led_flash_cnt[521][5]~q\ & !\led_flash_cnt[521][4]~34181\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[521][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[521][4]~34181\,
	combout => \led_flash_cnt[521][5]~34182_combout\,
	cout => \led_flash_cnt[521][5]~34183\);

-- Location: FF_X29_Y2_N21
\led_flash_cnt[521][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[521][5]~34182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[521][5]~q\);

-- Location: LCCOMB_X29_Y2_N22
\led_flash_cnt[521][6]~34184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[521][6]~34184_combout\ = (\led_flash_cnt[521][6]~q\ & (!\led_flash_cnt[521][5]~34183\)) # (!\led_flash_cnt[521][6]~q\ & ((\led_flash_cnt[521][5]~34183\) # (GND)))
-- \led_flash_cnt[521][6]~34185\ = CARRY((!\led_flash_cnt[521][5]~34183\) # (!\led_flash_cnt[521][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[521][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[521][5]~34183\,
	combout => \led_flash_cnt[521][6]~34184_combout\,
	cout => \led_flash_cnt[521][6]~34185\);

-- Location: FF_X29_Y2_N23
\led_flash_cnt[521][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[521][6]~34184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[521][6]~q\);

-- Location: LCCOMB_X29_Y2_N10
\WideAnd521~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd521~1_combout\ = (\led_flash_cnt[521][6]~q\ & \led_flash_cnt[521][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[521][6]~q\,
	datad => \led_flash_cnt[521][5]~q\,
	combout => \WideAnd521~1_combout\);

-- Location: LCCOMB_X29_Y2_N26
\WideAnd521~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd521~0_combout\ = (\led_flash_cnt[521][1]~q\ & (\led_flash_cnt[521][4]~q\ & (\led_flash_cnt[521][2]~q\ & \led_flash_cnt[521][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[521][1]~q\,
	datab => \led_flash_cnt[521][4]~q\,
	datac => \led_flash_cnt[521][2]~q\,
	datad => \led_flash_cnt[521][3]~q\,
	combout => \WideAnd521~0_combout\);

-- Location: LCCOMB_X29_Y2_N24
\led_flash_cnt[521][7]~34186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[521][7]~34186_combout\ = \led_flash_cnt[521][6]~34185\ $ (!\led_flash_cnt[521][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[521][7]~q\,
	cin => \led_flash_cnt[521][6]~34185\,
	combout => \led_flash_cnt[521][7]~34186_combout\);

-- Location: FF_X29_Y2_N25
\led_flash_cnt[521][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[521][7]~34186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[521][7]~q\);

-- Location: LCCOMB_X29_Y2_N4
WideAnd521 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd521~combout\ = (\WideAnd521~1_combout\ & (\led_flash_cnt[521][0]~q\ & (\WideAnd521~0_combout\ & \led_flash_cnt[521][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd521~1_combout\,
	datab => \led_flash_cnt[521][0]~q\,
	datac => \WideAnd521~0_combout\,
	datad => \led_flash_cnt[521][7]~q\,
	combout => \WideAnd521~combout\);

-- Location: FF_X29_Y2_N5
\led_flash_cnt_ands[521]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd521~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(521));

-- Location: LCCOMB_X35_Y8_N2
\led_flash_cnt[522][0]~81162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[522][0]~81162_combout\ = !\led_flash_cnt[522][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[522][0]~q\,
	combout => \led_flash_cnt[522][0]~81162_combout\);

-- Location: FF_X35_Y8_N3
\led_flash_cnt[522][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[522][0]~81162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[522][0]~q\);

-- Location: LCCOMB_X34_Y8_N16
\led_flash_cnt[522][1]~34188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[522][1]~34188_combout\ = (\led_flash_cnt[522][0]~q\ & (\led_flash_cnt[522][1]~q\ $ (VCC))) # (!\led_flash_cnt[522][0]~q\ & (\led_flash_cnt[522][1]~q\ & VCC))
-- \led_flash_cnt[522][1]~34189\ = CARRY((\led_flash_cnt[522][0]~q\ & \led_flash_cnt[522][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[522][0]~q\,
	datab => \led_flash_cnt[522][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[522][1]~34188_combout\,
	cout => \led_flash_cnt[522][1]~34189\);

-- Location: FF_X34_Y8_N17
\led_flash_cnt[522][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[522][1]~34188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[522][1]~q\);

-- Location: LCCOMB_X34_Y8_N18
\led_flash_cnt[522][2]~34190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[522][2]~34190_combout\ = (\led_flash_cnt[522][2]~q\ & (!\led_flash_cnt[522][1]~34189\)) # (!\led_flash_cnt[522][2]~q\ & ((\led_flash_cnt[522][1]~34189\) # (GND)))
-- \led_flash_cnt[522][2]~34191\ = CARRY((!\led_flash_cnt[522][1]~34189\) # (!\led_flash_cnt[522][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[522][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[522][1]~34189\,
	combout => \led_flash_cnt[522][2]~34190_combout\,
	cout => \led_flash_cnt[522][2]~34191\);

-- Location: FF_X34_Y8_N19
\led_flash_cnt[522][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[522][2]~34190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[522][2]~q\);

-- Location: LCCOMB_X34_Y8_N20
\led_flash_cnt[522][3]~34192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[522][3]~34192_combout\ = (\led_flash_cnt[522][3]~q\ & (\led_flash_cnt[522][2]~34191\ $ (GND))) # (!\led_flash_cnt[522][3]~q\ & (!\led_flash_cnt[522][2]~34191\ & VCC))
-- \led_flash_cnt[522][3]~34193\ = CARRY((\led_flash_cnt[522][3]~q\ & !\led_flash_cnt[522][2]~34191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[522][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[522][2]~34191\,
	combout => \led_flash_cnt[522][3]~34192_combout\,
	cout => \led_flash_cnt[522][3]~34193\);

-- Location: FF_X34_Y8_N21
\led_flash_cnt[522][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[522][3]~34192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[522][3]~q\);

-- Location: LCCOMB_X34_Y8_N22
\led_flash_cnt[522][4]~34194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[522][4]~34194_combout\ = (\led_flash_cnt[522][4]~q\ & (!\led_flash_cnt[522][3]~34193\)) # (!\led_flash_cnt[522][4]~q\ & ((\led_flash_cnt[522][3]~34193\) # (GND)))
-- \led_flash_cnt[522][4]~34195\ = CARRY((!\led_flash_cnt[522][3]~34193\) # (!\led_flash_cnt[522][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[522][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[522][3]~34193\,
	combout => \led_flash_cnt[522][4]~34194_combout\,
	cout => \led_flash_cnt[522][4]~34195\);

-- Location: FF_X34_Y8_N23
\led_flash_cnt[522][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[522][4]~34194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[522][4]~q\);

-- Location: LCCOMB_X34_Y8_N14
\WideAnd522~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd522~0_combout\ = (\led_flash_cnt[522][1]~q\ & (\led_flash_cnt[522][3]~q\ & (\led_flash_cnt[522][4]~q\ & \led_flash_cnt[522][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[522][1]~q\,
	datab => \led_flash_cnt[522][3]~q\,
	datac => \led_flash_cnt[522][4]~q\,
	datad => \led_flash_cnt[522][2]~q\,
	combout => \WideAnd522~0_combout\);

-- Location: LCCOMB_X34_Y8_N24
\led_flash_cnt[522][5]~34196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[522][5]~34196_combout\ = (\led_flash_cnt[522][5]~q\ & (\led_flash_cnt[522][4]~34195\ $ (GND))) # (!\led_flash_cnt[522][5]~q\ & (!\led_flash_cnt[522][4]~34195\ & VCC))
-- \led_flash_cnt[522][5]~34197\ = CARRY((\led_flash_cnt[522][5]~q\ & !\led_flash_cnt[522][4]~34195\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[522][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[522][4]~34195\,
	combout => \led_flash_cnt[522][5]~34196_combout\,
	cout => \led_flash_cnt[522][5]~34197\);

-- Location: FF_X34_Y8_N25
\led_flash_cnt[522][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[522][5]~34196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[522][5]~q\);

-- Location: LCCOMB_X34_Y8_N26
\led_flash_cnt[522][6]~34198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[522][6]~34198_combout\ = (\led_flash_cnt[522][6]~q\ & (!\led_flash_cnt[522][5]~34197\)) # (!\led_flash_cnt[522][6]~q\ & ((\led_flash_cnt[522][5]~34197\) # (GND)))
-- \led_flash_cnt[522][6]~34199\ = CARRY((!\led_flash_cnt[522][5]~34197\) # (!\led_flash_cnt[522][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[522][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[522][5]~34197\,
	combout => \led_flash_cnt[522][6]~34198_combout\,
	cout => \led_flash_cnt[522][6]~34199\);

-- Location: FF_X34_Y8_N27
\led_flash_cnt[522][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[522][6]~34198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[522][6]~q\);

-- Location: LCCOMB_X34_Y8_N28
\led_flash_cnt[522][7]~34200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[522][7]~34200_combout\ = \led_flash_cnt[522][6]~34199\ $ (!\led_flash_cnt[522][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[522][7]~q\,
	cin => \led_flash_cnt[522][6]~34199\,
	combout => \led_flash_cnt[522][7]~34200_combout\);

-- Location: FF_X34_Y8_N29
\led_flash_cnt[522][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[522][7]~34200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[522][7]~q\);

-- Location: LCCOMB_X35_Y8_N30
\WideAnd522~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd522~1_combout\ = (\led_flash_cnt[522][6]~q\ & \led_flash_cnt[522][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[522][6]~q\,
	datad => \led_flash_cnt[522][5]~q\,
	combout => \WideAnd522~1_combout\);

-- Location: LCCOMB_X35_Y8_N24
WideAnd522 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd522~combout\ = (\WideAnd522~0_combout\ & (\led_flash_cnt[522][7]~q\ & (\WideAnd522~1_combout\ & \led_flash_cnt[522][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd522~0_combout\,
	datab => \led_flash_cnt[522][7]~q\,
	datac => \WideAnd522~1_combout\,
	datad => \led_flash_cnt[522][0]~q\,
	combout => \WideAnd522~combout\);

-- Location: FF_X35_Y8_N25
\led_flash_cnt_ands[522]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd522~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(522));

-- Location: LCCOMB_X35_Y8_N20
\WideAnd3905~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3905~0_combout\ = (led_flash_cnt_ands(520) & (led_flash_cnt_ands(523) & (led_flash_cnt_ands(521) & led_flash_cnt_ands(522))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(520),
	datab => led_flash_cnt_ands(523),
	datac => led_flash_cnt_ands(521),
	datad => led_flash_cnt_ands(522),
	combout => \WideAnd3905~0_combout\);

-- Location: LCCOMB_X60_Y14_N18
\led_flash_cnt[526][0]~81166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[526][0]~81166_combout\ = !\led_flash_cnt[526][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[526][0]~q\,
	combout => \led_flash_cnt[526][0]~81166_combout\);

-- Location: FF_X60_Y14_N19
\led_flash_cnt[526][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[526][0]~81166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[526][0]~q\);

-- Location: LCCOMB_X60_Y14_N0
\led_flash_cnt[526][1]~34244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[526][1]~34244_combout\ = (\led_flash_cnt[526][1]~q\ & (\led_flash_cnt[526][0]~q\ $ (VCC))) # (!\led_flash_cnt[526][1]~q\ & (\led_flash_cnt[526][0]~q\ & VCC))
-- \led_flash_cnt[526][1]~34245\ = CARRY((\led_flash_cnt[526][1]~q\ & \led_flash_cnt[526][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[526][1]~q\,
	datab => \led_flash_cnt[526][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[526][1]~34244_combout\,
	cout => \led_flash_cnt[526][1]~34245\);

-- Location: FF_X60_Y14_N1
\led_flash_cnt[526][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[526][1]~34244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[526][1]~q\);

-- Location: LCCOMB_X60_Y14_N2
\led_flash_cnt[526][2]~34246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[526][2]~34246_combout\ = (\led_flash_cnt[526][2]~q\ & (!\led_flash_cnt[526][1]~34245\)) # (!\led_flash_cnt[526][2]~q\ & ((\led_flash_cnt[526][1]~34245\) # (GND)))
-- \led_flash_cnt[526][2]~34247\ = CARRY((!\led_flash_cnt[526][1]~34245\) # (!\led_flash_cnt[526][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[526][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[526][1]~34245\,
	combout => \led_flash_cnt[526][2]~34246_combout\,
	cout => \led_flash_cnt[526][2]~34247\);

-- Location: FF_X60_Y14_N3
\led_flash_cnt[526][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[526][2]~34246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[526][2]~q\);

-- Location: LCCOMB_X60_Y14_N4
\led_flash_cnt[526][3]~34248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[526][3]~34248_combout\ = (\led_flash_cnt[526][3]~q\ & (\led_flash_cnt[526][2]~34247\ $ (GND))) # (!\led_flash_cnt[526][3]~q\ & (!\led_flash_cnt[526][2]~34247\ & VCC))
-- \led_flash_cnt[526][3]~34249\ = CARRY((\led_flash_cnt[526][3]~q\ & !\led_flash_cnt[526][2]~34247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[526][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[526][2]~34247\,
	combout => \led_flash_cnt[526][3]~34248_combout\,
	cout => \led_flash_cnt[526][3]~34249\);

-- Location: FF_X60_Y14_N5
\led_flash_cnt[526][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[526][3]~34248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[526][3]~q\);

-- Location: LCCOMB_X60_Y14_N6
\led_flash_cnt[526][4]~34250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[526][4]~34250_combout\ = (\led_flash_cnt[526][4]~q\ & (!\led_flash_cnt[526][3]~34249\)) # (!\led_flash_cnt[526][4]~q\ & ((\led_flash_cnt[526][3]~34249\) # (GND)))
-- \led_flash_cnt[526][4]~34251\ = CARRY((!\led_flash_cnt[526][3]~34249\) # (!\led_flash_cnt[526][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[526][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[526][3]~34249\,
	combout => \led_flash_cnt[526][4]~34250_combout\,
	cout => \led_flash_cnt[526][4]~34251\);

-- Location: FF_X60_Y14_N7
\led_flash_cnt[526][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[526][4]~34250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[526][4]~q\);

-- Location: LCCOMB_X60_Y14_N8
\led_flash_cnt[526][5]~34252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[526][5]~34252_combout\ = (\led_flash_cnt[526][5]~q\ & (\led_flash_cnt[526][4]~34251\ $ (GND))) # (!\led_flash_cnt[526][5]~q\ & (!\led_flash_cnt[526][4]~34251\ & VCC))
-- \led_flash_cnt[526][5]~34253\ = CARRY((\led_flash_cnt[526][5]~q\ & !\led_flash_cnt[526][4]~34251\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[526][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[526][4]~34251\,
	combout => \led_flash_cnt[526][5]~34252_combout\,
	cout => \led_flash_cnt[526][5]~34253\);

-- Location: FF_X60_Y14_N9
\led_flash_cnt[526][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[526][5]~34252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[526][5]~q\);

-- Location: LCCOMB_X60_Y14_N10
\led_flash_cnt[526][6]~34254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[526][6]~34254_combout\ = (\led_flash_cnt[526][6]~q\ & (!\led_flash_cnt[526][5]~34253\)) # (!\led_flash_cnt[526][6]~q\ & ((\led_flash_cnt[526][5]~34253\) # (GND)))
-- \led_flash_cnt[526][6]~34255\ = CARRY((!\led_flash_cnt[526][5]~34253\) # (!\led_flash_cnt[526][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[526][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[526][5]~34253\,
	combout => \led_flash_cnt[526][6]~34254_combout\,
	cout => \led_flash_cnt[526][6]~34255\);

-- Location: FF_X60_Y14_N11
\led_flash_cnt[526][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[526][6]~34254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[526][6]~q\);

-- Location: LCCOMB_X60_Y14_N12
\led_flash_cnt[526][7]~34256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[526][7]~34256_combout\ = \led_flash_cnt[526][6]~34255\ $ (!\led_flash_cnt[526][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[526][7]~q\,
	cin => \led_flash_cnt[526][6]~34255\,
	combout => \led_flash_cnt[526][7]~34256_combout\);

-- Location: FF_X60_Y14_N13
\led_flash_cnt[526][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[526][7]~34256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[526][7]~q\);

-- Location: LCCOMB_X60_Y14_N24
\WideAnd526~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd526~0_combout\ = (\led_flash_cnt[526][4]~q\ & (\led_flash_cnt[526][1]~q\ & (\led_flash_cnt[526][3]~q\ & \led_flash_cnt[526][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[526][4]~q\,
	datab => \led_flash_cnt[526][1]~q\,
	datac => \led_flash_cnt[526][3]~q\,
	datad => \led_flash_cnt[526][2]~q\,
	combout => \WideAnd526~0_combout\);

-- Location: LCCOMB_X60_Y14_N26
\WideAnd526~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd526~1_combout\ = (\led_flash_cnt[526][5]~q\ & \led_flash_cnt[526][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[526][5]~q\,
	datad => \led_flash_cnt[526][6]~q\,
	combout => \WideAnd526~1_combout\);

-- Location: LCCOMB_X60_Y14_N20
WideAnd526 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd526~combout\ = (\led_flash_cnt[526][7]~q\ & (\WideAnd526~0_combout\ & (\WideAnd526~1_combout\ & \led_flash_cnt[526][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[526][7]~q\,
	datab => \WideAnd526~0_combout\,
	datac => \WideAnd526~1_combout\,
	datad => \led_flash_cnt[526][0]~q\,
	combout => \WideAnd526~combout\);

-- Location: FF_X60_Y14_N21
\led_flash_cnt_ands[526]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd526~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(526));

-- Location: LCCOMB_X60_Y14_N16
WideAnd3905 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3905~combout\ = (led_flash_cnt_ands(527) & (\WideAnd3905~1_combout\ & (\WideAnd3905~0_combout\ & led_flash_cnt_ands(526))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(527),
	datab => \WideAnd3905~1_combout\,
	datac => \WideAnd3905~0_combout\,
	datad => led_flash_cnt_ands(526),
	combout => \WideAnd3905~combout\);

-- Location: FF_X60_Y14_N17
\led_flash_cnt_ands_1[65]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3905~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(65));

-- Location: LCCOMB_X65_Y22_N0
\WideAnd4328~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4328~0_combout\ = (led_flash_cnt_ands_1(64) & (led_flash_cnt_ands_1(66) & (led_flash_cnt_ands_1(67) & led_flash_cnt_ands_1(65))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(64),
	datab => led_flash_cnt_ands_1(66),
	datac => led_flash_cnt_ands_1(67),
	datad => led_flash_cnt_ands_1(65),
	combout => \WideAnd4328~0_combout\);

-- Location: LCCOMB_X51_Y41_N18
\led_flash_cnt[551][0]~81191\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[551][0]~81191_combout\ = !\led_flash_cnt[551][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[551][0]~q\,
	combout => \led_flash_cnt[551][0]~81191_combout\);

-- Location: FF_X51_Y41_N19
\led_flash_cnt[551][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[551][0]~81191_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[551][0]~q\);

-- Location: LCCOMB_X52_Y41_N2
\led_flash_cnt[551][1]~34594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[551][1]~34594_combout\ = (\led_flash_cnt[551][0]~q\ & (\led_flash_cnt[551][1]~q\ $ (VCC))) # (!\led_flash_cnt[551][0]~q\ & (\led_flash_cnt[551][1]~q\ & VCC))
-- \led_flash_cnt[551][1]~34595\ = CARRY((\led_flash_cnt[551][0]~q\ & \led_flash_cnt[551][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[551][0]~q\,
	datab => \led_flash_cnt[551][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[551][1]~34594_combout\,
	cout => \led_flash_cnt[551][1]~34595\);

-- Location: FF_X52_Y41_N3
\led_flash_cnt[551][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[551][1]~34594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[551][1]~q\);

-- Location: LCCOMB_X52_Y41_N4
\led_flash_cnt[551][2]~34596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[551][2]~34596_combout\ = (\led_flash_cnt[551][2]~q\ & (!\led_flash_cnt[551][1]~34595\)) # (!\led_flash_cnt[551][2]~q\ & ((\led_flash_cnt[551][1]~34595\) # (GND)))
-- \led_flash_cnt[551][2]~34597\ = CARRY((!\led_flash_cnt[551][1]~34595\) # (!\led_flash_cnt[551][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[551][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[551][1]~34595\,
	combout => \led_flash_cnt[551][2]~34596_combout\,
	cout => \led_flash_cnt[551][2]~34597\);

-- Location: FF_X52_Y41_N5
\led_flash_cnt[551][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[551][2]~34596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[551][2]~q\);

-- Location: LCCOMB_X52_Y41_N6
\led_flash_cnt[551][3]~34598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[551][3]~34598_combout\ = (\led_flash_cnt[551][3]~q\ & (\led_flash_cnt[551][2]~34597\ $ (GND))) # (!\led_flash_cnt[551][3]~q\ & (!\led_flash_cnt[551][2]~34597\ & VCC))
-- \led_flash_cnt[551][3]~34599\ = CARRY((\led_flash_cnt[551][3]~q\ & !\led_flash_cnt[551][2]~34597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[551][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[551][2]~34597\,
	combout => \led_flash_cnt[551][3]~34598_combout\,
	cout => \led_flash_cnt[551][3]~34599\);

-- Location: FF_X52_Y41_N7
\led_flash_cnt[551][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[551][3]~34598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[551][3]~q\);

-- Location: LCCOMB_X52_Y41_N8
\led_flash_cnt[551][4]~34600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[551][4]~34600_combout\ = (\led_flash_cnt[551][4]~q\ & (!\led_flash_cnt[551][3]~34599\)) # (!\led_flash_cnt[551][4]~q\ & ((\led_flash_cnt[551][3]~34599\) # (GND)))
-- \led_flash_cnt[551][4]~34601\ = CARRY((!\led_flash_cnt[551][3]~34599\) # (!\led_flash_cnt[551][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[551][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[551][3]~34599\,
	combout => \led_flash_cnt[551][4]~34600_combout\,
	cout => \led_flash_cnt[551][4]~34601\);

-- Location: FF_X52_Y41_N9
\led_flash_cnt[551][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[551][4]~34600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[551][4]~q\);

-- Location: LCCOMB_X52_Y41_N10
\led_flash_cnt[551][5]~34602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[551][5]~34602_combout\ = (\led_flash_cnt[551][5]~q\ & (\led_flash_cnt[551][4]~34601\ $ (GND))) # (!\led_flash_cnt[551][5]~q\ & (!\led_flash_cnt[551][4]~34601\ & VCC))
-- \led_flash_cnt[551][5]~34603\ = CARRY((\led_flash_cnt[551][5]~q\ & !\led_flash_cnt[551][4]~34601\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[551][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[551][4]~34601\,
	combout => \led_flash_cnt[551][5]~34602_combout\,
	cout => \led_flash_cnt[551][5]~34603\);

-- Location: FF_X52_Y41_N11
\led_flash_cnt[551][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[551][5]~34602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[551][5]~q\);

-- Location: LCCOMB_X52_Y41_N12
\led_flash_cnt[551][6]~34604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[551][6]~34604_combout\ = (\led_flash_cnt[551][6]~q\ & (!\led_flash_cnt[551][5]~34603\)) # (!\led_flash_cnt[551][6]~q\ & ((\led_flash_cnt[551][5]~34603\) # (GND)))
-- \led_flash_cnt[551][6]~34605\ = CARRY((!\led_flash_cnt[551][5]~34603\) # (!\led_flash_cnt[551][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[551][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[551][5]~34603\,
	combout => \led_flash_cnt[551][6]~34604_combout\,
	cout => \led_flash_cnt[551][6]~34605\);

-- Location: FF_X52_Y41_N13
\led_flash_cnt[551][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[551][6]~34604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[551][6]~q\);

-- Location: LCCOMB_X51_Y41_N30
\WideAnd551~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd551~1_combout\ = (\led_flash_cnt[551][6]~q\ & \led_flash_cnt[551][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[551][6]~q\,
	datac => \led_flash_cnt[551][5]~q\,
	combout => \WideAnd551~1_combout\);

-- Location: LCCOMB_X52_Y41_N14
\led_flash_cnt[551][7]~34606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[551][7]~34606_combout\ = \led_flash_cnt[551][7]~q\ $ (!\led_flash_cnt[551][6]~34605\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[551][7]~q\,
	cin => \led_flash_cnt[551][6]~34605\,
	combout => \led_flash_cnt[551][7]~34606_combout\);

-- Location: FF_X52_Y41_N15
\led_flash_cnt[551][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[551][7]~34606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[551][7]~q\);

-- Location: LCCOMB_X52_Y41_N16
\WideAnd551~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd551~0_combout\ = (\led_flash_cnt[551][3]~q\ & (\led_flash_cnt[551][2]~q\ & (\led_flash_cnt[551][4]~q\ & \led_flash_cnt[551][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[551][3]~q\,
	datab => \led_flash_cnt[551][2]~q\,
	datac => \led_flash_cnt[551][4]~q\,
	datad => \led_flash_cnt[551][1]~q\,
	combout => \WideAnd551~0_combout\);

-- Location: LCCOMB_X51_Y41_N26
WideAnd551 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd551~combout\ = (\WideAnd551~1_combout\ & (\led_flash_cnt[551][0]~q\ & (\led_flash_cnt[551][7]~q\ & \WideAnd551~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd551~1_combout\,
	datab => \led_flash_cnt[551][0]~q\,
	datac => \led_flash_cnt[551][7]~q\,
	datad => \WideAnd551~0_combout\,
	combout => \WideAnd551~combout\);

-- Location: FF_X51_Y41_N27
\led_flash_cnt_ands[551]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd551~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(551));

-- Location: LCCOMB_X58_Y40_N2
\led_flash_cnt[549][0]~81189\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[549][0]~81189_combout\ = !\led_flash_cnt[549][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[549][0]~q\,
	combout => \led_flash_cnt[549][0]~81189_combout\);

-- Location: FF_X58_Y40_N3
\led_flash_cnt[549][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[549][0]~81189_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[549][0]~q\);

-- Location: LCCOMB_X62_Y40_N0
\led_flash_cnt[549][1]~34566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[549][1]~34566_combout\ = (\led_flash_cnt[549][0]~q\ & (\led_flash_cnt[549][1]~q\ $ (VCC))) # (!\led_flash_cnt[549][0]~q\ & (\led_flash_cnt[549][1]~q\ & VCC))
-- \led_flash_cnt[549][1]~34567\ = CARRY((\led_flash_cnt[549][0]~q\ & \led_flash_cnt[549][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[549][0]~q\,
	datab => \led_flash_cnt[549][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[549][1]~34566_combout\,
	cout => \led_flash_cnt[549][1]~34567\);

-- Location: FF_X62_Y40_N1
\led_flash_cnt[549][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[549][1]~34566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[549][1]~q\);

-- Location: LCCOMB_X62_Y40_N2
\led_flash_cnt[549][2]~34568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[549][2]~34568_combout\ = (\led_flash_cnt[549][2]~q\ & (!\led_flash_cnt[549][1]~34567\)) # (!\led_flash_cnt[549][2]~q\ & ((\led_flash_cnt[549][1]~34567\) # (GND)))
-- \led_flash_cnt[549][2]~34569\ = CARRY((!\led_flash_cnt[549][1]~34567\) # (!\led_flash_cnt[549][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[549][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[549][1]~34567\,
	combout => \led_flash_cnt[549][2]~34568_combout\,
	cout => \led_flash_cnt[549][2]~34569\);

-- Location: FF_X62_Y40_N3
\led_flash_cnt[549][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[549][2]~34568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[549][2]~q\);

-- Location: LCCOMB_X62_Y40_N4
\led_flash_cnt[549][3]~34570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[549][3]~34570_combout\ = (\led_flash_cnt[549][3]~q\ & (\led_flash_cnt[549][2]~34569\ $ (GND))) # (!\led_flash_cnt[549][3]~q\ & (!\led_flash_cnt[549][2]~34569\ & VCC))
-- \led_flash_cnt[549][3]~34571\ = CARRY((\led_flash_cnt[549][3]~q\ & !\led_flash_cnt[549][2]~34569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[549][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[549][2]~34569\,
	combout => \led_flash_cnt[549][3]~34570_combout\,
	cout => \led_flash_cnt[549][3]~34571\);

-- Location: FF_X62_Y40_N5
\led_flash_cnt[549][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[549][3]~34570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[549][3]~q\);

-- Location: LCCOMB_X62_Y40_N6
\led_flash_cnt[549][4]~34572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[549][4]~34572_combout\ = (\led_flash_cnt[549][4]~q\ & (!\led_flash_cnt[549][3]~34571\)) # (!\led_flash_cnt[549][4]~q\ & ((\led_flash_cnt[549][3]~34571\) # (GND)))
-- \led_flash_cnt[549][4]~34573\ = CARRY((!\led_flash_cnt[549][3]~34571\) # (!\led_flash_cnt[549][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[549][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[549][3]~34571\,
	combout => \led_flash_cnt[549][4]~34572_combout\,
	cout => \led_flash_cnt[549][4]~34573\);

-- Location: FF_X62_Y40_N7
\led_flash_cnt[549][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[549][4]~34572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[549][4]~q\);

-- Location: LCCOMB_X62_Y40_N8
\led_flash_cnt[549][5]~34574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[549][5]~34574_combout\ = (\led_flash_cnt[549][5]~q\ & (\led_flash_cnt[549][4]~34573\ $ (GND))) # (!\led_flash_cnt[549][5]~q\ & (!\led_flash_cnt[549][4]~34573\ & VCC))
-- \led_flash_cnt[549][5]~34575\ = CARRY((\led_flash_cnt[549][5]~q\ & !\led_flash_cnt[549][4]~34573\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[549][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[549][4]~34573\,
	combout => \led_flash_cnt[549][5]~34574_combout\,
	cout => \led_flash_cnt[549][5]~34575\);

-- Location: FF_X62_Y40_N9
\led_flash_cnt[549][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[549][5]~34574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[549][5]~q\);

-- Location: LCCOMB_X62_Y40_N10
\led_flash_cnt[549][6]~34576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[549][6]~34576_combout\ = (\led_flash_cnt[549][6]~q\ & (!\led_flash_cnt[549][5]~34575\)) # (!\led_flash_cnt[549][6]~q\ & ((\led_flash_cnt[549][5]~34575\) # (GND)))
-- \led_flash_cnt[549][6]~34577\ = CARRY((!\led_flash_cnt[549][5]~34575\) # (!\led_flash_cnt[549][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[549][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[549][5]~34575\,
	combout => \led_flash_cnt[549][6]~34576_combout\,
	cout => \led_flash_cnt[549][6]~34577\);

-- Location: FF_X62_Y40_N11
\led_flash_cnt[549][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[549][6]~34576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[549][6]~q\);

-- Location: LCCOMB_X62_Y40_N12
\led_flash_cnt[549][7]~34578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[549][7]~34578_combout\ = \led_flash_cnt[549][6]~34577\ $ (!\led_flash_cnt[549][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[549][7]~q\,
	cin => \led_flash_cnt[549][6]~34577\,
	combout => \led_flash_cnt[549][7]~34578_combout\);

-- Location: FF_X62_Y40_N13
\led_flash_cnt[549][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[549][7]~34578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[549][7]~q\);

-- Location: LCCOMB_X59_Y40_N0
\WideAnd549~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd549~1_combout\ = (\led_flash_cnt[549][6]~q\ & \led_flash_cnt[549][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[549][6]~q\,
	datad => \led_flash_cnt[549][5]~q\,
	combout => \WideAnd549~1_combout\);

-- Location: LCCOMB_X62_Y40_N28
\WideAnd549~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd549~0_combout\ = (\led_flash_cnt[549][4]~q\ & (\led_flash_cnt[549][1]~q\ & (\led_flash_cnt[549][3]~q\ & \led_flash_cnt[549][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[549][4]~q\,
	datab => \led_flash_cnt[549][1]~q\,
	datac => \led_flash_cnt[549][3]~q\,
	datad => \led_flash_cnt[549][2]~q\,
	combout => \WideAnd549~0_combout\);

-- Location: LCCOMB_X58_Y40_N8
WideAnd549 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd549~combout\ = (\led_flash_cnt[549][7]~q\ & (\led_flash_cnt[549][0]~q\ & (\WideAnd549~1_combout\ & \WideAnd549~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[549][7]~q\,
	datab => \led_flash_cnt[549][0]~q\,
	datac => \WideAnd549~1_combout\,
	datad => \WideAnd549~0_combout\,
	combout => \WideAnd549~combout\);

-- Location: FF_X58_Y40_N9
\led_flash_cnt_ands[549]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd549~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(549));

-- Location: LCCOMB_X58_Y40_N12
\led_flash_cnt[548][0]~81188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[548][0]~81188_combout\ = !\led_flash_cnt[548][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[548][0]~q\,
	combout => \led_flash_cnt[548][0]~81188_combout\);

-- Location: FF_X58_Y40_N13
\led_flash_cnt[548][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[548][0]~81188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[548][0]~q\);

-- Location: LCCOMB_X58_Y40_N18
\led_flash_cnt[548][1]~34552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[548][1]~34552_combout\ = (\led_flash_cnt[548][0]~q\ & (\led_flash_cnt[548][1]~q\ $ (VCC))) # (!\led_flash_cnt[548][0]~q\ & (\led_flash_cnt[548][1]~q\ & VCC))
-- \led_flash_cnt[548][1]~34553\ = CARRY((\led_flash_cnt[548][0]~q\ & \led_flash_cnt[548][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[548][0]~q\,
	datab => \led_flash_cnt[548][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[548][1]~34552_combout\,
	cout => \led_flash_cnt[548][1]~34553\);

-- Location: FF_X58_Y40_N19
\led_flash_cnt[548][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[548][1]~34552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[548][1]~q\);

-- Location: LCCOMB_X58_Y40_N20
\led_flash_cnt[548][2]~34554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[548][2]~34554_combout\ = (\led_flash_cnt[548][2]~q\ & (!\led_flash_cnt[548][1]~34553\)) # (!\led_flash_cnt[548][2]~q\ & ((\led_flash_cnt[548][1]~34553\) # (GND)))
-- \led_flash_cnt[548][2]~34555\ = CARRY((!\led_flash_cnt[548][1]~34553\) # (!\led_flash_cnt[548][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[548][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[548][1]~34553\,
	combout => \led_flash_cnt[548][2]~34554_combout\,
	cout => \led_flash_cnt[548][2]~34555\);

-- Location: FF_X58_Y40_N21
\led_flash_cnt[548][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[548][2]~34554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[548][2]~q\);

-- Location: LCCOMB_X58_Y40_N22
\led_flash_cnt[548][3]~34556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[548][3]~34556_combout\ = (\led_flash_cnt[548][3]~q\ & (\led_flash_cnt[548][2]~34555\ $ (GND))) # (!\led_flash_cnt[548][3]~q\ & (!\led_flash_cnt[548][2]~34555\ & VCC))
-- \led_flash_cnt[548][3]~34557\ = CARRY((\led_flash_cnt[548][3]~q\ & !\led_flash_cnt[548][2]~34555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[548][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[548][2]~34555\,
	combout => \led_flash_cnt[548][3]~34556_combout\,
	cout => \led_flash_cnt[548][3]~34557\);

-- Location: FF_X58_Y40_N23
\led_flash_cnt[548][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[548][3]~34556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[548][3]~q\);

-- Location: LCCOMB_X58_Y40_N24
\led_flash_cnt[548][4]~34558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[548][4]~34558_combout\ = (\led_flash_cnt[548][4]~q\ & (!\led_flash_cnt[548][3]~34557\)) # (!\led_flash_cnt[548][4]~q\ & ((\led_flash_cnt[548][3]~34557\) # (GND)))
-- \led_flash_cnt[548][4]~34559\ = CARRY((!\led_flash_cnt[548][3]~34557\) # (!\led_flash_cnt[548][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[548][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[548][3]~34557\,
	combout => \led_flash_cnt[548][4]~34558_combout\,
	cout => \led_flash_cnt[548][4]~34559\);

-- Location: FF_X58_Y40_N25
\led_flash_cnt[548][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[548][4]~34558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[548][4]~q\);

-- Location: LCCOMB_X58_Y40_N26
\led_flash_cnt[548][5]~34560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[548][5]~34560_combout\ = (\led_flash_cnt[548][5]~q\ & (\led_flash_cnt[548][4]~34559\ $ (GND))) # (!\led_flash_cnt[548][5]~q\ & (!\led_flash_cnt[548][4]~34559\ & VCC))
-- \led_flash_cnt[548][5]~34561\ = CARRY((\led_flash_cnt[548][5]~q\ & !\led_flash_cnt[548][4]~34559\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[548][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[548][4]~34559\,
	combout => \led_flash_cnt[548][5]~34560_combout\,
	cout => \led_flash_cnt[548][5]~34561\);

-- Location: FF_X58_Y40_N27
\led_flash_cnt[548][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[548][5]~34560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[548][5]~q\);

-- Location: LCCOMB_X58_Y40_N28
\led_flash_cnt[548][6]~34562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[548][6]~34562_combout\ = (\led_flash_cnt[548][6]~q\ & (!\led_flash_cnt[548][5]~34561\)) # (!\led_flash_cnt[548][6]~q\ & ((\led_flash_cnt[548][5]~34561\) # (GND)))
-- \led_flash_cnt[548][6]~34563\ = CARRY((!\led_flash_cnt[548][5]~34561\) # (!\led_flash_cnt[548][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[548][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[548][5]~34561\,
	combout => \led_flash_cnt[548][6]~34562_combout\,
	cout => \led_flash_cnt[548][6]~34563\);

-- Location: FF_X58_Y40_N29
\led_flash_cnt[548][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[548][6]~34562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[548][6]~q\);

-- Location: LCCOMB_X58_Y40_N10
\WideAnd548~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd548~1_combout\ = (\led_flash_cnt[548][5]~q\ & \led_flash_cnt[548][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[548][5]~q\,
	datad => \led_flash_cnt[548][6]~q\,
	combout => \WideAnd548~1_combout\);

-- Location: LCCOMB_X58_Y40_N14
\WideAnd548~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd548~0_combout\ = (\led_flash_cnt[548][2]~q\ & (\led_flash_cnt[548][4]~q\ & (\led_flash_cnt[548][3]~q\ & \led_flash_cnt[548][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[548][2]~q\,
	datab => \led_flash_cnt[548][4]~q\,
	datac => \led_flash_cnt[548][3]~q\,
	datad => \led_flash_cnt[548][1]~q\,
	combout => \WideAnd548~0_combout\);

-- Location: LCCOMB_X58_Y40_N30
\led_flash_cnt[548][7]~34564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[548][7]~34564_combout\ = \led_flash_cnt[548][7]~q\ $ (!\led_flash_cnt[548][6]~34563\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[548][7]~q\,
	cin => \led_flash_cnt[548][6]~34563\,
	combout => \led_flash_cnt[548][7]~34564_combout\);

-- Location: FF_X58_Y40_N31
\led_flash_cnt[548][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[548][7]~34564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[548][7]~q\);

-- Location: LCCOMB_X58_Y40_N16
WideAnd548 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd548~combout\ = (\WideAnd548~1_combout\ & (\WideAnd548~0_combout\ & (\led_flash_cnt[548][7]~q\ & \led_flash_cnt[548][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd548~1_combout\,
	datab => \WideAnd548~0_combout\,
	datac => \led_flash_cnt[548][7]~q\,
	datad => \led_flash_cnt[548][0]~q\,
	combout => \WideAnd548~combout\);

-- Location: FF_X58_Y40_N17
\led_flash_cnt_ands[548]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd548~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(548));

-- Location: LCCOMB_X58_Y40_N0
\WideAnd3908~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3908~1_combout\ = (led_flash_cnt_ands(549) & led_flash_cnt_ands(548))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(549),
	datad => led_flash_cnt_ands(548),
	combout => \WideAnd3908~1_combout\);

-- Location: LCCOMB_X44_Y49_N24
\led_flash_cnt[544][0]~81184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[544][0]~81184_combout\ = !\led_flash_cnt[544][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[544][0]~q\,
	combout => \led_flash_cnt[544][0]~81184_combout\);

-- Location: FF_X44_Y49_N25
\led_flash_cnt[544][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[544][0]~81184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[544][0]~q\);

-- Location: LCCOMB_X44_Y49_N8
\led_flash_cnt[544][1]~34496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[544][1]~34496_combout\ = (\led_flash_cnt[544][1]~q\ & (\led_flash_cnt[544][0]~q\ $ (VCC))) # (!\led_flash_cnt[544][1]~q\ & (\led_flash_cnt[544][0]~q\ & VCC))
-- \led_flash_cnt[544][1]~34497\ = CARRY((\led_flash_cnt[544][1]~q\ & \led_flash_cnt[544][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[544][1]~q\,
	datab => \led_flash_cnt[544][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[544][1]~34496_combout\,
	cout => \led_flash_cnt[544][1]~34497\);

-- Location: FF_X44_Y49_N9
\led_flash_cnt[544][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[544][1]~34496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[544][1]~q\);

-- Location: LCCOMB_X44_Y49_N10
\led_flash_cnt[544][2]~34498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[544][2]~34498_combout\ = (\led_flash_cnt[544][2]~q\ & (!\led_flash_cnt[544][1]~34497\)) # (!\led_flash_cnt[544][2]~q\ & ((\led_flash_cnt[544][1]~34497\) # (GND)))
-- \led_flash_cnt[544][2]~34499\ = CARRY((!\led_flash_cnt[544][1]~34497\) # (!\led_flash_cnt[544][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[544][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[544][1]~34497\,
	combout => \led_flash_cnt[544][2]~34498_combout\,
	cout => \led_flash_cnt[544][2]~34499\);

-- Location: FF_X44_Y49_N11
\led_flash_cnt[544][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[544][2]~34498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[544][2]~q\);

-- Location: LCCOMB_X44_Y49_N12
\led_flash_cnt[544][3]~34500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[544][3]~34500_combout\ = (\led_flash_cnt[544][3]~q\ & (\led_flash_cnt[544][2]~34499\ $ (GND))) # (!\led_flash_cnt[544][3]~q\ & (!\led_flash_cnt[544][2]~34499\ & VCC))
-- \led_flash_cnt[544][3]~34501\ = CARRY((\led_flash_cnt[544][3]~q\ & !\led_flash_cnt[544][2]~34499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[544][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[544][2]~34499\,
	combout => \led_flash_cnt[544][3]~34500_combout\,
	cout => \led_flash_cnt[544][3]~34501\);

-- Location: FF_X44_Y49_N13
\led_flash_cnt[544][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[544][3]~34500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[544][3]~q\);

-- Location: LCCOMB_X44_Y49_N14
\led_flash_cnt[544][4]~34502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[544][4]~34502_combout\ = (\led_flash_cnt[544][4]~q\ & (!\led_flash_cnt[544][3]~34501\)) # (!\led_flash_cnt[544][4]~q\ & ((\led_flash_cnt[544][3]~34501\) # (GND)))
-- \led_flash_cnt[544][4]~34503\ = CARRY((!\led_flash_cnt[544][3]~34501\) # (!\led_flash_cnt[544][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[544][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[544][3]~34501\,
	combout => \led_flash_cnt[544][4]~34502_combout\,
	cout => \led_flash_cnt[544][4]~34503\);

-- Location: FF_X44_Y49_N15
\led_flash_cnt[544][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[544][4]~34502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[544][4]~q\);

-- Location: LCCOMB_X44_Y49_N16
\led_flash_cnt[544][5]~34504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[544][5]~34504_combout\ = (\led_flash_cnt[544][5]~q\ & (\led_flash_cnt[544][4]~34503\ $ (GND))) # (!\led_flash_cnt[544][5]~q\ & (!\led_flash_cnt[544][4]~34503\ & VCC))
-- \led_flash_cnt[544][5]~34505\ = CARRY((\led_flash_cnt[544][5]~q\ & !\led_flash_cnt[544][4]~34503\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[544][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[544][4]~34503\,
	combout => \led_flash_cnt[544][5]~34504_combout\,
	cout => \led_flash_cnt[544][5]~34505\);

-- Location: FF_X44_Y49_N17
\led_flash_cnt[544][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[544][5]~34504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[544][5]~q\);

-- Location: LCCOMB_X44_Y49_N18
\led_flash_cnt[544][6]~34506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[544][6]~34506_combout\ = (\led_flash_cnt[544][6]~q\ & (!\led_flash_cnt[544][5]~34505\)) # (!\led_flash_cnt[544][6]~q\ & ((\led_flash_cnt[544][5]~34505\) # (GND)))
-- \led_flash_cnt[544][6]~34507\ = CARRY((!\led_flash_cnt[544][5]~34505\) # (!\led_flash_cnt[544][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[544][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[544][5]~34505\,
	combout => \led_flash_cnt[544][6]~34506_combout\,
	cout => \led_flash_cnt[544][6]~34507\);

-- Location: FF_X44_Y49_N19
\led_flash_cnt[544][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[544][6]~34506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[544][6]~q\);

-- Location: LCCOMB_X44_Y49_N26
\WideAnd544~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd544~1_combout\ = (\led_flash_cnt[544][6]~q\ & \led_flash_cnt[544][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[544][6]~q\,
	datad => \led_flash_cnt[544][5]~q\,
	combout => \WideAnd544~1_combout\);

-- Location: LCCOMB_X44_Y49_N20
\led_flash_cnt[544][7]~34508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[544][7]~34508_combout\ = \led_flash_cnt[544][6]~34507\ $ (!\led_flash_cnt[544][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[544][7]~q\,
	cin => \led_flash_cnt[544][6]~34507\,
	combout => \led_flash_cnt[544][7]~34508_combout\);

-- Location: FF_X44_Y49_N21
\led_flash_cnt[544][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[544][7]~34508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[544][7]~q\);

-- Location: LCCOMB_X44_Y49_N4
\WideAnd544~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd544~0_combout\ = (\led_flash_cnt[544][3]~q\ & (\led_flash_cnt[544][1]~q\ & (\led_flash_cnt[544][4]~q\ & \led_flash_cnt[544][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[544][3]~q\,
	datab => \led_flash_cnt[544][1]~q\,
	datac => \led_flash_cnt[544][4]~q\,
	datad => \led_flash_cnt[544][2]~q\,
	combout => \WideAnd544~0_combout\);

-- Location: LCCOMB_X44_Y49_N22
WideAnd544 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd544~combout\ = (\WideAnd544~1_combout\ & (\led_flash_cnt[544][7]~q\ & (\WideAnd544~0_combout\ & \led_flash_cnt[544][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd544~1_combout\,
	datab => \led_flash_cnt[544][7]~q\,
	datac => \WideAnd544~0_combout\,
	datad => \led_flash_cnt[544][0]~q\,
	combout => \WideAnd544~combout\);

-- Location: FF_X44_Y49_N23
\led_flash_cnt_ands[544]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd544~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(544));

-- Location: LCCOMB_X44_Y49_N6
\led_flash_cnt[546][0]~81186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[546][0]~81186_combout\ = !\led_flash_cnt[546][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[546][0]~q\,
	combout => \led_flash_cnt[546][0]~81186_combout\);

-- Location: FF_X44_Y49_N7
\led_flash_cnt[546][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[546][0]~81186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[546][0]~q\);

-- Location: LCCOMB_X45_Y49_N4
\led_flash_cnt[546][1]~34524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[546][1]~34524_combout\ = (\led_flash_cnt[546][0]~q\ & (\led_flash_cnt[546][1]~q\ $ (VCC))) # (!\led_flash_cnt[546][0]~q\ & (\led_flash_cnt[546][1]~q\ & VCC))
-- \led_flash_cnt[546][1]~34525\ = CARRY((\led_flash_cnt[546][0]~q\ & \led_flash_cnt[546][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[546][0]~q\,
	datab => \led_flash_cnt[546][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[546][1]~34524_combout\,
	cout => \led_flash_cnt[546][1]~34525\);

-- Location: FF_X45_Y49_N5
\led_flash_cnt[546][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[546][1]~34524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[546][1]~q\);

-- Location: LCCOMB_X45_Y49_N6
\led_flash_cnt[546][2]~34526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[546][2]~34526_combout\ = (\led_flash_cnt[546][2]~q\ & (!\led_flash_cnt[546][1]~34525\)) # (!\led_flash_cnt[546][2]~q\ & ((\led_flash_cnt[546][1]~34525\) # (GND)))
-- \led_flash_cnt[546][2]~34527\ = CARRY((!\led_flash_cnt[546][1]~34525\) # (!\led_flash_cnt[546][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[546][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[546][1]~34525\,
	combout => \led_flash_cnt[546][2]~34526_combout\,
	cout => \led_flash_cnt[546][2]~34527\);

-- Location: FF_X45_Y49_N7
\led_flash_cnt[546][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[546][2]~34526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[546][2]~q\);

-- Location: LCCOMB_X45_Y49_N8
\led_flash_cnt[546][3]~34528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[546][3]~34528_combout\ = (\led_flash_cnt[546][3]~q\ & (\led_flash_cnt[546][2]~34527\ $ (GND))) # (!\led_flash_cnt[546][3]~q\ & (!\led_flash_cnt[546][2]~34527\ & VCC))
-- \led_flash_cnt[546][3]~34529\ = CARRY((\led_flash_cnt[546][3]~q\ & !\led_flash_cnt[546][2]~34527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[546][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[546][2]~34527\,
	combout => \led_flash_cnt[546][3]~34528_combout\,
	cout => \led_flash_cnt[546][3]~34529\);

-- Location: FF_X45_Y49_N9
\led_flash_cnt[546][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[546][3]~34528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[546][3]~q\);

-- Location: LCCOMB_X45_Y49_N10
\led_flash_cnt[546][4]~34530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[546][4]~34530_combout\ = (\led_flash_cnt[546][4]~q\ & (!\led_flash_cnt[546][3]~34529\)) # (!\led_flash_cnt[546][4]~q\ & ((\led_flash_cnt[546][3]~34529\) # (GND)))
-- \led_flash_cnt[546][4]~34531\ = CARRY((!\led_flash_cnt[546][3]~34529\) # (!\led_flash_cnt[546][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[546][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[546][3]~34529\,
	combout => \led_flash_cnt[546][4]~34530_combout\,
	cout => \led_flash_cnt[546][4]~34531\);

-- Location: FF_X45_Y49_N11
\led_flash_cnt[546][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[546][4]~34530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[546][4]~q\);

-- Location: LCCOMB_X45_Y49_N12
\led_flash_cnt[546][5]~34532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[546][5]~34532_combout\ = (\led_flash_cnt[546][5]~q\ & (\led_flash_cnt[546][4]~34531\ $ (GND))) # (!\led_flash_cnt[546][5]~q\ & (!\led_flash_cnt[546][4]~34531\ & VCC))
-- \led_flash_cnt[546][5]~34533\ = CARRY((\led_flash_cnt[546][5]~q\ & !\led_flash_cnt[546][4]~34531\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[546][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[546][4]~34531\,
	combout => \led_flash_cnt[546][5]~34532_combout\,
	cout => \led_flash_cnt[546][5]~34533\);

-- Location: FF_X45_Y49_N13
\led_flash_cnt[546][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[546][5]~34532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[546][5]~q\);

-- Location: LCCOMB_X45_Y49_N14
\led_flash_cnt[546][6]~34534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[546][6]~34534_combout\ = (\led_flash_cnt[546][6]~q\ & (!\led_flash_cnt[546][5]~34533\)) # (!\led_flash_cnt[546][6]~q\ & ((\led_flash_cnt[546][5]~34533\) # (GND)))
-- \led_flash_cnt[546][6]~34535\ = CARRY((!\led_flash_cnt[546][5]~34533\) # (!\led_flash_cnt[546][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[546][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[546][5]~34533\,
	combout => \led_flash_cnt[546][6]~34534_combout\,
	cout => \led_flash_cnt[546][6]~34535\);

-- Location: FF_X45_Y49_N15
\led_flash_cnt[546][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[546][6]~34534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[546][6]~q\);

-- Location: LCCOMB_X45_Y49_N16
\led_flash_cnt[546][7]~34536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[546][7]~34536_combout\ = \led_flash_cnt[546][6]~34535\ $ (!\led_flash_cnt[546][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[546][7]~q\,
	cin => \led_flash_cnt[546][6]~34535\,
	combout => \led_flash_cnt[546][7]~34536_combout\);

-- Location: FF_X45_Y49_N17
\led_flash_cnt[546][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[546][7]~34536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[546][7]~q\);

-- Location: LCCOMB_X44_Y49_N30
\WideAnd546~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd546~1_combout\ = (\led_flash_cnt[546][6]~q\ & \led_flash_cnt[546][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[546][6]~q\,
	datac => \led_flash_cnt[546][5]~q\,
	combout => \WideAnd546~1_combout\);

-- Location: LCCOMB_X45_Y49_N2
\WideAnd546~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd546~0_combout\ = (\led_flash_cnt[546][4]~q\ & (\led_flash_cnt[546][3]~q\ & (\led_flash_cnt[546][1]~q\ & \led_flash_cnt[546][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[546][4]~q\,
	datab => \led_flash_cnt[546][3]~q\,
	datac => \led_flash_cnt[546][1]~q\,
	datad => \led_flash_cnt[546][2]~q\,
	combout => \WideAnd546~0_combout\);

-- Location: LCCOMB_X44_Y49_N28
WideAnd546 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd546~combout\ = (\led_flash_cnt[546][0]~q\ & (\led_flash_cnt[546][7]~q\ & (\WideAnd546~1_combout\ & \WideAnd546~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[546][0]~q\,
	datab => \led_flash_cnt[546][7]~q\,
	datac => \WideAnd546~1_combout\,
	datad => \WideAnd546~0_combout\,
	combout => \WideAnd546~combout\);

-- Location: FF_X44_Y49_N29
\led_flash_cnt_ands[546]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd546~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(546));

-- Location: LCCOMB_X40_Y37_N12
\led_flash_cnt[547][0]~81187\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[547][0]~81187_combout\ = !\led_flash_cnt[547][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[547][0]~q\,
	combout => \led_flash_cnt[547][0]~81187_combout\);

-- Location: FF_X40_Y37_N13
\led_flash_cnt[547][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[547][0]~81187_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[547][0]~q\);

-- Location: LCCOMB_X40_Y37_N14
\led_flash_cnt[547][1]~34538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[547][1]~34538_combout\ = (\led_flash_cnt[547][0]~q\ & (\led_flash_cnt[547][1]~q\ $ (VCC))) # (!\led_flash_cnt[547][0]~q\ & (\led_flash_cnt[547][1]~q\ & VCC))
-- \led_flash_cnt[547][1]~34539\ = CARRY((\led_flash_cnt[547][0]~q\ & \led_flash_cnt[547][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[547][0]~q\,
	datab => \led_flash_cnt[547][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[547][1]~34538_combout\,
	cout => \led_flash_cnt[547][1]~34539\);

-- Location: FF_X40_Y37_N15
\led_flash_cnt[547][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[547][1]~34538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[547][1]~q\);

-- Location: LCCOMB_X40_Y37_N16
\led_flash_cnt[547][2]~34540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[547][2]~34540_combout\ = (\led_flash_cnt[547][2]~q\ & (!\led_flash_cnt[547][1]~34539\)) # (!\led_flash_cnt[547][2]~q\ & ((\led_flash_cnt[547][1]~34539\) # (GND)))
-- \led_flash_cnt[547][2]~34541\ = CARRY((!\led_flash_cnt[547][1]~34539\) # (!\led_flash_cnt[547][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[547][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[547][1]~34539\,
	combout => \led_flash_cnt[547][2]~34540_combout\,
	cout => \led_flash_cnt[547][2]~34541\);

-- Location: FF_X40_Y37_N17
\led_flash_cnt[547][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[547][2]~34540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[547][2]~q\);

-- Location: LCCOMB_X40_Y37_N18
\led_flash_cnt[547][3]~34542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[547][3]~34542_combout\ = (\led_flash_cnt[547][3]~q\ & (\led_flash_cnt[547][2]~34541\ $ (GND))) # (!\led_flash_cnt[547][3]~q\ & (!\led_flash_cnt[547][2]~34541\ & VCC))
-- \led_flash_cnt[547][3]~34543\ = CARRY((\led_flash_cnt[547][3]~q\ & !\led_flash_cnt[547][2]~34541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[547][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[547][2]~34541\,
	combout => \led_flash_cnt[547][3]~34542_combout\,
	cout => \led_flash_cnt[547][3]~34543\);

-- Location: FF_X40_Y37_N19
\led_flash_cnt[547][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[547][3]~34542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[547][3]~q\);

-- Location: LCCOMB_X40_Y37_N20
\led_flash_cnt[547][4]~34544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[547][4]~34544_combout\ = (\led_flash_cnt[547][4]~q\ & (!\led_flash_cnt[547][3]~34543\)) # (!\led_flash_cnt[547][4]~q\ & ((\led_flash_cnt[547][3]~34543\) # (GND)))
-- \led_flash_cnt[547][4]~34545\ = CARRY((!\led_flash_cnt[547][3]~34543\) # (!\led_flash_cnt[547][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[547][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[547][3]~34543\,
	combout => \led_flash_cnt[547][4]~34544_combout\,
	cout => \led_flash_cnt[547][4]~34545\);

-- Location: FF_X40_Y37_N21
\led_flash_cnt[547][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[547][4]~34544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[547][4]~q\);

-- Location: LCCOMB_X40_Y37_N22
\led_flash_cnt[547][5]~34546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[547][5]~34546_combout\ = (\led_flash_cnt[547][5]~q\ & (\led_flash_cnt[547][4]~34545\ $ (GND))) # (!\led_flash_cnt[547][5]~q\ & (!\led_flash_cnt[547][4]~34545\ & VCC))
-- \led_flash_cnt[547][5]~34547\ = CARRY((\led_flash_cnt[547][5]~q\ & !\led_flash_cnt[547][4]~34545\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[547][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[547][4]~34545\,
	combout => \led_flash_cnt[547][5]~34546_combout\,
	cout => \led_flash_cnt[547][5]~34547\);

-- Location: FF_X40_Y37_N23
\led_flash_cnt[547][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[547][5]~34546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[547][5]~q\);

-- Location: LCCOMB_X40_Y37_N24
\led_flash_cnt[547][6]~34548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[547][6]~34548_combout\ = (\led_flash_cnt[547][6]~q\ & (!\led_flash_cnt[547][5]~34547\)) # (!\led_flash_cnt[547][6]~q\ & ((\led_flash_cnt[547][5]~34547\) # (GND)))
-- \led_flash_cnt[547][6]~34549\ = CARRY((!\led_flash_cnt[547][5]~34547\) # (!\led_flash_cnt[547][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[547][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[547][5]~34547\,
	combout => \led_flash_cnt[547][6]~34548_combout\,
	cout => \led_flash_cnt[547][6]~34549\);

-- Location: FF_X40_Y37_N25
\led_flash_cnt[547][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[547][6]~34548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[547][6]~q\);

-- Location: LCCOMB_X40_Y37_N6
\WideAnd547~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd547~1_combout\ = (\led_flash_cnt[547][5]~q\ & \led_flash_cnt[547][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[547][5]~q\,
	datad => \led_flash_cnt[547][6]~q\,
	combout => \WideAnd547~1_combout\);

-- Location: LCCOMB_X40_Y37_N8
\WideAnd547~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd547~0_combout\ = (\led_flash_cnt[547][3]~q\ & (\led_flash_cnt[547][4]~q\ & (\led_flash_cnt[547][1]~q\ & \led_flash_cnt[547][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[547][3]~q\,
	datab => \led_flash_cnt[547][4]~q\,
	datac => \led_flash_cnt[547][1]~q\,
	datad => \led_flash_cnt[547][2]~q\,
	combout => \WideAnd547~0_combout\);

-- Location: LCCOMB_X40_Y37_N26
\led_flash_cnt[547][7]~34550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[547][7]~34550_combout\ = \led_flash_cnt[547][7]~q\ $ (!\led_flash_cnt[547][6]~34549\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[547][7]~q\,
	cin => \led_flash_cnt[547][6]~34549\,
	combout => \led_flash_cnt[547][7]~34550_combout\);

-- Location: FF_X40_Y37_N27
\led_flash_cnt[547][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[547][7]~34550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[547][7]~q\);

-- Location: LCCOMB_X40_Y37_N0
WideAnd547 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd547~combout\ = (\WideAnd547~1_combout\ & (\WideAnd547~0_combout\ & (\led_flash_cnt[547][7]~q\ & \led_flash_cnt[547][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd547~1_combout\,
	datab => \WideAnd547~0_combout\,
	datac => \led_flash_cnt[547][7]~q\,
	datad => \led_flash_cnt[547][0]~q\,
	combout => \WideAnd547~combout\);

-- Location: FF_X40_Y37_N1
\led_flash_cnt_ands[547]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd547~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(547));

-- Location: LCCOMB_X47_Y51_N10
\led_flash_cnt[545][0]~81185\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[545][0]~81185_combout\ = !\led_flash_cnt[545][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[545][0]~q\,
	combout => \led_flash_cnt[545][0]~81185_combout\);

-- Location: FF_X47_Y51_N11
\led_flash_cnt[545][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[545][0]~81185_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[545][0]~q\);

-- Location: LCCOMB_X47_Y51_N18
\led_flash_cnt[545][1]~34510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[545][1]~34510_combout\ = (\led_flash_cnt[545][0]~q\ & (\led_flash_cnt[545][1]~q\ $ (VCC))) # (!\led_flash_cnt[545][0]~q\ & (\led_flash_cnt[545][1]~q\ & VCC))
-- \led_flash_cnt[545][1]~34511\ = CARRY((\led_flash_cnt[545][0]~q\ & \led_flash_cnt[545][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[545][0]~q\,
	datab => \led_flash_cnt[545][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[545][1]~34510_combout\,
	cout => \led_flash_cnt[545][1]~34511\);

-- Location: FF_X47_Y51_N19
\led_flash_cnt[545][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[545][1]~34510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[545][1]~q\);

-- Location: LCCOMB_X47_Y51_N20
\led_flash_cnt[545][2]~34512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[545][2]~34512_combout\ = (\led_flash_cnt[545][2]~q\ & (!\led_flash_cnt[545][1]~34511\)) # (!\led_flash_cnt[545][2]~q\ & ((\led_flash_cnt[545][1]~34511\) # (GND)))
-- \led_flash_cnt[545][2]~34513\ = CARRY((!\led_flash_cnt[545][1]~34511\) # (!\led_flash_cnt[545][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[545][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[545][1]~34511\,
	combout => \led_flash_cnt[545][2]~34512_combout\,
	cout => \led_flash_cnt[545][2]~34513\);

-- Location: FF_X47_Y51_N21
\led_flash_cnt[545][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[545][2]~34512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[545][2]~q\);

-- Location: LCCOMB_X47_Y51_N22
\led_flash_cnt[545][3]~34514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[545][3]~34514_combout\ = (\led_flash_cnt[545][3]~q\ & (\led_flash_cnt[545][2]~34513\ $ (GND))) # (!\led_flash_cnt[545][3]~q\ & (!\led_flash_cnt[545][2]~34513\ & VCC))
-- \led_flash_cnt[545][3]~34515\ = CARRY((\led_flash_cnt[545][3]~q\ & !\led_flash_cnt[545][2]~34513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[545][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[545][2]~34513\,
	combout => \led_flash_cnt[545][3]~34514_combout\,
	cout => \led_flash_cnt[545][3]~34515\);

-- Location: FF_X47_Y51_N23
\led_flash_cnt[545][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[545][3]~34514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[545][3]~q\);

-- Location: LCCOMB_X47_Y51_N24
\led_flash_cnt[545][4]~34516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[545][4]~34516_combout\ = (\led_flash_cnt[545][4]~q\ & (!\led_flash_cnt[545][3]~34515\)) # (!\led_flash_cnt[545][4]~q\ & ((\led_flash_cnt[545][3]~34515\) # (GND)))
-- \led_flash_cnt[545][4]~34517\ = CARRY((!\led_flash_cnt[545][3]~34515\) # (!\led_flash_cnt[545][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[545][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[545][3]~34515\,
	combout => \led_flash_cnt[545][4]~34516_combout\,
	cout => \led_flash_cnt[545][4]~34517\);

-- Location: FF_X47_Y51_N25
\led_flash_cnt[545][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[545][4]~34516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[545][4]~q\);

-- Location: LCCOMB_X47_Y51_N12
\WideAnd545~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd545~0_combout\ = (\led_flash_cnt[545][4]~q\ & (\led_flash_cnt[545][2]~q\ & (\led_flash_cnt[545][3]~q\ & \led_flash_cnt[545][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[545][4]~q\,
	datab => \led_flash_cnt[545][2]~q\,
	datac => \led_flash_cnt[545][3]~q\,
	datad => \led_flash_cnt[545][1]~q\,
	combout => \WideAnd545~0_combout\);

-- Location: LCCOMB_X47_Y51_N26
\led_flash_cnt[545][5]~34518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[545][5]~34518_combout\ = (\led_flash_cnt[545][5]~q\ & (\led_flash_cnt[545][4]~34517\ $ (GND))) # (!\led_flash_cnt[545][5]~q\ & (!\led_flash_cnt[545][4]~34517\ & VCC))
-- \led_flash_cnt[545][5]~34519\ = CARRY((\led_flash_cnt[545][5]~q\ & !\led_flash_cnt[545][4]~34517\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[545][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[545][4]~34517\,
	combout => \led_flash_cnt[545][5]~34518_combout\,
	cout => \led_flash_cnt[545][5]~34519\);

-- Location: FF_X47_Y51_N27
\led_flash_cnt[545][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[545][5]~34518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[545][5]~q\);

-- Location: LCCOMB_X47_Y51_N28
\led_flash_cnt[545][6]~34520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[545][6]~34520_combout\ = (\led_flash_cnt[545][6]~q\ & (!\led_flash_cnt[545][5]~34519\)) # (!\led_flash_cnt[545][6]~q\ & ((\led_flash_cnt[545][5]~34519\) # (GND)))
-- \led_flash_cnt[545][6]~34521\ = CARRY((!\led_flash_cnt[545][5]~34519\) # (!\led_flash_cnt[545][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[545][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[545][5]~34519\,
	combout => \led_flash_cnt[545][6]~34520_combout\,
	cout => \led_flash_cnt[545][6]~34521\);

-- Location: FF_X47_Y51_N29
\led_flash_cnt[545][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[545][6]~34520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[545][6]~q\);

-- Location: LCCOMB_X47_Y51_N30
\led_flash_cnt[545][7]~34522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[545][7]~34522_combout\ = \led_flash_cnt[545][7]~q\ $ (!\led_flash_cnt[545][6]~34521\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[545][7]~q\,
	cin => \led_flash_cnt[545][6]~34521\,
	combout => \led_flash_cnt[545][7]~34522_combout\);

-- Location: FF_X47_Y51_N31
\led_flash_cnt[545][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[545][7]~34522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[545][7]~q\);

-- Location: LCCOMB_X47_Y51_N4
\WideAnd545~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd545~1_combout\ = (\led_flash_cnt[545][5]~q\ & \led_flash_cnt[545][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[545][5]~q\,
	datac => \led_flash_cnt[545][7]~q\,
	combout => \WideAnd545~1_combout\);

-- Location: LCCOMB_X47_Y51_N8
WideAnd545 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd545~combout\ = (\WideAnd545~0_combout\ & (\led_flash_cnt[545][6]~q\ & (\WideAnd545~1_combout\ & \led_flash_cnt[545][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd545~0_combout\,
	datab => \led_flash_cnt[545][6]~q\,
	datac => \WideAnd545~1_combout\,
	datad => \led_flash_cnt[545][0]~q\,
	combout => \WideAnd545~combout\);

-- Location: FF_X47_Y51_N9
\led_flash_cnt_ands[545]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd545~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(545));

-- Location: LCCOMB_X44_Y49_N2
\WideAnd3908~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3908~0_combout\ = (led_flash_cnt_ands(544) & (led_flash_cnt_ands(546) & (led_flash_cnt_ands(547) & led_flash_cnt_ands(545))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(544),
	datab => led_flash_cnt_ands(546),
	datac => led_flash_cnt_ands(547),
	datad => led_flash_cnt_ands(545),
	combout => \WideAnd3908~0_combout\);

-- Location: LCCOMB_X51_Y41_N16
\led_flash_cnt[550][0]~81190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[550][0]~81190_combout\ = !\led_flash_cnt[550][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[550][0]~q\,
	combout => \led_flash_cnt[550][0]~81190_combout\);

-- Location: FF_X51_Y41_N17
\led_flash_cnt[550][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[550][0]~81190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[550][0]~q\);

-- Location: LCCOMB_X51_Y41_N2
\led_flash_cnt[550][1]~34580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[550][1]~34580_combout\ = (\led_flash_cnt[550][1]~q\ & (\led_flash_cnt[550][0]~q\ $ (VCC))) # (!\led_flash_cnt[550][1]~q\ & (\led_flash_cnt[550][0]~q\ & VCC))
-- \led_flash_cnt[550][1]~34581\ = CARRY((\led_flash_cnt[550][1]~q\ & \led_flash_cnt[550][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[550][1]~q\,
	datab => \led_flash_cnt[550][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[550][1]~34580_combout\,
	cout => \led_flash_cnt[550][1]~34581\);

-- Location: FF_X51_Y41_N3
\led_flash_cnt[550][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[550][1]~34580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[550][1]~q\);

-- Location: LCCOMB_X51_Y41_N4
\led_flash_cnt[550][2]~34582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[550][2]~34582_combout\ = (\led_flash_cnt[550][2]~q\ & (!\led_flash_cnt[550][1]~34581\)) # (!\led_flash_cnt[550][2]~q\ & ((\led_flash_cnt[550][1]~34581\) # (GND)))
-- \led_flash_cnt[550][2]~34583\ = CARRY((!\led_flash_cnt[550][1]~34581\) # (!\led_flash_cnt[550][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[550][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[550][1]~34581\,
	combout => \led_flash_cnt[550][2]~34582_combout\,
	cout => \led_flash_cnt[550][2]~34583\);

-- Location: FF_X51_Y41_N5
\led_flash_cnt[550][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[550][2]~34582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[550][2]~q\);

-- Location: LCCOMB_X51_Y41_N6
\led_flash_cnt[550][3]~34584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[550][3]~34584_combout\ = (\led_flash_cnt[550][3]~q\ & (\led_flash_cnt[550][2]~34583\ $ (GND))) # (!\led_flash_cnt[550][3]~q\ & (!\led_flash_cnt[550][2]~34583\ & VCC))
-- \led_flash_cnt[550][3]~34585\ = CARRY((\led_flash_cnt[550][3]~q\ & !\led_flash_cnt[550][2]~34583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[550][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[550][2]~34583\,
	combout => \led_flash_cnt[550][3]~34584_combout\,
	cout => \led_flash_cnt[550][3]~34585\);

-- Location: FF_X51_Y41_N7
\led_flash_cnt[550][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[550][3]~34584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[550][3]~q\);

-- Location: LCCOMB_X51_Y41_N8
\led_flash_cnt[550][4]~34586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[550][4]~34586_combout\ = (\led_flash_cnt[550][4]~q\ & (!\led_flash_cnt[550][3]~34585\)) # (!\led_flash_cnt[550][4]~q\ & ((\led_flash_cnt[550][3]~34585\) # (GND)))
-- \led_flash_cnt[550][4]~34587\ = CARRY((!\led_flash_cnt[550][3]~34585\) # (!\led_flash_cnt[550][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[550][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[550][3]~34585\,
	combout => \led_flash_cnt[550][4]~34586_combout\,
	cout => \led_flash_cnt[550][4]~34587\);

-- Location: FF_X51_Y41_N9
\led_flash_cnt[550][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[550][4]~34586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[550][4]~q\);

-- Location: LCCOMB_X51_Y41_N10
\led_flash_cnt[550][5]~34588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[550][5]~34588_combout\ = (\led_flash_cnt[550][5]~q\ & (\led_flash_cnt[550][4]~34587\ $ (GND))) # (!\led_flash_cnt[550][5]~q\ & (!\led_flash_cnt[550][4]~34587\ & VCC))
-- \led_flash_cnt[550][5]~34589\ = CARRY((\led_flash_cnt[550][5]~q\ & !\led_flash_cnt[550][4]~34587\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[550][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[550][4]~34587\,
	combout => \led_flash_cnt[550][5]~34588_combout\,
	cout => \led_flash_cnt[550][5]~34589\);

-- Location: FF_X51_Y41_N11
\led_flash_cnt[550][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[550][5]~34588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[550][5]~q\);

-- Location: LCCOMB_X51_Y41_N12
\led_flash_cnt[550][6]~34590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[550][6]~34590_combout\ = (\led_flash_cnt[550][6]~q\ & (!\led_flash_cnt[550][5]~34589\)) # (!\led_flash_cnt[550][6]~q\ & ((\led_flash_cnt[550][5]~34589\) # (GND)))
-- \led_flash_cnt[550][6]~34591\ = CARRY((!\led_flash_cnt[550][5]~34589\) # (!\led_flash_cnt[550][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[550][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[550][5]~34589\,
	combout => \led_flash_cnt[550][6]~34590_combout\,
	cout => \led_flash_cnt[550][6]~34591\);

-- Location: FF_X51_Y41_N13
\led_flash_cnt[550][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[550][6]~34590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[550][6]~q\);

-- Location: LCCOMB_X51_Y41_N22
\WideAnd550~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd550~1_combout\ = (\led_flash_cnt[550][6]~q\ & \led_flash_cnt[550][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[550][6]~q\,
	datad => \led_flash_cnt[550][5]~q\,
	combout => \WideAnd550~1_combout\);

-- Location: LCCOMB_X51_Y41_N24
\WideAnd550~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd550~0_combout\ = (\led_flash_cnt[550][1]~q\ & (\led_flash_cnt[550][4]~q\ & (\led_flash_cnt[550][2]~q\ & \led_flash_cnt[550][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[550][1]~q\,
	datab => \led_flash_cnt[550][4]~q\,
	datac => \led_flash_cnt[550][2]~q\,
	datad => \led_flash_cnt[550][3]~q\,
	combout => \WideAnd550~0_combout\);

-- Location: LCCOMB_X51_Y41_N14
\led_flash_cnt[550][7]~34592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[550][7]~34592_combout\ = \led_flash_cnt[550][7]~q\ $ (!\led_flash_cnt[550][6]~34591\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[550][7]~q\,
	cin => \led_flash_cnt[550][6]~34591\,
	combout => \led_flash_cnt[550][7]~34592_combout\);

-- Location: FF_X51_Y41_N15
\led_flash_cnt[550][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[550][7]~34592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[550][7]~q\);

-- Location: LCCOMB_X51_Y41_N0
WideAnd550 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd550~combout\ = (\WideAnd550~1_combout\ & (\WideAnd550~0_combout\ & (\led_flash_cnt[550][7]~q\ & \led_flash_cnt[550][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd550~1_combout\,
	datab => \WideAnd550~0_combout\,
	datac => \led_flash_cnt[550][7]~q\,
	datad => \led_flash_cnt[550][0]~q\,
	combout => \WideAnd550~combout\);

-- Location: FF_X51_Y41_N1
\led_flash_cnt_ands[550]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd550~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(550));

-- Location: LCCOMB_X51_Y41_N20
WideAnd3908 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3908~combout\ = (led_flash_cnt_ands(551) & (\WideAnd3908~1_combout\ & (\WideAnd3908~0_combout\ & led_flash_cnt_ands(550))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(551),
	datab => \WideAnd3908~1_combout\,
	datac => \WideAnd3908~0_combout\,
	datad => led_flash_cnt_ands(550),
	combout => \WideAnd3908~combout\);

-- Location: FF_X51_Y41_N21
\led_flash_cnt_ands_1[68]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3908~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(68));

-- Location: LCCOMB_X62_Y45_N2
\led_flash_cnt[556][0]~81196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[556][0]~81196_combout\ = !\led_flash_cnt[556][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[556][0]~q\,
	combout => \led_flash_cnt[556][0]~81196_combout\);

-- Location: FF_X62_Y45_N3
\led_flash_cnt[556][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[556][0]~81196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[556][0]~q\);

-- Location: LCCOMB_X62_Y45_N12
\led_flash_cnt[556][1]~34664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[556][1]~34664_combout\ = (\led_flash_cnt[556][1]~q\ & (\led_flash_cnt[556][0]~q\ $ (VCC))) # (!\led_flash_cnt[556][1]~q\ & (\led_flash_cnt[556][0]~q\ & VCC))
-- \led_flash_cnt[556][1]~34665\ = CARRY((\led_flash_cnt[556][1]~q\ & \led_flash_cnt[556][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[556][1]~q\,
	datab => \led_flash_cnt[556][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[556][1]~34664_combout\,
	cout => \led_flash_cnt[556][1]~34665\);

-- Location: FF_X62_Y45_N13
\led_flash_cnt[556][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[556][1]~34664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[556][1]~q\);

-- Location: LCCOMB_X62_Y45_N14
\led_flash_cnt[556][2]~34666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[556][2]~34666_combout\ = (\led_flash_cnt[556][2]~q\ & (!\led_flash_cnt[556][1]~34665\)) # (!\led_flash_cnt[556][2]~q\ & ((\led_flash_cnt[556][1]~34665\) # (GND)))
-- \led_flash_cnt[556][2]~34667\ = CARRY((!\led_flash_cnt[556][1]~34665\) # (!\led_flash_cnt[556][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[556][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[556][1]~34665\,
	combout => \led_flash_cnt[556][2]~34666_combout\,
	cout => \led_flash_cnt[556][2]~34667\);

-- Location: FF_X62_Y45_N15
\led_flash_cnt[556][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[556][2]~34666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[556][2]~q\);

-- Location: LCCOMB_X62_Y45_N16
\led_flash_cnt[556][3]~34668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[556][3]~34668_combout\ = (\led_flash_cnt[556][3]~q\ & (\led_flash_cnt[556][2]~34667\ $ (GND))) # (!\led_flash_cnt[556][3]~q\ & (!\led_flash_cnt[556][2]~34667\ & VCC))
-- \led_flash_cnt[556][3]~34669\ = CARRY((\led_flash_cnt[556][3]~q\ & !\led_flash_cnt[556][2]~34667\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[556][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[556][2]~34667\,
	combout => \led_flash_cnt[556][3]~34668_combout\,
	cout => \led_flash_cnt[556][3]~34669\);

-- Location: FF_X62_Y45_N17
\led_flash_cnt[556][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[556][3]~34668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[556][3]~q\);

-- Location: LCCOMB_X62_Y45_N18
\led_flash_cnt[556][4]~34670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[556][4]~34670_combout\ = (\led_flash_cnt[556][4]~q\ & (!\led_flash_cnt[556][3]~34669\)) # (!\led_flash_cnt[556][4]~q\ & ((\led_flash_cnt[556][3]~34669\) # (GND)))
-- \led_flash_cnt[556][4]~34671\ = CARRY((!\led_flash_cnt[556][3]~34669\) # (!\led_flash_cnt[556][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[556][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[556][3]~34669\,
	combout => \led_flash_cnt[556][4]~34670_combout\,
	cout => \led_flash_cnt[556][4]~34671\);

-- Location: FF_X62_Y45_N19
\led_flash_cnt[556][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[556][4]~34670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[556][4]~q\);

-- Location: LCCOMB_X62_Y45_N10
\WideAnd556~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd556~0_combout\ = (\led_flash_cnt[556][4]~q\ & (\led_flash_cnt[556][3]~q\ & (\led_flash_cnt[556][2]~q\ & \led_flash_cnt[556][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[556][4]~q\,
	datab => \led_flash_cnt[556][3]~q\,
	datac => \led_flash_cnt[556][2]~q\,
	datad => \led_flash_cnt[556][1]~q\,
	combout => \WideAnd556~0_combout\);

-- Location: LCCOMB_X62_Y45_N20
\led_flash_cnt[556][5]~34672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[556][5]~34672_combout\ = (\led_flash_cnt[556][5]~q\ & (\led_flash_cnt[556][4]~34671\ $ (GND))) # (!\led_flash_cnt[556][5]~q\ & (!\led_flash_cnt[556][4]~34671\ & VCC))
-- \led_flash_cnt[556][5]~34673\ = CARRY((\led_flash_cnt[556][5]~q\ & !\led_flash_cnt[556][4]~34671\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[556][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[556][4]~34671\,
	combout => \led_flash_cnt[556][5]~34672_combout\,
	cout => \led_flash_cnt[556][5]~34673\);

-- Location: FF_X62_Y45_N21
\led_flash_cnt[556][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[556][5]~34672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[556][5]~q\);

-- Location: LCCOMB_X62_Y45_N22
\led_flash_cnt[556][6]~34674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[556][6]~34674_combout\ = (\led_flash_cnt[556][6]~q\ & (!\led_flash_cnt[556][5]~34673\)) # (!\led_flash_cnt[556][6]~q\ & ((\led_flash_cnt[556][5]~34673\) # (GND)))
-- \led_flash_cnt[556][6]~34675\ = CARRY((!\led_flash_cnt[556][5]~34673\) # (!\led_flash_cnt[556][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[556][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[556][5]~34673\,
	combout => \led_flash_cnt[556][6]~34674_combout\,
	cout => \led_flash_cnt[556][6]~34675\);

-- Location: FF_X62_Y45_N23
\led_flash_cnt[556][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[556][6]~34674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[556][6]~q\);

-- Location: LCCOMB_X62_Y45_N24
\led_flash_cnt[556][7]~34676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[556][7]~34676_combout\ = \led_flash_cnt[556][6]~34675\ $ (!\led_flash_cnt[556][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[556][7]~q\,
	cin => \led_flash_cnt[556][6]~34675\,
	combout => \led_flash_cnt[556][7]~34676_combout\);

-- Location: FF_X62_Y45_N25
\led_flash_cnt[556][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[556][7]~34676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[556][7]~q\);

-- Location: LCCOMB_X62_Y45_N4
\WideAnd556~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd556~1_combout\ = (\led_flash_cnt[556][6]~q\ & \led_flash_cnt[556][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[556][6]~q\,
	datad => \led_flash_cnt[556][5]~q\,
	combout => \WideAnd556~1_combout\);

-- Location: LCCOMB_X62_Y45_N26
WideAnd556 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd556~combout\ = (\WideAnd556~0_combout\ & (\led_flash_cnt[556][7]~q\ & (\WideAnd556~1_combout\ & \led_flash_cnt[556][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd556~0_combout\,
	datab => \led_flash_cnt[556][7]~q\,
	datac => \WideAnd556~1_combout\,
	datad => \led_flash_cnt[556][0]~q\,
	combout => \WideAnd556~combout\);

-- Location: FF_X62_Y45_N27
\led_flash_cnt_ands[556]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd556~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(556));

-- Location: LCCOMB_X62_Y45_N6
\led_flash_cnt[557][0]~81197\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[557][0]~81197_combout\ = !\led_flash_cnt[557][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[557][0]~q\,
	combout => \led_flash_cnt[557][0]~81197_combout\);

-- Location: FF_X62_Y45_N7
\led_flash_cnt[557][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[557][0]~81197_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[557][0]~q\);

-- Location: LCCOMB_X61_Y45_N18
\led_flash_cnt[557][1]~34678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[557][1]~34678_combout\ = (\led_flash_cnt[557][0]~q\ & (\led_flash_cnt[557][1]~q\ $ (VCC))) # (!\led_flash_cnt[557][0]~q\ & (\led_flash_cnt[557][1]~q\ & VCC))
-- \led_flash_cnt[557][1]~34679\ = CARRY((\led_flash_cnt[557][0]~q\ & \led_flash_cnt[557][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[557][0]~q\,
	datab => \led_flash_cnt[557][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[557][1]~34678_combout\,
	cout => \led_flash_cnt[557][1]~34679\);

-- Location: FF_X61_Y45_N19
\led_flash_cnt[557][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[557][1]~34678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[557][1]~q\);

-- Location: LCCOMB_X61_Y45_N20
\led_flash_cnt[557][2]~34680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[557][2]~34680_combout\ = (\led_flash_cnt[557][2]~q\ & (!\led_flash_cnt[557][1]~34679\)) # (!\led_flash_cnt[557][2]~q\ & ((\led_flash_cnt[557][1]~34679\) # (GND)))
-- \led_flash_cnt[557][2]~34681\ = CARRY((!\led_flash_cnt[557][1]~34679\) # (!\led_flash_cnt[557][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[557][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[557][1]~34679\,
	combout => \led_flash_cnt[557][2]~34680_combout\,
	cout => \led_flash_cnt[557][2]~34681\);

-- Location: FF_X61_Y45_N21
\led_flash_cnt[557][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[557][2]~34680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[557][2]~q\);

-- Location: LCCOMB_X61_Y45_N22
\led_flash_cnt[557][3]~34682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[557][3]~34682_combout\ = (\led_flash_cnt[557][3]~q\ & (\led_flash_cnt[557][2]~34681\ $ (GND))) # (!\led_flash_cnt[557][3]~q\ & (!\led_flash_cnt[557][2]~34681\ & VCC))
-- \led_flash_cnt[557][3]~34683\ = CARRY((\led_flash_cnt[557][3]~q\ & !\led_flash_cnt[557][2]~34681\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[557][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[557][2]~34681\,
	combout => \led_flash_cnt[557][3]~34682_combout\,
	cout => \led_flash_cnt[557][3]~34683\);

-- Location: FF_X61_Y45_N23
\led_flash_cnt[557][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[557][3]~34682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[557][3]~q\);

-- Location: LCCOMB_X61_Y45_N24
\led_flash_cnt[557][4]~34684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[557][4]~34684_combout\ = (\led_flash_cnt[557][4]~q\ & (!\led_flash_cnt[557][3]~34683\)) # (!\led_flash_cnt[557][4]~q\ & ((\led_flash_cnt[557][3]~34683\) # (GND)))
-- \led_flash_cnt[557][4]~34685\ = CARRY((!\led_flash_cnt[557][3]~34683\) # (!\led_flash_cnt[557][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[557][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[557][3]~34683\,
	combout => \led_flash_cnt[557][4]~34684_combout\,
	cout => \led_flash_cnt[557][4]~34685\);

-- Location: FF_X61_Y45_N25
\led_flash_cnt[557][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[557][4]~34684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[557][4]~q\);

-- Location: LCCOMB_X61_Y45_N2
\WideAnd557~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd557~0_combout\ = (\led_flash_cnt[557][4]~q\ & (\led_flash_cnt[557][2]~q\ & (\led_flash_cnt[557][3]~q\ & \led_flash_cnt[557][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[557][4]~q\,
	datab => \led_flash_cnt[557][2]~q\,
	datac => \led_flash_cnt[557][3]~q\,
	datad => \led_flash_cnt[557][1]~q\,
	combout => \WideAnd557~0_combout\);

-- Location: LCCOMB_X61_Y45_N26
\led_flash_cnt[557][5]~34686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[557][5]~34686_combout\ = (\led_flash_cnt[557][5]~q\ & (\led_flash_cnt[557][4]~34685\ $ (GND))) # (!\led_flash_cnt[557][5]~q\ & (!\led_flash_cnt[557][4]~34685\ & VCC))
-- \led_flash_cnt[557][5]~34687\ = CARRY((\led_flash_cnt[557][5]~q\ & !\led_flash_cnt[557][4]~34685\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[557][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[557][4]~34685\,
	combout => \led_flash_cnt[557][5]~34686_combout\,
	cout => \led_flash_cnt[557][5]~34687\);

-- Location: FF_X61_Y45_N27
\led_flash_cnt[557][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[557][5]~34686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[557][5]~q\);

-- Location: LCCOMB_X61_Y45_N28
\led_flash_cnt[557][6]~34688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[557][6]~34688_combout\ = (\led_flash_cnt[557][6]~q\ & (!\led_flash_cnt[557][5]~34687\)) # (!\led_flash_cnt[557][6]~q\ & ((\led_flash_cnt[557][5]~34687\) # (GND)))
-- \led_flash_cnt[557][6]~34689\ = CARRY((!\led_flash_cnt[557][5]~34687\) # (!\led_flash_cnt[557][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[557][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[557][5]~34687\,
	combout => \led_flash_cnt[557][6]~34688_combout\,
	cout => \led_flash_cnt[557][6]~34689\);

-- Location: FF_X61_Y45_N29
\led_flash_cnt[557][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[557][6]~34688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[557][6]~q\);

-- Location: LCCOMB_X61_Y45_N30
\led_flash_cnt[557][7]~34690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[557][7]~34690_combout\ = \led_flash_cnt[557][7]~q\ $ (!\led_flash_cnt[557][6]~34689\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[557][7]~q\,
	cin => \led_flash_cnt[557][6]~34689\,
	combout => \led_flash_cnt[557][7]~34690_combout\);

-- Location: FF_X61_Y45_N31
\led_flash_cnt[557][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[557][7]~34690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[557][7]~q\);

-- Location: LCCOMB_X62_Y45_N8
\WideAnd557~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd557~1_combout\ = (\led_flash_cnt[557][5]~q\ & \led_flash_cnt[557][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[557][5]~q\,
	datad => \led_flash_cnt[557][6]~q\,
	combout => \WideAnd557~1_combout\);

-- Location: LCCOMB_X62_Y45_N30
WideAnd557 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd557~combout\ = (\WideAnd557~0_combout\ & (\led_flash_cnt[557][7]~q\ & (\WideAnd557~1_combout\ & \led_flash_cnt[557][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd557~0_combout\,
	datab => \led_flash_cnt[557][7]~q\,
	datac => \WideAnd557~1_combout\,
	datad => \led_flash_cnt[557][0]~q\,
	combout => \WideAnd557~combout\);

-- Location: FF_X62_Y45_N31
\led_flash_cnt_ands[557]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd557~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(557));

-- Location: LCCOMB_X62_Y45_N28
\WideAnd3909~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3909~1_combout\ = (led_flash_cnt_ands(556) & led_flash_cnt_ands(557))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(556),
	datac => led_flash_cnt_ands(557),
	combout => \WideAnd3909~1_combout\);

-- Location: LCCOMB_X46_Y27_N24
\led_flash_cnt[559][0]~81199\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[559][0]~81199_combout\ = !\led_flash_cnt[559][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[559][0]~q\,
	combout => \led_flash_cnt[559][0]~81199_combout\);

-- Location: FF_X46_Y27_N25
\led_flash_cnt[559][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[559][0]~81199_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[559][0]~q\);

-- Location: LCCOMB_X46_Y27_N2
\led_flash_cnt[559][1]~34706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[559][1]~34706_combout\ = (\led_flash_cnt[559][1]~q\ & (\led_flash_cnt[559][0]~q\ $ (VCC))) # (!\led_flash_cnt[559][1]~q\ & (\led_flash_cnt[559][0]~q\ & VCC))
-- \led_flash_cnt[559][1]~34707\ = CARRY((\led_flash_cnt[559][1]~q\ & \led_flash_cnt[559][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[559][1]~q\,
	datab => \led_flash_cnt[559][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[559][1]~34706_combout\,
	cout => \led_flash_cnt[559][1]~34707\);

-- Location: FF_X46_Y27_N3
\led_flash_cnt[559][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[559][1]~34706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[559][1]~q\);

-- Location: LCCOMB_X46_Y27_N4
\led_flash_cnt[559][2]~34708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[559][2]~34708_combout\ = (\led_flash_cnt[559][2]~q\ & (!\led_flash_cnt[559][1]~34707\)) # (!\led_flash_cnt[559][2]~q\ & ((\led_flash_cnt[559][1]~34707\) # (GND)))
-- \led_flash_cnt[559][2]~34709\ = CARRY((!\led_flash_cnt[559][1]~34707\) # (!\led_flash_cnt[559][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[559][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[559][1]~34707\,
	combout => \led_flash_cnt[559][2]~34708_combout\,
	cout => \led_flash_cnt[559][2]~34709\);

-- Location: FF_X46_Y27_N5
\led_flash_cnt[559][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[559][2]~34708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[559][2]~q\);

-- Location: LCCOMB_X46_Y27_N6
\led_flash_cnt[559][3]~34710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[559][3]~34710_combout\ = (\led_flash_cnt[559][3]~q\ & (\led_flash_cnt[559][2]~34709\ $ (GND))) # (!\led_flash_cnt[559][3]~q\ & (!\led_flash_cnt[559][2]~34709\ & VCC))
-- \led_flash_cnt[559][3]~34711\ = CARRY((\led_flash_cnt[559][3]~q\ & !\led_flash_cnt[559][2]~34709\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[559][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[559][2]~34709\,
	combout => \led_flash_cnt[559][3]~34710_combout\,
	cout => \led_flash_cnt[559][3]~34711\);

-- Location: FF_X46_Y27_N7
\led_flash_cnt[559][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[559][3]~34710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[559][3]~q\);

-- Location: LCCOMB_X46_Y27_N8
\led_flash_cnt[559][4]~34712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[559][4]~34712_combout\ = (\led_flash_cnt[559][4]~q\ & (!\led_flash_cnt[559][3]~34711\)) # (!\led_flash_cnt[559][4]~q\ & ((\led_flash_cnt[559][3]~34711\) # (GND)))
-- \led_flash_cnt[559][4]~34713\ = CARRY((!\led_flash_cnt[559][3]~34711\) # (!\led_flash_cnt[559][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[559][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[559][3]~34711\,
	combout => \led_flash_cnt[559][4]~34712_combout\,
	cout => \led_flash_cnt[559][4]~34713\);

-- Location: FF_X46_Y27_N9
\led_flash_cnt[559][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[559][4]~34712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[559][4]~q\);

-- Location: LCCOMB_X46_Y27_N10
\led_flash_cnt[559][5]~34714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[559][5]~34714_combout\ = (\led_flash_cnt[559][5]~q\ & (\led_flash_cnt[559][4]~34713\ $ (GND))) # (!\led_flash_cnt[559][5]~q\ & (!\led_flash_cnt[559][4]~34713\ & VCC))
-- \led_flash_cnt[559][5]~34715\ = CARRY((\led_flash_cnt[559][5]~q\ & !\led_flash_cnt[559][4]~34713\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[559][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[559][4]~34713\,
	combout => \led_flash_cnt[559][5]~34714_combout\,
	cout => \led_flash_cnt[559][5]~34715\);

-- Location: FF_X46_Y27_N11
\led_flash_cnt[559][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[559][5]~34714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[559][5]~q\);

-- Location: LCCOMB_X46_Y27_N12
\led_flash_cnt[559][6]~34716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[559][6]~34716_combout\ = (\led_flash_cnt[559][6]~q\ & (!\led_flash_cnt[559][5]~34715\)) # (!\led_flash_cnt[559][6]~q\ & ((\led_flash_cnt[559][5]~34715\) # (GND)))
-- \led_flash_cnt[559][6]~34717\ = CARRY((!\led_flash_cnt[559][5]~34715\) # (!\led_flash_cnt[559][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[559][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[559][5]~34715\,
	combout => \led_flash_cnt[559][6]~34716_combout\,
	cout => \led_flash_cnt[559][6]~34717\);

-- Location: FF_X46_Y27_N13
\led_flash_cnt[559][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[559][6]~34716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[559][6]~q\);

-- Location: LCCOMB_X46_Y27_N26
\WideAnd559~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd559~1_combout\ = (\led_flash_cnt[559][6]~q\ & \led_flash_cnt[559][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[559][6]~q\,
	datad => \led_flash_cnt[559][5]~q\,
	combout => \WideAnd559~1_combout\);

-- Location: LCCOMB_X46_Y27_N0
\WideAnd559~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd559~0_combout\ = (\led_flash_cnt[559][1]~q\ & (\led_flash_cnt[559][4]~q\ & (\led_flash_cnt[559][2]~q\ & \led_flash_cnt[559][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[559][1]~q\,
	datab => \led_flash_cnt[559][4]~q\,
	datac => \led_flash_cnt[559][2]~q\,
	datad => \led_flash_cnt[559][3]~q\,
	combout => \WideAnd559~0_combout\);

-- Location: LCCOMB_X46_Y27_N14
\led_flash_cnt[559][7]~34718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[559][7]~34718_combout\ = \led_flash_cnt[559][7]~q\ $ (!\led_flash_cnt[559][6]~34717\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[559][7]~q\,
	cin => \led_flash_cnt[559][6]~34717\,
	combout => \led_flash_cnt[559][7]~34718_combout\);

-- Location: FF_X46_Y27_N15
\led_flash_cnt[559][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[559][7]~34718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[559][7]~q\);

-- Location: LCCOMB_X46_Y27_N20
WideAnd559 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd559~combout\ = (\WideAnd559~1_combout\ & (\WideAnd559~0_combout\ & (\led_flash_cnt[559][7]~q\ & \led_flash_cnt[559][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd559~1_combout\,
	datab => \WideAnd559~0_combout\,
	datac => \led_flash_cnt[559][7]~q\,
	datad => \led_flash_cnt[559][0]~q\,
	combout => \WideAnd559~combout\);

-- Location: FF_X46_Y27_N21
\led_flash_cnt_ands[559]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd559~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(559));

-- Location: LCCOMB_X41_Y37_N6
\led_flash_cnt[554][0]~81194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[554][0]~81194_combout\ = !\led_flash_cnt[554][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[554][0]~q\,
	combout => \led_flash_cnt[554][0]~81194_combout\);

-- Location: FF_X41_Y37_N7
\led_flash_cnt[554][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[554][0]~81194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[554][0]~q\);

-- Location: LCCOMB_X39_Y37_N14
\led_flash_cnt[554][1]~34636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[554][1]~34636_combout\ = (\led_flash_cnt[554][0]~q\ & (\led_flash_cnt[554][1]~q\ $ (VCC))) # (!\led_flash_cnt[554][0]~q\ & (\led_flash_cnt[554][1]~q\ & VCC))
-- \led_flash_cnt[554][1]~34637\ = CARRY((\led_flash_cnt[554][0]~q\ & \led_flash_cnt[554][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[554][0]~q\,
	datab => \led_flash_cnt[554][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[554][1]~34636_combout\,
	cout => \led_flash_cnt[554][1]~34637\);

-- Location: FF_X39_Y37_N15
\led_flash_cnt[554][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[554][1]~34636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[554][1]~q\);

-- Location: LCCOMB_X39_Y37_N16
\led_flash_cnt[554][2]~34638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[554][2]~34638_combout\ = (\led_flash_cnt[554][2]~q\ & (!\led_flash_cnt[554][1]~34637\)) # (!\led_flash_cnt[554][2]~q\ & ((\led_flash_cnt[554][1]~34637\) # (GND)))
-- \led_flash_cnt[554][2]~34639\ = CARRY((!\led_flash_cnt[554][1]~34637\) # (!\led_flash_cnt[554][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[554][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[554][1]~34637\,
	combout => \led_flash_cnt[554][2]~34638_combout\,
	cout => \led_flash_cnt[554][2]~34639\);

-- Location: FF_X39_Y37_N17
\led_flash_cnt[554][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[554][2]~34638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[554][2]~q\);

-- Location: LCCOMB_X39_Y37_N18
\led_flash_cnt[554][3]~34640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[554][3]~34640_combout\ = (\led_flash_cnt[554][3]~q\ & (\led_flash_cnt[554][2]~34639\ $ (GND))) # (!\led_flash_cnt[554][3]~q\ & (!\led_flash_cnt[554][2]~34639\ & VCC))
-- \led_flash_cnt[554][3]~34641\ = CARRY((\led_flash_cnt[554][3]~q\ & !\led_flash_cnt[554][2]~34639\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[554][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[554][2]~34639\,
	combout => \led_flash_cnt[554][3]~34640_combout\,
	cout => \led_flash_cnt[554][3]~34641\);

-- Location: FF_X39_Y37_N19
\led_flash_cnt[554][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[554][3]~34640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[554][3]~q\);

-- Location: LCCOMB_X39_Y37_N20
\led_flash_cnt[554][4]~34642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[554][4]~34642_combout\ = (\led_flash_cnt[554][4]~q\ & (!\led_flash_cnt[554][3]~34641\)) # (!\led_flash_cnt[554][4]~q\ & ((\led_flash_cnt[554][3]~34641\) # (GND)))
-- \led_flash_cnt[554][4]~34643\ = CARRY((!\led_flash_cnt[554][3]~34641\) # (!\led_flash_cnt[554][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[554][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[554][3]~34641\,
	combout => \led_flash_cnt[554][4]~34642_combout\,
	cout => \led_flash_cnt[554][4]~34643\);

-- Location: FF_X39_Y37_N21
\led_flash_cnt[554][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[554][4]~34642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[554][4]~q\);

-- Location: LCCOMB_X39_Y37_N22
\led_flash_cnt[554][5]~34644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[554][5]~34644_combout\ = (\led_flash_cnt[554][5]~q\ & (\led_flash_cnt[554][4]~34643\ $ (GND))) # (!\led_flash_cnt[554][5]~q\ & (!\led_flash_cnt[554][4]~34643\ & VCC))
-- \led_flash_cnt[554][5]~34645\ = CARRY((\led_flash_cnt[554][5]~q\ & !\led_flash_cnt[554][4]~34643\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[554][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[554][4]~34643\,
	combout => \led_flash_cnt[554][5]~34644_combout\,
	cout => \led_flash_cnt[554][5]~34645\);

-- Location: FF_X39_Y37_N23
\led_flash_cnt[554][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[554][5]~34644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[554][5]~q\);

-- Location: LCCOMB_X39_Y37_N24
\led_flash_cnt[554][6]~34646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[554][6]~34646_combout\ = (\led_flash_cnt[554][6]~q\ & (!\led_flash_cnt[554][5]~34645\)) # (!\led_flash_cnt[554][6]~q\ & ((\led_flash_cnt[554][5]~34645\) # (GND)))
-- \led_flash_cnt[554][6]~34647\ = CARRY((!\led_flash_cnt[554][5]~34645\) # (!\led_flash_cnt[554][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[554][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[554][5]~34645\,
	combout => \led_flash_cnt[554][6]~34646_combout\,
	cout => \led_flash_cnt[554][6]~34647\);

-- Location: FF_X39_Y37_N25
\led_flash_cnt[554][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[554][6]~34646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[554][6]~q\);

-- Location: LCCOMB_X39_Y37_N26
\led_flash_cnt[554][7]~34648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[554][7]~34648_combout\ = \led_flash_cnt[554][7]~q\ $ (!\led_flash_cnt[554][6]~34647\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[554][7]~q\,
	cin => \led_flash_cnt[554][6]~34647\,
	combout => \led_flash_cnt[554][7]~34648_combout\);

-- Location: FF_X39_Y37_N27
\led_flash_cnt[554][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[554][7]~34648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[554][7]~q\);

-- Location: LCCOMB_X39_Y37_N28
\WideAnd554~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd554~0_combout\ = (\led_flash_cnt[554][3]~q\ & (\led_flash_cnt[554][4]~q\ & (\led_flash_cnt[554][1]~q\ & \led_flash_cnt[554][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[554][3]~q\,
	datab => \led_flash_cnt[554][4]~q\,
	datac => \led_flash_cnt[554][1]~q\,
	datad => \led_flash_cnt[554][2]~q\,
	combout => \WideAnd554~0_combout\);

-- Location: LCCOMB_X40_Y37_N10
\WideAnd554~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd554~1_combout\ = (\led_flash_cnt[554][6]~q\ & \led_flash_cnt[554][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[554][6]~q\,
	datad => \led_flash_cnt[554][5]~q\,
	combout => \WideAnd554~1_combout\);

-- Location: LCCOMB_X40_Y37_N28
WideAnd554 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd554~combout\ = (\led_flash_cnt[554][7]~q\ & (\WideAnd554~0_combout\ & (\led_flash_cnt[554][0]~q\ & \WideAnd554~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[554][7]~q\,
	datab => \WideAnd554~0_combout\,
	datac => \led_flash_cnt[554][0]~q\,
	datad => \WideAnd554~1_combout\,
	combout => \WideAnd554~combout\);

-- Location: FF_X40_Y37_N29
\led_flash_cnt_ands[554]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd554~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(554));

-- Location: LCCOMB_X43_Y34_N14
\led_flash_cnt[555][0]~81195\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[555][0]~81195_combout\ = !\led_flash_cnt[555][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[555][0]~q\,
	combout => \led_flash_cnt[555][0]~81195_combout\);

-- Location: FF_X43_Y34_N15
\led_flash_cnt[555][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[555][0]~81195_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[555][0]~q\);

-- Location: LCCOMB_X44_Y34_N14
\led_flash_cnt[555][1]~34650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[555][1]~34650_combout\ = (\led_flash_cnt[555][0]~q\ & (\led_flash_cnt[555][1]~q\ $ (VCC))) # (!\led_flash_cnt[555][0]~q\ & (\led_flash_cnt[555][1]~q\ & VCC))
-- \led_flash_cnt[555][1]~34651\ = CARRY((\led_flash_cnt[555][0]~q\ & \led_flash_cnt[555][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[555][0]~q\,
	datab => \led_flash_cnt[555][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[555][1]~34650_combout\,
	cout => \led_flash_cnt[555][1]~34651\);

-- Location: FF_X44_Y34_N15
\led_flash_cnt[555][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[555][1]~34650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[555][1]~q\);

-- Location: LCCOMB_X44_Y34_N16
\led_flash_cnt[555][2]~34652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[555][2]~34652_combout\ = (\led_flash_cnt[555][2]~q\ & (!\led_flash_cnt[555][1]~34651\)) # (!\led_flash_cnt[555][2]~q\ & ((\led_flash_cnt[555][1]~34651\) # (GND)))
-- \led_flash_cnt[555][2]~34653\ = CARRY((!\led_flash_cnt[555][1]~34651\) # (!\led_flash_cnt[555][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[555][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[555][1]~34651\,
	combout => \led_flash_cnt[555][2]~34652_combout\,
	cout => \led_flash_cnt[555][2]~34653\);

-- Location: FF_X44_Y34_N17
\led_flash_cnt[555][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[555][2]~34652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[555][2]~q\);

-- Location: LCCOMB_X44_Y34_N18
\led_flash_cnt[555][3]~34654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[555][3]~34654_combout\ = (\led_flash_cnt[555][3]~q\ & (\led_flash_cnt[555][2]~34653\ $ (GND))) # (!\led_flash_cnt[555][3]~q\ & (!\led_flash_cnt[555][2]~34653\ & VCC))
-- \led_flash_cnt[555][3]~34655\ = CARRY((\led_flash_cnt[555][3]~q\ & !\led_flash_cnt[555][2]~34653\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[555][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[555][2]~34653\,
	combout => \led_flash_cnt[555][3]~34654_combout\,
	cout => \led_flash_cnt[555][3]~34655\);

-- Location: FF_X44_Y34_N19
\led_flash_cnt[555][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[555][3]~34654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[555][3]~q\);

-- Location: LCCOMB_X44_Y34_N20
\led_flash_cnt[555][4]~34656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[555][4]~34656_combout\ = (\led_flash_cnt[555][4]~q\ & (!\led_flash_cnt[555][3]~34655\)) # (!\led_flash_cnt[555][4]~q\ & ((\led_flash_cnt[555][3]~34655\) # (GND)))
-- \led_flash_cnt[555][4]~34657\ = CARRY((!\led_flash_cnt[555][3]~34655\) # (!\led_flash_cnt[555][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[555][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[555][3]~34655\,
	combout => \led_flash_cnt[555][4]~34656_combout\,
	cout => \led_flash_cnt[555][4]~34657\);

-- Location: FF_X44_Y34_N21
\led_flash_cnt[555][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[555][4]~34656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[555][4]~q\);

-- Location: LCCOMB_X44_Y34_N22
\led_flash_cnt[555][5]~34658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[555][5]~34658_combout\ = (\led_flash_cnt[555][5]~q\ & (\led_flash_cnt[555][4]~34657\ $ (GND))) # (!\led_flash_cnt[555][5]~q\ & (!\led_flash_cnt[555][4]~34657\ & VCC))
-- \led_flash_cnt[555][5]~34659\ = CARRY((\led_flash_cnt[555][5]~q\ & !\led_flash_cnt[555][4]~34657\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[555][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[555][4]~34657\,
	combout => \led_flash_cnt[555][5]~34658_combout\,
	cout => \led_flash_cnt[555][5]~34659\);

-- Location: FF_X44_Y34_N23
\led_flash_cnt[555][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[555][5]~34658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[555][5]~q\);

-- Location: LCCOMB_X44_Y34_N24
\led_flash_cnt[555][6]~34660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[555][6]~34660_combout\ = (\led_flash_cnt[555][6]~q\ & (!\led_flash_cnt[555][5]~34659\)) # (!\led_flash_cnt[555][6]~q\ & ((\led_flash_cnt[555][5]~34659\) # (GND)))
-- \led_flash_cnt[555][6]~34661\ = CARRY((!\led_flash_cnt[555][5]~34659\) # (!\led_flash_cnt[555][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[555][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[555][5]~34659\,
	combout => \led_flash_cnt[555][6]~34660_combout\,
	cout => \led_flash_cnt[555][6]~34661\);

-- Location: FF_X44_Y34_N25
\led_flash_cnt[555][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[555][6]~34660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[555][6]~q\);

-- Location: LCCOMB_X44_Y34_N26
\led_flash_cnt[555][7]~34662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[555][7]~34662_combout\ = \led_flash_cnt[555][7]~q\ $ (!\led_flash_cnt[555][6]~34661\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[555][7]~q\,
	cin => \led_flash_cnt[555][6]~34661\,
	combout => \led_flash_cnt[555][7]~34662_combout\);

-- Location: FF_X44_Y34_N27
\led_flash_cnt[555][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[555][7]~34662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[555][7]~q\);

-- Location: LCCOMB_X43_Y34_N4
\WideAnd555~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd555~1_combout\ = (\led_flash_cnt[555][6]~q\ & \led_flash_cnt[555][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[555][6]~q\,
	datad => \led_flash_cnt[555][5]~q\,
	combout => \WideAnd555~1_combout\);

-- Location: LCCOMB_X44_Y34_N28
\WideAnd555~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd555~0_combout\ = (\led_flash_cnt[555][4]~q\ & (\led_flash_cnt[555][3]~q\ & (\led_flash_cnt[555][1]~q\ & \led_flash_cnt[555][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[555][4]~q\,
	datab => \led_flash_cnt[555][3]~q\,
	datac => \led_flash_cnt[555][1]~q\,
	datad => \led_flash_cnt[555][2]~q\,
	combout => \WideAnd555~0_combout\);

-- Location: LCCOMB_X43_Y34_N0
WideAnd555 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd555~combout\ = (\led_flash_cnt[555][7]~q\ & (\led_flash_cnt[555][0]~q\ & (\WideAnd555~1_combout\ & \WideAnd555~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[555][7]~q\,
	datab => \led_flash_cnt[555][0]~q\,
	datac => \WideAnd555~1_combout\,
	datad => \WideAnd555~0_combout\,
	combout => \WideAnd555~combout\);

-- Location: FF_X43_Y34_N1
\led_flash_cnt_ands[555]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd555~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(555));

-- Location: LCCOMB_X34_Y25_N14
\led_flash_cnt[553][0]~81193\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[553][0]~81193_combout\ = !\led_flash_cnt[553][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[553][0]~q\,
	combout => \led_flash_cnt[553][0]~81193_combout\);

-- Location: FF_X34_Y25_N15
\led_flash_cnt[553][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[553][0]~81193_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[553][0]~q\);

-- Location: LCCOMB_X35_Y28_N2
\led_flash_cnt[553][1]~34622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[553][1]~34622_combout\ = (\led_flash_cnt[553][0]~q\ & (\led_flash_cnt[553][1]~q\ $ (VCC))) # (!\led_flash_cnt[553][0]~q\ & (\led_flash_cnt[553][1]~q\ & VCC))
-- \led_flash_cnt[553][1]~34623\ = CARRY((\led_flash_cnt[553][0]~q\ & \led_flash_cnt[553][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[553][0]~q\,
	datab => \led_flash_cnt[553][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[553][1]~34622_combout\,
	cout => \led_flash_cnt[553][1]~34623\);

-- Location: FF_X35_Y28_N3
\led_flash_cnt[553][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[553][1]~34622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[553][1]~q\);

-- Location: LCCOMB_X35_Y28_N4
\led_flash_cnt[553][2]~34624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[553][2]~34624_combout\ = (\led_flash_cnt[553][2]~q\ & (!\led_flash_cnt[553][1]~34623\)) # (!\led_flash_cnt[553][2]~q\ & ((\led_flash_cnt[553][1]~34623\) # (GND)))
-- \led_flash_cnt[553][2]~34625\ = CARRY((!\led_flash_cnt[553][1]~34623\) # (!\led_flash_cnt[553][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[553][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[553][1]~34623\,
	combout => \led_flash_cnt[553][2]~34624_combout\,
	cout => \led_flash_cnt[553][2]~34625\);

-- Location: FF_X35_Y28_N5
\led_flash_cnt[553][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[553][2]~34624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[553][2]~q\);

-- Location: LCCOMB_X35_Y28_N6
\led_flash_cnt[553][3]~34626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[553][3]~34626_combout\ = (\led_flash_cnt[553][3]~q\ & (\led_flash_cnt[553][2]~34625\ $ (GND))) # (!\led_flash_cnt[553][3]~q\ & (!\led_flash_cnt[553][2]~34625\ & VCC))
-- \led_flash_cnt[553][3]~34627\ = CARRY((\led_flash_cnt[553][3]~q\ & !\led_flash_cnt[553][2]~34625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[553][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[553][2]~34625\,
	combout => \led_flash_cnt[553][3]~34626_combout\,
	cout => \led_flash_cnt[553][3]~34627\);

-- Location: FF_X35_Y28_N7
\led_flash_cnt[553][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[553][3]~34626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[553][3]~q\);

-- Location: LCCOMB_X35_Y28_N8
\led_flash_cnt[553][4]~34628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[553][4]~34628_combout\ = (\led_flash_cnt[553][4]~q\ & (!\led_flash_cnt[553][3]~34627\)) # (!\led_flash_cnt[553][4]~q\ & ((\led_flash_cnt[553][3]~34627\) # (GND)))
-- \led_flash_cnt[553][4]~34629\ = CARRY((!\led_flash_cnt[553][3]~34627\) # (!\led_flash_cnt[553][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[553][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[553][3]~34627\,
	combout => \led_flash_cnt[553][4]~34628_combout\,
	cout => \led_flash_cnt[553][4]~34629\);

-- Location: FF_X35_Y28_N9
\led_flash_cnt[553][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[553][4]~34628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[553][4]~q\);

-- Location: LCCOMB_X35_Y28_N10
\led_flash_cnt[553][5]~34630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[553][5]~34630_combout\ = (\led_flash_cnt[553][5]~q\ & (\led_flash_cnt[553][4]~34629\ $ (GND))) # (!\led_flash_cnt[553][5]~q\ & (!\led_flash_cnt[553][4]~34629\ & VCC))
-- \led_flash_cnt[553][5]~34631\ = CARRY((\led_flash_cnt[553][5]~q\ & !\led_flash_cnt[553][4]~34629\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[553][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[553][4]~34629\,
	combout => \led_flash_cnt[553][5]~34630_combout\,
	cout => \led_flash_cnt[553][5]~34631\);

-- Location: FF_X35_Y28_N11
\led_flash_cnt[553][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[553][5]~34630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[553][5]~q\);

-- Location: LCCOMB_X35_Y28_N12
\led_flash_cnt[553][6]~34632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[553][6]~34632_combout\ = (\led_flash_cnt[553][6]~q\ & (!\led_flash_cnt[553][5]~34631\)) # (!\led_flash_cnt[553][6]~q\ & ((\led_flash_cnt[553][5]~34631\) # (GND)))
-- \led_flash_cnt[553][6]~34633\ = CARRY((!\led_flash_cnt[553][5]~34631\) # (!\led_flash_cnt[553][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[553][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[553][5]~34631\,
	combout => \led_flash_cnt[553][6]~34632_combout\,
	cout => \led_flash_cnt[553][6]~34633\);

-- Location: FF_X35_Y28_N13
\led_flash_cnt[553][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[553][6]~34632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[553][6]~q\);

-- Location: LCCOMB_X35_Y28_N14
\led_flash_cnt[553][7]~34634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[553][7]~34634_combout\ = \led_flash_cnt[553][7]~q\ $ (!\led_flash_cnt[553][6]~34633\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[553][7]~q\,
	cin => \led_flash_cnt[553][6]~34633\,
	combout => \led_flash_cnt[553][7]~34634_combout\);

-- Location: FF_X35_Y28_N15
\led_flash_cnt[553][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[553][7]~34634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[553][7]~q\);

-- Location: LCCOMB_X35_Y28_N30
\WideAnd553~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd553~0_combout\ = (\led_flash_cnt[553][3]~q\ & (\led_flash_cnt[553][4]~q\ & (\led_flash_cnt[553][2]~q\ & \led_flash_cnt[553][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[553][3]~q\,
	datab => \led_flash_cnt[553][4]~q\,
	datac => \led_flash_cnt[553][2]~q\,
	datad => \led_flash_cnt[553][1]~q\,
	combout => \WideAnd553~0_combout\);

-- Location: LCCOMB_X36_Y28_N28
\WideAnd553~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd553~1_combout\ = (\led_flash_cnt[553][5]~q\ & \led_flash_cnt[553][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[553][5]~q\,
	datad => \led_flash_cnt[553][6]~q\,
	combout => \WideAnd553~1_combout\);

-- Location: LCCOMB_X35_Y28_N0
WideAnd553 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd553~combout\ = (\led_flash_cnt[553][0]~q\ & (\led_flash_cnt[553][7]~q\ & (\WideAnd553~0_combout\ & \WideAnd553~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[553][0]~q\,
	datab => \led_flash_cnt[553][7]~q\,
	datac => \WideAnd553~0_combout\,
	datad => \WideAnd553~1_combout\,
	combout => \WideAnd553~combout\);

-- Location: FF_X35_Y28_N1
\led_flash_cnt_ands[553]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd553~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(553));

-- Location: LCCOMB_X43_Y34_N6
\led_flash_cnt[552][0]~81192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[552][0]~81192_combout\ = !\led_flash_cnt[552][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[552][0]~q\,
	combout => \led_flash_cnt[552][0]~81192_combout\);

-- Location: FF_X43_Y34_N7
\led_flash_cnt[552][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[552][0]~81192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[552][0]~q\);

-- Location: LCCOMB_X43_Y34_N16
\led_flash_cnt[552][1]~34608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[552][1]~34608_combout\ = (\led_flash_cnt[552][0]~q\ & (\led_flash_cnt[552][1]~q\ $ (VCC))) # (!\led_flash_cnt[552][0]~q\ & (\led_flash_cnt[552][1]~q\ & VCC))
-- \led_flash_cnt[552][1]~34609\ = CARRY((\led_flash_cnt[552][0]~q\ & \led_flash_cnt[552][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[552][0]~q\,
	datab => \led_flash_cnt[552][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[552][1]~34608_combout\,
	cout => \led_flash_cnt[552][1]~34609\);

-- Location: FF_X43_Y34_N17
\led_flash_cnt[552][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[552][1]~34608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[552][1]~q\);

-- Location: LCCOMB_X43_Y34_N18
\led_flash_cnt[552][2]~34610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[552][2]~34610_combout\ = (\led_flash_cnt[552][2]~q\ & (!\led_flash_cnt[552][1]~34609\)) # (!\led_flash_cnt[552][2]~q\ & ((\led_flash_cnt[552][1]~34609\) # (GND)))
-- \led_flash_cnt[552][2]~34611\ = CARRY((!\led_flash_cnt[552][1]~34609\) # (!\led_flash_cnt[552][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[552][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[552][1]~34609\,
	combout => \led_flash_cnt[552][2]~34610_combout\,
	cout => \led_flash_cnt[552][2]~34611\);

-- Location: FF_X43_Y34_N19
\led_flash_cnt[552][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[552][2]~34610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[552][2]~q\);

-- Location: LCCOMB_X43_Y34_N20
\led_flash_cnt[552][3]~34612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[552][3]~34612_combout\ = (\led_flash_cnt[552][3]~q\ & (\led_flash_cnt[552][2]~34611\ $ (GND))) # (!\led_flash_cnt[552][3]~q\ & (!\led_flash_cnt[552][2]~34611\ & VCC))
-- \led_flash_cnt[552][3]~34613\ = CARRY((\led_flash_cnt[552][3]~q\ & !\led_flash_cnt[552][2]~34611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[552][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[552][2]~34611\,
	combout => \led_flash_cnt[552][3]~34612_combout\,
	cout => \led_flash_cnt[552][3]~34613\);

-- Location: FF_X43_Y34_N21
\led_flash_cnt[552][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[552][3]~34612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[552][3]~q\);

-- Location: LCCOMB_X43_Y34_N22
\led_flash_cnt[552][4]~34614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[552][4]~34614_combout\ = (\led_flash_cnt[552][4]~q\ & (!\led_flash_cnt[552][3]~34613\)) # (!\led_flash_cnt[552][4]~q\ & ((\led_flash_cnt[552][3]~34613\) # (GND)))
-- \led_flash_cnt[552][4]~34615\ = CARRY((!\led_flash_cnt[552][3]~34613\) # (!\led_flash_cnt[552][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[552][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[552][3]~34613\,
	combout => \led_flash_cnt[552][4]~34614_combout\,
	cout => \led_flash_cnt[552][4]~34615\);

-- Location: FF_X43_Y34_N23
\led_flash_cnt[552][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[552][4]~34614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[552][4]~q\);

-- Location: LCCOMB_X43_Y34_N24
\led_flash_cnt[552][5]~34616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[552][5]~34616_combout\ = (\led_flash_cnt[552][5]~q\ & (\led_flash_cnt[552][4]~34615\ $ (GND))) # (!\led_flash_cnt[552][5]~q\ & (!\led_flash_cnt[552][4]~34615\ & VCC))
-- \led_flash_cnt[552][5]~34617\ = CARRY((\led_flash_cnt[552][5]~q\ & !\led_flash_cnt[552][4]~34615\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[552][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[552][4]~34615\,
	combout => \led_flash_cnt[552][5]~34616_combout\,
	cout => \led_flash_cnt[552][5]~34617\);

-- Location: FF_X43_Y34_N25
\led_flash_cnt[552][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[552][5]~34616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[552][5]~q\);

-- Location: LCCOMB_X43_Y34_N26
\led_flash_cnt[552][6]~34618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[552][6]~34618_combout\ = (\led_flash_cnt[552][6]~q\ & (!\led_flash_cnt[552][5]~34617\)) # (!\led_flash_cnt[552][6]~q\ & ((\led_flash_cnt[552][5]~34617\) # (GND)))
-- \led_flash_cnt[552][6]~34619\ = CARRY((!\led_flash_cnt[552][5]~34617\) # (!\led_flash_cnt[552][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[552][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[552][5]~34617\,
	combout => \led_flash_cnt[552][6]~34618_combout\,
	cout => \led_flash_cnt[552][6]~34619\);

-- Location: FF_X43_Y34_N27
\led_flash_cnt[552][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[552][6]~34618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[552][6]~q\);

-- Location: LCCOMB_X43_Y34_N28
\led_flash_cnt[552][7]~34620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[552][7]~34620_combout\ = \led_flash_cnt[552][6]~34619\ $ (!\led_flash_cnt[552][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[552][7]~q\,
	cin => \led_flash_cnt[552][6]~34619\,
	combout => \led_flash_cnt[552][7]~34620_combout\);

-- Location: FF_X43_Y34_N29
\led_flash_cnt[552][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[552][7]~34620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[552][7]~q\);

-- Location: LCCOMB_X43_Y34_N8
\WideAnd552~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd552~1_combout\ = (\led_flash_cnt[552][6]~q\ & \led_flash_cnt[552][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[552][6]~q\,
	datad => \led_flash_cnt[552][5]~q\,
	combout => \WideAnd552~1_combout\);

-- Location: LCCOMB_X43_Y34_N12
\WideAnd552~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd552~0_combout\ = (\led_flash_cnt[552][3]~q\ & (\led_flash_cnt[552][2]~q\ & (\led_flash_cnt[552][4]~q\ & \led_flash_cnt[552][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[552][3]~q\,
	datab => \led_flash_cnt[552][2]~q\,
	datac => \led_flash_cnt[552][4]~q\,
	datad => \led_flash_cnt[552][1]~q\,
	combout => \WideAnd552~0_combout\);

-- Location: LCCOMB_X43_Y34_N2
WideAnd552 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd552~combout\ = (\led_flash_cnt[552][0]~q\ & (\led_flash_cnt[552][7]~q\ & (\WideAnd552~1_combout\ & \WideAnd552~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[552][0]~q\,
	datab => \led_flash_cnt[552][7]~q\,
	datac => \WideAnd552~1_combout\,
	datad => \WideAnd552~0_combout\,
	combout => \WideAnd552~combout\);

-- Location: FF_X43_Y34_N3
\led_flash_cnt_ands[552]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd552~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(552));

-- Location: LCCOMB_X43_Y34_N10
\WideAnd3909~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3909~0_combout\ = (led_flash_cnt_ands(554) & (led_flash_cnt_ands(555) & (led_flash_cnt_ands(553) & led_flash_cnt_ands(552))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(554),
	datab => led_flash_cnt_ands(555),
	datac => led_flash_cnt_ands(553),
	datad => led_flash_cnt_ands(552),
	combout => \WideAnd3909~0_combout\);

-- Location: LCCOMB_X62_Y31_N24
\led_flash_cnt[558][0]~81198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[558][0]~81198_combout\ = !\led_flash_cnt[558][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[558][0]~q\,
	combout => \led_flash_cnt[558][0]~81198_combout\);

-- Location: FF_X62_Y31_N25
\led_flash_cnt[558][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[558][0]~81198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[558][0]~q\);

-- Location: LCCOMB_X61_Y31_N16
\led_flash_cnt[558][1]~34692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[558][1]~34692_combout\ = (\led_flash_cnt[558][1]~q\ & (\led_flash_cnt[558][0]~q\ $ (VCC))) # (!\led_flash_cnt[558][1]~q\ & (\led_flash_cnt[558][0]~q\ & VCC))
-- \led_flash_cnt[558][1]~34693\ = CARRY((\led_flash_cnt[558][1]~q\ & \led_flash_cnt[558][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[558][1]~q\,
	datab => \led_flash_cnt[558][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[558][1]~34692_combout\,
	cout => \led_flash_cnt[558][1]~34693\);

-- Location: FF_X61_Y31_N17
\led_flash_cnt[558][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[558][1]~34692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[558][1]~q\);

-- Location: LCCOMB_X61_Y31_N18
\led_flash_cnt[558][2]~34694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[558][2]~34694_combout\ = (\led_flash_cnt[558][2]~q\ & (!\led_flash_cnt[558][1]~34693\)) # (!\led_flash_cnt[558][2]~q\ & ((\led_flash_cnt[558][1]~34693\) # (GND)))
-- \led_flash_cnt[558][2]~34695\ = CARRY((!\led_flash_cnt[558][1]~34693\) # (!\led_flash_cnt[558][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[558][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[558][1]~34693\,
	combout => \led_flash_cnt[558][2]~34694_combout\,
	cout => \led_flash_cnt[558][2]~34695\);

-- Location: FF_X61_Y31_N19
\led_flash_cnt[558][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[558][2]~34694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[558][2]~q\);

-- Location: LCCOMB_X61_Y31_N20
\led_flash_cnt[558][3]~34696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[558][3]~34696_combout\ = (\led_flash_cnt[558][3]~q\ & (\led_flash_cnt[558][2]~34695\ $ (GND))) # (!\led_flash_cnt[558][3]~q\ & (!\led_flash_cnt[558][2]~34695\ & VCC))
-- \led_flash_cnt[558][3]~34697\ = CARRY((\led_flash_cnt[558][3]~q\ & !\led_flash_cnt[558][2]~34695\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[558][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[558][2]~34695\,
	combout => \led_flash_cnt[558][3]~34696_combout\,
	cout => \led_flash_cnt[558][3]~34697\);

-- Location: FF_X61_Y31_N21
\led_flash_cnt[558][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[558][3]~34696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[558][3]~q\);

-- Location: LCCOMB_X61_Y31_N22
\led_flash_cnt[558][4]~34698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[558][4]~34698_combout\ = (\led_flash_cnt[558][4]~q\ & (!\led_flash_cnt[558][3]~34697\)) # (!\led_flash_cnt[558][4]~q\ & ((\led_flash_cnt[558][3]~34697\) # (GND)))
-- \led_flash_cnt[558][4]~34699\ = CARRY((!\led_flash_cnt[558][3]~34697\) # (!\led_flash_cnt[558][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[558][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[558][3]~34697\,
	combout => \led_flash_cnt[558][4]~34698_combout\,
	cout => \led_flash_cnt[558][4]~34699\);

-- Location: FF_X61_Y31_N23
\led_flash_cnt[558][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[558][4]~34698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[558][4]~q\);

-- Location: LCCOMB_X61_Y31_N12
\WideAnd558~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd558~0_combout\ = (\led_flash_cnt[558][1]~q\ & (\led_flash_cnt[558][2]~q\ & (\led_flash_cnt[558][4]~q\ & \led_flash_cnt[558][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[558][1]~q\,
	datab => \led_flash_cnt[558][2]~q\,
	datac => \led_flash_cnt[558][4]~q\,
	datad => \led_flash_cnt[558][3]~q\,
	combout => \WideAnd558~0_combout\);

-- Location: LCCOMB_X61_Y31_N24
\led_flash_cnt[558][5]~34700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[558][5]~34700_combout\ = (\led_flash_cnt[558][5]~q\ & (\led_flash_cnt[558][4]~34699\ $ (GND))) # (!\led_flash_cnt[558][5]~q\ & (!\led_flash_cnt[558][4]~34699\ & VCC))
-- \led_flash_cnt[558][5]~34701\ = CARRY((\led_flash_cnt[558][5]~q\ & !\led_flash_cnt[558][4]~34699\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[558][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[558][4]~34699\,
	combout => \led_flash_cnt[558][5]~34700_combout\,
	cout => \led_flash_cnt[558][5]~34701\);

-- Location: FF_X61_Y31_N25
\led_flash_cnt[558][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[558][5]~34700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[558][5]~q\);

-- Location: LCCOMB_X61_Y31_N26
\led_flash_cnt[558][6]~34702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[558][6]~34702_combout\ = (\led_flash_cnt[558][6]~q\ & (!\led_flash_cnt[558][5]~34701\)) # (!\led_flash_cnt[558][6]~q\ & ((\led_flash_cnt[558][5]~34701\) # (GND)))
-- \led_flash_cnt[558][6]~34703\ = CARRY((!\led_flash_cnt[558][5]~34701\) # (!\led_flash_cnt[558][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[558][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[558][5]~34701\,
	combout => \led_flash_cnt[558][6]~34702_combout\,
	cout => \led_flash_cnt[558][6]~34703\);

-- Location: FF_X61_Y31_N27
\led_flash_cnt[558][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[558][6]~34702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[558][6]~q\);

-- Location: LCCOMB_X61_Y31_N28
\led_flash_cnt[558][7]~34704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[558][7]~34704_combout\ = \led_flash_cnt[558][6]~34703\ $ (!\led_flash_cnt[558][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[558][7]~q\,
	cin => \led_flash_cnt[558][6]~34703\,
	combout => \led_flash_cnt[558][7]~34704_combout\);

-- Location: FF_X61_Y31_N29
\led_flash_cnt[558][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[558][7]~34704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[558][7]~q\);

-- Location: LCCOMB_X61_Y31_N8
\WideAnd558~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd558~1_combout\ = (\led_flash_cnt[558][6]~q\ & \led_flash_cnt[558][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[558][6]~q\,
	datad => \led_flash_cnt[558][5]~q\,
	combout => \WideAnd558~1_combout\);

-- Location: LCCOMB_X61_Y31_N14
WideAnd558 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd558~combout\ = (\WideAnd558~0_combout\ & (\led_flash_cnt[558][7]~q\ & (\WideAnd558~1_combout\ & \led_flash_cnt[558][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd558~0_combout\,
	datab => \led_flash_cnt[558][7]~q\,
	datac => \WideAnd558~1_combout\,
	datad => \led_flash_cnt[558][0]~q\,
	combout => \WideAnd558~combout\);

-- Location: FF_X61_Y31_N15
\led_flash_cnt_ands[558]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd558~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(558));

-- Location: LCCOMB_X62_Y31_N28
WideAnd3909 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3909~combout\ = (\WideAnd3909~1_combout\ & (led_flash_cnt_ands(559) & (\WideAnd3909~0_combout\ & led_flash_cnt_ands(558))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3909~1_combout\,
	datab => led_flash_cnt_ands(559),
	datac => \WideAnd3909~0_combout\,
	datad => led_flash_cnt_ands(558),
	combout => \WideAnd3909~combout\);

-- Location: FF_X62_Y31_N29
\led_flash_cnt_ands_1[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3909~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(69));

-- Location: LCCOMB_X61_Y31_N10
\WideAnd4328~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4328~1_combout\ = (led_flash_cnt_ands_1(68) & led_flash_cnt_ands_1(69))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(68),
	datad => led_flash_cnt_ands_1(69),
	combout => \WideAnd4328~1_combout\);

-- Location: LCCOMB_X61_Y31_N4
WideAnd4328 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4328~combout\ = (led_flash_cnt_ands_1(71) & (led_flash_cnt_ands_1(70) & (\WideAnd4328~0_combout\ & \WideAnd4328~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(71),
	datab => led_flash_cnt_ands_1(70),
	datac => \WideAnd4328~0_combout\,
	datad => \WideAnd4328~1_combout\,
	combout => \WideAnd4328~combout\);

-- Location: FF_X61_Y31_N5
\led_flash_cnt_ands_2[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4328~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(8));

-- Location: LCCOMB_X14_Y35_N28
\led_flash_cnt[749][0]~81389\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[749][0]~81389_combout\ = !\led_flash_cnt[749][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[749][0]~q\,
	combout => \led_flash_cnt[749][0]~81389_combout\);

-- Location: FF_X14_Y35_N29
\led_flash_cnt[749][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[749][0]~81389_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[749][0]~q\);

-- Location: LCCOMB_X14_Y35_N12
\led_flash_cnt[749][1]~37366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[749][1]~37366_combout\ = (\led_flash_cnt[749][1]~q\ & (\led_flash_cnt[749][0]~q\ $ (VCC))) # (!\led_flash_cnt[749][1]~q\ & (\led_flash_cnt[749][0]~q\ & VCC))
-- \led_flash_cnt[749][1]~37367\ = CARRY((\led_flash_cnt[749][1]~q\ & \led_flash_cnt[749][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[749][1]~q\,
	datab => \led_flash_cnt[749][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[749][1]~37366_combout\,
	cout => \led_flash_cnt[749][1]~37367\);

-- Location: FF_X14_Y35_N13
\led_flash_cnt[749][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[749][1]~37366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[749][1]~q\);

-- Location: LCCOMB_X14_Y35_N14
\led_flash_cnt[749][2]~37368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[749][2]~37368_combout\ = (\led_flash_cnt[749][2]~q\ & (!\led_flash_cnt[749][1]~37367\)) # (!\led_flash_cnt[749][2]~q\ & ((\led_flash_cnt[749][1]~37367\) # (GND)))
-- \led_flash_cnt[749][2]~37369\ = CARRY((!\led_flash_cnt[749][1]~37367\) # (!\led_flash_cnt[749][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[749][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[749][1]~37367\,
	combout => \led_flash_cnt[749][2]~37368_combout\,
	cout => \led_flash_cnt[749][2]~37369\);

-- Location: FF_X14_Y35_N15
\led_flash_cnt[749][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[749][2]~37368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[749][2]~q\);

-- Location: LCCOMB_X14_Y35_N16
\led_flash_cnt[749][3]~37370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[749][3]~37370_combout\ = (\led_flash_cnt[749][3]~q\ & (\led_flash_cnt[749][2]~37369\ $ (GND))) # (!\led_flash_cnt[749][3]~q\ & (!\led_flash_cnt[749][2]~37369\ & VCC))
-- \led_flash_cnt[749][3]~37371\ = CARRY((\led_flash_cnt[749][3]~q\ & !\led_flash_cnt[749][2]~37369\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[749][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[749][2]~37369\,
	combout => \led_flash_cnt[749][3]~37370_combout\,
	cout => \led_flash_cnt[749][3]~37371\);

-- Location: FF_X14_Y35_N17
\led_flash_cnt[749][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[749][3]~37370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[749][3]~q\);

-- Location: LCCOMB_X14_Y35_N18
\led_flash_cnt[749][4]~37372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[749][4]~37372_combout\ = (\led_flash_cnt[749][4]~q\ & (!\led_flash_cnt[749][3]~37371\)) # (!\led_flash_cnt[749][4]~q\ & ((\led_flash_cnt[749][3]~37371\) # (GND)))
-- \led_flash_cnt[749][4]~37373\ = CARRY((!\led_flash_cnt[749][3]~37371\) # (!\led_flash_cnt[749][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[749][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[749][3]~37371\,
	combout => \led_flash_cnt[749][4]~37372_combout\,
	cout => \led_flash_cnt[749][4]~37373\);

-- Location: FF_X14_Y35_N19
\led_flash_cnt[749][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[749][4]~37372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[749][4]~q\);

-- Location: LCCOMB_X14_Y35_N10
\WideAnd749~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd749~0_combout\ = (\led_flash_cnt[749][4]~q\ & (\led_flash_cnt[749][3]~q\ & (\led_flash_cnt[749][2]~q\ & \led_flash_cnt[749][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[749][4]~q\,
	datab => \led_flash_cnt[749][3]~q\,
	datac => \led_flash_cnt[749][2]~q\,
	datad => \led_flash_cnt[749][1]~q\,
	combout => \WideAnd749~0_combout\);

-- Location: LCCOMB_X14_Y35_N20
\led_flash_cnt[749][5]~37374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[749][5]~37374_combout\ = (\led_flash_cnt[749][5]~q\ & (\led_flash_cnt[749][4]~37373\ $ (GND))) # (!\led_flash_cnt[749][5]~q\ & (!\led_flash_cnt[749][4]~37373\ & VCC))
-- \led_flash_cnt[749][5]~37375\ = CARRY((\led_flash_cnt[749][5]~q\ & !\led_flash_cnt[749][4]~37373\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[749][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[749][4]~37373\,
	combout => \led_flash_cnt[749][5]~37374_combout\,
	cout => \led_flash_cnt[749][5]~37375\);

-- Location: FF_X14_Y35_N21
\led_flash_cnt[749][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[749][5]~37374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[749][5]~q\);

-- Location: LCCOMB_X14_Y35_N22
\led_flash_cnt[749][6]~37376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[749][6]~37376_combout\ = (\led_flash_cnt[749][6]~q\ & (!\led_flash_cnt[749][5]~37375\)) # (!\led_flash_cnt[749][6]~q\ & ((\led_flash_cnt[749][5]~37375\) # (GND)))
-- \led_flash_cnt[749][6]~37377\ = CARRY((!\led_flash_cnt[749][5]~37375\) # (!\led_flash_cnt[749][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[749][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[749][5]~37375\,
	combout => \led_flash_cnt[749][6]~37376_combout\,
	cout => \led_flash_cnt[749][6]~37377\);

-- Location: FF_X14_Y35_N23
\led_flash_cnt[749][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[749][6]~37376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[749][6]~q\);

-- Location: LCCOMB_X14_Y35_N4
\WideAnd749~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd749~1_combout\ = (\led_flash_cnt[749][6]~q\ & \led_flash_cnt[749][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[749][6]~q\,
	datad => \led_flash_cnt[749][5]~q\,
	combout => \WideAnd749~1_combout\);

-- Location: LCCOMB_X14_Y35_N24
\led_flash_cnt[749][7]~37378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[749][7]~37378_combout\ = \led_flash_cnt[749][6]~37377\ $ (!\led_flash_cnt[749][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[749][7]~q\,
	cin => \led_flash_cnt[749][6]~37377\,
	combout => \led_flash_cnt[749][7]~37378_combout\);

-- Location: FF_X14_Y35_N25
\led_flash_cnt[749][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[749][7]~37378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[749][7]~q\);

-- Location: LCCOMB_X14_Y35_N8
WideAnd749 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd749~combout\ = (\WideAnd749~0_combout\ & (\led_flash_cnt[749][0]~q\ & (\WideAnd749~1_combout\ & \led_flash_cnt[749][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd749~0_combout\,
	datab => \led_flash_cnt[749][0]~q\,
	datac => \WideAnd749~1_combout\,
	datad => \led_flash_cnt[749][7]~q\,
	combout => \WideAnd749~combout\);

-- Location: FF_X14_Y35_N9
\led_flash_cnt_ands[749]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd749~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(749));

-- Location: LCCOMB_X14_Y35_N2
\led_flash_cnt[748][0]~81388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[748][0]~81388_combout\ = !\led_flash_cnt[748][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[748][0]~q\,
	combout => \led_flash_cnt[748][0]~81388_combout\);

-- Location: FF_X14_Y35_N3
\led_flash_cnt[748][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[748][0]~81388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[748][0]~q\);

-- Location: LCCOMB_X13_Y35_N0
\led_flash_cnt[748][1]~37352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[748][1]~37352_combout\ = (\led_flash_cnt[748][0]~q\ & (\led_flash_cnt[748][1]~q\ $ (VCC))) # (!\led_flash_cnt[748][0]~q\ & (\led_flash_cnt[748][1]~q\ & VCC))
-- \led_flash_cnt[748][1]~37353\ = CARRY((\led_flash_cnt[748][0]~q\ & \led_flash_cnt[748][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[748][0]~q\,
	datab => \led_flash_cnt[748][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[748][1]~37352_combout\,
	cout => \led_flash_cnt[748][1]~37353\);

-- Location: FF_X13_Y35_N1
\led_flash_cnt[748][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[748][1]~37352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[748][1]~q\);

-- Location: LCCOMB_X13_Y35_N2
\led_flash_cnt[748][2]~37354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[748][2]~37354_combout\ = (\led_flash_cnt[748][2]~q\ & (!\led_flash_cnt[748][1]~37353\)) # (!\led_flash_cnt[748][2]~q\ & ((\led_flash_cnt[748][1]~37353\) # (GND)))
-- \led_flash_cnt[748][2]~37355\ = CARRY((!\led_flash_cnt[748][1]~37353\) # (!\led_flash_cnt[748][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[748][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[748][1]~37353\,
	combout => \led_flash_cnt[748][2]~37354_combout\,
	cout => \led_flash_cnt[748][2]~37355\);

-- Location: FF_X13_Y35_N3
\led_flash_cnt[748][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[748][2]~37354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[748][2]~q\);

-- Location: LCCOMB_X13_Y35_N4
\led_flash_cnt[748][3]~37356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[748][3]~37356_combout\ = (\led_flash_cnt[748][3]~q\ & (\led_flash_cnt[748][2]~37355\ $ (GND))) # (!\led_flash_cnt[748][3]~q\ & (!\led_flash_cnt[748][2]~37355\ & VCC))
-- \led_flash_cnt[748][3]~37357\ = CARRY((\led_flash_cnt[748][3]~q\ & !\led_flash_cnt[748][2]~37355\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[748][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[748][2]~37355\,
	combout => \led_flash_cnt[748][3]~37356_combout\,
	cout => \led_flash_cnt[748][3]~37357\);

-- Location: FF_X13_Y35_N5
\led_flash_cnt[748][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[748][3]~37356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[748][3]~q\);

-- Location: LCCOMB_X13_Y35_N6
\led_flash_cnt[748][4]~37358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[748][4]~37358_combout\ = (\led_flash_cnt[748][4]~q\ & (!\led_flash_cnt[748][3]~37357\)) # (!\led_flash_cnt[748][4]~q\ & ((\led_flash_cnt[748][3]~37357\) # (GND)))
-- \led_flash_cnt[748][4]~37359\ = CARRY((!\led_flash_cnt[748][3]~37357\) # (!\led_flash_cnt[748][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[748][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[748][3]~37357\,
	combout => \led_flash_cnt[748][4]~37358_combout\,
	cout => \led_flash_cnt[748][4]~37359\);

-- Location: FF_X13_Y35_N7
\led_flash_cnt[748][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[748][4]~37358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[748][4]~q\);

-- Location: LCCOMB_X13_Y35_N8
\led_flash_cnt[748][5]~37360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[748][5]~37360_combout\ = (\led_flash_cnt[748][5]~q\ & (\led_flash_cnt[748][4]~37359\ $ (GND))) # (!\led_flash_cnt[748][5]~q\ & (!\led_flash_cnt[748][4]~37359\ & VCC))
-- \led_flash_cnt[748][5]~37361\ = CARRY((\led_flash_cnt[748][5]~q\ & !\led_flash_cnt[748][4]~37359\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[748][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[748][4]~37359\,
	combout => \led_flash_cnt[748][5]~37360_combout\,
	cout => \led_flash_cnt[748][5]~37361\);

-- Location: FF_X13_Y35_N9
\led_flash_cnt[748][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[748][5]~37360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[748][5]~q\);

-- Location: LCCOMB_X13_Y35_N10
\led_flash_cnt[748][6]~37362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[748][6]~37362_combout\ = (\led_flash_cnt[748][6]~q\ & (!\led_flash_cnt[748][5]~37361\)) # (!\led_flash_cnt[748][6]~q\ & ((\led_flash_cnt[748][5]~37361\) # (GND)))
-- \led_flash_cnt[748][6]~37363\ = CARRY((!\led_flash_cnt[748][5]~37361\) # (!\led_flash_cnt[748][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[748][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[748][5]~37361\,
	combout => \led_flash_cnt[748][6]~37362_combout\,
	cout => \led_flash_cnt[748][6]~37363\);

-- Location: FF_X13_Y35_N11
\led_flash_cnt[748][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[748][6]~37362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[748][6]~q\);

-- Location: LCCOMB_X13_Y35_N12
\led_flash_cnt[748][7]~37364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[748][7]~37364_combout\ = \led_flash_cnt[748][6]~37363\ $ (!\led_flash_cnt[748][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[748][7]~q\,
	cin => \led_flash_cnt[748][6]~37363\,
	combout => \led_flash_cnt[748][7]~37364_combout\);

-- Location: FF_X13_Y35_N13
\led_flash_cnt[748][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[748][7]~37364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[748][7]~q\);

-- Location: LCCOMB_X13_Y35_N30
\WideAnd748~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd748~0_combout\ = (\led_flash_cnt[748][4]~q\ & (\led_flash_cnt[748][2]~q\ & (\led_flash_cnt[748][3]~q\ & \led_flash_cnt[748][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[748][4]~q\,
	datab => \led_flash_cnt[748][2]~q\,
	datac => \led_flash_cnt[748][3]~q\,
	datad => \led_flash_cnt[748][1]~q\,
	combout => \WideAnd748~0_combout\);

-- Location: LCCOMB_X14_Y35_N30
\WideAnd748~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd748~1_combout\ = (\led_flash_cnt[748][5]~q\ & \led_flash_cnt[748][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[748][5]~q\,
	datad => \led_flash_cnt[748][6]~q\,
	combout => \WideAnd748~1_combout\);

-- Location: LCCOMB_X14_Y35_N6
WideAnd748 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd748~combout\ = (\led_flash_cnt[748][7]~q\ & (\WideAnd748~0_combout\ & (\WideAnd748~1_combout\ & \led_flash_cnt[748][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[748][7]~q\,
	datab => \WideAnd748~0_combout\,
	datac => \WideAnd748~1_combout\,
	datad => \led_flash_cnt[748][0]~q\,
	combout => \WideAnd748~combout\);

-- Location: FF_X14_Y35_N7
\led_flash_cnt_ands[748]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd748~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(748));

-- Location: LCCOMB_X14_Y35_N26
\WideAnd3933~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3933~1_combout\ = (led_flash_cnt_ands(749) & led_flash_cnt_ands(748))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(749),
	datad => led_flash_cnt_ands(748),
	combout => \WideAnd3933~1_combout\);

-- Location: LCCOMB_X43_Y35_N24
\led_flash_cnt[747][0]~81387\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[747][0]~81387_combout\ = !\led_flash_cnt[747][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[747][0]~q\,
	combout => \led_flash_cnt[747][0]~81387_combout\);

-- Location: FF_X43_Y35_N25
\led_flash_cnt[747][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[747][0]~81387_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[747][0]~q\);

-- Location: LCCOMB_X40_Y35_N0
\led_flash_cnt[747][1]~37338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[747][1]~37338_combout\ = (\led_flash_cnt[747][0]~q\ & (\led_flash_cnt[747][1]~q\ $ (VCC))) # (!\led_flash_cnt[747][0]~q\ & (\led_flash_cnt[747][1]~q\ & VCC))
-- \led_flash_cnt[747][1]~37339\ = CARRY((\led_flash_cnt[747][0]~q\ & \led_flash_cnt[747][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[747][0]~q\,
	datab => \led_flash_cnt[747][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[747][1]~37338_combout\,
	cout => \led_flash_cnt[747][1]~37339\);

-- Location: FF_X40_Y35_N1
\led_flash_cnt[747][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[747][1]~37338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[747][1]~q\);

-- Location: LCCOMB_X40_Y35_N2
\led_flash_cnt[747][2]~37340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[747][2]~37340_combout\ = (\led_flash_cnt[747][2]~q\ & (!\led_flash_cnt[747][1]~37339\)) # (!\led_flash_cnt[747][2]~q\ & ((\led_flash_cnt[747][1]~37339\) # (GND)))
-- \led_flash_cnt[747][2]~37341\ = CARRY((!\led_flash_cnt[747][1]~37339\) # (!\led_flash_cnt[747][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[747][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[747][1]~37339\,
	combout => \led_flash_cnt[747][2]~37340_combout\,
	cout => \led_flash_cnt[747][2]~37341\);

-- Location: FF_X40_Y35_N3
\led_flash_cnt[747][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[747][2]~37340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[747][2]~q\);

-- Location: LCCOMB_X40_Y35_N4
\led_flash_cnt[747][3]~37342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[747][3]~37342_combout\ = (\led_flash_cnt[747][3]~q\ & (\led_flash_cnt[747][2]~37341\ $ (GND))) # (!\led_flash_cnt[747][3]~q\ & (!\led_flash_cnt[747][2]~37341\ & VCC))
-- \led_flash_cnt[747][3]~37343\ = CARRY((\led_flash_cnt[747][3]~q\ & !\led_flash_cnt[747][2]~37341\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[747][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[747][2]~37341\,
	combout => \led_flash_cnt[747][3]~37342_combout\,
	cout => \led_flash_cnt[747][3]~37343\);

-- Location: FF_X40_Y35_N5
\led_flash_cnt[747][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[747][3]~37342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[747][3]~q\);

-- Location: LCCOMB_X40_Y35_N6
\led_flash_cnt[747][4]~37344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[747][4]~37344_combout\ = (\led_flash_cnt[747][4]~q\ & (!\led_flash_cnt[747][3]~37343\)) # (!\led_flash_cnt[747][4]~q\ & ((\led_flash_cnt[747][3]~37343\) # (GND)))
-- \led_flash_cnt[747][4]~37345\ = CARRY((!\led_flash_cnt[747][3]~37343\) # (!\led_flash_cnt[747][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[747][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[747][3]~37343\,
	combout => \led_flash_cnt[747][4]~37344_combout\,
	cout => \led_flash_cnt[747][4]~37345\);

-- Location: FF_X40_Y35_N7
\led_flash_cnt[747][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[747][4]~37344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[747][4]~q\);

-- Location: LCCOMB_X40_Y35_N8
\led_flash_cnt[747][5]~37346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[747][5]~37346_combout\ = (\led_flash_cnt[747][5]~q\ & (\led_flash_cnt[747][4]~37345\ $ (GND))) # (!\led_flash_cnt[747][5]~q\ & (!\led_flash_cnt[747][4]~37345\ & VCC))
-- \led_flash_cnt[747][5]~37347\ = CARRY((\led_flash_cnt[747][5]~q\ & !\led_flash_cnt[747][4]~37345\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[747][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[747][4]~37345\,
	combout => \led_flash_cnt[747][5]~37346_combout\,
	cout => \led_flash_cnt[747][5]~37347\);

-- Location: FF_X40_Y35_N9
\led_flash_cnt[747][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[747][5]~37346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[747][5]~q\);

-- Location: LCCOMB_X40_Y35_N10
\led_flash_cnt[747][6]~37348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[747][6]~37348_combout\ = (\led_flash_cnt[747][6]~q\ & (!\led_flash_cnt[747][5]~37347\)) # (!\led_flash_cnt[747][6]~q\ & ((\led_flash_cnt[747][5]~37347\) # (GND)))
-- \led_flash_cnt[747][6]~37349\ = CARRY((!\led_flash_cnt[747][5]~37347\) # (!\led_flash_cnt[747][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[747][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[747][5]~37347\,
	combout => \led_flash_cnt[747][6]~37348_combout\,
	cout => \led_flash_cnt[747][6]~37349\);

-- Location: FF_X40_Y35_N11
\led_flash_cnt[747][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[747][6]~37348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[747][6]~q\);

-- Location: LCCOMB_X39_Y35_N2
\WideAnd747~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd747~1_combout\ = (\led_flash_cnt[747][6]~q\ & \led_flash_cnt[747][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[747][6]~q\,
	datac => \led_flash_cnt[747][5]~q\,
	combout => \WideAnd747~1_combout\);

-- Location: LCCOMB_X40_Y35_N12
\led_flash_cnt[747][7]~37350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[747][7]~37350_combout\ = \led_flash_cnt[747][6]~37349\ $ (!\led_flash_cnt[747][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[747][7]~q\,
	cin => \led_flash_cnt[747][6]~37349\,
	combout => \led_flash_cnt[747][7]~37350_combout\);

-- Location: FF_X40_Y35_N13
\led_flash_cnt[747][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[747][7]~37350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[747][7]~q\);

-- Location: LCCOMB_X39_Y35_N24
\WideAnd747~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd747~0_combout\ = (\led_flash_cnt[747][3]~q\ & (\led_flash_cnt[747][4]~q\ & (\led_flash_cnt[747][1]~q\ & \led_flash_cnt[747][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[747][3]~q\,
	datab => \led_flash_cnt[747][4]~q\,
	datac => \led_flash_cnt[747][1]~q\,
	datad => \led_flash_cnt[747][2]~q\,
	combout => \WideAnd747~0_combout\);

-- Location: LCCOMB_X39_Y35_N26
WideAnd747 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd747~combout\ = (\led_flash_cnt[747][0]~q\ & (\WideAnd747~1_combout\ & (\led_flash_cnt[747][7]~q\ & \WideAnd747~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[747][0]~q\,
	datab => \WideAnd747~1_combout\,
	datac => \led_flash_cnt[747][7]~q\,
	datad => \WideAnd747~0_combout\,
	combout => \WideAnd747~combout\);

-- Location: FF_X39_Y35_N27
\led_flash_cnt_ands[747]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd747~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(747));

-- Location: LCCOMB_X40_Y34_N18
\led_flash_cnt[746][0]~81386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[746][0]~81386_combout\ = !\led_flash_cnt[746][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[746][0]~q\,
	combout => \led_flash_cnt[746][0]~81386_combout\);

-- Location: FF_X40_Y34_N19
\led_flash_cnt[746][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[746][0]~81386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[746][0]~q\);

-- Location: LCCOMB_X40_Y34_N4
\led_flash_cnt[746][1]~37324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[746][1]~37324_combout\ = (\led_flash_cnt[746][1]~q\ & (\led_flash_cnt[746][0]~q\ $ (VCC))) # (!\led_flash_cnt[746][1]~q\ & (\led_flash_cnt[746][0]~q\ & VCC))
-- \led_flash_cnt[746][1]~37325\ = CARRY((\led_flash_cnt[746][1]~q\ & \led_flash_cnt[746][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[746][1]~q\,
	datab => \led_flash_cnt[746][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[746][1]~37324_combout\,
	cout => \led_flash_cnt[746][1]~37325\);

-- Location: FF_X40_Y34_N5
\led_flash_cnt[746][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[746][1]~37324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[746][1]~q\);

-- Location: LCCOMB_X40_Y34_N6
\led_flash_cnt[746][2]~37326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[746][2]~37326_combout\ = (\led_flash_cnt[746][2]~q\ & (!\led_flash_cnt[746][1]~37325\)) # (!\led_flash_cnt[746][2]~q\ & ((\led_flash_cnt[746][1]~37325\) # (GND)))
-- \led_flash_cnt[746][2]~37327\ = CARRY((!\led_flash_cnt[746][1]~37325\) # (!\led_flash_cnt[746][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[746][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[746][1]~37325\,
	combout => \led_flash_cnt[746][2]~37326_combout\,
	cout => \led_flash_cnt[746][2]~37327\);

-- Location: FF_X40_Y34_N7
\led_flash_cnt[746][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[746][2]~37326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[746][2]~q\);

-- Location: LCCOMB_X40_Y34_N8
\led_flash_cnt[746][3]~37328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[746][3]~37328_combout\ = (\led_flash_cnt[746][3]~q\ & (\led_flash_cnt[746][2]~37327\ $ (GND))) # (!\led_flash_cnt[746][3]~q\ & (!\led_flash_cnt[746][2]~37327\ & VCC))
-- \led_flash_cnt[746][3]~37329\ = CARRY((\led_flash_cnt[746][3]~q\ & !\led_flash_cnt[746][2]~37327\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[746][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[746][2]~37327\,
	combout => \led_flash_cnt[746][3]~37328_combout\,
	cout => \led_flash_cnt[746][3]~37329\);

-- Location: FF_X40_Y34_N9
\led_flash_cnt[746][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[746][3]~37328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[746][3]~q\);

-- Location: LCCOMB_X40_Y34_N10
\led_flash_cnt[746][4]~37330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[746][4]~37330_combout\ = (\led_flash_cnt[746][4]~q\ & (!\led_flash_cnt[746][3]~37329\)) # (!\led_flash_cnt[746][4]~q\ & ((\led_flash_cnt[746][3]~37329\) # (GND)))
-- \led_flash_cnt[746][4]~37331\ = CARRY((!\led_flash_cnt[746][3]~37329\) # (!\led_flash_cnt[746][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[746][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[746][3]~37329\,
	combout => \led_flash_cnt[746][4]~37330_combout\,
	cout => \led_flash_cnt[746][4]~37331\);

-- Location: FF_X40_Y34_N11
\led_flash_cnt[746][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[746][4]~37330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[746][4]~q\);

-- Location: LCCOMB_X40_Y34_N30
\WideAnd746~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd746~0_combout\ = (\led_flash_cnt[746][4]~q\ & (\led_flash_cnt[746][1]~q\ & (\led_flash_cnt[746][3]~q\ & \led_flash_cnt[746][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[746][4]~q\,
	datab => \led_flash_cnt[746][1]~q\,
	datac => \led_flash_cnt[746][3]~q\,
	datad => \led_flash_cnt[746][2]~q\,
	combout => \WideAnd746~0_combout\);

-- Location: LCCOMB_X40_Y34_N12
\led_flash_cnt[746][5]~37332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[746][5]~37332_combout\ = (\led_flash_cnt[746][5]~q\ & (\led_flash_cnt[746][4]~37331\ $ (GND))) # (!\led_flash_cnt[746][5]~q\ & (!\led_flash_cnt[746][4]~37331\ & VCC))
-- \led_flash_cnt[746][5]~37333\ = CARRY((\led_flash_cnt[746][5]~q\ & !\led_flash_cnt[746][4]~37331\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[746][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[746][4]~37331\,
	combout => \led_flash_cnt[746][5]~37332_combout\,
	cout => \led_flash_cnt[746][5]~37333\);

-- Location: FF_X40_Y34_N13
\led_flash_cnt[746][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[746][5]~37332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[746][5]~q\);

-- Location: LCCOMB_X40_Y34_N14
\led_flash_cnt[746][6]~37334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[746][6]~37334_combout\ = (\led_flash_cnt[746][6]~q\ & (!\led_flash_cnt[746][5]~37333\)) # (!\led_flash_cnt[746][6]~q\ & ((\led_flash_cnt[746][5]~37333\) # (GND)))
-- \led_flash_cnt[746][6]~37335\ = CARRY((!\led_flash_cnt[746][5]~37333\) # (!\led_flash_cnt[746][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[746][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[746][5]~37333\,
	combout => \led_flash_cnt[746][6]~37334_combout\,
	cout => \led_flash_cnt[746][6]~37335\);

-- Location: FF_X40_Y34_N15
\led_flash_cnt[746][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[746][6]~37334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[746][6]~q\);

-- Location: LCCOMB_X40_Y34_N16
\led_flash_cnt[746][7]~37336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[746][7]~37336_combout\ = \led_flash_cnt[746][6]~37335\ $ (!\led_flash_cnt[746][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[746][7]~q\,
	cin => \led_flash_cnt[746][6]~37335\,
	combout => \led_flash_cnt[746][7]~37336_combout\);

-- Location: FF_X40_Y34_N17
\led_flash_cnt[746][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[746][7]~37336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[746][7]~q\);

-- Location: LCCOMB_X40_Y34_N22
\WideAnd746~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd746~1_combout\ = (\led_flash_cnt[746][6]~q\ & \led_flash_cnt[746][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[746][6]~q\,
	datad => \led_flash_cnt[746][5]~q\,
	combout => \WideAnd746~1_combout\);

-- Location: LCCOMB_X40_Y34_N28
WideAnd746 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd746~combout\ = (\WideAnd746~0_combout\ & (\led_flash_cnt[746][7]~q\ & (\WideAnd746~1_combout\ & \led_flash_cnt[746][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd746~0_combout\,
	datab => \led_flash_cnt[746][7]~q\,
	datac => \WideAnd746~1_combout\,
	datad => \led_flash_cnt[746][0]~q\,
	combout => \WideAnd746~combout\);

-- Location: FF_X40_Y34_N29
\led_flash_cnt_ands[746]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd746~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(746));

-- Location: LCCOMB_X40_Y34_N26
\led_flash_cnt[745][0]~81385\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[745][0]~81385_combout\ = !\led_flash_cnt[745][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[745][0]~q\,
	combout => \led_flash_cnt[745][0]~81385_combout\);

-- Location: FF_X40_Y34_N27
\led_flash_cnt[745][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[745][0]~81385_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[745][0]~q\);

-- Location: LCCOMB_X41_Y34_N2
\led_flash_cnt[745][1]~37310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[745][1]~37310_combout\ = (\led_flash_cnt[745][0]~q\ & (\led_flash_cnt[745][1]~q\ $ (VCC))) # (!\led_flash_cnt[745][0]~q\ & (\led_flash_cnt[745][1]~q\ & VCC))
-- \led_flash_cnt[745][1]~37311\ = CARRY((\led_flash_cnt[745][0]~q\ & \led_flash_cnt[745][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[745][0]~q\,
	datab => \led_flash_cnt[745][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[745][1]~37310_combout\,
	cout => \led_flash_cnt[745][1]~37311\);

-- Location: FF_X41_Y34_N3
\led_flash_cnt[745][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[745][1]~37310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[745][1]~q\);

-- Location: LCCOMB_X41_Y34_N4
\led_flash_cnt[745][2]~37312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[745][2]~37312_combout\ = (\led_flash_cnt[745][2]~q\ & (!\led_flash_cnt[745][1]~37311\)) # (!\led_flash_cnt[745][2]~q\ & ((\led_flash_cnt[745][1]~37311\) # (GND)))
-- \led_flash_cnt[745][2]~37313\ = CARRY((!\led_flash_cnt[745][1]~37311\) # (!\led_flash_cnt[745][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[745][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[745][1]~37311\,
	combout => \led_flash_cnt[745][2]~37312_combout\,
	cout => \led_flash_cnt[745][2]~37313\);

-- Location: FF_X41_Y34_N5
\led_flash_cnt[745][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[745][2]~37312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[745][2]~q\);

-- Location: LCCOMB_X41_Y34_N6
\led_flash_cnt[745][3]~37314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[745][3]~37314_combout\ = (\led_flash_cnt[745][3]~q\ & (\led_flash_cnt[745][2]~37313\ $ (GND))) # (!\led_flash_cnt[745][3]~q\ & (!\led_flash_cnt[745][2]~37313\ & VCC))
-- \led_flash_cnt[745][3]~37315\ = CARRY((\led_flash_cnt[745][3]~q\ & !\led_flash_cnt[745][2]~37313\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[745][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[745][2]~37313\,
	combout => \led_flash_cnt[745][3]~37314_combout\,
	cout => \led_flash_cnt[745][3]~37315\);

-- Location: FF_X41_Y34_N7
\led_flash_cnt[745][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[745][3]~37314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[745][3]~q\);

-- Location: LCCOMB_X41_Y34_N8
\led_flash_cnt[745][4]~37316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[745][4]~37316_combout\ = (\led_flash_cnt[745][4]~q\ & (!\led_flash_cnt[745][3]~37315\)) # (!\led_flash_cnt[745][4]~q\ & ((\led_flash_cnt[745][3]~37315\) # (GND)))
-- \led_flash_cnt[745][4]~37317\ = CARRY((!\led_flash_cnt[745][3]~37315\) # (!\led_flash_cnt[745][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[745][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[745][3]~37315\,
	combout => \led_flash_cnt[745][4]~37316_combout\,
	cout => \led_flash_cnt[745][4]~37317\);

-- Location: FF_X41_Y34_N9
\led_flash_cnt[745][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[745][4]~37316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[745][4]~q\);

-- Location: LCCOMB_X41_Y34_N10
\led_flash_cnt[745][5]~37318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[745][5]~37318_combout\ = (\led_flash_cnt[745][5]~q\ & (\led_flash_cnt[745][4]~37317\ $ (GND))) # (!\led_flash_cnt[745][5]~q\ & (!\led_flash_cnt[745][4]~37317\ & VCC))
-- \led_flash_cnt[745][5]~37319\ = CARRY((\led_flash_cnt[745][5]~q\ & !\led_flash_cnt[745][4]~37317\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[745][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[745][4]~37317\,
	combout => \led_flash_cnt[745][5]~37318_combout\,
	cout => \led_flash_cnt[745][5]~37319\);

-- Location: FF_X41_Y34_N11
\led_flash_cnt[745][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[745][5]~37318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[745][5]~q\);

-- Location: LCCOMB_X41_Y34_N12
\led_flash_cnt[745][6]~37320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[745][6]~37320_combout\ = (\led_flash_cnt[745][6]~q\ & (!\led_flash_cnt[745][5]~37319\)) # (!\led_flash_cnt[745][6]~q\ & ((\led_flash_cnt[745][5]~37319\) # (GND)))
-- \led_flash_cnt[745][6]~37321\ = CARRY((!\led_flash_cnt[745][5]~37319\) # (!\led_flash_cnt[745][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[745][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[745][5]~37319\,
	combout => \led_flash_cnt[745][6]~37320_combout\,
	cout => \led_flash_cnt[745][6]~37321\);

-- Location: FF_X41_Y34_N13
\led_flash_cnt[745][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[745][6]~37320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[745][6]~q\);

-- Location: LCCOMB_X41_Y34_N14
\led_flash_cnt[745][7]~37322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[745][7]~37322_combout\ = \led_flash_cnt[745][7]~q\ $ (!\led_flash_cnt[745][6]~37321\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[745][7]~q\,
	cin => \led_flash_cnt[745][6]~37321\,
	combout => \led_flash_cnt[745][7]~37322_combout\);

-- Location: FF_X41_Y34_N15
\led_flash_cnt[745][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[745][7]~37322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[745][7]~q\);

-- Location: LCCOMB_X41_Y34_N30
\WideAnd745~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd745~0_combout\ = (\led_flash_cnt[745][3]~q\ & (\led_flash_cnt[745][4]~q\ & (\led_flash_cnt[745][2]~q\ & \led_flash_cnt[745][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[745][3]~q\,
	datab => \led_flash_cnt[745][4]~q\,
	datac => \led_flash_cnt[745][2]~q\,
	datad => \led_flash_cnt[745][1]~q\,
	combout => \WideAnd745~0_combout\);

-- Location: LCCOMB_X40_Y34_N20
\WideAnd745~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd745~1_combout\ = (\led_flash_cnt[745][6]~q\ & \led_flash_cnt[745][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[745][6]~q\,
	datac => \led_flash_cnt[745][5]~q\,
	combout => \WideAnd745~1_combout\);

-- Location: LCCOMB_X40_Y34_N0
WideAnd745 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd745~combout\ = (\led_flash_cnt[745][0]~q\ & (\led_flash_cnt[745][7]~q\ & (\WideAnd745~0_combout\ & \WideAnd745~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[745][0]~q\,
	datab => \led_flash_cnt[745][7]~q\,
	datac => \WideAnd745~0_combout\,
	datad => \WideAnd745~1_combout\,
	combout => \WideAnd745~combout\);

-- Location: FF_X40_Y34_N1
\led_flash_cnt_ands[745]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd745~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(745));

-- Location: LCCOMB_X26_Y35_N12
\led_flash_cnt[744][0]~81384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[744][0]~81384_combout\ = !\led_flash_cnt[744][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[744][0]~q\,
	combout => \led_flash_cnt[744][0]~81384_combout\);

-- Location: FF_X26_Y35_N13
\led_flash_cnt[744][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[744][0]~81384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[744][0]~q\);

-- Location: LCCOMB_X26_Y35_N16
\led_flash_cnt[744][1]~37296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[744][1]~37296_combout\ = (\led_flash_cnt[744][0]~q\ & (\led_flash_cnt[744][1]~q\ $ (VCC))) # (!\led_flash_cnt[744][0]~q\ & (\led_flash_cnt[744][1]~q\ & VCC))
-- \led_flash_cnt[744][1]~37297\ = CARRY((\led_flash_cnt[744][0]~q\ & \led_flash_cnt[744][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[744][0]~q\,
	datab => \led_flash_cnt[744][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[744][1]~37296_combout\,
	cout => \led_flash_cnt[744][1]~37297\);

-- Location: FF_X26_Y35_N17
\led_flash_cnt[744][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[744][1]~37296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[744][1]~q\);

-- Location: LCCOMB_X26_Y35_N18
\led_flash_cnt[744][2]~37298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[744][2]~37298_combout\ = (\led_flash_cnt[744][2]~q\ & (!\led_flash_cnt[744][1]~37297\)) # (!\led_flash_cnt[744][2]~q\ & ((\led_flash_cnt[744][1]~37297\) # (GND)))
-- \led_flash_cnt[744][2]~37299\ = CARRY((!\led_flash_cnt[744][1]~37297\) # (!\led_flash_cnt[744][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[744][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[744][1]~37297\,
	combout => \led_flash_cnt[744][2]~37298_combout\,
	cout => \led_flash_cnt[744][2]~37299\);

-- Location: FF_X26_Y35_N19
\led_flash_cnt[744][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[744][2]~37298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[744][2]~q\);

-- Location: LCCOMB_X26_Y35_N20
\led_flash_cnt[744][3]~37300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[744][3]~37300_combout\ = (\led_flash_cnt[744][3]~q\ & (\led_flash_cnt[744][2]~37299\ $ (GND))) # (!\led_flash_cnt[744][3]~q\ & (!\led_flash_cnt[744][2]~37299\ & VCC))
-- \led_flash_cnt[744][3]~37301\ = CARRY((\led_flash_cnt[744][3]~q\ & !\led_flash_cnt[744][2]~37299\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[744][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[744][2]~37299\,
	combout => \led_flash_cnt[744][3]~37300_combout\,
	cout => \led_flash_cnt[744][3]~37301\);

-- Location: FF_X26_Y35_N21
\led_flash_cnt[744][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[744][3]~37300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[744][3]~q\);

-- Location: LCCOMB_X26_Y35_N22
\led_flash_cnt[744][4]~37302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[744][4]~37302_combout\ = (\led_flash_cnt[744][4]~q\ & (!\led_flash_cnt[744][3]~37301\)) # (!\led_flash_cnt[744][4]~q\ & ((\led_flash_cnt[744][3]~37301\) # (GND)))
-- \led_flash_cnt[744][4]~37303\ = CARRY((!\led_flash_cnt[744][3]~37301\) # (!\led_flash_cnt[744][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[744][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[744][3]~37301\,
	combout => \led_flash_cnt[744][4]~37302_combout\,
	cout => \led_flash_cnt[744][4]~37303\);

-- Location: FF_X26_Y35_N23
\led_flash_cnt[744][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[744][4]~37302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[744][4]~q\);

-- Location: LCCOMB_X26_Y35_N24
\led_flash_cnt[744][5]~37304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[744][5]~37304_combout\ = (\led_flash_cnt[744][5]~q\ & (\led_flash_cnt[744][4]~37303\ $ (GND))) # (!\led_flash_cnt[744][5]~q\ & (!\led_flash_cnt[744][4]~37303\ & VCC))
-- \led_flash_cnt[744][5]~37305\ = CARRY((\led_flash_cnt[744][5]~q\ & !\led_flash_cnt[744][4]~37303\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[744][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[744][4]~37303\,
	combout => \led_flash_cnt[744][5]~37304_combout\,
	cout => \led_flash_cnt[744][5]~37305\);

-- Location: FF_X26_Y35_N25
\led_flash_cnt[744][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[744][5]~37304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[744][5]~q\);

-- Location: LCCOMB_X26_Y35_N26
\led_flash_cnt[744][6]~37306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[744][6]~37306_combout\ = (\led_flash_cnt[744][6]~q\ & (!\led_flash_cnt[744][5]~37305\)) # (!\led_flash_cnt[744][6]~q\ & ((\led_flash_cnt[744][5]~37305\) # (GND)))
-- \led_flash_cnt[744][6]~37307\ = CARRY((!\led_flash_cnt[744][5]~37305\) # (!\led_flash_cnt[744][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[744][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[744][5]~37305\,
	combout => \led_flash_cnt[744][6]~37306_combout\,
	cout => \led_flash_cnt[744][6]~37307\);

-- Location: FF_X26_Y35_N27
\led_flash_cnt[744][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[744][6]~37306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[744][6]~q\);

-- Location: LCCOMB_X26_Y35_N14
\WideAnd744~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd744~1_combout\ = (\led_flash_cnt[744][6]~q\ & \led_flash_cnt[744][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[744][6]~q\,
	datad => \led_flash_cnt[744][5]~q\,
	combout => \WideAnd744~1_combout\);

-- Location: LCCOMB_X26_Y35_N6
\WideAnd744~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd744~0_combout\ = (\led_flash_cnt[744][1]~q\ & (\led_flash_cnt[744][2]~q\ & (\led_flash_cnt[744][4]~q\ & \led_flash_cnt[744][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[744][1]~q\,
	datab => \led_flash_cnt[744][2]~q\,
	datac => \led_flash_cnt[744][4]~q\,
	datad => \led_flash_cnt[744][3]~q\,
	combout => \WideAnd744~0_combout\);

-- Location: LCCOMB_X26_Y35_N28
\led_flash_cnt[744][7]~37308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[744][7]~37308_combout\ = \led_flash_cnt[744][6]~37307\ $ (!\led_flash_cnt[744][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[744][7]~q\,
	cin => \led_flash_cnt[744][6]~37307\,
	combout => \led_flash_cnt[744][7]~37308_combout\);

-- Location: FF_X26_Y35_N29
\led_flash_cnt[744][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[744][7]~37308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[744][7]~q\);

-- Location: LCCOMB_X27_Y35_N28
WideAnd744 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd744~combout\ = (\WideAnd744~1_combout\ & (\WideAnd744~0_combout\ & (\led_flash_cnt[744][7]~q\ & \led_flash_cnt[744][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd744~1_combout\,
	datab => \WideAnd744~0_combout\,
	datac => \led_flash_cnt[744][7]~q\,
	datad => \led_flash_cnt[744][0]~q\,
	combout => \WideAnd744~combout\);

-- Location: FF_X27_Y35_N29
\led_flash_cnt_ands[744]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd744~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(744));

-- Location: LCCOMB_X39_Y35_N22
\WideAnd3933~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3933~0_combout\ = (led_flash_cnt_ands(747) & (led_flash_cnt_ands(746) & (led_flash_cnt_ands(745) & led_flash_cnt_ands(744))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(747),
	datab => led_flash_cnt_ands(746),
	datac => led_flash_cnt_ands(745),
	datad => led_flash_cnt_ands(744),
	combout => \WideAnd3933~0_combout\);

-- Location: LCCOMB_X37_Y37_N22
\led_flash_cnt[750][0]~81390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[750][0]~81390_combout\ = !\led_flash_cnt[750][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[750][0]~q\,
	combout => \led_flash_cnt[750][0]~81390_combout\);

-- Location: FF_X37_Y37_N23
\led_flash_cnt[750][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[750][0]~81390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[750][0]~q\);

-- Location: LCCOMB_X37_Y37_N4
\led_flash_cnt[750][1]~37380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[750][1]~37380_combout\ = (\led_flash_cnt[750][0]~q\ & (\led_flash_cnt[750][1]~q\ $ (VCC))) # (!\led_flash_cnt[750][0]~q\ & (\led_flash_cnt[750][1]~q\ & VCC))
-- \led_flash_cnt[750][1]~37381\ = CARRY((\led_flash_cnt[750][0]~q\ & \led_flash_cnt[750][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[750][0]~q\,
	datab => \led_flash_cnt[750][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[750][1]~37380_combout\,
	cout => \led_flash_cnt[750][1]~37381\);

-- Location: FF_X37_Y37_N5
\led_flash_cnt[750][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[750][1]~37380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[750][1]~q\);

-- Location: LCCOMB_X37_Y37_N6
\led_flash_cnt[750][2]~37382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[750][2]~37382_combout\ = (\led_flash_cnt[750][2]~q\ & (!\led_flash_cnt[750][1]~37381\)) # (!\led_flash_cnt[750][2]~q\ & ((\led_flash_cnt[750][1]~37381\) # (GND)))
-- \led_flash_cnt[750][2]~37383\ = CARRY((!\led_flash_cnt[750][1]~37381\) # (!\led_flash_cnt[750][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[750][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[750][1]~37381\,
	combout => \led_flash_cnt[750][2]~37382_combout\,
	cout => \led_flash_cnt[750][2]~37383\);

-- Location: FF_X37_Y37_N7
\led_flash_cnt[750][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[750][2]~37382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[750][2]~q\);

-- Location: LCCOMB_X37_Y37_N8
\led_flash_cnt[750][3]~37384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[750][3]~37384_combout\ = (\led_flash_cnt[750][3]~q\ & (\led_flash_cnt[750][2]~37383\ $ (GND))) # (!\led_flash_cnt[750][3]~q\ & (!\led_flash_cnt[750][2]~37383\ & VCC))
-- \led_flash_cnt[750][3]~37385\ = CARRY((\led_flash_cnt[750][3]~q\ & !\led_flash_cnt[750][2]~37383\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[750][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[750][2]~37383\,
	combout => \led_flash_cnt[750][3]~37384_combout\,
	cout => \led_flash_cnt[750][3]~37385\);

-- Location: FF_X37_Y37_N9
\led_flash_cnt[750][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[750][3]~37384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[750][3]~q\);

-- Location: LCCOMB_X37_Y37_N10
\led_flash_cnt[750][4]~37386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[750][4]~37386_combout\ = (\led_flash_cnt[750][4]~q\ & (!\led_flash_cnt[750][3]~37385\)) # (!\led_flash_cnt[750][4]~q\ & ((\led_flash_cnt[750][3]~37385\) # (GND)))
-- \led_flash_cnt[750][4]~37387\ = CARRY((!\led_flash_cnt[750][3]~37385\) # (!\led_flash_cnt[750][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[750][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[750][3]~37385\,
	combout => \led_flash_cnt[750][4]~37386_combout\,
	cout => \led_flash_cnt[750][4]~37387\);

-- Location: FF_X37_Y37_N11
\led_flash_cnt[750][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[750][4]~37386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[750][4]~q\);

-- Location: LCCOMB_X37_Y37_N30
\WideAnd750~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd750~0_combout\ = (\led_flash_cnt[750][4]~q\ & (\led_flash_cnt[750][1]~q\ & (\led_flash_cnt[750][3]~q\ & \led_flash_cnt[750][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[750][4]~q\,
	datab => \led_flash_cnt[750][1]~q\,
	datac => \led_flash_cnt[750][3]~q\,
	datad => \led_flash_cnt[750][2]~q\,
	combout => \WideAnd750~0_combout\);

-- Location: LCCOMB_X37_Y37_N12
\led_flash_cnt[750][5]~37388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[750][5]~37388_combout\ = (\led_flash_cnt[750][5]~q\ & (\led_flash_cnt[750][4]~37387\ $ (GND))) # (!\led_flash_cnt[750][5]~q\ & (!\led_flash_cnt[750][4]~37387\ & VCC))
-- \led_flash_cnt[750][5]~37389\ = CARRY((\led_flash_cnt[750][5]~q\ & !\led_flash_cnt[750][4]~37387\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[750][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[750][4]~37387\,
	combout => \led_flash_cnt[750][5]~37388_combout\,
	cout => \led_flash_cnt[750][5]~37389\);

-- Location: FF_X37_Y37_N13
\led_flash_cnt[750][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[750][5]~37388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[750][5]~q\);

-- Location: LCCOMB_X37_Y37_N14
\led_flash_cnt[750][6]~37390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[750][6]~37390_combout\ = (\led_flash_cnt[750][6]~q\ & (!\led_flash_cnt[750][5]~37389\)) # (!\led_flash_cnt[750][6]~q\ & ((\led_flash_cnt[750][5]~37389\) # (GND)))
-- \led_flash_cnt[750][6]~37391\ = CARRY((!\led_flash_cnt[750][5]~37389\) # (!\led_flash_cnt[750][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[750][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[750][5]~37389\,
	combout => \led_flash_cnt[750][6]~37390_combout\,
	cout => \led_flash_cnt[750][6]~37391\);

-- Location: FF_X37_Y37_N15
\led_flash_cnt[750][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[750][6]~37390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[750][6]~q\);

-- Location: LCCOMB_X37_Y37_N16
\led_flash_cnt[750][7]~37392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[750][7]~37392_combout\ = \led_flash_cnt[750][6]~37391\ $ (!\led_flash_cnt[750][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[750][7]~q\,
	cin => \led_flash_cnt[750][6]~37391\,
	combout => \led_flash_cnt[750][7]~37392_combout\);

-- Location: FF_X37_Y37_N17
\led_flash_cnt[750][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[750][7]~37392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[750][7]~q\);

-- Location: LCCOMB_X37_Y37_N18
\WideAnd750~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd750~1_combout\ = (\led_flash_cnt[750][6]~q\ & \led_flash_cnt[750][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[750][6]~q\,
	datad => \led_flash_cnt[750][5]~q\,
	combout => \WideAnd750~1_combout\);

-- Location: LCCOMB_X37_Y37_N28
WideAnd750 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd750~combout\ = (\WideAnd750~0_combout\ & (\led_flash_cnt[750][7]~q\ & (\led_flash_cnt[750][0]~q\ & \WideAnd750~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd750~0_combout\,
	datab => \led_flash_cnt[750][7]~q\,
	datac => \led_flash_cnt[750][0]~q\,
	datad => \WideAnd750~1_combout\,
	combout => \WideAnd750~combout\);

-- Location: FF_X37_Y37_N29
\led_flash_cnt_ands[750]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd750~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(750));

-- Location: LCCOMB_X19_Y32_N2
\led_flash_cnt[751][0]~81391\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[751][0]~81391_combout\ = !\led_flash_cnt[751][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[751][0]~q\,
	combout => \led_flash_cnt[751][0]~81391_combout\);

-- Location: FF_X19_Y32_N3
\led_flash_cnt[751][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[751][0]~81391_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[751][0]~q\);

-- Location: LCCOMB_X19_Y32_N12
\led_flash_cnt[751][1]~37394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[751][1]~37394_combout\ = (\led_flash_cnt[751][1]~q\ & (\led_flash_cnt[751][0]~q\ $ (VCC))) # (!\led_flash_cnt[751][1]~q\ & (\led_flash_cnt[751][0]~q\ & VCC))
-- \led_flash_cnt[751][1]~37395\ = CARRY((\led_flash_cnt[751][1]~q\ & \led_flash_cnt[751][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[751][1]~q\,
	datab => \led_flash_cnt[751][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[751][1]~37394_combout\,
	cout => \led_flash_cnt[751][1]~37395\);

-- Location: FF_X19_Y32_N13
\led_flash_cnt[751][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[751][1]~37394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[751][1]~q\);

-- Location: LCCOMB_X19_Y32_N14
\led_flash_cnt[751][2]~37396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[751][2]~37396_combout\ = (\led_flash_cnt[751][2]~q\ & (!\led_flash_cnt[751][1]~37395\)) # (!\led_flash_cnt[751][2]~q\ & ((\led_flash_cnt[751][1]~37395\) # (GND)))
-- \led_flash_cnt[751][2]~37397\ = CARRY((!\led_flash_cnt[751][1]~37395\) # (!\led_flash_cnt[751][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[751][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[751][1]~37395\,
	combout => \led_flash_cnt[751][2]~37396_combout\,
	cout => \led_flash_cnt[751][2]~37397\);

-- Location: FF_X19_Y32_N15
\led_flash_cnt[751][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[751][2]~37396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[751][2]~q\);

-- Location: LCCOMB_X19_Y32_N16
\led_flash_cnt[751][3]~37398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[751][3]~37398_combout\ = (\led_flash_cnt[751][3]~q\ & (\led_flash_cnt[751][2]~37397\ $ (GND))) # (!\led_flash_cnt[751][3]~q\ & (!\led_flash_cnt[751][2]~37397\ & VCC))
-- \led_flash_cnt[751][3]~37399\ = CARRY((\led_flash_cnt[751][3]~q\ & !\led_flash_cnt[751][2]~37397\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[751][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[751][2]~37397\,
	combout => \led_flash_cnt[751][3]~37398_combout\,
	cout => \led_flash_cnt[751][3]~37399\);

-- Location: FF_X19_Y32_N17
\led_flash_cnt[751][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[751][3]~37398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[751][3]~q\);

-- Location: LCCOMB_X19_Y32_N18
\led_flash_cnt[751][4]~37400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[751][4]~37400_combout\ = (\led_flash_cnt[751][4]~q\ & (!\led_flash_cnt[751][3]~37399\)) # (!\led_flash_cnt[751][4]~q\ & ((\led_flash_cnt[751][3]~37399\) # (GND)))
-- \led_flash_cnt[751][4]~37401\ = CARRY((!\led_flash_cnt[751][3]~37399\) # (!\led_flash_cnt[751][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[751][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[751][3]~37399\,
	combout => \led_flash_cnt[751][4]~37400_combout\,
	cout => \led_flash_cnt[751][4]~37401\);

-- Location: FF_X19_Y32_N19
\led_flash_cnt[751][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[751][4]~37400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[751][4]~q\);

-- Location: LCCOMB_X19_Y32_N10
\WideAnd751~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd751~0_combout\ = (\led_flash_cnt[751][1]~q\ & (\led_flash_cnt[751][4]~q\ & (\led_flash_cnt[751][2]~q\ & \led_flash_cnt[751][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[751][1]~q\,
	datab => \led_flash_cnt[751][4]~q\,
	datac => \led_flash_cnt[751][2]~q\,
	datad => \led_flash_cnt[751][3]~q\,
	combout => \WideAnd751~0_combout\);

-- Location: LCCOMB_X19_Y32_N20
\led_flash_cnt[751][5]~37402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[751][5]~37402_combout\ = (\led_flash_cnt[751][5]~q\ & (\led_flash_cnt[751][4]~37401\ $ (GND))) # (!\led_flash_cnt[751][5]~q\ & (!\led_flash_cnt[751][4]~37401\ & VCC))
-- \led_flash_cnt[751][5]~37403\ = CARRY((\led_flash_cnt[751][5]~q\ & !\led_flash_cnt[751][4]~37401\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[751][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[751][4]~37401\,
	combout => \led_flash_cnt[751][5]~37402_combout\,
	cout => \led_flash_cnt[751][5]~37403\);

-- Location: FF_X19_Y32_N21
\led_flash_cnt[751][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[751][5]~37402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[751][5]~q\);

-- Location: LCCOMB_X19_Y32_N22
\led_flash_cnt[751][6]~37404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[751][6]~37404_combout\ = (\led_flash_cnt[751][6]~q\ & (!\led_flash_cnt[751][5]~37403\)) # (!\led_flash_cnt[751][6]~q\ & ((\led_flash_cnt[751][5]~37403\) # (GND)))
-- \led_flash_cnt[751][6]~37405\ = CARRY((!\led_flash_cnt[751][5]~37403\) # (!\led_flash_cnt[751][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[751][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[751][5]~37403\,
	combout => \led_flash_cnt[751][6]~37404_combout\,
	cout => \led_flash_cnt[751][6]~37405\);

-- Location: FF_X19_Y32_N23
\led_flash_cnt[751][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[751][6]~37404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[751][6]~q\);

-- Location: LCCOMB_X19_Y32_N4
\WideAnd751~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd751~1_combout\ = (\led_flash_cnt[751][6]~q\ & \led_flash_cnt[751][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[751][6]~q\,
	datad => \led_flash_cnt[751][5]~q\,
	combout => \WideAnd751~1_combout\);

-- Location: LCCOMB_X19_Y32_N24
\led_flash_cnt[751][7]~37406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[751][7]~37406_combout\ = \led_flash_cnt[751][6]~37405\ $ (!\led_flash_cnt[751][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[751][7]~q\,
	cin => \led_flash_cnt[751][6]~37405\,
	combout => \led_flash_cnt[751][7]~37406_combout\);

-- Location: FF_X19_Y32_N25
\led_flash_cnt[751][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[751][7]~37406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[751][7]~q\);

-- Location: LCCOMB_X19_Y32_N8
WideAnd751 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd751~combout\ = (\WideAnd751~0_combout\ & (\led_flash_cnt[751][0]~q\ & (\WideAnd751~1_combout\ & \led_flash_cnt[751][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd751~0_combout\,
	datab => \led_flash_cnt[751][0]~q\,
	datac => \WideAnd751~1_combout\,
	datad => \led_flash_cnt[751][7]~q\,
	combout => \WideAnd751~combout\);

-- Location: FF_X19_Y32_N9
\led_flash_cnt_ands[751]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd751~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(751));

-- Location: LCCOMB_X38_Y35_N0
WideAnd3933 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3933~combout\ = (\WideAnd3933~1_combout\ & (\WideAnd3933~0_combout\ & (led_flash_cnt_ands(750) & led_flash_cnt_ands(751))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3933~1_combout\,
	datab => \WideAnd3933~0_combout\,
	datac => led_flash_cnt_ands(750),
	datad => led_flash_cnt_ands(751),
	combout => \WideAnd3933~combout\);

-- Location: FF_X38_Y35_N1
\led_flash_cnt_ands_1[93]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3933~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(93));

-- Location: LCCOMB_X67_Y38_N2
\led_flash_cnt[741][0]~81381\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[741][0]~81381_combout\ = !\led_flash_cnt[741][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[741][0]~q\,
	combout => \led_flash_cnt[741][0]~81381_combout\);

-- Location: FF_X67_Y38_N3
\led_flash_cnt[741][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[741][0]~81381_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[741][0]~q\);

-- Location: LCCOMB_X66_Y38_N18
\led_flash_cnt[741][1]~37254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[741][1]~37254_combout\ = (\led_flash_cnt[741][0]~q\ & (\led_flash_cnt[741][1]~q\ $ (VCC))) # (!\led_flash_cnt[741][0]~q\ & (\led_flash_cnt[741][1]~q\ & VCC))
-- \led_flash_cnt[741][1]~37255\ = CARRY((\led_flash_cnt[741][0]~q\ & \led_flash_cnt[741][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[741][0]~q\,
	datab => \led_flash_cnt[741][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[741][1]~37254_combout\,
	cout => \led_flash_cnt[741][1]~37255\);

-- Location: FF_X66_Y38_N19
\led_flash_cnt[741][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[741][1]~37254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[741][1]~q\);

-- Location: LCCOMB_X66_Y38_N20
\led_flash_cnt[741][2]~37256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[741][2]~37256_combout\ = (\led_flash_cnt[741][2]~q\ & (!\led_flash_cnt[741][1]~37255\)) # (!\led_flash_cnt[741][2]~q\ & ((\led_flash_cnt[741][1]~37255\) # (GND)))
-- \led_flash_cnt[741][2]~37257\ = CARRY((!\led_flash_cnt[741][1]~37255\) # (!\led_flash_cnt[741][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[741][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[741][1]~37255\,
	combout => \led_flash_cnt[741][2]~37256_combout\,
	cout => \led_flash_cnt[741][2]~37257\);

-- Location: FF_X66_Y38_N21
\led_flash_cnt[741][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[741][2]~37256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[741][2]~q\);

-- Location: LCCOMB_X66_Y38_N22
\led_flash_cnt[741][3]~37258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[741][3]~37258_combout\ = (\led_flash_cnt[741][3]~q\ & (\led_flash_cnt[741][2]~37257\ $ (GND))) # (!\led_flash_cnt[741][3]~q\ & (!\led_flash_cnt[741][2]~37257\ & VCC))
-- \led_flash_cnt[741][3]~37259\ = CARRY((\led_flash_cnt[741][3]~q\ & !\led_flash_cnt[741][2]~37257\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[741][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[741][2]~37257\,
	combout => \led_flash_cnt[741][3]~37258_combout\,
	cout => \led_flash_cnt[741][3]~37259\);

-- Location: FF_X66_Y38_N23
\led_flash_cnt[741][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[741][3]~37258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[741][3]~q\);

-- Location: LCCOMB_X66_Y38_N24
\led_flash_cnt[741][4]~37260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[741][4]~37260_combout\ = (\led_flash_cnt[741][4]~q\ & (!\led_flash_cnt[741][3]~37259\)) # (!\led_flash_cnt[741][4]~q\ & ((\led_flash_cnt[741][3]~37259\) # (GND)))
-- \led_flash_cnt[741][4]~37261\ = CARRY((!\led_flash_cnt[741][3]~37259\) # (!\led_flash_cnt[741][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[741][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[741][3]~37259\,
	combout => \led_flash_cnt[741][4]~37260_combout\,
	cout => \led_flash_cnt[741][4]~37261\);

-- Location: FF_X66_Y38_N25
\led_flash_cnt[741][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[741][4]~37260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[741][4]~q\);

-- Location: LCCOMB_X66_Y38_N26
\led_flash_cnt[741][5]~37262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[741][5]~37262_combout\ = (\led_flash_cnt[741][5]~q\ & (\led_flash_cnt[741][4]~37261\ $ (GND))) # (!\led_flash_cnt[741][5]~q\ & (!\led_flash_cnt[741][4]~37261\ & VCC))
-- \led_flash_cnt[741][5]~37263\ = CARRY((\led_flash_cnt[741][5]~q\ & !\led_flash_cnt[741][4]~37261\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[741][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[741][4]~37261\,
	combout => \led_flash_cnt[741][5]~37262_combout\,
	cout => \led_flash_cnt[741][5]~37263\);

-- Location: FF_X66_Y38_N27
\led_flash_cnt[741][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[741][5]~37262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[741][5]~q\);

-- Location: LCCOMB_X66_Y38_N28
\led_flash_cnt[741][6]~37264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[741][6]~37264_combout\ = (\led_flash_cnt[741][6]~q\ & (!\led_flash_cnt[741][5]~37263\)) # (!\led_flash_cnt[741][6]~q\ & ((\led_flash_cnt[741][5]~37263\) # (GND)))
-- \led_flash_cnt[741][6]~37265\ = CARRY((!\led_flash_cnt[741][5]~37263\) # (!\led_flash_cnt[741][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[741][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[741][5]~37263\,
	combout => \led_flash_cnt[741][6]~37264_combout\,
	cout => \led_flash_cnt[741][6]~37265\);

-- Location: FF_X66_Y38_N29
\led_flash_cnt[741][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[741][6]~37264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[741][6]~q\);

-- Location: LCCOMB_X67_Y38_N6
\WideAnd741~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd741~1_combout\ = (\led_flash_cnt[741][5]~q\ & \led_flash_cnt[741][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[741][5]~q\,
	datad => \led_flash_cnt[741][6]~q\,
	combout => \WideAnd741~1_combout\);

-- Location: LCCOMB_X66_Y38_N30
\led_flash_cnt[741][7]~37266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[741][7]~37266_combout\ = \led_flash_cnt[741][7]~q\ $ (!\led_flash_cnt[741][6]~37265\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[741][7]~q\,
	cin => \led_flash_cnt[741][6]~37265\,
	combout => \led_flash_cnt[741][7]~37266_combout\);

-- Location: FF_X66_Y38_N31
\led_flash_cnt[741][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[741][7]~37266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[741][7]~q\);

-- Location: LCCOMB_X66_Y38_N16
\WideAnd741~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd741~0_combout\ = (\led_flash_cnt[741][4]~q\ & (\led_flash_cnt[741][2]~q\ & (\led_flash_cnt[741][3]~q\ & \led_flash_cnt[741][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[741][4]~q\,
	datab => \led_flash_cnt[741][2]~q\,
	datac => \led_flash_cnt[741][3]~q\,
	datad => \led_flash_cnt[741][1]~q\,
	combout => \WideAnd741~0_combout\);

-- Location: LCCOMB_X67_Y38_N14
WideAnd741 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd741~combout\ = (\WideAnd741~1_combout\ & (\led_flash_cnt[741][7]~q\ & (\WideAnd741~0_combout\ & \led_flash_cnt[741][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd741~1_combout\,
	datab => \led_flash_cnt[741][7]~q\,
	datac => \WideAnd741~0_combout\,
	datad => \led_flash_cnt[741][0]~q\,
	combout => \WideAnd741~combout\);

-- Location: FF_X67_Y38_N15
\led_flash_cnt_ands[741]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd741~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(741));

-- Location: LCCOMB_X67_Y38_N12
\led_flash_cnt[740][0]~81380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[740][0]~81380_combout\ = !\led_flash_cnt[740][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[740][0]~q\,
	combout => \led_flash_cnt[740][0]~81380_combout\);

-- Location: FF_X67_Y38_N13
\led_flash_cnt[740][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[740][0]~81380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[740][0]~q\);

-- Location: LCCOMB_X67_Y38_N18
\led_flash_cnt[740][1]~37240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[740][1]~37240_combout\ = (\led_flash_cnt[740][0]~q\ & (\led_flash_cnt[740][1]~q\ $ (VCC))) # (!\led_flash_cnt[740][0]~q\ & (\led_flash_cnt[740][1]~q\ & VCC))
-- \led_flash_cnt[740][1]~37241\ = CARRY((\led_flash_cnt[740][0]~q\ & \led_flash_cnt[740][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[740][0]~q\,
	datab => \led_flash_cnt[740][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[740][1]~37240_combout\,
	cout => \led_flash_cnt[740][1]~37241\);

-- Location: FF_X67_Y38_N19
\led_flash_cnt[740][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[740][1]~37240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[740][1]~q\);

-- Location: LCCOMB_X67_Y38_N20
\led_flash_cnt[740][2]~37242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[740][2]~37242_combout\ = (\led_flash_cnt[740][2]~q\ & (!\led_flash_cnt[740][1]~37241\)) # (!\led_flash_cnt[740][2]~q\ & ((\led_flash_cnt[740][1]~37241\) # (GND)))
-- \led_flash_cnt[740][2]~37243\ = CARRY((!\led_flash_cnt[740][1]~37241\) # (!\led_flash_cnt[740][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[740][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[740][1]~37241\,
	combout => \led_flash_cnt[740][2]~37242_combout\,
	cout => \led_flash_cnt[740][2]~37243\);

-- Location: FF_X67_Y38_N21
\led_flash_cnt[740][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[740][2]~37242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[740][2]~q\);

-- Location: LCCOMB_X67_Y38_N22
\led_flash_cnt[740][3]~37244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[740][3]~37244_combout\ = (\led_flash_cnt[740][3]~q\ & (\led_flash_cnt[740][2]~37243\ $ (GND))) # (!\led_flash_cnt[740][3]~q\ & (!\led_flash_cnt[740][2]~37243\ & VCC))
-- \led_flash_cnt[740][3]~37245\ = CARRY((\led_flash_cnt[740][3]~q\ & !\led_flash_cnt[740][2]~37243\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[740][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[740][2]~37243\,
	combout => \led_flash_cnt[740][3]~37244_combout\,
	cout => \led_flash_cnt[740][3]~37245\);

-- Location: FF_X67_Y38_N23
\led_flash_cnt[740][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[740][3]~37244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[740][3]~q\);

-- Location: LCCOMB_X67_Y38_N24
\led_flash_cnt[740][4]~37246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[740][4]~37246_combout\ = (\led_flash_cnt[740][4]~q\ & (!\led_flash_cnt[740][3]~37245\)) # (!\led_flash_cnt[740][4]~q\ & ((\led_flash_cnt[740][3]~37245\) # (GND)))
-- \led_flash_cnt[740][4]~37247\ = CARRY((!\led_flash_cnt[740][3]~37245\) # (!\led_flash_cnt[740][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[740][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[740][3]~37245\,
	combout => \led_flash_cnt[740][4]~37246_combout\,
	cout => \led_flash_cnt[740][4]~37247\);

-- Location: FF_X67_Y38_N25
\led_flash_cnt[740][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[740][4]~37246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[740][4]~q\);

-- Location: LCCOMB_X67_Y38_N26
\led_flash_cnt[740][5]~37248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[740][5]~37248_combout\ = (\led_flash_cnt[740][5]~q\ & (\led_flash_cnt[740][4]~37247\ $ (GND))) # (!\led_flash_cnt[740][5]~q\ & (!\led_flash_cnt[740][4]~37247\ & VCC))
-- \led_flash_cnt[740][5]~37249\ = CARRY((\led_flash_cnt[740][5]~q\ & !\led_flash_cnt[740][4]~37247\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[740][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[740][4]~37247\,
	combout => \led_flash_cnt[740][5]~37248_combout\,
	cout => \led_flash_cnt[740][5]~37249\);

-- Location: FF_X67_Y38_N27
\led_flash_cnt[740][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[740][5]~37248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[740][5]~q\);

-- Location: LCCOMB_X67_Y38_N28
\led_flash_cnt[740][6]~37250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[740][6]~37250_combout\ = (\led_flash_cnt[740][6]~q\ & (!\led_flash_cnt[740][5]~37249\)) # (!\led_flash_cnt[740][6]~q\ & ((\led_flash_cnt[740][5]~37249\) # (GND)))
-- \led_flash_cnt[740][6]~37251\ = CARRY((!\led_flash_cnt[740][5]~37249\) # (!\led_flash_cnt[740][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[740][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[740][5]~37249\,
	combout => \led_flash_cnt[740][6]~37250_combout\,
	cout => \led_flash_cnt[740][6]~37251\);

-- Location: FF_X67_Y38_N29
\led_flash_cnt[740][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[740][6]~37250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[740][6]~q\);

-- Location: LCCOMB_X67_Y38_N10
\WideAnd740~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd740~1_combout\ = (\led_flash_cnt[740][5]~q\ & \led_flash_cnt[740][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[740][5]~q\,
	datad => \led_flash_cnt[740][6]~q\,
	combout => \WideAnd740~1_combout\);

-- Location: LCCOMB_X67_Y38_N16
\WideAnd740~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd740~0_combout\ = (\led_flash_cnt[740][4]~q\ & (\led_flash_cnt[740][2]~q\ & (\led_flash_cnt[740][3]~q\ & \led_flash_cnt[740][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[740][4]~q\,
	datab => \led_flash_cnt[740][2]~q\,
	datac => \led_flash_cnt[740][3]~q\,
	datad => \led_flash_cnt[740][1]~q\,
	combout => \WideAnd740~0_combout\);

-- Location: LCCOMB_X67_Y38_N30
\led_flash_cnt[740][7]~37252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[740][7]~37252_combout\ = \led_flash_cnt[740][7]~q\ $ (!\led_flash_cnt[740][6]~37251\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[740][7]~q\,
	cin => \led_flash_cnt[740][6]~37251\,
	combout => \led_flash_cnt[740][7]~37252_combout\);

-- Location: FF_X67_Y38_N31
\led_flash_cnt[740][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[740][7]~37252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[740][7]~q\);

-- Location: LCCOMB_X67_Y38_N0
WideAnd740 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd740~combout\ = (\WideAnd740~1_combout\ & (\WideAnd740~0_combout\ & (\led_flash_cnt[740][7]~q\ & \led_flash_cnt[740][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd740~1_combout\,
	datab => \WideAnd740~0_combout\,
	datac => \led_flash_cnt[740][7]~q\,
	datad => \led_flash_cnt[740][0]~q\,
	combout => \WideAnd740~combout\);

-- Location: FF_X67_Y38_N1
\led_flash_cnt_ands[740]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd740~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(740));

-- Location: LCCOMB_X67_Y38_N8
\WideAnd3932~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3932~1_combout\ = (led_flash_cnt_ands(741) & led_flash_cnt_ands(740))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(741),
	datad => led_flash_cnt_ands(740),
	combout => \WideAnd3932~1_combout\);

-- Location: LCCOMB_X65_Y21_N24
\led_flash_cnt[742][0]~81382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[742][0]~81382_combout\ = !\led_flash_cnt[742][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[742][0]~q\,
	combout => \led_flash_cnt[742][0]~81382_combout\);

-- Location: FF_X65_Y21_N25
\led_flash_cnt[742][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[742][0]~81382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[742][0]~q\);

-- Location: LCCOMB_X65_Y21_N2
\led_flash_cnt[742][1]~37268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[742][1]~37268_combout\ = (\led_flash_cnt[742][1]~q\ & (\led_flash_cnt[742][0]~q\ $ (VCC))) # (!\led_flash_cnt[742][1]~q\ & (\led_flash_cnt[742][0]~q\ & VCC))
-- \led_flash_cnt[742][1]~37269\ = CARRY((\led_flash_cnt[742][1]~q\ & \led_flash_cnt[742][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[742][1]~q\,
	datab => \led_flash_cnt[742][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[742][1]~37268_combout\,
	cout => \led_flash_cnt[742][1]~37269\);

-- Location: FF_X65_Y21_N3
\led_flash_cnt[742][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[742][1]~37268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[742][1]~q\);

-- Location: LCCOMB_X65_Y21_N4
\led_flash_cnt[742][2]~37270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[742][2]~37270_combout\ = (\led_flash_cnt[742][2]~q\ & (!\led_flash_cnt[742][1]~37269\)) # (!\led_flash_cnt[742][2]~q\ & ((\led_flash_cnt[742][1]~37269\) # (GND)))
-- \led_flash_cnt[742][2]~37271\ = CARRY((!\led_flash_cnt[742][1]~37269\) # (!\led_flash_cnt[742][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[742][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[742][1]~37269\,
	combout => \led_flash_cnt[742][2]~37270_combout\,
	cout => \led_flash_cnt[742][2]~37271\);

-- Location: FF_X65_Y21_N5
\led_flash_cnt[742][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[742][2]~37270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[742][2]~q\);

-- Location: LCCOMB_X65_Y21_N6
\led_flash_cnt[742][3]~37272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[742][3]~37272_combout\ = (\led_flash_cnt[742][3]~q\ & (\led_flash_cnt[742][2]~37271\ $ (GND))) # (!\led_flash_cnt[742][3]~q\ & (!\led_flash_cnt[742][2]~37271\ & VCC))
-- \led_flash_cnt[742][3]~37273\ = CARRY((\led_flash_cnt[742][3]~q\ & !\led_flash_cnt[742][2]~37271\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[742][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[742][2]~37271\,
	combout => \led_flash_cnt[742][3]~37272_combout\,
	cout => \led_flash_cnt[742][3]~37273\);

-- Location: FF_X65_Y21_N7
\led_flash_cnt[742][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[742][3]~37272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[742][3]~q\);

-- Location: LCCOMB_X65_Y21_N8
\led_flash_cnt[742][4]~37274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[742][4]~37274_combout\ = (\led_flash_cnt[742][4]~q\ & (!\led_flash_cnt[742][3]~37273\)) # (!\led_flash_cnt[742][4]~q\ & ((\led_flash_cnt[742][3]~37273\) # (GND)))
-- \led_flash_cnt[742][4]~37275\ = CARRY((!\led_flash_cnt[742][3]~37273\) # (!\led_flash_cnt[742][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[742][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[742][3]~37273\,
	combout => \led_flash_cnt[742][4]~37274_combout\,
	cout => \led_flash_cnt[742][4]~37275\);

-- Location: FF_X65_Y21_N9
\led_flash_cnt[742][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[742][4]~37274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[742][4]~q\);

-- Location: LCCOMB_X65_Y21_N10
\led_flash_cnt[742][5]~37276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[742][5]~37276_combout\ = (\led_flash_cnt[742][5]~q\ & (\led_flash_cnt[742][4]~37275\ $ (GND))) # (!\led_flash_cnt[742][5]~q\ & (!\led_flash_cnt[742][4]~37275\ & VCC))
-- \led_flash_cnt[742][5]~37277\ = CARRY((\led_flash_cnt[742][5]~q\ & !\led_flash_cnt[742][4]~37275\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[742][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[742][4]~37275\,
	combout => \led_flash_cnt[742][5]~37276_combout\,
	cout => \led_flash_cnt[742][5]~37277\);

-- Location: FF_X65_Y21_N11
\led_flash_cnt[742][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[742][5]~37276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[742][5]~q\);

-- Location: LCCOMB_X65_Y21_N12
\led_flash_cnt[742][6]~37278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[742][6]~37278_combout\ = (\led_flash_cnt[742][6]~q\ & (!\led_flash_cnt[742][5]~37277\)) # (!\led_flash_cnt[742][6]~q\ & ((\led_flash_cnt[742][5]~37277\) # (GND)))
-- \led_flash_cnt[742][6]~37279\ = CARRY((!\led_flash_cnt[742][5]~37277\) # (!\led_flash_cnt[742][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[742][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[742][5]~37277\,
	combout => \led_flash_cnt[742][6]~37278_combout\,
	cout => \led_flash_cnt[742][6]~37279\);

-- Location: FF_X65_Y21_N13
\led_flash_cnt[742][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[742][6]~37278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[742][6]~q\);

-- Location: LCCOMB_X65_Y21_N26
\WideAnd742~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd742~1_combout\ = (\led_flash_cnt[742][5]~q\ & \led_flash_cnt[742][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[742][5]~q\,
	datad => \led_flash_cnt[742][6]~q\,
	combout => \WideAnd742~1_combout\);

-- Location: LCCOMB_X65_Y21_N14
\led_flash_cnt[742][7]~37280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[742][7]~37280_combout\ = \led_flash_cnt[742][7]~q\ $ (!\led_flash_cnt[742][6]~37279\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[742][7]~q\,
	cin => \led_flash_cnt[742][6]~37279\,
	combout => \led_flash_cnt[742][7]~37280_combout\);

-- Location: FF_X65_Y21_N15
\led_flash_cnt[742][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[742][7]~37280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[742][7]~q\);

-- Location: LCCOMB_X65_Y21_N18
\WideAnd742~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd742~0_combout\ = (\led_flash_cnt[742][1]~q\ & (\led_flash_cnt[742][4]~q\ & (\led_flash_cnt[742][2]~q\ & \led_flash_cnt[742][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[742][1]~q\,
	datab => \led_flash_cnt[742][4]~q\,
	datac => \led_flash_cnt[742][2]~q\,
	datad => \led_flash_cnt[742][3]~q\,
	combout => \WideAnd742~0_combout\);

-- Location: LCCOMB_X65_Y21_N16
WideAnd742 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd742~combout\ = (\WideAnd742~1_combout\ & (\led_flash_cnt[742][0]~q\ & (\led_flash_cnt[742][7]~q\ & \WideAnd742~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd742~1_combout\,
	datab => \led_flash_cnt[742][0]~q\,
	datac => \led_flash_cnt[742][7]~q\,
	datad => \WideAnd742~0_combout\,
	combout => \WideAnd742~combout\);

-- Location: FF_X65_Y21_N17
\led_flash_cnt_ands[742]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd742~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(742));

-- Location: LCCOMB_X61_Y25_N22
\led_flash_cnt[743][0]~81383\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[743][0]~81383_combout\ = !\led_flash_cnt[743][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[743][0]~q\,
	combout => \led_flash_cnt[743][0]~81383_combout\);

-- Location: FF_X61_Y25_N23
\led_flash_cnt[743][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[743][0]~81383_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[743][0]~q\);

-- Location: LCCOMB_X61_Y25_N2
\led_flash_cnt[743][1]~37282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[743][1]~37282_combout\ = (\led_flash_cnt[743][0]~q\ & (\led_flash_cnt[743][1]~q\ $ (VCC))) # (!\led_flash_cnt[743][0]~q\ & (\led_flash_cnt[743][1]~q\ & VCC))
-- \led_flash_cnt[743][1]~37283\ = CARRY((\led_flash_cnt[743][0]~q\ & \led_flash_cnt[743][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[743][0]~q\,
	datab => \led_flash_cnt[743][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[743][1]~37282_combout\,
	cout => \led_flash_cnt[743][1]~37283\);

-- Location: FF_X61_Y25_N3
\led_flash_cnt[743][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[743][1]~37282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[743][1]~q\);

-- Location: LCCOMB_X61_Y25_N4
\led_flash_cnt[743][2]~37284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[743][2]~37284_combout\ = (\led_flash_cnt[743][2]~q\ & (!\led_flash_cnt[743][1]~37283\)) # (!\led_flash_cnt[743][2]~q\ & ((\led_flash_cnt[743][1]~37283\) # (GND)))
-- \led_flash_cnt[743][2]~37285\ = CARRY((!\led_flash_cnt[743][1]~37283\) # (!\led_flash_cnt[743][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[743][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[743][1]~37283\,
	combout => \led_flash_cnt[743][2]~37284_combout\,
	cout => \led_flash_cnt[743][2]~37285\);

-- Location: FF_X61_Y25_N5
\led_flash_cnt[743][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[743][2]~37284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[743][2]~q\);

-- Location: LCCOMB_X61_Y25_N6
\led_flash_cnt[743][3]~37286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[743][3]~37286_combout\ = (\led_flash_cnt[743][3]~q\ & (\led_flash_cnt[743][2]~37285\ $ (GND))) # (!\led_flash_cnt[743][3]~q\ & (!\led_flash_cnt[743][2]~37285\ & VCC))
-- \led_flash_cnt[743][3]~37287\ = CARRY((\led_flash_cnt[743][3]~q\ & !\led_flash_cnt[743][2]~37285\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[743][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[743][2]~37285\,
	combout => \led_flash_cnt[743][3]~37286_combout\,
	cout => \led_flash_cnt[743][3]~37287\);

-- Location: FF_X61_Y25_N7
\led_flash_cnt[743][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[743][3]~37286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[743][3]~q\);

-- Location: LCCOMB_X61_Y25_N8
\led_flash_cnt[743][4]~37288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[743][4]~37288_combout\ = (\led_flash_cnt[743][4]~q\ & (!\led_flash_cnt[743][3]~37287\)) # (!\led_flash_cnt[743][4]~q\ & ((\led_flash_cnt[743][3]~37287\) # (GND)))
-- \led_flash_cnt[743][4]~37289\ = CARRY((!\led_flash_cnt[743][3]~37287\) # (!\led_flash_cnt[743][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[743][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[743][3]~37287\,
	combout => \led_flash_cnt[743][4]~37288_combout\,
	cout => \led_flash_cnt[743][4]~37289\);

-- Location: FF_X61_Y25_N9
\led_flash_cnt[743][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[743][4]~37288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[743][4]~q\);

-- Location: LCCOMB_X61_Y25_N10
\led_flash_cnt[743][5]~37290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[743][5]~37290_combout\ = (\led_flash_cnt[743][5]~q\ & (\led_flash_cnt[743][4]~37289\ $ (GND))) # (!\led_flash_cnt[743][5]~q\ & (!\led_flash_cnt[743][4]~37289\ & VCC))
-- \led_flash_cnt[743][5]~37291\ = CARRY((\led_flash_cnt[743][5]~q\ & !\led_flash_cnt[743][4]~37289\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[743][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[743][4]~37289\,
	combout => \led_flash_cnt[743][5]~37290_combout\,
	cout => \led_flash_cnt[743][5]~37291\);

-- Location: FF_X61_Y25_N11
\led_flash_cnt[743][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[743][5]~37290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[743][5]~q\);

-- Location: LCCOMB_X61_Y25_N12
\led_flash_cnt[743][6]~37292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[743][6]~37292_combout\ = (\led_flash_cnt[743][6]~q\ & (!\led_flash_cnt[743][5]~37291\)) # (!\led_flash_cnt[743][6]~q\ & ((\led_flash_cnt[743][5]~37291\) # (GND)))
-- \led_flash_cnt[743][6]~37293\ = CARRY((!\led_flash_cnt[743][5]~37291\) # (!\led_flash_cnt[743][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[743][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[743][5]~37291\,
	combout => \led_flash_cnt[743][6]~37292_combout\,
	cout => \led_flash_cnt[743][6]~37293\);

-- Location: FF_X61_Y25_N13
\led_flash_cnt[743][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[743][6]~37292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[743][6]~q\);

-- Location: LCCOMB_X61_Y25_N30
\WideAnd743~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd743~1_combout\ = (\led_flash_cnt[743][5]~q\ & \led_flash_cnt[743][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[743][5]~q\,
	datad => \led_flash_cnt[743][6]~q\,
	combout => \WideAnd743~1_combout\);

-- Location: LCCOMB_X61_Y25_N14
\led_flash_cnt[743][7]~37294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[743][7]~37294_combout\ = \led_flash_cnt[743][7]~q\ $ (!\led_flash_cnt[743][6]~37293\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[743][7]~q\,
	cin => \led_flash_cnt[743][6]~37293\,
	combout => \led_flash_cnt[743][7]~37294_combout\);

-- Location: FF_X61_Y25_N15
\led_flash_cnt[743][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[743][7]~37294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[743][7]~q\);

-- Location: LCCOMB_X61_Y25_N24
\WideAnd743~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd743~0_combout\ = (\led_flash_cnt[743][3]~q\ & (\led_flash_cnt[743][4]~q\ & (\led_flash_cnt[743][2]~q\ & \led_flash_cnt[743][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[743][3]~q\,
	datab => \led_flash_cnt[743][4]~q\,
	datac => \led_flash_cnt[743][2]~q\,
	datad => \led_flash_cnt[743][1]~q\,
	combout => \WideAnd743~0_combout\);

-- Location: LCCOMB_X61_Y25_N20
WideAnd743 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd743~combout\ = (\WideAnd743~1_combout\ & (\led_flash_cnt[743][7]~q\ & (\led_flash_cnt[743][0]~q\ & \WideAnd743~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd743~1_combout\,
	datab => \led_flash_cnt[743][7]~q\,
	datac => \led_flash_cnt[743][0]~q\,
	datad => \WideAnd743~0_combout\,
	combout => \WideAnd743~combout\);

-- Location: FF_X61_Y25_N21
\led_flash_cnt_ands[743]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd743~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(743));

-- Location: LCCOMB_X64_Y21_N30
\led_flash_cnt[737][0]~81377\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[737][0]~81377_combout\ = !\led_flash_cnt[737][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[737][0]~q\,
	combout => \led_flash_cnt[737][0]~81377_combout\);

-- Location: FF_X64_Y21_N31
\led_flash_cnt[737][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[737][0]~81377_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[737][0]~q\);

-- Location: LCCOMB_X64_Y21_N4
\led_flash_cnt[737][1]~37198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[737][1]~37198_combout\ = (\led_flash_cnt[737][0]~q\ & (\led_flash_cnt[737][1]~q\ $ (VCC))) # (!\led_flash_cnt[737][0]~q\ & (\led_flash_cnt[737][1]~q\ & VCC))
-- \led_flash_cnt[737][1]~37199\ = CARRY((\led_flash_cnt[737][0]~q\ & \led_flash_cnt[737][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[737][0]~q\,
	datab => \led_flash_cnt[737][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[737][1]~37198_combout\,
	cout => \led_flash_cnt[737][1]~37199\);

-- Location: FF_X64_Y21_N5
\led_flash_cnt[737][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[737][1]~37198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[737][1]~q\);

-- Location: LCCOMB_X64_Y21_N6
\led_flash_cnt[737][2]~37200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[737][2]~37200_combout\ = (\led_flash_cnt[737][2]~q\ & (!\led_flash_cnt[737][1]~37199\)) # (!\led_flash_cnt[737][2]~q\ & ((\led_flash_cnt[737][1]~37199\) # (GND)))
-- \led_flash_cnt[737][2]~37201\ = CARRY((!\led_flash_cnt[737][1]~37199\) # (!\led_flash_cnt[737][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[737][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[737][1]~37199\,
	combout => \led_flash_cnt[737][2]~37200_combout\,
	cout => \led_flash_cnt[737][2]~37201\);

-- Location: FF_X64_Y21_N7
\led_flash_cnt[737][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[737][2]~37200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[737][2]~q\);

-- Location: LCCOMB_X64_Y21_N8
\led_flash_cnt[737][3]~37202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[737][3]~37202_combout\ = (\led_flash_cnt[737][3]~q\ & (\led_flash_cnt[737][2]~37201\ $ (GND))) # (!\led_flash_cnt[737][3]~q\ & (!\led_flash_cnt[737][2]~37201\ & VCC))
-- \led_flash_cnt[737][3]~37203\ = CARRY((\led_flash_cnt[737][3]~q\ & !\led_flash_cnt[737][2]~37201\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[737][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[737][2]~37201\,
	combout => \led_flash_cnt[737][3]~37202_combout\,
	cout => \led_flash_cnt[737][3]~37203\);

-- Location: FF_X64_Y21_N9
\led_flash_cnt[737][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[737][3]~37202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[737][3]~q\);

-- Location: LCCOMB_X64_Y21_N10
\led_flash_cnt[737][4]~37204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[737][4]~37204_combout\ = (\led_flash_cnt[737][4]~q\ & (!\led_flash_cnt[737][3]~37203\)) # (!\led_flash_cnt[737][4]~q\ & ((\led_flash_cnt[737][3]~37203\) # (GND)))
-- \led_flash_cnt[737][4]~37205\ = CARRY((!\led_flash_cnt[737][3]~37203\) # (!\led_flash_cnt[737][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[737][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[737][3]~37203\,
	combout => \led_flash_cnt[737][4]~37204_combout\,
	cout => \led_flash_cnt[737][4]~37205\);

-- Location: FF_X64_Y21_N11
\led_flash_cnt[737][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[737][4]~37204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[737][4]~q\);

-- Location: LCCOMB_X64_Y21_N12
\led_flash_cnt[737][5]~37206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[737][5]~37206_combout\ = (\led_flash_cnt[737][5]~q\ & (\led_flash_cnt[737][4]~37205\ $ (GND))) # (!\led_flash_cnt[737][5]~q\ & (!\led_flash_cnt[737][4]~37205\ & VCC))
-- \led_flash_cnt[737][5]~37207\ = CARRY((\led_flash_cnt[737][5]~q\ & !\led_flash_cnt[737][4]~37205\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[737][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[737][4]~37205\,
	combout => \led_flash_cnt[737][5]~37206_combout\,
	cout => \led_flash_cnt[737][5]~37207\);

-- Location: FF_X64_Y21_N13
\led_flash_cnt[737][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[737][5]~37206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[737][5]~q\);

-- Location: LCCOMB_X64_Y21_N14
\led_flash_cnt[737][6]~37208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[737][6]~37208_combout\ = (\led_flash_cnt[737][6]~q\ & (!\led_flash_cnt[737][5]~37207\)) # (!\led_flash_cnt[737][6]~q\ & ((\led_flash_cnt[737][5]~37207\) # (GND)))
-- \led_flash_cnt[737][6]~37209\ = CARRY((!\led_flash_cnt[737][5]~37207\) # (!\led_flash_cnt[737][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[737][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[737][5]~37207\,
	combout => \led_flash_cnt[737][6]~37208_combout\,
	cout => \led_flash_cnt[737][6]~37209\);

-- Location: FF_X64_Y21_N15
\led_flash_cnt[737][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[737][6]~37208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[737][6]~q\);

-- Location: LCCOMB_X64_Y21_N16
\led_flash_cnt[737][7]~37210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[737][7]~37210_combout\ = \led_flash_cnt[737][6]~37209\ $ (!\led_flash_cnt[737][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[737][7]~q\,
	cin => \led_flash_cnt[737][6]~37209\,
	combout => \led_flash_cnt[737][7]~37210_combout\);

-- Location: FF_X64_Y21_N17
\led_flash_cnt[737][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[737][7]~37210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[737][7]~q\);

-- Location: LCCOMB_X64_Y21_N26
\WideAnd737~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd737~1_combout\ = (\led_flash_cnt[737][6]~q\ & \led_flash_cnt[737][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[737][6]~q\,
	datad => \led_flash_cnt[737][5]~q\,
	combout => \WideAnd737~1_combout\);

-- Location: LCCOMB_X64_Y21_N28
\WideAnd737~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd737~0_combout\ = (\led_flash_cnt[737][4]~q\ & (\led_flash_cnt[737][1]~q\ & (\led_flash_cnt[737][3]~q\ & \led_flash_cnt[737][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[737][4]~q\,
	datab => \led_flash_cnt[737][1]~q\,
	datac => \led_flash_cnt[737][3]~q\,
	datad => \led_flash_cnt[737][2]~q\,
	combout => \WideAnd737~0_combout\);

-- Location: LCCOMB_X64_Y21_N22
WideAnd737 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd737~combout\ = (\led_flash_cnt[737][0]~q\ & (\led_flash_cnt[737][7]~q\ & (\WideAnd737~1_combout\ & \WideAnd737~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[737][0]~q\,
	datab => \led_flash_cnt[737][7]~q\,
	datac => \WideAnd737~1_combout\,
	datad => \WideAnd737~0_combout\,
	combout => \WideAnd737~combout\);

-- Location: FF_X64_Y21_N23
\led_flash_cnt_ands[737]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd737~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(737));

-- Location: LCCOMB_X67_Y17_N2
\led_flash_cnt[736][0]~81376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[736][0]~81376_combout\ = !\led_flash_cnt[736][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[736][0]~q\,
	combout => \led_flash_cnt[736][0]~81376_combout\);

-- Location: FF_X67_Y17_N3
\led_flash_cnt[736][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[736][0]~81376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[736][0]~q\);

-- Location: LCCOMB_X67_Y17_N6
\led_flash_cnt[736][1]~37184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[736][1]~37184_combout\ = (\led_flash_cnt[736][1]~q\ & (\led_flash_cnt[736][0]~q\ $ (VCC))) # (!\led_flash_cnt[736][1]~q\ & (\led_flash_cnt[736][0]~q\ & VCC))
-- \led_flash_cnt[736][1]~37185\ = CARRY((\led_flash_cnt[736][1]~q\ & \led_flash_cnt[736][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[736][1]~q\,
	datab => \led_flash_cnt[736][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[736][1]~37184_combout\,
	cout => \led_flash_cnt[736][1]~37185\);

-- Location: FF_X67_Y17_N7
\led_flash_cnt[736][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[736][1]~37184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[736][1]~q\);

-- Location: LCCOMB_X67_Y17_N8
\led_flash_cnt[736][2]~37186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[736][2]~37186_combout\ = (\led_flash_cnt[736][2]~q\ & (!\led_flash_cnt[736][1]~37185\)) # (!\led_flash_cnt[736][2]~q\ & ((\led_flash_cnt[736][1]~37185\) # (GND)))
-- \led_flash_cnt[736][2]~37187\ = CARRY((!\led_flash_cnt[736][1]~37185\) # (!\led_flash_cnt[736][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[736][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[736][1]~37185\,
	combout => \led_flash_cnt[736][2]~37186_combout\,
	cout => \led_flash_cnt[736][2]~37187\);

-- Location: FF_X67_Y17_N9
\led_flash_cnt[736][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[736][2]~37186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[736][2]~q\);

-- Location: LCCOMB_X67_Y17_N10
\led_flash_cnt[736][3]~37188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[736][3]~37188_combout\ = (\led_flash_cnt[736][3]~q\ & (\led_flash_cnt[736][2]~37187\ $ (GND))) # (!\led_flash_cnt[736][3]~q\ & (!\led_flash_cnt[736][2]~37187\ & VCC))
-- \led_flash_cnt[736][3]~37189\ = CARRY((\led_flash_cnt[736][3]~q\ & !\led_flash_cnt[736][2]~37187\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[736][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[736][2]~37187\,
	combout => \led_flash_cnt[736][3]~37188_combout\,
	cout => \led_flash_cnt[736][3]~37189\);

-- Location: FF_X67_Y17_N11
\led_flash_cnt[736][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[736][3]~37188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[736][3]~q\);

-- Location: LCCOMB_X67_Y17_N12
\led_flash_cnt[736][4]~37190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[736][4]~37190_combout\ = (\led_flash_cnt[736][4]~q\ & (!\led_flash_cnt[736][3]~37189\)) # (!\led_flash_cnt[736][4]~q\ & ((\led_flash_cnt[736][3]~37189\) # (GND)))
-- \led_flash_cnt[736][4]~37191\ = CARRY((!\led_flash_cnt[736][3]~37189\) # (!\led_flash_cnt[736][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[736][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[736][3]~37189\,
	combout => \led_flash_cnt[736][4]~37190_combout\,
	cout => \led_flash_cnt[736][4]~37191\);

-- Location: FF_X67_Y17_N13
\led_flash_cnt[736][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[736][4]~37190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[736][4]~q\);

-- Location: LCCOMB_X67_Y17_N26
\WideAnd736~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd736~0_combout\ = (\led_flash_cnt[736][3]~q\ & (\led_flash_cnt[736][4]~q\ & (\led_flash_cnt[736][2]~q\ & \led_flash_cnt[736][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[736][3]~q\,
	datab => \led_flash_cnt[736][4]~q\,
	datac => \led_flash_cnt[736][2]~q\,
	datad => \led_flash_cnt[736][1]~q\,
	combout => \WideAnd736~0_combout\);

-- Location: LCCOMB_X67_Y17_N14
\led_flash_cnt[736][5]~37192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[736][5]~37192_combout\ = (\led_flash_cnt[736][5]~q\ & (\led_flash_cnt[736][4]~37191\ $ (GND))) # (!\led_flash_cnt[736][5]~q\ & (!\led_flash_cnt[736][4]~37191\ & VCC))
-- \led_flash_cnt[736][5]~37193\ = CARRY((\led_flash_cnt[736][5]~q\ & !\led_flash_cnt[736][4]~37191\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[736][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[736][4]~37191\,
	combout => \led_flash_cnt[736][5]~37192_combout\,
	cout => \led_flash_cnt[736][5]~37193\);

-- Location: FF_X67_Y17_N15
\led_flash_cnt[736][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[736][5]~37192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[736][5]~q\);

-- Location: LCCOMB_X67_Y17_N16
\led_flash_cnt[736][6]~37194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[736][6]~37194_combout\ = (\led_flash_cnt[736][6]~q\ & (!\led_flash_cnt[736][5]~37193\)) # (!\led_flash_cnt[736][6]~q\ & ((\led_flash_cnt[736][5]~37193\) # (GND)))
-- \led_flash_cnt[736][6]~37195\ = CARRY((!\led_flash_cnt[736][5]~37193\) # (!\led_flash_cnt[736][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[736][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[736][5]~37193\,
	combout => \led_flash_cnt[736][6]~37194_combout\,
	cout => \led_flash_cnt[736][6]~37195\);

-- Location: FF_X67_Y17_N17
\led_flash_cnt[736][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[736][6]~37194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[736][6]~q\);

-- Location: LCCOMB_X67_Y17_N22
\WideAnd736~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd736~1_combout\ = (\led_flash_cnt[736][5]~q\ & \led_flash_cnt[736][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[736][5]~q\,
	datad => \led_flash_cnt[736][6]~q\,
	combout => \WideAnd736~1_combout\);

-- Location: LCCOMB_X67_Y17_N18
\led_flash_cnt[736][7]~37196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[736][7]~37196_combout\ = \led_flash_cnt[736][6]~37195\ $ (!\led_flash_cnt[736][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[736][7]~q\,
	cin => \led_flash_cnt[736][6]~37195\,
	combout => \led_flash_cnt[736][7]~37196_combout\);

-- Location: FF_X67_Y17_N19
\led_flash_cnt[736][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[736][7]~37196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[736][7]~q\);

-- Location: LCCOMB_X67_Y17_N24
WideAnd736 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd736~combout\ = (\WideAnd736~0_combout\ & (\led_flash_cnt[736][0]~q\ & (\WideAnd736~1_combout\ & \led_flash_cnt[736][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd736~0_combout\,
	datab => \led_flash_cnt[736][0]~q\,
	datac => \WideAnd736~1_combout\,
	datad => \led_flash_cnt[736][7]~q\,
	combout => \WideAnd736~combout\);

-- Location: FF_X67_Y17_N25
\led_flash_cnt_ands[736]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd736~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(736));

-- Location: LCCOMB_X39_Y29_N0
\led_flash_cnt[738][0]~81378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[738][0]~81378_combout\ = !\led_flash_cnt[738][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[738][0]~q\,
	combout => \led_flash_cnt[738][0]~81378_combout\);

-- Location: FF_X39_Y29_N1
\led_flash_cnt[738][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[738][0]~81378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[738][0]~q\);

-- Location: LCCOMB_X40_Y30_N18
\led_flash_cnt[738][1]~37212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[738][1]~37212_combout\ = (\led_flash_cnt[738][0]~q\ & (\led_flash_cnt[738][1]~q\ $ (VCC))) # (!\led_flash_cnt[738][0]~q\ & (\led_flash_cnt[738][1]~q\ & VCC))
-- \led_flash_cnt[738][1]~37213\ = CARRY((\led_flash_cnt[738][0]~q\ & \led_flash_cnt[738][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[738][0]~q\,
	datab => \led_flash_cnt[738][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[738][1]~37212_combout\,
	cout => \led_flash_cnt[738][1]~37213\);

-- Location: FF_X40_Y30_N19
\led_flash_cnt[738][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[738][1]~37212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[738][1]~q\);

-- Location: LCCOMB_X40_Y30_N20
\led_flash_cnt[738][2]~37214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[738][2]~37214_combout\ = (\led_flash_cnt[738][2]~q\ & (!\led_flash_cnt[738][1]~37213\)) # (!\led_flash_cnt[738][2]~q\ & ((\led_flash_cnt[738][1]~37213\) # (GND)))
-- \led_flash_cnt[738][2]~37215\ = CARRY((!\led_flash_cnt[738][1]~37213\) # (!\led_flash_cnt[738][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[738][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[738][1]~37213\,
	combout => \led_flash_cnt[738][2]~37214_combout\,
	cout => \led_flash_cnt[738][2]~37215\);

-- Location: FF_X40_Y30_N21
\led_flash_cnt[738][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[738][2]~37214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[738][2]~q\);

-- Location: LCCOMB_X40_Y30_N22
\led_flash_cnt[738][3]~37216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[738][3]~37216_combout\ = (\led_flash_cnt[738][3]~q\ & (\led_flash_cnt[738][2]~37215\ $ (GND))) # (!\led_flash_cnt[738][3]~q\ & (!\led_flash_cnt[738][2]~37215\ & VCC))
-- \led_flash_cnt[738][3]~37217\ = CARRY((\led_flash_cnt[738][3]~q\ & !\led_flash_cnt[738][2]~37215\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[738][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[738][2]~37215\,
	combout => \led_flash_cnt[738][3]~37216_combout\,
	cout => \led_flash_cnt[738][3]~37217\);

-- Location: FF_X40_Y30_N23
\led_flash_cnt[738][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[738][3]~37216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[738][3]~q\);

-- Location: LCCOMB_X40_Y30_N24
\led_flash_cnt[738][4]~37218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[738][4]~37218_combout\ = (\led_flash_cnt[738][4]~q\ & (!\led_flash_cnt[738][3]~37217\)) # (!\led_flash_cnt[738][4]~q\ & ((\led_flash_cnt[738][3]~37217\) # (GND)))
-- \led_flash_cnt[738][4]~37219\ = CARRY((!\led_flash_cnt[738][3]~37217\) # (!\led_flash_cnt[738][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[738][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[738][3]~37217\,
	combout => \led_flash_cnt[738][4]~37218_combout\,
	cout => \led_flash_cnt[738][4]~37219\);

-- Location: FF_X40_Y30_N25
\led_flash_cnt[738][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[738][4]~37218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[738][4]~q\);

-- Location: LCCOMB_X40_Y30_N26
\led_flash_cnt[738][5]~37220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[738][5]~37220_combout\ = (\led_flash_cnt[738][5]~q\ & (\led_flash_cnt[738][4]~37219\ $ (GND))) # (!\led_flash_cnt[738][5]~q\ & (!\led_flash_cnt[738][4]~37219\ & VCC))
-- \led_flash_cnt[738][5]~37221\ = CARRY((\led_flash_cnt[738][5]~q\ & !\led_flash_cnt[738][4]~37219\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[738][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[738][4]~37219\,
	combout => \led_flash_cnt[738][5]~37220_combout\,
	cout => \led_flash_cnt[738][5]~37221\);

-- Location: FF_X40_Y30_N27
\led_flash_cnt[738][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[738][5]~37220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[738][5]~q\);

-- Location: LCCOMB_X40_Y30_N28
\led_flash_cnt[738][6]~37222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[738][6]~37222_combout\ = (\led_flash_cnt[738][6]~q\ & (!\led_flash_cnt[738][5]~37221\)) # (!\led_flash_cnt[738][6]~q\ & ((\led_flash_cnt[738][5]~37221\) # (GND)))
-- \led_flash_cnt[738][6]~37223\ = CARRY((!\led_flash_cnt[738][5]~37221\) # (!\led_flash_cnt[738][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[738][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[738][5]~37221\,
	combout => \led_flash_cnt[738][6]~37222_combout\,
	cout => \led_flash_cnt[738][6]~37223\);

-- Location: FF_X40_Y30_N29
\led_flash_cnt[738][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[738][6]~37222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[738][6]~q\);

-- Location: LCCOMB_X40_Y30_N8
\WideAnd738~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd738~1_combout\ = (\led_flash_cnt[738][5]~q\ & \led_flash_cnt[738][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[738][5]~q\,
	datad => \led_flash_cnt[738][6]~q\,
	combout => \WideAnd738~1_combout\);

-- Location: LCCOMB_X40_Y30_N30
\led_flash_cnt[738][7]~37224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[738][7]~37224_combout\ = \led_flash_cnt[738][7]~q\ $ (!\led_flash_cnt[738][6]~37223\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[738][7]~q\,
	cin => \led_flash_cnt[738][6]~37223\,
	combout => \led_flash_cnt[738][7]~37224_combout\);

-- Location: FF_X40_Y30_N31
\led_flash_cnt[738][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[738][7]~37224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[738][7]~q\);

-- Location: LCCOMB_X40_Y30_N12
\WideAnd738~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd738~0_combout\ = (\led_flash_cnt[738][4]~q\ & (\led_flash_cnt[738][2]~q\ & (\led_flash_cnt[738][3]~q\ & \led_flash_cnt[738][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[738][4]~q\,
	datab => \led_flash_cnt[738][2]~q\,
	datac => \led_flash_cnt[738][3]~q\,
	datad => \led_flash_cnt[738][1]~q\,
	combout => \WideAnd738~0_combout\);

-- Location: LCCOMB_X40_Y30_N16
WideAnd738 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd738~combout\ = (\led_flash_cnt[738][0]~q\ & (\WideAnd738~1_combout\ & (\led_flash_cnt[738][7]~q\ & \WideAnd738~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[738][0]~q\,
	datab => \WideAnd738~1_combout\,
	datac => \led_flash_cnt[738][7]~q\,
	datad => \WideAnd738~0_combout\,
	combout => \WideAnd738~combout\);

-- Location: FF_X40_Y30_N17
\led_flash_cnt_ands[738]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd738~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(738));

-- Location: LCCOMB_X67_Y21_N18
\led_flash_cnt[739][0]~81379\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[739][0]~81379_combout\ = !\led_flash_cnt[739][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[739][0]~q\,
	combout => \led_flash_cnt[739][0]~81379_combout\);

-- Location: FF_X67_Y21_N19
\led_flash_cnt[739][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[739][0]~81379_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[739][0]~q\);

-- Location: LCCOMB_X67_Y21_N2
\led_flash_cnt[739][1]~37226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[739][1]~37226_combout\ = (\led_flash_cnt[739][1]~q\ & (\led_flash_cnt[739][0]~q\ $ (VCC))) # (!\led_flash_cnt[739][1]~q\ & (\led_flash_cnt[739][0]~q\ & VCC))
-- \led_flash_cnt[739][1]~37227\ = CARRY((\led_flash_cnt[739][1]~q\ & \led_flash_cnt[739][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[739][1]~q\,
	datab => \led_flash_cnt[739][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[739][1]~37226_combout\,
	cout => \led_flash_cnt[739][1]~37227\);

-- Location: FF_X67_Y21_N3
\led_flash_cnt[739][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[739][1]~37226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[739][1]~q\);

-- Location: LCCOMB_X67_Y21_N4
\led_flash_cnt[739][2]~37228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[739][2]~37228_combout\ = (\led_flash_cnt[739][2]~q\ & (!\led_flash_cnt[739][1]~37227\)) # (!\led_flash_cnt[739][2]~q\ & ((\led_flash_cnt[739][1]~37227\) # (GND)))
-- \led_flash_cnt[739][2]~37229\ = CARRY((!\led_flash_cnt[739][1]~37227\) # (!\led_flash_cnt[739][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[739][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[739][1]~37227\,
	combout => \led_flash_cnt[739][2]~37228_combout\,
	cout => \led_flash_cnt[739][2]~37229\);

-- Location: FF_X67_Y21_N5
\led_flash_cnt[739][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[739][2]~37228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[739][2]~q\);

-- Location: LCCOMB_X67_Y21_N6
\led_flash_cnt[739][3]~37230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[739][3]~37230_combout\ = (\led_flash_cnt[739][3]~q\ & (\led_flash_cnt[739][2]~37229\ $ (GND))) # (!\led_flash_cnt[739][3]~q\ & (!\led_flash_cnt[739][2]~37229\ & VCC))
-- \led_flash_cnt[739][3]~37231\ = CARRY((\led_flash_cnt[739][3]~q\ & !\led_flash_cnt[739][2]~37229\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[739][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[739][2]~37229\,
	combout => \led_flash_cnt[739][3]~37230_combout\,
	cout => \led_flash_cnt[739][3]~37231\);

-- Location: FF_X67_Y21_N7
\led_flash_cnt[739][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[739][3]~37230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[739][3]~q\);

-- Location: LCCOMB_X67_Y21_N8
\led_flash_cnt[739][4]~37232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[739][4]~37232_combout\ = (\led_flash_cnt[739][4]~q\ & (!\led_flash_cnt[739][3]~37231\)) # (!\led_flash_cnt[739][4]~q\ & ((\led_flash_cnt[739][3]~37231\) # (GND)))
-- \led_flash_cnt[739][4]~37233\ = CARRY((!\led_flash_cnt[739][3]~37231\) # (!\led_flash_cnt[739][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[739][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[739][3]~37231\,
	combout => \led_flash_cnt[739][4]~37232_combout\,
	cout => \led_flash_cnt[739][4]~37233\);

-- Location: FF_X67_Y21_N9
\led_flash_cnt[739][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[739][4]~37232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[739][4]~q\);

-- Location: LCCOMB_X67_Y21_N10
\led_flash_cnt[739][5]~37234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[739][5]~37234_combout\ = (\led_flash_cnt[739][5]~q\ & (\led_flash_cnt[739][4]~37233\ $ (GND))) # (!\led_flash_cnt[739][5]~q\ & (!\led_flash_cnt[739][4]~37233\ & VCC))
-- \led_flash_cnt[739][5]~37235\ = CARRY((\led_flash_cnt[739][5]~q\ & !\led_flash_cnt[739][4]~37233\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[739][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[739][4]~37233\,
	combout => \led_flash_cnt[739][5]~37234_combout\,
	cout => \led_flash_cnt[739][5]~37235\);

-- Location: FF_X67_Y21_N11
\led_flash_cnt[739][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[739][5]~37234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[739][5]~q\);

-- Location: LCCOMB_X67_Y21_N12
\led_flash_cnt[739][6]~37236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[739][6]~37236_combout\ = (\led_flash_cnt[739][6]~q\ & (!\led_flash_cnt[739][5]~37235\)) # (!\led_flash_cnt[739][6]~q\ & ((\led_flash_cnt[739][5]~37235\) # (GND)))
-- \led_flash_cnt[739][6]~37237\ = CARRY((!\led_flash_cnt[739][5]~37235\) # (!\led_flash_cnt[739][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[739][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[739][5]~37235\,
	combout => \led_flash_cnt[739][6]~37236_combout\,
	cout => \led_flash_cnt[739][6]~37237\);

-- Location: FF_X67_Y21_N13
\led_flash_cnt[739][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[739][6]~37236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[739][6]~q\);

-- Location: LCCOMB_X67_Y21_N26
\WideAnd739~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd739~1_combout\ = (\led_flash_cnt[739][6]~q\ & \led_flash_cnt[739][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[739][6]~q\,
	datad => \led_flash_cnt[739][5]~q\,
	combout => \WideAnd739~1_combout\);

-- Location: LCCOMB_X67_Y21_N24
\WideAnd739~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd739~0_combout\ = (\led_flash_cnt[739][1]~q\ & (\led_flash_cnt[739][4]~q\ & (\led_flash_cnt[739][2]~q\ & \led_flash_cnt[739][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[739][1]~q\,
	datab => \led_flash_cnt[739][4]~q\,
	datac => \led_flash_cnt[739][2]~q\,
	datad => \led_flash_cnt[739][3]~q\,
	combout => \WideAnd739~0_combout\);

-- Location: LCCOMB_X67_Y21_N14
\led_flash_cnt[739][7]~37238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[739][7]~37238_combout\ = \led_flash_cnt[739][7]~q\ $ (!\led_flash_cnt[739][6]~37237\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[739][7]~q\,
	cin => \led_flash_cnt[739][6]~37237\,
	combout => \led_flash_cnt[739][7]~37238_combout\);

-- Location: FF_X67_Y21_N15
\led_flash_cnt[739][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[739][7]~37238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[739][7]~q\);

-- Location: LCCOMB_X67_Y21_N22
WideAnd739 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd739~combout\ = (\WideAnd739~1_combout\ & (\WideAnd739~0_combout\ & (\led_flash_cnt[739][7]~q\ & \led_flash_cnt[739][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd739~1_combout\,
	datab => \WideAnd739~0_combout\,
	datac => \led_flash_cnt[739][7]~q\,
	datad => \led_flash_cnt[739][0]~q\,
	combout => \WideAnd739~combout\);

-- Location: FF_X67_Y21_N23
\led_flash_cnt_ands[739]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd739~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(739));

-- Location: LCCOMB_X64_Y21_N18
\WideAnd3932~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3932~0_combout\ = (led_flash_cnt_ands(737) & (led_flash_cnt_ands(736) & (led_flash_cnt_ands(738) & led_flash_cnt_ands(739))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(737),
	datab => led_flash_cnt_ands(736),
	datac => led_flash_cnt_ands(738),
	datad => led_flash_cnt_ands(739),
	combout => \WideAnd3932~0_combout\);

-- Location: LCCOMB_X65_Y25_N0
WideAnd3932 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3932~combout\ = (\WideAnd3932~1_combout\ & (led_flash_cnt_ands(742) & (led_flash_cnt_ands(743) & \WideAnd3932~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3932~1_combout\,
	datab => led_flash_cnt_ands(742),
	datac => led_flash_cnt_ands(743),
	datad => \WideAnd3932~0_combout\,
	combout => \WideAnd3932~combout\);

-- Location: FF_X65_Y25_N1
\led_flash_cnt_ands_1[92]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3932~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(92));

-- Location: LCCOMB_X61_Y25_N26
\WideAnd4331~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4331~1_combout\ = (led_flash_cnt_ands_1(93) & led_flash_cnt_ands_1(92))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(93),
	datad => led_flash_cnt_ands_1(92),
	combout => \WideAnd4331~1_combout\);

-- Location: LCCOMB_X12_Y38_N4
\led_flash_cnt[726][0]~81366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[726][0]~81366_combout\ = !\led_flash_cnt[726][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[726][0]~q\,
	combout => \led_flash_cnt[726][0]~81366_combout\);

-- Location: FF_X12_Y38_N5
\led_flash_cnt[726][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[726][0]~81366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[726][0]~q\);

-- Location: LCCOMB_X12_Y38_N10
\led_flash_cnt[726][1]~37044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[726][1]~37044_combout\ = (\led_flash_cnt[726][1]~q\ & (\led_flash_cnt[726][0]~q\ $ (VCC))) # (!\led_flash_cnt[726][1]~q\ & (\led_flash_cnt[726][0]~q\ & VCC))
-- \led_flash_cnt[726][1]~37045\ = CARRY((\led_flash_cnt[726][1]~q\ & \led_flash_cnt[726][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[726][1]~q\,
	datab => \led_flash_cnt[726][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[726][1]~37044_combout\,
	cout => \led_flash_cnt[726][1]~37045\);

-- Location: FF_X12_Y38_N11
\led_flash_cnt[726][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[726][1]~37044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[726][1]~q\);

-- Location: LCCOMB_X12_Y38_N12
\led_flash_cnt[726][2]~37046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[726][2]~37046_combout\ = (\led_flash_cnt[726][2]~q\ & (!\led_flash_cnt[726][1]~37045\)) # (!\led_flash_cnt[726][2]~q\ & ((\led_flash_cnt[726][1]~37045\) # (GND)))
-- \led_flash_cnt[726][2]~37047\ = CARRY((!\led_flash_cnt[726][1]~37045\) # (!\led_flash_cnt[726][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[726][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[726][1]~37045\,
	combout => \led_flash_cnt[726][2]~37046_combout\,
	cout => \led_flash_cnt[726][2]~37047\);

-- Location: FF_X12_Y38_N13
\led_flash_cnt[726][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[726][2]~37046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[726][2]~q\);

-- Location: LCCOMB_X12_Y38_N14
\led_flash_cnt[726][3]~37048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[726][3]~37048_combout\ = (\led_flash_cnt[726][3]~q\ & (\led_flash_cnt[726][2]~37047\ $ (GND))) # (!\led_flash_cnt[726][3]~q\ & (!\led_flash_cnt[726][2]~37047\ & VCC))
-- \led_flash_cnt[726][3]~37049\ = CARRY((\led_flash_cnt[726][3]~q\ & !\led_flash_cnt[726][2]~37047\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[726][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[726][2]~37047\,
	combout => \led_flash_cnt[726][3]~37048_combout\,
	cout => \led_flash_cnt[726][3]~37049\);

-- Location: FF_X12_Y38_N15
\led_flash_cnt[726][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[726][3]~37048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[726][3]~q\);

-- Location: LCCOMB_X12_Y38_N16
\led_flash_cnt[726][4]~37050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[726][4]~37050_combout\ = (\led_flash_cnt[726][4]~q\ & (!\led_flash_cnt[726][3]~37049\)) # (!\led_flash_cnt[726][4]~q\ & ((\led_flash_cnt[726][3]~37049\) # (GND)))
-- \led_flash_cnt[726][4]~37051\ = CARRY((!\led_flash_cnt[726][3]~37049\) # (!\led_flash_cnt[726][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[726][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[726][3]~37049\,
	combout => \led_flash_cnt[726][4]~37050_combout\,
	cout => \led_flash_cnt[726][4]~37051\);

-- Location: FF_X12_Y38_N17
\led_flash_cnt[726][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[726][4]~37050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[726][4]~q\);

-- Location: LCCOMB_X12_Y38_N18
\led_flash_cnt[726][5]~37052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[726][5]~37052_combout\ = (\led_flash_cnt[726][5]~q\ & (\led_flash_cnt[726][4]~37051\ $ (GND))) # (!\led_flash_cnt[726][5]~q\ & (!\led_flash_cnt[726][4]~37051\ & VCC))
-- \led_flash_cnt[726][5]~37053\ = CARRY((\led_flash_cnt[726][5]~q\ & !\led_flash_cnt[726][4]~37051\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[726][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[726][4]~37051\,
	combout => \led_flash_cnt[726][5]~37052_combout\,
	cout => \led_flash_cnt[726][5]~37053\);

-- Location: FF_X12_Y38_N19
\led_flash_cnt[726][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[726][5]~37052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[726][5]~q\);

-- Location: LCCOMB_X12_Y38_N20
\led_flash_cnt[726][6]~37054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[726][6]~37054_combout\ = (\led_flash_cnt[726][6]~q\ & (!\led_flash_cnt[726][5]~37053\)) # (!\led_flash_cnt[726][6]~q\ & ((\led_flash_cnt[726][5]~37053\) # (GND)))
-- \led_flash_cnt[726][6]~37055\ = CARRY((!\led_flash_cnt[726][5]~37053\) # (!\led_flash_cnt[726][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[726][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[726][5]~37053\,
	combout => \led_flash_cnt[726][6]~37054_combout\,
	cout => \led_flash_cnt[726][6]~37055\);

-- Location: FF_X12_Y38_N21
\led_flash_cnt[726][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[726][6]~37054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[726][6]~q\);

-- Location: LCCOMB_X12_Y38_N26
\WideAnd726~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd726~1_combout\ = (\led_flash_cnt[726][5]~q\ & \led_flash_cnt[726][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[726][5]~q\,
	datad => \led_flash_cnt[726][6]~q\,
	combout => \WideAnd726~1_combout\);

-- Location: LCCOMB_X12_Y38_N22
\led_flash_cnt[726][7]~37056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[726][7]~37056_combout\ = \led_flash_cnt[726][7]~q\ $ (!\led_flash_cnt[726][6]~37055\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[726][7]~q\,
	cin => \led_flash_cnt[726][6]~37055\,
	combout => \led_flash_cnt[726][7]~37056_combout\);

-- Location: FF_X12_Y38_N23
\led_flash_cnt[726][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[726][7]~37056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[726][7]~q\);

-- Location: LCCOMB_X12_Y38_N24
\WideAnd726~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd726~0_combout\ = (\led_flash_cnt[726][1]~q\ & (\led_flash_cnt[726][4]~q\ & (\led_flash_cnt[726][3]~q\ & \led_flash_cnt[726][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[726][1]~q\,
	datab => \led_flash_cnt[726][4]~q\,
	datac => \led_flash_cnt[726][3]~q\,
	datad => \led_flash_cnt[726][2]~q\,
	combout => \WideAnd726~0_combout\);

-- Location: LCCOMB_X12_Y38_N2
WideAnd726 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd726~combout\ = (\WideAnd726~1_combout\ & (\led_flash_cnt[726][0]~q\ & (\led_flash_cnt[726][7]~q\ & \WideAnd726~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd726~1_combout\,
	datab => \led_flash_cnt[726][0]~q\,
	datac => \led_flash_cnt[726][7]~q\,
	datad => \WideAnd726~0_combout\,
	combout => \WideAnd726~combout\);

-- Location: FF_X12_Y38_N3
\led_flash_cnt_ands[726]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd726~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(726));

-- Location: LCCOMB_X15_Y37_N12
\led_flash_cnt[727][0]~81367\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[727][0]~81367_combout\ = !\led_flash_cnt[727][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[727][0]~q\,
	combout => \led_flash_cnt[727][0]~81367_combout\);

-- Location: FF_X15_Y37_N13
\led_flash_cnt[727][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[727][0]~81367_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[727][0]~q\);

-- Location: LCCOMB_X15_Y37_N16
\led_flash_cnt[727][1]~37058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[727][1]~37058_combout\ = (\led_flash_cnt[727][0]~q\ & (\led_flash_cnt[727][1]~q\ $ (VCC))) # (!\led_flash_cnt[727][0]~q\ & (\led_flash_cnt[727][1]~q\ & VCC))
-- \led_flash_cnt[727][1]~37059\ = CARRY((\led_flash_cnt[727][0]~q\ & \led_flash_cnt[727][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[727][0]~q\,
	datab => \led_flash_cnt[727][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[727][1]~37058_combout\,
	cout => \led_flash_cnt[727][1]~37059\);

-- Location: FF_X15_Y37_N17
\led_flash_cnt[727][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[727][1]~37058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[727][1]~q\);

-- Location: LCCOMB_X15_Y37_N18
\led_flash_cnt[727][2]~37060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[727][2]~37060_combout\ = (\led_flash_cnt[727][2]~q\ & (!\led_flash_cnt[727][1]~37059\)) # (!\led_flash_cnt[727][2]~q\ & ((\led_flash_cnt[727][1]~37059\) # (GND)))
-- \led_flash_cnt[727][2]~37061\ = CARRY((!\led_flash_cnt[727][1]~37059\) # (!\led_flash_cnt[727][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[727][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[727][1]~37059\,
	combout => \led_flash_cnt[727][2]~37060_combout\,
	cout => \led_flash_cnt[727][2]~37061\);

-- Location: FF_X15_Y37_N19
\led_flash_cnt[727][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[727][2]~37060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[727][2]~q\);

-- Location: LCCOMB_X15_Y37_N20
\led_flash_cnt[727][3]~37062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[727][3]~37062_combout\ = (\led_flash_cnt[727][3]~q\ & (\led_flash_cnt[727][2]~37061\ $ (GND))) # (!\led_flash_cnt[727][3]~q\ & (!\led_flash_cnt[727][2]~37061\ & VCC))
-- \led_flash_cnt[727][3]~37063\ = CARRY((\led_flash_cnt[727][3]~q\ & !\led_flash_cnt[727][2]~37061\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[727][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[727][2]~37061\,
	combout => \led_flash_cnt[727][3]~37062_combout\,
	cout => \led_flash_cnt[727][3]~37063\);

-- Location: FF_X15_Y37_N21
\led_flash_cnt[727][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[727][3]~37062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[727][3]~q\);

-- Location: LCCOMB_X15_Y37_N22
\led_flash_cnt[727][4]~37064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[727][4]~37064_combout\ = (\led_flash_cnt[727][4]~q\ & (!\led_flash_cnt[727][3]~37063\)) # (!\led_flash_cnt[727][4]~q\ & ((\led_flash_cnt[727][3]~37063\) # (GND)))
-- \led_flash_cnt[727][4]~37065\ = CARRY((!\led_flash_cnt[727][3]~37063\) # (!\led_flash_cnt[727][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[727][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[727][3]~37063\,
	combout => \led_flash_cnt[727][4]~37064_combout\,
	cout => \led_flash_cnt[727][4]~37065\);

-- Location: FF_X15_Y37_N23
\led_flash_cnt[727][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[727][4]~37064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[727][4]~q\);

-- Location: LCCOMB_X15_Y37_N24
\led_flash_cnt[727][5]~37066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[727][5]~37066_combout\ = (\led_flash_cnt[727][5]~q\ & (\led_flash_cnt[727][4]~37065\ $ (GND))) # (!\led_flash_cnt[727][5]~q\ & (!\led_flash_cnt[727][4]~37065\ & VCC))
-- \led_flash_cnt[727][5]~37067\ = CARRY((\led_flash_cnt[727][5]~q\ & !\led_flash_cnt[727][4]~37065\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[727][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[727][4]~37065\,
	combout => \led_flash_cnt[727][5]~37066_combout\,
	cout => \led_flash_cnt[727][5]~37067\);

-- Location: FF_X15_Y37_N25
\led_flash_cnt[727][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[727][5]~37066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[727][5]~q\);

-- Location: LCCOMB_X15_Y37_N26
\led_flash_cnt[727][6]~37068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[727][6]~37068_combout\ = (\led_flash_cnt[727][6]~q\ & (!\led_flash_cnt[727][5]~37067\)) # (!\led_flash_cnt[727][6]~q\ & ((\led_flash_cnt[727][5]~37067\) # (GND)))
-- \led_flash_cnt[727][6]~37069\ = CARRY((!\led_flash_cnt[727][5]~37067\) # (!\led_flash_cnt[727][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[727][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[727][5]~37067\,
	combout => \led_flash_cnt[727][6]~37068_combout\,
	cout => \led_flash_cnt[727][6]~37069\);

-- Location: FF_X15_Y37_N27
\led_flash_cnt[727][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[727][6]~37068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[727][6]~q\);

-- Location: LCCOMB_X15_Y37_N28
\led_flash_cnt[727][7]~37070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[727][7]~37070_combout\ = \led_flash_cnt[727][6]~37069\ $ (!\led_flash_cnt[727][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[727][7]~q\,
	cin => \led_flash_cnt[727][6]~37069\,
	combout => \led_flash_cnt[727][7]~37070_combout\);

-- Location: FF_X15_Y37_N29
\led_flash_cnt[727][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[727][7]~37070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[727][7]~q\);

-- Location: LCCOMB_X15_Y37_N30
\WideAnd727~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd727~0_combout\ = (\led_flash_cnt[727][3]~q\ & (\led_flash_cnt[727][2]~q\ & (\led_flash_cnt[727][4]~q\ & \led_flash_cnt[727][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[727][3]~q\,
	datab => \led_flash_cnt[727][2]~q\,
	datac => \led_flash_cnt[727][4]~q\,
	datad => \led_flash_cnt[727][1]~q\,
	combout => \WideAnd727~0_combout\);

-- Location: LCCOMB_X15_Y37_N2
\WideAnd727~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd727~1_combout\ = (\led_flash_cnt[727][6]~q\ & \led_flash_cnt[727][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[727][6]~q\,
	datad => \led_flash_cnt[727][5]~q\,
	combout => \WideAnd727~1_combout\);

-- Location: LCCOMB_X15_Y37_N0
WideAnd727 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd727~combout\ = (\led_flash_cnt[727][0]~q\ & (\led_flash_cnt[727][7]~q\ & (\WideAnd727~0_combout\ & \WideAnd727~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[727][0]~q\,
	datab => \led_flash_cnt[727][7]~q\,
	datac => \WideAnd727~0_combout\,
	datad => \WideAnd727~1_combout\,
	combout => \WideAnd727~combout\);

-- Location: FF_X15_Y37_N1
\led_flash_cnt_ands[727]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd727~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(727));

-- Location: LCCOMB_X44_Y53_N8
\led_flash_cnt[723][0]~81363\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[723][0]~81363_combout\ = !\led_flash_cnt[723][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[723][0]~q\,
	combout => \led_flash_cnt[723][0]~81363_combout\);

-- Location: FF_X44_Y53_N9
\led_flash_cnt[723][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[723][0]~81363_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[723][0]~q\);

-- Location: LCCOMB_X44_Y53_N12
\led_flash_cnt[723][1]~37002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[723][1]~37002_combout\ = (\led_flash_cnt[723][1]~q\ & (\led_flash_cnt[723][0]~q\ $ (VCC))) # (!\led_flash_cnt[723][1]~q\ & (\led_flash_cnt[723][0]~q\ & VCC))
-- \led_flash_cnt[723][1]~37003\ = CARRY((\led_flash_cnt[723][1]~q\ & \led_flash_cnt[723][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[723][1]~q\,
	datab => \led_flash_cnt[723][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[723][1]~37002_combout\,
	cout => \led_flash_cnt[723][1]~37003\);

-- Location: FF_X44_Y53_N13
\led_flash_cnt[723][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[723][1]~37002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[723][1]~q\);

-- Location: LCCOMB_X44_Y53_N14
\led_flash_cnt[723][2]~37004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[723][2]~37004_combout\ = (\led_flash_cnt[723][2]~q\ & (!\led_flash_cnt[723][1]~37003\)) # (!\led_flash_cnt[723][2]~q\ & ((\led_flash_cnt[723][1]~37003\) # (GND)))
-- \led_flash_cnt[723][2]~37005\ = CARRY((!\led_flash_cnt[723][1]~37003\) # (!\led_flash_cnt[723][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[723][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[723][1]~37003\,
	combout => \led_flash_cnt[723][2]~37004_combout\,
	cout => \led_flash_cnt[723][2]~37005\);

-- Location: FF_X44_Y53_N15
\led_flash_cnt[723][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[723][2]~37004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[723][2]~q\);

-- Location: LCCOMB_X44_Y53_N16
\led_flash_cnt[723][3]~37006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[723][3]~37006_combout\ = (\led_flash_cnt[723][3]~q\ & (\led_flash_cnt[723][2]~37005\ $ (GND))) # (!\led_flash_cnt[723][3]~q\ & (!\led_flash_cnt[723][2]~37005\ & VCC))
-- \led_flash_cnt[723][3]~37007\ = CARRY((\led_flash_cnt[723][3]~q\ & !\led_flash_cnt[723][2]~37005\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[723][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[723][2]~37005\,
	combout => \led_flash_cnt[723][3]~37006_combout\,
	cout => \led_flash_cnt[723][3]~37007\);

-- Location: FF_X44_Y53_N17
\led_flash_cnt[723][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[723][3]~37006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[723][3]~q\);

-- Location: LCCOMB_X44_Y53_N18
\led_flash_cnt[723][4]~37008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[723][4]~37008_combout\ = (\led_flash_cnt[723][4]~q\ & (!\led_flash_cnt[723][3]~37007\)) # (!\led_flash_cnt[723][4]~q\ & ((\led_flash_cnt[723][3]~37007\) # (GND)))
-- \led_flash_cnt[723][4]~37009\ = CARRY((!\led_flash_cnt[723][3]~37007\) # (!\led_flash_cnt[723][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[723][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[723][3]~37007\,
	combout => \led_flash_cnt[723][4]~37008_combout\,
	cout => \led_flash_cnt[723][4]~37009\);

-- Location: FF_X44_Y53_N19
\led_flash_cnt[723][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[723][4]~37008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[723][4]~q\);

-- Location: LCCOMB_X44_Y53_N10
\WideAnd723~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd723~0_combout\ = (\led_flash_cnt[723][1]~q\ & (\led_flash_cnt[723][4]~q\ & (\led_flash_cnt[723][2]~q\ & \led_flash_cnt[723][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[723][1]~q\,
	datab => \led_flash_cnt[723][4]~q\,
	datac => \led_flash_cnt[723][2]~q\,
	datad => \led_flash_cnt[723][3]~q\,
	combout => \WideAnd723~0_combout\);

-- Location: LCCOMB_X44_Y53_N20
\led_flash_cnt[723][5]~37010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[723][5]~37010_combout\ = (\led_flash_cnt[723][5]~q\ & (\led_flash_cnt[723][4]~37009\ $ (GND))) # (!\led_flash_cnt[723][5]~q\ & (!\led_flash_cnt[723][4]~37009\ & VCC))
-- \led_flash_cnt[723][5]~37011\ = CARRY((\led_flash_cnt[723][5]~q\ & !\led_flash_cnt[723][4]~37009\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[723][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[723][4]~37009\,
	combout => \led_flash_cnt[723][5]~37010_combout\,
	cout => \led_flash_cnt[723][5]~37011\);

-- Location: FF_X44_Y53_N21
\led_flash_cnt[723][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[723][5]~37010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[723][5]~q\);

-- Location: LCCOMB_X44_Y53_N22
\led_flash_cnt[723][6]~37012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[723][6]~37012_combout\ = (\led_flash_cnt[723][6]~q\ & (!\led_flash_cnt[723][5]~37011\)) # (!\led_flash_cnt[723][6]~q\ & ((\led_flash_cnt[723][5]~37011\) # (GND)))
-- \led_flash_cnt[723][6]~37013\ = CARRY((!\led_flash_cnt[723][5]~37011\) # (!\led_flash_cnt[723][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[723][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[723][5]~37011\,
	combout => \led_flash_cnt[723][6]~37012_combout\,
	cout => \led_flash_cnt[723][6]~37013\);

-- Location: FF_X44_Y53_N23
\led_flash_cnt[723][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[723][6]~37012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[723][6]~q\);

-- Location: LCCOMB_X44_Y53_N4
\WideAnd723~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd723~1_combout\ = (\led_flash_cnt[723][6]~q\ & \led_flash_cnt[723][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[723][6]~q\,
	datad => \led_flash_cnt[723][5]~q\,
	combout => \WideAnd723~1_combout\);

-- Location: LCCOMB_X44_Y53_N24
\led_flash_cnt[723][7]~37014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[723][7]~37014_combout\ = \led_flash_cnt[723][6]~37013\ $ (!\led_flash_cnt[723][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[723][7]~q\,
	cin => \led_flash_cnt[723][6]~37013\,
	combout => \led_flash_cnt[723][7]~37014_combout\);

-- Location: FF_X44_Y53_N25
\led_flash_cnt[723][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[723][7]~37014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[723][7]~q\);

-- Location: LCCOMB_X44_Y53_N26
WideAnd723 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd723~combout\ = (\WideAnd723~0_combout\ & (\WideAnd723~1_combout\ & (\led_flash_cnt[723][0]~q\ & \led_flash_cnt[723][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd723~0_combout\,
	datab => \WideAnd723~1_combout\,
	datac => \led_flash_cnt[723][0]~q\,
	datad => \led_flash_cnt[723][7]~q\,
	combout => \WideAnd723~combout\);

-- Location: FF_X44_Y53_N27
\led_flash_cnt_ands[723]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd723~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(723));

-- Location: LCCOMB_X45_Y53_N8
\led_flash_cnt[721][0]~81361\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[721][0]~81361_combout\ = !\led_flash_cnt[721][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[721][0]~q\,
	combout => \led_flash_cnt[721][0]~81361_combout\);

-- Location: FF_X45_Y53_N9
\led_flash_cnt[721][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[721][0]~81361_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[721][0]~q\);

-- Location: LCCOMB_X45_Y53_N12
\led_flash_cnt[721][1]~36974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[721][1]~36974_combout\ = (\led_flash_cnt[721][1]~q\ & (\led_flash_cnt[721][0]~q\ $ (VCC))) # (!\led_flash_cnt[721][1]~q\ & (\led_flash_cnt[721][0]~q\ & VCC))
-- \led_flash_cnt[721][1]~36975\ = CARRY((\led_flash_cnt[721][1]~q\ & \led_flash_cnt[721][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[721][1]~q\,
	datab => \led_flash_cnt[721][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[721][1]~36974_combout\,
	cout => \led_flash_cnt[721][1]~36975\);

-- Location: FF_X45_Y53_N13
\led_flash_cnt[721][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[721][1]~36974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[721][1]~q\);

-- Location: LCCOMB_X45_Y53_N14
\led_flash_cnt[721][2]~36976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[721][2]~36976_combout\ = (\led_flash_cnt[721][2]~q\ & (!\led_flash_cnt[721][1]~36975\)) # (!\led_flash_cnt[721][2]~q\ & ((\led_flash_cnt[721][1]~36975\) # (GND)))
-- \led_flash_cnt[721][2]~36977\ = CARRY((!\led_flash_cnt[721][1]~36975\) # (!\led_flash_cnt[721][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[721][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[721][1]~36975\,
	combout => \led_flash_cnt[721][2]~36976_combout\,
	cout => \led_flash_cnt[721][2]~36977\);

-- Location: FF_X45_Y53_N15
\led_flash_cnt[721][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[721][2]~36976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[721][2]~q\);

-- Location: LCCOMB_X45_Y53_N16
\led_flash_cnt[721][3]~36978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[721][3]~36978_combout\ = (\led_flash_cnt[721][3]~q\ & (\led_flash_cnt[721][2]~36977\ $ (GND))) # (!\led_flash_cnt[721][3]~q\ & (!\led_flash_cnt[721][2]~36977\ & VCC))
-- \led_flash_cnt[721][3]~36979\ = CARRY((\led_flash_cnt[721][3]~q\ & !\led_flash_cnt[721][2]~36977\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[721][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[721][2]~36977\,
	combout => \led_flash_cnt[721][3]~36978_combout\,
	cout => \led_flash_cnt[721][3]~36979\);

-- Location: FF_X45_Y53_N17
\led_flash_cnt[721][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[721][3]~36978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[721][3]~q\);

-- Location: LCCOMB_X45_Y53_N18
\led_flash_cnt[721][4]~36980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[721][4]~36980_combout\ = (\led_flash_cnt[721][4]~q\ & (!\led_flash_cnt[721][3]~36979\)) # (!\led_flash_cnt[721][4]~q\ & ((\led_flash_cnt[721][3]~36979\) # (GND)))
-- \led_flash_cnt[721][4]~36981\ = CARRY((!\led_flash_cnt[721][3]~36979\) # (!\led_flash_cnt[721][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[721][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[721][3]~36979\,
	combout => \led_flash_cnt[721][4]~36980_combout\,
	cout => \led_flash_cnt[721][4]~36981\);

-- Location: FF_X45_Y53_N19
\led_flash_cnt[721][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[721][4]~36980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[721][4]~q\);

-- Location: LCCOMB_X45_Y53_N30
\WideAnd721~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd721~0_combout\ = (\led_flash_cnt[721][1]~q\ & (\led_flash_cnt[721][4]~q\ & (\led_flash_cnt[721][2]~q\ & \led_flash_cnt[721][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[721][1]~q\,
	datab => \led_flash_cnt[721][4]~q\,
	datac => \led_flash_cnt[721][2]~q\,
	datad => \led_flash_cnt[721][3]~q\,
	combout => \WideAnd721~0_combout\);

-- Location: LCCOMB_X45_Y53_N20
\led_flash_cnt[721][5]~36982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[721][5]~36982_combout\ = (\led_flash_cnt[721][5]~q\ & (\led_flash_cnt[721][4]~36981\ $ (GND))) # (!\led_flash_cnt[721][5]~q\ & (!\led_flash_cnt[721][4]~36981\ & VCC))
-- \led_flash_cnt[721][5]~36983\ = CARRY((\led_flash_cnt[721][5]~q\ & !\led_flash_cnt[721][4]~36981\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[721][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[721][4]~36981\,
	combout => \led_flash_cnt[721][5]~36982_combout\,
	cout => \led_flash_cnt[721][5]~36983\);

-- Location: FF_X45_Y53_N21
\led_flash_cnt[721][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[721][5]~36982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[721][5]~q\);

-- Location: LCCOMB_X45_Y53_N22
\led_flash_cnt[721][6]~36984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[721][6]~36984_combout\ = (\led_flash_cnt[721][6]~q\ & (!\led_flash_cnt[721][5]~36983\)) # (!\led_flash_cnt[721][6]~q\ & ((\led_flash_cnt[721][5]~36983\) # (GND)))
-- \led_flash_cnt[721][6]~36985\ = CARRY((!\led_flash_cnt[721][5]~36983\) # (!\led_flash_cnt[721][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[721][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[721][5]~36983\,
	combout => \led_flash_cnt[721][6]~36984_combout\,
	cout => \led_flash_cnt[721][6]~36985\);

-- Location: FF_X45_Y53_N23
\led_flash_cnt[721][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[721][6]~36984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[721][6]~q\);

-- Location: LCCOMB_X45_Y53_N24
\led_flash_cnt[721][7]~36986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[721][7]~36986_combout\ = \led_flash_cnt[721][6]~36985\ $ (!\led_flash_cnt[721][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[721][7]~q\,
	cin => \led_flash_cnt[721][6]~36985\,
	combout => \led_flash_cnt[721][7]~36986_combout\);

-- Location: FF_X45_Y53_N25
\led_flash_cnt[721][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[721][7]~36986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[721][7]~q\);

-- Location: LCCOMB_X45_Y53_N28
\WideAnd721~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd721~1_combout\ = (\led_flash_cnt[721][6]~q\ & \led_flash_cnt[721][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[721][6]~q\,
	datad => \led_flash_cnt[721][5]~q\,
	combout => \WideAnd721~1_combout\);

-- Location: LCCOMB_X45_Y53_N2
WideAnd721 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd721~combout\ = (\WideAnd721~0_combout\ & (\led_flash_cnt[721][7]~q\ & (\led_flash_cnt[721][0]~q\ & \WideAnd721~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd721~0_combout\,
	datab => \led_flash_cnt[721][7]~q\,
	datac => \led_flash_cnt[721][0]~q\,
	datad => \WideAnd721~1_combout\,
	combout => \WideAnd721~combout\);

-- Location: FF_X45_Y53_N3
\led_flash_cnt_ands[721]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd721~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(721));

-- Location: LCCOMB_X49_Y53_N18
\led_flash_cnt[720][0]~81360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[720][0]~81360_combout\ = !\led_flash_cnt[720][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[720][0]~q\,
	combout => \led_flash_cnt[720][0]~81360_combout\);

-- Location: FF_X49_Y53_N19
\led_flash_cnt[720][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[720][0]~81360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[720][0]~q\);

-- Location: LCCOMB_X49_Y53_N0
\led_flash_cnt[720][1]~36960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[720][1]~36960_combout\ = (\led_flash_cnt[720][1]~q\ & (\led_flash_cnt[720][0]~q\ $ (VCC))) # (!\led_flash_cnt[720][1]~q\ & (\led_flash_cnt[720][0]~q\ & VCC))
-- \led_flash_cnt[720][1]~36961\ = CARRY((\led_flash_cnt[720][1]~q\ & \led_flash_cnt[720][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[720][1]~q\,
	datab => \led_flash_cnt[720][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[720][1]~36960_combout\,
	cout => \led_flash_cnt[720][1]~36961\);

-- Location: FF_X49_Y53_N1
\led_flash_cnt[720][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[720][1]~36960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[720][1]~q\);

-- Location: LCCOMB_X49_Y53_N2
\led_flash_cnt[720][2]~36962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[720][2]~36962_combout\ = (\led_flash_cnt[720][2]~q\ & (!\led_flash_cnt[720][1]~36961\)) # (!\led_flash_cnt[720][2]~q\ & ((\led_flash_cnt[720][1]~36961\) # (GND)))
-- \led_flash_cnt[720][2]~36963\ = CARRY((!\led_flash_cnt[720][1]~36961\) # (!\led_flash_cnt[720][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[720][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[720][1]~36961\,
	combout => \led_flash_cnt[720][2]~36962_combout\,
	cout => \led_flash_cnt[720][2]~36963\);

-- Location: FF_X49_Y53_N3
\led_flash_cnt[720][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[720][2]~36962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[720][2]~q\);

-- Location: LCCOMB_X49_Y53_N4
\led_flash_cnt[720][3]~36964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[720][3]~36964_combout\ = (\led_flash_cnt[720][3]~q\ & (\led_flash_cnt[720][2]~36963\ $ (GND))) # (!\led_flash_cnt[720][3]~q\ & (!\led_flash_cnt[720][2]~36963\ & VCC))
-- \led_flash_cnt[720][3]~36965\ = CARRY((\led_flash_cnt[720][3]~q\ & !\led_flash_cnt[720][2]~36963\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[720][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[720][2]~36963\,
	combout => \led_flash_cnt[720][3]~36964_combout\,
	cout => \led_flash_cnt[720][3]~36965\);

-- Location: FF_X49_Y53_N5
\led_flash_cnt[720][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[720][3]~36964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[720][3]~q\);

-- Location: LCCOMB_X49_Y53_N6
\led_flash_cnt[720][4]~36966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[720][4]~36966_combout\ = (\led_flash_cnt[720][4]~q\ & (!\led_flash_cnt[720][3]~36965\)) # (!\led_flash_cnt[720][4]~q\ & ((\led_flash_cnt[720][3]~36965\) # (GND)))
-- \led_flash_cnt[720][4]~36967\ = CARRY((!\led_flash_cnt[720][3]~36965\) # (!\led_flash_cnt[720][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[720][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[720][3]~36965\,
	combout => \led_flash_cnt[720][4]~36966_combout\,
	cout => \led_flash_cnt[720][4]~36967\);

-- Location: FF_X49_Y53_N7
\led_flash_cnt[720][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[720][4]~36966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[720][4]~q\);

-- Location: LCCOMB_X49_Y53_N26
\WideAnd720~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd720~0_combout\ = (\led_flash_cnt[720][4]~q\ & (\led_flash_cnt[720][1]~q\ & (\led_flash_cnt[720][3]~q\ & \led_flash_cnt[720][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[720][4]~q\,
	datab => \led_flash_cnt[720][1]~q\,
	datac => \led_flash_cnt[720][3]~q\,
	datad => \led_flash_cnt[720][2]~q\,
	combout => \WideAnd720~0_combout\);

-- Location: LCCOMB_X49_Y53_N8
\led_flash_cnt[720][5]~36968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[720][5]~36968_combout\ = (\led_flash_cnt[720][5]~q\ & (\led_flash_cnt[720][4]~36967\ $ (GND))) # (!\led_flash_cnt[720][5]~q\ & (!\led_flash_cnt[720][4]~36967\ & VCC))
-- \led_flash_cnt[720][5]~36969\ = CARRY((\led_flash_cnt[720][5]~q\ & !\led_flash_cnt[720][4]~36967\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[720][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[720][4]~36967\,
	combout => \led_flash_cnt[720][5]~36968_combout\,
	cout => \led_flash_cnt[720][5]~36969\);

-- Location: FF_X49_Y53_N9
\led_flash_cnt[720][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[720][5]~36968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[720][5]~q\);

-- Location: LCCOMB_X49_Y53_N10
\led_flash_cnt[720][6]~36970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[720][6]~36970_combout\ = (\led_flash_cnt[720][6]~q\ & (!\led_flash_cnt[720][5]~36969\)) # (!\led_flash_cnt[720][6]~q\ & ((\led_flash_cnt[720][5]~36969\) # (GND)))
-- \led_flash_cnt[720][6]~36971\ = CARRY((!\led_flash_cnt[720][5]~36969\) # (!\led_flash_cnt[720][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[720][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[720][5]~36969\,
	combout => \led_flash_cnt[720][6]~36970_combout\,
	cout => \led_flash_cnt[720][6]~36971\);

-- Location: FF_X49_Y53_N11
\led_flash_cnt[720][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[720][6]~36970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[720][6]~q\);

-- Location: LCCOMB_X49_Y53_N22
\WideAnd720~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd720~1_combout\ = (\led_flash_cnt[720][5]~q\ & \led_flash_cnt[720][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[720][5]~q\,
	datad => \led_flash_cnt[720][6]~q\,
	combout => \WideAnd720~1_combout\);

-- Location: LCCOMB_X49_Y53_N12
\led_flash_cnt[720][7]~36972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[720][7]~36972_combout\ = \led_flash_cnt[720][6]~36971\ $ (!\led_flash_cnt[720][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[720][7]~q\,
	cin => \led_flash_cnt[720][6]~36971\,
	combout => \led_flash_cnt[720][7]~36972_combout\);

-- Location: FF_X49_Y53_N13
\led_flash_cnt[720][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[720][7]~36972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[720][7]~q\);

-- Location: LCCOMB_X49_Y53_N24
WideAnd720 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd720~combout\ = (\WideAnd720~0_combout\ & (\led_flash_cnt[720][0]~q\ & (\WideAnd720~1_combout\ & \led_flash_cnt[720][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd720~0_combout\,
	datab => \led_flash_cnt[720][0]~q\,
	datac => \WideAnd720~1_combout\,
	datad => \led_flash_cnt[720][7]~q\,
	combout => \WideAnd720~combout\);

-- Location: FF_X49_Y53_N25
\led_flash_cnt_ands[720]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd720~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(720));

-- Location: LCCOMB_X45_Y53_N26
\led_flash_cnt[722][0]~81362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[722][0]~81362_combout\ = !\led_flash_cnt[722][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[722][0]~q\,
	combout => \led_flash_cnt[722][0]~81362_combout\);

-- Location: FF_X45_Y53_N27
\led_flash_cnt[722][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[722][0]~81362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[722][0]~q\);

-- Location: LCCOMB_X46_Y53_N2
\led_flash_cnt[722][1]~36988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[722][1]~36988_combout\ = (\led_flash_cnt[722][0]~q\ & (\led_flash_cnt[722][1]~q\ $ (VCC))) # (!\led_flash_cnt[722][0]~q\ & (\led_flash_cnt[722][1]~q\ & VCC))
-- \led_flash_cnt[722][1]~36989\ = CARRY((\led_flash_cnt[722][0]~q\ & \led_flash_cnt[722][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[722][0]~q\,
	datab => \led_flash_cnt[722][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[722][1]~36988_combout\,
	cout => \led_flash_cnt[722][1]~36989\);

-- Location: FF_X46_Y53_N3
\led_flash_cnt[722][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[722][1]~36988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[722][1]~q\);

-- Location: LCCOMB_X46_Y53_N4
\led_flash_cnt[722][2]~36990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[722][2]~36990_combout\ = (\led_flash_cnt[722][2]~q\ & (!\led_flash_cnt[722][1]~36989\)) # (!\led_flash_cnt[722][2]~q\ & ((\led_flash_cnt[722][1]~36989\) # (GND)))
-- \led_flash_cnt[722][2]~36991\ = CARRY((!\led_flash_cnt[722][1]~36989\) # (!\led_flash_cnt[722][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[722][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[722][1]~36989\,
	combout => \led_flash_cnt[722][2]~36990_combout\,
	cout => \led_flash_cnt[722][2]~36991\);

-- Location: FF_X46_Y53_N5
\led_flash_cnt[722][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[722][2]~36990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[722][2]~q\);

-- Location: LCCOMB_X46_Y53_N6
\led_flash_cnt[722][3]~36992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[722][3]~36992_combout\ = (\led_flash_cnt[722][3]~q\ & (\led_flash_cnt[722][2]~36991\ $ (GND))) # (!\led_flash_cnt[722][3]~q\ & (!\led_flash_cnt[722][2]~36991\ & VCC))
-- \led_flash_cnt[722][3]~36993\ = CARRY((\led_flash_cnt[722][3]~q\ & !\led_flash_cnt[722][2]~36991\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[722][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[722][2]~36991\,
	combout => \led_flash_cnt[722][3]~36992_combout\,
	cout => \led_flash_cnt[722][3]~36993\);

-- Location: FF_X46_Y53_N7
\led_flash_cnt[722][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[722][3]~36992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[722][3]~q\);

-- Location: LCCOMB_X46_Y53_N8
\led_flash_cnt[722][4]~36994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[722][4]~36994_combout\ = (\led_flash_cnt[722][4]~q\ & (!\led_flash_cnt[722][3]~36993\)) # (!\led_flash_cnt[722][4]~q\ & ((\led_flash_cnt[722][3]~36993\) # (GND)))
-- \led_flash_cnt[722][4]~36995\ = CARRY((!\led_flash_cnt[722][3]~36993\) # (!\led_flash_cnt[722][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[722][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[722][3]~36993\,
	combout => \led_flash_cnt[722][4]~36994_combout\,
	cout => \led_flash_cnt[722][4]~36995\);

-- Location: FF_X46_Y53_N9
\led_flash_cnt[722][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[722][4]~36994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[722][4]~q\);

-- Location: LCCOMB_X46_Y53_N10
\led_flash_cnt[722][5]~36996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[722][5]~36996_combout\ = (\led_flash_cnt[722][5]~q\ & (\led_flash_cnt[722][4]~36995\ $ (GND))) # (!\led_flash_cnt[722][5]~q\ & (!\led_flash_cnt[722][4]~36995\ & VCC))
-- \led_flash_cnt[722][5]~36997\ = CARRY((\led_flash_cnt[722][5]~q\ & !\led_flash_cnt[722][4]~36995\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[722][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[722][4]~36995\,
	combout => \led_flash_cnt[722][5]~36996_combout\,
	cout => \led_flash_cnt[722][5]~36997\);

-- Location: FF_X46_Y53_N11
\led_flash_cnt[722][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[722][5]~36996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[722][5]~q\);

-- Location: LCCOMB_X46_Y53_N12
\led_flash_cnt[722][6]~36998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[722][6]~36998_combout\ = (\led_flash_cnt[722][6]~q\ & (!\led_flash_cnt[722][5]~36997\)) # (!\led_flash_cnt[722][6]~q\ & ((\led_flash_cnt[722][5]~36997\) # (GND)))
-- \led_flash_cnt[722][6]~36999\ = CARRY((!\led_flash_cnt[722][5]~36997\) # (!\led_flash_cnt[722][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[722][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[722][5]~36997\,
	combout => \led_flash_cnt[722][6]~36998_combout\,
	cout => \led_flash_cnt[722][6]~36999\);

-- Location: FF_X46_Y53_N13
\led_flash_cnt[722][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[722][6]~36998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[722][6]~q\);

-- Location: LCCOMB_X45_Y53_N10
\WideAnd722~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd722~1_combout\ = (\led_flash_cnt[722][6]~q\ & \led_flash_cnt[722][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[722][6]~q\,
	datac => \led_flash_cnt[722][5]~q\,
	combout => \WideAnd722~1_combout\);

-- Location: LCCOMB_X46_Y53_N0
\WideAnd722~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd722~0_combout\ = (\led_flash_cnt[722][3]~q\ & (\led_flash_cnt[722][4]~q\ & (\led_flash_cnt[722][2]~q\ & \led_flash_cnt[722][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[722][3]~q\,
	datab => \led_flash_cnt[722][4]~q\,
	datac => \led_flash_cnt[722][2]~q\,
	datad => \led_flash_cnt[722][1]~q\,
	combout => \WideAnd722~0_combout\);

-- Location: LCCOMB_X46_Y53_N14
\led_flash_cnt[722][7]~37000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[722][7]~37000_combout\ = \led_flash_cnt[722][7]~q\ $ (!\led_flash_cnt[722][6]~36999\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[722][7]~q\,
	cin => \led_flash_cnt[722][6]~36999\,
	combout => \led_flash_cnt[722][7]~37000_combout\);

-- Location: FF_X46_Y53_N15
\led_flash_cnt[722][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[722][7]~37000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[722][7]~q\);

-- Location: LCCOMB_X45_Y53_N0
WideAnd722 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd722~combout\ = (\WideAnd722~1_combout\ & (\WideAnd722~0_combout\ & (\led_flash_cnt[722][7]~q\ & \led_flash_cnt[722][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd722~1_combout\,
	datab => \WideAnd722~0_combout\,
	datac => \led_flash_cnt[722][7]~q\,
	datad => \led_flash_cnt[722][0]~q\,
	combout => \WideAnd722~combout\);

-- Location: FF_X45_Y53_N1
\led_flash_cnt_ands[722]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd722~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(722));

-- Location: LCCOMB_X45_Y53_N6
\WideAnd3930~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3930~0_combout\ = (led_flash_cnt_ands(723) & (led_flash_cnt_ands(721) & (led_flash_cnt_ands(720) & led_flash_cnt_ands(722))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(723),
	datab => led_flash_cnt_ands(721),
	datac => led_flash_cnt_ands(720),
	datad => led_flash_cnt_ands(722),
	combout => \WideAnd3930~0_combout\);

-- Location: LCCOMB_X15_Y38_N0
\led_flash_cnt[724][0]~81364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[724][0]~81364_combout\ = !\led_flash_cnt[724][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[724][0]~q\,
	combout => \led_flash_cnt[724][0]~81364_combout\);

-- Location: FF_X15_Y38_N1
\led_flash_cnt[724][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[724][0]~81364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[724][0]~q\);

-- Location: LCCOMB_X15_Y38_N10
\led_flash_cnt[724][1]~37016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[724][1]~37016_combout\ = (\led_flash_cnt[724][1]~q\ & (\led_flash_cnt[724][0]~q\ $ (VCC))) # (!\led_flash_cnt[724][1]~q\ & (\led_flash_cnt[724][0]~q\ & VCC))
-- \led_flash_cnt[724][1]~37017\ = CARRY((\led_flash_cnt[724][1]~q\ & \led_flash_cnt[724][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[724][1]~q\,
	datab => \led_flash_cnt[724][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[724][1]~37016_combout\,
	cout => \led_flash_cnt[724][1]~37017\);

-- Location: FF_X15_Y38_N11
\led_flash_cnt[724][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[724][1]~37016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[724][1]~q\);

-- Location: LCCOMB_X15_Y38_N12
\led_flash_cnt[724][2]~37018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[724][2]~37018_combout\ = (\led_flash_cnt[724][2]~q\ & (!\led_flash_cnt[724][1]~37017\)) # (!\led_flash_cnt[724][2]~q\ & ((\led_flash_cnt[724][1]~37017\) # (GND)))
-- \led_flash_cnt[724][2]~37019\ = CARRY((!\led_flash_cnt[724][1]~37017\) # (!\led_flash_cnt[724][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[724][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[724][1]~37017\,
	combout => \led_flash_cnt[724][2]~37018_combout\,
	cout => \led_flash_cnt[724][2]~37019\);

-- Location: FF_X15_Y38_N13
\led_flash_cnt[724][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[724][2]~37018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[724][2]~q\);

-- Location: LCCOMB_X15_Y38_N14
\led_flash_cnt[724][3]~37020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[724][3]~37020_combout\ = (\led_flash_cnt[724][3]~q\ & (\led_flash_cnt[724][2]~37019\ $ (GND))) # (!\led_flash_cnt[724][3]~q\ & (!\led_flash_cnt[724][2]~37019\ & VCC))
-- \led_flash_cnt[724][3]~37021\ = CARRY((\led_flash_cnt[724][3]~q\ & !\led_flash_cnt[724][2]~37019\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[724][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[724][2]~37019\,
	combout => \led_flash_cnt[724][3]~37020_combout\,
	cout => \led_flash_cnt[724][3]~37021\);

-- Location: FF_X15_Y38_N15
\led_flash_cnt[724][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[724][3]~37020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[724][3]~q\);

-- Location: LCCOMB_X15_Y38_N16
\led_flash_cnt[724][4]~37022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[724][4]~37022_combout\ = (\led_flash_cnt[724][4]~q\ & (!\led_flash_cnt[724][3]~37021\)) # (!\led_flash_cnt[724][4]~q\ & ((\led_flash_cnt[724][3]~37021\) # (GND)))
-- \led_flash_cnt[724][4]~37023\ = CARRY((!\led_flash_cnt[724][3]~37021\) # (!\led_flash_cnt[724][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[724][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[724][3]~37021\,
	combout => \led_flash_cnt[724][4]~37022_combout\,
	cout => \led_flash_cnt[724][4]~37023\);

-- Location: FF_X15_Y38_N17
\led_flash_cnt[724][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[724][4]~37022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[724][4]~q\);

-- Location: LCCOMB_X15_Y38_N18
\led_flash_cnt[724][5]~37024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[724][5]~37024_combout\ = (\led_flash_cnt[724][5]~q\ & (\led_flash_cnt[724][4]~37023\ $ (GND))) # (!\led_flash_cnt[724][5]~q\ & (!\led_flash_cnt[724][4]~37023\ & VCC))
-- \led_flash_cnt[724][5]~37025\ = CARRY((\led_flash_cnt[724][5]~q\ & !\led_flash_cnt[724][4]~37023\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[724][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[724][4]~37023\,
	combout => \led_flash_cnt[724][5]~37024_combout\,
	cout => \led_flash_cnt[724][5]~37025\);

-- Location: FF_X15_Y38_N19
\led_flash_cnt[724][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[724][5]~37024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[724][5]~q\);

-- Location: LCCOMB_X15_Y38_N20
\led_flash_cnt[724][6]~37026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[724][6]~37026_combout\ = (\led_flash_cnt[724][6]~q\ & (!\led_flash_cnt[724][5]~37025\)) # (!\led_flash_cnt[724][6]~q\ & ((\led_flash_cnt[724][5]~37025\) # (GND)))
-- \led_flash_cnt[724][6]~37027\ = CARRY((!\led_flash_cnt[724][5]~37025\) # (!\led_flash_cnt[724][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[724][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[724][5]~37025\,
	combout => \led_flash_cnt[724][6]~37026_combout\,
	cout => \led_flash_cnt[724][6]~37027\);

-- Location: FF_X15_Y38_N21
\led_flash_cnt[724][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[724][6]~37026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[724][6]~q\);

-- Location: LCCOMB_X15_Y38_N22
\led_flash_cnt[724][7]~37028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[724][7]~37028_combout\ = \led_flash_cnt[724][7]~q\ $ (!\led_flash_cnt[724][6]~37027\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[724][7]~q\,
	cin => \led_flash_cnt[724][6]~37027\,
	combout => \led_flash_cnt[724][7]~37028_combout\);

-- Location: FF_X15_Y38_N23
\led_flash_cnt[724][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[724][7]~37028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[724][7]~q\);

-- Location: LCCOMB_X15_Y38_N24
\WideAnd724~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd724~0_combout\ = (\led_flash_cnt[724][2]~q\ & (\led_flash_cnt[724][4]~q\ & (\led_flash_cnt[724][3]~q\ & \led_flash_cnt[724][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[724][2]~q\,
	datab => \led_flash_cnt[724][4]~q\,
	datac => \led_flash_cnt[724][3]~q\,
	datad => \led_flash_cnt[724][1]~q\,
	combout => \WideAnd724~0_combout\);

-- Location: LCCOMB_X15_Y38_N4
\WideAnd724~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd724~1_combout\ = (\led_flash_cnt[724][6]~q\ & \led_flash_cnt[724][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[724][6]~q\,
	datad => \led_flash_cnt[724][5]~q\,
	combout => \WideAnd724~1_combout\);

-- Location: LCCOMB_X15_Y38_N26
WideAnd724 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd724~combout\ = (\led_flash_cnt[724][7]~q\ & (\WideAnd724~0_combout\ & (\WideAnd724~1_combout\ & \led_flash_cnt[724][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[724][7]~q\,
	datab => \WideAnd724~0_combout\,
	datac => \WideAnd724~1_combout\,
	datad => \led_flash_cnt[724][0]~q\,
	combout => \WideAnd724~combout\);

-- Location: FF_X15_Y38_N27
\led_flash_cnt_ands[724]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd724~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(724));

-- Location: LCCOMB_X15_Y38_N6
\led_flash_cnt[725][0]~81365\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[725][0]~81365_combout\ = !\led_flash_cnt[725][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[725][0]~q\,
	combout => \led_flash_cnt[725][0]~81365_combout\);

-- Location: FF_X15_Y38_N7
\led_flash_cnt[725][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[725][0]~81365_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[725][0]~q\);

-- Location: LCCOMB_X16_Y38_N0
\led_flash_cnt[725][1]~37030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[725][1]~37030_combout\ = (\led_flash_cnt[725][0]~q\ & (\led_flash_cnt[725][1]~q\ $ (VCC))) # (!\led_flash_cnt[725][0]~q\ & (\led_flash_cnt[725][1]~q\ & VCC))
-- \led_flash_cnt[725][1]~37031\ = CARRY((\led_flash_cnt[725][0]~q\ & \led_flash_cnt[725][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[725][0]~q\,
	datab => \led_flash_cnt[725][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[725][1]~37030_combout\,
	cout => \led_flash_cnt[725][1]~37031\);

-- Location: FF_X16_Y38_N1
\led_flash_cnt[725][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[725][1]~37030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[725][1]~q\);

-- Location: LCCOMB_X16_Y38_N2
\led_flash_cnt[725][2]~37032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[725][2]~37032_combout\ = (\led_flash_cnt[725][2]~q\ & (!\led_flash_cnt[725][1]~37031\)) # (!\led_flash_cnt[725][2]~q\ & ((\led_flash_cnt[725][1]~37031\) # (GND)))
-- \led_flash_cnt[725][2]~37033\ = CARRY((!\led_flash_cnt[725][1]~37031\) # (!\led_flash_cnt[725][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[725][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[725][1]~37031\,
	combout => \led_flash_cnt[725][2]~37032_combout\,
	cout => \led_flash_cnt[725][2]~37033\);

-- Location: FF_X16_Y38_N3
\led_flash_cnt[725][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[725][2]~37032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[725][2]~q\);

-- Location: LCCOMB_X16_Y38_N4
\led_flash_cnt[725][3]~37034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[725][3]~37034_combout\ = (\led_flash_cnt[725][3]~q\ & (\led_flash_cnt[725][2]~37033\ $ (GND))) # (!\led_flash_cnt[725][3]~q\ & (!\led_flash_cnt[725][2]~37033\ & VCC))
-- \led_flash_cnt[725][3]~37035\ = CARRY((\led_flash_cnt[725][3]~q\ & !\led_flash_cnt[725][2]~37033\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[725][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[725][2]~37033\,
	combout => \led_flash_cnt[725][3]~37034_combout\,
	cout => \led_flash_cnt[725][3]~37035\);

-- Location: FF_X16_Y38_N5
\led_flash_cnt[725][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[725][3]~37034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[725][3]~q\);

-- Location: LCCOMB_X16_Y38_N6
\led_flash_cnt[725][4]~37036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[725][4]~37036_combout\ = (\led_flash_cnt[725][4]~q\ & (!\led_flash_cnt[725][3]~37035\)) # (!\led_flash_cnt[725][4]~q\ & ((\led_flash_cnt[725][3]~37035\) # (GND)))
-- \led_flash_cnt[725][4]~37037\ = CARRY((!\led_flash_cnt[725][3]~37035\) # (!\led_flash_cnt[725][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[725][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[725][3]~37035\,
	combout => \led_flash_cnt[725][4]~37036_combout\,
	cout => \led_flash_cnt[725][4]~37037\);

-- Location: FF_X16_Y38_N7
\led_flash_cnt[725][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[725][4]~37036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[725][4]~q\);

-- Location: LCCOMB_X16_Y38_N8
\led_flash_cnt[725][5]~37038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[725][5]~37038_combout\ = (\led_flash_cnt[725][5]~q\ & (\led_flash_cnt[725][4]~37037\ $ (GND))) # (!\led_flash_cnt[725][5]~q\ & (!\led_flash_cnt[725][4]~37037\ & VCC))
-- \led_flash_cnt[725][5]~37039\ = CARRY((\led_flash_cnt[725][5]~q\ & !\led_flash_cnt[725][4]~37037\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[725][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[725][4]~37037\,
	combout => \led_flash_cnt[725][5]~37038_combout\,
	cout => \led_flash_cnt[725][5]~37039\);

-- Location: FF_X16_Y38_N9
\led_flash_cnt[725][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[725][5]~37038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[725][5]~q\);

-- Location: LCCOMB_X16_Y38_N10
\led_flash_cnt[725][6]~37040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[725][6]~37040_combout\ = (\led_flash_cnt[725][6]~q\ & (!\led_flash_cnt[725][5]~37039\)) # (!\led_flash_cnt[725][6]~q\ & ((\led_flash_cnt[725][5]~37039\) # (GND)))
-- \led_flash_cnt[725][6]~37041\ = CARRY((!\led_flash_cnt[725][5]~37039\) # (!\led_flash_cnt[725][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[725][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[725][5]~37039\,
	combout => \led_flash_cnt[725][6]~37040_combout\,
	cout => \led_flash_cnt[725][6]~37041\);

-- Location: FF_X16_Y38_N11
\led_flash_cnt[725][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[725][6]~37040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[725][6]~q\);

-- Location: LCCOMB_X15_Y38_N30
\WideAnd725~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd725~1_combout\ = (\led_flash_cnt[725][6]~q\ & \led_flash_cnt[725][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[725][6]~q\,
	datac => \led_flash_cnt[725][5]~q\,
	combout => \WideAnd725~1_combout\);

-- Location: LCCOMB_X16_Y38_N12
\led_flash_cnt[725][7]~37042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[725][7]~37042_combout\ = \led_flash_cnt[725][6]~37041\ $ (!\led_flash_cnt[725][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[725][7]~q\,
	cin => \led_flash_cnt[725][6]~37041\,
	combout => \led_flash_cnt[725][7]~37042_combout\);

-- Location: FF_X16_Y38_N13
\led_flash_cnt[725][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[725][7]~37042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[725][7]~q\);

-- Location: LCCOMB_X16_Y38_N30
\WideAnd725~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd725~0_combout\ = (\led_flash_cnt[725][4]~q\ & (\led_flash_cnt[725][1]~q\ & (\led_flash_cnt[725][3]~q\ & \led_flash_cnt[725][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[725][4]~q\,
	datab => \led_flash_cnt[725][1]~q\,
	datac => \led_flash_cnt[725][3]~q\,
	datad => \led_flash_cnt[725][2]~q\,
	combout => \WideAnd725~0_combout\);

-- Location: LCCOMB_X15_Y38_N2
WideAnd725 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd725~combout\ = (\WideAnd725~1_combout\ & (\led_flash_cnt[725][7]~q\ & (\WideAnd725~0_combout\ & \led_flash_cnt[725][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd725~1_combout\,
	datab => \led_flash_cnt[725][7]~q\,
	datac => \WideAnd725~0_combout\,
	datad => \led_flash_cnt[725][0]~q\,
	combout => \WideAnd725~combout\);

-- Location: FF_X15_Y38_N3
\led_flash_cnt_ands[725]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd725~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(725));

-- Location: LCCOMB_X15_Y38_N28
\WideAnd3930~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3930~1_combout\ = (led_flash_cnt_ands(724) & led_flash_cnt_ands(725))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(724),
	datad => led_flash_cnt_ands(725),
	combout => \WideAnd3930~1_combout\);

-- Location: LCCOMB_X15_Y38_N8
WideAnd3930 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3930~combout\ = (led_flash_cnt_ands(726) & (led_flash_cnt_ands(727) & (\WideAnd3930~0_combout\ & \WideAnd3930~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(726),
	datab => led_flash_cnt_ands(727),
	datac => \WideAnd3930~0_combout\,
	datad => \WideAnd3930~1_combout\,
	combout => \WideAnd3930~combout\);

-- Location: FF_X15_Y38_N9
\led_flash_cnt_ands_1[90]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3930~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(90));

-- Location: LCCOMB_X65_Y35_N24
\led_flash_cnt[735][0]~81375\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[735][0]~81375_combout\ = !\led_flash_cnt[735][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[735][0]~q\,
	combout => \led_flash_cnt[735][0]~81375_combout\);

-- Location: FF_X65_Y35_N25
\led_flash_cnt[735][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[735][0]~81375_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[735][0]~q\);

-- Location: LCCOMB_X65_Y35_N10
\led_flash_cnt[735][1]~37170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[735][1]~37170_combout\ = (\led_flash_cnt[735][1]~q\ & (\led_flash_cnt[735][0]~q\ $ (VCC))) # (!\led_flash_cnt[735][1]~q\ & (\led_flash_cnt[735][0]~q\ & VCC))
-- \led_flash_cnt[735][1]~37171\ = CARRY((\led_flash_cnt[735][1]~q\ & \led_flash_cnt[735][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[735][1]~q\,
	datab => \led_flash_cnt[735][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[735][1]~37170_combout\,
	cout => \led_flash_cnt[735][1]~37171\);

-- Location: FF_X65_Y35_N11
\led_flash_cnt[735][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[735][1]~37170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[735][1]~q\);

-- Location: LCCOMB_X65_Y35_N12
\led_flash_cnt[735][2]~37172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[735][2]~37172_combout\ = (\led_flash_cnt[735][2]~q\ & (!\led_flash_cnt[735][1]~37171\)) # (!\led_flash_cnt[735][2]~q\ & ((\led_flash_cnt[735][1]~37171\) # (GND)))
-- \led_flash_cnt[735][2]~37173\ = CARRY((!\led_flash_cnt[735][1]~37171\) # (!\led_flash_cnt[735][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[735][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[735][1]~37171\,
	combout => \led_flash_cnt[735][2]~37172_combout\,
	cout => \led_flash_cnt[735][2]~37173\);

-- Location: FF_X65_Y35_N13
\led_flash_cnt[735][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[735][2]~37172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[735][2]~q\);

-- Location: LCCOMB_X65_Y35_N14
\led_flash_cnt[735][3]~37174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[735][3]~37174_combout\ = (\led_flash_cnt[735][3]~q\ & (\led_flash_cnt[735][2]~37173\ $ (GND))) # (!\led_flash_cnt[735][3]~q\ & (!\led_flash_cnt[735][2]~37173\ & VCC))
-- \led_flash_cnt[735][3]~37175\ = CARRY((\led_flash_cnt[735][3]~q\ & !\led_flash_cnt[735][2]~37173\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[735][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[735][2]~37173\,
	combout => \led_flash_cnt[735][3]~37174_combout\,
	cout => \led_flash_cnt[735][3]~37175\);

-- Location: FF_X65_Y35_N15
\led_flash_cnt[735][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[735][3]~37174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[735][3]~q\);

-- Location: LCCOMB_X65_Y35_N16
\led_flash_cnt[735][4]~37176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[735][4]~37176_combout\ = (\led_flash_cnt[735][4]~q\ & (!\led_flash_cnt[735][3]~37175\)) # (!\led_flash_cnt[735][4]~q\ & ((\led_flash_cnt[735][3]~37175\) # (GND)))
-- \led_flash_cnt[735][4]~37177\ = CARRY((!\led_flash_cnt[735][3]~37175\) # (!\led_flash_cnt[735][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[735][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[735][3]~37175\,
	combout => \led_flash_cnt[735][4]~37176_combout\,
	cout => \led_flash_cnt[735][4]~37177\);

-- Location: FF_X65_Y35_N17
\led_flash_cnt[735][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[735][4]~37176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[735][4]~q\);

-- Location: LCCOMB_X65_Y35_N18
\led_flash_cnt[735][5]~37178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[735][5]~37178_combout\ = (\led_flash_cnt[735][5]~q\ & (\led_flash_cnt[735][4]~37177\ $ (GND))) # (!\led_flash_cnt[735][5]~q\ & (!\led_flash_cnt[735][4]~37177\ & VCC))
-- \led_flash_cnt[735][5]~37179\ = CARRY((\led_flash_cnt[735][5]~q\ & !\led_flash_cnt[735][4]~37177\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[735][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[735][4]~37177\,
	combout => \led_flash_cnt[735][5]~37178_combout\,
	cout => \led_flash_cnt[735][5]~37179\);

-- Location: FF_X65_Y35_N19
\led_flash_cnt[735][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[735][5]~37178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[735][5]~q\);

-- Location: LCCOMB_X65_Y35_N20
\led_flash_cnt[735][6]~37180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[735][6]~37180_combout\ = (\led_flash_cnt[735][6]~q\ & (!\led_flash_cnt[735][5]~37179\)) # (!\led_flash_cnt[735][6]~q\ & ((\led_flash_cnt[735][5]~37179\) # (GND)))
-- \led_flash_cnt[735][6]~37181\ = CARRY((!\led_flash_cnt[735][5]~37179\) # (!\led_flash_cnt[735][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[735][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[735][5]~37179\,
	combout => \led_flash_cnt[735][6]~37180_combout\,
	cout => \led_flash_cnt[735][6]~37181\);

-- Location: FF_X65_Y35_N21
\led_flash_cnt[735][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[735][6]~37180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[735][6]~q\);

-- Location: LCCOMB_X65_Y35_N22
\led_flash_cnt[735][7]~37182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[735][7]~37182_combout\ = \led_flash_cnt[735][7]~q\ $ (!\led_flash_cnt[735][6]~37181\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[735][7]~q\,
	cin => \led_flash_cnt[735][6]~37181\,
	combout => \led_flash_cnt[735][7]~37182_combout\);

-- Location: FF_X65_Y35_N23
\led_flash_cnt[735][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[735][7]~37182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[735][7]~q\);

-- Location: LCCOMB_X65_Y35_N4
\WideAnd735~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd735~1_combout\ = (\led_flash_cnt[735][6]~q\ & \led_flash_cnt[735][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[735][6]~q\,
	datad => \led_flash_cnt[735][5]~q\,
	combout => \WideAnd735~1_combout\);

-- Location: LCCOMB_X65_Y35_N28
\WideAnd735~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd735~0_combout\ = (\led_flash_cnt[735][2]~q\ & (\led_flash_cnt[735][4]~q\ & (\led_flash_cnt[735][3]~q\ & \led_flash_cnt[735][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[735][2]~q\,
	datab => \led_flash_cnt[735][4]~q\,
	datac => \led_flash_cnt[735][3]~q\,
	datad => \led_flash_cnt[735][1]~q\,
	combout => \WideAnd735~0_combout\);

-- Location: LCCOMB_X65_Y35_N26
WideAnd735 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd735~combout\ = (\led_flash_cnt[735][7]~q\ & (\led_flash_cnt[735][0]~q\ & (\WideAnd735~1_combout\ & \WideAnd735~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[735][7]~q\,
	datab => \led_flash_cnt[735][0]~q\,
	datac => \WideAnd735~1_combout\,
	datad => \WideAnd735~0_combout\,
	combout => \WideAnd735~combout\);

-- Location: FF_X65_Y35_N27
\led_flash_cnt_ands[735]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd735~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(735));

-- Location: LCCOMB_X76_Y11_N22
\led_flash_cnt[731][0]~81371\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[731][0]~81371_combout\ = !\led_flash_cnt[731][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[731][0]~q\,
	combout => \led_flash_cnt[731][0]~81371_combout\);

-- Location: FF_X76_Y11_N23
\led_flash_cnt[731][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[731][0]~81371_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[731][0]~q\);

-- Location: LCCOMB_X76_Y11_N0
\led_flash_cnt[731][1]~37114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[731][1]~37114_combout\ = (\led_flash_cnt[731][0]~q\ & (\led_flash_cnt[731][1]~q\ $ (VCC))) # (!\led_flash_cnt[731][0]~q\ & (\led_flash_cnt[731][1]~q\ & VCC))
-- \led_flash_cnt[731][1]~37115\ = CARRY((\led_flash_cnt[731][0]~q\ & \led_flash_cnt[731][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[731][0]~q\,
	datab => \led_flash_cnt[731][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[731][1]~37114_combout\,
	cout => \led_flash_cnt[731][1]~37115\);

-- Location: FF_X76_Y11_N1
\led_flash_cnt[731][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[731][1]~37114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[731][1]~q\);

-- Location: LCCOMB_X76_Y11_N2
\led_flash_cnt[731][2]~37116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[731][2]~37116_combout\ = (\led_flash_cnt[731][2]~q\ & (!\led_flash_cnt[731][1]~37115\)) # (!\led_flash_cnt[731][2]~q\ & ((\led_flash_cnt[731][1]~37115\) # (GND)))
-- \led_flash_cnt[731][2]~37117\ = CARRY((!\led_flash_cnt[731][1]~37115\) # (!\led_flash_cnt[731][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[731][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[731][1]~37115\,
	combout => \led_flash_cnt[731][2]~37116_combout\,
	cout => \led_flash_cnt[731][2]~37117\);

-- Location: FF_X76_Y11_N3
\led_flash_cnt[731][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[731][2]~37116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[731][2]~q\);

-- Location: LCCOMB_X76_Y11_N4
\led_flash_cnt[731][3]~37118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[731][3]~37118_combout\ = (\led_flash_cnt[731][3]~q\ & (\led_flash_cnt[731][2]~37117\ $ (GND))) # (!\led_flash_cnt[731][3]~q\ & (!\led_flash_cnt[731][2]~37117\ & VCC))
-- \led_flash_cnt[731][3]~37119\ = CARRY((\led_flash_cnt[731][3]~q\ & !\led_flash_cnt[731][2]~37117\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[731][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[731][2]~37117\,
	combout => \led_flash_cnt[731][3]~37118_combout\,
	cout => \led_flash_cnt[731][3]~37119\);

-- Location: FF_X76_Y11_N5
\led_flash_cnt[731][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[731][3]~37118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[731][3]~q\);

-- Location: LCCOMB_X76_Y11_N6
\led_flash_cnt[731][4]~37120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[731][4]~37120_combout\ = (\led_flash_cnt[731][4]~q\ & (!\led_flash_cnt[731][3]~37119\)) # (!\led_flash_cnt[731][4]~q\ & ((\led_flash_cnt[731][3]~37119\) # (GND)))
-- \led_flash_cnt[731][4]~37121\ = CARRY((!\led_flash_cnt[731][3]~37119\) # (!\led_flash_cnt[731][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[731][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[731][3]~37119\,
	combout => \led_flash_cnt[731][4]~37120_combout\,
	cout => \led_flash_cnt[731][4]~37121\);

-- Location: FF_X76_Y11_N7
\led_flash_cnt[731][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[731][4]~37120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[731][4]~q\);

-- Location: LCCOMB_X76_Y11_N8
\led_flash_cnt[731][5]~37122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[731][5]~37122_combout\ = (\led_flash_cnt[731][5]~q\ & (\led_flash_cnt[731][4]~37121\ $ (GND))) # (!\led_flash_cnt[731][5]~q\ & (!\led_flash_cnt[731][4]~37121\ & VCC))
-- \led_flash_cnt[731][5]~37123\ = CARRY((\led_flash_cnt[731][5]~q\ & !\led_flash_cnt[731][4]~37121\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[731][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[731][4]~37121\,
	combout => \led_flash_cnt[731][5]~37122_combout\,
	cout => \led_flash_cnt[731][5]~37123\);

-- Location: FF_X76_Y11_N9
\led_flash_cnt[731][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[731][5]~37122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[731][5]~q\);

-- Location: LCCOMB_X76_Y11_N10
\led_flash_cnt[731][6]~37124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[731][6]~37124_combout\ = (\led_flash_cnt[731][6]~q\ & (!\led_flash_cnt[731][5]~37123\)) # (!\led_flash_cnt[731][6]~q\ & ((\led_flash_cnt[731][5]~37123\) # (GND)))
-- \led_flash_cnt[731][6]~37125\ = CARRY((!\led_flash_cnt[731][5]~37123\) # (!\led_flash_cnt[731][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[731][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[731][5]~37123\,
	combout => \led_flash_cnt[731][6]~37124_combout\,
	cout => \led_flash_cnt[731][6]~37125\);

-- Location: FF_X76_Y11_N11
\led_flash_cnt[731][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[731][6]~37124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[731][6]~q\);

-- Location: LCCOMB_X76_Y11_N12
\led_flash_cnt[731][7]~37126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[731][7]~37126_combout\ = \led_flash_cnt[731][6]~37125\ $ (!\led_flash_cnt[731][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[731][7]~q\,
	cin => \led_flash_cnt[731][6]~37125\,
	combout => \led_flash_cnt[731][7]~37126_combout\);

-- Location: FF_X76_Y11_N13
\led_flash_cnt[731][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[731][7]~37126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[731][7]~q\);

-- Location: LCCOMB_X76_Y11_N24
\WideAnd731~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd731~0_combout\ = (\led_flash_cnt[731][4]~q\ & (\led_flash_cnt[731][1]~q\ & (\led_flash_cnt[731][3]~q\ & \led_flash_cnt[731][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[731][4]~q\,
	datab => \led_flash_cnt[731][1]~q\,
	datac => \led_flash_cnt[731][3]~q\,
	datad => \led_flash_cnt[731][2]~q\,
	combout => \WideAnd731~0_combout\);

-- Location: LCCOMB_X76_Y11_N20
\WideAnd731~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd731~1_combout\ = (\led_flash_cnt[731][5]~q\ & \led_flash_cnt[731][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[731][5]~q\,
	datad => \led_flash_cnt[731][6]~q\,
	combout => \WideAnd731~1_combout\);

-- Location: LCCOMB_X76_Y11_N26
WideAnd731 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd731~combout\ = (\led_flash_cnt[731][7]~q\ & (\WideAnd731~0_combout\ & (\led_flash_cnt[731][0]~q\ & \WideAnd731~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[731][7]~q\,
	datab => \WideAnd731~0_combout\,
	datac => \led_flash_cnt[731][0]~q\,
	datad => \WideAnd731~1_combout\,
	combout => \WideAnd731~combout\);

-- Location: FF_X76_Y11_N27
\led_flash_cnt_ands[731]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd731~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(731));

-- Location: LCCOMB_X75_Y11_N26
\led_flash_cnt[729][0]~81369\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[729][0]~81369_combout\ = !\led_flash_cnt[729][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[729][0]~q\,
	combout => \led_flash_cnt[729][0]~81369_combout\);

-- Location: FF_X75_Y11_N27
\led_flash_cnt[729][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[729][0]~81369_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[729][0]~q\);

-- Location: LCCOMB_X75_Y11_N2
\led_flash_cnt[729][1]~37086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[729][1]~37086_combout\ = (\led_flash_cnt[729][0]~q\ & (\led_flash_cnt[729][1]~q\ $ (VCC))) # (!\led_flash_cnt[729][0]~q\ & (\led_flash_cnt[729][1]~q\ & VCC))
-- \led_flash_cnt[729][1]~37087\ = CARRY((\led_flash_cnt[729][0]~q\ & \led_flash_cnt[729][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[729][0]~q\,
	datab => \led_flash_cnt[729][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[729][1]~37086_combout\,
	cout => \led_flash_cnt[729][1]~37087\);

-- Location: FF_X75_Y11_N3
\led_flash_cnt[729][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[729][1]~37086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[729][1]~q\);

-- Location: LCCOMB_X75_Y11_N4
\led_flash_cnt[729][2]~37088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[729][2]~37088_combout\ = (\led_flash_cnt[729][2]~q\ & (!\led_flash_cnt[729][1]~37087\)) # (!\led_flash_cnt[729][2]~q\ & ((\led_flash_cnt[729][1]~37087\) # (GND)))
-- \led_flash_cnt[729][2]~37089\ = CARRY((!\led_flash_cnt[729][1]~37087\) # (!\led_flash_cnt[729][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[729][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[729][1]~37087\,
	combout => \led_flash_cnt[729][2]~37088_combout\,
	cout => \led_flash_cnt[729][2]~37089\);

-- Location: FF_X75_Y11_N5
\led_flash_cnt[729][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[729][2]~37088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[729][2]~q\);

-- Location: LCCOMB_X75_Y11_N6
\led_flash_cnt[729][3]~37090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[729][3]~37090_combout\ = (\led_flash_cnt[729][3]~q\ & (\led_flash_cnt[729][2]~37089\ $ (GND))) # (!\led_flash_cnt[729][3]~q\ & (!\led_flash_cnt[729][2]~37089\ & VCC))
-- \led_flash_cnt[729][3]~37091\ = CARRY((\led_flash_cnt[729][3]~q\ & !\led_flash_cnt[729][2]~37089\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[729][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[729][2]~37089\,
	combout => \led_flash_cnt[729][3]~37090_combout\,
	cout => \led_flash_cnt[729][3]~37091\);

-- Location: FF_X75_Y11_N7
\led_flash_cnt[729][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[729][3]~37090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[729][3]~q\);

-- Location: LCCOMB_X75_Y11_N8
\led_flash_cnt[729][4]~37092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[729][4]~37092_combout\ = (\led_flash_cnt[729][4]~q\ & (!\led_flash_cnt[729][3]~37091\)) # (!\led_flash_cnt[729][4]~q\ & ((\led_flash_cnt[729][3]~37091\) # (GND)))
-- \led_flash_cnt[729][4]~37093\ = CARRY((!\led_flash_cnt[729][3]~37091\) # (!\led_flash_cnt[729][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[729][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[729][3]~37091\,
	combout => \led_flash_cnt[729][4]~37092_combout\,
	cout => \led_flash_cnt[729][4]~37093\);

-- Location: FF_X75_Y11_N9
\led_flash_cnt[729][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[729][4]~37092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[729][4]~q\);

-- Location: LCCOMB_X75_Y11_N10
\led_flash_cnt[729][5]~37094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[729][5]~37094_combout\ = (\led_flash_cnt[729][5]~q\ & (\led_flash_cnt[729][4]~37093\ $ (GND))) # (!\led_flash_cnt[729][5]~q\ & (!\led_flash_cnt[729][4]~37093\ & VCC))
-- \led_flash_cnt[729][5]~37095\ = CARRY((\led_flash_cnt[729][5]~q\ & !\led_flash_cnt[729][4]~37093\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[729][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[729][4]~37093\,
	combout => \led_flash_cnt[729][5]~37094_combout\,
	cout => \led_flash_cnt[729][5]~37095\);

-- Location: FF_X75_Y11_N11
\led_flash_cnt[729][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[729][5]~37094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[729][5]~q\);

-- Location: LCCOMB_X75_Y11_N12
\led_flash_cnt[729][6]~37096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[729][6]~37096_combout\ = (\led_flash_cnt[729][6]~q\ & (!\led_flash_cnt[729][5]~37095\)) # (!\led_flash_cnt[729][6]~q\ & ((\led_flash_cnt[729][5]~37095\) # (GND)))
-- \led_flash_cnt[729][6]~37097\ = CARRY((!\led_flash_cnt[729][5]~37095\) # (!\led_flash_cnt[729][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[729][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[729][5]~37095\,
	combout => \led_flash_cnt[729][6]~37096_combout\,
	cout => \led_flash_cnt[729][6]~37097\);

-- Location: FF_X75_Y11_N13
\led_flash_cnt[729][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[729][6]~37096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[729][6]~q\);

-- Location: LCCOMB_X75_Y11_N22
\WideAnd729~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd729~1_combout\ = (\led_flash_cnt[729][6]~q\ & \led_flash_cnt[729][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[729][6]~q\,
	datad => \led_flash_cnt[729][5]~q\,
	combout => \WideAnd729~1_combout\);

-- Location: LCCOMB_X75_Y11_N14
\led_flash_cnt[729][7]~37098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[729][7]~37098_combout\ = \led_flash_cnt[729][7]~q\ $ (!\led_flash_cnt[729][6]~37097\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[729][7]~q\,
	cin => \led_flash_cnt[729][6]~37097\,
	combout => \led_flash_cnt[729][7]~37098_combout\);

-- Location: FF_X75_Y11_N15
\led_flash_cnt[729][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[729][7]~37098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[729][7]~q\);

-- Location: LCCOMB_X75_Y11_N18
\WideAnd729~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd729~0_combout\ = (\led_flash_cnt[729][3]~q\ & (\led_flash_cnt[729][4]~q\ & (\led_flash_cnt[729][2]~q\ & \led_flash_cnt[729][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[729][3]~q\,
	datab => \led_flash_cnt[729][4]~q\,
	datac => \led_flash_cnt[729][2]~q\,
	datad => \led_flash_cnt[729][1]~q\,
	combout => \WideAnd729~0_combout\);

-- Location: LCCOMB_X75_Y11_N24
WideAnd729 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd729~combout\ = (\WideAnd729~1_combout\ & (\led_flash_cnt[729][7]~q\ & (\led_flash_cnt[729][0]~q\ & \WideAnd729~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd729~1_combout\,
	datab => \led_flash_cnt[729][7]~q\,
	datac => \led_flash_cnt[729][0]~q\,
	datad => \WideAnd729~0_combout\,
	combout => \WideAnd729~combout\);

-- Location: FF_X75_Y11_N25
\led_flash_cnt_ands[729]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd729~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(729));

-- Location: LCCOMB_X77_Y14_N22
\led_flash_cnt[730][0]~81370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[730][0]~81370_combout\ = !\led_flash_cnt[730][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[730][0]~q\,
	combout => \led_flash_cnt[730][0]~81370_combout\);

-- Location: FF_X77_Y14_N23
\led_flash_cnt[730][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[730][0]~81370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[730][0]~q\);

-- Location: LCCOMB_X77_Y14_N4
\led_flash_cnt[730][1]~37100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[730][1]~37100_combout\ = (\led_flash_cnt[730][0]~q\ & (\led_flash_cnt[730][1]~q\ $ (VCC))) # (!\led_flash_cnt[730][0]~q\ & (\led_flash_cnt[730][1]~q\ & VCC))
-- \led_flash_cnt[730][1]~37101\ = CARRY((\led_flash_cnt[730][0]~q\ & \led_flash_cnt[730][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[730][0]~q\,
	datab => \led_flash_cnt[730][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[730][1]~37100_combout\,
	cout => \led_flash_cnt[730][1]~37101\);

-- Location: FF_X77_Y14_N5
\led_flash_cnt[730][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[730][1]~37100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[730][1]~q\);

-- Location: LCCOMB_X77_Y14_N6
\led_flash_cnt[730][2]~37102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[730][2]~37102_combout\ = (\led_flash_cnt[730][2]~q\ & (!\led_flash_cnt[730][1]~37101\)) # (!\led_flash_cnt[730][2]~q\ & ((\led_flash_cnt[730][1]~37101\) # (GND)))
-- \led_flash_cnt[730][2]~37103\ = CARRY((!\led_flash_cnt[730][1]~37101\) # (!\led_flash_cnt[730][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[730][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[730][1]~37101\,
	combout => \led_flash_cnt[730][2]~37102_combout\,
	cout => \led_flash_cnt[730][2]~37103\);

-- Location: FF_X77_Y14_N7
\led_flash_cnt[730][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[730][2]~37102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[730][2]~q\);

-- Location: LCCOMB_X77_Y14_N8
\led_flash_cnt[730][3]~37104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[730][3]~37104_combout\ = (\led_flash_cnt[730][3]~q\ & (\led_flash_cnt[730][2]~37103\ $ (GND))) # (!\led_flash_cnt[730][3]~q\ & (!\led_flash_cnt[730][2]~37103\ & VCC))
-- \led_flash_cnt[730][3]~37105\ = CARRY((\led_flash_cnt[730][3]~q\ & !\led_flash_cnt[730][2]~37103\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[730][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[730][2]~37103\,
	combout => \led_flash_cnt[730][3]~37104_combout\,
	cout => \led_flash_cnt[730][3]~37105\);

-- Location: FF_X77_Y14_N9
\led_flash_cnt[730][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[730][3]~37104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[730][3]~q\);

-- Location: LCCOMB_X77_Y14_N10
\led_flash_cnt[730][4]~37106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[730][4]~37106_combout\ = (\led_flash_cnt[730][4]~q\ & (!\led_flash_cnt[730][3]~37105\)) # (!\led_flash_cnt[730][4]~q\ & ((\led_flash_cnt[730][3]~37105\) # (GND)))
-- \led_flash_cnt[730][4]~37107\ = CARRY((!\led_flash_cnt[730][3]~37105\) # (!\led_flash_cnt[730][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[730][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[730][3]~37105\,
	combout => \led_flash_cnt[730][4]~37106_combout\,
	cout => \led_flash_cnt[730][4]~37107\);

-- Location: FF_X77_Y14_N11
\led_flash_cnt[730][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[730][4]~37106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[730][4]~q\);

-- Location: LCCOMB_X77_Y14_N12
\led_flash_cnt[730][5]~37108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[730][5]~37108_combout\ = (\led_flash_cnt[730][5]~q\ & (\led_flash_cnt[730][4]~37107\ $ (GND))) # (!\led_flash_cnt[730][5]~q\ & (!\led_flash_cnt[730][4]~37107\ & VCC))
-- \led_flash_cnt[730][5]~37109\ = CARRY((\led_flash_cnt[730][5]~q\ & !\led_flash_cnt[730][4]~37107\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[730][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[730][4]~37107\,
	combout => \led_flash_cnt[730][5]~37108_combout\,
	cout => \led_flash_cnt[730][5]~37109\);

-- Location: FF_X77_Y14_N13
\led_flash_cnt[730][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[730][5]~37108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[730][5]~q\);

-- Location: LCCOMB_X77_Y14_N14
\led_flash_cnt[730][6]~37110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[730][6]~37110_combout\ = (\led_flash_cnt[730][6]~q\ & (!\led_flash_cnt[730][5]~37109\)) # (!\led_flash_cnt[730][6]~q\ & ((\led_flash_cnt[730][5]~37109\) # (GND)))
-- \led_flash_cnt[730][6]~37111\ = CARRY((!\led_flash_cnt[730][5]~37109\) # (!\led_flash_cnt[730][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[730][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[730][5]~37109\,
	combout => \led_flash_cnt[730][6]~37110_combout\,
	cout => \led_flash_cnt[730][6]~37111\);

-- Location: FF_X77_Y14_N15
\led_flash_cnt[730][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[730][6]~37110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[730][6]~q\);

-- Location: LCCOMB_X77_Y14_N16
\led_flash_cnt[730][7]~37112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[730][7]~37112_combout\ = \led_flash_cnt[730][6]~37111\ $ (!\led_flash_cnt[730][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[730][7]~q\,
	cin => \led_flash_cnt[730][6]~37111\,
	combout => \led_flash_cnt[730][7]~37112_combout\);

-- Location: FF_X77_Y14_N17
\led_flash_cnt[730][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[730][7]~37112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[730][7]~q\);

-- Location: LCCOMB_X77_Y14_N26
\WideAnd730~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd730~1_combout\ = (\led_flash_cnt[730][6]~q\ & \led_flash_cnt[730][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[730][6]~q\,
	datad => \led_flash_cnt[730][5]~q\,
	combout => \WideAnd730~1_combout\);

-- Location: LCCOMB_X77_Y14_N18
\WideAnd730~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd730~0_combout\ = (\led_flash_cnt[730][2]~q\ & (\led_flash_cnt[730][3]~q\ & (\led_flash_cnt[730][1]~q\ & \led_flash_cnt[730][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[730][2]~q\,
	datab => \led_flash_cnt[730][3]~q\,
	datac => \led_flash_cnt[730][1]~q\,
	datad => \led_flash_cnt[730][4]~q\,
	combout => \WideAnd730~0_combout\);

-- Location: LCCOMB_X77_Y14_N0
WideAnd730 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd730~combout\ = (\led_flash_cnt[730][0]~q\ & (\led_flash_cnt[730][7]~q\ & (\WideAnd730~1_combout\ & \WideAnd730~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[730][0]~q\,
	datab => \led_flash_cnt[730][7]~q\,
	datac => \WideAnd730~1_combout\,
	datad => \WideAnd730~0_combout\,
	combout => \WideAnd730~combout\);

-- Location: FF_X77_Y14_N1
\led_flash_cnt_ands[730]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd730~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(730));

-- Location: LCCOMB_X77_Y11_N18
\led_flash_cnt[728][0]~81368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[728][0]~81368_combout\ = !\led_flash_cnt[728][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[728][0]~q\,
	combout => \led_flash_cnt[728][0]~81368_combout\);

-- Location: FF_X77_Y11_N19
\led_flash_cnt[728][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[728][0]~81368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[728][0]~q\);

-- Location: LCCOMB_X77_Y11_N0
\led_flash_cnt[728][1]~37072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[728][1]~37072_combout\ = (\led_flash_cnt[728][1]~q\ & (\led_flash_cnt[728][0]~q\ $ (VCC))) # (!\led_flash_cnt[728][1]~q\ & (\led_flash_cnt[728][0]~q\ & VCC))
-- \led_flash_cnt[728][1]~37073\ = CARRY((\led_flash_cnt[728][1]~q\ & \led_flash_cnt[728][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[728][1]~q\,
	datab => \led_flash_cnt[728][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[728][1]~37072_combout\,
	cout => \led_flash_cnt[728][1]~37073\);

-- Location: FF_X77_Y11_N1
\led_flash_cnt[728][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[728][1]~37072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[728][1]~q\);

-- Location: LCCOMB_X77_Y11_N2
\led_flash_cnt[728][2]~37074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[728][2]~37074_combout\ = (\led_flash_cnt[728][2]~q\ & (!\led_flash_cnt[728][1]~37073\)) # (!\led_flash_cnt[728][2]~q\ & ((\led_flash_cnt[728][1]~37073\) # (GND)))
-- \led_flash_cnt[728][2]~37075\ = CARRY((!\led_flash_cnt[728][1]~37073\) # (!\led_flash_cnt[728][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[728][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[728][1]~37073\,
	combout => \led_flash_cnt[728][2]~37074_combout\,
	cout => \led_flash_cnt[728][2]~37075\);

-- Location: FF_X77_Y11_N3
\led_flash_cnt[728][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[728][2]~37074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[728][2]~q\);

-- Location: LCCOMB_X77_Y11_N4
\led_flash_cnt[728][3]~37076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[728][3]~37076_combout\ = (\led_flash_cnt[728][3]~q\ & (\led_flash_cnt[728][2]~37075\ $ (GND))) # (!\led_flash_cnt[728][3]~q\ & (!\led_flash_cnt[728][2]~37075\ & VCC))
-- \led_flash_cnt[728][3]~37077\ = CARRY((\led_flash_cnt[728][3]~q\ & !\led_flash_cnt[728][2]~37075\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[728][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[728][2]~37075\,
	combout => \led_flash_cnt[728][3]~37076_combout\,
	cout => \led_flash_cnt[728][3]~37077\);

-- Location: FF_X77_Y11_N5
\led_flash_cnt[728][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[728][3]~37076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[728][3]~q\);

-- Location: LCCOMB_X77_Y11_N6
\led_flash_cnt[728][4]~37078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[728][4]~37078_combout\ = (\led_flash_cnt[728][4]~q\ & (!\led_flash_cnt[728][3]~37077\)) # (!\led_flash_cnt[728][4]~q\ & ((\led_flash_cnt[728][3]~37077\) # (GND)))
-- \led_flash_cnt[728][4]~37079\ = CARRY((!\led_flash_cnt[728][3]~37077\) # (!\led_flash_cnt[728][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[728][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[728][3]~37077\,
	combout => \led_flash_cnt[728][4]~37078_combout\,
	cout => \led_flash_cnt[728][4]~37079\);

-- Location: FF_X77_Y11_N7
\led_flash_cnt[728][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[728][4]~37078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[728][4]~q\);

-- Location: LCCOMB_X77_Y11_N8
\led_flash_cnt[728][5]~37080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[728][5]~37080_combout\ = (\led_flash_cnt[728][5]~q\ & (\led_flash_cnt[728][4]~37079\ $ (GND))) # (!\led_flash_cnt[728][5]~q\ & (!\led_flash_cnt[728][4]~37079\ & VCC))
-- \led_flash_cnt[728][5]~37081\ = CARRY((\led_flash_cnt[728][5]~q\ & !\led_flash_cnt[728][4]~37079\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[728][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[728][4]~37079\,
	combout => \led_flash_cnt[728][5]~37080_combout\,
	cout => \led_flash_cnt[728][5]~37081\);

-- Location: FF_X77_Y11_N9
\led_flash_cnt[728][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[728][5]~37080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[728][5]~q\);

-- Location: LCCOMB_X77_Y11_N10
\led_flash_cnt[728][6]~37082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[728][6]~37082_combout\ = (\led_flash_cnt[728][6]~q\ & (!\led_flash_cnt[728][5]~37081\)) # (!\led_flash_cnt[728][6]~q\ & ((\led_flash_cnt[728][5]~37081\) # (GND)))
-- \led_flash_cnt[728][6]~37083\ = CARRY((!\led_flash_cnt[728][5]~37081\) # (!\led_flash_cnt[728][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[728][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[728][5]~37081\,
	combout => \led_flash_cnt[728][6]~37082_combout\,
	cout => \led_flash_cnt[728][6]~37083\);

-- Location: FF_X77_Y11_N11
\led_flash_cnt[728][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[728][6]~37082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[728][6]~q\);

-- Location: LCCOMB_X77_Y11_N12
\led_flash_cnt[728][7]~37084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[728][7]~37084_combout\ = \led_flash_cnt[728][6]~37083\ $ (!\led_flash_cnt[728][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[728][7]~q\,
	cin => \led_flash_cnt[728][6]~37083\,
	combout => \led_flash_cnt[728][7]~37084_combout\);

-- Location: FF_X77_Y11_N13
\led_flash_cnt[728][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[728][7]~37084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[728][7]~q\);

-- Location: LCCOMB_X77_Y11_N24
\WideAnd728~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd728~0_combout\ = (\led_flash_cnt[728][4]~q\ & (\led_flash_cnt[728][1]~q\ & (\led_flash_cnt[728][3]~q\ & \led_flash_cnt[728][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[728][4]~q\,
	datab => \led_flash_cnt[728][1]~q\,
	datac => \led_flash_cnt[728][3]~q\,
	datad => \led_flash_cnt[728][2]~q\,
	combout => \WideAnd728~0_combout\);

-- Location: LCCOMB_X77_Y11_N26
\WideAnd728~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd728~1_combout\ = (\led_flash_cnt[728][5]~q\ & \led_flash_cnt[728][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[728][5]~q\,
	datad => \led_flash_cnt[728][6]~q\,
	combout => \WideAnd728~1_combout\);

-- Location: LCCOMB_X77_Y11_N28
WideAnd728 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd728~combout\ = (\led_flash_cnt[728][7]~q\ & (\WideAnd728~0_combout\ & (\WideAnd728~1_combout\ & \led_flash_cnt[728][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[728][7]~q\,
	datab => \WideAnd728~0_combout\,
	datac => \WideAnd728~1_combout\,
	datad => \led_flash_cnt[728][0]~q\,
	combout => \WideAnd728~combout\);

-- Location: FF_X77_Y11_N29
\led_flash_cnt_ands[728]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd728~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(728));

-- Location: LCCOMB_X76_Y11_N18
\WideAnd3931~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3931~0_combout\ = (led_flash_cnt_ands(731) & (led_flash_cnt_ands(729) & (led_flash_cnt_ands(730) & led_flash_cnt_ands(728))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(731),
	datab => led_flash_cnt_ands(729),
	datac => led_flash_cnt_ands(730),
	datad => led_flash_cnt_ands(728),
	combout => \WideAnd3931~0_combout\);

-- Location: LCCOMB_X65_Y36_N26
\led_flash_cnt[734][0]~81374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[734][0]~81374_combout\ = !\led_flash_cnt[734][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[734][0]~q\,
	combout => \led_flash_cnt[734][0]~81374_combout\);

-- Location: FF_X65_Y36_N27
\led_flash_cnt[734][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[734][0]~81374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[734][0]~q\);

-- Location: LCCOMB_X65_Y36_N4
\led_flash_cnt[734][1]~37156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[734][1]~37156_combout\ = (\led_flash_cnt[734][0]~q\ & (\led_flash_cnt[734][1]~q\ $ (VCC))) # (!\led_flash_cnt[734][0]~q\ & (\led_flash_cnt[734][1]~q\ & VCC))
-- \led_flash_cnt[734][1]~37157\ = CARRY((\led_flash_cnt[734][0]~q\ & \led_flash_cnt[734][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[734][0]~q\,
	datab => \led_flash_cnt[734][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[734][1]~37156_combout\,
	cout => \led_flash_cnt[734][1]~37157\);

-- Location: FF_X65_Y36_N5
\led_flash_cnt[734][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[734][1]~37156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[734][1]~q\);

-- Location: LCCOMB_X65_Y36_N6
\led_flash_cnt[734][2]~37158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[734][2]~37158_combout\ = (\led_flash_cnt[734][2]~q\ & (!\led_flash_cnt[734][1]~37157\)) # (!\led_flash_cnt[734][2]~q\ & ((\led_flash_cnt[734][1]~37157\) # (GND)))
-- \led_flash_cnt[734][2]~37159\ = CARRY((!\led_flash_cnt[734][1]~37157\) # (!\led_flash_cnt[734][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[734][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[734][1]~37157\,
	combout => \led_flash_cnt[734][2]~37158_combout\,
	cout => \led_flash_cnt[734][2]~37159\);

-- Location: FF_X65_Y36_N7
\led_flash_cnt[734][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[734][2]~37158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[734][2]~q\);

-- Location: LCCOMB_X65_Y36_N8
\led_flash_cnt[734][3]~37160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[734][3]~37160_combout\ = (\led_flash_cnt[734][3]~q\ & (\led_flash_cnt[734][2]~37159\ $ (GND))) # (!\led_flash_cnt[734][3]~q\ & (!\led_flash_cnt[734][2]~37159\ & VCC))
-- \led_flash_cnt[734][3]~37161\ = CARRY((\led_flash_cnt[734][3]~q\ & !\led_flash_cnt[734][2]~37159\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[734][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[734][2]~37159\,
	combout => \led_flash_cnt[734][3]~37160_combout\,
	cout => \led_flash_cnt[734][3]~37161\);

-- Location: FF_X65_Y36_N9
\led_flash_cnt[734][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[734][3]~37160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[734][3]~q\);

-- Location: LCCOMB_X65_Y36_N10
\led_flash_cnt[734][4]~37162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[734][4]~37162_combout\ = (\led_flash_cnt[734][4]~q\ & (!\led_flash_cnt[734][3]~37161\)) # (!\led_flash_cnt[734][4]~q\ & ((\led_flash_cnt[734][3]~37161\) # (GND)))
-- \led_flash_cnt[734][4]~37163\ = CARRY((!\led_flash_cnt[734][3]~37161\) # (!\led_flash_cnt[734][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[734][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[734][3]~37161\,
	combout => \led_flash_cnt[734][4]~37162_combout\,
	cout => \led_flash_cnt[734][4]~37163\);

-- Location: FF_X65_Y36_N11
\led_flash_cnt[734][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[734][4]~37162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[734][4]~q\);

-- Location: LCCOMB_X65_Y36_N12
\led_flash_cnt[734][5]~37164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[734][5]~37164_combout\ = (\led_flash_cnt[734][5]~q\ & (\led_flash_cnt[734][4]~37163\ $ (GND))) # (!\led_flash_cnt[734][5]~q\ & (!\led_flash_cnt[734][4]~37163\ & VCC))
-- \led_flash_cnt[734][5]~37165\ = CARRY((\led_flash_cnt[734][5]~q\ & !\led_flash_cnt[734][4]~37163\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[734][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[734][4]~37163\,
	combout => \led_flash_cnt[734][5]~37164_combout\,
	cout => \led_flash_cnt[734][5]~37165\);

-- Location: FF_X65_Y36_N13
\led_flash_cnt[734][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[734][5]~37164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[734][5]~q\);

-- Location: LCCOMB_X65_Y36_N14
\led_flash_cnt[734][6]~37166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[734][6]~37166_combout\ = (\led_flash_cnt[734][6]~q\ & (!\led_flash_cnt[734][5]~37165\)) # (!\led_flash_cnt[734][6]~q\ & ((\led_flash_cnt[734][5]~37165\) # (GND)))
-- \led_flash_cnt[734][6]~37167\ = CARRY((!\led_flash_cnt[734][5]~37165\) # (!\led_flash_cnt[734][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[734][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[734][5]~37165\,
	combout => \led_flash_cnt[734][6]~37166_combout\,
	cout => \led_flash_cnt[734][6]~37167\);

-- Location: FF_X65_Y36_N15
\led_flash_cnt[734][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[734][6]~37166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[734][6]~q\);

-- Location: LCCOMB_X65_Y36_N16
\led_flash_cnt[734][7]~37168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[734][7]~37168_combout\ = \led_flash_cnt[734][6]~37167\ $ (!\led_flash_cnt[734][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[734][7]~q\,
	cin => \led_flash_cnt[734][6]~37167\,
	combout => \led_flash_cnt[734][7]~37168_combout\);

-- Location: FF_X65_Y36_N17
\led_flash_cnt[734][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[734][7]~37168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[734][7]~q\);

-- Location: LCCOMB_X65_Y36_N22
\WideAnd734~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd734~1_combout\ = (\led_flash_cnt[734][6]~q\ & \led_flash_cnt[734][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[734][6]~q\,
	datad => \led_flash_cnt[734][5]~q\,
	combout => \WideAnd734~1_combout\);

-- Location: LCCOMB_X65_Y36_N18
\WideAnd734~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd734~0_combout\ = (\led_flash_cnt[734][4]~q\ & (\led_flash_cnt[734][1]~q\ & (\led_flash_cnt[734][3]~q\ & \led_flash_cnt[734][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[734][4]~q\,
	datab => \led_flash_cnt[734][1]~q\,
	datac => \led_flash_cnt[734][3]~q\,
	datad => \led_flash_cnt[734][2]~q\,
	combout => \WideAnd734~0_combout\);

-- Location: LCCOMB_X65_Y36_N30
WideAnd734 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd734~combout\ = (\led_flash_cnt[734][0]~q\ & (\led_flash_cnt[734][7]~q\ & (\WideAnd734~1_combout\ & \WideAnd734~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[734][0]~q\,
	datab => \led_flash_cnt[734][7]~q\,
	datac => \WideAnd734~1_combout\,
	datad => \WideAnd734~0_combout\,
	combout => \WideAnd734~combout\);

-- Location: FF_X65_Y36_N31
\led_flash_cnt_ands[734]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd734~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(734));

-- Location: LCCOMB_X64_Y35_N28
\led_flash_cnt[733][0]~81373\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[733][0]~81373_combout\ = !\led_flash_cnt[733][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[733][0]~q\,
	combout => \led_flash_cnt[733][0]~81373_combout\);

-- Location: FF_X64_Y35_N29
\led_flash_cnt[733][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[733][0]~81373_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[733][0]~q\);

-- Location: LCCOMB_X63_Y35_N18
\led_flash_cnt[733][1]~37142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[733][1]~37142_combout\ = (\led_flash_cnt[733][1]~q\ & (\led_flash_cnt[733][0]~q\ $ (VCC))) # (!\led_flash_cnt[733][1]~q\ & (\led_flash_cnt[733][0]~q\ & VCC))
-- \led_flash_cnt[733][1]~37143\ = CARRY((\led_flash_cnt[733][1]~q\ & \led_flash_cnt[733][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[733][1]~q\,
	datab => \led_flash_cnt[733][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[733][1]~37142_combout\,
	cout => \led_flash_cnt[733][1]~37143\);

-- Location: FF_X63_Y35_N19
\led_flash_cnt[733][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[733][1]~37142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[733][1]~q\);

-- Location: LCCOMB_X63_Y35_N20
\led_flash_cnt[733][2]~37144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[733][2]~37144_combout\ = (\led_flash_cnt[733][2]~q\ & (!\led_flash_cnt[733][1]~37143\)) # (!\led_flash_cnt[733][2]~q\ & ((\led_flash_cnt[733][1]~37143\) # (GND)))
-- \led_flash_cnt[733][2]~37145\ = CARRY((!\led_flash_cnt[733][1]~37143\) # (!\led_flash_cnt[733][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[733][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[733][1]~37143\,
	combout => \led_flash_cnt[733][2]~37144_combout\,
	cout => \led_flash_cnt[733][2]~37145\);

-- Location: FF_X63_Y35_N21
\led_flash_cnt[733][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[733][2]~37144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[733][2]~q\);

-- Location: LCCOMB_X63_Y35_N22
\led_flash_cnt[733][3]~37146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[733][3]~37146_combout\ = (\led_flash_cnt[733][3]~q\ & (\led_flash_cnt[733][2]~37145\ $ (GND))) # (!\led_flash_cnt[733][3]~q\ & (!\led_flash_cnt[733][2]~37145\ & VCC))
-- \led_flash_cnt[733][3]~37147\ = CARRY((\led_flash_cnt[733][3]~q\ & !\led_flash_cnt[733][2]~37145\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[733][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[733][2]~37145\,
	combout => \led_flash_cnt[733][3]~37146_combout\,
	cout => \led_flash_cnt[733][3]~37147\);

-- Location: FF_X63_Y35_N23
\led_flash_cnt[733][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[733][3]~37146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[733][3]~q\);

-- Location: LCCOMB_X63_Y35_N24
\led_flash_cnt[733][4]~37148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[733][4]~37148_combout\ = (\led_flash_cnt[733][4]~q\ & (!\led_flash_cnt[733][3]~37147\)) # (!\led_flash_cnt[733][4]~q\ & ((\led_flash_cnt[733][3]~37147\) # (GND)))
-- \led_flash_cnt[733][4]~37149\ = CARRY((!\led_flash_cnt[733][3]~37147\) # (!\led_flash_cnt[733][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[733][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[733][3]~37147\,
	combout => \led_flash_cnt[733][4]~37148_combout\,
	cout => \led_flash_cnt[733][4]~37149\);

-- Location: FF_X63_Y35_N25
\led_flash_cnt[733][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[733][4]~37148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[733][4]~q\);

-- Location: LCCOMB_X64_Y35_N22
\WideAnd733~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd733~0_combout\ = (\led_flash_cnt[733][3]~q\ & (\led_flash_cnt[733][1]~q\ & (\led_flash_cnt[733][4]~q\ & \led_flash_cnt[733][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[733][3]~q\,
	datab => \led_flash_cnt[733][1]~q\,
	datac => \led_flash_cnt[733][4]~q\,
	datad => \led_flash_cnt[733][2]~q\,
	combout => \WideAnd733~0_combout\);

-- Location: LCCOMB_X63_Y35_N26
\led_flash_cnt[733][5]~37150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[733][5]~37150_combout\ = (\led_flash_cnt[733][5]~q\ & (\led_flash_cnt[733][4]~37149\ $ (GND))) # (!\led_flash_cnt[733][5]~q\ & (!\led_flash_cnt[733][4]~37149\ & VCC))
-- \led_flash_cnt[733][5]~37151\ = CARRY((\led_flash_cnt[733][5]~q\ & !\led_flash_cnt[733][4]~37149\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[733][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[733][4]~37149\,
	combout => \led_flash_cnt[733][5]~37150_combout\,
	cout => \led_flash_cnt[733][5]~37151\);

-- Location: FF_X63_Y35_N27
\led_flash_cnt[733][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[733][5]~37150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[733][5]~q\);

-- Location: LCCOMB_X63_Y35_N28
\led_flash_cnt[733][6]~37152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[733][6]~37152_combout\ = (\led_flash_cnt[733][6]~q\ & (!\led_flash_cnt[733][5]~37151\)) # (!\led_flash_cnt[733][6]~q\ & ((\led_flash_cnt[733][5]~37151\) # (GND)))
-- \led_flash_cnt[733][6]~37153\ = CARRY((!\led_flash_cnt[733][5]~37151\) # (!\led_flash_cnt[733][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[733][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[733][5]~37151\,
	combout => \led_flash_cnt[733][6]~37152_combout\,
	cout => \led_flash_cnt[733][6]~37153\);

-- Location: FF_X63_Y35_N29
\led_flash_cnt[733][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[733][6]~37152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[733][6]~q\);

-- Location: LCCOMB_X64_Y35_N24
\WideAnd733~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd733~1_combout\ = (\led_flash_cnt[733][5]~q\ & \led_flash_cnt[733][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[733][5]~q\,
	datad => \led_flash_cnt[733][6]~q\,
	combout => \WideAnd733~1_combout\);

-- Location: LCCOMB_X63_Y35_N30
\led_flash_cnt[733][7]~37154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[733][7]~37154_combout\ = \led_flash_cnt[733][7]~q\ $ (!\led_flash_cnt[733][6]~37153\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[733][7]~q\,
	cin => \led_flash_cnt[733][6]~37153\,
	combout => \led_flash_cnt[733][7]~37154_combout\);

-- Location: FF_X63_Y35_N31
\led_flash_cnt[733][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[733][7]~37154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[733][7]~q\);

-- Location: LCCOMB_X64_Y35_N20
WideAnd733 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd733~combout\ = (\WideAnd733~0_combout\ & (\WideAnd733~1_combout\ & (\led_flash_cnt[733][0]~q\ & \led_flash_cnt[733][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd733~0_combout\,
	datab => \WideAnd733~1_combout\,
	datac => \led_flash_cnt[733][0]~q\,
	datad => \led_flash_cnt[733][7]~q\,
	combout => \WideAnd733~combout\);

-- Location: FF_X64_Y35_N21
\led_flash_cnt_ands[733]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd733~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(733));

-- Location: LCCOMB_X64_Y35_N16
\led_flash_cnt[732][0]~81372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[732][0]~81372_combout\ = !\led_flash_cnt[732][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[732][0]~q\,
	combout => \led_flash_cnt[732][0]~81372_combout\);

-- Location: FF_X64_Y35_N17
\led_flash_cnt[732][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[732][0]~81372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[732][0]~q\);

-- Location: LCCOMB_X64_Y35_N2
\led_flash_cnt[732][1]~37128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[732][1]~37128_combout\ = (\led_flash_cnt[732][1]~q\ & (\led_flash_cnt[732][0]~q\ $ (VCC))) # (!\led_flash_cnt[732][1]~q\ & (\led_flash_cnt[732][0]~q\ & VCC))
-- \led_flash_cnt[732][1]~37129\ = CARRY((\led_flash_cnt[732][1]~q\ & \led_flash_cnt[732][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[732][1]~q\,
	datab => \led_flash_cnt[732][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[732][1]~37128_combout\,
	cout => \led_flash_cnt[732][1]~37129\);

-- Location: FF_X64_Y35_N3
\led_flash_cnt[732][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[732][1]~37128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[732][1]~q\);

-- Location: LCCOMB_X64_Y35_N4
\led_flash_cnt[732][2]~37130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[732][2]~37130_combout\ = (\led_flash_cnt[732][2]~q\ & (!\led_flash_cnt[732][1]~37129\)) # (!\led_flash_cnt[732][2]~q\ & ((\led_flash_cnt[732][1]~37129\) # (GND)))
-- \led_flash_cnt[732][2]~37131\ = CARRY((!\led_flash_cnt[732][1]~37129\) # (!\led_flash_cnt[732][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[732][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[732][1]~37129\,
	combout => \led_flash_cnt[732][2]~37130_combout\,
	cout => \led_flash_cnt[732][2]~37131\);

-- Location: FF_X64_Y35_N5
\led_flash_cnt[732][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[732][2]~37130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[732][2]~q\);

-- Location: LCCOMB_X64_Y35_N6
\led_flash_cnt[732][3]~37132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[732][3]~37132_combout\ = (\led_flash_cnt[732][3]~q\ & (\led_flash_cnt[732][2]~37131\ $ (GND))) # (!\led_flash_cnt[732][3]~q\ & (!\led_flash_cnt[732][2]~37131\ & VCC))
-- \led_flash_cnt[732][3]~37133\ = CARRY((\led_flash_cnt[732][3]~q\ & !\led_flash_cnt[732][2]~37131\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[732][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[732][2]~37131\,
	combout => \led_flash_cnt[732][3]~37132_combout\,
	cout => \led_flash_cnt[732][3]~37133\);

-- Location: FF_X64_Y35_N7
\led_flash_cnt[732][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[732][3]~37132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[732][3]~q\);

-- Location: LCCOMB_X64_Y35_N8
\led_flash_cnt[732][4]~37134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[732][4]~37134_combout\ = (\led_flash_cnt[732][4]~q\ & (!\led_flash_cnt[732][3]~37133\)) # (!\led_flash_cnt[732][4]~q\ & ((\led_flash_cnt[732][3]~37133\) # (GND)))
-- \led_flash_cnt[732][4]~37135\ = CARRY((!\led_flash_cnt[732][3]~37133\) # (!\led_flash_cnt[732][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[732][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[732][3]~37133\,
	combout => \led_flash_cnt[732][4]~37134_combout\,
	cout => \led_flash_cnt[732][4]~37135\);

-- Location: FF_X64_Y35_N9
\led_flash_cnt[732][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[732][4]~37134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[732][4]~q\);

-- Location: LCCOMB_X64_Y35_N10
\led_flash_cnt[732][5]~37136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[732][5]~37136_combout\ = (\led_flash_cnt[732][5]~q\ & (\led_flash_cnt[732][4]~37135\ $ (GND))) # (!\led_flash_cnt[732][5]~q\ & (!\led_flash_cnt[732][4]~37135\ & VCC))
-- \led_flash_cnt[732][5]~37137\ = CARRY((\led_flash_cnt[732][5]~q\ & !\led_flash_cnt[732][4]~37135\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[732][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[732][4]~37135\,
	combout => \led_flash_cnt[732][5]~37136_combout\,
	cout => \led_flash_cnt[732][5]~37137\);

-- Location: FF_X64_Y35_N11
\led_flash_cnt[732][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[732][5]~37136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[732][5]~q\);

-- Location: LCCOMB_X64_Y35_N12
\led_flash_cnt[732][6]~37138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[732][6]~37138_combout\ = (\led_flash_cnt[732][6]~q\ & (!\led_flash_cnt[732][5]~37137\)) # (!\led_flash_cnt[732][6]~q\ & ((\led_flash_cnt[732][5]~37137\) # (GND)))
-- \led_flash_cnt[732][6]~37139\ = CARRY((!\led_flash_cnt[732][5]~37137\) # (!\led_flash_cnt[732][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[732][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[732][5]~37137\,
	combout => \led_flash_cnt[732][6]~37138_combout\,
	cout => \led_flash_cnt[732][6]~37139\);

-- Location: FF_X64_Y35_N13
\led_flash_cnt[732][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[732][6]~37138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[732][6]~q\);

-- Location: LCCOMB_X64_Y35_N26
\WideAnd732~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd732~1_combout\ = (\led_flash_cnt[732][6]~q\ & \led_flash_cnt[732][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[732][6]~q\,
	datad => \led_flash_cnt[732][5]~q\,
	combout => \WideAnd732~1_combout\);

-- Location: LCCOMB_X64_Y35_N14
\led_flash_cnt[732][7]~37140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[732][7]~37140_combout\ = \led_flash_cnt[732][7]~q\ $ (!\led_flash_cnt[732][6]~37139\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[732][7]~q\,
	cin => \led_flash_cnt[732][6]~37139\,
	combout => \led_flash_cnt[732][7]~37140_combout\);

-- Location: FF_X64_Y35_N15
\led_flash_cnt[732][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[732][7]~37140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[732][7]~q\);

-- Location: LCCOMB_X64_Y35_N0
\WideAnd732~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd732~0_combout\ = (\led_flash_cnt[732][1]~q\ & (\led_flash_cnt[732][4]~q\ & (\led_flash_cnt[732][2]~q\ & \led_flash_cnt[732][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[732][1]~q\,
	datab => \led_flash_cnt[732][4]~q\,
	datac => \led_flash_cnt[732][2]~q\,
	datad => \led_flash_cnt[732][3]~q\,
	combout => \WideAnd732~0_combout\);

-- Location: LCCOMB_X64_Y35_N18
WideAnd732 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd732~combout\ = (\WideAnd732~1_combout\ & (\led_flash_cnt[732][0]~q\ & (\led_flash_cnt[732][7]~q\ & \WideAnd732~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd732~1_combout\,
	datab => \led_flash_cnt[732][0]~q\,
	datac => \led_flash_cnt[732][7]~q\,
	datad => \WideAnd732~0_combout\,
	combout => \WideAnd732~combout\);

-- Location: FF_X64_Y35_N19
\led_flash_cnt_ands[732]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd732~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(732));

-- Location: LCCOMB_X65_Y35_N0
\WideAnd3931~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3931~1_combout\ = (led_flash_cnt_ands(733) & led_flash_cnt_ands(732))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(733),
	datad => led_flash_cnt_ands(732),
	combout => \WideAnd3931~1_combout\);

-- Location: LCCOMB_X65_Y35_N8
WideAnd3931 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3931~combout\ = (led_flash_cnt_ands(735) & (\WideAnd3931~0_combout\ & (led_flash_cnt_ands(734) & \WideAnd3931~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(735),
	datab => \WideAnd3931~0_combout\,
	datac => led_flash_cnt_ands(734),
	datad => \WideAnd3931~1_combout\,
	combout => \WideAnd3931~combout\);

-- Location: FF_X65_Y35_N9
\led_flash_cnt_ands_1[91]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3931~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(91));

-- Location: LCCOMB_X9_Y6_N2
\led_flash_cnt[715][0]~81355\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[715][0]~81355_combout\ = !\led_flash_cnt[715][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[715][0]~q\,
	combout => \led_flash_cnt[715][0]~81355_combout\);

-- Location: FF_X9_Y6_N3
\led_flash_cnt[715][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[715][0]~81355_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[715][0]~q\);

-- Location: LCCOMB_X8_Y6_N16
\led_flash_cnt[715][1]~36890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[715][1]~36890_combout\ = (\led_flash_cnt[715][0]~q\ & (\led_flash_cnt[715][1]~q\ $ (VCC))) # (!\led_flash_cnt[715][0]~q\ & (\led_flash_cnt[715][1]~q\ & VCC))
-- \led_flash_cnt[715][1]~36891\ = CARRY((\led_flash_cnt[715][0]~q\ & \led_flash_cnt[715][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[715][0]~q\,
	datab => \led_flash_cnt[715][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[715][1]~36890_combout\,
	cout => \led_flash_cnt[715][1]~36891\);

-- Location: FF_X8_Y6_N17
\led_flash_cnt[715][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[715][1]~36890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[715][1]~q\);

-- Location: LCCOMB_X8_Y6_N18
\led_flash_cnt[715][2]~36892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[715][2]~36892_combout\ = (\led_flash_cnt[715][2]~q\ & (!\led_flash_cnt[715][1]~36891\)) # (!\led_flash_cnt[715][2]~q\ & ((\led_flash_cnt[715][1]~36891\) # (GND)))
-- \led_flash_cnt[715][2]~36893\ = CARRY((!\led_flash_cnt[715][1]~36891\) # (!\led_flash_cnt[715][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[715][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[715][1]~36891\,
	combout => \led_flash_cnt[715][2]~36892_combout\,
	cout => \led_flash_cnt[715][2]~36893\);

-- Location: FF_X8_Y6_N19
\led_flash_cnt[715][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[715][2]~36892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[715][2]~q\);

-- Location: LCCOMB_X8_Y6_N20
\led_flash_cnt[715][3]~36894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[715][3]~36894_combout\ = (\led_flash_cnt[715][3]~q\ & (\led_flash_cnt[715][2]~36893\ $ (GND))) # (!\led_flash_cnt[715][3]~q\ & (!\led_flash_cnt[715][2]~36893\ & VCC))
-- \led_flash_cnt[715][3]~36895\ = CARRY((\led_flash_cnt[715][3]~q\ & !\led_flash_cnt[715][2]~36893\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[715][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[715][2]~36893\,
	combout => \led_flash_cnt[715][3]~36894_combout\,
	cout => \led_flash_cnt[715][3]~36895\);

-- Location: FF_X8_Y6_N21
\led_flash_cnt[715][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[715][3]~36894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[715][3]~q\);

-- Location: LCCOMB_X8_Y6_N22
\led_flash_cnt[715][4]~36896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[715][4]~36896_combout\ = (\led_flash_cnt[715][4]~q\ & (!\led_flash_cnt[715][3]~36895\)) # (!\led_flash_cnt[715][4]~q\ & ((\led_flash_cnt[715][3]~36895\) # (GND)))
-- \led_flash_cnt[715][4]~36897\ = CARRY((!\led_flash_cnt[715][3]~36895\) # (!\led_flash_cnt[715][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[715][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[715][3]~36895\,
	combout => \led_flash_cnt[715][4]~36896_combout\,
	cout => \led_flash_cnt[715][4]~36897\);

-- Location: FF_X8_Y6_N23
\led_flash_cnt[715][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[715][4]~36896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[715][4]~q\);

-- Location: LCCOMB_X8_Y6_N24
\led_flash_cnt[715][5]~36898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[715][5]~36898_combout\ = (\led_flash_cnt[715][5]~q\ & (\led_flash_cnt[715][4]~36897\ $ (GND))) # (!\led_flash_cnt[715][5]~q\ & (!\led_flash_cnt[715][4]~36897\ & VCC))
-- \led_flash_cnt[715][5]~36899\ = CARRY((\led_flash_cnt[715][5]~q\ & !\led_flash_cnt[715][4]~36897\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[715][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[715][4]~36897\,
	combout => \led_flash_cnt[715][5]~36898_combout\,
	cout => \led_flash_cnt[715][5]~36899\);

-- Location: FF_X8_Y6_N25
\led_flash_cnt[715][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[715][5]~36898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[715][5]~q\);

-- Location: LCCOMB_X8_Y6_N26
\led_flash_cnt[715][6]~36900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[715][6]~36900_combout\ = (\led_flash_cnt[715][6]~q\ & (!\led_flash_cnt[715][5]~36899\)) # (!\led_flash_cnt[715][6]~q\ & ((\led_flash_cnt[715][5]~36899\) # (GND)))
-- \led_flash_cnt[715][6]~36901\ = CARRY((!\led_flash_cnt[715][5]~36899\) # (!\led_flash_cnt[715][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[715][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[715][5]~36899\,
	combout => \led_flash_cnt[715][6]~36900_combout\,
	cout => \led_flash_cnt[715][6]~36901\);

-- Location: FF_X8_Y6_N27
\led_flash_cnt[715][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[715][6]~36900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[715][6]~q\);

-- Location: LCCOMB_X9_Y6_N30
\WideAnd715~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd715~1_combout\ = (\led_flash_cnt[715][6]~q\ & \led_flash_cnt[715][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[715][6]~q\,
	datad => \led_flash_cnt[715][5]~q\,
	combout => \WideAnd715~1_combout\);

-- Location: LCCOMB_X8_Y6_N28
\led_flash_cnt[715][7]~36902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[715][7]~36902_combout\ = \led_flash_cnt[715][6]~36901\ $ (!\led_flash_cnt[715][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[715][7]~q\,
	cin => \led_flash_cnt[715][6]~36901\,
	combout => \led_flash_cnt[715][7]~36902_combout\);

-- Location: FF_X8_Y6_N29
\led_flash_cnt[715][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[715][7]~36902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[715][7]~q\);

-- Location: LCCOMB_X8_Y6_N0
\WideAnd715~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd715~0_combout\ = (\led_flash_cnt[715][2]~q\ & (\led_flash_cnt[715][3]~q\ & (\led_flash_cnt[715][4]~q\ & \led_flash_cnt[715][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[715][2]~q\,
	datab => \led_flash_cnt[715][3]~q\,
	datac => \led_flash_cnt[715][4]~q\,
	datad => \led_flash_cnt[715][1]~q\,
	combout => \WideAnd715~0_combout\);

-- Location: LCCOMB_X9_Y6_N6
WideAnd715 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd715~combout\ = (\WideAnd715~1_combout\ & (\led_flash_cnt[715][7]~q\ & (\WideAnd715~0_combout\ & \led_flash_cnt[715][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd715~1_combout\,
	datab => \led_flash_cnt[715][7]~q\,
	datac => \WideAnd715~0_combout\,
	datad => \led_flash_cnt[715][0]~q\,
	combout => \WideAnd715~combout\);

-- Location: FF_X9_Y6_N7
\led_flash_cnt_ands[715]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd715~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(715));

-- Location: LCCOMB_X9_Y6_N4
\led_flash_cnt[714][0]~81354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[714][0]~81354_combout\ = !\led_flash_cnt[714][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[714][0]~q\,
	combout => \led_flash_cnt[714][0]~81354_combout\);

-- Location: FF_X9_Y6_N5
\led_flash_cnt[714][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[714][0]~81354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[714][0]~q\);

-- Location: LCCOMB_X9_Y6_N10
\led_flash_cnt[714][1]~36876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[714][1]~36876_combout\ = (\led_flash_cnt[714][1]~q\ & (\led_flash_cnt[714][0]~q\ $ (VCC))) # (!\led_flash_cnt[714][1]~q\ & (\led_flash_cnt[714][0]~q\ & VCC))
-- \led_flash_cnt[714][1]~36877\ = CARRY((\led_flash_cnt[714][1]~q\ & \led_flash_cnt[714][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[714][1]~q\,
	datab => \led_flash_cnt[714][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[714][1]~36876_combout\,
	cout => \led_flash_cnt[714][1]~36877\);

-- Location: FF_X9_Y6_N11
\led_flash_cnt[714][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[714][1]~36876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[714][1]~q\);

-- Location: LCCOMB_X9_Y6_N12
\led_flash_cnt[714][2]~36878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[714][2]~36878_combout\ = (\led_flash_cnt[714][2]~q\ & (!\led_flash_cnt[714][1]~36877\)) # (!\led_flash_cnt[714][2]~q\ & ((\led_flash_cnt[714][1]~36877\) # (GND)))
-- \led_flash_cnt[714][2]~36879\ = CARRY((!\led_flash_cnt[714][1]~36877\) # (!\led_flash_cnt[714][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[714][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[714][1]~36877\,
	combout => \led_flash_cnt[714][2]~36878_combout\,
	cout => \led_flash_cnt[714][2]~36879\);

-- Location: FF_X9_Y6_N13
\led_flash_cnt[714][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[714][2]~36878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[714][2]~q\);

-- Location: LCCOMB_X9_Y6_N14
\led_flash_cnt[714][3]~36880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[714][3]~36880_combout\ = (\led_flash_cnt[714][3]~q\ & (\led_flash_cnt[714][2]~36879\ $ (GND))) # (!\led_flash_cnt[714][3]~q\ & (!\led_flash_cnt[714][2]~36879\ & VCC))
-- \led_flash_cnt[714][3]~36881\ = CARRY((\led_flash_cnt[714][3]~q\ & !\led_flash_cnt[714][2]~36879\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[714][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[714][2]~36879\,
	combout => \led_flash_cnt[714][3]~36880_combout\,
	cout => \led_flash_cnt[714][3]~36881\);

-- Location: FF_X9_Y6_N15
\led_flash_cnt[714][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[714][3]~36880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[714][3]~q\);

-- Location: LCCOMB_X9_Y6_N16
\led_flash_cnt[714][4]~36882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[714][4]~36882_combout\ = (\led_flash_cnt[714][4]~q\ & (!\led_flash_cnt[714][3]~36881\)) # (!\led_flash_cnt[714][4]~q\ & ((\led_flash_cnt[714][3]~36881\) # (GND)))
-- \led_flash_cnt[714][4]~36883\ = CARRY((!\led_flash_cnt[714][3]~36881\) # (!\led_flash_cnt[714][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[714][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[714][3]~36881\,
	combout => \led_flash_cnt[714][4]~36882_combout\,
	cout => \led_flash_cnt[714][4]~36883\);

-- Location: FF_X9_Y6_N17
\led_flash_cnt[714][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[714][4]~36882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[714][4]~q\);

-- Location: LCCOMB_X9_Y6_N18
\led_flash_cnt[714][5]~36884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[714][5]~36884_combout\ = (\led_flash_cnt[714][5]~q\ & (\led_flash_cnt[714][4]~36883\ $ (GND))) # (!\led_flash_cnt[714][5]~q\ & (!\led_flash_cnt[714][4]~36883\ & VCC))
-- \led_flash_cnt[714][5]~36885\ = CARRY((\led_flash_cnt[714][5]~q\ & !\led_flash_cnt[714][4]~36883\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[714][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[714][4]~36883\,
	combout => \led_flash_cnt[714][5]~36884_combout\,
	cout => \led_flash_cnt[714][5]~36885\);

-- Location: FF_X9_Y6_N19
\led_flash_cnt[714][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[714][5]~36884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[714][5]~q\);

-- Location: LCCOMB_X9_Y6_N20
\led_flash_cnt[714][6]~36886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[714][6]~36886_combout\ = (\led_flash_cnt[714][6]~q\ & (!\led_flash_cnt[714][5]~36885\)) # (!\led_flash_cnt[714][6]~q\ & ((\led_flash_cnt[714][5]~36885\) # (GND)))
-- \led_flash_cnt[714][6]~36887\ = CARRY((!\led_flash_cnt[714][5]~36885\) # (!\led_flash_cnt[714][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[714][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[714][5]~36885\,
	combout => \led_flash_cnt[714][6]~36886_combout\,
	cout => \led_flash_cnt[714][6]~36887\);

-- Location: FF_X9_Y6_N21
\led_flash_cnt[714][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[714][6]~36886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[714][6]~q\);

-- Location: LCCOMB_X9_Y6_N22
\led_flash_cnt[714][7]~36888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[714][7]~36888_combout\ = \led_flash_cnt[714][7]~q\ $ (!\led_flash_cnt[714][6]~36887\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[714][7]~q\,
	cin => \led_flash_cnt[714][6]~36887\,
	combout => \led_flash_cnt[714][7]~36888_combout\);

-- Location: FF_X9_Y6_N23
\led_flash_cnt[714][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[714][7]~36888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[714][7]~q\);

-- Location: LCCOMB_X9_Y6_N0
\WideAnd714~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd714~1_combout\ = (\led_flash_cnt[714][6]~q\ & \led_flash_cnt[714][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[714][6]~q\,
	datad => \led_flash_cnt[714][5]~q\,
	combout => \WideAnd714~1_combout\);

-- Location: LCCOMB_X9_Y6_N24
\WideAnd714~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd714~0_combout\ = (\led_flash_cnt[714][2]~q\ & (\led_flash_cnt[714][4]~q\ & (\led_flash_cnt[714][3]~q\ & \led_flash_cnt[714][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[714][2]~q\,
	datab => \led_flash_cnt[714][4]~q\,
	datac => \led_flash_cnt[714][3]~q\,
	datad => \led_flash_cnt[714][1]~q\,
	combout => \WideAnd714~0_combout\);

-- Location: LCCOMB_X9_Y6_N28
WideAnd714 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd714~combout\ = (\led_flash_cnt[714][7]~q\ & (\WideAnd714~1_combout\ & (\led_flash_cnt[714][0]~q\ & \WideAnd714~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[714][7]~q\,
	datab => \WideAnd714~1_combout\,
	datac => \led_flash_cnt[714][0]~q\,
	datad => \WideAnd714~0_combout\,
	combout => \WideAnd714~combout\);

-- Location: FF_X9_Y6_N29
\led_flash_cnt_ands[714]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd714~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(714));

-- Location: LCCOMB_X9_Y3_N8
\led_flash_cnt[713][0]~81353\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[713][0]~81353_combout\ = !\led_flash_cnt[713][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[713][0]~q\,
	combout => \led_flash_cnt[713][0]~81353_combout\);

-- Location: FF_X9_Y3_N9
\led_flash_cnt[713][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[713][0]~81353_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[713][0]~q\);

-- Location: LCCOMB_X9_Y3_N10
\led_flash_cnt[713][1]~36862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[713][1]~36862_combout\ = (\led_flash_cnt[713][1]~q\ & (\led_flash_cnt[713][0]~q\ $ (VCC))) # (!\led_flash_cnt[713][1]~q\ & (\led_flash_cnt[713][0]~q\ & VCC))
-- \led_flash_cnt[713][1]~36863\ = CARRY((\led_flash_cnt[713][1]~q\ & \led_flash_cnt[713][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[713][1]~q\,
	datab => \led_flash_cnt[713][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[713][1]~36862_combout\,
	cout => \led_flash_cnt[713][1]~36863\);

-- Location: FF_X9_Y3_N11
\led_flash_cnt[713][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[713][1]~36862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[713][1]~q\);

-- Location: LCCOMB_X9_Y3_N12
\led_flash_cnt[713][2]~36864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[713][2]~36864_combout\ = (\led_flash_cnt[713][2]~q\ & (!\led_flash_cnt[713][1]~36863\)) # (!\led_flash_cnt[713][2]~q\ & ((\led_flash_cnt[713][1]~36863\) # (GND)))
-- \led_flash_cnt[713][2]~36865\ = CARRY((!\led_flash_cnt[713][1]~36863\) # (!\led_flash_cnt[713][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[713][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[713][1]~36863\,
	combout => \led_flash_cnt[713][2]~36864_combout\,
	cout => \led_flash_cnt[713][2]~36865\);

-- Location: FF_X9_Y3_N13
\led_flash_cnt[713][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[713][2]~36864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[713][2]~q\);

-- Location: LCCOMB_X9_Y3_N14
\led_flash_cnt[713][3]~36866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[713][3]~36866_combout\ = (\led_flash_cnt[713][3]~q\ & (\led_flash_cnt[713][2]~36865\ $ (GND))) # (!\led_flash_cnt[713][3]~q\ & (!\led_flash_cnt[713][2]~36865\ & VCC))
-- \led_flash_cnt[713][3]~36867\ = CARRY((\led_flash_cnt[713][3]~q\ & !\led_flash_cnt[713][2]~36865\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[713][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[713][2]~36865\,
	combout => \led_flash_cnt[713][3]~36866_combout\,
	cout => \led_flash_cnt[713][3]~36867\);

-- Location: FF_X9_Y3_N15
\led_flash_cnt[713][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[713][3]~36866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[713][3]~q\);

-- Location: LCCOMB_X9_Y3_N16
\led_flash_cnt[713][4]~36868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[713][4]~36868_combout\ = (\led_flash_cnt[713][4]~q\ & (!\led_flash_cnt[713][3]~36867\)) # (!\led_flash_cnt[713][4]~q\ & ((\led_flash_cnt[713][3]~36867\) # (GND)))
-- \led_flash_cnt[713][4]~36869\ = CARRY((!\led_flash_cnt[713][3]~36867\) # (!\led_flash_cnt[713][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[713][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[713][3]~36867\,
	combout => \led_flash_cnt[713][4]~36868_combout\,
	cout => \led_flash_cnt[713][4]~36869\);

-- Location: FF_X9_Y3_N17
\led_flash_cnt[713][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[713][4]~36868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[713][4]~q\);

-- Location: LCCOMB_X9_Y3_N18
\led_flash_cnt[713][5]~36870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[713][5]~36870_combout\ = (\led_flash_cnt[713][5]~q\ & (\led_flash_cnt[713][4]~36869\ $ (GND))) # (!\led_flash_cnt[713][5]~q\ & (!\led_flash_cnt[713][4]~36869\ & VCC))
-- \led_flash_cnt[713][5]~36871\ = CARRY((\led_flash_cnt[713][5]~q\ & !\led_flash_cnt[713][4]~36869\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[713][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[713][4]~36869\,
	combout => \led_flash_cnt[713][5]~36870_combout\,
	cout => \led_flash_cnt[713][5]~36871\);

-- Location: FF_X9_Y3_N19
\led_flash_cnt[713][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[713][5]~36870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[713][5]~q\);

-- Location: LCCOMB_X9_Y3_N20
\led_flash_cnt[713][6]~36872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[713][6]~36872_combout\ = (\led_flash_cnt[713][6]~q\ & (!\led_flash_cnt[713][5]~36871\)) # (!\led_flash_cnt[713][6]~q\ & ((\led_flash_cnt[713][5]~36871\) # (GND)))
-- \led_flash_cnt[713][6]~36873\ = CARRY((!\led_flash_cnt[713][5]~36871\) # (!\led_flash_cnt[713][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[713][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[713][5]~36871\,
	combout => \led_flash_cnt[713][6]~36872_combout\,
	cout => \led_flash_cnt[713][6]~36873\);

-- Location: FF_X9_Y3_N21
\led_flash_cnt[713][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[713][6]~36872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[713][6]~q\);

-- Location: LCCOMB_X9_Y3_N22
\led_flash_cnt[713][7]~36874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[713][7]~36874_combout\ = \led_flash_cnt[713][7]~q\ $ (!\led_flash_cnt[713][6]~36873\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[713][7]~q\,
	cin => \led_flash_cnt[713][6]~36873\,
	combout => \led_flash_cnt[713][7]~36874_combout\);

-- Location: FF_X9_Y3_N23
\led_flash_cnt[713][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[713][7]~36874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[713][7]~q\);

-- Location: LCCOMB_X9_Y3_N4
\WideAnd713~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd713~0_combout\ = (\led_flash_cnt[713][2]~q\ & (\led_flash_cnt[713][4]~q\ & (\led_flash_cnt[713][3]~q\ & \led_flash_cnt[713][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[713][2]~q\,
	datab => \led_flash_cnt[713][4]~q\,
	datac => \led_flash_cnt[713][3]~q\,
	datad => \led_flash_cnt[713][1]~q\,
	combout => \WideAnd713~0_combout\);

-- Location: LCCOMB_X9_Y3_N24
\WideAnd713~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd713~1_combout\ = (\led_flash_cnt[713][6]~q\ & \led_flash_cnt[713][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[713][6]~q\,
	datad => \led_flash_cnt[713][5]~q\,
	combout => \WideAnd713~1_combout\);

-- Location: LCCOMB_X9_Y3_N26
WideAnd713 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd713~combout\ = (\led_flash_cnt[713][7]~q\ & (\WideAnd713~0_combout\ & (\led_flash_cnt[713][0]~q\ & \WideAnd713~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[713][7]~q\,
	datab => \WideAnd713~0_combout\,
	datac => \led_flash_cnt[713][0]~q\,
	datad => \WideAnd713~1_combout\,
	combout => \WideAnd713~combout\);

-- Location: FF_X9_Y3_N27
\led_flash_cnt_ands[713]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd713~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(713));

-- Location: LCCOMB_X4_Y6_N12
\led_flash_cnt[712][0]~81352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[712][0]~81352_combout\ = !\led_flash_cnt[712][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[712][0]~q\,
	combout => \led_flash_cnt[712][0]~81352_combout\);

-- Location: FF_X4_Y6_N13
\led_flash_cnt[712][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[712][0]~81352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[712][0]~q\);

-- Location: LCCOMB_X4_Y6_N14
\led_flash_cnt[712][1]~36848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[712][1]~36848_combout\ = (\led_flash_cnt[712][0]~q\ & (\led_flash_cnt[712][1]~q\ $ (VCC))) # (!\led_flash_cnt[712][0]~q\ & (\led_flash_cnt[712][1]~q\ & VCC))
-- \led_flash_cnt[712][1]~36849\ = CARRY((\led_flash_cnt[712][0]~q\ & \led_flash_cnt[712][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[712][0]~q\,
	datab => \led_flash_cnt[712][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[712][1]~36848_combout\,
	cout => \led_flash_cnt[712][1]~36849\);

-- Location: FF_X4_Y6_N15
\led_flash_cnt[712][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[712][1]~36848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[712][1]~q\);

-- Location: LCCOMB_X4_Y6_N16
\led_flash_cnt[712][2]~36850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[712][2]~36850_combout\ = (\led_flash_cnt[712][2]~q\ & (!\led_flash_cnt[712][1]~36849\)) # (!\led_flash_cnt[712][2]~q\ & ((\led_flash_cnt[712][1]~36849\) # (GND)))
-- \led_flash_cnt[712][2]~36851\ = CARRY((!\led_flash_cnt[712][1]~36849\) # (!\led_flash_cnt[712][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[712][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[712][1]~36849\,
	combout => \led_flash_cnt[712][2]~36850_combout\,
	cout => \led_flash_cnt[712][2]~36851\);

-- Location: FF_X4_Y6_N17
\led_flash_cnt[712][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[712][2]~36850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[712][2]~q\);

-- Location: LCCOMB_X4_Y6_N18
\led_flash_cnt[712][3]~36852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[712][3]~36852_combout\ = (\led_flash_cnt[712][3]~q\ & (\led_flash_cnt[712][2]~36851\ $ (GND))) # (!\led_flash_cnt[712][3]~q\ & (!\led_flash_cnt[712][2]~36851\ & VCC))
-- \led_flash_cnt[712][3]~36853\ = CARRY((\led_flash_cnt[712][3]~q\ & !\led_flash_cnt[712][2]~36851\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[712][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[712][2]~36851\,
	combout => \led_flash_cnt[712][3]~36852_combout\,
	cout => \led_flash_cnt[712][3]~36853\);

-- Location: FF_X4_Y6_N19
\led_flash_cnt[712][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[712][3]~36852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[712][3]~q\);

-- Location: LCCOMB_X4_Y6_N20
\led_flash_cnt[712][4]~36854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[712][4]~36854_combout\ = (\led_flash_cnt[712][4]~q\ & (!\led_flash_cnt[712][3]~36853\)) # (!\led_flash_cnt[712][4]~q\ & ((\led_flash_cnt[712][3]~36853\) # (GND)))
-- \led_flash_cnt[712][4]~36855\ = CARRY((!\led_flash_cnt[712][3]~36853\) # (!\led_flash_cnt[712][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[712][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[712][3]~36853\,
	combout => \led_flash_cnt[712][4]~36854_combout\,
	cout => \led_flash_cnt[712][4]~36855\);

-- Location: FF_X4_Y6_N21
\led_flash_cnt[712][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[712][4]~36854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[712][4]~q\);

-- Location: LCCOMB_X4_Y6_N10
\WideAnd712~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd712~0_combout\ = (\led_flash_cnt[712][3]~q\ & (\led_flash_cnt[712][2]~q\ & (\led_flash_cnt[712][1]~q\ & \led_flash_cnt[712][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[712][3]~q\,
	datab => \led_flash_cnt[712][2]~q\,
	datac => \led_flash_cnt[712][1]~q\,
	datad => \led_flash_cnt[712][4]~q\,
	combout => \WideAnd712~0_combout\);

-- Location: LCCOMB_X4_Y6_N22
\led_flash_cnt[712][5]~36856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[712][5]~36856_combout\ = (\led_flash_cnt[712][5]~q\ & (\led_flash_cnt[712][4]~36855\ $ (GND))) # (!\led_flash_cnt[712][5]~q\ & (!\led_flash_cnt[712][4]~36855\ & VCC))
-- \led_flash_cnt[712][5]~36857\ = CARRY((\led_flash_cnt[712][5]~q\ & !\led_flash_cnt[712][4]~36855\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[712][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[712][4]~36855\,
	combout => \led_flash_cnt[712][5]~36856_combout\,
	cout => \led_flash_cnt[712][5]~36857\);

-- Location: FF_X4_Y6_N23
\led_flash_cnt[712][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[712][5]~36856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[712][5]~q\);

-- Location: LCCOMB_X4_Y6_N24
\led_flash_cnt[712][6]~36858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[712][6]~36858_combout\ = (\led_flash_cnt[712][6]~q\ & (!\led_flash_cnt[712][5]~36857\)) # (!\led_flash_cnt[712][6]~q\ & ((\led_flash_cnt[712][5]~36857\) # (GND)))
-- \led_flash_cnt[712][6]~36859\ = CARRY((!\led_flash_cnt[712][5]~36857\) # (!\led_flash_cnt[712][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[712][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[712][5]~36857\,
	combout => \led_flash_cnt[712][6]~36858_combout\,
	cout => \led_flash_cnt[712][6]~36859\);

-- Location: FF_X4_Y6_N25
\led_flash_cnt[712][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[712][6]~36858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[712][6]~q\);

-- Location: LCCOMB_X4_Y6_N28
\WideAnd712~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd712~1_combout\ = (\led_flash_cnt[712][5]~q\ & \led_flash_cnt[712][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[712][5]~q\,
	datad => \led_flash_cnt[712][6]~q\,
	combout => \WideAnd712~1_combout\);

-- Location: LCCOMB_X4_Y6_N26
\led_flash_cnt[712][7]~36860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[712][7]~36860_combout\ = \led_flash_cnt[712][7]~q\ $ (!\led_flash_cnt[712][6]~36859\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[712][7]~q\,
	cin => \led_flash_cnt[712][6]~36859\,
	combout => \led_flash_cnt[712][7]~36860_combout\);

-- Location: FF_X4_Y6_N27
\led_flash_cnt[712][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[712][7]~36860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[712][7]~q\);

-- Location: LCCOMB_X4_Y6_N8
WideAnd712 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd712~combout\ = (\WideAnd712~0_combout\ & (\WideAnd712~1_combout\ & (\led_flash_cnt[712][7]~q\ & \led_flash_cnt[712][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd712~0_combout\,
	datab => \WideAnd712~1_combout\,
	datac => \led_flash_cnt[712][7]~q\,
	datad => \led_flash_cnt[712][0]~q\,
	combout => \WideAnd712~combout\);

-- Location: FF_X4_Y6_N9
\led_flash_cnt_ands[712]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd712~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(712));

-- Location: LCCOMB_X9_Y6_N8
\WideAnd3929~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3929~0_combout\ = (led_flash_cnt_ands(715) & (led_flash_cnt_ands(714) & (led_flash_cnt_ands(713) & led_flash_cnt_ands(712))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(715),
	datab => led_flash_cnt_ands(714),
	datac => led_flash_cnt_ands(713),
	datad => led_flash_cnt_ands(712),
	combout => \WideAnd3929~0_combout\);

-- Location: LCCOMB_X62_Y10_N10
\led_flash_cnt[719][0]~81359\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[719][0]~81359_combout\ = !\led_flash_cnt[719][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[719][0]~q\,
	combout => \led_flash_cnt[719][0]~81359_combout\);

-- Location: FF_X62_Y10_N11
\led_flash_cnt[719][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[719][0]~81359_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[719][0]~q\);

-- Location: LCCOMB_X62_Y10_N16
\led_flash_cnt[719][1]~36946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[719][1]~36946_combout\ = (\led_flash_cnt[719][0]~q\ & (\led_flash_cnt[719][1]~q\ $ (VCC))) # (!\led_flash_cnt[719][0]~q\ & (\led_flash_cnt[719][1]~q\ & VCC))
-- \led_flash_cnt[719][1]~36947\ = CARRY((\led_flash_cnt[719][0]~q\ & \led_flash_cnt[719][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[719][0]~q\,
	datab => \led_flash_cnt[719][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[719][1]~36946_combout\,
	cout => \led_flash_cnt[719][1]~36947\);

-- Location: FF_X62_Y10_N17
\led_flash_cnt[719][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[719][1]~36946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[719][1]~q\);

-- Location: LCCOMB_X62_Y10_N18
\led_flash_cnt[719][2]~36948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[719][2]~36948_combout\ = (\led_flash_cnt[719][2]~q\ & (!\led_flash_cnt[719][1]~36947\)) # (!\led_flash_cnt[719][2]~q\ & ((\led_flash_cnt[719][1]~36947\) # (GND)))
-- \led_flash_cnt[719][2]~36949\ = CARRY((!\led_flash_cnt[719][1]~36947\) # (!\led_flash_cnt[719][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[719][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[719][1]~36947\,
	combout => \led_flash_cnt[719][2]~36948_combout\,
	cout => \led_flash_cnt[719][2]~36949\);

-- Location: FF_X62_Y10_N19
\led_flash_cnt[719][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[719][2]~36948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[719][2]~q\);

-- Location: LCCOMB_X62_Y10_N20
\led_flash_cnt[719][3]~36950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[719][3]~36950_combout\ = (\led_flash_cnt[719][3]~q\ & (\led_flash_cnt[719][2]~36949\ $ (GND))) # (!\led_flash_cnt[719][3]~q\ & (!\led_flash_cnt[719][2]~36949\ & VCC))
-- \led_flash_cnt[719][3]~36951\ = CARRY((\led_flash_cnt[719][3]~q\ & !\led_flash_cnt[719][2]~36949\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[719][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[719][2]~36949\,
	combout => \led_flash_cnt[719][3]~36950_combout\,
	cout => \led_flash_cnt[719][3]~36951\);

-- Location: FF_X62_Y10_N21
\led_flash_cnt[719][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[719][3]~36950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[719][3]~q\);

-- Location: LCCOMB_X62_Y10_N22
\led_flash_cnt[719][4]~36952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[719][4]~36952_combout\ = (\led_flash_cnt[719][4]~q\ & (!\led_flash_cnt[719][3]~36951\)) # (!\led_flash_cnt[719][4]~q\ & ((\led_flash_cnt[719][3]~36951\) # (GND)))
-- \led_flash_cnt[719][4]~36953\ = CARRY((!\led_flash_cnt[719][3]~36951\) # (!\led_flash_cnt[719][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[719][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[719][3]~36951\,
	combout => \led_flash_cnt[719][4]~36952_combout\,
	cout => \led_flash_cnt[719][4]~36953\);

-- Location: FF_X62_Y10_N23
\led_flash_cnt[719][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[719][4]~36952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[719][4]~q\);

-- Location: LCCOMB_X62_Y10_N24
\led_flash_cnt[719][5]~36954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[719][5]~36954_combout\ = (\led_flash_cnt[719][5]~q\ & (\led_flash_cnt[719][4]~36953\ $ (GND))) # (!\led_flash_cnt[719][5]~q\ & (!\led_flash_cnt[719][4]~36953\ & VCC))
-- \led_flash_cnt[719][5]~36955\ = CARRY((\led_flash_cnt[719][5]~q\ & !\led_flash_cnt[719][4]~36953\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[719][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[719][4]~36953\,
	combout => \led_flash_cnt[719][5]~36954_combout\,
	cout => \led_flash_cnt[719][5]~36955\);

-- Location: FF_X62_Y10_N25
\led_flash_cnt[719][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[719][5]~36954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[719][5]~q\);

-- Location: LCCOMB_X62_Y10_N26
\led_flash_cnt[719][6]~36956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[719][6]~36956_combout\ = (\led_flash_cnt[719][6]~q\ & (!\led_flash_cnt[719][5]~36955\)) # (!\led_flash_cnt[719][6]~q\ & ((\led_flash_cnt[719][5]~36955\) # (GND)))
-- \led_flash_cnt[719][6]~36957\ = CARRY((!\led_flash_cnt[719][5]~36955\) # (!\led_flash_cnt[719][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[719][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[719][5]~36955\,
	combout => \led_flash_cnt[719][6]~36956_combout\,
	cout => \led_flash_cnt[719][6]~36957\);

-- Location: FF_X62_Y10_N27
\led_flash_cnt[719][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[719][6]~36956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[719][6]~q\);

-- Location: LCCOMB_X62_Y10_N28
\led_flash_cnt[719][7]~36958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[719][7]~36958_combout\ = \led_flash_cnt[719][6]~36957\ $ (!\led_flash_cnt[719][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[719][7]~q\,
	cin => \led_flash_cnt[719][6]~36957\,
	combout => \led_flash_cnt[719][7]~36958_combout\);

-- Location: FF_X62_Y10_N29
\led_flash_cnt[719][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[719][7]~36958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[719][7]~q\);

-- Location: LCCOMB_X62_Y10_N4
\WideAnd719~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd719~1_combout\ = (\led_flash_cnt[719][6]~q\ & \led_flash_cnt[719][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[719][6]~q\,
	datad => \led_flash_cnt[719][5]~q\,
	combout => \WideAnd719~1_combout\);

-- Location: LCCOMB_X62_Y10_N12
\WideAnd719~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd719~0_combout\ = (\led_flash_cnt[719][3]~q\ & (\led_flash_cnt[719][2]~q\ & (\led_flash_cnt[719][4]~q\ & \led_flash_cnt[719][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[719][3]~q\,
	datab => \led_flash_cnt[719][2]~q\,
	datac => \led_flash_cnt[719][4]~q\,
	datad => \led_flash_cnt[719][1]~q\,
	combout => \WideAnd719~0_combout\);

-- Location: LCCOMB_X62_Y10_N8
WideAnd719 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd719~combout\ = (\led_flash_cnt[719][0]~q\ & (\led_flash_cnt[719][7]~q\ & (\WideAnd719~1_combout\ & \WideAnd719~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[719][0]~q\,
	datab => \led_flash_cnt[719][7]~q\,
	datac => \WideAnd719~1_combout\,
	datad => \WideAnd719~0_combout\,
	combout => \WideAnd719~combout\);

-- Location: FF_X62_Y10_N9
\led_flash_cnt_ands[719]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd719~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(719));

-- Location: LCCOMB_X61_Y17_N2
\led_flash_cnt[717][0]~81357\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[717][0]~81357_combout\ = !\led_flash_cnt[717][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[717][0]~q\,
	combout => \led_flash_cnt[717][0]~81357_combout\);

-- Location: FF_X61_Y17_N3
\led_flash_cnt[717][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[717][0]~81357_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[717][0]~q\);

-- Location: LCCOMB_X60_Y17_N0
\led_flash_cnt[717][1]~36918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[717][1]~36918_combout\ = (\led_flash_cnt[717][0]~q\ & (\led_flash_cnt[717][1]~q\ $ (VCC))) # (!\led_flash_cnt[717][0]~q\ & (\led_flash_cnt[717][1]~q\ & VCC))
-- \led_flash_cnt[717][1]~36919\ = CARRY((\led_flash_cnt[717][0]~q\ & \led_flash_cnt[717][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[717][0]~q\,
	datab => \led_flash_cnt[717][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[717][1]~36918_combout\,
	cout => \led_flash_cnt[717][1]~36919\);

-- Location: FF_X60_Y17_N1
\led_flash_cnt[717][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[717][1]~36918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[717][1]~q\);

-- Location: LCCOMB_X60_Y17_N2
\led_flash_cnt[717][2]~36920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[717][2]~36920_combout\ = (\led_flash_cnt[717][2]~q\ & (!\led_flash_cnt[717][1]~36919\)) # (!\led_flash_cnt[717][2]~q\ & ((\led_flash_cnt[717][1]~36919\) # (GND)))
-- \led_flash_cnt[717][2]~36921\ = CARRY((!\led_flash_cnt[717][1]~36919\) # (!\led_flash_cnt[717][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[717][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[717][1]~36919\,
	combout => \led_flash_cnt[717][2]~36920_combout\,
	cout => \led_flash_cnt[717][2]~36921\);

-- Location: FF_X60_Y17_N3
\led_flash_cnt[717][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[717][2]~36920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[717][2]~q\);

-- Location: LCCOMB_X60_Y17_N4
\led_flash_cnt[717][3]~36922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[717][3]~36922_combout\ = (\led_flash_cnt[717][3]~q\ & (\led_flash_cnt[717][2]~36921\ $ (GND))) # (!\led_flash_cnt[717][3]~q\ & (!\led_flash_cnt[717][2]~36921\ & VCC))
-- \led_flash_cnt[717][3]~36923\ = CARRY((\led_flash_cnt[717][3]~q\ & !\led_flash_cnt[717][2]~36921\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[717][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[717][2]~36921\,
	combout => \led_flash_cnt[717][3]~36922_combout\,
	cout => \led_flash_cnt[717][3]~36923\);

-- Location: FF_X60_Y17_N5
\led_flash_cnt[717][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[717][3]~36922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[717][3]~q\);

-- Location: LCCOMB_X60_Y17_N6
\led_flash_cnt[717][4]~36924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[717][4]~36924_combout\ = (\led_flash_cnt[717][4]~q\ & (!\led_flash_cnt[717][3]~36923\)) # (!\led_flash_cnt[717][4]~q\ & ((\led_flash_cnt[717][3]~36923\) # (GND)))
-- \led_flash_cnt[717][4]~36925\ = CARRY((!\led_flash_cnt[717][3]~36923\) # (!\led_flash_cnt[717][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[717][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[717][3]~36923\,
	combout => \led_flash_cnt[717][4]~36924_combout\,
	cout => \led_flash_cnt[717][4]~36925\);

-- Location: FF_X60_Y17_N7
\led_flash_cnt[717][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[717][4]~36924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[717][4]~q\);

-- Location: LCCOMB_X60_Y17_N8
\led_flash_cnt[717][5]~36926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[717][5]~36926_combout\ = (\led_flash_cnt[717][5]~q\ & (\led_flash_cnt[717][4]~36925\ $ (GND))) # (!\led_flash_cnt[717][5]~q\ & (!\led_flash_cnt[717][4]~36925\ & VCC))
-- \led_flash_cnt[717][5]~36927\ = CARRY((\led_flash_cnt[717][5]~q\ & !\led_flash_cnt[717][4]~36925\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[717][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[717][4]~36925\,
	combout => \led_flash_cnt[717][5]~36926_combout\,
	cout => \led_flash_cnt[717][5]~36927\);

-- Location: FF_X60_Y17_N9
\led_flash_cnt[717][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[717][5]~36926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[717][5]~q\);

-- Location: LCCOMB_X60_Y17_N10
\led_flash_cnt[717][6]~36928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[717][6]~36928_combout\ = (\led_flash_cnt[717][6]~q\ & (!\led_flash_cnt[717][5]~36927\)) # (!\led_flash_cnt[717][6]~q\ & ((\led_flash_cnt[717][5]~36927\) # (GND)))
-- \led_flash_cnt[717][6]~36929\ = CARRY((!\led_flash_cnt[717][5]~36927\) # (!\led_flash_cnt[717][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[717][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[717][5]~36927\,
	combout => \led_flash_cnt[717][6]~36928_combout\,
	cout => \led_flash_cnt[717][6]~36929\);

-- Location: FF_X60_Y17_N11
\led_flash_cnt[717][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[717][6]~36928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[717][6]~q\);

-- Location: LCCOMB_X60_Y17_N12
\led_flash_cnt[717][7]~36930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[717][7]~36930_combout\ = \led_flash_cnt[717][6]~36929\ $ (!\led_flash_cnt[717][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[717][7]~q\,
	cin => \led_flash_cnt[717][6]~36929\,
	combout => \led_flash_cnt[717][7]~36930_combout\);

-- Location: FF_X60_Y17_N13
\led_flash_cnt[717][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[717][7]~36930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[717][7]~q\);

-- Location: LCCOMB_X60_Y17_N30
\WideAnd717~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd717~0_combout\ = (\led_flash_cnt[717][4]~q\ & (\led_flash_cnt[717][1]~q\ & (\led_flash_cnt[717][3]~q\ & \led_flash_cnt[717][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[717][4]~q\,
	datab => \led_flash_cnt[717][1]~q\,
	datac => \led_flash_cnt[717][3]~q\,
	datad => \led_flash_cnt[717][2]~q\,
	combout => \WideAnd717~0_combout\);

-- Location: LCCOMB_X61_Y17_N4
\WideAnd717~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd717~1_combout\ = (\led_flash_cnt[717][6]~q\ & \led_flash_cnt[717][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[717][6]~q\,
	datad => \led_flash_cnt[717][5]~q\,
	combout => \WideAnd717~1_combout\);

-- Location: LCCOMB_X61_Y17_N8
WideAnd717 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd717~combout\ = (\led_flash_cnt[717][7]~q\ & (\WideAnd717~0_combout\ & (\WideAnd717~1_combout\ & \led_flash_cnt[717][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[717][7]~q\,
	datab => \WideAnd717~0_combout\,
	datac => \WideAnd717~1_combout\,
	datad => \led_flash_cnt[717][0]~q\,
	combout => \WideAnd717~combout\);

-- Location: FF_X61_Y17_N9
\led_flash_cnt_ands[717]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd717~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(717));

-- Location: LCCOMB_X61_Y17_N24
\led_flash_cnt[716][0]~81356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[716][0]~81356_combout\ = !\led_flash_cnt[716][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[716][0]~q\,
	combout => \led_flash_cnt[716][0]~81356_combout\);

-- Location: FF_X61_Y17_N25
\led_flash_cnt[716][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[716][0]~81356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[716][0]~q\);

-- Location: LCCOMB_X61_Y17_N10
\led_flash_cnt[716][1]~36904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[716][1]~36904_combout\ = (\led_flash_cnt[716][1]~q\ & (\led_flash_cnt[716][0]~q\ $ (VCC))) # (!\led_flash_cnt[716][1]~q\ & (\led_flash_cnt[716][0]~q\ & VCC))
-- \led_flash_cnt[716][1]~36905\ = CARRY((\led_flash_cnt[716][1]~q\ & \led_flash_cnt[716][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[716][1]~q\,
	datab => \led_flash_cnt[716][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[716][1]~36904_combout\,
	cout => \led_flash_cnt[716][1]~36905\);

-- Location: FF_X61_Y17_N11
\led_flash_cnt[716][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[716][1]~36904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[716][1]~q\);

-- Location: LCCOMB_X61_Y17_N12
\led_flash_cnt[716][2]~36906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[716][2]~36906_combout\ = (\led_flash_cnt[716][2]~q\ & (!\led_flash_cnt[716][1]~36905\)) # (!\led_flash_cnt[716][2]~q\ & ((\led_flash_cnt[716][1]~36905\) # (GND)))
-- \led_flash_cnt[716][2]~36907\ = CARRY((!\led_flash_cnt[716][1]~36905\) # (!\led_flash_cnt[716][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[716][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[716][1]~36905\,
	combout => \led_flash_cnt[716][2]~36906_combout\,
	cout => \led_flash_cnt[716][2]~36907\);

-- Location: FF_X61_Y17_N13
\led_flash_cnt[716][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[716][2]~36906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[716][2]~q\);

-- Location: LCCOMB_X61_Y17_N14
\led_flash_cnt[716][3]~36908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[716][3]~36908_combout\ = (\led_flash_cnt[716][3]~q\ & (\led_flash_cnt[716][2]~36907\ $ (GND))) # (!\led_flash_cnt[716][3]~q\ & (!\led_flash_cnt[716][2]~36907\ & VCC))
-- \led_flash_cnt[716][3]~36909\ = CARRY((\led_flash_cnt[716][3]~q\ & !\led_flash_cnt[716][2]~36907\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[716][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[716][2]~36907\,
	combout => \led_flash_cnt[716][3]~36908_combout\,
	cout => \led_flash_cnt[716][3]~36909\);

-- Location: FF_X61_Y17_N15
\led_flash_cnt[716][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[716][3]~36908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[716][3]~q\);

-- Location: LCCOMB_X61_Y17_N16
\led_flash_cnt[716][4]~36910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[716][4]~36910_combout\ = (\led_flash_cnt[716][4]~q\ & (!\led_flash_cnt[716][3]~36909\)) # (!\led_flash_cnt[716][4]~q\ & ((\led_flash_cnt[716][3]~36909\) # (GND)))
-- \led_flash_cnt[716][4]~36911\ = CARRY((!\led_flash_cnt[716][3]~36909\) # (!\led_flash_cnt[716][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[716][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[716][3]~36909\,
	combout => \led_flash_cnt[716][4]~36910_combout\,
	cout => \led_flash_cnt[716][4]~36911\);

-- Location: FF_X61_Y17_N17
\led_flash_cnt[716][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[716][4]~36910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[716][4]~q\);

-- Location: LCCOMB_X61_Y17_N18
\led_flash_cnt[716][5]~36912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[716][5]~36912_combout\ = (\led_flash_cnt[716][5]~q\ & (\led_flash_cnt[716][4]~36911\ $ (GND))) # (!\led_flash_cnt[716][5]~q\ & (!\led_flash_cnt[716][4]~36911\ & VCC))
-- \led_flash_cnt[716][5]~36913\ = CARRY((\led_flash_cnt[716][5]~q\ & !\led_flash_cnt[716][4]~36911\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[716][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[716][4]~36911\,
	combout => \led_flash_cnt[716][5]~36912_combout\,
	cout => \led_flash_cnt[716][5]~36913\);

-- Location: FF_X61_Y17_N19
\led_flash_cnt[716][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[716][5]~36912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[716][5]~q\);

-- Location: LCCOMB_X61_Y17_N20
\led_flash_cnt[716][6]~36914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[716][6]~36914_combout\ = (\led_flash_cnt[716][6]~q\ & (!\led_flash_cnt[716][5]~36913\)) # (!\led_flash_cnt[716][6]~q\ & ((\led_flash_cnt[716][5]~36913\) # (GND)))
-- \led_flash_cnt[716][6]~36915\ = CARRY((!\led_flash_cnt[716][5]~36913\) # (!\led_flash_cnt[716][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[716][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[716][5]~36913\,
	combout => \led_flash_cnt[716][6]~36914_combout\,
	cout => \led_flash_cnt[716][6]~36915\);

-- Location: FF_X61_Y17_N21
\led_flash_cnt[716][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[716][6]~36914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[716][6]~q\);

-- Location: LCCOMB_X61_Y17_N22
\led_flash_cnt[716][7]~36916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[716][7]~36916_combout\ = \led_flash_cnt[716][7]~q\ $ (!\led_flash_cnt[716][6]~36915\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[716][7]~q\,
	cin => \led_flash_cnt[716][6]~36915\,
	combout => \led_flash_cnt[716][7]~36916_combout\);

-- Location: FF_X61_Y17_N23
\led_flash_cnt[716][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[716][7]~36916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[716][7]~q\);

-- Location: LCCOMB_X61_Y17_N26
\WideAnd716~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd716~0_combout\ = (\led_flash_cnt[716][2]~q\ & (\led_flash_cnt[716][4]~q\ & (\led_flash_cnt[716][3]~q\ & \led_flash_cnt[716][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[716][2]~q\,
	datab => \led_flash_cnt[716][4]~q\,
	datac => \led_flash_cnt[716][3]~q\,
	datad => \led_flash_cnt[716][1]~q\,
	combout => \WideAnd716~0_combout\);

-- Location: LCCOMB_X61_Y17_N6
\WideAnd716~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd716~1_combout\ = (\led_flash_cnt[716][6]~q\ & \led_flash_cnt[716][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[716][6]~q\,
	datad => \led_flash_cnt[716][5]~q\,
	combout => \WideAnd716~1_combout\);

-- Location: LCCOMB_X61_Y17_N28
WideAnd716 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd716~combout\ = (\led_flash_cnt[716][7]~q\ & (\led_flash_cnt[716][0]~q\ & (\WideAnd716~0_combout\ & \WideAnd716~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[716][7]~q\,
	datab => \led_flash_cnt[716][0]~q\,
	datac => \WideAnd716~0_combout\,
	datad => \WideAnd716~1_combout\,
	combout => \WideAnd716~combout\);

-- Location: FF_X61_Y17_N29
\led_flash_cnt_ands[716]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd716~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(716));

-- Location: LCCOMB_X61_Y17_N30
\WideAnd3929~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3929~1_combout\ = (led_flash_cnt_ands(717) & led_flash_cnt_ands(716))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(717),
	datad => led_flash_cnt_ands(716),
	combout => \WideAnd3929~1_combout\);

-- Location: LCCOMB_X67_Y13_N24
\led_flash_cnt[718][0]~81358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[718][0]~81358_combout\ = !\led_flash_cnt[718][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[718][0]~q\,
	combout => \led_flash_cnt[718][0]~81358_combout\);

-- Location: FF_X67_Y13_N25
\led_flash_cnt[718][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[718][0]~81358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[718][0]~q\);

-- Location: LCCOMB_X67_Y13_N6
\led_flash_cnt[718][1]~36932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[718][1]~36932_combout\ = (\led_flash_cnt[718][1]~q\ & (\led_flash_cnt[718][0]~q\ $ (VCC))) # (!\led_flash_cnt[718][1]~q\ & (\led_flash_cnt[718][0]~q\ & VCC))
-- \led_flash_cnt[718][1]~36933\ = CARRY((\led_flash_cnt[718][1]~q\ & \led_flash_cnt[718][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[718][1]~q\,
	datab => \led_flash_cnt[718][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[718][1]~36932_combout\,
	cout => \led_flash_cnt[718][1]~36933\);

-- Location: FF_X67_Y13_N7
\led_flash_cnt[718][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[718][1]~36932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[718][1]~q\);

-- Location: LCCOMB_X67_Y13_N8
\led_flash_cnt[718][2]~36934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[718][2]~36934_combout\ = (\led_flash_cnt[718][2]~q\ & (!\led_flash_cnt[718][1]~36933\)) # (!\led_flash_cnt[718][2]~q\ & ((\led_flash_cnt[718][1]~36933\) # (GND)))
-- \led_flash_cnt[718][2]~36935\ = CARRY((!\led_flash_cnt[718][1]~36933\) # (!\led_flash_cnt[718][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[718][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[718][1]~36933\,
	combout => \led_flash_cnt[718][2]~36934_combout\,
	cout => \led_flash_cnt[718][2]~36935\);

-- Location: FF_X67_Y13_N9
\led_flash_cnt[718][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[718][2]~36934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[718][2]~q\);

-- Location: LCCOMB_X67_Y13_N10
\led_flash_cnt[718][3]~36936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[718][3]~36936_combout\ = (\led_flash_cnt[718][3]~q\ & (\led_flash_cnt[718][2]~36935\ $ (GND))) # (!\led_flash_cnt[718][3]~q\ & (!\led_flash_cnt[718][2]~36935\ & VCC))
-- \led_flash_cnt[718][3]~36937\ = CARRY((\led_flash_cnt[718][3]~q\ & !\led_flash_cnt[718][2]~36935\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[718][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[718][2]~36935\,
	combout => \led_flash_cnt[718][3]~36936_combout\,
	cout => \led_flash_cnt[718][3]~36937\);

-- Location: FF_X67_Y13_N11
\led_flash_cnt[718][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[718][3]~36936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[718][3]~q\);

-- Location: LCCOMB_X67_Y13_N12
\led_flash_cnt[718][4]~36938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[718][4]~36938_combout\ = (\led_flash_cnt[718][4]~q\ & (!\led_flash_cnt[718][3]~36937\)) # (!\led_flash_cnt[718][4]~q\ & ((\led_flash_cnt[718][3]~36937\) # (GND)))
-- \led_flash_cnt[718][4]~36939\ = CARRY((!\led_flash_cnt[718][3]~36937\) # (!\led_flash_cnt[718][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[718][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[718][3]~36937\,
	combout => \led_flash_cnt[718][4]~36938_combout\,
	cout => \led_flash_cnt[718][4]~36939\);

-- Location: FF_X67_Y13_N13
\led_flash_cnt[718][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[718][4]~36938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[718][4]~q\);

-- Location: LCCOMB_X67_Y13_N26
\WideAnd718~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd718~0_combout\ = (\led_flash_cnt[718][3]~q\ & (\led_flash_cnt[718][4]~q\ & (\led_flash_cnt[718][2]~q\ & \led_flash_cnt[718][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[718][3]~q\,
	datab => \led_flash_cnt[718][4]~q\,
	datac => \led_flash_cnt[718][2]~q\,
	datad => \led_flash_cnt[718][1]~q\,
	combout => \WideAnd718~0_combout\);

-- Location: LCCOMB_X67_Y13_N14
\led_flash_cnt[718][5]~36940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[718][5]~36940_combout\ = (\led_flash_cnt[718][5]~q\ & (\led_flash_cnt[718][4]~36939\ $ (GND))) # (!\led_flash_cnt[718][5]~q\ & (!\led_flash_cnt[718][4]~36939\ & VCC))
-- \led_flash_cnt[718][5]~36941\ = CARRY((\led_flash_cnt[718][5]~q\ & !\led_flash_cnt[718][4]~36939\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[718][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[718][4]~36939\,
	combout => \led_flash_cnt[718][5]~36940_combout\,
	cout => \led_flash_cnt[718][5]~36941\);

-- Location: FF_X67_Y13_N15
\led_flash_cnt[718][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[718][5]~36940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[718][5]~q\);

-- Location: LCCOMB_X67_Y13_N16
\led_flash_cnt[718][6]~36942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[718][6]~36942_combout\ = (\led_flash_cnt[718][6]~q\ & (!\led_flash_cnt[718][5]~36941\)) # (!\led_flash_cnt[718][6]~q\ & ((\led_flash_cnt[718][5]~36941\) # (GND)))
-- \led_flash_cnt[718][6]~36943\ = CARRY((!\led_flash_cnt[718][5]~36941\) # (!\led_flash_cnt[718][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[718][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[718][5]~36941\,
	combout => \led_flash_cnt[718][6]~36942_combout\,
	cout => \led_flash_cnt[718][6]~36943\);

-- Location: FF_X67_Y13_N17
\led_flash_cnt[718][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[718][6]~36942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[718][6]~q\);

-- Location: LCCOMB_X67_Y13_N18
\led_flash_cnt[718][7]~36944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[718][7]~36944_combout\ = \led_flash_cnt[718][6]~36943\ $ (!\led_flash_cnt[718][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[718][7]~q\,
	cin => \led_flash_cnt[718][6]~36943\,
	combout => \led_flash_cnt[718][7]~36944_combout\);

-- Location: FF_X67_Y13_N19
\led_flash_cnt[718][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[718][7]~36944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[718][7]~q\);

-- Location: LCCOMB_X67_Y13_N22
\WideAnd718~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd718~1_combout\ = (\led_flash_cnt[718][5]~q\ & \led_flash_cnt[718][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[718][5]~q\,
	datad => \led_flash_cnt[718][6]~q\,
	combout => \WideAnd718~1_combout\);

-- Location: LCCOMB_X67_Y13_N0
WideAnd718 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd718~combout\ = (\WideAnd718~0_combout\ & (\led_flash_cnt[718][7]~q\ & (\WideAnd718~1_combout\ & \led_flash_cnt[718][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd718~0_combout\,
	datab => \led_flash_cnt[718][7]~q\,
	datac => \WideAnd718~1_combout\,
	datad => \led_flash_cnt[718][0]~q\,
	combout => \WideAnd718~combout\);

-- Location: FF_X67_Y13_N1
\led_flash_cnt_ands[718]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd718~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(718));

-- Location: LCCOMB_X61_Y10_N28
WideAnd3929 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3929~combout\ = (\WideAnd3929~0_combout\ & (led_flash_cnt_ands(719) & (\WideAnd3929~1_combout\ & led_flash_cnt_ands(718))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3929~0_combout\,
	datab => led_flash_cnt_ands(719),
	datac => \WideAnd3929~1_combout\,
	datad => led_flash_cnt_ands(718),
	combout => \WideAnd3929~combout\);

-- Location: FF_X61_Y10_N29
\led_flash_cnt_ands_1[89]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3929~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(89));

-- Location: LCCOMB_X7_Y27_N6
\led_flash_cnt[709][0]~81349\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[709][0]~81349_combout\ = !\led_flash_cnt[709][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[709][0]~q\,
	combout => \led_flash_cnt[709][0]~81349_combout\);

-- Location: FF_X7_Y27_N7
\led_flash_cnt[709][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[709][0]~81349_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[709][0]~q\);

-- Location: LCCOMB_X8_Y27_N2
\led_flash_cnt[709][1]~36806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[709][1]~36806_combout\ = (\led_flash_cnt[709][0]~q\ & (\led_flash_cnt[709][1]~q\ $ (VCC))) # (!\led_flash_cnt[709][0]~q\ & (\led_flash_cnt[709][1]~q\ & VCC))
-- \led_flash_cnt[709][1]~36807\ = CARRY((\led_flash_cnt[709][0]~q\ & \led_flash_cnt[709][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[709][0]~q\,
	datab => \led_flash_cnt[709][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[709][1]~36806_combout\,
	cout => \led_flash_cnt[709][1]~36807\);

-- Location: FF_X8_Y27_N3
\led_flash_cnt[709][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[709][1]~36806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[709][1]~q\);

-- Location: LCCOMB_X8_Y27_N4
\led_flash_cnt[709][2]~36808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[709][2]~36808_combout\ = (\led_flash_cnt[709][2]~q\ & (!\led_flash_cnt[709][1]~36807\)) # (!\led_flash_cnt[709][2]~q\ & ((\led_flash_cnt[709][1]~36807\) # (GND)))
-- \led_flash_cnt[709][2]~36809\ = CARRY((!\led_flash_cnt[709][1]~36807\) # (!\led_flash_cnt[709][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[709][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[709][1]~36807\,
	combout => \led_flash_cnt[709][2]~36808_combout\,
	cout => \led_flash_cnt[709][2]~36809\);

-- Location: FF_X8_Y27_N5
\led_flash_cnt[709][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[709][2]~36808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[709][2]~q\);

-- Location: LCCOMB_X8_Y27_N6
\led_flash_cnt[709][3]~36810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[709][3]~36810_combout\ = (\led_flash_cnt[709][3]~q\ & (\led_flash_cnt[709][2]~36809\ $ (GND))) # (!\led_flash_cnt[709][3]~q\ & (!\led_flash_cnt[709][2]~36809\ & VCC))
-- \led_flash_cnt[709][3]~36811\ = CARRY((\led_flash_cnt[709][3]~q\ & !\led_flash_cnt[709][2]~36809\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[709][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[709][2]~36809\,
	combout => \led_flash_cnt[709][3]~36810_combout\,
	cout => \led_flash_cnt[709][3]~36811\);

-- Location: FF_X8_Y27_N7
\led_flash_cnt[709][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[709][3]~36810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[709][3]~q\);

-- Location: LCCOMB_X8_Y27_N8
\led_flash_cnt[709][4]~36812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[709][4]~36812_combout\ = (\led_flash_cnt[709][4]~q\ & (!\led_flash_cnt[709][3]~36811\)) # (!\led_flash_cnt[709][4]~q\ & ((\led_flash_cnt[709][3]~36811\) # (GND)))
-- \led_flash_cnt[709][4]~36813\ = CARRY((!\led_flash_cnt[709][3]~36811\) # (!\led_flash_cnt[709][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[709][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[709][3]~36811\,
	combout => \led_flash_cnt[709][4]~36812_combout\,
	cout => \led_flash_cnt[709][4]~36813\);

-- Location: FF_X8_Y27_N9
\led_flash_cnt[709][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[709][4]~36812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[709][4]~q\);

-- Location: LCCOMB_X8_Y27_N10
\led_flash_cnt[709][5]~36814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[709][5]~36814_combout\ = (\led_flash_cnt[709][5]~q\ & (\led_flash_cnt[709][4]~36813\ $ (GND))) # (!\led_flash_cnt[709][5]~q\ & (!\led_flash_cnt[709][4]~36813\ & VCC))
-- \led_flash_cnt[709][5]~36815\ = CARRY((\led_flash_cnt[709][5]~q\ & !\led_flash_cnt[709][4]~36813\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[709][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[709][4]~36813\,
	combout => \led_flash_cnt[709][5]~36814_combout\,
	cout => \led_flash_cnt[709][5]~36815\);

-- Location: FF_X8_Y27_N11
\led_flash_cnt[709][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[709][5]~36814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[709][5]~q\);

-- Location: LCCOMB_X8_Y27_N12
\led_flash_cnt[709][6]~36816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[709][6]~36816_combout\ = (\led_flash_cnt[709][6]~q\ & (!\led_flash_cnt[709][5]~36815\)) # (!\led_flash_cnt[709][6]~q\ & ((\led_flash_cnt[709][5]~36815\) # (GND)))
-- \led_flash_cnt[709][6]~36817\ = CARRY((!\led_flash_cnt[709][5]~36815\) # (!\led_flash_cnt[709][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[709][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[709][5]~36815\,
	combout => \led_flash_cnt[709][6]~36816_combout\,
	cout => \led_flash_cnt[709][6]~36817\);

-- Location: FF_X8_Y27_N13
\led_flash_cnt[709][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[709][6]~36816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[709][6]~q\);

-- Location: LCCOMB_X7_Y27_N30
\WideAnd709~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd709~1_combout\ = (\led_flash_cnt[709][5]~q\ & \led_flash_cnt[709][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[709][5]~q\,
	datac => \led_flash_cnt[709][6]~q\,
	combout => \WideAnd709~1_combout\);

-- Location: LCCOMB_X8_Y27_N0
\WideAnd709~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd709~0_combout\ = (\led_flash_cnt[709][3]~q\ & (\led_flash_cnt[709][2]~q\ & (\led_flash_cnt[709][4]~q\ & \led_flash_cnt[709][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[709][3]~q\,
	datab => \led_flash_cnt[709][2]~q\,
	datac => \led_flash_cnt[709][4]~q\,
	datad => \led_flash_cnt[709][1]~q\,
	combout => \WideAnd709~0_combout\);

-- Location: LCCOMB_X8_Y27_N14
\led_flash_cnt[709][7]~36818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[709][7]~36818_combout\ = \led_flash_cnt[709][7]~q\ $ (!\led_flash_cnt[709][6]~36817\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[709][7]~q\,
	cin => \led_flash_cnt[709][6]~36817\,
	combout => \led_flash_cnt[709][7]~36818_combout\);

-- Location: FF_X8_Y27_N15
\led_flash_cnt[709][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[709][7]~36818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[709][7]~q\);

-- Location: LCCOMB_X7_Y27_N4
WideAnd709 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd709~combout\ = (\WideAnd709~1_combout\ & (\WideAnd709~0_combout\ & (\led_flash_cnt[709][7]~q\ & \led_flash_cnt[709][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd709~1_combout\,
	datab => \WideAnd709~0_combout\,
	datac => \led_flash_cnt[709][7]~q\,
	datad => \led_flash_cnt[709][0]~q\,
	combout => \WideAnd709~combout\);

-- Location: FF_X7_Y27_N5
\led_flash_cnt_ands[709]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd709~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(709));

-- Location: LCCOMB_X7_Y27_N2
\led_flash_cnt[708][0]~81348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[708][0]~81348_combout\ = !\led_flash_cnt[708][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[708][0]~q\,
	combout => \led_flash_cnt[708][0]~81348_combout\);

-- Location: FF_X7_Y27_N3
\led_flash_cnt[708][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[708][0]~81348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[708][0]~q\);

-- Location: LCCOMB_X7_Y27_N12
\led_flash_cnt[708][1]~36792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[708][1]~36792_combout\ = (\led_flash_cnt[708][1]~q\ & (\led_flash_cnt[708][0]~q\ $ (VCC))) # (!\led_flash_cnt[708][1]~q\ & (\led_flash_cnt[708][0]~q\ & VCC))
-- \led_flash_cnt[708][1]~36793\ = CARRY((\led_flash_cnt[708][1]~q\ & \led_flash_cnt[708][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[708][1]~q\,
	datab => \led_flash_cnt[708][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[708][1]~36792_combout\,
	cout => \led_flash_cnt[708][1]~36793\);

-- Location: FF_X7_Y27_N13
\led_flash_cnt[708][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[708][1]~36792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[708][1]~q\);

-- Location: LCCOMB_X7_Y27_N14
\led_flash_cnt[708][2]~36794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[708][2]~36794_combout\ = (\led_flash_cnt[708][2]~q\ & (!\led_flash_cnt[708][1]~36793\)) # (!\led_flash_cnt[708][2]~q\ & ((\led_flash_cnt[708][1]~36793\) # (GND)))
-- \led_flash_cnt[708][2]~36795\ = CARRY((!\led_flash_cnt[708][1]~36793\) # (!\led_flash_cnt[708][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[708][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[708][1]~36793\,
	combout => \led_flash_cnt[708][2]~36794_combout\,
	cout => \led_flash_cnt[708][2]~36795\);

-- Location: FF_X7_Y27_N15
\led_flash_cnt[708][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[708][2]~36794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[708][2]~q\);

-- Location: LCCOMB_X7_Y27_N16
\led_flash_cnt[708][3]~36796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[708][3]~36796_combout\ = (\led_flash_cnt[708][3]~q\ & (\led_flash_cnt[708][2]~36795\ $ (GND))) # (!\led_flash_cnt[708][3]~q\ & (!\led_flash_cnt[708][2]~36795\ & VCC))
-- \led_flash_cnt[708][3]~36797\ = CARRY((\led_flash_cnt[708][3]~q\ & !\led_flash_cnt[708][2]~36795\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[708][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[708][2]~36795\,
	combout => \led_flash_cnt[708][3]~36796_combout\,
	cout => \led_flash_cnt[708][3]~36797\);

-- Location: FF_X7_Y27_N17
\led_flash_cnt[708][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[708][3]~36796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[708][3]~q\);

-- Location: LCCOMB_X7_Y27_N18
\led_flash_cnt[708][4]~36798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[708][4]~36798_combout\ = (\led_flash_cnt[708][4]~q\ & (!\led_flash_cnt[708][3]~36797\)) # (!\led_flash_cnt[708][4]~q\ & ((\led_flash_cnt[708][3]~36797\) # (GND)))
-- \led_flash_cnt[708][4]~36799\ = CARRY((!\led_flash_cnt[708][3]~36797\) # (!\led_flash_cnt[708][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[708][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[708][3]~36797\,
	combout => \led_flash_cnt[708][4]~36798_combout\,
	cout => \led_flash_cnt[708][4]~36799\);

-- Location: FF_X7_Y27_N19
\led_flash_cnt[708][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[708][4]~36798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[708][4]~q\);

-- Location: LCCOMB_X7_Y27_N20
\led_flash_cnt[708][5]~36800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[708][5]~36800_combout\ = (\led_flash_cnt[708][5]~q\ & (\led_flash_cnt[708][4]~36799\ $ (GND))) # (!\led_flash_cnt[708][5]~q\ & (!\led_flash_cnt[708][4]~36799\ & VCC))
-- \led_flash_cnt[708][5]~36801\ = CARRY((\led_flash_cnt[708][5]~q\ & !\led_flash_cnt[708][4]~36799\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[708][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[708][4]~36799\,
	combout => \led_flash_cnt[708][5]~36800_combout\,
	cout => \led_flash_cnt[708][5]~36801\);

-- Location: FF_X7_Y27_N21
\led_flash_cnt[708][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[708][5]~36800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[708][5]~q\);

-- Location: LCCOMB_X7_Y27_N22
\led_flash_cnt[708][6]~36802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[708][6]~36802_combout\ = (\led_flash_cnt[708][6]~q\ & (!\led_flash_cnt[708][5]~36801\)) # (!\led_flash_cnt[708][6]~q\ & ((\led_flash_cnt[708][5]~36801\) # (GND)))
-- \led_flash_cnt[708][6]~36803\ = CARRY((!\led_flash_cnt[708][5]~36801\) # (!\led_flash_cnt[708][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[708][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[708][5]~36801\,
	combout => \led_flash_cnt[708][6]~36802_combout\,
	cout => \led_flash_cnt[708][6]~36803\);

-- Location: FF_X7_Y27_N23
\led_flash_cnt[708][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[708][6]~36802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[708][6]~q\);

-- Location: LCCOMB_X7_Y27_N26
\WideAnd708~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd708~1_combout\ = (\led_flash_cnt[708][6]~q\ & \led_flash_cnt[708][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[708][6]~q\,
	datad => \led_flash_cnt[708][5]~q\,
	combout => \WideAnd708~1_combout\);

-- Location: LCCOMB_X7_Y27_N24
\led_flash_cnt[708][7]~36804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[708][7]~36804_combout\ = \led_flash_cnt[708][6]~36803\ $ (!\led_flash_cnt[708][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[708][7]~q\,
	cin => \led_flash_cnt[708][6]~36803\,
	combout => \led_flash_cnt[708][7]~36804_combout\);

-- Location: FF_X7_Y27_N25
\led_flash_cnt[708][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[708][7]~36804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[708][7]~q\);

-- Location: LCCOMB_X7_Y27_N8
\WideAnd708~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd708~0_combout\ = (\led_flash_cnt[708][4]~q\ & (\led_flash_cnt[708][3]~q\ & (\led_flash_cnt[708][2]~q\ & \led_flash_cnt[708][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[708][4]~q\,
	datab => \led_flash_cnt[708][3]~q\,
	datac => \led_flash_cnt[708][2]~q\,
	datad => \led_flash_cnt[708][1]~q\,
	combout => \WideAnd708~0_combout\);

-- Location: LCCOMB_X7_Y27_N10
WideAnd708 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd708~combout\ = (\WideAnd708~1_combout\ & (\led_flash_cnt[708][7]~q\ & (\WideAnd708~0_combout\ & \led_flash_cnt[708][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd708~1_combout\,
	datab => \led_flash_cnt[708][7]~q\,
	datac => \WideAnd708~0_combout\,
	datad => \led_flash_cnt[708][0]~q\,
	combout => \WideAnd708~combout\);

-- Location: FF_X7_Y27_N11
\led_flash_cnt_ands[708]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd708~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(708));

-- Location: LCCOMB_X7_Y27_N28
\WideAnd3928~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3928~1_combout\ = (led_flash_cnt_ands(709) & led_flash_cnt_ands(708))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(709),
	datad => led_flash_cnt_ands(708),
	combout => \WideAnd3928~1_combout\);

-- Location: LCCOMB_X72_Y25_N12
\led_flash_cnt[711][0]~81351\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[711][0]~81351_combout\ = !\led_flash_cnt[711][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[711][0]~q\,
	combout => \led_flash_cnt[711][0]~81351_combout\);

-- Location: FF_X72_Y25_N13
\led_flash_cnt[711][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[711][0]~81351_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[711][0]~q\);

-- Location: LCCOMB_X72_Y25_N18
\led_flash_cnt[711][1]~36834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[711][1]~36834_combout\ = (\led_flash_cnt[711][0]~q\ & (\led_flash_cnt[711][1]~q\ $ (VCC))) # (!\led_flash_cnt[711][0]~q\ & (\led_flash_cnt[711][1]~q\ & VCC))
-- \led_flash_cnt[711][1]~36835\ = CARRY((\led_flash_cnt[711][0]~q\ & \led_flash_cnt[711][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[711][0]~q\,
	datab => \led_flash_cnt[711][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[711][1]~36834_combout\,
	cout => \led_flash_cnt[711][1]~36835\);

-- Location: FF_X72_Y25_N19
\led_flash_cnt[711][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[711][1]~36834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[711][1]~q\);

-- Location: LCCOMB_X72_Y25_N20
\led_flash_cnt[711][2]~36836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[711][2]~36836_combout\ = (\led_flash_cnt[711][2]~q\ & (!\led_flash_cnt[711][1]~36835\)) # (!\led_flash_cnt[711][2]~q\ & ((\led_flash_cnt[711][1]~36835\) # (GND)))
-- \led_flash_cnt[711][2]~36837\ = CARRY((!\led_flash_cnt[711][1]~36835\) # (!\led_flash_cnt[711][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[711][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[711][1]~36835\,
	combout => \led_flash_cnt[711][2]~36836_combout\,
	cout => \led_flash_cnt[711][2]~36837\);

-- Location: FF_X72_Y25_N21
\led_flash_cnt[711][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[711][2]~36836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[711][2]~q\);

-- Location: LCCOMB_X72_Y25_N22
\led_flash_cnt[711][3]~36838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[711][3]~36838_combout\ = (\led_flash_cnt[711][3]~q\ & (\led_flash_cnt[711][2]~36837\ $ (GND))) # (!\led_flash_cnt[711][3]~q\ & (!\led_flash_cnt[711][2]~36837\ & VCC))
-- \led_flash_cnt[711][3]~36839\ = CARRY((\led_flash_cnt[711][3]~q\ & !\led_flash_cnt[711][2]~36837\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[711][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[711][2]~36837\,
	combout => \led_flash_cnt[711][3]~36838_combout\,
	cout => \led_flash_cnt[711][3]~36839\);

-- Location: FF_X72_Y25_N23
\led_flash_cnt[711][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[711][3]~36838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[711][3]~q\);

-- Location: LCCOMB_X72_Y25_N24
\led_flash_cnt[711][4]~36840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[711][4]~36840_combout\ = (\led_flash_cnt[711][4]~q\ & (!\led_flash_cnt[711][3]~36839\)) # (!\led_flash_cnt[711][4]~q\ & ((\led_flash_cnt[711][3]~36839\) # (GND)))
-- \led_flash_cnt[711][4]~36841\ = CARRY((!\led_flash_cnt[711][3]~36839\) # (!\led_flash_cnt[711][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[711][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[711][3]~36839\,
	combout => \led_flash_cnt[711][4]~36840_combout\,
	cout => \led_flash_cnt[711][4]~36841\);

-- Location: FF_X72_Y25_N25
\led_flash_cnt[711][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[711][4]~36840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[711][4]~q\);

-- Location: LCCOMB_X72_Y25_N26
\led_flash_cnt[711][5]~36842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[711][5]~36842_combout\ = (\led_flash_cnt[711][5]~q\ & (\led_flash_cnt[711][4]~36841\ $ (GND))) # (!\led_flash_cnt[711][5]~q\ & (!\led_flash_cnt[711][4]~36841\ & VCC))
-- \led_flash_cnt[711][5]~36843\ = CARRY((\led_flash_cnt[711][5]~q\ & !\led_flash_cnt[711][4]~36841\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[711][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[711][4]~36841\,
	combout => \led_flash_cnt[711][5]~36842_combout\,
	cout => \led_flash_cnt[711][5]~36843\);

-- Location: FF_X72_Y25_N27
\led_flash_cnt[711][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[711][5]~36842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[711][5]~q\);

-- Location: LCCOMB_X72_Y25_N28
\led_flash_cnt[711][6]~36844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[711][6]~36844_combout\ = (\led_flash_cnt[711][6]~q\ & (!\led_flash_cnt[711][5]~36843\)) # (!\led_flash_cnt[711][6]~q\ & ((\led_flash_cnt[711][5]~36843\) # (GND)))
-- \led_flash_cnt[711][6]~36845\ = CARRY((!\led_flash_cnt[711][5]~36843\) # (!\led_flash_cnt[711][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[711][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[711][5]~36843\,
	combout => \led_flash_cnt[711][6]~36844_combout\,
	cout => \led_flash_cnt[711][6]~36845\);

-- Location: FF_X72_Y25_N29
\led_flash_cnt[711][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[711][6]~36844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[711][6]~q\);

-- Location: LCCOMB_X72_Y25_N10
\WideAnd711~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd711~1_combout\ = (\led_flash_cnt[711][5]~q\ & \led_flash_cnt[711][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[711][5]~q\,
	datad => \led_flash_cnt[711][6]~q\,
	combout => \WideAnd711~1_combout\);

-- Location: LCCOMB_X72_Y25_N8
\WideAnd711~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd711~0_combout\ = (\led_flash_cnt[711][4]~q\ & (\led_flash_cnt[711][2]~q\ & (\led_flash_cnt[711][3]~q\ & \led_flash_cnt[711][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[711][4]~q\,
	datab => \led_flash_cnt[711][2]~q\,
	datac => \led_flash_cnt[711][3]~q\,
	datad => \led_flash_cnt[711][1]~q\,
	combout => \WideAnd711~0_combout\);

-- Location: LCCOMB_X72_Y25_N30
\led_flash_cnt[711][7]~36846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[711][7]~36846_combout\ = \led_flash_cnt[711][7]~q\ $ (!\led_flash_cnt[711][6]~36845\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[711][7]~q\,
	cin => \led_flash_cnt[711][6]~36845\,
	combout => \led_flash_cnt[711][7]~36846_combout\);

-- Location: FF_X72_Y25_N31
\led_flash_cnt[711][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[711][7]~36846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[711][7]~q\);

-- Location: LCCOMB_X72_Y25_N4
WideAnd711 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd711~combout\ = (\WideAnd711~1_combout\ & (\WideAnd711~0_combout\ & (\led_flash_cnt[711][7]~q\ & \led_flash_cnt[711][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd711~1_combout\,
	datab => \WideAnd711~0_combout\,
	datac => \led_flash_cnt[711][7]~q\,
	datad => \led_flash_cnt[711][0]~q\,
	combout => \WideAnd711~combout\);

-- Location: FF_X72_Y25_N5
\led_flash_cnt_ands[711]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd711~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(711));

-- Location: LCCOMB_X69_Y21_N18
\led_flash_cnt[707][0]~81347\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[707][0]~81347_combout\ = !\led_flash_cnt[707][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[707][0]~q\,
	combout => \led_flash_cnt[707][0]~81347_combout\);

-- Location: FF_X69_Y21_N19
\led_flash_cnt[707][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[707][0]~81347_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[707][0]~q\);

-- Location: LCCOMB_X69_Y21_N0
\led_flash_cnt[707][1]~36778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[707][1]~36778_combout\ = (\led_flash_cnt[707][1]~q\ & (\led_flash_cnt[707][0]~q\ $ (VCC))) # (!\led_flash_cnt[707][1]~q\ & (\led_flash_cnt[707][0]~q\ & VCC))
-- \led_flash_cnt[707][1]~36779\ = CARRY((\led_flash_cnt[707][1]~q\ & \led_flash_cnt[707][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[707][1]~q\,
	datab => \led_flash_cnt[707][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[707][1]~36778_combout\,
	cout => \led_flash_cnt[707][1]~36779\);

-- Location: FF_X69_Y21_N1
\led_flash_cnt[707][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[707][1]~36778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[707][1]~q\);

-- Location: LCCOMB_X69_Y21_N2
\led_flash_cnt[707][2]~36780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[707][2]~36780_combout\ = (\led_flash_cnt[707][2]~q\ & (!\led_flash_cnt[707][1]~36779\)) # (!\led_flash_cnt[707][2]~q\ & ((\led_flash_cnt[707][1]~36779\) # (GND)))
-- \led_flash_cnt[707][2]~36781\ = CARRY((!\led_flash_cnt[707][1]~36779\) # (!\led_flash_cnt[707][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[707][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[707][1]~36779\,
	combout => \led_flash_cnt[707][2]~36780_combout\,
	cout => \led_flash_cnt[707][2]~36781\);

-- Location: FF_X69_Y21_N3
\led_flash_cnt[707][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[707][2]~36780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[707][2]~q\);

-- Location: LCCOMB_X69_Y21_N4
\led_flash_cnt[707][3]~36782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[707][3]~36782_combout\ = (\led_flash_cnt[707][3]~q\ & (\led_flash_cnt[707][2]~36781\ $ (GND))) # (!\led_flash_cnt[707][3]~q\ & (!\led_flash_cnt[707][2]~36781\ & VCC))
-- \led_flash_cnt[707][3]~36783\ = CARRY((\led_flash_cnt[707][3]~q\ & !\led_flash_cnt[707][2]~36781\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[707][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[707][2]~36781\,
	combout => \led_flash_cnt[707][3]~36782_combout\,
	cout => \led_flash_cnt[707][3]~36783\);

-- Location: FF_X69_Y21_N5
\led_flash_cnt[707][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[707][3]~36782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[707][3]~q\);

-- Location: LCCOMB_X69_Y21_N6
\led_flash_cnt[707][4]~36784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[707][4]~36784_combout\ = (\led_flash_cnt[707][4]~q\ & (!\led_flash_cnt[707][3]~36783\)) # (!\led_flash_cnt[707][4]~q\ & ((\led_flash_cnt[707][3]~36783\) # (GND)))
-- \led_flash_cnt[707][4]~36785\ = CARRY((!\led_flash_cnt[707][3]~36783\) # (!\led_flash_cnt[707][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[707][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[707][3]~36783\,
	combout => \led_flash_cnt[707][4]~36784_combout\,
	cout => \led_flash_cnt[707][4]~36785\);

-- Location: FF_X69_Y21_N7
\led_flash_cnt[707][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[707][4]~36784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[707][4]~q\);

-- Location: LCCOMB_X69_Y21_N8
\led_flash_cnt[707][5]~36786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[707][5]~36786_combout\ = (\led_flash_cnt[707][5]~q\ & (\led_flash_cnt[707][4]~36785\ $ (GND))) # (!\led_flash_cnt[707][5]~q\ & (!\led_flash_cnt[707][4]~36785\ & VCC))
-- \led_flash_cnt[707][5]~36787\ = CARRY((\led_flash_cnt[707][5]~q\ & !\led_flash_cnt[707][4]~36785\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[707][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[707][4]~36785\,
	combout => \led_flash_cnt[707][5]~36786_combout\,
	cout => \led_flash_cnt[707][5]~36787\);

-- Location: FF_X69_Y21_N9
\led_flash_cnt[707][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[707][5]~36786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[707][5]~q\);

-- Location: LCCOMB_X69_Y21_N10
\led_flash_cnt[707][6]~36788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[707][6]~36788_combout\ = (\led_flash_cnt[707][6]~q\ & (!\led_flash_cnt[707][5]~36787\)) # (!\led_flash_cnt[707][6]~q\ & ((\led_flash_cnt[707][5]~36787\) # (GND)))
-- \led_flash_cnt[707][6]~36789\ = CARRY((!\led_flash_cnt[707][5]~36787\) # (!\led_flash_cnt[707][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[707][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[707][5]~36787\,
	combout => \led_flash_cnt[707][6]~36788_combout\,
	cout => \led_flash_cnt[707][6]~36789\);

-- Location: FF_X69_Y21_N11
\led_flash_cnt[707][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[707][6]~36788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[707][6]~q\);

-- Location: LCCOMB_X69_Y21_N12
\led_flash_cnt[707][7]~36790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[707][7]~36790_combout\ = \led_flash_cnt[707][6]~36789\ $ (!\led_flash_cnt[707][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[707][7]~q\,
	cin => \led_flash_cnt[707][6]~36789\,
	combout => \led_flash_cnt[707][7]~36790_combout\);

-- Location: FF_X69_Y21_N13
\led_flash_cnt[707][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[707][7]~36790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[707][7]~q\);

-- Location: LCCOMB_X69_Y21_N24
\WideAnd707~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd707~0_combout\ = (\led_flash_cnt[707][4]~q\ & (\led_flash_cnt[707][1]~q\ & (\led_flash_cnt[707][3]~q\ & \led_flash_cnt[707][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[707][4]~q\,
	datab => \led_flash_cnt[707][1]~q\,
	datac => \led_flash_cnt[707][3]~q\,
	datad => \led_flash_cnt[707][2]~q\,
	combout => \WideAnd707~0_combout\);

-- Location: LCCOMB_X69_Y21_N26
\WideAnd707~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd707~1_combout\ = (\led_flash_cnt[707][5]~q\ & \led_flash_cnt[707][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[707][5]~q\,
	datad => \led_flash_cnt[707][6]~q\,
	combout => \WideAnd707~1_combout\);

-- Location: LCCOMB_X69_Y21_N14
WideAnd707 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd707~combout\ = (\led_flash_cnt[707][7]~q\ & (\WideAnd707~0_combout\ & (\WideAnd707~1_combout\ & \led_flash_cnt[707][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[707][7]~q\,
	datab => \WideAnd707~0_combout\,
	datac => \WideAnd707~1_combout\,
	datad => \led_flash_cnt[707][0]~q\,
	combout => \WideAnd707~combout\);

-- Location: FF_X69_Y21_N15
\led_flash_cnt_ands[707]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd707~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(707));

-- Location: LCCOMB_X71_Y21_N10
\led_flash_cnt[705][0]~81345\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[705][0]~81345_combout\ = !\led_flash_cnt[705][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[705][0]~q\,
	combout => \led_flash_cnt[705][0]~81345_combout\);

-- Location: FF_X71_Y21_N11
\led_flash_cnt[705][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[705][0]~81345_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[705][0]~q\);

-- Location: LCCOMB_X71_Y21_N12
\led_flash_cnt[705][1]~36750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[705][1]~36750_combout\ = (\led_flash_cnt[705][1]~q\ & (\led_flash_cnt[705][0]~q\ $ (VCC))) # (!\led_flash_cnt[705][1]~q\ & (\led_flash_cnt[705][0]~q\ & VCC))
-- \led_flash_cnt[705][1]~36751\ = CARRY((\led_flash_cnt[705][1]~q\ & \led_flash_cnt[705][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[705][1]~q\,
	datab => \led_flash_cnt[705][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[705][1]~36750_combout\,
	cout => \led_flash_cnt[705][1]~36751\);

-- Location: FF_X71_Y21_N13
\led_flash_cnt[705][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[705][1]~36750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[705][1]~q\);

-- Location: LCCOMB_X71_Y21_N14
\led_flash_cnt[705][2]~36752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[705][2]~36752_combout\ = (\led_flash_cnt[705][2]~q\ & (!\led_flash_cnt[705][1]~36751\)) # (!\led_flash_cnt[705][2]~q\ & ((\led_flash_cnt[705][1]~36751\) # (GND)))
-- \led_flash_cnt[705][2]~36753\ = CARRY((!\led_flash_cnt[705][1]~36751\) # (!\led_flash_cnt[705][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[705][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[705][1]~36751\,
	combout => \led_flash_cnt[705][2]~36752_combout\,
	cout => \led_flash_cnt[705][2]~36753\);

-- Location: FF_X71_Y21_N15
\led_flash_cnt[705][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[705][2]~36752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[705][2]~q\);

-- Location: LCCOMB_X71_Y21_N16
\led_flash_cnt[705][3]~36754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[705][3]~36754_combout\ = (\led_flash_cnt[705][3]~q\ & (\led_flash_cnt[705][2]~36753\ $ (GND))) # (!\led_flash_cnt[705][3]~q\ & (!\led_flash_cnt[705][2]~36753\ & VCC))
-- \led_flash_cnt[705][3]~36755\ = CARRY((\led_flash_cnt[705][3]~q\ & !\led_flash_cnt[705][2]~36753\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[705][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[705][2]~36753\,
	combout => \led_flash_cnt[705][3]~36754_combout\,
	cout => \led_flash_cnt[705][3]~36755\);

-- Location: FF_X71_Y21_N17
\led_flash_cnt[705][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[705][3]~36754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[705][3]~q\);

-- Location: LCCOMB_X71_Y21_N18
\led_flash_cnt[705][4]~36756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[705][4]~36756_combout\ = (\led_flash_cnt[705][4]~q\ & (!\led_flash_cnt[705][3]~36755\)) # (!\led_flash_cnt[705][4]~q\ & ((\led_flash_cnt[705][3]~36755\) # (GND)))
-- \led_flash_cnt[705][4]~36757\ = CARRY((!\led_flash_cnt[705][3]~36755\) # (!\led_flash_cnt[705][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[705][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[705][3]~36755\,
	combout => \led_flash_cnt[705][4]~36756_combout\,
	cout => \led_flash_cnt[705][4]~36757\);

-- Location: FF_X71_Y21_N19
\led_flash_cnt[705][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[705][4]~36756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[705][4]~q\);

-- Location: LCCOMB_X71_Y21_N20
\led_flash_cnt[705][5]~36758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[705][5]~36758_combout\ = (\led_flash_cnt[705][5]~q\ & (\led_flash_cnt[705][4]~36757\ $ (GND))) # (!\led_flash_cnt[705][5]~q\ & (!\led_flash_cnt[705][4]~36757\ & VCC))
-- \led_flash_cnt[705][5]~36759\ = CARRY((\led_flash_cnt[705][5]~q\ & !\led_flash_cnt[705][4]~36757\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[705][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[705][4]~36757\,
	combout => \led_flash_cnt[705][5]~36758_combout\,
	cout => \led_flash_cnt[705][5]~36759\);

-- Location: FF_X71_Y21_N21
\led_flash_cnt[705][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[705][5]~36758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[705][5]~q\);

-- Location: LCCOMB_X71_Y21_N22
\led_flash_cnt[705][6]~36760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[705][6]~36760_combout\ = (\led_flash_cnt[705][6]~q\ & (!\led_flash_cnt[705][5]~36759\)) # (!\led_flash_cnt[705][6]~q\ & ((\led_flash_cnt[705][5]~36759\) # (GND)))
-- \led_flash_cnt[705][6]~36761\ = CARRY((!\led_flash_cnt[705][5]~36759\) # (!\led_flash_cnt[705][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[705][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[705][5]~36759\,
	combout => \led_flash_cnt[705][6]~36760_combout\,
	cout => \led_flash_cnt[705][6]~36761\);

-- Location: FF_X71_Y21_N23
\led_flash_cnt[705][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[705][6]~36760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[705][6]~q\);

-- Location: LCCOMB_X71_Y21_N24
\led_flash_cnt[705][7]~36762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[705][7]~36762_combout\ = \led_flash_cnt[705][6]~36761\ $ (!\led_flash_cnt[705][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[705][7]~q\,
	cin => \led_flash_cnt[705][6]~36761\,
	combout => \led_flash_cnt[705][7]~36762_combout\);

-- Location: FF_X71_Y21_N25
\led_flash_cnt[705][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[705][7]~36762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[705][7]~q\);

-- Location: LCCOMB_X71_Y21_N26
\WideAnd705~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd705~0_combout\ = (\led_flash_cnt[705][1]~q\ & (\led_flash_cnt[705][4]~q\ & (\led_flash_cnt[705][2]~q\ & \led_flash_cnt[705][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[705][1]~q\,
	datab => \led_flash_cnt[705][4]~q\,
	datac => \led_flash_cnt[705][2]~q\,
	datad => \led_flash_cnt[705][3]~q\,
	combout => \WideAnd705~0_combout\);

-- Location: LCCOMB_X71_Y21_N0
\WideAnd705~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd705~1_combout\ = (\led_flash_cnt[705][6]~q\ & \led_flash_cnt[705][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[705][6]~q\,
	datad => \led_flash_cnt[705][5]~q\,
	combout => \WideAnd705~1_combout\);

-- Location: LCCOMB_X71_Y21_N28
WideAnd705 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd705~combout\ = (\led_flash_cnt[705][0]~q\ & (\led_flash_cnt[705][7]~q\ & (\WideAnd705~0_combout\ & \WideAnd705~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[705][0]~q\,
	datab => \led_flash_cnt[705][7]~q\,
	datac => \WideAnd705~0_combout\,
	datad => \WideAnd705~1_combout\,
	combout => \WideAnd705~combout\);

-- Location: FF_X71_Y21_N29
\led_flash_cnt_ands[705]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd705~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(705));

-- Location: LCCOMB_X70_Y21_N24
\led_flash_cnt[706][0]~81346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[706][0]~81346_combout\ = !\led_flash_cnt[706][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[706][0]~q\,
	combout => \led_flash_cnt[706][0]~81346_combout\);

-- Location: FF_X70_Y21_N25
\led_flash_cnt[706][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[706][0]~81346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[706][0]~q\);

-- Location: LCCOMB_X70_Y21_N6
\led_flash_cnt[706][1]~36764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[706][1]~36764_combout\ = (\led_flash_cnt[706][1]~q\ & (\led_flash_cnt[706][0]~q\ $ (VCC))) # (!\led_flash_cnt[706][1]~q\ & (\led_flash_cnt[706][0]~q\ & VCC))
-- \led_flash_cnt[706][1]~36765\ = CARRY((\led_flash_cnt[706][1]~q\ & \led_flash_cnt[706][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[706][1]~q\,
	datab => \led_flash_cnt[706][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[706][1]~36764_combout\,
	cout => \led_flash_cnt[706][1]~36765\);

-- Location: FF_X70_Y21_N7
\led_flash_cnt[706][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[706][1]~36764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[706][1]~q\);

-- Location: LCCOMB_X70_Y21_N8
\led_flash_cnt[706][2]~36766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[706][2]~36766_combout\ = (\led_flash_cnt[706][2]~q\ & (!\led_flash_cnt[706][1]~36765\)) # (!\led_flash_cnt[706][2]~q\ & ((\led_flash_cnt[706][1]~36765\) # (GND)))
-- \led_flash_cnt[706][2]~36767\ = CARRY((!\led_flash_cnt[706][1]~36765\) # (!\led_flash_cnt[706][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[706][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[706][1]~36765\,
	combout => \led_flash_cnt[706][2]~36766_combout\,
	cout => \led_flash_cnt[706][2]~36767\);

-- Location: FF_X70_Y21_N9
\led_flash_cnt[706][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[706][2]~36766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[706][2]~q\);

-- Location: LCCOMB_X70_Y21_N10
\led_flash_cnt[706][3]~36768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[706][3]~36768_combout\ = (\led_flash_cnt[706][3]~q\ & (\led_flash_cnt[706][2]~36767\ $ (GND))) # (!\led_flash_cnt[706][3]~q\ & (!\led_flash_cnt[706][2]~36767\ & VCC))
-- \led_flash_cnt[706][3]~36769\ = CARRY((\led_flash_cnt[706][3]~q\ & !\led_flash_cnt[706][2]~36767\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[706][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[706][2]~36767\,
	combout => \led_flash_cnt[706][3]~36768_combout\,
	cout => \led_flash_cnt[706][3]~36769\);

-- Location: FF_X70_Y21_N11
\led_flash_cnt[706][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[706][3]~36768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[706][3]~q\);

-- Location: LCCOMB_X70_Y21_N12
\led_flash_cnt[706][4]~36770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[706][4]~36770_combout\ = (\led_flash_cnt[706][4]~q\ & (!\led_flash_cnt[706][3]~36769\)) # (!\led_flash_cnt[706][4]~q\ & ((\led_flash_cnt[706][3]~36769\) # (GND)))
-- \led_flash_cnt[706][4]~36771\ = CARRY((!\led_flash_cnt[706][3]~36769\) # (!\led_flash_cnt[706][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[706][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[706][3]~36769\,
	combout => \led_flash_cnt[706][4]~36770_combout\,
	cout => \led_flash_cnt[706][4]~36771\);

-- Location: FF_X70_Y21_N13
\led_flash_cnt[706][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[706][4]~36770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[706][4]~q\);

-- Location: LCCOMB_X70_Y21_N30
\WideAnd706~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd706~0_combout\ = (\led_flash_cnt[706][3]~q\ & (\led_flash_cnt[706][4]~q\ & (\led_flash_cnt[706][2]~q\ & \led_flash_cnt[706][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[706][3]~q\,
	datab => \led_flash_cnt[706][4]~q\,
	datac => \led_flash_cnt[706][2]~q\,
	datad => \led_flash_cnt[706][1]~q\,
	combout => \WideAnd706~0_combout\);

-- Location: LCCOMB_X70_Y21_N14
\led_flash_cnt[706][5]~36772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[706][5]~36772_combout\ = (\led_flash_cnt[706][5]~q\ & (\led_flash_cnt[706][4]~36771\ $ (GND))) # (!\led_flash_cnt[706][5]~q\ & (!\led_flash_cnt[706][4]~36771\ & VCC))
-- \led_flash_cnt[706][5]~36773\ = CARRY((\led_flash_cnt[706][5]~q\ & !\led_flash_cnt[706][4]~36771\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[706][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[706][4]~36771\,
	combout => \led_flash_cnt[706][5]~36772_combout\,
	cout => \led_flash_cnt[706][5]~36773\);

-- Location: FF_X70_Y21_N15
\led_flash_cnt[706][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[706][5]~36772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[706][5]~q\);

-- Location: LCCOMB_X70_Y21_N16
\led_flash_cnt[706][6]~36774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[706][6]~36774_combout\ = (\led_flash_cnt[706][6]~q\ & (!\led_flash_cnt[706][5]~36773\)) # (!\led_flash_cnt[706][6]~q\ & ((\led_flash_cnt[706][5]~36773\) # (GND)))
-- \led_flash_cnt[706][6]~36775\ = CARRY((!\led_flash_cnt[706][5]~36773\) # (!\led_flash_cnt[706][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[706][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[706][5]~36773\,
	combout => \led_flash_cnt[706][6]~36774_combout\,
	cout => \led_flash_cnt[706][6]~36775\);

-- Location: FF_X70_Y21_N17
\led_flash_cnt[706][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[706][6]~36774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[706][6]~q\);

-- Location: LCCOMB_X70_Y21_N26
\WideAnd706~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd706~1_combout\ = (\led_flash_cnt[706][5]~q\ & \led_flash_cnt[706][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[706][5]~q\,
	datad => \led_flash_cnt[706][6]~q\,
	combout => \WideAnd706~1_combout\);

-- Location: LCCOMB_X70_Y21_N18
\led_flash_cnt[706][7]~36776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[706][7]~36776_combout\ = \led_flash_cnt[706][6]~36775\ $ (!\led_flash_cnt[706][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[706][7]~q\,
	cin => \led_flash_cnt[706][6]~36775\,
	combout => \led_flash_cnt[706][7]~36776_combout\);

-- Location: FF_X70_Y21_N19
\led_flash_cnt[706][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[706][7]~36776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[706][7]~q\);

-- Location: LCCOMB_X70_Y21_N22
WideAnd706 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd706~combout\ = (\WideAnd706~0_combout\ & (\led_flash_cnt[706][0]~q\ & (\WideAnd706~1_combout\ & \led_flash_cnt[706][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd706~0_combout\,
	datab => \led_flash_cnt[706][0]~q\,
	datac => \WideAnd706~1_combout\,
	datad => \led_flash_cnt[706][7]~q\,
	combout => \WideAnd706~combout\);

-- Location: FF_X70_Y21_N23
\led_flash_cnt_ands[706]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd706~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(706));

-- Location: LCCOMB_X72_Y21_N12
\led_flash_cnt[704][0]~81344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[704][0]~81344_combout\ = !\led_flash_cnt[704][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[704][0]~q\,
	combout => \led_flash_cnt[704][0]~81344_combout\);

-- Location: FF_X72_Y21_N13
\led_flash_cnt[704][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[704][0]~81344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[704][0]~q\);

-- Location: LCCOMB_X72_Y21_N14
\led_flash_cnt[704][1]~36736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[704][1]~36736_combout\ = (\led_flash_cnt[704][0]~q\ & (\led_flash_cnt[704][1]~q\ $ (VCC))) # (!\led_flash_cnt[704][0]~q\ & (\led_flash_cnt[704][1]~q\ & VCC))
-- \led_flash_cnt[704][1]~36737\ = CARRY((\led_flash_cnt[704][0]~q\ & \led_flash_cnt[704][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[704][0]~q\,
	datab => \led_flash_cnt[704][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[704][1]~36736_combout\,
	cout => \led_flash_cnt[704][1]~36737\);

-- Location: FF_X72_Y21_N15
\led_flash_cnt[704][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[704][1]~36736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[704][1]~q\);

-- Location: LCCOMB_X72_Y21_N16
\led_flash_cnt[704][2]~36738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[704][2]~36738_combout\ = (\led_flash_cnt[704][2]~q\ & (!\led_flash_cnt[704][1]~36737\)) # (!\led_flash_cnt[704][2]~q\ & ((\led_flash_cnt[704][1]~36737\) # (GND)))
-- \led_flash_cnt[704][2]~36739\ = CARRY((!\led_flash_cnt[704][1]~36737\) # (!\led_flash_cnt[704][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[704][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[704][1]~36737\,
	combout => \led_flash_cnt[704][2]~36738_combout\,
	cout => \led_flash_cnt[704][2]~36739\);

-- Location: FF_X72_Y21_N17
\led_flash_cnt[704][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[704][2]~36738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[704][2]~q\);

-- Location: LCCOMB_X72_Y21_N18
\led_flash_cnt[704][3]~36740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[704][3]~36740_combout\ = (\led_flash_cnt[704][3]~q\ & (\led_flash_cnt[704][2]~36739\ $ (GND))) # (!\led_flash_cnt[704][3]~q\ & (!\led_flash_cnt[704][2]~36739\ & VCC))
-- \led_flash_cnt[704][3]~36741\ = CARRY((\led_flash_cnt[704][3]~q\ & !\led_flash_cnt[704][2]~36739\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[704][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[704][2]~36739\,
	combout => \led_flash_cnt[704][3]~36740_combout\,
	cout => \led_flash_cnt[704][3]~36741\);

-- Location: FF_X72_Y21_N19
\led_flash_cnt[704][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[704][3]~36740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[704][3]~q\);

-- Location: LCCOMB_X72_Y21_N20
\led_flash_cnt[704][4]~36742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[704][4]~36742_combout\ = (\led_flash_cnt[704][4]~q\ & (!\led_flash_cnt[704][3]~36741\)) # (!\led_flash_cnt[704][4]~q\ & ((\led_flash_cnt[704][3]~36741\) # (GND)))
-- \led_flash_cnt[704][4]~36743\ = CARRY((!\led_flash_cnt[704][3]~36741\) # (!\led_flash_cnt[704][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[704][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[704][3]~36741\,
	combout => \led_flash_cnt[704][4]~36742_combout\,
	cout => \led_flash_cnt[704][4]~36743\);

-- Location: FF_X72_Y21_N21
\led_flash_cnt[704][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[704][4]~36742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[704][4]~q\);

-- Location: LCCOMB_X72_Y21_N22
\led_flash_cnt[704][5]~36744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[704][5]~36744_combout\ = (\led_flash_cnt[704][5]~q\ & (\led_flash_cnt[704][4]~36743\ $ (GND))) # (!\led_flash_cnt[704][5]~q\ & (!\led_flash_cnt[704][4]~36743\ & VCC))
-- \led_flash_cnt[704][5]~36745\ = CARRY((\led_flash_cnt[704][5]~q\ & !\led_flash_cnt[704][4]~36743\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[704][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[704][4]~36743\,
	combout => \led_flash_cnt[704][5]~36744_combout\,
	cout => \led_flash_cnt[704][5]~36745\);

-- Location: FF_X72_Y21_N23
\led_flash_cnt[704][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[704][5]~36744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[704][5]~q\);

-- Location: LCCOMB_X72_Y21_N24
\led_flash_cnt[704][6]~36746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[704][6]~36746_combout\ = (\led_flash_cnt[704][6]~q\ & (!\led_flash_cnt[704][5]~36745\)) # (!\led_flash_cnt[704][6]~q\ & ((\led_flash_cnt[704][5]~36745\) # (GND)))
-- \led_flash_cnt[704][6]~36747\ = CARRY((!\led_flash_cnt[704][5]~36745\) # (!\led_flash_cnt[704][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[704][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[704][5]~36745\,
	combout => \led_flash_cnt[704][6]~36746_combout\,
	cout => \led_flash_cnt[704][6]~36747\);

-- Location: FF_X72_Y21_N25
\led_flash_cnt[704][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[704][6]~36746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[704][6]~q\);

-- Location: LCCOMB_X72_Y21_N10
\WideAnd704~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd704~1_combout\ = (\led_flash_cnt[704][5]~q\ & \led_flash_cnt[704][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[704][5]~q\,
	datad => \led_flash_cnt[704][6]~q\,
	combout => \WideAnd704~1_combout\);

-- Location: LCCOMB_X72_Y21_N28
\WideAnd704~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd704~0_combout\ = (\led_flash_cnt[704][4]~q\ & (\led_flash_cnt[704][3]~q\ & (\led_flash_cnt[704][1]~q\ & \led_flash_cnt[704][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[704][4]~q\,
	datab => \led_flash_cnt[704][3]~q\,
	datac => \led_flash_cnt[704][1]~q\,
	datad => \led_flash_cnt[704][2]~q\,
	combout => \WideAnd704~0_combout\);

-- Location: LCCOMB_X72_Y21_N26
\led_flash_cnt[704][7]~36748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[704][7]~36748_combout\ = \led_flash_cnt[704][7]~q\ $ (!\led_flash_cnt[704][6]~36747\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[704][7]~q\,
	cin => \led_flash_cnt[704][6]~36747\,
	combout => \led_flash_cnt[704][7]~36748_combout\);

-- Location: FF_X72_Y21_N27
\led_flash_cnt[704][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[704][7]~36748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[704][7]~q\);

-- Location: LCCOMB_X72_Y21_N2
WideAnd704 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd704~combout\ = (\WideAnd704~1_combout\ & (\WideAnd704~0_combout\ & (\led_flash_cnt[704][7]~q\ & \led_flash_cnt[704][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd704~1_combout\,
	datab => \WideAnd704~0_combout\,
	datac => \led_flash_cnt[704][7]~q\,
	datad => \led_flash_cnt[704][0]~q\,
	combout => \WideAnd704~combout\);

-- Location: FF_X72_Y21_N3
\led_flash_cnt_ands[704]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd704~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(704));

-- Location: LCCOMB_X70_Y21_N4
\WideAnd3928~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3928~0_combout\ = (led_flash_cnt_ands(707) & (led_flash_cnt_ands(705) & (led_flash_cnt_ands(706) & led_flash_cnt_ands(704))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(707),
	datab => led_flash_cnt_ands(705),
	datac => led_flash_cnt_ands(706),
	datad => led_flash_cnt_ands(704),
	combout => \WideAnd3928~0_combout\);

-- Location: LCCOMB_X62_Y25_N18
\led_flash_cnt[710][0]~81350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[710][0]~81350_combout\ = !\led_flash_cnt[710][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[710][0]~q\,
	combout => \led_flash_cnt[710][0]~81350_combout\);

-- Location: FF_X62_Y25_N19
\led_flash_cnt[710][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[710][0]~81350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[710][0]~q\);

-- Location: LCCOMB_X62_Y25_N2
\led_flash_cnt[710][1]~36820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[710][1]~36820_combout\ = (\led_flash_cnt[710][1]~q\ & (\led_flash_cnt[710][0]~q\ $ (VCC))) # (!\led_flash_cnt[710][1]~q\ & (\led_flash_cnt[710][0]~q\ & VCC))
-- \led_flash_cnt[710][1]~36821\ = CARRY((\led_flash_cnt[710][1]~q\ & \led_flash_cnt[710][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[710][1]~q\,
	datab => \led_flash_cnt[710][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[710][1]~36820_combout\,
	cout => \led_flash_cnt[710][1]~36821\);

-- Location: FF_X62_Y25_N3
\led_flash_cnt[710][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[710][1]~36820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[710][1]~q\);

-- Location: LCCOMB_X62_Y25_N4
\led_flash_cnt[710][2]~36822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[710][2]~36822_combout\ = (\led_flash_cnt[710][2]~q\ & (!\led_flash_cnt[710][1]~36821\)) # (!\led_flash_cnt[710][2]~q\ & ((\led_flash_cnt[710][1]~36821\) # (GND)))
-- \led_flash_cnt[710][2]~36823\ = CARRY((!\led_flash_cnt[710][1]~36821\) # (!\led_flash_cnt[710][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[710][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[710][1]~36821\,
	combout => \led_flash_cnt[710][2]~36822_combout\,
	cout => \led_flash_cnt[710][2]~36823\);

-- Location: FF_X62_Y25_N5
\led_flash_cnt[710][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[710][2]~36822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[710][2]~q\);

-- Location: LCCOMB_X62_Y25_N6
\led_flash_cnt[710][3]~36824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[710][3]~36824_combout\ = (\led_flash_cnt[710][3]~q\ & (\led_flash_cnt[710][2]~36823\ $ (GND))) # (!\led_flash_cnt[710][3]~q\ & (!\led_flash_cnt[710][2]~36823\ & VCC))
-- \led_flash_cnt[710][3]~36825\ = CARRY((\led_flash_cnt[710][3]~q\ & !\led_flash_cnt[710][2]~36823\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[710][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[710][2]~36823\,
	combout => \led_flash_cnt[710][3]~36824_combout\,
	cout => \led_flash_cnt[710][3]~36825\);

-- Location: FF_X62_Y25_N7
\led_flash_cnt[710][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[710][3]~36824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[710][3]~q\);

-- Location: LCCOMB_X62_Y25_N8
\led_flash_cnt[710][4]~36826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[710][4]~36826_combout\ = (\led_flash_cnt[710][4]~q\ & (!\led_flash_cnt[710][3]~36825\)) # (!\led_flash_cnt[710][4]~q\ & ((\led_flash_cnt[710][3]~36825\) # (GND)))
-- \led_flash_cnt[710][4]~36827\ = CARRY((!\led_flash_cnt[710][3]~36825\) # (!\led_flash_cnt[710][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[710][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[710][3]~36825\,
	combout => \led_flash_cnt[710][4]~36826_combout\,
	cout => \led_flash_cnt[710][4]~36827\);

-- Location: FF_X62_Y25_N9
\led_flash_cnt[710][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[710][4]~36826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[710][4]~q\);

-- Location: LCCOMB_X62_Y25_N10
\led_flash_cnt[710][5]~36828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[710][5]~36828_combout\ = (\led_flash_cnt[710][5]~q\ & (\led_flash_cnt[710][4]~36827\ $ (GND))) # (!\led_flash_cnt[710][5]~q\ & (!\led_flash_cnt[710][4]~36827\ & VCC))
-- \led_flash_cnt[710][5]~36829\ = CARRY((\led_flash_cnt[710][5]~q\ & !\led_flash_cnt[710][4]~36827\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[710][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[710][4]~36827\,
	combout => \led_flash_cnt[710][5]~36828_combout\,
	cout => \led_flash_cnt[710][5]~36829\);

-- Location: FF_X62_Y25_N11
\led_flash_cnt[710][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[710][5]~36828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[710][5]~q\);

-- Location: LCCOMB_X62_Y25_N12
\led_flash_cnt[710][6]~36830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[710][6]~36830_combout\ = (\led_flash_cnt[710][6]~q\ & (!\led_flash_cnt[710][5]~36829\)) # (!\led_flash_cnt[710][6]~q\ & ((\led_flash_cnt[710][5]~36829\) # (GND)))
-- \led_flash_cnt[710][6]~36831\ = CARRY((!\led_flash_cnt[710][5]~36829\) # (!\led_flash_cnt[710][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[710][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[710][5]~36829\,
	combout => \led_flash_cnt[710][6]~36830_combout\,
	cout => \led_flash_cnt[710][6]~36831\);

-- Location: FF_X62_Y25_N13
\led_flash_cnt[710][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[710][6]~36830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[710][6]~q\);

-- Location: LCCOMB_X62_Y25_N22
\WideAnd710~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd710~1_combout\ = (\led_flash_cnt[710][6]~q\ & \led_flash_cnt[710][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[710][6]~q\,
	datad => \led_flash_cnt[710][5]~q\,
	combout => \WideAnd710~1_combout\);

-- Location: LCCOMB_X62_Y25_N14
\led_flash_cnt[710][7]~36832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[710][7]~36832_combout\ = \led_flash_cnt[710][7]~q\ $ (!\led_flash_cnt[710][6]~36831\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[710][7]~q\,
	cin => \led_flash_cnt[710][6]~36831\,
	combout => \led_flash_cnt[710][7]~36832_combout\);

-- Location: FF_X62_Y25_N15
\led_flash_cnt[710][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[710][7]~36832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[710][7]~q\);

-- Location: LCCOMB_X62_Y25_N26
\WideAnd710~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd710~0_combout\ = (\led_flash_cnt[710][1]~q\ & (\led_flash_cnt[710][4]~q\ & (\led_flash_cnt[710][2]~q\ & \led_flash_cnt[710][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[710][1]~q\,
	datab => \led_flash_cnt[710][4]~q\,
	datac => \led_flash_cnt[710][2]~q\,
	datad => \led_flash_cnt[710][3]~q\,
	combout => \WideAnd710~0_combout\);

-- Location: LCCOMB_X62_Y25_N24
WideAnd710 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd710~combout\ = (\WideAnd710~1_combout\ & (\led_flash_cnt[710][7]~q\ & (\WideAnd710~0_combout\ & \led_flash_cnt[710][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd710~1_combout\,
	datab => \led_flash_cnt[710][7]~q\,
	datac => \WideAnd710~0_combout\,
	datad => \led_flash_cnt[710][0]~q\,
	combout => \WideAnd710~combout\);

-- Location: FF_X62_Y25_N25
\led_flash_cnt_ands[710]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd710~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(710));

-- Location: LCCOMB_X62_Y25_N16
WideAnd3928 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3928~combout\ = (\WideAnd3928~1_combout\ & (led_flash_cnt_ands(711) & (\WideAnd3928~0_combout\ & led_flash_cnt_ands(710))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3928~1_combout\,
	datab => led_flash_cnt_ands(711),
	datac => \WideAnd3928~0_combout\,
	datad => led_flash_cnt_ands(710),
	combout => \WideAnd3928~combout\);

-- Location: FF_X62_Y25_N17
\led_flash_cnt_ands_1[88]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3928~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(88));

-- Location: LCCOMB_X61_Y25_N18
\WideAnd4331~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4331~0_combout\ = (led_flash_cnt_ands_1(90) & (led_flash_cnt_ands_1(91) & (led_flash_cnt_ands_1(89) & led_flash_cnt_ands_1(88))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(90),
	datab => led_flash_cnt_ands_1(91),
	datac => led_flash_cnt_ands_1(89),
	datad => led_flash_cnt_ands_1(88),
	combout => \WideAnd4331~0_combout\);

-- Location: LCCOMB_X58_Y28_N26
\led_flash_cnt[753][0]~81393\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[753][0]~81393_combout\ = !\led_flash_cnt[753][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[753][0]~q\,
	combout => \led_flash_cnt[753][0]~81393_combout\);

-- Location: FF_X58_Y28_N27
\led_flash_cnt[753][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[753][0]~81393_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[753][0]~q\);

-- Location: LCCOMB_X59_Y28_N0
\led_flash_cnt[753][1]~37422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[753][1]~37422_combout\ = (\led_flash_cnt[753][0]~q\ & (\led_flash_cnt[753][1]~q\ $ (VCC))) # (!\led_flash_cnt[753][0]~q\ & (\led_flash_cnt[753][1]~q\ & VCC))
-- \led_flash_cnt[753][1]~37423\ = CARRY((\led_flash_cnt[753][0]~q\ & \led_flash_cnt[753][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[753][0]~q\,
	datab => \led_flash_cnt[753][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[753][1]~37422_combout\,
	cout => \led_flash_cnt[753][1]~37423\);

-- Location: FF_X59_Y28_N1
\led_flash_cnt[753][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[753][1]~37422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[753][1]~q\);

-- Location: LCCOMB_X59_Y28_N2
\led_flash_cnt[753][2]~37424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[753][2]~37424_combout\ = (\led_flash_cnt[753][2]~q\ & (!\led_flash_cnt[753][1]~37423\)) # (!\led_flash_cnt[753][2]~q\ & ((\led_flash_cnt[753][1]~37423\) # (GND)))
-- \led_flash_cnt[753][2]~37425\ = CARRY((!\led_flash_cnt[753][1]~37423\) # (!\led_flash_cnt[753][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[753][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[753][1]~37423\,
	combout => \led_flash_cnt[753][2]~37424_combout\,
	cout => \led_flash_cnt[753][2]~37425\);

-- Location: FF_X59_Y28_N3
\led_flash_cnt[753][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[753][2]~37424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[753][2]~q\);

-- Location: LCCOMB_X59_Y28_N4
\led_flash_cnt[753][3]~37426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[753][3]~37426_combout\ = (\led_flash_cnt[753][3]~q\ & (\led_flash_cnt[753][2]~37425\ $ (GND))) # (!\led_flash_cnt[753][3]~q\ & (!\led_flash_cnt[753][2]~37425\ & VCC))
-- \led_flash_cnt[753][3]~37427\ = CARRY((\led_flash_cnt[753][3]~q\ & !\led_flash_cnt[753][2]~37425\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[753][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[753][2]~37425\,
	combout => \led_flash_cnt[753][3]~37426_combout\,
	cout => \led_flash_cnt[753][3]~37427\);

-- Location: FF_X59_Y28_N5
\led_flash_cnt[753][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[753][3]~37426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[753][3]~q\);

-- Location: LCCOMB_X59_Y28_N6
\led_flash_cnt[753][4]~37428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[753][4]~37428_combout\ = (\led_flash_cnt[753][4]~q\ & (!\led_flash_cnt[753][3]~37427\)) # (!\led_flash_cnt[753][4]~q\ & ((\led_flash_cnt[753][3]~37427\) # (GND)))
-- \led_flash_cnt[753][4]~37429\ = CARRY((!\led_flash_cnt[753][3]~37427\) # (!\led_flash_cnt[753][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[753][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[753][3]~37427\,
	combout => \led_flash_cnt[753][4]~37428_combout\,
	cout => \led_flash_cnt[753][4]~37429\);

-- Location: FF_X59_Y28_N7
\led_flash_cnt[753][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[753][4]~37428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[753][4]~q\);

-- Location: LCCOMB_X59_Y28_N30
\WideAnd753~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd753~0_combout\ = (\led_flash_cnt[753][4]~q\ & (\led_flash_cnt[753][1]~q\ & (\led_flash_cnt[753][3]~q\ & \led_flash_cnt[753][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[753][4]~q\,
	datab => \led_flash_cnt[753][1]~q\,
	datac => \led_flash_cnt[753][3]~q\,
	datad => \led_flash_cnt[753][2]~q\,
	combout => \WideAnd753~0_combout\);

-- Location: LCCOMB_X59_Y28_N8
\led_flash_cnt[753][5]~37430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[753][5]~37430_combout\ = (\led_flash_cnt[753][5]~q\ & (\led_flash_cnt[753][4]~37429\ $ (GND))) # (!\led_flash_cnt[753][5]~q\ & (!\led_flash_cnt[753][4]~37429\ & VCC))
-- \led_flash_cnt[753][5]~37431\ = CARRY((\led_flash_cnt[753][5]~q\ & !\led_flash_cnt[753][4]~37429\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[753][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[753][4]~37429\,
	combout => \led_flash_cnt[753][5]~37430_combout\,
	cout => \led_flash_cnt[753][5]~37431\);

-- Location: FF_X59_Y28_N9
\led_flash_cnt[753][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[753][5]~37430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[753][5]~q\);

-- Location: LCCOMB_X59_Y28_N10
\led_flash_cnt[753][6]~37432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[753][6]~37432_combout\ = (\led_flash_cnt[753][6]~q\ & (!\led_flash_cnt[753][5]~37431\)) # (!\led_flash_cnt[753][6]~q\ & ((\led_flash_cnt[753][5]~37431\) # (GND)))
-- \led_flash_cnt[753][6]~37433\ = CARRY((!\led_flash_cnt[753][5]~37431\) # (!\led_flash_cnt[753][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[753][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[753][5]~37431\,
	combout => \led_flash_cnt[753][6]~37432_combout\,
	cout => \led_flash_cnt[753][6]~37433\);

-- Location: FF_X59_Y28_N11
\led_flash_cnt[753][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[753][6]~37432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[753][6]~q\);

-- Location: LCCOMB_X59_Y28_N12
\led_flash_cnt[753][7]~37434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[753][7]~37434_combout\ = \led_flash_cnt[753][6]~37433\ $ (!\led_flash_cnt[753][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[753][7]~q\,
	cin => \led_flash_cnt[753][6]~37433\,
	combout => \led_flash_cnt[753][7]~37434_combout\);

-- Location: FF_X59_Y28_N13
\led_flash_cnt[753][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[753][7]~37434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[753][7]~q\);

-- Location: LCCOMB_X58_Y28_N28
\WideAnd753~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd753~1_combout\ = (\led_flash_cnt[753][6]~q\ & \led_flash_cnt[753][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[753][6]~q\,
	datac => \led_flash_cnt[753][5]~q\,
	combout => \WideAnd753~1_combout\);

-- Location: LCCOMB_X58_Y28_N20
WideAnd753 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd753~combout\ = (\WideAnd753~0_combout\ & (\led_flash_cnt[753][0]~q\ & (\led_flash_cnt[753][7]~q\ & \WideAnd753~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd753~0_combout\,
	datab => \led_flash_cnt[753][0]~q\,
	datac => \led_flash_cnt[753][7]~q\,
	datad => \WideAnd753~1_combout\,
	combout => \WideAnd753~combout\);

-- Location: FF_X58_Y28_N21
\led_flash_cnt_ands[753]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd753~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(753));

-- Location: LCCOMB_X58_Y28_N30
\led_flash_cnt[752][0]~81392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[752][0]~81392_combout\ = !\led_flash_cnt[752][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[752][0]~q\,
	combout => \led_flash_cnt[752][0]~81392_combout\);

-- Location: FF_X58_Y28_N31
\led_flash_cnt[752][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[752][0]~81392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[752][0]~q\);

-- Location: LCCOMB_X58_Y28_N0
\led_flash_cnt[752][1]~37408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[752][1]~37408_combout\ = (\led_flash_cnt[752][0]~q\ & (\led_flash_cnt[752][1]~q\ $ (VCC))) # (!\led_flash_cnt[752][0]~q\ & (\led_flash_cnt[752][1]~q\ & VCC))
-- \led_flash_cnt[752][1]~37409\ = CARRY((\led_flash_cnt[752][0]~q\ & \led_flash_cnt[752][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[752][0]~q\,
	datab => \led_flash_cnt[752][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[752][1]~37408_combout\,
	cout => \led_flash_cnt[752][1]~37409\);

-- Location: FF_X58_Y28_N1
\led_flash_cnt[752][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[752][1]~37408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[752][1]~q\);

-- Location: LCCOMB_X58_Y28_N2
\led_flash_cnt[752][2]~37410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[752][2]~37410_combout\ = (\led_flash_cnt[752][2]~q\ & (!\led_flash_cnt[752][1]~37409\)) # (!\led_flash_cnt[752][2]~q\ & ((\led_flash_cnt[752][1]~37409\) # (GND)))
-- \led_flash_cnt[752][2]~37411\ = CARRY((!\led_flash_cnt[752][1]~37409\) # (!\led_flash_cnt[752][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[752][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[752][1]~37409\,
	combout => \led_flash_cnt[752][2]~37410_combout\,
	cout => \led_flash_cnt[752][2]~37411\);

-- Location: FF_X58_Y28_N3
\led_flash_cnt[752][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[752][2]~37410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[752][2]~q\);

-- Location: LCCOMB_X58_Y28_N4
\led_flash_cnt[752][3]~37412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[752][3]~37412_combout\ = (\led_flash_cnt[752][3]~q\ & (\led_flash_cnt[752][2]~37411\ $ (GND))) # (!\led_flash_cnt[752][3]~q\ & (!\led_flash_cnt[752][2]~37411\ & VCC))
-- \led_flash_cnt[752][3]~37413\ = CARRY((\led_flash_cnt[752][3]~q\ & !\led_flash_cnt[752][2]~37411\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[752][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[752][2]~37411\,
	combout => \led_flash_cnt[752][3]~37412_combout\,
	cout => \led_flash_cnt[752][3]~37413\);

-- Location: FF_X58_Y28_N5
\led_flash_cnt[752][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[752][3]~37412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[752][3]~q\);

-- Location: LCCOMB_X58_Y28_N6
\led_flash_cnt[752][4]~37414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[752][4]~37414_combout\ = (\led_flash_cnt[752][4]~q\ & (!\led_flash_cnt[752][3]~37413\)) # (!\led_flash_cnt[752][4]~q\ & ((\led_flash_cnt[752][3]~37413\) # (GND)))
-- \led_flash_cnt[752][4]~37415\ = CARRY((!\led_flash_cnt[752][3]~37413\) # (!\led_flash_cnt[752][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[752][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[752][3]~37413\,
	combout => \led_flash_cnt[752][4]~37414_combout\,
	cout => \led_flash_cnt[752][4]~37415\);

-- Location: FF_X58_Y28_N7
\led_flash_cnt[752][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[752][4]~37414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[752][4]~q\);

-- Location: LCCOMB_X58_Y28_N8
\led_flash_cnt[752][5]~37416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[752][5]~37416_combout\ = (\led_flash_cnt[752][5]~q\ & (\led_flash_cnt[752][4]~37415\ $ (GND))) # (!\led_flash_cnt[752][5]~q\ & (!\led_flash_cnt[752][4]~37415\ & VCC))
-- \led_flash_cnt[752][5]~37417\ = CARRY((\led_flash_cnt[752][5]~q\ & !\led_flash_cnt[752][4]~37415\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[752][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[752][4]~37415\,
	combout => \led_flash_cnt[752][5]~37416_combout\,
	cout => \led_flash_cnt[752][5]~37417\);

-- Location: FF_X58_Y28_N9
\led_flash_cnt[752][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[752][5]~37416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[752][5]~q\);

-- Location: LCCOMB_X58_Y28_N10
\led_flash_cnt[752][6]~37418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[752][6]~37418_combout\ = (\led_flash_cnt[752][6]~q\ & (!\led_flash_cnt[752][5]~37417\)) # (!\led_flash_cnt[752][6]~q\ & ((\led_flash_cnt[752][5]~37417\) # (GND)))
-- \led_flash_cnt[752][6]~37419\ = CARRY((!\led_flash_cnt[752][5]~37417\) # (!\led_flash_cnt[752][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[752][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[752][5]~37417\,
	combout => \led_flash_cnt[752][6]~37418_combout\,
	cout => \led_flash_cnt[752][6]~37419\);

-- Location: FF_X58_Y28_N11
\led_flash_cnt[752][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[752][6]~37418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[752][6]~q\);

-- Location: LCCOMB_X58_Y28_N18
\WideAnd752~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd752~1_combout\ = (\led_flash_cnt[752][5]~q\ & \led_flash_cnt[752][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[752][5]~q\,
	datad => \led_flash_cnt[752][6]~q\,
	combout => \WideAnd752~1_combout\);

-- Location: LCCOMB_X58_Y28_N22
\WideAnd752~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd752~0_combout\ = (\led_flash_cnt[752][4]~q\ & (\led_flash_cnt[752][3]~q\ & (\led_flash_cnt[752][1]~q\ & \led_flash_cnt[752][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[752][4]~q\,
	datab => \led_flash_cnt[752][3]~q\,
	datac => \led_flash_cnt[752][1]~q\,
	datad => \led_flash_cnt[752][2]~q\,
	combout => \WideAnd752~0_combout\);

-- Location: LCCOMB_X58_Y28_N12
\led_flash_cnt[752][7]~37420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[752][7]~37420_combout\ = \led_flash_cnt[752][6]~37419\ $ (!\led_flash_cnt[752][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[752][7]~q\,
	cin => \led_flash_cnt[752][6]~37419\,
	combout => \led_flash_cnt[752][7]~37420_combout\);

-- Location: FF_X58_Y28_N13
\led_flash_cnt[752][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[752][7]~37420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[752][7]~q\);

-- Location: LCCOMB_X58_Y28_N24
WideAnd752 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd752~combout\ = (\led_flash_cnt[752][0]~q\ & (\WideAnd752~1_combout\ & (\WideAnd752~0_combout\ & \led_flash_cnt[752][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[752][0]~q\,
	datab => \WideAnd752~1_combout\,
	datac => \WideAnd752~0_combout\,
	datad => \led_flash_cnt[752][7]~q\,
	combout => \WideAnd752~combout\);

-- Location: FF_X58_Y28_N25
\led_flash_cnt_ands[752]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd752~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(752));

-- Location: LCCOMB_X41_Y36_N0
\led_flash_cnt[758][0]~81398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[758][0]~81398_combout\ = !\led_flash_cnt[758][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[758][0]~q\,
	combout => \led_flash_cnt[758][0]~81398_combout\);

-- Location: FF_X41_Y36_N1
\led_flash_cnt[758][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[758][0]~81398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[758][0]~q\);

-- Location: LCCOMB_X35_Y35_N4
\led_flash_cnt[758][1]~37492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[758][1]~37492_combout\ = (\led_flash_cnt[758][0]~q\ & (\led_flash_cnt[758][1]~q\ $ (VCC))) # (!\led_flash_cnt[758][0]~q\ & (\led_flash_cnt[758][1]~q\ & VCC))
-- \led_flash_cnt[758][1]~37493\ = CARRY((\led_flash_cnt[758][0]~q\ & \led_flash_cnt[758][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[758][0]~q\,
	datab => \led_flash_cnt[758][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[758][1]~37492_combout\,
	cout => \led_flash_cnt[758][1]~37493\);

-- Location: FF_X35_Y35_N5
\led_flash_cnt[758][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[758][1]~37492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[758][1]~q\);

-- Location: LCCOMB_X35_Y35_N6
\led_flash_cnt[758][2]~37494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[758][2]~37494_combout\ = (\led_flash_cnt[758][2]~q\ & (!\led_flash_cnt[758][1]~37493\)) # (!\led_flash_cnt[758][2]~q\ & ((\led_flash_cnt[758][1]~37493\) # (GND)))
-- \led_flash_cnt[758][2]~37495\ = CARRY((!\led_flash_cnt[758][1]~37493\) # (!\led_flash_cnt[758][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[758][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[758][1]~37493\,
	combout => \led_flash_cnt[758][2]~37494_combout\,
	cout => \led_flash_cnt[758][2]~37495\);

-- Location: FF_X35_Y35_N7
\led_flash_cnt[758][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[758][2]~37494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[758][2]~q\);

-- Location: LCCOMB_X35_Y35_N8
\led_flash_cnt[758][3]~37496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[758][3]~37496_combout\ = (\led_flash_cnt[758][3]~q\ & (\led_flash_cnt[758][2]~37495\ $ (GND))) # (!\led_flash_cnt[758][3]~q\ & (!\led_flash_cnt[758][2]~37495\ & VCC))
-- \led_flash_cnt[758][3]~37497\ = CARRY((\led_flash_cnt[758][3]~q\ & !\led_flash_cnt[758][2]~37495\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[758][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[758][2]~37495\,
	combout => \led_flash_cnt[758][3]~37496_combout\,
	cout => \led_flash_cnt[758][3]~37497\);

-- Location: FF_X35_Y35_N9
\led_flash_cnt[758][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[758][3]~37496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[758][3]~q\);

-- Location: LCCOMB_X35_Y35_N10
\led_flash_cnt[758][4]~37498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[758][4]~37498_combout\ = (\led_flash_cnt[758][4]~q\ & (!\led_flash_cnt[758][3]~37497\)) # (!\led_flash_cnt[758][4]~q\ & ((\led_flash_cnt[758][3]~37497\) # (GND)))
-- \led_flash_cnt[758][4]~37499\ = CARRY((!\led_flash_cnt[758][3]~37497\) # (!\led_flash_cnt[758][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[758][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[758][3]~37497\,
	combout => \led_flash_cnt[758][4]~37498_combout\,
	cout => \led_flash_cnt[758][4]~37499\);

-- Location: FF_X35_Y35_N11
\led_flash_cnt[758][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[758][4]~37498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[758][4]~q\);

-- Location: LCCOMB_X34_Y35_N28
\WideAnd758~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd758~0_combout\ = (\led_flash_cnt[758][1]~q\ & (\led_flash_cnt[758][4]~q\ & (\led_flash_cnt[758][3]~q\ & \led_flash_cnt[758][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[758][1]~q\,
	datab => \led_flash_cnt[758][4]~q\,
	datac => \led_flash_cnt[758][3]~q\,
	datad => \led_flash_cnt[758][2]~q\,
	combout => \WideAnd758~0_combout\);

-- Location: LCCOMB_X35_Y35_N12
\led_flash_cnt[758][5]~37500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[758][5]~37500_combout\ = (\led_flash_cnt[758][5]~q\ & (\led_flash_cnt[758][4]~37499\ $ (GND))) # (!\led_flash_cnt[758][5]~q\ & (!\led_flash_cnt[758][4]~37499\ & VCC))
-- \led_flash_cnt[758][5]~37501\ = CARRY((\led_flash_cnt[758][5]~q\ & !\led_flash_cnt[758][4]~37499\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[758][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[758][4]~37499\,
	combout => \led_flash_cnt[758][5]~37500_combout\,
	cout => \led_flash_cnt[758][5]~37501\);

-- Location: FF_X35_Y35_N13
\led_flash_cnt[758][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[758][5]~37500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[758][5]~q\);

-- Location: LCCOMB_X35_Y35_N14
\led_flash_cnt[758][6]~37502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[758][6]~37502_combout\ = (\led_flash_cnt[758][6]~q\ & (!\led_flash_cnt[758][5]~37501\)) # (!\led_flash_cnt[758][6]~q\ & ((\led_flash_cnt[758][5]~37501\) # (GND)))
-- \led_flash_cnt[758][6]~37503\ = CARRY((!\led_flash_cnt[758][5]~37501\) # (!\led_flash_cnt[758][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[758][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[758][5]~37501\,
	combout => \led_flash_cnt[758][6]~37502_combout\,
	cout => \led_flash_cnt[758][6]~37503\);

-- Location: FF_X35_Y35_N15
\led_flash_cnt[758][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[758][6]~37502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[758][6]~q\);

-- Location: LCCOMB_X34_Y35_N4
\WideAnd758~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd758~1_combout\ = (\led_flash_cnt[758][5]~q\ & \led_flash_cnt[758][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[758][5]~q\,
	datac => \led_flash_cnt[758][6]~q\,
	combout => \WideAnd758~1_combout\);

-- Location: LCCOMB_X35_Y35_N16
\led_flash_cnt[758][7]~37504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[758][7]~37504_combout\ = \led_flash_cnt[758][6]~37503\ $ (!\led_flash_cnt[758][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[758][7]~q\,
	cin => \led_flash_cnt[758][6]~37503\,
	combout => \led_flash_cnt[758][7]~37504_combout\);

-- Location: FF_X35_Y35_N17
\led_flash_cnt[758][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[758][7]~37504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[758][7]~q\);

-- Location: LCCOMB_X35_Y35_N0
WideAnd758 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd758~combout\ = (\led_flash_cnt[758][0]~q\ & (\WideAnd758~0_combout\ & (\WideAnd758~1_combout\ & \led_flash_cnt[758][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[758][0]~q\,
	datab => \WideAnd758~0_combout\,
	datac => \WideAnd758~1_combout\,
	datad => \led_flash_cnt[758][7]~q\,
	combout => \WideAnd758~combout\);

-- Location: FF_X35_Y35_N1
\led_flash_cnt_ands[758]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd758~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(758));

-- Location: LCCOMB_X38_Y36_N28
\led_flash_cnt[759][0]~81399\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[759][0]~81399_combout\ = !\led_flash_cnt[759][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[759][0]~q\,
	combout => \led_flash_cnt[759][0]~81399_combout\);

-- Location: FF_X38_Y36_N29
\led_flash_cnt[759][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[759][0]~81399_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[759][0]~q\);

-- Location: LCCOMB_X35_Y36_N0
\led_flash_cnt[759][1]~37506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[759][1]~37506_combout\ = (\led_flash_cnt[759][0]~q\ & (\led_flash_cnt[759][1]~q\ $ (VCC))) # (!\led_flash_cnt[759][0]~q\ & (\led_flash_cnt[759][1]~q\ & VCC))
-- \led_flash_cnt[759][1]~37507\ = CARRY((\led_flash_cnt[759][0]~q\ & \led_flash_cnt[759][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[759][0]~q\,
	datab => \led_flash_cnt[759][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[759][1]~37506_combout\,
	cout => \led_flash_cnt[759][1]~37507\);

-- Location: FF_X35_Y36_N1
\led_flash_cnt[759][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[759][1]~37506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[759][1]~q\);

-- Location: LCCOMB_X35_Y36_N2
\led_flash_cnt[759][2]~37508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[759][2]~37508_combout\ = (\led_flash_cnt[759][2]~q\ & (!\led_flash_cnt[759][1]~37507\)) # (!\led_flash_cnt[759][2]~q\ & ((\led_flash_cnt[759][1]~37507\) # (GND)))
-- \led_flash_cnt[759][2]~37509\ = CARRY((!\led_flash_cnt[759][1]~37507\) # (!\led_flash_cnt[759][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[759][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[759][1]~37507\,
	combout => \led_flash_cnt[759][2]~37508_combout\,
	cout => \led_flash_cnt[759][2]~37509\);

-- Location: FF_X35_Y36_N3
\led_flash_cnt[759][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[759][2]~37508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[759][2]~q\);

-- Location: LCCOMB_X35_Y36_N4
\led_flash_cnt[759][3]~37510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[759][3]~37510_combout\ = (\led_flash_cnt[759][3]~q\ & (\led_flash_cnt[759][2]~37509\ $ (GND))) # (!\led_flash_cnt[759][3]~q\ & (!\led_flash_cnt[759][2]~37509\ & VCC))
-- \led_flash_cnt[759][3]~37511\ = CARRY((\led_flash_cnt[759][3]~q\ & !\led_flash_cnt[759][2]~37509\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[759][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[759][2]~37509\,
	combout => \led_flash_cnt[759][3]~37510_combout\,
	cout => \led_flash_cnt[759][3]~37511\);

-- Location: FF_X35_Y36_N5
\led_flash_cnt[759][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[759][3]~37510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[759][3]~q\);

-- Location: LCCOMB_X35_Y36_N6
\led_flash_cnt[759][4]~37512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[759][4]~37512_combout\ = (\led_flash_cnt[759][4]~q\ & (!\led_flash_cnt[759][3]~37511\)) # (!\led_flash_cnt[759][4]~q\ & ((\led_flash_cnt[759][3]~37511\) # (GND)))
-- \led_flash_cnt[759][4]~37513\ = CARRY((!\led_flash_cnt[759][3]~37511\) # (!\led_flash_cnt[759][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[759][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[759][3]~37511\,
	combout => \led_flash_cnt[759][4]~37512_combout\,
	cout => \led_flash_cnt[759][4]~37513\);

-- Location: FF_X35_Y36_N7
\led_flash_cnt[759][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[759][4]~37512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[759][4]~q\);

-- Location: LCCOMB_X35_Y36_N8
\led_flash_cnt[759][5]~37514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[759][5]~37514_combout\ = (\led_flash_cnt[759][5]~q\ & (\led_flash_cnt[759][4]~37513\ $ (GND))) # (!\led_flash_cnt[759][5]~q\ & (!\led_flash_cnt[759][4]~37513\ & VCC))
-- \led_flash_cnt[759][5]~37515\ = CARRY((\led_flash_cnt[759][5]~q\ & !\led_flash_cnt[759][4]~37513\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[759][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[759][4]~37513\,
	combout => \led_flash_cnt[759][5]~37514_combout\,
	cout => \led_flash_cnt[759][5]~37515\);

-- Location: FF_X35_Y36_N9
\led_flash_cnt[759][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[759][5]~37514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[759][5]~q\);

-- Location: LCCOMB_X35_Y36_N10
\led_flash_cnt[759][6]~37516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[759][6]~37516_combout\ = (\led_flash_cnt[759][6]~q\ & (!\led_flash_cnt[759][5]~37515\)) # (!\led_flash_cnt[759][6]~q\ & ((\led_flash_cnt[759][5]~37515\) # (GND)))
-- \led_flash_cnt[759][6]~37517\ = CARRY((!\led_flash_cnt[759][5]~37515\) # (!\led_flash_cnt[759][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[759][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[759][5]~37515\,
	combout => \led_flash_cnt[759][6]~37516_combout\,
	cout => \led_flash_cnt[759][6]~37517\);

-- Location: FF_X35_Y36_N11
\led_flash_cnt[759][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[759][6]~37516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[759][6]~q\);

-- Location: LCCOMB_X34_Y36_N22
\WideAnd759~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd759~1_combout\ = (\led_flash_cnt[759][6]~q\ & \led_flash_cnt[759][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[759][6]~q\,
	datac => \led_flash_cnt[759][5]~q\,
	combout => \WideAnd759~1_combout\);

-- Location: LCCOMB_X35_Y36_N14
\WideAnd759~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd759~0_combout\ = (\led_flash_cnt[759][4]~q\ & (\led_flash_cnt[759][1]~q\ & (\led_flash_cnt[759][3]~q\ & \led_flash_cnt[759][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[759][4]~q\,
	datab => \led_flash_cnt[759][1]~q\,
	datac => \led_flash_cnt[759][3]~q\,
	datad => \led_flash_cnt[759][2]~q\,
	combout => \WideAnd759~0_combout\);

-- Location: LCCOMB_X35_Y36_N12
\led_flash_cnt[759][7]~37518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[759][7]~37518_combout\ = \led_flash_cnt[759][6]~37517\ $ (!\led_flash_cnt[759][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[759][7]~q\,
	cin => \led_flash_cnt[759][6]~37517\,
	combout => \led_flash_cnt[759][7]~37518_combout\);

-- Location: FF_X35_Y36_N13
\led_flash_cnt[759][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[759][7]~37518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[759][7]~q\);

-- Location: LCCOMB_X34_Y36_N30
WideAnd759 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd759~combout\ = (\WideAnd759~1_combout\ & (\WideAnd759~0_combout\ & (\led_flash_cnt[759][7]~q\ & \led_flash_cnt[759][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd759~1_combout\,
	datab => \WideAnd759~0_combout\,
	datac => \led_flash_cnt[759][7]~q\,
	datad => \led_flash_cnt[759][0]~q\,
	combout => \WideAnd759~combout\);

-- Location: FF_X34_Y36_N31
\led_flash_cnt_ands[759]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd759~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(759));

-- Location: LCCOMB_X34_Y35_N2
\WideAnd3934~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3934~1_combout\ = (led_flash_cnt_ands(758) & led_flash_cnt_ands(759))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(758),
	datac => led_flash_cnt_ands(759),
	combout => \WideAnd3934~1_combout\);

-- Location: LCCOMB_X45_Y21_N0
\led_flash_cnt[755][0]~81395\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[755][0]~81395_combout\ = !\led_flash_cnt[755][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[755][0]~q\,
	combout => \led_flash_cnt[755][0]~81395_combout\);

-- Location: FF_X45_Y21_N1
\led_flash_cnt[755][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[755][0]~81395_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[755][0]~q\);

-- Location: LCCOMB_X45_Y22_N14
\led_flash_cnt[755][1]~37450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[755][1]~37450_combout\ = (\led_flash_cnt[755][0]~q\ & (\led_flash_cnt[755][1]~q\ $ (VCC))) # (!\led_flash_cnt[755][0]~q\ & (\led_flash_cnt[755][1]~q\ & VCC))
-- \led_flash_cnt[755][1]~37451\ = CARRY((\led_flash_cnt[755][0]~q\ & \led_flash_cnt[755][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[755][0]~q\,
	datab => \led_flash_cnt[755][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[755][1]~37450_combout\,
	cout => \led_flash_cnt[755][1]~37451\);

-- Location: FF_X45_Y22_N15
\led_flash_cnt[755][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[755][1]~37450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[755][1]~q\);

-- Location: LCCOMB_X45_Y22_N16
\led_flash_cnt[755][2]~37452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[755][2]~37452_combout\ = (\led_flash_cnt[755][2]~q\ & (!\led_flash_cnt[755][1]~37451\)) # (!\led_flash_cnt[755][2]~q\ & ((\led_flash_cnt[755][1]~37451\) # (GND)))
-- \led_flash_cnt[755][2]~37453\ = CARRY((!\led_flash_cnt[755][1]~37451\) # (!\led_flash_cnt[755][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[755][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[755][1]~37451\,
	combout => \led_flash_cnt[755][2]~37452_combout\,
	cout => \led_flash_cnt[755][2]~37453\);

-- Location: FF_X45_Y22_N17
\led_flash_cnt[755][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[755][2]~37452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[755][2]~q\);

-- Location: LCCOMB_X45_Y22_N18
\led_flash_cnt[755][3]~37454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[755][3]~37454_combout\ = (\led_flash_cnt[755][3]~q\ & (\led_flash_cnt[755][2]~37453\ $ (GND))) # (!\led_flash_cnt[755][3]~q\ & (!\led_flash_cnt[755][2]~37453\ & VCC))
-- \led_flash_cnt[755][3]~37455\ = CARRY((\led_flash_cnt[755][3]~q\ & !\led_flash_cnt[755][2]~37453\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[755][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[755][2]~37453\,
	combout => \led_flash_cnt[755][3]~37454_combout\,
	cout => \led_flash_cnt[755][3]~37455\);

-- Location: FF_X45_Y22_N19
\led_flash_cnt[755][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[755][3]~37454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[755][3]~q\);

-- Location: LCCOMB_X45_Y22_N20
\led_flash_cnt[755][4]~37456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[755][4]~37456_combout\ = (\led_flash_cnt[755][4]~q\ & (!\led_flash_cnt[755][3]~37455\)) # (!\led_flash_cnt[755][4]~q\ & ((\led_flash_cnt[755][3]~37455\) # (GND)))
-- \led_flash_cnt[755][4]~37457\ = CARRY((!\led_flash_cnt[755][3]~37455\) # (!\led_flash_cnt[755][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[755][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[755][3]~37455\,
	combout => \led_flash_cnt[755][4]~37456_combout\,
	cout => \led_flash_cnt[755][4]~37457\);

-- Location: FF_X45_Y22_N21
\led_flash_cnt[755][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[755][4]~37456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[755][4]~q\);

-- Location: LCCOMB_X45_Y22_N22
\led_flash_cnt[755][5]~37458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[755][5]~37458_combout\ = (\led_flash_cnt[755][5]~q\ & (\led_flash_cnt[755][4]~37457\ $ (GND))) # (!\led_flash_cnt[755][5]~q\ & (!\led_flash_cnt[755][4]~37457\ & VCC))
-- \led_flash_cnt[755][5]~37459\ = CARRY((\led_flash_cnt[755][5]~q\ & !\led_flash_cnt[755][4]~37457\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[755][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[755][4]~37457\,
	combout => \led_flash_cnt[755][5]~37458_combout\,
	cout => \led_flash_cnt[755][5]~37459\);

-- Location: FF_X45_Y22_N23
\led_flash_cnt[755][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[755][5]~37458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[755][5]~q\);

-- Location: LCCOMB_X45_Y22_N24
\led_flash_cnt[755][6]~37460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[755][6]~37460_combout\ = (\led_flash_cnt[755][6]~q\ & (!\led_flash_cnt[755][5]~37459\)) # (!\led_flash_cnt[755][6]~q\ & ((\led_flash_cnt[755][5]~37459\) # (GND)))
-- \led_flash_cnt[755][6]~37461\ = CARRY((!\led_flash_cnt[755][5]~37459\) # (!\led_flash_cnt[755][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[755][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[755][5]~37459\,
	combout => \led_flash_cnt[755][6]~37460_combout\,
	cout => \led_flash_cnt[755][6]~37461\);

-- Location: FF_X45_Y22_N25
\led_flash_cnt[755][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[755][6]~37460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[755][6]~q\);

-- Location: LCCOMB_X45_Y22_N26
\led_flash_cnt[755][7]~37462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[755][7]~37462_combout\ = \led_flash_cnt[755][7]~q\ $ (!\led_flash_cnt[755][6]~37461\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[755][7]~q\,
	cin => \led_flash_cnt[755][6]~37461\,
	combout => \led_flash_cnt[755][7]~37462_combout\);

-- Location: FF_X45_Y22_N27
\led_flash_cnt[755][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[755][7]~37462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[755][7]~q\);

-- Location: LCCOMB_X45_Y22_N4
\WideAnd755~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd755~0_combout\ = (\led_flash_cnt[755][4]~q\ & (\led_flash_cnt[755][3]~q\ & (\led_flash_cnt[755][1]~q\ & \led_flash_cnt[755][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[755][4]~q\,
	datab => \led_flash_cnt[755][3]~q\,
	datac => \led_flash_cnt[755][1]~q\,
	datad => \led_flash_cnt[755][2]~q\,
	combout => \WideAnd755~0_combout\);

-- Location: LCCOMB_X45_Y22_N10
\WideAnd755~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd755~1_combout\ = (\led_flash_cnt[755][5]~q\ & \led_flash_cnt[755][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[755][5]~q\,
	datad => \led_flash_cnt[755][6]~q\,
	combout => \WideAnd755~1_combout\);

-- Location: LCCOMB_X45_Y22_N6
WideAnd755 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd755~combout\ = (\led_flash_cnt[755][7]~q\ & (\led_flash_cnt[755][0]~q\ & (\WideAnd755~0_combout\ & \WideAnd755~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[755][7]~q\,
	datab => \led_flash_cnt[755][0]~q\,
	datac => \WideAnd755~0_combout\,
	datad => \WideAnd755~1_combout\,
	combout => \WideAnd755~combout\);

-- Location: FF_X45_Y22_N7
\led_flash_cnt_ands[755]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd755~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(755));

-- Location: LCCOMB_X45_Y22_N2
\led_flash_cnt[756][0]~81396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[756][0]~81396_combout\ = !\led_flash_cnt[756][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[756][0]~q\,
	combout => \led_flash_cnt[756][0]~81396_combout\);

-- Location: FF_X45_Y22_N3
\led_flash_cnt[756][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[756][0]~81396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[756][0]~q\);

-- Location: LCCOMB_X44_Y22_N4
\led_flash_cnt[756][1]~37464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[756][1]~37464_combout\ = (\led_flash_cnt[756][0]~q\ & (\led_flash_cnt[756][1]~q\ $ (VCC))) # (!\led_flash_cnt[756][0]~q\ & (\led_flash_cnt[756][1]~q\ & VCC))
-- \led_flash_cnt[756][1]~37465\ = CARRY((\led_flash_cnt[756][0]~q\ & \led_flash_cnt[756][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[756][0]~q\,
	datab => \led_flash_cnt[756][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[756][1]~37464_combout\,
	cout => \led_flash_cnt[756][1]~37465\);

-- Location: FF_X44_Y22_N5
\led_flash_cnt[756][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[756][1]~37464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[756][1]~q\);

-- Location: LCCOMB_X44_Y22_N6
\led_flash_cnt[756][2]~37466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[756][2]~37466_combout\ = (\led_flash_cnt[756][2]~q\ & (!\led_flash_cnt[756][1]~37465\)) # (!\led_flash_cnt[756][2]~q\ & ((\led_flash_cnt[756][1]~37465\) # (GND)))
-- \led_flash_cnt[756][2]~37467\ = CARRY((!\led_flash_cnt[756][1]~37465\) # (!\led_flash_cnt[756][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[756][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[756][1]~37465\,
	combout => \led_flash_cnt[756][2]~37466_combout\,
	cout => \led_flash_cnt[756][2]~37467\);

-- Location: FF_X44_Y22_N7
\led_flash_cnt[756][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[756][2]~37466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[756][2]~q\);

-- Location: LCCOMB_X44_Y22_N8
\led_flash_cnt[756][3]~37468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[756][3]~37468_combout\ = (\led_flash_cnt[756][3]~q\ & (\led_flash_cnt[756][2]~37467\ $ (GND))) # (!\led_flash_cnt[756][3]~q\ & (!\led_flash_cnt[756][2]~37467\ & VCC))
-- \led_flash_cnt[756][3]~37469\ = CARRY((\led_flash_cnt[756][3]~q\ & !\led_flash_cnt[756][2]~37467\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[756][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[756][2]~37467\,
	combout => \led_flash_cnt[756][3]~37468_combout\,
	cout => \led_flash_cnt[756][3]~37469\);

-- Location: FF_X44_Y22_N9
\led_flash_cnt[756][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[756][3]~37468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[756][3]~q\);

-- Location: LCCOMB_X44_Y22_N10
\led_flash_cnt[756][4]~37470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[756][4]~37470_combout\ = (\led_flash_cnt[756][4]~q\ & (!\led_flash_cnt[756][3]~37469\)) # (!\led_flash_cnt[756][4]~q\ & ((\led_flash_cnt[756][3]~37469\) # (GND)))
-- \led_flash_cnt[756][4]~37471\ = CARRY((!\led_flash_cnt[756][3]~37469\) # (!\led_flash_cnt[756][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[756][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[756][3]~37469\,
	combout => \led_flash_cnt[756][4]~37470_combout\,
	cout => \led_flash_cnt[756][4]~37471\);

-- Location: FF_X44_Y22_N11
\led_flash_cnt[756][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[756][4]~37470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[756][4]~q\);

-- Location: LCCOMB_X44_Y22_N2
\WideAnd756~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd756~0_combout\ = (\led_flash_cnt[756][2]~q\ & (\led_flash_cnt[756][3]~q\ & (\led_flash_cnt[756][1]~q\ & \led_flash_cnt[756][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[756][2]~q\,
	datab => \led_flash_cnt[756][3]~q\,
	datac => \led_flash_cnt[756][1]~q\,
	datad => \led_flash_cnt[756][4]~q\,
	combout => \WideAnd756~0_combout\);

-- Location: LCCOMB_X44_Y22_N12
\led_flash_cnt[756][5]~37472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[756][5]~37472_combout\ = (\led_flash_cnt[756][5]~q\ & (\led_flash_cnt[756][4]~37471\ $ (GND))) # (!\led_flash_cnt[756][5]~q\ & (!\led_flash_cnt[756][4]~37471\ & VCC))
-- \led_flash_cnt[756][5]~37473\ = CARRY((\led_flash_cnt[756][5]~q\ & !\led_flash_cnt[756][4]~37471\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[756][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[756][4]~37471\,
	combout => \led_flash_cnt[756][5]~37472_combout\,
	cout => \led_flash_cnt[756][5]~37473\);

-- Location: FF_X44_Y22_N13
\led_flash_cnt[756][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[756][5]~37472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[756][5]~q\);

-- Location: LCCOMB_X44_Y22_N14
\led_flash_cnt[756][6]~37474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[756][6]~37474_combout\ = (\led_flash_cnt[756][6]~q\ & (!\led_flash_cnt[756][5]~37473\)) # (!\led_flash_cnt[756][6]~q\ & ((\led_flash_cnt[756][5]~37473\) # (GND)))
-- \led_flash_cnt[756][6]~37475\ = CARRY((!\led_flash_cnt[756][5]~37473\) # (!\led_flash_cnt[756][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[756][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[756][5]~37473\,
	combout => \led_flash_cnt[756][6]~37474_combout\,
	cout => \led_flash_cnt[756][6]~37475\);

-- Location: FF_X44_Y22_N15
\led_flash_cnt[756][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[756][6]~37474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[756][6]~q\);

-- Location: LCCOMB_X45_Y22_N28
\WideAnd756~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd756~1_combout\ = (\led_flash_cnt[756][6]~q\ & \led_flash_cnt[756][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[756][6]~q\,
	datad => \led_flash_cnt[756][5]~q\,
	combout => \WideAnd756~1_combout\);

-- Location: LCCOMB_X44_Y22_N16
\led_flash_cnt[756][7]~37476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[756][7]~37476_combout\ = \led_flash_cnt[756][6]~37475\ $ (!\led_flash_cnt[756][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[756][7]~q\,
	cin => \led_flash_cnt[756][6]~37475\,
	combout => \led_flash_cnt[756][7]~37476_combout\);

-- Location: FF_X44_Y22_N17
\led_flash_cnt[756][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[756][7]~37476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[756][7]~q\);

-- Location: LCCOMB_X45_Y22_N0
WideAnd756 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd756~combout\ = (\WideAnd756~0_combout\ & (\WideAnd756~1_combout\ & (\led_flash_cnt[756][7]~q\ & \led_flash_cnt[756][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd756~0_combout\,
	datab => \WideAnd756~1_combout\,
	datac => \led_flash_cnt[756][7]~q\,
	datad => \led_flash_cnt[756][0]~q\,
	combout => \WideAnd756~combout\);

-- Location: FF_X45_Y22_N1
\led_flash_cnt_ands[756]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd756~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(756));

-- Location: LCCOMB_X27_Y22_N30
\led_flash_cnt[757][0]~81397\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[757][0]~81397_combout\ = !\led_flash_cnt[757][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[757][0]~q\,
	combout => \led_flash_cnt[757][0]~81397_combout\);

-- Location: FF_X27_Y22_N31
\led_flash_cnt[757][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[757][0]~81397_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[757][0]~q\);

-- Location: LCCOMB_X30_Y26_N0
\led_flash_cnt[757][1]~37478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[757][1]~37478_combout\ = (\led_flash_cnt[757][0]~q\ & (\led_flash_cnt[757][1]~q\ $ (VCC))) # (!\led_flash_cnt[757][0]~q\ & (\led_flash_cnt[757][1]~q\ & VCC))
-- \led_flash_cnt[757][1]~37479\ = CARRY((\led_flash_cnt[757][0]~q\ & \led_flash_cnt[757][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[757][0]~q\,
	datab => \led_flash_cnt[757][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[757][1]~37478_combout\,
	cout => \led_flash_cnt[757][1]~37479\);

-- Location: FF_X30_Y26_N1
\led_flash_cnt[757][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[757][1]~37478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[757][1]~q\);

-- Location: LCCOMB_X30_Y26_N2
\led_flash_cnt[757][2]~37480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[757][2]~37480_combout\ = (\led_flash_cnt[757][2]~q\ & (!\led_flash_cnt[757][1]~37479\)) # (!\led_flash_cnt[757][2]~q\ & ((\led_flash_cnt[757][1]~37479\) # (GND)))
-- \led_flash_cnt[757][2]~37481\ = CARRY((!\led_flash_cnt[757][1]~37479\) # (!\led_flash_cnt[757][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[757][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[757][1]~37479\,
	combout => \led_flash_cnt[757][2]~37480_combout\,
	cout => \led_flash_cnt[757][2]~37481\);

-- Location: FF_X30_Y26_N3
\led_flash_cnt[757][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[757][2]~37480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[757][2]~q\);

-- Location: LCCOMB_X30_Y26_N4
\led_flash_cnt[757][3]~37482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[757][3]~37482_combout\ = (\led_flash_cnt[757][3]~q\ & (\led_flash_cnt[757][2]~37481\ $ (GND))) # (!\led_flash_cnt[757][3]~q\ & (!\led_flash_cnt[757][2]~37481\ & VCC))
-- \led_flash_cnt[757][3]~37483\ = CARRY((\led_flash_cnt[757][3]~q\ & !\led_flash_cnt[757][2]~37481\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[757][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[757][2]~37481\,
	combout => \led_flash_cnt[757][3]~37482_combout\,
	cout => \led_flash_cnt[757][3]~37483\);

-- Location: FF_X30_Y26_N5
\led_flash_cnt[757][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[757][3]~37482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[757][3]~q\);

-- Location: LCCOMB_X30_Y26_N6
\led_flash_cnt[757][4]~37484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[757][4]~37484_combout\ = (\led_flash_cnt[757][4]~q\ & (!\led_flash_cnt[757][3]~37483\)) # (!\led_flash_cnt[757][4]~q\ & ((\led_flash_cnt[757][3]~37483\) # (GND)))
-- \led_flash_cnt[757][4]~37485\ = CARRY((!\led_flash_cnt[757][3]~37483\) # (!\led_flash_cnt[757][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[757][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[757][3]~37483\,
	combout => \led_flash_cnt[757][4]~37484_combout\,
	cout => \led_flash_cnt[757][4]~37485\);

-- Location: FF_X30_Y26_N7
\led_flash_cnt[757][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[757][4]~37484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[757][4]~q\);

-- Location: LCCOMB_X30_Y26_N30
\WideAnd757~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd757~0_combout\ = (\led_flash_cnt[757][4]~q\ & (\led_flash_cnt[757][1]~q\ & (\led_flash_cnt[757][3]~q\ & \led_flash_cnt[757][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[757][4]~q\,
	datab => \led_flash_cnt[757][1]~q\,
	datac => \led_flash_cnt[757][3]~q\,
	datad => \led_flash_cnt[757][2]~q\,
	combout => \WideAnd757~0_combout\);

-- Location: LCCOMB_X30_Y26_N8
\led_flash_cnt[757][5]~37486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[757][5]~37486_combout\ = (\led_flash_cnt[757][5]~q\ & (\led_flash_cnt[757][4]~37485\ $ (GND))) # (!\led_flash_cnt[757][5]~q\ & (!\led_flash_cnt[757][4]~37485\ & VCC))
-- \led_flash_cnt[757][5]~37487\ = CARRY((\led_flash_cnt[757][5]~q\ & !\led_flash_cnt[757][4]~37485\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[757][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[757][4]~37485\,
	combout => \led_flash_cnt[757][5]~37486_combout\,
	cout => \led_flash_cnt[757][5]~37487\);

-- Location: FF_X30_Y26_N9
\led_flash_cnt[757][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[757][5]~37486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[757][5]~q\);

-- Location: LCCOMB_X30_Y26_N10
\led_flash_cnt[757][6]~37488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[757][6]~37488_combout\ = (\led_flash_cnt[757][6]~q\ & (!\led_flash_cnt[757][5]~37487\)) # (!\led_flash_cnt[757][6]~q\ & ((\led_flash_cnt[757][5]~37487\) # (GND)))
-- \led_flash_cnt[757][6]~37489\ = CARRY((!\led_flash_cnt[757][5]~37487\) # (!\led_flash_cnt[757][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[757][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[757][5]~37487\,
	combout => \led_flash_cnt[757][6]~37488_combout\,
	cout => \led_flash_cnt[757][6]~37489\);

-- Location: FF_X30_Y26_N11
\led_flash_cnt[757][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[757][6]~37488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[757][6]~q\);

-- Location: LCCOMB_X30_Y26_N12
\led_flash_cnt[757][7]~37490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[757][7]~37490_combout\ = \led_flash_cnt[757][6]~37489\ $ (!\led_flash_cnt[757][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[757][7]~q\,
	cin => \led_flash_cnt[757][6]~37489\,
	combout => \led_flash_cnt[757][7]~37490_combout\);

-- Location: FF_X30_Y26_N13
\led_flash_cnt[757][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[757][7]~37490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[757][7]~q\);

-- Location: LCCOMB_X27_Y22_N18
\WideAnd757~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd757~1_combout\ = (\led_flash_cnt[757][6]~q\ & \led_flash_cnt[757][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[757][6]~q\,
	datad => \led_flash_cnt[757][5]~q\,
	combout => \WideAnd757~1_combout\);

-- Location: LCCOMB_X27_Y22_N28
WideAnd757 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd757~combout\ = (\WideAnd757~0_combout\ & (\led_flash_cnt[757][7]~q\ & (\led_flash_cnt[757][0]~q\ & \WideAnd757~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd757~0_combout\,
	datab => \led_flash_cnt[757][7]~q\,
	datac => \led_flash_cnt[757][0]~q\,
	datad => \WideAnd757~1_combout\,
	combout => \WideAnd757~combout\);

-- Location: FF_X27_Y22_N29
\led_flash_cnt_ands[757]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd757~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(757));

-- Location: LCCOMB_X44_Y23_N2
\led_flash_cnt[754][0]~81394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[754][0]~81394_combout\ = !\led_flash_cnt[754][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[754][0]~q\,
	combout => \led_flash_cnt[754][0]~81394_combout\);

-- Location: FF_X44_Y23_N3
\led_flash_cnt[754][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[754][0]~81394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[754][0]~q\);

-- Location: LCCOMB_X45_Y23_N16
\led_flash_cnt[754][1]~37436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[754][1]~37436_combout\ = (\led_flash_cnt[754][0]~q\ & (\led_flash_cnt[754][1]~q\ $ (VCC))) # (!\led_flash_cnt[754][0]~q\ & (\led_flash_cnt[754][1]~q\ & VCC))
-- \led_flash_cnt[754][1]~37437\ = CARRY((\led_flash_cnt[754][0]~q\ & \led_flash_cnt[754][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[754][0]~q\,
	datab => \led_flash_cnt[754][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[754][1]~37436_combout\,
	cout => \led_flash_cnt[754][1]~37437\);

-- Location: FF_X45_Y23_N17
\led_flash_cnt[754][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[754][1]~37436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[754][1]~q\);

-- Location: LCCOMB_X45_Y23_N18
\led_flash_cnt[754][2]~37438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[754][2]~37438_combout\ = (\led_flash_cnt[754][2]~q\ & (!\led_flash_cnt[754][1]~37437\)) # (!\led_flash_cnt[754][2]~q\ & ((\led_flash_cnt[754][1]~37437\) # (GND)))
-- \led_flash_cnt[754][2]~37439\ = CARRY((!\led_flash_cnt[754][1]~37437\) # (!\led_flash_cnt[754][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[754][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[754][1]~37437\,
	combout => \led_flash_cnt[754][2]~37438_combout\,
	cout => \led_flash_cnt[754][2]~37439\);

-- Location: FF_X45_Y23_N19
\led_flash_cnt[754][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[754][2]~37438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[754][2]~q\);

-- Location: LCCOMB_X45_Y23_N20
\led_flash_cnt[754][3]~37440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[754][3]~37440_combout\ = (\led_flash_cnt[754][3]~q\ & (\led_flash_cnt[754][2]~37439\ $ (GND))) # (!\led_flash_cnt[754][3]~q\ & (!\led_flash_cnt[754][2]~37439\ & VCC))
-- \led_flash_cnt[754][3]~37441\ = CARRY((\led_flash_cnt[754][3]~q\ & !\led_flash_cnt[754][2]~37439\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[754][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[754][2]~37439\,
	combout => \led_flash_cnt[754][3]~37440_combout\,
	cout => \led_flash_cnt[754][3]~37441\);

-- Location: FF_X45_Y23_N21
\led_flash_cnt[754][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[754][3]~37440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[754][3]~q\);

-- Location: LCCOMB_X45_Y23_N22
\led_flash_cnt[754][4]~37442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[754][4]~37442_combout\ = (\led_flash_cnt[754][4]~q\ & (!\led_flash_cnt[754][3]~37441\)) # (!\led_flash_cnt[754][4]~q\ & ((\led_flash_cnt[754][3]~37441\) # (GND)))
-- \led_flash_cnt[754][4]~37443\ = CARRY((!\led_flash_cnt[754][3]~37441\) # (!\led_flash_cnt[754][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[754][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[754][3]~37441\,
	combout => \led_flash_cnt[754][4]~37442_combout\,
	cout => \led_flash_cnt[754][4]~37443\);

-- Location: FF_X45_Y23_N23
\led_flash_cnt[754][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[754][4]~37442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[754][4]~q\);

-- Location: LCCOMB_X44_Y23_N6
\WideAnd754~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd754~0_combout\ = (\led_flash_cnt[754][1]~q\ & (\led_flash_cnt[754][4]~q\ & (\led_flash_cnt[754][3]~q\ & \led_flash_cnt[754][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[754][1]~q\,
	datab => \led_flash_cnt[754][4]~q\,
	datac => \led_flash_cnt[754][3]~q\,
	datad => \led_flash_cnt[754][2]~q\,
	combout => \WideAnd754~0_combout\);

-- Location: LCCOMB_X45_Y23_N24
\led_flash_cnt[754][5]~37444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[754][5]~37444_combout\ = (\led_flash_cnt[754][5]~q\ & (\led_flash_cnt[754][4]~37443\ $ (GND))) # (!\led_flash_cnt[754][5]~q\ & (!\led_flash_cnt[754][4]~37443\ & VCC))
-- \led_flash_cnt[754][5]~37445\ = CARRY((\led_flash_cnt[754][5]~q\ & !\led_flash_cnt[754][4]~37443\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[754][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[754][4]~37443\,
	combout => \led_flash_cnt[754][5]~37444_combout\,
	cout => \led_flash_cnt[754][5]~37445\);

-- Location: FF_X45_Y23_N25
\led_flash_cnt[754][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[754][5]~37444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[754][5]~q\);

-- Location: LCCOMB_X45_Y23_N26
\led_flash_cnt[754][6]~37446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[754][6]~37446_combout\ = (\led_flash_cnt[754][6]~q\ & (!\led_flash_cnt[754][5]~37445\)) # (!\led_flash_cnt[754][6]~q\ & ((\led_flash_cnt[754][5]~37445\) # (GND)))
-- \led_flash_cnt[754][6]~37447\ = CARRY((!\led_flash_cnt[754][5]~37445\) # (!\led_flash_cnt[754][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[754][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[754][5]~37445\,
	combout => \led_flash_cnt[754][6]~37446_combout\,
	cout => \led_flash_cnt[754][6]~37447\);

-- Location: FF_X45_Y23_N27
\led_flash_cnt[754][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[754][6]~37446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[754][6]~q\);

-- Location: LCCOMB_X44_Y23_N4
\WideAnd754~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd754~1_combout\ = (\led_flash_cnt[754][6]~q\ & \led_flash_cnt[754][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[754][6]~q\,
	datad => \led_flash_cnt[754][5]~q\,
	combout => \WideAnd754~1_combout\);

-- Location: LCCOMB_X45_Y23_N28
\led_flash_cnt[754][7]~37448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[754][7]~37448_combout\ = \led_flash_cnt[754][6]~37447\ $ (!\led_flash_cnt[754][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[754][7]~q\,
	cin => \led_flash_cnt[754][6]~37447\,
	combout => \led_flash_cnt[754][7]~37448_combout\);

-- Location: FF_X45_Y23_N29
\led_flash_cnt[754][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[754][7]~37448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[754][7]~q\);

-- Location: LCCOMB_X44_Y23_N10
WideAnd754 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd754~combout\ = (\WideAnd754~0_combout\ & (\led_flash_cnt[754][0]~q\ & (\WideAnd754~1_combout\ & \led_flash_cnt[754][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd754~0_combout\,
	datab => \led_flash_cnt[754][0]~q\,
	datac => \WideAnd754~1_combout\,
	datad => \led_flash_cnt[754][7]~q\,
	combout => \WideAnd754~combout\);

-- Location: FF_X44_Y23_N11
\led_flash_cnt_ands[754]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd754~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(754));

-- Location: LCCOMB_X45_Y22_N12
\WideAnd3934~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3934~0_combout\ = (led_flash_cnt_ands(755) & (led_flash_cnt_ands(756) & (led_flash_cnt_ands(757) & led_flash_cnt_ands(754))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(755),
	datab => led_flash_cnt_ands(756),
	datac => led_flash_cnt_ands(757),
	datad => led_flash_cnt_ands(754),
	combout => \WideAnd3934~0_combout\);

-- Location: LCCOMB_X57_Y28_N0
WideAnd3934 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3934~combout\ = (led_flash_cnt_ands(753) & (led_flash_cnt_ands(752) & (\WideAnd3934~1_combout\ & \WideAnd3934~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(753),
	datab => led_flash_cnt_ands(752),
	datac => \WideAnd3934~1_combout\,
	datad => \WideAnd3934~0_combout\,
	combout => \WideAnd3934~combout\);

-- Location: FF_X57_Y28_N1
\led_flash_cnt_ands_1[94]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3934~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(94));

-- Location: LCCOMB_X29_Y37_N22
\led_flash_cnt[763][0]~81403\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[763][0]~81403_combout\ = !\led_flash_cnt[763][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[763][0]~q\,
	combout => \led_flash_cnt[763][0]~81403_combout\);

-- Location: FF_X29_Y37_N23
\led_flash_cnt[763][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[763][0]~81403_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[763][0]~q\);

-- Location: LCCOMB_X29_Y37_N8
\led_flash_cnt[763][1]~37562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[763][1]~37562_combout\ = (\led_flash_cnt[763][0]~q\ & (\led_flash_cnt[763][1]~q\ $ (VCC))) # (!\led_flash_cnt[763][0]~q\ & (\led_flash_cnt[763][1]~q\ & VCC))
-- \led_flash_cnt[763][1]~37563\ = CARRY((\led_flash_cnt[763][0]~q\ & \led_flash_cnt[763][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[763][0]~q\,
	datab => \led_flash_cnt[763][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[763][1]~37562_combout\,
	cout => \led_flash_cnt[763][1]~37563\);

-- Location: FF_X29_Y37_N9
\led_flash_cnt[763][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[763][1]~37562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[763][1]~q\);

-- Location: LCCOMB_X29_Y37_N10
\led_flash_cnt[763][2]~37564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[763][2]~37564_combout\ = (\led_flash_cnt[763][2]~q\ & (!\led_flash_cnt[763][1]~37563\)) # (!\led_flash_cnt[763][2]~q\ & ((\led_flash_cnt[763][1]~37563\) # (GND)))
-- \led_flash_cnt[763][2]~37565\ = CARRY((!\led_flash_cnt[763][1]~37563\) # (!\led_flash_cnt[763][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[763][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[763][1]~37563\,
	combout => \led_flash_cnt[763][2]~37564_combout\,
	cout => \led_flash_cnt[763][2]~37565\);

-- Location: FF_X29_Y37_N11
\led_flash_cnt[763][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[763][2]~37564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[763][2]~q\);

-- Location: LCCOMB_X29_Y37_N12
\led_flash_cnt[763][3]~37566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[763][3]~37566_combout\ = (\led_flash_cnt[763][3]~q\ & (\led_flash_cnt[763][2]~37565\ $ (GND))) # (!\led_flash_cnt[763][3]~q\ & (!\led_flash_cnt[763][2]~37565\ & VCC))
-- \led_flash_cnt[763][3]~37567\ = CARRY((\led_flash_cnt[763][3]~q\ & !\led_flash_cnt[763][2]~37565\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[763][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[763][2]~37565\,
	combout => \led_flash_cnt[763][3]~37566_combout\,
	cout => \led_flash_cnt[763][3]~37567\);

-- Location: FF_X29_Y37_N13
\led_flash_cnt[763][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[763][3]~37566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[763][3]~q\);

-- Location: LCCOMB_X29_Y37_N14
\led_flash_cnt[763][4]~37568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[763][4]~37568_combout\ = (\led_flash_cnt[763][4]~q\ & (!\led_flash_cnt[763][3]~37567\)) # (!\led_flash_cnt[763][4]~q\ & ((\led_flash_cnt[763][3]~37567\) # (GND)))
-- \led_flash_cnt[763][4]~37569\ = CARRY((!\led_flash_cnt[763][3]~37567\) # (!\led_flash_cnt[763][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[763][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[763][3]~37567\,
	combout => \led_flash_cnt[763][4]~37568_combout\,
	cout => \led_flash_cnt[763][4]~37569\);

-- Location: FF_X29_Y37_N15
\led_flash_cnt[763][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[763][4]~37568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[763][4]~q\);

-- Location: LCCOMB_X29_Y37_N16
\led_flash_cnt[763][5]~37570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[763][5]~37570_combout\ = (\led_flash_cnt[763][5]~q\ & (\led_flash_cnt[763][4]~37569\ $ (GND))) # (!\led_flash_cnt[763][5]~q\ & (!\led_flash_cnt[763][4]~37569\ & VCC))
-- \led_flash_cnt[763][5]~37571\ = CARRY((\led_flash_cnt[763][5]~q\ & !\led_flash_cnt[763][4]~37569\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[763][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[763][4]~37569\,
	combout => \led_flash_cnt[763][5]~37570_combout\,
	cout => \led_flash_cnt[763][5]~37571\);

-- Location: FF_X29_Y37_N17
\led_flash_cnt[763][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[763][5]~37570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[763][5]~q\);

-- Location: LCCOMB_X29_Y37_N18
\led_flash_cnt[763][6]~37572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[763][6]~37572_combout\ = (\led_flash_cnt[763][6]~q\ & (!\led_flash_cnt[763][5]~37571\)) # (!\led_flash_cnt[763][6]~q\ & ((\led_flash_cnt[763][5]~37571\) # (GND)))
-- \led_flash_cnt[763][6]~37573\ = CARRY((!\led_flash_cnt[763][5]~37571\) # (!\led_flash_cnt[763][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[763][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[763][5]~37571\,
	combout => \led_flash_cnt[763][6]~37572_combout\,
	cout => \led_flash_cnt[763][6]~37573\);

-- Location: FF_X29_Y37_N19
\led_flash_cnt[763][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[763][6]~37572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[763][6]~q\);

-- Location: LCCOMB_X29_Y37_N20
\led_flash_cnt[763][7]~37574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[763][7]~37574_combout\ = \led_flash_cnt[763][6]~37573\ $ (!\led_flash_cnt[763][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[763][7]~q\,
	cin => \led_flash_cnt[763][6]~37573\,
	combout => \led_flash_cnt[763][7]~37574_combout\);

-- Location: FF_X29_Y37_N21
\led_flash_cnt[763][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[763][7]~37574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[763][7]~q\);

-- Location: LCCOMB_X29_Y37_N4
\WideAnd763~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd763~1_combout\ = (\led_flash_cnt[763][6]~q\ & \led_flash_cnt[763][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[763][6]~q\,
	datad => \led_flash_cnt[763][5]~q\,
	combout => \WideAnd763~1_combout\);

-- Location: LCCOMB_X29_Y37_N28
\WideAnd763~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd763~0_combout\ = (\led_flash_cnt[763][3]~q\ & (\led_flash_cnt[763][1]~q\ & (\led_flash_cnt[763][4]~q\ & \led_flash_cnt[763][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[763][3]~q\,
	datab => \led_flash_cnt[763][1]~q\,
	datac => \led_flash_cnt[763][4]~q\,
	datad => \led_flash_cnt[763][2]~q\,
	combout => \WideAnd763~0_combout\);

-- Location: LCCOMB_X29_Y37_N30
WideAnd763 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd763~combout\ = (\led_flash_cnt[763][0]~q\ & (\led_flash_cnt[763][7]~q\ & (\WideAnd763~1_combout\ & \WideAnd763~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[763][0]~q\,
	datab => \led_flash_cnt[763][7]~q\,
	datac => \WideAnd763~1_combout\,
	datad => \WideAnd763~0_combout\,
	combout => \WideAnd763~combout\);

-- Location: FF_X29_Y37_N31
\led_flash_cnt_ands[763]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd763~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(763));

-- Location: LCCOMB_X34_Y36_N18
\led_flash_cnt[760][0]~81400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[760][0]~81400_combout\ = !\led_flash_cnt[760][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[760][0]~q\,
	combout => \led_flash_cnt[760][0]~81400_combout\);

-- Location: FF_X34_Y36_N19
\led_flash_cnt[760][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[760][0]~81400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[760][0]~q\);

-- Location: LCCOMB_X31_Y36_N18
\led_flash_cnt[760][1]~37520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[760][1]~37520_combout\ = (\led_flash_cnt[760][0]~q\ & (\led_flash_cnt[760][1]~q\ $ (VCC))) # (!\led_flash_cnt[760][0]~q\ & (\led_flash_cnt[760][1]~q\ & VCC))
-- \led_flash_cnt[760][1]~37521\ = CARRY((\led_flash_cnt[760][0]~q\ & \led_flash_cnt[760][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[760][0]~q\,
	datab => \led_flash_cnt[760][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[760][1]~37520_combout\,
	cout => \led_flash_cnt[760][1]~37521\);

-- Location: FF_X31_Y36_N19
\led_flash_cnt[760][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[760][1]~37520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[760][1]~q\);

-- Location: LCCOMB_X31_Y36_N20
\led_flash_cnt[760][2]~37522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[760][2]~37522_combout\ = (\led_flash_cnt[760][2]~q\ & (!\led_flash_cnt[760][1]~37521\)) # (!\led_flash_cnt[760][2]~q\ & ((\led_flash_cnt[760][1]~37521\) # (GND)))
-- \led_flash_cnt[760][2]~37523\ = CARRY((!\led_flash_cnt[760][1]~37521\) # (!\led_flash_cnt[760][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[760][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[760][1]~37521\,
	combout => \led_flash_cnt[760][2]~37522_combout\,
	cout => \led_flash_cnt[760][2]~37523\);

-- Location: FF_X31_Y36_N21
\led_flash_cnt[760][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[760][2]~37522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[760][2]~q\);

-- Location: LCCOMB_X31_Y36_N22
\led_flash_cnt[760][3]~37524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[760][3]~37524_combout\ = (\led_flash_cnt[760][3]~q\ & (\led_flash_cnt[760][2]~37523\ $ (GND))) # (!\led_flash_cnt[760][3]~q\ & (!\led_flash_cnt[760][2]~37523\ & VCC))
-- \led_flash_cnt[760][3]~37525\ = CARRY((\led_flash_cnt[760][3]~q\ & !\led_flash_cnt[760][2]~37523\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[760][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[760][2]~37523\,
	combout => \led_flash_cnt[760][3]~37524_combout\,
	cout => \led_flash_cnt[760][3]~37525\);

-- Location: FF_X31_Y36_N23
\led_flash_cnt[760][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[760][3]~37524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[760][3]~q\);

-- Location: LCCOMB_X31_Y36_N24
\led_flash_cnt[760][4]~37526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[760][4]~37526_combout\ = (\led_flash_cnt[760][4]~q\ & (!\led_flash_cnt[760][3]~37525\)) # (!\led_flash_cnt[760][4]~q\ & ((\led_flash_cnt[760][3]~37525\) # (GND)))
-- \led_flash_cnt[760][4]~37527\ = CARRY((!\led_flash_cnt[760][3]~37525\) # (!\led_flash_cnt[760][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[760][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[760][3]~37525\,
	combout => \led_flash_cnt[760][4]~37526_combout\,
	cout => \led_flash_cnt[760][4]~37527\);

-- Location: FF_X31_Y36_N25
\led_flash_cnt[760][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[760][4]~37526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[760][4]~q\);

-- Location: LCCOMB_X31_Y36_N2
\WideAnd760~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd760~0_combout\ = (\led_flash_cnt[760][4]~q\ & (\led_flash_cnt[760][2]~q\ & (\led_flash_cnt[760][3]~q\ & \led_flash_cnt[760][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[760][4]~q\,
	datab => \led_flash_cnt[760][2]~q\,
	datac => \led_flash_cnt[760][3]~q\,
	datad => \led_flash_cnt[760][1]~q\,
	combout => \WideAnd760~0_combout\);

-- Location: LCCOMB_X31_Y36_N26
\led_flash_cnt[760][5]~37528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[760][5]~37528_combout\ = (\led_flash_cnt[760][5]~q\ & (\led_flash_cnt[760][4]~37527\ $ (GND))) # (!\led_flash_cnt[760][5]~q\ & (!\led_flash_cnt[760][4]~37527\ & VCC))
-- \led_flash_cnt[760][5]~37529\ = CARRY((\led_flash_cnt[760][5]~q\ & !\led_flash_cnt[760][4]~37527\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[760][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[760][4]~37527\,
	combout => \led_flash_cnt[760][5]~37528_combout\,
	cout => \led_flash_cnt[760][5]~37529\);

-- Location: FF_X31_Y36_N27
\led_flash_cnt[760][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[760][5]~37528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[760][5]~q\);

-- Location: LCCOMB_X31_Y36_N28
\led_flash_cnt[760][6]~37530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[760][6]~37530_combout\ = (\led_flash_cnt[760][6]~q\ & (!\led_flash_cnt[760][5]~37529\)) # (!\led_flash_cnt[760][6]~q\ & ((\led_flash_cnt[760][5]~37529\) # (GND)))
-- \led_flash_cnt[760][6]~37531\ = CARRY((!\led_flash_cnt[760][5]~37529\) # (!\led_flash_cnt[760][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[760][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[760][5]~37529\,
	combout => \led_flash_cnt[760][6]~37530_combout\,
	cout => \led_flash_cnt[760][6]~37531\);

-- Location: FF_X31_Y36_N29
\led_flash_cnt[760][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[760][6]~37530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[760][6]~q\);

-- Location: LCCOMB_X31_Y36_N30
\led_flash_cnt[760][7]~37532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[760][7]~37532_combout\ = \led_flash_cnt[760][7]~q\ $ (!\led_flash_cnt[760][6]~37531\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[760][7]~q\,
	cin => \led_flash_cnt[760][6]~37531\,
	combout => \led_flash_cnt[760][7]~37532_combout\);

-- Location: FF_X31_Y36_N31
\led_flash_cnt[760][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[760][7]~37532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[760][7]~q\);

-- Location: LCCOMB_X32_Y36_N28
\WideAnd760~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd760~1_combout\ = (\led_flash_cnt[760][5]~q\ & \led_flash_cnt[760][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[760][5]~q\,
	datad => \led_flash_cnt[760][6]~q\,
	combout => \WideAnd760~1_combout\);

-- Location: LCCOMB_X31_Y36_N0
WideAnd760 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd760~combout\ = (\led_flash_cnt[760][0]~q\ & (\WideAnd760~0_combout\ & (\led_flash_cnt[760][7]~q\ & \WideAnd760~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[760][0]~q\,
	datab => \WideAnd760~0_combout\,
	datac => \led_flash_cnt[760][7]~q\,
	datad => \WideAnd760~1_combout\,
	combout => \WideAnd760~combout\);

-- Location: FF_X31_Y36_N1
\led_flash_cnt_ands[760]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd760~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(760));

-- Location: LCCOMB_X30_Y38_N8
\led_flash_cnt[761][0]~81401\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[761][0]~81401_combout\ = !\led_flash_cnt[761][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[761][0]~q\,
	combout => \led_flash_cnt[761][0]~81401_combout\);

-- Location: FF_X30_Y38_N9
\led_flash_cnt[761][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[761][0]~81401_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[761][0]~q\);

-- Location: LCCOMB_X31_Y38_N0
\led_flash_cnt[761][1]~37534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[761][1]~37534_combout\ = (\led_flash_cnt[761][0]~q\ & (\led_flash_cnt[761][1]~q\ $ (VCC))) # (!\led_flash_cnt[761][0]~q\ & (\led_flash_cnt[761][1]~q\ & VCC))
-- \led_flash_cnt[761][1]~37535\ = CARRY((\led_flash_cnt[761][0]~q\ & \led_flash_cnt[761][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[761][0]~q\,
	datab => \led_flash_cnt[761][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[761][1]~37534_combout\,
	cout => \led_flash_cnt[761][1]~37535\);

-- Location: FF_X31_Y38_N1
\led_flash_cnt[761][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[761][1]~37534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[761][1]~q\);

-- Location: LCCOMB_X31_Y38_N2
\led_flash_cnt[761][2]~37536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[761][2]~37536_combout\ = (\led_flash_cnt[761][2]~q\ & (!\led_flash_cnt[761][1]~37535\)) # (!\led_flash_cnt[761][2]~q\ & ((\led_flash_cnt[761][1]~37535\) # (GND)))
-- \led_flash_cnt[761][2]~37537\ = CARRY((!\led_flash_cnt[761][1]~37535\) # (!\led_flash_cnt[761][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[761][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[761][1]~37535\,
	combout => \led_flash_cnt[761][2]~37536_combout\,
	cout => \led_flash_cnt[761][2]~37537\);

-- Location: FF_X31_Y38_N3
\led_flash_cnt[761][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[761][2]~37536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[761][2]~q\);

-- Location: LCCOMB_X31_Y38_N4
\led_flash_cnt[761][3]~37538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[761][3]~37538_combout\ = (\led_flash_cnt[761][3]~q\ & (\led_flash_cnt[761][2]~37537\ $ (GND))) # (!\led_flash_cnt[761][3]~q\ & (!\led_flash_cnt[761][2]~37537\ & VCC))
-- \led_flash_cnt[761][3]~37539\ = CARRY((\led_flash_cnt[761][3]~q\ & !\led_flash_cnt[761][2]~37537\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[761][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[761][2]~37537\,
	combout => \led_flash_cnt[761][3]~37538_combout\,
	cout => \led_flash_cnt[761][3]~37539\);

-- Location: FF_X31_Y38_N5
\led_flash_cnt[761][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[761][3]~37538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[761][3]~q\);

-- Location: LCCOMB_X31_Y38_N6
\led_flash_cnt[761][4]~37540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[761][4]~37540_combout\ = (\led_flash_cnt[761][4]~q\ & (!\led_flash_cnt[761][3]~37539\)) # (!\led_flash_cnt[761][4]~q\ & ((\led_flash_cnt[761][3]~37539\) # (GND)))
-- \led_flash_cnt[761][4]~37541\ = CARRY((!\led_flash_cnt[761][3]~37539\) # (!\led_flash_cnt[761][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[761][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[761][3]~37539\,
	combout => \led_flash_cnt[761][4]~37540_combout\,
	cout => \led_flash_cnt[761][4]~37541\);

-- Location: FF_X31_Y38_N7
\led_flash_cnt[761][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[761][4]~37540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[761][4]~q\);

-- Location: LCCOMB_X31_Y38_N8
\led_flash_cnt[761][5]~37542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[761][5]~37542_combout\ = (\led_flash_cnt[761][5]~q\ & (\led_flash_cnt[761][4]~37541\ $ (GND))) # (!\led_flash_cnt[761][5]~q\ & (!\led_flash_cnt[761][4]~37541\ & VCC))
-- \led_flash_cnt[761][5]~37543\ = CARRY((\led_flash_cnt[761][5]~q\ & !\led_flash_cnt[761][4]~37541\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[761][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[761][4]~37541\,
	combout => \led_flash_cnt[761][5]~37542_combout\,
	cout => \led_flash_cnt[761][5]~37543\);

-- Location: FF_X31_Y38_N9
\led_flash_cnt[761][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[761][5]~37542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[761][5]~q\);

-- Location: LCCOMB_X31_Y38_N10
\led_flash_cnt[761][6]~37544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[761][6]~37544_combout\ = (\led_flash_cnt[761][6]~q\ & (!\led_flash_cnt[761][5]~37543\)) # (!\led_flash_cnt[761][6]~q\ & ((\led_flash_cnt[761][5]~37543\) # (GND)))
-- \led_flash_cnt[761][6]~37545\ = CARRY((!\led_flash_cnt[761][5]~37543\) # (!\led_flash_cnt[761][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[761][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[761][5]~37543\,
	combout => \led_flash_cnt[761][6]~37544_combout\,
	cout => \led_flash_cnt[761][6]~37545\);

-- Location: FF_X31_Y38_N11
\led_flash_cnt[761][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[761][6]~37544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[761][6]~q\);

-- Location: LCCOMB_X31_Y38_N12
\led_flash_cnt[761][7]~37546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[761][7]~37546_combout\ = \led_flash_cnt[761][6]~37545\ $ (!\led_flash_cnt[761][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[761][7]~q\,
	cin => \led_flash_cnt[761][6]~37545\,
	combout => \led_flash_cnt[761][7]~37546_combout\);

-- Location: FF_X31_Y38_N13
\led_flash_cnt[761][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[761][7]~37546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[761][7]~q\);

-- Location: LCCOMB_X30_Y38_N10
\WideAnd761~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd761~1_combout\ = (\led_flash_cnt[761][7]~q\ & \led_flash_cnt[761][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[761][7]~q\,
	datac => \led_flash_cnt[761][5]~q\,
	combout => \WideAnd761~1_combout\);

-- Location: LCCOMB_X31_Y38_N30
\WideAnd761~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd761~0_combout\ = (\led_flash_cnt[761][4]~q\ & (\led_flash_cnt[761][1]~q\ & (\led_flash_cnt[761][3]~q\ & \led_flash_cnt[761][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[761][4]~q\,
	datab => \led_flash_cnt[761][1]~q\,
	datac => \led_flash_cnt[761][3]~q\,
	datad => \led_flash_cnt[761][2]~q\,
	combout => \WideAnd761~0_combout\);

-- Location: LCCOMB_X30_Y38_N30
WideAnd761 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd761~combout\ = (\WideAnd761~1_combout\ & (\led_flash_cnt[761][6]~q\ & (\WideAnd761~0_combout\ & \led_flash_cnt[761][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd761~1_combout\,
	datab => \led_flash_cnt[761][6]~q\,
	datac => \WideAnd761~0_combout\,
	datad => \led_flash_cnt[761][0]~q\,
	combout => \WideAnd761~combout\);

-- Location: FF_X30_Y38_N31
\led_flash_cnt_ands[761]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd761~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(761));

-- Location: LCCOMB_X29_Y37_N26
\led_flash_cnt[762][0]~81402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[762][0]~81402_combout\ = !\led_flash_cnt[762][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[762][0]~q\,
	combout => \led_flash_cnt[762][0]~81402_combout\);

-- Location: FF_X29_Y37_N27
\led_flash_cnt[762][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[762][0]~81402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[762][0]~q\);

-- Location: LCCOMB_X30_Y37_N0
\led_flash_cnt[762][1]~37548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[762][1]~37548_combout\ = (\led_flash_cnt[762][0]~q\ & (\led_flash_cnt[762][1]~q\ $ (VCC))) # (!\led_flash_cnt[762][0]~q\ & (\led_flash_cnt[762][1]~q\ & VCC))
-- \led_flash_cnt[762][1]~37549\ = CARRY((\led_flash_cnt[762][0]~q\ & \led_flash_cnt[762][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[762][0]~q\,
	datab => \led_flash_cnt[762][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[762][1]~37548_combout\,
	cout => \led_flash_cnt[762][1]~37549\);

-- Location: FF_X30_Y37_N1
\led_flash_cnt[762][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[762][1]~37548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[762][1]~q\);

-- Location: LCCOMB_X30_Y37_N2
\led_flash_cnt[762][2]~37550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[762][2]~37550_combout\ = (\led_flash_cnt[762][2]~q\ & (!\led_flash_cnt[762][1]~37549\)) # (!\led_flash_cnt[762][2]~q\ & ((\led_flash_cnt[762][1]~37549\) # (GND)))
-- \led_flash_cnt[762][2]~37551\ = CARRY((!\led_flash_cnt[762][1]~37549\) # (!\led_flash_cnt[762][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[762][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[762][1]~37549\,
	combout => \led_flash_cnt[762][2]~37550_combout\,
	cout => \led_flash_cnt[762][2]~37551\);

-- Location: FF_X30_Y37_N3
\led_flash_cnt[762][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[762][2]~37550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[762][2]~q\);

-- Location: LCCOMB_X30_Y37_N4
\led_flash_cnt[762][3]~37552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[762][3]~37552_combout\ = (\led_flash_cnt[762][3]~q\ & (\led_flash_cnt[762][2]~37551\ $ (GND))) # (!\led_flash_cnt[762][3]~q\ & (!\led_flash_cnt[762][2]~37551\ & VCC))
-- \led_flash_cnt[762][3]~37553\ = CARRY((\led_flash_cnt[762][3]~q\ & !\led_flash_cnt[762][2]~37551\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[762][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[762][2]~37551\,
	combout => \led_flash_cnt[762][3]~37552_combout\,
	cout => \led_flash_cnt[762][3]~37553\);

-- Location: FF_X30_Y37_N5
\led_flash_cnt[762][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[762][3]~37552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[762][3]~q\);

-- Location: LCCOMB_X30_Y37_N6
\led_flash_cnt[762][4]~37554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[762][4]~37554_combout\ = (\led_flash_cnt[762][4]~q\ & (!\led_flash_cnt[762][3]~37553\)) # (!\led_flash_cnt[762][4]~q\ & ((\led_flash_cnt[762][3]~37553\) # (GND)))
-- \led_flash_cnt[762][4]~37555\ = CARRY((!\led_flash_cnt[762][3]~37553\) # (!\led_flash_cnt[762][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[762][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[762][3]~37553\,
	combout => \led_flash_cnt[762][4]~37554_combout\,
	cout => \led_flash_cnt[762][4]~37555\);

-- Location: FF_X30_Y37_N7
\led_flash_cnt[762][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[762][4]~37554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[762][4]~q\);

-- Location: LCCOMB_X30_Y37_N16
\WideAnd762~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd762~0_combout\ = (\led_flash_cnt[762][4]~q\ & (\led_flash_cnt[762][2]~q\ & (\led_flash_cnt[762][3]~q\ & \led_flash_cnt[762][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[762][4]~q\,
	datab => \led_flash_cnt[762][2]~q\,
	datac => \led_flash_cnt[762][3]~q\,
	datad => \led_flash_cnt[762][1]~q\,
	combout => \WideAnd762~0_combout\);

-- Location: LCCOMB_X30_Y37_N8
\led_flash_cnt[762][5]~37556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[762][5]~37556_combout\ = (\led_flash_cnt[762][5]~q\ & (\led_flash_cnt[762][4]~37555\ $ (GND))) # (!\led_flash_cnt[762][5]~q\ & (!\led_flash_cnt[762][4]~37555\ & VCC))
-- \led_flash_cnt[762][5]~37557\ = CARRY((\led_flash_cnt[762][5]~q\ & !\led_flash_cnt[762][4]~37555\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[762][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[762][4]~37555\,
	combout => \led_flash_cnt[762][5]~37556_combout\,
	cout => \led_flash_cnt[762][5]~37557\);

-- Location: FF_X30_Y37_N9
\led_flash_cnt[762][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[762][5]~37556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[762][5]~q\);

-- Location: LCCOMB_X30_Y37_N10
\led_flash_cnt[762][6]~37558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[762][6]~37558_combout\ = (\led_flash_cnt[762][6]~q\ & (!\led_flash_cnt[762][5]~37557\)) # (!\led_flash_cnt[762][6]~q\ & ((\led_flash_cnt[762][5]~37557\) # (GND)))
-- \led_flash_cnt[762][6]~37559\ = CARRY((!\led_flash_cnt[762][5]~37557\) # (!\led_flash_cnt[762][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[762][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[762][5]~37557\,
	combout => \led_flash_cnt[762][6]~37558_combout\,
	cout => \led_flash_cnt[762][6]~37559\);

-- Location: FF_X30_Y37_N11
\led_flash_cnt[762][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[762][6]~37558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[762][6]~q\);

-- Location: LCCOMB_X30_Y37_N12
\led_flash_cnt[762][7]~37560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[762][7]~37560_combout\ = \led_flash_cnt[762][6]~37559\ $ (!\led_flash_cnt[762][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[762][7]~q\,
	cin => \led_flash_cnt[762][6]~37559\,
	combout => \led_flash_cnt[762][7]~37560_combout\);

-- Location: FF_X30_Y37_N13
\led_flash_cnt[762][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[762][7]~37560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[762][7]~q\);

-- Location: LCCOMB_X29_Y37_N6
\WideAnd762~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd762~1_combout\ = (\led_flash_cnt[762][6]~q\ & \led_flash_cnt[762][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[762][6]~q\,
	datac => \led_flash_cnt[762][5]~q\,
	combout => \WideAnd762~1_combout\);

-- Location: LCCOMB_X29_Y37_N24
WideAnd762 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd762~combout\ = (\led_flash_cnt[762][0]~q\ & (\WideAnd762~0_combout\ & (\led_flash_cnt[762][7]~q\ & \WideAnd762~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[762][0]~q\,
	datab => \WideAnd762~0_combout\,
	datac => \led_flash_cnt[762][7]~q\,
	datad => \WideAnd762~1_combout\,
	combout => \WideAnd762~combout\);

-- Location: FF_X29_Y37_N25
\led_flash_cnt_ands[762]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd762~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(762));

-- Location: LCCOMB_X29_Y37_N0
\WideAnd3935~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3935~0_combout\ = (led_flash_cnt_ands(763) & (led_flash_cnt_ands(760) & (led_flash_cnt_ands(761) & led_flash_cnt_ands(762))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(763),
	datab => led_flash_cnt_ands(760),
	datac => led_flash_cnt_ands(761),
	datad => led_flash_cnt_ands(762),
	combout => \WideAnd3935~0_combout\);

-- Location: LCCOMB_X27_Y38_N22
\led_flash_cnt[767][0]~81407\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[767][0]~81407_combout\ = !\led_flash_cnt[767][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[767][0]~q\,
	combout => \led_flash_cnt[767][0]~81407_combout\);

-- Location: FF_X27_Y38_N23
\led_flash_cnt[767][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[767][0]~81407_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[767][0]~q\);

-- Location: LCCOMB_X27_Y38_N2
\led_flash_cnt[767][1]~37618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[767][1]~37618_combout\ = (\led_flash_cnt[767][0]~q\ & (\led_flash_cnt[767][1]~q\ $ (VCC))) # (!\led_flash_cnt[767][0]~q\ & (\led_flash_cnt[767][1]~q\ & VCC))
-- \led_flash_cnt[767][1]~37619\ = CARRY((\led_flash_cnt[767][0]~q\ & \led_flash_cnt[767][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[767][0]~q\,
	datab => \led_flash_cnt[767][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[767][1]~37618_combout\,
	cout => \led_flash_cnt[767][1]~37619\);

-- Location: FF_X27_Y38_N3
\led_flash_cnt[767][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[767][1]~37618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[767][1]~q\);

-- Location: LCCOMB_X27_Y38_N4
\led_flash_cnt[767][2]~37620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[767][2]~37620_combout\ = (\led_flash_cnt[767][2]~q\ & (!\led_flash_cnt[767][1]~37619\)) # (!\led_flash_cnt[767][2]~q\ & ((\led_flash_cnt[767][1]~37619\) # (GND)))
-- \led_flash_cnt[767][2]~37621\ = CARRY((!\led_flash_cnt[767][1]~37619\) # (!\led_flash_cnt[767][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[767][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[767][1]~37619\,
	combout => \led_flash_cnt[767][2]~37620_combout\,
	cout => \led_flash_cnt[767][2]~37621\);

-- Location: FF_X27_Y38_N5
\led_flash_cnt[767][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[767][2]~37620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[767][2]~q\);

-- Location: LCCOMB_X27_Y38_N6
\led_flash_cnt[767][3]~37622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[767][3]~37622_combout\ = (\led_flash_cnt[767][3]~q\ & (\led_flash_cnt[767][2]~37621\ $ (GND))) # (!\led_flash_cnt[767][3]~q\ & (!\led_flash_cnt[767][2]~37621\ & VCC))
-- \led_flash_cnt[767][3]~37623\ = CARRY((\led_flash_cnt[767][3]~q\ & !\led_flash_cnt[767][2]~37621\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[767][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[767][2]~37621\,
	combout => \led_flash_cnt[767][3]~37622_combout\,
	cout => \led_flash_cnt[767][3]~37623\);

-- Location: FF_X27_Y38_N7
\led_flash_cnt[767][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[767][3]~37622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[767][3]~q\);

-- Location: LCCOMB_X27_Y38_N8
\led_flash_cnt[767][4]~37624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[767][4]~37624_combout\ = (\led_flash_cnt[767][4]~q\ & (!\led_flash_cnt[767][3]~37623\)) # (!\led_flash_cnt[767][4]~q\ & ((\led_flash_cnt[767][3]~37623\) # (GND)))
-- \led_flash_cnt[767][4]~37625\ = CARRY((!\led_flash_cnt[767][3]~37623\) # (!\led_flash_cnt[767][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[767][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[767][3]~37623\,
	combout => \led_flash_cnt[767][4]~37624_combout\,
	cout => \led_flash_cnt[767][4]~37625\);

-- Location: FF_X27_Y38_N9
\led_flash_cnt[767][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[767][4]~37624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[767][4]~q\);

-- Location: LCCOMB_X27_Y38_N10
\led_flash_cnt[767][5]~37626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[767][5]~37626_combout\ = (\led_flash_cnt[767][5]~q\ & (\led_flash_cnt[767][4]~37625\ $ (GND))) # (!\led_flash_cnt[767][5]~q\ & (!\led_flash_cnt[767][4]~37625\ & VCC))
-- \led_flash_cnt[767][5]~37627\ = CARRY((\led_flash_cnt[767][5]~q\ & !\led_flash_cnt[767][4]~37625\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[767][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[767][4]~37625\,
	combout => \led_flash_cnt[767][5]~37626_combout\,
	cout => \led_flash_cnt[767][5]~37627\);

-- Location: FF_X27_Y38_N11
\led_flash_cnt[767][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[767][5]~37626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[767][5]~q\);

-- Location: LCCOMB_X27_Y38_N12
\led_flash_cnt[767][6]~37628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[767][6]~37628_combout\ = (\led_flash_cnt[767][6]~q\ & (!\led_flash_cnt[767][5]~37627\)) # (!\led_flash_cnt[767][6]~q\ & ((\led_flash_cnt[767][5]~37627\) # (GND)))
-- \led_flash_cnt[767][6]~37629\ = CARRY((!\led_flash_cnt[767][5]~37627\) # (!\led_flash_cnt[767][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[767][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[767][5]~37627\,
	combout => \led_flash_cnt[767][6]~37628_combout\,
	cout => \led_flash_cnt[767][6]~37629\);

-- Location: FF_X27_Y38_N13
\led_flash_cnt[767][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[767][6]~37628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[767][6]~q\);

-- Location: LCCOMB_X27_Y38_N16
\WideAnd767~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd767~1_combout\ = (\led_flash_cnt[767][5]~q\ & \led_flash_cnt[767][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[767][5]~q\,
	datad => \led_flash_cnt[767][6]~q\,
	combout => \WideAnd767~1_combout\);

-- Location: LCCOMB_X27_Y38_N14
\led_flash_cnt[767][7]~37630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[767][7]~37630_combout\ = \led_flash_cnt[767][7]~q\ $ (!\led_flash_cnt[767][6]~37629\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[767][7]~q\,
	cin => \led_flash_cnt[767][6]~37629\,
	combout => \led_flash_cnt[767][7]~37630_combout\);

-- Location: FF_X27_Y38_N15
\led_flash_cnt[767][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[767][7]~37630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[767][7]~q\);

-- Location: LCCOMB_X27_Y38_N20
\WideAnd767~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd767~0_combout\ = (\led_flash_cnt[767][3]~q\ & (\led_flash_cnt[767][2]~q\ & (\led_flash_cnt[767][4]~q\ & \led_flash_cnt[767][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[767][3]~q\,
	datab => \led_flash_cnt[767][2]~q\,
	datac => \led_flash_cnt[767][4]~q\,
	datad => \led_flash_cnt[767][1]~q\,
	combout => \WideAnd767~0_combout\);

-- Location: LCCOMB_X27_Y38_N28
WideAnd767 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd767~combout\ = (\led_flash_cnt[767][0]~q\ & (\WideAnd767~1_combout\ & (\led_flash_cnt[767][7]~q\ & \WideAnd767~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[767][0]~q\,
	datab => \WideAnd767~1_combout\,
	datac => \led_flash_cnt[767][7]~q\,
	datad => \WideAnd767~0_combout\,
	combout => \WideAnd767~combout\);

-- Location: FF_X27_Y38_N29
\led_flash_cnt_ands[767]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd767~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(767));

-- Location: LCCOMB_X13_Y34_N20
\led_flash_cnt[764][0]~81404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[764][0]~81404_combout\ = !\led_flash_cnt[764][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[764][0]~q\,
	combout => \led_flash_cnt[764][0]~81404_combout\);

-- Location: FF_X13_Y34_N21
\led_flash_cnt[764][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[764][0]~81404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[764][0]~q\);

-- Location: LCCOMB_X16_Y34_N2
\led_flash_cnt[764][1]~37576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[764][1]~37576_combout\ = (\led_flash_cnt[764][0]~q\ & (\led_flash_cnt[764][1]~q\ $ (VCC))) # (!\led_flash_cnt[764][0]~q\ & (\led_flash_cnt[764][1]~q\ & VCC))
-- \led_flash_cnt[764][1]~37577\ = CARRY((\led_flash_cnt[764][0]~q\ & \led_flash_cnt[764][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[764][0]~q\,
	datab => \led_flash_cnt[764][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[764][1]~37576_combout\,
	cout => \led_flash_cnt[764][1]~37577\);

-- Location: FF_X16_Y34_N3
\led_flash_cnt[764][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[764][1]~37576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[764][1]~q\);

-- Location: LCCOMB_X16_Y34_N4
\led_flash_cnt[764][2]~37578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[764][2]~37578_combout\ = (\led_flash_cnt[764][2]~q\ & (!\led_flash_cnt[764][1]~37577\)) # (!\led_flash_cnt[764][2]~q\ & ((\led_flash_cnt[764][1]~37577\) # (GND)))
-- \led_flash_cnt[764][2]~37579\ = CARRY((!\led_flash_cnt[764][1]~37577\) # (!\led_flash_cnt[764][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[764][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[764][1]~37577\,
	combout => \led_flash_cnt[764][2]~37578_combout\,
	cout => \led_flash_cnt[764][2]~37579\);

-- Location: FF_X16_Y34_N5
\led_flash_cnt[764][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[764][2]~37578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[764][2]~q\);

-- Location: LCCOMB_X16_Y34_N6
\led_flash_cnt[764][3]~37580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[764][3]~37580_combout\ = (\led_flash_cnt[764][3]~q\ & (\led_flash_cnt[764][2]~37579\ $ (GND))) # (!\led_flash_cnt[764][3]~q\ & (!\led_flash_cnt[764][2]~37579\ & VCC))
-- \led_flash_cnt[764][3]~37581\ = CARRY((\led_flash_cnt[764][3]~q\ & !\led_flash_cnt[764][2]~37579\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[764][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[764][2]~37579\,
	combout => \led_flash_cnt[764][3]~37580_combout\,
	cout => \led_flash_cnt[764][3]~37581\);

-- Location: FF_X16_Y34_N7
\led_flash_cnt[764][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[764][3]~37580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[764][3]~q\);

-- Location: LCCOMB_X16_Y34_N8
\led_flash_cnt[764][4]~37582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[764][4]~37582_combout\ = (\led_flash_cnt[764][4]~q\ & (!\led_flash_cnt[764][3]~37581\)) # (!\led_flash_cnt[764][4]~q\ & ((\led_flash_cnt[764][3]~37581\) # (GND)))
-- \led_flash_cnt[764][4]~37583\ = CARRY((!\led_flash_cnt[764][3]~37581\) # (!\led_flash_cnt[764][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[764][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[764][3]~37581\,
	combout => \led_flash_cnt[764][4]~37582_combout\,
	cout => \led_flash_cnt[764][4]~37583\);

-- Location: FF_X16_Y34_N9
\led_flash_cnt[764][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[764][4]~37582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[764][4]~q\);

-- Location: LCCOMB_X16_Y34_N10
\led_flash_cnt[764][5]~37584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[764][5]~37584_combout\ = (\led_flash_cnt[764][5]~q\ & (\led_flash_cnt[764][4]~37583\ $ (GND))) # (!\led_flash_cnt[764][5]~q\ & (!\led_flash_cnt[764][4]~37583\ & VCC))
-- \led_flash_cnt[764][5]~37585\ = CARRY((\led_flash_cnt[764][5]~q\ & !\led_flash_cnt[764][4]~37583\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[764][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[764][4]~37583\,
	combout => \led_flash_cnt[764][5]~37584_combout\,
	cout => \led_flash_cnt[764][5]~37585\);

-- Location: FF_X16_Y34_N11
\led_flash_cnt[764][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[764][5]~37584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[764][5]~q\);

-- Location: LCCOMB_X16_Y34_N12
\led_flash_cnt[764][6]~37586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[764][6]~37586_combout\ = (\led_flash_cnt[764][6]~q\ & (!\led_flash_cnt[764][5]~37585\)) # (!\led_flash_cnt[764][6]~q\ & ((\led_flash_cnt[764][5]~37585\) # (GND)))
-- \led_flash_cnt[764][6]~37587\ = CARRY((!\led_flash_cnt[764][5]~37585\) # (!\led_flash_cnt[764][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[764][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[764][5]~37585\,
	combout => \led_flash_cnt[764][6]~37586_combout\,
	cout => \led_flash_cnt[764][6]~37587\);

-- Location: FF_X16_Y34_N13
\led_flash_cnt[764][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[764][6]~37586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[764][6]~q\);

-- Location: LCCOMB_X16_Y34_N14
\led_flash_cnt[764][7]~37588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[764][7]~37588_combout\ = \led_flash_cnt[764][7]~q\ $ (!\led_flash_cnt[764][6]~37587\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[764][7]~q\,
	cin => \led_flash_cnt[764][6]~37587\,
	combout => \led_flash_cnt[764][7]~37588_combout\);

-- Location: FF_X16_Y34_N15
\led_flash_cnt[764][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[764][7]~37588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[764][7]~q\);

-- Location: LCCOMB_X17_Y34_N30
\WideAnd764~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd764~0_combout\ = (\led_flash_cnt[764][4]~q\ & (\led_flash_cnt[764][3]~q\ & (\led_flash_cnt[764][2]~q\ & \led_flash_cnt[764][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[764][4]~q\,
	datab => \led_flash_cnt[764][3]~q\,
	datac => \led_flash_cnt[764][2]~q\,
	datad => \led_flash_cnt[764][1]~q\,
	combout => \WideAnd764~0_combout\);

-- Location: LCCOMB_X15_Y34_N2
\WideAnd764~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd764~1_combout\ = (\led_flash_cnt[764][5]~q\ & \led_flash_cnt[764][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[764][5]~q\,
	datac => \led_flash_cnt[764][6]~q\,
	combout => \WideAnd764~1_combout\);

-- Location: LCCOMB_X16_Y34_N16
WideAnd764 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd764~combout\ = (\led_flash_cnt[764][0]~q\ & (\led_flash_cnt[764][7]~q\ & (\WideAnd764~0_combout\ & \WideAnd764~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[764][0]~q\,
	datab => \led_flash_cnt[764][7]~q\,
	datac => \WideAnd764~0_combout\,
	datad => \WideAnd764~1_combout\,
	combout => \WideAnd764~combout\);

-- Location: FF_X16_Y34_N17
\led_flash_cnt_ands[764]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd764~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(764));

-- Location: LCCOMB_X19_Y32_N6
\led_flash_cnt[765][0]~81405\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[765][0]~81405_combout\ = !\led_flash_cnt[765][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[765][0]~q\,
	combout => \led_flash_cnt[765][0]~81405_combout\);

-- Location: FF_X19_Y32_N7
\led_flash_cnt[765][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[765][0]~81405_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[765][0]~q\);

-- Location: LCCOMB_X20_Y32_N0
\led_flash_cnt[765][1]~37590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[765][1]~37590_combout\ = (\led_flash_cnt[765][0]~q\ & (\led_flash_cnt[765][1]~q\ $ (VCC))) # (!\led_flash_cnt[765][0]~q\ & (\led_flash_cnt[765][1]~q\ & VCC))
-- \led_flash_cnt[765][1]~37591\ = CARRY((\led_flash_cnt[765][0]~q\ & \led_flash_cnt[765][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[765][0]~q\,
	datab => \led_flash_cnt[765][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[765][1]~37590_combout\,
	cout => \led_flash_cnt[765][1]~37591\);

-- Location: FF_X20_Y32_N1
\led_flash_cnt[765][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[765][1]~37590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[765][1]~q\);

-- Location: LCCOMB_X20_Y32_N2
\led_flash_cnt[765][2]~37592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[765][2]~37592_combout\ = (\led_flash_cnt[765][2]~q\ & (!\led_flash_cnt[765][1]~37591\)) # (!\led_flash_cnt[765][2]~q\ & ((\led_flash_cnt[765][1]~37591\) # (GND)))
-- \led_flash_cnt[765][2]~37593\ = CARRY((!\led_flash_cnt[765][1]~37591\) # (!\led_flash_cnt[765][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[765][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[765][1]~37591\,
	combout => \led_flash_cnt[765][2]~37592_combout\,
	cout => \led_flash_cnt[765][2]~37593\);

-- Location: FF_X20_Y32_N3
\led_flash_cnt[765][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[765][2]~37592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[765][2]~q\);

-- Location: LCCOMB_X20_Y32_N4
\led_flash_cnt[765][3]~37594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[765][3]~37594_combout\ = (\led_flash_cnt[765][3]~q\ & (\led_flash_cnt[765][2]~37593\ $ (GND))) # (!\led_flash_cnt[765][3]~q\ & (!\led_flash_cnt[765][2]~37593\ & VCC))
-- \led_flash_cnt[765][3]~37595\ = CARRY((\led_flash_cnt[765][3]~q\ & !\led_flash_cnt[765][2]~37593\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[765][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[765][2]~37593\,
	combout => \led_flash_cnt[765][3]~37594_combout\,
	cout => \led_flash_cnt[765][3]~37595\);

-- Location: FF_X20_Y32_N5
\led_flash_cnt[765][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[765][3]~37594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[765][3]~q\);

-- Location: LCCOMB_X20_Y32_N6
\led_flash_cnt[765][4]~37596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[765][4]~37596_combout\ = (\led_flash_cnt[765][4]~q\ & (!\led_flash_cnt[765][3]~37595\)) # (!\led_flash_cnt[765][4]~q\ & ((\led_flash_cnt[765][3]~37595\) # (GND)))
-- \led_flash_cnt[765][4]~37597\ = CARRY((!\led_flash_cnt[765][3]~37595\) # (!\led_flash_cnt[765][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[765][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[765][3]~37595\,
	combout => \led_flash_cnt[765][4]~37596_combout\,
	cout => \led_flash_cnt[765][4]~37597\);

-- Location: FF_X20_Y32_N7
\led_flash_cnt[765][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[765][4]~37596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[765][4]~q\);

-- Location: LCCOMB_X20_Y32_N8
\led_flash_cnt[765][5]~37598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[765][5]~37598_combout\ = (\led_flash_cnt[765][5]~q\ & (\led_flash_cnt[765][4]~37597\ $ (GND))) # (!\led_flash_cnt[765][5]~q\ & (!\led_flash_cnt[765][4]~37597\ & VCC))
-- \led_flash_cnt[765][5]~37599\ = CARRY((\led_flash_cnt[765][5]~q\ & !\led_flash_cnt[765][4]~37597\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[765][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[765][4]~37597\,
	combout => \led_flash_cnt[765][5]~37598_combout\,
	cout => \led_flash_cnt[765][5]~37599\);

-- Location: FF_X20_Y32_N9
\led_flash_cnt[765][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[765][5]~37598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[765][5]~q\);

-- Location: LCCOMB_X20_Y32_N10
\led_flash_cnt[765][6]~37600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[765][6]~37600_combout\ = (\led_flash_cnt[765][6]~q\ & (!\led_flash_cnt[765][5]~37599\)) # (!\led_flash_cnt[765][6]~q\ & ((\led_flash_cnt[765][5]~37599\) # (GND)))
-- \led_flash_cnt[765][6]~37601\ = CARRY((!\led_flash_cnt[765][5]~37599\) # (!\led_flash_cnt[765][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[765][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[765][5]~37599\,
	combout => \led_flash_cnt[765][6]~37600_combout\,
	cout => \led_flash_cnt[765][6]~37601\);

-- Location: FF_X20_Y32_N11
\led_flash_cnt[765][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[765][6]~37600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[765][6]~q\);

-- Location: LCCOMB_X19_Y32_N26
\WideAnd765~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd765~1_combout\ = (\led_flash_cnt[765][6]~q\ & \led_flash_cnt[765][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[765][6]~q\,
	datac => \led_flash_cnt[765][5]~q\,
	combout => \WideAnd765~1_combout\);

-- Location: LCCOMB_X20_Y32_N28
\WideAnd765~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd765~0_combout\ = (\led_flash_cnt[765][4]~q\ & (\led_flash_cnt[765][1]~q\ & (\led_flash_cnt[765][3]~q\ & \led_flash_cnt[765][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[765][4]~q\,
	datab => \led_flash_cnt[765][1]~q\,
	datac => \led_flash_cnt[765][3]~q\,
	datad => \led_flash_cnt[765][2]~q\,
	combout => \WideAnd765~0_combout\);

-- Location: LCCOMB_X20_Y32_N12
\led_flash_cnt[765][7]~37602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[765][7]~37602_combout\ = \led_flash_cnt[765][6]~37601\ $ (!\led_flash_cnt[765][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[765][7]~q\,
	cin => \led_flash_cnt[765][6]~37601\,
	combout => \led_flash_cnt[765][7]~37602_combout\);

-- Location: FF_X20_Y32_N13
\led_flash_cnt[765][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[765][7]~37602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[765][7]~q\);

-- Location: LCCOMB_X19_Y32_N0
WideAnd765 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd765~combout\ = (\WideAnd765~1_combout\ & (\WideAnd765~0_combout\ & (\led_flash_cnt[765][7]~q\ & \led_flash_cnt[765][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd765~1_combout\,
	datab => \WideAnd765~0_combout\,
	datac => \led_flash_cnt[765][7]~q\,
	datad => \led_flash_cnt[765][0]~q\,
	combout => \WideAnd765~combout\);

-- Location: FF_X19_Y32_N1
\led_flash_cnt_ands[765]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd765~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(765));

-- Location: LCCOMB_X19_Y34_N10
\WideAnd3935~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3935~1_combout\ = (led_flash_cnt_ands(764) & led_flash_cnt_ands(765))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(764),
	datad => led_flash_cnt_ands(765),
	combout => \WideAnd3935~1_combout\);

-- Location: LCCOMB_X27_Y38_N18
\led_flash_cnt[766][0]~81406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[766][0]~81406_combout\ = !\led_flash_cnt[766][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[766][0]~q\,
	combout => \led_flash_cnt[766][0]~81406_combout\);

-- Location: FF_X27_Y38_N19
\led_flash_cnt[766][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[766][0]~81406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[766][0]~q\);

-- Location: LCCOMB_X26_Y38_N0
\led_flash_cnt[766][1]~37604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[766][1]~37604_combout\ = (\led_flash_cnt[766][0]~q\ & (\led_flash_cnt[766][1]~q\ $ (VCC))) # (!\led_flash_cnt[766][0]~q\ & (\led_flash_cnt[766][1]~q\ & VCC))
-- \led_flash_cnt[766][1]~37605\ = CARRY((\led_flash_cnt[766][0]~q\ & \led_flash_cnt[766][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[766][0]~q\,
	datab => \led_flash_cnt[766][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[766][1]~37604_combout\,
	cout => \led_flash_cnt[766][1]~37605\);

-- Location: FF_X26_Y38_N1
\led_flash_cnt[766][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[766][1]~37604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[766][1]~q\);

-- Location: LCCOMB_X26_Y38_N2
\led_flash_cnt[766][2]~37606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[766][2]~37606_combout\ = (\led_flash_cnt[766][2]~q\ & (!\led_flash_cnt[766][1]~37605\)) # (!\led_flash_cnt[766][2]~q\ & ((\led_flash_cnt[766][1]~37605\) # (GND)))
-- \led_flash_cnt[766][2]~37607\ = CARRY((!\led_flash_cnt[766][1]~37605\) # (!\led_flash_cnt[766][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[766][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[766][1]~37605\,
	combout => \led_flash_cnt[766][2]~37606_combout\,
	cout => \led_flash_cnt[766][2]~37607\);

-- Location: FF_X26_Y38_N3
\led_flash_cnt[766][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[766][2]~37606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[766][2]~q\);

-- Location: LCCOMB_X26_Y38_N4
\led_flash_cnt[766][3]~37608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[766][3]~37608_combout\ = (\led_flash_cnt[766][3]~q\ & (\led_flash_cnt[766][2]~37607\ $ (GND))) # (!\led_flash_cnt[766][3]~q\ & (!\led_flash_cnt[766][2]~37607\ & VCC))
-- \led_flash_cnt[766][3]~37609\ = CARRY((\led_flash_cnt[766][3]~q\ & !\led_flash_cnt[766][2]~37607\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[766][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[766][2]~37607\,
	combout => \led_flash_cnt[766][3]~37608_combout\,
	cout => \led_flash_cnt[766][3]~37609\);

-- Location: FF_X26_Y38_N5
\led_flash_cnt[766][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[766][3]~37608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[766][3]~q\);

-- Location: LCCOMB_X26_Y38_N6
\led_flash_cnt[766][4]~37610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[766][4]~37610_combout\ = (\led_flash_cnt[766][4]~q\ & (!\led_flash_cnt[766][3]~37609\)) # (!\led_flash_cnt[766][4]~q\ & ((\led_flash_cnt[766][3]~37609\) # (GND)))
-- \led_flash_cnt[766][4]~37611\ = CARRY((!\led_flash_cnt[766][3]~37609\) # (!\led_flash_cnt[766][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[766][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[766][3]~37609\,
	combout => \led_flash_cnt[766][4]~37610_combout\,
	cout => \led_flash_cnt[766][4]~37611\);

-- Location: FF_X26_Y38_N7
\led_flash_cnt[766][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[766][4]~37610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[766][4]~q\);

-- Location: LCCOMB_X26_Y38_N8
\led_flash_cnt[766][5]~37612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[766][5]~37612_combout\ = (\led_flash_cnt[766][5]~q\ & (\led_flash_cnt[766][4]~37611\ $ (GND))) # (!\led_flash_cnt[766][5]~q\ & (!\led_flash_cnt[766][4]~37611\ & VCC))
-- \led_flash_cnt[766][5]~37613\ = CARRY((\led_flash_cnt[766][5]~q\ & !\led_flash_cnt[766][4]~37611\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[766][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[766][4]~37611\,
	combout => \led_flash_cnt[766][5]~37612_combout\,
	cout => \led_flash_cnt[766][5]~37613\);

-- Location: FF_X26_Y38_N9
\led_flash_cnt[766][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[766][5]~37612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[766][5]~q\);

-- Location: LCCOMB_X26_Y38_N10
\led_flash_cnt[766][6]~37614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[766][6]~37614_combout\ = (\led_flash_cnt[766][6]~q\ & (!\led_flash_cnt[766][5]~37613\)) # (!\led_flash_cnt[766][6]~q\ & ((\led_flash_cnt[766][5]~37613\) # (GND)))
-- \led_flash_cnt[766][6]~37615\ = CARRY((!\led_flash_cnt[766][5]~37613\) # (!\led_flash_cnt[766][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[766][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[766][5]~37613\,
	combout => \led_flash_cnt[766][6]~37614_combout\,
	cout => \led_flash_cnt[766][6]~37615\);

-- Location: FF_X26_Y38_N11
\led_flash_cnt[766][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[766][6]~37614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[766][6]~q\);

-- Location: LCCOMB_X26_Y38_N12
\led_flash_cnt[766][7]~37616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[766][7]~37616_combout\ = \led_flash_cnt[766][6]~37615\ $ (!\led_flash_cnt[766][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[766][7]~q\,
	cin => \led_flash_cnt[766][6]~37615\,
	combout => \led_flash_cnt[766][7]~37616_combout\);

-- Location: FF_X26_Y38_N13
\led_flash_cnt[766][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[766][7]~37616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[766][7]~q\);

-- Location: LCCOMB_X26_Y38_N28
\WideAnd766~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd766~0_combout\ = (\led_flash_cnt[766][4]~q\ & (\led_flash_cnt[766][1]~q\ & (\led_flash_cnt[766][3]~q\ & \led_flash_cnt[766][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[766][4]~q\,
	datab => \led_flash_cnt[766][1]~q\,
	datac => \led_flash_cnt[766][3]~q\,
	datad => \led_flash_cnt[766][2]~q\,
	combout => \WideAnd766~0_combout\);

-- Location: LCCOMB_X27_Y38_N26
\WideAnd766~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd766~1_combout\ = (\led_flash_cnt[766][6]~q\ & \led_flash_cnt[766][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[766][6]~q\,
	datad => \led_flash_cnt[766][5]~q\,
	combout => \WideAnd766~1_combout\);

-- Location: LCCOMB_X27_Y38_N24
WideAnd766 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd766~combout\ = (\led_flash_cnt[766][7]~q\ & (\WideAnd766~0_combout\ & (\WideAnd766~1_combout\ & \led_flash_cnt[766][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[766][7]~q\,
	datab => \WideAnd766~0_combout\,
	datac => \WideAnd766~1_combout\,
	datad => \led_flash_cnt[766][0]~q\,
	combout => \WideAnd766~combout\);

-- Location: FF_X27_Y38_N25
\led_flash_cnt_ands[766]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd766~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(766));

-- Location: LCCOMB_X27_Y38_N30
WideAnd3935 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3935~combout\ = (\WideAnd3935~0_combout\ & (led_flash_cnt_ands(767) & (\WideAnd3935~1_combout\ & led_flash_cnt_ands(766))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3935~0_combout\,
	datab => led_flash_cnt_ands(767),
	datac => \WideAnd3935~1_combout\,
	datad => led_flash_cnt_ands(766),
	combout => \WideAnd3935~combout\);

-- Location: FF_X27_Y38_N31
\led_flash_cnt_ands_1[95]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3935~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(95));

-- Location: LCCOMB_X61_Y25_N28
WideAnd4331 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4331~combout\ = (\WideAnd4331~1_combout\ & (\WideAnd4331~0_combout\ & (led_flash_cnt_ands_1(94) & led_flash_cnt_ands_1(95))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4331~1_combout\,
	datab => \WideAnd4331~0_combout\,
	datac => led_flash_cnt_ands_1(94),
	datad => led_flash_cnt_ands_1(95),
	combout => \WideAnd4331~combout\);

-- Location: FF_X61_Y25_N29
\led_flash_cnt_ands_2[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4331~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(11));

-- Location: LCCOMB_X41_Y36_N12
\led_flash_cnt[693][0]~81333\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[693][0]~81333_combout\ = !\led_flash_cnt[693][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[693][0]~q\,
	combout => \led_flash_cnt[693][0]~81333_combout\);

-- Location: FF_X41_Y36_N13
\led_flash_cnt[693][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[693][0]~81333_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[693][0]~q\);

-- Location: LCCOMB_X41_Y36_N18
\led_flash_cnt[693][1]~36582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[693][1]~36582_combout\ = (\led_flash_cnt[693][0]~q\ & (\led_flash_cnt[693][1]~q\ $ (VCC))) # (!\led_flash_cnt[693][0]~q\ & (\led_flash_cnt[693][1]~q\ & VCC))
-- \led_flash_cnt[693][1]~36583\ = CARRY((\led_flash_cnt[693][0]~q\ & \led_flash_cnt[693][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[693][0]~q\,
	datab => \led_flash_cnt[693][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[693][1]~36582_combout\,
	cout => \led_flash_cnt[693][1]~36583\);

-- Location: FF_X41_Y36_N19
\led_flash_cnt[693][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[693][1]~36582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[693][1]~q\);

-- Location: LCCOMB_X41_Y36_N20
\led_flash_cnt[693][2]~36584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[693][2]~36584_combout\ = (\led_flash_cnt[693][2]~q\ & (!\led_flash_cnt[693][1]~36583\)) # (!\led_flash_cnt[693][2]~q\ & ((\led_flash_cnt[693][1]~36583\) # (GND)))
-- \led_flash_cnt[693][2]~36585\ = CARRY((!\led_flash_cnt[693][1]~36583\) # (!\led_flash_cnt[693][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[693][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[693][1]~36583\,
	combout => \led_flash_cnt[693][2]~36584_combout\,
	cout => \led_flash_cnt[693][2]~36585\);

-- Location: FF_X41_Y36_N21
\led_flash_cnt[693][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[693][2]~36584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[693][2]~q\);

-- Location: LCCOMB_X41_Y36_N22
\led_flash_cnt[693][3]~36586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[693][3]~36586_combout\ = (\led_flash_cnt[693][3]~q\ & (\led_flash_cnt[693][2]~36585\ $ (GND))) # (!\led_flash_cnt[693][3]~q\ & (!\led_flash_cnt[693][2]~36585\ & VCC))
-- \led_flash_cnt[693][3]~36587\ = CARRY((\led_flash_cnt[693][3]~q\ & !\led_flash_cnt[693][2]~36585\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[693][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[693][2]~36585\,
	combout => \led_flash_cnt[693][3]~36586_combout\,
	cout => \led_flash_cnt[693][3]~36587\);

-- Location: FF_X41_Y36_N23
\led_flash_cnt[693][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[693][3]~36586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[693][3]~q\);

-- Location: LCCOMB_X41_Y36_N24
\led_flash_cnt[693][4]~36588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[693][4]~36588_combout\ = (\led_flash_cnt[693][4]~q\ & (!\led_flash_cnt[693][3]~36587\)) # (!\led_flash_cnt[693][4]~q\ & ((\led_flash_cnt[693][3]~36587\) # (GND)))
-- \led_flash_cnt[693][4]~36589\ = CARRY((!\led_flash_cnt[693][3]~36587\) # (!\led_flash_cnt[693][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[693][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[693][3]~36587\,
	combout => \led_flash_cnt[693][4]~36588_combout\,
	cout => \led_flash_cnt[693][4]~36589\);

-- Location: FF_X41_Y36_N25
\led_flash_cnt[693][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[693][4]~36588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[693][4]~q\);

-- Location: LCCOMB_X41_Y36_N26
\led_flash_cnt[693][5]~36590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[693][5]~36590_combout\ = (\led_flash_cnt[693][5]~q\ & (\led_flash_cnt[693][4]~36589\ $ (GND))) # (!\led_flash_cnt[693][5]~q\ & (!\led_flash_cnt[693][4]~36589\ & VCC))
-- \led_flash_cnt[693][5]~36591\ = CARRY((\led_flash_cnt[693][5]~q\ & !\led_flash_cnt[693][4]~36589\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[693][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[693][4]~36589\,
	combout => \led_flash_cnt[693][5]~36590_combout\,
	cout => \led_flash_cnt[693][5]~36591\);

-- Location: FF_X41_Y36_N27
\led_flash_cnt[693][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[693][5]~36590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[693][5]~q\);

-- Location: LCCOMB_X41_Y36_N28
\led_flash_cnt[693][6]~36592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[693][6]~36592_combout\ = (\led_flash_cnt[693][6]~q\ & (!\led_flash_cnt[693][5]~36591\)) # (!\led_flash_cnt[693][6]~q\ & ((\led_flash_cnt[693][5]~36591\) # (GND)))
-- \led_flash_cnt[693][6]~36593\ = CARRY((!\led_flash_cnt[693][5]~36591\) # (!\led_flash_cnt[693][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[693][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[693][5]~36591\,
	combout => \led_flash_cnt[693][6]~36592_combout\,
	cout => \led_flash_cnt[693][6]~36593\);

-- Location: FF_X41_Y36_N29
\led_flash_cnt[693][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[693][6]~36592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[693][6]~q\);

-- Location: LCCOMB_X41_Y36_N6
\WideAnd693~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd693~1_combout\ = (\led_flash_cnt[693][5]~q\ & \led_flash_cnt[693][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[693][5]~q\,
	datad => \led_flash_cnt[693][6]~q\,
	combout => \WideAnd693~1_combout\);

-- Location: LCCOMB_X41_Y36_N8
\WideAnd693~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd693~0_combout\ = (\led_flash_cnt[693][4]~q\ & (\led_flash_cnt[693][2]~q\ & (\led_flash_cnt[693][3]~q\ & \led_flash_cnt[693][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[693][4]~q\,
	datab => \led_flash_cnt[693][2]~q\,
	datac => \led_flash_cnt[693][3]~q\,
	datad => \led_flash_cnt[693][1]~q\,
	combout => \WideAnd693~0_combout\);

-- Location: LCCOMB_X41_Y36_N30
\led_flash_cnt[693][7]~36594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[693][7]~36594_combout\ = \led_flash_cnt[693][7]~q\ $ (!\led_flash_cnt[693][6]~36593\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[693][7]~q\,
	cin => \led_flash_cnt[693][6]~36593\,
	combout => \led_flash_cnt[693][7]~36594_combout\);

-- Location: FF_X41_Y36_N31
\led_flash_cnt[693][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[693][7]~36594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[693][7]~q\);

-- Location: LCCOMB_X41_Y36_N4
WideAnd693 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd693~combout\ = (\WideAnd693~1_combout\ & (\WideAnd693~0_combout\ & (\led_flash_cnt[693][7]~q\ & \led_flash_cnt[693][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd693~1_combout\,
	datab => \WideAnd693~0_combout\,
	datac => \led_flash_cnt[693][7]~q\,
	datad => \led_flash_cnt[693][0]~q\,
	combout => \WideAnd693~combout\);

-- Location: FF_X41_Y36_N5
\led_flash_cnt_ands[693]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd693~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(693));

-- Location: LCCOMB_X34_Y33_N0
\led_flash_cnt[692][0]~81332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[692][0]~81332_combout\ = !\led_flash_cnt[692][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[692][0]~q\,
	combout => \led_flash_cnt[692][0]~81332_combout\);

-- Location: FF_X34_Y33_N1
\led_flash_cnt[692][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[692][0]~81332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[692][0]~q\);

-- Location: LCCOMB_X35_Y33_N18
\led_flash_cnt[692][1]~36568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[692][1]~36568_combout\ = (\led_flash_cnt[692][0]~q\ & (\led_flash_cnt[692][1]~q\ $ (VCC))) # (!\led_flash_cnt[692][0]~q\ & (\led_flash_cnt[692][1]~q\ & VCC))
-- \led_flash_cnt[692][1]~36569\ = CARRY((\led_flash_cnt[692][0]~q\ & \led_flash_cnt[692][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[692][0]~q\,
	datab => \led_flash_cnt[692][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[692][1]~36568_combout\,
	cout => \led_flash_cnt[692][1]~36569\);

-- Location: FF_X35_Y33_N19
\led_flash_cnt[692][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[692][1]~36568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[692][1]~q\);

-- Location: LCCOMB_X35_Y33_N20
\led_flash_cnt[692][2]~36570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[692][2]~36570_combout\ = (\led_flash_cnt[692][2]~q\ & (!\led_flash_cnt[692][1]~36569\)) # (!\led_flash_cnt[692][2]~q\ & ((\led_flash_cnt[692][1]~36569\) # (GND)))
-- \led_flash_cnt[692][2]~36571\ = CARRY((!\led_flash_cnt[692][1]~36569\) # (!\led_flash_cnt[692][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[692][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[692][1]~36569\,
	combout => \led_flash_cnt[692][2]~36570_combout\,
	cout => \led_flash_cnt[692][2]~36571\);

-- Location: FF_X35_Y33_N21
\led_flash_cnt[692][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[692][2]~36570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[692][2]~q\);

-- Location: LCCOMB_X35_Y33_N22
\led_flash_cnt[692][3]~36572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[692][3]~36572_combout\ = (\led_flash_cnt[692][3]~q\ & (\led_flash_cnt[692][2]~36571\ $ (GND))) # (!\led_flash_cnt[692][3]~q\ & (!\led_flash_cnt[692][2]~36571\ & VCC))
-- \led_flash_cnt[692][3]~36573\ = CARRY((\led_flash_cnt[692][3]~q\ & !\led_flash_cnt[692][2]~36571\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[692][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[692][2]~36571\,
	combout => \led_flash_cnt[692][3]~36572_combout\,
	cout => \led_flash_cnt[692][3]~36573\);

-- Location: FF_X35_Y33_N23
\led_flash_cnt[692][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[692][3]~36572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[692][3]~q\);

-- Location: LCCOMB_X35_Y33_N24
\led_flash_cnt[692][4]~36574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[692][4]~36574_combout\ = (\led_flash_cnt[692][4]~q\ & (!\led_flash_cnt[692][3]~36573\)) # (!\led_flash_cnt[692][4]~q\ & ((\led_flash_cnt[692][3]~36573\) # (GND)))
-- \led_flash_cnt[692][4]~36575\ = CARRY((!\led_flash_cnt[692][3]~36573\) # (!\led_flash_cnt[692][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[692][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[692][3]~36573\,
	combout => \led_flash_cnt[692][4]~36574_combout\,
	cout => \led_flash_cnt[692][4]~36575\);

-- Location: FF_X35_Y33_N25
\led_flash_cnt[692][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[692][4]~36574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[692][4]~q\);

-- Location: LCCOMB_X35_Y33_N0
\WideAnd692~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd692~0_combout\ = (\led_flash_cnt[692][4]~q\ & (\led_flash_cnt[692][2]~q\ & (\led_flash_cnt[692][3]~q\ & \led_flash_cnt[692][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[692][4]~q\,
	datab => \led_flash_cnt[692][2]~q\,
	datac => \led_flash_cnt[692][3]~q\,
	datad => \led_flash_cnt[692][1]~q\,
	combout => \WideAnd692~0_combout\);

-- Location: LCCOMB_X35_Y33_N26
\led_flash_cnt[692][5]~36576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[692][5]~36576_combout\ = (\led_flash_cnt[692][5]~q\ & (\led_flash_cnt[692][4]~36575\ $ (GND))) # (!\led_flash_cnt[692][5]~q\ & (!\led_flash_cnt[692][4]~36575\ & VCC))
-- \led_flash_cnt[692][5]~36577\ = CARRY((\led_flash_cnt[692][5]~q\ & !\led_flash_cnt[692][4]~36575\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[692][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[692][4]~36575\,
	combout => \led_flash_cnt[692][5]~36576_combout\,
	cout => \led_flash_cnt[692][5]~36577\);

-- Location: FF_X35_Y33_N27
\led_flash_cnt[692][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[692][5]~36576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[692][5]~q\);

-- Location: LCCOMB_X35_Y33_N28
\led_flash_cnt[692][6]~36578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[692][6]~36578_combout\ = (\led_flash_cnt[692][6]~q\ & (!\led_flash_cnt[692][5]~36577\)) # (!\led_flash_cnt[692][6]~q\ & ((\led_flash_cnt[692][5]~36577\) # (GND)))
-- \led_flash_cnt[692][6]~36579\ = CARRY((!\led_flash_cnt[692][5]~36577\) # (!\led_flash_cnt[692][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[692][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[692][5]~36577\,
	combout => \led_flash_cnt[692][6]~36578_combout\,
	cout => \led_flash_cnt[692][6]~36579\);

-- Location: FF_X35_Y33_N29
\led_flash_cnt[692][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[692][6]~36578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[692][6]~q\);

-- Location: LCCOMB_X35_Y33_N30
\led_flash_cnt[692][7]~36580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[692][7]~36580_combout\ = \led_flash_cnt[692][7]~q\ $ (!\led_flash_cnt[692][6]~36579\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[692][7]~q\,
	cin => \led_flash_cnt[692][6]~36579\,
	combout => \led_flash_cnt[692][7]~36580_combout\);

-- Location: FF_X35_Y33_N31
\led_flash_cnt[692][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[692][7]~36580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[692][7]~q\);

-- Location: LCCOMB_X36_Y33_N28
\WideAnd692~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd692~1_combout\ = (\led_flash_cnt[692][5]~q\ & \led_flash_cnt[692][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[692][5]~q\,
	datad => \led_flash_cnt[692][6]~q\,
	combout => \WideAnd692~1_combout\);

-- Location: LCCOMB_X35_Y33_N2
WideAnd692 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd692~combout\ = (\led_flash_cnt[692][0]~q\ & (\WideAnd692~0_combout\ & (\led_flash_cnt[692][7]~q\ & \WideAnd692~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[692][0]~q\,
	datab => \WideAnd692~0_combout\,
	datac => \led_flash_cnt[692][7]~q\,
	datad => \WideAnd692~1_combout\,
	combout => \WideAnd692~combout\);

-- Location: FF_X35_Y33_N3
\led_flash_cnt_ands[692]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd692~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(692));

-- Location: LCCOMB_X39_Y33_N28
\WideAnd3926~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3926~1_combout\ = (led_flash_cnt_ands(693) & led_flash_cnt_ands(692))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(693),
	datad => led_flash_cnt_ands(692),
	combout => \WideAnd3926~1_combout\);

-- Location: LCCOMB_X40_Y32_N2
\led_flash_cnt[695][0]~81335\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[695][0]~81335_combout\ = !\led_flash_cnt[695][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[695][0]~q\,
	combout => \led_flash_cnt[695][0]~81335_combout\);

-- Location: FF_X40_Y32_N3
\led_flash_cnt[695][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[695][0]~81335_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[695][0]~q\);

-- Location: LCCOMB_X41_Y32_N18
\led_flash_cnt[695][1]~36610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[695][1]~36610_combout\ = (\led_flash_cnt[695][0]~q\ & (\led_flash_cnt[695][1]~q\ $ (VCC))) # (!\led_flash_cnt[695][0]~q\ & (\led_flash_cnt[695][1]~q\ & VCC))
-- \led_flash_cnt[695][1]~36611\ = CARRY((\led_flash_cnt[695][0]~q\ & \led_flash_cnt[695][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[695][0]~q\,
	datab => \led_flash_cnt[695][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[695][1]~36610_combout\,
	cout => \led_flash_cnt[695][1]~36611\);

-- Location: FF_X41_Y32_N19
\led_flash_cnt[695][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[695][1]~36610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[695][1]~q\);

-- Location: LCCOMB_X41_Y32_N20
\led_flash_cnt[695][2]~36612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[695][2]~36612_combout\ = (\led_flash_cnt[695][2]~q\ & (!\led_flash_cnt[695][1]~36611\)) # (!\led_flash_cnt[695][2]~q\ & ((\led_flash_cnt[695][1]~36611\) # (GND)))
-- \led_flash_cnt[695][2]~36613\ = CARRY((!\led_flash_cnt[695][1]~36611\) # (!\led_flash_cnt[695][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[695][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[695][1]~36611\,
	combout => \led_flash_cnt[695][2]~36612_combout\,
	cout => \led_flash_cnt[695][2]~36613\);

-- Location: FF_X41_Y32_N21
\led_flash_cnt[695][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[695][2]~36612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[695][2]~q\);

-- Location: LCCOMB_X41_Y32_N22
\led_flash_cnt[695][3]~36614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[695][3]~36614_combout\ = (\led_flash_cnt[695][3]~q\ & (\led_flash_cnt[695][2]~36613\ $ (GND))) # (!\led_flash_cnt[695][3]~q\ & (!\led_flash_cnt[695][2]~36613\ & VCC))
-- \led_flash_cnt[695][3]~36615\ = CARRY((\led_flash_cnt[695][3]~q\ & !\led_flash_cnt[695][2]~36613\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[695][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[695][2]~36613\,
	combout => \led_flash_cnt[695][3]~36614_combout\,
	cout => \led_flash_cnt[695][3]~36615\);

-- Location: FF_X41_Y32_N23
\led_flash_cnt[695][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[695][3]~36614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[695][3]~q\);

-- Location: LCCOMB_X41_Y32_N24
\led_flash_cnt[695][4]~36616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[695][4]~36616_combout\ = (\led_flash_cnt[695][4]~q\ & (!\led_flash_cnt[695][3]~36615\)) # (!\led_flash_cnt[695][4]~q\ & ((\led_flash_cnt[695][3]~36615\) # (GND)))
-- \led_flash_cnt[695][4]~36617\ = CARRY((!\led_flash_cnt[695][3]~36615\) # (!\led_flash_cnt[695][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[695][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[695][3]~36615\,
	combout => \led_flash_cnt[695][4]~36616_combout\,
	cout => \led_flash_cnt[695][4]~36617\);

-- Location: FF_X41_Y32_N25
\led_flash_cnt[695][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[695][4]~36616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[695][4]~q\);

-- Location: LCCOMB_X41_Y32_N26
\led_flash_cnt[695][5]~36618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[695][5]~36618_combout\ = (\led_flash_cnt[695][5]~q\ & (\led_flash_cnt[695][4]~36617\ $ (GND))) # (!\led_flash_cnt[695][5]~q\ & (!\led_flash_cnt[695][4]~36617\ & VCC))
-- \led_flash_cnt[695][5]~36619\ = CARRY((\led_flash_cnt[695][5]~q\ & !\led_flash_cnt[695][4]~36617\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[695][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[695][4]~36617\,
	combout => \led_flash_cnt[695][5]~36618_combout\,
	cout => \led_flash_cnt[695][5]~36619\);

-- Location: FF_X41_Y32_N27
\led_flash_cnt[695][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[695][5]~36618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[695][5]~q\);

-- Location: LCCOMB_X41_Y32_N28
\led_flash_cnt[695][6]~36620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[695][6]~36620_combout\ = (\led_flash_cnt[695][6]~q\ & (!\led_flash_cnt[695][5]~36619\)) # (!\led_flash_cnt[695][6]~q\ & ((\led_flash_cnt[695][5]~36619\) # (GND)))
-- \led_flash_cnt[695][6]~36621\ = CARRY((!\led_flash_cnt[695][5]~36619\) # (!\led_flash_cnt[695][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[695][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[695][5]~36619\,
	combout => \led_flash_cnt[695][6]~36620_combout\,
	cout => \led_flash_cnt[695][6]~36621\);

-- Location: FF_X41_Y32_N29
\led_flash_cnt[695][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[695][6]~36620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[695][6]~q\);

-- Location: LCCOMB_X40_Y32_N30
\WideAnd695~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd695~1_combout\ = (\led_flash_cnt[695][6]~q\ & \led_flash_cnt[695][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[695][6]~q\,
	datad => \led_flash_cnt[695][5]~q\,
	combout => \WideAnd695~1_combout\);

-- Location: LCCOMB_X41_Y32_N30
\led_flash_cnt[695][7]~36622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[695][7]~36622_combout\ = \led_flash_cnt[695][7]~q\ $ (!\led_flash_cnt[695][6]~36621\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[695][7]~q\,
	cin => \led_flash_cnt[695][6]~36621\,
	combout => \led_flash_cnt[695][7]~36622_combout\);

-- Location: FF_X41_Y32_N31
\led_flash_cnt[695][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[695][7]~36622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[695][7]~q\);

-- Location: LCCOMB_X41_Y32_N16
\WideAnd695~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd695~0_combout\ = (\led_flash_cnt[695][4]~q\ & (\led_flash_cnt[695][2]~q\ & (\led_flash_cnt[695][3]~q\ & \led_flash_cnt[695][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[695][4]~q\,
	datab => \led_flash_cnt[695][2]~q\,
	datac => \led_flash_cnt[695][3]~q\,
	datad => \led_flash_cnt[695][1]~q\,
	combout => \WideAnd695~0_combout\);

-- Location: LCCOMB_X40_Y32_N20
WideAnd695 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd695~combout\ = (\WideAnd695~1_combout\ & (\led_flash_cnt[695][0]~q\ & (\led_flash_cnt[695][7]~q\ & \WideAnd695~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd695~1_combout\,
	datab => \led_flash_cnt[695][0]~q\,
	datac => \led_flash_cnt[695][7]~q\,
	datad => \WideAnd695~0_combout\,
	combout => \WideAnd695~combout\);

-- Location: FF_X40_Y32_N21
\led_flash_cnt_ands[695]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd695~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(695));

-- Location: LCCOMB_X40_Y32_N0
\led_flash_cnt[694][0]~81334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[694][0]~81334_combout\ = !\led_flash_cnt[694][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[694][0]~q\,
	combout => \led_flash_cnt[694][0]~81334_combout\);

-- Location: FF_X40_Y32_N1
\led_flash_cnt[694][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[694][0]~81334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[694][0]~q\);

-- Location: LCCOMB_X40_Y32_N6
\led_flash_cnt[694][1]~36596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[694][1]~36596_combout\ = (\led_flash_cnt[694][1]~q\ & (\led_flash_cnt[694][0]~q\ $ (VCC))) # (!\led_flash_cnt[694][1]~q\ & (\led_flash_cnt[694][0]~q\ & VCC))
-- \led_flash_cnt[694][1]~36597\ = CARRY((\led_flash_cnt[694][1]~q\ & \led_flash_cnt[694][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[694][1]~q\,
	datab => \led_flash_cnt[694][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[694][1]~36596_combout\,
	cout => \led_flash_cnt[694][1]~36597\);

-- Location: FF_X40_Y32_N7
\led_flash_cnt[694][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[694][1]~36596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[694][1]~q\);

-- Location: LCCOMB_X40_Y32_N8
\led_flash_cnt[694][2]~36598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[694][2]~36598_combout\ = (\led_flash_cnt[694][2]~q\ & (!\led_flash_cnt[694][1]~36597\)) # (!\led_flash_cnt[694][2]~q\ & ((\led_flash_cnt[694][1]~36597\) # (GND)))
-- \led_flash_cnt[694][2]~36599\ = CARRY((!\led_flash_cnt[694][1]~36597\) # (!\led_flash_cnt[694][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[694][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[694][1]~36597\,
	combout => \led_flash_cnt[694][2]~36598_combout\,
	cout => \led_flash_cnt[694][2]~36599\);

-- Location: FF_X40_Y32_N9
\led_flash_cnt[694][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[694][2]~36598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[694][2]~q\);

-- Location: LCCOMB_X40_Y32_N10
\led_flash_cnt[694][3]~36600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[694][3]~36600_combout\ = (\led_flash_cnt[694][3]~q\ & (\led_flash_cnt[694][2]~36599\ $ (GND))) # (!\led_flash_cnt[694][3]~q\ & (!\led_flash_cnt[694][2]~36599\ & VCC))
-- \led_flash_cnt[694][3]~36601\ = CARRY((\led_flash_cnt[694][3]~q\ & !\led_flash_cnt[694][2]~36599\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[694][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[694][2]~36599\,
	combout => \led_flash_cnt[694][3]~36600_combout\,
	cout => \led_flash_cnt[694][3]~36601\);

-- Location: FF_X40_Y32_N11
\led_flash_cnt[694][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[694][3]~36600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[694][3]~q\);

-- Location: LCCOMB_X40_Y32_N12
\led_flash_cnt[694][4]~36602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[694][4]~36602_combout\ = (\led_flash_cnt[694][4]~q\ & (!\led_flash_cnt[694][3]~36601\)) # (!\led_flash_cnt[694][4]~q\ & ((\led_flash_cnt[694][3]~36601\) # (GND)))
-- \led_flash_cnt[694][4]~36603\ = CARRY((!\led_flash_cnt[694][3]~36601\) # (!\led_flash_cnt[694][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[694][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[694][3]~36601\,
	combout => \led_flash_cnt[694][4]~36602_combout\,
	cout => \led_flash_cnt[694][4]~36603\);

-- Location: FF_X40_Y32_N13
\led_flash_cnt[694][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[694][4]~36602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[694][4]~q\);

-- Location: LCCOMB_X40_Y32_N14
\led_flash_cnt[694][5]~36604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[694][5]~36604_combout\ = (\led_flash_cnt[694][5]~q\ & (\led_flash_cnt[694][4]~36603\ $ (GND))) # (!\led_flash_cnt[694][5]~q\ & (!\led_flash_cnt[694][4]~36603\ & VCC))
-- \led_flash_cnt[694][5]~36605\ = CARRY((\led_flash_cnt[694][5]~q\ & !\led_flash_cnt[694][4]~36603\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[694][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[694][4]~36603\,
	combout => \led_flash_cnt[694][5]~36604_combout\,
	cout => \led_flash_cnt[694][5]~36605\);

-- Location: FF_X40_Y32_N15
\led_flash_cnt[694][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[694][5]~36604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[694][5]~q\);

-- Location: LCCOMB_X40_Y32_N16
\led_flash_cnt[694][6]~36606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[694][6]~36606_combout\ = (\led_flash_cnt[694][6]~q\ & (!\led_flash_cnt[694][5]~36605\)) # (!\led_flash_cnt[694][6]~q\ & ((\led_flash_cnt[694][5]~36605\) # (GND)))
-- \led_flash_cnt[694][6]~36607\ = CARRY((!\led_flash_cnt[694][5]~36605\) # (!\led_flash_cnt[694][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[694][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[694][5]~36605\,
	combout => \led_flash_cnt[694][6]~36606_combout\,
	cout => \led_flash_cnt[694][6]~36607\);

-- Location: FF_X40_Y32_N17
\led_flash_cnt[694][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[694][6]~36606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[694][6]~q\);

-- Location: LCCOMB_X40_Y32_N24
\WideAnd694~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd694~1_combout\ = (\led_flash_cnt[694][5]~q\ & \led_flash_cnt[694][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[694][5]~q\,
	datad => \led_flash_cnt[694][6]~q\,
	combout => \WideAnd694~1_combout\);

-- Location: LCCOMB_X40_Y32_N18
\led_flash_cnt[694][7]~36608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[694][7]~36608_combout\ = \led_flash_cnt[694][6]~36607\ $ (!\led_flash_cnt[694][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[694][7]~q\,
	cin => \led_flash_cnt[694][6]~36607\,
	combout => \led_flash_cnt[694][7]~36608_combout\);

-- Location: FF_X40_Y32_N19
\led_flash_cnt[694][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[694][7]~36608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[694][7]~q\);

-- Location: LCCOMB_X40_Y32_N26
\WideAnd694~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd694~0_combout\ = (\led_flash_cnt[694][4]~q\ & (\led_flash_cnt[694][1]~q\ & (\led_flash_cnt[694][2]~q\ & \led_flash_cnt[694][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[694][4]~q\,
	datab => \led_flash_cnt[694][1]~q\,
	datac => \led_flash_cnt[694][2]~q\,
	datad => \led_flash_cnt[694][3]~q\,
	combout => \WideAnd694~0_combout\);

-- Location: LCCOMB_X40_Y32_N4
WideAnd694 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd694~combout\ = (\WideAnd694~1_combout\ & (\led_flash_cnt[694][7]~q\ & (\WideAnd694~0_combout\ & \led_flash_cnt[694][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd694~1_combout\,
	datab => \led_flash_cnt[694][7]~q\,
	datac => \WideAnd694~0_combout\,
	datad => \led_flash_cnt[694][0]~q\,
	combout => \WideAnd694~combout\);

-- Location: FF_X40_Y32_N5
\led_flash_cnt_ands[694]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd694~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(694));

-- Location: LCCOMB_X42_Y31_N20
\led_flash_cnt[691][0]~81331\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[691][0]~81331_combout\ = !\led_flash_cnt[691][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[691][0]~q\,
	combout => \led_flash_cnt[691][0]~81331_combout\);

-- Location: FF_X42_Y31_N21
\led_flash_cnt[691][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[691][0]~81331_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[691][0]~q\);

-- Location: LCCOMB_X39_Y31_N14
\led_flash_cnt[691][1]~36554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[691][1]~36554_combout\ = (\led_flash_cnt[691][0]~q\ & (\led_flash_cnt[691][1]~q\ $ (VCC))) # (!\led_flash_cnt[691][0]~q\ & (\led_flash_cnt[691][1]~q\ & VCC))
-- \led_flash_cnt[691][1]~36555\ = CARRY((\led_flash_cnt[691][0]~q\ & \led_flash_cnt[691][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[691][0]~q\,
	datab => \led_flash_cnt[691][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[691][1]~36554_combout\,
	cout => \led_flash_cnt[691][1]~36555\);

-- Location: FF_X39_Y31_N15
\led_flash_cnt[691][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[691][1]~36554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[691][1]~q\);

-- Location: LCCOMB_X39_Y31_N16
\led_flash_cnt[691][2]~36556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[691][2]~36556_combout\ = (\led_flash_cnt[691][2]~q\ & (!\led_flash_cnt[691][1]~36555\)) # (!\led_flash_cnt[691][2]~q\ & ((\led_flash_cnt[691][1]~36555\) # (GND)))
-- \led_flash_cnt[691][2]~36557\ = CARRY((!\led_flash_cnt[691][1]~36555\) # (!\led_flash_cnt[691][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[691][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[691][1]~36555\,
	combout => \led_flash_cnt[691][2]~36556_combout\,
	cout => \led_flash_cnt[691][2]~36557\);

-- Location: FF_X39_Y31_N17
\led_flash_cnt[691][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[691][2]~36556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[691][2]~q\);

-- Location: LCCOMB_X39_Y31_N18
\led_flash_cnt[691][3]~36558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[691][3]~36558_combout\ = (\led_flash_cnt[691][3]~q\ & (\led_flash_cnt[691][2]~36557\ $ (GND))) # (!\led_flash_cnt[691][3]~q\ & (!\led_flash_cnt[691][2]~36557\ & VCC))
-- \led_flash_cnt[691][3]~36559\ = CARRY((\led_flash_cnt[691][3]~q\ & !\led_flash_cnt[691][2]~36557\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[691][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[691][2]~36557\,
	combout => \led_flash_cnt[691][3]~36558_combout\,
	cout => \led_flash_cnt[691][3]~36559\);

-- Location: FF_X39_Y31_N19
\led_flash_cnt[691][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[691][3]~36558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[691][3]~q\);

-- Location: LCCOMB_X39_Y31_N20
\led_flash_cnt[691][4]~36560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[691][4]~36560_combout\ = (\led_flash_cnt[691][4]~q\ & (!\led_flash_cnt[691][3]~36559\)) # (!\led_flash_cnt[691][4]~q\ & ((\led_flash_cnt[691][3]~36559\) # (GND)))
-- \led_flash_cnt[691][4]~36561\ = CARRY((!\led_flash_cnt[691][3]~36559\) # (!\led_flash_cnt[691][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[691][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[691][3]~36559\,
	combout => \led_flash_cnt[691][4]~36560_combout\,
	cout => \led_flash_cnt[691][4]~36561\);

-- Location: FF_X39_Y31_N21
\led_flash_cnt[691][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[691][4]~36560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[691][4]~q\);

-- Location: LCCOMB_X39_Y31_N22
\led_flash_cnt[691][5]~36562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[691][5]~36562_combout\ = (\led_flash_cnt[691][5]~q\ & (\led_flash_cnt[691][4]~36561\ $ (GND))) # (!\led_flash_cnt[691][5]~q\ & (!\led_flash_cnt[691][4]~36561\ & VCC))
-- \led_flash_cnt[691][5]~36563\ = CARRY((\led_flash_cnt[691][5]~q\ & !\led_flash_cnt[691][4]~36561\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[691][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[691][4]~36561\,
	combout => \led_flash_cnt[691][5]~36562_combout\,
	cout => \led_flash_cnt[691][5]~36563\);

-- Location: FF_X39_Y31_N23
\led_flash_cnt[691][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[691][5]~36562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[691][5]~q\);

-- Location: LCCOMB_X39_Y31_N24
\led_flash_cnt[691][6]~36564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[691][6]~36564_combout\ = (\led_flash_cnt[691][6]~q\ & (!\led_flash_cnt[691][5]~36563\)) # (!\led_flash_cnt[691][6]~q\ & ((\led_flash_cnt[691][5]~36563\) # (GND)))
-- \led_flash_cnt[691][6]~36565\ = CARRY((!\led_flash_cnt[691][5]~36563\) # (!\led_flash_cnt[691][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[691][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[691][5]~36563\,
	combout => \led_flash_cnt[691][6]~36564_combout\,
	cout => \led_flash_cnt[691][6]~36565\);

-- Location: FF_X39_Y31_N25
\led_flash_cnt[691][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[691][6]~36564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[691][6]~q\);

-- Location: LCCOMB_X39_Y31_N4
\WideAnd691~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd691~1_combout\ = (\led_flash_cnt[691][5]~q\ & \led_flash_cnt[691][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[691][5]~q\,
	datad => \led_flash_cnt[691][6]~q\,
	combout => \WideAnd691~1_combout\);

-- Location: LCCOMB_X39_Y31_N26
\led_flash_cnt[691][7]~36566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[691][7]~36566_combout\ = \led_flash_cnt[691][7]~q\ $ (!\led_flash_cnt[691][6]~36565\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[691][7]~q\,
	cin => \led_flash_cnt[691][6]~36565\,
	combout => \led_flash_cnt[691][7]~36566_combout\);

-- Location: FF_X39_Y31_N27
\led_flash_cnt[691][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[691][7]~36566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[691][7]~q\);

-- Location: LCCOMB_X39_Y31_N2
\WideAnd691~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd691~0_combout\ = (\led_flash_cnt[691][2]~q\ & (\led_flash_cnt[691][3]~q\ & (\led_flash_cnt[691][1]~q\ & \led_flash_cnt[691][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[691][2]~q\,
	datab => \led_flash_cnt[691][3]~q\,
	datac => \led_flash_cnt[691][1]~q\,
	datad => \led_flash_cnt[691][4]~q\,
	combout => \WideAnd691~0_combout\);

-- Location: LCCOMB_X39_Y31_N10
WideAnd691 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd691~combout\ = (\led_flash_cnt[691][0]~q\ & (\WideAnd691~1_combout\ & (\led_flash_cnt[691][7]~q\ & \WideAnd691~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[691][0]~q\,
	datab => \WideAnd691~1_combout\,
	datac => \led_flash_cnt[691][7]~q\,
	datad => \WideAnd691~0_combout\,
	combout => \WideAnd691~combout\);

-- Location: FF_X39_Y31_N11
\led_flash_cnt_ands[691]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd691~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(691));

-- Location: LCCOMB_X39_Y31_N0
\led_flash_cnt[690][0]~81330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[690][0]~81330_combout\ = !\led_flash_cnt[690][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[690][0]~q\,
	combout => \led_flash_cnt[690][0]~81330_combout\);

-- Location: FF_X39_Y31_N1
\led_flash_cnt[690][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[690][0]~81330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[690][0]~q\);

-- Location: LCCOMB_X39_Y32_N0
\led_flash_cnt[690][1]~36540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[690][1]~36540_combout\ = (\led_flash_cnt[690][0]~q\ & (\led_flash_cnt[690][1]~q\ $ (VCC))) # (!\led_flash_cnt[690][0]~q\ & (\led_flash_cnt[690][1]~q\ & VCC))
-- \led_flash_cnt[690][1]~36541\ = CARRY((\led_flash_cnt[690][0]~q\ & \led_flash_cnt[690][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[690][0]~q\,
	datab => \led_flash_cnt[690][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[690][1]~36540_combout\,
	cout => \led_flash_cnt[690][1]~36541\);

-- Location: FF_X39_Y32_N1
\led_flash_cnt[690][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[690][1]~36540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[690][1]~q\);

-- Location: LCCOMB_X39_Y32_N2
\led_flash_cnt[690][2]~36542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[690][2]~36542_combout\ = (\led_flash_cnt[690][2]~q\ & (!\led_flash_cnt[690][1]~36541\)) # (!\led_flash_cnt[690][2]~q\ & ((\led_flash_cnt[690][1]~36541\) # (GND)))
-- \led_flash_cnt[690][2]~36543\ = CARRY((!\led_flash_cnt[690][1]~36541\) # (!\led_flash_cnt[690][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[690][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[690][1]~36541\,
	combout => \led_flash_cnt[690][2]~36542_combout\,
	cout => \led_flash_cnt[690][2]~36543\);

-- Location: FF_X39_Y32_N3
\led_flash_cnt[690][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[690][2]~36542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[690][2]~q\);

-- Location: LCCOMB_X39_Y32_N4
\led_flash_cnt[690][3]~36544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[690][3]~36544_combout\ = (\led_flash_cnt[690][3]~q\ & (\led_flash_cnt[690][2]~36543\ $ (GND))) # (!\led_flash_cnt[690][3]~q\ & (!\led_flash_cnt[690][2]~36543\ & VCC))
-- \led_flash_cnt[690][3]~36545\ = CARRY((\led_flash_cnt[690][3]~q\ & !\led_flash_cnt[690][2]~36543\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[690][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[690][2]~36543\,
	combout => \led_flash_cnt[690][3]~36544_combout\,
	cout => \led_flash_cnt[690][3]~36545\);

-- Location: FF_X39_Y32_N5
\led_flash_cnt[690][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[690][3]~36544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[690][3]~q\);

-- Location: LCCOMB_X39_Y32_N6
\led_flash_cnt[690][4]~36546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[690][4]~36546_combout\ = (\led_flash_cnt[690][4]~q\ & (!\led_flash_cnt[690][3]~36545\)) # (!\led_flash_cnt[690][4]~q\ & ((\led_flash_cnt[690][3]~36545\) # (GND)))
-- \led_flash_cnt[690][4]~36547\ = CARRY((!\led_flash_cnt[690][3]~36545\) # (!\led_flash_cnt[690][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[690][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[690][3]~36545\,
	combout => \led_flash_cnt[690][4]~36546_combout\,
	cout => \led_flash_cnt[690][4]~36547\);

-- Location: FF_X39_Y32_N7
\led_flash_cnt[690][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[690][4]~36546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[690][4]~q\);

-- Location: LCCOMB_X39_Y32_N8
\led_flash_cnt[690][5]~36548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[690][5]~36548_combout\ = (\led_flash_cnt[690][5]~q\ & (\led_flash_cnt[690][4]~36547\ $ (GND))) # (!\led_flash_cnt[690][5]~q\ & (!\led_flash_cnt[690][4]~36547\ & VCC))
-- \led_flash_cnt[690][5]~36549\ = CARRY((\led_flash_cnt[690][5]~q\ & !\led_flash_cnt[690][4]~36547\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[690][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[690][4]~36547\,
	combout => \led_flash_cnt[690][5]~36548_combout\,
	cout => \led_flash_cnt[690][5]~36549\);

-- Location: FF_X39_Y32_N9
\led_flash_cnt[690][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[690][5]~36548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[690][5]~q\);

-- Location: LCCOMB_X39_Y32_N10
\led_flash_cnt[690][6]~36550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[690][6]~36550_combout\ = (\led_flash_cnt[690][6]~q\ & (!\led_flash_cnt[690][5]~36549\)) # (!\led_flash_cnt[690][6]~q\ & ((\led_flash_cnt[690][5]~36549\) # (GND)))
-- \led_flash_cnt[690][6]~36551\ = CARRY((!\led_flash_cnt[690][5]~36549\) # (!\led_flash_cnt[690][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[690][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[690][5]~36549\,
	combout => \led_flash_cnt[690][6]~36550_combout\,
	cout => \led_flash_cnt[690][6]~36551\);

-- Location: FF_X39_Y32_N11
\led_flash_cnt[690][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[690][6]~36550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[690][6]~q\);

-- Location: LCCOMB_X40_Y32_N22
\WideAnd690~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd690~1_combout\ = (\led_flash_cnt[690][6]~q\ & \led_flash_cnt[690][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[690][6]~q\,
	datad => \led_flash_cnt[690][5]~q\,
	combout => \WideAnd690~1_combout\);

-- Location: LCCOMB_X39_Y32_N14
\WideAnd690~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd690~0_combout\ = (\led_flash_cnt[690][4]~q\ & (\led_flash_cnt[690][1]~q\ & (\led_flash_cnt[690][3]~q\ & \led_flash_cnt[690][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[690][4]~q\,
	datab => \led_flash_cnt[690][1]~q\,
	datac => \led_flash_cnt[690][3]~q\,
	datad => \led_flash_cnt[690][2]~q\,
	combout => \WideAnd690~0_combout\);

-- Location: LCCOMB_X39_Y32_N12
\led_flash_cnt[690][7]~36552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[690][7]~36552_combout\ = \led_flash_cnt[690][6]~36551\ $ (!\led_flash_cnt[690][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[690][7]~q\,
	cin => \led_flash_cnt[690][6]~36551\,
	combout => \led_flash_cnt[690][7]~36552_combout\);

-- Location: FF_X39_Y32_N13
\led_flash_cnt[690][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[690][7]~36552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[690][7]~q\);

-- Location: LCCOMB_X39_Y31_N28
WideAnd690 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd690~combout\ = (\WideAnd690~1_combout\ & (\led_flash_cnt[690][0]~q\ & (\WideAnd690~0_combout\ & \led_flash_cnt[690][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd690~1_combout\,
	datab => \led_flash_cnt[690][0]~q\,
	datac => \WideAnd690~0_combout\,
	datad => \led_flash_cnt[690][7]~q\,
	combout => \WideAnd690~combout\);

-- Location: FF_X39_Y31_N29
\led_flash_cnt_ands[690]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd690~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(690));

-- Location: LCCOMB_X47_Y26_N30
\led_flash_cnt[688][0]~81328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[688][0]~81328_combout\ = !\led_flash_cnt[688][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[688][0]~q\,
	combout => \led_flash_cnt[688][0]~81328_combout\);

-- Location: FF_X47_Y26_N31
\led_flash_cnt[688][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[688][0]~81328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[688][0]~q\);

-- Location: LCCOMB_X44_Y22_N18
\led_flash_cnt[688][1]~36512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[688][1]~36512_combout\ = (\led_flash_cnt[688][0]~q\ & (\led_flash_cnt[688][1]~q\ $ (VCC))) # (!\led_flash_cnt[688][0]~q\ & (\led_flash_cnt[688][1]~q\ & VCC))
-- \led_flash_cnt[688][1]~36513\ = CARRY((\led_flash_cnt[688][0]~q\ & \led_flash_cnt[688][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[688][0]~q\,
	datab => \led_flash_cnt[688][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[688][1]~36512_combout\,
	cout => \led_flash_cnt[688][1]~36513\);

-- Location: FF_X44_Y22_N19
\led_flash_cnt[688][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[688][1]~36512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[688][1]~q\);

-- Location: LCCOMB_X44_Y22_N20
\led_flash_cnt[688][2]~36514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[688][2]~36514_combout\ = (\led_flash_cnt[688][2]~q\ & (!\led_flash_cnt[688][1]~36513\)) # (!\led_flash_cnt[688][2]~q\ & ((\led_flash_cnt[688][1]~36513\) # (GND)))
-- \led_flash_cnt[688][2]~36515\ = CARRY((!\led_flash_cnt[688][1]~36513\) # (!\led_flash_cnt[688][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[688][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[688][1]~36513\,
	combout => \led_flash_cnt[688][2]~36514_combout\,
	cout => \led_flash_cnt[688][2]~36515\);

-- Location: FF_X44_Y22_N21
\led_flash_cnt[688][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[688][2]~36514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[688][2]~q\);

-- Location: LCCOMB_X44_Y22_N22
\led_flash_cnt[688][3]~36516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[688][3]~36516_combout\ = (\led_flash_cnt[688][3]~q\ & (\led_flash_cnt[688][2]~36515\ $ (GND))) # (!\led_flash_cnt[688][3]~q\ & (!\led_flash_cnt[688][2]~36515\ & VCC))
-- \led_flash_cnt[688][3]~36517\ = CARRY((\led_flash_cnt[688][3]~q\ & !\led_flash_cnt[688][2]~36515\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[688][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[688][2]~36515\,
	combout => \led_flash_cnt[688][3]~36516_combout\,
	cout => \led_flash_cnt[688][3]~36517\);

-- Location: FF_X44_Y22_N23
\led_flash_cnt[688][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[688][3]~36516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[688][3]~q\);

-- Location: LCCOMB_X44_Y22_N24
\led_flash_cnt[688][4]~36518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[688][4]~36518_combout\ = (\led_flash_cnt[688][4]~q\ & (!\led_flash_cnt[688][3]~36517\)) # (!\led_flash_cnt[688][4]~q\ & ((\led_flash_cnt[688][3]~36517\) # (GND)))
-- \led_flash_cnt[688][4]~36519\ = CARRY((!\led_flash_cnt[688][3]~36517\) # (!\led_flash_cnt[688][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[688][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[688][3]~36517\,
	combout => \led_flash_cnt[688][4]~36518_combout\,
	cout => \led_flash_cnt[688][4]~36519\);

-- Location: FF_X44_Y22_N25
\led_flash_cnt[688][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[688][4]~36518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[688][4]~q\);

-- Location: LCCOMB_X44_Y22_N0
\WideAnd688~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd688~0_combout\ = (\led_flash_cnt[688][2]~q\ & (\led_flash_cnt[688][4]~q\ & (\led_flash_cnt[688][3]~q\ & \led_flash_cnt[688][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[688][2]~q\,
	datab => \led_flash_cnt[688][4]~q\,
	datac => \led_flash_cnt[688][3]~q\,
	datad => \led_flash_cnt[688][1]~q\,
	combout => \WideAnd688~0_combout\);

-- Location: LCCOMB_X44_Y22_N26
\led_flash_cnt[688][5]~36520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[688][5]~36520_combout\ = (\led_flash_cnt[688][5]~q\ & (\led_flash_cnt[688][4]~36519\ $ (GND))) # (!\led_flash_cnt[688][5]~q\ & (!\led_flash_cnt[688][4]~36519\ & VCC))
-- \led_flash_cnt[688][5]~36521\ = CARRY((\led_flash_cnt[688][5]~q\ & !\led_flash_cnt[688][4]~36519\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[688][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[688][4]~36519\,
	combout => \led_flash_cnt[688][5]~36520_combout\,
	cout => \led_flash_cnt[688][5]~36521\);

-- Location: FF_X44_Y22_N27
\led_flash_cnt[688][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[688][5]~36520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[688][5]~q\);

-- Location: LCCOMB_X44_Y22_N28
\led_flash_cnt[688][6]~36522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[688][6]~36522_combout\ = (\led_flash_cnt[688][6]~q\ & (!\led_flash_cnt[688][5]~36521\)) # (!\led_flash_cnt[688][6]~q\ & ((\led_flash_cnt[688][5]~36521\) # (GND)))
-- \led_flash_cnt[688][6]~36523\ = CARRY((!\led_flash_cnt[688][5]~36521\) # (!\led_flash_cnt[688][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[688][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[688][5]~36521\,
	combout => \led_flash_cnt[688][6]~36522_combout\,
	cout => \led_flash_cnt[688][6]~36523\);

-- Location: FF_X44_Y22_N29
\led_flash_cnt[688][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[688][6]~36522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[688][6]~q\);

-- Location: LCCOMB_X44_Y22_N30
\led_flash_cnt[688][7]~36524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[688][7]~36524_combout\ = \led_flash_cnt[688][7]~q\ $ (!\led_flash_cnt[688][6]~36523\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[688][7]~q\,
	cin => \led_flash_cnt[688][6]~36523\,
	combout => \led_flash_cnt[688][7]~36524_combout\);

-- Location: FF_X44_Y22_N31
\led_flash_cnt[688][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[688][7]~36524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[688][7]~q\);

-- Location: LCCOMB_X43_Y22_N28
\WideAnd688~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd688~1_combout\ = (\led_flash_cnt[688][5]~q\ & \led_flash_cnt[688][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[688][5]~q\,
	datad => \led_flash_cnt[688][6]~q\,
	combout => \WideAnd688~1_combout\);

-- Location: LCCOMB_X43_Y22_N0
WideAnd688 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd688~combout\ = (\led_flash_cnt[688][0]~q\ & (\WideAnd688~0_combout\ & (\led_flash_cnt[688][7]~q\ & \WideAnd688~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[688][0]~q\,
	datab => \WideAnd688~0_combout\,
	datac => \led_flash_cnt[688][7]~q\,
	datad => \WideAnd688~1_combout\,
	combout => \WideAnd688~combout\);

-- Location: FF_X43_Y22_N1
\led_flash_cnt_ands[688]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd688~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(688));

-- Location: LCCOMB_X39_Y31_N6
\led_flash_cnt[689][0]~81329\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[689][0]~81329_combout\ = !\led_flash_cnt[689][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[689][0]~q\,
	combout => \led_flash_cnt[689][0]~81329_combout\);

-- Location: FF_X39_Y31_N7
\led_flash_cnt[689][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[689][0]~81329_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[689][0]~q\);

-- Location: LCCOMB_X40_Y31_N4
\led_flash_cnt[689][1]~36526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[689][1]~36526_combout\ = (\led_flash_cnt[689][0]~q\ & (\led_flash_cnt[689][1]~q\ $ (VCC))) # (!\led_flash_cnt[689][0]~q\ & (\led_flash_cnt[689][1]~q\ & VCC))
-- \led_flash_cnt[689][1]~36527\ = CARRY((\led_flash_cnt[689][0]~q\ & \led_flash_cnt[689][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[689][0]~q\,
	datab => \led_flash_cnt[689][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[689][1]~36526_combout\,
	cout => \led_flash_cnt[689][1]~36527\);

-- Location: FF_X40_Y31_N5
\led_flash_cnt[689][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[689][1]~36526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[689][1]~q\);

-- Location: LCCOMB_X40_Y31_N6
\led_flash_cnt[689][2]~36528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[689][2]~36528_combout\ = (\led_flash_cnt[689][2]~q\ & (!\led_flash_cnt[689][1]~36527\)) # (!\led_flash_cnt[689][2]~q\ & ((\led_flash_cnt[689][1]~36527\) # (GND)))
-- \led_flash_cnt[689][2]~36529\ = CARRY((!\led_flash_cnt[689][1]~36527\) # (!\led_flash_cnt[689][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[689][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[689][1]~36527\,
	combout => \led_flash_cnt[689][2]~36528_combout\,
	cout => \led_flash_cnt[689][2]~36529\);

-- Location: FF_X40_Y31_N7
\led_flash_cnt[689][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[689][2]~36528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[689][2]~q\);

-- Location: LCCOMB_X40_Y31_N8
\led_flash_cnt[689][3]~36530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[689][3]~36530_combout\ = (\led_flash_cnt[689][3]~q\ & (\led_flash_cnt[689][2]~36529\ $ (GND))) # (!\led_flash_cnt[689][3]~q\ & (!\led_flash_cnt[689][2]~36529\ & VCC))
-- \led_flash_cnt[689][3]~36531\ = CARRY((\led_flash_cnt[689][3]~q\ & !\led_flash_cnt[689][2]~36529\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[689][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[689][2]~36529\,
	combout => \led_flash_cnt[689][3]~36530_combout\,
	cout => \led_flash_cnt[689][3]~36531\);

-- Location: FF_X40_Y31_N9
\led_flash_cnt[689][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[689][3]~36530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[689][3]~q\);

-- Location: LCCOMB_X40_Y31_N10
\led_flash_cnt[689][4]~36532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[689][4]~36532_combout\ = (\led_flash_cnt[689][4]~q\ & (!\led_flash_cnt[689][3]~36531\)) # (!\led_flash_cnt[689][4]~q\ & ((\led_flash_cnt[689][3]~36531\) # (GND)))
-- \led_flash_cnt[689][4]~36533\ = CARRY((!\led_flash_cnt[689][3]~36531\) # (!\led_flash_cnt[689][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[689][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[689][3]~36531\,
	combout => \led_flash_cnt[689][4]~36532_combout\,
	cout => \led_flash_cnt[689][4]~36533\);

-- Location: FF_X40_Y31_N11
\led_flash_cnt[689][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[689][4]~36532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[689][4]~q\);

-- Location: LCCOMB_X40_Y31_N12
\led_flash_cnt[689][5]~36534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[689][5]~36534_combout\ = (\led_flash_cnt[689][5]~q\ & (\led_flash_cnt[689][4]~36533\ $ (GND))) # (!\led_flash_cnt[689][5]~q\ & (!\led_flash_cnt[689][4]~36533\ & VCC))
-- \led_flash_cnt[689][5]~36535\ = CARRY((\led_flash_cnt[689][5]~q\ & !\led_flash_cnt[689][4]~36533\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[689][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[689][4]~36533\,
	combout => \led_flash_cnt[689][5]~36534_combout\,
	cout => \led_flash_cnt[689][5]~36535\);

-- Location: FF_X40_Y31_N13
\led_flash_cnt[689][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[689][5]~36534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[689][5]~q\);

-- Location: LCCOMB_X40_Y31_N14
\led_flash_cnt[689][6]~36536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[689][6]~36536_combout\ = (\led_flash_cnt[689][6]~q\ & (!\led_flash_cnt[689][5]~36535\)) # (!\led_flash_cnt[689][6]~q\ & ((\led_flash_cnt[689][5]~36535\) # (GND)))
-- \led_flash_cnt[689][6]~36537\ = CARRY((!\led_flash_cnt[689][5]~36535\) # (!\led_flash_cnt[689][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[689][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[689][5]~36535\,
	combout => \led_flash_cnt[689][6]~36536_combout\,
	cout => \led_flash_cnt[689][6]~36537\);

-- Location: FF_X40_Y31_N15
\led_flash_cnt[689][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[689][6]~36536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[689][6]~q\);

-- Location: LCCOMB_X40_Y31_N16
\led_flash_cnt[689][7]~36538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[689][7]~36538_combout\ = \led_flash_cnt[689][6]~36537\ $ (!\led_flash_cnt[689][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[689][7]~q\,
	cin => \led_flash_cnt[689][6]~36537\,
	combout => \led_flash_cnt[689][7]~36538_combout\);

-- Location: FF_X40_Y31_N17
\led_flash_cnt[689][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[689][7]~36538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[689][7]~q\);

-- Location: LCCOMB_X39_Y31_N8
\WideAnd689~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd689~1_combout\ = (\led_flash_cnt[689][5]~q\ & \led_flash_cnt[689][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[689][5]~q\,
	datac => \led_flash_cnt[689][6]~q\,
	combout => \WideAnd689~1_combout\);

-- Location: LCCOMB_X40_Y31_N2
\WideAnd689~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd689~0_combout\ = (\led_flash_cnt[689][2]~q\ & (\led_flash_cnt[689][1]~q\ & (\led_flash_cnt[689][3]~q\ & \led_flash_cnt[689][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[689][2]~q\,
	datab => \led_flash_cnt[689][1]~q\,
	datac => \led_flash_cnt[689][3]~q\,
	datad => \led_flash_cnt[689][4]~q\,
	combout => \WideAnd689~0_combout\);

-- Location: LCCOMB_X39_Y31_N12
WideAnd689 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd689~combout\ = (\led_flash_cnt[689][0]~q\ & (\led_flash_cnt[689][7]~q\ & (\WideAnd689~1_combout\ & \WideAnd689~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[689][0]~q\,
	datab => \led_flash_cnt[689][7]~q\,
	datac => \WideAnd689~1_combout\,
	datad => \WideAnd689~0_combout\,
	combout => \WideAnd689~combout\);

-- Location: FF_X39_Y31_N13
\led_flash_cnt_ands[689]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd689~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(689));

-- Location: LCCOMB_X39_Y31_N30
\WideAnd3926~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3926~0_combout\ = (led_flash_cnt_ands(691) & (led_flash_cnt_ands(690) & (led_flash_cnt_ands(688) & led_flash_cnt_ands(689))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(691),
	datab => led_flash_cnt_ands(690),
	datac => led_flash_cnt_ands(688),
	datad => led_flash_cnt_ands(689),
	combout => \WideAnd3926~0_combout\);

-- Location: LCCOMB_X40_Y32_N28
WideAnd3926 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3926~combout\ = (\WideAnd3926~1_combout\ & (led_flash_cnt_ands(695) & (led_flash_cnt_ands(694) & \WideAnd3926~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3926~1_combout\,
	datab => led_flash_cnt_ands(695),
	datac => led_flash_cnt_ands(694),
	datad => \WideAnd3926~0_combout\,
	combout => \WideAnd3926~combout\);

-- Location: FF_X40_Y32_N29
\led_flash_cnt_ands_1[86]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3926~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(86));

-- Location: LCCOMB_X40_Y29_N16
\led_flash_cnt[671][0]~81311\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[671][0]~81311_combout\ = !\led_flash_cnt[671][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[671][0]~q\,
	combout => \led_flash_cnt[671][0]~81311_combout\);

-- Location: FF_X40_Y29_N17
\led_flash_cnt[671][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[671][0]~81311_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[671][0]~q\);

-- Location: LCCOMB_X40_Y33_N2
\led_flash_cnt[671][1]~36274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[671][1]~36274_combout\ = (\led_flash_cnt[671][0]~q\ & (\led_flash_cnt[671][1]~q\ $ (VCC))) # (!\led_flash_cnt[671][0]~q\ & (\led_flash_cnt[671][1]~q\ & VCC))
-- \led_flash_cnt[671][1]~36275\ = CARRY((\led_flash_cnt[671][0]~q\ & \led_flash_cnt[671][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[671][0]~q\,
	datab => \led_flash_cnt[671][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[671][1]~36274_combout\,
	cout => \led_flash_cnt[671][1]~36275\);

-- Location: FF_X40_Y33_N3
\led_flash_cnt[671][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[671][1]~36274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[671][1]~q\);

-- Location: LCCOMB_X40_Y33_N4
\led_flash_cnt[671][2]~36276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[671][2]~36276_combout\ = (\led_flash_cnt[671][2]~q\ & (!\led_flash_cnt[671][1]~36275\)) # (!\led_flash_cnt[671][2]~q\ & ((\led_flash_cnt[671][1]~36275\) # (GND)))
-- \led_flash_cnt[671][2]~36277\ = CARRY((!\led_flash_cnt[671][1]~36275\) # (!\led_flash_cnt[671][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[671][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[671][1]~36275\,
	combout => \led_flash_cnt[671][2]~36276_combout\,
	cout => \led_flash_cnt[671][2]~36277\);

-- Location: FF_X40_Y33_N5
\led_flash_cnt[671][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[671][2]~36276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[671][2]~q\);

-- Location: LCCOMB_X40_Y33_N6
\led_flash_cnt[671][3]~36278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[671][3]~36278_combout\ = (\led_flash_cnt[671][3]~q\ & (\led_flash_cnt[671][2]~36277\ $ (GND))) # (!\led_flash_cnt[671][3]~q\ & (!\led_flash_cnt[671][2]~36277\ & VCC))
-- \led_flash_cnt[671][3]~36279\ = CARRY((\led_flash_cnt[671][3]~q\ & !\led_flash_cnt[671][2]~36277\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[671][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[671][2]~36277\,
	combout => \led_flash_cnt[671][3]~36278_combout\,
	cout => \led_flash_cnt[671][3]~36279\);

-- Location: FF_X40_Y33_N7
\led_flash_cnt[671][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[671][3]~36278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[671][3]~q\);

-- Location: LCCOMB_X40_Y33_N8
\led_flash_cnt[671][4]~36280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[671][4]~36280_combout\ = (\led_flash_cnt[671][4]~q\ & (!\led_flash_cnt[671][3]~36279\)) # (!\led_flash_cnt[671][4]~q\ & ((\led_flash_cnt[671][3]~36279\) # (GND)))
-- \led_flash_cnt[671][4]~36281\ = CARRY((!\led_flash_cnt[671][3]~36279\) # (!\led_flash_cnt[671][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[671][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[671][3]~36279\,
	combout => \led_flash_cnt[671][4]~36280_combout\,
	cout => \led_flash_cnt[671][4]~36281\);

-- Location: FF_X40_Y33_N9
\led_flash_cnt[671][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[671][4]~36280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[671][4]~q\);

-- Location: LCCOMB_X40_Y33_N10
\led_flash_cnt[671][5]~36282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[671][5]~36282_combout\ = (\led_flash_cnt[671][5]~q\ & (\led_flash_cnt[671][4]~36281\ $ (GND))) # (!\led_flash_cnt[671][5]~q\ & (!\led_flash_cnt[671][4]~36281\ & VCC))
-- \led_flash_cnt[671][5]~36283\ = CARRY((\led_flash_cnt[671][5]~q\ & !\led_flash_cnt[671][4]~36281\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[671][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[671][4]~36281\,
	combout => \led_flash_cnt[671][5]~36282_combout\,
	cout => \led_flash_cnt[671][5]~36283\);

-- Location: FF_X40_Y33_N11
\led_flash_cnt[671][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[671][5]~36282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[671][5]~q\);

-- Location: LCCOMB_X40_Y33_N12
\led_flash_cnt[671][6]~36284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[671][6]~36284_combout\ = (\led_flash_cnt[671][6]~q\ & (!\led_flash_cnt[671][5]~36283\)) # (!\led_flash_cnt[671][6]~q\ & ((\led_flash_cnt[671][5]~36283\) # (GND)))
-- \led_flash_cnt[671][6]~36285\ = CARRY((!\led_flash_cnt[671][5]~36283\) # (!\led_flash_cnt[671][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[671][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[671][5]~36283\,
	combout => \led_flash_cnt[671][6]~36284_combout\,
	cout => \led_flash_cnt[671][6]~36285\);

-- Location: FF_X40_Y33_N13
\led_flash_cnt[671][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[671][6]~36284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[671][6]~q\);

-- Location: LCCOMB_X40_Y33_N14
\led_flash_cnt[671][7]~36286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[671][7]~36286_combout\ = \led_flash_cnt[671][7]~q\ $ (!\led_flash_cnt[671][6]~36285\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[671][7]~q\,
	cin => \led_flash_cnt[671][6]~36285\,
	combout => \led_flash_cnt[671][7]~36286_combout\);

-- Location: FF_X40_Y33_N15
\led_flash_cnt[671][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[671][7]~36286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[671][7]~q\);

-- Location: LCCOMB_X40_Y29_N26
\WideAnd671~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd671~1_combout\ = (\led_flash_cnt[671][5]~q\ & \led_flash_cnt[671][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[671][5]~q\,
	datad => \led_flash_cnt[671][6]~q\,
	combout => \WideAnd671~1_combout\);

-- Location: LCCOMB_X40_Y33_N30
\WideAnd671~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd671~0_combout\ = (\led_flash_cnt[671][3]~q\ & (\led_flash_cnt[671][4]~q\ & (\led_flash_cnt[671][2]~q\ & \led_flash_cnt[671][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[671][3]~q\,
	datab => \led_flash_cnt[671][4]~q\,
	datac => \led_flash_cnt[671][2]~q\,
	datad => \led_flash_cnt[671][1]~q\,
	combout => \WideAnd671~0_combout\);

-- Location: LCCOMB_X40_Y29_N0
WideAnd671 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd671~combout\ = (\led_flash_cnt[671][7]~q\ & (\led_flash_cnt[671][0]~q\ & (\WideAnd671~1_combout\ & \WideAnd671~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[671][7]~q\,
	datab => \led_flash_cnt[671][0]~q\,
	datac => \WideAnd671~1_combout\,
	datad => \WideAnd671~0_combout\,
	combout => \WideAnd671~combout\);

-- Location: FF_X40_Y29_N1
\led_flash_cnt_ands[671]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd671~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(671));

-- Location: LCCOMB_X29_Y23_N28
\led_flash_cnt[666][0]~81306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[666][0]~81306_combout\ = !\led_flash_cnt[666][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[666][0]~q\,
	combout => \led_flash_cnt[666][0]~81306_combout\);

-- Location: FF_X29_Y23_N29
\led_flash_cnt[666][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[666][0]~81306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[666][0]~q\);

-- Location: LCCOMB_X36_Y27_N4
\led_flash_cnt[666][1]~36204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[666][1]~36204_combout\ = (\led_flash_cnt[666][0]~q\ & (\led_flash_cnt[666][1]~q\ $ (VCC))) # (!\led_flash_cnt[666][0]~q\ & (\led_flash_cnt[666][1]~q\ & VCC))
-- \led_flash_cnt[666][1]~36205\ = CARRY((\led_flash_cnt[666][0]~q\ & \led_flash_cnt[666][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[666][0]~q\,
	datab => \led_flash_cnt[666][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[666][1]~36204_combout\,
	cout => \led_flash_cnt[666][1]~36205\);

-- Location: FF_X36_Y27_N5
\led_flash_cnt[666][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[666][1]~36204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[666][1]~q\);

-- Location: LCCOMB_X36_Y27_N6
\led_flash_cnt[666][2]~36206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[666][2]~36206_combout\ = (\led_flash_cnt[666][2]~q\ & (!\led_flash_cnt[666][1]~36205\)) # (!\led_flash_cnt[666][2]~q\ & ((\led_flash_cnt[666][1]~36205\) # (GND)))
-- \led_flash_cnt[666][2]~36207\ = CARRY((!\led_flash_cnt[666][1]~36205\) # (!\led_flash_cnt[666][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[666][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[666][1]~36205\,
	combout => \led_flash_cnt[666][2]~36206_combout\,
	cout => \led_flash_cnt[666][2]~36207\);

-- Location: FF_X36_Y27_N7
\led_flash_cnt[666][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[666][2]~36206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[666][2]~q\);

-- Location: LCCOMB_X36_Y27_N8
\led_flash_cnt[666][3]~36208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[666][3]~36208_combout\ = (\led_flash_cnt[666][3]~q\ & (\led_flash_cnt[666][2]~36207\ $ (GND))) # (!\led_flash_cnt[666][3]~q\ & (!\led_flash_cnt[666][2]~36207\ & VCC))
-- \led_flash_cnt[666][3]~36209\ = CARRY((\led_flash_cnt[666][3]~q\ & !\led_flash_cnt[666][2]~36207\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[666][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[666][2]~36207\,
	combout => \led_flash_cnt[666][3]~36208_combout\,
	cout => \led_flash_cnt[666][3]~36209\);

-- Location: FF_X36_Y27_N9
\led_flash_cnt[666][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[666][3]~36208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[666][3]~q\);

-- Location: LCCOMB_X36_Y27_N10
\led_flash_cnt[666][4]~36210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[666][4]~36210_combout\ = (\led_flash_cnt[666][4]~q\ & (!\led_flash_cnt[666][3]~36209\)) # (!\led_flash_cnt[666][4]~q\ & ((\led_flash_cnt[666][3]~36209\) # (GND)))
-- \led_flash_cnt[666][4]~36211\ = CARRY((!\led_flash_cnt[666][3]~36209\) # (!\led_flash_cnt[666][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[666][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[666][3]~36209\,
	combout => \led_flash_cnt[666][4]~36210_combout\,
	cout => \led_flash_cnt[666][4]~36211\);

-- Location: FF_X36_Y27_N11
\led_flash_cnt[666][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[666][4]~36210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[666][4]~q\);

-- Location: LCCOMB_X36_Y27_N12
\led_flash_cnt[666][5]~36212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[666][5]~36212_combout\ = (\led_flash_cnt[666][5]~q\ & (\led_flash_cnt[666][4]~36211\ $ (GND))) # (!\led_flash_cnt[666][5]~q\ & (!\led_flash_cnt[666][4]~36211\ & VCC))
-- \led_flash_cnt[666][5]~36213\ = CARRY((\led_flash_cnt[666][5]~q\ & !\led_flash_cnt[666][4]~36211\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[666][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[666][4]~36211\,
	combout => \led_flash_cnt[666][5]~36212_combout\,
	cout => \led_flash_cnt[666][5]~36213\);

-- Location: FF_X36_Y27_N13
\led_flash_cnt[666][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[666][5]~36212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[666][5]~q\);

-- Location: LCCOMB_X36_Y27_N14
\led_flash_cnt[666][6]~36214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[666][6]~36214_combout\ = (\led_flash_cnt[666][6]~q\ & (!\led_flash_cnt[666][5]~36213\)) # (!\led_flash_cnt[666][6]~q\ & ((\led_flash_cnt[666][5]~36213\) # (GND)))
-- \led_flash_cnt[666][6]~36215\ = CARRY((!\led_flash_cnt[666][5]~36213\) # (!\led_flash_cnt[666][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[666][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[666][5]~36213\,
	combout => \led_flash_cnt[666][6]~36214_combout\,
	cout => \led_flash_cnt[666][6]~36215\);

-- Location: FF_X36_Y27_N15
\led_flash_cnt[666][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[666][6]~36214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[666][6]~q\);

-- Location: LCCOMB_X37_Y27_N6
\WideAnd666~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd666~1_combout\ = (\led_flash_cnt[666][6]~q\ & \led_flash_cnt[666][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[666][6]~q\,
	datad => \led_flash_cnt[666][5]~q\,
	combout => \WideAnd666~1_combout\);

-- Location: LCCOMB_X36_Y27_N16
\led_flash_cnt[666][7]~36216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[666][7]~36216_combout\ = \led_flash_cnt[666][6]~36215\ $ (!\led_flash_cnt[666][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[666][7]~q\,
	cin => \led_flash_cnt[666][6]~36215\,
	combout => \led_flash_cnt[666][7]~36216_combout\);

-- Location: FF_X36_Y27_N17
\led_flash_cnt[666][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[666][7]~36216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[666][7]~q\);

-- Location: LCCOMB_X36_Y27_N0
\WideAnd666~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd666~0_combout\ = (\led_flash_cnt[666][4]~q\ & (\led_flash_cnt[666][1]~q\ & (\led_flash_cnt[666][3]~q\ & \led_flash_cnt[666][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[666][4]~q\,
	datab => \led_flash_cnt[666][1]~q\,
	datac => \led_flash_cnt[666][3]~q\,
	datad => \led_flash_cnt[666][2]~q\,
	combout => \WideAnd666~0_combout\);

-- Location: LCCOMB_X36_Y27_N2
WideAnd666 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd666~combout\ = (\WideAnd666~1_combout\ & (\led_flash_cnt[666][7]~q\ & (\led_flash_cnt[666][0]~q\ & \WideAnd666~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd666~1_combout\,
	datab => \led_flash_cnt[666][7]~q\,
	datac => \led_flash_cnt[666][0]~q\,
	datad => \WideAnd666~0_combout\,
	combout => \WideAnd666~combout\);

-- Location: FF_X36_Y27_N3
\led_flash_cnt_ands[666]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd666~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(666));

-- Location: LCCOMB_X24_Y27_N2
\led_flash_cnt[667][0]~81307\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[667][0]~81307_combout\ = !\led_flash_cnt[667][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[667][0]~q\,
	combout => \led_flash_cnt[667][0]~81307_combout\);

-- Location: FF_X24_Y27_N3
\led_flash_cnt[667][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[667][0]~81307_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[667][0]~q\);

-- Location: LCCOMB_X25_Y29_N18
\led_flash_cnt[667][1]~36218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[667][1]~36218_combout\ = (\led_flash_cnt[667][0]~q\ & (\led_flash_cnt[667][1]~q\ $ (VCC))) # (!\led_flash_cnt[667][0]~q\ & (\led_flash_cnt[667][1]~q\ & VCC))
-- \led_flash_cnt[667][1]~36219\ = CARRY((\led_flash_cnt[667][0]~q\ & \led_flash_cnt[667][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[667][0]~q\,
	datab => \led_flash_cnt[667][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[667][1]~36218_combout\,
	cout => \led_flash_cnt[667][1]~36219\);

-- Location: FF_X25_Y29_N19
\led_flash_cnt[667][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[667][1]~36218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[667][1]~q\);

-- Location: LCCOMB_X25_Y29_N20
\led_flash_cnt[667][2]~36220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[667][2]~36220_combout\ = (\led_flash_cnt[667][2]~q\ & (!\led_flash_cnt[667][1]~36219\)) # (!\led_flash_cnt[667][2]~q\ & ((\led_flash_cnt[667][1]~36219\) # (GND)))
-- \led_flash_cnt[667][2]~36221\ = CARRY((!\led_flash_cnt[667][1]~36219\) # (!\led_flash_cnt[667][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[667][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[667][1]~36219\,
	combout => \led_flash_cnt[667][2]~36220_combout\,
	cout => \led_flash_cnt[667][2]~36221\);

-- Location: FF_X25_Y29_N21
\led_flash_cnt[667][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[667][2]~36220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[667][2]~q\);

-- Location: LCCOMB_X25_Y29_N22
\led_flash_cnt[667][3]~36222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[667][3]~36222_combout\ = (\led_flash_cnt[667][3]~q\ & (\led_flash_cnt[667][2]~36221\ $ (GND))) # (!\led_flash_cnt[667][3]~q\ & (!\led_flash_cnt[667][2]~36221\ & VCC))
-- \led_flash_cnt[667][3]~36223\ = CARRY((\led_flash_cnt[667][3]~q\ & !\led_flash_cnt[667][2]~36221\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[667][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[667][2]~36221\,
	combout => \led_flash_cnt[667][3]~36222_combout\,
	cout => \led_flash_cnt[667][3]~36223\);

-- Location: FF_X25_Y29_N23
\led_flash_cnt[667][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[667][3]~36222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[667][3]~q\);

-- Location: LCCOMB_X25_Y29_N24
\led_flash_cnt[667][4]~36224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[667][4]~36224_combout\ = (\led_flash_cnt[667][4]~q\ & (!\led_flash_cnt[667][3]~36223\)) # (!\led_flash_cnt[667][4]~q\ & ((\led_flash_cnt[667][3]~36223\) # (GND)))
-- \led_flash_cnt[667][4]~36225\ = CARRY((!\led_flash_cnt[667][3]~36223\) # (!\led_flash_cnt[667][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[667][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[667][3]~36223\,
	combout => \led_flash_cnt[667][4]~36224_combout\,
	cout => \led_flash_cnt[667][4]~36225\);

-- Location: FF_X25_Y29_N25
\led_flash_cnt[667][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[667][4]~36224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[667][4]~q\);

-- Location: LCCOMB_X25_Y29_N26
\led_flash_cnt[667][5]~36226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[667][5]~36226_combout\ = (\led_flash_cnt[667][5]~q\ & (\led_flash_cnt[667][4]~36225\ $ (GND))) # (!\led_flash_cnt[667][5]~q\ & (!\led_flash_cnt[667][4]~36225\ & VCC))
-- \led_flash_cnt[667][5]~36227\ = CARRY((\led_flash_cnt[667][5]~q\ & !\led_flash_cnt[667][4]~36225\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[667][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[667][4]~36225\,
	combout => \led_flash_cnt[667][5]~36226_combout\,
	cout => \led_flash_cnt[667][5]~36227\);

-- Location: FF_X25_Y29_N27
\led_flash_cnt[667][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[667][5]~36226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[667][5]~q\);

-- Location: LCCOMB_X25_Y29_N28
\led_flash_cnt[667][6]~36228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[667][6]~36228_combout\ = (\led_flash_cnt[667][6]~q\ & (!\led_flash_cnt[667][5]~36227\)) # (!\led_flash_cnt[667][6]~q\ & ((\led_flash_cnt[667][5]~36227\) # (GND)))
-- \led_flash_cnt[667][6]~36229\ = CARRY((!\led_flash_cnt[667][5]~36227\) # (!\led_flash_cnt[667][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[667][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[667][5]~36227\,
	combout => \led_flash_cnt[667][6]~36228_combout\,
	cout => \led_flash_cnt[667][6]~36229\);

-- Location: FF_X25_Y29_N29
\led_flash_cnt[667][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[667][6]~36228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[667][6]~q\);

-- Location: LCCOMB_X25_Y29_N30
\led_flash_cnt[667][7]~36230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[667][7]~36230_combout\ = \led_flash_cnt[667][7]~q\ $ (!\led_flash_cnt[667][6]~36229\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[667][7]~q\,
	cin => \led_flash_cnt[667][6]~36229\,
	combout => \led_flash_cnt[667][7]~36230_combout\);

-- Location: FF_X25_Y29_N31
\led_flash_cnt[667][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[667][7]~36230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[667][7]~q\);

-- Location: LCCOMB_X25_Y29_N16
\WideAnd667~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd667~0_combout\ = (\led_flash_cnt[667][1]~q\ & (\led_flash_cnt[667][2]~q\ & (\led_flash_cnt[667][3]~q\ & \led_flash_cnt[667][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[667][1]~q\,
	datab => \led_flash_cnt[667][2]~q\,
	datac => \led_flash_cnt[667][3]~q\,
	datad => \led_flash_cnt[667][4]~q\,
	combout => \WideAnd667~0_combout\);

-- Location: LCCOMB_X24_Y29_N22
\WideAnd667~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd667~1_combout\ = (\led_flash_cnt[667][5]~q\ & \led_flash_cnt[667][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[667][5]~q\,
	datad => \led_flash_cnt[667][6]~q\,
	combout => \WideAnd667~1_combout\);

-- Location: LCCOMB_X24_Y27_N8
WideAnd667 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd667~combout\ = (\led_flash_cnt[667][7]~q\ & (\led_flash_cnt[667][0]~q\ & (\WideAnd667~0_combout\ & \WideAnd667~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[667][7]~q\,
	datab => \led_flash_cnt[667][0]~q\,
	datac => \WideAnd667~0_combout\,
	datad => \WideAnd667~1_combout\,
	combout => \WideAnd667~combout\);

-- Location: FF_X24_Y27_N9
\led_flash_cnt_ands[667]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd667~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(667));

-- Location: LCCOMB_X26_Y28_N28
\led_flash_cnt[664][0]~81304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[664][0]~81304_combout\ = !\led_flash_cnt[664][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[664][0]~q\,
	combout => \led_flash_cnt[664][0]~81304_combout\);

-- Location: FF_X26_Y28_N29
\led_flash_cnt[664][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[664][0]~81304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[664][0]~q\);

-- Location: LCCOMB_X24_Y28_N18
\led_flash_cnt[664][1]~36176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[664][1]~36176_combout\ = (\led_flash_cnt[664][0]~q\ & (\led_flash_cnt[664][1]~q\ $ (VCC))) # (!\led_flash_cnt[664][0]~q\ & (\led_flash_cnt[664][1]~q\ & VCC))
-- \led_flash_cnt[664][1]~36177\ = CARRY((\led_flash_cnt[664][0]~q\ & \led_flash_cnt[664][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[664][0]~q\,
	datab => \led_flash_cnt[664][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[664][1]~36176_combout\,
	cout => \led_flash_cnt[664][1]~36177\);

-- Location: FF_X24_Y28_N19
\led_flash_cnt[664][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[664][1]~36176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[664][1]~q\);

-- Location: LCCOMB_X24_Y28_N20
\led_flash_cnt[664][2]~36178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[664][2]~36178_combout\ = (\led_flash_cnt[664][2]~q\ & (!\led_flash_cnt[664][1]~36177\)) # (!\led_flash_cnt[664][2]~q\ & ((\led_flash_cnt[664][1]~36177\) # (GND)))
-- \led_flash_cnt[664][2]~36179\ = CARRY((!\led_flash_cnt[664][1]~36177\) # (!\led_flash_cnt[664][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[664][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[664][1]~36177\,
	combout => \led_flash_cnt[664][2]~36178_combout\,
	cout => \led_flash_cnt[664][2]~36179\);

-- Location: FF_X24_Y28_N21
\led_flash_cnt[664][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[664][2]~36178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[664][2]~q\);

-- Location: LCCOMB_X24_Y28_N22
\led_flash_cnt[664][3]~36180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[664][3]~36180_combout\ = (\led_flash_cnt[664][3]~q\ & (\led_flash_cnt[664][2]~36179\ $ (GND))) # (!\led_flash_cnt[664][3]~q\ & (!\led_flash_cnt[664][2]~36179\ & VCC))
-- \led_flash_cnt[664][3]~36181\ = CARRY((\led_flash_cnt[664][3]~q\ & !\led_flash_cnt[664][2]~36179\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[664][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[664][2]~36179\,
	combout => \led_flash_cnt[664][3]~36180_combout\,
	cout => \led_flash_cnt[664][3]~36181\);

-- Location: FF_X24_Y28_N23
\led_flash_cnt[664][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[664][3]~36180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[664][3]~q\);

-- Location: LCCOMB_X24_Y28_N24
\led_flash_cnt[664][4]~36182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[664][4]~36182_combout\ = (\led_flash_cnt[664][4]~q\ & (!\led_flash_cnt[664][3]~36181\)) # (!\led_flash_cnt[664][4]~q\ & ((\led_flash_cnt[664][3]~36181\) # (GND)))
-- \led_flash_cnt[664][4]~36183\ = CARRY((!\led_flash_cnt[664][3]~36181\) # (!\led_flash_cnt[664][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[664][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[664][3]~36181\,
	combout => \led_flash_cnt[664][4]~36182_combout\,
	cout => \led_flash_cnt[664][4]~36183\);

-- Location: FF_X24_Y28_N25
\led_flash_cnt[664][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[664][4]~36182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[664][4]~q\);

-- Location: LCCOMB_X24_Y28_N0
\WideAnd664~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd664~0_combout\ = (\led_flash_cnt[664][2]~q\ & (\led_flash_cnt[664][4]~q\ & (\led_flash_cnt[664][3]~q\ & \led_flash_cnt[664][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[664][2]~q\,
	datab => \led_flash_cnt[664][4]~q\,
	datac => \led_flash_cnt[664][3]~q\,
	datad => \led_flash_cnt[664][1]~q\,
	combout => \WideAnd664~0_combout\);

-- Location: LCCOMB_X24_Y28_N26
\led_flash_cnt[664][5]~36184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[664][5]~36184_combout\ = (\led_flash_cnt[664][5]~q\ & (\led_flash_cnt[664][4]~36183\ $ (GND))) # (!\led_flash_cnt[664][5]~q\ & (!\led_flash_cnt[664][4]~36183\ & VCC))
-- \led_flash_cnt[664][5]~36185\ = CARRY((\led_flash_cnt[664][5]~q\ & !\led_flash_cnt[664][4]~36183\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[664][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[664][4]~36183\,
	combout => \led_flash_cnt[664][5]~36184_combout\,
	cout => \led_flash_cnt[664][5]~36185\);

-- Location: FF_X24_Y28_N27
\led_flash_cnt[664][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[664][5]~36184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[664][5]~q\);

-- Location: LCCOMB_X24_Y28_N28
\led_flash_cnt[664][6]~36186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[664][6]~36186_combout\ = (\led_flash_cnt[664][6]~q\ & (!\led_flash_cnt[664][5]~36185\)) # (!\led_flash_cnt[664][6]~q\ & ((\led_flash_cnt[664][5]~36185\) # (GND)))
-- \led_flash_cnt[664][6]~36187\ = CARRY((!\led_flash_cnt[664][5]~36185\) # (!\led_flash_cnt[664][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[664][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[664][5]~36185\,
	combout => \led_flash_cnt[664][6]~36186_combout\,
	cout => \led_flash_cnt[664][6]~36187\);

-- Location: FF_X24_Y28_N29
\led_flash_cnt[664][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[664][6]~36186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[664][6]~q\);

-- Location: LCCOMB_X24_Y28_N30
\led_flash_cnt[664][7]~36188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[664][7]~36188_combout\ = \led_flash_cnt[664][7]~q\ $ (!\led_flash_cnt[664][6]~36187\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[664][7]~q\,
	cin => \led_flash_cnt[664][6]~36187\,
	combout => \led_flash_cnt[664][7]~36188_combout\);

-- Location: FF_X24_Y28_N31
\led_flash_cnt[664][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[664][7]~36188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[664][7]~q\);

-- Location: LCCOMB_X25_Y28_N0
\WideAnd664~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd664~1_combout\ = (\led_flash_cnt[664][5]~q\ & \led_flash_cnt[664][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[664][5]~q\,
	datad => \led_flash_cnt[664][6]~q\,
	combout => \WideAnd664~1_combout\);

-- Location: LCCOMB_X25_Y28_N30
WideAnd664 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd664~combout\ = (\WideAnd664~0_combout\ & (\led_flash_cnt[664][7]~q\ & (\led_flash_cnt[664][0]~q\ & \WideAnd664~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd664~0_combout\,
	datab => \led_flash_cnt[664][7]~q\,
	datac => \led_flash_cnt[664][0]~q\,
	datad => \WideAnd664~1_combout\,
	combout => \WideAnd664~combout\);

-- Location: FF_X25_Y28_N31
\led_flash_cnt_ands[664]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd664~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(664));

-- Location: LCCOMB_X24_Y27_N6
\led_flash_cnt[665][0]~81305\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[665][0]~81305_combout\ = !\led_flash_cnt[665][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[665][0]~q\,
	combout => \led_flash_cnt[665][0]~81305_combout\);

-- Location: FF_X24_Y27_N7
\led_flash_cnt[665][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[665][0]~81305_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[665][0]~q\);

-- Location: LCCOMB_X24_Y27_N18
\led_flash_cnt[665][1]~36190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[665][1]~36190_combout\ = (\led_flash_cnt[665][0]~q\ & (\led_flash_cnt[665][1]~q\ $ (VCC))) # (!\led_flash_cnt[665][0]~q\ & (\led_flash_cnt[665][1]~q\ & VCC))
-- \led_flash_cnt[665][1]~36191\ = CARRY((\led_flash_cnt[665][0]~q\ & \led_flash_cnt[665][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][0]~q\,
	datab => \led_flash_cnt[665][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[665][1]~36190_combout\,
	cout => \led_flash_cnt[665][1]~36191\);

-- Location: FF_X24_Y27_N19
\led_flash_cnt[665][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[665][1]~36190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[665][1]~q\);

-- Location: LCCOMB_X24_Y27_N20
\led_flash_cnt[665][2]~36192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[665][2]~36192_combout\ = (\led_flash_cnt[665][2]~q\ & (!\led_flash_cnt[665][1]~36191\)) # (!\led_flash_cnt[665][2]~q\ & ((\led_flash_cnt[665][1]~36191\) # (GND)))
-- \led_flash_cnt[665][2]~36193\ = CARRY((!\led_flash_cnt[665][1]~36191\) # (!\led_flash_cnt[665][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[665][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[665][1]~36191\,
	combout => \led_flash_cnt[665][2]~36192_combout\,
	cout => \led_flash_cnt[665][2]~36193\);

-- Location: FF_X24_Y27_N21
\led_flash_cnt[665][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[665][2]~36192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[665][2]~q\);

-- Location: LCCOMB_X24_Y27_N22
\led_flash_cnt[665][3]~36194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[665][3]~36194_combout\ = (\led_flash_cnt[665][3]~q\ & (\led_flash_cnt[665][2]~36193\ $ (GND))) # (!\led_flash_cnt[665][3]~q\ & (!\led_flash_cnt[665][2]~36193\ & VCC))
-- \led_flash_cnt[665][3]~36195\ = CARRY((\led_flash_cnt[665][3]~q\ & !\led_flash_cnt[665][2]~36193\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[665][2]~36193\,
	combout => \led_flash_cnt[665][3]~36194_combout\,
	cout => \led_flash_cnt[665][3]~36195\);

-- Location: FF_X24_Y27_N23
\led_flash_cnt[665][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[665][3]~36194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[665][3]~q\);

-- Location: LCCOMB_X24_Y27_N24
\led_flash_cnt[665][4]~36196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[665][4]~36196_combout\ = (\led_flash_cnt[665][4]~q\ & (!\led_flash_cnt[665][3]~36195\)) # (!\led_flash_cnt[665][4]~q\ & ((\led_flash_cnt[665][3]~36195\) # (GND)))
-- \led_flash_cnt[665][4]~36197\ = CARRY((!\led_flash_cnt[665][3]~36195\) # (!\led_flash_cnt[665][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[665][3]~36195\,
	combout => \led_flash_cnt[665][4]~36196_combout\,
	cout => \led_flash_cnt[665][4]~36197\);

-- Location: FF_X24_Y27_N25
\led_flash_cnt[665][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[665][4]~36196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[665][4]~q\);

-- Location: LCCOMB_X24_Y27_N26
\led_flash_cnt[665][5]~36198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[665][5]~36198_combout\ = (\led_flash_cnt[665][5]~q\ & (\led_flash_cnt[665][4]~36197\ $ (GND))) # (!\led_flash_cnt[665][5]~q\ & (!\led_flash_cnt[665][4]~36197\ & VCC))
-- \led_flash_cnt[665][5]~36199\ = CARRY((\led_flash_cnt[665][5]~q\ & !\led_flash_cnt[665][4]~36197\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[665][4]~36197\,
	combout => \led_flash_cnt[665][5]~36198_combout\,
	cout => \led_flash_cnt[665][5]~36199\);

-- Location: FF_X24_Y27_N27
\led_flash_cnt[665][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[665][5]~36198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[665][5]~q\);

-- Location: LCCOMB_X24_Y27_N28
\led_flash_cnt[665][6]~36200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[665][6]~36200_combout\ = (\led_flash_cnt[665][6]~q\ & (!\led_flash_cnt[665][5]~36199\)) # (!\led_flash_cnt[665][6]~q\ & ((\led_flash_cnt[665][5]~36199\) # (GND)))
-- \led_flash_cnt[665][6]~36201\ = CARRY((!\led_flash_cnt[665][5]~36199\) # (!\led_flash_cnt[665][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[665][5]~36199\,
	combout => \led_flash_cnt[665][6]~36200_combout\,
	cout => \led_flash_cnt[665][6]~36201\);

-- Location: FF_X24_Y27_N29
\led_flash_cnt[665][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[665][6]~36200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[665][6]~q\);

-- Location: LCCOMB_X24_Y27_N30
\led_flash_cnt[665][7]~36202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[665][7]~36202_combout\ = \led_flash_cnt[665][7]~q\ $ (!\led_flash_cnt[665][6]~36201\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][7]~q\,
	cin => \led_flash_cnt[665][6]~36201\,
	combout => \led_flash_cnt[665][7]~36202_combout\);

-- Location: FF_X24_Y27_N31
\led_flash_cnt[665][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[665][7]~36202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[665][7]~q\);

-- Location: LCCOMB_X24_Y27_N0
\WideAnd665~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd665~1_combout\ = (\led_flash_cnt[665][6]~q\ & \led_flash_cnt[665][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][6]~q\,
	datac => \led_flash_cnt[665][5]~q\,
	combout => \WideAnd665~1_combout\);

-- Location: LCCOMB_X24_Y27_N14
\WideAnd665~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd665~0_combout\ = (\led_flash_cnt[665][4]~q\ & (\led_flash_cnt[665][2]~q\ & (\led_flash_cnt[665][3]~q\ & \led_flash_cnt[665][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][4]~q\,
	datab => \led_flash_cnt[665][2]~q\,
	datac => \led_flash_cnt[665][3]~q\,
	datad => \led_flash_cnt[665][1]~q\,
	combout => \WideAnd665~0_combout\);

-- Location: LCCOMB_X24_Y27_N10
WideAnd665 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd665~combout\ = (\led_flash_cnt[665][7]~q\ & (\WideAnd665~1_combout\ & (\WideAnd665~0_combout\ & \led_flash_cnt[665][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[665][7]~q\,
	datab => \WideAnd665~1_combout\,
	datac => \WideAnd665~0_combout\,
	datad => \led_flash_cnt[665][0]~q\,
	combout => \WideAnd665~combout\);

-- Location: FF_X24_Y27_N11
\led_flash_cnt_ands[665]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd665~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(665));

-- Location: LCCOMB_X24_Y27_N4
\WideAnd3923~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3923~0_combout\ = (led_flash_cnt_ands(666) & (led_flash_cnt_ands(667) & (led_flash_cnt_ands(664) & led_flash_cnt_ands(665))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(666),
	datab => led_flash_cnt_ands(667),
	datac => led_flash_cnt_ands(664),
	datad => led_flash_cnt_ands(665),
	combout => \WideAnd3923~0_combout\);

-- Location: LCCOMB_X35_Y25_N8
\led_flash_cnt[670][0]~81310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[670][0]~81310_combout\ = !\led_flash_cnt[670][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[670][0]~q\,
	combout => \led_flash_cnt[670][0]~81310_combout\);

-- Location: FF_X35_Y25_N9
\led_flash_cnt[670][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[670][0]~81310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[670][0]~q\);

-- Location: LCCOMB_X38_Y26_N2
\led_flash_cnt[670][1]~36260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[670][1]~36260_combout\ = (\led_flash_cnt[670][0]~q\ & (\led_flash_cnt[670][1]~q\ $ (VCC))) # (!\led_flash_cnt[670][0]~q\ & (\led_flash_cnt[670][1]~q\ & VCC))
-- \led_flash_cnt[670][1]~36261\ = CARRY((\led_flash_cnt[670][0]~q\ & \led_flash_cnt[670][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[670][0]~q\,
	datab => \led_flash_cnt[670][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[670][1]~36260_combout\,
	cout => \led_flash_cnt[670][1]~36261\);

-- Location: FF_X38_Y26_N3
\led_flash_cnt[670][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[670][1]~36260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[670][1]~q\);

-- Location: LCCOMB_X38_Y26_N4
\led_flash_cnt[670][2]~36262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[670][2]~36262_combout\ = (\led_flash_cnt[670][2]~q\ & (!\led_flash_cnt[670][1]~36261\)) # (!\led_flash_cnt[670][2]~q\ & ((\led_flash_cnt[670][1]~36261\) # (GND)))
-- \led_flash_cnt[670][2]~36263\ = CARRY((!\led_flash_cnt[670][1]~36261\) # (!\led_flash_cnt[670][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[670][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[670][1]~36261\,
	combout => \led_flash_cnt[670][2]~36262_combout\,
	cout => \led_flash_cnt[670][2]~36263\);

-- Location: FF_X38_Y26_N5
\led_flash_cnt[670][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[670][2]~36262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[670][2]~q\);

-- Location: LCCOMB_X38_Y26_N6
\led_flash_cnt[670][3]~36264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[670][3]~36264_combout\ = (\led_flash_cnt[670][3]~q\ & (\led_flash_cnt[670][2]~36263\ $ (GND))) # (!\led_flash_cnt[670][3]~q\ & (!\led_flash_cnt[670][2]~36263\ & VCC))
-- \led_flash_cnt[670][3]~36265\ = CARRY((\led_flash_cnt[670][3]~q\ & !\led_flash_cnt[670][2]~36263\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[670][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[670][2]~36263\,
	combout => \led_flash_cnt[670][3]~36264_combout\,
	cout => \led_flash_cnt[670][3]~36265\);

-- Location: FF_X38_Y26_N7
\led_flash_cnt[670][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[670][3]~36264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[670][3]~q\);

-- Location: LCCOMB_X38_Y26_N8
\led_flash_cnt[670][4]~36266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[670][4]~36266_combout\ = (\led_flash_cnt[670][4]~q\ & (!\led_flash_cnt[670][3]~36265\)) # (!\led_flash_cnt[670][4]~q\ & ((\led_flash_cnt[670][3]~36265\) # (GND)))
-- \led_flash_cnt[670][4]~36267\ = CARRY((!\led_flash_cnt[670][3]~36265\) # (!\led_flash_cnt[670][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[670][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[670][3]~36265\,
	combout => \led_flash_cnt[670][4]~36266_combout\,
	cout => \led_flash_cnt[670][4]~36267\);

-- Location: FF_X38_Y26_N9
\led_flash_cnt[670][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[670][4]~36266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[670][4]~q\);

-- Location: LCCOMB_X38_Y26_N10
\led_flash_cnt[670][5]~36268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[670][5]~36268_combout\ = (\led_flash_cnt[670][5]~q\ & (\led_flash_cnt[670][4]~36267\ $ (GND))) # (!\led_flash_cnt[670][5]~q\ & (!\led_flash_cnt[670][4]~36267\ & VCC))
-- \led_flash_cnt[670][5]~36269\ = CARRY((\led_flash_cnt[670][5]~q\ & !\led_flash_cnt[670][4]~36267\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[670][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[670][4]~36267\,
	combout => \led_flash_cnt[670][5]~36268_combout\,
	cout => \led_flash_cnt[670][5]~36269\);

-- Location: FF_X38_Y26_N11
\led_flash_cnt[670][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[670][5]~36268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[670][5]~q\);

-- Location: LCCOMB_X38_Y26_N12
\led_flash_cnt[670][6]~36270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[670][6]~36270_combout\ = (\led_flash_cnt[670][6]~q\ & (!\led_flash_cnt[670][5]~36269\)) # (!\led_flash_cnt[670][6]~q\ & ((\led_flash_cnt[670][5]~36269\) # (GND)))
-- \led_flash_cnt[670][6]~36271\ = CARRY((!\led_flash_cnt[670][5]~36269\) # (!\led_flash_cnt[670][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[670][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[670][5]~36269\,
	combout => \led_flash_cnt[670][6]~36270_combout\,
	cout => \led_flash_cnt[670][6]~36271\);

-- Location: FF_X38_Y26_N13
\led_flash_cnt[670][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[670][6]~36270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[670][6]~q\);

-- Location: LCCOMB_X37_Y26_N14
\WideAnd670~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd670~1_combout\ = (\led_flash_cnt[670][6]~q\ & \led_flash_cnt[670][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[670][6]~q\,
	datac => \led_flash_cnt[670][5]~q\,
	combout => \WideAnd670~1_combout\);

-- Location: LCCOMB_X38_Y26_N14
\led_flash_cnt[670][7]~36272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[670][7]~36272_combout\ = \led_flash_cnt[670][7]~q\ $ (!\led_flash_cnt[670][6]~36271\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[670][7]~q\,
	cin => \led_flash_cnt[670][6]~36271\,
	combout => \led_flash_cnt[670][7]~36272_combout\);

-- Location: FF_X38_Y26_N15
\led_flash_cnt[670][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[670][7]~36272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[670][7]~q\);

-- Location: LCCOMB_X38_Y26_N30
\WideAnd670~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd670~0_combout\ = (\led_flash_cnt[670][3]~q\ & (\led_flash_cnt[670][4]~q\ & (\led_flash_cnt[670][2]~q\ & \led_flash_cnt[670][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[670][3]~q\,
	datab => \led_flash_cnt[670][4]~q\,
	datac => \led_flash_cnt[670][2]~q\,
	datad => \led_flash_cnt[670][1]~q\,
	combout => \WideAnd670~0_combout\);

-- Location: LCCOMB_X38_Y26_N0
WideAnd670 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd670~combout\ = (\WideAnd670~1_combout\ & (\led_flash_cnt[670][7]~q\ & (\WideAnd670~0_combout\ & \led_flash_cnt[670][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd670~1_combout\,
	datab => \led_flash_cnt[670][7]~q\,
	datac => \WideAnd670~0_combout\,
	datad => \led_flash_cnt[670][0]~q\,
	combout => \WideAnd670~combout\);

-- Location: FF_X38_Y26_N1
\led_flash_cnt_ands[670]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd670~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(670));

-- Location: LCCOMB_X42_Y15_N8
\led_flash_cnt[669][0]~81309\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[669][0]~81309_combout\ = !\led_flash_cnt[669][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[669][0]~q\,
	combout => \led_flash_cnt[669][0]~81309_combout\);

-- Location: FF_X42_Y15_N9
\led_flash_cnt[669][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[669][0]~81309_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[669][0]~q\);

-- Location: LCCOMB_X42_Y15_N10
\led_flash_cnt[669][1]~36246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[669][1]~36246_combout\ = (\led_flash_cnt[669][1]~q\ & (\led_flash_cnt[669][0]~q\ $ (VCC))) # (!\led_flash_cnt[669][1]~q\ & (\led_flash_cnt[669][0]~q\ & VCC))
-- \led_flash_cnt[669][1]~36247\ = CARRY((\led_flash_cnt[669][1]~q\ & \led_flash_cnt[669][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[669][1]~q\,
	datab => \led_flash_cnt[669][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[669][1]~36246_combout\,
	cout => \led_flash_cnt[669][1]~36247\);

-- Location: FF_X42_Y15_N11
\led_flash_cnt[669][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[669][1]~36246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[669][1]~q\);

-- Location: LCCOMB_X42_Y15_N12
\led_flash_cnt[669][2]~36248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[669][2]~36248_combout\ = (\led_flash_cnt[669][2]~q\ & (!\led_flash_cnt[669][1]~36247\)) # (!\led_flash_cnt[669][2]~q\ & ((\led_flash_cnt[669][1]~36247\) # (GND)))
-- \led_flash_cnt[669][2]~36249\ = CARRY((!\led_flash_cnt[669][1]~36247\) # (!\led_flash_cnt[669][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[669][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[669][1]~36247\,
	combout => \led_flash_cnt[669][2]~36248_combout\,
	cout => \led_flash_cnt[669][2]~36249\);

-- Location: FF_X42_Y15_N13
\led_flash_cnt[669][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[669][2]~36248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[669][2]~q\);

-- Location: LCCOMB_X42_Y15_N14
\led_flash_cnt[669][3]~36250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[669][3]~36250_combout\ = (\led_flash_cnt[669][3]~q\ & (\led_flash_cnt[669][2]~36249\ $ (GND))) # (!\led_flash_cnt[669][3]~q\ & (!\led_flash_cnt[669][2]~36249\ & VCC))
-- \led_flash_cnt[669][3]~36251\ = CARRY((\led_flash_cnt[669][3]~q\ & !\led_flash_cnt[669][2]~36249\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[669][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[669][2]~36249\,
	combout => \led_flash_cnt[669][3]~36250_combout\,
	cout => \led_flash_cnt[669][3]~36251\);

-- Location: FF_X42_Y15_N15
\led_flash_cnt[669][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[669][3]~36250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[669][3]~q\);

-- Location: LCCOMB_X42_Y15_N16
\led_flash_cnt[669][4]~36252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[669][4]~36252_combout\ = (\led_flash_cnt[669][4]~q\ & (!\led_flash_cnt[669][3]~36251\)) # (!\led_flash_cnt[669][4]~q\ & ((\led_flash_cnt[669][3]~36251\) # (GND)))
-- \led_flash_cnt[669][4]~36253\ = CARRY((!\led_flash_cnt[669][3]~36251\) # (!\led_flash_cnt[669][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[669][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[669][3]~36251\,
	combout => \led_flash_cnt[669][4]~36252_combout\,
	cout => \led_flash_cnt[669][4]~36253\);

-- Location: FF_X42_Y15_N17
\led_flash_cnt[669][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[669][4]~36252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[669][4]~q\);

-- Location: LCCOMB_X42_Y15_N18
\led_flash_cnt[669][5]~36254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[669][5]~36254_combout\ = (\led_flash_cnt[669][5]~q\ & (\led_flash_cnt[669][4]~36253\ $ (GND))) # (!\led_flash_cnt[669][5]~q\ & (!\led_flash_cnt[669][4]~36253\ & VCC))
-- \led_flash_cnt[669][5]~36255\ = CARRY((\led_flash_cnt[669][5]~q\ & !\led_flash_cnt[669][4]~36253\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[669][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[669][4]~36253\,
	combout => \led_flash_cnt[669][5]~36254_combout\,
	cout => \led_flash_cnt[669][5]~36255\);

-- Location: FF_X42_Y15_N19
\led_flash_cnt[669][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[669][5]~36254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[669][5]~q\);

-- Location: LCCOMB_X42_Y15_N20
\led_flash_cnt[669][6]~36256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[669][6]~36256_combout\ = (\led_flash_cnt[669][6]~q\ & (!\led_flash_cnt[669][5]~36255\)) # (!\led_flash_cnt[669][6]~q\ & ((\led_flash_cnt[669][5]~36255\) # (GND)))
-- \led_flash_cnt[669][6]~36257\ = CARRY((!\led_flash_cnt[669][5]~36255\) # (!\led_flash_cnt[669][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[669][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[669][5]~36255\,
	combout => \led_flash_cnt[669][6]~36256_combout\,
	cout => \led_flash_cnt[669][6]~36257\);

-- Location: FF_X42_Y15_N21
\led_flash_cnt[669][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[669][6]~36256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[669][6]~q\);

-- Location: LCCOMB_X42_Y15_N22
\led_flash_cnt[669][7]~36258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[669][7]~36258_combout\ = \led_flash_cnt[669][7]~q\ $ (!\led_flash_cnt[669][6]~36257\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[669][7]~q\,
	cin => \led_flash_cnt[669][6]~36257\,
	combout => \led_flash_cnt[669][7]~36258_combout\);

-- Location: FF_X42_Y15_N23
\led_flash_cnt[669][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[669][7]~36258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[669][7]~q\);

-- Location: LCCOMB_X42_Y15_N30
\WideAnd669~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd669~0_combout\ = (\led_flash_cnt[669][1]~q\ & (\led_flash_cnt[669][4]~q\ & (\led_flash_cnt[669][3]~q\ & \led_flash_cnt[669][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[669][1]~q\,
	datab => \led_flash_cnt[669][4]~q\,
	datac => \led_flash_cnt[669][3]~q\,
	datad => \led_flash_cnt[669][2]~q\,
	combout => \WideAnd669~0_combout\);

-- Location: LCCOMB_X42_Y15_N0
\WideAnd669~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd669~1_combout\ = (\led_flash_cnt[669][6]~q\ & \led_flash_cnt[669][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[669][6]~q\,
	datad => \led_flash_cnt[669][5]~q\,
	combout => \WideAnd669~1_combout\);

-- Location: LCCOMB_X42_Y15_N4
WideAnd669 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd669~combout\ = (\led_flash_cnt[669][7]~q\ & (\led_flash_cnt[669][0]~q\ & (\WideAnd669~0_combout\ & \WideAnd669~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[669][7]~q\,
	datab => \led_flash_cnt[669][0]~q\,
	datac => \WideAnd669~0_combout\,
	datad => \WideAnd669~1_combout\,
	combout => \WideAnd669~combout\);

-- Location: FF_X42_Y15_N5
\led_flash_cnt_ands[669]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd669~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(669));

-- Location: LCCOMB_X42_Y15_N2
\led_flash_cnt[668][0]~81308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[668][0]~81308_combout\ = !\led_flash_cnt[668][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[668][0]~q\,
	combout => \led_flash_cnt[668][0]~81308_combout\);

-- Location: FF_X42_Y15_N3
\led_flash_cnt[668][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[668][0]~81308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[668][0]~q\);

-- Location: LCCOMB_X41_Y15_N2
\led_flash_cnt[668][1]~36232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[668][1]~36232_combout\ = (\led_flash_cnt[668][0]~q\ & (\led_flash_cnt[668][1]~q\ $ (VCC))) # (!\led_flash_cnt[668][0]~q\ & (\led_flash_cnt[668][1]~q\ & VCC))
-- \led_flash_cnt[668][1]~36233\ = CARRY((\led_flash_cnt[668][0]~q\ & \led_flash_cnt[668][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[668][0]~q\,
	datab => \led_flash_cnt[668][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[668][1]~36232_combout\,
	cout => \led_flash_cnt[668][1]~36233\);

-- Location: FF_X41_Y15_N3
\led_flash_cnt[668][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[668][1]~36232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[668][1]~q\);

-- Location: LCCOMB_X41_Y15_N4
\led_flash_cnt[668][2]~36234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[668][2]~36234_combout\ = (\led_flash_cnt[668][2]~q\ & (!\led_flash_cnt[668][1]~36233\)) # (!\led_flash_cnt[668][2]~q\ & ((\led_flash_cnt[668][1]~36233\) # (GND)))
-- \led_flash_cnt[668][2]~36235\ = CARRY((!\led_flash_cnt[668][1]~36233\) # (!\led_flash_cnt[668][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[668][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[668][1]~36233\,
	combout => \led_flash_cnt[668][2]~36234_combout\,
	cout => \led_flash_cnt[668][2]~36235\);

-- Location: FF_X41_Y15_N5
\led_flash_cnt[668][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[668][2]~36234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[668][2]~q\);

-- Location: LCCOMB_X41_Y15_N6
\led_flash_cnt[668][3]~36236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[668][3]~36236_combout\ = (\led_flash_cnt[668][3]~q\ & (\led_flash_cnt[668][2]~36235\ $ (GND))) # (!\led_flash_cnt[668][3]~q\ & (!\led_flash_cnt[668][2]~36235\ & VCC))
-- \led_flash_cnt[668][3]~36237\ = CARRY((\led_flash_cnt[668][3]~q\ & !\led_flash_cnt[668][2]~36235\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[668][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[668][2]~36235\,
	combout => \led_flash_cnt[668][3]~36236_combout\,
	cout => \led_flash_cnt[668][3]~36237\);

-- Location: FF_X41_Y15_N7
\led_flash_cnt[668][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[668][3]~36236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[668][3]~q\);

-- Location: LCCOMB_X41_Y15_N8
\led_flash_cnt[668][4]~36238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[668][4]~36238_combout\ = (\led_flash_cnt[668][4]~q\ & (!\led_flash_cnt[668][3]~36237\)) # (!\led_flash_cnt[668][4]~q\ & ((\led_flash_cnt[668][3]~36237\) # (GND)))
-- \led_flash_cnt[668][4]~36239\ = CARRY((!\led_flash_cnt[668][3]~36237\) # (!\led_flash_cnt[668][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[668][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[668][3]~36237\,
	combout => \led_flash_cnt[668][4]~36238_combout\,
	cout => \led_flash_cnt[668][4]~36239\);

-- Location: FF_X41_Y15_N9
\led_flash_cnt[668][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[668][4]~36238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[668][4]~q\);

-- Location: LCCOMB_X41_Y15_N10
\led_flash_cnt[668][5]~36240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[668][5]~36240_combout\ = (\led_flash_cnt[668][5]~q\ & (\led_flash_cnt[668][4]~36239\ $ (GND))) # (!\led_flash_cnt[668][5]~q\ & (!\led_flash_cnt[668][4]~36239\ & VCC))
-- \led_flash_cnt[668][5]~36241\ = CARRY((\led_flash_cnt[668][5]~q\ & !\led_flash_cnt[668][4]~36239\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[668][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[668][4]~36239\,
	combout => \led_flash_cnt[668][5]~36240_combout\,
	cout => \led_flash_cnt[668][5]~36241\);

-- Location: FF_X41_Y15_N11
\led_flash_cnt[668][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[668][5]~36240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[668][5]~q\);

-- Location: LCCOMB_X41_Y15_N12
\led_flash_cnt[668][6]~36242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[668][6]~36242_combout\ = (\led_flash_cnt[668][6]~q\ & (!\led_flash_cnt[668][5]~36241\)) # (!\led_flash_cnt[668][6]~q\ & ((\led_flash_cnt[668][5]~36241\) # (GND)))
-- \led_flash_cnt[668][6]~36243\ = CARRY((!\led_flash_cnt[668][5]~36241\) # (!\led_flash_cnt[668][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[668][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[668][5]~36241\,
	combout => \led_flash_cnt[668][6]~36242_combout\,
	cout => \led_flash_cnt[668][6]~36243\);

-- Location: FF_X41_Y15_N13
\led_flash_cnt[668][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[668][6]~36242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[668][6]~q\);

-- Location: LCCOMB_X41_Y15_N14
\led_flash_cnt[668][7]~36244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[668][7]~36244_combout\ = \led_flash_cnt[668][7]~q\ $ (!\led_flash_cnt[668][6]~36243\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[668][7]~q\,
	cin => \led_flash_cnt[668][6]~36243\,
	combout => \led_flash_cnt[668][7]~36244_combout\);

-- Location: FF_X41_Y15_N15
\led_flash_cnt[668][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[668][7]~36244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[668][7]~q\);

-- Location: LCCOMB_X42_Y15_N24
\WideAnd668~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd668~1_combout\ = (\led_flash_cnt[668][6]~q\ & \led_flash_cnt[668][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[668][6]~q\,
	datad => \led_flash_cnt[668][5]~q\,
	combout => \WideAnd668~1_combout\);

-- Location: LCCOMB_X41_Y15_N16
\WideAnd668~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd668~0_combout\ = (\led_flash_cnt[668][3]~q\ & (\led_flash_cnt[668][4]~q\ & (\led_flash_cnt[668][2]~q\ & \led_flash_cnt[668][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[668][3]~q\,
	datab => \led_flash_cnt[668][4]~q\,
	datac => \led_flash_cnt[668][2]~q\,
	datad => \led_flash_cnt[668][1]~q\,
	combout => \WideAnd668~0_combout\);

-- Location: LCCOMB_X42_Y15_N6
WideAnd668 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd668~combout\ = (\led_flash_cnt[668][7]~q\ & (\WideAnd668~1_combout\ & (\WideAnd668~0_combout\ & \led_flash_cnt[668][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[668][7]~q\,
	datab => \WideAnd668~1_combout\,
	datac => \WideAnd668~0_combout\,
	datad => \led_flash_cnt[668][0]~q\,
	combout => \WideAnd668~combout\);

-- Location: FF_X42_Y15_N7
\led_flash_cnt_ands[668]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd668~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(668));

-- Location: LCCOMB_X42_Y15_N26
\WideAnd3923~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3923~1_combout\ = (led_flash_cnt_ands(669) & led_flash_cnt_ands(668))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(669),
	datad => led_flash_cnt_ands(668),
	combout => \WideAnd3923~1_combout\);

-- Location: LCCOMB_X39_Y27_N0
WideAnd3923 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3923~combout\ = (led_flash_cnt_ands(671) & (\WideAnd3923~0_combout\ & (led_flash_cnt_ands(670) & \WideAnd3923~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(671),
	datab => \WideAnd3923~0_combout\,
	datac => led_flash_cnt_ands(670),
	datad => \WideAnd3923~1_combout\,
	combout => \WideAnd3923~combout\);

-- Location: FF_X39_Y27_N1
\led_flash_cnt_ands_1[83]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3923~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(83));

-- Location: LCCOMB_X55_Y28_N8
\led_flash_cnt[654][0]~81294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[654][0]~81294_combout\ = !\led_flash_cnt[654][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[654][0]~q\,
	combout => \led_flash_cnt[654][0]~81294_combout\);

-- Location: FF_X55_Y28_N9
\led_flash_cnt[654][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[654][0]~81294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[654][0]~q\);

-- Location: LCCOMB_X55_Y25_N18
\led_flash_cnt[654][1]~36036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[654][1]~36036_combout\ = (\led_flash_cnt[654][0]~q\ & (\led_flash_cnt[654][1]~q\ $ (VCC))) # (!\led_flash_cnt[654][0]~q\ & (\led_flash_cnt[654][1]~q\ & VCC))
-- \led_flash_cnt[654][1]~36037\ = CARRY((\led_flash_cnt[654][0]~q\ & \led_flash_cnt[654][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[654][0]~q\,
	datab => \led_flash_cnt[654][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[654][1]~36036_combout\,
	cout => \led_flash_cnt[654][1]~36037\);

-- Location: FF_X55_Y25_N19
\led_flash_cnt[654][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[654][1]~36036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[654][1]~q\);

-- Location: LCCOMB_X55_Y25_N20
\led_flash_cnt[654][2]~36038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[654][2]~36038_combout\ = (\led_flash_cnt[654][2]~q\ & (!\led_flash_cnt[654][1]~36037\)) # (!\led_flash_cnt[654][2]~q\ & ((\led_flash_cnt[654][1]~36037\) # (GND)))
-- \led_flash_cnt[654][2]~36039\ = CARRY((!\led_flash_cnt[654][1]~36037\) # (!\led_flash_cnt[654][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[654][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[654][1]~36037\,
	combout => \led_flash_cnt[654][2]~36038_combout\,
	cout => \led_flash_cnt[654][2]~36039\);

-- Location: FF_X55_Y25_N21
\led_flash_cnt[654][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[654][2]~36038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[654][2]~q\);

-- Location: LCCOMB_X55_Y25_N22
\led_flash_cnt[654][3]~36040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[654][3]~36040_combout\ = (\led_flash_cnt[654][3]~q\ & (\led_flash_cnt[654][2]~36039\ $ (GND))) # (!\led_flash_cnt[654][3]~q\ & (!\led_flash_cnt[654][2]~36039\ & VCC))
-- \led_flash_cnt[654][3]~36041\ = CARRY((\led_flash_cnt[654][3]~q\ & !\led_flash_cnt[654][2]~36039\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[654][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[654][2]~36039\,
	combout => \led_flash_cnt[654][3]~36040_combout\,
	cout => \led_flash_cnt[654][3]~36041\);

-- Location: FF_X55_Y25_N23
\led_flash_cnt[654][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[654][3]~36040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[654][3]~q\);

-- Location: LCCOMB_X55_Y25_N24
\led_flash_cnt[654][4]~36042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[654][4]~36042_combout\ = (\led_flash_cnt[654][4]~q\ & (!\led_flash_cnt[654][3]~36041\)) # (!\led_flash_cnt[654][4]~q\ & ((\led_flash_cnt[654][3]~36041\) # (GND)))
-- \led_flash_cnt[654][4]~36043\ = CARRY((!\led_flash_cnt[654][3]~36041\) # (!\led_flash_cnt[654][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[654][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[654][3]~36041\,
	combout => \led_flash_cnt[654][4]~36042_combout\,
	cout => \led_flash_cnt[654][4]~36043\);

-- Location: FF_X55_Y25_N25
\led_flash_cnt[654][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[654][4]~36042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[654][4]~q\);

-- Location: LCCOMB_X55_Y25_N2
\WideAnd654~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd654~0_combout\ = (\led_flash_cnt[654][4]~q\ & (\led_flash_cnt[654][2]~q\ & (\led_flash_cnt[654][3]~q\ & \led_flash_cnt[654][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[654][4]~q\,
	datab => \led_flash_cnt[654][2]~q\,
	datac => \led_flash_cnt[654][3]~q\,
	datad => \led_flash_cnt[654][1]~q\,
	combout => \WideAnd654~0_combout\);

-- Location: LCCOMB_X55_Y25_N26
\led_flash_cnt[654][5]~36044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[654][5]~36044_combout\ = (\led_flash_cnt[654][5]~q\ & (\led_flash_cnt[654][4]~36043\ $ (GND))) # (!\led_flash_cnt[654][5]~q\ & (!\led_flash_cnt[654][4]~36043\ & VCC))
-- \led_flash_cnt[654][5]~36045\ = CARRY((\led_flash_cnt[654][5]~q\ & !\led_flash_cnt[654][4]~36043\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[654][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[654][4]~36043\,
	combout => \led_flash_cnt[654][5]~36044_combout\,
	cout => \led_flash_cnt[654][5]~36045\);

-- Location: FF_X55_Y25_N27
\led_flash_cnt[654][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[654][5]~36044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[654][5]~q\);

-- Location: LCCOMB_X55_Y25_N28
\led_flash_cnt[654][6]~36046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[654][6]~36046_combout\ = (\led_flash_cnt[654][6]~q\ & (!\led_flash_cnt[654][5]~36045\)) # (!\led_flash_cnt[654][6]~q\ & ((\led_flash_cnt[654][5]~36045\) # (GND)))
-- \led_flash_cnt[654][6]~36047\ = CARRY((!\led_flash_cnt[654][5]~36045\) # (!\led_flash_cnt[654][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[654][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[654][5]~36045\,
	combout => \led_flash_cnt[654][6]~36046_combout\,
	cout => \led_flash_cnt[654][6]~36047\);

-- Location: FF_X55_Y25_N29
\led_flash_cnt[654][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[654][6]~36046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[654][6]~q\);

-- Location: LCCOMB_X55_Y28_N24
\WideAnd654~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd654~1_combout\ = (\led_flash_cnt[654][5]~q\ & \led_flash_cnt[654][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[654][5]~q\,
	datac => \led_flash_cnt[654][6]~q\,
	combout => \WideAnd654~1_combout\);

-- Location: LCCOMB_X55_Y25_N30
\led_flash_cnt[654][7]~36048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[654][7]~36048_combout\ = \led_flash_cnt[654][7]~q\ $ (!\led_flash_cnt[654][6]~36047\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[654][7]~q\,
	cin => \led_flash_cnt[654][6]~36047\,
	combout => \led_flash_cnt[654][7]~36048_combout\);

-- Location: FF_X55_Y25_N31
\led_flash_cnt[654][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[654][7]~36048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[654][7]~q\);

-- Location: LCCOMB_X55_Y28_N10
WideAnd654 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd654~combout\ = (\WideAnd654~0_combout\ & (\WideAnd654~1_combout\ & (\led_flash_cnt[654][0]~q\ & \led_flash_cnt[654][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd654~0_combout\,
	datab => \WideAnd654~1_combout\,
	datac => \led_flash_cnt[654][0]~q\,
	datad => \led_flash_cnt[654][7]~q\,
	combout => \WideAnd654~combout\);

-- Location: FF_X55_Y28_N11
\led_flash_cnt_ands[654]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd654~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(654));

-- Location: LCCOMB_X56_Y20_N6
\led_flash_cnt[653][0]~81293\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[653][0]~81293_combout\ = !\led_flash_cnt[653][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[653][0]~q\,
	combout => \led_flash_cnt[653][0]~81293_combout\);

-- Location: FF_X56_Y20_N7
\led_flash_cnt[653][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[653][0]~81293_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[653][0]~q\);

-- Location: LCCOMB_X55_Y20_N2
\led_flash_cnt[653][1]~36022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[653][1]~36022_combout\ = (\led_flash_cnt[653][0]~q\ & (\led_flash_cnt[653][1]~q\ $ (VCC))) # (!\led_flash_cnt[653][0]~q\ & (\led_flash_cnt[653][1]~q\ & VCC))
-- \led_flash_cnt[653][1]~36023\ = CARRY((\led_flash_cnt[653][0]~q\ & \led_flash_cnt[653][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[653][0]~q\,
	datab => \led_flash_cnt[653][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[653][1]~36022_combout\,
	cout => \led_flash_cnt[653][1]~36023\);

-- Location: FF_X55_Y20_N3
\led_flash_cnt[653][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[653][1]~36022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[653][1]~q\);

-- Location: LCCOMB_X55_Y20_N4
\led_flash_cnt[653][2]~36024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[653][2]~36024_combout\ = (\led_flash_cnt[653][2]~q\ & (!\led_flash_cnt[653][1]~36023\)) # (!\led_flash_cnt[653][2]~q\ & ((\led_flash_cnt[653][1]~36023\) # (GND)))
-- \led_flash_cnt[653][2]~36025\ = CARRY((!\led_flash_cnt[653][1]~36023\) # (!\led_flash_cnt[653][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[653][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[653][1]~36023\,
	combout => \led_flash_cnt[653][2]~36024_combout\,
	cout => \led_flash_cnt[653][2]~36025\);

-- Location: FF_X55_Y20_N5
\led_flash_cnt[653][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[653][2]~36024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[653][2]~q\);

-- Location: LCCOMB_X55_Y20_N6
\led_flash_cnt[653][3]~36026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[653][3]~36026_combout\ = (\led_flash_cnt[653][3]~q\ & (\led_flash_cnt[653][2]~36025\ $ (GND))) # (!\led_flash_cnt[653][3]~q\ & (!\led_flash_cnt[653][2]~36025\ & VCC))
-- \led_flash_cnt[653][3]~36027\ = CARRY((\led_flash_cnt[653][3]~q\ & !\led_flash_cnt[653][2]~36025\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[653][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[653][2]~36025\,
	combout => \led_flash_cnt[653][3]~36026_combout\,
	cout => \led_flash_cnt[653][3]~36027\);

-- Location: FF_X55_Y20_N7
\led_flash_cnt[653][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[653][3]~36026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[653][3]~q\);

-- Location: LCCOMB_X55_Y20_N8
\led_flash_cnt[653][4]~36028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[653][4]~36028_combout\ = (\led_flash_cnt[653][4]~q\ & (!\led_flash_cnt[653][3]~36027\)) # (!\led_flash_cnt[653][4]~q\ & ((\led_flash_cnt[653][3]~36027\) # (GND)))
-- \led_flash_cnt[653][4]~36029\ = CARRY((!\led_flash_cnt[653][3]~36027\) # (!\led_flash_cnt[653][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[653][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[653][3]~36027\,
	combout => \led_flash_cnt[653][4]~36028_combout\,
	cout => \led_flash_cnt[653][4]~36029\);

-- Location: FF_X55_Y20_N9
\led_flash_cnt[653][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[653][4]~36028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[653][4]~q\);

-- Location: LCCOMB_X55_Y20_N30
\WideAnd653~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd653~0_combout\ = (\led_flash_cnt[653][3]~q\ & (\led_flash_cnt[653][4]~q\ & (\led_flash_cnt[653][2]~q\ & \led_flash_cnt[653][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[653][3]~q\,
	datab => \led_flash_cnt[653][4]~q\,
	datac => \led_flash_cnt[653][2]~q\,
	datad => \led_flash_cnt[653][1]~q\,
	combout => \WideAnd653~0_combout\);

-- Location: LCCOMB_X55_Y20_N10
\led_flash_cnt[653][5]~36030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[653][5]~36030_combout\ = (\led_flash_cnt[653][5]~q\ & (\led_flash_cnt[653][4]~36029\ $ (GND))) # (!\led_flash_cnt[653][5]~q\ & (!\led_flash_cnt[653][4]~36029\ & VCC))
-- \led_flash_cnt[653][5]~36031\ = CARRY((\led_flash_cnt[653][5]~q\ & !\led_flash_cnt[653][4]~36029\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[653][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[653][4]~36029\,
	combout => \led_flash_cnt[653][5]~36030_combout\,
	cout => \led_flash_cnt[653][5]~36031\);

-- Location: FF_X55_Y20_N11
\led_flash_cnt[653][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[653][5]~36030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[653][5]~q\);

-- Location: LCCOMB_X55_Y20_N12
\led_flash_cnt[653][6]~36032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[653][6]~36032_combout\ = (\led_flash_cnt[653][6]~q\ & (!\led_flash_cnt[653][5]~36031\)) # (!\led_flash_cnt[653][6]~q\ & ((\led_flash_cnt[653][5]~36031\) # (GND)))
-- \led_flash_cnt[653][6]~36033\ = CARRY((!\led_flash_cnt[653][5]~36031\) # (!\led_flash_cnt[653][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[653][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[653][5]~36031\,
	combout => \led_flash_cnt[653][6]~36032_combout\,
	cout => \led_flash_cnt[653][6]~36033\);

-- Location: FF_X55_Y20_N13
\led_flash_cnt[653][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[653][6]~36032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[653][6]~q\);

-- Location: LCCOMB_X55_Y22_N26
\WideAnd653~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd653~1_combout\ = (\led_flash_cnt[653][6]~q\ & \led_flash_cnt[653][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[653][6]~q\,
	datad => \led_flash_cnt[653][5]~q\,
	combout => \WideAnd653~1_combout\);

-- Location: LCCOMB_X55_Y20_N14
\led_flash_cnt[653][7]~36034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[653][7]~36034_combout\ = \led_flash_cnt[653][7]~q\ $ (!\led_flash_cnt[653][6]~36033\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[653][7]~q\,
	cin => \led_flash_cnt[653][6]~36033\,
	combout => \led_flash_cnt[653][7]~36034_combout\);

-- Location: FF_X55_Y20_N15
\led_flash_cnt[653][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[653][7]~36034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[653][7]~q\);

-- Location: LCCOMB_X55_Y20_N0
WideAnd653 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd653~combout\ = (\WideAnd653~0_combout\ & (\WideAnd653~1_combout\ & (\led_flash_cnt[653][7]~q\ & \led_flash_cnt[653][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd653~0_combout\,
	datab => \WideAnd653~1_combout\,
	datac => \led_flash_cnt[653][7]~q\,
	datad => \led_flash_cnt[653][0]~q\,
	combout => \WideAnd653~combout\);

-- Location: FF_X55_Y20_N1
\led_flash_cnt_ands[653]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd653~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(653));

-- Location: LCCOMB_X55_Y28_N2
\led_flash_cnt[652][0]~81292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[652][0]~81292_combout\ = !\led_flash_cnt[652][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[652][0]~q\,
	combout => \led_flash_cnt[652][0]~81292_combout\);

-- Location: FF_X55_Y28_N3
\led_flash_cnt[652][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[652][0]~81292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[652][0]~q\);

-- Location: LCCOMB_X54_Y28_N16
\led_flash_cnt[652][1]~36008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[652][1]~36008_combout\ = (\led_flash_cnt[652][0]~q\ & (\led_flash_cnt[652][1]~q\ $ (VCC))) # (!\led_flash_cnt[652][0]~q\ & (\led_flash_cnt[652][1]~q\ & VCC))
-- \led_flash_cnt[652][1]~36009\ = CARRY((\led_flash_cnt[652][0]~q\ & \led_flash_cnt[652][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[652][0]~q\,
	datab => \led_flash_cnt[652][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[652][1]~36008_combout\,
	cout => \led_flash_cnt[652][1]~36009\);

-- Location: FF_X54_Y28_N17
\led_flash_cnt[652][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[652][1]~36008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[652][1]~q\);

-- Location: LCCOMB_X54_Y28_N18
\led_flash_cnt[652][2]~36010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[652][2]~36010_combout\ = (\led_flash_cnt[652][2]~q\ & (!\led_flash_cnt[652][1]~36009\)) # (!\led_flash_cnt[652][2]~q\ & ((\led_flash_cnt[652][1]~36009\) # (GND)))
-- \led_flash_cnt[652][2]~36011\ = CARRY((!\led_flash_cnt[652][1]~36009\) # (!\led_flash_cnt[652][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[652][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[652][1]~36009\,
	combout => \led_flash_cnt[652][2]~36010_combout\,
	cout => \led_flash_cnt[652][2]~36011\);

-- Location: FF_X54_Y28_N19
\led_flash_cnt[652][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[652][2]~36010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[652][2]~q\);

-- Location: LCCOMB_X54_Y28_N20
\led_flash_cnt[652][3]~36012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[652][3]~36012_combout\ = (\led_flash_cnt[652][3]~q\ & (\led_flash_cnt[652][2]~36011\ $ (GND))) # (!\led_flash_cnt[652][3]~q\ & (!\led_flash_cnt[652][2]~36011\ & VCC))
-- \led_flash_cnt[652][3]~36013\ = CARRY((\led_flash_cnt[652][3]~q\ & !\led_flash_cnt[652][2]~36011\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[652][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[652][2]~36011\,
	combout => \led_flash_cnt[652][3]~36012_combout\,
	cout => \led_flash_cnt[652][3]~36013\);

-- Location: FF_X54_Y28_N21
\led_flash_cnt[652][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[652][3]~36012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[652][3]~q\);

-- Location: LCCOMB_X54_Y28_N22
\led_flash_cnt[652][4]~36014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[652][4]~36014_combout\ = (\led_flash_cnt[652][4]~q\ & (!\led_flash_cnt[652][3]~36013\)) # (!\led_flash_cnt[652][4]~q\ & ((\led_flash_cnt[652][3]~36013\) # (GND)))
-- \led_flash_cnt[652][4]~36015\ = CARRY((!\led_flash_cnt[652][3]~36013\) # (!\led_flash_cnt[652][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[652][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[652][3]~36013\,
	combout => \led_flash_cnt[652][4]~36014_combout\,
	cout => \led_flash_cnt[652][4]~36015\);

-- Location: FF_X54_Y28_N23
\led_flash_cnt[652][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[652][4]~36014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[652][4]~q\);

-- Location: LCCOMB_X54_Y28_N24
\led_flash_cnt[652][5]~36016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[652][5]~36016_combout\ = (\led_flash_cnt[652][5]~q\ & (\led_flash_cnt[652][4]~36015\ $ (GND))) # (!\led_flash_cnt[652][5]~q\ & (!\led_flash_cnt[652][4]~36015\ & VCC))
-- \led_flash_cnt[652][5]~36017\ = CARRY((\led_flash_cnt[652][5]~q\ & !\led_flash_cnt[652][4]~36015\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[652][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[652][4]~36015\,
	combout => \led_flash_cnt[652][5]~36016_combout\,
	cout => \led_flash_cnt[652][5]~36017\);

-- Location: FF_X54_Y28_N25
\led_flash_cnt[652][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[652][5]~36016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[652][5]~q\);

-- Location: LCCOMB_X54_Y28_N26
\led_flash_cnt[652][6]~36018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[652][6]~36018_combout\ = (\led_flash_cnt[652][6]~q\ & (!\led_flash_cnt[652][5]~36017\)) # (!\led_flash_cnt[652][6]~q\ & ((\led_flash_cnt[652][5]~36017\) # (GND)))
-- \led_flash_cnt[652][6]~36019\ = CARRY((!\led_flash_cnt[652][5]~36017\) # (!\led_flash_cnt[652][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[652][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[652][5]~36017\,
	combout => \led_flash_cnt[652][6]~36018_combout\,
	cout => \led_flash_cnt[652][6]~36019\);

-- Location: FF_X54_Y28_N27
\led_flash_cnt[652][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[652][6]~36018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[652][6]~q\);

-- Location: LCCOMB_X55_Y28_N12
\WideAnd652~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd652~1_combout\ = (\led_flash_cnt[652][6]~q\ & \led_flash_cnt[652][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[652][6]~q\,
	datad => \led_flash_cnt[652][5]~q\,
	combout => \WideAnd652~1_combout\);

-- Location: LCCOMB_X54_Y28_N30
\WideAnd652~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd652~0_combout\ = (\led_flash_cnt[652][3]~q\ & (\led_flash_cnt[652][2]~q\ & (\led_flash_cnt[652][4]~q\ & \led_flash_cnt[652][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[652][3]~q\,
	datab => \led_flash_cnt[652][2]~q\,
	datac => \led_flash_cnt[652][4]~q\,
	datad => \led_flash_cnt[652][1]~q\,
	combout => \WideAnd652~0_combout\);

-- Location: LCCOMB_X54_Y28_N28
\led_flash_cnt[652][7]~36020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[652][7]~36020_combout\ = \led_flash_cnt[652][6]~36019\ $ (!\led_flash_cnt[652][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[652][7]~q\,
	cin => \led_flash_cnt[652][6]~36019\,
	combout => \led_flash_cnt[652][7]~36020_combout\);

-- Location: FF_X54_Y28_N29
\led_flash_cnt[652][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[652][7]~36020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[652][7]~q\);

-- Location: LCCOMB_X55_Y28_N20
WideAnd652 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd652~combout\ = (\WideAnd652~1_combout\ & (\WideAnd652~0_combout\ & (\led_flash_cnt[652][0]~q\ & \led_flash_cnt[652][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd652~1_combout\,
	datab => \WideAnd652~0_combout\,
	datac => \led_flash_cnt[652][0]~q\,
	datad => \led_flash_cnt[652][7]~q\,
	combout => \WideAnd652~combout\);

-- Location: FF_X55_Y28_N21
\led_flash_cnt_ands[652]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd652~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(652));

-- Location: LCCOMB_X55_Y28_N4
\WideAnd3921~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3921~1_combout\ = (led_flash_cnt_ands(653) & led_flash_cnt_ands(652))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(653),
	datad => led_flash_cnt_ands(652),
	combout => \WideAnd3921~1_combout\);

-- Location: LCCOMB_X52_Y32_N18
\led_flash_cnt[655][0]~81295\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[655][0]~81295_combout\ = !\led_flash_cnt[655][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[655][0]~q\,
	combout => \led_flash_cnt[655][0]~81295_combout\);

-- Location: FF_X52_Y32_N19
\led_flash_cnt[655][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[655][0]~81295_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[655][0]~q\);

-- Location: LCCOMB_X52_Y32_N0
\led_flash_cnt[655][1]~36050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[655][1]~36050_combout\ = (\led_flash_cnt[655][1]~q\ & (\led_flash_cnt[655][0]~q\ $ (VCC))) # (!\led_flash_cnt[655][1]~q\ & (\led_flash_cnt[655][0]~q\ & VCC))
-- \led_flash_cnt[655][1]~36051\ = CARRY((\led_flash_cnt[655][1]~q\ & \led_flash_cnt[655][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[655][1]~q\,
	datab => \led_flash_cnt[655][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[655][1]~36050_combout\,
	cout => \led_flash_cnt[655][1]~36051\);

-- Location: FF_X52_Y32_N1
\led_flash_cnt[655][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[655][1]~36050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[655][1]~q\);

-- Location: LCCOMB_X52_Y32_N2
\led_flash_cnt[655][2]~36052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[655][2]~36052_combout\ = (\led_flash_cnt[655][2]~q\ & (!\led_flash_cnt[655][1]~36051\)) # (!\led_flash_cnt[655][2]~q\ & ((\led_flash_cnt[655][1]~36051\) # (GND)))
-- \led_flash_cnt[655][2]~36053\ = CARRY((!\led_flash_cnt[655][1]~36051\) # (!\led_flash_cnt[655][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[655][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[655][1]~36051\,
	combout => \led_flash_cnt[655][2]~36052_combout\,
	cout => \led_flash_cnt[655][2]~36053\);

-- Location: FF_X52_Y32_N3
\led_flash_cnt[655][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[655][2]~36052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[655][2]~q\);

-- Location: LCCOMB_X52_Y32_N4
\led_flash_cnt[655][3]~36054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[655][3]~36054_combout\ = (\led_flash_cnt[655][3]~q\ & (\led_flash_cnt[655][2]~36053\ $ (GND))) # (!\led_flash_cnt[655][3]~q\ & (!\led_flash_cnt[655][2]~36053\ & VCC))
-- \led_flash_cnt[655][3]~36055\ = CARRY((\led_flash_cnt[655][3]~q\ & !\led_flash_cnt[655][2]~36053\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[655][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[655][2]~36053\,
	combout => \led_flash_cnt[655][3]~36054_combout\,
	cout => \led_flash_cnt[655][3]~36055\);

-- Location: FF_X52_Y32_N5
\led_flash_cnt[655][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[655][3]~36054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[655][3]~q\);

-- Location: LCCOMB_X52_Y32_N6
\led_flash_cnt[655][4]~36056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[655][4]~36056_combout\ = (\led_flash_cnt[655][4]~q\ & (!\led_flash_cnt[655][3]~36055\)) # (!\led_flash_cnt[655][4]~q\ & ((\led_flash_cnt[655][3]~36055\) # (GND)))
-- \led_flash_cnt[655][4]~36057\ = CARRY((!\led_flash_cnt[655][3]~36055\) # (!\led_flash_cnt[655][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[655][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[655][3]~36055\,
	combout => \led_flash_cnt[655][4]~36056_combout\,
	cout => \led_flash_cnt[655][4]~36057\);

-- Location: FF_X52_Y32_N7
\led_flash_cnt[655][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[655][4]~36056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[655][4]~q\);

-- Location: LCCOMB_X52_Y32_N26
\WideAnd655~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd655~0_combout\ = (\led_flash_cnt[655][4]~q\ & (\led_flash_cnt[655][1]~q\ & (\led_flash_cnt[655][3]~q\ & \led_flash_cnt[655][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[655][4]~q\,
	datab => \led_flash_cnt[655][1]~q\,
	datac => \led_flash_cnt[655][3]~q\,
	datad => \led_flash_cnt[655][2]~q\,
	combout => \WideAnd655~0_combout\);

-- Location: LCCOMB_X52_Y32_N8
\led_flash_cnt[655][5]~36058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[655][5]~36058_combout\ = (\led_flash_cnt[655][5]~q\ & (\led_flash_cnt[655][4]~36057\ $ (GND))) # (!\led_flash_cnt[655][5]~q\ & (!\led_flash_cnt[655][4]~36057\ & VCC))
-- \led_flash_cnt[655][5]~36059\ = CARRY((\led_flash_cnt[655][5]~q\ & !\led_flash_cnt[655][4]~36057\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[655][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[655][4]~36057\,
	combout => \led_flash_cnt[655][5]~36058_combout\,
	cout => \led_flash_cnt[655][5]~36059\);

-- Location: FF_X52_Y32_N9
\led_flash_cnt[655][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[655][5]~36058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[655][5]~q\);

-- Location: LCCOMB_X52_Y32_N10
\led_flash_cnt[655][6]~36060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[655][6]~36060_combout\ = (\led_flash_cnt[655][6]~q\ & (!\led_flash_cnt[655][5]~36059\)) # (!\led_flash_cnt[655][6]~q\ & ((\led_flash_cnt[655][5]~36059\) # (GND)))
-- \led_flash_cnt[655][6]~36061\ = CARRY((!\led_flash_cnt[655][5]~36059\) # (!\led_flash_cnt[655][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[655][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[655][5]~36059\,
	combout => \led_flash_cnt[655][6]~36060_combout\,
	cout => \led_flash_cnt[655][6]~36061\);

-- Location: FF_X52_Y32_N11
\led_flash_cnt[655][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[655][6]~36060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[655][6]~q\);

-- Location: LCCOMB_X52_Y32_N22
\WideAnd655~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd655~1_combout\ = (\led_flash_cnt[655][5]~q\ & \led_flash_cnt[655][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[655][5]~q\,
	datad => \led_flash_cnt[655][6]~q\,
	combout => \WideAnd655~1_combout\);

-- Location: LCCOMB_X52_Y32_N12
\led_flash_cnt[655][7]~36062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[655][7]~36062_combout\ = \led_flash_cnt[655][6]~36061\ $ (!\led_flash_cnt[655][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[655][7]~q\,
	cin => \led_flash_cnt[655][6]~36061\,
	combout => \led_flash_cnt[655][7]~36062_combout\);

-- Location: FF_X52_Y32_N13
\led_flash_cnt[655][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[655][7]~36062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[655][7]~q\);

-- Location: LCCOMB_X52_Y32_N16
WideAnd655 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd655~combout\ = (\WideAnd655~0_combout\ & (\led_flash_cnt[655][0]~q\ & (\WideAnd655~1_combout\ & \led_flash_cnt[655][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd655~0_combout\,
	datab => \led_flash_cnt[655][0]~q\,
	datac => \WideAnd655~1_combout\,
	datad => \led_flash_cnt[655][7]~q\,
	combout => \WideAnd655~combout\);

-- Location: FF_X52_Y32_N17
\led_flash_cnt_ands[655]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd655~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(655));

-- Location: LCCOMB_X49_Y28_N16
\led_flash_cnt[649][0]~81289\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[649][0]~81289_combout\ = !\led_flash_cnt[649][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[649][0]~q\,
	combout => \led_flash_cnt[649][0]~81289_combout\);

-- Location: FF_X49_Y28_N17
\led_flash_cnt[649][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[649][0]~81289_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[649][0]~q\);

-- Location: LCCOMB_X49_Y32_N2
\led_flash_cnt[649][1]~35966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[649][1]~35966_combout\ = (\led_flash_cnt[649][0]~q\ & (\led_flash_cnt[649][1]~q\ $ (VCC))) # (!\led_flash_cnt[649][0]~q\ & (\led_flash_cnt[649][1]~q\ & VCC))
-- \led_flash_cnt[649][1]~35967\ = CARRY((\led_flash_cnt[649][0]~q\ & \led_flash_cnt[649][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[649][0]~q\,
	datab => \led_flash_cnt[649][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[649][1]~35966_combout\,
	cout => \led_flash_cnt[649][1]~35967\);

-- Location: FF_X49_Y32_N3
\led_flash_cnt[649][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[649][1]~35966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[649][1]~q\);

-- Location: LCCOMB_X49_Y32_N4
\led_flash_cnt[649][2]~35968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[649][2]~35968_combout\ = (\led_flash_cnt[649][2]~q\ & (!\led_flash_cnt[649][1]~35967\)) # (!\led_flash_cnt[649][2]~q\ & ((\led_flash_cnt[649][1]~35967\) # (GND)))
-- \led_flash_cnt[649][2]~35969\ = CARRY((!\led_flash_cnt[649][1]~35967\) # (!\led_flash_cnt[649][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[649][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[649][1]~35967\,
	combout => \led_flash_cnt[649][2]~35968_combout\,
	cout => \led_flash_cnt[649][2]~35969\);

-- Location: FF_X49_Y32_N5
\led_flash_cnt[649][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[649][2]~35968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[649][2]~q\);

-- Location: LCCOMB_X49_Y32_N6
\led_flash_cnt[649][3]~35970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[649][3]~35970_combout\ = (\led_flash_cnt[649][3]~q\ & (\led_flash_cnt[649][2]~35969\ $ (GND))) # (!\led_flash_cnt[649][3]~q\ & (!\led_flash_cnt[649][2]~35969\ & VCC))
-- \led_flash_cnt[649][3]~35971\ = CARRY((\led_flash_cnt[649][3]~q\ & !\led_flash_cnt[649][2]~35969\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[649][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[649][2]~35969\,
	combout => \led_flash_cnt[649][3]~35970_combout\,
	cout => \led_flash_cnt[649][3]~35971\);

-- Location: FF_X49_Y32_N7
\led_flash_cnt[649][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[649][3]~35970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[649][3]~q\);

-- Location: LCCOMB_X49_Y32_N8
\led_flash_cnt[649][4]~35972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[649][4]~35972_combout\ = (\led_flash_cnt[649][4]~q\ & (!\led_flash_cnt[649][3]~35971\)) # (!\led_flash_cnt[649][4]~q\ & ((\led_flash_cnt[649][3]~35971\) # (GND)))
-- \led_flash_cnt[649][4]~35973\ = CARRY((!\led_flash_cnt[649][3]~35971\) # (!\led_flash_cnt[649][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[649][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[649][3]~35971\,
	combout => \led_flash_cnt[649][4]~35972_combout\,
	cout => \led_flash_cnt[649][4]~35973\);

-- Location: FF_X49_Y32_N9
\led_flash_cnt[649][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[649][4]~35972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[649][4]~q\);

-- Location: LCCOMB_X49_Y32_N30
\WideAnd649~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd649~0_combout\ = (\led_flash_cnt[649][3]~q\ & (\led_flash_cnt[649][4]~q\ & (\led_flash_cnt[649][2]~q\ & \led_flash_cnt[649][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[649][3]~q\,
	datab => \led_flash_cnt[649][4]~q\,
	datac => \led_flash_cnt[649][2]~q\,
	datad => \led_flash_cnt[649][1]~q\,
	combout => \WideAnd649~0_combout\);

-- Location: LCCOMB_X49_Y32_N10
\led_flash_cnt[649][5]~35974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[649][5]~35974_combout\ = (\led_flash_cnt[649][5]~q\ & (\led_flash_cnt[649][4]~35973\ $ (GND))) # (!\led_flash_cnt[649][5]~q\ & (!\led_flash_cnt[649][4]~35973\ & VCC))
-- \led_flash_cnt[649][5]~35975\ = CARRY((\led_flash_cnt[649][5]~q\ & !\led_flash_cnt[649][4]~35973\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[649][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[649][4]~35973\,
	combout => \led_flash_cnt[649][5]~35974_combout\,
	cout => \led_flash_cnt[649][5]~35975\);

-- Location: FF_X49_Y32_N11
\led_flash_cnt[649][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[649][5]~35974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[649][5]~q\);

-- Location: LCCOMB_X49_Y32_N12
\led_flash_cnt[649][6]~35976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[649][6]~35976_combout\ = (\led_flash_cnt[649][6]~q\ & (!\led_flash_cnt[649][5]~35975\)) # (!\led_flash_cnt[649][6]~q\ & ((\led_flash_cnt[649][5]~35975\) # (GND)))
-- \led_flash_cnt[649][6]~35977\ = CARRY((!\led_flash_cnt[649][5]~35975\) # (!\led_flash_cnt[649][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[649][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[649][5]~35975\,
	combout => \led_flash_cnt[649][6]~35976_combout\,
	cout => \led_flash_cnt[649][6]~35977\);

-- Location: FF_X49_Y32_N13
\led_flash_cnt[649][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[649][6]~35976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[649][6]~q\);

-- Location: LCCOMB_X49_Y28_N24
\WideAnd649~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd649~1_combout\ = (\led_flash_cnt[649][6]~q\ & \led_flash_cnt[649][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[649][6]~q\,
	datad => \led_flash_cnt[649][5]~q\,
	combout => \WideAnd649~1_combout\);

-- Location: LCCOMB_X49_Y32_N14
\led_flash_cnt[649][7]~35978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[649][7]~35978_combout\ = \led_flash_cnt[649][7]~q\ $ (!\led_flash_cnt[649][6]~35977\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[649][7]~q\,
	cin => \led_flash_cnt[649][6]~35977\,
	combout => \led_flash_cnt[649][7]~35978_combout\);

-- Location: FF_X49_Y32_N15
\led_flash_cnt[649][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[649][7]~35978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[649][7]~q\);

-- Location: LCCOMB_X49_Y28_N30
WideAnd649 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd649~combout\ = (\WideAnd649~0_combout\ & (\WideAnd649~1_combout\ & (\led_flash_cnt[649][7]~q\ & \led_flash_cnt[649][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd649~0_combout\,
	datab => \WideAnd649~1_combout\,
	datac => \led_flash_cnt[649][7]~q\,
	datad => \led_flash_cnt[649][0]~q\,
	combout => \WideAnd649~combout\);

-- Location: FF_X49_Y28_N31
\led_flash_cnt_ands[649]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd649~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(649));

-- Location: LCCOMB_X32_Y22_N22
\led_flash_cnt[651][0]~81291\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[651][0]~81291_combout\ = !\led_flash_cnt[651][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[651][0]~q\,
	combout => \led_flash_cnt[651][0]~81291_combout\);

-- Location: FF_X32_Y22_N23
\led_flash_cnt[651][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[651][0]~81291_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[651][0]~q\);

-- Location: LCCOMB_X32_Y22_N8
\led_flash_cnt[651][1]~35994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[651][1]~35994_combout\ = (\led_flash_cnt[651][0]~q\ & (\led_flash_cnt[651][1]~q\ $ (VCC))) # (!\led_flash_cnt[651][0]~q\ & (\led_flash_cnt[651][1]~q\ & VCC))
-- \led_flash_cnt[651][1]~35995\ = CARRY((\led_flash_cnt[651][0]~q\ & \led_flash_cnt[651][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[651][0]~q\,
	datab => \led_flash_cnt[651][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[651][1]~35994_combout\,
	cout => \led_flash_cnt[651][1]~35995\);

-- Location: FF_X32_Y22_N9
\led_flash_cnt[651][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[651][1]~35994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[651][1]~q\);

-- Location: LCCOMB_X32_Y22_N10
\led_flash_cnt[651][2]~35996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[651][2]~35996_combout\ = (\led_flash_cnt[651][2]~q\ & (!\led_flash_cnt[651][1]~35995\)) # (!\led_flash_cnt[651][2]~q\ & ((\led_flash_cnt[651][1]~35995\) # (GND)))
-- \led_flash_cnt[651][2]~35997\ = CARRY((!\led_flash_cnt[651][1]~35995\) # (!\led_flash_cnt[651][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[651][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[651][1]~35995\,
	combout => \led_flash_cnt[651][2]~35996_combout\,
	cout => \led_flash_cnt[651][2]~35997\);

-- Location: FF_X32_Y22_N11
\led_flash_cnt[651][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[651][2]~35996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[651][2]~q\);

-- Location: LCCOMB_X32_Y22_N12
\led_flash_cnt[651][3]~35998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[651][3]~35998_combout\ = (\led_flash_cnt[651][3]~q\ & (\led_flash_cnt[651][2]~35997\ $ (GND))) # (!\led_flash_cnt[651][3]~q\ & (!\led_flash_cnt[651][2]~35997\ & VCC))
-- \led_flash_cnt[651][3]~35999\ = CARRY((\led_flash_cnt[651][3]~q\ & !\led_flash_cnt[651][2]~35997\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[651][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[651][2]~35997\,
	combout => \led_flash_cnt[651][3]~35998_combout\,
	cout => \led_flash_cnt[651][3]~35999\);

-- Location: FF_X32_Y22_N13
\led_flash_cnt[651][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[651][3]~35998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[651][3]~q\);

-- Location: LCCOMB_X32_Y22_N14
\led_flash_cnt[651][4]~36000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[651][4]~36000_combout\ = (\led_flash_cnt[651][4]~q\ & (!\led_flash_cnt[651][3]~35999\)) # (!\led_flash_cnt[651][4]~q\ & ((\led_flash_cnt[651][3]~35999\) # (GND)))
-- \led_flash_cnt[651][4]~36001\ = CARRY((!\led_flash_cnt[651][3]~35999\) # (!\led_flash_cnt[651][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[651][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[651][3]~35999\,
	combout => \led_flash_cnt[651][4]~36000_combout\,
	cout => \led_flash_cnt[651][4]~36001\);

-- Location: FF_X32_Y22_N15
\led_flash_cnt[651][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[651][4]~36000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[651][4]~q\);

-- Location: LCCOMB_X32_Y22_N16
\led_flash_cnt[651][5]~36002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[651][5]~36002_combout\ = (\led_flash_cnt[651][5]~q\ & (\led_flash_cnt[651][4]~36001\ $ (GND))) # (!\led_flash_cnt[651][5]~q\ & (!\led_flash_cnt[651][4]~36001\ & VCC))
-- \led_flash_cnt[651][5]~36003\ = CARRY((\led_flash_cnt[651][5]~q\ & !\led_flash_cnt[651][4]~36001\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[651][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[651][4]~36001\,
	combout => \led_flash_cnt[651][5]~36002_combout\,
	cout => \led_flash_cnt[651][5]~36003\);

-- Location: FF_X32_Y22_N17
\led_flash_cnt[651][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[651][5]~36002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[651][5]~q\);

-- Location: LCCOMB_X32_Y22_N18
\led_flash_cnt[651][6]~36004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[651][6]~36004_combout\ = (\led_flash_cnt[651][6]~q\ & (!\led_flash_cnt[651][5]~36003\)) # (!\led_flash_cnt[651][6]~q\ & ((\led_flash_cnt[651][5]~36003\) # (GND)))
-- \led_flash_cnt[651][6]~36005\ = CARRY((!\led_flash_cnt[651][5]~36003\) # (!\led_flash_cnt[651][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[651][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[651][5]~36003\,
	combout => \led_flash_cnt[651][6]~36004_combout\,
	cout => \led_flash_cnt[651][6]~36005\);

-- Location: FF_X32_Y22_N19
\led_flash_cnt[651][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[651][6]~36004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[651][6]~q\);

-- Location: LCCOMB_X32_Y22_N20
\led_flash_cnt[651][7]~36006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[651][7]~36006_combout\ = \led_flash_cnt[651][6]~36005\ $ (!\led_flash_cnt[651][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[651][7]~q\,
	cin => \led_flash_cnt[651][6]~36005\,
	combout => \led_flash_cnt[651][7]~36006_combout\);

-- Location: FF_X32_Y22_N21
\led_flash_cnt[651][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[651][7]~36006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[651][7]~q\);

-- Location: LCCOMB_X32_Y22_N30
\WideAnd651~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd651~1_combout\ = (\led_flash_cnt[651][6]~q\ & \led_flash_cnt[651][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[651][6]~q\,
	datad => \led_flash_cnt[651][5]~q\,
	combout => \WideAnd651~1_combout\);

-- Location: LCCOMB_X32_Y22_N24
\WideAnd651~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd651~0_combout\ = (\led_flash_cnt[651][3]~q\ & (\led_flash_cnt[651][4]~q\ & (\led_flash_cnt[651][1]~q\ & \led_flash_cnt[651][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[651][3]~q\,
	datab => \led_flash_cnt[651][4]~q\,
	datac => \led_flash_cnt[651][1]~q\,
	datad => \led_flash_cnt[651][2]~q\,
	combout => \WideAnd651~0_combout\);

-- Location: LCCOMB_X32_Y22_N0
WideAnd651 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd651~combout\ = (\led_flash_cnt[651][0]~q\ & (\led_flash_cnt[651][7]~q\ & (\WideAnd651~1_combout\ & \WideAnd651~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[651][0]~q\,
	datab => \led_flash_cnt[651][7]~q\,
	datac => \WideAnd651~1_combout\,
	datad => \WideAnd651~0_combout\,
	combout => \WideAnd651~combout\);

-- Location: FF_X32_Y22_N1
\led_flash_cnt_ands[651]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd651~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(651));

-- Location: LCCOMB_X55_Y28_N26
\led_flash_cnt[650][0]~81290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[650][0]~81290_combout\ = !\led_flash_cnt[650][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[650][0]~q\,
	combout => \led_flash_cnt[650][0]~81290_combout\);

-- Location: FF_X55_Y28_N27
\led_flash_cnt[650][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[650][0]~81290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[650][0]~q\);

-- Location: LCCOMB_X54_Y29_N0
\led_flash_cnt[650][1]~35980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[650][1]~35980_combout\ = (\led_flash_cnt[650][0]~q\ & (\led_flash_cnt[650][1]~q\ $ (VCC))) # (!\led_flash_cnt[650][0]~q\ & (\led_flash_cnt[650][1]~q\ & VCC))
-- \led_flash_cnt[650][1]~35981\ = CARRY((\led_flash_cnt[650][0]~q\ & \led_flash_cnt[650][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[650][0]~q\,
	datab => \led_flash_cnt[650][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[650][1]~35980_combout\,
	cout => \led_flash_cnt[650][1]~35981\);

-- Location: FF_X54_Y29_N1
\led_flash_cnt[650][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[650][1]~35980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[650][1]~q\);

-- Location: LCCOMB_X54_Y29_N2
\led_flash_cnt[650][2]~35982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[650][2]~35982_combout\ = (\led_flash_cnt[650][2]~q\ & (!\led_flash_cnt[650][1]~35981\)) # (!\led_flash_cnt[650][2]~q\ & ((\led_flash_cnt[650][1]~35981\) # (GND)))
-- \led_flash_cnt[650][2]~35983\ = CARRY((!\led_flash_cnt[650][1]~35981\) # (!\led_flash_cnt[650][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[650][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[650][1]~35981\,
	combout => \led_flash_cnt[650][2]~35982_combout\,
	cout => \led_flash_cnt[650][2]~35983\);

-- Location: FF_X54_Y29_N3
\led_flash_cnt[650][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[650][2]~35982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[650][2]~q\);

-- Location: LCCOMB_X54_Y29_N4
\led_flash_cnt[650][3]~35984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[650][3]~35984_combout\ = (\led_flash_cnt[650][3]~q\ & (\led_flash_cnt[650][2]~35983\ $ (GND))) # (!\led_flash_cnt[650][3]~q\ & (!\led_flash_cnt[650][2]~35983\ & VCC))
-- \led_flash_cnt[650][3]~35985\ = CARRY((\led_flash_cnt[650][3]~q\ & !\led_flash_cnt[650][2]~35983\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[650][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[650][2]~35983\,
	combout => \led_flash_cnt[650][3]~35984_combout\,
	cout => \led_flash_cnt[650][3]~35985\);

-- Location: FF_X54_Y29_N5
\led_flash_cnt[650][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[650][3]~35984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[650][3]~q\);

-- Location: LCCOMB_X54_Y29_N6
\led_flash_cnt[650][4]~35986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[650][4]~35986_combout\ = (\led_flash_cnt[650][4]~q\ & (!\led_flash_cnt[650][3]~35985\)) # (!\led_flash_cnt[650][4]~q\ & ((\led_flash_cnt[650][3]~35985\) # (GND)))
-- \led_flash_cnt[650][4]~35987\ = CARRY((!\led_flash_cnt[650][3]~35985\) # (!\led_flash_cnt[650][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[650][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[650][3]~35985\,
	combout => \led_flash_cnt[650][4]~35986_combout\,
	cout => \led_flash_cnt[650][4]~35987\);

-- Location: FF_X54_Y29_N7
\led_flash_cnt[650][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[650][4]~35986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[650][4]~q\);

-- Location: LCCOMB_X54_Y29_N8
\led_flash_cnt[650][5]~35988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[650][5]~35988_combout\ = (\led_flash_cnt[650][5]~q\ & (\led_flash_cnt[650][4]~35987\ $ (GND))) # (!\led_flash_cnt[650][5]~q\ & (!\led_flash_cnt[650][4]~35987\ & VCC))
-- \led_flash_cnt[650][5]~35989\ = CARRY((\led_flash_cnt[650][5]~q\ & !\led_flash_cnt[650][4]~35987\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[650][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[650][4]~35987\,
	combout => \led_flash_cnt[650][5]~35988_combout\,
	cout => \led_flash_cnt[650][5]~35989\);

-- Location: FF_X54_Y29_N9
\led_flash_cnt[650][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[650][5]~35988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[650][5]~q\);

-- Location: LCCOMB_X54_Y29_N10
\led_flash_cnt[650][6]~35990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[650][6]~35990_combout\ = (\led_flash_cnt[650][6]~q\ & (!\led_flash_cnt[650][5]~35989\)) # (!\led_flash_cnt[650][6]~q\ & ((\led_flash_cnt[650][5]~35989\) # (GND)))
-- \led_flash_cnt[650][6]~35991\ = CARRY((!\led_flash_cnt[650][5]~35989\) # (!\led_flash_cnt[650][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[650][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[650][5]~35989\,
	combout => \led_flash_cnt[650][6]~35990_combout\,
	cout => \led_flash_cnt[650][6]~35991\);

-- Location: FF_X54_Y29_N11
\led_flash_cnt[650][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[650][6]~35990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[650][6]~q\);

-- Location: LCCOMB_X54_Y29_N12
\led_flash_cnt[650][7]~35992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[650][7]~35992_combout\ = \led_flash_cnt[650][6]~35991\ $ (!\led_flash_cnt[650][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[650][7]~q\,
	cin => \led_flash_cnt[650][6]~35991\,
	combout => \led_flash_cnt[650][7]~35992_combout\);

-- Location: FF_X54_Y29_N13
\led_flash_cnt[650][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[650][7]~35992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[650][7]~q\);

-- Location: LCCOMB_X54_Y29_N28
\WideAnd650~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd650~0_combout\ = (\led_flash_cnt[650][4]~q\ & (\led_flash_cnt[650][1]~q\ & (\led_flash_cnt[650][3]~q\ & \led_flash_cnt[650][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[650][4]~q\,
	datab => \led_flash_cnt[650][1]~q\,
	datac => \led_flash_cnt[650][3]~q\,
	datad => \led_flash_cnt[650][2]~q\,
	combout => \WideAnd650~0_combout\);

-- Location: LCCOMB_X55_Y29_N24
\WideAnd650~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd650~1_combout\ = (\led_flash_cnt[650][6]~q\ & \led_flash_cnt[650][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[650][6]~q\,
	datad => \led_flash_cnt[650][5]~q\,
	combout => \WideAnd650~1_combout\);

-- Location: LCCOMB_X55_Y29_N30
WideAnd650 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd650~combout\ = (\led_flash_cnt[650][7]~q\ & (\WideAnd650~0_combout\ & (\led_flash_cnt[650][0]~q\ & \WideAnd650~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[650][7]~q\,
	datab => \WideAnd650~0_combout\,
	datac => \led_flash_cnt[650][0]~q\,
	datad => \WideAnd650~1_combout\,
	combout => \WideAnd650~combout\);

-- Location: FF_X55_Y29_N31
\led_flash_cnt_ands[650]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd650~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(650));

-- Location: LCCOMB_X55_Y28_N14
\led_flash_cnt[648][0]~81288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[648][0]~81288_combout\ = !\led_flash_cnt[648][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[648][0]~q\,
	combout => \led_flash_cnt[648][0]~81288_combout\);

-- Location: FF_X55_Y28_N15
\led_flash_cnt[648][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[648][0]~81288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[648][0]~q\);

-- Location: LCCOMB_X55_Y32_N0
\led_flash_cnt[648][1]~35952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[648][1]~35952_combout\ = (\led_flash_cnt[648][0]~q\ & (\led_flash_cnt[648][1]~q\ $ (VCC))) # (!\led_flash_cnt[648][0]~q\ & (\led_flash_cnt[648][1]~q\ & VCC))
-- \led_flash_cnt[648][1]~35953\ = CARRY((\led_flash_cnt[648][0]~q\ & \led_flash_cnt[648][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[648][0]~q\,
	datab => \led_flash_cnt[648][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[648][1]~35952_combout\,
	cout => \led_flash_cnt[648][1]~35953\);

-- Location: FF_X55_Y32_N1
\led_flash_cnt[648][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[648][1]~35952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[648][1]~q\);

-- Location: LCCOMB_X55_Y32_N2
\led_flash_cnt[648][2]~35954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[648][2]~35954_combout\ = (\led_flash_cnt[648][2]~q\ & (!\led_flash_cnt[648][1]~35953\)) # (!\led_flash_cnt[648][2]~q\ & ((\led_flash_cnt[648][1]~35953\) # (GND)))
-- \led_flash_cnt[648][2]~35955\ = CARRY((!\led_flash_cnt[648][1]~35953\) # (!\led_flash_cnt[648][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[648][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[648][1]~35953\,
	combout => \led_flash_cnt[648][2]~35954_combout\,
	cout => \led_flash_cnt[648][2]~35955\);

-- Location: FF_X55_Y32_N3
\led_flash_cnt[648][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[648][2]~35954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[648][2]~q\);

-- Location: LCCOMB_X55_Y32_N4
\led_flash_cnt[648][3]~35956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[648][3]~35956_combout\ = (\led_flash_cnt[648][3]~q\ & (\led_flash_cnt[648][2]~35955\ $ (GND))) # (!\led_flash_cnt[648][3]~q\ & (!\led_flash_cnt[648][2]~35955\ & VCC))
-- \led_flash_cnt[648][3]~35957\ = CARRY((\led_flash_cnt[648][3]~q\ & !\led_flash_cnt[648][2]~35955\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[648][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[648][2]~35955\,
	combout => \led_flash_cnt[648][3]~35956_combout\,
	cout => \led_flash_cnt[648][3]~35957\);

-- Location: FF_X55_Y32_N5
\led_flash_cnt[648][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[648][3]~35956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[648][3]~q\);

-- Location: LCCOMB_X55_Y32_N6
\led_flash_cnt[648][4]~35958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[648][4]~35958_combout\ = (\led_flash_cnt[648][4]~q\ & (!\led_flash_cnt[648][3]~35957\)) # (!\led_flash_cnt[648][4]~q\ & ((\led_flash_cnt[648][3]~35957\) # (GND)))
-- \led_flash_cnt[648][4]~35959\ = CARRY((!\led_flash_cnt[648][3]~35957\) # (!\led_flash_cnt[648][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[648][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[648][3]~35957\,
	combout => \led_flash_cnt[648][4]~35958_combout\,
	cout => \led_flash_cnt[648][4]~35959\);

-- Location: FF_X55_Y32_N7
\led_flash_cnt[648][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[648][4]~35958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[648][4]~q\);

-- Location: LCCOMB_X55_Y32_N14
\WideAnd648~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd648~0_combout\ = (\led_flash_cnt[648][4]~q\ & (\led_flash_cnt[648][2]~q\ & (\led_flash_cnt[648][3]~q\ & \led_flash_cnt[648][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[648][4]~q\,
	datab => \led_flash_cnt[648][2]~q\,
	datac => \led_flash_cnt[648][3]~q\,
	datad => \led_flash_cnt[648][1]~q\,
	combout => \WideAnd648~0_combout\);

-- Location: LCCOMB_X55_Y32_N8
\led_flash_cnt[648][5]~35960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[648][5]~35960_combout\ = (\led_flash_cnt[648][5]~q\ & (\led_flash_cnt[648][4]~35959\ $ (GND))) # (!\led_flash_cnt[648][5]~q\ & (!\led_flash_cnt[648][4]~35959\ & VCC))
-- \led_flash_cnt[648][5]~35961\ = CARRY((\led_flash_cnt[648][5]~q\ & !\led_flash_cnt[648][4]~35959\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[648][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[648][4]~35959\,
	combout => \led_flash_cnt[648][5]~35960_combout\,
	cout => \led_flash_cnt[648][5]~35961\);

-- Location: FF_X55_Y32_N9
\led_flash_cnt[648][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[648][5]~35960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[648][5]~q\);

-- Location: LCCOMB_X55_Y32_N10
\led_flash_cnt[648][6]~35962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[648][6]~35962_combout\ = (\led_flash_cnt[648][6]~q\ & (!\led_flash_cnt[648][5]~35961\)) # (!\led_flash_cnt[648][6]~q\ & ((\led_flash_cnt[648][5]~35961\) # (GND)))
-- \led_flash_cnt[648][6]~35963\ = CARRY((!\led_flash_cnt[648][5]~35961\) # (!\led_flash_cnt[648][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[648][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[648][5]~35961\,
	combout => \led_flash_cnt[648][6]~35962_combout\,
	cout => \led_flash_cnt[648][6]~35963\);

-- Location: FF_X55_Y32_N11
\led_flash_cnt[648][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[648][6]~35962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[648][6]~q\);

-- Location: LCCOMB_X55_Y32_N12
\led_flash_cnt[648][7]~35964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[648][7]~35964_combout\ = \led_flash_cnt[648][6]~35963\ $ (!\led_flash_cnt[648][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[648][7]~q\,
	cin => \led_flash_cnt[648][6]~35963\,
	combout => \led_flash_cnt[648][7]~35964_combout\);

-- Location: FF_X55_Y32_N13
\led_flash_cnt[648][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[648][7]~35964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[648][7]~q\);

-- Location: LCCOMB_X55_Y32_N30
\WideAnd648~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd648~1_combout\ = (\led_flash_cnt[648][5]~q\ & \led_flash_cnt[648][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[648][5]~q\,
	datad => \led_flash_cnt[648][6]~q\,
	combout => \WideAnd648~1_combout\);

-- Location: LCCOMB_X55_Y28_N28
WideAnd648 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd648~combout\ = (\WideAnd648~0_combout\ & (\led_flash_cnt[648][0]~q\ & (\led_flash_cnt[648][7]~q\ & \WideAnd648~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd648~0_combout\,
	datab => \led_flash_cnt[648][0]~q\,
	datac => \led_flash_cnt[648][7]~q\,
	datad => \WideAnd648~1_combout\,
	combout => \WideAnd648~combout\);

-- Location: FF_X55_Y28_N29
\led_flash_cnt_ands[648]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd648~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(648));

-- Location: LCCOMB_X55_Y28_N16
\WideAnd3921~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3921~0_combout\ = (led_flash_cnt_ands(649) & (led_flash_cnt_ands(651) & (led_flash_cnt_ands(650) & led_flash_cnt_ands(648))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(649),
	datab => led_flash_cnt_ands(651),
	datac => led_flash_cnt_ands(650),
	datad => led_flash_cnt_ands(648),
	combout => \WideAnd3921~0_combout\);

-- Location: LCCOMB_X55_Y28_N22
WideAnd3921 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3921~combout\ = (led_flash_cnt_ands(654) & (\WideAnd3921~1_combout\ & (led_flash_cnt_ands(655) & \WideAnd3921~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(654),
	datab => \WideAnd3921~1_combout\,
	datac => led_flash_cnt_ands(655),
	datad => \WideAnd3921~0_combout\,
	combout => \WideAnd3921~combout\);

-- Location: FF_X55_Y28_N23
\led_flash_cnt_ands_1[81]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3921~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(81));

-- Location: LCCOMB_X14_Y24_N6
\led_flash_cnt[645][0]~81285\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[645][0]~81285_combout\ = !\led_flash_cnt[645][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[645][0]~q\,
	combout => \led_flash_cnt[645][0]~81285_combout\);

-- Location: FF_X14_Y24_N7
\led_flash_cnt[645][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[645][0]~81285_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[645][0]~q\);

-- Location: LCCOMB_X14_Y24_N16
\led_flash_cnt[645][1]~35910\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[645][1]~35910_combout\ = (\led_flash_cnt[645][0]~q\ & (\led_flash_cnt[645][1]~q\ $ (VCC))) # (!\led_flash_cnt[645][0]~q\ & (\led_flash_cnt[645][1]~q\ & VCC))
-- \led_flash_cnt[645][1]~35911\ = CARRY((\led_flash_cnt[645][0]~q\ & \led_flash_cnt[645][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[645][0]~q\,
	datab => \led_flash_cnt[645][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[645][1]~35910_combout\,
	cout => \led_flash_cnt[645][1]~35911\);

-- Location: FF_X14_Y24_N17
\led_flash_cnt[645][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[645][1]~35910_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[645][1]~q\);

-- Location: LCCOMB_X14_Y24_N18
\led_flash_cnt[645][2]~35912\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[645][2]~35912_combout\ = (\led_flash_cnt[645][2]~q\ & (!\led_flash_cnt[645][1]~35911\)) # (!\led_flash_cnt[645][2]~q\ & ((\led_flash_cnt[645][1]~35911\) # (GND)))
-- \led_flash_cnt[645][2]~35913\ = CARRY((!\led_flash_cnt[645][1]~35911\) # (!\led_flash_cnt[645][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[645][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[645][1]~35911\,
	combout => \led_flash_cnt[645][2]~35912_combout\,
	cout => \led_flash_cnt[645][2]~35913\);

-- Location: FF_X14_Y24_N19
\led_flash_cnt[645][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[645][2]~35912_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[645][2]~q\);

-- Location: LCCOMB_X14_Y24_N20
\led_flash_cnt[645][3]~35914\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[645][3]~35914_combout\ = (\led_flash_cnt[645][3]~q\ & (\led_flash_cnt[645][2]~35913\ $ (GND))) # (!\led_flash_cnt[645][3]~q\ & (!\led_flash_cnt[645][2]~35913\ & VCC))
-- \led_flash_cnt[645][3]~35915\ = CARRY((\led_flash_cnt[645][3]~q\ & !\led_flash_cnt[645][2]~35913\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[645][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[645][2]~35913\,
	combout => \led_flash_cnt[645][3]~35914_combout\,
	cout => \led_flash_cnt[645][3]~35915\);

-- Location: FF_X14_Y24_N21
\led_flash_cnt[645][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[645][3]~35914_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[645][3]~q\);

-- Location: LCCOMB_X14_Y24_N22
\led_flash_cnt[645][4]~35916\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[645][4]~35916_combout\ = (\led_flash_cnt[645][4]~q\ & (!\led_flash_cnt[645][3]~35915\)) # (!\led_flash_cnt[645][4]~q\ & ((\led_flash_cnt[645][3]~35915\) # (GND)))
-- \led_flash_cnt[645][4]~35917\ = CARRY((!\led_flash_cnt[645][3]~35915\) # (!\led_flash_cnt[645][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[645][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[645][3]~35915\,
	combout => \led_flash_cnt[645][4]~35916_combout\,
	cout => \led_flash_cnt[645][4]~35917\);

-- Location: FF_X14_Y24_N23
\led_flash_cnt[645][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[645][4]~35916_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[645][4]~q\);

-- Location: LCCOMB_X14_Y24_N24
\led_flash_cnt[645][5]~35918\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[645][5]~35918_combout\ = (\led_flash_cnt[645][5]~q\ & (\led_flash_cnt[645][4]~35917\ $ (GND))) # (!\led_flash_cnt[645][5]~q\ & (!\led_flash_cnt[645][4]~35917\ & VCC))
-- \led_flash_cnt[645][5]~35919\ = CARRY((\led_flash_cnt[645][5]~q\ & !\led_flash_cnt[645][4]~35917\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[645][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[645][4]~35917\,
	combout => \led_flash_cnt[645][5]~35918_combout\,
	cout => \led_flash_cnt[645][5]~35919\);

-- Location: FF_X14_Y24_N25
\led_flash_cnt[645][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[645][5]~35918_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[645][5]~q\);

-- Location: LCCOMB_X14_Y24_N26
\led_flash_cnt[645][6]~35920\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[645][6]~35920_combout\ = (\led_flash_cnt[645][6]~q\ & (!\led_flash_cnt[645][5]~35919\)) # (!\led_flash_cnt[645][6]~q\ & ((\led_flash_cnt[645][5]~35919\) # (GND)))
-- \led_flash_cnt[645][6]~35921\ = CARRY((!\led_flash_cnt[645][5]~35919\) # (!\led_flash_cnt[645][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[645][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[645][5]~35919\,
	combout => \led_flash_cnt[645][6]~35920_combout\,
	cout => \led_flash_cnt[645][6]~35921\);

-- Location: FF_X14_Y24_N27
\led_flash_cnt[645][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[645][6]~35920_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[645][6]~q\);

-- Location: LCCOMB_X14_Y24_N28
\led_flash_cnt[645][7]~35922\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[645][7]~35922_combout\ = \led_flash_cnt[645][6]~35921\ $ (!\led_flash_cnt[645][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[645][7]~q\,
	cin => \led_flash_cnt[645][6]~35921\,
	combout => \led_flash_cnt[645][7]~35922_combout\);

-- Location: FF_X14_Y24_N29
\led_flash_cnt[645][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[645][7]~35922_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[645][7]~q\);

-- Location: LCCOMB_X14_Y24_N4
\WideAnd645~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd645~0_combout\ = (\led_flash_cnt[645][2]~q\ & (\led_flash_cnt[645][1]~q\ & (\led_flash_cnt[645][4]~q\ & \led_flash_cnt[645][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[645][2]~q\,
	datab => \led_flash_cnt[645][1]~q\,
	datac => \led_flash_cnt[645][4]~q\,
	datad => \led_flash_cnt[645][3]~q\,
	combout => \WideAnd645~0_combout\);

-- Location: LCCOMB_X14_Y24_N2
\WideAnd645~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd645~1_combout\ = (\led_flash_cnt[645][6]~q\ & \led_flash_cnt[645][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[645][6]~q\,
	datad => \led_flash_cnt[645][5]~q\,
	combout => \WideAnd645~1_combout\);

-- Location: LCCOMB_X14_Y24_N10
WideAnd645 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd645~combout\ = (\led_flash_cnt[645][0]~q\ & (\led_flash_cnt[645][7]~q\ & (\WideAnd645~0_combout\ & \WideAnd645~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[645][0]~q\,
	datab => \led_flash_cnt[645][7]~q\,
	datac => \WideAnd645~0_combout\,
	datad => \WideAnd645~1_combout\,
	combout => \WideAnd645~combout\);

-- Location: FF_X14_Y24_N11
\led_flash_cnt_ands[645]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd645~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(645));

-- Location: LCCOMB_X37_Y28_N0
\led_flash_cnt[644][0]~81284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[644][0]~81284_combout\ = !\led_flash_cnt[644][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[644][0]~q\,
	combout => \led_flash_cnt[644][0]~81284_combout\);

-- Location: FF_X37_Y28_N1
\led_flash_cnt[644][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[644][0]~81284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[644][0]~q\);

-- Location: LCCOMB_X38_Y28_N0
\led_flash_cnt[644][1]~35896\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[644][1]~35896_combout\ = (\led_flash_cnt[644][0]~q\ & (\led_flash_cnt[644][1]~q\ $ (VCC))) # (!\led_flash_cnt[644][0]~q\ & (\led_flash_cnt[644][1]~q\ & VCC))
-- \led_flash_cnt[644][1]~35897\ = CARRY((\led_flash_cnt[644][0]~q\ & \led_flash_cnt[644][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[644][0]~q\,
	datab => \led_flash_cnt[644][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[644][1]~35896_combout\,
	cout => \led_flash_cnt[644][1]~35897\);

-- Location: FF_X38_Y28_N1
\led_flash_cnt[644][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[644][1]~35896_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[644][1]~q\);

-- Location: LCCOMB_X38_Y28_N2
\led_flash_cnt[644][2]~35898\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[644][2]~35898_combout\ = (\led_flash_cnt[644][2]~q\ & (!\led_flash_cnt[644][1]~35897\)) # (!\led_flash_cnt[644][2]~q\ & ((\led_flash_cnt[644][1]~35897\) # (GND)))
-- \led_flash_cnt[644][2]~35899\ = CARRY((!\led_flash_cnt[644][1]~35897\) # (!\led_flash_cnt[644][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[644][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[644][1]~35897\,
	combout => \led_flash_cnt[644][2]~35898_combout\,
	cout => \led_flash_cnt[644][2]~35899\);

-- Location: FF_X38_Y28_N3
\led_flash_cnt[644][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[644][2]~35898_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[644][2]~q\);

-- Location: LCCOMB_X38_Y28_N4
\led_flash_cnt[644][3]~35900\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[644][3]~35900_combout\ = (\led_flash_cnt[644][3]~q\ & (\led_flash_cnt[644][2]~35899\ $ (GND))) # (!\led_flash_cnt[644][3]~q\ & (!\led_flash_cnt[644][2]~35899\ & VCC))
-- \led_flash_cnt[644][3]~35901\ = CARRY((\led_flash_cnt[644][3]~q\ & !\led_flash_cnt[644][2]~35899\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[644][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[644][2]~35899\,
	combout => \led_flash_cnt[644][3]~35900_combout\,
	cout => \led_flash_cnt[644][3]~35901\);

-- Location: FF_X38_Y28_N5
\led_flash_cnt[644][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[644][3]~35900_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[644][3]~q\);

-- Location: LCCOMB_X38_Y28_N6
\led_flash_cnt[644][4]~35902\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[644][4]~35902_combout\ = (\led_flash_cnt[644][4]~q\ & (!\led_flash_cnt[644][3]~35901\)) # (!\led_flash_cnt[644][4]~q\ & ((\led_flash_cnt[644][3]~35901\) # (GND)))
-- \led_flash_cnt[644][4]~35903\ = CARRY((!\led_flash_cnt[644][3]~35901\) # (!\led_flash_cnt[644][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[644][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[644][3]~35901\,
	combout => \led_flash_cnt[644][4]~35902_combout\,
	cout => \led_flash_cnt[644][4]~35903\);

-- Location: FF_X38_Y28_N7
\led_flash_cnt[644][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[644][4]~35902_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[644][4]~q\);

-- Location: LCCOMB_X38_Y28_N8
\led_flash_cnt[644][5]~35904\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[644][5]~35904_combout\ = (\led_flash_cnt[644][5]~q\ & (\led_flash_cnt[644][4]~35903\ $ (GND))) # (!\led_flash_cnt[644][5]~q\ & (!\led_flash_cnt[644][4]~35903\ & VCC))
-- \led_flash_cnt[644][5]~35905\ = CARRY((\led_flash_cnt[644][5]~q\ & !\led_flash_cnt[644][4]~35903\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[644][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[644][4]~35903\,
	combout => \led_flash_cnt[644][5]~35904_combout\,
	cout => \led_flash_cnt[644][5]~35905\);

-- Location: FF_X38_Y28_N9
\led_flash_cnt[644][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[644][5]~35904_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[644][5]~q\);

-- Location: LCCOMB_X38_Y28_N10
\led_flash_cnt[644][6]~35906\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[644][6]~35906_combout\ = (\led_flash_cnt[644][6]~q\ & (!\led_flash_cnt[644][5]~35905\)) # (!\led_flash_cnt[644][6]~q\ & ((\led_flash_cnt[644][5]~35905\) # (GND)))
-- \led_flash_cnt[644][6]~35907\ = CARRY((!\led_flash_cnt[644][5]~35905\) # (!\led_flash_cnt[644][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[644][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[644][5]~35905\,
	combout => \led_flash_cnt[644][6]~35906_combout\,
	cout => \led_flash_cnt[644][6]~35907\);

-- Location: FF_X38_Y28_N11
\led_flash_cnt[644][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[644][6]~35906_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[644][6]~q\);

-- Location: LCCOMB_X37_Y28_N22
\WideAnd644~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd644~1_combout\ = (\led_flash_cnt[644][5]~q\ & \led_flash_cnt[644][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[644][5]~q\,
	datac => \led_flash_cnt[644][6]~q\,
	combout => \WideAnd644~1_combout\);

-- Location: LCCOMB_X37_Y28_N28
\WideAnd644~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd644~0_combout\ = (\led_flash_cnt[644][4]~q\ & (\led_flash_cnt[644][3]~q\ & (\led_flash_cnt[644][1]~q\ & \led_flash_cnt[644][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[644][4]~q\,
	datab => \led_flash_cnt[644][3]~q\,
	datac => \led_flash_cnt[644][1]~q\,
	datad => \led_flash_cnt[644][2]~q\,
	combout => \WideAnd644~0_combout\);

-- Location: LCCOMB_X38_Y28_N12
\led_flash_cnt[644][7]~35908\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[644][7]~35908_combout\ = \led_flash_cnt[644][6]~35907\ $ (!\led_flash_cnt[644][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[644][7]~q\,
	cin => \led_flash_cnt[644][6]~35907\,
	combout => \led_flash_cnt[644][7]~35908_combout\);

-- Location: FF_X38_Y28_N13
\led_flash_cnt[644][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[644][7]~35908_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[644][7]~q\);

-- Location: LCCOMB_X37_Y28_N20
WideAnd644 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd644~combout\ = (\WideAnd644~1_combout\ & (\WideAnd644~0_combout\ & (\led_flash_cnt[644][7]~q\ & \led_flash_cnt[644][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd644~1_combout\,
	datab => \WideAnd644~0_combout\,
	datac => \led_flash_cnt[644][7]~q\,
	datad => \led_flash_cnt[644][0]~q\,
	combout => \WideAnd644~combout\);

-- Location: FF_X37_Y28_N21
\led_flash_cnt_ands[644]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd644~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(644));

-- Location: LCCOMB_X37_Y28_N24
\WideAnd3920~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3920~1_combout\ = (led_flash_cnt_ands(645) & led_flash_cnt_ands(644))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(645),
	datad => led_flash_cnt_ands(644),
	combout => \WideAnd3920~1_combout\);

-- Location: LCCOMB_X39_Y28_N2
\led_flash_cnt[646][0]~81286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[646][0]~81286_combout\ = !\led_flash_cnt[646][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[646][0]~q\,
	combout => \led_flash_cnt[646][0]~81286_combout\);

-- Location: FF_X39_Y28_N3
\led_flash_cnt[646][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[646][0]~81286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[646][0]~q\);

-- Location: LCCOMB_X38_Y28_N18
\led_flash_cnt[646][1]~35924\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[646][1]~35924_combout\ = (\led_flash_cnt[646][0]~q\ & (\led_flash_cnt[646][1]~q\ $ (VCC))) # (!\led_flash_cnt[646][0]~q\ & (\led_flash_cnt[646][1]~q\ & VCC))
-- \led_flash_cnt[646][1]~35925\ = CARRY((\led_flash_cnt[646][0]~q\ & \led_flash_cnt[646][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[646][0]~q\,
	datab => \led_flash_cnt[646][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[646][1]~35924_combout\,
	cout => \led_flash_cnt[646][1]~35925\);

-- Location: FF_X38_Y28_N19
\led_flash_cnt[646][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[646][1]~35924_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[646][1]~q\);

-- Location: LCCOMB_X38_Y28_N20
\led_flash_cnt[646][2]~35926\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[646][2]~35926_combout\ = (\led_flash_cnt[646][2]~q\ & (!\led_flash_cnt[646][1]~35925\)) # (!\led_flash_cnt[646][2]~q\ & ((\led_flash_cnt[646][1]~35925\) # (GND)))
-- \led_flash_cnt[646][2]~35927\ = CARRY((!\led_flash_cnt[646][1]~35925\) # (!\led_flash_cnt[646][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[646][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[646][1]~35925\,
	combout => \led_flash_cnt[646][2]~35926_combout\,
	cout => \led_flash_cnt[646][2]~35927\);

-- Location: FF_X38_Y28_N21
\led_flash_cnt[646][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[646][2]~35926_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[646][2]~q\);

-- Location: LCCOMB_X38_Y28_N22
\led_flash_cnt[646][3]~35928\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[646][3]~35928_combout\ = (\led_flash_cnt[646][3]~q\ & (\led_flash_cnt[646][2]~35927\ $ (GND))) # (!\led_flash_cnt[646][3]~q\ & (!\led_flash_cnt[646][2]~35927\ & VCC))
-- \led_flash_cnt[646][3]~35929\ = CARRY((\led_flash_cnt[646][3]~q\ & !\led_flash_cnt[646][2]~35927\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[646][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[646][2]~35927\,
	combout => \led_flash_cnt[646][3]~35928_combout\,
	cout => \led_flash_cnt[646][3]~35929\);

-- Location: FF_X38_Y28_N23
\led_flash_cnt[646][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[646][3]~35928_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[646][3]~q\);

-- Location: LCCOMB_X38_Y28_N24
\led_flash_cnt[646][4]~35930\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[646][4]~35930_combout\ = (\led_flash_cnt[646][4]~q\ & (!\led_flash_cnt[646][3]~35929\)) # (!\led_flash_cnt[646][4]~q\ & ((\led_flash_cnt[646][3]~35929\) # (GND)))
-- \led_flash_cnt[646][4]~35931\ = CARRY((!\led_flash_cnt[646][3]~35929\) # (!\led_flash_cnt[646][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[646][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[646][3]~35929\,
	combout => \led_flash_cnt[646][4]~35930_combout\,
	cout => \led_flash_cnt[646][4]~35931\);

-- Location: FF_X38_Y28_N25
\led_flash_cnt[646][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[646][4]~35930_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[646][4]~q\);

-- Location: LCCOMB_X38_Y28_N26
\led_flash_cnt[646][5]~35932\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[646][5]~35932_combout\ = (\led_flash_cnt[646][5]~q\ & (\led_flash_cnt[646][4]~35931\ $ (GND))) # (!\led_flash_cnt[646][5]~q\ & (!\led_flash_cnt[646][4]~35931\ & VCC))
-- \led_flash_cnt[646][5]~35933\ = CARRY((\led_flash_cnt[646][5]~q\ & !\led_flash_cnt[646][4]~35931\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[646][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[646][4]~35931\,
	combout => \led_flash_cnt[646][5]~35932_combout\,
	cout => \led_flash_cnt[646][5]~35933\);

-- Location: FF_X38_Y28_N27
\led_flash_cnt[646][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[646][5]~35932_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[646][5]~q\);

-- Location: LCCOMB_X38_Y28_N28
\led_flash_cnt[646][6]~35934\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[646][6]~35934_combout\ = (\led_flash_cnt[646][6]~q\ & (!\led_flash_cnt[646][5]~35933\)) # (!\led_flash_cnt[646][6]~q\ & ((\led_flash_cnt[646][5]~35933\) # (GND)))
-- \led_flash_cnt[646][6]~35935\ = CARRY((!\led_flash_cnt[646][5]~35933\) # (!\led_flash_cnt[646][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[646][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[646][5]~35933\,
	combout => \led_flash_cnt[646][6]~35934_combout\,
	cout => \led_flash_cnt[646][6]~35935\);

-- Location: FF_X38_Y28_N29
\led_flash_cnt[646][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[646][6]~35934_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[646][6]~q\);

-- Location: LCCOMB_X38_Y28_N14
\WideAnd646~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd646~1_combout\ = (\led_flash_cnt[646][5]~q\ & \led_flash_cnt[646][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[646][5]~q\,
	datad => \led_flash_cnt[646][6]~q\,
	combout => \WideAnd646~1_combout\);

-- Location: LCCOMB_X38_Y28_N30
\led_flash_cnt[646][7]~35936\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[646][7]~35936_combout\ = \led_flash_cnt[646][7]~q\ $ (!\led_flash_cnt[646][6]~35935\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[646][7]~q\,
	cin => \led_flash_cnt[646][6]~35935\,
	combout => \led_flash_cnt[646][7]~35936_combout\);

-- Location: FF_X38_Y28_N31
\led_flash_cnt[646][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[646][7]~35936_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[646][7]~q\);

-- Location: LCCOMB_X38_Y28_N16
\WideAnd646~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd646~0_combout\ = (\led_flash_cnt[646][1]~q\ & (\led_flash_cnt[646][4]~q\ & (\led_flash_cnt[646][3]~q\ & \led_flash_cnt[646][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[646][1]~q\,
	datab => \led_flash_cnt[646][4]~q\,
	datac => \led_flash_cnt[646][3]~q\,
	datad => \led_flash_cnt[646][2]~q\,
	combout => \WideAnd646~0_combout\);

-- Location: LCCOMB_X39_Y28_N24
WideAnd646 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd646~combout\ = (\WideAnd646~1_combout\ & (\led_flash_cnt[646][7]~q\ & (\WideAnd646~0_combout\ & \led_flash_cnt[646][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd646~1_combout\,
	datab => \led_flash_cnt[646][7]~q\,
	datac => \WideAnd646~0_combout\,
	datad => \led_flash_cnt[646][0]~q\,
	combout => \WideAnd646~combout\);

-- Location: FF_X39_Y28_N25
\led_flash_cnt_ands[646]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd646~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(646));

-- Location: LCCOMB_X29_Y24_N30
\led_flash_cnt[641][0]~81281\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[641][0]~81281_combout\ = !\led_flash_cnt[641][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[641][0]~q\,
	combout => \led_flash_cnt[641][0]~81281_combout\);

-- Location: FF_X29_Y24_N31
\led_flash_cnt[641][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[641][0]~81281_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[641][0]~q\);

-- Location: LCCOMB_X49_Y24_N0
\led_flash_cnt[641][1]~35854\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[641][1]~35854_combout\ = (\led_flash_cnt[641][0]~q\ & (\led_flash_cnt[641][1]~q\ $ (VCC))) # (!\led_flash_cnt[641][0]~q\ & (\led_flash_cnt[641][1]~q\ & VCC))
-- \led_flash_cnt[641][1]~35855\ = CARRY((\led_flash_cnt[641][0]~q\ & \led_flash_cnt[641][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[641][0]~q\,
	datab => \led_flash_cnt[641][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[641][1]~35854_combout\,
	cout => \led_flash_cnt[641][1]~35855\);

-- Location: FF_X49_Y24_N1
\led_flash_cnt[641][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[641][1]~35854_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[641][1]~q\);

-- Location: LCCOMB_X49_Y24_N2
\led_flash_cnt[641][2]~35856\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[641][2]~35856_combout\ = (\led_flash_cnt[641][2]~q\ & (!\led_flash_cnt[641][1]~35855\)) # (!\led_flash_cnt[641][2]~q\ & ((\led_flash_cnt[641][1]~35855\) # (GND)))
-- \led_flash_cnt[641][2]~35857\ = CARRY((!\led_flash_cnt[641][1]~35855\) # (!\led_flash_cnt[641][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[641][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[641][1]~35855\,
	combout => \led_flash_cnt[641][2]~35856_combout\,
	cout => \led_flash_cnt[641][2]~35857\);

-- Location: FF_X49_Y24_N3
\led_flash_cnt[641][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[641][2]~35856_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[641][2]~q\);

-- Location: LCCOMB_X49_Y24_N4
\led_flash_cnt[641][3]~35858\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[641][3]~35858_combout\ = (\led_flash_cnt[641][3]~q\ & (\led_flash_cnt[641][2]~35857\ $ (GND))) # (!\led_flash_cnt[641][3]~q\ & (!\led_flash_cnt[641][2]~35857\ & VCC))
-- \led_flash_cnt[641][3]~35859\ = CARRY((\led_flash_cnt[641][3]~q\ & !\led_flash_cnt[641][2]~35857\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[641][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[641][2]~35857\,
	combout => \led_flash_cnt[641][3]~35858_combout\,
	cout => \led_flash_cnt[641][3]~35859\);

-- Location: FF_X49_Y24_N5
\led_flash_cnt[641][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[641][3]~35858_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[641][3]~q\);

-- Location: LCCOMB_X49_Y24_N6
\led_flash_cnt[641][4]~35860\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[641][4]~35860_combout\ = (\led_flash_cnt[641][4]~q\ & (!\led_flash_cnt[641][3]~35859\)) # (!\led_flash_cnt[641][4]~q\ & ((\led_flash_cnt[641][3]~35859\) # (GND)))
-- \led_flash_cnt[641][4]~35861\ = CARRY((!\led_flash_cnt[641][3]~35859\) # (!\led_flash_cnt[641][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[641][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[641][3]~35859\,
	combout => \led_flash_cnt[641][4]~35860_combout\,
	cout => \led_flash_cnt[641][4]~35861\);

-- Location: FF_X49_Y24_N7
\led_flash_cnt[641][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[641][4]~35860_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[641][4]~q\);

-- Location: LCCOMB_X49_Y24_N8
\led_flash_cnt[641][5]~35862\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[641][5]~35862_combout\ = (\led_flash_cnt[641][5]~q\ & (\led_flash_cnt[641][4]~35861\ $ (GND))) # (!\led_flash_cnt[641][5]~q\ & (!\led_flash_cnt[641][4]~35861\ & VCC))
-- \led_flash_cnt[641][5]~35863\ = CARRY((\led_flash_cnt[641][5]~q\ & !\led_flash_cnt[641][4]~35861\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[641][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[641][4]~35861\,
	combout => \led_flash_cnt[641][5]~35862_combout\,
	cout => \led_flash_cnt[641][5]~35863\);

-- Location: FF_X49_Y24_N9
\led_flash_cnt[641][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[641][5]~35862_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[641][5]~q\);

-- Location: LCCOMB_X49_Y24_N10
\led_flash_cnt[641][6]~35864\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[641][6]~35864_combout\ = (\led_flash_cnt[641][6]~q\ & (!\led_flash_cnt[641][5]~35863\)) # (!\led_flash_cnt[641][6]~q\ & ((\led_flash_cnt[641][5]~35863\) # (GND)))
-- \led_flash_cnt[641][6]~35865\ = CARRY((!\led_flash_cnt[641][5]~35863\) # (!\led_flash_cnt[641][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[641][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[641][5]~35863\,
	combout => \led_flash_cnt[641][6]~35864_combout\,
	cout => \led_flash_cnt[641][6]~35865\);

-- Location: FF_X49_Y24_N11
\led_flash_cnt[641][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[641][6]~35864_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[641][6]~q\);

-- Location: LCCOMB_X50_Y24_N28
\WideAnd641~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd641~1_combout\ = (\led_flash_cnt[641][6]~q\ & \led_flash_cnt[641][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[641][6]~q\,
	datad => \led_flash_cnt[641][5]~q\,
	combout => \WideAnd641~1_combout\);

-- Location: LCCOMB_X49_Y24_N14
\WideAnd641~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd641~0_combout\ = (\led_flash_cnt[641][4]~q\ & (\led_flash_cnt[641][1]~q\ & (\led_flash_cnt[641][3]~q\ & \led_flash_cnt[641][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[641][4]~q\,
	datab => \led_flash_cnt[641][1]~q\,
	datac => \led_flash_cnt[641][3]~q\,
	datad => \led_flash_cnt[641][2]~q\,
	combout => \WideAnd641~0_combout\);

-- Location: LCCOMB_X49_Y24_N12
\led_flash_cnt[641][7]~35866\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[641][7]~35866_combout\ = \led_flash_cnt[641][6]~35865\ $ (!\led_flash_cnt[641][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[641][7]~q\,
	cin => \led_flash_cnt[641][6]~35865\,
	combout => \led_flash_cnt[641][7]~35866_combout\);

-- Location: FF_X49_Y24_N13
\led_flash_cnt[641][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[641][7]~35866_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[641][7]~q\);

-- Location: LCCOMB_X49_Y24_N30
WideAnd641 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd641~combout\ = (\led_flash_cnt[641][0]~q\ & (\WideAnd641~1_combout\ & (\WideAnd641~0_combout\ & \led_flash_cnt[641][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[641][0]~q\,
	datab => \WideAnd641~1_combout\,
	datac => \WideAnd641~0_combout\,
	datad => \led_flash_cnt[641][7]~q\,
	combout => \WideAnd641~combout\);

-- Location: FF_X49_Y24_N31
\led_flash_cnt_ands[641]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd641~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(641));

-- Location: LCCOMB_X47_Y24_N22
\led_flash_cnt[640][0]~81280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[640][0]~81280_combout\ = !\led_flash_cnt[640][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[640][0]~q\,
	combout => \led_flash_cnt[640][0]~81280_combout\);

-- Location: FF_X47_Y24_N23
\led_flash_cnt[640][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[640][0]~81280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[640][0]~q\);

-- Location: LCCOMB_X47_Y24_N2
\led_flash_cnt[640][1]~35840\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[640][1]~35840_combout\ = (\led_flash_cnt[640][0]~q\ & (\led_flash_cnt[640][1]~q\ $ (VCC))) # (!\led_flash_cnt[640][0]~q\ & (\led_flash_cnt[640][1]~q\ & VCC))
-- \led_flash_cnt[640][1]~35841\ = CARRY((\led_flash_cnt[640][0]~q\ & \led_flash_cnt[640][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[640][0]~q\,
	datab => \led_flash_cnt[640][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[640][1]~35840_combout\,
	cout => \led_flash_cnt[640][1]~35841\);

-- Location: FF_X47_Y24_N3
\led_flash_cnt[640][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[640][1]~35840_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[640][1]~q\);

-- Location: LCCOMB_X47_Y24_N4
\led_flash_cnt[640][2]~35842\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[640][2]~35842_combout\ = (\led_flash_cnt[640][2]~q\ & (!\led_flash_cnt[640][1]~35841\)) # (!\led_flash_cnt[640][2]~q\ & ((\led_flash_cnt[640][1]~35841\) # (GND)))
-- \led_flash_cnt[640][2]~35843\ = CARRY((!\led_flash_cnt[640][1]~35841\) # (!\led_flash_cnt[640][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[640][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[640][1]~35841\,
	combout => \led_flash_cnt[640][2]~35842_combout\,
	cout => \led_flash_cnt[640][2]~35843\);

-- Location: FF_X47_Y24_N5
\led_flash_cnt[640][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[640][2]~35842_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[640][2]~q\);

-- Location: LCCOMB_X47_Y24_N6
\led_flash_cnt[640][3]~35844\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[640][3]~35844_combout\ = (\led_flash_cnt[640][3]~q\ & (\led_flash_cnt[640][2]~35843\ $ (GND))) # (!\led_flash_cnt[640][3]~q\ & (!\led_flash_cnt[640][2]~35843\ & VCC))
-- \led_flash_cnt[640][3]~35845\ = CARRY((\led_flash_cnt[640][3]~q\ & !\led_flash_cnt[640][2]~35843\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[640][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[640][2]~35843\,
	combout => \led_flash_cnt[640][3]~35844_combout\,
	cout => \led_flash_cnt[640][3]~35845\);

-- Location: FF_X47_Y24_N7
\led_flash_cnt[640][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[640][3]~35844_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[640][3]~q\);

-- Location: LCCOMB_X47_Y24_N8
\led_flash_cnt[640][4]~35846\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[640][4]~35846_combout\ = (\led_flash_cnt[640][4]~q\ & (!\led_flash_cnt[640][3]~35845\)) # (!\led_flash_cnt[640][4]~q\ & ((\led_flash_cnt[640][3]~35845\) # (GND)))
-- \led_flash_cnt[640][4]~35847\ = CARRY((!\led_flash_cnt[640][3]~35845\) # (!\led_flash_cnt[640][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[640][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[640][3]~35845\,
	combout => \led_flash_cnt[640][4]~35846_combout\,
	cout => \led_flash_cnt[640][4]~35847\);

-- Location: FF_X47_Y24_N9
\led_flash_cnt[640][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[640][4]~35846_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[640][4]~q\);

-- Location: LCCOMB_X47_Y24_N30
\WideAnd640~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd640~0_combout\ = (\led_flash_cnt[640][3]~q\ & (\led_flash_cnt[640][4]~q\ & (\led_flash_cnt[640][2]~q\ & \led_flash_cnt[640][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[640][3]~q\,
	datab => \led_flash_cnt[640][4]~q\,
	datac => \led_flash_cnt[640][2]~q\,
	datad => \led_flash_cnt[640][1]~q\,
	combout => \WideAnd640~0_combout\);

-- Location: LCCOMB_X47_Y24_N10
\led_flash_cnt[640][5]~35848\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[640][5]~35848_combout\ = (\led_flash_cnt[640][5]~q\ & (\led_flash_cnt[640][4]~35847\ $ (GND))) # (!\led_flash_cnt[640][5]~q\ & (!\led_flash_cnt[640][4]~35847\ & VCC))
-- \led_flash_cnt[640][5]~35849\ = CARRY((\led_flash_cnt[640][5]~q\ & !\led_flash_cnt[640][4]~35847\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[640][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[640][4]~35847\,
	combout => \led_flash_cnt[640][5]~35848_combout\,
	cout => \led_flash_cnt[640][5]~35849\);

-- Location: FF_X47_Y24_N11
\led_flash_cnt[640][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[640][5]~35848_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[640][5]~q\);

-- Location: LCCOMB_X47_Y24_N12
\led_flash_cnt[640][6]~35850\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[640][6]~35850_combout\ = (\led_flash_cnt[640][6]~q\ & (!\led_flash_cnt[640][5]~35849\)) # (!\led_flash_cnt[640][6]~q\ & ((\led_flash_cnt[640][5]~35849\) # (GND)))
-- \led_flash_cnt[640][6]~35851\ = CARRY((!\led_flash_cnt[640][5]~35849\) # (!\led_flash_cnt[640][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[640][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[640][5]~35849\,
	combout => \led_flash_cnt[640][6]~35850_combout\,
	cout => \led_flash_cnt[640][6]~35851\);

-- Location: FF_X47_Y24_N13
\led_flash_cnt[640][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[640][6]~35850_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[640][6]~q\);

-- Location: LCCOMB_X47_Y24_N14
\led_flash_cnt[640][7]~35852\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[640][7]~35852_combout\ = \led_flash_cnt[640][7]~q\ $ (!\led_flash_cnt[640][6]~35851\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[640][7]~q\,
	cin => \led_flash_cnt[640][6]~35851\,
	combout => \led_flash_cnt[640][7]~35852_combout\);

-- Location: FF_X47_Y24_N15
\led_flash_cnt[640][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[640][7]~35852_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[640][7]~q\);

-- Location: LCCOMB_X47_Y24_N18
\WideAnd640~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd640~1_combout\ = (\led_flash_cnt[640][6]~q\ & \led_flash_cnt[640][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[640][6]~q\,
	datad => \led_flash_cnt[640][5]~q\,
	combout => \WideAnd640~1_combout\);

-- Location: LCCOMB_X47_Y24_N16
WideAnd640 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd640~combout\ = (\WideAnd640~0_combout\ & (\led_flash_cnt[640][7]~q\ & (\led_flash_cnt[640][0]~q\ & \WideAnd640~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd640~0_combout\,
	datab => \led_flash_cnt[640][7]~q\,
	datac => \led_flash_cnt[640][0]~q\,
	datad => \WideAnd640~1_combout\,
	combout => \WideAnd640~combout\);

-- Location: FF_X47_Y24_N17
\led_flash_cnt_ands[640]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd640~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(640));

-- Location: LCCOMB_X46_Y29_N2
\led_flash_cnt[642][0]~81282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[642][0]~81282_combout\ = !\led_flash_cnt[642][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[642][0]~q\,
	combout => \led_flash_cnt[642][0]~81282_combout\);

-- Location: FF_X46_Y29_N3
\led_flash_cnt[642][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[642][0]~81282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[642][0]~q\);

-- Location: LCCOMB_X45_Y29_N16
\led_flash_cnt[642][1]~35868\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[642][1]~35868_combout\ = (\led_flash_cnt[642][0]~q\ & (\led_flash_cnt[642][1]~q\ $ (VCC))) # (!\led_flash_cnt[642][0]~q\ & (\led_flash_cnt[642][1]~q\ & VCC))
-- \led_flash_cnt[642][1]~35869\ = CARRY((\led_flash_cnt[642][0]~q\ & \led_flash_cnt[642][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[642][0]~q\,
	datab => \led_flash_cnt[642][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[642][1]~35868_combout\,
	cout => \led_flash_cnt[642][1]~35869\);

-- Location: FF_X45_Y29_N17
\led_flash_cnt[642][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[642][1]~35868_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[642][1]~q\);

-- Location: LCCOMB_X45_Y29_N18
\led_flash_cnt[642][2]~35870\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[642][2]~35870_combout\ = (\led_flash_cnt[642][2]~q\ & (!\led_flash_cnt[642][1]~35869\)) # (!\led_flash_cnt[642][2]~q\ & ((\led_flash_cnt[642][1]~35869\) # (GND)))
-- \led_flash_cnt[642][2]~35871\ = CARRY((!\led_flash_cnt[642][1]~35869\) # (!\led_flash_cnt[642][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[642][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[642][1]~35869\,
	combout => \led_flash_cnt[642][2]~35870_combout\,
	cout => \led_flash_cnt[642][2]~35871\);

-- Location: FF_X45_Y29_N19
\led_flash_cnt[642][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[642][2]~35870_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[642][2]~q\);

-- Location: LCCOMB_X45_Y29_N20
\led_flash_cnt[642][3]~35872\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[642][3]~35872_combout\ = (\led_flash_cnt[642][3]~q\ & (\led_flash_cnt[642][2]~35871\ $ (GND))) # (!\led_flash_cnt[642][3]~q\ & (!\led_flash_cnt[642][2]~35871\ & VCC))
-- \led_flash_cnt[642][3]~35873\ = CARRY((\led_flash_cnt[642][3]~q\ & !\led_flash_cnt[642][2]~35871\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[642][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[642][2]~35871\,
	combout => \led_flash_cnt[642][3]~35872_combout\,
	cout => \led_flash_cnt[642][3]~35873\);

-- Location: FF_X45_Y29_N21
\led_flash_cnt[642][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[642][3]~35872_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[642][3]~q\);

-- Location: LCCOMB_X45_Y29_N22
\led_flash_cnt[642][4]~35874\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[642][4]~35874_combout\ = (\led_flash_cnt[642][4]~q\ & (!\led_flash_cnt[642][3]~35873\)) # (!\led_flash_cnt[642][4]~q\ & ((\led_flash_cnt[642][3]~35873\) # (GND)))
-- \led_flash_cnt[642][4]~35875\ = CARRY((!\led_flash_cnt[642][3]~35873\) # (!\led_flash_cnt[642][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[642][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[642][3]~35873\,
	combout => \led_flash_cnt[642][4]~35874_combout\,
	cout => \led_flash_cnt[642][4]~35875\);

-- Location: FF_X45_Y29_N23
\led_flash_cnt[642][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[642][4]~35874_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[642][4]~q\);

-- Location: LCCOMB_X45_Y29_N30
\WideAnd642~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd642~0_combout\ = (\led_flash_cnt[642][1]~q\ & (\led_flash_cnt[642][3]~q\ & (\led_flash_cnt[642][4]~q\ & \led_flash_cnt[642][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[642][1]~q\,
	datab => \led_flash_cnt[642][3]~q\,
	datac => \led_flash_cnt[642][4]~q\,
	datad => \led_flash_cnt[642][2]~q\,
	combout => \WideAnd642~0_combout\);

-- Location: LCCOMB_X45_Y29_N24
\led_flash_cnt[642][5]~35876\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[642][5]~35876_combout\ = (\led_flash_cnt[642][5]~q\ & (\led_flash_cnt[642][4]~35875\ $ (GND))) # (!\led_flash_cnt[642][5]~q\ & (!\led_flash_cnt[642][4]~35875\ & VCC))
-- \led_flash_cnt[642][5]~35877\ = CARRY((\led_flash_cnt[642][5]~q\ & !\led_flash_cnt[642][4]~35875\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[642][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[642][4]~35875\,
	combout => \led_flash_cnt[642][5]~35876_combout\,
	cout => \led_flash_cnt[642][5]~35877\);

-- Location: FF_X45_Y29_N25
\led_flash_cnt[642][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[642][5]~35876_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[642][5]~q\);

-- Location: LCCOMB_X45_Y29_N26
\led_flash_cnt[642][6]~35878\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[642][6]~35878_combout\ = (\led_flash_cnt[642][6]~q\ & (!\led_flash_cnt[642][5]~35877\)) # (!\led_flash_cnt[642][6]~q\ & ((\led_flash_cnt[642][5]~35877\) # (GND)))
-- \led_flash_cnt[642][6]~35879\ = CARRY((!\led_flash_cnt[642][5]~35877\) # (!\led_flash_cnt[642][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[642][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[642][5]~35877\,
	combout => \led_flash_cnt[642][6]~35878_combout\,
	cout => \led_flash_cnt[642][6]~35879\);

-- Location: FF_X45_Y29_N27
\led_flash_cnt[642][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[642][6]~35878_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[642][6]~q\);

-- Location: LCCOMB_X45_Y29_N28
\led_flash_cnt[642][7]~35880\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[642][7]~35880_combout\ = \led_flash_cnt[642][6]~35879\ $ (!\led_flash_cnt[642][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[642][7]~q\,
	cin => \led_flash_cnt[642][6]~35879\,
	combout => \led_flash_cnt[642][7]~35880_combout\);

-- Location: FF_X45_Y29_N29
\led_flash_cnt[642][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[642][7]~35880_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[642][7]~q\);

-- Location: LCCOMB_X46_Y29_N18
\WideAnd642~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd642~1_combout\ = (\led_flash_cnt[642][6]~q\ & \led_flash_cnt[642][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[642][6]~q\,
	datad => \led_flash_cnt[642][5]~q\,
	combout => \WideAnd642~1_combout\);

-- Location: LCCOMB_X46_Y29_N28
WideAnd642 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd642~combout\ = (\led_flash_cnt[642][0]~q\ & (\WideAnd642~0_combout\ & (\led_flash_cnt[642][7]~q\ & \WideAnd642~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[642][0]~q\,
	datab => \WideAnd642~0_combout\,
	datac => \led_flash_cnt[642][7]~q\,
	datad => \WideAnd642~1_combout\,
	combout => \WideAnd642~combout\);

-- Location: FF_X46_Y29_N29
\led_flash_cnt_ands[642]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd642~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(642));

-- Location: LCCOMB_X47_Y24_N0
\led_flash_cnt[643][0]~81283\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[643][0]~81283_combout\ = !\led_flash_cnt[643][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[643][0]~q\,
	combout => \led_flash_cnt[643][0]~81283_combout\);

-- Location: FF_X47_Y24_N1
\led_flash_cnt[643][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[643][0]~81283_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[643][0]~q\);

-- Location: LCCOMB_X47_Y25_N0
\led_flash_cnt[643][1]~35882\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[643][1]~35882_combout\ = (\led_flash_cnt[643][0]~q\ & (\led_flash_cnt[643][1]~q\ $ (VCC))) # (!\led_flash_cnt[643][0]~q\ & (\led_flash_cnt[643][1]~q\ & VCC))
-- \led_flash_cnt[643][1]~35883\ = CARRY((\led_flash_cnt[643][0]~q\ & \led_flash_cnt[643][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[643][0]~q\,
	datab => \led_flash_cnt[643][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[643][1]~35882_combout\,
	cout => \led_flash_cnt[643][1]~35883\);

-- Location: FF_X47_Y25_N1
\led_flash_cnt[643][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[643][1]~35882_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[643][1]~q\);

-- Location: LCCOMB_X47_Y25_N2
\led_flash_cnt[643][2]~35884\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[643][2]~35884_combout\ = (\led_flash_cnt[643][2]~q\ & (!\led_flash_cnt[643][1]~35883\)) # (!\led_flash_cnt[643][2]~q\ & ((\led_flash_cnt[643][1]~35883\) # (GND)))
-- \led_flash_cnt[643][2]~35885\ = CARRY((!\led_flash_cnt[643][1]~35883\) # (!\led_flash_cnt[643][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[643][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[643][1]~35883\,
	combout => \led_flash_cnt[643][2]~35884_combout\,
	cout => \led_flash_cnt[643][2]~35885\);

-- Location: FF_X47_Y25_N3
\led_flash_cnt[643][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[643][2]~35884_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[643][2]~q\);

-- Location: LCCOMB_X47_Y25_N4
\led_flash_cnt[643][3]~35886\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[643][3]~35886_combout\ = (\led_flash_cnt[643][3]~q\ & (\led_flash_cnt[643][2]~35885\ $ (GND))) # (!\led_flash_cnt[643][3]~q\ & (!\led_flash_cnt[643][2]~35885\ & VCC))
-- \led_flash_cnt[643][3]~35887\ = CARRY((\led_flash_cnt[643][3]~q\ & !\led_flash_cnt[643][2]~35885\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[643][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[643][2]~35885\,
	combout => \led_flash_cnt[643][3]~35886_combout\,
	cout => \led_flash_cnt[643][3]~35887\);

-- Location: FF_X47_Y25_N5
\led_flash_cnt[643][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[643][3]~35886_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[643][3]~q\);

-- Location: LCCOMB_X47_Y25_N6
\led_flash_cnt[643][4]~35888\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[643][4]~35888_combout\ = (\led_flash_cnt[643][4]~q\ & (!\led_flash_cnt[643][3]~35887\)) # (!\led_flash_cnt[643][4]~q\ & ((\led_flash_cnt[643][3]~35887\) # (GND)))
-- \led_flash_cnt[643][4]~35889\ = CARRY((!\led_flash_cnt[643][3]~35887\) # (!\led_flash_cnt[643][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[643][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[643][3]~35887\,
	combout => \led_flash_cnt[643][4]~35888_combout\,
	cout => \led_flash_cnt[643][4]~35889\);

-- Location: FF_X47_Y25_N7
\led_flash_cnt[643][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[643][4]~35888_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[643][4]~q\);

-- Location: LCCOMB_X47_Y25_N8
\led_flash_cnt[643][5]~35890\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[643][5]~35890_combout\ = (\led_flash_cnt[643][5]~q\ & (\led_flash_cnt[643][4]~35889\ $ (GND))) # (!\led_flash_cnt[643][5]~q\ & (!\led_flash_cnt[643][4]~35889\ & VCC))
-- \led_flash_cnt[643][5]~35891\ = CARRY((\led_flash_cnt[643][5]~q\ & !\led_flash_cnt[643][4]~35889\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[643][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[643][4]~35889\,
	combout => \led_flash_cnt[643][5]~35890_combout\,
	cout => \led_flash_cnt[643][5]~35891\);

-- Location: FF_X47_Y25_N9
\led_flash_cnt[643][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[643][5]~35890_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[643][5]~q\);

-- Location: LCCOMB_X47_Y25_N10
\led_flash_cnt[643][6]~35892\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[643][6]~35892_combout\ = (\led_flash_cnt[643][6]~q\ & (!\led_flash_cnt[643][5]~35891\)) # (!\led_flash_cnt[643][6]~q\ & ((\led_flash_cnt[643][5]~35891\) # (GND)))
-- \led_flash_cnt[643][6]~35893\ = CARRY((!\led_flash_cnt[643][5]~35891\) # (!\led_flash_cnt[643][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[643][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[643][5]~35891\,
	combout => \led_flash_cnt[643][6]~35892_combout\,
	cout => \led_flash_cnt[643][6]~35893\);

-- Location: FF_X47_Y25_N11
\led_flash_cnt[643][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[643][6]~35892_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[643][6]~q\);

-- Location: LCCOMB_X47_Y24_N26
\WideAnd643~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd643~1_combout\ = (\led_flash_cnt[643][5]~q\ & \led_flash_cnt[643][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[643][5]~q\,
	datac => \led_flash_cnt[643][6]~q\,
	combout => \WideAnd643~1_combout\);

-- Location: LCCOMB_X47_Y25_N14
\WideAnd643~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd643~0_combout\ = (\led_flash_cnt[643][4]~q\ & (\led_flash_cnt[643][2]~q\ & (\led_flash_cnt[643][3]~q\ & \led_flash_cnt[643][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[643][4]~q\,
	datab => \led_flash_cnt[643][2]~q\,
	datac => \led_flash_cnt[643][3]~q\,
	datad => \led_flash_cnt[643][1]~q\,
	combout => \WideAnd643~0_combout\);

-- Location: LCCOMB_X47_Y25_N12
\led_flash_cnt[643][7]~35894\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[643][7]~35894_combout\ = \led_flash_cnt[643][6]~35893\ $ (!\led_flash_cnt[643][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[643][7]~q\,
	cin => \led_flash_cnt[643][6]~35893\,
	combout => \led_flash_cnt[643][7]~35894_combout\);

-- Location: FF_X47_Y25_N13
\led_flash_cnt[643][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[643][7]~35894_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[643][7]~q\);

-- Location: LCCOMB_X47_Y24_N28
WideAnd643 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd643~combout\ = (\WideAnd643~1_combout\ & (\WideAnd643~0_combout\ & (\led_flash_cnt[643][0]~q\ & \led_flash_cnt[643][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd643~1_combout\,
	datab => \WideAnd643~0_combout\,
	datac => \led_flash_cnt[643][0]~q\,
	datad => \led_flash_cnt[643][7]~q\,
	combout => \WideAnd643~combout\);

-- Location: FF_X47_Y24_N29
\led_flash_cnt_ands[643]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd643~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(643));

-- Location: LCCOMB_X47_Y24_N20
\WideAnd3920~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3920~0_combout\ = (led_flash_cnt_ands(641) & (led_flash_cnt_ands(640) & (led_flash_cnt_ands(642) & led_flash_cnt_ands(643))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(641),
	datab => led_flash_cnt_ands(640),
	datac => led_flash_cnt_ands(642),
	datad => led_flash_cnt_ands(643),
	combout => \WideAnd3920~0_combout\);

-- Location: LCCOMB_X39_Y28_N6
\led_flash_cnt[647][0]~81287\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[647][0]~81287_combout\ = !\led_flash_cnt[647][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[647][0]~q\,
	combout => \led_flash_cnt[647][0]~81287_combout\);

-- Location: FF_X39_Y28_N7
\led_flash_cnt[647][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[647][0]~81287_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[647][0]~q\);

-- Location: LCCOMB_X39_Y28_N8
\led_flash_cnt[647][1]~35938\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[647][1]~35938_combout\ = (\led_flash_cnt[647][0]~q\ & (\led_flash_cnt[647][1]~q\ $ (VCC))) # (!\led_flash_cnt[647][0]~q\ & (\led_flash_cnt[647][1]~q\ & VCC))
-- \led_flash_cnt[647][1]~35939\ = CARRY((\led_flash_cnt[647][0]~q\ & \led_flash_cnt[647][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[647][0]~q\,
	datab => \led_flash_cnt[647][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[647][1]~35938_combout\,
	cout => \led_flash_cnt[647][1]~35939\);

-- Location: FF_X39_Y28_N9
\led_flash_cnt[647][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[647][1]~35938_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[647][1]~q\);

-- Location: LCCOMB_X39_Y28_N10
\led_flash_cnt[647][2]~35940\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[647][2]~35940_combout\ = (\led_flash_cnt[647][2]~q\ & (!\led_flash_cnt[647][1]~35939\)) # (!\led_flash_cnt[647][2]~q\ & ((\led_flash_cnt[647][1]~35939\) # (GND)))
-- \led_flash_cnt[647][2]~35941\ = CARRY((!\led_flash_cnt[647][1]~35939\) # (!\led_flash_cnt[647][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[647][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[647][1]~35939\,
	combout => \led_flash_cnt[647][2]~35940_combout\,
	cout => \led_flash_cnt[647][2]~35941\);

-- Location: FF_X39_Y28_N11
\led_flash_cnt[647][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[647][2]~35940_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[647][2]~q\);

-- Location: LCCOMB_X39_Y28_N12
\led_flash_cnt[647][3]~35942\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[647][3]~35942_combout\ = (\led_flash_cnt[647][3]~q\ & (\led_flash_cnt[647][2]~35941\ $ (GND))) # (!\led_flash_cnt[647][3]~q\ & (!\led_flash_cnt[647][2]~35941\ & VCC))
-- \led_flash_cnt[647][3]~35943\ = CARRY((\led_flash_cnt[647][3]~q\ & !\led_flash_cnt[647][2]~35941\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[647][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[647][2]~35941\,
	combout => \led_flash_cnt[647][3]~35942_combout\,
	cout => \led_flash_cnt[647][3]~35943\);

-- Location: FF_X39_Y28_N13
\led_flash_cnt[647][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[647][3]~35942_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[647][3]~q\);

-- Location: LCCOMB_X39_Y28_N14
\led_flash_cnt[647][4]~35944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[647][4]~35944_combout\ = (\led_flash_cnt[647][4]~q\ & (!\led_flash_cnt[647][3]~35943\)) # (!\led_flash_cnt[647][4]~q\ & ((\led_flash_cnt[647][3]~35943\) # (GND)))
-- \led_flash_cnt[647][4]~35945\ = CARRY((!\led_flash_cnt[647][3]~35943\) # (!\led_flash_cnt[647][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[647][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[647][3]~35943\,
	combout => \led_flash_cnt[647][4]~35944_combout\,
	cout => \led_flash_cnt[647][4]~35945\);

-- Location: FF_X39_Y28_N15
\led_flash_cnt[647][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[647][4]~35944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[647][4]~q\);

-- Location: LCCOMB_X39_Y28_N16
\led_flash_cnt[647][5]~35946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[647][5]~35946_combout\ = (\led_flash_cnt[647][5]~q\ & (\led_flash_cnt[647][4]~35945\ $ (GND))) # (!\led_flash_cnt[647][5]~q\ & (!\led_flash_cnt[647][4]~35945\ & VCC))
-- \led_flash_cnt[647][5]~35947\ = CARRY((\led_flash_cnt[647][5]~q\ & !\led_flash_cnt[647][4]~35945\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[647][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[647][4]~35945\,
	combout => \led_flash_cnt[647][5]~35946_combout\,
	cout => \led_flash_cnt[647][5]~35947\);

-- Location: FF_X39_Y28_N17
\led_flash_cnt[647][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[647][5]~35946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[647][5]~q\);

-- Location: LCCOMB_X39_Y28_N18
\led_flash_cnt[647][6]~35948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[647][6]~35948_combout\ = (\led_flash_cnt[647][6]~q\ & (!\led_flash_cnt[647][5]~35947\)) # (!\led_flash_cnt[647][6]~q\ & ((\led_flash_cnt[647][5]~35947\) # (GND)))
-- \led_flash_cnt[647][6]~35949\ = CARRY((!\led_flash_cnt[647][5]~35947\) # (!\led_flash_cnt[647][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[647][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[647][5]~35947\,
	combout => \led_flash_cnt[647][6]~35948_combout\,
	cout => \led_flash_cnt[647][6]~35949\);

-- Location: FF_X39_Y28_N19
\led_flash_cnt[647][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[647][6]~35948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[647][6]~q\);

-- Location: LCCOMB_X39_Y28_N20
\led_flash_cnt[647][7]~35950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[647][7]~35950_combout\ = \led_flash_cnt[647][6]~35949\ $ (!\led_flash_cnt[647][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[647][7]~q\,
	cin => \led_flash_cnt[647][6]~35949\,
	combout => \led_flash_cnt[647][7]~35950_combout\);

-- Location: FF_X39_Y28_N21
\led_flash_cnt[647][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[647][7]~35950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[647][7]~q\);

-- Location: LCCOMB_X39_Y28_N4
\WideAnd647~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd647~1_combout\ = (\led_flash_cnt[647][5]~q\ & \led_flash_cnt[647][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[647][5]~q\,
	datad => \led_flash_cnt[647][6]~q\,
	combout => \WideAnd647~1_combout\);

-- Location: LCCOMB_X39_Y28_N0
\WideAnd647~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd647~0_combout\ = (\led_flash_cnt[647][2]~q\ & (\led_flash_cnt[647][1]~q\ & (\led_flash_cnt[647][4]~q\ & \led_flash_cnt[647][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[647][2]~q\,
	datab => \led_flash_cnt[647][1]~q\,
	datac => \led_flash_cnt[647][4]~q\,
	datad => \led_flash_cnt[647][3]~q\,
	combout => \WideAnd647~0_combout\);

-- Location: LCCOMB_X39_Y28_N28
WideAnd647 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd647~combout\ = (\led_flash_cnt[647][0]~q\ & (\led_flash_cnt[647][7]~q\ & (\WideAnd647~1_combout\ & \WideAnd647~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[647][0]~q\,
	datab => \led_flash_cnt[647][7]~q\,
	datac => \WideAnd647~1_combout\,
	datad => \WideAnd647~0_combout\,
	combout => \WideAnd647~combout\);

-- Location: FF_X39_Y28_N29
\led_flash_cnt_ands[647]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd647~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(647));

-- Location: LCCOMB_X40_Y28_N30
WideAnd3920 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3920~combout\ = (\WideAnd3920~1_combout\ & (led_flash_cnt_ands(646) & (\WideAnd3920~0_combout\ & led_flash_cnt_ands(647))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3920~1_combout\,
	datab => led_flash_cnt_ands(646),
	datac => \WideAnd3920~0_combout\,
	datad => led_flash_cnt_ands(647),
	combout => \WideAnd3920~combout\);

-- Location: FF_X40_Y28_N31
\led_flash_cnt_ands_1[80]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3920~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(80));

-- Location: LCCOMB_X40_Y28_N2
\led_flash_cnt[662][0]~81302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[662][0]~81302_combout\ = !\led_flash_cnt[662][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[662][0]~q\,
	combout => \led_flash_cnt[662][0]~81302_combout\);

-- Location: FF_X40_Y28_N3
\led_flash_cnt[662][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[662][0]~81302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[662][0]~q\);

-- Location: LCCOMB_X41_Y28_N4
\led_flash_cnt[662][1]~36148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[662][1]~36148_combout\ = (\led_flash_cnt[662][0]~q\ & (\led_flash_cnt[662][1]~q\ $ (VCC))) # (!\led_flash_cnt[662][0]~q\ & (\led_flash_cnt[662][1]~q\ & VCC))
-- \led_flash_cnt[662][1]~36149\ = CARRY((\led_flash_cnt[662][0]~q\ & \led_flash_cnt[662][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[662][0]~q\,
	datab => \led_flash_cnt[662][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[662][1]~36148_combout\,
	cout => \led_flash_cnt[662][1]~36149\);

-- Location: FF_X41_Y28_N5
\led_flash_cnt[662][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[662][1]~36148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[662][1]~q\);

-- Location: LCCOMB_X41_Y28_N6
\led_flash_cnt[662][2]~36150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[662][2]~36150_combout\ = (\led_flash_cnt[662][2]~q\ & (!\led_flash_cnt[662][1]~36149\)) # (!\led_flash_cnt[662][2]~q\ & ((\led_flash_cnt[662][1]~36149\) # (GND)))
-- \led_flash_cnt[662][2]~36151\ = CARRY((!\led_flash_cnt[662][1]~36149\) # (!\led_flash_cnt[662][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[662][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[662][1]~36149\,
	combout => \led_flash_cnt[662][2]~36150_combout\,
	cout => \led_flash_cnt[662][2]~36151\);

-- Location: FF_X41_Y28_N7
\led_flash_cnt[662][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[662][2]~36150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[662][2]~q\);

-- Location: LCCOMB_X41_Y28_N8
\led_flash_cnt[662][3]~36152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[662][3]~36152_combout\ = (\led_flash_cnt[662][3]~q\ & (\led_flash_cnt[662][2]~36151\ $ (GND))) # (!\led_flash_cnt[662][3]~q\ & (!\led_flash_cnt[662][2]~36151\ & VCC))
-- \led_flash_cnt[662][3]~36153\ = CARRY((\led_flash_cnt[662][3]~q\ & !\led_flash_cnt[662][2]~36151\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[662][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[662][2]~36151\,
	combout => \led_flash_cnt[662][3]~36152_combout\,
	cout => \led_flash_cnt[662][3]~36153\);

-- Location: FF_X41_Y28_N9
\led_flash_cnt[662][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[662][3]~36152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[662][3]~q\);

-- Location: LCCOMB_X41_Y28_N10
\led_flash_cnt[662][4]~36154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[662][4]~36154_combout\ = (\led_flash_cnt[662][4]~q\ & (!\led_flash_cnt[662][3]~36153\)) # (!\led_flash_cnt[662][4]~q\ & ((\led_flash_cnt[662][3]~36153\) # (GND)))
-- \led_flash_cnt[662][4]~36155\ = CARRY((!\led_flash_cnt[662][3]~36153\) # (!\led_flash_cnt[662][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[662][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[662][3]~36153\,
	combout => \led_flash_cnt[662][4]~36154_combout\,
	cout => \led_flash_cnt[662][4]~36155\);

-- Location: FF_X41_Y28_N11
\led_flash_cnt[662][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[662][4]~36154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[662][4]~q\);

-- Location: LCCOMB_X41_Y28_N2
\WideAnd662~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd662~0_combout\ = (\led_flash_cnt[662][4]~q\ & (\led_flash_cnt[662][3]~q\ & (\led_flash_cnt[662][1]~q\ & \led_flash_cnt[662][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[662][4]~q\,
	datab => \led_flash_cnt[662][3]~q\,
	datac => \led_flash_cnt[662][1]~q\,
	datad => \led_flash_cnt[662][2]~q\,
	combout => \WideAnd662~0_combout\);

-- Location: LCCOMB_X41_Y28_N12
\led_flash_cnt[662][5]~36156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[662][5]~36156_combout\ = (\led_flash_cnt[662][5]~q\ & (\led_flash_cnt[662][4]~36155\ $ (GND))) # (!\led_flash_cnt[662][5]~q\ & (!\led_flash_cnt[662][4]~36155\ & VCC))
-- \led_flash_cnt[662][5]~36157\ = CARRY((\led_flash_cnt[662][5]~q\ & !\led_flash_cnt[662][4]~36155\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[662][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[662][4]~36155\,
	combout => \led_flash_cnt[662][5]~36156_combout\,
	cout => \led_flash_cnt[662][5]~36157\);

-- Location: FF_X41_Y28_N13
\led_flash_cnt[662][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[662][5]~36156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[662][5]~q\);

-- Location: LCCOMB_X41_Y28_N14
\led_flash_cnt[662][6]~36158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[662][6]~36158_combout\ = (\led_flash_cnt[662][6]~q\ & (!\led_flash_cnt[662][5]~36157\)) # (!\led_flash_cnt[662][6]~q\ & ((\led_flash_cnt[662][5]~36157\) # (GND)))
-- \led_flash_cnt[662][6]~36159\ = CARRY((!\led_flash_cnt[662][5]~36157\) # (!\led_flash_cnt[662][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[662][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[662][5]~36157\,
	combout => \led_flash_cnt[662][6]~36158_combout\,
	cout => \led_flash_cnt[662][6]~36159\);

-- Location: FF_X41_Y28_N15
\led_flash_cnt[662][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[662][6]~36158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[662][6]~q\);

-- Location: LCCOMB_X41_Y28_N16
\led_flash_cnt[662][7]~36160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[662][7]~36160_combout\ = \led_flash_cnt[662][6]~36159\ $ (!\led_flash_cnt[662][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[662][7]~q\,
	cin => \led_flash_cnt[662][6]~36159\,
	combout => \led_flash_cnt[662][7]~36160_combout\);

-- Location: FF_X41_Y28_N17
\led_flash_cnt[662][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[662][7]~36160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[662][7]~q\);

-- Location: LCCOMB_X41_Y28_N0
\WideAnd662~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd662~1_combout\ = (\led_flash_cnt[662][6]~q\ & \led_flash_cnt[662][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[662][6]~q\,
	datad => \led_flash_cnt[662][5]~q\,
	combout => \WideAnd662~1_combout\);

-- Location: LCCOMB_X40_Y28_N6
WideAnd662 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd662~combout\ = (\WideAnd662~0_combout\ & (\led_flash_cnt[662][7]~q\ & (\WideAnd662~1_combout\ & \led_flash_cnt[662][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd662~0_combout\,
	datab => \led_flash_cnt[662][7]~q\,
	datac => \WideAnd662~1_combout\,
	datad => \led_flash_cnt[662][0]~q\,
	combout => \WideAnd662~combout\);

-- Location: FF_X40_Y28_N7
\led_flash_cnt_ands[662]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd662~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(662));

-- Location: LCCOMB_X34_Y35_N30
\led_flash_cnt[661][0]~81301\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[661][0]~81301_combout\ = !\led_flash_cnt[661][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[661][0]~q\,
	combout => \led_flash_cnt[661][0]~81301_combout\);

-- Location: FF_X34_Y35_N31
\led_flash_cnt[661][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[661][0]~81301_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[661][0]~q\);

-- Location: LCCOMB_X32_Y34_N0
\led_flash_cnt[661][1]~36134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[661][1]~36134_combout\ = (\led_flash_cnt[661][0]~q\ & (\led_flash_cnt[661][1]~q\ $ (VCC))) # (!\led_flash_cnt[661][0]~q\ & (\led_flash_cnt[661][1]~q\ & VCC))
-- \led_flash_cnt[661][1]~36135\ = CARRY((\led_flash_cnt[661][0]~q\ & \led_flash_cnt[661][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[661][0]~q\,
	datab => \led_flash_cnt[661][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[661][1]~36134_combout\,
	cout => \led_flash_cnt[661][1]~36135\);

-- Location: FF_X32_Y34_N1
\led_flash_cnt[661][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[661][1]~36134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[661][1]~q\);

-- Location: LCCOMB_X32_Y34_N2
\led_flash_cnt[661][2]~36136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[661][2]~36136_combout\ = (\led_flash_cnt[661][2]~q\ & (!\led_flash_cnt[661][1]~36135\)) # (!\led_flash_cnt[661][2]~q\ & ((\led_flash_cnt[661][1]~36135\) # (GND)))
-- \led_flash_cnt[661][2]~36137\ = CARRY((!\led_flash_cnt[661][1]~36135\) # (!\led_flash_cnt[661][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[661][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[661][1]~36135\,
	combout => \led_flash_cnt[661][2]~36136_combout\,
	cout => \led_flash_cnt[661][2]~36137\);

-- Location: FF_X32_Y34_N3
\led_flash_cnt[661][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[661][2]~36136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[661][2]~q\);

-- Location: LCCOMB_X32_Y34_N4
\led_flash_cnt[661][3]~36138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[661][3]~36138_combout\ = (\led_flash_cnt[661][3]~q\ & (\led_flash_cnt[661][2]~36137\ $ (GND))) # (!\led_flash_cnt[661][3]~q\ & (!\led_flash_cnt[661][2]~36137\ & VCC))
-- \led_flash_cnt[661][3]~36139\ = CARRY((\led_flash_cnt[661][3]~q\ & !\led_flash_cnt[661][2]~36137\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[661][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[661][2]~36137\,
	combout => \led_flash_cnt[661][3]~36138_combout\,
	cout => \led_flash_cnt[661][3]~36139\);

-- Location: FF_X32_Y34_N5
\led_flash_cnt[661][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[661][3]~36138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[661][3]~q\);

-- Location: LCCOMB_X32_Y34_N6
\led_flash_cnt[661][4]~36140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[661][4]~36140_combout\ = (\led_flash_cnt[661][4]~q\ & (!\led_flash_cnt[661][3]~36139\)) # (!\led_flash_cnt[661][4]~q\ & ((\led_flash_cnt[661][3]~36139\) # (GND)))
-- \led_flash_cnt[661][4]~36141\ = CARRY((!\led_flash_cnt[661][3]~36139\) # (!\led_flash_cnt[661][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[661][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[661][3]~36139\,
	combout => \led_flash_cnt[661][4]~36140_combout\,
	cout => \led_flash_cnt[661][4]~36141\);

-- Location: FF_X32_Y34_N7
\led_flash_cnt[661][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[661][4]~36140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[661][4]~q\);

-- Location: LCCOMB_X32_Y34_N8
\led_flash_cnt[661][5]~36142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[661][5]~36142_combout\ = (\led_flash_cnt[661][5]~q\ & (\led_flash_cnt[661][4]~36141\ $ (GND))) # (!\led_flash_cnt[661][5]~q\ & (!\led_flash_cnt[661][4]~36141\ & VCC))
-- \led_flash_cnt[661][5]~36143\ = CARRY((\led_flash_cnt[661][5]~q\ & !\led_flash_cnt[661][4]~36141\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[661][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[661][4]~36141\,
	combout => \led_flash_cnt[661][5]~36142_combout\,
	cout => \led_flash_cnt[661][5]~36143\);

-- Location: FF_X32_Y34_N9
\led_flash_cnt[661][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[661][5]~36142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[661][5]~q\);

-- Location: LCCOMB_X32_Y34_N10
\led_flash_cnt[661][6]~36144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[661][6]~36144_combout\ = (\led_flash_cnt[661][6]~q\ & (!\led_flash_cnt[661][5]~36143\)) # (!\led_flash_cnt[661][6]~q\ & ((\led_flash_cnt[661][5]~36143\) # (GND)))
-- \led_flash_cnt[661][6]~36145\ = CARRY((!\led_flash_cnt[661][5]~36143\) # (!\led_flash_cnt[661][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[661][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[661][5]~36143\,
	combout => \led_flash_cnt[661][6]~36144_combout\,
	cout => \led_flash_cnt[661][6]~36145\);

-- Location: FF_X32_Y34_N11
\led_flash_cnt[661][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[661][6]~36144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[661][6]~q\);

-- Location: LCCOMB_X32_Y32_N28
\WideAnd661~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd661~1_combout\ = (\led_flash_cnt[661][5]~q\ & \led_flash_cnt[661][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[661][5]~q\,
	datad => \led_flash_cnt[661][6]~q\,
	combout => \WideAnd661~1_combout\);

-- Location: LCCOMB_X32_Y34_N12
\led_flash_cnt[661][7]~36146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[661][7]~36146_combout\ = \led_flash_cnt[661][6]~36145\ $ (!\led_flash_cnt[661][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[661][7]~q\,
	cin => \led_flash_cnt[661][6]~36145\,
	combout => \led_flash_cnt[661][7]~36146_combout\);

-- Location: FF_X32_Y34_N13
\led_flash_cnt[661][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[661][7]~36146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[661][7]~q\);

-- Location: LCCOMB_X32_Y34_N16
\WideAnd661~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd661~0_combout\ = (\led_flash_cnt[661][4]~q\ & (\led_flash_cnt[661][1]~q\ & (\led_flash_cnt[661][3]~q\ & \led_flash_cnt[661][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[661][4]~q\,
	datab => \led_flash_cnt[661][1]~q\,
	datac => \led_flash_cnt[661][3]~q\,
	datad => \led_flash_cnt[661][2]~q\,
	combout => \WideAnd661~0_combout\);

-- Location: LCCOMB_X32_Y32_N8
WideAnd661 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd661~combout\ = (\led_flash_cnt[661][0]~q\ & (\WideAnd661~1_combout\ & (\led_flash_cnt[661][7]~q\ & \WideAnd661~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[661][0]~q\,
	datab => \WideAnd661~1_combout\,
	datac => \led_flash_cnt[661][7]~q\,
	datad => \WideAnd661~0_combout\,
	combout => \WideAnd661~combout\);

-- Location: FF_X32_Y32_N9
\led_flash_cnt_ands[661]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd661~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(661));

-- Location: LCCOMB_X32_Y32_N2
\led_flash_cnt[660][0]~81300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[660][0]~81300_combout\ = !\led_flash_cnt[660][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[660][0]~q\,
	combout => \led_flash_cnt[660][0]~81300_combout\);

-- Location: FF_X32_Y32_N3
\led_flash_cnt[660][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[660][0]~81300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[660][0]~q\);

-- Location: LCCOMB_X31_Y32_N16
\led_flash_cnt[660][1]~36120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[660][1]~36120_combout\ = (\led_flash_cnt[660][0]~q\ & (\led_flash_cnt[660][1]~q\ $ (VCC))) # (!\led_flash_cnt[660][0]~q\ & (\led_flash_cnt[660][1]~q\ & VCC))
-- \led_flash_cnt[660][1]~36121\ = CARRY((\led_flash_cnt[660][0]~q\ & \led_flash_cnt[660][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[660][0]~q\,
	datab => \led_flash_cnt[660][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[660][1]~36120_combout\,
	cout => \led_flash_cnt[660][1]~36121\);

-- Location: FF_X31_Y32_N17
\led_flash_cnt[660][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[660][1]~36120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[660][1]~q\);

-- Location: LCCOMB_X31_Y32_N18
\led_flash_cnt[660][2]~36122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[660][2]~36122_combout\ = (\led_flash_cnt[660][2]~q\ & (!\led_flash_cnt[660][1]~36121\)) # (!\led_flash_cnt[660][2]~q\ & ((\led_flash_cnt[660][1]~36121\) # (GND)))
-- \led_flash_cnt[660][2]~36123\ = CARRY((!\led_flash_cnt[660][1]~36121\) # (!\led_flash_cnt[660][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[660][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[660][1]~36121\,
	combout => \led_flash_cnt[660][2]~36122_combout\,
	cout => \led_flash_cnt[660][2]~36123\);

-- Location: FF_X31_Y32_N19
\led_flash_cnt[660][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[660][2]~36122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[660][2]~q\);

-- Location: LCCOMB_X31_Y32_N20
\led_flash_cnt[660][3]~36124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[660][3]~36124_combout\ = (\led_flash_cnt[660][3]~q\ & (\led_flash_cnt[660][2]~36123\ $ (GND))) # (!\led_flash_cnt[660][3]~q\ & (!\led_flash_cnt[660][2]~36123\ & VCC))
-- \led_flash_cnt[660][3]~36125\ = CARRY((\led_flash_cnt[660][3]~q\ & !\led_flash_cnt[660][2]~36123\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[660][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[660][2]~36123\,
	combout => \led_flash_cnt[660][3]~36124_combout\,
	cout => \led_flash_cnt[660][3]~36125\);

-- Location: FF_X31_Y32_N21
\led_flash_cnt[660][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[660][3]~36124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[660][3]~q\);

-- Location: LCCOMB_X31_Y32_N22
\led_flash_cnt[660][4]~36126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[660][4]~36126_combout\ = (\led_flash_cnt[660][4]~q\ & (!\led_flash_cnt[660][3]~36125\)) # (!\led_flash_cnt[660][4]~q\ & ((\led_flash_cnt[660][3]~36125\) # (GND)))
-- \led_flash_cnt[660][4]~36127\ = CARRY((!\led_flash_cnt[660][3]~36125\) # (!\led_flash_cnt[660][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[660][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[660][3]~36125\,
	combout => \led_flash_cnt[660][4]~36126_combout\,
	cout => \led_flash_cnt[660][4]~36127\);

-- Location: FF_X31_Y32_N23
\led_flash_cnt[660][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[660][4]~36126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[660][4]~q\);

-- Location: LCCOMB_X31_Y32_N24
\led_flash_cnt[660][5]~36128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[660][5]~36128_combout\ = (\led_flash_cnt[660][5]~q\ & (\led_flash_cnt[660][4]~36127\ $ (GND))) # (!\led_flash_cnt[660][5]~q\ & (!\led_flash_cnt[660][4]~36127\ & VCC))
-- \led_flash_cnt[660][5]~36129\ = CARRY((\led_flash_cnt[660][5]~q\ & !\led_flash_cnt[660][4]~36127\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[660][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[660][4]~36127\,
	combout => \led_flash_cnt[660][5]~36128_combout\,
	cout => \led_flash_cnt[660][5]~36129\);

-- Location: FF_X31_Y32_N25
\led_flash_cnt[660][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[660][5]~36128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[660][5]~q\);

-- Location: LCCOMB_X31_Y32_N26
\led_flash_cnt[660][6]~36130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[660][6]~36130_combout\ = (\led_flash_cnt[660][6]~q\ & (!\led_flash_cnt[660][5]~36129\)) # (!\led_flash_cnt[660][6]~q\ & ((\led_flash_cnt[660][5]~36129\) # (GND)))
-- \led_flash_cnt[660][6]~36131\ = CARRY((!\led_flash_cnt[660][5]~36129\) # (!\led_flash_cnt[660][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[660][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[660][5]~36129\,
	combout => \led_flash_cnt[660][6]~36130_combout\,
	cout => \led_flash_cnt[660][6]~36131\);

-- Location: FF_X31_Y32_N27
\led_flash_cnt[660][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[660][6]~36130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[660][6]~q\);

-- Location: LCCOMB_X31_Y32_N14
\WideAnd660~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd660~1_combout\ = (\led_flash_cnt[660][6]~q\ & \led_flash_cnt[660][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[660][6]~q\,
	datad => \led_flash_cnt[660][5]~q\,
	combout => \WideAnd660~1_combout\);

-- Location: LCCOMB_X31_Y32_N30
\WideAnd660~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd660~0_combout\ = (\led_flash_cnt[660][3]~q\ & (\led_flash_cnt[660][1]~q\ & (\led_flash_cnt[660][4]~q\ & \led_flash_cnt[660][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[660][3]~q\,
	datab => \led_flash_cnt[660][1]~q\,
	datac => \led_flash_cnt[660][4]~q\,
	datad => \led_flash_cnt[660][2]~q\,
	combout => \WideAnd660~0_combout\);

-- Location: LCCOMB_X31_Y32_N28
\led_flash_cnt[660][7]~36132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[660][7]~36132_combout\ = \led_flash_cnt[660][6]~36131\ $ (!\led_flash_cnt[660][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[660][7]~q\,
	cin => \led_flash_cnt[660][6]~36131\,
	combout => \led_flash_cnt[660][7]~36132_combout\);

-- Location: FF_X31_Y32_N29
\led_flash_cnt[660][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[660][7]~36132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[660][7]~q\);

-- Location: LCCOMB_X32_Y32_N10
WideAnd660 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd660~combout\ = (\WideAnd660~1_combout\ & (\WideAnd660~0_combout\ & (\led_flash_cnt[660][0]~q\ & \led_flash_cnt[660][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd660~1_combout\,
	datab => \WideAnd660~0_combout\,
	datac => \led_flash_cnt[660][0]~q\,
	datad => \led_flash_cnt[660][7]~q\,
	combout => \WideAnd660~combout\);

-- Location: FF_X32_Y32_N11
\led_flash_cnt_ands[660]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd660~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(660));

-- Location: LCCOMB_X32_Y32_N6
\WideAnd3922~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3922~1_combout\ = (led_flash_cnt_ands(661) & led_flash_cnt_ands(660))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(661),
	datad => led_flash_cnt_ands(660),
	combout => \WideAnd3922~1_combout\);

-- Location: LCCOMB_X40_Y28_N8
\led_flash_cnt[663][0]~81303\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[663][0]~81303_combout\ = !\led_flash_cnt[663][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[663][0]~q\,
	combout => \led_flash_cnt[663][0]~81303_combout\);

-- Location: FF_X40_Y28_N9
\led_flash_cnt[663][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[663][0]~81303_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[663][0]~q\);

-- Location: LCCOMB_X40_Y28_N12
\led_flash_cnt[663][1]~36162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[663][1]~36162_combout\ = (\led_flash_cnt[663][1]~q\ & (\led_flash_cnt[663][0]~q\ $ (VCC))) # (!\led_flash_cnt[663][1]~q\ & (\led_flash_cnt[663][0]~q\ & VCC))
-- \led_flash_cnt[663][1]~36163\ = CARRY((\led_flash_cnt[663][1]~q\ & \led_flash_cnt[663][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[663][1]~q\,
	datab => \led_flash_cnt[663][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[663][1]~36162_combout\,
	cout => \led_flash_cnt[663][1]~36163\);

-- Location: FF_X40_Y28_N13
\led_flash_cnt[663][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[663][1]~36162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[663][1]~q\);

-- Location: LCCOMB_X40_Y28_N14
\led_flash_cnt[663][2]~36164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[663][2]~36164_combout\ = (\led_flash_cnt[663][2]~q\ & (!\led_flash_cnt[663][1]~36163\)) # (!\led_flash_cnt[663][2]~q\ & ((\led_flash_cnt[663][1]~36163\) # (GND)))
-- \led_flash_cnt[663][2]~36165\ = CARRY((!\led_flash_cnt[663][1]~36163\) # (!\led_flash_cnt[663][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[663][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[663][1]~36163\,
	combout => \led_flash_cnt[663][2]~36164_combout\,
	cout => \led_flash_cnt[663][2]~36165\);

-- Location: FF_X40_Y28_N15
\led_flash_cnt[663][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[663][2]~36164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[663][2]~q\);

-- Location: LCCOMB_X40_Y28_N16
\led_flash_cnt[663][3]~36166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[663][3]~36166_combout\ = (\led_flash_cnt[663][3]~q\ & (\led_flash_cnt[663][2]~36165\ $ (GND))) # (!\led_flash_cnt[663][3]~q\ & (!\led_flash_cnt[663][2]~36165\ & VCC))
-- \led_flash_cnt[663][3]~36167\ = CARRY((\led_flash_cnt[663][3]~q\ & !\led_flash_cnt[663][2]~36165\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[663][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[663][2]~36165\,
	combout => \led_flash_cnt[663][3]~36166_combout\,
	cout => \led_flash_cnt[663][3]~36167\);

-- Location: FF_X40_Y28_N17
\led_flash_cnt[663][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[663][3]~36166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[663][3]~q\);

-- Location: LCCOMB_X40_Y28_N18
\led_flash_cnt[663][4]~36168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[663][4]~36168_combout\ = (\led_flash_cnt[663][4]~q\ & (!\led_flash_cnt[663][3]~36167\)) # (!\led_flash_cnt[663][4]~q\ & ((\led_flash_cnt[663][3]~36167\) # (GND)))
-- \led_flash_cnt[663][4]~36169\ = CARRY((!\led_flash_cnt[663][3]~36167\) # (!\led_flash_cnt[663][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[663][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[663][3]~36167\,
	combout => \led_flash_cnt[663][4]~36168_combout\,
	cout => \led_flash_cnt[663][4]~36169\);

-- Location: FF_X40_Y28_N19
\led_flash_cnt[663][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[663][4]~36168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[663][4]~q\);

-- Location: LCCOMB_X40_Y28_N10
\WideAnd663~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd663~0_combout\ = (\led_flash_cnt[663][4]~q\ & (\led_flash_cnt[663][3]~q\ & (\led_flash_cnt[663][2]~q\ & \led_flash_cnt[663][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[663][4]~q\,
	datab => \led_flash_cnt[663][3]~q\,
	datac => \led_flash_cnt[663][2]~q\,
	datad => \led_flash_cnt[663][1]~q\,
	combout => \WideAnd663~0_combout\);

-- Location: LCCOMB_X40_Y28_N20
\led_flash_cnt[663][5]~36170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[663][5]~36170_combout\ = (\led_flash_cnt[663][5]~q\ & (\led_flash_cnt[663][4]~36169\ $ (GND))) # (!\led_flash_cnt[663][5]~q\ & (!\led_flash_cnt[663][4]~36169\ & VCC))
-- \led_flash_cnt[663][5]~36171\ = CARRY((\led_flash_cnt[663][5]~q\ & !\led_flash_cnt[663][4]~36169\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[663][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[663][4]~36169\,
	combout => \led_flash_cnt[663][5]~36170_combout\,
	cout => \led_flash_cnt[663][5]~36171\);

-- Location: FF_X40_Y28_N21
\led_flash_cnt[663][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[663][5]~36170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[663][5]~q\);

-- Location: LCCOMB_X40_Y28_N22
\led_flash_cnt[663][6]~36172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[663][6]~36172_combout\ = (\led_flash_cnt[663][6]~q\ & (!\led_flash_cnt[663][5]~36171\)) # (!\led_flash_cnt[663][6]~q\ & ((\led_flash_cnt[663][5]~36171\) # (GND)))
-- \led_flash_cnt[663][6]~36173\ = CARRY((!\led_flash_cnt[663][5]~36171\) # (!\led_flash_cnt[663][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[663][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[663][5]~36171\,
	combout => \led_flash_cnt[663][6]~36172_combout\,
	cout => \led_flash_cnt[663][6]~36173\);

-- Location: FF_X40_Y28_N23
\led_flash_cnt[663][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[663][6]~36172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[663][6]~q\);

-- Location: LCCOMB_X40_Y28_N4
\WideAnd663~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd663~1_combout\ = (\led_flash_cnt[663][6]~q\ & \led_flash_cnt[663][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[663][6]~q\,
	datad => \led_flash_cnt[663][5]~q\,
	combout => \WideAnd663~1_combout\);

-- Location: LCCOMB_X40_Y28_N24
\led_flash_cnt[663][7]~36174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[663][7]~36174_combout\ = \led_flash_cnt[663][6]~36173\ $ (!\led_flash_cnt[663][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[663][7]~q\,
	cin => \led_flash_cnt[663][6]~36173\,
	combout => \led_flash_cnt[663][7]~36174_combout\);

-- Location: FF_X40_Y28_N25
\led_flash_cnt[663][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[663][7]~36174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[663][7]~q\);

-- Location: LCCOMB_X40_Y28_N26
WideAnd663 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd663~combout\ = (\WideAnd663~0_combout\ & (\WideAnd663~1_combout\ & (\led_flash_cnt[663][0]~q\ & \led_flash_cnt[663][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd663~0_combout\,
	datab => \WideAnd663~1_combout\,
	datac => \led_flash_cnt[663][0]~q\,
	datad => \led_flash_cnt[663][7]~q\,
	combout => \WideAnd663~combout\);

-- Location: FF_X40_Y28_N27
\led_flash_cnt_ands[663]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd663~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(663));

-- Location: LCCOMB_X45_Y26_N2
\led_flash_cnt[658][0]~81298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[658][0]~81298_combout\ = !\led_flash_cnt[658][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[658][0]~q\,
	combout => \led_flash_cnt[658][0]~81298_combout\);

-- Location: FF_X45_Y26_N3
\led_flash_cnt[658][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[658][0]~81298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[658][0]~q\);

-- Location: LCCOMB_X44_Y26_N14
\led_flash_cnt[658][1]~36092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[658][1]~36092_combout\ = (\led_flash_cnt[658][0]~q\ & (\led_flash_cnt[658][1]~q\ $ (VCC))) # (!\led_flash_cnt[658][0]~q\ & (\led_flash_cnt[658][1]~q\ & VCC))
-- \led_flash_cnt[658][1]~36093\ = CARRY((\led_flash_cnt[658][0]~q\ & \led_flash_cnt[658][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[658][0]~q\,
	datab => \led_flash_cnt[658][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[658][1]~36092_combout\,
	cout => \led_flash_cnt[658][1]~36093\);

-- Location: FF_X44_Y26_N15
\led_flash_cnt[658][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[658][1]~36092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[658][1]~q\);

-- Location: LCCOMB_X44_Y26_N16
\led_flash_cnt[658][2]~36094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[658][2]~36094_combout\ = (\led_flash_cnt[658][2]~q\ & (!\led_flash_cnt[658][1]~36093\)) # (!\led_flash_cnt[658][2]~q\ & ((\led_flash_cnt[658][1]~36093\) # (GND)))
-- \led_flash_cnt[658][2]~36095\ = CARRY((!\led_flash_cnt[658][1]~36093\) # (!\led_flash_cnt[658][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[658][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[658][1]~36093\,
	combout => \led_flash_cnt[658][2]~36094_combout\,
	cout => \led_flash_cnt[658][2]~36095\);

-- Location: FF_X44_Y26_N17
\led_flash_cnt[658][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[658][2]~36094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[658][2]~q\);

-- Location: LCCOMB_X44_Y26_N18
\led_flash_cnt[658][3]~36096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[658][3]~36096_combout\ = (\led_flash_cnt[658][3]~q\ & (\led_flash_cnt[658][2]~36095\ $ (GND))) # (!\led_flash_cnt[658][3]~q\ & (!\led_flash_cnt[658][2]~36095\ & VCC))
-- \led_flash_cnt[658][3]~36097\ = CARRY((\led_flash_cnt[658][3]~q\ & !\led_flash_cnt[658][2]~36095\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[658][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[658][2]~36095\,
	combout => \led_flash_cnt[658][3]~36096_combout\,
	cout => \led_flash_cnt[658][3]~36097\);

-- Location: FF_X44_Y26_N19
\led_flash_cnt[658][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[658][3]~36096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[658][3]~q\);

-- Location: LCCOMB_X44_Y26_N20
\led_flash_cnt[658][4]~36098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[658][4]~36098_combout\ = (\led_flash_cnt[658][4]~q\ & (!\led_flash_cnt[658][3]~36097\)) # (!\led_flash_cnt[658][4]~q\ & ((\led_flash_cnt[658][3]~36097\) # (GND)))
-- \led_flash_cnt[658][4]~36099\ = CARRY((!\led_flash_cnt[658][3]~36097\) # (!\led_flash_cnt[658][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[658][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[658][3]~36097\,
	combout => \led_flash_cnt[658][4]~36098_combout\,
	cout => \led_flash_cnt[658][4]~36099\);

-- Location: FF_X44_Y26_N21
\led_flash_cnt[658][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[658][4]~36098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[658][4]~q\);

-- Location: LCCOMB_X44_Y26_N28
\WideAnd658~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd658~0_combout\ = (\led_flash_cnt[658][4]~q\ & (\led_flash_cnt[658][3]~q\ & (\led_flash_cnt[658][1]~q\ & \led_flash_cnt[658][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[658][4]~q\,
	datab => \led_flash_cnt[658][3]~q\,
	datac => \led_flash_cnt[658][1]~q\,
	datad => \led_flash_cnt[658][2]~q\,
	combout => \WideAnd658~0_combout\);

-- Location: LCCOMB_X44_Y26_N22
\led_flash_cnt[658][5]~36100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[658][5]~36100_combout\ = (\led_flash_cnt[658][5]~q\ & (\led_flash_cnt[658][4]~36099\ $ (GND))) # (!\led_flash_cnt[658][5]~q\ & (!\led_flash_cnt[658][4]~36099\ & VCC))
-- \led_flash_cnt[658][5]~36101\ = CARRY((\led_flash_cnt[658][5]~q\ & !\led_flash_cnt[658][4]~36099\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[658][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[658][4]~36099\,
	combout => \led_flash_cnt[658][5]~36100_combout\,
	cout => \led_flash_cnt[658][5]~36101\);

-- Location: FF_X44_Y26_N23
\led_flash_cnt[658][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[658][5]~36100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[658][5]~q\);

-- Location: LCCOMB_X44_Y26_N24
\led_flash_cnt[658][6]~36102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[658][6]~36102_combout\ = (\led_flash_cnt[658][6]~q\ & (!\led_flash_cnt[658][5]~36101\)) # (!\led_flash_cnt[658][6]~q\ & ((\led_flash_cnt[658][5]~36101\) # (GND)))
-- \led_flash_cnt[658][6]~36103\ = CARRY((!\led_flash_cnt[658][5]~36101\) # (!\led_flash_cnt[658][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[658][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[658][5]~36101\,
	combout => \led_flash_cnt[658][6]~36102_combout\,
	cout => \led_flash_cnt[658][6]~36103\);

-- Location: FF_X44_Y26_N25
\led_flash_cnt[658][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[658][6]~36102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[658][6]~q\);

-- Location: LCCOMB_X44_Y26_N26
\led_flash_cnt[658][7]~36104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[658][7]~36104_combout\ = \led_flash_cnt[658][7]~q\ $ (!\led_flash_cnt[658][6]~36103\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[658][7]~q\,
	cin => \led_flash_cnt[658][6]~36103\,
	combout => \led_flash_cnt[658][7]~36104_combout\);

-- Location: FF_X44_Y26_N27
\led_flash_cnt[658][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[658][7]~36104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[658][7]~q\);

-- Location: LCCOMB_X45_Y26_N28
\WideAnd658~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd658~1_combout\ = (\led_flash_cnt[658][6]~q\ & \led_flash_cnt[658][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[658][6]~q\,
	datad => \led_flash_cnt[658][5]~q\,
	combout => \WideAnd658~1_combout\);

-- Location: LCCOMB_X45_Y26_N0
WideAnd658 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd658~combout\ = (\led_flash_cnt[658][0]~q\ & (\WideAnd658~0_combout\ & (\led_flash_cnt[658][7]~q\ & \WideAnd658~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[658][0]~q\,
	datab => \WideAnd658~0_combout\,
	datac => \led_flash_cnt[658][7]~q\,
	datad => \WideAnd658~1_combout\,
	combout => \WideAnd658~combout\);

-- Location: FF_X45_Y26_N1
\led_flash_cnt_ands[658]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd658~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(658));

-- Location: LCCOMB_X21_Y34_N0
\led_flash_cnt[656][0]~81296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[656][0]~81296_combout\ = !\led_flash_cnt[656][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[656][0]~q\,
	combout => \led_flash_cnt[656][0]~81296_combout\);

-- Location: FF_X20_Y34_N17
\led_flash_cnt[656][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \led_flash_cnt[656][0]~81296_combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[656][0]~q\);

-- Location: LCCOMB_X20_Y34_N2
\led_flash_cnt[656][1]~36064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[656][1]~36064_combout\ = (\led_flash_cnt[656][1]~q\ & (\led_flash_cnt[656][0]~q\ $ (VCC))) # (!\led_flash_cnt[656][1]~q\ & (\led_flash_cnt[656][0]~q\ & VCC))
-- \led_flash_cnt[656][1]~36065\ = CARRY((\led_flash_cnt[656][1]~q\ & \led_flash_cnt[656][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[656][1]~q\,
	datab => \led_flash_cnt[656][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[656][1]~36064_combout\,
	cout => \led_flash_cnt[656][1]~36065\);

-- Location: FF_X20_Y34_N3
\led_flash_cnt[656][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[656][1]~36064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[656][1]~q\);

-- Location: LCCOMB_X20_Y34_N4
\led_flash_cnt[656][2]~36066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[656][2]~36066_combout\ = (\led_flash_cnt[656][2]~q\ & (!\led_flash_cnt[656][1]~36065\)) # (!\led_flash_cnt[656][2]~q\ & ((\led_flash_cnt[656][1]~36065\) # (GND)))
-- \led_flash_cnt[656][2]~36067\ = CARRY((!\led_flash_cnt[656][1]~36065\) # (!\led_flash_cnt[656][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[656][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[656][1]~36065\,
	combout => \led_flash_cnt[656][2]~36066_combout\,
	cout => \led_flash_cnt[656][2]~36067\);

-- Location: FF_X20_Y34_N5
\led_flash_cnt[656][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[656][2]~36066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[656][2]~q\);

-- Location: LCCOMB_X20_Y34_N6
\led_flash_cnt[656][3]~36068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[656][3]~36068_combout\ = (\led_flash_cnt[656][3]~q\ & (\led_flash_cnt[656][2]~36067\ $ (GND))) # (!\led_flash_cnt[656][3]~q\ & (!\led_flash_cnt[656][2]~36067\ & VCC))
-- \led_flash_cnt[656][3]~36069\ = CARRY((\led_flash_cnt[656][3]~q\ & !\led_flash_cnt[656][2]~36067\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[656][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[656][2]~36067\,
	combout => \led_flash_cnt[656][3]~36068_combout\,
	cout => \led_flash_cnt[656][3]~36069\);

-- Location: FF_X20_Y34_N7
\led_flash_cnt[656][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[656][3]~36068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[656][3]~q\);

-- Location: LCCOMB_X20_Y34_N8
\led_flash_cnt[656][4]~36070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[656][4]~36070_combout\ = (\led_flash_cnt[656][4]~q\ & (!\led_flash_cnt[656][3]~36069\)) # (!\led_flash_cnt[656][4]~q\ & ((\led_flash_cnt[656][3]~36069\) # (GND)))
-- \led_flash_cnt[656][4]~36071\ = CARRY((!\led_flash_cnt[656][3]~36069\) # (!\led_flash_cnt[656][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[656][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[656][3]~36069\,
	combout => \led_flash_cnt[656][4]~36070_combout\,
	cout => \led_flash_cnt[656][4]~36071\);

-- Location: FF_X20_Y34_N9
\led_flash_cnt[656][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[656][4]~36070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[656][4]~q\);

-- Location: LCCOMB_X20_Y34_N10
\led_flash_cnt[656][5]~36072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[656][5]~36072_combout\ = (\led_flash_cnt[656][5]~q\ & (\led_flash_cnt[656][4]~36071\ $ (GND))) # (!\led_flash_cnt[656][5]~q\ & (!\led_flash_cnt[656][4]~36071\ & VCC))
-- \led_flash_cnt[656][5]~36073\ = CARRY((\led_flash_cnt[656][5]~q\ & !\led_flash_cnt[656][4]~36071\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[656][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[656][4]~36071\,
	combout => \led_flash_cnt[656][5]~36072_combout\,
	cout => \led_flash_cnt[656][5]~36073\);

-- Location: FF_X20_Y34_N11
\led_flash_cnt[656][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[656][5]~36072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[656][5]~q\);

-- Location: LCCOMB_X20_Y34_N12
\led_flash_cnt[656][6]~36074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[656][6]~36074_combout\ = (\led_flash_cnt[656][6]~q\ & (!\led_flash_cnt[656][5]~36073\)) # (!\led_flash_cnt[656][6]~q\ & ((\led_flash_cnt[656][5]~36073\) # (GND)))
-- \led_flash_cnt[656][6]~36075\ = CARRY((!\led_flash_cnt[656][5]~36073\) # (!\led_flash_cnt[656][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[656][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[656][5]~36073\,
	combout => \led_flash_cnt[656][6]~36074_combout\,
	cout => \led_flash_cnt[656][6]~36075\);

-- Location: FF_X20_Y34_N13
\led_flash_cnt[656][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[656][6]~36074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[656][6]~q\);

-- Location: LCCOMB_X19_Y34_N6
\WideAnd656~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd656~1_combout\ = (\led_flash_cnt[656][6]~q\ & \led_flash_cnt[656][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[656][6]~q\,
	datac => \led_flash_cnt[656][5]~q\,
	combout => \WideAnd656~1_combout\);

-- Location: LCCOMB_X20_Y34_N14
\led_flash_cnt[656][7]~36076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[656][7]~36076_combout\ = \led_flash_cnt[656][7]~q\ $ (!\led_flash_cnt[656][6]~36075\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[656][7]~q\,
	cin => \led_flash_cnt[656][6]~36075\,
	combout => \led_flash_cnt[656][7]~36076_combout\);

-- Location: FF_X20_Y34_N15
\led_flash_cnt[656][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[656][7]~36076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[656][7]~q\);

-- Location: LCCOMB_X20_Y34_N30
\WideAnd656~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd656~0_combout\ = (\led_flash_cnt[656][1]~q\ & (\led_flash_cnt[656][4]~q\ & (\led_flash_cnt[656][2]~q\ & \led_flash_cnt[656][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[656][1]~q\,
	datab => \led_flash_cnt[656][4]~q\,
	datac => \led_flash_cnt[656][2]~q\,
	datad => \led_flash_cnt[656][3]~q\,
	combout => \WideAnd656~0_combout\);

-- Location: LCCOMB_X19_Y34_N4
WideAnd656 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd656~combout\ = (\WideAnd656~1_combout\ & (\led_flash_cnt[656][7]~q\ & (\WideAnd656~0_combout\ & \led_flash_cnt[656][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd656~1_combout\,
	datab => \led_flash_cnt[656][7]~q\,
	datac => \WideAnd656~0_combout\,
	datad => \led_flash_cnt[656][0]~q\,
	combout => \WideAnd656~combout\);

-- Location: FF_X19_Y34_N5
\led_flash_cnt_ands[656]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd656~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(656));

-- Location: LCCOMB_X19_Y34_N12
\led_flash_cnt[657][0]~81297\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[657][0]~81297_combout\ = !\led_flash_cnt[657][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[657][0]~q\,
	combout => \led_flash_cnt[657][0]~81297_combout\);

-- Location: FF_X19_Y34_N13
\led_flash_cnt[657][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[657][0]~81297_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[657][0]~q\);

-- Location: LCCOMB_X19_Y34_N16
\led_flash_cnt[657][1]~36078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[657][1]~36078_combout\ = (\led_flash_cnt[657][0]~q\ & (\led_flash_cnt[657][1]~q\ $ (VCC))) # (!\led_flash_cnt[657][0]~q\ & (\led_flash_cnt[657][1]~q\ & VCC))
-- \led_flash_cnt[657][1]~36079\ = CARRY((\led_flash_cnt[657][0]~q\ & \led_flash_cnt[657][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[657][0]~q\,
	datab => \led_flash_cnt[657][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[657][1]~36078_combout\,
	cout => \led_flash_cnt[657][1]~36079\);

-- Location: FF_X19_Y34_N17
\led_flash_cnt[657][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[657][1]~36078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[657][1]~q\);

-- Location: LCCOMB_X19_Y34_N18
\led_flash_cnt[657][2]~36080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[657][2]~36080_combout\ = (\led_flash_cnt[657][2]~q\ & (!\led_flash_cnt[657][1]~36079\)) # (!\led_flash_cnt[657][2]~q\ & ((\led_flash_cnt[657][1]~36079\) # (GND)))
-- \led_flash_cnt[657][2]~36081\ = CARRY((!\led_flash_cnt[657][1]~36079\) # (!\led_flash_cnt[657][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[657][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[657][1]~36079\,
	combout => \led_flash_cnt[657][2]~36080_combout\,
	cout => \led_flash_cnt[657][2]~36081\);

-- Location: FF_X19_Y34_N19
\led_flash_cnt[657][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[657][2]~36080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[657][2]~q\);

-- Location: LCCOMB_X19_Y34_N20
\led_flash_cnt[657][3]~36082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[657][3]~36082_combout\ = (\led_flash_cnt[657][3]~q\ & (\led_flash_cnt[657][2]~36081\ $ (GND))) # (!\led_flash_cnt[657][3]~q\ & (!\led_flash_cnt[657][2]~36081\ & VCC))
-- \led_flash_cnt[657][3]~36083\ = CARRY((\led_flash_cnt[657][3]~q\ & !\led_flash_cnt[657][2]~36081\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[657][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[657][2]~36081\,
	combout => \led_flash_cnt[657][3]~36082_combout\,
	cout => \led_flash_cnt[657][3]~36083\);

-- Location: FF_X19_Y34_N21
\led_flash_cnt[657][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[657][3]~36082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[657][3]~q\);

-- Location: LCCOMB_X19_Y34_N22
\led_flash_cnt[657][4]~36084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[657][4]~36084_combout\ = (\led_flash_cnt[657][4]~q\ & (!\led_flash_cnt[657][3]~36083\)) # (!\led_flash_cnt[657][4]~q\ & ((\led_flash_cnt[657][3]~36083\) # (GND)))
-- \led_flash_cnt[657][4]~36085\ = CARRY((!\led_flash_cnt[657][3]~36083\) # (!\led_flash_cnt[657][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[657][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[657][3]~36083\,
	combout => \led_flash_cnt[657][4]~36084_combout\,
	cout => \led_flash_cnt[657][4]~36085\);

-- Location: FF_X19_Y34_N23
\led_flash_cnt[657][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[657][4]~36084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[657][4]~q\);

-- Location: LCCOMB_X19_Y34_N24
\led_flash_cnt[657][5]~36086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[657][5]~36086_combout\ = (\led_flash_cnt[657][5]~q\ & (\led_flash_cnt[657][4]~36085\ $ (GND))) # (!\led_flash_cnt[657][5]~q\ & (!\led_flash_cnt[657][4]~36085\ & VCC))
-- \led_flash_cnt[657][5]~36087\ = CARRY((\led_flash_cnt[657][5]~q\ & !\led_flash_cnt[657][4]~36085\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[657][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[657][4]~36085\,
	combout => \led_flash_cnt[657][5]~36086_combout\,
	cout => \led_flash_cnt[657][5]~36087\);

-- Location: FF_X19_Y34_N25
\led_flash_cnt[657][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[657][5]~36086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[657][5]~q\);

-- Location: LCCOMB_X19_Y34_N26
\led_flash_cnt[657][6]~36088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[657][6]~36088_combout\ = (\led_flash_cnt[657][6]~q\ & (!\led_flash_cnt[657][5]~36087\)) # (!\led_flash_cnt[657][6]~q\ & ((\led_flash_cnt[657][5]~36087\) # (GND)))
-- \led_flash_cnt[657][6]~36089\ = CARRY((!\led_flash_cnt[657][5]~36087\) # (!\led_flash_cnt[657][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[657][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[657][5]~36087\,
	combout => \led_flash_cnt[657][6]~36088_combout\,
	cout => \led_flash_cnt[657][6]~36089\);

-- Location: FF_X19_Y34_N27
\led_flash_cnt[657][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[657][6]~36088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[657][6]~q\);

-- Location: LCCOMB_X19_Y34_N28
\led_flash_cnt[657][7]~36090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[657][7]~36090_combout\ = \led_flash_cnt[657][6]~36089\ $ (!\led_flash_cnt[657][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[657][7]~q\,
	cin => \led_flash_cnt[657][6]~36089\,
	combout => \led_flash_cnt[657][7]~36090_combout\);

-- Location: FF_X19_Y34_N29
\led_flash_cnt[657][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[657][7]~36090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[657][7]~q\);

-- Location: LCCOMB_X19_Y34_N14
\WideAnd657~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd657~1_combout\ = (\led_flash_cnt[657][6]~q\ & \led_flash_cnt[657][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[657][6]~q\,
	datad => \led_flash_cnt[657][5]~q\,
	combout => \WideAnd657~1_combout\);

-- Location: LCCOMB_X19_Y34_N2
\WideAnd657~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd657~0_combout\ = (\led_flash_cnt[657][1]~q\ & (\led_flash_cnt[657][3]~q\ & (\led_flash_cnt[657][4]~q\ & \led_flash_cnt[657][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[657][1]~q\,
	datab => \led_flash_cnt[657][3]~q\,
	datac => \led_flash_cnt[657][4]~q\,
	datad => \led_flash_cnt[657][2]~q\,
	combout => \WideAnd657~0_combout\);

-- Location: LCCOMB_X19_Y34_N30
WideAnd657 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd657~combout\ = (\led_flash_cnt[657][0]~q\ & (\led_flash_cnt[657][7]~q\ & (\WideAnd657~1_combout\ & \WideAnd657~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[657][0]~q\,
	datab => \led_flash_cnt[657][7]~q\,
	datac => \WideAnd657~1_combout\,
	datad => \WideAnd657~0_combout\,
	combout => \WideAnd657~combout\);

-- Location: FF_X19_Y34_N31
\led_flash_cnt_ands[657]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd657~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(657));

-- Location: LCCOMB_X7_Y29_N26
\led_flash_cnt[659][0]~81299\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[659][0]~81299_combout\ = !\led_flash_cnt[659][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[659][0]~q\,
	combout => \led_flash_cnt[659][0]~81299_combout\);

-- Location: FF_X7_Y29_N27
\led_flash_cnt[659][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[659][0]~81299_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[659][0]~q\);

-- Location: LCCOMB_X9_Y29_N14
\led_flash_cnt[659][1]~36106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[659][1]~36106_combout\ = (\led_flash_cnt[659][0]~q\ & (\led_flash_cnt[659][1]~q\ $ (VCC))) # (!\led_flash_cnt[659][0]~q\ & (\led_flash_cnt[659][1]~q\ & VCC))
-- \led_flash_cnt[659][1]~36107\ = CARRY((\led_flash_cnt[659][0]~q\ & \led_flash_cnt[659][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[659][0]~q\,
	datab => \led_flash_cnt[659][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[659][1]~36106_combout\,
	cout => \led_flash_cnt[659][1]~36107\);

-- Location: FF_X9_Y29_N15
\led_flash_cnt[659][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[659][1]~36106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[659][1]~q\);

-- Location: LCCOMB_X9_Y29_N16
\led_flash_cnt[659][2]~36108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[659][2]~36108_combout\ = (\led_flash_cnt[659][2]~q\ & (!\led_flash_cnt[659][1]~36107\)) # (!\led_flash_cnt[659][2]~q\ & ((\led_flash_cnt[659][1]~36107\) # (GND)))
-- \led_flash_cnt[659][2]~36109\ = CARRY((!\led_flash_cnt[659][1]~36107\) # (!\led_flash_cnt[659][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[659][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[659][1]~36107\,
	combout => \led_flash_cnt[659][2]~36108_combout\,
	cout => \led_flash_cnt[659][2]~36109\);

-- Location: FF_X9_Y29_N17
\led_flash_cnt[659][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[659][2]~36108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[659][2]~q\);

-- Location: LCCOMB_X9_Y29_N18
\led_flash_cnt[659][3]~36110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[659][3]~36110_combout\ = (\led_flash_cnt[659][3]~q\ & (\led_flash_cnt[659][2]~36109\ $ (GND))) # (!\led_flash_cnt[659][3]~q\ & (!\led_flash_cnt[659][2]~36109\ & VCC))
-- \led_flash_cnt[659][3]~36111\ = CARRY((\led_flash_cnt[659][3]~q\ & !\led_flash_cnt[659][2]~36109\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[659][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[659][2]~36109\,
	combout => \led_flash_cnt[659][3]~36110_combout\,
	cout => \led_flash_cnt[659][3]~36111\);

-- Location: FF_X9_Y29_N19
\led_flash_cnt[659][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[659][3]~36110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[659][3]~q\);

-- Location: LCCOMB_X9_Y29_N20
\led_flash_cnt[659][4]~36112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[659][4]~36112_combout\ = (\led_flash_cnt[659][4]~q\ & (!\led_flash_cnt[659][3]~36111\)) # (!\led_flash_cnt[659][4]~q\ & ((\led_flash_cnt[659][3]~36111\) # (GND)))
-- \led_flash_cnt[659][4]~36113\ = CARRY((!\led_flash_cnt[659][3]~36111\) # (!\led_flash_cnt[659][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[659][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[659][3]~36111\,
	combout => \led_flash_cnt[659][4]~36112_combout\,
	cout => \led_flash_cnt[659][4]~36113\);

-- Location: FF_X9_Y29_N21
\led_flash_cnt[659][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[659][4]~36112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[659][4]~q\);

-- Location: LCCOMB_X10_Y29_N12
\WideAnd659~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd659~0_combout\ = (\led_flash_cnt[659][1]~q\ & (\led_flash_cnt[659][4]~q\ & (\led_flash_cnt[659][2]~q\ & \led_flash_cnt[659][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[659][1]~q\,
	datab => \led_flash_cnt[659][4]~q\,
	datac => \led_flash_cnt[659][2]~q\,
	datad => \led_flash_cnt[659][3]~q\,
	combout => \WideAnd659~0_combout\);

-- Location: LCCOMB_X9_Y29_N22
\led_flash_cnt[659][5]~36114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[659][5]~36114_combout\ = (\led_flash_cnt[659][5]~q\ & (\led_flash_cnt[659][4]~36113\ $ (GND))) # (!\led_flash_cnt[659][5]~q\ & (!\led_flash_cnt[659][4]~36113\ & VCC))
-- \led_flash_cnt[659][5]~36115\ = CARRY((\led_flash_cnt[659][5]~q\ & !\led_flash_cnt[659][4]~36113\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[659][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[659][4]~36113\,
	combout => \led_flash_cnt[659][5]~36114_combout\,
	cout => \led_flash_cnt[659][5]~36115\);

-- Location: FF_X9_Y29_N23
\led_flash_cnt[659][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[659][5]~36114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[659][5]~q\);

-- Location: LCCOMB_X9_Y29_N24
\led_flash_cnt[659][6]~36116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[659][6]~36116_combout\ = (\led_flash_cnt[659][6]~q\ & (!\led_flash_cnt[659][5]~36115\)) # (!\led_flash_cnt[659][6]~q\ & ((\led_flash_cnt[659][5]~36115\) # (GND)))
-- \led_flash_cnt[659][6]~36117\ = CARRY((!\led_flash_cnt[659][5]~36115\) # (!\led_flash_cnt[659][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[659][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[659][5]~36115\,
	combout => \led_flash_cnt[659][6]~36116_combout\,
	cout => \led_flash_cnt[659][6]~36117\);

-- Location: FF_X9_Y29_N25
\led_flash_cnt[659][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[659][6]~36116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[659][6]~q\);

-- Location: LCCOMB_X9_Y29_N26
\led_flash_cnt[659][7]~36118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[659][7]~36118_combout\ = \led_flash_cnt[659][7]~q\ $ (!\led_flash_cnt[659][6]~36117\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[659][7]~q\,
	cin => \led_flash_cnt[659][6]~36117\,
	combout => \led_flash_cnt[659][7]~36118_combout\);

-- Location: FF_X9_Y29_N27
\led_flash_cnt[659][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[659][7]~36118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[659][7]~q\);

-- Location: LCCOMB_X9_Y29_N30
\WideAnd659~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd659~1_combout\ = (\led_flash_cnt[659][0]~q\ & \led_flash_cnt[659][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[659][0]~q\,
	datac => \led_flash_cnt[659][7]~q\,
	combout => \WideAnd659~1_combout\);

-- Location: LCCOMB_X10_Y29_N10
WideAnd659 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd659~combout\ = (\WideAnd659~0_combout\ & (\WideAnd659~1_combout\ & (\led_flash_cnt[659][6]~q\ & \led_flash_cnt[659][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd659~0_combout\,
	datab => \WideAnd659~1_combout\,
	datac => \led_flash_cnt[659][6]~q\,
	datad => \led_flash_cnt[659][5]~q\,
	combout => \WideAnd659~combout\);

-- Location: FF_X10_Y29_N11
\led_flash_cnt_ands[659]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd659~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(659));

-- Location: LCCOMB_X21_Y29_N30
\WideAnd3922~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3922~0_combout\ = (led_flash_cnt_ands(658) & (led_flash_cnt_ands(656) & (led_flash_cnt_ands(657) & led_flash_cnt_ands(659))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(658),
	datab => led_flash_cnt_ands(656),
	datac => led_flash_cnt_ands(657),
	datad => led_flash_cnt_ands(659),
	combout => \WideAnd3922~0_combout\);

-- Location: LCCOMB_X40_Y28_N28
WideAnd3922 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3922~combout\ = (led_flash_cnt_ands(662) & (\WideAnd3922~1_combout\ & (led_flash_cnt_ands(663) & \WideAnd3922~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(662),
	datab => \WideAnd3922~1_combout\,
	datac => led_flash_cnt_ands(663),
	datad => \WideAnd3922~0_combout\,
	combout => \WideAnd3922~combout\);

-- Location: FF_X40_Y28_N29
\led_flash_cnt_ands_1[82]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3922~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(82));

-- Location: LCCOMB_X40_Y28_N0
\WideAnd4330~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4330~0_combout\ = (led_flash_cnt_ands_1(83) & (led_flash_cnt_ands_1(81) & (led_flash_cnt_ands_1(80) & led_flash_cnt_ands_1(82))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(83),
	datab => led_flash_cnt_ands_1(81),
	datac => led_flash_cnt_ands_1(80),
	datad => led_flash_cnt_ands_1(82),
	combout => \WideAnd4330~0_combout\);

-- Location: LCCOMB_X41_Y29_N18
\led_flash_cnt[701][0]~81337\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[701][0]~81337_combout\ = !\led_flash_cnt[701][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[701][0]~q\,
	combout => \led_flash_cnt[701][0]~81337_combout\);

-- Location: FF_X41_Y29_N19
\led_flash_cnt[701][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[701][0]~81337_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[701][0]~q\);

-- Location: LCCOMB_X43_Y29_N2
\led_flash_cnt[701][1]~36638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[701][1]~36638_combout\ = (\led_flash_cnt[701][0]~q\ & (\led_flash_cnt[701][1]~q\ $ (VCC))) # (!\led_flash_cnt[701][0]~q\ & (\led_flash_cnt[701][1]~q\ & VCC))
-- \led_flash_cnt[701][1]~36639\ = CARRY((\led_flash_cnt[701][0]~q\ & \led_flash_cnt[701][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[701][0]~q\,
	datab => \led_flash_cnt[701][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[701][1]~36638_combout\,
	cout => \led_flash_cnt[701][1]~36639\);

-- Location: FF_X43_Y29_N3
\led_flash_cnt[701][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[701][1]~36638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[701][1]~q\);

-- Location: LCCOMB_X43_Y29_N4
\led_flash_cnt[701][2]~36640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[701][2]~36640_combout\ = (\led_flash_cnt[701][2]~q\ & (!\led_flash_cnt[701][1]~36639\)) # (!\led_flash_cnt[701][2]~q\ & ((\led_flash_cnt[701][1]~36639\) # (GND)))
-- \led_flash_cnt[701][2]~36641\ = CARRY((!\led_flash_cnt[701][1]~36639\) # (!\led_flash_cnt[701][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[701][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[701][1]~36639\,
	combout => \led_flash_cnt[701][2]~36640_combout\,
	cout => \led_flash_cnt[701][2]~36641\);

-- Location: FF_X43_Y29_N5
\led_flash_cnt[701][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[701][2]~36640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[701][2]~q\);

-- Location: LCCOMB_X43_Y29_N6
\led_flash_cnt[701][3]~36642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[701][3]~36642_combout\ = (\led_flash_cnt[701][3]~q\ & (\led_flash_cnt[701][2]~36641\ $ (GND))) # (!\led_flash_cnt[701][3]~q\ & (!\led_flash_cnt[701][2]~36641\ & VCC))
-- \led_flash_cnt[701][3]~36643\ = CARRY((\led_flash_cnt[701][3]~q\ & !\led_flash_cnt[701][2]~36641\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[701][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[701][2]~36641\,
	combout => \led_flash_cnt[701][3]~36642_combout\,
	cout => \led_flash_cnt[701][3]~36643\);

-- Location: FF_X43_Y29_N7
\led_flash_cnt[701][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[701][3]~36642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[701][3]~q\);

-- Location: LCCOMB_X43_Y29_N8
\led_flash_cnt[701][4]~36644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[701][4]~36644_combout\ = (\led_flash_cnt[701][4]~q\ & (!\led_flash_cnt[701][3]~36643\)) # (!\led_flash_cnt[701][4]~q\ & ((\led_flash_cnt[701][3]~36643\) # (GND)))
-- \led_flash_cnt[701][4]~36645\ = CARRY((!\led_flash_cnt[701][3]~36643\) # (!\led_flash_cnt[701][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[701][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[701][3]~36643\,
	combout => \led_flash_cnt[701][4]~36644_combout\,
	cout => \led_flash_cnt[701][4]~36645\);

-- Location: FF_X43_Y29_N9
\led_flash_cnt[701][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[701][4]~36644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[701][4]~q\);

-- Location: LCCOMB_X43_Y29_N10
\led_flash_cnt[701][5]~36646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[701][5]~36646_combout\ = (\led_flash_cnt[701][5]~q\ & (\led_flash_cnt[701][4]~36645\ $ (GND))) # (!\led_flash_cnt[701][5]~q\ & (!\led_flash_cnt[701][4]~36645\ & VCC))
-- \led_flash_cnt[701][5]~36647\ = CARRY((\led_flash_cnt[701][5]~q\ & !\led_flash_cnt[701][4]~36645\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[701][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[701][4]~36645\,
	combout => \led_flash_cnt[701][5]~36646_combout\,
	cout => \led_flash_cnt[701][5]~36647\);

-- Location: FF_X43_Y29_N11
\led_flash_cnt[701][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[701][5]~36646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[701][5]~q\);

-- Location: LCCOMB_X43_Y29_N12
\led_flash_cnt[701][6]~36648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[701][6]~36648_combout\ = (\led_flash_cnt[701][6]~q\ & (!\led_flash_cnt[701][5]~36647\)) # (!\led_flash_cnt[701][6]~q\ & ((\led_flash_cnt[701][5]~36647\) # (GND)))
-- \led_flash_cnt[701][6]~36649\ = CARRY((!\led_flash_cnt[701][5]~36647\) # (!\led_flash_cnt[701][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[701][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[701][5]~36647\,
	combout => \led_flash_cnt[701][6]~36648_combout\,
	cout => \led_flash_cnt[701][6]~36649\);

-- Location: FF_X43_Y29_N13
\led_flash_cnt[701][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[701][6]~36648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[701][6]~q\);

-- Location: LCCOMB_X43_Y29_N14
\led_flash_cnt[701][7]~36650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[701][7]~36650_combout\ = \led_flash_cnt[701][7]~q\ $ (!\led_flash_cnt[701][6]~36649\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[701][7]~q\,
	cin => \led_flash_cnt[701][6]~36649\,
	combout => \led_flash_cnt[701][7]~36650_combout\);

-- Location: FF_X43_Y29_N15
\led_flash_cnt[701][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[701][7]~36650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[701][7]~q\);

-- Location: LCCOMB_X42_Y29_N30
\WideAnd701~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd701~1_combout\ = (\led_flash_cnt[701][6]~q\ & \led_flash_cnt[701][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[701][6]~q\,
	datac => \led_flash_cnt[701][5]~q\,
	combout => \WideAnd701~1_combout\);

-- Location: LCCOMB_X43_Y29_N0
\WideAnd701~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd701~0_combout\ = (\led_flash_cnt[701][3]~q\ & (\led_flash_cnt[701][4]~q\ & (\led_flash_cnt[701][2]~q\ & \led_flash_cnt[701][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[701][3]~q\,
	datab => \led_flash_cnt[701][4]~q\,
	datac => \led_flash_cnt[701][2]~q\,
	datad => \led_flash_cnt[701][1]~q\,
	combout => \WideAnd701~0_combout\);

-- Location: LCCOMB_X42_Y29_N0
WideAnd701 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd701~combout\ = (\led_flash_cnt[701][0]~q\ & (\led_flash_cnt[701][7]~q\ & (\WideAnd701~1_combout\ & \WideAnd701~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[701][0]~q\,
	datab => \led_flash_cnt[701][7]~q\,
	datac => \WideAnd701~1_combout\,
	datad => \WideAnd701~0_combout\,
	combout => \WideAnd701~combout\);

-- Location: FF_X42_Y29_N1
\led_flash_cnt_ands[701]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd701~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(701));

-- Location: LCCOMB_X36_Y29_N6
\led_flash_cnt[700][0]~81336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[700][0]~81336_combout\ = !\led_flash_cnt[700][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[700][0]~q\,
	combout => \led_flash_cnt[700][0]~81336_combout\);

-- Location: FF_X36_Y29_N7
\led_flash_cnt[700][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[700][0]~81336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[700][0]~q\);

-- Location: LCCOMB_X36_Y32_N14
\led_flash_cnt[700][1]~36624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[700][1]~36624_combout\ = (\led_flash_cnt[700][0]~q\ & (\led_flash_cnt[700][1]~q\ $ (VCC))) # (!\led_flash_cnt[700][0]~q\ & (\led_flash_cnt[700][1]~q\ & VCC))
-- \led_flash_cnt[700][1]~36625\ = CARRY((\led_flash_cnt[700][0]~q\ & \led_flash_cnt[700][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[700][0]~q\,
	datab => \led_flash_cnt[700][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[700][1]~36624_combout\,
	cout => \led_flash_cnt[700][1]~36625\);

-- Location: FF_X36_Y32_N15
\led_flash_cnt[700][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[700][1]~36624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[700][1]~q\);

-- Location: LCCOMB_X36_Y32_N16
\led_flash_cnt[700][2]~36626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[700][2]~36626_combout\ = (\led_flash_cnt[700][2]~q\ & (!\led_flash_cnt[700][1]~36625\)) # (!\led_flash_cnt[700][2]~q\ & ((\led_flash_cnt[700][1]~36625\) # (GND)))
-- \led_flash_cnt[700][2]~36627\ = CARRY((!\led_flash_cnt[700][1]~36625\) # (!\led_flash_cnt[700][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[700][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[700][1]~36625\,
	combout => \led_flash_cnt[700][2]~36626_combout\,
	cout => \led_flash_cnt[700][2]~36627\);

-- Location: FF_X36_Y32_N17
\led_flash_cnt[700][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[700][2]~36626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[700][2]~q\);

-- Location: LCCOMB_X36_Y32_N18
\led_flash_cnt[700][3]~36628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[700][3]~36628_combout\ = (\led_flash_cnt[700][3]~q\ & (\led_flash_cnt[700][2]~36627\ $ (GND))) # (!\led_flash_cnt[700][3]~q\ & (!\led_flash_cnt[700][2]~36627\ & VCC))
-- \led_flash_cnt[700][3]~36629\ = CARRY((\led_flash_cnt[700][3]~q\ & !\led_flash_cnt[700][2]~36627\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[700][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[700][2]~36627\,
	combout => \led_flash_cnt[700][3]~36628_combout\,
	cout => \led_flash_cnt[700][3]~36629\);

-- Location: FF_X36_Y32_N19
\led_flash_cnt[700][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[700][3]~36628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[700][3]~q\);

-- Location: LCCOMB_X36_Y32_N20
\led_flash_cnt[700][4]~36630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[700][4]~36630_combout\ = (\led_flash_cnt[700][4]~q\ & (!\led_flash_cnt[700][3]~36629\)) # (!\led_flash_cnt[700][4]~q\ & ((\led_flash_cnt[700][3]~36629\) # (GND)))
-- \led_flash_cnt[700][4]~36631\ = CARRY((!\led_flash_cnt[700][3]~36629\) # (!\led_flash_cnt[700][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[700][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[700][3]~36629\,
	combout => \led_flash_cnt[700][4]~36630_combout\,
	cout => \led_flash_cnt[700][4]~36631\);

-- Location: FF_X36_Y32_N21
\led_flash_cnt[700][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[700][4]~36630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[700][4]~q\);

-- Location: LCCOMB_X36_Y32_N28
\WideAnd700~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd700~0_combout\ = (\led_flash_cnt[700][4]~q\ & (\led_flash_cnt[700][3]~q\ & (\led_flash_cnt[700][1]~q\ & \led_flash_cnt[700][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[700][4]~q\,
	datab => \led_flash_cnt[700][3]~q\,
	datac => \led_flash_cnt[700][1]~q\,
	datad => \led_flash_cnt[700][2]~q\,
	combout => \WideAnd700~0_combout\);

-- Location: LCCOMB_X36_Y32_N22
\led_flash_cnt[700][5]~36632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[700][5]~36632_combout\ = (\led_flash_cnt[700][5]~q\ & (\led_flash_cnt[700][4]~36631\ $ (GND))) # (!\led_flash_cnt[700][5]~q\ & (!\led_flash_cnt[700][4]~36631\ & VCC))
-- \led_flash_cnt[700][5]~36633\ = CARRY((\led_flash_cnt[700][5]~q\ & !\led_flash_cnt[700][4]~36631\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[700][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[700][4]~36631\,
	combout => \led_flash_cnt[700][5]~36632_combout\,
	cout => \led_flash_cnt[700][5]~36633\);

-- Location: FF_X36_Y32_N23
\led_flash_cnt[700][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[700][5]~36632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[700][5]~q\);

-- Location: LCCOMB_X36_Y32_N24
\led_flash_cnt[700][6]~36634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[700][6]~36634_combout\ = (\led_flash_cnt[700][6]~q\ & (!\led_flash_cnt[700][5]~36633\)) # (!\led_flash_cnt[700][6]~q\ & ((\led_flash_cnt[700][5]~36633\) # (GND)))
-- \led_flash_cnt[700][6]~36635\ = CARRY((!\led_flash_cnt[700][5]~36633\) # (!\led_flash_cnt[700][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[700][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[700][5]~36633\,
	combout => \led_flash_cnt[700][6]~36634_combout\,
	cout => \led_flash_cnt[700][6]~36635\);

-- Location: FF_X36_Y32_N25
\led_flash_cnt[700][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[700][6]~36634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[700][6]~q\);

-- Location: LCCOMB_X36_Y32_N26
\led_flash_cnt[700][7]~36636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[700][7]~36636_combout\ = \led_flash_cnt[700][7]~q\ $ (!\led_flash_cnt[700][6]~36635\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[700][7]~q\,
	cin => \led_flash_cnt[700][6]~36635\,
	combout => \led_flash_cnt[700][7]~36636_combout\);

-- Location: FF_X36_Y32_N27
\led_flash_cnt[700][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[700][7]~36636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[700][7]~q\);

-- Location: LCCOMB_X37_Y32_N24
\WideAnd700~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd700~1_combout\ = (\led_flash_cnt[700][6]~q\ & \led_flash_cnt[700][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[700][6]~q\,
	datad => \led_flash_cnt[700][5]~q\,
	combout => \WideAnd700~1_combout\);

-- Location: LCCOMB_X36_Y32_N30
WideAnd700 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd700~combout\ = (\led_flash_cnt[700][0]~q\ & (\WideAnd700~0_combout\ & (\led_flash_cnt[700][7]~q\ & \WideAnd700~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[700][0]~q\,
	datab => \WideAnd700~0_combout\,
	datac => \led_flash_cnt[700][7]~q\,
	datad => \WideAnd700~1_combout\,
	combout => \WideAnd700~combout\);

-- Location: FF_X36_Y32_N31
\led_flash_cnt_ands[700]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd700~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(700));

-- Location: LCCOMB_X18_Y31_N8
\led_flash_cnt[699][0]~81341\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[699][0]~81341_combout\ = !\led_flash_cnt[699][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[699][0]~q\,
	combout => \led_flash_cnt[699][0]~81341_combout\);

-- Location: FF_X18_Y31_N9
\led_flash_cnt[699][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[699][0]~81341_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[699][0]~q\);

-- Location: LCCOMB_X18_Y31_N10
\led_flash_cnt[699][1]~36694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[699][1]~36694_combout\ = (\led_flash_cnt[699][1]~q\ & (\led_flash_cnt[699][0]~q\ $ (VCC))) # (!\led_flash_cnt[699][1]~q\ & (\led_flash_cnt[699][0]~q\ & VCC))
-- \led_flash_cnt[699][1]~36695\ = CARRY((\led_flash_cnt[699][1]~q\ & \led_flash_cnt[699][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[699][1]~q\,
	datab => \led_flash_cnt[699][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[699][1]~36694_combout\,
	cout => \led_flash_cnt[699][1]~36695\);

-- Location: FF_X18_Y31_N11
\led_flash_cnt[699][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[699][1]~36694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[699][1]~q\);

-- Location: LCCOMB_X18_Y31_N12
\led_flash_cnt[699][2]~36696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[699][2]~36696_combout\ = (\led_flash_cnt[699][2]~q\ & (!\led_flash_cnt[699][1]~36695\)) # (!\led_flash_cnt[699][2]~q\ & ((\led_flash_cnt[699][1]~36695\) # (GND)))
-- \led_flash_cnt[699][2]~36697\ = CARRY((!\led_flash_cnt[699][1]~36695\) # (!\led_flash_cnt[699][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[699][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[699][1]~36695\,
	combout => \led_flash_cnt[699][2]~36696_combout\,
	cout => \led_flash_cnt[699][2]~36697\);

-- Location: FF_X18_Y31_N13
\led_flash_cnt[699][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[699][2]~36696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[699][2]~q\);

-- Location: LCCOMB_X18_Y31_N14
\led_flash_cnt[699][3]~36698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[699][3]~36698_combout\ = (\led_flash_cnt[699][3]~q\ & (\led_flash_cnt[699][2]~36697\ $ (GND))) # (!\led_flash_cnt[699][3]~q\ & (!\led_flash_cnt[699][2]~36697\ & VCC))
-- \led_flash_cnt[699][3]~36699\ = CARRY((\led_flash_cnt[699][3]~q\ & !\led_flash_cnt[699][2]~36697\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[699][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[699][2]~36697\,
	combout => \led_flash_cnt[699][3]~36698_combout\,
	cout => \led_flash_cnt[699][3]~36699\);

-- Location: FF_X18_Y31_N15
\led_flash_cnt[699][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[699][3]~36698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[699][3]~q\);

-- Location: LCCOMB_X18_Y31_N16
\led_flash_cnt[699][4]~36700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[699][4]~36700_combout\ = (\led_flash_cnt[699][4]~q\ & (!\led_flash_cnt[699][3]~36699\)) # (!\led_flash_cnt[699][4]~q\ & ((\led_flash_cnt[699][3]~36699\) # (GND)))
-- \led_flash_cnt[699][4]~36701\ = CARRY((!\led_flash_cnt[699][3]~36699\) # (!\led_flash_cnt[699][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[699][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[699][3]~36699\,
	combout => \led_flash_cnt[699][4]~36700_combout\,
	cout => \led_flash_cnt[699][4]~36701\);

-- Location: FF_X18_Y31_N17
\led_flash_cnt[699][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[699][4]~36700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[699][4]~q\);

-- Location: LCCOMB_X18_Y31_N18
\led_flash_cnt[699][5]~36702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[699][5]~36702_combout\ = (\led_flash_cnt[699][5]~q\ & (\led_flash_cnt[699][4]~36701\ $ (GND))) # (!\led_flash_cnt[699][5]~q\ & (!\led_flash_cnt[699][4]~36701\ & VCC))
-- \led_flash_cnt[699][5]~36703\ = CARRY((\led_flash_cnt[699][5]~q\ & !\led_flash_cnt[699][4]~36701\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[699][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[699][4]~36701\,
	combout => \led_flash_cnt[699][5]~36702_combout\,
	cout => \led_flash_cnt[699][5]~36703\);

-- Location: FF_X18_Y31_N19
\led_flash_cnt[699][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[699][5]~36702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[699][5]~q\);

-- Location: LCCOMB_X18_Y31_N20
\led_flash_cnt[699][6]~36704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[699][6]~36704_combout\ = (\led_flash_cnt[699][6]~q\ & (!\led_flash_cnt[699][5]~36703\)) # (!\led_flash_cnt[699][6]~q\ & ((\led_flash_cnt[699][5]~36703\) # (GND)))
-- \led_flash_cnt[699][6]~36705\ = CARRY((!\led_flash_cnt[699][5]~36703\) # (!\led_flash_cnt[699][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[699][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[699][5]~36703\,
	combout => \led_flash_cnt[699][6]~36704_combout\,
	cout => \led_flash_cnt[699][6]~36705\);

-- Location: FF_X18_Y31_N21
\led_flash_cnt[699][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[699][6]~36704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[699][6]~q\);

-- Location: LCCOMB_X18_Y31_N26
\WideAnd699~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd699~1_combout\ = (\led_flash_cnt[699][6]~q\ & \led_flash_cnt[699][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[699][6]~q\,
	datad => \led_flash_cnt[699][5]~q\,
	combout => \WideAnd699~1_combout\);

-- Location: LCCOMB_X18_Y31_N22
\led_flash_cnt[699][7]~36706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[699][7]~36706_combout\ = \led_flash_cnt[699][7]~q\ $ (!\led_flash_cnt[699][6]~36705\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[699][7]~q\,
	cin => \led_flash_cnt[699][6]~36705\,
	combout => \led_flash_cnt[699][7]~36706_combout\);

-- Location: FF_X18_Y31_N23
\led_flash_cnt[699][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[699][7]~36706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[699][7]~q\);

-- Location: LCCOMB_X18_Y31_N6
\WideAnd699~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd699~0_combout\ = (\led_flash_cnt[699][1]~q\ & (\led_flash_cnt[699][4]~q\ & (\led_flash_cnt[699][3]~q\ & \led_flash_cnt[699][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[699][1]~q\,
	datab => \led_flash_cnt[699][4]~q\,
	datac => \led_flash_cnt[699][3]~q\,
	datad => \led_flash_cnt[699][2]~q\,
	combout => \WideAnd699~0_combout\);

-- Location: LCCOMB_X18_Y31_N30
WideAnd699 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd699~combout\ = (\WideAnd699~1_combout\ & (\led_flash_cnt[699][0]~q\ & (\led_flash_cnt[699][7]~q\ & \WideAnd699~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd699~1_combout\,
	datab => \led_flash_cnt[699][0]~q\,
	datac => \led_flash_cnt[699][7]~q\,
	datad => \WideAnd699~0_combout\,
	combout => \WideAnd699~combout\);

-- Location: FF_X18_Y31_N31
\led_flash_cnt_ands[699]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd699~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(699));

-- Location: LCCOMB_X18_Y31_N2
\led_flash_cnt[696][0]~81338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[696][0]~81338_combout\ = !\led_flash_cnt[696][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[696][0]~q\,
	combout => \led_flash_cnt[696][0]~81338_combout\);

-- Location: FF_X18_Y31_N3
\led_flash_cnt[696][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[696][0]~81338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[696][0]~q\);

-- Location: LCCOMB_X17_Y31_N0
\led_flash_cnt[696][1]~36652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[696][1]~36652_combout\ = (\led_flash_cnt[696][0]~q\ & (\led_flash_cnt[696][1]~q\ $ (VCC))) # (!\led_flash_cnt[696][0]~q\ & (\led_flash_cnt[696][1]~q\ & VCC))
-- \led_flash_cnt[696][1]~36653\ = CARRY((\led_flash_cnt[696][0]~q\ & \led_flash_cnt[696][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[696][0]~q\,
	datab => \led_flash_cnt[696][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[696][1]~36652_combout\,
	cout => \led_flash_cnt[696][1]~36653\);

-- Location: FF_X17_Y31_N1
\led_flash_cnt[696][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[696][1]~36652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[696][1]~q\);

-- Location: LCCOMB_X17_Y31_N2
\led_flash_cnt[696][2]~36654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[696][2]~36654_combout\ = (\led_flash_cnt[696][2]~q\ & (!\led_flash_cnt[696][1]~36653\)) # (!\led_flash_cnt[696][2]~q\ & ((\led_flash_cnt[696][1]~36653\) # (GND)))
-- \led_flash_cnt[696][2]~36655\ = CARRY((!\led_flash_cnt[696][1]~36653\) # (!\led_flash_cnt[696][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[696][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[696][1]~36653\,
	combout => \led_flash_cnt[696][2]~36654_combout\,
	cout => \led_flash_cnt[696][2]~36655\);

-- Location: FF_X17_Y31_N3
\led_flash_cnt[696][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[696][2]~36654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[696][2]~q\);

-- Location: LCCOMB_X17_Y31_N4
\led_flash_cnt[696][3]~36656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[696][3]~36656_combout\ = (\led_flash_cnt[696][3]~q\ & (\led_flash_cnt[696][2]~36655\ $ (GND))) # (!\led_flash_cnt[696][3]~q\ & (!\led_flash_cnt[696][2]~36655\ & VCC))
-- \led_flash_cnt[696][3]~36657\ = CARRY((\led_flash_cnt[696][3]~q\ & !\led_flash_cnt[696][2]~36655\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[696][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[696][2]~36655\,
	combout => \led_flash_cnt[696][3]~36656_combout\,
	cout => \led_flash_cnt[696][3]~36657\);

-- Location: FF_X17_Y31_N5
\led_flash_cnt[696][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[696][3]~36656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[696][3]~q\);

-- Location: LCCOMB_X17_Y31_N6
\led_flash_cnt[696][4]~36658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[696][4]~36658_combout\ = (\led_flash_cnt[696][4]~q\ & (!\led_flash_cnt[696][3]~36657\)) # (!\led_flash_cnt[696][4]~q\ & ((\led_flash_cnt[696][3]~36657\) # (GND)))
-- \led_flash_cnt[696][4]~36659\ = CARRY((!\led_flash_cnt[696][3]~36657\) # (!\led_flash_cnt[696][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[696][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[696][3]~36657\,
	combout => \led_flash_cnt[696][4]~36658_combout\,
	cout => \led_flash_cnt[696][4]~36659\);

-- Location: FF_X17_Y31_N7
\led_flash_cnt[696][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[696][4]~36658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[696][4]~q\);

-- Location: LCCOMB_X17_Y31_N8
\led_flash_cnt[696][5]~36660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[696][5]~36660_combout\ = (\led_flash_cnt[696][5]~q\ & (\led_flash_cnt[696][4]~36659\ $ (GND))) # (!\led_flash_cnt[696][5]~q\ & (!\led_flash_cnt[696][4]~36659\ & VCC))
-- \led_flash_cnt[696][5]~36661\ = CARRY((\led_flash_cnt[696][5]~q\ & !\led_flash_cnt[696][4]~36659\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[696][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[696][4]~36659\,
	combout => \led_flash_cnt[696][5]~36660_combout\,
	cout => \led_flash_cnt[696][5]~36661\);

-- Location: FF_X17_Y31_N9
\led_flash_cnt[696][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[696][5]~36660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[696][5]~q\);

-- Location: LCCOMB_X17_Y31_N10
\led_flash_cnt[696][6]~36662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[696][6]~36662_combout\ = (\led_flash_cnt[696][6]~q\ & (!\led_flash_cnt[696][5]~36661\)) # (!\led_flash_cnt[696][6]~q\ & ((\led_flash_cnt[696][5]~36661\) # (GND)))
-- \led_flash_cnt[696][6]~36663\ = CARRY((!\led_flash_cnt[696][5]~36661\) # (!\led_flash_cnt[696][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[696][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[696][5]~36661\,
	combout => \led_flash_cnt[696][6]~36662_combout\,
	cout => \led_flash_cnt[696][6]~36663\);

-- Location: FF_X17_Y31_N11
\led_flash_cnt[696][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[696][6]~36662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[696][6]~q\);

-- Location: LCCOMB_X17_Y31_N12
\led_flash_cnt[696][7]~36664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[696][7]~36664_combout\ = \led_flash_cnt[696][6]~36663\ $ (!\led_flash_cnt[696][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[696][7]~q\,
	cin => \led_flash_cnt[696][6]~36663\,
	combout => \led_flash_cnt[696][7]~36664_combout\);

-- Location: FF_X17_Y31_N13
\led_flash_cnt[696][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[696][7]~36664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[696][7]~q\);

-- Location: LCCOMB_X18_Y31_N4
\WideAnd696~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd696~1_combout\ = (\led_flash_cnt[696][6]~q\ & \led_flash_cnt[696][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[696][6]~q\,
	datad => \led_flash_cnt[696][5]~q\,
	combout => \WideAnd696~1_combout\);

-- Location: LCCOMB_X17_Y31_N16
\WideAnd696~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd696~0_combout\ = (\led_flash_cnt[696][4]~q\ & (\led_flash_cnt[696][1]~q\ & (\led_flash_cnt[696][3]~q\ & \led_flash_cnt[696][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[696][4]~q\,
	datab => \led_flash_cnt[696][1]~q\,
	datac => \led_flash_cnt[696][3]~q\,
	datad => \led_flash_cnt[696][2]~q\,
	combout => \WideAnd696~0_combout\);

-- Location: LCCOMB_X18_Y31_N28
WideAnd696 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd696~combout\ = (\led_flash_cnt[696][7]~q\ & (\WideAnd696~1_combout\ & (\WideAnd696~0_combout\ & \led_flash_cnt[696][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[696][7]~q\,
	datab => \WideAnd696~1_combout\,
	datac => \WideAnd696~0_combout\,
	datad => \led_flash_cnt[696][0]~q\,
	combout => \WideAnd696~combout\);

-- Location: FF_X18_Y31_N29
\led_flash_cnt_ands[696]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd696~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(696));

-- Location: LCCOMB_X23_Y7_N26
\led_flash_cnt[697][0]~81339\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[697][0]~81339_combout\ = !\led_flash_cnt[697][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[697][0]~q\,
	combout => \led_flash_cnt[697][0]~81339_combout\);

-- Location: FF_X23_Y7_N27
\led_flash_cnt[697][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[697][0]~81339_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[697][0]~q\);

-- Location: LCCOMB_X23_Y7_N2
\led_flash_cnt[697][1]~36666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[697][1]~36666_combout\ = (\led_flash_cnt[697][0]~q\ & (\led_flash_cnt[697][1]~q\ $ (VCC))) # (!\led_flash_cnt[697][0]~q\ & (\led_flash_cnt[697][1]~q\ & VCC))
-- \led_flash_cnt[697][1]~36667\ = CARRY((\led_flash_cnt[697][0]~q\ & \led_flash_cnt[697][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[697][0]~q\,
	datab => \led_flash_cnt[697][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[697][1]~36666_combout\,
	cout => \led_flash_cnt[697][1]~36667\);

-- Location: FF_X23_Y7_N3
\led_flash_cnt[697][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[697][1]~36666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[697][1]~q\);

-- Location: LCCOMB_X23_Y7_N4
\led_flash_cnt[697][2]~36668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[697][2]~36668_combout\ = (\led_flash_cnt[697][2]~q\ & (!\led_flash_cnt[697][1]~36667\)) # (!\led_flash_cnt[697][2]~q\ & ((\led_flash_cnt[697][1]~36667\) # (GND)))
-- \led_flash_cnt[697][2]~36669\ = CARRY((!\led_flash_cnt[697][1]~36667\) # (!\led_flash_cnt[697][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[697][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[697][1]~36667\,
	combout => \led_flash_cnt[697][2]~36668_combout\,
	cout => \led_flash_cnt[697][2]~36669\);

-- Location: FF_X23_Y7_N5
\led_flash_cnt[697][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[697][2]~36668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[697][2]~q\);

-- Location: LCCOMB_X23_Y7_N6
\led_flash_cnt[697][3]~36670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[697][3]~36670_combout\ = (\led_flash_cnt[697][3]~q\ & (\led_flash_cnt[697][2]~36669\ $ (GND))) # (!\led_flash_cnt[697][3]~q\ & (!\led_flash_cnt[697][2]~36669\ & VCC))
-- \led_flash_cnt[697][3]~36671\ = CARRY((\led_flash_cnt[697][3]~q\ & !\led_flash_cnt[697][2]~36669\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[697][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[697][2]~36669\,
	combout => \led_flash_cnt[697][3]~36670_combout\,
	cout => \led_flash_cnt[697][3]~36671\);

-- Location: FF_X23_Y7_N7
\led_flash_cnt[697][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[697][3]~36670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[697][3]~q\);

-- Location: LCCOMB_X23_Y7_N8
\led_flash_cnt[697][4]~36672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[697][4]~36672_combout\ = (\led_flash_cnt[697][4]~q\ & (!\led_flash_cnt[697][3]~36671\)) # (!\led_flash_cnt[697][4]~q\ & ((\led_flash_cnt[697][3]~36671\) # (GND)))
-- \led_flash_cnt[697][4]~36673\ = CARRY((!\led_flash_cnt[697][3]~36671\) # (!\led_flash_cnt[697][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[697][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[697][3]~36671\,
	combout => \led_flash_cnt[697][4]~36672_combout\,
	cout => \led_flash_cnt[697][4]~36673\);

-- Location: FF_X23_Y7_N9
\led_flash_cnt[697][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[697][4]~36672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[697][4]~q\);

-- Location: LCCOMB_X23_Y7_N10
\led_flash_cnt[697][5]~36674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[697][5]~36674_combout\ = (\led_flash_cnt[697][5]~q\ & (\led_flash_cnt[697][4]~36673\ $ (GND))) # (!\led_flash_cnt[697][5]~q\ & (!\led_flash_cnt[697][4]~36673\ & VCC))
-- \led_flash_cnt[697][5]~36675\ = CARRY((\led_flash_cnt[697][5]~q\ & !\led_flash_cnt[697][4]~36673\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[697][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[697][4]~36673\,
	combout => \led_flash_cnt[697][5]~36674_combout\,
	cout => \led_flash_cnt[697][5]~36675\);

-- Location: FF_X23_Y7_N11
\led_flash_cnt[697][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[697][5]~36674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[697][5]~q\);

-- Location: LCCOMB_X23_Y7_N12
\led_flash_cnt[697][6]~36676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[697][6]~36676_combout\ = (\led_flash_cnt[697][6]~q\ & (!\led_flash_cnt[697][5]~36675\)) # (!\led_flash_cnt[697][6]~q\ & ((\led_flash_cnt[697][5]~36675\) # (GND)))
-- \led_flash_cnt[697][6]~36677\ = CARRY((!\led_flash_cnt[697][5]~36675\) # (!\led_flash_cnt[697][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[697][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[697][5]~36675\,
	combout => \led_flash_cnt[697][6]~36676_combout\,
	cout => \led_flash_cnt[697][6]~36677\);

-- Location: FF_X23_Y7_N13
\led_flash_cnt[697][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[697][6]~36676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[697][6]~q\);

-- Location: LCCOMB_X23_Y7_N22
\WideAnd697~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd697~1_combout\ = (\led_flash_cnt[697][5]~q\ & \led_flash_cnt[697][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[697][5]~q\,
	datad => \led_flash_cnt[697][6]~q\,
	combout => \WideAnd697~1_combout\);

-- Location: LCCOMB_X23_Y7_N14
\led_flash_cnt[697][7]~36678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[697][7]~36678_combout\ = \led_flash_cnt[697][7]~q\ $ (!\led_flash_cnt[697][6]~36677\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[697][7]~q\,
	cin => \led_flash_cnt[697][6]~36677\,
	combout => \led_flash_cnt[697][7]~36678_combout\);

-- Location: FF_X23_Y7_N15
\led_flash_cnt[697][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[697][7]~36678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[697][7]~q\);

-- Location: LCCOMB_X23_Y7_N18
\WideAnd697~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd697~0_combout\ = (\led_flash_cnt[697][3]~q\ & (\led_flash_cnt[697][4]~q\ & (\led_flash_cnt[697][2]~q\ & \led_flash_cnt[697][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[697][3]~q\,
	datab => \led_flash_cnt[697][4]~q\,
	datac => \led_flash_cnt[697][2]~q\,
	datad => \led_flash_cnt[697][1]~q\,
	combout => \WideAnd697~0_combout\);

-- Location: LCCOMB_X23_Y7_N24
WideAnd697 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd697~combout\ = (\WideAnd697~1_combout\ & (\led_flash_cnt[697][7]~q\ & (\led_flash_cnt[697][0]~q\ & \WideAnd697~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd697~1_combout\,
	datab => \led_flash_cnt[697][7]~q\,
	datac => \led_flash_cnt[697][0]~q\,
	datad => \WideAnd697~0_combout\,
	combout => \WideAnd697~combout\);

-- Location: FF_X23_Y7_N25
\led_flash_cnt_ands[697]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd697~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(697));

-- Location: LCCOMB_X7_Y28_N12
\led_flash_cnt[698][0]~81340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[698][0]~81340_combout\ = !\led_flash_cnt[698][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[698][0]~q\,
	combout => \led_flash_cnt[698][0]~81340_combout\);

-- Location: FF_X7_Y28_N13
\led_flash_cnt[698][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[698][0]~81340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[698][0]~q\);

-- Location: LCCOMB_X7_Y28_N14
\led_flash_cnt[698][1]~36680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[698][1]~36680_combout\ = (\led_flash_cnt[698][0]~q\ & (\led_flash_cnt[698][1]~q\ $ (VCC))) # (!\led_flash_cnt[698][0]~q\ & (\led_flash_cnt[698][1]~q\ & VCC))
-- \led_flash_cnt[698][1]~36681\ = CARRY((\led_flash_cnt[698][0]~q\ & \led_flash_cnt[698][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[698][0]~q\,
	datab => \led_flash_cnt[698][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[698][1]~36680_combout\,
	cout => \led_flash_cnt[698][1]~36681\);

-- Location: FF_X7_Y28_N15
\led_flash_cnt[698][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[698][1]~36680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[698][1]~q\);

-- Location: LCCOMB_X7_Y28_N16
\led_flash_cnt[698][2]~36682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[698][2]~36682_combout\ = (\led_flash_cnt[698][2]~q\ & (!\led_flash_cnt[698][1]~36681\)) # (!\led_flash_cnt[698][2]~q\ & ((\led_flash_cnt[698][1]~36681\) # (GND)))
-- \led_flash_cnt[698][2]~36683\ = CARRY((!\led_flash_cnt[698][1]~36681\) # (!\led_flash_cnt[698][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[698][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[698][1]~36681\,
	combout => \led_flash_cnt[698][2]~36682_combout\,
	cout => \led_flash_cnt[698][2]~36683\);

-- Location: FF_X7_Y28_N17
\led_flash_cnt[698][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[698][2]~36682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[698][2]~q\);

-- Location: LCCOMB_X7_Y28_N18
\led_flash_cnt[698][3]~36684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[698][3]~36684_combout\ = (\led_flash_cnt[698][3]~q\ & (\led_flash_cnt[698][2]~36683\ $ (GND))) # (!\led_flash_cnt[698][3]~q\ & (!\led_flash_cnt[698][2]~36683\ & VCC))
-- \led_flash_cnt[698][3]~36685\ = CARRY((\led_flash_cnt[698][3]~q\ & !\led_flash_cnt[698][2]~36683\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[698][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[698][2]~36683\,
	combout => \led_flash_cnt[698][3]~36684_combout\,
	cout => \led_flash_cnt[698][3]~36685\);

-- Location: FF_X7_Y28_N19
\led_flash_cnt[698][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[698][3]~36684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[698][3]~q\);

-- Location: LCCOMB_X7_Y28_N20
\led_flash_cnt[698][4]~36686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[698][4]~36686_combout\ = (\led_flash_cnt[698][4]~q\ & (!\led_flash_cnt[698][3]~36685\)) # (!\led_flash_cnt[698][4]~q\ & ((\led_flash_cnt[698][3]~36685\) # (GND)))
-- \led_flash_cnt[698][4]~36687\ = CARRY((!\led_flash_cnt[698][3]~36685\) # (!\led_flash_cnt[698][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[698][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[698][3]~36685\,
	combout => \led_flash_cnt[698][4]~36686_combout\,
	cout => \led_flash_cnt[698][4]~36687\);

-- Location: FF_X7_Y28_N21
\led_flash_cnt[698][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[698][4]~36686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[698][4]~q\);

-- Location: LCCOMB_X7_Y28_N22
\led_flash_cnt[698][5]~36688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[698][5]~36688_combout\ = (\led_flash_cnt[698][5]~q\ & (\led_flash_cnt[698][4]~36687\ $ (GND))) # (!\led_flash_cnt[698][5]~q\ & (!\led_flash_cnt[698][4]~36687\ & VCC))
-- \led_flash_cnt[698][5]~36689\ = CARRY((\led_flash_cnt[698][5]~q\ & !\led_flash_cnt[698][4]~36687\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[698][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[698][4]~36687\,
	combout => \led_flash_cnt[698][5]~36688_combout\,
	cout => \led_flash_cnt[698][5]~36689\);

-- Location: FF_X7_Y28_N23
\led_flash_cnt[698][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[698][5]~36688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[698][5]~q\);

-- Location: LCCOMB_X7_Y28_N24
\led_flash_cnt[698][6]~36690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[698][6]~36690_combout\ = (\led_flash_cnt[698][6]~q\ & (!\led_flash_cnt[698][5]~36689\)) # (!\led_flash_cnt[698][6]~q\ & ((\led_flash_cnt[698][5]~36689\) # (GND)))
-- \led_flash_cnt[698][6]~36691\ = CARRY((!\led_flash_cnt[698][5]~36689\) # (!\led_flash_cnt[698][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[698][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[698][5]~36689\,
	combout => \led_flash_cnt[698][6]~36690_combout\,
	cout => \led_flash_cnt[698][6]~36691\);

-- Location: FF_X7_Y28_N25
\led_flash_cnt[698][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[698][6]~36690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[698][6]~q\);

-- Location: LCCOMB_X7_Y28_N0
\WideAnd698~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd698~1_combout\ = (\led_flash_cnt[698][5]~q\ & \led_flash_cnt[698][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[698][5]~q\,
	datad => \led_flash_cnt[698][6]~q\,
	combout => \WideAnd698~1_combout\);

-- Location: LCCOMB_X7_Y28_N26
\led_flash_cnt[698][7]~36692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[698][7]~36692_combout\ = \led_flash_cnt[698][7]~q\ $ (!\led_flash_cnt[698][6]~36691\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[698][7]~q\,
	cin => \led_flash_cnt[698][6]~36691\,
	combout => \led_flash_cnt[698][7]~36692_combout\);

-- Location: FF_X7_Y28_N27
\led_flash_cnt[698][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[698][7]~36692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[698][7]~q\);

-- Location: LCCOMB_X7_Y28_N28
\WideAnd698~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd698~0_combout\ = (\led_flash_cnt[698][4]~q\ & (\led_flash_cnt[698][3]~q\ & (\led_flash_cnt[698][1]~q\ & \led_flash_cnt[698][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[698][4]~q\,
	datab => \led_flash_cnt[698][3]~q\,
	datac => \led_flash_cnt[698][1]~q\,
	datad => \led_flash_cnt[698][2]~q\,
	combout => \WideAnd698~0_combout\);

-- Location: LCCOMB_X7_Y28_N10
WideAnd698 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd698~combout\ = (\led_flash_cnt[698][0]~q\ & (\WideAnd698~1_combout\ & (\led_flash_cnt[698][7]~q\ & \WideAnd698~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[698][0]~q\,
	datab => \WideAnd698~1_combout\,
	datac => \led_flash_cnt[698][7]~q\,
	datad => \WideAnd698~0_combout\,
	combout => \WideAnd698~combout\);

-- Location: FF_X7_Y28_N11
\led_flash_cnt_ands[698]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd698~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(698));

-- Location: LCCOMB_X18_Y31_N24
\WideAnd3927~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3927~0_combout\ = (led_flash_cnt_ands(699) & (led_flash_cnt_ands(696) & (led_flash_cnt_ands(697) & led_flash_cnt_ands(698))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(699),
	datab => led_flash_cnt_ands(696),
	datac => led_flash_cnt_ands(697),
	datad => led_flash_cnt_ands(698),
	combout => \WideAnd3927~0_combout\);

-- Location: LCCOMB_X45_Y7_N0
\led_flash_cnt[703][0]~81343\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[703][0]~81343_combout\ = !\led_flash_cnt[703][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[703][0]~q\,
	combout => \led_flash_cnt[703][0]~81343_combout\);

-- Location: FF_X45_Y7_N1
\led_flash_cnt[703][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[703][0]~81343_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[703][0]~q\);

-- Location: LCCOMB_X45_Y7_N6
\led_flash_cnt[703][1]~36722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[703][1]~36722_combout\ = (\led_flash_cnt[703][1]~q\ & (\led_flash_cnt[703][0]~q\ $ (VCC))) # (!\led_flash_cnt[703][1]~q\ & (\led_flash_cnt[703][0]~q\ & VCC))
-- \led_flash_cnt[703][1]~36723\ = CARRY((\led_flash_cnt[703][1]~q\ & \led_flash_cnt[703][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[703][1]~q\,
	datab => \led_flash_cnt[703][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[703][1]~36722_combout\,
	cout => \led_flash_cnt[703][1]~36723\);

-- Location: FF_X45_Y7_N7
\led_flash_cnt[703][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[703][1]~36722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[703][1]~q\);

-- Location: LCCOMB_X45_Y7_N8
\led_flash_cnt[703][2]~36724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[703][2]~36724_combout\ = (\led_flash_cnt[703][2]~q\ & (!\led_flash_cnt[703][1]~36723\)) # (!\led_flash_cnt[703][2]~q\ & ((\led_flash_cnt[703][1]~36723\) # (GND)))
-- \led_flash_cnt[703][2]~36725\ = CARRY((!\led_flash_cnt[703][1]~36723\) # (!\led_flash_cnt[703][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[703][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[703][1]~36723\,
	combout => \led_flash_cnt[703][2]~36724_combout\,
	cout => \led_flash_cnt[703][2]~36725\);

-- Location: FF_X45_Y7_N9
\led_flash_cnt[703][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[703][2]~36724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[703][2]~q\);

-- Location: LCCOMB_X45_Y7_N10
\led_flash_cnt[703][3]~36726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[703][3]~36726_combout\ = (\led_flash_cnt[703][3]~q\ & (\led_flash_cnt[703][2]~36725\ $ (GND))) # (!\led_flash_cnt[703][3]~q\ & (!\led_flash_cnt[703][2]~36725\ & VCC))
-- \led_flash_cnt[703][3]~36727\ = CARRY((\led_flash_cnt[703][3]~q\ & !\led_flash_cnt[703][2]~36725\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[703][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[703][2]~36725\,
	combout => \led_flash_cnt[703][3]~36726_combout\,
	cout => \led_flash_cnt[703][3]~36727\);

-- Location: FF_X45_Y7_N11
\led_flash_cnt[703][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[703][3]~36726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[703][3]~q\);

-- Location: LCCOMB_X45_Y7_N12
\led_flash_cnt[703][4]~36728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[703][4]~36728_combout\ = (\led_flash_cnt[703][4]~q\ & (!\led_flash_cnt[703][3]~36727\)) # (!\led_flash_cnt[703][4]~q\ & ((\led_flash_cnt[703][3]~36727\) # (GND)))
-- \led_flash_cnt[703][4]~36729\ = CARRY((!\led_flash_cnt[703][3]~36727\) # (!\led_flash_cnt[703][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[703][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[703][3]~36727\,
	combout => \led_flash_cnt[703][4]~36728_combout\,
	cout => \led_flash_cnt[703][4]~36729\);

-- Location: FF_X45_Y7_N13
\led_flash_cnt[703][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[703][4]~36728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[703][4]~q\);

-- Location: LCCOMB_X45_Y7_N22
\WideAnd703~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd703~0_combout\ = (\led_flash_cnt[703][3]~q\ & (\led_flash_cnt[703][4]~q\ & (\led_flash_cnt[703][2]~q\ & \led_flash_cnt[703][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[703][3]~q\,
	datab => \led_flash_cnt[703][4]~q\,
	datac => \led_flash_cnt[703][2]~q\,
	datad => \led_flash_cnt[703][1]~q\,
	combout => \WideAnd703~0_combout\);

-- Location: LCCOMB_X45_Y7_N14
\led_flash_cnt[703][5]~36730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[703][5]~36730_combout\ = (\led_flash_cnt[703][5]~q\ & (\led_flash_cnt[703][4]~36729\ $ (GND))) # (!\led_flash_cnt[703][5]~q\ & (!\led_flash_cnt[703][4]~36729\ & VCC))
-- \led_flash_cnt[703][5]~36731\ = CARRY((\led_flash_cnt[703][5]~q\ & !\led_flash_cnt[703][4]~36729\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[703][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[703][4]~36729\,
	combout => \led_flash_cnt[703][5]~36730_combout\,
	cout => \led_flash_cnt[703][5]~36731\);

-- Location: FF_X45_Y7_N15
\led_flash_cnt[703][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[703][5]~36730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[703][5]~q\);

-- Location: LCCOMB_X45_Y7_N16
\led_flash_cnt[703][6]~36732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[703][6]~36732_combout\ = (\led_flash_cnt[703][6]~q\ & (!\led_flash_cnt[703][5]~36731\)) # (!\led_flash_cnt[703][6]~q\ & ((\led_flash_cnt[703][5]~36731\) # (GND)))
-- \led_flash_cnt[703][6]~36733\ = CARRY((!\led_flash_cnt[703][5]~36731\) # (!\led_flash_cnt[703][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[703][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[703][5]~36731\,
	combout => \led_flash_cnt[703][6]~36732_combout\,
	cout => \led_flash_cnt[703][6]~36733\);

-- Location: FF_X45_Y7_N17
\led_flash_cnt[703][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[703][6]~36732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[703][6]~q\);

-- Location: LCCOMB_X45_Y7_N18
\led_flash_cnt[703][7]~36734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[703][7]~36734_combout\ = \led_flash_cnt[703][6]~36733\ $ (!\led_flash_cnt[703][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[703][7]~q\,
	cin => \led_flash_cnt[703][6]~36733\,
	combout => \led_flash_cnt[703][7]~36734_combout\);

-- Location: FF_X45_Y7_N19
\led_flash_cnt[703][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[703][7]~36734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[703][7]~q\);

-- Location: LCCOMB_X45_Y7_N4
\WideAnd703~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd703~1_combout\ = (\led_flash_cnt[703][5]~q\ & \led_flash_cnt[703][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[703][5]~q\,
	datad => \led_flash_cnt[703][6]~q\,
	combout => \WideAnd703~1_combout\);

-- Location: LCCOMB_X45_Y7_N2
WideAnd703 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd703~combout\ = (\WideAnd703~0_combout\ & (\led_flash_cnt[703][7]~q\ & (\WideAnd703~1_combout\ & \led_flash_cnt[703][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd703~0_combout\,
	datab => \led_flash_cnt[703][7]~q\,
	datac => \WideAnd703~1_combout\,
	datad => \led_flash_cnt[703][0]~q\,
	combout => \WideAnd703~combout\);

-- Location: FF_X45_Y7_N3
\led_flash_cnt_ands[703]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd703~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(703));

-- Location: LCCOMB_X36_Y29_N10
\led_flash_cnt[702][0]~81342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[702][0]~81342_combout\ = !\led_flash_cnt[702][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[702][0]~q\,
	combout => \led_flash_cnt[702][0]~81342_combout\);

-- Location: FF_X36_Y29_N11
\led_flash_cnt[702][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[702][0]~81342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[702][0]~q\);

-- Location: LCCOMB_X36_Y29_N14
\led_flash_cnt[702][1]~36708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[702][1]~36708_combout\ = (\led_flash_cnt[702][0]~q\ & (\led_flash_cnt[702][1]~q\ $ (VCC))) # (!\led_flash_cnt[702][0]~q\ & (\led_flash_cnt[702][1]~q\ & VCC))
-- \led_flash_cnt[702][1]~36709\ = CARRY((\led_flash_cnt[702][0]~q\ & \led_flash_cnt[702][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[702][0]~q\,
	datab => \led_flash_cnt[702][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[702][1]~36708_combout\,
	cout => \led_flash_cnt[702][1]~36709\);

-- Location: FF_X36_Y29_N15
\led_flash_cnt[702][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[702][1]~36708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[702][1]~q\);

-- Location: LCCOMB_X36_Y29_N16
\led_flash_cnt[702][2]~36710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[702][2]~36710_combout\ = (\led_flash_cnt[702][2]~q\ & (!\led_flash_cnt[702][1]~36709\)) # (!\led_flash_cnt[702][2]~q\ & ((\led_flash_cnt[702][1]~36709\) # (GND)))
-- \led_flash_cnt[702][2]~36711\ = CARRY((!\led_flash_cnt[702][1]~36709\) # (!\led_flash_cnt[702][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[702][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[702][1]~36709\,
	combout => \led_flash_cnt[702][2]~36710_combout\,
	cout => \led_flash_cnt[702][2]~36711\);

-- Location: FF_X36_Y29_N17
\led_flash_cnt[702][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[702][2]~36710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[702][2]~q\);

-- Location: LCCOMB_X36_Y29_N18
\led_flash_cnt[702][3]~36712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[702][3]~36712_combout\ = (\led_flash_cnt[702][3]~q\ & (\led_flash_cnt[702][2]~36711\ $ (GND))) # (!\led_flash_cnt[702][3]~q\ & (!\led_flash_cnt[702][2]~36711\ & VCC))
-- \led_flash_cnt[702][3]~36713\ = CARRY((\led_flash_cnt[702][3]~q\ & !\led_flash_cnt[702][2]~36711\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[702][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[702][2]~36711\,
	combout => \led_flash_cnt[702][3]~36712_combout\,
	cout => \led_flash_cnt[702][3]~36713\);

-- Location: FF_X36_Y29_N19
\led_flash_cnt[702][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[702][3]~36712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[702][3]~q\);

-- Location: LCCOMB_X36_Y29_N20
\led_flash_cnt[702][4]~36714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[702][4]~36714_combout\ = (\led_flash_cnt[702][4]~q\ & (!\led_flash_cnt[702][3]~36713\)) # (!\led_flash_cnt[702][4]~q\ & ((\led_flash_cnt[702][3]~36713\) # (GND)))
-- \led_flash_cnt[702][4]~36715\ = CARRY((!\led_flash_cnt[702][3]~36713\) # (!\led_flash_cnt[702][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[702][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[702][3]~36713\,
	combout => \led_flash_cnt[702][4]~36714_combout\,
	cout => \led_flash_cnt[702][4]~36715\);

-- Location: FF_X36_Y29_N21
\led_flash_cnt[702][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[702][4]~36714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[702][4]~q\);

-- Location: LCCOMB_X36_Y29_N22
\led_flash_cnt[702][5]~36716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[702][5]~36716_combout\ = (\led_flash_cnt[702][5]~q\ & (\led_flash_cnt[702][4]~36715\ $ (GND))) # (!\led_flash_cnt[702][5]~q\ & (!\led_flash_cnt[702][4]~36715\ & VCC))
-- \led_flash_cnt[702][5]~36717\ = CARRY((\led_flash_cnt[702][5]~q\ & !\led_flash_cnt[702][4]~36715\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[702][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[702][4]~36715\,
	combout => \led_flash_cnt[702][5]~36716_combout\,
	cout => \led_flash_cnt[702][5]~36717\);

-- Location: FF_X36_Y29_N23
\led_flash_cnt[702][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[702][5]~36716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[702][5]~q\);

-- Location: LCCOMB_X36_Y29_N24
\led_flash_cnt[702][6]~36718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[702][6]~36718_combout\ = (\led_flash_cnt[702][6]~q\ & (!\led_flash_cnt[702][5]~36717\)) # (!\led_flash_cnt[702][6]~q\ & ((\led_flash_cnt[702][5]~36717\) # (GND)))
-- \led_flash_cnt[702][6]~36719\ = CARRY((!\led_flash_cnt[702][5]~36717\) # (!\led_flash_cnt[702][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[702][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[702][5]~36717\,
	combout => \led_flash_cnt[702][6]~36718_combout\,
	cout => \led_flash_cnt[702][6]~36719\);

-- Location: FF_X36_Y29_N25
\led_flash_cnt[702][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[702][6]~36718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[702][6]~q\);

-- Location: LCCOMB_X36_Y29_N26
\led_flash_cnt[702][7]~36720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[702][7]~36720_combout\ = \led_flash_cnt[702][7]~q\ $ (!\led_flash_cnt[702][6]~36719\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[702][7]~q\,
	cin => \led_flash_cnt[702][6]~36719\,
	combout => \led_flash_cnt[702][7]~36720_combout\);

-- Location: FF_X36_Y29_N27
\led_flash_cnt[702][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[702][7]~36720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[702][7]~q\);

-- Location: LCCOMB_X36_Y29_N30
\WideAnd702~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd702~1_combout\ = (\led_flash_cnt[702][7]~q\ & \led_flash_cnt[702][4]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[702][7]~q\,
	datad => \led_flash_cnt[702][4]~q\,
	combout => \WideAnd702~1_combout\);

-- Location: LCCOMB_X36_Y29_N0
\WideAnd702~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd702~0_combout\ = (\led_flash_cnt[702][3]~q\ & (\led_flash_cnt[702][2]~q\ & (\led_flash_cnt[702][1]~q\ & \led_flash_cnt[702][6]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[702][3]~q\,
	datab => \led_flash_cnt[702][2]~q\,
	datac => \led_flash_cnt[702][1]~q\,
	datad => \led_flash_cnt[702][6]~q\,
	combout => \WideAnd702~0_combout\);

-- Location: LCCOMB_X36_Y29_N8
WideAnd702 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd702~combout\ = (\WideAnd702~1_combout\ & (\WideAnd702~0_combout\ & (\led_flash_cnt[702][5]~q\ & \led_flash_cnt[702][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd702~1_combout\,
	datab => \WideAnd702~0_combout\,
	datac => \led_flash_cnt[702][5]~q\,
	datad => \led_flash_cnt[702][0]~q\,
	combout => \WideAnd702~combout\);

-- Location: FF_X36_Y29_N9
\led_flash_cnt_ands[702]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd702~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(702));

-- Location: LCCOMB_X37_Y29_N0
\WideAnd3927~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3927~1_combout\ = (led_flash_cnt_ands(703) & led_flash_cnt_ands(702))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(703),
	datad => led_flash_cnt_ands(702),
	combout => \WideAnd3927~1_combout\);

-- Location: LCCOMB_X37_Y29_N4
WideAnd3927 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3927~combout\ = (led_flash_cnt_ands(701) & (led_flash_cnt_ands(700) & (\WideAnd3927~0_combout\ & \WideAnd3927~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(701),
	datab => led_flash_cnt_ands(700),
	datac => \WideAnd3927~0_combout\,
	datad => \WideAnd3927~1_combout\,
	combout => \WideAnd3927~combout\);

-- Location: FF_X37_Y29_N5
\led_flash_cnt_ands_1[87]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3927~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(87));

-- Location: LCCOMB_X29_Y19_N4
\led_flash_cnt[676][0]~81316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[676][0]~81316_combout\ = !\led_flash_cnt[676][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[676][0]~q\,
	combout => \led_flash_cnt[676][0]~81316_combout\);

-- Location: FF_X29_Y19_N5
\led_flash_cnt[676][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[676][0]~81316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[676][0]~q\);

-- Location: LCCOMB_X29_Y19_N18
\led_flash_cnt[676][1]~36344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[676][1]~36344_combout\ = (\led_flash_cnt[676][1]~q\ & (\led_flash_cnt[676][0]~q\ $ (VCC))) # (!\led_flash_cnt[676][1]~q\ & (\led_flash_cnt[676][0]~q\ & VCC))
-- \led_flash_cnt[676][1]~36345\ = CARRY((\led_flash_cnt[676][1]~q\ & \led_flash_cnt[676][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[676][1]~q\,
	datab => \led_flash_cnt[676][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[676][1]~36344_combout\,
	cout => \led_flash_cnt[676][1]~36345\);

-- Location: FF_X29_Y19_N19
\led_flash_cnt[676][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[676][1]~36344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[676][1]~q\);

-- Location: LCCOMB_X29_Y19_N20
\led_flash_cnt[676][2]~36346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[676][2]~36346_combout\ = (\led_flash_cnt[676][2]~q\ & (!\led_flash_cnt[676][1]~36345\)) # (!\led_flash_cnt[676][2]~q\ & ((\led_flash_cnt[676][1]~36345\) # (GND)))
-- \led_flash_cnt[676][2]~36347\ = CARRY((!\led_flash_cnt[676][1]~36345\) # (!\led_flash_cnt[676][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[676][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[676][1]~36345\,
	combout => \led_flash_cnt[676][2]~36346_combout\,
	cout => \led_flash_cnt[676][2]~36347\);

-- Location: FF_X29_Y19_N21
\led_flash_cnt[676][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[676][2]~36346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[676][2]~q\);

-- Location: LCCOMB_X29_Y19_N22
\led_flash_cnt[676][3]~36348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[676][3]~36348_combout\ = (\led_flash_cnt[676][3]~q\ & (\led_flash_cnt[676][2]~36347\ $ (GND))) # (!\led_flash_cnt[676][3]~q\ & (!\led_flash_cnt[676][2]~36347\ & VCC))
-- \led_flash_cnt[676][3]~36349\ = CARRY((\led_flash_cnt[676][3]~q\ & !\led_flash_cnt[676][2]~36347\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[676][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[676][2]~36347\,
	combout => \led_flash_cnt[676][3]~36348_combout\,
	cout => \led_flash_cnt[676][3]~36349\);

-- Location: FF_X29_Y19_N23
\led_flash_cnt[676][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[676][3]~36348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[676][3]~q\);

-- Location: LCCOMB_X29_Y19_N24
\led_flash_cnt[676][4]~36350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[676][4]~36350_combout\ = (\led_flash_cnt[676][4]~q\ & (!\led_flash_cnt[676][3]~36349\)) # (!\led_flash_cnt[676][4]~q\ & ((\led_flash_cnt[676][3]~36349\) # (GND)))
-- \led_flash_cnt[676][4]~36351\ = CARRY((!\led_flash_cnt[676][3]~36349\) # (!\led_flash_cnt[676][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[676][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[676][3]~36349\,
	combout => \led_flash_cnt[676][4]~36350_combout\,
	cout => \led_flash_cnt[676][4]~36351\);

-- Location: FF_X29_Y19_N25
\led_flash_cnt[676][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[676][4]~36350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[676][4]~q\);

-- Location: LCCOMB_X29_Y19_N10
\WideAnd676~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd676~0_combout\ = (\led_flash_cnt[676][1]~q\ & (\led_flash_cnt[676][2]~q\ & (\led_flash_cnt[676][3]~q\ & \led_flash_cnt[676][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[676][1]~q\,
	datab => \led_flash_cnt[676][2]~q\,
	datac => \led_flash_cnt[676][3]~q\,
	datad => \led_flash_cnt[676][4]~q\,
	combout => \WideAnd676~0_combout\);

-- Location: LCCOMB_X29_Y19_N26
\led_flash_cnt[676][5]~36352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[676][5]~36352_combout\ = (\led_flash_cnt[676][5]~q\ & (\led_flash_cnt[676][4]~36351\ $ (GND))) # (!\led_flash_cnt[676][5]~q\ & (!\led_flash_cnt[676][4]~36351\ & VCC))
-- \led_flash_cnt[676][5]~36353\ = CARRY((\led_flash_cnt[676][5]~q\ & !\led_flash_cnt[676][4]~36351\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[676][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[676][4]~36351\,
	combout => \led_flash_cnt[676][5]~36352_combout\,
	cout => \led_flash_cnt[676][5]~36353\);

-- Location: FF_X29_Y19_N27
\led_flash_cnt[676][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[676][5]~36352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[676][5]~q\);

-- Location: LCCOMB_X29_Y19_N28
\led_flash_cnt[676][6]~36354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[676][6]~36354_combout\ = (\led_flash_cnt[676][6]~q\ & (!\led_flash_cnt[676][5]~36353\)) # (!\led_flash_cnt[676][6]~q\ & ((\led_flash_cnt[676][5]~36353\) # (GND)))
-- \led_flash_cnt[676][6]~36355\ = CARRY((!\led_flash_cnt[676][5]~36353\) # (!\led_flash_cnt[676][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[676][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[676][5]~36353\,
	combout => \led_flash_cnt[676][6]~36354_combout\,
	cout => \led_flash_cnt[676][6]~36355\);

-- Location: FF_X29_Y19_N29
\led_flash_cnt[676][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[676][6]~36354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[676][6]~q\);

-- Location: LCCOMB_X29_Y19_N30
\led_flash_cnt[676][7]~36356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[676][7]~36356_combout\ = \led_flash_cnt[676][7]~q\ $ (!\led_flash_cnt[676][6]~36355\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[676][7]~q\,
	cin => \led_flash_cnt[676][6]~36355\,
	combout => \led_flash_cnt[676][7]~36356_combout\);

-- Location: FF_X29_Y19_N31
\led_flash_cnt[676][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[676][7]~36356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[676][7]~q\);

-- Location: LCCOMB_X29_Y19_N6
\WideAnd676~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd676~1_combout\ = (\led_flash_cnt[676][5]~q\ & \led_flash_cnt[676][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[676][5]~q\,
	datad => \led_flash_cnt[676][6]~q\,
	combout => \WideAnd676~1_combout\);

-- Location: LCCOMB_X29_Y19_N8
WideAnd676 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd676~combout\ = (\WideAnd676~0_combout\ & (\led_flash_cnt[676][0]~q\ & (\led_flash_cnt[676][7]~q\ & \WideAnd676~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd676~0_combout\,
	datab => \led_flash_cnt[676][0]~q\,
	datac => \led_flash_cnt[676][7]~q\,
	datad => \WideAnd676~1_combout\,
	combout => \WideAnd676~combout\);

-- Location: FF_X29_Y19_N9
\led_flash_cnt_ands[676]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd676~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(676));

-- Location: LCCOMB_X29_Y19_N14
\led_flash_cnt[677][0]~81317\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[677][0]~81317_combout\ = !\led_flash_cnt[677][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[677][0]~q\,
	combout => \led_flash_cnt[677][0]~81317_combout\);

-- Location: FF_X29_Y19_N15
\led_flash_cnt[677][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[677][0]~81317_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[677][0]~q\);

-- Location: LCCOMB_X27_Y19_N4
\led_flash_cnt[677][1]~36358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[677][1]~36358_combout\ = (\led_flash_cnt[677][0]~q\ & (\led_flash_cnt[677][1]~q\ $ (VCC))) # (!\led_flash_cnt[677][0]~q\ & (\led_flash_cnt[677][1]~q\ & VCC))
-- \led_flash_cnt[677][1]~36359\ = CARRY((\led_flash_cnt[677][0]~q\ & \led_flash_cnt[677][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[677][0]~q\,
	datab => \led_flash_cnt[677][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[677][1]~36358_combout\,
	cout => \led_flash_cnt[677][1]~36359\);

-- Location: FF_X27_Y19_N5
\led_flash_cnt[677][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[677][1]~36358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[677][1]~q\);

-- Location: LCCOMB_X27_Y19_N6
\led_flash_cnt[677][2]~36360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[677][2]~36360_combout\ = (\led_flash_cnt[677][2]~q\ & (!\led_flash_cnt[677][1]~36359\)) # (!\led_flash_cnt[677][2]~q\ & ((\led_flash_cnt[677][1]~36359\) # (GND)))
-- \led_flash_cnt[677][2]~36361\ = CARRY((!\led_flash_cnt[677][1]~36359\) # (!\led_flash_cnt[677][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[677][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[677][1]~36359\,
	combout => \led_flash_cnt[677][2]~36360_combout\,
	cout => \led_flash_cnt[677][2]~36361\);

-- Location: FF_X27_Y19_N7
\led_flash_cnt[677][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[677][2]~36360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[677][2]~q\);

-- Location: LCCOMB_X27_Y19_N8
\led_flash_cnt[677][3]~36362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[677][3]~36362_combout\ = (\led_flash_cnt[677][3]~q\ & (\led_flash_cnt[677][2]~36361\ $ (GND))) # (!\led_flash_cnt[677][3]~q\ & (!\led_flash_cnt[677][2]~36361\ & VCC))
-- \led_flash_cnt[677][3]~36363\ = CARRY((\led_flash_cnt[677][3]~q\ & !\led_flash_cnt[677][2]~36361\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[677][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[677][2]~36361\,
	combout => \led_flash_cnt[677][3]~36362_combout\,
	cout => \led_flash_cnt[677][3]~36363\);

-- Location: FF_X27_Y19_N9
\led_flash_cnt[677][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[677][3]~36362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[677][3]~q\);

-- Location: LCCOMB_X27_Y19_N10
\led_flash_cnt[677][4]~36364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[677][4]~36364_combout\ = (\led_flash_cnt[677][4]~q\ & (!\led_flash_cnt[677][3]~36363\)) # (!\led_flash_cnt[677][4]~q\ & ((\led_flash_cnt[677][3]~36363\) # (GND)))
-- \led_flash_cnt[677][4]~36365\ = CARRY((!\led_flash_cnt[677][3]~36363\) # (!\led_flash_cnt[677][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[677][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[677][3]~36363\,
	combout => \led_flash_cnt[677][4]~36364_combout\,
	cout => \led_flash_cnt[677][4]~36365\);

-- Location: FF_X27_Y19_N11
\led_flash_cnt[677][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[677][4]~36364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[677][4]~q\);

-- Location: LCCOMB_X27_Y19_N12
\led_flash_cnt[677][5]~36366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[677][5]~36366_combout\ = (\led_flash_cnt[677][5]~q\ & (\led_flash_cnt[677][4]~36365\ $ (GND))) # (!\led_flash_cnt[677][5]~q\ & (!\led_flash_cnt[677][4]~36365\ & VCC))
-- \led_flash_cnt[677][5]~36367\ = CARRY((\led_flash_cnt[677][5]~q\ & !\led_flash_cnt[677][4]~36365\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[677][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[677][4]~36365\,
	combout => \led_flash_cnt[677][5]~36366_combout\,
	cout => \led_flash_cnt[677][5]~36367\);

-- Location: FF_X27_Y19_N13
\led_flash_cnt[677][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[677][5]~36366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[677][5]~q\);

-- Location: LCCOMB_X27_Y19_N14
\led_flash_cnt[677][6]~36368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[677][6]~36368_combout\ = (\led_flash_cnt[677][6]~q\ & (!\led_flash_cnt[677][5]~36367\)) # (!\led_flash_cnt[677][6]~q\ & ((\led_flash_cnt[677][5]~36367\) # (GND)))
-- \led_flash_cnt[677][6]~36369\ = CARRY((!\led_flash_cnt[677][5]~36367\) # (!\led_flash_cnt[677][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[677][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[677][5]~36367\,
	combout => \led_flash_cnt[677][6]~36368_combout\,
	cout => \led_flash_cnt[677][6]~36369\);

-- Location: FF_X27_Y19_N15
\led_flash_cnt[677][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[677][6]~36368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[677][6]~q\);

-- Location: LCCOMB_X27_Y19_N16
\led_flash_cnt[677][7]~36370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[677][7]~36370_combout\ = \led_flash_cnt[677][6]~36369\ $ (!\led_flash_cnt[677][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[677][7]~q\,
	cin => \led_flash_cnt[677][6]~36369\,
	combout => \led_flash_cnt[677][7]~36370_combout\);

-- Location: FF_X27_Y19_N17
\led_flash_cnt[677][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[677][7]~36370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[677][7]~q\);

-- Location: LCCOMB_X27_Y19_N0
\WideAnd677~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd677~0_combout\ = (\led_flash_cnt[677][4]~q\ & (\led_flash_cnt[677][1]~q\ & (\led_flash_cnt[677][3]~q\ & \led_flash_cnt[677][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[677][4]~q\,
	datab => \led_flash_cnt[677][1]~q\,
	datac => \led_flash_cnt[677][3]~q\,
	datad => \led_flash_cnt[677][2]~q\,
	combout => \WideAnd677~0_combout\);

-- Location: LCCOMB_X29_Y19_N0
\WideAnd677~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd677~1_combout\ = (\led_flash_cnt[677][6]~q\ & \led_flash_cnt[677][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[677][6]~q\,
	datad => \led_flash_cnt[677][5]~q\,
	combout => \WideAnd677~1_combout\);

-- Location: LCCOMB_X29_Y19_N12
WideAnd677 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd677~combout\ = (\led_flash_cnt[677][7]~q\ & (\led_flash_cnt[677][0]~q\ & (\WideAnd677~0_combout\ & \WideAnd677~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[677][7]~q\,
	datab => \led_flash_cnt[677][0]~q\,
	datac => \WideAnd677~0_combout\,
	datad => \WideAnd677~1_combout\,
	combout => \WideAnd677~combout\);

-- Location: FF_X29_Y19_N13
\led_flash_cnt_ands[677]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd677~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(677));

-- Location: LCCOMB_X29_Y19_N16
\WideAnd3924~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3924~1_combout\ = (led_flash_cnt_ands(676) & led_flash_cnt_ands(677))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(676),
	datad => led_flash_cnt_ands(677),
	combout => \WideAnd3924~1_combout\);

-- Location: LCCOMB_X11_Y26_N6
\led_flash_cnt[679][0]~81319\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[679][0]~81319_combout\ = !\led_flash_cnt[679][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[679][0]~q\,
	combout => \led_flash_cnt[679][0]~81319_combout\);

-- Location: FF_X11_Y26_N7
\led_flash_cnt[679][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[679][0]~81319_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[679][0]~q\);

-- Location: LCCOMB_X12_Y26_N0
\led_flash_cnt[679][1]~36386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[679][1]~36386_combout\ = (\led_flash_cnt[679][0]~q\ & (\led_flash_cnt[679][1]~q\ $ (VCC))) # (!\led_flash_cnt[679][0]~q\ & (\led_flash_cnt[679][1]~q\ & VCC))
-- \led_flash_cnt[679][1]~36387\ = CARRY((\led_flash_cnt[679][0]~q\ & \led_flash_cnt[679][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[679][0]~q\,
	datab => \led_flash_cnt[679][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[679][1]~36386_combout\,
	cout => \led_flash_cnt[679][1]~36387\);

-- Location: FF_X12_Y26_N1
\led_flash_cnt[679][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[679][1]~36386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[679][1]~q\);

-- Location: LCCOMB_X12_Y26_N2
\led_flash_cnt[679][2]~36388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[679][2]~36388_combout\ = (\led_flash_cnt[679][2]~q\ & (!\led_flash_cnt[679][1]~36387\)) # (!\led_flash_cnt[679][2]~q\ & ((\led_flash_cnt[679][1]~36387\) # (GND)))
-- \led_flash_cnt[679][2]~36389\ = CARRY((!\led_flash_cnt[679][1]~36387\) # (!\led_flash_cnt[679][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[679][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[679][1]~36387\,
	combout => \led_flash_cnt[679][2]~36388_combout\,
	cout => \led_flash_cnt[679][2]~36389\);

-- Location: FF_X12_Y26_N3
\led_flash_cnt[679][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[679][2]~36388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[679][2]~q\);

-- Location: LCCOMB_X12_Y26_N4
\led_flash_cnt[679][3]~36390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[679][3]~36390_combout\ = (\led_flash_cnt[679][3]~q\ & (\led_flash_cnt[679][2]~36389\ $ (GND))) # (!\led_flash_cnt[679][3]~q\ & (!\led_flash_cnt[679][2]~36389\ & VCC))
-- \led_flash_cnt[679][3]~36391\ = CARRY((\led_flash_cnt[679][3]~q\ & !\led_flash_cnt[679][2]~36389\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[679][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[679][2]~36389\,
	combout => \led_flash_cnt[679][3]~36390_combout\,
	cout => \led_flash_cnt[679][3]~36391\);

-- Location: FF_X12_Y26_N5
\led_flash_cnt[679][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[679][3]~36390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[679][3]~q\);

-- Location: LCCOMB_X12_Y26_N6
\led_flash_cnt[679][4]~36392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[679][4]~36392_combout\ = (\led_flash_cnt[679][4]~q\ & (!\led_flash_cnt[679][3]~36391\)) # (!\led_flash_cnt[679][4]~q\ & ((\led_flash_cnt[679][3]~36391\) # (GND)))
-- \led_flash_cnt[679][4]~36393\ = CARRY((!\led_flash_cnt[679][3]~36391\) # (!\led_flash_cnt[679][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[679][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[679][3]~36391\,
	combout => \led_flash_cnt[679][4]~36392_combout\,
	cout => \led_flash_cnt[679][4]~36393\);

-- Location: FF_X12_Y26_N7
\led_flash_cnt[679][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[679][4]~36392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[679][4]~q\);

-- Location: LCCOMB_X12_Y26_N8
\led_flash_cnt[679][5]~36394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[679][5]~36394_combout\ = (\led_flash_cnt[679][5]~q\ & (\led_flash_cnt[679][4]~36393\ $ (GND))) # (!\led_flash_cnt[679][5]~q\ & (!\led_flash_cnt[679][4]~36393\ & VCC))
-- \led_flash_cnt[679][5]~36395\ = CARRY((\led_flash_cnt[679][5]~q\ & !\led_flash_cnt[679][4]~36393\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[679][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[679][4]~36393\,
	combout => \led_flash_cnt[679][5]~36394_combout\,
	cout => \led_flash_cnt[679][5]~36395\);

-- Location: FF_X12_Y26_N9
\led_flash_cnt[679][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[679][5]~36394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[679][5]~q\);

-- Location: LCCOMB_X12_Y26_N10
\led_flash_cnt[679][6]~36396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[679][6]~36396_combout\ = (\led_flash_cnt[679][6]~q\ & (!\led_flash_cnt[679][5]~36395\)) # (!\led_flash_cnt[679][6]~q\ & ((\led_flash_cnt[679][5]~36395\) # (GND)))
-- \led_flash_cnt[679][6]~36397\ = CARRY((!\led_flash_cnt[679][5]~36395\) # (!\led_flash_cnt[679][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[679][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[679][5]~36395\,
	combout => \led_flash_cnt[679][6]~36396_combout\,
	cout => \led_flash_cnt[679][6]~36397\);

-- Location: FF_X12_Y26_N11
\led_flash_cnt[679][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[679][6]~36396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[679][6]~q\);

-- Location: LCCOMB_X12_Y26_N12
\led_flash_cnt[679][7]~36398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[679][7]~36398_combout\ = \led_flash_cnt[679][6]~36397\ $ (!\led_flash_cnt[679][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[679][7]~q\,
	cin => \led_flash_cnt[679][6]~36397\,
	combout => \led_flash_cnt[679][7]~36398_combout\);

-- Location: FF_X12_Y26_N13
\led_flash_cnt[679][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[679][7]~36398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[679][7]~q\);

-- Location: LCCOMB_X12_Y26_N14
\WideAnd679~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd679~0_combout\ = (\led_flash_cnt[679][4]~q\ & (\led_flash_cnt[679][1]~q\ & (\led_flash_cnt[679][3]~q\ & \led_flash_cnt[679][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[679][4]~q\,
	datab => \led_flash_cnt[679][1]~q\,
	datac => \led_flash_cnt[679][3]~q\,
	datad => \led_flash_cnt[679][2]~q\,
	combout => \WideAnd679~0_combout\);

-- Location: LCCOMB_X11_Y26_N0
\WideAnd679~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd679~1_combout\ = (\led_flash_cnt[679][6]~q\ & \led_flash_cnt[679][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[679][6]~q\,
	datac => \led_flash_cnt[679][5]~q\,
	combout => \WideAnd679~1_combout\);

-- Location: LCCOMB_X11_Y26_N8
WideAnd679 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd679~combout\ = (\led_flash_cnt[679][0]~q\ & (\led_flash_cnt[679][7]~q\ & (\WideAnd679~0_combout\ & \WideAnd679~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[679][0]~q\,
	datab => \led_flash_cnt[679][7]~q\,
	datac => \WideAnd679~0_combout\,
	datad => \WideAnd679~1_combout\,
	combout => \WideAnd679~combout\);

-- Location: FF_X11_Y26_N9
\led_flash_cnt_ands[679]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd679~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(679));

-- Location: LCCOMB_X40_Y30_N0
\led_flash_cnt[678][0]~81318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[678][0]~81318_combout\ = !\led_flash_cnt[678][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[678][0]~q\,
	combout => \led_flash_cnt[678][0]~81318_combout\);

-- Location: FF_X40_Y30_N1
\led_flash_cnt[678][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[678][0]~81318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[678][0]~q\);

-- Location: LCCOMB_X41_Y30_N0
\led_flash_cnt[678][1]~36372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[678][1]~36372_combout\ = (\led_flash_cnt[678][0]~q\ & (\led_flash_cnt[678][1]~q\ $ (VCC))) # (!\led_flash_cnt[678][0]~q\ & (\led_flash_cnt[678][1]~q\ & VCC))
-- \led_flash_cnt[678][1]~36373\ = CARRY((\led_flash_cnt[678][0]~q\ & \led_flash_cnt[678][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[678][0]~q\,
	datab => \led_flash_cnt[678][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[678][1]~36372_combout\,
	cout => \led_flash_cnt[678][1]~36373\);

-- Location: FF_X41_Y30_N1
\led_flash_cnt[678][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[678][1]~36372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[678][1]~q\);

-- Location: LCCOMB_X41_Y30_N2
\led_flash_cnt[678][2]~36374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[678][2]~36374_combout\ = (\led_flash_cnt[678][2]~q\ & (!\led_flash_cnt[678][1]~36373\)) # (!\led_flash_cnt[678][2]~q\ & ((\led_flash_cnt[678][1]~36373\) # (GND)))
-- \led_flash_cnt[678][2]~36375\ = CARRY((!\led_flash_cnt[678][1]~36373\) # (!\led_flash_cnt[678][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[678][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[678][1]~36373\,
	combout => \led_flash_cnt[678][2]~36374_combout\,
	cout => \led_flash_cnt[678][2]~36375\);

-- Location: FF_X41_Y30_N3
\led_flash_cnt[678][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[678][2]~36374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[678][2]~q\);

-- Location: LCCOMB_X41_Y30_N4
\led_flash_cnt[678][3]~36376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[678][3]~36376_combout\ = (\led_flash_cnt[678][3]~q\ & (\led_flash_cnt[678][2]~36375\ $ (GND))) # (!\led_flash_cnt[678][3]~q\ & (!\led_flash_cnt[678][2]~36375\ & VCC))
-- \led_flash_cnt[678][3]~36377\ = CARRY((\led_flash_cnt[678][3]~q\ & !\led_flash_cnt[678][2]~36375\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[678][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[678][2]~36375\,
	combout => \led_flash_cnt[678][3]~36376_combout\,
	cout => \led_flash_cnt[678][3]~36377\);

-- Location: FF_X41_Y30_N5
\led_flash_cnt[678][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[678][3]~36376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[678][3]~q\);

-- Location: LCCOMB_X41_Y30_N6
\led_flash_cnt[678][4]~36378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[678][4]~36378_combout\ = (\led_flash_cnt[678][4]~q\ & (!\led_flash_cnt[678][3]~36377\)) # (!\led_flash_cnt[678][4]~q\ & ((\led_flash_cnt[678][3]~36377\) # (GND)))
-- \led_flash_cnt[678][4]~36379\ = CARRY((!\led_flash_cnt[678][3]~36377\) # (!\led_flash_cnt[678][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[678][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[678][3]~36377\,
	combout => \led_flash_cnt[678][4]~36378_combout\,
	cout => \led_flash_cnt[678][4]~36379\);

-- Location: FF_X41_Y30_N7
\led_flash_cnt[678][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[678][4]~36378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[678][4]~q\);

-- Location: LCCOMB_X41_Y30_N8
\led_flash_cnt[678][5]~36380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[678][5]~36380_combout\ = (\led_flash_cnt[678][5]~q\ & (\led_flash_cnt[678][4]~36379\ $ (GND))) # (!\led_flash_cnt[678][5]~q\ & (!\led_flash_cnt[678][4]~36379\ & VCC))
-- \led_flash_cnt[678][5]~36381\ = CARRY((\led_flash_cnt[678][5]~q\ & !\led_flash_cnt[678][4]~36379\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[678][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[678][4]~36379\,
	combout => \led_flash_cnt[678][5]~36380_combout\,
	cout => \led_flash_cnt[678][5]~36381\);

-- Location: FF_X41_Y30_N9
\led_flash_cnt[678][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[678][5]~36380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[678][5]~q\);

-- Location: LCCOMB_X41_Y30_N10
\led_flash_cnt[678][6]~36382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[678][6]~36382_combout\ = (\led_flash_cnt[678][6]~q\ & (!\led_flash_cnt[678][5]~36381\)) # (!\led_flash_cnt[678][6]~q\ & ((\led_flash_cnt[678][5]~36381\) # (GND)))
-- \led_flash_cnt[678][6]~36383\ = CARRY((!\led_flash_cnt[678][5]~36381\) # (!\led_flash_cnt[678][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[678][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[678][5]~36381\,
	combout => \led_flash_cnt[678][6]~36382_combout\,
	cout => \led_flash_cnt[678][6]~36383\);

-- Location: FF_X41_Y30_N11
\led_flash_cnt[678][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[678][6]~36382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[678][6]~q\);

-- Location: LCCOMB_X40_Y30_N6
\WideAnd678~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd678~1_combout\ = (\led_flash_cnt[678][6]~q\ & \led_flash_cnt[678][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[678][6]~q\,
	datac => \led_flash_cnt[678][5]~q\,
	combout => \WideAnd678~1_combout\);

-- Location: LCCOMB_X41_Y30_N14
\WideAnd678~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd678~0_combout\ = (\led_flash_cnt[678][4]~q\ & (\led_flash_cnt[678][1]~q\ & (\led_flash_cnt[678][3]~q\ & \led_flash_cnt[678][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[678][4]~q\,
	datab => \led_flash_cnt[678][1]~q\,
	datac => \led_flash_cnt[678][3]~q\,
	datad => \led_flash_cnt[678][2]~q\,
	combout => \WideAnd678~0_combout\);

-- Location: LCCOMB_X41_Y30_N12
\led_flash_cnt[678][7]~36384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[678][7]~36384_combout\ = \led_flash_cnt[678][6]~36383\ $ (!\led_flash_cnt[678][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[678][7]~q\,
	cin => \led_flash_cnt[678][6]~36383\,
	combout => \led_flash_cnt[678][7]~36384_combout\);

-- Location: FF_X41_Y30_N13
\led_flash_cnt[678][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[678][7]~36384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[678][7]~q\);

-- Location: LCCOMB_X40_Y30_N4
WideAnd678 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd678~combout\ = (\WideAnd678~1_combout\ & (\WideAnd678~0_combout\ & (\led_flash_cnt[678][7]~q\ & \led_flash_cnt[678][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd678~1_combout\,
	datab => \WideAnd678~0_combout\,
	datac => \led_flash_cnt[678][7]~q\,
	datad => \led_flash_cnt[678][0]~q\,
	combout => \WideAnd678~combout\);

-- Location: FF_X40_Y30_N5
\led_flash_cnt_ands[678]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd678~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(678));

-- Location: LCCOMB_X39_Y34_N2
\led_flash_cnt[673][0]~81313\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[673][0]~81313_combout\ = !\led_flash_cnt[673][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[673][0]~q\,
	combout => \led_flash_cnt[673][0]~81313_combout\);

-- Location: FF_X39_Y34_N3
\led_flash_cnt[673][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[673][0]~81313_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[673][0]~q\);

-- Location: LCCOMB_X36_Y34_N18
\led_flash_cnt[673][1]~36302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[673][1]~36302_combout\ = (\led_flash_cnt[673][0]~q\ & (\led_flash_cnt[673][1]~q\ $ (VCC))) # (!\led_flash_cnt[673][0]~q\ & (\led_flash_cnt[673][1]~q\ & VCC))
-- \led_flash_cnt[673][1]~36303\ = CARRY((\led_flash_cnt[673][0]~q\ & \led_flash_cnt[673][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[673][0]~q\,
	datab => \led_flash_cnt[673][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[673][1]~36302_combout\,
	cout => \led_flash_cnt[673][1]~36303\);

-- Location: FF_X36_Y34_N19
\led_flash_cnt[673][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[673][1]~36302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[673][1]~q\);

-- Location: LCCOMB_X36_Y34_N20
\led_flash_cnt[673][2]~36304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[673][2]~36304_combout\ = (\led_flash_cnt[673][2]~q\ & (!\led_flash_cnt[673][1]~36303\)) # (!\led_flash_cnt[673][2]~q\ & ((\led_flash_cnt[673][1]~36303\) # (GND)))
-- \led_flash_cnt[673][2]~36305\ = CARRY((!\led_flash_cnt[673][1]~36303\) # (!\led_flash_cnt[673][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[673][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[673][1]~36303\,
	combout => \led_flash_cnt[673][2]~36304_combout\,
	cout => \led_flash_cnt[673][2]~36305\);

-- Location: FF_X36_Y34_N21
\led_flash_cnt[673][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[673][2]~36304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[673][2]~q\);

-- Location: LCCOMB_X36_Y34_N22
\led_flash_cnt[673][3]~36306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[673][3]~36306_combout\ = (\led_flash_cnt[673][3]~q\ & (\led_flash_cnt[673][2]~36305\ $ (GND))) # (!\led_flash_cnt[673][3]~q\ & (!\led_flash_cnt[673][2]~36305\ & VCC))
-- \led_flash_cnt[673][3]~36307\ = CARRY((\led_flash_cnt[673][3]~q\ & !\led_flash_cnt[673][2]~36305\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[673][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[673][2]~36305\,
	combout => \led_flash_cnt[673][3]~36306_combout\,
	cout => \led_flash_cnt[673][3]~36307\);

-- Location: FF_X36_Y34_N23
\led_flash_cnt[673][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[673][3]~36306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[673][3]~q\);

-- Location: LCCOMB_X36_Y34_N24
\led_flash_cnt[673][4]~36308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[673][4]~36308_combout\ = (\led_flash_cnt[673][4]~q\ & (!\led_flash_cnt[673][3]~36307\)) # (!\led_flash_cnt[673][4]~q\ & ((\led_flash_cnt[673][3]~36307\) # (GND)))
-- \led_flash_cnt[673][4]~36309\ = CARRY((!\led_flash_cnt[673][3]~36307\) # (!\led_flash_cnt[673][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[673][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[673][3]~36307\,
	combout => \led_flash_cnt[673][4]~36308_combout\,
	cout => \led_flash_cnt[673][4]~36309\);

-- Location: FF_X36_Y34_N25
\led_flash_cnt[673][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[673][4]~36308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[673][4]~q\);

-- Location: LCCOMB_X36_Y34_N0
\WideAnd673~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd673~0_combout\ = (\led_flash_cnt[673][4]~q\ & (\led_flash_cnt[673][2]~q\ & (\led_flash_cnt[673][3]~q\ & \led_flash_cnt[673][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[673][4]~q\,
	datab => \led_flash_cnt[673][2]~q\,
	datac => \led_flash_cnt[673][3]~q\,
	datad => \led_flash_cnt[673][1]~q\,
	combout => \WideAnd673~0_combout\);

-- Location: LCCOMB_X36_Y34_N26
\led_flash_cnt[673][5]~36310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[673][5]~36310_combout\ = (\led_flash_cnt[673][5]~q\ & (\led_flash_cnt[673][4]~36309\ $ (GND))) # (!\led_flash_cnt[673][5]~q\ & (!\led_flash_cnt[673][4]~36309\ & VCC))
-- \led_flash_cnt[673][5]~36311\ = CARRY((\led_flash_cnt[673][5]~q\ & !\led_flash_cnt[673][4]~36309\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[673][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[673][4]~36309\,
	combout => \led_flash_cnt[673][5]~36310_combout\,
	cout => \led_flash_cnt[673][5]~36311\);

-- Location: FF_X36_Y34_N27
\led_flash_cnt[673][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[673][5]~36310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[673][5]~q\);

-- Location: LCCOMB_X36_Y34_N28
\led_flash_cnt[673][6]~36312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[673][6]~36312_combout\ = (\led_flash_cnt[673][6]~q\ & (!\led_flash_cnt[673][5]~36311\)) # (!\led_flash_cnt[673][6]~q\ & ((\led_flash_cnt[673][5]~36311\) # (GND)))
-- \led_flash_cnt[673][6]~36313\ = CARRY((!\led_flash_cnt[673][5]~36311\) # (!\led_flash_cnt[673][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[673][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[673][5]~36311\,
	combout => \led_flash_cnt[673][6]~36312_combout\,
	cout => \led_flash_cnt[673][6]~36313\);

-- Location: FF_X36_Y34_N29
\led_flash_cnt[673][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[673][6]~36312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[673][6]~q\);

-- Location: LCCOMB_X36_Y34_N30
\led_flash_cnt[673][7]~36314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[673][7]~36314_combout\ = \led_flash_cnt[673][7]~q\ $ (!\led_flash_cnt[673][6]~36313\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[673][7]~q\,
	cin => \led_flash_cnt[673][6]~36313\,
	combout => \led_flash_cnt[673][7]~36314_combout\);

-- Location: FF_X36_Y34_N31
\led_flash_cnt[673][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[673][7]~36314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[673][7]~q\);

-- Location: LCCOMB_X37_Y34_N18
\WideAnd673~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd673~1_combout\ = (\led_flash_cnt[673][5]~q\ & \led_flash_cnt[673][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[673][5]~q\,
	datad => \led_flash_cnt[673][6]~q\,
	combout => \WideAnd673~1_combout\);

-- Location: LCCOMB_X37_Y34_N20
WideAnd673 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd673~combout\ = (\WideAnd673~0_combout\ & (\led_flash_cnt[673][7]~q\ & (\led_flash_cnt[673][0]~q\ & \WideAnd673~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd673~0_combout\,
	datab => \led_flash_cnt[673][7]~q\,
	datac => \led_flash_cnt[673][0]~q\,
	datad => \WideAnd673~1_combout\,
	combout => \WideAnd673~combout\);

-- Location: FF_X37_Y34_N21
\led_flash_cnt_ands[673]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd673~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(673));

-- Location: LCCOMB_X44_Y41_N2
\led_flash_cnt[675][0]~81315\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[675][0]~81315_combout\ = !\led_flash_cnt[675][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[675][0]~q\,
	combout => \led_flash_cnt[675][0]~81315_combout\);

-- Location: FF_X44_Y41_N3
\led_flash_cnt[675][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[675][0]~81315_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[675][0]~q\);

-- Location: LCCOMB_X45_Y41_N16
\led_flash_cnt[675][1]~36330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[675][1]~36330_combout\ = (\led_flash_cnt[675][0]~q\ & (\led_flash_cnt[675][1]~q\ $ (VCC))) # (!\led_flash_cnt[675][0]~q\ & (\led_flash_cnt[675][1]~q\ & VCC))
-- \led_flash_cnt[675][1]~36331\ = CARRY((\led_flash_cnt[675][0]~q\ & \led_flash_cnt[675][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[675][0]~q\,
	datab => \led_flash_cnt[675][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[675][1]~36330_combout\,
	cout => \led_flash_cnt[675][1]~36331\);

-- Location: FF_X45_Y41_N17
\led_flash_cnt[675][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[675][1]~36330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[675][1]~q\);

-- Location: LCCOMB_X45_Y41_N18
\led_flash_cnt[675][2]~36332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[675][2]~36332_combout\ = (\led_flash_cnt[675][2]~q\ & (!\led_flash_cnt[675][1]~36331\)) # (!\led_flash_cnt[675][2]~q\ & ((\led_flash_cnt[675][1]~36331\) # (GND)))
-- \led_flash_cnt[675][2]~36333\ = CARRY((!\led_flash_cnt[675][1]~36331\) # (!\led_flash_cnt[675][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[675][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[675][1]~36331\,
	combout => \led_flash_cnt[675][2]~36332_combout\,
	cout => \led_flash_cnt[675][2]~36333\);

-- Location: FF_X45_Y41_N19
\led_flash_cnt[675][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[675][2]~36332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[675][2]~q\);

-- Location: LCCOMB_X45_Y41_N20
\led_flash_cnt[675][3]~36334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[675][3]~36334_combout\ = (\led_flash_cnt[675][3]~q\ & (\led_flash_cnt[675][2]~36333\ $ (GND))) # (!\led_flash_cnt[675][3]~q\ & (!\led_flash_cnt[675][2]~36333\ & VCC))
-- \led_flash_cnt[675][3]~36335\ = CARRY((\led_flash_cnt[675][3]~q\ & !\led_flash_cnt[675][2]~36333\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[675][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[675][2]~36333\,
	combout => \led_flash_cnt[675][3]~36334_combout\,
	cout => \led_flash_cnt[675][3]~36335\);

-- Location: FF_X45_Y41_N21
\led_flash_cnt[675][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[675][3]~36334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[675][3]~q\);

-- Location: LCCOMB_X45_Y41_N22
\led_flash_cnt[675][4]~36336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[675][4]~36336_combout\ = (\led_flash_cnt[675][4]~q\ & (!\led_flash_cnt[675][3]~36335\)) # (!\led_flash_cnt[675][4]~q\ & ((\led_flash_cnt[675][3]~36335\) # (GND)))
-- \led_flash_cnt[675][4]~36337\ = CARRY((!\led_flash_cnt[675][3]~36335\) # (!\led_flash_cnt[675][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[675][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[675][3]~36335\,
	combout => \led_flash_cnt[675][4]~36336_combout\,
	cout => \led_flash_cnt[675][4]~36337\);

-- Location: FF_X45_Y41_N23
\led_flash_cnt[675][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[675][4]~36336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[675][4]~q\);

-- Location: LCCOMB_X45_Y41_N24
\led_flash_cnt[675][5]~36338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[675][5]~36338_combout\ = (\led_flash_cnt[675][5]~q\ & (\led_flash_cnt[675][4]~36337\ $ (GND))) # (!\led_flash_cnt[675][5]~q\ & (!\led_flash_cnt[675][4]~36337\ & VCC))
-- \led_flash_cnt[675][5]~36339\ = CARRY((\led_flash_cnt[675][5]~q\ & !\led_flash_cnt[675][4]~36337\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[675][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[675][4]~36337\,
	combout => \led_flash_cnt[675][5]~36338_combout\,
	cout => \led_flash_cnt[675][5]~36339\);

-- Location: FF_X45_Y41_N25
\led_flash_cnt[675][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[675][5]~36338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[675][5]~q\);

-- Location: LCCOMB_X45_Y41_N26
\led_flash_cnt[675][6]~36340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[675][6]~36340_combout\ = (\led_flash_cnt[675][6]~q\ & (!\led_flash_cnt[675][5]~36339\)) # (!\led_flash_cnt[675][6]~q\ & ((\led_flash_cnt[675][5]~36339\) # (GND)))
-- \led_flash_cnt[675][6]~36341\ = CARRY((!\led_flash_cnt[675][5]~36339\) # (!\led_flash_cnt[675][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[675][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[675][5]~36339\,
	combout => \led_flash_cnt[675][6]~36340_combout\,
	cout => \led_flash_cnt[675][6]~36341\);

-- Location: FF_X45_Y41_N27
\led_flash_cnt[675][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[675][6]~36340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[675][6]~q\);

-- Location: LCCOMB_X44_Y41_N22
\WideAnd675~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd675~1_combout\ = (\led_flash_cnt[675][6]~q\ & \led_flash_cnt[675][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[675][6]~q\,
	datad => \led_flash_cnt[675][5]~q\,
	combout => \WideAnd675~1_combout\);

-- Location: LCCOMB_X44_Y41_N4
\WideAnd675~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd675~0_combout\ = (\led_flash_cnt[675][1]~q\ & (\led_flash_cnt[675][4]~q\ & (\led_flash_cnt[675][3]~q\ & \led_flash_cnt[675][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[675][1]~q\,
	datab => \led_flash_cnt[675][4]~q\,
	datac => \led_flash_cnt[675][3]~q\,
	datad => \led_flash_cnt[675][2]~q\,
	combout => \WideAnd675~0_combout\);

-- Location: LCCOMB_X45_Y41_N28
\led_flash_cnt[675][7]~36342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[675][7]~36342_combout\ = \led_flash_cnt[675][6]~36341\ $ (!\led_flash_cnt[675][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[675][7]~q\,
	cin => \led_flash_cnt[675][6]~36341\,
	combout => \led_flash_cnt[675][7]~36342_combout\);

-- Location: FF_X45_Y41_N29
\led_flash_cnt[675][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[675][7]~36342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[675][7]~q\);

-- Location: LCCOMB_X44_Y41_N24
WideAnd675 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd675~combout\ = (\WideAnd675~1_combout\ & (\led_flash_cnt[675][0]~q\ & (\WideAnd675~0_combout\ & \led_flash_cnt[675][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd675~1_combout\,
	datab => \led_flash_cnt[675][0]~q\,
	datac => \WideAnd675~0_combout\,
	datad => \led_flash_cnt[675][7]~q\,
	combout => \WideAnd675~combout\);

-- Location: FF_X44_Y41_N25
\led_flash_cnt_ands[675]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd675~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(675));

-- Location: LCCOMB_X14_Y25_N2
\led_flash_cnt[674][0]~81314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[674][0]~81314_combout\ = !\led_flash_cnt[674][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[674][0]~q\,
	combout => \led_flash_cnt[674][0]~81314_combout\);

-- Location: FF_X14_Y25_N3
\led_flash_cnt[674][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[674][0]~81314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[674][0]~q\);

-- Location: LCCOMB_X13_Y25_N16
\led_flash_cnt[674][1]~36316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[674][1]~36316_combout\ = (\led_flash_cnt[674][0]~q\ & (\led_flash_cnt[674][1]~q\ $ (VCC))) # (!\led_flash_cnt[674][0]~q\ & (\led_flash_cnt[674][1]~q\ & VCC))
-- \led_flash_cnt[674][1]~36317\ = CARRY((\led_flash_cnt[674][0]~q\ & \led_flash_cnt[674][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[674][0]~q\,
	datab => \led_flash_cnt[674][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[674][1]~36316_combout\,
	cout => \led_flash_cnt[674][1]~36317\);

-- Location: FF_X13_Y25_N17
\led_flash_cnt[674][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[674][1]~36316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[674][1]~q\);

-- Location: LCCOMB_X13_Y25_N18
\led_flash_cnt[674][2]~36318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[674][2]~36318_combout\ = (\led_flash_cnt[674][2]~q\ & (!\led_flash_cnt[674][1]~36317\)) # (!\led_flash_cnt[674][2]~q\ & ((\led_flash_cnt[674][1]~36317\) # (GND)))
-- \led_flash_cnt[674][2]~36319\ = CARRY((!\led_flash_cnt[674][1]~36317\) # (!\led_flash_cnt[674][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[674][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[674][1]~36317\,
	combout => \led_flash_cnt[674][2]~36318_combout\,
	cout => \led_flash_cnt[674][2]~36319\);

-- Location: FF_X13_Y25_N19
\led_flash_cnt[674][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[674][2]~36318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[674][2]~q\);

-- Location: LCCOMB_X13_Y25_N20
\led_flash_cnt[674][3]~36320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[674][3]~36320_combout\ = (\led_flash_cnt[674][3]~q\ & (\led_flash_cnt[674][2]~36319\ $ (GND))) # (!\led_flash_cnt[674][3]~q\ & (!\led_flash_cnt[674][2]~36319\ & VCC))
-- \led_flash_cnt[674][3]~36321\ = CARRY((\led_flash_cnt[674][3]~q\ & !\led_flash_cnt[674][2]~36319\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[674][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[674][2]~36319\,
	combout => \led_flash_cnt[674][3]~36320_combout\,
	cout => \led_flash_cnt[674][3]~36321\);

-- Location: FF_X13_Y25_N21
\led_flash_cnt[674][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[674][3]~36320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[674][3]~q\);

-- Location: LCCOMB_X13_Y25_N22
\led_flash_cnt[674][4]~36322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[674][4]~36322_combout\ = (\led_flash_cnt[674][4]~q\ & (!\led_flash_cnt[674][3]~36321\)) # (!\led_flash_cnt[674][4]~q\ & ((\led_flash_cnt[674][3]~36321\) # (GND)))
-- \led_flash_cnt[674][4]~36323\ = CARRY((!\led_flash_cnt[674][3]~36321\) # (!\led_flash_cnt[674][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[674][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[674][3]~36321\,
	combout => \led_flash_cnt[674][4]~36322_combout\,
	cout => \led_flash_cnt[674][4]~36323\);

-- Location: FF_X13_Y25_N23
\led_flash_cnt[674][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[674][4]~36322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[674][4]~q\);

-- Location: LCCOMB_X13_Y25_N24
\led_flash_cnt[674][5]~36324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[674][5]~36324_combout\ = (\led_flash_cnt[674][5]~q\ & (\led_flash_cnt[674][4]~36323\ $ (GND))) # (!\led_flash_cnt[674][5]~q\ & (!\led_flash_cnt[674][4]~36323\ & VCC))
-- \led_flash_cnt[674][5]~36325\ = CARRY((\led_flash_cnt[674][5]~q\ & !\led_flash_cnt[674][4]~36323\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[674][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[674][4]~36323\,
	combout => \led_flash_cnt[674][5]~36324_combout\,
	cout => \led_flash_cnt[674][5]~36325\);

-- Location: FF_X13_Y25_N25
\led_flash_cnt[674][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[674][5]~36324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[674][5]~q\);

-- Location: LCCOMB_X13_Y25_N26
\led_flash_cnt[674][6]~36326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[674][6]~36326_combout\ = (\led_flash_cnt[674][6]~q\ & (!\led_flash_cnt[674][5]~36325\)) # (!\led_flash_cnt[674][6]~q\ & ((\led_flash_cnt[674][5]~36325\) # (GND)))
-- \led_flash_cnt[674][6]~36327\ = CARRY((!\led_flash_cnt[674][5]~36325\) # (!\led_flash_cnt[674][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[674][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[674][5]~36325\,
	combout => \led_flash_cnt[674][6]~36326_combout\,
	cout => \led_flash_cnt[674][6]~36327\);

-- Location: FF_X13_Y25_N27
\led_flash_cnt[674][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[674][6]~36326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[674][6]~q\);

-- Location: LCCOMB_X14_Y25_N30
\WideAnd674~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd674~1_combout\ = (\led_flash_cnt[674][6]~q\ & \led_flash_cnt[674][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[674][6]~q\,
	datad => \led_flash_cnt[674][5]~q\,
	combout => \WideAnd674~1_combout\);

-- Location: LCCOMB_X13_Y25_N28
\led_flash_cnt[674][7]~36328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[674][7]~36328_combout\ = \led_flash_cnt[674][6]~36327\ $ (!\led_flash_cnt[674][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[674][7]~q\,
	cin => \led_flash_cnt[674][6]~36327\,
	combout => \led_flash_cnt[674][7]~36328_combout\);

-- Location: FF_X13_Y25_N29
\led_flash_cnt[674][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[674][7]~36328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[674][7]~q\);

-- Location: LCCOMB_X13_Y25_N0
\WideAnd674~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd674~0_combout\ = (\led_flash_cnt[674][2]~q\ & (\led_flash_cnt[674][1]~q\ & (\led_flash_cnt[674][4]~q\ & \led_flash_cnt[674][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[674][2]~q\,
	datab => \led_flash_cnt[674][1]~q\,
	datac => \led_flash_cnt[674][4]~q\,
	datad => \led_flash_cnt[674][3]~q\,
	combout => \WideAnd674~0_combout\);

-- Location: LCCOMB_X14_Y25_N0
WideAnd674 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd674~combout\ = (\WideAnd674~1_combout\ & (\led_flash_cnt[674][7]~q\ & (\WideAnd674~0_combout\ & \led_flash_cnt[674][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd674~1_combout\,
	datab => \led_flash_cnt[674][7]~q\,
	datac => \WideAnd674~0_combout\,
	datad => \led_flash_cnt[674][0]~q\,
	combout => \WideAnd674~combout\);

-- Location: FF_X14_Y25_N1
\led_flash_cnt_ands[674]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd674~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(674));

-- Location: LCCOMB_X45_Y30_N12
\led_flash_cnt[672][0]~81312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[672][0]~81312_combout\ = !\led_flash_cnt[672][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[672][0]~q\,
	combout => \led_flash_cnt[672][0]~81312_combout\);

-- Location: FF_X45_Y30_N13
\led_flash_cnt[672][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[672][0]~81312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[672][0]~q\);

-- Location: LCCOMB_X43_Y30_N18
\led_flash_cnt[672][1]~36288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[672][1]~36288_combout\ = (\led_flash_cnt[672][0]~q\ & (\led_flash_cnt[672][1]~q\ $ (VCC))) # (!\led_flash_cnt[672][0]~q\ & (\led_flash_cnt[672][1]~q\ & VCC))
-- \led_flash_cnt[672][1]~36289\ = CARRY((\led_flash_cnt[672][0]~q\ & \led_flash_cnt[672][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[672][0]~q\,
	datab => \led_flash_cnt[672][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[672][1]~36288_combout\,
	cout => \led_flash_cnt[672][1]~36289\);

-- Location: FF_X43_Y30_N19
\led_flash_cnt[672][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[672][1]~36288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[672][1]~q\);

-- Location: LCCOMB_X43_Y30_N20
\led_flash_cnt[672][2]~36290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[672][2]~36290_combout\ = (\led_flash_cnt[672][2]~q\ & (!\led_flash_cnt[672][1]~36289\)) # (!\led_flash_cnt[672][2]~q\ & ((\led_flash_cnt[672][1]~36289\) # (GND)))
-- \led_flash_cnt[672][2]~36291\ = CARRY((!\led_flash_cnt[672][1]~36289\) # (!\led_flash_cnt[672][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[672][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[672][1]~36289\,
	combout => \led_flash_cnt[672][2]~36290_combout\,
	cout => \led_flash_cnt[672][2]~36291\);

-- Location: FF_X43_Y30_N21
\led_flash_cnt[672][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[672][2]~36290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[672][2]~q\);

-- Location: LCCOMB_X43_Y30_N22
\led_flash_cnt[672][3]~36292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[672][3]~36292_combout\ = (\led_flash_cnt[672][3]~q\ & (\led_flash_cnt[672][2]~36291\ $ (GND))) # (!\led_flash_cnt[672][3]~q\ & (!\led_flash_cnt[672][2]~36291\ & VCC))
-- \led_flash_cnt[672][3]~36293\ = CARRY((\led_flash_cnt[672][3]~q\ & !\led_flash_cnt[672][2]~36291\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[672][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[672][2]~36291\,
	combout => \led_flash_cnt[672][3]~36292_combout\,
	cout => \led_flash_cnt[672][3]~36293\);

-- Location: FF_X43_Y30_N23
\led_flash_cnt[672][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[672][3]~36292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[672][3]~q\);

-- Location: LCCOMB_X43_Y30_N24
\led_flash_cnt[672][4]~36294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[672][4]~36294_combout\ = (\led_flash_cnt[672][4]~q\ & (!\led_flash_cnt[672][3]~36293\)) # (!\led_flash_cnt[672][4]~q\ & ((\led_flash_cnt[672][3]~36293\) # (GND)))
-- \led_flash_cnt[672][4]~36295\ = CARRY((!\led_flash_cnt[672][3]~36293\) # (!\led_flash_cnt[672][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[672][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[672][3]~36293\,
	combout => \led_flash_cnt[672][4]~36294_combout\,
	cout => \led_flash_cnt[672][4]~36295\);

-- Location: FF_X43_Y30_N25
\led_flash_cnt[672][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[672][4]~36294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[672][4]~q\);

-- Location: LCCOMB_X43_Y30_N26
\led_flash_cnt[672][5]~36296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[672][5]~36296_combout\ = (\led_flash_cnt[672][5]~q\ & (\led_flash_cnt[672][4]~36295\ $ (GND))) # (!\led_flash_cnt[672][5]~q\ & (!\led_flash_cnt[672][4]~36295\ & VCC))
-- \led_flash_cnt[672][5]~36297\ = CARRY((\led_flash_cnt[672][5]~q\ & !\led_flash_cnt[672][4]~36295\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[672][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[672][4]~36295\,
	combout => \led_flash_cnt[672][5]~36296_combout\,
	cout => \led_flash_cnt[672][5]~36297\);

-- Location: FF_X43_Y30_N27
\led_flash_cnt[672][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[672][5]~36296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[672][5]~q\);

-- Location: LCCOMB_X43_Y30_N28
\led_flash_cnt[672][6]~36298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[672][6]~36298_combout\ = (\led_flash_cnt[672][6]~q\ & (!\led_flash_cnt[672][5]~36297\)) # (!\led_flash_cnt[672][6]~q\ & ((\led_flash_cnt[672][5]~36297\) # (GND)))
-- \led_flash_cnt[672][6]~36299\ = CARRY((!\led_flash_cnt[672][5]~36297\) # (!\led_flash_cnt[672][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[672][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[672][5]~36297\,
	combout => \led_flash_cnt[672][6]~36298_combout\,
	cout => \led_flash_cnt[672][6]~36299\);

-- Location: FF_X43_Y30_N29
\led_flash_cnt[672][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[672][6]~36298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[672][6]~q\);

-- Location: LCCOMB_X42_Y30_N10
\WideAnd672~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd672~1_combout\ = (\led_flash_cnt[672][6]~q\ & \led_flash_cnt[672][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[672][6]~q\,
	datad => \led_flash_cnt[672][5]~q\,
	combout => \WideAnd672~1_combout\);

-- Location: LCCOMB_X43_Y30_N30
\led_flash_cnt[672][7]~36300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[672][7]~36300_combout\ = \led_flash_cnt[672][7]~q\ $ (!\led_flash_cnt[672][6]~36299\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[672][7]~q\,
	cin => \led_flash_cnt[672][6]~36299\,
	combout => \led_flash_cnt[672][7]~36300_combout\);

-- Location: FF_X43_Y30_N31
\led_flash_cnt[672][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[672][7]~36300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[672][7]~q\);

-- Location: LCCOMB_X43_Y30_N2
\WideAnd672~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd672~0_combout\ = (\led_flash_cnt[672][4]~q\ & (\led_flash_cnt[672][2]~q\ & (\led_flash_cnt[672][3]~q\ & \led_flash_cnt[672][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[672][4]~q\,
	datab => \led_flash_cnt[672][2]~q\,
	datac => \led_flash_cnt[672][3]~q\,
	datad => \led_flash_cnt[672][1]~q\,
	combout => \WideAnd672~0_combout\);

-- Location: LCCOMB_X42_Y30_N0
WideAnd672 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd672~combout\ = (\WideAnd672~1_combout\ & (\led_flash_cnt[672][0]~q\ & (\led_flash_cnt[672][7]~q\ & \WideAnd672~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd672~1_combout\,
	datab => \led_flash_cnt[672][0]~q\,
	datac => \led_flash_cnt[672][7]~q\,
	datad => \WideAnd672~0_combout\,
	combout => \WideAnd672~combout\);

-- Location: FF_X42_Y30_N1
\led_flash_cnt_ands[672]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd672~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(672));

-- Location: LCCOMB_X40_Y34_N24
\WideAnd3924~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3924~0_combout\ = (led_flash_cnt_ands(673) & (led_flash_cnt_ands(675) & (led_flash_cnt_ands(674) & led_flash_cnt_ands(672))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(673),
	datab => led_flash_cnt_ands(675),
	datac => led_flash_cnt_ands(674),
	datad => led_flash_cnt_ands(672),
	combout => \WideAnd3924~0_combout\);

-- Location: LCCOMB_X40_Y30_N2
WideAnd3924 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3924~combout\ = (\WideAnd3924~1_combout\ & (led_flash_cnt_ands(679) & (led_flash_cnt_ands(678) & \WideAnd3924~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3924~1_combout\,
	datab => led_flash_cnt_ands(679),
	datac => led_flash_cnt_ands(678),
	datad => \WideAnd3924~0_combout\,
	combout => \WideAnd3924~combout\);

-- Location: FF_X40_Y30_N3
\led_flash_cnt_ands_1[84]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3924~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(84));

-- Location: LCCOMB_X44_Y32_N30
\led_flash_cnt[687][0]~81327\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[687][0]~81327_combout\ = !\led_flash_cnt[687][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[687][0]~q\,
	combout => \led_flash_cnt[687][0]~81327_combout\);

-- Location: FF_X44_Y32_N31
\led_flash_cnt[687][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[687][0]~81327_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[687][0]~q\);

-- Location: LCCOMB_X44_Y31_N0
\led_flash_cnt[687][1]~36498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[687][1]~36498_combout\ = (\led_flash_cnt[687][0]~q\ & (\led_flash_cnt[687][1]~q\ $ (VCC))) # (!\led_flash_cnt[687][0]~q\ & (\led_flash_cnt[687][1]~q\ & VCC))
-- \led_flash_cnt[687][1]~36499\ = CARRY((\led_flash_cnt[687][0]~q\ & \led_flash_cnt[687][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[687][0]~q\,
	datab => \led_flash_cnt[687][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[687][1]~36498_combout\,
	cout => \led_flash_cnt[687][1]~36499\);

-- Location: FF_X44_Y31_N1
\led_flash_cnt[687][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[687][1]~36498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[687][1]~q\);

-- Location: LCCOMB_X44_Y31_N2
\led_flash_cnt[687][2]~36500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[687][2]~36500_combout\ = (\led_flash_cnt[687][2]~q\ & (!\led_flash_cnt[687][1]~36499\)) # (!\led_flash_cnt[687][2]~q\ & ((\led_flash_cnt[687][1]~36499\) # (GND)))
-- \led_flash_cnt[687][2]~36501\ = CARRY((!\led_flash_cnt[687][1]~36499\) # (!\led_flash_cnt[687][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[687][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[687][1]~36499\,
	combout => \led_flash_cnt[687][2]~36500_combout\,
	cout => \led_flash_cnt[687][2]~36501\);

-- Location: FF_X44_Y31_N3
\led_flash_cnt[687][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[687][2]~36500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[687][2]~q\);

-- Location: LCCOMB_X44_Y31_N4
\led_flash_cnt[687][3]~36502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[687][3]~36502_combout\ = (\led_flash_cnt[687][3]~q\ & (\led_flash_cnt[687][2]~36501\ $ (GND))) # (!\led_flash_cnt[687][3]~q\ & (!\led_flash_cnt[687][2]~36501\ & VCC))
-- \led_flash_cnt[687][3]~36503\ = CARRY((\led_flash_cnt[687][3]~q\ & !\led_flash_cnt[687][2]~36501\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[687][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[687][2]~36501\,
	combout => \led_flash_cnt[687][3]~36502_combout\,
	cout => \led_flash_cnt[687][3]~36503\);

-- Location: FF_X44_Y31_N5
\led_flash_cnt[687][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[687][3]~36502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[687][3]~q\);

-- Location: LCCOMB_X44_Y31_N6
\led_flash_cnt[687][4]~36504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[687][4]~36504_combout\ = (\led_flash_cnt[687][4]~q\ & (!\led_flash_cnt[687][3]~36503\)) # (!\led_flash_cnt[687][4]~q\ & ((\led_flash_cnt[687][3]~36503\) # (GND)))
-- \led_flash_cnt[687][4]~36505\ = CARRY((!\led_flash_cnt[687][3]~36503\) # (!\led_flash_cnt[687][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[687][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[687][3]~36503\,
	combout => \led_flash_cnt[687][4]~36504_combout\,
	cout => \led_flash_cnt[687][4]~36505\);

-- Location: FF_X44_Y31_N7
\led_flash_cnt[687][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[687][4]~36504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[687][4]~q\);

-- Location: LCCOMB_X44_Y31_N8
\led_flash_cnt[687][5]~36506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[687][5]~36506_combout\ = (\led_flash_cnt[687][5]~q\ & (\led_flash_cnt[687][4]~36505\ $ (GND))) # (!\led_flash_cnt[687][5]~q\ & (!\led_flash_cnt[687][4]~36505\ & VCC))
-- \led_flash_cnt[687][5]~36507\ = CARRY((\led_flash_cnt[687][5]~q\ & !\led_flash_cnt[687][4]~36505\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[687][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[687][4]~36505\,
	combout => \led_flash_cnt[687][5]~36506_combout\,
	cout => \led_flash_cnt[687][5]~36507\);

-- Location: FF_X44_Y31_N9
\led_flash_cnt[687][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[687][5]~36506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[687][5]~q\);

-- Location: LCCOMB_X44_Y31_N10
\led_flash_cnt[687][6]~36508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[687][6]~36508_combout\ = (\led_flash_cnt[687][6]~q\ & (!\led_flash_cnt[687][5]~36507\)) # (!\led_flash_cnt[687][6]~q\ & ((\led_flash_cnt[687][5]~36507\) # (GND)))
-- \led_flash_cnt[687][6]~36509\ = CARRY((!\led_flash_cnt[687][5]~36507\) # (!\led_flash_cnt[687][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[687][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[687][5]~36507\,
	combout => \led_flash_cnt[687][6]~36508_combout\,
	cout => \led_flash_cnt[687][6]~36509\);

-- Location: FF_X44_Y31_N11
\led_flash_cnt[687][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[687][6]~36508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[687][6]~q\);

-- Location: LCCOMB_X44_Y32_N28
\WideAnd687~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd687~1_combout\ = (\led_flash_cnt[687][6]~q\ & \led_flash_cnt[687][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[687][6]~q\,
	datad => \led_flash_cnt[687][5]~q\,
	combout => \WideAnd687~1_combout\);

-- Location: LCCOMB_X44_Y31_N14
\WideAnd687~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd687~0_combout\ = (\led_flash_cnt[687][4]~q\ & (\led_flash_cnt[687][1]~q\ & (\led_flash_cnt[687][3]~q\ & \led_flash_cnt[687][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[687][4]~q\,
	datab => \led_flash_cnt[687][1]~q\,
	datac => \led_flash_cnt[687][3]~q\,
	datad => \led_flash_cnt[687][2]~q\,
	combout => \WideAnd687~0_combout\);

-- Location: LCCOMB_X44_Y31_N12
\led_flash_cnt[687][7]~36510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[687][7]~36510_combout\ = \led_flash_cnt[687][6]~36509\ $ (!\led_flash_cnt[687][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[687][7]~q\,
	cin => \led_flash_cnt[687][6]~36509\,
	combout => \led_flash_cnt[687][7]~36510_combout\);

-- Location: FF_X44_Y31_N13
\led_flash_cnt[687][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[687][7]~36510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[687][7]~q\);

-- Location: LCCOMB_X44_Y32_N12
WideAnd687 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd687~combout\ = (\led_flash_cnt[687][0]~q\ & (\WideAnd687~1_combout\ & (\WideAnd687~0_combout\ & \led_flash_cnt[687][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[687][0]~q\,
	datab => \WideAnd687~1_combout\,
	datac => \WideAnd687~0_combout\,
	datad => \led_flash_cnt[687][7]~q\,
	combout => \WideAnd687~combout\);

-- Location: FF_X44_Y32_N13
\led_flash_cnt_ands[687]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd687~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(687));

-- Location: LCCOMB_X44_Y32_N2
\led_flash_cnt[682][0]~81322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[682][0]~81322_combout\ = !\led_flash_cnt[682][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[682][0]~q\,
	combout => \led_flash_cnt[682][0]~81322_combout\);

-- Location: FF_X44_Y32_N3
\led_flash_cnt[682][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[682][0]~81322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[682][0]~q\);

-- Location: LCCOMB_X43_Y32_N4
\led_flash_cnt[682][1]~36428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[682][1]~36428_combout\ = (\led_flash_cnt[682][0]~q\ & (\led_flash_cnt[682][1]~q\ $ (VCC))) # (!\led_flash_cnt[682][0]~q\ & (\led_flash_cnt[682][1]~q\ & VCC))
-- \led_flash_cnt[682][1]~36429\ = CARRY((\led_flash_cnt[682][0]~q\ & \led_flash_cnt[682][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[682][0]~q\,
	datab => \led_flash_cnt[682][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[682][1]~36428_combout\,
	cout => \led_flash_cnt[682][1]~36429\);

-- Location: FF_X43_Y32_N5
\led_flash_cnt[682][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[682][1]~36428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[682][1]~q\);

-- Location: LCCOMB_X43_Y32_N6
\led_flash_cnt[682][2]~36430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[682][2]~36430_combout\ = (\led_flash_cnt[682][2]~q\ & (!\led_flash_cnt[682][1]~36429\)) # (!\led_flash_cnt[682][2]~q\ & ((\led_flash_cnt[682][1]~36429\) # (GND)))
-- \led_flash_cnt[682][2]~36431\ = CARRY((!\led_flash_cnt[682][1]~36429\) # (!\led_flash_cnt[682][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[682][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[682][1]~36429\,
	combout => \led_flash_cnt[682][2]~36430_combout\,
	cout => \led_flash_cnt[682][2]~36431\);

-- Location: FF_X43_Y32_N7
\led_flash_cnt[682][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[682][2]~36430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[682][2]~q\);

-- Location: LCCOMB_X43_Y32_N8
\led_flash_cnt[682][3]~36432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[682][3]~36432_combout\ = (\led_flash_cnt[682][3]~q\ & (\led_flash_cnt[682][2]~36431\ $ (GND))) # (!\led_flash_cnt[682][3]~q\ & (!\led_flash_cnt[682][2]~36431\ & VCC))
-- \led_flash_cnt[682][3]~36433\ = CARRY((\led_flash_cnt[682][3]~q\ & !\led_flash_cnt[682][2]~36431\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[682][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[682][2]~36431\,
	combout => \led_flash_cnt[682][3]~36432_combout\,
	cout => \led_flash_cnt[682][3]~36433\);

-- Location: FF_X43_Y32_N9
\led_flash_cnt[682][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[682][3]~36432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[682][3]~q\);

-- Location: LCCOMB_X43_Y32_N10
\led_flash_cnt[682][4]~36434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[682][4]~36434_combout\ = (\led_flash_cnt[682][4]~q\ & (!\led_flash_cnt[682][3]~36433\)) # (!\led_flash_cnt[682][4]~q\ & ((\led_flash_cnt[682][3]~36433\) # (GND)))
-- \led_flash_cnt[682][4]~36435\ = CARRY((!\led_flash_cnt[682][3]~36433\) # (!\led_flash_cnt[682][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[682][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[682][3]~36433\,
	combout => \led_flash_cnt[682][4]~36434_combout\,
	cout => \led_flash_cnt[682][4]~36435\);

-- Location: FF_X43_Y32_N11
\led_flash_cnt[682][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[682][4]~36434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[682][4]~q\);

-- Location: LCCOMB_X43_Y32_N12
\led_flash_cnt[682][5]~36436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[682][5]~36436_combout\ = (\led_flash_cnt[682][5]~q\ & (\led_flash_cnt[682][4]~36435\ $ (GND))) # (!\led_flash_cnt[682][5]~q\ & (!\led_flash_cnt[682][4]~36435\ & VCC))
-- \led_flash_cnt[682][5]~36437\ = CARRY((\led_flash_cnt[682][5]~q\ & !\led_flash_cnt[682][4]~36435\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[682][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[682][4]~36435\,
	combout => \led_flash_cnt[682][5]~36436_combout\,
	cout => \led_flash_cnt[682][5]~36437\);

-- Location: FF_X43_Y32_N13
\led_flash_cnt[682][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[682][5]~36436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[682][5]~q\);

-- Location: LCCOMB_X43_Y32_N14
\led_flash_cnt[682][6]~36438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[682][6]~36438_combout\ = (\led_flash_cnt[682][6]~q\ & (!\led_flash_cnt[682][5]~36437\)) # (!\led_flash_cnt[682][6]~q\ & ((\led_flash_cnt[682][5]~36437\) # (GND)))
-- \led_flash_cnt[682][6]~36439\ = CARRY((!\led_flash_cnt[682][5]~36437\) # (!\led_flash_cnt[682][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[682][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[682][5]~36437\,
	combout => \led_flash_cnt[682][6]~36438_combout\,
	cout => \led_flash_cnt[682][6]~36439\);

-- Location: FF_X43_Y32_N15
\led_flash_cnt[682][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[682][6]~36438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[682][6]~q\);

-- Location: LCCOMB_X44_Y32_N22
\WideAnd682~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd682~1_combout\ = (\led_flash_cnt[682][6]~q\ & \led_flash_cnt[682][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[682][6]~q\,
	datad => \led_flash_cnt[682][5]~q\,
	combout => \WideAnd682~1_combout\);

-- Location: LCCOMB_X44_Y32_N4
\WideAnd682~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd682~0_combout\ = (\led_flash_cnt[682][4]~q\ & (\led_flash_cnt[682][1]~q\ & (\led_flash_cnt[682][2]~q\ & \led_flash_cnt[682][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[682][4]~q\,
	datab => \led_flash_cnt[682][1]~q\,
	datac => \led_flash_cnt[682][2]~q\,
	datad => \led_flash_cnt[682][3]~q\,
	combout => \WideAnd682~0_combout\);

-- Location: LCCOMB_X43_Y32_N16
\led_flash_cnt[682][7]~36440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[682][7]~36440_combout\ = \led_flash_cnt[682][6]~36439\ $ (!\led_flash_cnt[682][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[682][7]~q\,
	cin => \led_flash_cnt[682][6]~36439\,
	combout => \led_flash_cnt[682][7]~36440_combout\);

-- Location: FF_X43_Y32_N17
\led_flash_cnt[682][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[682][7]~36440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[682][7]~q\);

-- Location: LCCOMB_X44_Y32_N10
WideAnd682 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd682~combout\ = (\WideAnd682~1_combout\ & (\WideAnd682~0_combout\ & (\led_flash_cnt[682][7]~q\ & \led_flash_cnt[682][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd682~1_combout\,
	datab => \WideAnd682~0_combout\,
	datac => \led_flash_cnt[682][7]~q\,
	datad => \led_flash_cnt[682][0]~q\,
	combout => \WideAnd682~combout\);

-- Location: FF_X44_Y32_N11
\led_flash_cnt_ands[682]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd682~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(682));

-- Location: LCCOMB_X44_Y32_N16
\led_flash_cnt[683][0]~81323\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[683][0]~81323_combout\ = !\led_flash_cnt[683][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[683][0]~q\,
	combout => \led_flash_cnt[683][0]~81323_combout\);

-- Location: FF_X44_Y32_N17
\led_flash_cnt[683][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[683][0]~81323_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[683][0]~q\);

-- Location: LCCOMB_X45_Y32_N18
\led_flash_cnt[683][1]~36442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[683][1]~36442_combout\ = (\led_flash_cnt[683][0]~q\ & (\led_flash_cnt[683][1]~q\ $ (VCC))) # (!\led_flash_cnt[683][0]~q\ & (\led_flash_cnt[683][1]~q\ & VCC))
-- \led_flash_cnt[683][1]~36443\ = CARRY((\led_flash_cnt[683][0]~q\ & \led_flash_cnt[683][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[683][0]~q\,
	datab => \led_flash_cnt[683][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[683][1]~36442_combout\,
	cout => \led_flash_cnt[683][1]~36443\);

-- Location: FF_X45_Y32_N19
\led_flash_cnt[683][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[683][1]~36442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[683][1]~q\);

-- Location: LCCOMB_X45_Y32_N20
\led_flash_cnt[683][2]~36444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[683][2]~36444_combout\ = (\led_flash_cnt[683][2]~q\ & (!\led_flash_cnt[683][1]~36443\)) # (!\led_flash_cnt[683][2]~q\ & ((\led_flash_cnt[683][1]~36443\) # (GND)))
-- \led_flash_cnt[683][2]~36445\ = CARRY((!\led_flash_cnt[683][1]~36443\) # (!\led_flash_cnt[683][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[683][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[683][1]~36443\,
	combout => \led_flash_cnt[683][2]~36444_combout\,
	cout => \led_flash_cnt[683][2]~36445\);

-- Location: FF_X45_Y32_N21
\led_flash_cnt[683][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[683][2]~36444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[683][2]~q\);

-- Location: LCCOMB_X45_Y32_N22
\led_flash_cnt[683][3]~36446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[683][3]~36446_combout\ = (\led_flash_cnt[683][3]~q\ & (\led_flash_cnt[683][2]~36445\ $ (GND))) # (!\led_flash_cnt[683][3]~q\ & (!\led_flash_cnt[683][2]~36445\ & VCC))
-- \led_flash_cnt[683][3]~36447\ = CARRY((\led_flash_cnt[683][3]~q\ & !\led_flash_cnt[683][2]~36445\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[683][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[683][2]~36445\,
	combout => \led_flash_cnt[683][3]~36446_combout\,
	cout => \led_flash_cnt[683][3]~36447\);

-- Location: FF_X45_Y32_N23
\led_flash_cnt[683][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[683][3]~36446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[683][3]~q\);

-- Location: LCCOMB_X45_Y32_N24
\led_flash_cnt[683][4]~36448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[683][4]~36448_combout\ = (\led_flash_cnt[683][4]~q\ & (!\led_flash_cnt[683][3]~36447\)) # (!\led_flash_cnt[683][4]~q\ & ((\led_flash_cnt[683][3]~36447\) # (GND)))
-- \led_flash_cnt[683][4]~36449\ = CARRY((!\led_flash_cnt[683][3]~36447\) # (!\led_flash_cnt[683][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[683][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[683][3]~36447\,
	combout => \led_flash_cnt[683][4]~36448_combout\,
	cout => \led_flash_cnt[683][4]~36449\);

-- Location: FF_X45_Y32_N25
\led_flash_cnt[683][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[683][4]~36448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[683][4]~q\);

-- Location: LCCOMB_X45_Y32_N26
\led_flash_cnt[683][5]~36450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[683][5]~36450_combout\ = (\led_flash_cnt[683][5]~q\ & (\led_flash_cnt[683][4]~36449\ $ (GND))) # (!\led_flash_cnt[683][5]~q\ & (!\led_flash_cnt[683][4]~36449\ & VCC))
-- \led_flash_cnt[683][5]~36451\ = CARRY((\led_flash_cnt[683][5]~q\ & !\led_flash_cnt[683][4]~36449\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[683][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[683][4]~36449\,
	combout => \led_flash_cnt[683][5]~36450_combout\,
	cout => \led_flash_cnt[683][5]~36451\);

-- Location: FF_X45_Y32_N27
\led_flash_cnt[683][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[683][5]~36450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[683][5]~q\);

-- Location: LCCOMB_X45_Y32_N28
\led_flash_cnt[683][6]~36452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[683][6]~36452_combout\ = (\led_flash_cnt[683][6]~q\ & (!\led_flash_cnt[683][5]~36451\)) # (!\led_flash_cnt[683][6]~q\ & ((\led_flash_cnt[683][5]~36451\) # (GND)))
-- \led_flash_cnt[683][6]~36453\ = CARRY((!\led_flash_cnt[683][5]~36451\) # (!\led_flash_cnt[683][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[683][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[683][5]~36451\,
	combout => \led_flash_cnt[683][6]~36452_combout\,
	cout => \led_flash_cnt[683][6]~36453\);

-- Location: FF_X45_Y32_N29
\led_flash_cnt[683][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[683][6]~36452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[683][6]~q\);

-- Location: LCCOMB_X45_Y32_N30
\led_flash_cnt[683][7]~36454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[683][7]~36454_combout\ = \led_flash_cnt[683][7]~q\ $ (!\led_flash_cnt[683][6]~36453\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[683][7]~q\,
	cin => \led_flash_cnt[683][6]~36453\,
	combout => \led_flash_cnt[683][7]~36454_combout\);

-- Location: FF_X45_Y32_N31
\led_flash_cnt[683][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[683][7]~36454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[683][7]~q\);

-- Location: LCCOMB_X44_Y32_N8
\WideAnd683~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd683~1_combout\ = (\led_flash_cnt[683][5]~q\ & \led_flash_cnt[683][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[683][5]~q\,
	datad => \led_flash_cnt[683][6]~q\,
	combout => \WideAnd683~1_combout\);

-- Location: LCCOMB_X45_Y32_N16
\WideAnd683~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd683~0_combout\ = (\led_flash_cnt[683][4]~q\ & (\led_flash_cnt[683][2]~q\ & (\led_flash_cnt[683][3]~q\ & \led_flash_cnt[683][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[683][4]~q\,
	datab => \led_flash_cnt[683][2]~q\,
	datac => \led_flash_cnt[683][3]~q\,
	datad => \led_flash_cnt[683][1]~q\,
	combout => \WideAnd683~0_combout\);

-- Location: LCCOMB_X44_Y32_N14
WideAnd683 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd683~combout\ = (\led_flash_cnt[683][7]~q\ & (\led_flash_cnt[683][0]~q\ & (\WideAnd683~1_combout\ & \WideAnd683~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[683][7]~q\,
	datab => \led_flash_cnt[683][0]~q\,
	datac => \WideAnd683~1_combout\,
	datad => \WideAnd683~0_combout\,
	combout => \WideAnd683~combout\);

-- Location: FF_X44_Y32_N15
\led_flash_cnt_ands[683]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd683~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(683));

-- Location: LCCOMB_X44_Y32_N0
\led_flash_cnt[681][0]~81321\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[681][0]~81321_combout\ = !\led_flash_cnt[681][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[681][0]~q\,
	combout => \led_flash_cnt[681][0]~81321_combout\);

-- Location: FF_X44_Y32_N1
\led_flash_cnt[681][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[681][0]~81321_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[681][0]~q\);

-- Location: LCCOMB_X44_Y33_N2
\led_flash_cnt[681][1]~36414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[681][1]~36414_combout\ = (\led_flash_cnt[681][0]~q\ & (\led_flash_cnt[681][1]~q\ $ (VCC))) # (!\led_flash_cnt[681][0]~q\ & (\led_flash_cnt[681][1]~q\ & VCC))
-- \led_flash_cnt[681][1]~36415\ = CARRY((\led_flash_cnt[681][0]~q\ & \led_flash_cnt[681][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[681][0]~q\,
	datab => \led_flash_cnt[681][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[681][1]~36414_combout\,
	cout => \led_flash_cnt[681][1]~36415\);

-- Location: FF_X44_Y33_N3
\led_flash_cnt[681][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[681][1]~36414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[681][1]~q\);

-- Location: LCCOMB_X44_Y33_N4
\led_flash_cnt[681][2]~36416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[681][2]~36416_combout\ = (\led_flash_cnt[681][2]~q\ & (!\led_flash_cnt[681][1]~36415\)) # (!\led_flash_cnt[681][2]~q\ & ((\led_flash_cnt[681][1]~36415\) # (GND)))
-- \led_flash_cnt[681][2]~36417\ = CARRY((!\led_flash_cnt[681][1]~36415\) # (!\led_flash_cnt[681][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[681][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[681][1]~36415\,
	combout => \led_flash_cnt[681][2]~36416_combout\,
	cout => \led_flash_cnt[681][2]~36417\);

-- Location: FF_X44_Y33_N5
\led_flash_cnt[681][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[681][2]~36416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[681][2]~q\);

-- Location: LCCOMB_X44_Y33_N6
\led_flash_cnt[681][3]~36418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[681][3]~36418_combout\ = (\led_flash_cnt[681][3]~q\ & (\led_flash_cnt[681][2]~36417\ $ (GND))) # (!\led_flash_cnt[681][3]~q\ & (!\led_flash_cnt[681][2]~36417\ & VCC))
-- \led_flash_cnt[681][3]~36419\ = CARRY((\led_flash_cnt[681][3]~q\ & !\led_flash_cnt[681][2]~36417\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[681][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[681][2]~36417\,
	combout => \led_flash_cnt[681][3]~36418_combout\,
	cout => \led_flash_cnt[681][3]~36419\);

-- Location: FF_X44_Y33_N7
\led_flash_cnt[681][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[681][3]~36418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[681][3]~q\);

-- Location: LCCOMB_X44_Y33_N8
\led_flash_cnt[681][4]~36420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[681][4]~36420_combout\ = (\led_flash_cnt[681][4]~q\ & (!\led_flash_cnt[681][3]~36419\)) # (!\led_flash_cnt[681][4]~q\ & ((\led_flash_cnt[681][3]~36419\) # (GND)))
-- \led_flash_cnt[681][4]~36421\ = CARRY((!\led_flash_cnt[681][3]~36419\) # (!\led_flash_cnt[681][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[681][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[681][3]~36419\,
	combout => \led_flash_cnt[681][4]~36420_combout\,
	cout => \led_flash_cnt[681][4]~36421\);

-- Location: FF_X44_Y33_N9
\led_flash_cnt[681][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[681][4]~36420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[681][4]~q\);

-- Location: LCCOMB_X44_Y33_N10
\led_flash_cnt[681][5]~36422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[681][5]~36422_combout\ = (\led_flash_cnt[681][5]~q\ & (\led_flash_cnt[681][4]~36421\ $ (GND))) # (!\led_flash_cnt[681][5]~q\ & (!\led_flash_cnt[681][4]~36421\ & VCC))
-- \led_flash_cnt[681][5]~36423\ = CARRY((\led_flash_cnt[681][5]~q\ & !\led_flash_cnt[681][4]~36421\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[681][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[681][4]~36421\,
	combout => \led_flash_cnt[681][5]~36422_combout\,
	cout => \led_flash_cnt[681][5]~36423\);

-- Location: FF_X44_Y33_N11
\led_flash_cnt[681][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[681][5]~36422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[681][5]~q\);

-- Location: LCCOMB_X44_Y33_N12
\led_flash_cnt[681][6]~36424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[681][6]~36424_combout\ = (\led_flash_cnt[681][6]~q\ & (!\led_flash_cnt[681][5]~36423\)) # (!\led_flash_cnt[681][6]~q\ & ((\led_flash_cnt[681][5]~36423\) # (GND)))
-- \led_flash_cnt[681][6]~36425\ = CARRY((!\led_flash_cnt[681][5]~36423\) # (!\led_flash_cnt[681][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[681][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[681][5]~36423\,
	combout => \led_flash_cnt[681][6]~36424_combout\,
	cout => \led_flash_cnt[681][6]~36425\);

-- Location: FF_X44_Y33_N13
\led_flash_cnt[681][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[681][6]~36424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[681][6]~q\);

-- Location: LCCOMB_X44_Y33_N0
\WideAnd681~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd681~1_combout\ = (\led_flash_cnt[681][6]~q\ & \led_flash_cnt[681][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[681][6]~q\,
	datad => \led_flash_cnt[681][5]~q\,
	combout => \WideAnd681~1_combout\);

-- Location: LCCOMB_X44_Y33_N16
\WideAnd681~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd681~0_combout\ = (\led_flash_cnt[681][3]~q\ & (\led_flash_cnt[681][4]~q\ & (\led_flash_cnt[681][2]~q\ & \led_flash_cnt[681][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[681][3]~q\,
	datab => \led_flash_cnt[681][4]~q\,
	datac => \led_flash_cnt[681][2]~q\,
	datad => \led_flash_cnt[681][1]~q\,
	combout => \WideAnd681~0_combout\);

-- Location: LCCOMB_X44_Y33_N14
\led_flash_cnt[681][7]~36426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[681][7]~36426_combout\ = \led_flash_cnt[681][7]~q\ $ (!\led_flash_cnt[681][6]~36425\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[681][7]~q\,
	cin => \led_flash_cnt[681][6]~36425\,
	combout => \led_flash_cnt[681][7]~36426_combout\);

-- Location: FF_X44_Y33_N15
\led_flash_cnt[681][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[681][7]~36426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[681][7]~q\);

-- Location: LCCOMB_X44_Y32_N26
WideAnd681 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd681~combout\ = (\WideAnd681~1_combout\ & (\led_flash_cnt[681][0]~q\ & (\WideAnd681~0_combout\ & \led_flash_cnt[681][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd681~1_combout\,
	datab => \led_flash_cnt[681][0]~q\,
	datac => \WideAnd681~0_combout\,
	datad => \led_flash_cnt[681][7]~q\,
	combout => \WideAnd681~combout\);

-- Location: FF_X44_Y32_N27
\led_flash_cnt_ands[681]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd681~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(681));

-- Location: LCCOMB_X38_Y34_N2
\led_flash_cnt[680][0]~81320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[680][0]~81320_combout\ = !\led_flash_cnt[680][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[680][0]~q\,
	combout => \led_flash_cnt[680][0]~81320_combout\);

-- Location: FF_X38_Y34_N3
\led_flash_cnt[680][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[680][0]~81320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[680][0]~q\);

-- Location: LCCOMB_X45_Y31_N18
\led_flash_cnt[680][1]~36400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[680][1]~36400_combout\ = (\led_flash_cnt[680][0]~q\ & (\led_flash_cnt[680][1]~q\ $ (VCC))) # (!\led_flash_cnt[680][0]~q\ & (\led_flash_cnt[680][1]~q\ & VCC))
-- \led_flash_cnt[680][1]~36401\ = CARRY((\led_flash_cnt[680][0]~q\ & \led_flash_cnt[680][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[680][0]~q\,
	datab => \led_flash_cnt[680][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[680][1]~36400_combout\,
	cout => \led_flash_cnt[680][1]~36401\);

-- Location: FF_X45_Y31_N19
\led_flash_cnt[680][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[680][1]~36400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[680][1]~q\);

-- Location: LCCOMB_X45_Y31_N20
\led_flash_cnt[680][2]~36402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[680][2]~36402_combout\ = (\led_flash_cnt[680][2]~q\ & (!\led_flash_cnt[680][1]~36401\)) # (!\led_flash_cnt[680][2]~q\ & ((\led_flash_cnt[680][1]~36401\) # (GND)))
-- \led_flash_cnt[680][2]~36403\ = CARRY((!\led_flash_cnt[680][1]~36401\) # (!\led_flash_cnt[680][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[680][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[680][1]~36401\,
	combout => \led_flash_cnt[680][2]~36402_combout\,
	cout => \led_flash_cnt[680][2]~36403\);

-- Location: FF_X45_Y31_N21
\led_flash_cnt[680][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[680][2]~36402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[680][2]~q\);

-- Location: LCCOMB_X45_Y31_N22
\led_flash_cnt[680][3]~36404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[680][3]~36404_combout\ = (\led_flash_cnt[680][3]~q\ & (\led_flash_cnt[680][2]~36403\ $ (GND))) # (!\led_flash_cnt[680][3]~q\ & (!\led_flash_cnt[680][2]~36403\ & VCC))
-- \led_flash_cnt[680][3]~36405\ = CARRY((\led_flash_cnt[680][3]~q\ & !\led_flash_cnt[680][2]~36403\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[680][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[680][2]~36403\,
	combout => \led_flash_cnt[680][3]~36404_combout\,
	cout => \led_flash_cnt[680][3]~36405\);

-- Location: FF_X45_Y31_N23
\led_flash_cnt[680][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[680][3]~36404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[680][3]~q\);

-- Location: LCCOMB_X45_Y31_N24
\led_flash_cnt[680][4]~36406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[680][4]~36406_combout\ = (\led_flash_cnt[680][4]~q\ & (!\led_flash_cnt[680][3]~36405\)) # (!\led_flash_cnt[680][4]~q\ & ((\led_flash_cnt[680][3]~36405\) # (GND)))
-- \led_flash_cnt[680][4]~36407\ = CARRY((!\led_flash_cnt[680][3]~36405\) # (!\led_flash_cnt[680][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[680][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[680][3]~36405\,
	combout => \led_flash_cnt[680][4]~36406_combout\,
	cout => \led_flash_cnt[680][4]~36407\);

-- Location: FF_X45_Y31_N25
\led_flash_cnt[680][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[680][4]~36406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[680][4]~q\);

-- Location: LCCOMB_X45_Y31_N0
\WideAnd680~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd680~0_combout\ = (\led_flash_cnt[680][2]~q\ & (\led_flash_cnt[680][4]~q\ & (\led_flash_cnt[680][3]~q\ & \led_flash_cnt[680][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[680][2]~q\,
	datab => \led_flash_cnt[680][4]~q\,
	datac => \led_flash_cnt[680][3]~q\,
	datad => \led_flash_cnt[680][1]~q\,
	combout => \WideAnd680~0_combout\);

-- Location: LCCOMB_X45_Y31_N26
\led_flash_cnt[680][5]~36408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[680][5]~36408_combout\ = (\led_flash_cnt[680][5]~q\ & (\led_flash_cnt[680][4]~36407\ $ (GND))) # (!\led_flash_cnt[680][5]~q\ & (!\led_flash_cnt[680][4]~36407\ & VCC))
-- \led_flash_cnt[680][5]~36409\ = CARRY((\led_flash_cnt[680][5]~q\ & !\led_flash_cnt[680][4]~36407\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[680][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[680][4]~36407\,
	combout => \led_flash_cnt[680][5]~36408_combout\,
	cout => \led_flash_cnt[680][5]~36409\);

-- Location: FF_X45_Y31_N27
\led_flash_cnt[680][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[680][5]~36408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[680][5]~q\);

-- Location: LCCOMB_X45_Y31_N28
\led_flash_cnt[680][6]~36410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[680][6]~36410_combout\ = (\led_flash_cnt[680][6]~q\ & (!\led_flash_cnt[680][5]~36409\)) # (!\led_flash_cnt[680][6]~q\ & ((\led_flash_cnt[680][5]~36409\) # (GND)))
-- \led_flash_cnt[680][6]~36411\ = CARRY((!\led_flash_cnt[680][5]~36409\) # (!\led_flash_cnt[680][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[680][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[680][5]~36409\,
	combout => \led_flash_cnt[680][6]~36410_combout\,
	cout => \led_flash_cnt[680][6]~36411\);

-- Location: FF_X45_Y31_N29
\led_flash_cnt[680][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[680][6]~36410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[680][6]~q\);

-- Location: LCCOMB_X45_Y31_N30
\led_flash_cnt[680][7]~36412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[680][7]~36412_combout\ = \led_flash_cnt[680][7]~q\ $ (!\led_flash_cnt[680][6]~36411\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[680][7]~q\,
	cin => \led_flash_cnt[680][6]~36411\,
	combout => \led_flash_cnt[680][7]~36412_combout\);

-- Location: FF_X45_Y31_N31
\led_flash_cnt[680][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[680][7]~36412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[680][7]~q\);

-- Location: LCCOMB_X44_Y32_N24
\WideAnd680~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd680~1_combout\ = (\led_flash_cnt[680][5]~q\ & \led_flash_cnt[680][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[680][5]~q\,
	datad => \led_flash_cnt[680][6]~q\,
	combout => \WideAnd680~1_combout\);

-- Location: LCCOMB_X44_Y32_N18
WideAnd680 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd680~combout\ = (\led_flash_cnt[680][0]~q\ & (\WideAnd680~0_combout\ & (\led_flash_cnt[680][7]~q\ & \WideAnd680~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[680][0]~q\,
	datab => \WideAnd680~0_combout\,
	datac => \led_flash_cnt[680][7]~q\,
	datad => \WideAnd680~1_combout\,
	combout => \WideAnd680~combout\);

-- Location: FF_X44_Y32_N19
\led_flash_cnt_ands[680]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd680~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(680));

-- Location: LCCOMB_X44_Y32_N20
\WideAnd3925~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3925~0_combout\ = (led_flash_cnt_ands(682) & (led_flash_cnt_ands(683) & (led_flash_cnt_ands(681) & led_flash_cnt_ands(680))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(682),
	datab => led_flash_cnt_ands(683),
	datac => led_flash_cnt_ands(681),
	datad => led_flash_cnt_ands(680),
	combout => \WideAnd3925~0_combout\);

-- Location: LCCOMB_X38_Y33_N20
\led_flash_cnt[685][0]~81325\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[685][0]~81325_combout\ = !\led_flash_cnt[685][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[685][0]~q\,
	combout => \led_flash_cnt[685][0]~81325_combout\);

-- Location: FF_X38_Y33_N21
\led_flash_cnt[685][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[685][0]~81325_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[685][0]~q\);

-- Location: LCCOMB_X38_Y33_N6
\led_flash_cnt[685][1]~36470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[685][1]~36470_combout\ = (\led_flash_cnt[685][1]~q\ & (\led_flash_cnt[685][0]~q\ $ (VCC))) # (!\led_flash_cnt[685][1]~q\ & (\led_flash_cnt[685][0]~q\ & VCC))
-- \led_flash_cnt[685][1]~36471\ = CARRY((\led_flash_cnt[685][1]~q\ & \led_flash_cnt[685][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[685][1]~q\,
	datab => \led_flash_cnt[685][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[685][1]~36470_combout\,
	cout => \led_flash_cnt[685][1]~36471\);

-- Location: FF_X38_Y33_N7
\led_flash_cnt[685][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[685][1]~36470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[685][1]~q\);

-- Location: LCCOMB_X38_Y33_N8
\led_flash_cnt[685][2]~36472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[685][2]~36472_combout\ = (\led_flash_cnt[685][2]~q\ & (!\led_flash_cnt[685][1]~36471\)) # (!\led_flash_cnt[685][2]~q\ & ((\led_flash_cnt[685][1]~36471\) # (GND)))
-- \led_flash_cnt[685][2]~36473\ = CARRY((!\led_flash_cnt[685][1]~36471\) # (!\led_flash_cnt[685][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[685][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[685][1]~36471\,
	combout => \led_flash_cnt[685][2]~36472_combout\,
	cout => \led_flash_cnt[685][2]~36473\);

-- Location: FF_X38_Y33_N9
\led_flash_cnt[685][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[685][2]~36472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[685][2]~q\);

-- Location: LCCOMB_X38_Y33_N10
\led_flash_cnt[685][3]~36474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[685][3]~36474_combout\ = (\led_flash_cnt[685][3]~q\ & (\led_flash_cnt[685][2]~36473\ $ (GND))) # (!\led_flash_cnt[685][3]~q\ & (!\led_flash_cnt[685][2]~36473\ & VCC))
-- \led_flash_cnt[685][3]~36475\ = CARRY((\led_flash_cnt[685][3]~q\ & !\led_flash_cnt[685][2]~36473\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[685][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[685][2]~36473\,
	combout => \led_flash_cnt[685][3]~36474_combout\,
	cout => \led_flash_cnt[685][3]~36475\);

-- Location: FF_X38_Y33_N11
\led_flash_cnt[685][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[685][3]~36474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[685][3]~q\);

-- Location: LCCOMB_X38_Y33_N12
\led_flash_cnt[685][4]~36476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[685][4]~36476_combout\ = (\led_flash_cnt[685][4]~q\ & (!\led_flash_cnt[685][3]~36475\)) # (!\led_flash_cnt[685][4]~q\ & ((\led_flash_cnt[685][3]~36475\) # (GND)))
-- \led_flash_cnt[685][4]~36477\ = CARRY((!\led_flash_cnt[685][3]~36475\) # (!\led_flash_cnt[685][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[685][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[685][3]~36475\,
	combout => \led_flash_cnt[685][4]~36476_combout\,
	cout => \led_flash_cnt[685][4]~36477\);

-- Location: FF_X38_Y33_N13
\led_flash_cnt[685][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[685][4]~36476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[685][4]~q\);

-- Location: LCCOMB_X38_Y33_N14
\led_flash_cnt[685][5]~36478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[685][5]~36478_combout\ = (\led_flash_cnt[685][5]~q\ & (\led_flash_cnt[685][4]~36477\ $ (GND))) # (!\led_flash_cnt[685][5]~q\ & (!\led_flash_cnt[685][4]~36477\ & VCC))
-- \led_flash_cnt[685][5]~36479\ = CARRY((\led_flash_cnt[685][5]~q\ & !\led_flash_cnt[685][4]~36477\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[685][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[685][4]~36477\,
	combout => \led_flash_cnt[685][5]~36478_combout\,
	cout => \led_flash_cnt[685][5]~36479\);

-- Location: FF_X38_Y33_N15
\led_flash_cnt[685][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[685][5]~36478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[685][5]~q\);

-- Location: LCCOMB_X38_Y33_N16
\led_flash_cnt[685][6]~36480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[685][6]~36480_combout\ = (\led_flash_cnt[685][6]~q\ & (!\led_flash_cnt[685][5]~36479\)) # (!\led_flash_cnt[685][6]~q\ & ((\led_flash_cnt[685][5]~36479\) # (GND)))
-- \led_flash_cnt[685][6]~36481\ = CARRY((!\led_flash_cnt[685][5]~36479\) # (!\led_flash_cnt[685][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[685][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[685][5]~36479\,
	combout => \led_flash_cnt[685][6]~36480_combout\,
	cout => \led_flash_cnt[685][6]~36481\);

-- Location: FF_X38_Y33_N17
\led_flash_cnt[685][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[685][6]~36480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[685][6]~q\);

-- Location: LCCOMB_X38_Y33_N26
\WideAnd685~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd685~1_combout\ = (\led_flash_cnt[685][5]~q\ & \led_flash_cnt[685][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[685][5]~q\,
	datad => \led_flash_cnt[685][6]~q\,
	combout => \WideAnd685~1_combout\);

-- Location: LCCOMB_X38_Y33_N4
\WideAnd685~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd685~0_combout\ = (\led_flash_cnt[685][3]~q\ & (\led_flash_cnt[685][4]~q\ & (\led_flash_cnt[685][2]~q\ & \led_flash_cnt[685][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[685][3]~q\,
	datab => \led_flash_cnt[685][4]~q\,
	datac => \led_flash_cnt[685][2]~q\,
	datad => \led_flash_cnt[685][1]~q\,
	combout => \WideAnd685~0_combout\);

-- Location: LCCOMB_X38_Y33_N18
\led_flash_cnt[685][7]~36482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[685][7]~36482_combout\ = \led_flash_cnt[685][6]~36481\ $ (!\led_flash_cnt[685][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[685][7]~q\,
	cin => \led_flash_cnt[685][6]~36481\,
	combout => \led_flash_cnt[685][7]~36482_combout\);

-- Location: FF_X38_Y33_N19
\led_flash_cnt[685][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[685][7]~36482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[685][7]~q\);

-- Location: LCCOMB_X38_Y33_N28
WideAnd685 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd685~combout\ = (\WideAnd685~1_combout\ & (\led_flash_cnt[685][0]~q\ & (\WideAnd685~0_combout\ & \led_flash_cnt[685][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd685~1_combout\,
	datab => \led_flash_cnt[685][0]~q\,
	datac => \WideAnd685~0_combout\,
	datad => \led_flash_cnt[685][7]~q\,
	combout => \WideAnd685~combout\);

-- Location: FF_X38_Y33_N29
\led_flash_cnt_ands[685]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd685~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(685));

-- Location: LCCOMB_X38_Y33_N2
\led_flash_cnt[684][0]~81324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[684][0]~81324_combout\ = !\led_flash_cnt[684][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[684][0]~q\,
	combout => \led_flash_cnt[684][0]~81324_combout\);

-- Location: FF_X38_Y33_N3
\led_flash_cnt[684][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[684][0]~81324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[684][0]~q\);

-- Location: LCCOMB_X37_Y33_N18
\led_flash_cnt[684][1]~36456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[684][1]~36456_combout\ = (\led_flash_cnt[684][0]~q\ & (\led_flash_cnt[684][1]~q\ $ (VCC))) # (!\led_flash_cnt[684][0]~q\ & (\led_flash_cnt[684][1]~q\ & VCC))
-- \led_flash_cnt[684][1]~36457\ = CARRY((\led_flash_cnt[684][0]~q\ & \led_flash_cnt[684][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[684][0]~q\,
	datab => \led_flash_cnt[684][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[684][1]~36456_combout\,
	cout => \led_flash_cnt[684][1]~36457\);

-- Location: FF_X37_Y33_N19
\led_flash_cnt[684][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[684][1]~36456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[684][1]~q\);

-- Location: LCCOMB_X37_Y33_N20
\led_flash_cnt[684][2]~36458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[684][2]~36458_combout\ = (\led_flash_cnt[684][2]~q\ & (!\led_flash_cnt[684][1]~36457\)) # (!\led_flash_cnt[684][2]~q\ & ((\led_flash_cnt[684][1]~36457\) # (GND)))
-- \led_flash_cnt[684][2]~36459\ = CARRY((!\led_flash_cnt[684][1]~36457\) # (!\led_flash_cnt[684][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[684][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[684][1]~36457\,
	combout => \led_flash_cnt[684][2]~36458_combout\,
	cout => \led_flash_cnt[684][2]~36459\);

-- Location: FF_X37_Y33_N21
\led_flash_cnt[684][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[684][2]~36458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[684][2]~q\);

-- Location: LCCOMB_X37_Y33_N22
\led_flash_cnt[684][3]~36460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[684][3]~36460_combout\ = (\led_flash_cnt[684][3]~q\ & (\led_flash_cnt[684][2]~36459\ $ (GND))) # (!\led_flash_cnt[684][3]~q\ & (!\led_flash_cnt[684][2]~36459\ & VCC))
-- \led_flash_cnt[684][3]~36461\ = CARRY((\led_flash_cnt[684][3]~q\ & !\led_flash_cnt[684][2]~36459\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[684][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[684][2]~36459\,
	combout => \led_flash_cnt[684][3]~36460_combout\,
	cout => \led_flash_cnt[684][3]~36461\);

-- Location: FF_X37_Y33_N23
\led_flash_cnt[684][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[684][3]~36460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[684][3]~q\);

-- Location: LCCOMB_X37_Y33_N24
\led_flash_cnt[684][4]~36462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[684][4]~36462_combout\ = (\led_flash_cnt[684][4]~q\ & (!\led_flash_cnt[684][3]~36461\)) # (!\led_flash_cnt[684][4]~q\ & ((\led_flash_cnt[684][3]~36461\) # (GND)))
-- \led_flash_cnt[684][4]~36463\ = CARRY((!\led_flash_cnt[684][3]~36461\) # (!\led_flash_cnt[684][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[684][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[684][3]~36461\,
	combout => \led_flash_cnt[684][4]~36462_combout\,
	cout => \led_flash_cnt[684][4]~36463\);

-- Location: FF_X37_Y33_N25
\led_flash_cnt[684][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[684][4]~36462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[684][4]~q\);

-- Location: LCCOMB_X37_Y33_N26
\led_flash_cnt[684][5]~36464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[684][5]~36464_combout\ = (\led_flash_cnt[684][5]~q\ & (\led_flash_cnt[684][4]~36463\ $ (GND))) # (!\led_flash_cnt[684][5]~q\ & (!\led_flash_cnt[684][4]~36463\ & VCC))
-- \led_flash_cnt[684][5]~36465\ = CARRY((\led_flash_cnt[684][5]~q\ & !\led_flash_cnt[684][4]~36463\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[684][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[684][4]~36463\,
	combout => \led_flash_cnt[684][5]~36464_combout\,
	cout => \led_flash_cnt[684][5]~36465\);

-- Location: FF_X37_Y33_N27
\led_flash_cnt[684][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[684][5]~36464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[684][5]~q\);

-- Location: LCCOMB_X37_Y33_N28
\led_flash_cnt[684][6]~36466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[684][6]~36466_combout\ = (\led_flash_cnt[684][6]~q\ & (!\led_flash_cnt[684][5]~36465\)) # (!\led_flash_cnt[684][6]~q\ & ((\led_flash_cnt[684][5]~36465\) # (GND)))
-- \led_flash_cnt[684][6]~36467\ = CARRY((!\led_flash_cnt[684][5]~36465\) # (!\led_flash_cnt[684][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[684][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[684][5]~36465\,
	combout => \led_flash_cnt[684][6]~36466_combout\,
	cout => \led_flash_cnt[684][6]~36467\);

-- Location: FF_X37_Y33_N29
\led_flash_cnt[684][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[684][6]~36466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[684][6]~q\);

-- Location: LCCOMB_X38_Y33_N22
\WideAnd684~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd684~1_combout\ = (\led_flash_cnt[684][5]~q\ & \led_flash_cnt[684][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[684][5]~q\,
	datad => \led_flash_cnt[684][6]~q\,
	combout => \WideAnd684~1_combout\);

-- Location: LCCOMB_X37_Y33_N30
\led_flash_cnt[684][7]~36468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[684][7]~36468_combout\ = \led_flash_cnt[684][7]~q\ $ (!\led_flash_cnt[684][6]~36467\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[684][7]~q\,
	cin => \led_flash_cnt[684][6]~36467\,
	combout => \led_flash_cnt[684][7]~36468_combout\);

-- Location: FF_X37_Y33_N31
\led_flash_cnt[684][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[684][7]~36468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[684][7]~q\);

-- Location: LCCOMB_X37_Y33_N14
\WideAnd684~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd684~0_combout\ = (\led_flash_cnt[684][2]~q\ & (\led_flash_cnt[684][4]~q\ & (\led_flash_cnt[684][3]~q\ & \led_flash_cnt[684][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[684][2]~q\,
	datab => \led_flash_cnt[684][4]~q\,
	datac => \led_flash_cnt[684][3]~q\,
	datad => \led_flash_cnt[684][1]~q\,
	combout => \WideAnd684~0_combout\);

-- Location: LCCOMB_X38_Y33_N24
WideAnd684 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd684~combout\ = (\WideAnd684~1_combout\ & (\led_flash_cnt[684][7]~q\ & (\led_flash_cnt[684][0]~q\ & \WideAnd684~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd684~1_combout\,
	datab => \led_flash_cnt[684][7]~q\,
	datac => \led_flash_cnt[684][0]~q\,
	datad => \WideAnd684~0_combout\,
	combout => \WideAnd684~combout\);

-- Location: FF_X38_Y33_N25
\led_flash_cnt_ands[684]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd684~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(684));

-- Location: LCCOMB_X39_Y33_N30
\WideAnd3925~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3925~1_combout\ = (led_flash_cnt_ands(685) & led_flash_cnt_ands(684))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(685),
	datad => led_flash_cnt_ands(684),
	combout => \WideAnd3925~1_combout\);

-- Location: LCCOMB_X42_Y35_N30
\led_flash_cnt[686][0]~81326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[686][0]~81326_combout\ = !\led_flash_cnt[686][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[686][0]~q\,
	combout => \led_flash_cnt[686][0]~81326_combout\);

-- Location: FF_X42_Y35_N31
\led_flash_cnt[686][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[686][0]~81326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[686][0]~q\);

-- Location: LCCOMB_X41_Y35_N0
\led_flash_cnt[686][1]~36484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[686][1]~36484_combout\ = (\led_flash_cnt[686][0]~q\ & (\led_flash_cnt[686][1]~q\ $ (VCC))) # (!\led_flash_cnt[686][0]~q\ & (\led_flash_cnt[686][1]~q\ & VCC))
-- \led_flash_cnt[686][1]~36485\ = CARRY((\led_flash_cnt[686][0]~q\ & \led_flash_cnt[686][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[686][0]~q\,
	datab => \led_flash_cnt[686][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[686][1]~36484_combout\,
	cout => \led_flash_cnt[686][1]~36485\);

-- Location: FF_X41_Y35_N1
\led_flash_cnt[686][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[686][1]~36484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[686][1]~q\);

-- Location: LCCOMB_X41_Y35_N2
\led_flash_cnt[686][2]~36486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[686][2]~36486_combout\ = (\led_flash_cnt[686][2]~q\ & (!\led_flash_cnt[686][1]~36485\)) # (!\led_flash_cnt[686][2]~q\ & ((\led_flash_cnt[686][1]~36485\) # (GND)))
-- \led_flash_cnt[686][2]~36487\ = CARRY((!\led_flash_cnt[686][1]~36485\) # (!\led_flash_cnt[686][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[686][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[686][1]~36485\,
	combout => \led_flash_cnt[686][2]~36486_combout\,
	cout => \led_flash_cnt[686][2]~36487\);

-- Location: FF_X41_Y35_N3
\led_flash_cnt[686][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[686][2]~36486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[686][2]~q\);

-- Location: LCCOMB_X41_Y35_N4
\led_flash_cnt[686][3]~36488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[686][3]~36488_combout\ = (\led_flash_cnt[686][3]~q\ & (\led_flash_cnt[686][2]~36487\ $ (GND))) # (!\led_flash_cnt[686][3]~q\ & (!\led_flash_cnt[686][2]~36487\ & VCC))
-- \led_flash_cnt[686][3]~36489\ = CARRY((\led_flash_cnt[686][3]~q\ & !\led_flash_cnt[686][2]~36487\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[686][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[686][2]~36487\,
	combout => \led_flash_cnt[686][3]~36488_combout\,
	cout => \led_flash_cnt[686][3]~36489\);

-- Location: FF_X41_Y35_N5
\led_flash_cnt[686][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[686][3]~36488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[686][3]~q\);

-- Location: LCCOMB_X41_Y35_N6
\led_flash_cnt[686][4]~36490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[686][4]~36490_combout\ = (\led_flash_cnt[686][4]~q\ & (!\led_flash_cnt[686][3]~36489\)) # (!\led_flash_cnt[686][4]~q\ & ((\led_flash_cnt[686][3]~36489\) # (GND)))
-- \led_flash_cnt[686][4]~36491\ = CARRY((!\led_flash_cnt[686][3]~36489\) # (!\led_flash_cnt[686][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[686][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[686][3]~36489\,
	combout => \led_flash_cnt[686][4]~36490_combout\,
	cout => \led_flash_cnt[686][4]~36491\);

-- Location: FF_X41_Y35_N7
\led_flash_cnt[686][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[686][4]~36490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[686][4]~q\);

-- Location: LCCOMB_X41_Y35_N8
\led_flash_cnt[686][5]~36492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[686][5]~36492_combout\ = (\led_flash_cnt[686][5]~q\ & (\led_flash_cnt[686][4]~36491\ $ (GND))) # (!\led_flash_cnt[686][5]~q\ & (!\led_flash_cnt[686][4]~36491\ & VCC))
-- \led_flash_cnt[686][5]~36493\ = CARRY((\led_flash_cnt[686][5]~q\ & !\led_flash_cnt[686][4]~36491\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[686][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[686][4]~36491\,
	combout => \led_flash_cnt[686][5]~36492_combout\,
	cout => \led_flash_cnt[686][5]~36493\);

-- Location: FF_X41_Y35_N9
\led_flash_cnt[686][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[686][5]~36492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[686][5]~q\);

-- Location: LCCOMB_X41_Y35_N10
\led_flash_cnt[686][6]~36494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[686][6]~36494_combout\ = (\led_flash_cnt[686][6]~q\ & (!\led_flash_cnt[686][5]~36493\)) # (!\led_flash_cnt[686][6]~q\ & ((\led_flash_cnt[686][5]~36493\) # (GND)))
-- \led_flash_cnt[686][6]~36495\ = CARRY((!\led_flash_cnt[686][5]~36493\) # (!\led_flash_cnt[686][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[686][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[686][5]~36493\,
	combout => \led_flash_cnt[686][6]~36494_combout\,
	cout => \led_flash_cnt[686][6]~36495\);

-- Location: FF_X41_Y35_N11
\led_flash_cnt[686][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[686][6]~36494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[686][6]~q\);

-- Location: LCCOMB_X41_Y35_N12
\led_flash_cnt[686][7]~36496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[686][7]~36496_combout\ = \led_flash_cnt[686][6]~36495\ $ (!\led_flash_cnt[686][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[686][7]~q\,
	cin => \led_flash_cnt[686][6]~36495\,
	combout => \led_flash_cnt[686][7]~36496_combout\);

-- Location: FF_X41_Y35_N13
\led_flash_cnt[686][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[686][7]~36496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[686][7]~q\);

-- Location: LCCOMB_X42_Y35_N28
\WideAnd686~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd686~1_combout\ = (\led_flash_cnt[686][6]~q\ & \led_flash_cnt[686][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[686][6]~q\,
	datad => \led_flash_cnt[686][5]~q\,
	combout => \WideAnd686~1_combout\);

-- Location: LCCOMB_X42_Y35_N18
\WideAnd686~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd686~0_combout\ = (\led_flash_cnt[686][1]~q\ & (\led_flash_cnt[686][3]~q\ & (\led_flash_cnt[686][4]~q\ & \led_flash_cnt[686][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[686][1]~q\,
	datab => \led_flash_cnt[686][3]~q\,
	datac => \led_flash_cnt[686][4]~q\,
	datad => \led_flash_cnt[686][2]~q\,
	combout => \WideAnd686~0_combout\);

-- Location: LCCOMB_X42_Y35_N22
WideAnd686 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd686~combout\ = (\led_flash_cnt[686][7]~q\ & (\WideAnd686~1_combout\ & (\led_flash_cnt[686][0]~q\ & \WideAnd686~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[686][7]~q\,
	datab => \WideAnd686~1_combout\,
	datac => \led_flash_cnt[686][0]~q\,
	datad => \WideAnd686~0_combout\,
	combout => \WideAnd686~combout\);

-- Location: FF_X42_Y35_N23
\led_flash_cnt_ands[686]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd686~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(686));

-- Location: LCCOMB_X44_Y32_N6
WideAnd3925 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3925~combout\ = (led_flash_cnt_ands(687) & (\WideAnd3925~0_combout\ & (\WideAnd3925~1_combout\ & led_flash_cnt_ands(686))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(687),
	datab => \WideAnd3925~0_combout\,
	datac => \WideAnd3925~1_combout\,
	datad => led_flash_cnt_ands(686),
	combout => \WideAnd3925~combout\);

-- Location: FF_X44_Y32_N7
\led_flash_cnt_ands_1[85]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3925~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(85));

-- Location: LCCOMB_X40_Y29_N20
\WideAnd4330~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4330~1_combout\ = (led_flash_cnt_ands_1(84) & led_flash_cnt_ands_1(85))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(84),
	datad => led_flash_cnt_ands_1(85),
	combout => \WideAnd4330~1_combout\);

-- Location: LCCOMB_X40_Y29_N30
WideAnd4330 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4330~combout\ = (led_flash_cnt_ands_1(86) & (\WideAnd4330~0_combout\ & (led_flash_cnt_ands_1(87) & \WideAnd4330~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(86),
	datab => \WideAnd4330~0_combout\,
	datac => led_flash_cnt_ands_1(87),
	datad => \WideAnd4330~1_combout\,
	combout => \WideAnd4330~combout\);

-- Location: FF_X40_Y29_N31
\led_flash_cnt_ands_2[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4330~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(10));

-- Location: LCCOMB_X63_Y18_N2
\led_flash_cnt[639][0]~81279\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[639][0]~81279_combout\ = !\led_flash_cnt[639][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[639][0]~q\,
	combout => \led_flash_cnt[639][0]~81279_combout\);

-- Location: FF_X63_Y18_N3
\led_flash_cnt[639][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[639][0]~81279_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[639][0]~q\);

-- Location: LCCOMB_X62_Y18_N16
\led_flash_cnt[639][1]~35826\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[639][1]~35826_combout\ = (\led_flash_cnt[639][0]~q\ & (\led_flash_cnt[639][1]~q\ $ (VCC))) # (!\led_flash_cnt[639][0]~q\ & (\led_flash_cnt[639][1]~q\ & VCC))
-- \led_flash_cnt[639][1]~35827\ = CARRY((\led_flash_cnt[639][0]~q\ & \led_flash_cnt[639][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[639][0]~q\,
	datab => \led_flash_cnt[639][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[639][1]~35826_combout\,
	cout => \led_flash_cnt[639][1]~35827\);

-- Location: FF_X62_Y18_N17
\led_flash_cnt[639][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[639][1]~35826_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[639][1]~q\);

-- Location: LCCOMB_X62_Y18_N18
\led_flash_cnt[639][2]~35828\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[639][2]~35828_combout\ = (\led_flash_cnt[639][2]~q\ & (!\led_flash_cnt[639][1]~35827\)) # (!\led_flash_cnt[639][2]~q\ & ((\led_flash_cnt[639][1]~35827\) # (GND)))
-- \led_flash_cnt[639][2]~35829\ = CARRY((!\led_flash_cnt[639][1]~35827\) # (!\led_flash_cnt[639][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[639][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[639][1]~35827\,
	combout => \led_flash_cnt[639][2]~35828_combout\,
	cout => \led_flash_cnt[639][2]~35829\);

-- Location: FF_X62_Y18_N19
\led_flash_cnt[639][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[639][2]~35828_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[639][2]~q\);

-- Location: LCCOMB_X62_Y18_N20
\led_flash_cnt[639][3]~35830\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[639][3]~35830_combout\ = (\led_flash_cnt[639][3]~q\ & (\led_flash_cnt[639][2]~35829\ $ (GND))) # (!\led_flash_cnt[639][3]~q\ & (!\led_flash_cnt[639][2]~35829\ & VCC))
-- \led_flash_cnt[639][3]~35831\ = CARRY((\led_flash_cnt[639][3]~q\ & !\led_flash_cnt[639][2]~35829\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[639][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[639][2]~35829\,
	combout => \led_flash_cnt[639][3]~35830_combout\,
	cout => \led_flash_cnt[639][3]~35831\);

-- Location: FF_X62_Y18_N21
\led_flash_cnt[639][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[639][3]~35830_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[639][3]~q\);

-- Location: LCCOMB_X62_Y18_N22
\led_flash_cnt[639][4]~35832\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[639][4]~35832_combout\ = (\led_flash_cnt[639][4]~q\ & (!\led_flash_cnt[639][3]~35831\)) # (!\led_flash_cnt[639][4]~q\ & ((\led_flash_cnt[639][3]~35831\) # (GND)))
-- \led_flash_cnt[639][4]~35833\ = CARRY((!\led_flash_cnt[639][3]~35831\) # (!\led_flash_cnt[639][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[639][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[639][3]~35831\,
	combout => \led_flash_cnt[639][4]~35832_combout\,
	cout => \led_flash_cnt[639][4]~35833\);

-- Location: FF_X62_Y18_N23
\led_flash_cnt[639][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[639][4]~35832_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[639][4]~q\);

-- Location: LCCOMB_X62_Y18_N24
\led_flash_cnt[639][5]~35834\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[639][5]~35834_combout\ = (\led_flash_cnt[639][5]~q\ & (\led_flash_cnt[639][4]~35833\ $ (GND))) # (!\led_flash_cnt[639][5]~q\ & (!\led_flash_cnt[639][4]~35833\ & VCC))
-- \led_flash_cnt[639][5]~35835\ = CARRY((\led_flash_cnt[639][5]~q\ & !\led_flash_cnt[639][4]~35833\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[639][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[639][4]~35833\,
	combout => \led_flash_cnt[639][5]~35834_combout\,
	cout => \led_flash_cnt[639][5]~35835\);

-- Location: FF_X62_Y18_N25
\led_flash_cnt[639][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[639][5]~35834_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[639][5]~q\);

-- Location: LCCOMB_X62_Y18_N26
\led_flash_cnt[639][6]~35836\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[639][6]~35836_combout\ = (\led_flash_cnt[639][6]~q\ & (!\led_flash_cnt[639][5]~35835\)) # (!\led_flash_cnt[639][6]~q\ & ((\led_flash_cnt[639][5]~35835\) # (GND)))
-- \led_flash_cnt[639][6]~35837\ = CARRY((!\led_flash_cnt[639][5]~35835\) # (!\led_flash_cnt[639][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[639][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[639][5]~35835\,
	combout => \led_flash_cnt[639][6]~35836_combout\,
	cout => \led_flash_cnt[639][6]~35837\);

-- Location: FF_X62_Y18_N27
\led_flash_cnt[639][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[639][6]~35836_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[639][6]~q\);

-- Location: LCCOMB_X63_Y18_N30
\WideAnd639~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd639~1_combout\ = (\led_flash_cnt[639][6]~q\ & \led_flash_cnt[639][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[639][6]~q\,
	datad => \led_flash_cnt[639][5]~q\,
	combout => \WideAnd639~1_combout\);

-- Location: LCCOMB_X62_Y18_N28
\led_flash_cnt[639][7]~35838\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[639][7]~35838_combout\ = \led_flash_cnt[639][6]~35837\ $ (!\led_flash_cnt[639][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[639][7]~q\,
	cin => \led_flash_cnt[639][6]~35837\,
	combout => \led_flash_cnt[639][7]~35838_combout\);

-- Location: FF_X62_Y18_N29
\led_flash_cnt[639][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[639][7]~35838_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[639][7]~q\);

-- Location: LCCOMB_X63_Y18_N28
\WideAnd639~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd639~0_combout\ = (\led_flash_cnt[639][4]~q\ & (\led_flash_cnt[639][2]~q\ & (\led_flash_cnt[639][1]~q\ & \led_flash_cnt[639][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[639][4]~q\,
	datab => \led_flash_cnt[639][2]~q\,
	datac => \led_flash_cnt[639][1]~q\,
	datad => \led_flash_cnt[639][3]~q\,
	combout => \WideAnd639~0_combout\);

-- Location: LCCOMB_X63_Y18_N6
WideAnd639 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd639~combout\ = (\WideAnd639~1_combout\ & (\led_flash_cnt[639][7]~q\ & (\led_flash_cnt[639][0]~q\ & \WideAnd639~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd639~1_combout\,
	datab => \led_flash_cnt[639][7]~q\,
	datac => \led_flash_cnt[639][0]~q\,
	datad => \WideAnd639~0_combout\,
	combout => \WideAnd639~combout\);

-- Location: FF_X63_Y18_N7
\led_flash_cnt_ands[639]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd639~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(639));

-- Location: LCCOMB_X63_Y18_N4
\led_flash_cnt[638][0]~81278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[638][0]~81278_combout\ = !\led_flash_cnt[638][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[638][0]~q\,
	combout => \led_flash_cnt[638][0]~81278_combout\);

-- Location: FF_X63_Y18_N5
\led_flash_cnt[638][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[638][0]~81278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[638][0]~q\);

-- Location: LCCOMB_X63_Y18_N10
\led_flash_cnt[638][1]~35812\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[638][1]~35812_combout\ = (\led_flash_cnt[638][1]~q\ & (\led_flash_cnt[638][0]~q\ $ (VCC))) # (!\led_flash_cnt[638][1]~q\ & (\led_flash_cnt[638][0]~q\ & VCC))
-- \led_flash_cnt[638][1]~35813\ = CARRY((\led_flash_cnt[638][1]~q\ & \led_flash_cnt[638][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[638][1]~q\,
	datab => \led_flash_cnt[638][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[638][1]~35812_combout\,
	cout => \led_flash_cnt[638][1]~35813\);

-- Location: FF_X63_Y18_N11
\led_flash_cnt[638][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[638][1]~35812_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[638][1]~q\);

-- Location: LCCOMB_X63_Y18_N12
\led_flash_cnt[638][2]~35814\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[638][2]~35814_combout\ = (\led_flash_cnt[638][2]~q\ & (!\led_flash_cnt[638][1]~35813\)) # (!\led_flash_cnt[638][2]~q\ & ((\led_flash_cnt[638][1]~35813\) # (GND)))
-- \led_flash_cnt[638][2]~35815\ = CARRY((!\led_flash_cnt[638][1]~35813\) # (!\led_flash_cnt[638][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[638][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[638][1]~35813\,
	combout => \led_flash_cnt[638][2]~35814_combout\,
	cout => \led_flash_cnt[638][2]~35815\);

-- Location: FF_X63_Y18_N13
\led_flash_cnt[638][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[638][2]~35814_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[638][2]~q\);

-- Location: LCCOMB_X63_Y18_N14
\led_flash_cnt[638][3]~35816\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[638][3]~35816_combout\ = (\led_flash_cnt[638][3]~q\ & (\led_flash_cnt[638][2]~35815\ $ (GND))) # (!\led_flash_cnt[638][3]~q\ & (!\led_flash_cnt[638][2]~35815\ & VCC))
-- \led_flash_cnt[638][3]~35817\ = CARRY((\led_flash_cnt[638][3]~q\ & !\led_flash_cnt[638][2]~35815\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[638][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[638][2]~35815\,
	combout => \led_flash_cnt[638][3]~35816_combout\,
	cout => \led_flash_cnt[638][3]~35817\);

-- Location: FF_X63_Y18_N15
\led_flash_cnt[638][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[638][3]~35816_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[638][3]~q\);

-- Location: LCCOMB_X63_Y18_N16
\led_flash_cnt[638][4]~35818\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[638][4]~35818_combout\ = (\led_flash_cnt[638][4]~q\ & (!\led_flash_cnt[638][3]~35817\)) # (!\led_flash_cnt[638][4]~q\ & ((\led_flash_cnt[638][3]~35817\) # (GND)))
-- \led_flash_cnt[638][4]~35819\ = CARRY((!\led_flash_cnt[638][3]~35817\) # (!\led_flash_cnt[638][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[638][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[638][3]~35817\,
	combout => \led_flash_cnt[638][4]~35818_combout\,
	cout => \led_flash_cnt[638][4]~35819\);

-- Location: FF_X63_Y18_N17
\led_flash_cnt[638][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[638][4]~35818_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[638][4]~q\);

-- Location: LCCOMB_X63_Y18_N18
\led_flash_cnt[638][5]~35820\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[638][5]~35820_combout\ = (\led_flash_cnt[638][5]~q\ & (\led_flash_cnt[638][4]~35819\ $ (GND))) # (!\led_flash_cnt[638][5]~q\ & (!\led_flash_cnt[638][4]~35819\ & VCC))
-- \led_flash_cnt[638][5]~35821\ = CARRY((\led_flash_cnt[638][5]~q\ & !\led_flash_cnt[638][4]~35819\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[638][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[638][4]~35819\,
	combout => \led_flash_cnt[638][5]~35820_combout\,
	cout => \led_flash_cnt[638][5]~35821\);

-- Location: FF_X63_Y18_N19
\led_flash_cnt[638][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[638][5]~35820_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[638][5]~q\);

-- Location: LCCOMB_X63_Y18_N20
\led_flash_cnt[638][6]~35822\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[638][6]~35822_combout\ = (\led_flash_cnt[638][6]~q\ & (!\led_flash_cnt[638][5]~35821\)) # (!\led_flash_cnt[638][6]~q\ & ((\led_flash_cnt[638][5]~35821\) # (GND)))
-- \led_flash_cnt[638][6]~35823\ = CARRY((!\led_flash_cnt[638][5]~35821\) # (!\led_flash_cnt[638][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[638][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[638][5]~35821\,
	combout => \led_flash_cnt[638][6]~35822_combout\,
	cout => \led_flash_cnt[638][6]~35823\);

-- Location: FF_X63_Y18_N21
\led_flash_cnt[638][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[638][6]~35822_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[638][6]~q\);

-- Location: LCCOMB_X63_Y18_N26
\WideAnd638~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd638~1_combout\ = (\led_flash_cnt[638][6]~q\ & \led_flash_cnt[638][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[638][6]~q\,
	datad => \led_flash_cnt[638][5]~q\,
	combout => \WideAnd638~1_combout\);

-- Location: LCCOMB_X63_Y18_N22
\led_flash_cnt[638][7]~35824\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[638][7]~35824_combout\ = \led_flash_cnt[638][7]~q\ $ (!\led_flash_cnt[638][6]~35823\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[638][7]~q\,
	cin => \led_flash_cnt[638][6]~35823\,
	combout => \led_flash_cnt[638][7]~35824_combout\);

-- Location: FF_X63_Y18_N23
\led_flash_cnt[638][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[638][7]~35824_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[638][7]~q\);

-- Location: LCCOMB_X63_Y18_N24
\WideAnd638~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd638~0_combout\ = (\led_flash_cnt[638][2]~q\ & (\led_flash_cnt[638][4]~q\ & (\led_flash_cnt[638][3]~q\ & \led_flash_cnt[638][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[638][2]~q\,
	datab => \led_flash_cnt[638][4]~q\,
	datac => \led_flash_cnt[638][3]~q\,
	datad => \led_flash_cnt[638][1]~q\,
	combout => \WideAnd638~0_combout\);

-- Location: LCCOMB_X63_Y18_N8
WideAnd638 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd638~combout\ = (\WideAnd638~1_combout\ & (\led_flash_cnt[638][0]~q\ & (\led_flash_cnt[638][7]~q\ & \WideAnd638~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd638~1_combout\,
	datab => \led_flash_cnt[638][0]~q\,
	datac => \led_flash_cnt[638][7]~q\,
	datad => \WideAnd638~0_combout\,
	combout => \WideAnd638~combout\);

-- Location: FF_X63_Y18_N9
\led_flash_cnt_ands[638]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd638~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(638));

-- Location: LCCOMB_X58_Y46_N22
\led_flash_cnt[636][0]~81276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[636][0]~81276_combout\ = !\led_flash_cnt[636][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[636][0]~q\,
	combout => \led_flash_cnt[636][0]~81276_combout\);

-- Location: FF_X58_Y46_N23
\led_flash_cnt[636][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[636][0]~81276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[636][0]~q\);

-- Location: LCCOMB_X58_Y46_N2
\led_flash_cnt[636][1]~35784\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[636][1]~35784_combout\ = (\led_flash_cnt[636][0]~q\ & (\led_flash_cnt[636][1]~q\ $ (VCC))) # (!\led_flash_cnt[636][0]~q\ & (\led_flash_cnt[636][1]~q\ & VCC))
-- \led_flash_cnt[636][1]~35785\ = CARRY((\led_flash_cnt[636][0]~q\ & \led_flash_cnt[636][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[636][0]~q\,
	datab => \led_flash_cnt[636][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[636][1]~35784_combout\,
	cout => \led_flash_cnt[636][1]~35785\);

-- Location: FF_X58_Y46_N3
\led_flash_cnt[636][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[636][1]~35784_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[636][1]~q\);

-- Location: LCCOMB_X58_Y46_N4
\led_flash_cnt[636][2]~35786\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[636][2]~35786_combout\ = (\led_flash_cnt[636][2]~q\ & (!\led_flash_cnt[636][1]~35785\)) # (!\led_flash_cnt[636][2]~q\ & ((\led_flash_cnt[636][1]~35785\) # (GND)))
-- \led_flash_cnt[636][2]~35787\ = CARRY((!\led_flash_cnt[636][1]~35785\) # (!\led_flash_cnt[636][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[636][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[636][1]~35785\,
	combout => \led_flash_cnt[636][2]~35786_combout\,
	cout => \led_flash_cnt[636][2]~35787\);

-- Location: FF_X58_Y46_N5
\led_flash_cnt[636][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[636][2]~35786_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[636][2]~q\);

-- Location: LCCOMB_X58_Y46_N6
\led_flash_cnt[636][3]~35788\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[636][3]~35788_combout\ = (\led_flash_cnt[636][3]~q\ & (\led_flash_cnt[636][2]~35787\ $ (GND))) # (!\led_flash_cnt[636][3]~q\ & (!\led_flash_cnt[636][2]~35787\ & VCC))
-- \led_flash_cnt[636][3]~35789\ = CARRY((\led_flash_cnt[636][3]~q\ & !\led_flash_cnt[636][2]~35787\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[636][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[636][2]~35787\,
	combout => \led_flash_cnt[636][3]~35788_combout\,
	cout => \led_flash_cnt[636][3]~35789\);

-- Location: FF_X58_Y46_N7
\led_flash_cnt[636][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[636][3]~35788_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[636][3]~q\);

-- Location: LCCOMB_X58_Y46_N8
\led_flash_cnt[636][4]~35790\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[636][4]~35790_combout\ = (\led_flash_cnt[636][4]~q\ & (!\led_flash_cnt[636][3]~35789\)) # (!\led_flash_cnt[636][4]~q\ & ((\led_flash_cnt[636][3]~35789\) # (GND)))
-- \led_flash_cnt[636][4]~35791\ = CARRY((!\led_flash_cnt[636][3]~35789\) # (!\led_flash_cnt[636][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[636][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[636][3]~35789\,
	combout => \led_flash_cnt[636][4]~35790_combout\,
	cout => \led_flash_cnt[636][4]~35791\);

-- Location: FF_X58_Y46_N9
\led_flash_cnt[636][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[636][4]~35790_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[636][4]~q\);

-- Location: LCCOMB_X58_Y46_N10
\led_flash_cnt[636][5]~35792\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[636][5]~35792_combout\ = (\led_flash_cnt[636][5]~q\ & (\led_flash_cnt[636][4]~35791\ $ (GND))) # (!\led_flash_cnt[636][5]~q\ & (!\led_flash_cnt[636][4]~35791\ & VCC))
-- \led_flash_cnt[636][5]~35793\ = CARRY((\led_flash_cnt[636][5]~q\ & !\led_flash_cnt[636][4]~35791\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[636][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[636][4]~35791\,
	combout => \led_flash_cnt[636][5]~35792_combout\,
	cout => \led_flash_cnt[636][5]~35793\);

-- Location: FF_X58_Y46_N11
\led_flash_cnt[636][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[636][5]~35792_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[636][5]~q\);

-- Location: LCCOMB_X58_Y46_N12
\led_flash_cnt[636][6]~35794\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[636][6]~35794_combout\ = (\led_flash_cnt[636][6]~q\ & (!\led_flash_cnt[636][5]~35793\)) # (!\led_flash_cnt[636][6]~q\ & ((\led_flash_cnt[636][5]~35793\) # (GND)))
-- \led_flash_cnt[636][6]~35795\ = CARRY((!\led_flash_cnt[636][5]~35793\) # (!\led_flash_cnt[636][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[636][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[636][5]~35793\,
	combout => \led_flash_cnt[636][6]~35794_combout\,
	cout => \led_flash_cnt[636][6]~35795\);

-- Location: FF_X58_Y46_N13
\led_flash_cnt[636][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[636][6]~35794_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[636][6]~q\);

-- Location: LCCOMB_X58_Y46_N20
\WideAnd636~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd636~1_combout\ = (\led_flash_cnt[636][5]~q\ & \led_flash_cnt[636][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[636][5]~q\,
	datad => \led_flash_cnt[636][6]~q\,
	combout => \WideAnd636~1_combout\);

-- Location: LCCOMB_X58_Y46_N14
\led_flash_cnt[636][7]~35796\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[636][7]~35796_combout\ = \led_flash_cnt[636][7]~q\ $ (!\led_flash_cnt[636][6]~35795\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[636][7]~q\,
	cin => \led_flash_cnt[636][6]~35795\,
	combout => \led_flash_cnt[636][7]~35796_combout\);

-- Location: FF_X58_Y46_N15
\led_flash_cnt[636][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[636][7]~35796_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[636][7]~q\);

-- Location: LCCOMB_X58_Y46_N18
\WideAnd636~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd636~0_combout\ = (\led_flash_cnt[636][3]~q\ & (\led_flash_cnt[636][4]~q\ & (\led_flash_cnt[636][2]~q\ & \led_flash_cnt[636][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[636][3]~q\,
	datab => \led_flash_cnt[636][4]~q\,
	datac => \led_flash_cnt[636][2]~q\,
	datad => \led_flash_cnt[636][1]~q\,
	combout => \WideAnd636~0_combout\);

-- Location: LCCOMB_X58_Y46_N30
WideAnd636 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd636~combout\ = (\led_flash_cnt[636][0]~q\ & (\WideAnd636~1_combout\ & (\led_flash_cnt[636][7]~q\ & \WideAnd636~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[636][0]~q\,
	datab => \WideAnd636~1_combout\,
	datac => \led_flash_cnt[636][7]~q\,
	datad => \WideAnd636~0_combout\,
	combout => \WideAnd636~combout\);

-- Location: FF_X58_Y46_N31
\led_flash_cnt_ands[636]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd636~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(636));

-- Location: LCCOMB_X58_Y46_N16
\led_flash_cnt[637][0]~81277\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[637][0]~81277_combout\ = !\led_flash_cnt[637][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[637][0]~q\,
	combout => \led_flash_cnt[637][0]~81277_combout\);

-- Location: FF_X58_Y46_N17
\led_flash_cnt[637][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[637][0]~81277_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[637][0]~q\);

-- Location: LCCOMB_X59_Y46_N18
\led_flash_cnt[637][1]~35798\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[637][1]~35798_combout\ = (\led_flash_cnt[637][0]~q\ & (\led_flash_cnt[637][1]~q\ $ (VCC))) # (!\led_flash_cnt[637][0]~q\ & (\led_flash_cnt[637][1]~q\ & VCC))
-- \led_flash_cnt[637][1]~35799\ = CARRY((\led_flash_cnt[637][0]~q\ & \led_flash_cnt[637][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[637][0]~q\,
	datab => \led_flash_cnt[637][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[637][1]~35798_combout\,
	cout => \led_flash_cnt[637][1]~35799\);

-- Location: FF_X59_Y46_N19
\led_flash_cnt[637][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[637][1]~35798_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[637][1]~q\);

-- Location: LCCOMB_X59_Y46_N20
\led_flash_cnt[637][2]~35800\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[637][2]~35800_combout\ = (\led_flash_cnt[637][2]~q\ & (!\led_flash_cnt[637][1]~35799\)) # (!\led_flash_cnt[637][2]~q\ & ((\led_flash_cnt[637][1]~35799\) # (GND)))
-- \led_flash_cnt[637][2]~35801\ = CARRY((!\led_flash_cnt[637][1]~35799\) # (!\led_flash_cnt[637][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[637][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[637][1]~35799\,
	combout => \led_flash_cnt[637][2]~35800_combout\,
	cout => \led_flash_cnt[637][2]~35801\);

-- Location: FF_X59_Y46_N21
\led_flash_cnt[637][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[637][2]~35800_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[637][2]~q\);

-- Location: LCCOMB_X59_Y46_N22
\led_flash_cnt[637][3]~35802\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[637][3]~35802_combout\ = (\led_flash_cnt[637][3]~q\ & (\led_flash_cnt[637][2]~35801\ $ (GND))) # (!\led_flash_cnt[637][3]~q\ & (!\led_flash_cnt[637][2]~35801\ & VCC))
-- \led_flash_cnt[637][3]~35803\ = CARRY((\led_flash_cnt[637][3]~q\ & !\led_flash_cnt[637][2]~35801\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[637][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[637][2]~35801\,
	combout => \led_flash_cnt[637][3]~35802_combout\,
	cout => \led_flash_cnt[637][3]~35803\);

-- Location: FF_X59_Y46_N23
\led_flash_cnt[637][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[637][3]~35802_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[637][3]~q\);

-- Location: LCCOMB_X59_Y46_N24
\led_flash_cnt[637][4]~35804\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[637][4]~35804_combout\ = (\led_flash_cnt[637][4]~q\ & (!\led_flash_cnt[637][3]~35803\)) # (!\led_flash_cnt[637][4]~q\ & ((\led_flash_cnt[637][3]~35803\) # (GND)))
-- \led_flash_cnt[637][4]~35805\ = CARRY((!\led_flash_cnt[637][3]~35803\) # (!\led_flash_cnt[637][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[637][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[637][3]~35803\,
	combout => \led_flash_cnt[637][4]~35804_combout\,
	cout => \led_flash_cnt[637][4]~35805\);

-- Location: FF_X59_Y46_N25
\led_flash_cnt[637][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[637][4]~35804_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[637][4]~q\);

-- Location: LCCOMB_X59_Y46_N26
\led_flash_cnt[637][5]~35806\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[637][5]~35806_combout\ = (\led_flash_cnt[637][5]~q\ & (\led_flash_cnt[637][4]~35805\ $ (GND))) # (!\led_flash_cnt[637][5]~q\ & (!\led_flash_cnt[637][4]~35805\ & VCC))
-- \led_flash_cnt[637][5]~35807\ = CARRY((\led_flash_cnt[637][5]~q\ & !\led_flash_cnt[637][4]~35805\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[637][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[637][4]~35805\,
	combout => \led_flash_cnt[637][5]~35806_combout\,
	cout => \led_flash_cnt[637][5]~35807\);

-- Location: FF_X59_Y46_N27
\led_flash_cnt[637][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[637][5]~35806_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[637][5]~q\);

-- Location: LCCOMB_X59_Y46_N28
\led_flash_cnt[637][6]~35808\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[637][6]~35808_combout\ = (\led_flash_cnt[637][6]~q\ & (!\led_flash_cnt[637][5]~35807\)) # (!\led_flash_cnt[637][6]~q\ & ((\led_flash_cnt[637][5]~35807\) # (GND)))
-- \led_flash_cnt[637][6]~35809\ = CARRY((!\led_flash_cnt[637][5]~35807\) # (!\led_flash_cnt[637][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[637][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[637][5]~35807\,
	combout => \led_flash_cnt[637][6]~35808_combout\,
	cout => \led_flash_cnt[637][6]~35809\);

-- Location: FF_X59_Y46_N29
\led_flash_cnt[637][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[637][6]~35808_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[637][6]~q\);

-- Location: LCCOMB_X58_Y46_N26
\WideAnd637~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd637~1_combout\ = (\led_flash_cnt[637][6]~q\ & \led_flash_cnt[637][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[637][6]~q\,
	datad => \led_flash_cnt[637][5]~q\,
	combout => \WideAnd637~1_combout\);

-- Location: LCCOMB_X59_Y46_N30
\led_flash_cnt[637][7]~35810\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[637][7]~35810_combout\ = \led_flash_cnt[637][7]~q\ $ (!\led_flash_cnt[637][6]~35809\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[637][7]~q\,
	cin => \led_flash_cnt[637][6]~35809\,
	combout => \led_flash_cnt[637][7]~35810_combout\);

-- Location: FF_X59_Y46_N31
\led_flash_cnt[637][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[637][7]~35810_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[637][7]~q\);

-- Location: LCCOMB_X58_Y46_N24
\WideAnd637~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd637~0_combout\ = (\led_flash_cnt[637][1]~q\ & (\led_flash_cnt[637][4]~q\ & (\led_flash_cnt[637][2]~q\ & \led_flash_cnt[637][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[637][1]~q\,
	datab => \led_flash_cnt[637][4]~q\,
	datac => \led_flash_cnt[637][2]~q\,
	datad => \led_flash_cnt[637][3]~q\,
	combout => \WideAnd637~0_combout\);

-- Location: LCCOMB_X58_Y46_N0
WideAnd637 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd637~combout\ = (\WideAnd637~1_combout\ & (\led_flash_cnt[637][0]~q\ & (\led_flash_cnt[637][7]~q\ & \WideAnd637~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd637~1_combout\,
	datab => \led_flash_cnt[637][0]~q\,
	datac => \led_flash_cnt[637][7]~q\,
	datad => \WideAnd637~0_combout\,
	combout => \WideAnd637~combout\);

-- Location: FF_X58_Y46_N1
\led_flash_cnt_ands[637]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd637~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(637));

-- Location: LCCOMB_X58_Y46_N28
\WideAnd3919~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3919~1_combout\ = (led_flash_cnt_ands(636) & led_flash_cnt_ands(637))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(636),
	datad => led_flash_cnt_ands(637),
	combout => \WideAnd3919~1_combout\);

-- Location: LCCOMB_X67_Y7_N0
\led_flash_cnt[632][0]~81272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[632][0]~81272_combout\ = !\led_flash_cnt[632][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[632][0]~q\,
	combout => \led_flash_cnt[632][0]~81272_combout\);

-- Location: FF_X67_Y7_N1
\led_flash_cnt[632][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[632][0]~81272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[632][0]~q\);

-- Location: LCCOMB_X67_Y7_N6
\led_flash_cnt[632][1]~35728\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[632][1]~35728_combout\ = (\led_flash_cnt[632][1]~q\ & (\led_flash_cnt[632][0]~q\ $ (VCC))) # (!\led_flash_cnt[632][1]~q\ & (\led_flash_cnt[632][0]~q\ & VCC))
-- \led_flash_cnt[632][1]~35729\ = CARRY((\led_flash_cnt[632][1]~q\ & \led_flash_cnt[632][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[632][1]~q\,
	datab => \led_flash_cnt[632][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[632][1]~35728_combout\,
	cout => \led_flash_cnt[632][1]~35729\);

-- Location: FF_X67_Y7_N7
\led_flash_cnt[632][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[632][1]~35728_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[632][1]~q\);

-- Location: LCCOMB_X67_Y7_N8
\led_flash_cnt[632][2]~35730\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[632][2]~35730_combout\ = (\led_flash_cnt[632][2]~q\ & (!\led_flash_cnt[632][1]~35729\)) # (!\led_flash_cnt[632][2]~q\ & ((\led_flash_cnt[632][1]~35729\) # (GND)))
-- \led_flash_cnt[632][2]~35731\ = CARRY((!\led_flash_cnt[632][1]~35729\) # (!\led_flash_cnt[632][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[632][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[632][1]~35729\,
	combout => \led_flash_cnt[632][2]~35730_combout\,
	cout => \led_flash_cnt[632][2]~35731\);

-- Location: FF_X67_Y7_N9
\led_flash_cnt[632][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[632][2]~35730_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[632][2]~q\);

-- Location: LCCOMB_X67_Y7_N10
\led_flash_cnt[632][3]~35732\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[632][3]~35732_combout\ = (\led_flash_cnt[632][3]~q\ & (\led_flash_cnt[632][2]~35731\ $ (GND))) # (!\led_flash_cnt[632][3]~q\ & (!\led_flash_cnt[632][2]~35731\ & VCC))
-- \led_flash_cnt[632][3]~35733\ = CARRY((\led_flash_cnt[632][3]~q\ & !\led_flash_cnt[632][2]~35731\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[632][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[632][2]~35731\,
	combout => \led_flash_cnt[632][3]~35732_combout\,
	cout => \led_flash_cnt[632][3]~35733\);

-- Location: FF_X67_Y7_N11
\led_flash_cnt[632][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[632][3]~35732_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[632][3]~q\);

-- Location: LCCOMB_X67_Y7_N12
\led_flash_cnt[632][4]~35734\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[632][4]~35734_combout\ = (\led_flash_cnt[632][4]~q\ & (!\led_flash_cnt[632][3]~35733\)) # (!\led_flash_cnt[632][4]~q\ & ((\led_flash_cnt[632][3]~35733\) # (GND)))
-- \led_flash_cnt[632][4]~35735\ = CARRY((!\led_flash_cnt[632][3]~35733\) # (!\led_flash_cnt[632][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[632][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[632][3]~35733\,
	combout => \led_flash_cnt[632][4]~35734_combout\,
	cout => \led_flash_cnt[632][4]~35735\);

-- Location: FF_X67_Y7_N13
\led_flash_cnt[632][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[632][4]~35734_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[632][4]~q\);

-- Location: LCCOMB_X67_Y7_N26
\WideAnd632~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd632~0_combout\ = (\led_flash_cnt[632][1]~q\ & (\led_flash_cnt[632][3]~q\ & (\led_flash_cnt[632][2]~q\ & \led_flash_cnt[632][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[632][1]~q\,
	datab => \led_flash_cnt[632][3]~q\,
	datac => \led_flash_cnt[632][2]~q\,
	datad => \led_flash_cnt[632][4]~q\,
	combout => \WideAnd632~0_combout\);

-- Location: LCCOMB_X67_Y7_N14
\led_flash_cnt[632][5]~35736\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[632][5]~35736_combout\ = (\led_flash_cnt[632][5]~q\ & (\led_flash_cnt[632][4]~35735\ $ (GND))) # (!\led_flash_cnt[632][5]~q\ & (!\led_flash_cnt[632][4]~35735\ & VCC))
-- \led_flash_cnt[632][5]~35737\ = CARRY((\led_flash_cnt[632][5]~q\ & !\led_flash_cnt[632][4]~35735\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[632][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[632][4]~35735\,
	combout => \led_flash_cnt[632][5]~35736_combout\,
	cout => \led_flash_cnt[632][5]~35737\);

-- Location: FF_X67_Y7_N15
\led_flash_cnt[632][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[632][5]~35736_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[632][5]~q\);

-- Location: LCCOMB_X67_Y7_N16
\led_flash_cnt[632][6]~35738\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[632][6]~35738_combout\ = (\led_flash_cnt[632][6]~q\ & (!\led_flash_cnt[632][5]~35737\)) # (!\led_flash_cnt[632][6]~q\ & ((\led_flash_cnt[632][5]~35737\) # (GND)))
-- \led_flash_cnt[632][6]~35739\ = CARRY((!\led_flash_cnt[632][5]~35737\) # (!\led_flash_cnt[632][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[632][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[632][5]~35737\,
	combout => \led_flash_cnt[632][6]~35738_combout\,
	cout => \led_flash_cnt[632][6]~35739\);

-- Location: FF_X67_Y7_N17
\led_flash_cnt[632][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[632][6]~35738_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[632][6]~q\);

-- Location: LCCOMB_X67_Y7_N22
\WideAnd632~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd632~1_combout\ = (\led_flash_cnt[632][5]~q\ & \led_flash_cnt[632][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[632][5]~q\,
	datad => \led_flash_cnt[632][6]~q\,
	combout => \WideAnd632~1_combout\);

-- Location: LCCOMB_X67_Y7_N18
\led_flash_cnt[632][7]~35740\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[632][7]~35740_combout\ = \led_flash_cnt[632][6]~35739\ $ (!\led_flash_cnt[632][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[632][7]~q\,
	cin => \led_flash_cnt[632][6]~35739\,
	combout => \led_flash_cnt[632][7]~35740_combout\);

-- Location: FF_X67_Y7_N19
\led_flash_cnt[632][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[632][7]~35740_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[632][7]~q\);

-- Location: LCCOMB_X67_Y7_N24
WideAnd632 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd632~combout\ = (\WideAnd632~0_combout\ & (\led_flash_cnt[632][0]~q\ & (\WideAnd632~1_combout\ & \led_flash_cnt[632][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd632~0_combout\,
	datab => \led_flash_cnt[632][0]~q\,
	datac => \WideAnd632~1_combout\,
	datad => \led_flash_cnt[632][7]~q\,
	combout => \WideAnd632~combout\);

-- Location: FF_X67_Y7_N25
\led_flash_cnt_ands[632]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd632~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(632));

-- Location: LCCOMB_X64_Y11_N28
\led_flash_cnt[633][0]~81273\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[633][0]~81273_combout\ = !\led_flash_cnt[633][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[633][0]~q\,
	combout => \led_flash_cnt[633][0]~81273_combout\);

-- Location: FF_X64_Y11_N29
\led_flash_cnt[633][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[633][0]~81273_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[633][0]~q\);

-- Location: LCCOMB_X63_Y11_N18
\led_flash_cnt[633][1]~35742\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[633][1]~35742_combout\ = (\led_flash_cnt[633][1]~q\ & (\led_flash_cnt[633][0]~q\ $ (VCC))) # (!\led_flash_cnt[633][1]~q\ & (\led_flash_cnt[633][0]~q\ & VCC))
-- \led_flash_cnt[633][1]~35743\ = CARRY((\led_flash_cnt[633][1]~q\ & \led_flash_cnt[633][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[633][1]~q\,
	datab => \led_flash_cnt[633][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[633][1]~35742_combout\,
	cout => \led_flash_cnt[633][1]~35743\);

-- Location: FF_X63_Y11_N19
\led_flash_cnt[633][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[633][1]~35742_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[633][1]~q\);

-- Location: LCCOMB_X63_Y11_N20
\led_flash_cnt[633][2]~35744\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[633][2]~35744_combout\ = (\led_flash_cnt[633][2]~q\ & (!\led_flash_cnt[633][1]~35743\)) # (!\led_flash_cnt[633][2]~q\ & ((\led_flash_cnt[633][1]~35743\) # (GND)))
-- \led_flash_cnt[633][2]~35745\ = CARRY((!\led_flash_cnt[633][1]~35743\) # (!\led_flash_cnt[633][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[633][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[633][1]~35743\,
	combout => \led_flash_cnt[633][2]~35744_combout\,
	cout => \led_flash_cnt[633][2]~35745\);

-- Location: FF_X63_Y11_N21
\led_flash_cnt[633][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[633][2]~35744_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[633][2]~q\);

-- Location: LCCOMB_X63_Y11_N22
\led_flash_cnt[633][3]~35746\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[633][3]~35746_combout\ = (\led_flash_cnt[633][3]~q\ & (\led_flash_cnt[633][2]~35745\ $ (GND))) # (!\led_flash_cnt[633][3]~q\ & (!\led_flash_cnt[633][2]~35745\ & VCC))
-- \led_flash_cnt[633][3]~35747\ = CARRY((\led_flash_cnt[633][3]~q\ & !\led_flash_cnt[633][2]~35745\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[633][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[633][2]~35745\,
	combout => \led_flash_cnt[633][3]~35746_combout\,
	cout => \led_flash_cnt[633][3]~35747\);

-- Location: FF_X63_Y11_N23
\led_flash_cnt[633][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[633][3]~35746_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[633][3]~q\);

-- Location: LCCOMB_X63_Y11_N24
\led_flash_cnt[633][4]~35748\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[633][4]~35748_combout\ = (\led_flash_cnt[633][4]~q\ & (!\led_flash_cnt[633][3]~35747\)) # (!\led_flash_cnt[633][4]~q\ & ((\led_flash_cnt[633][3]~35747\) # (GND)))
-- \led_flash_cnt[633][4]~35749\ = CARRY((!\led_flash_cnt[633][3]~35747\) # (!\led_flash_cnt[633][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[633][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[633][3]~35747\,
	combout => \led_flash_cnt[633][4]~35748_combout\,
	cout => \led_flash_cnt[633][4]~35749\);

-- Location: FF_X63_Y11_N25
\led_flash_cnt[633][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[633][4]~35748_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[633][4]~q\);

-- Location: LCCOMB_X63_Y11_N26
\led_flash_cnt[633][5]~35750\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[633][5]~35750_combout\ = (\led_flash_cnt[633][5]~q\ & (\led_flash_cnt[633][4]~35749\ $ (GND))) # (!\led_flash_cnt[633][5]~q\ & (!\led_flash_cnt[633][4]~35749\ & VCC))
-- \led_flash_cnt[633][5]~35751\ = CARRY((\led_flash_cnt[633][5]~q\ & !\led_flash_cnt[633][4]~35749\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[633][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[633][4]~35749\,
	combout => \led_flash_cnt[633][5]~35750_combout\,
	cout => \led_flash_cnt[633][5]~35751\);

-- Location: FF_X63_Y11_N27
\led_flash_cnt[633][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[633][5]~35750_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[633][5]~q\);

-- Location: LCCOMB_X63_Y11_N28
\led_flash_cnt[633][6]~35752\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[633][6]~35752_combout\ = (\led_flash_cnt[633][6]~q\ & (!\led_flash_cnt[633][5]~35751\)) # (!\led_flash_cnt[633][6]~q\ & ((\led_flash_cnt[633][5]~35751\) # (GND)))
-- \led_flash_cnt[633][6]~35753\ = CARRY((!\led_flash_cnt[633][5]~35751\) # (!\led_flash_cnt[633][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[633][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[633][5]~35751\,
	combout => \led_flash_cnt[633][6]~35752_combout\,
	cout => \led_flash_cnt[633][6]~35753\);

-- Location: FF_X63_Y11_N29
\led_flash_cnt[633][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[633][6]~35752_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[633][6]~q\);

-- Location: LCCOMB_X64_Y11_N26
\WideAnd633~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd633~1_combout\ = (\led_flash_cnt[633][5]~q\ & \led_flash_cnt[633][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[633][5]~q\,
	datad => \led_flash_cnt[633][6]~q\,
	combout => \WideAnd633~1_combout\);

-- Location: LCCOMB_X63_Y11_N30
\led_flash_cnt[633][7]~35754\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[633][7]~35754_combout\ = \led_flash_cnt[633][7]~q\ $ (!\led_flash_cnt[633][6]~35753\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[633][7]~q\,
	cin => \led_flash_cnt[633][6]~35753\,
	combout => \led_flash_cnt[633][7]~35754_combout\);

-- Location: FF_X63_Y11_N31
\led_flash_cnt[633][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[633][7]~35754_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[633][7]~q\);

-- Location: LCCOMB_X63_Y11_N16
\WideAnd633~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd633~0_combout\ = (\led_flash_cnt[633][1]~q\ & (\led_flash_cnt[633][2]~q\ & (\led_flash_cnt[633][3]~q\ & \led_flash_cnt[633][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[633][1]~q\,
	datab => \led_flash_cnt[633][2]~q\,
	datac => \led_flash_cnt[633][3]~q\,
	datad => \led_flash_cnt[633][4]~q\,
	combout => \WideAnd633~0_combout\);

-- Location: LCCOMB_X64_Y11_N0
WideAnd633 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd633~combout\ = (\WideAnd633~1_combout\ & (\led_flash_cnt[633][7]~q\ & (\WideAnd633~0_combout\ & \led_flash_cnt[633][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd633~1_combout\,
	datab => \led_flash_cnt[633][7]~q\,
	datac => \WideAnd633~0_combout\,
	datad => \led_flash_cnt[633][0]~q\,
	combout => \WideAnd633~combout\);

-- Location: FF_X64_Y11_N1
\led_flash_cnt_ands[633]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd633~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(633));

-- Location: LCCOMB_X64_Y7_N18
\led_flash_cnt[635][0]~81275\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[635][0]~81275_combout\ = !\led_flash_cnt[635][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[635][0]~q\,
	combout => \led_flash_cnt[635][0]~81275_combout\);

-- Location: FF_X64_Y7_N19
\led_flash_cnt[635][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[635][0]~81275_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[635][0]~q\);

-- Location: LCCOMB_X64_Y7_N0
\led_flash_cnt[635][1]~35770\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[635][1]~35770_combout\ = (\led_flash_cnt[635][1]~q\ & (\led_flash_cnt[635][0]~q\ $ (VCC))) # (!\led_flash_cnt[635][1]~q\ & (\led_flash_cnt[635][0]~q\ & VCC))
-- \led_flash_cnt[635][1]~35771\ = CARRY((\led_flash_cnt[635][1]~q\ & \led_flash_cnt[635][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[635][1]~q\,
	datab => \led_flash_cnt[635][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[635][1]~35770_combout\,
	cout => \led_flash_cnt[635][1]~35771\);

-- Location: FF_X64_Y7_N1
\led_flash_cnt[635][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[635][1]~35770_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[635][1]~q\);

-- Location: LCCOMB_X64_Y7_N2
\led_flash_cnt[635][2]~35772\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[635][2]~35772_combout\ = (\led_flash_cnt[635][2]~q\ & (!\led_flash_cnt[635][1]~35771\)) # (!\led_flash_cnt[635][2]~q\ & ((\led_flash_cnt[635][1]~35771\) # (GND)))
-- \led_flash_cnt[635][2]~35773\ = CARRY((!\led_flash_cnt[635][1]~35771\) # (!\led_flash_cnt[635][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[635][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[635][1]~35771\,
	combout => \led_flash_cnt[635][2]~35772_combout\,
	cout => \led_flash_cnt[635][2]~35773\);

-- Location: FF_X64_Y7_N3
\led_flash_cnt[635][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[635][2]~35772_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[635][2]~q\);

-- Location: LCCOMB_X64_Y7_N4
\led_flash_cnt[635][3]~35774\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[635][3]~35774_combout\ = (\led_flash_cnt[635][3]~q\ & (\led_flash_cnt[635][2]~35773\ $ (GND))) # (!\led_flash_cnt[635][3]~q\ & (!\led_flash_cnt[635][2]~35773\ & VCC))
-- \led_flash_cnt[635][3]~35775\ = CARRY((\led_flash_cnt[635][3]~q\ & !\led_flash_cnt[635][2]~35773\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[635][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[635][2]~35773\,
	combout => \led_flash_cnt[635][3]~35774_combout\,
	cout => \led_flash_cnt[635][3]~35775\);

-- Location: FF_X64_Y7_N5
\led_flash_cnt[635][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[635][3]~35774_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[635][3]~q\);

-- Location: LCCOMB_X64_Y7_N6
\led_flash_cnt[635][4]~35776\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[635][4]~35776_combout\ = (\led_flash_cnt[635][4]~q\ & (!\led_flash_cnt[635][3]~35775\)) # (!\led_flash_cnt[635][4]~q\ & ((\led_flash_cnt[635][3]~35775\) # (GND)))
-- \led_flash_cnt[635][4]~35777\ = CARRY((!\led_flash_cnt[635][3]~35775\) # (!\led_flash_cnt[635][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[635][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[635][3]~35775\,
	combout => \led_flash_cnt[635][4]~35776_combout\,
	cout => \led_flash_cnt[635][4]~35777\);

-- Location: FF_X64_Y7_N7
\led_flash_cnt[635][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[635][4]~35776_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[635][4]~q\);

-- Location: LCCOMB_X64_Y7_N8
\led_flash_cnt[635][5]~35778\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[635][5]~35778_combout\ = (\led_flash_cnt[635][5]~q\ & (\led_flash_cnt[635][4]~35777\ $ (GND))) # (!\led_flash_cnt[635][5]~q\ & (!\led_flash_cnt[635][4]~35777\ & VCC))
-- \led_flash_cnt[635][5]~35779\ = CARRY((\led_flash_cnt[635][5]~q\ & !\led_flash_cnt[635][4]~35777\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[635][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[635][4]~35777\,
	combout => \led_flash_cnt[635][5]~35778_combout\,
	cout => \led_flash_cnt[635][5]~35779\);

-- Location: FF_X64_Y7_N9
\led_flash_cnt[635][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[635][5]~35778_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[635][5]~q\);

-- Location: LCCOMB_X64_Y7_N10
\led_flash_cnt[635][6]~35780\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[635][6]~35780_combout\ = (\led_flash_cnt[635][6]~q\ & (!\led_flash_cnt[635][5]~35779\)) # (!\led_flash_cnt[635][6]~q\ & ((\led_flash_cnt[635][5]~35779\) # (GND)))
-- \led_flash_cnt[635][6]~35781\ = CARRY((!\led_flash_cnt[635][5]~35779\) # (!\led_flash_cnt[635][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[635][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[635][5]~35779\,
	combout => \led_flash_cnt[635][6]~35780_combout\,
	cout => \led_flash_cnt[635][6]~35781\);

-- Location: FF_X64_Y7_N11
\led_flash_cnt[635][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[635][6]~35780_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[635][6]~q\);

-- Location: LCCOMB_X64_Y7_N12
\led_flash_cnt[635][7]~35782\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[635][7]~35782_combout\ = \led_flash_cnt[635][6]~35781\ $ (!\led_flash_cnt[635][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[635][7]~q\,
	cin => \led_flash_cnt[635][6]~35781\,
	combout => \led_flash_cnt[635][7]~35782_combout\);

-- Location: FF_X64_Y7_N13
\led_flash_cnt[635][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[635][7]~35782_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[635][7]~q\);

-- Location: LCCOMB_X64_Y7_N24
\WideAnd635~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd635~0_combout\ = (\led_flash_cnt[635][4]~q\ & (\led_flash_cnt[635][1]~q\ & (\led_flash_cnt[635][3]~q\ & \led_flash_cnt[635][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[635][4]~q\,
	datab => \led_flash_cnt[635][1]~q\,
	datac => \led_flash_cnt[635][3]~q\,
	datad => \led_flash_cnt[635][2]~q\,
	combout => \WideAnd635~0_combout\);

-- Location: LCCOMB_X64_Y7_N22
\WideAnd635~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd635~1_combout\ = (\led_flash_cnt[635][5]~q\ & \led_flash_cnt[635][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[635][5]~q\,
	datad => \led_flash_cnt[635][6]~q\,
	combout => \WideAnd635~1_combout\);

-- Location: LCCOMB_X64_Y7_N26
WideAnd635 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd635~combout\ = (\led_flash_cnt[635][7]~q\ & (\WideAnd635~0_combout\ & (\WideAnd635~1_combout\ & \led_flash_cnt[635][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[635][7]~q\,
	datab => \WideAnd635~0_combout\,
	datac => \WideAnd635~1_combout\,
	datad => \led_flash_cnt[635][0]~q\,
	combout => \WideAnd635~combout\);

-- Location: FF_X64_Y7_N27
\led_flash_cnt_ands[635]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd635~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(635));

-- Location: LCCOMB_X64_Y11_N18
\led_flash_cnt[634][0]~81274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[634][0]~81274_combout\ = !\led_flash_cnt[634][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[634][0]~q\,
	combout => \led_flash_cnt[634][0]~81274_combout\);

-- Location: FF_X64_Y11_N19
\led_flash_cnt[634][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[634][0]~81274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[634][0]~q\);

-- Location: LCCOMB_X64_Y11_N2
\led_flash_cnt[634][1]~35756\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[634][1]~35756_combout\ = (\led_flash_cnt[634][1]~q\ & (\led_flash_cnt[634][0]~q\ $ (VCC))) # (!\led_flash_cnt[634][1]~q\ & (\led_flash_cnt[634][0]~q\ & VCC))
-- \led_flash_cnt[634][1]~35757\ = CARRY((\led_flash_cnt[634][1]~q\ & \led_flash_cnt[634][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[634][1]~q\,
	datab => \led_flash_cnt[634][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[634][1]~35756_combout\,
	cout => \led_flash_cnt[634][1]~35757\);

-- Location: FF_X64_Y11_N3
\led_flash_cnt[634][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[634][1]~35756_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[634][1]~q\);

-- Location: LCCOMB_X64_Y11_N4
\led_flash_cnt[634][2]~35758\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[634][2]~35758_combout\ = (\led_flash_cnt[634][2]~q\ & (!\led_flash_cnt[634][1]~35757\)) # (!\led_flash_cnt[634][2]~q\ & ((\led_flash_cnt[634][1]~35757\) # (GND)))
-- \led_flash_cnt[634][2]~35759\ = CARRY((!\led_flash_cnt[634][1]~35757\) # (!\led_flash_cnt[634][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[634][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[634][1]~35757\,
	combout => \led_flash_cnt[634][2]~35758_combout\,
	cout => \led_flash_cnt[634][2]~35759\);

-- Location: FF_X64_Y11_N5
\led_flash_cnt[634][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[634][2]~35758_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[634][2]~q\);

-- Location: LCCOMB_X64_Y11_N6
\led_flash_cnt[634][3]~35760\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[634][3]~35760_combout\ = (\led_flash_cnt[634][3]~q\ & (\led_flash_cnt[634][2]~35759\ $ (GND))) # (!\led_flash_cnt[634][3]~q\ & (!\led_flash_cnt[634][2]~35759\ & VCC))
-- \led_flash_cnt[634][3]~35761\ = CARRY((\led_flash_cnt[634][3]~q\ & !\led_flash_cnt[634][2]~35759\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[634][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[634][2]~35759\,
	combout => \led_flash_cnt[634][3]~35760_combout\,
	cout => \led_flash_cnt[634][3]~35761\);

-- Location: FF_X64_Y11_N7
\led_flash_cnt[634][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[634][3]~35760_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[634][3]~q\);

-- Location: LCCOMB_X64_Y11_N8
\led_flash_cnt[634][4]~35762\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[634][4]~35762_combout\ = (\led_flash_cnt[634][4]~q\ & (!\led_flash_cnt[634][3]~35761\)) # (!\led_flash_cnt[634][4]~q\ & ((\led_flash_cnt[634][3]~35761\) # (GND)))
-- \led_flash_cnt[634][4]~35763\ = CARRY((!\led_flash_cnt[634][3]~35761\) # (!\led_flash_cnt[634][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[634][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[634][3]~35761\,
	combout => \led_flash_cnt[634][4]~35762_combout\,
	cout => \led_flash_cnt[634][4]~35763\);

-- Location: FF_X64_Y11_N9
\led_flash_cnt[634][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[634][4]~35762_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[634][4]~q\);

-- Location: LCCOMB_X64_Y11_N10
\led_flash_cnt[634][5]~35764\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[634][5]~35764_combout\ = (\led_flash_cnt[634][5]~q\ & (\led_flash_cnt[634][4]~35763\ $ (GND))) # (!\led_flash_cnt[634][5]~q\ & (!\led_flash_cnt[634][4]~35763\ & VCC))
-- \led_flash_cnt[634][5]~35765\ = CARRY((\led_flash_cnt[634][5]~q\ & !\led_flash_cnt[634][4]~35763\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[634][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[634][4]~35763\,
	combout => \led_flash_cnt[634][5]~35764_combout\,
	cout => \led_flash_cnt[634][5]~35765\);

-- Location: FF_X64_Y11_N11
\led_flash_cnt[634][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[634][5]~35764_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[634][5]~q\);

-- Location: LCCOMB_X64_Y11_N12
\led_flash_cnt[634][6]~35766\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[634][6]~35766_combout\ = (\led_flash_cnt[634][6]~q\ & (!\led_flash_cnt[634][5]~35765\)) # (!\led_flash_cnt[634][6]~q\ & ((\led_flash_cnt[634][5]~35765\) # (GND)))
-- \led_flash_cnt[634][6]~35767\ = CARRY((!\led_flash_cnt[634][5]~35765\) # (!\led_flash_cnt[634][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[634][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[634][5]~35765\,
	combout => \led_flash_cnt[634][6]~35766_combout\,
	cout => \led_flash_cnt[634][6]~35767\);

-- Location: FF_X64_Y11_N13
\led_flash_cnt[634][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[634][6]~35766_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[634][6]~q\);

-- Location: LCCOMB_X64_Y11_N22
\WideAnd634~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd634~1_combout\ = (\led_flash_cnt[634][6]~q\ & \led_flash_cnt[634][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[634][6]~q\,
	datad => \led_flash_cnt[634][5]~q\,
	combout => \WideAnd634~1_combout\);

-- Location: LCCOMB_X64_Y11_N24
\WideAnd634~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd634~0_combout\ = (\led_flash_cnt[634][1]~q\ & (\led_flash_cnt[634][4]~q\ & (\led_flash_cnt[634][2]~q\ & \led_flash_cnt[634][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[634][1]~q\,
	datab => \led_flash_cnt[634][4]~q\,
	datac => \led_flash_cnt[634][2]~q\,
	datad => \led_flash_cnt[634][3]~q\,
	combout => \WideAnd634~0_combout\);

-- Location: LCCOMB_X64_Y11_N14
\led_flash_cnt[634][7]~35768\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[634][7]~35768_combout\ = \led_flash_cnt[634][7]~q\ $ (!\led_flash_cnt[634][6]~35767\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[634][7]~q\,
	cin => \led_flash_cnt[634][6]~35767\,
	combout => \led_flash_cnt[634][7]~35768_combout\);

-- Location: FF_X64_Y11_N15
\led_flash_cnt[634][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[634][7]~35768_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[634][7]~q\);

-- Location: LCCOMB_X64_Y11_N20
WideAnd634 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd634~combout\ = (\WideAnd634~1_combout\ & (\WideAnd634~0_combout\ & (\led_flash_cnt[634][7]~q\ & \led_flash_cnt[634][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd634~1_combout\,
	datab => \WideAnd634~0_combout\,
	datac => \led_flash_cnt[634][7]~q\,
	datad => \led_flash_cnt[634][0]~q\,
	combout => \WideAnd634~combout\);

-- Location: FF_X64_Y11_N21
\led_flash_cnt_ands[634]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd634~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(634));

-- Location: LCCOMB_X64_Y11_N16
\WideAnd3919~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3919~0_combout\ = (led_flash_cnt_ands(632) & (led_flash_cnt_ands(633) & (led_flash_cnt_ands(635) & led_flash_cnt_ands(634))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(632),
	datab => led_flash_cnt_ands(633),
	datac => led_flash_cnt_ands(635),
	datad => led_flash_cnt_ands(634),
	combout => \WideAnd3919~0_combout\);

-- Location: LCCOMB_X63_Y18_N0
WideAnd3919 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3919~combout\ = (led_flash_cnt_ands(639) & (led_flash_cnt_ands(638) & (\WideAnd3919~1_combout\ & \WideAnd3919~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(639),
	datab => led_flash_cnt_ands(638),
	datac => \WideAnd3919~1_combout\,
	datad => \WideAnd3919~0_combout\,
	combout => \WideAnd3919~combout\);

-- Location: FF_X63_Y18_N1
\led_flash_cnt_ands_1[79]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3919~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(79));

-- Location: LCCOMB_X43_Y28_N22
\led_flash_cnt[607][0]~81247\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[607][0]~81247_combout\ = !\led_flash_cnt[607][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[607][0]~q\,
	combout => \led_flash_cnt[607][0]~81247_combout\);

-- Location: FF_X43_Y28_N23
\led_flash_cnt[607][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[607][0]~81247_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[607][0]~q\);

-- Location: LCCOMB_X43_Y28_N4
\led_flash_cnt[607][1]~35378\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[607][1]~35378_combout\ = (\led_flash_cnt[607][0]~q\ & (\led_flash_cnt[607][1]~q\ $ (VCC))) # (!\led_flash_cnt[607][0]~q\ & (\led_flash_cnt[607][1]~q\ & VCC))
-- \led_flash_cnt[607][1]~35379\ = CARRY((\led_flash_cnt[607][0]~q\ & \led_flash_cnt[607][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[607][0]~q\,
	datab => \led_flash_cnt[607][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[607][1]~35378_combout\,
	cout => \led_flash_cnt[607][1]~35379\);

-- Location: FF_X43_Y28_N5
\led_flash_cnt[607][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[607][1]~35378_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[607][1]~q\);

-- Location: LCCOMB_X43_Y28_N6
\led_flash_cnt[607][2]~35380\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[607][2]~35380_combout\ = (\led_flash_cnt[607][2]~q\ & (!\led_flash_cnt[607][1]~35379\)) # (!\led_flash_cnt[607][2]~q\ & ((\led_flash_cnt[607][1]~35379\) # (GND)))
-- \led_flash_cnt[607][2]~35381\ = CARRY((!\led_flash_cnt[607][1]~35379\) # (!\led_flash_cnt[607][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[607][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[607][1]~35379\,
	combout => \led_flash_cnt[607][2]~35380_combout\,
	cout => \led_flash_cnt[607][2]~35381\);

-- Location: FF_X43_Y28_N7
\led_flash_cnt[607][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[607][2]~35380_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[607][2]~q\);

-- Location: LCCOMB_X43_Y28_N8
\led_flash_cnt[607][3]~35382\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[607][3]~35382_combout\ = (\led_flash_cnt[607][3]~q\ & (\led_flash_cnt[607][2]~35381\ $ (GND))) # (!\led_flash_cnt[607][3]~q\ & (!\led_flash_cnt[607][2]~35381\ & VCC))
-- \led_flash_cnt[607][3]~35383\ = CARRY((\led_flash_cnt[607][3]~q\ & !\led_flash_cnt[607][2]~35381\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[607][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[607][2]~35381\,
	combout => \led_flash_cnt[607][3]~35382_combout\,
	cout => \led_flash_cnt[607][3]~35383\);

-- Location: FF_X43_Y28_N9
\led_flash_cnt[607][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[607][3]~35382_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[607][3]~q\);

-- Location: LCCOMB_X43_Y28_N10
\led_flash_cnt[607][4]~35384\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[607][4]~35384_combout\ = (\led_flash_cnt[607][4]~q\ & (!\led_flash_cnt[607][3]~35383\)) # (!\led_flash_cnt[607][4]~q\ & ((\led_flash_cnt[607][3]~35383\) # (GND)))
-- \led_flash_cnt[607][4]~35385\ = CARRY((!\led_flash_cnt[607][3]~35383\) # (!\led_flash_cnt[607][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[607][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[607][3]~35383\,
	combout => \led_flash_cnt[607][4]~35384_combout\,
	cout => \led_flash_cnt[607][4]~35385\);

-- Location: FF_X43_Y28_N11
\led_flash_cnt[607][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[607][4]~35384_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[607][4]~q\);

-- Location: LCCOMB_X43_Y28_N12
\led_flash_cnt[607][5]~35386\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[607][5]~35386_combout\ = (\led_flash_cnt[607][5]~q\ & (\led_flash_cnt[607][4]~35385\ $ (GND))) # (!\led_flash_cnt[607][5]~q\ & (!\led_flash_cnt[607][4]~35385\ & VCC))
-- \led_flash_cnt[607][5]~35387\ = CARRY((\led_flash_cnt[607][5]~q\ & !\led_flash_cnt[607][4]~35385\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[607][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[607][4]~35385\,
	combout => \led_flash_cnt[607][5]~35386_combout\,
	cout => \led_flash_cnt[607][5]~35387\);

-- Location: FF_X43_Y28_N13
\led_flash_cnt[607][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[607][5]~35386_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[607][5]~q\);

-- Location: LCCOMB_X43_Y28_N14
\led_flash_cnt[607][6]~35388\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[607][6]~35388_combout\ = (\led_flash_cnt[607][6]~q\ & (!\led_flash_cnt[607][5]~35387\)) # (!\led_flash_cnt[607][6]~q\ & ((\led_flash_cnt[607][5]~35387\) # (GND)))
-- \led_flash_cnt[607][6]~35389\ = CARRY((!\led_flash_cnt[607][5]~35387\) # (!\led_flash_cnt[607][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[607][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[607][5]~35387\,
	combout => \led_flash_cnt[607][6]~35388_combout\,
	cout => \led_flash_cnt[607][6]~35389\);

-- Location: FF_X43_Y28_N15
\led_flash_cnt[607][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[607][6]~35388_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[607][6]~q\);

-- Location: LCCOMB_X43_Y28_N26
\WideAnd607~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd607~1_combout\ = (\led_flash_cnt[607][6]~q\ & \led_flash_cnt[607][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[607][6]~q\,
	datad => \led_flash_cnt[607][5]~q\,
	combout => \WideAnd607~1_combout\);

-- Location: LCCOMB_X43_Y28_N28
\WideAnd607~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd607~0_combout\ = (\led_flash_cnt[607][4]~q\ & (\led_flash_cnt[607][1]~q\ & (\led_flash_cnt[607][3]~q\ & \led_flash_cnt[607][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[607][4]~q\,
	datab => \led_flash_cnt[607][1]~q\,
	datac => \led_flash_cnt[607][3]~q\,
	datad => \led_flash_cnt[607][2]~q\,
	combout => \WideAnd607~0_combout\);

-- Location: LCCOMB_X43_Y28_N16
\led_flash_cnt[607][7]~35390\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[607][7]~35390_combout\ = \led_flash_cnt[607][6]~35389\ $ (!\led_flash_cnt[607][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[607][7]~q\,
	cin => \led_flash_cnt[607][6]~35389\,
	combout => \led_flash_cnt[607][7]~35390_combout\);

-- Location: FF_X43_Y28_N17
\led_flash_cnt[607][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[607][7]~35390_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[607][7]~q\);

-- Location: LCCOMB_X43_Y28_N24
WideAnd607 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd607~combout\ = (\WideAnd607~1_combout\ & (\WideAnd607~0_combout\ & (\led_flash_cnt[607][0]~q\ & \led_flash_cnt[607][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd607~1_combout\,
	datab => \WideAnd607~0_combout\,
	datac => \led_flash_cnt[607][0]~q\,
	datad => \led_flash_cnt[607][7]~q\,
	combout => \WideAnd607~combout\);

-- Location: FF_X43_Y28_N25
\led_flash_cnt_ands[607]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd607~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(607));

-- Location: LCCOMB_X65_Y23_N4
\led_flash_cnt[604][0]~81244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[604][0]~81244_combout\ = !\led_flash_cnt[604][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[604][0]~q\,
	combout => \led_flash_cnt[604][0]~81244_combout\);

-- Location: FF_X65_Y23_N5
\led_flash_cnt[604][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[604][0]~81244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[604][0]~q\);

-- Location: LCCOMB_X65_Y23_N10
\led_flash_cnt[604][1]~35336\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[604][1]~35336_combout\ = (\led_flash_cnt[604][1]~q\ & (\led_flash_cnt[604][0]~q\ $ (VCC))) # (!\led_flash_cnt[604][1]~q\ & (\led_flash_cnt[604][0]~q\ & VCC))
-- \led_flash_cnt[604][1]~35337\ = CARRY((\led_flash_cnt[604][1]~q\ & \led_flash_cnt[604][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[604][1]~q\,
	datab => \led_flash_cnt[604][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[604][1]~35336_combout\,
	cout => \led_flash_cnt[604][1]~35337\);

-- Location: FF_X65_Y23_N11
\led_flash_cnt[604][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[604][1]~35336_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[604][1]~q\);

-- Location: LCCOMB_X65_Y23_N12
\led_flash_cnt[604][2]~35338\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[604][2]~35338_combout\ = (\led_flash_cnt[604][2]~q\ & (!\led_flash_cnt[604][1]~35337\)) # (!\led_flash_cnt[604][2]~q\ & ((\led_flash_cnt[604][1]~35337\) # (GND)))
-- \led_flash_cnt[604][2]~35339\ = CARRY((!\led_flash_cnt[604][1]~35337\) # (!\led_flash_cnt[604][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[604][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[604][1]~35337\,
	combout => \led_flash_cnt[604][2]~35338_combout\,
	cout => \led_flash_cnt[604][2]~35339\);

-- Location: FF_X65_Y23_N13
\led_flash_cnt[604][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[604][2]~35338_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[604][2]~q\);

-- Location: LCCOMB_X65_Y23_N14
\led_flash_cnt[604][3]~35340\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[604][3]~35340_combout\ = (\led_flash_cnt[604][3]~q\ & (\led_flash_cnt[604][2]~35339\ $ (GND))) # (!\led_flash_cnt[604][3]~q\ & (!\led_flash_cnt[604][2]~35339\ & VCC))
-- \led_flash_cnt[604][3]~35341\ = CARRY((\led_flash_cnt[604][3]~q\ & !\led_flash_cnt[604][2]~35339\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[604][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[604][2]~35339\,
	combout => \led_flash_cnt[604][3]~35340_combout\,
	cout => \led_flash_cnt[604][3]~35341\);

-- Location: FF_X65_Y23_N15
\led_flash_cnt[604][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[604][3]~35340_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[604][3]~q\);

-- Location: LCCOMB_X65_Y23_N16
\led_flash_cnt[604][4]~35342\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[604][4]~35342_combout\ = (\led_flash_cnt[604][4]~q\ & (!\led_flash_cnt[604][3]~35341\)) # (!\led_flash_cnt[604][4]~q\ & ((\led_flash_cnt[604][3]~35341\) # (GND)))
-- \led_flash_cnt[604][4]~35343\ = CARRY((!\led_flash_cnt[604][3]~35341\) # (!\led_flash_cnt[604][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[604][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[604][3]~35341\,
	combout => \led_flash_cnt[604][4]~35342_combout\,
	cout => \led_flash_cnt[604][4]~35343\);

-- Location: FF_X65_Y23_N17
\led_flash_cnt[604][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[604][4]~35342_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[604][4]~q\);

-- Location: LCCOMB_X65_Y23_N18
\led_flash_cnt[604][5]~35344\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[604][5]~35344_combout\ = (\led_flash_cnt[604][5]~q\ & (\led_flash_cnt[604][4]~35343\ $ (GND))) # (!\led_flash_cnt[604][5]~q\ & (!\led_flash_cnt[604][4]~35343\ & VCC))
-- \led_flash_cnt[604][5]~35345\ = CARRY((\led_flash_cnt[604][5]~q\ & !\led_flash_cnt[604][4]~35343\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[604][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[604][4]~35343\,
	combout => \led_flash_cnt[604][5]~35344_combout\,
	cout => \led_flash_cnt[604][5]~35345\);

-- Location: FF_X65_Y23_N19
\led_flash_cnt[604][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[604][5]~35344_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[604][5]~q\);

-- Location: LCCOMB_X65_Y23_N20
\led_flash_cnt[604][6]~35346\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[604][6]~35346_combout\ = (\led_flash_cnt[604][6]~q\ & (!\led_flash_cnt[604][5]~35345\)) # (!\led_flash_cnt[604][6]~q\ & ((\led_flash_cnt[604][5]~35345\) # (GND)))
-- \led_flash_cnt[604][6]~35347\ = CARRY((!\led_flash_cnt[604][5]~35345\) # (!\led_flash_cnt[604][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[604][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[604][5]~35345\,
	combout => \led_flash_cnt[604][6]~35346_combout\,
	cout => \led_flash_cnt[604][6]~35347\);

-- Location: FF_X65_Y23_N21
\led_flash_cnt[604][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[604][6]~35346_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[604][6]~q\);

-- Location: LCCOMB_X65_Y23_N26
\WideAnd604~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd604~1_combout\ = (\led_flash_cnt[604][6]~q\ & \led_flash_cnt[604][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[604][6]~q\,
	datad => \led_flash_cnt[604][5]~q\,
	combout => \WideAnd604~1_combout\);

-- Location: LCCOMB_X65_Y23_N22
\led_flash_cnt[604][7]~35348\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[604][7]~35348_combout\ = \led_flash_cnt[604][7]~q\ $ (!\led_flash_cnt[604][6]~35347\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[604][7]~q\,
	cin => \led_flash_cnt[604][6]~35347\,
	combout => \led_flash_cnt[604][7]~35348_combout\);

-- Location: FF_X65_Y23_N23
\led_flash_cnt[604][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[604][7]~35348_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[604][7]~q\);

-- Location: LCCOMB_X65_Y23_N24
\WideAnd604~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd604~0_combout\ = (\led_flash_cnt[604][2]~q\ & (\led_flash_cnt[604][4]~q\ & (\led_flash_cnt[604][3]~q\ & \led_flash_cnt[604][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[604][2]~q\,
	datab => \led_flash_cnt[604][4]~q\,
	datac => \led_flash_cnt[604][3]~q\,
	datad => \led_flash_cnt[604][1]~q\,
	combout => \WideAnd604~0_combout\);

-- Location: LCCOMB_X65_Y23_N28
WideAnd604 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd604~combout\ = (\WideAnd604~1_combout\ & (\led_flash_cnt[604][0]~q\ & (\led_flash_cnt[604][7]~q\ & \WideAnd604~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd604~1_combout\,
	datab => \led_flash_cnt[604][0]~q\,
	datac => \led_flash_cnt[604][7]~q\,
	datad => \WideAnd604~0_combout\,
	combout => \WideAnd604~combout\);

-- Location: FF_X65_Y23_N29
\led_flash_cnt_ands[604]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd604~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(604));

-- Location: LCCOMB_X66_Y23_N18
\led_flash_cnt[605][0]~81245\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[605][0]~81245_combout\ = !\led_flash_cnt[605][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[605][0]~q\,
	combout => \led_flash_cnt[605][0]~81245_combout\);

-- Location: FF_X66_Y23_N19
\led_flash_cnt[605][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[605][0]~81245_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[605][0]~q\);

-- Location: LCCOMB_X66_Y23_N0
\led_flash_cnt[605][1]~35350\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[605][1]~35350_combout\ = (\led_flash_cnt[605][1]~q\ & (\led_flash_cnt[605][0]~q\ $ (VCC))) # (!\led_flash_cnt[605][1]~q\ & (\led_flash_cnt[605][0]~q\ & VCC))
-- \led_flash_cnt[605][1]~35351\ = CARRY((\led_flash_cnt[605][1]~q\ & \led_flash_cnt[605][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[605][1]~q\,
	datab => \led_flash_cnt[605][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[605][1]~35350_combout\,
	cout => \led_flash_cnt[605][1]~35351\);

-- Location: FF_X66_Y23_N1
\led_flash_cnt[605][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[605][1]~35350_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[605][1]~q\);

-- Location: LCCOMB_X66_Y23_N2
\led_flash_cnt[605][2]~35352\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[605][2]~35352_combout\ = (\led_flash_cnt[605][2]~q\ & (!\led_flash_cnt[605][1]~35351\)) # (!\led_flash_cnt[605][2]~q\ & ((\led_flash_cnt[605][1]~35351\) # (GND)))
-- \led_flash_cnt[605][2]~35353\ = CARRY((!\led_flash_cnt[605][1]~35351\) # (!\led_flash_cnt[605][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[605][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[605][1]~35351\,
	combout => \led_flash_cnt[605][2]~35352_combout\,
	cout => \led_flash_cnt[605][2]~35353\);

-- Location: FF_X66_Y23_N3
\led_flash_cnt[605][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[605][2]~35352_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[605][2]~q\);

-- Location: LCCOMB_X66_Y23_N4
\led_flash_cnt[605][3]~35354\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[605][3]~35354_combout\ = (\led_flash_cnt[605][3]~q\ & (\led_flash_cnt[605][2]~35353\ $ (GND))) # (!\led_flash_cnt[605][3]~q\ & (!\led_flash_cnt[605][2]~35353\ & VCC))
-- \led_flash_cnt[605][3]~35355\ = CARRY((\led_flash_cnt[605][3]~q\ & !\led_flash_cnt[605][2]~35353\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[605][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[605][2]~35353\,
	combout => \led_flash_cnt[605][3]~35354_combout\,
	cout => \led_flash_cnt[605][3]~35355\);

-- Location: FF_X66_Y23_N5
\led_flash_cnt[605][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[605][3]~35354_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[605][3]~q\);

-- Location: LCCOMB_X66_Y23_N6
\led_flash_cnt[605][4]~35356\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[605][4]~35356_combout\ = (\led_flash_cnt[605][4]~q\ & (!\led_flash_cnt[605][3]~35355\)) # (!\led_flash_cnt[605][4]~q\ & ((\led_flash_cnt[605][3]~35355\) # (GND)))
-- \led_flash_cnt[605][4]~35357\ = CARRY((!\led_flash_cnt[605][3]~35355\) # (!\led_flash_cnt[605][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[605][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[605][3]~35355\,
	combout => \led_flash_cnt[605][4]~35356_combout\,
	cout => \led_flash_cnt[605][4]~35357\);

-- Location: FF_X66_Y23_N7
\led_flash_cnt[605][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[605][4]~35356_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[605][4]~q\);

-- Location: LCCOMB_X66_Y23_N8
\led_flash_cnt[605][5]~35358\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[605][5]~35358_combout\ = (\led_flash_cnt[605][5]~q\ & (\led_flash_cnt[605][4]~35357\ $ (GND))) # (!\led_flash_cnt[605][5]~q\ & (!\led_flash_cnt[605][4]~35357\ & VCC))
-- \led_flash_cnt[605][5]~35359\ = CARRY((\led_flash_cnt[605][5]~q\ & !\led_flash_cnt[605][4]~35357\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[605][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[605][4]~35357\,
	combout => \led_flash_cnt[605][5]~35358_combout\,
	cout => \led_flash_cnt[605][5]~35359\);

-- Location: FF_X66_Y23_N9
\led_flash_cnt[605][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[605][5]~35358_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[605][5]~q\);

-- Location: LCCOMB_X66_Y23_N10
\led_flash_cnt[605][6]~35360\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[605][6]~35360_combout\ = (\led_flash_cnt[605][6]~q\ & (!\led_flash_cnt[605][5]~35359\)) # (!\led_flash_cnt[605][6]~q\ & ((\led_flash_cnt[605][5]~35359\) # (GND)))
-- \led_flash_cnt[605][6]~35361\ = CARRY((!\led_flash_cnt[605][5]~35359\) # (!\led_flash_cnt[605][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[605][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[605][5]~35359\,
	combout => \led_flash_cnt[605][6]~35360_combout\,
	cout => \led_flash_cnt[605][6]~35361\);

-- Location: FF_X66_Y23_N11
\led_flash_cnt[605][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[605][6]~35360_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[605][6]~q\);

-- Location: LCCOMB_X66_Y23_N12
\led_flash_cnt[605][7]~35362\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[605][7]~35362_combout\ = \led_flash_cnt[605][6]~35361\ $ (!\led_flash_cnt[605][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[605][7]~q\,
	cin => \led_flash_cnt[605][6]~35361\,
	combout => \led_flash_cnt[605][7]~35362_combout\);

-- Location: FF_X66_Y23_N13
\led_flash_cnt[605][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[605][7]~35362_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[605][7]~q\);

-- Location: LCCOMB_X66_Y23_N24
\WideAnd605~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd605~0_combout\ = (\led_flash_cnt[605][4]~q\ & (\led_flash_cnt[605][1]~q\ & (\led_flash_cnt[605][3]~q\ & \led_flash_cnt[605][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[605][4]~q\,
	datab => \led_flash_cnt[605][1]~q\,
	datac => \led_flash_cnt[605][3]~q\,
	datad => \led_flash_cnt[605][2]~q\,
	combout => \WideAnd605~0_combout\);

-- Location: LCCOMB_X66_Y23_N26
\WideAnd605~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd605~1_combout\ = (\led_flash_cnt[605][5]~q\ & \led_flash_cnt[605][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[605][5]~q\,
	datad => \led_flash_cnt[605][6]~q\,
	combout => \WideAnd605~1_combout\);

-- Location: LCCOMB_X66_Y23_N28
WideAnd605 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd605~combout\ = (\led_flash_cnt[605][7]~q\ & (\WideAnd605~0_combout\ & (\WideAnd605~1_combout\ & \led_flash_cnt[605][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[605][7]~q\,
	datab => \WideAnd605~0_combout\,
	datac => \WideAnd605~1_combout\,
	datad => \led_flash_cnt[605][0]~q\,
	combout => \WideAnd605~combout\);

-- Location: FF_X66_Y23_N29
\led_flash_cnt_ands[605]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd605~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(605));

-- Location: LCCOMB_X65_Y23_N0
\WideAnd3915~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3915~1_combout\ = (led_flash_cnt_ands(604) & led_flash_cnt_ands(605))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(604),
	datad => led_flash_cnt_ands(605),
	combout => \WideAnd3915~1_combout\);

-- Location: LCCOMB_X61_Y28_N12
\led_flash_cnt[606][0]~81246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[606][0]~81246_combout\ = !\led_flash_cnt[606][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[606][0]~q\,
	combout => \led_flash_cnt[606][0]~81246_combout\);

-- Location: FF_X61_Y28_N13
\led_flash_cnt[606][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[606][0]~81246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[606][0]~q\);

-- Location: LCCOMB_X61_Y28_N16
\led_flash_cnt[606][1]~35364\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[606][1]~35364_combout\ = (\led_flash_cnt[606][0]~q\ & (\led_flash_cnt[606][1]~q\ $ (VCC))) # (!\led_flash_cnt[606][0]~q\ & (\led_flash_cnt[606][1]~q\ & VCC))
-- \led_flash_cnt[606][1]~35365\ = CARRY((\led_flash_cnt[606][0]~q\ & \led_flash_cnt[606][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[606][0]~q\,
	datab => \led_flash_cnt[606][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[606][1]~35364_combout\,
	cout => \led_flash_cnt[606][1]~35365\);

-- Location: FF_X61_Y28_N17
\led_flash_cnt[606][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[606][1]~35364_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[606][1]~q\);

-- Location: LCCOMB_X61_Y28_N18
\led_flash_cnt[606][2]~35366\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[606][2]~35366_combout\ = (\led_flash_cnt[606][2]~q\ & (!\led_flash_cnt[606][1]~35365\)) # (!\led_flash_cnt[606][2]~q\ & ((\led_flash_cnt[606][1]~35365\) # (GND)))
-- \led_flash_cnt[606][2]~35367\ = CARRY((!\led_flash_cnt[606][1]~35365\) # (!\led_flash_cnt[606][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[606][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[606][1]~35365\,
	combout => \led_flash_cnt[606][2]~35366_combout\,
	cout => \led_flash_cnt[606][2]~35367\);

-- Location: FF_X61_Y28_N19
\led_flash_cnt[606][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[606][2]~35366_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[606][2]~q\);

-- Location: LCCOMB_X61_Y28_N20
\led_flash_cnt[606][3]~35368\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[606][3]~35368_combout\ = (\led_flash_cnt[606][3]~q\ & (\led_flash_cnt[606][2]~35367\ $ (GND))) # (!\led_flash_cnt[606][3]~q\ & (!\led_flash_cnt[606][2]~35367\ & VCC))
-- \led_flash_cnt[606][3]~35369\ = CARRY((\led_flash_cnt[606][3]~q\ & !\led_flash_cnt[606][2]~35367\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[606][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[606][2]~35367\,
	combout => \led_flash_cnt[606][3]~35368_combout\,
	cout => \led_flash_cnt[606][3]~35369\);

-- Location: FF_X61_Y28_N21
\led_flash_cnt[606][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[606][3]~35368_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[606][3]~q\);

-- Location: LCCOMB_X61_Y28_N22
\led_flash_cnt[606][4]~35370\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[606][4]~35370_combout\ = (\led_flash_cnt[606][4]~q\ & (!\led_flash_cnt[606][3]~35369\)) # (!\led_flash_cnt[606][4]~q\ & ((\led_flash_cnt[606][3]~35369\) # (GND)))
-- \led_flash_cnt[606][4]~35371\ = CARRY((!\led_flash_cnt[606][3]~35369\) # (!\led_flash_cnt[606][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[606][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[606][3]~35369\,
	combout => \led_flash_cnt[606][4]~35370_combout\,
	cout => \led_flash_cnt[606][4]~35371\);

-- Location: FF_X61_Y28_N23
\led_flash_cnt[606][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[606][4]~35370_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[606][4]~q\);

-- Location: LCCOMB_X61_Y28_N24
\led_flash_cnt[606][5]~35372\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[606][5]~35372_combout\ = (\led_flash_cnt[606][5]~q\ & (\led_flash_cnt[606][4]~35371\ $ (GND))) # (!\led_flash_cnt[606][5]~q\ & (!\led_flash_cnt[606][4]~35371\ & VCC))
-- \led_flash_cnt[606][5]~35373\ = CARRY((\led_flash_cnt[606][5]~q\ & !\led_flash_cnt[606][4]~35371\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[606][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[606][4]~35371\,
	combout => \led_flash_cnt[606][5]~35372_combout\,
	cout => \led_flash_cnt[606][5]~35373\);

-- Location: FF_X61_Y28_N25
\led_flash_cnt[606][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[606][5]~35372_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[606][5]~q\);

-- Location: LCCOMB_X61_Y28_N26
\led_flash_cnt[606][6]~35374\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[606][6]~35374_combout\ = (\led_flash_cnt[606][6]~q\ & (!\led_flash_cnt[606][5]~35373\)) # (!\led_flash_cnt[606][6]~q\ & ((\led_flash_cnt[606][5]~35373\) # (GND)))
-- \led_flash_cnt[606][6]~35375\ = CARRY((!\led_flash_cnt[606][5]~35373\) # (!\led_flash_cnt[606][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[606][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[606][5]~35373\,
	combout => \led_flash_cnt[606][6]~35374_combout\,
	cout => \led_flash_cnt[606][6]~35375\);

-- Location: FF_X61_Y28_N27
\led_flash_cnt[606][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[606][6]~35374_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[606][6]~q\);

-- Location: LCCOMB_X61_Y28_N28
\led_flash_cnt[606][7]~35376\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[606][7]~35376_combout\ = \led_flash_cnt[606][6]~35375\ $ (!\led_flash_cnt[606][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[606][7]~q\,
	cin => \led_flash_cnt[606][6]~35375\,
	combout => \led_flash_cnt[606][7]~35376_combout\);

-- Location: FF_X61_Y28_N29
\led_flash_cnt[606][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[606][7]~35376_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[606][7]~q\);

-- Location: LCCOMB_X61_Y28_N14
\WideAnd606~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd606~1_combout\ = (\led_flash_cnt[606][6]~q\ & \led_flash_cnt[606][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[606][6]~q\,
	datad => \led_flash_cnt[606][5]~q\,
	combout => \WideAnd606~1_combout\);

-- Location: LCCOMB_X61_Y28_N2
\WideAnd606~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd606~0_combout\ = (\led_flash_cnt[606][1]~q\ & (\led_flash_cnt[606][2]~q\ & (\led_flash_cnt[606][4]~q\ & \led_flash_cnt[606][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[606][1]~q\,
	datab => \led_flash_cnt[606][2]~q\,
	datac => \led_flash_cnt[606][4]~q\,
	datad => \led_flash_cnt[606][3]~q\,
	combout => \WideAnd606~0_combout\);

-- Location: LCCOMB_X61_Y28_N8
WideAnd606 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd606~combout\ = (\led_flash_cnt[606][0]~q\ & (\led_flash_cnt[606][7]~q\ & (\WideAnd606~1_combout\ & \WideAnd606~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[606][0]~q\,
	datab => \led_flash_cnt[606][7]~q\,
	datac => \WideAnd606~1_combout\,
	datad => \WideAnd606~0_combout\,
	combout => \WideAnd606~combout\);

-- Location: FF_X61_Y28_N9
\led_flash_cnt_ands[606]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd606~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(606));

-- Location: LCCOMB_X30_Y29_N24
\led_flash_cnt[602][0]~81242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[602][0]~81242_combout\ = !\led_flash_cnt[602][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[602][0]~q\,
	combout => \led_flash_cnt[602][0]~81242_combout\);

-- Location: FF_X30_Y29_N25
\led_flash_cnt[602][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[602][0]~81242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[602][0]~q\);

-- Location: LCCOMB_X30_Y29_N8
\led_flash_cnt[602][1]~35308\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[602][1]~35308_combout\ = (\led_flash_cnt[602][0]~q\ & (\led_flash_cnt[602][1]~q\ $ (VCC))) # (!\led_flash_cnt[602][0]~q\ & (\led_flash_cnt[602][1]~q\ & VCC))
-- \led_flash_cnt[602][1]~35309\ = CARRY((\led_flash_cnt[602][0]~q\ & \led_flash_cnt[602][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[602][0]~q\,
	datab => \led_flash_cnt[602][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[602][1]~35308_combout\,
	cout => \led_flash_cnt[602][1]~35309\);

-- Location: FF_X30_Y29_N9
\led_flash_cnt[602][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[602][1]~35308_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[602][1]~q\);

-- Location: LCCOMB_X30_Y29_N10
\led_flash_cnt[602][2]~35310\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[602][2]~35310_combout\ = (\led_flash_cnt[602][2]~q\ & (!\led_flash_cnt[602][1]~35309\)) # (!\led_flash_cnt[602][2]~q\ & ((\led_flash_cnt[602][1]~35309\) # (GND)))
-- \led_flash_cnt[602][2]~35311\ = CARRY((!\led_flash_cnt[602][1]~35309\) # (!\led_flash_cnt[602][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[602][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[602][1]~35309\,
	combout => \led_flash_cnt[602][2]~35310_combout\,
	cout => \led_flash_cnt[602][2]~35311\);

-- Location: FF_X30_Y29_N11
\led_flash_cnt[602][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[602][2]~35310_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[602][2]~q\);

-- Location: LCCOMB_X30_Y29_N12
\led_flash_cnt[602][3]~35312\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[602][3]~35312_combout\ = (\led_flash_cnt[602][3]~q\ & (\led_flash_cnt[602][2]~35311\ $ (GND))) # (!\led_flash_cnt[602][3]~q\ & (!\led_flash_cnt[602][2]~35311\ & VCC))
-- \led_flash_cnt[602][3]~35313\ = CARRY((\led_flash_cnt[602][3]~q\ & !\led_flash_cnt[602][2]~35311\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[602][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[602][2]~35311\,
	combout => \led_flash_cnt[602][3]~35312_combout\,
	cout => \led_flash_cnt[602][3]~35313\);

-- Location: FF_X30_Y29_N13
\led_flash_cnt[602][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[602][3]~35312_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[602][3]~q\);

-- Location: LCCOMB_X30_Y29_N14
\led_flash_cnt[602][4]~35314\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[602][4]~35314_combout\ = (\led_flash_cnt[602][4]~q\ & (!\led_flash_cnt[602][3]~35313\)) # (!\led_flash_cnt[602][4]~q\ & ((\led_flash_cnt[602][3]~35313\) # (GND)))
-- \led_flash_cnt[602][4]~35315\ = CARRY((!\led_flash_cnt[602][3]~35313\) # (!\led_flash_cnt[602][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[602][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[602][3]~35313\,
	combout => \led_flash_cnt[602][4]~35314_combout\,
	cout => \led_flash_cnt[602][4]~35315\);

-- Location: FF_X30_Y29_N15
\led_flash_cnt[602][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[602][4]~35314_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[602][4]~q\);

-- Location: LCCOMB_X30_Y29_N16
\led_flash_cnt[602][5]~35316\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[602][5]~35316_combout\ = (\led_flash_cnt[602][5]~q\ & (\led_flash_cnt[602][4]~35315\ $ (GND))) # (!\led_flash_cnt[602][5]~q\ & (!\led_flash_cnt[602][4]~35315\ & VCC))
-- \led_flash_cnt[602][5]~35317\ = CARRY((\led_flash_cnt[602][5]~q\ & !\led_flash_cnt[602][4]~35315\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[602][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[602][4]~35315\,
	combout => \led_flash_cnt[602][5]~35316_combout\,
	cout => \led_flash_cnt[602][5]~35317\);

-- Location: FF_X30_Y29_N17
\led_flash_cnt[602][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[602][5]~35316_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[602][5]~q\);

-- Location: LCCOMB_X30_Y29_N18
\led_flash_cnt[602][6]~35318\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[602][6]~35318_combout\ = (\led_flash_cnt[602][6]~q\ & (!\led_flash_cnt[602][5]~35317\)) # (!\led_flash_cnt[602][6]~q\ & ((\led_flash_cnt[602][5]~35317\) # (GND)))
-- \led_flash_cnt[602][6]~35319\ = CARRY((!\led_flash_cnt[602][5]~35317\) # (!\led_flash_cnt[602][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[602][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[602][5]~35317\,
	combout => \led_flash_cnt[602][6]~35318_combout\,
	cout => \led_flash_cnt[602][6]~35319\);

-- Location: FF_X30_Y29_N19
\led_flash_cnt[602][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[602][6]~35318_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[602][6]~q\);

-- Location: LCCOMB_X30_Y29_N26
\WideAnd602~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd602~1_combout\ = (\led_flash_cnt[602][6]~q\ & \led_flash_cnt[602][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[602][6]~q\,
	datad => \led_flash_cnt[602][5]~q\,
	combout => \WideAnd602~1_combout\);

-- Location: LCCOMB_X30_Y29_N20
\led_flash_cnt[602][7]~35320\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[602][7]~35320_combout\ = \led_flash_cnt[602][6]~35319\ $ (!\led_flash_cnt[602][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[602][7]~q\,
	cin => \led_flash_cnt[602][6]~35319\,
	combout => \led_flash_cnt[602][7]~35320_combout\);

-- Location: FF_X30_Y29_N21
\led_flash_cnt[602][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[602][7]~35320_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[602][7]~q\);

-- Location: LCCOMB_X30_Y29_N22
\WideAnd602~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd602~0_combout\ = (\led_flash_cnt[602][2]~q\ & (\led_flash_cnt[602][4]~q\ & (\led_flash_cnt[602][1]~q\ & \led_flash_cnt[602][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[602][2]~q\,
	datab => \led_flash_cnt[602][4]~q\,
	datac => \led_flash_cnt[602][1]~q\,
	datad => \led_flash_cnt[602][3]~q\,
	combout => \WideAnd602~0_combout\);

-- Location: LCCOMB_X30_Y29_N4
WideAnd602 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd602~combout\ = (\WideAnd602~1_combout\ & (\led_flash_cnt[602][7]~q\ & (\WideAnd602~0_combout\ & \led_flash_cnt[602][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd602~1_combout\,
	datab => \led_flash_cnt[602][7]~q\,
	datac => \WideAnd602~0_combout\,
	datad => \led_flash_cnt[602][0]~q\,
	combout => \WideAnd602~combout\);

-- Location: FF_X30_Y29_N5
\led_flash_cnt_ands[602]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd602~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(602));

-- Location: LCCOMB_X29_Y33_N0
\led_flash_cnt[601][0]~81241\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[601][0]~81241_combout\ = !\led_flash_cnt[601][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[601][0]~q\,
	combout => \led_flash_cnt[601][0]~81241_combout\);

-- Location: FF_X29_Y33_N1
\led_flash_cnt[601][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[601][0]~81241_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[601][0]~q\);

-- Location: LCCOMB_X27_Y33_N16
\led_flash_cnt[601][1]~35294\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[601][1]~35294_combout\ = (\led_flash_cnt[601][0]~q\ & (\led_flash_cnt[601][1]~q\ $ (VCC))) # (!\led_flash_cnt[601][0]~q\ & (\led_flash_cnt[601][1]~q\ & VCC))
-- \led_flash_cnt[601][1]~35295\ = CARRY((\led_flash_cnt[601][0]~q\ & \led_flash_cnt[601][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[601][0]~q\,
	datab => \led_flash_cnt[601][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[601][1]~35294_combout\,
	cout => \led_flash_cnt[601][1]~35295\);

-- Location: FF_X27_Y33_N17
\led_flash_cnt[601][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[601][1]~35294_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[601][1]~q\);

-- Location: LCCOMB_X27_Y33_N18
\led_flash_cnt[601][2]~35296\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[601][2]~35296_combout\ = (\led_flash_cnt[601][2]~q\ & (!\led_flash_cnt[601][1]~35295\)) # (!\led_flash_cnt[601][2]~q\ & ((\led_flash_cnt[601][1]~35295\) # (GND)))
-- \led_flash_cnt[601][2]~35297\ = CARRY((!\led_flash_cnt[601][1]~35295\) # (!\led_flash_cnt[601][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[601][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[601][1]~35295\,
	combout => \led_flash_cnt[601][2]~35296_combout\,
	cout => \led_flash_cnt[601][2]~35297\);

-- Location: FF_X27_Y33_N19
\led_flash_cnt[601][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[601][2]~35296_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[601][2]~q\);

-- Location: LCCOMB_X27_Y33_N20
\led_flash_cnt[601][3]~35298\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[601][3]~35298_combout\ = (\led_flash_cnt[601][3]~q\ & (\led_flash_cnt[601][2]~35297\ $ (GND))) # (!\led_flash_cnt[601][3]~q\ & (!\led_flash_cnt[601][2]~35297\ & VCC))
-- \led_flash_cnt[601][3]~35299\ = CARRY((\led_flash_cnt[601][3]~q\ & !\led_flash_cnt[601][2]~35297\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[601][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[601][2]~35297\,
	combout => \led_flash_cnt[601][3]~35298_combout\,
	cout => \led_flash_cnt[601][3]~35299\);

-- Location: FF_X27_Y33_N21
\led_flash_cnt[601][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[601][3]~35298_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[601][3]~q\);

-- Location: LCCOMB_X27_Y33_N22
\led_flash_cnt[601][4]~35300\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[601][4]~35300_combout\ = (\led_flash_cnt[601][4]~q\ & (!\led_flash_cnt[601][3]~35299\)) # (!\led_flash_cnt[601][4]~q\ & ((\led_flash_cnt[601][3]~35299\) # (GND)))
-- \led_flash_cnt[601][4]~35301\ = CARRY((!\led_flash_cnt[601][3]~35299\) # (!\led_flash_cnt[601][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[601][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[601][3]~35299\,
	combout => \led_flash_cnt[601][4]~35300_combout\,
	cout => \led_flash_cnt[601][4]~35301\);

-- Location: FF_X27_Y33_N23
\led_flash_cnt[601][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[601][4]~35300_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[601][4]~q\);

-- Location: LCCOMB_X27_Y33_N24
\led_flash_cnt[601][5]~35302\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[601][5]~35302_combout\ = (\led_flash_cnt[601][5]~q\ & (\led_flash_cnt[601][4]~35301\ $ (GND))) # (!\led_flash_cnt[601][5]~q\ & (!\led_flash_cnt[601][4]~35301\ & VCC))
-- \led_flash_cnt[601][5]~35303\ = CARRY((\led_flash_cnt[601][5]~q\ & !\led_flash_cnt[601][4]~35301\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[601][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[601][4]~35301\,
	combout => \led_flash_cnt[601][5]~35302_combout\,
	cout => \led_flash_cnt[601][5]~35303\);

-- Location: FF_X27_Y33_N25
\led_flash_cnt[601][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[601][5]~35302_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[601][5]~q\);

-- Location: LCCOMB_X27_Y33_N26
\led_flash_cnt[601][6]~35304\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[601][6]~35304_combout\ = (\led_flash_cnt[601][6]~q\ & (!\led_flash_cnt[601][5]~35303\)) # (!\led_flash_cnt[601][6]~q\ & ((\led_flash_cnt[601][5]~35303\) # (GND)))
-- \led_flash_cnt[601][6]~35305\ = CARRY((!\led_flash_cnt[601][5]~35303\) # (!\led_flash_cnt[601][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[601][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[601][5]~35303\,
	combout => \led_flash_cnt[601][6]~35304_combout\,
	cout => \led_flash_cnt[601][6]~35305\);

-- Location: FF_X27_Y33_N27
\led_flash_cnt[601][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[601][6]~35304_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[601][6]~q\);

-- Location: LCCOMB_X27_Y33_N28
\led_flash_cnt[601][7]~35306\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[601][7]~35306_combout\ = \led_flash_cnt[601][6]~35305\ $ (!\led_flash_cnt[601][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[601][7]~q\,
	cin => \led_flash_cnt[601][6]~35305\,
	combout => \led_flash_cnt[601][7]~35306_combout\);

-- Location: FF_X27_Y33_N29
\led_flash_cnt[601][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[601][7]~35306_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[601][7]~q\);

-- Location: LCCOMB_X29_Y33_N28
\WideAnd601~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd601~1_combout\ = (\led_flash_cnt[601][6]~q\ & \led_flash_cnt[601][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[601][6]~q\,
	datad => \led_flash_cnt[601][5]~q\,
	combout => \WideAnd601~1_combout\);

-- Location: LCCOMB_X27_Y33_N14
\WideAnd601~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd601~0_combout\ = (\led_flash_cnt[601][3]~q\ & (\led_flash_cnt[601][1]~q\ & (\led_flash_cnt[601][4]~q\ & \led_flash_cnt[601][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[601][3]~q\,
	datab => \led_flash_cnt[601][1]~q\,
	datac => \led_flash_cnt[601][4]~q\,
	datad => \led_flash_cnt[601][2]~q\,
	combout => \WideAnd601~0_combout\);

-- Location: LCCOMB_X29_Y33_N24
WideAnd601 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd601~combout\ = (\led_flash_cnt[601][7]~q\ & (\WideAnd601~1_combout\ & (\WideAnd601~0_combout\ & \led_flash_cnt[601][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[601][7]~q\,
	datab => \WideAnd601~1_combout\,
	datac => \WideAnd601~0_combout\,
	datad => \led_flash_cnt[601][0]~q\,
	combout => \WideAnd601~combout\);

-- Location: FF_X29_Y33_N25
\led_flash_cnt_ands[601]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd601~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(601));

-- Location: LCCOMB_X62_Y33_N12
\led_flash_cnt[600][0]~81240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[600][0]~81240_combout\ = !\led_flash_cnt[600][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[600][0]~q\,
	combout => \led_flash_cnt[600][0]~81240_combout\);

-- Location: FF_X62_Y33_N13
\led_flash_cnt[600][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[600][0]~81240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[600][0]~q\);

-- Location: LCCOMB_X62_Y33_N14
\led_flash_cnt[600][1]~35280\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[600][1]~35280_combout\ = (\led_flash_cnt[600][0]~q\ & (\led_flash_cnt[600][1]~q\ $ (VCC))) # (!\led_flash_cnt[600][0]~q\ & (\led_flash_cnt[600][1]~q\ & VCC))
-- \led_flash_cnt[600][1]~35281\ = CARRY((\led_flash_cnt[600][0]~q\ & \led_flash_cnt[600][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[600][0]~q\,
	datab => \led_flash_cnt[600][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[600][1]~35280_combout\,
	cout => \led_flash_cnt[600][1]~35281\);

-- Location: FF_X62_Y33_N15
\led_flash_cnt[600][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[600][1]~35280_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[600][1]~q\);

-- Location: LCCOMB_X62_Y33_N16
\led_flash_cnt[600][2]~35282\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[600][2]~35282_combout\ = (\led_flash_cnt[600][2]~q\ & (!\led_flash_cnt[600][1]~35281\)) # (!\led_flash_cnt[600][2]~q\ & ((\led_flash_cnt[600][1]~35281\) # (GND)))
-- \led_flash_cnt[600][2]~35283\ = CARRY((!\led_flash_cnt[600][1]~35281\) # (!\led_flash_cnt[600][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[600][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[600][1]~35281\,
	combout => \led_flash_cnt[600][2]~35282_combout\,
	cout => \led_flash_cnt[600][2]~35283\);

-- Location: FF_X62_Y33_N17
\led_flash_cnt[600][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[600][2]~35282_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[600][2]~q\);

-- Location: LCCOMB_X62_Y33_N18
\led_flash_cnt[600][3]~35284\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[600][3]~35284_combout\ = (\led_flash_cnt[600][3]~q\ & (\led_flash_cnt[600][2]~35283\ $ (GND))) # (!\led_flash_cnt[600][3]~q\ & (!\led_flash_cnt[600][2]~35283\ & VCC))
-- \led_flash_cnt[600][3]~35285\ = CARRY((\led_flash_cnt[600][3]~q\ & !\led_flash_cnt[600][2]~35283\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[600][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[600][2]~35283\,
	combout => \led_flash_cnt[600][3]~35284_combout\,
	cout => \led_flash_cnt[600][3]~35285\);

-- Location: FF_X62_Y33_N19
\led_flash_cnt[600][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[600][3]~35284_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[600][3]~q\);

-- Location: LCCOMB_X62_Y33_N20
\led_flash_cnt[600][4]~35286\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[600][4]~35286_combout\ = (\led_flash_cnt[600][4]~q\ & (!\led_flash_cnt[600][3]~35285\)) # (!\led_flash_cnt[600][4]~q\ & ((\led_flash_cnt[600][3]~35285\) # (GND)))
-- \led_flash_cnt[600][4]~35287\ = CARRY((!\led_flash_cnt[600][3]~35285\) # (!\led_flash_cnt[600][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[600][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[600][3]~35285\,
	combout => \led_flash_cnt[600][4]~35286_combout\,
	cout => \led_flash_cnt[600][4]~35287\);

-- Location: FF_X62_Y33_N21
\led_flash_cnt[600][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[600][4]~35286_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[600][4]~q\);

-- Location: LCCOMB_X62_Y33_N22
\led_flash_cnt[600][5]~35288\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[600][5]~35288_combout\ = (\led_flash_cnt[600][5]~q\ & (\led_flash_cnt[600][4]~35287\ $ (GND))) # (!\led_flash_cnt[600][5]~q\ & (!\led_flash_cnt[600][4]~35287\ & VCC))
-- \led_flash_cnt[600][5]~35289\ = CARRY((\led_flash_cnt[600][5]~q\ & !\led_flash_cnt[600][4]~35287\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[600][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[600][4]~35287\,
	combout => \led_flash_cnt[600][5]~35288_combout\,
	cout => \led_flash_cnt[600][5]~35289\);

-- Location: FF_X62_Y33_N23
\led_flash_cnt[600][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[600][5]~35288_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[600][5]~q\);

-- Location: LCCOMB_X62_Y33_N24
\led_flash_cnt[600][6]~35290\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[600][6]~35290_combout\ = (\led_flash_cnt[600][6]~q\ & (!\led_flash_cnt[600][5]~35289\)) # (!\led_flash_cnt[600][6]~q\ & ((\led_flash_cnt[600][5]~35289\) # (GND)))
-- \led_flash_cnt[600][6]~35291\ = CARRY((!\led_flash_cnt[600][5]~35289\) # (!\led_flash_cnt[600][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[600][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[600][5]~35289\,
	combout => \led_flash_cnt[600][6]~35290_combout\,
	cout => \led_flash_cnt[600][6]~35291\);

-- Location: FF_X62_Y33_N25
\led_flash_cnt[600][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[600][6]~35290_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[600][6]~q\);

-- Location: LCCOMB_X62_Y33_N10
\WideAnd600~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd600~1_combout\ = (\led_flash_cnt[600][5]~q\ & \led_flash_cnt[600][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[600][5]~q\,
	datad => \led_flash_cnt[600][6]~q\,
	combout => \WideAnd600~1_combout\);

-- Location: LCCOMB_X62_Y33_N4
\WideAnd600~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd600~0_combout\ = (\led_flash_cnt[600][4]~q\ & (\led_flash_cnt[600][3]~q\ & (\led_flash_cnt[600][1]~q\ & \led_flash_cnt[600][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[600][4]~q\,
	datab => \led_flash_cnt[600][3]~q\,
	datac => \led_flash_cnt[600][1]~q\,
	datad => \led_flash_cnt[600][2]~q\,
	combout => \WideAnd600~0_combout\);

-- Location: LCCOMB_X62_Y33_N26
\led_flash_cnt[600][7]~35292\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[600][7]~35292_combout\ = \led_flash_cnt[600][7]~q\ $ (!\led_flash_cnt[600][6]~35291\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[600][7]~q\,
	cin => \led_flash_cnt[600][6]~35291\,
	combout => \led_flash_cnt[600][7]~35292_combout\);

-- Location: FF_X62_Y33_N27
\led_flash_cnt[600][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[600][7]~35292_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[600][7]~q\);

-- Location: LCCOMB_X62_Y33_N28
WideAnd600 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd600~combout\ = (\WideAnd600~1_combout\ & (\WideAnd600~0_combout\ & (\led_flash_cnt[600][7]~q\ & \led_flash_cnt[600][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd600~1_combout\,
	datab => \WideAnd600~0_combout\,
	datac => \led_flash_cnt[600][7]~q\,
	datad => \led_flash_cnt[600][0]~q\,
	combout => \WideAnd600~combout\);

-- Location: FF_X62_Y33_N29
\led_flash_cnt_ands[600]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd600~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(600));

-- Location: LCCOMB_X29_Y33_N22
\led_flash_cnt[603][0]~81243\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[603][0]~81243_combout\ = !\led_flash_cnt[603][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[603][0]~q\,
	combout => \led_flash_cnt[603][0]~81243_combout\);

-- Location: FF_X29_Y33_N23
\led_flash_cnt[603][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[603][0]~81243_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[603][0]~q\);

-- Location: LCCOMB_X29_Y33_N4
\led_flash_cnt[603][1]~35322\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[603][1]~35322_combout\ = (\led_flash_cnt[603][0]~q\ & (\led_flash_cnt[603][1]~q\ $ (VCC))) # (!\led_flash_cnt[603][0]~q\ & (\led_flash_cnt[603][1]~q\ & VCC))
-- \led_flash_cnt[603][1]~35323\ = CARRY((\led_flash_cnt[603][0]~q\ & \led_flash_cnt[603][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[603][0]~q\,
	datab => \led_flash_cnt[603][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[603][1]~35322_combout\,
	cout => \led_flash_cnt[603][1]~35323\);

-- Location: FF_X29_Y33_N5
\led_flash_cnt[603][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[603][1]~35322_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[603][1]~q\);

-- Location: LCCOMB_X29_Y33_N6
\led_flash_cnt[603][2]~35324\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[603][2]~35324_combout\ = (\led_flash_cnt[603][2]~q\ & (!\led_flash_cnt[603][1]~35323\)) # (!\led_flash_cnt[603][2]~q\ & ((\led_flash_cnt[603][1]~35323\) # (GND)))
-- \led_flash_cnt[603][2]~35325\ = CARRY((!\led_flash_cnt[603][1]~35323\) # (!\led_flash_cnt[603][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[603][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[603][1]~35323\,
	combout => \led_flash_cnt[603][2]~35324_combout\,
	cout => \led_flash_cnt[603][2]~35325\);

-- Location: FF_X29_Y33_N7
\led_flash_cnt[603][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[603][2]~35324_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[603][2]~q\);

-- Location: LCCOMB_X29_Y33_N8
\led_flash_cnt[603][3]~35326\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[603][3]~35326_combout\ = (\led_flash_cnt[603][3]~q\ & (\led_flash_cnt[603][2]~35325\ $ (GND))) # (!\led_flash_cnt[603][3]~q\ & (!\led_flash_cnt[603][2]~35325\ & VCC))
-- \led_flash_cnt[603][3]~35327\ = CARRY((\led_flash_cnt[603][3]~q\ & !\led_flash_cnt[603][2]~35325\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[603][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[603][2]~35325\,
	combout => \led_flash_cnt[603][3]~35326_combout\,
	cout => \led_flash_cnt[603][3]~35327\);

-- Location: FF_X29_Y33_N9
\led_flash_cnt[603][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[603][3]~35326_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[603][3]~q\);

-- Location: LCCOMB_X29_Y33_N10
\led_flash_cnt[603][4]~35328\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[603][4]~35328_combout\ = (\led_flash_cnt[603][4]~q\ & (!\led_flash_cnt[603][3]~35327\)) # (!\led_flash_cnt[603][4]~q\ & ((\led_flash_cnt[603][3]~35327\) # (GND)))
-- \led_flash_cnt[603][4]~35329\ = CARRY((!\led_flash_cnt[603][3]~35327\) # (!\led_flash_cnt[603][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[603][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[603][3]~35327\,
	combout => \led_flash_cnt[603][4]~35328_combout\,
	cout => \led_flash_cnt[603][4]~35329\);

-- Location: FF_X29_Y33_N11
\led_flash_cnt[603][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[603][4]~35328_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[603][4]~q\);

-- Location: LCCOMB_X29_Y33_N12
\led_flash_cnt[603][5]~35330\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[603][5]~35330_combout\ = (\led_flash_cnt[603][5]~q\ & (\led_flash_cnt[603][4]~35329\ $ (GND))) # (!\led_flash_cnt[603][5]~q\ & (!\led_flash_cnt[603][4]~35329\ & VCC))
-- \led_flash_cnt[603][5]~35331\ = CARRY((\led_flash_cnt[603][5]~q\ & !\led_flash_cnt[603][4]~35329\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[603][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[603][4]~35329\,
	combout => \led_flash_cnt[603][5]~35330_combout\,
	cout => \led_flash_cnt[603][5]~35331\);

-- Location: FF_X29_Y33_N13
\led_flash_cnt[603][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[603][5]~35330_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[603][5]~q\);

-- Location: LCCOMB_X29_Y33_N14
\led_flash_cnt[603][6]~35332\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[603][6]~35332_combout\ = (\led_flash_cnt[603][6]~q\ & (!\led_flash_cnt[603][5]~35331\)) # (!\led_flash_cnt[603][6]~q\ & ((\led_flash_cnt[603][5]~35331\) # (GND)))
-- \led_flash_cnt[603][6]~35333\ = CARRY((!\led_flash_cnt[603][5]~35331\) # (!\led_flash_cnt[603][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[603][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[603][5]~35331\,
	combout => \led_flash_cnt[603][6]~35332_combout\,
	cout => \led_flash_cnt[603][6]~35333\);

-- Location: FF_X29_Y33_N15
\led_flash_cnt[603][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[603][6]~35332_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[603][6]~q\);

-- Location: LCCOMB_X29_Y33_N18
\WideAnd603~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd603~1_combout\ = (\led_flash_cnt[603][6]~q\ & \led_flash_cnt[603][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[603][6]~q\,
	datad => \led_flash_cnt[603][5]~q\,
	combout => \WideAnd603~1_combout\);

-- Location: LCCOMB_X29_Y33_N26
\WideAnd603~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd603~0_combout\ = (\led_flash_cnt[603][4]~q\ & (\led_flash_cnt[603][3]~q\ & (\led_flash_cnt[603][1]~q\ & \led_flash_cnt[603][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[603][4]~q\,
	datab => \led_flash_cnt[603][3]~q\,
	datac => \led_flash_cnt[603][1]~q\,
	datad => \led_flash_cnt[603][2]~q\,
	combout => \WideAnd603~0_combout\);

-- Location: LCCOMB_X29_Y33_N16
\led_flash_cnt[603][7]~35334\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[603][7]~35334_combout\ = \led_flash_cnt[603][6]~35333\ $ (!\led_flash_cnt[603][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[603][7]~q\,
	cin => \led_flash_cnt[603][6]~35333\,
	combout => \led_flash_cnt[603][7]~35334_combout\);

-- Location: FF_X29_Y33_N17
\led_flash_cnt[603][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[603][7]~35334_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[603][7]~q\);

-- Location: LCCOMB_X29_Y33_N2
WideAnd603 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd603~combout\ = (\led_flash_cnt[603][0]~q\ & (\WideAnd603~1_combout\ & (\WideAnd603~0_combout\ & \led_flash_cnt[603][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[603][0]~q\,
	datab => \WideAnd603~1_combout\,
	datac => \WideAnd603~0_combout\,
	datad => \led_flash_cnt[603][7]~q\,
	combout => \WideAnd603~combout\);

-- Location: FF_X29_Y33_N3
\led_flash_cnt_ands[603]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd603~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(603));

-- Location: LCCOMB_X29_Y33_N30
\WideAnd3915~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3915~0_combout\ = (led_flash_cnt_ands(602) & (led_flash_cnt_ands(601) & (led_flash_cnt_ands(600) & led_flash_cnt_ands(603))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(602),
	datab => led_flash_cnt_ands(601),
	datac => led_flash_cnt_ands(600),
	datad => led_flash_cnt_ands(603),
	combout => \WideAnd3915~0_combout\);

-- Location: LCCOMB_X60_Y28_N30
WideAnd3915 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3915~combout\ = (led_flash_cnt_ands(607) & (\WideAnd3915~1_combout\ & (led_flash_cnt_ands(606) & \WideAnd3915~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(607),
	datab => \WideAnd3915~1_combout\,
	datac => led_flash_cnt_ands(606),
	datad => \WideAnd3915~0_combout\,
	combout => \WideAnd3915~combout\);

-- Location: FF_X60_Y28_N31
\led_flash_cnt_ands_1[75]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3915~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(75));

-- Location: LCCOMB_X56_Y33_N20
\led_flash_cnt[582][0]~81222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[582][0]~81222_combout\ = !\led_flash_cnt[582][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[582][0]~q\,
	combout => \led_flash_cnt[582][0]~81222_combout\);

-- Location: FF_X56_Y33_N21
\led_flash_cnt[582][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[582][0]~81222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[582][0]~q\);

-- Location: LCCOMB_X55_Y33_N0
\led_flash_cnt[582][1]~35028\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[582][1]~35028_combout\ = (\led_flash_cnt[582][0]~q\ & (\led_flash_cnt[582][1]~q\ $ (VCC))) # (!\led_flash_cnt[582][0]~q\ & (\led_flash_cnt[582][1]~q\ & VCC))
-- \led_flash_cnt[582][1]~35029\ = CARRY((\led_flash_cnt[582][0]~q\ & \led_flash_cnt[582][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[582][0]~q\,
	datab => \led_flash_cnt[582][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[582][1]~35028_combout\,
	cout => \led_flash_cnt[582][1]~35029\);

-- Location: FF_X55_Y33_N1
\led_flash_cnt[582][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[582][1]~35028_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[582][1]~q\);

-- Location: LCCOMB_X55_Y33_N2
\led_flash_cnt[582][2]~35030\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[582][2]~35030_combout\ = (\led_flash_cnt[582][2]~q\ & (!\led_flash_cnt[582][1]~35029\)) # (!\led_flash_cnt[582][2]~q\ & ((\led_flash_cnt[582][1]~35029\) # (GND)))
-- \led_flash_cnt[582][2]~35031\ = CARRY((!\led_flash_cnt[582][1]~35029\) # (!\led_flash_cnt[582][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[582][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[582][1]~35029\,
	combout => \led_flash_cnt[582][2]~35030_combout\,
	cout => \led_flash_cnt[582][2]~35031\);

-- Location: FF_X55_Y33_N3
\led_flash_cnt[582][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[582][2]~35030_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[582][2]~q\);

-- Location: LCCOMB_X55_Y33_N4
\led_flash_cnt[582][3]~35032\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[582][3]~35032_combout\ = (\led_flash_cnt[582][3]~q\ & (\led_flash_cnt[582][2]~35031\ $ (GND))) # (!\led_flash_cnt[582][3]~q\ & (!\led_flash_cnt[582][2]~35031\ & VCC))
-- \led_flash_cnt[582][3]~35033\ = CARRY((\led_flash_cnt[582][3]~q\ & !\led_flash_cnt[582][2]~35031\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[582][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[582][2]~35031\,
	combout => \led_flash_cnt[582][3]~35032_combout\,
	cout => \led_flash_cnt[582][3]~35033\);

-- Location: FF_X55_Y33_N5
\led_flash_cnt[582][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[582][3]~35032_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[582][3]~q\);

-- Location: LCCOMB_X55_Y33_N6
\led_flash_cnt[582][4]~35034\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[582][4]~35034_combout\ = (\led_flash_cnt[582][4]~q\ & (!\led_flash_cnt[582][3]~35033\)) # (!\led_flash_cnt[582][4]~q\ & ((\led_flash_cnt[582][3]~35033\) # (GND)))
-- \led_flash_cnt[582][4]~35035\ = CARRY((!\led_flash_cnt[582][3]~35033\) # (!\led_flash_cnt[582][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[582][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[582][3]~35033\,
	combout => \led_flash_cnt[582][4]~35034_combout\,
	cout => \led_flash_cnt[582][4]~35035\);

-- Location: FF_X55_Y33_N7
\led_flash_cnt[582][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[582][4]~35034_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[582][4]~q\);

-- Location: LCCOMB_X55_Y33_N8
\led_flash_cnt[582][5]~35036\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[582][5]~35036_combout\ = (\led_flash_cnt[582][5]~q\ & (\led_flash_cnt[582][4]~35035\ $ (GND))) # (!\led_flash_cnt[582][5]~q\ & (!\led_flash_cnt[582][4]~35035\ & VCC))
-- \led_flash_cnt[582][5]~35037\ = CARRY((\led_flash_cnt[582][5]~q\ & !\led_flash_cnt[582][4]~35035\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[582][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[582][4]~35035\,
	combout => \led_flash_cnt[582][5]~35036_combout\,
	cout => \led_flash_cnt[582][5]~35037\);

-- Location: FF_X55_Y33_N9
\led_flash_cnt[582][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[582][5]~35036_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[582][5]~q\);

-- Location: LCCOMB_X55_Y33_N10
\led_flash_cnt[582][6]~35038\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[582][6]~35038_combout\ = (\led_flash_cnt[582][6]~q\ & (!\led_flash_cnt[582][5]~35037\)) # (!\led_flash_cnt[582][6]~q\ & ((\led_flash_cnt[582][5]~35037\) # (GND)))
-- \led_flash_cnt[582][6]~35039\ = CARRY((!\led_flash_cnt[582][5]~35037\) # (!\led_flash_cnt[582][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[582][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[582][5]~35037\,
	combout => \led_flash_cnt[582][6]~35038_combout\,
	cout => \led_flash_cnt[582][6]~35039\);

-- Location: FF_X55_Y33_N11
\led_flash_cnt[582][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[582][6]~35038_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[582][6]~q\);

-- Location: LCCOMB_X55_Y33_N12
\led_flash_cnt[582][7]~35040\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[582][7]~35040_combout\ = \led_flash_cnt[582][6]~35039\ $ (!\led_flash_cnt[582][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[582][7]~q\,
	cin => \led_flash_cnt[582][6]~35039\,
	combout => \led_flash_cnt[582][7]~35040_combout\);

-- Location: FF_X55_Y33_N13
\led_flash_cnt[582][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[582][7]~35040_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[582][7]~q\);

-- Location: LCCOMB_X56_Y33_N22
\WideAnd582~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd582~1_combout\ = (\led_flash_cnt[582][6]~q\ & \led_flash_cnt[582][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[582][6]~q\,
	datad => \led_flash_cnt[582][5]~q\,
	combout => \WideAnd582~1_combout\);

-- Location: LCCOMB_X55_Y33_N14
\WideAnd582~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd582~0_combout\ = (\led_flash_cnt[582][4]~q\ & (\led_flash_cnt[582][1]~q\ & (\led_flash_cnt[582][3]~q\ & \led_flash_cnt[582][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[582][4]~q\,
	datab => \led_flash_cnt[582][1]~q\,
	datac => \led_flash_cnt[582][3]~q\,
	datad => \led_flash_cnt[582][2]~q\,
	combout => \WideAnd582~0_combout\);

-- Location: LCCOMB_X56_Y33_N24
WideAnd582 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd582~combout\ = (\led_flash_cnt[582][7]~q\ & (\led_flash_cnt[582][0]~q\ & (\WideAnd582~1_combout\ & \WideAnd582~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[582][7]~q\,
	datab => \led_flash_cnt[582][0]~q\,
	datac => \WideAnd582~1_combout\,
	datad => \WideAnd582~0_combout\,
	combout => \WideAnd582~combout\);

-- Location: FF_X56_Y33_N25
\led_flash_cnt_ands[582]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd582~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(582));

-- Location: LCCOMB_X50_Y20_N2
\led_flash_cnt[581][0]~81221\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[581][0]~81221_combout\ = !\led_flash_cnt[581][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[581][0]~q\,
	combout => \led_flash_cnt[581][0]~81221_combout\);

-- Location: FF_X50_Y20_N3
\led_flash_cnt[581][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[581][0]~81221_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[581][0]~q\);

-- Location: LCCOMB_X49_Y20_N0
\led_flash_cnt[581][1]~35014\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[581][1]~35014_combout\ = (\led_flash_cnt[581][0]~q\ & (\led_flash_cnt[581][1]~q\ $ (VCC))) # (!\led_flash_cnt[581][0]~q\ & (\led_flash_cnt[581][1]~q\ & VCC))
-- \led_flash_cnt[581][1]~35015\ = CARRY((\led_flash_cnt[581][0]~q\ & \led_flash_cnt[581][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[581][0]~q\,
	datab => \led_flash_cnt[581][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[581][1]~35014_combout\,
	cout => \led_flash_cnt[581][1]~35015\);

-- Location: FF_X49_Y20_N1
\led_flash_cnt[581][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[581][1]~35014_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[581][1]~q\);

-- Location: LCCOMB_X49_Y20_N2
\led_flash_cnt[581][2]~35016\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[581][2]~35016_combout\ = (\led_flash_cnt[581][2]~q\ & (!\led_flash_cnt[581][1]~35015\)) # (!\led_flash_cnt[581][2]~q\ & ((\led_flash_cnt[581][1]~35015\) # (GND)))
-- \led_flash_cnt[581][2]~35017\ = CARRY((!\led_flash_cnt[581][1]~35015\) # (!\led_flash_cnt[581][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[581][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[581][1]~35015\,
	combout => \led_flash_cnt[581][2]~35016_combout\,
	cout => \led_flash_cnt[581][2]~35017\);

-- Location: FF_X49_Y20_N3
\led_flash_cnt[581][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[581][2]~35016_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[581][2]~q\);

-- Location: LCCOMB_X49_Y20_N4
\led_flash_cnt[581][3]~35018\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[581][3]~35018_combout\ = (\led_flash_cnt[581][3]~q\ & (\led_flash_cnt[581][2]~35017\ $ (GND))) # (!\led_flash_cnt[581][3]~q\ & (!\led_flash_cnt[581][2]~35017\ & VCC))
-- \led_flash_cnt[581][3]~35019\ = CARRY((\led_flash_cnt[581][3]~q\ & !\led_flash_cnt[581][2]~35017\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[581][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[581][2]~35017\,
	combout => \led_flash_cnt[581][3]~35018_combout\,
	cout => \led_flash_cnt[581][3]~35019\);

-- Location: FF_X49_Y20_N5
\led_flash_cnt[581][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[581][3]~35018_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[581][3]~q\);

-- Location: LCCOMB_X49_Y20_N6
\led_flash_cnt[581][4]~35020\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[581][4]~35020_combout\ = (\led_flash_cnt[581][4]~q\ & (!\led_flash_cnt[581][3]~35019\)) # (!\led_flash_cnt[581][4]~q\ & ((\led_flash_cnt[581][3]~35019\) # (GND)))
-- \led_flash_cnt[581][4]~35021\ = CARRY((!\led_flash_cnt[581][3]~35019\) # (!\led_flash_cnt[581][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[581][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[581][3]~35019\,
	combout => \led_flash_cnt[581][4]~35020_combout\,
	cout => \led_flash_cnt[581][4]~35021\);

-- Location: FF_X49_Y20_N7
\led_flash_cnt[581][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[581][4]~35020_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[581][4]~q\);

-- Location: LCCOMB_X49_Y20_N8
\led_flash_cnt[581][5]~35022\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[581][5]~35022_combout\ = (\led_flash_cnt[581][5]~q\ & (\led_flash_cnt[581][4]~35021\ $ (GND))) # (!\led_flash_cnt[581][5]~q\ & (!\led_flash_cnt[581][4]~35021\ & VCC))
-- \led_flash_cnt[581][5]~35023\ = CARRY((\led_flash_cnt[581][5]~q\ & !\led_flash_cnt[581][4]~35021\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[581][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[581][4]~35021\,
	combout => \led_flash_cnt[581][5]~35022_combout\,
	cout => \led_flash_cnt[581][5]~35023\);

-- Location: FF_X49_Y20_N9
\led_flash_cnt[581][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[581][5]~35022_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[581][5]~q\);

-- Location: LCCOMB_X49_Y20_N10
\led_flash_cnt[581][6]~35024\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[581][6]~35024_combout\ = (\led_flash_cnt[581][6]~q\ & (!\led_flash_cnt[581][5]~35023\)) # (!\led_flash_cnt[581][6]~q\ & ((\led_flash_cnt[581][5]~35023\) # (GND)))
-- \led_flash_cnt[581][6]~35025\ = CARRY((!\led_flash_cnt[581][5]~35023\) # (!\led_flash_cnt[581][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[581][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[581][5]~35023\,
	combout => \led_flash_cnt[581][6]~35024_combout\,
	cout => \led_flash_cnt[581][6]~35025\);

-- Location: FF_X49_Y20_N11
\led_flash_cnt[581][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[581][6]~35024_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[581][6]~q\);

-- Location: LCCOMB_X49_Y20_N12
\led_flash_cnt[581][7]~35026\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[581][7]~35026_combout\ = \led_flash_cnt[581][6]~35025\ $ (!\led_flash_cnt[581][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[581][7]~q\,
	cin => \led_flash_cnt[581][6]~35025\,
	combout => \led_flash_cnt[581][7]~35026_combout\);

-- Location: FF_X49_Y20_N13
\led_flash_cnt[581][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[581][7]~35026_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[581][7]~q\);

-- Location: LCCOMB_X50_Y20_N30
\WideAnd581~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd581~1_combout\ = (\led_flash_cnt[581][6]~q\ & \led_flash_cnt[581][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[581][6]~q\,
	datad => \led_flash_cnt[581][5]~q\,
	combout => \WideAnd581~1_combout\);

-- Location: LCCOMB_X49_Y20_N14
\WideAnd581~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd581~0_combout\ = (\led_flash_cnt[581][4]~q\ & (\led_flash_cnt[581][1]~q\ & (\led_flash_cnt[581][3]~q\ & \led_flash_cnt[581][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[581][4]~q\,
	datab => \led_flash_cnt[581][1]~q\,
	datac => \led_flash_cnt[581][3]~q\,
	datad => \led_flash_cnt[581][2]~q\,
	combout => \WideAnd581~0_combout\);

-- Location: LCCOMB_X50_Y20_N4
WideAnd581 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd581~combout\ = (\led_flash_cnt[581][7]~q\ & (\led_flash_cnt[581][0]~q\ & (\WideAnd581~1_combout\ & \WideAnd581~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[581][7]~q\,
	datab => \led_flash_cnt[581][0]~q\,
	datac => \WideAnd581~1_combout\,
	datad => \WideAnd581~0_combout\,
	combout => \WideAnd581~combout\);

-- Location: FF_X50_Y20_N5
\led_flash_cnt_ands[581]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd581~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(581));

-- Location: LCCOMB_X56_Y32_N14
\led_flash_cnt[580][0]~81220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[580][0]~81220_combout\ = !\led_flash_cnt[580][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[580][0]~q\,
	combout => \led_flash_cnt[580][0]~81220_combout\);

-- Location: FF_X56_Y32_N15
\led_flash_cnt[580][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[580][0]~81220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[580][0]~q\);

-- Location: LCCOMB_X57_Y32_N4
\led_flash_cnt[580][1]~35000\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[580][1]~35000_combout\ = (\led_flash_cnt[580][0]~q\ & (\led_flash_cnt[580][1]~q\ $ (VCC))) # (!\led_flash_cnt[580][0]~q\ & (\led_flash_cnt[580][1]~q\ & VCC))
-- \led_flash_cnt[580][1]~35001\ = CARRY((\led_flash_cnt[580][0]~q\ & \led_flash_cnt[580][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[580][0]~q\,
	datab => \led_flash_cnt[580][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[580][1]~35000_combout\,
	cout => \led_flash_cnt[580][1]~35001\);

-- Location: FF_X57_Y32_N5
\led_flash_cnt[580][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[580][1]~35000_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[580][1]~q\);

-- Location: LCCOMB_X57_Y32_N6
\led_flash_cnt[580][2]~35002\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[580][2]~35002_combout\ = (\led_flash_cnt[580][2]~q\ & (!\led_flash_cnt[580][1]~35001\)) # (!\led_flash_cnt[580][2]~q\ & ((\led_flash_cnt[580][1]~35001\) # (GND)))
-- \led_flash_cnt[580][2]~35003\ = CARRY((!\led_flash_cnt[580][1]~35001\) # (!\led_flash_cnt[580][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[580][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[580][1]~35001\,
	combout => \led_flash_cnt[580][2]~35002_combout\,
	cout => \led_flash_cnt[580][2]~35003\);

-- Location: FF_X57_Y32_N7
\led_flash_cnt[580][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[580][2]~35002_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[580][2]~q\);

-- Location: LCCOMB_X57_Y32_N8
\led_flash_cnt[580][3]~35004\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[580][3]~35004_combout\ = (\led_flash_cnt[580][3]~q\ & (\led_flash_cnt[580][2]~35003\ $ (GND))) # (!\led_flash_cnt[580][3]~q\ & (!\led_flash_cnt[580][2]~35003\ & VCC))
-- \led_flash_cnt[580][3]~35005\ = CARRY((\led_flash_cnt[580][3]~q\ & !\led_flash_cnt[580][2]~35003\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[580][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[580][2]~35003\,
	combout => \led_flash_cnt[580][3]~35004_combout\,
	cout => \led_flash_cnt[580][3]~35005\);

-- Location: FF_X57_Y32_N9
\led_flash_cnt[580][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[580][3]~35004_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[580][3]~q\);

-- Location: LCCOMB_X57_Y32_N10
\led_flash_cnt[580][4]~35006\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[580][4]~35006_combout\ = (\led_flash_cnt[580][4]~q\ & (!\led_flash_cnt[580][3]~35005\)) # (!\led_flash_cnt[580][4]~q\ & ((\led_flash_cnt[580][3]~35005\) # (GND)))
-- \led_flash_cnt[580][4]~35007\ = CARRY((!\led_flash_cnt[580][3]~35005\) # (!\led_flash_cnt[580][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[580][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[580][3]~35005\,
	combout => \led_flash_cnt[580][4]~35006_combout\,
	cout => \led_flash_cnt[580][4]~35007\);

-- Location: FF_X57_Y32_N11
\led_flash_cnt[580][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[580][4]~35006_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[580][4]~q\);

-- Location: LCCOMB_X57_Y32_N2
\WideAnd580~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd580~0_combout\ = (\led_flash_cnt[580][4]~q\ & (\led_flash_cnt[580][3]~q\ & (\led_flash_cnt[580][1]~q\ & \led_flash_cnt[580][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[580][4]~q\,
	datab => \led_flash_cnt[580][3]~q\,
	datac => \led_flash_cnt[580][1]~q\,
	datad => \led_flash_cnt[580][2]~q\,
	combout => \WideAnd580~0_combout\);

-- Location: LCCOMB_X57_Y32_N12
\led_flash_cnt[580][5]~35008\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[580][5]~35008_combout\ = (\led_flash_cnt[580][5]~q\ & (\led_flash_cnt[580][4]~35007\ $ (GND))) # (!\led_flash_cnt[580][5]~q\ & (!\led_flash_cnt[580][4]~35007\ & VCC))
-- \led_flash_cnt[580][5]~35009\ = CARRY((\led_flash_cnt[580][5]~q\ & !\led_flash_cnt[580][4]~35007\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[580][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[580][4]~35007\,
	combout => \led_flash_cnt[580][5]~35008_combout\,
	cout => \led_flash_cnt[580][5]~35009\);

-- Location: FF_X57_Y32_N13
\led_flash_cnt[580][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[580][5]~35008_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[580][5]~q\);

-- Location: LCCOMB_X57_Y32_N14
\led_flash_cnt[580][6]~35010\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[580][6]~35010_combout\ = (\led_flash_cnt[580][6]~q\ & (!\led_flash_cnt[580][5]~35009\)) # (!\led_flash_cnt[580][6]~q\ & ((\led_flash_cnt[580][5]~35009\) # (GND)))
-- \led_flash_cnt[580][6]~35011\ = CARRY((!\led_flash_cnt[580][5]~35009\) # (!\led_flash_cnt[580][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[580][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[580][5]~35009\,
	combout => \led_flash_cnt[580][6]~35010_combout\,
	cout => \led_flash_cnt[580][6]~35011\);

-- Location: FF_X57_Y32_N15
\led_flash_cnt[580][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[580][6]~35010_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[580][6]~q\);

-- Location: LCCOMB_X57_Y32_N16
\led_flash_cnt[580][7]~35012\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[580][7]~35012_combout\ = \led_flash_cnt[580][6]~35011\ $ (!\led_flash_cnt[580][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[580][7]~q\,
	cin => \led_flash_cnt[580][6]~35011\,
	combout => \led_flash_cnt[580][7]~35012_combout\);

-- Location: FF_X57_Y32_N17
\led_flash_cnt[580][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[580][7]~35012_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[580][7]~q\);

-- Location: LCCOMB_X56_Y32_N16
\WideAnd580~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd580~1_combout\ = (\led_flash_cnt[580][6]~q\ & \led_flash_cnt[580][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[580][6]~q\,
	datac => \led_flash_cnt[580][5]~q\,
	combout => \WideAnd580~1_combout\);

-- Location: LCCOMB_X56_Y32_N24
WideAnd580 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd580~combout\ = (\WideAnd580~0_combout\ & (\led_flash_cnt[580][7]~q\ & (\led_flash_cnt[580][0]~q\ & \WideAnd580~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd580~0_combout\,
	datab => \led_flash_cnt[580][7]~q\,
	datac => \led_flash_cnt[580][0]~q\,
	datad => \WideAnd580~1_combout\,
	combout => \WideAnd580~combout\);

-- Location: FF_X56_Y32_N25
\led_flash_cnt_ands[580]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd580~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(580));

-- Location: LCCOMB_X56_Y32_N20
\WideAnd3912~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3912~1_combout\ = (led_flash_cnt_ands(581) & led_flash_cnt_ands(580))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(581),
	datad => led_flash_cnt_ands(580),
	combout => \WideAnd3912~1_combout\);

-- Location: LCCOMB_X59_Y30_N28
\led_flash_cnt[583][0]~81223\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[583][0]~81223_combout\ = !\led_flash_cnt[583][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[583][0]~q\,
	combout => \led_flash_cnt[583][0]~81223_combout\);

-- Location: FF_X59_Y30_N29
\led_flash_cnt[583][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[583][0]~81223_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[583][0]~q\);

-- Location: LCCOMB_X59_Y26_N4
\led_flash_cnt[583][1]~35042\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[583][1]~35042_combout\ = (\led_flash_cnt[583][0]~q\ & (\led_flash_cnt[583][1]~q\ $ (VCC))) # (!\led_flash_cnt[583][0]~q\ & (\led_flash_cnt[583][1]~q\ & VCC))
-- \led_flash_cnt[583][1]~35043\ = CARRY((\led_flash_cnt[583][0]~q\ & \led_flash_cnt[583][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[583][0]~q\,
	datab => \led_flash_cnt[583][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[583][1]~35042_combout\,
	cout => \led_flash_cnt[583][1]~35043\);

-- Location: FF_X59_Y26_N5
\led_flash_cnt[583][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[583][1]~35042_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[583][1]~q\);

-- Location: LCCOMB_X59_Y26_N6
\led_flash_cnt[583][2]~35044\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[583][2]~35044_combout\ = (\led_flash_cnt[583][2]~q\ & (!\led_flash_cnt[583][1]~35043\)) # (!\led_flash_cnt[583][2]~q\ & ((\led_flash_cnt[583][1]~35043\) # (GND)))
-- \led_flash_cnt[583][2]~35045\ = CARRY((!\led_flash_cnt[583][1]~35043\) # (!\led_flash_cnt[583][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[583][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[583][1]~35043\,
	combout => \led_flash_cnt[583][2]~35044_combout\,
	cout => \led_flash_cnt[583][2]~35045\);

-- Location: FF_X59_Y26_N7
\led_flash_cnt[583][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[583][2]~35044_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[583][2]~q\);

-- Location: LCCOMB_X59_Y26_N8
\led_flash_cnt[583][3]~35046\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[583][3]~35046_combout\ = (\led_flash_cnt[583][3]~q\ & (\led_flash_cnt[583][2]~35045\ $ (GND))) # (!\led_flash_cnt[583][3]~q\ & (!\led_flash_cnt[583][2]~35045\ & VCC))
-- \led_flash_cnt[583][3]~35047\ = CARRY((\led_flash_cnt[583][3]~q\ & !\led_flash_cnt[583][2]~35045\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[583][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[583][2]~35045\,
	combout => \led_flash_cnt[583][3]~35046_combout\,
	cout => \led_flash_cnt[583][3]~35047\);

-- Location: FF_X59_Y26_N9
\led_flash_cnt[583][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[583][3]~35046_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[583][3]~q\);

-- Location: LCCOMB_X59_Y26_N10
\led_flash_cnt[583][4]~35048\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[583][4]~35048_combout\ = (\led_flash_cnt[583][4]~q\ & (!\led_flash_cnt[583][3]~35047\)) # (!\led_flash_cnt[583][4]~q\ & ((\led_flash_cnt[583][3]~35047\) # (GND)))
-- \led_flash_cnt[583][4]~35049\ = CARRY((!\led_flash_cnt[583][3]~35047\) # (!\led_flash_cnt[583][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[583][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[583][3]~35047\,
	combout => \led_flash_cnt[583][4]~35048_combout\,
	cout => \led_flash_cnt[583][4]~35049\);

-- Location: FF_X59_Y26_N11
\led_flash_cnt[583][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[583][4]~35048_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[583][4]~q\);

-- Location: LCCOMB_X59_Y26_N0
\WideAnd583~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd583~0_combout\ = (\led_flash_cnt[583][4]~q\ & (\led_flash_cnt[583][3]~q\ & (\led_flash_cnt[583][1]~q\ & \led_flash_cnt[583][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[583][4]~q\,
	datab => \led_flash_cnt[583][3]~q\,
	datac => \led_flash_cnt[583][1]~q\,
	datad => \led_flash_cnt[583][2]~q\,
	combout => \WideAnd583~0_combout\);

-- Location: LCCOMB_X59_Y26_N12
\led_flash_cnt[583][5]~35050\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[583][5]~35050_combout\ = (\led_flash_cnt[583][5]~q\ & (\led_flash_cnt[583][4]~35049\ $ (GND))) # (!\led_flash_cnt[583][5]~q\ & (!\led_flash_cnt[583][4]~35049\ & VCC))
-- \led_flash_cnt[583][5]~35051\ = CARRY((\led_flash_cnt[583][5]~q\ & !\led_flash_cnt[583][4]~35049\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[583][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[583][4]~35049\,
	combout => \led_flash_cnt[583][5]~35050_combout\,
	cout => \led_flash_cnt[583][5]~35051\);

-- Location: FF_X59_Y26_N13
\led_flash_cnt[583][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[583][5]~35050_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[583][5]~q\);

-- Location: LCCOMB_X59_Y26_N14
\led_flash_cnt[583][6]~35052\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[583][6]~35052_combout\ = (\led_flash_cnt[583][6]~q\ & (!\led_flash_cnt[583][5]~35051\)) # (!\led_flash_cnt[583][6]~q\ & ((\led_flash_cnt[583][5]~35051\) # (GND)))
-- \led_flash_cnt[583][6]~35053\ = CARRY((!\led_flash_cnt[583][5]~35051\) # (!\led_flash_cnt[583][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[583][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[583][5]~35051\,
	combout => \led_flash_cnt[583][6]~35052_combout\,
	cout => \led_flash_cnt[583][6]~35053\);

-- Location: FF_X59_Y26_N15
\led_flash_cnt[583][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[583][6]~35052_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[583][6]~q\);

-- Location: LCCOMB_X59_Y26_N16
\led_flash_cnt[583][7]~35054\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[583][7]~35054_combout\ = \led_flash_cnt[583][6]~35053\ $ (!\led_flash_cnt[583][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[583][7]~q\,
	cin => \led_flash_cnt[583][6]~35053\,
	combout => \led_flash_cnt[583][7]~35054_combout\);

-- Location: FF_X59_Y26_N17
\led_flash_cnt[583][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[583][7]~35054_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[583][7]~q\);

-- Location: LCCOMB_X59_Y30_N2
\WideAnd583~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd583~1_combout\ = (\led_flash_cnt[583][6]~q\ & \led_flash_cnt[583][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[583][6]~q\,
	datad => \led_flash_cnt[583][5]~q\,
	combout => \WideAnd583~1_combout\);

-- Location: LCCOMB_X59_Y30_N8
WideAnd583 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd583~combout\ = (\led_flash_cnt[583][0]~q\ & (\WideAnd583~0_combout\ & (\led_flash_cnt[583][7]~q\ & \WideAnd583~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[583][0]~q\,
	datab => \WideAnd583~0_combout\,
	datac => \led_flash_cnt[583][7]~q\,
	datad => \WideAnd583~1_combout\,
	combout => \WideAnd583~combout\);

-- Location: FF_X59_Y30_N9
\led_flash_cnt_ands[583]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd583~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(583));

-- Location: LCCOMB_X59_Y33_N8
\led_flash_cnt[576][0]~81216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[576][0]~81216_combout\ = !\led_flash_cnt[576][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[576][0]~q\,
	combout => \led_flash_cnt[576][0]~81216_combout\);

-- Location: FF_X59_Y33_N9
\led_flash_cnt[576][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[576][0]~81216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[576][0]~q\);

-- Location: LCCOMB_X60_Y33_N16
\led_flash_cnt[576][1]~34944\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[576][1]~34944_combout\ = (\led_flash_cnt[576][0]~q\ & (\led_flash_cnt[576][1]~q\ $ (VCC))) # (!\led_flash_cnt[576][0]~q\ & (\led_flash_cnt[576][1]~q\ & VCC))
-- \led_flash_cnt[576][1]~34945\ = CARRY((\led_flash_cnt[576][0]~q\ & \led_flash_cnt[576][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[576][0]~q\,
	datab => \led_flash_cnt[576][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[576][1]~34944_combout\,
	cout => \led_flash_cnt[576][1]~34945\);

-- Location: FF_X60_Y33_N17
\led_flash_cnt[576][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[576][1]~34944_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[576][1]~q\);

-- Location: LCCOMB_X60_Y33_N18
\led_flash_cnt[576][2]~34946\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[576][2]~34946_combout\ = (\led_flash_cnt[576][2]~q\ & (!\led_flash_cnt[576][1]~34945\)) # (!\led_flash_cnt[576][2]~q\ & ((\led_flash_cnt[576][1]~34945\) # (GND)))
-- \led_flash_cnt[576][2]~34947\ = CARRY((!\led_flash_cnt[576][1]~34945\) # (!\led_flash_cnt[576][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[576][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[576][1]~34945\,
	combout => \led_flash_cnt[576][2]~34946_combout\,
	cout => \led_flash_cnt[576][2]~34947\);

-- Location: FF_X60_Y33_N19
\led_flash_cnt[576][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[576][2]~34946_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[576][2]~q\);

-- Location: LCCOMB_X60_Y33_N20
\led_flash_cnt[576][3]~34948\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[576][3]~34948_combout\ = (\led_flash_cnt[576][3]~q\ & (\led_flash_cnt[576][2]~34947\ $ (GND))) # (!\led_flash_cnt[576][3]~q\ & (!\led_flash_cnt[576][2]~34947\ & VCC))
-- \led_flash_cnt[576][3]~34949\ = CARRY((\led_flash_cnt[576][3]~q\ & !\led_flash_cnt[576][2]~34947\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[576][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[576][2]~34947\,
	combout => \led_flash_cnt[576][3]~34948_combout\,
	cout => \led_flash_cnt[576][3]~34949\);

-- Location: FF_X60_Y33_N21
\led_flash_cnt[576][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[576][3]~34948_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[576][3]~q\);

-- Location: LCCOMB_X60_Y33_N22
\led_flash_cnt[576][4]~34950\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[576][4]~34950_combout\ = (\led_flash_cnt[576][4]~q\ & (!\led_flash_cnt[576][3]~34949\)) # (!\led_flash_cnt[576][4]~q\ & ((\led_flash_cnt[576][3]~34949\) # (GND)))
-- \led_flash_cnt[576][4]~34951\ = CARRY((!\led_flash_cnt[576][3]~34949\) # (!\led_flash_cnt[576][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[576][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[576][3]~34949\,
	combout => \led_flash_cnt[576][4]~34950_combout\,
	cout => \led_flash_cnt[576][4]~34951\);

-- Location: FF_X60_Y33_N23
\led_flash_cnt[576][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[576][4]~34950_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[576][4]~q\);

-- Location: LCCOMB_X60_Y33_N24
\led_flash_cnt[576][5]~34952\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[576][5]~34952_combout\ = (\led_flash_cnt[576][5]~q\ & (\led_flash_cnt[576][4]~34951\ $ (GND))) # (!\led_flash_cnt[576][5]~q\ & (!\led_flash_cnt[576][4]~34951\ & VCC))
-- \led_flash_cnt[576][5]~34953\ = CARRY((\led_flash_cnt[576][5]~q\ & !\led_flash_cnt[576][4]~34951\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[576][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[576][4]~34951\,
	combout => \led_flash_cnt[576][5]~34952_combout\,
	cout => \led_flash_cnt[576][5]~34953\);

-- Location: FF_X60_Y33_N25
\led_flash_cnt[576][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[576][5]~34952_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[576][5]~q\);

-- Location: LCCOMB_X60_Y33_N26
\led_flash_cnt[576][6]~34954\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[576][6]~34954_combout\ = (\led_flash_cnt[576][6]~q\ & (!\led_flash_cnt[576][5]~34953\)) # (!\led_flash_cnt[576][6]~q\ & ((\led_flash_cnt[576][5]~34953\) # (GND)))
-- \led_flash_cnt[576][6]~34955\ = CARRY((!\led_flash_cnt[576][5]~34953\) # (!\led_flash_cnt[576][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[576][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[576][5]~34953\,
	combout => \led_flash_cnt[576][6]~34954_combout\,
	cout => \led_flash_cnt[576][6]~34955\);

-- Location: FF_X60_Y33_N27
\led_flash_cnt[576][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[576][6]~34954_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[576][6]~q\);

-- Location: LCCOMB_X59_Y33_N30
\WideAnd576~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd576~1_combout\ = (\led_flash_cnt[576][6]~q\ & \led_flash_cnt[576][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[576][6]~q\,
	datad => \led_flash_cnt[576][5]~q\,
	combout => \WideAnd576~1_combout\);

-- Location: LCCOMB_X60_Y33_N30
\WideAnd576~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd576~0_combout\ = (\led_flash_cnt[576][3]~q\ & (\led_flash_cnt[576][2]~q\ & (\led_flash_cnt[576][4]~q\ & \led_flash_cnt[576][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[576][3]~q\,
	datab => \led_flash_cnt[576][2]~q\,
	datac => \led_flash_cnt[576][4]~q\,
	datad => \led_flash_cnt[576][1]~q\,
	combout => \WideAnd576~0_combout\);

-- Location: LCCOMB_X60_Y33_N28
\led_flash_cnt[576][7]~34956\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[576][7]~34956_combout\ = \led_flash_cnt[576][6]~34955\ $ (!\led_flash_cnt[576][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[576][7]~q\,
	cin => \led_flash_cnt[576][6]~34955\,
	combout => \led_flash_cnt[576][7]~34956_combout\);

-- Location: FF_X60_Y33_N29
\led_flash_cnt[576][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[576][7]~34956_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[576][7]~q\);

-- Location: LCCOMB_X59_Y33_N0
WideAnd576 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd576~combout\ = (\WideAnd576~1_combout\ & (\led_flash_cnt[576][0]~q\ & (\WideAnd576~0_combout\ & \led_flash_cnt[576][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd576~1_combout\,
	datab => \led_flash_cnt[576][0]~q\,
	datac => \WideAnd576~0_combout\,
	datad => \led_flash_cnt[576][7]~q\,
	combout => \WideAnd576~combout\);

-- Location: FF_X59_Y33_N1
\led_flash_cnt_ands[576]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd576~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(576));

-- Location: LCCOMB_X59_Y36_N0
\led_flash_cnt[577][0]~81217\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[577][0]~81217_combout\ = !\led_flash_cnt[577][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[577][0]~q\,
	combout => \led_flash_cnt[577][0]~81217_combout\);

-- Location: FF_X59_Y36_N1
\led_flash_cnt[577][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[577][0]~81217_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[577][0]~q\);

-- Location: LCCOMB_X59_Y37_N0
\led_flash_cnt[577][1]~34958\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[577][1]~34958_combout\ = (\led_flash_cnt[577][0]~q\ & (\led_flash_cnt[577][1]~q\ $ (VCC))) # (!\led_flash_cnt[577][0]~q\ & (\led_flash_cnt[577][1]~q\ & VCC))
-- \led_flash_cnt[577][1]~34959\ = CARRY((\led_flash_cnt[577][0]~q\ & \led_flash_cnt[577][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[577][0]~q\,
	datab => \led_flash_cnt[577][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[577][1]~34958_combout\,
	cout => \led_flash_cnt[577][1]~34959\);

-- Location: FF_X59_Y37_N1
\led_flash_cnt[577][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[577][1]~34958_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[577][1]~q\);

-- Location: LCCOMB_X59_Y37_N2
\led_flash_cnt[577][2]~34960\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[577][2]~34960_combout\ = (\led_flash_cnt[577][2]~q\ & (!\led_flash_cnt[577][1]~34959\)) # (!\led_flash_cnt[577][2]~q\ & ((\led_flash_cnt[577][1]~34959\) # (GND)))
-- \led_flash_cnt[577][2]~34961\ = CARRY((!\led_flash_cnt[577][1]~34959\) # (!\led_flash_cnt[577][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[577][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[577][1]~34959\,
	combout => \led_flash_cnt[577][2]~34960_combout\,
	cout => \led_flash_cnt[577][2]~34961\);

-- Location: FF_X59_Y37_N3
\led_flash_cnt[577][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[577][2]~34960_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[577][2]~q\);

-- Location: LCCOMB_X59_Y37_N4
\led_flash_cnt[577][3]~34962\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[577][3]~34962_combout\ = (\led_flash_cnt[577][3]~q\ & (\led_flash_cnt[577][2]~34961\ $ (GND))) # (!\led_flash_cnt[577][3]~q\ & (!\led_flash_cnt[577][2]~34961\ & VCC))
-- \led_flash_cnt[577][3]~34963\ = CARRY((\led_flash_cnt[577][3]~q\ & !\led_flash_cnt[577][2]~34961\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[577][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[577][2]~34961\,
	combout => \led_flash_cnt[577][3]~34962_combout\,
	cout => \led_flash_cnt[577][3]~34963\);

-- Location: FF_X59_Y37_N5
\led_flash_cnt[577][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[577][3]~34962_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[577][3]~q\);

-- Location: LCCOMB_X59_Y37_N6
\led_flash_cnt[577][4]~34964\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[577][4]~34964_combout\ = (\led_flash_cnt[577][4]~q\ & (!\led_flash_cnt[577][3]~34963\)) # (!\led_flash_cnt[577][4]~q\ & ((\led_flash_cnt[577][3]~34963\) # (GND)))
-- \led_flash_cnt[577][4]~34965\ = CARRY((!\led_flash_cnt[577][3]~34963\) # (!\led_flash_cnt[577][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[577][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[577][3]~34963\,
	combout => \led_flash_cnt[577][4]~34964_combout\,
	cout => \led_flash_cnt[577][4]~34965\);

-- Location: FF_X59_Y37_N7
\led_flash_cnt[577][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[577][4]~34964_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[577][4]~q\);

-- Location: LCCOMB_X59_Y37_N8
\led_flash_cnt[577][5]~34966\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[577][5]~34966_combout\ = (\led_flash_cnt[577][5]~q\ & (\led_flash_cnt[577][4]~34965\ $ (GND))) # (!\led_flash_cnt[577][5]~q\ & (!\led_flash_cnt[577][4]~34965\ & VCC))
-- \led_flash_cnt[577][5]~34967\ = CARRY((\led_flash_cnt[577][5]~q\ & !\led_flash_cnt[577][4]~34965\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[577][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[577][4]~34965\,
	combout => \led_flash_cnt[577][5]~34966_combout\,
	cout => \led_flash_cnt[577][5]~34967\);

-- Location: FF_X59_Y37_N9
\led_flash_cnt[577][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[577][5]~34966_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[577][5]~q\);

-- Location: LCCOMB_X59_Y37_N10
\led_flash_cnt[577][6]~34968\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[577][6]~34968_combout\ = (\led_flash_cnt[577][6]~q\ & (!\led_flash_cnt[577][5]~34967\)) # (!\led_flash_cnt[577][6]~q\ & ((\led_flash_cnt[577][5]~34967\) # (GND)))
-- \led_flash_cnt[577][6]~34969\ = CARRY((!\led_flash_cnt[577][5]~34967\) # (!\led_flash_cnt[577][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[577][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[577][5]~34967\,
	combout => \led_flash_cnt[577][6]~34968_combout\,
	cout => \led_flash_cnt[577][6]~34969\);

-- Location: FF_X59_Y37_N11
\led_flash_cnt[577][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[577][6]~34968_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[577][6]~q\);

-- Location: LCCOMB_X59_Y37_N12
\led_flash_cnt[577][7]~34970\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[577][7]~34970_combout\ = \led_flash_cnt[577][6]~34969\ $ (!\led_flash_cnt[577][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[577][7]~q\,
	cin => \led_flash_cnt[577][6]~34969\,
	combout => \led_flash_cnt[577][7]~34970_combout\);

-- Location: FF_X59_Y37_N13
\led_flash_cnt[577][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[577][7]~34970_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[577][7]~q\);

-- Location: LCCOMB_X59_Y37_N28
\WideAnd577~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd577~1_combout\ = (\led_flash_cnt[577][5]~q\ & \led_flash_cnt[577][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[577][5]~q\,
	datad => \led_flash_cnt[577][6]~q\,
	combout => \WideAnd577~1_combout\);

-- Location: LCCOMB_X59_Y37_N30
\WideAnd577~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd577~0_combout\ = (\led_flash_cnt[577][4]~q\ & (\led_flash_cnt[577][1]~q\ & (\led_flash_cnt[577][3]~q\ & \led_flash_cnt[577][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[577][4]~q\,
	datab => \led_flash_cnt[577][1]~q\,
	datac => \led_flash_cnt[577][3]~q\,
	datad => \led_flash_cnt[577][2]~q\,
	combout => \WideAnd577~0_combout\);

-- Location: LCCOMB_X59_Y36_N30
WideAnd577 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd577~combout\ = (\led_flash_cnt[577][7]~q\ & (\WideAnd577~1_combout\ & (\WideAnd577~0_combout\ & \led_flash_cnt[577][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[577][7]~q\,
	datab => \WideAnd577~1_combout\,
	datac => \WideAnd577~0_combout\,
	datad => \led_flash_cnt[577][0]~q\,
	combout => \WideAnd577~combout\);

-- Location: FF_X59_Y35_N3
\led_flash_cnt_ands[577]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	asdata => \WideAnd577~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(577));

-- Location: LCCOMB_X59_Y35_N10
\led_flash_cnt[579][0]~81219\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[579][0]~81219_combout\ = !\led_flash_cnt[579][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[579][0]~q\,
	combout => \led_flash_cnt[579][0]~81219_combout\);

-- Location: FF_X59_Y35_N11
\led_flash_cnt[579][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[579][0]~81219_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[579][0]~q\);

-- Location: LCCOMB_X59_Y35_N18
\led_flash_cnt[579][1]~34986\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[579][1]~34986_combout\ = (\led_flash_cnt[579][0]~q\ & (\led_flash_cnt[579][1]~q\ $ (VCC))) # (!\led_flash_cnt[579][0]~q\ & (\led_flash_cnt[579][1]~q\ & VCC))
-- \led_flash_cnt[579][1]~34987\ = CARRY((\led_flash_cnt[579][0]~q\ & \led_flash_cnt[579][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[579][0]~q\,
	datab => \led_flash_cnt[579][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[579][1]~34986_combout\,
	cout => \led_flash_cnt[579][1]~34987\);

-- Location: FF_X59_Y35_N19
\led_flash_cnt[579][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[579][1]~34986_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[579][1]~q\);

-- Location: LCCOMB_X59_Y35_N20
\led_flash_cnt[579][2]~34988\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[579][2]~34988_combout\ = (\led_flash_cnt[579][2]~q\ & (!\led_flash_cnt[579][1]~34987\)) # (!\led_flash_cnt[579][2]~q\ & ((\led_flash_cnt[579][1]~34987\) # (GND)))
-- \led_flash_cnt[579][2]~34989\ = CARRY((!\led_flash_cnt[579][1]~34987\) # (!\led_flash_cnt[579][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[579][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[579][1]~34987\,
	combout => \led_flash_cnt[579][2]~34988_combout\,
	cout => \led_flash_cnt[579][2]~34989\);

-- Location: FF_X59_Y35_N21
\led_flash_cnt[579][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[579][2]~34988_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[579][2]~q\);

-- Location: LCCOMB_X59_Y35_N22
\led_flash_cnt[579][3]~34990\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[579][3]~34990_combout\ = (\led_flash_cnt[579][3]~q\ & (\led_flash_cnt[579][2]~34989\ $ (GND))) # (!\led_flash_cnt[579][3]~q\ & (!\led_flash_cnt[579][2]~34989\ & VCC))
-- \led_flash_cnt[579][3]~34991\ = CARRY((\led_flash_cnt[579][3]~q\ & !\led_flash_cnt[579][2]~34989\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[579][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[579][2]~34989\,
	combout => \led_flash_cnt[579][3]~34990_combout\,
	cout => \led_flash_cnt[579][3]~34991\);

-- Location: FF_X59_Y35_N23
\led_flash_cnt[579][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[579][3]~34990_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[579][3]~q\);

-- Location: LCCOMB_X59_Y35_N24
\led_flash_cnt[579][4]~34992\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[579][4]~34992_combout\ = (\led_flash_cnt[579][4]~q\ & (!\led_flash_cnt[579][3]~34991\)) # (!\led_flash_cnt[579][4]~q\ & ((\led_flash_cnt[579][3]~34991\) # (GND)))
-- \led_flash_cnt[579][4]~34993\ = CARRY((!\led_flash_cnt[579][3]~34991\) # (!\led_flash_cnt[579][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[579][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[579][3]~34991\,
	combout => \led_flash_cnt[579][4]~34992_combout\,
	cout => \led_flash_cnt[579][4]~34993\);

-- Location: FF_X59_Y35_N25
\led_flash_cnt[579][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[579][4]~34992_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[579][4]~q\);

-- Location: LCCOMB_X59_Y35_N26
\led_flash_cnt[579][5]~34994\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[579][5]~34994_combout\ = (\led_flash_cnt[579][5]~q\ & (\led_flash_cnt[579][4]~34993\ $ (GND))) # (!\led_flash_cnt[579][5]~q\ & (!\led_flash_cnt[579][4]~34993\ & VCC))
-- \led_flash_cnt[579][5]~34995\ = CARRY((\led_flash_cnt[579][5]~q\ & !\led_flash_cnt[579][4]~34993\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[579][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[579][4]~34993\,
	combout => \led_flash_cnt[579][5]~34994_combout\,
	cout => \led_flash_cnt[579][5]~34995\);

-- Location: FF_X59_Y35_N27
\led_flash_cnt[579][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[579][5]~34994_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[579][5]~q\);

-- Location: LCCOMB_X59_Y35_N28
\led_flash_cnt[579][6]~34996\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[579][6]~34996_combout\ = (\led_flash_cnt[579][6]~q\ & (!\led_flash_cnt[579][5]~34995\)) # (!\led_flash_cnt[579][6]~q\ & ((\led_flash_cnt[579][5]~34995\) # (GND)))
-- \led_flash_cnt[579][6]~34997\ = CARRY((!\led_flash_cnt[579][5]~34995\) # (!\led_flash_cnt[579][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[579][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[579][5]~34995\,
	combout => \led_flash_cnt[579][6]~34996_combout\,
	cout => \led_flash_cnt[579][6]~34997\);

-- Location: FF_X59_Y35_N29
\led_flash_cnt[579][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[579][6]~34996_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[579][6]~q\);

-- Location: LCCOMB_X59_Y35_N8
\WideAnd579~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd579~1_combout\ = (\led_flash_cnt[579][5]~q\ & \led_flash_cnt[579][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[579][5]~q\,
	datad => \led_flash_cnt[579][6]~q\,
	combout => \WideAnd579~1_combout\);

-- Location: LCCOMB_X59_Y35_N30
\led_flash_cnt[579][7]~34998\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[579][7]~34998_combout\ = \led_flash_cnt[579][7]~q\ $ (!\led_flash_cnt[579][6]~34997\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[579][7]~q\,
	cin => \led_flash_cnt[579][6]~34997\,
	combout => \led_flash_cnt[579][7]~34998_combout\);

-- Location: FF_X59_Y35_N31
\led_flash_cnt[579][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[579][7]~34998_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[579][7]~q\);

-- Location: LCCOMB_X59_Y35_N0
\WideAnd579~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd579~0_combout\ = (\led_flash_cnt[579][1]~q\ & (\led_flash_cnt[579][2]~q\ & (\led_flash_cnt[579][3]~q\ & \led_flash_cnt[579][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[579][1]~q\,
	datab => \led_flash_cnt[579][2]~q\,
	datac => \led_flash_cnt[579][3]~q\,
	datad => \led_flash_cnt[579][4]~q\,
	combout => \WideAnd579~0_combout\);

-- Location: LCCOMB_X59_Y35_N4
WideAnd579 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd579~combout\ = (\led_flash_cnt[579][0]~q\ & (\WideAnd579~1_combout\ & (\led_flash_cnt[579][7]~q\ & \WideAnd579~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[579][0]~q\,
	datab => \WideAnd579~1_combout\,
	datac => \led_flash_cnt[579][7]~q\,
	datad => \WideAnd579~0_combout\,
	combout => \WideAnd579~combout\);

-- Location: FF_X59_Y35_N5
\led_flash_cnt_ands[579]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd579~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(579));

-- Location: LCCOMB_X59_Y35_N16
\led_flash_cnt[578][0]~81218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[578][0]~81218_combout\ = !\led_flash_cnt[578][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[578][0]~q\,
	combout => \led_flash_cnt[578][0]~81218_combout\);

-- Location: FF_X59_Y35_N17
\led_flash_cnt[578][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[578][0]~81218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[578][0]~q\);

-- Location: LCCOMB_X58_Y35_N4
\led_flash_cnt[578][1]~34972\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[578][1]~34972_combout\ = (\led_flash_cnt[578][0]~q\ & (\led_flash_cnt[578][1]~q\ $ (VCC))) # (!\led_flash_cnt[578][0]~q\ & (\led_flash_cnt[578][1]~q\ & VCC))
-- \led_flash_cnt[578][1]~34973\ = CARRY((\led_flash_cnt[578][0]~q\ & \led_flash_cnt[578][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[578][0]~q\,
	datab => \led_flash_cnt[578][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[578][1]~34972_combout\,
	cout => \led_flash_cnt[578][1]~34973\);

-- Location: FF_X58_Y35_N5
\led_flash_cnt[578][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[578][1]~34972_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[578][1]~q\);

-- Location: LCCOMB_X58_Y35_N6
\led_flash_cnt[578][2]~34974\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[578][2]~34974_combout\ = (\led_flash_cnt[578][2]~q\ & (!\led_flash_cnt[578][1]~34973\)) # (!\led_flash_cnt[578][2]~q\ & ((\led_flash_cnt[578][1]~34973\) # (GND)))
-- \led_flash_cnt[578][2]~34975\ = CARRY((!\led_flash_cnt[578][1]~34973\) # (!\led_flash_cnt[578][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[578][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[578][1]~34973\,
	combout => \led_flash_cnt[578][2]~34974_combout\,
	cout => \led_flash_cnt[578][2]~34975\);

-- Location: FF_X58_Y35_N7
\led_flash_cnt[578][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[578][2]~34974_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[578][2]~q\);

-- Location: LCCOMB_X58_Y35_N8
\led_flash_cnt[578][3]~34976\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[578][3]~34976_combout\ = (\led_flash_cnt[578][3]~q\ & (\led_flash_cnt[578][2]~34975\ $ (GND))) # (!\led_flash_cnt[578][3]~q\ & (!\led_flash_cnt[578][2]~34975\ & VCC))
-- \led_flash_cnt[578][3]~34977\ = CARRY((\led_flash_cnt[578][3]~q\ & !\led_flash_cnt[578][2]~34975\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[578][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[578][2]~34975\,
	combout => \led_flash_cnt[578][3]~34976_combout\,
	cout => \led_flash_cnt[578][3]~34977\);

-- Location: FF_X58_Y35_N9
\led_flash_cnt[578][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[578][3]~34976_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[578][3]~q\);

-- Location: LCCOMB_X58_Y35_N10
\led_flash_cnt[578][4]~34978\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[578][4]~34978_combout\ = (\led_flash_cnt[578][4]~q\ & (!\led_flash_cnt[578][3]~34977\)) # (!\led_flash_cnt[578][4]~q\ & ((\led_flash_cnt[578][3]~34977\) # (GND)))
-- \led_flash_cnt[578][4]~34979\ = CARRY((!\led_flash_cnt[578][3]~34977\) # (!\led_flash_cnt[578][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[578][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[578][3]~34977\,
	combout => \led_flash_cnt[578][4]~34978_combout\,
	cout => \led_flash_cnt[578][4]~34979\);

-- Location: FF_X58_Y35_N11
\led_flash_cnt[578][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[578][4]~34978_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[578][4]~q\);

-- Location: LCCOMB_X58_Y35_N2
\WideAnd578~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd578~0_combout\ = (\led_flash_cnt[578][4]~q\ & (\led_flash_cnt[578][3]~q\ & (\led_flash_cnt[578][1]~q\ & \led_flash_cnt[578][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[578][4]~q\,
	datab => \led_flash_cnt[578][3]~q\,
	datac => \led_flash_cnt[578][1]~q\,
	datad => \led_flash_cnt[578][2]~q\,
	combout => \WideAnd578~0_combout\);

-- Location: LCCOMB_X58_Y35_N12
\led_flash_cnt[578][5]~34980\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[578][5]~34980_combout\ = (\led_flash_cnt[578][5]~q\ & (\led_flash_cnt[578][4]~34979\ $ (GND))) # (!\led_flash_cnt[578][5]~q\ & (!\led_flash_cnt[578][4]~34979\ & VCC))
-- \led_flash_cnt[578][5]~34981\ = CARRY((\led_flash_cnt[578][5]~q\ & !\led_flash_cnt[578][4]~34979\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[578][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[578][4]~34979\,
	combout => \led_flash_cnt[578][5]~34980_combout\,
	cout => \led_flash_cnt[578][5]~34981\);

-- Location: FF_X58_Y35_N13
\led_flash_cnt[578][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[578][5]~34980_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[578][5]~q\);

-- Location: LCCOMB_X58_Y35_N14
\led_flash_cnt[578][6]~34982\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[578][6]~34982_combout\ = (\led_flash_cnt[578][6]~q\ & (!\led_flash_cnt[578][5]~34981\)) # (!\led_flash_cnt[578][6]~q\ & ((\led_flash_cnt[578][5]~34981\) # (GND)))
-- \led_flash_cnt[578][6]~34983\ = CARRY((!\led_flash_cnt[578][5]~34981\) # (!\led_flash_cnt[578][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[578][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[578][5]~34981\,
	combout => \led_flash_cnt[578][6]~34982_combout\,
	cout => \led_flash_cnt[578][6]~34983\);

-- Location: FF_X58_Y35_N15
\led_flash_cnt[578][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[578][6]~34982_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[578][6]~q\);

-- Location: LCCOMB_X59_Y35_N2
\WideAnd578~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd578~1_combout\ = (\led_flash_cnt[578][6]~q\ & \led_flash_cnt[578][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[578][6]~q\,
	datad => \led_flash_cnt[578][5]~q\,
	combout => \WideAnd578~1_combout\);

-- Location: LCCOMB_X58_Y35_N16
\led_flash_cnt[578][7]~34984\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[578][7]~34984_combout\ = \led_flash_cnt[578][6]~34983\ $ (!\led_flash_cnt[578][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[578][7]~q\,
	cin => \led_flash_cnt[578][6]~34983\,
	combout => \led_flash_cnt[578][7]~34984_combout\);

-- Location: FF_X58_Y35_N17
\led_flash_cnt[578][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[578][7]~34984_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[578][7]~q\);

-- Location: LCCOMB_X59_Y35_N6
WideAnd578 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd578~combout\ = (\WideAnd578~0_combout\ & (\WideAnd578~1_combout\ & (\led_flash_cnt[578][7]~q\ & \led_flash_cnt[578][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd578~0_combout\,
	datab => \WideAnd578~1_combout\,
	datac => \led_flash_cnt[578][7]~q\,
	datad => \led_flash_cnt[578][0]~q\,
	combout => \WideAnd578~combout\);

-- Location: FF_X59_Y35_N7
\led_flash_cnt_ands[578]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd578~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(578));

-- Location: LCCOMB_X59_Y35_N14
\WideAnd3912~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3912~0_combout\ = (led_flash_cnt_ands(576) & (led_flash_cnt_ands(577) & (led_flash_cnt_ands(579) & led_flash_cnt_ands(578))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(576),
	datab => led_flash_cnt_ands(577),
	datac => led_flash_cnt_ands(579),
	datad => led_flash_cnt_ands(578),
	combout => \WideAnd3912~0_combout\);

-- Location: LCCOMB_X59_Y32_N6
WideAnd3912 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3912~combout\ = (led_flash_cnt_ands(582) & (\WideAnd3912~1_combout\ & (led_flash_cnt_ands(583) & \WideAnd3912~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(582),
	datab => \WideAnd3912~1_combout\,
	datac => led_flash_cnt_ands(583),
	datad => \WideAnd3912~0_combout\,
	combout => \WideAnd3912~combout\);

-- Location: FF_X59_Y32_N7
\led_flash_cnt_ands_1[72]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3912~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(72));

-- Location: LCCOMB_X64_Y23_N4
\led_flash_cnt[589][0]~81229\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[589][0]~81229_combout\ = !\led_flash_cnt[589][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[589][0]~q\,
	combout => \led_flash_cnt[589][0]~81229_combout\);

-- Location: FF_X64_Y23_N5
\led_flash_cnt[589][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[589][0]~81229_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[589][0]~q\);

-- Location: LCCOMB_X64_Y23_N10
\led_flash_cnt[589][1]~35126\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[589][1]~35126_combout\ = (\led_flash_cnt[589][1]~q\ & (\led_flash_cnt[589][0]~q\ $ (VCC))) # (!\led_flash_cnt[589][1]~q\ & (\led_flash_cnt[589][0]~q\ & VCC))
-- \led_flash_cnt[589][1]~35127\ = CARRY((\led_flash_cnt[589][1]~q\ & \led_flash_cnt[589][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[589][1]~q\,
	datab => \led_flash_cnt[589][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[589][1]~35126_combout\,
	cout => \led_flash_cnt[589][1]~35127\);

-- Location: FF_X64_Y23_N11
\led_flash_cnt[589][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[589][1]~35126_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[589][1]~q\);

-- Location: LCCOMB_X64_Y23_N12
\led_flash_cnt[589][2]~35128\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[589][2]~35128_combout\ = (\led_flash_cnt[589][2]~q\ & (!\led_flash_cnt[589][1]~35127\)) # (!\led_flash_cnt[589][2]~q\ & ((\led_flash_cnt[589][1]~35127\) # (GND)))
-- \led_flash_cnt[589][2]~35129\ = CARRY((!\led_flash_cnt[589][1]~35127\) # (!\led_flash_cnt[589][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[589][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[589][1]~35127\,
	combout => \led_flash_cnt[589][2]~35128_combout\,
	cout => \led_flash_cnt[589][2]~35129\);

-- Location: FF_X64_Y23_N13
\led_flash_cnt[589][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[589][2]~35128_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[589][2]~q\);

-- Location: LCCOMB_X64_Y23_N14
\led_flash_cnt[589][3]~35130\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[589][3]~35130_combout\ = (\led_flash_cnt[589][3]~q\ & (\led_flash_cnt[589][2]~35129\ $ (GND))) # (!\led_flash_cnt[589][3]~q\ & (!\led_flash_cnt[589][2]~35129\ & VCC))
-- \led_flash_cnt[589][3]~35131\ = CARRY((\led_flash_cnt[589][3]~q\ & !\led_flash_cnt[589][2]~35129\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[589][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[589][2]~35129\,
	combout => \led_flash_cnt[589][3]~35130_combout\,
	cout => \led_flash_cnt[589][3]~35131\);

-- Location: FF_X64_Y23_N15
\led_flash_cnt[589][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[589][3]~35130_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[589][3]~q\);

-- Location: LCCOMB_X64_Y23_N16
\led_flash_cnt[589][4]~35132\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[589][4]~35132_combout\ = (\led_flash_cnt[589][4]~q\ & (!\led_flash_cnt[589][3]~35131\)) # (!\led_flash_cnt[589][4]~q\ & ((\led_flash_cnt[589][3]~35131\) # (GND)))
-- \led_flash_cnt[589][4]~35133\ = CARRY((!\led_flash_cnt[589][3]~35131\) # (!\led_flash_cnt[589][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[589][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[589][3]~35131\,
	combout => \led_flash_cnt[589][4]~35132_combout\,
	cout => \led_flash_cnt[589][4]~35133\);

-- Location: FF_X64_Y23_N17
\led_flash_cnt[589][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[589][4]~35132_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[589][4]~q\);

-- Location: LCCOMB_X64_Y23_N18
\led_flash_cnt[589][5]~35134\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[589][5]~35134_combout\ = (\led_flash_cnt[589][5]~q\ & (\led_flash_cnt[589][4]~35133\ $ (GND))) # (!\led_flash_cnt[589][5]~q\ & (!\led_flash_cnt[589][4]~35133\ & VCC))
-- \led_flash_cnt[589][5]~35135\ = CARRY((\led_flash_cnt[589][5]~q\ & !\led_flash_cnt[589][4]~35133\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[589][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[589][4]~35133\,
	combout => \led_flash_cnt[589][5]~35134_combout\,
	cout => \led_flash_cnt[589][5]~35135\);

-- Location: FF_X64_Y23_N19
\led_flash_cnt[589][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[589][5]~35134_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[589][5]~q\);

-- Location: LCCOMB_X64_Y23_N20
\led_flash_cnt[589][6]~35136\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[589][6]~35136_combout\ = (\led_flash_cnt[589][6]~q\ & (!\led_flash_cnt[589][5]~35135\)) # (!\led_flash_cnt[589][6]~q\ & ((\led_flash_cnt[589][5]~35135\) # (GND)))
-- \led_flash_cnt[589][6]~35137\ = CARRY((!\led_flash_cnt[589][5]~35135\) # (!\led_flash_cnt[589][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[589][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[589][5]~35135\,
	combout => \led_flash_cnt[589][6]~35136_combout\,
	cout => \led_flash_cnt[589][6]~35137\);

-- Location: FF_X64_Y23_N21
\led_flash_cnt[589][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[589][6]~35136_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[589][6]~q\);

-- Location: LCCOMB_X64_Y23_N22
\led_flash_cnt[589][7]~35138\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[589][7]~35138_combout\ = \led_flash_cnt[589][7]~q\ $ (!\led_flash_cnt[589][6]~35137\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[589][7]~q\,
	cin => \led_flash_cnt[589][6]~35137\,
	combout => \led_flash_cnt[589][7]~35138_combout\);

-- Location: FF_X64_Y23_N23
\led_flash_cnt[589][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[589][7]~35138_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[589][7]~q\);

-- Location: LCCOMB_X64_Y23_N28
\WideAnd589~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd589~0_combout\ = (\led_flash_cnt[589][2]~q\ & (\led_flash_cnt[589][4]~q\ & (\led_flash_cnt[589][3]~q\ & \led_flash_cnt[589][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[589][2]~q\,
	datab => \led_flash_cnt[589][4]~q\,
	datac => \led_flash_cnt[589][3]~q\,
	datad => \led_flash_cnt[589][1]~q\,
	combout => \WideAnd589~0_combout\);

-- Location: LCCOMB_X64_Y23_N24
\WideAnd589~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd589~1_combout\ = (\led_flash_cnt[589][6]~q\ & \led_flash_cnt[589][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[589][6]~q\,
	datad => \led_flash_cnt[589][5]~q\,
	combout => \WideAnd589~1_combout\);

-- Location: LCCOMB_X64_Y23_N0
WideAnd589 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd589~combout\ = (\led_flash_cnt[589][7]~q\ & (\WideAnd589~0_combout\ & (\led_flash_cnt[589][0]~q\ & \WideAnd589~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[589][7]~q\,
	datab => \WideAnd589~0_combout\,
	datac => \led_flash_cnt[589][0]~q\,
	datad => \WideAnd589~1_combout\,
	combout => \WideAnd589~combout\);

-- Location: FF_X64_Y23_N1
\led_flash_cnt_ands[589]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd589~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(589));

-- Location: LCCOMB_X46_Y15_N28
\led_flash_cnt[588][0]~81228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[588][0]~81228_combout\ = !\led_flash_cnt[588][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[588][0]~q\,
	combout => \led_flash_cnt[588][0]~81228_combout\);

-- Location: FF_X46_Y15_N29
\led_flash_cnt[588][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[588][0]~81228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[588][0]~q\);

-- Location: LCCOMB_X46_Y13_N0
\led_flash_cnt[588][1]~35112\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[588][1]~35112_combout\ = (\led_flash_cnt[588][0]~q\ & (\led_flash_cnt[588][1]~q\ $ (VCC))) # (!\led_flash_cnt[588][0]~q\ & (\led_flash_cnt[588][1]~q\ & VCC))
-- \led_flash_cnt[588][1]~35113\ = CARRY((\led_flash_cnt[588][0]~q\ & \led_flash_cnt[588][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[588][0]~q\,
	datab => \led_flash_cnt[588][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[588][1]~35112_combout\,
	cout => \led_flash_cnt[588][1]~35113\);

-- Location: FF_X46_Y13_N1
\led_flash_cnt[588][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[588][1]~35112_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[588][1]~q\);

-- Location: LCCOMB_X46_Y13_N2
\led_flash_cnt[588][2]~35114\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[588][2]~35114_combout\ = (\led_flash_cnt[588][2]~q\ & (!\led_flash_cnt[588][1]~35113\)) # (!\led_flash_cnt[588][2]~q\ & ((\led_flash_cnt[588][1]~35113\) # (GND)))
-- \led_flash_cnt[588][2]~35115\ = CARRY((!\led_flash_cnt[588][1]~35113\) # (!\led_flash_cnt[588][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[588][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[588][1]~35113\,
	combout => \led_flash_cnt[588][2]~35114_combout\,
	cout => \led_flash_cnt[588][2]~35115\);

-- Location: FF_X46_Y13_N3
\led_flash_cnt[588][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[588][2]~35114_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[588][2]~q\);

-- Location: LCCOMB_X46_Y13_N4
\led_flash_cnt[588][3]~35116\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[588][3]~35116_combout\ = (\led_flash_cnt[588][3]~q\ & (\led_flash_cnt[588][2]~35115\ $ (GND))) # (!\led_flash_cnt[588][3]~q\ & (!\led_flash_cnt[588][2]~35115\ & VCC))
-- \led_flash_cnt[588][3]~35117\ = CARRY((\led_flash_cnt[588][3]~q\ & !\led_flash_cnt[588][2]~35115\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[588][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[588][2]~35115\,
	combout => \led_flash_cnt[588][3]~35116_combout\,
	cout => \led_flash_cnt[588][3]~35117\);

-- Location: FF_X46_Y13_N5
\led_flash_cnt[588][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[588][3]~35116_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[588][3]~q\);

-- Location: LCCOMB_X46_Y13_N6
\led_flash_cnt[588][4]~35118\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[588][4]~35118_combout\ = (\led_flash_cnt[588][4]~q\ & (!\led_flash_cnt[588][3]~35117\)) # (!\led_flash_cnt[588][4]~q\ & ((\led_flash_cnt[588][3]~35117\) # (GND)))
-- \led_flash_cnt[588][4]~35119\ = CARRY((!\led_flash_cnt[588][3]~35117\) # (!\led_flash_cnt[588][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[588][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[588][3]~35117\,
	combout => \led_flash_cnt[588][4]~35118_combout\,
	cout => \led_flash_cnt[588][4]~35119\);

-- Location: FF_X46_Y13_N7
\led_flash_cnt[588][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[588][4]~35118_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[588][4]~q\);

-- Location: LCCOMB_X46_Y13_N8
\led_flash_cnt[588][5]~35120\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[588][5]~35120_combout\ = (\led_flash_cnt[588][5]~q\ & (\led_flash_cnt[588][4]~35119\ $ (GND))) # (!\led_flash_cnt[588][5]~q\ & (!\led_flash_cnt[588][4]~35119\ & VCC))
-- \led_flash_cnt[588][5]~35121\ = CARRY((\led_flash_cnt[588][5]~q\ & !\led_flash_cnt[588][4]~35119\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[588][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[588][4]~35119\,
	combout => \led_flash_cnt[588][5]~35120_combout\,
	cout => \led_flash_cnt[588][5]~35121\);

-- Location: FF_X46_Y13_N9
\led_flash_cnt[588][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[588][5]~35120_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[588][5]~q\);

-- Location: LCCOMB_X46_Y13_N10
\led_flash_cnt[588][6]~35122\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[588][6]~35122_combout\ = (\led_flash_cnt[588][6]~q\ & (!\led_flash_cnt[588][5]~35121\)) # (!\led_flash_cnt[588][6]~q\ & ((\led_flash_cnt[588][5]~35121\) # (GND)))
-- \led_flash_cnt[588][6]~35123\ = CARRY((!\led_flash_cnt[588][5]~35121\) # (!\led_flash_cnt[588][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[588][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[588][5]~35121\,
	combout => \led_flash_cnt[588][6]~35122_combout\,
	cout => \led_flash_cnt[588][6]~35123\);

-- Location: FF_X46_Y13_N11
\led_flash_cnt[588][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[588][6]~35122_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[588][6]~q\);

-- Location: LCCOMB_X46_Y13_N12
\led_flash_cnt[588][7]~35124\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[588][7]~35124_combout\ = \led_flash_cnt[588][6]~35123\ $ (!\led_flash_cnt[588][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[588][7]~q\,
	cin => \led_flash_cnt[588][6]~35123\,
	combout => \led_flash_cnt[588][7]~35124_combout\);

-- Location: FF_X46_Y13_N13
\led_flash_cnt[588][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[588][7]~35124_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[588][7]~q\);

-- Location: LCCOMB_X46_Y13_N14
\WideAnd588~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd588~0_combout\ = (\led_flash_cnt[588][4]~q\ & (\led_flash_cnt[588][1]~q\ & (\led_flash_cnt[588][3]~q\ & \led_flash_cnt[588][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[588][4]~q\,
	datab => \led_flash_cnt[588][1]~q\,
	datac => \led_flash_cnt[588][3]~q\,
	datad => \led_flash_cnt[588][2]~q\,
	combout => \WideAnd588~0_combout\);

-- Location: LCCOMB_X46_Y15_N20
\WideAnd588~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd588~1_combout\ = (\led_flash_cnt[588][5]~q\ & \led_flash_cnt[588][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[588][5]~q\,
	datad => \led_flash_cnt[588][6]~q\,
	combout => \WideAnd588~1_combout\);

-- Location: LCCOMB_X46_Y15_N22
WideAnd588 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd588~combout\ = (\led_flash_cnt[588][0]~q\ & (\led_flash_cnt[588][7]~q\ & (\WideAnd588~0_combout\ & \WideAnd588~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[588][0]~q\,
	datab => \led_flash_cnt[588][7]~q\,
	datac => \WideAnd588~0_combout\,
	datad => \WideAnd588~1_combout\,
	combout => \WideAnd588~combout\);

-- Location: FF_X46_Y15_N23
\led_flash_cnt_ands[588]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd588~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(588));

-- Location: LCCOMB_X59_Y23_N18
\WideAnd3913~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3913~1_combout\ = (led_flash_cnt_ands(589) & led_flash_cnt_ands(588))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(589),
	datad => led_flash_cnt_ands(588),
	combout => \WideAnd3913~1_combout\);

-- Location: LCCOMB_X59_Y31_N4
\led_flash_cnt[591][0]~81231\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[591][0]~81231_combout\ = !\led_flash_cnt[591][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[591][0]~q\,
	combout => \led_flash_cnt[591][0]~81231_combout\);

-- Location: FF_X59_Y31_N5
\led_flash_cnt[591][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[591][0]~81231_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[591][0]~q\);

-- Location: LCCOMB_X59_Y31_N6
\led_flash_cnt[591][1]~35154\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[591][1]~35154_combout\ = (\led_flash_cnt[591][1]~q\ & (\led_flash_cnt[591][0]~q\ $ (VCC))) # (!\led_flash_cnt[591][1]~q\ & (\led_flash_cnt[591][0]~q\ & VCC))
-- \led_flash_cnt[591][1]~35155\ = CARRY((\led_flash_cnt[591][1]~q\ & \led_flash_cnt[591][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[591][1]~q\,
	datab => \led_flash_cnt[591][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[591][1]~35154_combout\,
	cout => \led_flash_cnt[591][1]~35155\);

-- Location: FF_X59_Y31_N7
\led_flash_cnt[591][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[591][1]~35154_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[591][1]~q\);

-- Location: LCCOMB_X59_Y31_N8
\led_flash_cnt[591][2]~35156\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[591][2]~35156_combout\ = (\led_flash_cnt[591][2]~q\ & (!\led_flash_cnt[591][1]~35155\)) # (!\led_flash_cnt[591][2]~q\ & ((\led_flash_cnt[591][1]~35155\) # (GND)))
-- \led_flash_cnt[591][2]~35157\ = CARRY((!\led_flash_cnt[591][1]~35155\) # (!\led_flash_cnt[591][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[591][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[591][1]~35155\,
	combout => \led_flash_cnt[591][2]~35156_combout\,
	cout => \led_flash_cnt[591][2]~35157\);

-- Location: FF_X59_Y31_N9
\led_flash_cnt[591][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[591][2]~35156_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[591][2]~q\);

-- Location: LCCOMB_X59_Y31_N10
\led_flash_cnt[591][3]~35158\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[591][3]~35158_combout\ = (\led_flash_cnt[591][3]~q\ & (\led_flash_cnt[591][2]~35157\ $ (GND))) # (!\led_flash_cnt[591][3]~q\ & (!\led_flash_cnt[591][2]~35157\ & VCC))
-- \led_flash_cnt[591][3]~35159\ = CARRY((\led_flash_cnt[591][3]~q\ & !\led_flash_cnt[591][2]~35157\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[591][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[591][2]~35157\,
	combout => \led_flash_cnt[591][3]~35158_combout\,
	cout => \led_flash_cnt[591][3]~35159\);

-- Location: FF_X59_Y31_N11
\led_flash_cnt[591][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[591][3]~35158_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[591][3]~q\);

-- Location: LCCOMB_X59_Y31_N12
\led_flash_cnt[591][4]~35160\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[591][4]~35160_combout\ = (\led_flash_cnt[591][4]~q\ & (!\led_flash_cnt[591][3]~35159\)) # (!\led_flash_cnt[591][4]~q\ & ((\led_flash_cnt[591][3]~35159\) # (GND)))
-- \led_flash_cnt[591][4]~35161\ = CARRY((!\led_flash_cnt[591][3]~35159\) # (!\led_flash_cnt[591][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[591][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[591][3]~35159\,
	combout => \led_flash_cnt[591][4]~35160_combout\,
	cout => \led_flash_cnt[591][4]~35161\);

-- Location: FF_X59_Y31_N13
\led_flash_cnt[591][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[591][4]~35160_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[591][4]~q\);

-- Location: LCCOMB_X59_Y31_N14
\led_flash_cnt[591][5]~35162\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[591][5]~35162_combout\ = (\led_flash_cnt[591][5]~q\ & (\led_flash_cnt[591][4]~35161\ $ (GND))) # (!\led_flash_cnt[591][5]~q\ & (!\led_flash_cnt[591][4]~35161\ & VCC))
-- \led_flash_cnt[591][5]~35163\ = CARRY((\led_flash_cnt[591][5]~q\ & !\led_flash_cnt[591][4]~35161\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[591][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[591][4]~35161\,
	combout => \led_flash_cnt[591][5]~35162_combout\,
	cout => \led_flash_cnt[591][5]~35163\);

-- Location: FF_X59_Y31_N15
\led_flash_cnt[591][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[591][5]~35162_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[591][5]~q\);

-- Location: LCCOMB_X59_Y31_N16
\led_flash_cnt[591][6]~35164\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[591][6]~35164_combout\ = (\led_flash_cnt[591][6]~q\ & (!\led_flash_cnt[591][5]~35163\)) # (!\led_flash_cnt[591][6]~q\ & ((\led_flash_cnt[591][5]~35163\) # (GND)))
-- \led_flash_cnt[591][6]~35165\ = CARRY((!\led_flash_cnt[591][5]~35163\) # (!\led_flash_cnt[591][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[591][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[591][5]~35163\,
	combout => \led_flash_cnt[591][6]~35164_combout\,
	cout => \led_flash_cnt[591][6]~35165\);

-- Location: FF_X59_Y31_N17
\led_flash_cnt[591][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[591][6]~35164_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[591][6]~q\);

-- Location: LCCOMB_X59_Y31_N30
\WideAnd591~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd591~1_combout\ = (\led_flash_cnt[591][5]~q\ & \led_flash_cnt[591][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[591][5]~q\,
	datad => \led_flash_cnt[591][6]~q\,
	combout => \WideAnd591~1_combout\);

-- Location: LCCOMB_X59_Y31_N18
\led_flash_cnt[591][7]~35166\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[591][7]~35166_combout\ = \led_flash_cnt[591][6]~35165\ $ (!\led_flash_cnt[591][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[591][7]~q\,
	cin => \led_flash_cnt[591][6]~35165\,
	combout => \led_flash_cnt[591][7]~35166_combout\);

-- Location: FF_X59_Y31_N19
\led_flash_cnt[591][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[591][7]~35166_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[591][7]~q\);

-- Location: LCCOMB_X59_Y31_N20
\WideAnd591~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd591~0_combout\ = (\led_flash_cnt[591][4]~q\ & (\led_flash_cnt[591][3]~q\ & (\led_flash_cnt[591][2]~q\ & \led_flash_cnt[591][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[591][4]~q\,
	datab => \led_flash_cnt[591][3]~q\,
	datac => \led_flash_cnt[591][2]~q\,
	datad => \led_flash_cnt[591][1]~q\,
	combout => \WideAnd591~0_combout\);

-- Location: LCCOMB_X59_Y31_N28
WideAnd591 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd591~combout\ = (\WideAnd591~1_combout\ & (\led_flash_cnt[591][7]~q\ & (\led_flash_cnt[591][0]~q\ & \WideAnd591~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd591~1_combout\,
	datab => \led_flash_cnt[591][7]~q\,
	datac => \led_flash_cnt[591][0]~q\,
	datad => \WideAnd591~0_combout\,
	combout => \WideAnd591~combout\);

-- Location: FF_X59_Y31_N29
\led_flash_cnt_ands[591]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd591~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(591));

-- Location: LCCOMB_X51_Y32_N24
\led_flash_cnt[587][0]~81227\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[587][0]~81227_combout\ = !\led_flash_cnt[587][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[587][0]~q\,
	combout => \led_flash_cnt[587][0]~81227_combout\);

-- Location: FF_X51_Y32_N25
\led_flash_cnt[587][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[587][0]~81227_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[587][0]~q\);

-- Location: LCCOMB_X47_Y32_N18
\led_flash_cnt[587][1]~35098\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[587][1]~35098_combout\ = (\led_flash_cnt[587][0]~q\ & (\led_flash_cnt[587][1]~q\ $ (VCC))) # (!\led_flash_cnt[587][0]~q\ & (\led_flash_cnt[587][1]~q\ & VCC))
-- \led_flash_cnt[587][1]~35099\ = CARRY((\led_flash_cnt[587][0]~q\ & \led_flash_cnt[587][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[587][0]~q\,
	datab => \led_flash_cnt[587][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[587][1]~35098_combout\,
	cout => \led_flash_cnt[587][1]~35099\);

-- Location: FF_X47_Y32_N19
\led_flash_cnt[587][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[587][1]~35098_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[587][1]~q\);

-- Location: LCCOMB_X47_Y32_N20
\led_flash_cnt[587][2]~35100\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[587][2]~35100_combout\ = (\led_flash_cnt[587][2]~q\ & (!\led_flash_cnt[587][1]~35099\)) # (!\led_flash_cnt[587][2]~q\ & ((\led_flash_cnt[587][1]~35099\) # (GND)))
-- \led_flash_cnt[587][2]~35101\ = CARRY((!\led_flash_cnt[587][1]~35099\) # (!\led_flash_cnt[587][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[587][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[587][1]~35099\,
	combout => \led_flash_cnt[587][2]~35100_combout\,
	cout => \led_flash_cnt[587][2]~35101\);

-- Location: FF_X47_Y32_N21
\led_flash_cnt[587][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[587][2]~35100_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[587][2]~q\);

-- Location: LCCOMB_X47_Y32_N22
\led_flash_cnt[587][3]~35102\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[587][3]~35102_combout\ = (\led_flash_cnt[587][3]~q\ & (\led_flash_cnt[587][2]~35101\ $ (GND))) # (!\led_flash_cnt[587][3]~q\ & (!\led_flash_cnt[587][2]~35101\ & VCC))
-- \led_flash_cnt[587][3]~35103\ = CARRY((\led_flash_cnt[587][3]~q\ & !\led_flash_cnt[587][2]~35101\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[587][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[587][2]~35101\,
	combout => \led_flash_cnt[587][3]~35102_combout\,
	cout => \led_flash_cnt[587][3]~35103\);

-- Location: FF_X47_Y32_N23
\led_flash_cnt[587][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[587][3]~35102_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[587][3]~q\);

-- Location: LCCOMB_X47_Y32_N24
\led_flash_cnt[587][4]~35104\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[587][4]~35104_combout\ = (\led_flash_cnt[587][4]~q\ & (!\led_flash_cnt[587][3]~35103\)) # (!\led_flash_cnt[587][4]~q\ & ((\led_flash_cnt[587][3]~35103\) # (GND)))
-- \led_flash_cnt[587][4]~35105\ = CARRY((!\led_flash_cnt[587][3]~35103\) # (!\led_flash_cnt[587][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[587][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[587][3]~35103\,
	combout => \led_flash_cnt[587][4]~35104_combout\,
	cout => \led_flash_cnt[587][4]~35105\);

-- Location: FF_X47_Y32_N25
\led_flash_cnt[587][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[587][4]~35104_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[587][4]~q\);

-- Location: LCCOMB_X47_Y32_N2
\WideAnd587~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd587~0_combout\ = (\led_flash_cnt[587][4]~q\ & (\led_flash_cnt[587][2]~q\ & (\led_flash_cnt[587][3]~q\ & \led_flash_cnt[587][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[587][4]~q\,
	datab => \led_flash_cnt[587][2]~q\,
	datac => \led_flash_cnt[587][3]~q\,
	datad => \led_flash_cnt[587][1]~q\,
	combout => \WideAnd587~0_combout\);

-- Location: LCCOMB_X47_Y32_N26
\led_flash_cnt[587][5]~35106\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[587][5]~35106_combout\ = (\led_flash_cnt[587][5]~q\ & (\led_flash_cnt[587][4]~35105\ $ (GND))) # (!\led_flash_cnt[587][5]~q\ & (!\led_flash_cnt[587][4]~35105\ & VCC))
-- \led_flash_cnt[587][5]~35107\ = CARRY((\led_flash_cnt[587][5]~q\ & !\led_flash_cnt[587][4]~35105\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[587][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[587][4]~35105\,
	combout => \led_flash_cnt[587][5]~35106_combout\,
	cout => \led_flash_cnt[587][5]~35107\);

-- Location: FF_X47_Y32_N27
\led_flash_cnt[587][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[587][5]~35106_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[587][5]~q\);

-- Location: LCCOMB_X47_Y32_N28
\led_flash_cnt[587][6]~35108\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[587][6]~35108_combout\ = (\led_flash_cnt[587][6]~q\ & (!\led_flash_cnt[587][5]~35107\)) # (!\led_flash_cnt[587][6]~q\ & ((\led_flash_cnt[587][5]~35107\) # (GND)))
-- \led_flash_cnt[587][6]~35109\ = CARRY((!\led_flash_cnt[587][5]~35107\) # (!\led_flash_cnt[587][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[587][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[587][5]~35107\,
	combout => \led_flash_cnt[587][6]~35108_combout\,
	cout => \led_flash_cnt[587][6]~35109\);

-- Location: FF_X47_Y32_N29
\led_flash_cnt[587][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[587][6]~35108_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[587][6]~q\);

-- Location: LCCOMB_X47_Y32_N30
\led_flash_cnt[587][7]~35110\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[587][7]~35110_combout\ = \led_flash_cnt[587][7]~q\ $ (!\led_flash_cnt[587][6]~35109\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[587][7]~q\,
	cin => \led_flash_cnt[587][6]~35109\,
	combout => \led_flash_cnt[587][7]~35110_combout\);

-- Location: FF_X47_Y32_N31
\led_flash_cnt[587][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[587][7]~35110_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[587][7]~q\);

-- Location: LCCOMB_X51_Y32_N0
\WideAnd587~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd587~1_combout\ = (\led_flash_cnt[587][6]~q\ & \led_flash_cnt[587][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[587][6]~q\,
	datad => \led_flash_cnt[587][5]~q\,
	combout => \WideAnd587~1_combout\);

-- Location: LCCOMB_X51_Y32_N6
WideAnd587 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd587~combout\ = (\led_flash_cnt[587][0]~q\ & (\WideAnd587~0_combout\ & (\led_flash_cnt[587][7]~q\ & \WideAnd587~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[587][0]~q\,
	datab => \WideAnd587~0_combout\,
	datac => \led_flash_cnt[587][7]~q\,
	datad => \WideAnd587~1_combout\,
	combout => \WideAnd587~combout\);

-- Location: FF_X51_Y32_N7
\led_flash_cnt_ands[587]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd587~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(587));

-- Location: LCCOMB_X50_Y37_N0
\led_flash_cnt[586][0]~81226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[586][0]~81226_combout\ = !\led_flash_cnt[586][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[586][0]~q\,
	combout => \led_flash_cnt[586][0]~81226_combout\);

-- Location: FF_X50_Y37_N1
\led_flash_cnt[586][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[586][0]~81226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[586][0]~q\);

-- Location: LCCOMB_X50_Y38_N4
\led_flash_cnt[586][1]~35084\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[586][1]~35084_combout\ = (\led_flash_cnt[586][0]~q\ & (\led_flash_cnt[586][1]~q\ $ (VCC))) # (!\led_flash_cnt[586][0]~q\ & (\led_flash_cnt[586][1]~q\ & VCC))
-- \led_flash_cnt[586][1]~35085\ = CARRY((\led_flash_cnt[586][0]~q\ & \led_flash_cnt[586][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[586][0]~q\,
	datab => \led_flash_cnt[586][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[586][1]~35084_combout\,
	cout => \led_flash_cnt[586][1]~35085\);

-- Location: FF_X50_Y38_N5
\led_flash_cnt[586][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[586][1]~35084_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[586][1]~q\);

-- Location: LCCOMB_X50_Y38_N6
\led_flash_cnt[586][2]~35086\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[586][2]~35086_combout\ = (\led_flash_cnt[586][2]~q\ & (!\led_flash_cnt[586][1]~35085\)) # (!\led_flash_cnt[586][2]~q\ & ((\led_flash_cnt[586][1]~35085\) # (GND)))
-- \led_flash_cnt[586][2]~35087\ = CARRY((!\led_flash_cnt[586][1]~35085\) # (!\led_flash_cnt[586][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[586][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[586][1]~35085\,
	combout => \led_flash_cnt[586][2]~35086_combout\,
	cout => \led_flash_cnt[586][2]~35087\);

-- Location: FF_X50_Y38_N7
\led_flash_cnt[586][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[586][2]~35086_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[586][2]~q\);

-- Location: LCCOMB_X50_Y38_N8
\led_flash_cnt[586][3]~35088\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[586][3]~35088_combout\ = (\led_flash_cnt[586][3]~q\ & (\led_flash_cnt[586][2]~35087\ $ (GND))) # (!\led_flash_cnt[586][3]~q\ & (!\led_flash_cnt[586][2]~35087\ & VCC))
-- \led_flash_cnt[586][3]~35089\ = CARRY((\led_flash_cnt[586][3]~q\ & !\led_flash_cnt[586][2]~35087\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[586][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[586][2]~35087\,
	combout => \led_flash_cnt[586][3]~35088_combout\,
	cout => \led_flash_cnt[586][3]~35089\);

-- Location: FF_X50_Y38_N9
\led_flash_cnt[586][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[586][3]~35088_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[586][3]~q\);

-- Location: LCCOMB_X50_Y38_N10
\led_flash_cnt[586][4]~35090\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[586][4]~35090_combout\ = (\led_flash_cnt[586][4]~q\ & (!\led_flash_cnt[586][3]~35089\)) # (!\led_flash_cnt[586][4]~q\ & ((\led_flash_cnt[586][3]~35089\) # (GND)))
-- \led_flash_cnt[586][4]~35091\ = CARRY((!\led_flash_cnt[586][3]~35089\) # (!\led_flash_cnt[586][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[586][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[586][3]~35089\,
	combout => \led_flash_cnt[586][4]~35090_combout\,
	cout => \led_flash_cnt[586][4]~35091\);

-- Location: FF_X50_Y38_N11
\led_flash_cnt[586][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[586][4]~35090_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[586][4]~q\);

-- Location: LCCOMB_X50_Y38_N12
\led_flash_cnt[586][5]~35092\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[586][5]~35092_combout\ = (\led_flash_cnt[586][5]~q\ & (\led_flash_cnt[586][4]~35091\ $ (GND))) # (!\led_flash_cnt[586][5]~q\ & (!\led_flash_cnt[586][4]~35091\ & VCC))
-- \led_flash_cnt[586][5]~35093\ = CARRY((\led_flash_cnt[586][5]~q\ & !\led_flash_cnt[586][4]~35091\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[586][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[586][4]~35091\,
	combout => \led_flash_cnt[586][5]~35092_combout\,
	cout => \led_flash_cnt[586][5]~35093\);

-- Location: FF_X50_Y38_N13
\led_flash_cnt[586][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[586][5]~35092_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[586][5]~q\);

-- Location: LCCOMB_X50_Y38_N14
\led_flash_cnt[586][6]~35094\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[586][6]~35094_combout\ = (\led_flash_cnt[586][6]~q\ & (!\led_flash_cnt[586][5]~35093\)) # (!\led_flash_cnt[586][6]~q\ & ((\led_flash_cnt[586][5]~35093\) # (GND)))
-- \led_flash_cnt[586][6]~35095\ = CARRY((!\led_flash_cnt[586][5]~35093\) # (!\led_flash_cnt[586][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[586][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[586][5]~35093\,
	combout => \led_flash_cnt[586][6]~35094_combout\,
	cout => \led_flash_cnt[586][6]~35095\);

-- Location: FF_X50_Y38_N15
\led_flash_cnt[586][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[586][6]~35094_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[586][6]~q\);

-- Location: LCCOMB_X50_Y36_N10
\WideAnd586~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd586~1_combout\ = (\led_flash_cnt[586][5]~q\ & \led_flash_cnt[586][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[586][5]~q\,
	datad => \led_flash_cnt[586][6]~q\,
	combout => \WideAnd586~1_combout\);

-- Location: LCCOMB_X50_Y38_N16
\led_flash_cnt[586][7]~35096\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[586][7]~35096_combout\ = \led_flash_cnt[586][6]~35095\ $ (!\led_flash_cnt[586][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[586][7]~q\,
	cin => \led_flash_cnt[586][6]~35095\,
	combout => \led_flash_cnt[586][7]~35096_combout\);

-- Location: FF_X50_Y38_N17
\led_flash_cnt[586][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[586][7]~35096_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[586][7]~q\);

-- Location: LCCOMB_X50_Y38_N2
\WideAnd586~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd586~0_combout\ = (\led_flash_cnt[586][4]~q\ & (\led_flash_cnt[586][3]~q\ & (\led_flash_cnt[586][1]~q\ & \led_flash_cnt[586][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[586][4]~q\,
	datab => \led_flash_cnt[586][3]~q\,
	datac => \led_flash_cnt[586][1]~q\,
	datad => \led_flash_cnt[586][2]~q\,
	combout => \WideAnd586~0_combout\);

-- Location: LCCOMB_X50_Y36_N8
WideAnd586 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd586~combout\ = (\WideAnd586~1_combout\ & (\led_flash_cnt[586][0]~q\ & (\led_flash_cnt[586][7]~q\ & \WideAnd586~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd586~1_combout\,
	datab => \led_flash_cnt[586][0]~q\,
	datac => \led_flash_cnt[586][7]~q\,
	datad => \WideAnd586~0_combout\,
	combout => \WideAnd586~combout\);

-- Location: FF_X50_Y36_N9
\led_flash_cnt_ands[586]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd586~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(586));

-- Location: LCCOMB_X49_Y33_N28
\led_flash_cnt[585][0]~81225\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[585][0]~81225_combout\ = !\led_flash_cnt[585][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[585][0]~q\,
	combout => \led_flash_cnt[585][0]~81225_combout\);

-- Location: FF_X49_Y33_N29
\led_flash_cnt[585][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[585][0]~81225_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[585][0]~q\);

-- Location: LCCOMB_X51_Y33_N2
\led_flash_cnt[585][1]~35070\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[585][1]~35070_combout\ = (\led_flash_cnt[585][0]~q\ & (\led_flash_cnt[585][1]~q\ $ (VCC))) # (!\led_flash_cnt[585][0]~q\ & (\led_flash_cnt[585][1]~q\ & VCC))
-- \led_flash_cnt[585][1]~35071\ = CARRY((\led_flash_cnt[585][0]~q\ & \led_flash_cnt[585][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[585][0]~q\,
	datab => \led_flash_cnt[585][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[585][1]~35070_combout\,
	cout => \led_flash_cnt[585][1]~35071\);

-- Location: FF_X51_Y33_N3
\led_flash_cnt[585][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[585][1]~35070_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[585][1]~q\);

-- Location: LCCOMB_X51_Y33_N4
\led_flash_cnt[585][2]~35072\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[585][2]~35072_combout\ = (\led_flash_cnt[585][2]~q\ & (!\led_flash_cnt[585][1]~35071\)) # (!\led_flash_cnt[585][2]~q\ & ((\led_flash_cnt[585][1]~35071\) # (GND)))
-- \led_flash_cnt[585][2]~35073\ = CARRY((!\led_flash_cnt[585][1]~35071\) # (!\led_flash_cnt[585][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[585][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[585][1]~35071\,
	combout => \led_flash_cnt[585][2]~35072_combout\,
	cout => \led_flash_cnt[585][2]~35073\);

-- Location: FF_X51_Y33_N5
\led_flash_cnt[585][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[585][2]~35072_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[585][2]~q\);

-- Location: LCCOMB_X51_Y33_N6
\led_flash_cnt[585][3]~35074\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[585][3]~35074_combout\ = (\led_flash_cnt[585][3]~q\ & (\led_flash_cnt[585][2]~35073\ $ (GND))) # (!\led_flash_cnt[585][3]~q\ & (!\led_flash_cnt[585][2]~35073\ & VCC))
-- \led_flash_cnt[585][3]~35075\ = CARRY((\led_flash_cnt[585][3]~q\ & !\led_flash_cnt[585][2]~35073\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[585][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[585][2]~35073\,
	combout => \led_flash_cnt[585][3]~35074_combout\,
	cout => \led_flash_cnt[585][3]~35075\);

-- Location: FF_X51_Y33_N7
\led_flash_cnt[585][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[585][3]~35074_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[585][3]~q\);

-- Location: LCCOMB_X51_Y33_N8
\led_flash_cnt[585][4]~35076\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[585][4]~35076_combout\ = (\led_flash_cnt[585][4]~q\ & (!\led_flash_cnt[585][3]~35075\)) # (!\led_flash_cnt[585][4]~q\ & ((\led_flash_cnt[585][3]~35075\) # (GND)))
-- \led_flash_cnt[585][4]~35077\ = CARRY((!\led_flash_cnt[585][3]~35075\) # (!\led_flash_cnt[585][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[585][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[585][3]~35075\,
	combout => \led_flash_cnt[585][4]~35076_combout\,
	cout => \led_flash_cnt[585][4]~35077\);

-- Location: FF_X51_Y33_N9
\led_flash_cnt[585][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[585][4]~35076_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[585][4]~q\);

-- Location: LCCOMB_X51_Y33_N0
\WideAnd585~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd585~0_combout\ = (\led_flash_cnt[585][3]~q\ & (\led_flash_cnt[585][4]~q\ & (\led_flash_cnt[585][2]~q\ & \led_flash_cnt[585][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[585][3]~q\,
	datab => \led_flash_cnt[585][4]~q\,
	datac => \led_flash_cnt[585][2]~q\,
	datad => \led_flash_cnt[585][1]~q\,
	combout => \WideAnd585~0_combout\);

-- Location: LCCOMB_X51_Y33_N10
\led_flash_cnt[585][5]~35078\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[585][5]~35078_combout\ = (\led_flash_cnt[585][5]~q\ & (\led_flash_cnt[585][4]~35077\ $ (GND))) # (!\led_flash_cnt[585][5]~q\ & (!\led_flash_cnt[585][4]~35077\ & VCC))
-- \led_flash_cnt[585][5]~35079\ = CARRY((\led_flash_cnt[585][5]~q\ & !\led_flash_cnt[585][4]~35077\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[585][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[585][4]~35077\,
	combout => \led_flash_cnt[585][5]~35078_combout\,
	cout => \led_flash_cnt[585][5]~35079\);

-- Location: FF_X51_Y33_N11
\led_flash_cnt[585][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[585][5]~35078_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[585][5]~q\);

-- Location: LCCOMB_X51_Y33_N12
\led_flash_cnt[585][6]~35080\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[585][6]~35080_combout\ = (\led_flash_cnt[585][6]~q\ & (!\led_flash_cnt[585][5]~35079\)) # (!\led_flash_cnt[585][6]~q\ & ((\led_flash_cnt[585][5]~35079\) # (GND)))
-- \led_flash_cnt[585][6]~35081\ = CARRY((!\led_flash_cnt[585][5]~35079\) # (!\led_flash_cnt[585][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[585][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[585][5]~35079\,
	combout => \led_flash_cnt[585][6]~35080_combout\,
	cout => \led_flash_cnt[585][6]~35081\);

-- Location: FF_X51_Y33_N13
\led_flash_cnt[585][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[585][6]~35080_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[585][6]~q\);

-- Location: LCCOMB_X51_Y33_N14
\led_flash_cnt[585][7]~35082\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[585][7]~35082_combout\ = \led_flash_cnt[585][7]~q\ $ (!\led_flash_cnt[585][6]~35081\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[585][7]~q\,
	cin => \led_flash_cnt[585][6]~35081\,
	combout => \led_flash_cnt[585][7]~35082_combout\);

-- Location: FF_X51_Y33_N15
\led_flash_cnt[585][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[585][7]~35082_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[585][7]~q\);

-- Location: LCCOMB_X52_Y33_N28
\WideAnd585~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd585~1_combout\ = (\led_flash_cnt[585][6]~q\ & \led_flash_cnt[585][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[585][6]~q\,
	datad => \led_flash_cnt[585][5]~q\,
	combout => \WideAnd585~1_combout\);

-- Location: LCCOMB_X51_Y33_N30
WideAnd585 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd585~combout\ = (\led_flash_cnt[585][0]~q\ & (\WideAnd585~0_combout\ & (\led_flash_cnt[585][7]~q\ & \WideAnd585~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[585][0]~q\,
	datab => \WideAnd585~0_combout\,
	datac => \led_flash_cnt[585][7]~q\,
	datad => \WideAnd585~1_combout\,
	combout => \WideAnd585~combout\);

-- Location: FF_X51_Y33_N31
\led_flash_cnt_ands[585]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd585~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(585));

-- Location: LCCOMB_X51_Y32_N28
\led_flash_cnt[584][0]~81224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[584][0]~81224_combout\ = !\led_flash_cnt[584][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[584][0]~q\,
	combout => \led_flash_cnt[584][0]~81224_combout\);

-- Location: FF_X51_Y32_N29
\led_flash_cnt[584][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[584][0]~81224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[584][0]~q\);

-- Location: LCCOMB_X51_Y29_N0
\led_flash_cnt[584][1]~35056\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[584][1]~35056_combout\ = (\led_flash_cnt[584][0]~q\ & (\led_flash_cnt[584][1]~q\ $ (VCC))) # (!\led_flash_cnt[584][0]~q\ & (\led_flash_cnt[584][1]~q\ & VCC))
-- \led_flash_cnt[584][1]~35057\ = CARRY((\led_flash_cnt[584][0]~q\ & \led_flash_cnt[584][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[584][0]~q\,
	datab => \led_flash_cnt[584][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[584][1]~35056_combout\,
	cout => \led_flash_cnt[584][1]~35057\);

-- Location: FF_X51_Y29_N1
\led_flash_cnt[584][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[584][1]~35056_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[584][1]~q\);

-- Location: LCCOMB_X51_Y29_N2
\led_flash_cnt[584][2]~35058\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[584][2]~35058_combout\ = (\led_flash_cnt[584][2]~q\ & (!\led_flash_cnt[584][1]~35057\)) # (!\led_flash_cnt[584][2]~q\ & ((\led_flash_cnt[584][1]~35057\) # (GND)))
-- \led_flash_cnt[584][2]~35059\ = CARRY((!\led_flash_cnt[584][1]~35057\) # (!\led_flash_cnt[584][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[584][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[584][1]~35057\,
	combout => \led_flash_cnt[584][2]~35058_combout\,
	cout => \led_flash_cnt[584][2]~35059\);

-- Location: FF_X51_Y29_N3
\led_flash_cnt[584][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[584][2]~35058_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[584][2]~q\);

-- Location: LCCOMB_X51_Y29_N4
\led_flash_cnt[584][3]~35060\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[584][3]~35060_combout\ = (\led_flash_cnt[584][3]~q\ & (\led_flash_cnt[584][2]~35059\ $ (GND))) # (!\led_flash_cnt[584][3]~q\ & (!\led_flash_cnt[584][2]~35059\ & VCC))
-- \led_flash_cnt[584][3]~35061\ = CARRY((\led_flash_cnt[584][3]~q\ & !\led_flash_cnt[584][2]~35059\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[584][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[584][2]~35059\,
	combout => \led_flash_cnt[584][3]~35060_combout\,
	cout => \led_flash_cnt[584][3]~35061\);

-- Location: FF_X51_Y29_N5
\led_flash_cnt[584][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[584][3]~35060_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[584][3]~q\);

-- Location: LCCOMB_X51_Y29_N6
\led_flash_cnt[584][4]~35062\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[584][4]~35062_combout\ = (\led_flash_cnt[584][4]~q\ & (!\led_flash_cnt[584][3]~35061\)) # (!\led_flash_cnt[584][4]~q\ & ((\led_flash_cnt[584][3]~35061\) # (GND)))
-- \led_flash_cnt[584][4]~35063\ = CARRY((!\led_flash_cnt[584][3]~35061\) # (!\led_flash_cnt[584][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[584][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[584][3]~35061\,
	combout => \led_flash_cnt[584][4]~35062_combout\,
	cout => \led_flash_cnt[584][4]~35063\);

-- Location: FF_X51_Y29_N7
\led_flash_cnt[584][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[584][4]~35062_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[584][4]~q\);

-- Location: LCCOMB_X51_Y29_N8
\led_flash_cnt[584][5]~35064\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[584][5]~35064_combout\ = (\led_flash_cnt[584][5]~q\ & (\led_flash_cnt[584][4]~35063\ $ (GND))) # (!\led_flash_cnt[584][5]~q\ & (!\led_flash_cnt[584][4]~35063\ & VCC))
-- \led_flash_cnt[584][5]~35065\ = CARRY((\led_flash_cnt[584][5]~q\ & !\led_flash_cnt[584][4]~35063\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[584][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[584][4]~35063\,
	combout => \led_flash_cnt[584][5]~35064_combout\,
	cout => \led_flash_cnt[584][5]~35065\);

-- Location: FF_X51_Y29_N9
\led_flash_cnt[584][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[584][5]~35064_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[584][5]~q\);

-- Location: LCCOMB_X51_Y29_N10
\led_flash_cnt[584][6]~35066\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[584][6]~35066_combout\ = (\led_flash_cnt[584][6]~q\ & (!\led_flash_cnt[584][5]~35065\)) # (!\led_flash_cnt[584][6]~q\ & ((\led_flash_cnt[584][5]~35065\) # (GND)))
-- \led_flash_cnt[584][6]~35067\ = CARRY((!\led_flash_cnt[584][5]~35065\) # (!\led_flash_cnt[584][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[584][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[584][5]~35065\,
	combout => \led_flash_cnt[584][6]~35066_combout\,
	cout => \led_flash_cnt[584][6]~35067\);

-- Location: FF_X51_Y29_N11
\led_flash_cnt[584][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[584][6]~35066_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[584][6]~q\);

-- Location: LCCOMB_X51_Y32_N22
\WideAnd584~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd584~1_combout\ = (\led_flash_cnt[584][5]~q\ & \led_flash_cnt[584][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[584][5]~q\,
	datad => \led_flash_cnt[584][6]~q\,
	combout => \WideAnd584~1_combout\);

-- Location: LCCOMB_X51_Y29_N12
\led_flash_cnt[584][7]~35068\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[584][7]~35068_combout\ = \led_flash_cnt[584][6]~35067\ $ (!\led_flash_cnt[584][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[584][7]~q\,
	cin => \led_flash_cnt[584][6]~35067\,
	combout => \led_flash_cnt[584][7]~35068_combout\);

-- Location: FF_X51_Y29_N13
\led_flash_cnt[584][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[584][7]~35068_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[584][7]~q\);

-- Location: LCCOMB_X51_Y29_N14
\WideAnd584~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd584~0_combout\ = (\led_flash_cnt[584][4]~q\ & (\led_flash_cnt[584][1]~q\ & (\led_flash_cnt[584][3]~q\ & \led_flash_cnt[584][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[584][4]~q\,
	datab => \led_flash_cnt[584][1]~q\,
	datac => \led_flash_cnt[584][3]~q\,
	datad => \led_flash_cnt[584][2]~q\,
	combout => \WideAnd584~0_combout\);

-- Location: LCCOMB_X51_Y32_N2
WideAnd584 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd584~combout\ = (\WideAnd584~1_combout\ & (\led_flash_cnt[584][7]~q\ & (\WideAnd584~0_combout\ & \led_flash_cnt[584][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd584~1_combout\,
	datab => \led_flash_cnt[584][7]~q\,
	datac => \WideAnd584~0_combout\,
	datad => \led_flash_cnt[584][0]~q\,
	combout => \WideAnd584~combout\);

-- Location: FF_X51_Y32_N3
\led_flash_cnt_ands[584]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd584~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(584));

-- Location: LCCOMB_X51_Y32_N30
\WideAnd3913~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3913~0_combout\ = (led_flash_cnt_ands(587) & (led_flash_cnt_ands(586) & (led_flash_cnt_ands(585) & led_flash_cnt_ands(584))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(587),
	datab => led_flash_cnt_ands(586),
	datac => led_flash_cnt_ands(585),
	datad => led_flash_cnt_ands(584),
	combout => \WideAnd3913~0_combout\);

-- Location: LCCOMB_X59_Y30_N0
\led_flash_cnt[590][0]~81230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[590][0]~81230_combout\ = !\led_flash_cnt[590][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[590][0]~q\,
	combout => \led_flash_cnt[590][0]~81230_combout\);

-- Location: FF_X59_Y30_N1
\led_flash_cnt[590][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[590][0]~81230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[590][0]~q\);

-- Location: LCCOMB_X58_Y31_N4
\led_flash_cnt[590][1]~35140\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[590][1]~35140_combout\ = (\led_flash_cnt[590][0]~q\ & (\led_flash_cnt[590][1]~q\ $ (VCC))) # (!\led_flash_cnt[590][0]~q\ & (\led_flash_cnt[590][1]~q\ & VCC))
-- \led_flash_cnt[590][1]~35141\ = CARRY((\led_flash_cnt[590][0]~q\ & \led_flash_cnt[590][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[590][0]~q\,
	datab => \led_flash_cnt[590][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[590][1]~35140_combout\,
	cout => \led_flash_cnt[590][1]~35141\);

-- Location: FF_X58_Y31_N5
\led_flash_cnt[590][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[590][1]~35140_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[590][1]~q\);

-- Location: LCCOMB_X58_Y31_N6
\led_flash_cnt[590][2]~35142\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[590][2]~35142_combout\ = (\led_flash_cnt[590][2]~q\ & (!\led_flash_cnt[590][1]~35141\)) # (!\led_flash_cnt[590][2]~q\ & ((\led_flash_cnt[590][1]~35141\) # (GND)))
-- \led_flash_cnt[590][2]~35143\ = CARRY((!\led_flash_cnt[590][1]~35141\) # (!\led_flash_cnt[590][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[590][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[590][1]~35141\,
	combout => \led_flash_cnt[590][2]~35142_combout\,
	cout => \led_flash_cnt[590][2]~35143\);

-- Location: FF_X58_Y31_N7
\led_flash_cnt[590][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[590][2]~35142_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[590][2]~q\);

-- Location: LCCOMB_X58_Y31_N8
\led_flash_cnt[590][3]~35144\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[590][3]~35144_combout\ = (\led_flash_cnt[590][3]~q\ & (\led_flash_cnt[590][2]~35143\ $ (GND))) # (!\led_flash_cnt[590][3]~q\ & (!\led_flash_cnt[590][2]~35143\ & VCC))
-- \led_flash_cnt[590][3]~35145\ = CARRY((\led_flash_cnt[590][3]~q\ & !\led_flash_cnt[590][2]~35143\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[590][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[590][2]~35143\,
	combout => \led_flash_cnt[590][3]~35144_combout\,
	cout => \led_flash_cnt[590][3]~35145\);

-- Location: FF_X58_Y31_N9
\led_flash_cnt[590][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[590][3]~35144_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[590][3]~q\);

-- Location: LCCOMB_X58_Y31_N10
\led_flash_cnt[590][4]~35146\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[590][4]~35146_combout\ = (\led_flash_cnt[590][4]~q\ & (!\led_flash_cnt[590][3]~35145\)) # (!\led_flash_cnt[590][4]~q\ & ((\led_flash_cnt[590][3]~35145\) # (GND)))
-- \led_flash_cnt[590][4]~35147\ = CARRY((!\led_flash_cnt[590][3]~35145\) # (!\led_flash_cnt[590][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[590][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[590][3]~35145\,
	combout => \led_flash_cnt[590][4]~35146_combout\,
	cout => \led_flash_cnt[590][4]~35147\);

-- Location: FF_X58_Y31_N11
\led_flash_cnt[590][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[590][4]~35146_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[590][4]~q\);

-- Location: LCCOMB_X58_Y31_N2
\WideAnd590~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd590~0_combout\ = (\led_flash_cnt[590][4]~q\ & (\led_flash_cnt[590][3]~q\ & (\led_flash_cnt[590][1]~q\ & \led_flash_cnt[590][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[590][4]~q\,
	datab => \led_flash_cnt[590][3]~q\,
	datac => \led_flash_cnt[590][1]~q\,
	datad => \led_flash_cnt[590][2]~q\,
	combout => \WideAnd590~0_combout\);

-- Location: LCCOMB_X58_Y31_N12
\led_flash_cnt[590][5]~35148\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[590][5]~35148_combout\ = (\led_flash_cnt[590][5]~q\ & (\led_flash_cnt[590][4]~35147\ $ (GND))) # (!\led_flash_cnt[590][5]~q\ & (!\led_flash_cnt[590][4]~35147\ & VCC))
-- \led_flash_cnt[590][5]~35149\ = CARRY((\led_flash_cnt[590][5]~q\ & !\led_flash_cnt[590][4]~35147\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[590][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[590][4]~35147\,
	combout => \led_flash_cnt[590][5]~35148_combout\,
	cout => \led_flash_cnt[590][5]~35149\);

-- Location: FF_X58_Y31_N13
\led_flash_cnt[590][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[590][5]~35148_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[590][5]~q\);

-- Location: LCCOMB_X58_Y31_N14
\led_flash_cnt[590][6]~35150\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[590][6]~35150_combout\ = (\led_flash_cnt[590][6]~q\ & (!\led_flash_cnt[590][5]~35149\)) # (!\led_flash_cnt[590][6]~q\ & ((\led_flash_cnt[590][5]~35149\) # (GND)))
-- \led_flash_cnt[590][6]~35151\ = CARRY((!\led_flash_cnt[590][5]~35149\) # (!\led_flash_cnt[590][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[590][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[590][5]~35149\,
	combout => \led_flash_cnt[590][6]~35150_combout\,
	cout => \led_flash_cnt[590][6]~35151\);

-- Location: FF_X58_Y31_N15
\led_flash_cnt[590][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[590][6]~35150_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[590][6]~q\);

-- Location: LCCOMB_X58_Y31_N16
\led_flash_cnt[590][7]~35152\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[590][7]~35152_combout\ = \led_flash_cnt[590][6]~35151\ $ (!\led_flash_cnt[590][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[590][7]~q\,
	cin => \led_flash_cnt[590][6]~35151\,
	combout => \led_flash_cnt[590][7]~35152_combout\);

-- Location: FF_X58_Y31_N17
\led_flash_cnt[590][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[590][7]~35152_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[590][7]~q\);

-- Location: LCCOMB_X59_Y31_N2
\WideAnd590~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd590~1_combout\ = (\led_flash_cnt[590][6]~q\ & \led_flash_cnt[590][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[590][6]~q\,
	datad => \led_flash_cnt[590][5]~q\,
	combout => \WideAnd590~1_combout\);

-- Location: LCCOMB_X59_Y31_N0
WideAnd590 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd590~combout\ = (\WideAnd590~0_combout\ & (\led_flash_cnt[590][0]~q\ & (\led_flash_cnt[590][7]~q\ & \WideAnd590~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd590~0_combout\,
	datab => \led_flash_cnt[590][0]~q\,
	datac => \led_flash_cnt[590][7]~q\,
	datad => \WideAnd590~1_combout\,
	combout => \WideAnd590~combout\);

-- Location: FF_X59_Y31_N1
\led_flash_cnt_ands[590]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd590~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(590));

-- Location: LCCOMB_X59_Y31_N22
WideAnd3913 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3913~combout\ = (\WideAnd3913~1_combout\ & (led_flash_cnt_ands(591) & (\WideAnd3913~0_combout\ & led_flash_cnt_ands(590))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3913~1_combout\,
	datab => led_flash_cnt_ands(591),
	datac => \WideAnd3913~0_combout\,
	datad => led_flash_cnt_ands(590),
	combout => \WideAnd3913~combout\);

-- Location: FF_X59_Y31_N23
\led_flash_cnt_ands_1[73]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3913~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(73));

-- Location: LCCOMB_X60_Y22_N18
\led_flash_cnt[594][0]~81234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[594][0]~81234_combout\ = !\led_flash_cnt[594][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[594][0]~q\,
	combout => \led_flash_cnt[594][0]~81234_combout\);

-- Location: FF_X60_Y22_N19
\led_flash_cnt[594][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[594][0]~81234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[594][0]~q\);

-- Location: LCCOMB_X60_Y22_N2
\led_flash_cnt[594][1]~35196\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[594][1]~35196_combout\ = (\led_flash_cnt[594][1]~q\ & (\led_flash_cnt[594][0]~q\ $ (VCC))) # (!\led_flash_cnt[594][1]~q\ & (\led_flash_cnt[594][0]~q\ & VCC))
-- \led_flash_cnt[594][1]~35197\ = CARRY((\led_flash_cnt[594][1]~q\ & \led_flash_cnt[594][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[594][1]~q\,
	datab => \led_flash_cnt[594][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[594][1]~35196_combout\,
	cout => \led_flash_cnt[594][1]~35197\);

-- Location: FF_X60_Y22_N3
\led_flash_cnt[594][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[594][1]~35196_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[594][1]~q\);

-- Location: LCCOMB_X60_Y22_N4
\led_flash_cnt[594][2]~35198\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[594][2]~35198_combout\ = (\led_flash_cnt[594][2]~q\ & (!\led_flash_cnt[594][1]~35197\)) # (!\led_flash_cnt[594][2]~q\ & ((\led_flash_cnt[594][1]~35197\) # (GND)))
-- \led_flash_cnt[594][2]~35199\ = CARRY((!\led_flash_cnt[594][1]~35197\) # (!\led_flash_cnt[594][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[594][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[594][1]~35197\,
	combout => \led_flash_cnt[594][2]~35198_combout\,
	cout => \led_flash_cnt[594][2]~35199\);

-- Location: FF_X60_Y22_N5
\led_flash_cnt[594][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[594][2]~35198_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[594][2]~q\);

-- Location: LCCOMB_X60_Y22_N6
\led_flash_cnt[594][3]~35200\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[594][3]~35200_combout\ = (\led_flash_cnt[594][3]~q\ & (\led_flash_cnt[594][2]~35199\ $ (GND))) # (!\led_flash_cnt[594][3]~q\ & (!\led_flash_cnt[594][2]~35199\ & VCC))
-- \led_flash_cnt[594][3]~35201\ = CARRY((\led_flash_cnt[594][3]~q\ & !\led_flash_cnt[594][2]~35199\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[594][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[594][2]~35199\,
	combout => \led_flash_cnt[594][3]~35200_combout\,
	cout => \led_flash_cnt[594][3]~35201\);

-- Location: FF_X60_Y22_N7
\led_flash_cnt[594][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[594][3]~35200_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[594][3]~q\);

-- Location: LCCOMB_X60_Y22_N8
\led_flash_cnt[594][4]~35202\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[594][4]~35202_combout\ = (\led_flash_cnt[594][4]~q\ & (!\led_flash_cnt[594][3]~35201\)) # (!\led_flash_cnt[594][4]~q\ & ((\led_flash_cnt[594][3]~35201\) # (GND)))
-- \led_flash_cnt[594][4]~35203\ = CARRY((!\led_flash_cnt[594][3]~35201\) # (!\led_flash_cnt[594][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[594][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[594][3]~35201\,
	combout => \led_flash_cnt[594][4]~35202_combout\,
	cout => \led_flash_cnt[594][4]~35203\);

-- Location: FF_X60_Y22_N9
\led_flash_cnt[594][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[594][4]~35202_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[594][4]~q\);

-- Location: LCCOMB_X60_Y22_N10
\led_flash_cnt[594][5]~35204\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[594][5]~35204_combout\ = (\led_flash_cnt[594][5]~q\ & (\led_flash_cnt[594][4]~35203\ $ (GND))) # (!\led_flash_cnt[594][5]~q\ & (!\led_flash_cnt[594][4]~35203\ & VCC))
-- \led_flash_cnt[594][5]~35205\ = CARRY((\led_flash_cnt[594][5]~q\ & !\led_flash_cnt[594][4]~35203\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[594][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[594][4]~35203\,
	combout => \led_flash_cnt[594][5]~35204_combout\,
	cout => \led_flash_cnt[594][5]~35205\);

-- Location: FF_X60_Y22_N11
\led_flash_cnt[594][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[594][5]~35204_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[594][5]~q\);

-- Location: LCCOMB_X60_Y22_N12
\led_flash_cnt[594][6]~35206\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[594][6]~35206_combout\ = (\led_flash_cnt[594][6]~q\ & (!\led_flash_cnt[594][5]~35205\)) # (!\led_flash_cnt[594][6]~q\ & ((\led_flash_cnt[594][5]~35205\) # (GND)))
-- \led_flash_cnt[594][6]~35207\ = CARRY((!\led_flash_cnt[594][5]~35205\) # (!\led_flash_cnt[594][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[594][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[594][5]~35205\,
	combout => \led_flash_cnt[594][6]~35206_combout\,
	cout => \led_flash_cnt[594][6]~35207\);

-- Location: FF_X60_Y22_N13
\led_flash_cnt[594][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[594][6]~35206_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[594][6]~q\);

-- Location: LCCOMB_X60_Y22_N26
\WideAnd594~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd594~1_combout\ = (\led_flash_cnt[594][6]~q\ & \led_flash_cnt[594][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[594][6]~q\,
	datad => \led_flash_cnt[594][5]~q\,
	combout => \WideAnd594~1_combout\);

-- Location: LCCOMB_X60_Y22_N16
\WideAnd594~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd594~0_combout\ = (\led_flash_cnt[594][1]~q\ & (\led_flash_cnt[594][4]~q\ & (\led_flash_cnt[594][2]~q\ & \led_flash_cnt[594][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[594][1]~q\,
	datab => \led_flash_cnt[594][4]~q\,
	datac => \led_flash_cnt[594][2]~q\,
	datad => \led_flash_cnt[594][3]~q\,
	combout => \WideAnd594~0_combout\);

-- Location: LCCOMB_X60_Y22_N14
\led_flash_cnt[594][7]~35208\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[594][7]~35208_combout\ = \led_flash_cnt[594][7]~q\ $ (!\led_flash_cnt[594][6]~35207\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[594][7]~q\,
	cin => \led_flash_cnt[594][6]~35207\,
	combout => \led_flash_cnt[594][7]~35208_combout\);

-- Location: FF_X60_Y22_N15
\led_flash_cnt[594][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[594][7]~35208_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[594][7]~q\);

-- Location: LCCOMB_X60_Y22_N30
WideAnd594 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd594~combout\ = (\WideAnd594~1_combout\ & (\WideAnd594~0_combout\ & (\led_flash_cnt[594][7]~q\ & \led_flash_cnt[594][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd594~1_combout\,
	datab => \WideAnd594~0_combout\,
	datac => \led_flash_cnt[594][7]~q\,
	datad => \led_flash_cnt[594][0]~q\,
	combout => \WideAnd594~combout\);

-- Location: FF_X60_Y22_N31
\led_flash_cnt_ands[594]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd594~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(594));

-- Location: LCCOMB_X60_Y22_N24
\led_flash_cnt[593][0]~81233\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[593][0]~81233_combout\ = !\led_flash_cnt[593][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[593][0]~q\,
	combout => \led_flash_cnt[593][0]~81233_combout\);

-- Location: FF_X60_Y22_N25
\led_flash_cnt[593][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[593][0]~81233_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[593][0]~q\);

-- Location: LCCOMB_X61_Y22_N2
\led_flash_cnt[593][1]~35182\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[593][1]~35182_combout\ = (\led_flash_cnt[593][0]~q\ & (\led_flash_cnt[593][1]~q\ $ (VCC))) # (!\led_flash_cnt[593][0]~q\ & (\led_flash_cnt[593][1]~q\ & VCC))
-- \led_flash_cnt[593][1]~35183\ = CARRY((\led_flash_cnt[593][0]~q\ & \led_flash_cnt[593][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[593][0]~q\,
	datab => \led_flash_cnt[593][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[593][1]~35182_combout\,
	cout => \led_flash_cnt[593][1]~35183\);

-- Location: FF_X61_Y22_N3
\led_flash_cnt[593][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[593][1]~35182_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[593][1]~q\);

-- Location: LCCOMB_X61_Y22_N4
\led_flash_cnt[593][2]~35184\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[593][2]~35184_combout\ = (\led_flash_cnt[593][2]~q\ & (!\led_flash_cnt[593][1]~35183\)) # (!\led_flash_cnt[593][2]~q\ & ((\led_flash_cnt[593][1]~35183\) # (GND)))
-- \led_flash_cnt[593][2]~35185\ = CARRY((!\led_flash_cnt[593][1]~35183\) # (!\led_flash_cnt[593][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[593][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[593][1]~35183\,
	combout => \led_flash_cnt[593][2]~35184_combout\,
	cout => \led_flash_cnt[593][2]~35185\);

-- Location: FF_X61_Y22_N5
\led_flash_cnt[593][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[593][2]~35184_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[593][2]~q\);

-- Location: LCCOMB_X61_Y22_N6
\led_flash_cnt[593][3]~35186\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[593][3]~35186_combout\ = (\led_flash_cnt[593][3]~q\ & (\led_flash_cnt[593][2]~35185\ $ (GND))) # (!\led_flash_cnt[593][3]~q\ & (!\led_flash_cnt[593][2]~35185\ & VCC))
-- \led_flash_cnt[593][3]~35187\ = CARRY((\led_flash_cnt[593][3]~q\ & !\led_flash_cnt[593][2]~35185\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[593][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[593][2]~35185\,
	combout => \led_flash_cnt[593][3]~35186_combout\,
	cout => \led_flash_cnt[593][3]~35187\);

-- Location: FF_X61_Y22_N7
\led_flash_cnt[593][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[593][3]~35186_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[593][3]~q\);

-- Location: LCCOMB_X61_Y22_N8
\led_flash_cnt[593][4]~35188\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[593][4]~35188_combout\ = (\led_flash_cnt[593][4]~q\ & (!\led_flash_cnt[593][3]~35187\)) # (!\led_flash_cnt[593][4]~q\ & ((\led_flash_cnt[593][3]~35187\) # (GND)))
-- \led_flash_cnt[593][4]~35189\ = CARRY((!\led_flash_cnt[593][3]~35187\) # (!\led_flash_cnt[593][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[593][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[593][3]~35187\,
	combout => \led_flash_cnt[593][4]~35188_combout\,
	cout => \led_flash_cnt[593][4]~35189\);

-- Location: FF_X61_Y22_N9
\led_flash_cnt[593][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[593][4]~35188_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[593][4]~q\);

-- Location: LCCOMB_X61_Y22_N10
\led_flash_cnt[593][5]~35190\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[593][5]~35190_combout\ = (\led_flash_cnt[593][5]~q\ & (\led_flash_cnt[593][4]~35189\ $ (GND))) # (!\led_flash_cnt[593][5]~q\ & (!\led_flash_cnt[593][4]~35189\ & VCC))
-- \led_flash_cnt[593][5]~35191\ = CARRY((\led_flash_cnt[593][5]~q\ & !\led_flash_cnt[593][4]~35189\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[593][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[593][4]~35189\,
	combout => \led_flash_cnt[593][5]~35190_combout\,
	cout => \led_flash_cnt[593][5]~35191\);

-- Location: FF_X61_Y22_N11
\led_flash_cnt[593][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[593][5]~35190_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[593][5]~q\);

-- Location: LCCOMB_X61_Y22_N12
\led_flash_cnt[593][6]~35192\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[593][6]~35192_combout\ = (\led_flash_cnt[593][6]~q\ & (!\led_flash_cnt[593][5]~35191\)) # (!\led_flash_cnt[593][6]~q\ & ((\led_flash_cnt[593][5]~35191\) # (GND)))
-- \led_flash_cnt[593][6]~35193\ = CARRY((!\led_flash_cnt[593][5]~35191\) # (!\led_flash_cnt[593][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[593][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[593][5]~35191\,
	combout => \led_flash_cnt[593][6]~35192_combout\,
	cout => \led_flash_cnt[593][6]~35193\);

-- Location: FF_X61_Y22_N13
\led_flash_cnt[593][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[593][6]~35192_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[593][6]~q\);

-- Location: LCCOMB_X60_Y22_N28
\WideAnd593~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd593~1_combout\ = (\led_flash_cnt[593][6]~q\ & \led_flash_cnt[593][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[593][6]~q\,
	datac => \led_flash_cnt[593][5]~q\,
	combout => \WideAnd593~1_combout\);

-- Location: LCCOMB_X61_Y22_N14
\led_flash_cnt[593][7]~35194\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[593][7]~35194_combout\ = \led_flash_cnt[593][7]~q\ $ (!\led_flash_cnt[593][6]~35193\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[593][7]~q\,
	cin => \led_flash_cnt[593][6]~35193\,
	combout => \led_flash_cnt[593][7]~35194_combout\);

-- Location: FF_X61_Y22_N15
\led_flash_cnt[593][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[593][7]~35194_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[593][7]~q\);

-- Location: LCCOMB_X61_Y22_N16
\WideAnd593~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd593~0_combout\ = (\led_flash_cnt[593][3]~q\ & (\led_flash_cnt[593][4]~q\ & (\led_flash_cnt[593][2]~q\ & \led_flash_cnt[593][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[593][3]~q\,
	datab => \led_flash_cnt[593][4]~q\,
	datac => \led_flash_cnt[593][2]~q\,
	datad => \led_flash_cnt[593][1]~q\,
	combout => \WideAnd593~0_combout\);

-- Location: LCCOMB_X60_Y22_N20
WideAnd593 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd593~combout\ = (\led_flash_cnt[593][0]~q\ & (\WideAnd593~1_combout\ & (\led_flash_cnt[593][7]~q\ & \WideAnd593~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[593][0]~q\,
	datab => \WideAnd593~1_combout\,
	datac => \led_flash_cnt[593][7]~q\,
	datad => \WideAnd593~0_combout\,
	combout => \WideAnd593~combout\);

-- Location: FF_X60_Y22_N21
\led_flash_cnt_ands[593]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd593~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(593));

-- Location: LCCOMB_X50_Y24_N0
\led_flash_cnt[592][0]~81232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[592][0]~81232_combout\ = !\led_flash_cnt[592][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[592][0]~q\,
	combout => \led_flash_cnt[592][0]~81232_combout\);

-- Location: FF_X50_Y24_N1
\led_flash_cnt[592][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[592][0]~81232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[592][0]~q\);

-- Location: LCCOMB_X50_Y24_N2
\led_flash_cnt[592][1]~35168\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[592][1]~35168_combout\ = (\led_flash_cnt[592][1]~q\ & (\led_flash_cnt[592][0]~q\ $ (VCC))) # (!\led_flash_cnt[592][1]~q\ & (\led_flash_cnt[592][0]~q\ & VCC))
-- \led_flash_cnt[592][1]~35169\ = CARRY((\led_flash_cnt[592][1]~q\ & \led_flash_cnt[592][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[592][1]~q\,
	datab => \led_flash_cnt[592][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[592][1]~35168_combout\,
	cout => \led_flash_cnt[592][1]~35169\);

-- Location: FF_X50_Y24_N3
\led_flash_cnt[592][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[592][1]~35168_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[592][1]~q\);

-- Location: LCCOMB_X50_Y24_N4
\led_flash_cnt[592][2]~35170\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[592][2]~35170_combout\ = (\led_flash_cnt[592][2]~q\ & (!\led_flash_cnt[592][1]~35169\)) # (!\led_flash_cnt[592][2]~q\ & ((\led_flash_cnt[592][1]~35169\) # (GND)))
-- \led_flash_cnt[592][2]~35171\ = CARRY((!\led_flash_cnt[592][1]~35169\) # (!\led_flash_cnt[592][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[592][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[592][1]~35169\,
	combout => \led_flash_cnt[592][2]~35170_combout\,
	cout => \led_flash_cnt[592][2]~35171\);

-- Location: FF_X50_Y24_N5
\led_flash_cnt[592][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[592][2]~35170_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[592][2]~q\);

-- Location: LCCOMB_X50_Y24_N6
\led_flash_cnt[592][3]~35172\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[592][3]~35172_combout\ = (\led_flash_cnt[592][3]~q\ & (\led_flash_cnt[592][2]~35171\ $ (GND))) # (!\led_flash_cnt[592][3]~q\ & (!\led_flash_cnt[592][2]~35171\ & VCC))
-- \led_flash_cnt[592][3]~35173\ = CARRY((\led_flash_cnt[592][3]~q\ & !\led_flash_cnt[592][2]~35171\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[592][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[592][2]~35171\,
	combout => \led_flash_cnt[592][3]~35172_combout\,
	cout => \led_flash_cnt[592][3]~35173\);

-- Location: FF_X50_Y24_N7
\led_flash_cnt[592][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[592][3]~35172_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[592][3]~q\);

-- Location: LCCOMB_X50_Y24_N8
\led_flash_cnt[592][4]~35174\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[592][4]~35174_combout\ = (\led_flash_cnt[592][4]~q\ & (!\led_flash_cnt[592][3]~35173\)) # (!\led_flash_cnt[592][4]~q\ & ((\led_flash_cnt[592][3]~35173\) # (GND)))
-- \led_flash_cnt[592][4]~35175\ = CARRY((!\led_flash_cnt[592][3]~35173\) # (!\led_flash_cnt[592][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[592][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[592][3]~35173\,
	combout => \led_flash_cnt[592][4]~35174_combout\,
	cout => \led_flash_cnt[592][4]~35175\);

-- Location: FF_X50_Y24_N9
\led_flash_cnt[592][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[592][4]~35174_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[592][4]~q\);

-- Location: LCCOMB_X50_Y24_N10
\led_flash_cnt[592][5]~35176\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[592][5]~35176_combout\ = (\led_flash_cnt[592][5]~q\ & (\led_flash_cnt[592][4]~35175\ $ (GND))) # (!\led_flash_cnt[592][5]~q\ & (!\led_flash_cnt[592][4]~35175\ & VCC))
-- \led_flash_cnt[592][5]~35177\ = CARRY((\led_flash_cnt[592][5]~q\ & !\led_flash_cnt[592][4]~35175\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[592][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[592][4]~35175\,
	combout => \led_flash_cnt[592][5]~35176_combout\,
	cout => \led_flash_cnt[592][5]~35177\);

-- Location: FF_X50_Y24_N11
\led_flash_cnt[592][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[592][5]~35176_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[592][5]~q\);

-- Location: LCCOMB_X50_Y24_N12
\led_flash_cnt[592][6]~35178\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[592][6]~35178_combout\ = (\led_flash_cnt[592][6]~q\ & (!\led_flash_cnt[592][5]~35177\)) # (!\led_flash_cnt[592][6]~q\ & ((\led_flash_cnt[592][5]~35177\) # (GND)))
-- \led_flash_cnt[592][6]~35179\ = CARRY((!\led_flash_cnt[592][5]~35177\) # (!\led_flash_cnt[592][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[592][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[592][5]~35177\,
	combout => \led_flash_cnt[592][6]~35178_combout\,
	cout => \led_flash_cnt[592][6]~35179\);

-- Location: FF_X50_Y24_N13
\led_flash_cnt[592][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[592][6]~35178_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[592][6]~q\);

-- Location: LCCOMB_X50_Y24_N22
\WideAnd592~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd592~1_combout\ = (\led_flash_cnt[592][6]~q\ & \led_flash_cnt[592][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[592][6]~q\,
	datad => \led_flash_cnt[592][5]~q\,
	combout => \WideAnd592~1_combout\);

-- Location: LCCOMB_X50_Y24_N14
\led_flash_cnt[592][7]~35180\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[592][7]~35180_combout\ = \led_flash_cnt[592][7]~q\ $ (!\led_flash_cnt[592][6]~35179\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[592][7]~q\,
	cin => \led_flash_cnt[592][6]~35179\,
	combout => \led_flash_cnt[592][7]~35180_combout\);

-- Location: FF_X50_Y24_N15
\led_flash_cnt[592][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[592][7]~35180_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[592][7]~q\);

-- Location: LCCOMB_X50_Y24_N18
\WideAnd592~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd592~0_combout\ = (\led_flash_cnt[592][1]~q\ & (\led_flash_cnt[592][4]~q\ & (\led_flash_cnt[592][2]~q\ & \led_flash_cnt[592][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[592][1]~q\,
	datab => \led_flash_cnt[592][4]~q\,
	datac => \led_flash_cnt[592][2]~q\,
	datad => \led_flash_cnt[592][3]~q\,
	combout => \WideAnd592~0_combout\);

-- Location: LCCOMB_X50_Y24_N20
WideAnd592 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd592~combout\ = (\WideAnd592~1_combout\ & (\led_flash_cnt[592][0]~q\ & (\led_flash_cnt[592][7]~q\ & \WideAnd592~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd592~1_combout\,
	datab => \led_flash_cnt[592][0]~q\,
	datac => \led_flash_cnt[592][7]~q\,
	datad => \WideAnd592~0_combout\,
	combout => \WideAnd592~combout\);

-- Location: FF_X50_Y24_N21
\led_flash_cnt_ands[592]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd592~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(592));

-- Location: LCCOMB_X60_Y23_N2
\led_flash_cnt[595][0]~81235\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[595][0]~81235_combout\ = !\led_flash_cnt[595][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[595][0]~q\,
	combout => \led_flash_cnt[595][0]~81235_combout\);

-- Location: FF_X60_Y23_N3
\led_flash_cnt[595][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[595][0]~81235_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[595][0]~q\);

-- Location: LCCOMB_X61_Y23_N16
\led_flash_cnt[595][1]~35210\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[595][1]~35210_combout\ = (\led_flash_cnt[595][0]~q\ & (\led_flash_cnt[595][1]~q\ $ (VCC))) # (!\led_flash_cnt[595][0]~q\ & (\led_flash_cnt[595][1]~q\ & VCC))
-- \led_flash_cnt[595][1]~35211\ = CARRY((\led_flash_cnt[595][0]~q\ & \led_flash_cnt[595][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[595][0]~q\,
	datab => \led_flash_cnt[595][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[595][1]~35210_combout\,
	cout => \led_flash_cnt[595][1]~35211\);

-- Location: FF_X61_Y23_N17
\led_flash_cnt[595][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[595][1]~35210_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[595][1]~q\);

-- Location: LCCOMB_X61_Y23_N18
\led_flash_cnt[595][2]~35212\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[595][2]~35212_combout\ = (\led_flash_cnt[595][2]~q\ & (!\led_flash_cnt[595][1]~35211\)) # (!\led_flash_cnt[595][2]~q\ & ((\led_flash_cnt[595][1]~35211\) # (GND)))
-- \led_flash_cnt[595][2]~35213\ = CARRY((!\led_flash_cnt[595][1]~35211\) # (!\led_flash_cnt[595][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[595][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[595][1]~35211\,
	combout => \led_flash_cnt[595][2]~35212_combout\,
	cout => \led_flash_cnt[595][2]~35213\);

-- Location: FF_X61_Y23_N19
\led_flash_cnt[595][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[595][2]~35212_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[595][2]~q\);

-- Location: LCCOMB_X61_Y23_N20
\led_flash_cnt[595][3]~35214\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[595][3]~35214_combout\ = (\led_flash_cnt[595][3]~q\ & (\led_flash_cnt[595][2]~35213\ $ (GND))) # (!\led_flash_cnt[595][3]~q\ & (!\led_flash_cnt[595][2]~35213\ & VCC))
-- \led_flash_cnt[595][3]~35215\ = CARRY((\led_flash_cnt[595][3]~q\ & !\led_flash_cnt[595][2]~35213\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[595][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[595][2]~35213\,
	combout => \led_flash_cnt[595][3]~35214_combout\,
	cout => \led_flash_cnt[595][3]~35215\);

-- Location: FF_X61_Y23_N21
\led_flash_cnt[595][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[595][3]~35214_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[595][3]~q\);

-- Location: LCCOMB_X61_Y23_N22
\led_flash_cnt[595][4]~35216\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[595][4]~35216_combout\ = (\led_flash_cnt[595][4]~q\ & (!\led_flash_cnt[595][3]~35215\)) # (!\led_flash_cnt[595][4]~q\ & ((\led_flash_cnt[595][3]~35215\) # (GND)))
-- \led_flash_cnt[595][4]~35217\ = CARRY((!\led_flash_cnt[595][3]~35215\) # (!\led_flash_cnt[595][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[595][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[595][3]~35215\,
	combout => \led_flash_cnt[595][4]~35216_combout\,
	cout => \led_flash_cnt[595][4]~35217\);

-- Location: FF_X61_Y23_N23
\led_flash_cnt[595][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[595][4]~35216_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[595][4]~q\);

-- Location: LCCOMB_X61_Y23_N24
\led_flash_cnt[595][5]~35218\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[595][5]~35218_combout\ = (\led_flash_cnt[595][5]~q\ & (\led_flash_cnt[595][4]~35217\ $ (GND))) # (!\led_flash_cnt[595][5]~q\ & (!\led_flash_cnt[595][4]~35217\ & VCC))
-- \led_flash_cnt[595][5]~35219\ = CARRY((\led_flash_cnt[595][5]~q\ & !\led_flash_cnt[595][4]~35217\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[595][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[595][4]~35217\,
	combout => \led_flash_cnt[595][5]~35218_combout\,
	cout => \led_flash_cnt[595][5]~35219\);

-- Location: FF_X61_Y23_N25
\led_flash_cnt[595][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[595][5]~35218_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[595][5]~q\);

-- Location: LCCOMB_X61_Y23_N26
\led_flash_cnt[595][6]~35220\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[595][6]~35220_combout\ = (\led_flash_cnt[595][6]~q\ & (!\led_flash_cnt[595][5]~35219\)) # (!\led_flash_cnt[595][6]~q\ & ((\led_flash_cnt[595][5]~35219\) # (GND)))
-- \led_flash_cnt[595][6]~35221\ = CARRY((!\led_flash_cnt[595][5]~35219\) # (!\led_flash_cnt[595][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[595][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[595][5]~35219\,
	combout => \led_flash_cnt[595][6]~35220_combout\,
	cout => \led_flash_cnt[595][6]~35221\);

-- Location: FF_X61_Y23_N27
\led_flash_cnt[595][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[595][6]~35220_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[595][6]~q\);

-- Location: LCCOMB_X61_Y23_N28
\led_flash_cnt[595][7]~35222\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[595][7]~35222_combout\ = \led_flash_cnt[595][6]~35221\ $ (!\led_flash_cnt[595][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[595][7]~q\,
	cin => \led_flash_cnt[595][6]~35221\,
	combout => \led_flash_cnt[595][7]~35222_combout\);

-- Location: FF_X61_Y23_N29
\led_flash_cnt[595][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[595][7]~35222_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[595][7]~q\);

-- Location: LCCOMB_X62_Y23_N0
\WideAnd595~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd595~1_combout\ = (\led_flash_cnt[595][6]~q\ & \led_flash_cnt[595][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[595][6]~q\,
	datad => \led_flash_cnt[595][5]~q\,
	combout => \WideAnd595~1_combout\);

-- Location: LCCOMB_X62_Y23_N24
\WideAnd595~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd595~0_combout\ = (\led_flash_cnt[595][4]~q\ & (\led_flash_cnt[595][3]~q\ & (\led_flash_cnt[595][1]~q\ & \led_flash_cnt[595][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[595][4]~q\,
	datab => \led_flash_cnt[595][3]~q\,
	datac => \led_flash_cnt[595][1]~q\,
	datad => \led_flash_cnt[595][2]~q\,
	combout => \WideAnd595~0_combout\);

-- Location: LCCOMB_X61_Y23_N30
WideAnd595 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd595~combout\ = (\led_flash_cnt[595][0]~q\ & (\led_flash_cnt[595][7]~q\ & (\WideAnd595~1_combout\ & \WideAnd595~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[595][0]~q\,
	datab => \led_flash_cnt[595][7]~q\,
	datac => \WideAnd595~1_combout\,
	datad => \WideAnd595~0_combout\,
	combout => \WideAnd595~combout\);

-- Location: FF_X61_Y23_N31
\led_flash_cnt_ands[595]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd595~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(595));

-- Location: LCCOMB_X60_Y22_N22
\WideAnd3914~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3914~0_combout\ = (led_flash_cnt_ands(594) & (led_flash_cnt_ands(593) & (led_flash_cnt_ands(592) & led_flash_cnt_ands(595))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(594),
	datab => led_flash_cnt_ands(593),
	datac => led_flash_cnt_ands(592),
	datad => led_flash_cnt_ands(595),
	combout => \WideAnd3914~0_combout\);

-- Location: LCCOMB_X61_Y28_N6
\led_flash_cnt[599][0]~81239\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[599][0]~81239_combout\ = !\led_flash_cnt[599][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[599][0]~q\,
	combout => \led_flash_cnt[599][0]~81239_combout\);

-- Location: FF_X61_Y28_N7
\led_flash_cnt[599][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[599][0]~81239_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[599][0]~q\);

-- Location: LCCOMB_X60_Y28_N2
\led_flash_cnt[599][1]~35266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[599][1]~35266_combout\ = (\led_flash_cnt[599][0]~q\ & (\led_flash_cnt[599][1]~q\ $ (VCC))) # (!\led_flash_cnt[599][0]~q\ & (\led_flash_cnt[599][1]~q\ & VCC))
-- \led_flash_cnt[599][1]~35267\ = CARRY((\led_flash_cnt[599][0]~q\ & \led_flash_cnt[599][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[599][0]~q\,
	datab => \led_flash_cnt[599][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[599][1]~35266_combout\,
	cout => \led_flash_cnt[599][1]~35267\);

-- Location: FF_X60_Y28_N3
\led_flash_cnt[599][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[599][1]~35266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[599][1]~q\);

-- Location: LCCOMB_X60_Y28_N4
\led_flash_cnt[599][2]~35268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[599][2]~35268_combout\ = (\led_flash_cnt[599][2]~q\ & (!\led_flash_cnt[599][1]~35267\)) # (!\led_flash_cnt[599][2]~q\ & ((\led_flash_cnt[599][1]~35267\) # (GND)))
-- \led_flash_cnt[599][2]~35269\ = CARRY((!\led_flash_cnt[599][1]~35267\) # (!\led_flash_cnt[599][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[599][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[599][1]~35267\,
	combout => \led_flash_cnt[599][2]~35268_combout\,
	cout => \led_flash_cnt[599][2]~35269\);

-- Location: FF_X60_Y28_N5
\led_flash_cnt[599][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[599][2]~35268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[599][2]~q\);

-- Location: LCCOMB_X60_Y28_N6
\led_flash_cnt[599][3]~35270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[599][3]~35270_combout\ = (\led_flash_cnt[599][3]~q\ & (\led_flash_cnt[599][2]~35269\ $ (GND))) # (!\led_flash_cnt[599][3]~q\ & (!\led_flash_cnt[599][2]~35269\ & VCC))
-- \led_flash_cnt[599][3]~35271\ = CARRY((\led_flash_cnt[599][3]~q\ & !\led_flash_cnt[599][2]~35269\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[599][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[599][2]~35269\,
	combout => \led_flash_cnt[599][3]~35270_combout\,
	cout => \led_flash_cnt[599][3]~35271\);

-- Location: FF_X60_Y28_N7
\led_flash_cnt[599][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[599][3]~35270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[599][3]~q\);

-- Location: LCCOMB_X60_Y28_N8
\led_flash_cnt[599][4]~35272\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[599][4]~35272_combout\ = (\led_flash_cnt[599][4]~q\ & (!\led_flash_cnt[599][3]~35271\)) # (!\led_flash_cnt[599][4]~q\ & ((\led_flash_cnt[599][3]~35271\) # (GND)))
-- \led_flash_cnt[599][4]~35273\ = CARRY((!\led_flash_cnt[599][3]~35271\) # (!\led_flash_cnt[599][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[599][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[599][3]~35271\,
	combout => \led_flash_cnt[599][4]~35272_combout\,
	cout => \led_flash_cnt[599][4]~35273\);

-- Location: FF_X60_Y28_N9
\led_flash_cnt[599][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[599][4]~35272_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[599][4]~q\);

-- Location: LCCOMB_X60_Y28_N26
\WideAnd599~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd599~1_combout\ = (\led_flash_cnt[599][4]~q\ & \led_flash_cnt[599][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[599][4]~q\,
	datad => \led_flash_cnt[599][0]~q\,
	combout => \WideAnd599~1_combout\);

-- Location: LCCOMB_X60_Y28_N10
\led_flash_cnt[599][5]~35274\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[599][5]~35274_combout\ = (\led_flash_cnt[599][5]~q\ & (\led_flash_cnt[599][4]~35273\ $ (GND))) # (!\led_flash_cnt[599][5]~q\ & (!\led_flash_cnt[599][4]~35273\ & VCC))
-- \led_flash_cnt[599][5]~35275\ = CARRY((\led_flash_cnt[599][5]~q\ & !\led_flash_cnt[599][4]~35273\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[599][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[599][4]~35273\,
	combout => \led_flash_cnt[599][5]~35274_combout\,
	cout => \led_flash_cnt[599][5]~35275\);

-- Location: FF_X60_Y28_N11
\led_flash_cnt[599][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[599][5]~35274_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[599][5]~q\);

-- Location: LCCOMB_X60_Y28_N12
\led_flash_cnt[599][6]~35276\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[599][6]~35276_combout\ = (\led_flash_cnt[599][6]~q\ & (!\led_flash_cnt[599][5]~35275\)) # (!\led_flash_cnt[599][6]~q\ & ((\led_flash_cnt[599][5]~35275\) # (GND)))
-- \led_flash_cnt[599][6]~35277\ = CARRY((!\led_flash_cnt[599][5]~35275\) # (!\led_flash_cnt[599][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[599][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[599][5]~35275\,
	combout => \led_flash_cnt[599][6]~35276_combout\,
	cout => \led_flash_cnt[599][6]~35277\);

-- Location: FF_X60_Y28_N13
\led_flash_cnt[599][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[599][6]~35276_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[599][6]~q\);

-- Location: LCCOMB_X60_Y28_N24
\WideAnd599~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd599~0_combout\ = (\led_flash_cnt[599][6]~q\ & (\led_flash_cnt[599][1]~q\ & (\led_flash_cnt[599][2]~q\ & \led_flash_cnt[599][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[599][6]~q\,
	datab => \led_flash_cnt[599][1]~q\,
	datac => \led_flash_cnt[599][2]~q\,
	datad => \led_flash_cnt[599][3]~q\,
	combout => \WideAnd599~0_combout\);

-- Location: LCCOMB_X60_Y28_N14
\led_flash_cnt[599][7]~35278\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[599][7]~35278_combout\ = \led_flash_cnt[599][7]~q\ $ (!\led_flash_cnt[599][6]~35277\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[599][7]~q\,
	cin => \led_flash_cnt[599][6]~35277\,
	combout => \led_flash_cnt[599][7]~35278_combout\);

-- Location: FF_X60_Y28_N15
\led_flash_cnt[599][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[599][7]~35278_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[599][7]~q\);

-- Location: LCCOMB_X60_Y28_N20
WideAnd599 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd599~combout\ = (\WideAnd599~1_combout\ & (\WideAnd599~0_combout\ & (\led_flash_cnt[599][7]~q\ & \led_flash_cnt[599][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd599~1_combout\,
	datab => \WideAnd599~0_combout\,
	datac => \led_flash_cnt[599][7]~q\,
	datad => \led_flash_cnt[599][5]~q\,
	combout => \WideAnd599~combout\);

-- Location: FF_X60_Y28_N21
\led_flash_cnt_ands[599]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd599~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(599));

-- Location: LCCOMB_X58_Y24_N2
\led_flash_cnt[597][0]~81237\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[597][0]~81237_combout\ = !\led_flash_cnt[597][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[597][0]~q\,
	combout => \led_flash_cnt[597][0]~81237_combout\);

-- Location: FF_X58_Y24_N3
\led_flash_cnt[597][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[597][0]~81237_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[597][0]~q\);

-- Location: LCCOMB_X57_Y24_N16
\led_flash_cnt[597][1]~35238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[597][1]~35238_combout\ = (\led_flash_cnt[597][0]~q\ & (\led_flash_cnt[597][1]~q\ $ (VCC))) # (!\led_flash_cnt[597][0]~q\ & (\led_flash_cnt[597][1]~q\ & VCC))
-- \led_flash_cnt[597][1]~35239\ = CARRY((\led_flash_cnt[597][0]~q\ & \led_flash_cnt[597][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[597][0]~q\,
	datab => \led_flash_cnt[597][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[597][1]~35238_combout\,
	cout => \led_flash_cnt[597][1]~35239\);

-- Location: FF_X57_Y24_N17
\led_flash_cnt[597][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[597][1]~35238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[597][1]~q\);

-- Location: LCCOMB_X57_Y24_N18
\led_flash_cnt[597][2]~35240\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[597][2]~35240_combout\ = (\led_flash_cnt[597][2]~q\ & (!\led_flash_cnt[597][1]~35239\)) # (!\led_flash_cnt[597][2]~q\ & ((\led_flash_cnt[597][1]~35239\) # (GND)))
-- \led_flash_cnt[597][2]~35241\ = CARRY((!\led_flash_cnt[597][1]~35239\) # (!\led_flash_cnt[597][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[597][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[597][1]~35239\,
	combout => \led_flash_cnt[597][2]~35240_combout\,
	cout => \led_flash_cnt[597][2]~35241\);

-- Location: FF_X57_Y24_N19
\led_flash_cnt[597][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[597][2]~35240_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[597][2]~q\);

-- Location: LCCOMB_X57_Y24_N20
\led_flash_cnt[597][3]~35242\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[597][3]~35242_combout\ = (\led_flash_cnt[597][3]~q\ & (\led_flash_cnt[597][2]~35241\ $ (GND))) # (!\led_flash_cnt[597][3]~q\ & (!\led_flash_cnt[597][2]~35241\ & VCC))
-- \led_flash_cnt[597][3]~35243\ = CARRY((\led_flash_cnt[597][3]~q\ & !\led_flash_cnt[597][2]~35241\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[597][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[597][2]~35241\,
	combout => \led_flash_cnt[597][3]~35242_combout\,
	cout => \led_flash_cnt[597][3]~35243\);

-- Location: FF_X57_Y24_N21
\led_flash_cnt[597][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[597][3]~35242_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[597][3]~q\);

-- Location: LCCOMB_X57_Y24_N22
\led_flash_cnt[597][4]~35244\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[597][4]~35244_combout\ = (\led_flash_cnt[597][4]~q\ & (!\led_flash_cnt[597][3]~35243\)) # (!\led_flash_cnt[597][4]~q\ & ((\led_flash_cnt[597][3]~35243\) # (GND)))
-- \led_flash_cnt[597][4]~35245\ = CARRY((!\led_flash_cnt[597][3]~35243\) # (!\led_flash_cnt[597][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[597][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[597][3]~35243\,
	combout => \led_flash_cnt[597][4]~35244_combout\,
	cout => \led_flash_cnt[597][4]~35245\);

-- Location: FF_X57_Y24_N23
\led_flash_cnt[597][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[597][4]~35244_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[597][4]~q\);

-- Location: LCCOMB_X57_Y24_N14
\WideAnd597~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd597~0_combout\ = (\led_flash_cnt[597][3]~q\ & (\led_flash_cnt[597][2]~q\ & (\led_flash_cnt[597][4]~q\ & \led_flash_cnt[597][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[597][3]~q\,
	datab => \led_flash_cnt[597][2]~q\,
	datac => \led_flash_cnt[597][4]~q\,
	datad => \led_flash_cnt[597][1]~q\,
	combout => \WideAnd597~0_combout\);

-- Location: LCCOMB_X57_Y24_N24
\led_flash_cnt[597][5]~35246\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[597][5]~35246_combout\ = (\led_flash_cnt[597][5]~q\ & (\led_flash_cnt[597][4]~35245\ $ (GND))) # (!\led_flash_cnt[597][5]~q\ & (!\led_flash_cnt[597][4]~35245\ & VCC))
-- \led_flash_cnt[597][5]~35247\ = CARRY((\led_flash_cnt[597][5]~q\ & !\led_flash_cnt[597][4]~35245\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[597][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[597][4]~35245\,
	combout => \led_flash_cnt[597][5]~35246_combout\,
	cout => \led_flash_cnt[597][5]~35247\);

-- Location: FF_X57_Y24_N25
\led_flash_cnt[597][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[597][5]~35246_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[597][5]~q\);

-- Location: LCCOMB_X57_Y24_N26
\led_flash_cnt[597][6]~35248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[597][6]~35248_combout\ = (\led_flash_cnt[597][6]~q\ & (!\led_flash_cnt[597][5]~35247\)) # (!\led_flash_cnt[597][6]~q\ & ((\led_flash_cnt[597][5]~35247\) # (GND)))
-- \led_flash_cnt[597][6]~35249\ = CARRY((!\led_flash_cnt[597][5]~35247\) # (!\led_flash_cnt[597][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[597][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[597][5]~35247\,
	combout => \led_flash_cnt[597][6]~35248_combout\,
	cout => \led_flash_cnt[597][6]~35249\);

-- Location: FF_X57_Y24_N27
\led_flash_cnt[597][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[597][6]~35248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[597][6]~q\);

-- Location: LCCOMB_X57_Y24_N28
\led_flash_cnt[597][7]~35250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[597][7]~35250_combout\ = \led_flash_cnt[597][6]~35249\ $ (!\led_flash_cnt[597][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[597][7]~q\,
	cin => \led_flash_cnt[597][6]~35249\,
	combout => \led_flash_cnt[597][7]~35250_combout\);

-- Location: FF_X57_Y24_N29
\led_flash_cnt[597][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[597][7]~35250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[597][7]~q\);

-- Location: LCCOMB_X58_Y24_N20
\WideAnd597~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd597~1_combout\ = (\led_flash_cnt[597][6]~q\ & \led_flash_cnt[597][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[597][6]~q\,
	datad => \led_flash_cnt[597][5]~q\,
	combout => \WideAnd597~1_combout\);

-- Location: LCCOMB_X58_Y24_N18
WideAnd597 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd597~combout\ = (\WideAnd597~0_combout\ & (\led_flash_cnt[597][7]~q\ & (\led_flash_cnt[597][0]~q\ & \WideAnd597~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd597~0_combout\,
	datab => \led_flash_cnt[597][7]~q\,
	datac => \led_flash_cnt[597][0]~q\,
	datad => \WideAnd597~1_combout\,
	combout => \WideAnd597~combout\);

-- Location: FF_X58_Y24_N19
\led_flash_cnt_ands[597]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd597~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(597));

-- Location: LCCOMB_X58_Y24_N0
\led_flash_cnt[596][0]~81236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[596][0]~81236_combout\ = !\led_flash_cnt[596][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[596][0]~q\,
	combout => \led_flash_cnt[596][0]~81236_combout\);

-- Location: FF_X58_Y24_N1
\led_flash_cnt[596][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[596][0]~81236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[596][0]~q\);

-- Location: LCCOMB_X58_Y25_N2
\led_flash_cnt[596][1]~35224\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[596][1]~35224_combout\ = (\led_flash_cnt[596][0]~q\ & (\led_flash_cnt[596][1]~q\ $ (VCC))) # (!\led_flash_cnt[596][0]~q\ & (\led_flash_cnt[596][1]~q\ & VCC))
-- \led_flash_cnt[596][1]~35225\ = CARRY((\led_flash_cnt[596][0]~q\ & \led_flash_cnt[596][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[596][0]~q\,
	datab => \led_flash_cnt[596][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[596][1]~35224_combout\,
	cout => \led_flash_cnt[596][1]~35225\);

-- Location: FF_X58_Y25_N3
\led_flash_cnt[596][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[596][1]~35224_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[596][1]~q\);

-- Location: LCCOMB_X58_Y25_N4
\led_flash_cnt[596][2]~35226\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[596][2]~35226_combout\ = (\led_flash_cnt[596][2]~q\ & (!\led_flash_cnt[596][1]~35225\)) # (!\led_flash_cnt[596][2]~q\ & ((\led_flash_cnt[596][1]~35225\) # (GND)))
-- \led_flash_cnt[596][2]~35227\ = CARRY((!\led_flash_cnt[596][1]~35225\) # (!\led_flash_cnt[596][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[596][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[596][1]~35225\,
	combout => \led_flash_cnt[596][2]~35226_combout\,
	cout => \led_flash_cnt[596][2]~35227\);

-- Location: FF_X58_Y25_N5
\led_flash_cnt[596][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[596][2]~35226_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[596][2]~q\);

-- Location: LCCOMB_X58_Y25_N6
\led_flash_cnt[596][3]~35228\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[596][3]~35228_combout\ = (\led_flash_cnt[596][3]~q\ & (\led_flash_cnt[596][2]~35227\ $ (GND))) # (!\led_flash_cnt[596][3]~q\ & (!\led_flash_cnt[596][2]~35227\ & VCC))
-- \led_flash_cnt[596][3]~35229\ = CARRY((\led_flash_cnt[596][3]~q\ & !\led_flash_cnt[596][2]~35227\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[596][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[596][2]~35227\,
	combout => \led_flash_cnt[596][3]~35228_combout\,
	cout => \led_flash_cnt[596][3]~35229\);

-- Location: FF_X58_Y25_N7
\led_flash_cnt[596][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[596][3]~35228_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[596][3]~q\);

-- Location: LCCOMB_X58_Y25_N8
\led_flash_cnt[596][4]~35230\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[596][4]~35230_combout\ = (\led_flash_cnt[596][4]~q\ & (!\led_flash_cnt[596][3]~35229\)) # (!\led_flash_cnt[596][4]~q\ & ((\led_flash_cnt[596][3]~35229\) # (GND)))
-- \led_flash_cnt[596][4]~35231\ = CARRY((!\led_flash_cnt[596][3]~35229\) # (!\led_flash_cnt[596][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[596][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[596][3]~35229\,
	combout => \led_flash_cnt[596][4]~35230_combout\,
	cout => \led_flash_cnt[596][4]~35231\);

-- Location: FF_X58_Y25_N9
\led_flash_cnt[596][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[596][4]~35230_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[596][4]~q\);

-- Location: LCCOMB_X58_Y25_N10
\led_flash_cnt[596][5]~35232\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[596][5]~35232_combout\ = (\led_flash_cnt[596][5]~q\ & (\led_flash_cnt[596][4]~35231\ $ (GND))) # (!\led_flash_cnt[596][5]~q\ & (!\led_flash_cnt[596][4]~35231\ & VCC))
-- \led_flash_cnt[596][5]~35233\ = CARRY((\led_flash_cnt[596][5]~q\ & !\led_flash_cnt[596][4]~35231\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[596][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[596][4]~35231\,
	combout => \led_flash_cnt[596][5]~35232_combout\,
	cout => \led_flash_cnt[596][5]~35233\);

-- Location: FF_X58_Y25_N11
\led_flash_cnt[596][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[596][5]~35232_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[596][5]~q\);

-- Location: LCCOMB_X58_Y25_N12
\led_flash_cnt[596][6]~35234\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[596][6]~35234_combout\ = (\led_flash_cnt[596][6]~q\ & (!\led_flash_cnt[596][5]~35233\)) # (!\led_flash_cnt[596][6]~q\ & ((\led_flash_cnt[596][5]~35233\) # (GND)))
-- \led_flash_cnt[596][6]~35235\ = CARRY((!\led_flash_cnt[596][5]~35233\) # (!\led_flash_cnt[596][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[596][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[596][5]~35233\,
	combout => \led_flash_cnt[596][6]~35234_combout\,
	cout => \led_flash_cnt[596][6]~35235\);

-- Location: FF_X58_Y25_N13
\led_flash_cnt[596][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[596][6]~35234_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[596][6]~q\);

-- Location: LCCOMB_X58_Y25_N14
\led_flash_cnt[596][7]~35236\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[596][7]~35236_combout\ = \led_flash_cnt[596][7]~q\ $ (!\led_flash_cnt[596][6]~35235\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[596][7]~q\,
	cin => \led_flash_cnt[596][6]~35235\,
	combout => \led_flash_cnt[596][7]~35236_combout\);

-- Location: FF_X58_Y25_N15
\led_flash_cnt[596][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[596][7]~35236_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[596][7]~q\);

-- Location: LCCOMB_X58_Y25_N30
\WideAnd596~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd596~0_combout\ = (\led_flash_cnt[596][3]~q\ & (\led_flash_cnt[596][4]~q\ & (\led_flash_cnt[596][2]~q\ & \led_flash_cnt[596][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[596][3]~q\,
	datab => \led_flash_cnt[596][4]~q\,
	datac => \led_flash_cnt[596][2]~q\,
	datad => \led_flash_cnt[596][1]~q\,
	combout => \WideAnd596~0_combout\);

-- Location: LCCOMB_X58_Y25_N0
\WideAnd596~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd596~1_combout\ = (\led_flash_cnt[596][6]~q\ & \led_flash_cnt[596][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[596][6]~q\,
	datad => \led_flash_cnt[596][5]~q\,
	combout => \WideAnd596~1_combout\);

-- Location: LCCOMB_X58_Y24_N28
WideAnd596 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd596~combout\ = (\led_flash_cnt[596][7]~q\ & (\led_flash_cnt[596][0]~q\ & (\WideAnd596~0_combout\ & \WideAnd596~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[596][7]~q\,
	datab => \led_flash_cnt[596][0]~q\,
	datac => \WideAnd596~0_combout\,
	datad => \WideAnd596~1_combout\,
	combout => \WideAnd596~combout\);

-- Location: FF_X58_Y24_N29
\led_flash_cnt_ands[596]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd596~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(596));

-- Location: LCCOMB_X59_Y24_N24
\WideAnd3914~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3914~1_combout\ = (led_flash_cnt_ands(597) & led_flash_cnt_ands(596))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => led_flash_cnt_ands(597),
	datad => led_flash_cnt_ands(596),
	combout => \WideAnd3914~1_combout\);

-- Location: LCCOMB_X60_Y28_N28
\led_flash_cnt[598][0]~81238\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[598][0]~81238_combout\ = !\led_flash_cnt[598][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[598][0]~q\,
	combout => \led_flash_cnt[598][0]~81238_combout\);

-- Location: FF_X60_Y28_N29
\led_flash_cnt[598][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[598][0]~81238_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[598][0]~q\);

-- Location: LCCOMB_X59_Y28_N16
\led_flash_cnt[598][1]~35252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[598][1]~35252_combout\ = (\led_flash_cnt[598][1]~q\ & (\led_flash_cnt[598][0]~q\ $ (VCC))) # (!\led_flash_cnt[598][1]~q\ & (\led_flash_cnt[598][0]~q\ & VCC))
-- \led_flash_cnt[598][1]~35253\ = CARRY((\led_flash_cnt[598][1]~q\ & \led_flash_cnt[598][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[598][1]~q\,
	datab => \led_flash_cnt[598][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[598][1]~35252_combout\,
	cout => \led_flash_cnt[598][1]~35253\);

-- Location: FF_X59_Y28_N17
\led_flash_cnt[598][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[598][1]~35252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[598][1]~q\);

-- Location: LCCOMB_X59_Y28_N18
\led_flash_cnt[598][2]~35254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[598][2]~35254_combout\ = (\led_flash_cnt[598][2]~q\ & (!\led_flash_cnt[598][1]~35253\)) # (!\led_flash_cnt[598][2]~q\ & ((\led_flash_cnt[598][1]~35253\) # (GND)))
-- \led_flash_cnt[598][2]~35255\ = CARRY((!\led_flash_cnt[598][1]~35253\) # (!\led_flash_cnt[598][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[598][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[598][1]~35253\,
	combout => \led_flash_cnt[598][2]~35254_combout\,
	cout => \led_flash_cnt[598][2]~35255\);

-- Location: FF_X59_Y28_N19
\led_flash_cnt[598][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[598][2]~35254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[598][2]~q\);

-- Location: LCCOMB_X59_Y28_N20
\led_flash_cnt[598][3]~35256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[598][3]~35256_combout\ = (\led_flash_cnt[598][3]~q\ & (\led_flash_cnt[598][2]~35255\ $ (GND))) # (!\led_flash_cnt[598][3]~q\ & (!\led_flash_cnt[598][2]~35255\ & VCC))
-- \led_flash_cnt[598][3]~35257\ = CARRY((\led_flash_cnt[598][3]~q\ & !\led_flash_cnt[598][2]~35255\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[598][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[598][2]~35255\,
	combout => \led_flash_cnt[598][3]~35256_combout\,
	cout => \led_flash_cnt[598][3]~35257\);

-- Location: FF_X59_Y28_N21
\led_flash_cnt[598][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[598][3]~35256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[598][3]~q\);

-- Location: LCCOMB_X59_Y28_N22
\led_flash_cnt[598][4]~35258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[598][4]~35258_combout\ = (\led_flash_cnt[598][4]~q\ & (!\led_flash_cnt[598][3]~35257\)) # (!\led_flash_cnt[598][4]~q\ & ((\led_flash_cnt[598][3]~35257\) # (GND)))
-- \led_flash_cnt[598][4]~35259\ = CARRY((!\led_flash_cnt[598][3]~35257\) # (!\led_flash_cnt[598][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[598][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[598][3]~35257\,
	combout => \led_flash_cnt[598][4]~35258_combout\,
	cout => \led_flash_cnt[598][4]~35259\);

-- Location: FF_X59_Y28_N23
\led_flash_cnt[598][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[598][4]~35258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[598][4]~q\);

-- Location: LCCOMB_X59_Y28_N14
\WideAnd598~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd598~0_combout\ = (\led_flash_cnt[598][1]~q\ & (\led_flash_cnt[598][2]~q\ & (\led_flash_cnt[598][4]~q\ & \led_flash_cnt[598][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[598][1]~q\,
	datab => \led_flash_cnt[598][2]~q\,
	datac => \led_flash_cnt[598][4]~q\,
	datad => \led_flash_cnt[598][3]~q\,
	combout => \WideAnd598~0_combout\);

-- Location: LCCOMB_X59_Y28_N24
\led_flash_cnt[598][5]~35260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[598][5]~35260_combout\ = (\led_flash_cnt[598][5]~q\ & (\led_flash_cnt[598][4]~35259\ $ (GND))) # (!\led_flash_cnt[598][5]~q\ & (!\led_flash_cnt[598][4]~35259\ & VCC))
-- \led_flash_cnt[598][5]~35261\ = CARRY((\led_flash_cnt[598][5]~q\ & !\led_flash_cnt[598][4]~35259\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[598][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[598][4]~35259\,
	combout => \led_flash_cnt[598][5]~35260_combout\,
	cout => \led_flash_cnt[598][5]~35261\);

-- Location: FF_X59_Y28_N25
\led_flash_cnt[598][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[598][5]~35260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[598][5]~q\);

-- Location: LCCOMB_X59_Y28_N26
\led_flash_cnt[598][6]~35262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[598][6]~35262_combout\ = (\led_flash_cnt[598][6]~q\ & (!\led_flash_cnt[598][5]~35261\)) # (!\led_flash_cnt[598][6]~q\ & ((\led_flash_cnt[598][5]~35261\) # (GND)))
-- \led_flash_cnt[598][6]~35263\ = CARRY((!\led_flash_cnt[598][5]~35261\) # (!\led_flash_cnt[598][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[598][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[598][5]~35261\,
	combout => \led_flash_cnt[598][6]~35262_combout\,
	cout => \led_flash_cnt[598][6]~35263\);

-- Location: FF_X59_Y28_N27
\led_flash_cnt[598][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[598][6]~35262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[598][6]~q\);

-- Location: LCCOMB_X59_Y28_N28
\led_flash_cnt[598][7]~35264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[598][7]~35264_combout\ = \led_flash_cnt[598][6]~35263\ $ (!\led_flash_cnt[598][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[598][7]~q\,
	cin => \led_flash_cnt[598][6]~35263\,
	combout => \led_flash_cnt[598][7]~35264_combout\);

-- Location: FF_X59_Y28_N29
\led_flash_cnt[598][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[598][7]~35264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[598][7]~q\);

-- Location: LCCOMB_X60_Y28_N22
\WideAnd598~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd598~1_combout\ = (\led_flash_cnt[598][6]~q\ & \led_flash_cnt[598][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[598][6]~q\,
	datad => \led_flash_cnt[598][5]~q\,
	combout => \WideAnd598~1_combout\);

-- Location: LCCOMB_X60_Y28_N16
WideAnd598 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd598~combout\ = (\WideAnd598~0_combout\ & (\led_flash_cnt[598][7]~q\ & (\WideAnd598~1_combout\ & \led_flash_cnt[598][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd598~0_combout\,
	datab => \led_flash_cnt[598][7]~q\,
	datac => \WideAnd598~1_combout\,
	datad => \led_flash_cnt[598][0]~q\,
	combout => \WideAnd598~combout\);

-- Location: FF_X60_Y28_N17
\led_flash_cnt_ands[598]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd598~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(598));

-- Location: LCCOMB_X60_Y28_N0
WideAnd3914 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3914~combout\ = (\WideAnd3914~0_combout\ & (led_flash_cnt_ands(599) & (\WideAnd3914~1_combout\ & led_flash_cnt_ands(598))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3914~0_combout\,
	datab => led_flash_cnt_ands(599),
	datac => \WideAnd3914~1_combout\,
	datad => led_flash_cnt_ands(598),
	combout => \WideAnd3914~combout\);

-- Location: FF_X60_Y28_N1
\led_flash_cnt_ands_1[74]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3914~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(74));

-- Location: LCCOMB_X60_Y28_N18
\WideAnd4329~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4329~0_combout\ = (led_flash_cnt_ands_1(75) & (led_flash_cnt_ands_1(72) & (led_flash_cnt_ands_1(73) & led_flash_cnt_ands_1(74))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(75),
	datab => led_flash_cnt_ands_1(72),
	datac => led_flash_cnt_ands_1(73),
	datad => led_flash_cnt_ands_1(74),
	combout => \WideAnd4329~0_combout\);

-- Location: LCCOMB_X75_Y13_N2
\led_flash_cnt[611][0]~81251\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[611][0]~81251_combout\ = !\led_flash_cnt[611][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[611][0]~q\,
	combout => \led_flash_cnt[611][0]~81251_combout\);

-- Location: FF_X75_Y13_N3
\led_flash_cnt[611][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[611][0]~81251_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[611][0]~q\);

-- Location: LCCOMB_X74_Y13_N2
\led_flash_cnt[611][1]~35434\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[611][1]~35434_combout\ = (\led_flash_cnt[611][0]~q\ & (\led_flash_cnt[611][1]~q\ $ (VCC))) # (!\led_flash_cnt[611][0]~q\ & (\led_flash_cnt[611][1]~q\ & VCC))
-- \led_flash_cnt[611][1]~35435\ = CARRY((\led_flash_cnt[611][0]~q\ & \led_flash_cnt[611][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[611][0]~q\,
	datab => \led_flash_cnt[611][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[611][1]~35434_combout\,
	cout => \led_flash_cnt[611][1]~35435\);

-- Location: FF_X74_Y13_N3
\led_flash_cnt[611][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[611][1]~35434_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[611][1]~q\);

-- Location: LCCOMB_X74_Y13_N4
\led_flash_cnt[611][2]~35436\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[611][2]~35436_combout\ = (\led_flash_cnt[611][2]~q\ & (!\led_flash_cnt[611][1]~35435\)) # (!\led_flash_cnt[611][2]~q\ & ((\led_flash_cnt[611][1]~35435\) # (GND)))
-- \led_flash_cnt[611][2]~35437\ = CARRY((!\led_flash_cnt[611][1]~35435\) # (!\led_flash_cnt[611][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[611][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[611][1]~35435\,
	combout => \led_flash_cnt[611][2]~35436_combout\,
	cout => \led_flash_cnt[611][2]~35437\);

-- Location: FF_X74_Y13_N5
\led_flash_cnt[611][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[611][2]~35436_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[611][2]~q\);

-- Location: LCCOMB_X74_Y13_N6
\led_flash_cnt[611][3]~35438\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[611][3]~35438_combout\ = (\led_flash_cnt[611][3]~q\ & (\led_flash_cnt[611][2]~35437\ $ (GND))) # (!\led_flash_cnt[611][3]~q\ & (!\led_flash_cnt[611][2]~35437\ & VCC))
-- \led_flash_cnt[611][3]~35439\ = CARRY((\led_flash_cnt[611][3]~q\ & !\led_flash_cnt[611][2]~35437\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[611][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[611][2]~35437\,
	combout => \led_flash_cnt[611][3]~35438_combout\,
	cout => \led_flash_cnt[611][3]~35439\);

-- Location: FF_X74_Y13_N7
\led_flash_cnt[611][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[611][3]~35438_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[611][3]~q\);

-- Location: LCCOMB_X74_Y13_N8
\led_flash_cnt[611][4]~35440\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[611][4]~35440_combout\ = (\led_flash_cnt[611][4]~q\ & (!\led_flash_cnt[611][3]~35439\)) # (!\led_flash_cnt[611][4]~q\ & ((\led_flash_cnt[611][3]~35439\) # (GND)))
-- \led_flash_cnt[611][4]~35441\ = CARRY((!\led_flash_cnt[611][3]~35439\) # (!\led_flash_cnt[611][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[611][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[611][3]~35439\,
	combout => \led_flash_cnt[611][4]~35440_combout\,
	cout => \led_flash_cnt[611][4]~35441\);

-- Location: FF_X74_Y13_N9
\led_flash_cnt[611][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[611][4]~35440_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[611][4]~q\);

-- Location: LCCOMB_X74_Y13_N10
\led_flash_cnt[611][5]~35442\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[611][5]~35442_combout\ = (\led_flash_cnt[611][5]~q\ & (\led_flash_cnt[611][4]~35441\ $ (GND))) # (!\led_flash_cnt[611][5]~q\ & (!\led_flash_cnt[611][4]~35441\ & VCC))
-- \led_flash_cnt[611][5]~35443\ = CARRY((\led_flash_cnt[611][5]~q\ & !\led_flash_cnt[611][4]~35441\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[611][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[611][4]~35441\,
	combout => \led_flash_cnt[611][5]~35442_combout\,
	cout => \led_flash_cnt[611][5]~35443\);

-- Location: FF_X74_Y13_N11
\led_flash_cnt[611][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[611][5]~35442_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[611][5]~q\);

-- Location: LCCOMB_X74_Y13_N12
\led_flash_cnt[611][6]~35444\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[611][6]~35444_combout\ = (\led_flash_cnt[611][6]~q\ & (!\led_flash_cnt[611][5]~35443\)) # (!\led_flash_cnt[611][6]~q\ & ((\led_flash_cnt[611][5]~35443\) # (GND)))
-- \led_flash_cnt[611][6]~35445\ = CARRY((!\led_flash_cnt[611][5]~35443\) # (!\led_flash_cnt[611][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[611][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[611][5]~35443\,
	combout => \led_flash_cnt[611][6]~35444_combout\,
	cout => \led_flash_cnt[611][6]~35445\);

-- Location: FF_X74_Y13_N13
\led_flash_cnt[611][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[611][6]~35444_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[611][6]~q\);

-- Location: LCCOMB_X74_Y13_N14
\led_flash_cnt[611][7]~35446\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[611][7]~35446_combout\ = \led_flash_cnt[611][7]~q\ $ (!\led_flash_cnt[611][6]~35445\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[611][7]~q\,
	cin => \led_flash_cnt[611][6]~35445\,
	combout => \led_flash_cnt[611][7]~35446_combout\);

-- Location: FF_X74_Y13_N15
\led_flash_cnt[611][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[611][7]~35446_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[611][7]~q\);

-- Location: LCCOMB_X75_Y13_N28
\WideAnd611~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd611~1_combout\ = (\led_flash_cnt[611][6]~q\ & \led_flash_cnt[611][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[611][6]~q\,
	datad => \led_flash_cnt[611][5]~q\,
	combout => \WideAnd611~1_combout\);

-- Location: LCCOMB_X74_Y13_N0
\WideAnd611~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd611~0_combout\ = (\led_flash_cnt[611][3]~q\ & (\led_flash_cnt[611][4]~q\ & (\led_flash_cnt[611][2]~q\ & \led_flash_cnt[611][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[611][3]~q\,
	datab => \led_flash_cnt[611][4]~q\,
	datac => \led_flash_cnt[611][2]~q\,
	datad => \led_flash_cnt[611][1]~q\,
	combout => \WideAnd611~0_combout\);

-- Location: LCCOMB_X75_Y13_N6
WideAnd611 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd611~combout\ = (\led_flash_cnt[611][7]~q\ & (\WideAnd611~1_combout\ & (\WideAnd611~0_combout\ & \led_flash_cnt[611][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[611][7]~q\,
	datab => \WideAnd611~1_combout\,
	datac => \WideAnd611~0_combout\,
	datad => \led_flash_cnt[611][0]~q\,
	combout => \WideAnd611~combout\);

-- Location: FF_X75_Y13_N7
\led_flash_cnt_ands[611]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd611~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(611));

-- Location: LCCOMB_X75_Y9_N24
\led_flash_cnt[609][0]~81249\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[609][0]~81249_combout\ = !\led_flash_cnt[609][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[609][0]~q\,
	combout => \led_flash_cnt[609][0]~81249_combout\);

-- Location: FF_X75_Y9_N25
\led_flash_cnt[609][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[609][0]~81249_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[609][0]~q\);

-- Location: LCCOMB_X75_Y9_N10
\led_flash_cnt[609][1]~35406\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[609][1]~35406_combout\ = (\led_flash_cnt[609][1]~q\ & (\led_flash_cnt[609][0]~q\ $ (VCC))) # (!\led_flash_cnt[609][1]~q\ & (\led_flash_cnt[609][0]~q\ & VCC))
-- \led_flash_cnt[609][1]~35407\ = CARRY((\led_flash_cnt[609][1]~q\ & \led_flash_cnt[609][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[609][1]~q\,
	datab => \led_flash_cnt[609][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[609][1]~35406_combout\,
	cout => \led_flash_cnt[609][1]~35407\);

-- Location: FF_X75_Y9_N11
\led_flash_cnt[609][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[609][1]~35406_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[609][1]~q\);

-- Location: LCCOMB_X75_Y9_N12
\led_flash_cnt[609][2]~35408\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[609][2]~35408_combout\ = (\led_flash_cnt[609][2]~q\ & (!\led_flash_cnt[609][1]~35407\)) # (!\led_flash_cnt[609][2]~q\ & ((\led_flash_cnt[609][1]~35407\) # (GND)))
-- \led_flash_cnt[609][2]~35409\ = CARRY((!\led_flash_cnt[609][1]~35407\) # (!\led_flash_cnt[609][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[609][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[609][1]~35407\,
	combout => \led_flash_cnt[609][2]~35408_combout\,
	cout => \led_flash_cnt[609][2]~35409\);

-- Location: FF_X75_Y9_N13
\led_flash_cnt[609][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[609][2]~35408_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[609][2]~q\);

-- Location: LCCOMB_X75_Y9_N14
\led_flash_cnt[609][3]~35410\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[609][3]~35410_combout\ = (\led_flash_cnt[609][3]~q\ & (\led_flash_cnt[609][2]~35409\ $ (GND))) # (!\led_flash_cnt[609][3]~q\ & (!\led_flash_cnt[609][2]~35409\ & VCC))
-- \led_flash_cnt[609][3]~35411\ = CARRY((\led_flash_cnt[609][3]~q\ & !\led_flash_cnt[609][2]~35409\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[609][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[609][2]~35409\,
	combout => \led_flash_cnt[609][3]~35410_combout\,
	cout => \led_flash_cnt[609][3]~35411\);

-- Location: FF_X75_Y9_N15
\led_flash_cnt[609][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[609][3]~35410_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[609][3]~q\);

-- Location: LCCOMB_X75_Y9_N16
\led_flash_cnt[609][4]~35412\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[609][4]~35412_combout\ = (\led_flash_cnt[609][4]~q\ & (!\led_flash_cnt[609][3]~35411\)) # (!\led_flash_cnt[609][4]~q\ & ((\led_flash_cnt[609][3]~35411\) # (GND)))
-- \led_flash_cnt[609][4]~35413\ = CARRY((!\led_flash_cnt[609][3]~35411\) # (!\led_flash_cnt[609][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[609][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[609][3]~35411\,
	combout => \led_flash_cnt[609][4]~35412_combout\,
	cout => \led_flash_cnt[609][4]~35413\);

-- Location: FF_X75_Y9_N17
\led_flash_cnt[609][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[609][4]~35412_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[609][4]~q\);

-- Location: LCCOMB_X75_Y9_N18
\led_flash_cnt[609][5]~35414\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[609][5]~35414_combout\ = (\led_flash_cnt[609][5]~q\ & (\led_flash_cnt[609][4]~35413\ $ (GND))) # (!\led_flash_cnt[609][5]~q\ & (!\led_flash_cnt[609][4]~35413\ & VCC))
-- \led_flash_cnt[609][5]~35415\ = CARRY((\led_flash_cnt[609][5]~q\ & !\led_flash_cnt[609][4]~35413\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[609][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[609][4]~35413\,
	combout => \led_flash_cnt[609][5]~35414_combout\,
	cout => \led_flash_cnt[609][5]~35415\);

-- Location: FF_X75_Y9_N19
\led_flash_cnt[609][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[609][5]~35414_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[609][5]~q\);

-- Location: LCCOMB_X75_Y9_N20
\led_flash_cnt[609][6]~35416\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[609][6]~35416_combout\ = (\led_flash_cnt[609][6]~q\ & (!\led_flash_cnt[609][5]~35415\)) # (!\led_flash_cnt[609][6]~q\ & ((\led_flash_cnt[609][5]~35415\) # (GND)))
-- \led_flash_cnt[609][6]~35417\ = CARRY((!\led_flash_cnt[609][5]~35415\) # (!\led_flash_cnt[609][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[609][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[609][5]~35415\,
	combout => \led_flash_cnt[609][6]~35416_combout\,
	cout => \led_flash_cnt[609][6]~35417\);

-- Location: FF_X75_Y9_N21
\led_flash_cnt[609][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[609][6]~35416_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[609][6]~q\);

-- Location: LCCOMB_X75_Y9_N26
\WideAnd609~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd609~1_combout\ = (\led_flash_cnt[609][5]~q\ & \led_flash_cnt[609][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[609][5]~q\,
	datad => \led_flash_cnt[609][6]~q\,
	combout => \WideAnd609~1_combout\);

-- Location: LCCOMB_X75_Y9_N22
\led_flash_cnt[609][7]~35418\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[609][7]~35418_combout\ = \led_flash_cnt[609][7]~q\ $ (!\led_flash_cnt[609][6]~35417\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[609][7]~q\,
	cin => \led_flash_cnt[609][6]~35417\,
	combout => \led_flash_cnt[609][7]~35418_combout\);

-- Location: FF_X75_Y9_N23
\led_flash_cnt[609][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[609][7]~35418_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[609][7]~q\);

-- Location: LCCOMB_X75_Y9_N28
\WideAnd609~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd609~0_combout\ = (\led_flash_cnt[609][2]~q\ & (\led_flash_cnt[609][4]~q\ & (\led_flash_cnt[609][3]~q\ & \led_flash_cnt[609][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[609][2]~q\,
	datab => \led_flash_cnt[609][4]~q\,
	datac => \led_flash_cnt[609][3]~q\,
	datad => \led_flash_cnt[609][1]~q\,
	combout => \WideAnd609~0_combout\);

-- Location: LCCOMB_X75_Y9_N4
WideAnd609 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd609~combout\ = (\WideAnd609~1_combout\ & (\led_flash_cnt[609][0]~q\ & (\led_flash_cnt[609][7]~q\ & \WideAnd609~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd609~1_combout\,
	datab => \led_flash_cnt[609][0]~q\,
	datac => \led_flash_cnt[609][7]~q\,
	datad => \WideAnd609~0_combout\,
	combout => \WideAnd609~combout\);

-- Location: FF_X75_Y9_N5
\led_flash_cnt_ands[609]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd609~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(609));

-- Location: LCCOMB_X57_Y15_N10
\led_flash_cnt[610][0]~81250\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[610][0]~81250_combout\ = !\led_flash_cnt[610][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[610][0]~q\,
	combout => \led_flash_cnt[610][0]~81250_combout\);

-- Location: FF_X57_Y15_N11
\led_flash_cnt[610][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[610][0]~81250_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[610][0]~q\);

-- Location: LCCOMB_X57_Y15_N12
\led_flash_cnt[610][1]~35420\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[610][1]~35420_combout\ = (\led_flash_cnt[610][1]~q\ & (\led_flash_cnt[610][0]~q\ $ (VCC))) # (!\led_flash_cnt[610][1]~q\ & (\led_flash_cnt[610][0]~q\ & VCC))
-- \led_flash_cnt[610][1]~35421\ = CARRY((\led_flash_cnt[610][1]~q\ & \led_flash_cnt[610][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[610][1]~q\,
	datab => \led_flash_cnt[610][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[610][1]~35420_combout\,
	cout => \led_flash_cnt[610][1]~35421\);

-- Location: FF_X57_Y15_N13
\led_flash_cnt[610][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[610][1]~35420_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[610][1]~q\);

-- Location: LCCOMB_X57_Y15_N14
\led_flash_cnt[610][2]~35422\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[610][2]~35422_combout\ = (\led_flash_cnt[610][2]~q\ & (!\led_flash_cnt[610][1]~35421\)) # (!\led_flash_cnt[610][2]~q\ & ((\led_flash_cnt[610][1]~35421\) # (GND)))
-- \led_flash_cnt[610][2]~35423\ = CARRY((!\led_flash_cnt[610][1]~35421\) # (!\led_flash_cnt[610][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[610][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[610][1]~35421\,
	combout => \led_flash_cnt[610][2]~35422_combout\,
	cout => \led_flash_cnt[610][2]~35423\);

-- Location: FF_X57_Y15_N15
\led_flash_cnt[610][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[610][2]~35422_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[610][2]~q\);

-- Location: LCCOMB_X57_Y15_N16
\led_flash_cnt[610][3]~35424\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[610][3]~35424_combout\ = (\led_flash_cnt[610][3]~q\ & (\led_flash_cnt[610][2]~35423\ $ (GND))) # (!\led_flash_cnt[610][3]~q\ & (!\led_flash_cnt[610][2]~35423\ & VCC))
-- \led_flash_cnt[610][3]~35425\ = CARRY((\led_flash_cnt[610][3]~q\ & !\led_flash_cnt[610][2]~35423\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[610][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[610][2]~35423\,
	combout => \led_flash_cnt[610][3]~35424_combout\,
	cout => \led_flash_cnt[610][3]~35425\);

-- Location: FF_X57_Y15_N17
\led_flash_cnt[610][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[610][3]~35424_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[610][3]~q\);

-- Location: LCCOMB_X57_Y15_N18
\led_flash_cnt[610][4]~35426\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[610][4]~35426_combout\ = (\led_flash_cnt[610][4]~q\ & (!\led_flash_cnt[610][3]~35425\)) # (!\led_flash_cnt[610][4]~q\ & ((\led_flash_cnt[610][3]~35425\) # (GND)))
-- \led_flash_cnt[610][4]~35427\ = CARRY((!\led_flash_cnt[610][3]~35425\) # (!\led_flash_cnt[610][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[610][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[610][3]~35425\,
	combout => \led_flash_cnt[610][4]~35426_combout\,
	cout => \led_flash_cnt[610][4]~35427\);

-- Location: FF_X57_Y15_N19
\led_flash_cnt[610][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[610][4]~35426_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[610][4]~q\);

-- Location: LCCOMB_X57_Y15_N20
\led_flash_cnt[610][5]~35428\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[610][5]~35428_combout\ = (\led_flash_cnt[610][5]~q\ & (\led_flash_cnt[610][4]~35427\ $ (GND))) # (!\led_flash_cnt[610][5]~q\ & (!\led_flash_cnt[610][4]~35427\ & VCC))
-- \led_flash_cnt[610][5]~35429\ = CARRY((\led_flash_cnt[610][5]~q\ & !\led_flash_cnt[610][4]~35427\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[610][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[610][4]~35427\,
	combout => \led_flash_cnt[610][5]~35428_combout\,
	cout => \led_flash_cnt[610][5]~35429\);

-- Location: FF_X57_Y15_N21
\led_flash_cnt[610][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[610][5]~35428_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[610][5]~q\);

-- Location: LCCOMB_X57_Y15_N22
\led_flash_cnt[610][6]~35430\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[610][6]~35430_combout\ = (\led_flash_cnt[610][6]~q\ & (!\led_flash_cnt[610][5]~35429\)) # (!\led_flash_cnt[610][6]~q\ & ((\led_flash_cnt[610][5]~35429\) # (GND)))
-- \led_flash_cnt[610][6]~35431\ = CARRY((!\led_flash_cnt[610][5]~35429\) # (!\led_flash_cnt[610][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[610][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[610][5]~35429\,
	combout => \led_flash_cnt[610][6]~35430_combout\,
	cout => \led_flash_cnt[610][6]~35431\);

-- Location: FF_X57_Y15_N23
\led_flash_cnt[610][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[610][6]~35430_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[610][6]~q\);

-- Location: LCCOMB_X57_Y15_N24
\led_flash_cnt[610][7]~35432\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[610][7]~35432_combout\ = \led_flash_cnt[610][6]~35431\ $ (!\led_flash_cnt[610][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[610][7]~q\,
	cin => \led_flash_cnt[610][6]~35431\,
	combout => \led_flash_cnt[610][7]~35432_combout\);

-- Location: FF_X57_Y15_N25
\led_flash_cnt[610][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[610][7]~35432_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[610][7]~q\);

-- Location: LCCOMB_X57_Y15_N26
\WideAnd610~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd610~0_combout\ = (\led_flash_cnt[610][1]~q\ & (\led_flash_cnt[610][4]~q\ & (\led_flash_cnt[610][2]~q\ & \led_flash_cnt[610][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[610][1]~q\,
	datab => \led_flash_cnt[610][4]~q\,
	datac => \led_flash_cnt[610][2]~q\,
	datad => \led_flash_cnt[610][3]~q\,
	combout => \WideAnd610~0_combout\);

-- Location: LCCOMB_X57_Y15_N2
\WideAnd610~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd610~1_combout\ = (\led_flash_cnt[610][6]~q\ & \led_flash_cnt[610][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[610][6]~q\,
	datad => \led_flash_cnt[610][5]~q\,
	combout => \WideAnd610~1_combout\);

-- Location: LCCOMB_X57_Y15_N4
WideAnd610 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd610~combout\ = (\led_flash_cnt[610][0]~q\ & (\led_flash_cnt[610][7]~q\ & (\WideAnd610~0_combout\ & \WideAnd610~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[610][0]~q\,
	datab => \led_flash_cnt[610][7]~q\,
	datac => \WideAnd610~0_combout\,
	datad => \WideAnd610~1_combout\,
	combout => \WideAnd610~combout\);

-- Location: FF_X57_Y15_N5
\led_flash_cnt_ands[610]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd610~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(610));

-- Location: LCCOMB_X75_Y13_N30
\led_flash_cnt[608][0]~81248\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[608][0]~81248_combout\ = !\led_flash_cnt[608][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[608][0]~q\,
	combout => \led_flash_cnt[608][0]~81248_combout\);

-- Location: FF_X75_Y13_N31
\led_flash_cnt[608][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[608][0]~81248_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[608][0]~q\);

-- Location: LCCOMB_X75_Y13_N12
\led_flash_cnt[608][1]~35392\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[608][1]~35392_combout\ = (\led_flash_cnt[608][1]~q\ & (\led_flash_cnt[608][0]~q\ $ (VCC))) # (!\led_flash_cnt[608][1]~q\ & (\led_flash_cnt[608][0]~q\ & VCC))
-- \led_flash_cnt[608][1]~35393\ = CARRY((\led_flash_cnt[608][1]~q\ & \led_flash_cnt[608][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[608][1]~q\,
	datab => \led_flash_cnt[608][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[608][1]~35392_combout\,
	cout => \led_flash_cnt[608][1]~35393\);

-- Location: FF_X75_Y13_N13
\led_flash_cnt[608][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[608][1]~35392_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[608][1]~q\);

-- Location: LCCOMB_X75_Y13_N14
\led_flash_cnt[608][2]~35394\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[608][2]~35394_combout\ = (\led_flash_cnt[608][2]~q\ & (!\led_flash_cnt[608][1]~35393\)) # (!\led_flash_cnt[608][2]~q\ & ((\led_flash_cnt[608][1]~35393\) # (GND)))
-- \led_flash_cnt[608][2]~35395\ = CARRY((!\led_flash_cnt[608][1]~35393\) # (!\led_flash_cnt[608][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[608][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[608][1]~35393\,
	combout => \led_flash_cnt[608][2]~35394_combout\,
	cout => \led_flash_cnt[608][2]~35395\);

-- Location: FF_X75_Y13_N15
\led_flash_cnt[608][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[608][2]~35394_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[608][2]~q\);

-- Location: LCCOMB_X75_Y13_N16
\led_flash_cnt[608][3]~35396\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[608][3]~35396_combout\ = (\led_flash_cnt[608][3]~q\ & (\led_flash_cnt[608][2]~35395\ $ (GND))) # (!\led_flash_cnt[608][3]~q\ & (!\led_flash_cnt[608][2]~35395\ & VCC))
-- \led_flash_cnt[608][3]~35397\ = CARRY((\led_flash_cnt[608][3]~q\ & !\led_flash_cnt[608][2]~35395\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[608][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[608][2]~35395\,
	combout => \led_flash_cnt[608][3]~35396_combout\,
	cout => \led_flash_cnt[608][3]~35397\);

-- Location: FF_X75_Y13_N17
\led_flash_cnt[608][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[608][3]~35396_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[608][3]~q\);

-- Location: LCCOMB_X75_Y13_N18
\led_flash_cnt[608][4]~35398\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[608][4]~35398_combout\ = (\led_flash_cnt[608][4]~q\ & (!\led_flash_cnt[608][3]~35397\)) # (!\led_flash_cnt[608][4]~q\ & ((\led_flash_cnt[608][3]~35397\) # (GND)))
-- \led_flash_cnt[608][4]~35399\ = CARRY((!\led_flash_cnt[608][3]~35397\) # (!\led_flash_cnt[608][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[608][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[608][3]~35397\,
	combout => \led_flash_cnt[608][4]~35398_combout\,
	cout => \led_flash_cnt[608][4]~35399\);

-- Location: FF_X75_Y13_N19
\led_flash_cnt[608][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[608][4]~35398_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[608][4]~q\);

-- Location: LCCOMB_X75_Y13_N26
\WideAnd608~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd608~0_combout\ = (\led_flash_cnt[608][1]~q\ & (\led_flash_cnt[608][3]~q\ & (\led_flash_cnt[608][2]~q\ & \led_flash_cnt[608][4]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[608][1]~q\,
	datab => \led_flash_cnt[608][3]~q\,
	datac => \led_flash_cnt[608][2]~q\,
	datad => \led_flash_cnt[608][4]~q\,
	combout => \WideAnd608~0_combout\);

-- Location: LCCOMB_X75_Y13_N20
\led_flash_cnt[608][5]~35400\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[608][5]~35400_combout\ = (\led_flash_cnt[608][5]~q\ & (\led_flash_cnt[608][4]~35399\ $ (GND))) # (!\led_flash_cnt[608][5]~q\ & (!\led_flash_cnt[608][4]~35399\ & VCC))
-- \led_flash_cnt[608][5]~35401\ = CARRY((\led_flash_cnt[608][5]~q\ & !\led_flash_cnt[608][4]~35399\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[608][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[608][4]~35399\,
	combout => \led_flash_cnt[608][5]~35400_combout\,
	cout => \led_flash_cnt[608][5]~35401\);

-- Location: FF_X75_Y13_N21
\led_flash_cnt[608][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[608][5]~35400_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[608][5]~q\);

-- Location: LCCOMB_X75_Y13_N22
\led_flash_cnt[608][6]~35402\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[608][6]~35402_combout\ = (\led_flash_cnt[608][6]~q\ & (!\led_flash_cnt[608][5]~35401\)) # (!\led_flash_cnt[608][6]~q\ & ((\led_flash_cnt[608][5]~35401\) # (GND)))
-- \led_flash_cnt[608][6]~35403\ = CARRY((!\led_flash_cnt[608][5]~35401\) # (!\led_flash_cnt[608][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[608][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[608][5]~35401\,
	combout => \led_flash_cnt[608][6]~35402_combout\,
	cout => \led_flash_cnt[608][6]~35403\);

-- Location: FF_X75_Y13_N23
\led_flash_cnt[608][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[608][6]~35402_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[608][6]~q\);

-- Location: LCCOMB_X75_Y13_N24
\led_flash_cnt[608][7]~35404\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[608][7]~35404_combout\ = \led_flash_cnt[608][6]~35403\ $ (!\led_flash_cnt[608][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[608][7]~q\,
	cin => \led_flash_cnt[608][6]~35403\,
	combout => \led_flash_cnt[608][7]~35404_combout\);

-- Location: FF_X75_Y13_N25
\led_flash_cnt[608][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[608][7]~35404_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[608][7]~q\);

-- Location: LCCOMB_X75_Y13_N0
\WideAnd608~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd608~1_combout\ = (\led_flash_cnt[608][6]~q\ & \led_flash_cnt[608][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[608][6]~q\,
	datad => \led_flash_cnt[608][5]~q\,
	combout => \WideAnd608~1_combout\);

-- Location: LCCOMB_X75_Y13_N10
WideAnd608 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd608~combout\ = (\WideAnd608~0_combout\ & (\led_flash_cnt[608][7]~q\ & (\led_flash_cnt[608][0]~q\ & \WideAnd608~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd608~0_combout\,
	datab => \led_flash_cnt[608][7]~q\,
	datac => \led_flash_cnt[608][0]~q\,
	datad => \WideAnd608~1_combout\,
	combout => \WideAnd608~combout\);

-- Location: FF_X75_Y13_N11
\led_flash_cnt_ands[608]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd608~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(608));

-- Location: LCCOMB_X75_Y13_N8
\WideAnd3916~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3916~0_combout\ = (led_flash_cnt_ands(611) & (led_flash_cnt_ands(609) & (led_flash_cnt_ands(610) & led_flash_cnt_ands(608))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(611),
	datab => led_flash_cnt_ands(609),
	datac => led_flash_cnt_ands(610),
	datad => led_flash_cnt_ands(608),
	combout => \WideAnd3916~0_combout\);

-- Location: LCCOMB_X72_Y17_N24
\led_flash_cnt[612][0]~81252\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[612][0]~81252_combout\ = !\led_flash_cnt[612][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[612][0]~q\,
	combout => \led_flash_cnt[612][0]~81252_combout\);

-- Location: FF_X72_Y17_N25
\led_flash_cnt[612][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[612][0]~81252_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[612][0]~q\);

-- Location: LCCOMB_X72_Y17_N6
\led_flash_cnt[612][1]~35448\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[612][1]~35448_combout\ = (\led_flash_cnt[612][1]~q\ & (\led_flash_cnt[612][0]~q\ $ (VCC))) # (!\led_flash_cnt[612][1]~q\ & (\led_flash_cnt[612][0]~q\ & VCC))
-- \led_flash_cnt[612][1]~35449\ = CARRY((\led_flash_cnt[612][1]~q\ & \led_flash_cnt[612][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[612][1]~q\,
	datab => \led_flash_cnt[612][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[612][1]~35448_combout\,
	cout => \led_flash_cnt[612][1]~35449\);

-- Location: FF_X72_Y17_N7
\led_flash_cnt[612][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[612][1]~35448_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[612][1]~q\);

-- Location: LCCOMB_X72_Y17_N8
\led_flash_cnt[612][2]~35450\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[612][2]~35450_combout\ = (\led_flash_cnt[612][2]~q\ & (!\led_flash_cnt[612][1]~35449\)) # (!\led_flash_cnt[612][2]~q\ & ((\led_flash_cnt[612][1]~35449\) # (GND)))
-- \led_flash_cnt[612][2]~35451\ = CARRY((!\led_flash_cnt[612][1]~35449\) # (!\led_flash_cnt[612][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[612][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[612][1]~35449\,
	combout => \led_flash_cnt[612][2]~35450_combout\,
	cout => \led_flash_cnt[612][2]~35451\);

-- Location: FF_X72_Y17_N9
\led_flash_cnt[612][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[612][2]~35450_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[612][2]~q\);

-- Location: LCCOMB_X72_Y17_N10
\led_flash_cnt[612][3]~35452\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[612][3]~35452_combout\ = (\led_flash_cnt[612][3]~q\ & (\led_flash_cnt[612][2]~35451\ $ (GND))) # (!\led_flash_cnt[612][3]~q\ & (!\led_flash_cnt[612][2]~35451\ & VCC))
-- \led_flash_cnt[612][3]~35453\ = CARRY((\led_flash_cnt[612][3]~q\ & !\led_flash_cnt[612][2]~35451\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[612][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[612][2]~35451\,
	combout => \led_flash_cnt[612][3]~35452_combout\,
	cout => \led_flash_cnt[612][3]~35453\);

-- Location: FF_X72_Y17_N11
\led_flash_cnt[612][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[612][3]~35452_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[612][3]~q\);

-- Location: LCCOMB_X72_Y17_N12
\led_flash_cnt[612][4]~35454\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[612][4]~35454_combout\ = (\led_flash_cnt[612][4]~q\ & (!\led_flash_cnt[612][3]~35453\)) # (!\led_flash_cnt[612][4]~q\ & ((\led_flash_cnt[612][3]~35453\) # (GND)))
-- \led_flash_cnt[612][4]~35455\ = CARRY((!\led_flash_cnt[612][3]~35453\) # (!\led_flash_cnt[612][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[612][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[612][3]~35453\,
	combout => \led_flash_cnt[612][4]~35454_combout\,
	cout => \led_flash_cnt[612][4]~35455\);

-- Location: FF_X72_Y17_N13
\led_flash_cnt[612][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[612][4]~35454_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[612][4]~q\);

-- Location: LCCOMB_X72_Y17_N26
\WideAnd612~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd612~0_combout\ = (\led_flash_cnt[612][3]~q\ & (\led_flash_cnt[612][4]~q\ & (\led_flash_cnt[612][2]~q\ & \led_flash_cnt[612][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[612][3]~q\,
	datab => \led_flash_cnt[612][4]~q\,
	datac => \led_flash_cnt[612][2]~q\,
	datad => \led_flash_cnt[612][1]~q\,
	combout => \WideAnd612~0_combout\);

-- Location: LCCOMB_X72_Y17_N14
\led_flash_cnt[612][5]~35456\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[612][5]~35456_combout\ = (\led_flash_cnt[612][5]~q\ & (\led_flash_cnt[612][4]~35455\ $ (GND))) # (!\led_flash_cnt[612][5]~q\ & (!\led_flash_cnt[612][4]~35455\ & VCC))
-- \led_flash_cnt[612][5]~35457\ = CARRY((\led_flash_cnt[612][5]~q\ & !\led_flash_cnt[612][4]~35455\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[612][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[612][4]~35455\,
	combout => \led_flash_cnt[612][5]~35456_combout\,
	cout => \led_flash_cnt[612][5]~35457\);

-- Location: FF_X72_Y17_N15
\led_flash_cnt[612][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[612][5]~35456_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[612][5]~q\);

-- Location: LCCOMB_X72_Y17_N16
\led_flash_cnt[612][6]~35458\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[612][6]~35458_combout\ = (\led_flash_cnt[612][6]~q\ & (!\led_flash_cnt[612][5]~35457\)) # (!\led_flash_cnt[612][6]~q\ & ((\led_flash_cnt[612][5]~35457\) # (GND)))
-- \led_flash_cnt[612][6]~35459\ = CARRY((!\led_flash_cnt[612][5]~35457\) # (!\led_flash_cnt[612][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[612][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[612][5]~35457\,
	combout => \led_flash_cnt[612][6]~35458_combout\,
	cout => \led_flash_cnt[612][6]~35459\);

-- Location: FF_X72_Y17_N17
\led_flash_cnt[612][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[612][6]~35458_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[612][6]~q\);

-- Location: LCCOMB_X72_Y17_N18
\led_flash_cnt[612][7]~35460\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[612][7]~35460_combout\ = \led_flash_cnt[612][6]~35459\ $ (!\led_flash_cnt[612][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[612][7]~q\,
	cin => \led_flash_cnt[612][6]~35459\,
	combout => \led_flash_cnt[612][7]~35460_combout\);

-- Location: FF_X72_Y17_N19
\led_flash_cnt[612][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[612][7]~35460_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[612][7]~q\);

-- Location: LCCOMB_X72_Y17_N22
\WideAnd612~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd612~1_combout\ = (\led_flash_cnt[612][5]~q\ & \led_flash_cnt[612][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[612][5]~q\,
	datad => \led_flash_cnt[612][6]~q\,
	combout => \WideAnd612~1_combout\);

-- Location: LCCOMB_X72_Y17_N30
WideAnd612 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd612~combout\ = (\WideAnd612~0_combout\ & (\led_flash_cnt[612][7]~q\ & (\WideAnd612~1_combout\ & \led_flash_cnt[612][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd612~0_combout\,
	datab => \led_flash_cnt[612][7]~q\,
	datac => \WideAnd612~1_combout\,
	datad => \led_flash_cnt[612][0]~q\,
	combout => \WideAnd612~combout\);

-- Location: FF_X72_Y17_N31
\led_flash_cnt_ands[612]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd612~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(612));

-- Location: LCCOMB_X72_Y16_N18
\led_flash_cnt[613][0]~81253\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[613][0]~81253_combout\ = !\led_flash_cnt[613][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[613][0]~q\,
	combout => \led_flash_cnt[613][0]~81253_combout\);

-- Location: FF_X72_Y16_N19
\led_flash_cnt[613][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[613][0]~81253_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[613][0]~q\);

-- Location: LCCOMB_X72_Y16_N0
\led_flash_cnt[613][1]~35462\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[613][1]~35462_combout\ = (\led_flash_cnt[613][0]~q\ & (\led_flash_cnt[613][1]~q\ $ (VCC))) # (!\led_flash_cnt[613][0]~q\ & (\led_flash_cnt[613][1]~q\ & VCC))
-- \led_flash_cnt[613][1]~35463\ = CARRY((\led_flash_cnt[613][0]~q\ & \led_flash_cnt[613][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[613][0]~q\,
	datab => \led_flash_cnt[613][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[613][1]~35462_combout\,
	cout => \led_flash_cnt[613][1]~35463\);

-- Location: FF_X72_Y16_N1
\led_flash_cnt[613][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[613][1]~35462_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[613][1]~q\);

-- Location: LCCOMB_X72_Y16_N2
\led_flash_cnt[613][2]~35464\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[613][2]~35464_combout\ = (\led_flash_cnt[613][2]~q\ & (!\led_flash_cnt[613][1]~35463\)) # (!\led_flash_cnt[613][2]~q\ & ((\led_flash_cnt[613][1]~35463\) # (GND)))
-- \led_flash_cnt[613][2]~35465\ = CARRY((!\led_flash_cnt[613][1]~35463\) # (!\led_flash_cnt[613][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[613][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[613][1]~35463\,
	combout => \led_flash_cnt[613][2]~35464_combout\,
	cout => \led_flash_cnt[613][2]~35465\);

-- Location: FF_X72_Y16_N3
\led_flash_cnt[613][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[613][2]~35464_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[613][2]~q\);

-- Location: LCCOMB_X72_Y16_N4
\led_flash_cnt[613][3]~35466\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[613][3]~35466_combout\ = (\led_flash_cnt[613][3]~q\ & (\led_flash_cnt[613][2]~35465\ $ (GND))) # (!\led_flash_cnt[613][3]~q\ & (!\led_flash_cnt[613][2]~35465\ & VCC))
-- \led_flash_cnt[613][3]~35467\ = CARRY((\led_flash_cnt[613][3]~q\ & !\led_flash_cnt[613][2]~35465\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[613][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[613][2]~35465\,
	combout => \led_flash_cnt[613][3]~35466_combout\,
	cout => \led_flash_cnt[613][3]~35467\);

-- Location: FF_X72_Y16_N5
\led_flash_cnt[613][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[613][3]~35466_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[613][3]~q\);

-- Location: LCCOMB_X72_Y16_N6
\led_flash_cnt[613][4]~35468\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[613][4]~35468_combout\ = (\led_flash_cnt[613][4]~q\ & (!\led_flash_cnt[613][3]~35467\)) # (!\led_flash_cnt[613][4]~q\ & ((\led_flash_cnt[613][3]~35467\) # (GND)))
-- \led_flash_cnt[613][4]~35469\ = CARRY((!\led_flash_cnt[613][3]~35467\) # (!\led_flash_cnt[613][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[613][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[613][3]~35467\,
	combout => \led_flash_cnt[613][4]~35468_combout\,
	cout => \led_flash_cnt[613][4]~35469\);

-- Location: FF_X72_Y16_N7
\led_flash_cnt[613][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[613][4]~35468_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[613][4]~q\);

-- Location: LCCOMB_X72_Y16_N8
\led_flash_cnt[613][5]~35470\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[613][5]~35470_combout\ = (\led_flash_cnt[613][5]~q\ & (\led_flash_cnt[613][4]~35469\ $ (GND))) # (!\led_flash_cnt[613][5]~q\ & (!\led_flash_cnt[613][4]~35469\ & VCC))
-- \led_flash_cnt[613][5]~35471\ = CARRY((\led_flash_cnt[613][5]~q\ & !\led_flash_cnt[613][4]~35469\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[613][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[613][4]~35469\,
	combout => \led_flash_cnt[613][5]~35470_combout\,
	cout => \led_flash_cnt[613][5]~35471\);

-- Location: FF_X72_Y16_N9
\led_flash_cnt[613][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[613][5]~35470_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[613][5]~q\);

-- Location: LCCOMB_X72_Y16_N10
\led_flash_cnt[613][6]~35472\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[613][6]~35472_combout\ = (\led_flash_cnt[613][6]~q\ & (!\led_flash_cnt[613][5]~35471\)) # (!\led_flash_cnt[613][6]~q\ & ((\led_flash_cnt[613][5]~35471\) # (GND)))
-- \led_flash_cnt[613][6]~35473\ = CARRY((!\led_flash_cnt[613][5]~35471\) # (!\led_flash_cnt[613][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[613][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[613][5]~35471\,
	combout => \led_flash_cnt[613][6]~35472_combout\,
	cout => \led_flash_cnt[613][6]~35473\);

-- Location: FF_X72_Y16_N11
\led_flash_cnt[613][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[613][6]~35472_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[613][6]~q\);

-- Location: LCCOMB_X72_Y16_N12
\led_flash_cnt[613][7]~35474\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[613][7]~35474_combout\ = \led_flash_cnt[613][6]~35473\ $ (!\led_flash_cnt[613][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[613][7]~q\,
	cin => \led_flash_cnt[613][6]~35473\,
	combout => \led_flash_cnt[613][7]~35474_combout\);

-- Location: FF_X72_Y16_N13
\led_flash_cnt[613][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[613][7]~35474_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[613][7]~q\);

-- Location: LCCOMB_X72_Y16_N28
\WideAnd613~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd613~0_combout\ = (\led_flash_cnt[613][4]~q\ & (\led_flash_cnt[613][1]~q\ & (\led_flash_cnt[613][3]~q\ & \led_flash_cnt[613][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[613][4]~q\,
	datab => \led_flash_cnt[613][1]~q\,
	datac => \led_flash_cnt[613][3]~q\,
	datad => \led_flash_cnt[613][2]~q\,
	combout => \WideAnd613~0_combout\);

-- Location: LCCOMB_X72_Y16_N26
\WideAnd613~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd613~1_combout\ = (\led_flash_cnt[613][5]~q\ & \led_flash_cnt[613][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[613][5]~q\,
	datad => \led_flash_cnt[613][6]~q\,
	combout => \WideAnd613~1_combout\);

-- Location: LCCOMB_X72_Y16_N20
WideAnd613 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd613~combout\ = (\led_flash_cnt[613][7]~q\ & (\WideAnd613~0_combout\ & (\WideAnd613~1_combout\ & \led_flash_cnt[613][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[613][7]~q\,
	datab => \WideAnd613~0_combout\,
	datac => \WideAnd613~1_combout\,
	datad => \led_flash_cnt[613][0]~q\,
	combout => \WideAnd613~combout\);

-- Location: FF_X72_Y16_N21
\led_flash_cnt_ands[613]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd613~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(613));

-- Location: LCCOMB_X72_Y16_N24
\WideAnd3916~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3916~1_combout\ = (led_flash_cnt_ands(612) & led_flash_cnt_ands(613))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(612),
	datad => led_flash_cnt_ands(613),
	combout => \WideAnd3916~1_combout\);

-- Location: LCCOMB_X71_Y16_N8
\led_flash_cnt[615][0]~81255\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[615][0]~81255_combout\ = !\led_flash_cnt[615][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[615][0]~q\,
	combout => \led_flash_cnt[615][0]~81255_combout\);

-- Location: FF_X71_Y16_N9
\led_flash_cnt[615][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[615][0]~81255_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[615][0]~q\);

-- Location: LCCOMB_X71_Y16_N12
\led_flash_cnt[615][1]~35490\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[615][1]~35490_combout\ = (\led_flash_cnt[615][1]~q\ & (\led_flash_cnt[615][0]~q\ $ (VCC))) # (!\led_flash_cnt[615][1]~q\ & (\led_flash_cnt[615][0]~q\ & VCC))
-- \led_flash_cnt[615][1]~35491\ = CARRY((\led_flash_cnt[615][1]~q\ & \led_flash_cnt[615][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[615][1]~q\,
	datab => \led_flash_cnt[615][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[615][1]~35490_combout\,
	cout => \led_flash_cnt[615][1]~35491\);

-- Location: FF_X71_Y16_N13
\led_flash_cnt[615][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[615][1]~35490_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[615][1]~q\);

-- Location: LCCOMB_X71_Y16_N14
\led_flash_cnt[615][2]~35492\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[615][2]~35492_combout\ = (\led_flash_cnt[615][2]~q\ & (!\led_flash_cnt[615][1]~35491\)) # (!\led_flash_cnt[615][2]~q\ & ((\led_flash_cnt[615][1]~35491\) # (GND)))
-- \led_flash_cnt[615][2]~35493\ = CARRY((!\led_flash_cnt[615][1]~35491\) # (!\led_flash_cnt[615][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[615][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[615][1]~35491\,
	combout => \led_flash_cnt[615][2]~35492_combout\,
	cout => \led_flash_cnt[615][2]~35493\);

-- Location: FF_X71_Y16_N15
\led_flash_cnt[615][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[615][2]~35492_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[615][2]~q\);

-- Location: LCCOMB_X71_Y16_N16
\led_flash_cnt[615][3]~35494\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[615][3]~35494_combout\ = (\led_flash_cnt[615][3]~q\ & (\led_flash_cnt[615][2]~35493\ $ (GND))) # (!\led_flash_cnt[615][3]~q\ & (!\led_flash_cnt[615][2]~35493\ & VCC))
-- \led_flash_cnt[615][3]~35495\ = CARRY((\led_flash_cnt[615][3]~q\ & !\led_flash_cnt[615][2]~35493\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[615][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[615][2]~35493\,
	combout => \led_flash_cnt[615][3]~35494_combout\,
	cout => \led_flash_cnt[615][3]~35495\);

-- Location: FF_X71_Y16_N17
\led_flash_cnt[615][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[615][3]~35494_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[615][3]~q\);

-- Location: LCCOMB_X71_Y16_N18
\led_flash_cnt[615][4]~35496\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[615][4]~35496_combout\ = (\led_flash_cnt[615][4]~q\ & (!\led_flash_cnt[615][3]~35495\)) # (!\led_flash_cnt[615][4]~q\ & ((\led_flash_cnt[615][3]~35495\) # (GND)))
-- \led_flash_cnt[615][4]~35497\ = CARRY((!\led_flash_cnt[615][3]~35495\) # (!\led_flash_cnt[615][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[615][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[615][3]~35495\,
	combout => \led_flash_cnt[615][4]~35496_combout\,
	cout => \led_flash_cnt[615][4]~35497\);

-- Location: FF_X71_Y16_N19
\led_flash_cnt[615][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[615][4]~35496_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[615][4]~q\);

-- Location: LCCOMB_X71_Y16_N10
\WideAnd615~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd615~0_combout\ = (\led_flash_cnt[615][1]~q\ & (\led_flash_cnt[615][4]~q\ & (\led_flash_cnt[615][2]~q\ & \led_flash_cnt[615][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[615][1]~q\,
	datab => \led_flash_cnt[615][4]~q\,
	datac => \led_flash_cnt[615][2]~q\,
	datad => \led_flash_cnt[615][3]~q\,
	combout => \WideAnd615~0_combout\);

-- Location: LCCOMB_X71_Y16_N20
\led_flash_cnt[615][5]~35498\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[615][5]~35498_combout\ = (\led_flash_cnt[615][5]~q\ & (\led_flash_cnt[615][4]~35497\ $ (GND))) # (!\led_flash_cnt[615][5]~q\ & (!\led_flash_cnt[615][4]~35497\ & VCC))
-- \led_flash_cnt[615][5]~35499\ = CARRY((\led_flash_cnt[615][5]~q\ & !\led_flash_cnt[615][4]~35497\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[615][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[615][4]~35497\,
	combout => \led_flash_cnt[615][5]~35498_combout\,
	cout => \led_flash_cnt[615][5]~35499\);

-- Location: FF_X71_Y16_N21
\led_flash_cnt[615][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[615][5]~35498_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[615][5]~q\);

-- Location: LCCOMB_X71_Y16_N22
\led_flash_cnt[615][6]~35500\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[615][6]~35500_combout\ = (\led_flash_cnt[615][6]~q\ & (!\led_flash_cnt[615][5]~35499\)) # (!\led_flash_cnt[615][6]~q\ & ((\led_flash_cnt[615][5]~35499\) # (GND)))
-- \led_flash_cnt[615][6]~35501\ = CARRY((!\led_flash_cnt[615][5]~35499\) # (!\led_flash_cnt[615][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[615][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[615][5]~35499\,
	combout => \led_flash_cnt[615][6]~35500_combout\,
	cout => \led_flash_cnt[615][6]~35501\);

-- Location: FF_X71_Y16_N23
\led_flash_cnt[615][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[615][6]~35500_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[615][6]~q\);

-- Location: LCCOMB_X71_Y16_N4
\WideAnd615~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd615~1_combout\ = (\led_flash_cnt[615][6]~q\ & \led_flash_cnt[615][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[615][6]~q\,
	datad => \led_flash_cnt[615][5]~q\,
	combout => \WideAnd615~1_combout\);

-- Location: LCCOMB_X71_Y16_N24
\led_flash_cnt[615][7]~35502\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[615][7]~35502_combout\ = \led_flash_cnt[615][6]~35501\ $ (!\led_flash_cnt[615][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[615][7]~q\,
	cin => \led_flash_cnt[615][6]~35501\,
	combout => \led_flash_cnt[615][7]~35502_combout\);

-- Location: FF_X71_Y16_N25
\led_flash_cnt[615][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[615][7]~35502_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[615][7]~q\);

-- Location: LCCOMB_X71_Y16_N26
WideAnd615 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd615~combout\ = (\WideAnd615~0_combout\ & (\WideAnd615~1_combout\ & (\led_flash_cnt[615][0]~q\ & \led_flash_cnt[615][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd615~0_combout\,
	datab => \WideAnd615~1_combout\,
	datac => \led_flash_cnt[615][0]~q\,
	datad => \led_flash_cnt[615][7]~q\,
	combout => \WideAnd615~combout\);

-- Location: FF_X71_Y16_N27
\led_flash_cnt_ands[615]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd615~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(615));

-- Location: LCCOMB_X75_Y16_N18
\led_flash_cnt[614][0]~81254\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[614][0]~81254_combout\ = !\led_flash_cnt[614][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[614][0]~q\,
	combout => \led_flash_cnt[614][0]~81254_combout\);

-- Location: FF_X75_Y16_N19
\led_flash_cnt[614][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[614][0]~81254_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[614][0]~q\);

-- Location: LCCOMB_X75_Y16_N4
\led_flash_cnt[614][1]~35476\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[614][1]~35476_combout\ = (\led_flash_cnt[614][1]~q\ & (\led_flash_cnt[614][0]~q\ $ (VCC))) # (!\led_flash_cnt[614][1]~q\ & (\led_flash_cnt[614][0]~q\ & VCC))
-- \led_flash_cnt[614][1]~35477\ = CARRY((\led_flash_cnt[614][1]~q\ & \led_flash_cnt[614][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[614][1]~q\,
	datab => \led_flash_cnt[614][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[614][1]~35476_combout\,
	cout => \led_flash_cnt[614][1]~35477\);

-- Location: FF_X75_Y16_N5
\led_flash_cnt[614][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[614][1]~35476_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[614][1]~q\);

-- Location: LCCOMB_X75_Y16_N6
\led_flash_cnt[614][2]~35478\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[614][2]~35478_combout\ = (\led_flash_cnt[614][2]~q\ & (!\led_flash_cnt[614][1]~35477\)) # (!\led_flash_cnt[614][2]~q\ & ((\led_flash_cnt[614][1]~35477\) # (GND)))
-- \led_flash_cnt[614][2]~35479\ = CARRY((!\led_flash_cnt[614][1]~35477\) # (!\led_flash_cnt[614][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[614][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[614][1]~35477\,
	combout => \led_flash_cnt[614][2]~35478_combout\,
	cout => \led_flash_cnt[614][2]~35479\);

-- Location: FF_X75_Y16_N7
\led_flash_cnt[614][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[614][2]~35478_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[614][2]~q\);

-- Location: LCCOMB_X75_Y16_N8
\led_flash_cnt[614][3]~35480\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[614][3]~35480_combout\ = (\led_flash_cnt[614][3]~q\ & (\led_flash_cnt[614][2]~35479\ $ (GND))) # (!\led_flash_cnt[614][3]~q\ & (!\led_flash_cnt[614][2]~35479\ & VCC))
-- \led_flash_cnt[614][3]~35481\ = CARRY((\led_flash_cnt[614][3]~q\ & !\led_flash_cnt[614][2]~35479\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[614][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[614][2]~35479\,
	combout => \led_flash_cnt[614][3]~35480_combout\,
	cout => \led_flash_cnt[614][3]~35481\);

-- Location: FF_X75_Y16_N9
\led_flash_cnt[614][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[614][3]~35480_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[614][3]~q\);

-- Location: LCCOMB_X75_Y16_N10
\led_flash_cnt[614][4]~35482\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[614][4]~35482_combout\ = (\led_flash_cnt[614][4]~q\ & (!\led_flash_cnt[614][3]~35481\)) # (!\led_flash_cnt[614][4]~q\ & ((\led_flash_cnt[614][3]~35481\) # (GND)))
-- \led_flash_cnt[614][4]~35483\ = CARRY((!\led_flash_cnt[614][3]~35481\) # (!\led_flash_cnt[614][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[614][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[614][3]~35481\,
	combout => \led_flash_cnt[614][4]~35482_combout\,
	cout => \led_flash_cnt[614][4]~35483\);

-- Location: FF_X75_Y16_N11
\led_flash_cnt[614][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[614][4]~35482_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[614][4]~q\);

-- Location: LCCOMB_X75_Y16_N12
\led_flash_cnt[614][5]~35484\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[614][5]~35484_combout\ = (\led_flash_cnt[614][5]~q\ & (\led_flash_cnt[614][4]~35483\ $ (GND))) # (!\led_flash_cnt[614][5]~q\ & (!\led_flash_cnt[614][4]~35483\ & VCC))
-- \led_flash_cnt[614][5]~35485\ = CARRY((\led_flash_cnt[614][5]~q\ & !\led_flash_cnt[614][4]~35483\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[614][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[614][4]~35483\,
	combout => \led_flash_cnt[614][5]~35484_combout\,
	cout => \led_flash_cnt[614][5]~35485\);

-- Location: FF_X75_Y16_N13
\led_flash_cnt[614][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[614][5]~35484_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[614][5]~q\);

-- Location: LCCOMB_X75_Y16_N14
\led_flash_cnt[614][6]~35486\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[614][6]~35486_combout\ = (\led_flash_cnt[614][6]~q\ & (!\led_flash_cnt[614][5]~35485\)) # (!\led_flash_cnt[614][6]~q\ & ((\led_flash_cnt[614][5]~35485\) # (GND)))
-- \led_flash_cnt[614][6]~35487\ = CARRY((!\led_flash_cnt[614][5]~35485\) # (!\led_flash_cnt[614][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[614][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[614][5]~35485\,
	combout => \led_flash_cnt[614][6]~35486_combout\,
	cout => \led_flash_cnt[614][6]~35487\);

-- Location: FF_X75_Y16_N15
\led_flash_cnt[614][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[614][6]~35486_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[614][6]~q\);

-- Location: LCCOMB_X75_Y16_N16
\led_flash_cnt[614][7]~35488\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[614][7]~35488_combout\ = \led_flash_cnt[614][6]~35487\ $ (!\led_flash_cnt[614][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[614][7]~q\,
	cin => \led_flash_cnt[614][6]~35487\,
	combout => \led_flash_cnt[614][7]~35488_combout\);

-- Location: FF_X75_Y16_N17
\led_flash_cnt[614][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[614][7]~35488_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[614][7]~q\);

-- Location: LCCOMB_X75_Y16_N2
\WideAnd614~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd614~1_combout\ = (\led_flash_cnt[614][7]~q\ & \led_flash_cnt[614][0]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[614][7]~q\,
	datad => \led_flash_cnt[614][0]~q\,
	combout => \WideAnd614~1_combout\);

-- Location: LCCOMB_X75_Y16_N26
\WideAnd614~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd614~0_combout\ = (\led_flash_cnt[614][1]~q\ & (\led_flash_cnt[614][3]~q\ & (\led_flash_cnt[614][6]~q\ & \led_flash_cnt[614][5]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[614][1]~q\,
	datab => \led_flash_cnt[614][3]~q\,
	datac => \led_flash_cnt[614][6]~q\,
	datad => \led_flash_cnt[614][5]~q\,
	combout => \WideAnd614~0_combout\);

-- Location: LCCOMB_X75_Y16_N24
WideAnd614 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd614~combout\ = (\led_flash_cnt[614][4]~q\ & (\WideAnd614~1_combout\ & (\WideAnd614~0_combout\ & \led_flash_cnt[614][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[614][4]~q\,
	datab => \WideAnd614~1_combout\,
	datac => \WideAnd614~0_combout\,
	datad => \led_flash_cnt[614][2]~q\,
	combout => \WideAnd614~combout\);

-- Location: FF_X75_Y16_N25
\led_flash_cnt_ands[614]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd614~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(614));

-- Location: LCCOMB_X72_Y16_N22
WideAnd3916 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3916~combout\ = (\WideAnd3916~0_combout\ & (\WideAnd3916~1_combout\ & (led_flash_cnt_ands(615) & led_flash_cnt_ands(614))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3916~0_combout\,
	datab => \WideAnd3916~1_combout\,
	datac => led_flash_cnt_ands(615),
	datad => led_flash_cnt_ands(614),
	combout => \WideAnd3916~combout\);

-- Location: FF_X72_Y16_N23
\led_flash_cnt_ands_1[76]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3916~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(76));

-- Location: LCCOMB_X69_Y2_N2
\led_flash_cnt[618][0]~81258\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[618][0]~81258_combout\ = !\led_flash_cnt[618][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[618][0]~q\,
	combout => \led_flash_cnt[618][0]~81258_combout\);

-- Location: FF_X69_Y2_N3
\led_flash_cnt[618][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[618][0]~81258_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[618][0]~q\);

-- Location: LCCOMB_X69_Y2_N10
\led_flash_cnt[618][1]~35532\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[618][1]~35532_combout\ = (\led_flash_cnt[618][1]~q\ & (\led_flash_cnt[618][0]~q\ $ (VCC))) # (!\led_flash_cnt[618][1]~q\ & (\led_flash_cnt[618][0]~q\ & VCC))
-- \led_flash_cnt[618][1]~35533\ = CARRY((\led_flash_cnt[618][1]~q\ & \led_flash_cnt[618][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[618][1]~q\,
	datab => \led_flash_cnt[618][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[618][1]~35532_combout\,
	cout => \led_flash_cnt[618][1]~35533\);

-- Location: FF_X69_Y2_N11
\led_flash_cnt[618][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[618][1]~35532_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[618][1]~q\);

-- Location: LCCOMB_X69_Y2_N12
\led_flash_cnt[618][2]~35534\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[618][2]~35534_combout\ = (\led_flash_cnt[618][2]~q\ & (!\led_flash_cnt[618][1]~35533\)) # (!\led_flash_cnt[618][2]~q\ & ((\led_flash_cnt[618][1]~35533\) # (GND)))
-- \led_flash_cnt[618][2]~35535\ = CARRY((!\led_flash_cnt[618][1]~35533\) # (!\led_flash_cnt[618][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[618][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[618][1]~35533\,
	combout => \led_flash_cnt[618][2]~35534_combout\,
	cout => \led_flash_cnt[618][2]~35535\);

-- Location: FF_X69_Y2_N13
\led_flash_cnt[618][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[618][2]~35534_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[618][2]~q\);

-- Location: LCCOMB_X69_Y2_N14
\led_flash_cnt[618][3]~35536\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[618][3]~35536_combout\ = (\led_flash_cnt[618][3]~q\ & (\led_flash_cnt[618][2]~35535\ $ (GND))) # (!\led_flash_cnt[618][3]~q\ & (!\led_flash_cnt[618][2]~35535\ & VCC))
-- \led_flash_cnt[618][3]~35537\ = CARRY((\led_flash_cnt[618][3]~q\ & !\led_flash_cnt[618][2]~35535\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[618][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[618][2]~35535\,
	combout => \led_flash_cnt[618][3]~35536_combout\,
	cout => \led_flash_cnt[618][3]~35537\);

-- Location: FF_X69_Y2_N15
\led_flash_cnt[618][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[618][3]~35536_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[618][3]~q\);

-- Location: LCCOMB_X69_Y2_N16
\led_flash_cnt[618][4]~35538\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[618][4]~35538_combout\ = (\led_flash_cnt[618][4]~q\ & (!\led_flash_cnt[618][3]~35537\)) # (!\led_flash_cnt[618][4]~q\ & ((\led_flash_cnt[618][3]~35537\) # (GND)))
-- \led_flash_cnt[618][4]~35539\ = CARRY((!\led_flash_cnt[618][3]~35537\) # (!\led_flash_cnt[618][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[618][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[618][3]~35537\,
	combout => \led_flash_cnt[618][4]~35538_combout\,
	cout => \led_flash_cnt[618][4]~35539\);

-- Location: FF_X69_Y2_N17
\led_flash_cnt[618][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[618][4]~35538_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[618][4]~q\);

-- Location: LCCOMB_X69_Y2_N18
\led_flash_cnt[618][5]~35540\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[618][5]~35540_combout\ = (\led_flash_cnt[618][5]~q\ & (\led_flash_cnt[618][4]~35539\ $ (GND))) # (!\led_flash_cnt[618][5]~q\ & (!\led_flash_cnt[618][4]~35539\ & VCC))
-- \led_flash_cnt[618][5]~35541\ = CARRY((\led_flash_cnt[618][5]~q\ & !\led_flash_cnt[618][4]~35539\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[618][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[618][4]~35539\,
	combout => \led_flash_cnt[618][5]~35540_combout\,
	cout => \led_flash_cnt[618][5]~35541\);

-- Location: FF_X69_Y2_N19
\led_flash_cnt[618][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[618][5]~35540_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[618][5]~q\);

-- Location: LCCOMB_X69_Y2_N20
\led_flash_cnt[618][6]~35542\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[618][6]~35542_combout\ = (\led_flash_cnt[618][6]~q\ & (!\led_flash_cnt[618][5]~35541\)) # (!\led_flash_cnt[618][6]~q\ & ((\led_flash_cnt[618][5]~35541\) # (GND)))
-- \led_flash_cnt[618][6]~35543\ = CARRY((!\led_flash_cnt[618][5]~35541\) # (!\led_flash_cnt[618][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[618][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[618][5]~35541\,
	combout => \led_flash_cnt[618][6]~35542_combout\,
	cout => \led_flash_cnt[618][6]~35543\);

-- Location: FF_X69_Y2_N21
\led_flash_cnt[618][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[618][6]~35542_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[618][6]~q\);

-- Location: LCCOMB_X69_Y2_N22
\led_flash_cnt[618][7]~35544\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[618][7]~35544_combout\ = \led_flash_cnt[618][7]~q\ $ (!\led_flash_cnt[618][6]~35543\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[618][7]~q\,
	cin => \led_flash_cnt[618][6]~35543\,
	combout => \led_flash_cnt[618][7]~35544_combout\);

-- Location: FF_X69_Y2_N23
\led_flash_cnt[618][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[618][7]~35544_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[618][7]~q\);

-- Location: LCCOMB_X69_Y2_N24
\WideAnd618~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd618~1_combout\ = (\led_flash_cnt[618][6]~q\ & \led_flash_cnt[618][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[618][6]~q\,
	datad => \led_flash_cnt[618][5]~q\,
	combout => \WideAnd618~1_combout\);

-- Location: LCCOMB_X69_Y2_N4
\WideAnd618~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd618~0_combout\ = (\led_flash_cnt[618][2]~q\ & (\led_flash_cnt[618][4]~q\ & (\led_flash_cnt[618][3]~q\ & \led_flash_cnt[618][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[618][2]~q\,
	datab => \led_flash_cnt[618][4]~q\,
	datac => \led_flash_cnt[618][3]~q\,
	datad => \led_flash_cnt[618][1]~q\,
	combout => \WideAnd618~0_combout\);

-- Location: LCCOMB_X69_Y2_N26
WideAnd618 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd618~combout\ = (\led_flash_cnt[618][7]~q\ & (\WideAnd618~1_combout\ & (\WideAnd618~0_combout\ & \led_flash_cnt[618][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[618][7]~q\,
	datab => \WideAnd618~1_combout\,
	datac => \WideAnd618~0_combout\,
	datad => \led_flash_cnt[618][0]~q\,
	combout => \WideAnd618~combout\);

-- Location: FF_X69_Y2_N27
\led_flash_cnt_ands[618]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd618~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(618));

-- Location: LCCOMB_X66_Y6_N4
\led_flash_cnt[616][0]~81256\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[616][0]~81256_combout\ = !\led_flash_cnt[616][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[616][0]~q\,
	combout => \led_flash_cnt[616][0]~81256_combout\);

-- Location: FF_X66_Y6_N5
\led_flash_cnt[616][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[616][0]~81256_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[616][0]~q\);

-- Location: LCCOMB_X66_Y6_N12
\led_flash_cnt[616][1]~35504\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[616][1]~35504_combout\ = (\led_flash_cnt[616][1]~q\ & (\led_flash_cnt[616][0]~q\ $ (VCC))) # (!\led_flash_cnt[616][1]~q\ & (\led_flash_cnt[616][0]~q\ & VCC))
-- \led_flash_cnt[616][1]~35505\ = CARRY((\led_flash_cnt[616][1]~q\ & \led_flash_cnt[616][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[616][1]~q\,
	datab => \led_flash_cnt[616][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[616][1]~35504_combout\,
	cout => \led_flash_cnt[616][1]~35505\);

-- Location: FF_X66_Y6_N13
\led_flash_cnt[616][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[616][1]~35504_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[616][1]~q\);

-- Location: LCCOMB_X66_Y6_N14
\led_flash_cnt[616][2]~35506\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[616][2]~35506_combout\ = (\led_flash_cnt[616][2]~q\ & (!\led_flash_cnt[616][1]~35505\)) # (!\led_flash_cnt[616][2]~q\ & ((\led_flash_cnt[616][1]~35505\) # (GND)))
-- \led_flash_cnt[616][2]~35507\ = CARRY((!\led_flash_cnt[616][1]~35505\) # (!\led_flash_cnt[616][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[616][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[616][1]~35505\,
	combout => \led_flash_cnt[616][2]~35506_combout\,
	cout => \led_flash_cnt[616][2]~35507\);

-- Location: FF_X66_Y6_N15
\led_flash_cnt[616][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[616][2]~35506_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[616][2]~q\);

-- Location: LCCOMB_X66_Y6_N16
\led_flash_cnt[616][3]~35508\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[616][3]~35508_combout\ = (\led_flash_cnt[616][3]~q\ & (\led_flash_cnt[616][2]~35507\ $ (GND))) # (!\led_flash_cnt[616][3]~q\ & (!\led_flash_cnt[616][2]~35507\ & VCC))
-- \led_flash_cnt[616][3]~35509\ = CARRY((\led_flash_cnt[616][3]~q\ & !\led_flash_cnt[616][2]~35507\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[616][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[616][2]~35507\,
	combout => \led_flash_cnt[616][3]~35508_combout\,
	cout => \led_flash_cnt[616][3]~35509\);

-- Location: FF_X66_Y6_N17
\led_flash_cnt[616][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[616][3]~35508_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[616][3]~q\);

-- Location: LCCOMB_X66_Y6_N18
\led_flash_cnt[616][4]~35510\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[616][4]~35510_combout\ = (\led_flash_cnt[616][4]~q\ & (!\led_flash_cnt[616][3]~35509\)) # (!\led_flash_cnt[616][4]~q\ & ((\led_flash_cnt[616][3]~35509\) # (GND)))
-- \led_flash_cnt[616][4]~35511\ = CARRY((!\led_flash_cnt[616][3]~35509\) # (!\led_flash_cnt[616][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[616][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[616][3]~35509\,
	combout => \led_flash_cnt[616][4]~35510_combout\,
	cout => \led_flash_cnt[616][4]~35511\);

-- Location: FF_X66_Y6_N19
\led_flash_cnt[616][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[616][4]~35510_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[616][4]~q\);

-- Location: LCCOMB_X66_Y6_N20
\led_flash_cnt[616][5]~35512\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[616][5]~35512_combout\ = (\led_flash_cnt[616][5]~q\ & (\led_flash_cnt[616][4]~35511\ $ (GND))) # (!\led_flash_cnt[616][5]~q\ & (!\led_flash_cnt[616][4]~35511\ & VCC))
-- \led_flash_cnt[616][5]~35513\ = CARRY((\led_flash_cnt[616][5]~q\ & !\led_flash_cnt[616][4]~35511\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[616][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[616][4]~35511\,
	combout => \led_flash_cnt[616][5]~35512_combout\,
	cout => \led_flash_cnt[616][5]~35513\);

-- Location: FF_X66_Y6_N21
\led_flash_cnt[616][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[616][5]~35512_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[616][5]~q\);

-- Location: LCCOMB_X66_Y6_N22
\led_flash_cnt[616][6]~35514\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[616][6]~35514_combout\ = (\led_flash_cnt[616][6]~q\ & (!\led_flash_cnt[616][5]~35513\)) # (!\led_flash_cnt[616][6]~q\ & ((\led_flash_cnt[616][5]~35513\) # (GND)))
-- \led_flash_cnt[616][6]~35515\ = CARRY((!\led_flash_cnt[616][5]~35513\) # (!\led_flash_cnt[616][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[616][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[616][5]~35513\,
	combout => \led_flash_cnt[616][6]~35514_combout\,
	cout => \led_flash_cnt[616][6]~35515\);

-- Location: FF_X66_Y6_N23
\led_flash_cnt[616][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[616][6]~35514_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[616][6]~q\);

-- Location: LCCOMB_X66_Y6_N24
\led_flash_cnt[616][7]~35516\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[616][7]~35516_combout\ = \led_flash_cnt[616][6]~35515\ $ (!\led_flash_cnt[616][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[616][7]~q\,
	cin => \led_flash_cnt[616][6]~35515\,
	combout => \led_flash_cnt[616][7]~35516_combout\);

-- Location: FF_X66_Y6_N25
\led_flash_cnt[616][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[616][7]~35516_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[616][7]~q\);

-- Location: LCCOMB_X66_Y6_N10
\WideAnd616~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd616~1_combout\ = (\led_flash_cnt[616][6]~q\ & \led_flash_cnt[616][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[616][6]~q\,
	datad => \led_flash_cnt[616][7]~q\,
	combout => \WideAnd616~1_combout\);

-- Location: LCCOMB_X66_Y6_N28
\WideAnd616~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd616~0_combout\ = (\led_flash_cnt[616][1]~q\ & (\led_flash_cnt[616][4]~q\ & (\led_flash_cnt[616][0]~q\ & \led_flash_cnt[616][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[616][1]~q\,
	datab => \led_flash_cnt[616][4]~q\,
	datac => \led_flash_cnt[616][0]~q\,
	datad => \led_flash_cnt[616][3]~q\,
	combout => \WideAnd616~0_combout\);

-- Location: LCCOMB_X66_Y6_N8
WideAnd616 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd616~combout\ = (\WideAnd616~1_combout\ & (\led_flash_cnt[616][5]~q\ & (\led_flash_cnt[616][2]~q\ & \WideAnd616~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd616~1_combout\,
	datab => \led_flash_cnt[616][5]~q\,
	datac => \led_flash_cnt[616][2]~q\,
	datad => \WideAnd616~0_combout\,
	combout => \WideAnd616~combout\);

-- Location: FF_X66_Y6_N9
\led_flash_cnt_ands[616]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd616~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(616));

-- Location: LCCOMB_X65_Y6_N8
\led_flash_cnt[617][0]~81257\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[617][0]~81257_combout\ = !\led_flash_cnt[617][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[617][0]~q\,
	combout => \led_flash_cnt[617][0]~81257_combout\);

-- Location: FF_X65_Y6_N9
\led_flash_cnt[617][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[617][0]~81257_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[617][0]~q\);

-- Location: LCCOMB_X65_Y6_N12
\led_flash_cnt[617][1]~35518\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[617][1]~35518_combout\ = (\led_flash_cnt[617][1]~q\ & (\led_flash_cnt[617][0]~q\ $ (VCC))) # (!\led_flash_cnt[617][1]~q\ & (\led_flash_cnt[617][0]~q\ & VCC))
-- \led_flash_cnt[617][1]~35519\ = CARRY((\led_flash_cnt[617][1]~q\ & \led_flash_cnt[617][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[617][1]~q\,
	datab => \led_flash_cnt[617][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[617][1]~35518_combout\,
	cout => \led_flash_cnt[617][1]~35519\);

-- Location: FF_X65_Y6_N13
\led_flash_cnt[617][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[617][1]~35518_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[617][1]~q\);

-- Location: LCCOMB_X65_Y6_N14
\led_flash_cnt[617][2]~35520\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[617][2]~35520_combout\ = (\led_flash_cnt[617][2]~q\ & (!\led_flash_cnt[617][1]~35519\)) # (!\led_flash_cnt[617][2]~q\ & ((\led_flash_cnt[617][1]~35519\) # (GND)))
-- \led_flash_cnt[617][2]~35521\ = CARRY((!\led_flash_cnt[617][1]~35519\) # (!\led_flash_cnt[617][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[617][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[617][1]~35519\,
	combout => \led_flash_cnt[617][2]~35520_combout\,
	cout => \led_flash_cnt[617][2]~35521\);

-- Location: FF_X65_Y6_N15
\led_flash_cnt[617][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[617][2]~35520_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[617][2]~q\);

-- Location: LCCOMB_X65_Y6_N16
\led_flash_cnt[617][3]~35522\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[617][3]~35522_combout\ = (\led_flash_cnt[617][3]~q\ & (\led_flash_cnt[617][2]~35521\ $ (GND))) # (!\led_flash_cnt[617][3]~q\ & (!\led_flash_cnt[617][2]~35521\ & VCC))
-- \led_flash_cnt[617][3]~35523\ = CARRY((\led_flash_cnt[617][3]~q\ & !\led_flash_cnt[617][2]~35521\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[617][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[617][2]~35521\,
	combout => \led_flash_cnt[617][3]~35522_combout\,
	cout => \led_flash_cnt[617][3]~35523\);

-- Location: FF_X65_Y6_N17
\led_flash_cnt[617][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[617][3]~35522_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[617][3]~q\);

-- Location: LCCOMB_X65_Y6_N18
\led_flash_cnt[617][4]~35524\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[617][4]~35524_combout\ = (\led_flash_cnt[617][4]~q\ & (!\led_flash_cnt[617][3]~35523\)) # (!\led_flash_cnt[617][4]~q\ & ((\led_flash_cnt[617][3]~35523\) # (GND)))
-- \led_flash_cnt[617][4]~35525\ = CARRY((!\led_flash_cnt[617][3]~35523\) # (!\led_flash_cnt[617][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[617][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[617][3]~35523\,
	combout => \led_flash_cnt[617][4]~35524_combout\,
	cout => \led_flash_cnt[617][4]~35525\);

-- Location: FF_X65_Y6_N19
\led_flash_cnt[617][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[617][4]~35524_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[617][4]~q\);

-- Location: LCCOMB_X65_Y6_N10
\WideAnd617~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd617~0_combout\ = (\led_flash_cnt[617][1]~q\ & (\led_flash_cnt[617][4]~q\ & (\led_flash_cnt[617][2]~q\ & \led_flash_cnt[617][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[617][1]~q\,
	datab => \led_flash_cnt[617][4]~q\,
	datac => \led_flash_cnt[617][2]~q\,
	datad => \led_flash_cnt[617][3]~q\,
	combout => \WideAnd617~0_combout\);

-- Location: LCCOMB_X65_Y6_N20
\led_flash_cnt[617][5]~35526\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[617][5]~35526_combout\ = (\led_flash_cnt[617][5]~q\ & (\led_flash_cnt[617][4]~35525\ $ (GND))) # (!\led_flash_cnt[617][5]~q\ & (!\led_flash_cnt[617][4]~35525\ & VCC))
-- \led_flash_cnt[617][5]~35527\ = CARRY((\led_flash_cnt[617][5]~q\ & !\led_flash_cnt[617][4]~35525\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[617][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[617][4]~35525\,
	combout => \led_flash_cnt[617][5]~35526_combout\,
	cout => \led_flash_cnt[617][5]~35527\);

-- Location: FF_X65_Y6_N21
\led_flash_cnt[617][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[617][5]~35526_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[617][5]~q\);

-- Location: LCCOMB_X65_Y6_N22
\led_flash_cnt[617][6]~35528\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[617][6]~35528_combout\ = (\led_flash_cnt[617][6]~q\ & (!\led_flash_cnt[617][5]~35527\)) # (!\led_flash_cnt[617][6]~q\ & ((\led_flash_cnt[617][5]~35527\) # (GND)))
-- \led_flash_cnt[617][6]~35529\ = CARRY((!\led_flash_cnt[617][5]~35527\) # (!\led_flash_cnt[617][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[617][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[617][5]~35527\,
	combout => \led_flash_cnt[617][6]~35528_combout\,
	cout => \led_flash_cnt[617][6]~35529\);

-- Location: FF_X65_Y6_N23
\led_flash_cnt[617][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[617][6]~35528_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[617][6]~q\);

-- Location: LCCOMB_X65_Y6_N4
\WideAnd617~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd617~1_combout\ = (\led_flash_cnt[617][6]~q\ & \led_flash_cnt[617][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[617][6]~q\,
	datad => \led_flash_cnt[617][5]~q\,
	combout => \WideAnd617~1_combout\);

-- Location: LCCOMB_X65_Y6_N24
\led_flash_cnt[617][7]~35530\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[617][7]~35530_combout\ = \led_flash_cnt[617][6]~35529\ $ (!\led_flash_cnt[617][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[617][7]~q\,
	cin => \led_flash_cnt[617][6]~35529\,
	combout => \led_flash_cnt[617][7]~35530_combout\);

-- Location: FF_X65_Y6_N25
\led_flash_cnt[617][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[617][7]~35530_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[617][7]~q\);

-- Location: LCCOMB_X65_Y6_N26
WideAnd617 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd617~combout\ = (\WideAnd617~0_combout\ & (\WideAnd617~1_combout\ & (\led_flash_cnt[617][0]~q\ & \led_flash_cnt[617][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd617~0_combout\,
	datab => \WideAnd617~1_combout\,
	datac => \led_flash_cnt[617][0]~q\,
	datad => \led_flash_cnt[617][7]~q\,
	combout => \WideAnd617~combout\);

-- Location: FF_X65_Y6_N27
\led_flash_cnt_ands[617]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd617~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(617));

-- Location: LCCOMB_X67_Y6_N4
\led_flash_cnt[619][0]~81259\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[619][0]~81259_combout\ = !\led_flash_cnt[619][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[619][0]~q\,
	combout => \led_flash_cnt[619][0]~81259_combout\);

-- Location: FF_X67_Y6_N5
\led_flash_cnt[619][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[619][0]~81259_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[619][0]~q\);

-- Location: LCCOMB_X67_Y6_N10
\led_flash_cnt[619][1]~35546\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[619][1]~35546_combout\ = (\led_flash_cnt[619][1]~q\ & (\led_flash_cnt[619][0]~q\ $ (VCC))) # (!\led_flash_cnt[619][1]~q\ & (\led_flash_cnt[619][0]~q\ & VCC))
-- \led_flash_cnt[619][1]~35547\ = CARRY((\led_flash_cnt[619][1]~q\ & \led_flash_cnt[619][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[619][1]~q\,
	datab => \led_flash_cnt[619][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[619][1]~35546_combout\,
	cout => \led_flash_cnt[619][1]~35547\);

-- Location: FF_X67_Y6_N11
\led_flash_cnt[619][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[619][1]~35546_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[619][1]~q\);

-- Location: LCCOMB_X67_Y6_N12
\led_flash_cnt[619][2]~35548\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[619][2]~35548_combout\ = (\led_flash_cnt[619][2]~q\ & (!\led_flash_cnt[619][1]~35547\)) # (!\led_flash_cnt[619][2]~q\ & ((\led_flash_cnt[619][1]~35547\) # (GND)))
-- \led_flash_cnt[619][2]~35549\ = CARRY((!\led_flash_cnt[619][1]~35547\) # (!\led_flash_cnt[619][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[619][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[619][1]~35547\,
	combout => \led_flash_cnt[619][2]~35548_combout\,
	cout => \led_flash_cnt[619][2]~35549\);

-- Location: FF_X67_Y6_N13
\led_flash_cnt[619][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[619][2]~35548_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[619][2]~q\);

-- Location: LCCOMB_X67_Y6_N14
\led_flash_cnt[619][3]~35550\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[619][3]~35550_combout\ = (\led_flash_cnt[619][3]~q\ & (\led_flash_cnt[619][2]~35549\ $ (GND))) # (!\led_flash_cnt[619][3]~q\ & (!\led_flash_cnt[619][2]~35549\ & VCC))
-- \led_flash_cnt[619][3]~35551\ = CARRY((\led_flash_cnt[619][3]~q\ & !\led_flash_cnt[619][2]~35549\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[619][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[619][2]~35549\,
	combout => \led_flash_cnt[619][3]~35550_combout\,
	cout => \led_flash_cnt[619][3]~35551\);

-- Location: FF_X67_Y6_N15
\led_flash_cnt[619][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[619][3]~35550_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[619][3]~q\);

-- Location: LCCOMB_X67_Y6_N16
\led_flash_cnt[619][4]~35552\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[619][4]~35552_combout\ = (\led_flash_cnt[619][4]~q\ & (!\led_flash_cnt[619][3]~35551\)) # (!\led_flash_cnt[619][4]~q\ & ((\led_flash_cnt[619][3]~35551\) # (GND)))
-- \led_flash_cnt[619][4]~35553\ = CARRY((!\led_flash_cnt[619][3]~35551\) # (!\led_flash_cnt[619][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[619][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[619][3]~35551\,
	combout => \led_flash_cnt[619][4]~35552_combout\,
	cout => \led_flash_cnt[619][4]~35553\);

-- Location: FF_X67_Y6_N17
\led_flash_cnt[619][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[619][4]~35552_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[619][4]~q\);

-- Location: LCCOMB_X67_Y6_N18
\led_flash_cnt[619][5]~35554\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[619][5]~35554_combout\ = (\led_flash_cnt[619][5]~q\ & (\led_flash_cnt[619][4]~35553\ $ (GND))) # (!\led_flash_cnt[619][5]~q\ & (!\led_flash_cnt[619][4]~35553\ & VCC))
-- \led_flash_cnt[619][5]~35555\ = CARRY((\led_flash_cnt[619][5]~q\ & !\led_flash_cnt[619][4]~35553\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[619][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[619][4]~35553\,
	combout => \led_flash_cnt[619][5]~35554_combout\,
	cout => \led_flash_cnt[619][5]~35555\);

-- Location: FF_X67_Y6_N19
\led_flash_cnt[619][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[619][5]~35554_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[619][5]~q\);

-- Location: LCCOMB_X67_Y6_N20
\led_flash_cnt[619][6]~35556\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[619][6]~35556_combout\ = (\led_flash_cnt[619][6]~q\ & (!\led_flash_cnt[619][5]~35555\)) # (!\led_flash_cnt[619][6]~q\ & ((\led_flash_cnt[619][5]~35555\) # (GND)))
-- \led_flash_cnt[619][6]~35557\ = CARRY((!\led_flash_cnt[619][5]~35555\) # (!\led_flash_cnt[619][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[619][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[619][5]~35555\,
	combout => \led_flash_cnt[619][6]~35556_combout\,
	cout => \led_flash_cnt[619][6]~35557\);

-- Location: FF_X67_Y6_N21
\led_flash_cnt[619][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[619][6]~35556_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[619][6]~q\);

-- Location: LCCOMB_X67_Y6_N26
\WideAnd619~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd619~1_combout\ = (\led_flash_cnt[619][6]~q\ & \led_flash_cnt[619][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[619][6]~q\,
	datad => \led_flash_cnt[619][5]~q\,
	combout => \WideAnd619~1_combout\);

-- Location: LCCOMB_X67_Y6_N22
\led_flash_cnt[619][7]~35558\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[619][7]~35558_combout\ = \led_flash_cnt[619][7]~q\ $ (!\led_flash_cnt[619][6]~35557\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[619][7]~q\,
	cin => \led_flash_cnt[619][6]~35557\,
	combout => \led_flash_cnt[619][7]~35558_combout\);

-- Location: FF_X67_Y6_N23
\led_flash_cnt[619][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[619][7]~35558_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[619][7]~q\);

-- Location: LCCOMB_X67_Y6_N24
\WideAnd619~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd619~0_combout\ = (\led_flash_cnt[619][2]~q\ & (\led_flash_cnt[619][4]~q\ & (\led_flash_cnt[619][3]~q\ & \led_flash_cnt[619][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[619][2]~q\,
	datab => \led_flash_cnt[619][4]~q\,
	datac => \led_flash_cnt[619][3]~q\,
	datad => \led_flash_cnt[619][1]~q\,
	combout => \WideAnd619~0_combout\);

-- Location: LCCOMB_X67_Y6_N28
WideAnd619 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd619~combout\ = (\WideAnd619~1_combout\ & (\led_flash_cnt[619][0]~q\ & (\led_flash_cnt[619][7]~q\ & \WideAnd619~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd619~1_combout\,
	datab => \led_flash_cnt[619][0]~q\,
	datac => \led_flash_cnt[619][7]~q\,
	datad => \WideAnd619~0_combout\,
	combout => \WideAnd619~combout\);

-- Location: FF_X67_Y6_N29
\led_flash_cnt_ands[619]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd619~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(619));

-- Location: LCCOMB_X66_Y6_N26
\WideAnd3917~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3917~0_combout\ = (led_flash_cnt_ands(618) & (led_flash_cnt_ands(616) & (led_flash_cnt_ands(617) & led_flash_cnt_ands(619))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(618),
	datab => led_flash_cnt_ands(616),
	datac => led_flash_cnt_ands(617),
	datad => led_flash_cnt_ands(619),
	combout => \WideAnd3917~0_combout\);

-- Location: LCCOMB_X52_Y9_N2
\led_flash_cnt[621][0]~81261\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[621][0]~81261_combout\ = !\led_flash_cnt[621][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[621][0]~q\,
	combout => \led_flash_cnt[621][0]~81261_combout\);

-- Location: FF_X52_Y9_N3
\led_flash_cnt[621][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[621][0]~81261_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[621][0]~q\);

-- Location: LCCOMB_X51_Y9_N0
\led_flash_cnt[621][1]~35574\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[621][1]~35574_combout\ = (\led_flash_cnt[621][0]~q\ & (\led_flash_cnt[621][1]~q\ $ (VCC))) # (!\led_flash_cnt[621][0]~q\ & (\led_flash_cnt[621][1]~q\ & VCC))
-- \led_flash_cnt[621][1]~35575\ = CARRY((\led_flash_cnt[621][0]~q\ & \led_flash_cnt[621][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[621][0]~q\,
	datab => \led_flash_cnt[621][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[621][1]~35574_combout\,
	cout => \led_flash_cnt[621][1]~35575\);

-- Location: FF_X51_Y9_N1
\led_flash_cnt[621][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[621][1]~35574_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[621][1]~q\);

-- Location: LCCOMB_X51_Y9_N2
\led_flash_cnt[621][2]~35576\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[621][2]~35576_combout\ = (\led_flash_cnt[621][2]~q\ & (!\led_flash_cnt[621][1]~35575\)) # (!\led_flash_cnt[621][2]~q\ & ((\led_flash_cnt[621][1]~35575\) # (GND)))
-- \led_flash_cnt[621][2]~35577\ = CARRY((!\led_flash_cnt[621][1]~35575\) # (!\led_flash_cnt[621][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[621][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[621][1]~35575\,
	combout => \led_flash_cnt[621][2]~35576_combout\,
	cout => \led_flash_cnt[621][2]~35577\);

-- Location: FF_X51_Y9_N3
\led_flash_cnt[621][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[621][2]~35576_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[621][2]~q\);

-- Location: LCCOMB_X51_Y9_N4
\led_flash_cnt[621][3]~35578\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[621][3]~35578_combout\ = (\led_flash_cnt[621][3]~q\ & (\led_flash_cnt[621][2]~35577\ $ (GND))) # (!\led_flash_cnt[621][3]~q\ & (!\led_flash_cnt[621][2]~35577\ & VCC))
-- \led_flash_cnt[621][3]~35579\ = CARRY((\led_flash_cnt[621][3]~q\ & !\led_flash_cnt[621][2]~35577\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[621][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[621][2]~35577\,
	combout => \led_flash_cnt[621][3]~35578_combout\,
	cout => \led_flash_cnt[621][3]~35579\);

-- Location: FF_X51_Y9_N5
\led_flash_cnt[621][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[621][3]~35578_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[621][3]~q\);

-- Location: LCCOMB_X51_Y9_N6
\led_flash_cnt[621][4]~35580\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[621][4]~35580_combout\ = (\led_flash_cnt[621][4]~q\ & (!\led_flash_cnt[621][3]~35579\)) # (!\led_flash_cnt[621][4]~q\ & ((\led_flash_cnt[621][3]~35579\) # (GND)))
-- \led_flash_cnt[621][4]~35581\ = CARRY((!\led_flash_cnt[621][3]~35579\) # (!\led_flash_cnt[621][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[621][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[621][3]~35579\,
	combout => \led_flash_cnt[621][4]~35580_combout\,
	cout => \led_flash_cnt[621][4]~35581\);

-- Location: FF_X51_Y9_N7
\led_flash_cnt[621][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[621][4]~35580_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[621][4]~q\);

-- Location: LCCOMB_X51_Y9_N8
\led_flash_cnt[621][5]~35582\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[621][5]~35582_combout\ = (\led_flash_cnt[621][5]~q\ & (\led_flash_cnt[621][4]~35581\ $ (GND))) # (!\led_flash_cnt[621][5]~q\ & (!\led_flash_cnt[621][4]~35581\ & VCC))
-- \led_flash_cnt[621][5]~35583\ = CARRY((\led_flash_cnt[621][5]~q\ & !\led_flash_cnt[621][4]~35581\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[621][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[621][4]~35581\,
	combout => \led_flash_cnt[621][5]~35582_combout\,
	cout => \led_flash_cnt[621][5]~35583\);

-- Location: FF_X51_Y9_N9
\led_flash_cnt[621][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[621][5]~35582_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[621][5]~q\);

-- Location: LCCOMB_X51_Y9_N10
\led_flash_cnt[621][6]~35584\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[621][6]~35584_combout\ = (\led_flash_cnt[621][6]~q\ & (!\led_flash_cnt[621][5]~35583\)) # (!\led_flash_cnt[621][6]~q\ & ((\led_flash_cnt[621][5]~35583\) # (GND)))
-- \led_flash_cnt[621][6]~35585\ = CARRY((!\led_flash_cnt[621][5]~35583\) # (!\led_flash_cnt[621][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[621][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[621][5]~35583\,
	combout => \led_flash_cnt[621][6]~35584_combout\,
	cout => \led_flash_cnt[621][6]~35585\);

-- Location: FF_X51_Y9_N11
\led_flash_cnt[621][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[621][6]~35584_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[621][6]~q\);

-- Location: LCCOMB_X51_Y9_N12
\led_flash_cnt[621][7]~35586\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[621][7]~35586_combout\ = \led_flash_cnt[621][6]~35585\ $ (!\led_flash_cnt[621][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[621][7]~q\,
	cin => \led_flash_cnt[621][6]~35585\,
	combout => \led_flash_cnt[621][7]~35586_combout\);

-- Location: FF_X51_Y9_N13
\led_flash_cnt[621][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[621][7]~35586_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[621][7]~q\);

-- Location: LCCOMB_X52_Y9_N28
\WideAnd621~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd621~0_combout\ = (\led_flash_cnt[621][1]~q\ & (\led_flash_cnt[621][4]~q\ & (\led_flash_cnt[621][3]~q\ & \led_flash_cnt[621][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[621][1]~q\,
	datab => \led_flash_cnt[621][4]~q\,
	datac => \led_flash_cnt[621][3]~q\,
	datad => \led_flash_cnt[621][2]~q\,
	combout => \WideAnd621~0_combout\);

-- Location: LCCOMB_X52_Y9_N4
\WideAnd621~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd621~1_combout\ = (\led_flash_cnt[621][6]~q\ & \led_flash_cnt[621][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[621][6]~q\,
	datad => \led_flash_cnt[621][5]~q\,
	combout => \WideAnd621~1_combout\);

-- Location: LCCOMB_X52_Y9_N30
WideAnd621 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd621~combout\ = (\led_flash_cnt[621][7]~q\ & (\WideAnd621~0_combout\ & (\WideAnd621~1_combout\ & \led_flash_cnt[621][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[621][7]~q\,
	datab => \WideAnd621~0_combout\,
	datac => \WideAnd621~1_combout\,
	datad => \led_flash_cnt[621][0]~q\,
	combout => \WideAnd621~combout\);

-- Location: FF_X52_Y9_N31
\led_flash_cnt_ands[621]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd621~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(621));

-- Location: LCCOMB_X52_Y9_N0
\led_flash_cnt[620][0]~81260\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[620][0]~81260_combout\ = !\led_flash_cnt[620][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[620][0]~q\,
	combout => \led_flash_cnt[620][0]~81260_combout\);

-- Location: FF_X52_Y9_N1
\led_flash_cnt[620][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[620][0]~81260_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[620][0]~q\);

-- Location: LCCOMB_X52_Y9_N6
\led_flash_cnt[620][1]~35560\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[620][1]~35560_combout\ = (\led_flash_cnt[620][1]~q\ & (\led_flash_cnt[620][0]~q\ $ (VCC))) # (!\led_flash_cnt[620][1]~q\ & (\led_flash_cnt[620][0]~q\ & VCC))
-- \led_flash_cnt[620][1]~35561\ = CARRY((\led_flash_cnt[620][1]~q\ & \led_flash_cnt[620][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[620][1]~q\,
	datab => \led_flash_cnt[620][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[620][1]~35560_combout\,
	cout => \led_flash_cnt[620][1]~35561\);

-- Location: FF_X52_Y9_N7
\led_flash_cnt[620][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[620][1]~35560_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[620][1]~q\);

-- Location: LCCOMB_X52_Y9_N8
\led_flash_cnt[620][2]~35562\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[620][2]~35562_combout\ = (\led_flash_cnt[620][2]~q\ & (!\led_flash_cnt[620][1]~35561\)) # (!\led_flash_cnt[620][2]~q\ & ((\led_flash_cnt[620][1]~35561\) # (GND)))
-- \led_flash_cnt[620][2]~35563\ = CARRY((!\led_flash_cnt[620][1]~35561\) # (!\led_flash_cnt[620][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[620][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[620][1]~35561\,
	combout => \led_flash_cnt[620][2]~35562_combout\,
	cout => \led_flash_cnt[620][2]~35563\);

-- Location: FF_X52_Y9_N9
\led_flash_cnt[620][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[620][2]~35562_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[620][2]~q\);

-- Location: LCCOMB_X52_Y9_N10
\led_flash_cnt[620][3]~35564\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[620][3]~35564_combout\ = (\led_flash_cnt[620][3]~q\ & (\led_flash_cnt[620][2]~35563\ $ (GND))) # (!\led_flash_cnt[620][3]~q\ & (!\led_flash_cnt[620][2]~35563\ & VCC))
-- \led_flash_cnt[620][3]~35565\ = CARRY((\led_flash_cnt[620][3]~q\ & !\led_flash_cnt[620][2]~35563\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[620][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[620][2]~35563\,
	combout => \led_flash_cnt[620][3]~35564_combout\,
	cout => \led_flash_cnt[620][3]~35565\);

-- Location: FF_X52_Y9_N11
\led_flash_cnt[620][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[620][3]~35564_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[620][3]~q\);

-- Location: LCCOMB_X52_Y9_N12
\led_flash_cnt[620][4]~35566\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[620][4]~35566_combout\ = (\led_flash_cnt[620][4]~q\ & (!\led_flash_cnt[620][3]~35565\)) # (!\led_flash_cnt[620][4]~q\ & ((\led_flash_cnt[620][3]~35565\) # (GND)))
-- \led_flash_cnt[620][4]~35567\ = CARRY((!\led_flash_cnt[620][3]~35565\) # (!\led_flash_cnt[620][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[620][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[620][3]~35565\,
	combout => \led_flash_cnt[620][4]~35566_combout\,
	cout => \led_flash_cnt[620][4]~35567\);

-- Location: FF_X52_Y9_N13
\led_flash_cnt[620][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[620][4]~35566_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[620][4]~q\);

-- Location: LCCOMB_X52_Y9_N22
\WideAnd620~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd620~0_combout\ = (\led_flash_cnt[620][4]~q\ & (\led_flash_cnt[620][3]~q\ & (\led_flash_cnt[620][2]~q\ & \led_flash_cnt[620][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[620][4]~q\,
	datab => \led_flash_cnt[620][3]~q\,
	datac => \led_flash_cnt[620][2]~q\,
	datad => \led_flash_cnt[620][1]~q\,
	combout => \WideAnd620~0_combout\);

-- Location: LCCOMB_X52_Y9_N14
\led_flash_cnt[620][5]~35568\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[620][5]~35568_combout\ = (\led_flash_cnt[620][5]~q\ & (\led_flash_cnt[620][4]~35567\ $ (GND))) # (!\led_flash_cnt[620][5]~q\ & (!\led_flash_cnt[620][4]~35567\ & VCC))
-- \led_flash_cnt[620][5]~35569\ = CARRY((\led_flash_cnt[620][5]~q\ & !\led_flash_cnt[620][4]~35567\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[620][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[620][4]~35567\,
	combout => \led_flash_cnt[620][5]~35568_combout\,
	cout => \led_flash_cnt[620][5]~35569\);

-- Location: FF_X52_Y9_N15
\led_flash_cnt[620][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[620][5]~35568_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[620][5]~q\);

-- Location: LCCOMB_X52_Y9_N16
\led_flash_cnt[620][6]~35570\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[620][6]~35570_combout\ = (\led_flash_cnt[620][6]~q\ & (!\led_flash_cnt[620][5]~35569\)) # (!\led_flash_cnt[620][6]~q\ & ((\led_flash_cnt[620][5]~35569\) # (GND)))
-- \led_flash_cnt[620][6]~35571\ = CARRY((!\led_flash_cnt[620][5]~35569\) # (!\led_flash_cnt[620][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[620][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[620][5]~35569\,
	combout => \led_flash_cnt[620][6]~35570_combout\,
	cout => \led_flash_cnt[620][6]~35571\);

-- Location: FF_X52_Y9_N17
\led_flash_cnt[620][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[620][6]~35570_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[620][6]~q\);

-- Location: LCCOMB_X52_Y9_N18
\led_flash_cnt[620][7]~35572\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[620][7]~35572_combout\ = \led_flash_cnt[620][7]~q\ $ (!\led_flash_cnt[620][6]~35571\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[620][7]~q\,
	cin => \led_flash_cnt[620][6]~35571\,
	combout => \led_flash_cnt[620][7]~35572_combout\);

-- Location: FF_X52_Y9_N19
\led_flash_cnt[620][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[620][7]~35572_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[620][7]~q\);

-- Location: LCCOMB_X52_Y9_N24
\WideAnd620~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd620~1_combout\ = (\led_flash_cnt[620][5]~q\ & \led_flash_cnt[620][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[620][5]~q\,
	datad => \led_flash_cnt[620][6]~q\,
	combout => \WideAnd620~1_combout\);

-- Location: LCCOMB_X52_Y9_N20
WideAnd620 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd620~combout\ = (\WideAnd620~0_combout\ & (\led_flash_cnt[620][0]~q\ & (\led_flash_cnt[620][7]~q\ & \WideAnd620~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd620~0_combout\,
	datab => \led_flash_cnt[620][0]~q\,
	datac => \led_flash_cnt[620][7]~q\,
	datad => \WideAnd620~1_combout\,
	combout => \WideAnd620~combout\);

-- Location: FF_X52_Y9_N21
\led_flash_cnt_ands[620]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd620~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(620));

-- Location: LCCOMB_X52_Y9_N26
\WideAnd3917~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3917~1_combout\ = (led_flash_cnt_ands(621) & led_flash_cnt_ands(620))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(621),
	datad => led_flash_cnt_ands(620),
	combout => \WideAnd3917~1_combout\);

-- Location: LCCOMB_X52_Y6_N12
\led_flash_cnt[622][0]~81262\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[622][0]~81262_combout\ = !\led_flash_cnt[622][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[622][0]~q\,
	combout => \led_flash_cnt[622][0]~81262_combout\);

-- Location: FF_X52_Y6_N13
\led_flash_cnt[622][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[622][0]~81262_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[622][0]~q\);

-- Location: LCCOMB_X52_Y6_N14
\led_flash_cnt[622][1]~35588\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[622][1]~35588_combout\ = (\led_flash_cnt[622][0]~q\ & (\led_flash_cnt[622][1]~q\ $ (VCC))) # (!\led_flash_cnt[622][0]~q\ & (\led_flash_cnt[622][1]~q\ & VCC))
-- \led_flash_cnt[622][1]~35589\ = CARRY((\led_flash_cnt[622][0]~q\ & \led_flash_cnt[622][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[622][0]~q\,
	datab => \led_flash_cnt[622][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[622][1]~35588_combout\,
	cout => \led_flash_cnt[622][1]~35589\);

-- Location: FF_X52_Y6_N15
\led_flash_cnt[622][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[622][1]~35588_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[622][1]~q\);

-- Location: LCCOMB_X52_Y6_N16
\led_flash_cnt[622][2]~35590\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[622][2]~35590_combout\ = (\led_flash_cnt[622][2]~q\ & (!\led_flash_cnt[622][1]~35589\)) # (!\led_flash_cnt[622][2]~q\ & ((\led_flash_cnt[622][1]~35589\) # (GND)))
-- \led_flash_cnt[622][2]~35591\ = CARRY((!\led_flash_cnt[622][1]~35589\) # (!\led_flash_cnt[622][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[622][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[622][1]~35589\,
	combout => \led_flash_cnt[622][2]~35590_combout\,
	cout => \led_flash_cnt[622][2]~35591\);

-- Location: FF_X52_Y6_N17
\led_flash_cnt[622][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[622][2]~35590_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[622][2]~q\);

-- Location: LCCOMB_X52_Y6_N18
\led_flash_cnt[622][3]~35592\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[622][3]~35592_combout\ = (\led_flash_cnt[622][3]~q\ & (\led_flash_cnt[622][2]~35591\ $ (GND))) # (!\led_flash_cnt[622][3]~q\ & (!\led_flash_cnt[622][2]~35591\ & VCC))
-- \led_flash_cnt[622][3]~35593\ = CARRY((\led_flash_cnt[622][3]~q\ & !\led_flash_cnt[622][2]~35591\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[622][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[622][2]~35591\,
	combout => \led_flash_cnt[622][3]~35592_combout\,
	cout => \led_flash_cnt[622][3]~35593\);

-- Location: FF_X52_Y6_N19
\led_flash_cnt[622][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[622][3]~35592_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[622][3]~q\);

-- Location: LCCOMB_X52_Y6_N20
\led_flash_cnt[622][4]~35594\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[622][4]~35594_combout\ = (\led_flash_cnt[622][4]~q\ & (!\led_flash_cnt[622][3]~35593\)) # (!\led_flash_cnt[622][4]~q\ & ((\led_flash_cnt[622][3]~35593\) # (GND)))
-- \led_flash_cnt[622][4]~35595\ = CARRY((!\led_flash_cnt[622][3]~35593\) # (!\led_flash_cnt[622][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[622][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[622][3]~35593\,
	combout => \led_flash_cnt[622][4]~35594_combout\,
	cout => \led_flash_cnt[622][4]~35595\);

-- Location: FF_X52_Y6_N21
\led_flash_cnt[622][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[622][4]~35594_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[622][4]~q\);

-- Location: LCCOMB_X52_Y6_N28
\WideAnd622~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd622~0_combout\ = (\led_flash_cnt[622][4]~q\ & (\led_flash_cnt[622][2]~q\ & (\led_flash_cnt[622][1]~q\ & \led_flash_cnt[622][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[622][4]~q\,
	datab => \led_flash_cnt[622][2]~q\,
	datac => \led_flash_cnt[622][1]~q\,
	datad => \led_flash_cnt[622][3]~q\,
	combout => \WideAnd622~0_combout\);

-- Location: LCCOMB_X52_Y6_N22
\led_flash_cnt[622][5]~35596\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[622][5]~35596_combout\ = (\led_flash_cnt[622][5]~q\ & (\led_flash_cnt[622][4]~35595\ $ (GND))) # (!\led_flash_cnt[622][5]~q\ & (!\led_flash_cnt[622][4]~35595\ & VCC))
-- \led_flash_cnt[622][5]~35597\ = CARRY((\led_flash_cnt[622][5]~q\ & !\led_flash_cnt[622][4]~35595\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[622][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[622][4]~35595\,
	combout => \led_flash_cnt[622][5]~35596_combout\,
	cout => \led_flash_cnt[622][5]~35597\);

-- Location: FF_X52_Y6_N23
\led_flash_cnt[622][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[622][5]~35596_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[622][5]~q\);

-- Location: LCCOMB_X52_Y6_N24
\led_flash_cnt[622][6]~35598\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[622][6]~35598_combout\ = (\led_flash_cnt[622][6]~q\ & (!\led_flash_cnt[622][5]~35597\)) # (!\led_flash_cnt[622][6]~q\ & ((\led_flash_cnt[622][5]~35597\) # (GND)))
-- \led_flash_cnt[622][6]~35599\ = CARRY((!\led_flash_cnt[622][5]~35597\) # (!\led_flash_cnt[622][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[622][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[622][5]~35597\,
	combout => \led_flash_cnt[622][6]~35598_combout\,
	cout => \led_flash_cnt[622][6]~35599\);

-- Location: FF_X52_Y6_N25
\led_flash_cnt[622][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[622][6]~35598_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[622][6]~q\);

-- Location: LCCOMB_X52_Y6_N26
\led_flash_cnt[622][7]~35600\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[622][7]~35600_combout\ = \led_flash_cnt[622][7]~q\ $ (!\led_flash_cnt[622][6]~35599\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[622][7]~q\,
	cin => \led_flash_cnt[622][6]~35599\,
	combout => \led_flash_cnt[622][7]~35600_combout\);

-- Location: FF_X52_Y6_N27
\led_flash_cnt[622][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[622][7]~35600_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[622][7]~q\);

-- Location: LCCOMB_X52_Y6_N0
\WideAnd622~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd622~1_combout\ = (\led_flash_cnt[622][5]~q\ & \led_flash_cnt[622][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[622][5]~q\,
	datad => \led_flash_cnt[622][6]~q\,
	combout => \WideAnd622~1_combout\);

-- Location: LCCOMB_X52_Y6_N10
WideAnd622 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd622~combout\ = (\led_flash_cnt[622][0]~q\ & (\WideAnd622~0_combout\ & (\led_flash_cnt[622][7]~q\ & \WideAnd622~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[622][0]~q\,
	datab => \WideAnd622~0_combout\,
	datac => \led_flash_cnt[622][7]~q\,
	datad => \WideAnd622~1_combout\,
	combout => \WideAnd622~combout\);

-- Location: FF_X52_Y6_N11
\led_flash_cnt_ands[622]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd622~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(622));

-- Location: LCCOMB_X59_Y1_N24
\led_flash_cnt[623][0]~81263\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[623][0]~81263_combout\ = !\led_flash_cnt[623][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[623][0]~q\,
	combout => \led_flash_cnt[623][0]~81263_combout\);

-- Location: FF_X59_Y1_N25
\led_flash_cnt[623][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[623][0]~81263_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[623][0]~q\);

-- Location: LCCOMB_X59_Y1_N8
\led_flash_cnt[623][1]~35602\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[623][1]~35602_combout\ = (\led_flash_cnt[623][1]~q\ & (\led_flash_cnt[623][0]~q\ $ (VCC))) # (!\led_flash_cnt[623][1]~q\ & (\led_flash_cnt[623][0]~q\ & VCC))
-- \led_flash_cnt[623][1]~35603\ = CARRY((\led_flash_cnt[623][1]~q\ & \led_flash_cnt[623][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[623][1]~q\,
	datab => \led_flash_cnt[623][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[623][1]~35602_combout\,
	cout => \led_flash_cnt[623][1]~35603\);

-- Location: FF_X59_Y1_N9
\led_flash_cnt[623][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[623][1]~35602_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[623][1]~q\);

-- Location: LCCOMB_X59_Y1_N10
\led_flash_cnt[623][2]~35604\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[623][2]~35604_combout\ = (\led_flash_cnt[623][2]~q\ & (!\led_flash_cnt[623][1]~35603\)) # (!\led_flash_cnt[623][2]~q\ & ((\led_flash_cnt[623][1]~35603\) # (GND)))
-- \led_flash_cnt[623][2]~35605\ = CARRY((!\led_flash_cnt[623][1]~35603\) # (!\led_flash_cnt[623][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[623][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[623][1]~35603\,
	combout => \led_flash_cnt[623][2]~35604_combout\,
	cout => \led_flash_cnt[623][2]~35605\);

-- Location: FF_X59_Y1_N11
\led_flash_cnt[623][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[623][2]~35604_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[623][2]~q\);

-- Location: LCCOMB_X59_Y1_N12
\led_flash_cnt[623][3]~35606\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[623][3]~35606_combout\ = (\led_flash_cnt[623][3]~q\ & (\led_flash_cnt[623][2]~35605\ $ (GND))) # (!\led_flash_cnt[623][3]~q\ & (!\led_flash_cnt[623][2]~35605\ & VCC))
-- \led_flash_cnt[623][3]~35607\ = CARRY((\led_flash_cnt[623][3]~q\ & !\led_flash_cnt[623][2]~35605\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[623][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[623][2]~35605\,
	combout => \led_flash_cnt[623][3]~35606_combout\,
	cout => \led_flash_cnt[623][3]~35607\);

-- Location: FF_X59_Y1_N13
\led_flash_cnt[623][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[623][3]~35606_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[623][3]~q\);

-- Location: LCCOMB_X59_Y1_N14
\led_flash_cnt[623][4]~35608\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[623][4]~35608_combout\ = (\led_flash_cnt[623][4]~q\ & (!\led_flash_cnt[623][3]~35607\)) # (!\led_flash_cnt[623][4]~q\ & ((\led_flash_cnt[623][3]~35607\) # (GND)))
-- \led_flash_cnt[623][4]~35609\ = CARRY((!\led_flash_cnt[623][3]~35607\) # (!\led_flash_cnt[623][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[623][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[623][3]~35607\,
	combout => \led_flash_cnt[623][4]~35608_combout\,
	cout => \led_flash_cnt[623][4]~35609\);

-- Location: FF_X59_Y1_N15
\led_flash_cnt[623][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[623][4]~35608_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[623][4]~q\);

-- Location: LCCOMB_X59_Y1_N16
\led_flash_cnt[623][5]~35610\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[623][5]~35610_combout\ = (\led_flash_cnt[623][5]~q\ & (\led_flash_cnt[623][4]~35609\ $ (GND))) # (!\led_flash_cnt[623][5]~q\ & (!\led_flash_cnt[623][4]~35609\ & VCC))
-- \led_flash_cnt[623][5]~35611\ = CARRY((\led_flash_cnt[623][5]~q\ & !\led_flash_cnt[623][4]~35609\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[623][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[623][4]~35609\,
	combout => \led_flash_cnt[623][5]~35610_combout\,
	cout => \led_flash_cnt[623][5]~35611\);

-- Location: FF_X59_Y1_N17
\led_flash_cnt[623][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[623][5]~35610_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[623][5]~q\);

-- Location: LCCOMB_X59_Y1_N18
\led_flash_cnt[623][6]~35612\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[623][6]~35612_combout\ = (\led_flash_cnt[623][6]~q\ & (!\led_flash_cnt[623][5]~35611\)) # (!\led_flash_cnt[623][6]~q\ & ((\led_flash_cnt[623][5]~35611\) # (GND)))
-- \led_flash_cnt[623][6]~35613\ = CARRY((!\led_flash_cnt[623][5]~35611\) # (!\led_flash_cnt[623][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[623][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[623][5]~35611\,
	combout => \led_flash_cnt[623][6]~35612_combout\,
	cout => \led_flash_cnt[623][6]~35613\);

-- Location: FF_X59_Y1_N19
\led_flash_cnt[623][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[623][6]~35612_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[623][6]~q\);

-- Location: LCCOMB_X59_Y1_N26
\WideAnd623~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd623~1_combout\ = (\led_flash_cnt[623][6]~q\ & \led_flash_cnt[623][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[623][6]~q\,
	datad => \led_flash_cnt[623][5]~q\,
	combout => \WideAnd623~1_combout\);

-- Location: LCCOMB_X59_Y1_N20
\led_flash_cnt[623][7]~35614\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[623][7]~35614_combout\ = \led_flash_cnt[623][6]~35613\ $ (!\led_flash_cnt[623][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[623][7]~q\,
	cin => \led_flash_cnt[623][6]~35613\,
	combout => \led_flash_cnt[623][7]~35614_combout\);

-- Location: FF_X59_Y1_N21
\led_flash_cnt[623][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[623][7]~35614_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[623][7]~q\);

-- Location: LCCOMB_X59_Y1_N22
\WideAnd623~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd623~0_combout\ = (\led_flash_cnt[623][3]~q\ & (\led_flash_cnt[623][1]~q\ & (\led_flash_cnt[623][4]~q\ & \led_flash_cnt[623][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[623][3]~q\,
	datab => \led_flash_cnt[623][1]~q\,
	datac => \led_flash_cnt[623][4]~q\,
	datad => \led_flash_cnt[623][2]~q\,
	combout => \WideAnd623~0_combout\);

-- Location: LCCOMB_X59_Y1_N0
WideAnd623 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd623~combout\ = (\WideAnd623~1_combout\ & (\led_flash_cnt[623][7]~q\ & (\WideAnd623~0_combout\ & \led_flash_cnt[623][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd623~1_combout\,
	datab => \led_flash_cnt[623][7]~q\,
	datac => \WideAnd623~0_combout\,
	datad => \led_flash_cnt[623][0]~q\,
	combout => \WideAnd623~combout\);

-- Location: FF_X59_Y1_N1
\led_flash_cnt_ands[623]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd623~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(623));

-- Location: LCCOMB_X60_Y6_N10
WideAnd3917 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3917~combout\ = (\WideAnd3917~0_combout\ & (\WideAnd3917~1_combout\ & (led_flash_cnt_ands(622) & led_flash_cnt_ands(623))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3917~0_combout\,
	datab => \WideAnd3917~1_combout\,
	datac => led_flash_cnt_ands(622),
	datad => led_flash_cnt_ands(623),
	combout => \WideAnd3917~combout\);

-- Location: FF_X60_Y6_N11
\led_flash_cnt_ands_1[77]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3917~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(77));

-- Location: LCCOMB_X61_Y16_N22
\WideAnd4329~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4329~1_combout\ = (led_flash_cnt_ands_1(76) & led_flash_cnt_ands_1(77))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands_1(76),
	datad => led_flash_cnt_ands_1(77),
	combout => \WideAnd4329~1_combout\);

-- Location: LCCOMB_X62_Y19_N24
\led_flash_cnt[628][0]~81268\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[628][0]~81268_combout\ = !\led_flash_cnt[628][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[628][0]~q\,
	combout => \led_flash_cnt[628][0]~81268_combout\);

-- Location: FF_X62_Y19_N25
\led_flash_cnt[628][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[628][0]~81268_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[628][0]~q\);

-- Location: LCCOMB_X62_Y19_N0
\led_flash_cnt[628][1]~35672\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[628][1]~35672_combout\ = (\led_flash_cnt[628][0]~q\ & (\led_flash_cnt[628][1]~q\ $ (VCC))) # (!\led_flash_cnt[628][0]~q\ & (\led_flash_cnt[628][1]~q\ & VCC))
-- \led_flash_cnt[628][1]~35673\ = CARRY((\led_flash_cnt[628][0]~q\ & \led_flash_cnt[628][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[628][0]~q\,
	datab => \led_flash_cnt[628][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[628][1]~35672_combout\,
	cout => \led_flash_cnt[628][1]~35673\);

-- Location: FF_X62_Y19_N1
\led_flash_cnt[628][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[628][1]~35672_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[628][1]~q\);

-- Location: LCCOMB_X62_Y19_N2
\led_flash_cnt[628][2]~35674\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[628][2]~35674_combout\ = (\led_flash_cnt[628][2]~q\ & (!\led_flash_cnt[628][1]~35673\)) # (!\led_flash_cnt[628][2]~q\ & ((\led_flash_cnt[628][1]~35673\) # (GND)))
-- \led_flash_cnt[628][2]~35675\ = CARRY((!\led_flash_cnt[628][1]~35673\) # (!\led_flash_cnt[628][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[628][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[628][1]~35673\,
	combout => \led_flash_cnt[628][2]~35674_combout\,
	cout => \led_flash_cnt[628][2]~35675\);

-- Location: FF_X62_Y19_N3
\led_flash_cnt[628][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[628][2]~35674_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[628][2]~q\);

-- Location: LCCOMB_X62_Y19_N4
\led_flash_cnt[628][3]~35676\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[628][3]~35676_combout\ = (\led_flash_cnt[628][3]~q\ & (\led_flash_cnt[628][2]~35675\ $ (GND))) # (!\led_flash_cnt[628][3]~q\ & (!\led_flash_cnt[628][2]~35675\ & VCC))
-- \led_flash_cnt[628][3]~35677\ = CARRY((\led_flash_cnt[628][3]~q\ & !\led_flash_cnt[628][2]~35675\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[628][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[628][2]~35675\,
	combout => \led_flash_cnt[628][3]~35676_combout\,
	cout => \led_flash_cnt[628][3]~35677\);

-- Location: FF_X62_Y19_N5
\led_flash_cnt[628][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[628][3]~35676_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[628][3]~q\);

-- Location: LCCOMB_X62_Y19_N6
\led_flash_cnt[628][4]~35678\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[628][4]~35678_combout\ = (\led_flash_cnt[628][4]~q\ & (!\led_flash_cnt[628][3]~35677\)) # (!\led_flash_cnt[628][4]~q\ & ((\led_flash_cnt[628][3]~35677\) # (GND)))
-- \led_flash_cnt[628][4]~35679\ = CARRY((!\led_flash_cnt[628][3]~35677\) # (!\led_flash_cnt[628][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[628][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[628][3]~35677\,
	combout => \led_flash_cnt[628][4]~35678_combout\,
	cout => \led_flash_cnt[628][4]~35679\);

-- Location: FF_X62_Y19_N7
\led_flash_cnt[628][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[628][4]~35678_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[628][4]~q\);

-- Location: LCCOMB_X62_Y19_N8
\led_flash_cnt[628][5]~35680\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[628][5]~35680_combout\ = (\led_flash_cnt[628][5]~q\ & (\led_flash_cnt[628][4]~35679\ $ (GND))) # (!\led_flash_cnt[628][5]~q\ & (!\led_flash_cnt[628][4]~35679\ & VCC))
-- \led_flash_cnt[628][5]~35681\ = CARRY((\led_flash_cnt[628][5]~q\ & !\led_flash_cnt[628][4]~35679\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[628][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[628][4]~35679\,
	combout => \led_flash_cnt[628][5]~35680_combout\,
	cout => \led_flash_cnt[628][5]~35681\);

-- Location: FF_X62_Y19_N9
\led_flash_cnt[628][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[628][5]~35680_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[628][5]~q\);

-- Location: LCCOMB_X62_Y19_N10
\led_flash_cnt[628][6]~35682\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[628][6]~35682_combout\ = (\led_flash_cnt[628][6]~q\ & (!\led_flash_cnt[628][5]~35681\)) # (!\led_flash_cnt[628][6]~q\ & ((\led_flash_cnt[628][5]~35681\) # (GND)))
-- \led_flash_cnt[628][6]~35683\ = CARRY((!\led_flash_cnt[628][5]~35681\) # (!\led_flash_cnt[628][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[628][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[628][5]~35681\,
	combout => \led_flash_cnt[628][6]~35682_combout\,
	cout => \led_flash_cnt[628][6]~35683\);

-- Location: FF_X62_Y19_N11
\led_flash_cnt[628][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[628][6]~35682_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[628][6]~q\);

-- Location: LCCOMB_X62_Y19_N12
\led_flash_cnt[628][7]~35684\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[628][7]~35684_combout\ = \led_flash_cnt[628][6]~35683\ $ (!\led_flash_cnt[628][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[628][7]~q\,
	cin => \led_flash_cnt[628][6]~35683\,
	combout => \led_flash_cnt[628][7]~35684_combout\);

-- Location: FF_X62_Y19_N13
\led_flash_cnt[628][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[628][7]~35684_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[628][7]~q\);

-- Location: LCCOMB_X62_Y19_N28
\WideAnd628~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd628~0_combout\ = (\led_flash_cnt[628][4]~q\ & (\led_flash_cnt[628][1]~q\ & (\led_flash_cnt[628][3]~q\ & \led_flash_cnt[628][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[628][4]~q\,
	datab => \led_flash_cnt[628][1]~q\,
	datac => \led_flash_cnt[628][3]~q\,
	datad => \led_flash_cnt[628][2]~q\,
	combout => \WideAnd628~0_combout\);

-- Location: LCCOMB_X62_Y19_N16
\WideAnd628~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd628~1_combout\ = (\led_flash_cnt[628][5]~q\ & \led_flash_cnt[628][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[628][5]~q\,
	datad => \led_flash_cnt[628][6]~q\,
	combout => \WideAnd628~1_combout\);

-- Location: LCCOMB_X62_Y19_N26
WideAnd628 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd628~combout\ = (\led_flash_cnt[628][7]~q\ & (\WideAnd628~0_combout\ & (\led_flash_cnt[628][0]~q\ & \WideAnd628~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[628][7]~q\,
	datab => \WideAnd628~0_combout\,
	datac => \led_flash_cnt[628][0]~q\,
	datad => \WideAnd628~1_combout\,
	combout => \WideAnd628~combout\);

-- Location: FF_X62_Y19_N27
\led_flash_cnt_ands[628]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd628~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(628));

-- Location: LCCOMB_X59_Y22_N28
\led_flash_cnt[629][0]~81269\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[629][0]~81269_combout\ = !\led_flash_cnt[629][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[629][0]~q\,
	combout => \led_flash_cnt[629][0]~81269_combout\);

-- Location: FF_X59_Y22_N29
\led_flash_cnt[629][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[629][0]~81269_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[629][0]~q\);

-- Location: LCCOMB_X59_Y22_N12
\led_flash_cnt[629][1]~35686\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[629][1]~35686_combout\ = (\led_flash_cnt[629][1]~q\ & (\led_flash_cnt[629][0]~q\ $ (VCC))) # (!\led_flash_cnt[629][1]~q\ & (\led_flash_cnt[629][0]~q\ & VCC))
-- \led_flash_cnt[629][1]~35687\ = CARRY((\led_flash_cnt[629][1]~q\ & \led_flash_cnt[629][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[629][1]~q\,
	datab => \led_flash_cnt[629][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[629][1]~35686_combout\,
	cout => \led_flash_cnt[629][1]~35687\);

-- Location: FF_X59_Y22_N13
\led_flash_cnt[629][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[629][1]~35686_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[629][1]~q\);

-- Location: LCCOMB_X59_Y22_N14
\led_flash_cnt[629][2]~35688\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[629][2]~35688_combout\ = (\led_flash_cnt[629][2]~q\ & (!\led_flash_cnt[629][1]~35687\)) # (!\led_flash_cnt[629][2]~q\ & ((\led_flash_cnt[629][1]~35687\) # (GND)))
-- \led_flash_cnt[629][2]~35689\ = CARRY((!\led_flash_cnt[629][1]~35687\) # (!\led_flash_cnt[629][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[629][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[629][1]~35687\,
	combout => \led_flash_cnt[629][2]~35688_combout\,
	cout => \led_flash_cnt[629][2]~35689\);

-- Location: FF_X59_Y22_N15
\led_flash_cnt[629][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[629][2]~35688_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[629][2]~q\);

-- Location: LCCOMB_X59_Y22_N16
\led_flash_cnt[629][3]~35690\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[629][3]~35690_combout\ = (\led_flash_cnt[629][3]~q\ & (\led_flash_cnt[629][2]~35689\ $ (GND))) # (!\led_flash_cnt[629][3]~q\ & (!\led_flash_cnt[629][2]~35689\ & VCC))
-- \led_flash_cnt[629][3]~35691\ = CARRY((\led_flash_cnt[629][3]~q\ & !\led_flash_cnt[629][2]~35689\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[629][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[629][2]~35689\,
	combout => \led_flash_cnt[629][3]~35690_combout\,
	cout => \led_flash_cnt[629][3]~35691\);

-- Location: FF_X59_Y22_N17
\led_flash_cnt[629][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[629][3]~35690_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[629][3]~q\);

-- Location: LCCOMB_X59_Y22_N18
\led_flash_cnt[629][4]~35692\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[629][4]~35692_combout\ = (\led_flash_cnt[629][4]~q\ & (!\led_flash_cnt[629][3]~35691\)) # (!\led_flash_cnt[629][4]~q\ & ((\led_flash_cnt[629][3]~35691\) # (GND)))
-- \led_flash_cnt[629][4]~35693\ = CARRY((!\led_flash_cnt[629][3]~35691\) # (!\led_flash_cnt[629][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[629][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[629][3]~35691\,
	combout => \led_flash_cnt[629][4]~35692_combout\,
	cout => \led_flash_cnt[629][4]~35693\);

-- Location: FF_X59_Y22_N19
\led_flash_cnt[629][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[629][4]~35692_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[629][4]~q\);

-- Location: LCCOMB_X59_Y22_N26
\WideAnd629~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd629~0_combout\ = (\led_flash_cnt[629][1]~q\ & (\led_flash_cnt[629][4]~q\ & (\led_flash_cnt[629][2]~q\ & \led_flash_cnt[629][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[629][1]~q\,
	datab => \led_flash_cnt[629][4]~q\,
	datac => \led_flash_cnt[629][2]~q\,
	datad => \led_flash_cnt[629][3]~q\,
	combout => \WideAnd629~0_combout\);

-- Location: LCCOMB_X59_Y22_N20
\led_flash_cnt[629][5]~35694\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[629][5]~35694_combout\ = (\led_flash_cnt[629][5]~q\ & (\led_flash_cnt[629][4]~35693\ $ (GND))) # (!\led_flash_cnt[629][5]~q\ & (!\led_flash_cnt[629][4]~35693\ & VCC))
-- \led_flash_cnt[629][5]~35695\ = CARRY((\led_flash_cnt[629][5]~q\ & !\led_flash_cnt[629][4]~35693\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[629][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[629][4]~35693\,
	combout => \led_flash_cnt[629][5]~35694_combout\,
	cout => \led_flash_cnt[629][5]~35695\);

-- Location: FF_X59_Y22_N21
\led_flash_cnt[629][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[629][5]~35694_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[629][5]~q\);

-- Location: LCCOMB_X59_Y22_N22
\led_flash_cnt[629][6]~35696\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[629][6]~35696_combout\ = (\led_flash_cnt[629][6]~q\ & (!\led_flash_cnt[629][5]~35695\)) # (!\led_flash_cnt[629][6]~q\ & ((\led_flash_cnt[629][5]~35695\) # (GND)))
-- \led_flash_cnt[629][6]~35697\ = CARRY((!\led_flash_cnt[629][5]~35695\) # (!\led_flash_cnt[629][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[629][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[629][5]~35695\,
	combout => \led_flash_cnt[629][6]~35696_combout\,
	cout => \led_flash_cnt[629][6]~35697\);

-- Location: FF_X59_Y22_N23
\led_flash_cnt[629][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[629][6]~35696_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[629][6]~q\);

-- Location: LCCOMB_X59_Y22_N24
\led_flash_cnt[629][7]~35698\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[629][7]~35698_combout\ = \led_flash_cnt[629][6]~35697\ $ (!\led_flash_cnt[629][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[629][7]~q\,
	cin => \led_flash_cnt[629][6]~35697\,
	combout => \led_flash_cnt[629][7]~35698_combout\);

-- Location: FF_X59_Y22_N25
\led_flash_cnt[629][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[629][7]~35698_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[629][7]~q\);

-- Location: LCCOMB_X59_Y22_N30
\WideAnd629~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd629~1_combout\ = (\led_flash_cnt[629][6]~q\ & \led_flash_cnt[629][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[629][6]~q\,
	datad => \led_flash_cnt[629][5]~q\,
	combout => \WideAnd629~1_combout\);

-- Location: LCCOMB_X59_Y22_N10
WideAnd629 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd629~combout\ = (\WideAnd629~0_combout\ & (\led_flash_cnt[629][7]~q\ & (\WideAnd629~1_combout\ & \led_flash_cnt[629][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd629~0_combout\,
	datab => \led_flash_cnt[629][7]~q\,
	datac => \WideAnd629~1_combout\,
	datad => \led_flash_cnt[629][0]~q\,
	combout => \WideAnd629~combout\);

-- Location: FF_X59_Y22_N11
\led_flash_cnt_ands[629]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd629~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(629));

-- Location: LCCOMB_X59_Y22_N4
\WideAnd3918~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3918~1_combout\ = (led_flash_cnt_ands(628) & led_flash_cnt_ands(629))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => led_flash_cnt_ands(628),
	datad => led_flash_cnt_ands(629),
	combout => \WideAnd3918~1_combout\);

-- Location: LCCOMB_X62_Y24_N22
\led_flash_cnt[630][0]~81270\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[630][0]~81270_combout\ = !\led_flash_cnt[630][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[630][0]~q\,
	combout => \led_flash_cnt[630][0]~81270_combout\);

-- Location: FF_X62_Y24_N23
\led_flash_cnt[630][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[630][0]~81270_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[630][0]~q\);

-- Location: LCCOMB_X62_Y24_N8
\led_flash_cnt[630][1]~35700\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[630][1]~35700_combout\ = (\led_flash_cnt[630][0]~q\ & (\led_flash_cnt[630][1]~q\ $ (VCC))) # (!\led_flash_cnt[630][0]~q\ & (\led_flash_cnt[630][1]~q\ & VCC))
-- \led_flash_cnt[630][1]~35701\ = CARRY((\led_flash_cnt[630][0]~q\ & \led_flash_cnt[630][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[630][0]~q\,
	datab => \led_flash_cnt[630][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[630][1]~35700_combout\,
	cout => \led_flash_cnt[630][1]~35701\);

-- Location: FF_X62_Y24_N9
\led_flash_cnt[630][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[630][1]~35700_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[630][1]~q\);

-- Location: LCCOMB_X62_Y24_N10
\led_flash_cnt[630][2]~35702\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[630][2]~35702_combout\ = (\led_flash_cnt[630][2]~q\ & (!\led_flash_cnt[630][1]~35701\)) # (!\led_flash_cnt[630][2]~q\ & ((\led_flash_cnt[630][1]~35701\) # (GND)))
-- \led_flash_cnt[630][2]~35703\ = CARRY((!\led_flash_cnt[630][1]~35701\) # (!\led_flash_cnt[630][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[630][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[630][1]~35701\,
	combout => \led_flash_cnt[630][2]~35702_combout\,
	cout => \led_flash_cnt[630][2]~35703\);

-- Location: FF_X62_Y24_N11
\led_flash_cnt[630][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[630][2]~35702_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[630][2]~q\);

-- Location: LCCOMB_X62_Y24_N12
\led_flash_cnt[630][3]~35704\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[630][3]~35704_combout\ = (\led_flash_cnt[630][3]~q\ & (\led_flash_cnt[630][2]~35703\ $ (GND))) # (!\led_flash_cnt[630][3]~q\ & (!\led_flash_cnt[630][2]~35703\ & VCC))
-- \led_flash_cnt[630][3]~35705\ = CARRY((\led_flash_cnt[630][3]~q\ & !\led_flash_cnt[630][2]~35703\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[630][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[630][2]~35703\,
	combout => \led_flash_cnt[630][3]~35704_combout\,
	cout => \led_flash_cnt[630][3]~35705\);

-- Location: FF_X62_Y24_N13
\led_flash_cnt[630][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[630][3]~35704_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[630][3]~q\);

-- Location: LCCOMB_X62_Y24_N14
\led_flash_cnt[630][4]~35706\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[630][4]~35706_combout\ = (\led_flash_cnt[630][4]~q\ & (!\led_flash_cnt[630][3]~35705\)) # (!\led_flash_cnt[630][4]~q\ & ((\led_flash_cnt[630][3]~35705\) # (GND)))
-- \led_flash_cnt[630][4]~35707\ = CARRY((!\led_flash_cnt[630][3]~35705\) # (!\led_flash_cnt[630][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[630][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[630][3]~35705\,
	combout => \led_flash_cnt[630][4]~35706_combout\,
	cout => \led_flash_cnt[630][4]~35707\);

-- Location: FF_X62_Y24_N15
\led_flash_cnt[630][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[630][4]~35706_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[630][4]~q\);

-- Location: LCCOMB_X62_Y24_N26
\WideAnd630~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd630~0_combout\ = (\led_flash_cnt[630][3]~q\ & (\led_flash_cnt[630][4]~q\ & (\led_flash_cnt[630][1]~q\ & \led_flash_cnt[630][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[630][3]~q\,
	datab => \led_flash_cnt[630][4]~q\,
	datac => \led_flash_cnt[630][1]~q\,
	datad => \led_flash_cnt[630][2]~q\,
	combout => \WideAnd630~0_combout\);

-- Location: LCCOMB_X62_Y24_N16
\led_flash_cnt[630][5]~35708\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[630][5]~35708_combout\ = (\led_flash_cnt[630][5]~q\ & (\led_flash_cnt[630][4]~35707\ $ (GND))) # (!\led_flash_cnt[630][5]~q\ & (!\led_flash_cnt[630][4]~35707\ & VCC))
-- \led_flash_cnt[630][5]~35709\ = CARRY((\led_flash_cnt[630][5]~q\ & !\led_flash_cnt[630][4]~35707\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[630][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[630][4]~35707\,
	combout => \led_flash_cnt[630][5]~35708_combout\,
	cout => \led_flash_cnt[630][5]~35709\);

-- Location: FF_X62_Y24_N17
\led_flash_cnt[630][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[630][5]~35708_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[630][5]~q\);

-- Location: LCCOMB_X62_Y24_N18
\led_flash_cnt[630][6]~35710\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[630][6]~35710_combout\ = (\led_flash_cnt[630][6]~q\ & (!\led_flash_cnt[630][5]~35709\)) # (!\led_flash_cnt[630][6]~q\ & ((\led_flash_cnt[630][5]~35709\) # (GND)))
-- \led_flash_cnt[630][6]~35711\ = CARRY((!\led_flash_cnt[630][5]~35709\) # (!\led_flash_cnt[630][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[630][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[630][5]~35709\,
	combout => \led_flash_cnt[630][6]~35710_combout\,
	cout => \led_flash_cnt[630][6]~35711\);

-- Location: FF_X62_Y24_N19
\led_flash_cnt[630][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[630][6]~35710_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[630][6]~q\);

-- Location: LCCOMB_X62_Y24_N28
\WideAnd630~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd630~1_combout\ = (\led_flash_cnt[630][6]~q\ & \led_flash_cnt[630][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[630][6]~q\,
	datad => \led_flash_cnt[630][5]~q\,
	combout => \WideAnd630~1_combout\);

-- Location: LCCOMB_X62_Y24_N20
\led_flash_cnt[630][7]~35712\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[630][7]~35712_combout\ = \led_flash_cnt[630][6]~35711\ $ (!\led_flash_cnt[630][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[630][7]~q\,
	cin => \led_flash_cnt[630][6]~35711\,
	combout => \led_flash_cnt[630][7]~35712_combout\);

-- Location: FF_X62_Y24_N21
\led_flash_cnt[630][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[630][7]~35712_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[630][7]~q\);

-- Location: LCCOMB_X62_Y24_N4
WideAnd630 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd630~combout\ = (\WideAnd630~0_combout\ & (\WideAnd630~1_combout\ & (\led_flash_cnt[630][0]~q\ & \led_flash_cnt[630][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd630~0_combout\,
	datab => \WideAnd630~1_combout\,
	datac => \led_flash_cnt[630][0]~q\,
	datad => \led_flash_cnt[630][7]~q\,
	combout => \WideAnd630~combout\);

-- Location: FF_X62_Y24_N5
\led_flash_cnt_ands[630]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd630~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(630));

-- Location: LCCOMB_X4_Y22_N4
\led_flash_cnt[624][0]~81264\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[624][0]~81264_combout\ = !\led_flash_cnt[624][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[624][0]~q\,
	combout => \led_flash_cnt[624][0]~81264_combout\);

-- Location: FF_X4_Y22_N5
\led_flash_cnt[624][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[624][0]~81264_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[624][0]~q\);

-- Location: LCCOMB_X4_Y22_N10
\led_flash_cnt[624][1]~35616\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[624][1]~35616_combout\ = (\led_flash_cnt[624][1]~q\ & (\led_flash_cnt[624][0]~q\ $ (VCC))) # (!\led_flash_cnt[624][1]~q\ & (\led_flash_cnt[624][0]~q\ & VCC))
-- \led_flash_cnt[624][1]~35617\ = CARRY((\led_flash_cnt[624][1]~q\ & \led_flash_cnt[624][0]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[624][1]~q\,
	datab => \led_flash_cnt[624][0]~q\,
	datad => VCC,
	combout => \led_flash_cnt[624][1]~35616_combout\,
	cout => \led_flash_cnt[624][1]~35617\);

-- Location: FF_X4_Y22_N11
\led_flash_cnt[624][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[624][1]~35616_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[624][1]~q\);

-- Location: LCCOMB_X4_Y22_N12
\led_flash_cnt[624][2]~35618\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[624][2]~35618_combout\ = (\led_flash_cnt[624][2]~q\ & (!\led_flash_cnt[624][1]~35617\)) # (!\led_flash_cnt[624][2]~q\ & ((\led_flash_cnt[624][1]~35617\) # (GND)))
-- \led_flash_cnt[624][2]~35619\ = CARRY((!\led_flash_cnt[624][1]~35617\) # (!\led_flash_cnt[624][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[624][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[624][1]~35617\,
	combout => \led_flash_cnt[624][2]~35618_combout\,
	cout => \led_flash_cnt[624][2]~35619\);

-- Location: FF_X4_Y22_N13
\led_flash_cnt[624][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[624][2]~35618_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[624][2]~q\);

-- Location: LCCOMB_X4_Y22_N14
\led_flash_cnt[624][3]~35620\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[624][3]~35620_combout\ = (\led_flash_cnt[624][3]~q\ & (\led_flash_cnt[624][2]~35619\ $ (GND))) # (!\led_flash_cnt[624][3]~q\ & (!\led_flash_cnt[624][2]~35619\ & VCC))
-- \led_flash_cnt[624][3]~35621\ = CARRY((\led_flash_cnt[624][3]~q\ & !\led_flash_cnt[624][2]~35619\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[624][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[624][2]~35619\,
	combout => \led_flash_cnt[624][3]~35620_combout\,
	cout => \led_flash_cnt[624][3]~35621\);

-- Location: FF_X4_Y22_N15
\led_flash_cnt[624][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[624][3]~35620_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[624][3]~q\);

-- Location: LCCOMB_X4_Y22_N16
\led_flash_cnt[624][4]~35622\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[624][4]~35622_combout\ = (\led_flash_cnt[624][4]~q\ & (!\led_flash_cnt[624][3]~35621\)) # (!\led_flash_cnt[624][4]~q\ & ((\led_flash_cnt[624][3]~35621\) # (GND)))
-- \led_flash_cnt[624][4]~35623\ = CARRY((!\led_flash_cnt[624][3]~35621\) # (!\led_flash_cnt[624][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[624][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[624][3]~35621\,
	combout => \led_flash_cnt[624][4]~35622_combout\,
	cout => \led_flash_cnt[624][4]~35623\);

-- Location: FF_X4_Y22_N17
\led_flash_cnt[624][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[624][4]~35622_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[624][4]~q\);

-- Location: LCCOMB_X4_Y22_N18
\led_flash_cnt[624][5]~35624\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[624][5]~35624_combout\ = (\led_flash_cnt[624][5]~q\ & (\led_flash_cnt[624][4]~35623\ $ (GND))) # (!\led_flash_cnt[624][5]~q\ & (!\led_flash_cnt[624][4]~35623\ & VCC))
-- \led_flash_cnt[624][5]~35625\ = CARRY((\led_flash_cnt[624][5]~q\ & !\led_flash_cnt[624][4]~35623\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[624][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[624][4]~35623\,
	combout => \led_flash_cnt[624][5]~35624_combout\,
	cout => \led_flash_cnt[624][5]~35625\);

-- Location: FF_X4_Y22_N19
\led_flash_cnt[624][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[624][5]~35624_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[624][5]~q\);

-- Location: LCCOMB_X4_Y22_N20
\led_flash_cnt[624][6]~35626\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[624][6]~35626_combout\ = (\led_flash_cnt[624][6]~q\ & (!\led_flash_cnt[624][5]~35625\)) # (!\led_flash_cnt[624][6]~q\ & ((\led_flash_cnt[624][5]~35625\) # (GND)))
-- \led_flash_cnt[624][6]~35627\ = CARRY((!\led_flash_cnt[624][5]~35625\) # (!\led_flash_cnt[624][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[624][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[624][5]~35625\,
	combout => \led_flash_cnt[624][6]~35626_combout\,
	cout => \led_flash_cnt[624][6]~35627\);

-- Location: FF_X4_Y22_N21
\led_flash_cnt[624][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[624][6]~35626_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[624][6]~q\);

-- Location: LCCOMB_X4_Y22_N26
\WideAnd624~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd624~1_combout\ = (\led_flash_cnt[624][5]~q\ & \led_flash_cnt[624][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[624][5]~q\,
	datad => \led_flash_cnt[624][6]~q\,
	combout => \WideAnd624~1_combout\);

-- Location: LCCOMB_X4_Y22_N22
\led_flash_cnt[624][7]~35628\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[624][7]~35628_combout\ = \led_flash_cnt[624][7]~q\ $ (!\led_flash_cnt[624][6]~35627\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[624][7]~q\,
	cin => \led_flash_cnt[624][6]~35627\,
	combout => \led_flash_cnt[624][7]~35628_combout\);

-- Location: FF_X4_Y22_N23
\led_flash_cnt[624][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[624][7]~35628_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[624][7]~q\);

-- Location: LCCOMB_X4_Y22_N28
\WideAnd624~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd624~0_combout\ = (\led_flash_cnt[624][2]~q\ & (\led_flash_cnt[624][4]~q\ & (\led_flash_cnt[624][3]~q\ & \led_flash_cnt[624][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[624][2]~q\,
	datab => \led_flash_cnt[624][4]~q\,
	datac => \led_flash_cnt[624][3]~q\,
	datad => \led_flash_cnt[624][1]~q\,
	combout => \WideAnd624~0_combout\);

-- Location: LCCOMB_X4_Y22_N30
WideAnd624 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd624~combout\ = (\WideAnd624~1_combout\ & (\led_flash_cnt[624][0]~q\ & (\led_flash_cnt[624][7]~q\ & \WideAnd624~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd624~1_combout\,
	datab => \led_flash_cnt[624][0]~q\,
	datac => \led_flash_cnt[624][7]~q\,
	datad => \WideAnd624~0_combout\,
	combout => \WideAnd624~combout\);

-- Location: FF_X4_Y22_N31
\led_flash_cnt_ands[624]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd624~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(624));

-- Location: LCCOMB_X4_Y17_N22
\led_flash_cnt[627][0]~81267\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[627][0]~81267_combout\ = !\led_flash_cnt[627][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[627][0]~q\,
	combout => \led_flash_cnt[627][0]~81267_combout\);

-- Location: FF_X4_Y17_N23
\led_flash_cnt[627][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[627][0]~81267_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[627][0]~q\);

-- Location: LCCOMB_X4_Y17_N0
\led_flash_cnt[627][1]~35658\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[627][1]~35658_combout\ = (\led_flash_cnt[627][0]~q\ & (\led_flash_cnt[627][1]~q\ $ (VCC))) # (!\led_flash_cnt[627][0]~q\ & (\led_flash_cnt[627][1]~q\ & VCC))
-- \led_flash_cnt[627][1]~35659\ = CARRY((\led_flash_cnt[627][0]~q\ & \led_flash_cnt[627][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[627][0]~q\,
	datab => \led_flash_cnt[627][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[627][1]~35658_combout\,
	cout => \led_flash_cnt[627][1]~35659\);

-- Location: FF_X4_Y17_N1
\led_flash_cnt[627][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[627][1]~35658_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[627][1]~q\);

-- Location: LCCOMB_X4_Y17_N2
\led_flash_cnt[627][2]~35660\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[627][2]~35660_combout\ = (\led_flash_cnt[627][2]~q\ & (!\led_flash_cnt[627][1]~35659\)) # (!\led_flash_cnt[627][2]~q\ & ((\led_flash_cnt[627][1]~35659\) # (GND)))
-- \led_flash_cnt[627][2]~35661\ = CARRY((!\led_flash_cnt[627][1]~35659\) # (!\led_flash_cnt[627][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[627][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[627][1]~35659\,
	combout => \led_flash_cnt[627][2]~35660_combout\,
	cout => \led_flash_cnt[627][2]~35661\);

-- Location: FF_X4_Y17_N3
\led_flash_cnt[627][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[627][2]~35660_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[627][2]~q\);

-- Location: LCCOMB_X4_Y17_N4
\led_flash_cnt[627][3]~35662\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[627][3]~35662_combout\ = (\led_flash_cnt[627][3]~q\ & (\led_flash_cnt[627][2]~35661\ $ (GND))) # (!\led_flash_cnt[627][3]~q\ & (!\led_flash_cnt[627][2]~35661\ & VCC))
-- \led_flash_cnt[627][3]~35663\ = CARRY((\led_flash_cnt[627][3]~q\ & !\led_flash_cnt[627][2]~35661\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[627][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[627][2]~35661\,
	combout => \led_flash_cnt[627][3]~35662_combout\,
	cout => \led_flash_cnt[627][3]~35663\);

-- Location: FF_X4_Y17_N5
\led_flash_cnt[627][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[627][3]~35662_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[627][3]~q\);

-- Location: LCCOMB_X4_Y17_N6
\led_flash_cnt[627][4]~35664\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[627][4]~35664_combout\ = (\led_flash_cnt[627][4]~q\ & (!\led_flash_cnt[627][3]~35663\)) # (!\led_flash_cnt[627][4]~q\ & ((\led_flash_cnt[627][3]~35663\) # (GND)))
-- \led_flash_cnt[627][4]~35665\ = CARRY((!\led_flash_cnt[627][3]~35663\) # (!\led_flash_cnt[627][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[627][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[627][3]~35663\,
	combout => \led_flash_cnt[627][4]~35664_combout\,
	cout => \led_flash_cnt[627][4]~35665\);

-- Location: FF_X4_Y17_N7
\led_flash_cnt[627][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[627][4]~35664_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[627][4]~q\);

-- Location: LCCOMB_X4_Y17_N26
\WideAnd627~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd627~0_combout\ = (\led_flash_cnt[627][4]~q\ & (\led_flash_cnt[627][1]~q\ & (\led_flash_cnt[627][3]~q\ & \led_flash_cnt[627][2]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[627][4]~q\,
	datab => \led_flash_cnt[627][1]~q\,
	datac => \led_flash_cnt[627][3]~q\,
	datad => \led_flash_cnt[627][2]~q\,
	combout => \WideAnd627~0_combout\);

-- Location: LCCOMB_X4_Y17_N8
\led_flash_cnt[627][5]~35666\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[627][5]~35666_combout\ = (\led_flash_cnt[627][5]~q\ & (\led_flash_cnt[627][4]~35665\ $ (GND))) # (!\led_flash_cnt[627][5]~q\ & (!\led_flash_cnt[627][4]~35665\ & VCC))
-- \led_flash_cnt[627][5]~35667\ = CARRY((\led_flash_cnt[627][5]~q\ & !\led_flash_cnt[627][4]~35665\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[627][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[627][4]~35665\,
	combout => \led_flash_cnt[627][5]~35666_combout\,
	cout => \led_flash_cnt[627][5]~35667\);

-- Location: FF_X4_Y17_N9
\led_flash_cnt[627][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[627][5]~35666_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[627][5]~q\);

-- Location: LCCOMB_X4_Y17_N10
\led_flash_cnt[627][6]~35668\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[627][6]~35668_combout\ = (\led_flash_cnt[627][6]~q\ & (!\led_flash_cnt[627][5]~35667\)) # (!\led_flash_cnt[627][6]~q\ & ((\led_flash_cnt[627][5]~35667\) # (GND)))
-- \led_flash_cnt[627][6]~35669\ = CARRY((!\led_flash_cnt[627][5]~35667\) # (!\led_flash_cnt[627][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[627][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[627][5]~35667\,
	combout => \led_flash_cnt[627][6]~35668_combout\,
	cout => \led_flash_cnt[627][6]~35669\);

-- Location: FF_X4_Y17_N11
\led_flash_cnt[627][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[627][6]~35668_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[627][6]~q\);

-- Location: LCCOMB_X4_Y17_N18
\WideAnd627~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd627~1_combout\ = (\led_flash_cnt[627][5]~q\ & \led_flash_cnt[627][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[627][5]~q\,
	datad => \led_flash_cnt[627][6]~q\,
	combout => \WideAnd627~1_combout\);

-- Location: LCCOMB_X4_Y17_N12
\led_flash_cnt[627][7]~35670\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[627][7]~35670_combout\ = \led_flash_cnt[627][6]~35669\ $ (!\led_flash_cnt[627][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[627][7]~q\,
	cin => \led_flash_cnt[627][6]~35669\,
	combout => \led_flash_cnt[627][7]~35670_combout\);

-- Location: FF_X4_Y17_N13
\led_flash_cnt[627][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[627][7]~35670_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[627][7]~q\);

-- Location: LCCOMB_X4_Y17_N20
WideAnd627 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd627~combout\ = (\WideAnd627~0_combout\ & (\WideAnd627~1_combout\ & (\led_flash_cnt[627][0]~q\ & \led_flash_cnt[627][7]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd627~0_combout\,
	datab => \WideAnd627~1_combout\,
	datac => \led_flash_cnt[627][0]~q\,
	datad => \led_flash_cnt[627][7]~q\,
	combout => \WideAnd627~combout\);

-- Location: FF_X4_Y17_N21
\led_flash_cnt_ands[627]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd627~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(627));

-- Location: LCCOMB_X4_Y3_N12
\led_flash_cnt[625][0]~81265\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[625][0]~81265_combout\ = !\led_flash_cnt[625][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[625][0]~q\,
	combout => \led_flash_cnt[625][0]~81265_combout\);

-- Location: FF_X4_Y3_N13
\led_flash_cnt[625][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[625][0]~81265_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[625][0]~q\);

-- Location: LCCOMB_X4_Y3_N18
\led_flash_cnt[625][1]~35630\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[625][1]~35630_combout\ = (\led_flash_cnt[625][0]~q\ & (\led_flash_cnt[625][1]~q\ $ (VCC))) # (!\led_flash_cnt[625][0]~q\ & (\led_flash_cnt[625][1]~q\ & VCC))
-- \led_flash_cnt[625][1]~35631\ = CARRY((\led_flash_cnt[625][0]~q\ & \led_flash_cnt[625][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[625][0]~q\,
	datab => \led_flash_cnt[625][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[625][1]~35630_combout\,
	cout => \led_flash_cnt[625][1]~35631\);

-- Location: FF_X4_Y3_N19
\led_flash_cnt[625][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[625][1]~35630_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[625][1]~q\);

-- Location: LCCOMB_X4_Y3_N20
\led_flash_cnt[625][2]~35632\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[625][2]~35632_combout\ = (\led_flash_cnt[625][2]~q\ & (!\led_flash_cnt[625][1]~35631\)) # (!\led_flash_cnt[625][2]~q\ & ((\led_flash_cnt[625][1]~35631\) # (GND)))
-- \led_flash_cnt[625][2]~35633\ = CARRY((!\led_flash_cnt[625][1]~35631\) # (!\led_flash_cnt[625][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[625][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[625][1]~35631\,
	combout => \led_flash_cnt[625][2]~35632_combout\,
	cout => \led_flash_cnt[625][2]~35633\);

-- Location: FF_X4_Y3_N21
\led_flash_cnt[625][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[625][2]~35632_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[625][2]~q\);

-- Location: LCCOMB_X4_Y3_N22
\led_flash_cnt[625][3]~35634\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[625][3]~35634_combout\ = (\led_flash_cnt[625][3]~q\ & (\led_flash_cnt[625][2]~35633\ $ (GND))) # (!\led_flash_cnt[625][3]~q\ & (!\led_flash_cnt[625][2]~35633\ & VCC))
-- \led_flash_cnt[625][3]~35635\ = CARRY((\led_flash_cnt[625][3]~q\ & !\led_flash_cnt[625][2]~35633\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[625][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[625][2]~35633\,
	combout => \led_flash_cnt[625][3]~35634_combout\,
	cout => \led_flash_cnt[625][3]~35635\);

-- Location: FF_X4_Y3_N23
\led_flash_cnt[625][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[625][3]~35634_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[625][3]~q\);

-- Location: LCCOMB_X4_Y3_N24
\led_flash_cnt[625][4]~35636\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[625][4]~35636_combout\ = (\led_flash_cnt[625][4]~q\ & (!\led_flash_cnt[625][3]~35635\)) # (!\led_flash_cnt[625][4]~q\ & ((\led_flash_cnt[625][3]~35635\) # (GND)))
-- \led_flash_cnt[625][4]~35637\ = CARRY((!\led_flash_cnt[625][3]~35635\) # (!\led_flash_cnt[625][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[625][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[625][3]~35635\,
	combout => \led_flash_cnt[625][4]~35636_combout\,
	cout => \led_flash_cnt[625][4]~35637\);

-- Location: FF_X4_Y3_N25
\led_flash_cnt[625][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[625][4]~35636_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[625][4]~q\);

-- Location: LCCOMB_X4_Y3_N26
\led_flash_cnt[625][5]~35638\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[625][5]~35638_combout\ = (\led_flash_cnt[625][5]~q\ & (\led_flash_cnt[625][4]~35637\ $ (GND))) # (!\led_flash_cnt[625][5]~q\ & (!\led_flash_cnt[625][4]~35637\ & VCC))
-- \led_flash_cnt[625][5]~35639\ = CARRY((\led_flash_cnt[625][5]~q\ & !\led_flash_cnt[625][4]~35637\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[625][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[625][4]~35637\,
	combout => \led_flash_cnt[625][5]~35638_combout\,
	cout => \led_flash_cnt[625][5]~35639\);

-- Location: FF_X4_Y3_N27
\led_flash_cnt[625][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[625][5]~35638_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[625][5]~q\);

-- Location: LCCOMB_X4_Y3_N28
\led_flash_cnt[625][6]~35640\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[625][6]~35640_combout\ = (\led_flash_cnt[625][6]~q\ & (!\led_flash_cnt[625][5]~35639\)) # (!\led_flash_cnt[625][6]~q\ & ((\led_flash_cnt[625][5]~35639\) # (GND)))
-- \led_flash_cnt[625][6]~35641\ = CARRY((!\led_flash_cnt[625][5]~35639\) # (!\led_flash_cnt[625][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[625][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[625][5]~35639\,
	combout => \led_flash_cnt[625][6]~35640_combout\,
	cout => \led_flash_cnt[625][6]~35641\);

-- Location: FF_X4_Y3_N29
\led_flash_cnt[625][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[625][6]~35640_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[625][6]~q\);

-- Location: LCCOMB_X4_Y3_N30
\led_flash_cnt[625][7]~35642\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[625][7]~35642_combout\ = \led_flash_cnt[625][7]~q\ $ (!\led_flash_cnt[625][6]~35641\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[625][7]~q\,
	cin => \led_flash_cnt[625][6]~35641\,
	combout => \led_flash_cnt[625][7]~35642_combout\);

-- Location: FF_X4_Y3_N31
\led_flash_cnt[625][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[625][7]~35642_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[625][7]~q\);

-- Location: LCCOMB_X4_Y3_N4
\WideAnd625~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd625~0_combout\ = (\led_flash_cnt[625][2]~q\ & (\led_flash_cnt[625][4]~q\ & (\led_flash_cnt[625][3]~q\ & \led_flash_cnt[625][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[625][2]~q\,
	datab => \led_flash_cnt[625][4]~q\,
	datac => \led_flash_cnt[625][3]~q\,
	datad => \led_flash_cnt[625][1]~q\,
	combout => \WideAnd625~0_combout\);

-- Location: LCCOMB_X4_Y3_N14
\WideAnd625~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd625~1_combout\ = (\led_flash_cnt[625][5]~q\ & \led_flash_cnt[625][6]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[625][5]~q\,
	datad => \led_flash_cnt[625][6]~q\,
	combout => \WideAnd625~1_combout\);

-- Location: LCCOMB_X4_Y3_N10
WideAnd625 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd625~combout\ = (\led_flash_cnt[625][7]~q\ & (\WideAnd625~0_combout\ & (\WideAnd625~1_combout\ & \led_flash_cnt[625][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[625][7]~q\,
	datab => \WideAnd625~0_combout\,
	datac => \WideAnd625~1_combout\,
	datad => \led_flash_cnt[625][0]~q\,
	combout => \WideAnd625~combout\);

-- Location: FF_X4_Y3_N11
\led_flash_cnt_ands[625]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd625~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(625));

-- Location: LCCOMB_X4_Y17_N24
\led_flash_cnt[626][0]~81266\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[626][0]~81266_combout\ = !\led_flash_cnt[626][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[626][0]~q\,
	combout => \led_flash_cnt[626][0]~81266_combout\);

-- Location: FF_X4_Y17_N25
\led_flash_cnt[626][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[626][0]~81266_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[626][0]~q\);

-- Location: LCCOMB_X3_Y17_N16
\led_flash_cnt[626][1]~35644\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[626][1]~35644_combout\ = (\led_flash_cnt[626][0]~q\ & (\led_flash_cnt[626][1]~q\ $ (VCC))) # (!\led_flash_cnt[626][0]~q\ & (\led_flash_cnt[626][1]~q\ & VCC))
-- \led_flash_cnt[626][1]~35645\ = CARRY((\led_flash_cnt[626][0]~q\ & \led_flash_cnt[626][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[626][0]~q\,
	datab => \led_flash_cnt[626][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[626][1]~35644_combout\,
	cout => \led_flash_cnt[626][1]~35645\);

-- Location: FF_X3_Y17_N17
\led_flash_cnt[626][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[626][1]~35644_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[626][1]~q\);

-- Location: LCCOMB_X3_Y17_N18
\led_flash_cnt[626][2]~35646\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[626][2]~35646_combout\ = (\led_flash_cnt[626][2]~q\ & (!\led_flash_cnt[626][1]~35645\)) # (!\led_flash_cnt[626][2]~q\ & ((\led_flash_cnt[626][1]~35645\) # (GND)))
-- \led_flash_cnt[626][2]~35647\ = CARRY((!\led_flash_cnt[626][1]~35645\) # (!\led_flash_cnt[626][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[626][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[626][1]~35645\,
	combout => \led_flash_cnt[626][2]~35646_combout\,
	cout => \led_flash_cnt[626][2]~35647\);

-- Location: FF_X3_Y17_N19
\led_flash_cnt[626][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[626][2]~35646_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[626][2]~q\);

-- Location: LCCOMB_X3_Y17_N20
\led_flash_cnt[626][3]~35648\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[626][3]~35648_combout\ = (\led_flash_cnt[626][3]~q\ & (\led_flash_cnt[626][2]~35647\ $ (GND))) # (!\led_flash_cnt[626][3]~q\ & (!\led_flash_cnt[626][2]~35647\ & VCC))
-- \led_flash_cnt[626][3]~35649\ = CARRY((\led_flash_cnt[626][3]~q\ & !\led_flash_cnt[626][2]~35647\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[626][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[626][2]~35647\,
	combout => \led_flash_cnt[626][3]~35648_combout\,
	cout => \led_flash_cnt[626][3]~35649\);

-- Location: FF_X3_Y17_N21
\led_flash_cnt[626][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[626][3]~35648_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[626][3]~q\);

-- Location: LCCOMB_X3_Y17_N22
\led_flash_cnt[626][4]~35650\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[626][4]~35650_combout\ = (\led_flash_cnt[626][4]~q\ & (!\led_flash_cnt[626][3]~35649\)) # (!\led_flash_cnt[626][4]~q\ & ((\led_flash_cnt[626][3]~35649\) # (GND)))
-- \led_flash_cnt[626][4]~35651\ = CARRY((!\led_flash_cnt[626][3]~35649\) # (!\led_flash_cnt[626][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[626][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[626][3]~35649\,
	combout => \led_flash_cnt[626][4]~35650_combout\,
	cout => \led_flash_cnt[626][4]~35651\);

-- Location: FF_X3_Y17_N23
\led_flash_cnt[626][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[626][4]~35650_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[626][4]~q\);

-- Location: LCCOMB_X3_Y17_N14
\WideAnd626~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd626~0_combout\ = (\led_flash_cnt[626][2]~q\ & (\led_flash_cnt[626][1]~q\ & (\led_flash_cnt[626][4]~q\ & \led_flash_cnt[626][3]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[626][2]~q\,
	datab => \led_flash_cnt[626][1]~q\,
	datac => \led_flash_cnt[626][4]~q\,
	datad => \led_flash_cnt[626][3]~q\,
	combout => \WideAnd626~0_combout\);

-- Location: LCCOMB_X3_Y17_N24
\led_flash_cnt[626][5]~35652\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[626][5]~35652_combout\ = (\led_flash_cnt[626][5]~q\ & (\led_flash_cnt[626][4]~35651\ $ (GND))) # (!\led_flash_cnt[626][5]~q\ & (!\led_flash_cnt[626][4]~35651\ & VCC))
-- \led_flash_cnt[626][5]~35653\ = CARRY((\led_flash_cnt[626][5]~q\ & !\led_flash_cnt[626][4]~35651\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[626][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[626][4]~35651\,
	combout => \led_flash_cnt[626][5]~35652_combout\,
	cout => \led_flash_cnt[626][5]~35653\);

-- Location: FF_X3_Y17_N25
\led_flash_cnt[626][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[626][5]~35652_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[626][5]~q\);

-- Location: LCCOMB_X3_Y17_N26
\led_flash_cnt[626][6]~35654\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[626][6]~35654_combout\ = (\led_flash_cnt[626][6]~q\ & (!\led_flash_cnt[626][5]~35653\)) # (!\led_flash_cnt[626][6]~q\ & ((\led_flash_cnt[626][5]~35653\) # (GND)))
-- \led_flash_cnt[626][6]~35655\ = CARRY((!\led_flash_cnt[626][5]~35653\) # (!\led_flash_cnt[626][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[626][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[626][5]~35653\,
	combout => \led_flash_cnt[626][6]~35654_combout\,
	cout => \led_flash_cnt[626][6]~35655\);

-- Location: FF_X3_Y17_N27
\led_flash_cnt[626][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[626][6]~35654_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[626][6]~q\);

-- Location: LCCOMB_X3_Y17_N28
\led_flash_cnt[626][7]~35656\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[626][7]~35656_combout\ = \led_flash_cnt[626][6]~35655\ $ (!\led_flash_cnt[626][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[626][7]~q\,
	cin => \led_flash_cnt[626][6]~35655\,
	combout => \led_flash_cnt[626][7]~35656_combout\);

-- Location: FF_X3_Y17_N29
\led_flash_cnt[626][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[626][7]~35656_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[626][7]~q\);

-- Location: LCCOMB_X4_Y17_N30
\WideAnd626~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd626~1_combout\ = (\led_flash_cnt[626][6]~q\ & \led_flash_cnt[626][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[626][6]~q\,
	datad => \led_flash_cnt[626][5]~q\,
	combout => \WideAnd626~1_combout\);

-- Location: LCCOMB_X4_Y17_N16
WideAnd626 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd626~combout\ = (\WideAnd626~0_combout\ & (\led_flash_cnt[626][7]~q\ & (\WideAnd626~1_combout\ & \led_flash_cnt[626][0]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd626~0_combout\,
	datab => \led_flash_cnt[626][7]~q\,
	datac => \WideAnd626~1_combout\,
	datad => \led_flash_cnt[626][0]~q\,
	combout => \WideAnd626~combout\);

-- Location: FF_X4_Y17_N17
\led_flash_cnt_ands[626]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd626~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(626));

-- Location: LCCOMB_X4_Y17_N28
\WideAnd3918~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3918~0_combout\ = (led_flash_cnt_ands(624) & (led_flash_cnt_ands(627) & (led_flash_cnt_ands(625) & led_flash_cnt_ands(626))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands(624),
	datab => led_flash_cnt_ands(627),
	datac => led_flash_cnt_ands(625),
	datad => led_flash_cnt_ands(626),
	combout => \WideAnd3918~0_combout\);

-- Location: LCCOMB_X67_Y23_N10
\led_flash_cnt[631][0]~81271\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[631][0]~81271_combout\ = !\led_flash_cnt[631][0]~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[631][0]~q\,
	combout => \led_flash_cnt[631][0]~81271_combout\);

-- Location: FF_X67_Y23_N11
\led_flash_cnt[631][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[631][0]~81271_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[631][0]~q\);

-- Location: LCCOMB_X67_Y23_N16
\led_flash_cnt[631][1]~35714\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[631][1]~35714_combout\ = (\led_flash_cnt[631][0]~q\ & (\led_flash_cnt[631][1]~q\ $ (VCC))) # (!\led_flash_cnt[631][0]~q\ & (\led_flash_cnt[631][1]~q\ & VCC))
-- \led_flash_cnt[631][1]~35715\ = CARRY((\led_flash_cnt[631][0]~q\ & \led_flash_cnt[631][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[631][0]~q\,
	datab => \led_flash_cnt[631][1]~q\,
	datad => VCC,
	combout => \led_flash_cnt[631][1]~35714_combout\,
	cout => \led_flash_cnt[631][1]~35715\);

-- Location: FF_X67_Y23_N17
\led_flash_cnt[631][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[631][1]~35714_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[631][1]~q\);

-- Location: LCCOMB_X67_Y23_N18
\led_flash_cnt[631][2]~35716\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[631][2]~35716_combout\ = (\led_flash_cnt[631][2]~q\ & (!\led_flash_cnt[631][1]~35715\)) # (!\led_flash_cnt[631][2]~q\ & ((\led_flash_cnt[631][1]~35715\) # (GND)))
-- \led_flash_cnt[631][2]~35717\ = CARRY((!\led_flash_cnt[631][1]~35715\) # (!\led_flash_cnt[631][2]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[631][2]~q\,
	datad => VCC,
	cin => \led_flash_cnt[631][1]~35715\,
	combout => \led_flash_cnt[631][2]~35716_combout\,
	cout => \led_flash_cnt[631][2]~35717\);

-- Location: FF_X67_Y23_N19
\led_flash_cnt[631][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[631][2]~35716_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[631][2]~q\);

-- Location: LCCOMB_X67_Y23_N20
\led_flash_cnt[631][3]~35718\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[631][3]~35718_combout\ = (\led_flash_cnt[631][3]~q\ & (\led_flash_cnt[631][2]~35717\ $ (GND))) # (!\led_flash_cnt[631][3]~q\ & (!\led_flash_cnt[631][2]~35717\ & VCC))
-- \led_flash_cnt[631][3]~35719\ = CARRY((\led_flash_cnt[631][3]~q\ & !\led_flash_cnt[631][2]~35717\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[631][3]~q\,
	datad => VCC,
	cin => \led_flash_cnt[631][2]~35717\,
	combout => \led_flash_cnt[631][3]~35718_combout\,
	cout => \led_flash_cnt[631][3]~35719\);

-- Location: FF_X67_Y23_N21
\led_flash_cnt[631][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[631][3]~35718_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[631][3]~q\);

-- Location: LCCOMB_X67_Y23_N22
\led_flash_cnt[631][4]~35720\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[631][4]~35720_combout\ = (\led_flash_cnt[631][4]~q\ & (!\led_flash_cnt[631][3]~35719\)) # (!\led_flash_cnt[631][4]~q\ & ((\led_flash_cnt[631][3]~35719\) # (GND)))
-- \led_flash_cnt[631][4]~35721\ = CARRY((!\led_flash_cnt[631][3]~35719\) # (!\led_flash_cnt[631][4]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[631][4]~q\,
	datad => VCC,
	cin => \led_flash_cnt[631][3]~35719\,
	combout => \led_flash_cnt[631][4]~35720_combout\,
	cout => \led_flash_cnt[631][4]~35721\);

-- Location: FF_X67_Y23_N23
\led_flash_cnt[631][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[631][4]~35720_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[631][4]~q\);

-- Location: LCCOMB_X67_Y23_N24
\led_flash_cnt[631][5]~35722\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[631][5]~35722_combout\ = (\led_flash_cnt[631][5]~q\ & (\led_flash_cnt[631][4]~35721\ $ (GND))) # (!\led_flash_cnt[631][5]~q\ & (!\led_flash_cnt[631][4]~35721\ & VCC))
-- \led_flash_cnt[631][5]~35723\ = CARRY((\led_flash_cnt[631][5]~q\ & !\led_flash_cnt[631][4]~35721\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \led_flash_cnt[631][5]~q\,
	datad => VCC,
	cin => \led_flash_cnt[631][4]~35721\,
	combout => \led_flash_cnt[631][5]~35722_combout\,
	cout => \led_flash_cnt[631][5]~35723\);

-- Location: FF_X67_Y23_N25
\led_flash_cnt[631][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[631][5]~35722_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[631][5]~q\);

-- Location: LCCOMB_X67_Y23_N26
\led_flash_cnt[631][6]~35724\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[631][6]~35724_combout\ = (\led_flash_cnt[631][6]~q\ & (!\led_flash_cnt[631][5]~35723\)) # (!\led_flash_cnt[631][6]~q\ & ((\led_flash_cnt[631][5]~35723\) # (GND)))
-- \led_flash_cnt[631][6]~35725\ = CARRY((!\led_flash_cnt[631][5]~35723\) # (!\led_flash_cnt[631][6]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[631][6]~q\,
	datad => VCC,
	cin => \led_flash_cnt[631][5]~35723\,
	combout => \led_flash_cnt[631][6]~35724_combout\,
	cout => \led_flash_cnt[631][6]~35725\);

-- Location: FF_X67_Y23_N27
\led_flash_cnt[631][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[631][6]~35724_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[631][6]~q\);

-- Location: LCCOMB_X67_Y23_N28
\led_flash_cnt[631][7]~35726\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \led_flash_cnt[631][7]~35726_combout\ = \led_flash_cnt[631][6]~35725\ $ (!\led_flash_cnt[631][7]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \led_flash_cnt[631][7]~q\,
	cin => \led_flash_cnt[631][6]~35725\,
	combout => \led_flash_cnt[631][7]~35726_combout\);

-- Location: FF_X67_Y23_N29
\led_flash_cnt[631][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \led_flash_cnt[631][7]~35726_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \led_flash_cnt[631][7]~q\);

-- Location: LCCOMB_X67_Y23_N4
\WideAnd631~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd631~1_combout\ = (\led_flash_cnt[631][6]~q\ & \led_flash_cnt[631][5]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \led_flash_cnt[631][6]~q\,
	datad => \led_flash_cnt[631][5]~q\,
	combout => \WideAnd631~1_combout\);

-- Location: LCCOMB_X67_Y23_N12
\WideAnd631~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd631~0_combout\ = (\led_flash_cnt[631][3]~q\ & (\led_flash_cnt[631][2]~q\ & (\led_flash_cnt[631][4]~q\ & \led_flash_cnt[631][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[631][3]~q\,
	datab => \led_flash_cnt[631][2]~q\,
	datac => \led_flash_cnt[631][4]~q\,
	datad => \led_flash_cnt[631][1]~q\,
	combout => \WideAnd631~0_combout\);

-- Location: LCCOMB_X67_Y23_N0
WideAnd631 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd631~combout\ = (\led_flash_cnt[631][0]~q\ & (\led_flash_cnt[631][7]~q\ & (\WideAnd631~1_combout\ & \WideAnd631~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \led_flash_cnt[631][0]~q\,
	datab => \led_flash_cnt[631][7]~q\,
	datac => \WideAnd631~1_combout\,
	datad => \WideAnd631~0_combout\,
	combout => \WideAnd631~combout\);

-- Location: FF_X67_Y23_N1
\led_flash_cnt_ands[631]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd631~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands(631));

-- Location: LCCOMB_X62_Y24_N24
WideAnd3918 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd3918~combout\ = (\WideAnd3918~1_combout\ & (led_flash_cnt_ands(630) & (\WideAnd3918~0_combout\ & led_flash_cnt_ands(631))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd3918~1_combout\,
	datab => led_flash_cnt_ands(630),
	datac => \WideAnd3918~0_combout\,
	datad => led_flash_cnt_ands(631),
	combout => \WideAnd3918~combout\);

-- Location: FF_X62_Y24_N25
\led_flash_cnt_ands_1[78]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd3918~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_1(78));

-- Location: LCCOMB_X62_Y24_N0
WideAnd4329 : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4329~combout\ = (led_flash_cnt_ands_1(79) & (\WideAnd4329~0_combout\ & (\WideAnd4329~1_combout\ & led_flash_cnt_ands_1(78))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_1(79),
	datab => \WideAnd4329~0_combout\,
	datac => \WideAnd4329~1_combout\,
	datad => led_flash_cnt_ands_1(78),
	combout => \WideAnd4329~combout\);

-- Location: FF_X62_Y24_N1
\led_flash_cnt_ands_2[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_ctrl_50m|altclkctrl_0|clk_ctrl_altclkctrl_0_sub_component|wire_clkctrl1_outclk\,
	d => \WideAnd4329~combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => led_flash_cnt_ands_2(9));

-- Location: LCCOMB_X61_Y25_N0
\WideAnd4380~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~2_combout\ = (led_flash_cnt_ands_2(8) & (led_flash_cnt_ands_2(11) & (led_flash_cnt_ands_2(10) & led_flash_cnt_ands_2(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => led_flash_cnt_ands_2(8),
	datab => led_flash_cnt_ands_2(11),
	datac => led_flash_cnt_ands_2(10),
	datad => led_flash_cnt_ands_2(9),
	combout => \WideAnd4380~2_combout\);

-- Location: LCCOMB_X55_Y26_N16
\WideAnd4380~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~4_combout\ = (\WideAnd4380~3_combout\ & (\WideAnd4380~1_combout\ & (\WideAnd4380~0_combout\ & \WideAnd4380~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4380~3_combout\,
	datab => \WideAnd4380~1_combout\,
	datac => \WideAnd4380~0_combout\,
	datad => \WideAnd4380~2_combout\,
	combout => \WideAnd4380~4_combout\);

-- Location: LCCOMB_X54_Y23_N22
\WideAnd4380~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \WideAnd4380~19_combout\ = (\WideAnd4380~18_combout\ & (\WideAnd4380~14_combout\ & (\WideAnd4380~9_combout\ & \WideAnd4380~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \WideAnd4380~18_combout\,
	datab => \WideAnd4380~14_combout\,
	datac => \WideAnd4380~9_combout\,
	datad => \WideAnd4380~4_combout\,
	combout => \WideAnd4380~19_combout\);

-- Location: LCCOMB_X47_Y3_N0
\auto_hub|~GND\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
;

-- Location: LCCOMB_X71_Y45_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell_combout\);

-- Location: LCCOMB_X72_Y48_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell_combout\);

-- Location: IOIBUF_X78_Y29_N22
\clk_ddr3_100_p~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_ddr3_100_p,
	ibar => \ww_clk_ddr3_100_p(n)\,
	o => \clk_ddr3_100_p~input_o\);

-- Location: IOIBUF_X0_Y18_N15
\clk_25_max10~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_25_max10,
	o => \clk_25_max10~input_o\);

-- Location: IOIBUF_X0_Y23_N22
\clk_10_adc~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_10_adc,
	o => \clk_10_adc~input_o\);

-- Location: IOIBUF_X34_Y0_N29
\clk_lvds_125_p~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_lvds_125_p,
	ibar => \ww_clk_lvds_125_p(n)\,
	o => \clk_lvds_125_p~input_o\);

-- Location: IOIBUF_X78_Y25_N22
\user_pb[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(1),
	o => \user_pb[1]~input_o\);

-- Location: IOIBUF_X78_Y25_N1
\user_pb[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(2),
	o => \user_pb[2]~input_o\);

-- Location: IOIBUF_X78_Y25_N8
\user_pb[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(3),
	o => \user_pb[3]~input_o\);

-- Location: IOIBUF_X78_Y29_N1
\user_dipsw[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(0),
	o => \user_dipsw[0]~input_o\);

-- Location: IOIBUF_X78_Y29_N8
\user_dipsw[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(1),
	o => \user_dipsw[1]~input_o\);

-- Location: IOIBUF_X78_Y30_N1
\user_dipsw[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(2),
	o => \user_dipsw[2]~input_o\);

-- Location: IOIBUF_X78_Y30_N8
\user_dipsw[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(3),
	o => \user_dipsw[3]~input_o\);

-- Location: IOIBUF_X78_Y31_N15
\user_dipsw[4]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(4),
	o => \user_dipsw[4]~input_o\);

-- Location: UNVM_X0_Y40_N40
\~QUARTUS_CREATED_UNVM~\ : fiftyfivenm_unvm
-- pragma translate_off
GENERIC MAP (
	addr_range1_end_addr => -1,
	addr_range1_offset => -1,
	addr_range2_end_addr => -1,
	addr_range2_offset => -1,
	addr_range3_offset => -1,
	is_compressed_image => "false",
	is_dual_boot => "false",
	is_eram_skip => "false",
	max_ufm_valid_addr => -1,
	max_valid_addr => -1,
	min_ufm_valid_addr => -1,
	min_valid_addr => -1,
	part_name => "quartus_created_unvm",
	reserve_block => "true")
-- pragma translate_on
PORT MAP (
	nosc_ena => \~QUARTUS_CREATED_GND~I_combout\,
	xe_ye => \~QUARTUS_CREATED_GND~I_combout\,
	se => \~QUARTUS_CREATED_GND~I_combout\,
	busy => \~QUARTUS_CREATED_UNVM~~busy\);

-- Location: ADCBLOCK_X43_Y52_N0
\~QUARTUS_CREATED_ADC1~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 1,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC1~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC1~~eoc\);

-- Location: ADCBLOCK_X43_Y51_N0
\~QUARTUS_CREATED_ADC2~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 2,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC2~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC2~~eoc\);
END structure;


